--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s1_a;
--
-- Name: amalgam_s1_a; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s1_a WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s1_a

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: article; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE article (
    articleid text NOT NULL,
    title text,
    journal text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: articlepublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE articlepublished (
    articleid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    authid integer NOT NULL,
    name text NOT NULL
);


--
-- Name: book; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE book (
    bookid text NOT NULL,
    title text,
    publisher text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: bookpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bookpublished (
    bookid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: incollection; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE incollection (
    collid text NOT NULL,
    title text,
    bktitle text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: incollpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE incollpublished (
    collid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: inproceedings; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE inproceedings (
    inprocid text NOT NULL,
    title text,
    bktitle text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: inprocpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE inprocpublished (
    inprocid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: manual; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE manual (
    manid text NOT NULL,
    title text,
    org text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: manualpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE manualpublished (
    manid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: misc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE misc (
    miscid text NOT NULL,
    title text,
    howpub text,
    confloc text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: miscpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE miscpublished (
    miscid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: techpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE techpublished (
    techid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: techreport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE techreport (
    techid text NOT NULL,
    title text,
    inst text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Data for Name: article; Type: TABLE DATA; Schema: public; Owner: -
--

COPY article (articleid, title, journal, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Addis1982	A Relation-Based Language Interpreter for a Content Addressable File Store	ACM Transactions on Database Systems.	1982	Jun	125--163	7	2	Brunel Un. DCS (Uxbridge Middlesex UK)	> DBFmach> DBDrel.3>	\N	ICL CAFS is used.
Agrawal1987:2	The Performance of Alternative Strategies for Dealing with Deadlocks in Database Management Systems	IEEE Transactions on Software Engineering (SE) Vol.SE-13.	1987	Dec	1348--1363	\N	12	\N	> DBDconc>	\N	A. Continuous detection periodic detection delecting to break deadlock cycles. 1) Current Blocker. 2) Random Blocker. 3) Min Locks. 4) Youngest. 5) Min Work. B. Prevention: Wound-Wait Wait-Die Immediate-Restart Running-Priority. C. Timeout.
Ahn1988	Partitioned Storage for Temporal Databases	Inf.Sys.	1988	\N	\N	13	4	\N	> DBDops> DBFrepresent><DBfile Snodgrass	\N	Current and historical data are stored distinctly to avoid ISAM problems joint indexes snapshots may require both. Performance in INGRES.
Ahn1989	Performance Analysis of Temporal Queries	Information Sciences23.	1989	\N	\N	49	1	\N	> DBDops> DBDperf><DBfile Snodgrass	\N	model takes a temporal query and a database schema as input and outputs the estimated cost; validates the actual cost measured witjh TQUEL and INGRES extension
Allen1984	Toward a General Model of Action and Time	Artificial Intelligence.	1984	\N	\N	23	2	\N	> DBDops>	\N	\N
Andrews1989	A Clinical Database Management System for Improved Integration of the Veterans Affairs Hospital Information System	Journal of Medical Systems Plenum Pub.	1989	Dec	\N	13	6	\N	> MIS> HIS>	\N	data from separate ancillary services are difficult to integrate and hence partially replicated although the DHCP is very integrated operating on the same system hardware and language (MUMPS)
Arbadi1989	Maintaining availability in partitioned replicated databases	ACM Transactions on Database Systems 64.264--290; ACM CR 8911-0827.	1989	Jun	\N	14	2	UCSB	> DEng> DBDobject> DBDdist> DBDreliab>	\N	Accessing data in spite of site failures and network partioning
Astrahan1972:1	Approximating the Number of Unique Values without Sorting	IBM Res.Lab CS Res.R. No.RJ-4960 (5) 1985.	1972	Dec	\N	\N	\N	\N	> DBDperf> DBFindex> DBDrel.2.3> DBDperf><DBfile	\N	Estimates of value instance count obtained various way typically using hashing or projection. Was called `Counting Unique Values of An Attribute Without Sorting'. / The idea is to estimate the size of a projection of a relation without looking at the entire relation. Still needed are techniques for estimating the size of a join (of many relations) without actually computing the join. That's what we need if we are going to decide on the proper order in which to join *large* numbers of relations.---jeff
Atkinson1985	The {PROTEUS} Distributed Database System	Proc.BCS Proceedings of the British National Conference on Databases3 (Leeds)? Longstaff(ed) Cambridge Un.Press.	1985	\N	225--245	\N	\N	\N	> DBDdist> DBDnewDBMS><DBfile	\N	Heterogenous multi-university system. Network query language NQL and tranfer language NTL are based on the relational Algebra. No update.
Atzeni1992	Updatiing Relational Databases through Weak Instance Interfaces	ACM Transactions on Database Systems.	1992	Dec	\N	17	4	\N	> DBDops>	\N	\N
Austing1979	Curriculum '78 Recommendations for the Undergraduate Program in Computer Science	Communications of the ACM.	1979	Mar	147--166	22	3	Un.Maryland	> DBDintro>.3	\N	A report of the ACM Curriculum Committee on Computer Scienc. CS5: Introduction to File Processing (3-0-3) Prerequisite: CS 2 The objectives of this course are: (a) to introduce concepts and techniques of structuring data on bulk storage devices; (2) to provide experience in the use of bulk storage devices; and (3) to provide the foundation for applications of data structures and file processing techniques.
Badrinath1988	Synchronizing Transactions on Objects	IEEE Transactions on Computers.	1988	May	541--547	37	5	Un.Mass.	> DBDintegrity>	\N	Concurrency control granularity graph object orientation semantic information and compound objects transactions.
Balzer1984	A Specification-Based Computing Environment for Information Management	Proc.IEEE CS Intl.Conf. on Data Engineering 1 Los Angeles.	1984	Apr	454--458	\N	\N	USC ISI	> DBDkb>	\N	\N
Batory1990	{GENESIS}: An Extensible Database Management System	In 'Readings in Object-Oriented Database Systems edited by S.Zdonik and D.Maier Morgan Kaufman.	1990	\N	\N	\N	\N	\N	> DBDdesign> Components in GENESIS can be written in a few months. An architecture specification of the DBMS and reconfiguring takes a few hours. / Modularity > DBDnewDBMS>	\N	\N
Becker1992	Rule Based Optimization and Query Processing in an Extensible Geometric Database System	ACM Transactions on Database Systems.	1992	Jun	\N	17	2	\N	> DBDquery> IMAGE>	\N	\N
Bentley1986	A Locally Adaptive Data Compression Scheme	Communications of the ACM.	1986	Apr	320--330	29	4	\N	> DBFrepresent>	\N	Exploits locality of reference when words are used frequently over short intervals; is based on a self-organizing search and on variable-length encodings of integers.Its performance is close to that of Huffman coding. Requires only one pass over the data.
Billings	Mechanical Methods Used in Compiling Data of the 11th {U}.{S}. Census with Exhibition of a Machine	Proc.Am. Ass. Adv. of Science 1892.	\N	\N	\N	\N	\N	\N	> DBFhard.1.1>	\N	Suggestion taken up by Hollerith to use punched cards.
Black1987	The Architecture of {UNIX} United	Proc. IEEE.	1987	May	709--718	75	5	Un.Waterloo CSD (Canada)	> DBDdist><xissue	\N	\N
Blumer1987	Complete Inverted Files for Efficient Text Retrieval and Analysis	Journal of the ACM; ACM Computing Reviews 8810-0785.	1987	Jul	578--595	34	3	U.Denver	> DBFtree>	\N	main memory compacted suffix DAG for every substring replace suffix trees. / Data structure is a compact directed acyclic word graph. Searches for arbitrary strings are allowed. Suggest searching DNA sequences. Linear times for finding the longest prefix of a keyword. ---J.Fried.
Bobrow1985	{AI} --- Where are we?	AI journal.	1985	Mar	\N	\N	\N	\N	> DBDkb>	\N	\N
Bobrow	Common Lisp Object System Specification	DBDlang>	\N	\N	\N	\N	\N	\N	\N	\N	ANSI X#J13 Document 88-002R.
Bologno1986	Reliability and Safety in Real-time Systems	IEEE Transactions on Software Engineering (SE) Vol.SE-12.	1986	Sep	877--878	\N	9	\N	> DBFrealtime>	\N	foreword for special issue on real-time process control.
Bonyhard1970	Applications of Bubble Devices	IEEE Trans.on Magnetics	1970	Sep	447--451	6	3	\N	> DBFhard.1.4><x2>	\N	\N
\.


--
-- Data for Name: articlepublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY articlepublished (articleid, authid) FROM stdin;
Addis1982	364
Agrawal1987:2	920
Ahn1988	941
Ahn1989	941
Allen1984	973
Andrews1989	1020
Arbadi1989	1039
Astrahan1972:1	1070
Atkinson1985	1080
Atzeni1992	1094
Austing1979	1098
Badrinath1988	1129
Balzer1984	1149
Batory1990	828
Becker1992	1231
Bentley1986	1274
Billings	1342
Black1987	1357
Blumer1987	1382
Blumer1987	1383
Bobrow1985	1396
Bobrow	1397
Bologno1986	1411
Bonyhard1970	1419
\.


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (authid, name) FROM stdin;
6	R. Studer
79	Horst Biller
91	P. F. Patel-Schneider
108	R. Burstall
168	B. Moss
170	{Larson,J.}
192	Wright,J.M.
282	EurOnet DIANE
292	Guide International
364	T. R. Addis
403	P. Cohen {Feigenbaum,E.F.}
431	Berra,Bruce(ed)
482	Buckingham,R.A.,
491	Capron
514	A. Wong
575	C. J. White
577	Davis,C.G.,
582	Dean,A. L.(ed)
608	Wilfrid J. Dixon
612	B. C. M. Douque
644	Feigenbaum,E.,
828	Twichell,B.C.
920	L. W. McVoy
941	R. Snodgrass
973	J. F. Allen
1020	R. Andrews
1039	S. Toueg
1070	Astrahan,M.M.,
1080	Gray,P.M.D.,
1094	R. Torlone
1098	Austing,R.H.,
1129	B. R. Badrinath
1149	Balzer,R.M.,
1231	R. H. Guting
1274	V. K. Wei
1342	John Shaw Billings
1357	Black,J.P.,
1382	Blumer,J.,
1383	Haussler,D.,
1396	D. G. Bobrow
1397	DeMichiel,L.G.,
1411	N. G. Leveson
1419	Kish,D.E.
1466	T. Milo
1500	F. Afrati
1531	R. Ahmed
1647	J. Y. Caleca
1791	Bates,D.,
1822	Hinrichs,K.
1832	Derrett,N.,
\.


--
-- Data for Name: book; Type: TABLE DATA; Schema: public; Owner: -
--

COPY book (bookid, title, publisher, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Addis1986	Designing Knowledge-based Systems	Prentice-Hall publishers 322pp.; ACM Computing Reviews 8801-0014.	1986	\N	\N	\N	\N	\N	> DBDdesign> DBDkb><MCS library.	\N	Augmentation to the relational model a technique called extended relational analysis (ERA) for representing the entity sets perceived by users in a task domain.
Barlow1956	Mathematical Theory of Reliability	John Wiley Wiley Sons Publishers (New York NY) 256pp.	1956	\N	\N	\N	\N	\N	> DBFuse-4>	\N	\N
Berg1982	Data Base Directions {II}: The Conversion Problem	ACM SIGDB Data Base and ACM-SIGMOD Record.	1982	Jan	\N	12	2	\N	> DBDschema.6.1>	\N	\N
Brodie1984	Perspectives in Conceptual Modelling	Springer Verlag (Heidelberg FRG and NewYork NY USA) in press.	1984	\N	\N	\N	\N	\N	> DBDmodel.0> DBDkb>	\N	Contains papers derived from Pingree conference on Conceptual Modeling: Perspectives from Artificial Intelligence Databasesand Programming Languages. LevesqueH. ...
Brownston1985	Programming Expert Systems In {OPS5}; An Introduction to Rule-Based Programming	.	1985	\N	\N	\N	\N	\N	> DBDkb><QA76.9.E96P76	\N	\N
Cardenas1990	Research Foundations in Object-Oriented and Semantic Database Systems	Prentice-Hall publishers 432pp.	1990	\N	\N	\N	\N	\N	> DBDobject>	\N	SDM commonloops POSTGRES Iris(Fishman et al) SIM PICQUERY
Cohen1984:1	Human Aspects In Office Automation	Elsevier Series In Office Automation.	1984	\N	\N	1	\N	\N	> DBappl><HF5547.5.H85	\N	\N
Cohen1975:1	Data Base Management Systems a Critical and Comparative Analysis	QED Information Sciences Wellesley Hills MA 420pp.	1975	\N	\N	\N	\N	\N	> DBDbound> %Cohen75	\N	Evaluations of IMS-2 TOTAL ADABAS and SYSTEM-2000 with glossaries.
Cohen1982:1	Creating and Planning the Corporate Database System Project	Prentice-Hall publishers 323pp; ACM Computing Reviews 8412 0981.	1982	\N	\N	\N	\N	\N	> DBDadmin>	\N	various topics databases vs. D.
Date1982	An Introduction to Data Base Systems volume {II}	Addison-Wesley (Reading MA) 383 pp; ACM CR 8604-0295.	1982	\N	\N	\N	\N	\N	> DBFsec-2> DBDdesign> DBDdist>	\N	a companion volume --- Security distribution and Codd's RM/T model
Date1986	Relational Database: Selected Writings	Addison-Wesley (Reading MA) 497pp.; ACM CR 8705-0351.	1986	\N	\N	\N	\N	\N	> DBDintro>	\N	collection of 19 papers that Date has written since 1974 arguing in favor of primary keys and foreign keys. Performance aspects exploding some 26 myths problems in adding a relational interface to IMS. Each chapter also has comments: on republication relational philosophy view updates recursive queries. Keller's is much more complete. --- Sciore.
Delobel1985	Relational Database Systems	Elsevier N-H 451pp; ACM Computing Reviews 8608-??.	1985	\N	\N	\N	\N	Un.Grenoble (France)	> DBDrel>	\N	The French original was published in 1983. Ullman's book is followed closely. Some of the relational design algorithms are not in any other textbook.
\.


--
-- Data for Name: bookpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bookpublished (bookid, authid) FROM stdin;
Addis1986	364
Barlow1956	403
Berg1982	431
Brodie1984	482
Brownston1985	491
Cardenas1990	514
Cohen1984:1	575
Cohen1975:1	577
Cohen1982:1	582
Date1982	608
Date1986	612
Delobel1985	644
\.


--
-- Data for Name: incollection; Type: TABLE DATA; Schema: public; Owner: -
--

COPY incollection (collid, title, bktitle, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Biller1982	On the Architecture of a System Integrating Database Management and Information Retrieval	Research and Development in Information Retrieval Proc.Intl. Conf. Berlin FRG Salton and Schneider(eds) Springer Verlag (Heidelberg FRG and NewYork NY USA) 1983.	1982	May	80--97	\N	\N	SIETEC (Berlin FRG)	> DBDquery.2>	\N	\N
Brachman1984	What makes a Knowledge Base Knowledgeable? {A} view of Databases from the Knowledge Level	Workshop on Expert Database Systems Un.South Carolina.	1984	Oct	\N	1	\N	Fairchild Lab.for AI Research (Palo Alto CA)	> DBDkb>	\N	\N
Burstall1969	Formal Description of Program Structure and Semantics in First-order Logic	Machine Intelligence eds: Meltzer o.o. and Michie vars. Publishers 5 Meltzer and Michie (eds) Edinburgh Un. Press.	1969	\N	79--98	\N	\N	\N	> DBDdesign>	\N	\N
Eliot1989	Object orientation as catalyst for language-database integration	In: Object-oriented concepts databases and applications (Ed. by Won Kim and F.H. Lochovsky) Addison-Wesley (Reading MA).	1989	\N	\N	\N	\N	\N	> DBDobject> DBDlang>	\N	\N
ElMasri1980:4	A User-Friendly Interface for Specifying Hierarchical Queries on an {ER} Graph Database	End User Facilities in the 's J.Larson (ed.) IEEE CS Press 1982.	1980	\N	\N	\N	\N	\N	> DBDquery>	\N	\N
Fox1984	Experiences with {SRL}: An Analysis of Frame-Based Knowledge Representation	Workshop on Expert Database Systems Un.South Carolina.	1984	Oct	\N	1	\N	\N	> DBDkb>	\N	\N
\.


--
-- Data for Name: incollpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY incollpublished (collid, authid) FROM stdin;
Biller1982	79
Brachman1984	91
Burstall1969	108
Eliot1989	168
ElMasri1980:4	170
Fox1984	192
\.


--
-- Data for Name: inproceedings; Type: TABLE DATA; Schema: public; Owner: -
--

COPY inproceedings (inprocid, title, bktitle, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Abiteboul1993:1	Querying and Updating the File	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Dublin.	1993	Aug	\N	\N	19	\N	> unknown>	\N	\N
Afrati1987	The Parallel Complexity of Simple Chain Queries	ACM SIGACT-SIGMOD Symp. on Principles of Database Systems San Diego.	1987	Mar	\N	\N	\N	National TU.Athens	> DBDtheory>	\N	\N
Ahmed1991	Version Management of Composite Objects in {CAD} Databases	ACM SIGMOD Conf. on the Management of Data 91 Boulder.	1991	May	\N	\N	\N	\N	> EIS> DBDobject>	\N	\N
Ahn1986:1	Performance Evaluation of a Temporal Database Management System	ACM SIGMOD Conf. on the Management of Data.	1986	May	\N	\N	\N	\N	> DBDnewDBMS>	\N	\N
Allen1981	An interval-based representation of temporal knowledge	Proc.International Joint Conference on Artificial Intelligence Morgan Kaufman pubs. (Los Altos CA) Vancouver BC.	1981	\N	221--226	\N	\N	\N	> DBDmodel>	\N	\N
Altman1972	Concepts of a Data Independent Architecture Model	ACM SIGFIDET Dean(ed).	1972	\N	363--382	\N	\N	IBM	> DBDschema>	\N	An integrated description for schema entries (A-strings) rings (E-strings) and indexes (L-strings)
Armisen1981	A Commercial Back-End Data Base System	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA).	1981	\N	\N	\N	7	\N	> DBFmach>	\N	This article is interesting in that it presents a commercial product and coming from France represents an European effort in the field of Database Machine. However what mars the reading of this paper are the bad spelling and unnatural sentence structure. (Kitty Shih comment)
Astrahan1972	Concepts of a Data Independent Accessing Model	ACM SIGFIDET Dean(ed.).	1972	\N	349--362	\N	\N	\N	> DBDschema>	\N	\N
Atzeni1990	Efficient Updates to Independent Schemes in the Weak Instance Model	ACM SIGMOD Conf. on the Management of Data 90 Atlantic City.	1990	May	\N	\N	\N	\N	> DBDtheory> DBDmodel>	\N	More efficient way for PODS89 model
Badrinath1987	Semantics-Based Concurrency Control: Beyond Commutativity	Proc.IEEE CS Intl.Conf. on Data Engineering 3 Los Angeles.	1987	Feb	\N	\N	\N	\N	> DBDdist> DBDintegrity>	\N	\N
Badrinath1990	Performance Evaluation of Semantics-based Multilevel Concurrency Control Protocols	ACM SIGMOD Conf. on the Management of Data 90 Atlantic City.	1990	May	\N	\N	\N	Rutgers Un.	> DBDconc> DBDperf>	\N	Protocol and simulation with recoverability
Balzer1989	Draft Report on Requirements for a Common Prototyping System	ACM Sigplan Notices Volume 24 Number 3 March.	1989	\N	\N	\N	\N	\N	> DEng>	\N	Describes a proposed DARPA research program to take 4 years and result in a unified protoyping environment and language. A prototype is a program built in order to obtain information useful in the construction of a future production system. Such information make take the form of performance estimates of algorithms and implementation strategies or experience with the adequacy of a proposed user interface. In order to be economoically justified a prototyping system must support very rapid development and have a strong instrumentation facility. On the other hand the protoype need not be as efficient as the production version it may implement only a portion of the eventual application and it may require manual intervention in order to run. The document describes requirements for an environment and system and expresses the opinion that while no individual part of the project requires a great advance in the state of the art bringing all the pieces together into a unified system is likelyt to prove very challenging. Database and communication facilities required include: 1) A persistent object store a) An application specific component to store objects needed by the application in its execution including test cases etc. b) protypes themselves their components and information about them including version histories and the results of instrumented prior runs. c) Definitions of types and abstractions used or produced by a prototype. These should be stored by the system to facilitate composition and inter-language communication 2) Call-in/Call-out. Prototypes will be written using multiple languages (typically Lisp and ADA and perhaps more specialized constructs as well.) Modules need to be able to share objects across language boundaries and there needs to be an encapsualtion facility so that a module may be implemented in different languges during the prototype development process.
Bates1982	A Framework for Research in Database Management for Statistical Analysis	ACM SIGMOD Conf. on the Management of Data.	1982	Jun	69--78	\N	\N	\N	> DBFmethods.2> DBappl> DBDstat>	\N	\N
Becker1993	A New Algorithm for Computing Joins with Grid Files	Proc.IEEE CS Intl.Conf. on Data Engineering 9 Vienna.	1993	Apr	\N	\N	\N	Westfaelische Wilhelms Un.	> DBDschema	\N	\N
Beech1984	Overview of the {IRIS} Information Model	Workshop on Expert Database Systems Un.South Carolina.	1984	Oct	\N	2	\N	HP Labs	> DBDkb>	\N	\N
Beeri1991	Subtyping in {OODB}'s	ACM-PODS 91 Denver CO.	1991	May	\N	\N	\N	\N	> DBDobject>	\N	\N
Beeri1991:2	A Model for Active Object Oriented Database	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Barcelona.	1991	Sep	\N	\N	17	\N	> DBDobject>	\N	\N
Beeri1992	Functional and Predicative Programming in {OODB}'s	ACM SIGACT-SIGMOD Symp. on Principles of Database Systems San Diego	1992	Jun	\N	\N	\N	\N	> DBDobject>	\N	\N
Beeri1993	On the Power of algebras with Recursion	ACM SIGMOD Conf. on the Management of Data 93 WashingtonDC.	1993	May	\N	\N	\N	\N	> DBDlogic>	\N	\N
\.


--
-- Data for Name: inprocpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY inprocpublished (inprocid, authid) FROM stdin;
Abiteboul1993:1	1466
Afrati1987	1500
Ahmed1991	1531
Ahn1986:1	941
Allen1981	973
Altman1972	1070
Armisen1981	1647
Astrahan1972	1070
Atzeni1990	1094
Badrinath1987	1129
Badrinath1990	1129
Balzer1989	1149
Bates1982	1791
Becker1993	1822
Beech1984	1832
Beeri1991	1466
Beeri1991:2	1466
Beeri1992	1466
Beeri1993	1466
\.


--
-- Data for Name: manual; Type: TABLE DATA; Schema: public; Owner: -
--

COPY manual (manid, title, org, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
EurOnet1987	Overview of Medical Databases accessible through {DATEX}-{P}	ACM SIGBIO newsletter no.2.	1987	Jun	21--23	9	\N	177 Route d'Esch Luxembourg	> MIS> DBDbib>	listimg of informatiom bases.	\N
Guide1974	The Data Base Guide	Guide International Users Group of Commercial IBM systems.	1974	Aug	\N	\N	\N	\N	> DBDdesign>	\N	\N
\.


--
-- Data for Name: manualpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY manualpublished (manid, authid) FROM stdin;
EurOnet1987	282
Guide1974	292
\.


--
-- Data for Name: misc; Type: TABLE DATA; Schema: public; Owner: -
--

COPY misc (miscid, title, howpub, confloc, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Beierle1988	The Knowledge Representation Language {LILOG}	LILOG report 41	\N	1988	Jul	\N	\N	\N	IBM Deutschland GmbH WT LILOG (Stuttgart FRG)	> DBDkb> DBDlang><LILOG	\N	\N
\.


--
-- Data for Name: miscpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY miscpublished (miscid, authid) FROM stdin;
Beierle1988	6
\.


--
-- Data for Name: techpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY techpublished (techid, authid) FROM stdin;
Batory1986	828
\.


--
-- Data for Name: techreport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY techreport (techid, title, inst, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Batory1986	{GENESIS}: {A} Reconfigurable Database Management System	Un.Texas TR-86-07.	1986	Mar	\N	\N	\N	Un.Texas Austin DCS	> DBDimpl><DBfile	\N	\N
\.


--
-- Name: article_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_pkey PRIMARY KEY (articleid);


--
-- Name: articlepublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_pkey PRIMARY KEY (articleid, authid);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (authid);


--
-- Name: book_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY book
    ADD CONSTRAINT book_pkey PRIMARY KEY (bookid);


--
-- Name: bookpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_pkey PRIMARY KEY (bookid, authid);


--
-- Name: incollection_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY incollection
    ADD CONSTRAINT incollection_pkey PRIMARY KEY (collid);


--
-- Name: incollpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_pkey PRIMARY KEY (collid, authid);


--
-- Name: inproceedings_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY inproceedings
    ADD CONSTRAINT inproceedings_pkey PRIMARY KEY (inprocid);


--
-- Name: inprocpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_pkey PRIMARY KEY (inprocid, authid);


--
-- Name: manual_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY manual
    ADD CONSTRAINT manual_pkey PRIMARY KEY (manid);


--
-- Name: manualpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_pkey PRIMARY KEY (manid, authid);


--
-- Name: misc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY misc
    ADD CONSTRAINT misc_pkey PRIMARY KEY (miscid);


--
-- Name: miscpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_pkey PRIMARY KEY (miscid, authid);


--
-- Name: techpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_pkey PRIMARY KEY (techid, authid);


--
-- Name: techreport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY techreport
    ADD CONSTRAINT techreport_pkey PRIMARY KEY (techid);


--
-- Name: articlepublished_articleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_articleid_fkey FOREIGN KEY (articleid) REFERENCES article(articleid) ON DELETE CASCADE;


--
-- Name: articlepublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: bookpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: bookpublished_bookid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_bookid_fkey FOREIGN KEY (bookid) REFERENCES book(bookid) ON DELETE CASCADE;


--
-- Name: incollpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: incollpublished_collid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_collid_fkey FOREIGN KEY (collid) REFERENCES incollection(collid) ON DELETE CASCADE;


--
-- Name: inprocpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: inprocpublished_inprocid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_inprocid_fkey FOREIGN KEY (inprocid) REFERENCES inproceedings(inprocid) ON DELETE CASCADE;


--
-- Name: manualpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: manualpublished_manid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_manid_fkey FOREIGN KEY (manid) REFERENCES manual(manid) ON DELETE CASCADE;


--
-- Name: miscpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: miscpublished_miscid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_miscid_fkey FOREIGN KEY (miscid) REFERENCES misc(miscid) ON DELETE CASCADE;


--
-- Name: techpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: techpublished_techid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_techid_fkey FOREIGN KEY (techid) REFERENCES techreport(techid) ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

