--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s1_b;
--
-- Name: amalgam_s1_b; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s1_b WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s1_b

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: article; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE article (
    articleid text NOT NULL,
    title text,
    journal text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: articlepublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE articlepublished (
    articleid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    authid integer NOT NULL,
    name text NOT NULL
);


--
-- Name: book; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE book (
    bookid text NOT NULL,
    title text,
    publisher text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: bookpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bookpublished (
    bookid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: incollection; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE incollection (
    collid text NOT NULL,
    title text,
    bktitle text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: incollpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE incollpublished (
    collid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: inproceedings; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE inproceedings (
    inprocid text NOT NULL,
    title text,
    bktitle text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: inprocpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE inprocpublished (
    inprocid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: manual; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE manual (
    manid text NOT NULL,
    title text,
    org text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: manualpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE manualpublished (
    manid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: misc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE misc (
    miscid text NOT NULL,
    title text,
    howpub text,
    confloc text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Name: miscpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE miscpublished (
    miscid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: techpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE techpublished (
    techid text NOT NULL,
    authid integer NOT NULL
);


--
-- Name: techreport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE techreport (
    techid text NOT NULL,
    title text,
    inst text,
    year integer,
    month text,
    pages text,
    vol integer,
    num integer,
    loc text,
    class text,
    note text,
    annote character varying(2800)
);


--
-- Data for Name: article; Type: TABLE DATA; Schema: public; Owner: -
--

COPY article (articleid, title, journal, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Agrawal1987:2	The Performance of Alternative Strategies for Dealing with Deadlocks in Database Management Systems	IEEE Transactions on Software Engineering (SE) Vol.SE-13.	1987	Dec	1348--1363	\N	12	\N	> DBDconc>	\N	A. Continuous detection periodic detection delecting to break deadlock cycles. 1) Current Blocker. 2) Random Blocker. 3) Min Locks. 4) Youngest. 5) Min Work. B. Prevention: Wound-Wait Wait-Die Immediate-Restart Running-Priority. C. Timeout.
AlZobaidie1986	An Expert Clinical Database	Medinfo.	1986	\N	\N	\N	\N	\N	> MIS><DBfile	\N	\N
Andreassen1988	Information Security: An Overview	AT&T Tech.Journal -Jun.	1988	May	2--8	67	3	ATT Federal Systems Division (Washington DC)	> DBFsecurity>	\N	Special issue on security focusing on networks and access.
Atkinson1985:1	Procedures as Persistent Objects	ACM Transactions on Programming Languages and Systems.	1985	Oct	539--559	7	4	Un.Glasgow Scotland	> DBDobject> DBFintro> DBDnewDBMS> DBFstorage-3.2>	\N	PS-algol; First Class Functions; Versions.
Atkinson1987	Types and Persistence in Database Programming Languages	ACM Computing Surveys.	1987	Jun	105--190	19	2	Un.Glasgow Scotland	> DBDlang>	\N	Illustrated with 4 tasks. Polymorphism type inheritance object identity and the choice of structures to represent sets of similar values.
Baer1975	Weight-Balanced Trees	Proc. Proc. of the National Computer Conference earlier also Spring Joint (SJCC) Fall Joint(FJCC) Western(WCC) and Eastern(ECC) published through AFIPS Press now (Arlington VA) AFIPS.	1975	\N	467--472	44	\N	Un.Washington	> DBFtrees.4> %Baer75	\N	Analysis of trees for unequal access frequencies.
BaezaYates1989	Performance of {B}+-Trees with Partial Expansions	IEEE Transactions on Knowledge and Data Engineering.	1989	Jun	248--257	1	2	Un.Waterloo DCS (Waterloo Ontario Canada)	> DBFindex>	\N	Ten percent storage efficiency is gained by gradually increasing the size of an overflowing bucket instead of immediately splitting it.
Balaban1987	Choosing a Micro Database for Easy Retrieval of Reprints	M.D. Computing Springer Verlag -Jun.	1987	May	23--29	4	3	\N	> DBDbiblio>	\N	Names: Notebook II Sci-Mate Manager FYI-3000 Superfile Sire Ref-Ed Professional Bibliographic System Citation ZyINDEX PowerBase REF-11 Cardfile. / Includes evaluation and addresses of suppliers of bibliographic products.
Banerjee1978:1	Concepts and Capabilities of a Database Computer	ACM Transactions on Database Systems.	1978	Dec	347--384	3	4	Ohio State Un.; IBM Poughkeepsie Lab	> DBFmach>	\N	The concepts of a database computer (DBC) are given. The theory of operation is based on abstract models. The DBC performs access operations manages data structures and security specifications.
Banerjee1979	{DBC}--{A} Data Base Computer for Very Large Data Bases	IEEE Transactions on Computers Vol.C-28.	1979	Jun	\N	\N	6	\N	> DBFmach>	\N	\N
Banerjee1990	Data Model Issues for Object-Oriented Applications	In 'Readings in Object-Oriented Database Systems edited by S.Zdonik and D.Maier Morgan Kaufman.	1990	\N	\N	\N	\N	\N	> DBDobject>	\N	\N
Banerjee1988:1	Clustering a {DAG} for {CAD} Databases	IEEE Transactions on Software Engineering (SE)	1988	Nov	1684--1699	14	11	Unisys Corp. St.Paul MN	> EIS> DBDmodel> DBDperform>	\N	Depth-first breadth-first and a hybrid children-depth-first traversal. Clustered by visit order.
Batini1986	A Comparative Analysis of Methodologies for Database Schema Integration	ACM Computing Surveys.	1986	Dec	323--364	18	4	Un.Roma (Italy)	> DBDdesign>	\N	Comparisons of 12 established schema integration methodologies. Examples include relational structural extended E-R model.
Becker1992	Rule Based Optimization and Query Processing in an Extensible Geometric Database System	ACM Transactions on Database Systems.	1992	Jun	\N	17	2	\N	> DBDquery> IMAGE>	\N	\N
Bernstein1969	Synchronization in a Parallel Accessed Data Base	Communications of the ACM 	1969	Nov	604--607	12	11	\N	> DBDintegrity>	\N	\N
Bernstein1984	The {HEPATITIS} Knowledge Base	Annals of Int.Med. Suppl.Part 2.	1984	\N	183--222	93	1	\N	> DBDkb>	\N	A structured collection of english text.
Berra1987	Optical Techniques and data/Knowledge Base Machines	IEEE Computer no.10.	1987	Oct	59--70	20	\N	Syracuse Un.	> DBFhard>	\N	survey of optical storage communication and processing.
Blakeley1987:1	Updating Derived Relations: Detecting Irrelevant and Automously Computable Updates	Indiana Un. TR-235.	1987	Nov	\N	\N	\N	Indiana Un.	> DBDperf><DBfile	\N	rigorous mathematical proofs; expressions that are capable of being tested constitute a large and commonly occurring class. ---Miller.
Blandy1989	{VM}/{XA} Storage Management	IBM Systems Journal.	1989	\N	175--191	28	1	IBM Data Systems Div. (Kingston NY)	> DBFhard>	\N	\N
Bobrow	Common Lisp Object System Specification	DBDlang>	\N	\N	\N	\N	\N	\N	\N	\N	ANSI X#J13 Document 88-002R.
Bohl1981	Introduction to {IBM} Direct Access Storage Devices	SRA.	1981	\N	\N	\N	\N	\N	> DBFhard>	\N	\N
Boral1982	Applying Data Flow Techniques to Data Base Machines	IEEE Computer.	1982	Aug	57--77	15	8	\N	> DBFmach> DBDrel.2>	\N	Analysis of problems using experience from DIRECT.
\.


--
-- Data for Name: articlepublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY articlepublished (articleid, authid) FROM stdin;
Agrawal1987:2	919
AlZobaidie1986	983
Andreassen1988	1019
Atkinson1985:1	1083
Atkinson1987	1083
Baer1975	1133
BaezaYates1989	1135
Balaban1987	1141
Banerjee1978:1	1156
Banerjee1978:1	598
Banerjee1979	1156
Banerjee1979	598
Banerjee1990	1156
Banerjee1990	1159
Banerjee1988:1	1156
Banerjee1988:1	1165
Batini1986	60
Becker1992	1231
Bernstein1969	1283
Bernstein1984	1285
Berra1987	1305
Blakeley1987:1	1135
Blandy1989	1369
Bobrow	1397
Bohl1981	1404
Boral1982	1424
\.


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (authid, name) FROM stdin;
14	Prakash,N.,
18	Shi Bing Yao
60	Lenzerini,M.
70	Pelagatti,G.
86	Gardarin.G.
165	P. Eiin-Dor
170	{Larson,J.}
347	INTREX Staff
358	Izdatel'stvo Naukova Dumka
359	Japan Information Processing Development Ctr
371	F. et al Andre
493	A. F. Cardenas
501	T. Rettig
511	Chan,A.,
527	Chen,P. P.(ed)
598	Hsiao,D.K.
611	Basil Doudnikoff
682	S. H. Fuller
709	Satyanatayanan,M.
761	Villanelli,F.
780	Neitzel,B.J.,
919	Carey,M.J.
983	A. AlZobaidie
1019	D. F. Schreiber
1083	M. P. Atkinson
1133	Jean-Loup Baer
1135	P-A. Larson
1141	Balaban,D.J.,
1156	Banerjee,J.,
1159	Chou,H-T.,
1165	J. F. Garza
1231	R. H. Guting
1283	A. Shoshani
1285	Siegel,E.R.
1305	N. B. Troullinos
1369	G. O. Blandy
1397	DeMichiel,L.G.,
1404	M. Bohl
1424	D. J. Dewitt
1441	H. Noble
1482	Demolombe,R.,
1588	H. H. Amer
1610	C. Harris
1657	J. Ramanathan
1695	Fontana,E.,
1699	A. D'Atri
1730	Balzer,R.,
1764	F. Barbic
1784	Mukherjee,A.
1817	Gala,S.K.
\.


--
-- Data for Name: book; Type: TABLE DATA; Schema: public; Owner: -
--

COPY book (bookid, title, publisher, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Alagic1989	Object-Oriented Database Programming	Springer Verlag (Heidelberg FRG and NewYork NY USA) 320pp.	1989	\N	\N	\N	\N	\N	> DBDobject><x	\N	\N
Brownston1985	Programming Expert Systems In {OPS5}; An Introduction to Rule-Based Programming	.	1985	\N	\N	\N	\N	\N	> DBDkb><QA76.9.E96P76	\N	\N
Buckingham1986	Information Systems Education: Recommensations and Implementation	Cambridge Un.Press 256pp. (British CS); ACM Computing Reviews 8807-0497.	1986	\N	\N	\N	\N	Un.London	> DBDintro>	\N	IFIP/BCS curriculum in three levels. The five introductory modules are computer quantitative business social studies and conceptul foundations (information data knowledge; systems design; technology and society).
Capron1986	Computers and Data Processing Second Edition	.	1986	\N	\N	\N	\N	\N	> DBFintro><QA76.C357	\N	Special Software Version
Ceri1980:2	Structured Methodology for Designing Static and Dynamic Aspects of Database Applications	Pergamon.	1980	\N	\N	\N	\N	Polit.Milano	> DBDdesign> DBappl><DBfile	\N	\N
Cuadra1966	{ARIST}: Annual Review of Information Science and Technology	John Wiley Wiley Sons Publishers (New York NY) --1970 --4 Encyclopedia Brittanica 1971--1973 Vol.5--7. (Vols.7-11 published by ASIS itself)	1966	\N	\N	1	\N	American Documentation Inst. later ASIS	> DBFintro> DBDquery> %Cuadra66--73	\N	Compendium of various articles oriented towards library and other information systems see also individual references. Later years see Williams(ed).
Date1984:3	A Guide to the {SQL} Standard	Addison-Wesley (Reading MA) 205pp.	1984	\N	\N	\N	\N	\N	> DBDrel>	\N	It is a reference and provides condensed treatment of SQL and X/OPEN SQL dialect ---Artz.
Ellzey1982	Data Structures for Computer Information Systems	.	1982	\N	\N	\N	\N	\N	> DBDmodel.0><CSDlibr.QA76.9D35E44	\N	\N
Ferrari1983	Measurement and Tuning of Computer Systems	Prentice-Hall publishers.	1983	\N	\N	\N	\N	\N	> DBFmethods.0> DBFhard.2><x	\N	Only two small sections on IMS databases more on disks and channels.
\.


--
-- Data for Name: bookpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bookpublished (bookid, authid) FROM stdin;
Alagic1989	371
Brownston1985	493
Buckingham1986	501
Capron1986	511
Ceri1980:2	527
Cuadra1966	598
Date1984:3	611
Ellzey1982	682
Ferrari1983	709
\.


--
-- Data for Name: incollection; Type: TABLE DATA; Schema: public; Owner: -
--

COPY incollection (collid, title, bktitle, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Batini1983:1	Views Integration	'Methodology and Tools for Database Design' Ceri(ed.) N-H.	1983	\N	\N	\N	\N	\N	> DBDmodel.6>	\N	\N
Bertino1989:1	An object-oriented approach to the interconnection of heterogeneous databases	in Yu(ed) Workshop on heterogenous databases 1989.	1989	Dec	\N	\N	\N	\N	> DBDlang> DBDdist>	\N	ADTS as mapping representation
Bouzeghoub1984	The Design of an Expert System for Database Design	`New Applications of Databases' Gardarin and Gelenbe(eds) Academic Press (New York NY).	1984	\N	203--223	\N	\N	INRIA	> DBDobject> DBDdesign> DEng> DBDops.4> DBDkb><DBfile	\N	SECSI uses simple French natural language (7 verbs) dialogue to obtain specs stored in frames. An inference engine creates relation schemas and constraints. From semantic network description of the application a relational schema is generated. Very simple Syntax of statements is used. Internal links are: INFO(objectcateg) CONNEC(Obj1obj2)INTG_CONST( contraint ...) and COMMENT(). There are also 4 classes of RULES: SIMPLIFICATION (for finding 1NF) DEPENDENCY NORMALIZATION OPTIMIZATION.
Eiin1981	Organizational Context and The Success of Management Information Systems	Management Information Systems Riley(ed).	1981	\N	\N	\N	\N	\N	> DBDadmin>	\N	\N
ElMasri1980:4	A User-Friendly Interface for Specifying Hierarchical Queries on an {ER} Graph Database	End User Facilities in the 's J.Larson (ed.) IEEE CS Press 1982.	1980	\N	\N	\N	\N	\N	> DBDquery>	\N	\N
\.


--
-- Data for Name: incollpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY incollpublished (collid, authid) FROM stdin;
Batini1983:1	60
Bertino1989:1	70
Bouzeghoub1984	86
Eiin1981	165
ElMasri1980:4	170
\.


--
-- Data for Name: inproceedings; Type: TABLE DATA; Schema: public; Owner: -
--

COPY inproceedings (inprocid, title, bktitle, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Abbod1987	Providing Time-Related Constraints for Conventional Database Systems	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Brighton UK.	1987	Sep	\N	\N	13	\N	> DBDnewDBMS>	\N	extend SQL with temporal predicates.
Adiba1978	Issues in Distributed Data Base Management Systems	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Bubenko and Yao(eds) W.Berlin FRG.	1978	\N	89--110	\N	4	\N	> DBDdist>	\N	Short notes and a comprehensive bibliography. Relates communication to CCITT ISO multi-level protocol.
Agrawal1983	Deadlock Detection is Cheap	ACM SIGMOD Conf. on the Management of Data Record.	1983	Jan	19--34	13	2	Un.Wisconsin Madison	> DBDintegrity.2><DBfile	\N	\N
Amer1987	Modeling the Effect of the Chip Failures and Cache Memory Systems	Proc.IEEE CS Intl.Conf. on Data Engineering 3 Los Angeles.	1987	Feb	\N	\N	\N	\N	> DBDreliab>	\N	\N
Andrews1990:2	Combining Language and Database Advances in an Object-Oriented Development Environment	In 'Readings in Object-Oriented Database Systems edited by S.Zdonik and D.Maier Morgan Kaufman.	1990	\N	\N	\N	\N	\N	> DBDobject> VOD>	\N	A brief overview of VBASE. The schema definition language is block structured support for one-to-one one-to-many and many-to-many relationships. Provides an inverse mechanism the ability to cluster objects and support for triggers and multiple inheritance.
Ashok1984	Integrated Environment for Information Management in {VLSI} Design	Proc.IEEE CS Intl.Conf. on Data Engineering 1 Los Angeles.	1984	Apr	\N	\N	\N	Ohio State Un.	> EIS>	\N	\N
Auddino1992	Super-Visual Interaction with an Object-Based {ER} Model	Proc.of the Entity-Relationship conference North-Holland. .11 Karlsruhe.	1992	Oct	\N	\N	\N	\N	> DBDquery Loc ={Laboratoire de bases de donnees (CH-1015 Lausanne-Ecublens Suisse)} > DBDobject> DBDquery>	\N	A visual interface for editing database schema and queries based on a variation of the E-R model. The added semantics to the E-R such as ISA and maybe-a (with no inclusion constraint) do not have a special effect on the interface. In my opinion visual editing of E-R shema is a sound idea. On the other hand visual editing of queries by copying a subset visual schema may confuse users if the copied subschema containes cycles -- a potential source of the user's misunderstanding. SUPER forces users to break cycles but it is not clear how intuitive this cycle-breaking semantics will be to the user. --- Cha.
Ausiello1985	Chordality Properties on Graphs and Minimal Conceptual Connections in Semantic Data Models	ACM SIGACT-SIGMOD Symp. on Principles of Database Systems 4.	1985	Mar	\N	\N	\N	Un. La Sapienza	> DBDdesign>	\N	\N
Baldissera1979:1	Interactive Specification and Formal Verification of User's Views in Data Base Design	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Rio de Janeiro.	1979	Oct	\N	\N	5	Politecnica di Milan o(Italy)	> DBDdesign><Stdt File Ceri	\N	\N
Balzer1982	Specification Based Computing Environments	Proceedings of the Conference on Very Large Databases Morgan Kaufman pubs. (Los Altos CA) Mexico City.	1982	Sep	273--279	\N	8	\N	> DBDkb> DBDquery.3.3>	\N	\N
Banerjee1987	Semantics and Implementation of Schema Evolution in Object-Oriented Databases	ACM SIGMOD Conf. on the Management of Data 87.	1987	May	\N	\N	\N	MCC	> DBDobject> DBDschema>	\N	single class hierarchy multiple inheritance
Banerjee1988	Queries in Object-Oriented Databases	Proc.IEEE CS Intl.Conf. on Data Engineering 4 Los Angeles.	1988	Feb	\N	\N	\N	\N	> DBDobject>	\N	\N
Barbic1985	Time Modeling of Office Information	ACM SIGMOD Conf. on the Management of Data Proc. Austin.	1985	\N	\N	\N	\N	\N	> DBDmodel> DBDoffice>	\N	Temporal Semantic Office System (TSOS). Precise defionitions. Cyclic periodic events. Triggers (activation rules).
Bassiouni1989	On Software and Hardware Techniques of Data Encoding	Proc.IEEE CS Intl.Conf. on Data Engineering 5 Los Angeles.	1989	Feb	\N	\N	\N	\N	> DBFrepresent>	\N	\N
Beck1989	Classification as a Query Processing Technique in the {CANDIDE} Semantic Data Model	Proc.IEEE CS Intl.Conf. on Data Engineering 5 Los Angeles.	1989	Feb	\N	\N	\N	\N	> DBDquery>	\N	\N
\.


--
-- Data for Name: inprocpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY inprocpublished (inprocid, authid) FROM stdin;
Abbod1987	1441
Adiba1978	1482
Agrawal1983	919
Amer1987	1588
Andrews1990:2	1610
Ashok1984	1657
Auddino1992	1695
Ausiello1985	1699
Baldissera1979:1	70
Balzer1982	1730
Banerjee1987	1156
Banerjee1988	1156
Barbic1985	1764
Bassiouni1989	1784
Beck1989	1817
\.


--
-- Data for Name: manual; Type: TABLE DATA; Schema: public; Owner: -
--

COPY manual (manid, title, org, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
INTREX1966	{INTREX} Semiannual Activity Reports {PR}-1 to {PR}-10	Machine Intelligence eds: Meltzer o.o. and Michie vars. PublishersT Project INTREX TRs No.PR-1...PR-10...Sep.1970	1966	Mar	\N	\N	\N	MIT (Cambridge MA)	> DBDquery>	\N	\N
Izdatel1984	List of Abbreviations	Organizatsionnyye formy ispol'zovaniya EVM (Organizational Patterns of Computer Usage) Kiev Naukova dumka.	1984	\N	236--239	\N	\N	\N	> DBDadmin><FASAC 10	useful list of abbreviations. Regional centralization proposal.	\N
Japan1981	Proc.of International Conference on Fifth Generation Computer Systems	Japan IPDC.	1981	Oct	\N	\N	\N	\N	> EIS><home bookshelf	\N	\N
\.


--
-- Data for Name: manualpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY manualpublished (manid, authid) FROM stdin;
INTREX1966	347
Izdatel1984	358
Japan1981	359
\.


--
-- Data for Name: misc; Type: TABLE DATA; Schema: public; Owner: -
--

COPY misc (miscid, title, howpub, confloc, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Parimala1989	A query facility to a network {DBMS}	Computer J.; ACM Computing Reviews 8912-0900.	\N	1989	Feb	\N	32	1	CMC India	> DBDquery>	\N	\N
Yao1974	Evaluation and Optimization of File Organizations through Analytic Modelling	PhD Th. Un.Michigan Comp.and Comm.Sc.	\N	1974	\N	\N	\N	\N	\N	> DBFtechn.2><x	\N	\N
\.


--
-- Data for Name: miscpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY miscpublished (miscid, authid) FROM stdin;
Parimala1989	14
Yao1974	18
\.


--
-- Data for Name: techpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY techpublished (techid, authid) FROM stdin;
Accetta1980	709
Atzeni1983	761
Baeck1985	780
Batini1982:1	60
\.


--
-- Data for Name: techreport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY techreport (techid, title, inst, year, month, pages, vol, num, loc, class, note, annote) FROM stdin;
Accetta1980	The Design of a Network Based Central File System	CMU TR.80-123.	1980	Aug	\N	\N	\N	\N	> DBDdist> DBFsyseval>	\N	\N
Atzeni1983	Computer Aided Tool for Conceptual Data Base Design	Un.Studi Inst.Automatica TR.	1983	\N	\N	\N	\N	Un.Studi Roma Inst.Automatica	> DBDmodel><DBfile	\N	\N
Baeck1985	Evaluation of Open Source Literature Databases	SRI Project ESU 7801 Contract -D-3323.	1985	\N	\N	\N	84	\N	> DBDQuery><DBfile	\N	\N
Batini1982:1	Methodology and Tools for Data Base	Un.Roma Inst.Automatica	1982	Jun	\N	\N	\N	\N	> DBDmodel.6><DBfile	\N	\N
\.


--
-- Name: article_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_pkey PRIMARY KEY (articleid);


--
-- Name: articlepublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_pkey PRIMARY KEY (articleid, authid);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (authid);


--
-- Name: book_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY book
    ADD CONSTRAINT book_pkey PRIMARY KEY (bookid);


--
-- Name: bookpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_pkey PRIMARY KEY (bookid, authid);


--
-- Name: incollection_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY incollection
    ADD CONSTRAINT incollection_pkey PRIMARY KEY (collid);


--
-- Name: incollpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_pkey PRIMARY KEY (collid, authid);


--
-- Name: inproceedings_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY inproceedings
    ADD CONSTRAINT inproceedings_pkey PRIMARY KEY (inprocid);


--
-- Name: inprocpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_pkey PRIMARY KEY (inprocid, authid);


--
-- Name: manual_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY manual
    ADD CONSTRAINT manual_pkey PRIMARY KEY (manid);


--
-- Name: manualpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_pkey PRIMARY KEY (manid, authid);


--
-- Name: misc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY misc
    ADD CONSTRAINT misc_pkey PRIMARY KEY (miscid);


--
-- Name: miscpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_pkey PRIMARY KEY (miscid, authid);


--
-- Name: techpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_pkey PRIMARY KEY (techid, authid);


--
-- Name: techreport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY techreport
    ADD CONSTRAINT techreport_pkey PRIMARY KEY (techid);


--
-- Name: articlepublished_articleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_articleid_fkey FOREIGN KEY (articleid) REFERENCES article(articleid) ON DELETE CASCADE;


--
-- Name: articlepublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articlepublished
    ADD CONSTRAINT articlepublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: bookpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: bookpublished_bookid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bookpublished
    ADD CONSTRAINT bookpublished_bookid_fkey FOREIGN KEY (bookid) REFERENCES book(bookid) ON DELETE CASCADE;


--
-- Name: incollpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: incollpublished_collid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY incollpublished
    ADD CONSTRAINT incollpublished_collid_fkey FOREIGN KEY (collid) REFERENCES incollection(collid) ON DELETE CASCADE;


--
-- Name: inprocpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: inprocpublished_inprocid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY inprocpublished
    ADD CONSTRAINT inprocpublished_inprocid_fkey FOREIGN KEY (inprocid) REFERENCES inproceedings(inprocid) ON DELETE CASCADE;


--
-- Name: manualpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: manualpublished_manid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY manualpublished
    ADD CONSTRAINT manualpublished_manid_fkey FOREIGN KEY (manid) REFERENCES manual(manid) ON DELETE CASCADE;


--
-- Name: miscpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: miscpublished_miscid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY miscpublished
    ADD CONSTRAINT miscpublished_miscid_fkey FOREIGN KEY (miscid) REFERENCES misc(miscid) ON DELETE CASCADE;


--
-- Name: techpublished_authid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_authid_fkey FOREIGN KEY (authid) REFERENCES author(authid) ON DELETE CASCADE;


--
-- Name: techpublished_techid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY techpublished
    ADD CONSTRAINT techpublished_techid_fkey FOREIGN KEY (techid) REFERENCES techreport(techid) ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

