--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s2_a;
--
-- Name: amalgam_s2_a; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s2_a WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s2_a

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: abstracts; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE abstracts (
    citkey text NOT NULL,
    txt text
);


--
-- Name: addresses; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE addresses (
    citkey text NOT NULL,
    address text
);


--
-- Name: allbibs; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE allbibs (
    citkey text NOT NULL
);


--
-- Name: authors; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authors (
    citkey text NOT NULL,
    autnm text NOT NULL
);


--
-- Name: booktitle; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE booktitle (
    bktitlenm text,
    bktitleid integer NOT NULL
);


--
-- Name: citbktitle; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citbktitle (
    citkey text NOT NULL,
    bktitleid integer NOT NULL
);


--
-- Name: citform; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citform (
    citkey text NOT NULL,
    form text
);


--
-- Name: citjournal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citjournal (
    citkey text NOT NULL,
    jrnlid integer NOT NULL
);


--
-- Name: citkeywd; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citkeywd (
    citkey text NOT NULL,
    keywdid integer NOT NULL
);


--
-- Name: citpublisher; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citpublisher (
    citkey text NOT NULL,
    pubid integer NOT NULL
);


--
-- Name: citseries; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citseries (
    citkey text NOT NULL,
    seriesid integer NOT NULL
);


--
-- Name: editors; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE editors (
    citkey text NOT NULL,
    ednm text NOT NULL
);


--
-- Name: institutions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE institutions (
    citkey text NOT NULL,
    institnm text
);


--
-- Name: isbn; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE isbn (
    citkey text NOT NULL,
    isbnnum text
);


--
-- Name: journal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE journal (
    jrnlnm text,
    jrnlid integer NOT NULL
);


--
-- Name: keyword; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE keyword (
    word text,
    keywdid integer NOT NULL
);


--
-- Name: months; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE months (
    citkey text NOT NULL,
    mon text
);


--
-- Name: notes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notes (
    citkey text NOT NULL,
    note text NOT NULL
);


--
-- Name: numbers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE numbers (
    citkey text NOT NULL,
    num text
);


--
-- Name: pages; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE pages (
    citkey text NOT NULL,
    pgrange text
);


--
-- Name: publisher; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE publisher (
    pubnm text,
    pubid integer NOT NULL
);


--
-- Name: schools; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE schools (
    citkey text NOT NULL,
    schoolnm text
);


--
-- Name: series; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE series (
    seriesnm text,
    seriesid integer NOT NULL
);


--
-- Name: titles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE titles (
    citkey text NOT NULL,
    title text
);


--
-- Name: types; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE types (
    citkey text NOT NULL,
    type text
);


--
-- Name: volumes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE volumes (
    citkey text NOT NULL,
    volnum text
);


--
-- Name: years; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE years (
    citkey text NOT NULL,
    yr text
);


--
-- Data for Name: abstracts; Type: TABLE DATA; Schema: public; Owner: -
--

COPY abstracts (citkey, txt) FROM stdin;
Casa88a	We discuss a distributed object-oriented system written in LISP that implements KNOs (KNowledge acquisition dissemination and manipulation Objects).  The system emphasizes advanced features like object autonomy mobility and dynamic inheritance. The objects are active independent entities that can travel in a local area network and protect themselves from external aggressions.  A dynamic inheritance mechanism enables them to modify their behaviour during their lifetime.  We give a description of our system and illustrate its functionality with selected examples.
Nier86a	Object-oriented programming has become quite widespread in recent years although there are few guidelines to help us distinguish when a system is ``truly'' object-oriented or not.  In this paper we discuss what have emerged as the main concepts in the object-oriented approach and we attempt to motivate these concepts in terms of how they aid in software development.
Nier89b	New techniques are sorely needed to aid in the development and maintenance of large application systems.  The problem with traditional approaches to software engineering is well in evidence in the field of office information systems: it is costly and difficult to extend existing applications and to get unrelated applications to ``talk'' to each other.  The object-oriented approach is already being tentatively applied in the modeling of ``office objects'' and in the presentation of these entities to users as such in ``desktop'' interfaces to office software.  In order to fully exploit the approach to achieve integrated office systems we need to use object-oriented programming languages object-oriented run-time support and object-oriented software engineering environments.
Nier95d	Previous work on type-theoretic foundations for object-oriented programming languages has mostly focused on applying or extending functional type theory to functional objects. This approach while benefiting from a vast body of existing literature has the disadvantage of dealing with state change either in a roundabout way or not at all and completely sidestepping issues of concurrency. In particular dynamic issues of non-uniform service availability and conformance to protocols are not addressed by functional types. We propose a new type framework that characterizes objects as regular (finite state) processes that provide guarantees of service along public channels. We also propose a new notion of subtyping for active objects based on Brinksma's notion of extension that extends Wegner and Zdonik's principle of substitutability to non-uniform service availability. Finally we formalize what it means to satisfy a client's expectations and we show how regular types can be used to tell when sequential or concurrent clients are satisfied.
\.


--
-- Data for Name: addresses; Type: TABLE DATA; Schema: public; Owner: -
--

COPY addresses (citkey, address) FROM stdin;
Atki91a	Reading Mass.
Casa88a	Palo Alto
Died89a	Reading Mass.
Dixo89b	Nottingham
Fink92a	Cachan France
Hopc79a	Reading Mass.
Kais88a	San Jose CA
Lafo88a	Isle of Thorna
Nguy92a	Utrecht The Netherlands
Nier86a	Renesse The Netherlands
Nier89b	Reading Mass.
Norm92a	Utrecht The Netherlands
Pun89a	Nottingham
\.


--
-- Data for Name: allbibs; Type: TABLE DATA; Schema: public; Owner: -
--

COPY allbibs (citkey) FROM stdin;
ACM94c
Alle92a
Atki91a
Barb93a
Berg94b
Bert91a
Burl94a
Buxt83a
Carg86a
Casa88a
Ciup99a
Clyd92a
Cook84a
Corb94a
Cruz99a
Dam90a
Deme98n
Deme99f
Died89a
Dixo89b
Fink92a
From91a
Gill92a
Graf86a
Hopc79a
Kais88a
Kemp87b
Laff85a
Lafo88a
Land81a
Larm98a
Lisk99a
Maie86a
Marq89a
McAl86a
McCu87a
McGi92a
Nest92a
Nguy92a
Nier86a
Nier89b
Nier95d
Norm92a
Pun89a
Rasm99a
Sced90a
Wall96b
Wind98a
Yoko92a
Yosh92b
\.


--
-- Data for Name: authors; Type: TABLE DATA; Schema: public; Owner: -
--

COPY authors (citkey, autnm) FROM stdin;
ACM94c	ACM
Alle92a	Robert Allen
Alle92a	David Garlan
Atki91a	Colin Atkinson
Barb93a	Franck Barbier
Barb93a	Jean Bezivin
Berg94b	Paul Bergstein
Bert91a	Elisa Bertino
Bert91a	Lorenzo Martino
Burl94a	Donald K. Burleson
Buxt83a	W. Buxton
Buxt83a	M.R. Lamb
Buxt83a	Dave Sherman
Buxt83a	K.C. Smith
Carg86a	T.A. Cargill
Casa88a	Eduardo Casais
Clyd92a	Stephen W. Clyde
Clyd92a	David W. Embley
Clyd92a	Scott N. Woodfield
Cook84a	P.R. Cook
Corb94a	P. Corbellini
Corb94a	Della Vigna
Corb94a	F. Mercalli
Corb94a	M. Pugliese
Cruz99a	Juan-Carlos Cruz
Cruz99a	Stephane Ducasse
Dam90a	Mads Dam
Deme98n	Serge Demeyer
Deme98n	Stephane Ducasse
Died89a	Jim Diederich
Died89a	Jack Milton
Dixo89b	G.N. Dixon
Dixo89b	Graham D. Parrington
Dixo89b	Santosh K. Shrivastava
Dixo89b	Stuart M. Wheater
From91a	Markus Fromherz
Gill92a	Alan C. Gillies
Graf86a	Suzanne Graf
Graf86a	Joseph Sifakis
Hopc79a	John E. Hopcroft
Hopc79a	Jeffrey D. Ullman
Kais88a	Gail E. Kaiser
Kais88a	Simon M. Kaplan
Kemp87b	Renate Kempf
Kemp87b	Marilyn Stelzner
Laff85a	M.R. Laff
Laff85a	Brent Hailpern
Lafo88a	Yves Lafont
Land81a	C.E. Landwehr
Larm98a	Craig Larman
Maie86a	David Maier
Maie86a	Jacob Stein
Maie86a	Allen Otis
Maie86a	Alan Purdy
Marq89a	Jose Alves Marques
Marq89a	Paulo Guedes
McAl86a	David McAllester
McAl86a	Ramin Zabih
McCu87a	Paul L. McCullough
McGi92a	Henry McGilton
McGi92a	Mary Campione
Nest92a	Uwe Nestmann
Nest92a	Laszlo Teleki
Nguy92a	G.T. Nguyen
Nguy92a	D. Rieu
Nguy92a	J. Escamilla
Nier86a	Oscar Nierstrasz
Nier89b	Oscar Nierstrasz
Nier89b	Dennis Tsichritzis
Nier95d	Oscar Nierstrasz
Norm92a	Veronique Normand
Norm92a	Joelle Coutaz
Pun89a	Winnie W.Y. Pun
Pun89a	Russel L. Winder
Rasm99a	Daniel W. Rasmus
Sced90a	A. Scedrov
Wall96b	Larry Wall
Wall96b	Randal L. Schwartz
Wind98a	Russel Winder
Wind98a	Graham Roberts
Yoko92a	Yasuhiko Yokote
Yosh92b	Nobuko Yoshida
Yosh92b	Kohei Honda
Yosh92b	Mario Tokoro
\.


--
-- Data for Name: booktitle; Type: TABLE DATA; Schema: public; Owner: -
--

COPY booktitle (bktitlenm, bktitleid) FROM stdin;
Proceedings OOPSLA '86 ACM SIGPLAN Notices	4
Proceedings OOPSLA '89 ACM SIGPLAN Notices	12
Proceedings OOPSLA '92 ACM SIGPLAN Notices	21
Proceedings ECOOP'92	22
Proceedings OOPSLA '87 ACM SIGPLAN Notices	28
Object-Oriented Software Composition	47
Proceedings ECOOP'89	52
Proceedings ECOOP'99	65
Object-Oriented Concepts Databases and Applications	75
Proceedings Object-Oriented Methodologies and Systems	80
Proceedings of the ACM Conference on Office Information Systems (COIS)	117
Proceedings of Coordination'99 LNCS 1594	135
Object-Oriented Technology (ECOOP'98 Workshop Reader)	145
Proceedings 8th International Conference on Distributed Computing Systems	239
Proceedings of the CERN School of Computing	332
\.


--
-- Data for Name: citbktitle; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citbktitle (citkey, bktitleid) FROM stdin;
Carg86a	4
Casa88a	117
Clyd92a	21
Corb94a	80
Cruz99a	135
Deme98n	145
Died89a	75
Dixo89b	52
Kais88a	239
Kemp87b	28
Lisk99a	65
Maie86a	4
Marq89a	12
McAl86a	4
McCu87a	28
Nguy92a	22
Nier86a	332
Nier89b	75
Nier95d	47
Norm92a	22
Pun89a	52
Yoko92a	21
\.


--
-- Data for Name: citform; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citform (citkey, form) FROM stdin;
ACM94c	article
Alle92a	techreport
Atki91a	book
Barb93a	unpublished
Berg94b	phdthesis
Bert91a	article
Burl94a	book
Buxt83a	article
Carg86a	inproceedings
Casa88a	inproceedings
Ciup99a	book
Clyd92a	inproceedings
Cook84a	article
Corb94a	inproceedings
Cruz99a	inproceedings
Dam90a	phdthesis
Deme98n	inproceedings
Deme99f	book
Died89a	incollection
Dixo89b	inproceedings
Fink92a	book
From91a	techreport
Gill92a	book
Graf86a	article
Hopc79a	book
Kais88a	inproceedings
Kemp87b	inproceedings
Laff85a	techreport
Lafo88a	techreport
Land81a	article
Larm98a	book
Lisk99a	inproceedings
Maie86a	inproceedings
Marq89a	inproceedings
McAl86a	inproceedings
McCu87a	inproceedings
McGi92a	book
Nest92a	techreport
Nguy92a	inproceedings
Nier86a	inproceedings
Nier89b	incollection
Nier95d	incollection
Norm92a	inproceedings
Pun89a	inproceedings
Rasm99a	book
Sced90a	article
Wall96b	book
Wind98a	book
Yoko92a	inproceedings
Yosh92b	techreport
\.


--
-- Data for Name: citjournal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citjournal (citkey, jrnlid) FROM stdin;
ACM94c	0
Bert91a	11
Buxt83a	29
Cook84a	21
Graf86a	52
Land81a	16
Sced90a	119
\.


--
-- Data for Name: citkeywd; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citkeywd (citkey, keywdid) FROM stdin;
ACM94c	0
Alle92a	2
Alle92a	25
Alle92a	26
Alle92a	27
Alle92a	7
Atki91a	63
Atki91a	147
Atki91a	23
Atki91a	0
Barb93a	183
Barb93a	2
Barb93a	7
Berg94b	200
Bert91a	221
Bert91a	70
Bert91a	53
Burl94a	302
Burl94a	184
Burl94a	0
Buxt83a	250
Buxt83a	312
Buxt83a	313
Carg86a	18
Carg86a	44
Carg86a	335
Carg86a	336
Carg86a	21
Casa88a	51
Casa88a	343
Casa88a	130
Casa88a	128
Casa88a	199
Ciup99a	2
Ciup99a	363
Ciup99a	203
Ciup99a	47
Ciup99a	364
Clyd92a	2
Clyd92a	86
Cook84a	18
Cook84a	380
Cook84a	381
Corb94a	2
Corb94a	222
Cruz99a	2
Cruz99a	46
Cruz99a	47
Cruz99a	364
Dam90a	28
Dam90a	236
Dam90a	7
Dam90a	8
Deme98n	2
Deme98n	412
Deme98n	188
Deme98n	413
Deme98n	423
Deme98n	318
Deme98n	393
Deme99f	2
Deme99f	363
Deme99f	188
Deme99f	419
Deme99f	47
Deme99f	364
Died89a	24
Died89a	301
Died89a	433
Dixo89b	51
Dixo89b	436
Dixo89b	155
Fink92a	2
Fink92a	466
Fink92a	0
From91a	51
From91a	482
From91a	7
From91a	8
Gill92a	514
Gill92a	0
Graf86a	28
Graf86a	29
Graf86a	236
Graf86a	164
Graf86a	165
Graf86a	7
Hopc79a	4
Hopc79a	562
Hopc79a	23
Kais88a	63
Kais88a	171
Kais88a	14
Kais88a	599
Kais88a	3
Kemp87b	2
Kemp87b	96
Laff85a	51
Laff85a	634
Lafo88a	12
Lafo88a	7
Land81a	368
Land81a	2
Larm98a	300
Lisk99a	2
Lisk99a	197
Maie86a	24
Maie86a	672
Maie86a	21
Marq89a	2
Marq89a	54
McAl86a	67
McAl86a	2
McAl86a	21
McCu87a	2
McCu87a	96
McGi92a	683
McGi92a	0
Nest92a	28
Nest92a	7
Nest92a	8
Nguy92a	2
Nguy92a	87
Nier86a	2
Nier86a	70
Nier86a	56
Nier86a	468
Nier89b	18
Nier89b	70
Nier89b	130
Nier89b	128
Nier89b	433
Nier95d	63
Nier95d	56
Nier95d	740
Nier95d	188
Nier95d	736
Nier95d	735
Nier95d	530
Nier95d	665
Nier95d	45
Norm92a	2
Norm92a	87
Pun89a	2
Pun89a	301
Pun89a	7
Pun89a	155
Rasm99a	0
Sced90a	14
Sced90a	31
Sced90a	32
Sced90a	30
Wall96b	217
Wall96b	874
Wall96b	7
Wall96b	8
Wall96b	23
Wall96b	0
Yoko92a	2
Yoko92a	86
Yosh92b	63
Yosh92b	149
Yosh92b	7
\.


--
-- Data for Name: citpublisher; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citpublisher (citkey, pubid) FROM stdin;
Atki91a	28
Burl94a	51
Ciup99a	61
Corb94a	0
Deme98n	0
Deme99f	71
Died89a	77
Dixo89b	23
Fink92a	0
Gill92a	98
Hopc79a	4
Kais88a	79
Larm98a	13
Lisk99a	0
McGi92a	4
Nguy92a	0
Nier89b	77
Nier95d	13
Norm92a	0
Pun89a	23
Rasm99a	23
Wall96b	44
Wind98a	130
\.


--
-- Data for Name: citseries; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citseries (citkey, seriesid) FROM stdin;
Corb94a	34
Deme98n	62
Deme99f	64
Fink92a	73
Lisk99a	31
Nguy92a	9
Norm92a	9
\.


--
-- Data for Name: editors; Type: TABLE DATA; Schema: public; Owner: -
--

COPY editors (citkey, ednm) FROM stdin;
Ciup99a	Stephane Ducasse
Ciup99a	Oliver Ciupke
Corb94a	E. Bertino
Corb94a	S. Urban
Deme98n	Serge Demeyer
Deme98n	Jan Bosch
Deme99f	Serge Demeyer
Deme99f	Harald Gall
Died89a	W. Kim
Died89a	F. Lochovsky
Dixo89b	S. Cook
Fink92a	A. Finkel
Fink92a	M. Jantzen
Lisk99a	R. Guerraoui
Nguy92a	O. Lehrmann Madsen
Nier89b	W. Kim
Nier89b	F. Lochovsky
Nier95d	O. Nierstrasz
Nier95d	D. Tsichritzis
Norm92a	O. Lehrmann Madsen
Pun89a	S. Cook
\.


--
-- Data for Name: institutions; Type: TABLE DATA; Schema: public; Owner: -
--

COPY institutions (citkey, institnm) FROM stdin;
ACM94c	ACM
Alle92a	Carnegie Mellon University
From91a	University of Zurich
Laff85a	IBM Thomas J. Watson Research Center Yorktown Heights New York
Nest92a	Univ. Erlangen-Nurnberg
\.


--
-- Data for Name: isbn; Type: TABLE DATA; Schema: public; Owner: -
--

COPY isbn (citkey, isbnnum) FROM stdin;
\.


--
-- Data for Name: journal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY journal (jrnlnm, jrnlid) FROM stdin;
Communications of the ACM	0
IEEE Computer	11
ACM Computing Surveys	16
Byte	21
Computer Graphics	29
Acta Informatica	52
Bulletin of the EATCS	119
\.


--
-- Data for Name: keyword; Type: TABLE DATA; Schema: public; Owner: -
--

COPY keyword (word, keywdid) FROM stdin;
scglib	0
olit	2
binder(patterns)	3
misc	4
binder	7
(shelf)	8
linear-logic	12
concurrency	14
olit-appl	18
oopsla86	21
book	23
olit-db	24
visprog	25
composition	26
architecture	27
pcalc	28
equivalence	29
binder(conc)	30
linear	31
logic	32
pi	44
omnrep	45
scg-coord-99	46
fnrs99	47
olit-oopl	51
(smc)	53
oopsla89	54
osg	56
olit-obc	63
types	67
survey	70
oopsla92	86
ecoop92proc	87
oopsla87	96
aoe88	128
osg-ftp	130
dragoon	147
obc92	149
ecoop89proc	155
regular	164
processes	165
obcp	171
oobib(gen)	183
distributed	184
scg-pub	188
ecoop99proc	197
oobib(sys)	199
olit-reuse	200
oobib	203
pl	217
oodb-olit	221
isooms94	222
ccs	236
uilit	250
uml	300
design	301
databases	302
menulay	312
uims	313
metrics	318
debugger	335
c++	336
knos	343
famoos-wrkproc	363
jb99	364
security	368
hypertext	380
multimedia	381
jb98	393
famoos-papunr	412
sergedem-papunr	413
sergedem-wrkproc	419
fnrs98	423
oocda89	433
arjuna	436
stacts92	466
oat87	468
explore/l	482
olit-gen	514
jb94	530
automata	562
prototyping	599
smallworld	634
scg-coord-old	665
gemstone	672
postscript	683
rtao	735
fnrs95	736
OOSC04	740
perl	874
\.


--
-- Data for Name: months; Type: TABLE DATA; Schema: public; Owner: -
--

COPY months (citkey, mon) FROM stdin;
ACM94c	jun
Alle92a	jul
Bert91a	apr
Buxt83a	jul
Carg86a	nov
Casa88a	mar
Ciup99a	jun
Clyd92a	oct
Cook84a	jul
Dam90a	sep
Deme99f	sep
Dixo89b	July 10-14
Fink92a	feb
From91a	jun
Kais88a	June 13-17
Kemp87b	dec
Lafo88a	aug
Land81a	sep
Lisk99a	jun
Maie86a	nov
Marq89a	oct
McAl86a	nov
McCu87a	dec
Nest92a	dec
Nguy92a	jun
Nier86a	sep
Norm92a	jun
Pun89a	July 10-14
Sced90a	jun
Yoko92a	oct
\.


--
-- Data for Name: notes; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notes (citkey, note) FROM stdin;
Barb93a	Universite de Nantes
Carg86a	Published as Proceedings OOPSLA '86 ACM SIGPLAN Notices volume 21 number 11
Clyd92a	Published as Proceedings OOPSLA '92 ACM SIGPLAN Notices volume 27 number 10
Kemp87b	Published as Proceedings OOPSLA '87 ACM SIGPLAN Notices volume 22 number 12
Maie86a	Published as Proceedings OOPSLA '86 ACM SIGPLAN Notices volume 21 number 11
Marq89a	Published as Proceedings OOPSLA '89 ACM SIGPLAN Notices volume 24 number 10
McAl86a	Published as Proceedings OOPSLA '86 ACM SIGPLAN Notices volume 21 number 11
McCu87a	Published as Proceedings OOPSLA '87 ACM SIGPLAN Notices volume 22 number 12
Nest92a	submitted for publication
Yoko92a	Published as Proceedings OOPSLA '92 ACM SIGPLAN Notices volume 27 number 10
\.


--
-- Data for Name: numbers; Type: TABLE DATA; Schema: public; Owner: -
--

COPY numbers (citkey, num) FROM stdin;
ACM94c	6
Bert91a	4
Buxt83a	3
Dam90a	report CST-66-90
From91a	91.06
Graf86a	5
Land81a	3
\.


--
-- Data for Name: pages; Type: TABLE DATA; Schema: public; Owner: -
--

COPY pages (citkey, pgrange) FROM stdin;
Bert91a	33-48
Buxt83a	35-42
Carg86a	350-360
Casa88a	284-290
Clyd92a	452-465
Cook84a	151-167
Corb94a	359-370
Cruz99a	355-371
Died89a	177-197
Dixo89b	169-189
Graf86a	507-528
Kais88a	250-255
Kemp87b	11-25
Land81a	247-278
Lisk99a	230-257
Maie86a	472-482
Marq89a	113-122
McAl86a	417-423
McCu87a	331-341
Nguy92a	233-251
Nier86a	43-53
Nier89b	199-215
Nier95d	99-121
Norm92a	153-169
Pun89a	225-240
Sced90a	154-165
Yoko92a	414-434
\.


--
-- Data for Name: publisher; Type: TABLE DATA; Schema: public; Owner: -
--

COPY publisher (pubnm, pubid) FROM stdin;
Springer-Verlag	0
Addison-Wesley	4
Prentice Hall	13
Cambridge University Press	23
Addison-Wesley/ACM Press	28
O'Reilly & Associates Inc.	44
Wiley-QED	51
Forschungszentrum Informatik Karlsruhe Germany	61
Technical University of Vienna -    Information Systems Institute - Distributed Systems Group	71
ACM Press and Addison-Wesley	77
IEEE Computer Society	79
Thomson Computer Press	98
Wiley	130
\.


--
-- Data for Name: schools; Type: TABLE DATA; Schema: public; Owner: -
--

COPY schools (citkey, schoolnm) FROM stdin;
Berg94b	Northeastern University MA
Dam90a	Computer Science Dept. University of Edinburgh
\.


--
-- Data for Name: series; Type: TABLE DATA; Schema: public; Owner: -
--

COPY series (seriesnm, seriesid) FROM stdin;
LNCS 615	9
LCNS 1628	31
LNCS 858	34
LNCS 1543	62
TUV-1841-99-13	64
LNCS 577	73
\.


--
-- Data for Name: titles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY titles (citkey, title) FROM stdin;
ACM94c	The Making of the PowerPC
Alle92a	Towards Formalized Software Architecture
Atki91a	Object-Oriented Reuse Concurrency and Distribution
Barb93a	Object-Oriented Design: The OSM scheme
Berg94b	Managing the Evolution of Object-Oriented Systems
Bert91a	Object-Oriented Database Management Systems: Concepts and Issues
Burl94a	Managing Distributed Databases
Buxt83a	Towards a Comprehensive User Interface Management System
Carg86a	Pi: A Case Study in Object-Oriented Programming
Casa88a	An Object-Oriented System Implementing KNOs
Ciup99a	Proceedings of the ECOOP'99 Workshop on Experiences in Object-Oriented Re-Engineering
Clyd92a	Tunable Formalism in Object-Oriented Systems Analysis:    Meeting the Needs of Both Theoreticians and Practitioners
Cook84a	Electronic Encyclopedias
Corb94a	Object-Oriented Approach to the Integration of Online Services    into Office Automation Environments
Cruz99a	A Group Based Approach for Coordinating Active Objects
Dam90a	Relevance Logic and Concurrent Composition
Deme98n	Do Metrics Support Framework Development ?
Deme99f	Proceedings of the ESEC/FSE'99 Workshop on Object-Oriented Re-engineering (WOOR'99)
Died89a	Objects Messages and Rules in Database Design
Fink92a	Proceedings STACS'92
From91a	Explore/L -- An Object-Oriented Logic Language
Gill92a	Software Quality
Graf86a	A Logic for the Specification and Proof of Regular Controllable    Processes of CCS
Hopc79a	Introduction to Automata Theory Languages and Computation
Kais88a	Rapid Prototyping of Concurrent Programming Languages
Kemp87b	Teaching Object-Oriented Programming with the KEE System
Laff85a	SW 2 -- An Object-based Programming Environment
Lafo88a	Introduction to Linear Logic
Land81a	Formal Models for Computer Security
Larm98a	Applying UML and Patterns An Introdcution to Object-Oriented Analysis and Design
Lisk99a	Providing Persistent Objects in Distributed Systems
Maie86a	Development of an Object-Oriented DBMS
Marq89a	Extending the Operating System to Support an Object-Oriented Environment
McAl86a	Boolean Classes
McCu87a	Transparent Forwarding: First Steps
McGi92a	PostScript by Example
Nest92a	A Chemical Abstract Machine for a Calculus of Communicating Functions
Nguy92a	An Object Model for Engineering Design
Nier86a	What is the `Object' in Object-oriented Programming?
Nier89b	Integrated Office Systems
Nier95d	Regular Types for Active Objects
Norm92a	Unifying the Design and Implementation of User Interfaces through    the Object Paradigm
Pun89a	A Design Method for Object-Oriented Programming
Rasm99a	Rethinking Smart Objects
Sced90a	A Brief Guide to Linear Logic
Wall96b	Programming Perl
Wind98a	Developing Java Software
Yoko92a	The Apertos Reflective Operating System: The Concept and its Implementation
Yosh92b	Functional Composition in Object Paradigm
\.


--
-- Data for Name: types; Type: TABLE DATA; Schema: public; Owner: -
--

COPY types (citkey, type) FROM stdin;
Alle92a	CMU-CS-92-163
Barb93a	draft
Berg94b	Ph.D. Thesis
Dam90a	Ph.D. Thesis
From91a	Report
Laff85a	technical report
Lafo88a	Lecture notes for the Summer School on Constructive Logics and    Category Theory
Nest92a	IMMD7-14/92
Yosh92b	submission to ECOOP 92 workshop on Object-Based Concurrency and Reuse
\.


--
-- Data for Name: volumes; Type: TABLE DATA; Schema: public; Owner: -
--

COPY volumes (citkey, volnum) FROM stdin;
ACM94c	37
Bert91a	24
Buxt83a	17
Graf86a	23
Land81a	13
Nier86a	CERN 87-04
Sced90a	41
\.


--
-- Data for Name: years; Type: TABLE DATA; Schema: public; Owner: -
--

COPY years (citkey, yr) FROM stdin;
ACM94c	1994
Alle92a	1992
Atki91a	1991
Barb93a	1993
Berg94b	1994
Bert91a	1991
Burl94a	1994
Buxt83a	1983
Carg86a	1986
Casa88a	1988
Ciup99a	1999
Clyd92a	1992
Cook84a	1984
Corb94a	1994
Cruz99a	1999
Dam90a	1990
Deme98n	1998
Deme99f	1999
Died89a	1989
Dixo89b	1989
Fink92a	1992
From91a	1991
Gill92a	1992
Graf86a	1986
Hopc79a	1979
Kais88a	1988
Kemp87b	1987
Laff85a	1985
Lafo88a	1988
Land81a	1981
Larm98a	1998
Lisk99a	1999
Maie86a	1986
Marq89a	1989
McAl86a	1986
McCu87a	1987
McGi92a	1992
Nest92a	1992
Nguy92a	1992
Nier86a	1986
Nier89b	1989
Nier95d	1995
Norm92a	1992
Pun89a	1989
Rasm99a	1999
Sced90a	1990
Wall96b	1990
Wind98a	1998
Yoko92a	1992
Yosh92b	1992
\.


--
-- Name: abstracts_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY abstracts
    ADD CONSTRAINT abstracts_pkey PRIMARY KEY (citkey);


--
-- Name: addresses_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY addresses
    ADD CONSTRAINT addresses_pkey PRIMARY KEY (citkey);


--
-- Name: allbibs_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY allbibs
    ADD CONSTRAINT allbibs_pkey PRIMARY KEY (citkey);


--
-- Name: authors_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authors
    ADD CONSTRAINT authors_pkey PRIMARY KEY (citkey, autnm);


--
-- Name: booktitle_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY booktitle
    ADD CONSTRAINT booktitle_pkey PRIMARY KEY (bktitleid);


--
-- Name: citbktitle_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_pkey PRIMARY KEY (citkey, bktitleid);


--
-- Name: citform_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citform
    ADD CONSTRAINT citform_pkey PRIMARY KEY (citkey);


--
-- Name: citjournal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_pkey PRIMARY KEY (citkey, jrnlid);


--
-- Name: citkeywd_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_pkey PRIMARY KEY (citkey, keywdid);


--
-- Name: citpublisher_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_pkey PRIMARY KEY (citkey, pubid);


--
-- Name: citseries_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_pkey PRIMARY KEY (citkey, seriesid);


--
-- Name: editors_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY editors
    ADD CONSTRAINT editors_pkey PRIMARY KEY (citkey, ednm);


--
-- Name: institutions_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY institutions
    ADD CONSTRAINT institutions_pkey PRIMARY KEY (citkey);


--
-- Name: isbn_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY isbn
    ADD CONSTRAINT isbn_pkey PRIMARY KEY (citkey);


--
-- Name: journal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY journal
    ADD CONSTRAINT journal_pkey PRIMARY KEY (jrnlid);


--
-- Name: keyword_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY keyword
    ADD CONSTRAINT keyword_pkey PRIMARY KEY (keywdid);


--
-- Name: months_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY months
    ADD CONSTRAINT months_pkey PRIMARY KEY (citkey);


--
-- Name: notes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notes
    ADD CONSTRAINT notes_pkey PRIMARY KEY (citkey, note);


--
-- Name: numbers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY numbers
    ADD CONSTRAINT numbers_pkey PRIMARY KEY (citkey);


--
-- Name: pages_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY pages
    ADD CONSTRAINT pages_pkey PRIMARY KEY (citkey);


--
-- Name: publisher_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY publisher
    ADD CONSTRAINT publisher_pkey PRIMARY KEY (pubid);


--
-- Name: schools_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY schools
    ADD CONSTRAINT schools_pkey PRIMARY KEY (citkey);


--
-- Name: series_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY series
    ADD CONSTRAINT series_pkey PRIMARY KEY (seriesid);


--
-- Name: titles_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY titles
    ADD CONSTRAINT titles_pkey PRIMARY KEY (citkey);


--
-- Name: types_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY types
    ADD CONSTRAINT types_pkey PRIMARY KEY (citkey);


--
-- Name: volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY volumes
    ADD CONSTRAINT volumes_pkey PRIMARY KEY (citkey);


--
-- Name: years_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY years
    ADD CONSTRAINT years_pkey PRIMARY KEY (citkey);


--
-- Name: abstracts_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY abstracts
    ADD CONSTRAINT abstracts_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: addresses_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY addresses
    ADD CONSTRAINT addresses_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: authors_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authors
    ADD CONSTRAINT authors_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citbktitle_bktitleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_bktitleid_fkey FOREIGN KEY (bktitleid) REFERENCES booktitle(bktitleid) ON DELETE CASCADE;


--
-- Name: citbktitle_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citform_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citform
    ADD CONSTRAINT citform_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citjournal_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citjournal_jrnlid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_jrnlid_fkey FOREIGN KEY (jrnlid) REFERENCES journal(jrnlid) ON DELETE CASCADE;


--
-- Name: citkeywd_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citkeywd_keywdid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_keywdid_fkey FOREIGN KEY (keywdid) REFERENCES keyword(keywdid) ON DELETE CASCADE;


--
-- Name: citpublisher_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citpublisher_pubid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_pubid_fkey FOREIGN KEY (pubid) REFERENCES publisher(pubid) ON DELETE CASCADE;


--
-- Name: citseries_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citseries_seriesid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_seriesid_fkey FOREIGN KEY (seriesid) REFERENCES series(seriesid) ON DELETE CASCADE;


--
-- Name: editors_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY editors
    ADD CONSTRAINT editors_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: institutions_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY institutions
    ADD CONSTRAINT institutions_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: isbn_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY isbn
    ADD CONSTRAINT isbn_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: months_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY months
    ADD CONSTRAINT months_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: notes_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notes
    ADD CONSTRAINT notes_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: numbers_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY numbers
    ADD CONSTRAINT numbers_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: pages_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY pages
    ADD CONSTRAINT pages_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: schools_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY schools
    ADD CONSTRAINT schools_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: titles_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY titles
    ADD CONSTRAINT titles_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: types_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY types
    ADD CONSTRAINT types_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: volumes_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY volumes
    ADD CONSTRAINT volumes_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: years_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY years
    ADD CONSTRAINT years_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

