--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s2_b;
--
-- Name: amalgam_s2_b; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s2_b WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s2_b

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: abstracts; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE abstracts (
    citkey text NOT NULL,
    txt text
);


--
-- Name: addresses; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE addresses (
    citkey text NOT NULL,
    address text
);


--
-- Name: allbibs; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE allbibs (
    citkey text NOT NULL
);


--
-- Name: authors; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authors (
    citkey text NOT NULL,
    autnm text NOT NULL
);


--
-- Name: booktitle; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE booktitle (
    bktitlenm text,
    bktitleid integer NOT NULL
);


--
-- Name: citbktitle; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citbktitle (
    citkey text NOT NULL,
    bktitleid integer NOT NULL
);


--
-- Name: citform; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citform (
    citkey text NOT NULL,
    form text
);


--
-- Name: citjournal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citjournal (
    citkey text NOT NULL,
    jrnlid integer NOT NULL
);


--
-- Name: citkeywd; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citkeywd (
    citkey text NOT NULL,
    keywdid integer NOT NULL
);


--
-- Name: citpublisher; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citpublisher (
    citkey text NOT NULL,
    pubid integer NOT NULL
);


--
-- Name: citseries; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE citseries (
    citkey text NOT NULL,
    seriesid integer NOT NULL
);


--
-- Name: editors; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE editors (
    citkey text NOT NULL,
    ednm text NOT NULL
);


--
-- Name: institutions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE institutions (
    citkey text NOT NULL,
    institnm text
);


--
-- Name: isbn; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE isbn (
    citkey text NOT NULL,
    isbnnum text
);


--
-- Name: journal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE journal (
    jrnlnm text,
    jrnlid integer NOT NULL
);


--
-- Name: keyword; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE keyword (
    word text,
    keywdid integer NOT NULL
);


--
-- Name: months; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE months (
    citkey text NOT NULL,
    mon text
);


--
-- Name: notes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notes (
    citkey text NOT NULL,
    note text NOT NULL
);


--
-- Name: numbers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE numbers (
    citkey text NOT NULL,
    num text
);


--
-- Name: pages; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE pages (
    citkey text NOT NULL,
    pgrange text
);


--
-- Name: publisher; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE publisher (
    pubnm text,
    pubid integer NOT NULL
);


--
-- Name: schools; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE schools (
    citkey text NOT NULL,
    schoolnm text
);


--
-- Name: series; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE series (
    seriesnm text,
    seriesid integer NOT NULL
);


--
-- Name: titles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE titles (
    citkey text NOT NULL,
    title text
);


--
-- Name: types; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE types (
    citkey text NOT NULL,
    type text
);


--
-- Name: volumes; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE volumes (
    citkey text NOT NULL,
    volnum text
);


--
-- Name: years; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE years (
    citkey text NOT NULL,
    yr text
);


--
-- Data for Name: abstracts; Type: TABLE DATA; Schema: public; Owner: -
--

COPY abstracts (citkey, txt) FROM stdin;
Ache00a	Piccola is a language for composing applications from software components. It has a small syntax and a minimal set of features needed for specifying different styles of software composition. The core features of Piccola are communicating agents which perform computations and forms which are the communicated values. Forms are a special notion of extensible immutable records. Forms and agents allow us to unify components static and dynamic contexts and arguments for invoking services. Through a series of examples we present a tour of Piccola illustrating how forms and agents suffice to express a variety of compositional abstractions and styles.
Bour94a	By means of an illustrative application we discuss the implementation choices of the rule-based coordination language LO . Distributed applications written in LO manifest two levels of granularity each with their specific communication paradigm. At the finer level individual objects are composed into agents and communicate through blackboards. At the coarser level these agents interact through broadcasts. This dichotomy determines implementation choices:  Concurrency among agents naturally maps onto distributed processes (with e.g. RPC) whereas concurrency among objects maps onto threads (in shared memory). These four abstractions (objects blackboards agents and broadcasts) together with LO 's basic computation paradigm (rules) are implemented as a class-based run-time library thereby enriching classical object-oriented platforms.  Finally we stress the fact that the resulting run-time library is poly- morphic:  The run-time can manipulate any independently defined appli- cation object provided its class respects a minimal protocol. Run-time polymorphism has turned out to be the key to composition-based reuse.
Foot94a	Reusable objects are the result of an iterative evolutionary process. This evolution proceeds as designers refactor their designs to address hanging requirments and improve the structural integrity and reusability of their designs. As objects mature relationships based on aggregation replace casual inheritance.
Hors90a	Abstract interpretation is a technique that has been applied to Prolog code for the purposes of mode analysis and determinacy analysis. This paper shows how it may also be used to discover which Prolog objects are lists. One use of such an analysis would be for program verification purposes. A second use would be for optimizing memory allocation especially if cdr-coding is used to implement lists.
Nier91b	We argue that object-oriented programming is only half of the story.  Flexible configurable applications can be viewed as collections of reusable objects conforming to standard interfaces together with scripts that bind these objects together to perform certain tasks. Scripting encourages a component-oriented approach to application development in which frameworks of reusable components (objects and scripts) are carefully engineered in an evolutionary software life-cycle with the ultimate goal of supporting application construction largely from these interchangeable prefabricated components. The activity of constructing the running application is supported by a visual scripting tool that replaces the textual paradigm of programming with a visual paradigm of direct manipulation and editing of both application and user interface components. We present scripting by means of some simple examples and we describe a prototype of a visual scripting tool called Vista.  We conclude with some observations on the environmental support needed to support a component-oriented software life-cycle using as a specific example the application de velopment environment of ITHACA a large European project of which Vista is a part.
Papa91a	The design of programming languages that cleanly integrate obc constructs and object-oriented features that promote software reuse is an open problem. We describe a design space that characterizes approaches to object-oriented obc in terms of a number of language design choices concerning the relationship between objects and obc. We identify requirements for software reuse and with the help of an example that illustrates several of these requirements explore the design space in order to evaluate which design choices interfere with reuse and which appear to adequately support it. We conclude by highlighting open research issues which we believe are essential for achieving effective reuse of concurrent software.
Pint92a	This paper presents gluons as objects that mediate software component cooperation. We discuss the advantages of encapsulating inter-component interaction inside a set of special objects. We present the design of a hierarchy of gluon classes that provide the support for the application domain independent part of component interaction protocols. As an example we present the design of a financial information framework and we discuss the role that gluons play in the definition of the framework.
Tsic87c	Most object-oriented systems lack two useful facilities: the ability of objects to migrate to new environments and the ability of objects to acquire new operations dynamically. This paper proposes Knos an object-oriented environment which supports these actions. Their operations data structures and communication mechanisms are discussed. Kno objects learn by exporting and importing new or modified operations. The use of such objects as intellectual support tools is outlined. In particular various applications involving co-operation negotiation and apprenticeship among objects are described.
\.


--
-- Data for Name: addresses; Type: TABLE DATA; Schema: public; Owner: -
--

COPY addresses (citkey, address) FROM stdin;
Baeu96a	Linz Austria
Brig94a	Bologna Italy
Cons92a	Iraklion Crete
Copl99a	Reading Mass.
Lars90a	Warwick U.
More94a	Bologna Italy
Nier91b	Dordrecht NL
Rao91a	Geneva Switzerland
Tann83a	Seeheim Federal Republic of Germany
\.


--
-- Data for Name: allbibs; Type: TABLE DATA; Schema: public; Owner: -
--

COPY allbibs (citkey) FROM stdin;
Ache00a
Baeu96a
Ben82a
Bisc92a
Born86a
Bour94a
Brig94a
Card98a
Cast97a
Cian96c
Coad91a
Cons92a
Copl99a
Deme80a
Deme98n
Deme99y
Foot94a
Garf93a
Geha82a
Gepp92b
Goet91a
Hami97a
Henn86a
Heue95a
Hoar69a
Hofm94b
Hors90a
Huet89a
Kove93a
Kurt99a
Lars90a
Lowr92a
Lump97a
Lutz96a
Miln84a
More94a
Nier91b
Nori81a
Papa91a
Pavl77a
Pins88a
Pint92a
Rao91a
Shib92a
Taiv96a
Tann83a
Thur89a
Tich97b
Tsic87c
Wegn94b
\.


--
-- Data for Name: authors; Type: TABLE DATA; Schema: public; Owner: -
--

COPY authors (citkey, autnm) FROM stdin;
Ache00a	Franz Achermann
Ache00a	Oscar Nierstrasz
Baeu96a	Dirk Baumer
Baeu96a	Rolf Knoll
Baeu96a	Guido Gryczan
Baeu96a	Heinz Zullighoven
Ben82a	Ben-Ari
Bisc92a	Walter R. Bischofberger
Bisc92a	Gustav Pomberger
Born86a	Alan Borning
Born86a	Robert Duisberg
Bour94a	Marc Bourgois
Bour94a	Jean-Marc Andreoli
Bour94a	Remo Pareschi
Brig94a	Ted L. Briggs
Brig94a	John Werth
Card98a	Luca Cardelli
Card98a	Andrew D. Gordon
Cast97a	Giuseppe Castagna
Coad91a	Peter Coad
Coad91a	Edward Yourdon
Cons92a	Panos Constantopoulos
Cons92a	Matthias Jarke
Cons92a	John Mylopoulos
Cons92a	Yannis Vassiliou
Copl99a	James O. Coplien
Deme80a	A.J. Demers
Deme80a	Jim Donahue
Deme98n	Serge Demeyer
Deme98n	Stephane Ducasse
Foot94a	Brian Foote
Foot94a	William F. Opdyke
Garf93a	Simson L. Garfinkel
Garf93a	Michael K. Mahoney
Geha82a	N. Gehani
Gepp92b	Andreas Geppert
Goet91a	Jean-Marc Goetz
Goet91a	Carl Verhoest
Goet91a	Joel Brunet
Hami97a	Graham Hamilton
Hami97a	Rick Hamilton
Hami97a	Rick Cattell
Hami97a	Maydene Fisher
Henn86a	Matthew Hennessy
Heue95a	Andreas Heuer
Heue95a	Gunter Saake
Hoar69a	C.A.R. Hoare
Hofm94b	Martin Hofmannn
Hofm94b	Benjamin Pierce
Hors90a	Nigel Horspool
Huet89a	Hans Huttel
Huet89a	Kim G. Larsen
Kove93a	Larry Koved
Kove93a	Wayne L. Wooten
Kurt99a	Eveline Kurt
Lars90a	Kim G. Larsen
Lars90a	Liu Xinxin
Lowr92a	Andy Lowry
Lutz96a	Mark Lutz
Miln84a	Robin Milner
More94a	Ana M.D. Moreira
More94a	Robert G. Clark
Nier91b	Oscar Nierstrasz
Nier91b	Dennis Tsichritzis
Nier91b	Vicki de Mey
Nier91b	Marc Stadelmann
Nori81a	K.V. Nori
Nori81a	U. Ammann
Nori81a	K. Jensen
Nori81a	H.H. Nageli
Nori81a	Ch. Jacobi
Papa91a	Michael Papathomas
Papa91a	Oscar Nierstrasz
Pavl77a	T. Pavlidis
Pins88a	Lewis J. Pinson
Pins88a	Richard S. Wiener
Pint92a	Xavier Pintado
Pint92a	Betty Junod
Rao91a	Ramana Rao
Shib92a	Etsuya Shibayama
Taiv96a	Antero Taivalsaari
Tann83a	P.P. Tanner
Tann83a	W.A.S. Buxton
Thur89a	M.B. Thuraisingham
Tich97b	Sander Tichelaar
Tich97b	Stephane Ducasse
Tich97b	Theo-Dirk Meijler
Tsic87c	Dennis Tsichritzis
Tsic87c	Eugene Fiume
Tsic87c	Simon Gibbs
Tsic87c	Oscar Nierstrasz
Wegn94b	Peter Wegner
\.


--
-- Data for Name: booktitle; Type: TABLE DATA; Schema: public; Owner: -
--

COPY booktitle (bktitlenm, bktitleid) FROM stdin;
Software Architectures and Component Technology	8
Proceedings OOPSLA '89 ACM SIGPLAN Notices	12
Proceedings ECOOP '96	18
Proceedings of the ECOOP'93 Workshop on    Object-Based Distributed Programming	23
Proceedings ECOOP'94	24
Proceedings ECOOP'91	27
Proceedings of ESEC '97 Workshop on Foundations of Component-Based Systems	31
Proceedings of the ECOOP'91 Workshop on Object-Based Concurrent Computing	40
Proceedings OOPSLA '93 ACM SIGPLAN Notices	54
REBOOT '91	96
Foundations of Software Science and Computational Structures	113
Second International Workshop on Mobile Object Systems	123
Proceedings POPL 80	140
Object-Oriented Technology (ECOOP'98 Workshop Reader)	145
Proceedings ICALP '90	218
Logic at Botik 89	229
Proceedings of the ESEC/FSE Workshop on Object-Oriented Re-engineering	232
Proceedings Esprit 1991 Conference	335
Pascal -- The Language and its Implementation	347
IFIP WG 5.2 Workshop on User Interface Management	408
\.


--
-- Data for Name: citbktitle; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citbktitle (citkey, bktitleid) FROM stdin;
Ache00a	8
Baeu96a	18
Bour94a	23
Brig94a	24
Card98a	113
Cian96c	123
Deme80a	140
Deme98n	145
Goet91a	96
Huet89a	229
Kove93a	54
Lars90a	218
Lump97a	31
More94a	24
Nier91b	335
Nori81a	347
Rao91a	27
Shib92a	40
Tann83a	408
Thur89a	12
Tich97b	232
\.


--
-- Data for Name: citform; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citform (citkey, form) FROM stdin;
Ache00a	incollection
Baeu96a	inproceedings
Ben82a	book
Bisc92a	book
Born86a	article
Bour94a	inproceedings
Brig94a	inproceedings
Card98a	incollection
Cast97a	book
Cian96c	inproceedings
Coad91a	book
Cons92a	techreport
Copl99a	book
Deme80a	inproceedings
Deme98n	inproceedings
Deme99y	techreport
Foot94a	unpublished
Garf93a	book
Geha82a	article
Gepp92b	unpublished
Goet91a	incollection
Hami97a	misc
Henn86a	article
Heue95a	book
Hoar69a	article
Hofm94b	unpublished
Hors90a	techreport
Huet89a	incollection
Kove93a	inproceedings
Kurt99a	techreport
Lars90a	inproceedings
Lowr92a	article
Lump97a	inproceedings
Lutz96a	book
Miln84a	article
More94a	inproceedings
Nier91b	inproceedings
Nori81a	incollection
Papa91a	techreport
Pavl77a	book
Pins88a	book
Pint92a	techreport
Rao91a	inproceedings
Shib92a	inproceedings
Taiv96a	article
Tann83a	inproceedings
Thur89a	inproceedings
Tich97b	inproceedings
Tsic87c	article
Wegn94b	techreport
\.


--
-- Data for Name: citjournal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citjournal (citkey, jrnlid) FROM stdin;
Born86a	36
Geha82a	77
Henn86a	15
Hoar69a	0
Lowr92a	7
Miln84a	46
Taiv96a	16
Tsic87c	9
\.


--
-- Data for Name: citkeywd; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citkeywd (citkey, keywdid) FROM stdin;
Ache00a	2
Ache00a	40
Ache00a	41
Ache00a	42
Baeu96a	2
Baeu96a	79
Ben82a	14
Bisc92a	183
Bisc92a	23
Bisc92a	0
Born86a	250
Bour94a	63
Bour94a	89
Brig94a	2
Brig94a	90
Card98a	334
Cian96c	123
Coad91a	183
Coad91a	23
Coad91a	0
Cons92a	55
Cons92a	377
Deme80a	67
Deme80a	6
Deme80a	329
Deme80a	247
Deme80a	414
Deme98n	2
Deme98n	412
Deme98n	188
Deme98n	413
Deme98n	423
Deme98n	318
Deme98n	393
Deme99y	2
Deme99y	422
Deme99y	40
Deme99y	415
Deme99y	428
Deme99y	47
Foot94a	200
Foot94a	7
Garf93a	18
Garf93a	23
Garf93a	0
Geha82a	69
Geha82a	465
Gepp92b	24
Gepp92b	7
Goet91a	200
Goet91a	275
Goet91a	7
Hami97a	144
Hami97a	537
Hami97a	0
Henn86a	14
Henn86a	7
Heue95a	24
Heue95a	0
Hoar69a	65
Hofm94b	402
Hofm94b	2
Hofm94b	7
Hors90a	2
Hors90a	56
Hors90a	131
Huet89a	28
Huet89a	236
Huet89a	32
Huet89a	7
Kove93a	2
Kove93a	172
Kurt99a	238
Lars90a	28
Lars90a	236
Lars90a	547
Lars90a	405
Lowr92a	80
Lowr92a	660
Lowr92a	7
Lowr92a	8
Lump97a	188
Lump97a	527
Lump97a	58
Lump97a	666
Lump97a	26
Lump97a	100
Lump97a	138
Lump97a	299
Lump97a	392
Lutz96a	0
Miln84a	28
Miln84a	164
Miln84a	165
Miln84a	7
More94a	2
More94a	90
Nier91b	55
Nier91b	59
Nier91b	58
Nier91b	130
Nier91b	132
Nier91b	60
Nori81a	80
Nori81a	577
Nori81a	746
Papa91a	63
Papa91a	130
Papa91a	132
Pavl77a	4
Pavl77a	517
Pavl77a	23
Pins88a	2
Pint92a	2
Pint92a	56
Pint92a	133
Rao91a	2
Rao91a	94
Shib92a	63
Shib92a	112
Taiv96a	2
Taiv96a	106
Tann83a	250
Thur89a	24
Thur89a	54
Tich97b	2
Tich97b	412
Tich97b	394
Tich97b	439
Tich97b	203
Tich97b	188
Tich97b	138
Tich97b	299
Tsic87c	18
Tsic87c	343
Tsic87c	241
Tsic87c	130
Tsic87c	468
Tsic87c	199
Wegn94b	293
Wegn94b	7
Wegn94b	8
\.


--
-- Data for Name: citpublisher; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citpublisher (citkey, pubid) FROM stdin;
Ache00a	6
Baeu96a	0
Ben82a	35
Bisc92a	0
Bour94a	0
Brig94a	0
Card98a	47
Cast97a	57
Cian96c	0
Coad91a	35
Copl99a	4
Deme98n	0
Garf93a	0
Goet91a	46
Heue95a	106
Huet89a	0
Lars90a	0
Lutz96a	54
Miln84a	5
More94a	0
Nier91b	10
Nori81a	151
Pavl77a	0
Pins88a	4
Rao91a	0
Shib92a	0
Tich97b	110
\.


--
-- Data for Name: citseries; Type: TABLE DATA; Schema: public; Owner: -
--

COPY citseries (citkey, seriesid) FROM stdin;
Baeu96a	7
Bour94a	10
Brig94a	11
Card98a	18
Cian96c	54
Deme98n	62
Huet89a	90
Lars90a	89
More94a	11
Rao91a	13
Shib92a	17
\.


--
-- Data for Name: editors; Type: TABLE DATA; Schema: public; Owner: -
--

COPY editors (citkey, ednm) FROM stdin;
Ache00a	Mehmet Aksit
Baeu96a	P. Cointe
Bour94a	R. Guerraoui
Bour94a	O. Nierstrasz
Bour94a	M. Riveill
Brig94a	M. Tokoro
Brig94a	R. Pareschi
Card98a	Maurice Nivat
Deme98n	Serge Demeyer
Deme98n	Jan Bosch
Hors90a	D. Tsichritzis
Lars90a	M.S. Paterson
Lump97a	Gary T. Leavens
Lump97a	Murali Sitaraman
More94a	M. Tokoro
More94a	R. Pareschi
Nori81a	D.W. Barron
Papa91a	D. Tsichritzis
Pint92a	D. Tsichritzis
Rao91a	P. America
Shib92a	M. Tokoro
Shib92a	O. Nierstrasz
Shib92a	P. Wegner
Tich97b	Serge Demeyer
Tich97b	Harald Gall
\.


--
-- Data for Name: institutions; Type: TABLE DATA; Schema: public; Owner: -
--

COPY institutions (citkey, institnm) FROM stdin;
Cons92a	Foundation of Research and Technology -- Hellas
Deme99y	University of Berne
Hors90a	Centre Universitaire d'Informatique University of Geneva
Kurt99a	University of Bern
Papa91a	Centre Universitaire d'Informatique University of Geneva
Pint92a	Centre Universitaire d'Informatique University of Geneva
Wegn94b	Brown University
\.


--
-- Data for Name: isbn; Type: TABLE DATA; Schema: public; Owner: -
--

COPY isbn (citkey, isbnnum) FROM stdin;
\.


--
-- Data for Name: journal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY journal (jrnlnm, jrnlid) FROM stdin;
Communications of the ACM	0
ACM SIGPLAN Notices	7
ACM TOOIS	9
ACM TOPLAS	15
ACM Computing Surveys	16
ACM Transactions on Computer Graphics	36
Journal of Computer and System Sciences	46
IEEE Transactions on Communications	77
\.


--
-- Data for Name: keyword; Type: TABLE DATA; Schema: public; Owner: -
--

COPY keyword (word, keywdid) FROM stdin;
scglib	0
olit	2
misc	4
fp	6
binder	7
(shelf)	8
concurrency	14
olit-appl	18
book	23
olit-db	24
composition	26
pcalc	28
logic	32
scg-wp	40
piccola	41
jb00	42
fnrs99	47
oopsla89	54
olit-ithaca	55
osg	56
scripting	58
vista	59
ithaca-final	60
olit-obc	63
semantics	65
types	67
oislit	69
ecoop96proc	79
plang	80
obdp93	89
ecoop94proc	90
ecoop91proc	94
focbs97	100
inheritance	106
obc91	112
coordination	123
osg-ftp	130
om90	131
oc91	132
of92	133
fnrs97	138
java	144
regular	164
processes	165
oopsla93	172
oobib(gen)	183
scg-pub	188
oobib(sys)	199
olit-reuse	200
oobib	203
ccs	236
scg-ip	238
knowrep	241
russell	247
uilit	250
reboot91	275
olit-oose	293
jb97	299
metrics	318
tfc	329
ambients	334
knos	343
sib	377
scg-coord-98	392
jb98	393
tich-papunr	394
subtyping	402
binder(ccs)	405
famoos-papunr	412
sergedem-papunr	413
popl80	414
sergedem-techrep	415
famoos-techrep	422
fnrs98	423
tich-techrep	428
scglit	439
forms	465
oat87	468
image	517
glue	527
jdbc	537
icalp90	547
pascal	577
hermes	660
jpict	666
p-code	746
\.


--
-- Data for Name: months; Type: TABLE DATA; Schema: public; Owner: -
--

COPY months (citkey, mon) FROM stdin;
Baeu96a	jul
Born86a	oct
Brig94a	jul
Cian96c	jul
Cons92a	jan
Deme99y	aug
Geha82a	jan
Gepp92b	jul
Henn86a	jul
Hofm94b	July 22
Hors90a	jul
Kove93a	oct
Lars90a	jul
Lowr92a	aug
Lump97a	sep
More94a	jul
Papa91a	jun
Pint92a	jul
Rao91a	July 15-19
Taiv96a	sep
Tann83a	Nov 1-3
Thur89a	oct
Tich97b	sep
Tsic87c	jan
Wegn94b	jan
\.


--
-- Data for Name: notes; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notes (citkey, note) FROM stdin;
Ache00a	to appear
Foot94a	Department of Computer Science University of Illinois    at Urbana-Champaign Urbana
Gepp92b	Universitat Zurich
Hofm94b	Department of Computer Science University of Edinburgh
Kove93a	Published as Proceedings OOPSLA '93 ACM SIGPLAN Notices volume 28 number 10
Thur89a	Published as Proceedings OOPSLA '89 ACM SIGPLAN Notices volume 24 number 10
Tich97b	Technical Report TUV-1841-97-10
\.


--
-- Data for Name: numbers; Type: TABLE DATA; Schema: public; Owner: -
--

COPY numbers (citkey, num) FROM stdin;
Born86a	4
Cons92a	FORTH.92.E2.#1
Geha82a	1
Henn86a	3
Lowr92a	8
Taiv96a	3
Tsic87c	1
Wegn94b	CS-94-01
\.


--
-- Data for Name: pages; Type: TABLE DATA; Schema: public; Owner: -
--

COPY pages (citkey, pgrange) FROM stdin;
Baeu96a	73-90
Born86a	345-374
Bour94a	73-92
Brig94a	365-385
Card98a	140-155
Cian96c	213-228
Deme80a	234-244
Geha82a	120-125
Henn86a	344-387
Hoar69a	576-583
Hors90a	305-312
Huet89a	163-180
Kove93a	309-325
Lars90a	526-539
Lowr92a	51-70
Lump97a	178-187
Miln84a	439-466
More94a	344-364
Nier91b	534-552
Nori81a	125-170
Papa91a	189-204
Pint92a	311-346
Rao91a	251-267
Shib92a	99-117
Taiv96a	438-479
Thur89a	203-210
Tsic87c	96-112
\.


--
-- Data for Name: publisher; Type: TABLE DATA; Schema: public; Owner: -
--

COPY publisher (pubnm, pubid) FROM stdin;
Springer-Verlag	0
Addison-Wesley	4
Academic Press	5
Kluwer	6
Kluwer Academic Publishers	10
Prentice-Hall	35
ESPRIT	46
Springer Verlag	47
O'Reilly	54
Birkhaeuser	57
International Thomson Publishing	106
Technical University of Vienna    Information Systems Institute Distributed Systems Group	110
John Wiley & Sons Ltd.	151
\.


--
-- Data for Name: schools; Type: TABLE DATA; Schema: public; Owner: -
--

COPY schools (citkey, schoolnm) FROM stdin;
\.


--
-- Data for Name: series; Type: TABLE DATA; Schema: public; Owner: -
--

COPY series (seriesnm, seriesid) FROM stdin;
LNCS 1098	7
LNCS 791	10
LNCS 821	11
LNCS 512	13
LNCS 612	17
LNCS	18
LNCS 1222	54
LNCS 1543	62
LNCS 443	89
LNCS 363	90
\.


--
-- Data for Name: titles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY titles (citkey, title) FROM stdin;
Ache00a	Applications = Components + Scripts -- A tour of Piccola
Baeu96a	Large Scale Object-Oriented Software-Development in a Banking    Environment - An Experience Report
Ben82a	Principles of Concurrent Programming
Bisc92a	Prototyping-Oriented Software Development
Born86a	Constraint-Based Tools for Building User Interfaces
Bour94a	Concurrency and Communication: Choices in Implementing the    Coordination Language LO
Brig94a	A Specification Language for Object-Oriented Analysis and Design
Card98a	Mobile Ambients
Cast97a	Object-Oriented Programming A Unified Foundation
Cian96c	Jada: Coordination and Communication for Java Agents
Coad91a	Object Oriented Design
Cons92a	The Software Information Base: A Server for Reuse
Copl99a	Multi-Paradigm Design for C++
Deme80a	``Type-Completeness'' as a Language Principle
Deme98n	Do Metrics Support Framework Development ?
Deme99y	FAMIX 2.0 - The FAMOOS Information Exchange Model
Foot94a	Evolve Aggregations From Inheritance Hierarchies: A Consolidation    Pattern to Support Evolution and Reuse
Garf93a	NeXTSTEP Programming Step One: Object-Oriented Applications
Geha82a	The Potential of Forms in Office Automation
Gepp92b	Specification and Realization of Transaction Management Subsystems    in Configurable Database Management Systems
Goet91a	O*: The Business Class Analysis Model
Hami97a	JDBC Database Access with Java
Henn86a	Proving Systolic Systems Correct
Heue95a	Databanken: Konzepte und Sprachen
Hoar69a	An Axiomatic Basis for Computer Programming
Hofm94b	Positive Subtyping
Hors90a	Mode Analysis Techniques for Discovery of Lists in Prolog
Huet89a	The Use of Static Constructs in a Modal Process Logic
Kove93a	GROOP:  An Object-Oriented Toolkit for Animated 3D Graphics
Kurt99a	Entwicklung einer Datenbank-Applikation zur Verwaltung von Tagesstreckenkarten
Lars90a	Compositionality Through an Operational Semantics of Contexts
Lowr92a	The Hermes Language in Outline Form
Lump97a	Towards a formal composition language
Lutz96a	Programming Python
Miln84a	A Complete Inference System for a Class of Regular Behaviours
More94a	Combining Object-Oriented Analysis and Formal Description Techniques
Nier91b	Objects + Scripts = Applications
Nori81a	Pascal-P Implementation Notes
Papa91a	Supporting Software Reuse in Concurrent Object-Oriented Languages: Exploring    the Language Design Space
Pavl77a	Structural Pattern Recognition
Pins88a	An Introduction to Object-Oriented Programming and Smalltalk
Pint92a	Gluons: Support for Software Component Cooperation
Rao91a	Implementational Reflection in Silica
Shib92a	Semantic Layers of Object-Based Concurrent Computing
Taiv96a	On th eNotion of Inheritance
Tann83a	Some Issues in Future Interface Management System Development
Thur89a	Mandatory Security in Object-Oriented Database Systems
Tich97b	Architectural Extraction In Reverse Engineering by Prototyping:    An experiment
Tsic87c	KNOs: KNowledge Acquisition Dissemination and Manipulation Objects
Wegn94b	Beyond Computable Functions or Escape from the Turing Tarpit
\.


--
-- Data for Name: types; Type: TABLE DATA; Schema: public; Owner: -
--

COPY types (citkey, type) FROM stdin;
Cons92a	ITHACA report
Deme99y	technical report
Foot94a	draft
Gepp92b	draft
Hofm94b	draft
Hors90a	Object Management
Kurt99a	Informatikprojekt
Papa91a	Object Composition
Pint92a	Object Frameworks
Wegn94b	TR No.
\.


--
-- Data for Name: volumes; Type: TABLE DATA; Schema: public; Owner: -
--

COPY volumes (citkey, volnum) FROM stdin;
Born86a	5
Card98a	1378
Geha82a	Com-30
Henn86a	8
Hoar69a	12
Lowr92a	27
Miln84a	28
Taiv96a	28
Tsic87c	5
\.


--
-- Data for Name: years; Type: TABLE DATA; Schema: public; Owner: -
--

COPY years (citkey, yr) FROM stdin;
Ache00a	2000
Baeu96a	1996
Ben82a	1982
Bisc92a	1992
Born86a	1986
Bour94a	1994
Brig94a	1994
Card98a	1998
Cast97a	1997
Cian96c	1996
Coad91a	1991
Cons92a	1992
Copl99a	1999
Deme80a	1980
Deme98n	1998
Deme99y	1999
Foot94a	1994
Garf93a	1993
Geha82a	1982
Gepp92b	1992
Goet91a	1991
Hami97a	1997
Henn86a	1986
Heue95a	1995
Hoar69a	1969
Hofm94b	1994
Hors90a	1990
Huet89a	1989
Kove93a	1993
Kurt99a	1999
Lars90a	1990
Lowr92a	1992
Lump97a	1997
Lutz96a	1996
Miln84a	1984
More94a	1994
Nier91b	1991
Nori81a	1981
Papa91a	1991
Pavl77a	1977
Pins88a	1988
Pint92a	1992
Rao91a	1991
Shib92a	1992
Taiv96a	1996
Tann83a	1983
Thur89a	1989
Tich97b	1997
Tsic87c	1987
Wegn94b	1994
\.


--
-- Name: abstracts_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY abstracts
    ADD CONSTRAINT abstracts_pkey PRIMARY KEY (citkey);


--
-- Name: addresses_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY addresses
    ADD CONSTRAINT addresses_pkey PRIMARY KEY (citkey);


--
-- Name: allbibs_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY allbibs
    ADD CONSTRAINT allbibs_pkey PRIMARY KEY (citkey);


--
-- Name: authors_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authors
    ADD CONSTRAINT authors_pkey PRIMARY KEY (citkey, autnm);


--
-- Name: booktitle_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY booktitle
    ADD CONSTRAINT booktitle_pkey PRIMARY KEY (bktitleid);


--
-- Name: citbktitle_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_pkey PRIMARY KEY (citkey, bktitleid);


--
-- Name: citform_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citform
    ADD CONSTRAINT citform_pkey PRIMARY KEY (citkey);


--
-- Name: citjournal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_pkey PRIMARY KEY (citkey, jrnlid);


--
-- Name: citkeywd_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_pkey PRIMARY KEY (citkey, keywdid);


--
-- Name: citpublisher_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_pkey PRIMARY KEY (citkey, pubid);


--
-- Name: citseries_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_pkey PRIMARY KEY (citkey, seriesid);


--
-- Name: editors_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY editors
    ADD CONSTRAINT editors_pkey PRIMARY KEY (citkey, ednm);


--
-- Name: institutions_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY institutions
    ADD CONSTRAINT institutions_pkey PRIMARY KEY (citkey);


--
-- Name: isbn_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY isbn
    ADD CONSTRAINT isbn_pkey PRIMARY KEY (citkey);


--
-- Name: journal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY journal
    ADD CONSTRAINT journal_pkey PRIMARY KEY (jrnlid);


--
-- Name: keyword_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY keyword
    ADD CONSTRAINT keyword_pkey PRIMARY KEY (keywdid);


--
-- Name: months_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY months
    ADD CONSTRAINT months_pkey PRIMARY KEY (citkey);


--
-- Name: notes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notes
    ADD CONSTRAINT notes_pkey PRIMARY KEY (citkey, note);


--
-- Name: numbers_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY numbers
    ADD CONSTRAINT numbers_pkey PRIMARY KEY (citkey);


--
-- Name: pages_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY pages
    ADD CONSTRAINT pages_pkey PRIMARY KEY (citkey);


--
-- Name: publisher_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY publisher
    ADD CONSTRAINT publisher_pkey PRIMARY KEY (pubid);


--
-- Name: schools_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY schools
    ADD CONSTRAINT schools_pkey PRIMARY KEY (citkey);


--
-- Name: series_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY series
    ADD CONSTRAINT series_pkey PRIMARY KEY (seriesid);


--
-- Name: titles_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY titles
    ADD CONSTRAINT titles_pkey PRIMARY KEY (citkey);


--
-- Name: types_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY types
    ADD CONSTRAINT types_pkey PRIMARY KEY (citkey);


--
-- Name: volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY volumes
    ADD CONSTRAINT volumes_pkey PRIMARY KEY (citkey);


--
-- Name: years_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY years
    ADD CONSTRAINT years_pkey PRIMARY KEY (citkey);


--
-- Name: abstracts_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY abstracts
    ADD CONSTRAINT abstracts_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: addresses_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY addresses
    ADD CONSTRAINT addresses_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: authors_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authors
    ADD CONSTRAINT authors_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citbktitle_bktitleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_bktitleid_fkey FOREIGN KEY (bktitleid) REFERENCES booktitle(bktitleid) ON DELETE CASCADE;


--
-- Name: citbktitle_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citbktitle
    ADD CONSTRAINT citbktitle_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citform_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citform
    ADD CONSTRAINT citform_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citjournal_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citjournal_jrnlid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citjournal
    ADD CONSTRAINT citjournal_jrnlid_fkey FOREIGN KEY (jrnlid) REFERENCES journal(jrnlid) ON DELETE CASCADE;


--
-- Name: citkeywd_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citkeywd_keywdid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citkeywd
    ADD CONSTRAINT citkeywd_keywdid_fkey FOREIGN KEY (keywdid) REFERENCES keyword(keywdid) ON DELETE CASCADE;


--
-- Name: citpublisher_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citpublisher_pubid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citpublisher
    ADD CONSTRAINT citpublisher_pubid_fkey FOREIGN KEY (pubid) REFERENCES publisher(pubid) ON DELETE CASCADE;


--
-- Name: citseries_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: citseries_seriesid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY citseries
    ADD CONSTRAINT citseries_seriesid_fkey FOREIGN KEY (seriesid) REFERENCES series(seriesid) ON DELETE CASCADE;


--
-- Name: editors_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY editors
    ADD CONSTRAINT editors_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: institutions_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY institutions
    ADD CONSTRAINT institutions_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: isbn_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY isbn
    ADD CONSTRAINT isbn_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: months_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY months
    ADD CONSTRAINT months_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: notes_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notes
    ADD CONSTRAINT notes_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: numbers_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY numbers
    ADD CONSTRAINT numbers_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: pages_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY pages
    ADD CONSTRAINT pages_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: schools_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY schools
    ADD CONSTRAINT schools_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: titles_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY titles
    ADD CONSTRAINT titles_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: types_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY types
    ADD CONSTRAINT types_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: volumes_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY volumes
    ADD CONSTRAINT volumes_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- Name: years_citkey_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY years
    ADD CONSTRAINT years_citkey_fkey FOREIGN KEY (citkey) REFERENCES allbibs(citkey) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

