--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s3_a;
--
-- Name: amalgam_s3_a; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s3_a WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s3_a

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: article; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE article (
    articleid text NOT NULL,
    title text NOT NULL,
    volume integer NOT NULL,
    number text NOT NULL,
    pages text NOT NULL,
    month text NOT NULL,
    year integer NOT NULL,
    refkey text,
    note text,
    remarks text,
    references_ text,
    xxxreferences text,
    fullxxxreferences text,
    oldkey text,
    abstract text,
    preliminary text
);


--
-- Name: articleauthor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE articleauthor (
    articleid text NOT NULL,
    authorid integer NOT NULL
);


--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    authorid integer NOT NULL,
    name text NOT NULL
);


--
-- Name: unpubauthor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE unpubauthor (
    unpubid text NOT NULL,
    authorid integer NOT NULL
);


--
-- Name: unpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE unpublished (
    unpubid text NOT NULL,
    title text NOT NULL,
    refkey text,
    note text,
    preliminary text,
    references_ text
);


--
-- Data for Name: article; Type: TABLE DATA; Schema: public; Owner: -
--

COPY article (articleid, title, volume, number, pages, month, year, refkey, note, remarks, references_, xxxreferences, fullxxxreferences, oldkey, abstract, preliminary) FROM stdin;
ReedR82	Recognition of Surfaces in Three-Dimensional Digital Images	53	1/2	108--120	apr # ?/? # may	1982	\N	\N	\N	ic::Rosenfeld1981, ic::MorgenthalerR1981	\N	\N	\N	\N	\N
LehmannS82	Reasoning with Time and Chance	53	3	165--198	jun	1982	\N	\N	\N	popl::Ben-AriMP1981, stoc::EmersonH1982 stoc::FeldmanH1982, popl::GabbayPSS1980, stoc::HalpernR1983 popl::HartSP1982, jcss::Kozen1981, popl::Lamport1980 sicomp::Lehmann1982, popl::LehmannR1981, tcs::Pnueli1981 jcss::Rabin1982, actai::Rabin1982, stoc::Reif1980 stoc::SistlaC1982:159, sicomp::SolovayS1977	\N	\N	\N	\N	\N
Case83	Pseudo-Extending Computable Functions	56	1/2	100--111	jan # ?/? # feb	1983	\N	\N	\N	JACM::Blum1967, JACM::Blum1971, jsyml::MollM1974 jsyml::Rogers1958	\N	\N	\N	\N	\N
StolboushkinT83	Deterministic Dynamic Logic is Strictly Weaker than Dynamic Logic	57	1	48--55	apr	1983	\N	\N	\N	tcs::MeyerW1982, icalp::BermanHT1982	\N	\N	\N	\N	\N
MehlhornP83	Area-Time Optimal {VLSI} Integer Multiplier with Minimum Computation Time	58	1--3	137--156	jul # ?/? # aug # ?/? # sep	1983	\N	\N	\N	cacm::AbelsonA1980, jacm::BrentK1981 cacm::PreparataV1981, stoc::Thompson1979, icalp::PreparataV1981	\N	\N	\N	\N	\N
BarendregtR83	Semantics for Classical {AUTOMATH} and Related Systems	59	1--3	127--147	oct # ?/? # nov # ?/? # dec	1983	\N	\N	\N	sicomp::Scott1976	\N	\N	\N	\N	\N
FengT84	On Quasi-Perfect Property of Double-Error-Correcting Goppa Codes and Their Complete Decoding	61	2	132--146	may	1984	\N	\N	\N	IC::GorensteinPZ1960:291	\N	\N	\N	\N	\N
SistlaCFNM84	Can Message Buffers Be Axiomatized in Linear Temporal Logic?	63	1/2	88--112	oct # ?/? # nov	1984	\N	\N	\N	\N	Wolper83	\N	\N	Message passing is one of the primary modes of interprocess communication in a distributed system.  In this paper we investigate the possibility of {\\em characterizing\\/} and {\\em axiomatizing\\/ different message passing systems in temporal logic.  Specifically, we consider FIFO buffers (queues), LIFO buffers (stacks) and unordered buffers (bags).  We show that all bounded buffers are characterizable in propositional temporal logic (PTL) and so are axiomatizable.  We prove that the theory of unbounded FIFO buffers is $\\pi^1_1$-complete and so is not axiomatizable.  We also prove that the theories of unbounded LIFO and unordered buffers are decidable and hence are axiomatizable.	\N
KleijnPRS84	Direction Independent Context-Sensitive Grammars	63	1/2	113--117	oct # ?/? # nov	1984	\N	\N	\N	\N	\N	\N	\N	\N	\N
GrantM85	Normalization and Axiomatization for Numerical Dependencies	65	1	1--17	apr	1985	\N	\N	\N	\N	\N	\N	\N	\N	\N
GrumbergFR85	A Proof Rule for Fair Termination of Guarded Commands	66	1/2	83--102	jul # ?/? # aug	1985	\N	\N	\N	\N	\N	\N	\N	\N	\N
AtallahH86	Solving Tree Problems on a Mesh-Connected Processor Array	69	1--3	168--187	apr # ?/? # may # ?/? # jun	1986	\N	\N	\N	\N	\N	\N	\N	\N	\N
MohanS86	Function Definitions in Term Rewriting and Applicative Programming	71	3	186--217	dec	1986	\N	\N	\N	\N	\N	\N	\N	\N	\N
MansourZ87	On the Bit Complexity of Distributed Computations in a Ring with a Leader	75	2	162--177	nov	1987	\N	\N	\N	\N	\N	\N	\N	\N	\N
BarendregtKKS87	Needed Reduction and Spine Strategies for the Lambda Calculus	75	3	191--231	dec	1987	\N	\N	\N	LFP::Augustsson1984:218, MISC::Barendregt1977:209 BOOK::Barendregt1984, CIP::Berry1978, JACM::BerryL1979:148 SCP::BurnHA1986:249, LISP::BurstallMS1981:136, TR::EekelenP1985 MISC::GordonMW1979, TR::HuetL1979, Kennaway1987, CWI::Klop1980 COMPJ::Landin1964:308, CACM::Landin1966:157, LCCST::Levy1975:147 MISC::Levy1980, BOOK::McCarthyAEHL1962, THESIS::Mycroft1981 SPE::Turner1979:31, FPLCA::Turner1985:1, THESIS::Wadsworth1971	\N	\N	KennawaySBK87	A redex $R$ in a lambda-term $M$ is called {\\em needed\\/} if in every reduction of $M$ to normal form (some residual of) $R$ is contracted.  Among others the following results are proved: 1.~$R$ is needed in $M$ iff $R$ is contracted in the leftmost reduction path of $M$. 2.~Let ${\\cal R} : M_0 \\rightarrow M_1 \\rightarrow M_2 \\rightarrow \\dots$ reduce redexes $R_i: M_i \\rightarrow M_{i+1}$, and have the property that $\\forall i.\\exists j \\ge i.R_j$ is needed in $M_j$. Then ${\\cal R}$ is normalising, i.e.~if $M_0$ has a normal form, then ${\\cal R}$ is finite and terminates at that normal form. 3.~Neededness is an undecidable property, but has several efficiently decidable approximations, various versions of the so called {\\em spine\\/} redexes.	\N
Stanfel88	Mathematical Optimization and the Synchronizing Properties of Encodings	77	1	57--76	apr	1988	\N	\N	\N	\N	Schwartz64, Stanfel69	\N	\N	\N	\N
AndreD89	An Algebraic Characterization of Transition System Equivalences	82	2	198--229	aug	1989	\N	\N	\N	\N	\N	\N	\N	\N	\N
Turner89	Approximation Algorithms for the Shortest Common Superstring Problem	83	1	1--20	oct	1989	\N	\N	\N	\N	\N	\N	\N	\N	\N
Fulk90	Prudence and Other Conditions on Formal Language Learning	85	1	1--11	mar	1990	\N	\N	\N	\N	BlumB75, Feldman72, Gold67, OshersonSW82, OshersonW82	\N	\N	\N	\N
McCollPB91	Planar Acyclic Computation	90	2	178--193	feb	1991	\N	\N	\N	\N	\N	\N	\N	\N	\N
Condon92	The Complexity of Stochastic Games	96	2	203--224	feb	1992	\N	\N	\N	\N	JACM::ChandraKS81	\N	\N	\N	\N
Wanke91	Algorithms for Graph Problems on {BNLC} Structured Graphs	94	1	93--122	sep	1991	\N	\N	\N	\N	TCS::Courcelle87, GGACS::Courcelle87, GGACS::EhrigNRR87 WADS::Fernandez-BacaW89, WG::Habel89, GGACS::HabelK87 BEATCS::HabelKV87, BOOK::HopcroftU79, JALGO::Lengauer87 ICALP::LengauerW88, SICOMP::LengauerW88, IC::RozenbergW86 ACTAI::RozenbergW86, DAM::RozenbergW87, TR::Vogler88, FCT::Wanke89	\N	\N	We present algorithms for analyzing single graphs and sets of graphs generated by \\emph{boundary node label controlled} (BNLC) graph grammars. This paper extends a unified framework for developing algorithms on hyperedge replacement systems to BNLC graph languages. Graphs in BNLC graph languages do not necessarily have vertex separators of bounded size as graphs in hyperedge replacement systems. We give combinatorial decision and query algorithms on single graphs generated by a deterministic BNLC graph grammar and algorithms for the following question: Does the language of a given BNLC graph grammar contain a graph that fulfills a certain graph property?  All algorithms developed in this paper consider the graph grammar as input.	\N
MaheshPS91	On Finding the Minimum Bandwidth of Interval Graphs	95	2	218--224	dec	1991	\N	\N	\N	\N	Kratsch87	\N	\N	\N	\N
KfouryTU93	The Undecidability of the Semi-unification Problem	102	1	83--101	jan	1993	\N	\N	\N	\N	SICOMP::ChandraV85, LICS::DorreR90, LFP::Henglein88 ICCI::Henglein90, JSYML::Hooper66, POPL::KanellakisM89 FSTTCS::KapurMNS88, POPL::KfouryTU88, MISC::KfouryTU89 LICS::KfouryTU89, CAAP::KfouryTU90, LICS::KfouryT90, WCSL::Leiss87 SIEMENS::Leiss89, POPL::Mairson90, Mitchell83, ISP::Mycroft84, CMUC:: Pudlak88, RTA::Purdom87	\N	\N	The Semi-Unification Problem (SUP) is a natural generalization of both first-order unification and matching. The problem arises in various branches of computer science and logic. Although several special cases of SUP are known to be decidable, the problem in general has been open for several years. We show that SUP in general is undecidable, by reducing what we call the ``boundedness problem'' of Turing machines to SUP. The undecidability of this boundedness problem is established by a technique developed in the mid-1960's to prove related results about Turing machines.	\N
BurnsL93	Bounds on Shared Memory for Mutual Exclusion	107	2	171--184	dec	1993	\N	\N	\N	\N	FOCS::Burns81, JACM::BurnsJLFP82, JACM::Lamport86a JACM::Lamport86b	\N	\N	\N	\N
BuntrockHS93	Using Inductive Counting to Simulate Nondeterministic Computation	102	1	102--117	jan	1993	C1081	\N	The authors would like to draw attention to the following paper, which is a nice continuation of their work: Rolf Niedermeier and Peter Rossmanith.  Unambiguous auxiliary pushdown automata and semi-unbounded fan-in circuits.  \\emph{Information and Computation 118(2):227-245, 1 May 1995.	SICOMP::BorodinCDRT1989:559, BOOK::BalcazarDG1988 BOOK::BalcazarDG1990, BlassG1982:80, ICFCT::BuntrockJLR1991:168 MST::BuhrmanHT1991:179, MST::CaiH1990:95, JACM::Cook1971:4 STOC::Cook1979:338, Cook1985:2, ICCI::Geske1990:112 TCS::GoldschlagerP1986:43, SICOMP::GrollmannS1988:309 MFCS::Hemachandra1988:59, JCSS::HemachandraH1993:363 BOOK::HopcroftU1979, SICOMP::Immerman1988:935, SCTC::Lange1990:130 MFCS::LangeR1990:399, LATIN::NiedermeierR1992:387 GICTCS::PapadimitriouZ1983:269, JCSS::Ruzzo1981:365 JCSS::Savitch1970:177, ACTAI::Szelepcsenyi1988:279 IPL::Szepietowski1989:109, THESIS::Toran1988, IPL::Valiant1976:20 JCSS::Venkateswaran1991:380	\N	\N	\N	Immerman and Szelepcs\\'enyi's inductive counting technique demonstrated that, for space classes, the nondeterministic acceptance mechanism can simulate with no space penalty any reasonable acceptance mechanism based on censuses of configurations.  However, the efficiency with which other acceptance mechanisms can simulate nondeterminism remains an open question.  This paper uses inductive counting to study the cost of simulating nondeterminism with Valiant's paradigm of unique computation---nondeterministic computation in which each input generates at most one accepting computation.  We show that unique computation can simulate nondeterministic computation with a space penalty logarithmic in the ambiguity of the nondeterministic computation tree.  Relatedly, we show that unique AuxPDAs and restricted SAC$^1$ circuits can efficiently simulate ambiguity-bounded nondeterministic computation.  In particular, all nondeterministic logspace languages of polynomial ambiguity are in $\\mathrm{WeakUnambRAC}^1$, and thus are accepted by uniform, weak unambiguous, shallow circuits.	\N
TrahanRL94	Parallel Random Access Machines with both Multiplication and Shifts	110	1	96--118	apr	1994	\N	\N	\N	\N	FOCS::ChandraS76, STOC::FortuneW78, JACM::Goldschlager82 FOCS::HartmanisS74, JACM::LadnerF80, STOC::Simon77	\N	\N	We prove that the class of languages accepted in polynomial time by Parallel Random Access Machines with both multiplication and shifts using exponentially many processors ($PRAM[*,\\uparrow,\\downarrow]-PTIME$) includes the class of languages accepted in exponential time and polynomial alternations by an alternating Turing machine and is included in $EXPSPACE$.  It follows that the class of languages accepted by a PRAM[$*,\\uparrow,\\downarrow$] in logarithmic time (using polynomially many processors) includes the polynomial hierarchy and is included in $PSPACE$.  Thus, a PRAM[$*,\\uparrow,\\downarrow$] may be more powerful to within a polynomial in time, than either a PRAM[$*$] or a PRAM[$\\uparrow,\\downarrow$], since $PRAM[*]-PTIME$ = $PRAM[\\uparrow,\\downarrow]-PTIME$ = $PSPACE$.	\N
DiekertOR94	On Confluent Semi-commutations: Decidability and Complexity Results	110	1	164--182	apr	1994	\N	\N	\N	\N	ClerboutL87	\N	\N	The subject of this paper is the confluence of finite semi-commutation systems.  Confluence of such systems is proved to be a decidable property. Existence of a finite complete presentation of a trace monoid using rules only from another given trace monoid is proved to be reducible to the existence of a confluent semi-commutation system. Complexity results related to the preceding problems are proved: deciding the existence of finite complete presentations is $\\Sigma_2^P$-complete, whereas deciding confluence of semi-commutation systems is Co-NP-complete. Additionally, an open problem about trace synchronizations is solved: The local checking property is Co-NP-complete. A preliminary version of this paper appeared in the Proceedings of the 1991 International Colloquium on Automata, Languages and Programming, Springer-LNCS 510.	\N
SheinwaldLZ95	On Encoding and Decoding with Two-Way Head Machines	116	1	128--133	jan	1995	C1354	\N	\N	\N	\N	\N	\N	Ziv and Lempel (1978) investigated the encoding power of finite state machines with respect to given individual sequences. Motivated by the study of various kinds of machines as recognizers of formal languages (cf. Hopcroft and Ullman, 1979), we compare the encoding and decoding power of finite state sequential machines and the following extensions thereof.  First, we show that, with a forward moving head, the best compression ratio achievable for a given sequence, to be decoded by a finite state decoder, is the same as the best ratio attainable for that sequence when encoded by a finite state encoder to move its head back and forth on an input sequence, even if the decoder has unrestricted power.  However, better compression can be achieved for specific infinite sequences using an unrestricted encoder and a two-way finite state decoder.	\N
DiekertGP95	Rational and Recognizable Complex Trace Languages	116	1	134--153	jan	1995	C1360	\N	\N	\N	ClerboutL87	\N	\N	Mazurkiewicz defined traces as an algebraic model of finite concurrent processes.  In order to modelize non-terminating processes a good notion of infinite trace was needed, which finally led to the notion of complex trace. For complex traces an associative concatenation and an $\\omega$-iteration are defined. \\par This paper defines and investigates rational and recognizable complex trace languages. We prove various closure results such as the closure under boolean operations (for recognizable languages), concatenation and left and right quotients by recognizable sets. Then we study sufficient conditions ensuring the recognizability of the finite and infinite iterations of complex trace languages.  We introduce a generalization of the notion of concurrent iteration which leads to the main result of the paper: the generalization of Kleene's and Ochmanski's theorems to complex trace languages.	\N
Shawe-Taylor95	Sample Sizes for Threshold Networks with Equivalences	118	1	65--72	apr	1995	C1407	\N	\N	\N	JACM::BlumerEHW89	\N	\N	This paper applies the theory of Probably Approximately Correct (PAC) learning to multiple ouput feedforward threshold networks in which the weights conform to certain equivalences.  It is shown that the sample size for reliable learning can be bounded above by a formula similar to that required for single output networks with no equivalences.  The best previously obtained bounds are improved for all cases.	\N
MalerP95	On the Learnability of Infinitary Regular Sets	118	2	316--326	1~} # may	1995	C1440; PN2429	\N	\N	\N	Angluin78, Angluin81, Angluin87, JACM::BlumerEHW89 Gold67, Gold78, McNaughton66, FOCS::Muller63, JACM::PittW93 FOCS::RivestS87, Wagner79	Angluin78, Angluin81, Angluin87, TCS::Arnold85 JACM::BlumerEHW89, Gold67, Gold78, TCS::Kaminski85, TCS::MannaP91 McNaughton66, FOCS::Muller63, JACM::PittW93, FOCS::RivestS87 Wagner79	\N	In this paper we extend the automaton synthesis paradigm to infinitary languages, that is, to subsets of the set~$\\Sigma^\\omega$ of all infinite sequences over some alphabet~$\\Sigma$.  Our main result is a polynomial algorithm for learning a sub-class of the $\\omega$-regular sets from membership queries and counter-examples based on the framework suggested by Angluin (Angluin, D., 1987, {\\em Information and Computation\\/} 75) for learning regular subsets of~$\\Sigma^*$.	\N
WeberK95	Economy of Description for Single-Valued Transducers	118	2	327--340	1~} # may	1995	C1502; PN2428	\N	\N	\N	FOCS::MeyerF71	\N	\N	In this article questions of economy of description are investigated in connection with single-valued finite transducers.  The following results are shown.  (1) Any single-valued real-time transducer $M$ with $n$ states can be effectively transformed into an equivalent unambiguous real-time transducer having at most $2^n$ states.  (2) Let $M$ be a single-valued real-time transducer with $n$ states and output alphabet $\\Delta$ which is equivalent to some deterministic real-time or subsequential transducer $M'$.  Then, $M$ can be effectively transformed into such an $M'$ having at most $1 + 2^n \\cdot \\max \\{ 2 , \\# \\Delta \\}^{2 n^3 l}$ states where $l$ is a local structural parameter of $M$.  (3) For any single-valued real-time transducer $M$ it is decidable in deterministic polynomial time whether or not it is equivalent to some deterministic real-time transducer (to some subsequential transducer, respectively).  The results (1)--(3) can be extended to the case where $M$ is not necessarily real time.  The upper bound in (1) is at most one state off the optimal upper bound.  Any possible improvement of the upper bound in (2) is greater than or equal to $2^n - 1$.	\N
DawarLW95	Infinitary Logic and Inductive Definability over Finite Structures	119	2	160--175	jun	1995	C1361	\N	\N	\N	STOC::AbiteboulV91, BlassGK85, FOCS::CaiFI89, Immerman86 LICS::KolaitisV90, LICS::KolaitisV92, KolaitisV92, STOC::Vardi82	\N	\N	The extensions of first-order logic with a least fixed point operator (FO + LFP) and with a partial fixed point operator (FO + PFP) are known to capture the complexity classes P and PSPACE respectively in the presence of an ordering relation over finite structures. Recently, Abiteboul and Vianu [Abiteboul and Vianu, 1991b] investigated the relationship of these two logics in the absence of an ordering, using a machine model of generic computation.  In particular, they showed that the two languages have equivalent expressive power if and only if P = PSPACE.  These languages can also be seen as fragments of an infinitary logic where each formula has a bounded number of variables, $L^\\omega_{\\inf\\omega}$ (see, for instance, [Kolaitis and Vardi, 1990]).  We investigate this logic of finite structures and provide a normal form for it.  We also present a treatment of the results in [Abiteboul and Vianu, 1991b] from this point of view.  In particular, we show that we can write a formula of FO + LFP that defines an ordering of the $L^k_{\\inf\\omega}$ types uniformly over all finite structures.  One consequence of this is a generalization of the equivalence of FO + LFP and P from ordered structures to classes of structures where every element is definable. We also settle a conjecture mentioned in [Abiteboul and Vianu, 1991b] by showing that FO + LFP is properly contained in the polynomial time computable fragment of $L^\\omega_{\\inf\\omega}$, raising the question of whether the latter fragment is a recursively enumerable class.	\N
HromkovicKSW95	Gossiping in Vertex-Disjoint Paths Mode in {$d$}-Dimensional Grids and Planar Graphs	123	1	17--28	15~} # nov	1995	C1528; PN2506	\N	\N	MST::AielloLMN1991, JPDC::Ben-AsherPRS1991 SICOMP::KrummeCV1992:111, JALGO::DiksDSV1993, IEEETC::DallyS1987 SPAA::EvenM1989, NETW::Farley1980, DAM::FeldmannHMMM1994 HICSS::FunkeLMFB1992, NETW::HedetniemiHL1988, ALGOR::HromkovicJM1993 MISC::HromkovicKMP1993, TR::HromkovicKS1993, COMPNET::KermaniK1979 SIDMA::KlaweL1992, DM::Knodel1975, BOOK::Leighton1992 SPAA::LeisersonADFGHHKPWWYZ1992:272, SIDMA::LiptonT1979	\N	\N	\N	This paper continues with the study of the communication modes introduced in [J.~Hromkovi\\v{c}, R.~Klasing, E.A.~St\\?ohr ``Dissemination of Information in Vertex-Disjoint Paths Mode, Part 1: General Bounds and Gossiping in Hypercube-Like Networks'', Technical Report No.~tr-ri-93-129, University of Paderborn.  (Extended abstract presented at WG'93.)]  as a generalization of the standard one-way and two-way modes allowing to send messages between processors of interconnection networks via vertex-disjoint paths in one communication step.  The complexity of communication algorithms is measured by the number of communication steps (rounds).  Here, the complexity of gossiping in grids and in planar graphs is investigated. The main results are the following: \\begin{enumerate} \\item Effective one-way and two-way gossip algorithms for $d$-dimensional grids, $d \\geq 2$, are designed.  \\item The lower bound $2\\log_2 n - \\log_2 k - \\log_2 \\log_2 n - 4$ is established on the number of rounds of every two-way gossip algorithm working on any graph of $n$ nodes and vertex bisection $k$. This proves that the designed two-way gossip algorithms on $d$-dimensional grids, $d \\geq 3$, are almost optimal, and it also shows that the 2-dimensional grid belongs to the best gossip graphs among all planar graphs.  \\item Another lower bound proof is developed to get some tight lower bounds on one-way ``well-structured'' gossip algorithms on planar graphs (to the best of the authors' knowledge, to date all gossip algorithms designed in vertex-disjoint paths mode have been ``well-structured'').  \\end{enumerate}	\N
SkodinisW1997	The Bounded Degree Problem for {eNCE} Graph Grammars	135	1	15--35	25~} # may	1997	C1744; PN2628	\N	\N	jcss::CourcelleER1993, ic::Courcelle1995 ic::EngelfrietL1989, jcss::EngelfrietLW1990, ic::EngelfrietR1990 sicomp::Immerman1987, jcss::JanssensRW1986, actai::Lautemann1989:399 ic::RozenbergW1986, jcss::SkodinisW1995	\N	\N	\N	The complexity of the bounded degree problem is analyzed for graph languages generated by eNCE graph grammars.  In particular, the bounded degree problem is shown to be undecidable for eNCE graph grammars, DEXPTIME-complete for confluent/boundary eNCE graph grammars, PSPACE-complete for linear eNCE graph grammars, and P-complete for non-blocking eNCE graph grammars.  In our main theorem we show that the bounded degree problem is NL-complete for reduced non-blocking eNCE graph grammars.  Many of the shown results carry over to other type of graph grammars.	\N
VenkatesanRMMR1997	Restrictions of Minimum Spanner Problems	136	2	143--164	1~} # aug	1997	C1911; PN2641	\N	\N	jacm::Awerbuch1985, jcss::BoothL1976:335 ipl::MandanlalVR1996:97, stoc::PelegU1988, ipl::RamalingamR1988 sicomp::Yannakakis1981	\N	\N	\N	A $t$-spanner of a graph~$G$ is a spanning subgraph~$H$ such that the distance between any two vertices in~$H$ is at most $t$ times their distance in~$G$.  Spanners arise in the context of approximating the original graph with a sparse subgraph (Peleg, D., and Sch\\?affer A. A. (1989), \\emph{J.~Graph.\\ Theory} \\textbf{13}~(1), 99--116).  The MINIMUM $t$-SPANNER problem seeks to find a $t$-spanner with the minimum number of edges for the given graph.  In this paper, we completely settle the complexity status of this problem for various values of~$t$, on chordal graphs, split graphs, bipartite graphs and convex bipartite graphs.  Our results settle an open question raised by L.~Cai (1994, \\emph{Discrete Appl.\\ Math.}~\\textbf{48}, 187--194) and also greatly simplify some of the proofs presented by Cai and L.~Cai and M.~Keil (1994, \\emph{Networks} \\textbf{24}, 233--249).  We also give a factor~2 approximation algorithm for the MINIMUM 2-SPANNER problem on interval graphs.  Finally, we provide approximation algorithms for the bandwidth minimization problem on convex bipartite graphs and split graphs using the notion of tree spanners.	\N
CzumajHS1997	Simulating Shared Memory in Real Time: On the Computation Power of Reconfigurable Architectures	137	2	103--120	15~} # sep	1997	C1867; PN2642	\N	\N	ic::Ben-AsherLPS1995, sicomp::BerkmanV1993 jcss::CarterW1979, sicomp::DietzfelbingerKMHRT1994 spaa::DietzfelbingerH1993, spaa::GoldbergMR1994, stoc::KarlinU1986 algor::KarpLH1996, stoc::KarpLH1992, stoc::Leighton1992 stoc::MacKenziePR1994, tcs::HeideSS1996, jalgo::Ragde1993 jcss::Ranade1991, focs::Siegel1989, jacm::Upfal1984, jacm::UpfalW1987 ipl::WangC1990:31	\N	\N	\N	We consider randomized simulations of shared memory on a distributed memory machine (DMM) where the $n$ processors and the $n$ memory modules of the DMM are connected via a reconfigurable architecture.  We first present a randomized simulation of a CRCW PRAM on a reconfigurable DMM having a complete reconfigurable DMM having a complete reconfigurable interconnection.  It guarantees delay $\\mathcal{O}(\\log^* n)$, with high probability.  Next we study a reconfigurable mesh DMM (RM-DMM)\\@.  Here the $n$ processors and $n$ modules are connected via an $n \\times n$ reconfigurable mesh.  It was already known that an $n \\times m$ reconfigurable mesh can simulate in constant time an $n$-processor CRCW PRAM with shared memory of size~$m$.  In this paper we present a randomized step simulation of a CRCW PRAM with arbitrarily large shared memory on an RM-DMM\\@.  It guarantees constant delay with high probability, i.e., it simulates in real time.  Finally we prove a lower bound showing that size~$\\Omega(n^2)$ for the reconfigurable mesh is necessary for real time simulations.	\N
AumannBZ1997	Efficient Execution of Nondeterministic Parallel Programs on Asynchronous Systems	139	1	1--16	25~} # nov	1997	C1963; PN2653	\N	\N	jalgo::AspnesH1990:441, focs::AspnesW1992:137 focs::AumannKPR1993:271, focs::AumannR1992:147, tcs::AumannR1994:3 spaa::ColeZ1989:169, jacm::DolevDS1987:77, jacm::FischerLP1985:374 stoc::FortuneW1978:114, spaa::Gibbons1989:158, stoc::KedemPRR1992:306 stoc::KedemPRS1991:381, stoc::KedemPS1990:138, focs::MartelSP1990:590 spaa::Nishimura1990:76, cacm::Valiant1990:103, podc::Abrahamson1988 podc::Aspnes1990, podc::AttiyaDS1989, icalp::AumannB1996 wdag::BrachaR1991, podc::Chandra1996, podc::ChorIL1987 podc::KanellakisS1989, podc::KanellakisS1991	\N	\N	\N	We consider the problem of asynchronous execution of parallel programs.  We assume that the original program is designed for a synchronous system, whereas the actual system may be asynchronous.  We seek an \\emph{automatic execution scheme}, which allows the asynchronous system to execute the synchronous program. Previous execution schemes provide solutions only for the case where the original program is deterministic.  Here, we provide the first solution for the more general case where the original program can be nondeterministic (e.g., randomized).  Our scheme is based on a novel agreement protocol for the asynchronous parallel setting.  Our protocol allows $n$ asynchronous processors to agree on $n$~\\emph{word-sized} values in $O(n \\log n \\log \\log n)$ \\emph{total work}, assuming an oblivious adversary scheduler.  Total work is defined to be the summation of the number of steps performed by all processors (including steps from busy waiting).	spaa::AumannBZ1996
BodlaenderLTT1997	On Interval Routing Schemes and Treewidth	139	1	92--109	25~} # nov	1997	C1990; PN2669	\N	\N	jalgo::ArnborgLS1991, sicomp::Bodlaender1996 jalgo::Bodlaender1993, algor::BoriePT1992, ic::Courcelle1990 jacm::FellowsL1988, jcss::FellowsL1994, algor::FredericksonJ1988 jalgo::RobertsonS1986	\N	\N	\N	In this paper, we investigate which processor networks allow $k$-label Interval Routing Schemes, under the assumption that costs of edges may vary.  We show that for each fixed $k \\ge 1$, the class of graphs allowing such routing schemes is closed under minor-taking in the domain of connected graphs, and hence has a linear time recognition algorithm.  This result connects the theory of compact routing with the theory of graph minors and treewidth.  We show that every graph that does not contain~$K_{2,r}$ as a minor has treewidth at most~$2r - 2$.  As a consequence, graphs that allow $k$-label Interval Routing Schemes under dynamic cost edges have treewidth at most~$4k$.  Similar results are shown for other types of Interval Routing Schemes.	\N
CenzerR1998	Complexity and Categoricity	140	1	2--25	10~} # jan	1998	C2055; PN2676	\N	\N	apal::CenzerR1991, apal::CenzerR1992, apal::CenzerR1998 jsyml::Grigorieff1990, sctc::NerodeR1987, apal::NerodeR1989	\N	\N	\N	We define a notion of a feasible Scott family of formulas for a feasible model and give various conditions on a Scott family which imply that two models with the same family are feasibly isomorphic.  For example, if $A$ and~$B$ possess a common strongly p-time Scott family and both have universe~$\\{1\\}^*$, then they are p-time isomorphic.  These results are applied to the study of permutation structures, linear orderings, equivalence relations, and Abelian groups.  For example, conditions on two permutation structures $(A, f)$ and $(B, g)$ are given which imply that $(A, f)$ and $(B, g)$ are p-time isomorphic.	\N
Bar-NoyBHST1998	On Chromatic Sums and Distributed Resource Allocation	140	2	183--202	1~} # feb	1998	C1701; PN2677	\N	\N	focs::AroraLMSS1992, focs::AwerbuchS1990 stoc::AwerbuchCS1994, soda::Bar-NoyMSS1995, ipl::blumK1997 stoc::Boppana1989, toplas::ChandyM1984, stoc::ChoyS1992 sctc::FeigeK1996, sicomp::GareyG1975, soda::GoldbergS1990 soda::IraniL1996, stoc::LundY1993, jcss::Lynch1981, stoc::NaorS1993 stoc::PanconesiS1992, sicomp::WangC1992	\N	\N	\N	This paper studies an optimization problem that arises in the context of distributed resource allocation: Given a conflict graph that represents the competition of processors over resources, we seek an allocation under which no two jobs with conflicting requirements are executed simultaneously.  Our objective is to minimize the \\emph{average response time} of the system.  In alternative formulation this is known as the \\emph{Minimum Color Sum} (\\emph{MCS}) problem (E.~Kubicka and A.~J. Schwenk, 1989. An introduction to chromatic sums, \\emph{in} ``Proceedings of the ACM Computer Science Conference,'' pp.~39--45.).  We show that the algorithm based on finding iteratively a maximum independent set (\\emph{MaxIS}) is a 4-approximation to the~MCS\\@.  This bound is tight to within a factor of~2.  We give improved ratios for the classes of bipartite bounded-degree, and line graphs.  The bound generalizes to a $4\\rho$-approximation of~MCS for classes of graphs for which the maximum independent set problem can be approximated within a factor of~$\\rho$.  On the other hand, we show that an $n^{1-\\epsilon}$-approximation is NP-hard, for some $\\epsilon > 0$. For some instances of the resource allocation problem, such as the \\emph{Dining Philosophers}, an efficient solution requires \\emph{edge coloring of the conflict graph.  We introduce the \\emph{Minimum Edge Color Sum} (\\emph{MECS}) problem which is shown to be NP-hard.  We show that a 2-approximation to $\\mathrm{MECS}(G)$ can be obtained distributively using \\emph{compact coloring} within $O(\\log^2 n)$ communication rounds.	\N
AslamD1998	General Bounds on Statistical Query Learning and {PAC} Learning with Noise via Hypothesis Boosting	141	2	85--118	15~} # mar	1998	C1767; PN2664	\N	\N	stoc::Angluin1992:351, jacm::BlumerEHW1989:929 sicomp::HelmboldSW1992:240, stoc::Kearns1993:392 cacm::Valiant1984:1134	\N	\N	\N	We derive general bounds on the complexity of learning in the statistical query (SQ) model and in the PAC model with classification noise.  We do so by considering the problem of boosting the accuracy of weak learning algorithms which fall within the SQ model.  This new model was introduced by Kearns to provide a general framework for efficient PAC learning in the presence of classification noise.  We first show a general scheme for boosting the accuracy of weak SQ learning algorithms, proving that weak SQ learning is equivalent to strong SQ learning.  The boosting is efficient and is used to show our main result of the first general upper bounds on the complexity of strong SQ learning.  Since all SQ algorithms can be simulated in the PAC model with classification noise, we also obtain general upper bounds on learning in the presence of classification noise for classes which can be learned in the SQ model.	\N
\.


--
-- Data for Name: articleauthor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY articleauthor (articleid, authorid) FROM stdin;
ReedR82	47
LehmannS82	52
Case83	112
StolboushkinT83	126
MehlhornP83	149
BarendregtR83	157
FengT84	186
SistlaCFNM84	220
KleijnPRS84	224
GrantM85	247
GrumbergFR85	265
GrumbergFR85	267
AtallahH86	307
MohanS86	334
MansourZ87	399
BarendregtKKS87	401
Stanfel88	423
AndreD89	512
Turner89	524
Fulk90	564
McCollPB91	637
Wanke91	703
MaheshPS91	719
Condon92	733
KfouryTU93	794
BuntrockHS93	796
BurnsL93	878
TrahanRL94	911
DiekertOR94	919
SheinwaldLZ95	999
DiekertGP95	1001
Shawe-Taylor95	1046
MalerP95	1078
WeberK95	1079
DawarLW95	1102
HromkovicKSW95	1200
SkodinisW1997	1344
VenkatesanRMMR1997	1355
CzumajHS1997	1361
CzumajHS1997	1362
AumannBZ1997	1375
BodlaenderLTT1997	1380
CenzerR1998	1388
Bar-NoyBHST1998	1397
AslamD1998	1405
\.


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (authorid, name) FROM stdin;
47	George M. Reed
52	Daniel Lehmann
112	John Case
126	M. A. Taitslin
149	Franco P. Preparata
157	Henk Barendregt
186	K. K. Tzeng
220	E. M. Clarke
224	K. Salomaa
247	John Grant
265	Orna Grumberg
267	William P. de Roever
307	Mikhail J. Atallah
334	Mandayam K. Srivas
399	Y. Mansour
401	H. P. Barendregt
423	Larry E. Stanfel
512	Andr{\\'e} Arnold
524	Jonathan S. Turner
564	Mark A. Fulk
637	W. F. McColl
703	Egon Wanke
719	C. Pandu Rangan
733	Anne Condon
794	P. Urzyczyn
796	Dirk Siefkes
878	James E. Burns
911	Jerry L. Trahan
919	Klaus Reinhardt
999	Abraham Lempel
1001	Paul Gastin
1046	John Shawe-Taylor
1078	Oded Maler
1079	Andreas Weber
1102	Anuj Dawar
1200	Elena A. St{\\?o}hr
1344	Konstantin Skodinis
1355	U. Rotics
1361	Meyer auf der Heide, Friedhelm
1362	Volker Stemann
1375	Yonatan Aumann
1380	Dimitrios Thilikos
1388	Jeffrey B. Remmel
1397	Tami Tamir
1405	Javed A. Aslam
1480	Jin-Yi Cai
1490	Kyoko Imamura
1503	Robert Koch
1520	A. Pnueli
1560	Th{\\'e}r{\\`e}se Hardin
\.


--
-- Data for Name: unpubauthor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY unpubauthor (unpubid, authorid) FROM stdin;
CaiC0000	1480
KaidaUI0000	1490
BlumK0000	1503
KestenPSY0000	1520
DowekHK0000	1560
\.


--
-- Data for Name: unpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY unpublished (unpubid, title, refkey, note, preliminary, references_) FROM stdin;
KfouryRTU0000	Alpha-Conversion and Typability	C1900; PN2756	Received # {April 27, 1998	\N	ic::Leivant1991, lics::Wells1994
GuhaK0000	Improved Methods for Approximating Node Weighted {Steiner Trees and Connected Dominating Sets	C2091; PN2754	Received # {July 22, 1998	\N	jalgo::BermanR1994, ipl::BernP1989, stoc::Feige1996 sicomp::GoemansW1995, algor::GuhaK1998, actai::KouMB1981 jalgo::KleinR1995, jacm::LundY1994, algor::Zelikovsky1993
MacielT1000	Efficient Threshold Circuits for Power Series	C1954	Received # {August 10, 1998, 1998	\N	sicomp::BeameCH1986, cc::BeigelT1994, cc::GoldmannHR1992 jcss::HajnalMPST1993, ic::MacielT1998, njc::Orponen1994 sicomp::ReifT1992, ieeetit::SiuBKH1993, sidma::SiuR1994 focs::Yao1990:619
Yamanishi0000	Distributed Cooperative {Bayesian} Learning Strategies	C2082; PN2753	Received # {June 10, 1998	\N	colt::KearnsS1993, colt::Vovk1990, ieeetit::Yamanishi1998 colt::Yamanishi1996, colt::Yamanishi1997, colt::Yamanishi1998
AdlemanH0000	Function Field Sieve Method for Discrete Logarithms over Finite Fields	C2185; PN2761	Received # {September 9, 1998	\N	focs::Adleman1979:55, IEEETIT::coppersmith1984 ieeetit::DiffieH1976, ieeetit::ElGamal1985, sidma::Gordon1993 stoc::LenstraLMP1990:564, eurocrypt::Odlyzko1984:224 eurocrypt::Odlyzko1984:224
CaiC0000	A Lattice-Based Public-Key Cryptosystem	C2186; PN2762	Received # {September 9, 1998	\N	stoc::Ajtai1996:99, stoc::AjtaiD1997:284 focs::AroraBSS1993:724, focs::CaiN1997:468, tcs::Cai1998 crypto::GoldreichGH1997:112, sicomp::Lagarias1985:196 tcs::Schnorr1987:201
Carlet0000	On Cryptographic Propagation Criteria for {Boolean} Functions	C2187; PN2763	Received # {September 9, 1998	\N	ieeetit::BakerLW1983, crypto::BierbrauerGS1994:247 dcc::BrouwerT1993:95, eurocrypt::CamionC1996:283 crypto::CamionC1996:372, crypto::CamionCCS1991:86, dcc::Carlet1993 eurocrypt::Carlet1997:422, eurocrypt::Carlet1998:462 ieeetit::Carlet1998, ic::Delsarte1973:407, ieeetit::HammonsKCSS1994 fse::JakobsenK1997:28, fse::Knudsen1994:196, eurocrypt::KurosawaS1997 eurocrypt::MeierS1989:549, eurocrypt::PreneelLLGV1990:161 eurocrypt::PreneelGV1991:141, jcrypt::StinsonM1995:167 crypto::WebsterT1985:523, ieeetit::XiaoM1988, dcc::ZhangZ1996:111
Dobbertin0000	Almost Prefect Nonlinear Power Functions on~{$\\mathrm{GF}(2^n)$}: The {Niho} Case	C2188; PN2764	Received # {September 9, 1998	\N	eurocrypt::BethD1993:65, eurocrypt::BethD1993:65 eurocrypt::ChabaudV1994:356, eurocrypt::ChabaudV1994:356 ieeetit::CusickD1996, ieetit::Dobbertin1998, ieeetit::Gold1968 ieeetit::HellesethRS1998, ic::Kasami1971:369, ieeetit::LachaudW1971 eurocrypt::Nyberg1993:55
HellesethM0000	Binary Sequences of Period~{$2^m - 1$} with large Linear Complexity	C2189; PN2765	Received # {September 9, 1998	\N	ieeetit::BoztasK1994, jcrypt::Dai1992:193 eurocrypt::DaiBG1990:189, ieeetit::KumarHC1995
HuangX0000	Some Computational Problems of Cryptographic Significance Concerning Elliptic Curves over Rings	C2190; PN2766	Received # {September 9, 1998	\N	eurocrypt::Demytko1993:40, eurocrypt::Koyama1995:329 crypto::KoyamaMOV1991:252
Johansson0000	Further Results on Asymmetric Authentication Schemes	C2191; PN2767	Received # {September 9, 1998	\N	eurocrypt::Bierbrauer1995:311 eurocrypt::BrickellS1988:51, crypto::BrickellS1988:564 crypto::ChaumR1990:206, crypto::DesmedtY1990:177 jcrypt::EvenGM1996:35, crypto::Johansson1993:343 ieeetit::Johansson1994, dcc::Johansson1995:205 crypto::Kurosawa1994:140, eurocrypt::KurosawaO1995:289 eurocrypt::Safavi-NainiW1998, crypto::Simmons1984:411 eurocrypt::Simmons1987:151, jcrypt::Simmons1990:77 ieeetit::Smeets1994, eurocrypt::Taylor1994:244 jcrypt::TompaW1988:133
KaidaUI0000	An Algorithm for the {$k$}-Error Linear Complexity of Sequences over {$\\mathit{GF}(p^m)$} with Period~{$p^n$}, $p$ a Prime	C2192; PN2768	Received # {September 9, 1998	\N	IEEETIT::Blackburn1994, IEEETIT::DaiI1998 IEEETIT::GamesC1983, IEEETIT::StampM1993
Safavi-NainiW0000	Multireceiver Authentication Codes: Models, Bounds Constructions and Extensions	C2193; PN2769	Received # {September 9, 1998	\N	crypto::FiatN1993:480, crypto::FiatN1993:480 dcc::Quinn1994:177, dcc::Stinson1997:215, jcrypt::DyerFFT1995:189 jcrypt::Stinson1990:23, jcss::WegmanC1981:265, jcss::WegmanC1981:265 crypto::AticiS1996:16, crypto::AticiS1996:16 crypto::BlundoSHKVY1992:471, crypto::BlundoSHKVY1992:471 crypto::Simmons1984:411, eurocrypt::Blom1984:335 eurocrypt::Blom1984:335, dcc::Stinson1994:369 EUROCRYPT::Safavi-NainiW1998:527, IEEETIT::Johanson1994 IEEETIT::Smeets1994
GargantiniMM0000	Dealing with zero-time transitions in axiom systems	C1949; PN2779	Received # {September 18, 1998	\N	ieeetse::BarthomieuD1991, ieeetse::Coen-PorisiniGK1997 ieeetse::FelderMM1994
GerthKPP0000	A Partial Order Approach to Branching Time Logic Model Checking	C1773; PN2778	Received # {September 23, 1998	\N	tcs::BrowneCG1988, toplas::ClarkeES1986 istcs::GerthKPP1995, icalp::GrooteV1990, jacm::HennessyM1985 popl::LichtensteinP1984, lics::NicolaV1990, lics::WillemsW1996
Dezani-CiancagliniTU0000	Discrimination by Parallel Observers: the Algorithm	C2060; PN2773	Received # {October 5, 1998	\N	apal::Abramsky1991, ic::AbramskyO1993 ic::BarbaneraDd1995, jsyml::BarendregtCD1983, ic::BorealeN1995 ic::Boudol1994, ic::boudolL1996, ic::CoppoDZ1987, mscs::DamianiDG1999 tcs::Dezani-CiancaglinidP1996, sicomp::Dezani-CiancaglinidP1998 tcs::Dezani-CiancagliniM1986, lics::Dezani-CiancagliniTU1997 ic::Hennessy1994, ic::GrooteV1992, tcs::Levy1976, apal::Longo1983 ic::MilnerPW1992:1, ic::MilnerPW1992:41, tcs::MilnerPW1993 icalp::Ong1992, lics::Ong1993, tcs::Plotkin1993 concur::Sangiorgi1993, ic::Sangiorgi1994, icalp::Scott1982
JakobyRS0000	Malign Distributions for Average Case Circuit Complexity	C1974; PN2776	Received # {October 5, 1998	\N	jcss::Ben-DavidCGL1992, swat::Grape1990 jcss::Gurevich1991, stoc::JakobyRS1994, icalp::JakobyRSW1994 stacs::JakobyS1996, sicomp::Levin1986, ipl::LiV1992 sctc::Miltersen1991, sicomp::Miltersen1993, cc::ReischukS1996 sctc::WangB1992
BlumK0000	Greibach Normal Form Transformation, Revisited	C1987; PN2772	Received # {October 5, 1998	\N	ic::EhrenfeuchtR1984, jacm::Greibach1965 mfcs:Piricka-Kelemenova1975, tcs::Kelemenova1984, stacs::KochB1997 jack::Rosenkrantz1967, tcs::Urbanek1985
GuoNW0000	Complexity of Nilpotent Unification and Matching Problems	C2166	Received # {September 8, 1998	\N	jacm::Baader1993, lics::ComonHJ1992, tcs::Goldfarb1981 lics::Kirchner1986, toplas::MartelliM1982, lics::NarendranPS1993 stoc::Schaefer1978
GiunchigliaS0000	Building Decision Procedures for Modal Logics from Propositional Decision Procedures---the Case Study of Modal~{K(m)}	C2167	Received # {September 15, 1998	\N	acmcs::Bryant1992, jacm::DavisLL1962 jlogc::DAgostinoM1994
RousselM0000	The Achievement of Knowledge Bases by Cycle Search	C2170	Received # {September 23, 1998	\N	tcs::MathieuD1994
Luz0000	Using Tableaux to Automate the {Lambek} and other Categorial Calculi	C2173	Received # {September 9, 1998	\N	jlogc::DAgostinoM1994
GiacomoM0000	Combining Deduction and Model Checking into Tableaux and Algorithms for {Converse-PDL}	C2172	Received # {September 22, 1998	\N	lics::BhatCG1995, jcss::FisherL1979, sicomp::Ladner1977 stoc::Pratt1987, focs::Pratt1979, jcss::Pratt1980, tcs::StirlingW1991 ic::StreettE1989, jcss::VardiW1986, ic::VardiW1994
HERMANNK0000	Unification Algorithms Cannot Be Combined in Polynomial Time	C2175	Received # {September 15, 1998	\N	jsymc::BoudetJS1989, jsymc::Boudet1993 jsymc::BaaderS1996, stoc::Cook1971, jsymc::Fages1987, tcs::FagesH1986 jsymc::HermannK1995, mfcs::HermannK1995, sicomp::KannanB1979 jsymc::KirchnerR1994, jsymc::MartinN1989, jsymc::Nipkow1991 ic::Ringeissen1996, jsymc::Schmidt-Schauss1989, jacm::Stickel1981 focs::Toda1989, tcs::Valiant1979, sicomp::Valiant1979 jsymc::Yelick1987
DenzingerS0000	Automatic Acquisition of Search Control Knowledge from Multiple Proof Attempts	C2178	Received # {October 2, 1998	\N	jsymc::DenzingerS1996, icalp::HsiangR1987, jacm::Huet1980
BasinM0000	Structuring Metatheory on Inductive Definitions	C2179	Received # {September 22, 1998	\N	popl::Macqueen1986, popl::MitchellP1985
KolbeW0000	On Terminating Lemma Speculations	C2180	Received # {October 5, 1998	\N	jsymc::Dershowitz1987, cacm::DershowitzM1979 acmcs:Ellman1989
KestenPSY0000	Decidable Integration Graphs	C1860; PN2774	Received # {October 16, 1998	\N	tcs::AlurCHHHNOSY1995, tcs::AlurD1994, ic::AlurH1993 lics::AsarinCM1997, tcs::AsarinMP1995, ic::burchCMDH1992 lics::BouajjaniES1993:147, toplas::ClarkeES1986 ipl::ChaochenHR1991:269, jcss::HenzingerKPV1998 icalp::HenzingerMP1992, actai::NicollinSY1993 jacm::Papadimitriou1981
HomeierM0000	Secure Mechanical Verification of Mutually Recursive Procedures	C2176	Received # {October 12, 1998	\N	sicomp::Cook1978, toplas::GriesL1980 actai::IgarashiLL1975, icalp::MoriconiS1981, scp::Sokolowski1984 tcs::Stoughton1988
MoserM0000	Byzantine-Resistant Total Ordering Algorithms	C1828; PN2770	Received # {October 29, 1998	wads::MoserM1995	ic::Bar-NoyDGK1991, dc::Bar-NoyD1991, wads::BazziN1992 podc::Ben-Or1993, ic::Bracha1987, jacm::BrachaT1985 jacm:ChandraT1996, jacm::ChandraHT1996, podc::choklerHD1998 cacm::Cristian1991, jacm::FischerLP1985, wads::GarayP1992 wads::gopalT1989, cacm::Lamport1978, sicomp::MoserMA1993 cacm::MoserMABL1996, jacm::PeaseSL1980, focs::Rabin1983 acmtcs::Schneider1984:145, sicomp::touegPS1987, cacm::RenesseBM1996
BorodinE0000	On Randomization in Online Computation	C2008; PN2775	Received # {November 2, 1998	\N	focs::BeameBRRT1990, algor::Ben-DavidBKTW1994 jacm::BorodinLS1992, stoc::CoppersmithDRS1990, sidma::ChrobakKPV1991 jalgo::FiatKLMSY1991, focs::Yao1977
GrumbachM0000	An Algebra for Pomsets	C1991; PN2777	Received # {November 25, 1998	icdt::GrumbachM1995	vldbj::AbiteboulB1995, icvldb::AbiteboulCM1993 acmtds::AbiteboulG1991, sigmod::AbiteboulK1989, icvldb::Albert1991 stoc::AbiteboulV1991, icdt::BeeriK1990, pods::BeeriM1992 pods::BusscheP1991, icalp::TannenS1991, jcss::ChandraH1980 focs::CannyR1987, pods::ColbyRSG1994, icvldb::Agarwal+1996 pods::GrumbachM1993, apal::GurevichS1986, focs::Gurevich1983 icdt::GrumbachV1990, pods::GrumbachV1991,pods::GinsburgW1992 pods::HullS1988, pods::HullS1989, jacm::HopcroftT1974 stoc::HopcroftW1974, ic::Immerman1986, jacm::Jacobs1982 pods::KuperV1984, pods::LibkinW1994, icvldb::Mumick+1990 icvldb::Richardson1992, stoc::Vardi1982
CaseJLZ0000	Incremental Concept Learning for Bounded Data Mining	C2072	Received # {November 6, 1998	\N	jcss::Angluin1980, ic::Angluin1980, tcs::ArikawaSY1992 jacm::blum1967, ic::blumB1975, mst::Case1974, colt::Case1988 sicomp::Case1998, tcs::CaseS1983, stacs::File1988, ic::FreivaldsS1993 jcss::FulkJO1994, ic::gold1967, icalp::JiangSSY1993, jcss::LangeZ1996 mst::LangeZ1996, colt::Wright1989, ic::ZeugmannLK1995
BaligaCJ0000	The Synthesis of Language Learners	C2121	Received # {June 25, 1998	\N	colt::Ambainis1996, jcss::Angluin1980, ic::Angluin1980 jacm::Angluin1982, tcs::ArikawaSY1992, icalp::BaligaC1993 jcss::BaligaCJ1995, colt::BaligaCJ1996, ic::BlumB1975, jacm::Blum1967 mst::Case1974, sicomp::Case1998, icalp::CaseL1982, tcs::CaseS1983 colt::Daley1988, colt::DaleyKV1992, colt::DaleyPVW1991 colt::JonghK1996, ic::Fulk1990, focs::Fulk1990, ic::Gold1967 stacs::KapurB1992, ic::KinberZ1991, colt::LangeZ1992 colt::LangeZ1993, jlogp::MuggletonR1994, ic::OshersonSW1988 ic::OshersonW1982, jacm::Pitt1989, ic::PittS1988, jsyml::Rogers1958 jsyml::Shapiro1971, cacm::Valiant1984, tcs::WiehagenFK1984 colt::Wright1989, ic::ZeugmannLK1995
Ehrhard0000	A Relative {PCF}-Definability Result for Strongly Stable Functions and Some Corollaries	C1918	Received # {November 30, 1998	\N	tcs::BucciarelliE1993, ic::BucciarelliE1994 ic::CartwrightCF1994, lics::colsonE1994, mscs::Ehrhard1993 apal::Ehrhard1996, tcs::Girard1986, ic:Meyer1982, tcs::Milner1977 tcs::Plotkin1977
Zhang0000	Automata, {Boolean} Matrices, and Ultimate Periodicity	C2120	Received # {November 30, 1998	\N	ic::Abe1995, mscs::bloomE1993, ic::Kozen1994 tcs::Krob1991, jacm::Salomaa1966, tcs::SeiferasM1976 ic::StearnsH1963
Engelfriet0000	Derivation Trees of Ground Term Rewriting Systems	C1922	Received # {June 24, 1998	\N	ic::Brainerd1969, lics::DauchetT1990 icalp::Dershowitz1981, ic::DauchetHL1990, ipl::FrazierP1994 tcs::Oyamaguchi1987, tcs::VAgvolgyi1993
SakaiTM0000	Proper Learning Algorithm for Functions of {$k$} Terms under Smooth Distributions	C1831	Received # {November 30, 1998	\N	focs::Bshouty1993, colt::BlumS1990:144 colt::FlamminiMK1992, stoc::KearnsLPV1987, ic::KuceraMP1994 jacm::PittV1988, cacm::Valiant1984
Fleischer0000	Decision Trees: Old and New Results	C2014	Received # {June 29, 1998	\N	stoc::Ben-Or1983, stoc::BjornerLY1992, jcss::DobkinL1979 jacm::FusseneggerG1979, ipl::Gasarch1991, stoc::GrigorievKHS1996 mfcs::Jaromczyk1981, jam::ManberT1985, focs::MansourST1988 jacm::Heide1984, tcs::Heide1985, cc::MontanaPR1994, jacm::Mora85 ipl::ODunling1988, jcss::Rabin1972, ipl::Ramanan1987 jacm::Reingold1972, sicomp::RivestY1980, tcs::Snir1982 jalgo::SteeleY1982, sicomp::Strassen1983, algor::Yao1989 focs::Yao1992:268
GurevichV0000	Logic with Equality: Partisan Corroboration, and Shifted Pairing	C2038	Received # {February 24, 1999	\N	icalp::CortierGJV1999, lics::DegtyarevV1996 tcs::DegtyarevV1996, tcs::DegtyarevGNVV1999, lics::DegtyarevMV1996 lics::GallierNPS1988, ic::GallierNPS1990, lics::GallierRS1987 tcs::Goldfarb1981, lics::Goubault1994, icalp::GurevichV1997 lics::Veanes1998, lics::Voronkov1998, tcs::Voronkov1998
AfekMT0000	The Power of Multi-Objects	C1920	Received # {March 1, 1999	\N	jacm::AfekADGMS1993, podc::AttiyaD1996, jacm::AfekGMT1995 podc::AfekGMT1992, podc::AndersonM1995, podc::AfekMTT1997 dc::Anderson1993, dc::Anderson1994, podc::AfekS1994, podc::AfekWW1993 jacm::FischerLP1985, toplas::Herlihy1991, toplas::HerlihyW1990 podc::IsraeliR1994, podc::Jayanti1993, wdag::JayantiK1997 dc::Lamport1986:77, dc::Lamport1986:86, podc::LynchT1987 wdag::MerrittT1991, podc::ruppert1998, podc::ShavitT1995
LathropL0000	Recursive Computational Depth	C1993	Received # {January 29, 1999	\N	jacm::Chaitin1975, icalp::FennerLM1995, tcs::JuedesLL1994 tcs::JuedesL1995, sicomp::Lutz1990, jcss::Lutz1992 ic::Martin-Lof1966, mst::Schnorr1971, jcss::Schnorr1973 ic::Solomonoff1964
AwerbuchBRS0000	Piecemeal Graph Exploration by a Mobile Robot	C1969	Received # {July 27, 1998	\N	sicomp::AwerbuchBCP1998, focs::AwerbuchG1985 ieeetit::AwerbuchG1987, jalgo::Bar-EliBFY1994, focs::BenderS1994 focs::BlumC1993, sicomp::blumRS1997, jacm::DengKP1998 focs::DengP1990, focs::Kleinberg1994, tcs::PapadimitriouY1991 ic::RivestS1993
StolboushkinT0000	Finite Queries Do Not Have Effective Syntax	C1805	Received # {February 18, 1999	pods::StolboushkinT1995	lics::AvronH1991, cacm::Codd1970, jacm::Paola1969 pods::KanellakisKR1990, acmtods::GelderT1991, ipl::Vardi1981
Ranzato0000	Closures on {CPOs} Form Complete Lattices	C2253	Received # {April 20, 1999	\N	lics::AbramskyM1999, toplas::CortesiFGPR1997 acmcs::Cousot1996, popl::cousotC1977, popl::cousotC1979 ic::FalaschiGMP1997, acmcs::FileGR1996, tcs::GermanoM1991 scp::GiacobazziR1998, ic::GiacobazziR1998, mfcs::GiacobazziRS1998 toplas::Jensen1997, icalp::MycroftN1983
CleavelandDSY0000	Testing Preorders for Probabilistic Processes	C2030	Received # {April 22, 1999	icalp::CleavelandSZ1992, concur::YuenCDS1994	icalp::CleavelandSZ1992:708, lics::CleavelandZ1991:110 tcs::NicolaH1984:83, ic::GlabbeekSS1995:59, concur::JouS1990:367 lics::JonssonY1995:431, ic::LarsenS1991:1, podc::LynchT1987:137 concur::NunezFL1995:249, concur::NunezFL1995:249 concur::Segala1996:299, tcs::WuSS1997:1, concur::YuenCDS1994:497
BartalCL0000	A Randomized Algorithm for Two Servers on the Line	C2197	Received # {April 27, 1999	\N	esa::AchlioptasCN1996, ipl::AlbersSW1995 stoc::BartalBBT1997, focs::BlumKRS1992, sidma::ChrobakKPV1991 sicomp::ChrobakL1991, ipl::ChrobakLLR1997, wads::IraniS1995 algor::KarlinMMO1994, stoc::KoutsoupiasP1994, jacm::KoutsoupiasP1995 ipl::KoutsoupiaP1996, sidma::LundR1994, jalgo::ManasseMS1990 algor::McGeochS1991
MaassS0000	On the Complexity of Learning for Spiking Neurons with Temporal Coding	C2064	Received # {April 26, 1999	\N	jacm::blumerEHW1989, ic::Haussler1992 jcss::HoffgenSH1995, jacm::KearnsLV1994, jcss::KoiranS1997 stoc::MacintyreS1993, cacm::Valiant1984
GrecoS0000	Complexity and Expressive Power of Deterministic Semantics for {DATALOG}	C2061	Received # {February 8, 1999	\N	pods::AbiteboulSV1990, icalp::BuccafurriGS1997 ic::BlassG1982, jcss::ChandraH1982, ic::ChenT1995, tods::EiterGM1997 jlogp::Fitting1985, icdt::GrecoSZ1995, lics::Kolaitis1990 jcss::KolaitisP1991, icalp::LaenensVZ1992, jacm::MarekT1991 jcss::papadimitriouY1982, ipl::Sacca1996, jcss::Sacca1997 pods::SaccaZ1990, jlogc::SaccaZ1997, pods::Schlipf1990 jcss::Gelder1992, jacm::GelderRS1991, stoc::Vardi1982
HirstL0000	Alternation and Bounded Concurrency are Reverse Equivalent	C2033	Received # {August 3, 1998	\N	jacm::ChandraKS1981, jacm::DrusinskyH1994 tcs::GlobermanH1996, scp::Harel1987, concur::HarelKV1997 lics::HarelRV1990, jacm::HirstH1994, cacm::Hoare1978 focs::MeyerF1971, focs::Kozen1976
BernasconiE0000	Hilbert Function and Complexity Lower Boudns for Symmetric {Boolean} Functions	C2051	Received # {December 4, 1998	\N	focs::AlonKV1996, sctc::Beigel1993, mst::KrauseW1995 stoc::Smolensky1987, focs::Smolensky1993
DrosteG0000	The {Kleene-Sch\\?utzenberger} Theorem for Formal Power Series in Partially Commuting Variables	C2232	Received # {January 21, 1999	\N	tcs::AalbersbergR1988, tcs::Droste1995 icalp::DrosteG1997, ic::Schutzenberger1961
AlurMP0000	Model-Checking of Correctness Conditions for Concurrent Objects	C2211	Received # {May 11, 1999	lics::AlurMP1996	mst::AalbersbergH1989, cacm::EswaranGLT1976 tcs::FleR1985, toplas::HerlihyW1990
GarrigueR0000	Semi-Explicit First-Class Polymorphism for~{ML}	C2269	Received # {May 6, 1999	tacs::GarrigueR1997	icfplca::AikenW1993, popl::DamasM1982 oopsla::EifrigST1995, toplas::LauferO1994, ic::OderskyL1996 popl::PierceT1998, , tacs::Remy1994, popl::RemyV1997, lics::Wells1994 ic::WrightF1994
Ohori0000	Type-Directed Specialization of Polymorphism	C2270	Received # {May 6, 1999	TACS::Ohori1997	tcs::Alimohamed1995, tacs::BirkedalH1997 ic::Breazu-TannenCGS1991, tods::BunemanO1996, acmcs::CardelliW1985 icfp::CraryWM1998, popl::DamasM1982, toplas::HarperM1993 popl::HarperM1993, popl::HarperM1995, esop::Jones1992 tacs::Jones1994, tacs::Kahn1987, pldi::TarditiMCSHL1996
BirkedalH0000	Relational Interpretations of Recursive Types in an Operational Setting	C2267	Received # {May 6, 1999	TACS::BirkedalH1997	jfp::HarperDM1993, ic::MasonST1995, ic::Pitts1996 tcs::Plotkin1975, tcs::Plotkin1977, pldi::Reppy1991 icalp::Reynolds1974, icalp::Scott1982, icfp::ShaoLM1998 ic::Statman1985, pldi::TarditiMCSHL1996
BruceCP0000	Comparing Object Encodings	C2268	Received # {May 6, 1999	tacs::BruceCP1997	toplas::AmadioC1993, ecoop::AbadiC1995, popl::AbadiCV1996 ecoop::BruceFP1997, ieeetse::BlacmHJLC1987, jfp::Bruce1994 ecoop::BruceSG1995, ic::Cardeli1988, popl::CookHC1990 mscs::CurienG1992, jfp::CardelliL1991, oopsla::CookP1989 acmcs::CardelliW1985, oopsla::DayGLM1995, tacs::FisherM1994 tcs::Ghelli1995, jfp::HofmannP1995, ecoop::Jacobs1996 popl::Mitchell1990, popl::MinamideMH1996, toplas::MitchellP1988 popl::MitchellP1985, ic::Pierce1994, tcs::PierceS1997:235 jfp::PierceT1993, mscs::Reichel1995:129
BonsangueK0000	Towards an Infinitary Logic of Domains: Abramsky Logic for Transition Systems	C2266	Received # {May 6, 1999	tacs::BonsangueK1997	apal::Abramsky1991, ic::Abramsky1991 tcs::BonsangueJK1995, entcs::Bonsangue1997, ic::BakkerZ1982 jacm::HennessyM1985, icalp::Scott1982, icalp::Smyth1983
Comon0000	Sequentiality, Monadic Second-Order Logic and Tree Automata	C2250	Received # {March 1, 1999	lics::Comon1995	stacs::BogaertT1992, ic::ComonD1994 lics::DauchertHLT1988, lics::DauchetT1990, apal::Kennaway1989 jsymc::KlopM1991, sicomp::Oyamaguchi1993, sicomp::Seidl1990 lics::SekarR1990, mst::ThatcherW1968, lics::Toyama1992
DowekHK0000	Higher Order Unification via Explicit Substitutions	C2249	Received # {March 1, 1999	lics::DowekHK1995	jfp::AbadiCCL1991, jsyml::Andrews1971, jsyml::Church1940 jacm::CurienHL1996, tcs::Dauchet1992, tcs::Dougherty1993 jlogc::Dowek1993, lics::DowekHK1995, tcs::Goldfarb1981 icalp::HintermeierKK1994, ic::Huet1973, tcs::Huet1975 toplas::MartelliM1982, jsymc::Miller1992, jsymc::SnyderG1989
Walukiewicz0000	Completeness of {Kozen's} Axiomatisation of the Propositional {$\\mu$}-Calculus	C2248	Received # {March 1, 1999	lics::Walukiewicz1995	jcss::HarelKP1982, mfcs::JaninW1995, concur::Kaivola1995 tcs::Kozen1983, tcs::NiwinskiW1996:99, tcs::StirlingW1991 ic::StreettE1989, lics::Walukiewicz1993
EtessamiI0000	Tree Canonization and Transitive Closure	C2247	Received # {March 1, 1999	lics::EtessamiI1995	focs::AleliunasKLLR1979, jcss::BarringtonIS1990 sicomp::CookR1980, mfcs::DublishM1990, tcs::EtessamiI1995 sctc::Etessami1995, jcss::Immerman1982, sicomp::Immerman1987 sicomp::Immerman1988, sicomp::Immerman1989, stoc::Lindell1992 jsyml::Otto1996, jcss::Ruzzo1980
Kopylov0000	Decidability of Linear Affine Logic	C2246	Received # {March 1, 1999	lics::Kopylov1995	tcs::Girard1987, lics::Kanovich1992, tacs::Kanovich1994 focs::LincolnMSS1990
DoughertyS0000	Equality between Functionals in the Presence of Coproducts	C2245	Received # {March 1, 1999	lics::DoughertyS1995	icalp::CosmoK1993, cacm::DershowitzM1979, jacm::Huet1980 jsyml::Statman1982
Pfenning0000	Structural Cut Elimination~{I}: Intuitionistic and Classical Logic	C2244	Received # {March 1, 1999	lics::Pfenning1995	tcs::Abramsky1993, lics::Breazu-TannenKP1993 tcs::Gallier1993, tcs::Girard1987, apal::Girard1993 jacm::HarperHP1993, lics::Miller1994, apal::MillerNPS1991 lics::Nipkow1991
\.


--
-- Name: article_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_pkey PRIMARY KEY (articleid);


--
-- Name: articleauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_pkey PRIMARY KEY (articleid, authorid);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (authorid);


--
-- Name: unpubauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_pkey PRIMARY KEY (unpubid, authorid);


--
-- Name: unpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY unpublished
    ADD CONSTRAINT unpublished_pkey PRIMARY KEY (unpubid);


--
-- Name: articleauthor_articleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_articleid_fkey FOREIGN KEY (articleid) REFERENCES article(articleid) ON DELETE CASCADE;


--
-- Name: articleauthor_authorid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_authorid_fkey FOREIGN KEY (authorid) REFERENCES author(authorid) ON DELETE CASCADE;


--
-- Name: unpubauthor_authorid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_authorid_fkey FOREIGN KEY (authorid) REFERENCES author(authorid) ON DELETE CASCADE;


--
-- Name: unpubauthor_unpubid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_unpubid_fkey FOREIGN KEY (unpubid) REFERENCES unpublished(unpubid) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

