--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s3_b;
--
-- Name: amalgam_s3_b; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s3_b WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s3_b

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: article; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE article (
    articleid text NOT NULL,
    title text NOT NULL,
    volume integer NOT NULL,
    number text NOT NULL,
    pages text NOT NULL,
    month text NOT NULL,
    year integer NOT NULL,
    refkey text,
    note text,
    remarks text,
    references_ text,
    xxxreferences text,
    fullxxxreferences text,
    oldkey text,
    abstract text,
    preliminary text
);


--
-- Name: articleauthor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE articleauthor (
    articleid text NOT NULL,
    authorid integer NOT NULL
);


--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    authorid integer NOT NULL,
    name text NOT NULL
);


--
-- Name: unpubauthor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE unpubauthor (
    unpubid text NOT NULL,
    authorid integer NOT NULL
);


--
-- Name: unpublished; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE unpublished (
    unpubid text NOT NULL,
    title text NOT NULL,
    refkey text,
    note text,
    preliminary text,
    references_ text
);


--
-- Data for Name: article; Type: TABLE DATA; Schema: public; Owner: -
--

COPY article (articleid, title, volume, number, pages, month, year, refkey, note, remarks, references_, xxxreferences, fullxxxreferences, oldkey, abstract, preliminary) FROM stdin;
KleijnR82	Corrigendum: Sequential, Continuous and Parallel Grammars	52	3	364	mar	1982	\N	\N	\N	KleijnR1981:221	\N	\N	\N	\N	\N
BergstraT82	The Completeness of the Algebraic Specification Methods for Computable Data Types	54	3	186--200	sep	1982	\N	\N	\N	Sicomp::BergstraT1983, actai::GuttagH1978 ieeetse::LiskovZ1975, jcss::Wand1979, mfcs::WirsingB1980 mfcs::GiarratanaGM1976	\N	\N	\N	\N	\N
RivestS82	How to Reuse a ``Write-Once'' Memory	55	1--3	1--19	oct # ?/? # nov # ?/? # dec	1982	\N	\N	\N	\N	\N	\N	\N	\N	STOC::RivestS1982
NeuhoffS82	Channel Distances and Representation	55	1--3	238--264	oct # ?/? # nov # ?/? # dec	1982	\N	\N	\N	\N	\N	\N	\N	\N	\N
GolsonR83	Connections Between Two Theories of Concurrency: Metric Spaces and Synchronization Trees	57	2/3	102--124	may # ?/? # jun	1983	\N	\N	\N	tcs::ArnoldN1980, IC::BakkerZ1982	\N	\N	\N	\N	\N
GianniniL84	Effectively Given Domains and Lambda-Calculus Models	62	1	36--63	jul	1984	\N	\N	\N	\N	\N	\N	\N	\N	\N
GoudaMY84	On the Progress of Communications between Two Finite State Machines	63	3	200--216	dec	1984	\N	\N	\N	\N	\N	\N	\N	\N	\N
GrantM85	Normalization and Axiomatization for Numerical Dependencies	65	1	1--17	apr	1985	\N	\N	\N	\N	\N	\N	\N	\N	\N
HartmanisIS85	Sparse Sets in {NP-P}: {EXPTIME} versus {NEXPTIME}	65	2/3	158--181	may # ?/? # jun	1985	\N	\N	\N	\N	\N	\N	\N	\N	\N
AfratiPP85	The Complexity of Cubical Graphs	66	1/2	53--60	jul # ?/? # aug	1985	\N	\N	\N	\N	\N	\N	\N	\N	\N
Kutylowski87	A Generalized {Grzegorczyk} Hierarchy and Low Complexity Classes	72	2	133--149	feb	1987	\N	\N	\N	\N	\N	\N	\N	\N	\N
EngelfrietV87	Look-Ahead on Pushdowns	73	3	245--279	jun	1987	\N	\N	\N	\N	\N	\N	\N	\N	\N
Welch87	Simulating Synchronous Processors	74	2	159--170	aug	1987	\N	\N	\N	\N	\N	\N	\N	\N	\N
Bracha87	Asynchronous {Byzantine} Agreement Protocols	75	2	130--143	nov	1987	\N	\N	\N	\N	\N	\N	\N	\N	\N
EdelsbrunnerP88	Minimum Polygonal Separation	77	3	218--232	jun	1988	\N	\N	\N	\N	\N	\N	\N	\N	\N
SannellaT88	Specifications in an Arbitrary Institution	76	2/3	165--210	feb # ?/? # mar	1988	\N	\N	\N	\N	\N	\N	\N	A formalism for constructing and using axiomatic specifications in an arbitrary logical system is presented.  This builds on the framework provided by Goguen and Burstall's work on the notion of an institution as a formalisation of the concept of a logical system for writing specifications.  We show how to introduce free variables into the sentences of an arbitrary institution and how to add quantifiers which bind them.  We use this foundation to define a set of primitive operations for building specifications in an arbitrary institution based loosely on those in the ASL kernel specification language.  We examine the set of operations which results when the definitions are instantiated in institutions of total and partial first-order logic and compare these with the operations found in existing specification languages.  We present proof rules which allow proofs to be conducted in specifications built using the operations we define.  Finally, we introduce a simple mechanism for defining and applying parameterised specifications and briefly discuss the program development process.	\N
LampsonB88	Pebble, a Kernel Language for Modules and Abstract Data Types	76	2/3	278--346	feb # ?/? # mar	1988	\N	\N	\N	\N	\N	\N	\N	\N	\N
JouannaudK89	Automatic Proofs by Induction in Theories without Constructors	82	1	1--33	jul	1989	\N	\N	\N	\N	BergstraK84, Dershowitz85	\N	\N	\N	\N
BertoniMS89	Membership Problems for Regular and Context-Free Trace Languages	82	2	135--150	aug	1989	\N	\N	\N	\N	\N	\N	\N	\N	\N
MontenyohlW89	Incorporating Static Analysis in a Combinator-Based Compiler	82	2	151--184	aug	1989	\N	\N	\N	\N	Wand83	\N	\N	We show how restructuring a denotational definition leads to a more efficient compiling algorithm.  Three semantics-preserving transformations (static replacement, factoring, and combinator selection) are used to convert a continuation semantics into a formal description of a semantic analyzer and code generator.  The compiling algorithm derived below performs type checking before code generation so that type-checking instructions may be omitted from the target code.  The optimized code is proved correct with respect to the original definition of the source language.  The proof consists of showing that all transformations preserve the semantics of the source language.	\N
AndreD89	An Algebraic Characterization of Transition System Equivalences	82	2	198--229	aug	1989	\N	\N	\N	\N	\N	\N	\N	\N	\N
VitterL92	Learning in Parallel	96	2	179--202	feb	1992	\N	\N	\N	\N	STOC::AjtaiB84, FOCS::BergerRS89, JACM::BlumerEHW89 Cook85, STOC::KearnsL88, STOC::KearnsLPV87	\N	\N	\N	\N
Breazu-TannenCGS91	Inheritance as Implicit Coercion	93	1	172--221	jul	1991	\N	\N	\N	\N	Amadio91, Cardelli88, CoquandGW89, CoquandH88, Koymans82 Meyer82	\N	\N	\N	LICS::Breazu-TannenCGS1989:112
PassayT91	An Essay in Combinatory Dynamic Logic	93	2	263--332	aug	1991	\N	\N	\N	\N	Streett82	\N	\N	\N	\N
ChoH92	The Parallel Complexity of Finite-State Automata Problems	97	1	1--22	mar	1992	\N	\N	\N	\N	Cook85, STOC::KarpUW85, FOCS::MeyerS72 STOC::StockmeyerM73	\N	\N	\N	\N
BurchCMDH92	Symbolic Model Checking: $10^{20}$ States and Beyond	98	2	142--170	jun	1992	\N	\N	\N	MISC::BoseF1989, IEEETC::BrowneCDM1986 IEEETC::Bryant1986, IEEETC::Bryant1991, DAC::BurchCL1991 ICVLSI::BurchCL1991, DAC::BurchCMD1990, CTAP::ClarkeDK1990 TOPLAS::ClarkeES1986, TR::Cleaveland1989, AVMFSS::CoudertBM1989 LICS::EmersonL1986, ISCHDLA::FujitaF1989, CAV::Godefroid1990 LICS::GodefroidW1991, ICCD::KimuraC1990, TCS::Kozen1983 LP::MannaW1981, BOOK::Milner1980, TCS::Milner1983, TR::Park1974 CAV::ProbstL1990, TPSD::StirlingW1989, CATPN::Valmari1989 CAV::Valmari1990, ISFTC::YonedaNT1989	\N	\N	\N	Many different methods have been devised for automatically verifying finite state systems by examining state-graph models of system behavior.  These methods all depend on decision procedures that explicitly represent the state space using a list or a table that grows in proportion to the number of states.  We describe a general method that represents the state space \\emph{symbolically} instead of explicitly.  The generality of our method comes from using a dialect of the Mu-Calculus as the primary specification language.  We describe a \\emph{model checking} algorithm for Mu-Calculus formulas that uses Bryant's \\emph{Binary Decision Diagrams} (Bryant, R. E., 1986 \\emph{IEEE Trans.\\ Comput.}\\ \\textbf{C-35}) to represent relations and formulas.  We then show how our new Mu-Calculus model checking algorithm can be used to derive efficient decision procedures for CTL model checking, satisfiability of linear-time temporal logic formulas strong and weak observational equivalence of finite transition systems, and language containment for finite $\\omega$-automata.  The fixed point computations for each decision procedure are sometimes complex, but can be concisely expressed in the Mu-Calculus.  We illustrate the practicality of our approach to symbolic model checking by discussing how it can be used to verify a simple synchronous pipeline circuit.	LICS::BurchCMDH1990:428
BenvenisteGSS92	A Denotational Theory of Synchronous Reactive Systems	99	2	192--230	aug	1992	\N	\N	\N	\N	McNaughton66, FOCS::Muller63	\N	\N	\N	\N
Ristad93	The Anaphora Problem	105	1	105--131	jul	1993	C1011	\N	\N	BOOK::Canny1988, LINGI::Chomsky1980, BOOK::Chomsky1981 BOOK::Chomsky1986, BOOK::Dudeney1967, BOOK::Emmet1972 BOOK::Fujimura1978, LINGI::Higginbotham1983, LINGI::Higginbotham1985 LINGA::Lasnik1976, JLINGR::Lasnik1981, MISC::Lasnik1989 FOCS::Reif1979:421, FOCS::ReifS1985:144, BOOK::Ristad1993	\N	\N	\N	Consider the computational problem of understanding the utterances of a human language that contain pronouns.  In order to completely understand such utterances, the language user must determine the intended reference of each pronoun in a given utterance. For example, in order to comprehend the English sentence ``Jocasta loved her son,'' the hearer might determine that the possessive pronoun ``her'' and the proper noun ``Jocasta'' both refer to Jocasta the Queen of Thebes.  Using such facts of linguistic knowledge, we develop a sophisticated formal model of this computational problem and prove that it is NP-complete.  This result is the first empirically-plausible bound on the computational complexity of human language.  No knowledge of linguistic theory is needed to understand our analysis, only knowledge of English.	\N
LevcopoulosP94	Sorting Shuffled Monotone Sequences	112	1	37--50	jul	1994	C1074	\N	\N	\N	Estivill-CastroW89	\N	\N	We present a new sorting algorithm that adapts to existing order within the input sequence. Let $k$ be the smallest integer such that a sequence~$X$ of length~$n$ can be reduced to the empty sequence by the removal of $k$~monotone, increasing or decreasing subsequences.  The algorithm, Slabsort, sorts~$X$ in $O(n\\log k)$ time, without knowing~$k$ beforehand, which is optimal in a comparison-based model.	\N
Pierce94	Bounded Quantification is Undecidable	112	1	131--165	jul	1994	C1330	\N	\N	\N	Breazu-TannenCGS91, BruceL90, Cardelli88, Mitchell88	\N	\N	$F_\\leq$ is a typed $\\lambda$-calculus with subtyping and bounded second-order polymorphism.  First introduced by Cardelli and Wegner, it has been widely studied as a core calculus for type systems with subtyping. \\par Curien and Ghelli proved the partial correctness of a recursive procedure for computing minimal types of $F_\\leq$ terms and showed that the termination of this procedure is equivalent to the termination of its major component, a procedure for checking the subtype relation between $F_\\leq$ types.  This procedure was thought to terminate on all inputs, but the discovery of a subtle bug in a purported proof of this claim recently reopened the question of the decidability of subtyping, and hence of typechecking. \\par This question is settled here in the negative, using a reduction from the halting problem for two-counter Turing machines to show that the subtype relation of $F_\\leq$ is undecidable.	\N
ComonD94	Equational Formulae with Membership Constraints	112	2	167--216	1~} # aug	1994	C1204	\N	\N	\N	LICS::GoguenM87, LICS::JouannaudK86, LICS::Maher88 LICS::Mosses89a, Plaisted85	\N	\N	We propose a set of transformation rules for first order formulae whose atoms are either equations between terms or ``membership constraints'' $t\\in\\zeta$. $\\zeta$ can be interpreted as a regular tree language ($\\zeta$ is called a {\\em sort\\/} in the algebraic specification community) or as a tree language in any class of languages which satisfies some adequate closure and decidability properties.  This set of rules is proved to be correct, terminating and complete. This provides a quantifier elimination procedure: for every regular tree language $\\cal L$, the first order theory of some structure defining $\\cal L$ is decidable.  This extends former results of (Mal'cev 62, Maher 88, Comon and Lescanne 89).  We also show how to apply our results to automatic inductive proofs in equational theories.	\N
HenzingerMP94	Temporal Proof Methodologies for Timed Transition Systems	112	2	273--337	1~} # aug	1994	C1487	\N	\N	\N	LICS::AlurH90, LICS::AbadiL88, LICS::HarelLP90 KoymansSRGA88, FOCS::Pnueli77	\N	\N	We extend the specification language of temporal logic, the corresponding verification framework, and the underlying computational model to deal with real-time properties of reactive systems.  The abstract notion of timed transition systems generalizes traditional transition systems conservatively: qualitative fairness requirements are replaced (and superseded) by quantitative lower-bound and upper-bound timing constraints on transitions.  This framework can model real-time systems that communicate either through shared variables or by message passing and real-time issues such as timeouts process priorities (interrupts), and process scheduling. \\par We exhibit two styles for the specification of real-time systems. While the first approach uses time-bounded versions of the temporal operators, the second approach allows explicit references to time through a special clock variable.  Corresponding to the two styles of specification, we present and compare two different proof methodologies for the verification of timing requirements that are expressed in these styles.  For the {\\em bounded-operator\\/} style, we provide a set of proof rules for establishing bounded-invariance and bounded-response properties of timed transition systems.  This approach generalizes the standard temporal proof rules for verifying invariance and response properties conservatively.  For the {\\em explicit-clock\\/} style, we exploit the observation that every time-bounded property is a safety property and use the standard temporal proof rules for establishing safety properties.	\N
HausslerLW94	Predicting $\\{0,1\\}$-Functions on Randomly Drawn Points	115	2	248--292	dec	1994	C1175	\N	\N	\N	FOCS::Blum90a, JACM::BlumerEHW89, EhrenfeuchtH89 EhrenfeuchtHKV89, Haussler92, HausslerKLW91, JACM::KearnsLV94 JACM::KearnsV94, LittlestoneW94, STOC::Natarajan87, JACM::PittV88	\N	\N	We consider the problem of predicting $\\{0,1\\}$-valued functions on ${\\bf R}^n$ and smaller domains, based on their values on randomly drawn points.  Our model is related to Valiant's PAC learning model, but does not require the hypotheses used for prediction to be represented in any specified form.  In our main result we show how to construct prediction strategies that are optimal to within a constant factor for any reasonable class~$F$ of target functions.  This result is based on new combinatorial results about classes of functions of finite VC dimension.  We also discuss more computationally efficient algorithms for predicting indicator functions of axis-parallel rectangles, more general intersection closed concept classes, and halfspaces in ${\\bf R}^n$.  These are also optimal to within a constant factor.  Finally, we compare the general performance of prediction strategies derived by our method to those derived from methods in PAC learning theory.	\N
NerodeNS95	Computing Circumscriptive Databases: {I}. Theory and Algorithms	116	1	58--80	jan	1995	C1302	\N	\N	IEEECS::AstromBCCLV1991, TR::AraqueC1991 PODS::BancilhonMSU1986, SIGMOD::BancilhonR1986, PODS::BeeriR1987 TR::BellNNS1991, PODS::BellNNS1992, COR::BlairJL1988 AAAI::CadoliL1990, IEEECDC::CainesW1991, JACM::ChandruH1991:205 STOC::CosmadakisGKV1988, TCS::EiterG1993:231, MISC::EmeryNS1992 COMPI::EtheringtonMR1985, BOOK::Etherington1988 ICSLP::GelfondL1988:1070, ICSLP::GelfondL1988:579 ARTII::Ginsberg1989, BOOK::Hailperin1976, BOOK::HillierL1974 ANNMAI::HookerF1990, POPL::JaffarL1987, DSS::Jeroslow1988 COMB::Karmarkar1984, DOKAN::Khachian1979, ILPS::KempSS1991 CACM::Kohn1991:64, SCACSD::KohnN1992, JACM::KolaitisP1990:1 IPL::Krishnaprasad1988, IJCAI::Lifschitz1985, ARTII::Lifschitz1985 AAAI::Lifschitz1986, ANNMAI::MarekNR1990, ARTII::McCarthy1980 ARTII::McCarthy1986, ARTII::MinkerP1986, ARTII::Moore1985 ICLP::MorrisUG1986, AAAI::Przymusinski1986, ACMTDS::Roussopoulos1991 APAL::Schlipf1987, PODS::ShmueliTZ1988, PODS::Ullman1989	\N	\N	\N	Though circumscription was introduced by McCarthy over a decade ago, there has been relatively little work on algorithms for computing circumscriptive databases.  In this paper, we develop algorithms to compute the preferred models of circumscriptive databases at compile-time using mixed integer linear programming techniques.  Two advantages of this (bottom-up) approach are that it makes efficient re-use of previous computations and it provides much faster run-time performance.  Some other advantages of using linear programming to automate deduction at compile time is that its re-optimization facilities elegantly accommodate database updates and also that it leads to a completely declarative formulation in which ordering of rules and literals in rule bodies plays no real role. Finally, we plan to use a standard relational database system as our run-time environment; this should yield relatively fast run-time processing, and provide a more expressive query language in which aggregates and the like can be expressed easily.	\N
KucherovT95	Decidability of Regularity and Related Properties of Ground Normal Form Languages	118	1	91--100	apr	1995	C1406	\N	\N	\N	Plaisted85	\N	\N	We study language-theoretical properties of the set of reducible ground terms and its complement - the set of ground normal forms induced by a given rewriting system.  As a tool for our analysis we introduce the property of finite irreducibility of a term with respect to a variable and prove it to be decidable. It turns out that this property generalizes numerous interesting properties of the language of ground normal forms. In particular, we show that testing regularity of this language can be reduced to verifying this property. In this way we prove the decidability of the regularity of the set of ground normal forms, the problem mentioned in the list of open problems in rewriting (Dershowitz, Jouannaud, and Klop, 1991). Also the decidability of the existence of an equivalent ground term rewriting system and some other results are proved.	\N
ChenT95	The Complexity of Selecting Maximal Solutions	119	2	231--239	jun	1995	C1514	\N	\N	\N	STOC::Anderson85, STOC::KarpW84, STOC::Luby85 STOC::MulmuleyVV87, FOCS::Papadimitriou91, FOCS::PapadimitriouW85	\N	\N	Many important computational problems involve finding a maximal (with respect to set inclusion) solution in some combinatorial context.  We study such maximality problems from the complexity point of view, and categorize their complexity precisely in terms of tight upper and lower bounds. Our results give characterizations of coNP D$^{\\rm P}$, $\\Pi^{\\rm P}_2$, FP$^{\\rm NP}_{\\parallel}$ FNP/\\hspace{-1mm}/OptP$[\\log n]$ and FP$^{\\Sigma^{\\rm P}_2}_{\\parallel}$ in terms of subclasses of maximality problems.  An important consequence of our results is that finding an $X$-minimal satisfying truth assignment for a given CNF boolean formula is complete for FNP/\\hspace{-1mm}/OptP$[\\log n]$, solving an open question by Papadimitriou [{\\em Proceedings of the 32nd IEEE Symposium on the Foundations of Computer Science}, 1991, pp.~163--169].	\N
BookLM95	The Global Power of Additional Queries to Random Oracles	120	1	49--54	jul	1995	C1526	\N	\N	\N	JACM::Chaitin75, Martin-Lof66	\N	\N	It is shown that, for every $k\\geq0$ and every fixed algorithmically random language $B$, there is a language that is polynomial-time, truth-table reducible in $k+1$ queries to $B$ but not truth-table reducible in $k$ queries in {\\em any\\/} amount of time to {\\em any\\/} algorithmically random language $C$.  In particular, this yields the separation $\\mbox{P$_{k\\mbox{-}tt}$} ({\\rm RAND}) \\subsetneqq \\mbox{P$_{(k+1)\\mbox{-}tt}$}({\\rm RAND})$, where RAND is the set of all algorithmically random languages.	\N
Neraud95	Algorithms for Detecting Morphic Images of a Word	120	1	126--148	jul	1995	C1506	\N	\N	\N	Ukkonen85	\N	\N	Let $\\Delta$ and $\\Sigma$ be two disjoint finite alphabets. Given a ``pattern'' $R \\in (\\Delta\\cup\\Sigma)^*$, and a ``text'' $w \\in \\Sigma^*$, we consider the problem that consists in deciding whether there exists a morphism $\\phi : (\\Delta\\cup\\Sigma)^*\\rightarrow \\Sigma^*$, with $\\phi(a)=a$ for every constant $a\\in \\Sigma$, and such that $\\phi(R)$ is a factor of $w$. In the general case, this is a NP-complete problem (Angluin, 1980). We study the two following restrictions: (a)~$R$ is an arbitrary one-variable pattern with constants (elements in $\\Sigma$); (b)~$R$ is a two-variable pattern without constant.  In the first case, we show that the problem may be solved by an $O(|w|^2\\ln |w|)$-time algorithm. In the case we present a $O(|w|^2\\ln^{2}|w|)$-time algorithm for solving the question.	\N
AdlemanHK95	Efficient Checkers for Number-Theoretic Computations	121	1	93--102	15~} # aug	1995	C1109	\N	\N	\N	FOCS::BeigelBFG91, STOC::BlumK89, STOC::BlumLR90 STOC::GemmellLRSW91, STOC::Yao90	\N	\N	Manuel Blum has recently proposed a new approach to the problem of program correctness, the {\\em program checker}.  Here, {\\em efficient\\/} program checkers are presented for two important number theory problems, integer GCD and modular exponentiation.  The former result answers an open problem posed by Blum.  The latter result paves the way for more robust cryptographic programs, as modular exponentiation is the basis for several cryptosystems.  Taken together, these results lay the foundation for more reliable number-theoretic programs.	\N
CeceFI96	Unreliable Channels Are Easier to Verify Than Perfect Channels	124	1	20--31	10~} # jan	1996	C1630; PN2524	\N	\N	LICS::AbdullaJ1993, ICALP::AbdullaJ1994 CACM::BartlettSW1969, BOOK::Berstel1979, COMPNET::Bochmann1978 JACM::BrandZ1983, MISC::CCITT1988, BOOK::DiazAC1989 JACM::EmersonH1986, DC::Finkel1994, TCS::GlabbeekV1993 CAI::GoudaGLR1987, PLMS::Higman1952, BOOK::Lothaire1983 PSTV::Pachl1987, TOPLAS::PengP1991, PJMATH::Tarski1955	\N	\N	\N	We consider the problem of verifying correctness of finite state machines that communicate with each other over unbounded FIFO channels that are unreliable.  Various problems of interest in verification of FIFO channels that can lose messages have been considered by Finkel~(1994), and by Abdulla and Jonsson~(1993, 1994). We consider, in this paper, other possible unreliable behaviors of communication channels, viz.  (a) duplication and (b) insertion errors.  Furthermore, we also consider various combinations of duplication, insertion and lossiness errors.  Finite state machines that communicate over unbounded FIFO buffers is a model of computation that forms the backbone of ISO standard protocol specification languages Estelle and SDL.  While an assumption of a perfect communication medium is reasonable at the higher levels of the OSI protocol stack, the lower levels have to deal with an unreliable communication medium; hence our motivation for the present work.  The verification problems that are of interest are {\\em reachability {\\em unboundedness}, {\\em deadlock}, and {\\em model-checking against CTL*}.  All of these problems are undecidable for machines communicating over reliable unbounded FIFO channels.  So, it is perhaps surprising that some of these problems become decidable when unreliable channels are modeled.  The contributions of this paper are: (a)~An investigation of solutions to these problems for machines with insertion errors, duplication errors, or a combination of duplication insertion and lossiness errors, and (b)~A comparison of the relative expressive power of the various errors.	\N
FraserIM96	Maximal Common Subsequences and Minimal Common Supersequences	124	2	145--153	1~} # feb	1996	C1660; PN2533	\N	\N	FOCS::AroraLMSS1992:14, BOOK::GareyJ1979 IPL::Halldorsson1993:169, JACM::Maier1978:322 KIBER::Timkovskii1989:1, MISC::JiangL1992, ALGOR::ApostolicoG1987:316 CACM::Hirschberg1975:341, JACM::Hirschberg1977:664 CACM::HuntS1977:350, ALGOR::Myers1986:251 JCSS::PapadimitriouY1991:425, IC::Ukkonen1985:100, IPL::WuMMM1990:317 IPL::Irving1991:197, SIDMA::YannakakisG1980:364, TCS::RaihaU1981:187 THESIS::Middendorf1992	\N	\N	\N	The problems of finding a longest common subsequence and a shortest common supersequence of a set of strings are well-known. They can be solved in polynomial time for two strings (in fact the problems are dual in this case), or for any fixed number of strings, by dynamic programming. But both problems are NP-hard in general for an arbitrary number $k$ of strings.  Here we study the related problems of finding a shortest maximal common subsequence and a longest minimal common supersequence. We describe dynamic programming algorithms for the case of two strings (for which case the problems are no longer dual), which can be extended to any fixed number of strings.  We also show that both problems are NP-hard in general for $k$ strings, although the latter problem, unlike shortest common supersequence, is solvable in polynomial time for strings of length 2.  Finally, we prove a strong negative approximability result for the shortest maximal common subsequence problem.	\N
Chaudhuri96	Sensitive Functions and Approximate Problems	126	2	161--168	1~} # may	1996	C1529	\N	\N	SICOMP::Azar1992, IC::Beame1988, JACM::BeameH1989 FOCS::Chaudhuri1993, SICOMP::CookDR1986, SODA::Hagerup1993 FOCS::HagerupR1992, JACM::LiY1989, SODA::MacKenzie1992 STOC::MatiasV1991, SICOMP::Nisan1991, SICOMP::VishkinW1985 ALGOR::FichRW1988	\N	\N	\N	Properties of functions that are good measures of the CRCW PRAM complexity of computing them are investigated.  While the \\emph{block sensitivity} is known to be a good measure of the CREW PRAM complexity, no such measure is know for CRCW PRAMs.  It is shown that the complexity of computing a function is related to its \\emph{everywhere sensitivity}, introduced by Vishkin and Wigderson. Specifically, the time required to compute a function $f: D^n \\mapsto R$ of everywhere sensitivity $\\mathit{es}(f)$ with $P$~processors and unbounded memory is $\\Theta(\\log [\\log \\mathit{es}(f)/(\\log(|D| + 4P/\\mathit{es}(f)))])$.  This improves the results of Azar and of Vishkin and Wigderson.  This lower bound is used to derive new lower bounds for some \\emph{approximate problems}.  These problems can often be solved faster than their exact counterparts and for many applications, it is sufficient to solve the approximation problem.  It is shown that \\emph{approximate selection}, \\emph{approximate counting}, \\emph{approximate compaction}, and \\emph{padded sorting all require time $\\Theta(\\log \\log n)$ with a linear number of processors, if the level of accuracy desired is moderately high.  For these levels of accuracy, no lower bounds are known for these problems on the PRAM model.  The lower bounds for some of the problems are tight.	\N
FairtloughM1997	Propositional Lax Logic	137	1	1--33	25~} # aug	1997	C1747; PN2627	\N	\N	jsyml::Curry1952, jsyml::Ewald1986, jsyml::GabbayD1974 ndjfl::MiglioliMOQU1989, ic::Moggi1991	\N	\N	\N	We investigate a peculiar intuitionistic modal logic, called Propositional Lax Logic (PLL), which has promising applications to the formal verification of computer hardware.  The logic has emerged from an attempt to express correctness up to behavioural constraints---a central notion in hardware verification---as a logical modality.  As a modal logic it is special since it features a single modal operator~$\\bigcirc$ that has a flavour both of possibility and of necessity.  In the paper we provide the motivation for PLL and present several technical results.  We investigate some of its proof-theoretic properties, presenting a cut-elimination theorem for a standard Gentzen-style sequent presentation of the logic.  We go on to define a new class of fallible two-frame Kripke models for~PLL\\@.  These models are unusual since they feature worlds with inconsistent information; furthermore, the only frame condition imposed is that the $\\bigcirc$-frame be a subrelation of the $\\supset$-frame.  We give a natural translation of these models into Goldblatt's $\\mathcal{J}$-space models of~PLL\\@.  Our completeness theorem for these models yields a G\\?odel-style embedding of PLL into a classical bimodal theory of type~(S4, S4) and underpins a simple proof of the finite model property.  We proceed to prove soundness and completeness of several theories for specialized classes of models.  We conclude with a brief exploration of two concrete and rather natural types of model from hardware verification for which the modality~$\\bigcirc$ models correctness up to timing constraints.  We obtain decidability of $\\bigcirc$-free fragment of the logic of the first type of model which coincides with the stable form of Maksimova's intermediate logic~$L/7$.	\N
SegalaGSL1998	Liveness in Timed and Untimed Systems	141	2	119--171	15~} # mar	1998	C1822; PN2671	\N	\N	tcs::AbadiL1991:253, toplas::AbadiL1993:73 toplas::AbadiL1994:1543, ipl::AlpernS1985:181, tcs::NicolaH1984:83 toplas::Lamport1994:872, ic::LynchS1989:81, ic::LynchV1995:214 ic::LynchV1996:1, ipl::RomijnV1996:245	\N	\N	\N	When proving the correctness of algorithms in distributed systems, one generally considers \\emph{safety} conditions and \\emph{liveness} conditions.  The Input/Output (I/O) automaton model and its timed version have been used successfully, but have focused on safety conditions and on a restricted form of liveness called fairness.  In this paper we develop a new I/O automaton model, and a new timed I/O automaton model, that permit the verification of general liveness properties on the basis of existing verification techniques. Our models include a notion of \\emph{receptiveness} which extends the idea of \\emph{receptiveness} of other existing formalisms, and enables the use of compositional verification techniques.  The presentation includes an \\emph{embedding} of the untimed model into the timed model which preserves all the interesting attributes of the untimed model. Thus, our models constitute a \\emph{coordinated framework} for the description of concurrent and distributed systems satisfying general liveness properties.	\N
\.


--
-- Data for Name: articleauthor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY articleauthor (articleid, authorid) FROM stdin;
KleijnR82	36
BergstraT82	67
RivestS82	72
NeuhoffS82	103
GolsonR83	129
GianniniL84	197
GoudaMY84	233
GrantM85	247
HartmanisIS85	256
AfratiPP85	262
Kutylowski87	349
EngelfrietV87	370
Welch87	381
Bracha87	396
SannellaT88	417
LampsonB88	420
EdelsbrunnerP88	432
JouannaudK89	501
BertoniMS89	509
MontenyohlW89	511
AndreD89	512
Breazu-TannenCGS91	685
PassayT91	690
VitterL92	732
ChoH92	736
BurchCMDH92	751
BenvenisteGSS92	767
Ristad93	849
LevcopoulosP94	939
Pierce94	944
ComonD94	945
HenzingerMP94	950
HausslerLW94	985
NerodeNS95	995
KucherovT95	1050
ChenT95	1107
BookLM95	1122
Neraud95	1133
AdlemanHK95	1158
CeceFI96	1225
CeceFI96	1226
FraserIM96	1241
Chaudhuri96	1267
FairtloughM1997	1357
SegalaGSL1998	1408
\.


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (authorid, name) FROM stdin;
36	G. Rozenberg
67	J. V. Tucker
72	Adi Shamir
103	D. L. Neuhoff
129	William G. Golson
197	Giuseppe Longo
233	E. G. Manning
247	John Grant
256	N. Immerman
262	Foto Afrati
349	Miroslaw Kuty{\\l}owski
370	Joost Engelfriet
381	Jennifer Lundelius Welch
396	Gabriel Bracha
417	Donald Sannella
420	B. Lampson
432	H. Edelsbrunner
501	Emmanuel Kounalis
509	G. Mauri
511	Margaret Montenyohl
512	Andr{\\'e} Arnold
685	Andre Scedrov
690	Solomon Passay
732	Jyh-Han Lin
736	Sang Cho
751	D. L. Dill
767	Yves Sorel
849	Eric Sven Ristad
939	Christos Levcopoulos
944	Benjamin C. Pierce
945	Catherine Delor
950	Zohar Manna
985	M. K. Warmuth
995	Raymond T. Ng
1050	Mohamed Tajine
1107	Zhi-Zhong Chen
1122	Ronald V. Book
1133	Jean Neraud
1158	Leonard M. Adleman
1225	G{\\'e}rard C{\\'e}c{\\'e}
1226	S. Purushothaman Iyer
1241	Martin Middendorf
1267	Shiva Chaudhuri
1357	Matt Fairtlough
1408	J{\\o}rgen S{\\o}gaard-Andersen
1498	Doron Peled
1500	Pawe{\\l Urzyczyn
1507	Roberto Sebastiani
1532	Margus Veanes
1543	Marek Chrobak
\.


--
-- Data for Name: unpubauthor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY unpubauthor (unpubid, authorid) FROM stdin;
GerthKPP0000	1498
Dezani-CiancagliniTU0000	1500
GiunchigliaS0000	1507
GurevichV0000	1532
BartalCL0000	1543
\.


--
-- Data for Name: unpublished; Type: TABLE DATA; Schema: public; Owner: -
--

COPY unpublished (unpubid, title, refkey, note, preliminary, references_) FROM stdin;
KfouryRTU0000	Alpha-Conversion and Typability	C1900; PN2756	Received # {April 27, 1998	\N	ic::Leivant1991, lics::Wells1994
GuhaK0000	Improved Methods for Approximating Node Weighted {Steiner Trees and Connected Dominating Sets	C2091; PN2754	Received # {July 22, 1998	\N	jalgo::BermanR1994, ipl::BernP1989, stoc::Feige1996 sicomp::GoemansW1995, algor::GuhaK1998, actai::KouMB1981 jalgo::KleinR1995, jacm::LundY1994, algor::Zelikovsky1993
MacielT1000	Efficient Threshold Circuits for Power Series	C1954	Received # {August 10, 1998, 1998	\N	sicomp::BeameCH1986, cc::BeigelT1994, cc::GoldmannHR1992 jcss::HajnalMPST1993, ic::MacielT1998, njc::Orponen1994 sicomp::ReifT1992, ieeetit::SiuBKH1993, sidma::SiuR1994 focs::Yao1990:619
Yamanishi0000	Distributed Cooperative {Bayesian} Learning Strategies	C2082; PN2753	Received # {June 10, 1998	\N	colt::KearnsS1993, colt::Vovk1990, ieeetit::Yamanishi1998 colt::Yamanishi1996, colt::Yamanishi1997, colt::Yamanishi1998
AdlemanH0000	Function Field Sieve Method for Discrete Logarithms over Finite Fields	C2185; PN2761	Received # {September 9, 1998	\N	focs::Adleman1979:55, IEEETIT::coppersmith1984 ieeetit::DiffieH1976, ieeetit::ElGamal1985, sidma::Gordon1993 stoc::LenstraLMP1990:564, eurocrypt::Odlyzko1984:224 eurocrypt::Odlyzko1984:224
CaiC0000	A Lattice-Based Public-Key Cryptosystem	C2186; PN2762	Received # {September 9, 1998	\N	stoc::Ajtai1996:99, stoc::AjtaiD1997:284 focs::AroraBSS1993:724, focs::CaiN1997:468, tcs::Cai1998 crypto::GoldreichGH1997:112, sicomp::Lagarias1985:196 tcs::Schnorr1987:201
Carlet0000	On Cryptographic Propagation Criteria for {Boolean} Functions	C2187; PN2763	Received # {September 9, 1998	\N	ieeetit::BakerLW1983, crypto::BierbrauerGS1994:247 dcc::BrouwerT1993:95, eurocrypt::CamionC1996:283 crypto::CamionC1996:372, crypto::CamionCCS1991:86, dcc::Carlet1993 eurocrypt::Carlet1997:422, eurocrypt::Carlet1998:462 ieeetit::Carlet1998, ic::Delsarte1973:407, ieeetit::HammonsKCSS1994 fse::JakobsenK1997:28, fse::Knudsen1994:196, eurocrypt::KurosawaS1997 eurocrypt::MeierS1989:549, eurocrypt::PreneelLLGV1990:161 eurocrypt::PreneelGV1991:141, jcrypt::StinsonM1995:167 crypto::WebsterT1985:523, ieeetit::XiaoM1988, dcc::ZhangZ1996:111
Dobbertin0000	Almost Prefect Nonlinear Power Functions on~{$\\mathrm{GF}(2^n)$}: The {Niho} Case	C2188; PN2764	Received # {September 9, 1998	\N	eurocrypt::BethD1993:65, eurocrypt::BethD1993:65 eurocrypt::ChabaudV1994:356, eurocrypt::ChabaudV1994:356 ieeetit::CusickD1996, ieetit::Dobbertin1998, ieeetit::Gold1968 ieeetit::HellesethRS1998, ic::Kasami1971:369, ieeetit::LachaudW1971 eurocrypt::Nyberg1993:55
HellesethM0000	Binary Sequences of Period~{$2^m - 1$} with large Linear Complexity	C2189; PN2765	Received # {September 9, 1998	\N	ieeetit::BoztasK1994, jcrypt::Dai1992:193 eurocrypt::DaiBG1990:189, ieeetit::KumarHC1995
HuangX0000	Some Computational Problems of Cryptographic Significance Concerning Elliptic Curves over Rings	C2190; PN2766	Received # {September 9, 1998	\N	eurocrypt::Demytko1993:40, eurocrypt::Koyama1995:329 crypto::KoyamaMOV1991:252
Johansson0000	Further Results on Asymmetric Authentication Schemes	C2191; PN2767	Received # {September 9, 1998	\N	eurocrypt::Bierbrauer1995:311 eurocrypt::BrickellS1988:51, crypto::BrickellS1988:564 crypto::ChaumR1990:206, crypto::DesmedtY1990:177 jcrypt::EvenGM1996:35, crypto::Johansson1993:343 ieeetit::Johansson1994, dcc::Johansson1995:205 crypto::Kurosawa1994:140, eurocrypt::KurosawaO1995:289 eurocrypt::Safavi-NainiW1998, crypto::Simmons1984:411 eurocrypt::Simmons1987:151, jcrypt::Simmons1990:77 ieeetit::Smeets1994, eurocrypt::Taylor1994:244 jcrypt::TompaW1988:133
KaidaUI0000	An Algorithm for the {$k$}-Error Linear Complexity of Sequences over {$\\mathit{GF}(p^m)$} with Period~{$p^n$}, $p$ a Prime	C2192; PN2768	Received # {September 9, 1998	\N	IEEETIT::Blackburn1994, IEEETIT::DaiI1998 IEEETIT::GamesC1983, IEEETIT::StampM1993
Safavi-NainiW0000	Multireceiver Authentication Codes: Models, Bounds Constructions and Extensions	C2193; PN2769	Received # {September 9, 1998	\N	crypto::FiatN1993:480, crypto::FiatN1993:480 dcc::Quinn1994:177, dcc::Stinson1997:215, jcrypt::DyerFFT1995:189 jcrypt::Stinson1990:23, jcss::WegmanC1981:265, jcss::WegmanC1981:265 crypto::AticiS1996:16, crypto::AticiS1996:16 crypto::BlundoSHKVY1992:471, crypto::BlundoSHKVY1992:471 crypto::Simmons1984:411, eurocrypt::Blom1984:335 eurocrypt::Blom1984:335, dcc::Stinson1994:369 EUROCRYPT::Safavi-NainiW1998:527, IEEETIT::Johanson1994 IEEETIT::Smeets1994
GargantiniMM0000	Dealing with zero-time transitions in axiom systems	C1949; PN2779	Received # {September 18, 1998	\N	ieeetse::BarthomieuD1991, ieeetse::Coen-PorisiniGK1997 ieeetse::FelderMM1994
GerthKPP0000	A Partial Order Approach to Branching Time Logic Model Checking	C1773; PN2778	Received # {September 23, 1998	\N	tcs::BrowneCG1988, toplas::ClarkeES1986 istcs::GerthKPP1995, icalp::GrooteV1990, jacm::HennessyM1985 popl::LichtensteinP1984, lics::NicolaV1990, lics::WillemsW1996
Dezani-CiancagliniTU0000	Discrimination by Parallel Observers: the Algorithm	C2060; PN2773	Received # {October 5, 1998	\N	apal::Abramsky1991, ic::AbramskyO1993 ic::BarbaneraDd1995, jsyml::BarendregtCD1983, ic::BorealeN1995 ic::Boudol1994, ic::boudolL1996, ic::CoppoDZ1987, mscs::DamianiDG1999 tcs::Dezani-CiancaglinidP1996, sicomp::Dezani-CiancaglinidP1998 tcs::Dezani-CiancagliniM1986, lics::Dezani-CiancagliniTU1997 ic::Hennessy1994, ic::GrooteV1992, tcs::Levy1976, apal::Longo1983 ic::MilnerPW1992:1, ic::MilnerPW1992:41, tcs::MilnerPW1993 icalp::Ong1992, lics::Ong1993, tcs::Plotkin1993 concur::Sangiorgi1993, ic::Sangiorgi1994, icalp::Scott1982
JakobyRS0000	Malign Distributions for Average Case Circuit Complexity	C1974; PN2776	Received # {October 5, 1998	\N	jcss::Ben-DavidCGL1992, swat::Grape1990 jcss::Gurevich1991, stoc::JakobyRS1994, icalp::JakobyRSW1994 stacs::JakobyS1996, sicomp::Levin1986, ipl::LiV1992 sctc::Miltersen1991, sicomp::Miltersen1993, cc::ReischukS1996 sctc::WangB1992
BlumK0000	Greibach Normal Form Transformation, Revisited	C1987; PN2772	Received # {October 5, 1998	\N	ic::EhrenfeuchtR1984, jacm::Greibach1965 mfcs:Piricka-Kelemenova1975, tcs::Kelemenova1984, stacs::KochB1997 jack::Rosenkrantz1967, tcs::Urbanek1985
GuoNW0000	Complexity of Nilpotent Unification and Matching Problems	C2166	Received # {September 8, 1998	\N	jacm::Baader1993, lics::ComonHJ1992, tcs::Goldfarb1981 lics::Kirchner1986, toplas::MartelliM1982, lics::NarendranPS1993 stoc::Schaefer1978
GiunchigliaS0000	Building Decision Procedures for Modal Logics from Propositional Decision Procedures---the Case Study of Modal~{K(m)}	C2167	Received # {September 15, 1998	\N	acmcs::Bryant1992, jacm::DavisLL1962 jlogc::DAgostinoM1994
RousselM0000	The Achievement of Knowledge Bases by Cycle Search	C2170	Received # {September 23, 1998	\N	tcs::MathieuD1994
Luz0000	Using Tableaux to Automate the {Lambek} and other Categorial Calculi	C2173	Received # {September 9, 1998	\N	jlogc::DAgostinoM1994
GiacomoM0000	Combining Deduction and Model Checking into Tableaux and Algorithms for {Converse-PDL}	C2172	Received # {September 22, 1998	\N	lics::BhatCG1995, jcss::FisherL1979, sicomp::Ladner1977 stoc::Pratt1987, focs::Pratt1979, jcss::Pratt1980, tcs::StirlingW1991 ic::StreettE1989, jcss::VardiW1986, ic::VardiW1994
HERMANNK0000	Unification Algorithms Cannot Be Combined in Polynomial Time	C2175	Received # {September 15, 1998	\N	jsymc::BoudetJS1989, jsymc::Boudet1993 jsymc::BaaderS1996, stoc::Cook1971, jsymc::Fages1987, tcs::FagesH1986 jsymc::HermannK1995, mfcs::HermannK1995, sicomp::KannanB1979 jsymc::KirchnerR1994, jsymc::MartinN1989, jsymc::Nipkow1991 ic::Ringeissen1996, jsymc::Schmidt-Schauss1989, jacm::Stickel1981 focs::Toda1989, tcs::Valiant1979, sicomp::Valiant1979 jsymc::Yelick1987
DenzingerS0000	Automatic Acquisition of Search Control Knowledge from Multiple Proof Attempts	C2178	Received # {October 2, 1998	\N	jsymc::DenzingerS1996, icalp::HsiangR1987, jacm::Huet1980
BasinM0000	Structuring Metatheory on Inductive Definitions	C2179	Received # {September 22, 1998	\N	popl::Macqueen1986, popl::MitchellP1985
KolbeW0000	On Terminating Lemma Speculations	C2180	Received # {October 5, 1998	\N	jsymc::Dershowitz1987, cacm::DershowitzM1979 acmcs:Ellman1989
KestenPSY0000	Decidable Integration Graphs	C1860; PN2774	Received # {October 16, 1998	\N	tcs::AlurCHHHNOSY1995, tcs::AlurD1994, ic::AlurH1993 lics::AsarinCM1997, tcs::AsarinMP1995, ic::burchCMDH1992 lics::BouajjaniES1993:147, toplas::ClarkeES1986 ipl::ChaochenHR1991:269, jcss::HenzingerKPV1998 icalp::HenzingerMP1992, actai::NicollinSY1993 jacm::Papadimitriou1981
HomeierM0000	Secure Mechanical Verification of Mutually Recursive Procedures	C2176	Received # {October 12, 1998	\N	sicomp::Cook1978, toplas::GriesL1980 actai::IgarashiLL1975, icalp::MoriconiS1981, scp::Sokolowski1984 tcs::Stoughton1988
MoserM0000	Byzantine-Resistant Total Ordering Algorithms	C1828; PN2770	Received # {October 29, 1998	wads::MoserM1995	ic::Bar-NoyDGK1991, dc::Bar-NoyD1991, wads::BazziN1992 podc::Ben-Or1993, ic::Bracha1987, jacm::BrachaT1985 jacm:ChandraT1996, jacm::ChandraHT1996, podc::choklerHD1998 cacm::Cristian1991, jacm::FischerLP1985, wads::GarayP1992 wads::gopalT1989, cacm::Lamport1978, sicomp::MoserMA1993 cacm::MoserMABL1996, jacm::PeaseSL1980, focs::Rabin1983 acmtcs::Schneider1984:145, sicomp::touegPS1987, cacm::RenesseBM1996
BorodinE0000	On Randomization in Online Computation	C2008; PN2775	Received # {November 2, 1998	\N	focs::BeameBRRT1990, algor::Ben-DavidBKTW1994 jacm::BorodinLS1992, stoc::CoppersmithDRS1990, sidma::ChrobakKPV1991 jalgo::FiatKLMSY1991, focs::Yao1977
GrumbachM0000	An Algebra for Pomsets	C1991; PN2777	Received # {November 25, 1998	icdt::GrumbachM1995	vldbj::AbiteboulB1995, icvldb::AbiteboulCM1993 acmtds::AbiteboulG1991, sigmod::AbiteboulK1989, icvldb::Albert1991 stoc::AbiteboulV1991, icdt::BeeriK1990, pods::BeeriM1992 pods::BusscheP1991, icalp::TannenS1991, jcss::ChandraH1980 focs::CannyR1987, pods::ColbyRSG1994, icvldb::Agarwal+1996 pods::GrumbachM1993, apal::GurevichS1986, focs::Gurevich1983 icdt::GrumbachV1990, pods::GrumbachV1991,pods::GinsburgW1992 pods::HullS1988, pods::HullS1989, jacm::HopcroftT1974 stoc::HopcroftW1974, ic::Immerman1986, jacm::Jacobs1982 pods::KuperV1984, pods::LibkinW1994, icvldb::Mumick+1990 icvldb::Richardson1992, stoc::Vardi1982
CaseJLZ0000	Incremental Concept Learning for Bounded Data Mining	C2072	Received # {November 6, 1998	\N	jcss::Angluin1980, ic::Angluin1980, tcs::ArikawaSY1992 jacm::blum1967, ic::blumB1975, mst::Case1974, colt::Case1988 sicomp::Case1998, tcs::CaseS1983, stacs::File1988, ic::FreivaldsS1993 jcss::FulkJO1994, ic::gold1967, icalp::JiangSSY1993, jcss::LangeZ1996 mst::LangeZ1996, colt::Wright1989, ic::ZeugmannLK1995
BaligaCJ0000	The Synthesis of Language Learners	C2121	Received # {June 25, 1998	\N	colt::Ambainis1996, jcss::Angluin1980, ic::Angluin1980 jacm::Angluin1982, tcs::ArikawaSY1992, icalp::BaligaC1993 jcss::BaligaCJ1995, colt::BaligaCJ1996, ic::BlumB1975, jacm::Blum1967 mst::Case1974, sicomp::Case1998, icalp::CaseL1982, tcs::CaseS1983 colt::Daley1988, colt::DaleyKV1992, colt::DaleyPVW1991 colt::JonghK1996, ic::Fulk1990, focs::Fulk1990, ic::Gold1967 stacs::KapurB1992, ic::KinberZ1991, colt::LangeZ1992 colt::LangeZ1993, jlogp::MuggletonR1994, ic::OshersonSW1988 ic::OshersonW1982, jacm::Pitt1989, ic::PittS1988, jsyml::Rogers1958 jsyml::Shapiro1971, cacm::Valiant1984, tcs::WiehagenFK1984 colt::Wright1989, ic::ZeugmannLK1995
Ehrhard0000	A Relative {PCF}-Definability Result for Strongly Stable Functions and Some Corollaries	C1918	Received # {November 30, 1998	\N	tcs::BucciarelliE1993, ic::BucciarelliE1994 ic::CartwrightCF1994, lics::colsonE1994, mscs::Ehrhard1993 apal::Ehrhard1996, tcs::Girard1986, ic:Meyer1982, tcs::Milner1977 tcs::Plotkin1977
Zhang0000	Automata, {Boolean} Matrices, and Ultimate Periodicity	C2120	Received # {November 30, 1998	\N	ic::Abe1995, mscs::bloomE1993, ic::Kozen1994 tcs::Krob1991, jacm::Salomaa1966, tcs::SeiferasM1976 ic::StearnsH1963
Engelfriet0000	Derivation Trees of Ground Term Rewriting Systems	C1922	Received # {June 24, 1998	\N	ic::Brainerd1969, lics::DauchetT1990 icalp::Dershowitz1981, ic::DauchetHL1990, ipl::FrazierP1994 tcs::Oyamaguchi1987, tcs::VAgvolgyi1993
SakaiTM0000	Proper Learning Algorithm for Functions of {$k$} Terms under Smooth Distributions	C1831	Received # {November 30, 1998	\N	focs::Bshouty1993, colt::BlumS1990:144 colt::FlamminiMK1992, stoc::KearnsLPV1987, ic::KuceraMP1994 jacm::PittV1988, cacm::Valiant1984
Fleischer0000	Decision Trees: Old and New Results	C2014	Received # {June 29, 1998	\N	stoc::Ben-Or1983, stoc::BjornerLY1992, jcss::DobkinL1979 jacm::FusseneggerG1979, ipl::Gasarch1991, stoc::GrigorievKHS1996 mfcs::Jaromczyk1981, jam::ManberT1985, focs::MansourST1988 jacm::Heide1984, tcs::Heide1985, cc::MontanaPR1994, jacm::Mora85 ipl::ODunling1988, jcss::Rabin1972, ipl::Ramanan1987 jacm::Reingold1972, sicomp::RivestY1980, tcs::Snir1982 jalgo::SteeleY1982, sicomp::Strassen1983, algor::Yao1989 focs::Yao1992:268
GurevichV0000	Logic with Equality: Partisan Corroboration, and Shifted Pairing	C2038	Received # {February 24, 1999	\N	icalp::CortierGJV1999, lics::DegtyarevV1996 tcs::DegtyarevV1996, tcs::DegtyarevGNVV1999, lics::DegtyarevMV1996 lics::GallierNPS1988, ic::GallierNPS1990, lics::GallierRS1987 tcs::Goldfarb1981, lics::Goubault1994, icalp::GurevichV1997 lics::Veanes1998, lics::Voronkov1998, tcs::Voronkov1998
AfekMT0000	The Power of Multi-Objects	C1920	Received # {March 1, 1999	\N	jacm::AfekADGMS1993, podc::AttiyaD1996, jacm::AfekGMT1995 podc::AfekGMT1992, podc::AndersonM1995, podc::AfekMTT1997 dc::Anderson1993, dc::Anderson1994, podc::AfekS1994, podc::AfekWW1993 jacm::FischerLP1985, toplas::Herlihy1991, toplas::HerlihyW1990 podc::IsraeliR1994, podc::Jayanti1993, wdag::JayantiK1997 dc::Lamport1986:77, dc::Lamport1986:86, podc::LynchT1987 wdag::MerrittT1991, podc::ruppert1998, podc::ShavitT1995
LathropL0000	Recursive Computational Depth	C1993	Received # {January 29, 1999	\N	jacm::Chaitin1975, icalp::FennerLM1995, tcs::JuedesLL1994 tcs::JuedesL1995, sicomp::Lutz1990, jcss::Lutz1992 ic::Martin-Lof1966, mst::Schnorr1971, jcss::Schnorr1973 ic::Solomonoff1964
AwerbuchBRS0000	Piecemeal Graph Exploration by a Mobile Robot	C1969	Received # {July 27, 1998	\N	sicomp::AwerbuchBCP1998, focs::AwerbuchG1985 ieeetit::AwerbuchG1987, jalgo::Bar-EliBFY1994, focs::BenderS1994 focs::BlumC1993, sicomp::blumRS1997, jacm::DengKP1998 focs::DengP1990, focs::Kleinberg1994, tcs::PapadimitriouY1991 ic::RivestS1993
StolboushkinT0000	Finite Queries Do Not Have Effective Syntax	C1805	Received # {February 18, 1999	pods::StolboushkinT1995	lics::AvronH1991, cacm::Codd1970, jacm::Paola1969 pods::KanellakisKR1990, acmtods::GelderT1991, ipl::Vardi1981
Ranzato0000	Closures on {CPOs} Form Complete Lattices	C2253	Received # {April 20, 1999	\N	lics::AbramskyM1999, toplas::CortesiFGPR1997 acmcs::Cousot1996, popl::cousotC1977, popl::cousotC1979 ic::FalaschiGMP1997, acmcs::FileGR1996, tcs::GermanoM1991 scp::GiacobazziR1998, ic::GiacobazziR1998, mfcs::GiacobazziRS1998 toplas::Jensen1997, icalp::MycroftN1983
CleavelandDSY0000	Testing Preorders for Probabilistic Processes	C2030	Received # {April 22, 1999	icalp::CleavelandSZ1992, concur::YuenCDS1994	icalp::CleavelandSZ1992:708, lics::CleavelandZ1991:110 tcs::NicolaH1984:83, ic::GlabbeekSS1995:59, concur::JouS1990:367 lics::JonssonY1995:431, ic::LarsenS1991:1, podc::LynchT1987:137 concur::NunezFL1995:249, concur::NunezFL1995:249 concur::Segala1996:299, tcs::WuSS1997:1, concur::YuenCDS1994:497
BartalCL0000	A Randomized Algorithm for Two Servers on the Line	C2197	Received # {April 27, 1999	\N	esa::AchlioptasCN1996, ipl::AlbersSW1995 stoc::BartalBBT1997, focs::BlumKRS1992, sidma::ChrobakKPV1991 sicomp::ChrobakL1991, ipl::ChrobakLLR1997, wads::IraniS1995 algor::KarlinMMO1994, stoc::KoutsoupiasP1994, jacm::KoutsoupiasP1995 ipl::KoutsoupiaP1996, sidma::LundR1994, jalgo::ManasseMS1990 algor::McGeochS1991
MaassS0000	On the Complexity of Learning for Spiking Neurons with Temporal Coding	C2064	Received # {April 26, 1999	\N	jacm::blumerEHW1989, ic::Haussler1992 jcss::HoffgenSH1995, jacm::KearnsLV1994, jcss::KoiranS1997 stoc::MacintyreS1993, cacm::Valiant1984
GrecoS0000	Complexity and Expressive Power of Deterministic Semantics for {DATALOG}	C2061	Received # {February 8, 1999	\N	pods::AbiteboulSV1990, icalp::BuccafurriGS1997 ic::BlassG1982, jcss::ChandraH1982, ic::ChenT1995, tods::EiterGM1997 jlogp::Fitting1985, icdt::GrecoSZ1995, lics::Kolaitis1990 jcss::KolaitisP1991, icalp::LaenensVZ1992, jacm::MarekT1991 jcss::papadimitriouY1982, ipl::Sacca1996, jcss::Sacca1997 pods::SaccaZ1990, jlogc::SaccaZ1997, pods::Schlipf1990 jcss::Gelder1992, jacm::GelderRS1991, stoc::Vardi1982
HirstL0000	Alternation and Bounded Concurrency are Reverse Equivalent	C2033	Received # {August 3, 1998	\N	jacm::ChandraKS1981, jacm::DrusinskyH1994 tcs::GlobermanH1996, scp::Harel1987, concur::HarelKV1997 lics::HarelRV1990, jacm::HirstH1994, cacm::Hoare1978 focs::MeyerF1971, focs::Kozen1976
BernasconiE0000	Hilbert Function and Complexity Lower Boudns for Symmetric {Boolean} Functions	C2051	Received # {December 4, 1998	\N	focs::AlonKV1996, sctc::Beigel1993, mst::KrauseW1995 stoc::Smolensky1987, focs::Smolensky1993
DrosteG0000	The {Kleene-Sch\\?utzenberger} Theorem for Formal Power Series in Partially Commuting Variables	C2232	Received # {January 21, 1999	\N	tcs::AalbersbergR1988, tcs::Droste1995 icalp::DrosteG1997, ic::Schutzenberger1961
AlurMP0000	Model-Checking of Correctness Conditions for Concurrent Objects	C2211	Received # {May 11, 1999	lics::AlurMP1996	mst::AalbersbergH1989, cacm::EswaranGLT1976 tcs::FleR1985, toplas::HerlihyW1990
GarrigueR0000	Semi-Explicit First-Class Polymorphism for~{ML}	C2269	Received # {May 6, 1999	tacs::GarrigueR1997	icfplca::AikenW1993, popl::DamasM1982 oopsla::EifrigST1995, toplas::LauferO1994, ic::OderskyL1996 popl::PierceT1998, , tacs::Remy1994, popl::RemyV1997, lics::Wells1994 ic::WrightF1994
Ohori0000	Type-Directed Specialization of Polymorphism	C2270	Received # {May 6, 1999	TACS::Ohori1997	tcs::Alimohamed1995, tacs::BirkedalH1997 ic::Breazu-TannenCGS1991, tods::BunemanO1996, acmcs::CardelliW1985 icfp::CraryWM1998, popl::DamasM1982, toplas::HarperM1993 popl::HarperM1993, popl::HarperM1995, esop::Jones1992 tacs::Jones1994, tacs::Kahn1987, pldi::TarditiMCSHL1996
BirkedalH0000	Relational Interpretations of Recursive Types in an Operational Setting	C2267	Received # {May 6, 1999	TACS::BirkedalH1997	jfp::HarperDM1993, ic::MasonST1995, ic::Pitts1996 tcs::Plotkin1975, tcs::Plotkin1977, pldi::Reppy1991 icalp::Reynolds1974, icalp::Scott1982, icfp::ShaoLM1998 ic::Statman1985, pldi::TarditiMCSHL1996
BruceCP0000	Comparing Object Encodings	C2268	Received # {May 6, 1999	tacs::BruceCP1997	toplas::AmadioC1993, ecoop::AbadiC1995, popl::AbadiCV1996 ecoop::BruceFP1997, ieeetse::BlacmHJLC1987, jfp::Bruce1994 ecoop::BruceSG1995, ic::Cardeli1988, popl::CookHC1990 mscs::CurienG1992, jfp::CardelliL1991, oopsla::CookP1989 acmcs::CardelliW1985, oopsla::DayGLM1995, tacs::FisherM1994 tcs::Ghelli1995, jfp::HofmannP1995, ecoop::Jacobs1996 popl::Mitchell1990, popl::MinamideMH1996, toplas::MitchellP1988 popl::MitchellP1985, ic::Pierce1994, tcs::PierceS1997:235 jfp::PierceT1993, mscs::Reichel1995:129
BonsangueK0000	Towards an Infinitary Logic of Domains: Abramsky Logic for Transition Systems	C2266	Received # {May 6, 1999	tacs::BonsangueK1997	apal::Abramsky1991, ic::Abramsky1991 tcs::BonsangueJK1995, entcs::Bonsangue1997, ic::BakkerZ1982 jacm::HennessyM1985, icalp::Scott1982, icalp::Smyth1983
Comon0000	Sequentiality, Monadic Second-Order Logic and Tree Automata	C2250	Received # {March 1, 1999	lics::Comon1995	stacs::BogaertT1992, ic::ComonD1994 lics::DauchertHLT1988, lics::DauchetT1990, apal::Kennaway1989 jsymc::KlopM1991, sicomp::Oyamaguchi1993, sicomp::Seidl1990 lics::SekarR1990, mst::ThatcherW1968, lics::Toyama1992
DowekHK0000	Higher Order Unification via Explicit Substitutions	C2249	Received # {March 1, 1999	lics::DowekHK1995	jfp::AbadiCCL1991, jsyml::Andrews1971, jsyml::Church1940 jacm::CurienHL1996, tcs::Dauchet1992, tcs::Dougherty1993 jlogc::Dowek1993, lics::DowekHK1995, tcs::Goldfarb1981 icalp::HintermeierKK1994, ic::Huet1973, tcs::Huet1975 toplas::MartelliM1982, jsymc::Miller1992, jsymc::SnyderG1989
Walukiewicz0000	Completeness of {Kozen's} Axiomatisation of the Propositional {$\\mu$}-Calculus	C2248	Received # {March 1, 1999	lics::Walukiewicz1995	jcss::HarelKP1982, mfcs::JaninW1995, concur::Kaivola1995 tcs::Kozen1983, tcs::NiwinskiW1996:99, tcs::StirlingW1991 ic::StreettE1989, lics::Walukiewicz1993
EtessamiI0000	Tree Canonization and Transitive Closure	C2247	Received # {March 1, 1999	lics::EtessamiI1995	focs::AleliunasKLLR1979, jcss::BarringtonIS1990 sicomp::CookR1980, mfcs::DublishM1990, tcs::EtessamiI1995 sctc::Etessami1995, jcss::Immerman1982, sicomp::Immerman1987 sicomp::Immerman1988, sicomp::Immerman1989, stoc::Lindell1992 jsyml::Otto1996, jcss::Ruzzo1980
Kopylov0000	Decidability of Linear Affine Logic	C2246	Received # {March 1, 1999	lics::Kopylov1995	tcs::Girard1987, lics::Kanovich1992, tacs::Kanovich1994 focs::LincolnMSS1990
DoughertyS0000	Equality between Functionals in the Presence of Coproducts	C2245	Received # {March 1, 1999	lics::DoughertyS1995	icalp::CosmoK1993, cacm::DershowitzM1979, jacm::Huet1980 jsyml::Statman1982
Pfenning0000	Structural Cut Elimination~{I}: Intuitionistic and Classical Logic	C2244	Received # {March 1, 1999	lics::Pfenning1995	tcs::Abramsky1993, lics::Breazu-TannenKP1993 tcs::Gallier1993, tcs::Girard1987, apal::Girard1993 jacm::HarperHP1993, lics::Miller1994, apal::MillerNPS1991 lics::Nipkow1991
\.


--
-- Name: article_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_pkey PRIMARY KEY (articleid);


--
-- Name: articleauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_pkey PRIMARY KEY (articleid, authorid);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (authorid);


--
-- Name: unpubauthor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_pkey PRIMARY KEY (unpubid, authorid);


--
-- Name: unpublished_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY unpublished
    ADD CONSTRAINT unpublished_pkey PRIMARY KEY (unpubid);


--
-- Name: articleauthor_articleid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_articleid_fkey FOREIGN KEY (articleid) REFERENCES article(articleid) ON DELETE CASCADE;


--
-- Name: articleauthor_authorid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY articleauthor
    ADD CONSTRAINT articleauthor_authorid_fkey FOREIGN KEY (authorid) REFERENCES author(authorid) ON DELETE CASCADE;


--
-- Name: unpubauthor_authorid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_authorid_fkey FOREIGN KEY (authorid) REFERENCES author(authorid) ON DELETE CASCADE;


--
-- Name: unpubauthor_unpubid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY unpubauthor
    ADD CONSTRAINT unpubauthor_unpubid_fkey FOREIGN KEY (unpubid) REFERENCES unpublished(unpubid) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

