--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s4_a;
--
-- Name: amalgam_s4_a; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s4_a WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s4_a

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    aid integer NOT NULL,
    name text NOT NULL,
    affiliations text
);


--
-- Name: described; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE described (
    pid integer NOT NULL,
    did integer NOT NULL
);


--
-- Name: descriptor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE descriptor (
    did integer NOT NULL,
    descriptor text NOT NULL
);


--
-- Name: located; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE located (
    pid integer NOT NULL,
    lid integer NOT NULL
);


--
-- Name: location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE location (
    lid integer NOT NULL,
    countrypub text NOT NULL,
    countryorigin text NOT NULL
);


--
-- Name: publication; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE publication (
    pid integer NOT NULL,
    title text NOT NULL,
    titleext text,
    abstract text NOT NULL,
    abstractind text NOT NULL,
    language text NOT NULL,
    journal text,
    journalann text,
    confinfo text,
    book text,
    category text NOT NULL
);


--
-- Name: record; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE record (
    rid integer NOT NULL,
    availability text NOT NULL,
    updatecode text NOT NULL,
    numref text,
    contractnum text,
    issn text,
    isbn text,
    notes text,
    subfile text NOT NULL,
    source text,
    series text,
    accessionnum text NOT NULL
);


--
-- Name: recorded; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recorded (
    pid integer NOT NULL,
    rid integer NOT NULL,
    recordtype text
);


--
-- Name: written; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE written (
    aid integer NOT NULL,
    pid integer NOT NULL,
    pubyear text NOT NULL,
    publisher text
);


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (aid, name, affiliations) FROM stdin;
197	Duus-Gunnar	DLR, Inst. fuer Flugmechanik, Braunschweig, Germany
250	Russell-Dennis-A	Boeing Co., Seattle, WA
360	Shteinman-Alex	Technion - Israel Inst. of Technology, Haifa
390	Grasso-F	Rome, Univ., Italy
391	Sanders-Richard	Houston, Univ., TX
402	Liang-Yiqing	ADVANCE, Inc., Arlington, VA
506	Olberg-M	Onsala Space Observatory, Sweden
597	Iwamiya-Toshiyuki	National Aerospace Lab., Chofu, Japan
653	Benay-R	ONERA, Chatillon, France
659	Moss-J	NASA, Langley Research Center, Hampton, VA
823	Portolese-James	New York, State Univ., Albany
902	Marsh-R-A	Air Force Research Lab., Wright-Patterson AFB, OH United States
1116	Krishnamurty-V-S	Florida Univ., Dept. of Aerospace Engineering, Mechanics and Engineering Science, Gainesville, FL United States
1137	Flood-Jack-T	Boeing Co., Saint Louis, MO United States
1141	Bruce-David-A	Defence Evaluation Research Agency, Structural Materials Centre, Farnborough, United Kingdom
1161	Prestwich-Andrea	Smithsonian Astrophysical Observatory, Cambridge, MA United States
1254	Vaze-P	JPL, Pasadena, CA
1315	Malcolm-W-P	Australian National Univ., Canberra, Australia
1381	Komarov-S-A	Altai State Univ., Barnaul, Russia
1544	Moussault-Laurent	Eurisco, France
1612	Ershov-A	Moscow State Univ., Russia
1664	Bergstedt-Robert	Laser Power Corp., San Diego, CA
1707	Madden-C-B	NASA, Johnson Space Center, Houston, TX
1740	Li-X	Braunschweig, Technical Univ., Germany
1845	Crellin-Ean-B	ESTEC, Noordwijk, Netherlands
1853	Lee-J	Sung Kyun Kwan Univ., Suwon, Republic of Korea
1861	Serrano-J-B	GMV S.A., Madrid, Spain
1919	Gillies-D	NASA, Marshall Space Flight Center, Huntsville, AL
1938	Klimeck-Gerhard	JPL, Pasadena, CA
2143	Alexandre-A	Paris VI, Univ., France
2224	Nagel-David-J	George Washington Univ., Washington, DC
2261	Fernandez-Silvia	Observatorio Astronomico, Cordoba, Argentina
2348	Andersson-L	Swedish Space Corp., Kiruna, Sweden
2505	Dauk-Ronald-C	USAF, Kirtland AFB, NM
2708	Leeks-Tamara	Boeing Co., Seattle, WA
2792	Prasanth-R-K	Scientific Systems Co., Woburn, MA
2814	Chan-Andrew	Texas A & M Univ., College Station
2854	Inkinen-Mikko	Helsinki Univ. of Technology, Espoo, Finland
3015	Gerrits-A-M	Nijmegen, Univ., Netherlands
3035	Ferrero-J-L	Valencia, Univ., Burjassot, Spain
3079	Rejmankova-Eliska	California, Univ., Davis
3224	Doty-Brian	Center for Ocean-Land-Atmosphere Studies, Calverton, MD
3295	Shin-Younggil	Dongshin College, Kwangju, Republic of Korea
3304	Blasch-Erik	USAF, Research Lab., Wright-Patterson AFB, OH
3346	Vishik-M-I	RAN, Inst. Problem Peredachi Informatsii, Moscow, Russia
3424	Ifju-P	Florida, Univ., Gainesville
3800	Gorchakov-E-V	Moskovskij Gosudarstvennyj Univ., Moscow, Russia
3858	Kirubarajan-Thiagalingam	Connecticut, Univ., Storrs
3877	Love-Steven-P	Los Alamos National Lab., NM
4135	Legare-David-J	USAF, Research Lab., Rome, NY
\.


--
-- Data for Name: described; Type: TABLE DATA; Schema: public; Owner: -
--

COPY described (pid, did) FROM stdin;
70	1034
70	1035
70	1036
70	1037
70	1038
70	1039
70	1040
70	1041
70	1042
70	1043
70	1044
70	1045
70	1046
90	1304
90	1305
90	1306
90	1307
90	1308
90	1309
90	1310
90	1311
90	1312
90	1313
90	1314
90	1315
90	1316
90	1317
90	1318
90	1319
90	1320
116	1740
116	1741
116	1742
116	1743
116	1744
116	1745
116	1746
116	1747
116	1748
116	1749
116	1750
116	1751
116	1752
116	1753
116	1754
116	1755
116	1756
116	1757
116	1758
116	1759
116	1760
125	1873
125	1874
125	1875
125	1876
125	1877
125	1878
125	1879
125	1880
125	1881
125	1882
125	1883
125	1884
125	1885
125	1886
125	1887
125	1888
125	1889
125	1890
125	1891
125	1892
125	1893
125	1894
125	1895
132	2004
132	2005
132	2006
132	2007
132	2008
132	2009
132	2010
132	2011
132	2012
132	2013
132	2014
132	2015
132	2016
132	2017
132	2018
132	2019
132	2020
132	2021
132	2022
133	2023
133	2024
133	2025
133	2026
133	2027
133	2028
133	2029
133	2030
133	2031
133	2032
133	2033
133	2034
133	2035
133	2036
133	2037
133	2038
133	2039
138	2124
138	2125
138	2126
138	2127
138	2128
138	2129
138	2130
138	2131
138	2132
138	2133
138	2134
138	2135
138	2136
138	2137
138	2138
138	2139
138	2140
138	2141
138	2142
138	2143
138	2144
138	2145
138	2146
169	2647
169	2648
169	2649
169	2650
169	2651
169	2652
169	2653
169	2654
169	2655
169	2656
169	2657
169	2658
169	2659
169	2660
169	2661
169	2662
169	2663
170	2664
170	2665
170	2666
170	2667
170	2668
170	2669
170	2670
170	2671
170	2672
170	2673
170	2674
170	2675
170	2676
170	2677
170	2678
170	2679
170	2680
170	2681
170	2682
170	2683
170	2684
170	2685
170	2686
214	3284
214	3285
214	3286
214	3287
214	3288
214	3289
214	3290
214	3291
214	3292
214	3293
214	3294
214	3295
214	3296
214	3297
214	3298
214	3299
214	3300
231	3533
231	3534
231	3535
231	3536
231	3537
231	3538
231	3539
231	3540
231	3541
231	3542
231	3543
231	3544
231	3545
231	3546
231	3547
231	3548
231	3549
231	3550
231	3551
234	3586
234	3587
234	3588
234	3589
234	3590
234	3591
234	3592
234	3593
234	3594
234	3595
234	3596
234	3597
234	3598
234	3599
234	3600
234	3601
234	3602
243	3735
243	3736
243	3737
243	3738
243	3739
243	3740
243	3741
243	3742
243	3743
243	3744
243	3745
243	3746
243	3747
243	3748
243	3749
243	3750
243	3751
243	3752
243	3753
243	3754
243	3755
243	3756
243	3757
301	4585
301	4586
301	4587
301	4588
301	4589
301	4590
301	4591
301	4592
301	4593
301	4594
301	4595
301	4596
301	4597
301	4598
301	4599
301	4600
301	4601
301	4602
301	4603
340	5316
340	5317
340	5318
340	5319
340	5320
340	5321
340	5322
340	5323
340	5324
340	5325
340	5326
340	5327
340	5328
340	5329
340	5330
431	7293
431	7294
431	7295
431	7296
431	7297
431	7298
431	7299
431	7300
431	7301
431	7302
431	7303
431	7304
431	7305
431	7306
431	7307
431	7308
431	7309
431	7310
431	7311
431	7312
431	7313
431	7314
431	7315
445	7565
445	7566
445	7567
445	7568
445	7569
445	7570
445	7571
445	7572
445	7573
445	7574
445	7575
445	7576
445	7577
445	7578
445	7579
445	7580
445	7581
445	7582
445	7583
445	7584
445	7585
445	7586
445	7587
445	7588
445	7589
445	7590
445	7591
445	7592
445	7593
445	7594
445	7595
446	7596
446	7597
446	7598
446	7599
446	7600
446	7601
446	7602
446	7603
446	7604
446	7605
446	7606
446	7607
446	7608
446	7609
446	7610
446	7611
446	7612
446	7613
446	7614
446	7615
446	7616
446	7617
446	7618
461	7881
461	7882
461	7883
461	7884
461	7885
461	7886
461	7887
461	7888
461	7889
461	7890
461	7891
461	7892
461	7893
461	7894
461	7895
494	8446
494	8447
494	8448
494	8449
494	8450
494	8451
494	8452
494	8453
494	8454
494	8455
494	8456
494	8457
494	8458
516	8824
516	8825
516	8826
516	8827
516	8828
516	8829
516	8830
516	8831
516	8832
516	8833
516	8834
516	8835
516	8836
516	8837
516	8838
516	8839
516	8840
541	9171
541	9172
541	9173
541	9174
541	9175
541	9176
541	9177
541	9178
541	9179
541	9180
541	9181
541	9182
541	9183
541	9184
541	9185
594	9840
594	9841
594	9842
594	9843
594	9844
594	9845
594	9846
594	9847
594	9848
594	9849
594	9850
594	9851
594	9852
618	10160
618	10161
618	10162
618	10163
618	10164
618	10165
618	10166
618	10167
618	10168
618	10169
618	10170
618	10171
618	10172
618	10173
618	10174
618	10175
618	10176
633	10417
633	10418
633	10419
633	10420
633	10421
633	10422
633	10423
633	10424
633	10425
633	10426
633	10427
633	10428
633	10429
633	10430
633	10431
633	10432
633	10433
633	10434
633	10435
633	10436
633	10437
633	10438
633	10439
633	10440
633	10441
633	10442
633	10443
633	10444
633	10445
633	10446
633	10447
633	10448
633	10449
633	10450
633	10451
633	10452
633	10453
649	10737
649	10738
649	10739
649	10740
649	10741
649	10742
649	10743
649	10744
649	10745
649	10746
649	10747
649	10748
649	10749
649	10750
649	10751
649	10752
649	10753
649	10754
649	10755
649	10756
649	10757
649	10758
649	10759
649	10760
649	10761
659	10941
659	10942
659	10943
659	10944
659	10945
659	10946
659	10947
659	10948
659	10949
659	10950
659	10951
693	11431
693	11432
693	11433
693	11434
693	11435
693	11436
693	11437
693	11438
693	11439
693	11440
693	11441
698	11498
698	11499
698	11500
698	11501
698	11502
698	11503
698	11504
698	11505
698	11506
698	11507
698	11508
698	11509
698	11510
698	11511
698	11512
698	11513
698	11514
701	11553
701	11554
701	11555
701	11556
701	11557
701	11558
701	11559
701	11560
701	11561
701	11562
701	11563
701	11564
701	11565
701	11566
701	11567
701	11568
701	11569
701	11570
701	11571
701	11572
701	11573
701	11574
701	11575
719	11873
719	11874
719	11875
719	11876
719	11877
719	11878
719	11879
719	11880
719	11881
719	11882
719	11883
719	11884
719	11885
719	11886
719	11887
719	11888
719	11889
719	11890
719	11891
719	11892
719	11893
726	11958
726	11959
726	11960
726	11961
726	11962
726	11963
726	11964
726	11965
726	11966
726	11967
726	11968
726	11969
726	11970
726	11971
726	11972
726	11973
726	11974
796	12986
796	12987
796	12988
796	12989
796	12990
796	12991
796	12992
796	12993
796	12994
796	12995
796	12996
800	13036
800	13037
800	13038
800	13039
800	13040
800	13041
800	13042
800	13043
800	13044
800	13045
800	13046
800	13047
800	13048
819	13273
819	13274
819	13275
819	13276
819	13277
819	13278
819	13279
819	13280
819	13281
837	13519
837	13520
837	13521
837	13522
837	13523
837	13524
837	13525
837	13526
837	13527
866	13852
866	13853
866	13854
866	13855
866	13856
866	13857
866	13858
917	14629
917	14630
917	14631
917	14632
917	14633
917	14634
917	14635
917	14636
917	14637
917	14638
917	14639
917	14640
917	14641
995	15865
995	15866
995	15867
995	15868
995	15869
995	15870
995	15871
995	15872
995	15873
995	15874
995	15875
995	15876
995	15877
995	15878
995	15879
995	15880
995	15881
995	15882
995	15883
1018	16264
1018	16265
1018	16266
1018	16267
1018	16268
1018	16269
1018	16270
1018	16271
1018	16272
1018	16273
1018	16274
1018	16275
1018	16276
1018	16277
1018	16278
1018	16279
1018	16280
1023	16331
1023	16332
1023	16333
1023	16334
1023	16335
1023	16336
1023	16337
1023	16338
1023	16339
1023	16340
1023	16341
1025	16351
1025	16352
1025	16353
1025	16354
1025	16355
1025	16356
1025	16357
1025	16358
1025	16359
1025	16360
1025	16361
1039	16511
1039	16512
1039	16513
1039	16514
1039	16515
1039	16516
1039	16517
1039	16518
1039	16519
1039	16520
1039	16521
1039	16522
1039	16523
1039	16524
1039	16525
1039	16526
1039	16527
1052	16688
1052	16689
1052	16690
1052	16691
1052	16692
1052	16693
1052	16694
1052	16695
1052	16696
1059	16761
1059	16762
1059	16763
1059	16764
1059	16765
1059	16766
1059	16767
1059	16768
1059	16769
1059	16770
1059	16771
1059	16772
1059	16773
1059	16774
1059	16775
1096	17294
1096	17295
1096	17296
1096	17297
1096	17298
1096	17299
1096	17300
1096	17301
1096	17302
1096	17303
1096	17304
1100	17346
1100	17347
1100	17348
1100	17349
1100	17350
1100	17351
1100	17352
1100	17353
1100	17354
1100	17355
1100	17356
1100	17357
1100	17358
1114	17536
1114	17537
1114	17538
1114	17539
1114	17540
1114	17541
1114	17542
1114	17543
1114	17544
1114	17545
1114	17546
1114	17547
1114	17548
1124	17666
1124	17667
1124	17668
1124	17669
1124	17670
1124	17671
1124	17672
1124	17673
1124	17674
1124	17675
1124	17676
1124	17677
1124	17678
1124	17679
1124	17680
1131	17749
1131	17750
1131	17751
1131	17752
1131	17753
1131	17754
1131	17755
1131	17756
1131	17757
1131	17758
1131	17759
1131	17760
1131	17761
1131	17762
1131	17763
1131	17764
1131	17765
1160	18116
1160	18117
1160	18118
1160	18119
1160	18120
1160	18121
1160	18122
1188	18520
1188	18521
1188	18522
1188	18523
1188	18524
1188	18525
1188	18526
1188	18527
1188	18528
1191	18555
1191	18556
1191	18557
1191	18558
1191	18559
1191	18560
1191	18561
1191	18562
1191	18563
1191	18564
1191	18565
1204	18702
1204	18703
1204	18704
1204	18705
1204	18706
1204	18707
1204	18708
1204	18709
1204	18710
1204	18711
1204	18712
1204	18713
1204	18714
1233	19121
1233	19122
1233	19123
1233	19124
1233	19125
1233	19126
1233	19127
1233	19128
1233	19129
1233	19130
1233	19131
1233	19132
1233	19133
1255	19449
1255	19450
1255	19451
1255	19452
1255	19453
1255	19454
1255	19455
1255	19456
1255	19457
1255	19458
1255	19459
1255	19460
1255	19461
1339	20611
1339	20612
1339	20613
1339	20614
1339	20615
1339	20616
1339	20617
1339	20618
1339	20619
1339	20620
1339	20621
1339	20622
1339	20623
1339	20624
1339	20625
1339	20626
1339	20627
1364	21086
1364	21087
1364	21088
1364	21089
1364	21090
1364	21091
1364	21092
1364	21093
1364	21094
1364	21095
1364	21096
1364	21097
1364	21098
1364	21099
1364	21100
1364	21101
1364	21102
1384	21384
1384	21385
1384	21386
1384	21387
1384	21388
1384	21389
1384	21390
1384	21391
1384	21392
1384	21393
1384	21394
1384	21395
1384	21396
1384	21397
1384	21398
1384	21399
1384	21400
1384	21401
1384	21402
1384	21403
1384	21404
1390	21500
1390	21501
1390	21502
1390	21503
1390	21504
1390	21505
1390	21506
1390	21507
1390	21508
1390	21509
1390	21510
1390	21511
1390	21512
1390	21513
1390	21514
1390	21515
1390	21516
1471	22619
1471	22620
1471	22621
1471	22622
1471	22623
1471	22624
1471	22625
1471	22626
1471	22627
\.


--
-- Data for Name: descriptor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY descriptor (did, descriptor) FROM stdin;
1034	DATA-BASES
1035	
1036	FLIGHT-CONTROL
1037	
1038	PILOT-INDUCED-OSCILLATION
1039	
1040	AIRCRAFT-MODELS
1041	
1042	FREQUENCY-RESPONSE
1043	
1044	COMPUTERIZED-SIMULATION
1045	
1046	TIME-DOMAIN-TECHNIQUES
1304	SPACECRAFT-CONSTRUCTION-MATERIALS
1305	
1306	THERMAL-CONTROL-COATINGS
1307	
1308	ULTRAVIOLET-RADIATION
1309	
1310	ELECTRON-RADIATION
1311	
1312	PROTON-IRRADIATION
1313	
1314	RADIATION-EFFECTS
1315	
1316	THERMAL-DEGRADATION
1317	
1318	OPTICAL-PROPERTIES
1319	
1320	THERMAL-STABILITY
1740	PATTERN-RECOGNITION
1741	
1742	DATA-RETRIEVAL
1743	
1744	DATA-BASES
1745	
1746	TEXTURES-
1747	
1748	COLOR-
1749	
1750	IMAGE-PROCESSING
1751	
1752	WAVELET-ANALYSIS
1753	
1754	WAVE-PACKETS
1755	
1756	KARHUNEN-LOEVE-EXPANSION
1757	
1758	FRAMES-DATA-PROCESSING
1759	
1760	AUTOMATION-
1873	TARGET-DETECTION
1874	
1875	INFRARED-IMAGERY
1876	
1877	CLUTTER-
1878	
1879	IMAGE-ANALYSIS
1880	
1881	COMPUTER-VISION
1882	
1883	FOCAL-PLANE-DEVICES
1884	
1885	SPECTRAL-BANDS
1886	
1887	ALGORITHMS-
1888	
1889	TARGET-ACQUISITION
1890	
1891	DATA-BASES
1892	
1893	INFRARED-CAMERAS
1894	
1895	SENSOR-ARRAYS
2004	COMPUTATIONAL-FLUID-DYNAMICS
2005	
2006	DATA-BASES
2007	
2008	SUPERSONIC-TRANSPORTS
2009	
2010	REENTRY-VEHICLES
2011	
2012	LAUNCH-VEHICLES
2013	
2014	VALIDATION-
2015	
2016	HIGH-SPEED
2017	
2018	FLOW-DISTRIBUTION
2019	
2020	CORNER-FLOW
2021	
2022	WING-PROFILES
2023	DATA-BASES
2024	
2025	INTERNET-
2026	
2027	COMPUTATIONAL-FLUID-DYNAMICS
2028	
2029	COMPUTER-PROGRAMS
2030	
2031	AEROSPACE-ENGINEERING
2032	
2033	VALIDATION-
2034	
2035	HIGH-SPEED
2036	
2037	USER-REQUIREMENTS
2038	
2039	PROGRAMMING-LANGUAGES
2124	TARGET-DETECTION
2125	
2126	VIDEO-DATA
2127	
2128	DATA-BASES
2129	
2130	INFORMATION-SYSTEMS
2131	
2132	IMAGE-ANALYSIS
2133	
2134	PILOTLESS-AIRCRAFT
2135	
2136	DATA-RETRIEVAL
2137	
2138	IMAGE-SEQUENCING
2139	
2140	DIGITAL-DATA
2141	
2142	IMAGE-PROCESSING
2143	
2144	EDGE-DETECTION
2145	
2146	HOUGH-TRANSFORMATION
2647	SOOT-
2648	
2649	THERMAL-RADIATION
2650	
2651	TURBULENT-FLAMES
2652	
2653	DIFFUSION-FLAMES
2654	
2655	METHANE-
2656	
2657	JET-FLOW
2658	
2659	HIGH-PRESSURE
2660	
2661	BURNERS-
2662	
2663	TEMPERATURE-MEASUREMENT
2664	CONTROL-EQUIPMENT
2665	
2666	RECEIVERS-
2667	
2668	QUERY-LANGUAGES
2669	
2670	GRAPHICAL-USER-INTERFACE
2671	
2672	SOFTWARE-DEVELOPMENT-TOOLS
2673	
2674	CENTRAL-PROCESSING-UNITS
2675	
2676	LOW-COST
2677	
2678	HARDWARE-
2679	
2680	DATA-BASES
2681	
2682	PLATFORMS-
2683	
2684	KERNEL-FUNCTIONS
2685	
2686	COMPUTERIZED-CONTROL
3284	NUMERICAL-ANALYSIS
3285	
3286	SUPERSONIC-FLOW
3287	
3288	DELTA-WINGS
3289	
3290	NAVIER-STOKES-EQUATION
3291	
3292	THREE-DIMENSIONAL-FLOW
3293	
3294	VISCOUS-FLOW
3295	
3296	IDEAL-GAS
3297	
3298	RUNGE-KUTTA-METHOD
3299	
3300	BALDWIN-LOMAX-TURBULENCE-MODEL
3533	MULTIGRID-METHODS
3534	
3535	SUPERSONIC-FLOW
3536	
3537	VORTICES-
3538	
3539	OGIVES-
3540	
3541	CYLINDERS-
3542	
3543	LAMINAR-FLOW
3544	
3545	NAVIER-STOKES-EQUATION
3546	
3547	THREE-DIMENSIONAL-FLOW
3548	
3549	COMPUTATIONAL-FLUID-DYNAMICS
3550	
3551	CROSS-FLOW
3586	HOLLOW-
3587	
3588	CYLINDERS-
3589	
3590	HIGH-SPEED
3591	
3592	FLARES-
3593	
3594	DATA-BASES
3595	
3596	FLOW-GEOMETRY
3597	
3598	SHOCK-WAVE-INTERACTION
3599	
3600	BOUNDARY-LAYER-INTERACTION
3601	
3602	HYPERSONIC-WIND-TUNNELS
3735	SHOCK-WAVE-INTERACTION
3736	
3737	BOUNDARY-LAYER-INTERACTION
3738	
3739	HYPERSONIC-FLOW
3740	
3741	LAMINAR-BOUNDARY-LAYER
3742	
3743	NAVIER-STOKES-EQUATION
3744	
3745	MONTE-CARLO-METHOD
3746	
3747	HOLLOW-
3748	
3749	CYLINDERS-
3750	
3751	FLARES-
3752	
3753	WIND-TUNNEL-MODELS
3754	
3755	LEADING-EDGES
3756	
3757	STANTON-NUMBER
4585	REMOTE-SENSING
4586	
4587	LAND-COVER
4588	
4589	WATER-POLLUTION
4590	
4591	COASTAL-WATER
4592	
4593	SATELLITE-IMAGERY
4594	
4595	CHANGE-DETECTION
4596	
4597	MATHEMATICAL-MODELS
4598	
4599	THEMATIC-MAPPING
4600	
4601	DATA-BASES
4602	
4603	SPATIAL-DISTRIBUTION
5316	ELECTRIC-BATTERIES
5317	
5318	ELECTRODE-MATERIALS
5319	
5320	LIFE-DURABILITY
5321	
5322	LITHIUM-
5323	
5324	MANUFACTURING-
5325	
5326	TECHNOLOGY-ASSESSMENT
5327	
5328	ELECTRIC-POTENTIAL
5329	
5330	ELECTROLYTES-
7293	MISSILES-
7294	
7295	MISSILE-CONFIGURATIONS
7296	
7297	AERODYNAMICS-
7298	
7299	MISSILE-DESIGN
7300	
7301	DOMES-STRUCTURAL-FORMS
7302	
7303	AEROSPIKE-ENGINES
7304	
7305	TURBULENCE-EFFECTS
7306	
7307	WIND-TUNNEL-TESTS
7308	
7309	K-EPSILON-TURBULENCE-MODEL
7310	
7311	COMPUTERIZED-SIMULATION
7312	
7313	FLOW-DISTRIBUTION
7314	
7315	AERODYNAMIC-CHARACTERISTICS
7565	AIRFRAMES-
7566	
7567	NONDESTRUCTIVE-TESTS
7568	
7569	INSPECTION-
7570	
7571	AIRCRAFT-MAINTENANCE
7572	
7573	FATIGUE-TESTS
7574	
7575	STABILIZERS-FLUID-DYNAMICS
7576	
7577	CRACKS-
7578	
7579	AIRCRAFT-STRUCTURES
7580	
7581	QUALITY-CONTROL
7582	
7583	STRUCTURAL-ANALYSIS
7584	
7585	STRUCTURAL-FAILURE
7586	
7587	AIRCRAFT-RELIABILITY
7588	
7589	SERVICE-LIFE
7590	
7591	MATHEMATICAL-MODELS
7592	
7593	STRESS-DISTRIBUTION
7594	
7595	EDDY-CURRENTS
7596	NONDESTRUCTIVE-TESTS
7597	
7598	STRUCTURAL-ANALYSIS
7599	
7600	AIRFRAMES-
7601	
7602	INSPECTION-
7603	
7604	STATISTICAL-ANALYSIS
7605	
7606	BAYES-THEOREM
7607	
7608	QUALITY-CONTROL
7609	
7610	PERFORMANCE-PREDICTION
7611	
7612	AIRCRAFT-STRUCTURES
7613	
7614	AIRCRAFT-MAINTENANCE
7615	
7616	AIRCRAFT-RELIABILITY
7617	
7618	CONFIDENCE-LIMITS
7881	ROSAT-MISSION
7882	
7883	CALIBRATING-
7884	
7885	SPATIAL-DISTRIBUTION
7886	
7887	SPECTRA-
7888	
7889	X-RAYS
7890	
7891	HARDNESS-
7892	
7893	HIGH-RESOLUTION
7894	
7895	LAUNCHING-
8446	TOPEX-
8447	
8448	POSEIDON-SATELLITE
8449	
8450	AUTONOMOUS-NAVIGATION
8451	
8452	SPACE-MISSIONS
8453	
8454	SOFTWARE-ENGINEERING
8455	
8456	INTERPROCESSOR-COMMUNICATION
8457	
8458	REAL-TIME-OPERATION
8824	ROBUST-CONTROL
8825	
8826	RISK-ASSESSMENT
8827	
8828	PARAMETER-UNCERTAINTY
8829	
8830	COUNTING-
8831	
8832	PARTIAL-DIFFERENTIAL-EQUATIONS
8833	
8834	SENSITIVITY-ANALYSIS
8835	
8836	PERFORMANCE-ENHANCEMENT
8837	
8838	STOCHASTIC-PROCESSES
8839	
8840	COMPUTERIZED-SIMULATION
9171	SYNTHETIC-APERTURE-RADAR
9172	
9173	RADAR-IMAGERY
9174	
9175	FORESTS-
9176	
9177	NOAA-SATELLITES
9178	
9179	ADVANCED-VERY-HIGH-RESOLUTION-RADIOMETER
9180	
9181	NORMALIZED-DIFFERENCE-VEGETATIVE-INDEX
9182	
9183	COMPUTER-AIDED-MAPPING
9184	
9185	TEXTURES-
9840	SITUATIONAL-AWARENESS
9841	
9842	PILOT-PERFORMANCE
9843	
9844	HUMAN-COMPUTER-INTERFACE
9845	
9846	COGNITIVE-PSYCHOLOGY
9847	
9848	PILOT-SUPPORT-SYSTEMS
9849	
9850	COMPUTER-PROGRAMS
9851	
9852	AIR-TRAFFIC-CONTROL
10160	PLASMA-DIAGNOSTICS
10161	
10162	GAS-DISCHARGES
10163	
10164	SUPERSONIC-FLOW
10165	
10166	PLASMA-JETS
10167	
10168	AIR-FLOW
10169	
10170	NONEQUILIBRIUM-PLASMAS
10171	
10172	ELECTRIC-FIELDS
10173	
10174	HIGH-VOLTAGES
10175	
10176	COMPRESSIBILITY-EFFECTS
10417	MICROMINIATURIZATION-
10418	
10419	LASER-APPLICATIONS
10420	
10421	LASERS-
10422	
10423	DISPLAY-DEVICES
10424	
10425	COCKPITS-
10426	
10427	LASER-DIODES
10428	
10429	LASER-PUMPING
10430	
10431	LIQUID-CRYSTAL-DISPLAYS
10432	
10433	ACTIVE-MATRIX-DISPLAYS
10434	
10435	LIGHT-VALVES
10436	
10437	COLOR-IMAGERY
10438	
10439	OPTICAL-FIBERS
10440	
10441	ILLUMINATING-
10442	
10443	MILITARY-TECHNOLOGY
10444	
10445	FLYING-PLATFORMS
10446	
10447	WORKSTATIONS-
10448	
10449	COMPUTER-AIDED-DESIGN
10450	
10451	CINEMATOGRAPHY-
10452	
10453	COLORIMETRY-
10737	SPACE-DEBRIS
10738	
10739	COMPUTER-PROGRAMS
10740	
10741	MODELS-
10742	
10743	ATMOSPHERIC-ENTRY
10744	
10745	METHODOLOGY-
10746	
10747	SURVIVAL-
10748	
10749	SPACECRAFT-BREAKUP
10750	
10751	AEROTHERMODYNAMICS-
10752	
10753	COMPARISON-
10754	
10755	NASA-SPACE-PROGRAMS
10756	
10757	AERODYNAMIC-HEATING
10758	
10759	ADEOS-SATELLITE
10760	
10761	DELTA-LAUNCH-VEHICLE
10941	SPACE-DEBRIS
10942	
10943	ENVIRONMENT-PROTECTION
10944	
10945	SATELLITE-ORBITS
10946	
10947	RADAR-MEASUREMENT
10948	
10949	MATHEMATICAL-MODELS
10950	
10951	SPACE-PROGRAMS
11431	COMPUTERIZED-SIMULATION
11432	
11433	TETHERING-
11434	
11435	EQUATIONS-OF-MOTION
11436	
11437	DEGREES-OF-FREEDOM
11438	
11439	COMPUTER-PROGRAMS
11440	
11441	CENTER-OF-MASS
11498	LANTHANUM-
11499	
11500	BISMUTH-
11501	
11502	TITANATES-
11503	
11504	THIN-FILMS
11505	
11506	RANDOM-ACCESS-MEMORY
11507	
11508	FERROELECTRIC-MATERIALS
11509	
11510	ELECTRODES-
11511	
11512	FATIGUE-TESTS
11513	
11514	DIELECTRICS-
11553	AEROSPACE-VEHICLES
11554	
11555	AERODYNAMIC-COEFFICIENTS
11556	
11557	COMPUTER-PROGRAMS
11558	
11559	GRAPHICAL-USER-INTERFACE
11560	
11561	AERODYNAMIC-CONFIGURATIONS
11562	
11563	AERODYNAMIC-CHARACTERISTICS
11564	
11565	PREPROCESSING-
11566	
11567	POST-PROCESSING
11568	
11569	DATA-BASES
11570	
11571	REENTRY-VEHICLES
11572	
11573	SINGLE-STAGE-TO-ORBIT-VEHICLES
11574	
11575	TWO-STAGE-TO-ORBIT-VEHICLES
11873	BINARY-ALLOYS
11874	
11875	DIRECTIONAL-SOLIDIFICATION-CRYSTALS
11876	
11877	LIQUID-SOLID-INTERFACES
11878	
11879	OPTICAL-MATERIALS
11880	
11881	BRIDGMAN-METHOD
11882	
11883	CHEMICAL-SPECIES-DISTRIBUTION
11884	
11885	CHEMICAL-COMPOSITION
11886	
11887	INFRARED-DETECTORS
11888	
11889	MERCURY-TELLURIDES
11890	
11891	CRYSTAL-GROWTH
11892	
11893	BESSEL-FUNCTIONS
11958	MICROELECTRONICS-
11959	
11960	GENETIC-ALGORITHMS
11961	
11962	DESIGN-OPTIMIZATION
11963	
11964	INFRARED-FILTERS
11965	
11966	TUNNEL-DIODES
11967	
11968	MAXWELL-EQUATION
11969	
11970	COMPUTER-AIDED-DESIGN
11971	
11972	PARAMETERIZATION-
11973	
11974	ATOMIC-STRUCTURE
12986	PHOTOMETERS-
12987	
12988	P-N-JUNCTIONS
12989	
12990	COMPUTERIZED-SIMULATION
12991	
12992	VERY-LARGE-SCALE-INTEGRATION
12993	
12994	CMOS-
12995	
12996	PHOTOELECTRIC-EMISSION
13036	COMPUTERIZED-SIMULATION
13037	
13038	INTEGRATED-OPTICS
13039	
13040	DETECTORS-
13041	
13042	P-N-JUNCTIONS
13043	
13044	CMOS-
13045	
13046	MICROELECTROMECHANICAL-SYSTEMS
13047	
13048	COMPUTER-PROGRAMS
13273	COMPUTER-AIDED-DESIGN
13274	
13275	SYSTEMS-ENGINEERING
13276	
13277	COMPUTER-PROGRAMS
13278	
13279	MICROELECTRONICS-
13280	
13281	COMPUTERIZED-SIMULATION
13519	SOLAR-ORBITS
13520	
13521	ORBITAL-RESONANCES-CELESTIAL-MECHANICS
13522	
13523	THREE-BODY-PROBLEM
13524	
13525	DYNAMIC-CHARACTERISTICS
13526	
13527	BOUNDARY-CONDITIONS
13852	BALLOON-FLIGHT
13853	
13854	TRAJECTORY-PLANNING
13855	
13856	COMPUTER-AIDED-MAPPING
13857	
13858	REAL-TIME-OPERATION
14629	FIRE-CONTROL
14630	
14631	CONTROL-SIMULATION
14632	
14633	COMPUTER-PROGRAMS
14634	
14635	SOFTWARE-DEVELOPMENT-TOOLS
14636	
14637	SYSTEMS-SIMULATION
14638	
14639	ALGORITHMS-
14640	
14641	STANDARDS-
15865	AIRCRAFT-STRUCTURES
15866	
15867	CRACK-PROPAGATION
15868	
15869	NONDESTRUCTIVE-TESTS
15870	
15871	ACOUSTIC-EMISSION
15872	
15873	HEALTH-MONITORING-ENGINEERING
15874	
15875	DAMAGE-DETECTION
15876	
15877	FLIGHT-RECORDERS
15878	
15879	AIRCRAFT-MAINTENANCE
15880	
15881	DAMAGE-LOCALIZATION
15882	
15883	SOFTWARE-DEVELOPMENT-TOOLS
16279	
16264	TIME-INVARIANT-SYSTEMS
16265	
16266	LINEAR-CONTROL
16267	
16268	CONTROL-SYSTEMS-DESIGN
16269	
16270	STATE-VECTORS
16271	
16272	LINEAR-MATRIX-INEQUALITIES
16273	
16274	SISO-CONTROL-SYSTEMS
16275	
16276	H-INFINITY-CONTROL
16277	
16278	STATISTICAL-ANALYSIS
16280	CONTROL-THEORY
16331	AERIAL-PHOTOGRAPHY
16332	
16333	TARGET-ACQUISITION
16334	
16335	AUTOMATIC-CONTROL
16336	
16337	IMAGE-RECONSTRUCTION
16338	
16339	SOLID-STATE-DEVICES
16340	
16341	POLDER-
16351	NOISE-REDUCTION
16352	
16353	AERIAL-PHOTOGRAPHY
16354	
16355	WAVELET-TRANSFORMS
16356	
16357	OCEANOGRAPHY-
16358	
16359	WAVE-PROPAGATION
16360	
16361	CLUTTER-
16511	REMOTE-SENSING
16512	
16513	FORESTS-
16514	
16515	TIMBER-INVENTORY
16516	
16517	SYNTHETIC-APERTURE-RADAR
16518	
16519	RADAR-IMAGERY
16520	
16521	AERIAL-PHOTOGRAPHY
16522	
16523	THEMATIC-MAPPERS-LANDSAT
16524	
16525	SPOT-FRENCH-SATELLITE
16526	
16527	BACKSCATTERING-
16688	REAL-TIME-OPERATION
16689	
16690	ADAPTIVE-CONTROL
16691	
16692	IMAGE-RESTORATION
16693	
16694	LOW-PASS-FILTERS
16695	
16696	FIR-FILTERS
16761	SYNTHETIC-APERTURE-RADAR
16762	
16763	RADAR-IMAGERY
16764	
16765	FORESTS-
16766	
16767	NOAA-SATELLITES
16768	
16769	ADVANCED-VERY-HIGH-RESOLUTION-RADIOMETER
16770	
16771	NORMALIZED-DIFFERENCE-VEGETATIVE-INDEX
16772	
16773	COMPUTER-AIDED-MAPPING
16774	
16775	TEXTURES-
17294	SULFUR-
17295	
17296	POLARONS-
17297	
17298	IMPURITIES-
17299	
17300	GALLIUM-ANTIMONIDES
17301	
17302	PHOTOCONDUCTIVITY-
17303	
17304	ZEEMAN-EFFECT
17346	IRON-
17347	
17348	CRYSTAL-DEFECTS
17349	
17350	INDIUM-PHOSPHIDES
17351	
17352	POSITRON-ANNIHILATION
17353	
17354	RADIATION-DAMAGE
17355	
17356	TIN-
17357	
17358	NEUTRON-IRRADIATION
17536	REMOTE-SENSING
17537	
17538	ABUNDANCE-
17539	
17540	MALARIA-
17541	
17542	GEOGRAPHIC-INFORMATION-SYSTEMS
17543	
17544	BELIZE-
17545	
17546	DISEASES-
17547	
17548	VEGETATION-
17666	MESOSCALE-PHENOMENA
17667	
17668	RADARSAT-
17669	
17670	SYNTHETIC-APERTURE-RADAR
17671	
17672	GOES-SATELLITES
17673	
17674	SATELLITE-IMAGERY
17675	
17676	RADAR-IMAGERY
17677	
17678	C-BAND
17679	
17680	MULTISENSOR-FUSION
17749	REMOTE-SENSING
17750	
17751	GEOGRAPHIC-INFORMATION-SYSTEMS
17752	
17753	DISEASES-
17754	
17755	SATELLITE-IMAGERY
17756	
17757	LANDSAT-SATELLITES
17758	
17759	IMAGE-CLASSIFICATION
17760	
17761	PERU-
17762	
17763	WORKSTATIONS-
17764	
17765	UNIX-OPERATING-SYSTEM
18116	EARTH-OBSERVATIONS-FROM-SPACE
18117	
18118	INFORMATION-DISSEMINATION
18119	
18120	NOAA-SATELLITES
18121	
18122	POLAR-ORBITS
18520	MACHINE-LEARNING
18521	
18522	NEURAL-NETS
18523	
18524	CONTROL-SYSTEMS-DESIGN
18525	
18526	COMPLEX-SYSTEMS
18527	
18528	NEURONS-
18555	SYSTEMS-INTEGRATION
18556	
18557	SENSORS-
18558	
18559	DECISION-MAKING
18560	
18561	HUMAN-PERFORMANCE
18562	
18563	BIOLOGY-
18564	
18565	ALGORITHMS-
18702	ENTROPY-
18703	
18704	KOLMOGOROV-THEORY
18705	
18706	ATTRACTORS-MATHEMATICS
18707	
18708	REACTION-DIFFUSION-EQUATIONS
18709	
18710	TIME-DEPENDENCE
18711	
18712	INFORMATION-SYSTEMS
18713	
18714	THEORETICAL-PHYSICS
19121	MOIRE-INTERFEROMETRY
19122	
19123	GRATINGS-SPECTRA
19124	
19125	DISPLACEMENT-MEASUREMENT
19126	
19127	SURFACE-GEOMETRY
19128	
19129	STRAIN-MEASUREMENT
19130	
19131	ELECTRONIC-PACKAGING
19132	
19133	CURVATURE-
19449	LASER-APPLICATIONS
19450	
19451	MICROMINIATURIZATION-
19452	
19453	DISPLAY-DEVICES
19454	
19455	LASER-DIODES
19456	
19457	LASER-PUMPING
19458	
19459	COLOR-IMAGERY
19460	
19461	SCIENTIFIC-VISUALIZATION
20611	LANTHANUM-
20612	
20613	BISMUTH-
20614	
20615	TITANATES-
20616	
20617	THIN-FILMS
20618	
20619	RANDOM-ACCESS-MEMORY
20620	
20621	FERROELECTRIC-MATERIALS
20622	
20623	ELECTRODES-
20624	
20625	FATIGUE-TESTS
20626	
20627	DIELECTRICS-
21086	MAGNETOSPHERIC-ELECTRON-DENSITY
21087	
21088	RUSSIAN-SPACECRAFT
21089	
21090	RADIATION-MEASUREMENT
21091	
21092	GLONASS-
21093	
21094	ATMOSPHERIC-RADIATION
21095	
21096	ENVIRONMENTAL-MONITORING
21097	
21098	COMMUNICATION-SATELLITES
21099	
21100	SATELLITE-TELEVISION
21101	
21102	HIGH-TEMPERATURE-PLASMAS
21384	BALLISTIC-MISSILES
21385	
21386	RADAR-ARRAYS
21387	
21388	TARGET-ACQUISITION
21389	
21390	SIGNAL-TO-NOISE-RATIOS
21391	
21392	CRAMER-RAO-BOUNDS
21393	
21394	RADAR-SCANNING
21395	
21396	ALGORITHMS-
21397	
21398	STATE-ESTIMATION
21399	
21400	FLIGHT-TIME
21401	
21402	PROBABILITY-THEORY
21403	
21404	MAXIMUM-LIKELIHOOD-ESTIMATES
21500	REMOTE-SENSING
21501	
21502	END-TO-END-DATA-SYSTEMS
21503	
21504	TARGET-RECOGNITION
21505	
21506	REMOTE-SENSORS
21507	
21508	SPECTRAL-SIGNATURES
21509	
21510	IMAGING-TECHNIQUES
21511	
21512	MATHEMATICAL-MODELS
21513	
21514	SYSTEMS-ANALYSIS
21515	
21516	DATA-SIMULATION
22619	ERROR-ANALYSIS
22620	
22621	LOW-EARTH-ORBITS
22622	
22623	PROTOCOL-COMPUTERS
22624	
22625	COMPUTERIZED-SIMULATION
22626	
22627	PERFORMANCE-ASSESSMENT
\.


--
-- Data for Name: located; Type: TABLE DATA; Schema: public; Owner: -
--

COPY located (pid, lid) FROM stdin;
138	3
866	866
1384	3
1114	3
1188	74
133	133
541	509
1059	509
541	509
1059	509
70	6
301	141
917	3
1023	1023
116	116
125	125
461	3
995	3
819	3
170	170
1025	3
719	3
90	3
431	3
445	6
1233	3
633	3
1471	3
726	3
1204	1194
698	74
1339	74
698	74
1339	74
340	3
1390	3
169	155
1124	3
1255	3
796	5
649	38
1364	1194
231	109
446	58
693	644
837	837
1191	3
1096	1096
618	509
1052	74
1131	3
659	37
516	516
800	5
1018	3
1100	1099
243	201
234	109
214	198
594	5
701	127
132	132
1160	3
494	141
1039	1039
\.


--
-- Data for Name: location; Type: TABLE DATA; Schema: public; Owner: -
--

COPY location (lid, countrypub, countryorigin) FROM stdin;
3	United-States	United-States
5	United-States	France
6	United-States	Germany
37	International-Organization	Germany
38	International-Organization	United-States
58	United-Kingdom	United-Kingdom
74	United-States	Republic-of-Korea
109	UNITED-STATES	ITALY
116	United-States	Switzerland
125	United-States	Israel
127	Netherlands	Spain
132	United-Kingdom	Italy
133	United-Kingdom	United-States
141	UNITED-STATES	UNITED-STATES
155	UNITED-STATES	UNITED-KINGDOM
170	UNITED-STATES	GERMANY
198	UNITED-STATES	JAPAN
201	UNITED-STATES	FRANCE
509	United-States	Russia
516	United-States	Australia
644	International-Organization	Netherlands
837	Netherlands	Argentina
866	Japan	Sweden
1023	United-States	People`s-Republic-of-China
1039	United-States	Finland
1096	Switzerland	Poland
1099	Switzerland	Spain
1194	Russia	Russia
\.


--
-- Data for Name: publication; Type: TABLE DATA; Schema: public; Owner: -
--

COPY publication (pid, title, titleext, abstract, abstractind, language, journal, journalann, confinfo, book, category) FROM stdin;
70	Analysis of the HAVE LIMITS database using the OLOP criterion	\N	It is well known that rate limiting in modern flight control systems is the main contributor to the triggering of pilot-in-the-loop oscillations (PIOs). A new criterion has been developed at DLR, which is capable of predicting nonlinear PIO problems due to rate saturation. It is based on the location of the open loop onset point (OLOP) of the rate limiter in the Nichols chart. The OLOP criterion has been validated on the basis of several PIO prone aircraft models, and recently new experiments utilizing a 3-DOF motion-base flight research simulator have been conducted and analyzed. In this paper the OLOP criterion is checked against the new nonlinear PIO data base HAVE LIMITS. The three vehicle configurations with different maximum rates are evaluated, and the results are compared with the pilot comments obtained during the flight tests. Excellent agreement between the predictions of the OLOP criterion and the in-flight simulation results is obtained. (Author)	Yes	English	AIAA-Atmospheric-Flight-Mechanics-Conference-and-Exhibit,-Portland,-OR,-Aug	IAA199909	AIAA Atmospheric Flight Mechanics Conference and Exhibit, Portland, OR, Aug. 9-11, 1999	\N	Aircraft-Stability-and-Control
133	An Internet accessible database for high speed fluid flow code validation	\N	The development of the Houston High Speed Flow Database (HHSFD) is discussed. Attention is given to the reasons for the HHSFD, its organization and content, user guide, solution file format, future enhancements, and control and operation. (AIAA)	Yes	English	\N	IAA199906	Computational fluid dynamics "98; Proceedings of the 4th European Computational Fluid Dynamics Conference, Athens, Greece, Sept. 7-11, 1998. Vol. 2 (A99-26168 06-34), Chichester, United Kingdom, John Wiley & Sons, 1998, p. 786-791	Computational fluid dynamics "98; Proceedings of the 4th European Computational Fluid Dynamics Conference, Athens, Greece, Sept. 7-11, 1998. Vol. 2 (A99-26168 06-34), Chichester, United Kingdom, John Wiley and Sons, 1998, p. 786-791	Documentation-and-Information-Science
90	Effects of electrons, protons, and ultraviolet radiation on spacecraft thermal control materials	\N	An experimental program has been conducted in which candidate spacecraft thermal control materials were irradiated to simulate a 1375 km circular, 85-deg inclination orbit, to evaluate thermooptical property degradation as a function of irradiation fluence. The samples included white paints and other high emittance reflectors, such as coated polymers and metals. The experimental method utilized high vacuum, and radiation sources that can combine UV radiation, low-energy electrons, and low-energy protons onto an array of test samples simultaneously. Shields precluded exposure of selected test samples to electron and proton fluences. This method allows obtaining a versatile database quickly, and eliminates the uncertainty as to whether repeated or serial tests produce consistent data. Test instrumentation includes an in-situ UV/visual/near-IR spectrophotometer so that solar absorptance can be measured without removing test samples from the vacuum environment. This test method, applied to selected specular and diffusely reflecting surfaces, resulted in a new body of experimental data indicating that several materials and formulations are relatively durable, and may be useful in 1375 km or similar orbits. (Author)	Yes	English	AIAA-Thermophysics-Conference,-33rd,-Norfolk,-VA,-June-28-July-1,-1999	IAA199908	AIAA Thermophysics Conference, 33rd, Norfolk, VA, June 28-July 1, 1999	\N	Chemistry-and-Materials,-General
116	Automatic retrieval of similar patterns in image database using texture and color information	\N	Content-based indexing and retrieval of image database has become quite a popular research focus during the past few years. Although several retrieval approaches based on low-level features have been proposed up to now, an efficient combination of these features which would remarkably improve the performance still needs to be developed. In this paper, oriented towards the retrieval of images in a textured color image database, we propose a novel approach which effectively combines both the texture and the color information in a nonseparate way. In the approach, we apply adaptive wavelet frame packet analysis to both the transformed texture channel and the color channel to obtain textured features, colored features, and correlated features of both texture and color from all the decomposed subbands; we measure similarity of images (features) using a simple and symmetric distance. Images are returned in order of similarity to the query sample. Experiments show that the proposed approach retrieves images in a progressive way. It can produce the performance in terms of both retrieval efficiency and retrieval effectiveness. (Author)	Yes	English	\N	IAA199907	\N	Wavelet applications V; Proceedings of the Meeting, Orlando, FL, Apr. 14-16, 1998 (A99-29076 07-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3391), 1998, p. 587-595	Documentation-and-Information-Science
125	Background clutter in the SW infrared spectral band - Measurement and analysis	\N	The ability to detect targets, either by human observer or by machine vision algorithms, is strongly affected by the clutter properties of the background. Therefore, the quantitative characterization of the clutter is a must in any target acquisition scenario. This paper proposes a new metric for clutter quantification based on a blob analysis algorithm. The algorithm is based on the comparison of various calculated properties of blobs, found in the image, to the properties of the blob representing a target. The algorithm was tested on an experimental database of IR images measured during an airborne field test by a commercially available Focal Plane Array (FPA) IR camera. (Author)	Yes	English	\N	IAA199906	\N	Targets and backgrounds: Characterization and representation IV; Proceedings of the Meeting, Orlando, FL, Apr. 13-15, 1998 (A99-27131 06-35), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3375), 1998, p. 39-47	Instrumentation-and-Photography
132	The role of databases for CFD validation - A synthesis of the First Europe-U.S. High Speed Flow Field Database Workshop, Part II	\N	The credibility of CFD can be established only by validation that involves both numerical and physical aspects. Validation is not always feasible if one wants to explore all possible combinations of phenomena, and therefore the focus should be on the analysis of basic well-defined test cases. The development and the use of a database is essential for arriving at a validated CFD procedure. This paper describes the experiences of the First Europe-U.S. High Speed Flow Field Database Workshop, Part II. (Author)	Yes	English	\N	IAA199906	Computational fluid dynamics "98; Proceedings of the 4th European Computational Fluid Dynamics Conference, Athens, Greece, Sept. 7-11, 1998. Vol. 2 (A99-26168 06-34), Chichester, United Kingdom, John Wiley & Sons, 1998, p. 792-799	Computational fluid dynamics "98; Proceedings of the 4th European Computational Fluid Dynamics Conference, Athens, Greece, Sept. 7-11, 1998. Vol. 2 (A99-26168 06-34), Chichester, United Kingdom, John Wiley and Sons, 1998, p. 792-799	Documentation-and-Information-Science
138	A ground target detection system for digital video database	\N	We address a robust digital video data-base system within which a target detection module is implemented and applied onto the keyframe images extracted by our digital library system. The tasks and application scenarios under consideration involve indexing video with information about detection and verification of artificial objects that exist in video scenes. Based on the scenario that the video sequences are acquired by an onboard camera mounted on Predator unmanned aircraft, we demonstrate how an incoming video stream is structured into different levels (video program level, scene level, shot level, and object level), based on the analysis of video contents using global imagery information. We then determine that the keyframe representation is the most appropriate for video processing. Video processing becomes feasible in terms of decreased computational resources spent and increased confidence in the (detection) decisions reached. The architecture we proposed can respond to the query of whether artificial structures and suspected combat vehicles are detected. The architecture for ground detection takes advantage of the image understanding paradigm and it involves different methods to locate and identify the artificial object rather than nature background such as tree, grass, and cloud. (Author)	Yes	English	\N	IAA199906	Visual information processing VII; Proceedings of the Conference, Orlando, FL, Apr. 13, 14, 1998 (A99-25562 06-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3387), 1998, p. 219-226	Visual information processing VII; Proceedings of the Conference, Orlando, FL, Apr. 13, 14, 1998 (A99-25562 06-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3387), 1998, p. 219-226	Cybernetics-
169	Measurements of soot production and thermal radiation from confined turbulent jet diffusion flames of methane	\N	The objective of the study was to create a database of soot and related properties for a confined jet flame that are necessary to develop and evaluate a generally applicable methodology for coupled radiation and soot prediction in turbulent hydrocarbon flames. Comprehensive property maps of mean mixture fraction, temperature, soot volume fraction, and radiation intensity are reported for two confined methane jet flames burning at pressures of 1 and 3 atm. The measurements at the higher pressure permit the models to be assessed over a wider range of operating conditions while also introducing enhanced levels of soot production and radiative flux which facilitate measurements. (AIAA)	Yes	ENGLISH	Combustion-and-Flame	IAA199905	\N	\N	INORGANIC-AND-PHYSICAL-CHEMISTRY
170	Development of a platform independent receiver control system for SISIFOS	\N	We present a low-cost and very flexible receiver control system which uses a minimal interface to the real hardware, and which makes it easy to adapt to new receivers. Our system uses Tcl/Tk as a Graphical User Interface (GUI), SpecTcl as a GUI builder, Pgplot as plotting software, a Simple Query Language (SQL) Database for information storage and retrieval, Ethernet socket to socket communication, and SCPI as a command control language. The complete system is theoretically platform-independent, but for cost saving reasons we are using it actually on a PC486 running Linux 2.0.30, which is a copylefted Unix. The only hardware dependent parts are the digital input/output boards, analog to digital and digital to analog convertors. In the case of the Linux PC we are using a device driver development kit to integrate the boards fully into the kernel of the operating system, which indeed makes them look like an ordinary device. The advantage of this system is the low price (all software is for free and available as source code; only the hardware cost has to be paid) and the clear separation between the different software components that are available for many operating systems. If it is not possible, due to CPU performance limitations, to run all the software in a single machine, the SQL-Database or the GUI could be installed on separate computers. (Author)	Yes	ENGLISH	\N	IAA199905	Telescope control systems III; Proceedings of the Conference, Kona, Hawaii, Mar. 20, 21, 1998 (A99-22060 05-62), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3351), 1998, p. 275-278	Telescope control systems III; Proceedings of the Conference, Kona, Hawaii, Mar. 20, 21, 1998 (A99-22060 05-62), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3351), 1998, p. 275-278	COMPUTER-PROGRAMMING-AND-SOFTWARE
214	T6-97 - Supersonic Delta Wing	\N	A numerical analysis for the T6-97 Supersonic Delta Wing is carried out as an entry of the First U.S.-Europe High Speed Flow Field Database Workshop Part II (HSFF2). The outline of numerical methods and several computed results are presented. Aerodynamic force data, including lift coefficient and drag coefficient, are compared with experimental data. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 345-347	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 345-347	AERODYNAMICS-
693	On the validity of a simple bead-model for tethered systems	\N	It is shown that, when a tether in space is modeled as a set of point masses (beads) connected by straight, inextensible, and massless lines, accurate results can be obtained for many applications in comparison to a complex continuous model. The equations of motion are such that very short simulation times are possible due to the simplicity of the model and the structure of the equations of motion, even when many beads are used. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Spacecraft-Design,-Testing-and-Performance
231	Multigrid calculations of the supersonic vortical flow around an ogive-cylinder	\N	The supersonic laminar flow around an ogive-cylinder at high incidence is computed solving the 3D Navier-Stokes equations. The numerical method is based on a multiblock finite volume centered discretization approach with adaptive artificial dissipation. The multigrid technique has been applied together with local grid refinement to improve the efficiency of the method. The numerical results are compared with a large set of experimental data including both surface and flow field measurements and showing an overall remarkable agreement. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 234-241	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 234-241	AERODYNAMICS-
234	Synthesis of T2-97 hollow cylinder flare problem	\N	Results of the hollow cylinder flare test case proposed in the first Europe-U.S. High Speed Flow Field Database Workshop Part II are presented and discussed. Navier-Stokes solvers for cold high-speed flows characterized by strong shock wave-boundary layer interactions in fully laminar regime over axisymmetric configurations are validated. (AIAA)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 213-221	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 213-221	AERODYNAMICS-
243	Study of the laminar shock wave/boundary layer interaction in hypersonic flow - Experimental and numerical aspects	\N	The article discusses both experimental and numerical studies of the laminar shock wave/boundary layer interaction occurring past a hollow cylinder flare model without incidence in a Mach 10 flow. As far as the experimental study is concerned, the flow has been characterized by both field and wall visualizations. The repercussions at the wall of the shock wave/boundary layer interaction phenomenon have been quantified by pressure and heat-flux measurements. As far as the numerical study is concerned, three Navier-Stokes solvers have been used with two different meshes, leading to six different configurations. Besides these methods, a direct simulation Monte-Carlo calculation has been performed which furnishes a seventh configuration. All these results are analyzed, discussed, and compared with experimental data. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 141-162	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 141-162	AERODYNAMICS-
301	Application of C-CAP protocol land-cover data to nonpoint source water pollution potential spatial models in a coastal environment	\N	Custom-derived satellite imagery-based land-cover data have proven useful in the creation of nonpoint source water pollution potential models but are expensive and time-consuming to create. This study examines the potential of an existing satellite-based (TM) land-cover data set (Coastal Change Analysis Program) in a rapidly developing coastal area. A comparison is made of generalized and detailed hydrologic soil groups in compiling permeability values. Two distance-to-water variables are also tested in the spatial model. Results indicate that C-CAP data can provide a useful land-cover database for such work. Both soil groupings may have utility, but weighted distance measures provide a more accurate representation of nonpoint source water pollution potential sources and spatial distribution. (Author)	Yes	ENGLISH	PEandRS-Photogrammetric-Engineering-and-Remote-Sensing	IAA199901	\N	\N	EARTH-RESOURCES
340	Lithium-Ion Batteries for Aerospace Applications	\N	This presentation reviews: (1) the goals and objectives, (2) the NASA and Airforce requirements, (3) the potential near term missions, (4) management approach, (5) the technical approach and (6) the program road map. The objectives of the program include: (1) develop high specific energy and long life lithium ion cells and smart batteries for aerospace and defense applications, (2) establish domestic production sources, and to demonstrate technological readiness for various missions. The management approach is to encourage the teaming of universities, R&D organizations, and battery manufacturing companies, to build on existing commercial and government technology, and to develop two sources for manufacturing cells and batteries. The technological approach includes: (1) develop advanced electrode materials and electrolytes to achieve improved low temperature performance and long cycle life, (2) optimize cell design to improve specific energy, cycle life and safety, (3) establish manufacturing processes to ensure predictable performance, (4) establish manufacturing processes to ensure predictable performance, (5) develop aerospace lithium ion cells in various AH sizes and voltages, (6) develop electronics for smart battery management, (7) develop a performance database required for various applications, and (8) demonstrate technology readiness for the various missions. Charts which review the requirements for the Li-ion battery development program are presented.	Yes	English	\N	STAR199901	NASA no. 19990032330. The 1998 NASA Aerospace Battery Workshop.	\N	Energy-Production-and-Conversion
431	Experiments and Analyses of an Aerospike Flow Environment for Protecting Infrared Missile Dome	\N	In the late 1980s, Air Force Research Laboratory began research in the use of aerospike technology to reduce the heating rate on an infrared dome for a high speed, extended range tactical missile. Results from wind tunnel tests, simulations, and analyses provided a database for modelling the flow field created by an aerospike. The effects of turbulence on the performance of the aerospike arrangements were analyzed in the k-epsilon based modelling framework with emphasis on the influence of factors such as streamline curvature and shock discontinuities.	Yes	English	\N	STAR199901	NASA no. 19990017813.	\N	Aerodynamics-
445	Field Inspection Results and Damage of F-4F Horizontal Stabilizer Internal Structure	\N	The McDonnell Douglas F-4F Phantom will remain in the German Luftwaffe inventory well beyond the year 2000. With the extensive usage in airforces all over the world, structural inspection programs based on fatigue tests and equally important, usage experiences shared with other countries provide a good knowledge of structurally critical areas of the airframe. However, depot inspections of the horizontal stabilizers discovered fatigue cracks in a rib that required fleet wide inspection through removal skin fasteners using boroscope and eddy current technique, performed by different "field inspection teams" from the German Luftwaffe and industry. Mathematical modeling of the local stress distribution with the damages zone together with periodic inspection provided the background for continuous A/C operation with damaged ribs and scheduled the sequence for replacements of cracked items. A database for the reliability, evaluation was gained by performing additional inspections on an original build-up structure with cracked ribs under in-field conditions.	Yes	English	\N	STAR199901	NASA no. 19990009514.	\N	Quality-Assurance-and-Reliability
446	NDT Reliability Estimation From Small Samples and In-Service Experience	\N	Optimisation of an inspection strategy to provide acceptable safety at minimal cost requires a knowledge of the reliability of the inspection procedures which could be used. A methodology for assessing inspection reliability, characterising the inspection process by a 95% confidence level probability of detection (POD) curve estimated from artificial trials, has become the standard approach. This method works satisfactorily for straightforward inspection situations where the POD curve can be estimated from a large database, but application of similar methods to airframe inspection suffer from the prohibitive cost of obtaining the reliability curve from realistic trials. Where there is limited data available to determine the reliability, the inbuilt conservatism of the standard method leads to wholly unrealistic estimates for the POD curve which in turn give rise to unacceptably short inspection intervals and excessive maintenance costs. It may be possible to deduce inspection reliability from in service inspection data, although the diversity of inspection situations suggests that there will still be a very limited amount of information available from which to estimate the reliability for a particular inspection task. In this paper the effect of the inbuilt conservatism inherent in the standard method of POD assessment will be demonstrated. Alternative approaches to the prediction of NDT performance will be compared to establish the minimum requirements for inspection data in order to achieve specified safety levels. The possibility of using techniques based on Bayesian inference to provide an optimal prediction of reliability which can be refined as further information is acquired will be described. The effects will be demonstrated using simulated data based on real inspection reliability trials.	Yes	English	\N	STAR199901	NASA no. 19990009502.	\N	Quality-Assurance-and-Reliability
461	Calibration of the ROSAT HRI Spectral Response	\N	The ROSAT High Resolution Imager has a limited (2-band) spectral response. This spectral capability can give X-ray hardness ratios on spatial scales of 5 arcseconds. The spectral response of the center of the detector was calibrated before the launch of ROSAT, but the gain decreases-with time and also is a function of position on the detector. To complicate matters further, the satellite is "wobbled", possibly moving a source across several spatial gain states. These difficulties have prevented the spectral response of the ROSAT HRI from being used for scientific measurements. We have used Bright Earth data and in-flight calibration sources to map the spatial and temporal gain changes, and written software which will allow ROSAT users to generate a calibrated XSPEC response matrix and hence determine a calibrated hardness ratio. In this report, we describe the calibration procedure and show how to obtain a response matrix. In Section 2 we give an overview of the calibration procedure, in Section 3 we give a summary of HRI spatial and temporal gain variations. Section 4 describes the routines used to determine the gain distribution of a source. In Sections 5 and 6, we describe in detail how the Bright Earth database and calibration sources are used to derive a corrected response matrix for a given observation. Finally, Section 7 describes how to use the software.	Yes	English	\N	STAR199901	\N	\N	Instrumentation-and-Photography
494	Topex/Poseidon Autonomous Maneuver Experiment (TAME) in-flight execution	\N	Autonomous maneuver planning and implementation is a key to future missions. TAME is an experiment to provide the necessary algorithms for planning and executing attitude maneuvers and a thrusting Orbital Maintenance Maneuver (OMM) autonomously. TAME"s planner, along with its auxiliary modules and a database, will reside on an existing satellite processor. The database contains certain satellite and orbit constants, as well as tables of mission constraints. Upon receiving an OMM command, the planner requests up-to-date propulsion data from the satellite"s main On-Board Computer (OBC), and then designs an attitude maneuver that does not violate any constraint, geometric, power, or thermal. Another module, the sequence generator, incorporates the generated path into an OMM sequence that avoids violating other types of constraints, such as the timing and order of commands. The resulting command sequence, which includes commands for reconfiguring and conditioning the satellite and its components, is transmitted to the OBC for execution. (Author)	Yes	ENGLISH	\N	IAA199811	Guidance and control 1998; Proceedings of the 21st Annual AAS Rocky Mountain Guidance and Control Conference, Breckenridge, CO, Feb. 4-8, 1998 (A98-42527 11-12), San Diego, CA, Univelt, Inc. (Advances in the Astronautical Sciences. Vol. 98), 1998, p. 3-19	Guidance and control 1998; Proceedings of the 21st Annual AAS Rocky Mountain Guidance and Control Conference, Breckenridge, CO, Feb. 4-8, 1998 (A98-42527 11-12), San Diego, CA, Univelt, Inc. (Advances in the Astronautical Sciences. Vol. 98), 1998, p. 3-19	SPACECRAFT-DESIGN,-TESTING-AND-PERFORMANCE
516	Risk sensitive filtering with counting process observations	\N	We consider risk-sensitive filtering for counting process observations. Risk-sensitive filtering is a type of robust filtering that offers performance benefits in the presence of uncertainties. We derive a risk-sensitive filter for a stochastic system where the signal variable has dynamics described by a diffusion equation and determines the rate function for an observed counting process. The filtering equations are stochastic partial differential equations. Computer simulations are presented to demonstrate the performance gain for the risk-sensitive filter compared to the risk-neutral filter. (Author)	Yes	English	\N	IAA199914	IEEE Conference on Decision and Control, 37th, Tampa, FL, Dec. 16-18, 1998, Proceedings. Vol. 2 (A99-47901 14-63), Piscataway, NJ, Institute of Electrical and Electronic Engineers, Inc., 1998, p. 2300-2304	IEEE Conference on Decision and Control, 37th, Tampa, FL, Dec. 16-18, 1998, Proceedings. Vol. 2 (A99-47901 14-63), Piscataway, NJ, Institute of Electrical and Electronic Engineers, Inc., 1998, p. 2300-2304	63-Cybernetics
541	Analysis of forest regions by SAR and optical images	\N	This paper discusses the development of automatic analysis techniques for forest regions using radar and optical orbital instruments. Input data were the images of Altai regions obtained with RESURS-01 MSU-E, RESURS-F1M, SIR-C/L-SAR (total power, HH, HV, VV), and NOAA-AVHRR radiometer data. The resolution of SAR images was around 25 m/pixel. The textural and polarization properties of SAR images were used as additional information. The results were supplemented by classification of MSU-E and RESURS-F1M images by synchronous ground measurements. (Author)	Yes	English	\N	IAA199914	\N	IGARSS 98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 3 (A99-47461 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1723-1725	43-Earth-Resources
594	Temporal aspects of situation awareness	\N	This paper presents an approach to pilots situation awareness (SA) that focuses on temporal issues. This approach must be complemented by other factors, such as spatial awareness. The temporal aspects of SA are important for the flying task, for computer interaction, and for human communication. The presence of these three domains together inside the cockpit leads to difficulties with time management. Temporal aspects in human-computer interaction are investigated in the context of aviation SA. Useful tools for their evaluation and anticipation are proposed. Finally, psychological, cognitive, and philosophical studies on time consciousness that enable the investigation of relevant attributes of complex dynamic systems, such as aircraft, are presented. (Author)	Yes	English	AIAA-and-SAE,-1999-World-Aviation-Conference,-San-Francisco,-CA,-Oct	IAA199912	AIAA and SAE, 1999 World Aviation Conference, San Francisco, CA, Oct. 19-21, 1999	\N	Man/Machine-Technology-and-Life-Support
618	Probe diagnostics of gas discharges in supersonic airflow	\N	A method of probe diagnostics of plasma concentration under the characteristic conditions for plasma aerodynamics (high voltage and electric field, high concentration of nonequilibrium plasma, high gas pressure, a considerable effect of compressibility) has been developed. Experiments have been carried out in DC and pulsed periodic discharges in a supersonic air flow at the static pressure range of 10-200 Torr. Schemes of a PC-controlled double probe with optogalvanic isolation on an optocouple and fiber optical waveguide base have been developed and tested in gas discharges in supersonic airflows with M = 2 and 4. A new theory of probe diagnostics of plasmas with a very high electric field in a supersonic airflow is developed on the basis of a computer simulation of the interaction of the probe and the plasma flow. A synergetic effect of compressibility and external electric field on plasma concentration near the probe is discovered. It can restrict the region of applicability of the probe plasma diagnostics. Preventive measures from this negative effect are suggested. The results of probe diagnostics of plasma concentration are in good accordance with those obtained from a microwave interferometer and a spectral method. (Author)	Yes	English	AIAA-Weakly-Ionized-Gases-Workshop,-3rd,-Norfolk,-VA,-Nov	IAA199912	\N	\N	Plasma-Physics
633	High performance microlasers enable display applications	\N	Recent advances in compact, air-cooled, diode-pumped solid-state visible microlasers have enabled the development of portable laser display systems. In addition to the added benefits of large color gamut, invariant color accuracy, image uniformity, high contrast, and large depth of focus inherent in the microlaser design, the reliability of these all-solid state RGB sources make them attractive for display applications. Compact, multi-W laser modules have been demonstrated for use as a high brightness laser light engine for replacing arc lamps in display configurations. Using this backlit approach, a microlaser-based projector has been demonstrated, providing more than 500 lumens at 1280 x 1024 resolution using reflective AMLCD light valves. Also being developed is an airborne head-mounted display (HMD) system wherein the laser module is remotely coupled to a subtractive color LCD assembly through an optical fiber to provide a more than 24,000,000 cd/sq m luminance for illuminating the LCD assembly. This technology could be applied to a variety of cockpit displays providing sunlight readable illumination for both head-down and head-up backlit display configurations. Microlaser technology enables applications in command and control centers, simulators, and HMDs. Longer term potential includes high-end CAD workstations, entertainment, and electronic cinema. (Author)	Yes	English	\N	IAA199912	\N	Cockpit displays VI: Displays for defense applications; Proceedings of the Meeting, Orlando, FL, Apr. 7-9, 1999 (A99-45176 12-31), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3690), 1999, p. 277-284	Lasers-and-Masers
649	Modeling of space debris reentry survivability and comparison of analytical methods	\N	This paper presents results from the NASA Object Reentry Survival Analysis Tool (ORSAT) for several reentry bodies and benchmark/parametric analyses of hollow spheres. The ORSAT methodology is summarized to describe the operation of six general models of the code: trajectory, atmosphere, aerodynamics, aeroheating, thermal, and debris area/ground impact risk. Spinning and nonspinning spheres are evaluated, as well as cylinders, boxes, and flat plates for various tumbling modes. The demise altitude is predicted when the object integrated heat load becomes greater than the material heat of ablation. Results are presented to assess effects of drag coefficient, ballistic coefficient, atmosphere model, wall thickness, diameter, flight path angle, and material on object demise or survival. Results are also presented to determine demise or survival of various spacecraft, including the Delta second stage rocket fragments, Sandia barium fuel rod, and Japanese Advanced Earth Observing Satellite (ADEOS) components. Close agreement of ORSAT predictions is shown with Sandia fuel rod flight measurements and the Delta second-stage reconstructed trajectory predictions from Aerospace Corporation. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Astronautics,-General
659	Results of the upgraded MASTER model	\N	The first release of ESA"s Meteoroid and Space Debris Terrestrial Environment Reference model (MASTER) from 1997 considers manmade debris from catalogued objects down to space debris larger than 100 microns generated due to in-orbit fragmentation of spacecraft and upper stages. The upgraded model considers new debris sources and size regimes down to particle diameters of 1 micron. Two important new sources are solid rocket motor particle clouds consisting of Al2O3 dust or slag and metal droplets formed of sodium-potassium coolant (NaK) released by nuclear powered Radar Ocean Reconnaissance Satellites (RORSAT). These sources complete the debris population in the millimeter and centimeter regime by particle classes with specific inclination and eccentricity distributions, which could not be modeled in the previous MASTER release. Compared to the first MASTER release, the background meteoroid model has been revised and supplemented by a model for meteoroid streams. The results of the upgraded model are presented in terms of high resolution debris flux and spatial density on typical orbits from LEO up to the geosynchronous region for the macro debris larger than 100 microns. Some new features of the model (flux on oriented surfaces, object flux due to future constellations, graphical user interface) are discussed. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Computer-Programming-and-Software
698	Lanthanum-substituted bismuth titanate for use in non-volatile memories	\N	Nonvolatile memory devices are so named because they retain information when power is interrupted; thus they are important computer components. In this context, there has been considerable recent interest in developing nonvolatile memories that use ferroelectric thin films - "ferroelectric random access memories" (FRAMs) - in which information is stored in the polarization state of the ferroelectric material. To realize a practical FRAM, the thin films should satisfy the following criteria: compatibility with existing dynamic RAM technologies, large remnant polarization (P(r)) and reliable polarization-cycling characteristics. Early work focused on PZT but, when films of this material were grown on metal electrodes, they generally suffered from a reduction of P(r) ("fatigue") with polarity switching. Strontium bismuth tantalate (SBT) and related oxides have been proposed to overcome the fatigue problem, but such materials have other shortcomings, such as a high deposition temperature. Here we show that lanthanum-substituted bismuth titanate thin films provide a promising alternative for FRAM applications. The films are fatigue-free on metal electrodes, they can be deposited at temperatures of 650 C, and their values of P(r) are larger than those of the SBT films. (Author)	Yes	English	Nature-	IAA199912	\N	\N	Solid-State-Physics
701	The Aerodynamic Analysis System	\N	The Aerodynamic Analysis System (AAS) is a generic computer program for the estimation of the aerodynamic coefficients of aerospace vehicles. This system takes advantage of modern computer capabilities for pre- and post-processing of data, graphical display, user interface and databases. Such a tool includes the capabilities to accomplish the complete design loop, starting from the geometric definition of the vehicle, computation of the aerodynamic characteristics of the vehicle, graphical capabilities, databases to store/retrieve aerodynamic data, and connection to software packages which would demand the aerodynamics of the vehicle. The domain of application of AAS includes a wide range of vehicles: space transportation systems, re-entry vehicles, single stage to orbit (SSTO), and two-stage-to-orbit (TSTO); and aerodynamics for simple and complex shapes. (Author)	Yes	English	\N	IAA199912	\N	European Symposium on Aerothermodynamics for Space Vehicles, 3rd, Noordwijk, Netherlands, Nov. 24-26, 1998, Proceedings (A99-44201 12-02), Noordwijk, Netherlands, European Space Agency, 1999, p. 69-76	Computer-Programming-and-Software
719	Effect of a nonplanar melt-solid interface on lateral compositional distribution during unidirectional solidification of a binary alloy with a constant growth velocity V. I - Theory	\N	Infrared detected materials, such as Hg(1-x)Cd(x)Te, Hg(1-x)Zn(x)Te have energy gaps almost linearly proportional to their composition. Due to the wide separation of liquidus and solidus curves of their phase diagrams, compositional segregation exist in both axial and radial directions of crystals grown in the Bridgman system unidirectionally with constant growth rate. It is important to understand the mechanisms which affect lateral segregation in order that large radially uniform composition crystals can be produced. Following the Coriell et al. (1981) treatment, we have developed a theory to study the effect of a curved melt-solid interface shape on lateral composition distribution. The model is considered to be a cylindrical system with azimuthal symmetry and a curved melt-solid interface shape which can be expressed as a linear combination of a series of Bessel functions. The results show that the melt-solid interface shape has a dominant effect on the lateral composition distribution of these systems. For small values of beta, the solute concentration at the melt-solid interface scales linearly with interface shape with a proportional constant of the product of beta and (1-k), where beta = VR/D, with V as growth velocity, R as the sample radius, D as the diffusion constant, and k as the distribution constant. A detailed theory is presented. A computer code has been developed, and simulations have been performed and compared with experimental results. (Author)	Yes	English	\N	IAA199912	\N	Operational characteristics and crystal growth of nonlinear optical materials; Proceedings of the Meeting, Denver, CO, July 19, 20, 1999 (A99-43501 12-74), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3793), 1999, p. 13-24	Solid-State-Physics
726	Integrated design and optimization of microelectronic devices	\N	A genetic algorithm is used for design of IR filters and in the understanding of the material structure of a resonant tunneling diode. These two components are examples of microdevices and nanodevices that can be numerically simulated using fundamental mathematical and physical models. Because the number of parameters that can be used in the design of one of these devices is large, and because experimental exploration of the design space is unfeasible, reliable software models integrated with global optimization methods are examined. The genetic algorithm and engineering design codes have been implemented on massively parallel computers to exploit their high performance. Design results are presented for the IR filter and a resonant tunneling diode. (Author)	Yes	English	\N	IAA199912	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 5 (A99-43409 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 131-138	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 5 (A99-43409 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 131-138	Electronics-and-Electrical-Engineering
796	Modeling of BDJ and BTJ structures for color detection	\N	Two color-sensitive detectors, based respectively on BDJ (Buried Double p-n Junction) and BTJ (Buried Triple p-n Junction) structures, have recently been developed in standard VLSI processes. The BDJ structure implemented in a CMOS process can produce two photocurrents, and the photocurrent ratio is a monotone function of the wavelength. The BTJ structure realized in a BiCMOS process gives three bandpass spectral responses, thus allowing trichromatic color detection. In order to obtain better insight into the behavior of these two structures and to simulate their characteristics, we have established physical models for photocurrent calculations. The following approach has been adopted: (1) calculating drift and diffusion photocurrent components which are produced in different depletion layers and neutral regions of silicon; (2) according to their contributions, determining photocurrents flowing through each buried junction. A computer program can be written for device simulations. The validity of these models has been verified through comparison between simulations and measurements. These models can also be used to study effects of parameters involved in the presented models. (Author)	Yes	English	\N	IAA199911	\N	Design, test, and microfabrication of MEMS and MOEMS; Proceedings of the Meeting, Paris, France, Mar. 30-Apr. 1, 1999. Pt. 1 (A99-42529 11-31), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3680), 1999, p. 388-397	Electronics-and-Electrical-Engineering
800	SPICE models for simulating BDJ and BTJ detectors	\N	We have recently reported two novel integrated optical detectors called BDJ (Buried Double p-n Junction) detector and BTJ (Buried Triple p-n Junction) detector. The BDJ detector elaborated the CMOS process can be applied for wavelength detection while the BTJ detector based on a bipolar structure finds its applications in colorimetry. In order to use electronic CAD tools for designing microsystems, we have developed SPICE models for these detectors. Device modeling with a physical approach has allowed us to determine photocurrents, which are functions of physical, geometrical, electrical, and technological parameters. We have also defined schematic diagram and small signal models and integrated them in the HSPICE program. Simulations and measurements have validated these models. (Author)	Yes	English	\N	IAA199911	\N	Design, test, and microfabrication of MEMS and MOEMS; Proceedings of the Meeting, Paris, France, Mar. 30-Apr. 1, 1999. Pt. 1 (A99-42529 11-31), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3680), 1999, p. 349-357	Electronics-and-Electrical-Engineering
819	Design of MEMS and microsystems	\N	Facile, integrated, and comprehensive software is needed for the design of processes, models, and simulations, which are required for effective production of MEMS and microsystems. The characteristics of computer-aided design software now available from seven companies are reviewed. Three of the firms have roots in microelectronics, and three were formed specifically for MEMS design. Electronic, mechanical, thermal, and fluidic mechanisms are commonly included. One company is especially strong in microfluidics. Two of the design suites permit computational coupling between a MEMS device and its package. High spatial- and temporal-resolution optical diagnostics are now producing detailed data that will challenge design and simulation software for MEMS and microsystems. Near and far term prospects for the CAD of MEMS and microsystems are projected. (Author)	Yes	English	\N	IAA199911	\N	Design, test, and microfabrication of MEMS and MOEMS; Proceedings of the Meeting, Paris, France, Mar. 30-Apr. 1, 1999. Pt. 1 (A99-42529 11-31), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3680), 1999, p. 20-29	Computer-Programming-and-Software
837	Phase diagram in asteroidal motion	\N	In order to study the dynamical behavior of asteroids in commensurability with a planet, we propose a phase diagram obtained by short computer time. We test this numerical procedure by analyzing the behavior of real and fictitious asteroids in first-order commensurabilities with Jupiter. We have also studied the evolution time of the orbital elements and other variables to compare these results with those obtained in the phase diagram. The results obtained with our numerical technique were compared to similar results previously obtained by other authors. (Author)	Yes	English	Earth,-Moon,-and-Planets	IAA199911	\N	\N	Astronomy-
866	A new improved flight control system for balloons at Esrange	\N	The Flight Safety Section at Esrange has developed a new FCS for balloons. The system is separated in two parts. One handles data reception, calculations, and numerical presentation, and the other carries out trajectory presentation on digital maps with population density included. The following options are included in the system: predictions of balloon trajectories; real-time tracking of balloons; real-time calculations of impact points; playbacks from stored data; reports from stored data; and real-time presentation of trajectories on digital maps. Population density input data are received from the Esrange radar, DLR radar, GPS system, and Vaisala Digicora System. The system gives improved support for safety judgments and gives the Safety Officer the flexibility to handle different tracking systems and up to five different flying objects. (Author)	Yes	English	\N	IAA199911	\N	International Symposium on Space Technology and Science, 21st, Omiya, Japan, May 24-31, 1998, Proceedings. Vol. 2 (A99-41650 11-12), Tokyo, 21st ISTS Publications Committee, 1998, p. 1604-1606	Aeronautics,-General
917	Automatic code generation applied to Airborne Laser	\N	In the Airborne Laser program, a portion of the Fire Control ground and flight code is being automatically generated from a Matlab, Simulink simulation environment. In this paper, the Fire Control process is briefly described, and the ABL Fire Control simulation is described. The Matlab Code Gen tool for automatically generating C code from the Simulink simulation is described. A set of the Fire Control algorithms was selected to be developed using the Code Gen approach. The software standards for Code Gen developed code are described, and the software metrics status is provided. (Author)	Yes	English	\N	IAA199911	Airborne laser advanced technology II; Proceedings of the Conference, Orlando, FL, Apr. 5-7, 1999 (A99-40457 11-36), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3706), 1999, p. 296-301	Airborne laser advanced technology II; Proceedings of the Conference, Orlando, FL, Apr. 5-7, 1999 (A99-40457 11-36), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3706), 1999, p. 296-301	Computer-Programming-and-Software
995	Crack growth detection and monitoring using broadband acoustic emission techniques	\N	This paper will provide an overview of an approach that will autonomously detect and monitor crack growth in aircraft structure. Present day computer technologies make it possible to put a small computer and sensor system on an aircraft to monitor structural health at locations that are difficult and costly to inspect through more traditional techniques. The health of the monitored locations can be determined by the end user through normal operations (Standard Flight Data Recorder download), thereby providing a significant reduction in scheduled maintenance requirements. All types of aircraft suffer from structural cracking. Even though the location of the crack can often be predicted, the inspections required are costly, often requiring significant structural disassembly. Sometimes there is an unacceptable level of uncertainty in NDI results, leading to more frequent inspections and even greater costs due to prematurely replaced structure. Broadband Acoustic Emission (BAE) systems have demonstrated the capability to detect crack growth in structure. Such a system can autonomously monitor aircraft structure during operation and provide information necessary to detect crack growth, determine the source location and monitor crack growth without disassembly. This paper will present an overview of the BAE approach to crack monitoring. Results from proof-of-concept testing will be included with comparisons to BAE waveform analysis results. Conclusions, system requirements and a preliminary design of the electronics and software necessary for an aircraft crack monitoring flight, system will also be presented. (Author)	Yes	English	\N	IAA199910	\N	Nondestructive evaluation of aging aircraft, airports, and aerospace hardware III; Proceedings of the Meeting, Newport Beach, CA, Mar. 3-5, 1999 (A99-38486 10-38), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3586), 1999, p. 33-40	Quality-Assurance-and-Reliability
1018	State space approach to control design under partial statistical information for exogenous signals	\N	We consider a class of control design problems for discrete linear time invariant systems where the statistical information available on the exogenous signals is incomplete. The control objective is to minimize the worst-case variance of the regulated output over the class of all exogenous signals that meet the available prior statistical information. State-space necessary and sufficient conditions for analysis and control design are presented using linear matrix inequalities and bilinear matrix inequalities. These results, which provide a state-space treatment of some of the results presented by Gusev (1994), can also be viewed from a theoretical perspective as a bridge between the H-2 and H-infinity design methodologies. For clarity of exposition and a more transparent signal theoretic interpretation, only the SISO case is treated here. (Author)	Yes	English	\N	IAA199914	IEEE Conference on Decision and Control, 37th, Tampa, FL, Dec. 16-18, 1998, Proceedings. Vol. 2 (A99-47901 14-63), Piscataway, NJ, Institute of Electrical and Electronic Engineers, Inc., 1998, p. 1315-1320	IEEE Conference on Decision and Control, 37th, Tampa, FL, Dec. 16-18, 1998, Proceedings. Vol. 2 (A99-47901 14-63), Piscataway, NJ, Institute of Electrical and Electronic Engineers, Inc., 1998, p. 1315-1320	63-Cybernetics
1023	Automatic correction of distorted aerial images and extraction of multiangular information	\N	The extraction of multiangular information can be used in the field of inversion and ground target classification. A method has been developed to correct distorted images based on obtaining registered data. We designed a series of steps to extract enough registration control point pairs. The distribution of control point pairs is homogeneous for the mapping function. Based on gray-valued corner detection, the points of interest can be extracted automatically; then the points are matched. The technology of local surface spline fitting is used to correct distorted images. We use Advanced Solid-State Array Spectroradiometer airborne simulated imagery, POLDER airborne simulated images, and the wide-angle airborne images of IRSA, CAS. The results show that the distorted images can be corrected antomatically with high accuracy. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 4 (A99-47701 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 2047-2049	63-Cybernetics
1025	Directional noise removal from aerial imagery using wavelet X-ray transform	\N	Oceanographic studies of large bodies of water usually require remotely acquired aerial imagery as the primary data source for analyses of sea bed depth, ocean current, etc. Removal of ocean wave clutters from these images is an important preprocessing step for accurate assessment of the oceanographic information. The objective of this paper is to make use of the wavelet-Radon (X-ray) transform for directional denoising along the propagation direction of ocean waves. Image pixels are projected to the direction of wave propagation, to be denoised using wavelet thresholding techniques. As expected, our experiments show that one can remove some amount of wave clutter with the least background distortion when the rotational transform is along the direction of ocean wave propagation. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 4 (A99-47701 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 2038-2040	48-Oceanography
1039	Verification of the potential of various remote sensing data sources for forest inventory	\N	Due to recent advances in airborne instruments and spaceborne missions, advances in SAR technology (interferometry and coherence estimation), the explanatory power and information contents of several remote sensing data sources on the retrieval of stem volume are considered. Data included Landsat TM, SPOT Pan and XS, ERS-1/2 PRI and SLC (coherence estimation), airborne data from the imaging spectrometer AISA, radar-derived forest canopy profiles obtained with HUTSCAT, and aerial photographs. Ground truth data included two sets: traditional forest inventory data and field checking. Multivariate methods were applied in the data analysis. The results suggested that (1) ERS-1/2 coherence images were of comparable accuracy with SPOT XS and Landsat TM (without stratification by species), and the usability of ERS and JERS backscatter information, even by using multitemporal images, was very limited; (2) combined use of ranging radar and aerial photograph/imaging spectrometer are suggested for further studies concerning standwise forest inventory, and the combined use of ERS coherence with optical, preferably very-high-resolution, satellite data is recommended for further studies concerning large-area forest inventory. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 4 (A99-47701 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1812-1814	43-Earth-Resources
1052	Real-time blocking artifact reduction system based on spatially adaptive image restoration	\N	This paper proposes an algorithm which removes blocking artifacts in DCT-based images and can be implemented in DSP chip. In general, the lowpass filter is used to remove blocking artifacts. However, this filter has the disadvantage of removing the information in the high frequency region, and then degrades the quality of images. Conventional approaches of image restoration improve the quality of images, but have too much computation to be proper for the real-time process. The CLS (constrained least square) filter is one of the conventional approaches of image restoration. This filter is not suitable for the real-time process. Therefore, this paper modifies the CLS filter in the FIR filter form. To achieve a good quality of images, blocks are classified by the characteristics of the blocks and then are filtered. The proposed algorithm removes blocking artifacts of JPEG, MPEG, H.261 and H.263, etc. (Author)	Yes	English	\N	IAA199914	\N	Applications of digital image processing XXI; Proceedings of the Meeting, San Diego, CA, July 21-24, 1998 (A99-47642 14-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3460), 1998, p. 577-586	63-Cybernetics
1059	Analysis of forest regions by SAR and optical images	\N	This paper discusses the development of automatic analysis techniques for forest regions using radar and optical orbital instruments. Input data were the images of Altai regions obtained with RESURS-01 MSU-E, RESURS-F1M, SIR-C/L-SAR (total power, HH, HV, VV), and NOAA-AVHRR radiometer data. The resolution of SAR images was around 25 m/pixel. The textural and polarization properties of SAR images were used as additional information. The results were supplemented by classification of MSU-E and RESURS-F1M images by synchronous ground measurements. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 3 (A99-47461 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1723-1725	43-Earth-Resources
1096	Polaron coupling for sulphur impurity in GaSb	\N	We present a detailed far-IR absorption study of the intracenter 1s-2p shallow donor transition in GaSb:S in high magnetic fields. From this study, information about the binding energy, polaron coupling strength and metastable transition mechanism could be obtained. (Author)	Yes	English	Materials-Science-Forum	IAA199914	Defects in semiconductors: ICDS-19; Proceedings of the 19th International Conference on Defects in Semiconductors, Aveiro, Portugal, July 1997. Pt. 2. A1999-47269 14-76, Materials Science Forum (0255-5476), vols. 258-263, pt. 2, 1997, p. 1241-1246	\N	76-Solid-State-Physics
1100	Study of iron-related defects in Si-InP by positron annihilation spectroscopy	\N	Positron lifetime technique has been used to obtain information about the interaction between Fe and In-vacancy V(In) type defects created after irradiation with thermal neutrons in Si-InP. It has been observed that In-vacancies induced by irradiation are able to trap positrons (tau = 300 ps). From the results in the as-irradiated Si-InP samples, it is inferred that iron originates V(In)-Fe complexes (x = 340 ps). The temperature dependence of the lifetime parameters in the range 15-297 K can be interpreted as evidence for a neutral charge state associated with these complexes. (Author)	Yes	English	Materials-Science-Forum	IAA199914	Defects in semiconductors: ICDS-19; Proceedings of the 19th International Conference on Defects in Semiconductors, Aveiro, Portugal, July 1997. Pt. 2. A1999-47269 14-76, Materials Science Forum (0255-5476), vols. 258-263, pt. 2, 1997, p. 819-823	\N	76-Solid-State-Physics
1114	A remote sensing analysis of vector abundance and malaria risk associated with selected villages in southern Belize, Central America	\N	We report on an integrated methodology of remote sensing and geographic information systems (GIS) to assess the risk of malaria transmission in the villages of southern Belize. Studies were initiated in 1990 that characterized the environmental requirements of the important Anopheles mosquitoes in Belize. A data set of environmental criteria was compiled to assess relative risk for the villages. Risk was defined as the presence and abundance of vector mosquitoes for malaria transmission based on environmental criteria. An integrated GIS was employed for differentiating villages of high and low risk. The villages were ranked according to several factors, e.g., elevation, distance to major rivers or streams, and landuse. The predictions included the identification of the 10 highest and the 10 lowest `villages of risk`. A field survey team was then employed to test the presence/abundance of the three important vector species in each of the 20 villages. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1053, 1054	Earth-Resources
1124	Mesoscale oceanic and atmospheric feature detection through fusion of RADARSAT SAR with GOES/Imager data	\N	SAR data from the Canadian RADARSAT satellite, along with IR and visible data from operational weather satellites, is being collected over the ocean off the U.S. East Coast, Gulf of Mexico, Gulf of Alaska, and Bering Sea coasts. Mesoscale features observed in the SAR data are identified using coincident Geostationary Operational Environment Satellite (GOES) data to decide whether the signature is atmospheric or oceanic in origin. Combining the two data sources allows information in the Marine Atmospheric Boundary Layer (MABL) to be observed. This technique of feature detection using multiple data sets is referred to as data fusion. This paper focuses on a single storm event that is imaged by RADARSAT SAR in the Bering Sea on February 5, 1998, at 06:00 UTM. From the fusion of SAR and GOES data, frontal boundaries can be deciphered. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 907-909	Geosciences,-General
1131	Remote sensing and GIS investigations of Bartonellosis in Peru	\N	As part of a larger on-going investigation to study the disease Bartonellosis, remote sensing images are being used to map the study area and to help determine environmental factors that may influence the abundance of sand flies, the insect thought to be the vector of the disease. A plot of positive patient houses on a Landsat image shows that most of the cases occur in the agricultural areas and few cases occur in towns. The disease does not occur more frequently near rivers. One of the classes produced from an unsupervised classification of a Landsat image occurs frequently with positive houses and infrequently with negative houses. Additional positive and negative houses are needed to confirm this result, and future studies will attempt to determine what environmental factors are represented by the class and how these factors might relate to sand fly distribution. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 816-818	Earth-Resources
1160	The seasonal to interannual Earth science information partner - A distributed data and information broker	\N	A consortium of three main sites consisting of the Center for Earth Observing and Space Research (CEOSR) at George Mason University (GMU), the Center for Ocean-Land-Atmosphere Studies (COLA), and the NASA Goddard Space Flight Center Distributed Active Archive Center (GDAAC) has been formed. This consortium was recently funded by NASA`s Earth Science Information Partner program to provide data and information products serving the needs of seasonal to interannual (S-I) scientists and other related science communities. Specifically, CEOSR will provide information technology and a distributed system architecture as well as specific data products to be accessed by the scientific communities, COLA will provide scientific direction and a widely-used tool in the S-I research communities, and GDAAC will provide data management and archiving. Along with several other contributors, our consortium will create an interdisciplinary source of data for S-I researchers to expand the usage and usefulness of NASA data and serve as broker on behalf of the S-I researchers by providing them enhanced access to NASA`s data. Metadata and summary statistics will be extracted and stored in data bases at distributed nodes, while the data will be stored on an advanced array of disks. The consortium will be responsive to the changing needs of its science users as well as in tune with significant information technology advances. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 1 (A99-46576 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 303-306	Documentation-and-Information-Science
1188	A study on the ANN learning algorithm using the offset control parameter	\N	We propose a new model of neural networks that can control and produce the offset patterns of the input layer, the hidden layer, and the output layer neurons. It consists of the input layer for the signal patterns, the hidden layer for the offset patterns production, and memory part between the hidden layer and the output layer. The output of neurons is calculated by the offsets control parameter R(oft). The input layer calculates the input patterns to be learned so that the proposed neural network can control and produce the offset patterns, and sends the results to the next layer. The hidden layer produces the offset patterns after receiving the pattern information from the input layer, and it sends the output information of the hidden layer to the memory part. The memory part stores the learned output patterns of the hidden layer after comparing it with the input pattern, and sends the stored information to the output layer after the entire learning. Simulation results show that the proposed neural network can produce the offset patterns, and it can be efficiently applied in the logic circuit design and pattern classification. (Author)	Yes	English	\N	IAA199913	\N	Applications and science of computational intelligence; Proceedings of the Meeting, Orlando, FL, Apr. 13-16, 1998 (A99-46424 13-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3390), 1998, p. 655-663	Cybernetics-
1191	Physio-associative temporal sensor integration	\N	The paper describes a physio-associative temporal sensor integration algorithm which is motivated by the observed function of the thalamus and utilizes signals theory mathematics to model how a human efficiently perceives information in the environment. The algorithm is consistent with that of an aircraft pilot, namely, to estimate, filter, and predict sensed efferent signals and produce efferent controls under dynamic flight conditions. Dynamic sensor integration under uncertainty requires feature selection which can be formulated as an associative-learning problem in which sensed states are represented as current situational beliefs, and the information either excites or inhibits long-term memory associations. The objective of the learner/observer is to abstract salient signals from the environment, integrate the signal for real-time beliefs, and compare beliefs to learned associations. Biologically, the paper models these processes from the biological systems of the eye, thalamus, and association-cortex, respectively. By selecting the optimal set of mutually nonexclusive sensors and comparing the integrated signal to learned associations, the physio-associative temporal algorithm maximizes the identification of targets in a simulated dynamic flight situation. (Author)	Yes	English	\N	IAA199913	\N	Applications and science of computational intelligence; Proceedings of the Meeting, Orlando, FL, Apr. 13-16, 1998 (A99-46424 13-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3390), 1998, p. 440-450	Cybernetics-
1204	Kolmogorov epsilon entropy of reaction-diffusion system attractors (Kolmogorovskaya epsilon-ehntropiya attraktorov sistem reaktsii-diffuzii)	\N	A study is made of the Kolmogorov epsilon entropy of the uniform attractor of a system of nonautonomous reaction-diffusion equations with a time dependent external force. The epsilon entropy of the attractor is estimated. The discussion is illustrated by several examples from various fields of mathematical physics and information theory. (AIAA)	Yes	Russian	Matematicheskij-Sbornik	IAA199913	\N	\N	Numerical-Analysis
1233	Formation of specimen gratings for moire interferometry applications	\N	Specimen gratings are the key factor in determining the success of moire experiments, in virtue of determining the quality of the fringe pattern on which the accuracy of displacement information depends. Practical techniques for the production of specimen gratings are presented, and potential applications are surveyed. (AIAA)	Yes	English	Experimental-Techniques	IAA199912	\N	\N	Instrumentation-and-Photography
1255	Microlaser-based threedimensional display	\N	3D displays are critical for viewing complex multidimensional information and for viewing representations of the real world. A feasibility demonstration of a directly-viewed 3D volumetric display has been completed; this system uses red, green, and blue (RGB) diode-pumped solid state microlaser display technology as a high resolution, high brightness display engine. A unique technology for viewing high-resolution 3D volumetric images without external viewing aids (eye wear) is also part of the system. When coupled with the display engine, the resulting all-solid state 3D display presents a physical three-dimensionality which is directly viewable from all angles by multiple viewers without additional viewing equipment (and associated eye wear). This volumetric display will enable applications such as the `virtual sandbox`, visualization of radar and sonar data, air traffic control, remote surgery and diagnostics, and CAD workstations. (Author)	Yes	English	\N	IAA199912	\N	Cockpit displays VI: Displays for defense applications; Proceedings of the Meeting, Orlando, FL, Apr. 7-9, 1999 (A99-45176 12-31), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3690), 1999, p. 166-172	Engineering,-General
1339	Lanthanum-substituted bismuth titanate for use in non-volatile memories	\N	Nonvolatile memory devices are so named because they retain information when power is interrupted; thus they are important computer components. In this context, there has been considerable recent interest in developing nonvolatile memories that use ferroelectric thin films - `ferroelectric random access memories` (FRAMs) - in which information is stored in the polarization state of the ferroelectric material. To realize a practical FRAM, the thin films should satisfy the following criteria: compatibility with existing dynamic RAM technologies, large remnant polarization (P(r)) and reliable polarization-cycling characteristics. Early work focused on PZT but, when films of this material were grown on metal electrodes, they generally suffered from a reduction of P(r) (`fatigue`) with polarity switching. Strontium bismuth tantalate (SBT) and related oxides have been proposed to overcome the fatigue problem, but such materials have other shortcomings, such as a high deposition temperature. Here we show that lanthanum-substituted bismuth titanate thin films provide a promising alternative for FRAM applications. The films are fatigue-free on metal electrodes, they can be deposited at temperatures of 650 C, and their values of P(r) are larger than those of the SBT films. (Author)	Yes	English	Nature-	IAA199912	\N	\N	Solid-State-Physics
1364	Monitoring system of radiation conditions in the Earth`s magnetosphere aboard Russian communication, navigation, and television satellites (Sistema monitoringa radiatsionnykh uslovij v magnitosfere Zemli na rossijskikh kosmicheskikh apparatakh svyazi, navigatsii i televideniya)	\N	First results of a program of radiation environment monitoring in the Earth`s magnetosphere throughout the period 1992-1996 are presented. The observations were performed aboard Russian communication, navigation, and television satellites of Glonass, Gorizont, Express, and Gals series designed in the Research and Production Association (RPA) Applied Mechanics in Krasnoyarsk. The performance data of the patrol service instrumentation CDM DIERA are given. These instruments for control of main radiation types in the Earth`s magnetosphere, mounted aboard the satellites, were designed at the Skobel`tsyn Research Institute of Nuclear Physics to measure the fluxes of hot plasma particles (1 keV), electrons (40-5000 keV), and protons (0.1-100 MeV). The information system of data transmission, processing, and storage is described. Homogenous data sets of electron fluxes measured during the considered period aboard the Glonass satellite (circular orbit with an altitude of 20,000 km and an inclination of 65 deg) and the Gorizont, Express, and Gals satellites (geostationary orbit at an altitude 36,600 km) are analyzed. The obtained distributions are compared with model calculations. We conclude that it is a necessity to develop new dynamic models for the outer radiation belt and its boundary regions. (Author)	Yes	Russian	Kosmicheskie-Issledovaniya	IAA199912	\N	\N	Space-Radiation
1384	A radar power multiplier algorithm for acquisition of low observable ballistic missiles using an ESA radar (Electronically Scanned Array)	\N	The problem of acquiring an incoming theater ballistic missile (TBM) presents many complex challenges. The missile should be detected and its state estimated within a short window of time because the flight time is short. In this paper the acquisition of an incoming missile using the measurements from a surface based Electronically Scanned Array (ESA) radar is presented. We present a batch Maximum Likelihood Estimator (MLE) to acquire the missile while it is exoatmospheric. The estimator, which combines MLE with the Probabilistic Data Association (PDA) algorithm to handle false alarms/clutter, also uses the amplitude information (signal strength). This facilitates target acquisition under low SNR conditions. The Cramer-Rao Lower Bound quantifying attainable estimate accuracies is also presented and shown to be achieved by the proposed estimator. It is also shown that the optimum detection threshold can be found by maximizing the information reduction factor that accounts for the loss of information. (Author)	Yes	English	\N	IAA199912	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 4 (A99-43371 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 351-369	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 4 (A99-43371 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 351-369	Communications-
1390	Measurement strategies for remote sensing applications	\N	Remote sensing has grown to encompass many instruments and observations, with concomitant data from a huge number of targets. As evidenced by the impressive growth in the number of published papers and presentations in this field, there is a great deal of interest in applying these capabilities. The true challenge is to transition from directly observed data sets to obtaining meaningful and robust information about remotely sensed targets. We use physics-based end-to-end modeling and analysis techniques as a framework for such a transition. Our technique starts with quantified observables and signatures of a target. The signatures are propagated through representative atmospheres to realistically modeled sensors. Simulated data are then propagated through analysis routines, yielding measurements that are directly compared to the original target attributes. We use this approach to develop measurement strategies that ensure that our efforts provide a balanced approach to obtaining substantive information on our targets. (Author)	Yes	English	\N	IAA199912	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 4 (A99-43371 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 105-112	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 4 (A99-43371 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 105-112	Instrumentation-and-Photography
1471	Implementing TCP extensions for error-prone satellite communications	\N	Increasing demands for global connectivity is causing an explosion in the satellite communications industry, including the increased use of LEO constellations. In the space research industry, the Mars Pathfinder, the International Space Station, and other recent missions, are demonstrating information transfer requirements between ground and space systems. This demand relates to Telemetry, Tracking and Control (TT&C) information as well as payload traffic. The ability to use a common suite of protocols, such as TCP/IP, would simplify future space system designs. However, TCP must be optimized for space environments to minimize impacts of propagation delays and packet loss. One major consideration is the protocol`s reaction to packet loss in this environment. Terrestrial TCP links assume network congestion causes packet loss. Within a space or wireless environment, packet loss is more likely to be caused by error-induced corruption (due to noise on the communications channel). The Satellite Communications Protocol Standards-Transport Protocol (SCPS-TP) offers TCP enhancements that address corruption-induced losses. In both laboratory and satellite experiments, the SCPS-TP`s extensions have demonstrated significant improvements in throughput and link utilization over TCP. The more immediate need is to expand the SCPS protocol suite`s implementation base to support actual mission operating conditions. (Author)	Yes	English	AIAA-Space-Technology-Conference-and-Exposition,-Albuquerque,-NM,-Sept	IAA199911	AIAA Space Technology Conference & Exposition, Albuquerque, NM, Sept. 28-30, 1999	\N	Spacecraft-Communications,-Command-and-Tracking
\.


--
-- Data for Name: record; Type: TABLE DATA; Schema: public; Owner: -
--

COPY record (rid, availability, updatecode, numref, contractnum, issn, isbn, notes, subfile, source, series, accessionnum) FROM stdin;
70	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199909	13	\N	\N	\N	\N	AIAA	AIAA-Atmospheric-Flight-Mechanics-Conference-and-Exhibit-Portland-OR-Aug. 9-11-1999	\N	A1999-36944; Reference AN: A99-36944
90	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199908	6	\N	\N	\N	\N	AIAA	AIAA-Thermophysics-Conference-33rd-Norfolk-VA-June-28-July-1-1999	\N	A1999-33937; Reference AN: A99-33937
116	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199907	12	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3391	A1999-29124; Reference AN: A99-29124
125	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	14	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3375	A1999-27135; Reference AN: A99-27135
132	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	10	\N	\N	\N	\N	AIAA	\N	\N	A1999-26259; Reference AN: A99-26259
133	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-26258; Reference AN: A99-26258
138	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	6	MDA972-97-C-0014	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3387	A1999-25577; Reference AN: A99-25577
169	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199905	24	\N	0010-2180	\N	\N	AIAA	Combustion-and-Flame. 1999 January; vol. 116, nos. 1-2: 49-61	\N	A1999-22213; Reference AN: A99-22213
170	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199905	7	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3351	A1999-22089; Reference AN: A99-22089
214	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-17905; Reference AN: A99-17905
231	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	8	\N	\N	\N	\N	AIAA	\N	\N	A1999-17889; Reference AN: A99-17889
234	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	10	\N	\N	\N	\N	AIAA	\N	\N	A1999-17886; Reference AN: A99-17886
243	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	33	\N	\N	\N	\N	AIAA	\N	\N	A1999-17877; Reference AN: A99-17877
301	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	19	NOAA-NA-470Z0185	0099-1112	\N	\N	AIAA	PEandRS---Photogrammetric-Engineering-and-Remote-Sensing. 1998 October; vol. 64, no. 10: 1015-1020	\N	A1999-12990; Reference AN: A99-12990
340	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990032330. The-1998-NASA-Aerospace-Battery-Workshop.	\N	N1999-17288; Reference AN: N99-17288
431	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990017813.	\N	N1999-12630; Reference AN: N99-12630
445	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990009514.	\N	N1999-12014; Reference AN: N99-12014
446	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990009502.	\N	N1999-12002; Reference AN: N99-12002
461	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	NAG5-3069	\N	\N	\N	NASA	NASA-no. 19990007760.	\N	N1999-11044; Reference AN: N99-11044
494	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199811	5	\N	\N	\N	\N	AIAA	\N	Advances-in-the-Astronautical-Sciences; Vol.-98	A1998-42528; Reference AN: A98-42528
516	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	13	\N	\N	\N	\N	AIAA	\N	\N	A1999-47991; Reference AN: A99-47991
541	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	2	\N	\N	\N	\N	AIAA	\N	\N	A1999-47631; Reference AN: A99-47631
594	Aeroplus Dispatch	199912	7	\N	\N	\N	\N	AIAA	AIAA-and-SAE-1999-World-Aviation-Conference-San-Francisco-CA-Oct. 19-21-1999	\N	A1999-45958; Reference AN: A99-45958
618	Aeroplus Dispatch	199912	4	\N	\N	\N	\N	AIAA	AIAA-Weakly-Ionized-Gases-Workshop-3rd-Norfolk-VA-Nov. 1-5-1999	\N	A1999-45550; Reference AN: A99-45550
633	Aeroplus Dispatch	199912	14	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3690	A1999-45206; Reference AN: A99-45206
649	Aeroplus Dispatch	199912	23	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44962; Reference AN: A99-44962
659	Aeroplus Dispatch	199912	15	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44939; Reference AN: A99-44939
693	Aeroplus Dispatch	199912	3	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44386; Reference AN: A99-44386
698	Aeroplus Dispatch	199912	19	\N	0028-0836	\N	\N	AIAA	Nature. 1999 October; vol. 401, no. 6754: 682-684	\N	A1999-44341; Reference AN: A99-44341
701	Aeroplus Dispatch	199912	4	ESA-11100/94/NL/FG	\N	\N	\N	AIAA	\N	\N	A1999-44208; Reference AN: A99-44208
719	Aeroplus Dispatch	199912	2	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3793	A1999-43504; Reference AN: A99-43504
726	Aeroplus Dispatch	199912	21	\N	\N	\N	\N	AIAA	\N	\N	A1999-43421; Reference AN: A99-43421
796	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	11	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3680	A1999-42569; Reference AN: A99-42569
800	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	6	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3680	A1999-42564; Reference AN: A99-42564
819	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	12	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3680	A1999-42532; Reference AN: A99-42532
837	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	24	\N	0167-9295	\N	\N	AIAA	Earth,-Moon,-and-Planets. 1999; vol. 77, no. 2: 73-81	\N	A1999-42340; Reference AN: A99-42340
866	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	\N	\N	\N	\N	\N	AIAA	\N	\N	A1999-41733; Reference AN: A99-41733
917	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	\N	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3706	A1999-40488; Reference AN: A99-40488
995	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199910	6	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3586	A1999-38490; Reference AN: A99-38490
1018	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	11	\N	\N	\N	\N	AIAA	\N	\N	A1999-47912; Reference AN: A99-47912
1023	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-47804; Reference AN: A99-47804
1025	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-47801; Reference AN: A99-47801
1039	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-47728; Reference AN: A99-47728
1052	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	12	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3460	A1999-47681; Reference AN: A99-47681
1059	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	2	\N	\N	\N	\N	AIAA	\N	\N	A1999-47631; Reference AN: A99-47631
1096	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	17	\N	0255-5476	\N	\N	AIAA	Materials-Science-Forum. 1997; vols. 258-263, pt. 2: 1241-1246	\N	A1999-47356; Reference AN: A99-47356
1100	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	9	\N	0255-5476	\N	\N	AIAA	Materials-Science-Forum. 1997; vols. 258-263, pt. 2: 819-823	\N	A1999-47293; Reference AN: A99-47293
1114	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-46913; Reference AN: A99-46913
1124	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	8	\N	\N	\N	\N	AIAA	\N	\N	A1999-46866; Reference AN: A99-46866
1131	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-46839; Reference AN: A99-46839
1160	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	\N	\N	\N	\N	\N	AIAA	\N	\N	A1999-46677; Reference AN: A99-46677
1188	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	6	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3390	A1999-46474; Reference AN: A99-46474
1191	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	15	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3390	A1999-46456; Reference AN: A99-46456
1204	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	23	\N	0368-8666	\N	\N	AIAA	Matematicheskij-Sbornik. 1998 February; vol. 189, no. 2: 81-110	\N	A1999-46119; Reference AN: A99-46119
1233	Aeroplus Dispatch	199912	11	\N	0732-8818	\N	\N	AIAA	Experimental-Techniques. 1999 October; vol. 23, no. 5: 28-32	\N	A1999-45715; Reference AN: A99-45715
1255	Aeroplus Dispatch	199912	2	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3690	A1999-45194; Reference AN: A99-45194
1339	Aeroplus Dispatch	199912	19	\N	0028-0836	\N	\N	AIAA	Nature. 1999 October; vol. 401, no. 6754: 682-684	\N	A1999-44341; Reference AN: A99-44341
1364	Aeroplus Dispatch	199912	21	\N	0023-4206	\N	\N	AIAA	Kosmicheskie-Issledovaniya. 1999 June; vol. 37, no. 3: 245-255	\N	A1999-43753; Reference AN: A99-43753
1384	Aeroplus Dispatch	199912	22	N00014-91-J-1450; N00014-97-1-0502; F49620-97-1-0198	\N	\N	\N	AIAA	\N	\N	A1999-43401; Reference AN: A99-43401
1390	Aeroplus Dispatch	199912	41	\N	\N	\N	\N	AIAA	\N	\N	A1999-43382; Reference AN: A99-43382
1471	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	13	\N	\N	\N	\N	AIAA	AIAA-Space-Technology-Conference-and-Exposition-Albuquerque-NM-Sept. 28-30-1999	\N	A1999-42118; Reference AN: A99-42118
\.


--
-- Data for Name: recorded; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recorded (pid, rid, recordtype) FROM stdin;
116	116	Analytic-of-Proceedings
125	125	Analytic-of-Proceedings
132	132	Analytic-of-Proceedings
133	133	Analytic-of-Proceedings
138	138	Analytic-of-Proceedings
516	516	Analytic-of-Proceedings
541	541	Analytic-of-Proceedings
633	633	Analytic-of-Proceedings
701	701	Analytic-of-Proceedings
719	719	Analytic-of-Proceedings
726	726	Analytic-of-Proceedings
796	796	Analytic-of-Proceedings
800	800	Analytic-of-Proceedings
819	819	Analytic-of-Proceedings
866	866	Analytic-of-Proceedings
917	917	Analytic-of-Proceedings
995	995	Analytic-of-Proceedings
1018	1018	Analytic-of-Proceedings
1023	1023	Analytic-of-Proceedings
1025	1025	Analytic-of-Proceedings
1039	1039	Analytic-of-Proceedings
1052	1052	Analytic-of-Proceedings
1059	1059	Analytic-of-Proceedings
1114	1114	Analytic-of-Proceedings
1124	1124	Analytic-of-Proceedings
1131	1131	Analytic-of-Proceedings
1160	1160	Analytic-of-Proceedings
1188	1188	Analytic-of-Proceedings
1191	1191	Analytic-of-Proceedings
1255	1255	Analytic-of-Proceedings
1384	1384	Analytic-of-Proceedings
1390	1390	Analytic-of-Proceedings
340	340	CONFERENCE-PAPER
431	431	CONFERENCE-PAPER
445	445	CONFERENCE-PAPER
446	446	CONFERENCE-PAPER
170	170	CONFERENCE-VOLUME-ANALYTIC
214	214	CONFERENCE-VOLUME-ANALYTIC
231	231	CONFERENCE-VOLUME-ANALYTIC
234	234	CONFERENCE-VOLUME-ANALYTIC
243	243	CONFERENCE-VOLUME-ANALYTIC
494	494	CONFERENCE-VOLUME-ANALYTIC
698	698	Journal-Article
837	837	Journal-Article
1096	1096	Journal-Article
1100	1100	Journal-Article
1204	1204	Journal-Article
1233	1233	Journal-Article
1339	1339	Journal-Article
1364	1364	Journal-Article
169	169	JOURNAL-ARTICLE 
301	301	JOURNAL-ARTICLE
70	70	Meeting-Paper
90	90	Meeting-Paper
594	594	Meeting-Paper
618	618	Meeting-Paper
649	649	Meeting-Paper
659	659	Meeting-Paper
693	693	Meeting-Paper
1471	1471	Meeting-Paper
461	461	REPORT
\.


--
-- Data for Name: written; Type: TABLE DATA; Schema: public; Owner: -
--

COPY written (aid, pid, pubyear, publisher) FROM stdin;
197	70	1999	null
250	90	1999	null
360	125	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
390	231	1997	American Institute of Aeronautics and Astronautics, Reston, VA
390	234	1997	American Institute of Aeronautics and Astronautics, Reston, VA
390	243	1997	American Institute of Aeronautics and Astronautics, Reston, VA
390	132	1998	John Wiley and Sons, Chichester, United Kingdom
391	133	1998	John Wiley and Sons, Chichester, United Kingdom
402	138	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
506	170	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
597	214	1997	American Institute of Aeronautics and Astronautics, Reston, VA
653	243	1997	American Institute of Aeronautics and Astronautics, Reston, VA
659	243	1997	American Institute of Aeronautics and Astronautics, Reston, VA
659	169	1999	null
823	301	1998	null
902	340	1999	null
1116	431	1998	null
1137	445	1998	null
1141	446	1998	null
1161	461	1998	null
1254	494	1998	Univelt, Inc., San Diego, CA
1315	516	1998	Institute of Electrical and Electronic Engineers, Inc., Piscataway, NJ
1381	541	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1381	1059	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1544	594	1999	null
1612	618	1999	null
1664	633	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
1664	1255	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
1707	649	1999	null
1740	1023	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1740	1124	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1740	659	1999	null
1845	693	1999	null
1853	116	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
1853	1052	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
1853	698	1999	null
1853	1339	1999	null
1861	701	1999	European Space Agency, Noordwijk, Netherlands
1919	719	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
1938	726	1999	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2143	796	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2143	800	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2224	819	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2261	837	1999	null
2348	866	1998	21st ISTS Publications Committee, Tokyo
2505	917	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2708	995	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2792	1018	1998	Institute of Electrical and Electronic Engineers, Inc., Piscataway, NJ
2814	1025	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2854	1039	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3015	1096	1997	null
3035	1100	1997	null
3079	1114	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3079	1131	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3224	1160	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3295	1188	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
3304	1191	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
3346	1204	1998	null
3424	1233	1999	null
3800	1364	1999	null
3858	1384	1999	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3877	1390	1999	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
4135	1471	1999	null
\.


--
-- Name: author_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_name_key UNIQUE (name);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (aid);


--
-- Name: described_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_pkey PRIMARY KEY (pid, did);


--
-- Name: descriptor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY descriptor
    ADD CONSTRAINT descriptor_pkey PRIMARY KEY (did);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (lid);


--
-- Name: publication_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY publication
    ADD CONSTRAINT publication_pkey PRIMARY KEY (pid);


--
-- Name: record_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY record
    ADD CONSTRAINT record_pkey PRIMARY KEY (rid);


--
-- Name: recorded_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_pkey PRIMARY KEY (pid, rid);


--
-- Name: written_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_pkey PRIMARY KEY (pid, aid);


--
-- Name: described_did_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_did_fkey FOREIGN KEY (did) REFERENCES descriptor(did);


--
-- Name: described_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: located_lid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT located_lid_fkey FOREIGN KEY (lid) REFERENCES location(lid);


--
-- Name: located_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT located_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: recorded_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: recorded_rid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_rid_fkey FOREIGN KEY (rid) REFERENCES record(rid);


--
-- Name: written_aid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_aid_fkey FOREIGN KEY (aid) REFERENCES author(aid);


--
-- Name: written_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- PostgreSQL database dump complete
--

