--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE amalgam_s4_b;
--
-- Name: amalgam_s4_b; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE amalgam_s4_b WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


\connect amalgam_s4_b

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: author; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE author (
    aid integer NOT NULL,
    name text NOT NULL,
    affiliations text
);


--
-- Name: described; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE described (
    pid integer NOT NULL,
    did integer NOT NULL
);


--
-- Name: descriptor; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE descriptor (
    did integer NOT NULL,
    descriptor text NOT NULL
);


--
-- Name: located; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE located (
    pid integer NOT NULL,
    lid integer NOT NULL
);


--
-- Name: location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE location (
    lid integer NOT NULL,
    countrypub text NOT NULL,
    countryorigin text NOT NULL
);


--
-- Name: publication; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE publication (
    pid integer NOT NULL,
    title text NOT NULL,
    titleext text,
    abstract text NOT NULL,
    abstractind text NOT NULL,
    language text NOT NULL,
    journal text,
    journalann text,
    confinfo text,
    book text,
    category text NOT NULL
);


--
-- Name: record; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE record (
    rid integer NOT NULL,
    availability text NOT NULL,
    updatecode text NOT NULL,
    numref text,
    contractnum text,
    issn text,
    isbn text,
    notes text,
    subfile text NOT NULL,
    source text,
    series text,
    accessionnum text NOT NULL
);


--
-- Name: recorded; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recorded (
    pid integer NOT NULL,
    rid integer NOT NULL,
    recordtype text
);


--
-- Name: written; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE written (
    aid integer NOT NULL,
    pid integer NOT NULL,
    pubyear text NOT NULL,
    publisher text
);


--
-- Data for Name: author; Type: TABLE DATA; Schema: public; Owner: -
--

COPY author (aid, name, affiliations) FROM stdin;
49	Zhang-Wen-Qi	CASC, 4th Academy, Xian, China
149	Cooke-W-F	CNRS, Centre des Faibles Radioactivites, Gif-sur-Yvette, France
187	Bromage-B-J-I	Central Lancashire, Univ., Preston, United Kingdom
199	Papelis-Yiannis	Iowa, Univ., Iowa City
366	Chevreton-M	Meudon, Observatoire, France
380	Slob-Siefko	Royal Museum for Central Africa, Tervuren, Belgium
412	Croce-F	VITROCISET S.p.A., Rome, Italy
422	Su-P	Computer Sciences Corp., Hampton, VA
542	Tsikalas-Filippos	Oslo, Univ., Norway
557	Walpot-L	ESTEC, Noordwijk, Netherlands
582	Prabhu-Dinesh	Thermosciences Inst., Sunnyvale, CA
719	Longo-V	CAE Electronics, Ltd., St.-Laurent, Canada
764	Hammer-Matthias	Daimler-Benz Aerospace AG, Munich, Germany
797	Seaquist-J-W	Lund Univ., Sweden
829	Chapman-Jim	Boeing Co., Mesa, AZ
917	Radford-O-K-EDS	null
935	Volkova-N-A	Department of Energy, Washington, DC United States
1126	Jacobs-Albert	Royal Netherlands Meteorological Inst., Applications and Modelling Div., De Bilt, Netherlands
1239	Vicroy-Dan-D	NASA, Langley Research Center, Hampton, VA
1277	Maia-M-A-G	Observatorio Nacional, Rio de Janeiro, Brazil
1417	Arnold-David-V	Brigham Young Univ., Provo, UT
1519	Gilliland-Ronald-L	Space Telescope Science Inst., Baltimore, MD
1525	Jennings-S	NRC of Canada, Ottawa
1734	Stokes-Hedley	DERA, Space Debris Group, Farnborough, United Kingdom
1771	Sarlo-L	Alenia Aerospazio, Div. Spazio, Turin, Italy
1789	Stragapede-A	Alenia Aerospazio, Turin, Italy
1815	Nakamura-Tai	Japan Manned Space Systems Corp., Tokyo
1990	Chadderdon-George	Orincon Corp., San Diego, CA
3713	Krischke-M	RapidEye AG, Germany
2470	Francis-Gregory	U.S. Army, Aeromedical Research Lab., Fort Rucker, AL
2512	Coy-Steve	MZA Associates Corp., Albuquerque, NM
2566	Sharpe-Lonnie-Jr	North Carolina A & T State Univ., Greensboro
2570	Chu-Patrick	Tanner Research, Inc., Pasadena, CA
2583	Hirata-R-Jr	Sao Paulo, Univ., Brazil
2631	Chen-Genshe	Braunschweig, Technische Univ., Germany
2692	Medasani-Swarup	Colorado School of Mines, Golden
2795	Pinty-Bernard	CEC, Joint Research Centre, Ispra, Italy
2836	Caves-R	Sheffield, Univ., United Kingdom
2912	Hesselmans-G-H-F-M	ARGOSS, Vollenhove, Netherlands
2935	Savorskij-V	Russian Academy of Sciences, Inst. of Radio Engineering and Electronics, Moscow, Russia
3080	Alonzo-Yvette	Ministry of Health, Belize
3449	Luo-Xiaobing	Old Dominion Univ., Norfolk, VA
3711	Tobias-A	ESTEC, Noordwijk, Netherlands
3780	Koskinen-Jarkko	Helsinki Univ. of Technology, Espoo, Finland
3798	Rysev-Yu-M	TsNII im. M.K. Tikhonravova, Yubilejnyj, Russia
4082	Gu-Guoxiang	Louisiana State Univ., Baton Rouge
4139	Gomez-Richard-B	ANSER, Arlington, VA
4148	Miller-David-W	MIT, Cambridge, MA
4225	Imagawa-K	NASDA, Tsukuba Space Center, Japan
4230	Maekawa-Y	Nihon Univ., Chiba, Japan
\.


--
-- Data for Name: described; Type: TABLE DATA; Schema: public; Owner: -
--

COPY described (pid, did) FROM stdin;
18	236
18	237
18	238
18	239
18	240
18	241
18	242
18	243
18	244
52	788
52	789
52	790
52	791
52	792
52	793
52	794
52	795
52	796
52	797
52	798
52	799
52	800
52	801
52	802
52	803
52	804
52	805
52	806
52	807
52	808
52	809
52	810
52	811
52	812
52	813
52	814
52	815
52	816
52	817
52	818
66	976
66	977
66	978
66	979
66	980
66	981
66	982
66	983
66	984
66	985
66	986
66	987
66	988
71	1047
71	1048
71	1049
71	1050
71	1051
71	1052
71	1053
71	1054
71	1055
71	1056
71	1057
71	1058
71	1059
127	1915
127	1916
127	1917
127	1918
127	1919
127	1920
127	1921
127	1922
127	1923
127	1924
127	1925
127	1926
127	1927
127	1928
127	1929
127	1930
127	1931
130	1962
130	1963
130	1964
130	1965
130	1966
130	1967
130	1968
130	1969
130	1970
130	1971
130	1972
130	1973
130	1974
130	1975
130	1976
130	1977
130	1978
130	1979
130	1980
140	2164
140	2165
140	2166
140	2167
140	2168
140	2169
140	2170
140	2171
140	2172
140	2173
140	2174
140	2175
140	2176
143	2201
143	2202
143	2203
143	2204
143	2205
143	2206
143	2207
143	2208
143	2209
143	2210
143	2211
186	2868
186	2869
186	2870
186	2871
186	2872
186	2873
186	2874
186	2875
186	2876
186	2877
186	2878
186	2879
186	2880
186	2881
186	2882
186	2883
186	2884
186	2885
186	2886
193	2991
193	2992
193	2993
193	2994
193	2995
193	2996
193	2997
193	2998
193	2999
193	3000
193	3001
193	3002
193	3003
193	3004
193	3005
203	3135
203	3136
203	3137
203	3138
203	3139
203	3140
203	3141
203	3142
203	3143
203	3144
203	3145
203	3146
203	3147
207	3185
207	3186
207	3187
207	3188
207	3189
207	3190
207	3191
207	3192
207	3193
260	4030
260	4031
260	4032
260	4033
260	4034
260	4035
260	4036
260	4037
260	4038
260	4039
260	4040
260	4041
260	4042
260	4043
260	4044
260	4045
260	4046
279	4287
279	4288
279	4289
279	4290
279	4291
279	4292
279	4293
279	4294
279	4295
279	4296
279	4297
291	4463
291	4464
291	4465
291	4466
291	4467
291	4468
291	4469
291	4470
291	4471
291	4472
291	4473
306	4674
306	4675
306	4676
306	4677
306	4678
306	4679
306	4680
306	4681
306	4682
306	4683
306	4684
306	4685
306	4686
306	4687
306	4688
306	4689
306	4690
344	5382
344	5383
344	5384
344	5385
344	5386
344	5387
344	5388
344	5389
344	5390
344	5391
344	5392
344	5393
344	5394
344	5395
344	5396
350	5498
350	5499
350	5500
350	5501
350	5502
350	5503
350	5504
350	5505
350	5506
350	5507
350	5508
350	5509
350	5510
350	5511
350	5512
350	5513
350	5514
377	6103
377	6104
377	6105
377	6106
377	6107
377	6108
377	6109
377	6110
377	6111
377	6112
377	6113
377	6114
377	6115
377	6116
377	6117
436	7392
436	7393
436	7394
436	7395
436	7396
436	7397
436	7398
436	7399
436	7400
436	7401
436	7402
436	7403
436	7404
436	7405
436	7406
436	7407
436	7408
436	7409
436	7410
436	7411
436	7412
436	7413
436	7414
500	8554
500	8555
500	8556
500	8557
500	8558
500	8559
500	8560
500	8561
500	8562
500	8563
500	8564
500	8565
500	8566
552	9286
552	9287
552	9288
552	9289
552	9290
552	9291
552	9292
561	9387
561	9388
561	9389
561	9390
561	9391
561	9392
561	9393
561	9394
561	9395
561	9396
561	9397
561	9398
561	9399
561	9400
561	9401
582	9660
582	9661
582	9662
582	9663
582	9664
582	9665
582	9666
582	9667
582	9668
585	9717
585	9718
585	9719
585	9720
585	9721
585	9722
585	9723
585	9724
585	9725
585	9726
585	9727
585	9728
585	9729
658	10926
658	10927
658	10928
658	10929
658	10930
658	10931
658	10932
658	10933
658	10934
658	10935
658	10936
658	10937
658	10938
658	10939
658	10940
667	11045
667	11046
667	11047
667	11048
667	11049
667	11050
667	11051
667	11052
667	11053
667	11054
667	11055
667	11056
667	11057
667	11058
667	11059
667	11060
667	11061
667	11062
667	11063
667	11064
667	11065
675	11171
675	11172
675	11173
675	11174
675	11175
675	11176
675	11177
675	11178
675	11179
675	11180
675	11181
675	11182
675	11183
686	11314
686	11315
686	11316
686	11317
686	11318
686	11319
686	11320
686	11321
686	11322
686	11323
686	11324
686	11325
686	11326
686	11327
686	11328
686	11329
686	11330
686	11331
686	11332
742	12182
742	12183
742	12184
742	12185
742	12186
742	12187
742	12188
742	12189
742	12190
742	12191
742	12192
742	12193
742	12194
742	12195
742	12196
742	12197
742	12198
742	12199
742	12200
874	13970
874	13971
874	13972
874	13973
874	13974
874	13975
874	13976
874	13977
874	13978
874	13979
874	13980
874	13981
874	13982
874	13983
874	13984
907	14499
907	14500
907	14501
907	14502
907	14503
907	14504
907	14505
907	14506
907	14507
907	14508
907	14509
907	14510
907	14511
907	14512
907	14513
907	14514
907	14515
907	14516
907	14517
907	14518
907	14519
907	14520
907	14521
919	14657
919	14658
919	14659
919	14660
919	14661
919	14662
919	14663
919	14664
919	14665
919	14666
919	14667
919	14668
919	14669
919	14670
919	14671
919	14672
919	14673
940	15006
940	15007
940	15008
940	15009
940	15010
940	15011
940	15012
940	15013
940	15014
940	15015
940	15016
940	15017
940	15018
940	15019
940	15020
940	15021
940	15022
942	15034
942	15035
942	15036
942	15037
942	15038
942	15039
942	15040
942	15041
942	15042
942	15043
942	15044
942	15045
942	15046
942	15047
942	15048
942	15049
942	15050
942	15051
942	15052
949	15147
949	15148
949	15149
949	15150
949	15151
949	15152
949	15153
949	15154
949	15155
949	15156
949	15157
949	15158
949	15159
949	15160
949	15161
949	15162
949	15163
949	15164
949	15165
964	15390
964	15391
964	15392
964	15393
964	15394
964	15395
964	15396
964	15397
964	15398
964	15399
964	15400
964	15401
964	15402
988	15750
988	15751
988	15752
988	15753
988	15754
988	15755
988	15756
988	15757
988	15758
988	15759
988	15760
1020	16296
1020	16297
1020	16298
1020	16299
1020	16300
1020	16301
1020	16302
1020	16303
1020	16304
1020	16305
1020	16306
1034	16458
1034	16459
1034	16460
1034	16461
1034	16462
1034	16463
1034	16464
1034	16465
1034	16466
1034	16467
1034	16468
1062	16798
1062	16799
1062	16800
1062	16801
1062	16802
1062	16803
1062	16804
1062	16805
1062	16806
1062	16807
1062	16808
1062	16809
1062	16810
1062	16811
1062	16812
1068	16882
1068	16883
1068	16884
1068	16885
1068	16886
1068	16887
1068	16888
1068	16889
1068	16890
1068	16891
1068	16892
1068	16893
1068	16894
1114	17536
1114	17537
1114	17538
1114	17539
1114	17540
1114	17541
1114	17542
1114	17543
1114	17544
1114	17545
1114	17546
1114	17547
1114	17548
1136	17816
1136	17817
1136	17818
1136	17819
1136	17820
1136	17821
1136	17822
1136	17823
1136	17824
1136	17825
1136	17826
1244	19272
1244	19273
1244	19274
1244	19275
1244	19276
1244	19277
1244	19278
1244	19279
1244	19280
1244	19281
1244	19282
1244	19283
1244	19284
1244	19285
1244	19286
1244	19287
1244	19288
1244	19289
1244	19290
1244	19291
1244	19292
1273	19715
1273	19716
1273	19717
1273	19718
1273	19719
1273	19720
1273	19721
1273	19722
1273	19723
1273	19724
1273	19725
1273	19726
1273	19727
1273	19728
1273	19729
1333	20501
1333	20502
1333	20503
1333	20504
1333	20505
1333	20506
1333	20507
1333	20508
1333	20509
1333	20510
1333	20511
1333	20512
1333	20513
1333	20514
1333	20515
1333	20516
1333	20517
1333	20518
1333	20519
1333	20520
1333	20521
1333	20522
1333	20523
1333	20524
1333	20525
1333	20526
1333	20527
1333	20528
1333	20529
1334	20530
1334	20531
1334	20532
1334	20533
1334	20534
1334	20535
1334	20536
1334	20537
1334	20538
1334	20539
1334	20540
1334	20541
1334	20542
1334	20543
1334	20544
1334	20545
1334	20546
1334	20547
1334	20548
1334	20549
1334	20550
1357	20989
1357	20990
1357	20991
1357	20992
1357	20993
1357	20994
1357	20995
1357	20996
1357	20997
1357	20998
1357	20999
1357	21000
1357	21001
1357	21002
1357	21003
1357	21004
1357	21005
1363	21073
1363	21074
1363	21075
1363	21076
1363	21077
1363	21078
1363	21079
1363	21080
1363	21081
1363	21082
1363	21083
1363	21084
1363	21085
1455	22407
1455	22408
1455	22409
1455	22410
1455	22411
1455	22412
1455	22413
1455	22414
1455	22415
1455	22416
1455	22417
1455	22418
1455	22419
1455	22420
1455	22421
1455	22422
1455	22423
1455	22424
1455	22425
1455	22426
1455	22427
1474	22648
1474	22649
1474	22650
1474	22651
1474	22652
1474	22653
1474	22654
1474	22655
1474	22656
1476	22670
1476	22671
1476	22672
1476	22673
1476	22674
1476	22675
1476	22676
1476	22677
1476	22678
1476	22679
1476	22680
1476	22681
1476	22682
1500	22928
1500	22929
1500	22930
1500	22931
1500	22932
1500	22933
1500	22934
1500	22935
1500	22936
1500	22937
1500	22938
1500	22939
1500	22940
1500	22941
1500	22942
\.


--
-- Data for Name: descriptor; Type: TABLE DATA; Schema: public; Owner: -
--

COPY descriptor (did, descriptor) FROM stdin;
236	FAULT-TREES
237	
238	FAULT-DIAGNOSIS
239	
240	SOLID-PROPELLANT-ROCKET-ENGINES
241	
242	EXPERT-SYSTEMS
243	
244	TEST-EQUIPMENT
788	FOSSIL-FUELS
789	
790	AEROSOLS-
791	
792	DATA-BASES
793	
794	AIR-POLLUTION
795	
796	ATMOSPHERIC-GENERAL-CIRCULATION-MODELS
797	
798	CARBON-
799	
800	CARBONACEOUS-MATERIALS
801	
802	ATMOSPHERIC-COMPOSITION
803	
804	NATIONS-
805	
806	FUEL-CONSUMPTION
807	
808	UNITED-NATIONS
809	
810	PARTICULATES-
811	
812	TROPOSPHERE-
813	
814	SOLAR-RADIATION
815	
816	RADIATION-EFFECTS
817	
818	SOLAR-TERRESTRIAL-INTERACTIONS
976	CORONAL-HOLES
977	
978	SOHO-MISSION
979	
980	SOLAR-SPECTROMETERS
981	
982	PLUMES-
983	
984	PLASMA-DIAGNOSTICS
985	
986	ELECTRON-DENSITY-CONCENTRATION
987	
988	IONIZATION-POTENTIALS
1047	DATA-BASES
1048	
1049	SURFACE-VEHICLES
1050	
1051	COMPUTERIZED-SIMULATION
1052	
1053	DIGITAL-TERRAIN-ELEVATION
1054	
1055	DATA-MANAGEMENT
1056	
1057	AUTOMATIC-CONTROL
1058	
1059	C++-PROGRAMMING-LANGUAGE
1915	EXTRASOLAR-PLANETS
1916	
1917	ASTRONOMICAL-PHOTOMETRY
1918	
1919	ECLIPSING-BINARY-STARS
1920	
1921	INFRARED-FILTERS
1922	
1923	REFERENCE-STARS
1924	
1925	DATA-BASES
1926	
1927	ASTRONOMICAL-OBSERVATORIES
1928	
1929	INTERNATIONAL-COOPERATION
1930	
1931	CHARGE-COUPLED-DEVICES
1962	GEOGRAPHIC-INFORMATION-SYSTEMS
1963	
1964	VOLCANOES-
1965	
1966	REMOTE-SENSING
1967	
1968	RADAR-IMAGERY
1969	
1970	PYROCLASTIC-FLOW
1971	
1972	DIGITAL-TERRAIN-ELEVATION
1973	
1974	HAZARDS-
1975	
1976	PHILIPPINES-
1977	
1978	LAVA-
1979	
1980	RADAR-MAPS
2164	SATELLITE-CONTROL
2165	
2166	MONITORS-
2167	
2168	CONTROL-SYSTEMS-DESIGN
2169	
2170	GROUND-BASED-CONTROL
2171	
2172	EARTH-OBSERVATIONS-FROM-SPACE
2173	
2174	STATISTICAL-ANALYSIS
2175	
2176	ARCHITECTURE-COMPUTERS
2201	AIRCRAFT-DESIGN
2202	
2203	JAVA-PROGRAMMING-LANGUAGE
2204	
2205	HIGH-SPEED-CIVIL-TRANSPORTS
2206	
2207	AERODYNAMIC-CONFIGURATIONS
2208	
2209	DATA-BASES
2210	
2211	DESIGN-OPTIMIZATION
2868	BARENTS-SEA
2869	
2870	STRUCTURAL-PROPERTIES-GEOLOGY
2871	
2872	HYPERVELOCITY-IMPACT
2873	
2874	EARTH-PLANETARY-STRUCTURE
2875	
2876	ASTEROIDS-
2877	
2878	COMETS-
2879	
2880	SEISMOLOGY-
2881	
2882	GEODYNAMICS-
2883	
2884	REMOTE-SENSING
2885	
2886	PLANETARY-CRATERS
2991	BLUNT-BODIES
2992	
2993	CONES-
2994	
2995	NAVIER-STOKES-EQUATION
2996	
2997	TURBULENT-FLOW
2998	
2999	REATTACHED-FLOW
3000	
3001	THERMOCHEMISTRY-
3002	
3003	WAKES-
3004	
3005	VORTICES-
3135	NAVIER-STOKES-EQUATION
3136	
3137	THERMOCHEMISTRY-
3138	
3139	HEAT-FLUX
3140	
3141	NITROUS-OXIDES
3142	
3143	NITROGEN-DIOXIDE
3144	
3145	FINITE-VOLUME-METHOD
3146	
3147	COMPUTATIONAL-GRIDS
3185	COMPUTATIONAL-FLUID-DYNAMICS
3186	
3187	REENTRY-VEHICLES
3188	
3189	NAVIER-STOKES-EQUATION
3190	
3191	MACH-NUMBER
3192	
3193	STAGNATION-POINT
4030	COMPUTATIONAL-FLUID-DYNAMICS
4031	
4032	AIRCRAFT-WAKES
4033	
4034	HELICOPTERS-
4035	
4036	FLIGHT-SIMULATORS
4037	
4038	SHIPS-
4039	
4040	THREE-DIMENSIONAL-FLOW
4041	
4042	INVISCID-FLOW
4043	
4044	COMPUTER-AIDED-DESIGN
4045	
4046	DATA-BASES
4287	AIRCRAFT-GUIDANCE
4288	
4289	DISPLAY-DEVICES
4290	
4291	ENHANCED-VISION
4292	
4293	PRODUCT-DEVELOPMENT
4294	
4295	GERMANY-
4296	
4297	HEAD-DOWN-DISPLAYS
4463	NOAA-SATELLITES
4464	
4465	ADVANCED-VERY-HIGH-RESOLUTION-RADIOMETER
4466	
4467	NORMALIZED-DIFFERENCE-VEGETATIVE-INDEX
4468	
4469	SULFUR-DIOXIDES
4470	
4471	EUROPE-
4472	
4473	THEMATIC-MAPPING
4674	AEROSPACE-ENGINEERING
4675	
4676	PROJECTION-
4677	
4678	LASER-BEAMS
4679	
4680	DATA-BASES
4681	
4682	COMPOSITE-STRUCTURES
4683	
4684	PLY-ORIENTATION
4685	
4686	TECHNOLOGY-ASSESSMENT
4687	
4688	COMPUTER-GRAPHICS
4689	
4690	INSTALLING-
5382	POLAR-REGIONS
5383	
5384	BIBLIOGRAPHIES-
5385	
5386	LOW-TEMPERATURE-ENVIRONMENTS
5387	
5388	INDEXES-DOCUMENTATION
5389	
5390	ANTARCTIC-REGIONS
5391	
5392	DATA-BASES
5393	
5394	SNOW-
5395	
5396	PERMAFROST-
5498	SAFETY-
5499	
5500	DATA-BASES
5501	
5502	INTERNATIONAL-COOPERATION
5503	
5504	DATA-BASE-MANAGEMENT-SYSTEMS
5505	
5506	NUCLEAR-WEAPONS
5507	
5508	PROBABILITY-THEORY
5509	
5510	UNITED-STATES
5511	
5512	RUSSIAN-FEDERATION
5513	
5514	INFORMATION-SYSTEMS
6103	AIRCRAFT-WAKES
6104	
6105	VORTICES-
6106	
6107	FLIGHT-TESTS
6108	
6109	TURBOPROP-AIRCRAFT
6110	
6111	OCEAN-SURFACE
6112	
6113	DATA-REDUCTION
6114	
6115	C-130-AIRCRAFT
6116	
6117	DATA-BASES
7392	MATHEMATICAL-MODELS
7393	
7394	INTERPOLATION-
7395	
7396	TIME-SERIES-ANALYSIS
7397	
7398	STATISTICAL-ANALYSIS
7399	
7400	APPLICATIONS-PROGRAMS-COMPUTERS
7401	
7402	OILS-
7403	
7404	VISUAL-OBSERVATION
7405	
7406	UPPER-ATMOSPHERE
7407	
7408	READING-
7409	
7410	POSITION-LOCATION
7411	
7412	DATA-BASES
7413	
7414	KALMAN-FILTERS
8554	RED-SHIFT
8555	
8556	SOUTHERN-SKY
8557	
8558	ASTRONOMICAL-PHOTOMETRY
8559	
8560	SKY-SURVEYS-ASTRONOMY
8561	
8562	GALAXIES-
8563	
8564	CHARGE-COUPLED-DEVICES
8565	
8566	RADIAL-VELOCITY
9286	COMPUTERIZED-SIMULATION
9287	
9288	SYNTHETIC-APERTURE-RADAR
9289	
9290	DIGITAL-TERRAIN-ELEVATION
9291	
9292	ALGORITHMS-
9387	RADIO-FREQUENCIES
9388	
9389	C-BAND
9390	
9391	SYNTHETIC-APERTURE-RADAR
9392	
9393	DOPPLER-RADAR
9394	
9395	SUPERHIGH-FREQUENCIES
9396	
9397	ULTRAHIGH-FREQUENCIES
9398	
9399	COMPUTER-AIDED-DESIGN
9400	
9401	MICROSTRIP-ANTENNAS
9660	SIGNAL-TO-NOISE-RATIOS
9661	
9662	HUBBLE-SPACE-TELESCOPE
9663	
9664	SPECTROSCOPY-
9665	
9666	PIXELS-
9667	
9668	EVALUATION-
9717	ENHANCED-VISION
9718	
9719	COMPUTER-VISION
9720	
9721	SEARCH-AND-RESCUE-MISSIONS
9722	
9723	TECHNOLOGY-DEMONSTRATOR
9724	
9725	HELMET-MOUNTED-DISPLAYS
9726	
9727	PILOT-SUPPORT-SYSTEMS
9728	
9729	COMMERCIAL-OFF-THE-SHELF-TECHNOLOGY
10926	SPACE-DEBRIS
10927	
10928	SPACECRAFT-SHIELDING
10929	
10930	UNMANNED-SPACECRAFT
10931	
10932	HYPERVELOCITY-IMPACT
10933	
10934	IMPACT-DAMAGE
10935	
10936	MATHEMATICAL-MODELS
10937	
10938	OPTIMIZATION-
10939	
10940	COST-EFFECTIVENESS
11045	DISTRIBUTED-INTERACTIVE-SIMULATION
11046	
11047	COMPUTER-NETWORKS
11048	
11049	HUMAN-COMPUTER-INTERFACE
11050	
11051	HARDWARE-IN-THE-LOOP-SIMULATION
11052	
11053	ARCHITECTURE-COMPUTERS
11054	
11055	MIDDLEWARE-
11056	
11057	SYSTEMS-ENGINEERING
11058	
11059	COMMERCIAL-OFF-THE-SHELF-TECHNOLOGY
11060	
11061	VIRTUAL-REALITY
11062	
11063	VALIDATION-
11064	
11065	EUROPEAN-SPACE-PROGRAMS
11171	INTERNATIONAL-SPACE-STATION
11172	
11173	COMPUTER-PROGRAMS
11174	
11175	SPACECRAFT-MODULES
11176	
11177	LOGISTICS-
11178	
11179	QUALIFICATIONS-
11180	
11181	ARCHITECTURE-COMPUTERS
11182	
11183	LIFE-SUPPORT-SYSTEMS
11314	ELECTROSTATICS-
11315	
11316	LEVITATION-MELTING
11317	
11318	FURNACES-
11319	
11320	CONTROL-SYSTEMS-DESIGN
11321	
11322	MOTION-CONTROL
11323	
11324	BISMUTH-OXIDES
11325	
11326	FIELD-PROGRAMMABLE-GATE-ARRAYS
11327	
11328	COMPUTER-TECHNIQUES
11329	
11330	FLIGHT-TESTS
11331	
11332	IRON-OXIDES
12182	AIRCRAFT-ENGINES
12183	
12184	AUTOMATIC-CONTROL
12185	
12186	STRUCTURAL-VIBRATION
12187	
12188	EVOLUTIONARY-ALGORITHMS
12189	
12190	ENGINE-MONITORING-INSTRUMENTS
12191	
12192	HEALTH-MONITORING-ENGINEERING
12193	
12194	IMAGE-CLASSIFICATION
12195	
12196	NEURAL-NETS
12197	
12198	RADIAL-BASIS-FUNCTION
12199	
12200	COMPUTER-PROGRAMMING
13970	FREE-FLIGHT
13971	
13972	SPACE-DEBRIS
13973	
13974	SPACE-ROBOTS
13975	
13976	END-EFFECTORS
13977	
13978	SATELLITE-ATTITUDE-CONTROL
13979	
13980	TECHNOLOGY-ASSESSMENT
13981	
13982	MANIPULATORS-
13983	
13984	COMPUTERIZED-SIMULATION
14499	DISPLAY-DEVICES
14500	
14501	HUMAN-FACTORS-ENGINEERING
14502	
14503	BIOLOGICAL-MODELS-MATHEMATICS
14504	
14505	DESIGN-OPTIMIZATION
14506	
14507	COMPUTER-GRAPHICS
14508	
14509	FLIGHT-INSTRUMENTS
14510	
14511	CONTROL-EQUIPMENT
14512	
14513	ELECTROMECHANICAL-DEVICES
14514	
14515	COGNITIVE-PSYCHOLOGY
14516	
14517	PSYCHOMOTOR-PERFORMANCE
14518	
14519	WORKLOADS-PSYCHOPHYSIOLOGY
14520	
14521	FLIGHT-CREWS
14657	WAVE-PROPAGATION
14658	
14659	GRAPHICAL-USER-INTERFACE
14660	
14661	SOFTWARE-DEVELOPMENT-TOOLS
14662	
14663	LASER-WEAPONS
14664	
14665	COMPUTER-PROGRAMMING
14666	
14667	IMAGING-TECHNIQUES
14668	
14669	MATHEMATICAL-MODELS
14670	
14671	OPTICAL-SENSORS
14672	
14673	POST-PROCESSING
15006	PIEZOELECTRICITY-
15007	
15008	RING-STRUCTURES
15009	
15010	INTERNAL-PRESSURE
15011	
15012	GRAVITATIONAL-EFFECTS
15013	
15014	STRAIN-DISTRIBUTION
15015	
15016	DEFORMATION-
15017	
15018	TEMPERATURE-DEPENDENCE
15019	
15020	ELECTRICAL-LOADS
15021	
15022	LOAD-DISTRIBUTION-FORCES
15034	MICROELECTROMECHANICAL-SYSTEMS
15035	
15036	SMART-STRUCTURES
15037	
15038	CIRCUIT-DESIGN
15039	
15040	SMART-MATERIALS
15041	
15042	COMPUTER-AIDED-DESIGN
15043	
15044	INTEGRATED-CIRCUITS
15045	
15046	VERY-LARGE-SCALE-INTEGRATION
15047	
15048	DATA-SIMULATION
15049	
15050	TRANSDUCERS-
15051	
15052	TECHNOLOGY-UTILIZATION
15147	NONLINEAR-FILTERS
15148	
15149	COMPUTER-AIDED-DESIGN
15150	
15151	IMAGE-RESTORATION
15152	
15153	RANDOM-SIGNALS
15154	
15155	WINDOWS-COMPUTER-PROGRAMS
15156	
15157	MORPHOLOGICAL-FILTERS
15158	
15159	GRAY-SCALE
15160	
15161	CONSTRAINTS-
15162	
15163	LINEAR-FILTERS
15164	
15165	WHITE-NOISE
15390	NEURAL-NETS
15391	
15392	GLOBAL-POSITIONING-SYSTEM
15393	
15394	INERTIAL-PLATFORMS
15395	
15396	SYSTEMS-INTEGRATION
15397	
15398	ERROR-ANALYSIS
15399	
15400	LINEAR-SYSTEMS
15401	
15402	FILTERS-
15750	IMAGE-SEGMENTATION
15751	
15752	COMPUTER-VISION
15753	
15754	FUZZY-CONTROL
15755	
15756	IMAGE-ANALYSIS
15757	
15758	BOUNDARY-CONDITIONS
15759	
15760	DECISION-MAKING
16296	ATMOSPHERIC-BOUNDARY-LAYER
16297	
16298	RADIATIVE-TRANSFER
16299	
16300	BIDIRECTIONAL-REFLECTANCE
16301	
16302	SATELLITE-IMAGERY
16303	
16304	SATELLITE-BORNE-INSTRUMENTS
16305	
16306	OPTICAL-SENSORS
16458	EARTH-OBSERVATIONS-FROM-SPACE
16459	
16460	MELTING-
16461	
16462	SYNTHETIC-APERTURE-RADAR
16463	
16464	SNOW-COVER
16465	
16466	RADAR-MAPS
16467	
16468	FALSE-ALARMS
16798	OCEAN-BOTTOM
16799	
16800	SHALLOW-WATER
16801	
16802	TOPOGRAPHY-
16803	
16804	SYNTHETIC-APERTURE-RADAR
16805	
16806	RADAR-IMAGERY
16807	
16808	BATHYMETERS-
16809	
16810	CONTINUITY-EQUATION
16811	
16812	BACKSCATTERING-
16882	HYDROLOGY-
16883	
16884	SATELLITE-OBSERVATION
16885	
16886	SOIL-MOISTURE
16887	
16888	MIR-SPACE-STATION
16889	
16890	MICROWAVE-SOUNDING
16891	
16892	TIME-SERIES-ANALYSIS
16893	
16894	DATA-ACQUISITION
17536	REMOTE-SENSING
17537	
17538	ABUNDANCE-
17539	
17540	MALARIA-
17541	
17542	GEOGRAPHIC-INFORMATION-SYSTEMS
17543	
17544	BELIZE-
17545	
17546	DISEASES-
17547	
17548	VEGETATION-
17816	BIDIRECTIONAL-REFLECTANCE
17817	
17818	RADIATIVE-TRANSFER
17819	
17820	ATMOSPHERIC-CORRECTION
17821	
17822	BOUNDARY-CONDITIONS
17823	
17824	COMPUTERIZED-SIMULATION
17825	
17826	PARAMETERIZATION-
19272	HYPERSONIC-VEHICLES
19273	
19274	STAGE-SEPARATION
19275	
19276	BOOSTER-ROCKET-ENGINES
19277	
19278	AIR-BREATHING-ENGINES
19279	
19280	FINITE-ELEMENT-METHOD
19281	
19282	AERODYNAMIC-INTERFERENCE
19283	
19284	MACH-NUMBER
19285	
19286	AERODYNAMIC-FORCES
19287	
19288	UNSTEADY-AERODYNAMICS
19289	
19290	FLIGHT-TESTS
19291	
19292	GROUND-TESTS
19715	SPACE-DEBRIS
19716	
19717	SPACECRAFT-SHIELDING
19718	
19719	UNMANNED-SPACECRAFT
19720	
19721	HYPERVELOCITY-IMPACT
19722	
19723	IMPACT-DAMAGE
19724	
19725	MATHEMATICAL-MODELS
19726	
19727	OPTIMIZATION-
19728	
19729	COST-EFFECTIVENESS
20501	EUROPEAN-SPACE-AGENCY
20502	
20503	SCIENTIFIC-SATELLITES
20504	
20505	MISSION-PLANNING
20506	
20507	ATMOSPHERIC-SOUNDING
20508	
20509	EARTH-ATMOSPHERE
20510	
20511	RADIATIVE-TRANSFER
20512	
20513	ATMOSPHERIC-EFFECTS
20514	
20515	CLOUDS-
20516	
20517	AEROSOLS-
20518	
20519	PAYLOADS-
20520	
20521	OPTICAL-RADAR
20522	
20523	SATELLITE-BORNE-INSTRUMENTS
20524	
20525	SATELLITE-BORNE-RADAR
20526	
20527	RADIOMETERS-
20528	
20529	EUROPEAN-SPACECRAFT
20530	GEOGRAPHIC-INFORMATION-SYSTEMS
20531	
20532	SATELLITE-OBSERVATION
20533	
20534	SPACE-COMMERCIALIZATION
20535	
20536	SATELLITE-IMAGERY
20537	
20538	REMOTE-SENSING
20539	
20540	THEMATIC-MAPPING
20541	
20542	SATELLITE-BORNE-INSTRUMENTS
20543	
20544	CAMERAS-
20545	
20546	AGRICULTURE-
20547	
20548	MONITORS-
20549	
20550	LAND-COVER
20989	SNOW-COVER
20990	
20991	SATELLITE-BORNE-INSTRUMENTS
20992	
20993	ADVANCED-VERY-HIGH-RESOLUTION-RADIOMETER
20994	
20995	HYDROLOGY-
20996	
20997	ERS-2-ESA-SATELLITE
20998	
20999	SYNTHETIC-APERTURE-RADAR
21000	
21001	NOAA-SATELLITES
21002	
21003	LAND-USE
21004	
21005	MELTING-
21073	SPACECRAFT-ORBITS
21074	
21075	PARAMETER-IDENTIFICATION
21076	
21077	SPACECRAFT-MOTION
21078	
21079	ORBIT-DETERMINATION
21080	
21081	SATELLITE-CONSTELLATIONS
21082	
21083	EQUIVALENCE-
21084	
21085	REDUNDANCY-
22407	TIME-INVARIANT-SYSTEMS
22408	
22409	PARAMETER-UNCERTAINTY
22410	
22411	FREQUENCY-RESPONSE
22412	
22413	FEEDBACK-CONTROL
22414	
22415	PLANTS-CONTROL-THEORY
22416	
22417	H-INFINITY-CONTROL
22418	
22419	MATHEMATICAL-MODELS
22420	
22421	ERROR-ANALYSIS
22422	
22423	ROBUST-CONTROL
22424	
22425	FOURIER-ANALYSIS
22426	
22427	DISCRETE-SYSTEMS
22648	SPECTRUM-ANALYSIS
22649	
22650	SOFTWARE-ENGINEERING
22651	
22652	MIDCOURSE-SPACE-EXPERIMENT-MSX
22653	
22654	INTERNATIONAL-COOPERATION
22655	
22656	POLICIES-
22670	SPACE-BASED-RADAR
22671	
22672	INFORMATION-SYSTEMS
22673	
22674	MOVING-TARGET-INDICATORS
22675	
22676	DISTRIBUTED-PROCESSING
22677	
22678	SPACE-MISSIONS
22679	
22680	ALGORITHMS-
22681	
22682	VERY-LONG-BASE-INTERFEROMETRY
22928	SPACE-DEBRIS
22929	
22930	HYPERVELOCITY-IMPACT
22931	
22932	SPACECRAFT-STRUCTURES
22933	
22934	LASER-MICROSCOPY
22935	
22936	TEFLON-TRADEMARK
22937	
22938	HONEYCOMB-STRUCTURES
22939	
22940	KAPTON-TRADEMARK
22941	
22942	CHARGE-COUPLED-DEVICES
\.


--
-- Data for Name: located; Type: TABLE DATA; Schema: public; Owner: -
--

COPY located (pid, lid) FROM stdin;
207	141
1114	3
919	3
143	141
940	3
988	3
742	3
71	3
874	48
193	24
1062	11
260	260
66	66
350	3
1244	3
552	3
52	5
686	30
279	170
667	77
1333	676
585	44
203	203
1020	1020
1500	48
1476	3
140	140
1363	1194
1474	3
306	141
942	3
1455	3
964	963
949	535
1136	1020
127	127
1068	3
1334	37
377	141
907	3
658	643
1273	643
658	643
1273	643
1357	1039
582	3
186	186
561	3
436	327
675	77
1034	1
500	24
18	16
291	291
130	130
\.


--
-- Data for Name: location; Type: TABLE DATA; Schema: public; Owner: -
--

COPY location (lid, countrypub, countryorigin) FROM stdin;
1	United-States	United-Kingdom
3	United-States	United-States
5	United-States	France
11	United-States	Netherlands
16	People"s-Republic-of-China	People"s-Republic-of-China
24	UNITED-STATES	INTERNATIONAL-ORGANIZATION
30	International-Organization	Japan
37	International-Organization	Germany
44	United-States	Canada
48	Japan	Japan
66	Netherlands	United-Kingdom
77	International-Organization	Italy
127	Netherlands	Spain
130	United-States	Belgium
140	NETHERLANDS	INTERNATIONAL-ORGANIZATION
141	UNITED-STATES	UNITED-STATES
170	UNITED-STATES	GERMANY
186	UNITED-STATES	NORWAY
203	UNITED-STATES	NETHERLANDS
260	UNITED-STATES	CANADA
291	NORWAY	SWEDEN
327	Netherlands	Netherlands
535	United-States	Brazil
643	International-Organization	United-Kingdom
676	International-Organization	France
963	France	Germany
1020	United-States	Norway
1039	United-States	Finland
1194	Russia	Russia
\.


--
-- Data for Name: publication; Type: TABLE DATA; Schema: public; Owner: -
--

COPY publication (pid, title, titleext, abstract, abstractind, language, journal, journalann, confinfo, book, category) FROM stdin;
18	The technique of tree diagnosis for a test system	\N	The basic principle, model construction, and application of a fault tree analysis model for a test system are presented. As the fault database of the diagnosis system is improved, the model will play an important role in accurately and rapidly diagnosing the fault location of the test system for a solid rocket motor. (Author)	Yes	Chinese	Journal-of-Solid-Rocket-Technology	IAA199912	\N	\N	Computer-Systems
52	Construction of a 1-deg x 1-deg fossil fuel emission data set for carbonaceous aerosol and implementation and radiative impact in the ECHAM4 model	\N	Global-scale emissions of carbonaceous aerosol from fossil fuel usage have been calculated with a resolution of 1 deg x 1 deg. Emission factors for black and organic carbon have been gathered from the literature and applied to domestic, transport, and industrial combustion of various fuel types. In addition, allowance has been made for the level of development when calculating emissions from a country. Emissions have been calculated for 185 countries for the domestic, industrial, and transport sectors using a fuel usage database published by the United Nations (1993). Some inconsistencies were found for a small number of countries with regard to the distribution of fuel usage between the industrial and domestic sectors. Data from the fuel use database for the period 1970-1990 were used to correct for this. Emissions based on total particulate matter (TPM) and submicron emission factors have been calculated. Global emissions for 1984 of black carbon total 6.4 TgC/yr and organic carbon emissions of 10.1 TgC/yr were found using bulk aerosol emission factors, while global black carbon emissions of 5.1 TgC/yr and organic carbon emissions of 7.0 TgC/yr were found using submicron emission factors. Use of the database is quite flexible and can be easily updated as emission factor data are updated. There is at least a factor of 2 uncertainty in the derived emissions due to the lack of exactly appropriate emission data. The emission fields have been introduced into the ECHAM4 atmospheric general circulation model and run for five model years. Monthly mean model results are compared to measurements in regions influenced by anthropogenic fossil fuel emissions. The resultant aerosol fields have been used to calculate the instantaneous solar radiative forcing at the top of the troposphere due to an external mixture of fossil fuel derived black carbon and organic carbon aerosols. Column burdens of 0.143 mgBC/sq m and 0.170 mgOC/sq m were calculated. (Author)	Yes	English	Journal-of-Geophysical-Research	IAA199911	\N	\N	Environment-Pollution
66	Characterization of solar coronal holes and plumes using spectroscopic diagnostic techniques applied to SOHO/CDS observations	\N	Results from a series of SOHO/Coronal Diagnostic Spectrometer (CDS) observations of coronal holes and plumes are presented, including analysis of a low-latitude plume observed in August 1996. Spectroscopic diagnostic techniques using the CHIANTI atomic database are applied to derive the plasma parameters: electron density, temperature, and element abundances. The results are compared with quiet sun values. Coronal electron densities in the holes are found to be about 2 x 10 exp 8/cu cm, a factor of two to three lower than in the quiet sun. The plasma thermal distribution exhibits differences between coronal holes, the quiet sun and plumes. For example, the peak of the emission in coronal holes is at a lower temperature (T approximately equal to 8 x 10 exp 5 K) than in the quiet sun (T approximately equal to 1 x 10 exp 6 K), while plumes are cooler (T approximately equal to 7.6 x 10 exp 5 K) and show a different distribution, closer to an isothermal state. (Author)	Yes	English	Space-Science-Reviews	IAA199910	\N	\N	Solar-Physics
71	Automatic correlated terrain database generation and management for ground vehicle simulators	\N	Work described in this paper extends prior developments on correlated terrain databases specifically focused on driving simulation applications by adding key features on usability, correlated data generation, singularities, and performance. Key features of the earlier system included variable resolution storage, real-time execution time independent of the size of the database, and the ability to model vertically stacked terrain with minimal runtime overhead. Improvements of the new system include the automation of the database generation process given the source code of the visual databases, a new interrogation technique that eliminates distracting artifacts that appear across areas that have been sampled at different resolutions, and the use of graphical interactive tools for verifying the correlation of the final terrain database against the original visual model. The paper includes examples that demonstrate the process, along with information on the performance of the code under various conditions and computing systems. (Author)	Yes	English	\N	IAA199909	AIAA Modeling and Simulation Technologies Conference and Exhibit, Portland, OR, Aug. 9-11, 1999, Collection of Technical Papers (A99-36794 09-54), Reston, VA, American Institute of Aeronautics and Astronautics, 1999, p. 343-350	AIAA Modeling and Simulation Technologies Conference and Exhibit, Portland, OR, Aug. 9-11, 1999, Collection of Technical Papers (A99-36794 09-54), Reston, VA, American Institute of Aeronautics and Astronautics, 1999, p. 343-350	Documentation-and-Information-Science
127	Planets in CM Draconis - A multi-site photometric search	\N	We present preliminary results of the international collaboration "TEP" aimed at monitoring photometrically the eclipsing binary CM Draconis. Planetary companions with more than about 3 Earth radii should produce detectable occultations at the accuracy of our measurements. The observations started in spring 1994 and are still going on. Eight observatories have participated so far: Haute Provence (France), Lick (USA), La Palma (Spain), Rochester (USA), Skinakas (Greece), Taejon (Korea), Teide (Spain) and Wise (Israel). We have obtained a homogeneous dataset by using CCD detectors with standard broadband filters (V and R) and maintaining always common reference stars between all the observatories. So far, we have obtained about 500 hours of effective integration time on CM Dra, distributed in about 16,000 CCD frames. We have analyzed about 40 percent of the 1994-1995 database, and have found encouraging, albeit inconclusive, results. (Author)	Yes	English	\N	IAA199906	\N	Infrared space interferometry: Astrophysics and the study of Earth-like planets; Proceedings of the Workshop, Toledo, Spain, Mar. 11-14, 1996 (A99-26501 06-88), Dordrecht, Netherlands, Kluwer Academic Publishers (Astrophysics and Space Science Library. Vol. 215), 1997, p. 59-61	Astronomy-
130	Volcanic hazard mapping in the Philippines using remote sensing and GIS	\N	To mitigate the potential hazards posed by the Mt Belusan volcano, a volcanic hazard mapping program was undertaken. Because of a lack of geological and geographical data, it was decided to use optical and radar remote sensing techniques to acquire additional data. A GIS database was created at a medium scale and used as a reference in the development of preliminary hazard maps for each of the volcanic hazards that were identified. An elementary approach making use of the "energy cone" concept was followed to outline the areas subject to potential pyroclastic flows and surges. Lava- and lahar flow path predictions were made based on a digital terrain model. (Author)	Yes	English	\N	IAA199906	Earth surface remote sensing II; Proceedings of the Conference, Barcelona, Spain, Sept. 21-24, 1998 (A99-26276 06-42), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3496), 1998, p. 54-66	Earth surface remote sensing II; Proceedings of the Conference, Barcelona, Spain, Sept. 21-24, 1998 (A99-26276 06-42), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3496), 1998, p. 54-66	Geophysics-
140	Integrated monitoring and control - A new approach	\N	This article presents the architecture of a new integrated monitoring and control (M&C) system that has been implemented for several of the ground-segment subsystems involved in the processing and dissemination of the vast quantities of data produced by the European Space Agency"s European Remote-Sensing Satellite (ERS). Some of the original M&C subsystems of the ERS satellite"s ground segment have been replaced with a new system called MIMS (Multi-mission Integrated Monitoring System). The key concept of MIMS is to gather together as much system status information as is required to furnish a reliable picture of the operational situation of the ground-system components. This information is collected from the managed systems through M&C "agents" and stored in a database for further analysis and presentation. The M&C functionality is described, with discussions presented on object status definition and representation, data collection and agent interface, Common Object Request Broker Architecture (CORBA) in the MIMS infrastructure, event and anomaly handling, and statistics generation. An essential aspect of MIMS is the integration of commercial software packages. The various interacting components are listed, described, and diagramatically shown. The network-management product HP-OpenView NNM has been put at the core of MIMS. The main characteristics of OpenView NNM are outlined, and the event-collection and storage subsystem are shown in a diagram. The HP-OpenView Extensible Simple Network Monitoring Protocol (SNMP) Agent is addressed. A hierarchical manager-to-manager communication, using the SNMP trap mechanism, was chosen to link MIMS to relevant status messages of the external commercial network services. (AIAA)	Yes	ENGLISH	ESA-Bulletin	IAA199905	\N	\N	GROUND-SUPPORT-SYSTEMS-AND-FACILITIES-SPACE
143	Aircraft design problem implementation under the Common Object Request Broker Architecture	\N	The paper describes a component-based computational environment for implementing aircraft design problems. The environment is conducive to taking advantage of the parallelisms inherent in the problem and distribute the individual disciplines on machines most appropriate to their needs while insulating the developer and the user from the complexity of the underlying communications constructs. Common Object Request Broker Architecture and Java programming language are used to encapsulate discipline codes as "objects". An interface file identifies all the information needed by a user of the object. Legacy codes are "wrapped" using Java"s native interface methodology and each such code is called from a module which implements the services of the object. A server program ties the implementation to the interface. Data and file management are accomplished using Java"s database connectivity to access a commercial relational database management system. Java"s Beans Development Kit is used to implement the disciplines and subtasks as reusable components that provide a graphical interface for user input as well as facilitate interactive and visual object connectivity and problem execution progress monitoring. This approach has been used to implement a simple aircraft design optimization problem, the analysis part of a large-scale high-speed civil transport design optimization problem, and a standalone aerodynamic optimizer. (Author)	Yes	ENGLISH	\N	IAA199905	AIAA/ASME/ASCE/AHS/ASC Structures, Structural Dynamics, and Materials Conference and Exhibit, 40th, St. Louis, MO, Apr. 12-15, 1999, Collection of Technical Papers. Vol. 2 (A99-24601 05-39), Reston, VA, American Institute of Aeronautics and Astronautics, 1999, p. 1296-1305 B	AIAA/ASME/ASCE/AHS/ASC Structures, Structural Dynamics, and Materials Conference and Exhibit, 40th, St. Louis, MO, Apr. 12-15, 1999, Collection of Technical Papers. Vol. 2 (A99-24601 05-39), Reston, VA, American Institute of Aeronautics and Astronautics, 1999, p. 1296-1305 B	AIRCRAFT-DESIGN,-TESTING-AND-PERFORMANCE
186	The anatomy of a buried complex impact structure - The Mjolnir Structure, Barents Sea	\N	Analysis of the prominent seismic disturbance at the 40-km-diameter Mjolnir impact structure, based on an extensive seismic reflection database, shows that the observed broad-brimmed bowl-shaped disturbance was formed as a result of the impact of an asteroid or comet during Volgian-Berriasian time (149-141 Ma). Seismic mapping exhibits and visualizes a 850-1400 cu km disturbed volume and analysis of several structural features within the disturbance provides insight into major cratering processes, such as brecciation and excavation, melting, gravitational collapse of the transient crater, and structural uplift. A transient crater of 16 km in diameter and 4.5 km in depth is determined. From transient and final crater dimensions we obtain an estimate of the degree of gravitational collapse of the order of 2.5, considerably larger than the average expected values for typical terrestrial craters. The extensive collapse took place by low-angle decollement surfaces at the periphery and by chaotic debris mass flows toward the center. Furthermore, we estimate the Mjolnir projectile to have been 0.9-3 km in diameter, and that the physical impact released energy in the range of 2.4-53 x 10 exp 20 J, corresponding to an earthquake of magnitude 8.3. The Mjolnir impact is not associated with a significant mass extinction. (Author)	Yes	ENGLISH	Journal-of-Geophysical-Research	IAA199903	\N	\N	GEOPHYSICS-
193	Blunt Cone - Test case T12-97	\N	This paper describes the contribution of the Aerothermodynamics section TOS-MPA of ESA-ESTEC to test case T12-97: Blunt Cone in LENS: testcase E. Although it is assumed that the shear layer is transitional, only laminar computations are performed with the nonequilibrium Navier Stokes solver LORE. A complex 43-block grid was used to perform the computations. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 533-538	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 533-538	AERODYNAMICS-
203	Hypersonic facility F4 - Testcase T10-97	\N	This paper describes the contribution of the subject group High Speed Aerodynamics of the Department of Aerospace Engineering of the Delft University of Technology to test case T10-97:F4 wind tunnel. All computations are performed with the Navier Stokes solver LORE. This paper presents four computations for the given reservoir conditions using various thermochemical models. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 448-452	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 448-452	AERODYNAMICS-
207	A CFD analysis of the orbital reentry experiment vehicle	\N	Results are presented for flow over the Orbital Reentry Vehicle at the 63.6 km Earth altitude trajectory point when the vehicle was traveling at 6223.4 m/s. Solutions using noncatalytic, finites rate catalytic, and fully-catalytic wall boundary conditions are shown. A finite-rate flow solution using recombination coefficient value of 0.004 was found to produce a computed surface heating rate that matches the flight data. Comparisons of different catalytic and surface thermochemistry models are made. The variation of wall catalytic model had no effect on isovalue contours of temperature, pressure, and Mach number. Surface heating rate and pressure profiles are presented as well as stagnation line species mass fraction and temperature profiles. (Author)	Yes	ENGLISH	\N	IAA199903	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 401-413	First Europe-U.S. High Speed Flow Field Database Workshop, Naples, Italy, Nov. 12-14, 1997, Proceedings. Pt. 2 (A99-17865 03-02), Reston, VA, American Institute of Aeronautics and Astronautics, 1997, p. 401-413	AERODYNAMICS-
260	CFD ship airwake analysis for helicopter flight simulators	\N	This paper presents results of three-dimensional CFD computations of inviscid flow over Navy ships with the goal of creating a ship airwake aerodynamic database to be used and integrated in a helicopter flight simulator. This allows for training pilots on landing and takeoff from various ship points. The database is built by solving the three-dimensional inviscid flow around the complete ship, whose geometric details are given with great fidelity through CAD files. FENSAP, a finite element code is used for this task and has been applied to seven ships, three of which are presented here. Various wind speeds and directions corresponding to realistic approach scenarios have been analyzed. The CFD solutions are interpolated onto a Cartesian grid which is then easily implemented in a look-up table of a flight simulator. This simulator then is passed through a rigorous acceptance procedure. In order to reduce computational times, mesh adaptivity is introduced but only preliminary results are presented. (Author)	Yes	ENGLISH	AIAA,-Aerospace-Sciences-Meeting-and-Exhibit,-37th,-Reno,-NV,-Jan	IAA199903	\N	\N	AERODYNAMICS-
279	Development of a 3D stereoscopic flight guidance display	\N	As part of an interdisciplinary research project, sponsored by the German Research Community (DFG), the Darmstadt University of Technology is investigating the potential offered by stereoscopic flight guidance displays for improving pilot situation awareness. The research aims to formulate ergonomic design recommendations for this type of display. Recent developments in display technology offer new opportunities to improve human-machine interfaces in the cockpit. The utilization of three-dimensional display symbology, as a depiction of three-dimensional sensor or database information, has become an accepted practice in modern enhanced and synthetic vision systems. Nevertheless, the information is depicted on a conventional two-dimensional screen. This can cause problems and errors during the cognitive process of depth perception. The application of stereoscopic technology can add an additional cue which is intuitively seized by the observer. The project concentrates on stereoscopic perspective flight guidance displays as a head down display. The extension to other display types like navigation or head-up display is possible. Because of the complexity of a modern synthetic vision display, the project contains experiments on different levels of abstraction, ranging from classic parameter experiments to flight simulator tests. The stereoscopic layout takes into consideration specific informational needs within different flight phases and is evaluated by means of pilot performance and pilot strain. (Author)	Yes	ENGLISH	\N	IAA199902	Enhanced and synthetic vision 1998; Proceedings of the Conference, Orlando, FL, Apr. 13, 14, 1998 (A99-14951 02-54), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3364), 1998, p. 103-114	Enhanced and synthetic vision 1998; Proceedings of the Conference, Orlando, FL, Apr. 13, 14, 1998 (A99-14951 02-54), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3364), 1998, p. 103-114	AIRCRAFT-INSTRUMENTATION
291	Using NOAA AVHRR NDVI to identify SO2-induced vegetation stress in Central Europe	\N	A multitemporal database consisting of mean monthly normalized difference vegetation index (NDVI) for each growing season, at a spatial resolution of 8 x 8 km from 1982-1993, was established for central Europe (between 46 deg N and 55 deg N and 8 deg E and 28 deg E). Data for aerial SO2 and elevation were used to stratify NDVI observations into zones of vegetation stress ranging from 0 to 72 micrograms/cu cm per yr. Vegetation stress is quantified strictly as an aerial SO2 and as a combination of aerial SO2 and elevation. Peak 1992 growing season NDVI from zones of lower aerial SO2 are higher than peak NDVIs observed for areas with higher aerial SO2. The inclusion of elevation as a constraint yielded increasing NDVI with elevation within all aerial SO2 categories. No negative trends in peak growing season NDVI were identified throughout the 1982-1993 period. It is concluded that the coarse spatial resolution of the NOAA/NASA Pathfinder Land data set limits its usefulness for studying forest damage. (Author)	Yes	ENGLISH	\N	IAA199902	Information for sustainability; Proceedings of the 27th International Symposium on Remote Sensing of Environment, Tromso, Norway, June 8-12, 1998 (A99-13209 02-43), Tromso, Norway, Norwegian Space Centre, 1998, p. 715-720	Information for sustainability; Proceedings of the 27th International Symposium on Remote Sensing of Environment, Tromso, Norway, June 8-12, 1998 (A99-13209 02-43), Tromso, Norway, Norwegian Space Centre, 1998, p. 715-720	ENVIRONMENT-POLLUTION
552	Computer simulation of synthetic aperture radar data	\N	A computer simulation of SAR data is discussed. A method is outlined for simulating a distributed scene that is capable of modeling SAR data under moderate motion of the radar platform and a wide range of incidence angles. Arbitrary terrain profiles and reflectivities can be modeled, and interferometric pairs of data can be generated. Inputs and outputs to the simulator and the steps required in the simulation algorithm are outlined. (Author)	Yes	English	\N	IAA199913	\N	IGARSS 98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1086, 1087	Computer-Programming-and-Software
306	Laser ply projection installation	\N	Laser ply projection systems have been installed in many aerospace companies in the past few years. This technology uses a laser beam to locate each ply, core or stiffener in a composite part on the lay-up tool. The laser system input can come from Unigraphics or CATIA design database or from part boundaries taught by the system using the lasers to digitize the edge. This paper deals with the implementation and lessons learned during and after installation of this technology. (Author)	Yes	ENGLISH	Journal-of-Advanced-Materials	IAA199901	\N	\N	ENGINEERING-GENERAL
344	Bibliography on Cold Regions Science and Technology	\N	The Bibliography on Cold Regions Science and Technology was first published in 1951 and is a continuing publication of the Cold Regions Bibliography Project (CRBP) in the Federal Research Division of the Library of Congress. It is sponsored by and prepared for the Cold Regions Research and Engineering Laboratory (formerly Snow, Ice and Permafrost Research Establishment) of the U.S. Army Corps of Engineers. Volumes 1-15 were issued as the Bibliography on Snow, Ice, and Permafrost, SIPRE Report 12. Beginning with volume 16 the designation was changed to CRREL Report 12. With Volume 20 the title was changed to Bibliography on Snow, Ice and Frozen Ground, with Abstracts, and with volume 23 the current title was adopted. The present volume contains material accessioned between October 1997 and September 1998. It contains full citations of 6734 items, in many cases with abstracts. Indexing for the volume is issued as Volume 52, Part 2. This publication is the result of a coordinated effort. The bibliography work was done by the CRBP Staff who entered all data on a single computerized database that accommodates both the Bibliography on Cold Regions Science and Technology and the Antarctic Bibliography thus eliminating duplication of effort between the two bibliographies. Citations were entered in the Cuadra STAR system, and camera-ready copy for printing was produced using the FrameMaker composition system. This publication is available from the National Technical Information Service, Springfield, Virginia 22151. When ordering, the author and subject indexes (Part 2) should also be requested, as the usefulness of the bibliography would be severely limited without them.	Yes	English	\N	STAR199901	\N	\N	Meteorology-and-Climatology
350	Collaborative development of a US/Russia safety information center database	\N	One of the major outgrowths resulting from the collapse of the former Soviet Union (FSU) has been an increase in technical information exchange and dialogue between the Russian and American nuclear weapons laboratories. One area of such discussions is concerned with the safety of low probability, high consequence systems and operations. In order to further the understanding between the respective institutes in this important area, a collaborative effort has been established between Sandia National Laboratories and the two premier Russian nuclear weapons laboratories, Arzamas-16 and Chelyabinsk-70, in which a common database has been developed which contains safety information provided by all three laboratories. More than 1,200 documents have been placed by the three institutes into this database. This paper describes the details of this data base, including the types of safety information being stored.	Yes	English	\N	STAR199901	\N	\N	Documentation-and-Information-Science
377	Recent NASA wake-vortex flight tests, flow-physics database and wake-development analysis	\N	A series of flight tests over the ocean of a four engine turboprop airplane in the cruise configuration have provided a data set for improved understanding of wake vortex physics and atmospheric interaction. An integrated data base was compiled for wake characterization and validation of wake-vortex computational models. This paper describes the wake-vortex flight tests, the data processing, the data-base development and access, and results obtained from preliminary wake-characterization analysis using the data sets. (Author)	Yes	ENGLISH	AIAA-and-SAE,-1998-World-Aviation-Conference,-Anaheim,-CA,-Sept	IAA199812	AIAA and SAE, 1998 World Aviation Conference, Anaheim, CA, Sept. 28-30, 1998	\N	AERODYNAMICS-
436	The HIRLAM-STAT-Archive and its Applications Programs	\N	Statistical postprocessing based oil Direct Model Output (DMO) requires a tremendous amount of model data in the form of model fields and model time series over a period of at least two or three years. Besides DMO we need also observations from various sources, such as SYNOP and KLIM, in order to calibrate our statistical models. This report describes the contents of the STAT-archive, an archive of interpolated Hirlam field data, time series data, and observations from various Dutch stations. The archive is especially prepared for the use of statistical applications such as e.g. Model Output Statistics (MOS) and Kalman filters, but it is useful for even more general statistical and/or physical methods and applications at KNMI. In section 2 the contents of the STAT-archive will be described in all its details. The complete set of Hirlam model data consists of upper-air field data available on various pressure-levels, surface parameters available on various heights above the surface, and time series available for 15 elements at various Hirlam (gridpoint) locations. With respect to the observations, only a minor selection is added to the archive. A selection which is made for the purpose of the project "First Guess TAF" (automation of a TAF-guidance). The selection includes automatic and visual observations from 24 Dutch stations with a time period varying from 4 years for 6 stations, to 10 years for 18 stations. Observations of different elements, and for other locations/ time periods, can be retrieved easily from KNMI"s general observations database called KTS2. In section 3 we describe various application programs which are added to the archive in order to read the dat-tapes, and to read, extract and visualize the contents of each file in the archive. Extraction of data in the archive means reading the data and presenting it in a suitable ascii-format. The extraction and visualisation tools can perform the following tasks: (1) extraction of complete model fields for given pressure/height-level and parameter; (2) extraction of profiles (tipper-air and surface parameters) for given location; (3) extraction of model time series for given location; and (4) visualisation tools for model fields for given pressure/height-level and parameter.	Yes	English	\N	STAR199901	\N	\N	Documentation-and-Information-Science
500	The Southern Sky Redshift Survey	\N	We report redshifts, magnitudes, and morphological classifications for 5369 galaxies with mB of 15.5 or less and for 57 galaxies fainter than this limit, in two regions covering a total of 1.70 sr in the southern celestial hemisphere. The galaxy catalog is drawn primarily from the list of nonstellar objects identified in the Hubble Space Telescope Guide Star Catalog (GSC). The galaxies have positions accurate to about 1 arcsec and magnitudes with an rms scatter of about 0.3 mag. We compute magnitudes (mSSRS2) from the relation between instrumental GSC magnitudes and the photometry by Lauberts and Valentijn (1989). From a comparison with CCD photometry, we find that our system is homogeneous across the sky and corresponds to magnitudes measured at the isophotal level about 26 mag/sq arcsec. The precision of the radial velocities is about 40 km/s, and the redshift survey is more than 99 percent complete to the mSSRS2 = 15.5 mag limit. This sample is in the direction opposite that of the CfA2; in combination the two surveys provide an important database for studies of the properties of galaxies and their large-scale distribution in the nearby universe. (Author)	Yes	ENGLISH	Astronomical-Journal	IAA199811	\N	\N	ASTRONOMY-
561	The design and construction of the rf circuitry for a C-band rail-SAR and an S-band Doppler radar	\N	To help students learn the principles of microwave engineering and EM theory, labs were developed in which the students built a rail-SAR and a Doppler radar. These labs gave the students practical experience in the paper design, simulation, construction, testing, and debugging of RF circuits. This paper includes a description of the design, physical construction, the basic operation, and the results from these projects. (Author)	Yes	English	\N	IAA199913	\N	IGARSS 98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 666-668	Electronics-and-Electrical-Engineering
582	STIS signal-to-noise capabilities in the ultraviolet	\N	The Space Telescope Imaging Spectrograph (STIS) was designed as a versatile spectrograph for the HST capable of maintaining or exceeding the spectroscopic capabilities of first-generation HST instruments primarily through the use of large areal detectors in both the UV and visible regions of the spectrum. Simultaneous spatial and spectral coverage is provided through long-slit or slitless spectroscopy of extended sources. A substantial spectral multiplexing advantage is achieved for UV echelle spectroscopy. This paper will focus on the key issue of S/N performance with the STIS UV detectors. Spectra obtained during the first few months of operation illustrate that high S/N spectra can be obtained while exploiting STIS multiplexing advantage. From analysis of a single spectrum of GD 153, with count statistics of 165, a S/N of 130 is achieved per spectral resolution element in the far-UV for a flat-fielded spectrum. In the near-UV, a single spectrum of GRW +705824, with count statistics of 200, yields an S/N of 150 per spectral resolution element for the flat-fielded spectrum. Without flat-fielding, a S/N of 100 is achieved. An even higher S/N capability is illustrated through the use of the fixed pattern split slits in the medium-resolution echelle modes. These results verify that STIS is capable of achieving a S/N in excess of 100:1 per spectral resolution element in both the first-order and echelle modes. (Author)	Yes	English	Astronomical-Society-of-the-Pacific,-Publications	IAA199913	\N	\N	Spacecraft-Instrumentation
585	Enhanced/Synthetic Vision Systems for search and rescue operations	\N	The Enhanced/Synthetic Vision System (E/SVS) is a Technology Demonstrator (TD) project supported by the Canadian Department of National Defense. E/SVS displays an augmented visual scene to the pilot that includes three separate image sources: a synthetic computer-generated terrain image; an enhanced visual image from an electrooptical sensor (fused as an inset); and aircraft instrument symbology, all displayed to the pilot on a Helmet Mounted Display (HMD). The synthetic component of the system provides a 40-deg vertical by 80-deg horizontal image of terrain and local features. The enhanced component digitizes imagery from electro-optic sensors and fuses the sensor image as an inset (20 by 25 deg) within the synthetic image. Symbology can be overlaid in any location within the synthetic FOV and may be head, aircraft, target or terrain referenced. Active sensor (laser or radar) data will be fused with the synthetic data base in real time to update the synthetic image content. To establish system performance as well as human interface requirements, the program has been supported by an extensive series of human-in-the-loop studies in university, company, and government laboratories. A brief summary of some of the experimental results is included. (Author)	Yes	English	AIAA-and-SAE,-1999-World-Aviation-Conference,-San-Francisco,-CA,-Oct	IAA199912	AIAA and SAE, 1999 World Aviation Conference, San Francisco, CA, Oct. 19-21, 1999	\N	Man/Machine-Technology-and-Life-Support
658	SHIELD - A new model to identify optimum debris protection for unmanned spacecraft	\N	The identification of optimum debris protection strategies for unmanned spacecraft is an emerging area of research. The benefits of adding shielding to a satellite must be weighed against the costs, whilst simultaneously considering other strategies, such as critical component relocation. DERA is developing a new software model called SHIELD for this purpose. The model employs a genetic algorithm search technique to identify a near-global optimum protection solution for a given satellite. Competing solutions are evaluated using a new survivability metric method. The basis of the metric is to derive a large distribution of penetrating impactors on the body of the satellite and calculate which internal components will be impacted. The consequences to the mission of components failing are then assessed, thus enabling the probability of survival of the satellite to be ascertained. When combined with information on the costs of the satellite, launch, and protection strategy, the required metric is then derived. Initial results from a simple test case satellite indicate that a satellite penetrated by a debris particle does not necessarily suffer a catastrophic failure. This appears to be true even for 1 cm size particles. The result underlines the importance of configuring the satellite interior to maximize protection of critical equipment. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Computer-Programming-and-Software
667	Distributed Interactive Simulation in Europe - The EDISON Project and perspectives	\N	EDISON (European Distributed Interactive Simulation Over Network) is a European Research and Technology Development Project. The aim of the EDISON project is to specify, develop, experiment, and exploit a generic and integrated architecture for Distributed Interactive Simulation (DIS) facilities, in order to support interaction and co-operative working, between geographically distributed facilities for simulation modeling, processing, and post-processing. The EDISON application domain is naturally targeted, for the space community, to the Distributed Ground Segment Architectures and Distributed Space Segment System Testing scenarios. The EDISON infrastructure is a modular package including a simulation framework providing the applications with common simulation services (scheduling, real-time kernel, etc.), a middleware containing the vital services necessary to support distributed simulations (time management, intelligent distribution mechanisms, extrapolation and prediction mechanisms to hide network latencies and jitter, etc.), a communication framework, and supervisor as well as groupware functions. This paper presents the first results of the EDISON Project and the prospects opened up by the exploited technologies. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Computer-Programming-and-Software
686	Control system of Electrostatic Levitation Furnace	\N	The Electrostatic Levitation Furnace (ELF) is one of the experimental facilities for materials science research planned for the International Space Station; ELF creates a free-drifting space inside the furnace chamber by controlling the experiment materials so as to not collide with the chamber wall. This paper introduces the control system of the ELF and shows the results of a flight test on a small sounding rocket. By adopting high-speed position detectors and a field programmable gate array technique, rapid calculation of material"s position up to 1000 Hz is realized. The flight data show that complete melting/solidification of the material (0.5 g BiFeO3) was accomplished. Though motion was fully controlled during the experiment, unexpected shaking occurred at high temperature due to a sudden drop of electrostatic charge. This phenomenon is the most important issue to be resolved. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Engineering,-General
675	The MPLM software achieved qualification within the International Space Station Programme	\N	The onboard software of the Multi Purpose Logistic Modules (MPLM), funded by the Italian Space Agency, is designed to operate in an integrated fashion within the ISS Command & Data Handling (C&DH) architecture. In this context, a design and development process for the MPLM Software was set up by the Space Division of Alenia Aerospazio, taking into account the need for strict coordination with the overall ISS software system engineering and software system verification tasks. Within this process, in addition to the implementation life-cycle activities, specific tasks were performed to ensure that the MPLM software can be effectively operated in-orbit from the USOS and from the Orbiter. The MPLM Software achieved its qualification status in January 1998 and its acceptance status in July 1998, in conjunction with the delivery to NASA of the Leonardo Module Configuration, as the first of the three flight units. The second unit, named Raffaello, was completed in July 1999. The overall qualification was the result of an incremental verification and testing process conducted at Alenia as well as at the NASA JSC Software Verification Facility. This paper presents the major results of this cooperation and the lessons learned during the process. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Computer-Programming-and-Software
907	Reducing the risk of aviator-multifunction display interface problems with human factor models and optimization design methods	\N	This article discusses the need for practical human factors-oriented multifunction display and control systems (MFDCS) design tools to optimize the distribution of systems information and functionality. Such advances may lead to better designed MFDCSs that reduce aircrew workload and stress and improve flight performance during both routine and emergency procedures. (Author)	Yes	English	SAFE-Journal	IAA199911	\N	\N	Man/Machine-Technology-and-Life-Support
742	Automated rule extraction for engine vibration analysis	\N	A problem in engine health monitoring is the automatic detection and classification of potential component failures. Current processing uses simple features to measure and characterize changes in sensor data. An alternative solution uses neural networks coupled with appropriate feature extractors. Unfortunately, most neural nets give little insight into the "why" of their output decisions. We have developed a variation of the radial basis function neural net for the problem. The neural net is essentially a nearest neighbor classifier. Classification rules can be found by examination of the basis functions. Rule complexity is reduced by using evolutionary programming to select the input features and neural net architecture. The technique is applied to complex vibration spectral data to yield a simple rule that gives superior performance when compared to a traditional approach. The approach is a valuable tool for developing simple rules when a large feature set is available. (Author)	Yes	English	\N	IAA199912	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 3 (A99-43326 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 29-38	1999 IEEE Aerospace Conference, Aspen, CO, Mar. 6-13, 1999, Proceedings. Vol. 3 (A99-43326 12-31), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1999, p. 29-38	Cybernetics-
874	Autonomous capturing of free-flying object with large rotational motion	\N	For repairing broken-down satellites or removing space debris, the capture of tumbling objects in space can be considered one of the important technologies in future space activities. This paper proposes a novel capture method whereby the chaser adjusts its attitude motion to that of the target before grasping it. This method can solve the problem that the manipulator alone cannot grasp a target with large or complicated rotational motion. Several required techniques are discussed, such as motion estimation, attitude control, and modifying the chaser"s structure. The feasibility is demonstrated by computer simulations. (Author)	Yes	English	\N	IAA199911	\N	International Symposium on Space Technology and Science, 21st, Omiya, Japan, May 24-31, 1998, Proceedings. Vol. 1 (A99-41461 11-12), Tokyo, 21st ISTS Publications Committee, 1998, p. 664-670	Spacecraft-Design,-Testing-and-Performance
919	ABLSim - A user-friendly wave optics propagation code	\N	ABLSim is a software tool for high fidelity modeling of advanced optical systems such as laser weapons systems and compensated imaging systems. It makes use of a well established modeling approach known as wave optics, in which optical wavefronts are modeled using two-dimensional meshes of complex numbers. Wave optics is the most powerful approach known for predicting the performance of optical systems in the presence of strong turbulence. ABLSim differs from previous wave optics modeling tools primarily in that it is much easier to use. ABLSim is designed to make wave optics accessible to a much broader user community. In ABLSim, the user assembles system models in a connect-the-blocks visual programming environment, where each block represents a system component such as an optical sensor, a laser source, a mirror, or a lens. Each connection represents a specific type of interaction: for example, connections between optical components represent optical interfaces. ABLSim provides a GUI for setting up parameter studies and a Matlab interface for postprocessing. (Author)	Yes	English	\N	IAA199911	Airborne laser advanced technology II; Proceedings of the Conference, Orlando, FL, Apr. 5-7, 1999 (A99-40457 11-36), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3706), 1999, p. 151-158	Airborne laser advanced technology II; Proceedings of the Conference, Orlando, FL, Apr. 5-7, 1999 (A99-40457 11-36), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3706), 1999, p. 151-158	Computer-Programming-and-Software
949	Optimal range-domain window filters	\N	The unconstrained design of optimal digital window-based filters from sample signals is very difficult because of the inability to obtain enough data to make good estimates of the filter parameters. This paper studies the estimation problem by windowing in the range, as well as in the domain. At each point, the signal is viewed through an aperture, which is the product between a domain window and a gray-scale range window. Signal values outside the aperture are projected to the limit values inside the aperture. Experiments show that aperture filters can outperform linear filters for deblurring, especially in the restoration of edges. A sampling of the many experiments carried out to study the effects of aperture filters on deblurring is provided. (Author)	Yes	English	\N	IAA199910	Nonlinear image processing X; Proceedings of the Conference, San Jose, CA, Jan. 25, 26, 1999 (A99-39951 10-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3646), 1999, p. 38-45	Nonlinear image processing X; Proceedings of the Conference, San Jose, CA, Jan. 25, 26, 1999 (A99-39951 10-63), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3646), 1999, p. 38-45	Cybernetics-
940	Alleviation of deformation of cylindrical shell using piezoelectric rings	\N	A methodology for alleviating the deformation of cylindrical shells has been developed, using piezoelectric ring stiffeners bonded to the surface of the shell to counteract deformation caused by external loads (gravity, internal pressure, and temperature change). The function of the piezoelectric ring stiffeners may be realized by their electrically induced strains, causing pressure on the surface of the shell. These strains can, at desirable locations, produce adjustable deformations in the opposite direction of the deformations caused by external loading. Conventional differential equations governing displacements of linearly elastic cylindrical shells are used. For computer simulation, a simply supported thin cylindrical shell having 18 piezoelectric ring stiffeners bonded to its outer surface along the length of the shell is considered. Deformations along two generatrices of the shell are computed to demonstrate the effect of alleviation. Since the deformation produced by an individual ring stiffener depends on the magnitude and polarity of the applied voltage, it is possible to counteract deformations caused by any other type of loading. Simulated results show that the deformation of cylindrical shells can be effectively alleviated. (Author)	Yes	English	Journal-of-Aerospace-Engineering	IAA199911	\N	\N	Structural-Mechanics
942	MEMS device systems design and verification tools for smart structures	\N	Integration of smart materials and control circuitry with MEMS devices to form smart structures is becoming an important technology. With the development of smart microsystems, integrated design tools become a growing need. We have developed a CAD tool suite for integrated MEMS and ICs, which can help MEMS designers shorten design and validation time. This suite enables both accurate device design and systems design by providing 3D analysis tools as well as system level design tools inspired by VLSI CAD. This integrated MEMS CAD tool suite aids in implementing mixed-technology designs in multisignal and energy domains. Our MEMS CAD tools include: (1) physical design, (2) mixed-domain FEA enabling device analysis, (3) schematic design entry and system level behavioral simulation, (4) macromodel extraction, (5) placement and routing synthesis tools, and (6) layout extraction and DRC verification tools. The strength of our IC-enabled MEMS design suite is that it allows recursive simulation and verification between device level and system level design, which is very important for smart structures and sensory systems that require a lot of IC control circuitry. Examples of microtransducers design in smart structure applications are provided to demonstrate the design tools. A discussion of the merit and limitations of our tools are also included. (Author)	Yes	English	\N	IAA199911	\N	Electroactive polymer actuators and devices; Proceedings of the Meeting, Newport Beach, CA, Mar. 1, 2, 1999 (A99-40001 11-23), Bellingham, WA, Society of Photo-Optical Instrumentation Engineers (SPIE Proceedings. Vol. 3669), 1999, p. 355-361	Engineering,-General
964	Neural network based inertial sensor error modeling with application to GPS/IMU integrated navigation system	\N	With the rapid advances in genetic algorithms in engineering application and the use of artificial neural networks to model complex characteristics of nonlinear systems, more advanced methods to identify the sensor error model can be devised based on these developments. A new neural network, or the "variable zoom genetic neural network", is proposed to determine the inertial measurement unit error model. The results are applied to the GPS/IMU integrated navigation problem. After the sensor error model is identified using the neural network, a new filter, including the main system errors, inertial errors, and the GPS biases, is derived. Computer simulation results indicate that use of the method leads to significant improvements in performance. (Abstract only). (Author)	Yes	English	\N	IAA199910	\N	GNSS 98 - European Symposium on Global Navigation Satellite Systems, 2nd, Toulouse, France, Oct. 20-23, 1998, Proceedings. Vol. 2 (A99-39551 10-32), Toulouse, France, Centre National d" Etudes Spatiales, 1998	Aircraft-Communications-and-Navigation
988	Are fuzzy definitions of basic attributes of image objects really useful?	\N	Computer vision applications often involve measuring properties of objects in images. Typically, thresholding or segmentation techniques are used to obtain crisp object boundaries before object properties are computed. In this correspondence, we explore the possibility of using fuzzy definitions for measuring object properties without having to make crisp decisions about object boundaries prematurely. We present theorems which indicate that the use of fuzzy definitions to measure properties in intensity-based image analysis almost always gives accurate results. We also present experimental evidence and reasoning which show that fuzzy definitions are not always useful in feature-based methods. (Author)	Yes	English	IEEE-Transactions-on-Systems,-Man,-and-Cybernetics	IAA199910	\N	\N	Cybernetics-
1020	Identification of surface areas to represent a suitable surface boundary condition for atmospheric radiative transfer analysis	\N	This paper describes a method for identification of surfaces of prespecified bidirectional reflectance characteristics within satellite imagery in the optical spectral domain on the basis of radiative transfer modeling of satellite-level reflectances. The method takes spectral, temporal and directional information into account. The approach is particularly promising for the new generation of optical satellite sensors due to be launched towards the end of the millennium. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 4 (A99-47701 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 2128-2130	43-Earth-Resources
1034	The role of Earth observation in snowmelt runoff monitoring from high latitude basins - SAR aspects	\N	The HyDalp project aims to use Earth observation data to improve the monitoring and forecasting of snowmelt runoff from alpine and high latitude basins, and to prepare a basis for the operational use of this information. A crucial parameter for snowmelt runoff modeling is the snow covered area. Methods have previously been developed for mapping snow cover in alpine basins using medium and high resolution optical data and for mapping wet snow using SAR data. An objective of HyDalp is to determine the applicability of these methods to high latitude basins. This paper discusses the applicability of the SAR wet snow mapping method to high latitude basins and highlights differences with respect to alpine areas. We wish to determine if wet snow causes a detectable change in backscatter as compared to no or dry snow cover, what the detection and false alarm rates are, what other dynamic changes occur within the image, and whether these could be mistaken for wet snow. Also investigated are how the method is affected by topography, and whether ascending and descending pass image combinations are needed to reduce these effects. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 4 (A99-47701 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1858-1860	43-Earth-Resources
1062	Bottom topography assessment from SAR images	\N	It is well known that under favorable meteorological and hydrodynamic conditions features of the bottom topography of shallow seas are visible in SAR images. Models have been developed to simulate SAR contrast variations for a given depth map. Inversion of these models makes it possible to assess the bottom topography from SAR images and a limited amount of measured depth information. This has great economic benefits, as traditional bathymetric surveys are expensive and time consuming. At ARGOSS, a Bathymetry Assessment System has been implemented along these lines. The present operational version, based on simplified, 1D models, has been tested a dozen times in demonstration/validation projects in various locations. Depth maps were obtained with an accuracy between 20 and 30 cm rms; this is sufficient for many applications. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 3 (A99-47461 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1665-1667	48-Oceanography
1068	Priroda passive microwave observations in the Southern Great Plains 1997 Hydrology Experiment	\N	An experiment was planned as part of a large regional study to acquire a time series of Priroda satellite observations in conjunction with soil moisture and other important ground and meteorological observations. This was a component of the Southern Great Plains 1997 Hydrology Experiment. Results of this part of the investigation were expected to provide important information for algorithm development for future long term missions involving the AMSR instrument. Due to platform problems during the experiment, only a very limited set of data was obtained. Preliminary results and plans for analysis are described. (Author)	Yes	English	\N	IAA199914	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 3 (A99-47461 14-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1568-1570	43-Earth-Resources
1114	A remote sensing analysis of vector abundance and malaria risk associated with selected villages in southern Belize, Central America	\N	We report on an integrated methodology of remote sensing and geographic information systems (GIS) to assess the risk of malaria transmission in the villages of southern Belize. Studies were initiated in 1990 that characterized the environmental requirements of the important Anopheles mosquitoes in Belize. A data set of environmental criteria was compiled to assess relative risk for the villages. Risk was defined as the presence and abundance of vector mosquitoes for malaria transmission based on environmental criteria. An integrated GIS was employed for differentiating villages of high and low risk. The villages were ranked according to several factors, e.g., elevation, distance to major rivers or streams, and landuse. The predictions included the identification of the 10 highest and the 10 lowest `villages of risk`. A field survey team was then employed to test the presence/abundance of the three important vector species in each of the 20 villages. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 1053, 1054	Earth-Resources
1136	Parametric surface bidirectional reflectance factor models for atmospheric radiative transfer modeling	\N	A family of surface bidirectional reflectance factor (BRF) models is found suitable for representing the surface boundary condition and for solving the problem of radiation transfer in the atmosphere. Optimal input parameters for a wide variety of surface types are available. The applicability of the models is analyzed with respect to (1) the derivation of illumination independent reflection properties of the surface, (2) the calculation of albedo, and (3) the extrapolation of reflectance factors to geometries other than those of the measurements. Some of the models are linearly invertible. This family of models is proposed as part of the land surface product algorithm of the Multi-angle Imaging Spectro-Radiometer (MISR) of NASA/JPL, due to fly in 1998 on the EOS-AM platform. (Author)	Yes	English	\N	IAA199913	\N	IGARSS `98 - 1998 IEEE International Geoscience and Remote Sensing Symposium, Seattle, WA, July 6-10, 1998, Proceedings. Vol. 2 (A99-46756 13-42), Piscataway, NJ, Institute of Electrical and Electronics Engineers, Inc., 1998, p. 713-715	Meteorology-and-Climatology
1244	Computational simulation of hypersonic vehicle separation from its booster	\N	The stage separation of an air-breathing hypersonic research vehicle from its launch vehicle is computationally simulated. Dynamic-motion unstructured technology (DUT) and an FEM are used to solve the 3D Euler equations on dynamic meshes. The aerodynamic interference between the components is obtained first by solving a series of static cases along a prescribed staging path during Mach 5 flow. Then, a two-DOF motion is prescribed for the booster and the connector arm and dynamic-motion simulations are obtained. The results demonstrate the dependence of the unsteady forces and moments on the mutual interference. Further, they indicate that the staging process has significant influence on the flowfield around the vehicle and its aerodynamic loading. The interference appears to be a highly nonlinear function of the separation distance. Finally, this proof-of-concept study may suggest that the numerical simulations, if performed on the actual vehicle configuration with the realistic conditions, should provide most of the information needed and thereby reduce the matrix of the ground and flight tests. (Author)	Yes	English	\N	IAA199912	AIAA International Space Planes and Hypersonic Systems and Technologies Conference, 9th, Norfolk, VA, Nov. 1-5, 1999, Collection of Technical Papers (A99-45401 12-15), Reston, VA, American Institute of Aeronautics and Astronautics, 1999	AIAA International Space Planes and Hypersonic Systems and Technologies Conference, 9th, Norfolk, VA, Nov. 1-5, 1999, Collection of Technical Papers (A99-45401 12-15), Reston, VA, American Institute of Aeronautics and Astronautics, 1999	Launch-Vehicles-and-Space-Vehicles
1273	SHIELD - A new model to identify optimum debris protection for unmanned spacecraft	\N	The identification of optimum debris protection strategies for unmanned spacecraft is an emerging area of research. The benefits of adding shielding to a satellite must be weighed against the costs, whilst simultaneously considering other strategies, such as critical component relocation. DERA is developing a new software model called SHIELD for this purpose. The model employs a genetic algorithm search technique to identify a near-global optimum protection solution for a given satellite. Competing solutions are evaluated using a new survivability metric method. The basis of the metric is to derive a large distribution of penetrating impactors on the body of the satellite and calculate which internal components will be impacted. The consequences to the mission of components failing are then assessed, thus enabling the probability of survival of the satellite to be ascertained. When combined with information on the costs of the satellite, launch, and protection strategy, the required metric is then derived. Initial results from a simple test case satellite indicate that a satellite penetrated by a debris particle does not necessarily suffer a catastrophic failure. This appears to be true even for 1 cm size particles. The result underlines the importance of configuring the satellite interior to maximize protection of critical equipment. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Computer-Programming-and-Software
1333	Earth Radiation Mission - A candidate for selection in ESA`s Earth Explorer Programme	\N	The Earth Radiation Mission (ERM) is a candidate for selection as one of ESA`s Earth Explorer series of missions for the post-Envisat period. ERM aims to satisfy an important set of scientific objectives relating to clouds and aerosols and the role they play in radiative interaction within the Earth`s atmosphere. The ERM satellite would be launched in 2005 and operate for up to three years in a sun-synchronous orbit at around 370 km altitude. Results are presented from the ERM Phase A study which commenced in July 1998. The study was funded by ESA and carried out by an industrial team led by Matra Marconi Space. The ERM satellite will carry both active atmospheric sounders and passive imagers and radiometers operating together for measurement synergy. The active instruments, a backscatter Atmospheric Lidar (ATLID) operating at 1.06 micron and a 94-GHz Cloud Profiling Radar (CPR), are relatively complex instruments with outstanding performance which have benefitted from significant funding for critical technology development in Europe over many years. Two smaller passive instruments, a multispectral (visible/infrared) Cloud Imager and a two-channel Broadband Radiometer, complete the ERM payload complement. The Cloud Imager provides supporting information on the overall scene context as well as supplementary data on cloud characteristics, while the Broadband Radiometer measures reflected and emitted radiation at the top of the atmosphere. Thorough investigations and exhaustive tradeoffs have been carried out during Phase A at system level and for each constituent in order to derive preferred technical solutions and development approaches which lead to the minimum program cost. Summary details are presented for all elements of the recommended system design. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Astronautics,-General
1334	RapidEye - A new satellite based geo-information system	\N	It has been found that the ability to offer a guaranteed delivery of information products is the key for any successful commercial Earth observation service. This understanding led to the definition of the RapidEye system and the foundation of the RapidEye AG. RapidEye is a satellite-based remote sensing system which permits having from any point on Earth at least daily a multispectral (and optionally stereo) imaging capability with a resolution of 5-7 m. The camera swath will be 150-200 km. It is aimed at setting up an efficient operation for the rapid as well as accurate reception and processing of thematic information of the Earth`s surface. RapidEye will establish a reliable and sustained service for its customers which is planned to be operational at the beginning of 2002 with two satellites in orbit, and two more at the beginning of 2003. The system focuses on agricultural monitoring and cartographic mapping. Agriculture product development is currently being performed. For mapping purposes, ortho-image production and general land cover classification will be included in the standard processing line. (Author)	Yes	English	IAF,-International-Astronautical-Congress,-50th,-Amsterdam,-Netherlands,-Oct	IAA199912	\N	\N	Earth-Resources
1357	Snow monitoring using radar and optical satellite data	\N	The paper presents preliminary results of a Finnish national research project aimed at developing and demonstrating an operational snow monitoring system intended mainly for the forecasting and monitoring of the activities of hydropower companies. The study employs satellite imagery (optical and active microwave) and supporting ground information, such as daily temperature and precipitation data. These data are combined in an expert system where each data source is used as an input for the final product of the system. (AIAA)	Yes	English	Remote-Sensing-of-Environment	IAA199912	\N	\N	Earth-Resources
1363	Joint determination of the orbits of several spacecraft by measuring the parameters of their relative motion (O sovmestnom opredelenii orbit neskol`kikh kosmicheskikh apparatov po izmereniyam parametrov otnositel`nogo dvizheniya)	\N	An orbital constellation including n greater than 1 spacecraft is considered. It is assumed that all spacecraft or some of them are equipped with onboard instruments to measure the parameters of relative motion. For this case, the statement of the problem of determining the spacecraft orbits is generalized. The effect of information equivalence of the structural and temporary redundancy of an ensemble of measurements is established. It is shown that the accuracy of joint determination of n spacecraft orbits from measurements of their relative motion parameters is improved with the increasing n. (Author)	Yes	Russian	Kosmicheskie-Issledovaniya	IAA199912	\N	\N	Astrodynamics-
1455	Modeling of normalized coprime factors with nu-metric uncertainty	\N	Modeling of uncertain systems with normalized coprime factor description is investigated where the experimental data are given by a finite set of frequency response measurement samples of the open loop plant that is linear, time-invariant, and possibly infinite-dimensional. The objective is not only to identify the nominal model but also to quantify the modeling error with sup-norm bounds in the frequency domain. The uncertainty to be identified and quantified is chosen as the nu-metric, proposed by Vinnicombe (1993), because of its compatibility with H-infinity-based robust control. An algorithm is developed to model the normalized coprime factors of the given plant using techniques of discrete Fourier analysis (DFA) and balanced stochastic truncation (BST) and is shown to be robust in the presence of the worst case noise. Upper bounds are derived for the associated modeling error based on the minimum a priori information of the underlying model set and of the noise level in the measurement data. A simulation example is used to illustrate the effectiveness of the proposed algorithm. (Author)	Yes	English	IEEE-Transactions-on-Automatic-Control	IAA199911	\N	\N	Cybernetics-
1474	Key issues of hyperspectral sensing technology applications	\N	This paper addresses several key technical and nontechnical issues concerning potential and current spectral sensing technology applications. It focuses on the relatively new technology of hyperspectral imagery. This emerging new enabling technology uses data fusion techniques to detect and identify an object through its shape and composition from the combined capabilities of imagery, spectrometry, and radiometry instruments. Applications of this technology are many. Novel applications can range from precision agriculture applications, such as early detection of crop infestation, to medical applications, such as functional mapping of the brain and early detection of cancer (hyperspectral biopsy), to mine detection, and to search and rescue operations, among many other novel applications. The key issues addressed in this paper primarily concern spectral analysis software, data handling and interpretation, standards, spectral libraries, national policy, and international cooperation/collaboration. The latter issue is included because advances in many aspects of spectral technology are being driven from outside the United States. This paper considers and expands on the concept of using the Internet as a means for managing digital spectral information worldwide and suggests that everyone can benefit by being more proactive in his or her use of the resulting Web digital spectral library (DSL) for reward and communication. Resolving the critical issues presented in this paper concerning spectral technology is important, because this technology is increasingly becoming incorporated into modern civil and military remote sensing systems, and the resultant greater integrated system performance is synergistic to newly evolving commercial, civil, scientific, and military applications. (Author)	Yes	English	AIAA-Space-Technology-Conference-and-Exposition,-Albuquerque,-NM,-Sept	IAA199911	AIAA Space Technology Conference & Exposition, Albuquerque, NM, Sept. 28-30, 1999	\N	Instrumentation-and-Photography
1476	Information architecture analysis and optimization for space-based distributed radar	\N	The large data volumes present in proposed space surveillance systems shift the burden of effective performance from sensor technology to information technology. The Air Force Research Lab`s (AFRL`s) TechSat21 proposal represents a Ground Moving Target Indication (GMTI) system utilizing clusters of small (or micro) satellites. Using interferometric techniques the cluster is able to synthesize the sensitivity of an antenna of dimension comparable to the size of the cluster itself. The aggregate rate of data collection for a single cluster can exceed 36 GBps. The logistical problems with maintaining such high bandwidth communication to mobile ground stations in an active theater drive the design of such a system towards onboard processing. This decision in turn determines the requirements for intersatellite communication and radiation-tolerant signal processing hardware. This study examines candidate architectures for distributed signal processing with reference to analogs in terrestrial parallel and distributed computing. Included in the analysis are discussions of requirements and possible approaches to communications, data storage, and computational load sharing. Strategies are suggested for efficient load assignment and data dissemination. (Author)	Yes	English	AIAA-Space-Technology-Conference-and-Exposition,-Albuquerque,-NM,-Sept	IAA199911	AIAA Space Technology Conference & Exposition, Albuquerque, NM, Sept. 28-30, 1999	\N	Spacecraft-Communications,-Command-and-Tracking
1500	Impact flux variations around SFU as derived from payload unit and EFFU MLI blankets	\N	The Space Flyer Unit (SFU) spacecraft was retrieved in January 1996 and since that time an extensive post flight investigation has been undertaken. Over the past two years we have reported the continuing results from micrometeoroid and debris impact investigations. This paper discusses the results of the impact survey of the SFU spacecraft, with special consideration given to the direction and nature of the derived fluxes. The impact signatures on multilayer insulation and second surface mirrors vary considerably due to the material composition (aluminized Kapton, silverized Teflon) and due to the structure (multilayers of Kapton interspaced with Dacron net, Teflon bonded to a honeycomb sandwich). Detailed analyses using not only CCD image data but also 3D laser microscopy and X-ray CT scans have revealed a wealth of information relating to the visual features observed on these materials. The flux distribution as a function of spacecraft location is discussed in detail, incorporating newly published data from the Exposed Facility Flyer Unit peripheral faces. (Author)	Yes	English	\N	IAA199911	\N	International Symposium on Space Technology and Science, 21st, Omiya, Japan, May 24-31, 1998, Proceedings. Vol. 2 (A99-41650 11-12), Tokyo, 21st ISTS Publications Committee, 1998, p. 1836-1841	Spacecraft-Design,-Testing-and-Performance
\.


--
-- Data for Name: record; Type: TABLE DATA; Schema: public; Owner: -
--

COPY record (rid, availability, updatecode, numref, contractnum, issn, isbn, notes, subfile, source, series, accessionnum) FROM stdin;
18	Aeroplus Dispatch	199912	\N	\N	1006-2793	\N	\N	AIAA	Journal-of-Solid-Rocket-Technology. 1999 June; vol. 22, no. 2: 72-74	\N	A1999-45784; Reference AN: A99-45784
52	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	112	CEC-ENV4-CT	0148-0227	\N	\N	AIAA	Journal-of-Geophysical-Research. 1999 September; vol. 104, no. D18: 22,137-22,162	\N	A1999-41287; Reference AN: A99-41287
66	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199910	10	\N	0038-6308	\N	\N	AIAA	Space-Science-Reviews. 1999; vol. 87, nos. 1-2: 169-172	\N	A1999-37721; Reference AN: A99-37721
71	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199909	5	\N	\N	\N	\N	AIAA	\N	\N	A1999-36832; Reference AN: A99-36832
127	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	\N	\N	\N	\N	\N	AIAA	\N	Astrophysics-and-Space-Science-Library; Vol.-215	A1999-26510; Reference AN: A99-26510
130	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794; E-MAIL: dispatch@aiaa.org	199906	19	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3496	A1999-26283; Reference AN: A99-26283
140	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199905	\N	\N	0376-4265	\N	\N	AIAA	ESA-Bulletin. 1998 November; no. 96: 46-51	\N	A1999-24995; Reference AN: A99-24995
143	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199905	14	NAS1-20431	\N	\N	\N	AIAA	\N	\N	A1999-24715; Reference AN: A99-24715
186	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	65	\N	0148-0227	\N	\N	AIAA	Journal-of-Geophysical-Research. 1998 October; vol. 103, no. B12: 30,469-30,483	\N	A1999-18467; Reference AN: A99-18467
193	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	6	\N	\N	\N	\N	AIAA	\N	\N	A1999-17925; Reference AN: A99-17925
203	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	2	\N	\N	\N	\N	AIAA	\N	\N	A1999-17916; Reference AN: A99-17916
207	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	15	\N	\N	\N	\N	AIAA	\N	\N	A1999-17912; Reference AN: A99-17912
260	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199903	13	\N	\N	\N	\N	AIAA	AIAA-Aerospace-Sciences-Meeting-and-Exhibit-37th-Reno-NV-Jan. 11-14-1999	\N	A1999-16812; Reference AN: A99-16812
279	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199902	17	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3364	A1999-14962; Reference AN: A99-14962
291	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199902	10	\N	\N	\N	\N	AIAA	\N	\N	A1999-13378; Reference AN: A99-13378
306	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	1070-9789	\N	\N	AIAA	Journal-of-Advanced-Materials. 1998; vol. 30, no. 2: 3-6	\N	A1999-11872; Reference AN: A99-11872
344	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990032082.	\N	N1999-17102; Reference AN: N99-17102
350	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	\N	\N	\N	NASA	NASA-no. 19990028534.	\N	N1999-16722; Reference AN: N99-16722
377	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199812	14	NAS1-20267	\N	\N	\N	AIAA	AIAA-and-SAE-1998-World-Aviation-Conference-Anaheim-CA-Sept. 28-30-1998	\N	A1998-43096; Reference AN: A98-43096
436	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199901	\N	\N	0169-1708	\N	\N	NASA	NASA-no. 19990014480.	\N	N1999-12470; Reference AN: N99-12470
500	AIAA Dispatch; Voice: 800 662 1545, Fax: 816 926 8794, E-Mail: dispatch@aiaa.org	199811	28	NAGW-2166	0004-6256	\N	\N	AIAA	Astronomical-Journal. 1998 July; vol. 116, no. 1: 1-7	\N	A1998-41801; Reference AN: A98-41801
552	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	2	\N	\N	\N	\N	AIAA	\N	\N	A1999-46922; Reference AN: A99-46922
561	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-46793; Reference AN: A99-46793
582	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	14	\N	0004-6280	\N	\N	AIAA	Astronomical-Society-of-the-Pacific,-Publications. 1998 August; vol. 110, no. 750: 978-990	\N	A1999-46115; Reference AN: A99-46115
585	Aeroplus Dispatch	199912	8	\N	\N	\N	\N	AIAA	AIAA-and-SAE-1999-World-Aviation-Conference-San-Francisco-CA-Oct. 19-21-1999	\N	A1999-45992; Reference AN: A99-45992
658	Aeroplus Dispatch	199912	12	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44945; Reference AN: A99-44945
667	Aeroplus Dispatch	199912	7	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44767; Reference AN: A99-44767
675	Aeroplus Dispatch	199912	5	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44734; Reference AN: A99-44734
686	Aeroplus Dispatch	199912	2	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44569; Reference AN: A99-44569
742	Aeroplus Dispatch	199912	13	\N	\N	\N	\N	AIAA	\N	\N	A1999-43330; Reference AN: A99-43330
874	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	3	\N	\N	\N	\N	AIAA	\N	\N	A1999-41570; Reference AN: A99-41570
907	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	22	DAAL03-91-C	0191-6319	\N	\N	AIAA	SAFE-Journal. 1999; vol. 29, no. 2: 100-106	\N	A1999-40658; Reference AN: A99-40658
919	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	\N	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3706	A1999-40473; Reference AN: A99-40473
940	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	5	\N	0893-1321	\N	\N	AIAA	Journal-of-Aerospace-Engineering. 1999 July; vol. 12, no. 3: 92-97	\N	A1999-40152; Reference AN: A99-40152
942	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	12	DABT63-95-C	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3669	A1999-40038; Reference AN: A99-40038
949	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199910	11	\N	\N	\N	\N	AIAA	\N	SPIE-Proceedings; Vol.-3646	A1999-39953; Reference AN: A99-39953
964	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199910	\N	\N	\N	\N	\N	AIAA	\N	\N	A1999-39651; Reference AN: A99-39651
988	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199910	34	\N	1083-4427	\N	\N	AIAA	IEEE-Transactions-on-Systems,-Man,-and-Cybernetics. 1999 July; vol. 29, no. 4: 378-393	\N	A1999-38673; Reference AN: A99-38673
1020	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	12	\N	\N	\N	\N	AIAA	\N	\N	A1999-47831; Reference AN: A99-47831
1034	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	3	CEC-ENV4-CT96-03634	\N	\N	\N	AIAA	\N	\N	A1999-47743; Reference AN: A99-47743
1062	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-47612; Reference AN: A99-47612
1068	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794, E-Mail: dispatch@aiaa.org	199914	\N	\N	\N	\N	\N	AIAA	\N	\N	A1999-47581; Reference AN: A99-47581
1114	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	4	\N	\N	\N	\N	AIAA	\N	\N	A1999-46913; Reference AN: A99-46913
1136	Aeroplus Dispatch; Voice: 1 800 1545, Fax: 1 816 926 8794, E-Mail: dispatch@aiaa.org	199913	7	\N	\N	\N	\N	AIAA	\N	\N	A1999-46806; Reference AN: A99-46806
1244	Aeroplus Dispatch	199912	15	\N	\N	\N	\N	AIAA	\N	\N	A1999-45404; Reference AN: A99-45404
1273	Aeroplus Dispatch	199912	12	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44945; Reference AN: A99-44945
1333	Aeroplus Dispatch	199912	\N	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44423; Reference AN: A99-44423
1334	Aeroplus Dispatch	199912	\N	\N	\N	\N	\N	AIAA	IAF-International-Astronautical-Congress-50th-Amsterdam-Netherlands-Oct. 4-8-1999	\N	A1999-44422; Reference AN: A99-44422
1357	Aeroplus Dispatch	199912	17	\N	0034-4257	\N	\N	AIAA	Remote-Sensing-of-Environment. 1999 July; vol. 69, no. 1: 16-29	\N	A1999-43867; Reference AN: A99-43867
1363	Aeroplus Dispatch	199912	4	\N	0023-4206	\N	\N	AIAA	Kosmicheskie-Issledovaniya. 1999 June; vol. 37, no. 3: 283-288	\N	A1999-43758; Reference AN: A99-43758
1455	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	48	F49620-94-1	0018-9286	\N	\N	AIAA	IEEE-Transactions-on-Automatic-Control. 1999 August; vol. 44, no. 8: 1498-1511	\N	A1999-42402; Reference AN: A99-42402
1474	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	5	\N	\N	\N	\N	AIAA	AIAA-Space-Technology-Conference-and-Exposition-Albuquerque-NM-Sept. 28-30-1999	\N	A1999-42111; Reference AN: A99-42111
1476	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	8	F29601-97-K	\N	\N	\N	AIAA	AIAA-Space-Technology-Conference-and-Exposition-Albuquerque-NM-Sept. 28-30-1999	\N	A1999-42104; Reference AN: A99-42104
1500	AIAA Dispatch; VOICE: (1) 800 662 1545, FAX: (1) 816 926 8794	199911	3	\N	\N	\N	\N	AIAA	\N	\N	A1999-41774; Reference AN: A99-41774
\.


--
-- Data for Name: recorded; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recorded (pid, rid, recordtype) FROM stdin;
71	71	Analytic-of-Proceedings
127	127	Analytic-of-Proceedings
130	130	Analytic-of-Proceedings
552	552	Analytic-of-Proceedings
561	561	Analytic-of-Proceedings
742	742	Analytic-of-Proceedings
874	874	Analytic-of-Proceedings
919	919	Analytic-of-Proceedings
942	942	Analytic-of-Proceedings
949	949	Analytic-of-Proceedings
964	964	Analytic-of-Proceedings
1020	1020	Analytic-of-Proceedings
1034	1034	Analytic-of-Proceedings
1062	1062	Analytic-of-Proceedings
1068	1068	Analytic-of-Proceedings
1114	1114	Analytic-of-Proceedings
1136	1136	Analytic-of-Proceedings
1244	1244	Analytic-of-Proceedings
1500	1500	Analytic-of-Proceedings
143	143	CONFERENCE-VOLUME-ANALYTIC
193	193	CONFERENCE-VOLUME-ANALYTIC
203	203	CONFERENCE-VOLUME-ANALYTIC
207	207	CONFERENCE-VOLUME-ANALYTIC
279	279	CONFERENCE-VOLUME-ANALYTIC
291	291	CONFERENCE-VOLUME-ANALYTIC
18	18	Journal-Article
52	52	Journal-Article
66	66	Journal-Article
582	582	Journal-Article
907	907	Journal-Article
940	940	Journal-Article
988	988	Journal-Article
1357	1357	Journal-Article
1363	1363	Journal-Article
1455	1455	Journal-Article
140	140	JOURNAL-ARTICLE
186	186	JOURNAL-ARTICLE
306	306	JOURNAL-ARTICLE
500	500	JOURNAL-ARTICLE
585	585	Meeting-Paper
658	658	Meeting-Paper
667	667	Meeting-Paper
675	675	Meeting-Paper
686	686	Meeting-Paper
1273	1273	Meeting-Paper
1333	1333	Meeting-Paper
1334	1334	Meeting-Paper
1474	1474	Meeting-Paper
1476	1476	Meeting-Paper
260	260	MEETING-PAPER
377	377	MEETING-PAPER
350	350	REPORT
436	436	REPORT
344	344	\N
\.


--
-- Data for Name: written; Type: TABLE DATA; Schema: public; Owner: -
--

COPY written (aid, pid, pubyear, publisher) FROM stdin;
49	18	1999	null
149	52	1999	null
187	66	1999	null
199	71	1999	American Institute of Aeronautics and Astronautics, Reston, VA
366	127	1997	Kluwer Academic Publishers, Dordrecht, Netherlands
380	130	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
412	140	1998	null
422	143	1999	American Institute of Aeronautics and Astronautics, Reston, VA
542	186	1998	null
557	193	1997	American Institute of Aeronautics and Astronautics, Reston, VA
557	203	1997	American Institute of Aeronautics and Astronautics, Reston, VA
582	207	1997	American Institute of Aeronautics and Astronautics, Reston, VA
719	260	1999	null
764	279	1998	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
797	291	1998	Norwegian Space Centre, Tromso, Norway
829	306	1998	null
917	344	1999	null
935	350	1998	null
1126	436	1998	null
1239	377	1998	null
1277	500	1998	null
1417	552	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1417	561	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
1519	582	1998	null
1525	585	1999	null
1734	658	1999	null
1734	1273	1999	null
1771	667	1999	null
1789	675	1999	null
1815	874	1998	21st ISTS Publications Committee, Tokyo
1815	686	1999	null
1990	742	1999	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2470	907	1999	null
2512	919	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2566	940	1999	null
2570	942	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2583	949	1999	Society of Photo-Optical Instrumentation Engineers, Bellingham, WA
2631	964	1998	Centre National d" Etudes Spatiales, Toulouse, France
2692	988	1999	null
2795	1020	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2795	1136	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2836	1034	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2912	1062	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
2935	1068	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3080	1114	1998	Institute of Electrical and Electronics Engineers, Inc., Piscataway, NJ
3449	1244	1999	American Institute of Aeronautics and Astronautics, Reston, VA
3711	1333	1999	null
3713	1334	1999	null
3780	1357	1999	null
3798	1363	1999	null
4082	1455	1999	null
4139	1474	1999	null
4148	1476	1999	null
4225	1500	1998	21st ISTS Publications Committee, Tokyo
4230	1500	1998	21st ISTS Publications Committee, Tokyo
\.


--
-- Name: author_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_name_key UNIQUE (name);


--
-- Name: author_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY author
    ADD CONSTRAINT author_pkey PRIMARY KEY (aid);


--
-- Name: described_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_pkey PRIMARY KEY (pid, did);


--
-- Name: descriptor_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY descriptor
    ADD CONSTRAINT descriptor_pkey PRIMARY KEY (did);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (lid);


--
-- Name: publication_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY publication
    ADD CONSTRAINT publication_pkey PRIMARY KEY (pid);


--
-- Name: record_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY record
    ADD CONSTRAINT record_pkey PRIMARY KEY (rid);


--
-- Name: recorded_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_pkey PRIMARY KEY (pid, rid);


--
-- Name: written_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_pkey PRIMARY KEY (pid, aid);


--
-- Name: described_did_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_did_fkey FOREIGN KEY (did) REFERENCES descriptor(did);


--
-- Name: described_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY described
    ADD CONSTRAINT described_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: located_lid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT located_lid_fkey FOREIGN KEY (lid) REFERENCES location(lid);


--
-- Name: located_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT located_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: recorded_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- Name: recorded_rid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recorded
    ADD CONSTRAINT recorded_rid_fkey FOREIGN KEY (rid) REFERENCES record(rid);


--
-- Name: written_aid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_aid_fkey FOREIGN KEY (aid) REFERENCES author(aid);


--
-- Name: written_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY written
    ADD CONSTRAINT written_pid_fkey FOREIGN KEY (pid) REFERENCES publication(pid);


--
-- PostgreSQL database dump complete
--

