--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE discogs_sample1;
--
-- Name: discogs_sample1; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE discogs_sample1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'German_Germany.1252' LC_CTYPE = 'German_Germany.1252';


\connect discogs_sample1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists (
    id integer NOT NULL,
    name text,
    realname text,
    data_quality text,
    profile text
);


--
-- Name: artists_aliases; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_aliases (
    artist_id integer,
    name text
);


--
-- Name: artists_groups; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_groups (
    artist_id integer,
    name text
);


--
-- Name: artists_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_images (
    artist_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: artists_members; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_members (
    artist_id integer,
    name text
);


--
-- Name: artists_namevariations; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_namevariations (
    artist_id integer,
    name text
);


--
-- Name: artists_urls; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_urls (
    artist_id integer,
    url text
);


--
-- Name: labels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels (
    id integer NOT NULL,
    parentlabel text,
    name text,
    contactinfo text,
    data_quality text,
    profile text
);


--
-- Name: labels_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_images (
    label_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: labels_sublabels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_sublabels (
    label_id integer,
    label text
);


--
-- Name: labels_urls; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_urls (
    label_id integer,
    url text
);


--
-- Name: masters; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters (
    id integer NOT NULL,
    title text,
    year integer,
    data_quality text,
    notes text,
    main_release integer
);


--
-- Name: masters_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_artists (
    master_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: masters_genres; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_genres (
    master_id integer,
    genre text
);


--
-- Name: masters_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_images (
    master_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: masters_styles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_styles (
    master_id integer,
    style text
);


--
-- Name: masters_videos; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_videos (
    master_id integer,
    title text,
    description text,
    src text,
    embed boolean,
    duration integer
);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    status text,
    country text,
    released text,
    title text,
    master_id integer,
    data_quality text,
    notes text
);


--
-- Name: releases_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_artists (
    release_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_extraartists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_extraartists (
    release_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_formats; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_formats (
    release_id integer,
    format_id integer NOT NULL,
    text text,
    qty integer,
    name text
);


--
-- Name: releases_formats_descriptions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_formats_descriptions (
    format_id integer,
    description text
);


--
-- Name: releases_genres; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_genres (
    release_id integer,
    genre text
);


--
-- Name: releases_identifiers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_identifiers (
    release_id integer,
    type text,
    description text,
    value text
);


--
-- Name: releases_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_images (
    release_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: releases_labels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_labels (
    release_id integer,
    name text,
    catno text
);


--
-- Name: releases_styles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_styles (
    release_id integer,
    style text
);


--
-- Name: releases_tracklist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist (
    release_id integer,
    track_id integer NOT NULL,
    "position" text,
    duration text,
    title text
);


--
-- Name: releases_tracklist_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist_artists (
    track_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_tracklist_extraartists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist_extraartists (
    track_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_videos; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_videos (
    release_id integer,
    title text,
    description text,
    src text,
    embed boolean,
    duration integer
);


--
-- Data for Name: artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists (id, name, realname, data_quality, profile) FROM stdin;
161	Todd Edwards	Todd Edwards	Correct	His own releases were generally praised and played to enthusiast crowds all over the world: "Prima Edizione" (1999), the "Full On" and "New Trends Sounds" series contributed to his success. The album 'Odyssey', released in 2006, showed once again his musical genius.
1031	Moby	Richard Melville Hall	Needs Vote	Besides the many faces of his music, Moby also gathers controversy for his outspoken religious, dietary and animal rights views, as well as persistent rumors that his live shows are mostly pre-recorded. Every Moby release from the mid-90s onward has borne the text "Animals are not ours to eat, wear or experiment on. Thanks to Christ."
1627	AWeX	\N	Correct	brought their very personal project into life named 'AWeX' (Adler-Wax-eXperiments). In the beginning they made it for fun and to have an experimental field without any musical limits. But after their first 12inch 'It´s Our future' became THE anthem of 1995 and the Berlin Love Parade, they had their biggest success up to date . The follow-up 'Back On Plastic' climbed up to rank 32 of the official German charts so that an album was the logical consequence. In 1999 the project found a new home on their just relaunched label Phuture Wax and gave a great comeback with the re-release of 'It´s Out Future'.
1868	Doi-Oing	Gez Dewar, Nick Hale, Nick Nicholson	Correct	\N
3300	Mighty	Rob Smith, Ray Mighty, Peter D. Rose	Needs Vote	\N
3474	Patti LaBelle	Patricia Holt, Patricia Edwards	Correct	American soul singer born on May 24, 1944 in Philadelphia, Pennsylvania, USA.
3477	Chas Jankel	Charles Jeremy Jankel	Needs Vote	British musician, born 1952, London, who went from keyboard player and guitarist with Ian Dury and the Blockheads to a solo career in the early 1980s. He had several club/chart hits and also appeared on a few soundtracks.
3638	Yves Deruyter	Yves Pieter Yvonne Deruyter	Needs Vote	
4073	CJ Stone	Andreas Litterscheid	Needs Vote	Even so for him it is very important to display his love of club and dance music under his stage name CJ Stone.
4205	Giorgio Moroder	Hansjörg Moroder	Needs Vote	Hansjörg "Giorgio" Moroder (April 26, 1940, Urtijëi (Ortisei in Italian), Italy) is a three-time Oscar-winning and three-time Grammy award-winning record producer, songwriter and performer.
4604	Fruit Loops	Nick Holder	Correct	\N
5111	Karl Biscuit	\N	Correct	Not too much is known of this dandy of European electropop. He released three records on Crammed with neo-romantic and macabre imagery and a more abstract CD on Made To Measure and now works again in the field of contemporary dance, as he did before his musical activities.
5115	Peter Principle	Peter Dachert	Needs Vote	Solo artist and multi-instrumentalist member of Tuxedomoon.
5401	Pablo Gargano	Pablo Gargano	Needs Vote	
5797	ATB	André Tanneberger	Needs Vote	Born on February 26, 1973 in Freiberg, Saxony, Germany.
5966	Jones	Piet Blank, Jaspa Jones, Andy Kaufhold	Needs Vote	" which pays tribute to the original club mixes of the 80s or "milchbar" and "chilltronica" where they bring the listener new soundscapes of downbeat music.
6268	Tuxedomoon	\N	Needs Vote	.
6270	Donna Summer	LaDonna Adrian Gaines	Correct	
6274	Patrick Cowley	Patrick Joseph Cowley	Needs Vote	Patrick Cowley died of complications due to AIDS in 1982.
6373	Martini	Gianni Bini and Paolo Martini	Needs Vote	Italian DJ/producer duo.
6442	Aspen	Bevan Smith	Correct	
6520	U2	Lawrence "Larry" Joseph Mullen Jr.	Correct	Inducted into Rock And Roll Hall of Fame in 2005 (Performer).
6636	Klubbheads	Jan Voermans	Needs Vote	Addy van der Zwan. They're leaving Digidance and start their own new production-company called Unit 54. Jan Voermans moves on as a solo DJ and stays with Digidance.
7257	Royal House	Todd Terry	Needs Vote	House and Garage group headed by Todd Terry
7117	Amnesia	Stephan Novak, Bruno Vangarsse, Michael Nachtergaele	Needs Vote	Initially, Amnesia was a single man project : Stephan Novak. He did compose at home the whole tracks on the first album  and then he went to the Disco Smash shop in Menen to ask for a production. Michel Nachtergaele and Bruno Vangarsse (who did never play a note on any record for which they are credited) agreed but created a band with Novak plus 2 dj's they knew (on the aim to be sure the record would be played in clubs). After a first succesfull LP, the producers decided to throw away Novak and to try to make more money using different composers and different styles under the name Amnesia.
7285	Members Of Mayday	Klaus Jankuhn, Maximilian Lenz	Needs Vote	30.04.2012 - Made In Germany - "Perfect Machine"
7698	Snap!	\N	Needs Vote	From 2002 to 2006, Snap! was extensively remixed by a variety of electronic artists and released a couple of club singles which failed to relaunch their success story.
8121	Chicane	Nicholas Bracegirdle	Needs Vote	
9050	Norman Cook	Norman Quentin Cook (born Quentin Leo Cook — name changed by deed poll in 2002)	Correct	An artist who makes no apologies for embracing the mainstream, he has achieved  success on his own terms and become one of the biggest-selling artists in the dance field.
9066	Spiller	Cristiano Spiller	Correct	Italian DJ and producer. He is the founder of [l=Nano].
9221	Telex	Marc Moulin, Dan Lacksman, Michel Moers.	Complete and Correct	During the hiatus, Marc Moulin produced many pop albums, was one of the head programmers on French-speaking Belgian national radio, and was an author and playwright. He died of cancer on 26 September 2008. Dan Lacksman runs Synsound, a successful studio complex in Brussels. Michel Moers lives in Provence, France, and is a video director and professional and artistic photographer.
9380	K-Paul	Kai Paul	Correct	German duo based in Berlin.
10924	Green Court	Markus Bolk	Correct	Inside Your Gates. In addtional to the great release "Shining", De/Vision feature again the new single "Take(My Breath Away).
10927	Rank 1	Piet Bervoets	Needs Vote	
10930	Discovery	Errol Lafleur, Mark Nieuwenhuijzen, René van Oosterwijk	Needs Vote	
11001	N-Trance	Dale Longworth, Kevin O'Toole	Correct	
11101	Cosmic Gate	Claus Terhoeven	Needs Vote	In 2006 they released their third studio album, "Earth Mover" which was very different from previous Cosmic Gate albums as it no longer had the distinctive Hard Trance sound which made Cosmic Gate so popular. Their sound evolved even further on the fourth album, "Sign Of The Times" (2009) which takes a more 'progressive' approach to Trance music, which also reflects the duo's DJ sets.
11606	KMFDM	Kein Mehrheit Für Die Mitleid	Correct	
11691	Jose Amnesia	Roberto Longiarù	Correct	\N
11769	Scooter	H.P. Baxxter (Hans Peter Geerdes), Rick J. Jordan (Hendrik Stadler), Jay Frog (Jürgen Frosch)	Correct	
12283	BMR	\N	Correct	German House project.
12526	Trance Allstars	\N	Needs Vote	[a=Michael Gerlach]
12591	Beats International	Norman Cook, Luke Cresswell, Andy Boucher, Lindy L	Correct	Norman Cook, Luke Cresswell, Andy Boucher, Lindy Layton, Lester Noel
12773	Aquagen	Gino Montesano	Needs Vote	\N
12781	Plaything	Ricky Romanini	Correct	\N
12789	Ian Van Dahl	Dave McMullen	Needs Minor Changes	S Productions. They started releasing tracks as AnnaGrace.
13608	Kylie Minogue	Kylie Ann Minogue	Needs Vote	
13678	Mystery, The	Ronald van den Beuken	Correct	\N
13687	4 Strings	Vanessa Van Hemmert	Correct	\N
13692	Mario Lopez	Thomas Schatz	Needs Vote	Nice to know that "The Sound Of Nature Part 3" (also named as "The Sound Of The City Nature 2.4") has 2 different frontcovers.
13719	Colin Newman	Colin John Newman	Needs Vote	Born: 16 September 1954, in Salisbury, Wiltshire.
13774	Sylver	Silvy de Bie	Correct	can be found under both artist-names.)
13842	Minimalistix	Poison IV	Correct	In Motion (Believe) and Tillman Uhrmacher (On The Run).
13861	Neo Cortex	Heiko Lempio	Correct	\N
13864	DJ Tatana	Tatana Sterba	Needs Major Changes	
13925	Heliotropic	Heliotropic	Correct	\N
14495	Solar	\N	Correct	\N
14742	EPMD	Eric Sermon and Parrish Smith	Needs Vote	EPMD (Erick Sermon and Parrish Smith), with their sample-reliant productions and monotone rapping styles, were among the best in hip-hop's underground during the late '80s and early '90s. Never short of a funky groove and a sharp lyric EPMD created many classics over the course of their four albums (from the 1988 classic Strictly Business to 1992's Business Never Personal). Coming together in 1987 - naming themselves EPMD, short for "Erick and Parrish Making Dollars" - the duo recorded their debut single "It's My Thing". That single was later licensed to Chrysalis, and EPMD was eventually signed to Sleeping Bag/Fresh Records for their first full length album "Strictly Business".  Ultimately they found themselves on Def Jam by the beginning of the '90s. Presideding over an extended family dubbed the Hit Squad, including Redman, K-Solo, and Das EFX.
15682	Brad Fiedel	Brad Ira Fiedel	Correct	By the end of the 1990s he had almost disappeared from the mainstream.
15683	Tahnee Cain And Tryanglz	Tane McClure	Correct	Once-off faux group for Tane Cain's appearance (as she was known then) on the "The Terminator" soundtrack.
15684	Jay Ferguson And 16mm	\N	Correct	\N
15685	Linn Van Hek	\N	Correct	\N
15825	Lindy Layton	Belinda Kimberly Layton	Correct	Lindy Layton was a founder member of, and vocalist for, Beats International. Went on to release other work as Hardknox on Skint Records.
16418	R.O.O.S.	Piet Bervoets	Correct	\N
16747	Rockers Revenge	\N	Correct	\N
16761	Digital Underground	Gregory "Shock-G" Jacobs, David "DJ Fuze" Elliot	Correct	Digital Underground, a shifting stable of rappers and DJs led by Shock G, formed in Oakland in 1987. Their music has always been heavily influenced by George Clinton and Parliament Funkadelic, in both Digital Underground's grooves and the surreal humor in their rhymes. Digital Underground's first record was the 1987 single "Underwater Rimes" by TNT Records which, oddly enough, reached No. 1 in the Netherlands. At that point, the group consisted of Shock G and Chopmaster J; by 1989, when Digital Underground signed with Tommy Boy Records, there were seven members. The group's first album on Tommy Boy was 1989's Sex Packets. The album's first singles, "Doowhutchyalike" and "The Humpty Dance," showcased Shock G's nasally prolific alter ego Humpty Hump. The character was a hit as the single went to No. 11 on the pop charts, pushing the album to platinum sales. Sex Packets was followed by This is an EP Release in 1991. The EP was Digital Underground's first recording with new member Tupac Shakur and the group Gold Money; it went gold, as did 1991's Sons of the P album. However, as the '90s wore on, the rap charts were taken over by hardcore gansta artists, and more lighthearted music like that of Digital Underground was no longer commercially viable. Despite debuting another successful solo rapper, Saafir, 1993's Body Hat Syndrome barely registered on the charts, and the group disappeared for three years before releasing Future Rhythm in 1996 and Who's Got the Gravy? in 1998.
16794	Sylvester	Sylvester James	Correct	Sylvester James (September 6, 1947 – December 16, 1988) was an American disco and soul musician, and a gay drag performer. Performing under his first name only, he is considered one of the first Hi-NRG artists and the first "male diva" of disco.  Sadly, Sylvester passed away in 1988 from complications due to AIDS.
17035	Chaka Khan	Carole Yvette Marie Stevens	Correct	
17815	Boris Dlugosch	Boris Dlugosch	Needs Vote	Hamburg based House producer, remixer, former resident DJ of legendary "FRONT" club and a pioneer of German House music culture.
18677	Oliver Cheatham	\N	Needs Vote	Oliver Cheatham now lives in Surrey, UK.
18700	Etienne Daho	Étienne Daho	Correct	as one of his main influences.
19083	Gielen	Johan Gielen	Needs Vote	\N
20037	Squaremeat	Francois Faggott	Correct	In 1996 Midiliitto, a Finnish music community, was started and from within Midiliitto the need arose for a new project, thus Squaremeat was born.\nSquaremeat's style is a mix of house, trance, funk, disco and techno with ethnic spice. Performed in 14 countries so far.
20544	Alain Goraguer	Alain Yves Reginald Goraguer	Needs Vote	Alain Goraguer is a French composer born on August 20, 1931 in Rosny-sous-Bois (France). A jazz piano player, he is also known for his talents as an arranger and movie scores composer.
20942	Waterman	Mike Stock, Matt Aitken, Pete Waterman	Needs Vote	\N
21081	Factory Team	\N	Correct	\N
22164	Fire	\N	Needs Vote	Inducted into Rock And Roll Hall of Fame in 2000 (Performer).
23765	Eli Janney	\N	Correct	Eli Janney is an American record producer and engineer born in Washington, D.C.. Janney also plays bass and keyboards in the indie rock band Girls Against Boys.
24076	Lasgo	Evy Goffin.	Correct	David Vervoort (producer), 2001-2006
25018	Noémi	Christian Beneken, Manfred Hölter, Mike Griesheimer, Stefania, Thomas Detert, Thorsten Kipka	Needs Vote	Briefly before the release of Noémi's fourth single "I Do 4 U" JIVE/Zomba Records closed their dance division and kicked Noémi. Vocalist Stefania left the project at the beginning of 2003 to do some pop music like she did before her success with the dance project. Since then there have been a few remixes by the Noémi DJ-Team, but in fact, the project is dead. The completed debut album "Red" was recently released and is now available to majority online music stores.
26044	DNA	\N	Correct	DNA was the pseudonym taken by two British dance music producers Nick Batt and Neal Slateford, best known for issuing a remix of Suzanne Vega's "Tom's Diner" in 1990.
26165	Zazou Bikaye	\N	Correct	\N
69193	Co.	Richie Weeks	Correct	American disco band formed by singer/producer Richie Weeks.
69856	Vincent Kenis	Vincent Kenis	Correct	\N
26219	Bel Canto	Geir Jenssen (1985 - 1990)	Needs Vote	The alias Bel Kanto was used in Norway on the first two album and the singles from them because of legal reasons. A choir already used the name Bel Canto.
27500	China Crisis	\N	Needs Vote	Arty synth-rock group formed in Liverpool, UK in 1979 and comprising Gary Daly (vocals), Eddie Lundon (guitar), Brian McNeill (keyboards), Gazza Johnson (bass) and Kevin Wilkinson (drums).
27737	DJ Shog	Sven Greiner	Needs Vote	In 2005, Sven Greiner started his own Label [l=7th Sense Records]
27769	Lazard	Frank Cornelis, Silvio von Lichtenstein	Needs Vote	Media and the project was taken over by label owners Frank Cornelis and Silvio von Lichtenstein. Some remixes were produced with Marc van Linden and D-Gor, and later new Lazard singles were released, with different producers. Today the project is represented by EMI.
27887	DJs @ Work	Herby F, Ole Van Dansk (until 2003), Lenny McDustin	Needs Vote	. In 2003 Ole van Dansk left the group to produce his own tracks for [l=Aqualoop Records], but in early 2005 he joined the team again to work on a new single.
27941	Marc Aurel	Marc Auerswald	Correct	\N
28141	Warp Brothers	Jürgen Dohr	Correct	The Warp Brothers were founded in 1999 by the DJs Oliver Goedicke and Jürgen Dohr. Their style is uplifting Harder House, something between The Prodigy, Chemical Brothers, Hard Acid Techno and Hard Trance.  Their biggest hits have been 'Phatt Bass' and 'We Will Survive' which went top 10 in several countries including the UK and Germany.
28795	Prince	Prince Rogers Nelson	Correct	Inducted into Rock And Roll Hall of Fame in 2004 (Performer).
29019	Steps Ahead	\N	Correct	
29101	D.O.N.S.	Nils Karsten	Correct	Commercial trance and house act based in Hamburg, Germany.
29316	Dee Dee	Diana Trippaers	Correct	
33200	Cheryl Lynn	Lynda Cheryl Smith	Needs Vote	and others.
33496	Kelly Llorenna	\N	Needs Vote	Guest vocalist on some N-Trance songs, in particular 'Set You Free'
33601	Shanan	\N	Correct	\N
33750	Zhi-Vago	\N	Needs Vote	\N
35251	Rachel McFarlane	Rachel McFarlane	Correct	\N
35289	Ritchie Family, The	\N	Correct	Cheryl Mason Jacks who have no current plans for a reunion.
36507	Illicit	\N	Correct	US: flylifemusic@aol.com, tel: +1 917 606 0155
36824	Imaginears	Tim Factor	Correct	\N
37224	Sister Sledge	\N	Correct	B charts.
37594	Sophie Ellis-Bextor	Sophie Michelle Ellis-Bextor	Needs Vote	Born 10 April, 1979 in Middlesex, England. Is a multi-platinum-selling English pop singer and songwriter. Her music is a mixture of mainstream pop, indie, disco, and '80s electronic influences.
37720	Starsplash	Frank Fritze	Needs Vote	.
37727	Gilles Martin	\N	Complete and Correct	\N
37757	a-ha	Magne Furuholm	Correct	
37977	Luc Devriese	Luc Devriese	Correct	\N
38085	Spokesman	Luc Devriese	Correct	\N
38225	Mobi D	Phil Wale	Correct	producer.
38863	Aretha Franklin	Aretha Louise Franklin	Needs Vote	.
39838	Erick Sermon	Erick Sermon	Needs Vote	Erick Sermon (born November 25, 1968 in Bay Shore, New York) is an African-American hip hop musician and record producer. He is known as one half of hip-hop group EPMD. He's done production for artists like Das EFX, En Vogue, SWV, Keith Murray, Redman, Method Man, LL Cool J, Jay-Z and many more.
40372	United Grooves Collective	\N	Correct	\N
40680	Peak:Shift	Simon Flower	Correct	Electronic musician from New Zealand. Founder of Nurture Recordings.
41196	Kitty Winter Gipsy Nova	\N	Correct	\N
41399	Kitty Winter	\N	Needs Vote	\N
41519	Symphonic	\N	Correct	\N
41891	Augustus Pablo	Horace Swaby	Needs Vote	
42826	Teebone	Leon Thompson	Needs Vote	\N
42885	Groove Junkies	Evan Landes	Correct	\N
43933	Langenhagen	\N	Correct	DJ Yanny
44657	Damian Wild	\N	Needs Minor Changes	
45023	DJ HS	Hervé Serres	Correct	\N
46819	Jet (2)	\N	Correct	Jet are a rock band from Melbourne, Australia, whose debut album Get Born, released in 2003, has so far sold over 3.5 million copies throughout the world, and released Shine On in 2006.
48865	The Gang	\N	Correct	Now a quintet consisting of brothers Robert "Kool" Bell, Ronald Bell (Khalis Bayyan), George Brown, Dennis Thomas and Charles Smith (all original group members), the group tours internationally, and has a particularly large following in Asia. J.T. Taylor has continued his solo career, with limited success.
50514	KRS-One	Lawrence Krisna Parker	Correct	
51188	Paris (2)	Oscar Jackson	Needs Vote	Political US-american rapper from San Francisco, CA.Founder of Guerrila Funk Records and Scarface Records was working on Wall Street as a stockbroker but went back to music
52489	Mats Björklund	\N	Needs Vote	Born 23.10.1949
52510	Tony Mansfield	\N	Correct	
55804	Jackie Moore	\N	Needs Vote	, "Seconds".
55980	Strokes, The	\N	Needs Vote	The Strokes are an American garage rock, post-punk, indie rock band from New York, founded 1998.
56165	Demote	Jürgen Spann	Correct	\N
57087	Justine Suissa	Justine Suissa	Needs Vote	Beyond (remixers to Madonna) snapped up Justine to form OceanLab in 2001, the hot new project that quickly claimed a European dance chart number one in their first year and reaching various European singles charts including the UK's. OceanLab are now established as one of the most respected vocal trance acts worldwide and by July 2003, Justine had been voted top trance vocalist by the Trance.nu website.
58349	Candy Dulfer	Candy Dulfer	Needs Vote	Dutch female saxophone-player. Played alongside artists like Prince, Aretha Franklin, Living Colour, Van Morrison and Pink Floyd. She was born 19 September 1969 in Amsterdam, The Netherlands and is the daughter of [a=Hans Dulfer].
58574	Evelyn Thomas	Ellen Lucille Thomas	Correct	Born in 1953, Chicago. Evelyn grew up on Chicago's south side, an area rich in musical history.
59453	Herb Powers Jr.	Herb Powers Jr.	Correct	
60901	LMC	ris Nuttall	Correct	
61857	7-7-0	Tobias David Lützenkirchen	Correct	\N
62548	Karen Finley	\N	Needs Vote	b. 1956, Evanston, Illinois. Controversial performance artist.
63543	Jon Gass	\N	Needs Vote	, Hollywood, California.
63366	Time Frequency, The	Steven Nelson	Needs Vote	
66670	Peoples	\N	Correct	
66733	Lange	Stuart James Langelaan	Correct	September) together with dates in USA and across Europe.
67977	Jazzi P	Pauline Bennett	Correct	\N
68325	Piet Bervoets	Pieter W. Bervoets	Correct	Dutch trance producer.
330337	Bruce Robb	Robert Bruce Donaldson	Correct	\N
69857	Marc Hollander	Marc Hollander	Needs Vote	Belgium-based musician and producer. After releasing 2 albums by his band Aksak Maboul (with Vincent Kenis), founded the [l=Crammed Discs] label in 1981, which he still runs to this day.
71247	Andy Bostyn	\N	Correct	\N
72657	Daniel Ro	\N	Correct	Logic resident and co-owner and label manager of Peroxide, Daniel Ro is one of the UK's finest producers of hard driving trance, in 2002 he moved over to New Zealand, basing himself in the north island city of Auckland were his continued sucess has elevated his status as a leading DJ on both sides of the globe.
73326	Docking Station	\N	Correct	\N
73336	Skye (2)	Katie Marne	Correct	\N
76398	Frank Farian	Franz Reuther	Needs Vote	Born 18. July 1941 in Kirn, Germany.
76497	Clubspeakers	Michael Simon, Shahin Moshirian, Stephan Browarczyk	Correct	\N
77720	Jürgen Spann	Jürgen Spann	Correct	\N
80134	Weather Girls, The	Izora Armstead, Martha Wash, Dynelle "Dee" Rhodes, Ingrid Arthur	Correct	Ingrid Arthur, revamped Weather Girls. The new incarnation seems to be less a mockery of big women and showcases the sisters powerful vocals.
80509	Francoise Faggott	\N	Correct	\N
80510	Pepe Kosminen	Petri Kosminen	Needs Vote	\N
81421	Quick, The	George McFarlane	Needs Vote	In 2006, Campsie became infamous for writing the Kandy Floss record and was mistakenly credited as being a famous member of Go West by Mr Holy Moly in Metro's 25 February edition.
81836	Frantique	\N	Needs Vote	
81913	Angel_One	Uwe Engel, Marcus Layton	Needs Vote	\N
82735	Spinners	\N	Correct	"Detroit" was added to the Spinners name in the UK to avoid confusion with the UK folk group of the same name. The group was formed in the 1960s, and towards the end of the 1970s recorded several disco tracks, culminating in their 1980 international smash hit "Working my way back to you", arranged by Michael Zager. However we must not overlook the more obscure including the funky "Once you fall in love" and "If you wanna do a dance". More soulful hits include "Rubberband Man".
82811	James Farber	\N	Needs Vote	, NYC.
84795	Maceo Parker	Maceo Parker Jr.	Correct	.
89562	Caroline Lavelle	\N	Correct	British singer-songwriter and cellist.
90623	Nonchalant	Tonya Pointer	Correct	\N
91175	King Tech	\N	Correct	\N
93016	Bruno Van Garsse	Bruno Van Garsse	Correct	Belgian producer of several underground and commercial projects in the late 80's and early 90's.
93280	Walter Becker	Walter Carl Becker	Needs Vote	, and then for a longer time to tour as Steely Dan in 1993. The duo worked on each-others solo albums, Fagen's "Kamakiriad" and Becker's "11 Tracks Of Whack." Walter Becker is currently working on his next album in New York.
93674	Craig Peyton	Craig Peyton	Needs Vote	\N
98744	Minimal Compact	Rami Fortis	Needs Vote	\N
100519	Tina Charles	Tina Hoskins	Needs Vote	
101773	Ian Curnow	\N	Correct	\N
102781	Martin Roth	Martin Roth	Correct	German DJ and producer.
111166	Lewis	\N	Correct	\N
113509	Bob Mallett	\N	Correct	\N
114934	Pål Waaktaar	Pål Waaktaar-Savoy	Correct	
115264	Nick Bracegirdle	Nicholas Bracegirdle	Needs Vote	\N
116072	Voice Of The Underground	Costantino Mixmaster Padovanno, Maurizio Jazzvoice Verbeni, Martin Monster Aurelio and Stefano Paganelli	Needs Vote	italian project.
122232	Alan Tarney	Alan Tarney	Needs Vote	among others.
127854	Phill Brown	\N	Needs Vote	Note: Do not confuse with the American producer [a=Phil Brown]
131486	Sway (3)	Jonathan Ahmad Calloway	Correct	\N
132805	Paul Logus	\N	Correct	Engineer
134067	DJ Pierre (3)	Pierre Noisiez	Correct	Born in 1973, this excellent Belgian DJ started mixing at the ripe young age of 14. After reputable residencies at club 55 (Kortrijk) and Café D'Anvers (Antwerp), he earned the grand-daddy of them all, residency at Brussels's Fuse. This was soon followed by extensive dates at monster clubs throughout Europe Rex (Paris), Mazzo (Amsterdam), The End (London), Titanik and MDM (Moscow)]. As one thing inevitably leads to another with talents such as Pierre, he became a fixture at huge parties such as Techno Parade - Paris (150.000 people), Dance Valley (60.000 people), Mayday (25.000 people), I Love Techno (30.000 people), 10 Days of Techno, the Dour Festival, and Axion Beach. Pierre is also responsible for several compilations and remixed Praga Khan. Next to that, he was voted "Best Belgian DJ 2000" by the readers of Out Soon, Belgium's most popular dance magazine. Pierre is resident on the fuse level at Fuse since the opening in 1994.
134700	Tony Hatch	Anthony Peter Hatch	Needs Vote	.
135795	Pascal Comelade	Pascal Paul Vincent Comelade	Needs Vote	French-catalan musician, born June 30, 1955 in Montpellier. Comelade began making strange cover songs of rock and easy listening standards with such instruments as singing saw, toy piano etc. He later developed an unconfoundable style, co-operated with artists like Robert Wyatt or Faust, and even counts with a follower band in Japan, the Pascals.
135847	Michael Brecker	Michael Brecker	Correct	.
135946	Johnny Cash	John Ray Cash	Needs Vote	Inducted into Rock And Roll Hall of Fame in 1992 (Performer).
136628	John Ratcliff	\N	Correct	A schoolboy International at both Rugby and Athletics (400m), he went onto work as a musician, actor, singer, producer and writer. Discovered 'a-ha' in 1983, produced and managed the Norwegian group who went onto sell more than 75 million records.  Runs Sprint Music Limited from a converted barn in Barton St David, Somerset.
138140	Andorfine	\N	Correct	\N
141284	ACTUS	Batári Sándor, Bényei Tibor, Csávás Attila, Duck János, Égő Ákos, Fukk Attila, Füle Csaba, Horváth Róbert, Kövesi Márton, Kőszegi Zsolt, Kuli László, Martin Péter, Moldován Viktória, Németh Alajos, Nyikes Zoltán, Poros Tibor, Rády Sándor Zsolt, Rejtő Gábor, Récsey András, Sütő Gábor, Szántai Lajos, Tamási Antal, Varga Álmos, Vedres József, Végh Katalin, Vida Zoltán, Kulcsár Atilla	Needs Vote	A.C.T.U.S., Archaic Cultural Traditions United in a Society, Budapest, founded in 1987, can be characterised primarily by their use of heroic choirs, monotonous and monumental rhythms, epic singing, synthesizers that generate atmosphere and wide open spaces and tension-loosening saxophones.
143563	Aksak Maboul	Vincent Kenis	Correct	minimal music) can retrospectively be viewed as a blueprint for most of the music which was released by Crammed during the next two decades.
146781	Iyk Zilly	\N	Correct	\N
146950	Nio	Bobby	Correct	\N
333419	Morten Harket	\N	Correct	\N
336292	Peter Day	\N	Needs Vote	\N
342261	Blue Melons, The	\N	Correct	\N
345763	Warren Bernhardt	Warren Bernhardt	Needs Vote	
346050	Horace Swaby	Horace Swaby	Correct	
147021	John Frye	\N	Needs Vote	Recording/sound engineer John Frye, who was born in Framingham, Massachusetts, shares a love for music with his engineer brother [a=Brian Frye] (who works regularly with Jermaine Dupri and has made records with Mariah Carey, Destiny's Child and Alicia Keys). The two eventually gravitated to the West Coast, where they slowly got drawn into both the playing and business sides of the industry. Growing up during the era of mega-production that was the '70s, and experimenting with his own ear over time, John became especially attentive to the mechanics of sound. And when his brother began to do live sound for San Francisco area bands like the Tubes, his curiosity soon made him aware of a art school in Atlanta that also offered a music industry curriculum.
147024	Khujo Goodie	Willie Knighton	Needs Vote	
147027	Neal Pogue	\N	Correct	\N
147827	John Dent	John Dent	Correct	
149082	Edward Ferrell	Edward Ferrell	Correct	\N
149898	Mash Up Kids, The	\N	Correct	\N
150182	Jean-Claude Vannier	\N	Correct	\N
152001	J.J. Burnel	Jean Jacques Burnel	Needs Vote	\N
154434	Hamilton Bohannon	Hamilton Frederick Bohannon	Correct	
155404	Gez Dewar	Gerard John Dewar	Correct	New Media.
157578	Michael Verdick	\N	Needs Vote	Significant Production and Engineering Credits
163835	Johan Daansen	Johan Daansen	Needs Vote	Multi-instrumentalist, producer.
169154	Jacksons, The	\N	Needs Vote	.
170755	Johnny Mathis	John Royce Mathis	Correct	.
173249	Lee S	Lee Squires	Correct	House DJ and producer based in Liverpool, UK.
175220	Tony Rich	Anthony Jeffires	Correct	American singer/producer born on November 19, 1971.
179633	Kleptomania	\N	Correct	\N
180585	Jimmy Page	James Patrick Page	Needs Vote	Born 9th January 1944, Heston, Middlesex, United Kingdom.
180586	Robert Plant	Robert Anthony Plant	Needs Vote	English musician, singer and songwriter, born Aug. 20, 1948 in West Bromwich, Staffordshire, England.
181917	Blue Venice	\N	Correct	\N
186991	Honeymoon Killers, The	\N	Needs Vote	
187011	La Toya Jackson	La Toya Yvonne Jackson	Correct	American singer-songwriter, musician, author, television personality and actress born on May 29, 1956. She is the fifth child of the famous Jackson family. Sometimes credited as LaToya Jackson
189144	Kenny M	\N	Correct	\N
189145	D.R.	\N	Needs Vote	\N
189830	Khaliq Asharri	\N	Correct	\N
189832	DJ Yon	\N	Correct	\N
190647	Band Apart	\N	Correct	\N
190648	Sonoko	\N	Correct	\N
190649	Véronique Vincent	\N	Needs Vote	\N
190650	Des Airs	\N	Correct	\N
193103	Audiolush	Stuart Connor	Correct	\N
193582	David Paich	David Frank Paich	Correct	
196010	John French	\N	Needs Vote	
201497	Herb	\N	Needs Vote	Herb" since its creation in 1965, while six consecutive women have filled the role of "Peaches."
204278	Claudio Collino	Claudio Collino	Correct	Italian musician, arranger and producer.
204948	David Parton	David Eric Stanley Parton	Correct	\N
208290	Pit Löw	\N	Needs Vote	\N
213242	Clare Fischer	\N	Needs Vote	
217335	Dave Greenberg	Robert David Greenberg	Correct	Engineer, mixer from California, USA
218577	Limelight (3)	Slobodan Petrovic Jr.	Correct	\N
220575	Susanne	\N	Correct	\N
232153	Kevin Elson	\N	Needs Vote	engineer.
232645	Mike Mainieri	Michael T. Mainieri Jr.	Correct	American producer, vibraphone player, pianist, percussionist and songwriter, born July 4, 1938 in New York. Mainieri married singer/songwriter and harpist [a1602960] in 1993.
235055	Peter Beckett	Peter Shaun Beckett	Needs Vote	Guitarist born in Aigburth, Liverpool, England.
240613	Jay Ferguson	\N	Correct	\N
240614	Trevor Courtney	\N	Correct	\N
243611	Tammy Grohé	Reinhard Grohe	Correct	\N
244066	Frankie Pine	\N	Correct	\N
244067	Shared	\N	Correct	\N
244135	Greg Calbi	Greg Calbi	Needs Vote	[l=Masterdisk]
244593	Nick Hale	Nicholas John Hale	Correct	\N
247292	DJ Figgy	\N	Correct	\N
249458	Bruce Leighton	\N	Needs Vote	\N
249459	Eric Bertraud	\N	Correct	\N
251493	Peter Moore (2)	\N	Correct	\N
251565	Dave Sardy	David Sardy	Correct	producer also for Barkmarket.
252201	Gordon Raphael	\N	Needs Vote	\N
256225	Tony Levin	Anthony Levin	Needs Vote	
257421	Peter Erskine	Peter Clark Erskine	Correct	
271076	Les King	\N	Correct	\N
272530	Edlmann	\N	Needs Vote	\N
272531	Jamer$on	\N	Needs Vote	\N
272796	Steve Lukather	Steven Lee Lukather	Correct	arranger.
274957	Eddie Gomez	Edgar Gómez	Needs Vote	Jazz bassist. Born October 4, 1944 in Santurce, Puerto Rico.
275054	EMF (2)	Einer Münchens Feinsten	Needs Vote	\N
275501	Strafe (2)	\N	Correct	\N
276459	Alan Ward	Alain Pierre Ward	Needs Vote	Played in the protopunk band "Bastard" with Brian James (The Damned) and Eef Kengen aka Yke (Raxola)
276715	Thorax-Wach	Frank Dieckmann, Olaf Krämer	Correct	\N
277037	Curt Cress	Curt Cress	Needs Vote	German drummer and composer, born 11. August 1952.
277579	Robin McAuley	\N	Correct	Irish vocalist, born 20 January 1953 in County Meath, Ireland.
281413	Jean-Pierre Sabar	Jean-Pierre Guigon	Needs Vote	\N
281870	Mark Wilson (3)	\N	Correct	Born 1979, is a bass guitarist from Geelong, Victoria.
297217	Steve Gregory	\N	Needs Vote	Saxophone player.
298882	Greg Boyer	\N	Needs Vote	\N
298951	Chuck Loeb	Charles Samuel „Chuck“ Loeb	Correct	US-American Jazz guitarist, composer and producer, born 12 July 1955 in Suffern, New York, USA.
302255	Empty	\N	Correct	\N
302719	Arthur Payson	\N	Correct	Engineer.
303328	Mike Krowiak	\N	Correct	Engineer.
303460	Far Corporation	\N	Correct	\N
309762	Manor Mobile	\N	Needs Vote	Before entering a credit for the mobile as an Artist - consider the tag; [l264340] which may be more accurate to the release's credit
312858	Klaus Osterloh	\N	Needs Vote	German trumpet player (born 1952, Bremen, Germany).
318507	Serp	David "Dave" Burles	Correct	\N
319612	Tony Rich Project, The	\N	Correct	\N
325408	Sweet Sensation (2)	Marcel King, Vincent James, Junior Faye, St. Clair Palmer, Barry Johnson	Correct	
327411	Ross Levinson	\N	Needs Vote	\N
328677	Dani	Dani Graule	Correct	\N
357442	Peter Bischof	Peter Bischof-Fallenstein	Needs Vote	\N
364368	Ryan Castle	\N	Correct	\N
366709	Herman Heinsbroek	Hermanus Philippus Johannes Bernardus Heinsbroek	Needs Vote	Dutch entrepreneur (Schiedam, January 12, 1951) and former Minister for Economic Affairs. He resigned as a Minister within three months of installment. In the seventies and eigthies he was the director Benelux of  the record company Arcade.
369807	Bernd Berwanger	\N	Needs Vote	\N
369810	Carmine Di	\N	Correct	Engineer
372593	Carlos Albrecht	\N	Correct	German sound engineer, born 1943 in Berlin, raised in Argentina. He studied in Düsseldorf, since 1972 he worked at Bauer Studios Ludwigsburg, since 1986 he was a freelance engineer for various German broadcasters. He was professor in Detmold, has written a standard German textbook on sound engineering and is president of the Verband Deutscher Tonmeister (VDT).
379144	Bimey Oberreit	Walter Andreas Oberreit	Needs Vote	Guitarist and vocalist
379204	Gérard Blanchard	\N	Correct	French singer who had some commercial success in the 80's. He was also famous for playing accordion while singing.
379205	René Michel	\N	Correct	\N
379225	Kevin Wilkinson	Kevin Michael Wilkinson	Correct	
381499	Scott Church	\N	Correct	Engineer
382017	Brian Frye	\N	Correct	Recording/sound engineer, and brother of engineer [a=John Frye].
383969	Jackson Singers, The	\N	Correct	\N
385281	David Barreto	\N	Correct	Swiss vocalist.
385282	Bertl Gebhard	\N	Correct	\N
385283	Bobby Kimball	Robert Troy Kimball	Correct	Born: March 29, 1947, Vinton, Louisiana
389345	Jeff Hendrickson	\N	Correct	Sound engineer.
392620	Moira Marquis	\N	Needs Vote	Engineer
400178	Ben Greaves	\N	Correct	\N
409563	Joe Gallardo	\N	Correct	Jazz trombonist
409564	Wilhelm F. Schmid	\N	Correct	\N
409565	Reinhold Hirth	\N	Needs Vote	\N
409567	Martin Spiegelberg	\N	Correct	\N
409569	Kuno Schmid	\N	Correct	German composer, arranger, pianist, conductor.
409570	Klaus Mitschele	\N	Correct	\N
418622	Gary Daly	\N	Correct	\N
418623	Eddie Lundon	\N	Correct	\N
427368	Scott Ansell	\N	Correct	Engineer.
427491	Young Blood (2)	\N	Correct	\N
427638	OceanLab	\N	Correct	.
429119	Collinski	\N	Correct	\N
429120	DJ Mauro Novani	\N	Correct	\N
465456	Nan Schuring	\N	Correct	\N
476441	Joshua Dunham	\N	Correct	\N
476442	Ray Montiero	\N	Correct	\N
476444	Cora Coleman Dunham	\N	Correct	\N
476445	Herbert Urena	\N	Correct	\N
480435	Mags (2)	Magne Furuholmen	Needs Vote	\N
487032	Prophet (5)	\N	Correct	\N
487033	T.C. Moses	\N	Correct	\N
487034	Andrew Camay	\N	Correct	\N
495525	Garry Rindfuss	\N	Needs Vote	, New York
518037	Nic Cester	Nicholas "Nic" John Cester	Correct	Born July 6, 1979 in Melbourne, Australia. Is an Australian musician, best known for his lead vocals in the rock band Jet.
532840	Brian McNeill	Brian McNeill	Correct	\N
568661	Gazza Johnson	\N	Correct	\N
596126	David Burles	\N	Correct	\N
599752	Christine Martin	\N	Correct	\N
622371	Claire Jarvis	\N	Correct	\N
639833	Steven Nelson (2)	Steven Nelson	Correct	\N
643832	Clinton Francis	\N	Correct	\N
651252	Chris Cester	Christopher Cester	Correct	Born 1981, is the drummer and backing vocalist from Australian rock band Jet. His brother is Nic Cester, the band's lead singer.
651394	Shanan Holm	Shanan Holm	Correct	\N
661435	Dave Reilly	David John Reilly	Correct	Percussionist.
693410	Yamakawa	\N	Correct	\N
693411	Gloom (3)	\N	Correct	Japanese crust band.
693412	Habi	\N	Correct	\N
693413	Mitsuru (2)	\N	Correct	\N
693414	Jhonio	\N	Correct	\N
694889	Taki (3)	\N	Correct	\N
793239	Crust War, The	\N	Correct	\N
872122	Steve Riddel	\N	Correct	\N
971447	Ippei Suda	須田一平 (Suda Ippei)	Correct	Osaka-based recording engineer.
1005755	Bill Butt	\N	Correct	television director.
1049365	James Gardner (4)	\N	Correct	Guitar player James Gardner aka "Silky"
1116274	Bob Defrin	\N	Correct	American art director, graphic designer and head of art for Atlantic Records
1148842	Jason DeCosta	\N	Needs Vote	\N
1251452	Danny Berniny	\N	Needs Major Changes	\N
1265259	Olaf Krämer	\N	Correct	\N
1265260	Frank Dieckmann	\N	Correct	\N
1386472	Yossie	Yoshihisa Maeda	Needs Vote	\N
1815102	Willi Gärtner	\N	Correct	\N
1815336	Ferenc Aszodi	Ferenc Aszódi	Correct	for almost 30 years.
1838967	Myosotis	\N	Correct	Founded in 1972 by 2 men working for a record company at that time. They decided to start a company for themselves designing record sleeves, located in a villa in Baarn, the Netherlands. Nowadays residing in Amersfoort, the Netherlands. Myosotis means "do not forget me".\n\nPlease note: The Dutch city Baarn shouldn't be used as ANV of Myosotis. Baarn can be mentioned in the notes instead.
1932966	Mark Phillips (9)	\N	Correct	
1937566	Liaison Internationale	\N	Correct	French Design Agency.
2032669	Alethea	\N	Needs Major Changes	\N
2123239	N. Barni	\N	Needs Major Changes	\N
2149211	Kai Arponen	Kai Arponen	Correct	Graphic designer from Helsinki, Finland.
2238483	David Kennedy (10)	David Michael Kennedy	Correct	Photographer working in New York in the 1970s and 80s. Kennedy developed a successful career in advertising, editorial, album cover and portrait photography. In 1986 leaving his commercial career behind to concentrate solely on his personal work he moved to northern New Mexico where he began to produce a new body of work based on the landscape and peoples of the Southwest. In March 2004 he left New Mexico and began a two year journey through America. Traveling and living in a vintage 1960 Airstream Trailer, he traveled 70,000 miles photographing the landscape and its people. His aim was to photograph what is left of an America that exists quietly outside the frantic Zeitgeist of this era, where people haven't entirely forgotten that the principle business of life is to enjoy it. Now he is back in New Mexico working on the Images from the Road.
2251056	Ian Patrick	\N	Needs Major Changes	\N
2363404	Ron And Valerie Taylor	\N	Needs Major Changes	\N
2387321	Kevin Wilkinson (2)	\N	Needs Major Changes	\N
\.


--
-- Data for Name: artists_aliases; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_aliases (artist_id, name) FROM stdin;
161	I Am Child
161	Lester Klark
161	Messenger, The
161	Sample Choir
161	Todd Edwards Project, The
161	Todd Imperatrice
161	Werks
10927	&
1031	Barracuda
1031	Brainstorm (3)
1031	DJ Cake
1031	Lopez
1031	Mindstorm (2)
1031	Richard M. Hall
1031	U.H.F.
1031	Voodoo Child
1627	Arpeggiators
1627	Bazz.Clan
1627	Bypass X
1627	Microbots
1627	Phuture Wax
1627	Psycho Drums
1868	Barraka
1868	Experiment, The
1868	Heliotropic
1868	Rhythm Thieves
1868	Tenth Planet
1868	Vengeance (2)
4073	Andreas Litterscheid
4073	Heart Of Stone
4073	Sunchild (2)
4205	Beepers, The (2)
4205	Einzelgänger (2)
4205	Johnny Schilling
4205	Musicland Set
4205	Stammer The Hammer
4604	Headnodz
4604	Nick Holder
4604	Project 32
4604	Rockers Delight (2)
4604	Sunnyside Pavilion
5115	Pandro Hocheval
5115	Peter Carcinogenic
5115	Peter Dachert
5401	Bitcrusher
5401	Girotondo
5401	Mental Pabvlvm
5401	Paul Gaarn
5401	Vintage Millenium
5401	Wavestorm
5797	André Tanneberger
5797	Daniel G. Sarr
5797	Danny Lee
5797	Delegate (3)
5797	Electric Gold
5797	Joan Robinson
5797	Naughty A.T.
5797	Niko T.
5797	Taylor (17)
5966	Brutus
5966	&
5966	Nero
5966	Da Bomb
5966	Gorgeous
5966	Sunshine People
6268	Creatures Of The Night
6268	Joeboy
6270	Donna Gaines
6270	Gayn Pierre
6274	Megatron Man (2)
6373	Eclipse
6373	Groovelines, The
6373	House Of Glass
6373	Power Flower
6442	Bevan Smith
6442	Signer
6520	Dalton Brothers, The
6636	2 Hi
6636	Caramel Club, The
6636	Chainside
6636	Club Scene Investigators
6636	Cut The Cake
6636	Da Klubb Kings
6636	Delano
6636	&
6636	Crockett
6636	Dutch Maffia
6636	Frantic Explosion
6636	Greenfield
6636	Hardliners
6636	Hi_Tack
6636	Infectious!
6636	Itty Bitty Boozy Woozy
6636	K
6636	&
6636	A
6636	KA-22
6636	Koen Groeneveld
6636	&
6636	Addy van der Zwan
6636	LCD-J
6636	Los Pampas Featuring The Dixieband
6636	Mellow Tracks
6636	Rotterdam Gang, The
6636	Sleezy G
6636	Sound Of Now, The
6636	Speakerz!
6636	Sync Inc., The
6636	Tek Team
6636	Ultimate Seduction, The
6636	Untouchable 3
7257	Black Riot
7257	Bombshell (2)
7257	Bootman
7257	Chrome (3)
7257	CLS
7257	D'Effect
7257	D.M.S.
7257	Derossa
7257	Dred Stock
7257	English Friday
7257	Frontline
7257	Gypsymen
7257	Hardhouse
7257	House Of Gypsies
7257	In Es Project
7257	INCS
7257	KXP
7257	Lime Life
7257	Masters At Work (2)
7257	Mr. Tee
7257	Orange Lemon
7257	Raid, The
7257	Sax
7257	Sound Design
7257	Static (3)
7257	Swan Lake
7257	Tech Nine
7257	Tee Dawg
7257	Tee Noize
7257	Todd Terry All Stars
7257	Todd Terry Project, The
7257	Todd-Ski
7257	You Know Who (3)
7257	Youngbloods
7285	Cowboy Temple
7285	Earl Kings
7285	Endlos
7285	Fuck The Industry And Motherfuck Radio, Man!
7285	Heavy Mental
7285	Kick Ass Project
7285	Love Committee, The
7285	Low Spirit
7285	Moabit Bass Mob
7285	No Vocals Necessary Movement
7285	Serial Funk
7285	Spring
7285	&
7285	Koon
7285	Tilly Lilly
7285	Vox Mystica
7285	WB's, The
8121	Disco Citizens
8121	Nick Bracegirdle
8121	Rebel Transcanner
9050	Brighton Port Authority, The
9050	Cheeky Boy
9050	Chemistry (4)
9050	Fatboy Slim
9050	Feelgood Factor, The
9050	Son Of A Cheeky Boy
9050	Sunny Side Up
9050	Urban All Stars
9050	Yum Yum Head Food
9066	Laguna
9380	Kill Bros.
10924	Marc Dawn
10924	Markus Bolk
10927	A.I.D.A.
10927	Bervoets
10927	&
10927	De Goeij
10927	Chiqeau
10927	Gualagara
10927	Pedro
10927	Benno
10927	Precious People
10927	R.O.O.S.
10927	Simplistic Mind
10927	Southsquare
10927	Two Disciples
10930	Beat Reality
10930	M-Tik
10930	Mantira
10930	Mystique (4)
10930	Savalle
10930	Silverstone
11606	MDFMK
11606	Son Of A Gun
11691	Rob Aker
11691	Roberto Longiarù
11691	Tiffany (4)
11691	Vegan
11769	3 A.M. (2)
11769	Guess Who !
11769	Ratty
11769	Section 11
12773	Sandbox Rockers
12781	Alive
12781	Arctica
12781	Motivo
12781	Triple X
12781	Wisdome
13608	Angel K
13608	Special K (6)
13678	Delerious
13678	Floyd
13678	R.V.D.B.
13678	Ron van den Beuken
13678	Shane
13678	Unicorn
13678	Zith
13687	Blue Finger
13687	D'Tech
13692	Mr. Malo
13692	Thomas Schatz
13719	Klive (3)
13774	Liquid (3)
13864	Tatana Sterba
13925	Barraka
13925	Doi-Oing
13925	Experiment, The
13925	Rhythm Thieves
13925	Tenth Planet
13925	Vengeance (2)
16418	A.I.D.A.
16418	Bervoets
16418	&
16418	De Goeij
16418	Chiqeau
16418	Gualagara
16418	Pedro
16418	&
16418	Benno
16418	Precious People
16418	Rank 1
16418	Simplistic Mind
16418	Southsquare
16418	Two Disciples
16747	Blind Truth
16747	Criminal Element Orchestra
16747	Pleasure Pump (2)
16747	R.T.
16747	&
16747	The Rockmen Unlimited
17035	Yvette Stevens (2)
17815	Deep Course
19083	Allegro
19083	Boccaccio Life
19083	Body Heat
19083	Bombario
19083	Buzzerr
19083	DJ Don
19083	&
19083	Svenson
19083	Nightwatchers (2)
19083	Party Freaks
19083	Strawberry Flavour
19083	T-Phobia
20544	Sifu (2)
20942	DJ Crazyhouse
20942	Kean/Canter/Mattowski
21081	Mark Farina
21081	&
21081	Factory Team
21081	Tranx-Mission
21081	Unlimited Beat
24076	? (8)
27737	Shogs 2 Faces
27737	Sven Greiner
27941	Marc Auerswald
28141	Brain Twinz
28795	Alexander Nevermind
28795	Artist (Formerly Known As Prince), The
28795	Camille (3)
28795	Christopher
28795	Freddie "The Phantom"
28795	Jamie Starr
28795	Joey Coco
28795	Paisley Park
28795	Rocker Happyfeller
28795	Starr * Company, The
28795	Symbol, The
28795	Tora Tora (5)
29019	Steps (3)
29101	Bass-Tardino
29101	Bootie Riders
29101	Disco Nation
29101	Dive Bomb
29101	Generator (7)
29101	NOGK Project, The
29101	Ortega
29101	&
29101	Lorenzo
29101	Raven, The (5)
29101	Spirit Zone
29316	Albert O'Ryan
29316	Atrium
29316	Bratt Protone
29316	Charly
29316	Dave Hammond
29316	David Dima
29316	Edo (2)
29316	Fred Ventura
29316	Gino Caria
29316	Gino Carya
29316	Giorgio Conti
29316	Joe Foster (2)
29316	Mike Hammer
29316	Mote Mote
29316	Pleasure
29316	&
29316	Pain
29316	Robert Patton
29316	Robot Man
29316	Silver
29316	Super Boy
29316	Tam Arrow
29316	Toby Ash
35289	Rich Girls, The
36507	99 Allstars
36507	Crazy Prophylactic
36507	Dillon
36507	&
36507	Dickins
36507	Dillon (4)
36507	Disco Biscuit
36507	DPD
36507	European Express
36507	Gorgeous Darlings
36507	Groovoid
36507	Higher State
36507	Ill (3)
36507	Kartoid
36507	Lentil Lovecake
36507	Mesozoik
36507	Miss Stuck-Up
36507	NASA (7)
36507	On The Blag
36507	Sleeze Queen
36507	Sound Environment
36507	Spacebase
36507	Swag Bag
36507	Upstate
36824	Nocturne (5)
37594	Mademoiselle E.B.
37727	Nigel Starmil
37977	Bali Hai
37977	Beathoven (3)
37977	Bob Carl
37977	Brim Nusher
37977	Climb The Wall
37977	Herold Jones
37977	Highlight
37977	Honodai
37977	LDV
37977	Liquid Wave
37977	Michael Sanctorum
37977	Move On 3
37977	Nebula (6)
37977	Puncher
37977	Seven 2 Seven
37977	Trance Team
37977	Transceiver
37977	Un Enfant Terrible
37977	Voyager One (3)
38225	M.D. (2)
38225	Phil Wale
38863	Aretha White
39838	Erick Onasis
40680	Sel Shaw
40680	Simon Flower
41891	Horace Swaby
41891	Ras Levi
42826	Afrodiziaks
42826	Leon Thompson (3)
42826	Templeton Peck
45023	Hervé Serres
50514	Big Joe Krash
50514	Lawrence Krisna Parker
51188	Oscar Jackson
56165	Andromeda (7)
56165	Gentle Pleasure
56165	Jürgen Spann
56165	Wave Shaping Age
61857	Checkow
61857	DJ Kadozer
61857	Elektroluxx
61857	Karosa
61857	L.Y.T.Z.
61857	LK-Pro
61857	Lu Tracks
61857	LXR
61857	Nim 2
61857	Paratopic
61857	Richthoven
61857	Sounddiver
61857	T. Luxor
61857	Tobias Lützenkirchen
61857	Toby Lee Connor
61857	Ultrakomm
61857	Witchboard Project
66733	Firewall
66733	LNG
66733	Offbeat
66733	SL
66733	Stuart Langelaan
66733	Vercetti
66733	X-odus
67977	Pauline Bennett
68325	Barefoot
68325	Improver, The
68325	Modern Move
68325	PWB
68325	Restyle
68325	Sector Fear
68325	Vibration One
69193	Jammers, The
69193	L.U.S.T.
69193	Richie Weeks
73326	Beam vs. Cyrus
73336	Katie Marne
76398	FMP
76398	Franz Reuther
76398	G. Mart
76398	Müzka
76398	Zambi
76497	Triple S
77720	Andromeda (7)
77720	Demote
77720	Gentle Pleasure
77720	Wave Shaping Age
80134	Two Tons Of Fun
80509	Toletrancer
80510	Lightaman JR
80510	Squarefeet
81421	Giant Steps (2)
90623	Tonya Pointer
91175	R. Mathews
101773	Chaps
101773	Power Syndicate, The
102781	Julian d'or
102781	Kick
102781	&
102781	Push
102781	Y.O.M.C.
114934	Paul Waaktaar-Savoy
114934	Pål Waaktaar Gamst
115264	Chicane
115264	Disco Citizens
115264	Rebel Transcanner
131486	Jonathan Calloway
134067	Pierre Noisiez
134067	Sine Ripe Zero
134700	Antonio Pedro Hatch
134700	Fred Nightingale
134700	Mark Anthony (7)
135795	Fluence
147024	Willie Knighton
149082	DJ Eddie F
149082	Soul Central (2)
163835	Buddy JD
163835	Hanno Nadanes
163835	J.J. (12)
163835	Vision Fields
169154	Jackson 5, The
173249	Da Full Package
173249	eSQUIRE (3)
173249	Funky Fookers
173249	LS Project
173249	Offbeat (4)
175220	Tony Rich Project, The
180585	Charles Obscure
180585	S. Flavius Mercurius
181917	Alpha Town
181917	Alvin
181917	Capitan Go!!
181917	De Niro (2)
181917	Dee Jay Kee
181917	DJ Speedo
181917	DJ Terminator
181917	DJ Yahoo
181917	Doctor Love (3)
181917	DoohDaah
181917	Gary Cooper
181917	Giancarlo Pasquini
181917	Gino Caria
181917	Kama-Sutra's Gang
181917	Ken Martin
181917	King Kong 2000
181917	KK (6)
181917	Mark
181917	&
181917	Ken
181917	Mark Farina (2)
181917	Mark Foster (2)
181917	Mauro Farina
181917	Mazerati
181917	MC F 40
181917	Mister Black
181917	Riky Maltese
181917	Speedmaster (2)
181917	Speedogang
181917	Speedorchestra
181917	Urban Tokyo
181917	Vangok
186991	Les Tueurs De La Lune De Miel
187011	Toy (6)
189832	DJ Yonie Yon
196010	Drumbo
204278	Colinsky
204948	Des Parton
208290	P.L.
208290	Ray Caps
218577	Aqualoop
218577	Beatmachine
218577	Diabolito
218577	DJ Tibby
218577	Don Esteban
218577	La Vallée
218577	Lagos
218577	Monolith (2)
218577	Pinball
218577	Pulsedriver
218577	Slobodan Petrovic Jr.
218577	T-Bone
218577	Trancecore Project, The
218577	Trans Balear
218577	Tube
235055	J. Crocker
249458	Brucey L
272531	Finstar
275054	Feinkost Paranoia
275054	Kinderchor
275501	Maton
275501	TnG
276459	Elton Motello
277037	Truc Sserc
281413	Jean-Pierre Guigon
281413	Jean-Pierre Mirouze
318507	David Burles
319612	Tony Rich
346050	Augustus Pablo
346050	Ras Levi
357442	Peter Bischof-Fallenstein
409569	Koono
480435	Magne Furuholmen
596126	Serp
639833	Transceive
643832	All The Pretty Things
643832	Isolation
651394	Octif
1386472	Yoshihisa Maeda
\.


--
-- Data for Name: artists_groups; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_groups (artist_id, name) FROM stdin;
161	Fully Loaded (2)
161	Sunshine Bros.
3474	Come Together Collaborative
3474	LaBelle
3474	Patti LaBelle And The Bluebells
3477	Blockheads, The
3477	Byzantium (2)
3477	Ian Dury And The Blockheads
3477	Jonathan Kelly's Outside
3477	Kilburn
3477	&
3477	The High Roads
3477	Secret Police, The
3638	Aqua Contact
3638	Body-Shock
3638	Bunkerz
3638	Cherry Moon Trax
3638	D
3638	&
3638	S
3638	Dawn (2)
3638	Extreme Trax
3638	Frequence (2)
3638	Globe Masters
3638	Interstate (4)
3638	Rebelgrooves
3638	Space Module
3638	Squad (2)
3638	Strange Food
4205	Banana Crew, The
4205	Children Of The Mission
4205	Common Cause (3)
4205	Giorgio And The Morodians
4205	Giorgio Moroder Project
4205	Inter-Mission
4205	Munich Machine
4205	Rock Romance
4205	Spinach (3)
4205	Stop Studio Group
5115	Ecco Bravo
5115	Tuxedomoon
5401	Backbeat
5401	Chilled Eskimos
5401	Halogen
6274	Indoor Life
9050	Beats International
9050	Double Trouble (6)
9050	Freak Power
9050	Fried Funk Food
9050	Housemartins, The
9050	Mighty Dub Katz
9050	Pizzaman
9050	Rockaway Three
11769	Bravo All Stars
11769	Dance United
13608	Band Aid II
13608	Helping Haiti
13719	Earth (4)
13719	Githead
13719	Immersion (2)
13719	Intens
13719	Oracle
13719	Soft Option
13719	Spigel*Newman*Colin*Malka
13719	Wir
13719	wir3O
13719	Wire
15825	Beats International
15825	Hardknox
16761	West Coast Rap All-Stars, The
16794	Sylvester And The Hot Band
16794	Tip-N-Syl
17035	Artists United For Nature
17035	Rufus
17035	Rufus
17035	&
17035	Chaka Khan
17815	Altered States
17815	BMR
17815	Booom!
17815	Come Klar
17815	Les Visiteurs (2)
17815	Peppermint Jam Allstars
17815	Subtle Houzze
17815	Toys Come To Live
17815	VDT
18677	Gaslight, The
18700	Ensemble (4)
18700	Les Enfoirés
18700	St. Etienne Daho
20544	Alain Goraguer Et Son Ensemble
20544	Alain Goraguer Et Son Orchestre
23765	Girls Against Boys
23765	Rain (18)
28795	94 East
28795	Madhouse
28795	MPLS
28795	New Power Generation, The
28795	Prince
28795	&
28795	The New Power Generation
28795	Prince And The Revolution
33601	Music 101
35251	Loveland
35251	Urban Cookie Collective
37594	theaudience
37727	Sacher Musak
37977	Beat Empire
37977	Brainwave
37977	Dirty People, The
37977	Fade-X
37977	Future, The
37977	Interstellar Overdrive
37977	L
37977	&
37977	G Project
37977	L
37977	&
37977	O
37977	Laura D.
37977	Les Enfants Terribles
37977	Neon
37977	No Excuse
37977	Pieces
37977	&
37977	Herb
37977	PLB System
37977	Sloane Strangers
37977	Spokesman
37977	Taboo
37977	Voices Of Afrika
37977	Wetback
39838	Def Squad
39838	EPMD
41399	Kitty Winter Gipsy Nova
41399	Kitty Winter-Ensemble
41891	Impact All Stars
41891	Rockers All Stars
42826	T/K/S
52489	Basic-Team
52489	Munich Machine
52489	Spotnicks, The
52510	New Musik
52510	Nick Straker Band
57087	OceanLab
58349	Countdown All Star Band
58574	Fight Club
68325	A.I.D.A.
68325	Aladja
68325	Bervoets
68325	&
68325	De Goeij
68325	C.P. One
68325	Carlos
68325	Chiqeau
68325	Control Freaks
68325	Dyewitness
68325	Gualagara
68325	Illustrator (2)
68325	Jonah
68325	Kinky Plants
68325	Main Men
68325	Malin (2)
68325	Mind To Mind
68325	Nixieland
68325	Pedro
68325	&
68325	Benno
68325	Penetrator
68325	PM Project
68325	Precious People
68325	Progressive Humans, The
68325	R.O.O.S.
68325	Rank 1
68325	Riptide
68325	Sensation (2)
68325	Simplistic Mind
68325	Southsquare
68325	SPX
68325	System Eight
68325	Tazka
68325	Team Deep
68325	Tritone
68325	Two Disciples
69856	Aksak Maboul
69856	Honeymoon Killers, The
69856	Les Tueurs De La Lune De Miel
69856	Los Descontrolados
69856	Mr. Big Mouse
69856	Sacher Musak
69857	Aksak Maboul
69857	By Chance
69857	Cos (3)
69857	Honeymoon Killers, The
69857	Les Tueurs De La Lune De Miel
69857	Los Descontrolados
69857	Mr. Big Mouse
71247	Brainwave
71247	Spokesman
80509	LPC (2)
80509	Midiliga
80509	Midiliitto
80509	Squaremeat
80509	Texas Faggott
80510	Dirty Dreds
80510	F-Virus
80510	Flying Scorpions
80510	Gruuvit Muuvit
80510	Maha Ketama
80510	Matkatoimisto
80510	Midiliga
80510	Midiliitto
80510	Nano Buds
80510	O*Men
80510	Squaremeat
84795	Bootsy's Rubber Band
84795	First Family, The
84795	Fred Wesley
84795	&
84795	The Horny Horns
84795	Fred Wesley
84795	&
84795	The JB's
84795	Friends Of Earth
84795	Horny Horns
84795	JB Horns
84795	Last Word, The
84795	Maceo
84795	&
84795	All The King's Men
84795	Maceo
84795	&
84795	The Macks
84795	Maceo Parker and The Roots Revisited
84795	NPG Hornz, The
84795	P-Funk All Stars
84795	Parliament
84795	Sweat Band
91175	Sway
91175	&
91175	King Tech
93016	Altaïr
93016	Amnesia
93016	Bozo
93016	DJ Rezo
93016	DJPC
93016	Dynamo Style
93016	Firenze (2)
93016	Hobby One
93016	Krokez-Nous
93016	Krystal Dream
93016	Le Chiffre
93016	Le Park
93016	Les G.O. Culture
93016	Mundo Vision
93016	New Design
93016	Phenomenal Club
93016	Pleasure Game
93016	Royal Progress
93016	Second Test
93016	Section Voices
93016	Signal Aout 42
93016	Standee
93016	Time Stretcher
93016	Twice Of Love
93016	U.N.A.
93016	Vicious Project
93016	X-Kameron
93280	Original Sound Track, The
93280	Steely Dan
93674	Band X
93674	Latitude (2)
100519	5000 Volts
100519	Dance Aid
100519	Fallen Angel And The Tina Charles Band
100519	Tina Charles And Her Band
102781	Cop'n Creek
102781	Disc-O-Thek
102781	EQT
102781	Fragile 2001
102781	M-Traxx
102781	Maga
102781	&
102781	Star
102781	Magenta (6)
102781	Pro-Tech
102781	Spacelab (2)
102781	Techno-Punk
102781	Virtual Atmosfear
102781	Xenayo
102781	Y (3)
115264	Sitvac
122232	Shadows, The
122232	Tarney/Spencer Band, The
127854	SPA (3)
131486	Sway
131486	&
131486	King Tech
134700	Tony Hatch
134700	&
134700	The Satin Brass
134700	Tony Hatch Orchestra
134700	Tony Hatch Singers And Swingers, The
134700	Tony Hatch Sound, The
135795	Bel Canto Orchestra
135795	Fall Of Saigon
135847	Bob Mintzer Big Band
135847	Brecker Brothers, The
135847	Buddy Love (4)
135847	Dreams (4)
135847	Horace Silver Quintet, The
135847	Michael Brecker Quindectet
135847	Mike Mainieri
135847	&
135847	Friends
135847	Mike Nock Quartet
135847	Players Association, The
135847	Rainbow (17)
135847	Saturday Night Live Band, The
135847	Saxophone Summit
135847	Steps Ahead
135847	White Elephant
135946	Class Of '55
135946	Highwaymen, The
135946	Johnny Cash
135946	&
135946	June Carter Cash
135946	Johnny Cash
135946	&
135946	The Tennessee Two
135946	Johnny Cash And The Tennessee Three
135946	Johnny Cash Family, The
135946	Million Dollar Quartet, The
149082	Heavy D.
149082	&
149082	The Boyz
149082	Untouchables, The (4)
150182	Jean-Claude Vannier
150182	&
150182	Son Orchestre
150182	Jean-Claude Vannier Et Son Ensemble
152001	Celia And The Mutations
152001	Pat Dinizio Foursome, The
152001	Polyphonic Size
152001	Purple Helmets, The
152001	Stranglers, The
155404	Barraka
155404	Doi-Oing
155404	Experiment, The
155404	Fable
155404	Heliotropic
155404	Imaginears
155404	Nocturne (5)
155404	Oval Five, The
155404	Random House Project
155404	Rhythm Thieves
155404	State One
155404	Tenth Planet
155404	Thee Earls
155404	Vengeance (2)
155404	Warp Spider
163835	Black Jack (3)
163835	Einstein (7)
163835	Epsilon (4)
163835	Michael Chambosse And Friends
163835	Supermax
163835	Thanx
173249	Bag Of McCoys
173249	Waveshapers
180585	Blues Incorporated
180585	Coverdale Page
180585	Cyril Davies And His Rhythm And Blues All Stars
180585	Firm, The (7)
180585	Honeydrippers, The
180585	Led Zeppelin
180585	Lord Sutch And Heavy Friends
180585	Yardbirds, The
180586	Band Of Joy
180586	Crawling Kingsnakes, The
180586	Fabulous Brill Brothers, The
180586	Honeydrippers, The
180586	Led Zeppelin
180586	Listen (2)
180586	Robert Plant And The Strange Sensation
187011	USA For Africa
190649	Honeymoon Killers, The
190649	Les Tueurs De La Lune De Miel
193582	Black Rose (8)
193582	Toto
196010	Captain Beefheart And His Magic Band
196010	Crazy Backwards Alphabet
196010	French Frith Kaiser Thompson
196010	Magic Band, The
204278	Activity
204278	Anjelica (2)
204278	Atahualpa
204278	Axel-Dee
204278	Dilemma (3)
204278	Funky Fun
204278	Heaven (8)
204278	Imperio Destroy
204278	Los Imperiales
204278	Midas (3)
204278	Morenas
204278	Skila
204278	Steam System
204278	Sueño Latino
204278	Virtuality Of Sex
204278	Yagmur
204948	A.V.M.
208290	Sundown Project, The
213242	Clare Fischer Big Band
213242	Clare Fischer Orchestra, The
213242	Clare Fischer's Latin Sound
213242	Henry Mancini And His Orchestra
213242	Vox Humana (4)
232645	Buddy Rich
232645	&
232645	His Buddies
232645	Buddy Rich And His Sextet
232645	Mike Mainieri
232645	&
232645	Friends
232645	Mike Mainieri Quartet, The
232645	Mike Mainieri Quintet
232645	Steps (3)
232645	Steps Ahead
232645	White Elephant
235055	Holograms, The
235055	Little River Band
235055	Paladin
235055	Player (4)
235055	Think Out Loud
235055	Thoughts, The
235055	World Of Oz, The
240613	Jo Jo Gunne
240613	Spirit (8)
240614	Chants R
240614	&
240614	B
240614	Skylight (3)
243611	Decade V
243611	Nosferatu (3)
244593	Above
244593	Barraka
244593	Doi-Oing
244593	Eternal Summer
244593	Experiment, The
244593	Heliotropic
244593	Oval Five, The
244593	Razor's Edge
244593	Rhythm Thieves
244593	Tenth Planet
244593	Vengeance (2)
244593	Virtual Zenith
247292	DBF Project
251565	Barkmarket
252201	Transporterraum
256225	Bozzio Levin Stevens
256225	Bruford Levin Upper Extremities
256225	Chuck Mangione Quartet
256225	Clams, The (2)
256225	Discipline (6)
256225	King Crimson
256225	Liquid Tension Experiment
256225	Mike Mainieri
256225	&
256225	Friends
256225	ProjeKct Four
256225	ProjeKct One
256225	Spin 1ne 2wo
256225	Steps Ahead
256225	Tony Levin Band
256225	White Elephant
257421	Aurora (18)
257421	Bob Mintzer Big Band
257421	George Cables Trio
257421	George Gruntz Concert Jazz Band, The
257421	Jaco Pastorius Big Band
257421	John Abercrombie Trio
257421	Kenny Wheeler Quintet
257421	Marc Johnson's Bass Desires
257421	Peter Erskine Trio, The
257421	Pino Daniele Project
257421	Steps Ahead
257421	Weather Report
272530	EMF (2)
272530	Feinkost Paranoia
272531	EMF (2)
272531	Feinkost Paranoia
272796	Baby'O
272796	Far Corporation
272796	Larry Carlton-Steve Lukather Band
272796	Toto
274957	Bennie Wallace Trio
274957	Bill Evans Trio, The
274957	David Liebman Trio
274957	Giuseppi Logan Quartet, The
274957	Jazz Composer's Orchestra, The
274957	Jeremy
274957	&
274957	The Satyrs
274957	Lee Konitz Quintet
274957	Manhattan Jazz Quintet
274957	Paul Bley Quintet
274957	Steps Ahead
274957	Steve Kuhn Trio
276459	Elton Motello
276459	Feather (2)
276459	Rollerball (5)
277037	Atlantis (12)
277037	Curt Cress Clan
277037	Great Empire
277037	Jack-Knife (2)
277037	Orange Peel
277037	Passport (2)
277037	Scorpions
277037	Snowball (2)
277037	Tender Aggression
277037	Triumvirat
277037	Wyoming (2)
277579	GMT (6)
277579	Grand Prix (2)
277579	McAuley Schenker Group
281413	Acting Trio
281413	Arpadys
281413	Jean-Pierre Sabar Et Son Orchestre
281870	Jet (2)
297217	Alan Price Set, The
297217	Ginger Baker And Salt
297217	Ginger Baker's Air Force
297217	Gonzalez
298882	Funkadelic
298882	NPG Hornz, The
298882	P Funk Horn Section
298882	Parliament
298951	Fourplay (3)
298951	Steps Ahead
312858	Darktown Jazz
312858	Düsseldorfer Atlanta Jazzband
312858	Musica Antiqua Köln
312858	Trompeten Consort Friedemann Immer
312858	WDR Big Band Köln
330337	Robb Brothers, The
330337	Robbs, The
333419	a-ha
336292	Point 4
345763	Jack DeJohnette's Directions
345763	Jeremy
345763	&
345763	The Satyrs
345763	Mike Mainieri
345763	&
345763	Friends
345763	Paul Winter Sextet, The
345763	White Elephant
357442	Mad (23)
379144	M 3
379144	Munich
379204	Chanteurs Sans Frontières
379225	China Crisis
379225	Holly And The Italians
379225	Squeeze (2)
379225	Stadium Dogs
379225	Troops Of Tomorrow (2)
379225	Waterboys, The
385281	Stormbringer (8)
385283	Far Corporation
385283	Toto
409563	Darktown Jazz
409563	NDR Big Band, The
409563	Orchester Mladen Guteša
409565	Eugen Cicero Trio
409565	Kitty Winter Gipsy Nova
409567	Kitty Winter Gipsy Nova
409569	Kitty Winter Gipsy Nova
418622	China Crisis
418623	China Crisis
518037	Jet (2)
518037	Wrights, The
532840	China Crisis
532840	Horse (3)
568661	China Crisis
568661	Hambi
568661	&
568661	The Dance
639833	Dubious Brothers, The
639833	Nexus (5)
639833	Time Frequency, The
651252	Jet (2)
651394	Montano
651394	Oblique (4)
661435	China Crisis
693410	Gloom (3)
693412	Gloom (3)
693413	Gloom (3)
693414	Gloom (3)
694889	Gloom (3)
971447	Corrupted
971447	Spasmom
1005755	Liaison Internationale
1148842	Mind Heavy Mustard
1265259	Thorax-Wach
1265260	Thorax-Wach
1386472	Outnauts
1815102	Kitty Winter Gipsy Nova
1815336	Hans Koller Big Band
1815336	Max Greger Und Sein Orchester
1815336	Werner Baumgart's Big Band Baden-Baden
\.


--
-- Data for Name: artists_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_images (artist_id, uri, type, height, width, uri150) FROM stdin;
161	http://api.discogs.com/image/A-161-1278966650.jpeg	primary	200	200	http://api.discogs.com/image/A-150-161-1278966650.jpeg
161	http://api.discogs.com/image/A-161-1104932847.jpg	secondary	187	250	http://api.discogs.com/image/A-150-161-1104932847.jpg
161	http://api.discogs.com/image/A-161-1278966709.jpeg	secondary	280	456	http://api.discogs.com/image/A-150-161-1278966709.jpeg
161	http://api.discogs.com/image/A-161-1278965628.jpeg	secondary	390	300	http://api.discogs.com/image/A-150-161-1278965628.jpeg
161	http://api.discogs.com/image/A-161-1194998014.jpeg	secondary	200	300	http://api.discogs.com/image/A-150-161-1194998014.jpeg
161	http://api.discogs.com/image/A-161-1278966595.jpeg	secondary	352	464	http://api.discogs.com/image/A-150-161-1278966595.jpeg
161	http://api.discogs.com/image/A-161-1278965890.jpeg	secondary	304	491	http://api.discogs.com/image/A-150-161-1278965890.jpeg
161	http://api.discogs.com/image/A-161-1278965407.jpeg	secondary	664	570	http://api.discogs.com/image/A-150-161-1278965407.jpeg
161	http://api.discogs.com/image/A-161-1278965514.jpeg	secondary	800	600	http://api.discogs.com/image/A-150-161-1278965514.jpeg
1031	http://api.discogs.com/image/A-1031-1295649639.jpeg	primary	600	568	http://api.discogs.com/image/A-150-1031-1295649639.jpeg
1031	http://api.discogs.com/image/A-1031-001.jpg	secondary	303	240	http://api.discogs.com/image/A-150-1031-001.jpg
1031	http://api.discogs.com/image/A-1031-1162850320.jpeg	secondary	600	408	http://api.discogs.com/image/A-150-1031-1162850320.jpeg
1031	http://api.discogs.com/image/A-1031-1215194514.jpeg	secondary	613	510	http://api.discogs.com/image/A-150-1031-1215194514.jpeg
1627	http://api.discogs.com/image/A-1627-1152790034.jpeg	secondary	267	441	http://api.discogs.com/image/A-150-1627-1152790034.jpeg
1627	http://api.discogs.com/image/A-1627-1197550765.jpeg	secondary	376	546	http://api.discogs.com/image/A-150-1627-1197550765.jpeg
3300	http://api.discogs.com/image/A-3300-1320900852.jpeg	primary	394	357	http://api.discogs.com/image/A-150-3300-1320900852.jpeg
3300	http://api.discogs.com/image/A-3300-001.jpg	secondary	211	168	http://api.discogs.com/image/A-150-3300-001.jpg
3300	http://api.discogs.com/image/A-3300-1085678517.jpg	secondary	193	300	http://api.discogs.com/image/A-150-3300-1085678517.jpg
3300	http://api.discogs.com/image/A-3300-1166494908.jpeg	secondary	180	180	http://api.discogs.com/image/A-150-3300-1166494908.jpeg
3474	http://api.discogs.com/image/A-3474-1265454448.jpeg	primary	330	300	http://api.discogs.com/image/A-150-3474-1265454448.jpeg
3474	http://api.discogs.com/image/A-3474-1265454517.jpeg	secondary	519	600	http://api.discogs.com/image/A-150-3474-1265454517.jpeg
3474	http://api.discogs.com/image/A-3474-1264233862.jpeg	secondary	685	453	http://api.discogs.com/image/A-150-3474-1264233862.jpeg
3474	http://api.discogs.com/image/A-3474-1122115650.jpg	secondary	198	260	http://api.discogs.com/image/A-150-3474-1122115650.jpg
3474	http://api.discogs.com/image/A-3474-1198438326.jpeg	secondary	600	333	http://api.discogs.com/image/A-150-3474-1198438326.jpeg
3474	http://api.discogs.com/image/A-3474-1198438342.jpeg	secondary	600	481	http://api.discogs.com/image/A-150-3474-1198438342.jpeg
3474	http://api.discogs.com/image/A-3474-1264233824.jpeg	secondary	734	475	http://api.discogs.com/image/A-150-3474-1264233824.jpeg
3474	http://api.discogs.com/image/A-3474-1265454415.jpeg	secondary	400	266	http://api.discogs.com/image/A-150-3474-1265454415.jpeg
3474	http://api.discogs.com/image/A-3474-1265454424.jpeg	secondary	400	258	http://api.discogs.com/image/A-150-3474-1265454424.jpeg
3474	http://api.discogs.com/image/A-3474-1265454435.jpeg	secondary	382	285	http://api.discogs.com/image/A-150-3474-1265454435.jpeg
3477	http://api.discogs.com/image/A-3477-1103114528.jpg	secondary	203	200	http://api.discogs.com/image/A-150-3477-1103114528.jpg
3477	http://api.discogs.com/image/A-3477-1104154152.jpg	secondary	407	325	http://api.discogs.com/image/A-150-3477-1104154152.jpg
3477	http://api.discogs.com/image/A-3477-1149588040.jpeg	secondary	259	250	http://api.discogs.com/image/A-150-3477-1149588040.jpeg
3638	http://api.discogs.com/image/A-3638-1217260803.jpeg	primary	236	189	http://api.discogs.com/image/A-150-3638-1217260803.jpeg
3638	http://api.discogs.com/image/A-3638-1256203696.jpeg	secondary	481	447	http://api.discogs.com/image/A-150-3638-1256203696.jpeg
3638	http://api.discogs.com/image/A-3638-001.jpg	secondary	228	308	http://api.discogs.com/image/A-150-3638-001.jpg
3638	http://api.discogs.com/image/A-3638-1151856139.jpeg	secondary	230	307	http://api.discogs.com/image/A-150-3638-1151856139.jpeg
4073	http://api.discogs.com/image/A-4073-1346952476-4109.jpeg	primary	400	600	http://api.discogs.com/image/A-150-4073-1346952476-4109.jpeg
4073	http://api.discogs.com/image/A-4073-1284780274.jpeg	secondary	485	450	http://api.discogs.com/image/A-150-4073-1284780274.jpeg
4073	http://api.discogs.com/image/A-4073-1284780254.jpeg	secondary	500	375	http://api.discogs.com/image/A-150-4073-1284780254.jpeg
4073	http://api.discogs.com/image/A-4073-1284780259.jpeg	secondary	461	365	http://api.discogs.com/image/A-150-4073-1284780259.jpeg
4073	http://api.discogs.com/image/A-4073-1284780265.jpeg	secondary	281	423	http://api.discogs.com/image/A-150-4073-1284780265.jpeg
4073	http://api.discogs.com/image/A-4073-001.gif	secondary	240	360	http://api.discogs.com/image/A-150-4073-001.gif
4073	http://api.discogs.com/image/A-4073-1346952443-9511.jpeg	secondary	599	398	http://api.discogs.com/image/A-150-4073-1346952443-9511.jpeg
4073	http://api.discogs.com/image/A-4073-1346952457-7879.jpeg	secondary	398	600	http://api.discogs.com/image/A-150-4073-1346952457-7879.jpeg
4073	http://api.discogs.com/image/A-4073-1346952506-8206.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-4073-1346952506-8206.jpeg
4073	http://api.discogs.com/image/A-4073-1346952520-7367.jpeg	secondary	399	600	http://api.discogs.com/image/A-150-4073-1346952520-7367.jpeg
4205	http://api.discogs.com/image/A-4205-1323748060.jpeg	primary	551	600	http://api.discogs.com/image/A-150-4205-1323748060.jpeg
4205	http://api.discogs.com/image/A-4205-001.jpg	secondary	158	162	http://api.discogs.com/image/A-150-4205-001.jpg
4205	http://api.discogs.com/image/A-4205-1211655096.jpeg	secondary	316	300	http://api.discogs.com/image/A-150-4205-1211655096.jpeg
4205	http://api.discogs.com/image/A-4205-1104160845.jpg	secondary	504	426	http://api.discogs.com/image/A-150-4205-1104160845.jpg
4205	http://api.discogs.com/image/A-4205-1126363247.jpeg	secondary	252	360	http://api.discogs.com/image/A-150-4205-1126363247.jpeg
4205	http://api.discogs.com/image/A-4205-1294401275.jpeg	secondary	324	480	http://api.discogs.com/image/A-150-4205-1294401275.jpeg
4205	http://api.discogs.com/image/A-4205-1269217652.jpeg	secondary	370	567	http://api.discogs.com/image/A-150-4205-1269217652.jpeg
4205	http://api.discogs.com/image/A-4205-1218569774.jpeg	secondary	538	383	http://api.discogs.com/image/A-150-4205-1218569774.jpeg
4205	http://api.discogs.com/image/A-4205-1293706456.jpeg	secondary	429	300	http://api.discogs.com/image/A-150-4205-1293706456.jpeg
4205	http://api.discogs.com/image/A-4205-1293706443.jpeg	secondary	500	334	http://api.discogs.com/image/A-150-4205-1293706443.jpeg
4205	http://api.discogs.com/image/A-4205-1336738218-9746.jpeg	secondary	540	435	http://api.discogs.com/image/A-150-4205-1336738218-9746.jpeg
4205	http://api.discogs.com/image/A-4205-1336738918-9412.jpeg	secondary	500	404	http://api.discogs.com/image/A-150-4205-1336738918-9412.jpeg
4205	http://api.discogs.com/image/A-4205-1341048737-1978.jpeg	secondary	404	600	http://api.discogs.com/image/A-150-4205-1341048737-1978.jpeg
4205	http://api.discogs.com/image/A-4205-1341048743-3566.jpeg	secondary	600	419	http://api.discogs.com/image/A-150-4205-1341048743-3566.jpeg
5111	http://api.discogs.com/image/A-5111-1121593947.jpg	secondary	584	461	http://api.discogs.com/image/A-150-5111-1121593947.jpg
5115	http://api.discogs.com/image/A-5115-1101895762.jpg	primary	300	261	http://api.discogs.com/image/A-150-5115-1101895762.jpg
5115	http://api.discogs.com/image/A-5115-1175023227.jpeg	secondary	500	333	http://api.discogs.com/image/A-150-5115-1175023227.jpeg
5115	http://api.discogs.com/image/A-5115-1346629886-5366.jpeg	secondary	400	283	http://api.discogs.com/image/A-150-5115-1346629886-5366.jpeg
5115	http://api.discogs.com/image/A-5115-1346630128-2487.jpeg	secondary	280	332	http://api.discogs.com/image/A-150-5115-1346630128-2487.jpeg
5401	http://api.discogs.com/image/A-5401-1086348751.jpg	primary	235	250	http://api.discogs.com/image/A-150-5401-1086348751.jpg
5401	http://api.discogs.com/image/A-5401-1343953323-7305.jpeg	secondary	276	202	http://api.discogs.com/image/A-150-5401-1343953323-7305.jpeg
5797	http://api.discogs.com/image/A-5797-1136624268.jpeg	primary	481	469	http://api.discogs.com/image/A-150-5797-1136624268.jpeg
5797	http://api.discogs.com/image/A-5797-1296061096.jpeg	secondary	333	500	http://api.discogs.com/image/A-150-5797-1296061096.jpeg
5797	http://api.discogs.com/image/A-5797-1296061075.gif	secondary	183	539	http://api.discogs.com/image/A-150-5797-1296061075.gif
5797	http://api.discogs.com/image/A-5797-1127568368.jpeg	secondary	302	402	http://api.discogs.com/image/A-150-5797-1127568368.jpeg
5966	http://api.discogs.com/image/A-5966-1361549571-2223.jpeg	primary	600	600	http://api.discogs.com/image/A-150-5966-1361549571-2223.jpeg
5966	http://api.discogs.com/image/A-5966-1237062386.jpeg	secondary	600	431	http://api.discogs.com/image/A-150-5966-1237062386.jpeg
5966	http://api.discogs.com/image/A-5966-1252856814.jpeg	secondary	506	500	http://api.discogs.com/image/A-150-5966-1252856814.jpeg
5966	http://api.discogs.com/image/A-5966-1237062371.jpeg	secondary	372	377	http://api.discogs.com/image/A-150-5966-1237062371.jpeg
5966	http://api.discogs.com/image/A-5966-1167985058.jpeg	secondary	317	325	http://api.discogs.com/image/A-150-5966-1167985058.jpeg
5966	http://api.discogs.com/image/A-5966-1237062355.jpeg	secondary	320	316	http://api.discogs.com/image/A-150-5966-1237062355.jpeg
5966	http://api.discogs.com/image/A-5966-1237208499.jpeg	secondary	272	303	http://api.discogs.com/image/A-150-5966-1237208499.jpeg
5966	http://api.discogs.com/image/A-5966-002.jpg	secondary	300	300	http://api.discogs.com/image/A-150-5966-002.jpg
6268	http://api.discogs.com/image/A-6268-1331303920.jpeg	primary	300	445	http://api.discogs.com/image/A-150-6268-1331303920.jpeg
6268	http://api.discogs.com/image/A-6268-1331303873.jpeg	secondary	300	275	http://api.discogs.com/image/A-150-6268-1331303873.jpeg
6268	http://api.discogs.com/image/A-6268-1346630566-1079.jpeg	secondary	425	600	http://api.discogs.com/image/A-150-6268-1346630566-1079.jpeg
6268	http://api.discogs.com/image/A-6268-1307027034.jpeg	secondary	114	591	http://api.discogs.com/image/A-150-6268-1307027034.jpeg
6268	http://api.discogs.com/image/A-6268-1154629121.jpeg	secondary	501	592	http://api.discogs.com/image/A-150-6268-1154629121.jpeg
6268	http://api.discogs.com/image/A-6268-1076987851.jpg	secondary	390	600	http://api.discogs.com/image/A-150-6268-1076987851.jpg
6268	http://api.discogs.com/image/A-6268-1333557558.jpeg	secondary	398	600	http://api.discogs.com/image/A-150-6268-1333557558.jpeg
6268	http://api.discogs.com/image/A-6268-001.jpg	secondary	270	370	http://api.discogs.com/image/A-150-6268-001.jpg
6268	http://api.discogs.com/image/A-6268-1331303900.jpeg	secondary	300	444	http://api.discogs.com/image/A-150-6268-1331303900.jpeg
6270	http://api.discogs.com/image/A-6270-1268798142.jpeg	primary	600	394	http://api.discogs.com/image/A-150-6270-1268798142.jpeg
6270	http://api.discogs.com/image/A-6270-1293889656.png	secondary	350	350	http://api.discogs.com/image/A-150-6270-1293889656.png
6270	http://api.discogs.com/image/A-6270-1337618194-1210.jpeg	secondary	524	594	http://api.discogs.com/image/A-150-6270-1337618194-1210.jpeg
6270	http://api.discogs.com/image/A-6270-1106476702.jpg	secondary	588	450	http://api.discogs.com/image/A-150-6270-1106476702.jpg
6270	http://api.discogs.com/image/A-6270-1268798517.jpeg	secondary	383	600	http://api.discogs.com/image/A-150-6270-1268798517.jpeg
6270	http://api.discogs.com/image/A-6270-1172265466.jpeg	secondary	320	232	http://api.discogs.com/image/A-150-6270-1172265466.jpeg
6270	http://api.discogs.com/image/A-6270-1268798485.jpeg	secondary	600	480	http://api.discogs.com/image/A-150-6270-1268798485.jpeg
6270	http://api.discogs.com/image/A-6270-1293889718.jpeg	secondary	460	510	http://api.discogs.com/image/A-150-6270-1293889718.jpeg
6270	http://api.discogs.com/image/A-6270-1268798266.jpeg	secondary	600	530	http://api.discogs.com/image/A-150-6270-1268798266.jpeg
6270	http://api.discogs.com/image/A-6270-1268798317.jpeg	secondary	600	477	http://api.discogs.com/image/A-150-6270-1268798317.jpeg
6270	http://api.discogs.com/image/A-6270-1268798408.jpeg	secondary	527	600	http://api.discogs.com/image/A-150-6270-1268798408.jpeg
6270	http://api.discogs.com/image/A-6270-1268798376.jpeg	secondary	600	561	http://api.discogs.com/image/A-150-6270-1268798376.jpeg
6270	http://api.discogs.com/image/A-6270-1268805856.jpeg	secondary	600	441	http://api.discogs.com/image/A-150-6270-1268805856.jpeg
6270	http://api.discogs.com/image/A-6270-1275563878.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-6270-1275563878.jpeg
6270	http://api.discogs.com/image/A-6270-1293889702.jpeg	secondary	594	371	http://api.discogs.com/image/A-150-6270-1293889702.jpeg
6270	http://api.discogs.com/image/A-6270-1339864546-2804.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-6270-1339864546-2804.jpeg
6274	http://api.discogs.com/image/A-6274-1263790587.jpeg	primary	600	600	http://api.discogs.com/image/A-150-6274-1263790587.jpeg
6274	http://api.discogs.com/image/A-6274-1240698105.jpeg	secondary	600	423	http://api.discogs.com/image/A-150-6274-1240698105.jpeg
6274	http://api.discogs.com/image/A-6274-1263790599.jpeg	secondary	263	253	http://api.discogs.com/image/A-150-6274-1263790599.jpeg
6274	http://api.discogs.com/image/A-6274-1351296326-2472.jpeg	secondary	432	576	http://api.discogs.com/image/A-150-6274-1351296326-2472.jpeg
6373	http://api.discogs.com/image/A-6373-001.jpg	primary	100	100	http://api.discogs.com/image/A-150-6373-001.jpg
6373	http://api.discogs.com/image/A-6373-1247825436.jpeg	secondary	558	343	http://api.discogs.com/image/A-150-6373-1247825436.jpeg
6373	http://api.discogs.com/image/A-6373-1247825444.jpeg	secondary	633	386	http://api.discogs.com/image/A-150-6373-1247825444.jpeg
6442	http://api.discogs.com/image/A-6442-001.jpg	primary	151	144	http://api.discogs.com/image/A-150-6442-001.jpg
6442	http://api.discogs.com/image/A-6442-1074090876.jpg	secondary	125	125	http://api.discogs.com/image/A-150-6442-1074090876.jpg
6520	http://api.discogs.com/image/A-6520-1264001129.jpeg	primary	559	559	http://api.discogs.com/image/A-150-6520-1264001129.jpeg
6520	http://api.discogs.com/image/A-6520-1336684139-5957.jpeg	secondary	224	540	http://api.discogs.com/image/A-150-6520-1336684139-5957.jpeg
6520	http://api.discogs.com/image/A-6520-002.jpg	secondary	300	300	http://api.discogs.com/image/A-150-6520-002.jpg
6520	http://api.discogs.com/image/A-6520-1111073515.jpg	secondary	346	300	http://api.discogs.com/image/A-150-6520-1111073515.jpg
6520	http://api.discogs.com/image/A-6520-1111073540.jpg	secondary	370	300	http://api.discogs.com/image/A-150-6520-1111073540.jpg
6520	http://api.discogs.com/image/A-6520-1162839911.jpeg	secondary	227	453	http://api.discogs.com/image/A-150-6520-1162839911.jpeg
6520	http://api.discogs.com/image/A-6520-1169767995.jpeg	secondary	446	372	http://api.discogs.com/image/A-150-6520-1169767995.jpeg
6636	http://api.discogs.com/image/A-6636-1129580054.jpeg	primary	400	300	http://api.discogs.com/image/A-150-6636-1129580054.jpeg
6636	http://api.discogs.com/image/A-6636-001.jpg	secondary	231	448	http://api.discogs.com/image/A-150-6636-001.jpg
6636	http://api.discogs.com/image/A-6636-003.bmp	secondary	261	380	http://api.discogs.com/image/A-150-6636-003.bmp
6636	http://api.discogs.com/image/A-6636-004.bmp	secondary	310	380	http://api.discogs.com/image/A-150-6636-004.bmp
6636	http://api.discogs.com/image/A-6636-005.bmp	secondary	310	380	http://api.discogs.com/image/A-150-6636-005.bmp
7117	http://api.discogs.com/image/A-7117-1149786132.jpeg	secondary	478	600	http://api.discogs.com/image/A-150-7117-1149786132.jpeg
7257	http://api.discogs.com/image/A-7257-1221722348.jpeg	primary	358	300	http://api.discogs.com/image/A-150-7257-1221722348.jpeg
7257	http://api.discogs.com/image/A-7257-1210704911.jpeg	secondary	247	200	http://api.discogs.com/image/A-150-7257-1210704911.jpeg
7285	http://api.discogs.com/image/A-7285-1286054645.jpeg	primary	180	300	http://api.discogs.com/image/A-150-7285-1286054645.jpeg
7285	http://api.discogs.com/image/A-7285-1241952142.jpeg	secondary	170	209	http://api.discogs.com/image/A-150-7285-1241952142.jpeg
7285	http://api.discogs.com/image/A-7285-001.jpg	secondary	334	400	http://api.discogs.com/image/A-150-7285-001.jpg
7285	http://api.discogs.com/image/A-7285-1301845136.jpeg	secondary	323	588	http://api.discogs.com/image/A-150-7285-1301845136.jpeg
7285	http://api.discogs.com/image/A-7285-1146438874.gif	secondary	283	220	http://api.discogs.com/image/A-150-7285-1146438874.gif
7698	http://api.discogs.com/image/A-7698-1337676001-1121.jpeg	primary	756	595	http://api.discogs.com/image/A-150-7698-1337676001-1121.jpeg
7698	http://api.discogs.com/image/A-7698-1258749971.jpeg	secondary	507	600	http://api.discogs.com/image/A-150-7698-1258749971.jpeg
7698	http://api.discogs.com/image/A-7698-1172091953.jpeg	secondary	286	600	http://api.discogs.com/image/A-150-7698-1172091953.jpeg
7698	http://api.discogs.com/image/A-7698-1250109514.jpeg	secondary	286	250	http://api.discogs.com/image/A-150-7698-1250109514.jpeg
7698	http://api.discogs.com/image/A-7698-1250109829.jpeg	secondary	450	300	http://api.discogs.com/image/A-150-7698-1250109829.jpeg
7698	http://api.discogs.com/image/A-7698-1356863780-8906.jpeg	secondary	490	393	http://api.discogs.com/image/A-150-7698-1356863780-8906.jpeg
8121	http://api.discogs.com/image/A-8121-1282393289.jpeg	primary	260	256	http://api.discogs.com/image/A-150-8121-1282393289.jpeg
8121	http://api.discogs.com/image/A-8121-1220349027.jpeg	secondary	247	192	http://api.discogs.com/image/A-150-8121-1220349027.jpeg
8121	http://api.discogs.com/image/A-8121-1230857607.jpeg	secondary	257	230	http://api.discogs.com/image/A-150-8121-1230857607.jpeg
8121	http://api.discogs.com/image/A-8121-1222271153.jpeg	secondary	297	300	http://api.discogs.com/image/A-150-8121-1222271153.jpeg
8121	http://api.discogs.com/image/A-8121-1222271208.jpeg	secondary	297	300	http://api.discogs.com/image/A-150-8121-1222271208.jpeg
8121	http://api.discogs.com/image/A-8121-1112916214.jpg	secondary	410	308	http://api.discogs.com/image/A-150-8121-1112916214.jpg
9050	http://api.discogs.com/image/A-9050-001.jpg	primary	150	150	http://api.discogs.com/image/A-150-9050-001.jpg
9050	http://api.discogs.com/image/A-9050-1107442085.jpg	secondary	363	256	http://api.discogs.com/image/A-150-9050-1107442085.jpg
9050	http://api.discogs.com/image/A-9050-1119287203.jpg	secondary	300	351	http://api.discogs.com/image/A-150-9050-1119287203.jpg
9050	http://api.discogs.com/image/A-9050-1119373752.jpg	secondary	300	351	http://api.discogs.com/image/A-150-9050-1119373752.jpg
9066	http://api.discogs.com/image/A-9066-1144550860.jpeg	primary	600	447	http://api.discogs.com/image/A-150-9066-1144550860.jpeg
9221	http://api.discogs.com/image/A-9221-1283970713.jpeg	primary	281	500	http://api.discogs.com/image/A-150-9221-1283970713.jpeg
9221	http://api.discogs.com/image/A-9221-1283970733.png	secondary	410	410	http://api.discogs.com/image/A-150-9221-1283970733.png
9221	http://api.discogs.com/image/A-9221-1283970723.jpeg	secondary	429	500	http://api.discogs.com/image/A-150-9221-1283970723.jpeg
9221	http://api.discogs.com/image/A-9221-001.jpg	secondary	231	253	http://api.discogs.com/image/A-150-9221-001.jpg
9221	http://api.discogs.com/image/A-9221-002.jpg	secondary	220	200	http://api.discogs.com/image/A-150-9221-002.jpg
9380	http://api.discogs.com/image/A-9380-1267756442.jpeg	primary	600	375	http://api.discogs.com/image/A-150-9380-1267756442.jpeg
9380	http://api.discogs.com/image/A-9380-1267756268.jpeg	secondary	600	375	http://api.discogs.com/image/A-150-9380-1267756268.jpeg
9380	http://api.discogs.com/image/A-9380-001.jpg	secondary	250	333	http://api.discogs.com/image/A-150-9380-001.jpg
9380	http://api.discogs.com/image/A-9380-1111752491.jpg	secondary	532	489	http://api.discogs.com/image/A-150-9380-1111752491.jpg
9380	http://api.discogs.com/image/A-9380-1267756275.jpeg	secondary	512	381	http://api.discogs.com/image/A-150-9380-1267756275.jpeg
10924	http://api.discogs.com/image/A-10924-001.jpg	primary	351	288	http://api.discogs.com/image/A-150-10924-001.jpg
10927	http://api.discogs.com/image/A-10927-1207479725.jpeg	primary	600	400	http://api.discogs.com/image/A-150-10927-1207479725.jpeg
10927	http://api.discogs.com/image/A-10927-1236537898.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-10927-1236537898.jpeg
10927	http://api.discogs.com/image/A-10927-1236537919.jpeg	secondary	450	300	http://api.discogs.com/image/A-150-10927-1236537919.jpeg
10927	http://api.discogs.com/image/A-10927-1114729480.jpg	secondary	300	400	http://api.discogs.com/image/A-150-10927-1114729480.jpg
10927	http://api.discogs.com/image/A-10927-1114729496.jpg	secondary	300	400	http://api.discogs.com/image/A-150-10927-1114729496.jpg
10927	http://api.discogs.com/image/A-10927-001.jpg	secondary	293	450	http://api.discogs.com/image/A-150-10927-001.jpg
10927	http://api.discogs.com/image/A-10927-1146522606.gif	secondary	66	192	http://api.discogs.com/image/A-150-10927-1146522606.gif
11001	http://api.discogs.com/image/A-11001-1337792434-3828.jpeg	primary	300	400	http://api.discogs.com/image/A-150-11001-1337792434-3828.jpeg
11001	http://api.discogs.com/image/A-11001-1138297831.jpeg	secondary	438	600	http://api.discogs.com/image/A-150-11001-1138297831.jpeg
11001	http://api.discogs.com/image/A-11001-1132533962.jpeg	secondary	270	300	http://api.discogs.com/image/A-150-11001-1132533962.jpeg
11001	http://api.discogs.com/image/A-11001-001.jpg	secondary	216	285	http://api.discogs.com/image/A-150-11001-001.jpg
11101	http://api.discogs.com/image/A-11101-1236732349.jpeg	primary	398	600	http://api.discogs.com/image/A-150-11101-1236732349.jpeg
11101	http://api.discogs.com/image/A-11101-1236732330.jpeg	secondary	398	600	http://api.discogs.com/image/A-150-11101-1236732330.jpeg
11101	http://api.discogs.com/image/A-11101-1236732304.jpeg	secondary	510	600	http://api.discogs.com/image/A-150-11101-1236732304.jpeg
11101	http://api.discogs.com/image/A-11101-1177275579.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-11101-1177275579.jpeg
11101	http://api.discogs.com/image/A-11101-1177275628.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-11101-1177275628.jpeg
11101	http://api.discogs.com/image/A-11101-1177275616.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-11101-1177275616.jpeg
11101	http://api.discogs.com/image/A-11101-1177275602.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-11101-1177275602.jpeg
11101	http://api.discogs.com/image/A-11101-002.jpg	secondary	229	329	http://api.discogs.com/image/A-150-11101-002.jpg
11101	http://api.discogs.com/image/A-11101-001.jpg	secondary	165	220	http://api.discogs.com/image/A-150-11101-001.jpg
11101	http://api.discogs.com/image/A-11101-1335025661.jpeg	secondary	398	600	http://api.discogs.com/image/A-150-11101-1335025661.jpeg
11606	http://api.discogs.com/image/A-11606-1126719380.jpeg	primary	306	460	http://api.discogs.com/image/A-150-11606-1126719380.jpeg
11606	http://api.discogs.com/image/A-11606-1258487199.jpeg	secondary	481	600	http://api.discogs.com/image/A-150-11606-1258487199.jpeg
11606	http://api.discogs.com/image/A-11606-1238684388.gif	secondary	183	432	http://api.discogs.com/image/A-150-11606-1238684388.gif
11606	http://api.discogs.com/image/A-11606-1095560411.jpg	secondary	346	300	http://api.discogs.com/image/A-150-11606-1095560411.jpg
11606	http://api.discogs.com/image/A-11606-1101760221.jpg	secondary	421	400	http://api.discogs.com/image/A-150-11606-1101760221.jpg
11606	http://api.discogs.com/image/A-11606-1140844334.jpeg	secondary	323	383	http://api.discogs.com/image/A-150-11606-1140844334.jpeg
11691	http://api.discogs.com/image/A-11691-1146006385.jpeg	secondary	200	300	http://api.discogs.com/image/A-150-11691-1146006385.jpeg
11769	http://api.discogs.com/image/A-11769-1208983288.jpeg	primary	549	600	http://api.discogs.com/image/A-150-11769-1208983288.jpeg
11769	http://api.discogs.com/image/A-11769-1208983275.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-11769-1208983275.jpeg
11769	http://api.discogs.com/image/A-11769-1208983266.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-11769-1208983266.jpeg
11769	http://api.discogs.com/image/A-11769-1208983254.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-11769-1208983254.jpeg
12526	http://api.discogs.com/image/A-12526-1111875091.jpg	secondary	236	180	http://api.discogs.com/image/A-150-12526-1111875091.jpg
12591	http://api.discogs.com/image/A-12591-1158584589.jpeg	primary	370	600	http://api.discogs.com/image/A-150-12591-1158584589.jpeg
12591	http://api.discogs.com/image/A-12591-001.jpg	secondary	128	179	http://api.discogs.com/image/A-150-12591-001.jpg
12591	http://api.discogs.com/image/A-12591-002.jpg	secondary	150	500	http://api.discogs.com/image/A-150-12591-002.jpg
12591	http://api.discogs.com/image/A-12591-1132585479.jpeg	secondary	335	600	http://api.discogs.com/image/A-150-12591-1132585479.jpeg
12773	http://api.discogs.com/image/A-12773-001.jpg	primary	146	145	http://api.discogs.com/image/A-150-12773-001.jpg
12773	http://api.discogs.com/image/A-12773-1144700562.jpeg	secondary	230	330	http://api.discogs.com/image/A-150-12773-1144700562.jpeg
12773	http://api.discogs.com/image/A-12773-1144700599.jpeg	secondary	196	200	http://api.discogs.com/image/A-150-12773-1144700599.jpeg
12773	http://api.discogs.com/image/A-12773-1144700657.jpeg	secondary	250	200	http://api.discogs.com/image/A-150-12773-1144700657.jpeg
12789	http://api.discogs.com/image/A-12789-1304451861.jpeg	primary	335	250	http://api.discogs.com/image/A-150-12789-1304451861.jpeg
12789	http://api.discogs.com/image/A-12789-002.jpg	secondary	224	342	http://api.discogs.com/image/A-150-12789-002.jpg
12789	http://api.discogs.com/image/A-12789-1240669882.jpeg	secondary	399	600	http://api.discogs.com/image/A-150-12789-1240669882.jpeg
12789	http://api.discogs.com/image/A-12789-001.jpg	secondary	200	300	http://api.discogs.com/image/A-150-12789-001.jpg
12789	http://api.discogs.com/image/A-12789-1304453321.jpeg	secondary	450	337	http://api.discogs.com/image/A-150-12789-1304453321.jpeg
12789	http://api.discogs.com/image/A-12789-1304451933.jpeg	secondary	450	450	http://api.discogs.com/image/A-150-12789-1304451933.jpeg
12789	http://api.discogs.com/image/A-12789-1304452409.jpeg	secondary	593	600	http://api.discogs.com/image/A-150-12789-1304452409.jpeg
12789	http://api.discogs.com/image/A-12789-1304452679.jpeg	secondary	337	450	http://api.discogs.com/image/A-150-12789-1304452679.jpeg
12789	http://api.discogs.com/image/A-12789-1304452264.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-12789-1304452264.jpeg
12789	http://api.discogs.com/image/A-12789-1304453769.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-12789-1304453769.jpeg
12789	http://api.discogs.com/image/A-12789-1304452797.jpeg	secondary	459	294	http://api.discogs.com/image/A-150-12789-1304452797.jpeg
12789	http://api.discogs.com/image/A-12789-1304453600.jpeg	secondary	400	500	http://api.discogs.com/image/A-150-12789-1304453600.jpeg
13608	http://api.discogs.com/image/A-13608-1352033165-8691.jpeg	primary	380	510	http://api.discogs.com/image/A-150-13608-1352033165-8691.jpeg
13608	http://api.discogs.com/image/A-13608-1352033139-2514.jpeg	secondary	380	510	http://api.discogs.com/image/A-150-13608-1352033139-2514.jpeg
13608	http://api.discogs.com/image/A-13608-1340131618-1157.jpeg	secondary	300	400	http://api.discogs.com/image/A-150-13608-1340131618-1157.jpeg
13608	http://api.discogs.com/image/A-13608-1301790341.jpeg	secondary	650	463	http://api.discogs.com/image/A-150-13608-1301790341.jpeg
13608	http://api.discogs.com/image/A-13608-1278544622.jpeg	secondary	577	483	http://api.discogs.com/image/A-150-13608-1278544622.jpeg
13608	http://api.discogs.com/image/A-13608-1258514166.jpeg	secondary	542	457	http://api.discogs.com/image/A-150-13608-1258514166.jpeg
13608	http://api.discogs.com/image/A-13608-1249388428.jpeg	secondary	500	500	http://api.discogs.com/image/A-150-13608-1249388428.jpeg
13608	http://api.discogs.com/image/A-13608-1211718243.jpeg	secondary	606	400	http://api.discogs.com/image/A-150-13608-1211718243.jpeg
13608	http://api.discogs.com/image/A-13608-1207271968.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-13608-1207271968.jpeg
13608	http://api.discogs.com/image/A-13608-1206795226.jpeg	secondary	633	600	http://api.discogs.com/image/A-150-13608-1206795226.jpeg
13608	http://api.discogs.com/image/A-13608-006.jpg	secondary	210	300	http://api.discogs.com/image/A-150-13608-006.jpg
13608	http://api.discogs.com/image/A-13608-005.jpg	secondary	273	410	http://api.discogs.com/image/A-150-13608-005.jpg
13608	http://api.discogs.com/image/A-13608-1145639898.jpeg	secondary	713	427	http://api.discogs.com/image/A-150-13608-1145639898.jpeg
13608	http://api.discogs.com/image/A-13608-003.jpg	secondary	500	405	http://api.discogs.com/image/A-150-13608-003.jpg
13608	http://api.discogs.com/image/A-13608-1148374878.jpeg	secondary	296	420	http://api.discogs.com/image/A-150-13608-1148374878.jpeg
13608	http://api.discogs.com/image/A-13608-1305754015.jpeg	secondary	600	475	http://api.discogs.com/image/A-150-13608-1305754015.jpeg
13608	http://api.discogs.com/image/A-13608-1151186120.jpeg	secondary	300	220	http://api.discogs.com/image/A-150-13608-1151186120.jpeg
13608	http://api.discogs.com/image/A-13608-1160665085.jpeg	secondary	811	600	http://api.discogs.com/image/A-150-13608-1160665085.jpeg
13678	http://api.discogs.com/image/A-13678-1117803390.jpg	secondary	150	150	http://api.discogs.com/image/A-150-13678-1117803390.jpg
13678	http://api.discogs.com/image/A-13678-1139861279.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-13678-1139861279.jpeg
13687	http://api.discogs.com/image/A-13687-1127230100.jpeg	primary	561	368	http://api.discogs.com/image/A-150-13687-1127230100.jpeg
13687	http://api.discogs.com/image/A-13687-1105795231.jpg	secondary	43	250	http://api.discogs.com/image/A-150-13687-1105795231.jpg
13687	http://api.discogs.com/image/A-13687-1127228783.jpeg	secondary	350	400	http://api.discogs.com/image/A-150-13687-1127228783.jpeg
13687	http://api.discogs.com/image/A-13687-1127229676.jpeg	secondary	311	332	http://api.discogs.com/image/A-150-13687-1127229676.jpeg
13687	http://api.discogs.com/image/A-13687-1127229985.jpeg	secondary	552	329	http://api.discogs.com/image/A-150-13687-1127229985.jpeg
13692	http://api.discogs.com/image/A-13692-001.jpg	primary	152	130	http://api.discogs.com/image/A-150-13692-001.jpg
13692	http://api.discogs.com/image/A-13692-1107978429.jpg	secondary	400	300	http://api.discogs.com/image/A-150-13692-1107978429.jpg
13719	http://api.discogs.com/image/A-13719-1337084531-5501.jpeg	primary	600	391	http://api.discogs.com/image/A-150-13719-1337084531-5501.jpeg
13719	http://api.discogs.com/image/A-13719-1109832658.jpg	secondary	193	104	http://api.discogs.com/image/A-150-13719-1109832658.jpg
13774	http://api.discogs.com/image/A-32852-001.jpg	primary	278	335	http://api.discogs.com/image/A-150-32852-001.jpg
13774	http://api.discogs.com/image/A-32852-002.jpg	secondary	480	480	http://api.discogs.com/image/A-150-32852-002.jpg
13774	http://api.discogs.com/image/A-13774-1249061449.jpeg	secondary	446	600	http://api.discogs.com/image/A-150-13774-1249061449.jpeg
13774	http://api.discogs.com/image/A-13774-1099132937.jpg	secondary	179	308	http://api.discogs.com/image/A-150-13774-1099132937.jpg
13774	http://api.discogs.com/image/A-13774-1249061463.jpeg	secondary	600	392	http://api.discogs.com/image/A-150-13774-1249061463.jpeg
13774	http://api.discogs.com/image/A-13774-1249061434.jpeg	secondary	467	433	http://api.discogs.com/image/A-150-13774-1249061434.jpeg
13774	http://api.discogs.com/image/A-13774-1249061457.jpeg	secondary	467	467	http://api.discogs.com/image/A-150-13774-1249061457.jpeg
13774	http://api.discogs.com/image/A-13774-1099132956.jpg	secondary	448	298	http://api.discogs.com/image/A-150-13774-1099132956.jpg
13861	http://api.discogs.com/image/A-13861-1358182412-3732.jpeg	primary	187	283	http://api.discogs.com/image/A-150-13861-1358182412-3732.jpeg
13864	http://api.discogs.com/image/A-13864-1252921173.jpeg	primary	567	567	http://api.discogs.com/image/A-150-13864-1252921173.jpeg
13864	http://api.discogs.com/image/A-13864-1237064095.jpeg	secondary	512	512	http://api.discogs.com/image/A-150-13864-1237064095.jpeg
13864	http://api.discogs.com/image/A-13864-1252921164.jpeg	secondary	893	600	http://api.discogs.com/image/A-150-13864-1252921164.jpeg
13864	http://api.discogs.com/image/A-13864-1252921181.jpeg	secondary	732	600	http://api.discogs.com/image/A-150-13864-1252921181.jpeg
14742	http://api.discogs.com/image/A-14742-1332342624.jpeg	primary	402	600	http://api.discogs.com/image/A-150-14742-1332342624.jpeg
14742	http://api.discogs.com/image/A-14742-1155366003.jpeg	secondary	239	300	http://api.discogs.com/image/A-150-14742-1155366003.jpeg
14742	http://api.discogs.com/image/A-14742-1235678459.jpeg	secondary	460	400	http://api.discogs.com/image/A-150-14742-1235678459.jpeg
15682	http://api.discogs.com/image/A-15682-1243781318.jpeg	primary	150	150	http://api.discogs.com/image/A-150-15682-1243781318.jpeg
15682	http://api.discogs.com/image/A-15682-1243781332.jpeg	secondary	210	206	http://api.discogs.com/image/A-150-15682-1243781332.jpeg
15683	http://api.discogs.com/image/A-15683-1243849249.jpeg	primary	498	500	http://api.discogs.com/image/A-150-15683-1243849249.jpeg
15825	http://api.discogs.com/image/A-15825-1312383992.jpeg	primary	397	303	http://api.discogs.com/image/A-150-15825-1312383992.jpeg
15825	http://api.discogs.com/image/A-15825-1194160886.jpeg	secondary	338	450	http://api.discogs.com/image/A-150-15825-1194160886.jpeg
15825	http://api.discogs.com/image/A-15825-1194160851.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-15825-1194160851.jpeg
15825	http://api.discogs.com/image/A-15825-1194160866.jpeg	secondary	327	456	http://api.discogs.com/image/A-150-15825-1194160866.jpeg
15825	http://api.discogs.com/image/A-15825-1312383988.jpeg	secondary	300	197	http://api.discogs.com/image/A-150-15825-1312383988.jpeg
16418	http://api.discogs.com/image/A-16418-1164909035.jpeg	secondary	300	400	http://api.discogs.com/image/A-150-16418-1164909035.jpeg
16761	http://api.discogs.com/image/A-16761-1330816638.jpeg	primary	695	488	http://api.discogs.com/image/A-150-16761-1330816638.jpeg
16761	http://api.discogs.com/image/A-16761-1330816655.jpeg	secondary	421	600	http://api.discogs.com/image/A-150-16761-1330816655.jpeg
16761	http://api.discogs.com/image/A-16761-1330816669.jpeg	secondary	421	600	http://api.discogs.com/image/A-150-16761-1330816669.jpeg
16761	http://api.discogs.com/image/A-16761-001.jpg	secondary	215	183	http://api.discogs.com/image/A-150-16761-001.jpg
16794	http://api.discogs.com/image/A-16794-1262083268.jpeg	primary	385	444	http://api.discogs.com/image/A-150-16794-1262083268.jpeg
16794	http://api.discogs.com/image/A-16794-1296001428.jpeg	secondary	600	546	http://api.discogs.com/image/A-150-16794-1296001428.jpeg
16794	http://api.discogs.com/image/A-16794-1261646762.jpeg	secondary	537	500	http://api.discogs.com/image/A-150-16794-1261646762.jpeg
16794	http://api.discogs.com/image/A-16794-1262083206.jpeg	secondary	190	290	http://api.discogs.com/image/A-150-16794-1262083206.jpeg
16794	http://api.discogs.com/image/A-16794-1293629163.jpeg	secondary	487	366	http://api.discogs.com/image/A-150-16794-1293629163.jpeg
16794	http://api.discogs.com/image/A-16794-1149019468.jpeg	secondary	600	474	http://api.discogs.com/image/A-150-16794-1149019468.jpeg
16794	http://api.discogs.com/image/A-16794-1168135370.jpeg	secondary	224	300	http://api.discogs.com/image/A-150-16794-1168135370.jpeg
16794	http://api.discogs.com/image/A-16794-1234842421.jpeg	secondary	600	451	http://api.discogs.com/image/A-150-16794-1234842421.jpeg
16794	http://api.discogs.com/image/A-16794-1234842429.jpeg	secondary	600	412	http://api.discogs.com/image/A-150-16794-1234842429.jpeg
16794	http://api.discogs.com/image/A-16794-1234842439.jpeg	secondary	461	305	http://api.discogs.com/image/A-150-16794-1234842439.jpeg
16794	http://api.discogs.com/image/A-16794-1234842461.jpeg	secondary	392	295	http://api.discogs.com/image/A-150-16794-1234842461.jpeg
16794	http://api.discogs.com/image/A-16794-1234842471.jpeg	secondary	636	502	http://api.discogs.com/image/A-150-16794-1234842471.jpeg
16794	http://api.discogs.com/image/A-16794-1262083197.jpeg	secondary	203	247	http://api.discogs.com/image/A-150-16794-1262083197.jpeg
16794	http://api.discogs.com/image/A-16794-1262083218.jpeg	secondary	484	318	http://api.discogs.com/image/A-150-16794-1262083218.jpeg
16794	http://api.discogs.com/image/A-16794-1262083234.jpeg	secondary	243	200	http://api.discogs.com/image/A-150-16794-1262083234.jpeg
16794	http://api.discogs.com/image/A-16794-1262087320.jpeg	secondary	441	276	http://api.discogs.com/image/A-150-16794-1262087320.jpeg
16794	http://api.discogs.com/image/A-16794-1296001418.jpeg	secondary	600	424	http://api.discogs.com/image/A-150-16794-1296001418.jpeg
17035	http://api.discogs.com/image/A-17035-1287524422.jpeg	primary	715	600	http://api.discogs.com/image/A-150-17035-1287524422.jpeg
17035	http://api.discogs.com/image/A-17035-1293515388.jpeg	secondary	500	401	http://api.discogs.com/image/A-150-17035-1293515388.jpeg
17035	http://api.discogs.com/image/A-17035-1287525836.jpeg	secondary	400	267	http://api.discogs.com/image/A-150-17035-1287525836.jpeg
17035	http://api.discogs.com/image/A-17035-1287525221.jpeg	secondary	545	416	http://api.discogs.com/image/A-150-17035-1287525221.jpeg
17035	http://api.discogs.com/image/A-17035-1293888755.jpeg	secondary	391	496	http://api.discogs.com/image/A-150-17035-1293888755.jpeg
17035	http://api.discogs.com/image/A-17035-1296067748.jpeg	secondary	477	388	http://api.discogs.com/image/A-150-17035-1296067748.jpeg
17035	http://api.discogs.com/image/A-17035-1287525039.jpeg	secondary	514	400	http://api.discogs.com/image/A-150-17035-1287525039.jpeg
17035	http://api.discogs.com/image/A-17035-1287524546.jpeg	secondary	594	400	http://api.discogs.com/image/A-150-17035-1287524546.jpeg
17035	http://api.discogs.com/image/A-17035-1287524752.jpeg	secondary	600	404	http://api.discogs.com/image/A-150-17035-1287524752.jpeg
17035	http://api.discogs.com/image/A-17035-1287524574.jpeg	secondary	486	600	http://api.discogs.com/image/A-150-17035-1287524574.jpeg
17035	http://api.discogs.com/image/A-17035-1287524438.jpeg	secondary	720	580	http://api.discogs.com/image/A-150-17035-1287524438.jpeg
17035	http://api.discogs.com/image/A-17035-1287525479.jpeg	secondary	740	600	http://api.discogs.com/image/A-150-17035-1287525479.jpeg
17035	http://api.discogs.com/image/A-17035-1287524492.jpeg	secondary	488	600	http://api.discogs.com/image/A-150-17035-1287524492.jpeg
17035	http://api.discogs.com/image/A-17035-1287524860.jpeg	secondary	400	536	http://api.discogs.com/image/A-150-17035-1287524860.jpeg
17035	http://api.discogs.com/image/A-17035-1287525643.jpeg	secondary	550	367	http://api.discogs.com/image/A-150-17035-1287525643.jpeg
17815	http://api.discogs.com/image/A-17815-001.gif	primary	135	108	http://api.discogs.com/image/A-150-17815-001.gif
17815	http://api.discogs.com/image/A-62694-001.jpg	primary	318	200	http://api.discogs.com/image/A-150-62694-001.jpg
17815	http://api.discogs.com/image/A-17815-1079133756.jpg	secondary	144	134	http://api.discogs.com/image/A-150-17815-1079133756.jpg
18677	http://api.discogs.com/image/A-18677-001.jpg	primary	260	168	http://api.discogs.com/image/A-150-18677-001.jpg
18677	http://api.discogs.com/image/A-18677-1289636794.png	secondary	368	283	http://api.discogs.com/image/A-150-18677-1289636794.png
18677	http://api.discogs.com/image/A-18677-1349547333-6954.jpeg	secondary	500	550	http://api.discogs.com/image/A-150-18677-1349547333-6954.jpeg
18700	http://api.discogs.com/image/A-18700-1196011394.gif	primary	432	350	http://api.discogs.com/image/A-150-18700-1196011394.gif
18700	http://api.discogs.com/image/A-18700-001.jpg	secondary	350	236	http://api.discogs.com/image/A-150-18700-001.jpg
18700	http://api.discogs.com/image/A-18700-1139587634.jpeg	secondary	591	424	http://api.discogs.com/image/A-150-18700-1139587634.jpeg
18700	http://api.discogs.com/image/A-18700-1196011483.jpeg	secondary	369	269	http://api.discogs.com/image/A-150-18700-1196011483.jpeg
19083	http://api.discogs.com/image/A-19083-001.jpg	primary	199	200	http://api.discogs.com/image/A-150-19083-001.jpg
20037	http://api.discogs.com/image/A-20037-1158027054.jpeg	secondary	300	400	http://api.discogs.com/image/A-150-20037-1158027054.jpeg
20037	http://api.discogs.com/image/A-20037-1158027147.jpeg	secondary	332	491	http://api.discogs.com/image/A-150-20037-1158027147.jpeg
20544	http://api.discogs.com/image/A-20544-1250936058.jpeg	primary	841	598	http://api.discogs.com/image/A-150-20544-1250936058.jpeg
20544	http://api.discogs.com/image/A-20544-1266940770.jpeg	secondary	671	600	http://api.discogs.com/image/A-150-20544-1266940770.jpeg
20544	http://api.discogs.com/image/A-20544-1235334595.jpeg	secondary	916	576	http://api.discogs.com/image/A-150-20544-1235334595.jpeg
20544	http://api.discogs.com/image/A-20544-1250936075.jpeg	secondary	761	600	http://api.discogs.com/image/A-150-20544-1250936075.jpeg
20544	http://api.discogs.com/image/A-20544-1156319775.jpeg	secondary	197	150	http://api.discogs.com/image/A-150-20544-1156319775.jpeg
20942	http://api.discogs.com/image/A-20942-001.jpg	primary	221	300	http://api.discogs.com/image/A-150-20942-001.jpg
20942	http://api.discogs.com/image/A-20942-1281732926.jpeg	secondary	440	600	http://api.discogs.com/image/A-150-20942-1281732926.jpeg
22164	http://api.discogs.com/image/A-22164-1272935889.jpeg	primary	412	587	http://api.discogs.com/image/A-150-22164-1272935889.jpeg
22164	http://api.discogs.com/image/A-22164-001.jpg	secondary	318	400	http://api.discogs.com/image/A-150-22164-001.jpg
22164	http://api.discogs.com/image/A-22164-1081739112.jpg	secondary	175	253	http://api.discogs.com/image/A-150-22164-1081739112.jpg
22164	http://api.discogs.com/image/A-22164-1145213149.gif	secondary	198	200	http://api.discogs.com/image/A-150-22164-1145213149.gif
22164	http://api.discogs.com/image/A-22164-1145213173.jpeg	secondary	231	264	http://api.discogs.com/image/A-150-22164-1145213173.jpeg
22164	http://api.discogs.com/image/A-22164-1145213243.jpeg	secondary	265	400	http://api.discogs.com/image/A-150-22164-1145213243.jpeg
22164	http://api.discogs.com/image/A-22164-1145213292.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-22164-1145213292.jpeg
22164	http://api.discogs.com/image/A-22164-1349423433-9973.jpeg	secondary	392	496	http://api.discogs.com/image/A-150-22164-1349423433-9973.jpeg
23765	http://api.discogs.com/image/A-23765-1194643957.jpeg	secondary	480	600	http://api.discogs.com/image/A-150-23765-1194643957.jpeg
24076	http://api.discogs.com/image/A-24076-1286067337.jpeg	primary	249	203	http://api.discogs.com/image/A-150-24076-1286067337.jpeg
24076	http://api.discogs.com/image/A-24076-002.jpg	secondary	450	307	http://api.discogs.com/image/A-150-24076-002.jpg
24076	http://api.discogs.com/image/A-24076-1286067311.jpeg	secondary	610	460	http://api.discogs.com/image/A-150-24076-1286067311.jpeg
24076	http://api.discogs.com/image/A-24076-1281929931.jpeg	secondary	500	333	http://api.discogs.com/image/A-150-24076-1281929931.jpeg
24076	http://api.discogs.com/image/A-24076-1267374615.jpeg	secondary	336	409	http://api.discogs.com/image/A-150-24076-1267374615.jpeg
24076	http://api.discogs.com/image/A-24076-1240670372.jpeg	secondary	398	600	http://api.discogs.com/image/A-150-24076-1240670372.jpeg
24076	http://api.discogs.com/image/A-24076-1267374322.jpeg	secondary	210	200	http://api.discogs.com/image/A-150-24076-1267374322.jpeg
24076	http://api.discogs.com/image/A-24076-1267374365.jpeg	secondary	524	302	http://api.discogs.com/image/A-150-24076-1267374365.jpeg
24076	http://api.discogs.com/image/A-24076-1267374636.jpeg	secondary	246	400	http://api.discogs.com/image/A-150-24076-1267374636.jpeg
24076	http://api.discogs.com/image/A-24076-1267374418.jpeg	secondary	448	298	http://api.discogs.com/image/A-150-24076-1267374418.jpeg
24076	http://api.discogs.com/image/A-24076-1267374568.jpeg	secondary	903	600	http://api.discogs.com/image/A-150-24076-1267374568.jpeg
24076	http://api.discogs.com/image/A-24076-1286067325.jpeg	secondary	400	297	http://api.discogs.com/image/A-150-24076-1286067325.jpeg
24076	http://api.discogs.com/image/A-24076-1286067318.jpeg	secondary	628	460	http://api.discogs.com/image/A-150-24076-1286067318.jpeg
24076	http://api.discogs.com/image/A-24076-1286067303.jpeg	secondary	343	460	http://api.discogs.com/image/A-150-24076-1286067303.jpeg
24076	http://api.discogs.com/image/A-24076-1218980948.jpeg	secondary	600	399	http://api.discogs.com/image/A-150-24076-1218980948.jpeg
24076	http://api.discogs.com/image/A-24076-1289097925.jpeg	secondary	237	356	http://api.discogs.com/image/A-150-24076-1289097925.jpeg
24076	http://api.discogs.com/image/A-24076-004.jpg	secondary	300	400	http://api.discogs.com/image/A-150-24076-004.jpg
24076	http://api.discogs.com/image/A-24076-005.jpg	secondary	506	400	http://api.discogs.com/image/A-150-24076-005.jpg
24076	http://api.discogs.com/image/A-24076-006.jpg	secondary	548	400	http://api.discogs.com/image/A-150-24076-006.jpg
24076	http://api.discogs.com/image/A-24076-1268607507.jpeg	secondary	537	400	http://api.discogs.com/image/A-150-24076-1268607507.jpeg
24076	http://api.discogs.com/image/A-24076-1268607536.jpeg	secondary	300	201	http://api.discogs.com/image/A-150-24076-1268607536.jpeg
24076	http://api.discogs.com/image/A-24076-1268607583.jpeg	secondary	488	372	http://api.discogs.com/image/A-150-24076-1268607583.jpeg
24076	http://api.discogs.com/image/A-24076-1289097790.jpeg	secondary	351	500	http://api.discogs.com/image/A-150-24076-1289097790.jpeg
24076	http://api.discogs.com/image/A-24076-1268607435.jpeg	secondary	394	550	http://api.discogs.com/image/A-150-24076-1268607435.jpeg
25018	http://api.discogs.com/image/A-25018-001.jpg	primary	250	148	http://api.discogs.com/image/A-150-25018-001.jpg
25018	http://api.discogs.com/image/A-25018-002.jpg	secondary	250	233	http://api.discogs.com/image/A-150-25018-002.jpg
25018	http://api.discogs.com/image/A-25018-1282609039.jpeg	secondary	400	300	http://api.discogs.com/image/A-150-25018-1282609039.jpeg
26219	http://api.discogs.com/image/A-26219-1276187245.jpeg	primary	570	394	http://api.discogs.com/image/A-150-26219-1276187245.jpeg
26219	http://api.discogs.com/image/A-26219-001.jpg	secondary	443	300	http://api.discogs.com/image/A-150-26219-001.jpg
26219	http://api.discogs.com/image/A-26219-1081425155.jpg	secondary	392	350	http://api.discogs.com/image/A-150-26219-1081425155.jpg
26219	http://api.discogs.com/image/A-26219-1276187129.png	secondary	211	294	http://api.discogs.com/image/A-150-26219-1276187129.png
27500	http://api.discogs.com/image/A-27500-1336320205.jpeg	primary	381	395	http://api.discogs.com/image/A-150-27500-1336320205.jpeg
27500	http://api.discogs.com/image/A-27500-1317301208.jpeg	secondary	320	400	http://api.discogs.com/image/A-150-27500-1317301208.jpeg
27500	http://api.discogs.com/image/A-27500-1083136592.jpg	secondary	300	300	http://api.discogs.com/image/A-150-27500-1083136592.jpg
27737	http://api.discogs.com/image/A-27737-1205702975.jpeg	primary	398	600	http://api.discogs.com/image/A-150-27737-1205702975.jpeg
27737	http://api.discogs.com/image/A-27737-001.jpg	secondary	200	150	http://api.discogs.com/image/A-150-27737-001.jpg
27737	http://api.discogs.com/image/A-27737-1107978260.jpg	secondary	384	288	http://api.discogs.com/image/A-150-27737-1107978260.jpg
27737	http://api.discogs.com/image/A-27737-1154722335.jpeg	secondary	499	600	http://api.discogs.com/image/A-150-27737-1154722335.jpeg
27887	http://api.discogs.com/image/A-27887-001.jpg	primary	182	250	http://api.discogs.com/image/A-150-27887-001.jpg
27941	http://api.discogs.com/image/A-27941-1074783560.jpg	primary	447	350	http://api.discogs.com/image/A-150-27941-1074783560.jpg
27941	http://api.discogs.com/image/A-27941-1160617025.jpeg	secondary	447	350	http://api.discogs.com/image/A-150-27941-1160617025.jpeg
27941	http://api.discogs.com/image/A-27941-1160617029.jpeg	secondary	447	350	http://api.discogs.com/image/A-150-27941-1160617029.jpeg
27941	http://api.discogs.com/image/A-27941-1160617036.jpeg	secondary	447	350	http://api.discogs.com/image/A-150-27941-1160617036.jpeg
28141	http://api.discogs.com/image/A-28141-1076923622.jpg	primary	220	301	http://api.discogs.com/image/A-150-28141-1076923622.jpg
28141	http://api.discogs.com/image/A-28141-1138540803.jpeg	secondary	230	230	http://api.discogs.com/image/A-150-28141-1138540803.jpeg
28141	http://api.discogs.com/image/A-28141-1138541497.jpeg	secondary	431	398	http://api.discogs.com/image/A-150-28141-1138541497.jpeg
28141	http://api.discogs.com/image/A-28141-1208704913.jpeg	secondary	200	300	http://api.discogs.com/image/A-150-28141-1208704913.jpeg
28795	http://api.discogs.com/image/A-28795-1345733992-2190.png	primary	498	499	http://api.discogs.com/image/A-150-28795-1345733992-2190.png
28795	http://api.discogs.com/image/A-28795-1268805683.jpeg	secondary	600	397	http://api.discogs.com/image/A-150-28795-1268805683.jpeg
28795	http://api.discogs.com/image/A-28795-1143199389.jpeg	secondary	471	355	http://api.discogs.com/image/A-150-28795-1143199389.jpeg
28795	http://api.discogs.com/image/A-28795-1268805647.jpeg	secondary	578	570	http://api.discogs.com/image/A-150-28795-1268805647.jpeg
28795	http://api.discogs.com/image/A-28795-1279659998.jpeg	secondary	748	513	http://api.discogs.com/image/A-150-28795-1279659998.jpeg
28795	http://api.discogs.com/image/A-28795-1148558650.jpeg	secondary	320	232	http://api.discogs.com/image/A-150-28795-1148558650.jpeg
28795	http://api.discogs.com/image/A-28795-1245485775.jpeg	secondary	394	394	http://api.discogs.com/image/A-150-28795-1245485775.jpeg
28795	http://api.discogs.com/image/A-28795-1143201707.jpeg	secondary	200	240	http://api.discogs.com/image/A-150-28795-1143201707.jpeg
28795	http://api.discogs.com/image/A-28795-1148558663.jpeg	secondary	320	219	http://api.discogs.com/image/A-150-28795-1148558663.jpeg
28795	http://api.discogs.com/image/A-28795-1117045436.jpg	secondary	332	227	http://api.discogs.com/image/A-150-28795-1117045436.jpg
28795	http://api.discogs.com/image/A-28795-1268805692.jpeg	secondary	600	434	http://api.discogs.com/image/A-150-28795-1268805692.jpeg
28795	http://api.discogs.com/image/A-28795-1268805661.jpeg	secondary	459	600	http://api.discogs.com/image/A-150-28795-1268805661.jpeg
28795	http://api.discogs.com/image/A-28795-1268805675.jpeg	secondary	396	600	http://api.discogs.com/image/A-150-28795-1268805675.jpeg
29019	http://api.discogs.com/image/A-29019-1294212003.jpeg	primary	512	600	http://api.discogs.com/image/A-150-29019-1294212003.jpeg
29019	http://api.discogs.com/image/A-29019-1146741687.jpeg	secondary	264	392	http://api.discogs.com/image/A-150-29019-1146741687.jpeg
29316	http://api.discogs.com/image/A-29316-1233581987.jpeg	primary	317	261	http://api.discogs.com/image/A-150-29316-1233581987.jpeg
29316	http://api.discogs.com/image/A-29316-002.jpg	secondary	462	318	http://api.discogs.com/image/A-150-29316-002.jpg
33200	http://api.discogs.com/image/A-33200-1318674593.jpeg	primary	598	600	http://api.discogs.com/image/A-150-33200-1318674593.jpeg
33200	http://api.discogs.com/image/A-33200-1149444185.jpeg	secondary	212	166	http://api.discogs.com/image/A-150-33200-1149444185.jpeg
33200	http://api.discogs.com/image/A-33200-1281330714.jpeg	secondary	600	484	http://api.discogs.com/image/A-150-33200-1281330714.jpeg
33200	http://api.discogs.com/image/A-33200-1281330695.jpeg	secondary	305	542	http://api.discogs.com/image/A-150-33200-1281330695.jpeg
33200	http://api.discogs.com/image/A-33200-1149444102.jpeg	secondary	262	200	http://api.discogs.com/image/A-150-33200-1149444102.jpeg
33200	http://api.discogs.com/image/A-33200-1149444129.jpeg	secondary	245	195	http://api.discogs.com/image/A-150-33200-1149444129.jpeg
33200	http://api.discogs.com/image/A-33200-1281330725.jpeg	secondary	336	448	http://api.discogs.com/image/A-150-33200-1281330725.jpeg
33200	http://api.discogs.com/image/A-33200-1083359381.jpg	secondary	270	271	http://api.discogs.com/image/A-150-33200-1083359381.jpg
33496	http://api.discogs.com/image/A-33496-1246024216.jpeg	primary	614	600	http://api.discogs.com/image/A-150-33496-1246024216.jpeg
33496	http://api.discogs.com/image/A-33496-1084422192.jpg	secondary	400	264	http://api.discogs.com/image/A-150-33496-1084422192.jpg
33496	http://api.discogs.com/image/A-33496-1138387140.jpeg	secondary	276	300	http://api.discogs.com/image/A-150-33496-1138387140.jpeg
33496	http://api.discogs.com/image/A-33496-1295820279.jpeg	secondary	220	250	http://api.discogs.com/image/A-150-33496-1295820279.jpeg
33750	http://api.discogs.com/image/A-33750-1349181834-4063.jpeg	primary	285	170	http://api.discogs.com/image/A-150-33750-1349181834-4063.jpeg
35251	http://api.discogs.com/image/A-35251-1081913678.jpg	primary	260	275	http://api.discogs.com/image/A-150-35251-1081913678.jpg
35251	http://api.discogs.com/image/A-35251-1318776303.png	secondary	330	250	http://api.discogs.com/image/A-150-35251-1318776303.png
35289	http://api.discogs.com/image/A-35289-1323877620.jpeg	primary	824	600	http://api.discogs.com/image/A-150-35289-1323877620.jpeg
35289	http://api.discogs.com/image/A-35289-1268741037.jpeg	secondary	400	343	http://api.discogs.com/image/A-150-35289-1268741037.jpeg
35289	http://api.discogs.com/image/A-35289-1293518897.jpeg	secondary	500	401	http://api.discogs.com/image/A-150-35289-1293518897.jpeg
35289	http://api.discogs.com/image/A-35289-1268631231.jpeg	secondary	341	600	http://api.discogs.com/image/A-150-35289-1268631231.jpeg
35289	http://api.discogs.com/image/A-35289-1232966043.jpeg	secondary	447	517	http://api.discogs.com/image/A-150-35289-1232966043.jpeg
35289	http://api.discogs.com/image/A-35289-1232966036.jpeg	secondary	676	524	http://api.discogs.com/image/A-150-35289-1232966036.jpeg
35289	http://api.discogs.com/image/A-35289-1268631340.jpeg	secondary	420	553	http://api.discogs.com/image/A-150-35289-1268631340.jpeg
35289	http://api.discogs.com/image/A-35289-1268631178.jpeg	secondary	297	417	http://api.discogs.com/image/A-150-35289-1268631178.jpeg
35289	http://api.discogs.com/image/A-35289-1268631314.jpeg	secondary	362	597	http://api.discogs.com/image/A-150-35289-1268631314.jpeg
35289	http://api.discogs.com/image/A-35289-1268631328.jpeg	secondary	428	593	http://api.discogs.com/image/A-150-35289-1268631328.jpeg
35289	http://api.discogs.com/image/A-35289-1232965525.jpeg	secondary	500	415	http://api.discogs.com/image/A-150-35289-1232965525.jpeg
35289	http://api.discogs.com/image/A-35289-1289723855.jpeg	secondary	452	594	http://api.discogs.com/image/A-150-35289-1289723855.jpeg
35289	http://api.discogs.com/image/A-35289-1232966027.jpeg	secondary	600	568	http://api.discogs.com/image/A-150-35289-1232966027.jpeg
35289	http://api.discogs.com/image/A-35289-1293624841.jpeg	secondary	493	500	http://api.discogs.com/image/A-150-35289-1293624841.jpeg
35289	http://api.discogs.com/image/A-35289-1262082443.jpeg	secondary	775	600	http://api.discogs.com/image/A-150-35289-1262082443.jpeg
35289	http://api.discogs.com/image/A-35289-1262082661.jpeg	secondary	461	463	http://api.discogs.com/image/A-150-35289-1262082661.jpeg
35289	http://api.discogs.com/image/A-35289-1289723810.jpeg	secondary	425	600	http://api.discogs.com/image/A-150-35289-1289723810.jpeg
35289	http://api.discogs.com/image/A-35289-1262082691.jpeg	secondary	802	600	http://api.discogs.com/image/A-150-35289-1262082691.jpeg
35289	http://api.discogs.com/image/A-35289-1323876150.jpeg	secondary	453	600	http://api.discogs.com/image/A-150-35289-1323876150.jpeg
35289	http://api.discogs.com/image/A-35289-1289723438.jpeg	secondary	884	600	http://api.discogs.com/image/A-150-35289-1289723438.jpeg
35289	http://api.discogs.com/image/A-35289-1232965536.jpeg	secondary	195	249	http://api.discogs.com/image/A-150-35289-1232965536.jpeg
35289	http://api.discogs.com/image/A-35289-1323876193.jpeg	secondary	511	339	http://api.discogs.com/image/A-150-35289-1323876193.jpeg
35289	http://api.discogs.com/image/A-35289-1268741083.jpeg	secondary	394	500	http://api.discogs.com/image/A-150-35289-1268741083.jpeg
35289	http://api.discogs.com/image/A-35289-1323876171.jpeg	secondary	358	600	http://api.discogs.com/image/A-150-35289-1323876171.jpeg
35289	http://api.discogs.com/image/A-35289-1288407845.jpeg	secondary	455	600	http://api.discogs.com/image/A-150-35289-1288407845.jpeg
35289	http://api.discogs.com/image/A-35289-1289723877.jpeg	secondary	473	600	http://api.discogs.com/image/A-150-35289-1289723877.jpeg
35289	http://api.discogs.com/image/A-35289-1262082706.jpeg	secondary	269	353	http://api.discogs.com/image/A-150-35289-1262082706.jpeg
35289	http://api.discogs.com/image/A-35289-1235475429.jpeg	secondary	299	500	http://api.discogs.com/image/A-150-35289-1235475429.jpeg
35289	http://api.discogs.com/image/A-35289-1262082369.jpeg	secondary	291	467	http://api.discogs.com/image/A-150-35289-1262082369.jpeg
35289	http://api.discogs.com/image/A-35289-1262082429.jpeg	secondary	541	598	http://api.discogs.com/image/A-150-35289-1262082429.jpeg
35289	http://api.discogs.com/image/A-35289-1268741072.jpeg	secondary	249	446	http://api.discogs.com/image/A-150-35289-1268741072.jpeg
35289	http://api.discogs.com/image/A-35289-1323876077.jpeg	secondary	370	600	http://api.discogs.com/image/A-150-35289-1323876077.jpeg
35289	http://api.discogs.com/image/A-35289-1323876122.jpeg	secondary	448	600	http://api.discogs.com/image/A-150-35289-1323876122.jpeg
35289	http://api.discogs.com/image/A-35289-1323876101.jpeg	secondary	373	600	http://api.discogs.com/image/A-150-35289-1323876101.jpeg
35289	http://api.discogs.com/image/A-35289-1359001693-9049.jpeg	secondary	767	600	http://api.discogs.com/image/A-150-35289-1359001693-9049.jpeg
35289	http://api.discogs.com/image/A-35289-1359001934-2588.jpeg	secondary	540	600	http://api.discogs.com/image/A-150-35289-1359001934-2588.jpeg
35289	http://api.discogs.com/image/A-35289-1361827337-8143.jpeg	secondary	800	584	http://api.discogs.com/image/A-150-35289-1361827337-8143.jpeg
36507	http://api.discogs.com/image/A-36507-1271924189.jpeg	primary	179	240	http://api.discogs.com/image/A-150-36507-1271924189.jpeg
37224	http://api.discogs.com/image/A-37224-1336665152-1497.jpeg	primary	600	600	http://api.discogs.com/image/A-150-37224-1336665152-1497.jpeg
37224	http://api.discogs.com/image/A-37224-1326405428.jpeg	secondary	417	600	http://api.discogs.com/image/A-150-37224-1326405428.jpeg
37224	http://api.discogs.com/image/A-37224-1293551500.jpeg	secondary	320	600	http://api.discogs.com/image/A-150-37224-1293551500.jpeg
37224	http://api.discogs.com/image/A-37224-1216672154.jpeg	secondary	496	368	http://api.discogs.com/image/A-150-37224-1216672154.jpeg
37224	http://api.discogs.com/image/A-37224-1117465494.jpg	secondary	272	291	http://api.discogs.com/image/A-150-37224-1117465494.jpg
37224	http://api.discogs.com/image/A-37224-1148782620.jpeg	secondary	237	356	http://api.discogs.com/image/A-150-37224-1148782620.jpeg
37224	http://api.discogs.com/image/A-37224-1326405407.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-37224-1326405407.jpeg
37224	http://api.discogs.com/image/A-37224-1326405414.jpeg	secondary	399	600	http://api.discogs.com/image/A-150-37224-1326405414.jpeg
37224	http://api.discogs.com/image/A-37224-1326405422.jpeg	secondary	404	600	http://api.discogs.com/image/A-150-37224-1326405422.jpeg
37594	http://api.discogs.com/image/A-37594-1304277246.jpeg	secondary	491	364	http://api.discogs.com/image/A-150-37594-1304277246.jpeg
37594	http://api.discogs.com/image/A-37594-1304277196.jpeg	secondary	491	364	http://api.discogs.com/image/A-150-37594-1304277196.jpeg
37594	http://api.discogs.com/image/A-37594-1274639875.jpeg	primary	280	280	http://api.discogs.com/image/A-150-37594-1274639875.jpeg
37594	http://api.discogs.com/image/A-37594-1180917918.jpeg	secondary	572	475	http://api.discogs.com/image/A-150-37594-1180917918.jpeg
37594	http://api.discogs.com/image/A-37594-1149961290.jpeg	secondary	333	298	http://api.discogs.com/image/A-150-37594-1149961290.jpeg
37594	http://api.discogs.com/image/A-37594-1274639592.jpeg	secondary	333	269	http://api.discogs.com/image/A-150-37594-1274639592.jpeg
37594	http://api.discogs.com/image/A-37594-1262814860.jpeg	secondary	275	450	http://api.discogs.com/image/A-150-37594-1262814860.jpeg
37594	http://api.discogs.com/image/A-37594-1210527993.jpeg	secondary	387	375	http://api.discogs.com/image/A-150-37594-1210527993.jpeg
37594	http://api.discogs.com/image/A-37594-1154944638.jpeg	secondary	333	246	http://api.discogs.com/image/A-150-37594-1154944638.jpeg
37594	http://api.discogs.com/image/A-37594-1180918141.jpeg	secondary	576	400	http://api.discogs.com/image/A-150-37594-1180918141.jpeg
37594	http://api.discogs.com/image/A-37594-1274639842.jpeg	secondary	350	243	http://api.discogs.com/image/A-150-37594-1274639842.jpeg
37594	http://api.discogs.com/image/A-37594-1191117504.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-37594-1191117504.jpeg
37594	http://api.discogs.com/image/A-37594-1274639805.jpeg	secondary	417	300	http://api.discogs.com/image/A-150-37594-1274639805.jpeg
37594	http://api.discogs.com/image/A-37594-1274639342.jpeg	secondary	518	398	http://api.discogs.com/image/A-150-37594-1274639342.jpeg
37594	http://api.discogs.com/image/A-37594-1274639113.jpeg	secondary	340	400	http://api.discogs.com/image/A-150-37594-1274639113.jpeg
37594	http://api.discogs.com/image/A-37594-1274639645.jpeg	secondary	422	387	http://api.discogs.com/image/A-150-37594-1274639645.jpeg
37594	http://api.discogs.com/image/A-37594-1274639755.jpeg	secondary	422	309	http://api.discogs.com/image/A-150-37594-1274639755.jpeg
37594	http://api.discogs.com/image/A-37594-1274639722.jpeg	secondary	422	383	http://api.discogs.com/image/A-150-37594-1274639722.jpeg
37594	http://api.discogs.com/image/A-37594-1274639902.jpeg	secondary	350	189	http://api.discogs.com/image/A-150-37594-1274639902.jpeg
37594	http://api.discogs.com/image/A-37594-1274638687.jpeg	secondary	550	375	http://api.discogs.com/image/A-150-37594-1274638687.jpeg
37594	http://api.discogs.com/image/A-37594-1274638768.jpeg	secondary	640	458	http://api.discogs.com/image/A-150-37594-1274638768.jpeg
37594	http://api.discogs.com/image/A-37594-1274638887.jpeg	secondary	621	500	http://api.discogs.com/image/A-150-37594-1274638887.jpeg
37720	http://api.discogs.com/image/A-37720-1093302433.jpg	primary	336	500	http://api.discogs.com/image/A-150-37720-1093302433.jpg
37720	http://api.discogs.com/image/A-37720-1265751993.jpeg	secondary	300	217	http://api.discogs.com/image/A-150-37720-1265751993.jpeg
37720	http://api.discogs.com/image/A-37720-001.jpg	secondary	367	229	http://api.discogs.com/image/A-150-37720-001.jpg
37720	http://api.discogs.com/image/A-37720-1208826153.jpeg	secondary	433	600	http://api.discogs.com/image/A-150-37720-1208826153.jpeg
37720	http://api.discogs.com/image/A-37720-1208826159.jpeg	secondary	398	563	http://api.discogs.com/image/A-150-37720-1208826159.jpeg
37727	http://api.discogs.com/image/A-37727-1101894705.jpg	secondary	89	58	http://api.discogs.com/image/A-150-37727-1101894705.jpg
37757	http://api.discogs.com/image/A-37757-1319451091.jpeg	primary	470	567	http://api.discogs.com/image/A-150-37757-1319451091.jpeg
37757	http://api.discogs.com/image/A-37757-1177872075.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-37757-1177872075.jpeg
37757	http://api.discogs.com/image/A-37757-1126585076.jpeg	secondary	245	200	http://api.discogs.com/image/A-150-37757-1126585076.jpeg
37757	http://api.discogs.com/image/A-37757-1127972234.jpeg	secondary	247	449	http://api.discogs.com/image/A-150-37757-1127972234.jpeg
37757	http://api.discogs.com/image/A-37757-1353659260-6081.jpeg	secondary	454	459	http://api.discogs.com/image/A-150-37757-1353659260-6081.jpeg
37757	http://api.discogs.com/image/A-37757-1144699481.jpeg	secondary	417	600	http://api.discogs.com/image/A-150-37757-1144699481.jpeg
37757	http://api.discogs.com/image/A-37757-1353659423-7311.jpeg	secondary	390	556	http://api.discogs.com/image/A-150-37757-1353659423-7311.jpeg
37757	http://api.discogs.com/image/A-37757-1343073202-2502.jpeg	secondary	372	500	http://api.discogs.com/image/A-150-37757-1343073202-2502.jpeg
38225	http://api.discogs.com/image/A-38225-1086421974.jpg	primary	130	114	http://api.discogs.com/image/A-150-38225-1086421974.jpg
38863	http://api.discogs.com/image/A-38863-1336662073-8873.jpeg	primary	446	597	http://api.discogs.com/image/A-150-38863-1336662073-8873.jpeg
38863	http://api.discogs.com/image/A-38863-1316853683.jpeg	secondary	469	346	http://api.discogs.com/image/A-150-38863-1316853683.jpeg
38863	http://api.discogs.com/image/A-38863-1316853747.jpeg	secondary	621	600	http://api.discogs.com/image/A-150-38863-1316853747.jpeg
38863	http://api.discogs.com/image/A-38863-1276428521.jpeg	secondary	405	600	http://api.discogs.com/image/A-150-38863-1276428521.jpeg
38863	http://api.discogs.com/image/A-38863-1266381353.jpeg	secondary	600	465	http://api.discogs.com/image/A-150-38863-1266381353.jpeg
38863	http://api.discogs.com/image/A-38863-002.jpg	secondary	448	300	http://api.discogs.com/image/A-150-38863-002.jpg
38863	http://api.discogs.com/image/A-38863-1266381454.jpeg	secondary	600	409	http://api.discogs.com/image/A-150-38863-1266381454.jpeg
38863	http://api.discogs.com/image/A-38863-1276428546.jpeg	secondary	600	481	http://api.discogs.com/image/A-150-38863-1276428546.jpeg
38863	http://api.discogs.com/image/A-38863-1266381263.jpeg	secondary	545	600	http://api.discogs.com/image/A-150-38863-1266381263.jpeg
38863	http://api.discogs.com/image/A-38863-1266381466.jpeg	secondary	600	469	http://api.discogs.com/image/A-150-38863-1266381466.jpeg
38863	http://api.discogs.com/image/A-38863-1207924750.jpeg	secondary	450	359	http://api.discogs.com/image/A-150-38863-1207924750.jpeg
38863	http://api.discogs.com/image/A-38863-1276428568.jpeg	secondary	600	409	http://api.discogs.com/image/A-150-38863-1276428568.jpeg
38863	http://api.discogs.com/image/A-38863-1276428503.jpeg	secondary	600	432	http://api.discogs.com/image/A-150-38863-1276428503.jpeg
38863	http://api.discogs.com/image/A-38863-1207924986.jpeg	secondary	640	480	http://api.discogs.com/image/A-150-38863-1207924986.jpeg
38863	http://api.discogs.com/image/A-38863-1266381336.jpeg	secondary	600	480	http://api.discogs.com/image/A-150-38863-1266381336.jpeg
38863	http://api.discogs.com/image/A-38863-1266381399.jpeg	secondary	600	480	http://api.discogs.com/image/A-150-38863-1266381399.jpeg
38863	http://api.discogs.com/image/A-38863-1295220604.jpeg	secondary	600	353	http://api.discogs.com/image/A-150-38863-1295220604.jpeg
38863	http://api.discogs.com/image/A-38863-1266381117.jpeg	secondary	600	498	http://api.discogs.com/image/A-150-38863-1266381117.jpeg
38863	http://api.discogs.com/image/A-38863-1266381108.jpeg	secondary	600	490	http://api.discogs.com/image/A-150-38863-1266381108.jpeg
38863	http://api.discogs.com/image/A-38863-1148765169.jpeg	secondary	600	468	http://api.discogs.com/image/A-150-38863-1148765169.jpeg
38863	http://api.discogs.com/image/A-38863-1266381095.jpeg	secondary	600	480	http://api.discogs.com/image/A-150-38863-1266381095.jpeg
38863	http://api.discogs.com/image/A-38863-1266381160.jpeg	secondary	600	471	http://api.discogs.com/image/A-150-38863-1266381160.jpeg
38863	http://api.discogs.com/image/A-38863-1230287028.jpeg	secondary	450	312	http://api.discogs.com/image/A-150-38863-1230287028.jpeg
38863	http://api.discogs.com/image/A-38863-1266381173.jpeg	secondary	372	600	http://api.discogs.com/image/A-150-38863-1266381173.jpeg
38863	http://api.discogs.com/image/A-38863-1266381433.jpeg	secondary	600	397	http://api.discogs.com/image/A-150-38863-1266381433.jpeg
38863	http://api.discogs.com/image/A-38863-1266381024.jpeg	secondary	600	368	http://api.discogs.com/image/A-150-38863-1266381024.jpeg
38863	http://api.discogs.com/image/A-38863-1316853678.jpeg	secondary	410	324	http://api.discogs.com/image/A-150-38863-1316853678.jpeg
38863	http://api.discogs.com/image/A-38863-1316853687.jpeg	secondary	623	455	http://api.discogs.com/image/A-150-38863-1316853687.jpeg
38863	http://api.discogs.com/image/A-38863-1316853752.jpeg	secondary	637	297	http://api.discogs.com/image/A-150-38863-1316853752.jpeg
38863	http://api.discogs.com/image/A-38863-1326405506.jpeg	secondary	700	466	http://api.discogs.com/image/A-150-38863-1326405506.jpeg
38863	http://api.discogs.com/image/A-38863-1327114532.jpeg	secondary	409	600	http://api.discogs.com/image/A-150-38863-1327114532.jpeg
38863	http://api.discogs.com/image/A-38863-1327114537.jpeg	secondary	463	600	http://api.discogs.com/image/A-150-38863-1327114537.jpeg
38863	http://api.discogs.com/image/A-38863-1351612873-1012.jpeg	secondary	484	599	http://api.discogs.com/image/A-150-38863-1351612873-1012.jpeg
39838	http://api.discogs.com/image/A-39838-1079102711.jpg	secondary	178	181	http://api.discogs.com/image/A-150-39838-1079102711.jpg
39838	http://api.discogs.com/image/A-39838-1100549637.gif	secondary	491	450	http://api.discogs.com/image/A-150-39838-1100549637.gif
39838	http://api.discogs.com/image/A-39838-1117502255.jpg	secondary	180	180	http://api.discogs.com/image/A-150-39838-1117502255.jpg
39838	http://api.discogs.com/image/A-39838-1117502280.jpg	secondary	400	269	http://api.discogs.com/image/A-150-39838-1117502280.jpg
39838	http://api.discogs.com/image/A-39838-1117502319.jpg	secondary	199	200	http://api.discogs.com/image/A-150-39838-1117502319.jpg
39838	http://api.discogs.com/image/A-39838-1117502336.jpg	secondary	331	240	http://api.discogs.com/image/A-150-39838-1117502336.jpg
39838	http://api.discogs.com/image/A-39838-1117502387.jpg	secondary	200	300	http://api.discogs.com/image/A-150-39838-1117502387.jpg
40680	http://api.discogs.com/image/A-40680-1137062838.jpeg	secondary	125	195	http://api.discogs.com/image/A-150-40680-1137062838.jpeg
40680	http://api.discogs.com/image/A-40680-1186140371.jpeg	primary	400	400	http://api.discogs.com/image/A-150-40680-1186140371.jpeg
41891	http://api.discogs.com/image/A-41891-002.jpg	primary	134	200	http://api.discogs.com/image/A-150-41891-002.jpg
41891	http://api.discogs.com/image/A-41891-1102181906.jpg	secondary	300	447	http://api.discogs.com/image/A-150-41891-1102181906.jpg
41891	http://api.discogs.com/image/A-41891-1103419538.jpg	secondary	225	216	http://api.discogs.com/image/A-150-41891-1103419538.jpg
41891	http://api.discogs.com/image/A-41891-1129863238.jpeg	secondary	370	224	http://api.discogs.com/image/A-150-41891-1129863238.jpeg
42826	http://api.discogs.com/image/A-42826-1134826565.jpeg	secondary	245	174	http://api.discogs.com/image/A-150-42826-1134826565.jpeg
42826	http://api.discogs.com/image/A-42826-1150366401.jpeg	secondary	597	570	http://api.discogs.com/image/A-150-42826-1150366401.jpeg
42826	http://api.discogs.com/image/A-42826-1150366410.jpeg	primary	400	600	http://api.discogs.com/image/A-150-42826-1150366410.jpeg
42885	http://api.discogs.com/image/A-42885-1264715610.jpeg	primary	225	300	http://api.discogs.com/image/A-150-42885-1264715610.jpeg
42885	http://api.discogs.com/image/A-42885-1264717060.jpeg	secondary	322	600	http://api.discogs.com/image/A-150-42885-1264717060.jpeg
43933	http://api.discogs.com/image/A-43933-1109368878.gif	secondary	90	90	http://api.discogs.com/image/A-150-43933-1109368878.gif
44657	http://api.discogs.com/image/A-44657-001.jpg	primary	160	106	http://api.discogs.com/image/A-150-44657-001.jpg
45023	http://api.discogs.com/image/A-45023-1082885869.jpg	primary	400	300	http://api.discogs.com/image/A-150-45023-1082885869.jpg
45023	http://api.discogs.com/image/A-45023-1098570149.jpg	secondary	114	86	http://api.discogs.com/image/A-150-45023-1098570149.jpg
45023	http://api.discogs.com/image/A-45023-1098570169.jpg	secondary	115	87	http://api.discogs.com/image/A-150-45023-1098570169.jpg
45023	http://api.discogs.com/image/A-45023-1098633402.jpg	secondary	225	300	http://api.discogs.com/image/A-150-45023-1098633402.jpg
45023	http://api.discogs.com/image/A-45023-1102250709.jpg	secondary	197	200	http://api.discogs.com/image/A-150-45023-1102250709.jpg
46819	http://api.discogs.com/image/A-46819-1168941527.jpeg	primary	601	600	http://api.discogs.com/image/A-150-46819-1168941527.jpeg
46819	http://api.discogs.com/image/A-46819-1112515482.jpg	secondary	300	366	http://api.discogs.com/image/A-150-46819-1112515482.jpg
46819	http://api.discogs.com/image/A-46819-1113654927.jpg	secondary	236	300	http://api.discogs.com/image/A-150-46819-1113654927.jpg
46819	http://api.discogs.com/image/A-46819-1163199357.jpeg	secondary	414	600	http://api.discogs.com/image/A-150-46819-1163199357.jpeg
48865	http://api.discogs.com/image/A-48865-1258055372.jpeg	primary	510	578	http://api.discogs.com/image/A-150-48865-1258055372.jpeg
48865	http://api.discogs.com/image/A-48865-1190455549.jpeg	secondary	501	600	http://api.discogs.com/image/A-150-48865-1190455549.jpeg
48865	http://api.discogs.com/image/A-48865-1337514867-7696.jpeg	secondary	458	600	http://api.discogs.com/image/A-150-48865-1337514867-7696.jpeg
48865	http://api.discogs.com/image/A-48865-1175562105.jpeg	secondary	320	400	http://api.discogs.com/image/A-150-48865-1175562105.jpeg
48865	http://api.discogs.com/image/A-48865-1104166907.jpg	secondary	250	347	http://api.discogs.com/image/A-150-48865-1104166907.jpg
48865	http://api.discogs.com/image/A-48865-002.jpg	secondary	200	280	http://api.discogs.com/image/A-150-48865-002.jpg
48865	http://api.discogs.com/image/A-48865-1082455549.jpg	secondary	374	276	http://api.discogs.com/image/A-150-48865-1082455549.jpg
48865	http://api.discogs.com/image/A-48865-001.jpg	secondary	318	500	http://api.discogs.com/image/A-150-48865-001.jpg
48865	http://api.discogs.com/image/A-48865-1344488788-5664.jpeg	secondary	438	600	http://api.discogs.com/image/A-150-48865-1344488788-5664.jpeg
50514	http://api.discogs.com/image/A-50514-1335439176.jpeg	primary	655	599	http://api.discogs.com/image/A-150-50514-1335439176.jpeg
50514	http://api.discogs.com/image/A-50514-1256897133.jpeg	secondary	450	364	http://api.discogs.com/image/A-150-50514-1256897133.jpeg
50514	http://api.discogs.com/image/A-50514-1227281850.jpeg	secondary	358	400	http://api.discogs.com/image/A-150-50514-1227281850.jpeg
50514	http://api.discogs.com/image/A-50514-001.jpg	secondary	181	200	http://api.discogs.com/image/A-150-50514-001.jpg
50514	http://api.discogs.com/image/A-50514-1098730058.gif	secondary	373	500	http://api.discogs.com/image/A-150-50514-1098730058.gif
50514	http://api.discogs.com/image/A-50514-1098730113.gif	secondary	319	194	http://api.discogs.com/image/A-150-50514-1098730113.gif
50514	http://api.discogs.com/image/A-50514-1098730149.gif	secondary	327	202	http://api.discogs.com/image/A-150-50514-1098730149.gif
50514	http://api.discogs.com/image/A-50514-1227281928.jpeg	secondary	820	580	http://api.discogs.com/image/A-150-50514-1227281928.jpeg
50514	http://api.discogs.com/image/A-50514-1227281970.jpeg	secondary	400	550	http://api.discogs.com/image/A-150-50514-1227281970.jpeg
51188	http://api.discogs.com/image/A-51188-1098884703.jpg	primary	236	200	http://api.discogs.com/image/A-150-51188-1098884703.jpg
51188	http://api.discogs.com/image/A-51188-1243766243.jpeg	secondary	297	440	http://api.discogs.com/image/A-150-51188-1243766243.jpeg
52510	http://api.discogs.com/image/A-52510-1233952640.jpeg	primary	317	226	http://api.discogs.com/image/A-150-52510-1233952640.jpeg
55804	http://api.discogs.com/image/A-55804-1246302227.jpeg	primary	240	240	http://api.discogs.com/image/A-150-55804-1246302227.jpeg
55804	http://api.discogs.com/image/A-55804-001.jpg	secondary	198	90	http://api.discogs.com/image/A-150-55804-001.jpg
55804	http://api.discogs.com/image/A-55804-1310983595.jpeg	secondary	562	515	http://api.discogs.com/image/A-150-55804-1310983595.jpeg
55804	http://api.discogs.com/image/A-55804-1310983646.jpeg	secondary	198	243	http://api.discogs.com/image/A-150-55804-1310983646.jpeg
55980	http://api.discogs.com/image/A-55980-1336990408-5838.jpeg	primary	606	599	http://api.discogs.com/image/A-150-55980-1336990408-5838.jpeg
55980	http://api.discogs.com/image/A-55980-1143568256.jpeg	secondary	419	600	http://api.discogs.com/image/A-150-55980-1143568256.jpeg
55980	http://api.discogs.com/image/A-55980-1100797056.gif	secondary	283	232	http://api.discogs.com/image/A-150-55980-1100797056.gif
55980	http://api.discogs.com/image/A-55980-1105359045.jpg	secondary	357	250	http://api.discogs.com/image/A-150-55980-1105359045.jpg
55980	http://api.discogs.com/image/A-55980-1100797047.jpg	secondary	450	600	http://api.discogs.com/image/A-150-55980-1100797047.jpg
55980	http://api.discogs.com/image/A-55980-1160077868.jpeg	secondary	350	450	http://api.discogs.com/image/A-150-55980-1160077868.jpeg
56165	http://api.discogs.com/image/A-56165-1146487011.jpeg	secondary	308	352	http://api.discogs.com/image/A-150-56165-1146487011.jpeg
57087	http://api.discogs.com/image/A-57087-1235654434.jpeg	primary	375	600	http://api.discogs.com/image/A-150-57087-1235654434.jpeg
57087	http://api.discogs.com/image/A-57087-1097081044.jpg	secondary	501	482	http://api.discogs.com/image/A-150-57087-1097081044.jpg
57087	http://api.discogs.com/image/A-57087-1137157130.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-57087-1137157130.jpeg
58349	http://api.discogs.com/image/A-58349-001.jpg	primary	269	200	http://api.discogs.com/image/A-150-58349-001.jpg
58349	http://api.discogs.com/image/A-58349-1151523239.jpeg	secondary	397	486	http://api.discogs.com/image/A-150-58349-1151523239.jpeg
58349	http://api.discogs.com/image/A-58349-1154282568.jpeg	secondary	592	490	http://api.discogs.com/image/A-150-58349-1154282568.jpeg
58349	http://api.discogs.com/image/A-58349-1241673465.jpeg	secondary	393	454	http://api.discogs.com/image/A-150-58349-1241673465.jpeg
58574	http://api.discogs.com/image/A-58574-1269527180.jpeg	primary	600	366	http://api.discogs.com/image/A-150-58574-1269527180.jpeg
58574	http://api.discogs.com/image/A-58574-1263606642.jpeg	secondary	523	369	http://api.discogs.com/image/A-150-58574-1263606642.jpeg
58574	http://api.discogs.com/image/A-58574-1269524006.jpeg	secondary	390	600	http://api.discogs.com/image/A-150-58574-1269524006.jpeg
58574	http://api.discogs.com/image/A-58574-1269515424.gif	secondary	631	600	http://api.discogs.com/image/A-150-58574-1269515424.gif
58574	http://api.discogs.com/image/A-58574-1269515786.jpeg	secondary	1769	600	http://api.discogs.com/image/A-150-58574-1269515786.jpeg
58574	http://api.discogs.com/image/A-58574-1269517200.jpeg	secondary	481	600	http://api.discogs.com/image/A-150-58574-1269517200.jpeg
58574	http://api.discogs.com/image/A-58574-1269524024.jpeg	secondary	600	390	http://api.discogs.com/image/A-150-58574-1269524024.jpeg
58574	http://api.discogs.com/image/A-58574-1269524059.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-58574-1269524059.jpeg
58574	http://api.discogs.com/image/A-58574-1269524032.jpeg	secondary	600	354	http://api.discogs.com/image/A-150-58574-1269524032.jpeg
58574	http://api.discogs.com/image/A-58574-1269524102.jpeg	secondary	600	407	http://api.discogs.com/image/A-150-58574-1269524102.jpeg
58574	http://api.discogs.com/image/A-58574-1269524070.jpeg	secondary	600	453	http://api.discogs.com/image/A-150-58574-1269524070.jpeg
58574	http://api.discogs.com/image/A-58574-1269524078.jpeg	secondary	586	397	http://api.discogs.com/image/A-150-58574-1269524078.jpeg
58574	http://api.discogs.com/image/A-58574-1269524095.jpeg	secondary	748	600	http://api.discogs.com/image/A-150-58574-1269524095.jpeg
58574	http://api.discogs.com/image/A-58574-1269524087.jpeg	secondary	600	597	http://api.discogs.com/image/A-150-58574-1269524087.jpeg
58574	http://api.discogs.com/image/A-58574-1263606671.jpeg	secondary	279	460	http://api.discogs.com/image/A-150-58574-1263606671.jpeg
58574	http://api.discogs.com/image/A-58574-1295980587.png	secondary	277	282	http://api.discogs.com/image/A-150-58574-1295980587.png
59453	http://api.discogs.com/image/A-59453-1358707364-9682.jpeg	primary	321	484	http://api.discogs.com/image/A-150-59453-1358707364-9682.jpeg
59453	http://api.discogs.com/image/A-59453-1358707472-8183.jpeg	secondary	296	484	http://api.discogs.com/image/A-150-59453-1358707472-8183.jpeg
59453	http://api.discogs.com/image/A-59453-1140734900.jpeg	secondary	357	434	http://api.discogs.com/image/A-150-59453-1140734900.jpeg
59453	http://api.discogs.com/image/A-59453-1135872539.gif	secondary	153	550	http://api.discogs.com/image/A-150-59453-1135872539.gif
60901	http://api.discogs.com/image/A-60901-1078811615.jpg	primary	229	275	http://api.discogs.com/image/A-150-60901-1078811615.jpg
61857	http://api.discogs.com/image/A-61857-1152878957.jpeg	secondary	333	300	http://api.discogs.com/image/A-150-61857-1152878957.jpeg
61857	http://api.discogs.com/image/A-61857-1272468739.jpeg	secondary	570	420	http://api.discogs.com/image/A-150-61857-1272468739.jpeg
61857	http://api.discogs.com/image/A-61857-1272468745.jpeg	secondary	393	420	http://api.discogs.com/image/A-150-61857-1272468745.jpeg
62548	http://api.discogs.com/image/A-62548-001.jpg	secondary	383	204	http://api.discogs.com/image/A-150-62548-001.jpg
62548	http://api.discogs.com/image/A-62548-1178551989.jpeg	primary	560	569	http://api.discogs.com/image/A-150-62548-1178551989.jpeg
62548	http://api.discogs.com/image/A-62548-1178554837.jpeg	secondary	388	300	http://api.discogs.com/image/A-150-62548-1178554837.jpeg
63366	http://api.discogs.com/image/A-63366-1257254838.jpeg	primary	420	549	http://api.discogs.com/image/A-150-63366-1257254838.jpeg
63366	http://api.discogs.com/image/A-63366-1257254828.jpeg	secondary	515	547	http://api.discogs.com/image/A-150-63366-1257254828.jpeg
63366	http://api.discogs.com/image/A-63366-1227128150.jpeg	secondary	55	150	http://api.discogs.com/image/A-150-63366-1227128150.jpeg
63543	http://api.discogs.com/image/A-63543-1167096061.jpeg	secondary	364	418	http://api.discogs.com/image/A-150-63543-1167096061.jpeg
63543	http://api.discogs.com/image/A-63543-1198045084.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-63543-1198045084.jpeg
66670	http://api.discogs.com/image/A-66670-1265461075.jpeg	primary	576	394	http://api.discogs.com/image/A-150-66670-1265461075.jpeg
66670	http://api.discogs.com/image/A-66670-1265461037.jpeg	secondary	393	422	http://api.discogs.com/image/A-150-66670-1265461037.jpeg
66670	http://api.discogs.com/image/A-66670-1265461109.jpeg	secondary	600	378	http://api.discogs.com/image/A-150-66670-1265461109.jpeg
66670	http://api.discogs.com/image/A-66670-1265461065.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-66670-1265461065.jpeg
66670	http://api.discogs.com/image/A-66670-1265461143.jpeg	secondary	372	485	http://api.discogs.com/image/A-150-66670-1265461143.jpeg
66733	http://api.discogs.com/image/A-66733-1262527204.jpeg	primary	600	600	http://api.discogs.com/image/A-150-66733-1262527204.jpeg
66733	http://api.discogs.com/image/A-66733-1226612358.jpeg	secondary	587	600	http://api.discogs.com/image/A-150-66733-1226612358.jpeg
66733	http://api.discogs.com/image/A-66733-1186448492.jpeg	secondary	197	197	http://api.discogs.com/image/A-150-66733-1186448492.jpeg
66733	http://api.discogs.com/image/A-66733-1240034951.jpeg	secondary	197	200	http://api.discogs.com/image/A-150-66733-1240034951.jpeg
67977	http://api.discogs.com/image/A-67977-1178844798.jpeg	secondary	214	300	http://api.discogs.com/image/A-150-67977-1178844798.jpeg
68325	http://api.discogs.com/image/A-68325-1236537804.jpeg	primary	450	564	http://api.discogs.com/image/A-150-68325-1236537804.jpeg
68325	http://api.discogs.com/image/A-68325-1073294829.jpg	secondary	191	124	http://api.discogs.com/image/A-150-68325-1073294829.jpg
68325	http://api.discogs.com/image/A-68325-1073306046.jpg	secondary	300	287	http://api.discogs.com/image/A-150-68325-1073306046.jpg
68325	http://api.discogs.com/image/A-68325-1114729865.jpg	secondary	300	400	http://api.discogs.com/image/A-150-68325-1114729865.jpg
68325	http://api.discogs.com/image/A-68325-1114729883.jpg	secondary	296	450	http://api.discogs.com/image/A-150-68325-1114729883.jpg
68325	http://api.discogs.com/image/A-68325-1164915972.jpeg	secondary	640	511	http://api.discogs.com/image/A-150-68325-1164915972.jpeg
69193	http://api.discogs.com/image/A-69193-1336639296-1095.jpeg	primary	357	357	http://api.discogs.com/image/A-150-69193-1336639296-1095.jpeg
69856	http://api.discogs.com/image/A-69856-1188322992.jpeg	secondary	486	461	http://api.discogs.com/image/A-150-69856-1188322992.jpeg
69857	http://api.discogs.com/image/A-69857-1115493440.jpg	secondary	207	150	http://api.discogs.com/image/A-150-69857-1115493440.jpg
72657	http://api.discogs.com/image/A-72657-001.jpg	primary	297	512	http://api.discogs.com/image/A-150-72657-001.jpg
73336	http://api.discogs.com/image/A-73336-1097132675.jpg	secondary	193	143	http://api.discogs.com/image/A-150-73336-1097132675.jpg
76398	http://api.discogs.com/image/A-76398-1275114286.jpeg	primary	600	455	http://api.discogs.com/image/A-150-76398-1275114286.jpeg
76398	http://api.discogs.com/image/A-76398-1297515585.jpeg	secondary	600	359	http://api.discogs.com/image/A-150-76398-1297515585.jpeg
76398	http://api.discogs.com/image/A-76398-1101425173.jpg	secondary	200	156	http://api.discogs.com/image/A-150-76398-1101425173.jpg
76398	http://api.discogs.com/image/A-76398-1101425196.jpg	secondary	200	158	http://api.discogs.com/image/A-150-76398-1101425196.jpg
77720	http://api.discogs.com/image/A-77720-1203245645.jpeg	primary	500	339	http://api.discogs.com/image/A-150-77720-1203245645.jpeg
77720	http://api.discogs.com/image/A-77720-1296341768.jpeg	secondary	227	302	http://api.discogs.com/image/A-150-77720-1296341768.jpeg
77720	http://api.discogs.com/image/A-77720-1296341896.jpeg	secondary	300	266	http://api.discogs.com/image/A-150-77720-1296341896.jpeg
80134	http://api.discogs.com/image/A-80134-1359709081-4060.jpeg	secondary	406	396	http://api.discogs.com/image/A-150-80134-1359709081-4060.jpeg
80134	http://api.discogs.com/image/A-80134-1336727469-9075.jpeg	primary	554	595	http://api.discogs.com/image/A-150-80134-1336727469-9075.jpeg
80134	http://api.discogs.com/image/A-80134-1261190114.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-80134-1261190114.jpeg
80134	http://api.discogs.com/image/A-80134-1245711748.jpeg	secondary	537	504	http://api.discogs.com/image/A-150-80134-1245711748.jpeg
80134	http://api.discogs.com/image/A-80134-1245710298.jpeg	secondary	378	252	http://api.discogs.com/image/A-150-80134-1245710298.jpeg
80134	http://api.discogs.com/image/A-80134-1158667742.jpeg	secondary	367	346	http://api.discogs.com/image/A-150-80134-1158667742.jpeg
80134	http://api.discogs.com/image/A-80134-1162571474.jpeg	secondary	270	269	http://api.discogs.com/image/A-150-80134-1162571474.jpeg
80134	http://api.discogs.com/image/A-80134-1162571639.jpeg	secondary	293	300	http://api.discogs.com/image/A-150-80134-1162571639.jpeg
80134	http://api.discogs.com/image/A-80134-1162571671.jpeg	secondary	209	200	http://api.discogs.com/image/A-150-80134-1162571671.jpeg
80134	http://api.discogs.com/image/A-80134-1245710313.jpeg	secondary	444	320	http://api.discogs.com/image/A-150-80134-1245710313.jpeg
80509	http://api.discogs.com/image/A-80509-1126609897.jpeg	secondary	433	291	http://api.discogs.com/image/A-150-80509-1126609897.jpeg
80510	http://api.discogs.com/image/A-80510-1158028619.jpeg	secondary	234	312	http://api.discogs.com/image/A-150-80510-1158028619.jpeg
80510	http://api.discogs.com/image/A-80510-1158029327.jpeg	secondary	192	256	http://api.discogs.com/image/A-150-80510-1158029327.jpeg
81421	http://api.discogs.com/image/A-81421-1083990488.jpg	primary	300	272	http://api.discogs.com/image/A-150-81421-1083990488.jpg
81421	http://api.discogs.com/image/A-81421-1194881967.jpeg	secondary	327	313	http://api.discogs.com/image/A-150-81421-1194881967.jpeg
81421	http://api.discogs.com/image/A-81421-1204886179.jpeg	secondary	333	600	http://api.discogs.com/image/A-150-81421-1204886179.jpeg
82735	http://api.discogs.com/image/A-82735-1345277271-1694.jpeg	primary	204	496	http://api.discogs.com/image/A-150-82735-1345277271-1694.jpeg
82735	http://api.discogs.com/image/A-82735-1326405465.jpeg	secondary	418	600	http://api.discogs.com/image/A-150-82735-1326405465.jpeg
82735	http://api.discogs.com/image/A-76986-1125060325.jpg	secondary	198	322	http://api.discogs.com/image/A-150-76986-1125060325.jpg
82735	http://api.discogs.com/image/A-82735-1195147617.jpeg	secondary	491	500	http://api.discogs.com/image/A-150-82735-1195147617.jpeg
82735	http://api.discogs.com/image/A-82735-1345277279-5512.jpeg	secondary	236	300	http://api.discogs.com/image/A-150-82735-1345277279-5512.jpeg
82735	http://api.discogs.com/image/A-82735-1345277341-5431.jpeg	secondary	587	600	http://api.discogs.com/image/A-150-82735-1345277341-5431.jpeg
82735	http://api.discogs.com/image/A-82735-1345534622-8725.jpeg	secondary	383	600	http://api.discogs.com/image/A-150-82735-1345534622-8725.jpeg
82811	http://api.discogs.com/image/A-82811-1199224289.jpeg	secondary	598	598	http://api.discogs.com/image/A-150-82811-1199224289.jpeg
82811	http://api.discogs.com/image/A-82811-1210478648.jpeg	primary	469	186	http://api.discogs.com/image/A-150-82811-1210478648.jpeg
84795	http://api.discogs.com/image/A-84795-1107862747.jpg	secondary	272	273	http://api.discogs.com/image/A-150-84795-1107862747.jpg
84795	http://api.discogs.com/image/A-84795-1152611382.jpeg	secondary	500	332	http://api.discogs.com/image/A-150-84795-1152611382.jpeg
84795	http://api.discogs.com/image/A-84795-1167116334.jpeg	secondary	283	425	http://api.discogs.com/image/A-150-84795-1167116334.jpeg
84795	http://api.discogs.com/image/A-84795-1167116483.jpeg	secondary	200	200	http://api.discogs.com/image/A-150-84795-1167116483.jpeg
84795	http://api.discogs.com/image/A-84795-1167116558.jpeg	secondary	305	200	http://api.discogs.com/image/A-150-84795-1167116558.jpeg
84795	http://api.discogs.com/image/A-84795-1167116641.jpeg	secondary	237	356	http://api.discogs.com/image/A-150-84795-1167116641.jpeg
84795	http://api.discogs.com/image/A-84795-1174348831.jpeg	secondary	418	276	http://api.discogs.com/image/A-150-84795-1174348831.jpeg
89562	http://api.discogs.com/image/A-89562-1095942229.jpg	secondary	350	233	http://api.discogs.com/image/A-150-89562-1095942229.jpg
89562	http://api.discogs.com/image/A-89562-1095942248.jpg	primary	350	255	http://api.discogs.com/image/A-150-89562-1095942248.jpg
90623	http://api.discogs.com/image/A-90623-1098915598.jpg	secondary	115	121	http://api.discogs.com/image/A-150-90623-1098915598.jpg
91175	http://api.discogs.com/image/A-91175-1328842967.jpeg	primary	399	600	http://api.discogs.com/image/A-150-91175-1328842967.jpeg
93016	http://api.discogs.com/image/A-93016-1358146989-3237.jpeg	primary	418	600	http://api.discogs.com/image/A-150-93016-1358146989-3237.jpeg
93016	http://api.discogs.com/image/A-93016-1327508139.jpeg	secondary	401	382	http://api.discogs.com/image/A-150-93016-1327508139.jpeg
93016	http://api.discogs.com/image/A-93016-1358145971-2127.jpeg	secondary	600	479	http://api.discogs.com/image/A-150-93016-1358145971-2127.jpeg
93016	http://api.discogs.com/image/A-93016-1358147188-2694.jpeg	secondary	561	600	http://api.discogs.com/image/A-150-93016-1358147188-2694.jpeg
93016	http://api.discogs.com/image/A-93016-1358146406-8047.jpeg	secondary	429	600	http://api.discogs.com/image/A-150-93016-1358146406-8047.jpeg
93016	http://api.discogs.com/image/A-93016-1358146111-3481.jpeg	secondary	600	471	http://api.discogs.com/image/A-150-93016-1358146111-3481.jpeg
93016	http://api.discogs.com/image/A-93016-1358146602-8410.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-93016-1358146602-8410.jpeg
93016	http://api.discogs.com/image/A-93016-1358146722-1015.jpeg	secondary	449	600	http://api.discogs.com/image/A-150-93016-1358146722-1015.jpeg
93016	http://api.discogs.com/image/A-93016-1358146887-2304.jpeg	secondary	600	559	http://api.discogs.com/image/A-150-93016-1358146887-2304.jpeg
93280	http://api.discogs.com/image/A-93280-1083157441.jpg	primary	236	182	http://api.discogs.com/image/A-150-93280-1083157441.jpg
93674	http://api.discogs.com/image/A-93674-1331687446.jpeg	primary	400	400	http://api.discogs.com/image/A-150-93674-1331687446.jpeg
93674	http://api.discogs.com/image/A-93674-1331688473.jpeg	secondary	465	285	http://api.discogs.com/image/A-150-93674-1331688473.jpeg
98744	http://api.discogs.com/image/A-98744-1099431319.jpg	primary	243	292	http://api.discogs.com/image/A-150-98744-1099431319.jpg
98744	http://api.discogs.com/image/A-98744-1156959003.jpeg	secondary	263	300	http://api.discogs.com/image/A-150-98744-1156959003.jpeg
98744	http://api.discogs.com/image/A-98744-1287016397.jpeg	secondary	357	600	http://api.discogs.com/image/A-150-98744-1287016397.jpeg
100519	http://api.discogs.com/image/A-100519-1085090461.jpg	primary	499	526	http://api.discogs.com/image/A-150-100519-1085090461.jpg
100519	http://api.discogs.com/image/A-100519-1104172871.jpg	secondary	540	406	http://api.discogs.com/image/A-150-100519-1104172871.jpg
100519	http://api.discogs.com/image/A-100519-1148572031.jpeg	secondary	367	363	http://api.discogs.com/image/A-150-100519-1148572031.jpeg
101773	http://api.discogs.com/image/A-101773-1125157632.jpg	secondary	400	496	http://api.discogs.com/image/A-150-101773-1125157632.jpg
101773	http://api.discogs.com/image/A-101773-1125157648.jpg	secondary	314	400	http://api.discogs.com/image/A-150-101773-1125157648.jpg
102781	http://api.discogs.com/image/A-102781-1236021371.jpeg	primary	289	487	http://api.discogs.com/image/A-150-102781-1236021371.jpeg
102781	http://api.discogs.com/image/A-102781-1146313071.jpeg	secondary	343	200	http://api.discogs.com/image/A-150-102781-1146313071.jpeg
114934	http://api.discogs.com/image/A-114934-1125428861.jpg	secondary	340	346	http://api.discogs.com/image/A-150-114934-1125428861.jpg
114934	http://api.discogs.com/image/A-114934-1177871810.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-114934-1177871810.jpeg
115264	http://api.discogs.com/image/A-115264-1140538539.jpeg	secondary	297	300	http://api.discogs.com/image/A-150-115264-1140538539.jpeg
122232	http://api.discogs.com/image/A-122232-1229434747.png	primary	324	367	http://api.discogs.com/image/A-150-122232-1229434747.png
131486	http://api.discogs.com/image/A-131486-1130398586.jpeg	secondary	499	366	http://api.discogs.com/image/A-150-131486-1130398586.jpeg
134067	http://api.discogs.com/image/A-134067-1113855538.jpg	secondary	261	250	http://api.discogs.com/image/A-150-134067-1113855538.jpg
134700	http://api.discogs.com/image/A-134700-1152619393.jpeg	secondary	433	371	http://api.discogs.com/image/A-150-134700-1152619393.jpeg
135795	http://api.discogs.com/image/A-135795-1095926740.jpg	secondary	210	170	http://api.discogs.com/image/A-150-135795-1095926740.jpg
135847	http://api.discogs.com/image/A-135847-1115694367.jpg	secondary	362	500	http://api.discogs.com/image/A-150-135847-1115694367.jpg
135946	http://api.discogs.com/image/A-135946-1319377369.jpeg	primary	719	567	http://api.discogs.com/image/A-150-135946-1319377369.jpeg
135946	http://api.discogs.com/image/A-135946-1319377313.jpeg	secondary	693	567	http://api.discogs.com/image/A-150-135946-1319377313.jpeg
135946	http://api.discogs.com/image/A-135946-1319377270.jpeg	secondary	746	567	http://api.discogs.com/image/A-150-135946-1319377270.jpeg
135946	http://api.discogs.com/image/A-135946-1319377276.jpeg	secondary	712	567	http://api.discogs.com/image/A-150-135946-1319377276.jpeg
135946	http://api.discogs.com/image/A-135946-1319377264.jpeg	secondary	937	567	http://api.discogs.com/image/A-150-135946-1319377264.jpeg
135946	http://api.discogs.com/image/A-135946-1319377294.jpeg	secondary	691	567	http://api.discogs.com/image/A-150-135946-1319377294.jpeg
135946	http://api.discogs.com/image/A-135946-1309280910.jpeg	secondary	668	445	http://api.discogs.com/image/A-150-135946-1309280910.jpeg
135946	http://api.discogs.com/image/A-135946-1319377283.jpeg	secondary	843	567	http://api.discogs.com/image/A-150-135946-1319377283.jpeg
135946	http://api.discogs.com/image/A-135946-1319377306.jpeg	secondary	843	567	http://api.discogs.com/image/A-150-135946-1319377306.jpeg
135946	http://api.discogs.com/image/A-135946-1319377322.jpeg	secondary	503	567	http://api.discogs.com/image/A-150-135946-1319377322.jpeg
135946	http://api.discogs.com/image/A-135946-1319377331.jpeg	secondary	651	567	http://api.discogs.com/image/A-150-135946-1319377331.jpeg
135946	http://api.discogs.com/image/A-135946-1319377342.jpeg	secondary	568	567	http://api.discogs.com/image/A-150-135946-1319377342.jpeg
135946	http://api.discogs.com/image/A-135946-1319377352.jpeg	secondary	845	567	http://api.discogs.com/image/A-150-135946-1319377352.jpeg
135946	http://api.discogs.com/image/A-135946-1319377360.jpeg	secondary	554	567	http://api.discogs.com/image/A-150-135946-1319377360.jpeg
135946	http://api.discogs.com/image/A-135946-1309281231.jpeg	secondary	640	521	http://api.discogs.com/image/A-150-135946-1309281231.jpeg
135946	http://api.discogs.com/image/A-135946-1106675391.jpg	secondary	323	250	http://api.discogs.com/image/A-150-135946-1106675391.jpg
135946	http://api.discogs.com/image/A-135946-1179614429.jpeg	secondary	300	443	http://api.discogs.com/image/A-150-135946-1179614429.jpeg
135946	http://api.discogs.com/image/A-135946-1309281027.jpeg	secondary	300	420	http://api.discogs.com/image/A-150-135946-1309281027.jpeg
135946	http://api.discogs.com/image/A-135946-1106675400.jpg	secondary	302	200	http://api.discogs.com/image/A-150-135946-1106675400.jpg
141284	http://api.discogs.com/image/A-141284-1191729082.jpeg	secondary	170	170	http://api.discogs.com/image/A-150-141284-1191729082.jpeg
141284	http://api.discogs.com/image/A-141284-1191730410.jpeg	secondary	330	440	http://api.discogs.com/image/A-150-141284-1191730410.jpeg
143563	http://api.discogs.com/image/A-143563-1169206208.jpeg	secondary	237	305	http://api.discogs.com/image/A-150-143563-1169206208.jpeg
146950	http://api.discogs.com/image/A-146950-1082431172.jpg	primary	252	223	http://api.discogs.com/image/A-150-146950-1082431172.jpg
146950	http://api.discogs.com/image/A-146950-1096889383.jpg	secondary	120	120	http://api.discogs.com/image/A-150-146950-1096889383.jpg
146950	http://api.discogs.com/image/A-146950-1149859749.jpeg	secondary	130	170	http://api.discogs.com/image/A-150-146950-1149859749.jpeg
146950	http://api.discogs.com/image/A-146950-1149859761.gif	secondary	225	176	http://api.discogs.com/image/A-150-146950-1149859761.gif
147021	http://api.discogs.com/image/A-147021-1132517774.jpeg	secondary	391	269	http://api.discogs.com/image/A-150-147021-1132517774.jpeg
147024	http://api.discogs.com/image/A-147024-1352071191-7484.jpeg	primary	332	500	http://api.discogs.com/image/A-150-147024-1352071191-7484.jpeg
147027	http://api.discogs.com/image/A-147027-1303927299.jpeg	primary	159	200	http://api.discogs.com/image/A-150-147027-1303927299.jpeg
147827	http://api.discogs.com/image/A-147827-1157337467.jpeg	secondary	560	265	http://api.discogs.com/image/A-150-147827-1157337467.jpeg
149898	http://api.discogs.com/image/A-149898-1177288213.jpeg	secondary	110	170	http://api.discogs.com/image/A-150-149898-1177288213.jpeg
149898	http://api.discogs.com/image/A-149898-1188577756.jpeg	secondary	400	451	http://api.discogs.com/image/A-150-149898-1188577756.jpeg
149898	http://api.discogs.com/image/A-149898-1188577777.jpeg	secondary	301	423	http://api.discogs.com/image/A-150-149898-1188577777.jpeg
149898	http://api.discogs.com/image/A-149898-1188577799.jpeg	secondary	460	600	http://api.discogs.com/image/A-150-149898-1188577799.jpeg
150182	http://api.discogs.com/image/A-150182-1267278748.jpeg	primary	600	600	http://api.discogs.com/image/A-150-150182-1267278748.jpeg
150182	http://api.discogs.com/image/A-150182-1113068519.jpg	secondary	378	300	http://api.discogs.com/image/A-150-150182-1113068519.jpg
150182	http://api.discogs.com/image/A-150182-1254687946.jpeg	secondary	269	321	http://api.discogs.com/image/A-150-150182-1254687946.jpeg
152001	http://api.discogs.com/image/A-152001-1257698268.jpeg	primary	600	400	http://api.discogs.com/image/A-150-152001-1257698268.jpeg
152001	http://api.discogs.com/image/A-152001-1117443874.jpg	secondary	297	230	http://api.discogs.com/image/A-150-152001-1117443874.jpg
154434	http://api.discogs.com/image/A-154434-1170938586.jpeg	primary	543	528	http://api.discogs.com/image/A-150-154434-1170938586.jpeg
154434	http://api.discogs.com/image/A-154434-1173035203.jpeg	secondary	281	253	http://api.discogs.com/image/A-150-154434-1173035203.jpeg
154434	http://api.discogs.com/image/A-154434-1196503739.jpeg	secondary	738	500	http://api.discogs.com/image/A-150-154434-1196503739.jpeg
154434	http://api.discogs.com/image/A-154434-1336737983-2881.jpeg	secondary	500	407	http://api.discogs.com/image/A-150-154434-1336737983-2881.jpeg
155404	http://api.discogs.com/image/A-155404-1098025077.jpg	secondary	406	600	http://api.discogs.com/image/A-150-155404-1098025077.jpg
169154	http://api.discogs.com/image/A-169154-1284227878.jpeg	primary	301	597	http://api.discogs.com/image/A-150-169154-1284227878.jpeg
169154	http://api.discogs.com/image/A-169154-1312407291.jpeg	secondary	807	527	http://api.discogs.com/image/A-150-169154-1312407291.jpeg
169154	http://api.discogs.com/image/A-169154-1161022958.jpeg	secondary	596	600	http://api.discogs.com/image/A-150-169154-1161022958.jpeg
169154	http://api.discogs.com/image/A-169154-1238938912.jpeg	secondary	568	573	http://api.discogs.com/image/A-150-169154-1238938912.jpeg
169154	http://api.discogs.com/image/A-169154-1246971964.jpeg	secondary	335	512	http://api.discogs.com/image/A-150-169154-1246971964.jpeg
170755	http://api.discogs.com/image/A-170755-1271314116.jpeg	primary	600	450	http://api.discogs.com/image/A-150-170755-1271314116.jpeg
170755	http://api.discogs.com/image/A-170755-1271314080.jpeg	secondary	600	391	http://api.discogs.com/image/A-150-170755-1271314080.jpeg
170755	http://api.discogs.com/image/A-170755-1271314095.jpeg	secondary	548	600	http://api.discogs.com/image/A-150-170755-1271314095.jpeg
170755	http://api.discogs.com/image/A-170755-1130227956.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-170755-1130227956.jpeg
170755	http://api.discogs.com/image/A-170755-1271314105.jpeg	secondary	600	503	http://api.discogs.com/image/A-150-170755-1271314105.jpeg
173249	http://api.discogs.com/image/A-173249-1344585158-9169.jpeg	primary	902	600	http://api.discogs.com/image/A-150-173249-1344585158-9169.jpeg
175220	http://api.discogs.com/image/A-175220-1117990302.jpg	secondary	150	125	http://api.discogs.com/image/A-150-175220-1117990302.jpg
175220	http://api.discogs.com/image/A-175220-1117990368.jpg	secondary	227	196	http://api.discogs.com/image/A-150-175220-1117990368.jpg
175220	http://api.discogs.com/image/A-175220-1117990433.jpg	secondary	300	197	http://api.discogs.com/image/A-150-175220-1117990433.jpg
175220	http://api.discogs.com/image/A-175220-1118028860.jpg	secondary	150	125	http://api.discogs.com/image/A-150-175220-1118028860.jpg
175220	http://api.discogs.com/image/A-175220-1118028929.jpg	secondary	239	190	http://api.discogs.com/image/A-150-175220-1118028929.jpg
175220	http://api.discogs.com/image/A-175220-1118028944.jpg	secondary	388	400	http://api.discogs.com/image/A-150-175220-1118028944.jpg
180585	http://api.discogs.com/image/A-180585-1209415873.jpeg	primary	632	468	http://api.discogs.com/image/A-150-180585-1209415873.jpeg
180585	http://api.discogs.com/image/A-180585-1105953623.jpg	secondary	459	350	http://api.discogs.com/image/A-150-180585-1105953623.jpg
180585	http://api.discogs.com/image/A-180585-1105953629.jpg	secondary	320	248	http://api.discogs.com/image/A-150-180585-1105953629.jpg
180585	http://api.discogs.com/image/A-180585-1105953634.jpg	secondary	250	193	http://api.discogs.com/image/A-150-180585-1105953634.jpg
180585	http://api.discogs.com/image/A-180585-1300020342.jpeg	secondary	600	586	http://api.discogs.com/image/A-150-180585-1300020342.jpeg
180586	http://api.discogs.com/image/A-180586-1224833592.jpeg	primary	390	320	http://api.discogs.com/image/A-150-180586-1224833592.jpeg
180586	http://api.discogs.com/image/A-180586-1106276373.jpg	secondary	470	300	http://api.discogs.com/image/A-150-180586-1106276373.jpg
180586	http://api.discogs.com/image/A-180586-1148557574.jpeg	secondary	222	320	http://api.discogs.com/image/A-150-180586-1148557574.jpeg
180586	http://api.discogs.com/image/A-180586-1148557635.jpeg	secondary	320	214	http://api.discogs.com/image/A-150-180586-1148557635.jpeg
181917	http://api.discogs.com/image/A-181917-1342387225-5285.jpeg	primary	378	252	http://api.discogs.com/image/A-150-181917-1342387225-5285.jpeg
186991	http://api.discogs.com/image/A-186991-1218555683.jpeg	primary	318	600	http://api.discogs.com/image/A-150-186991-1218555683.jpeg
187011	http://api.discogs.com/image/A-187011-1266172691.jpeg	primary	600	501	http://api.discogs.com/image/A-150-187011-1266172691.jpeg
187011	http://api.discogs.com/image/A-187011-1118858688.jpg	secondary	264	355	http://api.discogs.com/image/A-150-187011-1118858688.jpg
187011	http://api.discogs.com/image/A-187011-1266172659.jpeg	secondary	521	600	http://api.discogs.com/image/A-150-187011-1266172659.jpeg
187011	http://api.discogs.com/image/A-187011-1247034554.jpeg	secondary	550	400	http://api.discogs.com/image/A-150-187011-1247034554.jpeg
187011	http://api.discogs.com/image/A-187011-1216334555.jpeg	secondary	240	159	http://api.discogs.com/image/A-150-187011-1216334555.jpeg
187011	http://api.discogs.com/image/A-187011-1133040910.jpeg	secondary	480	318	http://api.discogs.com/image/A-150-187011-1133040910.jpeg
187011	http://api.discogs.com/image/A-187011-1157740056.jpeg	secondary	391	302	http://api.discogs.com/image/A-150-187011-1157740056.jpeg
187011	http://api.discogs.com/image/A-187011-1112885265.jpg	secondary	323	249	http://api.discogs.com/image/A-150-187011-1112885265.jpg
187011	http://api.discogs.com/image/A-187011-1116626680.jpg	secondary	211	179	http://api.discogs.com/image/A-150-187011-1116626680.jpg
187011	http://api.discogs.com/image/A-187011-1266172578.jpeg	secondary	600	377	http://api.discogs.com/image/A-150-187011-1266172578.jpeg
187011	http://api.discogs.com/image/A-187011-1266172494.jpeg	secondary	600	447	http://api.discogs.com/image/A-150-187011-1266172494.jpeg
187011	http://api.discogs.com/image/A-187011-1266172598.jpeg	secondary	600	290	http://api.discogs.com/image/A-150-187011-1266172598.jpeg
187011	http://api.discogs.com/image/A-187011-1266172522.jpeg	secondary	600	451	http://api.discogs.com/image/A-150-187011-1266172522.jpeg
187011	http://api.discogs.com/image/A-187011-1266170314.jpeg	secondary	600	454	http://api.discogs.com/image/A-150-187011-1266170314.jpeg
187011	http://api.discogs.com/image/A-187011-1266170320.jpeg	secondary	600	447	http://api.discogs.com/image/A-150-187011-1266170320.jpeg
187011	http://api.discogs.com/image/A-187011-1266170341.jpeg	secondary	600	428	http://api.discogs.com/image/A-150-187011-1266170341.jpeg
187011	http://api.discogs.com/image/A-187011-1159214057.jpeg	secondary	546	400	http://api.discogs.com/image/A-150-187011-1159214057.jpeg
187011	http://api.discogs.com/image/A-187011-1266170329.jpeg	secondary	412	600	http://api.discogs.com/image/A-150-187011-1266170329.jpeg
187011	http://api.discogs.com/image/A-187011-1266170335.jpeg	secondary	397	600	http://api.discogs.com/image/A-150-187011-1266170335.jpeg
187011	http://api.discogs.com/image/A-187011-1266170348.jpeg	secondary	600	402	http://api.discogs.com/image/A-150-187011-1266170348.jpeg
187011	http://api.discogs.com/image/A-187011-1266170356.jpeg	secondary	600	396	http://api.discogs.com/image/A-150-187011-1266170356.jpeg
187011	http://api.discogs.com/image/A-187011-1266170366.jpeg	secondary	600	398	http://api.discogs.com/image/A-150-187011-1266170366.jpeg
187011	http://api.discogs.com/image/A-187011-1266172537.jpeg	secondary	600	411	http://api.discogs.com/image/A-150-187011-1266172537.jpeg
187011	http://api.discogs.com/image/A-187011-1266172638.jpeg	secondary	600	389	http://api.discogs.com/image/A-150-187011-1266172638.jpeg
187011	http://api.discogs.com/image/A-187011-1266172648.jpeg	secondary	368	600	http://api.discogs.com/image/A-150-187011-1266172648.jpeg
187011	http://api.discogs.com/image/A-187011-1266172561.jpeg	secondary	600	411	http://api.discogs.com/image/A-150-187011-1266172561.jpeg
187011	http://api.discogs.com/image/A-187011-1266172762.jpeg	secondary	600	361	http://api.discogs.com/image/A-150-187011-1266172762.jpeg
187011	http://api.discogs.com/image/A-187011-1266172782.jpeg	secondary	600	487	http://api.discogs.com/image/A-150-187011-1266172782.jpeg
187011	http://api.discogs.com/image/A-187011-1266169254.jpeg	secondary	583	343	http://api.discogs.com/image/A-150-187011-1266169254.jpeg
187011	http://api.discogs.com/image/A-187011-1266172716.jpeg	secondary	600	400	http://api.discogs.com/image/A-150-187011-1266172716.jpeg
187011	http://api.discogs.com/image/A-187011-1266172715.jpeg	secondary	600	399	http://api.discogs.com/image/A-150-187011-1266172715.jpeg
190648	http://api.discogs.com/image/A-190648-1115195442.jpeg	secondary	301	301	http://api.discogs.com/image/A-150-190648-1115195442.jpeg
190649	http://api.discogs.com/image/A-190649-1148890958.jpeg	secondary	449	461	http://api.discogs.com/image/A-150-190649-1148890958.jpeg
190649	http://api.discogs.com/image/A-190649-1202073015.png	primary	229	231	http://api.discogs.com/image/A-150-190649-1202073015.png
193582	http://api.discogs.com/image/A-193582-1184794156.jpeg	secondary	298	450	http://api.discogs.com/image/A-150-193582-1184794156.jpeg
193582	http://api.discogs.com/image/A-193582-1184794174.jpeg	secondary	324	400	http://api.discogs.com/image/A-150-193582-1184794174.jpeg
193582	http://api.discogs.com/image/A-193582-1184794190.jpeg	secondary	508	400	http://api.discogs.com/image/A-150-193582-1184794190.jpeg
196010	http://api.discogs.com/image/A-196010-1145972712.jpeg	secondary	623	445	http://api.discogs.com/image/A-150-196010-1145972712.jpeg
201497	http://api.discogs.com/image/A-201497-1326405053.jpeg	primary	720	575	http://api.discogs.com/image/A-150-201497-1326405053.jpeg
201497	http://api.discogs.com/image/A-201497-1326405068.jpeg	secondary	720	477	http://api.discogs.com/image/A-150-201497-1326405068.jpeg
201497	http://api.discogs.com/image/A-201497-1293622813.jpeg	secondary	482	385	http://api.discogs.com/image/A-150-201497-1293622813.jpeg
201497	http://api.discogs.com/image/A-201497-1126525108.jpeg	secondary	375	335	http://api.discogs.com/image/A-150-201497-1126525108.jpeg
201497	http://api.discogs.com/image/A-201497-1326405028.jpeg	secondary	412	600	http://api.discogs.com/image/A-150-201497-1326405028.jpeg
204278	http://api.discogs.com/image/A-204278-1285492333.jpeg	primary	720	480	http://api.discogs.com/image/A-150-204278-1285492333.jpeg
204278	http://api.discogs.com/image/A-204278-1229875639.jpeg	secondary	800	533	http://api.discogs.com/image/A-150-204278-1229875639.jpeg
213242	http://api.discogs.com/image/A-213242-1313999567.jpeg	primary	243	200	http://api.discogs.com/image/A-150-213242-1313999567.jpeg
213242	http://api.discogs.com/image/A-213242-1313999588.jpeg	secondary	209	151	http://api.discogs.com/image/A-150-213242-1313999588.jpeg
213242	http://api.discogs.com/image/A-213242-1194554465.jpeg	secondary	150	150	http://api.discogs.com/image/A-150-213242-1194554465.jpeg
218577	http://api.discogs.com/image/A-218577-1262520238.jpeg	primary	600	399	http://api.discogs.com/image/A-150-218577-1262520238.jpeg
232645	http://api.discogs.com/image/A-232645-1183824915.jpeg	primary	900	600	http://api.discogs.com/image/A-150-232645-1183824915.jpeg
232645	http://api.discogs.com/image/A-232645-1249326998.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-232645-1249326998.jpeg
232645	http://api.discogs.com/image/A-232645-1183824935.jpeg	secondary	414	598	http://api.discogs.com/image/A-150-232645-1183824935.jpeg
232645	http://api.discogs.com/image/A-232645-1249327082.jpeg	secondary	480	331	http://api.discogs.com/image/A-150-232645-1249327082.jpeg
232645	http://api.discogs.com/image/A-232645-1249327117.jpeg	secondary	240	320	http://api.discogs.com/image/A-150-232645-1249327117.jpeg
235055	http://api.discogs.com/image/A-235055-1275581881.png	primary	293	211	http://api.discogs.com/image/A-150-235055-1275581881.png
240613	http://api.discogs.com/image/A-240613-1283361242.jpeg	primary	419	400	http://api.discogs.com/image/A-150-240613-1283361242.jpeg
244135	http://api.discogs.com/image/A-244135-1319825499.jpeg	primary	280	270	http://api.discogs.com/image/A-150-244135-1319825499.jpeg
244135	http://api.discogs.com/image/A-244135-1156944403.jpeg	secondary	300	190	http://api.discogs.com/image/A-150-244135-1156944403.jpeg
244135	http://api.discogs.com/image/A-244135-1350406081-4392.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-244135-1350406081-4392.jpeg
244135	http://api.discogs.com/image/A-244135-1358273589-3621.jpeg	secondary	512	600	http://api.discogs.com/image/A-150-244135-1358273589-3621.jpeg
251565	http://api.discogs.com/image/A-251565-1310014154.jpeg	primary	226	300	http://api.discogs.com/image/A-150-251565-1310014154.jpeg
252201	http://api.discogs.com/image/A-252201-1127672031.jpeg	secondary	282	249	http://api.discogs.com/image/A-150-252201-1127672031.jpeg
252201	http://api.discogs.com/image/A-252201-1156316306.jpeg	secondary	253	337	http://api.discogs.com/image/A-150-252201-1156316306.jpeg
252201	http://api.discogs.com/image/A-252201-1156316353.jpeg	secondary	186	283	http://api.discogs.com/image/A-150-252201-1156316353.jpeg
252201	http://api.discogs.com/image/A-252201-1156316405.jpeg	secondary	340	479	http://api.discogs.com/image/A-150-252201-1156316405.jpeg
252201	http://api.discogs.com/image/A-252201-1156316457.jpeg	secondary	259	344	http://api.discogs.com/image/A-150-252201-1156316457.jpeg
252201	http://api.discogs.com/image/A-252201-1156316516.jpeg	secondary	256	301	http://api.discogs.com/image/A-150-252201-1156316516.jpeg
256225	http://api.discogs.com/image/A-256225-1144684281.jpeg	secondary	446	300	http://api.discogs.com/image/A-150-256225-1144684281.jpeg
257421	http://api.discogs.com/image/A-257421-1108593106.jpg	primary	205	200	http://api.discogs.com/image/A-150-257421-1108593106.jpg
257421	http://api.discogs.com/image/A-257421-1289238877.jpeg	secondary	336	504	http://api.discogs.com/image/A-150-257421-1289238877.jpeg
257421	http://api.discogs.com/image/A-257421-1246655500.jpeg	secondary	382	340	http://api.discogs.com/image/A-150-257421-1246655500.jpeg
257421	http://api.discogs.com/image/A-257421-1247091820.jpeg	secondary	322	340	http://api.discogs.com/image/A-150-257421-1247091820.jpeg
257421	http://api.discogs.com/image/A-257421-1289238885.jpeg	secondary	336	504	http://api.discogs.com/image/A-150-257421-1289238885.jpeg
257421	http://api.discogs.com/image/A-257421-1289238896.jpeg	secondary	680	502	http://api.discogs.com/image/A-150-257421-1289238896.jpeg
272796	http://api.discogs.com/image/A-272796-1114349915.jpg	secondary	400	266	http://api.discogs.com/image/A-150-272796-1114349915.jpg
274957	http://api.discogs.com/image/A-274957-1114331724.jpg	secondary	232	200	http://api.discogs.com/image/A-150-274957-1114331724.jpg
276459	http://api.discogs.com/image/A-276459-1264263644.jpeg	primary	182	200	http://api.discogs.com/image/A-150-276459-1264263644.jpeg
277037	http://api.discogs.com/image/A-277037-1122396469.jpg	primary	294	440	http://api.discogs.com/image/A-150-277037-1122396469.jpg
277037	http://api.discogs.com/image/A-277037-1295289972.jpeg	secondary	600	179	http://api.discogs.com/image/A-150-277037-1295289972.jpeg
277579	http://api.discogs.com/image/A-277579-1297516407.jpeg	primary	500	358	http://api.discogs.com/image/A-150-277579-1297516407.jpeg
281413	http://api.discogs.com/image/A-281413-1348826204-6595.jpeg	primary	600	600	http://api.discogs.com/image/A-150-281413-1348826204-6595.jpeg
281413	http://api.discogs.com/image/A-281413-1157707644.jpeg	secondary	195	150	http://api.discogs.com/image/A-150-281413-1157707644.jpeg
281870	http://api.discogs.com/image/A-281870-1168941968.jpeg	secondary	320	240	http://api.discogs.com/image/A-150-281870-1168941968.jpeg
297217	http://api.discogs.com/image/A-297217-1153041076.jpeg	primary	250	230	http://api.discogs.com/image/A-150-297217-1153041076.jpeg
297217	http://api.discogs.com/image/A-297217-1336307451.jpeg	secondary	331	214	http://api.discogs.com/image/A-150-297217-1336307451.jpeg
297217	http://api.discogs.com/image/A-297217-1348065209-8407.jpeg	secondary	219	332	http://api.discogs.com/image/A-150-297217-1348065209-8407.jpeg
298882	http://api.discogs.com/image/A-298882-1113420914.jpg	secondary	100	150	http://api.discogs.com/image/A-150-298882-1113420914.jpg
298882	http://api.discogs.com/image/A-298882-1113420923.jpg	secondary	100	150	http://api.discogs.com/image/A-150-298882-1113420923.jpg
298882	http://api.discogs.com/image/A-298882-1113421459.jpg	secondary	100	150	http://api.discogs.com/image/A-150-298882-1113421459.jpg
298951	http://api.discogs.com/image/A-298951-1157553026.jpeg	secondary	559	511	http://api.discogs.com/image/A-150-298951-1157553026.jpeg
312858	http://api.discogs.com/image/A-312858-1208478804.jpeg	primary	352	369	http://api.discogs.com/image/A-150-312858-1208478804.jpeg
312858	http://api.discogs.com/image/A-312858-1208478982.jpeg	secondary	421	276	http://api.discogs.com/image/A-150-312858-1208478982.jpeg
319612	http://api.discogs.com/image/A-319612-1314479066.png	primary	194	259	http://api.discogs.com/image/A-150-319612-1314479066.png
325408	http://api.discogs.com/image/A-325408-1162844240.jpeg	secondary	194	236	http://api.discogs.com/image/A-150-325408-1162844240.jpeg
327411	http://api.discogs.com/image/A-327411-1351166055-9009.jpeg	primary	574	459	http://api.discogs.com/image/A-150-327411-1351166055-9009.jpeg
328677	http://api.discogs.com/image/A-328677-1119257946.jpg	secondary	180	133	http://api.discogs.com/image/A-150-328677-1119257946.jpg
328677	http://api.discogs.com/image/A-328677-1130230088.jpeg	secondary	228	395	http://api.discogs.com/image/A-150-328677-1130230088.jpeg
333419	http://api.discogs.com/image/A-333419-1353659991-4453.jpeg	primary	400	299	http://api.discogs.com/image/A-150-333419-1353659991-4453.jpeg
333419	http://api.discogs.com/image/A-333419-1353660362-3943.jpeg	secondary	450	490	http://api.discogs.com/image/A-150-333419-1353660362-3943.jpeg
333419	http://api.discogs.com/image/A-333419-1353660122-2619.jpeg	secondary	400	279	http://api.discogs.com/image/A-150-333419-1353660122-2619.jpeg
333419	http://api.discogs.com/image/A-333419-1353659618-4075.jpeg	secondary	471	439	http://api.discogs.com/image/A-150-333419-1353659618-4075.jpeg
333419	http://api.discogs.com/image/A-333419-1353659979-9253.jpeg	secondary	482	458	http://api.discogs.com/image/A-150-333419-1353659979-9253.jpeg
333419	http://api.discogs.com/image/A-333419-1353660000-6863.jpeg	secondary	450	462	http://api.discogs.com/image/A-150-333419-1353660000-6863.jpeg
333419	http://api.discogs.com/image/A-333419-1221167476.jpeg	secondary	280	250	http://api.discogs.com/image/A-150-333419-1221167476.jpeg
345763	http://api.discogs.com/image/A-345763-1298312237.jpeg	primary	370	375	http://api.discogs.com/image/A-150-345763-1298312237.jpeg
346050	http://api.discogs.com/image/A-346050-1149281234.jpeg	secondary	225	216	http://api.discogs.com/image/A-150-346050-1149281234.jpeg
346050	http://api.discogs.com/image/A-346050-1149281250.jpeg	secondary	300	447	http://api.discogs.com/image/A-150-346050-1149281250.jpeg
366709	http://api.discogs.com/image/A-366709-1327600274.jpeg	primary	408	600	http://api.discogs.com/image/A-150-366709-1327600274.jpeg
366709	http://api.discogs.com/image/A-366709-1162827826.jpeg	secondary	377	415	http://api.discogs.com/image/A-150-366709-1162827826.jpeg
366709	http://api.discogs.com/image/A-366709-1327600246.jpeg	secondary	160	217	http://api.discogs.com/image/A-150-366709-1327600246.jpeg
372593	http://api.discogs.com/image/A-372593-1285416418.jpeg	primary	191	150	http://api.discogs.com/image/A-150-372593-1285416418.jpeg
379204	http://api.discogs.com/image/A-379204-1176545541.jpeg	secondary	395	300	http://api.discogs.com/image/A-150-379204-1176545541.jpeg
379204	http://api.discogs.com/image/A-379204-1176545663.jpeg	secondary	499	425	http://api.discogs.com/image/A-150-379204-1176545663.jpeg
379225	http://api.discogs.com/image/A-379225-1254907322.jpeg	primary	185	150	http://api.discogs.com/image/A-150-379225-1254907322.jpeg
383969	http://api.discogs.com/image/A-383969-1146393014.jpeg	secondary	400	600	http://api.discogs.com/image/A-150-383969-1146393014.jpeg
385283	http://api.discogs.com/image/A-385283-1203544159.jpeg	primary	186	150	http://api.discogs.com/image/A-150-385283-1203544159.jpeg
385283	http://api.discogs.com/image/A-385283-1297515199.jpeg	secondary	600	194	http://api.discogs.com/image/A-150-385283-1297515199.jpeg
409563	http://api.discogs.com/image/A-409563-1208951731.jpeg	primary	554	369	http://api.discogs.com/image/A-150-409563-1208951731.jpeg
409563	http://api.discogs.com/image/A-409563-1208951741.jpeg	secondary	558	373	http://api.discogs.com/image/A-150-409563-1208951741.jpeg
409563	http://api.discogs.com/image/A-409563-1208951748.jpeg	secondary	373	558	http://api.discogs.com/image/A-150-409563-1208951748.jpeg
409563	http://api.discogs.com/image/A-409563-1208951761.jpeg	secondary	600	402	http://api.discogs.com/image/A-150-409563-1208951761.jpeg
409565	http://api.discogs.com/image/A-409565-1273762280.jpeg	primary	800	533	http://api.discogs.com/image/A-150-409565-1273762280.jpeg
409565	http://api.discogs.com/image/A-409565-1273762375.jpeg	secondary	270	180	http://api.discogs.com/image/A-150-409565-1273762375.jpeg
409569	http://api.discogs.com/image/A-409569-1189930609.jpeg	secondary	376	400	http://api.discogs.com/image/A-150-409569-1189930609.jpeg
427638	http://api.discogs.com/image/A-427638-1223144050.jpeg	primary	376	500	http://api.discogs.com/image/A-150-427638-1223144050.jpeg
427638	http://api.discogs.com/image/A-13772-1097074710.jpg	secondary	270	600	http://api.discogs.com/image/A-150-13772-1097074710.jpg
427638	http://api.discogs.com/image/A-427638-1146409135.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-427638-1146409135.jpeg
427638	http://api.discogs.com/image/A-427638-1146409108.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-427638-1146409108.jpeg
476444	http://api.discogs.com/image/A-476444-1259505164.jpeg	primary	250	182	http://api.discogs.com/image/A-150-476444-1259505164.jpeg
480435	http://api.discogs.com/image/A-480435-1281302453.jpeg	primary	377	265	http://api.discogs.com/image/A-150-480435-1281302453.jpeg
480435	http://api.discogs.com/image/A-480435-1281302460.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-480435-1281302460.jpeg
518037	http://api.discogs.com/image/A-518037-1168942209.jpeg	secondary	320	240	http://api.discogs.com/image/A-150-518037-1168942209.jpeg
651252	http://api.discogs.com/image/A-651252-1168942460.jpeg	secondary	240	320	http://api.discogs.com/image/A-150-651252-1168942460.jpeg
693411	http://api.discogs.com/image/A-693411-1257119294.png	primary	336	457	http://api.discogs.com/image/A-150-693411-1257119294.png
693411	http://api.discogs.com/image/A-693411-1272832938.jpeg	secondary	349	500	http://api.discogs.com/image/A-150-693411-1272832938.jpeg
1116274	http://api.discogs.com/image/A-1116274-1277199650.jpeg	primary	300	296	http://api.discogs.com/image/A-150-1116274-1277199650.jpeg
1815336	http://api.discogs.com/image/A-1815336-1273754208.jpeg	primary	135	200	http://api.discogs.com/image/A-150-1815336-1273754208.jpeg
1838967	http://api.discogs.com/image/A-1838967-1276857728.jpeg	primary	166	319	http://api.discogs.com/image/A-150-1838967-1276857728.jpeg
2149211	http://api.discogs.com/image/A-2149211-1336816484-3231.jpeg	primary	601	600	http://api.discogs.com/image/A-150-2149211-1336816484-3231.jpeg
2238483	http://api.discogs.com/image/A-2238483-1307310863.jpeg	primary	272	175	http://api.discogs.com/image/A-150-2238483-1307310863.jpeg
\.


--
-- Data for Name: artists_members; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_members (artist_id, name) FROM stdin;
1627	Thomas Wedel
1627	Thorsten Adler
1868	Gez Dewar
1868	Nick Hale
1868	Nick Nicholson
3300	Peter D
3300	Ray Mighty
3300	Rob Smith
5966	Piet Blank
5966	René Runge
6268	Blaine L. Reininger
6268	Bruce Geduldig
6268	Greg Langston
6268	Ivan Georgiev
6268	Luc Van Lieshout
6268	Michael Belfer
6268	Paul Zahl
6268	Peter Principle
6268	Steven Brown
6268	Winston Tong
6373	Gianni Bini
6373	Paolo Martini
6520	Adam Clayton
6520	Dave Evans (4)
6520	Larry Mullen
6520	Paul Hewson
6636	Addy van der Zwan
6636	Jan Voermans
6636	Koen Groeneveld
7117	Benoit Marissal
7117	Bruno Van Garsse
7117	Michel Nachtergaele
7117	Pascal Pante
7117	Patrick Cools
7117	Shortbus
7117	Stephan Novak
7285	Klaus Jankuhn
7285	Maximilian Lenz
7698	Durron Butler
7698	Jackie Harris
7698	Luca Anzilotti
7698	Michael Münzing
7698	Penny Ford
7698	Thea Austin
9221	Dan Lacksman
9221	Marc Moulin
9221	Michel Moers
9380	Alexander Gerlach
9380	Kai Paul
10927	Benno De Goeij
10927	Piet Bervoets
10930	Errol Lafleur
10930	Mark Nieuwenhuijzen
10930	Rene van Oosterwijk
11001	Dale Longworth
11001	Kevin O'Toole
11101	Claus Terhoeven
11101	Stefan Bossems
11606	Andy Selway
11606	Günter Schulz
11606	Jr. Blackmale
11606	Jules Hodgson
11606	Klaus Schandelmaier
11606	Lucia Cifarelli
11606	Mark Durante
11606	Morgan Adjei
11606	Raymond Watts
11606	Rudolph Naomi
11606	Sascha Konietzko
11606	Steve Stoll
11606	Steve White
11606	Tim Skold
11606	William Rieflin
11769	Axel Broszeit
11769	Hans Peter Geerdes
11769	Hendrik Stedler
11769	Jürgen Frosch
11769	Jens Thele
11769	Michael Simon
11769	Sören Bühler
12283	Boris Dlugosch
12283	Michi Lange
12526	André Tanneberger
12526	Andreas Tomalla
12526	Christian Scharnweber
12526	Christopher von Deylen
12526	Florian Preis
12526	Michael Gerlach
12526	Mirko von Schlieffen
12526	Ralph Armand Beck
12526	Torsten Stenzel
12526	Vernon B.
12591	Andy Boucher
12591	Lester Noel
12591	Lindy Layton
12591	Luke Cresswell
12591	Norman Cook
12773	Gino Montesano
12773	Olaf Dieckmann
12781	Luca Moretti
12781	Ricky Romanini
12789	Annemie Coenen
12789	Christophe Chantzis
12789	David Vervoort
12789	Erik Vanspauwen
12789	Martine Theeuwen
12789	Peter Luts
13687	Carlo Resoort
13687	Jan De Vos (2)
13687	Vanessa Van Hemmert
13774	John Miles Jr.
13774	Silvy De Bie
13774	Wout van Dessel
13842	Frederik Hulpia
13842	Janus De Decker
13842	Jo Casters
13842	Miguel Wittevrongel
13842	Peter Bellaert
13842	Steve Sidewinder
13861	Heiko Lempio
13861	Jan Miesner
13861	Lars Böge
13925	Gez Dewar
13925	Nick Hale
14742	DJ K La Boss
14742	Erick Sermon
14742	George Spivey
14742	Parrish Smith
15683	Tané Cain
16418	Benno De Goeij
16418	Piet Bervoets
16747	Donnie Calvin
16747	Dwight Hawkes
16747	Tina B
16761	Clee
16761	David Elliot (2)
16761	Earl Cook
16761	Gregory Jacobs
16761	Ronald Brooks (2)
16761	Tupac Shakur
19083	Johan Gielen
19083	Sven Maes
20037	Francoise Faggott
20037	Pepe Kosminen
20942	Matt Aitken
20942	Mike Stock
20942	Pete Waterman
21081	Antonio Puntillo
21081	Fabio Serra
21081	Johnny Di Martino
21081	Mauro Farina
21081	Roberto Arduini
22164	Al McKay
22164	Alexander Thomas
22164	Andrew Woolfolk
22164	Beloyd Taylor
22164	Chester Washington
22164	David Whitworth
22164	Don Whitehead
22164	Fred White
22164	Greg Moore
22164	Jessica Cleaves
22164	John Paris
22164	Johnny Graham
22164	Larry Dunn
22164	Leslie Drayton
22164	Maurice White
22164	Michael Beal
22164	Morris O'Connor
22164	Morris Pleasure
22164	Myron McKinley
22164	Philip Bailey
22164	Ralph Johnson
22164	Robert Brookins
22164	Roland Bautista
22164	Ronnie Laws
22164	Sheldon Reynolds
22164	Sherry Scott
22164	Sonny Emory
22164	Verdine White
22164	Wade Flemons
22164	Wayne Vaughn
22164	Yackov Ben Israel
24076	David Vervoort
24076	Evi Goffin
24076	Jef Martens
24076	Jelle Van Dael
24076	Peter Luts
25018	Christian Beneken
25018	Manfred Hölter
25018	Mike Griesheimer
25018	Stefania
25018	Thomas Detert
25018	Thorsten Kipka
26044	Neal Slateford
26044	Nick Batt
26165	Bony Bikaye
26165	Hector Zazou
26219	Anneli Drecker
26219	Geir Jenssen
26219	Nils Johansen
27500	Brian McNeill
27500	Dave Reilly
27500	Eddie Lundon
27500	Gary Daly
27500	Gazza Johnson
27500	John Lewis (14)
27500	Kevin Wilkinson
27769	David Rzenno
27769	Dirk Nothroff
27769	Frank Cornelis
27769	Marleen Horn
27769	Silvio Von Lichtenstein
27887	Björn Ole Pörksen
27887	Herby F.
27887	Jan-Hendrik Geßner
27887	Lennart Vonau
28141	Jürgen Dohr
28141	Oliver Goedicke
29019	Bendik Hofseth
29019	Bill Evans (3)
29019	Chuck Loeb
29019	Don Grolnick
29019	Donny McCaslin
29019	Eddie Gomez
29019	Eliane Elias
29019	Michael Brecker
29019	Mike Mainieri
29019	Mike Stern
29019	Peter Erskine
29019	Steve Khan
29019	Steve Smith (5)
29019	Tony Levin
29019	Victor Bailey
29101	Nils Karsten
29101	Oliver Goedicke
29316	Christophe Chantzis
29316	Diana Trippaers
29316	Erik Vanspauwen
29316	Tommie Kidjemet
33750	Claudio Mangione
33750	Eliz Yavuz
33750	Gottfried Engels
33750	Joan Wilson
33750	Svan Taurus
33750	Walter Edlington
35289	Cassandra Wooten
35289	Cheryl Mason Jacks
35289	Ednah Holt
35289	Gwen Oliver
35289	Jacqui Smith-Lee
35289	Linda James (3)
35289	Theodosia "Dodie" Draher
35289	Vera Brown
36507	Marc Dillon
36507	Patrick Dickins
36824	Gez Dewar
36824	Tim Factor
37224	Debbie Sledge
37224	Joni Sledge
37224	Kathy Sledge
37224	Kim Sledge
37720	Frank Fritze
37720	Ramon Roelofs
37757	Magne Furuholmen
37757	Morten Harket
37757	Paul Waaktaar-Savoy
38085	Andy Bostyn
38085	Luc Devriese
40372	Daniel Ward
40372	Hermit
40372	Laurence Bagnall
40372	Mark Yardley
41196	Kitty Winter
41196	Kuno Schmid
41196	Martin Spiegelberg
41196	Reinhold Hirth
41196	Willi Gärtner
41519	Doc Distortion
41519	Lee Connery
41519	Mike Wlach
42885	Evan Landes
42885	Parrish Wintersmith
43933	Frank Raven
43933	Jan Miesner
43933	Lars Böge
46819	Cameron Muncey
46819	Chris Cester
46819	Mark Wilson (3)
46819	Nic Cester
48865	Claydes Smith
48865	Clifford Adams
48865	Dennis D.T. Thomas
48865	Don Boyce
48865	Earl Toon, Jr.
48865	George Brown
48865	J.T. Taylor
48865	Michael Ray
48865	Odeen Mays
48865	Otha Nash
48865	Ricky West
48865	Robert Kool Bell
48865	Robert Spike Mickens
48865	Ronald Bell
48865	Skip Martin (2)
48865	Woody Sparrow
55980	Albert Hammond Jr.
55980	Fabrizio Moretti
55980	Julian Casablancas
55980	Nick Valensi
55980	Nikolai Fraiture
58349	Dimitri Veltkamp
60901	Cris Nuttall
60901	Lee Monteverde
60901	Matt Cadman
63366	Colin McNeil
63366	Debbie Millar
63366	Jon Campbell
63366	Mary Kiani
63366	Paul Inglis
63366	Steven Nelson (2)
66670	Alisa Peoples
66670	Cavin Yarbrough
69193	Augustus Temple
69193	Margaret Blount
73326	Cyrus Sadeghi-Wafa
73326	Michael Urgacz
76497	Michael Simon
76497	Shahin Moshirian
76497	Stephan Browarczyk
80134	Dynelle Rhodes
80134	Ingrid Arthur
80134	Izora Armstead
80134	Martha Wash
81421	Colin Campsie
81421	George McFarlane
81836	Jack Robinson
81836	James Bolden
81913	Johannes Becker
81913	Marcus Layton
82735	Billy Henderson
82735	Bobbie Smith
82735	G.C. Cameron
82735	Henry Fambrough
82735	James Edwards
82735	John Edwards (3)
82735	Pervis Jackson
82735	Philippe Wynne
98744	Berry Sakharof
98744	Malka Spigel
98744	Max Franken
98744	Rami Fortis
98744	Samy Birnbach
101773	Ian Curnow
101773	Phil Harding
116072	Costantino "Mixmaster" Padovano
116072	Martin "Monster" Aurelio
116072	Maurizio Verbeni
116072	Mirko Braida
116072	Paolo Cimarelli
116072	Paul Harlyn
116072	Stefano Paganelli
138140	Boscom
138140	Michael Natzmer
138140	O2Beat
143563	Marc Hollander
143563	Vincent Kenis
149898	Chris Count
149898	Dubster
149898	Massimo Santucci
149898	Thimo U. Seidel
169154	Jackie Jackson
169154	Jermaine Jackson
169154	Marlon Jackson
169154	Michael Jackson
169154	Randy Jackson
169154	Tito Jackson
186991	Gérald Fenerberg
186991	Jean-François Jones Jacob
186991	Marc Hollander
186991	Véronique Vincent
186991	Vincent Kenis
186991	Yvon Vromman
190650	Catherine Jauniaux
193103	Andy Rossa
193103	Stuart Connor
201497	Francine Barker
201497	Herb Fame
201497	Linda Green
201497	Marlina Mars
275054	Edlmann
275054	Jamer$on
275054	Weeh 78
276715	Frank Dieckmann
276715	Olaf Krämer
303460	Bobby Kimball
303460	Franz Reuther
303460	Simon Phillips
303460	Steve Lukather
325408	Barry Johnson (8)
325408	Junior Daye
325408	Marcel King
325408	St Clair Palmer
325408	Vincent James (3)
427638	Jono Grant
427638	Justine Suissa
427638	Paavo Siljamäki
427638	Tony McGuinness
693411	Habi
693411	Jacky (11)
693411	Jhonio
693411	Mitsuru (2)
693411	Taki (3)
693411	Yamakawa
1937566	Bill Butt
1937566	Haymo Kindler
\.


--
-- Data for Name: artists_namevariations; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_namevariations (artist_id, name) FROM stdin;
161	Edwards
161	T Edwards
161	T. Edwards
161	Todd
161	Todd Edward
161	Todd Tell
161	Too Edvards
1031	DJ Moby
1031	Evil Ninja Moby
1031	Little Idiot Moby, The
1031	M Oby
1031	Mobey
1031	Moby (as Jim Biscuit)
1031	Moby's
1031	Mody
4205	Gm
1627	A.W.e.X
1627	A.W.e.X.
1627	Avex
1627	Awex
1868	Boi-oing!
3300	Smith 'N' Mighty
3300	Smith and Mighty
3300	Smith
3300	&
3300	Mighty
3474	LaBelle
3474	P. Labelle
3474	Patti
3474	Patti La Belle
3474	Patti Labelle
3474	Pattie La Belle
3474	Pattie Labele
3474	Pattie Labelle
3474	PattieLabelle
3474	Patty Labelle
3477	C Jankel
3477	C, Jankel
3477	C. Jankel
3477	C. Jenkel
3477	C.Jankel
3477	Chas
3477	Chasz Jankel
3477	Chaz
3477	Chaz 'Ai No Corrida' Jankel
3477	Chaz 'Wünderkind' Jankel
3477	Chaz 'Wunderkind' Jankel
3477	Chaz Blockhead
3477	Chaz Jankel
3477	Chaz Janket
3477	Chaz Jenkel
3477	Chazjankel
3477	CJ
3477	Iankel
3477	Janke
3477	Jankel
3477	Jankell
3477	Jenkel
3638	De Ruiter
3638	de Ruyter
3638	DeRuyter
3638	DeRuyter, Yves
3638	DJ Yves
3638	DJ Yves De Ruyter
3638	DJ Yves Deruyter
3638	Paul Deruyter
3638	Ruyter
3638	Y. de Ruiter
3638	Y. De Ruyter
3638	Y. Deruyter
3638	Y.de Ruyter
3638	Y.Deruyter
3638	YDR
3638	Yes Deruyter
3638	Yves De Deruyter
3638	Yves De Reuyter
3638	Yves de Ruiter
3638	Yves De Ruiter IV
3638	Yves De Ruyter
3638	Yves De Ruyter III
3638	Yves De Ryuter
3638	Yves Demyter
3638	Yves Deruyter
3638	&
3638	Bonzai Music
3638	Yves Deruyter 3
3638	Yves Deruyter III
3638	Yves Deruyter IV
4073	C J Stone
4073	C. J Stone
4073	C. J. Stone
4073	C.J Stone
4073	C.J. Stone
4073	C.J.Stone
4073	CJ
4073	CJ-Stone
4073	DJ Stone
4073	Stein
4073	Stone
4205	ジョルジオ・モローデル
4205	D. Moroder
4205	Dž.  Moroderis
4205	Дж. Мородер
4205	Джорджо
4205	Джорджо Мородэр
4205	G Moroder
4205	G, Moroder
4205	G. G. Morodor
4205	G. Goroder
4205	G. Modober
4205	G. Mododer
4205	G. Moode R.
4205	G. Moroder
4205	G. Mororder
4205	G.M.
4205	G.Moroder
4205	G: Moroder
4205	George
4205	George Moroder
4205	Georgie Moroder
4205	Georgio
4205	Georgio Moroder
4205	Georgio Morodor
4205	Giogio Moroder
4205	Giorgio
4205	Giorgio And Chris
4205	Giorgio And Friends
4205	Giorgio G. Moroder
4205	Giorgio M.
4205	Giorgio Moroder, Pete Bellotte
4205	Giorgio Morodor
4205	Giorgio Morogder
4205	Giorgio Morrodor
4205	Giorgio Morrone
4205	Giorgio-Moroder
4205	Giorgo Moroder
4205	Giorio Moroder
4205	Gorge Moroder
4205	Gorgio Moroder
4205	Maroder
4205	Master Gio
4205	Morader
4205	Morder
4205	Moroda
4205	Morode
4205	Moroder
4205	Moroder G.
4205	Moroder Giorgio
4205	Moroder, Giorgio
4205	Morodor
4205	Sheila Ferguson
4604	Fruit Loops 2
4604	Fruitloops
5111	Biscuit
5115	Dachert
5115	P Principle
5115	P. Principle
5115	P.P.
5115	Peter 'Principle' Dachert
5115	Peter Principal
5115	PP
5115	Principle
5401	Gargano
5401	P Gargano
5401	P. Garagano
5401	P. Gargano
5401	P.Gargano
5401	Pablo G
5401	Pablo G.
5401	Pablo Gagano
5401	Pabloe Gargano
20942	&
5401	Paul Gargano
5797	A. Tanneberger
5797	A.T.B.
5797	André "ATB" Tanneberger
5797	André Tanneberger
5797	Andre Tanneberger
5797	atb*
5797	Feat.
5797	With
5966	B
5966	&
5966	J
5966	Bernard Summer
5966	Black
5966	&
5966	Jones
5966	Blanck
5966	&
5966	Jones
5966	Blank
5966	&
5966	Tones
5966	Blank + Jones
5966	Blank / Jones
5966	Blank And Jones
5966	Blank Jones
5966	Blank
5966	&
5966	Jones
5966	Blank+Jones
5966	Blank, J. Jones
5966	Blank, Jones
5966	Blank, Piet/Jones, Jaspa
5966	Blank/Jones
5966	P Blank, J Jones
5966	P. Blank
5966	&
5966	J. Jones
5966	P. Blank / J. Jones
5966	P. Blank, J. Jones
5966	P. Blank/J. Jones
5966	P.Blank
5966	&
5966	J.Jones
5966	Piet
5966	&
5966	J. Jones
5966	Piet
5966	&
5966	Jaspa
5966	Piet Blanc And Jaspe Jones
5966	Piet Blank
5966	&
5966	Jasda Jones
5966	Piet Blank
5966	&
5966	Jaspa Jones
5966	Piet Blank
5966	&
5966	Jasper Jones
5966	Piet Blank / Jaspa Jones
5966	Piet Blank / Jasper Jones
5966	Piet Blank And Jaspa Jones
5966	Piet Blank, Jaspa Jones
5966	Piet Blank, Jaspa Jons
5966	Piet Blank, Jasper Jones
5966	Piet Blank-Jaspa Jones
5966	Piet Blank/J.Jones
5966	Piet Blank/Jaspa Jones
6268	Creatures Of The Night
6268	Tuxedemoon
6268	Tuxedo Moon
6270	D Summer
6270	D. A. Summer
6270	D. Summer
6270	D.S.
6270	D.Summer
6270	Dona Samer
6270	Donna
6270	Donna A. Summer
6270	Donna Dummer
6270	Donner Summer
6270	Дона Саммер
6270	Дона Самър
6270	Summer
6270	Summer D.
6274	Calway
6274	Cowley
6274	Crowley
6274	Megatron
6274	P Cowley
6274	P. Cowley
6274	P.Cowley
6274	Pat Cowley
6274	Patrick
6274	Sylvester
6373	B + M
6373	B
6373	&
6373	M
6373	B+M
6373	B.
6373	&
6373	M.
6373	Bini
6373	&
6373	Martina
6373	Bini
6373	&
6373	Matini
6373	Bini + Martini
6373	Bini / Martini
6373	Bini And Martini
6373	Bini E Martini
6373	Bini
6373	&
6373	Martini
6373	Bini/Martini
6373	G. Bini And P. Martini
6373	G. Bini, P. Martini
6373	G.Bini-P.Martini
6373	Giani Bini
6373	&
6373	Paolo Martini
6373	Giani Bini
6373	&
6373	Paulo Martini
6373	Gianni Bine And Paolo Martini
6373	Gianni Bini
6373	&
6373	Fulvio Pemiola
6373	Gianni Bini
6373	&
6373	Paolo Martini
6373	Gianni Bini
6373	&
6373	Paulo Martini
6373	Gianni Bini + Paolo Martini
6373	Gianni Bini And Paolo Martini
6373	Paolo Martini
6373	&
6373	Gianni Bini
6373	Paolo Martini E Gianni Bini
6373	Paolo Martini, Gianni Bini
6520	Ю 2
6520	U - 2
6520	U 2
6520	U-2
6520	U.2.
6520	You Two
6636	Clubbheads
6636	Clubheads
6636	KH
6636	Klub Heads
6636	Klubb Heads
6636	Klubbhands
6636	Klubbhead
6636	Klubbheads DJ Team
6636	Klubbheads DJ Team, The
6636	Klubbheads Pres. Bamboo Session #2
6636	Klubbheads Present Bamboo Sessions # 1
6636	Klubbheads present Bamboo Sessions # 3
6636	Klubbheads present Bamboo Sessions # 4
6636	Klubbheads Present Bamboo Sessions №1
6636	Klubbheads present Dutch Klubb Dubbs vol.2
6636	Klubbheads, The
6636	Klubbheadz
6636	Klubbheadz, The
6636	Klubbhedz
6636	Klubbneads
6636	Klubheads
6636	Klubheads, The
6636	Klubheadz
7285	M Of M
7285	M.O.M
7285	Members
7285	Members Of Mars
7285	Members Of Mayday, The
7285	Members Of The Mayday
7285	MOM
7698	Sanp
7698	Snad
7698	Snap
7698	Snap !
7698	SNAP!
8121	C
8121	Chicane (Nick Bracegirdle)
8121	Nick Bracegirdle
9050	Cock
9050	Cook
9050	Coon
9050	N Cook
9050	N. Cook
9050	N.Cook
9050	Norm Cook
9050	Norman
9050	Norman Cock
9050	Norman Cooke
9050	Norman Cool
9066	C. Spiller
9066	C.Spiller
9066	Christiano Spiller
9066	Cristiano Spiller
9066	D.J. Spiller
9066	DJ Spiller
9066	Spiller C.
9380	B Lexy
9380	&
9380	K-Paul
9380	L
9380	&
9380	K
9380	L
9380	&
9380	K
9380	Lex-P
9380	Lexy
9380	&
9380	K Paul
9380	Lexy
9380	&
9380	K- Paul
9380	Lexy
9380	&
9380	K. Paul
9380	Lexy
9380	&
9380	K.Paul
9380	Lexy
9380	&
9380	KPaul
9380	Lexy
9380	&
9380	K-Paul
9380	Lexy+K-Paul
10924	Green Court, The
10924	Greencord
10924	Greencourt
10927	Rank I
10927	Rank One
10927	Rank-1
10927	Rank1
11001	N - Trance
11001	N Trance
11001	N' Trance
11001	N'Trance
11001	N-Tränce
11001	N. Trance
11001	N.Trance
11001	N´Trance
11001	Trance
11101	Comic Gate
11101	Cosmic Gates
11606	K.M.F.D.M
11606	K.M.F.D.M.
11691	Amnesia
11691	Amnesia, Jose
11691	DJose Amnesia
11691	J Amnesia
11691	J. Amnesia
11691	J.Amnesia
11691	Ja
11691	Ja 2008
11691	José Amnesia
11691	Jose' Amnesia
11769	Scooter, The
11769	Sooter
12283	B.M.R
12283	B.M.R.
12526	Trance All Stars
12591	B I Posse
12773	Aguagen
12781	Play Thing
12789	Ian Van Dale
12789	Ian Van Darl
12789	Ian Vandahl
12789	Ivan Van Dahl
12789	IVD
13608	Кајли
13608	K
13608	K Minogue
13608	K. Minogue
13608	K.Minogue
13608	Kyle
13608	Kyle Minogue
13608	Kylie
13608	Kylie Ann Minogue
13608	Kylie Minoque
13608	Kylie Minouge
13608	Minogue
13678	Mystery
13687	4 String
13687	4-Strings
13687	4Strings
13687	DJ 4 Strings
13687	Strings
13692	DJ Mario Lopez
13692	Lopez
13692	M. Lopez
13692	M.Lopez
13692	Mario López
13692	Mario Lopes
13719	C Newman
13719	C. John Newman
13719	C. Newman
13719	C.Newman
13719	Colin
13719	Collins Newman
13719	Newman
13774	Silver
13774	Sylver (EU)
13842	Minimalistic
13842	Minimalistics
13861	Neocortex
13864	SheDJ Tatana
13864	Tatana
14742	E.P.M.D.
14742	EMPD
14742	EPEE MD
14742	EPEEMD
14742	Erick
14742	&
14742	Parrish, EPMD
15682	B. Fidel
15682	B. Fiedel
15682	B. Ira Fiedel
15682	B.Ira Fiedel
15682	Brad Ira Fiedel
15682	Bradfield
15682	Fidel
15682	Fiedel
15825	L. Layton
15825	Layton
15825	Linda Layton
15825	Lindy
15825	Lyndy Layton
16418	R. O. O. S.
16418	R.O.O.S
16418	Roos
16747	Rocker's Revenge
16747	Rockers
16747	Rockers Revence
16761	D.U.
16761	Digital Under Ground
16761	Digital Underrohnd
16761	Funky 4 Plus 1
16761	Under-Ground
16761	Underground
16761	Underground, The
16794	Illvester
16794	J. Sylvester
16794	James
16794	James Sylvester
16794	Levay
16794	S James
16794	S. James
16794	S.James
16794	Silvester
16794	Syluester
16794	Sylverster
16794	Sylves
16794	Sylvester James
16794	Sylvester Stewart
16794	Sylvester, James
17035	Black Legend
17035	C Khan
17035	C. Kahn
17035	C. Khan
17035	C.Khan
17035	Ca Khan
17035	Ch. Khan
17035	Chaka
17035	Chaka Kahn
17035	Chaka Kan
17035	Chaka Khan And Friends
17035	CK
17035	Khan
17815	B Dlugosch
17815	B. Dlugosch
17815	B. Dlugosh
17815	B. Duglosch
17815	B.Dlugosch
17815	Boris
17815	Boris D
17815	Boris D'Lougosch
17815	Boris D'Luglosch
17815	Boris D'Lugosch
17815	Boris D'lugosh
17815	BORIS D.
17815	Boris Dgluosch
17815	Boris Dluglosch
17815	Boris Dluglosh
17815	Boris Dlugoch
17815	Boris Dlugosch (Alias MC Valium)
17815	Boris Dlugosch pres. Booom!
17815	Boris Dlugosh
17815	Borris Dlugosh
17815	DJ Boris
17815	Dlugosch
18677	Cheatham
18677	Cheatham Oliver
18677	Cheathum
18677	O, Cheatham
18677	O. Cheatham
18677	O.Cheatham
18677	Oliver
18677	Oliver Cheatam
18677	Oliver Cheathum
18677	Oliver Cheatmam
18677	Oliver Cheetham
18677	Olivier Cheatham
18700	É. Daho
18700	Étienne Daho
18700	étiennedaho
18700	Daho
18700	E. Daho
18700	E.D.
18700	ED
18700	Ettienne Daho
19083	DJ Svenson
19083	&
19083	Chielen
19083	DJ Svenson
19083	&
19083	Gielen
19083	Johan Gielen/ Sven Maes
19083	S
19083	&
19083	G
19083	Sven Maes
19083	&
19083	Johan Gielen
19083	Svensen
19083	&
19083	Gielen
19083	Svenson
19083	Svenson
19083	&
19083	Gilen
19083	Svenson + Gielen
19083	Svenson - Gielen
19083	Svenson And Gielen
19083	Svenson
19083	&
19083	Gielen
19083	Svensson
19083	&
19083	Gielen
19083	Svensson + Johan Gielen
20037	Square Meat
20544	A. Coraguer
20544	A. Goraguer
20544	A. Goraquer
20544	A. Gorauger
20544	A.Goraguer
20544	Alain Goragner
20544	Alain Goraguer Et Son Orchestre
20544	Alain Gorayuer
20544	Alain Gouraguer
20544	André Goraguer
20544	G. Goraguer
20544	Goragu
20544	Goraguer
20544	Monsieur Goraguer
20942	"Sound" Of Stock, Aitken
20942	&
20942	Waterman, The
20942	A Stock Aitken Waterman Production
20942	Aitken / Stock / Peter Waterman
20942	Aitken Waterman
20942	Aitken, Stock, Waterman
20942	Aitken/Stock/Waterman
20942	Atiken - Stock - Waterman
20942	Atken, Stock, Waterman
20942	by Stock/Aitken/Waterman
20942	M. Aitken/P.Waterman/M. Stock
20942	M. Stock - Aitken - Waterman
20942	M. Stock - M. Aitken - P. Waterman
20942	M. Stock / M. Aitken / P. Waterman
20942	M. Stock, M Aitken, P. Waterman
20942	M. Stock, M. Aitken, P. Waterman
20942	M. Stock, M.J. Aitken, P.A. Waterman
20942	M. Stock-M. Aitken-P. Waterman
20942	M. Stock/M. Aitken/P. Waterman
20942	M. Stock/M.J. Aitken/P.A. Waterman
20942	M.Stock / M.J.Aitken / P.A.Waterman
20942	M.Stock, M.Aitken, P.Waterman
20942	Matt Aiken, Mike Stock
20942	&
20942	Pete Waterman
20942	Matt Aitken - Mike Stock - Peter Waterman
20942	Matt Aitken / Mike Stock - Pete Waterman
20942	Matt Aitken / Mike Stock / Pete Waterman
20942	Matt Aitken / Mike Stock / Peter Waterman
20942	Matt Aitken, Mike Stock
20942	&
20942	Pete Waterman
20942	Matt Aitken, Mike Stock And Pete Waterman
20942	Matt Aitken, Mike Stock, Pete Waterman
20942	Matt Aitken, Mike Stock, Peter Waterman
20942	Matt Aitken/Mike Stock/Pete Waterman
20942	Matt Aitken/Mike Stock/Peter Waterman
20942	Michael Stock / Matthew James Aitken / Peter Alan Waterman
20942	Michael Stock, Matthew Aitken, Peter Waterman
20942	Michael Stock, Matthew James Aitken And Peter Alan Waterman
20942	Michael Stock, Matthew James Aitken, Peter Alan Waterman
20942	Michael Stock, Matthew James Aitken, Peter Waterman
20942	Mike Stock
20942	Pete Waterman
20942	Mike Stock / James Aitken / Pete Waterman
20942	Mike Stock / Matt Aitken / Pete Waterman
20942	Mike Stock / Matt Aitken / Peter Waterman
20942	Mike Stock, Matt Aiken,
20942	&
20942	Peter Waterman
20942	Mike Stock, Matt Aiken, Pete Waterman
20942	Mike Stock, Matt Aikten, Pete Waterman
20942	Mike Stock, Matt Aitken
20942	&
20942	Pete Waterman
20942	Mike Stock, Matt Aitken
20942	&
20942	Peter Waterman
20942	Mike Stock, Matt Aitken And Peter Waterman
20942	Mike Stock, Matt Aitken, Pete Waterman
20942	Mike Stock, Matt Aitken, Peter Waterman
20942	Mike Stock, Peter Waterman, Matt Aikten
20942	Mike Stock/Matt Aiken/Peter Waterman
20942	Mike Stock/Matt Aitken/Pete Waterman
20942	Mike Stock/Matt Aitken/Peter Waterman
20942	Mike Stock/Matthew Aitken/Peter Waterman
20942	Peter Waterman/Mike Stock/Matt Aitken
20942	S-A-W
20942	S. Waterman-M. Aitken/Stock
20942	S.A.W.
20942	S/A/W
20942	SAW
20942	Sock/Aitken/Waterman
20942	Stock  Aitken  Waterman
20942	Stock  Aitken Waterman
20942	Stock - Aitken
20942	&
20942	Waterman
20942	Stock - Aitken - Waterman
20942	Stock - Aitken And Waterman
20942	Stock / Aiken / Waterman
20942	Stock / Aitken / Peter Waterman
20942	Stock / Aitken / Waterman
20942	Stock / Aitken / Waterman*
20942	Stock / Aitken / Watermann
20942	Stock /Aitken/Waterman
20942	Stock Aitken  And Waterman
20942	Stock Aitken  Waterman
20942	Stock Aitken
20942	&
20942	Waterman
20942	Stock Aitken And Waterman
20942	Stock Aitken Waterman
20942	Stock Aitken Waterman Production
20942	Stock Aitken/Waterman
20942	Stock Aitkin Waterman
20942	Stock • Aitken • Waterman
20942	Stock · Aitken · Waterman
20942	Stock, Aitiken, Waterman
20942	Stock, Aitken  Waterman
20942	Stock, Aitken and Waterman
20942	Stock, Aitken Waterman
20942	Stock, Aitken+Waterman
20942	Stock, Aitken, Waterman
20942	Stock, Aitkin
20942	&
20942	Waterman
20942	Stock, Ajtken, Waterman
20942	Stock, Waterman
20942	&
20942	Aitken
20942	Stock,Aitken,Waterman
20942	Stock- Aitken - Waterman
20942	Stock-Aitken
20942	&
20942	Waterman
20942	Stock-Aitken And Waterman
20942	Stock-Aitken
20942	&
20942	Waterman
20942	Stock-Aitken-P. Waterman
20942	Stock-Aitken-Waterman
20942	Stock-Aitken-Waterman*
20942	Stock-Aitken-Watermann
20942	Stock-Aitkin-Waterman
20942	Stock-S. Waterman-M. Aitken
20942	Stock. Aitken. Waterman.
20942	Stock/ Aitken / Waterman
20942	Stock/ Aitken/ Waterman
20942	Stock/ Aitken/ Watermann
20942	Stock/ Aitken/Waterman
20942	Stock/Airken/Waterman
20942	Stock/Aitkek/Waterman
20942	Stock/Aitken
20942	&
20942	Waterman
20942	Stock/Aitken /Waterman
20942	Stock/Aitken/Watermam
20942	Stock/Aitken/Waterman
20942	Stock/Aitken/Watermann
20942	Stock/Aitkin/Waterman
20942	Stock/Atiken/Waterman
20942	Stok-Aitken-Waterman
20942	W.A.S.P.
20942	Waterman / Stock / Aitken
20942	Waterman, Aitken, Stock
20942	Waterman, Stock
20942	&
20942	Aitken
20942	Waterman/Aitken/Stock
20942	Waterman/Stock/Aitken
21081	F. Team
21081	F.T.
21081	F.T.
21081	&
21081	Company
21081	Factory
21081	Factory Dance Team
21081	Factory Eurobeat Team
21081	Factory High-NRG Team
21081	Factory Mix, The
21081	Factory Speedo Gang Team, The
21081	Factory T.
21081	Factory Team Edit
21081	Factory Team Remix
21081	Factory Team,
21081	Factory Team, The
21081	Factory, The
21081	FT
21081	FT
21081	&
21081	Company
21081	FT Company
21081	Ultimate Factory, The
22164	E.W.
22164	&
22164	F.
22164	E.W. Fire
22164	E.W.
22164	&
22164	F.
22164	E.W.F
22164	E.W.F.
22164	Eart Wind
22164	&
22164	Fire
22164	Earth Wind
22164	&
22164	Fire
22164	Earth Wind + Fire
22164	Earth Wind And Fire
22164	Earth Wind Fire
22164	Earth Wind,
22164	&
22164	Fire
22164	Earth, Wind + Fire
22164	Earth, Wind And Fire
22164	Earth, Wind v Fire
22164	Earth, Wind,
22164	&
22164	Fire
22164	Earth, Wind, Fire
22164	EW
22164	&
22164	F
22164	EW
22164	&
22164	F
22164	EWF
22164	Tierra, Viento Y Fuego
23765	DJ EJ
23765	DJEJ
23765	EJ
23765	Eli
23765	Eli "Laï Laï" Janney
23765	Eli Janey
23765	Eli Janny
23765	Janney
23765	Kli Janney
25018	Noèmi
25018	Noëmi
25018	Noemi
26044	D N A
26044	D.N.A.
26044	DJ DNA
26044	DNA/Davidge
26165	H. Zazou/B. Bikaye
26165	H.Zazou/B.Bikaye
26165	Zazou And Bikaye
26165	Zazou Bikayé
26165	Zazou-Bikaye
26219	Bel Kanto
27500	Band, The
27500	China Crises
27737	D.J.Shog
27737	DJ Shok
27737	Shog
27769	Lazard aka Stephan Bentrup
27887	D@W
27887	DJ At Work
27887	DJ's @ Work
27887	DJ's @Work
27887	DJ's At Work
27887	DJ's Work
27887	DJ's@Work
27887	DJ@Work
27887	DJs At Work
27887	DJs@ Work
27887	DJs@Work
27941	DJ Marc Aurel
27941	DJ MarcAurel
27941	Marc
27941	MarcAurel
28141	Warb Brothers
28141	Warp Bros
28141	Warp Bros.
28141	Warp Brother
28141	Warp Brothers, The
28141	Warpbrother's
28141	Warpbrothers
28795	'Prince' Roger Nelson
28795	Artist (Formerly Known As Prince), The
28795	ECNIRP
28795	Fisk
28795	Nelson
28795	P
28795	P Nelson
28795	P. Nelson
28795	P. Rince
28795	Princ
28795	Prince - Roger - Nelson
28795	Prince Nelson
28795	Prince R. Nelson
28795	Prince Rodgers Nelson
28795	Prince Roger Nelson
28795	Prince Rogers Nelson
28795	Prince/Rogers/Nelson
28795	Roger Nelson
28795	Rogers Nelson
29101	D. O. N. S.
29101	D.O.N.
29101	D.O.N.S
29101	D.O.N.S., The
29101	Design O. N. Sound
29101	Design O.N. Sound
29101	Design O.N.Sound
29101	Design On Sound
29101	Dons
29316	Dee Dee Productions
29316	DeeDee
29316	Diana Dee
33200	C Lynn Real
33200	C. Lynn
33200	C. Lynne
33200	Cherlyn Lynn
33200	Cherryl Lynn
33200	Cheryl Linn
33200	Cheryl Lyn
33200	Cheryl Lynn
33200	Cheryl Lynne
33200	Lynn
33200	S. Lynn
33496	Ilorenno
33496	Kelly Llorena
33496	Kelly Llorrenna
33496	Kelly Lorena
33496	Llorena
33496	Llorenna
33601	Shannan
33750	Dr. Zhivago
33750	Zhi Vago
33750	Zhivago
35251	MacFarlane
35251	McFarlane
35251	Rachael McFarlane
35251	Rachel MacFarlane
35251	Rachel Mc Farlane
35251	Rachel McFairlene
35251	Rachel McFarlene
35289	Richie Family
35289	Richie Family, The
35289	Ritchie Familie
35289	Ritchie Family
35289	Ritchy Family
35289	Rtichie Family
36507	Illicity
36824	Imaginears, The
37224	S. Sledge
37224	Sisters
37224	Sisters' Sledge
37224	Sisters, The
37224	Sledge
37224	Sledge/Sledge/Sledge/Sledge
37224	Syster Slege
37594	Bextor
37594	E Bextor
37594	Ellis Bextor
37594	Ellis-Baxtor
37594	Ellis-Bexor
37594	Ellis-Bextor
37594	S. Ellis - Baxter
37594	S. Ellis Bextor
37594	S. Ellis-Baxter
37594	S. Ellis-Bexter
37594	S. Ellis-Bextor
37594	S.Ellis Baxter
37594	S.Ellis Baxtor
37594	S.Ellis-Baxter
37594	S.Ellis-Baxtor
37594	S.Ellis-Bextor
37594	Sophie
37594	Sophie Ellis
37594	Sophie Ellis - Bextor
37594	Sophie Ellis Baxtor
37594	Sophie Ellis Bexter
37594	Sophie Ellis Bextor
37594	Sophie Ellis-Baxter
37594	Sophie Ellis-Bexter
37594	Sophie-Ellis Bextor
37720	Starplash
37720	Starsplash DJ Team
37720	Starsplash DJ-Team
37727	G. Martin
37727	G.M.
37727	Gilou Martinau
37727	le gentil Gilles Martin
37727	Martin
37727	Vincent Sizorn
37757	A Ha
37757	a-ha!
37757	Ah-Ha
37757	Aha
37977	C.Deuriese
37977	De Vrieze Luc
37977	Devriese
37977	Devriese Luc
37977	L. De Vriese
37977	L. Devriese
37977	L. Oeuvriese
37977	L.Devriese
37977	Luc De Vriese
37977	Luc De Vrieze
37977	Luc Devrieze
37977	Luk Devrieze
38225	Mobi-D
38863	A Franklin
38863	A. Franklin
38863	A. Franklyn
38863	A.Franklin
38863	Andre Franklin
38863	Aretha
38863	Aretha "Queen Of Soul" Franklin
38863	Aretha "The Queen" Franklin
38863	Aretha Franklyn
38863	Arethra Franklin
38863	Арета Фрэнклин
38863	Franklin
38863	Rock-A-Lott
39838	E Sermon
39838	E-Double
39838	E. Sermon
39838	E.Serman
39838	E.Sermon
39838	Eric Semon
39838	Eric Sermon
39838	Eric Shermon
39838	Erick
39838	Erick "E-Double" Sermon
39838	Erick (E-Double) Sermon
39838	Erick S.
39838	Erik Sermon
39838	Sermon
40372	UG Collective
40372	United Groove
40372	United Groove Collective
40372	United Grooves
40680	Peak Shift
41196	Kitty
41196	Kitty Winter
41196	&
41196	Gibsy Nova
41196	Kitty Winter
41196	&
41196	Gipsy Nova
41196	Kitty Winter, Gipsy Nova
41891	Agustus Pablo
41891	A Pablo
41891	A. Pable
41891	A. Pablo
41891	A.Pablo
41891	Agoustus Pablo
41891	Agustis Pablo
41891	Agustos Pablo
41891	Agustus Pablo
41891	August Pablo
41891	Augusta
41891	Augustos Pablo
41891	Augustous Pablo
41891	Augustus
41891	Augustus A Pablo
41891	Augustus Ap Pablo
41891	Augustus Pablo (H. Swaby)
41891	Augustus Pablo (Levi)
41891	Augustus Pablo (Ras Levi)
41891	Augustus Pablo Experience
41891	Horace Swaby
41891	Pablo
41891	Pablo Levi
42826	Bone
42826	Deejay Tee Bone
42826	Deejay Teebone
42826	DJ T-Bone
42826	DJ T. Bone
42826	DJ Tee Bone
42826	DJ Tee-Bone
42826	DJ Teebone
42826	J Tee Bone
42826	T Bone
42826	T-Bone
42826	T. Bone
42826	T.Bone
42826	T/K/S
42826	Tee Bone
42885	Evan Landes
42885	GJ
42885	Grooce Junkies
42885	Groove Junkies, The
42885	Groovejunkies
45023	D.J. "HS"
45023	D.J.H.S.
45023	DJ H.S.
45023	H.S.
45023	www.DJHS.Net
48865	Cool
48865	&
48865	The Gang
48865	Cool And The Gang
48865	Gang, The
48865	K
48865	&
48865	G Productions
48865	K
48865	&
48865	G Productions Inc.
48865	K
48865	&
48865	G Productions, Inc.
48865	K
48865	&
48865	G
48865	K
48865	&
48865	G Productions, Inc.
48865	K.
48865	&
48865	G. Productions
48865	K.
48865	&
48865	T. G.
48865	K. G. Productions
48865	K.G. Productions
48865	KG
48865	KG Productions
48865	Koll
48865	&
48865	The Gang
48865	Koll And The Gang
48865	Kook
48865	&
48865	The Gang
48865	Kool
48865	&
48865	Gang
48865	Kool
48865	&
48865	The Gang
48865	&
48865	Guests
48865	Kool
48865	&
48865	The Gang (Bell, bell, brown, Mickens, Taylor, Thomas, Toon, Deodato, Smith)
48865	Kool
48865	&
48865	The Gang And Guest
48865	Kool
48865	&
48865	The Gang And Guests
48865	Kool
48865	&
48865	The Gang Enterprises
48865	Kool
48865	&
48865	The Gang Enterprises, Inc.
48865	Kool And The Gang
48865	Kool Gang, The
48865	Kool Jazz
48865	Kool N The Gang
48865	Kool
48865	&
48865	Gang
48865	Kool
48865	&
48865	The Gang
48865	Kool's Gang
50514	Blackmaster KRS-One
50514	Blastmaster K.R.S. One
50514	Blastmaster KRS 1
50514	Blastmaster KRS One
50514	K.R.S. One
50514	Kris (KRS-One)
50514	KRS
50514	KRS - One
50514	KRS 1
50514	KRS 1 Blastmaster
50514	Krs One
50514	KRS-1
50514	KRS-ONE
50514	KRS-One (The Teacha)
50514	KRS.1
50514	KRS1
50514	Krsone
52489	B
52489	B. Bjoerklund
52489	Biorklund
52489	Björklund
52489	Björklung
52489	Bjoerklund
52489	Bjorklund
52489	Boerklund
52489	M Bjorklund
52489	M. B.
52489	M. B. Joerklund
52489	M. Björklund
52489	M. Bjbrklund
52489	M. Bjoarklund
52489	M. Bjoeklund
52489	M. Bjoerkland
52489	M. Bjoerklud
52489	M. Bjoerklund
52489	M. Bjorklund
52489	M. Bloerklund
52489	M.Björklund
52489	M.Bjoerklund
52489	Malf Bjorklund
52489	Malf Bjorklung
52489	Mats Bj rklund
52489	Mats Bjöerklund
52489	Mats Björglund
52489	Mats Bjoerklund
52489	Mats Bjorklund
52489	Mats Bjœrklund
52489	Mats Boerklund
52489	Matts Björklund
52489	Matts Bjorklund
52489	Matz Björklund
52489	Matz Bjoerklund
52489	Matz Bjorklund
52489	Mätz Bjorklund
52510	A.C. Mansfield
52510	Mansfield
52510	T. Mansfield
52510	T.Mansfield
52510	Tony "Broozer" Mansfield
52510	Tony "Moet" Mansfield
52510	Tony (Broozer) Mansfield
52510	Tony Mansfielg
55804	(Miss) Jackie Moore
55804	J. Moore
55804	Jacky Moore
55804	Jane Moore
55804	Miss Jackie Moore
55804	Moore
57087	J. Suissa
57087	J.Suissa
58349	C. Dulfer
58349	Candy
58349	Candy D
58349	Candy D.
58349	Candy Dufler
58349	Dulfer
58574	E. Thomas
58574	Elvin Thomas
58574	Evelin Thomas
58574	Evelyne Thomas
58574	Lucille Thomas
59453	"Pump"
59453	"Superb" Herb
59453	"Superb" Herb Powers, Jr
59453	:-)
59453	:v) HP
59453	H. Powers
59453	H. Powers Jr.
59453	H. Powers, Jr.
59453	Harb Powers Jr.
59453	Heb 'Pump' Powers
59453	Her Powers, Jr.
59453	Herb
59453	Herb "95 miles per hour" Powers, Jr.
59453	Herb "Always Smokin' Erb" Powers
59453	Herb "Bass" Powers
59453	Herb "Big Bang" Powers
59453	Herb "Big Bottom" Powers
59453	Herb "Big Schtup" Powers
59453	Herb "Boom Boom" Powers
59453	Herb "BOOM" Powers
59453	Herb "Dale Un Trago" Power Jr.
59453	Herb "Dale Un Trago" Powers
59453	Herb "Dancing Machine" Powers
59453	Herb "Family Man" Powers
59453	Herb "FUA" Powers
59453	Herb "Hip-Hop" Powers
59453	Herb "House" Powers
59453	Herb "In Effect" Powers Jr.
59453	Herb "Nasty Blasty Masty-er" Powers
59453	Herb "Now" Powers Jr.
59453	Herb "Pampers" Powers
59453	Herb "Papa" Powers
59453	Herb "Pappa" Powers
59453	Herb "Pump It Up" Powers
59453	Herb "Pump" Powers
59453	Herb "Pump" Powers Jr.
59453	Herb "Pump" Powers, JR
59453	Herb "Pump" Powers, Jr.
59453	Herb "Pumpin" Powers
59453	Herb "The Dude" Powers JR.
59453	Herb "The Pump" Powers
59453	Herb "The Pump" Powers Jr.
59453	Herb "The Pump" Powers, Jr.
59453	Herb "Weekend Warrior" Powers
59453	Herb "Zulu" Powers
59453	Herb ''Pump'' Powers
59453	Herb ''The Pump'' Powers Jr.
59453	Herb ''The Verb'' Powers Jr
59453	Herb 'Nasty Blasy Masty-er' Powers
59453	Herb 'Pump' Powers
59453	Herb 'Pump' Powers Jr.
59453	Herb 'The Pump' Powers
59453	Herb 'The Pump' Powers Jr.
59453	Herb 'The Pump' Powers*
59453	Herb (Pump) Powers
59453	Herb (Pump) Powers Jr.
59453	Herb (The Pump) Powers
59453	Herb (The Pump) Powers Jr.
59453	Herb (The Pump) Powers, Jr.
59453	Herb :-)
59453	Herb Powell, Jr.
59453	Herb Power
59453	Herb Power Jr.
59453	Herb Power, Jr.
59453	Herb Powers
59453	Herb Powers Jnr
59453	Herb Powers Jnr.
59453	Herb Powers Jr
59453	Herb Powers, Jr
59453	Herb Powers, Jr.
59453	Herb Powers, Jr..
59453	Herb Powers,Jr.
59453	Herb Powers. Jr
59453	Herb Towers
59453	Herb, The
59453	Herbie
59453	Herbie  Jr.
59453	Herbie "Charming" Powers
59453	Herbie "He Still Pumps" Powers, Jr.
59453	Herbie "Pump" Powers
59453	Herbie "Pump" Powers, Jr.
59453	Herbie "The Pump" Powers
59453	Herbie "The Right Pump" Powers
59453	Herbie 'Cheeseman' Powers
59453	Herbie 'Pump' Powers
59453	Herbie (Pump) Powers
59453	Herbie 4R
59453	HERBIE :v)
59453	Herbie Jr
59453	Herbie Jr :-)
59453	HERbIE JR :
59453	<
59453	)
59453	Herbie Jr :
59453	>
59453	)
59453	Herbie Jr :^)
59453	Herbie Jr ☺
59453	Herbie Jr.
59453	Herbie Jr. (^:
59453	Herbie Jr. :-)
59453	HERBIE JR. :^)
59453	Herbie Powers
59453	Herbie Powers Jnr
59453	Herbie Powers Jr.
59453	Herbie Powers, Jr.
59453	Herbie, Jr. :-)
59453	Herbo, The
59453	Herby "Pump" Powers Jr.
59453	Herby Powers
59453	Herd Powers
59453	HNP
59453	HP
59453	HP III
59453	HP Jr
59453	HP Jr :-)
59453	Superb Herb
59453	The Herbo
60901	LMC Productions
61857	7 7 0
62548	Caren Finley
62548	Finley
62548	K. Finley
62548	K.Finley
62548	Karen Finly
63366	T.T.F.
63366	Time Freqency, The
63366	Time Frequency
63366	TTF
63543	Gass
63543	J. Gass
63543	John
63543	John Gass
63543	Jon Gaff
63543	Jon Glass
66670	A. Yarbrough
66670	C. Yarbrough / A. Peoples
66670	C. Yarbrough, A. Peoples
66670	C. Yarbrough/A. Peoples
66670	Cavin Yarbrough, Alisa Peoples
66670	Yarborough
66670	Yarborough
66670	&
66670	Peoples
66670	Yarborough And Peoples
66670	Yarbrough
66670	&
66670	People
66670	Yarbrough And People
66670	Yarbrough And Peoples
67977	Jazzy P
67977	Jazzy-p
68325	B.W. Bervoets
68325	Bervoets
68325	M.B. de Goeij
68325	P Bervoets
68325	P W Bervoets
68325	P. Bervoets
68325	P. W. Bervoets
68325	P.Bervoets
68325	P.W Bervoets
68325	P.W. Bervoerts
68325	P.W. Bervoets
68325	P.W. Biervoets
68325	P.W.Bervoets
68325	PW Bervoets
68325	T.W. Bervoets
68325	W. Bervoets
69193	Week
69193	&
69193	Co
69193	Week
69193	&
69193	Co.
69193	Week's
69193	Week's
69193	&
69193	Co.
69193	Week's And Co
69193	Weeks
69193	Weeks
69193	&
69193	Co
69193	Weeks
69193	&
69193	Company
69193	Weeks And Co
69193	Weeks And Co.
69193	Weeks And Company
69856	Kenis
69856	V. Kenis
69856	Vincent Kennis
69856	Vincent Kennis Van Vogt
69856	VK
69857	Hollander
69857	M. Hollander
69857	M. Hollander*
69857	Marc
69857	Mark Hollander
69857	MH
71247	A. Bostijn
71247	A.Bostyn
71247	Andy Bostijn
71247	Bostyn Andy
72657	D. Ro
72657	D.Ro
73336	Skye
76398	Ф. Фарриан
76398	F Farian
76398	F. Fanan
76398	F. Fariam
76398	F. Farian
76398	F. Farian Frank
76398	F. Fariana
76398	F. Farina
76398	F. Reuter
76398	F.Farian
76398	FAR
76398	Faran
76398	Faria
76398	Farian
76398	Farian F.
76398	Farian Frank
76398	Farian, Frank
76398	Farrian
76398	FM Production
76398	Fr. Farian
76398	Frank / Farian
76398	Frank Farrian
76398	Frankie Farian
76398	George Reyam
76398	Rarian
76497	Triple S
77720	DJ Jürgen Spann
77720	DJ Juergen Spann
77720	J. Spann
77720	J.Spann
77720	Jürgen
77720	Juergen Spann
77720	Jurgen Spann
77720	Spann
80134	Уедър Гърлз
80134	Weather Girls
80134	Weather Girls (Izora Armstead, Martha Wash)
80134	Weathergirls, The
80509	Cabdriving DJ Francis Faggott
80509	F. Faggot
80509	F. Faggott
80509	F.Faggott
80509	Francoise Faggot
80509	Francuise Faggott
80510	P. Koskinen
80510	Pepe
80510	Pepe "Pepe" Kosminen
80510	Pepe Koskinen
80510	Petri Koskinen
80510	Petri Kosminen
81421	Quick
81421	Quick Organisation, The
81913	Angel One
81913	t
82735	Detroit Spinner, The
82735	Detroit Spinners
82735	Detroit Spinners The
82735	Detroit Spinners, The
82735	Motown Spinners
82735	Motown Spinners, The
82735	Spinners, The
82811	James A. Farber
82811	Jammes Farber
84795	M. Parker
84795	M. Parker Jr.
84795	M.Parker
84795	M.Parker Jr.
84795	Macco Parker
84795	Maceo
84795	Maceo 'M.C.' Parker
84795	Maceo Parker Jr.
84795	Maceo Parker, Jr.
84795	Maceo!
84795	Macio Parker
84795	Macio Parker Jr.
84795	Macio ParkerJr.
84795	Parker
89562	C. Lavelle
89562	C.Lavelle
89562	Caroline Lavette
89562	Caroline Lovell
89562	Lavelle
90623	Unchalant
91175	DJ King Tech
93016	B Van Garsse
93016	B. Van Garsse
93016	B. Van Grasse
93016	B. Vangaasse
93016	B. Vangarsse
93016	B.V. Garsse
93016	B.V.G.
93016	B.van Garsse
93016	Bruno Vangaasse
93016	Bruno Vangarsse
93016	Garsse
93016	V. Van Garsse
93016	Van Garse
93016	Van Garsse
93016	Van Garsse B
93016	Van Garsse B.
93016	Van Garsse Bruno
93016	Van Garsse |
93016	Van Garssen
93016	Van-Garsse
93280	Becker
93280	W Becker
93280	W. Backer
93280	W. Becker
93280	W.Becker
93280	Walter Becher
93280	Walter Beker
93280	Walter Carl Becker
93280	WB
93674	C. Payton
93674	C. Peyton
93674	C.P.
93674	C.Peyton
93674	Craig Payton
93674	Craig Peyton Project
93674	Greg Payton
93674	Peyton
98744	MC
100519	Тина Чарлз
100519	Tina
101773	Curnow - Harding
101773	Curnow / Harding
101773	Curnow-Harding
101773	Curnow/Harding
101773	Harding
101773	&
101773	Curnow
101773	Harding - Curnow
101773	Harding / Curnow
101773	Harding And Curnow
101773	Harding · Curnow
101773	Harding Curnow
101773	Harding, Curnow
101773	Harding/ Curnow
101773	Harding/Curnow
101773	Harding/Curnow.
101773	Harding/Currow
101773	I. Curnow / P. harding
101773	Ian Crew
101773	&
101773	Phill Harding
101773	Ian Curnow
101773	&
101773	Phil Harding
101773	Ian Curnow And Phil Harding
101773	Ian Curnow, Phil Harding
101773	Ian Curnow/Phil Harding
101773	Mixmaster
101773	Mixmaster Phil Harding
101773	&
101773	Ian Curnow
101773	Mixmaster Phil Harding / Ian Curnow
101773	Mixmaster Phil Harding And Ian Curnow
101773	P
101773	&
101773	C
101773	P. Harding / I. Curnow
101773	P. Harding And I. Curnow
101773	P. Harding/I. Curnow
101773	Ph.Harding
101773	&
101773	I.Curnow
101773	Ph.Harding / I.Curnow
101773	Phil Harding / Ian Curnow
101773	Phil Harding And Ian Curnow
101773	Phil Harding And Ian Currow
101773	Phil Harding, Ian Curnow
101773	Phil Harding/Ian Curnow
101773	Philip Harding
101773	&
101773	Ian Curnow
102781	M. "Y.O.M.C." Roth
102781	M. "YOMC" Roth
102781	M. Roth
102781	M.R.
102781	Marin Roth
102781	Martin  Y.O.M.C. Roth
102781	Martin "Y.O.M.C" Roth
102781	Martin "Y.O.M.C." Roth
102781	Martin "YO.M.C." Roth
102781	Martin "YOMC" Roth
102781	Martin 'Y.O.M.C. Roth
102781	Martin 'Y.O.M.C.' Roth
102781	Martin 'YOMC' Roth
102781	Martin (Y.O.M.C.) Roth
102781	Martin Roth "Y.O.M.C."
102781	Martin Roth Y.O.M.C.
102781	Martin Vomc Roth
102781	Martin Y.O.M.C
102781	Martin Y.O.M.C Roth
102781	Martin Y.O.M.C.
102781	Martin Y.O.M.C. Roth
102781	Martin YOMC Roth
102781	MR
102781	Roth, Martin
102781	Roth, Y.O.M.C., Martin
111166	Lewis
113509	Bob Mallet
113509	R. Mallett
113509	Rob Mallett
113509	Robert Mallett
114934	ポール・ワークター
114934	F. Waaktaar
114934	F. Waaktar
114934	P. Waaktaar
114934	P. Waaktaart
114934	P.Waaktaar
114934	Pal Waaktaar
114934	Pal Waaktaarr
114934	Pal Waaktar
114934	Pal Waktaar
114934	Pal Waktaarr
114934	Paul Waaktaar
114934	Pál Waaktaar
114934	Päl Waaktaar
114934	Pål
114934	Waaktaar
114934	Waaktar
114934	Waaktar Pal
114934	Waaktarr
115264	Bracegirdle
115264	Bracegirdle,
115264	Bracegirlde
115264	N Bracegirdle
115264	N Bracegridle
115264	N. Bracegidle
115264	N. Bracegirdle
115264	N.Bracegirdle
116072	V.O.T.U.
116072	Votu
122232	A. Tarner
122232	A. Tarney
122232	A.Tarney
122232	Allan Tarney
122232	ATV
122232	Tarner
122232	Tarney
127854	Brown
127854	P. Brown
127854	Ph. Brown
127854	Phil
127854	Phil Brown
127854	Philip Brown
127854	Phill
131486	Sway (World Famous Wake Up Show)
132805	Paul Loggis
132805	Paul Logis
132805	Paul Logus Jr.
132805	Paul Logus, Jr.
134067	Pierre
134700	Anthony Hatch
134700	Antony Hatch
134700	F. Nightingale
134700	Gatch
134700	Hatch
134700	Hatch Tony
134700	Hutch
134700	Match
134700	T Hatch
134700	T. Ha tch
134700	T. Hatch
134700	T.Hatch
134700	Toni Halch
134700	Toni Hatch
135795	Comelade
135795	P. C.
135795	P. Comelade
135795	P.C.
135795	P.Comelade
135795	PC
135847	Brecker
135847	M. Brecker
135847	Michael Brëcker
135847	Michael Breker
135847	Micheal Brecker
135847	Mike Brecker
135847	Mike Brecker*
135847	Mike Breckler
135946	Cash
135946	Дж. Кэш
135946	Джонни Кэш
135946	J Cash
135946	J R Cash
135946	J. C.
135946	J. Cash
135946	J. Chash
135946	J. J. Cash
135946	J. R.
135946	J. R. C.
135946	J. R. Cash
135946	J.Cash
135946	J.R. Cash
135946	J.R.Cash
135946	John Cash
135946	John E. Cash
135946	John R Cash
135946	John R, Cash
135946	John R. Cash
135946	Johnn R. Cash
135946	Johnnie Cash
135946	Johnny
135946	Johnny R. Cash
135946	JR Cash
135946	Mr. Johnny Cash
143563	Aksak Maboul (Marc Hollander
143563	&
143563	Vincent Kenis)
143563	Aqsak Maboul
146781	Ike Zilly
146781	Iyk Zilly T.
146950	Neo
147021	John Fry
147021	John Fyre
147024	Khujo
147024	Khujo Goodie Of The Goodie Mob
147024	Khujo Of Goodie Mob
147024	Khujo of the Goodie Mob
147024	Kujo
147027	H. Pogue
147027	Neal "Shock" Pogue
147027	Neal "Shock" Pogue*
147027	Neal / Pogue
147027	Neal H Pogue
147027	Neal H. Pogue
147027	Neal H. Pouge
147027	Neal Pouge
147027	NealHPogue
147027	NealHPPogue
147027	NealIHPogue
147027	Nealphogue
147027	Neil "Shock" Pogue
147027	Neil H. Pogue
147027	Neil Pogue
147027	Neil Pouge
147027	NeilHPogue
147027	NHP
147027	NHP Sound
147027	NHP Sound Inc.
147027	NHP Sound, Inc.
147827	Dent
147827	J. Dent
147827	JD
147827	John
147827	John "The Don" Dent
147827	John 'The Don' Dent
147827	John D
147827	JohnD
147827	JohnDent
147827	Johnz
147827	Jon Dent
147827	Jonez
147827	Jonz
147827	Jonzzzz
149082	D.J. Eddie F.
149082	DJ Eddie F'' Ferrell
149082	E. 'DJ Eddie F' Ferrell
149082	E. Ferrell
149082	E. O. I. Ferrell
149082	Eddie "DJ Eddie F." Ferrell
149082	Eddie F
149082	Eddie F,
149082	Eddie F.
149082	Eddie Ferrell
149082	Eddie-F
149082	Edward "D.J. Eddie F." Ferrell
149082	Edward "DJ Eddie F" Ferrell
149082	Edward "DJ Eddie F." Ferrell
149082	Edward "Eddie F" Ferrell
149082	Edward "Eddie F." Ferrell
149082	Edward "Eddie F."Ferrell
149082	Edward ''DJ Eddie F'' Ferrell
149082	Edward ''Eddie F.'' Ferrell
149082	Edward 'DJ Eddie F.' Ferrell
149082	Edward (Eddie F.) Ferrell
149082	Edward DJ Eddie F. Ferrell
149082	Edward Ferrell (DJ Eddie F.)
149082	Edward Ferrell II
149082	Edward Ferrell III
149898	Mash Up Kids
149898	Mashup Kids
149898	Mashup Kids, The
150182	C. Vannier
150182	Claude Vannier
150182	J C. Vannier
150182	J-C Vannier
150182	J-C. Vannier
150182	J. C Vannier
150182	J. C. Vannier
150182	J.-C. Vannier
150182	J.-Cl. Vannier
150182	J.C. Vannier
150182	J.C.Vannier
150182	J.Cl. Vannier
150182	JC.Vannier
150182	Jean - Claude Vannier
150182	Jean Claude Vannier
150182	Jean-Claud Vannier
150182	Jean-Claude Michel Vannier
150182	Jean-Claude Vanier
150182	L'orchestre De Jean-claude Vannier
150182	Vannier
150182	Vannier JC
152001	Brunel
152001	Burnel
152001	Burnell
152001	J J Burnel
152001	J. Burnel
152001	J. J. Burnel
152001	J. Jacqu
152001	J. Jacques Burnel
152001	J.-J. Burnel
152001	J.Burnel
152001	J.J Burnel
152001	J.J.
152001	J.J. Burnell
152001	Jacques Burnel
152001	Jan-Jacques Burnell
152001	Jean Burnel
152001	Jean Jacques Burne
152001	Jean Jacques Burnel
152001	Jean Jacques Burnell
152001	Jean Jaques
152001	Jean Jaques Burnel
152001	Jean Jaques Burnell
152001	Jean-Jacques Burnel
152001	Jean-Jacques Burnell
152001	JJ Burnel
152001	JJ In Black
152001	JJinblack
154434	Bo Hannon
154434	Bohannon
154434	Bohannon And The Motown Sound
154434	Bohannon Band
154434	Bohannon?
154434	Bohanon
154434	H Bohannon
154434	H. Bohannon
154434	H.Bohannon
154434	H.F.Bohannon
154434	Hamilton
154434	Hamilton Bohanan
154434	Hamilton F Bohannon
154434	Hamilton F. Bohannon
154434	Hamilton Frederick Bohannon
154434	Hamilton Fredrick Bohannon
154434	Hamilton-Bohannon
155404	Dewar
155404	Dewbar
155404	G Dewar
155404	G. Dewar
155404	G. Deware
155404	G.Dewar
155404	Gaz Dewar
155404	Gez Dawar
155404	Gez Dewar @ Other Production
155404	Gez Dwar
155404	Jez Dewar
155404	N. Hale
157578	Michael "Homeboy" Verdick
157578	Michael Verick
163835	Daansen
163835	J. Daansen
163835	Johan Daahnsen
163835	Johan Dahnsen
163835	Johan Dansen
163835	Johann Caansen
163835	Johann Daansen
163835	Johann Dansen
163835	Johann Danzen
169154	Jackson
169154	Jackson, The
169154	Jacksons
169154	Jacksons The
170755	J. Mathis
170755	Johnny "John-John" Mathis
170755	Johnny "Triple-Octave" Mathis
170755	Johnny Mathias
170755	Johnny Matis
170755	Mathis
173249	Lee Squires
173249	Lee's
173249	Squires
180585	R. Page
180585	Джимми Пейдж
180585	Пеге
180585	Пейдж
180585	Gene Paige
180585	J Page
180585	J. P. Page
180585	J. Page
180585	J.Page
180585	James Page
180585	James Patrick (Jimmy) Page
180585	James Patrick Page
180585	Jimi Page
180585	Jimmie Paige
180585	Jimmy
180585	Jimmy Page
180585	Jimmy Page Ex Led Zeppelin
180585	Jimmy Paige
180585	Page
180585	Page, J.
180585	Plant
180586	Плант
180586	Роберт Плант
180586	J. Plant
180586	Plant
180586	Plant, R.
180586	R Plant
180586	R.  Plant
180586	R. Plant
180586	R.A. Plant
180586	R.Plant
180586	RA Plant
180586	Robert
180586	Robert A. Plant
180586	Robert Anthony Plant
180586	Robert Plant And Friend Jimmy Page
180586	Robert Plant And Friends
186991	Honeymoon Killers
186991	Honeymoonkillers
186991	Les Tueurs
187011	Jackson
187011	L. Jackson
187011	L.T. Jackson
187011	L.T.J.
187011	La Toya
187011	La-Toya Jackson
187011	LaToya
187011	LaToya Jackson
189144	Kenny M.
189145	D.A.R.
189832	D.J. Yon
190648	Sonoko Yasuda
190649	V. Vincent
190649	Veronique Vincent
190649	Vincent
193103	Audio Lush
193582	D Paich
193582	D. Baich
193582	D. F. Paich
193582	D. Paich
193582	D. Paitch
193582	D. Palch
193582	D. Piach
193582	D.Paich
193582	D; Paich
193582	Dave "Baby" Paich
193582	Dave Paich
193582	David
193582	David "Baby" Paich
193582	David F Paich
193582	David F. Frank Paich
193582	David F. Paich
193582	David P.
193582	David Paich
193582	David Paiche
193582	David Paitch
193582	David Palch
193582	K. Paich
193582	Paich
193582	Paich, David
196010	Drumbo (John French)
196010	Drumbo John French
196010	French
196010	John "Drumbo" French
196010	John Drumbo French
196010	John French (Drumbo)
201497	Peaches
201497	Peaches
201497	&
201497	Herbs
201497	Peaches And Herb
204278	C Collino
204278	C. Colinsky Collino
204278	C. Collino
204278	C.Collino
204278	Claudio Collino-Neil
204278	Colinsky
204278	Collina
204278	Collino
204278	Collino Claudio
204278	Contino
204948	D. E. S. Parton
204948	D. Parton
204948	D. Patorn
204948	D.E.S. Parton
204948	Davis Parton
204948	Des Parton
204948	Parton
208290	Löw
208290	Loew
208290	P. Löw
208290	P. Loew
208290	P. Low
208290	Piet Löw
208290	Pit Löv
208290	Pit Loew
208290	Pit Low
213242	C. Fischer
213242	Clair Fischer
213242	Clair Fisher
213242	Claire Fischer
213242	Claire Fisher
213242	Clare Fisher
213242	Douglas Clare Fischer
213242	Douglas Fischer
213242	Douglas Fisher
213242	Fischer
213242	Fisher
217335	D. Greenberg
217335	D. Greengerg
217335	Dave "The Rave" Greenberg
217335	Dave (The Rave) Greenberg
217335	Dave Greeneburg
217335	David Greenberg
217335	David Greenborough
217335	David Greenburgh
217335	Greenberg
217335	Little Dave
217335	Little Dave Greenberg
217335	Tape Dave Greenberg
220575	Suzanne
232153	K. Elson
232153	Kelvin Elson
232645	M. Mainieri
232645	M. Mainieri Jr.
232645	Maineri
232645	Mainieri
232645	Manieri
232645	Michael Mainieri
232645	Michael Mainieri III
232645	Michael Mainieri, Jr.
232645	Michael Manieri
232645	Mike Mainiere
232645	Mike Manieri
232645	Mike Miniere
235055	Beckett
235055	J. Crocker
235055	P. Becket
235055	P. Beckett
235055	Pete Becket
235055	Pete Beckett
240613	Ferguson
240613	J. Ferguson
240613	J. Furgeson
240614	Courtney
243611	"Tammy" Grohé
243611	Grohé
243611	Grohe
243611	Grohe'
243611	Reinhard "Tommy" Grohé
243611	T. Grohé
243611	T. Grohe
243611	T. Rohe
243611	Tammy Grahé
243611	Tammy Grohe
243611	Tammy Grohe'
243611	Temmy Grohé
243611	Temmy Grohe
243611	Tommy Grohe
244135	Brey Calbi
244135	Calbi
244135	Craig Calbi
244135	Creg Calbi
244135	gc
244135	Gerg Calbi
244135	Gleg Calbi
244135	Greg
244135	Greg "Mel" Calbi
244135	Greg (father calbi) Calbi
244135	Greg Caibi
244135	Greg Calbi At Sterling Sound
244135	Greg Calbie
244135	Greg Calby
244135	Greg Caldi
244135	Greg Cale
244135	Greg Calibi
244135	Greg Colbi
244135	Greg Colby
244135	Greg Galbi
244135	Greg Kalbi
244135	GregCalbi
244135	Gregg Calbi
244135	Gregg Clabi
244135	Gregory Calbi
244593	Hale
244593	Hall
244593	N Hale
244593	N. Hale
244593	N.Hale
244593	Splendid Nick
247292	Figgy
249458	"Big Pimp" Bruce
249458	Bruce
249458	Bruce From Data Stream Strudios SF
249458	Brucey Leighton
249459	Erik Bertraud
251565	Brooklyn's Own D. Sardy
251565	D Sardy
251565	D. J. Sardy
251565	D. Sandy
251565	D. Sardi
251565	D. Sardy
251565	D.Sandy
251565	D.Sardy
251565	David Sardy
251565	David Sorry
251565	DS
251565	Mr. D. Sardy
251565	Sardy
252201	G. Raphael
252201	Gordon Raphaël
252201	Gordy
252201	Raphael
256225	Levin
256225	T. Levin
256225	Toni Levin
256225	Tony
256225	Tony Levin - King Crimson
256225	Toy levin
257421	E
257421	Erskine
257421	P. Erskine
257421	P.Erskine
257421	Pete Erskine
257421	Peter Clarck Erskine
257421	Peter Erskin
272530	Supa Edlmo
272531	James Don
272796	Lukather
272796	S. Lukather
272796	S. Porcaro
272796	S.Lukather
272796	Stephen Lukather
272796	Steve
272796	Steve L.
272796	Steve L. Lukather
272796	Steve Lucather
272796	Steve Lukater
272796	Steve Lukather - Toto
272796	Steve Lukathur
272796	Steve Lukeather
272796	Steve Lukether
272796	Steve Luthaker
272796	Steven Lee Lukather
272796	Steven Lukather
274957	E. Gomez
274957	Eddie Gómez
274957	Edgar Gomez
274957	Edward Gomez
274957	Gomez
276459	A. Award
276459	A. Ward
276459	A.Ward
276459	Alain Ward
276459	Alan
276459	Alan (Motty) Vard
276459	Alan Warst
276459	Allan Motty
276459	Allan Ward
276459	Allen Ward
276459	Don Master Alan Ward
276459	Lou
276459	Ward
277037	C. Cress
277037	C.C.
277037	C.Cress
277037	Cress
277037	Curd Cress
277037	Curt "First Take" Cress
277037	Curt "Luxus" Cress
277037	Curt "Snowball" Cress
277037	Curti Cress
277037	Curty Cress
277037	Kurt Crass
277037	Kurt Cress
277037	Kurt Kress
277579	Mc Auley
277579	McAuley
277579	R. McAuley
277579	R.McAuley
277579	Robin Mc Auley
277579	Robin McAuley From MSG
281413	J-P Sabar
281413	J. P. Sabar
281413	J. P. Sabard
281413	J. Pierre Sabar
281413	J.-P. Sabar
281413	J.-P. Sabard
281413	J.P Sabart
281413	J.P. Sabar
281413	J.P. Sabard
281413	J.P.Sabard
281413	Jean Pierre Sabar
281413	Jean Pierre Sebastiano
281413	Jean-Pierre
281413	Jean-Pierre Saban
281413	Jean-Pierre Sabard
281413	Jean-Pierre Sabart
281413	Jean-Pierre Sabartet
281413	Jean-Pierre Sabat
281413	JP Sabar
281413	JP. Sabard
281413	Sabar
281413	Sabard
281870	M. Wilson
297217	Gregory
297217	S. Gregory
297217	Steeve Gregory
297217	Steve
298882	Boyer
298882	Greg
298882	Greg Black
298882	Gregg Boyer
298951	C. Loeb
298951	Charles Loeb
298951	Charles S. Loeb
298951	Loeb
302719	"Sir" Arther Payson
302719	"Sir" Arthur Payson
302719	"Sir" Auther Payson
302719	'Sir' Arthur Payson
302719	Sir Arthur Payson
303328	"Iron Mike" Krowiak
303328	"Iron" Mike Krowiak
303328	'Iron' Mike Krowiak
303328	Iron Mike Krowiak
303328	Ironic Mike Krowiak
303328	Michael Krowiak
303328	Mike "Iron Mike" Krowiak
303328	Mike "Iron" Krowiak
303328	Mike Kowiak
303328	Mike Krewiak
303460	Far Corp.
303460	FAR Corporation
309762	Manor Mobile, The
312858	Osterloh
319612	Tony Rich
319612	Tony Rich Project
325408	Sweet Sensation
327411	Ross Levison
330337	Bruce 'Fingers' Robb
333419	モートン・ハルケット
333419	Harket
333419	Harket Morton
333419	M . Harket
333419	M Harket
333419	M. Harket
333419	M.Harket
333419	Morten
333419	Morten Harkset
333419	Morten Market
333419	Morten/Harket
333419	Morton Harket
333419	N. Harket
336292	Day
336292	Pete Day
345763	Darren Bernhardt
345763	W. Berhnardt
345763	W. Bernahrdt
345763	W. Bernhardt
345763	Warren B. Bernhardt
345763	Warren Bernhart
346050	Augustus Pablo
346050	H Schwaby
346050	H Swaby
346050	H. M. Swaby
346050	H. Schwaby
346050	H. Swaby
346050	H. Swaby (Augustus Pablo)
346050	H.S.
346050	H.Schwaby
346050	H.Swaby
346050	Horace "Augustus Pablo" Swaby
346050	Horace 'Augustus Pablo' Swaby
346050	Horace Michael Swaby
346050	L. Swaby
346050	Swaby
357442	Bischof
357442	Bishoph
357442	H. Peter Bischof
357442	P. Bischof
357442	P. Bischof-Fallenstein
357442	Peter Bischof-Fallenstein
369807	Bernard Berwanger
369810	Carmine Di "Marathon"
372593	Albrecht
372593	C. Albrecht
372593	Carlos Albrecht (The Champion)
372593	Chalos Albrecht
372593	Garlos Albrecht
379144	Bimey Oberreith
379144	Bimey W. Oberreit
379144	Bimi Obereit
379144	Oberreit
379144	W. Oberreit
379144	Walter Oberreit
379204	Blanchard
379204	G. Blanchard
379204	Gerard Blanchard
379205	R. Michel
379205	René
379225	K Wilkinson
379225	K. Wilkinson
379225	Kevin
379225	Wilkenson
379225	Wilkinson
382017	Brian D. Frye
382017	Bryan Frye
383969	Jackson Singers
385281	Barreto
385282	Bertel Gebhard
385283	B. Kimball
385283	Bobby
385283	Bobby Kimball - Toto - Yoso
385283	Bobby Kimball From Toto
385283	Kimball
389345	J. Hendrickson
389345	Jeff (J.H.) Hendrickson
389345	Jeff Handrikson
389345	Jeff Henbrickson
389345	Jeff Henderickson
389345	Jeff Hendrikson
389345	Jeffrey Hendrickson
389345	Jeffry Hendrickson
392620	Moira Marguis
392620	Moria Marquis
400178	Ben
400178	Ben "Cutter" Greaves
409563	Jose Gallardo
409564	Schmid
409564	W. F. Schmid
409564	W.F. Schmid
409565	"Ringo" Hirth
409565	R. Hirth
409565	Reinhold Hirt
409565	Ringo Hirth
409569	Schmid
418622	Daley
418622	Daly
418622	G Daly
418622	G. Daley
418622	G. Daly
418622	Garry
418622	Garry Daly
418622	Gary
418622	Gary Daley
418623	E Lundon
418623	E. Lundon
418623	Eddie
418623	Eddy
418623	Edmund
418623	Edmund Lundon
418623	Lundon
427368	Scott Ansel
427638	Above
427638	&
427638	Beyond pres. OceanLab
427638	Ocean Lab
429119	Colinsky
429120	D.J. Mauro Novani
429120	Mauro Novani DJ
429120	Novani
429120	Novani D.J.
429120	Novani DJ
476441	Josh Dunham
476442	Ray
480435	マグネ・フルホルメン
480435	M. "Mags" Furuholmen
487032	Prophet, The
487033	TC Moses
495525	Carry Rindfuss
495525	G. Rindfuss
495525	Garry Rindfus
495525	Garry Rindsuss
495525	Gary Rindfuss
495525	Gary Rindfuzz
518037	Cester
518037	N Cester
518037	N. Cester
518037	N.Cester
532840	B McNeill
532840	B. McNeill
532840	B.D. McNeil
532840	Brian McNeil
532840	McNeill
532840	N. McNeill
568661	G Johnson
568661	G. Johnson
568661	Gary "Gazza" Johnson
568661	Gary 'Gazza' Johnson
568661	Gary Johnson
568661	Gazza
568661	Johnson
596126	D Burles
596126	D. Burles
599752	Christy Martin
639833	Nelson
639833	S.Nelson
639833	Steve Nelson
639833	Steven
643832	C. Francis
643832	Clinton
643832	Clinton "Isol" Francis
651252	C. Cester
651252	C.Cester
651252	Cester
651252	Chis Cester
651252	D. Cester
651394	Shanan
661435	D Reilly
661435	D. Reilly
661435	Dave
661435	David
661435	Reilly
693412	Habisan
693414	Johnio
872122	Steve Riddle
872122	Steven Riddel
971447	須田一平
971447	Ippei
971447	Ippei "TEX" Suda
971447	Ippei Sudo
971447	Ippei Suta
971447	Ippei-san
971447	Mr Suda
971447	Mr. Ippei
971447	Mr. Suda
971447	Suda
971447	Suda 1
971447	Suda Ippei
971447	Suda-1
971447	Sudaichi
971447	Sude
1049365	James "Silky" Gardner
1049365	James 'Silky' Gardner
1116274	Bob Defrin Design
1116274	Bob Defrin Design Inc
1116274	Bob Defrin Design Inc, NYC
1116274	Bob Defrin Design, Inc.
1116274	Bob Defrin Design, Inc., NYC
1116274	Bob Defrin Design, New York
1116274	Bob Defrin Design,New York
1116274	Bob Defrin, NYC
1148842	Jason De Costa
1265259	Kraemer
1386472	"H.C. Art-Master" Yossie
1386472	"H.C.Art Master" Yossie
1386472	Yossie-Savage Support-
1815102	Gaertner
1815102	Gardner
1815102	Gärtner
1815102	W. Gaertner
1815336	F. Aszodi
1815336	Ference Aszodi
1815336	Ference Aszoldi
1838967	Design Myosotis
1838967	Myosotis Art Studio
1838967	Myosotis Art Studio B.V.
1838967	Myosotis B.V.
1838967	Studio Myosotis
2149211	AK
2149211	AK/BF
2149211	Arponen
2238483	David M. Kennedy
2238483	David Michael Kennedy
2238483	Michael David Kennedy
2363404	Ron And Valerie Taylor/Ardea London Ltd.
\.


--
-- Data for Name: artists_urls; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_urls (artist_id, url) FROM stdin;
161	http://www.toddedwardsmusic.com
161	http://www.todd-edwards.net
161	http://www.myspace.com/toddedwards
161	http://www.facebook.com/toddedwardsmusic
161	http://twitter.com/toddedwards3000
161	http://soundcloud.com/todd-edwards
161	http://toddedwards.bandcamp.com
1031	http://www.moby.com/
1031	http://www.myspace.com/moby
1031	http://www.mobyhotel.com/
1031	http://en.wikipedia.org/wiki/Moby
1031	http://twitter.com/thelittleidiot
1031	http://soundcloud.com/thelittleidiot
1031	http://www.moby.com/dj/
1031	http://www.mobygratis.com/
1031	http://moby.org/
1031	http://vk.com/moby
1031	http://themoby.sbdj.pl/data/dyskografia/discography.txt
1627	http://www.phuturewax.de
1627	http://www.tursa.franken.de/Arpeggiators_discog.html
1627	http://www.plasticcity.de/AWeX/artist
3300	http://www.smithandmighty.co.uk/
3300	http://www.myspace.com/smithandmighty
3474	http://www.pattilabelle.com
3474	http://www.myspace.com/pattilabelle
3477	http://en.wikipedia.org/wiki/Chaz_Jankel
3638	http://www.ydr.be/
4073	http://www.myspace.com/cjstone1
4073	http://cjstone.com/
4205	http://en.wikipedia.org/wiki/Giorgio_Moroder
4205	http://www.discog.info/moroder.html
4205	http://soundcloud.com/giorgiomoroder/
4205	http://soundcloud.com/giorgiomoroder2/
4205	http://soundcloud.com/giorgiomoroderoldies/
4205	http://soundcloud.com/hansj-rg-1
4604	http://www.myspace.com/mrnickholder
5111	http://www.myspace.com/karlbiscuitofficial
5111	http://castafiore-systems.com/
5115	www.ltmrecordings.com/ppbio.html
5797	http://www.atb-music.com/
5797	http://www.facebook.com/andretanneberger
5797	http://www.myspace.com/andretanneberger
5797	http://twitter.com/atbandre
5797	http://www.atb-music.ru/
5797	http://www.dontstop.co.uk
5966	http://www.blankandjones.com
5966	http://www.facebook.com/blankandjones
5966	http://www.soundcolours.com
5966	http://www.facebook.com/so8os
5966	http://www.myspace.com/blankandjonesinfo
5966	http://www.youtube.com/user/blankandjonesvideos
5966	https://soundcloud.com/blankandjones
6268	http://tuxedomoon.co/
6268	http://www.berlinwerk.de/tuxedomoon
6268	http://www.myspace.com/tuxedomoon
6268	http://en.wikipedia.org/wiki/Tuxedomoon
6270	http://www.donnasummer.com/
6270	http://www.donna-tribute.com/
6270	http://en.wikipedia.org/wiki/Donna_Summer
6270	http://www.disco-disco.com/artists/donna.shtml
6270	http://summerdisco.wix.com/donna-summer-online
6274	http://www.myspace.com/patrickcowley
6274	http://webs.advance.com.ar/dheinz/index.htm
6274	http://en.wikipedia.org/wiki/Patrick_Cowley
6442	http://www.involve.co.nz/aspen.html
6520	http://www.u2.com
6520	http://www.myspace.com/u2
6520	http://www.u2wanderer.org
6636	http://www.myspace.com/klubbheadsnl
7285	http://www.mayday.de
7285	http://www.myspace.com/maydaydortmund
7285	http://www.facebook.com/mayday.dortmund
7285	http://de.wikipedia.org/wiki/Members_of_Mayday
7698	http://www.snap-world.com/
7698	http://www.myspace.com/snapofficial
8121	http://www.chicanemusic.com/
8121	http://www.myspace.com/chicanemusic
8121	http://www.facebook.com/chicanemusic
8121	http://www.last.fm/music/Chicane
8121	http://www.youtube.com/officialchicane
8121	http://www.bebo.com/chicanemusic
9066	http://www.facebook.com/pages/DJ-SPILLER/130632139229
9066	http://www.myspace.com/djspiller
9221	http://www.telex-music.com/
9380	http://www.lexykpaul.eu
9380	http://www.facebook.com/lexykpaulofficial
9380	http://www.youtube.com/lexykpaultv
9380	http://www.myspace.com/lexykpaul
10927	http://www.rank-1.com
10927	http://www.facebook.com/pages/Amsterdam-Netherlands/Rank1/76457011147
10927	http://www.myspace.com/rank01
10927	http://rank1.bervoetsdegoeij.nl
11001	http://www.n-trance.co.uk
11001	http://www.myspace.com/ntrance
11101	http://www.cosmic-gate.de/
11101	http://www.cosmicgate-music.de/
11101	http://www.myspace.com/cosmicgate
11101	http://www.facebook.com/cosmicgate
11101	http://twitter.com/RealCosmicGate
11101	http://soundcloud.com/cosmicgateofficial
11101	http://www.youtube.com/CosmicGateTV
11606	http://www.kmfdm.net/
11606	http://www.kmfdmfaq.com/
11606	http://www.theultraheavybeat.com/
11606	http://www.myspace.com/officialkmfdm
11606	http://soundcloud.com/officialkmfdm
11606	http://www.facebook.com/officialkmfdm
11606	http://en.wikipedia.org/wiki/KMFDM
11691	http://www.joseamnesia.com/
11691	http://www.myspace.com/joseamnesiamusic
11691	http://www.myspace.com/amnesiamusic
11691	http://www.facebook.com/pages/Jose-Amnesia/201945599804
11691	http://www.facebook.com/joseamnesia
11691	http://twitter.com/Jose_Amnesia
11769	http://www.scootertechno.com/
11769	http://www.myspace.com/scootertechno
11769	http://www.youtube.com/scooter
11769	http://www.facebook.com/scooterofficial
11769	https://twitter.com/scooter_techno
12526	http://www.trance-allstars.de
12526	http://www.myspace.com/tranceallstarsofficial
12773	http://www.aquagen.de
13608	http://www.kylie.com
13608	http://www.kylieminogue.it/blog/
13608	http://www.facebook.com/kylieminogue
13608	http://www.myspace.com/kylieminogue
13608	http://twitter.com/kylieminogue
13687	http://www.myspace.com/4strings
13692	http://www.mario-lopez.net/
13719	http://www.githead.com/colin_newman.html
13719	http://www.swimhq.com/artists/colin.html
13719	http://www.posteverything.com/artists/artist.php?id=67
13774	http://www.sylversite.be/
13774	http://www.myspace.com/sylverofficial
13842	http://www.minimalistix.be
13864	www.myspace.com/tatana
15682	http://en.wikipedia.org/wiki/Brad_Fiedel
15682	http://www.imdb.com/name/nm0006075/
15683	http://en.wikipedia.org/wiki/Tryanglz
15825	http://www.myspace.com/lindylayton
16418	http://www.bervoetsdegoeij.nl
16761	http://www.shockg.com
16761	http://www.myspace.com/humptyfunk
16794	http://www.officialsylvester.com/index.html
16794	http://www.sylstar.net/
16794	http://www.queerculturalcenter.org/Pages/Sylvester/Syl_Bio.html
17035	http://www.chakakhan.com
17035	http://www.myspace.com/officialchakakhan
17815	http://www.borisdlugosch.com/
17815	http://www.borisdlugosch.de
17815	http://www.myspace.com/borisdlugosch
17815	http://twitter.com/BorisDlugosch
17815	http://de.wikipedia.org/wiki/Boris_Dlugosch
18677	http://www.soulwalking.co.uk/Oliver%20Cheatham.html
18677	http://en.wikipedia.org/wiki/Oliver_Cheatham
18700	http://www.etiennedaho.com/
19083	http://www.svenson.be/
19083	http://www.johangielen.com/
20037	http://www.squaremeat.net/
20037	http://www.myspace.com/squaremeat
20544	http://en.wikipedia.org/wiki/Alain_Goraguer
20942	http://stockaitkenwaterman.com/
20942	http://thehitfactoryshow.webs.com/apps/blog/
20942	http://en.wikipedia.org/wiki/Stock_Aitken_Waterman
20942	http://plasticretro.com/stockaitkenwaterman
22164	http://www.EarthWindAndFire.com
22164	http://www.myspace.com/earthwindandfire
22164	http://en.wikipedia.org/wiki/Earth,_Wind_%26_Fire
23765	http://www.elijanney.com
24076	http://www.lasgo.be
24076	http://www.myspace.com/lasgo
25018	http://www.facebook.com/pages/Noemi-Dance-Singer/339420604570
25018	http://www.myspace.com/noemiofficial
26044	http://en.wikipedia.org/wiki/The_DNA_Disciples
26219	http://www.belcanto.no/
26219	http://www.myspace.com/belcantonorway
27500	http://www.myspace.com/chinacrisisgaryandeddie
27500	http://en.wikipedia.org/wiki/China_Crisis
27737	http://www.djshog.de
27737	http://www.myspace.com/djshog
27737	http://www.youtube.com/djshogtv
27737	http://www.youtube.com/djshogtv
27769	http://www.lazardworld.de/
27769	http://myspace.com/djlazard
27887	http://www.djsatwork.de
27941	http://www.djmarcaurel.de/
28141	http://www.warpbrothers.com
28141	http://www.warpbrothers.de
28795	http://20pr1nc3.com
28795	http://prince.org/
29019	http://en.wikipedia.org/wiki/Steps_Ahead
29101	http://www.the-dons.net
29316	http://www.dee-dee.eu/
33200	http://www.myspace.com/butterflygong1
33200	http://en.wikipedia.org/wiki/Cheryl_Lynn
33496	http://www.kelly-llorenna.com/
33496	http://www.myspace.com/kellyllorennaofficial
33496	http://www.bebo.com/Kelly-Llorenna
33750	http://www.eurohitmusic.free.fr/zhi_vago.htm
33750	http://www.webdjs.ch/reports/zhivagorep1.jpg
33750	http://www.myspace.com/djclaudiomangione
35251	http://www.myspace.com/rachelmcfarlane
35289	http://www.myspace.com/the2ndgenerationritchiefamilytributespace
35289	http://www.facebook.com/pages/The-Original-Ritchie-Family/311055722425
35289	http://surf.to/ritchiefamily
35289	http://www.facebook.com/pages/The-Ritchie-Family-2nd-Generation/128789080495929?ref=mf
35289	&
35289	v=wall#!/pages/The-Ritchie-Family-2nd-Generation/128789080495929
36507	http://www.higherstate.co.uk/docs/illicit.html
37224	http://www.myspace.com/sistersledge71
37594	http://www.sophieellisbextor.net/
37594	http://en.wikipedia.org/wiki/Sophie_Ellis-Bextor
37720	http://www.starsplash.de
37720	http://www.myspace.com/starsplashmusic
37727	http://www.myspace.com/gillesmartin
37727	http://www.flammusic.com/pages/profil_gb.php?pro_id=14
37757	http://www.a-ha.com
37757	http://www.myspace.com/aha
37757	http://www.darsu.btinternet.co.uk/discography/a-ha.htm
37757	http://en.wikipedia.org/wiki/A-ha
38863	http://www.aretha-franklin.com/
38863	http://www.rockhall.com/hof/inductee.asp?id=106
38863	http://en.wikipedia.org/wiki/Aretha_Franklin
39838	http://www.defjam.com/artists/esermon/erick.html
39838	http://www.myspace.com/greeneyedbandit2006
40680	http://www.myspace.com/simonflower
40680	hello@simonflower.co.nz
41891	http://www.elrockers.org/
42826	http://www.myspace.com/teebonemusic
42885	http://www.morehouserecords.com
42885	http://www.myspace.com/morehouserecords
42885	http://soundcloud.com/morehouserecords
44657	http://www.myspace.com/damianwild
44657	http://www.damianwild.com
45023	http://myspace.com/hervedjhs
46819	http://www.jettheband.com
46819	http://www.jetmusic.co.uk
46819	http://www.myspace.com/jet
48865	http://www.koolandthegang.com
50514	http://www.krs-one.com/
50514	http://www.myspace.com/templeofhiphop
51188	http://www.guerrillafunk.com/paris
52510	http://en.wikipedia.org/wiki/Tony_Mansfield
52510	http://www.discog.info/mansfield.html
55804	http://en.wikipedia.org/wiki/Jackie_Moore_(singer)
55980	http://www.thestrokes.com
55980	http://en.wikipedia.org/wiki/The_Strokes
57087	http://www.myspace.com/suissajustine
58349	http://www.candydulfer.nl
58574	http://www.myspace.com/theevelynthomas
59453	http://www.pmmastering.com
59453	http://www.disco-disco.com/tributes/herbie.html
60901	http://www.aatw.com/artist.php?id=128043
62548	http://karenfinley.com/
62548	http://en.wikipedia.org/wiki/Karen_Finley
63366	http://www.timefrequency.co.uk/
63543	http://www.jongass.com
66670	http://www.myspace.com/yarbroughnpeoples
66733	http://www.lange-music.com
66733	http://www.myspace.com/djlange
66733	http://www.twitter.com/djlange
68325	http://twitter.com/pietbervoets
68325	http://www.bervoetsdegoeij.nl
76398	http://www.frankfarian.com/
80134	http://www.theweathergirls.com/
82735	http://www.myspace.com/thespinners
82735	http://www.soulwalking.co.uk/Detroit%20Spinners.html
84795	http://www.maceo.com/
89562	http://www.carolinelavelle.com
89562	http://www.myspace.com/carolinelavelle
89562	http://en.wikipedia.org/wiki/Caroline_Lavelle
93280	http://www.walterbecker.com
93674	http://en.wikipedia.org/wiki/Craig_Peyton
93674	http://earthflight.com/craig_bio.html
98744	http://www.facebook.com/pages/Minimal-Compact/240705802657788?sk=wall
98744	http://www.myspace.com/minimalcompact
100519	http://www.tinacharles.com
102781	http://www.martinroth.net
102781	http://www.facebook.com/martinrothofficial
102781	http://www.myspace.com/martinroth
122232	http://en.wikipedia.org/wiki/Alan_Tarney
127854	http://www.tape.demon.co.uk/
134067	http://www.deejaybooking.com/djpierrefuse
134067	http://www.myspace.com/pi_r
134700	http://www.tonyhatch.com/
135946	http://www.myspace.com/johnnycash
135795	http://www.myspace.com/comelade
135795	http://en.wikipedia.org/wiki/Pascal_Comelade
135847	http://www.michaelbrecker.com/
135847	http://www.myspace.com/mbrecker
135946	http://www.johnnycash.com/
135946	http://www.johnnycashonline.com/
135946	http://www.johnnycashradio.com/
135946	http://en.wikipedia.org/wiki/Johnny_Cash
136628	http://www.sprintmusic.co.uk/
141284	http://www.myspace.com/actus
143563	http://www.myspace.com/aksakmaboul
143563	http://www.crammed.be/crammed/101/index.htm
146950	http://www.myspace.com/nioshit
146950	http://www.myspace.com/nioknewshit
147021	http://www.soundonsound.com/sos/mar04/articles/johnfrye.htm
147024	http://www.khujogoodie.com
147827	http://www.loudmastering.com/
149898	http://www.myspace.com/mashupkids
150182	http://perso.wanadoo.fr/zuzudisco/vannier/mainvannier.htm
154434	http://web.archive.org/web/20071219130748/http://www.discomuseum.com/HamiltonBohannon.html
154434	http://en.wikipedia.org/wiki/Hamilton_Bohannon
169154	http://en.wikipedia.org/wiki/The_Jacksons
170755	http://www.johnnymathis.com/
173249	http://www.myspace.com/djlees
173249	http://www.myspace.com/esquireuk
180585	http://jimmypageonline.com/
180586	http://www.robertplant.com/
180586	http://www.robertplanthomepage.com/
180586	http://en.wikipedia.org/wiki/Robert_Plant
187011	http://www.latoyaonline.com/
187011	http://en.wikipedia.org/wiki/La_Toya_Jackson
187011	http://www.myspace.com/latoyaonline
196010	http://en.wikipedia.org/wiki/John_French_(musician)
196010	http://www.myspace.com/drumbojohnfrench
201497	http://www.peachesandherb.com/
201497	http://en.wikipedia.org/wiki/Peaches_%26_Herb
201497	http://www.soulwalking.co.uk/Peaches%20
201497	&
201497	%20Herb.html
204278	http://www.claudiocollino.com
204278	http://www.facebook.com/claudio.collino
204278	http://www.myspace.com/claudiocollino
213242	http://www.clarefischer.com/
213242	http://www.jazz.com/encyclopedia/fischer-clare-douglas
232153	http://en.wikipedia.org/wiki/Kevin_Elson
232645	http://www.nycrecords.com/bio/
232645	http://sudo.3.pro.tok2.com/Quest/cards/M/MikeMainieri/index.html
235055	http://www.peterbeckett-player.com/
240613	http://www.bostream.nu/johanb/jay/
244135	http://www.sterling-sound.com
244135	http://emusician.com/mag/emusic_mastering_manhattan/index.html
252201	http://www.myspace.com/gordonraphaelmusic
256225	http://www.tonylevin.com/
256225	http://www.myspace.com/tonylevinmusic
257421	http://petererskine.com
257421	http://www.myspace.com/petererskine
272796	http://www.stevelukather.net/
274957	http://www.eddiegomez.com/
276459	http://attackingthebeat.blogspot.com/2009/03/interview-alan-ward-and-mike-butcher.html
277579	http://www.robinmcauley.com/
277579	http://www.myspace.com/robin_mcauley
277579	http://en.wikipedia.org/wiki/Robin_McAuley
298882	http://www.myspace.com/gregboyertrombone
298951	http://www.chuckloeb.com/
312858	http://www.klausosterloh.de/
318507	http://www.serpmusic.com/
325408	http://en.wikipedia.org/wiki/Sweet_Sensation_%28band%29
327411	http://iearmusic.com/
327411	http://www.calstatela.edu/academic/music/rosslevinson.php
328677	http://dani-lesite.artistes.universalmusic.fr/
333419	http://www.morten-harket.com/
333419	http://www.letterfromegypt.de
333419	http://www.myspace.com/harketmorten
345763	http://www.warrenbernhardt.com/
379204	http://www.gerardblanchard.fr/
379225	http://en.wikipedia.org/wiki/Kevin_Wilkinson
382017	http://albumcredits.com/Profile/78104
382017	http://albumcredits.com/Profile/2034317
383969	http://www.jackson-singers.ch
385283	http://www.bobbykimball.com/
385283	http://www.myspace.com/bobbykimball
409569	http://www.xing.com/profile/Kuno_Schmid2
427638	http://www.myspace.com/officialoceanlab
427638	http://www.aboveandbeyond.nu/
480435	http://www.magne-f.net/
651394	http://octif.org
661435	http://www.myspace.com/davethedrummerreilly
1005755	http://www.myspace.com/billbuttpies
1005755	http://en.wikipedia.org/wiki/Bill_Butt
1838967	http://www.myosotis.nl/
2149211	http://www.berghalls-finest.com
2238483	http://www.davidmichaelkennedy.com/
\.


--
-- Data for Name: labels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels (id, parentlabel, name, contactinfo, data_quality, profile) FROM stdin;
362	Sony Music Entertainment	Arista	\N	Correct	
651	Atlantic	Elektra	\N	Needs Vote	Labelcodes: LC 00192 / LC 0192
681	Warner Music Group	Atlantic	\N	Correct	
698	Chrysalis	Echo	\N	Correct	
750	Universal Music Group	Virgin	\N	Needs Vote	Some of the middle-old editions have silver labels with red printing. Newer editions have black printings.
752	\N	Exogenic Records	\N	Correct	Exogenic Records was founded in 1996 by Jacob Ehrnrooth. Exogenic started as a record label for psychedelic Goa trance music, and in those times Goa trance was rarely published in Finland. In ten years Exogenic Records has grown to be an Exogenic Music Group which includes the labels Exogenic Breaks Records, Terra Records and newcomer XO Records. The label has widened it’s scope from psychedelic Goa trance music to breaks, disco, down-tempo, world music and even rock.
755	Restless Records	Enigma Records (3)	\N	Needs Vote	
758	The Orchard	TVT Records	\N	Correct	
796	Universal Music Group	Universal Records	\N	Correct	logo. Releases that contain only the standard Universal (black-and-white globe) logo must not be listed here.[/b]
953	TVT Records	Wax Trax! Records	\N	Needs Vote	
1000	Warner Music Group	Warner Bros. Records	\N	Needs Vote	Source: Joe Lindsay's ''Record Label Guide'' and Raymond Dumont's collection.
1293	Recoverworld Label Group	Eve Records	\N	Needs Vote	NEW SOUND, NEW LOOK, NEW EVE.
1614	CNR Entertainment B.V.	Arcade	\N	Needs Vote	Nowadays it is one of the labels owned by [l=CNR Entertainment B.V.]
1818	\N	Not On Label	\N	Correct	
1965	Atlantic	Big Beat	\N	Needs Vote	
2299	\N	Xtravaganza Recordings	\N	Correct	XTRAV catalog#s: Universal Music (since 1999)
2328	Warner Music Australia	Mushroom Records	\N	Correct	
2351	Armada Music B.V.	Vandit Records	\N	Correct	
2927	Sony Music Entertainment	LaFace Records	\N	Needs Vote	Label code - LC07925
3034	\N	Brainiak Records	\N	Correct	UK Progressive House label, now defunct, which was born by the pioneering London club "The Brain". Brainiak Records released techno and progressive house tracks as well as helping to launch the careers of several dance music producers including Pete Lazonby, Ultramarine, The Infinite Wheel and others.
3304	Universal Music S.A.	Barclay	\N	Correct	Note: BA 102 / BA 122 / BA 253 / BA 283 are not catalogue numbers but price codes identifying formats, namely 7" singles, 12" singles, LPs and double LPs.[/i]
3675	\N	No Respect Records	\N	Correct	
3711	\N	Riddim Track Records	\N	Correct	Teebone's label going since 1994.
3950	\N	Crammed Discs	\N	Needs Vote	, [l280008]
4010	\N	Eve Records	\N	Needs Vote	
4069	Sanctuary Records	PRT Records	\N	Correct	Labelcode: LC 7140.
5037	\N	All Around The World	\N	Correct	Label Code: LC 07341
5521	Diki Records	X-Stream	\N	Correct	
6267	Network Music Group	Airplay Records	\N	Needs Vote	Label Code: LC 7340 / LC 07340
6286	Nu Energy	Peroxide	\N	Correct	. In operation between 2001 and 2004.
6847	Passion Music	Debut	\N	Correct	\N
7555	\N	Houze Factory	\N	Correct	An SPM dance division.
16396	\N	Elephant Electronic	\N	Correct	Electronica sublabel of Elephant Records from Wellington, New Zealand.
19762	\N	Guerrilla Funk Recordings	\N	Correct	Hip Hop label
22420	S.A.I.F.A.M.	Speed Records	\N	Correct	
22643	\N	Novum Organum	\N	Correct	Label run by [a=Actus].
29723	\N	Nocturnal Records	\N	Needs Vote	Sheffield based label owned and run by Niche Allnighter DJ's Nev Wright, Jamie Duggan and Chris Bailey.
31650	S.A.I.F.A.M.	One Way Records (5)	\N	Needs Vote	Italian Eurohouse Label.
32866	Warner Music Group	Warner Strategic Marketing	\N	Correct	
34121	Ecko Records	Low Frequency	\N	Correct	
36045	\N	Success	\N	Correct	\N
36200	\N	EMF Entertainment	\N	Correct	Hio Hop label from Munich, Germany.
42001	edel music AG	Edel	\N	Correct	
44327	EMI Music	EMI Music France	\N	Correct	
50800	\N	IMP	\N	Correct	Labelcode: LC 8747
51167	Beggars Group	Rough Trade	\N	Correct	
51921	Rockers	Rockers International	\N	Correct	\N
71234	Intercord Ton GmbH	Intercord	\N	Needs Vote	.
78076	\N	Crust War	\N	Correct	\N
85001	Elektra	Elektra Musician	\N	Correct	Labelcode: LC 8355
128944	\N	Schnellschnitt	\N	Needs Major Changes	\N
135362	Not On Label	Not On Label (Illicit Remix Series)	\N	Correct	Remember to add "Unofficial Release" to the format row.
\.


--
-- Data for Name: labels_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_images (label_id, uri, type, height, width, uri150) FROM stdin;
362	http://api.discogs.com/image/L-362-1300608627.jpeg	primary	200	600	http://api.discogs.com/image/L-150-362-1300608627.jpeg
362	http://api.discogs.com/image/L-362-1300608092.jpeg	secondary	200	600	http://api.discogs.com/image/L-150-362-1300608092.jpeg
362	http://api.discogs.com/image/L-362-1300607877.jpeg	secondary	200	600	http://api.discogs.com/image/L-150-362-1300607877.jpeg
362	http://api.discogs.com/image/L-362-002.jpg	secondary	246	300	http://api.discogs.com/image/L-150-362-002.jpg
362	http://api.discogs.com/image/L-362-1150223981.jpeg	secondary	200	286	http://api.discogs.com/image/L-150-362-1150223981.jpeg
362	http://api.discogs.com/image/L-362-1234268232.jpeg	secondary	189	300	http://api.discogs.com/image/L-150-362-1234268232.jpeg
362	http://api.discogs.com/image/L-362-1311416393.jpeg	secondary	593	600	http://api.discogs.com/image/L-150-362-1311416393.jpeg
651	http://api.discogs.com/image/L-651-1349819857-1965.jpeg	primary	287	250	http://api.discogs.com/image/L-150-651-1349819857-1965.jpeg
651	http://api.discogs.com/image/L-651-1300616354.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-651-1300616354.jpeg
651	http://api.discogs.com/image/L-651-1300616060.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-651-1300616060.jpeg
651	http://api.discogs.com/image/L-651-1216574514.jpeg	secondary	326	331	http://api.discogs.com/image/L-150-651-1216574514.jpeg
651	http://api.discogs.com/image/L-651-002.png	secondary	133	118	http://api.discogs.com/image/L-150-651-002.png
651	http://api.discogs.com/image/L-651-1155598987.jpeg	secondary	94	474	http://api.discogs.com/image/L-150-651-1155598987.jpeg
651	http://api.discogs.com/image/L-651-1316256266.jpeg	secondary	283	434	http://api.discogs.com/image/L-150-651-1316256266.jpeg
651	http://api.discogs.com/image/L-651-1316256656.jpeg	secondary	567	327	http://api.discogs.com/image/L-150-651-1316256656.jpeg
651	http://api.discogs.com/image/L-651-1352513929-2927.jpeg	secondary	307	600	http://api.discogs.com/image/L-150-651-1352513929-2927.jpeg
651	http://api.discogs.com/image/L-651-1352993561-8906.jpeg	secondary	306	284	http://api.discogs.com/image/L-150-651-1352993561-8906.jpeg
681	http://api.discogs.com/image/L-681-1202010441.png	primary	217	217	http://api.discogs.com/image/L-150-681-1202010441.png
681	http://api.discogs.com/image/L-681-1300610529.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-681-1300610529.jpeg
681	http://api.discogs.com/image/L-681-1300610348.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-681-1300610348.jpeg
681	http://api.discogs.com/image/L-681-1235145969.jpeg	secondary	289	449	http://api.discogs.com/image/L-150-681-1235145969.jpeg
681	http://api.discogs.com/image/L-681-1197928383.jpeg	secondary	267	356	http://api.discogs.com/image/L-150-681-1197928383.jpeg
681	http://api.discogs.com/image/L-681-1275607705.jpeg	secondary	447	481	http://api.discogs.com/image/L-150-681-1275607705.jpeg
681	http://api.discogs.com/image/L-681-1294763019.jpeg	secondary	600	597	http://api.discogs.com/image/L-150-681-1294763019.jpeg
681	http://api.discogs.com/image/L-681-1294763026.jpeg	secondary	600	597	http://api.discogs.com/image/L-150-681-1294763026.jpeg
681	http://api.discogs.com/image/L-681-1294763033.jpeg	secondary	592	600	http://api.discogs.com/image/L-150-681-1294763033.jpeg
681	http://api.discogs.com/image/L-681-1294763038.jpeg	secondary	591	600	http://api.discogs.com/image/L-150-681-1294763038.jpeg
681	http://api.discogs.com/image/L-681-1327678318.jpeg	secondary	593	600	http://api.discogs.com/image/L-150-681-1327678318.jpeg
681	http://api.discogs.com/image/L-681-1331804369.jpeg	secondary	338	523	http://api.discogs.com/image/L-150-681-1331804369.jpeg
681	http://api.discogs.com/image/L-681-1331804389.jpeg	secondary	582	599	http://api.discogs.com/image/L-150-681-1331804389.jpeg
681	http://api.discogs.com/image/L-681-1331804397.jpeg	secondary	590	599	http://api.discogs.com/image/L-150-681-1331804397.jpeg
681	http://api.discogs.com/image/L-681-1331804410.jpeg	secondary	578	599	http://api.discogs.com/image/L-150-681-1331804410.jpeg
681	http://api.discogs.com/image/L-681-1331804420.jpeg	secondary	578	594	http://api.discogs.com/image/L-150-681-1331804420.jpeg
698	http://api.discogs.com/image/L-698-001.png	primary	99	132	http://api.discogs.com/image/L-150-698-001.png
698	http://api.discogs.com/image/L-698-1298787252.png	secondary	211	192	http://api.discogs.com/image/L-150-698-1298787252.png
750	http://api.discogs.com/image/L-750-1235390532.jpeg	primary	437	447	http://api.discogs.com/image/L-150-750-1235390532.jpeg
750	http://api.discogs.com/image/L-750-1298600276.jpeg	secondary	530	600	http://api.discogs.com/image/L-150-750-1298600276.jpeg
750	http://api.discogs.com/image/L-750-1309903230.jpeg	secondary	250	250	http://api.discogs.com/image/L-150-750-1309903230.jpeg
750	http://api.discogs.com/image/L-750-1209326869.jpeg	secondary	413	550	http://api.discogs.com/image/L-150-750-1209326869.jpeg
750	http://api.discogs.com/image/L-750-1321655435.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-750-1321655435.jpeg
750	http://api.discogs.com/image/L-750-1234646850.jpeg	secondary	352	355	http://api.discogs.com/image/L-150-750-1234646850.jpeg
750	http://api.discogs.com/image/L-750-1324930949.jpeg	secondary	363	365	http://api.discogs.com/image/L-150-750-1324930949.jpeg
750	http://api.discogs.com/image/L-750-1324931036.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324931036.jpeg
750	http://api.discogs.com/image/L-750-1324930265.jpeg	secondary	364	365	http://api.discogs.com/image/L-150-750-1324930265.jpeg
750	http://api.discogs.com/image/L-750-1324930371.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930371.jpeg
750	http://api.discogs.com/image/L-750-1324930557.jpeg	secondary	363	365	http://api.discogs.com/image/L-150-750-1324930557.jpeg
750	http://api.discogs.com/image/L-750-1324930590.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930590.jpeg
750	http://api.discogs.com/image/L-750-1324931174.jpeg	secondary	364	365	http://api.discogs.com/image/L-150-750-1324931174.jpeg
750	http://api.discogs.com/image/L-750-1324930517.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930517.jpeg
750	http://api.discogs.com/image/L-750-1324930468.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930468.jpeg
752	http://api.discogs.com/image/L-752-1208534864.jpeg	primary	673	600	http://api.discogs.com/image/L-150-752-1208534864.jpeg
752	http://api.discogs.com/image/L-752-001.gif	secondary	100	91	http://api.discogs.com/image/L-150-752-001.gif
755	http://api.discogs.com/image/L-755-1133360890.jpeg	primary	218	147	http://api.discogs.com/image/L-150-755-1133360890.jpeg
755	http://api.discogs.com/image/L-755-1230016899.png	secondary	163	153	http://api.discogs.com/image/L-150-755-1230016899.png
758	http://api.discogs.com/image/L-758-001.gif	primary	132	186	http://api.discogs.com/image/L-150-758-001.gif
758	http://api.discogs.com/image/L-758-1263020735.png	secondary	137	226	http://api.discogs.com/image/L-150-758-1263020735.png
796	http://api.discogs.com/image/L-796-1253673096.jpeg	primary	159	289	http://api.discogs.com/image/L-150-796-1253673096.jpeg
796	http://api.discogs.com/image/L-796-1166694510.jpeg	secondary	56	165	http://api.discogs.com/image/L-150-796-1166694510.jpeg
796	http://api.discogs.com/image/L-796-1286195241.jpeg	secondary	140	224	http://api.discogs.com/image/L-150-796-1286195241.jpeg
796	http://api.discogs.com/image/L-796-1342693701-8240.jpeg	secondary	156	401	http://api.discogs.com/image/L-150-796-1342693701-8240.jpeg
953	http://api.discogs.com/image/L-953-1224564883.jpeg	primary	583	289	http://api.discogs.com/image/L-150-953-1224564883.jpeg
953	http://api.discogs.com/image/L-953-1224564901.jpeg	secondary	505	506	http://api.discogs.com/image/L-150-953-1224564901.jpeg
953	http://api.discogs.com/image/L-953-1296179376.jpeg	secondary	495	491	http://api.discogs.com/image/L-150-953-1296179376.jpeg
1000	http://api.discogs.com/image/L-1000-1351783568-4179.jpeg	primary	600	600	http://api.discogs.com/image/L-150-1000-1351783568-4179.jpeg
1000	http://api.discogs.com/image/L-1000-1175669293.jpeg	secondary	698	533	http://api.discogs.com/image/L-150-1000-1175669293.jpeg
1000	http://api.discogs.com/image/L-1000-1159478385.gif	secondary	532	532	http://api.discogs.com/image/L-150-1000-1159478385.gif
1000	http://api.discogs.com/image/L-1000-1175669367.gif	secondary	192	175	http://api.discogs.com/image/L-150-1000-1175669367.gif
1000	http://api.discogs.com/image/L-1000-1241590764.jpeg	secondary	94	200	http://api.discogs.com/image/L-150-1000-1241590764.jpeg
1293	http://api.discogs.com/image/L-1293-1281622763.jpeg	primary	500	500	http://api.discogs.com/image/L-150-1293-1281622763.jpeg
1293	http://api.discogs.com/image/L-1293-1209731798.png	secondary	200	200	http://api.discogs.com/image/L-150-1293-1209731798.png
1293	http://api.discogs.com/image/L-1293-1209731446.gif	secondary	36	200	http://api.discogs.com/image/L-150-1293-1209731446.gif
1293	http://api.discogs.com/image/L-1293-001.gif	secondary	60	80	http://api.discogs.com/image/L-150-1293-001.gif
1614	http://api.discogs.com/image/L-1614-001.jpg	primary	21	131	http://api.discogs.com/image/L-150-1614-001.jpg
1818	http://api.discogs.com/image/L-1818-003.jpg	primary	150	150	http://api.discogs.com/image/L-150-1818-003.jpg
1965	http://api.discogs.com/image/L-1965-1315452138.jpeg	primary	120	550	http://api.discogs.com/image/L-150-1965-1315452138.jpeg
1965	http://api.discogs.com/image/L-1965-1077043385.gif	secondary	76	200	http://api.discogs.com/image/L-150-1965-1077043385.gif
1965	http://api.discogs.com/image/L-1965-1244139831.png	secondary	277	214	http://api.discogs.com/image/L-150-1965-1244139831.png
1965	http://api.discogs.com/image/L-1965-1244139841.png	secondary	120	276	http://api.discogs.com/image/L-150-1965-1244139841.png
2299	http://api.discogs.com/image/L-2299-1351788448-1511.jpeg	primary	600	600	http://api.discogs.com/image/L-150-2299-1351788448-1511.jpeg
2299	http://api.discogs.com/image/L-2299-1339059412-3052.jpeg	secondary	217	246	http://api.discogs.com/image/L-150-2299-1339059412-3052.jpeg
2328	http://api.discogs.com/image/L-2328-001.jpg	primary	331	331	http://api.discogs.com/image/L-150-2328-001.jpg
2328	http://api.discogs.com/image/L-2328-1155655464.jpeg	secondary	151	333	http://api.discogs.com/image/L-150-2328-1155655464.jpeg
2328	http://api.discogs.com/image/L-2328-1351576197-5701.jpeg	secondary	463	600	http://api.discogs.com/image/L-150-2328-1351576197-5701.jpeg
2351	http://api.discogs.com/image/L-2351-1356168457-6120.jpeg	primary	326	326	http://api.discogs.com/image/L-150-2351-1356168457-6120.jpeg
2351	http://api.discogs.com/image/L-2351-1275991454.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-2351-1275991454.jpeg
2351	http://api.discogs.com/image/L-2351-1223243542.jpeg	secondary	500	500	http://api.discogs.com/image/L-150-2351-1223243542.jpeg
2351	http://api.discogs.com/image/L-2351-1223243561.jpeg	secondary	500	500	http://api.discogs.com/image/L-150-2351-1223243561.jpeg
2351	http://api.discogs.com/image/L-2351-001.jpg	secondary	80	312	http://api.discogs.com/image/L-150-2351-001.jpg
2927	http://api.discogs.com/image/L-2927-1138304373.jpeg	primary	172	300	http://api.discogs.com/image/L-150-2927-1138304373.jpeg
3034	http://api.discogs.com/image/L-3034-1140472316.jpeg	secondary	114	345	http://api.discogs.com/image/L-150-3034-1140472316.jpeg
3304	http://api.discogs.com/image/L-3304-1186860421.gif	primary	214	300	http://api.discogs.com/image/L-150-3304-1186860421.gif
3304	http://api.discogs.com/image/L-3304-1111441814.gif	secondary	102	150	http://api.discogs.com/image/L-150-3304-1111441814.gif
3304	http://api.discogs.com/image/L-3304-1238602694.jpeg	secondary	247	373	http://api.discogs.com/image/L-150-3304-1238602694.jpeg
3304	http://api.discogs.com/image/L-3304-1098019677.gif	secondary	158	300	http://api.discogs.com/image/L-150-3304-1098019677.gif
3304	http://api.discogs.com/image/L-3304-1235146498.jpeg	secondary	251	470	http://api.discogs.com/image/L-150-3304-1235146498.jpeg
3304	http://api.discogs.com/image/L-3304-1233785833.jpeg	secondary	156	295	http://api.discogs.com/image/L-150-3304-1233785833.jpeg
3675	http://api.discogs.com/image/L-3675-1317065497.jpeg	primary	300	288	http://api.discogs.com/image/L-150-3675-1317065497.jpeg
3711	http://api.discogs.com/image/L-3711-1296847497.jpeg	primary	150	150	http://api.discogs.com/image/L-150-3711-1296847497.jpeg
3950	http://api.discogs.com/image/L-3950-1307026648.jpeg	primary	325	457	http://api.discogs.com/image/L-150-3950-1307026648.jpeg
3950	http://api.discogs.com/image/L-3950-1294672081.jpeg	secondary	72	411	http://api.discogs.com/image/L-150-3950-1294672081.jpeg
3950	http://api.discogs.com/image/L-3950-1345822589-3038.jpeg	secondary	213	227	http://api.discogs.com/image/L-150-3950-1345822589-3038.jpeg
4010	http://api.discogs.com/image/L-4010-1096054701.jpg	secondary	275	275	http://api.discogs.com/image/L-150-4010-1096054701.jpg
4069	http://api.discogs.com/image/L-4069-1201473330.jpeg	primary	369	300	http://api.discogs.com/image/L-150-4069-1201473330.jpeg
4069	http://api.discogs.com/image/L-4069-1235942541.jpeg	secondary	384	400	http://api.discogs.com/image/L-150-4069-1235942541.jpeg
4069	http://api.discogs.com/image/L-4069-1322832289.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-4069-1322832289.jpeg
5037	http://api.discogs.com/image/L-5037-1143342113.jpeg	primary	106	298	http://api.discogs.com/image/L-150-5037-1143342113.jpeg
5037	http://api.discogs.com/image/L-5037-1149163670.jpeg	secondary	85	549	http://api.discogs.com/image/L-150-5037-1149163670.jpeg
5037	http://api.discogs.com/image/L-5037-1076923561.jpg	secondary	60	496	http://api.discogs.com/image/L-150-5037-1076923561.jpg
5037	http://api.discogs.com/image/L-5037-1236417987.png	secondary	93	376	http://api.discogs.com/image/L-150-5037-1236417987.png
5521	http://api.discogs.com/image/L-5521-1320085553.jpeg	primary	569	563	http://api.discogs.com/image/L-150-5521-1320085553.jpeg
5521	http://api.discogs.com/image/L-5521-1320085614.jpeg	secondary	254	261	http://api.discogs.com/image/L-150-5521-1320085614.jpeg
6267	http://api.discogs.com/image/L-6267-1273239840.jpeg	primary	254	600	http://api.discogs.com/image/L-150-6267-1273239840.jpeg
6267	http://api.discogs.com/image/L-6267-1231073536.jpeg	secondary	298	522	http://api.discogs.com/image/L-150-6267-1231073536.jpeg
6286	http://api.discogs.com/image/L-6286-1079783615.gif	primary	65	195	http://api.discogs.com/image/L-150-6286-1079783615.gif
6847	http://api.discogs.com/image/L-6847-1119527736.jpg	primary	194	140	http://api.discogs.com/image/L-150-6847-1119527736.jpg
6847	http://api.discogs.com/image/L-6847-1084830302.jpg	secondary	78	110	http://api.discogs.com/image/L-150-6847-1084830302.jpg
19762	http://api.discogs.com/image/L-19762-1081879050.jpg	secondary	72	148	http://api.discogs.com/image/L-150-19762-1081879050.jpg
29723	http://api.discogs.com/image/L-29723-1113471174.jpg	secondary	237	530	http://api.discogs.com/image/L-150-29723-1113471174.jpg
31650	http://api.discogs.com/image/L-31650-1313154485.jpeg	primary	600	373	http://api.discogs.com/image/L-150-31650-1313154485.jpeg
31650	http://api.discogs.com/image/L-31650-1266757393.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-31650-1266757393.jpeg
31650	http://api.discogs.com/image/L-31650-1266678563.jpeg	secondary	609	600	http://api.discogs.com/image/L-150-31650-1266678563.jpeg
32866	http://api.discogs.com/image/L-32866-1227813281.jpeg	primary	120	300	http://api.discogs.com/image/L-150-32866-1227813281.jpeg
32866	http://api.discogs.com/image/L-32866-1298872940.jpeg	secondary	171	300	http://api.discogs.com/image/L-150-32866-1298872940.jpeg
34121	http://api.discogs.com/image/L-34121-1106217198.jpg	secondary	300	298	http://api.discogs.com/image/L-150-34121-1106217198.jpg
36045	http://api.discogs.com/image/L-36045-1234190876.png	primary	197	230	http://api.discogs.com/image/L-150-36045-1234190876.png
36045	http://api.discogs.com/image/L-36045-1267004375.png	secondary	141	274	http://api.discogs.com/image/L-150-36045-1267004375.png
42001	http://api.discogs.com/image/L-42001-1221241751.gif	primary	114	228	http://api.discogs.com/image/L-150-42001-1221241751.gif
44327	http://api.discogs.com/image/L-44327-1300854582.jpeg	primary	58	238	http://api.discogs.com/image/L-150-44327-1300854582.jpeg
50800	http://api.discogs.com/image/L-50800-1163246645.jpeg	secondary	167	296	http://api.discogs.com/image/L-150-50800-1163246645.jpeg
51167	http://api.discogs.com/image/L-51167-1270047005.jpeg	primary	320	450	http://api.discogs.com/image/L-150-51167-1270047005.jpeg
51921	http://api.discogs.com/image/L-51921-1205059156.jpeg	primary	96	203	http://api.discogs.com/image/L-150-51921-1205059156.jpeg
51921	http://api.discogs.com/image/L-51921-1235570072.png	secondary	150	263	http://api.discogs.com/image/L-150-51921-1235570072.png
51921	http://api.discogs.com/image/L-51921-1278093760.jpeg	secondary	390	600	http://api.discogs.com/image/L-150-51921-1278093760.jpeg
71234	http://api.discogs.com/image/L-71234-1262651624.jpeg	primary	106	245	http://api.discogs.com/image/L-150-71234-1262651624.jpeg
71234	http://api.discogs.com/image/L-71234-1262525389.jpeg	secondary	75	188	http://api.discogs.com/image/L-150-71234-1262525389.jpeg
78076	http://api.discogs.com/image/L-78076-1257119318.png	primary	118	261	http://api.discogs.com/image/L-150-78076-1257119318.png
85001	http://api.discogs.com/image/L-85001-1241244131.png	primary	162	397	http://api.discogs.com/image/L-150-85001-1241244131.png
\.


--
-- Data for Name: labels_sublabels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_sublabels (label_id, label) FROM stdin;
362	6 West Home Video
362	Acrobat Records
362	Arista Austin
362	Arista Novus
362	Arista Records LLC
362	Arista Records, Inc.
362	Arista Street
362	Bell Records
362	Filth Records
362	Flashback Records (4)
362	Freedom
362	I-Spy Records
362	Kory Records
362	Private Music (2)
362	Profile Records
362	Qualitape
362	Rockin' Horse Records
362	Sylvan Records
362	Word Of Mouth
651	Asylum Records
651	Dance Classics (7)
651	Elektra Entertainment Group
651	Elektra Musician
651	Elektra Nonesuch
651	Elektra Video
651	Network Records (2)
651	Nonesuch
651	Pendulum Records
651	Soul Brother Records (2)
651	Sundazed Music
681	12" Atlantic Oldies Series
681	A*Vision Entertainment
681	Atlantic America
681	Atlantic Jazz
681	Atlantic Oldies Series
681	Atlantic Special
681	Atlantic/Deluxe
681	Bad Boy Entertainment
681	Big Beat
681	Big Tree Records
681	Bluemoon Recordings
681	Brass Recordings
681	Cat Records (2)
681	Clarion
681	Clean Records (2)
681	ClinTone Records
681	Cotillion
681	Eardrum Records
681	EastWest Records America
681	Elektra
681	Finnadar Records
681	First Priority Music
681	Hilltak Records
681	History Of Rhythm
681	&
681	Blues
681	Jazz Age
681	Jazz Record Series
681	La Salle Records
681	Lava
681	Like Records (2)
681	Little David Records
681	Mesa Recordings
681	Modern Records
681	NorthSouth Records
681	Oceana Records
681	Omni Recordings
681	Omni Records
681	Omni Records (3)
681	Pacific Records (6)
681	Puff Daddy Records
681	Radio Records (5)
681	Regency Records (2)
681	Saja Records
681	Stone Flower
681	Suite 2 Records
681	Tag Recordings
681	That's JAZZ (2)
681	That's Soul (2)
698	Echo Drop
698	Hansome Records
750	10 Records
750	Ambient Series
750	Caroline (UK)
750	Circa
750	Clubtone (2)
750	DEP International
750	Dindisc
750	Freestyle Dust
750	Front Line Records
750	Hi-Rise Recordings
750	Hut Recordings
750	Innocent
750	Melankolic
750	More Protein
750	Pointblank
750	Quigley Records
750	Relentless Records
750	Science
750	Source
750	Tangerine Dream Definitive Edition
750	The Invisible Series
750	Themes (Simple Minds)
750	Variation
750	VC Recordings
750	VENTURE
750	Virgin America
750	Virgin Chattering Classics
750	Virgin Dance
750	Virgin International
750	Virgin Japan
750	Virgin Music (Belgium)
750	Virgin Music Canada
750	Virgin Music Video
750	Virgin Radio Limited
750	Virgin Records (Denmark)
750	Virgin Records (Mexico)
750	Virgin Records Canada Inc.
750	Virgin Records NZ Ltd.
750	Virgin Records Sweden Ab
750	Virgin Underground
750	Virgin Video
750	Virgin VIP
750	Virgin Vision
750	Westwood Studios
750	Zarjazz
752	Exogenic Breaks Records
752	Terra Recordings (2)
755	Enigma Music Video
755	Enigma Retro
755	Intima Records
755	Pink Dust
755	Ruffhouse Records (3)
755	Synthicide Records
758	Blunt Recordings
758	TeeVee Toons, Inc
758	TVT Records (Europe)
758	TVT Soundtrax
758	Wax Trax! Records
796	Freedream
796	New Door Records
796	No Carbon Records
796	Republic Records
796	Riversal Records
796	Spacy Tracy
953	Wax Trax! Europe
953	Wax Trax! UK
1000	A
1000	&
1000	A Records
1000	Curtom
1000	Discreet
1000	Extasy Records
1000	F-111 Records
1000	Giant Records
1000	Jingle Town Records
1000	JKss Records
1000	Kwanza Records
1000	Loma
1000	Machine Shop Recordings
1000	Malpaso Records
1000	Maverick
1000	Merrie Melodies
1000	Opal Records
1000	Paisley Park
1000	Paradise Records (8)
1000	Premeditated Records
1000	Qwest Records
1000	Record Collection
1000	Reprise Records
1000	RFC Records
1000	Ruffnation Records
1000	Sire
1000	Tetragrammaton Records
1000	The Cars Mini LP SHM-CD Collection
1000	The Warner Bros. Music Show
1000	Warner Alliance
1000	Warner Archives
1000	Warner Bros. - Seven Arts Records
1000	Warner Bros. Records Nashville
1000	Warner Music Video
1000	Warner Reprise Video
1000	Warner Resound
1000	Warner Special Products
1000	Warner-Spector
1000	Wb Music Corp.
1000	Whitfield Records
1293	Eve America Records
1293	Eve Nova
1293	First Records
1293	Metropolitan Music
1293	Telica
1614	Arcade Benelux B.V.
1614	Arcade Denmark
1614	Arcade Deutschland GmbH
1614	Arcade España S.A.
1614	Arcade France S.à.r.l.
1614	Arcade Handels GmbH
1614	Arcade Italia
1614	Arcade Music Company
1614	Arcade Music Company (Belgium)
1614	Arcade Music Company (Norway) AS
1614	Arcade Music Company España, S.A.
1614	Arcade Norway
1614	Arcade Records (Deutschland) GmbH
1614	Arcade Sweden
1614	Club X
1614	Clubstitute Records
1614	CNR Music
1614	Dance Classics (9)
1614	Dance Classics - Into The 80's
1614	Dance Classics - The Ballads
1614	Dance Classics - The Remixes
1614	Dance Classics Gold
1614	Diamond (2)
1614	Diamond Collection
1614	EQuality
1614	Glam Records (3)
1614	Golden Love Songs
1614	Italo Dance Classics
1614	Jam It!
1614	More Dance Classics
1614	Music Gala
1614	Rem!nd
1614	Serious Clubhits
1614	Summer Dance Classics
1614	Synthétiseur
1614	Synthesizer Greatest
1614	Trent Records
1614	Turn Up The Bass
1614	Villa (2)
1818	10.95
1818	Better Days Records
1818	Bootleggers
1818	&
1818	Gangsters
1818	Cha Cha Records
1818	Chicken Scratch
1818	Conjured Concepts
1818	Cut A. Kaos (Mixtape)
1818	DAONE Records
1818	DEL Records
1818	Disco Records (2)
1818	Discoboots
1818	Discofunk
1818	DJ C.A. (Mixtape)
1818	DJ Cyborg (Mixtape)
1818	DJ Dream (Mixtape)
1818	DJ Fantasy (Mixtape)
1818	DJ Jeff Swing (Mixtape)
1818	DJ Laurent Ho (Mixtape)
1818	DJ Lukas (Mixtape)
1818	DJ Madwave (Mixtape)
1818	DJ Mind-X (Mixtape)
1818	DJ Mystery (Mixtape)
1818	DJ Noise (Mixtape)
1818	DJ Nonsdrome (Mixtape)
1818	DJ Obsession (Mixtape)
1818	DJ Poseidon (Mixtape)
1818	DJ Pure (Mixtape)
1818	DJ Red (Mixtape)
1818	DJ S.I. One (Mixtape)
1818	DJ S.I.One (Mixtape)
1818	DJ Scott Brown (Mixtape)
1818	DJ Snowman (Mixtape)
1818	DJ Sonic-T (Mixtape)
1818	DJ T-Bass (Mixtape)
1818	DJ Tim Tim (Mixtape)
1818	DJ Van De Loow (Mixtape)
1818	DJ Willow (Mixtape)
1818	DJ Wotan (Mixtape)
1818	Donald Duck Inc.
1818	Double Dose (2)
1818	Drag Desaster
1818	Enterprise Records (2)
1818	FM Radio Broadcast Corp.
1818	Garage Classics
1818	Genesis 1:26
1818	Gentrax (White)
1818	GI Ltd.
1818	Hacker Records
1818	Hodně Podně
1818	Hot Shot Records (2)
1818	House Connection (White)
1818	ICM
1818	Jam Packed / Blackout (Bootleg)
1818	Jucy Titties
1818	Jump Records LTD
1818	JYD
1818	Killer Tunes
1818	Larry
1818	Leathür Records (2)
1818	Lounging Records
1818	Luke Skyywalker Records (2)
1818	Mark Ronson (White)
1818	Master Records (2)
1818	Music Factory (2)
1818	Music Factory Publishing NV
1818	Mute Remixed Records
1818	Neuva Mute
1818	Nosebleed Mixtapes
1818	Not On Label  (Banane Metalik Self-released)
1818	Not On Label  (Hide
1818	&
1818	Seek Self-released)
1818	Not On Label  (McKaras Self-released)
1818	Not On Label  (Sacred Implant Self-released)
1818	Not On Label ("Weird Al" Yankovic Self-Released)
1818	Not On Label (#/Tau Self-released)
1818	Not On Label (#define Self-released)
1818	Not On Label (+48V)
1818	Not On Label (...Of The Human Condition Self-released)
1818	Not On Label (0 / 1 Self-released)
1818	Not On Label (1349 Self-released)
1818	Not On Label (16 Bit Lolita's)
1818	Not On Label (16 Volt Self-released)
1818	Not On Label (16bars.de)
1818	Not On Label (16Volt Self-released)
1818	Not On Label (1979 Self-released)
1818	Not On Label (2 As 1)
1818	Not On Label (2 Funky 2)
1818	Not On Label (2 Gentlemen From Tha D)
1818	Not On Label (2 Many DJ's Self-released)
1818	Not On Label (2 Minuta Dreka Self-released)
1818	Not On Label (2 Slices Of Jam Self-released)
1818	Not On Label (2 Terror Crew Self-released)
1818	Not On Label (2 Unlimited)
1818	Not On Label (20 Fingers)
1818	Not On Label (20 Guilders Self-Released)
1818	Not On Label (20.SV Self-released)
1818	Not On Label (2138 Self-released)
1818	Not On Label (28 Degrees Taurus Self-released)
1818	Not On Label (2cztery7)
1818	Not On Label (2Pac)
1818	Not On Label (3 Kapljice Self-released)
1818	Not On Label (3-Play)
1818	Not On Label (3/4HadBeenEliminated Self-released)
1818	Not On Label (3oh!3 Self-released)
1818	Not On Label (3Z!ON 147!G!D Self-released)
1818	Not On Label (4 Hero)
1818	Not On Label (50 Cent)
1818	Not On Label (5555)
1818	Not On Label (63 High Self-released)
1818	Not On Label (64Mula Self-released)
1818	Not On Label (666 Series)
1818	Not On Label (69)
1818	Not On Label (7th Gate (2) Self-released)
1818	Not On Label (8 Bit Weapon Self-released)
1818	Not On Label (808 State Self-released)
1818	Not On Label (808 State)
1818	Not On Label (88.3)
1818	Not On Label (9th Wonder)
1818	Not On Label (:Golgatha: Self-released)
1818	Not On Label (
1818	<
1818	....
1818	>
1818	Series)
1818	Not On Label (A
1818	&
1818	S Series)
1818	Not On Label (A Cappellas Series)
1818	Not On Label (A Certain Ratio Self-released)
1818	Not On Label (A Certain Ratio)
1818	Not On Label (A Death Cinematic Self-released)
1818	Not On Label (A Guy Called Gerald)
1818	Not On Label (A La Ping Pong Self-Released)
1818	Not On Label (A Taste Of Honey)
1818	Not On Label (A Thousand Societies Self-released)
1818	Not On Label (A Tribe Called Quest)
1818	Not On Label (A+E Project Series)
1818	Not On Label (a-ha)
1818	Not On Label (A-Musik Self-Released)
1818	Not On Label (A-Trak Self-released)
1818	Not On Label (A.i. Self-released)
1818	Not On Label (A.S.H.A.)
1818	Not On Label (A//Political Self-Released)
1818	Not On Label (Aaliyah)
1818	Not On Label (aaronzarzutzki Self-released)
1818	Not On Label (AB/CD (2) Self-released)
1818	Not On Label (AB/CD (3) Self-released)
1818	Not On Label (ABBA)
1818	Not On Label (Abbeyvain Self-released)
1818	Not On Label (Abelcain Self-released)
1818	Not On Label (Aberrant Vascular Self-released)
1818	Not On Label (Abigail (3) Self-released)
1818	Not On Label (Abner Malaty Self-released)
1818	Not On Label (Abney Park Self-released)
1818	Not On Label (Abortion Self-released)
1818	Not On Label (About Time Series)
1818	Not On Label (Abrade Self-released)
1818	Not On Label (Abruptum Self-released)
1818	Not On Label (Absolute (2))
1818	Not On Label (Absorb Design Self-released)
1818	Not On Label (Absurd (3) Self-released)
1818	Not On Label (Abuse (10) Self-relerased)
1818	Not On Label (Abysmal Darkening Self-release)
1818	Not On Label (Abyssic Hate Self-released)
1818	Not On Label (AC/DC)
1818	Not On Label (Acapella Heaven Series)
1818	Not On Label (Acapella Mash Ups Series)
1818	Not On Label (Acid Enema Self-released)
1818	Not On Label (Act Of Cruelty Self-released)
1818	Not On Label (Adam Freeland)
1818	Not On Label (Adamski)
1818	Not On Label (Adastreia Self-released)
1818	Not On Label (Adele)
1818	Not On Label (Adeva)
1818	Not On Label (Adrian Beasley Self-released)
1818	Not On Label (Adrian H Self-Released)
1818	Not On Label (Adriano Canzian Self-released)
1818	Not On Label (Aerosmith)
1818	Not On Label (Aesthetic Perfection Self-released)
1818	Not On Label (Africanism)
1818	Not On Label (Afrodiziaks)
1818	Not On Label (Afrojack)
1818	Not On Label (Afterbirth (2) Self-released)
1818	Not On Label (Agathocles Self-released)
1818	Not On Label (Age Of Love)
1818	Not On Label (Agent 99 Self-released)
1818	Not On Label (Agent Sumo)
1818	Not On Label (Agnelli
1818	&
1818	Nelson)
1818	Not On Label (Airheadz Series)
1818	Not On Label (Airport Series)
1818	Not On Label (Airport)
1818	Not On Label (AJ Trax)
1818	Not On Label (Akira Yamaoka)
1818	Not On Label (Al Azar Self-released)
1818	Not On Label (Al Kent)
1818	Not On Label (Alan Braxe
1818	&
1818	Fred Falke)
1818	Not On Label (Alan Braxe)
1818	Not On Label (Alaska Chamber Chorale Self-released)
1818	Not On Label (Albert Pak Self-released)
1818	Not On Label (Albireon Self-released)
1818	Not On Label (Alcatraz)
1818	Not On Label (Alea Iacta Est Self-released)
1818	Not On Label (Alec Empire Self-released)
1818	Not On Label (Aleister Crowley)
1818	Not On Label (Alex K)
1818	Not On Label (Alex M.O.R.P.H.)
1818	Not On Label (Alex Reece)
1818	Not On Label (Alexander O'Neal)
1818	Not On Label (Alexis Jordan)
1818	Not On Label (Alicia Keys)
1818	Not On Label (Alison Limerick)
1818	Not On Label (Aloe Blacc)
1818	Not On Label (ALR Series)
1818	Not On Label (Also Self-released)
1818	Not On Label (Altro Self-released)
1818	Not On Label (Amadeo)
1818	Not On Label (Amanda Woodward Self-released)
1818	Not On Label (Amebix)
1818	Not On Label (Amel Series)
1818	Not On Label (American Devices Self-released)
1818	Not On Label (Amerie)
1818	Not On Label (Amir (7))
1818	Not On Label (Amy Winehouse)
1818	Not On Label (Ana Gracey Self-released)
1818	Not On Label (Ananda (3) Self-released)
1818	Not On Label (Ancient Wisdom Self-released)
1818	Not On Label (And Christ Wept Self-Released)
1818	Not On Label (Andrés)
1818	Not On Label (Andrius Rio)
1818	Not On Label (Android Lust Self-Released)
1818	Not On Label (Angel Epilepsia Self-released)
1818	Not On Label (Angerfist Self-released)
1818	Not On Label (Angie Stone)
1818	Not On Label (Anita Ward)
1818	Not On Label (Annen Berg Self-released)
1818	Not On Label (Annie Lennox)
1818	Not On Label (Another Level)
1818	Not On Label (Anthill Mob)
1818	Not On Label (Anthony Rother)
1818	Not On Label (Anton Self-released)
1818	Not On Label (Antoni Maiovvi Self-released)
1818	Not On Label (Aphex Twin)
1818	Not On Label (Aphrodite)
1818	Not On Label (Apollo 440 Self-released)
1818	Not On Label (Apples Of Idun Self-released)
1818	Not On Label (Après Guerre Self-released)
1818	Not On Label (Arcadia)
1818	Not On Label (AREA 88 Self-released)
1818	Not On Label (Aretha Franklin)
1818	Not On Label (Armand Van Helden)
1818	Not On Label (Army Of Lovers)
1818	Not On Label (Arno Cost)
1818	Not On Label (Arthur Baker And The Backbeat Disciples)
1818	Not On Label (Artist (5) Self-released)
1818	Not On Label (Artists Self-released)
1818	Not On Label (Arturo (3) Self-released)
1818	Not On Label (Arvid Sletta Self-released)
1818	Not On Label (Ascension)
1818	Not On Label (Ashanti)
1818	Not On Label (Ashley Reaks Self-released)
1818	Not On Label (Ashrae Fax Self-released)
1818	Not On Label (Aspartam Self-released)
1818	Not On Label (Asphodel Self-released)
1818	Not On Label (Assassin (7))
1818	Not On Label (Assemblage 23 Self-Released)
1818	Not On Label (Astrud Gilberto)
1818	Not On Label (ATB)
1818	Not On Label (ATFC)
1818	Not On Label (Athlete)
1818	Not On Label (Atrax Mantis Self-released)
1818	Not On Label (Atsushi Tsuyama Self-Released)
1818	Not On Label (Audio Bullys)
1818	Not On Label (Audiojack Self-released)
1818	Not On Label (Audiopain (2) Self-released)
1818	Not On Label (Aupheus (2) Self-released)
1818	Not On Label (Aussitôt Mort Self-released)
1818	Not On Label (Auto Kinetic Self-released)
1818	Not On Label (Autopsia Self-released)
1818	Not On Label (Avant Garde (2) Self-Released)
1818	Not On Label (Avant Garde)
1818	Not On Label (Avant-Garde Self-released)
1818	Not On Label (Avenue Series)
1818	Not On Label (Avicii)
1818	Not On Label (Avril Lavigne)
1818	Not On Label (Avulsion Self-released)
1818	Not On Label (Axel Neville)
1818	Not On Label (Axwell)
1818	Not On Label (Aysha)
1818	Not On Label (Ätsch Series)
1818	Not On Label (↑→↑ Self-released)
1818	Not On Label (Þeyr Self-released)
1818	Not On Label (B Rocket)
1818	Not On Label (B-Boy Remix Series)
1818	Not On Label (B.T. Express)
1818	Not On Label (Babe Instinct)
1818	Not On Label (Baby D)
1818	Not On Label (Babyface)
1818	Not On Label (Back By Demand Series)
1818	Not On Label (Back To '92 Series)
1818	Not On Label (Baculum Self-released)
1818	Not On Label (Bad Boy Bill)
1818	Not On Label (Bad Bwoy Beatz Series)
1818	Not On Label (Bad Dudes Series)
1818	Not On Label (Bad Noids Self-released)
1818	Not On Label (Bad Religion)
1818	Not On Label (Badman Series)
1818	Not On Label (Baffled Series)
1818	Not On Label (Baffled)
1818	Not On Label (Bahamadia)
1818	Not On Label (Bajskorv Self-released)
1818	&
1818	Not On Label (Balam (2) Self-released)
1818	Not On Label (Banana Kru Series)
1818	Not On Label (Bar 9 Self-released)
1818	Not On Label (Barn Owl Self-released)
1818	Not On Label (Baron Series)
1818	Not On Label (Barraput)
1818	Not On Label (Barrington Levy)
1818	Not On Label (Barry White)
1818	Not On Label (Bas Molendyk)
1818	Not On Label (BASEHEAD Series)
1818	Not On Label (Basement Jaxx)
1818	Not On Label (Bass Collective Series)
1818	Not On Label (Bassheads Series)
1818	Not On Label (Basshunter)
1818	Not On Label (Bastard Noise Self-released)
1818	Not On Label (Bat For Lashes)
1818	Not On Label (Bathory)
1818	Not On Label (Battery Self-Released)
1818	Not On Label (Baudouin Oosterlynck Self-released)
1818	Not On Label (Bauhaus Self-released)
1818	Not On Label (Bauhaus)
1818	Not On Label (Bačova Fujara Self-released)
1818	Not On Label (Böhse Onkelz)
1818	Not On Label (BCAL Series)
1818	Not On Label (Beanz Meanz Heinz Series)
1818	Not On Label (Beastie Boys Self-released)
1818	Not On Label (Beastie Boys)
1818	Not On Label (Beat Foundation)
1818	Not On Label (Beat Machine (2))
1818	Not On Label (Beats International)
1818	Not On Label (Beauty Self-Released)
1818	Not On Label (Beck)
1818	Not On Label (Bedtime For Bonzo Self-released)
1818	Not On Label (Bee Gees)
1818	Not On Label (Beenie Man)
1818	Not On Label (Before I Hang Self-Released)
1818	Not On Label (Beherit Self-released)
1818	Not On Label (Beherit)
1818	Not On Label (Beleth (2) Self-released)
1818	Not On Label (Believe In Disco Series)
1818	Not On Label (Bella Morte Self-Released)
1818	Not On Label (Belle
1818	&
1818	Sebastian)
1818	Not On Label (Belong Self-released)
1818	Not On Label (Ben E. King)
1818	Not On Label (Ben Liebrand)
1818	Not On Label (Benjamin Kama Self-released)
1818	Not On Label (Benni Hemm Hemm Self-released)
1818	Not On Label (Benny Benassi)
1818	Not On Label (Best Of Disco Galaxy Series)
1818	Not On Label (Best Of Hot Tracks Series)
1818	Not On Label (Best Of House Series)
1818	Not On Label (Betty Boo)
1818	Not On Label (Beverly)
1818	Not On Label (Beyoncé)
1818	Not On Label (Biagio Lana Self-released)
1818	Not On Label (Big Ang)
1818	Not On Label (Big Bang Theory)
1818	Not On Label (Big Country)
1818	Not On Label (Big Daddy Kane)
1818	Not On Label (Big Eyes (3) Self-released)
1818	Not On Label (Big L)
1818	Not On Label (Big Noyd)
1818	Not On Label (Big Punisher)
1818	Not On Label (Big World)
1818	Not On Label (Bill Stevens (2) Self-Released)
1818	Not On Label (Billie Ray Martin)
1818	Not On Label (Billy Idol)
1818	Not On Label (Billy Mackenzie)
1818	Not On Label (Billy Ocean)
1818	Not On Label (Bini
1818	&
1818	Martini)
1818	Not On Label (BioFeedBack Self-released)
1818	Not On Label (Bipolar Joe Self-released)
1818	Not On Label (Birch Book Self-released)
1818	Not On Label (Birdland)
1818	Not On Label (Bits
1818	&
1818	Pieces Series)
1818	Not On Label (Bizarre Embalming Self-released)
1818	Not On Label (Bizarre Inc)
1818	Not On Label (Björk)
1818	Not On Label (Bjesovi Self-released)
1818	Not On Label (Black Box)
1818	Not On Label (Black Eagle Child Self-released)
1818	Not On Label (Black Eyed Peas)
1818	Not On Label (Black Eyes Club Self-released)
1818	Not On Label (Black Flag)
1818	Not On Label (Black Sabbath)
1818	Not On Label (Black Science Orchestra)
1818	Not On Label (Black Shape Of Nexus Self-released)
1818	Not On Label (Black Star)
1818	Not On Label (Black Thought)
1818	Not On Label (Black Total Series)
1818	Not On Label (Black-Out Series)
1818	Not On Label (Blackstreet)
1818	Not On Label (Blaque)
1818	Not On Label (Blaze)
1818	Not On Label (Blendwerk (3) Self-released)
1818	Not On Label (Blessed Realm Self-released)
1818	Not On Label (Blipp! Self-released)
1818	Not On Label (Blond (2))
1818	Not On Label (Blondie)
1818	Not On Label (Blood (5) Self-released)
1818	Not On Label (Blood Duster Self-released)
1818	Not On Label (Bloody Diarrhoea Self-released)
1818	Not On Label (Blu Cantrell)
1818	Not On Label (Blu Mar Ten Self-released)
1818	Not On Label (Blu Mar Ten)
1818	Not On Label (Blu Trax Series)
1818	Not On Label (Blue Amazon)
1818	Not On Label (Blue Nature)
1818	Not On Label (Bluesalot.ch Self-released)
1818	Not On Label (Blur)
1818	Not On Label (Boards Of Canada)
1818	Not On Label (Bob Marley
1818	&
1818	The Wailers)
1818	Not On Label (Bob Marley)
1818	Not On Label (Bob Sinclar)
1818	Not On Label (Bobby Orlando)
1818	Not On Label (Bodysnatch)
1818	Not On Label (Boeing (2))
1818	Not On Label (Bogdan Taran)
1818	Not On Label (Bohémien Self-released)
1818	Not On Label (Bola)
1818	Not On Label (Bombanfall Self-released)
1818	Not On Label (Bombers)
1818	Not On Label (Bomfunk MC's)
1818	Not On Label (Bon Jovi)
1818	Not On Label (Boney M.)
1818	Not On Label (Bongripper Self-released)
1818	Not On Label (Bons Self-released)
1818	Not On Label (Boogie Masters)
1818	Not On Label (Booker T)
1818	Not On Label (Boom! (3))
1818	Not On Label (Boot Leg'd Series)
1818	Not On Label (Bootleg Mafia)
1818	Not On Label (Booty Series)
1818	Not On Label (Bootylicious)
1818	Not On Label (Bottomless Pit Self-released)
1818	Not On Label (Bounce Man)
1818	Not On Label (Boy Omega Self-released)
1818	Not On Label (Boyd Rice Self-released)
1818	Not On Label (Boyo)
1818	Not On Label (Boys Noize)
1818	Not On Label (Boytronic)
1818	Not On Label (BP Series)
1818	Not On Label (Brad Smith (4) Self-released)
1818	Not On Label (Brainbug)
1818	Not On Label (Brand Nubian)
1818	Not On Label (Brandon Bass Self-released)
1818	Not On Label (Brandy)
1818	Not On Label (bravecaptain Self-released)
1818	Not On Label (Breaks R Us Series)
1818	Not On Label (Breakstreet)
1818	Not On Label (Bred Series)
1818	Not On Label (Brenzone)
1818	Not On Label (Brian Eno)
1818	Not On Label (Brick
1818	&
1818	Lace)
1818	Not On Label (Britney Spears)
1818	Not On Label (Bronski Beat)
1818	Not On Label (Brother Brown)
1818	Not On Label (Brownstone)
1818	Not On Label (Bruno Mars)
1818	Not On Label (Brutal Bill)
1818	Not On Label (Bryan Cox)
1818	Not On Label (BSTAR Series)
1818	Not On Label (BT)
1818	Not On Label (Bubblegum Crisis (2) Self-released)
1818	Not On Label (Bubblegum Octopus Self-Released)
1818	Not On Label (Buck 65 Self-released)
1818	Not On Label (Buckethead Self-released)
1818	Not On Label (Bud Brothers Series)
1818	Not On Label (Budadub Soundsystem Self-released)
1818	Not On Label (Buju Banton)
1818	Not On Label (Bump
1818	&
1818	Flex)
1818	Not On Label (Bunkerstrasse Self-released)
1818	Not On Label (Buried Day Burned Self-released)
1818	Not On Label (Burzum)
1818	Not On Label (Bushwacka!)
1818	Not On Label (Buskerdroid Self-released)
1818	Not On Label (Busta Beat Series)
1818	Not On Label (Busta Rhymes)
1818	Not On Label (Buy Now)
1818	Not On Label (Buzz (7) Self-released)
1818	Not On Label (Buzzin Cuzzins)
1818	Not On Label (Byron Stingily)
1818	Not On Label (C + C Music Factory)
1818	Not On Label (C.N.M. Series)
1818	Not On Label (Cage Decay Self-Released)
1818	Not On Label (Cairo (4) Self-released)
1818	Not On Label (Cajjmere Wray)
1818	Not On Label (Cajmere)
1818	Not On Label (Cali Aleman)
1818	Not On Label (Call And Response Self-released)
1818	Not On Label (Cam'ron)
1818	Not On Label (Cameo)
1818	Not On Label (Camisra)
1818	Not On Label (Camp Lo)
1818	Not On Label (Canadian Electronic Ensemble Self-released)
1818	Not On Label (Candi Staton)
1818	Not On Label (Candy Apple)
1818	Not On Label (Candy Girls)
1818	Not On Label (Candy's .22 Self-released)
1818	Not On Label (Capleton)
1818	Not On Label (Caprice (2))
1818	Not On Label (Caribou Self-released)
1818	Not On Label (Carl Cox)
1818	Not On Label (Carl Craig)
1818	Not On Label (Carly Simon)
1818	Not On Label (Carmen Electra)
1818	Not On Label (Carnal Diafragma Self-released)
1818	Not On Label (Carol Williams)
1818	Not On Label (Carrie Lucas)
1818	Not On Label (Cart Series)
1818	Not On Label (Casa Tunes Series)
1818	Not On Label (Casino Series)
1818	Not On Label (Cassius Self-released)
1818	Not On Label (Cassius)
1818	Not On Label (Catalogue Self-released)
1818	Not On Label (Cattle Press Self-released)
1818	Not On Label (CBE Series)
1818	Not On Label (Ce Ce Peniston)
1818	Not On Label (Cedar Lines Self-Released)
1818	Not On Label (Cee-Lo Green)
1818	Not On Label (Celtic Frost)
1818	Not On Label (Cerrone)
1818	Not On Label (Cezary Gapik Self-released)
1818	Not On Label (Chace Series)
1818	Not On Label (Chainsaws.and.Children Self-Released)
1818	Not On Label (Chaka Khan)
1818	Not On Label (Chamoix Self-released)
1818	Not On Label (Champ's Boys Orchestra)
1818	Not On Label (Change)
1818	Not On Label (Chantay Savage)
1818	Not On Label (Chants Of Maldoror Self-released)
1818	Not On Label (Charisse Arrington)
1818	Not On Label (Cheeky Trax Series)
1818	Not On Label (CHEL Series)
1818	Not On Label (Cherrelle)
1818	Not On Label (Chic)
1818	Not On Label (Chicago (2))
1818	Not On Label (Chicago Warehouse Classics Series)
1818	Not On Label (Chicken Lips)
1818	Not On Label (Chico DeBarge)
1818	Not On Label (Chief (7) Self-released)
1818	Not On Label (choenyi Self-released)
1818	Not On Label (Choice Cuts Series)
1818	Not On Label (Chris Brown (4))
1818	Not On Label (Chris Clark Self-released)
1818	Not On Label (Chris Isaak)
1818	Not On Label (Chris Lum)
1818	Not On Label (Chris Thompson Self-released)
1818	Not On Label (Christabel Dreams Self-released)
1818	Not On Label (Christian Death)
1818	Not On Label (Christian Richet Self-released)
1818	Not On Label (Chubby Chunks)
1818	Not On Label (Chupacabra (5) Self-released)
1818	Not On Label (Ciara (2))
1818	Not On Label (Cindergarden Self-Released)
1818	Not On Label (Cirez D)
1818	Not On Label (City Of Ships Self-released)
1818	Not On Label (CJ Bolland)
1818	Not On Label (CJ Mackintosh)
1818	Not On Label (Clair Obscur Self-released)
1818	Not On Label (Classic Chicago House)
1818	Not On Label (Classic Disco Dance)
1818	Not On Label (Classic Funk Series)
1818	Not On Label (Classic Garage Series)
1818	Not On Label (Clay People Self-Released)
1818	Not On Label (Cleptomaniacs)
1818	Not On Label (Closing Self-released)
1818	Not On Label (Cloudchaser)
1818	Not On Label (CLS)
1818	Not On Label (Club Au-Go-Go Series)
1818	Not On Label (Club History Series)
1818	Not On Label (Club Ice)
1818	Not On Label (Club R
1818	&
1818	B Series)
1818	Not On Label (Cock And Ball Torture Self-released)
1818	Not On Label (Coco)
1818	Not On Label (Code Blue Series)
1818	Not On Label (Coded Self-Released)
1818	Not On Label (Coffeecore.de)
1818	Not On Label (CoH Self-released)
1818	Not On Label (Coil)
1818	Not On Label (Coke DJ-Culture Series)
1818	Not On Label (Coldplay Self-released)
1818	Not On Label (Coldplay)
1818	Not On Label (Colin Meloy Self-released)
1818	Not On Label (Colossal Spin Self-Released)
1818	Not On Label (Colour Girl)
1818	Not On Label (Comix (2))
1818	Not On Label (Common)
1818	Not On Label (Communication Zero Self-released)
1818	Not On Label (Compressed Infinity Self-Released)
1818	Not On Label (Conductor
1818	&
1818	The Cowboy)
1818	Not On Label (Consecration Self-released)
1818	Not On Label (Consequence (2))
1818	Not On Label (Contraband Series)
1818	Not On Label (Cool Classics Series)
1818	Not On Label (Corkin Tracks Series)
1818	Not On Label (Cormega)
1818	Not On Label (Corporation Series)
1818	Not On Label (Corrosion Of Conformity)
1818	Not On Label (Cosmo Baker Self-released)
1818	Not On Label (Cower (2) Self-released)
1818	Not On Label (Cowpan Series)
1818	Not On Label (Cradle Of Filth)
1818	Not On Label (Craig David)
1818	Not On Label (CraiZ Self-released)
1818	Not On Label (Crank Sturgeon Self-released)
1818	Not On Label (Crazy Cousinz)
1818	Not On Label (Crazy Penis)
1818	Not On Label (Creative Harmonics And Organic Soundscapes Self-released)
1818	Not On Label (Crescendo Series)
1818	Not On Label (Cries Of Tammuz Self-released)
1818	Not On Label (Cripple Bastards Self-released)
1818	Not On Label (Crooklyn Dodgers)
1818	Not On Label (Cross Bred Mongrels)
1818	Not On Label (Crosta (2) Self-released)
1818	Not On Label (Crux Ansata Self-released)
1818	Not On Label (Crystal Waters)
1818	Not On Label (CSS Self-released)
1818	Not On Label (Cuizinier Self-released)
1818	Not On Label (Cult of Jester Self-Released)
1818	Not On Label (Current 93)
1818	Not On Label (Curve)
1818	Not On Label (Cut The Funk Series)
1818	Not On Label (Cutter (4) Self-released)
1818	Not On Label (Cutty Ranks)
1818	Not On Label (Cyantific Self-released)
1818	Not On Label (Cybernetika Self-released)
1818	Not On Label (Cydonia (2) Self-Released)
1818	Not On Label (Cyne Self-released)
1818	Not On Label (D Series)
1818	Not On Label (D'Angelo)
1818	Not On Label (D'Oz Self-released)
1818	Not On Label (D-Bridge Self-released)
1818	Not On Label (D-Ream)
1818	Not On Label (D-Styles Self-released)
1818	Not On Label (D-Train)
1818	Not On Label (D.D.T. (2) Self-Released)
1818	Not On Label (D.I.T.C.)
1818	Not On Label (D.V. Alias Khrist)
1818	Not On Label (Da Boogie Crew Self-released)
1818	Not On Label (Da Fool)
1818	Not On Label (Da Hool)
1818	Not On Label (Da Real Deal Series)
1818	Not On Label (DA Rebels)
1818	Not On Label (Da White Self-released)
1818	Not On Label (Daft Punk)
1818	Not On Label (Dahmer Self-released)
1818	Not On Label (Dalglish Self-released)
1818	Not On Label (Damon Law Self-Released)
1818	Not On Label (Dan-i Self-released)
1818	Not On Label (Dance Your Body Series)
1818	Not On Label (Dance' Til You Drop Series)
1818	Not On Label (Dancehole!! Series)
1818	Not On Label (Dancin)
1818	Not On Label (Danger Mouse self-released)
1818	Not On Label (Danger Mouse)
1818	Not On Label (Danny Tenaglia)
1818	Not On Label (Dante Rosati Self-released)
1818	Not On Label (Danzig)
1818	Not On Label (Dario G)
1818	Not On Label (Dark Comedy)
1818	Not On Label (Dark Funeral)
1818	Not On Label (Dark Intensity)
1818	Not On Label (Dark Sea Dream Self-released)
1818	Not On Label (Darkthrone)
1818	Not On Label (Darude)
1818	Not On Label (Daryl Hall
1818	&
1818	John Oates)
1818	Not On Label (Das Bo)
1818	Not On Label (Das EFX)
1818	Not On Label (Das Kraftfuttermischwerk Self-released)
1818	Not On Label (Dave Armstrong)
1818	Not On Label (Dave Kurtis)
1818	Not On Label (Dave Matthews Band)
1818	Not On Label (David Gilden Self-released)
1818	Not On Label (David Guetta)
1818	Not On Label (David Ian)
1818	Not On Label (David Morales)
1818	Not On Label (David Morris (3))
1818	Not On Label (David Tort)
1818	Not On Label (Day By Day (3) Self-released)
1818	Not On Label (DB Max Series)
1818	Not On Label (De Høje Hæle Self-released)
1818	Not On Label (De La Soul)
1818	Not On Label (De Rigueur Series)
1818	Not On Label (Dead Ideas Self-released)
1818	Not On Label (Dead Or Alive)
1818	Not On Label (Dead Plants Self-released)
1818	Not On Label (Dead Trooper Self-released)
1818	Not On Label (Dead Violets Self-released)
1818	Not On Label (Deadbeats (3) Self-released)
1818	Not On Label (Deadmau5 Self-released)
1818	Not On Label (Deadmau5)
1818	Not On Label (DeadTronic Self-Released)
1818	Not On Label (Deaf And Dumb Self-released)
1818	Not On Label (Deceptikonz Series)
1818	Not On Label (DECKA Series)
1818	Not On Label (Decomposing Serenity Self-released)
1818	Not On Label (Deconstructive Screwdriver Criticism Self-released)
1818	Not On Label (Dedicated Hardware Self-Released)
1818	Not On Label (Dee Dee Bridgewater)
1818	Not On Label (Dee Dee Sharp Gamble)
1818	Not On Label (Dee Patten)
1818	Not On Label (Deee-Lite)
1818	Not On Label (DeeJay Burnt Okee Self-released)
1818	Not On Label (Deejay Friendly)
1818	Not On Label (Deep Dish Presents Series)
1818	Not On Label (Deep Dish)
1818	Not On Label (Degrees Of Motion)
1818	Not On Label (Dejure)
1818	Not On Label (Delerium)
1818	Not On Label (Delphic)
1818	Not On Label (Demiro Self-released)
1818	Not On Label (Demis Roussos)
1818	Not On Label (Denis The Menace)
1818	Not On Label (Denise LaSalle)
1818	Not On Label (Denzal Park)
1818	Not On Label (Depeche Mode)
1818	Not On Label (Depression Self-released)
1818	Not On Label (Depresy Self-released)
1818	Not On Label (Derrick May)
1818	Not On Label (Destiny's Child)
1818	Not On Label (Detroit Beatdown Edits Series)
1818	Not On Label (Deus Ex Machina Self-released)
1818	Not On Label (Deux)
1818	Not On Label (Dewane Hall II Self-released)
1818	Not On Label (DGK Series)
1818	Not On Label (DHS)
1818	Not On Label (Dial F)
1818	Not On Label (Diamond D)
1818	Not On Label (Diana Ross)
1818	Not On Label (Diddy - Dirty Money)
1818	Not On Label (Didier Jean Self-released)
1818	Not On Label (Dido)
1818	Not On Label (Dientes Podridos)
1818	Not On Label (Digital 2)
1818	Not On Label (Dillinja
1818	&
1818	Batmix)
1818	Not On Label (Dimestore Cowboys Series)
1818	Not On Label (Dina Carroll)
1818	Not On Label (Dina Vass)
1818	Not On Label (Dinge Aus Denen Träume Gemacht Sind Series)
1818	Not On Label (Direct Approach (2) Self-released)
1818	Not On Label (Dirty Freek Series)
1818	Not On Label (Dirty Noise Self-released)
1818	Not On Label (Dirty Projectors Self-released)
1818	Not On Label (Dirty South (2))
1818	Not On Label (Discharge)
1818	Not On Label (Disco Biscuit Series)
1818	Not On Label (Disco Diamonds Series)
1818	Not On Label (Disco Dub Disciples)
1818	Not On Label (Disco Mutts)
1818	Not On Label (Disco Stars Series)
1818	Not On Label (Disco-Tex)
1818	Not On Label (Disco/Very)
1818	Not On Label (Discool Jungle Hits Series)
1818	Not On Label (Discorocks Series)
1818	Not On Label (Dissect (3) Self-released)
1818	Not On Label (Disturbance Project Self-released)
1818	Not On Label (DJ Ade)
1818	Not On Label (DJ Benzi Self-released)
1818	Not On Label (DJ Chardy)
1818	Not On Label (DJ Chus)
1818	Not On Label (DJ Code Red Self-released)
1818	Not On Label (DJ Cube Self-released)
1818	Not On Label (DJ Dero)
1818	Not On Label (DJ Dirty Harry)
1818	Not On Label (DJ Energy Mixtapes)
1818	Not On Label (ESG)
1818	Not On Label (DJ Freak Self-Released)
1818	Not On Label (DJ Gio MC-505 Self-released)
1818	Not On Label (DJ Gregory)
1818	Not On Label (DJ Harvey)
1818	Not On Label (DJ Jayzon Self-released)
1818	Not On Label (DJ Kittles)
1818	Not On Label (DJ Kojak Self-released)
1818	Not On Label (DJ Krush)
1818	Not On Label (DJ Life Self-released)
1818	Not On Label (DJ M.Silva)
1818	Not On Label (DJ Mirage Self-released)
1818	Not On Label (DJ Movin' Marty Self-released)
1818	Not On Label (DJ Neil Armstrong Self-released)
1818	Not On Label (DJ Oof Self-released)
1818	Not On Label (DJ Phats)
1818	Not On Label (Dj Pitch Loco Series)
1818	Not On Label (DJ Pooch)
1818	Not On Label (DJ Pro Series)
1818	Not On Label (DJ Q-Bert Self-released)
1818	Not On Label (DJ Rascal (3) Self-released)
1818	Not On Label (DJ Raze Self-released)
1818	Not On Label (DJ Riz)
1818	Not On Label (DJ Shorty (4))
1818	Not On Label (DJ Simi)
1818	Not On Label (DJ Smuggle)
1818	Not On Label (DJ Sneak)
1818	Not On Label (DJ Snowman)
1818	Not On Label (DJ Sucks Self-released)
1818	Not On Label (DJ T.Rexx Self-released)
1818	Not On Label (DJ Tiësto)
1818	Not On Label (DJ Topper)
1818	Not On Label (DJ Z-Trip Self-released)
1818	Not On Label (DJ Z-Trip)
1818	Not On Label (DJ Zinc Self-released)
1818	Not On Label (DJ Zinc)
1818	Not On Label (Dj.reeder Self-released)
1818	Not On Label (DM Series)
1818	Not On Label (DMS
1818	&
1818	The Boneman X)
1818	Not On Label (Doc Severinsen)
1818	Not On Label (Dog Fashion Disco Self-released)
1818	Not On Label (Dog Lady Self-released)
1818	Not On Label (Doll
1818	&
1818	The Kicks Self-released)
1818	Not On Label (Dolly Magazine Series)
1818	Not On Label (Domi-Nation Series)
1818	Not On Label (Donna Giles)
1818	Not On Label (Donna Summer)
1818	Not On Label (Donny Hathaway)
1818	Not On Label (Doppler (6))
1818	Not On Label (Dot (.) Self-released)
1818	Not On Label (Double 99)
1818	Not On Label (Double Base)
1818	Not On Label (Double Exposure)
1818	Not On Label (Doug E. Fresh And The Get Fresh Crew)
1818	Not On Label (Dougie Rogers)
1818	Not On Label (Downstroy Self-released)
1818	Not On Label (Downtown Crew Series)
1818	Not On Label (Dr. Alban)
1818	Not On Label (Dr. Dre)
1818	Not On Label (Dreamteam Black Special Series)
1818	Not On Label (Dred Controllers Series)
1818	Not On Label (Driver (3) Self-released)
1818	Not On Label (Drizabone)
1818	Not On Label (Drudge  Self-released)
1818	Not On Label (Drugstore Era)
1818	Not On Label (DS Series)
1818	Not On Label (Dub Technicians Inc. Series)
1818	Not On Label (Dubfire)
1818	Not On Label (Dubs
1818	&
1818	Re-edits Series)
1818	Not On Label (Duck Sauce)
1818	Not On Label (Duke)
1818	Not On Label (Dukes Of Windsor)
1818	Not On Label (Dumb Dan Self-released)
1818	Not On Label (Duo Infernale Self-released)
1818	Not On Label (Dusty Kid)
1818	Not On Label (Dwóch Warszawiaków Self-released)
1818	Not On Label (Dyed Soundorom)
1818	Not On Label (Dyer MC)
1818	Not On Label (Dynamite MC)
1818	Not On Label (DYNK Series)
1818	Not On Label (DYNK)
1818	Not On Label (Кирпичи Self-released)
1818	Not On Label (E-Base (2))
1818	Not On Label (E-Man)
1818	Not On Label (Ed O.G
1818	&
1818	Da Bulldogs)
1818	Not On Label (Eddie Amador)
1818	Not On Label (Edelweiss Piraten Self-released)
1818	Not On Label (Edie Brickell)
1818	Not On Label (Edit Crazy Series)
1818	Not On Label (Edwin Starr)
1818	Not On Label (EFC Series)
1818	Not On Label (Egida Aurea Self-released)
1818	Not On Label (Einfach Series)
1818	Not On Label (El-B)
1818	Not On Label (Electric Press Series)
1818	Not On Label (Electric Six)
1818	Not On Label (Electro Classics Series)
1818	Not On Label (Elisa)
1818	Not On Label (Ellissay Self-released)
1818	Not On Label (Elodie (4) Self-released)
1818	Not On Label (Elton John)
1818	Not On Label (EMF)
1818	Not On Label (Emilio Verdez)
1818	Not On Label (Eminem)
1818	Not On Label (Emperor (2))
1818	Not On Label (Empyrium Self-released)
1818	Not On Label (Energy 52)
1818	Not On Label (Enrique Iglesias)
1818	Not On Label (Enzo Cage Self-Released)
1818	Not On Label (EQ)
1818	Not On Label (Eric B.)
1818	Not On Label (Eric Clapton)
1818	Not On Label (Eric D. (3))
1818	Not On Label (Eric Kupper)
1818	Not On Label (Eric Prydz)
1818	Not On Label (Erick Morillo)
1818	Not On Label (Erick Sermon)
1818	Not On Label (Erykah Badu)
1818	Not On Label (Esoteric (3) Self-released)
1818	Not On Label (Esoteric Self-released)
1818	Not On Label (Esto Comprueben Self-released)
1818	Not On Label (Etta James)
1818	Not On Label (Eurythmics)
1818	Not On Label (Eva Simons)
1818	Not On Label (Evan Freyer Self-released)
1818	Not On Label (Evanescence)
1818	Not On Label (Evermore)
1818	Not On Label (Every Second Week Self-released)
1818	Not On Label (Everything But The Girl)
1818	Not On Label (Evilion Self-released)
1818	Not On Label (Exclusive R'N'B Remixes Series)
1818	Not On Label (Excruciating Terror Self-released)
1818	Not On Label (Exit Self-released)
1818	Not On Label (Explizit Einsam Self-released)
1818	Not On Label (Expurgo Self-released)
1818	Not On Label (Extravaganza Series)
1818	Not On Label (Fabrice Rocks Series)
1818	Not On Label (Fabulon)
1818	Not On Label (Faith Evans)
1818	Not On Label (Faithless)
1818	Not On Label (Fanu Self-released)
1818	Not On Label (Fascist Insect Self-released)
1818	Not On Label (Faster Detail Self-released)
1818	Not On Label (Fat Joe)
1818	Not On Label (Fatboy Slim)
1818	Not On Label (Fear Falls Burning Self-released)
1818	Not On Label (Fedde Le Grand)
1818	Not On Label (Fela Kuti)
1818	Not On Label (Fela Ransome Kuti
1818	&
1818	Africa 70)
1818	Not On Label (Felix)
1818	Not On Label (Femtekolonnare Self-released)
1818	Not On Label (Ferry Corsten)
1818	Not On Label (Festa Desperato Self-released)
1818	Not On Label (Fierce
1818	&
1818	Funky)
1818	Not On Label (Fifth Dimension, The)
1818	Not On Label (Filthpact Self-released)
1818	Not On Label (Finger
1818	&
1818	Kadel)
1818	Not On Label (Fire Island)
1818	Not On Label (First Choice)
1818	Not On Label (Five)
1818	Not On Label (FKY)
1818	Not On Label (Fleetwood Mac)
1818	Not On Label (Flickman)
1818	Not On Label (Flo Rida)
1818	Not On Label (Florence  And The Machine)
1818	Not On Label (Fly Breaks Series)
1818	Not On Label (FOA Self-Released)
1818	Not On Label (For Da Streets Series)
1818	Not On Label (Ford)
1818	Not On Label (Four Four Flavas Series)
1818	Not On Label (Four Tet)
1818	Not On Label (Fox The Fox)
1818	Not On Label (Foxy Brown)
1818	Not On Label (FOZ Series)
1818	Not On Label (Fragma)
1818	Not On Label (Frankie Cutlass)
1818	Not On Label (Frankie Goes To Hollywood)
1818	Not On Label (Franky Gee)
1818	Not On Label (Franz Ferdinand Self-released)
1818	Not On Label (Franz Ferdinand)
1818	Not On Label (Freeez)
1818	Not On Label (Freestyle Classics Series)
1818	Not On Label (Freistoss Self-released)
1818	Not On Label (Front 242)
1818	Not On Label (Frou Frou)
1818	Not On Label (Fruity Loops Series)
1818	Not On Label (FU Series)
1818	Not On Label (Fuaim Catha Self-released)
1818	Not On Label (Fugees)
1818	Not On Label (Full Intention)
1818	Not On Label (Fun Bobby)
1818	Not On Label (Funky 4 + 1)
1818	Not On Label (Funky Green Dogs)
1818	Not On Label (Fursaxa Self-Released)
1818	Not On Label (Future Loop Foundation Self-released)
1818	Not On Label (G Series)
1818	Not On Label (G-Club)
1818	Not On Label (G-Unit Self-released)
1818	Not On Label (G.O.D.)
1818	Not On Label (Gabe Real (2) Self-released)
1818	Not On Label (Gary Byrd)
1818	Not On Label (Gary Flanagan Self-released)
1818	Not On Label (Gat Decor)
1818	Not On Label (Gell Series)
1818	Not On Label (Gema Series)
1818	Not On Label (General Fuzz Self-released)
1818	Not On Label (Genie)
1818	Not On Label (Genosha Self-released)
1818	Not On Label (George Benson)
1818	Not On Label (George Marsh Self-released)
1818	Not On Label (George McCrae)
1818	Not On Label (Gerbophilia Self-released)
1818	Not On Label (Ghostface Killah)
1818	Not On Label (Giancarlo Toniutti Self-Released)
1818	Not On Label (Gibson Brothers)
1818	Not On Label (Gigi D'Agostino)
1818	Not On Label (Gigolo)
1818	Not On Label (Gillan)
1818	Not On Label (Ginger Baker)
1818	Not On Label (Glaciation Self-released)
1818	Not On Label (Glen Guy Self-released)
1818	Not On Label (Glen Larson)
1818	Not On Label (Global Club Mixes Series)
1818	Not On Label (Global Communication)
1818	Not On Label (Gnarls Barkley)
1818	Not On Label (Golden Birds Self-released)
1818	Not On Label (Golden Boy)
1818	Not On Label (Goldfrapp)
1818	Not On Label (Goldie Alexander)
1818	Not On Label (Gonzales Self-released)
1818	Not On Label (Gorgoroth)
1818	Not On Label (Gorillaz)
1818	Not On Label (Gouryella)
1818	Not On Label (Grace)
1818	Not On Label (Grandmaster Flash
1818	Melle Mel)
1818	Not On Label (Grandmaster Flash)
1818	Not On Label (Grant Nicholas)
1818	Not On Label (Green Velvet)
1818	Not On Label (Gregg Kowalsky Self-Released)
1818	Not On Label (Gregory Isaacs)
1818	Not On Label (Grendel (6) Self-released)
1818	Not On Label (Groove Armada)
1818	Not On Label (Groove Committee)
1818	Not On Label (Groove Merchants Series)
1818	Not On Label (Groove Theory)
1818	Not On Label (Grooves Series)
1818	Not On Label (Groovy Aardvark Self-released)
1818	Not On Label (Grossmember Self-released)
1818	Not On Label (Grouper Self-Released)
1818	Not On Label (Gucci Mane Self-released)
1818	Not On Label (Gucci Mane)
1818	Not On Label (Guinea Pig Self-released)
1818	Not On Label (Gunner Møller Pedersen Self Released)
1818	Not On Label (Guns N' Roses)
1818	Not On Label (Gusto)
1818	Not On Label (Guy J)
1818	Not On Label (GVA Series)
1818	Not On Label (Gwen McCrae)
1818	Not On Label (Haemorrhage (2) Self-released)
1818	Not On Label (Haifa)
1818	Not On Label (Haley Gibby)
1818	Not On Label (Hand's Burn)
1818	Not On Label (Hank Scorpio Remix Series)
1818	Not On Label (Hannu)
1818	Not On Label (Happy Pussy Self-released)
1818	Not On Label (Happyhead)
1818	Not On Label (Harass Self-released)
1818	Not On Label (Hard-Fi)
1818	Not On Label (Hardfloor)
1818	Not On Label (Hardrive)
1818	Not On Label (Harold Melvin And The Blue Notes)
1818	Not On Label (Harry "Choo Choo" Romero)
1818	Not On Label (Harutaka Mochizuki Self-Released)
1818	Not On Label (Hatred Division Self-released)
1818	Not On Label (Havoc (3))
1818	Not On Label (Hawkeye)
1818	Not On Label (Härsken Self-released)
1818	Not On Label (Hëllström Self-released)
1818	Not On Label (Hüsker Dü)
1818	Not On Label (HeatdeatH Self-released)
1818	Not On Label (Heavy Joints)
1818	Not On Label (Helena Danis Self-released)
1818	Not On Label (Hellbastard Self-released)
1818	Not On Label (Heller
1818	&
1818	Farley)
1818	Not On Label (Hellhammer (2))
1818	Not On Label (Hellpass)
1818	Not On Label (Herbie Hancock)
1818	Not On Label (Herbie Mann)
1818	Not On Label (Hervé)
1818	Not On Label (Hexstatic Self-released)
1818	Not On Label (Hi-Gate)
1818	Not On Label (High Contrast)
1818	Not On Label (High Rise)
1818	Not On Label (Hipnosis)
1818	Not On Label (Hitmixers Series)
1818	Not On Label (HMP Series)
1818	Not On Label (Hollis P. Monroe)
1818	Not On Label (Hoodrats)
1818	Not On Label (Horrible Boy)
1818	Not On Label (Hound Dogs)
1818	Not On Label (Househeadz)
1818	Not On Label (Howard
1818	&
1818	Stereo Self-released)
1818	Not On Label (Howard Johnson)
1818	Not On Label (Hoxton Whores)
1818	Not On Label (HTFunk Series)
1818	Not On Label (Huckleberry (2))
1818	Not On Label (Human Weapon Self-Released)
1818	Not On Label (Humate)
1818	Not On Label (Hunt Down The Savage Series)
1818	Not On Label (Hurricane)
1818	Not On Label (Hustlers Convention)
1818	Not On Label (Hybrid)
1818	Not On Label (HYH Series)
1818	Not On Label (Hype Williams (2) Self-released)
1818	Not On Label (Hypo Self-released)
1818	Not On Label (i AM esper Self Released)
1818	Not On Label (I Love Disco Series)
1818	Not On Label (I-Roc)
1818	Not On Label (I.R.A. Self-released)
1818	Not On Label (Ike Dirty)
1818	Not On Label (Ilúzia Self-released)
1818	Not On Label (Illicit Remix Series)
1818	Not On Label (Illoozer Series)
1818	Not On Label (Impaled Nazarene)
1818	Not On Label (Incognito)
1818	Not On Label (Indeep)
1818	Not On Label (India)
1818	Not On Label (Inertie Self-released)
1818	Not On Label (Infected Mushroom)
1818	Not On Label (Infezione Self-released)
1818	Not On Label (Infusion)
1818	Not On Label (INI)
1818	Not On Label (Inner Life)
1818	Not On Label (Innerzone Orchestra)
1818	Not On Label (Innoxia Corpora Self-released)
1818	Not On Label (Inquisition Self-released)
1818	Not On Label (Institute Of Technology Self-released)
1818	Not On Label (Intrigue (3))
1818	Not On Label (INXS)
1818	Not On Label (Iron Fist (7) Self-released)
1818	Not On Label (Isaac Hayes)
1818	Not On Label (iTAL tEK Self-released)
1818	Not On Label (Ithaca Self-released)
1818	Not On Label (Ivanov)
1818	Not On Label (Iván Ferreiro Self-released)
1818	Not On Label (J Da Flex)
1818	Not On Label (J-Kwon)
1818	Not On Label (JAC Series)
1818	Not On Label (Jada)
1818	Not On Label (Jae Millz Self-released)
1818	Not On Label (Jah Cure)
1818	Not On Label (Jake Bayzli Remix Series)
1818	Not On Label (Jakob Carrison Remix Series)
1818	Not On Label (Jamaica (4) Self-released)
1818	Not On Label (James Brown)
1818	Not On Label (James Pants Self-released)
1818	Not On Label (James Talk
1818	&
1818	Ridney)
1818	Not On Label (Jamiroquai)
1818	Not On Label (Jammin D)
1818	Not On Label (Jan Hegenberg Self-released)
1818	Not On Label (Jan Johnston)
1818	Not On Label (Jana Winderen Self-released)
1818	Not On Label (Jane Siberry Self-released)
1818	Not On Label (Janet Jackson)
1818	Not On Label (Janette Sewell)
1818	Not On Label (Japanese Cartoon Self-released)
1818	Not On Label (Jason Herd)
1818	Not On Label (Jay Kay)
1818	Not On Label (Jay-Z)
1818	Not On Label (Jaydee)
1818	Not On Label (Jazzy M)
1818	Not On Label (Jazzyfatnastees)
1818	Not On Label (Jónsi
1818	&
1818	Alex Self-released)
1818	Not On Label (JDS)
1818	Not On Label (Jean Carn)
1818	Not On Label (Jean Jacques Smoothie)
1818	Not On Label (Jean-Marie K)
1818	Not On Label (Jean-Michel Jarre)
1818	Not On Label (Jennifer Lopez)
1818	Not On Label (Jens Lekman Self-released)
1818	Not On Label (Jeremy Olander)
1818	Not On Label (Jesus Loves You)
1818	Not On Label (Jets Under Fire Self-released)
1818	Not On Label (Jill Scott Bootlegs)
1818	Not On Label (Jill Scott)
1818	Not On Label (Jimmy "Bo" Horne)
1818	Not On Label (JJ Flores
1818	&
1818	Steve Smooth)
1818	Not On Label (JMFG)
1818	Not On Label (Jodeci)
1818	Not On Label (Jody Watley)
1818	Not On Label (Joe Claussell)
1818	Not On Label (Joe Sinistr)
1818	Not On Label (Joey Musaphia)
1818	Not On Label (Joey Negro)
1818	Not On Label (John Dahlbäck)
1818	Not On Label (John Digweed)
1818	Not On Label (John Morales Self-released)
1818	Not On Label (John Rocca)
1818	Not On Label (John Wesley)
1818	Not On Label (Johnny Dynell)
1818	Not On Label (Jolly Roger Self-released)
1818	Not On Label (Jon Cutler)
1818	Not On Label (Jonathan Coleclough Self-released)
1818	Not On Label (Jose Nuñez)
1818	Not On Label (Joseph Higginz Self-released)
1818	Not On Label (Josh Wink)
1818	Not On Label (Joy Division)
1818	Not On Label (Joy Orbison)
1818	Not On Label (Jstar)
1818	Not On Label (Julian Jonah)
1818	Not On Label (Julio Iglesias)
1818	Not On Label (Junior Jack Bootlegs)
1818	Not On Label (Junior Jack)
1818	Not On Label (Junkfood Player)
1818	Not On Label (Junkie XL)
1818	Not On Label (Just Roastin')
1818	Not On Label (Justice (3))
1818	Not On Label (Justin Timberlake)
1818	Not On Label (K
1818	&
1818	M)
1818	Not On Label (K.P.
1818	&
1818	Envyi)
1818	Not On Label (Kaiser Chiefs)
1818	Not On Label (Kamisshake)
1818	Not On Label (Kanye West Self-released)
1818	Not On Label (Kanye West)
1818	Not On Label (Karim Series)
1818	Not On Label (Kariya)
1818	Not On Label (Karl G Remixes Series)
1818	Not On Label (Karter Self-released)
1818	Not On Label (Kaskade)
1818	Not On Label (Kasper van Hoek Self-released)
1818	Not On Label (Katcha)
1818	Not On Label (Kate Bush)
1818	Not On Label (Kathy Brown)
1818	Not On Label (Katy Perry)
1818	Not On Label (Kädävérbäk Self-released)
1818	Not On Label (KBE Edits Series)
1818	Not On Label (KE Series)
1818	Not On Label (Keane Self-released)
1818	Not On Label (Keda Kid Self-released)
1818	Not On Label (Keith Nunnally)
1818	Not On Label (Kelis)
1818	Not On Label (Kenny "Dope" Gonzalez)
1818	Not On Label (Kenny Dixon Jr.)
1818	Not On Label (Kenny Lattimore)
1818	Not On Label (Kentish Man)
1818	Not On Label (Kesha)
1818	Not On Label (Kevin Real Deal)
1818	Not On Label (Khia)
1818	Not On Label (Kid 'N' Play)
1818	Not On Label (Kid Massive)
1818	Not On Label (Kid Vicious)
1818	Not On Label (Killer Jams Series)
1818	Not On Label (Killer Tunes Series)
1818	Not On Label (Kim English)
1818	Not On Label (Kim Kanerva Self-released)
1818	Not On Label (Kinane)
1818	Not On Label (King Arthurs Rhythm Quest Series)
1818	Not On Label (King Diamond)
1818	Not On Label (King Unique)
1818	Not On Label (Kings Of Leon)
1818	Not On Label (Kings Of Tomorrow)
1818	Not On Label (Kirill Junolainen Self-released)
1818	Not On Label (Kiss The Bottle Self-released)
1818	Not On Label (Kiss)
1818	Not On Label (Kittitas Self-released)
1818	Not On Label (Klaas)
1818	Not On Label (Klub des Loosers Self-released)
1818	Not On Label (Klubbheads)
1818	Not On Label (Knee Deep)
1818	Not On Label (Manfat Self-released)
1818	Not On Label (Knights Of The Turntable Series)
1818	Not On Label (Kool
1818	&
1818	The Gang)
1818	Not On Label (Kool Keith Self-released)
1818	Not On Label (Korn)
1818	Not On Label (Kort Prosess Self-released)
1818	Not On Label (Kraftwerk)
1818	Not On Label (Kriegbereit Self-released)
1818	Not On Label (Kristine Blond)
1818	Not On Label (Krome Angelz)
1818	Not On Label (Kyuss)
1818	Not On Label (L'usine)
1818	Not On Label (L.A. Symphony)
1818	Not On Label (L.T.D.)
1818	Not On Label (La Luna)
1818	Not On Label (La Monte Young)
1818	Not On Label (Laïs Self-Released)
1818	Not On Label (Lack (2) Self-released)
1818	Not On Label (Lady Gaga)
1818	Not On Label (Lady Sports Series)
1818	Not On Label (Ladytron)
1818	Not On Label (Laidback Luke)
1818	Not On Label (Lake Shore Drive)
1818	Not On Label (Lange)
1818	Not On Label (Large Professor)
1818	Not On Label (Larry Lynx)
1818	Not On Label (Lars Kolbe Self-Released)
1818	Not On Label (Last Rhythm)
1818	Not On Label (Laufeyiar Sonr Self-released)
1818	Not On Label (Laurent Garnier)
1818	Not On Label (Layo
1818	&
1818	Bushwacka!)
1818	Not On Label (LCD Soundsystem)
1818	Not On Label (LDOE)
1818	Not On Label (Le Tigre)
1818	Not On Label (Led Zeppelin)
1818	Not On Label (Lee-Cabrera)
1818	Not On Label (Leela James)
1818	Not On Label (Legion Of Doom Self-released)
1818	Not On Label (Leicohtica Self-released)
1818	Not On Label (Lemar)
1818	Not On Label (Lennie De Ice)
1818	Not On Label (Lenny Kravitz)
1818	Not On Label (Lenny Williams)
1818	Not On Label (Leonid Rudenko)
1818	Not On Label (Les Dix-Huit Secondes Self-Released)
1818	Not On Label (Les Schtroumpfs Alcooliques Self-released)
1818	Not On Label (Lescure 13 Self-released)
1818	Not On Label (Liar's Rosebush Self-released)
1818	Not On Label (Lidell Townsell
1818	&
1818	M.T.F.)
1818	Not On Label (Life For Dead Self-released)
1818	Not On Label (Lightnin' Rod)
1818	Not On Label (Likkleman Remix Series)
1818	Not On Label (Lil Silva)
1818	Not On Label (Lil Wayne)
1818	Not On Label (Lil' Louis)
1818	Not On Label (limitedasf_ck@hotmail.com)
1818	Not On Label (Lina)
1818	Not On Label (Lionel Richie)
1818	Not On Label (Lipps, Inc.)
1818	Not On Label (Lisa Lisa
1818	&
1818	Cult Jam)
1818	Not On Label (Lisa Marie Experience)
1818	Not On Label (Lisa Stansfield)
1818	Not On Label (Literon)
1818	Not On Label (Little Brother (3))
1818	Not On Label (Live At Robert Johnson)
1818	Not On Label (Lmfao)
1818	Not On Label (LMT Series)
1818	Not On Label (Loleatta Holloway)
1818	Not On Label (London Fiesta)
1818	Not On Label (Lone Ranger (3))
1818	Not On Label (Longpig Self-Released)
1818	Not On Label (Looptroop (2) Self-released)
1818	Not On Label (Loose Joints)
1818	Not On Label (Lootbeggars)
1818	Not On Label (Lord Finesse)
1818	Not On Label (Lost 'n' Found Series)
1818	Not On Label (Lost Boyz)
1818	Not On Label (Lost Kidz Self-released)
1818	Not On Label (Lost Witness)
1818	Not On Label (Louie Austen)
1818	Not On Label (Love 80's Series)
1818	Not On Label (Love Parade Series)
1818	Not On Label (Love Robot)
1818	Not On Label (Love To Infinity)
1818	Not On Label (Low Deep)
1818	Not On Label (lowkey+nude Self-released)
1818	Not On Label (LTD Series)
1818	Not On Label (Lubricant Self-released)
1818	Not On Label (Lucky 7 Series)
1818	Not On Label (Lucy Pearl)
1818	Not On Label (Ludacris)
1818	Not On Label (Lukáš Machata Self-released)
1818	Not On Label (Luke Fair)
1818	Not On Label (Luke)
1818	Not On Label (Lumen Self-Released)
1818	Not On Label (Luniz)
1818	Not On Label (Lupe Fiasco Bootlegs)
1818	Not On Label (Luther Vandross)
1818	Not On Label (M Dubs)
1818	Not On Label (M-Beat)
1818	Not On Label (M-Zone)
1818	Not On Label (M.A.N.D.Y. vs. Booka Shade)
1818	Not On Label (M.A.N.I.C.)
1818	Not On Label (M.I.A. (2))
1818	Not On Label (Machinefabriek Self-released)
1818	Not On Label (Mad Records Series)
1818	Not On Label (Madcult Self-released)
1818	Not On Label (Madonna)
1818	Not On Label (Mads Eriksen Self-released)
1818	Not On Label (Maglor Self-released)
1818	Not On Label (Magnetic Man)
1818	Not On Label (Magrudergrind Self-released)
1818	Not On Label (Major Lazer)
1818	Not On Label (Makaveli)
1818	Not On Label (Makoto Kawabata Self-Released)
1818	Not On Label (Malcolm Mooney And  The Tenth Planet Self-released)
1818	Not On Label (Malesanctus Self-released)
1818	Not On Label (Malik Pendleton)
1818	Not On Label (Manowar)
1818	Not On Label (Mansun)
1818	Not On Label (Manu Dibango)
1818	Not On Label (Marascia
1818	&
1818	Dusty Kid)
1818	Not On Label (Marascia)
1818	Not On Label (Marc Kinchen)
1818	Not On Label (Marco Morelli Self-released)
1818	Not On Label (Marduk)
1818	Not On Label (Mariah Carey)
1818	Not On Label (Marineboy Series)
1818	Not On Label (Mark E)
1818	Not On Label (Mark Keller (3))
1818	Not On Label (Mark Lee Project)
1818	Not On Label (Marshall Jefferson)
1818	Not On Label (Martha Wash)
1818	Not On Label (Martin Accorsi)
1818	Not On Label (Martin L. Gore)
1818	Not On Label (Martin Solveig)
1818	Not On Label (Maruta Self-Released)
1818	Not On Label (Marvin Gaye
1818	&
1818	Tammi Terrell)
1818	Not On Label (Marvin Gaye)
1818	Not On Label (Mary J. Blige)
1818	Not On Label (Mash Up Man Series)
1818	Not On Label (Massive Attack)
1818	Not On Label (Masta Killa)
1818	Not On Label (Master Pieces Series)
1818	Not On Label (Master Pressing Series)
1818	Not On Label (Master Stepz)
1818	Not On Label (Masters At Work)
1818	Not On Label (Masters Of Noise Self-released)
1818	Not On Label (Matlok)
1818	Not On Label (Matt Darey)
1818	Not On Label (Matt Pond PA Self-released)
1818	Not On Label (Mattfoley Self-released)
1818	Not On Label (Matthew Dekay)
1818	Not On Label (Maurice Donovan)
1818	Not On Label (Maurice Pinkster Self-released)
1818	Not On Label (Maurizio Bianchi Self-released)
1818	Not On Label (Mauro Picotto)
1818	Not On Label (Maxi Dance Series)
1818	Not On Label (Maxwell)
1818	Not On Label (Mayhem)
1818	Not On Label (Määk's Spirit Self-released)
1818	Not On Label (Mötley Crüe)
1818	Not On Label (Meat Beat Manifesto Self-released)
1818	Not On Label (Meccalicious)
1818	Not On Label (Mechanised Convulsions Self-Released)
1818	Not On Label (Megahertz (5))
1818	Not On Label (Melanie B)
1818	Not On Label (Melba Moore)
1818	Not On Label (Mellee Fresh)
1818	Not On Label (Mellowtrax (2))
1818	Not On Label (Melvins)
1818	Not On Label (Menschdefekt Self-Released)
1818	Not On Label (Mercury 4°F Self-released)
1818	Not On Label (Metal Church Self-released)
1818	Not On Label (Metal Fusion)
1818	Not On Label (Metallica Self-released)
1818	Not On Label (Metallica)
1818	Not On Label (Mexican Stand-Off Self-released)
1818	Not On Label (MIA.)
1818	Not On Label (Miami Vices Series)
1818	Not On Label (Miami Vices)
1818	Not On Label (Michael Bolton)
1818	Not On Label (Michael Flower Self-released)
1818	Not On Label (Michael Gray)
1818	Not On Label (Michael Jackson)
1818	Not On Label (Michael Mind)
1818	Not On Label (Michael Watford)
1818	Not On Label (Michelle Wallace)
1818	Not On Label (Mickey Slim)
1818	Not On Label (Mickey Wax Self-released)
1818	Not On Label (Micky Slim)
1818	Not On Label (Midnight Youth (2))
1818	Not On Label (Mighty Dub Katz)
1818	Not On Label (Mighty P)
1818	Not On Label (Mika (8))
1818	Not On Label (Mike Huckaby)
1818	Not On Label (Mike Kenny (3))
1818	Not On Label (Mike Oldfield)
1818	Not On Label (Mike Series)
1818	Not On Label (Miles Showell)
1818	Not On Label (Millionaire Hippies)
1818	Not On Label (Millionaire)
1818	Not On Label (MIM Series)
1818	Not On Label (Mind Confusion Self-released)
1818	Not On Label (Mind Flavour)
1818	Not On Label (Mind Trap)
1818	Not On Label (Mirko Bartsch)
1818	Not On Label (Miro Pajic Self-Released)
1818	Not On Label (Mirrorman)
1818	Not On Label (Misfits)
1818	Not On Label (Miss Kittin)
1818	Not On Label (Missin In Action Series)
1818	Not On Label (Missy Elliott)
1818	Not On Label (Mister Cee)
1818	Not On Label (Mitch Buchannon (2) Self-released)
1818	Not On Label (Mixin Potions Series)
1818	Not On Label (MJ Cole Bootlegs)
1818	Not On Label (Mobb Deep)
1818	Not On Label (Mobius Band Self-released)
1818	Not On Label (Moby)
1818	Not On Label (Modern Romance)
1818	Not On Label (Modjo)
1818	Not On Label (Moleculez Self-released)
1818	Not On Label (Moloko)
1818	Not On Label (Monday Michiru)
1818	Not On Label (Mongolito (2) Self-released)
1818	Not On Label (Monumentum Self-released)
1818	Not On Label (Mood II Swing)
1818	Not On Label (Moodymann)
1818	Not On Label (Moonblood)
1818	Not On Label (Morbid Angel)
1818	Not On Label (Morbid)
1818	Not On Label (Morcheeba)
1818	Not On Label (Morgan Geist)
1818	Not On Label (Mortifer (6) Self-Released)
1818	Not On Label (Mortiis)
1818	Not On Label (Mory Kanté)
1818	Not On Label (Mos Def)
1818	Not On Label (Motörhead)
1818	Not On Label (Motiv 8)
1818	Not On Label (Motor City Drum Ensemble)
1818	Not On Label (Mourning Beloveth Self-released)
1818	Not On Label (Mousse T.)
1818	Not On Label (Move Your Ass Series)
1818	Not On Label (Mowgli Self-released)
1818	Not On Label (Mr. A)
1818	Not On Label (Mr. Fingers)
1818	Not On Label (Mr. Reds)
1818	Not On Label (Mr. Smith's DJ Tools Series)
1818	Not On Label (Ms. Dynamite)
1818	Not On Label (Mucho Bizarre Self-released)
1818	Not On Label (Mudhoney)
1818	Not On Label (Murk)
1818	Not On Label (Musique vs. U2)
1818	Not On Label (Musk Ox Self-released)
1818	Not On Label (Must Haves Series)
1818	Not On Label (Mylo)
1818	Not On Label (Mystic Inane Self-released)
1818	Not On Label (N*E*R*D)
1818	Not On Label (N-AyneX Self-released)
1818	Not On Label (N-Joi)
1818	Not On Label (N-Trance)
1818	Not On Label (Na Smiech Self-released)
1818	Not On Label (Naked Funk (2))
1818	Not On Label (Nalin
1818	&
1818	Kane)
1818	Not On Label (Napalm Death)
1818	Not On Label (Nas)
1818	Not On Label (Nat King Cole)
1818	Not On Label (Nate Dogg)
1818	Not On Label (Nathan Holscher Self-released)
1818	Not On Label (Naughty Boys)
1818	Not On Label (Necro Hippies Self-released)
1818	Not On Label (Necrocannibalistic Vomitorium Self-released)
1818	Not On Label (Necrology (2) Self-released)
1818	Not On Label (Negazione Self-released)
1818	Not On Label (Neighbour)
1818	Not On Label (Neil Campbell Self-released)
1818	Not On Label (Neil Young)
1818	Not On Label (Nekrasov Self-released)
1818	Not On Label (Nelly Furtado Bootlegs)
1818	Not On Label (Nelly)
1818	Not On Label (Nero (5))
1818	Not On Label (Nettlethrone Self-released)
1818	Not On Label (Network Nostalgia Series)
1818	Not On Label (New Monkey Series)
1818	Not On Label (New Order)
1818	Not On Label (New Wave Mix Series)
1818	Not On Label (Nic Fanciulli)
1818	Not On Label (Nick Cave)
1818	Not On Label (Nick Rhodes)
1818	Not On Label (Nicole Scherzinger)
1818	Not On Label (Nid
1818	&
1818	Sancy)
1818	Not On Label (Niels Frederickx Self-released)
1818	Not On Label (Nightlife Unlimited)
1818	Not On Label (Nigo)
1818	Not On Label (Nina Simone)
1818	Not On Label (Nine Inch Nails)
1818	Not On Label (Nirvana)
1818	Not On Label (Nitty Gritty)
1818	Not On Label (Njål Kiese Self-released)
1818	Not On Label (No I.D.)
1818	Not On Label (No Use For A Name Self-released)
1818	Not On Label (Nordlander)
1818	Not On Label (Noreaga)
1818	Not On Label (Norman Doray)
1818	Not On Label (North End)
1818	Not On Label (Notorious B.I.G.)
1818	Not On Label (Novy vs. Eniac)
1818	Not On Label (Noxa Self-released)
1818	Not On Label (Nu Colours)
1818	Not On Label (Nu-Birth)
1818	Not On Label (Nudisco)
1818	Not On Label (NunSlaughter Self-released)
1818	Not On Label (Nurse With Wound)
1818	Not On Label (Nuyorican Soul)
1818	Not On Label (O.S.T. Self-released)
1818	Not On Label (Oasis (2))
1818	Not On Label (OD Series)
1818	Not On Label (Olav Basoski)
1818	Not On Label (Old Pagan Self-released)
1818	Not On Label (Old School Ltd Series)
1818	Not On Label (Olimax
1818	&
1818	DJ Shapps)
1818	Not On Label (Olive)
1818	Not On Label (Oliver Moldan Self-released)
1818	Not On Label (Oliver Moldan)
1818	Not On Label (Omega Man (3) Self-Released)
1818	Not On Label (Omnikrom Self-released)
1818	Not On Label (Once In A Blue Moon)
1818	Not On Label (OnePhatDeeva)
1818	Not On Label (Onyx)
1818	Not On Label (Orchestral Manoeuvres In The Dark)
1818	Not On Label (Orgasmic Self-released)
1818	Not On Label (Origin (5))
1818	Not On Label (Orkest De Volharding Self-released)
1818	Not On Label (Orkidea)
1818	Not On Label (Orlando Voorn)
1818	Not On Label (Orphax Self-released)
1818	Not On Label (Orsi Lucille Self-released)
1818	Not On Label (OutKast)
1818	Not On Label (Overhang Party Self-released)
1818	Not On Label (Owl City)
1818	Not On Label (P!NK)
1818	Not On Label (Pablo Clements Self-released)
1818	Not On Label (Paffendorf)
1818	Not On Label (Paid In Full Series)
1818	Not On Label (Paperclip People)
1818	Not On Label (Party Dubs Series)
1818	Not On Label (Pat Benatar)
1818	Not On Label (Pat Riot)
1818	Not On Label (Patrick Cowley)
1818	Not On Label (Paul "Tubbs" Williams)
1818	Not On Label (Paul Trinidad)
1818	Not On Label (Paul van Dyk)
1818	Not On Label (Pépé Bradock)
1818	Not On Label (Pünktchen Pünktchen Self-released)
1818	Not On Label (Peach Series)
1818	Not On Label (Pedro Da Silva)
1818	Not On Label (Perfecto)
1818	Not On Label (Persona Non Grata (5) Self-released)
1818	Not On Label (Perverz Self-released)
1818	Not On Label (Pet Shop Boys)
1818	Not On Label (Pete Heller)
1818	Not On Label (Pete Martin)
1818	Not On Label (Pete Rock
1818	&
1818	C.L. Smooth)
1818	Not On Label (Pete Rock)
1818	Not On Label (Peter Van Riper Self-Released)
1818	Not On Label (Pharoahe Monch)
1818	Not On Label (Pharrell Williams)
1818	Not On Label (Phats
1818	&
1818	Small)
1818	Not On Label (Phil Collins)
1818	Not On Label (Phillip Mezzatesta)
1818	Not On Label (Phoenix Self-released)
1818	Not On Label (PICT Series)
1818	Not On Label (Pierre De La Touche)
1818	Not On Label (Pierrehenrihardcore Self-released)
1818	Not On Label (Pilskills Self-released)
1818	Not On Label (Pimp My Booty Series)
1818	Not On Label (Pipeline Alpha Self-released)
1818	Not On Label (Pitbull)
1818	Not On Label (Pixies)
1818	Not On Label (Planet Funk)
1818	Not On Label (Plasmatics (2))
1818	Not On Label (Plastikman)
1818	Not On Label (PLD)
1818	Not On Label (Pleasurekraft)
1818	Not On Label (Plump DJs)
1818	Not On Label (Plus Mínus Self-released)
1818	Not On Label (Pnau)
1818	Not On Label (Pointer Sisters)
1818	Not On Label (Poison Dwarfs Self-released)
1818	Not On Label (Polar Soul Self-released)
1818	Not On Label (Political Vermin Self-released)
1818	Not On Label (Pollen Trio Self-released)
1818	Not On Label (Poltergeist (12) Self-released)
1818	Not On Label (Pommey Bashers Series)
1818	Not On Label (Popof)
1818	Not On Label (Possessed)
1818	Not On Label (Posthuman (3) Self-Released)
1818	Not On Label (Pound Boys)
1818	Not On Label (PP Series)
1818	Not On Label (Pressure Drop)
1818	Not On Label (Primal Scream)
1818	Not On Label (Prince)
1818	Not On Label (PRO Series)
1818	Not On Label (Process Is Dead Self-released)
1818	Not On Label (Prodigy, The Self-released)
1818	Not On Label (Prok
1818	&
1818	Fitch)
1818	Not On Label (Promo Self-released)
1818	Not On Label (Pryda)
1818	Not On Label (Przewalski's Horses Self-released)
1818	Not On Label (Public Enemy)
1818	Not On Label (Pulse (14)
1818	Not On Label (Pulse (14))
1818	Not On Label (Pulse (3))
1818	Not On Label (Punished Earth Self-released)
1818	Not On Label (Punk Series)
1818	Not On Label (Purple People)
1818	Not On Label (PVMNTSW Self-released)
1818	Not On Label (Q (10))
1818	Not On Label (Q-Tip)
1818	Not On Label (Quake)
1818	Not On Label (Quality Music Series)
1818	Not On Label (Queen)
1818	Not On Label (Qwazaar Self-released)
1818	Not On Label (R
1818	&
1818	B 4 Life Series)
1818	Not On Label (R. Kelly)
1818	Not On Label (R.A.W.)
1818	Not On Label (R.V.Cock)
1818	Not On Label (Rachel McFarlane)
1818	Not On Label (Radio Slave)
1818	Not On Label (Radiohead)
1818	Not On Label (Rakim)
1818	Not On Label (RAL Series)
1818	Not On Label (Ralph Falcon)
1818	Not On Label (Rammstein)
1818	Not On Label (Ramones)
1818	Not On Label (Ramp (3))
1818	Not On Label (Random Movement Self-released)
1818	Not On Label (Raped Valkyrja Self-released)
1818	Not On Label (Raxinasky Self-released)
1818	Not On Label (Ray Charles)
1818	Not On Label (Ray Conniff)
1818	Not On Label (Ray Parker Jr.)
1818	Not On Label (Raydio)
1818	Not On Label (Révolution Musicale Self-released)
1818	Not On Label (Röyksopp Self-released)
1818	Not On Label (Röyksopp)
1818	Not On Label (RBX Series)
1818	Not On Label (Reactory Self-released)
1818	Not On Label (Rebecca Black)
1818	Not On Label (Recoil Bootlegs)
1818	Not On Label (Recoil)
1818	Not On Label (Red Carpet)
1818	Not On Label (Redman)
1818	Not On Label (RedRoche)
1818	Not On Label (Reel 2 Real)
1818	Not On Label (Rekord Series)
1818	Not On Label (Remains Of The Day Self-released)
1818	Not On Label (Remake)
1818	Not On Label (Remek Self-released)
1818	Not On Label (Renaissance The Mix Collection Series)
1818	Not On Label (René
1818	&
1818	Angela)
1818	Not On Label (Repugnant Self-released)
1818	Not On Label (Repulsion Self-released)
1818	Not On Label (Resent Self-released)
1818	Not On Label (Reth, Self-released)
1818	Not On Label (Rhythim Is Rhythim)
1818	Not On Label (Rhythm
1818	&
1818	Sound)
1818	Not On Label (Rhythm Invention)
1818	Not On Label (Richard A. Bosse Self-released)
1818	Not On Label (Richard Darbyshire)
1818	Not On Label (Richie Rich)
1818	Not On Label (Rick Bishop Self-released)
1818	Not On Label (Rihanna)
1818	Not On Label (Ripperman)
1818	Not On Label (Rita Campbell)
1818	Not On Label (RMXS Series)
1818	Not On Label (RO Series)
1818	Not On Label (Rob Coffinshaker Self-released)
1818	Not On Label (Rob O)
1818	Not On Label (Rob Rives)
1818	Not On Label (Robbie Rivera)
1818	Not On Label (Robert Heinz)
1818	Not On Label (Robert Owens)
1818	Not On Label (Robosonic Self-released)
1818	Not On Label (Robot Dancing Series)
1818	Not On Label (Robsen Self-released)
1818	Not On Label (Robyn)
1818	Not On Label (Rochelle Fleming)
1818	Not On Label (Rockers Revenge)
1818	Not On Label (Rocket From The Crypt)
1818	Not On Label (Rockin' Pony Self-released)
1818	Not On Label (Rocksteady Anniversary Jam Series)
1818	Not On Label (Rockwell)
1818	Not On Label (Rodan (2) Self-released)
1818	Not On Label (Rodeofunk Series)
1818	Not On Label (Rodgau Monotones  Self-released)
1818	Not On Label (Roger Sanchez)
1818	Not On Label (Roman Flügel)
1818	Not On Label (Ron's Edits Series)
1818	Not On Label (Room 5)
1818	Not On Label (Roots, The)
1818	Not On Label (Rose Tattoo)
1818	Not On Label (Rosie Gaines)
1818	Not On Label (ROUGE Series)
1818	Not On Label (Roy Ayers)
1818	Not On Label (Royal Stakeout Self-released)
1818	Not On Label (Rozpor Self-released)
1818	Not On Label (Rudy Sandapa)
1818	Not On Label (Ruff Stuff Series)
1818	Not On Label (Ruffneck Revival Series)
1818	Not On Label (Rui Da Silva)
1818	Not On Label (Run-DMC)
1818	Not On Label (Ryan Paris)
1818	Not On Label (RZA)
1818	Not On Label (Sade)
1818	Not On Label (Sakatat Self-released)
1818	Not On Label (Salomé De Bahia)
1818	Not On Label (Salt Tank)
1818	Not On Label (Samantha James)
1818	Not On Label (Samantha Mumba)
1818	Not On Label (Samhain)
1818	Not On Label (Samim Winiger)
1818	Not On Label (Sanctum (3) Self-released)
1818	Not On Label (Sandman (9))
1818	Not On Label (Sandy B)
1818	Not On Label (Santana)
1818	Not On Label (Santos)
1818	Not On Label (Sara Devine)
1818	Not On Label (Sasha)
1818	Not On Label (Satanic Surfers Self-released)
1818	Not On Label (Satoshi Tomiie)
1818	Not On Label (Satyricon)
1818	Not On Label (Sérgio Mendes)
1818	Not On Label (Scorned Self-released)
1818	Not On Label (Scorpions)
1818	Not On Label (Scott Garcia)
1818	Not On Label (Scott Grooves)
1818	Not On Label (Scrap.edx Self-released)
1818	Not On Label (Screaming Lights)
1818	Not On Label (Screwball)
1818	Not On Label (Seal)
1818	Not On Label (Season (4) Self-released)
1818	Not On Label (Sebastian Ingrosso)
1818	Not On Label (SecondaryCell Self-released)
1818	Not On Label (Secret Service)
1818	Not On Label (Seein' Red Self-released)
1818	Not On Label (Seikatsu Kōjyō Iinkai Self-released)
1818	Not On Label (Sekaannus Self-released)
1818	Not On Label (Selection Box Series)
1818	Not On Label (Septic Death)
1818	Not On Label (Sevish Self-released)
1818	Not On Label (Sex Pistols)
1818	Not On Label (Sex-O-Sonique)
1818	Not On Label (SFB Remix Series)
1818	Not On Label (Shades Of Love)
1818	Not On Label (Shades Of Rhythm)
1818	Not On Label (Shakedown)
1818	Not On Label (Shakira)
1818	Not On Label (Shaky Norman Self-released)
1818	Not On Label (Shane)
1818	Not On Label (Sharam Tayebi)
1818	Not On Label (Shawn Christopher)
1818	Not On Label (Shazz)
1818	Not On Label (Shirley Brown)
1818	Not On Label (Shitlickers Self-released)
1818	Not On Label (Shonk Series)
1818	Not On Label (Shortee)
1818	Not On Label (Shout Series)
1818	Not On Label (Shumi)
1818	Not On Label (Shy FX)
1818	Not On Label (Shyheim)
1818	Not On Label (Sid Vicious)
1818	Not On Label (Sigillum S)
1818	Not On Label (Silicone Soul)
1818	Not On Label (Simian Mobile Disco)
1818	Not On Label (Simply Red)
1818	Not On Label (Sirdi Series)
1818	Not On Label (Sistahs And Mistahs Series)
1818	Not On Label (Sister Sledge)
1818	Not On Label (Situation (2) Self-released)
1818	Not On Label (Six Brew Bantha Self-released)
1818	Not On Label (Size Triple D)
1818	Not On Label (SJNRL Re-Edits Series)
1818	Not On Label (Skip Raiders)
1818	Not On Label (Skiplickers Self-released)
1818	Not On Label (Skrewdriver)
1818	Not On Label (Skullflower Self-released)
1818	Not On Label (Slam)
1818	Not On Label (Slayer)
1818	Not On Label (Slick Rick)
1818	Not On Label (Slide vs. Healey)
1818	Not On Label (Sloth (6) Self-released)
1818	Not On Label (Slum Village)
1818	Not On Label (Slumberland)
1818	Not On Label (Slushy Guts Self-released)
1818	Not On Label (Sly
1818	&
1818	The Family Stone)
1818	Not On Label (Smif-N-Wessun)
1818	Not On Label (Smokin Beats)
1818	Not On Label (Smokin' Cheeba)
1818	Not On Label (Smooth Denali Self-released)
1818	Not On Label (Snake Run Self-released)
1818	Not On Label (Snap!)
1818	Not On Label (Snap)
1818	Not On Label (SNMS Self-released)
1818	Not On Label (Snoop Dogg)
1818	Not On Label (Soar Self-released)
1818	Not On Label (Social Distortion)
1818	Not On Label (Soft Cell)
1818	Not On Label (Solacide Self-released)
1818	Not On Label (Solid Radio Self-released)
1818	Not On Label (Solution)
1818	Not On Label (Sonic Youth)
1818	Not On Label (Sonique)
1818	Not On Label (Sophia (3) Self-released)
1818	Not On Label (Soul II Soul)
1818	Not On Label (Soul Provider Series)
1818	Not On Label (Soul Vaults Series)
1818	Not On Label (Soulground)
1818	Not On Label (Soulja Boy)
1818	Not On Label (Soulwomen Series)
1818	Not On Label (Sound De-Zign)
1818	Not On Label (Sound Of Gold Series)
1818	Not On Label (Sound Of The Future)
1818	Not On Label (South Street Player)
1818	Not On Label (Space Cowboy)
1818	Not On Label (Spacedust)
1818	Not On Label (Spanish Archer)
1818	Not On Label (Spankox)
1818	Not On Label (Sparx Series)
1818	Not On Label (Sperm Of Mankind Self-released)
1818	Not On Label (Spiller)
1818	Not On Label (Spinners)
1818	Not On Label (Spiritsun Series)
1818	Not On Label (Splittr)
1818	Not On Label (Sport Of Kings)
1818	Not On Label (Sporty Thievz)
1818	Not On Label (Spots Self-released)
1818	Not On Label (Squash Bowels Self-released)
1818	Not On Label (Stacy Kidd)
1818	Not On Label (Stand To Fall Self-released)
1818	Not On Label (Stardust)
1818	Not On Label (Stargard)
1818	Not On Label (Starjack)
1818	Not On Label (Stealth Breakz)
1818	Not On Label (Stereo MC's Self-released)
1818	Not On Label (Stereotypz)
1818	Not On Label (Stetsasonic)
1818	Not On Label (Steve Angello
1818	&
1818	Sebastian Ingrosso)
1818	Not On Label (Steve Angello)
1818	Not On Label (Steve Burton)
1818	Not On Label (Steve Schriemer Self-released)
1818	Not On Label (Stevie Wonder)
1818	Not On Label (Stillbirth (3) Self-released)
1818	Not On Label (Stillbirth (4) Self-released)
1818	Not On Label (Sting)
1818	Not On Label (Stone Cold Steppaz Series)
1818	Not On Label (Stonecold Classics Series)
1818	Not On Label (Storm)
1818	Not On Label (Straightjacket Nation Self-released)
1818	Not On Label (Street Joint Series)
1818	Not On Label (Street Series)
1818	Not On Label (Stretch
1818	&
1818	Vern)
1818	Not On Label (Stu Phillips)
1818	Not On Label (Stuntmasterz)
1818	Not On Label (Stupid Human)
1818	Not On Label (Stupid Man (2))
1818	Not On Label (Suburban Death Machine Self-released)
1818	Not On Label (Suicide (7) Self-released)
1818	Not On Label (Summer Junkies)
1818	Not On Label (Sunday Girl)
1818	Not On Label (Sunglasses Ron)
1818	Not On Label (Sunscreem)
1818	Not On Label (Super White)
1818	Not On Label (Supermax)
1818	Not On Label (Superstar DJs)
1818	Not On Label (Sur La Route Du Docteur Paradi Self-released)
1818	Not On Label (Swallowing Shit Self-released)
1818	Not On Label (Swedish House Mafia)
1818	Not On Label (Sweet Pussy Pauline)
1818	Not On Label (SWFC Series)
1818	Not On Label (Swrab Self-released)
1818	Not On Label (SWV)
1818	Not On Label (SYD Series)
1818	Not On Label (Syleena Johnson)
1818	Not On Label (Sylvester)
1818	Not On Label (Sylvia Striplin)
1818	Not On Label (System 7)
1818	Not On Label (SYSTEM Series)
1818	Not On Label (T-Pain)
1818	Not On Label (T.C. Izlam)
1818	Not On Label (T.O.K.)
1818	Not On Label (Tacteel Self-released)
1818	Not On Label (Taja Sevelle)
1818	Not On Label (Talib Kweli)
1818	Not On Label (Tampere SS Self-released)
1818	Not On Label (Tarzan)
1818	Not On Label (Tears For Fears)
1818	Not On Label (Technohead)
1818	Not On Label (Technotronic)
1818	Not On Label (Teenage Shutdown! Series)
1818	Not On Label (Tegan and Sara)
1818	Not On Label (Teknee Self-released)
1818	Not On Label (Temptations, The)
1818	Not On Label (TenHornedBeast Self-released)
1818	Not On Label (Tenor Saw)
1818	Not On Label (Tensnake)
1818	Not On Label (Terrence Parker Self-Released)
1818	Not On Label (Terror Organ Self-released)
1818	Not On Label (Terrorismo Musical Self-released)
1818	Not On Label (Testify (3))
1818	Not On Label (TetraPank Self-released)
1818	Not On Label (TGB Productions Series)
1818	Not On Label (The 45 King)
1818	Not On Label (The Afternoon Gentlemen Self-released)
1818	Not On Label (The Arson Project Self-released)
1818	Not On Label (The Art Of Noise)
1818	Not On Label (The Aztec Mystic)
1818	Not On Label (The Beatles)
1818	Not On Label (The Beatnuts)
1818	Not On Label (The Believers)
1818	Not On Label (The Beloved)
1818	Not On Label (The Best Of MAW Series)
1818	Not On Label (The Black Label Series)
1818	Not On Label (The Blue Nile)
1818	Not On Label (The Bomarr Monk Self-released)
1818	Not On Label (The Boogie Pimps)
1818	Not On Label (The Brand New Heavies)
1818	Not On Label (The Braxtons)
1818	Not On Label (The Bucketheads)
1818	Not On Label (The Chemical Brothers)
1818	Not On Label (The Chesterfield Kings)
1818	Not On Label (The Church)
1818	Not On Label (The Clash)
1818	Not On Label (The Corrs)
1818	Not On Label (The Cranberries)
1818	Not On Label (The Crusaders)
1818	Not On Label (The Crystal Method)
1818	Not On Label (The Cult Self-released)
1818	Not On Label (The Cult)
1818	Not On Label (The Cure)
1818	Not On Label (The Damned)
1818	Not On Label (The Dark Side Of Disco Series)
1818	Not On Label (The Dead (4) Self-released)
1818	Not On Label (The Deadbeats)
1818	Not On Label (The Divin' Ducks Self-Released)
1818	Not On Label (The Doors)
1818	Not On Label (The Dronez)
1818	Not On Label (The Drums (2) Self-released)
1818	Not On Label (The Faces Of Sarah Self-released)
1818	Not On Label (The Finest)
1818	Not On Label (The Flaming Lips)
1818	Not On Label (The Flirts)
1818	Not On Label (The Fog)
1818	Not On Label (The Force (2))
1818	Not On Label (The French Connection)
1818	Not On Label (The Funk Monkeys)
1818	Not On Label (The Game (2))
1818	Not On Label (The Go! Team Self-released)
1818	Not On Label (The Gossip)
1818	Not On Label (The Greatest House Acappellas Series)
1818	Not On Label (The Green Martian)
1818	Not On Label (The Hope Circuit Self-released)
1818	Not On Label (The House Crew)
1818	Not On Label (The Human League)
1818	Not On Label (The Julie Mittens Self-released)
1818	Not On Label (The Killers)
1818	Not On Label (The Knife)
1818	Not On Label (The Lab Rats)
1818	Not On Label (The Last Cry Self-released)
1818	Not On Label (The Longcut)
1818	Not On Label (The Lost Hip Hop Instrumentals Series)
1818	Not On Label (The Mandrake Self-released)
1818	Not On Label (The MD X-Spress)
1818	Not On Label (The Mod Wheel)
1818	Not On Label (The Modern)
1818	Not On Label (The Motown Acappellas Series)
1818	Not On Label (The Mountain Goats Self-released)
1818	Not On Label (The Mustang Project Self-released)
1818	Not On Label (The Neptunes)
1818	Not On Label (The O.T. Quartet)
1818	Not On Label (The Ones)
1818	Not On Label (The Outlaws (2))
1818	Not On Label (The Outside Agency Self-Released)
1818	Not On Label (The Phantastic 4/4)
1818	Not On Label (The Police)
1818	Not On Label (The Prelude Master Mix Series)
1818	Not On Label (The Prodigy)
1818	Not On Label (The Pump Panel)
1818	Not On Label (The Pussy Gourmets Self-released)
1818	Not On Label (The Pussycat Dolls)
1818	Not On Label (The Ragga Twins)
1818	Not On Label (The Raiders Self-released)
1818	Not On Label (The Real Booty Babes)
1818	Not On Label (The Residents)
1818	Not On Label (The Rolling Stones)
1818	Not On Label (The Roots)
1818	Not On Label (The Second Glance Self-released)
1818	Not On Label (The Seven Mile Journey Self-released)
1818	Not On Label (The Soulchip)
1818	Not On Label (The Streets)
1818	Not On Label (The Sweeney (2))
1818	Not On Label (The Temper Trap)
1818	Not On Label (The Temple Of Hiphop)
1818	Not On Label (The Very Best Self-released)
1818	Not On Label (The Vibracathedral String Quartet Self-released)
1818	Not On Label (The Voice Of Rock Series)
1818	Not On Label (The White Stripes)
1818	Not On Label (The Young Punx)
1818	Not On Label (Theo Parrish)
1818	Not On Label (Thes One)
1818	Not On Label (Thomas Ankersmit Self-released)
1818	Not On Label (Thomas Barrandon Self-released)
1818	Not On Label (Thou (2) Self-released)
1818	Not On Label (ThouShaltNot Self-released)
1818	Not On Label (Thrill Of Confusion Self-released)
1818	Not On Label (Thunderdome)
1818	Not On Label (Thy Serpent Self-released)
1818	Not On Label (Tijuana Mon Amour Broadcasting Inc.)
1818	Not On Label (Tikiman)
1818	Not On Label (Tile (2) Self-Released)
1818	Not On Label (Tilt)
1818	Not On Label (Tim Berg)
1818	Not On Label (Tim Deluxe)
1818	Not On Label (Time Bandits)
1818	Not On Label (Timo Maas)
1818	Not On Label (Tin Men)
1818	Not On Label (Tina Moore)
1818	Not On Label (Tina Turner)
1818	Not On Label (Tinman)
1818	Not On Label (Tired Pony Self-released)
1818	Not On Label (TISM Self-released)
1818	Not On Label (Titiyo)
1818	Not On Label (Tito Puente Jr.
1818	&
1818	The Latin Rhythm)
1818	Not On Label (Tito Puente)
1818	Not On Label (Tobias Lützenkirchen)
1818	Not On Label (Tobor Experiment Self-released)
1818	Not On Label (Tocadisco)
1818	Not On Label (Todd Edwards)
1818	Not On Label (Todd Terje)
1818	Not On Label (Todd Terry)
1818	Not On Label (Together (2))
1818	Not On Label (Together)
1818	Not On Label (Tom Neville)
1818	Not On Label (TOM Series)
1818	Not On Label (Tom Stephan)
1818	Not On Label (Tom Tom Club)
1818	Not On Label (Tool (2))
1818	Not On Label (Toss It Up Series)
1818	Not On Label (Total)
1818	Not On Label (Tourettes (3))
1818	Not On Label (Tracey Lee)
1818	Not On Label (Tracey Thorn)
1818	Not On Label (Tracy Chapman)
1818	Not On Label (Tragedy Khadafi)
1818	Not On Label (Trance Trax Series)
1818	Not On Label (Transa)
1818	Not On Label (Trentemøller)
1818	Not On Label (Triangular Self-released)
1818	Not On Label (Trick Or Treat)
1818	Not On Label (Troj Self-Released)
1818	Not On Label (Tropa Macaca Self-released)
1818	Not On Label (TTC Self-released)
1818	Not On Label (Tu Carne Self-released)
1818	Not On Label (Tuff Jam)
1818	Not On Label (Tuff Twins)
1818	Not On Label (Tulus Self-released)
1818	Not On Label (Turbonegro)
1818	Not On Label (Turku Self-released)
1818	Not On Label (Tweet)
1818	Not On Label (Twist)
1818	Not On Label (Twisted Society)
1818	Not On Label (U Know "Hit"? Series)
1818	Not On Label (U2)
1818	Not On Label (UÇK Grind Self-released)
1818	Not On Label (UBQ Project)
1818	Not On Label (Ubu)
1818	Not On Label (UK Apachi)
1818	Not On Label (Ultimate Scratch Weapon Series)
1818	Not On Label (Ultra Naté)
1818	Not On Label (Umek
1818	&
1818	Beltek)
1818	Not On Label (Ummm Self-released)
1818	Not On Label (Uncut Series)
1818	Not On Label (Undercover Trax Series)
1818	Not On Label (Underground Solution (2))
1818	Not On Label (Underground Sound Of Lisbon)
1818	Not On Label (Underworld)
1818	Not On Label (Untamed (3) Self-released)
1818	Not On Label (Up To Date (3) Self-released)
1818	Not On Label (Upright Citizens Self-Released)
1818	Not On Label (Urban Soul)
1818	Not On Label (Urostar Self-released)
1818	Not On Label (Usher)
1818	Not On Label (Usqvarna Self-released)
1818	Not On Label (Utah Jazz)
1818	Not On Label (Uxu Kalhus Self-released)
1818	Not On Label (V)
1818	Not On Label (V. Scott)
1818	Not On Label (Vaginal Incest Self-released)
1818	Not On Label (Vampire Weekend Self-released)
1818	Not On Label (Venom (8))
1818	Not On Label (Vent (5) Self-released)
1818	Not On Label (Vermin Rites Self-released)
1818	Not On Label (Vibracathedral Orchestra Self-released)
1818	Not On Label (Victor Simonelli)
1818	Not On Label (Victorville)
1818	Not On Label (Vincent J. Alvis)
1818	Not On Label (Vintage On Vinyl Series)
1818	Not On Label (Vinyl Reanimators Series)
1818	Not On Label (Viola Wills)
1818	Not On Label (Virtualmismo)
1818	Not On Label (Vivisection Self-released)
1818	Not On Label (VKTD)
1818	Not On Label (Vlad Tepes)
1818	Not On Label (Voluspaa Self-released)
1818	Not On Label (Vomit Spawn Self-released)
1818	Not On Label (Vortice Cremisi Self-released)
1818	Not On Label (VS Series)
1818	Not On Label (Waldsonne Self-released)
1818	Not On Label (War Master (2) Self-released)
1818	Not On Label (Warren G)
1818	Not On Label (Warthog (3) Self-released)
1818	Not On Label (Warvictims Self-released)
1818	Not On Label (Watch My Dying Self-released)
1818	Not On Label (Weed (6) Self-released)
1818	Not On Label (Weep Self-released)
1818	Not On Label (Welcome Series)
1818	Not On Label (Westsideee! Series)
1818	Not On Label (WEZ Series)
1818	Not On Label (Wham!)
1818	Not On Label (Whip (4) Self-released)
1818	Not On Label (Whitehouse)
1818	Not On Label (Whitney Houston)
1818	Not On Label (Wicked Messenger Self-released)
1818	Not On Label (Wiley (2))
1818	Not On Label (Winx Dirt Series)
1818	Not On Label (WINX Series)
1818	Not On Label (WL Series)
1818	Not On Label (Wolke Sieben Self-released)
1818	Not On Label (Wolves In The Throne Room Self-released)
1818	Not On Label (Wrecks-N-Effect)
1818	Not On Label (Wretched Self-released)
1818	Not On Label (Wu-Tang Clan)
1818	Not On Label (Wu-Tang Hidden Chambers Series)
1818	Not On Label (X-Press 2)
1818	Not On Label (X-Press 2),
1818	Not On Label (Xasthur Self-released)
1818	Not On Label (XRZ Series)
1818	Not On Label (XXL Mash Up Series)
1818	Not On Label (Yanou)
1818	Not On Label (Yazoo)
1818	Not On Label (Yeah Yeah Yeahs)
1818	Not On Label (Yello)
1818	Not On Label (Yellow Magic Orchestra)
1818	Not On Label (Yew Self-released)
1818	Not On Label (YMC)
1818	Not On Label (Yo
1818	&
1818	Ko Super Long Edit Series)
1818	Not On Label (Yomanda)
1818	Not On Label (Yoof)
1818	Not On Label (York)
1818	Not On Label (You Don't Know Series)
1818	Not On Label (Youandewan)
1818	Not On Label (Yvette Fauche)
1818	Not On Label (Yvette Michele)
1818	Not On Label (Zakes Bantwini)
1818	Not On Label (Zarkus Poussa Self-released)
1818	Not On Label (Zastabuj Kopec Self-released)
1818	Not On Label (Zeměžluč Self-released)
1818	Not On Label (Zero 7 Self-released)
1818	Not On Label (Zero B)
1818	Not On Label (Zombies Are Pissed ! Self Released)
1818	Not On Label (Zonderland Self-released)
1818	Not On Label (Zwei Tage: Ohne Schnupftabak Self-released)
1818	Not On Label (ZZ Series)
1818	Not On Label (Šílená Komtesa Self-released)
1818	Not On Label (Čad Self-released)
1818	Not On Label (Čertůf Punk Self-released)
1818	Old Boots
1818	Paul King (White)
1818	Popchop
1818	Premier Toons (White)
1818	Rage (White)
1818	Re-Worx (White)
1818	Remain Silent (White)
1818	Retrospective Remixes (White)
1818	Rewind (Bootleg From Paris)
1818	Rhymatic (White)
1818	Rock God Recordings
1818	Rolling Stones (White)
1818	Scandalous Productions (White)
1818	Schalli
1818	Schranz
1818	Science (White)
1818	Scissor Sisters (White)
1818	Scooter (White)
1818	Sean Paul (White)
1818	Serious Danger (White)
1818	Sexcells Records
1818	Shoe
1818	Shonk (White)
1818	Skulduggery
1818	Sly (White)
1818	Soul Avengerz (White)
1818	Soul Sounds (White)
1818	South Tribe Funk (White)
1818	Spacedust (White)
1818	Specialty Records Corporation (2)
1818	Sunscreem (White)
1818	Terence Trent D'Arby (White)
1818	The Daily Telegraph
1818	The Human League (White)
1818	The KLF (White)
1818	The Unofficials
1818	Time Records (4)
1818	Todd Terry (White)
1818	Treasure Chest
1818	UMS
1818	UNKLE (White)
1818	Vintage Collection (White)
1818	WBL Records
1818	White
1818	White X
1818	Wild Card
1818	Winx (White)
1818	Wit And Wisdom
1818	World Class Records
1818	X-Men (White)
1818	XXL Mash Up (White)
1818	XYZ
1965	Pyrotech Records
1965	Turnstyle Records
2299	XtraBlue
2299	XtraDisco
2299	Xtrafresh
2299	Xtrahard
2328	Liberation Records
2328	Mushroom N.Z.
2328	MXL Music
2328	Standard Records (2)
2328	White Hot
2328	White Label Records
2351	Energie Berlin
2927	Tony Mercedes Records
3304	Barclay Franco-Belge
3304	Blitzkrieg Records (2)
3304	Blue Star
3304	C.P.F. Barclay
3304	Egg
3304	Genius Records (3)
3304	Going Global Series
3304	Rare (3)
3304	Riviera (3)
3304	Riviera LM Recording System
3304	Sound Of Barclay
3304	Vedettes (2)
3950	Cramboy
3950	Crammed Global Soundclash 1980-89
3950	Cramworld
3950	Furax
3950	It's A Crammed Crammed World
3950	Language
3950	Made To Measure
3950	Selector
3950	SSR Records
3950	Ziriguiboom
4069	BSBi
4069	Fanfare Records
4069	Flashbacks
4069	Nightmare Records
4069	Other End Records
4069	Project Records (2)
4069	PRT Records (Sales) Ltd.
4069	SMP (2)
4069	Splash Records (4)
5037	Adhesive
5037	Nitelife
6267	Black Machine
6267	On Records (5)
6267	Panic Records
29723	Nocturnal Dubs
32866	Atlantic Jazz Masters
32866	Atlantic Masters
32866	Elektra Masters
32866	Warner Bros. Jazz Masters
32866	Warner Bros. Masters
42001	"edel" Gesellschaft für Produktmarketing mbH
42001	Fiutak
42001	Rooftop (2)
42001	Speedlimit
42001	StoneBridge Recordings
42001	the listening room
44327	AGFB Productions
44327	Delabel
44327	Delabel Hostile
44327	DLA
44327	EMI Label One
44327	Hostile Records
44327	JBM
44327	Labels
44327	Source Etc
44327	Toxic (2)
44327	Virgin Music France
51167	Hangman Records
51167	Hazelwood Records
51167	One Man Records
51167	Rough Trade (Benelux)
51167	Rough Trade Bohemia
51167	Rough Trade Japan
51167	Rough Trade Singles Club
51167	Sixth International
51167	Smashtrade Records
51167	Spartan Records Ltd
51167	TUC
51167	Tugboat Records
51167	Xntrix Records
\.


--
-- Data for Name: labels_urls; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_urls (label_id, url) FROM stdin;
362	http://www.rcarecords.com/
362	http://en.wikipedia.org/wiki/Arista_Records
651	http://www.elektra.com/
651	http://www.elektra60.com/
651	http://www.atlanticrecords.com/
651	http://www.wmg.com
651	http://www.bsnpubs.com/elektra/
681	http://www.atlanticrecords.com
681	http://www.bsnpubs.com/atlantic
681	http://en.wikipedia.org/wiki/Atlantic_Records
698	http://www.echo.co.uk
750	http://www.virginrecords.com
752	http://www.exogenic.com/index.php?id=17
752	http://www.phinnweb.org/finndiscog/exogenic
752	http://www.myspace.com/exogenic
755	http://en.wikipedia.org/wiki/Enigma_Records
758	http://www.tvtrecords.com/
758	http://www.myspace.com/tvtrecords
758	http://en.wikipedia.org/wiki/TVT_Records
796	http://www.universalrecords.com/
953	http://www.waxtraxchicago.com/
953	http://www.waxtrax-not-subpop.org/
1000	http://www.warnerbrosrecords.com/
1000	http://www.myspace.com/warnerbrosrecords
1000	http://www.youtube.com/user/warnerbrosrecords
1000	http://en.wikipedia.org/wiki/Warner_Bros._Records
1000	http://www.bsnpubs.com/warner/warnerstory.html
1000	http://www.vinylbeat.com/cgi-bin/labelfocus.cgi?label=WARNER+BROS.+%28WB%29
1000	&
1000	label_section=V,W,X
1293	http://www.everecords.com
1965	http://en.wikipedia.org/wiki/Big_Beat_Records_%28Atlantic_subsidiary%29
1965	http://www.wearebigbeat.com
1965	http://www.facebook.com/wearebigbeat
1965	http://www.twitter.com/wearebigbeat
1965	http://www.soundcloud.com/wearebigbeat
2299	http://www.xtravaganza.co.uk/
2299	http://www.myspace.com/xtravaganzarecordings
2328	http://www.mushroomrecords.com.au/
2351	http://www.vandit.de
2351	http://www.vandit.com
2351	http://www.myspace.com/vanditrecords
2351	http://www.facebook.com/vandit
2351	http://twitter.com/vanditrecords
2351	http://www.youtube.com/vandittv
2927	http://www.laface.com
3950	http://www.crammed.be
3950	http://en.wikipedia.org/wiki/Crammed_Discs
5037	http://www.aatw.com/
5037	http://www.youtube.com/SteveAATW
5521	http://www.dikirecords.com
6267	http://www.myspace.com/airplayrecords
6286	http://www.nuenergy.co.uk
19762	http://www.guerrillafunk.com
22420	http://www.saifam.com
31650	http://www.saifam.com
31650	http://www.junodownload.com/labels/One+Way/releases/
34121	http://www.Eckorecords.co.uk
36200	http://emf.tv
44327	http://www.emimusic.fr/
51167	http://www.roughtraderecords.com
51167	http://www.sanctuarygroup.com
51167	http://www.furious.com/Perfect/rt.doc
51167	http://twitter.com/RoughTradeLab
135362	http://www.loadmp3.co.uk/
\.


--
-- Data for Name: masters; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters (id, title, year, data_quality, notes, main_release) FROM stdin;
113932	Groovejet (If This Ain't Love)	2000	Correct	.	15300
197740	Acid Creak	1994	Correct	\N	56990
271500	Crammed Global Soundclash 1980-89: The Connoisseur Edition	2003	Correct	\N	1028675
280894	Graduate	1995	Correct	\N	68286
203618	Egy Út Az Erő És A Rendszer Birodalmába	1990	Correct	\N	254093
131560	Second Day	2006	Correct	\N	2978363
135938	Devotion	2006	Correct	\N	659538
71740	Take Me To The Clouds Above	2004	Correct	LMC vs. U2 is NO co-operation. U2 never were in the studio together with LMC to produce "Take Me To The Clouds Above", the track only contains a sample from a track by U2. U2 are however credited as having another UK number 1 to their name as a result of the track reaching top spot in January 2004.	252357
8970	Megalomaniac	1997	Needs Vote	\N	876983
185621	Step It Up	1995	Correct	\N	597102
31429	Shocked	1991	Correct	\N	1808619
341420	T-1000 / Filterwerks	1995	Correct	\N	375080
75046	Trance In Saigon / Escape	1997	Needs Vote	\N	1623801
53095	Dub Be Good To Me	1990	Correct	The vocals appear in a remixed form of "Just Be Good to Me" by The SOS Band.	124978
12395	12:51	2003	Correct	\N	377413
116669	The Terminator Original Soundtrack	1984	Correct	Grouping of all versions of the original "Terminator" soundtracks, split between the score by Brad Fiedel on one half (side A) and songs by three pop artists on the other.\n\nSimilarly-titled releases containing the full score and "new material" have also seen the light of day under the title "The Definitive Edition". These should not be grouped here.	17379
267336	Elle Voulait Revoir Sa Normandie / Des Mots Grossiers, Des Mots Vulgaires	1987	Correct	\N	540468
112239	The Devil Made Me Remix	2004	Correct	\N	363605
148588	Bring It On Back	2006	Correct	\N	837979
174021	You Did Cut Me	1985	Correct	\N	140870
109425	Te Amo Corazón	2005	Correct	\N	1335135
81607	Stairway To Heaven	1985	Correct	\N	912227
310158	Sad Sweet Dreamer	1986	Correct	\N	2403874
202188	Nobody Knows	1995	Correct	\N	1643322
3280	Lost You Somewhere	1997	Correct	\N	136720
168557	Modern Times	1984	Correct	\N	1927960
91519	It's A Dream (Remix)	1989	Correct	\N	104000
27832	18 Golden Hits	0	Correct	\N	400105
77739	Do You Think You're Special?	2003	Correct	\N	329963
88199	Set You Free	1993	Correct	\N	376112
11134	Hunting High And Low	1985	Correct	\N	1520767
\.


--
-- Data for Name: masters_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_artists (master_id, id, role, anv, tracks, join_, name) FROM stdin;
113932	9066	\N	\N	\N	\N	Spiller
197740	38085	\N	\N	\N	\N	Spokesman
271500	194	\N	\N	\N	\N	Various
280894	56165	\N	\N	\N	\N	Demote
203618	141284	\N	\N	\N	\N	ACTUS
131560	11691	\N	\N	\N	vs.	Jose Amnesia
131560	318507	\N	\N	\N	\N	Serp
135938	42885	\N	\N	\N	\N	Groove Junkies
71740	60901	\N	\N	\N	vs	LMC
71740	6520	\N	\N	\N	\N	U2
8970	11606	\N	\N	\N	\N	KMFDM
185621	427491	\N	\N	\N	\N	Young Blood (2)
31429	13608	\N	\N	\N	\N	Kylie Minogue
341420	36824	\N	\N	\N	\N	Imaginears
75046	5401	\N	\N	\N	\N	Pablo Gargano
53095	12591	\N	\N	\N	\N	Beats International
12395	55980	\N	\N	\N	\N	Strokes, The
116669	194	\N	\N	\N	\N	Various
267336	379204	\N	Blanchard	\N	\N	Gérard Blanchard
112239	51188	\N	\N	\N	\N	Paris (2)
148588	46819	\N	\N	\N	\N	Jet (2)
174021	27500	\N	\N	\N	\N	China Crisis
109425	28795	\N	\N	\N	\N	Prince
81607	303460	\N	\N	\N	\N	Far Corporation
310158	325408	\N	\N	\N	\N	Sweet Sensation (2)
202188	319612	\N	\N	\N	\N	Tony Rich Project, The
3280	8121	\N	\N	\N	\N	Chicane
168557	29019	\N	\N	\N	\N	Steps Ahead
91519	7117	\N	\N	\N	\N	Amnesia
27832	135946	\N	\N	\N	\N	Johnny Cash
77739	146950	\N	\N	\N	\N	Nio
88199	11001	\N	\N	\N	\N	N-Trance
11134	37757	\N	\N	\N	\N	a-ha
\.


--
-- Data for Name: masters_genres; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_genres (master_id, genre) FROM stdin;
113932	Electronic
197740	Electronic
271500	Electronic
271500	Rock
280894	Electronic
203618	Electronic
131560	Electronic
135938	Electronic
71740	Electronic
8970	Electronic
185621	Electronic
31429	Pop
341420	Electronic
75046	Electronic
53095	Hip Hop
12395	Rock
116669	Electronic
116669	Rock
116669	Stage
116669	&
116669	Screen
267336	Rock
112239	Hip Hop
148588	Rock
174021	Electronic
109425	Funk / Soul
109425	Pop
81607	Rock
310158	Funk / Soul
202188	Hip Hop
3280	Electronic
168557	Jazz
91519	Electronic
27832	Rock
77739	Electronic
88199	Electronic
11134	Electronic
\.


--
-- Data for Name: masters_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_images (master_id, uri, type, height, width, uri150) FROM stdin;
113932	http://api.discogs.com/image/R-15300-1184514846.jpeg	primary	600	596	http://api.discogs.com/image/R-150-15300-1184514846.jpeg
113932	http://api.discogs.com/image/R-15300-004.jpg	secondary	460	450	http://api.discogs.com/image/R-150-15300-004.jpg
113932	http://api.discogs.com/image/R-15300-003.jpg	secondary	448	450	http://api.discogs.com/image/R-150-15300-003.jpg
197740	http://api.discogs.com/image/R-56990-1109702805.jpg	secondary	222	240	http://api.discogs.com/image/R-150-56990-1109702805.jpg
271500	http://api.discogs.com/image/R-1028675-1185806207.jpeg	primary	450	450	http://api.discogs.com/image/R-150-1028675-1185806207.jpeg
271500	http://api.discogs.com/image/R-1028675-1271430763.jpeg	secondary	500	500	http://api.discogs.com/image/R-150-1028675-1271430763.jpeg
280894	http://api.discogs.com/image/R-68286-1076614940.jpg	primary	297	300	http://api.discogs.com/image/R-150-68286-1076614940.jpg
280894	http://api.discogs.com/image/R-68286-1076614930.jpg	secondary	300	300	http://api.discogs.com/image/R-150-68286-1076614930.jpg
203618	http://api.discogs.com/image/R-254093-1102699307.jpg	secondary	197	200	http://api.discogs.com/image/R-150-254093-1102699307.jpg
203618	http://api.discogs.com/image/R-254093-1154382680.jpeg	secondary	595	600	http://api.discogs.com/image/R-150-254093-1154382680.jpeg
203618	http://api.discogs.com/image/R-254093-1154382699.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-254093-1154382699.jpeg
203618	http://api.discogs.com/image/R-254093-1154382722.jpeg	secondary	597	600	http://api.discogs.com/image/R-150-254093-1154382722.jpeg
131560	http://api.discogs.com/image/R-2978363-1313146068.jpeg	primary	600	600	http://api.discogs.com/image/R-150-2978363-1313146068.jpeg
135938	http://api.discogs.com/image/R-659538-1238280274.jpeg	primary	613	600	http://api.discogs.com/image/R-150-659538-1238280274.jpeg
135938	http://api.discogs.com/image/R-659538-1238280297.jpeg	secondary	610	600	http://api.discogs.com/image/R-150-659538-1238280297.jpeg
71740	http://api.discogs.com/image/R-252357-1269930629.jpeg	primary	466	600	http://api.discogs.com/image/R-150-252357-1269930629.jpeg
71740	http://api.discogs.com/image/R-252357-1221350080.jpeg	secondary	479	552	http://api.discogs.com/image/R-150-252357-1221350080.jpeg
71740	http://api.discogs.com/image/R-252357-1221350097.jpeg	secondary	491	479	http://api.discogs.com/image/R-150-252357-1221350097.jpeg
8970	http://api.discogs.com/image/R-876983-1186311550.jpeg	secondary	608	600	http://api.discogs.com/image/R-150-876983-1186311550.jpeg
8970	http://api.discogs.com/image/R-876983-1186311603.jpeg	secondary	610	600	http://api.discogs.com/image/R-150-876983-1186311603.jpeg
185621	http://api.discogs.com/image/R-597102-1304139579.jpeg	primary	530	600	http://api.discogs.com/image/R-150-597102-1304139579.jpeg
185621	http://api.discogs.com/image/R-597102-1266447941.jpeg	secondary	496	499	http://api.discogs.com/image/R-150-597102-1266447941.jpeg
31429	http://api.discogs.com/image/R-1808619-1245794924.jpeg	primary	400	396	http://api.discogs.com/image/R-150-1808619-1245794924.jpeg
31429	http://api.discogs.com/image/R-1808619-1245794931.jpeg	secondary	400	397	http://api.discogs.com/image/R-150-1808619-1245794931.jpeg
341420	http://api.discogs.com/image/R-375080-1105296320.jpg	secondary	300	300	http://api.discogs.com/image/R-150-375080-1105296320.jpg
75046	http://api.discogs.com/image/R-1623801-1232871781.jpeg	primary	600	600	http://api.discogs.com/image/R-150-1623801-1232871781.jpeg
75046	http://api.discogs.com/image/R-1623801-1232871790.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1623801-1232871790.jpeg
53095	http://api.discogs.com/image/R-124978-1316447070.jpeg	primary	600	600	http://api.discogs.com/image/R-150-124978-1316447070.jpeg
53095	http://api.discogs.com/image/R-124978-1316447063.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-124978-1316447063.jpeg
53095	http://api.discogs.com/image/R-124978-1316447066.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-124978-1316447066.jpeg
12395	http://api.discogs.com/image/R-377413-1181737073.jpeg	primary	511	511	http://api.discogs.com/image/R-150-377413-1181737073.jpeg
12395	http://api.discogs.com/image/R-377413-1142822151.jpeg	secondary	593	600	http://api.discogs.com/image/R-150-377413-1142822151.jpeg
12395	http://api.discogs.com/image/R-377413-1142822179.jpeg	secondary	384	512	http://api.discogs.com/image/R-150-377413-1142822179.jpeg
12395	http://api.discogs.com/image/R-377413-1142822197.jpeg	secondary	384	512	http://api.discogs.com/image/R-150-377413-1142822197.jpeg
116669	http://api.discogs.com/image/R-17379-1231286785.jpeg	primary	599	600	http://api.discogs.com/image/R-150-17379-1231286785.jpeg
116669	http://api.discogs.com/image/R-17379-1355119418-1419.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-17379-1355119418-1419.jpeg
267336	http://api.discogs.com/image/R-540468-1146446302.jpeg	primary	360	364	http://api.discogs.com/image/R-150-540468-1146446302.jpeg
267336	http://api.discogs.com/image/R-540468-1146446387.jpeg	secondary	365	368	http://api.discogs.com/image/R-150-540468-1146446387.jpeg
267336	http://api.discogs.com/image/R-540468-1328101066.jpeg	secondary	600	594	http://api.discogs.com/image/R-150-540468-1328101066.jpeg
267336	http://api.discogs.com/image/R-540468-1328101080.jpeg	secondary	600	596	http://api.discogs.com/image/R-150-540468-1328101080.jpeg
112239	http://api.discogs.com/image/R-363605-1124450570.jpg	secondary	287	289	http://api.discogs.com/image/R-150-363605-1124450570.jpg
148588	http://api.discogs.com/image/R-837979-1163948520.jpeg	primary	600	592	http://api.discogs.com/image/R-150-837979-1163948520.jpeg
174021	http://api.discogs.com/image/R-140870-1329980935.jpeg	primary	611	600	http://api.discogs.com/image/R-150-140870-1329980935.jpeg
174021	http://api.discogs.com/image/R-140870-1329980946.jpeg	secondary	609	600	http://api.discogs.com/image/R-150-140870-1329980946.jpeg
174021	http://api.discogs.com/image/R-140870-1329980954.jpeg	secondary	604	600	http://api.discogs.com/image/R-150-140870-1329980954.jpeg
174021	http://api.discogs.com/image/R-140870-1329980961.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-140870-1329980961.jpeg
109425	http://api.discogs.com/image/R-1335135-1256424762.jpeg	primary	556	560	http://api.discogs.com/image/R-150-1335135-1256424762.jpeg
109425	http://api.discogs.com/image/R-1335135-1353682060-5670.jpeg	secondary	348	404	http://api.discogs.com/image/R-150-1335135-1353682060-5670.jpeg
109425	http://api.discogs.com/image/R-1335135-1353682093-7234.jpeg	secondary	420	454	http://api.discogs.com/image/R-150-1335135-1353682093-7234.jpeg
109425	http://api.discogs.com/image/R-1335135-1353682123-3342.jpeg	secondary	422	431	http://api.discogs.com/image/R-150-1335135-1353682123-3342.jpeg
81607	http://api.discogs.com/image/R-912227-1223582766.jpeg	primary	603	600	http://api.discogs.com/image/R-150-912227-1223582766.jpeg
81607	http://api.discogs.com/image/R-912227-1223582773.jpeg	secondary	587	600	http://api.discogs.com/image/R-150-912227-1223582773.jpeg
81607	http://api.discogs.com/image/R-912227-1223582779.jpeg	secondary	583	600	http://api.discogs.com/image/R-150-912227-1223582779.jpeg
81607	http://api.discogs.com/image/R-912227-1223582788.jpeg	secondary	583	600	http://api.discogs.com/image/R-150-912227-1223582788.jpeg
310158	http://api.discogs.com/image/R-2403874-1282103305.jpeg	secondary	640	480	http://api.discogs.com/image/R-150-2403874-1282103305.jpeg
310158	http://api.discogs.com/image/R-2403874-1282103318.jpeg	primary	640	480	http://api.discogs.com/image/R-150-2403874-1282103318.jpeg
310158	http://api.discogs.com/image/R-2403874-1282103329.jpeg	secondary	640	480	http://api.discogs.com/image/R-150-2403874-1282103329.jpeg
202188	http://api.discogs.com/image/R-1643322-1295099579.jpeg	secondary	163	184	http://api.discogs.com/image/R-150-1643322-1295099579.jpeg
202188	http://api.discogs.com/image/R-1643322-1295099611.jpeg	primary	163	184	http://api.discogs.com/image/R-150-1643322-1295099611.jpeg
3280	http://api.discogs.com/image/R-136720-1099738893.jpg	primary	600	572	http://api.discogs.com/image/R-150-136720-1099738893.jpg
3280	http://api.discogs.com/image/R-136720-1218224130.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-136720-1218224130.jpeg
168557	http://api.discogs.com/image/R-1927960-1253026573.jpeg	primary	598	600	http://api.discogs.com/image/R-150-1927960-1253026573.jpeg
168557	http://api.discogs.com/image/R-1927960-1253026596.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-1927960-1253026596.jpeg
168557	http://api.discogs.com/image/R-1927960-1253026617.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1927960-1253026617.jpeg
168557	http://api.discogs.com/image/R-1927960-1253026636.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1927960-1253026636.jpeg
91519	http://api.discogs.com/image/R-104000-1317419499.jpeg	primary	600	600	http://api.discogs.com/image/R-150-104000-1317419499.jpeg
91519	http://api.discogs.com/image/R-104000-1317419507.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-104000-1317419507.jpeg
91519	http://api.discogs.com/image/R-104000-1317419515.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-104000-1317419515.jpeg
91519	http://api.discogs.com/image/R-104000-1317419522.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-104000-1317419522.jpeg
77739	http://api.discogs.com/image/R-329963-1097086513.jpg	secondary	269	300	http://api.discogs.com/image/R-150-329963-1097086513.jpg
77739	http://api.discogs.com/image/R-329963-1097086539.jpg	secondary	269	300	http://api.discogs.com/image/R-150-329963-1097086539.jpg
88199	http://api.discogs.com/image/R-376112-1291053614.jpeg	primary	493	489	http://api.discogs.com/image/R-150-376112-1291053614.jpeg
11134	http://api.discogs.com/image/R-1520767-1225742178.jpeg	primary	599	600	http://api.discogs.com/image/R-150-1520767-1225742178.jpeg
11134	http://api.discogs.com/image/R-1520767-1225742269.jpeg	secondary	460	600	http://api.discogs.com/image/R-150-1520767-1225742269.jpeg
11134	http://api.discogs.com/image/R-1520767-1225742339.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-1520767-1225742339.jpeg
\.


--
-- Data for Name: masters_styles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_styles (master_id, style) FROM stdin;
113932	House
197740	Acid
271500	Trip Hop
271500	Abstract
271500	Ambient
271500	Electro
271500	Synth-pop
271500	Experimental
280894	Trance
203618	Modern Classical
203618	Experimental
203618	Ambient
131560	Trance
135938	Garage House
71740	Trance
8970	Industrial
185621	Italodance
31429	Europop
341420	Progressive House
341420	Progressive Trance
75046	Trance
12395	Alternative Rock
12395	Garage Rock
12395	Post Rock
116669	Pop Rock
116669	Disco
116669	Soundtrack
116669	Score
116669	Electro
116669	Synth-pop
267336	Pop Rock
148588	Indie Rock
174021	Synth-pop
109425	Soul
109425	Ballad
81607	Soft Rock
310158	Soul
310158	Disco
202188	RnB/Swing
3280	Progressive Trance
168557	Post Bop
168557	Fusion
168557	Contemporary Jazz
91519	Acid House
91519	New Beat
27832	Folk Rock
77739	UK Garage
88199	Breakbeat
88199	Hardcore
88199	Euro House
11134	Synth-pop
\.


--
-- Data for Name: masters_videos; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_videos (master_id, title, description, src, embed, duration) FROM stdin;
113932	Spiller - Groovejet  (If This Ain't Love) Official Video HQ	Spiller - Groovejet  (If This Ain't Love) Official Video HQ	http://www.youtube.com/watch?v=syOK6zmpOe0	t	223
113932	Spiller - Groovejet (If This Ain't Love) (Todd Terry's In House Remix)	Spiller - Groovejet (If This Ain't Love) (Todd Terry's In House Remix)	http://www.youtube.com/watch?v=yDhK8wrbE20	t	408
113932	Spiller - Groovejet (If This Ain't Love) (Radio Edit) Official Music Video © 2000	Spiller - Groovejet (If This Ain't Love) (Radio Edit) Official Music Video © 2000	http://www.youtube.com/watch?v=H7YGsT7ojws	t	224
113932	Spiller - Groovejet (If This Ain't Love)(Spiller's Extended Vocal Mix)	Spiller - Groovejet (If This Ain't Love)(Spiller's Extended Vocal Mix)	http://www.youtube.com/watch?v=mp4UsKm7QUI	t	447
197740	Spokesman - Acid Creak (Pierre's Reconstruction Mix)	Spokesman - Acid Creak (Pierre's Reconstruction Mix)	http://www.youtube.com/watch?v=HH-87Diwym0	t	527
197740	Spokesman Acid Creak Dj Ion aka Danny Casseau Mix	Spokesman Acid Creak Dj Ion aka Danny Casseau Mix	http://www.youtube.com/watch?v=vAOFOWKyaKM	t	295
197740	Spokesman - Acid Creak (dj H.S. mix)	Spokesman - Acid Creak (dj H.S. mix)	http://www.youtube.com/watch?v=4sDvpvTJ7H0	t	345
197740	Spokesman b2 - skittish sky	Spokesman b2 - skittish sky	http://www.youtube.com/watch?v=3iCjNgrxMT0	t	278
280894	Demote - Graduate	Demote - Graduate	http://www.youtube.com/watch?v=FAduF-vzuQI	t	376
280894	DEMOTE - Graduate	DEMOTE - Graduate	http://www.youtube.com/watch?v=N6oVrgNVF2o	t	235
131560	Jose Amnesia vs Serp - Second Day	Jose Amnesia vs Serp - Second Day	http://www.youtube.com/watch?v=TzLg6Fo1OIo	t	475
131560	jose Amnesia vs. Serp - Second Day (Martin Roth Remix)	jose Amnesia vs. Serp - Second Day (Martin Roth Remix)	http://www.youtube.com/watch?v=F0vXvSnAK9E	t	481
135938	Devotion - Groove Junkies ft. T.C. Moses	Devotion - Groove Junkies ft. T.C. Moses	http://www.youtube.com/watch?v=p5a_qACzYHc	t	545
71740	LMC vs U2 - Take Me To The Clouds Above	LMC vs U2 - Take Me To The Clouds Above	http://www.youtube.com/watch?v=NwgiHkmvkJs	t	169
71740	LMC vs. U2 - Take Me To The Clouds Above	LMC vs. U2 - Take Me To The Clouds Above	http://www.youtube.com/watch?v=e96w-0RcmLE	t	169
71740	LMC VS U2 - Take me to the clouds above (with lyrics!)	LMC VS U2 - Take me to the clouds above (with lyrics!)	http://www.youtube.com/watch?v=XpNLgypJUpk	t	158
71740	LMC vs U2 - Take me to the clouds above	LMC vs U2 - Take me to the clouds above	http://www.youtube.com/watch?v=eLPH-tIiLQA	t	206
8970	KMFDM - Megalomaniac [HD]	KMFDM - Megalomaniac [HD]	http://www.youtube.com/watch?v=fvZqWq0ZNjk	t	260
185621	Young Blood - Step It Up (Fired Up-Don't Give Up)	Young Blood - Step It Up (Fired Up-Don't Give Up)	http://www.youtube.com/watch?v=SzzlAxPW1IQ	t	314
185621	Young Blood - Step it Up	Young Blood - Step it Up	http://www.youtube.com/watch?v=sRi0fpQ27FI	t	297
31429	Kylie Minogue - Shocked	Kylie Minogue - Shocked	http://www.youtube.com/watch?v=7Tgel4WEkhE	t	194
341420	Brainiak Records The Imanginears Filterwerks	Brainiak Records The Imanginears Filterwerks	http://www.youtube.com/watch?v=CXwdtrWse10	t	517
341420	Imaginears - T1000	Imaginears - T1000	http://www.youtube.com/watch?v=ZbOp3evaQSI	t	264
75046	eve trance in saigon - bravo remix	eve trance in saigon - bravo remix	http://www.youtube.com/watch?v=jXfm-3EIDiw	t	461
75046	eve escape - more kicks remix	eve escape - more kicks remix	http://www.youtube.com/watch?v=3aq8evnNRn8	t	452
53095	Beats International feat. Lindy Layton - Dub Be Good To Me (HQ)	Beats International feat. Lindy Layton - Dub Be Good To Me (HQ)	http://www.youtube.com/watch?v=m5Z5DGhuAjE	t	320
53095	beats international '( invasion of freestyle discuss) 12	beats international '( invasion of freestyle discuss) 12	http://www.youtube.com/watch?v=peY77W7JPEs	t	301
53095	Mighty Remix)	Mighty Remix)	http://www.youtube.com/watch?v=lp0M9KQV8Vs	t	439
53095	Beats International - Dub Be Good To Me	Beats International - Dub Be Good To Me	http://www.youtube.com/watch?v=FpAUU75ajUQ	t	221
53095	Beats International - Dub Be Good To Me (Norman Cook's Excursion On The Version)	Beats International - Dub Be Good To Me (Norman Cook's Excursion On The Version)	http://www.youtube.com/watch?v=4-BCghzQXTA	t	281
12395	The Strokes - 12:51	The Strokes - 12:51	http://www.youtube.com/watch?v=LPAVDHo1Elc	t	153
116669	The Terminator(Main Theme) - Brad Fiedel	The Terminator(Main Theme) - Brad Fiedel	http://www.youtube.com/watch?v=dpwWYOE3Y9o	t	278
116669	The Terminator Soundtrack - Terminator Arrival	The Terminator Soundtrack - Terminator Arrival	http://www.youtube.com/watch?v=gFvFEYXTx-Q	t	158
116669	The Terminator soundtrack - Love Theme/End Credits	The Terminator soundtrack - Love Theme/End Credits	http://www.youtube.com/watch?v=rIUXC7VSzpU	t	322
267336	Gerard Blanchard - Elle voulait revoir sa normandie	Gerard Blanchard - Elle voulait revoir sa normandie	http://www.youtube.com/watch?v=S8sjPl20UF4	t	214
112239	PARIS - Check It Out Ch'all (Alternative Version)	PARIS - Check It Out Ch'all (Alternative Version)	http://www.youtube.com/watch?v=uYm-RkzGzcU	t	226
174021	china crisis -  you did cut me	china crisis -  you did cut me	http://www.youtube.com/watch?v=ceWOOwF7qWg	t	301
81607	Jimmy Page and Robert Plant - Far Corporation - Stairway to heaven (Led Zeppelin) 1985	Jimmy Page and Robert Plant - Far Corporation - Stairway to heaven (Led Zeppelin) 1985	http://www.youtube.com/watch?v=vHJqG8lJLvU	t	359
202188	The Tony Rich Project - Nobody Knows	The Tony Rich Project - Nobody Knows	http://www.youtube.com/watch?v=0CA2Pi4gYxQ	t	258
202188	The Tony Rich Project - Nobody Knows	The Tony Rich Project - Nobody Knows	http://www.youtube.com/watch?v=W7EyUY3-Wrg	t	258
3280	Chicane ... Lost You Somewhere	Chicane ... Lost You Somewhere	http://www.youtube.com/watch?v=UMWXB6pgb7Q	t	509
3280	Chicane - Lost You Somewhere (Heliotropic Mix)	Chicane - Lost You Somewhere (Heliotropic Mix)	http://www.youtube.com/watch?v=s-Uu79xmn2g	t	523
3280	Chicane - Lost You Somewhere (ROOS Remix)	Chicane - Lost You Somewhere (ROOS Remix)	http://www.youtube.com/watch?v=T1Zwm2scBcc	t	495
91519	Amnesia - It's A Dream	Amnesia - It's A Dream	http://www.youtube.com/watch?v=WK7M7zwi200	t	375
91519	Amnesia - It's A Dream ( 1988 )	Amnesia - It's A Dream ( 1988 )	http://www.youtube.com/watch?v=IJezuLrrmwY	t	376
91519	amnesia - it's a reality 1989	amnesia - it's a reality 1989	http://www.youtube.com/watch?v=vdx9CmPWdOA	t	240
91519	Amnesia - They Lost Control (Transmission Mix)	Amnesia - They Lost Control (Transmission Mix)	http://www.youtube.com/watch?v=xetYNbsZ0cs	t	276
77739	NiO - DO YOU THINK YOU'RE SPECIAL?	NiO - DO YOU THINK YOU'RE SPECIAL?	http://www.youtube.com/watch?v=66zvQUDGlIE	t	223
88199	N-Trance - Set You Free	N-Trance - Set You Free	http://www.youtube.com/watch?v=tjKlFZxTDPw	t	204
88199	N-Trance - Set You Free 2001 (Rob Searle Remix)	N-Trance - Set You Free 2001 (Rob Searle Remix)	http://www.youtube.com/watch?v=fPKi_iF0LI4	t	215
88199	N-Trance - Set You Free (Original Mix)	N-Trance - Set You Free (Original Mix)	http://www.youtube.com/watch?v=d_zCt0I2Cr8	t	433
88199	N-TRANCE SET YOU FREE Kleptomania MIX	N-TRANCE SET YOU FREE Kleptomania MIX	http://www.youtube.com/watch?v=sXRSz44UCQ4	t	346
88199	N-Trance - Set You Free (Arcade Remix)	N-Trance - Set You Free (Arcade Remix)	http://www.youtube.com/watch?v=WHeUSPn5saU	t	186
88199	N - Trance - Set You Free - 1992 White Label Mix	N - Trance - Set You Free - 1992 White Label Mix	http://www.youtube.com/watch?v=XsctQRr0wMY	t	437
88199	N-Trance - Set You Free (TTF Remix)	N-Trance - Set You Free (TTF Remix)	http://www.youtube.com/watch?v=iWXaK-QjATU	t	295
88199	N-Trance - Set U Free (1992 White Label Mix)	N-Trance - Set U Free (1992 White Label Mix)	http://www.youtube.com/watch?v=IzrOXVy3a9c	t	437
88199	N-Trance - Set u Free ( 1992 White Lable Mix ).wmv	N-Trance - Set u Free ( 1992 White Lable Mix ).wmv	http://www.youtube.com/watch?v=ZTwIUH5jMGg	t	435
88199	N-Trance - Set You Free (Nymphomania Mix)	N-Trance - Set You Free (Nymphomania Mix)	http://www.youtube.com/watch?v=LoveZyI-i1M	t	314
11134	A - HA  -  take on me (official music video ) *subtitulado traducido español letra*	A - HA  -  take on me (official music video ) *subtitulado traducido español letra*	http://www.youtube.com/watch?v=-zOzMR6J08w	t	227
11134	AHA here I stand. and face the rain	AHA here I stand. and face the rain	http://www.youtube.com/watch?v=kHp47UCSPI0	t	271
11134	A-Ha - Hunting High and Low (Live VallHall 2001)	A-Ha - Hunting High and Low (Live VallHall 2001)	http://www.youtube.com/watch?v=HVWu4tKq0IU	t	479
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases (id, status, country, released, title, master_id, data_quality, notes) FROM stdin;
17379	Accepted	US	1984-00-00	The Terminator Original Soundtrack	116669	Needs Vote	\N
18363	Accepted	UK	1997-10-00	Lost You Somewhere	3280	Needs Vote	This release is absolutely identical to the german version, right down to the catalogue number and barcode. The only identifiable difference is that this release states "printed and manufactured in England."
25288	Accepted	UK	1997	Trance In Saigon / Escape	75046	Needs Vote	Commonly known as Eve 20.
56990	Accepted	Belgium	1994-07-28	Acid Creak	197740	Correct	\N
58120	Accepted	Finland	2000	Squaremeat	-1	Correct	Only 500 copies pressed.
68286	Accepted	Germany	1995	Graduate	280894	Correct	\N
86186	Accepted	UK	1994	Set You Free (The Remixes)	88199	Correct	Marketed and distributed by The Total Record Company.
120684	Accepted	UK	1990-00-00	It's A Dream (Remix)	91519	Needs Vote	\N
145664	Accepted	UK	1985-09-00	You Did Cut Me	174021	Correct	
155017	Accepted	UK	2001	Breakdown / Jen/R/8	-1	Correct	\N
161515	Accepted	Europe	1985	Hunting High And Low	11134	Correct	CDD pre-mastering by WCI Record Group.
188423	Accepted	New Zealand	1998-00-00	Album	-1	Correct	Fridt.
238636	Accepted	Hungary	1993	A Way To The Empire Of Strength And Order	203618	Needs Vote	Limited to 777 hand-numbered copies.  CD in jewel case is housed in paper box along with a thick booklets with lyric translations.
251561	Accepted	UK	1998	Put Da Heat Up	-1	Needs Vote	℗ Westbury Music 1998
258843	Accepted	Europe	2003-09-16	Crammed Global Soundclash 1980-89 : Part Two : Electrowave	271500	Needs Vote	\N
300068	Accepted	US	1990	Dub Be Good To Me (Remixes)	53095	Correct	\N
303732	Accepted	UK	2002-08-08	I Love You! EP	-1	Correct	Martini - "Dancing with You"
312171	Accepted	Germany	2002-05-13	Club Rotation Volume 18	-1	Needs Vote	
329963	Accepted	UK	2003	Do You Think You're Special?	77739	Needs Vote	Also includes: Do You Think You're Special? (Video)
354422	Accepted	Belgium	1994	Deep House - The Album	-1	Needs Vote	\N
363605	Accepted	US	2004	The Devil Made Me Remix	112239	Correct	The Devil Made Me Remix. Many requests have come in for the long versions of the hits and hard-to-find, previously released one-off tracks that often appeared on the b-sides of single releases. Includes digitally remixed and mastered alternate versions and previously unreleased material from the 'The Devil Made Me Do It' and 'Sleeping With The Enemy' sessions.
370963	Accepted	Europe	1984	Modern Times	168557	Correct	
373403	Accepted	Europe	2004	Take Me To The Clouds Above	71740	Correct	B1: Additional production by Thimo U. Seidl and Tom aka Dubster
375080	Accepted	UK	1995	T-1000 / Filterwerks	341420	Correct	\N
400105	Accepted	Switzerland	\N	18 Golden Hits	27832	Needs Vote	\N
400478	Accepted	Germany	2001	Muschi Im Club	-1	Correct	\N
437757	Accepted	UK	2005-03-00	Dancehall Queen	-1	Correct	\N
459650	Accepted	Germany	2005-05-19	Second Day	131560	Correct	(C) 2005 Vandit Records GmbH, Berlin
476353	Accepted	France	2002	Best Of Boomerang	-1	Correct	for Dani as the following year's Eurovision entry but it was deemed too risqué and not selected
493852	Accepted	UK	1996	Do Wah Diddy Diddy	-1	Correct	Promo release.
506716	Accepted	Netherlands	1989	Dance Classics 6	-1	Needs Vote	
514591	Accepted	UK	2005	Specialise In Love / Ain't Nobody	-1	Correct	\N
534012	Accepted	US	1997	Megalomaniac	8970	Correct	\N
540468	Accepted	France	1987	Elle Voulait Revoir Sa Normandie / Des Mots Grossiers, Des Mots Vulgaires	267336	Needs Vote	Mastered at Translab, Paris.
548797	Accepted	Europe	1985	Stairway To Heaven	81607	Correct	
564818	Accepted	Germany	1980	Huckepack Und Zu Hunderten In Den Tod	-1	Complete and Correct	
577313	Accepted	Germany	1979	Limelight Suite	-1	Correct	
597102	Accepted	Italy	1995	Step It Up	185621	Correct	Recorded and Mixed at Factory Sound Studios (Verona) Italy by Factory Team
610105	Accepted	Australia	1991	Shocked	31429	Correct	Credits on center label are reversed.
659538	Accepted	US	2006-04-03	Devotion	135938	Needs Vote	\N
666978	Accepted	Jamaica	\N	Full Up / Eastman Sound	-1	Needs Vote	Catalogue number on side A is DSR 7068 and on side B DSR 7069.
684859	Accepted	Italy	2002	Sabre Dance	-1	Correct	\N
696108	Accepted	Europe	1996	Nobody Knows	202188	Needs Vote	
737913	Accepted	UK	2003	12:51	12395	Correct	
770243	Accepted	UK	1986	Sad Sweet Dreamer	310158	Correct	Tapes Limited.
785482	Accepted	US	\N	Never Seen Before / People Time	-1	Correct	\N
818803	Accepted	Belgium	2005-00-00	Te Amo Corazón	109425	Correct	Made in the EU.
824160	Accepted	US	2001	Groovejet (If This Ain't Love)	113932	Correct	"From the Warner Brothers motion picture Osmosis Jones and from Essential Spring Break - Summer 2001 Mixed by DJ Skribble"
837979	Accepted	US	2006-11-20	Bring It On Back	148588	Correct	B : Recorded Live At Mango Bay House, Barbados.
855836	Accepted	Japan	2003	撲殺精神破綻者 - Vokusatsu, Seisin, Hatansha	-1	Correct	\N
\.


--
-- Data for Name: releases_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_artists (release_id, id, role, anv, tracks, join_, name) FROM stdin;
17379	194	\N	\N	\N	\N	Various
18363	8121	\N	\N	\N	\N	Chicane
25288	5401	\N	\N	\N	\N	Pablo Gargano
56990	38085	\N	\N	\N	\N	Spokesman
58120	20037	\N	\N	\N	\N	Squaremeat
68286	56165	\N	\N	\N	\N	Demote
86186	11001	\N	\N	\N	Featuring	N-Trance
86186	33496	\N	\N	\N	\N	Kelly Llorenna
120684	7117	\N	\N	\N	\N	Amnesia
145664	27500	\N	\N	\N	\N	China Crisis
155017	38225	\N	\N	\N	/	Mobi D
155017	72657	\N	\N	\N	\N	Daniel Ro
161515	37757	\N	\N	\N	\N	a-ha
188423	6442	\N	\N	\N	\N	Aspen
238636	141284	\N	\N	\N	\N	ACTUS
251561	42826	\N	\N	\N	\N	Teebone
258843	194	\N	\N	\N	\N	Various
300068	12591	\N	\N	\N	\N	Beats International
303732	194	\N	\N	\N	\N	Various
312171	194	\N	\N	\N	\N	Various
329963	146950	\N	\N	\N	\N	Nio
354422	116072	\N	\N	\N	\N	Voice Of The Underground
363605	51188	\N	\N	\N	\N	Paris (2)
370963	29019	\N	\N	\N	\N	Steps Ahead
373403	60901	\N	\N	\N	vs.	LMC
373403	6520	\N	\N	\N	\N	U2
375080	36824	\N	\N	\N	\N	Imaginears
400105	135946	\N	\N	\N	\N	Johnny Cash
400478	275054	\N	\N	\N	\N	EMF (2)
437757	275501	\N	\N	\N	&	Strafe (2)
437757	302255	\N	\N	\N	\N	Empty
459650	11691	\N	\N	\N	vs.	Jose Amnesia
459650	318507	\N	\N	\N	\N	Serp
476353	328677	\N	\N	\N	\N	Dani
493852	342261	\N	\N	\N	\N	Blue Melons, The
506716	194	\N	\N	\N	\N	Various
514591	247292	\N	\N	\N	\N	DJ Figgy
534012	11606	\N	\N	\N	\N	KMFDM
540468	379204	\N	Blanchard	\N	\N	Gérard Blanchard
548797	303460	\N	\N	\N	\N	Far Corporation
564818	276715	\N	\N	\N	\N	Thorax-Wach
577313	41196	\N	\N	\N	\N	Kitty Winter Gipsy Nova
597102	427491	\N	\N	\N	\N	Young Blood (2)
610105	13608	\N	\N	\N	\N	Kylie Minogue
659538	42885	\N	\N	\N	\N	Groove Junkies
666978	41891	\N	\N	\N	\N	Augustus Pablo
684859	181917	\N	\N	\N	\N	Blue Venice
696108	319612	\N	\N	\N	\N	Tony Rich Project, The
737913	55980	\N	\N	\N	\N	Strokes, The
770243	325408	\N	\N	\N	\N	Sweet Sensation (2)
785482	14742	\N	\N	\N	/	EPMD
785482	90623	\N	\N	\N	\N	Nonchalant
818803	28795	\N	\N	\N	\N	Prince
824160	9066	\N	DJ Spiller	\N	\N	Spiller
837979	46819	\N	\N	\N	\N	Jet (2)
855836	693411	\N	\N	\N	\N	Gloom (3)
\.


--
-- Data for Name: releases_extraartists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_extraartists (release_id, id, role, anv, tracks, join_, name) FROM stdin;
17379	15682	Producer, Performer	\N	A1 to A6	\N	Brad Fiedel
17379	327411	Violin [Electric]	\N	A1 to A6	\N	Ross Levinson
18363	400178	Mastered By	\N	\N	\N	Ben Greaves
18363	8121	Producer, Engineer	\N	\N	\N	Chicane
18363	89562	Vocals	\N	\N	\N	Caroline Lavelle
18363	89562	Written-By	Lavelle	\N	\N	Caroline Lavelle
18363	115264	Written-By	Bracegirdle	\N	\N	Nick Bracegirdle
56990	37977	Written-By	\N	\N	\N	Luc Devriese
58120	2149211	Design	AK	\N	\N	Kai Arponen
58120	2149211	Illustration	\N	\N	\N	Kai Arponen
58120	80509	Written-By	\N	\N	\N	Francoise Faggott
58120	80510	Written-By	\N	\N	\N	Pepe Kosminen
68286	77720	Written-By, Producer	\N	\N	\N	Jürgen Spann
86186	11001	Arranged By, Engineer, Performer, Producer, Written-By	\N	\N	\N	N-Trance
86186	33496	Vocals	\N	\N	\N	Kelly Llorenna
86186	111166	Written By	\N	\N	\N	Lewis
86186	642546	Written By	\N	\N	\N	Longworth
86186	642545	Written By	\N	\N	\N	O'Toole
120684	93016	Producer	\N	\N	\N	Bruno Van Garsse
145664	2387321	Illustration [Caricatures By]	\N	\N	\N	Kevin Wilkinson (2)
145664	147827	Mastered By [Vinyl Cut]	Jonz	\N	\N	John Dent
145664	532840	Performer [Live]	\N	B to D	\N	Brian McNeill
145664	418623	Performer [Live]	\N	B to D	\N	Eddie Lundon
145664	418622	Performer [Live]	Garry Daly	B to D	\N	Gary Daly
145664	568661	Performer [Live]	\N	B to D	\N	Gazza Johnson
145664	379225	Performer [Live]	\N	B to D	\N	Kevin Wilkinson
145664	2363404	Photography By	Ron And Valerie Taylor/Ardea London Ltd.	\N	\N	Ron And Valerie Taylor
145664	309762	Recorded By	Manor Mobile, The	\N	\N	Manor Mobile
161515	52510	Producer	\N	2 to 5, 7, 9, 10	\N	Tony Mansfield
161515	37757	Remix	\N	1 to 2, 4, 6 to 10	\N	A-ha
161515	136628	Remix	\N	\N	\N	John Ratcliff
161515	480435	Written-By	\N	1, 8, 9	\N	Mags (2)
161515	333419	Written-By	\N	1, 5	\N	Morten Harket
161515	114934	Written-By	\N	\N	\N	Pål Waaktaar
188423	33601	Artwork By [Design]	\N	\N	\N	Shanan
188423	6442	Music By	\N	\N	\N	Aspen
188423	2032669	Photography	\N	\N	\N	Alethea
251561	42826	Written-by [Soundtracks], Producer	\N	\N	\N	Teebone
258843	69857	Compiled By	\N	\N	\N	Marc Hollander
258843	69857	DJ Mix	\N	\N	\N	Marc Hollander
258843	69856	DJ Mix	\N	\N	\N	Vincent Kenis
258843	276459	Mastered By	\N	\N	\N	Alan Ward
258843	69856	Mastered By	\N	\N	\N	Vincent Kenis
300068	9050	Producer	\N	\N	\N	Norman Cook
300068	15825	Vocals	\N	\N	\N	Lindy Layton
303732	36507	Remix	\N	\N	\N	Illicit
363605	249458	Mixed By	\N	\N	\N	Bruce Leighton
363605	51188	Mixed By	\N	\N	\N	Paris (2)
370963	1116274	Art Direction	\N	\N	\N	Bob Defrin
370963	274957	Bass	\N	\N	\N	Eddie Gomez
370963	599752	Coordinator [Production Coordination]	\N	\N	\N	Christine Martin
370963	257421	Drums, Percussion, Drums [Dmx]	\N	\N	\N	Peter Erskine
370963	302719	Engineer [Assistant]	\N	\N	\N	Arthur Payson
370963	217335	Engineer [Assistant]	\N	\N	\N	Dave Greenberg
370963	495525	Engineer [Assistant]	\N	\N	\N	Garry Rindfuss
370963	389345	Engineer [Assistant]	\N	\N	\N	Jeff Hendrickson
370963	303328	Engineer [Assistant]	\N	\N	\N	Mike Krowiak
370963	392620	Engineer [Assistant]	\N	\N	\N	Moira Marquis
370963	427368	Engineer [Assistant]	\N	\N	\N	Scott Ansell
370963	345763	Keyboards	\N	\N	\N	Warren Bernhardt
370963	244135	Mastered By	\N	\N	\N	Greg Calbi
370963	2238483	Photography By	David Michael Kennedy	\N	\N	David Kennedy (10)
370963	82811	Recorded By, Mixed By	\N	\N	\N	James Farber
370963	135847	Synthesizer [Additional]	Mike Brecker	A1	\N	Michael Brecker
370963	232645	Synthesizer [Additional]	Michael Manieri	A2, A3, B3	\N	Mike Mainieri
370963	135847	Tenor Saxophone, Soprano Saxophone	\N	\N	\N	Michael Brecker
370963	232645	Vibraphone, Marimba, Synthesizer [Synthi-vibe]	\N	\N	\N	Mike Mainieri
373403	35251	Vocals	\N	\N	\N	Rachel McFarlane
400478	272530	Producer	\N	A1 to A3	\N	Edlmann
400478	272531	Producer	\N	\N	\N	Jamer$on
459650	596126	Written-By, Producer	\N	\N	\N	David Burles
459650	11691	Written-By, Producer	\N	\N	\N	Jose Amnesia
476353	20544	Arranged By	\N	10	\N	Alain Goraguer
476353	150182	Arranged By	\N	11-15	\N	Jean-Claude Vannier
476353	281413	Arranged By	\N	8	\N	Jean-Pierre Sabar
506716	366709	Compiled By [Repertoire Selection], Concept By	\N	\N	\N	Herman Heinsbroek
506716	465456	Compiled By [Repertoire Selection], Concept By	\N	\N	\N	Nan Schuring
506716	1838967	Design	\N	\N	\N	Myosotis
540468	379205	Arranged By	\N	\N	\N	René Michel
540468	1005755	Design	\N	\N	\N	Bill Butt
540468	1937566	Design	\N	\N	\N	Liaison Internationale
540468	2251056	Photography By	\N	\N	\N	Ian Patrick
540468	379205	Producer	\N	\N	\N	René Michel
540468	379204	Vocals, Written-By	G. Blanchard	\N	\N	Gérard Blanchard
548797	369807	Engineer	\N	\N	\N	Bernd Berwanger
548797	330337	Engineer	\N	\N	\N	Bruce Robb
548797	369810	Engineer	\N	\N	\N	Carmine Di
548797	381499	Engineer	\N	\N	\N	Scott Church
548797	243611	Engineer	\N	\N	\N	Tammy Grohé
548797	76398	Producer	\N	\N	\N	Frank Farian
564818	220575	Artwork By [Cover]	\N	\N	\N	Susanne
564818	1265260	Lyrics By, Music By	\N	\N	\N	Frank Dieckmann
564818	1265259	Lyrics By, Music By	\N	\N	\N	Olaf Krämer
577313	409569	Arranged By	\N	A1 to A3, B1, B2, B4	\N	Kuno Schmid
577313	1815102	Bass	\N	\N	\N	Willi Gärtner
577313	41399	Choir, Vocals	\N	\N	\N	Kitty Winter
577313	409565	Drums, Percussion	\N	\N	\N	Reinhold Hirth
577313	372593	Engineer	\N	\N	\N	Carlos Albrecht
577313	409567	Flugelhorn, Guitar, Trumpet	\N	\N	\N	Martin Spiegelberg
577313	409569	Piano, Electric Piano [Rhodes], Scat, Synthesizer	\N	\N	\N	Kuno Schmid
577313	409564	Producer	\N	\N	\N	Wilhelm F. Schmid
577313	409563	Trombone	\N	\N	\N	Joe Gallardo
577313	1815336	Trumpet	Ference Aszodi	\N	\N	Ferenc Aszodi
577313	409570	Trumpet	\N	\N	\N	Klaus Mitschele
577313	312858	Trumpet	\N	\N	\N	Klaus Osterloh
597102	21081	Mixed By	\N	\N	\N	Factory Team
597102	429119	Producer	\N	\N	\N	Collinski
597102	429120	Producer	\N	\N	\N	DJ Mauro Novani
597102	204278	Written By	\N	\N	\N	Claudio Collino
597102	2123239	Written By	\N	\N	\N	N. Barni
610105	336292	Engineer	Pete Day	\N	\N	Peter Day
610105	20942	Producer	\N	\N	\N	Waterman
659538	271076	Bass	\N	\N	\N	Les King
659538	1049365	Guitar	\N	\N	\N	James Gardner (4)
659538	487034	Trumpet	\N	\N	\N	Andrew Camay
659538	487033	Vocals	\N	\N	\N	T.C. Moses
666978	41891	Producer, Arranged By	A. Pablo	\N	\N	Augustus Pablo
666978	346050	Written-By	H. Swaby	\N	\N	Horace Swaby
696108	319611	Executive Producer	\N	\N	\N	Antonio M. Reid
696108	251493	Guitar	\N	\N	\N	Peter Moore (2)
696108	59453	Mastered By	Herb Powers	\N	\N	Herb Powers Jr.
696108	63543	Mixed By	\N	1 and 4	\N	Jon Gass
696108	1251452	Mixed By [Assisted By]	\N	\N	\N	Danny Berniny
696108	175220	Producer, Vocals, Arranged By	\N	\N	\N	Tony Rich
696108	147027	Recorded By	Nealhpogue	1 and 4	\N	Neal Pogue
696108	147021	Recorded By [Assisted By]	\N	\N	\N	John Frye
737913	252201	Producer	\N	\N	\N	Gordon Raphael
770243	297217	Alto Saxophone	\N	\N	\N	Steve Gregory
770243	204948	Producer	D. Parton	\N	\N	David Parton
770243	134700	Producer	\N	\N	\N	Tony Hatch
770243	113509	Remix	\N	\N	\N	Bob Mallett
770243	235055	Remix	\N	\N	\N	Peter Beckett
770243	204948	Written-By	D. Parton	\N	\N	David Parton
818803	213242	Arranged By [Strings]	\N	\N	\N	Clare Fischer
818803	476441	Bass	\N	\N	\N	Joshua Dunham
818803	476444	Drums	\N	\N	\N	Cora Coleman Dunham
818803	58349	Horns	\N	\N	\N	Candy Dulfer
818803	298882	Horns	\N	\N	\N	Greg Boyer
818803	84795	Horns	\N	\N	\N	Maceo Parker
818803	476442	Horns	\N	\N	\N	Ray Montiero
818803	28795	Producer, Arranged By, Composed By	\N	\N	\N	Prince
818803	476445	Timbales, Bongo, Percussion	\N	\N	\N	Herbert Urena
824160	37594	Vocals [Featuring]	\N	\N	\N	Sophie Ellis-Bextor
837979	518037	Written-By	N. Cester	\N	\N	Nic Cester
855836	1386472	Artwork [Front Cover Artwork]	Yossie-Savage Support-	\N	\N	Yossie
855836	693414	Bass	\N	\N	\N	Jhonio
855836	693412	Drums	\N	\N	\N	Habi
855836	971447	Engineer, Remix	Ippei	\N	\N	Ippei Suda
855836	694889	Guitar	\N	\N	\N	Taki (3)
855836	693410	Guitar	\N	\N	\N	Yamakawa
855836	793239	Producer	\N	\N	\N	Crust War, The
855836	693413	Vocals	\N	\N	\N	Mitsuru (2)
\.


--
-- Data for Name: releases_formats; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_formats (release_id, format_id, text, qty, name) FROM stdin;
17379	16928	\N	1	Vinyl
18363	17893	\N	1	CD
25288	24617	Blue Transparent	1	Vinyl
56990	55459	\N	1	Vinyl
58120	56581	\N	1	Vinyl
68286	66617	\N	1	Vinyl
86186	83847	\N	1	Vinyl
120684	117730	\N	1	Vinyl
145664	142396	\N	2	Vinyl
155017	151622	\N	1	Vinyl
161515	158057	\N	1	CD
188423	184835	\N	1	CD
238636	234290	\N	1	CD
251561	246809	\N	1	Vinyl
258843	253887	\N	1	CD
300068	272129	\N	1	Vinyl
303732	274617	\N	1	Vinyl
312171	280340	\N	2	CD
329963	293163	\N	1	CD
354422	311048	\N	2	Vinyl
363605	317859	\N	1	CD
370963	323275	\N	1	Vinyl
373403	325231	\N	1	Vinyl
375080	326581	\N	1	Vinyl
400105	346428	\N	1	CD
400478	346738	\N	1	Vinyl
437757	376313	\N	1	Vinyl
459650	393393	\N	1	Vinyl
476353	406428	\N	1	CD
493852	419857	\N	1	Vinyl
506716	429648	\N	2	Vinyl
514591	435837	\N	1	Vinyl
534012	451892	\N	1	CD
540468	457463	\N	1	Vinyl
548797	464408	\N	1	Vinyl
564818	477625	\N	1	Vinyl
577313	487715	\N	1	Vinyl
597102	503423	\N	1	Vinyl
610105	513448	\N	1	Vinyl
659538	549825	\N	1	Vinyl
666978	555435	\N	1	Vinyl
684859	568830	\N	1	CDr
696108	577419	\N	1	CD
737913	609846	\N	1	CDr
770243	635019	\N	1	Vinyl
785482	646813	\N	1	Vinyl
818803	672471	\N	1	CD
824160	676525	\N	2	Vinyl
837979	686454	Blue	1	Vinyl
855836	699415	\N	1	Vinyl
\.


--
-- Data for Name: releases_formats_descriptions; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_formats_descriptions (format_id, description) FROM stdin;
16928	LP
17893	Single
24617	12"
24617	Limited Edition
55459	12"
56581	12"
56581	45 RPM
56581	Limited Edition
66617	12"
83847	12"
117730	12"
142396	7"
142396	Single
142396	Limited Edition
142396	45 RPM
151622	12"
158057	Album
184835	Album
234290	Album
234290	Limited Edition
234290	Reissue
246809	12"
246809	Single
253887	Mixed
253887	Compilation
272129	12"
274617	12"
274617	Unofficial Release
280340	Compilation
293163	Maxi-Single
311048	LP
323275	LP
323275	Album
325231	12"
326581	12"
346428	Compilation
346738	12"
376313	12"
393393	12"
419857	12"
429648	LP
429648	Compilation
435837	12"
451892	Single
451892	Promo
457463	7"
457463	45 RPM
457463	Single
464408	12"
464408	45 RPM
477625	7"
487715	LP
487715	Album
503423	12"
513448	12"
549825	12"
555435	12"
577419	Maxi-Single
609846	Promo
635019	12"
635019	45 RPM
646813	12"
646813	Unofficial Release
672471	Single
672471	Promo
676525	12"
686454	7"
686454	Single
699415	LP
699415	Album
\.


--
-- Data for Name: releases_genres; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_genres (release_id, genre) FROM stdin;
17379	Electronic
17379	Rock
17379	Screen
18363	Electronic
25288	Electronic
56990	Electronic
58120	Electronic
68286	Electronic
86186	Electronic
120684	Electronic
145664	Electronic
155017	Electronic
161515	Electronic
188423	Electronic
238636	Electronic
251561	Electronic
258843	Electronic
300068	Electronic
303732	Electronic
312171	Electronic
329963	Electronic
354422	Electronic
363605	Hip Hop
370963	Jazz
373403	Electronic
375080	Electronic
400105	Rock
400478	Hip Hop
437757	Electronic
459650	Electronic
476353	Rock
493852	Electronic
506716	Electronic
514591	Electronic
534012	Electronic
540468	Rock
548797	Rock
564818	Electronic
577313	Jazz
597102	Electronic
610105	Electronic
659538	Electronic
666978	Reggae
684859	Electronic
696108	Hip Hop
737913	Rock
770243	Funk / Soul
785482	Hip Hop
818803	Hip Hop
824160	Electronic
837979	Rock
855836	Rock
\.


--
-- Data for Name: releases_identifiers; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_identifiers (release_id, type, description, value) FROM stdin;
25288	Barcode	\N	5 033541 202126
58120	Barcode	\N	6 420611 261234
86186	Barcode	\N	5018524066452
86186	Matrix / Runout	Side A	GLOBEX 124 A-1-1-1
86186	Matrix / Runout	Side B	GLOBEX 124 B-1-1-1
145664	Barcode	\N	5 012980 079902
145664	Matrix / Runout	Side A	VS 7991 A-1U-1-2-4     JONZ
145664	Matrix / Runout	Side B	VS 7991 B-2U-1-1-5     SOUND CLINIC
145664	Matrix / Runout	Side C	VS 7992 C-2U-1-1-9     JONZ
145664	Matrix / Runout	Side D	VS 7992 D-1U-1-1-2     SOUND CLINIC
251561	Matrix / Runout	Side A	RIDT 12 A·1 ORLAKE HAPPY BIRTHDAY TEEBONE
251561	Matrix / Runout	Side AA	RIDT 12 AA·1 ORLAKE
258843	Rights Society	\N	SABAM
258843	Rights Society	\N	BIEM
258843	Rights Society	\N	GEMA
370963	Barcode	\N	0 7559-60351-1
370963	Label Code	\N	LC 8355
370963	Rights Society	\N	GEMA / BIEM
459650	Barcode	\N	4 014235 434574
459650	Other	Label Code	LC 11605
459650	Other	Rights Society	GEMA
540468	Barcode	\N	0 42288 55357 1
540468	Other	Distribution Code	BA 102
540468	Rights Society	\N	SACEM/SDRM/SACD/SGDL
548797	Barcode	\N	4 007196 018280
548797	Other	Label Code	LC 8747
548797	Other	Rights Societies	GEMA STEMRA BIEM
577313	Matrix / Runout	\N	TD INT 145.021-A  S-I
577313	Matrix / Runout	\N	TD INT 145.021-B  S-I
577313	Other	Label Code	1109
696108	Barcode	\N	7 43213 56422 7
696108	Matrix / Runout	\N	ABLEX 81981
696108	Other	Label Code	LC 3484
696108	Other	\N	F:BM 620
\.


--
-- Data for Name: releases_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_images (release_id, uri, type, height, width, uri150) FROM stdin;
17379	http://api.discogs.com/image/R-17379-1231286785.jpeg	primary	599	600	http://api.discogs.com/image/R-150-17379-1231286785.jpeg
17379	http://api.discogs.com/image/R-17379-1355119418-1419.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-17379-1355119418-1419.jpeg
18363	http://api.discogs.com/image/R-18363-1357061151-6761.jpeg	primary	519	572	http://api.discogs.com/image/R-150-18363-1357061151-6761.jpeg
25288	http://api.discogs.com/image/R-25288-1200500570.jpeg	secondary	155	600	http://api.discogs.com/image/R-150-25288-1200500570.jpeg
25288	http://api.discogs.com/image/R-25288-1200500609.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-25288-1200500609.jpeg
25288	http://api.discogs.com/image/R-25288-1200500624.jpeg	secondary	584	600	http://api.discogs.com/image/R-150-25288-1200500624.jpeg
56990	http://api.discogs.com/image/R-56990-1109702805.jpg	secondary	222	240	http://api.discogs.com/image/R-150-56990-1109702805.jpg
58120	http://api.discogs.com/image/R-58120-1197655737.jpeg	secondary	585	600	http://api.discogs.com/image/R-150-58120-1197655737.jpeg
58120	http://api.discogs.com/image/R-58120-1197655762.jpeg	secondary	588	600	http://api.discogs.com/image/R-150-58120-1197655762.jpeg
58120	http://api.discogs.com/image/R-58120-1197655792.jpeg	secondary	585	600	http://api.discogs.com/image/R-150-58120-1197655792.jpeg
68286	http://api.discogs.com/image/R-68286-1076614940.jpg	primary	297	300	http://api.discogs.com/image/R-150-68286-1076614940.jpg
68286	http://api.discogs.com/image/R-68286-1076614930.jpg	secondary	300	300	http://api.discogs.com/image/R-150-68286-1076614930.jpg
86186	http://api.discogs.com/image/R-86186-1161978496.jpeg	primary	607	600	http://api.discogs.com/image/R-150-86186-1161978496.jpeg
120684	http://api.discogs.com/image/R-120684-1100466520.jpg	secondary	236	236	http://api.discogs.com/image/R-150-120684-1100466520.jpg
145664	http://api.discogs.com/image/R-145664-1224680312.jpeg	primary	541	560	http://api.discogs.com/image/R-150-145664-1224680312.jpeg
145664	http://api.discogs.com/image/R-145664-1251738167.jpeg	secondary	600	594	http://api.discogs.com/image/R-150-145664-1251738167.jpeg
145664	http://api.discogs.com/image/R-145664-1251738366.jpeg	secondary	295	600	http://api.discogs.com/image/R-150-145664-1251738366.jpeg
145664	http://api.discogs.com/image/R-145664-1251738197.jpeg	secondary	600	597	http://api.discogs.com/image/R-150-145664-1251738197.jpeg
145664	http://api.discogs.com/image/R-145664-1251738208.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-145664-1251738208.jpeg
145664	http://api.discogs.com/image/R-145664-1251738215.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-145664-1251738215.jpeg
145664	http://api.discogs.com/image/R-145664-1251738221.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-145664-1251738221.jpeg
145664	http://api.discogs.com/image/R-145664-1251738406.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-145664-1251738406.jpeg
161515	http://api.discogs.com/image/R-161515-1220408727.jpeg	primary	600	600	http://api.discogs.com/image/R-150-161515-1220408727.jpeg
161515	http://api.discogs.com/image/R-161515-1150156174.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-161515-1150156174.jpeg
161515	http://api.discogs.com/image/R-161515-1220408577.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-161515-1220408577.jpeg
188423	http://api.discogs.com/image/R-188423-1142371684.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-188423-1142371684.jpeg
238636	http://api.discogs.com/image/R-238636-1099182255.jpg	secondary	197	200	http://api.discogs.com/image/R-150-238636-1099182255.jpg
251561	http://api.discogs.com/image/R-251561-1341762410-9333.jpeg	primary	595	600	http://api.discogs.com/image/R-150-251561-1341762410-9333.jpeg
251561	http://api.discogs.com/image/R-251561-1341762421-4968.jpeg	secondary	589	600	http://api.discogs.com/image/R-150-251561-1341762421-4968.jpeg
258843	http://api.discogs.com/image/R-258843-1094914238.jpg	primary	266	300	http://api.discogs.com/image/R-150-258843-1094914238.jpg
258843	http://api.discogs.com/image/R-258843-1271430723.jpeg	secondary	500	500	http://api.discogs.com/image/R-150-258843-1271430723.jpeg
300068	http://api.discogs.com/image/R-300068-1316446441.jpeg	primary	600	600	http://api.discogs.com/image/R-150-300068-1316446441.jpeg
300068	http://api.discogs.com/image/R-300068-1316446445.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-300068-1316446445.jpeg
300068	http://api.discogs.com/image/R-300068-1316446449.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-300068-1316446449.jpeg
303732	http://api.discogs.com/image/R-303732-1152885689.jpeg	secondary	293	291	http://api.discogs.com/image/R-150-303732-1152885689.jpeg
312171	http://api.discogs.com/image/R-312171-1094983779.jpg	secondary	300	300	http://api.discogs.com/image/R-150-312171-1094983779.jpg
312171	http://api.discogs.com/image/R-312171-1110810374.jpg	secondary	352	450	http://api.discogs.com/image/R-150-312171-1110810374.jpg
312171	http://api.discogs.com/image/R-312171-1165091188.jpeg	secondary	620	600	http://api.discogs.com/image/R-150-312171-1165091188.jpeg
312171	http://api.discogs.com/image/R-312171-1165091220.jpeg	secondary	620	600	http://api.discogs.com/image/R-150-312171-1165091220.jpeg
329963	http://api.discogs.com/image/R-329963-1097086513.jpg	secondary	269	300	http://api.discogs.com/image/R-150-329963-1097086513.jpg
329963	http://api.discogs.com/image/R-329963-1097086539.jpg	secondary	269	300	http://api.discogs.com/image/R-150-329963-1097086539.jpg
354422	http://api.discogs.com/image/R-354422-1113836754.jpg	secondary	247	330	http://api.discogs.com/image/R-150-354422-1113836754.jpg
354422	http://api.discogs.com/image/R-354422-1113836803.jpg	secondary	247	330	http://api.discogs.com/image/R-150-354422-1113836803.jpg
363605	http://api.discogs.com/image/R-363605-1124450570.jpg	secondary	287	289	http://api.discogs.com/image/R-150-363605-1124450570.jpg
370963	http://api.discogs.com/image/R-370963-1297683084.jpeg	primary	595	600	http://api.discogs.com/image/R-150-370963-1297683084.jpeg
370963	http://api.discogs.com/image/R-370963-1297683126.jpeg	secondary	591	600	http://api.discogs.com/image/R-150-370963-1297683126.jpeg
370963	http://api.discogs.com/image/R-370963-1297683092.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-370963-1297683092.jpeg
370963	http://api.discogs.com/image/R-370963-1297683110.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-370963-1297683110.jpeg
375080	http://api.discogs.com/image/R-375080-1105296320.jpg	secondary	300	300	http://api.discogs.com/image/R-150-375080-1105296320.jpg
400478	http://api.discogs.com/image/R-400478-1316853513.jpeg	primary	399	399	http://api.discogs.com/image/R-150-400478-1316853513.jpeg
400478	http://api.discogs.com/image/R-400478-1316853529.jpeg	secondary	398	402	http://api.discogs.com/image/R-150-400478-1316853529.jpeg
400478	http://api.discogs.com/image/R-400478-1316853546.jpeg	secondary	467	453	http://api.discogs.com/image/R-150-400478-1316853546.jpeg
437757	http://api.discogs.com/image/R-437757-1113414832.gif	secondary	450	450	http://api.discogs.com/image/R-150-437757-1113414832.gif
437757	http://api.discogs.com/image/R-437757-1113414849.gif	secondary	450	450	http://api.discogs.com/image/R-150-437757-1113414849.gif
459650	http://api.discogs.com/image/R-459650-1210334301.jpeg	primary	600	600	http://api.discogs.com/image/R-150-459650-1210334301.jpeg
459650	http://api.discogs.com/image/R-459650-1210334315.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-459650-1210334315.jpeg
476353	http://api.discogs.com/image/R-476353-1119257687.jpg	primary	290	300	http://api.discogs.com/image/R-150-476353-1119257687.jpg
476353	http://api.discogs.com/image/R-476353-1343521611-9460.jpeg	secondary	460	469	http://api.discogs.com/image/R-150-476353-1343521611-9460.jpeg
476353	http://api.discogs.com/image/R-476353-1343521620-9232.jpeg	secondary	460	454	http://api.discogs.com/image/R-150-476353-1343521620-9232.jpeg
476353	http://api.discogs.com/image/R-476353-1343521627-7731.jpeg	secondary	351	534	http://api.discogs.com/image/R-150-476353-1343521627-7731.jpeg
476353	http://api.discogs.com/image/R-476353-1343521632-9514.jpeg	secondary	462	446	http://api.discogs.com/image/R-150-476353-1343521632-9514.jpeg
476353	http://api.discogs.com/image/R-476353-1343521650-1865.jpeg	secondary	432	550	http://api.discogs.com/image/R-150-476353-1343521650-1865.jpeg
506716	http://api.discogs.com/image/R-506716-1339253664-3857.jpeg	primary	280	280	http://api.discogs.com/image/R-150-506716-1339253664-3857.jpeg
514591	http://api.discogs.com/image/R-514591-1210425778.jpeg	primary	300	300	http://api.discogs.com/image/R-150-514591-1210425778.jpeg
534012	http://api.discogs.com/image/R-534012-1128551333.jpeg	secondary	540	542	http://api.discogs.com/image/R-150-534012-1128551333.jpeg
534012	http://api.discogs.com/image/R-534012-1128551344.jpeg	secondary	510	600	http://api.discogs.com/image/R-150-534012-1128551344.jpeg
540468	http://api.discogs.com/image/R-540468-1146446302.jpeg	primary	360	364	http://api.discogs.com/image/R-150-540468-1146446302.jpeg
540468	http://api.discogs.com/image/R-540468-1146446387.jpeg	secondary	365	368	http://api.discogs.com/image/R-150-540468-1146446387.jpeg
540468	http://api.discogs.com/image/R-540468-1328101066.jpeg	secondary	600	594	http://api.discogs.com/image/R-150-540468-1328101066.jpeg
540468	http://api.discogs.com/image/R-540468-1328101080.jpeg	secondary	600	596	http://api.discogs.com/image/R-150-540468-1328101080.jpeg
548797	http://api.discogs.com/image/R-548797-1202903061.jpeg	primary	591	600	http://api.discogs.com/image/R-150-548797-1202903061.jpeg
548797	http://api.discogs.com/image/R-548797-1202903081.jpeg	secondary	585	600	http://api.discogs.com/image/R-150-548797-1202903081.jpeg
548797	http://api.discogs.com/image/R-548797-1195915882.jpeg	secondary	480	481	http://api.discogs.com/image/R-150-548797-1195915882.jpeg
548797	http://api.discogs.com/image/R-548797-1195916015.jpeg	secondary	485	480	http://api.discogs.com/image/R-150-548797-1195916015.jpeg
564818	http://api.discogs.com/image/R-564818-1181986390.jpeg	primary	301	300	http://api.discogs.com/image/R-150-564818-1181986390.jpeg
564818	http://api.discogs.com/image/R-564818-1251730655.gif	secondary	320	320	http://api.discogs.com/image/R-150-564818-1251730655.gif
577313	http://api.discogs.com/image/R-577313-1267449100.jpeg	secondary	350	350	http://api.discogs.com/image/R-150-577313-1267449100.jpeg
597102	http://api.discogs.com/image/R-597102-1304139579.jpeg	primary	530	600	http://api.discogs.com/image/R-150-597102-1304139579.jpeg
597102	http://api.discogs.com/image/R-597102-1266447941.jpeg	secondary	496	499	http://api.discogs.com/image/R-150-597102-1266447941.jpeg
610105	http://api.discogs.com/image/R-610105-1168155418.jpeg	secondary	500	500	http://api.discogs.com/image/R-150-610105-1168155418.jpeg
659538	http://api.discogs.com/image/R-659538-1238280274.jpeg	primary	613	600	http://api.discogs.com/image/R-150-659538-1238280274.jpeg
659538	http://api.discogs.com/image/R-659538-1238280297.jpeg	secondary	610	600	http://api.discogs.com/image/R-150-659538-1238280297.jpeg
666978	http://api.discogs.com/image/R-666978-1305060450.jpeg	primary	247	247	http://api.discogs.com/image/R-150-666978-1305060450.jpeg
696108	http://api.discogs.com/image/R-696108-1148765597.jpeg	primary	461	600	http://api.discogs.com/image/R-150-696108-1148765597.jpeg
696108	http://api.discogs.com/image/R-696108-1306264818.jpeg	secondary	520	600	http://api.discogs.com/image/R-150-696108-1306264818.jpeg
696108	http://api.discogs.com/image/R-696108-1306264763.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-696108-1306264763.jpeg
737913	http://api.discogs.com/image/R-737913-1311276194.jpeg	primary	180	180	http://api.discogs.com/image/R-150-737913-1311276194.jpeg
770243	http://api.discogs.com/image/R-770243-1195058927.jpeg	secondary	595	600	http://api.discogs.com/image/R-150-770243-1195058927.jpeg
770243	http://api.discogs.com/image/R-770243-1195058961.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-770243-1195058961.jpeg
770243	http://api.discogs.com/image/R-770243-1195058998.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-770243-1195058998.jpeg
770243	http://api.discogs.com/image/R-770243-1195059030.jpeg	secondary	599	600	http://api.discogs.com/image/R-150-770243-1195059030.jpeg
818803	http://api.discogs.com/image/R-818803-1269977825.jpeg	primary	459	599	http://api.discogs.com/image/R-150-818803-1269977825.jpeg
818803	http://api.discogs.com/image/R-818803-1269977831.jpeg	secondary	532	599	http://api.discogs.com/image/R-150-818803-1269977831.jpeg
818803	http://api.discogs.com/image/R-818803-1269977838.jpeg	secondary	599	586	http://api.discogs.com/image/R-150-818803-1269977838.jpeg
824160	http://api.discogs.com/image/R-824160-1177248762.jpeg	primary	538	538	http://api.discogs.com/image/R-150-824160-1177248762.jpeg
824160	http://api.discogs.com/image/R-824160-1177248780.jpeg	secondary	283	460	http://api.discogs.com/image/R-150-824160-1177248780.jpeg
824160	http://api.discogs.com/image/R-824160-1177248798.jpeg	secondary	518	523	http://api.discogs.com/image/R-150-824160-1177248798.jpeg
824160	http://api.discogs.com/image/R-824160-1177248818.jpeg	secondary	544	533	http://api.discogs.com/image/R-150-824160-1177248818.jpeg
824160	http://api.discogs.com/image/R-824160-1177248845.jpeg	secondary	548	559	http://api.discogs.com/image/R-150-824160-1177248845.jpeg
824160	http://api.discogs.com/image/R-824160-1177248864.jpeg	secondary	554	543	http://api.discogs.com/image/R-150-824160-1177248864.jpeg
837979	http://api.discogs.com/image/R-837979-1163948520.jpeg	primary	600	592	http://api.discogs.com/image/R-150-837979-1163948520.jpeg
855836	http://api.discogs.com/image/R-855836-1227842935.jpeg	primary	296	280	http://api.discogs.com/image/R-150-855836-1227842935.jpeg
855836	http://api.discogs.com/image/R-855836-1257119022.jpeg	secondary	600	289	http://api.discogs.com/image/R-150-855836-1257119022.jpeg
855836	http://api.discogs.com/image/R-855836-1169145672.jpeg	secondary	598	598	http://api.discogs.com/image/R-150-855836-1169145672.jpeg
855836	http://api.discogs.com/image/R-855836-1169145692.jpeg	secondary	598	598	http://api.discogs.com/image/R-150-855836-1169145692.jpeg
\.


--
-- Data for Name: releases_labels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_labels (release_id, name, catno) FROM stdin;
17379	Enigma Records (3)	7 72000-1
18363	Xtravaganza Recordings	0091415EXT
18363	Edel	0091415EXT
25288	Eve Records	EVE  97020
56990	X-Stream	X-STREAM 002
58120	Exogenic Records	EXO1203
68286	No Respect Records	NRR 038
86186	All Around The World	12 GLOBEX 124
120684	Debut	DEBTX 3082
145664	Virgin	VS 799
155017	Peroxide	PEROX 004
161515	Warner Bros. Records	925 300-2
188423	Elephant Electronic	ELECD02
238636	Novum Organum	NOE CD 001
251561	Riddim Track Records	RIDT 012
258843	Crammed Discs	CRAM 114 CD
300068	Elektra	0-66654
303732	Not On Label (Illicit Remix Series)	R41
312171	Warner Strategic Marketing	0927-46176-2
329963	Echo	ECSCX 132
354422	Houze Factory	2100776
363605	Guerrilla Funk Recordings	GAT-31013-2
370963	Elektra Musician	960 351-1
373403	Airplay Records	981 900-5
375080	Brainiak Records	Braink 46
400105	Success	2055CD
400478	EMF Entertainment	EMF-0001
437757	Nocturnal Records	NOCR004
459650	Vandit Records	049
476353	EMI Music France	7243 5 37640 2 9
493852	Not On Label	fundj1
506716	Arcade	01 3800 22
506716	Arcade	ADEH013800.22
514591	Low Frequency	LF-07
534012	TVT Records	TVT 8751-2P
534012	Wax Trax! Records	TVT 8751-2P
540468	Barclay	885 535-7
548797	IMP	601 828
548797	IMP	601 828-213
564818	Schnellschnitt	76.10 089-2
577313	Intercord	INT 145.021
597102	One Way Records (5)	WAY 1033
610105	Mushroom Records	X 14991
659538	MoreHouse Records	MHR 0019
666978	Rockers International	DSR 7068
666978	Rockers International	DSR 7069
684859	Speed Records	SPE  46
696108	LaFace Records	74321 35642 2
696108	Arista	74321 35642 2
737913	Rough Trade	none
770243	PRT Records	12P 360
785482	Not On Label	FIX 007
818803	Universal Records	PCORAZONCDP1
824160	Big Beat	0-85031
837979	Atlantic	AT 0263
837979	Atlantic	7567-94487-7
855836	Crust War	Crust War-023
\.


--
-- Data for Name: releases_styles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_styles (release_id, style) FROM stdin;
17379	Pop Rock
17379	Disco
17379	Soundtrack
17379	Score
17379	Electro
17379	Synth-pop
18363	Trance
25288	Trance
56990	Acid
58120	Psy-Trance
58120	Goa Trance
68286	Trance
86186	Breakbeat
86186	House
86186	Hardcore
120684	Euro House
120684	New Beat
145664	Synth-pop
155017	Hard Trance
161515	Synth-pop
188423	Techno
188423	Abstract
188423	IDM
188423	Ambient
238636	Industrial
238636	Experimental
251561	Jungle
258843	Abstract
258843	Synth-pop
300068	Dub
300068	Electro
303732	House
312171	Trance
312171	Euro House
329963	UK Garage
354422	House
354422	Deep House
370963	Post Bop
370963	Fusion
373403	House
373403	Trance
375080	Progressive House
375080	Progressive Trance
400105	Folk Rock
400478	Screw
437757	House
437757	UK Garage
437757	Speed Garage
459650	Trance
476353	Pop Rock
493852	Euro House
506716	Disco
514591	House
514591	UK Garage
514591	Speed Garage
534012	Industrial
540468	Pop Rock
548797	Soft Rock
564818	New Wave
564818	Abstract
564818	Minimal
577313	Bossa Nova
577313	Fusion
577313	Modal
597102	Italodance
610105	Synth-pop
610105	Euro House
659538	Garage House
666978	Roots Reggae
684859	Happy Hardcore
696108	RnB/Swing
770243	Soul
770243	Disco
818803	RnB/Swing
824160	House
837979	Indie Rock
855836	Hardcore
855836	Punk
855836	Grindcore
\.


--
-- Data for Name: releases_tracklist; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist (release_id, track_id, "position", duration, title) FROM stdin;
17379	95909	A1	\N	The Terminator Theme
17379	95910	A2	\N	Terminator Arrival
17379	95911	A3	\N	Tunnel Chase
17379	95912	A4	\N	Love Scene
17379	95913	A5	\N	Future Remembered
17379	95914	A6	\N	Factory Chase
17379	95915	B1	\N	You Can't Do That
17379	95916	B2	\N	Burnin' In The Third Degree
17379	95917	B3	\N	Pictures Of You
17379	95918	B4	\N	Photoplay
17379	95919	B5	\N	Intimacy
18363	100892	1	4:17	Lost You Somewhere (Radio Edit)
18363	100893	2	8:26	Lost You Somewhere (Original Version)
18363	100894	3	8:42	Lost You Somewhere (Heliotropic Mix)
18363	100895	4	8:14	Lost You Somewhere (R.O.O.S. Remix)
25288	135173	A	\N	Trance In Saigon (Bravo Remix)
25288	135174	B	\N	Escape (More Kicks Remix)
56990	305817	A	\N	Acid Creak (Pierre's Reconstruction Mix)
56990	305818	B1	\N	Acid Creak (DJ H.S. Contact Mix)
56990	305819	B2	\N	Skittish Sky
58120	311833	A	9:03	Ultra Far
58120	311834	B	8:14	Hardhorse
68286	366910	A	\N	Graduate
68286	366911	B	\N	Another Destination
86186	458931	A1	\N	Set You Free (TTF Remix)
86186	458932	A2	\N	Set You Free (Kleptomania Mix)
86186	458933	B1	\N	Set You Free (Pop Mix)
86186	458934	B2	\N	Set You Free (Nymphomania Mix)
120684	646286	A	\N	It's A Dream (Interferences Mix)
120684	646287	B1	\N	It's A Reality
120684	646288	B2	\N	They Lost Control
145664	783144	A	4:18	You Did Cut Me
145664	783145	B	3:57	You Did Cut Me (Live Version)
145664	783146	C	5:35	Christian (Live Version)
145664	783147	D	3:36	Seven Sports For All (Live Version)
155017	834691	A	\N	Breakdown
155017	834692	B	\N	Jen/R/8
161515	869735	1	3:46	Take On Me
161515	869736	2	4:11	Train Of Thought
161515	869737	3	3:43	Hunting High And Low
161515	869738	4	2:22	The Blue Sky
161515	869739	5	5:00	Living A Boy's Adventure Tale
161515	869740	6	5:06	The Sun Always Shines On T.V.
161515	869741	7	1:51	And You Tell Me
161515	869742	8	3:04	Love Is Reason
161515	869743	9	3:06	I Dream Myself Alive
161515	869744	10	4:30	Here I Stand And Face The Rain
188423	1025447	1	6:11	Aura
188423	1025448	2	4:12	Dropped
188423	1025449	3	3:41	Art Techen
188423	1025450	4	2:42	Sculpture
188423	1025451	5	2:55	Bathroom Toy Boy
188423	1025452	6	4:12	Bicycle Underwater
188423	1025453	7	2:30	Wedding Song (Peak:Shift Remix)
188423	1025454	8	4:31	Mantrinam
188423	1025455	9	3:39	Eeez
188423	1025456	10	2:56	Ratus Ratus
188423	1025457	11	2:30	Plateau
188423	1025458	12	3:23	Rejection Letter
188423	1025459	13	3:44	Pusher
188423	1025460	14	0:38	Neon
188423	1025461	15	3:33	Paused
188423	1025462	16	3:16	Wedding Song (Again)
188423	1025463	17	3:09	2+4
188423	1025464	18	5:09	Lost At Sea
188423	1025465	19	3:02	Perfect Winter In Feb
188423	1025466	20	4:53	Nighten
238636	1319697	1	\N	Spiritual Heritage (I)
238636	1319698	2	\N	Cataclysm
238636	1319699	3	\N	Spiritual Heritage (II)
238636	1319700	4	\N	Decay
238636	1319701	5	\N	The Mirror
238636	1319702	6	\N	Ceremony
238636	1319703	7	\N	The Decay Of A Body Is The Birth Of Another One
238636	1319704	8	\N	Descent
238636	1319705	9	\N	Apocalypse
238636	1319706	10	\N	Tabula Rasa
238636	1319707	11	\N	The Spring
238636	1319708	12	\N	The Way To The Empire Of Strength And Order
251561	1394276	A	5:40	Put Da Heat Up
251561	1394277	AA	6:50	Sitar Of Mecca
258843	1435726	1	2:12	Saure Gurke (Aus 1 Urwald Gelockt)
258843	1435727	2	1:57	Next One Is Real
258843	1435728	3	2:57	See (Histoire À Suivre)
258843	1435729	4	3:17	Marseille
258843	1435730	5	2:10	Take Me Away
258843	1435731	6	2:33	La Morte
258843	1435732	7	2:42	Marienbad
258843	1435733	8	2:57	Blank Sheets
258843	1435734	9	3:02	M'Pasi Ya M'Pamba (Remix)
258843	1435735	10	2:48	Statik Dancin'
258843	1435736	11	2:40	I Left My Heart In San Francisco/Tritone (Musica Diablo)
258843	1435737	12	4:07	Chez Les Aborigènes (Rough Demo)
258843	1435738	13	4:00	Jinx
258843	1435739	14	0:36	The Observatory
258843	1435740	15	3:08	Better Later Than Never
258843	1435741	16	3:49	Lovely Lady Of The Roses
258843	1435742	17	3:29	I Don't Like Music
258843	1435743	18	3:34	Tales Of Taboo
258843	1435744	19	3:40	Guilty !
258843	1435745	20	2:41	Some Guys
258843	1435746	21	3:31	Fonce À Mort
258843	1435747	22	6:20	O My Beautiful Song
300068	1553218	A1	4:42	Dub Be Good To Me (Norman Cook's Excursion On The Version)
300068	1553219	A2	5:41	Dub Be Good To Me (Norman Cook's Excursion On The Hip Hop Version)
300068	1553220	A3	4:00	Dub Be Good To Me (Single Version)
300068	1553221	B1	7:17	Dub Be Good To Me (Smith And Mighty Mix)
300068	1553222	B2	5:00	Dub Be Good To Me (Smith And Mighty Mellow Mix)
300068	1553223	B3	2:50	Just Be Good To Me (Acapella)
303732	1568811	A	\N	Untitled
303732	1568812	B	\N	Untitled
312171	1606191	1-01	3:40	Will I (Radio Edit)
312171	1606192	1-02	4:02	Alone (Radio Mix)
312171	1606193	1-03	4:07	Skin (Radio Edit)
312171	1606194	1-04	3:57	Forever (Radio Edit)
312171	1606195	1-05	3:13	Take Me Away (Into The Night) (Vocal Radio Mix)
312171	1606196	1-06	3:38	Running (DJ MarcAurel Video Edit)
312171	1606197	1-07	3:26	Desire (Short Cut)
312171	1606198	1-08	3:05	Twisted (Original Single Edit)
312171	1606199	1-09	2:56	Awakening (Radio Edit)
312171	1606200	1-10	3:32	This Is My Sound (CJ Stone Radio Edit)
312171	1606201	1-11	3:21	4 O'Clock In The Morning (Radio Edit)
312171	1606202	1-12	3:23	Drifting Away (Radio Edit)
312171	1606203	1-13	3:49	Words (Radio Edit)
312171	1606204	1-14	3:42	Do You See The Light (Video Cut)
312171	1606205	1-15	3:37	Freed From Desire (Radio Mix)
312171	1606206	1-16	3:47	Everybody's Free (Radio Edit)
312171	1606207	1-17	3:16	Missing (Radio Mix)
312171	1606208	1-18	3:40	Clear Blue Water (Radio Edit)
312171	1606209	1-19	3:42	All I Ever Wanted (Devotion) (Radio Mix)
312171	1606210	1-20	7:33	Gielen Remix)
312171	1606211	1-21	3:49	Like A Prayer 2002 (Radio Edit)
312171	1606212	2-01	3:31	Nessaja (Radio Edit)
312171	1606213	2-02	3:22	Hard To Say I'm Sorry (Radio Edit)
312171	1606214	2-03	3:22	Free (Radio Edit)
312171	1606215	2-04	3:46	Back To Earth (Video Mix)
312171	1606216	2-05	3:51	Lost In Love (ATB Radio Edit)
312171	1606217	2-06	3:06	Let's Play (Short)
312171	1606218	2-07	3:04	Culture Flash (Short)
312171	1606219	2-08	3:41	Music Non Stop (Single Version)
312171	1606220	2-09	3:59	In My Dreams (Screen Cut)
312171	1606221	2-10	3:48	Free Your Mind (Radio Version)
312171	1606222	2-11	7:31	Let The Party Begin (Green Court Remix)
312171	1606223	2-12	3:38	Have You Ever ... (Radio Version)
312171	1606224	2-13	3:52	Bolero (Single Edit)
312171	1606225	2-14	3:39	Celebrate The Love 2002 (Radio Cut)
312171	1606226	2-15	3:25	Elements (DJs@Work Radio Cut)
312171	1606227	2-16	3:51	Calling Mars (Single Mix)
312171	1606228	2-17	3:40	Adrenalin (Video Cut)
312171	1606229	2-18	3:23	Devil's Dance (Original Radio Mix)
312171	1606230	2-19	3:33	Sharp As A Knife (Warp Brothers Single Mix)
312171	1606231	2-20	4:29	Moinsen! (Short Cut)
329963	1692175	1	\N	Do You Think You're Special? (United Grooves Collective Remix)
329963	1692176	2	\N	Do You Think You're Special? (Todd Edwards So Special UK Remix)
329963	1692177	3	\N	Do You Think You're Special? (Todd Edwards So Vocalised Dub)
354422	1808925	A1	3:48	Love Won't Let You Down
354422	1808926	A2	5:15	Call On Me Baby
354422	1808927	A3	5:23	Ecstasy
354422	1808928	B1	5:45	Double Sense
354422	1808929	B2	5:05	Flesh
354422	1808930	B3	6:00	In The Mix
354422	1808931	C1	6:10	Red Light
354422	1808932	C2	5:00	Free Me
354422	1808933	C3	5:00	Trance To The Dance
354422	1808934	C4	5:36	Down
354422	1808935	D1	5:00	Voices
354422	1808936	D2	5:00	The Sound Of Assisi
363605	1853900	1	\N	The Devil Made Me Do It (Poach A Pig Mix)
363605	1853901	2	\N	11:55
363605	1853902	3	\N	Check It Out Ch'all (Alternate Version)
363605	1853903	4	\N	Time For Peace
363605	1853904	5	\N	Musical Madness
363605	1853905	6	\N	Bush Killa (Hellraiser Mix)
363605	1853906	7	\N	Assata's Song (Remix)
363605	1853907	8	\N	Death (Piggy On A Platter Mix)
363605	1853908	9	\N	Guerillas In The Mist (Warfare Remix)
363605	1853909	10	\N	X Factor
363605	1853910	11	\N	Break The Grip Of Shame (The Final Call)
363605	1853911	12	\N	The Hate That Hate Made (Power Of God Mix)
363605	1853912	13	\N	Guerillas In The Mist (Alternate Version)
363605	1853913	14	\N	Lights, Camera Revolution
370963	1898351	A1	6:58	Safari
370963	1898352	A2	6:20	Oops
370963	1898353	A3	6:02	Self Portrait
370963	1898354	A4	6:17	Modern Times
370963	1898355	B1	8:49	Radio-Active
370963	1898356	B2	6:25	Now You Know
370963	1898357	B3	6:19	Old Town
373403	1913503	A1	7:33	Take Me To The Clouds Above (Extended Mix)
373403	1913504	A2	6:18	Take Me To The Clouds Above (Audiolush Remix)
373403	1913505	B1	7:35	Take Me To The Clouds Above (The Mash Up Kids)
373403	1913506	B2	6:13	Take Me To The Clouds Above (Lee S Remix)
375080	1924408	A	\N	T-1000 (Doi-oing Remix)
375080	1924409	B	\N	Filterwerks
400105	2075112	1	2:40	You're The Nearest Thing To Heaven
400105	2075113	2	2:10	Rock Island Line
400105	2075114	3	2:21	Cold Cold Heart
400105	2075115	4	2:47	Folsom Prison Blues
400105	2075116	5	1:42	Hey Good Lookin'
400105	2075117	6	2:25	I Love You Because
400105	2075118	7	2:08	Just About Time
400105	2075119	8	2:13	Straight As In Love
400105	2075120	9	2:23	I Just Thought You'd Like To Know
400105	2075121	10	2:11	Goodbye Little Darling
400105	2075122	11	2:12	I Could Never Be Ashamed Of You
400105	2075123	12	2:43	Next In Line
400105	2075124	13	2:36	Port Of Lonely Hearts
400105	2075125	14	1:48	Sugartime
400105	2075126	15	2:15	There You Go
400105	2075127	16	1:57	Two Timin' Women
400105	2075128	17	2:29	Big River
400105	2075129	18	2:09	Ballad Of A Teenage Queen
400478	2077384	A1	4:39	Muschi Im Club
400478	2077385	A2	4:39	Muschi Im Club (Clean Version)
400478	2077386	A3	4:39	Muschi Im Club (Instrumental)
400478	2077387	B1	6:00	MF Einz
400478	2077388	B2	6:00	MF Einz (Instrumental)
437757	2289150	A	\N	Dancehall Queen (Bassline Mix)
437757	2289151	B	\N	Dancehall Queen (Organ Mix)
459650	2416341	A1	7:52	Second Day (Original Mix)
459650	2416342	B1	8:01	Second Day (Martin Roth Remix)
476353	2511313	1	2:57	Comme Un Boomerang
476353	2511314	2	2:27	La Fille A La Moto
476353	2511315	3	1:45	La Machine
476353	2511316	4	2:35	Petit Taureau
476353	2511317	5	1:42	H Comme Hippies
476353	2511318	6	1:39	Comme Tu Les Aimes
476353	2511319	7	2:46	Scopitone
476353	2511320	8	1:55	Les Artichauds
476353	2511321	9	2:37	Papa Vient D'Epouser La Bonne
476353	2511322	10	2:13	Darling Dollar
476353	2511323	11	2:02	Lady Lune
476353	2511324	12	3:22	Vive L'Enfance
476353	2511325	13	2:50	Mon Homme A Moi ... C'Est Toi
476353	2511326	14	2:04	La Petite Qui Revient De Loin
476353	2511327	15	2:53	Quand Ca T'Arrange
476353	2511328	16	3:16	La Vie A 25 Ans (Y'a Pas De Mal A S'Faire Du Bien)
476353	2511329	17	4:13	Cette Histoire Commence
476353	2511330	18	2:46	Mythomane
476353	2511331	19	4:00	Les Sales Mecs
476353	2511332	20	1:48	N Comme Never Again
476353	2511333	21	2:21	La Lluna
493852	2612415	A	\N	Do Wah Diddy Diddy (Bag Of Trix Mix)
493852	2612416	B1	\N	Do Wah Diddy Diddy (The Wiggle Mix)
493852	2612417	B2	\N	Sugar Dumplin'
506716	2688218	A1	\N	Last Dance
506716	2688219	A2	\N	It's Raining Men
506716	2688220	A3	\N	All American Girls
506716	2688221	A4	\N	Glad To Know You
506716	2688222	A5	\N	Gone, Gone, Gone
506716	2688223	A6	\N	Chase
506716	2688224	A7	\N	Show You The Way To Go
506716	2688225	B1	\N	High Energy
506716	2688226	B2	\N	Don't Stop The Music
506716	2688227	B3	\N	Get Down Saturday Night
506716	2688228	B4	\N	The Rubberband Man
506716	2688229	B5	\N	Shake It Up Tonight
506716	2688230	B6	\N	Walking On Sunshine
506716	2688231	B7	\N	Release
506716	2688232	C1	\N	Star
506716	2688233	C2	\N	Funky Stuff
506716	2688234	C3	\N	I Love To Love
506716	2688235	C4	\N	If You Feel The Funk
506716	2688236	C5	\N	I'm Every Woman
506716	2688237	C6	\N	The Rhythm Of The Jungle
506716	2688238	C7	\N	Do You Wanna Funk
506716	2688239	D1	\N	Rock Your World (Joho, Joho)
506716	2688240	D2	\N	Strut Your Funky Stuff
506716	2688241	D3	\N	Give Me A Break
506716	2688242	D4	\N	Let's Start II The Dance Again
506716	2688243	D5	\N	This Time, Baby
506716	2688244	D6	\N	Shake Your Groove Thing
506716	2688245	D7	\N	Think
514591	2733673	A	\N	Specialise In Love
514591	2733674	B	\N	Ain't Nobody
534012	2853310	1	4:19	Megalomaniac (Edit)
540468	2891994	A	3:40	Elle Voulait Revoir Sa Normandie
540468	2891995	B	4:21	Des Mots Grossiers, Des Mots Vulgaires
548797	2939901	A	9:45	Stairway To Heaven
548797	2939902	B	3:05	Financial Controller
564818	3039244	A1	\N	Huckepack Und Zu Hunderten In Den Tod
564818	3039245	A2	\N	V.S.O.P.
564818	3039246	B1	\N	Vetter Tom's Knüppel
564818	3039247	B2	\N	Dick Sind Sie Und Keuchen
577313	3115317	A1	2:48	Gipsy Lady
577313	3115318	A2	4:31	Nijal
577313	3115319	A3	7:24	Miri Gili
577313	3115320	A4	4:28	Latienda
577313	3115321	B1	3:11	Get It Together
577313	3115322	B2	6:47	Limelight Suite
577313	3115323	B3	3:45	Congito
577313	3115324	B4	4:29	Ego
597102	3231516	A1	5:11	Cut Vrs)
597102	3231517	A2	3:15	Step It Up (Radio)
597102	3231518	B1	5:11	Step It Up (Fired Up-Don't Give Up)
597102	3231519	B2	5:11	Step It Up (No Rap)
610105	3309690	A	\N	Shocked (DNA Mix)
610105	3309691	B	\N	Shocked (Harding / Curnow Mix)
659538	3584200	A	\N	Devotion (GJ's Soulelectro Dub)
659538	3584201	AA	\N	Devotion (GJ's Classic Vox With Spoken Word)
666978	3626029	A	\N	Full Up
666978	3626030	B	\N	Eastman Sound
684859	3723346	1	3:15	Sabre Dance
696108	3785603	1	4:20	Nobody Knows (Radio Edit)
696108	3785604	2	4:22	Nobody Knows (Rich Single Edit)
696108	3785605	3	4:21	Nobody Knows (Untouchable Flava Edit)
696108	3785606	4	5:20	Nobody Knows (Album Version)
737913	4032888	1	2:27	12:51
770243	4238136	A	\N	Sad Sweet Dreamer (Sensational Sax Remix)
770243	4238137	B	\N	Sad Sweet Dreamer (Instrumental)
785482	4334161	A	\N	Never Seen Before
785482	4334162	B	\N	People Time
818803	4536711	1	3:37	Te Amo Corazón
824160	4567665	A	7:26	Groovejet (If This Ain't Love) (Spiller's Extended Vocal Mix)
824160	4567666	B1	5:56	Groovejet (If This Ain't Love) (Solar's Jet Groove Edit)
824160	4567667	B2	3:46	Groovejet (If This Ain't Love) (Spiller's Radio Edit)
824160	4567668	C1	6:57	Groovejet (If This Ain't Love) (BMR's Club Cut)
824160	4567669	C2	8:18	Groovejet (If This Ain't Love) (Solar's Jet Groove Dub Mix)
824160	4567670	D	6:16	Groovejet (If This Ain't Love) (Groovejet)
837979	4645569	A	\N	Bring It On Back
837979	4645570	B	\N	I Only Like You When I'm High
855836	4750465	A1	\N	I Believe In, Way I Live
855836	4750466	A2	\N	Answer = Chaos
855836	4750467	A3	\N	Escape From Reality
855836	4750468	A4	\N	Absurd System
855836	4750469	A5	\N	Scum
855836	4750470	A6	\N	Nuclear Annihilation
855836	4750471	A7	\N	Disgust
855836	4750472	A8	\N	Disturbing People, Disturbing Media
855836	4750473	A9	\N	Defector
855836	4750474	A10	\N	Morbid Education
855836	4750475	A11	\N	Death Earth
855836	4750476	B1	\N	Warning
855836	4750477	B2	\N	Ugly Society
855836	4750478	B3	\N	Narcissist
855836	4750479	B4	\N	Future Never Show
855836	4750480	B5	\N	Anti Straight Edge
855836	4750481	B6	\N	Right For Left
855836	4750482	B7	\N	Wargasm
855836	4750483	B8	\N	Striken With Terror
855836	4750484	B9	\N	Never
855836	4750485	B10	\N	No Pose
855836	4750486	B11	\N	The End
855836	4750487	B12	\N	Decay
\.


--
-- Data for Name: releases_tracklist_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist_artists (track_id, id, role, anv, tracks, join_, name) FROM stdin;
95909	15682	\N	\N	\N	\N	Brad Fiedel
95910	15682	\N	\N	\N	\N	Brad Fiedel
95911	15682	\N	\N	\N	\N	Brad Fiedel
95912	15682	\N	\N	\N	\N	Brad Fiedel
95913	15682	\N	\N	\N	\N	Brad Fiedel
95914	15682	\N	\N	\N	\N	Brad Fiedel
95915	15683	\N	\N	\N	\N	Tahnee Cain And Tryanglz
95916	15683	\N	\N	\N	\N	Tahnee Cain And Tryanglz
95917	15684	\N	\N	\N	\N	Jay Ferguson And 16mm
95918	15683	\N	\N	\N	\N	Tahnee Cain And Tryanglz
95919	15685	\N	\N	\N	\N	Linn Van Hek
834691	38225	\N	\N	\N	\N	Mobi D
834692	72657	\N	\N	\N	\N	Daniel Ro
1435726	143563	\N	\N	\N	\N	Aksak Maboul
1435727	98744	\N	\N	\N	\N	Minimal Compact
1435728	186991	\N	\N	\N	\N	Honeymoon Killers, The
1435729	190647	\N	\N	\N	\N	Band Apart
1435730	98744	\N	\N	\N	\N	Minimal Compact
1435731	5111	\N	\N	\N	\N	Karl Biscuit
1435732	190648	\N	\N	\N	\N	Sonoko
1435733	26219	\N	\N	\N	\N	Bel Canto
1435734	26165	\N	\N	\N	\N	Zazou Bikaye
1435735	98744	\N	\N	\N	\N	Minimal Compact
1435736	6268	\N	\N	\N	\N	Tuxedomoon
1435737	143563	\N	\N	\N	/	Aksak Maboul
1435737	190649	\N	\N	\N	\N	Véronique Vincent
1435738	6268	\N	\N	\N	\N	Tuxedomoon
1435739	5115	\N	\N	\N	\N	Peter Principle
1435740	13719	\N	\N	\N	\N	Colin Newman
1435741	190650	\N	\N	\N	\N	Des Airs
1435742	9221	\N	\N	\N	\N	Telex
1435743	62548	\N	\N	\N	\N	Karen Finley
1435744	26165	\N	\N	\N	\N	Zazou Bikaye
1435745	6268	\N	\N	\N	\N	Tuxedomoon
1435746	186991	\N	\N	\N	\N	Honeymoon Killers, The
1435747	190647	\N	\N	\N	\N	Band Apart
1568811	4604	\N	\N	\N	vs.	Fruit Loops
1568811	7257	\N	\N	\N	\N	Royal House
1568812	1031	\N	\N	\N	vs.	Moby
1568812	6373	\N	\N	\N	\N	Martini
1606191	12789	\N	\N	\N	\N	Ian Van Dahl
1606192	24076	\N	\N	\N	\N	Lasgo
1606193	13774	\N	\N	\N	\N	Sylver
1606194	29316	\N	\N	\N	\N	Dee Dee
1606195	13687	\N	\N	\N	\N	4 Strings
1606196	27941	\N	\N	\N	\N	Marc Aurel
1606197	5966	\N	\N	\N	\N	Jones
1606198	19083	\N	Svenson + Gielen	\N	\N	Gielen
1606199	10927	\N	\N	\N	\N	Rank 1
1606200	27737	\N	\N	\N	\N	DJ Shog
1606201	27769	\N	\N	\N	\N	Lazard
1606202	66733	\N	\N	\N	Feat.	Lange
1606202	73336	\N	\N	\N	\N	Skye (2)
1606203	13864	\N	\N	\N	\N	DJ Tatana
1606204	7698	\N	Snap	\N	vs.	Snap!
1606204	12781	\N	\N	\N	\N	Plaything
1606205	61857	\N	\N	\N	\N	7-7-0
1606206	81913	\N	Angel One	\N	\N	Angel_One
1606207	10930	\N	\N	\N	\N	Discovery
1606208	427638	\N	\N	\N	Feat.	OceanLab
1606208	57087	\N	\N	\N	\N	Justine Suissa
1606209	13678	\N	\N	\N	\N	Mystery, The
1606210	13842	\N	\N	\N	\N	Minimalistix
1606211	218577	\N	\N	\N	\N	Limelight (3)
1606212	11769	\N	\N	\N	\N	Scooter
1606213	12773	\N	\N	\N	\N	Aquagen
1606214	37720	\N	\N	\N	\N	Starsplash
1606215	11101	\N	\N	\N	\N	Cosmic Gate
1606216	12526	\N	\N	\N	\N	Trance Allstars
1606217	9380	\N	\N	\N	\N	K-Paul
1606218	7285	\N	\N	\N	\N	Members Of Mayday
1606219	3638	\N	\N	\N	\N	Yves Deruyter
1606220	25018	\N	Noemi	\N	\N	Noémi
1606221	13692	\N	\N	\N	\N	Mario Lopez
1606222	6636	\N	\N	\N	\N	Klubbheads
1606223	76497	\N	\N	\N	\N	Clubspeakers
1606224	41519	\N	\N	\N	\N	Symphonic
1606225	33750	\N	\N	\N	\N	Zhi-Vago
1606226	13861	\N	\N	\N	\N	Neo Cortex
1606227	73326	\N	\N	\N	\N	Docking Station
1606228	1627	\N	\N	\N	\N	AWeX
1606229	138140	\N	\N	\N	\N	Andorfine
1606230	29101	\N	\N	\N	\N	D.O.N.S.
1606231	43933	\N	\N	\N	\N	Langenhagen
2688218	6270	\N	\N	\N	\N	Donna Summer
2688219	80134	\N	\N	\N	\N	Weather Girls, The
2688220	37224	\N	\N	\N	\N	Sister Sledge
2688221	3477	\N	\N	\N	\N	Chas Jankel
2688222	170755	\N	\N	\N	\N	Johnny Mathis
2688223	4205	\N	\N	\N	\N	Giorgio Moroder
2688224	169154	\N	\N	\N	\N	Jacksons, The
2688225	58574	\N	\N	\N	\N	Evelyn Thomas
2688226	66670	\N	\N	\N	\N	Peoples
2688227	18677	\N	\N	\N	\N	Oliver Cheatham
2688228	82735	\N	\N	\N	\N	Spinners
2688229	33200	\N	\N	\N	\N	Cheryl Lynn
2688230	16747	\N	\N	\N	\N	Rockers Revenge
2688231	3474	\N	\N	\N	\N	Patti LaBelle
2688232	22164	\N	\N	\N	\N	Fire
2688233	48865	\N	\N	\N	\N	The Gang
2688234	100519	\N	\N	\N	\N	Tina Charles
2688235	187011	\N	\N	\N	\N	La Toya Jackson
2688236	17035	\N	\N	\N	\N	Chaka Khan
2688237	81421	\N	\N	\N	\N	Quick, The
2688238	6274	\N	\N	\N	&	Patrick Cowley
2688238	16794	\N	\N	\N	\N	Sylvester
2688239	69193	\N	Company	\N	\N	Co.
2688240	81836	\N	\N	\N	\N	Frantique
2688241	35289	\N	\N	\N	\N	Ritchie Family, The
2688242	154434	\N	\N	\N	\N	Hamilton Bohannon
2688243	55804	\N	\N	\N	\N	Jackie Moore
2688244	201497	\N	\N	\N	\N	Herb
2688245	38863	\N	\N	\N	\N	Aretha Franklin
4334161	14742	\N	\N	\N	\N	EPMD
4334162	90623	\N	\N	\N	\N	Nonchalant
\.


--
-- Data for Name: releases_tracklist_extraartists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist_extraartists (track_id, id, role, anv, tracks, join_, name) FROM stdin;
95915	232153	Producer	\N	\N	\N	Kevin Elson
95916	232153	Producer	\N	\N	\N	Kevin Elson
95917	157578	Engineer, Mixed By	\N	\N	\N	Michael Verdick
95917	240613	Producer	\N	\N	\N	Jay Ferguson
95917	157578	Producer	\N	\N	\N	Michael Verdick
95918	232153	Producer	\N	\N	\N	Kevin Elson
95919	196010	Producer	\N	\N	\N	John French
95919	240614	Producer	\N	\N	\N	Trevor Courtney
100894	13925	Remix	\N	\N	\N	Heliotropic
100894	155404	Remix [Credited To], Producer [Additional Production]	\N	\N	\N	Gez Dewar
100894	244593	Remix [Credited To], Producer [Additional Production]	\N	\N	\N	Nick Hale
100895	16418	Remix	\N	\N	\N	R.O.O.S.
100895	68325	Remix [Credited To], Producer [Additional Production]	P W Bervoets	\N	\N	Piet Bervoets
305817	134067	Remix	Pierre	\N	\N	DJ Pierre (3)
305818	45023	Remix	DJ H.S.	\N	\N	DJ HS
305819	71247	Written-By	\N	\N	\N	Andy Bostyn
458931	639833	Engineer	\N	\N	\N	Steven Nelson (2)
458931	63366	Remix	\N	\N	\N	Time Frequency, The
458932	179633	Remix	\N	\N	\N	Kleptomania
783144	127854	Engineer	\N	\N	\N	Phill Brown
783144	93280	Producer	\N	\N	\N	Walter Becker
783144	418623	Written-By	Lundon	\N	\N	Eddie Lundon
783144	418622	Written-By	Daly	\N	\N	Gary Daly
783144	568661	Written-By	Johnson	\N	\N	Gazza Johnson
783145	1932966	Engineer	\N	\N	\N	Mark Phillips (9)
783145	872122	Engineer	\N	\N	\N	Steve Riddel
783145	127854	Mixed By	\N	\N	\N	Phill Brown
783145	418623	Written-By	Lundon	\N	\N	Eddie Lundon
783145	418622	Written-By	Daly	\N	\N	Gary Daly
783145	568661	Written-By	Johnson	\N	\N	Gazza Johnson
783146	1932966	Engineer	\N	\N	\N	Mark Phillips (9)
783146	872122	Engineer	\N	\N	\N	Steve Riddel
783146	127854	Mixed By	\N	\N	\N	Phill Brown
783146	661435	Written-By	Reilly	\N	\N	Dave Reilly
783146	418623	Written-By	Lundon	\N	\N	Eddie Lundon
783146	418622	Written-By	Daly	\N	\N	Gary Daly
783147	1932966	Engineer	\N	\N	\N	Mark Phillips (9)
783147	872122	Engineer	\N	\N	\N	Steve Riddel
783147	127854	Mixed By	\N	\N	\N	Phill Brown
783147	661435	Written-By	Reilly	\N	\N	Dave Reilly
783147	418623	Written-By	Lundon	\N	\N	Eddie Lundon
783147	418622	Written-By	Daly	\N	\N	Gary Daly
869735	122232	Producer	\N	\N	\N	Alan Tarney
869739	622371	Oboe	\N	\N	\N	Claire Jarvis
869740	122232	Producer	\N	\N	\N	Alan Tarney
869742	37757	Producer	\N	\N	\N	A-ha
869742	136628	Producer	\N	\N	\N	John Ratcliff
1025453	40680	Remix	\N	\N	\N	Peak:Shift
1025460	651394	Written-By, Performer	Shanan	\N	\N	Shanan Holm
1025464	643832	Synthesizer [Korg Squiggles]	Clinton	\N	\N	Clinton Francis
1435734	37727	Remix	\N	\N	\N	Gilles Martin
1553218	9050	Remix	\N	\N	\N	Norman Cook
1553219	9050	Remix	\N	\N	\N	Norman Cook
1553220	9050	Remix	\N	\N	\N	Norman Cook
1553221	3300	Remix	\N	\N	\N	Mighty
1553222	3300	Remix	\N	\N	\N	Mighty
1606196	27941	Remix	DJ MarcAurel	\N	\N	Marc Aurel
1606200	4073	Remix	\N	\N	\N	CJ Stone
1606202	73336	Featuring	\N	\N	\N	Skye (2)
1606208	57087	Featuring	\N	\N	\N	Justine Suissa
1606210	19083	Remix	\N	\N	\N	Gielen
1606216	5797	Remix	\N	\N	\N	ATB
1606222	10924	Remix	\N	\N	\N	Green Court
1606226	27887	Remix	DJs@Work	\N	\N	DJs @ Work
1606230	28141	Remix	\N	\N	\N	Warp Brothers
1692175	40372	Remix	\N	\N	\N	United Grooves Collective
1692176	161	Remix	\N	\N	\N	Todd Edwards
1692177	161	Remix	\N	\N	\N	Todd Edwards
1808925	44657	Featuring	\N	\N	\N	Damian Wild
1808926	244067	Featuring	\N	\N	\N	Shared
1808930	146781	Featuring	Ike Zilly	\N	\N	Iyk Zilly
1808932	244066	Featuring	\N	\N	\N	Frankie Pine
1853900	189145	Co-producer	\N	\N	\N	D.R.
1853900	51188	Producer	\N	\N	\N	Paris (2)
1853901	51188	Producer	\N	\N	\N	Paris (2)
1853902	51188	Producer	\N	\N	\N	Paris (2)
1853903	16761	Producer	\N	\N	\N	Digital Underground
1853903	91175	Producer	\N	\N	\N	King Tech
1853903	131486	Producer	\N	\N	\N	Sway (3)
1853904	51188	Producer	\N	\N	\N	Paris (2)
1853905	189144	Guitar	\N	\N	\N	Kenny M
1853905	51188	Producer	\N	\N	\N	Paris (2)
1853906	51188	Producer	\N	\N	\N	Paris (2)
1853906	249459	Saxophone	\N	\N	\N	Eric Bertraud
1853907	51188	Producer	\N	\N	\N	Paris (2)
1853907	189832	Scratches	\N	\N	\N	DJ Yon
1853908	51188	Producer	\N	\N	\N	Paris (2)
1853909	51188	Producer	\N	\N	\N	Paris (2)
1853909	189830	Vocals	\N	\N	\N	Khaliq Asharri
1853910	51188	Producer	\N	\N	\N	Paris (2)
1853911	51188	Producer	\N	\N	\N	Paris (2)
1853912	51188	Producer	\N	\N	\N	Paris (2)
1853913	51188	Producer	\N	\N	\N	Paris (2)
1898355	93674	Synthesizer, Drums [Dmx]	\N	\N	\N	Craig Peyton
1898356	298951	Guitar	\N	\N	\N	Chuck Loeb
1898357	256225	Chapman Stick	\N	\N	\N	Tony Levin
1898357	93674	Synthesizer	\N	\N	\N	Craig Peyton
1913504	193103	Remix	\N	\N	\N	Audiolush
1913505	149898	Remix	\N	\N	\N	Mash Up Kids, The
1913506	173249	Remix	\N	\N	\N	Lee S
1924408	1868	Remix	\N	\N	\N	Doi-Oing
2416342	102781	Remix [Additional], Producer [Additional Production]	\N	\N	\N	Martin Roth
2511313	18700	Featuring	\N	\N	\N	Etienne Daho
2511329	18700	Producer	\N	\N	\N	Etienne Daho
2511330	18700	Producer	\N	\N	\N	Etienne Daho
2511331	152001	Producer	\N	\N	\N	J.J. Burnel
2511332	152001	Producer	\N	\N	\N	J.J. Burnel
2511333	135795	Producer	\N	\N	\N	Pascal Comelade
2939901	385282	Backing Vocals [Backing Voc]	\N	\N	\N	Bertl Gebhard
2939901	379144	Backing Vocals [Backing Voc]	\N	\N	\N	Bimey Oberreit
2939901	385281	Backing Vocals [Backing Voc]	\N	\N	\N	David Barreto
2939901	76398	Backing Vocals [Backing Voc]	\N	\N	\N	Frank Farian
2939901	357442	Backing Vocals [Backing Voc]	\N	\N	\N	Peter Bischof
2939901	383969	Choir [Gospel-choir]	\N	\N	\N	Jackson Singers, The
2939901	277037	Drums	\N	\N	\N	Curt Cress
2939901	369807	Guitar [Guitars]	\N	\N	\N	Bernd Berwanger
2939901	163835	Guitar [Guitars]	\N	\N	\N	Johan Daansen
2939901	52489	Guitar [Guitars]	\N	\N	\N	Mats Björklund
2939901	272796	Guitar [Guitars]	\N	\N	\N	Steve Lukather
2939901	193582	Keyboards	\N	\N	\N	David Paich
2939901	208290	Keyboards	\N	\N	\N	Pit Löw
2939901	385283	Lead Vocals [Lead-voc]	\N	\N	\N	Bobby Kimball
2939901	277579	Lead Vocals [Lead-voc]	\N	\N	\N	Robin McAuley
2939901	52489	Programmed By [Computer Programming], Arranged By [Arrangement]	\N	\N	\N	Mats Björklund
2939901	180585	Written-By	J. Page	\N	\N	Jimmy Page
2939901	180586	Written-By	R. Plant	\N	\N	Robert Plant
2939902	76398	Written-By	F. Farian	\N	\N	Frank Farian
3115320	409567	Arranged By	\N	\N	\N	Martin Spiegelberg
3115323	409567	Arranged By	\N	\N	\N	Martin Spiegelberg
3309690	67977	Rap	\N	\N	\N	Jazzi P
3309690	26044	Remix	\N	\N	\N	DNA
3309691	101773	Remix	\N	\N	\N	Ian Curnow
3584201	487032	Featuring	\N	\N	\N	Prophet (5)
3785604	147027	Mixed By	Nealhpogue	\N	\N	Neal Pogue
3785604	147024	Rap	Khujo Of Goodie Mob	\N	\N	Khujo Goodie
3785604	147027	Recorded By	Nealhpogue	\N	\N	Neal Pogue
3785604	382017	Recorded By [Assisted By]	\N	\N	\N	Brian Frye
3785604	175220	Remix, Producer [Additional]	\N	\N	\N	Tony Rich
3785605	132805	Engineer [Remix]	\N	\N	\N	Paul Logus
3785605	149082	Mixed By	Edward "Eddie F." Ferrell	\N	\N	Edward Ferrell
3785605	132805	Mixed By	\N	\N	\N	Paul Logus
3785605	175220	Producer [Additional]	\N	\N	\N	Tony Rich
3785605	1148842	Recorded By	\N	\N	\N	Jason DeCosta
3785605	149082	Remix	Edward "Eddie F." Ferrell	\N	\N	Edward Ferrell
4334161	39838	Producer	\N	\N	\N	Erick Sermon
4334162	50514	Rap [Featuring]	\N	\N	\N	KRS-One
4567665	17815	Co-producer	\N	\N	\N	Boris Dlugosch
4567665	9066	Producer	\N	\N	\N	Spiller
4567666	14495	Remix	\N	\N	\N	Solar
4567667	17815	Co-producer	\N	\N	\N	Boris Dlugosch
4567667	9066	Producer	\N	\N	\N	Spiller
4567668	12283	Remix	\N	\N	\N	BMR
4567669	14495	Remix	\N	\N	\N	Solar
4645569	364368	Engineer	\N	\N	\N	Ryan Castle
4645569	251565	Mixed By	D. Sardy	\N	\N	Dave Sardy
4645569	251565	Producer	D. Sardy	\N	\N	Dave Sardy
4645570	23765	Recorded By	\N	\N	\N	Eli Janney
4645570	651252	Written-By	C. Cester	\N	\N	Chris Cester
4645570	281870	Written-By	M. Wilson	\N	\N	Mark Wilson (3)
\.


--
-- Data for Name: releases_videos; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_videos (release_id, title, description, src, embed, duration) FROM stdin;
17379	The Terminator(Main Theme) - Brad Fiedel	The Terminator(Main Theme) - Brad Fiedel	http://www.youtube.com/watch?v=dpwWYOE3Y9o	t	278
17379	The Terminator Soundtrack - Terminator Arrival	The Terminator Soundtrack - Terminator Arrival	http://www.youtube.com/watch?v=gFvFEYXTx-Q	t	158
17379	The Terminator soundtrack - Love Theme/End Credits	The Terminator soundtrack - Love Theme/End Credits	http://www.youtube.com/watch?v=rIUXC7VSzpU	t	322
18363	Chicane ... Lost You Somewhere	Chicane ... Lost You Somewhere	http://www.youtube.com/watch?v=UMWXB6pgb7Q	t	509
18363	Chicane - Lost You Somewhere (Heliotropic Mix)	Chicane - Lost You Somewhere (Heliotropic Mix)	http://www.youtube.com/watch?v=s-Uu79xmn2g	t	523
18363	Chicane - Lost You Somewhere (ROOS Remix)	Chicane - Lost You Somewhere (ROOS Remix)	http://www.youtube.com/watch?v=T1Zwm2scBcc	t	495
25288	eve trance in saigon - bravo remix	eve trance in saigon - bravo remix	http://www.youtube.com/watch?v=jXfm-3EIDiw	t	461
25288	eve escape - more kicks remix	eve escape - more kicks remix	http://www.youtube.com/watch?v=3aq8evnNRn8	t	452
56990	Spokesman - Acid Creak (Pierre's Reconstruction Mix)	Spokesman - Acid Creak (Pierre's Reconstruction Mix)	http://www.youtube.com/watch?v=HH-87Diwym0	t	527
56990	Spokesman Acid Creak Dj Ion aka Danny Casseau Mix	Spokesman Acid Creak Dj Ion aka Danny Casseau Mix	http://www.youtube.com/watch?v=vAOFOWKyaKM	t	295
56990	Spokesman - Acid Creak (dj H.S. mix)	Spokesman - Acid Creak (dj H.S. mix)	http://www.youtube.com/watch?v=4sDvpvTJ7H0	t	345
56990	Spokesman b2 - skittish sky	Spokesman b2 - skittish sky	http://www.youtube.com/watch?v=3iCjNgrxMT0	t	278
58120	Squaremeat - Ultra Far.wmv	Squaremeat - Ultra Far.wmv	http://www.youtube.com/watch?v=Tf5Nu09IuKc	t	543
58120	Squremeat - Hard Horse.wmv	Squremeat - Hard Horse.wmv	http://www.youtube.com/watch?v=VT352DCuhIw	t	495
68286	Demote - Graduate	Demote - Graduate	http://www.youtube.com/watch?v=FAduF-vzuQI	t	376
68286	DEMOTE - Graduate	DEMOTE - Graduate	http://www.youtube.com/watch?v=N6oVrgNVF2o	t	235
86186	N-Trance - Set You Free	N-Trance - Set You Free	http://www.youtube.com/watch?v=tjKlFZxTDPw	t	204
86186	N-Trance - Set You Free 2001 (Rob Searle Remix)	N-Trance - Set You Free 2001 (Rob Searle Remix)	http://www.youtube.com/watch?v=fPKi_iF0LI4	t	215
86186	N-Trance - Set You Free (Original Mix)	N-Trance - Set You Free (Original Mix)	http://www.youtube.com/watch?v=d_zCt0I2Cr8	t	433
86186	N-TRANCE SET YOU FREE Kleptomania MIX	N-TRANCE SET YOU FREE Kleptomania MIX	http://www.youtube.com/watch?v=sXRSz44UCQ4	t	346
86186	N-Trance - Set You Free (Arcade Remix)	N-Trance - Set You Free (Arcade Remix)	http://www.youtube.com/watch?v=WHeUSPn5saU	t	186
86186	N - Trance - Set You Free - 1992 White Label Mix	N - Trance - Set You Free - 1992 White Label Mix	http://www.youtube.com/watch?v=XsctQRr0wMY	t	437
86186	N-Trance - Set You Free (TTF Remix)	N-Trance - Set You Free (TTF Remix)	http://www.youtube.com/watch?v=iWXaK-QjATU	t	295
86186	N-Trance - Set U Free (1992 White Label Mix)	N-Trance - Set U Free (1992 White Label Mix)	http://www.youtube.com/watch?v=IzrOXVy3a9c	t	437
86186	N-Trance - Set u Free ( 1992 White Lable Mix ).wmv	N-Trance - Set u Free ( 1992 White Lable Mix ).wmv	http://www.youtube.com/watch?v=ZTwIUH5jMGg	t	435
86186	N-Trance - Set You Free (Nymphomania Mix)	N-Trance - Set You Free (Nymphomania Mix)	http://www.youtube.com/watch?v=LoveZyI-i1M	t	314
120684	Amnesia - It's A Dream	Amnesia - It's A Dream	http://www.youtube.com/watch?v=WK7M7zwi200	t	375
120684	Amnesia - It's A Dream ( 1988 )	Amnesia - It's A Dream ( 1988 )	http://www.youtube.com/watch?v=IJezuLrrmwY	t	376
120684	amnesia - it's a reality 1989	amnesia - it's a reality 1989	http://www.youtube.com/watch?v=vdx9CmPWdOA	t	240
120684	Amnesia - They Lost Control (Transmission Mix)	Amnesia - They Lost Control (Transmission Mix)	http://www.youtube.com/watch?v=xetYNbsZ0cs	t	276
145664	china crisis -  you did cut me	china crisis -  you did cut me	http://www.youtube.com/watch?v=ceWOOwF7qWg	t	301
161515	A - HA  -  take on me (official music video ) *subtitulado traducido español letra*	A - HA  -  take on me (official music video ) *subtitulado traducido español letra*	http://www.youtube.com/watch?v=-zOzMR6J08w	t	227
161515	AHA here I stand. and face the rain	AHA here I stand. and face the rain	http://www.youtube.com/watch?v=kHp47UCSPI0	t	271
161515	A-Ha - Hunting High and Low (Live VallHall 2001)	A-Ha - Hunting High and Low (Live VallHall 2001)	http://www.youtube.com/watch?v=HVWu4tKq0IU	t	479
251561	TEEBONE - PUT DA HEAT UP 1998	TEEBONE - PUT DA HEAT UP 1998	http://www.youtube.com/watch?v=tjwbb4zcwIY	t	343
300068	Beats International feat. Lindy Layton - Dub Be Good To Me (HQ)	Beats International feat. Lindy Layton - Dub Be Good To Me (HQ)	http://www.youtube.com/watch?v=m5Z5DGhuAjE	t	320
300068	beats international '( invasion of freestyle discuss) 12	beats international '( invasion of freestyle discuss) 12	http://www.youtube.com/watch?v=peY77W7JPEs	t	301
300068	Mighty Remix)	Mighty Remix)	http://www.youtube.com/watch?v=lp0M9KQV8Vs	t	439
300068	Beats International - Dub Be Good To Me	Beats International - Dub Be Good To Me	http://www.youtube.com/watch?v=FpAUU75ajUQ	t	221
300068	Beats International - Dub Be Good To Me (Norman Cook's Excursion On The Version)	Beats International - Dub Be Good To Me (Norman Cook's Excursion On The Version)	http://www.youtube.com/watch?v=4-BCghzQXTA	t	281
329963	NiO - DO YOU THINK YOU'RE SPECIAL?	NiO - DO YOU THINK YOU'RE SPECIAL?	http://www.youtube.com/watch?v=66zvQUDGlIE	t	223
363605	PARIS - Check It Out Ch'all (Alternative Version)	PARIS - Check It Out Ch'all (Alternative Version)	http://www.youtube.com/watch?v=uYm-RkzGzcU	t	226
373403	LMC vs U2 - Take Me To The Clouds Above	LMC vs U2 - Take Me To The Clouds Above	http://www.youtube.com/watch?v=NwgiHkmvkJs	t	169
373403	LMC vs. U2 - Take Me To The Clouds Above	LMC vs. U2 - Take Me To The Clouds Above	http://www.youtube.com/watch?v=e96w-0RcmLE	t	169
373403	LMC VS U2 - Take me to the clouds above (with lyrics!)	LMC VS U2 - Take me to the clouds above (with lyrics!)	http://www.youtube.com/watch?v=XpNLgypJUpk	t	158
373403	LMC vs U2 - Take me to the clouds above	LMC vs U2 - Take me to the clouds above	http://www.youtube.com/watch?v=eLPH-tIiLQA	t	206
375080	Brainiak Records The Imanginears Filterwerks	Brainiak Records The Imanginears Filterwerks	http://www.youtube.com/watch?v=CXwdtrWse10	t	517
375080	Imaginears - T1000	Imaginears - T1000	http://www.youtube.com/watch?v=ZbOp3evaQSI	t	264
437757	Empty - Dancehall Queen ( organ mix )	Empty - Dancehall Queen ( organ mix )	http://www.youtube.com/watch?v=TwHq907rbeI	t	208
459650	Jose Amnesia vs Serp - Second Day	Jose Amnesia vs Serp - Second Day	http://www.youtube.com/watch?v=TzLg6Fo1OIo	t	475
459650	jose Amnesia vs. Serp - Second Day (Martin Roth Remix)	jose Amnesia vs. Serp - Second Day (Martin Roth Remix)	http://www.youtube.com/watch?v=F0vXvSnAK9E	t	481
534012	KMFDM - Megalomaniac [HD]	KMFDM - Megalomaniac [HD]	http://www.youtube.com/watch?v=fvZqWq0ZNjk	t	260
540468	Gerard Blanchard - Elle voulait revoir sa normandie	Gerard Blanchard - Elle voulait revoir sa normandie	http://www.youtube.com/watch?v=S8sjPl20UF4	t	214
548797	Jimmy Page and Robert Plant - Far Corporation - Stairway to heaven (Led Zeppelin) 1985	Jimmy Page and Robert Plant - Far Corporation - Stairway to heaven (Led Zeppelin) 1985	http://www.youtube.com/watch?v=vHJqG8lJLvU	t	359
564818	Thorax-Wach - Huckepack und zu Hunderten in den Tod	Thorax-Wach - Huckepack und zu Hunderten in den Tod	http://www.youtube.com/watch?v=ol3iKkoUeZE	t	220
564818	Thorax-Wach - Dick sind sie und Keuchen	Thorax-Wach - Dick sind sie und Keuchen	http://www.youtube.com/watch?v=UoxasI3UllU	t	151
577313	Kitty Winter Gipsy Nova - Latienda	Kitty Winter Gipsy Nova - Latienda	http://www.youtube.com/watch?v=1OKQDimIbO4	t	275
577313	Kitty Winter Gipsy Nova - Congito	Kitty Winter Gipsy Nova - Congito	http://www.youtube.com/watch?v=4QQPfVqIefw	t	235
597102	Young Blood - Step It Up (Fired Up-Don't Give Up)	Young Blood - Step It Up (Fired Up-Don't Give Up)	http://www.youtube.com/watch?v=SzzlAxPW1IQ	t	314
597102	Young Blood - Step it Up	Young Blood - Step it Up	http://www.youtube.com/watch?v=sRi0fpQ27FI	t	297
610105	Kylie Minogue - Shocked	Kylie Minogue - Shocked	http://www.youtube.com/watch?v=7Tgel4WEkhE	t	194
659538	Devotion - Groove Junkies ft. T.C. Moses	Devotion - Groove Junkies ft. T.C. Moses	http://www.youtube.com/watch?v=p5a_qACzYHc	t	545
696108	The Tony Rich Project - Nobody Knows	The Tony Rich Project - Nobody Knows	http://www.youtube.com/watch?v=0CA2Pi4gYxQ	t	258
696108	The Tony Rich Project - Nobody Knows	The Tony Rich Project - Nobody Knows	http://www.youtube.com/watch?v=W7EyUY3-Wrg	t	258
737913	The Strokes - 12:51	The Strokes - 12:51	http://www.youtube.com/watch?v=LPAVDHo1Elc	t	153
824160	Spiller - Groovejet  (If This Ain't Love) Official Video HQ	Spiller - Groovejet  (If This Ain't Love) Official Video HQ	http://www.youtube.com/watch?v=syOK6zmpOe0	t	223
824160	Spiller - Groovejet (If This Ain't Love) (Todd Terry's In House Remix)	Spiller - Groovejet (If This Ain't Love) (Todd Terry's In House Remix)	http://www.youtube.com/watch?v=yDhK8wrbE20	t	408
824160	Spiller - Groovejet (If This Ain't Love) (Radio Edit) Official Music Video © 2000	Spiller - Groovejet (If This Ain't Love) (Radio Edit) Official Music Video © 2000	http://www.youtube.com/watch?v=H7YGsT7ojws	t	224
824160	Spiller - Groovejet (If This Ain't Love)(Spiller's Extended Vocal Mix)	Spiller - Groovejet (If This Ain't Love)(Spiller's Extended Vocal Mix)	http://www.youtube.com/watch?v=mp4UsKm7QUI	t	447
\.


--
-- Name: artists_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artists
    ADD CONSTRAINT artists_pkey PRIMARY KEY (id);


--
-- Name: labels_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY labels
    ADD CONSTRAINT labels_pkey PRIMARY KEY (id);


--
-- Name: masters_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY masters
    ADD CONSTRAINT masters_pkey PRIMARY KEY (id);


--
-- Name: releases_formats_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases_formats
    ADD CONSTRAINT releases_formats_pkey PRIMARY KEY (format_id);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: releases_tracklist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases_tracklist
    ADD CONSTRAINT releases_tracklist_pkey PRIMARY KEY (track_id);


--
-- Name: artists_aliases_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_aliases
    ADD CONSTRAINT artists_aliases_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_groups_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_groups
    ADD CONSTRAINT artists_groups_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_members_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_members
    ADD CONSTRAINT artists_members_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_urls_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_urls
    ADD CONSTRAINT artists_urls_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: labels_images_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_images
    ADD CONSTRAINT labels_images_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: labels_sublabels_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_sublabels
    ADD CONSTRAINT labels_sublabels_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: labels_urls_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_urls
    ADD CONSTRAINT labels_urls_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: masters_artists_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_artists
    ADD CONSTRAINT masters_artists_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_genres_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_genres
    ADD CONSTRAINT masters_genres_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_images_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_images
    ADD CONSTRAINT masters_images_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_styles_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_styles
    ADD CONSTRAINT masters_styles_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_videos_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_videos
    ADD CONSTRAINT masters_videos_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: releases_artists_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_artists
    ADD CONSTRAINT releases_artists_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_extraartists_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_extraartists
    ADD CONSTRAINT releases_extraartists_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_formats_descriptions_format_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_formats_descriptions
    ADD CONSTRAINT releases_formats_descriptions_format_id_fkey FOREIGN KEY (format_id) REFERENCES releases_formats(format_id);


--
-- Name: releases_formats_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_formats
    ADD CONSTRAINT releases_formats_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_genres_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_genres
    ADD CONSTRAINT releases_genres_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_identifiers_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_identifiers
    ADD CONSTRAINT releases_identifiers_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_images_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_images
    ADD CONSTRAINT releases_images_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_labels_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_labels
    ADD CONSTRAINT releases_labels_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_styles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_styles
    ADD CONSTRAINT releases_styles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_tracklist_artists_track_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist_artists
    ADD CONSTRAINT releases_tracklist_artists_track_id_fkey FOREIGN KEY (track_id) REFERENCES releases_tracklist(track_id);


--
-- Name: releases_tracklist_extraartists_track_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist_extraartists
    ADD CONSTRAINT releases_tracklist_extraartists_track_id_fkey FOREIGN KEY (track_id) REFERENCES releases_tracklist(track_id);


--
-- Name: releases_tracklist_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist
    ADD CONSTRAINT releases_tracklist_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_videos_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_videos
    ADD CONSTRAINT releases_videos_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

