--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE discogs_sample2;
--
-- Name: discogs_sample2; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE discogs_sample2 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'German_Germany.1252' LC_CTYPE = 'German_Germany.1252';


\connect discogs_sample2

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists (
    id integer NOT NULL,
    name text,
    realname text,
    data_quality text,
    profile text
);


--
-- Name: artists_aliases; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_aliases (
    artist_id integer,
    name text
);


--
-- Name: artists_groups; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_groups (
    artist_id integer,
    name text
);


--
-- Name: artists_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_images (
    artist_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: artists_members; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_members (
    artist_id integer,
    name text
);


--
-- Name: artists_namevariations; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_namevariations (
    artist_id integer,
    name text
);


--
-- Name: artists_urls; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artists_urls (
    artist_id integer,
    url text
);


--
-- Name: labels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels (
    id integer NOT NULL,
    parentlabel text,
    name text,
    contactinfo text,
    data_quality text,
    profile text
);


--
-- Name: labels_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_images (
    label_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: labels_sublabels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_sublabels (
    label_id integer,
    label text
);


--
-- Name: labels_urls; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE labels_urls (
    label_id integer,
    url text
);


--
-- Name: masters; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters (
    id integer NOT NULL,
    title text,
    year integer,
    data_quality text,
    notes text,
    main_release integer
);


--
-- Name: masters_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_artists (
    master_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: masters_genres; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_genres (
    master_id integer,
    genre text
);


--
-- Name: masters_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_images (
    master_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: masters_styles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_styles (
    master_id integer,
    style text
);


--
-- Name: masters_videos; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE masters_videos (
    master_id integer,
    title text,
    description text,
    src text,
    embed boolean,
    duration integer
);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    status text,
    country text,
    released text,
    title text,
    master_id integer,
    data_quality text,
    notes text
);


--
-- Name: releases_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_artists (
    release_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_extraartists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_extraartists (
    release_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_formats; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_formats (
    release_id integer,
    format_id integer NOT NULL,
    text text,
    qty integer,
    name text
);


--
-- Name: releases_formats_descriptions; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_formats_descriptions (
    format_id integer,
    description text
);


--
-- Name: releases_genres; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_genres (
    release_id integer,
    genre text
);


--
-- Name: releases_identifiers; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_identifiers (
    release_id integer,
    type text,
    description text,
    value text
);


--
-- Name: releases_images; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_images (
    release_id integer,
    uri text,
    type text,
    height integer,
    width integer,
    uri150 text
);


--
-- Name: releases_labels; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_labels (
    release_id integer,
    name text,
    catno text
);


--
-- Name: releases_styles; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_styles (
    release_id integer,
    style text
);


--
-- Name: releases_tracklist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist (
    release_id integer,
    track_id integer NOT NULL,
    "position" text,
    duration text,
    title text
);


--
-- Name: releases_tracklist_artists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist_artists (
    track_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_tracklist_extraartists; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_tracklist_extraartists (
    track_id integer,
    id integer,
    role text,
    anv text,
    tracks text,
    join_ text,
    name text
);


--
-- Name: releases_videos; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE releases_videos (
    release_id integer,
    title text,
    description text,
    src text,
    embed boolean,
    duration integer
);


--
-- Data for Name: artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists (id, name, realname, data_quality, profile) FROM stdin;
161	Todd Edwards	Todd Edwards	Correct	His own releases were generally praised and played to enthusiast crowds all over the world: "Prima Edizione" (1999), the "Full On" and "New Trends Sounds" series contributed to his success. The album 'Odyssey', released in 2006, showed once again his musical genius.
189	Seba	Sebastian Ahrenberg	Correct	Drum 'n' Bass DJ and producer from Sweden. Label owner of [l=Secret Operations].
1570	Felix Da Housecat	Felix Stallings Jr.	Needs Vote	Electronic artist, producer, and DJ from Chicago.
1812	Eric Kupper	Eric Stephen Kupper	Needs Vote	A few years back Eric was bitten (hard!) by the DJ bug as well and became a resident at London's Pacha with Hed Kandi for four years, as well as DJing all around the globe as an independent DJ or as a Hed Kandi resident. Eric is now a resident DJ with Tokyo Disco, a new venture created by Mark Doyle, the former creator of Hed Kandi. With Tokyo Disco he presently enjoys a residency at Neighbourhood in London, Enclave in Chicago as well as numerous spots throughout the U.K. and the world.
1825	Joey Negro	David Russell Lee	Needs Vote	.
2323	DJ Hype	Kevin Elliot Ford	Needs Vote	
2713	Yazoo	\N	Correct	
2714	Erasure	Andy Bell, Vincent Clarke	Needs Vote	Formed in 1985, London, United Kingdom
2851	Hive	Michael Petrie	Correct	Hive a.k.a. Michael Petrie (born December, 1974) is a San Francisco-based DJ, producer and record label owner who has contributed to dozens of recordings in the drum and bass musical genre. His Violence Recordings label is regarded as the premiere drum-and-bass label in the United States. Hive is most likely best known for appearing on the Matrix soundtrack with his track "Ultrasonic Sound".
3612	DJ Wally	Keef DeStefano	Needs Vote	\N
4115	Everything But The Girl	Ben Watt, Tracey Thorn	Correct	
4690	Alison Limerick	\N	Correct	British singer, born 1959 in Stepney, London, England.
4945	DJ Swamp	\N	Correct	\N
5160	Chris Liberator	Chris Knowles	Needs Vote	
5649	L-Fudge	Elvin Rosario	Needs Vote	Rapper from Washington Heights, NYC.
5743	World Of Apples	Ewan Pearson	Correct	\N
5797	ATB	André Tanneberger	Needs Vote	Born on February 26, 1973 in Freiberg, Saxony, Germany.
5970	Movement, The (3)	AJ Mora, Hazze, Richard Gonzalez	Correct	The Movement was born from the L.A. Rave scene and was comparable to [a=L.A. Style].
5999	Glory B	Michael Peter, Martin Retschitzegger	Correct	\N
6952	Tom Morello	Thomas Baptist Morello	Correct	.
7620	Double You	\N	Correct	William Naraine, the frontman of Double You, was born in London on 29th of December 1965. He has an Italian mother and an Indian Father. The other musicians in the group were Andrea De Antoni and Franco Amato.
7624	David Morales	David Morales	Correct	
7698	Snap!	\N	Needs Vote	From 2002 to 2006, Snap! was extensively remixed by a variety of electronic artists and released a couple of club singles which failed to relaunch their success story.
8024	Janet Jackson	Janet Damita Jo Jackson	Correct	
8099	Ultra Naté	Ultra Naté Wyche	Correct	Born November 2, 1968 in Havre de Grace (near Baltimore, MD).
9838	Mix Master Mike	Michael Schwartz	Correct	
9857	Daniel Miller	Daniel Miller	Correct	Founder of [l=Mute Records Ltd.]
10299	1.8.7.	Jordana LeSesne	Needs Vote	
10360	Klaus Schulze	Klaus-Jürgen Schulze	Correct	In the 1990's Schulze recorded several electronic interpretations of works by classical composers (most notably Wagner) as well as collaborating with opera singers and other classical music performers on his own albums. He also started collaborating with German ambient/techno artist Pete Namlook in the series "The Dark Side Of The Moog" on the latter's Fax label, and steered the Wahnfried project into a more modern techno- and trance-inspired direction.
11449	Neneh Cherry	Neneh Mariann Cherry née Neneh Mariann Karlsson	Needs Vote	(same father).
11617	Chris Cox	Chris Cox	Correct	Dance music producer, remixer and DJ from USA and has worked on over 400 records.
11879	Lou Reed	Lewis Allen Reed	Needs Vote	Born March 2, 1942, Freeport, NY, United States
12206	Claudio Coccoluto	Claudio Coccoluto	Needs Vote	Born: 17-08-1962 in Gaeta (Latina), Italy.
12343	Booker T	Gary Booker	Needs Vote	The Scientist.
13227	Robert Musso	Robert Musso	Correct	Musician, producer and engineer whose vast discography can be found in the second URL provided below.
13407	Henry Cullen	Henry Cullen	Needs Vote	\N
14062	World Famous Martinez Orchestra	\N	Correct	Italian duo.
14216	Karizma	\N	Correct	\N
15885	Michael Jackson	Michael Joseph Jackson	Needs Vote	
17110	Neptunes, The	Chad Hugo	Needs Vote	
17456	Nasenbluten	David Melo	Correct	T and Sound Base Music. Nasenbluten also remixed ‘Insurge’ which was released on Warner Music Australia.
18294	Nu-Birth	Julian Lee Jonah	Correct	\N
18712	Contriva	\N	Correct	Band from Berlin, Germany, doing post-rock / leftfield / experimental electronic music.
18956	Stevie Wonder	Stevland Hardaway Morris	Needs Vote	
19674	Alison Moyet	Genevieve Alison Moyet	Correct	B groups The Screaming Abdabs and The Vicars before finding fame as half of Yazoo (Yaz in the USA).
20337	Dr. Z-Vago	Angelo Goede	Needs Vote	Dutch Hardcore Techno producer. Double teams with producer Dione on a regular basis.
20400	Masochist, The	Dov J. Elkabas	Correct	
20662	François Kevorkian	François Kevorkian	Needs Vote	
20917	Dice	Jani Niiranen	Correct	\N
21147	Pharoah Sanders	Farrell Sanders	Correct	American jazz saxophonist, born 13th October 1940 in Little Rock, Arkansas (USA).
21742	Jay-Z	Shawn Corey Carter	Needs Vote	
22660	The Plastic Jam	James (Jimmy) Joseph Low, Grant Bowden	Correct	\N
22757	Luther Vandross	Luther Ronzoni Vandross Jr.	Needs Vote	. In 1981, Luther released his debut solo album [r=205940]. Between 1982 and 1985, five albums were released, all selling over a million copies each. Over the years, he was awarded five platinum and one double platinum disc, as well as winning 8 Grammy awards. He died July 1, 2005 at the age of 54, two years after suffering a major stroke.
23701	Dakeyne	Paul Dakeyne	Needs Vote	\N
24394	Destroyer, The	Pietro Paolo Salamone	Needs Vote	Hardcore/Gabber/Speedcore producer from Italy.
24804	New Class A	Plastic Jam	Correct	Also written as Nu Klass A.
26010	Mistura	David Russell Lee	Correct	\N
26695	Wawa	Wiktor Mysliwiec	Needs Vote	On the weekdays they spend time working on their own productions and remixes, they also make music to computer games and commercials. And in the weekend nights they play as DJs.
26936	Apathy	Chad Bromley	Correct	.
27628	Ricky Dillard	Ricky Dillard	Correct	\N
27951	Perry Farrell	Peretz Bernstein	Correct	Born: March 29, 1959, Queens, New York
28164	Ralphi Rosario	Rafael Angel Rosario	Correct	Ralphi Rosario started DJing in 1979. He virtually coined the phrase "house music" along with the crew of Chi-Town radio show Hot Mix Five. Through this channel, he was able to blast Chicago's airwaves with the new and exciting sounds of house music for most of the 1980s. 1987 saw the creation of his most well known release - [r=37457].
28392	Disciples Of Annihilation	Nick Marchetti	Correct	
28521	Darryl Pandy	Darryl Pandy	Correct	
28802	Rude Boy Farley Keith, The	Farley Keith Williams	Correct	DJ and producer.
29225	Fat Larry's Band	\N	Needs Vote	
34220	Rhettmatic	Nazareth Nirza	Correct	.
34854	Nick Martinelli	Nicholas J. Martinelli	Correct	\N
35740	Jane's Addiction	\N	Needs Vote	Eric Avery: bass\nStephen Perkins: drums
36687	Eric Radcliffe	\N	Correct	
37365	Vince Clarke	Vincent John Martin	Needs Vote	Born: July 3, 1960, Woodford, London, England
37606	Cat Stevens	Steven Demetre Georgiou (July 21, 1947 - July 04, 1978), Yusuf Islam (July 04, 1978 - present)	Correct	British singer/songwriter, born on July 21, 1947. His career was interrupted in 1968 because of his sickness (Tuberculosis). Steven became a Muslim in December 23, 1977, whereupon he changed his name into Yusuf Islam.
39334	Pete Werner	\N	Correct	\N
40135	Conny Plank	Konrad Plank	Needs Vote	.
42018	Maxine McClain	\N	Correct	\N
43786	Richard Williams	Richard Gene Williams	Correct	d. November 4, 1985 - Jamaica, Queens, New York
46506	Fernando	Daniel Furniss	Correct	
48432	Isaac Hayes	Isaac Lee Hayes	Correct	.
50872	Tortured Soul	John-Christian Urich, Ethan White, JKriv	Correct	backing vocals), JKriv (bass, backing vocals).
55439	1 Giant Leap	Jamie Catto	Correct	\N
56677	Ulali	\N	Correct	Native American women's a cappella group, founded in 1987.
56678	Speech	Todd Thomas	Needs Vote	Wisconsin born rapper. Member of the Atlanta hip-hop collective Arrested Development.
56680	Eddi Reader	Sadenia Reader	Needs Vote	Scottish singer songwriter, born 29 August 1959 in Glasgow.
56838	Dave Navarro	David Michael Navarro	Needs Vote	American guitarist, born 7 June 1967 in Santa Monica, California, USA. He was married to [a=Carmen Electra] (divorced).
56851	Sherree Ford-Payne	Sherree Brown	Correct	American vocalist and songwriter
63463	Darroll Gustamachio	\N	Needs Vote	, New York
63590	Jim Robinson	Jim Robins	Correct	\N
64003	J. Mark Andrus	\N	Correct	\N
64774	Daddy Kev	Kevin Moo	Correct	
66253	Spandau Ballet	\N	Correct	One of the leaders of the "new romantic" movement and one of the top UK groups of the early 1980s. Line-up comprised Tony Hadley (b. June 2, 1960) - vocals; main songwriter Gary Kemp (b. October 16, 1960) - guitar; Martin Kemp (b. October 10, 1961) - bass; John Keeble - drums; and Steve Norman - rhythm guitar, percussion and sax.
66817	Celph Titled	\N	Needs Vote	aka "The Rubix Cuban".. Tampa born MC / Producer and member of The Demigodz.
66852	Prodigy, The	The Prodigy	Correct	
69113	Duncan Bridgeman	Duncan Bridgeman	Needs Vote	\N
70293	Gy-ro	Henry Cullen	Correct	\N
70735	Ultravox	\N	Needs Vote	In late 2008, it was announced that the classic 80s line-up would reunite for a UK tour in 2009 entitled 'Return To Eden, which was repeated in 2010. Due in part to the popularity of these tours, Ultravox have recently begun work on a new studio album.
72881	Midge Ure	James Ure	Needs Vote	Scottish guitarist, singer, keyboard player, and songwriter born October 10, 1953 in Cambuslang, Lanarkshire, Scotland.
73328	Holly Valance	Holly Rachel Vukadinović	Needs Vote	Born: May 11, 1983 in Melbourne, Victoria, Australia
73465	Crawl Unit	Joe Colley	Correct	in October of 1996.
73538	Organum	David Philip Jackman	Correct	
79791	DJ Ruboy	Rubén Moreno Abanades	Correct	Spanish makina and hardcore producer.
82375	David Jackman	\N	Needs Vote	
82713	Demigodz, The	\N	Needs Vote	\N
85728	Jason Corsaro	\N	Correct	Grammy Award Winning music engineer and record producer, throughout his career he has worked on recordings that have generated a total sales of more than 100 million units. In 2006 Jason assumed the position of Chief Engineer at The Barber Shop Studios in Hopatcong, New Jersey, and he is Senior Technical Consultant to Dream Makers Music.
90037	Pharrell Williams	Pharrell Williams	Correct	
90489	Alternative Creators, The	M.Di Giacomo	Needs Vote	Italian (Hard) Trance project.
91380	Problem Kid	Mark Wilkinson	Correct	\N
92225	Esoteric (2)	Seamus Ryan	Correct	Esoteric].
92422	Lurky	\N	Correct	\N
96598	Motive (2)	\N	Correct	\N
96622	DSO	Daniel Sánchez Soliva	Correct	\N
99630	Christian Urich	John-Christian Urich	Correct	\N
105902	Ralph Tresvant	\N	Correct	\N
124165	Baffo Banfi	Giuseppe Banfi	Needs Vote	\N
125878	Blackman (4)	\N	Correct	\N
132121	Michael Bivins	\N	Correct	\N
132122	Ronnie DeVoe	Ronald DeVoe	Needs Vote	\N
142724	Larry James	Larry E. James	Needs Vote	.
143799	Louis Logic	Louis Dorley	Correct	. Former member of [a=Demigodz, The].
145257	Duke Ellington	Edward Kennedy Ellington	Needs Vote	.
145272	Eric Dolphy	Eric Allan Dolphy	Correct	
147064	Troy Sands	Troy Sands	Correct	Dj/Remixer
147065	Glenn Cattanach	\N	Correct	\N
147066	Ron Hester	\N	Correct	\N
147096	Stephen L. Freeman	\N	Correct	\N
148330	Kura	Eduardo Lopez	Correct	\N
156665	Vertigo (7)	\N	Correct	\N
158576	Miles Tackett	\N	Correct	\N
163549	Alek Száhala	Aleksi Sahala	Correct	Finnish Hard Dance / Freeform Producer.
166728	Silva D	Nihal De Silva	Correct	\N
167055	Yusef Lateef	William Emanuel Huddleston	Correct	
181208	Leon Thomas	Amos Leon Thomas Jr.	Needs Vote	
182289	Chad Hugo	Charles Edward Hugo	Correct	Born: 1974, Virginia Beach, Virginia
183701	Send Breaks (^X^C)	Toby Houser	Correct	\N
183917	Panta Rhei	\N	Correct	\N
187941	J.J. Brown	\N	Correct	\N
191242	Diplo	Thomas Wesley Pentz	Needs Vote	
363549	Paul Beaver	Paul Beaver	Correct	\N
192632	Rise (2)	Jean Myrthil	Needs Vote	From the Park Slope section of Brooklyn. Former member of The Demigodz.
192789	Metro (4)	Keith Lawson	Needs Vote	\N
194667	Farley "Jackmaster" Funk	Farley Keith Williams	Correct	By the late '80s, he had lost his DJ residency. His recorded output during the '90s was relatively small, preferring to concentrate on performing on the global DJ circuit.
200627	Steve Torch	Steve Torch	Correct	\N
200776	Charles McCracken	\N	Correct	American cellist
200785	Will Lee	William Franklin Lee IV	Correct	).
200815	Charles Mingus	Charles Mingus Jr.	Correct	American jazz musician, composer, bandleader and civil rights activist, born 22 April 1922 in Nogales, Arizona, USA and died 5 January 1979 in Cuernavaca, Mexico of Lou Gehrig's disease.
203532	Roberta Carter Harrison	Roberta Carter Harrison	Correct	\N
209284	Rob Walker	\N	Correct	\N
209415	Jean-Michel Jarre	Jean-Michel André Jarre	Needs Vote	Jean-Michel Jarre (August 24, 1948, Lyon, France) is a French composer of electronic music. Son of [a=Maurice Jarre], a composer of film music, who has written the scores to such films as Lawrence Of Arabia and Dr. Zhivago, among many others. He is well-known for staging spectacular outdoor concerts of his music, which feature laser displays and fireworks, and three of which appeared in the Guinness Book of Records for their large audiences. One of his albums, Musique pour supermarchés had a print run on only a single copy, which was auctioned to raise money for French artists. In 1986 he worked with NASA; astronaut Ronald McNair was to play the saxophone part of Jarre's piece Rendez-Vous VI while in orbit on board the Space Shuttle Challenger. It was to have been the first piece of music recorded in space, for the album Rendez-Vous. After the Challenger disaster of January 28, 1986, the piece was recorded with a different saxophonist, retitled Ron's piece and the album dedicated to the seven Challenger astronauts. He is a UNESCO Goodwill Ambassador.
210166	Sandra Melody	Sandra Wright	Needs Vote	Singer from London, UK.
210518	Zeena Parkins	\N	Needs Vote	
213079	Open Mic	Mike LaRose	Needs Vote	The owner of design company Open Mic Graphics.
214761	Michel Lapp	Michael Anthony Lapp Algernon	Correct	
214762	Javier Moreno	\N	Correct	DJ and producer from Spain.
217242	Clark Terry	\N	Correct	American trumpet player, composer and bandleader, born  October 14th, 1920 in St. Louis, USA.
217823	Pantera Os Danadinhos	\N	Correct	\N
225001	Psychospores	\N	Correct	\N
225533	Noah Mintz	\N	Correct	
227461	Michael Shrieve	Michael Shrieve	Correct	Born: July 6, 1949, in San Francisco.
227462	Kevin Shrieve	\N	Correct	\N
229071	Vybz Kartel	Adidja Azim Palmer	Correct	
230694	Marcus Belgrave	Marcus Belgrave	Needs Vote	
232669	Jabberjaw (2)	\N	Needs Vote	\N
234922	Spin 4th	\N	Correct	\N
235050	One Two	\N	Correct	\N
244688	Majik Most	\N	Correct	MC from Tampa, Florida.
245099	Mac Quayle	\N	Correct	\N
247725	Warren Cann	Warren Reginald Cann	Correct	Drummer/percussionist. Most well known as member of the rock group Ultravox.
247726	Billy Currie	William Lee Currie	Needs Vote	
252197	Stephen Perkins	Stephen Andrew Perkins	Correct	Born: September 13, 1967 in Los Angeles, CA, U.S.A.
252606	Don Butterfield	Don Butterfield	Correct	classical tuba player, born January 4, 1923 in Centralia, Washington, died November 27, 2006 in Clifton, New Jersey, USA.
252607	Dannie Richmond	Dannie Richmond	Correct	d. March 15, 1988
253066	Jimmy Knepper	James M. Knepper	Correct	American Jazz trombonist, born 22 November 1927 in Los Angeles, California, USA, died 14 June 2003 in Triadelphia, West Virginia, USA.
253339	Sammy Figueroa	\N	Needs Vote	Percussionist.
255243	Eddy Schreyer	Eddy Schreyer	Correct	Owner and chief engineer of [l=Oasis Mastering], Studio City, California, USA.
255280	Hiram Bullock	\N	Needs Vote	In 2007 he was diagnosed with throat cancer.
256582	Ted Curson	Theodore Curson	Needs Vote	Jazz trumpeter, born June 3, 1935 in Philadelphia, PA and died on November 4, 2012 in New Jersey. He played with Charles Mingus, Red Garland, Cecil Taylor, Max Roach and others.
257008	Joe Farrell	Joseph Carl Firrantello	Correct	Died on 06.01.1986 in Los Angeles, California
258968	Darryl Jenifer	\N	Correct	American bassist, born 22 October 1960 in Washington D.C., USA.
260056	Mark Linett	Mark Linett	Correct	as a second engineer. In the 80s he worked at Warner Bros. Amigo Studios, until they got closed in 1984.
260577	The Dung	\N	Correct	\N
260718	Danny Bank	Daniel Bernard Bank	Correct	Died : June 05, 2010 in Queens, New York City, New York.
274221	Paul Samwell-Smith	\N	Correct	\N
274261	George Scott (3)	\N	Correct	\N
274978	Eddie Bert	Edward Joseph Bertolatus.	Needs Vote	
274979	Roland Hanna	Sir Roland Hanna	Correct	d. November 13, 2002 - Hackensack, New Jersey
282378	Gary Kemp	Gary James Kemp	Correct	Guitarist from Spandau Ballet, born October 18th 1959.
282467	Charles Greenlee	\N	Needs Vote	He became a Muslim in the '40s and changed his name to Harneefan Majeed, although he later abandoned both the name and religion. He is rarely credited by this name but it is often combined into his real name.
283844	Rod McKuen	Rodney Marvin McKuen	Correct	American singer/songwriter, composer, musician and poet, born on April 29, 1933 in Oakland, California.
286775	Stephen Hill	\N	Correct	\N
300468	Stuart Hawkes	Stuart Hawkes	Correct	Can often be found in runout grooves as just "Stu."
300765	Paul Wertico	Paul Wertico	Needs Vote	Born January 5th, 1953 in Chicago, Illinois, USA
303769	Doug Henderson	Douglas Henderson	Needs Vote	Douglas Henderson has over 20 years experience as recording and mastering engineer, starting with a classical recording certificate from the Aspen Music Institute, then working in live sound reinforcement, and as house engineer at Harold Dessau in New York City. He spent several years freelancing as 1st Engineer in various A-rooms such as Hit Factory, Chung King, Green Street, Magic Shop and RPM in Manhattan and now has his own mixing/mastering studio micro-moose, in Brooklyn, New York. He has worked with dozens of major acts while focussing primarily on cutting edge independent and experimental groups. He has technical knowledge in the field of electronic circuit troubleshooting, and experience in restoration, repair and modification of tube amps and vintage recording gear.
339644	Sara Parkins	\N	Needs Vote	Violinist.
342896	Eric Avery	Eric Adam Avery	Needs Vote	
343332	Murphy's Law (2)	\N	Correct	American hardcore band from New York City formed in 1982.
361222	JKriv	Jason Kriveloff	Correct	DJ and producer from New York (US).
366110	Margaret Parkins	\N	Needs Vote	Cellist.
372549	Slide Hampton	Locksley Wellington Hampton	Correct	
381904	Sarah Thornblade	\N	Needs Vote	
391275	Anita Kerr	Anita Jean Grilli	Needs Vote	
392598	Stephan Galfas	\N	Correct	\N
400928	Gary Miller (4)	\N	Correct	American guitarist, born 15 September 1958, in Washington, D.C., USA.
402480	Brian Torff	Brian Q. Torff.	Needs Vote	
406206	Scott Wolfe	\N	Correct	\N
413568	Bernie Krause	Bernard L. Krause	Correct	web site.
413977	Alistair Tennant	Lorne Alistair Tennant	Needs Vote	
418348	Bill Barron	William Barron Jr..	Needs Vote	
449216	Bob Russell	Sidney Keith Russell	Correct	, performer of synthesizer covers versions.
449771	Union (4)	\N	Correct	\N
449772	Laurence Hobgood	Laurence Hobgood	Correct	American progressive and contemporary jazz pianist, born on December 23, 1949, in Salisbury, NC.
452309	Jordana LeSesne	Jordana LeSesne	Correct	Bass DJ/Producer.
453850	John Laporta	John Daniel LaPorta.	Needs Vote	
453854	Hobart Dotson	\N	Needs Vote	
453857	Sticks Evans	Samie Evans	Needs Vote	Died : April 11, 1994 in New York City.
495093	Sebastian Ahrenberg	Sebastian Ahrenberg	Correct	\N
497537	Yves Delaunay	Yves Delaunay	Correct	\N
499327	Jani Niiranen	Jani Niiranen	Needs Vote	\N
501732	Bobby Scott Cohen	\N	Needs Vote	Engineer.
503033	Michael Petrie	Michael Petrie	Needs Vote	\N
527635	Chris Cross	Christopher Thomas Allen	Correct	
533594	Michael Weisser	\N	Needs Vote	\N
548194	Mowgli (4)	\N	Correct	\N
556114	Flavio Racca	\N	Needs Vote	\N
556115	Max Fortuna	\N	Correct	\N
556116	Marco Perani	Marco Perani	Needs Vote	Italian producer.
556117	Mad Max (7)	\N	Correct	\N
567948	Tony Swain	\N	Correct	R manager for Universal Records.
579426	Alcholic Cindy	\N	Correct	\N
587337	Joanna Hood	\N	Needs Vote	\N
605772	Eleanor Farjeon	\N	Correct	English author, 13 February 1881 – 5 June 1965.
611256	Laura Von Bruening	\N	Correct	\N
636022	Robert DiDomenica	\N	Correct	Flute player.
646964	Peter Roulinavage III	\N	Needs Vote	Engineer.
662202	Coke Mafia	Javier Hidalgo	Correct	Producer from Murcia (SPAIN)
668289	Patrick Von Wiegandt	\N	Correct	\N
669736	Harry Shulman	\N	Correct	American classical oboist and music teacher, native of Rochester, N.Y. (1916-1971). Apart from his classical work (he was principal oboist of the NBC Symphony in New York), he also cooperated with jazz bassist Charles Mingus.
727416	Ethan White	\N	Needs Vote	Producer from live house act, Tortured Soul, easyTracks, and dunnEASY
755969	Jacquie Fex	\N	Correct	\N
791326	Daniel Sánchez Soliva	Daniel Sánchez Soliva	Correct	From Spain.
845581	Jagger-Richards	\N	Correct	, most commonly used for joint writing credits.
954530	Kaiser (5)	Miguel Sánchez	Needs Vote	\N
1030263	Mark Taylor	\N	Correct	\N
1069010	Peter Saville (2)	Peter Saville	Correct	Peter Saville (1955, Manchester, England) is an English graphic designer best known for the design of record sleeves for Factory Records artists, most notably for Joy Division and New Order.
1237340	Nihal De Silva	\N	Needs Major Changes	\N
1243132	Mear One	Kalen Ockerman	Needs Vote	b. 1971, Santa Cruz, CA\nContemporary American artist based in Los Angeles.
1543343	Farley Keith Williams	\N	Correct	\N
1572374	Paul D. Hudson	\N	Correct	
1845716	Deborah Feingold	\N	Correct	's [r=285074] (ECM 1168) represent valuable visual documentation, enabling the viewer to closely observe and reconstruct the process creating a landmark in minimalist music.
1894513	Janaia Donaldson	\N	Correct	Graphic designer and illustrator.
1979733	Morrison O'Donnell Limited	\N	Needs Major Changes	\N
2041696	Propeller (5)	\N	Needs Vote	Visual artist
2109369	Design	\N	Needs Major Changes	\N
2247686	Robert John (4)	\N	Correct	Photographer.
2250041	Karyn Cantor	\N	Needs Major Changes	\N
2270784	Mats Victorson	\N	Needs Major Changes	\N
2278832	Richard McCaffrey	\N	Needs Major Changes	\N
2278833	Michael Plass	\N	Needs Major Changes	\N
2278834	Barbara Falconer	\N	Needs Major Changes	\N
2278835	Maureen Stone	\N	Needs Major Changes	\N
2286149	Claus Hansmann	\N	Needs Major Changes	\N
2286150	Herve Morvan	\N	Needs Major Changes	\N
2652252	Eclipse Quartet, The	\N	Needs Major Changes	\N
\.


--
-- Data for Name: artists_aliases; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_aliases (artist_id, name) FROM stdin;
161	I Am Child
161	Lester Klark
161	Messenger, The
161	Sample Choir
161	Todd Edwards Project, The
161	Todd Imperatrice
161	Werks
189	Forme
189	Sebastian Ahrenberg
189	Secret Operations
1570	Aphrohead
1570	Aphropitch
1570	Aura And Thee Dove
1570	Electrikboy
1570	Felix Stallings Jr.
1570	Live IV Life
1570	Outerealm
1570	Radical Men
1570	Rocketmann !
1570	Sharkimaxx
1570	Thee Cat In Da Hat
1570	Thee Dawnsmen
1570	Thee Housecat Experience
1570	Thee Jamie Starr Scenario
1570	Thee Liaisons Scenario
1570	Thee Maddkatt Chronicles
1570	Thee Maddkatt Courtship
1570	Timewalkers 1
1570	Venus (3)
1570	Wizdom
1570	Wonderboy (4)
1570	Yesterday Dreamers
1570	Zeka
1812	Area 51 (23)
1812	Barrow Gang, The
1812	Depth
1812	Discrete
1812	Downtown
1812	Eric Kupper Presents Organika
1812	K-Scope (2)
1812	Xenon (6)
1825	Agora
1825	Akabu
1825	Avalanche (5)
1825	Brad Shitt
1825	Dave Lee
1825	Doug Willis
1825	Energise
1825	Foreal People
1825	Jakatta
1825	Jupiter Beyond (2)
1825	Mistura
1825	Plastic Ian
1825	Prospect Park
1825	Raven Maize
1825	Raw Essence
1825	Rock Shock
1825	Sessomatto
1825	Shy Boys, The
1825	Sub Rosa (3)
1825	Z Factor
2323	Doctor K.
2323	Dopestyle
2323	Kevin Ford (2)
2323	M Double A
2323	Naughty
2323	Smoke (17)
2323	Warrior, The
2714	Clarke/Bell
2714	V
2714	&
2714	A
2851	Michael Petrie
2851	Unseen Master
3612	Keef Destefano
3612	Pish Posh
5160	Chris Knowles
5160	Cluster (2)
5160	Star Power
5743	Ewan Pearson
5743	Maas
5743	Sulky Pup
5743	Villa America
5797	André Tanneberger
5797	Daniel G. Sarr
5797	Danny Lee
5797	Delegate (3)
5797	Electric Gold
5797	Joan Robinson
5797	Naughty A.T.
5797	Niko T.
5797	Taylor (17)
5999	Die Rhythmiker
5999	Hi-Lo
5999	Maybe And Her Boneless Sisters
5999	Memory Foundation, The
5999	Ratio
5999	Rhythmiker vs. Ratio
5999	Skinless Brothers
6952	Nightwatchman, The
7624	928
7624	Boss, The
7624	Brooklyn Friends
7624	Davy Dx
7624	Face, The (3)
7624	Momo (14)
9838	Mike Schwartz
9857	Darryl
9857	Diane (3)
9857	Dr. Death (3)
9857	Jacki (2)
9857	Larry Least
9857	Normal, The
9857	Paul (32)
9857	Silicon Teens
10299	Jordana LeSesne
10299	Lady J
10299	Murder 0ne
10360	Richard Wahnfried
10360	Schulzendorfer Groove Orchester
12206	Cocodance
12343	Club Zone
12343	DJ Innocence
12343	Frankie Dark
12343	Gary Booker
12343	Inner Souls
12343	Kings Of Soul
13227	Transonic
13407	CO-AX
13407	D.A.V.E. The Drummer
13407	Dr. Octopus
13407	E2 (2)
13407	Hydraulix (2)
13407	Itchy Hortin
13407	Secret Hero
13407	Strobe
13407	Techno Itch
13407	Watchman (4)
14062	Dub Duo, The
14062	Heartists, The
15885	Alien Chasm Jock
15885	W.A. Mozart
17110	N*E*R*D
18294	187 Lockdown
18294	C-Ken
18294	D-Syne
18294	Gant
18294	M Factor
18294	Mareeko
18294	Reflex (7)
18294	Stella Browne
18956	Eivets Rednow
18956	El Toro Negro
18956	Scorbu Productions
18956	Stevland Morris
20337	Angelo Goede
20337	Catkiller
20337	D.O.C., The (2)
20337	DJ XD
20337	Goliath
20337	Haras
20337	Megatron (5)
20337	Michelangelo
20337	Negative-A
20337	Roughrider
20337	Ruffian
20337	Triest Geval
20337	Vacorps
20917	Jani Niiranen
20917	Prob.
20917	Tes La Rok
20917	Trusta
20917	Waterloop (2)
21147	Little Rock
21147	Mystery Guest
21742	HOV
21742	Jigga
21742	Shawn Carter
23701	Terpsichord
23701	Tin Men (2)
23701	Tinman
23701	Tinman Out
24394	Crusher
24394	KAOS (4)
24394	Pierpaolo Salamone
24804	NCA
24804	NCA Experience
26010	Agora
26010	Akabu
26010	Avalanche (5)
26010	Brad Shitt
26010	Dave Lee
26010	Doug Willis
26010	Energise
26010	Foreal People
26010	Jakatta
26010	Joey Negro
26010	Jupiter Beyond (2)
26010	Plastic Ian
26010	Prospect Park
26010	Raven Maize
26010	Raw Essence
26010	Rock Shock
26010	Sessomatto
26010	Shy Boys, The
26010	Sub Rosa (3)
26010	Z Factor
26936	Chad Bromley
27628	Rickey Dillard's New G.
27628	Ricky Dillard's New Generation Chorale
28164	2nd Opinion, The
28164	Energy Factor
28164	Float, The
28164	Hex Complexx
28164	Raz
28164	Revoked
28164	Sk-Ka
28802	A Black Man, A Black Man And Another Black Man
28802	C.Williams (2)
28802	Exclusive T
28802	Farley "Jackmaster" Funk
28802	Farley Keith Williams
28802	Godfather Of House, The
28802	Housemaster Boyz, The
28802	Jackmaster Dick
28802	Sensuous Black Woman
28802	Zone (10)
34220	Nazareth Nirza
36687	Hardware (7)
37606	Yusuf Islam
46506	Black Jackal, The
46506	Daniel Furniss
46506	Divide, The
48432	Ed Lee (2)
55439	Worlds Collide
56678	Todd Thomas
63590	Raw Deal
64774	Kevin Moo
66817	Wade Hogg$
66852	Earthbound (6)
70293	Chris Liberator
70293	&
70293	D.A.V.E. The Drummer
70293	Creeper
70293	Dynamo City
70293	Goldfinger (8)
70293	Ha-Lo
70293	Thera
70293	Waterland
73465	Joe Colley
73538	David Jackman
73538	Monoplane
79791	Factoria X
79791	Four Dimensions
79791	Future (5)
79791	Getting Started
79791	Gravitation
79791	R.B.Y.
79791	Ruben Moreno
79791	Sweet Irony
82375	Monoplane
82375	Organum
90037	Skateboard P
91380	Kidsound
91380	Mark Wilkinson
91380	Wilky (2)
92225	Seamus Ryan
96622	Daniel Sánchez Soliva
99630	Cowboy Johnny Christ
124165	Aldo Banfi
124165	Guiseppe Banfi
143799	Louis Dorley
145272	George Lane
147064	William George
148330	Eduardo Lopez
158576	This Kid Named Miles
163549	Aleksi Sahala
163549	Paocala
166728	Nihal De Silva
183701	T. Farmer
183701	T.S. Heritage
183701	Toby Houser
191242	Diplodocus
191242	Wes Gully
191242	Wesley Pentz
192632	Jean Myrthil
194667	A Black Man, A Black Man And Another Black Man
194667	C.Williams (2)
194667	Exclusive T
194667	Farley Keith Williams
194667	Godfather Of House, The
194667	Housemaster Boyz, The
194667	Jackmaster Dick
194667	Rude Boy Farley Keith, The
194667	Sensuous Black Woman
194667	Zone (10)
209415	1906
209415	Foggy Joe
209415	Jammie Jefferson
209415	Pop Corn Orchestra
210166	Nubia
210166	Sandra Wright (2)
214761	Michel (6)
214761	Tony Mendez
229071	Adidja Palmer
245099	HQ2
252197	Member Of Porno For Pyros
282467	Hernifan Majeed
283844	Heins Hoffman-Richter
361222	Jason Kriveloff
400928	Dr. Know
449216	Sidney Keith Russell
449216	Sidney King Russel
452309	1.8.7.
452309	Lady J
452309	Murder 0ne
495093	Forme
495093	Seba
495093	Secret Operations
499327	Dice
499327	Prob.
499327	Tes La Rok
499327	Trusta
499327	Waterloop (2)
503033	Hive
503033	Unseen Master
527635	Chris St John (2)
527635	Christopher Allen
533594	Cléo de Mallio
548194	Kenneth Persaud
556116	Marco P.
579426	YB (2)
662202	Maker DJ
662202	Rudecat
662202	Russian Roulette (2)
791326	DSO
845581	Glimmer Twins, The
845581	Unknown (12)
954530	Miguel Sánchez
1237340	Silva D
1543343	A Black Man, A Black Man And Another Black Man
1543343	C.Williams (2)
1543343	Exclusive T
1543343	Farley "Jackmaster" Funk
1543343	Godfather Of House, The
1543343	Housemaster Boyz, The
1543343	Jackmaster Dick
1543343	Rude Boy Farley Keith, The
1543343	Sensuous Black Woman
1543343	Zone (10)
1572374	H.R.
\.


--
-- Data for Name: artists_groups; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_groups (artist_id, name) FROM stdin;
161	Fully Loaded (2)
161	Sunshine Bros.
1812	Director's Cut (3)
1812	Kupper-Campbell Project
3612	DJ Wally
3612	&
3612	MC Panik
3612	DJs Wally
3612	&
3612	Swingsett
4690	Vibraphonic
5160	303 Pirates
5649	Demigodz, The
6952	Audioslave
6952	Beninya House
6952	Class Of '99
6952	Lock Up (3)
6952	Rage Against The Machine
6952	Shandi's Addiction
6952	Street Sweeper Social Club
7624	2 Puerto Ricans
7624	2 Puerto Ricans, A Blackman And A Dominican
7624	David Morales
7624	&
7624	Carla Bianco
7624	David Morales
7624	&
7624	The Bad Yard Club
7624	Moca
8024	Artists For Haiti
8024	J-Beat
8099	B-Crew
8099	Moonwalkers, The
8099	Stars On 54
8099	Ultra Devoted
8099	Underground Dance Artists United For Life
9857	Come
9857	Djxdj
9857	Duet Emmo
9857	Sunroof
10360	Ash Ra Tempel
10360	Cosmic Jokers, The
10360	Dark Side Of The Moog, The
10360	Din A Testbild
10360	Stomu Yamashta's Go
10360	Tangerine Dream
11449	cirKus
11449	Float Up CP
11449	God Mother
11449	&
11449	Country
11449	New Age Steppers
11449	Raw Sex, Pure Energy
11449	Rip Rig
11449	&
11449	Panic
11449	Slits, The
11617	Harris
11617	&
11617	Cox
11617	Pusaka
11617	Sweat Boys, The
11617	Thunderpuss
11879	Amnesty Allstars, The
11879	Artists United Against Apartheid
11879	Beachnuts, The
11879	Jades, The (2)
11879	Metal Machine Music Trio
11879	Primitives, The (3)
11879	Roughnecks, The (3)
11879	Velvet Underground, The
12206	Dub Duo, The
12206	Heartists, The
12206	U-N-I (You and I)
12206	World Famous Martinez Orchestra
13227	Machine Gun (3)
13407	Back To The Planet
13407	Bunnymad69
13407	Chris Liberator
13407	&
13407	D.A.V.E. The Drummer
13407	Creeper
13407	D.A.V.E. The Drummer
13407	&
13407	KN
13407	Dam Busters, The
13407	Dawn Patrol
13407	Digital Destroyer
13407	Dynamo City
13407	Goldfinger (8)
13407	Gy-ro
13407	Ha-Lo
13407	Hibee Nation
13407	Innocent Party, The
13407	Julian Liberator
13407	&
13407	Henry Cullen
13407	Julian Sandell
13407	&
13407	Henry Cullen
13407	Kektex
13407	Kris 'N' D.A.V.E.
13407	M.D.C.
13407	Magnum Force
13407	Mizbehavior
13407	Mutate To Survive
13407	Plan Z (2)
13407	Quantifier
13407	Rokhaus
13407	Rozzer's Dog
13407	S.H.L.A.G.
13407	Site Breakers
13407	Symetrix
13407	Temperature Drop
13407	Thera
13407	Three Stooges
13407	Time Stretch Armstrong
13407	Ultramagnetik
13407	Uridium
13407	Vibe Bar Rejects
13407	Waterland
13407	Weathermen
13407	Well Paid Scientists
13407	Winnebago Warriors
13407	X Meets Y
15885	All Star Choir
15885	Artists For Haiti
15885	Jackson 5, The
15885	Jacksons, The
15885	USA For Africa
15885	Wiz Stars, The
18956	Dionne
18956	&
18956	Friends
18956	USA For Africa
19674	Yazoo
20662	Cosmic Twins
20662	François K
20662	&
20662	Rob Rives
20662	Toroid
21147	Alex Blake Quintet, The
21147	Art Davis Quartet
21147	Jazz Composer's Orchestra, The
21147	Pharoah Sanders Quartet
21147	Pharoah Sanders Quintet
22757	Change
22757	Chic
22757	Luther
22757	Mascara
22757	Voices That Care
27951	All Star Tribute
27951	Jane's Addiction
27951	Perry Farrell's Satellite Party
27951	Porno For Pyros
27951	Psi Com
28164	2 Puerto Ricans
28164	Ralphi Rosario
28164	&
28164	Martin Fry
28164	Ralphi Y Raul Presentan "Hispaniks"
28164	Rosabel
34854	Nick Martinelli
34854	&
34854	David Todd
36687	Assembly, The
37365	Assembly, The
37365	Clarke
37365	&
37365	Ware Experiment, The
37365	Clarke/Bell
37365	Depeche Mode
37365	Erasure
37365	Family Fantastic
37365	RadioActivators
37365	V
37365	&
37365	A
37365	VCMG
37365	West India Company
37365	Yazoo
40135	Les Vampyrettes
40135	Liliental
40135	Moebius
40135	&
40135	Plank
43786	Booker Ervin Quintet
43786	Charles Mingus And His Jazz Group
43786	Charles Mingus Sextet
43786	Duke Jordan Quintet
43786	Ernie Wilkins
43786	&
43786	His Orchestra
43786	Hilton Ruiz Quintet
43786	John Handy Quintet
43786	Oliver Nelson And His Orchestra
43786	Oliver Nelson Sextet, The
43786	Slide Hampton Octet
48432	Baracudas
48432	Cast Of South Park, The
48432	Hayes
48432	&
48432	Porter
48432	Isaac Hayes Movement
48432	Louisiana Gator Boys, The
48432	Sir Isaac
48432	&
48432	The Do-Dads
48432	Stax Staff, The
56680	Academy Of Fine Popular Music, The
56680	Fairground Attraction
56680	Outbar Squeek
56838	Camp Freddy (2)
56838	Deconstruction (2)
56838	Honeymoon Stitch
56838	Jane's Addiction
56838	Panic Channel, The
56838	Red Hot Chili Peppers
66817	Army Of The Pharaohs
66817	Boss Hog Barbarians, The
66817	Demigodz, The
66817	Equilibrium (2)
69113	1 Giant Leap
69113	Be Big
69113	Gardening By Moonlight
69113	I-Level
69113	Shake Shake!
69113	Tribal Drift
69113	Worlds Collide
72881	Band Aid
72881	Midge Ure All Star Band
72881	PVC2
72881	Rich Kids
72881	Slik
72881	Thin Lizzy
72881	Ultravox
72881	Visage
82375	A Mouse Orchestra
82375	Harmony Band
82375	Lost Shadow
82375	New Blockaders
82375	&
82375	Organum, The
82375	Scratch Orchestra, The
90037	All Star Tribute
90037	CRS (3)
90037	N*E*R*D
90037	Neptunes, The
96598	Demigodz, The
99630	Cooly's Hot Box
99630	Tortured Soul
105902	New Edition
105902	Voices That Care
124165	Biglietto Per L'Inferno
132121	Bell Biv Devoe
132121	New Edition
132122	Bell Biv Devoe
132122	New Edition
142724	Fat Larry's Band
145257	Duke Ellington
145257	&
145257	Friends
145257	Duke Ellington Alumni All Stars
145257	Duke Ellington And His Big Band
145257	Duke Ellington And His Cotton Club Orchestra
145257	Duke Ellington And His Jazz Group
145257	Duke Ellington And His Kentucky Club Orchestra
145257	Duke Ellington And His Orchestra
145257	Duke Ellington And His Washingtonians
145257	Duke Ellington And The Whoopie Makers
145257	Duke Ellington Octet
145257	Duke Ellington Quartet
145257	Duke Ellington Sextet
145257	Duke Ellington Small Bands, The
145257	Duke Ellington Trio, The
145257	Duke Ellington's Hot Five
145257	Harlem Footwarmers, The
145257	Jungle Band, The (2)
145257	Six Jolly Jesters, The
145257	Washingtonians, The
145272	Charles Mingus Quartet, The
145272	Charles Mingus Quintet, The
145272	Charles Mingus Sextet
145272	Eric Dolphy Quartet
145272	Eric Dolphy Quintet
145272	John Coltrane Quintet
145272	Mal Waldron Sextet, The
145272	Oliver Nelson Sextet, The
145272	Ornette Coleman Double Quartet, The
158576	Breakestra
167055	Art Blakey
167055	&
167055	The Afro-Drum Ensemble
167055	Cannonball Adderley Sextet
167055	Doug Watkins Quintet
167055	Ernie Wilkins
167055	&
167055	His Orchestra
167055	Slide Hampton Orchestra
167055	Universal Quartet, The
167055	Yusef Lateef Quintet, The
181208	Santana
182289	N*E*R*D
182289	Neptunes, The
192789	S.A. Smash
200627	4-2 The Floor
200627	Pink Military
200627	Royal T
200627	White
200627	&
200627	Torch
200776	Hugo Montenegro And His Orchestra
200785	24th. Street Band, The
200785	Bob Mintzer Big Band
200785	Child Is Father To The Man
200785	Gary Schreiner Big Band, The
200785	World's Most Dangerous Band, The
200815	Billy Taylor Trio
200815	Bud Powell Trio, The
200815	Charles Mingus And His Jazz Group
200815	Charles Mingus Duo, The
200815	Charles Mingus Jazz Workshop
200815	Charles Mingus Octet
200815	Charles Mingus Quartet, The
200815	Charles Mingus Quintet, The
200815	Charles Mingus Sextet
200815	Charlie Mingus Modernists, The
200815	Charlie Mingus Trio, The
200815	Four Trombones, The
200815	George Wallington Trio
200815	Lucky Thompson's All Stars
200815	New Oscar Pettiford Sextet, The
200815	Paul Bley Trio
200815	Quintet, The
200815	Red Norvo Trio, The
200815	Strings And Keys
200815	Teddy Charles New Directions Quartet
203532	Wild Strawberries
209284	Wish For Eden
209415	Dustbins, The
209415	Vizitors, The
210518	Cosa Brava
210518	Elliott Sharp / Carbon
210518	Keep The Dog
210518	News From Babel
210518	No Safety
210518	OWT
210518	Phantom Orchard
210518	Phantom Orchard Orchestra
210518	Skeleton Crew (2)
210518	Tin Hat Trio
210518	Weightless Animals
213079	Demigodz, The
217242	B. P. Convention Big Band International
217242	Bob Brookmeyer And His Orchestra
217242	Cannonball Adderley And His Orchestra
217242	Clark Terry / Bob Brookmeyer Quintet
217242	Clark Terry All Stars Band
217242	Clark Terry And His Jolly Giants
217242	Clark Terry Big Band
217242	Clark Terry Five, The
217242	Clark Terry Quartet
217242	Clark Terry Quintet
217242	Clark Terry Sextet
217242	Clark Terry's Septet
217242	Coleman Hawkins / Clark Terry Quintet
217242	Count Basie Orchestra
217242	Dave Bailey Sextet, The
217242	Dizzy Gillespie And His Orchestra
217242	Duke Ellington And His Orchestra
217242	Duke Ellington Orchestra, The
217242	Duke Ellington's Spacemen
217242	Milt Jackson Orchestra
217242	Quincy Jones And His Orchestra
217242	Quincy Jones Big Band, The
217242	Thelonious Monk Nonet
225533	hHead
227461	Abraxas Pool
227461	Automatic Man
227461	Din A Testbild
227461	HSAS
227461	Novo Combo
227461	Santana
227461	Stomu Yamashta's Go
230694	David Murray Quartet
230694	Detroit Experiment, The
230694	George Gruntz Concert Jazz Band, The
230694	Michigan Jazz Masters
230694	Tribe (8)
232669	Demigodz, The
234922	Demigodz, The
234922	Yaggfu Front
235050	Demigodz, The
244688	Equilibrium (2)
247725	Helden
247725	Tiger Lily (2)
247725	Ultravox
247726	Humania
247726	Tiger Lily (2)
247726	Ultravox
247726	Visage
252197	Banyan
252197	Broke Dick Dog
252197	Class Of '99
252197	Cold Ethyl
252197	Infectious Grooves
252197	Jane's Addiction
252197	Li'l Pit
252197	Panic Channel, The
252197	Porno For Pyros
252606	Clark Terry Quintet
252606	Dizzy Gillespie And His Orchestra
252606	Hugo Montenegro And His Orchestra
252606	Oliver Nelson And His Orchestra
252606	Teddy Charles Tentet, The
252607	Bennie Wallace Trio
252607	Booker Ervin Quintet
252607	Charles Mingus And His Jazz Group
252607	Charles Mingus Quartet, The
252607	Charles Mingus Sextet
252607	Dannie Richmond Quartet
252607	Dannie Richmond Quintet
252607	Dannie Richmond's "In" Crowd
252607	George Adams - Don Pullen Quartet
252607	Herbie Nichols Trio
252607	Horace Parlan Trio
252607	Mal Waldron Quartet
252607	Mark-Almond
252607	Mingus Dynasty
253066	Charles Mingus And His Jazz Group
253066	Charles Mingus Sextet
253066	George Gruntz Concert Jazz Band, The
253066	Gil Evans And His Orchestra
253066	Jazz Composer's Orchestra, The
253066	Jimmy Knepper Quintet
253066	Jimmy Knepper Sextet
253066	Lee Konitz Nonet
253066	Mingus Dynasty
253066	Pepper-Knepper Quintet, The
253066	Toshiko Akiyoshi-Lew Tabackin Big Band
253339	24th. Street Band, The
253339	Chew
253339	dZihan
253339	&
253339	Kamien Orchestra, The
255280	24th. Street Band, The
255280	World's Most Dangerous Band, The
256582	Cecil Taylor Quintet
256582	Charles Mingus Quartet, The
256582	Charles Mingus Sextet
256582	Mingus Dynasty
256582	New York Contemporary Five, The
256582	Nick Brignola Sextet, The
256582	Ted Curson
256582	&
256582	Company
256582	Ted Curson Quartet
257008	Bob Magnusson Quintet, The
257008	CTI All-Stars
257008	Fuse One
257008	Jaki Byard Quartet, The
257008	Joe Farrell Quartet
257008	Lee Konitz Big Band
257008	Mingus Dynasty
257008	New Elvin Jones Trio, The
257008	Players Association, The
257008	Return To Forever
258968	Bad Brains
258968	Black Vova
258968	White Mandingos
260718	Charlie Barnet And His Orchestra
260718	Dizzy Gillespie And His Orchestra
260718	Duke Ellington Orchestra, The
260718	Miles Davis + 19
260718	Quincy Jones And His Orchestra
260718	Ray Ellis And His Orchestra
260718	Tony Scott Septet
260718	Tony Scott Tentet
274221	Box Of Frogs
274221	Yardbirds, The
274978	Bill Russo And His Orchestra
274978	Charles Mingus Quintet, The
274978	Eddie Bert Sextet, The
274978	Thelonious Monk Orchestra, The
274979	Benny Goodman And His Orchestra
274979	Charles Mingus And His Jazz Group
274979	Duke Ellington Orchestra, The
274979	Jimmy Knepper Sextet
274979	John Handy Quintet
274979	Mingus Dynasty
274979	New Heritage Keyboard Quartet, The
274979	New York Jazz Quartet
274979	Roland Hanna Quartet
274979	Roland Hanna Trio
274979	Seldon Powell Sextet
282378	Band Aid
282378	Spandau Ballet
282467	Dizzy Gillespie And His Orchestra
283844	Bob McFadden
283844	&
283844	Dor
283844	Rod McKuen Orchestra
283844	Slide (11)
300765	Pat Metheny Group
300765	Paul Wertico Trio
300765	Paul Wertico's Mid-East/Mid-West Alliance
300765	SBB
300765	Union (4)
303769	Krackhouse
303769	Spongehead
339644	Bantam Orchestra, The
339644	Eclipse Quartet, The
339644	Phantom Orchard Orchestra
342896	Deconstruction (2)
342896	Jane's Addiction
342896	Nine Inch Nails
342896	Polar Bear
363549	Beaver
363549	&
363549	Krause
366110	Bantam Orchestra, The
366110	Eclipse Quartet, The
366110	Phantom Orchard Orchestra
372549	Barry Harris Sextet, The
372549	Dexter Gordon
372549	&
372549	Slide Hampton Sextet, The
372549	George Gruntz Concert Jazz Band, The
372549	Maynard Ferguson
372549	&
372549	His Orchestra
372549	Orchester Johannes Fehring
372549	Slide Hampton - Joe Haider Orchestra
372549	Slide Hampton Octet
372549	Slide Hampton Orchestra
372549	Václav Zahradník Big Band
381904	Eclipse Quartet, The
381904	Los Angeles Chamber Orchestra, The
391275	Anita Kerr Orchestra, The
391275	Anita Kerr Quartet
391275	Anita Kerr Singers, The
400928	Bad Brains
400928	Black Jack Johnson
402480	Union (4)
406206	Burma Jam
413568	Beaver
413568	&
413568	Krause
413568	Weavers, The
418348	Bill Barron Quartet, The
418348	Cecil Taylor Quintet
418348	Ted Curson Quartet
449772	Laurence Hobgood Trio
449772	Union (4)
452309	Rock Stone Foundation
453850	Charlie Mingus Modernists, The
453850	John LaPorta Sextet
453850	Woody Herman
453850	&
453850	The Herd
453850	Woody Herman And His Orchestra
453854	Billy Eckstine And His Orchestra
495093	Futuristics, The
495093	Peanut Planet
495093	Seba
495093	&
495093	Krazy
495093	Seba
495093	&
495093	Lotek
495093	Seba
495093	&
495093	Paradox
495093	Sunday Brunch
499327	Breakwater Crew
503033	Chimera (2)
503033	Hivedomrymelok
503033	Keaton
503033	&
503033	Hive
533594	BioLogICal-Events
533594	Peter Mergener
533594	&
533594	Michael Weisser
533594	Software
556114	Boyz Seduction
556116	Andromeda (5)
556116	Boyz Seduction
556116	Dogma (6)
556116	Interceptor (9)
556116	Limpar
556116	Trance X (3)
587337	Eclipse Quartet, The
662202	Disciples Of Rebellion
727416	Dunneasy
727416	Tortured Soul
1069010	Estudio Saville
1069010	Grafica Industria
1069010	Peter Saville Associates
1069010	Peter Saville Studio, The
1069010	Saville D/R Institute
1069010	Saville Parris Wakefield
1543343	Black Balls
1543343	Brothers By Music
1543343	Godfathers Inc.
1543343	Yellow House
1572374	Bad Brains
\.


--
-- Data for Name: artists_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_images (artist_id, uri, type, height, width, uri150) FROM stdin;
161	http://api.discogs.com/image/A-161-1278966650.jpeg	primary	200	200	http://api.discogs.com/image/A-150-161-1278966650.jpeg
161	http://api.discogs.com/image/A-161-1104932847.jpg	secondary	187	250	http://api.discogs.com/image/A-150-161-1104932847.jpg
161	http://api.discogs.com/image/A-161-1278966709.jpeg	secondary	280	456	http://api.discogs.com/image/A-150-161-1278966709.jpeg
161	http://api.discogs.com/image/A-161-1278965628.jpeg	secondary	390	300	http://api.discogs.com/image/A-150-161-1278965628.jpeg
161	http://api.discogs.com/image/A-161-1194998014.jpeg	secondary	200	300	http://api.discogs.com/image/A-150-161-1194998014.jpeg
161	http://api.discogs.com/image/A-161-1278966595.jpeg	secondary	352	464	http://api.discogs.com/image/A-150-161-1278966595.jpeg
161	http://api.discogs.com/image/A-161-1278965890.jpeg	secondary	304	491	http://api.discogs.com/image/A-150-161-1278965890.jpeg
161	http://api.discogs.com/image/A-161-1278965407.jpeg	secondary	664	570	http://api.discogs.com/image/A-150-161-1278965407.jpeg
161	http://api.discogs.com/image/A-161-1278965514.jpeg	secondary	800	600	http://api.discogs.com/image/A-150-161-1278965514.jpeg
189	http://api.discogs.com/image/A-189-1343340956-4306.jpeg	primary	286	520	http://api.discogs.com/image/A-150-189-1343340956-4306.jpeg
189	http://api.discogs.com/image/A-189-1343341023-8553.png	secondary	480	320	http://api.discogs.com/image/A-150-189-1343341023-8553.png
1570	http://api.discogs.com/image/A-1570-1308364786.jpeg	primary	402	400	http://api.discogs.com/image/A-150-1570-1308364786.jpeg
1570	http://api.discogs.com/image/A-1570-001.jpg	secondary	170	200	http://api.discogs.com/image/A-150-1570-001.jpg
1570	http://api.discogs.com/image/A-1570-1079133939.jpg	secondary	301	223	http://api.discogs.com/image/A-150-1570-1079133939.jpg
1570	http://api.discogs.com/image/A-1570-1079219309.jpg	secondary	346	268	http://api.discogs.com/image/A-150-1570-1079219309.jpg
1570	http://api.discogs.com/image/A-1570-1084143667.jpg	secondary	110	172	http://api.discogs.com/image/A-150-1570-1084143667.jpg
1570	http://api.discogs.com/image/A-1570-1141820263.jpeg	secondary	412	600	http://api.discogs.com/image/A-150-1570-1141820263.jpeg
1570	http://api.discogs.com/image/A-1570-1204930271.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-1570-1204930271.jpeg
1812	http://api.discogs.com/image/A-1812-1324168948.jpeg	primary	238	359	http://api.discogs.com/image/A-150-1812-1324168948.jpeg
1825	http://api.discogs.com/image/A-1825-001.jpg	primary	260	168	http://api.discogs.com/image/A-150-1825-001.jpg
1825	http://api.discogs.com/image/A-1825-1096889426.jpg	secondary	120	120	http://api.discogs.com/image/A-150-1825-1096889426.jpg
1825	http://api.discogs.com/image/A-1825-1158754259.jpeg	secondary	557	433	http://api.discogs.com/image/A-150-1825-1158754259.jpeg
1825	http://api.discogs.com/image/A-1825-1173968199.jpeg	secondary	311	187	http://api.discogs.com/image/A-150-1825-1173968199.jpeg
2323	http://api.discogs.com/image/A-2323-1079042964.jpg	primary	329	256	http://api.discogs.com/image/A-150-2323-1079042964.jpg
2323	http://api.discogs.com/image/A-2323-1165888500.jpeg	secondary	423	600	http://api.discogs.com/image/A-150-2323-1165888500.jpeg
2323	http://api.discogs.com/image/A-2323-1165888553.jpeg	secondary	400	320	http://api.discogs.com/image/A-150-2323-1165888553.jpeg
2323	http://api.discogs.com/image/A-2323-1270209959.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-2323-1270209959.jpeg
2323	http://api.discogs.com/image/A-2323-1270209965.jpeg	secondary	364	500	http://api.discogs.com/image/A-150-2323-1270209965.jpeg
2323	http://api.discogs.com/image/A-2323-1270209974.jpeg	secondary	700	408	http://api.discogs.com/image/A-150-2323-1270209974.jpeg
2713	http://api.discogs.com/image/A-2713-1344267733-6527.jpeg	primary	320	440	http://api.discogs.com/image/A-150-2713-1344267733-6527.jpeg
2713	http://api.discogs.com/image/A-2713-1198119326.jpeg	secondary	408	454	http://api.discogs.com/image/A-150-2713-1198119326.jpeg
2713	http://api.discogs.com/image/A-2713-001.jpg	secondary	170	200	http://api.discogs.com/image/A-150-2713-001.jpg
2713	http://api.discogs.com/image/A-2713-1344267666-4341.jpeg	secondary	286	440	http://api.discogs.com/image/A-150-2713-1344267666-4341.jpeg
2713	http://api.discogs.com/image/A-2713-1344267702-9017.jpeg	secondary	408	440	http://api.discogs.com/image/A-150-2713-1344267702-9017.jpeg
2713	http://api.discogs.com/image/A-2713-1344267967-5132.jpeg	secondary	440	440	http://api.discogs.com/image/A-150-2713-1344267967-5132.jpeg
2713	http://api.discogs.com/image/A-2713-1344268019-8653.jpeg	secondary	440	440	http://api.discogs.com/image/A-150-2713-1344268019-8653.jpeg
2713	http://api.discogs.com/image/A-2713-1223828985.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-2713-1223828985.jpeg
2714	http://api.discogs.com/image/A-2714-1339781196-1991.jpeg	primary	354	450	http://api.discogs.com/image/A-150-2714-1339781196-1991.jpeg
2714	http://api.discogs.com/image/A-2714-1360172752-5889.jpeg	secondary	866	600	http://api.discogs.com/image/A-150-2714-1360172752-5889.jpeg
2714	http://api.discogs.com/image/A-2714-1319534216.jpeg	secondary	780	567	http://api.discogs.com/image/A-150-2714-1319534216.jpeg
2714	http://api.discogs.com/image/A-2714-1319372039.jpeg	secondary	556	567	http://api.discogs.com/image/A-150-2714-1319372039.jpeg
2714	http://api.discogs.com/image/A-2714-1319534207.jpeg	secondary	751	567	http://api.discogs.com/image/A-150-2714-1319534207.jpeg
2714	http://api.discogs.com/image/A-2714-1319534098.jpeg	secondary	817	567	http://api.discogs.com/image/A-150-2714-1319534098.jpeg
2714	http://api.discogs.com/image/A-2714-1321247252.jpeg	secondary	340	500	http://api.discogs.com/image/A-150-2714-1321247252.jpeg
2714	http://api.discogs.com/image/A-2714-1319534226.jpeg	secondary	580	567	http://api.discogs.com/image/A-150-2714-1319534226.jpeg
2714	http://api.discogs.com/image/A-2714-1319534134.jpeg	secondary	663	567	http://api.discogs.com/image/A-150-2714-1319534134.jpeg
2714	http://api.discogs.com/image/A-2714-1332540306.jpeg	secondary	532	400	http://api.discogs.com/image/A-150-2714-1332540306.jpeg
2714	http://api.discogs.com/image/A-2714-1319534052.jpeg	secondary	732	567	http://api.discogs.com/image/A-150-2714-1319534052.jpeg
2714	http://api.discogs.com/image/A-2714-1319534091.jpeg	secondary	372	567	http://api.discogs.com/image/A-150-2714-1319534091.jpeg
2714	http://api.discogs.com/image/A-2714-1319534113.jpeg	secondary	392	567	http://api.discogs.com/image/A-150-2714-1319534113.jpeg
2714	http://api.discogs.com/image/A-2714-1319534198.jpeg	secondary	377	567	http://api.discogs.com/image/A-150-2714-1319534198.jpeg
2714	http://api.discogs.com/image/A-2714-1319534244.jpeg	secondary	736	567	http://api.discogs.com/image/A-150-2714-1319534244.jpeg
2714	http://api.discogs.com/image/A-2714-1319534123.jpeg	secondary	390	567	http://api.discogs.com/image/A-150-2714-1319534123.jpeg
2714	http://api.discogs.com/image/A-2714-1315174759.jpeg	secondary	300	300	http://api.discogs.com/image/A-150-2714-1315174759.jpeg
2851	http://api.discogs.com/image/A-2851-1136752367.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-2851-1136752367.jpeg
2851	http://api.discogs.com/image/A-2851-1157251196.jpeg	secondary	640	480	http://api.discogs.com/image/A-150-2851-1157251196.jpeg
2851	http://api.discogs.com/image/A-2851-1157251261.jpeg	secondary	600	401	http://api.discogs.com/image/A-150-2851-1157251261.jpeg
2851	http://api.discogs.com/image/A-2851-1157251292.jpeg	secondary	600	450	http://api.discogs.com/image/A-150-2851-1157251292.jpeg
3612	http://api.discogs.com/image/A-3612-1113984738.jpg	secondary	180	320	http://api.discogs.com/image/A-150-3612-1113984738.jpg
4115	http://api.discogs.com/image/A-4115-1334319333.jpeg	primary	428	598	http://api.discogs.com/image/A-150-4115-1334319333.jpeg
4115	http://api.discogs.com/image/A-4115-1197582559.jpeg	secondary	290	430	http://api.discogs.com/image/A-150-4115-1197582559.jpeg
4115	http://api.discogs.com/image/A-4115-1197582479.jpeg	secondary	252	372	http://api.discogs.com/image/A-150-4115-1197582479.jpeg
4115	http://api.discogs.com/image/A-4115-1197582552.jpeg	secondary	378	300	http://api.discogs.com/image/A-150-4115-1197582552.jpeg
4115	http://api.discogs.com/image/A-4115-1083920870.jpg	secondary	137	200	http://api.discogs.com/image/A-150-4115-1083920870.jpg
4115	http://api.discogs.com/image/A-4115-001.jpg	secondary	121	189	http://api.discogs.com/image/A-150-4115-001.jpg
4115	http://api.discogs.com/image/A-4115-1360338412-7627.jpeg	secondary	500	500	http://api.discogs.com/image/A-150-4115-1360338412-7627.jpeg
4690	http://api.discogs.com/image/A-4690-001.jpg	primary	221	186	http://api.discogs.com/image/A-150-4690-001.jpg
4690	http://api.discogs.com/image/A-4690-1158752669.jpeg	secondary	600	500	http://api.discogs.com/image/A-150-4690-1158752669.jpeg
4945	http://api.discogs.com/image/A-4945-1080630096.jpg	primary	300	200	http://api.discogs.com/image/A-150-4945-1080630096.jpg
4945	http://api.discogs.com/image/A-4945-1096037925.jpg	secondary	200	153	http://api.discogs.com/image/A-150-4945-1096037925.jpg
4945	http://api.discogs.com/image/A-4945-1096037942.jpg	secondary	141	200	http://api.discogs.com/image/A-150-4945-1096037942.jpg
4945	http://api.discogs.com/image/A-4945-1096037966.jpg	secondary	200	152	http://api.discogs.com/image/A-150-4945-1096037966.jpg
5160	http://api.discogs.com/image/A-5160-001.jpg	secondary	396	588	http://api.discogs.com/image/A-150-5160-001.jpg
5160	http://api.discogs.com/image/A-5160-002.jpg	primary	245	179	http://api.discogs.com/image/A-150-5160-002.jpg
5160	http://api.discogs.com/image/A-5160-1082553353.jpg	secondary	260	350	http://api.discogs.com/image/A-150-5160-1082553353.jpg
5160	http://api.discogs.com/image/A-5160-1100485447.jpg	secondary	199	300	http://api.discogs.com/image/A-150-5160-1100485447.jpg
5797	http://api.discogs.com/image/A-5797-1136624268.jpeg	primary	481	469	http://api.discogs.com/image/A-150-5797-1136624268.jpeg
5797	http://api.discogs.com/image/A-5797-1296061096.jpeg	secondary	333	500	http://api.discogs.com/image/A-150-5797-1296061096.jpeg
5797	http://api.discogs.com/image/A-5797-1296061075.gif	secondary	183	539	http://api.discogs.com/image/A-150-5797-1296061075.gif
5797	http://api.discogs.com/image/A-5797-1127568368.jpeg	secondary	302	402	http://api.discogs.com/image/A-150-5797-1127568368.jpeg
5970	http://api.discogs.com/image/A-5970-1127364402.jpeg	secondary	125	125	http://api.discogs.com/image/A-150-5970-1127364402.jpeg
6952	http://api.discogs.com/image/A-6952-1105775446.jpg	secondary	428	335	http://api.discogs.com/image/A-150-6952-1105775446.jpg
6952	http://api.discogs.com/image/A-6952-1117520882.jpg	secondary	387	335	http://api.discogs.com/image/A-150-6952-1117520882.jpg
7620	http://api.discogs.com/image/A-7620-001.jpg	secondary	300	153	http://api.discogs.com/image/A-150-7620-001.jpg
7620	http://api.discogs.com/image/A-7620-1158589649.jpeg	primary	450	288	http://api.discogs.com/image/A-150-7620-1158589649.jpeg
7620	http://api.discogs.com/image/A-7620-1198188857.jpeg	secondary	330	251	http://api.discogs.com/image/A-150-7620-1198188857.jpeg
7624	http://api.discogs.com/image/A-7624-1323122878.jpeg	primary	645	430	http://api.discogs.com/image/A-150-7624-1323122878.jpeg
7624	http://api.discogs.com/image/A-7624-1295538221.jpeg	secondary	180	180	http://api.discogs.com/image/A-150-7624-1295538221.jpeg
7624	http://api.discogs.com/image/A-7624-1211175113.jpeg	secondary	800	600	http://api.discogs.com/image/A-150-7624-1211175113.jpeg
7624	http://api.discogs.com/image/A-7624-1259944477.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-7624-1259944477.jpeg
7624	http://api.discogs.com/image/A-7624-1211175091.jpeg	secondary	899	600	http://api.discogs.com/image/A-150-7624-1211175091.jpeg
7624	http://api.discogs.com/image/A-7624-1259944496.jpeg	secondary	336	560	http://api.discogs.com/image/A-150-7624-1259944496.jpeg
7624	http://api.discogs.com/image/A-7624-1312241755.jpeg	secondary	350	580	http://api.discogs.com/image/A-150-7624-1312241755.jpeg
7624	http://api.discogs.com/image/A-7624-002.jpg	secondary	225	300	http://api.discogs.com/image/A-150-7624-002.jpg
7624	http://api.discogs.com/image/A-7624-1312241815.jpeg	secondary	272	300	http://api.discogs.com/image/A-150-7624-1312241815.jpeg
7624	http://api.discogs.com/image/A-7624-1323122898.jpeg	secondary	286	430	http://api.discogs.com/image/A-150-7624-1323122898.jpeg
7698	http://api.discogs.com/image/A-7698-1337676001-1121.jpeg	primary	756	595	http://api.discogs.com/image/A-150-7698-1337676001-1121.jpeg
7698	http://api.discogs.com/image/A-7698-1258749971.jpeg	secondary	507	600	http://api.discogs.com/image/A-150-7698-1258749971.jpeg
7698	http://api.discogs.com/image/A-7698-1172091953.jpeg	secondary	286	600	http://api.discogs.com/image/A-150-7698-1172091953.jpeg
7698	http://api.discogs.com/image/A-7698-1250109514.jpeg	secondary	286	250	http://api.discogs.com/image/A-150-7698-1250109514.jpeg
7698	http://api.discogs.com/image/A-7698-1250109829.jpeg	secondary	450	300	http://api.discogs.com/image/A-150-7698-1250109829.jpeg
7698	http://api.discogs.com/image/A-7698-1356863780-8906.jpeg	secondary	490	393	http://api.discogs.com/image/A-150-7698-1356863780-8906.jpeg
8024	http://api.discogs.com/image/A-8024-1281170109.jpeg	primary	598	600	http://api.discogs.com/image/A-150-8024-1281170109.jpeg
8024	http://api.discogs.com/image/A-8024-1293518374.jpeg	secondary	491	396	http://api.discogs.com/image/A-150-8024-1293518374.jpeg
8024	http://api.discogs.com/image/A-8024-1263124901.jpeg	secondary	400	304	http://api.discogs.com/image/A-150-8024-1263124901.jpeg
8024	http://api.discogs.com/image/A-8024-1281169881.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-8024-1281169881.jpeg
8024	http://api.discogs.com/image/A-8024-1238178714.jpeg	secondary	775	600	http://api.discogs.com/image/A-150-8024-1238178714.jpeg
8024	http://api.discogs.com/image/A-8024-1216334064.jpeg	secondary	450	361	http://api.discogs.com/image/A-150-8024-1216334064.jpeg
8024	http://api.discogs.com/image/A-8024-1282394371.jpeg	secondary	600	315	http://api.discogs.com/image/A-150-8024-1282394371.jpeg
8024	http://api.discogs.com/image/A-8024-1281170038.jpeg	secondary	600	442	http://api.discogs.com/image/A-150-8024-1281170038.jpeg
8024	http://api.discogs.com/image/A-8024-1281169967.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-8024-1281169967.jpeg
8024	http://api.discogs.com/image/A-8024-1289435812.jpeg	secondary	428	342	http://api.discogs.com/image/A-150-8024-1289435812.jpeg
8024	http://api.discogs.com/image/A-8024-1292126357.jpeg	secondary	600	318	http://api.discogs.com/image/A-150-8024-1292126357.jpeg
8024	http://api.discogs.com/image/A-8024-1281170216.jpeg	secondary	600	483	http://api.discogs.com/image/A-150-8024-1281170216.jpeg
8024	http://api.discogs.com/image/A-8024-1281169839.jpeg	secondary	600	339	http://api.discogs.com/image/A-150-8024-1281169839.jpeg
8024	http://api.discogs.com/image/A-8024-1281169988.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-8024-1281169988.jpeg
8024	http://api.discogs.com/image/A-8024-1281170185.jpeg	secondary	600	439	http://api.discogs.com/image/A-150-8024-1281170185.jpeg
8024	http://api.discogs.com/image/A-8024-1281170283.jpeg	secondary	589	582	http://api.discogs.com/image/A-150-8024-1281170283.jpeg
8024	http://api.discogs.com/image/A-8024-1122554782.jpg	secondary	420	326	http://api.discogs.com/image/A-150-8024-1122554782.jpg
8024	http://api.discogs.com/image/A-8024-1216334080.jpeg	secondary	572	383	http://api.discogs.com/image/A-150-8024-1216334080.jpeg
8024	http://api.discogs.com/image/A-8024-1281170011.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-8024-1281170011.jpeg
8024	http://api.discogs.com/image/A-8024-1100530809.jpg	secondary	500	599	http://api.discogs.com/image/A-150-8024-1100530809.jpg
8024	http://api.discogs.com/image/A-8024-1155786352.jpeg	secondary	440	350	http://api.discogs.com/image/A-150-8024-1155786352.jpeg
8024	http://api.discogs.com/image/A-8024-1216334049.jpeg	secondary	475	475	http://api.discogs.com/image/A-150-8024-1216334049.jpeg
8024	http://api.discogs.com/image/A-8024-1281170135.jpeg	secondary	600	447	http://api.discogs.com/image/A-150-8024-1281170135.jpeg
8024	http://api.discogs.com/image/A-8024-1289435824.jpeg	secondary	425	340	http://api.discogs.com/image/A-150-8024-1289435824.jpeg
8024	http://api.discogs.com/image/A-8024-1216334141.jpeg	secondary	593	473	http://api.discogs.com/image/A-150-8024-1216334141.jpeg
8024	http://api.discogs.com/image/A-8024-1281170153.jpeg	secondary	600	392	http://api.discogs.com/image/A-150-8024-1281170153.jpeg
8024	http://api.discogs.com/image/A-8024-1281170056.jpeg	secondary	600	419	http://api.discogs.com/image/A-150-8024-1281170056.jpeg
8024	http://api.discogs.com/image/A-8024-1281170095.jpeg	secondary	600	375	http://api.discogs.com/image/A-150-8024-1281170095.jpeg
8024	http://api.discogs.com/image/A-8024-1281170102.jpeg	secondary	600	442	http://api.discogs.com/image/A-150-8024-1281170102.jpeg
8024	http://api.discogs.com/image/A-8024-1281170170.jpeg	secondary	600	417	http://api.discogs.com/image/A-150-8024-1281170170.jpeg
8024	http://api.discogs.com/image/A-8024-1133041192.jpeg	secondary	234	180	http://api.discogs.com/image/A-150-8024-1133041192.jpeg
8024	http://api.discogs.com/image/A-8024-1148177766.jpeg	secondary	600	352	http://api.discogs.com/image/A-150-8024-1148177766.jpeg
8024	http://api.discogs.com/image/A-8024-1214170501.jpeg	secondary	448	304	http://api.discogs.com/image/A-150-8024-1214170501.jpeg
8099	http://api.discogs.com/image/A-8099-1268728175.jpeg	primary	600	452	http://api.discogs.com/image/A-150-8099-1268728175.jpeg
8099	http://api.discogs.com/image/A-8099-001.jpg	secondary	265	300	http://api.discogs.com/image/A-150-8099-001.jpg
8099	http://api.discogs.com/image/A-8099-1270106244.jpeg	secondary	594	308	http://api.discogs.com/image/A-150-8099-1270106244.jpeg
8099	http://api.discogs.com/image/A-8099-1268728198.jpeg	secondary	600	429	http://api.discogs.com/image/A-150-8099-1268728198.jpeg
8099	http://api.discogs.com/image/A-8099-1207246438.jpeg	secondary	513	535	http://api.discogs.com/image/A-150-8099-1207246438.jpeg
8099	http://api.discogs.com/image/A-8099-1207246431.jpeg	secondary	513	535	http://api.discogs.com/image/A-150-8099-1207246431.jpeg
8099	http://api.discogs.com/image/A-8099-1144670614.jpeg	secondary	247	247	http://api.discogs.com/image/A-150-8099-1144670614.jpeg
8099	http://api.discogs.com/image/A-8099-1195221368.jpeg	secondary	480	455	http://api.discogs.com/image/A-150-8099-1195221368.jpeg
8099	http://api.discogs.com/image/A-8099-1268728155.jpeg	secondary	400	350	http://api.discogs.com/image/A-150-8099-1268728155.jpeg
8099	http://api.discogs.com/image/A-8099-1268728168.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-8099-1268728168.jpeg
8099	http://api.discogs.com/image/A-8099-1268728184.jpeg	secondary	600	423	http://api.discogs.com/image/A-150-8099-1268728184.jpeg
8099	http://api.discogs.com/image/A-8099-1268728205.jpeg	secondary	406	600	http://api.discogs.com/image/A-150-8099-1268728205.jpeg
8099	http://api.discogs.com/image/A-8099-1268728213.jpeg	secondary	406	600	http://api.discogs.com/image/A-150-8099-1268728213.jpeg
9838	http://api.discogs.com/image/A-9838-1092684350.jpg	primary	230	288	http://api.discogs.com/image/A-150-9838-1092684350.jpg
9838	http://api.discogs.com/image/A-9838-002.jpg	secondary	379	450	http://api.discogs.com/image/A-150-9838-002.jpg
9838	http://api.discogs.com/image/A-9838-001.jpg	secondary	350	373	http://api.discogs.com/image/A-150-9838-001.jpg
9838	http://api.discogs.com/image/A-9838-003.jpg	secondary	274	380	http://api.discogs.com/image/A-150-9838-003.jpg
9857	http://api.discogs.com/image/A-9857-1103114387.jpg	primary	120	120	http://api.discogs.com/image/A-150-9857-1103114387.jpg
9857	http://api.discogs.com/image/A-9857-1206752875.jpeg	secondary	510	335	http://api.discogs.com/image/A-150-9857-1206752875.jpeg
10299	http://api.discogs.com/image/A-10299-1270690608.jpeg	primary	600	398	http://api.discogs.com/image/A-150-10299-1270690608.jpeg
10299	http://api.discogs.com/image/A-10299-1177872508.jpeg	secondary	514	500	http://api.discogs.com/image/A-150-10299-1177872508.jpeg
10360	http://api.discogs.com/image/A-10360-1324890457.png	primary	320	540	http://api.discogs.com/image/A-150-10360-1324890457.png
10360	http://api.discogs.com/image/A-10360-001.jpg	secondary	150	150	http://api.discogs.com/image/A-150-10360-001.jpg
10360	http://api.discogs.com/image/A-10360-1098483035.jpg	secondary	273	397	http://api.discogs.com/image/A-150-10360-1098483035.jpg
10360	http://api.discogs.com/image/A-10360-1102374032.jpg	secondary	330	390	http://api.discogs.com/image/A-150-10360-1102374032.jpg
10360	http://api.discogs.com/image/A-10360-1119015910.jpg	secondary	500	358	http://api.discogs.com/image/A-150-10360-1119015910.jpg
10360	http://api.discogs.com/image/A-10360-1146649817.jpeg	secondary	242	343	http://api.discogs.com/image/A-150-10360-1146649817.jpeg
10360	http://api.discogs.com/image/A-10360-1324890351.png	secondary	418	306	http://api.discogs.com/image/A-150-10360-1324890351.png
10360	http://api.discogs.com/image/A-10360-1324890364.png	secondary	315	507	http://api.discogs.com/image/A-150-10360-1324890364.png
10360	http://api.discogs.com/image/A-10360-1324890376.png	secondary	382	409	http://api.discogs.com/image/A-150-10360-1324890376.png
10360	http://api.discogs.com/image/A-10360-1324890401.png	secondary	374	527	http://api.discogs.com/image/A-150-10360-1324890401.png
10360	http://api.discogs.com/image/A-10360-1324890418.png	secondary	196	493	http://api.discogs.com/image/A-150-10360-1324890418.png
10360	http://api.discogs.com/image/A-10360-1324890432.png	secondary	341	467	http://api.discogs.com/image/A-150-10360-1324890432.png
10360	http://api.discogs.com/image/A-10360-1324890488.png	secondary	373	480	http://api.discogs.com/image/A-150-10360-1324890488.png
11449	http://api.discogs.com/image/A-11449-1336071634.jpeg	primary	640	480	http://api.discogs.com/image/A-150-11449-1336071634.jpeg
11449	http://api.discogs.com/image/A-11449-1315429167.jpeg	secondary	432	445	http://api.discogs.com/image/A-150-11449-1315429167.jpeg
11449	http://api.discogs.com/image/A-11449-1315429189.jpeg	secondary	386	269	http://api.discogs.com/image/A-150-11449-1315429189.jpeg
11449	http://api.discogs.com/image/A-11449-1315429179.jpeg	secondary	400	300	http://api.discogs.com/image/A-150-11449-1315429179.jpeg
11449	http://api.discogs.com/image/A-11449-1230924139.jpeg	secondary	404	324	http://api.discogs.com/image/A-150-11449-1230924139.jpeg
11449	http://api.discogs.com/image/A-11449-1230924126.jpeg	secondary	250	165	http://api.discogs.com/image/A-150-11449-1230924126.jpeg
11449	http://api.discogs.com/image/A-11449-1265735020.jpeg	secondary	770	500	http://api.discogs.com/image/A-150-11449-1265735020.jpeg
11449	http://api.discogs.com/image/A-11449-1265735002.jpeg	secondary	401	400	http://api.discogs.com/image/A-150-11449-1265735002.jpeg
11449	http://api.discogs.com/image/A-11449-1336071993.jpeg	secondary	414	338	http://api.discogs.com/image/A-150-11449-1336071993.jpeg
11449	http://api.discogs.com/image/A-11449-1336072202.jpeg	secondary	307	240	http://api.discogs.com/image/A-150-11449-1336072202.jpeg
11617	http://api.discogs.com/image/A-11617-1350644313-1250.jpeg	primary	298	367	http://api.discogs.com/image/A-150-11617-1350644313-1250.jpeg
11617	http://api.discogs.com/image/A-11617-1123450864.jpg	secondary	524	399	http://api.discogs.com/image/A-150-11617-1123450864.jpg
11879	http://api.discogs.com/image/A-11879-1074867327.jpg	primary	300	275	http://api.discogs.com/image/A-150-11879-1074867327.jpg
11879	http://api.discogs.com/image/A-11879-1136335995.jpeg	secondary	400	250	http://api.discogs.com/image/A-150-11879-1136335995.jpeg
11879	http://api.discogs.com/image/A-11879-1141821401.jpeg	secondary	549	400	http://api.discogs.com/image/A-150-11879-1141821401.jpeg
11879	http://api.discogs.com/image/A-11879-1148558966.jpeg	secondary	320	248	http://api.discogs.com/image/A-150-11879-1148558966.jpeg
11879	http://api.discogs.com/image/A-11879-1286581474.jpeg	secondary	600	594	http://api.discogs.com/image/A-150-11879-1286581474.jpeg
11879	http://api.discogs.com/image/A-11879-1300023893.jpeg	secondary	600	432	http://api.discogs.com/image/A-150-11879-1300023893.jpeg
11879	http://api.discogs.com/image/A-11879-1148558977.jpeg	secondary	320	249	http://api.discogs.com/image/A-150-11879-1148558977.jpeg
11879	http://api.discogs.com/image/A-11879-1325141542.jpeg	secondary	656	468	http://api.discogs.com/image/A-150-11879-1325141542.jpeg
11879	http://api.discogs.com/image/A-11879-1348571973-7256.jpeg	secondary	577	450	http://api.discogs.com/image/A-150-11879-1348571973-7256.jpeg
11879	http://api.discogs.com/image/A-11879-1352323305-5914.jpeg	secondary	600	481	http://api.discogs.com/image/A-150-11879-1352323305-5914.jpeg
11879	http://api.discogs.com/image/A-11879-1352323312-6579.jpeg	secondary	482	600	http://api.discogs.com/image/A-150-11879-1352323312-6579.jpeg
11879	http://api.discogs.com/image/A-11879-1352323338-2551.jpeg	secondary	600	434	http://api.discogs.com/image/A-150-11879-1352323338-2551.jpeg
11879	http://api.discogs.com/image/A-11879-1352323357-7007.jpeg	secondary	600	480	http://api.discogs.com/image/A-150-11879-1352323357-7007.jpeg
11879	http://api.discogs.com/image/A-11879-1352323384-2634.jpeg	secondary	600	475	http://api.discogs.com/image/A-150-11879-1352323384-2634.jpeg
12206	http://api.discogs.com/image/A-12206-1297539174.jpeg	primary	292	153	http://api.discogs.com/image/A-150-12206-1297539174.jpeg
12206	http://api.discogs.com/image/A-12206-1126648247.jpeg	secondary	368	278	http://api.discogs.com/image/A-150-12206-1126648247.jpeg
12206	http://api.discogs.com/image/A-12206-1297539181.jpeg	secondary	292	200	http://api.discogs.com/image/A-150-12206-1297539181.jpeg
12343	http://api.discogs.com/image/A-12343-001.jpg	primary	284	400	http://api.discogs.com/image/A-150-12343-001.jpg
12343	http://api.discogs.com/image/A-12343-1083057817.jpg	secondary	162	124	http://api.discogs.com/image/A-150-12343-1083057817.jpg
12343	http://api.discogs.com/image/A-12343-1133755898.jpeg	secondary	400	217	http://api.discogs.com/image/A-150-12343-1133755898.jpeg
13227	http://api.discogs.com/image/A-13227-1327333688.jpeg	primary	400	300	http://api.discogs.com/image/A-150-13227-1327333688.jpeg
13407	http://api.discogs.com/image/A-13407-1082583772.jpg	primary	117	156	http://api.discogs.com/image/A-150-13407-1082583772.jpg
13407	http://api.discogs.com/image/A-13407-1119554360.jpg	secondary	600	450	http://api.discogs.com/image/A-150-13407-1119554360.jpg
14062	http://api.discogs.com/image/A-14062-1345452804-9336.jpeg	primary	342	591	http://api.discogs.com/image/A-150-14062-1345452804-9336.jpeg
15885	http://api.discogs.com/image/A-15885-1319450652.jpeg	primary	662	567	http://api.discogs.com/image/A-150-15885-1319450652.jpeg
15885	http://api.discogs.com/image/A-15885-1319450646.jpeg	secondary	731	567	http://api.discogs.com/image/A-150-15885-1319450646.jpeg
15885	http://api.discogs.com/image/A-15885-1100530929.jpg	secondary	340	430	http://api.discogs.com/image/A-150-15885-1100530929.jpg
15885	http://api.discogs.com/image/A-15885-1266129294.jpeg	secondary	601	400	http://api.discogs.com/image/A-150-15885-1266129294.jpeg
15885	http://api.discogs.com/image/A-15885-1246054038.jpeg	secondary	328	400	http://api.discogs.com/image/A-150-15885-1246054038.jpeg
15885	http://api.discogs.com/image/A-15885-1141252792.jpeg	secondary	762	600	http://api.discogs.com/image/A-150-15885-1141252792.jpeg
15885	http://api.discogs.com/image/A-15885-1100531000.jpg	secondary	320	262	http://api.discogs.com/image/A-150-15885-1100531000.jpg
15885	http://api.discogs.com/image/A-15885-1270341052.jpeg	secondary	687	548	http://api.discogs.com/image/A-150-15885-1270341052.jpeg
15885	http://api.discogs.com/image/A-15885-1265687593.jpeg	secondary	659	444	http://api.discogs.com/image/A-150-15885-1265687593.jpeg
15885	http://api.discogs.com/image/A-15885-1279551882.jpeg	secondary	369	370	http://api.discogs.com/image/A-150-15885-1279551882.jpeg
15885	http://api.discogs.com/image/A-15885-1246192426.jpeg	secondary	512	353	http://api.discogs.com/image/A-150-15885-1246192426.jpeg
15885	http://api.discogs.com/image/A-15885-1289884486.jpeg	secondary	600	597	http://api.discogs.com/image/A-150-15885-1289884486.jpeg
15885	http://api.discogs.com/image/A-15885-1279552040.jpeg	secondary	400	300	http://api.discogs.com/image/A-150-15885-1279552040.jpeg
15885	http://api.discogs.com/image/A-15885-1246976218.jpeg	secondary	220	324	http://api.discogs.com/image/A-150-15885-1246976218.jpeg
15885	http://api.discogs.com/image/A-15885-1253975028.jpeg	secondary	580	409	http://api.discogs.com/image/A-150-15885-1253975028.jpeg
15885	http://api.discogs.com/image/A-15885-1253971367.jpeg	secondary	480	319	http://api.discogs.com/image/A-150-15885-1253971367.jpeg
15885	http://api.discogs.com/image/A-15885-1253970913.jpeg	secondary	600	408	http://api.discogs.com/image/A-150-15885-1253970913.jpeg
15885	http://api.discogs.com/image/A-15885-1290878104.jpeg	secondary	725	580	http://api.discogs.com/image/A-150-15885-1290878104.jpeg
15885	http://api.discogs.com/image/A-15885-1100530953.jpg	secondary	315	250	http://api.discogs.com/image/A-150-15885-1100530953.jpg
15885	http://api.discogs.com/image/A-15885-1289884183.jpeg	secondary	772	459	http://api.discogs.com/image/A-150-15885-1289884183.jpeg
15885	http://api.discogs.com/image/A-15885-1288974619.png	secondary	396	594	http://api.discogs.com/image/A-150-15885-1288974619.png
15885	http://api.discogs.com/image/A-15885-1247736863.jpeg	secondary	623	396	http://api.discogs.com/image/A-150-15885-1247736863.jpeg
15885	http://api.discogs.com/image/A-15885-1246144172.jpeg	secondary	412	307	http://api.discogs.com/image/A-150-15885-1246144172.jpeg
15885	http://api.discogs.com/image/A-15885-1245984879.jpeg	secondary	450	371	http://api.discogs.com/image/A-150-15885-1245984879.jpeg
17110	http://api.discogs.com/image/A-17110-001.jpg	primary	143	210	http://api.discogs.com/image/A-150-17110-001.jpg
17110	http://api.discogs.com/image/A-17110-1117945014.jpg	secondary	199	184	http://api.discogs.com/image/A-150-17110-1117945014.jpg
17110	http://api.discogs.com/image/A-17110-1117945084.jpg	secondary	180	180	http://api.discogs.com/image/A-150-17110-1117945084.jpg
17110	http://api.discogs.com/image/A-17110-1117945123.jpg	secondary	183	200	http://api.discogs.com/image/A-150-17110-1117945123.jpg
17110	http://api.discogs.com/image/A-17110-1117945144.jpg	secondary	200	200	http://api.discogs.com/image/A-150-17110-1117945144.jpg
17110	http://api.discogs.com/image/A-17110-1117945177.jpg	secondary	360	200	http://api.discogs.com/image/A-150-17110-1117945177.jpg
17110	http://api.discogs.com/image/A-17110-1117945230.jpg	secondary	280	210	http://api.discogs.com/image/A-150-17110-1117945230.jpg
17456	http://api.discogs.com/image/A-17456-1269178654.jpeg	primary	400	600	http://api.discogs.com/image/A-150-17456-1269178654.jpeg
17456	http://api.discogs.com/image/A-17456-1177983075.jpeg	secondary	882	600	http://api.discogs.com/image/A-150-17456-1177983075.jpeg
18294	http://api.discogs.com/image/A-18294-1082850429.jpg	primary	118	150	http://api.discogs.com/image/A-150-18294-1082850429.jpg
18712	http://api.discogs.com/image/A-18712-001.jpg	primary	208	300	http://api.discogs.com/image/A-150-18712-001.jpg
18712	http://api.discogs.com/image/A-18712-1161894232.jpeg	secondary	260	400	http://api.discogs.com/image/A-150-18712-1161894232.jpeg
18956	http://api.discogs.com/image/A-18956-1316770441.jpeg	primary	897	600	http://api.discogs.com/image/A-150-18956-1316770441.jpeg
18956	http://api.discogs.com/image/A-18956-001.jpg	secondary	201	150	http://api.discogs.com/image/A-150-18956-001.jpg
18956	http://api.discogs.com/image/A-18956-1141342875.jpeg	secondary	595	473	http://api.discogs.com/image/A-150-18956-1141342875.jpeg
18956	http://api.discogs.com/image/A-18956-1141342937.jpeg	secondary	264	204	http://api.discogs.com/image/A-150-18956-1141342937.jpeg
18956	http://api.discogs.com/image/A-18956-1218620468.jpeg	secondary	300	264	http://api.discogs.com/image/A-150-18956-1218620468.jpeg
18956	http://api.discogs.com/image/A-18956-1099823680.jpg	secondary	198	217	http://api.discogs.com/image/A-150-18956-1099823680.jpg
18956	http://api.discogs.com/image/A-18956-1099823688.jpg	secondary	455	492	http://api.discogs.com/image/A-150-18956-1099823688.jpg
18956	http://api.discogs.com/image/A-18956-1141382911.jpeg	secondary	300	194	http://api.discogs.com/image/A-150-18956-1141382911.jpeg
18956	http://api.discogs.com/image/A-18956-1141383059.jpeg	secondary	449	400	http://api.discogs.com/image/A-150-18956-1141383059.jpeg
18956	http://api.discogs.com/image/A-18956-1316770409.jpeg	secondary	404	600	http://api.discogs.com/image/A-150-18956-1316770409.jpeg
18956	http://api.discogs.com/image/A-18956-1316770425.jpeg	secondary	797	600	http://api.discogs.com/image/A-150-18956-1316770425.jpeg
18956	http://api.discogs.com/image/A-18956-1316770452.jpeg	secondary	380	600	http://api.discogs.com/image/A-150-18956-1316770452.jpeg
18956	http://api.discogs.com/image/A-18956-1316770463.jpeg	secondary	651	432	http://api.discogs.com/image/A-150-18956-1316770463.jpeg
19674	http://api.discogs.com/image/A-19674-1336660286-7281.jpeg	primary	598	598	http://api.discogs.com/image/A-150-19674-1336660286-7281.jpeg
19674	http://api.discogs.com/image/A-19674-1223829087.jpeg	secondary	470	317	http://api.discogs.com/image/A-150-19674-1223829087.jpeg
19674	http://api.discogs.com/image/A-19674-001.jpg	secondary	350	323	http://api.discogs.com/image/A-150-19674-001.jpg
19674	http://api.discogs.com/image/A-19674-1083755910.jpg	secondary	209	200	http://api.discogs.com/image/A-150-19674-1083755910.jpg
19674	http://api.discogs.com/image/A-19674-1272547107.jpeg	secondary	250	150	http://api.discogs.com/image/A-150-19674-1272547107.jpeg
20337	http://api.discogs.com/image/A-r_20337-1078784683.jpg	primary	450	600	http://api.discogs.com/image/A-150-r_20337-1078784683.jpg
20337	http://api.discogs.com/image/A-20337-1080577540.jpg	secondary	250	175	http://api.discogs.com/image/A-150-20337-1080577540.jpg
20400	http://api.discogs.com/image/A-20400-001.jpg	primary	302	302	http://api.discogs.com/image/A-150-20400-001.jpg
20400	http://api.discogs.com/image/A-20400-1138024385.jpeg	secondary	250	175	http://api.discogs.com/image/A-150-20400-1138024385.jpeg
20400	http://api.discogs.com/image/A-20400-1138370734.jpeg	secondary	308	200	http://api.discogs.com/image/A-150-20400-1138370734.jpeg
20400	http://api.discogs.com/image/A-20400-1138370742.jpeg	secondary	300	400	http://api.discogs.com/image/A-150-20400-1138370742.jpeg
20662	http://api.discogs.com/image/A-20662-001.gif	secondary	194	292	http://api.discogs.com/image/A-150-20662-001.gif
20662	http://api.discogs.com/image/A-20662-1139587962.jpeg	primary	436	350	http://api.discogs.com/image/A-150-20662-1139587962.jpeg
20662	http://api.discogs.com/image/A-20662-1140220223.jpeg	secondary	300	200	http://api.discogs.com/image/A-150-20662-1140220223.jpeg
20662	http://api.discogs.com/image/A-20662-1140220248.jpeg	secondary	300	200	http://api.discogs.com/image/A-150-20662-1140220248.jpeg
20662	http://api.discogs.com/image/A-20662-1165115001.jpeg	secondary	443	590	http://api.discogs.com/image/A-150-20662-1165115001.jpeg
20917	http://api.discogs.com/image/A-20917-002.jpg	secondary	200	400	http://api.discogs.com/image/A-150-20917-002.jpg
21147	http://api.discogs.com/image/A-21147-001.jpg	primary	400	295	http://api.discogs.com/image/A-150-21147-001.jpg
21147	http://api.discogs.com/image/A-21147-1105515039.jpg	secondary	256	198	http://api.discogs.com/image/A-150-21147-1105515039.jpg
21147	http://api.discogs.com/image/A-21147-1105515082.jpg	secondary	515	375	http://api.discogs.com/image/A-150-21147-1105515082.jpg
21147	http://api.discogs.com/image/A-21147-1105515112.jpg	secondary	382	307	http://api.discogs.com/image/A-150-21147-1105515112.jpg
21147	http://api.discogs.com/image/A-21147-1148061312.jpeg	secondary	432	290	http://api.discogs.com/image/A-150-21147-1148061312.jpeg
21742	http://api.discogs.com/image/A-21742-1116836558.jpg	primary	445	350	http://api.discogs.com/image/A-150-21742-1116836558.jpg
21742	http://api.discogs.com/image/A-21742-1254900354.jpeg	secondary	600	398	http://api.discogs.com/image/A-150-21742-1254900354.jpeg
21742	http://api.discogs.com/image/A-21742-001.jpg	secondary	400	318	http://api.discogs.com/image/A-150-21742-001.jpg
21742	http://api.discogs.com/image/A-17898-001.jpg	secondary	180	376	http://api.discogs.com/image/A-150-17898-001.jpg
21742	http://api.discogs.com/image/A-21742-1116836437.jpg	secondary	253	235	http://api.discogs.com/image/A-150-21742-1116836437.jpg
21742	http://api.discogs.com/image/A-21742-1116836459.jpg	secondary	400	265	http://api.discogs.com/image/A-150-21742-1116836459.jpg
21742	http://api.discogs.com/image/A-21742-1116836511.jpg	secondary	350	300	http://api.discogs.com/image/A-150-21742-1116836511.jpg
21742	http://api.discogs.com/image/A-21742-1116836578.jpg	secondary	500	400	http://api.discogs.com/image/A-150-21742-1116836578.jpg
22660	http://api.discogs.com/image/A-22660-1304362281.jpeg	primary	600	430	http://api.discogs.com/image/A-150-22660-1304362281.jpeg
22757	http://api.discogs.com/image/A-22757-1320709657.jpeg	primary	833	600	http://api.discogs.com/image/A-150-22757-1320709657.jpeg
22757	http://api.discogs.com/image/A-22757-001.jpg	secondary	253	200	http://api.discogs.com/image/A-150-22757-001.jpg
22757	http://api.discogs.com/image/A-22757-1104168653.jpg	secondary	305	350	http://api.discogs.com/image/A-150-22757-1104168653.jpg
22757	http://api.discogs.com/image/A-22757-1152189586.jpeg	secondary	292	385	http://api.discogs.com/image/A-150-22757-1152189586.jpeg
23701	http://api.discogs.com/image/A-34507-1079625515.jpg	primary	100	100	http://api.discogs.com/image/A-150-34507-1079625515.jpg
23701	http://api.discogs.com/image/A-34507-1079625549.jpg	secondary	121	121	http://api.discogs.com/image/A-150-34507-1079625549.jpg
24394	http://api.discogs.com/image/A-24394-1236869849.jpeg	secondary	257	350	http://api.discogs.com/image/A-150-24394-1236869849.jpeg
24394	http://api.discogs.com/image/A-24394-1236869806.jpeg	secondary	480	480	http://api.discogs.com/image/A-150-24394-1236869806.jpeg
24394	http://api.discogs.com/image/A-24394-1236869448.jpeg	secondary	339	226	http://api.discogs.com/image/A-150-24394-1236869448.jpeg
24394	http://api.discogs.com/image/A-24394-1236869434.jpeg	secondary	339	509	http://api.discogs.com/image/A-150-24394-1236869434.jpeg
24394	http://api.discogs.com/image/A-24394-1236869229.jpeg	secondary	333	500	http://api.discogs.com/image/A-150-24394-1236869229.jpeg
24394	http://api.discogs.com/image/A-24394-1236869208.jpeg	secondary	480	320	http://api.discogs.com/image/A-150-24394-1236869208.jpeg
24394	http://api.discogs.com/image/A-24394-1236869171.jpeg	secondary	401	460	http://api.discogs.com/image/A-150-24394-1236869171.jpeg
24394	http://api.discogs.com/image/A-24394-1131863547.jpeg	primary	400	300	http://api.discogs.com/image/A-150-24394-1131863547.jpeg
24394	http://api.discogs.com/image/A-24394-001.jpg	secondary	216	330	http://api.discogs.com/image/A-150-24394-001.jpg
24394	http://api.discogs.com/image/A-24394-002.jpg	secondary	237	283	http://api.discogs.com/image/A-150-24394-002.jpg
24394	http://api.discogs.com/image/A-24394-1110831290.jpg	secondary	177	216	http://api.discogs.com/image/A-150-24394-1110831290.jpg
24394	http://api.discogs.com/image/A-24394-1124692518.jpg	secondary	616	591	http://api.discogs.com/image/A-150-24394-1124692518.jpg
24394	http://api.discogs.com/image/A-24394-1186575179.gif	secondary	400	600	http://api.discogs.com/image/A-150-24394-1186575179.gif
26010	http://api.discogs.com/image/A-26010-1109186394.jpg	secondary	150	150	http://api.discogs.com/image/A-150-26010-1109186394.jpg
26010	http://api.discogs.com/image/A-26010-1149076479.jpeg	secondary	260	168	http://api.discogs.com/image/A-150-26010-1149076479.jpeg
26695	http://api.discogs.com/image/A-26695-001.jpg	primary	225	300	http://api.discogs.com/image/A-150-26695-001.jpg
26936	http://api.discogs.com/image/A-26936-1106410055.jpg	secondary	400	300	http://api.discogs.com/image/A-150-26936-1106410055.jpg
27951	http://api.discogs.com/image/A-27951-1105865779.jpg	secondary	253	179	http://api.discogs.com/image/A-150-27951-1105865779.jpg
27951	http://api.discogs.com/image/A-27951-1142291395.jpeg	secondary	600	430	http://api.discogs.com/image/A-150-27951-1142291395.jpeg
27951	http://api.discogs.com/image/A-27951-1142635564.jpeg	secondary	180	150	http://api.discogs.com/image/A-150-27951-1142635564.jpeg
27951	http://api.discogs.com/image/A-27951-1147100067.jpeg	secondary	264	297	http://api.discogs.com/image/A-150-27951-1147100067.jpeg
28164	http://api.discogs.com/image/A-28164-1157645692.jpeg	secondary	334	500	http://api.discogs.com/image/A-150-28164-1157645692.jpeg
28164	http://api.discogs.com/image/A-28164-1157645699.jpeg	secondary	197	300	http://api.discogs.com/image/A-150-28164-1157645699.jpeg
28392	http://api.discogs.com/image/A-17455-001.jpg	primary	159	301	http://api.discogs.com/image/A-150-17455-001.jpg
28392	http://api.discogs.com/image/A-28392-001.jpg	primary	200	510	http://api.discogs.com/image/A-150-28392-001.jpg
28392	http://api.discogs.com/image/A-28392-1140822171.jpeg	secondary	117	186	http://api.discogs.com/image/A-150-28392-1140822171.jpeg
28521	http://api.discogs.com/image/A-28521-001.jpg	primary	180	150	http://api.discogs.com/image/A-150-28521-001.jpg
28521	http://api.discogs.com/image/A-28521-1085669143.jpg	secondary	224	300	http://api.discogs.com/image/A-150-28521-1085669143.jpg
28802	http://api.discogs.com/image/A-28802-1113233659.jpg	secondary	231	220	http://api.discogs.com/image/A-150-28802-1113233659.jpg
29225	http://api.discogs.com/image/A-29225-1111448627.jpg	secondary	198	361	http://api.discogs.com/image/A-150-29225-1111448627.jpg
29225	http://api.discogs.com/image/A-29225-1168448637.jpeg	secondary	222	300	http://api.discogs.com/image/A-150-29225-1168448637.jpeg
29225	http://api.discogs.com/image/A-29225-1168448663.jpeg	secondary	340	450	http://api.discogs.com/image/A-150-29225-1168448663.jpeg
29225	http://api.discogs.com/image/A-29225-1168448685.jpeg	secondary	198	540	http://api.discogs.com/image/A-150-29225-1168448685.jpeg
34220	http://api.discogs.com/image/A-34220-1103556418.jpg	secondary	165	158	http://api.discogs.com/image/A-150-34220-1103556418.jpg
34220	http://api.discogs.com/image/A-34220-1166378811.jpeg	secondary	328	360	http://api.discogs.com/image/A-150-34220-1166378811.jpeg
34220	http://api.discogs.com/image/A-34220-1166378930.jpeg	secondary	240	360	http://api.discogs.com/image/A-150-34220-1166378930.jpeg
34220	http://api.discogs.com/image/A-34220-1166378938.jpeg	secondary	450	341	http://api.discogs.com/image/A-150-34220-1166378938.jpeg
34854	http://api.discogs.com/image/A-34854-1111447605.jpg	secondary	253	175	http://api.discogs.com/image/A-150-34854-1111447605.jpg
35740	http://api.discogs.com/image/A-35740-1104594413.jpg	secondary	350	493	http://api.discogs.com/image/A-150-35740-1104594413.jpg
35740	http://api.discogs.com/image/A-35740-1104595680.jpg	secondary	201	200	http://api.discogs.com/image/A-150-35740-1104595680.jpg
36687	http://api.discogs.com/image/A-36687-1149503615.jpeg	secondary	479	372	http://api.discogs.com/image/A-150-36687-1149503615.jpeg
37365	http://api.discogs.com/image/A-37365-1223829230.jpeg	primary	470	332	http://api.discogs.com/image/A-150-37365-1223829230.jpeg
37365	http://api.discogs.com/image/A-37365-1223829217.jpeg	secondary	470	332	http://api.discogs.com/image/A-150-37365-1223829217.jpeg
37365	http://api.discogs.com/image/A-37365-1144652303.jpeg	secondary	243	295	http://api.discogs.com/image/A-150-37365-1144652303.jpeg
37365	http://api.discogs.com/image/A-37365-1116274644.jpg	secondary	580	386	http://api.discogs.com/image/A-150-37365-1116274644.jpg
37606	http://api.discogs.com/image/A-37606-1314694595.jpeg	primary	600	371	http://api.discogs.com/image/A-150-37606-1314694595.jpeg
37606	http://api.discogs.com/image/A-37606-1252238452.jpeg	secondary	500	410	http://api.discogs.com/image/A-150-37606-1252238452.jpeg
37606	http://api.discogs.com/image/A-37606-1141575786.jpeg	secondary	534	600	http://api.discogs.com/image/A-150-37606-1141575786.jpeg
37606	http://api.discogs.com/image/A-37606-1252238674.jpeg	secondary	400	266	http://api.discogs.com/image/A-150-37606-1252238674.jpeg
37606	http://api.discogs.com/image/A-37606-1252238468.jpeg	secondary	358	475	http://api.discogs.com/image/A-150-37606-1252238468.jpeg
37606	http://api.discogs.com/image/A-37606-1314694587.jpeg	secondary	389	272	http://api.discogs.com/image/A-150-37606-1314694587.jpeg
40135	http://api.discogs.com/image/A-40135-1358925536-9983.jpeg	primary	600	600	http://api.discogs.com/image/A-150-40135-1358925536-9983.jpeg
40135	http://api.discogs.com/image/A-40135-1287932673.jpeg	secondary	455	412	http://api.discogs.com/image/A-150-40135-1287932673.jpeg
40135	http://api.discogs.com/image/A-40135-1099407210.jpg	secondary	203	135	http://api.discogs.com/image/A-150-40135-1099407210.jpg
40135	http://api.discogs.com/image/A-40135-1104412950.jpg	secondary	600	406	http://api.discogs.com/image/A-150-40135-1104412950.jpg
40135	http://api.discogs.com/image/A-40135-1167696737.jpeg	secondary	255	150	http://api.discogs.com/image/A-150-40135-1167696737.jpeg
40135	http://api.discogs.com/image/A-40135-1287932666.jpeg	secondary	256	400	http://api.discogs.com/image/A-150-40135-1287932666.jpeg
40135	http://api.discogs.com/image/A-40135-1287932699.jpeg	secondary	797	537	http://api.discogs.com/image/A-150-40135-1287932699.jpeg
40135	http://api.discogs.com/image/A-40135-1358925544-9398.jpeg	secondary	796	581	http://api.discogs.com/image/A-150-40135-1358925544-9398.jpeg
40135	http://api.discogs.com/image/A-40135-1358925554-2869.jpeg	secondary	411	600	http://api.discogs.com/image/A-150-40135-1358925554-2869.jpeg
40135	http://api.discogs.com/image/A-40135-1358925563-5581.jpeg	secondary	411	600	http://api.discogs.com/image/A-150-40135-1358925563-5581.jpeg
40135	http://api.discogs.com/image/A-40135-1361905469-5844.jpeg	secondary	340	600	http://api.discogs.com/image/A-150-40135-1361905469-5844.jpeg
48432	http://api.discogs.com/image/A-48432-1280326357.jpeg	primary	629	310	http://api.discogs.com/image/A-150-48432-1280326357.jpeg
48432	http://api.discogs.com/image/A-48432-1084185708.jpg	secondary	227	200	http://api.discogs.com/image/A-150-48432-1084185708.jpg
48432	http://api.discogs.com/image/A-48432-1104164655.jpg	secondary	295	291	http://api.discogs.com/image/A-150-48432-1104164655.jpg
48432	http://api.discogs.com/image/A-48432-1178846458.jpeg	secondary	348	322	http://api.discogs.com/image/A-150-48432-1178846458.jpeg
48432	http://api.discogs.com/image/A-48432-1178846558.gif	secondary	403	283	http://api.discogs.com/image/A-150-48432-1178846558.gif
50872	http://api.discogs.com/image/A-50872-1129073427.jpeg	secondary	359	600	http://api.discogs.com/image/A-150-50872-1129073427.jpeg
55439	http://api.discogs.com/image/A-55439-1084717896.jpg	primary	227	340	http://api.discogs.com/image/A-150-55439-1084717896.jpg
56677	http://api.discogs.com/image/A-56677-1300907651.gif	primary	286	294	http://api.discogs.com/image/A-150-56677-1300907651.gif
56678	http://api.discogs.com/image/A-56678-1079102892.bmp	primary	230	170	http://api.discogs.com/image/A-150-56678-1079102892.bmp
56678	http://api.discogs.com/image/A-56678-1294824730.jpeg	secondary	500	491	http://api.discogs.com/image/A-150-56678-1294824730.jpeg
56680	http://api.discogs.com/image/A-56680-1122130307.jpg	secondary	178	200	http://api.discogs.com/image/A-150-56680-1122130307.jpg
56838	http://api.discogs.com/image/A-56838-1105866008.jpg	secondary	394	246	http://api.discogs.com/image/A-150-56838-1105866008.jpg
56838	http://api.discogs.com/image/A-56838-1105866080.jpg	secondary	320	240	http://api.discogs.com/image/A-150-56838-1105866080.jpg
56851	http://api.discogs.com/image/A-56851-1135221589.jpeg	secondary	300	300	http://api.discogs.com/image/A-150-56851-1135221589.jpeg
56851	http://api.discogs.com/image/A-56851-1165338352.jpeg	primary	330	200	http://api.discogs.com/image/A-150-56851-1165338352.jpeg
64774	http://api.discogs.com/image/A-64774-001.jpg	primary	180	180	http://api.discogs.com/image/A-150-64774-001.jpg
66253	http://api.discogs.com/image/A-66253-1319449594.jpeg	primary	562	567	http://api.discogs.com/image/A-150-66253-1319449594.jpeg
66253	http://api.discogs.com/image/A-66253-1319449580.jpeg	secondary	573	567	http://api.discogs.com/image/A-150-66253-1319449580.jpeg
66253	http://api.discogs.com/image/A-66253-1142045253.jpeg	secondary	482	599	http://api.discogs.com/image/A-150-66253-1142045253.jpeg
66253	http://api.discogs.com/image/A-66253-1319449572.jpeg	secondary	563	567	http://api.discogs.com/image/A-150-66253-1319449572.jpeg
66253	http://api.discogs.com/image/A-66253-1319449566.jpeg	secondary	568	567	http://api.discogs.com/image/A-150-66253-1319449566.jpeg
66253	http://api.discogs.com/image/A-66253-1319449587.jpeg	secondary	599	567	http://api.discogs.com/image/A-150-66253-1319449587.jpeg
66817	http://api.discogs.com/image/A-66817-1086786558.gif	primary	300	300	http://api.discogs.com/image/A-150-66817-1086786558.gif
66817	http://api.discogs.com/image/A-66817-1246871677.jpeg	secondary	431	600	http://api.discogs.com/image/A-150-66817-1246871677.jpeg
66817	http://api.discogs.com/image/A-66817-1086786537.gif	secondary	300	300	http://api.discogs.com/image/A-150-66817-1086786537.gif
66852	http://api.discogs.com/image/A-66852-1234747798.jpeg	primary	582	600	http://api.discogs.com/image/A-150-66852-1234747798.jpeg
66852	http://api.discogs.com/image/A-66852-001.jpg	secondary	271	390	http://api.discogs.com/image/A-150-66852-001.jpg
66852	http://api.discogs.com/image/A-66852-002.jpg	secondary	275	288	http://api.discogs.com/image/A-150-66852-002.jpg
66852	http://api.discogs.com/image/A-66852-1115732116.jpg	secondary	489	360	http://api.discogs.com/image/A-150-66852-1115732116.jpg
66852	http://api.discogs.com/image/A-66852-1115732134.jpg	secondary	446	375	http://api.discogs.com/image/A-150-66852-1115732134.jpg
66852	http://api.discogs.com/image/A-66852-1115732150.jpg	secondary	379	506	http://api.discogs.com/image/A-150-66852-1115732150.jpg
66852	http://api.discogs.com/image/A-66852-1196871755.jpeg	secondary	300	229	http://api.discogs.com/image/A-150-66852-1196871755.jpeg
70735	http://api.discogs.com/image/A-70735-1320063099.jpeg	primary	464	567	http://api.discogs.com/image/A-150-70735-1320063099.jpeg
70735	http://api.discogs.com/image/A-70735-1234523349.jpeg	secondary	649	600	http://api.discogs.com/image/A-150-70735-1234523349.jpeg
70735	http://api.discogs.com/image/A-70735-1320063093.jpeg	secondary	359	567	http://api.discogs.com/image/A-150-70735-1320063093.jpeg
70735	http://api.discogs.com/image/A-70735-1320063064.jpeg	secondary	498	567	http://api.discogs.com/image/A-150-70735-1320063064.jpeg
70735	http://api.discogs.com/image/A-70735-1320063085.jpeg	secondary	653	567	http://api.discogs.com/image/A-150-70735-1320063085.jpeg
70735	http://api.discogs.com/image/A-70735-1122728329.jpg	secondary	325	600	http://api.discogs.com/image/A-150-70735-1122728329.jpg
70735	http://api.discogs.com/image/A-70735-1293634995.jpeg	secondary	283	319	http://api.discogs.com/image/A-150-70735-1293634995.jpeg
70735	http://api.discogs.com/image/A-70735-1293635010.jpeg	secondary	509	500	http://api.discogs.com/image/A-150-70735-1293635010.jpeg
70735	http://api.discogs.com/image/A-70735-001.jpg	secondary	152	150	http://api.discogs.com/image/A-150-70735-001.jpg
70735	http://api.discogs.com/image/A-70735-1122728377.jpg	secondary	394	500	http://api.discogs.com/image/A-150-70735-1122728377.jpg
70735	http://api.discogs.com/image/A-70735-1191504271.jpeg	secondary	137	400	http://api.discogs.com/image/A-150-70735-1191504271.jpeg
72881	http://api.discogs.com/image/A-72881-001.jpg	primary	300	300	http://api.discogs.com/image/A-150-72881-001.jpg
72881	http://api.discogs.com/image/A-72881-1083654678.jpg	secondary	350	260	http://api.discogs.com/image/A-150-72881-1083654678.jpg
72881	http://api.discogs.com/image/A-72881-1307630677.png	secondary	196	180	http://api.discogs.com/image/A-150-72881-1307630677.png
72881	http://api.discogs.com/image/A-72881-1307630652.png	secondary	198	183	http://api.discogs.com/image/A-150-72881-1307630652.png
73328	http://api.discogs.com/image/A-73328-1338062353-5342.jpeg	primary	450	600	http://api.discogs.com/image/A-150-73328-1338062353-5342.jpeg
73328	http://api.discogs.com/image/A-73328-1244182027.jpeg	secondary	899	600	http://api.discogs.com/image/A-150-73328-1244182027.jpeg
73328	http://api.discogs.com/image/A-73328-1244182043.jpeg	secondary	853	600	http://api.discogs.com/image/A-150-73328-1244182043.jpeg
73328	http://api.discogs.com/image/A-73328-1244182071.jpeg	secondary	821	600	http://api.discogs.com/image/A-150-73328-1244182071.jpeg
73328	http://api.discogs.com/image/A-73328-1244182079.jpeg	secondary	817	600	http://api.discogs.com/image/A-150-73328-1244182079.jpeg
73328	http://api.discogs.com/image/A-73328-1244182536.jpeg	secondary	826	600	http://api.discogs.com/image/A-150-73328-1244182536.jpeg
73328	http://api.discogs.com/image/A-73328-1244182542.jpeg	secondary	798	600	http://api.discogs.com/image/A-150-73328-1244182542.jpeg
73465	http://api.discogs.com/image/A-73465-1105419102.jpg	secondary	198	300	http://api.discogs.com/image/A-150-73465-1105419102.jpg
73465	http://api.discogs.com/image/A-73465-1107824514.jpg	secondary	195	300	http://api.discogs.com/image/A-150-73465-1107824514.jpg
73538	http://api.discogs.com/image/A-73538-1198017676.jpeg	primary	305	296	http://api.discogs.com/image/A-150-73538-1198017676.jpeg
73538	http://api.discogs.com/image/A-73538-1293620648.jpeg	secondary	397	375	http://api.discogs.com/image/A-150-73538-1293620648.jpeg
79791	http://api.discogs.com/image/A-79791-1101039883.jpg	secondary	307	405	http://api.discogs.com/image/A-150-79791-1101039883.jpg
79791	http://api.discogs.com/image/A-79791-1134420242.jpeg	secondary	197	143	http://api.discogs.com/image/A-150-79791-1134420242.jpeg
82375	http://api.discogs.com/image/A-82375-1198017468.jpeg	secondary	500	567	http://api.discogs.com/image/A-150-82375-1198017468.jpeg
85728	http://api.discogs.com/image/A-85728-1313335400.jpeg	primary	225	300	http://api.discogs.com/image/A-150-85728-1313335400.jpeg
90037	http://api.discogs.com/image/A-90037-1250152780.png	primary	600	600	http://api.discogs.com/image/A-150-90037-1250152780.png
90037	http://api.discogs.com/image/A-90037-1093213396.gif	secondary	306	300	http://api.discogs.com/image/A-150-90037-1093213396.gif
90037	http://api.discogs.com/image/A-90037-1114976765.jpg	secondary	534	400	http://api.discogs.com/image/A-150-90037-1114976765.jpg
92225	http://api.discogs.com/image/A-92225-1117057917.jpg	primary	325	450	http://api.discogs.com/image/A-150-92225-1117057917.jpg
92225	http://api.discogs.com/image/A-92225-1295265258.jpeg	secondary	418	429	http://api.discogs.com/image/A-150-92225-1295265258.jpeg
96598	http://api.discogs.com/image/A-96598-1110754399.jpg	secondary	338	450	http://api.discogs.com/image/A-150-96598-1110754399.jpg
99630	http://api.discogs.com/image/A-99630-1210861636.jpeg	primary	333	437	http://api.discogs.com/image/A-150-99630-1210861636.jpeg
105902	http://api.discogs.com/image/A-105902-1126376001.jpeg	secondary	600	530	http://api.discogs.com/image/A-150-105902-1126376001.jpeg
132121	http://api.discogs.com/image/A-132121-1134339294.jpeg	secondary	250	175	http://api.discogs.com/image/A-150-132121-1134339294.jpeg
132122	http://api.discogs.com/image/A-132122-1117313726.jpg	secondary	375	346	http://api.discogs.com/image/A-150-132122-1117313726.jpg
132122	http://api.discogs.com/image/A-132122-1117313740.jpg	secondary	600	598	http://api.discogs.com/image/A-150-132122-1117313740.jpg
142724	http://api.discogs.com/image/A-142724-1317752002.jpeg	primary	198	230	http://api.discogs.com/image/A-150-142724-1317752002.jpeg
143799	http://api.discogs.com/image/A-143799-1081052155.jpg	secondary	250	187	http://api.discogs.com/image/A-150-143799-1081052155.jpg
145257	http://api.discogs.com/image/A-145257-1106935097.jpg	primary	300	250	http://api.discogs.com/image/A-150-145257-1106935097.jpg
145257	http://api.discogs.com/image/A-145257-1083850138.jpg	secondary	137	200	http://api.discogs.com/image/A-150-145257-1083850138.jpg
145257	http://api.discogs.com/image/A-145257-1106935103.jpg	secondary	316	400	http://api.discogs.com/image/A-150-145257-1106935103.jpg
145257	http://api.discogs.com/image/A-145257-1106935111.jpg	secondary	480	404	http://api.discogs.com/image/A-150-145257-1106935111.jpg
145257	http://api.discogs.com/image/A-145257-1127708869.jpeg	secondary	500	477	http://api.discogs.com/image/A-150-145257-1127708869.jpeg
145257	http://api.discogs.com/image/A-145257-1351083733-5835.jpeg	secondary	300	215	http://api.discogs.com/image/A-150-145257-1351083733-5835.jpeg
145257	http://api.discogs.com/image/A-145257-1352141350-8754.jpeg	secondary	600	474	http://api.discogs.com/image/A-150-145257-1352141350-8754.jpeg
145272	http://api.discogs.com/image/A-145272-1107024201.gif	secondary	254	230	http://api.discogs.com/image/A-150-145272-1107024201.gif
145272	http://api.discogs.com/image/A-145272-1107851582.jpg	secondary	217	200	http://api.discogs.com/image/A-150-145272-1107851582.jpg
145272	http://api.discogs.com/image/A-145272-1107851597.jpg	secondary	279	200	http://api.discogs.com/image/A-150-145272-1107851597.jpg
145272	http://api.discogs.com/image/A-145272-1107851608.jpg	secondary	303	200	http://api.discogs.com/image/A-150-145272-1107851608.jpg
145272	http://api.discogs.com/image/A-145272-1110501840.jpg	secondary	400	281	http://api.discogs.com/image/A-150-145272-1110501840.jpg
147064	http://api.discogs.com/image/A-147064-1273022679.jpeg	primary	191	219	http://api.discogs.com/image/A-150-147064-1273022679.jpeg
158576	http://api.discogs.com/image/A-158576-1154019501.jpeg	secondary	401	600	http://api.discogs.com/image/A-150-158576-1154019501.jpeg
163549	http://api.discogs.com/image/A-163549-1208984750.jpeg	primary	560	487	http://api.discogs.com/image/A-150-163549-1208984750.jpeg
163549	http://api.discogs.com/image/A-163549-1076791632.jpg	secondary	291	400	http://api.discogs.com/image/A-150-163549-1076791632.jpg
163549	http://api.discogs.com/image/A-163549-1079964868.jpg	secondary	297	400	http://api.discogs.com/image/A-150-163549-1079964868.jpg
167055	http://api.discogs.com/image/A-167055-1097743025.jpg	secondary	553	543	http://api.discogs.com/image/A-150-167055-1097743025.jpg
167055	http://api.discogs.com/image/A-167055-1104867479.jpg	secondary	200	200	http://api.discogs.com/image/A-150-167055-1104867479.jpg
167055	http://api.discogs.com/image/A-167055-1111434357.jpg	secondary	539	580	http://api.discogs.com/image/A-150-167055-1111434357.jpg
167055	http://api.discogs.com/image/A-167055-1127363699.jpeg	secondary	353	500	http://api.discogs.com/image/A-150-167055-1127363699.jpeg
181208	http://api.discogs.com/image/A-181208-1280823435.jpeg	primary	262	380	http://api.discogs.com/image/A-150-181208-1280823435.jpeg
182289	http://api.discogs.com/image/A-182289-1083329287.jpg	secondary	146	191	http://api.discogs.com/image/A-150-182289-1083329287.jpg
182289	http://api.discogs.com/image/A-182289-1184253079.jpeg	secondary	600	394	http://api.discogs.com/image/A-150-182289-1184253079.jpeg
191242	http://api.discogs.com/image/A-191242-1281962443.jpeg	primary	720	460	http://api.discogs.com/image/A-150-191242-1281962443.jpeg
191242	http://api.discogs.com/image/A-191242-1249572856.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-191242-1249572856.jpeg
191242	http://api.discogs.com/image/A-191242-1215265493.jpeg	secondary	675	492	http://api.discogs.com/image/A-150-191242-1215265493.jpeg
191242	http://api.discogs.com/image/A-191242-1249572987.jpeg	secondary	600	600	http://api.discogs.com/image/A-150-191242-1249572987.jpeg
191242	http://api.discogs.com/image/A-191242-1215265540.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-191242-1215265540.jpeg
191242	http://api.discogs.com/image/A-191242-1093983369.jpg	secondary	300	375	http://api.discogs.com/image/A-150-191242-1093983369.jpg
191242	http://api.discogs.com/image/A-191242-1093983391.jpg	secondary	300	375	http://api.discogs.com/image/A-150-191242-1093983391.jpg
192632	http://api.discogs.com/image/A-192632-1250486842.jpeg	primary	192	170	http://api.discogs.com/image/A-150-192632-1250486842.jpeg
192789	http://api.discogs.com/image/A-192789-1286042366.jpeg	primary	600	272	http://api.discogs.com/image/A-150-192789-1286042366.jpeg
194667	http://api.discogs.com/image/A-194667-1274934334.jpeg	primary	600	474	http://api.discogs.com/image/A-150-194667-1274934334.jpeg
194667	http://api.discogs.com/image/A-194667-1278286236.jpeg	secondary	519	332	http://api.discogs.com/image/A-150-194667-1278286236.jpeg
194667	http://api.discogs.com/image/A-2679-001.jpg	secondary	342	264	http://api.discogs.com/image/A-150-2679-001.jpg
194667	http://api.discogs.com/image/A-2679-1079213229.jpg	secondary	156	144	http://api.discogs.com/image/A-150-2679-1079213229.jpg
194667	http://api.discogs.com/image/A-2679-1085669115.jpg	secondary	197	300	http://api.discogs.com/image/A-150-2679-1085669115.jpg
194667	http://api.discogs.com/image/A-194667-1204907208.jpeg	secondary	639	378	http://api.discogs.com/image/A-150-194667-1204907208.jpeg
194667	http://api.discogs.com/image/A-194667-1274934328.jpeg	secondary	448	521	http://api.discogs.com/image/A-150-194667-1274934328.jpeg
200785	http://api.discogs.com/image/A-200785-1133901291.jpeg	primary	250	250	http://api.discogs.com/image/A-150-200785-1133901291.jpeg
200785	http://api.discogs.com/image/A-200785-1273957384.jpeg	secondary	496	490	http://api.discogs.com/image/A-150-200785-1273957384.jpeg
200815	http://api.discogs.com/image/A-200815-1322992708.jpeg	primary	524	500	http://api.discogs.com/image/A-150-200815-1322992708.jpeg
200815	http://api.discogs.com/image/A-200815-1357906250-3116.jpeg	secondary	600	499	http://api.discogs.com/image/A-150-200815-1357906250-3116.jpeg
200815	http://api.discogs.com/image/A-200815-1281949542.jpeg	secondary	600	411	http://api.discogs.com/image/A-150-200815-1281949542.jpeg
200815	http://api.discogs.com/image/A-200815-1105158636.jpg	secondary	225	180	http://api.discogs.com/image/A-150-200815-1105158636.jpg
200815	http://api.discogs.com/image/A-200815-1107624921.jpg	secondary	194	200	http://api.discogs.com/image/A-150-200815-1107624921.jpg
200815	http://api.discogs.com/image/A-200815-1107624929.jpg	secondary	132	200	http://api.discogs.com/image/A-150-200815-1107624929.jpg
200815	http://api.discogs.com/image/A-200815-1131598435.jpeg	secondary	500	359	http://api.discogs.com/image/A-150-200815-1131598435.jpeg
200815	http://api.discogs.com/image/A-200815-1295790632.png	secondary	314	362	http://api.discogs.com/image/A-150-200815-1295790632.png
203532	http://api.discogs.com/image/A-203532-1122724605.jpg	secondary	649	464	http://api.discogs.com/image/A-150-203532-1122724605.jpg
209284	http://api.discogs.com/image/A-209284-1125216933.gif	secondary	213	250	http://api.discogs.com/image/A-150-209284-1125216933.gif
209415	http://api.discogs.com/image/A-209415-1330003527.jpeg	primary	599	507	http://api.discogs.com/image/A-150-209415-1330003527.jpeg
209415	http://api.discogs.com/image/A-209415-1328473159.jpeg	secondary	314	312	http://api.discogs.com/image/A-150-209415-1328473159.jpeg
209415	http://api.discogs.com/image/A-209415-1145050637.jpeg	secondary	381	542	http://api.discogs.com/image/A-150-209415-1145050637.jpeg
209415	http://api.discogs.com/image/A-13600-1079133884.jpg	secondary	289	309	http://api.discogs.com/image/A-150-13600-1079133884.jpg
209415	http://api.discogs.com/image/A-13600-001.jpg	secondary	165	228	http://api.discogs.com/image/A-150-13600-001.jpg
209415	http://api.discogs.com/image/A-13600-1079133846.jpg	secondary	208	200	http://api.discogs.com/image/A-150-13600-1079133846.jpg
209415	http://api.discogs.com/image/A-13600-1079133856.jpg	secondary	381	300	http://api.discogs.com/image/A-150-13600-1079133856.jpg
209415	http://api.discogs.com/image/A-13600-1079133865.jpg	secondary	349	300	http://api.discogs.com/image/A-150-13600-1079133865.jpg
209415	http://api.discogs.com/image/A-13600-1079133872.jpg	secondary	191	300	http://api.discogs.com/image/A-150-13600-1079133872.jpg
209415	http://api.discogs.com/image/A-13600-1079133878.jpg	secondary	224	150	http://api.discogs.com/image/A-150-13600-1079133878.jpg
209415	http://api.discogs.com/image/A-209415-1201003534.jpeg	secondary	421	600	http://api.discogs.com/image/A-150-209415-1201003534.jpeg
210518	http://api.discogs.com/image/A-210518-1218444526.jpeg	primary	375	250	http://api.discogs.com/image/A-150-210518-1218444526.jpeg
210518	http://api.discogs.com/image/A-210518-1218444532.jpeg	secondary	500	335	http://api.discogs.com/image/A-150-210518-1218444532.jpeg
210518	http://api.discogs.com/image/A-210518-1218444541.jpeg	secondary	500	333	http://api.discogs.com/image/A-150-210518-1218444541.jpeg
213079	http://api.discogs.com/image/A-213079-1110754378.jpg	secondary	341	329	http://api.discogs.com/image/A-150-213079-1110754378.jpg
214761	http://api.discogs.com/image/A-214761-1141349405.jpeg	secondary	232	300	http://api.discogs.com/image/A-150-214761-1141349405.jpeg
214762	http://api.discogs.com/image/A-214762-1279527154.jpeg	primary	600	600	http://api.discogs.com/image/A-150-214762-1279527154.jpeg
217242	http://api.discogs.com/image/A-217242-1345070056-9148.jpeg	primary	550	548	http://api.discogs.com/image/A-150-217242-1345070056-9148.jpeg
217242	http://api.discogs.com/image/A-217242-1108584227.jpg	secondary	216	200	http://api.discogs.com/image/A-150-217242-1108584227.jpg
217242	http://api.discogs.com/image/A-217242-1108584352.jpg	secondary	341	200	http://api.discogs.com/image/A-150-217242-1108584352.jpg
217242	http://api.discogs.com/image/A-217242-1113942289.jpg	secondary	350	215	http://api.discogs.com/image/A-150-217242-1113942289.jpg
217242	http://api.discogs.com/image/A-217242-1131598524.jpeg	secondary	368	500	http://api.discogs.com/image/A-150-217242-1131598524.jpeg
225533	http://api.discogs.com/image/A-225533-1360095245-8711.jpeg	primary	300	400	http://api.discogs.com/image/A-150-225533-1360095245-8711.jpeg
225533	http://api.discogs.com/image/A-225533-1335946770.jpeg	secondary	604	402	http://api.discogs.com/image/A-150-225533-1335946770.jpeg
227461	http://api.discogs.com/image/A-227461-1126033856.jpeg	secondary	551	350	http://api.discogs.com/image/A-150-227461-1126033856.jpeg
229071	http://api.discogs.com/image/A-229071-1228339608.jpeg	primary	468	468	http://api.discogs.com/image/A-150-229071-1228339608.jpeg
229071	http://api.discogs.com/image/A-229071-1125739585.jpeg	secondary	421	397	http://api.discogs.com/image/A-150-229071-1125739585.jpeg
230694	http://api.discogs.com/image/A-230694-1324279791.jpeg	primary	298	300	http://api.discogs.com/image/A-150-230694-1324279791.jpeg
230694	http://api.discogs.com/image/A-230694-1261937619.jpeg	secondary	300	450	http://api.discogs.com/image/A-150-230694-1261937619.jpeg
230694	http://api.discogs.com/image/A-230694-1105989579.jpg	secondary	205	197	http://api.discogs.com/image/A-150-230694-1105989579.jpg
235050	http://api.discogs.com/image/A-235050-1110754387.jpg	secondary	338	304	http://api.discogs.com/image/A-150-235050-1110754387.jpg
244688	http://api.discogs.com/image/A-244688-1102792100.jpg	secondary	235	170	http://api.discogs.com/image/A-150-244688-1102792100.jpg
244688	http://api.discogs.com/image/A-244688-1102792133.jpg	secondary	300	400	http://api.discogs.com/image/A-150-244688-1102792133.jpg
244688	http://api.discogs.com/image/A-244688-1102792185.jpg	secondary	289	400	http://api.discogs.com/image/A-150-244688-1102792185.jpg
244688	http://api.discogs.com/image/A-244688-1102792233.gif	secondary	279	299	http://api.discogs.com/image/A-150-244688-1102792233.gif
247725	http://api.discogs.com/image/A-247725-1291206512.jpeg	primary	426	333	http://api.discogs.com/image/A-150-247725-1291206512.jpeg
247725	http://api.discogs.com/image/A-247725-1149590294.jpeg	secondary	239	180	http://api.discogs.com/image/A-150-247725-1149590294.jpeg
247726	http://api.discogs.com/image/A-247726-1191505470.jpeg	primary	252	178	http://api.discogs.com/image/A-150-247726-1191505470.jpeg
247726	http://api.discogs.com/image/A-247726-1145635208.jpeg	secondary	195	225	http://api.discogs.com/image/A-150-247726-1145635208.jpeg
247726	http://api.discogs.com/image/A-247726-1191505520.jpeg	secondary	312	333	http://api.discogs.com/image/A-150-247726-1191505520.jpeg
252197	http://api.discogs.com/image/A-252197-1126173179.jpeg	secondary	350	233	http://api.discogs.com/image/A-150-252197-1126173179.jpeg
252606	http://api.discogs.com/image/A-252606-1326828352.jpeg	primary	405	300	http://api.discogs.com/image/A-150-252606-1326828352.jpeg
252606	http://api.discogs.com/image/A-252606-1238324452.jpeg	secondary	271	225	http://api.discogs.com/image/A-150-252606-1238324452.jpeg
252607	http://api.discogs.com/image/A-274985-1115121597.jpg	primary	348	390	http://api.discogs.com/image/A-150-274985-1115121597.jpg
252607	http://api.discogs.com/image/A-252607-1118757707.jpg	secondary	341	500	http://api.discogs.com/image/A-150-252607-1118757707.jpg
252607	http://api.discogs.com/image/A-252607-1316419725.jpeg	secondary	812	400	http://api.discogs.com/image/A-150-252607-1316419725.jpeg
253066	http://api.discogs.com/image/A-253066-1118757769.jpg	primary	350	356	http://api.discogs.com/image/A-150-253066-1118757769.jpg
253066	http://api.discogs.com/image/A-253066-1316419655.jpeg	secondary	807	400	http://api.discogs.com/image/A-150-253066-1316419655.jpeg
253339	http://api.discogs.com/image/A-253339-1121500889.jpg	secondary	593	500	http://api.discogs.com/image/A-150-253339-1121500889.jpg
255243	http://api.discogs.com/image/A-255243-1147098870.jpeg	secondary	186	205	http://api.discogs.com/image/A-150-255243-1147098870.jpeg
255243	http://api.discogs.com/image/A-255243-1147098874.jpeg	secondary	360	480	http://api.discogs.com/image/A-150-255243-1147098874.jpeg
255280	http://api.discogs.com/image/A-255280-1142022362.jpeg	secondary	225	200	http://api.discogs.com/image/A-150-255280-1142022362.jpeg
256582	http://api.discogs.com/image/A-256582-1107431654.jpg	secondary	140	100	http://api.discogs.com/image/A-150-256582-1107431654.jpg
257008	http://api.discogs.com/image/A-257008-1113549907.jpg	secondary	148	200	http://api.discogs.com/image/A-150-257008-1113549907.jpg
258968	http://api.discogs.com/image/A-258968-1292611195.jpeg	secondary	387	600	http://api.discogs.com/image/A-150-258968-1292611195.jpeg
258968	http://api.discogs.com/image/A-258968-1292611199.jpeg	primary	387	600	http://api.discogs.com/image/A-150-258968-1292611199.jpeg
258968	http://api.discogs.com/image/A-258968-1292611152.jpeg	secondary	324	460	http://api.discogs.com/image/A-150-258968-1292611152.jpeg
258968	http://api.discogs.com/image/A-258968-1292611137.jpeg	secondary	400	350	http://api.discogs.com/image/A-150-258968-1292611137.jpeg
258968	http://api.discogs.com/image/A-258968-1289754596.jpeg	secondary	519	188	http://api.discogs.com/image/A-150-258968-1289754596.jpeg
260056	http://api.discogs.com/image/A-260056-1118620106.jpg	secondary	451	316	http://api.discogs.com/image/A-150-260056-1118620106.jpg
260577	http://api.discogs.com/image/A-260577-1338459655-5500.jpeg	primary	321	400	http://api.discogs.com/image/A-150-260577-1338459655-5500.jpeg
260718	http://api.discogs.com/image/A-260718-1307877840.jpeg	primary	256	151	http://api.discogs.com/image/A-150-260718-1307877840.jpeg
274221	http://api.discogs.com/image/A-274221-1193778875.jpeg	secondary	284	238	http://api.discogs.com/image/A-150-274221-1193778875.jpeg
274978	http://api.discogs.com/image/A-274978-1168356842.jpeg	primary	360	234	http://api.discogs.com/image/A-150-274978-1168356842.jpeg
274978	http://api.discogs.com/image/A-274978-1332958430.jpeg	secondary	165	220	http://api.discogs.com/image/A-150-274978-1332958430.jpeg
274979	http://api.discogs.com/image/A-274979-1115205722.jpg	secondary	326	500	http://api.discogs.com/image/A-150-274979-1115205722.jpg
274979	http://api.discogs.com/image/A-274979-1115205728.jpg	secondary	326	500	http://api.discogs.com/image/A-150-274979-1115205728.jpg
282378	http://api.discogs.com/image/A-282378-1143312537.jpeg	secondary	231	200	http://api.discogs.com/image/A-150-282378-1143312537.jpeg
282467	http://api.discogs.com/image/A-282467-1343754152-6154.jpeg	primary	371	379	http://api.discogs.com/image/A-150-282467-1343754152-6154.jpeg
283844	http://api.discogs.com/image/A-283844-1157281596.jpeg	primary	310	200	http://api.discogs.com/image/A-150-283844-1157281596.jpeg
283844	http://api.discogs.com/image/A-283844-1310164409.jpeg	secondary	604	493	http://api.discogs.com/image/A-150-283844-1310164409.jpeg
283844	http://api.discogs.com/image/A-283844-1310162975.jpeg	secondary	400	273	http://api.discogs.com/image/A-150-283844-1310162975.jpeg
283844	http://api.discogs.com/image/A-283844-1310164367.jpeg	secondary	500	333	http://api.discogs.com/image/A-150-283844-1310164367.jpeg
283844	http://api.discogs.com/image/A-283844-1310163049.jpeg	secondary	417	358	http://api.discogs.com/image/A-150-283844-1310163049.jpeg
283844	http://api.discogs.com/image/A-283844-1310163101.jpeg	secondary	373	593	http://api.discogs.com/image/A-150-283844-1310163101.jpeg
283844	http://api.discogs.com/image/A-283844-1310163128.jpeg	secondary	388	342	http://api.discogs.com/image/A-150-283844-1310163128.jpeg
283844	http://api.discogs.com/image/A-283844-1310163279.jpeg	secondary	344	200	http://api.discogs.com/image/A-150-283844-1310163279.jpeg
286775	http://api.discogs.com/image/A-286775-1153612045.jpeg	secondary	296	300	http://api.discogs.com/image/A-150-286775-1153612045.jpeg
300468	http://api.discogs.com/image/A-300468-1155405562.jpeg	secondary	192	150	http://api.discogs.com/image/A-150-300468-1155405562.jpeg
300765	http://api.discogs.com/image/A-300765-1119338779.jpg	secondary	534	400	http://api.discogs.com/image/A-150-300765-1119338779.jpg
303769	http://api.discogs.com/image/A-303769-1348920331-5735.jpeg	primary	112	150	http://api.discogs.com/image/A-150-303769-1348920331-5735.jpeg
339644	http://api.discogs.com/image/A-339644-1262014235.jpeg	primary	561	400	http://api.discogs.com/image/A-150-339644-1262014235.jpeg
342896	http://api.discogs.com/image/A-342896-1266961833.jpeg	primary	308	300	http://api.discogs.com/image/A-150-342896-1266961833.jpeg
343332	http://api.discogs.com/image/A-343332-1125072388.jpg	secondary	224	300	http://api.discogs.com/image/A-150-343332-1125072388.jpg
343332	http://api.discogs.com/image/A-343332-1125172210.jpg	secondary	590	600	http://api.discogs.com/image/A-150-343332-1125172210.jpg
361222	http://api.discogs.com/image/A-361222-1327938189.jpeg	primary	413	550	http://api.discogs.com/image/A-150-361222-1327938189.jpeg
366110	http://api.discogs.com/image/A-366110-1262014524.jpeg	primary	184	179	http://api.discogs.com/image/A-150-366110-1262014524.jpeg
372549	http://api.discogs.com/image/A-372549-1134679360.jpeg	secondary	423	400	http://api.discogs.com/image/A-150-372549-1134679360.jpeg
391275	http://api.discogs.com/image/A-391275-1231126085.jpeg	primary	532	400	http://api.discogs.com/image/A-150-391275-1231126085.jpeg
392598	http://api.discogs.com/image/A-392598-1307553193.jpeg	primary	260	173	http://api.discogs.com/image/A-150-392598-1307553193.jpeg
400928	http://api.discogs.com/image/A-400928-1318925574.jpeg	primary	172	170	http://api.discogs.com/image/A-150-400928-1318925574.jpeg
402480	http://api.discogs.com/image/A-402480-1350053894-3897.jpeg	primary	375	250	http://api.discogs.com/image/A-150-402480-1350053894-3897.jpeg
413568	http://api.discogs.com/image/A-413568-1168797705.jpeg	secondary	288	210	http://api.discogs.com/image/A-150-413568-1168797705.jpeg
413568	http://api.discogs.com/image/A-413568-1174493833.gif	secondary	189	289	http://api.discogs.com/image/A-150-413568-1174493833.gif
418348	http://api.discogs.com/image/A-418348-1272345578.jpeg	primary	342	242	http://api.discogs.com/image/A-150-418348-1272345578.jpeg
449772	http://api.discogs.com/image/A-449772-1333792668.jpeg	primary	400	600	http://api.discogs.com/image/A-150-449772-1333792668.jpeg
449772	http://api.discogs.com/image/A-449772-1195347951.jpeg	secondary	373	600	http://api.discogs.com/image/A-150-449772-1195347951.jpeg
452309	http://api.discogs.com/image/A-452309-1270690560.jpeg	primary	600	387	http://api.discogs.com/image/A-150-452309-1270690560.jpeg
452309	http://api.discogs.com/image/A-452309-1169215417.jpeg	secondary	708	470	http://api.discogs.com/image/A-150-452309-1169215417.jpeg
453850	http://api.discogs.com/image/A-453850-1195702275.jpeg	secondary	225	160	http://api.discogs.com/image/A-150-453850-1195702275.jpeg
453857	http://api.discogs.com/image/A-453857-1347893532-4405.jpeg	primary	452	270	http://api.discogs.com/image/A-150-453857-1347893532-4405.jpeg
495093	http://api.discogs.com/image/A-495093-1194585616.jpeg	secondary	196	235	http://api.discogs.com/image/A-150-495093-1194585616.jpeg
499327	http://api.discogs.com/image/A-499327-1166476105.jpeg	secondary	200	400	http://api.discogs.com/image/A-150-499327-1166476105.jpeg
503033	http://api.discogs.com/image/A-503033-1178029115.jpeg	secondary	450	600	http://api.discogs.com/image/A-150-503033-1178029115.jpeg
527635	http://api.discogs.com/image/A-527635-1193257182.jpeg	secondary	248	178	http://api.discogs.com/image/A-150-527635-1193257182.jpeg
533594	http://api.discogs.com/image/A-533594-1268559602.jpeg	primary	585	361	http://api.discogs.com/image/A-150-533594-1268559602.jpeg
567948	http://api.discogs.com/image/A-567948-1201252052.jpeg	secondary	130	210	http://api.discogs.com/image/A-150-567948-1201252052.jpeg
605772	http://api.discogs.com/image/A-605772-1297336071.jpeg	primary	275	220	http://api.discogs.com/image/A-150-605772-1297336071.jpeg
662202	http://api.discogs.com/image/A-662202-1236021081.jpeg	primary	406	363	http://api.discogs.com/image/A-150-662202-1236021081.jpeg
669736	http://api.discogs.com/image/A-669736-1296166633.gif	primary	205	170	http://api.discogs.com/image/A-150-669736-1296166633.gif
727416	http://api.discogs.com/image/A-727416-1183060657.jpeg	secondary	532	530	http://api.discogs.com/image/A-150-727416-1183060657.jpeg
845581	http://api.discogs.com/image/A-845581-1281312572.jpeg	primary	278	250	http://api.discogs.com/image/A-150-845581-1281312572.jpeg
845581	http://api.discogs.com/image/A-845581-1319903297.jpeg	secondary	563	600	http://api.discogs.com/image/A-150-845581-1319903297.jpeg
1069010	http://api.discogs.com/image/A-1069010-1327840877.jpeg	primary	562	450	http://api.discogs.com/image/A-150-1069010-1327840877.jpeg
1069010	http://api.discogs.com/image/A-1069010-1327840871.jpeg	secondary	500	561	http://api.discogs.com/image/A-150-1069010-1327840871.jpeg
1069010	http://api.discogs.com/image/A-1069010-1327840891.jpeg	secondary	397	400	http://api.discogs.com/image/A-150-1069010-1327840891.jpeg
1069010	http://api.discogs.com/image/A-1069010-1327840882.jpeg	secondary	298	298	http://api.discogs.com/image/A-150-1069010-1327840882.jpeg
1069010	http://api.discogs.com/image/A-1069010-1219339881.jpeg	secondary	240	320	http://api.discogs.com/image/A-150-1069010-1219339881.jpeg
1543343	http://api.discogs.com/image/A-1543343-1331409753.jpeg	primary	290	200	http://api.discogs.com/image/A-150-1543343-1331409753.jpeg
1572374	http://api.discogs.com/image/A-1572374-1253348345.jpeg	primary	190	323	http://api.discogs.com/image/A-150-1572374-1253348345.jpeg
1845716	http://api.discogs.com/image/A-1845716-1335096332.jpeg	primary	443	360	http://api.discogs.com/image/A-150-1845716-1335096332.jpeg
\.


--
-- Data for Name: artists_members; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_members (artist_id, name) FROM stdin;
2713	Alison Moyet
2713	Vince Clarke
2714	Andy Bell
2714	Vince Clarke
4115	Ben Watt
4115	Tracey Thorn
5970	AJ Mora
5970	Hazze
5970	Richard "Humpty" Vission
5999	Martin Retschitzegger
5999	Michael Peter
7620	Andrea de Antoni
7620	Franco Amato
7620	William Naraine
7698	Durron Butler
7698	Jackie Harris
7698	Luca Anzilotti
7698	Michael Münzing
7698	Penny Ford
7698	Thea Austin
14062	Claudio Coccoluto
14062	Savino Martinez
14216	Kris Klayton
14216	Sean Spencer
17110	Chad Hugo
17110	Pharrell Williams
17456	Aaron Lubinski
17456	David Melo
17456	Mark Newlands
18294	Danny Harrison
18294	Julian Jonah
18712	Hannes Lehmann
18712	Masha Qrella
18712	Max Punktezahl
18712	Rike Schuberty
20400	Damage (3)
20400	Dov Elkabas
20400	Rob Stigter
20400	Schuilnaam Olifant
22660	Grant Bowden
22660	Jimmy Low
24804	Andy Swallow
24804	Keith Mac
24804	Richelle Price
26695	Michael Bojanowicz
26695	Wiktor Mysliwiec
28392	Carl Carinci
28392	Nick Marchetti
28392	Sal Mineo
29225	Anthony Middleton (2)
29225	Art Capehart
29225	Arthur Austin
29225	Butch Harper
29225	Cuca
29225	Darryl Grant
29225	Doug (Khalif) Jones
29225	Erskine Williams
29225	Jimmy Lee (3)
29225	Larry James
29225	Larry LaBes
29225	Melvin El
29225	Ted Cohen
35740	Chris Chaney
35740	Dave Navarro
35740	Eric Avery
35740	Martyn LeNoble
35740	Matt Chaikin
35740	Michael Balzary
35740	Perry Farrell
35740	Stephen Perkins
50872	Christian Urich
50872	Ethan White
50872	Jason Kriveloff
55439	Duncan Bridgeman
55439	Jamie Catto
66253	Gary Kemp
66253	John Keeble
66253	Martin Kemp
66253	Steve Norman (2)
66253	Tony Hadley
66852	Keith Flint
66852	Keith Palmer
66852	Leeroy Thornhill
66852	Liam Howlett
66852	Maxim
70293	Chris Knowles
70293	Henry Cullen
70735	Billy Currie
70735	Christopher Allen
70735	Dennis Leigh
70735	Gary Williams
70735	Midge Ure
70735	Robin Simon
70735	Sam Blue
70735	Stevie Shears
70735	Tony Fenelle
70735	Tony Holmes (2)
70735	Vinny Burns
70735	Warren Cann
82713	Celph Titled
82713	Chad Bromley
82713	Chum The Skrilla Guerilla
82713	Emilio Lopez
82713	George Andrinopoulos
82713	Jabberjaw (2)
82713	Jean Myrthil
82713	L-Fudge
82713	Louis Dorley
82713	Metropolis (10)
82713	Motive (2)
82713	One Two
82713	Open Mic
82713	Seamus Ryan
82713	Spin 4th
82713	Styles Of Beyond
90489	Federico Franchi
90489	Giorgio Prezioso
90489	Mario Di Giacomo
156665	Paul Southby
156665	Paul Wiseman
245099	Hex Hector
245099	Mac Quayle
260577	Philemon Arthur
343332	Chuck Valle
343332	Dan Nastasi
343332	Dean Rispler
343332	Eric "Goat" Arce
343332	J. Colangelo
343332	Jimmy Drescher
343332	Peter Hines
343332	Todd Schofield
449771	Brian Torff
449771	Laurence Hobgood
449771	Paul Wertico
567948	Steve Jolley
567948	Tony Swain
845581	Keith Richards
845581	Mick Jagger
1030263	Jeff Taylor (3)
1030263	Mark Taylor
1979733	Chris Morrison
1979733	Chris O'Donnell
2652252	Joanna Hood
2652252	Margaret Parkins
2652252	Sara Parkins
2652252	Sarah Thornblade
\.


--
-- Data for Name: artists_namevariations; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_namevariations (artist_id, name) FROM stdin;
161	Edwards
161	T Edwards
161	T. Edwards
161	Todd
161	Todd Edward
161	Todd Tell
161	Too Edvards
1570	=^,,^=
1570	Da Housecat
1570	FDH...
1570	Fe
1570	Felix
1570	Felix "Da" Housecat
1570	Felix Da House Cat
1570	Felix Da House Catt
1570	Felix Da Housecatt
1570	Felix Da Housekat
1570	Felix Da Housekatt
1570	Felix Da' House Cat
1570	Felix Da' Housecat
1570	Felix Dahousecat
1570	Felix The House Cat
1570	Felix The Housecat
1570	Housecat
1570	Thee Artist Formerly Known As Felix Da Housecat
1812	Barrow Gang, The
1812	David Kupper
1812	E Kupper
1812	E. K.
1812	E. Kupper
1812	E.K.
1812	E.Kupper
1812	EK
1812	Eric
1812	Eric Cupper
1812	Eric Harper
1812	Eric Kuppa
1812	Eric Stephen Kupper
1812	Erick Kupper
1812	Erik Kupper
1812	F. Kupper
1812	K-Skope Project, The
1812	Kupper
1825	Dave Lee
1825	J Negro
1825	J. Negro
1825	JN
1825	Joe Negro
1825	Joey
1825	Joey Negoro
1825	JoeyNegro
1825	Joy Negro
1825	Negro
1825	Paul Babu
2323	D.J. Hype
2323	D.J.Hype
2323	DJ Hype Aka Ganja Cru
2323	DJ. Hype
2323	Hype
2713	Y.
2713	Yaz
2713	Yazz
2713	Yazzo
2851	DJ Hive
3612	DJ Wally aka Pish Posh
4115	E.B.T.G
4115	E.B.T.G.
4115	E.T.B.T.G
4115	EBTG
4115	ETGB
4115	Everthing But The Girl
4115	Everything But
4115	Everything But A Girl
4115	Everything But....
4115	EverythingButTheGirl
4690	A. Limerick
4690	A.Limerick
4690	A.T. Limerick
4690	Alison Lemerick
4690	Alison Limmerick
4690	Allison Limerick
4690	Limerick
4945	D. J. Swamp
4945	D.J. Swamp
4945	SWAMP
4945	Swamp, The
5160	C. Liberator
5160	C.Lib
5160	Chris
5160	Chris Lib
5160	Chris Librator
5160	Liberator
5649	El Fudge
5649	El-Fudge
5649	L Fudge
5649	L. Fudge
5649	Rosario
5797	A. Tanneberger
5797	A.T.B.
5797	André "ATB" Tanneberger
5797	André Tanneberger
5797	Andre Tanneberger
5797	atb*
5797	Feat.
5797	With
5999	Glory B.
6952	Morella
6952	Morello
6952	T. Morello
6952	Thomas Morello
6952	Tom
6952	Tom Morella
6952	Tom Morello The Nightwatchman
6952	Tony Morello
7620	D.Y
7620	D.Y.
7620	Double U
7620	Double You ?
7620	Double You And Friends
7620	Double You!
7620	Double You?
7620	DY
7620	Rah Band, The
7624	D
7624	D Morales
7624	D. Morales
7624	D.M.
7624	D.Morales
7624	Dave Morales
7624	David
7624	David "One Puerto Rican" Morales
7624	David Mirales
7624	David Morales Presents  Face The
7624	David Moralis
7624	David Morles
7624	Davis Morales
7624	Def
7624	DM
7624	Mo Mo
7624	Morales
7624	Morales D'
7624	Morales D.
7624	Morales, The
7624	Moreles
7698	Sanp
7698	Snad
7698	Snap
7698	Snap !
7698	SNAP!
8024	J, Jackson
8024	J. Jackson
8024	J.Jackson
8024	Jackson
8024	Jane Jackson
8024	Janet
8024	Janet, Ms. Jackson If Your Nasty
8024	Janet.
8024	Jonet Jachsw
8024	Miss Janet
8024	Sister Janet
8099	Danny Tenaglia
8099	Naté
8099	U Nate
8099	U. Naté
8099	U. Nate
8099	U. Wyche
8099	U.Nate
8099	Ultra
8099	Ultra Mate
8099	Ultra Nat
8099	Ultra Natè
8099	Ultra Naté Wyche
8099	Ultra Nate
8099	Ultra Nate Wyche
8099	Ultra Nate'
8099	Ultra-Nate
8099	Ultranaté
8099	Ultranate
8099	Ultrante
8099	Ultre Natt
8099	Wyche
9838	Mike
9838	Mix Master Mike (Beastie Boys DJ)
9838	Mix Master Mike the Serial Wax Killer
9838	Mix Mastermike
9838	Mixmaster Mike
9838	MixMasterMike
9838	MMM The Serial Wax Killer
9838	Slim
9857	A Certain Mr Daniel Miller
9857	D Miller
9857	D, Miller
9857	D. Müller
9857	D. Miller
9857	D. O. Miller
9857	D.M.
9857	D.Miller
9857	D.O. Miller
9857	D: Miller
9857	Daniël Miller
9857	Daniel
9857	Daniel "Mute" Miller
9857	Daniel Miler
9857	Daniel Millar
9857	Daniel Miller Otto
9857	Daniel O Miller
9857	Daniel O'Miller
9857	Daniel O. Miller
9857	Daniel O.Miller
9857	Daniel Otto Miller
9857	Danile Miller
9857	David Miller
9857	DJ Miller
9857	DM
9857	Miller
10299	1.8.7
10299	187
10360	Claus Schultze
10360	Claus Schulze
10360	K. S.
10360	K. Schultze
10360	K. Schulze
10360	K.Schulze
10360	Klaus
10360	Klaus Quadro Schulze
10360	Klaus Schultz
10360	Klaus Schultze
10360	Klaus Shulze
10360	Klaus-Jürgen Schulze
10360	Klause Schulze
10360	KS
10360	Schultze
10360	Schulze
11449	Banana Cherry
11449	Carlsson Cherry
11449	Cherry
11449	Chreey
11449	N Cherry
11449	N'Cherry
11449	N. Cherry
11449	N.Cherry
11449	Neheh Cherry
11449	Nehen Cherry
11449	Nena Cherry
11449	Nenah Cherry
11449	Neneh
11449	Neneh Chérie
11449	Neneh Marianne Karlsson Cherry
11449	Neneu Cherry
11449	Nenneh Cherry
11617	C. Cox
11617	Chris Coxx
11617	Cox
11879	ルーリード
11879	Лу Рид
11879	L Reed
11879	L. H. Read
11879	L. Reed
11879	L.Reed
11879	Lewis Reed
11879	Lou
11879	Lou A. Reed
11879	Lou Reed Band, The
11879	Lou Reid
11879	Loud Reed
11879	Louis Reed
11879	Reed
11879	Reed Lewis
12206	C. Coccoluto
12206	C.Coccoluto
12206	Claudiiiococcoluto
12206	Claudio "Cocodance" Coccoluto
12206	Claudio Cocclutto
12206	Claudio Coccolutto
12206	Claudio Cocoluto
12206	Claudiococcoluto
12206	Coc
12206	Cocco
12206	Coccoluto
12206	Coccoluto C.
12206	Coco
12343	B. T. Jones
12343	Boocker T
12343	Booka T
12343	Booker
12343	Booker T.
12343	Booker-T
12343	Booker. T.
13227	B. Musso
13227	Bob
13227	Bob (Oso) Musso
13227	Bob Musseo
13227	Bob Musso
13227	Musso
13227	R. Musso
13227	Rob Musso
13227	Robert Muso
13227	Robert Russo
13227	Roberto Musso
13407	Cullen
13407	H
13407	H. Cullen
13407	H.C.
13407	H.Cullen
13407	HC
13407	Henry
13407	Henry Culle
13407	Henry From Back To The Planet
14216	DJ Spen
14216	&
14216	Karizma aka Da Deepah Ones
14216	DJ Spen + Karizma
14216	DJ Spen And Karizma
14216	DJ Spen+Karizma
14216	Karizma
14216	&
14216	DJ Spen
14216	Karizma Feat. DJ Spen
14216	Karizma featuring DJ Spen
14216	Spen
14216	&
14216	Karizma
14216	Spen
14216	&
14216	Karzima
14216	Spen + Karizma
14216	Spen And Karizma
15885	Майкъл Джексън
15885	J.Jackson
15885	Jacko
15885	Jackson
15885	Jaxson
15885	Just Michael
15885	M J
15885	M Jackson
15885	M.  Jackson
15885	M. J.
15885	M. J. Jackson
15885	M. Jackson
15885	M.J
15885	M.J.
15885	M.J. Jackson
15885	M.J.Jackson
15885	M.Jackson
15885	Michael
15885	Michael J
15885	Michael J. Jackson
15885	Michael Jack5on
15885	Michael Jackson (Mijac Music)
15885	Michael Jackson's
15885	Michael Jacson
15885	Michael Joe Jackson
15885	MichaelJackson
15885	Micheal Jackson
15885	MJ
15885	MJ For Africa
15885	MJ The One
17110	Neps, The
17110	Neptune
17110	Neptune Productions
17110	Neptune, The
17110	Neptunes
17110	Pharrell Williams and Chad Hugo (The Neptunes)
17110	Williams P.*, Hugo C.*
17456	Bloody Fist
17456	Nasen Bluten
17456	Nasenblueten
18294	Nu Birth
18712	C.
18956	Wonder
18956	D. Wonder
18956	С. Вандер
18956	С. Уандер
18956	Стиви Уандер
18956	Стиви Уондър
18956	Eivets Rednow
18956	Little Stevie
18956	Little Stevie Wonder
18956	Oscar Neves
18956	S Wonder
18956	S, Wonder
18956	S. Judkins
18956	S. Vonder
18956	S. Vonderis
18956	S. W.
18956	S. Wonder
18956	S.J. Wonder
18956	S.Wonder
18956	St. Wonder
18956	Steuie Wonder
18956	Steve
18956	Steve . Wonder
18956	Steve Wonder
18956	Stevie
18956	Stevie !
18956	Stevie W
18956	Stevie!
18956	Stewe Wonder
18956	Stewie Wonder
18956	Stieve Wonder
18956	STW
18956	SW
18956	Wonder
18956	Wonder Man
18956	Wonder S.
18956	Wonder Stevie
18956	Wonder What
18956	Wonder, Stevie
19674	A Moyet
19674	A. Moyet
19674	A.Moyet
19674	A.X. Moyet
19674	Alison
19674	Allison Moyet
19674	Alyson Moyet
19674	Moyet
19674	Moyet Alison
19674	Moyett
20337	D.R. Z-Vago
20337	Dr Z Vago
20337	Dr Z-Vago
20337	Dr Zivago
20337	Dr. Z V.
20337	Dr. Z Vago
20337	Dr. Z-vago
20337	Dr. ZVago
20337	Dr.Z-Vago
20337	Drz-Vago
20337	Z-Vago
20400	Masochist
20400	Massochist
20400	Mazochist, The
20662	F. K.
20662	F. Kervokian
20662	F. Kevorkian
20662	F.K
20662	F.K.
20662	F.Kevorkian
20662	FK
20662	Fran ois Kevorkian
20662	Fran£ois Kevorkian
20662	François
20662	François K
20662	François K.
20662	François Kervokian
20662	François Kervorkian
20662	François Kevorkain
20662	François Kevorkian
20662	FrançoisK.
20662	Francios Kevorkian
20662	Francis K
20662	Francis Kevorkian
20662	Franco K
20662	Francois
20662	Francois Devorkian
20662	Francois K
20662	Francois K.
20662	Francois Kavorkian
20662	Francois Kerokian
20662	Francois Kervokian
20662	Francois Kervorkian
20662	Francois Kevockian
20662	Francois Kevokian
20662	Francois Kevorian
20662	Francois Kevorkain
20662	Francois Kevorkian
20662	Francois Krevorkian
20662	Francois.K
20662	Francoise Kevorkian
20662	Franĉois K
20662	Kervorkian
20662	Kevorkian
20917	DJ Dice
21147	F. Sanders
21147	Farrell Sanders
21147	Ferrell Lee Sanders
21147	Ferrell Sanders
21147	P. Sanders
21147	P.Sanders
21147	Pahroh Sanders
21147	Paraoh Sanders
21147	Ph. Sanders
21147	Pharaoh Sanders
21147	Pharoah Saunders
21147	Sanders
21742	El Presidente "Jay-Z"
21742	G-Zee
21742	J.-Z
21742	J.Z.
21742	Jaÿ-Z
21742	Jay
21742	Jay Z
21742	Jay Z.
21742	Jay Zee
21742	Jay- Z
21742	Jay-Z (Meets Az)
21742	Jay-Zee
21742	Jay-Ziano
21742	JayZ
21742	Jayziano
21742	JZ
21742	Shawn Carter
22660	Bug Kahn And The Plastic Jam
22660	Bug Kan And The Plastic Jam
22660	Bug Kann + The Plastic Jam
22660	Bug Kann And The Plastic Jam
22660	Bug Khan
22660	&
22660	The Plastic Jam
22660	Bug, Kann And The Plastic Jam
22660	Bugkann
22660	&
22660	The Plastic Jam
22660	Plastic Jam-Bud Khan
22757	Duet With
22757	John "Juke" Logan
22757	L Vandross
22757	L. Van Dross
22757	L. Vandroos
22757	L. Vandros
22757	L. Vandross
22757	L.R. Vandross
22757	L.Vandross
22757	Luter Vandross
22757	Luther
22757	Luther Van Dross
22757	Luther Van Ross
22757	Luther Vandros
22757	Luthor Vandross
22757	Sweet Luther
22757	Vandros
22757	Vandross
23701	Dakayne
23701	Dakenye
23701	Dakeyene
23701	Dakeyne (DMC U.K.)
23701	Dakeyne Of DMC UK.
23701	Dukayne
23701	Oakeyne
23701	P. Dakeyne
23701	P.Dakeyne
23701	Paul Dakeyne
23701	Paul Drakeyne
24394	Destroyer
24394	TheDestroyer
24804	N.C.A.
24804	New Class 'A'
24804	Nu Klass A
26695	Wava
26695	WaWa
26936	Apathy The Alien Tongue
27628	'Rickie Dillard'
27628	R. Dill
27628	R. Dillard
27628	Rick D
27628	Rickey Dillard
27628	Rickie Dillard
27628	Ricky D
27628	Ricky D.
27951	Don Perry Farrell Niccoli
27951	Farrel
27951	Farrell
27951	P. Farrell
27951	P. Ferrell
27951	Peretz
27951	Perry
27951	Perry Farrel
27951	Perry Farrell From Jane's Addiction
27951	Perry Ferrel
27951	Pery Farrell
28164	"Raz", The
28164	R Rosario
28164	R. Angel Rosario
28164	R. Ralphie
28164	R. Rasario
28164	R. Rosario
28164	R.Rosario
28164	Ralph
28164	Ralph "The Raz" Rosario
28164	Ralph "The Razz" Rosario
28164	Ralph Rosario
28164	Ralphi
28164	Ralphi "Raz" Rosario
28164	Ralphi "The Raz" Rosario
28164	Ralphi "The Razz" Rosario
28164	Ralphi 'Razz' Rosario
28164	Ralphi 'The Razz' Rosario
28164	Ralphi (Raz) Rosario
28164	Ralphi Rasario
28164	Ralphi Rockin' Rosario
28164	Ralphi Rosari
28164	Ralphi Rosario Energy Factor #10
28164	Ralphi Rossario
28164	Ralphi The Raz Rosario
28164	Ralphi The Razz Rosario
28164	Ralphi The Razz Rozario
28164	Ralphie
28164	Ralphie Rosario
28164	Ralphie The Razz Rosario
28164	Ralpi The Raz Rosario
28164	Raphi Rosario
28164	Roasrio
28164	Rosario
28392	D.O.A
28392	D.O.A.
28392	DOA
28392	DOA Narctic
28521	D Pandy
28521	D. Pandy
28521	D.Pandy
28521	Darrly "Diva" Pandy
28521	Darry Pandy
28521	Darryl
28521	Darryl (Diva) Pandy
28521	Darryl P
28521	Darryl Panda
28521	Daryl Pandy
28521	Pandy
28802	F. Keith
28802	Farley
28802	Farley "Funkin" Keith
28802	Farley Funkin Keith
28802	Farley Funkin' Keith
28802	Farley Keith
28802	Farley, Farley, Farley
28802	Rude Boy Farley, The
28802	Rude Boy Himself Farley Farley Farley, The
28802	Rude Boy Of House, The
28802	Rude Boy, The
29225	F. L. Band
29225	F.L.B.
29225	Fat Larrys Band
29225	Fat Larrys Band (FLB)
29225	FLB
34220	D.J. Rhettmatic
34220	DJ Rhettmatic
34220	Rhett
34854	H. Martinelli
34854	Martinelli
34854	N. J. Martinelli
34854	N. Martinelli
34854	Nicholas  J.  Martinelli
34854	Nicholas J. Martinelli
34854	Nicholas Martinelli
34854	Nick Martellini
34854	Nick Martenelli
34854	Nick Martinell
34854	Nickie Martinelli
34854	Nikki Martinelli
35740	Janes Addiction
36687	E C Radcliffe
36687	E. C. Radcliffe
36687	E. Radcliffe
36687	E.C. Radcliffe
36687	E.C. Ratcliffe
36687	E·C·Radcliffe
36687	EC Radcliffe
36687	Eric
36687	Eric C. Radcliff
36687	Eric Racliffe
36687	Eric Radcliff
36687	R. Radcliffe
36687	Radcliffe
37365	Andy Clarke
37365	C. Clarke
37365	Clarcke
37365	Clark
37365	Clarke
37365	Clarke, Vince
37365	Gilbert V. Clark
37365	J. Clarke
37365	John Vincent Martin
37365	Martin
37365	V Clark
37365	V Clarke
37365	V. Clake
37365	V. Clarce
37365	V. Clark
37365	V. Clarke
37365	V. Clerk
37365	V. J. Martin
37365	V.Clark
37365	V.Clarke
37365	Vance Clarke
37365	V·Clarke
37365	VClarke
37365	Vice Clarke
37365	Vince
37365	Vince Clark
37365	Vincent Clark
37365	Vincent Clarke
37365	Vincent J. Martin
37365	Vincent John Martin
37606	C Stevens
37606	C. S.
37606	C. Stevens
37606	C.S.
37606	C.Stevens
37606	Cat
37606	Cat Stevens (Yusef Islam)
37606	Cat Stewens
37606	P. Stevens
37606	Stevens
39334	Pete Warner
39334	Peter Warner
40135	"Mister Sound" Conny Plank
40135	C. Planck
40135	C. Plank
40135	C.Plank
40135	Conni Plank
40135	Connie Plank
40135	Conny
40135	Conny Blank
40135	Conny Planck
40135	Conny Planke
40135	Conrad Planck
40135	Conrad Plank
40135	K Plank
40135	K. Plank
40135	Konrad Planck
40135	Konrad Plank
40135	Konrak Plank
40135	Maestro Conrado Di Planca
40135	Planck
40135	Plank
43786	Dick Williams
43786	R. Williams
43786	Williams
48432	И. Хейс
48432	Hayes
48432	Hayes/Porter
48432	Haynes
48432	I Hayes
48432	I. Hayers
48432	I. Hayes
48432	I. Hayes Jr.
48432	I. Hayes, Jr.
48432	I. Hays
48432	I. Haze
48432	I.Hayes
48432	Isaaac Hayes
48432	Isaac Hayes As Chef
48432	Isaac Hayes, Jr.
48432	Isaac Lee Hayes
48432	Isaak Hayes
48432	Isac Hayes
48432	Issaac Hayes
48432	Issac Hayes
48432	J. Hayes
48432	Mr. Isaac Hayes
48432	Shaft
50872	Tortured Soul Band The
50872	Tortured Soul Band, The
55439	Giant Leap
55439	One Giant Leap
56680	E. Reader
56680	Eddie Reader
56680	Edie Reader
56680	Reader
56680	S. Reader
56680	S.Reader
56680	Sadenia
56680	Sadenia "Eddi" Reader
56680	Sadenia Eddi Reader
56680	Sadenia Reader
56680	Sandenia Reader
56680	Sedania Eddi Reader
56838	D. Navarro
56838	David Michael Navarro
56838	David Navarro
56838	M. Navarro
56838	Navarro
56851	S. Ford-Payne
56851	SF Payne
56851	Sheree Ford
56851	Sheree Ford Payne
56851	Sheree Ford-Payne
56851	Sherree Brown
56851	Sherree Ford
56851	Sherree Ford Payne
63463	Darrell Gustamachio
63463	Darroll ''G'' Gustamachio
63463	Darroll Gustamachis
63463	Darroll Gustamacho
63463	Darroll Gustomachio
63463	Darryl Gustamacchio
63463	Darryl Gustamachio
63463	Daryl Gustamaccio
63463	Daryll Gustamachio
63463	R. Darrall Gustamachio
63463	R. Darroll Gustamachio
63590	J. Robbins
63590	J. Robins
63590	J. Z. Robins
63590	J.Robins
63590	Jim Robins
63590	Jimbo Robbins
63590	Jimbo Robbins Aka Rawdeal
64003	DJMA
64003	J Marc Andrus
64003	J Mark Andrus
64003	J. Marc Andrus
64003	J. Mark
64003	J. Marks Andrus
64003	Marc Andrus
64003	Mark
64003	Mark Andrus
64774	Kev
66253	Spandau
66817	C. Titled
66817	Celph Titled Of Equilibrium
66817	Celph-Titled
66852	Da Prodigy
66852	Podigy
66852	Proddigy
66852	Prodhige, The
66852	Prodigy
66852	Produgy
69113	Bridgeman
69113	D. Bridgeman
69113	Duncan
69113	Duncan Bridgman
70735	U-Vox
70735	Ultra Vox
70735	Ultravox !
70735	Ultravox!
72881	J. Ure
72881	James Ure
72881	LM.Ure
72881	M .Ure
72881	M Ure
72881	M. Hure
72881	M. Ure
72881	M. Ure.
72881	M.Ure
72881	M.Ure.
72881	Midge "Midge" Ure
72881	Midge (My Mate)
72881	Midge Ure As Otto Flake Jr.
72881	Ure
72881	Ure Midge
72881	Ure, M.
72881	Uren
72881	Urie
73328	Holly Vallance
79791	Dj. Ruboy
79791	Mad Bros
79791	Order, The
79791	R*B*Y
79791	Roboy
79791	Ruboy
79791	Ruboy Alone
79791	Ruboy Remixes '01
79791	Ruboy's Return
82375	D. Jackman
82375	David Jackman Und Orchester
82375	DJ
82375	Jackman
82713	Demigodz
85728	Corsaro
85728	J. Corsaro
85728	Jason
85728	Jason (And His Zany Argonuts) Corsaro
85728	Jason (Kissogram) Corsaro
85728	Jason Carsaro
85728	Jason Corsaco
85728	Jason Corsano
85728	Jason Corsard
85728	Jason Corsaso
85728	Jason [Kissogram] Corsaro
90037	Pharrell
90037	D.R.U.G.S.
90037	P
90037	P Williams
90037	P. Williams
90037	P.L. Williams
90037	P.Williams
90037	Pharel Williams
90037	Pharell
90037	Pharell Of The Neptunes
90037	Pharell Williams
90037	Pharelle
90037	Pharrel
90037	Pharrel Williams
90037	Pharrell
90037	Pharrell L Williams
90037	Pharrell L. Williams
90037	Pharrell Williams for the Neptunes
90037	Pharrell Williams Of N.E.R.D.
90037	Pharrell Williams Of The Neptunes
90037	Pharrell!
90037	Pharrellito
90037	Williams
90037	Williams P.
90489	Alternative Creation, The
90489	Alternative Creators
90489	Alternative Creators 3
92225	MC Esoteric
99630	Christian "Cooly" Urich
99630	Christian Ulrich
99630	JC. Urich
99630	John Christian
99630	John Christian Ulrich
99630	John Christian Urich
99630	John-Christian Ulrich
99630	John-Christian Urich
99630	Urich
105902	R. Tresvant
105902	Ralph T
105902	Tresvant
124165	"Baffo" Banfi
124165	G. Banfi
124165	Giuseppe "Baffo" Banfi
124165	Giuseppe Banfi
124165	J.B. Banfi
132121	Biv
132121	Biv 10
132121	Bivins
132121	M. Bivins
132121	M. Vivins
132121	Michel Bivins
132121	Mike Bivins
132121	Mike Bivins (New Edition)
132122	Devoe
132122	R. DeVoe
132122	Ronald DeVoe
132122	Ronnie De Voe
142724	C. James
142724	D. James
142724	I. Janson
142724	James
142724	L. James
142724	Larru James
142724	Larry E. James
142724	Larry Janson
143799	Louie Logic
143799	Louis Logie
145257	デューク･エリントン
145257	D Ellington
145257	D. Elington
145257	D. Elingtonas
145257	D. Ellinghton
145257	D. Ellington
145257	D. Ellinton
145257	D.Ellington
145257	Djuk Elington
145257	Duck Ellington
145257	Duke
145257	Duke Ellington And His Famous Orchestra
145257	Д. Элингтон
145257	Д. Эллингтон
145257	Д.Эллингтон
145257	Дюк Эллингтон
145257	E. Duke Ellington
145257	E. Ellington
145257	E. K. Ellington
145257	E.Ellington
145257	E.K.  Ellington
145257	E.K. "Duke" Ellington
145257	E.K. Ellington
145257	Edward "Duke" Ellington
145257	Edward Ellington
145257	Edward K. "Duke" Ellington
145257	Edward K. Ellingtion
145257	Edward K. Ellington
145257	Edward Kennedy  "Duke" Ellington
145257	Edward Kennedy " Duke" Ellington
145257	Edward Kennedy "Duke" Ellington
145257	Edward Kennedy Ellington
145257	Ellingston
145257	Ellington
145257	Ellington Duke
145257	Ellinton
145257	Eward Kennedy Ellington
145257	F.K. Ellington
145257	Hellington
145257	J. Ellington
145257	Mr. Ellington
145272	Dolphy
145272	E. Dolphy
147064	William George
147065	Glen Cattanach
147065	Glenn Catanach
147065	Glenn Cattanagh
147096	Stephen Freeman
147096	Steve Freeman
158576	M. Tackett
158576	Mile Tackett
158576	Miles
158576	Miles "Fat Man" Tackett
158576	Miles Om Tackett
158576	Miles Om Trackett
158576	Miles Tacket
158576	Music Man Miles
158576	That Kid Named Miles
158576	This Kid Named Miles
163549	A. Sahaka
163549	A. Sahala
163549	A. Szahala
163549	Alek Szahala
167055	Lateef
167055	Latoef
167055	William Evans
167055	Y. Lateef
167055	Yuseff Lateef
167055	Yusuf Lateef
181208	Amos Leon Thomas
181208	Amosis Leontopolis Thomas
181208	L. Thomas
181208	L.Thomas
181208	Leone Thomas
181208	Thomas
181208	Thomas Leon
182289	C Hugo
182289	C- Hugo
182289	C. Hugo
182289	C.E. Hugo
182289	C.Hugo
182289	Ch.Hugo
182289	Chad Hug
182289	Chad Huo
182289	Charles Edward Hugo
182289	Charles Hugo
182289	Chase Chad
182289	Chase Chad Hugo
182289	Hugo
182289	Hugo C.
183701	Send Breaks
187941	J. Brown
187941	JJ Brown
191242	Duplo
191242	Wes Diplo
192632	M.C. Rise
192632	MC Rise
192632	Rise (Demigodz)
192789	Metro Of S.A. Smash/Spitball
192789	Metropolis
194667	D.J. Farley Funk
194667	Farley
194667	Farley "Jack Master" Funk
194667	Farley "Jackmaster Funk"
194667	Farley "JMF"
194667	Farley "The King Of House Music" Jackmaster Funk
194667	Farley ''Jack Master'' Funk
194667	Farley 'Jackmaster' Funk
194667	Farley 'Jackmaster' Funk (The Rude Boy)
194667	Farley 'Jacmaster' Funk
194667	Farley (Jackmaster) Funk
194667	Farley J M Funk
194667	Farley J. M. F.
194667	Farley J. M. Funk
194667	Farley J.M. Funk
194667	Farley J.M.F.
194667	Farley Jack Master
194667	Farley Jack Master Funk
194667	Farley Jackmaster
194667	Farley Jackmaster Funk
194667	Farley Jackmaster Funk ("The Rude Boy")
194667	Farley Jackmasters Funk
194667	Farley JMF
194667	J. Fanks
194667	J. M. F.
194667	J. M. Funk
194667	J.M Funk
194667	J.M. Funk
194667	J.M. Funky
194667	J.M.F.
194667	Jack Master Funk
194667	Jackmaster Funk
194667	JM Funk
194667	JMF
200627	R. Torch
200627	S. Torch
200627	Stephen Torch
200627	Steven Torch
200627	Tor
200627	Torch
200776	Charles Mc Cracken
200776	Charles Mc Craken
200776	Charles McCraken
200776	Charles P. McCracken
200776	Charlie McCracken
200776	Charlie McCraken
200776	Чарлз Маккрэкен
200785	Lee
200785	W. Lee
200785	Wil Lee
200785	Will Lee IV
200785	William F. Lee IV
200785	William Lee
200785	Willie Lee IV
200815	"Baron" Fingus
200815	Baron Mingus
200815	C .Mingus
200815	C. Mingus
200815	Ch. Mingus
200815	Charles Mingus Jr.
200815	Charles Mingus, Jr.
200815	Charlie Mingus
200815	Charlie Mingus Orchestra
200815	Charly Mingus
200815	Chas. Mingus
200815	Мингус
200815	Чарлз Мингус
200815	Mingus
200815	String Bass Of Charles Mingus With Accompaniment, The
203532	Harrison
203532	R. Harrison
203532	Robert Carter Harrison
203532	Robert Harrison
203532	Roberta
203532	Roberta Carter-Harrison
203532	Roberta Harrison
209415	A. Jarre
209415	Жан Мишель Жар
209415	雅尔
209415	让 - 米歇尔 . 雅尔
209415	J M Jarre
209415	J-M Jarre
209415	J-M. Jarre
209415	J-Michel Jarre
209415	J. Jarre
209415	J. M. Jarré
209415	J. M. Jarre
209415	J. Maurice Jarre
209415	J. Michel Jarre
209415	J.-M. Jarre
209415	J.Jarre
209415	J.M Jarre
209415	J.M. Jarre
209415	J.M.J.
209415	J.M.Jarre
209415	Jarre
209415	Jarre, Jean Michel André
209415	Jean - Michel Jarre
209415	Jean Michael Jarre
209415	Jean Michael-Jarre
209415	Jean Michel Jarré
209415	Jean Michel Jarre
209415	Jean Michele Jarre
209415	Jean Michell Jarre
209415	Jean Michelle Jarre
209415	Jean- Michel-Jarre
209415	Jean-M. Jarre
209415	Jean-M.-Jarre
209415	Jean-Michael Jarré
209415	JM Jarre
209415	JMJ
210166	S. Melody
210166	Sandra "Nubia" Melody
210166	Sandra Nubia Melody
210166	Sandra Wright
210166	Sanja Melody
210518	Parkins
210518	Z. Parkins
210518	Zeena
210518	ZP
214761	Michael Anthony Lapp Algernon
214761	Michael Lapp Algernon
214761	Michael Lapp Algervón
217242	C. Terry
217242	C.Terry
217242	Terry
217242	Terry Clark
217823	Pantera Os Dandadinhos
225533	Noah
225533	Noah "Grandmaster" Mintz
225533	Noah "The Constrictor" Mintz
225533	Noah 'Constrictor' Mintz
225533	Noah 'Grand Master' Mintz
225533	Noah 'Grandmaster' Mintz
227461	M. M. Shrieve
227461	M. Shrieve
227461	Maitreya Michael Shrieve
227461	Michael Schrieve
227461	Michael Schrive
227461	Michael Srieve
227461	Mike Shreive
227461	Mike Shrieve
227461	Shreve
227461	Shrieve
229071	Cartel
229071	Kartel
229071	Vbyz Kartel
229071	Vibes Cartel
229071	Vibes Kartel
229071	Vibez Cartel
229071	Vibez Kartel
229071	Vibz Cartel
229071	Vibz Cartell
229071	Vibz Kartel
229071	Vibze Cartel
229071	VK
229071	Vybes Cartel
229071	Vybes Kartel
229071	Vybez Cartel
229071	Vybez Kartel
229071	Vybz
229071	Vybz Cartel
229071	Vybz Cartell
229071	Vybz Kartal
229071	Vybz Karte
229071	Vybz Kartell
229071	Vybz Katel
229071	VybzKartel
229071	Vyvz
230694	M. Belgraves
230694	Marcus Batista Belgrave
230694	Marcus Belgrane
230694	Marcus Belgraves
230694	Marcus Bellgrave
232669	Jabber Jaw
234922	Mr. Spin 4th
244688	Majik
245099	Hex / Mac
245099	Hex Hector
245099	&
245099	Mac Quale
245099	Hex Hector / Mac Quayle
245099	Hex Hector And Mac Quayle
245099	Hex Hector/Mac Quale
245099	Hex Hector\\Mac Quayle
245099	Hex Hextor/Mac Quayle
245099	Mac Quayle And Hex Hector
247725	B.Cann
247725	C. C. W. Cann
247725	Cam
247725	Camm
247725	Can
247725	Cann
247725	Cann, W.
247725	R,. Cann
247725	R.W. Cann
247725	Reginald Warren Cann
247725	W Cann
247725	W.  Cann
247725	W. Cann
247725	W.Cann
247725	Warren Reginald Cann
247726	B Currie
247726	B Curry
247726	B. Carris
247726	B. Corrie
247726	B. Curie
247726	B. Currie
247726	B. Currie (IRS)
247726	B. Curry
247726	B.Curie
247726	B.Currie
247726	Bill Currie
247726	Billie Currie
247726	Billy (The Other Legend) (Hot Food) Currie
247726	Billy Curie
247726	Billy Currie (IRS)
247726	Billy Curry
247726	C. William
247726	Carrie
247726	Curie
247726	Curri
247726	Currie
247726	Currie, B.
247726	Curry
247726	E. Currie
247726	S. Currie
247726	W. Curnie
247726	W. Currie
247726	W. Curriem
247726	W. Curry
247726	W.Currie
247726	William Currie
247726	William Curriemore
252197	A. Perkins
252197	Perkins
252197	S. Perkins
252197	Stephen
252197	Stephen Andrew Perkins
252197	Steve Perkins
252197	Steven Perkins
252606	D. Butterfield
252606	Don Butterfield Tuba
252607	Charles "Dannie" Richmond
252607	Charles (Dannie) Richmond
252607	D. Richmond
252607	Danny Richman
252607	Danny Richmond
252607	Richmond
253066	J. Knepper
253066	James Knepper
253066	James M. Knepper
253066	Jim Knepper
253066	Jimmie Knepper
253066	Knepper
253339	Sam Figueroa
253339	Sammy
253339	Sammy Figaroa
253339	Sammy Figeroa
253339	Sammy Figeroua
253339	Sammy Figuera
253339	Sammy Figuero
253339	Sammy Figuerroa
253339	Sammy Figuroea
253339	Sammy Igueroa
255243	"Fast" Eddy Schreyer
255243	E. Schreyer
255243	Ed Schreyer
255243	Eddie
255243	Eddie Scheyer
255243	Eddie Schreyer
255243	Eddie Schrier
255243	Eddie Schryer
255243	Eddie Shreier
255243	Eddie Shrerer
255243	Eddie Shreyer
255243	Eddy
255243	Eddy "The Schizzy" Schreyer
255243	Eddy "The Shizzy" Schreyer
255243	Eddy Schereyer
255243	Eddy Scheyer
255243	Eddy Schreier
255243	Eddy Schreyder
255243	Eddy Schryer
255243	Eddy Shcreyer
255243	Eddy Shreier
255243	Eddy Shreyer
255243	Eddy Shryer
255243	Schreyer
255280	H. Bullock
255280	Hira Bullock
255280	Hiram
255280	Hiram Bidlock
255280	Hiram Bullick
255280	Hiram L. Bullock
255280	Hiram Law Bullock
255280	Hiriam Bullock
255280	Hirum Bullock
255280	Hyram Bullock
256582	Curson
256582	T. Curson
256582	T.Curson
257008	Джо Фаррел
257008	J. Farrell
257008	Jo Farrell
257008	Joe Farell
257008	Joe Farrel
257008	Joseph Firrantello
258968	D. A. Jenifer
258968	D. Jenifer
258968	D.A. Jenifer
258968	Darryl
258968	Darryl Aaron Jenifer
258968	Darryl Denzizzle Jenifer
258968	Darryl Jenifer (Bad Brains)
258968	Darryl Jennifer
258968	Daryl Jenifer
258968	Jenifer
258968	Jennifer
260056	Mark "Big Knob" Linett
260056	Mark Linette
260056	Mark Linnet
260056	Mark Linnett
260577	Filemon Arthur
260577	Philemon Arthur And The Dung
260577	Philemon McArthur And The Dung
260718	D. Bank
260718	Dan Bank
260718	Daniel B. Bank
260718	Daniel B. Banks
260718	Daniel Bank
260718	Danny Bank3
260718	Danny Banks
260718	Donny Banks
274221	P Samwell-Smith
274221	P. Samwell
274221	P. Samwell - Smith
274221	P. Samwell Smith
274221	P. Samwell-Smith
274221	P. Samwell-Snr
274221	P. Samwell/Smith
274221	P.Samwell-Smith
274221	Paul "Sam" Samwell-Smith
274221	Paul ''Sam'' Samwell-Smith
274221	Paul Samuel-Smith
274221	Paul Samwell Smith
274221	Paul Samwell-Smith Vocal Choir
274221	Paul Smith
274221	S Samwell-Smith
274221	S. Smith
274221	Samrell-Smith
274221	Samuel Smith
274221	Samuel-Smith
274221	Samwell
274221	Samwell - Smith
274221	Samwell / Smith
274221	Samwell Smith
274221	Samwell, Smith
274221	Samwell-Smith
274221	Samwell/Smith
274221	Smith
274978	E. Bert
274978	Edward Bert
274978	X. Kentonite
274979	"Hac" Hanna
274979	Hanna
274979	R. Hanna
274979	Rolland Hanna
274979	Ronna Hanna
274979	Sir Roland Hanna
274979	Sir Roland P. Hanna
282378	G Kemp
282378	G. J. Kemp
282378	G. Kemp
282378	G.Kemp
282378	Gary James Kemp
282378	Gerry Kemp
282378	Kemp
282378	Kemp Gary James
282467	C. Greenlee
282467	Charles "Chuck" Greenlea
282467	Charles "Majeed" Greenlee
282467	Charles Greenlea
282467	Charles Majeed Greenlee
282467	Charles Majid Greenlee
282467	Charlie Greenlee
282467	Greenlee
283844	B. McKuen
283844	Род Маккьюен
283844	MacKuen
283844	Mc Kuen
283844	Mc Kuen R.
283844	Mc Rod Kuen
283844	McKeun
283844	Mckewen
283844	McKuen
283844	McKun
283844	McKune
283844	Mckuon
283844	R McKuen
283844	R. M. Kuen
283844	R. Mackuen
283844	R. Mc Kuen
283844	R. McKuen
283844	R.McKluen
283844	R.McKuen
283844	Red McKuen
283844	Rod Mac Kuen
283844	Rod Mc Kuen
283844	Rod McEuen
283844	Rod McKeun
300468	Hawkes
300468	S. Hawkes
300468	Staurt Hawkes
300468	Stu
300468	Stu .
300468	Stu.
300468	Stuart
300468	Stuart Hauks
300468	Stuart Hawks
300765	Paul
300765	Paul Wertigo
300765	PW
300765	Wertico
303769	D. Henderson
303769	D.H.
303769	Douglas Henderson
339644	Sara Pakins
339644	Sara Perkins
339644	Sarah Parkin
339644	Sarah Parkins
342896	A. Avery
342896	Avery
342896	E. Avery
342896	Eric
342896	Eric  A.
342896	Eric A
342896	Eric A.
342896	Eric Adam Avery
343332	Band, The
343332	Murphys Law
363549	Beaver
363549	P. Beaver
366110	Maggie Parkins
372549	"Slide" Hampton
372549	Hampton
372549	Locksley "Slide" Hampton
372549	Locksley Hampton
372549	Locksley W. "Slide" Hampton
372549	Locksley Wellington "Slide" Hampton
372549	S. Hampton
372549	S.Hampton
372549	Slide Hamilton
372549	Slide Hampton Quartet
381904	Sara Thornblade
391275	A. Keer
391275	A. Kerr
391275	Kerr
391275	Ms Anita Kerr
392598	Galfas
392598	S. Galfas
392598	Stephen Galfas
400928	G. Miller
400928	G. W. Miller
400928	Gary "Dr. Know" Miller
400928	Gary W. Miller
400928	Miller
402480	Torff
413568	B. Krause
413568	Bernard Krause
413568	Bernard L. Krause
413568	Dr. Bernie Krause
413568	Krause
413977	A Tennant
413977	A. Tennant
413977	A.Tennant
413977	Ali
413977	Ali Tenant
413977	Ali Tennant
413977	L. A. Tennant
413977	L. Tennant
413977	L.A. Tennant
413977	Lorne Tenant
413977	Tennant
418348	B. Barron
418348	B.Barron
418348	Barron
418348	William Barron
418348	William Barron Jr.
418348	William Barron, Jr.
449216	B Russell
449216	B. Russel
449216	B. Russell
449216	B.Russell
449216	Bob Russel
449216	Bobby Russel
449216	Bobby Russell
449216	R. Russell
449216	Rusnel
449216	Russel
449216	Russell
449216	Russill
449216	S. Russell
449216	S.K. Russell
449216	Sidney Russel
449216	Sidney Russell
449772	Hobgood
452309	Joe LeSesne
452309	Jordana
453850	J. La Porta
453850	J.LaPorta
453850	John La Porta
453850	John La Porte
453850	John LaPorta
453850	La Porta
453850	LaPorta
453854	Dodson
453854	Dotson
453854	Dotson Hobart Jr.
453854	Hobart/Dotson
453857	'Sticks' Evans
453857	Evans
453857	S. Evans
495093	S.Ahrenberg
495093	Ahrenberg
495093	S. Ahrenberg
495093	S. Ahrensberg
495093	S. Arhenberg
495093	S.Ahrenberg
495093	Seba Ahrenberg
497537	Y D
497537	Y. D.
497537	Y.D
497537	Y.D.
497537	YD
497537	Yves
497537	Yves Delauney
499327	J. Niiranen
499327	J.Niiranen
501732	Bob Scott Cohen
501732	Bobby Cohen
501732	Scott Cohen
503033	M Petrie
503033	M.
503033	M. Patrie
503033	M. Petrie
503033	M.Petrie
527635	C Cross
527635	C. C.
527635	C. Chros
527635	C. Cross
527635	C.C
527635	C.C.
527635	C.Cross
527635	C.Cross,
527635	CC
527635	CC.
527635	Ch. Cross
527635	Ch.Cross
527635	Chriss Cross
527635	Cross
527635	Cross, C.
533594	M. Weiss
533594	M. Weisser
533594	Weisser
556114	F. Racca
556114	F.Racca
556115	Fortuna
556116	M. Perani
556116	M.Perani
556116	Marco P.
567948	A Swain / S. Jolley
567948	A. Swain
567948	&
567948	S. Jolley
567948	A. Swain/S. Jolley
567948	Anthony Swain
567948	&
567948	Steve Jolley
567948	F. Jolley/T.Swain
567948	J. Swain
567948	J. Swain, N. Jolley
567948	Jelley / Swein
567948	Jolley
567948	&
567948	Swain
567948	Jolley , Swain
567948	Jolley - Swain
567948	Jolley / Swain
567948	Jolley / Tony
567948	Jolley and Swain
567948	Jolley Swain
567948	Jolley Swan
567948	Jolley, Swain
567948	Jolley, Swan
567948	Jolley, T. Swain
567948	Jolley-Swain
567948	Jolley-Swing
567948	Jolley/Swain
567948	Jolley/Tony Swain
567948	Jolly-Swan
567948	Jolly/Swain
567948	N. Jolley, J. Swain
567948	S Jolley
567948	&
567948	T Swain
567948	S.  Jolley/T. Swain
567948	S. Jolley
567948	&
567948	T. Swain
567948	S. Jolley , T. Swain
567948	S. Jolley - T. Swain
567948	S. Jolley / T. Swain
567948	S. Jolley And T. Swain
567948	S. Jolley, T. Swain
567948	S. Jolley-Swain
567948	S. Jolley-T. Swain
567948	S. Jolley/A. Swain
567948	S. Jolley/T. Swain
567948	S. Jolley/T. Swaint
567948	S. Jolly / T. Swain
567948	S.Jolley/T.Swain
567948	S.Jolly / T.Swain
567948	S.N. Jolley/A.J. Swain
567948	SN Jolley, AJ Swain
567948	Steve Jolley / Tony Swain
567948	Steve Jolley And Tony Swain
567948	Steve Jolley Et Tony Swain
567948	Steve Jolley, Antony Swain
567948	Steve Jolley, Tony Swain
567948	Steve Jolley-Tony Swain
567948	Steve Jolley/Tony Swain
567948	Swain
567948	&
567948	Jolley
567948	Swain / Joley
567948	Swain / Jolley
567948	Swain and Jolley
567948	Swain and Jolly
567948	Swain, Jolley
567948	Swain-Joley
567948	Swain/Jolley
567948	Swaine
567948	&
567948	Jolley
567948	Swaine+Jolley
567948	T. Swain
567948	&
567948	S. Jolley
567948	T. Swain
567948	&
567948	S. Jolly
567948	T. Swain
567948	&
567948	St. Jolley
567948	T. Swain - S. Jolley
567948	T. Swain / S. Jolley
567948	T. Swain And S. Jolley
567948	T. Swain, S. Jolle
567948	T. Swain, S. Jolley
567948	T. Swain, Steve Jolley
567948	T. Swain-S-Jolley
567948	T. Swain-S. Jolley
567948	T. Swain-S. Jolly
567948	T. Swain/S. Jolley
567948	T. Swain/S. Jolly
567948	T. Swain/St. Jolley
567948	T.Swain - S.Jolly
567948	T.Swain-S. Jolley
567948	Tony Swain
567948	&
567948	Steve Jolley
567948	Tony Swain , Steve Jolley
567948	Tony Swain / Steve Jolley
567948	Tony Swain And Steve Jolley
567948	Tony Swain Et Steve Jolly
567948	Tony Swain, Steve Jolley
567948	Tony Swain, Steve Jolly
567948	Tony Swain/ Steve Jolley
567948	Tony Swain/S. Jolley
567948	Tony Swain/Steve Jolley
605772	E Farjeon
605772	E. Fargeon
605772	E. Farjeon
605772	E.Farjeon
605772	Eleanor Fajeon
605772	Eleanor Farjeaon
605772	Farjeon
605772	W. Faryeom
605772	W. Faryeon
636022	Bob Di Domenica
636022	Bob Didomenica
636022	Robert Di Domenica
646964	Pete Roulinavage
646964	Peter J. Roulinavage
646964	Peter J. Roulinavage III
646964	Peter Roulinavage
662202	Cokemafia
668289	Pat von Wiegandt
668289	Patrick Von Weigant
668289	Patrick Von Weigndt
668289	Patrick Von Wiegant
668289	Patrick Von Wiegantd
668289	Patrick Von Wiegardt
669736	Harry Schulman
669736	Havoy Shulman
727416	E. White
791326	Daniel Sanchez Soliva
845581	&
845581	Jagger/Richards
845581	ジャガー
845581	&
845581	リチャーズ
845581	Џегер-Ричард
845581	Джаггер — Ричардз
845581	М. Джаггер — К. Ричард
845581	М. Джаггер, К. Ричардс
845581	М. Джеггер — К. Ричард
845581	H. Jagger / K. Richards
845581	J. Jagger, K. Richards
845581	Jager-Richard
845581	Jagge - Richard
845581	Jagger
845581	&
845581	Richards
845581	Jagger
845581	&
845581	Richard
845581	Jagger
845581	&
845581	Richards
845581	Jagger - K. Richards
845581	Jagger - Richard
845581	Jagger - Richards
845581	Jagger / Richard
845581	Jagger / Richards
845581	Jagger And Richard
845581	Jagger And Richards
845581	Jagger M.-Richards K.
845581	Jagger Richard
845581	Jagger Richards
845581	Jagger y Richards
845581	Jagger, Richard
845581	Jagger, Richards
845581	Jagger,Richard
845581	Jagger,Richards
845581	Jagger-Keith Richards
845581	Jagger-Richad
845581	Jagger-Richard
845581	Jagger/ Richards
845581	Jagger/Richard
845581	Jagger/Richard(s)
845581	Jagger/Richards
845581	Jagger:Richard
845581	Jagger; Richard
845581	Jagger; Richards
845581	Jagger;Richards
845581	Jaggers/Richard
845581	Jaggers/Richards
845581	Jqagger/Richard
845581	K. Richard - M. Jagger
845581	K. Richard / M. Jagger
845581	K. Richard, M. Jagger
845581	K. Richard, M.Jagger
845581	K. Richard-M. Jagger
845581	K. Richard/M. Jagger
845581	K. Richards - M. Jagger
845581	K. Richards And M. Jagger
845581	K. Richards, M. Jagger
845581	K. Richards-M. Jagger
845581	K. Richards/M. Jagger
845581	K.Richards, M. Jagger
845581	Keith Jagger-Keith Richard
845581	Keith Richard
845581	&
845581	Mick Jagger
845581	Keith Richard / Mick Jagger
845581	Keith Richard and Mick Jagger
845581	Keith Richard, Mick Jagger
845581	Keith Richard/Mick Jagger
845581	Keith Richard; Mick Jagger
845581	Keith Richards
845581	&
845581	Mick Jagger
845581	Keith Richards , Mick Jagger
845581	Keith Richards - Mick Jagger
845581	Keith Richards - Mike Jagger
845581	Keith Richards / Mick Jagger
845581	Keith Richards And Mick Jagger
845581	Keith Richards I Mick Jagger
845581	Keith Richards, Mick Jagger
845581	Keith Richards-Mick Jagger
845581	Keith Richards/Mick Jagger
845581	Keith/Richard
845581	Keithe Richards, Mick Jagger
845581	Keth Richards, Mick Jagger
845581	M Jagger And K Richards
845581	M Jagger/Richards
845581	M. Jagger
845581	&
845581	K. Richard
845581	M. Jagger
845581	&
845581	K. Richards
845581	M. Jagger - K. Richard
845581	M. Jagger - K. Richards
845581	M. Jagger - R. Richard
845581	M. Jagger - Richard
845581	M. Jagger - Richards
845581	M. Jagger / K. R ichards
845581	M. Jagger / K. Richard
845581	M. Jagger / K. Richards
845581	M. Jagger / K. Richards.
845581	M. Jagger / Richard
845581	M. Jagger And K. Richards
845581	M. Jagger y K. Richard
845581	M. Jagger, K. Richard
845581	M. Jagger, K. Richards
845581	M. Jagger, K.Richards
845581	M. Jagger, Richard
845581	M. Jagger- K. Richard
845581	M. Jagger- K. Richards
845581	M. Jagger-K. Richard
845581	M. Jagger-K. Richards
845581	M. Jagger-K. Richardson
845581	M. Jagger-K.Richards
845581	M. Jagger/ K. Richard
845581	M. JAgger/ K. Richards
845581	M. Jagger/K. Richard
845581	M. Jagger/K. Richards
845581	M. Jagger/K.Richards
845581	M. Jagger/Richards
845581	M. Jagger; K. Richard
845581	M. Jagger; K. Richards
845581	M. Jagger—K.Richardson
845581	M. Jagger\\K. Richards
845581	M.Jagger - K. Richard
845581	M.Jagger - K. Richards
845581	M.Jagger, K. Richard
845581	M.Jagger, K. Richards
845581	M.Jagger, K.Richard
845581	M.Jagger, K.Richards
845581	M.Jagger-K. Richards
845581	M.Jagger-K.Richard
845581	M.Jagger-K.Richards
845581	M.Jagger/K. Richard
845581	M.Jagger/K. Richards
845581	M.Jagger/K.Richard
845581	M.Jagger/K.Richards
845581	Mich Jagger, Keith Richards
845581	Mich Jagger/Keith Richards
845581	Michael Jagger
845581	&
845581	Keith Richards
845581	Michael Jagger - Keith Richard
845581	Michael Jagger-Keith Richards
845581	Michael Philip "Mick" Jagger-Keith Richards
845581	Michael Philip Jagger
845581	&
845581	Keith Richards
845581	Michael Philip Jagger And Keith Richards
845581	Michael Philip Jagger, Keith Richards
845581	Michael Phillip Jagger
845581	Keith Richards
845581	Michael Phillip Jagger - Keith Richards
845581	Michael Phillip Jagger, Keith Richards
845581	Micj Jagger - Keith Richard
845581	Mick Jaeger - Keith Richars
845581	Mick Jaegger
845581	&
845581	Keith Richards
845581	Mick Jager/Keith Richard
845581	Mick Jagger
845581	&
845581	Keith Richard
845581	Mick Jagger
845581	&
845581	Keith Richards
845581	Mick Jagger , Keith Richards
845581	Mick Jagger - Keith Richard
845581	Mick Jagger - Keith Richards
845581	Mick Jagger / Keith Richard
845581	Mick Jagger / Keith Richards
845581	Mick Jagger A Keith Richards
845581	Mick Jagger And Keith Richard
845581	Mick Jagger And Keith Richards
845581	Mick Jagger · Keith Richards
845581	Mick Jagger E Keith Richards
845581	Mick Jagger Keith Richards
845581	Mick Jagger Y Keith Richard
845581	Mick Jagger Y Keith Richards
845581	Mick Jagger, Keith Richard
845581	Mick Jagger, Keith Richards
845581	Mick Jagger-Keith Richard
845581	Mick Jagger-Keith Richards
845581	Mick Jagger/Keith Richard
845581	Mick Jagger/Keith Richards
845581	Mick Jagger/KeithRichards
845581	Mick Jagger; Keith Richard
845581	Mick Jagger; Keith Richards
845581	Mick Jagger—Keith Richard
845581	Mick Jaqger-Keith Richards
845581	Mick Lagger And Keith Richards
845581	Mike Jagger
845581	&
845581	Keith Richard
845581	Mike Jagger
845581	&
845581	Keith Richards
845581	Mike Jagger - Keith Richard
845581	Nanker, Phelge
845581	Nick Jagger-Keith Richard
845581	Philip Michael Jagger, Keith Richards
845581	Richard
845581	&
845581	Jagger
845581	Richard - Jagger
845581	Richard, Jagger
845581	Richard-Jagger
845581	Richard/Jagger
845581	Richard; Jagger
845581	Richards
845581	Richards - Jager
845581	Richards - Jagger
845581	Richards / Jagger
845581	Richards, Jagger
845581	Richards-Jagger
845581	Richards/Jagger
1030263	Jeff Taylor and Mark Taylor
1030263	Mark
1030263	&
1030263	Jeff
1030263	Mark Taylor
1030263	&
1030263	Jeff Taylor
1030263	Mark Taylor and Jeff Taylor
1030263	Mark Taylor, Jeff Taylor
1069010	P. Saville
1069010	P. Saville - SpA10
1069010	P. Saville–SpA10
1069010	P. Saville—SpA10
1069010	Pete Saville
1069010	Peter
1069010	Peter Saville (PSA)
1069010	Saville
1243132	Mear
1543343	F K Williams
1543343	F. K. Williams
1543343	F. Keith
1543343	F. Williams
1543343	F.K. Williams
1543343	F.Williams
1543343	Farley (Jackmaster) Williams
1543343	Farley Funkmaster Keith
1543343	Farley K. Williams
1543343	Farley Keith
1543343	Farley Williams
1543343	Farleywilliams
1543343	FK Williams
1543343	FK. Williams
1543343	K Farley
1543343	Keith 'Farley' Williams
1543343	Keith Farley
1543343	Keith Williams
1543343	W. Farley Keith
1543343	W.F. Keith
1572374	Gary Hudson
1572374	Hudson
1572374	P. Hudson
1572374	Paul Hudson
1572374	Phil Hudson
1845716	D. Feingold
1845716	Deburah Feingold
1894513	Janaia Donaldson Images
1979733	Morrison (Christian) O'Donnell (Christopher) Ltd.
1979733	Morrison / O'Donnell
1979733	Morrison O'Donnell
1979733	Morrison-O'Donnell Limited
1979733	Morrison-O’Donnell Limited
\.


--
-- Data for Name: artists_urls; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artists_urls (artist_id, url) FROM stdin;
161	http://www.toddedwardsmusic.com
161	http://www.todd-edwards.net
161	http://www.myspace.com/toddedwards
161	http://www.facebook.com/toddedwardsmusic
161	http://twitter.com/toddedwards3000
161	http://soundcloud.com/todd-edwards
161	http://toddedwards.bandcamp.com
1570	http://www.myspace.com/felixdahousecat
1570	http://www.felix-da-housecat.de
1570	http://www.felixdahousecat.com
1570	http://www.deejaybooking.com/felixdahousecat
1570	http://twitter.com/TheeRealFDHC
1812	http://www.myspace.com/erickupper
1825	http://www.joeynegro.com/
1825	http://www.myspace.com/joey_negro
1825	http://twitter.com/JoeyNegro
1825	http://en.wikipedia.org/wiki/Dave_Lee_(DJ)
2323	http://djhypehypehype.co.uk/
2323	http://www.myspace.com/hypehypehype
2323	http://www.facebook.com/hypehypehype
2323	http://twitter.com/DJHYPE_PLAYAZ
2713	http://www.yazooinfo.com
2713	http://www.myspace.com/yazooofficial
2713	http://pedes.net/yazoo
2713	http://www.yazooforum.com
2714	http://www.erasureinfo.com
2714	http://www.totalerasure.com
2714	http://www.erasure.de
2714	http://www.erasure.ru
2714	http://www.myspace.com/erasureofficial
2714	http://www.synt.nu/erasure
2714	http://www.onges-erasure-page.co.uk
2851	http://www.myspace.com/djhive
2851	http://www.violencerecordings.com
3612	http://www.djwallypishposh.com
4115	http://www.ebtg.com/
4115	http://www.myspace.com/benandtracey
4115	http://en.wikipedia.org/wiki/Everything_but_the_Girl
4945	http://www.djswamp.com/
5160	http://www.myspace.com/chrisliberator
5160	http://www.residentadvisor.net/dj/chrisliberator
5160	http://www.sufbookings.com/clib.html
5649	http://www.demigodz.com/
5797	http://www.atb-music.com/
5797	http://www.facebook.com/andretanneberger
5797	http://www.myspace.com/andretanneberger
5797	http://twitter.com/atbandre
5797	http://www.atb-music.ru/
5797	http://www.dontstop.co.uk
7620	http://www.officialdoubleyou.com/
7620	http://www.myspace.com/officialdoubleyou
7620	http://en.wikipedia.org/wiki/Double_You
7624	http://www.djdavidmorales.com
7624	http://www.facebook.com/djdavidmorales
7624	http://www.youtube.com/user/DjDavidMorales
7624	http://twitter.com/djdavidmorales
7624	http://www.myspace.com/djdavidmorales
7698	http://www.snap-world.com/
7698	http://www.myspace.com/snapofficial
8024	http://www.janetjackson.com
8024	http://www.myspace.com/janetjackson
8024	http://www.onamrecords.com/myartists.php?artist=Janet%20Jackson
8024	http://en.wikipedia.org/wiki/Janet_Jackson
8024	http://twitter.com/JanetJackson
8024	http://www.cravingjanet.com/
8099	http://www.ultranate.com
8099	http://www.myspace.com/ultranatemusic
8099	http://www.facebook.com/ultranatemusic
8099	http://en.wikipedia.org/wiki/Ultra_Nate
8099	http://twitter.com/ultranatemusic
9838	http://www.mixmastermike.com
9838	http://www.beastiemania.com
10299	http://www.facebook.com/pages/Jordana-aka-187/49089429814
10299	http://soundcloud.com/jordana-1
10299	http://en.wikipedia.org/wiki/1.8.7
10360	http://www.klaus-schulze.com
10360	http://en.wikipedia.org/wiki/Klaus_Schulze
11449	http://www.nenehcherry.de/
11449	http://www.myspace.com/nenehcherry
11449	http://en.wikipedia.org/wiki/Neneh_Cherry
11617	http://www.chriscox.net/
11617	http://www.myspace.com/djchriscox
11617	http://www.facebook.com/chriscoxofficial
11879	http://www.loureed.org/
12206	http://www.claudiococcoluto.dj/
12206	http://www.myspace.com/coccodj
12343	http://www.myspace.com/djbookert
12343	http://www.kingsofsoul.com/
13227	http://www.mussomusic.com
13227	http://www.mussomusic.com/disco_date.html
13407	http://www.davethedrummer.net/
15885	http://www.michaeljackson.com
15885	http://www.myspace.com/michaeljackson
15885	http://www.facebook.com/michaeljackson
15885	http://www.youtube.com/user/MichaelJacksonVEVO
15885	http://en.wikipedia.org/wiki/Michael_Jackson
15885	http://www.last.fm/music/Michael+Jackson
17456	http://www.bloodyfist.com.au
17456	http://www.myspace.com/bloodyfistmusic
18712	http://www.myspace.com/contriva
18956	http://www.steviewonder-unofficial.com/
18956	http://www.steviewonder.net/
18956	http://www.myspace.com/steviewondermusic
18956	http://en.wikipedia.org/wiki/Stevie_Wonder
19674	http://www.alisonmoyet.com/
19674	http://www.myspace.com/alisonmoyetofficial
20337	http://www.drzvago.com/
20400	http://www.themasochist.com
20400	http://www.facebook.com/pages/The-Masochist/135403103179975
20662	http://www.francois-k.com/
20662	http://www.myspace.com/francois_k
20662	http://twitter.com/fknyc
20662	http://en.wikipedia.org/wiki/Fran%C3%A7ois_Kevorkian
21147	http://www.pharoahsanders.net/
21742	http://lifeandtimes.com/
21742	http://www.myspace.com/jayz
21742	http://twitter.com/jayz
21742	http://rocnation.com/jayz/
21742	http://en.wikipedia.org/wiki/Jay-Z
22757	http://www.luthervandross.com/index2.html
22757	http://en.wikipedia.org/wiki/Luther_Vandross
24394	http://www.thedestroyer.it
24394	http://www.myspace.com/thedestroyerit
24394	http://www.legaldownload.net/theDESTROYER
24394	http://soundcloud.com/thedestroyer-1
26695	http://www.wawa.tk/
26936	http://www.myspace.com/apathy
27628	http://www.myspace.com/rickydillard
28164	http://www.ralphirosario.com/
28164	http://www.myspace.com/ralphirosario
28521	http://www.myspace.com/darrylpandy7
28802	http://www.myspace.com/farleyjackmasterfunkcom
29225	http://www.soulwalking.co.uk/Fat%20Larry's%20Band.html
34220	http://www.myspace.com/rhettmatic
34220	http://www.statemaster.com/encyclopedia/DJ-Rhettmatic
35740	http://janesaddiction.com
35740	http://janesaddiction.org
35740	http://xiola.org
35740	http://en.wikipedia.org/wiki/Jane%27s_Addiction
37365	http://vinceclarkemusic.com/
37365	http://www.vinceclarke.de/
37365	http://www.clarkewareboxset.com/
37606	http://catstevens.com/
37606	http://www.onamrecords.com/myartists.php?artist=Cat%20Stevens
40135	http://connyplank.com/
40135	http://www.myspace.com/ConnyPlank
40135	http://en.wikipedia.org/wiki/Conny_Plank
46506	http://www.thedivide.co.uk
46506	http://www.myspace.com/d1v1de
48432	http://www.isaachayes.com/
48432	http://www.rockhall.com/inductee/isaac-hayes
48432	http://en.wikipedia.org/wiki/Isaac_Hayes
50872	http://www.torturedsoulmusic.com
50872	http://www.myspace.com/torturedsoul
55439	http://www.1giantleap.tv
56677	http://www.myspace.com/ulalisofficialpage
56678	http://www.speechmusic.com/
56678	http://en.wikipedia.org/wiki/Speech_(rapper)
56680	http://www.eddireader.co.uk/
56680	http://en.wikipedia.org/wiki/Eddi_Reader
56838	http://www.6767.com
56838	http://en.wikipedia.org/wiki/Dave_Navarro
56851	http://www.myspace.com/sherreebrown
56851	http://www.sherreebrown.com
64774	http://www.daddykev.com/
64774	http://www.myspace.com/daddykev
64774	http://www.facebook.com/daddykev
64774	http://twitter.com/daddykev
64774	http://en.wikipedia.org/wiki/Daddy_Kev
64774	http://www.residentadvisor.net/dj/daddykev
64774	http://www.alphapuprecords.com/artistpage.php?ArtistID=31
66253	http://www.spandauballet.com/
66253	http://discogs.h17.ru/discographies/spandau_ballet.htm
66253	http://en.wikipedia.org/wiki/Spandau_Ballet
66817	http://www.demigodz.com/
66852	http://www.theprodigy.com
66852	http://www.myspace.com/theprodigy
66852	http://www.facebook.com/pages/The-Prodigy/18452288248
66852	http://www.youtube.com/prodigychannel
66852	http://www.flickr.com/photos/the-prodigy
66852	http://en.wikipedia.org/wiki/The_Prodigy
70735	http://www.ultravox.org.uk
70735	http://jage.jp/ultravox/disco/Discography_UV_All.html
70735	http://en.wikipedia.org/wiki/Ultravox
70735	http://discogs.h17.ru/discographies/ultravox_solo.htm
70735	http://www.discog.info/ultravox-discog2.html
72881	http://www.ultravox.org.uk/
72881	http://www.midgeure.com/
72881	http://www.discog.info/midge-ure.html
72881	http://en.wikipedia.org/wiki/Midge_Ure
73328	http://www.myspace.com/hollyvalance
73328	http://www.hollyvalance.com/
73538	http://www.chronoglide.com/organum.html
73538	http://www.esophagus.com/organum
82375	http://www.chronoglide.com/organum.html
82713	http://www.myspace.com/demigodz
82713	http://demigodzstore.bigcartel.com/
90037	http://www.myspace.com/pharrell
90037	http://twitter.com/pharrellnerd
92225	http://www.esoterichiphop.com/
96598	http://www.myspace.com/motive
124165	http://www.italianprog.com/a_banfi.htm
143799	http://www.louislogic.com
145257	http://www.dukeellington.com
145257	http://www.depanorama.net
145257	http://en.wikipedia.org/wiki/Duke_Ellington
145272	http://www.myspace.com/theericdolphysolowebsite
145272	http://www.outward-bound.de/
145272	http://adale.org/Discographies/EDIntro.HTML
145272	http://www.jazzdisco.org/eric-dolphy/
147064	http://web.mac.com/djtroysands63
158576	http://www.myspace.com/149672
163549	http://alek.szahala.com
167055	http://www.yuseflateef.com/
167055	http://www.myspace.com/yuseflateef
183701	http://www.boosted.com
191242	http://maddecent.com/
191242	http://www.bigdada.com/artist.php?id=107
191242	http://www.myspace.com/diplo
191242	http://twitter.com/diplo
191242	http://en.wikipedia.org/wiki/Diplo_(DJ)
194667	http://www.deejaybooking.com/farleyjackmasterfunk
194667	http://www.myspace.com/farleyjackmasterfunkcom
194667	http://twitter.com/FARLEYJMF
200776	http://www.charlesmccracken.com/welcome.html
200785	http://www.willlee.com/
200815	http://www.mingusmingusmingus.com
200815	http://en.wikipedia.org/wiki/Charles_Mingus
209415	http://www.jeanmicheljarre.com/
209415	http://www.myspace.com/jeanmicheljarre
209415	http://www.facebook.com/pages/Jean-Michel-Jarre/9760369095
209415	http://www.jarre.ch/Discography.htm
209415	http://twitter.com/JMJofficial
209415	http://aerojarre.blogspot.com/
209415	http://youtube.com/jeanmicheljarre
209415	http://www.fotopedia.com/albums/fad5258c-2100-4282-8369-2a51d936a666
209415	http://en.wikipedia.org/wiki/Jean-Michel_Jarre
210166	http://www.myspace.com/sandramelody
210518	http://www.zeenaparkins.com
210518	http://home.arcor.de/nyds-exp-discogs/parkins.htm
213079	http://www.myspace.com/openmicdemigodz
214761	http://www.tonymendez.com/
214761	http://www.myspace.com/djtonymendez
214762	http://www.myspace.com/morenojavier
217242	http://www.clarkterry.com/
225533	http://lacquerchannel.com/the-engineers/noah-mintz/
227461	http://www.michaelshrieve.com/
227461	http://www.myspace.com/michaelshrieve
230694	http://www.marcusbelgrave.net
230694	http://www.myspace.com/marcusbelgrave
244688	http://www.majikmost.com/
247726	http://www.billycurrie.com/
247726	http://www.ultravox.org.uk/
252197	http://www.perkinspalace.com/
253339	http://www.sammyfigueroa.com/
255243	http://www.oasismastering.com/
255280	http://www.hirambullock.com/
255280	http://en.wikipedia.org/wiki/Hiram_Bullock
258968	http://www.darryljenifer.com
258968	http://www.myspace.com/badbrains777
258968	http://en.wikipedia.org/wiki/Darryl_Jenifer
260056	http://www.studioexpresso.com/profiles/MarkLinett.htm
260577	http://www.myspace.com/philemonarthur
260718	http://en.wikipedia.org/wiki/Danny_Bank
260718	http://www.jazzbarisax.com/bank.php
274978	http://www.eddiebertjazz.com/
274979	http://www.rahannamusic.com
274979	http://en.wikipedia.org/wiki/Roland_Hanna
274979	http://de.wikipedia.org/wiki/Roland_Hanna
283844	http://www.mckuen.com/
283844	http://www.cmt.com/artists/az/mckuen_rod/artist.jhtml
300468	http://www.metropolis-group.co.uk
300765	http://www.paulwertico.com/
303769	http://www.douglashenderson.org
342896	http://www.ericavery.net/
342896	http://ericavery.blogspot.com/
343332	http://www.murphyslawnyc.com/
361222	http://www.facebook.com/jkriv
372549	http://www.slidehampton.com/
391275	http://en.wikipedia.org/wiki/Anita_Kerr
413568	http://www.wildsanctuary.com/
413568	http://insidewildsanctuary.blogspot.com/
413568	http://www.myspace.com/wildsanctuary
449216	http://en.wikipedia.org/wiki/Bob_Russell_(songwriter)
449772	http://www.laurencehobgood.com/
452309	http://www.jordana.org/
527635	http://www.ultravox.org.uk/
527635	http://sound.jp/rockwrok/index.html
533594	http://www.mikeweisser.de/
605772	http://en.wikipedia.org/wiki/Eleanor_Farjeon
662202	http://www.machomusic.es
669736	http://www.stuart-dunkel.com/shulman/bio.html
727416	http://www.myspace.com/easytracksnyc
727416	http://www.myspace.com/torturedsoul
727416	http://www.torturedsoulmusic.com
845581	http://en.wikipedia.org/wiki/Jagger/Richards
1069010	http://www.savilleparriswakefield.com/temp2008
1069010	http://www.cerysmaticfactory.info/peter_saville.html
1069010	http://www.btinternet.com/~comme6/saville
1069010	http://www.tosq.com/petersaville/disc/index.html
1243132	http://www.mearone.com
1845716	http://www.deborahfeingold.com/
\.


--
-- Data for Name: labels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels (id, parentlabel, name, contactinfo, data_quality, profile) FROM stdin;
130	Good Looking Records	Looking Good Records	\N	Correct	Looking Good is a sublabel of LTJ Bukem's [l=Good Looking Records]
160	XL Recordings Ltd.	XL Recordings	\N	Correct	
267	\N	Trax Records	\N	Correct	
681	Warner Music Group	Atlantic	\N	Correct	
750	Universal Music Group	Virgin	\N	Needs Vote	Some of the middle-old editions have silver labels with red printing. Newer editions have black printings.
915	Kontor Records GmbH	Kontor Records	\N	Correct	Labelcode: [b]LC 2182 / LC 02182[/b]
1000	Warner Music Group	Warner Bros. Records	\N	Needs Vote	Source: Joe Lindsay's ''Record Label Guide'' and Raymond Dumont's collection.
1060	Universal Music Operations Ltd.	London Records	\N	Needs Vote	
1103	Ninja Tune	Big Dada Recordings	\N	Correct	LC-12885
1175	\N	Palm Pictures	\N	Correct	\N
1412	Parlophone	Credence	\N	Needs Vote	R).
1610	Universal Music Group	Polydor	\N	Needs Vote	Label code: LC 0309 / LC 00309
1624	\N	Labello Blanco Recordings	\N	Needs Vote	
1676	Rhythm Import Records	Fresh Fruit Records	\N	Correct	Fresh Fruit Label designed by Hakan Coskunsoy.
1717	Liquid Sky	Jungle Sky	\N	Correct	bass style tracks.
1832	\N	Z Records	\N	Correct	Disco-based house label run by Dave Lee aka Joey Negro.
2660	Satellite Records (US)	Central Park Recordings	\N	Correct	Soulful deep house label. Releases are distributed through Satellite Records Label Group.
2739	Arista	Profile Records	\N	Needs Vote	
3198	EMI Records Ltd.	Chrysalis	\N	Needs Vote	(C) info, BIEM, etc.). [/b]
3650	\N	Tzadik	\N	Correct	-- John Zorn and the folks at Tzadik
3719	\N	Fortuna Records	\N	Correct	
4043	Drizzly Music	Composure Records	\N	Needs Vote	German Techno label.
4293	Da Music	Innovative Communication	\N	Needs Vote	LC 6459[/b]
5857	So Dens	Minifunk	\N	Correct	several worldwide welcomed friends join the label regularly.
6394	\N	Almo Sounds	\N	Correct	
7180	UCMG UK	Intensiv	\N	Needs Vote	
7483	Remix Holdings, Inc.	Hot Tracks	\N	Correct	, in 2006. Select Mix has brought back the Hot Tracks company name and has released new issues of Street Tracks and Hot Tracks.
8377	Island Def Jam Music Group	Island Records	\N	Correct	)[/i]
8617	\N	Ill Boogie Records	\N	Correct	Formally known as [l=Blackberry Records]
10246	\N	Lok Musik	\N	Correct	\N
10867	\N	RRRecords	\N	Correct	Experimental / noise / electronics label run by [a=Ron Lessard], from Lowell, Massachusetts, USA.  Each "Recycled Music" release has handmade artwork. Each is different in some way.
12563	Trance Communications Records	Trance Communications Red Records	\N	Correct	
12729	\N	Robot Records	\N	Correct	.
12886	\N	Die Stadt	\N	Correct	Highly acclaimed German experimental label that produces and distributes limited edition CDs and vinyl of new and archival work by David Jackman/Organum, The Hafler Trio, John Duncan, C.M. von Hausswolff, Richard H. Kirk, Asmus Tietchens, Thomas Köner, Kontakt der Jünglinge, Illusion of Safety, Mirror and more.
15524	\N	Triple X Records	\N	Correct	, and Charley Brown.
19189	Interscope Records	Star Trak Entertainment	\N	Needs Vote	Star Trak Entertainment is a record label, specializing in hip-hop music, founded by record producers Chad Hugo and Pharrell Williams in 2002. Star Trak Entertainment operates as a subsidiary of Universal Music Group, and is distributed through Interscope Records.
21903	Mando Records	Esquisi-tekk Records	\N	Correct	and distributed by "Mot Records"
23957	\N	Siren Records (4)	\N	Needs Vote	Industrial music label founded by [a=Daisuke Suzuki].
25924	\N	Touchin Down Productions	\N	Correct	amp; event promotions...
27119	\N	Sofa Records	\N	Correct	Sofa Records is a division of Bu Indutries releasing SKAM-like electronica.
33344	\N	Psychospores	\N	Correct	This label is from Circus Alien Sound System in Czech Republic
34299	\N	Disques Vogue	\N	Correct	
38670	Ruboy Records	Ruboy Records Gold	\N	Correct	
39357	Island Def Jam Music Group	Mercury	\N	Needs Vote	© note, BIEM).[/b]
64452	\N	Non Quality Audio	\N	Correct	Non Quality Audio is the sub-label of Far From Showbiz based in the United States started by [a=RedSK]. They are all about complete musical freedom. This is music that meets no standards. Music that can make someone feel uncomfortable or awkward. Music meant to alienate people. Music hard to listen to. Music of all genres (and some non-existent) coming together as a giant collective of disgusting sounds. They accept music from independent and underground artists looking to break from any sort of normality or group.
69009	FINRG Recordings	FINRG Digital	\N	Correct	Freeform label.
75594	\N	Rapedtraxx	\N	Correct	\N
82343	\N	Phase 4 Records (2)	\N	Correct	\N
190753	\N	Naim Label	\N	Correct	\N
325134	ACV	Rise Records (6)	\N	Correct	D Music and Vision.
346838	Silence Records AB	Silence (3)	\N	Correct	\N
\.


--
-- Data for Name: labels_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_images (label_id, uri, type, height, width, uri150) FROM stdin;
130	http://api.discogs.com/image/L-130-001.gif	primary	60	100	http://api.discogs.com/image/L-150-130-001.gif
160	http://api.discogs.com/image/L-160-002.jpg	primary	220	300	http://api.discogs.com/image/L-150-160-002.jpg
160	http://api.discogs.com/image/L-160-1334927385.jpeg	secondary	248	242	http://api.discogs.com/image/L-150-160-1334927385.jpeg
160	http://api.discogs.com/image/L-160-1204286445.jpeg	secondary	170	600	http://api.discogs.com/image/L-150-160-1204286445.jpeg
160	http://api.discogs.com/image/L-160-003.jpg	secondary	150	150	http://api.discogs.com/image/L-150-160-003.jpg
267	http://api.discogs.com/image/L-267-1211075810.jpeg	primary	87	175	http://api.discogs.com/image/L-150-267-1211075810.jpeg
267	http://api.discogs.com/image/L-267-1293140613.jpeg	secondary	131	280	http://api.discogs.com/image/L-150-267-1293140613.jpeg
681	http://api.discogs.com/image/L-681-1202010441.png	primary	217	217	http://api.discogs.com/image/L-150-681-1202010441.png
681	http://api.discogs.com/image/L-681-1300610529.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-681-1300610529.jpeg
681	http://api.discogs.com/image/L-681-1300610348.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-681-1300610348.jpeg
681	http://api.discogs.com/image/L-681-1235145969.jpeg	secondary	289	449	http://api.discogs.com/image/L-150-681-1235145969.jpeg
681	http://api.discogs.com/image/L-681-1197928383.jpeg	secondary	267	356	http://api.discogs.com/image/L-150-681-1197928383.jpeg
681	http://api.discogs.com/image/L-681-1275607705.jpeg	secondary	447	481	http://api.discogs.com/image/L-150-681-1275607705.jpeg
681	http://api.discogs.com/image/L-681-1294763019.jpeg	secondary	600	597	http://api.discogs.com/image/L-150-681-1294763019.jpeg
681	http://api.discogs.com/image/L-681-1294763026.jpeg	secondary	600	597	http://api.discogs.com/image/L-150-681-1294763026.jpeg
681	http://api.discogs.com/image/L-681-1294763033.jpeg	secondary	592	600	http://api.discogs.com/image/L-150-681-1294763033.jpeg
681	http://api.discogs.com/image/L-681-1294763038.jpeg	secondary	591	600	http://api.discogs.com/image/L-150-681-1294763038.jpeg
681	http://api.discogs.com/image/L-681-1327678318.jpeg	secondary	593	600	http://api.discogs.com/image/L-150-681-1327678318.jpeg
681	http://api.discogs.com/image/L-681-1331804369.jpeg	secondary	338	523	http://api.discogs.com/image/L-150-681-1331804369.jpeg
681	http://api.discogs.com/image/L-681-1331804389.jpeg	secondary	582	599	http://api.discogs.com/image/L-150-681-1331804389.jpeg
681	http://api.discogs.com/image/L-681-1331804397.jpeg	secondary	590	599	http://api.discogs.com/image/L-150-681-1331804397.jpeg
681	http://api.discogs.com/image/L-681-1331804410.jpeg	secondary	578	599	http://api.discogs.com/image/L-150-681-1331804410.jpeg
681	http://api.discogs.com/image/L-681-1331804420.jpeg	secondary	578	594	http://api.discogs.com/image/L-150-681-1331804420.jpeg
750	http://api.discogs.com/image/L-750-1235390532.jpeg	primary	437	447	http://api.discogs.com/image/L-150-750-1235390532.jpeg
750	http://api.discogs.com/image/L-750-1298600276.jpeg	secondary	530	600	http://api.discogs.com/image/L-150-750-1298600276.jpeg
750	http://api.discogs.com/image/L-750-1309903230.jpeg	secondary	250	250	http://api.discogs.com/image/L-150-750-1309903230.jpeg
750	http://api.discogs.com/image/L-750-1209326869.jpeg	secondary	413	550	http://api.discogs.com/image/L-150-750-1209326869.jpeg
750	http://api.discogs.com/image/L-750-1321655435.jpeg	secondary	600	600	http://api.discogs.com/image/L-150-750-1321655435.jpeg
750	http://api.discogs.com/image/L-750-1234646850.jpeg	secondary	352	355	http://api.discogs.com/image/L-150-750-1234646850.jpeg
750	http://api.discogs.com/image/L-750-1324930949.jpeg	secondary	363	365	http://api.discogs.com/image/L-150-750-1324930949.jpeg
750	http://api.discogs.com/image/L-750-1324931036.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324931036.jpeg
750	http://api.discogs.com/image/L-750-1324930265.jpeg	secondary	364	365	http://api.discogs.com/image/L-150-750-1324930265.jpeg
750	http://api.discogs.com/image/L-750-1324930371.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930371.jpeg
750	http://api.discogs.com/image/L-750-1324930557.jpeg	secondary	363	365	http://api.discogs.com/image/L-150-750-1324930557.jpeg
750	http://api.discogs.com/image/L-750-1324930590.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930590.jpeg
750	http://api.discogs.com/image/L-750-1324931174.jpeg	secondary	364	365	http://api.discogs.com/image/L-150-750-1324931174.jpeg
750	http://api.discogs.com/image/L-750-1324930517.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930517.jpeg
750	http://api.discogs.com/image/L-750-1324930468.jpeg	secondary	365	365	http://api.discogs.com/image/L-150-750-1324930468.jpeg
915	http://api.discogs.com/image/L-915-1358455437-2659.jpeg	primary	600	600	http://api.discogs.com/image/L-150-915-1358455437-2659.jpeg
915	http://api.discogs.com/image/L-915-1166784409.jpeg	secondary	180	180	http://api.discogs.com/image/L-150-915-1166784409.jpeg
915	http://api.discogs.com/image/L-915-1173021282.jpeg	secondary	343	600	http://api.discogs.com/image/L-150-915-1173021282.jpeg
1000	http://api.discogs.com/image/L-1000-1351783568-4179.jpeg	primary	600	600	http://api.discogs.com/image/L-150-1000-1351783568-4179.jpeg
1000	http://api.discogs.com/image/L-1000-1175669293.jpeg	secondary	698	533	http://api.discogs.com/image/L-150-1000-1175669293.jpeg
1000	http://api.discogs.com/image/L-1000-1159478385.gif	secondary	532	532	http://api.discogs.com/image/L-150-1000-1159478385.gif
1000	http://api.discogs.com/image/L-1000-1175669367.gif	secondary	192	175	http://api.discogs.com/image/L-150-1000-1175669367.gif
1000	http://api.discogs.com/image/L-1000-1241590764.jpeg	secondary	94	200	http://api.discogs.com/image/L-150-1000-1241590764.jpeg
1060	http://api.discogs.com/image/L-1060-1333700932.png	primary	240	520	http://api.discogs.com/image/L-150-1060-1333700932.png
1060	http://api.discogs.com/image/L-1060-1333700468.png	secondary	127	460	http://api.discogs.com/image/L-150-1060-1333700468.png
1060	http://api.discogs.com/image/L-1060-1250648945.jpeg	secondary	600	441	http://api.discogs.com/image/L-150-1060-1250648945.jpeg
1060	http://api.discogs.com/image/L-1060-1250648859.png	secondary	196	247	http://api.discogs.com/image/L-150-1060-1250648859.png
1060	http://api.discogs.com/image/L-1060-001.gif	secondary	60	150	http://api.discogs.com/image/L-150-1060-001.gif
1060	http://api.discogs.com/image/L-1060-1235148173.jpeg	secondary	324	457	http://api.discogs.com/image/L-150-1060-1235148173.jpeg
1060	http://api.discogs.com/image/L-1060-1250648902.jpeg	secondary	189	415	http://api.discogs.com/image/L-150-1060-1250648902.jpeg
1060	http://api.discogs.com/image/L-1060-1284469777.jpeg	secondary	183	596	http://api.discogs.com/image/L-150-1060-1284469777.jpeg
1060	http://api.discogs.com/image/L-1060-1284469795.jpeg	secondary	331	600	http://api.discogs.com/image/L-150-1060-1284469795.jpeg
1060	http://api.discogs.com/image/L-1060-1292153783.jpeg	secondary	439	600	http://api.discogs.com/image/L-150-1060-1292153783.jpeg
1060	http://api.discogs.com/image/L-1060-1295030670.jpeg	secondary	352	600	http://api.discogs.com/image/L-150-1060-1295030670.jpeg
1060	http://api.discogs.com/image/L-1060-1315475521.jpeg	secondary	154	415	http://api.discogs.com/image/L-150-1060-1315475521.jpeg
1060	http://api.discogs.com/image/L-1060-1361325065-7005.jpeg	secondary	287	600	http://api.discogs.com/image/L-150-1060-1361325065-7005.jpeg
1103	http://api.discogs.com/image/L-1103-001.jpg	primary	166	296	http://api.discogs.com/image/L-150-1103-001.jpg
1103	http://api.discogs.com/image/L-1103-1241459582.png	secondary	93	325	http://api.discogs.com/image/L-150-1103-1241459582.png
1175	http://api.discogs.com/image/L-1175-1230994407.png	primary	80	242	http://api.discogs.com/image/L-150-1175-1230994407.png
1175	http://api.discogs.com/image/L-1175-1080964454.gif	secondary	50	193	http://api.discogs.com/image/L-150-1175-1080964454.gif
1412	http://api.discogs.com/image/L-1412-003.gif	secondary	111	246	http://api.discogs.com/image/L-150-1412-003.gif
1412	http://api.discogs.com/image/L-1412-004.jpg	secondary	100	130	http://api.discogs.com/image/L-150-1412-004.jpg
1412	http://api.discogs.com/image/L-1412-1196638848.jpeg	secondary	367	448	http://api.discogs.com/image/L-150-1412-1196638848.jpeg
1610	http://api.discogs.com/image/L-36385-1172307926.jpeg	primary	273	600	http://api.discogs.com/image/L-150-36385-1172307926.jpeg
1610	http://api.discogs.com/image/L-17811-1172432325.jpeg	secondary	265	600	http://api.discogs.com/image/L-150-17811-1172432325.jpeg
1610	http://api.discogs.com/image/L-17811-1161203343.jpeg	secondary	220	292	http://api.discogs.com/image/L-150-17811-1161203343.jpeg
1610	http://api.discogs.com/image/L-1610-1198011974.jpeg	secondary	245	400	http://api.discogs.com/image/L-150-1610-1198011974.jpeg
1610	http://api.discogs.com/image/L-1610-1307073912.jpeg	secondary	116	183	http://api.discogs.com/image/L-150-1610-1307073912.jpeg
1610	http://api.discogs.com/image/L-1610-1288898872.jpeg	secondary	287	600	http://api.discogs.com/image/L-150-1610-1288898872.jpeg
1610	http://api.discogs.com/image/L-1610-1292191109.jpeg	secondary	258	600	http://api.discogs.com/image/L-150-1610-1292191109.jpeg
1624	http://api.discogs.com/image/L-1624-1296765626.jpeg	primary	150	150	http://api.discogs.com/image/L-150-1624-1296765626.jpeg
1624	http://api.discogs.com/image/L-1624-1176046984.jpeg	secondary	325	325	http://api.discogs.com/image/L-150-1624-1176046984.jpeg
1624	http://api.discogs.com/image/L-1624-1341488466-7105.jpeg	secondary	330	330	http://api.discogs.com/image/L-150-1624-1341488466-7105.jpeg
1676	http://api.discogs.com/image/L-1676-1115488443.jpg	secondary	396	400	http://api.discogs.com/image/L-150-1676-1115488443.jpg
1717	http://api.discogs.com/image/L-1717-001.jpg	primary	339	263	http://api.discogs.com/image/L-150-1717-001.jpg
1832	http://api.discogs.com/image/L-1832-1277381830.jpeg	primary	208	208	http://api.discogs.com/image/L-150-1832-1277381830.jpeg
1832	http://api.discogs.com/image/L-1832-1095933491.jpg	secondary	61	80	http://api.discogs.com/image/L-150-1832-1095933491.jpg
1832	http://api.discogs.com/image/L-1832-1199568511.jpeg	secondary	188	259	http://api.discogs.com/image/L-150-1832-1199568511.jpeg
1832	http://api.discogs.com/image/L-1832-1246855166.png	secondary	120	187	http://api.discogs.com/image/L-150-1832-1246855166.png
1832	http://api.discogs.com/image/L-1832-001.gif	secondary	131	130	http://api.discogs.com/image/L-150-1832-001.gif
2660	http://api.discogs.com/image/L-2660-1085231434.jpg	primary	125	300	http://api.discogs.com/image/L-150-2660-1085231434.jpg
2739	http://api.discogs.com/image/L-2739-1274978880.jpeg	primary	227	462	http://api.discogs.com/image/L-150-2739-1274978880.jpeg
2739	http://api.discogs.com/image/L-2739-1291278397.jpeg	secondary	339	546	http://api.discogs.com/image/L-150-2739-1291278397.jpeg
2739	http://api.discogs.com/image/L-2739-001.jpg	secondary	159	267	http://api.discogs.com/image/L-150-2739-001.jpg
2739	http://api.discogs.com/image/L-2739-1286492345.jpeg	secondary	120	229	http://api.discogs.com/image/L-150-2739-1286492345.jpeg
2739	http://api.discogs.com/image/L-2739-1313840343.jpeg	secondary	236	534	http://api.discogs.com/image/L-150-2739-1313840343.jpeg
3198	http://api.discogs.com/image/L-3198-1173021886.jpeg	primary	333	600	http://api.discogs.com/image/L-150-3198-1173021886.jpeg
3198	http://api.discogs.com/image/L-3198-003.png	secondary	56	111	http://api.discogs.com/image/L-150-3198-003.png
3198	http://api.discogs.com/image/L-3198-1160684943.jpeg	secondary	361	600	http://api.discogs.com/image/L-150-3198-1160684943.jpeg
3198	http://api.discogs.com/image/L-3198-1235146891.jpeg	secondary	276	445	http://api.discogs.com/image/L-150-3198-1235146891.jpeg
3198	http://api.discogs.com/image/L-3198-1235146902.jpeg	secondary	272	488	http://api.discogs.com/image/L-150-3198-1235146902.jpeg
3198	http://api.discogs.com/image/L-3198-1254641247.png	secondary	266	406	http://api.discogs.com/image/L-150-3198-1254641247.png
3198	http://api.discogs.com/image/L-3198-1254641316.png	secondary	287	472	http://api.discogs.com/image/L-150-3198-1254641316.png
3198	http://api.discogs.com/image/L-3198-1340652757-4169.jpeg	secondary	387	600	http://api.discogs.com/image/L-150-3198-1340652757-4169.jpeg
3650	http://api.discogs.com/image/L-3650-001.jpg	primary	100	142	http://api.discogs.com/image/L-150-3650-001.jpg
3719	http://api.discogs.com/image/L-3719-1084272732.jpg	primary	93	140	http://api.discogs.com/image/L-150-3719-1084272732.jpg
3719	http://api.discogs.com/image/L-3719-1139349907.jpeg	secondary	323	269	http://api.discogs.com/image/L-150-3719-1139349907.jpeg
4043	http://api.discogs.com/image/L-4043-1103222307.jpg	secondary	37	158	http://api.discogs.com/image/L-150-4043-1103222307.jpg
4043	http://api.discogs.com/image/L-4043-1191739991.jpeg	primary	52	200	http://api.discogs.com/image/L-150-4043-1191739991.jpeg
4293	http://api.discogs.com/image/L-4293-1167906293.jpeg	primary	241	600	http://api.discogs.com/image/L-150-4293-1167906293.jpeg
4293	http://api.discogs.com/image/L-4293-1227767051.png	secondary	137	420	http://api.discogs.com/image/L-150-4293-1227767051.png
6394	http://api.discogs.com/image/L-6394-1297445973.jpeg	primary	103	291	http://api.discogs.com/image/L-150-6394-1297445973.jpeg
7180	http://api.discogs.com/image/L-7180-1298493642.jpeg	secondary	222	428	http://api.discogs.com/image/L-150-7180-1298493642.jpeg
7180	http://api.discogs.com/image/L-7180-1298493653.jpeg	primary	222	428	http://api.discogs.com/image/L-150-7180-1298493653.jpeg
7180	http://api.discogs.com/image/L-7180-001.gif	secondary	145	145	http://api.discogs.com/image/L-150-7180-001.gif
7180	http://api.discogs.com/image/L-7180-002.gif	secondary	71	246	http://api.discogs.com/image/L-150-7180-002.gif
7483	http://api.discogs.com/image/L-7483-1260355389.jpeg	primary	300	600	http://api.discogs.com/image/L-150-7483-1260355389.jpeg
7483	http://api.discogs.com/image/L-7483-1149299677.jpeg	secondary	193	600	http://api.discogs.com/image/L-150-7483-1149299677.jpeg
8377	http://api.discogs.com/image/L-8377-1239616349.png	primary	471	397	http://api.discogs.com/image/L-150-8377-1239616349.png
8377	http://api.discogs.com/image/L-8377-1235148076.jpeg	secondary	328	218	http://api.discogs.com/image/L-150-8377-1235148076.jpeg
8377	http://api.discogs.com/image/L-8377-1239616044.png	secondary	347	204	http://api.discogs.com/image/L-150-8377-1239616044.png
8377	http://api.discogs.com/image/L-8377-1239619246.png	secondary	583	582	http://api.discogs.com/image/L-150-8377-1239619246.png
8377	http://api.discogs.com/image/L-8377-1239618187.png	secondary	600	600	http://api.discogs.com/image/L-150-8377-1239618187.png
8377	http://api.discogs.com/image/L-8377-1239850331.png	secondary	185	330	http://api.discogs.com/image/L-150-8377-1239850331.png
8377	http://api.discogs.com/image/L-8377-1256820928.jpeg	secondary	227	394	http://api.discogs.com/image/L-150-8377-1256820928.jpeg
8377	http://api.discogs.com/image/L-8377-1256820954.jpeg	secondary	209	388	http://api.discogs.com/image/L-150-8377-1256820954.jpeg
8377	http://api.discogs.com/image/L-8377-1256820977.jpeg	secondary	210	393	http://api.discogs.com/image/L-150-8377-1256820977.jpeg
8377	http://api.discogs.com/image/L-8377-1300350817.jpeg	secondary	251	393	http://api.discogs.com/image/L-150-8377-1300350817.jpeg
8377	http://api.discogs.com/image/L-8377-1239615567.png	secondary	597	600	http://api.discogs.com/image/L-150-8377-1239615567.png
8377	http://api.discogs.com/image/L-8377-1235919978.jpeg	secondary	597	600	http://api.discogs.com/image/L-150-8377-1235919978.jpeg
8377	http://api.discogs.com/image/L-8377-1239613033.png	secondary	600	600	http://api.discogs.com/image/L-150-8377-1239613033.png
8377	http://api.discogs.com/image/L-8377-1239611349.png	secondary	370	150	http://api.discogs.com/image/L-150-8377-1239611349.png
8377	http://api.discogs.com/image/L-8377-1239613817.png	secondary	592	600	http://api.discogs.com/image/L-150-8377-1239613817.png
8377	http://api.discogs.com/image/L-8377-1239608669.png	secondary	518	522	http://api.discogs.com/image/L-150-8377-1239608669.png
8377	http://api.discogs.com/image/L-8377-1287852948.jpeg	secondary	600	389	http://api.discogs.com/image/L-150-8377-1287852948.jpeg
8377	http://api.discogs.com/image/L-8377-1291317410.jpeg	secondary	600	401	http://api.discogs.com/image/L-150-8377-1291317410.jpeg
8377	http://api.discogs.com/image/L-8377-1359976405-2480.jpeg	secondary	433	600	http://api.discogs.com/image/L-150-8377-1359976405-2480.jpeg
10246	http://api.discogs.com/image/L-10246-1219521738.gif	primary	40	160	http://api.discogs.com/image/L-150-10246-1219521738.gif
10867	http://api.discogs.com/image/L-10867-1096651143.gif	secondary	274	204	http://api.discogs.com/image/L-150-10867-1096651143.gif
12563	http://api.discogs.com/image/L-12563-1085247496.jpg	primary	104	300	http://api.discogs.com/image/L-150-12563-1085247496.jpg
12729	http://api.discogs.com/image/L-12729-001.jpg	primary	209	294	http://api.discogs.com/image/L-150-12729-001.jpg
12886	http://api.discogs.com/image/L-12886-1082838849.jpg	primary	72	303	http://api.discogs.com/image/L-150-12886-1082838849.jpg
15524	http://api.discogs.com/image/L-15524-1137999305.jpeg	secondary	191	300	http://api.discogs.com/image/L-150-15524-1137999305.jpeg
19189	http://api.discogs.com/image/L-19189-1075339909.jpg	primary	155	130	http://api.discogs.com/image/L-150-19189-1075339909.jpg
21903	http://api.discogs.com/image/L-21903-1104258966.gif	secondary	60	137	http://api.discogs.com/image/L-150-21903-1104258966.gif
25924	http://api.discogs.com/image/L-r_25924-1088625366.jpg	secondary	600	600	http://api.discogs.com/image/L-150-r_25924-1088625366.jpg
25924	http://api.discogs.com/image/L-25924-1107451479.gif	secondary	97	95	http://api.discogs.com/image/L-150-25924-1107451479.gif
25924	http://api.discogs.com/image/L-25924-1122577700.jpg	primary	250	250	http://api.discogs.com/image/L-150-25924-1122577700.jpg
33344	http://api.discogs.com/image/L-33344-1169165574.jpeg	primary	100	181	http://api.discogs.com/image/L-150-33344-1169165574.jpeg
33344	http://api.discogs.com/image/L-33344-1112472563.jpg	secondary	285	285	http://api.discogs.com/image/L-150-33344-1112472563.jpg
34299	http://api.discogs.com/image/L-34299-1189960485.jpeg	primary	266	600	http://api.discogs.com/image/L-150-34299-1189960485.jpeg
39357	http://api.discogs.com/image/L-41108-1140616378.gif	primary	75	150	http://api.discogs.com/image/L-150-41108-1140616378.gif
39357	http://api.discogs.com/image/L-39357-1300889729.jpeg	secondary	400	600	http://api.discogs.com/image/L-150-39357-1300889729.jpeg
39357	http://api.discogs.com/image/L-39357-1187787408.jpeg	secondary	318	522	http://api.discogs.com/image/L-150-39357-1187787408.jpeg
39357	http://api.discogs.com/image/L-39357-1235148546.jpeg	secondary	250	430	http://api.discogs.com/image/L-150-39357-1235148546.jpeg
39357	http://api.discogs.com/image/L-39357-1187787094.jpeg	secondary	154	600	http://api.discogs.com/image/L-150-39357-1187787094.jpeg
39357	http://api.discogs.com/image/L-39357-1203009206.jpeg	secondary	170	600	http://api.discogs.com/image/L-150-39357-1203009206.jpeg
39357	http://api.discogs.com/image/L-39357-1235148530.jpeg	secondary	148	566	http://api.discogs.com/image/L-150-39357-1235148530.jpeg
39357	http://api.discogs.com/image/L-39357-1249070128.jpeg	secondary	151	300	http://api.discogs.com/image/L-150-39357-1249070128.jpeg
39357	http://api.discogs.com/image/L-1962-1166919337.jpeg	secondary	142	218	http://api.discogs.com/image/L-150-1962-1166919337.jpeg
39357	http://api.discogs.com/image/L-39357-1254642307.png	secondary	181	323	http://api.discogs.com/image/L-150-39357-1254642307.png
39357	http://api.discogs.com/image/L-39357-1271999711.png	secondary	177	250	http://api.discogs.com/image/L-150-39357-1271999711.png
39357	http://api.discogs.com/image/L-39357-1282861299.jpeg	secondary	500	495	http://api.discogs.com/image/L-150-39357-1282861299.jpeg
39357	http://api.discogs.com/image/L-39357-1286138659.jpeg	secondary	98	303	http://api.discogs.com/image/L-150-39357-1286138659.jpeg
39357	http://api.discogs.com/image/L-39357-1360061787-4275.jpeg	secondary	495	500	http://api.discogs.com/image/L-150-39357-1360061787-4275.jpeg
64452	http://api.discogs.com/image/L-64452-1154643474.jpeg	secondary	400	400	http://api.discogs.com/image/L-150-64452-1154643474.jpeg
64452	http://api.discogs.com/image/L-64452-1164165534.jpeg	secondary	178	224	http://api.discogs.com/image/L-150-64452-1164165534.jpeg
82343	http://api.discogs.com/image/L-82343-1307658373.jpeg	primary	73	216	http://api.discogs.com/image/L-150-82343-1307658373.jpeg
325134	http://api.discogs.com/image/L-325134-1323978243.jpeg	primary	164	371	http://api.discogs.com/image/L-150-325134-1323978243.jpeg
325134	http://api.discogs.com/image/L-325134-1323978248.jpeg	secondary	119	350	http://api.discogs.com/image/L-150-325134-1323978248.jpeg
325134	http://api.discogs.com/image/L-325134-1323978252.jpeg	secondary	101	275	http://api.discogs.com/image/L-150-325134-1323978252.jpeg
325134	http://api.discogs.com/image/L-325134-1323978257.jpeg	secondary	179	365	http://api.discogs.com/image/L-150-325134-1323978257.jpeg
346838	http://api.discogs.com/image/L-346838-1328045249.jpeg	primary	70	179	http://api.discogs.com/image/L-150-346838-1328045249.jpeg
\.


--
-- Data for Name: labels_sublabels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_sublabels (label_id, label) FROM stdin;
130	Looking Back
160	Abeano Music
160	Concept In Dance
160	Hero Music
160	Ore Music
160	Platinum Projects
160	Rex Records
160	Salvia
267	Hiphouzzz Records
267	Housetime Records
267	Maad
267	No Labull Records
267	Saber Records
267	Trax UK
267	Zoneaphone Records
681	12" Atlantic Oldies Series
681	A*Vision Entertainment
681	Atlantic America
681	Atlantic Jazz
681	Atlantic Oldies Series
681	Atlantic Special
681	Atlantic/Deluxe
681	Bad Boy Entertainment
681	Big Beat
681	Big Tree Records
681	Bluemoon Recordings
681	Brass Recordings
681	Cat Records (2)
681	Clarion
681	Clean Records (2)
681	ClinTone Records
681	Cotillion
681	Eardrum Records
681	EastWest Records America
681	Elektra
681	Finnadar Records
681	First Priority Music
681	Hilltak Records
681	History Of Rhythm
681	&
681	Blues
681	Jazz Age
681	Jazz Record Series
681	La Salle Records
681	Lava
681	Like Records (2)
681	Little David Records
681	Mesa Recordings
681	Modern Records
681	NorthSouth Records
681	Oceana Records
681	Omni Recordings
681	Omni Records
681	Omni Records (3)
681	Pacific Records (6)
681	Puff Daddy Records
681	Radio Records (5)
681	Regency Records (2)
681	Saja Records
681	Stone Flower
681	Suite 2 Records
681	Tag Recordings
681	That's JAZZ (2)
681	That's Soul (2)
750	10 Records
750	Ambient Series
750	Caroline (UK)
750	Circa
750	Clubtone (2)
750	DEP International
750	Dindisc
750	Freestyle Dust
750	Front Line Records
750	Hi-Rise Recordings
750	Hut Recordings
750	Innocent
750	Melankolic
750	More Protein
750	Pointblank
750	Quigley Records
750	Relentless Records
750	Science
750	Source
750	Tangerine Dream Definitive Edition
750	The Invisible Series
750	Themes (Simple Minds)
750	Variation
750	VC Recordings
750	VENTURE
750	Virgin America
750	Virgin Chattering Classics
750	Virgin Dance
750	Virgin International
750	Virgin Japan
750	Virgin Music (Belgium)
750	Virgin Music Canada
750	Virgin Music Video
750	Virgin Radio Limited
750	Virgin Records (Denmark)
750	Virgin Records (Mexico)
750	Virgin Records Canada Inc.
750	Virgin Records NZ Ltd.
750	Virgin Records Sweden Ab
750	Virgin Underground
750	Virgin Video
750	Virgin VIP
750	Virgin Vision
750	Westwood Studios
750	Zarjazz
915	Do It Yourself Entertainment (Germany)
915	KNM Special Marketing
915	Musicismusic
915	Starshit Recordings
1000	A
1000	&
1000	A Records
1000	Curtom
1000	Discreet
1000	Extasy Records
1000	F-111 Records
1000	Giant Records
1000	Jingle Town Records
1000	JKss Records
1000	Kwanza Records
1000	Loma
1000	Machine Shop Recordings
1000	Malpaso Records
1000	Maverick
1000	Merrie Melodies
1000	Opal Records
1000	Paisley Park
1000	Paradise Records (8)
1000	Premeditated Records
1000	Qwest Records
1000	Record Collection
1000	Reprise Records
1000	RFC Records
1000	Ruffnation Records
1000	Sire
1000	Tetragrammaton Records
1000	The Cars Mini LP SHM-CD Collection
1000	The Warner Bros. Music Show
1000	Warner Alliance
1000	Warner Archives
1000	Warner Bros. - Seven Arts Records
1000	Warner Bros. Records Nashville
1000	Warner Music Video
1000	Warner Reprise Video
1000	Warner Resound
1000	Warner Special Products
1000	Warner-Spector
1000	Wb Music Corp.
1000	Whitfield Records
1060	American Series (2)
1060	Ducretet-Thomson Records (London)
1060	Essential Recordings
1060	FFRR
1060	Forbidden Fruit
1060	Jubilee (2)
1060	Jugula
1060	Lejoint
1060	London
1060	London American Recordings
1060	London Atlantic
1060	London Disco
1060	London Disques
1060	London Globe Records
1060	London International
1060	London Viva
1060	Parrot
1060	Press Records (2)
1060	Richmond
1060	Swamplands
1060	Systematic
1060	Treasury Series
1060	UK Records
1175	Palm Beats
1175	Palm Pictures, LLC
1175	RX Records
1412	Mainline (2)
1610	2 Super Oldies
1610	Atlas Recordings (2)
1610	B
1610	&
1610	M Music
1610	Boiling Point
1610	Brownstone Records
1610	Carpet Records
1610	Cheese Music
1610	Circle Of Sound
1610	Club Zone
1610	Contour
1610	Deep Zone
1610	Fascination
1610	Fiction Records
1610	Hi Life Recordings
1610	International Polydor Production
1610	J.M.B. Records
1610	Kosmodrom
1610	Love Records
1610	Marmalade
1610	MGM Records
1610	Mother Records
1610	Music India Ltd.
1610	Nap
1610	Network Music
1610	Open-Dor Records
1610	Polydor Contact
1610	Polydor Denmark
1610	Polydor Medium
1610	Polydor Prisma
1610	Polydor Privilege
1610	Polydor Records Ltd.
1610	Polydor Special
1610	Polydor Starstunden
1610	Polyphon
1610	Reaction
1610	Remark Records
1610	Slamm Records
1610	Spaghetti Recordings
1610	Spook
1610	State Records (3)
1610	Stifled Aardvark Records
1610	The Beat Goes On (2)
1610	The Collection (5)
1610	Urban (2)
1610	Wildcard
1610	Wonderland (3)
1624	Cupido Disque
1624	Labello Dance
1624	Labello Trax
1624	Urban Culture Recordings
1624	Urban Gorilla Recordings
1676	Refreshing
2739	Another Planet Records (2)
2739	Blue Chip Records (2)
2739	City Street Records
2739	Invasion Recordings
2739	Orphan Records
2739	Park Place Records
2739	Rock Hotel Records
2739	Sea Bright Records
2739	Sm:)e Communications
2739	TNT Records (4)
2739	Twinn Records
2739	Zakia Records
3198	Air (3)
3198	Animal Records
3198	Blue Guitar Records
3198	Chrysalis Music
3198	Chrysalis Music Ltd.
3198	Cooltempo
3198	Dover Records
3198	Echo
3198	Ensign Records
3198	Musicfest
3198	Style Disques
3198	The Hit Label
3198	Two-Tone Records
3650	Archival Series
3650	Composer Series
3650	Film Music
3650	John Zorn 50th Birthday Celebration
3650	Key Series
3650	Lunatic Fringe
3650	New Japan
3650	Oracles
3650	Radical Jewish Culture
4293	Brain-Food-Music
4293	DigIt Music
4293	Edition Innovative Communication / IC-Edition / IC-Catalogue
4293	I.C. Records (Australia)
4293	J.U.IC.E.
5857	Creat Records
7483	Hot Rocks (2)
7483	Hot Tracks Series
7483	Love Tracks
7483	Roadkill!
7483	XL Series
8377	4th
8377	&
8377	Broadway
8377	Al's Records
8377	Antilles New Directions
8377	Apollo Recordings
8377	Axiom
8377	Black Swan
8377	Blue (Island)
8377	Blue Mountain
8377	Blunted
8377	Boogie Food
8377	Dancin' Music
8377	Europa Recordings
8377	Gee Street
8377	Great Jones
8377	Grove Muzic
8377	Indigo (5)
8377	Island Black Music
8377	Island Independent
8377	Island Jamaica
8377	Island Life Collection
8377	Island Masters
8377	Island Red Label
8377	Island Remasters
8377	Island Studios
8377	Island Tapes
8377	Island Visual Arts
8377	Mango
8377	Sense
8377	Smash Records
8377	Supreme Recordings
8377	Temptation Records (3)
8377	Trade 2
8377	Tuxedo Music Ltd.
10867	Lowell Records
10867	Pure (4)
10867	Recycled Music
10867	RRRip
10867	Statutory Tape
34299	Mode Disques
34299	Pyramid Recording (France)
34299	Vogue (Italy)
34299	Vogue Belgique
34299	Vogue Coral
34299	Vogue Productions
39357	Atlanta Artists
39357	Atletico Records
39357	Blue Gorilla
39357	Blue Rock
39357	Celebrity Country Series
39357	Chemistry Records (2)
39357	Chemistry Records LTD
39357	Childcraft Records
39357	Compact Jazz
39357	Fader Records
39357	Fontana
39357	Intrepid (3)
39357	Jambco Records
39357	Limelight
39357	Manifesto
39357	Mercury Beats
39357	Mercury Black Vinyl
39357	Mercury International
39357	Mercury Latino
39357	Mercury Living Presence
39357	Mercury Records Limited
39357	Mercury Records Ltd
39357	Mercury Records Ltd.
39357	Mercury Records Ltd. (London)
39357	Mister Chand
39357	Outburst Records (2)
39357	Perfect Presence Sound Series
39357	Smash Records (4)
39357	Sonovox Records
39357	Stardog Records
39357	Super Stereo Sound
39357	Talkin' Loud
39357	Talkin' Loud Classics
39357	Teutonic Beats
39357	Twelve Seventeen
39357	Wing Records
64452	Far From Showbiz
64452	TrashFuck Net
190753	Naim Edge
346838	Silence Studio
\.


--
-- Data for Name: labels_urls; Type: TABLE DATA; Schema: public; Owner: -
--

COPY labels_urls (label_id, url) FROM stdin;
130	http://www.goodlooking.org/
160	http://www.xlrecordings.com
160	http://www.myspace.com/xlrecordingsmusic
160	http://www.facebook.com/xlrecordings
160	http://www.twitter.com/xlrecordings
160	http://en.wikipedia.org/wiki/XL_Recordings
267	http://www.traxhouse.net
267	http://www.1houseinc.com
267	http://traxrecords.bandcamp.com/
681	http://www.atlanticrecords.com
681	http://www.bsnpubs.com/atlantic
681	http://en.wikipedia.org/wiki/Atlantic_Records
750	http://www.virginrecords.com
915	http://www.kontorrecords.de/
915	http://www.myspace.com/kontorrecordshamburg
915	http://www.facebook.com/kontorrecords
915	http://twitter.com/kontorrecords
915	http://www.youtube.com/user/kontor
1000	http://www.warnerbrosrecords.com/
1000	http://www.myspace.com/warnerbrosrecords
1000	http://www.youtube.com/user/warnerbrosrecords
1000	http://en.wikipedia.org/wiki/Warner_Bros._Records
1000	http://www.bsnpubs.com/warner/warnerstory.html
1000	http://www.vinylbeat.com/cgi-bin/labelfocus.cgi?label=WARNER+BROS.+%28WB%29
1000	&
1000	label_section=V,W,X
1060	http://londonrecords.org
1103	http://www.bigdada.com/
1175	http://www.palmpictures.com
1610	http://www.polydor.co.uk/
1610	http://www.youtube.com/polydor
1610	http://www.youtube.com/polydorclassics
1717	http://www.myspace.com/soulslinger
1717	http://www.zazzle.com/carlossoulslinger
1832	http://zrecords.ltd.uk
2660	http://www.centralparkrecordings.com/
2660	http://www.myspace.com/centralparkrecordings
2660	http://www.satelliterecords.com/
2739	http://www.profile-records.com/
3198	http://www.chrysalismusic.co.uk
3198	http://en.wikipedia.org/wiki/Chrysalis_Records
3650	http://www.tzadik.com/
3719	http://www.fortunarecords.com
4043	http://www.drizzly.de
4293	http://www.ic-digit.de
6394	http://www.onamrecords.com/Almo_Sounds.html
6394	http://www.almo.co.uk/
7483	http://www.selectmix.com/
7483	http://www.hotdiscomix.de/remix_services/hot_tracks/index.htm
8377	http://www.islandrecords.com/
8377	http://www.islandrecords.co.uk/
8617	http://www.illboogie.com/
10246	http://www.lok-musik.net
10246	http://www.lok-musik.de
10867	http://www.rrrecords.com/
12563	http://www.trance.it
12729	http://www.robotrecords.com
12886	http://www.diestadtmusik.de/
19189	http://www.startrakmusic.com/
21903	http://www.mandorecords.com
23957	http://ghostsonwater.blogspot.com/
25924	http://www.touchin-down.co.uk
33344	http://ca.freetekno.cz/psychospores.html
38670	http://www.factoriasonora.com
38670	http://www.factoriasonora.co.uk
39357	http://www.mercuryrecords.com/
39357	http://www.mercuryrecords.co.uk/
39357	http://mercuryrecords.com.au/
39357	http://microgroove.jp/mercury/
64452	http://nonqualityaudio.tk/
64452	http://myspace.com/nonqualityaudio
64452	http://p104.ezboard.com/froilnoise42937frm26
69009	http://www.finrg.com
75594	http://www.rapedtraxx.tk/
190753	http://www.naimlabel.com/
346838	http://www.silence.se/
\.


--
-- Data for Name: masters; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters (id, title, year, data_quality, notes, main_release) FROM stdin;
218544	Snacks	1999	Correct	\N	485728
527061	Trax Classix	2005	Needs Major Changes	\N	414262
66600	Fourtunes / The Things You Said	2001	Correct	\N	246789
83121	No Problem	2001	Correct	\N	195057
355092	Notre Dame	0	Correct	\N	731127
179800	Cyanide	2000	Correct	\N	695281
151157	Diplo Rhythm	2004	Needs Vote	\N	317610
77231	State Of Mind	2003	Correct	\N	1669280
72617	Temperamental	2000	Correct	\N	48209
23055	Let U Go	2001	Correct	\N	2025509
123237	Ultrasonic Sound	1998	Correct	\N	176915
396484	Planetary Funk Alert / Camouflage	1998	Correct	\N	9552
332215	Southside	2001	Correct	\N	696234
47305	Frontin'	2003	Correct	\N	2265584
69474	The Godz Must Be Crazy	2002	Correct	\N	622756
175618	Feldzug / Stumpf	2001	Correct	\N	137790
71388	Situation	1982	Correct	\N	1747167
153588	Braided Hair	2001	Correct	\N	775137
7548	Made In Two Minutes	1991	Correct	\N	122008
37149	Morning Has Broken / I Want To Live In A Wigwam	1971	Correct	\N	474487
29711	Transfer Station Blue	1984	Needs Vote	\N	508465
241121	Tonight	1998	Correct	\N	129290
261540	Series 11 Issue 3	1991	Correct	\N	283148
32058	Janes Addiction	1987	Correct	\N	1983342
79543	Feelin' You	1998	Correct	\N	54092
5516	Rage In Eden	1981	Correct	The 5th Ultravox album.	1583649
292884	The Sound Of Southern Sunsets	1988	Correct	\N	698248
10122	Highly Strung	1984	Correct	\N	672085
75818	Les Chants Magnétiques	1981	Correct	\N	323870
202927	Shoulda Coulda Woulda (The Morales Mixes)	1996	Correct	\N	1579457
12333	Smack My Bitch Up	1997	Correct	\N	20688
261002	Fall In Love (Eric Kupper Mixes)	2004	Correct	\N	348966
115729	Murphy's Law	1986	Correct	\N	514259
215054	Zoom	1982	Correct	\N	512936
\.


--
-- Data for Name: masters_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_artists (master_id, id, role, anv, tracks, join_, name) FROM stdin;
218544	183917	\N	\N	\N	\N	Panta Rhei
527061	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
66600	18712	\N	\N	\N	\N	Contriva
83121	26695	\N	\N	\N	\N	Wawa
355092	556115	\N	\N	\N	\N	Max Fortuna
179800	954530	\N	\N	\N	&	Kaiser (5)
179800	148330	\N	\N	\N	\N	Kura
151157	191242	\N	\N	\N	\N	Diplo
77231	73328	\N	\N	\N	\N	Holly Valance
72617	4115	\N	\N	\N	\N	Everything But The Girl
23055	5797	\N	\N	\N	\N	ATB
123237	2851	\N	\N	\N	\N	Hive
396484	189	\N	\N	\N	\N	Seba
332215	14062	\N	\N	\N	\N	World Famous Martinez Orchestra
47305	90037	\N	Pharrell	\N	featuring	Pharrell Williams
47305	21742	\N	\N	\N	\N	Jay-Z
69474	82713	\N	\N	\N	\N	Demigodz, The
175618	73538	\N	\N	\N	\N	Organum
71388	2713	\N	Yaz	\N	\N	Yazoo
153588	55439	\N	\N	\N	\N	1 Giant Leap
7548	22660	\N	\N	\N	\N	The Plastic Jam
37149	37606	\N	\N	\N	\N	Cat Stevens
29711	227461	\N	\N	\N	with	Michael Shrieve
29711	227462	\N	\N	\N	and	Kevin Shrieve
29711	10360	\N	\N	\N	\N	Klaus Schulze
241121	26010	\N	\N	\N	\N	Mistura
261540	194	\N	\N	\N	\N	Various
32058	35740	\N	Janes Addiction	\N	\N	Jane's Addiction
79543	413977	\N	Ali	\N	\N	Alistair Tennant
5516	70735	\N	\N	\N	\N	Ultravox
292884	124165	\N	\N	\N	\N	Baffo Banfi
10122	66253	\N	\N	\N	\N	Spandau Ballet
75818	209415	\N	\N	\N	\N	Jean-Michel Jarre
202927	56851	\N	\N	\N	\N	Sherree Ford-Payne
12333	66852	\N	Prodigy	\N	\N	Prodigy, The
261002	50872	\N	\N	\N	\N	Tortured Soul
115729	343332	\N	\N	\N	\N	Murphy's Law (2)
215054	29225	\N	\N	\N	\N	Fat Larry's Band
\.


--
-- Data for Name: masters_genres; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_genres (master_id, genre) FROM stdin;
218544	Electronic
527061	Electronic
66600	Electronic
66600	Pop
66600	Rock
83121	Electronic
355092	Electronic
179800	Electronic
151157	Electronic
77231	Electronic
77231	Pop
72617	Electronic
23055	Electronic
123237	Electronic
123237	Hip Hop
396484	Electronic
332215	Electronic
47305	Hip Hop
69474	Hip Hop
175618	Electronic
71388	Electronic
153588	Electronic
7548	Electronic
37149	Rock
29711	Electronic
29711	Rock
241121	Electronic
261540	Electronic
32058	Rock
79543	Electronic
5516	Electronic
292884	Electronic
10122	Electronic
10122	Pop
75818	Electronic
202927	Electronic
12333	Electronic
261002	Electronic
115729	Rock
215054	Electronic
215054	Funk / Soul
\.


--
-- Data for Name: masters_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_images (master_id, uri, type, height, width, uri150) FROM stdin;
218544	http://api.discogs.com/image/R-485728-1121672260.jpg	primary	321	372	http://api.discogs.com/image/R-150-485728-1121672260.jpg
218544	http://api.discogs.com/image/R-485728-1121672278.jpg	secondary	439	400	http://api.discogs.com/image/R-150-485728-1121672278.jpg
218544	http://api.discogs.com/image/R-485728-1121672289.jpg	secondary	406	400	http://api.discogs.com/image/R-150-485728-1121672289.jpg
527061	http://api.discogs.com/image/R-414262-1184602567.jpeg	secondary	528	600	http://api.discogs.com/image/R-150-414262-1184602567.jpeg
527061	http://api.discogs.com/image/R-414262-1184602581.jpeg	secondary	500	600	http://api.discogs.com/image/R-150-414262-1184602581.jpeg
527061	http://api.discogs.com/image/R-414262-1184602592.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-414262-1184602592.jpeg
83121	http://api.discogs.com/image/R-195057-1142852983.jpeg	secondary	345	336	http://api.discogs.com/image/R-150-195057-1142852983.jpeg
83121	http://api.discogs.com/image/R-195057-1142853004.jpeg	secondary	336	337	http://api.discogs.com/image/R-150-195057-1142853004.jpeg
83121	http://api.discogs.com/image/R-195057-1142853019.jpeg	secondary	340	336	http://api.discogs.com/image/R-150-195057-1142853019.jpeg
179800	http://api.discogs.com/image/R-695281-1148719865.jpeg	secondary	600	592	http://api.discogs.com/image/R-150-695281-1148719865.jpeg
179800	http://api.discogs.com/image/R-695281-1155748352.jpeg	secondary	434	434	http://api.discogs.com/image/R-150-695281-1155748352.jpeg
151157	http://api.discogs.com/image/R-317610-1145643931.jpeg	primary	350	350	http://api.discogs.com/image/R-150-317610-1145643931.jpeg
151157	http://api.discogs.com/image/R-317610-1103308486.jpg	secondary	300	300	http://api.discogs.com/image/R-150-317610-1103308486.jpg
151157	http://api.discogs.com/image/R-317610-1103308510.jpg	secondary	300	300	http://api.discogs.com/image/R-150-317610-1103308510.jpg
77231	http://api.discogs.com/image/R-1669280-1235765189.jpeg	secondary	590	599	http://api.discogs.com/image/R-150-1669280-1235765189.jpeg
72617	http://api.discogs.com/image/R-48209-1297016213.jpeg	primary	600	600	http://api.discogs.com/image/R-150-48209-1297016213.jpeg
72617	http://api.discogs.com/image/R-48209-1297016223.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-48209-1297016223.jpeg
72617	http://api.discogs.com/image/R-48209-1297016233.jpeg	secondary	465	600	http://api.discogs.com/image/R-150-48209-1297016233.jpeg
72617	http://api.discogs.com/image/R-48209-1297016244.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-48209-1297016244.jpeg
23055	http://api.discogs.com/image/R-2025509-1335024387.jpeg	primary	600	600	http://api.discogs.com/image/R-150-2025509-1335024387.jpeg
123237	http://api.discogs.com/image/R-176915-1308766192.jpeg	secondary	471	476	http://api.discogs.com/image/R-150-176915-1308766192.jpeg
123237	http://api.discogs.com/image/R-176915-1308766249.jpeg	primary	471	476	http://api.discogs.com/image/R-150-176915-1308766249.jpeg
396484	http://api.discogs.com/image/R-9552-1355751145-7954.jpeg	primary	600	600	http://api.discogs.com/image/R-150-9552-1355751145-7954.jpeg
396484	http://api.discogs.com/image/R-9552-1333183989.jpeg	secondary	597	600	http://api.discogs.com/image/R-150-9552-1333183989.jpeg
396484	http://api.discogs.com/image/R-9552-1177930432.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-9552-1177930432.jpeg
396484	http://api.discogs.com/image/R-9552-1177930122.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-9552-1177930122.jpeg
332215	http://api.discogs.com/image/R-696234-1248429559.jpeg	primary	464	464	http://api.discogs.com/image/R-150-696234-1248429559.jpeg
47305	http://api.discogs.com/image/R-2265584-1273257656.jpeg	primary	500	500	http://api.discogs.com/image/R-150-2265584-1273257656.jpeg
69474	http://api.discogs.com/image/R-622756-1139760148.jpeg	primary	591	600	http://api.discogs.com/image/R-150-622756-1139760148.jpeg
69474	http://api.discogs.com/image/R-622756-1139760165.jpeg	secondary	463	600	http://api.discogs.com/image/R-150-622756-1139760165.jpeg
69474	http://api.discogs.com/image/R-622756-1139760198.jpeg	secondary	590	600	http://api.discogs.com/image/R-150-622756-1139760198.jpeg
175618	http://api.discogs.com/image/R-137790-001.jpg	primary	250	250	http://api.discogs.com/image/R-150-137790-001.jpg
71388	http://api.discogs.com/image/R-1747167-1247344628.jpeg	primary	600	600	http://api.discogs.com/image/R-150-1747167-1247344628.jpeg
71388	http://api.discogs.com/image/R-1747167-1247344639.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1747167-1247344639.jpeg
71388	http://api.discogs.com/image/R-1747167-1247344654.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1747167-1247344654.jpeg
71388	http://api.discogs.com/image/R-1747167-1247344694.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-1747167-1247344694.jpeg
153588	http://api.discogs.com/image/R-775137-1161080818.jpeg	primary	562	565	http://api.discogs.com/image/R-150-775137-1161080818.jpeg
7548	http://api.discogs.com/image/R-122008-1190639262.jpeg	primary	598	595	http://api.discogs.com/image/R-150-122008-1190639262.jpeg
7548	http://api.discogs.com/image/R-122008-1074845361.jpg	secondary	290	300	http://api.discogs.com/image/R-150-122008-1074845361.jpg
37149	http://api.discogs.com/image/R-474487-1267180421.jpeg	primary	600	600	http://api.discogs.com/image/R-150-474487-1267180421.jpeg
37149	http://api.discogs.com/image/R-474487-1267180310.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-474487-1267180310.jpeg
29711	http://api.discogs.com/image/R-508465-1260822980.jpeg	primary	600	600	http://api.discogs.com/image/R-150-508465-1260822980.jpeg
29711	http://api.discogs.com/image/R-508465-1260823006.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-508465-1260823006.jpeg
29711	http://api.discogs.com/image/R-508465-1172444570.jpeg	secondary	498	500	http://api.discogs.com/image/R-150-508465-1172444570.jpeg
29711	http://api.discogs.com/image/R-508465-1172444583.jpeg	secondary	498	500	http://api.discogs.com/image/R-150-508465-1172444583.jpeg
241121	http://api.discogs.com/image/R-129290-1165234291.jpeg	secondary	472	472	http://api.discogs.com/image/R-150-129290-1165234291.jpeg
261540	http://api.discogs.com/image/R-283148-1351176581-1814.jpeg	primary	600	600	http://api.discogs.com/image/R-150-283148-1351176581-1814.jpeg
32058	http://api.discogs.com/image/R-1983342-1327352633.jpeg	primary	599	599	http://api.discogs.com/image/R-150-1983342-1327352633.jpeg
32058	http://api.discogs.com/image/R-1983342-1327355022.jpeg	secondary	568	600	http://api.discogs.com/image/R-150-1983342-1327355022.jpeg
32058	http://api.discogs.com/image/R-1983342-1327346977.jpeg	secondary	480	479	http://api.discogs.com/image/R-150-1983342-1327346977.jpeg
32058	http://api.discogs.com/image/R-1983342-1327346981.jpeg	secondary	480	477	http://api.discogs.com/image/R-150-1983342-1327346981.jpeg
5516	http://api.discogs.com/image/R-1583649-1254821544.jpeg	primary	481	480	http://api.discogs.com/image/R-150-1583649-1254821544.jpeg
5516	http://api.discogs.com/image/R-1583649-1248796609.jpeg	secondary	795	600	http://api.discogs.com/image/R-150-1583649-1248796609.jpeg
5516	http://api.discogs.com/image/R-1583649-1281003613.jpeg	secondary	590	590	http://api.discogs.com/image/R-150-1583649-1281003613.jpeg
5516	http://api.discogs.com/image/R-1583649-1281003626.jpeg	secondary	590	590	http://api.discogs.com/image/R-150-1583649-1281003626.jpeg
292884	http://api.discogs.com/image/R-698248-1297879068.jpeg	primary	497	500	http://api.discogs.com/image/R-150-698248-1297879068.jpeg
292884	http://api.discogs.com/image/R-698248-1297879199.jpeg	secondary	552	555	http://api.discogs.com/image/R-150-698248-1297879199.jpeg
292884	http://api.discogs.com/image/R-698248-1297879433.jpeg	secondary	217	560	http://api.discogs.com/image/R-150-698248-1297879433.jpeg
292884	http://api.discogs.com/image/R-698248-1297879451.jpeg	secondary	266	560	http://api.discogs.com/image/R-150-698248-1297879451.jpeg
10122	http://api.discogs.com/image/R-672085-1161084616.jpeg	secondary	606	600	http://api.discogs.com/image/R-150-672085-1161084616.jpeg
10122	http://api.discogs.com/image/R-672085-1161084663.jpeg	secondary	606	600	http://api.discogs.com/image/R-150-672085-1161084663.jpeg
75818	http://api.discogs.com/image/R-323870-1266729542.jpeg	primary	604	599	http://api.discogs.com/image/R-150-323870-1266729542.jpeg
75818	http://api.discogs.com/image/R-323870-1266729568.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-323870-1266729568.jpeg
75818	http://api.discogs.com/image/R-323870-1266729586.jpeg	secondary	608	600	http://api.discogs.com/image/R-150-323870-1266729586.jpeg
75818	http://api.discogs.com/image/R-323870-1266729618.jpeg	secondary	606	600	http://api.discogs.com/image/R-150-323870-1266729618.jpeg
202927	http://api.discogs.com/image/R-1579457-1229869567.jpeg	secondary	490	600	http://api.discogs.com/image/R-150-1579457-1229869567.jpeg
12333	http://api.discogs.com/image/R-20688-1343488688-5201.jpeg	primary	601	600	http://api.discogs.com/image/R-150-20688-1343488688-5201.jpeg
12333	http://api.discogs.com/image/R-20688-1343488697-2264.jpeg	secondary	5	600	http://api.discogs.com/image/R-150-20688-1343488697-2264.jpeg
12333	http://api.discogs.com/image/R-20688-1343488672-1781.jpeg	secondary	597	600	http://api.discogs.com/image/R-150-20688-1343488672-1781.jpeg
12333	http://api.discogs.com/image/R-20688-1343488625-1465.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-20688-1343488625-1465.jpeg
12333	http://api.discogs.com/image/R-20688-1343488642-6621.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-20688-1343488642-6621.jpeg
261002	http://api.discogs.com/image/R-348966-1110925435.jpg	secondary	193	189	http://api.discogs.com/image/R-150-348966-1110925435.jpg
115729	http://api.discogs.com/image/R-514259-1353272690-3292.jpeg	primary	454	456	http://api.discogs.com/image/R-150-514259-1353272690-3292.jpeg
115729	http://api.discogs.com/image/R-514259-1353272721-6659.jpeg	secondary	454	499	http://api.discogs.com/image/R-150-514259-1353272721-6659.jpeg
215054	http://api.discogs.com/image/R-512936-1287348059.jpeg	primary	600	600	http://api.discogs.com/image/R-150-512936-1287348059.jpeg
215054	http://api.discogs.com/image/R-512936-1287348070.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-512936-1287348070.jpeg
215054	http://api.discogs.com/image/R-512936-1219059809.jpeg	secondary	311	290	http://api.discogs.com/image/R-150-512936-1219059809.jpeg
215054	http://api.discogs.com/image/R-512936-1219059818.jpeg	secondary	309	305	http://api.discogs.com/image/R-150-512936-1219059818.jpeg
\.


--
-- Data for Name: masters_styles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_styles (master_id, style) FROM stdin;
218544	Abstract
218544	IDM
218544	Ambient
527061	House
527061	Acid House
66600	Downtempo
66600	Post Rock
66600	Experimental
83121	House
355092	Trance
179800	Makina
151157	Breakbeat
151157	Electro
151157	Hip Hop
77231	House
72617	Deep House
72617	House
23055	Trance
23055	Breaks
23055	Progressive Trance
123237	Drum n Bass
396484	Drum n Bass
332215	House
175618	Industrial
175618	Experimental
71388	Synth-pop
153588	Downtempo
7548	Hardcore
37149	Folk Rock
37149	Pop Rock
29711	Experimental
29711	Prog Rock
241121	House
261540	House
261540	Broken Beat
261540	Synth-pop
32058	Alternative Rock
79543	House
5516	Synth-pop
292884	Ambient
10122	Synth-pop
75818	Electro
75818	Ambient
202927	House
202927	Deep House
202927	Garage House
12333	Breakbeat
12333	Drum n Bass
12333	Big Beat
261002	Deep House
115729	Hardcore
215054	Soul
215054	Funk
215054	Disco
\.


--
-- Data for Name: masters_videos; Type: TABLE DATA; Schema: public; Owner: -
--

COPY masters_videos (master_id, title, description, src, embed, duration) FROM stdin;
83121	WAWA-No problem.wmv	WAWA-No problem.wmv	http://www.youtube.com/watch?v=oigeId1QVWQ	t	409
179800	Cyanide-DJ BUBI	Cyanide-DJ BUBI	http://www.youtube.com/watch?v=Hwpki2CbF5M	t	299
151157	diplo - rhythm	diplo - rhythm	http://www.youtube.com/watch?v=325SZzaCP00	t	161
77231	Holly Valance - State Of Mind	Holly Valance - State Of Mind	http://www.youtube.com/watch?v=H50dKJCcEh8	t	198
77231	Holly Valance - State of Mind (Felix Da Housecat Mix)	Holly Valance - State of Mind (Felix Da Housecat Mix)	http://www.youtube.com/watch?v=3dsllYm_Go4	t	443
77231	Holly Valance - State Of Mind (Vertigo Extended Mix)	Holly Valance - State Of Mind (Vertigo Extended Mix)	http://www.youtube.com/watch?v=uJEPMWMFMZs	t	412
72617	temperamental (live) - Everything But The Girl	temperamental (live) - Everything But The Girl	http://www.youtube.com/watch?v=oc9hOfTENOI	t	351
72617	Everything But the Girl - Temperamental - Remix by Hex Hector	Everything But the Girl - Temperamental - Remix by Hex Hector	http://www.youtube.com/watch?v=bfj0b1bGfJI	t	453
72617	Karizma Da organ dub)	Karizma Da organ dub)	http://www.youtube.com/watch?v=fV5BZmIEX4w	t	412
72617	everything but the girl - temperamental - remix by hex hector - Rated R [720p] HD	everything but the girl - temperamental - remix by hex hector - Rated R [720p] HD	http://www.youtube.com/watch?v=gY2naNzu3Zg	t	0
72617	Karizma Remix)	Karizma Remix)	http://www.youtube.com/watch?v=_8b3NEq-kyc	t	584
72617	Everything But the Girl - Temperamental - Remix by Hex Hector	Everything But the Girl - Temperamental - Remix by Hex Hector	http://www.youtube.com/watch?v=FYw-hDHSPH4	t	453
72617	Everything but the Girl - Temperamental (K.O. Vocal Mix)	Everything but the Girl - Temperamental (K.O. Vocal Mix)	http://www.youtube.com/watch?v=T7L-QO3Z-CQ	t	610
23055	ATB - Let U Go (Two Worlds LP)	ATB - Let U Go (Two Worlds LP)	http://www.youtube.com/watch?v=O-9Zg2DAJ_U	t	515
23055	ATB - Let You Go	ATB - Let You Go	http://www.youtube.com/watch?v=eX9L802jY7c	t	206
23055	ATB - let u go [Wippenberg Remix]	ATB - let u go [Wippenberg Remix]	http://www.youtube.com/watch?v=r1drc505N_A	t	254
23055	ATB - Let U Go (Klubbheads Remix)	ATB - Let U Go (Klubbheads Remix)	http://www.youtube.com/watch?v=AmexXUvCTlc	t	390
23055	ATB - Let You Go (Schiller Remix)	ATB - Let You Go (Schiller Remix)	http://www.youtube.com/watch?v=T_PIK1WtYaI	t	311
23055	ATB - Let U Go (Tocadisco Doesn't Give A Rat's Ass Mix)	ATB - Let U Go (Tocadisco Doesn't Give A Rat's Ass Mix)	http://www.youtube.com/watch?v=wGUfBCmGalw	t	421
123237	Dieselboy - Ultrasonic Sound [ Dillinja ] Roughstyle Remix	Dieselboy - Ultrasonic Sound [ Dillinja ] Roughstyle Remix	http://www.youtube.com/watch?v=-BVLMZo25u0	t	314
396484	SEBA - CAMOUFLAGE	SEBA - CAMOUFLAGE	http://www.youtube.com/watch?v=-uKkpm2P4Tg	t	528
396484	Seba - Planetary Funk Alert	Seba - Planetary Funk Alert	http://www.youtube.com/watch?v=HfW1B9smjv4	t	565
47305	Pharrell Williams ft. Jay-Z - Frontin'	Pharrell Williams ft. Jay-Z - Frontin'	http://www.youtube.com/watch?v=srOfv5r7LGU	t	249
69474	The Demigodz - The godz must be crazy	The Demigodz - The godz must be crazy	http://www.youtube.com/watch?v=AnsYt7_cU8E	t	340
69474	The Demigodz - Science of the Bumrush Vol. 2	The Demigodz - Science of the Bumrush Vol. 2	http://www.youtube.com/watch?v=FALYAzbp3wQ	t	230
69474	Demigodz-Don't You Even Go There	Demigodz-Don't You Even Go There	http://www.youtube.com/watch?v=UgpUdO8S6Zc	t	207
69474	Demigodz-Captivate/Deactivate (Instrumental)	Demigodz-Captivate/Deactivate (Instrumental)	http://www.youtube.com/watch?v=Z2fTfBdn9y8	t	196
69474	Demigodz - Off The Chrome	Demigodz - Off The Chrome	http://www.youtube.com/watch?v=ird5CuHIONU	t	296
69474	The Demigodz Off the Chrome	The Demigodz Off the Chrome	http://www.youtube.com/watch?v=ASPTnlMd1ts	t	307
71388	Yazoo   Situation The Agressive Attitude Mix	Yazoo   Situation The Agressive Attitude Mix	http://www.youtube.com/watch?v=z5PJC-N6V6k	t	422
71388	Yazoo-Don't Go (Original Song)	Yazoo-Don't Go (Original Song)	http://www.youtube.com/watch?v=um8nnmPwsHo	t	190
71388	Yaz - Situation [AUDIO ONLY]	Yaz - Situation [AUDIO ONLY]	http://www.youtube.com/watch?v=LVQnFzZUITM	t	347
71388	Yazoo   Situation Space Dub	Yazoo   Situation Space Dub	http://www.youtube.com/watch?v=o0Deq38BgJ0	t	295
71388	Yazoo - Don't Go	Yazoo - Don't Go	http://www.youtube.com/watch?v=bW6h6AM5mzM	t	177
71388	Yazoo Situation (12 Version)	Yazoo Situation (12 Version)	http://www.youtube.com/watch?v=DIAY_TQ6ylk	t	437
71388	Yazoo Situation original 7 vinyl	Yazoo Situation original 7 vinyl	http://www.youtube.com/watch?v=ZJ4oehQJEK8	t	147
71388	YAZOO - SITUATION - DEADLINE MIX	YAZOO - SITUATION - DEADLINE MIX	http://www.youtube.com/watch?v=w1vD3z6tuyw	t	414
71388	Yazoo - Situation special dub remix (AUDIO)	Yazoo - Situation special dub remix (AUDIO)	http://www.youtube.com/watch?v=beVShIL6qeQ	t	542
71388	Yaz(oo) - Situation (U.S. Mix) (with Laugh) (Live, Terminal 5, NYC, July 17, 2008)	Yaz(oo) - Situation (U.S. Mix) (with Laugh) (Live, Terminal 5, NYC, July 17, 2008)	http://www.youtube.com/watch?v=usXEoWWiQIs	t	345
153588	Braided Hair music video from 1 Giant Leap	Braided Hair music video from 1 Giant Leap	http://www.youtube.com/watch?v=AIgYBx2HxP0	t	237
7548	Bug Kann and The Plastic Jam - Made In Two Minutes	Bug Kann and The Plastic Jam - Made In Two Minutes	http://www.youtube.com/watch?v=jHc_w1QElc4	t	303
7548	Bug Khan And The Plastic Jam - Made In Two Minutes	Bug Khan And The Plastic Jam - Made In Two Minutes	http://www.youtube.com/watch?v=g2faBdJiO-s	t	353
7548	The Plastic Jam - Made In 2 Minutes (Origin Unknown Mix)	The Plastic Jam - Made In 2 Minutes (Origin Unknown Mix)	http://www.youtube.com/watch?v=rdhIGrkHm2Q	t	368
7548	Made In 2 Minutes (Prodigy Exclusive VIP Mix) .wmv	Made In 2 Minutes (Prodigy Exclusive VIP Mix) .wmv	http://www.youtube.com/watch?v=KFslA2z047A	t	315
7548	The Plastic Jam - Made In Two Minutes (Sonz Of A Loop-De-Loop Remix)	The Plastic Jam - Made In Two Minutes (Sonz Of A Loop-De-Loop Remix)	http://www.youtube.com/watch?v=j_MWJKzZaXg	t	344
7548	The Plastic Jam - Made In Two Minutes (Rave Mix)	The Plastic Jam - Made In Two Minutes (Rave Mix)	http://www.youtube.com/watch?v=HalsFfqrnaU	t	373
7548	The Plastic Jam - Made In Two Minutes (DR S Gachet Rmx)	The Plastic Jam - Made In Two Minutes (DR S Gachet Rmx)	http://www.youtube.com/watch?v=dcn1hjnHi9k	t	371
7548	THE PLASTIC JAM - MADE IN TWO MINUTES - (Phat Productions Remix)	THE PLASTIC JAM - MADE IN TWO MINUTES - (Phat Productions Remix)	http://www.youtube.com/watch?v=B8bo5jiMGho	t	315
7548	The Plastic Jam - Made In Two Minutes (Instrumental Club Mix)	The Plastic Jam - Made In Two Minutes (Instrumental Club Mix)	http://www.youtube.com/watch?v=AGCXIMDM0i8	t	339
7548	The Plastic Jam - Made In 2 Minutes (Prodigy Mix)	The Plastic Jam - Made In 2 Minutes (Prodigy Mix)	http://www.youtube.com/watch?v=IjiDEGJrWnA	t	298
7548	The Plastic Jam - Made In Two Minutes (Foul Play Rmx)	The Plastic Jam - Made In Two Minutes (Foul Play Rmx)	http://www.youtube.com/watch?v=8N3pW-R6xDM	t	418
7548	the plastic jam - made in two  minutes - dr .s .gachet mix	the plastic jam - made in two  minutes - dr .s .gachet mix	http://www.youtube.com/watch?v=X1JXHXZHPn8	t	368
7548	Bug Kann and the Plastic Jam - Made in Two Minutes	Bug Kann and the Plastic Jam - Made in Two Minutes	http://www.youtube.com/watch?v=9zP7rRms3y8	t	373
7548	Bug Kann  amp; The Plastic Jam   Made In Two Minutes Original Bleep Version	Bug Kann  amp; The Plastic Jam   Made In Two Minutes Original Bleep Version	http://www.youtube.com/watch?v=R5jEnf87O1k	t	366
29711	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (1)	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (1)	http://www.youtube.com/watch?v=uhMZ57BNxU4	t	339
29711	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (2)	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (2)	http://www.youtube.com/watch?v=7w9jlVKAAiE	t	389
29711	Michael Shrieve with Kevin Shrieve and Klaus Schulze - View from the Window	Michael Shrieve with Kevin Shrieve and Klaus Schulze - View from the Window	http://www.youtube.com/watch?v=EkwTGBWFMt8	t	437
241121	mistura ft. maxine mcclain - tonight (todd edwards club mix)	mistura ft. maxine mcclain - tonight (todd edwards club mix)	http://www.youtube.com/watch?v=G4I0KV6-_gM	t	466
241121	Mistura - Tonight (joey negro etagui mix)	Mistura - Tonight (joey negro etagui mix)	http://www.youtube.com/watch?v=fEShzcpNvnA	t	381
32058	Jane's Addiction - Jane Says	Jane's Addiction - Jane Says	http://www.youtube.com/watch?v=xh-5FI21s6M	t	288
79543	Ali - Feelin' You	Ali - Feelin' You	http://www.youtube.com/watch?v=huOJHLjMUzM	t	290
79543	Ali - Feelin' you (Booker T Feelin' Lick Short edit)	Ali - Feelin' you (Booker T Feelin' Lick Short edit)	http://www.youtube.com/watch?v=zyDZp8QZAL8	t	236
79543	ALI - Feelin ' You	ALI - Feelin ' You	http://www.youtube.com/watch?v=TIU2OZWkWKM	t	273
79543	Ali - Feelin' You (Booker T Feelin' Lick Edit)	Ali - Feelin' You (Booker T Feelin' Lick Edit)	http://www.youtube.com/watch?v=Etf3kga_Rdo	t	409
5516	Ultravox Rage In Eden Live@Admiralspalast - Berlin 2010.04.24	Ultravox Rage In Eden Live@Admiralspalast - Berlin 2010.04.24	http://www.youtube.com/watch?v=7-hIAuG0C74	t	252
5516	Ultravox-Rage in Eden (Live at Hammersmith Apollo)	Ultravox-Rage in Eden (Live at Hammersmith Apollo)	http://www.youtube.com/watch?v=Y9fpt6W_euE	t	248
5516	Ultravox - The Voice	Ultravox - The Voice	http://www.youtube.com/watch?v=R0CI7_3ufDM	t	363
5516	Ultravox - We Stand Alone	Ultravox - We Stand Alone	http://www.youtube.com/watch?v=tsbUT-5swgI	t	341
5516	Ultravox - Rage In Eden - 1981	Ultravox - Rage In Eden - 1981	http://www.youtube.com/watch?v=UaN5JqUSTQw	t	260
5516	Ultravox - I Remember (Death in the Afternoon)	Ultravox - I Remember (Death in the Afternoon)	http://www.youtube.com/watch?v=fbhMGlHC4uw	t	292
10122	Spandau Ballet  -Highl Restrung 12 single -1984	Spandau Ballet  -Highl Restrung 12 single -1984	http://www.youtube.com/watch?v=b6ai3Y9JnnY	t	332
10122	Spandau Ballet - Highly Strung Official Music Video (c) 1984	Spandau Ballet - Highly Strung Official Music Video (c) 1984	http://www.youtube.com/watch?v=w5tNxxs8VWg	t	288
75818	Jean Michel Jarre - Magnetic Fields Part 2 (7/Remix) / Les Chants Magnétiques	Jean Michel Jarre - Magnetic Fields Part 2 (7/Remix) / Les Chants Magnétiques	http://www.youtube.com/watch?v=Pbp8_Vf_kvY	t	237
75818	Jean Michel Jarre - Magnetic Fields Part 1 (Excerpt) / Les Chants Magnétiques (Extrait)	Jean Michel Jarre - Magnetic Fields Part 1 (Excerpt) / Les Chants Magnétiques (Extrait)	http://www.youtube.com/watch?v=t0Y6ItXOsn8	t	173
75818	Jean Michel Jarre - Magnetic Fields 2	Jean Michel Jarre - Magnetic Fields 2	http://www.youtube.com/watch?v=Pof4qDdgzc0	t	214
75818	Jean-Michel Jarre - Magnetic Fields, Part 2	Jean-Michel Jarre - Magnetic Fields, Part 2	http://www.youtube.com/watch?v=ttIL4EnqXdU	t	282
75818	Jean-Michel Jarre  - Magnetic Fields Part 1	Jean-Michel Jarre  - Magnetic Fields Part 1	http://www.youtube.com/watch?v=9yNYCzr5B-o	t	392
75818	Magnetic Fields part 1 - JM Jarre - (DAVID FANDOS) live cover 2010	Magnetic Fields part 1 - JM Jarre - (DAVID FANDOS) live cover 2010	http://www.youtube.com/watch?v=9mIUUZDbCuo	t	325
202927	Sherree Ford Payne - Shoulda Coulda Woulda(Extended Mix)	Sherree Ford Payne - Shoulda Coulda Woulda(Extended Mix)	http://www.youtube.com/watch?v=jBCCDTVyoXA	t	313
12333	Smack My Bitch Up (Dj Hype Remix)	Smack My Bitch Up (Dj Hype Remix)	http://www.youtube.com/watch?v=kDLz2uvXJkA	t	444
12333	Prodigy-Smack My Bitch Up (Slacker Remix)	Prodigy-Smack My Bitch Up (Slacker Remix)	http://www.youtube.com/watch?v=qqHwQGL7cMQ	t	393
12333	The Prodigy - Smack My Bitch Up (Slacker Mix)	The Prodigy - Smack My Bitch Up (Slacker Mix)	http://www.youtube.com/watch?v=ZwB3qupQG88	t	403
261002	Tortured Soul - Fall In Love	Tortured Soul - Fall In Love	http://www.youtube.com/watch?v=zTbBf1996dk	t	362
261002	Fall In Love (Eric Kupper Remix) Soul Lounge	Fall In Love (Eric Kupper Remix) Soul Lounge	http://www.youtube.com/watch?v=WKYGQvcMOn0	t	480
115729	Murphy's Law - Murphy's Law	Murphy's Law - Murphy's Law	http://www.youtube.com/watch?v=T6dGOiIObx8	t	108
215054	Fat Larry's Band - Zoom	Fat Larry's Band - Zoom	http://www.youtube.com/watch?v=nX9LSOshOYY	t	267
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases (id, status, country, released, title, master_id, data_quality, notes) FROM stdin;
9552	Accepted	UK	1998-00-00	Planetary Funk Alert / Camouflage	396484	Correct	\N
120786	Accepted	UK	2000	Subway Termination / Perdition	-1	Correct	Copyright Intensiv / UCMG UK 2000.
129290	Accepted	UK	1998	Tonight	241121	Correct	\N
137790	Accepted	US	2001	Feldzug / Stumpf	175618	Correct	Limited edition of 333 copies.
141057	Accepted	UK	1981	Magnetic Fields Part II	75818	Needs Vote	Artist on labels: Jean-Michel Jarre
171230	Accepted	US	1998-08-25	Quality Rolls	-1	Correct	\N
176915	Accepted	US	1998	Ultrasonic Sound	123237	Needs Vote	Inside The Hive - Published by Mandala Joints Music (BMI).
195057	Accepted	Netherlands	2001-05-27	No Problem	83121	Correct	\N
195858	Accepted	UK	2002-08-05	Southside	332215	Needs Vote	\N
197049	Accepted	Spain	2000	Sunday Island 2	-1	Correct	\N
198562	Accepted	UK	1996	Shoulda Coulda Woulda (The Morales Mixes)	202927	Correct	\N
220376	Accepted	Europe	2003	State Of Mind	77231	Correct	Enhanced with video and photo gallery.
221785	Accepted	Germany	1986	Transfer Station Blue	29711	Needs Vote	8000 München 40, (089) 33 20 78.
246789	Accepted	Germany	2001	Fourtunes / The Things You Said	66600	Correct	Track 5 is not mentioned in the tracklisting. Though it is not "hidden" at all.
251804	Accepted	Germany	2004-04-19	Bondage Bitch	-1	Correct	\N
283148	Accepted	US	1991	Series 11 Issue 3	261540	Correct	
294280	Accepted	US	2003	Frontin'	47305	Needs Vote	Promotional release.
306390	Accepted	UK	1999	Snacks	218544	Correct	Snacks; treat yourself
317610	Accepted	US	2004-09-00	Diplo Rhythm	151157	Needs Vote	"Newsflash", "Percão" and "Baby" are parts of the track "Diplo Rhythm," found on the album "Florida" (BD069)
320187	Accepted	UK	1998	Feelin' You	79543	Correct	\N
338434	Accepted	UK	1991	Made In Two Minutes	7548	Correct	\N
348966	Accepted	US	2004-07-27	Fall In Love (Eric Kupper Mixes)	261002	Correct	\N
353424	Accepted	US	2002	The Godz Must Be Crazy	69474	Needs Vote	Vol.4 Mars Ill (06.11.02)
391985	Accepted	US	1999	Temperamental	72617	Correct	Promo-only doublepack.
414262	Accepted	US	2005-03-00	Trax Classix	527061	Needs Vote	
416393	Accepted	Spain	2005-03-00	DSO II	-1	Complete and Correct	\N
435278	Accepted	France	1990	Situation (Remix)	71388	Correct	\N
438284	Accepted	Czech Republic	\N	Untitled	-1	Correct	\N
468517	Accepted	Germany	1991	Jane's Addiction	32058	Needs Vote	Made in Germany
476826	Accepted	US	1986	Murphy's Law	115729	Correct	
481079	Accepted	Italy	1998	Rave Invention	-1	Correct	\N
525651	Accepted	US	\N	Recycled	-1	Correct	\N
529327	Accepted	UK	1997-11-00	Smack My Bitch Up	12333	Correct	Promotional release in a plain jewel case with a black info sticker.
529927	Accepted	France	1982	Zoom / House Party	215054	Correct	
547563	Accepted	Germany	1976	Morning Has Broken / Glad I'm Alive	37149	Needs Vote	Freshwater Music
620973	Accepted	UK	1999	State Of The Union	-1	Correct	\N
646458	Accepted	UK	2006-01-31	East River / Irie Dubz	-1	Correct	Distribution by Nu Urban Music.
672085	Accepted	Germany	1984	Highly Strung	10122	Correct	
695499	Accepted	Spain	2006	Cyanide	179800	Correct	2006 Re-edition of the 2001 Uptempo release.
698248	Accepted	Germany	1988	The Sound Of Southern Sunsets	292884	Correct	
729335	Accepted	Sweden	1972	Philemon Arthur And The Dung	-1	Needs Vote	
729971	Accepted	Germany	1981	Rage In Eden	5516	Complete and Correct	Imprimé en République Fédérale d'Allemagne
731127	Accepted	Italy	\N	Notre Dame	355092	Correct	Track time for B isn't printed.
734566	Accepted	Germany	2001	Let U Go	23055	Needs Vote	\N
775137	Accepted	UK	2001	Braided Hair	153588	Correct	\N
776867	Accepted	US	2006	Alkhol Hufnimya	-1	Correct	\N
780393	Accepted	Finland	2005-10-14	Afternoon Owl	-1	Correct	Originally released on Electronic #19.
787457	Accepted	US	2006	Necklace	-1	Correct	'Solo For Neil' was commissioned by Neil Greenberg for Partial View
804216	Accepted	Europe	\N	Jazz Makers	-1	Needs Vote	
827356	Accepted	Spain	2005	Remixed E.P.	-1	Correct	\N
\.


--
-- Data for Name: releases_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_artists (release_id, id, role, anv, tracks, join_, name) FROM stdin;
9552	189	\N	\N	\N	\N	Seba
120786	70293	\N	\N	\N	\N	Gy-ro
129290	26010	\N	\N	\N	\N	Mistura
137790	73538	\N	\N	\N	\N	Organum
141057	209415	\N	Jean Michel Jarre	\N	\N	Jean-Michel Jarre
171230	10299	\N	\N	\N	\N	1.8.7.
176915	2851	\N	\N	\N	\N	Hive
195057	26695	\N	\N	\N	\N	Wawa
195858	14062	\N	\N	\N	\N	World Famous Martinez Orchestra
197049	5999	\N	\N	\N	\N	Glory B
198562	56851	\N	\N	\N	\N	Sherree Ford-Payne
220376	73328	\N	\N	\N	\N	Holly Valance
221785	227461	\N	\N	\N	With	Michael Shrieve
221785	227462	\N	\N	\N	And	Kevin Shrieve
221785	10360	\N	\N	\N	\N	Klaus Schulze
246789	18712	\N	\N	\N	\N	Contriva
251804	46506	\N	\N	\N	\N	Fernando
283148	194	\N	\N	\N	\N	Various
294280	90037	\N	Pharrell	\N	Featuring	Pharrell Williams
294280	21742	\N	\N	\N	\N	Jay-Z
306390	183917	\N	\N	\N	\N	Panta Rhei
317610	191242	\N	\N	\N	\N	Diplo
320187	413977	\N	Ali	\N	\N	Alistair Tennant
338434	22660	\N	\N	\N	\N	The Plastic Jam
348966	50872	\N	\N	\N	\N	Tortured Soul
353424	82713	\N	\N	\N	\N	Demigodz, The
391985	4115	\N	\N	\N	\N	Everything But The Girl
414262	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
416393	96622	\N	\N	\N	\N	DSO
435278	2713	\N	\N	\N	\N	Yazoo
438284	225001	\N	\N	\N	\N	Psychospores
468517	35740	\N	\N	\N	\N	Jane's Addiction
476826	343332	\N	\N	\N	\N	Murphy's Law (2)
481079	90489	\N	\N	\N	\N	Alternative Creators, The
525651	73465	\N	\N	\N	\N	Crawl Unit
529327	66852	\N	Prodigy	\N	\N	Prodigy, The
529927	29225	\N	\N	\N	\N	Fat Larry's Band
547563	37606	\N	\N	\N	\N	Cat Stevens
620973	449771	\N	\N	\N	\N	Union (4)
646458	20917	\N	\N	\N	/	Dice
646458	166728	\N	\N	\N	\N	Silva D
672085	66253	\N	\N	\N	\N	Spandau Ballet
695499	954530	\N	\N	\N	&	Kaiser (5)
695499	148330	\N	\N	\N	\N	Kura
698248	124165	\N	\N	\N	\N	Baffo Banfi
729335	260577	\N	Philemon Arthur And The Dung	\N	\N	The Dung
729971	70735	\N	\N	\N	\N	Ultravox
731127	556115	\N	\N	\N	\N	Max Fortuna
734566	5797	\N	\N	\N	\N	ATB
775137	55439	\N	\N	\N	\N	1 Giant Leap
776867	579426	\N	\N	\N	\N	Alcholic Cindy
780393	163549	\N	\N	\N	\N	Alek Száhala
787457	210518	\N	\N	\N	\N	Zeena Parkins
804216	200815	\N	Charlie Mingus	\N	\N	Charles Mingus
827356	662202	\N	\N	\N	\N	Coke Mafia
\.


--
-- Data for Name: releases_extraartists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_extraartists (release_id, id, role, anv, tracks, join_, name) FROM stdin;
9552	2041696	Design	\N	\N	\N	Propeller (5)
9552	300468	Mastered By	Stu.	\N	\N	Stuart Hawkes
9552	495093	Written-By, Producer	S.Ahrenberg	\N	\N	Sebastian Ahrenberg
120786	5160	Producer, Written-By	\N	\N	\N	Chris Liberator
120786	13407	Producer, Written-By	\N	\N	\N	Henry Cullen
129290	42018	Vocals	\N	\N	\N	Maxine McClain
137790	82375	Written-By	Jackman	\N	\N	David Jackman
141057	209415	Composed By, Producer	\N	\N	\N	Jean-Michel Jarre
141057	497537	Mastered By	YD	\N	\N	Yves Delaunay
171230	452309	Producer, Written-By	\N	\N	\N	Jordana LeSesne
176915	1243132	Artwork	Mear	\N	\N	Mear One
176915	64774	Design	\N	\N	\N	Daddy Kev
176915	2851	Mixed By	\N	\N	\N	Hive
176915	406206	Mixed By	\N	\N	\N	Scott Wolfe
176915	2851	Producer, Arranged By	\N	\N	\N	Hive
176915	34220	Scratches	DJ Rhettmatic	\N	\N	Rhettmatic
176915	391275	Written-By	A. Kerr	1, 5 , 6	\N	Anita Kerr
176915	413568	Written-By	Krause	2 to 4	\N	Bernie Krause
176915	258968	Written-By	D. Jenifer	1, 5 , 6	\N	Darryl Jenifer
176915	400928	Written-By	G. Miller	1, 5 , 6	\N	Gary Miller (4)
176915	181208	Written-By	L. Thomas	2 to 4	\N	Leon Thomas
176915	503033	Written-By	M. Petrie	\N	\N	Michael Petrie
176915	363549	Written-By	Beaver	2 to 4	\N	Paul Beaver
176915	1572374	Written-By	P. Hudson	1, 5 , 6	\N	Paul D. Hudson
176915	21147	Written-By	P. Sanders	2 to 4	\N	Pharoah Sanders
176915	283844	Written-By	R. McKuen	1, 5 , 6	\N	Rod McKuen
220376	1030263	Written-By	Mark Taylor, Jeff Taylor	\N	\N	Mark Taylor
220376	200627	Written-By	\N	\N	\N	Steve Torch
221785	2278834	Artwork [Airbrushed By]	\N	\N	\N	Barbara Falconer
221785	2278835	Artwork [Computer Graphics]	\N	\N	\N	Maureen Stone
221785	2278833	Artwork [Digital Halftoning]	\N	\N	\N	Michael Plass
221785	1894513	Design [Graphic Design], Illustration	\N	\N	\N	Janaia Donaldson
221785	227461	Drums, Timbales, Electronic Drums [Simmons]	\N	\N	\N	Michael Shrieve
221785	286775	Engineer [Celestial Sound, San Francisco]	\N	\N	\N	Stephen Hill
221785	501732	Engineer [House Of Music, New Jersey]	\N	\N	\N	Bobby Scott Cohen
221785	646964	Engineer [House Of Music, New Jersey]	Peter Roulinavage	\N	\N	Peter Roulinavage III
221785	392598	Engineer [House Of Music, New Jersey]	\N	\N	\N	Stephan Galfas
221785	10360	Engineer [Klaus Schulze Studio]	\N	\N	\N	Klaus Schulze
221785	63463	Engineer [Secret Sound Studios, New York]	Daryll Gustamachio	\N	\N	Darroll Gustamachio
221785	85728	Engineer [Secret Sound Studios, New York]	\N	\N	\N	Jason Corsaro
221785	227462	Guitar, Electric Piano [Wurlitzer Electronic Piano]	\N	\N	\N	Kevin Shrieve
221785	2278832	Photography By [Of Kevin Shrieve]	\N	\N	\N	Richard McCaffrey
221785	1845716	Photography By [Of Michael Shrieve]	\N	\N	\N	Deborah Feingold
221785	227462	Producer	\N	\N	\N	Kevin Shrieve
221785	227461	Producer	\N	\N	\N	Michael Shrieve
221785	10360	Synthesizer [Yahama C.s. 80, Fairlight Gds, Ppg Wave 2.3]	\N	\N	\N	Klaus Schulze
294280	182289	Executive Producer	\N	\N	\N	Chad Hugo
294280	90037	Executive Producer	\N	\N	\N	Pharrell Williams
294280	209284	Executive Producer	\N	\N	\N	Rob Walker
294280	17110	Other [Album Producers]	\N	\N	\N	Neptunes, The
294280	17110	Producer	\N	\N	\N	Neptunes, The
317610	0	Artwork By [Sleeve Design]	\N	\N	\N	Nick Barat
317610	191242	Written-By, Producer	\N	\N	\N	Diplo
348966	361222	Bass	\N	\N	\N	JKriv
348966	727416	Keyboards	\N	\N	\N	Ethan White
348966	1812	Remix	\N	\N	\N	Eric Kupper
348966	99630	Vocals	\N	\N	\N	Christian Urich
353424	26936	Producer	\N	B2, B3, D2, D3	\N	Apathy
353424	66817	Producer	\N	A1 to A4, B3 to C3, D3	\N	Celph Titled
353424	187941	Producer	\N	B1, D1	\N	J.J. Brown
353424	26936	Rap	\N	A1 to B3	\N	Apathy
353424	66817	Rap	\N	A1 to B3	\N	Celph Titled
414262	611256	Compiled By	\N	\N	\N	Laura von Bruening
414262	755969	Coordinator [Production]	\N	\N	\N	Jacquie Fex
414262	2109369	Design [Graphic Design]	\N	\N	\N	Design
414262	225533	Mastered By	\N	\N	\N	Noah Mintz
414262	1543343	Written-By	\N	3 to 13	\N	Farley Keith Williams
416393	214762	Executive Producer	\N	\N	\N	Javier Moreno
416393	214761	Executive Producer	\N	\N	\N	Michel Lapp
416393	791326	Written-By, Producer	Daniel Sanchez Soliva	\N	\N	Daniel Sánchez Soliva
435278	9857	Producer	D. Miller	\N	\N	Daniel Miller
435278	36687	Producer	E. Radcliffe	\N	\N	Eric Radcliffe
435278	37365	Producer	V. Clarke	\N	\N	Vince Clarke
435278	19674	Written-By	Moyet	\N	\N	Alison Moyet
435278	37365	Written-By	Clarke	\N	\N	Vince Clarke
468517	27951	Artwork	\N	\N	\N	Perry Farrell
468517	342896	Bass, Guitar	Eric	\N	\N	Eric Avery
468517	252197	Drums, Percussion	\N	\N	\N	Stephen Perkins
468517	56838	Guitar, Keyboards, Bass	David Navarro	\N	\N	Dave Navarro
468517	2250041	Photography By	\N	\N	\N	Karyn Cantor
468517	2250041	Photography By [Live Photos]	\N	\N	\N	Karyn Cantor
468517	2247686	Photography By [Live Photos]	\N	\N	\N	Robert John (4)
468517	35740	Producer	\N	\N	\N	Jane's Addiction
468517	260056	Producer	\N	\N	\N	Mark Linett
468517	255243	Recorded By	\N	\N	\N	Eddy Schreyer
468517	668289	Recorded By	Patrick Von Weigant	\N	\N	Patrick Von Wiegandt
468517	27951	Voice, Harmonica	\N	\N	\N	Perry Farrell
468517	27951	Words By	\N	1 to 7, 10	\N	Perry Farrell
468517	35740	Written-By, Composed By	\N	1 to 7, 10	\N	Jane's Addiction
476826	13227	Producer	\N	\N	\N	Robert Musso
529927	142724	Producer	\N	\N	\N	Larry James
529927	34854	Producer	\N	\N	\N	Nick Martinelli
547563	274221	Producer	\N	\N	\N	Paul Samwell-Smith
547563	37606	Written-By	Stevens	\N	\N	Cat Stevens
547563	605772	Written-By	Farjeon	A	\N	Eleanor Farjeon
620973	402480	Bass	\N	\N	\N	Brian Torff
620973	300765	Drums	\N	\N	\N	Paul Wertico
620973	449772	Piano	\N	\N	\N	Laurence Hobgood
620973	449771	Producer	\N	\N	\N	Union (4)
672085	66253	Producer	\N	\N	\N	Spandau Ballet
672085	567948	Producer	\N	\N	\N	Tony Swain
672085	282378	Written-By	\N	\N	\N	Gary Kemp
695499	79791	Producer	Ruboy	\N	\N	DJ Ruboy
698248	533594	Cover [Front]	\N	\N	\N	Michael Weisser
698248	124165	Synthesizer	\N	\N	\N	Baffo Banfi
729335	2270784	Cover	\N	\N	\N	Mats Victorson
729335	260577	Lyrics By, Music By	Filemon Arthur	\N	\N	The Dung
729971	2286149	Artwork [Based On Original Works]	\N	\N	\N	Claus Hansmann
729971	2286150	Artwork [Based On Original Works]	\N	\N	\N	Herve Morvan
729971	527635	Bass, Synthesizer, Vocals	\N	\N	\N	Chris Cross
729971	40135	Co-producer, Engineer	\N	\N	\N	Conny Plank
729971	1069010	Design [Sleeve Design]	\N	\N	\N	Peter Saville (2)
729971	247725	Drums, Electronic Drums [Electronic Percussion], Vocals	\N	\N	\N	Warren Cann
729971	72881	Lead Vocals, Guitar, Synthesizer	\N	\N	\N	Midge Ure
729971	1979733	Management	\N	\N	\N	Morrison O'Donnell Limited
729971	70735	Producer	\N	\N	\N	Ultravox
729971	247726	Synthesizer, Piano, Violin, Viola	\N	\N	\N	Billy Currie
729971	0	Written By	\N	\N	\N	M. Ure/C. Cross/W. Cann/B. Currie
729971	247726	Written-By	B. Currie	\N	\N	Billy Currie
729971	527635	Written-By	C. Cross	\N	\N	Chris Cross
729971	72881	Written-By	M. Ure	\N	\N	Midge Ure
729971	247725	Written-By	W. Cann	\N	\N	Warren Cann
731127	556114	Written-By	F. Racca	\N	\N	Flavio Racca
731127	556116	Written-By	M. Perani	\N	\N	Marco Perani
734566	203532	Vocals	\N	\N	\N	Roberta Carter Harrison
775137	69113	Bass, Guitar, Keyboards, Programmed By	\N	\N	\N	Duncan Bridgeman
775137	4945	Scratches	\N	\N	\N	DJ Swamp
775137	11449	Vocals	\N	1, 2	\N	Neneh Cherry
775137	56678	Vocals	\N	1, 2	\N	Speech
775137	56677	Vocals	\N	1, 2	\N	Ulali
787457	303769	Cello	\N	1	\N	Doug Henderson
787457	366110	Cello	Maggie Parkins	1, 2, 4 to 6	\N	Margaret Parkins
787457	210518	Electronics	\N	1	\N	Zeena Parkins
787457	2652252	Ensemble	\N	1, 4 to 6	\N	Eclipse Quartet, The
787457	210518	Harp	\N	3	\N	Zeena Parkins
787457	210518	Producer	\N	\N	\N	Zeena Parkins
787457	587337	Viola	\N	1, 4 to 6	\N	Joanna Hood
787457	339644	Violin	\N	1, 4 to 6	\N	Sara Parkins
787457	381904	Violin	\N	1, 4 to 6	\N	Sarah Thornblade
804216	200815	Bass	\N	\N	\N	Charles Mingus
804216	200776	Cello	Charlie McCracken	\N	\N	Charles McCracken
804216	636022	Flute	\N	\N	\N	Robert Didomenica
804216	669736	Oboe	Havoy Shulman	\N	\N	Harry Shulman
804216	252607	Percussion	Danny Richmond	\N	\N	Dannie Richmond
804216	274261	Percussion	\N	\N	\N	George Scott (3)
804216	453857	Percussion	\N	\N	\N	Sticks Evans
804216	274979	Piano	\N	\N	\N	Roland Hanna
804216	418348	Saxophone	William Barron	\N	\N	Bill Barron
804216	260718	Saxophone	\N	\N	\N	Danny Bank
804216	145272	Saxophone	\N	\N	\N	Eric Dolphy
804216	257008	Saxophone	Jo Farrell	\N	\N	Joe Farrell
804216	453850	Saxophone	John La Porta	\N	\N	John Laporta
804216	167055	Saxophone	\N	\N	\N	Yusef Lateef
804216	282467	Trombone	\N	\N	\N	Charles Greenlee
804216	274978	Trombone	\N	\N	\N	Eddie Bert
804216	253066	Trombone	\N	\N	\N	Jimmy Knepper
804216	372549	Trombone	\N	\N	\N	Slide Hampton
804216	217242	Trumpet	\N	\N	\N	Clark Terry
804216	453854	Trumpet	\N	\N	\N	Hobart Dotson
804216	230694	Trumpet	\N	\N	\N	Marcus Belgrave
804216	43786	Trumpet	\N	\N	\N	Richard Williams
804216	256582	Trumpet	\N	\N	\N	Ted Curson
804216	252606	Tuba	\N	\N	\N	Don Butterfield
827356	662202	Remix	\N	\N	\N	Coke Mafia
\.


--
-- Data for Name: releases_formats; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_formats (release_id, format_id, text, qty, name) FROM stdin;
9552	9314	Purple Label	1	Vinyl
120786	117830	\N	1	Vinyl
129290	126235	\N	1	Vinyl
137790	134609	White	1	Vinyl
141057	137852	\N	1	Vinyl
171230	167724	\N	1	CD
176915	173378	\N	1	CD
195057	191457	\N	1	Vinyl
195858	192252	\N	2	Vinyl
197049	193434	\N	1	Vinyl
197049	193435	\N	1	Vinyl
198562	194934	\N	1	CD
220376	216505	\N	1	CD
221785	217910	\N	1	CD
246789	242156	\N	1	CD
251804	247039	\N	1	Vinyl
283148	264413	\N	2	Vinyl
294280	268273	\N	1	CD
306390	276373	\N	1	CD
317610	284229	\N	1	Vinyl
320187	286079	\N	1	Vinyl
338434	299350	\N	1	Vinyl
348966	307023	\N	1	Vinyl
353424	310289	\N	2	Vinyl
391985	339965	\N	2	Vinyl
414262	357712	\N	1	CD
416393	359436	\N	1	Vinyl
435278	374349	\N	1	Vinyl
438284	376723	\N	1	Vinyl
468517	400370	\N	1	CD
476826	406780	\N	1	CD
481079	410077	\N	1	Vinyl
525651	444999	\N	1	Cassette
529327	447885	\N	1	CD
529927	448383	\N	1	Vinyl
547563	463391	\N	1	Vinyl
620973	521298	\N	1	CD
646458	539833	\N	1	Vinyl
672085	559243	\N	1	Vinyl
695499	576933	\N	1	Vinyl
698248	579029	\N	1	CD
729335	603407	\N	1	Vinyl
729971	603864	\N	1	Vinyl
731127	604682	\N	1	Vinyl
734566	607238	\N	1	CD
775137	638784	\N	1	CD
776867	640148	\N	1	File
780393	642909	\N	1	File
787457	648357	\N	1	CD
804216	661310	\N	1	Vinyl
827356	678859	\N	1	File
\.


--
-- Data for Name: releases_formats_descriptions; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_formats_descriptions (format_id, description) FROM stdin;
9314	12"
9314	33 ⅓ RPM
117830	12"
126235	12"
134609	7"
134609	Limited Edition
137852	7"
137852	Single
167724	Album
173378	EP
191457	12"
192252	12"
192252	Limited Edition
193434	12"
193435	10"
194934	Maxi-Single
216505	Single
216505	Enhanced
217910	Album
242156	Maxi-Single
247039	12"
264413	12"
268273	Maxi-Single
268273	Promo
276373	Album
284229	12"
284229	33 ⅓ RPM
286079	12"
286079	Promo
299350	12"
307023	12"
310289	12"
310289	EP
339965	12"
339965	Promo
357712	Compilation
359436	12"
374349	7"
374349	45 RPM
374349	Single
376723	12"
400370	Album
400370	Reissue
410077	12"
447885	Maxi-Single
447885	Promo
448383	7"
463391	7"
463391	45 RPM
463391	Reissue
521298	Album
539833	12"
559243	7"
559243	Single
576933	12"
576933	Reissue
579029	Compilation
603407	LP
603864	LP
603864	Album
604682	12"
607238	Single
638784	Enhanced
640148	MP3
642909	MP3
648357	Album
661310	7"
661310	EP
678859	MP3
678859	EP
\.


--
-- Data for Name: releases_genres; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_genres (release_id, genre) FROM stdin;
9552	Electronic
120786	Electronic
129290	Electronic
137790	Electronic
141057	Electronic
171230	Electronic
176915	Electronic
176915	Hip Hop
195057	Electronic
195858	Electronic
197049	Electronic
198562	Electronic
220376	Electronic
221785	Electronic
246789	Electronic
246789	Pop
246789	Rock
251804	Electronic
283148	Electronic
294280	Hip Hop
306390	Electronic
317610	Electronic
320187	Electronic
338434	Electronic
348966	Electronic
353424	Hip Hop
391985	Electronic
414262	Electronic
416393	Electronic
435278	Electronic
438284	Electronic
468517	Rock
476826	Rock
481079	Electronic
525651	Electronic
529327	Electronic
529927	Electronic
547563	Rock
620973	Jazz
646458	Electronic
672085	Electronic
672085	Pop
695499	Electronic
698248	Electronic
729335	Rock
729971	Electronic
731127	Electronic
734566	Electronic
775137	Electronic
776867	Electronic
780393	Electronic
787457	Electronic
804216	Jazz
827356	Electronic
\.


--
-- Data for Name: releases_identifiers; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_identifiers (release_id, type, description, value) FROM stdin;
9552	Barcode	Text	5 032781 260163
9552	Barcode	Scan	5032781260163
141057	Matrix / Runout	Run-out Side A (stamped)	POSP 292 A//2∇E 1 1
141057	Matrix / Runout	Run-out Side A (etched)	YD JMJARRE A GB4
141057	Matrix / Runout	Run-out Side B (stamped)	POSP 292 B//1∇E 1 1
141057	Matrix / Runout	Run-out Side B (etched)	YD JMJARRE B GB3
176915	Barcode	Text	7 314-570189-2 7
176915	Barcode	Scan	731457018927
221785	Barcode	\N	0 1371- 17023-2 3
221785	Other	Label Code	LC 8878
221785	Other	Rights Society	GEMA
221785	Matrix / Runout	\N	SONO/P-8708-FOR023 SA8147
294280	Matrix / Runout	\N	C5236-01
294280	Matrix / Runout	\N	82876530042
294280	Other	Mastering SID Code	IFPI L028
294280	Other	Mould SID Code	IFPI 1022
317610	Barcode	\N	5021392055862
414262	Barcode	Text	8 28708 50122 9
414262	Barcode	Scanned	828708501229
414262	Matrix / Runout	\N	CTX CD 5012 10-80624-LJ21
414262	Other	Mould SID Code	IFPI V502
414262	Other	Variant Mould SID Code	IFPI V504
468517	Barcode	\N	0 7599-26599-2
468517	Matrix / Runout	\N	759926599-2 RSA
468517	Label Code	\N	LC 0392
468517	Rights Society	\N	GEMA / BIEM
468517	Other	France Distribution Code	WE 833
468517	Other	SPARS Code	AAD
529327	Matrix / Runout	\N	C7518 XLS 90 CD : 1:0
529327	Other	Mastering SID Code	IFPI L123
547563	Matrix / Runout	Run Out Info Side A	10949 A-6/76S
547563	Matrix / Runout	Run Out Info Side B	WIPX 1142-1U 10 949-B
547563	Other	Rights Society	GEMA
547563	Other	Label Code	LC 0407
547563	Matrix / Runout	Side A	C 10 949 A
547563	Matrix / Runout	Side B	C 10 949 B
698248	Rights Society	\N	GEMA
729335	Rights Society	\N	NCB
729971	Rights Society	\N	GEMA
729971	Label Code	Back cover	LC 1626
729971	Label Code	Labels	LC 6879
729971	Matrix / Runout	Label A	S 203 958 A
729971	Matrix / Runout	Label B	S 203 958 B
729971	Matrix / Runout	Runout A	203958 A-1/81S III Ⅲ Made in Germany
729971	Matrix / Runout	Runout B	203958 B-1/81S III Ⅱ Made in Germany
729971	Other	Inner sleeve	203 985/97053
\.


--
-- Data for Name: releases_images; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_images (release_id, uri, type, height, width, uri150) FROM stdin;
9552	http://api.discogs.com/image/R-9552-1355751145-7954.jpeg	primary	600	600	http://api.discogs.com/image/R-150-9552-1355751145-7954.jpeg
9552	http://api.discogs.com/image/R-9552-1333183989.jpeg	secondary	597	600	http://api.discogs.com/image/R-150-9552-1333183989.jpeg
9552	http://api.discogs.com/image/R-9552-1177930432.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-9552-1177930432.jpeg
9552	http://api.discogs.com/image/R-9552-1177930122.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-9552-1177930122.jpeg
129290	http://api.discogs.com/image/R-129290-1165234291.jpeg	secondary	472	472	http://api.discogs.com/image/R-150-129290-1165234291.jpeg
137790	http://api.discogs.com/image/R-137790-001.jpg	primary	250	250	http://api.discogs.com/image/R-150-137790-001.jpg
141057	http://api.discogs.com/image/R-141057-1329999460.jpeg	primary	599	596	http://api.discogs.com/image/R-150-141057-1329999460.jpeg
141057	http://api.discogs.com/image/R-141057-1329999478.jpeg	secondary	599	595	http://api.discogs.com/image/R-150-141057-1329999478.jpeg
141057	http://api.discogs.com/image/R-141057-1266244334.jpeg	secondary	579	600	http://api.discogs.com/image/R-150-141057-1266244334.jpeg
141057	http://api.discogs.com/image/R-141057-1266244304.jpeg	secondary	567	600	http://api.discogs.com/image/R-150-141057-1266244304.jpeg
171230	http://api.discogs.com/image/R-171230-001.gif	primary	300	304	http://api.discogs.com/image/R-150-171230-001.gif
171230	http://api.discogs.com/image/R-171230-002.jpg	secondary	300	300	http://api.discogs.com/image/R-150-171230-002.jpg
176915	http://api.discogs.com/image/R-176915-1308766192.jpeg	secondary	471	476	http://api.discogs.com/image/R-150-176915-1308766192.jpeg
176915	http://api.discogs.com/image/R-176915-1308766249.jpeg	primary	471	476	http://api.discogs.com/image/R-150-176915-1308766249.jpeg
195057	http://api.discogs.com/image/R-195057-1142852983.jpeg	secondary	345	336	http://api.discogs.com/image/R-150-195057-1142852983.jpeg
195057	http://api.discogs.com/image/R-195057-1142853004.jpeg	secondary	336	337	http://api.discogs.com/image/R-150-195057-1142853004.jpeg
195057	http://api.discogs.com/image/R-195057-1142853019.jpeg	secondary	340	336	http://api.discogs.com/image/R-150-195057-1142853019.jpeg
195858	http://api.discogs.com/image/R-195858-1317579913.jpeg	primary	600	596	http://api.discogs.com/image/R-150-195858-1317579913.jpeg
197049	http://api.discogs.com/image/R-197049-1299000237.jpeg	primary	600	577	http://api.discogs.com/image/R-150-197049-1299000237.jpeg
197049	http://api.discogs.com/image/R-197049-1299000260.jpeg	secondary	599	600	http://api.discogs.com/image/R-150-197049-1299000260.jpeg
197049	http://api.discogs.com/image/R-197049-1299000249.jpeg	secondary	599	600	http://api.discogs.com/image/R-150-197049-1299000249.jpeg
197049	http://api.discogs.com/image/R-197049-1299000268.jpeg	secondary	599	600	http://api.discogs.com/image/R-150-197049-1299000268.jpeg
197049	http://api.discogs.com/image/R-197049-1299000287.jpeg	secondary	600	597	http://api.discogs.com/image/R-150-197049-1299000287.jpeg
197049	http://api.discogs.com/image/R-197049-1299000298.jpeg	secondary	600	597	http://api.discogs.com/image/R-150-197049-1299000298.jpeg
198562	http://api.discogs.com/image/R-198562-1208988108.gif	primary	384	436	http://api.discogs.com/image/R-150-198562-1208988108.gif
220376	http://api.discogs.com/image/R-220376-1257161753.jpeg	primary	527	589	http://api.discogs.com/image/R-150-220376-1257161753.jpeg
221785	http://api.discogs.com/image/R-221785-1203244095.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-221785-1203244095.jpeg
221785	http://api.discogs.com/image/R-221785-1203244124.jpeg	secondary	600	599	http://api.discogs.com/image/R-150-221785-1203244124.jpeg
221785	http://api.discogs.com/image/R-221785-1203244147.jpeg	secondary	600	599	http://api.discogs.com/image/R-150-221785-1203244147.jpeg
221785	http://api.discogs.com/image/R-221785-1203244167.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-221785-1203244167.jpeg
221785	http://api.discogs.com/image/R-221785-1203244187.jpeg	secondary	466	600	http://api.discogs.com/image/R-150-221785-1203244187.jpeg
251804	http://api.discogs.com/image/R-251804-1347663016-4664.jpeg	primary	600	600	http://api.discogs.com/image/R-150-251804-1347663016-4664.jpeg
251804	http://api.discogs.com/image/R-251804-1347663030-3902.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-251804-1347663030-3902.jpeg
283148	http://api.discogs.com/image/R-283148-1351176581-1814.jpeg	primary	600	600	http://api.discogs.com/image/R-150-283148-1351176581-1814.jpeg
294280	http://api.discogs.com/image/R-294280-1332590857.jpeg	primary	600	600	http://api.discogs.com/image/R-150-294280-1332590857.jpeg
294280	http://api.discogs.com/image/R-294280-1190472192.jpeg	secondary	248	288	http://api.discogs.com/image/R-150-294280-1190472192.jpeg
306390	http://api.discogs.com/image/R-306390-1196887599.jpeg	primary	566	600	http://api.discogs.com/image/R-150-306390-1196887599.jpeg
306390	http://api.discogs.com/image/R-306390-1196887646.jpeg	secondary	569	600	http://api.discogs.com/image/R-150-306390-1196887646.jpeg
306390	http://api.discogs.com/image/R-306390-1196887616.jpeg	secondary	280	600	http://api.discogs.com/image/R-150-306390-1196887616.jpeg
306390	http://api.discogs.com/image/R-306390-1196887976.jpeg	secondary	564	600	http://api.discogs.com/image/R-150-306390-1196887976.jpeg
306390	http://api.discogs.com/image/R-306390-1093719415.jpg	secondary	311	330	http://api.discogs.com/image/R-150-306390-1093719415.jpg
317610	http://api.discogs.com/image/R-317610-1145643931.jpeg	primary	350	350	http://api.discogs.com/image/R-150-317610-1145643931.jpeg
317610	http://api.discogs.com/image/R-317610-1103308486.jpg	secondary	300	300	http://api.discogs.com/image/R-150-317610-1103308486.jpg
317610	http://api.discogs.com/image/R-317610-1103308510.jpg	secondary	300	300	http://api.discogs.com/image/R-150-317610-1103308510.jpg
348966	http://api.discogs.com/image/R-348966-1110925435.jpg	secondary	193	189	http://api.discogs.com/image/R-150-348966-1110925435.jpg
353424	http://api.discogs.com/image/R-353424-1229510430.jpeg	primary	300	300	http://api.discogs.com/image/R-150-353424-1229510430.jpeg
391985	http://api.discogs.com/image/R-391985-1107233683.jpg	secondary	200	200	http://api.discogs.com/image/R-150-391985-1107233683.jpg
414262	http://api.discogs.com/image/R-414262-1184602567.jpeg	secondary	528	600	http://api.discogs.com/image/R-150-414262-1184602567.jpeg
414262	http://api.discogs.com/image/R-414262-1184602581.jpeg	secondary	500	600	http://api.discogs.com/image/R-150-414262-1184602581.jpeg
414262	http://api.discogs.com/image/R-414262-1184602592.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-414262-1184602592.jpeg
416393	http://api.discogs.com/image/R-416393-1269696753.jpeg	primary	600	594	http://api.discogs.com/image/R-150-416393-1269696753.jpeg
416393	http://api.discogs.com/image/R-416393-1269696765.jpeg	secondary	600	594	http://api.discogs.com/image/R-150-416393-1269696765.jpeg
435278	http://api.discogs.com/image/R-435278-1299274384.jpeg	primary	594	600	http://api.discogs.com/image/R-150-435278-1299274384.jpeg
438284	http://api.discogs.com/image/R-438284-1113468408.jpg	secondary	285	285	http://api.discogs.com/image/R-150-438284-1113468408.jpg
438284	http://api.discogs.com/image/R-438284-1113468416.jpg	secondary	288	290	http://api.discogs.com/image/R-150-438284-1113468416.jpg
468517	http://api.discogs.com/image/R-468517-1168289828.jpeg	primary	604	600	http://api.discogs.com/image/R-150-468517-1168289828.jpeg
468517	http://api.discogs.com/image/R-468517-1212773716.jpeg	secondary	466	600	http://api.discogs.com/image/R-150-468517-1212773716.jpeg
468517	http://api.discogs.com/image/R-468517-1212773737.jpeg	secondary	604	600	http://api.discogs.com/image/R-150-468517-1212773737.jpeg
476826	http://api.discogs.com/image/R-476826-1125730632.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-476826-1125730632.jpeg
525651	http://api.discogs.com/image/R-525651-1139777368.jpeg	secondary	317	499	http://api.discogs.com/image/R-150-525651-1139777368.jpeg
529327	http://api.discogs.com/image/R-529327-1291627475.jpeg	primary	522	600	http://api.discogs.com/image/R-150-529327-1291627475.jpeg
529327	http://api.discogs.com/image/R-529327-1260383186.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-529327-1260383186.jpeg
529327	http://api.discogs.com/image/R-529327-1291627129.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-529327-1291627129.jpeg
529327	http://api.discogs.com/image/R-529327-1291626287.jpeg	secondary	210	600	http://api.discogs.com/image/R-150-529327-1291626287.jpeg
529327	http://api.discogs.com/image/R-529327-1291626781.jpeg	secondary	221	600	http://api.discogs.com/image/R-150-529327-1291626781.jpeg
529327	http://api.discogs.com/image/R-529327-1291626583.jpeg	secondary	356	600	http://api.discogs.com/image/R-150-529327-1291626583.jpeg
529327	http://api.discogs.com/image/R-529327-1291626913.jpeg	secondary	214	600	http://api.discogs.com/image/R-150-529327-1291626913.jpeg
529327	http://api.discogs.com/image/R-529327-1310645691.jpeg	secondary	848	600	http://api.discogs.com/image/R-150-529327-1310645691.jpeg
529927	http://api.discogs.com/image/R-529927-1128382887.jpeg	secondary	601	600	http://api.discogs.com/image/R-150-529927-1128382887.jpeg
529927	http://api.discogs.com/image/R-529927-1196006992.jpeg	secondary	608	600	http://api.discogs.com/image/R-150-529927-1196006992.jpeg
529927	http://api.discogs.com/image/R-529927-1196007003.jpeg	secondary	599	600	http://api.discogs.com/image/R-150-529927-1196007003.jpeg
529927	http://api.discogs.com/image/R-529927-1196007016.jpeg	secondary	602	600	http://api.discogs.com/image/R-150-529927-1196007016.jpeg
547563	http://api.discogs.com/image/R-547563-1277019209.jpeg	primary	600	600	http://api.discogs.com/image/R-150-547563-1277019209.jpeg
547563	http://api.discogs.com/image/R-547563-1235565201.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-547563-1235565201.jpeg
547563	http://api.discogs.com/image/R-547563-1235565215.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-547563-1235565215.jpeg
620973	http://api.discogs.com/image/R-620973-1181987422.jpeg	secondary	200	200	http://api.discogs.com/image/R-150-620973-1181987422.jpeg
646458	http://api.discogs.com/image/R-646458-1142869514.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-646458-1142869514.jpeg
672085	http://api.discogs.com/image/R-672085-1161084616.jpeg	secondary	606	600	http://api.discogs.com/image/R-150-672085-1161084616.jpeg
672085	http://api.discogs.com/image/R-672085-1161084663.jpeg	secondary	606	600	http://api.discogs.com/image/R-150-672085-1161084663.jpeg
695499	http://api.discogs.com/image/R-695499-1148720649.jpeg	secondary	565	600	http://api.discogs.com/image/R-150-695499-1148720649.jpeg
695499	http://api.discogs.com/image/R-695499-1148720675.jpeg	secondary	600	598	http://api.discogs.com/image/R-150-695499-1148720675.jpeg
695499	http://api.discogs.com/image/R-695499-1149023072.jpeg	secondary	592	600	http://api.discogs.com/image/R-150-695499-1149023072.jpeg
698248	http://api.discogs.com/image/R-698248-1297879068.jpeg	primary	497	500	http://api.discogs.com/image/R-150-698248-1297879068.jpeg
698248	http://api.discogs.com/image/R-698248-1297879199.jpeg	secondary	552	555	http://api.discogs.com/image/R-150-698248-1297879199.jpeg
698248	http://api.discogs.com/image/R-698248-1297879433.jpeg	secondary	217	560	http://api.discogs.com/image/R-150-698248-1297879433.jpeg
698248	http://api.discogs.com/image/R-698248-1297879451.jpeg	secondary	266	560	http://api.discogs.com/image/R-150-698248-1297879451.jpeg
729335	http://api.discogs.com/image/R-729335-1338047674-6521.jpeg	primary	608	600	http://api.discogs.com/image/R-150-729335-1338047674-6521.jpeg
729335	http://api.discogs.com/image/R-729335-1335112088.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-729335-1335112088.jpeg
729335	http://api.discogs.com/image/R-729335-1321476384.jpeg	secondary	600	591	http://api.discogs.com/image/R-150-729335-1321476384.jpeg
729335	http://api.discogs.com/image/R-729335-1321476374.jpeg	secondary	600	594	http://api.discogs.com/image/R-150-729335-1321476374.jpeg
729971	http://api.discogs.com/image/R-729971-1219661727.jpeg	primary	600	600	http://api.discogs.com/image/R-150-729971-1219661727.jpeg
734566	http://api.discogs.com/image/R-734566-1166620780.jpeg	secondary	483	479	http://api.discogs.com/image/R-150-734566-1166620780.jpeg
734566	http://api.discogs.com/image/R-734566-1166620795.jpeg	secondary	485	480	http://api.discogs.com/image/R-150-734566-1166620795.jpeg
734566	http://api.discogs.com/image/R-734566-1166620809.jpeg	secondary	479	490	http://api.discogs.com/image/R-150-734566-1166620809.jpeg
775137	http://api.discogs.com/image/R-775137-1161080818.jpeg	primary	562	565	http://api.discogs.com/image/R-150-775137-1161080818.jpeg
776867	http://api.discogs.com/image/R-776867-1157657852.jpeg	primary	600	600	http://api.discogs.com/image/R-150-776867-1157657852.jpeg
776867	http://api.discogs.com/image/R-776867-1157657868.jpeg	secondary	462	600	http://api.discogs.com/image/R-150-776867-1157657868.jpeg
787457	http://api.discogs.com/image/R-787457-1286381888.jpeg	primary	600	600	http://api.discogs.com/image/R-150-787457-1286381888.jpeg
804216	http://api.discogs.com/image/R-804216-1160476299.jpeg	secondary	598	600	http://api.discogs.com/image/R-150-804216-1160476299.jpeg
804216	http://api.discogs.com/image/R-804216-1171456959.jpeg	secondary	600	598	http://api.discogs.com/image/R-150-804216-1171456959.jpeg
827356	http://api.discogs.com/image/R-827356-1162855878.jpeg	secondary	600	600	http://api.discogs.com/image/R-150-827356-1162855878.jpeg
\.


--
-- Data for Name: releases_labels; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_labels (release_id, name, catno) FROM stdin;
9552	Looking Good Records	LGR016
120786	Intensiv	IT013-6
129290	Z Records	ZEDD 12 027
137790	Die Stadt	DS33
137790	Robot Records	RR-28
137790	Siren Records (4)	Siren 09
141057	Polydor	POSP 292
171230	Jungle Sky	JS 140
176915	Phase 4 Records (2)	314-570 189-2
195057	Fresh Fruit Records	EPFF 39
195858	Credence	12cred021
197049	Minifunk	MFR 036/99
198562	Almo Sounds	CDALMOS 021
220376	London Records	5046701082
221785	Fortuna Records	17023-2
246789	Lok Musik	LOK15
251804	Composure Records	composure015
283148	Hot Tracks	SA 11-3
294280	Star Trak Entertainment	82876-53004-2
306390	Sofa Records	sofa.alm.1
317610	Big Dada Recordings	BD055X
320187	Polydor	ALI 4
338434	Labello Blanco Recordings	LB07
348966	Central Park Recordings	CPR3025
353424	Ill Boogie Records	ILL72052-1
391985	Atlantic	DMD 2544
414262	Trax Records	CTX-CD-5012
416393	Esquisi-tekk Records	EKR018
435278	Virgin	90654
438284	Psychospores	01
468517	Warner Bros. Records	7599-26599-2
468517	Triple X Records	7599-26599-2
476826	Profile Records	PCD-1225
481079	Trance Communications Red Records	TRC R 008
525651	RRRecords	none
529327	XL Recordings	XLS  90 CDP
529927	Disques Vogue	101698
547563	Island Records	10 949 AT
620973	Naim Label	naimcd038
646458	Touchin Down Productions	TDP 005
672085	Chrysalis	106 913
695499	Ruboy Records Gold	RBYG002
698248	Innovative Communication	IC 710.065
729335	Silence (3)	SRS 4607
729971	Chrysalis	203 958
729971	Chrysalis	203 958-320
731127	Rise Records (6)	R 012
734566	Kontor Records	0128136 KTR
775137	Palm Pictures	PPCD 7056-2
776867	Non Quality Audio	NQA023
780393	FINRG Digital	FINRGDIGI002
787457	Tzadik	TZ 8022
804216	Mercury	126 106 MCE
827356	Rapedtraxx	RTX 002
\.


--
-- Data for Name: releases_styles; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_styles (release_id, style) FROM stdin;
9552	Drum n Bass
120786	Techno
120786	Hard Trance
120786	Acid
129290	House
137790	Industrial
137790	Experimental
141057	Synth-pop
141057	Experimental
171230	Drum n Bass
176915	Drum n Bass
195057	House
195858	House
197049	Minimal
197049	Tech House
198562	House
198562	Deep House
198562	Garage House
220376	House
220376	Electro
220376	Synth-pop
221785	Electro
221785	Downtempo
246789	Downtempo
246789	Post Rock
246789	Experimental
251804	Techno
283148	House
283148	Broken Beat
283148	Synth-pop
294280	RnB/Swing
306390	Abstract
306390	IDM
306390	Ambient
317610	Breakbeat
317610	Electro
317610	Hip Hop
320187	UK Garage
320187	Garage House
338434	Hardcore
338434	Garage House
348966	Deep House
353424	Thug Rap
391985	House
391985	Tribal
414262	House
414262	Acid House
416393	Techno
435278	House
435278	Techno
438284	Techno
468517	Alternative Rock
476826	Hardcore
481079	Trance
525651	Noise
525651	Experimental
529327	Breakbeat
529327	Jungle
529327	Big Beat
529927	Disco
547563	Folk Rock
547563	Pop Rock
646458	Drum n Bass
672085	Synth-pop
695499	Makina
698248	Ambient
729335	Alternative Rock
729971	Synth-pop
731127	Trance
734566	Trance
734566	Euro House
775137	Downtempo
776867	Glitch
776867	Broken Beat
776867	Breakcore
776867	Experimental
780393	Hardcore
780393	Hard Trance
787457	Modern Classical
804216	Post Bop
827356	Hardcore
\.


--
-- Data for Name: releases_tracklist; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist (release_id, track_id, "position", duration, title) FROM stdin;
9552	53327	A	10:12	Planetary Funk Alert
9552	53328	AA	9:00	Camouflage
120786	646891	A	\N	Subway Termination
120786	646892	B	\N	Perdition
129290	691838	A1	6:32	Tonight (Joey Negro Etagui Mix)
129290	691839	A2	5:15	Tonight (Todd Edwards Samba Dub)
129290	691840	B1	8:04	Tonight (Todd Edwards Club Mix)
129290	691841	B2	2:33	Tonight (Accapella)
137790	739694	A	2:18	Feldzug
137790	739695	B	1:12	Stumpf
141057	758126	A	\N	Magnetic Fields Part 2 (Remix)
141057	758127	B	\N	Magnetic Fields Part 1 (Excerpt)
171230	929666	1	5:59	Blue Nile
171230	929667	2	5:38	Get Amped (215 Remix)
171230	929668	3	7:03	Relax Your Mind
171230	929669	4	6:25	Deep Stealth
171230	929670	5	5:59	Rock The Party
171230	929671	6	6:34	Unite
171230	929672	7	6:47	Cross The Line
171230	929673	8	6:32	Quality Rolls
171230	929674	9	6:22	Stigma
171230	929675	10	6:03	Reboot
171230	929676	11	8:14	Jerusalem
176915	961758	1	\N	Ultrasonic Sound
176915	961759	2	\N	Moves Within Time (1st Movement)
176915	961760	3	\N	Moves Within Time (2nd Movement)
176915	961761	4	\N	Moves Within Time (3rd Movement)
176915	961762	5	\N	Ultrasonic Sound (DJ Wally's Moves Within Sound Mix)
176915	961763	6	\N	Ultrasonic Sound (Mixmaster Mike's Back Rash Ointment Mix)
176915	961764	7	\N	Inside The Hive
195057	1062974	A1	\N	Uciekaj
195057	1062975	B1	\N	No Problem (Dub Mix)
195057	1062976	B2	\N	No Problem (Piano Mix)
195858	1067149	A	\N	Southside (Original)
195858	1067150	B	\N	Southside (Cocoluto Dub)
195858	1067151	C	\N	Southside (Problem Kid Shallow House Mix)
195858	1067152	D	\N	Southside  (Problem Kid Deeper Dub)
197049	1074734	A1	\N	Multiple Suns
197049	1074735	A2	\N	Swingtime
197049	1074736	B1	\N	Bring It On
197049	1074737	B2	\N	Tears On Top
197049	1074738	C1	\N	Back On Call
197049	1074739	C2	\N	Proof Bros
197049	1074740	D	\N	Click
198562	1083408	1	3:56	Shoulda Coulda Woulda (Eat Me Edit)
198562	1083409	2	4:03	Shoulda Coulda Woulda (Classic Radio Mix)
198562	1083410	3	11:06	Shoulda Coulda Woulda (DEF Club Mix)
198562	1083411	4	5:12	Shoulda Coulda Woulda (Extended Mix)
198562	1083412	5	7:40	Shoulda Coulda Woulda (Dub Mix)
198562	1083413	6	4:49	Shoulda Coulda Woulda (Album Version)
220376	1209148	1	3:21	State Of Mind
220376	1209149	2	7:00	State Of Mind (Vertigo) (Extended Mix)
220376	1209150	3	7:31	State Of Mind (Felix Da Housekatt) (Mix)
220376	1209151	Video	\N	State Of Mind
221785	1217717	1	13:28	Communiqué: "Approach Spiral"
221785	1217718	2	4:48	Nucleotide
221785	1217719	3	12:08	Transfer Station Blue
221785	1217720	4	7:17	View From The Window
246789	1366314	1	\N	The Key
246789	1366315	2	\N	Let's Keep In Touch
246789	1366316	3	\N	What Have I Done To My Life
246789	1366317	4	\N	Dream Theme
246789	1366318	5	\N	The Things You Said
251804	1395491	A	\N	Planet
251804	1395492	B1	\N	Bondage Bitch
251804	1395493	B2	\N	The Hook
283148	1505490	A1	6:29	Jam (Digital Mix)
283148	1505491	A2	6:18	Make It On My Own (Stephen L. Freeman Hot Tracks Remix)
283148	1505492	B1	6:56	Pete Werner Hot Tracks Mix)
283148	1505493	B2	6:19	Breath Of Life (Digital Mix)
283148	1505494	C1	7:19	The Best Things In Life Are Free (Digital Mix)
283148	1505495	C2	6:21	Please Don't Go (Digital Mix)
283148	1505496	D1	6:44	Rhythm Is A Dancer (Digital Mix)
283148	1505497	D2	6:04	Rejoicing (I'll Never Forget) (Glenn Cattanach Mix)
294280	1530819	1	3:58	Frontin' (Radio Mix)
294280	1530820	2	3:58	Frontin' (Instrumental)
306390	1579758	1	1:53	Pral
306390	1579759	2	6:27	Ernie
306390	1579760	3	8:47	Philo
306390	1579761	4	4:08	Bank
306390	1579762	5	6:09	Winston
306390	1579763	6	2:17	Washing Bones
306390	1579764	7	6:19	Graesser Profile
306390	1579765	8	5:41	Hut
306390	1579766	9	5:06	Tha Monk
306390	1579767	10	6:38	Sub Officer
306390	1579768	11	4:15	Leonard
306390	1579769	12	10:37	Baio
317610	1631212	A1	3:00	Newsflash
317610	1631213	A2	2:38	Percão
317610	1631214	B1	3:22	Baby
317610	1631215	B2	3:22	Diplo Rhythm
320187	1642957	A1	\N	Feelin' You (Booker T Feelin' Lick)
320187	1642958	A2	\N	Feelin' You (Lurky Remix)
320187	1642959	B1	\N	Feelin' You (Nu Birth Vox)
320187	1642960	B2	\N	Feelin' You (Nu Birth Beefed-Up Dub)
338434	1732689	A	\N	Made In Two Minutes (New Class A Remix)
338434	1732690	B	\N	Made In Two Minutes (Vocal Mix)
348966	1782369	A	\N	Fall In Love (12" Club Mix)
348966	1782370	B	\N	Fall In Love (Dubstrumental Mix)
353424	1803335	A1	\N	Intro
353424	1803336	A2	\N	Science Of The Bumrush Vol. 2
353424	1803337	A3	\N	Captivate / Deactivate
353424	1803338	A4	\N	The Demigodz
353424	1803339	B1	\N	Off The Chrome
353424	1803340	B2	\N	Don't You Even Go There
353424	1803341	B3	\N	The Godz Must Be Crazy
353424	1803342	C1	\N	Science Of The Bumrush Vol. 2 (Instrumental)
353424	1803343	C2	\N	Captivate / Deactivate (Instrumental)
353424	1803344	C3	\N	The Demigodz (Instrumental)
353424	1803345	D1	\N	Off The Chrome (Instrumental)
353424	1803346	D2	\N	Don't You Even Go There (Instrumental)
353424	1803347	D3	\N	The Godz Must Be Crazy (Instrumental)
391985	2026057	A1	7:21	Temperamental (Hex Hector/Mac Quayle Club Mix)
391985	2026058	A2	8:44	Temperamental (Ralphi Rosario Mix)
391985	2026059	B1	9:40	Karizma Mix)
391985	2026060	B2	3:52	Karizma Beats)
391985	2026061	C1	5:48	Temperamental (Hex Hector/Mac Quayle Reverse Drum Dub)
391985	2026062	C2	4:31	Temperamental (Hex/Quayle Acapella)
391985	2026063	D1	5:26	Temperamental (Da Deepah Dub)
391985	2026064	D2	6:51	Temperamental (Da Organ Dub)
414262	2156799	1	4:11	Love Can't Turn Around (Original Mix)
414262	2156800	2	6:26	As Always (Full Vocal Version)
414262	2156801	3	4:08	Give Yourself To Me
414262	2156802	4	4:28	Farley Knows House
414262	2156803	5	6:37	Jack The Bass (Jack The Dick)
414262	2156804	6	5:05	Jackin' The Trax
414262	2156805	7	2:30	Clap'n The Pella
414262	2156806	8	5:03	Farley Farley
414262	2156807	9	7:46	Beat That Bitch With A Bat
414262	2156808	10	7:25	Jackin' The Bass
414262	2156809	11	7:41	Aw Shucks (Let's Go) (Long Version)
414262	2156810	12	6:54	The Acid Life (Extended Version)
414262	2156811	13	6:05	I Need A Friend
416393	2168108	A1	\N	Electrovoice
416393	2168109	B1	\N	Floyd
416393	2168110	B2	\N	Gemma
435278	2274801	A	2:40	Situation (Deadline Mix - Edit)
435278	2274802	B	3:18	State Farm (Madhouse Mix - Edit)
438284	2292070	A	\N	Live Brain Replacement
438284	2292071	B	\N	Mobile Illnes
468517	2468294	1	4:00	Trip Away
468517	2468295	2	3:35	Whores
468517	2468296	3	4:25	Pigs In Zen
468517	2468297	4	3:25	1%
468517	2468298	5	3:45	I Would For You
468517	2468299	6	3:20	My Time
468517	2468300	7	4:20	Jane Says
468517	2468301	8	3:55	Rock 'N' Roll
468517	2468302	9	4:58	Sympathy
468517	2468303	10	2:25	Chip Away
476826	2514080	1	1:47	Murphy's Law
476826	2514081	2	1:25	California Pipeline
476826	2514082	3	1:29	Rot
476826	2514083	4	1:59	Fun
476826	2514084	5	1:46	Beer
476826	2514085	6	0:27	Wahoo Day
476826	2514086	7	2:27	Crucial Bar-B-Q
476826	2514087	8	1:46	A Day In The Life
476826	2514088	9	2:52	Care Bear
476826	2514089	10	2:33	Ilsa
476826	2514090	11	1:15	Skinhead Rebel
476826	2514091	12	2:33	I Got A Right
481079	2538742	A	\N	Rave Invention (Rave Version)
481079	2538743	B	\N	Rave Invention (Original Version)
525651	2801477	A	21:20	Untitled
525651	2801478	B	19:16	Untitled
529327	2822630	1	4:31	Smack My Bitch Up (Edit)
529327	2822631	2	4:44	No Man Army
529327	2822632	3	4:34	Mindfields (Headrock Dub)
529327	2822633	4	7:17	Smack My Bitch Up (DJ Hype Remix)
529927	2826055	A	4:20	Zoom
529927	2826056	B	3:43	House Party
547563	2932936	A	3:15	Morning Has Broken (Old Gaelic Melody)
547563	2932937	B	3:15	Glad I'm Alive
620973	3369599	1	\N	Don't Look Back
620973	3369600	2	\N	Bekiduan
620973	3369601	3	\N	State Of The Union
620973	3369602	4	\N	Jacob's Ladder
620973	3369603	5	\N	Double Rainbow
620973	3369604	6	\N	How About You?
620973	3369605	7	\N	Where Is Love?
620973	3369606	8	\N	Calling Song
620973	3369607	9	\N	Spirits Rejoice
620973	3369608	10	\N	Mice
620973	3369609	11	\N	Willow Weep For Me
620973	3369610	12	\N	Beyond Words
620973	3369611	13	\N	Mandela
620973	3369612	14	\N	State Of Mind
646458	3509093	A	5:57	East River
646458	3509094	B	6:27	Irie Dubz
672085	3653228	A	\N	Highly Strung
672085	3653229	B	\N	Highly Strung Version
695499	3782492	A1	6:14	Cyanide
695499	3782493	A2	6:12	Leave The Silence
695499	3782494	B	7:20	Out Of My Knives
698248	3798304	1	6:45	Oye Cosmos Va
698248	3798305	2	6:10	Quelle Dolce Estate Sul Pianeta Venere
698248	3798306	3	7:17	Vino, Donne E Una Tastiera
698248	3798307	4	3:55	Astralunato
698248	3798308	5	18:02	Fantasia Di Un Pianeta Sconosciuto
698248	3798309	6	8:46	Love Magnetic Research
698248	3798310	7	4:50	Dancing On The Ship
698248	3798311	8	3:59	Indian
729335	3982416	A1	3:16	In Kommer Gösta
729335	3982417	A2	3:08	Du Är Min Enda Vän
729335	3982418	A3	0:21	Missan Spinner
729335	3982419	A4	0:47	Subjekt Och Predikat
729335	3982420	A5	1:16	Dyngan Rinner I Takt
729335	3982421	A6	3:10	Om Ni Tycker Jag Undviker Er
729335	3982422	A7	2:21	Ingenting I Din Hjärna
729335	3982423	A8	1:14	Stanna Där Ni Är
729335	3982424	A9	1:33	Naturen
729335	3982425	A10	2:01	Scoutvisan
729335	3982426	A11	1:43	Jag Vill Va I Fred
729335	3982427	A12	0:53	En Liten Stuga
729335	3982428	A13	2:01	Lille Pelle
729335	3982429	A14	0:55	Goddag Gösta
729335	3982430	B1	0:48	Min Hund
729335	3982431	B2	2:27	Blomman
729335	3982432	B3	2:30	Mor Anka
729335	3982433	B4	3:55	Men Va Fanken
729335	3982434	B5	2:25	Henning I Sin Presenning
729335	3982435	B6	0:52	Hedersmannen
729335	3982436	B7	4:41	All Makt Åt Folke
729335	3982437	B8	6:20	Den Sista Veckan
729971	3986077	A1	6:00	The Voice
729971	3986078	A2	5:37	We Stand Alone
729971	3986079	A3	4:11	Rage In Eden
729971	3986080	A4	4:56	I Remember (Death In The Afternoon)
729971	3986081	B1	5:38	The Thin Wall
729971	3986082	B2	7:26	Stranger Within
729971	3986083	B3	5:57	Accent On Youth
729971	3986084	B4	1:10	The Ascent
729971	3986085	B5	4:28	Your Name (Has Slipped My Mind Again)
731127	3991731	A1	5:56	Notre Dame (Cattedrale Mix)
731127	3991732	A2	6:01	Notre Dame (Idea Edit)
731127	3991733	B	\N	Notre Dame (Mad Version)
734566	4013023	1	3:30	Let U Go (Airplay Mix)
734566	4013024	2	7:03	Let U Go (ATB Remix)
775137	4267270	1	3:36	Braided Hair
775137	4267271	2	4:23	Braided Hair (World Of Apples Mix)
775137	4267272	3	6:36	Ghosts
775137	4267273	Video	\N	Braided Hair (Video)
776867	4277966	1	1:04	New Day, Same Shit
776867	4277967	2	1:10	Get It While Its Alcholis
776867	4277968	3	1:05	Pass The Day
776867	4277969	4	1:36	Vodka Diet
776867	4277970	5	1:17	Huhdsvds
776867	4277971	6	0:34	Stay Tuned
776867	4277972	7	0:29	This Song Wasnt Supposed To Be On The Album
776867	4277973	8	1:19	In De Lude
776867	4277974	9	1:36	Sun Of The Dawn
776867	4277975	10	0:49	Disco
776867	4277976	11	1:25	Fuck
776867	4277977	12	1:05	Glass Fight
776867	4277978	13	1:06	Typ
776867	4277979	14	0:44	Core Hard
776867	4277980	15	0:48	Can You Feel It
776867	4277981	16	2:14	Whherhasdebooze
776867	4277982	17	1:41	20.10.39
776867	4277983	18	2:18	1212.db
776867	4277984	19	0:58	Ehafh On Speed Lmao
780393	4302352	1	8:39	Afternoon Owl
787457	4345941	4	5:44	Part I: The Hand
787457	4345937	1	16:47	Persuasion
787457	4345938	2	5:21	16 Feet + Cello
787457	4345939	3	3:47	Solo For Neil
787457	4345940	\N	\N	Visible / Invisible
787457	4345942	5	6:43	Part II: Anamnesis
787457	4345943	6	4:42	Part III: The Necklace
804216	4447286	A1	3:49	Prayer For Passive Resistance
804216	4447287	A2	3:35	Mingus Fingus No.2
804216	4447288	B1	3:33	Do Nothin' Till You Hear From Me
804216	4447289	B2	3:35	Weird Nightmare
827356	4586787	1	2:11	Fuck Off (Coke Mafia Remix)
827356	4586788	2	2:55	Wazzaaaaaaaaa (Coke Mafia Remix)
827356	4586789	3	2:53	Cunt Face (Coke Mafia Remix)
827356	4586790	4	3:12	Fuck (Coke Mafia Remix)
827356	4586791	5	3:29	Ya Mutha (Coke Mafia Remix)
827356	4586792	6	3:41	Antimix (Coke Mafia Remix)
\.


--
-- Data for Name: releases_tracklist_artists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist_artists (track_id, id, role, anv, tracks, join_, name) FROM stdin;
929666	10299	\N	\N	\N	\N	1.8.7.
929667	183701	\N	\N	\N	\N	Send Breaks (^X^C)
929668	10299	\N	\N	\N	\N	1.8.7.
929669	10299	\N	\N	\N	\N	1.8.7.
929670	10299	\N	\N	\N	\N	1.8.7.
929671	10299	\N	\N	\N	\N	1.8.7.
929672	10299	\N	\N	\N	\N	1.8.7.
929673	10299	\N	\N	\N	\N	1.8.7.
929674	10299	\N	\N	\N	\N	1.8.7.
929675	10299	\N	\N	\N	\N	1.8.7.
929676	10299	\N	\N	\N	\N	1.8.7.
1505490	15885	\N	\N	\N	\N	Michael Jackson
1505491	4690	\N	\N	\N	\N	Alison Limerick
1505492	5970	\N	\N	\N	\N	Movement, The (3)
1505493	2714	\N	\N	\N	\N	Erasure
1505494	22757	\N	\N	\N	&	Luther Vandross
1505494	8024	\N	\N	\N	\N	Janet Jackson
1505495	7620	\N	\N	\N	\N	Double You
1505496	7698	\N	\N	\N	\N	Snap!
1505497	8099	\N	\N	\N	\N	Ultra Naté
2156799	194667	\N	\N	\N	Feat.	Farley "Jackmaster" Funk
2156799	28521	\N	\N	\N	\N	Darryl Pandy
2156800	194667	\N	\N	\N	Feat.	Farley "Jackmaster" Funk
2156800	27628	\N	\N	\N	\N	Ricky Dillard
2156801	28802	\N	\N	\N	\N	Rude Boy Farley Keith, The
2156802	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156803	194667	\N	Jack Master Funk	\N	\N	Farley "Jackmaster" Funk
2156804	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156805	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156806	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156807	125878	\N	\N	\N	\N	Blackman (4)
2156808	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156809	194667	\N	\N	\N	\N	Farley "Jackmaster" Funk
2156810	28802	\N	Farley Funkin' Keith	\N	\N	Rude Boy Farley Keith, The
2156811	28802	\N	Farley Funkin' Keith	\N	\N	Rude Boy Farley Keith, The
3509093	20917	\N	\N	\N	\N	Dice
3509094	166728	\N	\N	\N	\N	Silva D
4586787	17456	\N	\N	\N	\N	Nasenbluten
4586788	20337	\N	\N	\N	\N	Dr. Z-Vago
4586789	17456	\N	\N	\N	\N	Nasenbluten
4586790	24394	\N	\N	\N	\N	Destroyer, The
4586791	28392	\N	D.O.A.	\N	\N	Disciples Of Annihilation
4586792	20400	\N	\N	\N	\N	Masochist, The
\.


--
-- Data for Name: releases_tracklist_extraartists; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_tracklist_extraartists (track_id, id, role, anv, tracks, join_, name) FROM stdin;
691838	1825	Remix	\N	\N	\N	Joey Negro
691839	161	Remix	\N	\N	\N	Todd Edwards
691840	161	Remix	\N	\N	\N	Todd Edwards
929667	10299	Remix	\N	\N	\N	1.8.7.
961759	158576	Cello [Bass Cello]	Miles Om Tackett	\N	\N	Miles Tackett
961762	3612	Remix	\N	\N	\N	DJ Wally
961763	9838	Remix	Mixmaster Mike	\N	\N	Mix Master Mike
1067150	12206	Remix	\N	\N	\N	Claudio Coccoluto
1067151	91380	Remix	\N	\N	\N	Problem Kid
1067152	91380	Remix	\N	\N	\N	Problem Kid
1083408	7624	Remix	\N	\N	\N	David Morales
1083409	7624	Remix	\N	\N	\N	David Morales
1083410	7624	Remix	\N	\N	\N	David Morales
1083411	7624	Remix	\N	\N	\N	David Morales
1083412	7624	Remix	\N	\N	\N	David Morales
1209148	1030263	Producer	Mark Taylor and Jeff Taylor	\N	\N	Mark Taylor
1209149	156665	Remix	\N	\N	\N	Vertigo (7)
1209150	1570	Remix	Felix Da Housekatt	\N	\N	Felix Da Housecat
1217719	200785	Bass	\N	\N	\N	Will Lee
1217719	253339	Congas	\N	\N	\N	Sammy Figueroa
1217719	255280	Rhythm Guitar [Chords]	\N	\N	\N	Hiram Bullock
1505490	11617	Remix	\N	\N	\N	Chris Cox
1505490	147066	Remix	\N	\N	\N	Ron Hester
1505491	147096	Remix	\N	\N	\N	Stephen L. Freeman
1505492	63590	Remix	\N	\N	\N	Jim Robinson
1505492	39334	Remix	\N	\N	\N	Pete Werner
1505493	147064	Remix	\N	\N	\N	Troy Sands
1505494	132121	Rap [Featuring]	\N	\N	\N	Michael Bivins
1505494	105902	Rap [Featuring]	\N	\N	\N	Ralph Tresvant
1505494	132122	Rap [Featuring]	\N	\N	\N	Ronnie DeVoe
1505494	11617	Remix	\N	\N	\N	Chris Cox
1505494	147066	Remix	\N	\N	\N	Ron Hester
1505495	64003	Remix	\N	\N	\N	J. Mark Andrus
1505496	11617	Remix	\N	\N	\N	Chris Cox
1505496	147066	Remix	\N	\N	\N	Ron Hester
1505497	147065	Remix	\N	\N	\N	Glenn Cattanach
1530819	90037	Rap	Pharrell	\N	\N	Pharrell Williams
1530819	21742	Rap [Featuring]	\N	\N	\N	Jay-Z
1631212	210166	Rap [Featuring]	\N	\N	\N	Sandra Melody
1631213	217823	Rap [Featuring]	\N	\N	\N	Pantera Os Danadinhos
1631214	229071	Rap [Featuring]	Vybz Cartel	\N	\N	Vybz Kartel
1642957	12343	Remix	\N	\N	\N	Booker T
1642958	92422	Remix	\N	\N	\N	Lurky
1642959	18294	Remix	Nu Birth	\N	\N	Nu-Birth
1642960	18294	Remix	Nu Birth	\N	\N	Nu-Birth
1732689	24804	Remix	\N	\N	\N	New Class A
1803336	92225	Rap [Featuring]	\N	\N	\N	Esoteric (2)
1803336	213079	Rap [Featuring]	\N	\N	\N	Open Mic
1803339	143799	Rap [Featuring]	\N	\N	\N	Louis Logic
1803339	244688	Vocals [Additional]	\N	\N	\N	Majik Most
1803340	143799	Rap [Featuring]	\N	\N	\N	Louis Logic
1803341	92225	Rap [Featuring]	\N	\N	\N	Esoteric (2)
1803341	232669	Rap [Featuring]	Jabber Jaw	\N	\N	Jabberjaw (2)
1803341	5649	Rap [Featuring]	\N	\N	\N	L-Fudge
1803341	143799	Rap [Featuring]	\N	\N	\N	Louis Logic
1803341	192789	Rap [Featuring]	Metropolis	\N	\N	Metro (4)
1803341	96598	Rap [Featuring]	\N	\N	\N	Motive (2)
1803341	235050	Rap [Featuring]	\N	\N	\N	One Two
1803341	213079	Rap [Featuring]	\N	\N	\N	Open Mic
1803341	192632	Rap [Featuring]	\N	\N	\N	Rise (2)
1803341	234922	Rap [Featuring]	\N	\N	\N	Spin 4th
2026057	245099	Remix	\N	\N	\N	Mac Quayle
2026058	28164	Remix	\N	\N	\N	Ralphi Rosario
2026059	14216	Remix	\N	\N	\N	Karizma
2026060	14216	Remix	\N	\N	\N	Karizma
2026061	245099	Remix	\N	\N	\N	Mac Quayle
2026062	245099	Remix	\N	\N	\N	Mac Quayle
2026063	14216	Remix	\N	\N	\N	Karizma
2026064	14216	Remix	\N	\N	\N	Karizma
2156799	48432	Written-By	\N	\N	\N	Isaac Hayes
2156800	18956	Written-By	\N	\N	\N	Stevie Wonder
2274801	548194	Edited By	\N	\N	\N	Mowgli (4)
2274801	20662	Remix	F. Kevorkian	\N	\N	François Kevorkian
2274802	548194	Edited By	\N	\N	\N	Mowgli (4)
2274802	23701	Remix	P. Dakeyne	\N	\N	Dakeyne
2468301	11879	Written-By	\N	\N	\N	Lou Reed
2468302	845581	Written-By	Jagger/Richards	\N	\N	Jagger-Richards
2822631	6952	Featuring	\N	\N	\N	Tom Morello
2822633	2323	Remix	\N	\N	\N	DJ Hype
3509093	499327	Written-By, Producer	\N	\N	\N	Jani Niiranen
3509094	1237340	Written-By, Producer	\N	\N	\N	Nihal De Silva
3991731	556115	Remix	\N	\N	\N	Max Fortuna
3991732	556114	Remix	\N	\N	\N	Flavio Racca
3991732	556116	Remix	\N	\N	\N	Marco Perani
3991733	556117	Remix	\N	\N	\N	Mad Max (7)
4267271	5743	Remix	\N	\N	\N	World Of Apples
4267272	56680	Vocals	\N	\N	\N	Eddi Reader
4447288	449216	Written-By	\N	\N	\N	Bob Russell
4447288	145257	Written-By	\N	\N	\N	Duke Ellington
\.


--
-- Data for Name: releases_videos; Type: TABLE DATA; Schema: public; Owner: -
--

COPY releases_videos (release_id, title, description, src, embed, duration) FROM stdin;
9552	SEBA - CAMOUFLAGE	SEBA - CAMOUFLAGE	http://www.youtube.com/watch?v=-uKkpm2P4Tg	t	528
9552	Seba - Planetary Funk Alert	Seba - Planetary Funk Alert	http://www.youtube.com/watch?v=HfW1B9smjv4	t	565
129290	mistura ft. maxine mcclain - tonight (todd edwards club mix)	mistura ft. maxine mcclain - tonight (todd edwards club mix)	http://www.youtube.com/watch?v=G4I0KV6-_gM	t	466
129290	Mistura - Tonight (joey negro etagui mix)	Mistura - Tonight (joey negro etagui mix)	http://www.youtube.com/watch?v=fEShzcpNvnA	t	381
141057	Jean Michel Jarre - Magnetic Fields Part 2 (7/Remix) / Les Chants Magnétiques	Jean Michel Jarre - Magnetic Fields Part 2 (7/Remix) / Les Chants Magnétiques	http://www.youtube.com/watch?v=Pbp8_Vf_kvY	t	237
141057	Jean Michel Jarre - Magnetic Fields Part 1 (Excerpt) / Les Chants Magnétiques (Extrait)	Jean Michel Jarre - Magnetic Fields Part 1 (Excerpt) / Les Chants Magnétiques (Extrait)	http://www.youtube.com/watch?v=t0Y6ItXOsn8	t	173
141057	Jean Michel Jarre - Magnetic Fields 2	Jean Michel Jarre - Magnetic Fields 2	http://www.youtube.com/watch?v=Pof4qDdgzc0	t	214
141057	Jean-Michel Jarre - Magnetic Fields, Part 2	Jean-Michel Jarre - Magnetic Fields, Part 2	http://www.youtube.com/watch?v=ttIL4EnqXdU	t	282
141057	Jean-Michel Jarre  - Magnetic Fields Part 1	Jean-Michel Jarre  - Magnetic Fields Part 1	http://www.youtube.com/watch?v=9yNYCzr5B-o	t	392
141057	Magnetic Fields part 1 - JM Jarre - (DAVID FANDOS) live cover 2010	Magnetic Fields part 1 - JM Jarre - (DAVID FANDOS) live cover 2010	http://www.youtube.com/watch?v=9mIUUZDbCuo	t	325
176915	Dieselboy - Ultrasonic Sound [ Dillinja ] Roughstyle Remix	Dieselboy - Ultrasonic Sound [ Dillinja ] Roughstyle Remix	http://www.youtube.com/watch?v=-BVLMZo25u0	t	314
195057	WAWA-No problem.wmv	WAWA-No problem.wmv	http://www.youtube.com/watch?v=oigeId1QVWQ	t	409
198562	Sherree Ford Payne - Shoulda Coulda Woulda(Extended Mix)	Sherree Ford Payne - Shoulda Coulda Woulda(Extended Mix)	http://www.youtube.com/watch?v=jBCCDTVyoXA	t	313
220376	Holly Valance - State Of Mind	Holly Valance - State Of Mind	http://www.youtube.com/watch?v=H50dKJCcEh8	t	198
220376	Holly Valance - State of Mind (Felix Da Housecat Mix)	Holly Valance - State of Mind (Felix Da Housecat Mix)	http://www.youtube.com/watch?v=3dsllYm_Go4	t	443
220376	Holly Valance - State Of Mind (Vertigo Extended Mix)	Holly Valance - State Of Mind (Vertigo Extended Mix)	http://www.youtube.com/watch?v=uJEPMWMFMZs	t	412
221785	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (1)	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (1)	http://www.youtube.com/watch?v=uhMZ57BNxU4	t	339
221785	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (2)	Michael Shrieve with Kevin Shrieve and Klaus Schulze - Transfer Station Blue (2)	http://www.youtube.com/watch?v=7w9jlVKAAiE	t	389
221785	Michael Shrieve with Kevin Shrieve and Klaus Schulze - View from the Window	Michael Shrieve with Kevin Shrieve and Klaus Schulze - View from the Window	http://www.youtube.com/watch?v=EkwTGBWFMt8	t	437
294280	Pharrell Williams ft. Jay-Z - Frontin'	Pharrell Williams ft. Jay-Z - Frontin'	http://www.youtube.com/watch?v=srOfv5r7LGU	t	249
317610	diplo - rhythm	diplo - rhythm	http://www.youtube.com/watch?v=325SZzaCP00	t	161
320187	Ali - Feelin' You	Ali - Feelin' You	http://www.youtube.com/watch?v=huOJHLjMUzM	t	290
320187	Ali - Feelin' you (Booker T Feelin' Lick Short edit)	Ali - Feelin' you (Booker T Feelin' Lick Short edit)	http://www.youtube.com/watch?v=zyDZp8QZAL8	t	236
320187	ALI - Feelin ' You	ALI - Feelin ' You	http://www.youtube.com/watch?v=TIU2OZWkWKM	t	273
320187	Ali - Feelin' You (Booker T Feelin' Lick Edit)	Ali - Feelin' You (Booker T Feelin' Lick Edit)	http://www.youtube.com/watch?v=Etf3kga_Rdo	t	409
338434	Bug Kann and The Plastic Jam - Made In Two Minutes	Bug Kann and The Plastic Jam - Made In Two Minutes	http://www.youtube.com/watch?v=jHc_w1QElc4	t	303
338434	Bug Khan And The Plastic Jam - Made In Two Minutes	Bug Khan And The Plastic Jam - Made In Two Minutes	http://www.youtube.com/watch?v=g2faBdJiO-s	t	353
338434	The Plastic Jam - Made In 2 Minutes (Origin Unknown Mix)	The Plastic Jam - Made In 2 Minutes (Origin Unknown Mix)	http://www.youtube.com/watch?v=rdhIGrkHm2Q	t	368
338434	Made In 2 Minutes (Prodigy Exclusive VIP Mix) .wmv	Made In 2 Minutes (Prodigy Exclusive VIP Mix) .wmv	http://www.youtube.com/watch?v=KFslA2z047A	t	315
338434	The Plastic Jam - Made In Two Minutes (Sonz Of A Loop-De-Loop Remix)	The Plastic Jam - Made In Two Minutes (Sonz Of A Loop-De-Loop Remix)	http://www.youtube.com/watch?v=j_MWJKzZaXg	t	344
338434	The Plastic Jam - Made In Two Minutes (Rave Mix)	The Plastic Jam - Made In Two Minutes (Rave Mix)	http://www.youtube.com/watch?v=HalsFfqrnaU	t	373
338434	The Plastic Jam - Made In Two Minutes (DR S Gachet Rmx)	The Plastic Jam - Made In Two Minutes (DR S Gachet Rmx)	http://www.youtube.com/watch?v=dcn1hjnHi9k	t	371
338434	THE PLASTIC JAM - MADE IN TWO MINUTES - (Phat Productions Remix)	THE PLASTIC JAM - MADE IN TWO MINUTES - (Phat Productions Remix)	http://www.youtube.com/watch?v=B8bo5jiMGho	t	315
338434	The Plastic Jam - Made In Two Minutes (Instrumental Club Mix)	The Plastic Jam - Made In Two Minutes (Instrumental Club Mix)	http://www.youtube.com/watch?v=AGCXIMDM0i8	t	339
338434	The Plastic Jam - Made In 2 Minutes (Prodigy Mix)	The Plastic Jam - Made In 2 Minutes (Prodigy Mix)	http://www.youtube.com/watch?v=IjiDEGJrWnA	t	298
338434	The Plastic Jam - Made In Two Minutes (Foul Play Rmx)	The Plastic Jam - Made In Two Minutes (Foul Play Rmx)	http://www.youtube.com/watch?v=8N3pW-R6xDM	t	418
338434	the plastic jam - made in two  minutes - dr .s .gachet mix	the plastic jam - made in two  minutes - dr .s .gachet mix	http://www.youtube.com/watch?v=X1JXHXZHPn8	t	368
338434	Bug Kann and the Plastic Jam - Made in Two Minutes	Bug Kann and the Plastic Jam - Made in Two Minutes	http://www.youtube.com/watch?v=9zP7rRms3y8	t	373
338434	Bug Kann  amp; The Plastic Jam   Made In Two Minutes Original Bleep Version	Bug Kann  amp; The Plastic Jam   Made In Two Minutes Original Bleep Version	http://www.youtube.com/watch?v=R5jEnf87O1k	t	366
348966	Tortured Soul - Fall In Love	Tortured Soul - Fall In Love	http://www.youtube.com/watch?v=zTbBf1996dk	t	362
348966	Fall In Love (Eric Kupper Remix) Soul Lounge	Fall In Love (Eric Kupper Remix) Soul Lounge	http://www.youtube.com/watch?v=WKYGQvcMOn0	t	480
353424	The Demigodz - The godz must be crazy	The Demigodz - The godz must be crazy	http://www.youtube.com/watch?v=AnsYt7_cU8E	t	340
353424	The Demigodz - Science of the Bumrush Vol. 2	The Demigodz - Science of the Bumrush Vol. 2	http://www.youtube.com/watch?v=FALYAzbp3wQ	t	230
353424	Demigodz-Don't You Even Go There	Demigodz-Don't You Even Go There	http://www.youtube.com/watch?v=UgpUdO8S6Zc	t	207
353424	Demigodz-Captivate/Deactivate (Instrumental)	Demigodz-Captivate/Deactivate (Instrumental)	http://www.youtube.com/watch?v=Z2fTfBdn9y8	t	196
353424	Demigodz - Off The Chrome	Demigodz - Off The Chrome	http://www.youtube.com/watch?v=ird5CuHIONU	t	296
353424	The Demigodz Off the Chrome	The Demigodz Off the Chrome	http://www.youtube.com/watch?v=ASPTnlMd1ts	t	307
391985	temperamental (live) - Everything But The Girl	temperamental (live) - Everything But The Girl	http://www.youtube.com/watch?v=oc9hOfTENOI	t	351
391985	Everything But the Girl - Temperamental - Remix by Hex Hector	Everything But the Girl - Temperamental - Remix by Hex Hector	http://www.youtube.com/watch?v=bfj0b1bGfJI	t	453
391985	Karizma Da organ dub)	Karizma Da organ dub)	http://www.youtube.com/watch?v=fV5BZmIEX4w	t	412
391985	everything but the girl - temperamental - remix by hex hector - Rated R [720p] HD	everything but the girl - temperamental - remix by hex hector - Rated R [720p] HD	http://www.youtube.com/watch?v=gY2naNzu3Zg	t	0
391985	Karizma Remix)	Karizma Remix)	http://www.youtube.com/watch?v=_8b3NEq-kyc	t	584
391985	Everything But the Girl - Temperamental - Remix by Hex Hector	Everything But the Girl - Temperamental - Remix by Hex Hector	http://www.youtube.com/watch?v=FYw-hDHSPH4	t	453
391985	Everything but the Girl - Temperamental (K.O. Vocal Mix)	Everything but the Girl - Temperamental (K.O. Vocal Mix)	http://www.youtube.com/watch?v=T7L-QO3Z-CQ	t	610
435278	Yazoo   Situation The Agressive Attitude Mix	Yazoo   Situation The Agressive Attitude Mix	http://www.youtube.com/watch?v=z5PJC-N6V6k	t	422
435278	Yazoo-Don't Go (Original Song)	Yazoo-Don't Go (Original Song)	http://www.youtube.com/watch?v=um8nnmPwsHo	t	190
435278	Yaz - Situation [AUDIO ONLY]	Yaz - Situation [AUDIO ONLY]	http://www.youtube.com/watch?v=LVQnFzZUITM	t	347
435278	Yazoo   Situation Space Dub	Yazoo   Situation Space Dub	http://www.youtube.com/watch?v=o0Deq38BgJ0	t	295
435278	Yazoo - Don't Go	Yazoo - Don't Go	http://www.youtube.com/watch?v=bW6h6AM5mzM	t	177
435278	Yazoo Situation (12 Version)	Yazoo Situation (12 Version)	http://www.youtube.com/watch?v=DIAY_TQ6ylk	t	437
435278	Yazoo Situation original 7 vinyl	Yazoo Situation original 7 vinyl	http://www.youtube.com/watch?v=ZJ4oehQJEK8	t	147
435278	YAZOO - SITUATION - DEADLINE MIX	YAZOO - SITUATION - DEADLINE MIX	http://www.youtube.com/watch?v=w1vD3z6tuyw	t	414
435278	Yazoo - Situation special dub remix (AUDIO)	Yazoo - Situation special dub remix (AUDIO)	http://www.youtube.com/watch?v=beVShIL6qeQ	t	542
435278	Yaz(oo) - Situation (U.S. Mix) (with Laugh) (Live, Terminal 5, NYC, July 17, 2008)	Yaz(oo) - Situation (U.S. Mix) (with Laugh) (Live, Terminal 5, NYC, July 17, 2008)	http://www.youtube.com/watch?v=usXEoWWiQIs	t	345
438284	Cirkus Alien - Live Brain Replacement [Psychospores 01]	Cirkus Alien - Live Brain Replacement [Psychospores 01]	http://www.youtube.com/watch?v=US26Uu3ikME	t	516
468517	Jane's Addiction - Jane Says	Jane's Addiction - Jane Says	http://www.youtube.com/watch?v=xh-5FI21s6M	t	288
476826	Murphy's Law - Murphy's Law	Murphy's Law - Murphy's Law	http://www.youtube.com/watch?v=T6dGOiIObx8	t	108
481079	The Alternative Creators - Rave Invention	The Alternative Creators - Rave Invention	http://www.youtube.com/watch?v=Qk6XM31TwTk	t	316
529327	Smack My Bitch Up (Dj Hype Remix)	Smack My Bitch Up (Dj Hype Remix)	http://www.youtube.com/watch?v=kDLz2uvXJkA	t	444
529327	Prodigy-Smack My Bitch Up (Slacker Remix)	Prodigy-Smack My Bitch Up (Slacker Remix)	http://www.youtube.com/watch?v=qqHwQGL7cMQ	t	393
529327	The Prodigy - Smack My Bitch Up (Slacker Mix)	The Prodigy - Smack My Bitch Up (Slacker Mix)	http://www.youtube.com/watch?v=ZwB3qupQG88	t	403
529927	Fat Larry's Band - Zoom	Fat Larry's Band - Zoom	http://www.youtube.com/watch?v=nX9LSOshOYY	t	267
672085	Spandau Ballet  -Highl Restrung 12 single -1984	Spandau Ballet  -Highl Restrung 12 single -1984	http://www.youtube.com/watch?v=b6ai3Y9JnnY	t	332
672085	Spandau Ballet - Highly Strung Official Music Video (c) 1984	Spandau Ballet - Highly Strung Official Music Video (c) 1984	http://www.youtube.com/watch?v=w5tNxxs8VWg	t	288
695499	Cyanide-DJ BUBI	Cyanide-DJ BUBI	http://www.youtube.com/watch?v=Hwpki2CbF5M	t	299
729971	Ultravox Rage In Eden Live@Admiralspalast - Berlin 2010.04.24	Ultravox Rage In Eden Live@Admiralspalast - Berlin 2010.04.24	http://www.youtube.com/watch?v=7-hIAuG0C74	t	252
729971	Ultravox-Rage in Eden (Live at Hammersmith Apollo)	Ultravox-Rage in Eden (Live at Hammersmith Apollo)	http://www.youtube.com/watch?v=Y9fpt6W_euE	t	248
729971	Ultravox - The Voice	Ultravox - The Voice	http://www.youtube.com/watch?v=R0CI7_3ufDM	t	363
729971	Ultravox - We Stand Alone	Ultravox - We Stand Alone	http://www.youtube.com/watch?v=tsbUT-5swgI	t	341
729971	Ultravox - Rage In Eden - 1981	Ultravox - Rage In Eden - 1981	http://www.youtube.com/watch?v=UaN5JqUSTQw	t	260
729971	Ultravox - I Remember (Death in the Afternoon)	Ultravox - I Remember (Death in the Afternoon)	http://www.youtube.com/watch?v=fbhMGlHC4uw	t	292
734566	ATB - Let U Go (Two Worlds LP)	ATB - Let U Go (Two Worlds LP)	http://www.youtube.com/watch?v=O-9Zg2DAJ_U	t	515
734566	ATB - Let You Go	ATB - Let You Go	http://www.youtube.com/watch?v=eX9L802jY7c	t	206
734566	ATB - let u go [Wippenberg Remix]	ATB - let u go [Wippenberg Remix]	http://www.youtube.com/watch?v=r1drc505N_A	t	254
734566	ATB - Let U Go (Klubbheads Remix)	ATB - Let U Go (Klubbheads Remix)	http://www.youtube.com/watch?v=AmexXUvCTlc	t	390
734566	ATB - Let You Go (Schiller Remix)	ATB - Let You Go (Schiller Remix)	http://www.youtube.com/watch?v=T_PIK1WtYaI	t	311
734566	ATB - Let U Go (Tocadisco Doesn't Give A Rat's Ass Mix)	ATB - Let U Go (Tocadisco Doesn't Give A Rat's Ass Mix)	http://www.youtube.com/watch?v=wGUfBCmGalw	t	421
775137	Braided Hair music video from 1 Giant Leap	Braided Hair music video from 1 Giant Leap	http://www.youtube.com/watch?v=AIgYBx2HxP0	t	237
\.


--
-- Name: artists_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artists
    ADD CONSTRAINT artists_pkey PRIMARY KEY (id);


--
-- Name: labels_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY labels
    ADD CONSTRAINT labels_pkey PRIMARY KEY (id);


--
-- Name: masters_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY masters
    ADD CONSTRAINT masters_pkey PRIMARY KEY (id);


--
-- Name: releases_formats_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases_formats
    ADD CONSTRAINT releases_formats_pkey PRIMARY KEY (format_id);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: releases_tracklist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY releases_tracklist
    ADD CONSTRAINT releases_tracklist_pkey PRIMARY KEY (track_id);


--
-- Name: artists_aliases_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_aliases
    ADD CONSTRAINT artists_aliases_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_groups_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_groups
    ADD CONSTRAINT artists_groups_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_members_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_members
    ADD CONSTRAINT artists_members_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: artists_urls_artist_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artists_urls
    ADD CONSTRAINT artists_urls_artist_id_fkey FOREIGN KEY (artist_id) REFERENCES artists(id);


--
-- Name: labels_images_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_images
    ADD CONSTRAINT labels_images_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: labels_sublabels_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_sublabels
    ADD CONSTRAINT labels_sublabels_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: labels_urls_label_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY labels_urls
    ADD CONSTRAINT labels_urls_label_id_fkey FOREIGN KEY (label_id) REFERENCES labels(id);


--
-- Name: masters_artists_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_artists
    ADD CONSTRAINT masters_artists_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_genres_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_genres
    ADD CONSTRAINT masters_genres_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_images_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_images
    ADD CONSTRAINT masters_images_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_styles_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_styles
    ADD CONSTRAINT masters_styles_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: masters_videos_master_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY masters_videos
    ADD CONSTRAINT masters_videos_master_id_fkey FOREIGN KEY (master_id) REFERENCES masters(id);


--
-- Name: releases_artists_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_artists
    ADD CONSTRAINT releases_artists_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_extraartists_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_extraartists
    ADD CONSTRAINT releases_extraartists_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_formats_descriptions_format_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_formats_descriptions
    ADD CONSTRAINT releases_formats_descriptions_format_id_fkey FOREIGN KEY (format_id) REFERENCES releases_formats(format_id);


--
-- Name: releases_formats_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_formats
    ADD CONSTRAINT releases_formats_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_genres_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_genres
    ADD CONSTRAINT releases_genres_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_identifiers_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_identifiers
    ADD CONSTRAINT releases_identifiers_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_images_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_images
    ADD CONSTRAINT releases_images_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_labels_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_labels
    ADD CONSTRAINT releases_labels_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_styles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_styles
    ADD CONSTRAINT releases_styles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_tracklist_artists_track_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist_artists
    ADD CONSTRAINT releases_tracklist_artists_track_id_fkey FOREIGN KEY (track_id) REFERENCES releases_tracklist(track_id);


--
-- Name: releases_tracklist_extraartists_track_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist_extraartists
    ADD CONSTRAINT releases_tracklist_extraartists_track_id_fkey FOREIGN KEY (track_id) REFERENCES releases_tracklist(track_id);


--
-- Name: releases_tracklist_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_tracklist
    ADD CONSTRAINT releases_tracklist_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: releases_videos_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY releases_videos
    ADD CONSTRAINT releases_videos_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

