--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP DATABASE musicbrainz_sample1;
--
-- Name: musicbrainz_sample1; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE musicbrainz_sample1 WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'German_Germany.1252' LC_CTYPE = 'German_Germany.1252';


\connect musicbrainz_sample1

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA public;


--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE annotation (
    id integer NOT NULL,
    editor integer,
    text text,
    changelog character varying(255),
    created timestamp with time zone
);


--
-- Name: area; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE area (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    sort_name character varying,
    type integer,
    edits_pending integer,
    last_updated timestamp with time zone,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    ended boolean,
    comment character varying(255)
);


--
-- Name: area_alias; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE area_alias (
    id integer NOT NULL,
    area integer,
    name character varying,
    locale text,
    edits_pending integer,
    last_updated timestamp with time zone,
    type integer,
    sort_name character varying,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    primary_for_locale boolean,
    ended boolean
);


--
-- Name: area_alias_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE area_alias_type (
    id integer NOT NULL,
    name text
);


--
-- Name: area_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE area_annotation (
    area integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: area_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE area_type (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: art_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE art_type (
    id integer NOT NULL,
    name text
);


--
-- Name: artist; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    sort_name character varying,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    type integer,
    area integer,
    gender integer,
    comment character varying(255),
    edits_pending integer,
    last_updated timestamp with time zone,
    ended boolean,
    begin_area integer,
    end_area integer,
    CONSTRAINT artist_va_check CHECK (((id <> 1) OR (((((((((((type = 3) AND (gender IS NULL)) AND (area IS NULL)) AND (begin_area IS NULL)) AND (end_area IS NULL)) AND (begin_date_year IS NULL)) AND (begin_date_month IS NULL)) AND (begin_date_day IS NULL)) AND (end_date_year IS NULL)) AND (end_date_month IS NULL)) AND (end_date_day IS NULL)))),
    CONSTRAINT group_type_implies_null_gender CHECK ((((gender IS NULL) AND (type = 2)) OR (type IS DISTINCT FROM 2)))
);


--
-- Name: artist_alias; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_alias (
    id integer NOT NULL,
    artist integer,
    name character varying,
    locale text,
    edits_pending integer,
    last_updated timestamp with time zone,
    type integer,
    sort_name character varying,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    primary_for_locale boolean,
    ended boolean
);


--
-- Name: artist_alias_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_alias_type (
    id integer NOT NULL,
    name text
);


--
-- Name: artist_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_annotation (
    artist integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: artist_credit; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_credit (
    id integer NOT NULL,
    name character varying,
    artist_count smallint,
    ref_count integer,
    created timestamp with time zone
);


--
-- Name: artist_credit_name; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_credit_name (
    artist_credit integer NOT NULL,
    "position" smallint NOT NULL,
    artist integer,
    name character varying,
    join_phrase text
);


--
-- Name: artist_meta; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_meta (
    id integer NOT NULL,
    rating smallint,
    rating_count integer
);


--
-- Name: artist_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_tag (
    artist integer NOT NULL,
    tag integer NOT NULL,
    count integer,
    last_updated timestamp with time zone
);


--
-- Name: artist_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE artist_type (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: cdtoc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE cdtoc (
    id integer NOT NULL,
    discid character(28),
    freedb_id character(8),
    track_count integer,
    leadout_offset integer,
    track_offset integer[],
    degraded boolean,
    created timestamp with time zone
);


--
-- Name: country_area; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE country_area (
    area integer NOT NULL
);


--
-- Name: cover_art; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE cover_art (
    id bigint NOT NULL,
    release integer,
    comment text,
    edit integer,
    ordering integer,
    date_uploaded timestamp with time zone,
    edits_pending integer,
    mime_type text
);


--
-- Name: cover_art_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE cover_art_type (
    id bigint NOT NULL,
    type_id integer NOT NULL
);


--
-- Name: gender; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE gender (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: image_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE image_type (
    mime_type text NOT NULL,
    suffix text
);


--
-- Name: isrc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE isrc (
    id integer NOT NULL,
    recording integer,
    isrc character(12),
    source smallint,
    edits_pending integer,
    created timestamp with time zone
);


--
-- Name: label; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    sort_name character varying,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    label_code integer,
    type integer,
    area integer,
    comment character varying(255),
    edits_pending integer,
    last_updated timestamp with time zone,
    ended boolean
);


--
-- Name: label_alias; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_alias (
    id integer NOT NULL,
    label integer,
    name character varying,
    locale text,
    edits_pending integer,
    last_updated timestamp with time zone,
    type integer,
    sort_name character varying,
    begin_date_year smallint,
    begin_date_month smallint,
    begin_date_day smallint,
    end_date_year smallint,
    end_date_month smallint,
    end_date_day smallint,
    primary_for_locale boolean,
    ended boolean
);


--
-- Name: label_alias_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_alias_type (
    id integer NOT NULL,
    name text
);


--
-- Name: label_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_annotation (
    label integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: label_meta; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_meta (
    id integer NOT NULL,
    rating smallint,
    rating_count integer
);


--
-- Name: label_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_tag (
    label integer NOT NULL,
    tag integer NOT NULL,
    count integer,
    last_updated timestamp with time zone
);


--
-- Name: label_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE label_type (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: language; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE language (
    id integer NOT NULL,
    iso_code_2t character(3),
    iso_code_2b character(3),
    iso_code_1 character(2),
    name character varying(100),
    frequency integer,
    iso_code_3 character(3)
);


--
-- Name: medium; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE medium (
    id integer NOT NULL,
    release integer,
    "position" integer,
    format integer,
    name character varying(255),
    edits_pending integer,
    last_updated timestamp with time zone,
    track_count integer
);


--
-- Name: medium_cdtoc; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE medium_cdtoc (
    id integer NOT NULL,
    medium integer,
    cdtoc integer,
    edits_pending integer,
    last_updated timestamp with time zone
);


--
-- Name: medium_format; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE medium_format (
    id integer NOT NULL,
    name character varying(100),
    parent integer,
    child_order integer,
    year smallint,
    has_discids boolean
);


--
-- Name: recording; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recording (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    artist_credit integer,
    length integer,
    comment character varying(255),
    edits_pending integer,
    last_updated timestamp with time zone,
    video boolean
);


--
-- Name: recording_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recording_annotation (
    recording integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: recording_meta; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recording_meta (
    id integer NOT NULL,
    rating smallint,
    rating_count integer
);


--
-- Name: recording_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE recording_tag (
    recording integer NOT NULL,
    tag integer NOT NULL,
    count integer,
    last_updated timestamp with time zone
);


--
-- Name: release; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    artist_credit integer,
    release_group integer,
    status integer,
    packaging integer,
    language integer,
    script integer,
    barcode character varying(255),
    comment character varying(255),
    edits_pending integer,
    quality smallint,
    last_updated timestamp with time zone
);


--
-- Name: release_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_annotation (
    release integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: release_country; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_country (
    release integer NOT NULL,
    country integer NOT NULL,
    date_year smallint,
    date_month smallint,
    date_day smallint
);


--
-- Name: release_group; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group (
    id integer NOT NULL,
    gid uuid,
    name character varying,
    artist_credit integer,
    type integer,
    comment character varying(255),
    edits_pending integer,
    last_updated timestamp with time zone
);


--
-- Name: release_group_annotation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group_annotation (
    release_group integer NOT NULL,
    annotation integer NOT NULL
);


--
-- Name: release_group_cover_art; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group_cover_art (
    release_group integer NOT NULL,
    release integer
);


--
-- Name: release_group_meta; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group_meta (
    id integer NOT NULL,
    release_count integer,
    first_release_date_year smallint,
    first_release_date_month smallint,
    first_release_date_day smallint,
    rating smallint,
    rating_count integer
);


--
-- Name: release_group_primary_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group_primary_type (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: release_group_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_group_tag (
    release_group integer NOT NULL,
    tag integer NOT NULL,
    count integer,
    last_updated timestamp with time zone
);


--
-- Name: release_label; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_label (
    id integer NOT NULL,
    release integer,
    label integer,
    catalog_number character varying(255),
    last_updated timestamp with time zone,
    CONSTRAINT release_label_check CHECK (((catalog_number IS NOT NULL) OR (label IS NOT NULL))),
    CONSTRAINT release_label_check1 CHECK (((catalog_number IS NOT NULL) OR (label IS NOT NULL)))
);


--
-- Name: release_packaging; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_packaging (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: release_status; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_status (
    id integer NOT NULL,
    name character varying(255)
);


--
-- Name: release_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_tag (
    release integer NOT NULL,
    tag integer NOT NULL,
    count integer,
    last_updated timestamp with time zone
);


--
-- Name: release_unknown_country; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE release_unknown_country (
    release integer NOT NULL,
    date_year smallint,
    date_month smallint,
    date_day smallint,
    CONSTRAINT non_empty_date CHECK ((((date_year IS NOT NULL) OR (date_month IS NOT NULL)) OR (date_day IS NOT NULL)))
);


--
-- Name: script; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE script (
    id integer NOT NULL,
    iso_code character(4),
    iso_number character(3),
    name character varying(100),
    frequency integer
);


--
-- Name: script_language; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE script_language (
    id integer NOT NULL,
    script integer,
    language integer,
    frequency integer
);


--
-- Name: tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tag (
    id integer NOT NULL,
    name character varying(255),
    ref_count integer
);


--
-- Name: track; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE track (
    id integer NOT NULL,
    gid uuid,
    recording integer,
    medium integer,
    "position" integer,
    number text,
    name character varying,
    artist_credit integer,
    length integer,
    edits_pending integer,
    last_updated timestamp with time zone
);


--
-- Data for Name: annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY annotation (id, editor, text, changelog, created) FROM stdin;
263	12356	Official Websites:\n\nhttp://www.islandrecords.com/thekillers/site/home.las	official website	2004-11-23 17:44:03.618968+01
109	68620	Official website at http://www.placeboworld.co.uk/ .		2004-11-16 14:42:49.992272+01
210	52304	Official website: http://www.weezer.com/	added official website	2004-11-21 10:26:26.249147+01
3383	37736	Straightforward simple discography listing: http://www.connollyco.com/discography/cars/\n\nDiscography site with lyrics & misc additional info: http://dreamvalley-mlp.com/cars/discography.html	discog urls	2005-03-02 01:05:47.135611+01
3528	63611	Official website - http://www.bryanferry.com Discography - http://www.bryanferry.com/discography.html		2005-03-05 01:18:51.922477+01
3692	81629	The Living End is an Australian alternative/punk rock/rockabilly band. The band conisists of singer, songwriter and guitarist Chris Cheney, bass player Scott Owen and drummer Andy Strachan. The original drummer was Trav Demsey.\n\nOfficial Site: http://www.thelivingend.com.au/\n\nWikipedia article: http://en.wikipedia.org/wiki/The_Living_End		2005-03-08 09:59:59.423248+01
3938	81629	Cold Chisel, a rock and roll band, produced the canonical example of Australian pub rock, with a string of hits throughout the 1970s and 1980s. Featuring the songwriting of Don Walker, the guitar of Ian Moss and the screaming vocals of Scottish immigrant Jimmy Barnes.\n\nOfficial Website: http://www.coldchisel.com.au		2005-03-14 01:36:20.982408+01
4116	11100	Official website: http://www.qotsa.com/		2005-03-18 17:34:13.674951+01
5067	37736	Members: Ric Ocasek, Benjamin Orr, Elliot Easton, Greg Hawkes, David Robinson\n\nDiscography sites: http://dreamvalley-mlp.com/cars/discography.html - http://www.connollyco.com/discography/cars/	add band members	2005-04-04 05:42:38.137655+02
5078	85684	Official Websites:\n\nhttp://www.thekillers.co.uk/ http://www.islandrecords.com/thekillers/site/home.las		2005-04-04 13:00:10.793889+02
5408	32389		removing info that has been added via AR	2005-04-12 19:55:13.202751+02
5883	41117		Removed url and put it in AR	2005-04-19 17:36:42.966869+02
5903	11327		Removing offical website listing because it is present in AR	2005-04-20 04:33:42.143495+02
5920	81629	Cold Chisel, a rock and roll band, produced the canonical example of Australian pub rock, with a string of hits throughout the 1970s and 1980s. Featuring the songwriting of Don Walker, the guitar of Ian Moss and the screaming vocals of Scottish immigrant Jimmy Barnes.		2005-04-20 14:43:55.289271+02
5949	111802	Men At Work: formed in 1979 Group members (in early 80s): * Colin Hay (born June 29, 1954) (lead singer/guitar)(additionally has an extensive solo career). * Ron Strykert (guitar/vocals). * John Rees (bass). * Jerry Speiser (drums). * Greg Ham (saxophone, flute, keyboards).\n\n*Best known albums/songs w/ "Men At Work":\n\n-Business as Usual 1982 (Down Under, Who Can It Be Now, Be Good Johnny, Down By The Sea), stayed at #1 on the American charts for 16 weeks.\n\n-Cargo 1983 (Dr. Heckyll & Mr. Jive, Overkill, It's A Mistake).\n\n*"Men At Work" won the 1982 Grammy Award for Best New Artist.\n\n-Brazil 1998 (live album with Hay and Ham).\n\n*Colin Hay's solo career has included great accoustic versions of his songs from the "Men At Work" years as well as numerous newer songs that show the writer's unique ability to convey complexity and depth within seemingly simple observations of life. For those who have not delved deeper into Hay's music than "Men At Work" you're in for a treat by checking out his more recent material.\n\n*Solo songs have included "Beautiful World", "I Don't Think I'll Ever Get Over You" (the later featured in the film Garden State), and "Into My Life" (huge hit in Brazil). *Solo albums have included "Looking For Jack" (1987), , "Wayfaring Sons" (1990), "Topanga", "Transcendental Highway", "Going Somewhere" (2001).		2005-04-21 09:32:40.824775+02
6884	95237	Has website at http://www.zztop.com/		2005-05-15 16:17:53.010944+02
6994	68620			2005-05-18 15:11:56.267107+02
6978	37736	Men At Work: formed in 1979 Group members (in early 80s): * Colin Hay (born June 29, 1954) (lead singer/guitar)(additionally has an extensive solo career). * Ron Strykert (guitar/vocals). * John Rees (bass). * Jerry Speiser (drums). * Greg Ham (saxophone, flute, keyboards).\n\n*Best known albums/songs w/ "Men At Work":\n\n-Business as Usual 1982 (Down Under, Who Can It Be Now, Be Good Johnny, Down By The Sea), stayed at #1 on the American charts for 16 weeks.\n\n-Cargo 1983 (Dr. Heckyll & Mr. Jive, Overkill, It's A Mistake).\n\n*"Men At Work" won the 1982 Grammy Award for Best New Artist.\n\n-Brazil 96 (Including only 2 original members Colin Hay & Greg Ham, recorded live in Brazil, May 1996 and originally only available as an import. 2yrs later renamed simply 'Brazil' it was released stateside including the track 'The Longest Night' recorded March 1998).\n\n*Colin Hay's solo career has included great accoustic versions of his songs from the "Men At Work" years as well as numerous newer songs that show the writer's unique ability to convey complexity and depth within seemingly simple observations of life. For those who have not delved deeper into Hay's music than "Men At Work" you're in for a treat by checking out his more recent material.\n\n*Solo songs have included "Beautiful World", "I Don't Think I'll Ever Get Over You" (the later featured in the film Garden State), and "Into My Life" (huge hit in Brazil). *Solo albums have included "Looking For Jack" (1987), , "Wayfaring Sons" (1990), "Topanga", "Transcendental Highway", "Going Somewhere" (2001).	update info on release Brazil	2005-05-18 06:21:05.358918+02
7335	81629	Australian alternative/punk rock/rockabilly band.		2005-05-29 10:29:44.086459+02
14317	37736	Formed: in Stockbridge, GA, USA		2005-09-17 07:29:44.056228+02
15309	37736	Born: in Detroit, MI, USA		2005-09-24 08:06:59.527933+02
16193	37736	Born: in Middlesex, England	artist info	2005-10-02 22:09:09.394372+02
24366	90541	Please do not try to change this artist's name into some arbitrary translation/transliteration/transcription. This is how his name is written in his native language+script.\n\nIf your system / the tagger does not support these characters, use the %sortname variable in the naming preferences of your tagger.		2005-12-20 18:40:53.144099+01
29243	37736	Formed: in Las Vegas, NV, USA	artist info	2006-02-03 05:42:10.519905+01
35399	68620	Other albums by KWS are probably listed under [http://musicbrainz.org/showartist.html?artistid=21579|Kenny Wayne Shepherd Band].		2006-03-20 16:45:20.595312+01
35419	100490		removed website link since it's been added an as AR	2006-03-20 22:27:14.1855+01
48551	53705		URLs already in AR	2006-06-09 20:46:55.202289+02
54206	38393	Deep Purple Mk 1 where\r\nRichie Blackmoore (guitar), Rod Evans (vocals), Nick Simper (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2 where/are\r\nRichie Blackmoore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 3 where\r\nRichie Blackmoore (guitar), David Coverdale (vocals), Glenn Huges (bass, vocals),\r\nJon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 4 where\r\nTommy Bolin (guitar), David Coverdale (vocals), Glenn Huges (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)		2006-07-09 15:01:47.408251+02
122509	221793	This "label" is a temporary solution to use for releases (usually bootlegs) that have no record label at all.\r\nAn alternative would be '''&#91;white label&#93;''' as that is used in the industry, especially amongst DJ's.\r\nDiscogs prefer ''Not on label''.\r\n\r\nPlease '''do not''' use this label if you just don't know what the label is or don't want to research it.\r\n\r\nThe use of this [SpecialPurposeLabel] should be discussed and possibly made official.		2008-01-03 02:06:52.691494+01
58940	197490	Deep Purple Mk 1 were\r\nRichie Blackmoore (guitar), Rod Evans (vocals), Nick Simper (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2 were/are\r\nRichie Blackmoore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 3 were\r\nRichie Blackmoore (guitar), David Coverdale (vocals), Glenn Huges (bass, vocals),\r\nJon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 4 were\r\nTommy Bolin (guitar), David Coverdale (vocals), Glenn Huges (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)		2006-08-13 20:01:58.855236+02
58942	197490	Deep Purple Mk 1 were\r\nRichie Blackmoore (guitar), Rod Evans (vocals), Nick Simper (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2 were/are\r\nRichie Blackmoore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 3 were\r\nRichie Blackmoore (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals),\r\nJon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 4 were\r\nTommy Bolin (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)		2006-08-13 20:02:42.77472+02
74853	85840	Help us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/CompleteMozartEdition|CompleteMozartEdition] wiki page.	note about CompleteMozartEdition	2006-11-24 02:18:30.310798+01
76372	175102	'''Label:''' A&M Records - '''Catalog #:''' 31454 0833 2		2006-12-06 03:31:40.96791+01
76613	175102			2006-12-07 07:36:44.699726+01
87414	192108	All releases after 1974 should be entered here.\r\n\r\nReleases before 1974 should be entered as [http://musicbrainz.org/show/artist/?artistid=421280|Alice Cooper (the band)]		2007-02-12 02:11:41.567795+01
87452	145355	Up until 1974, Alice Cooper was the name of the band. After 1974 Alice Cooper was just the name of the person.\r\n\r\nAll releases after 1974 should be entered here. Releases before 1974 should be entered as [http://musicbrainz.org/show/artist/?artistid=421280|Alice Cooper (the band)].		2007-02-12 14:03:35.252391+01
101736	135888	Currently, this label is being used for releases (usually bootlegs) that have no record label at all. I would suggest that MBz editors make a recommendation on this topic, as some people are voting "NO" against its current usage.		2007-05-01 23:01:07.070162+02
101798	192108	UK based indie label.\r\n\r\nCherry Red has a complicated relationship with lots of small labels. \r\nSome are sub-labels, some are imprints revived by Cherry Red after the original label folded, and some are managed, manufactured and distributed by Cherry Red while remaining independant.\r\n\r\nSo not all labels linked here are sub-labels of Cherry Red, but can be considered part of the Cherry Red family.		2007-05-02 10:46:58.594195+02
117891	172503			2007-11-15 19:11:33.427361+01
107827	135888	'''EMI Electrola GmbH'''		2007-07-04 20:27:17.806933+02
87413	192108	Up until 1974, Alice Cooper was the name of the band.\r\nAfter 1974 Alice Cooper was the name of the person.\r\n All releases after 1974 should be added to Alice Cooper (the Person)		2007-02-12 02:06:52.191017+01
87453	145355	Up until 1974, Alice Cooper was the name of the band. After 1974 Alice Cooper was just the name of the person.\r\n\r\nReleases up to 1974 should be added here. All releases after 1974 should be added to [http://musicbrainz.org/artist/4d7928cd-7ed2-4282-8c29-c0c9f966f1bd.html|Alice Cooper (the person)].		2007-02-12 14:04:40.775533+01
87484	39883	Up until 1974, Alice Cooper was the name of the band. After 1974 Alice Cooper was just the name of the person.\r\n\r\nReleases up to 1974 should be added here. All releases after 1974 should be added to [http://musicbrainz.org/artist/4d7928cd-7ed2-4282-8c29-c0c9f966f1bd.html|Alice Cooper (the person)].\r\n\r\nBecause of this "band vs. solo" split, any compilation discs which contain any post-74 tracks are listed under [http://musicbrainz.org/artist/4d7928cd-7ed2-4282-8c29-c0c9f966f1bd.html|Alice Cooper (the person)]. They can be found there, or "View All Releases" and they'll be seen listed here as "Various Artists Compilations".	The problems with anality and compilation discs	2007-02-12 19:52:25.682957+01
111915	4	Up until 1974, Alice Cooper was the name of the band. After 1974 Alice Cooper was just the name of the person.\r\n\r\nAll releases after 1974 should be entered here. Releases before 1974 should be entered as [http://musicbrainz.org/show/artist/?artistid=421280|Alice Cooper (the band)].\n\nUp until 1974, Alice Cooper was the name of the band. After 1974 Alice Cooper was just the name of the person.\r\n\r\nReleases up to 1974 should be added here. All releases after 1974 should be added to [http://musicbrainz.org/artist/4d7928cd-7ed2-4282-8c29-c0c9f966f1bd.html|Alice Cooper (the person)].\r\n\r\nBecause of this "band vs. solo" split, any compilation discs which contain any post-74 tracks are listed under [http://musicbrainz.org/artist/4d7928cd-7ed2-4282-8c29-c0c9f966f1bd.html|Alice Cooper (the person)]. They can be found there, or "View All Releases" and they'll be seen listed here as "Various Artists Compilations".	Result of artist merge	2007-08-21 16:00:58.977157+02
111916	39883			2007-08-21 17:15:28.746647+02
113844	135888	Currently, this label is being used for releases (usually bootlegs) that have no record label at all. I would suggest that MBz editors make a recommendation on this topic, as some people are voting "NO" against its current usage.\r\n\r\nAn alternative would be '''[white label]''' as that is used in the industry, especially amongst DJ's. Discogs prefer ''Not on label''.		2007-09-19 01:30:38.503188+02
114922	145355	Full name is '''Luigi Rodolfo Boccherini'''.		2007-10-06 23:01:33.480832+02
116738	95678	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever signed his name as "Wolfgang Amadeus Mozart" three times among his letters and compositions, using at least 77 different variations of his name throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/CompleteMozartEdition|CompleteMozartEdition] wiki page.		2007-11-01 02:05:03.350078+01
116739	95678	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/CompleteMozartEdition|CompleteMozartEdition] wiki page.		2007-11-01 02:06:35.608796+01
35398	68620	Other albums by KWS are probably listed under [http://musicbrainz.org/showartist.html?artistid=189237|Kenny Wayne Shepherd].		2006-03-20 16:44:53.801405+01
320	13625	Same artist as http://musicbrainz.org/artist/c5f42b91-82b9-466c-891c-a9cc391b50bc.html. If we want to have album art, we should merge them	Kenny Wayne Sheppard vs Kenny Wayne Sheppard Band	2004-11-25 10:32:52.296795+01
117846	4	Other albums by KWS are probably listed under [http://musicbrainz.org/showartist.html?artistid=21579|Kenny Wayne Shepherd Band].\n\nOther albums by KWS are probably listed under [http://musicbrainz.org/showartist.html?artistid=189237|Kenny Wayne Shepherd].	Result of artist merge	2007-11-15 13:01:23.912284+01
125218	297739	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series Complete Mozart Philips] wiki page.		2008-02-16 16:32:13.507791+01
125219	297739	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.		2008-02-16 16:34:18.155786+01
125614	221793	This is a [http://wiki.musicbrainz.org/SpecialPurposeLabel|SpecialPurposeLabel]\r\n\r\nIt is meant to hold White labels, self-released albums, and other releases that don't have any identifiable labels (usually bootlegs).\r\n\r\nPlease note that you '''mustn't''' use it if '''you''' just '''don't know''' what the label is and don't want to research it.		2008-02-24 00:33:54.916168+01
126106	85840	'''WorksList:'''\r\nAway From the Sun\r\nAway From the Sun (acoustic)\r\nBe Like Thatt\r\nBe Somebody\r\nBe Somebody (acoustic)\r\nBehind Those Eyes\r\nBy My Side\r\nChanges\r\nDangerous Game\r\nDead Love\r\nDown Poison\r\nDuck and Run\r\nFather's Son\r\nGoing Down in Flames\r\nHere by Me\r\nHere by Me (acoustic)\r\nHere Without You\r\nHere Without You (acoustic)\r\nI Feel You\r\nIt's Not Me\r\nKryptonite\r\nLanding in London\r\nLanding in London (acoustic)\r\nLet Me Go\r\nLet Me Go (acoustic)\r\nLife of My Own\r\nLive for Today\r\nLoser\r\nLoser (acoustic)\r\nMan in My Mind\r\nMy World\r\nMy World (acoustic)\r\nNever Will I Break\r\nNot Enough\r\nPop Song (?)\r\nRight Where I Belong\r\nRunning Out of Days\r\nSarah Yellin'\r\nSarah Yellin' 86\r\nSmack\r\nSo I Need You\r\nThe Better Life\r\nThe Real Life\r\nThe Road I'm On\r\nThis Time\r\nTicket to Heaven\r\nWasted Me\r\nWhen I'm Gone		2008-03-02 17:29:43.562896+01
126107	85840	'''WorksList:'''\r\nAway From the Sun\r\nBe Like Thatt\r\nBe Somebody\r\nBehind Those Eyes\r\nBy My Side\r\nChanges\r\nCitizen Soldier\r\nDangerous Game\r\nDead Love\r\nDown Poison\r\nDuck and Run\r\nFather's Son\r\nGoing Down in Flames\r\nHere by Me\r\nHere Without You\r\nI Feel You\r\nIt's Not Me\r\nKryptonite\r\nLanding in London\r\nLet Me Go\r\nLife of My Own\r\nLive for Today\r\nLiving a Lie\r\nLoser\r\nMan in My Mind\r\nMy World\r\nNever Will I Break\r\nNot Enough\r\nPop Song (?)\r\nRight Where I Belong\r\nRunning Out of Days\r\nSarah Yellin'\r\nSarah Yellin' 86\r\nSmack\r\nSo I Need You\r\nThat Smell\r\nThe Better Life\r\nThe Real Life\r\nThe Road I'm On\r\nThis Time\r\nTicket to Heaven\r\nWasted Me\r\nWhen I'm Gone		2008-03-02 17:38:10.72833+01
126108	85840	'''WorksList:'''\r\nAway From the Sun\r\nBe Like That\r\nBe Somebody\r\nBehind Those Eyes\r\nBy My Side\r\nChanges\r\nCitizen Soldier\r\nDangerous Game\r\nDead Love\r\nDown Poison\r\nDuck and Run\r\nFather's Son\r\nGoing Down in Flames\r\nHere by Me\r\nHere Without You\r\nI Feel You\r\nIt's Not Me\r\nKryptonite\r\nLanding in London\r\nLet Me Go\r\nLife of My Own\r\nLive for Today\r\nLiving a Lie\r\nLoser\r\nMan in My Mind\r\nMy World\r\nNever Will I Break\r\nNot Enough\r\nPop Song (?)\r\nRight Where I Belong\r\nRunning Out of Days\r\nSarah Yellin'\r\nSarah Yellin' 86\r\nSmack\r\nSo I Need You\r\nThat Smell\r\nThe Better Life\r\nThe Real Life\r\nThe Road I'm On\r\nThis Time\r\nTicket to Heaven\r\nWasted Me\r\nWhen I'm Gone		2008-03-02 17:39:18.689806+01
126140	85840	'''WorksList:'''\r\nAway From the Sun\r\nBe Like That\r\nBe Somebody\r\nBehind Those Eyes\r\nBy My Side\r\nChanges\r\nCitizen Soldier\r\nDangerous Game\r\nDead Love\r\nDown Poison\r\nDuck and Run\r\nFather's Son\r\nGoing Down in Flames\r\nHere by Me\r\nHere Without You\r\nI Feel You\r\nIt's Not Me\r\nKryptonite\r\nLanding in London\r\nLet Me Go\r\nLife of My Own\r\nLive for Today\r\nLiving a Lie\r\nLoser\r\nMan in My Mind\r\nMy World\r\nNever Will I Break\r\nNot Enough\r\nPop Song (apparently a Japanese bonus track - might be "Popsong")\r\nRight Where I Belong\r\nRunning Out of Days\r\nSarah Yellin'\r\n Sarah Yellin' 86 (a version of the song above?)\r\nSmack\r\nSo I Need You\r\nThe Better Life\r\nThe Real Life\r\nThe Road I'm On\r\nThis Time\r\nTicket to Heaven\r\nWasted Me\r\nWhen I'm Gone\r\n\r\n''Covers:'''\r\nThat Smell (Lynyrd Skynyrd)		2008-03-03 03:18:24.181345+01
126141	85840	'''WorksList:'''\r\nAway From the Sun\r\nBe Like That\r\nBe Somebody\r\nBehind Those Eyes\r\nBy My Side\r\nChanges\r\nCitizen Soldier\r\nDangerous Game\r\nDead Love\r\nDown Poison\r\nDuck and Run\r\nFather's Son\r\nGoing Down in Flames\r\nHere by Me\r\nHere Without You\r\nI Feel You\r\nIt's Not Me\r\nKryptonite\r\nLanding in London\r\nLet Me Go\r\nLife of My Own\r\nLive for Today\r\nLiving a Lie\r\nLoser\r\nMan in My Mind\r\nMy World\r\nNever Will I Break\r\nNot Enough\r\nPop Song (apparently a Japanese bonus track - might be "Popsong")\r\nRight Where I Belong\r\nRunning Out of Days\r\nSarah Yellin'\r\n Sarah Yellin' 86 (a version of the song above?)\r\nSmack\r\nSo I Need You\r\nThe Better Life\r\nThe Real Life\r\nThe Road I'm On\r\nThis Time\r\nTicket to Heaven\r\nWasted Me\r\nWhen I'm Gone\r\n\r\n'''Covers:'''\r\nThat Smell (Lynyrd Skynyrd)		2008-03-03 03:18:42.228296+01
126898	210404	Kvadro is a distributor of BMG & Universal (PolyGram) in Russia (more than 18,000 releases at the moment). Also it is the publisher of a number of Russian artists and a number of series of compilations (totally more than 1,500 releases).	Basic facts, bad English	2008-03-17 12:16:37.357571+01
130731	95678	Please note that there are ''several'' very large Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs in 4 volumes, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * 60 CDs in 4 volumes, released by Teldec in 1994.\r\n    * '''Bach 2000: The Complete Bach Edition''': 153 CDs in 12 volumes, released by Teldec in 1999.  \r\n        * Included a rerelease of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n    * '''Bach 2000 Light''': 93 CDs, released in 8 volumes, released by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''Bach Edition''': 155 CDs, rereleased with the same title by Brilliant Classics in 2006.  \r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.		2008-04-30 02:20:11.986823+02
160779	53705	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.		2009-11-16 18:38:31.833507+01
162261	224057	Known as Angel City in the US		2009-12-13 04:54:30.599798+01
130732	95678	Please note that there are ''several'' very large Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs in 4 volumes, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * 60 CDs in 4 volumes, released by Teldec in 1994.\r\n    * '''Bach 2000: The Complete Bach Edition''': 153 CDs in 12 volumes, released by Teldec in 1999.  \r\n        * Included a rerelease of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''Bach 2000 (sampler)''' was also released.\r\n    * '''Bach 2000 Light''': 93 CDs, released in 8 volumes, released by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''Bach Edition''': 155 CDs, rereleased with the same title by Brilliant Classics in 2006.  \r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.		2008-04-30 02:25:41.846225+02
137753	85840			2008-08-28 01:17:23.46227+02
143922	388788	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\n'''Why does he need 100+ wikipedia links unlike any other artist?'''		2008-11-30 01:09:26.854563+01
144866	221336	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|BrianFreud's CSG worklist] for guidance.	link to brianfreud's page, excise comment about ARs	2008-12-16 20:24:36.878348+01
145444	29366	'''Deep Purple Mk 1 (1968-1969)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ed031718-b94c-403d-8a89-438e355db488.html|Rod Evans] (vocals), [http://musicbrainz.org/artist/00929331-8a98-4651-9052-6feaf0458b81.html|Nick Simper] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2 (1969-1973)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 3 1973-1975)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/8b26558a-1073-45cf-b9a2-233703654ffb.html|David Coverdale] (vocals), [http://musicbrainz.org/artist/78692212-af57-402a-a291-3938ca356500.html|Glenn Hughes] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 4 1975-1976)''' were\r\n[http://musicbrainz.org/artist/1edd8e9a-0deb-4548-a2a3-679af784f6c6.html|Tommy Bolin] (guitar), [http://musicbrainz.org/artist/8b26558a-1073-45cf-b9a2-233703654ffb.html|David Coverdale] (vocals), [http://musicbrainz.org/artist/78692212-af57-402a-a291-3938ca356500.html|Glenn Hughes] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2a (1984-1989)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 5 (1989-1991)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/47cd459b-06c1-462f-8fdd-27721a03ef68.html|Joe Lynn Turner] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2b (1992-1993)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 6 (1993-1994)''' were\r\n[http://musicbrainz.org/artist/29762c82-bb92-4acd-b1fb-09cc4da250d2.html|Joe Satriani] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 7 (1994-2000)''' were\r\n[http://musicbrainz.org/artist/6f0d1ab4-a0b8-4d59-acda-5fe3b63058f0.html|Steve Morse] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 8 (2002-present)''' are\r\n[http://musicbrainz.org/artist/6f0d1ab4-a0b8-4d59-acda-5fe3b63058f0.html|Steve Morse] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/show/artist/?artistid=289752|Don Airey] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)	links for artists	2008-12-28 13:20:24.792122+01
145445	29366	'''Deep Purple Mk 1 (1968-1969)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ed031718-b94c-403d-8a89-438e355db488.html|Rod Evans] (vocals), [http://musicbrainz.org/artist/00929331-8a98-4651-9052-6feaf0458b81.html|Nick Simper] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2 (1969-1973)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 3 (1973-1975)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/8b26558a-1073-45cf-b9a2-233703654ffb.html|David Coverdale] (vocals), [http://musicbrainz.org/artist/78692212-af57-402a-a291-3938ca356500.html|Glenn Hughes] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 4 (1975-1976)''' were\r\n[http://musicbrainz.org/artist/1edd8e9a-0deb-4548-a2a3-679af784f6c6.html|Tommy Bolin] (guitar), [http://musicbrainz.org/artist/8b26558a-1073-45cf-b9a2-233703654ffb.html|David Coverdale] (vocals), [http://musicbrainz.org/artist/78692212-af57-402a-a291-3938ca356500.html|Glenn Hughes] (bass, vocals), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (organ, keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2a (1984-1989)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 5 (1989-1991)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/47cd459b-06c1-462f-8fdd-27721a03ef68.html|Joe Lynn Turner] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 2b (1992-1993)''' were\r\n[http://musicbrainz.org/artist/fc5f555c-dfa2-4f16-9da5-98342105c23a.html|Ritchie Blackmore] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 6 (1993-1994)''' were\r\n[http://musicbrainz.org/artist/29762c82-bb92-4acd-b1fb-09cc4da250d2.html|Joe Satriani] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 7 (1994-2000)''' were\r\n[http://musicbrainz.org/artist/6f0d1ab4-a0b8-4d59-acda-5fe3b63058f0.html|Steve Morse] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/artist/6bf692e0-baac-4428-94c3-423d52508cf0.html|Jon Lord] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)\r\n\r\n'''Deep Purple Mk 8 (2002-present)''' are\r\n[http://musicbrainz.org/artist/6f0d1ab4-a0b8-4d59-acda-5fe3b63058f0.html|Steve Morse] (guitar), [http://musicbrainz.org/artist/ff2a0e30-aec1-44dd-ae06-dc78877f512d.html|Ian Gillan] (vocals), [http://musicbrainz.org/artist/583944a8-d43b-42e9-8e3c-29eb89f53587.html|Roger Glover] (bass), [http://musicbrainz.org/show/artist/?artistid=289752|Don Airey] (keyboards), [http://musicbrainz.org/artist/29c11f6b-df9f-454f-964e-75eedadb4a1e.html|Ian Paice] (drums)		2008-12-28 13:21:20.68063+01
154002	388409	In 22 January 1727 ''Georg Friedrich Händel'' became a naturalised subject of British crown and legally accepted name ''George Frideric Handel''.		2009-06-24 17:38:07.219577+02
156978	95678	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.		2009-08-28 19:08:36.338641+02
156987	95678	Born as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.\r\n\r\nDue to server limitations, one Wikipedia AR cannot currently be entered.  [http://ml.wikipedia.org/wiki/%E0%B4%B5%E0%B5%82%E0%B4%B3%E0%B5%8D%E2%80%8D%E0%B4%AB%E0%B5%8D%E0%B4%97%E0%B4%BE%E0%B4%99%E0%B5%8D_%E0%B4%85%E0%B4%AE%E0%B4%BE%E0%B4%A6%E0%B5%8D%E0%B4%AF%E0%B5%82%E0%B4%B8%E0%B5%8D_%E0%B4%AE%E0%B5%8A%E0%B4%9F%E0%B5%8D%E0%B4%9F%E0%B5%8D%E0%B4%B8%E0%B4%BE%E0%B4%B0%E0%B5%8D%E2%80%8D%E0%B4%9F%E0%B5%8D%E0%B4%9F%E0%B5%8D|http://ml.wikipedia.org/wiki/വൂള്‍ഫ്ഗാങ് അമാദ്യൂസ് മൊട്ട്സാര്‍ട്ട്]		2009-08-29 03:08:42.648367+02
470838	53705	\N	just whitespace	2011-10-07 16:34:22.382911+02
468963	388788	This is a [http://wiki.musicbrainz.org/Style/Unknown_and_untitled/Special_purpose_label|Special Purpose Label].\r\n\r\n"White labels, auto-releases and other 'no label' releases (usually bootlegs) should all be stored under this entry in the database."\r\n\r\nDo '''not''' use it as a dumping ground for releases that you are too lazy to look up.\r\n\r\nThank you.	\N	2011-09-21 17:41:53.900982+02
163287	470406	Please note the following Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://www.amazon.com/gp/product/B000HRME5U|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.  \r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a "Bach Introduction CD".\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	adding links and info	2009-12-22 16:32:36.628793+01
163509	470406	Please note the following Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * ASIN [http://www.amazon.com/gp/product/B000HRME5U|B000HRME5U]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:13:53.018958+01
163510	470406	=Box Sets=\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works - ASIN: B000HRME5U]\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk - 6 Volumes - ASIN: B000GCG8Y4]\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:28:04.067232+01
163450	470406	Please note the following Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * ASIN [http://www.amazon.com/gp/product/B000HRME5U|B000HRME5U]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a "Bach Introduction CD".\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-23 21:14:37.838031+01
163508	470406	Please note the following Bach box sets:\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * ASIN [http://www.amazon.com/gp/product/B000HRME5U|B000HRME5U]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:12:16.497375+01
462580	92223	\N	Members are already listed under Relationships. Discrography links are broken or outdated.	2011-07-22 05:21:34.203967+02
466186	514826	Full name is '''Luigi Rodolfo Boccherini'''.\r\nFor a work-in-progress attempt to standardize all of Boccherini's works, please see http://wiki.musicbrainz.org/CSG_Standard/Boccherini	\N	2011-08-25 06:25:46.727957+02
455300	62590	Please do _not_ use this artist. There is another "Various Artists"	\N	2011-06-04 04:20:11.399659+02
163511	470406	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works - ASIN: B000HRME5U]\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk - 6 Volumes - ASIN: B000GCG8Y4]\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:28:59.036607+01
163512	470406	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://tinyurl.com/bachedition2006|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:31:33.201711+01
163514	470406	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b33ece100c1f2ee271d52c5db1206ef/Cartridge/sl126403e5/ProductInfo/93102|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume 1: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume 2: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume 3: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume 4: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume 5: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume 6: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 7: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume 8: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume 9: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume 10: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume 11: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume 12: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume 13: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume 14: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume 15: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume 16: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume 17: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume 18: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume 19: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume 20: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume 21: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume 22: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume 23: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-24 23:37:08.925533+01
163520	470406	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b33ece100c1f2ee271d52c5db1206ef/Cartridge/sl126403e5/ProductInfo/93102|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/4b30d9e6000c2064271e52c5db12066f/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99424|Bach Introduction CD].\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99360|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99361|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99362|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99363|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99364|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99365|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99366|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99367|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99368|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99369|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99370|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99371|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99372|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99373|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99374|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99375|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99376|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99377|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99378|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99379|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99380|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://records.joanrecords.com/epages/joan.storefront/4b33c6fe0039ccbe271d52c5db1206c2/Cartridge/sl126403e5/ProductInfo/99575|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2009-12-25 02:22:18.741289+01
496892	285909	This is a [http://wiki.musicbrainz.org/Style/Unknown_and_untitled/Special_purpose_label|Special Purpose Label].\r\n\r\n"White labels, auto-releases and other “no label” releases (usually bootlegs) should all be stored under this entry in the database."\r\n\r\nDo '''not''' use it as a dumping ground for releases that you are too lazy to look up.\r\n\r\nThank you.	\N	2012-05-07 20:17:04.703988+02
512970	363446	worklist: [http://web.comhem.se/~u87748742/Pachelbel.htm]	\N	2012-10-15 18:48:53.76414+02
513136	285909	This is a [http://wiki.musicbrainz.org/Style/Unknown_and_untitled/Special_purpose_label|Special Purpose Label].\r\n\r\n'''White labels, auto-releases and other “no label” releases (usually bootlegs) should all be stored under this entry in the database.'''\r\n\r\nDo '''not''' use it as a dumping ground for releases that you are too lazy to look up.\r\n\r\nThank you.	bold instead of a citation	2012-10-17 10:02:44.915638+02
163883	470406	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''Bach Edition''': 155 CDs, released by Brilliant Classics around 2000 or 2001.\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings - make sure you are dealing with the correct disc!\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (as above), but separated into 23 box sets and a [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|Bach Introduction CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	Fixed bad links	2009-12-30 03:21:19.329718+01
171810	95678	Middle name: Urbain		2010-05-14 08:02:09.93432+02
171887	95678	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (1999 version)\r\n        * 23 volumes plus an [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|introductory CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings in the 2006 release - make sure you are dealing with the correct disc!\r\n            * 2006 Set:\r\n                * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2.html|Volume I: Orchestral Works/Chamber Music]''' \r\n                * '''[http://musicbrainz.org/release-group/010fced3-1e81-350a-be78-3dc81c0dc0bc.html|Volume II: Keyboard Works]''' \r\n                * '''[http://musicbrainz.org/release-group/c7fe5040-7e80-40ae-884e-864b024c5b63.html|Volume III: Cantatas I]''' \r\n                * '''Volume IV'''\r\n                * '''Volume V'''\r\n                * '''Volume VI'''\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2010-05-15 15:21:11.731629+02
175164	335320	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (1999 version)\r\n        * 23 volumes plus an [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|introductory CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings in the 2006 release - make sure you are dealing with the correct disc!\r\n            * 2006 Set:\r\n                * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2.html|Volume I: Orchestral Works/Chamber Music]''' \r\n                * '''[http://musicbrainz.org/release-group/010fced3-1e81-350a-be78-3dc81c0dc0bc.html|Volume II: Keyboard Works]''' \r\n                * '''[http://musicbrainz.org/release-group/c7fe5040-7e80-40ae-884e-864b024c5b63.html|Volume III: Cantatas I]''' \r\n                * '''Volume IV: Cantatas II'''\r\n                * '''Volume V: Vocal Works'''\r\n                * '''Volume VI: Organ Works'''\r\n    * '''Bach Edition:''' 160 CDs but divided in 6 volumes, like the 2006 155-disc version. Year?\r\n    * '''The Complete Works of Johann Sebastian Bach''': 172 CDs, released by Hänssler Classics in 2001.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2010-07-13 19:48:24.654117+02
177070	388788			2010-08-23 09:51:42.098226+02
182885	636	A box set with no special title exists, as Virgin cat # CDBOX 16.  http://www.esounds.com/esounds/EN/Details.aspx?ProductID=M5099996624029&VariantID=5099996552629		2010-09-26 22:34:22.86664+02
182960	95678	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (1999 version)\r\n        * 23 volumes plus an [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|introductory CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings in the 2006 release - make sure you are dealing with the correct disc!\r\n            * 2006 Set:\r\n                * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2.html|Volume I: Orchestral Works/Chamber Music]''' \r\n                * '''[http://musicbrainz.org/release-group/010fced3-1e81-350a-be78-3dc81c0dc0bc.html|Volume II: Keyboard Works]''' \r\n                * '''[http://musicbrainz.org/release-group/c7fe5040-7e80-40ae-884e-864b024c5b63.html|Volume III: Cantatas I]''' \r\n                * '''Volume IV: Cantatas II'''\r\n                * '''Volume V: Vocal Works'''\r\n                * '''Volume VI: Organ Works'''\r\n    * '''Bach Edition:''' 160 CDs but divided in 6 volumes, like the 2006 155-disc version. Year?\r\n    * '''Die Kompletten Werke''' / '''Edition Bachakademie''' / '''The Complete Works''': 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.		2010-09-27 19:47:01.635437+02
182421	350310	On 22 January 1727 ''Georg Friedrich Händel'' became a naturalised subject of the British crown with the legally accepted name ''George Frideric Handel''.	copy editing clean-up	2010-09-18 17:22:52.371917+02
183572	476301	For releases after 2002, must be under [http://musicbrainz.org/show/label/?labelid=2632|EMI Music Germany]	Check before submitting releases	2010-10-08 12:14:58.898728+02
183730	508661	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (1999 version)\r\n        * 23 volumes plus an [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|introductory CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings in the 2006 release - make sure you are dealing with the correct disc!\r\n            * 2006 Set:\r\n                * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2.html|Volume I: Orchestral Works/Chamber Music]''' \r\n                * '''[http://musicbrainz.org/release-group/010fced3-1e81-350a-be78-3dc81c0dc0bc.html|Volume II: Keyboard Works]''' \r\n                * '''[http://musicbrainz.org/release-group/c7fe5040-7e80-40ae-884e-864b024c5b63.html|Volume III: Cantatas I]''' \r\n                * '''Volume IV: Cantatas II'''\r\n                * '''Volume V: Vocal Works'''\r\n                * '''Volume VI: Organ Works'''\r\n    * '''Bach Edition:''' 160 CDs but divided in 6 volumes, like the 2006 155-disc version. Year?\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	Hanssler list	2010-10-12 15:08:23.50142+02
542067	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler Classics, 2000/2010; Master Music, 2004)\r\n\r\n    * '''"The Harmonia Mundi Bach Edition"''' (Harmonia Mundi, 1999/2000 (?)) (69xCD + 2xCD separate sampler) (not in the db yet)	\N	2013-05-21 06:18:00.052554+02
542080	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''The Masterworks''' (Brilliant Classics, 2004/2008) (ref: [http://www.allmusic.com/album/bach-the-masterworks-mw0001387268|1] / [http://www.allmusic.com/album/bach-the-masterworks-mw0001945560|2])\r\n\r\n    * '''Premium Edition''' (Am@do Classics, 2007?) (ref: [http://www.allmusic.com/album/johann-sebastian-bach-premium-edition-mw0001867557|1]; [http://www.amazon.com/gp/product/B000XCZC1C|2.1] or [http://www.amazon.com/gp/product/B000IFRXV6|2.2])\r\n\r\nThere was an (attempt at a) [http://wiki.musicbrainz.org/Cleanup_Of_The_Month/BachBoxSets|Cleanup of the Month™] four years ago. (Avoid that data like the plague, I requested a removal.)	\N	2013-05-21 08:17:48.578425+02
542086	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''"The Masterworks"''' (Brilliant Classics, 2004/2008) (ref: [http://www.allmusic.com/album/bach-the-masterworks-mw0001387268|1] / [http://www.allmusic.com/album/bach-the-masterworks-mw0001945560|2])\r\n\r\n    * '''"Premium Edition"''' (Am@do Classics, 2007?) (ref: [http://www.allmusic.com/album/johann-sebastian-bach-premium-edition-mw0001867557|1]; [http://www.amazon.com/gp/product/B000XCZC1C|2.1] or [http://www.amazon.com/gp/product/B000IFRXV6|2.2]) ([http://wiki.musicbrainz.org/User:HumHumXX/Bach_-_Premium_Edition|wiki] tracklist dump)\r\n\r\nThere seems to have been another major series (or set) (69xCD + [http://www.amazon.com/gp/product/B00001NTI2|2xCD sampler]) by "harmonia mundi", evidence of which is rare.\r\n\r\nThere was an (attempt at a) [http://wiki.musicbrainz.org/Cleanup_Of_The_Month/BachBoxSets|Cleanup of the Month™] four years ago. (Avoid that data like the plague, I requested a removal.)	\N	2013-05-21 09:18:38.703965+02
542081	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''"The Masterworks"''' (Brilliant Classics, 2004/2008) (ref: [http://www.allmusic.com/album/bach-the-masterworks-mw0001387268|1] / [http://www.allmusic.com/album/bach-the-masterworks-mw0001945560|2])\r\n\r\n    * '''"Premium Edition"''' (Am@do Classics, 2007?) (ref: [http://www.allmusic.com/album/johann-sebastian-bach-premium-edition-mw0001867557|1]; [http://www.amazon.com/gp/product/B000XCZC1C|2.1] or [http://www.amazon.com/gp/product/B000IFRXV6|2.2])\r\n\r\nThere was an (attempt at a) [http://wiki.musicbrainz.org/Cleanup_Of_The_Month/BachBoxSets|Cleanup of the Month™] four years ago. (Avoid that data like the plague, I requested a removal.)	\N	2013-05-21 08:21:13.063734+02
542076	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''"The Harmonia Mundi Bach Edition"''' (Harmonia Mundi, 1999/2000 (?)) (69xCD + 2xCD separate sampler) (not in the db yet)	\N	2013-05-21 07:14:49.95076+02
542077	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''"The Harmonia Mundi Bach Edition"''' (Harmonia Mundi, 1999/2000 (?), 69xCD + 2xCD sampler) (Is this a series or a set, or both?)	\N	2013-05-21 07:17:21.348502+02
542084	388788	== Major series / box sets ==\r\n\r\n    * '''[http://wiki.musicbrainz.org/User:HumHumXX/Bach_on_TELDEC|→ Bach on TELDEC]'''\r\n\r\n    * '''[http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8|"Die kompletten Werke von Johann Sebastian Bach"]''' (Hänssler, 2000/2010; Master Music, 2004)\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|"Bach Edition"]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''"The Masterworks"''' (Brilliant Classics, 2004/2008) (ref: [http://www.allmusic.com/album/bach-the-masterworks-mw0001387268|1] / [http://www.allmusic.com/album/bach-the-masterworks-mw0001945560|2])\r\n\r\n    * '''"Premium Edition"''' (Am@do Classics, 2007?) (ref: [http://www.allmusic.com/album/johann-sebastian-bach-premium-edition-mw0001867557|1]; [http://www.amazon.com/gp/product/B000XCZC1C|2.1] or [http://www.amazon.com/gp/product/B000IFRXV6|2.2])\r\n\r\nThere seems to have been another major series (or set) (69xCD + [http://www.amazon.com/gp/product/B00001NTI2|2xCD sampler]) by "harmonia mundi", evidence of which is rare.\r\n\r\nThere was an (attempt at a) [http://wiki.musicbrainz.org/Cleanup_Of_The_Month/BachBoxSets|Cleanup of the Month™] four years ago. (Avoid that data like the plague, I requested a removal.)	\N	2013-05-21 08:30:25.614738+02
542040	388788	== Major box sets ==\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n\r\n    * '''[http://musicbrainz.org/release-group/47f6d337-1205-40f2-bc1d-a7f873c4c955|Bach 2000: The Complete Bach Edition]''' (TELDEC, 1999/2012)\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|Bach Edition]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.	\N	2013-05-20 23:58:21.474994+02
542052	388788	== Major series / box sets ==\r\n\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n\r\n    * '''[http://musicbrainz.org/release-group/47f6d337-1205-40f2-bc1d-a7f873c4c955|Bach 2000: The Complete Bach Edition]''' (TELDEC, 1999/2012)\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n\r\n    * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2|Bach Edition]''' (Brilliant Classics, 2001/2006/2010)\r\n\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.	\N	2013-05-21 01:39:31.720854+02
517993	133293	This is a [http://wiki.musicbrainz.org/Style/Unknown_and_untitled/Special_purpose_label|Special Purpose Label].\r\n\r\n'''White labels, self-published releases and other “no label” releases (usually bootlegs) should all be stored under this entry in the database.'''\r\n\r\nDo '''not''' use it as a dumping ground for releases that you are too lazy to look up.\r\n\r\nThank you.	"auto-releases" -> "self-published releases", per disambiguation change @ https://musicbrainz.org/edit/19925969	2012-12-04 22:39:13.448699+01
519173	559114	\N	\N	2012-12-14 02:42:05.045044+01
539380	388788	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://wiki.musicbrainz.org/Series/Bach_Complete_Brilliant|Bach Edition]'''\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	\N	2013-04-30 05:47:32.946004+02
539381	388788	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://wiki.musicbrainz.org/Series/Bach_Complete_Brilliant|Bach Edition]''' (Brilliant Classics)\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	\N	2013-04-30 05:54:41.286922+02
539905	388788	== Major box sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://wiki.musicbrainz.org/Series/Bach_Complete_Brilliant|Bach Edition]''' (Brilliant Classics, 2000-2010)\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://musicbrainz.org/release/0b2752ba-aea4-4b0d-b709-df9e9dcc4b8f|Organ Works (Complete)]''' (Brilliant Classics, 2004).	\N	2013-05-05 01:14:09.609895+02
539906	388788	== Major box sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://wiki.musicbrainz.org/Series/Bach_Complete_Brilliant|Bach Edition]''' (Brilliant Classics, 2000-2010)\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://musicbrainz.org/release/0b2752ba-aea4-4b0d-b709-df9e9dcc4b8f|Organ Works (Complete)]''' (Brilliant Classics, 2004)	\N	2013-05-05 01:15:04.342656+02
547961	746113	On 22 January 1727 ''Georg Friedrich Händel'' became a naturalised subject of the British crown with the legally accepted name ''George Frideric Handel''.\r\n\r\n'''FIXME:'''\r\nDue to a recent edit ([http://musicbrainz.org/edit/22578603|link]) that changed his name from ''Georg Friedrich Händel'' to ''George Frideric Handel'' (no artist credits renamed), majority of the releases filed under this artist are still left with the old artist name (Georg Friedrich Händel). It might help to change the artist credits to the new one, especially those releases that use ''Handel'' or ''George Frideric Handel'' on cover art. (Majority of the releases do use the English name).	\N	2013-07-08 11:19:33.633888+02
547963	746113	'''FIXME:'''\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names.\r\n\r\nHistory:\r\nThe old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:21:45.642687+02
547964	746113	'''FIXME:'''\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names.\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:27:28.817114+02
547965	746113	'''FIXME:'''\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works ar probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:30:36.575618+02
547966	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works ar probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:31:48.641465+02
547967	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:32:24.761692+02
547968	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:42:13.870632+02
547969	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#24 = K296 ('''17''')\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K372 ('''24''')\r\n#32 = K376 ('''25''')\r\n#33 = K377 ('''26''')\r\n#34 = K378 ('''27''')\r\n#35 = K379 ('''28''')\r\n#36 = K380 ('''29''')\r\n#37 = K402 ('''30''')\r\n#38 = K403 ('''31''')\r\n#39 = K404 ('''32''')\r\n#40 = K454 ('''33''')\r\n#41 = K481 ('''34''')\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 12:47:02.071242+02
548122	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\n''History:''\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\n'''See [http://pastebin.com/tLkx9DdQ|This link] if you want to know how the works were exactly renumbered.'''\r\n\r\n''Old catalog''  ->  '''New catalog''' | catalog no. (with link to work page)\r\n''24'' \t\t-> \t\t'''17''' \t\t\t\t[http://musicbrainz.org/work/a759654c-21c4-4209-9ab8-34a2d335862a |K. 296]\r\n''25'' \t\t-> \t\t'''18 \t'''\t\t\t[http://musicbrainz.org/work/d94fd4c9-c637-4868-8fb5-e5f9e0bd2763 |K. 301]\r\n''26'' \t\t-> \t\t'''19 \t'''\t\t\t[http://musicbrainz.org/work/ed0293cb-6f6d-40bc-9e27-c31764ff8f4e |K. 302]\r\n''27'' \t\t-> \t\t'''20 \t'''\t\t\t[http://musicbrainz.org/work/a8cd9cfe-60fa-4360-b572-b4700e55d874 |K. 303]\r\n''28'' \t\t-> \t\t'''21 \t'''\t\t\t[http://musicbrainz.org/work/499dcac1-0634-4a0d-b359-0a18a90a06b8 |K. 304]\r\n''29'' \t\t-> \t\t'''22 \t'''\t\t\t[http://musicbrainz.org/work/e1ab3684-3051-42c4-b916-a5a2dd134eaf |K. 305]\r\n''30'' \t\t-> \t\t'''23 \t'''\t\t\t[http://musicbrainz.org/work/40fdf731-ab61-40ef-ba60-2e0c8a58109e |K. 306]\r\n''31'' \t\t-> \t\t'''24\t'''\t\t\t[http://musicbrainz.org/work/212ac170-73f3-4514-80bd-c07a5bef743e |K. 376] \r\n''32'' \t\t-> \t\t'''25 \t'''\t\t\t[http://musicbrainz.org/work/a51835d5-584c-4648-8b35-63c600b587d4 |K. 377]\r\n''33'' \t\t-> \t\t'''26 \t'''\t\t\t[http://musicbrainz.org/work/cd8cdaa3-2a92-4f0c-a295-d12f825fab89 |K. 378]\r\n''34 ''\t\t-> \t\t'''27'''\t\t\t\t[http://musicbrainz.org/work/7b434417-416b-4267-8210-ca1b4d252d16 |K. 379]\r\n''35 ''\t\t-> \t\t'''28''' \t\t\t\t[http://musicbrainz.org/work/9373aaac-045e-499d-aeeb-7824cfe64dee |K. 380]\r\n''36 ''\t\t-> \t\t'''29''' \t\t\t\t[http://musicbrainz.org/work/ee9e8629-438d-4cea-9f2e-03274b613770 |K. 402]\r\n''37 ''\t\t-> \t\t'''30''' \t\t\t\t[http://musicbrainz.org/work/80ec5946-ddd2-41f5-a6a6-171b134ba134 |K. 403]\r\n''38 ''\t\t-> \t\t'''31''' \t\t\t\t[http://musicbrainz.org/work/f0a4393d-8cfc-4d90-aec9-b8dc19aad0df |K. 404]\r\n''39 ''\t\t-> \t\t'''32''' \t\t\t\t[http://musicbrainz.org/work/3b768f87-a353-42f8-b379-0e0a0da86454 |K. 454]\r\n''40 ''\t\t-> \t\t'''33''' \t\t\t\t[http://musicbrainz.org/work/b2f09109-b107-4100-a914-51e5de92b878 |K. 481]\r\n''41 ''\t\t-> \t\t'''34''' \t\t\t\tNONE NONE NONE NONE (I have no idea what happened to this) \r\n''42 ''\t\t-> \t\t'''35''' \t\t\t\t[http://musicbrainz.org/search?query=K.+526&type=work&method=indexed |K. 526](duplicate works in pairs)\r\n''43 '' \t\t-> \t\t'''36''' \t\t\t\t[http://musicbrainz.org/work/4633e14c-252b-4188-a213-f9370dc29b92 |K. 547]\r\n\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	bold - italic	2013-07-10 10:53:00.283726+02
547971	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#24 = K296 ('''17''')\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K376 ('''24''')\r\n#32 = K377 ('''25''')\r\n#33 = K378 ('''26''')\r\n#34 = K379 ('''27''')\r\n#35 = K380 ('''28''')\r\n#36 = K402 ('''29''')\r\n#37 = K403 ('''30''')\r\n#38 = K404 ('''31''')\r\n#39 = K454 ('''32''')\r\n#40 = K481 ('''33''')\r\n#41 = ('''34''') [Don't know what happened to this one, no Viiolin Sonata no. 34]\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 13:11:23.648174+02
547972	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\nHistory:\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.\r\n#24 = K296 ('''17''')\r\n#25 = K301 ('''18''')\r\n#26 = K302 ('''19''')\r\n#27 = K303 ('''20''')\r\n#28 = K304 ('''21''')\r\n#29 = K305 ('''22''')\r\n#30 = K306 ('''23''')\r\n#31 = K376 ('''24''')\r\n#32 = K377 ('''25''')\r\n#33 = K378 ('''26''')\r\n#34 = K379 ('''27''')\r\n#35 = K380 ('''28''')\r\n#36 = K402 ('''29''')\r\n#37 = K403 ('''30''')\r\n#38 = K404 ('''31''')\r\n#39 = K454 ('''32''')\r\n#40 = K481 ('''33''')\r\n#41 = K??? ('''34''') (Don't know what happened to this one, no Viiolin Sonata no. 34])\r\n#42 = K526 ('''35''')\r\n#43 = K547 ('''36''')\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 13:12:17.446521+02
547974	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\n''History:''\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\nOld catalog | Koechel catalog | New Catalog\r\n'''[http://pastebin.com/tLkx9DdQ|This link] lists the original catalog with notes besides the sonatas that were removed.'''\r\nOld catalog  |  New catalog | catalog no. (with link to work page)\r\n24 \t\t-> \t\t17 \t\t\t\t[http://musicbrainz.org/work/a759654c-21c4-4209-9ab8-34a2d335862a |K. 296]\r\n25 \t\t-> \t\t18 \t\t\t\t[http://musicbrainz.org/work/d94fd4c9-c637-4868-8fb5-e5f9e0bd2763 |K. 301]\r\n26 \t\t-> \t\t19 \t\t\t\t[http://musicbrainz.org/work/ed0293cb-6f6d-40bc-9e27-c31764ff8f4e |K. 302]\r\n27 \t\t-> \t\t20 \t\t\t\t[http://musicbrainz.org/work/a8cd9cfe-60fa-4360-b572-b4700e55d874 |K. 303]\r\n28 \t\t-> \t\t21 \t\t\t\t[http://musicbrainz.org/work/499dcac1-0634-4a0d-b359-0a18a90a06b8 |K. 304]\r\n29 \t\t-> \t\t22 \t\t\t\t[http://musicbrainz.org/work/e1ab3684-3051-42c4-b916-a5a2dd134eaf |K. 305]\r\n30 \t\t-> \t\t23 \t\t\t\t[http://musicbrainz.org/work/40fdf731-ab61-40ef-ba60-2e0c8a58109e |K. 306]\r\n31 \t\t-> \t\t24\t\t\t\t[http://musicbrainz.org/work/212ac170-73f3-4514-80bd-c07a5bef743e |K. 376] \r\n32 \t\t-> \t\t25 \t\t\t\t[http://musicbrainz.org/work/a51835d5-584c-4648-8b35-63c600b587d4 |K. 377]\r\n33 \t\t-> \t\t26 \t\t\t\t[http://musicbrainz.org/work/cd8cdaa3-2a92-4f0c-a295-d12f825fab89 |K. 378]\r\n34 \t\t-> \t\t27 \t\t\t\t[http://musicbrainz.org/work/7b434417-416b-4267-8210-ca1b4d252d16 |K. 379]\r\n35 \t\t-> \t\t28 \t\t\t\t[http://musicbrainz.org/work/9373aaac-045e-499d-aeeb-7824cfe64dee |K. 380]\r\n36 \t\t-> \t\t29 \t\t\t\t[http://musicbrainz.org/work/ee9e8629-438d-4cea-9f2e-03274b613770 |K. 402]\r\n37 \t\t-> \t\t30 \t\t\t\t[http://musicbrainz.org/work/80ec5946-ddd2-41f5-a6a6-171b134ba134 |K. 403]\r\n38 \t\t-> \t\t31 \t\t\t\t[http://musicbrainz.org/work/f0a4393d-8cfc-4d90-aec9-b8dc19aad0df |K. 404]\r\n39 \t\t-> \t\t32 \t\t\t\t[http://musicbrainz.org/work/3b768f87-a353-42f8-b379-0e0a0da86454 |K. 454]\r\n40 \t\t-> \t\t33 \t\t\t\t[http://musicbrainz.org/work/b2f09109-b107-4100-a914-51e5de92b878 |K. 481]\r\n41 \t\t-> \t\t34 \t\t\t\tNONE NONE NONE NONE (I have no idea what happened to this) \r\n42 \t\t-> \t\t35 \t\t\t\t[http://musicbrainz.org/search?query=K.+526&type=work&method=indexed |K. 526](duplicate works in pairs)\r\n43 \t\t-> \t\t36 \t\t\t\t[http://musicbrainz.org/work/4633e14c-252b-4188-a213-f9370dc29b92 |K. 547]\r\n\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	added hyperlinks to work pages	2013-07-08 13:47:14.084089+02
547975	746113	'''FIXME:''' (In dire need of cleanup)\r\nApparently, there are discrepancies within recording titles and work titles for Mozart's '''violin sonatas''' due to early usage of a practically obsolete numbering system (AMA, see this [http://wiki.musicbrainz.org/CSG_Standard/Mozart#CatAMA|link]). Some editors probably used the catalog numbers of works alreadyy existing on the mb database and copied it to the recording title, resulting in a lot of recordings with incorrect (obsolete) names, also resulting to inconsistent recording names. (''Try doing a quick browse of the works in question, i.e., the affected works are probably Nos. 18/25-43'', might vary depending on what catalog the work is using)\r\n\r\n''History:''\r\nThe catalog old by Breitkopf & Härtel (Wolfgang Amadeus Mozarts Werke) commonly referred to as 'AMA' had 43 Violin Sonatas. K. 55-61 were removed from the old catalog as they were deemed spurious (not by Mozart), resulting to a renumbering of the Violin Sonatas, refer to the table below:\r\n\r\n'''See [http://pastebin.com/tLkx9DdQ|This link] if you want to know how the works were exactly renumbered.'''\r\n\r\nOld catalog  ->  New catalog | catalog no. (with link to work page)\r\n24 \t\t-> \t\t17 \t\t\t\t[http://musicbrainz.org/work/a759654c-21c4-4209-9ab8-34a2d335862a |K. 296]\r\n25 \t\t-> \t\t18 \t\t\t\t[http://musicbrainz.org/work/d94fd4c9-c637-4868-8fb5-e5f9e0bd2763 |K. 301]\r\n26 \t\t-> \t\t19 \t\t\t\t[http://musicbrainz.org/work/ed0293cb-6f6d-40bc-9e27-c31764ff8f4e |K. 302]\r\n27 \t\t-> \t\t20 \t\t\t\t[http://musicbrainz.org/work/a8cd9cfe-60fa-4360-b572-b4700e55d874 |K. 303]\r\n28 \t\t-> \t\t21 \t\t\t\t[http://musicbrainz.org/work/499dcac1-0634-4a0d-b359-0a18a90a06b8 |K. 304]\r\n29 \t\t-> \t\t22 \t\t\t\t[http://musicbrainz.org/work/e1ab3684-3051-42c4-b916-a5a2dd134eaf |K. 305]\r\n30 \t\t-> \t\t23 \t\t\t\t[http://musicbrainz.org/work/40fdf731-ab61-40ef-ba60-2e0c8a58109e |K. 306]\r\n31 \t\t-> \t\t24\t\t\t\t[http://musicbrainz.org/work/212ac170-73f3-4514-80bd-c07a5bef743e |K. 376] \r\n32 \t\t-> \t\t25 \t\t\t\t[http://musicbrainz.org/work/a51835d5-584c-4648-8b35-63c600b587d4 |K. 377]\r\n33 \t\t-> \t\t26 \t\t\t\t[http://musicbrainz.org/work/cd8cdaa3-2a92-4f0c-a295-d12f825fab89 |K. 378]\r\n34 \t\t-> \t\t27 \t\t\t\t[http://musicbrainz.org/work/7b434417-416b-4267-8210-ca1b4d252d16 |K. 379]\r\n35 \t\t-> \t\t28 \t\t\t\t[http://musicbrainz.org/work/9373aaac-045e-499d-aeeb-7824cfe64dee |K. 380]\r\n36 \t\t-> \t\t29 \t\t\t\t[http://musicbrainz.org/work/ee9e8629-438d-4cea-9f2e-03274b613770 |K. 402]\r\n37 \t\t-> \t\t30 \t\t\t\t[http://musicbrainz.org/work/80ec5946-ddd2-41f5-a6a6-171b134ba134 |K. 403]\r\n38 \t\t-> \t\t31 \t\t\t\t[http://musicbrainz.org/work/f0a4393d-8cfc-4d90-aec9-b8dc19aad0df |K. 404]\r\n39 \t\t-> \t\t32 \t\t\t\t[http://musicbrainz.org/work/3b768f87-a353-42f8-b379-0e0a0da86454 |K. 454]\r\n40 \t\t-> \t\t33 \t\t\t\t[http://musicbrainz.org/work/b2f09109-b107-4100-a914-51e5de92b878 |K. 481]\r\n41 \t\t-> \t\t34 \t\t\t\tNONE NONE NONE NONE (I have no idea what happened to this) \r\n42 \t\t-> \t\t35 \t\t\t\t[http://musicbrainz.org/search?query=K.+526&type=work&method=indexed |K. 526](duplicate works in pairs)\r\n43 \t\t-> \t\t36 \t\t\t\t[http://musicbrainz.org/work/4633e14c-252b-4188-a213-f9370dc29b92 |K. 547]\r\n\r\n''The above table shows the renumbering of the sonatas as a result of the removal of the 7 spurious works.''\r\n\r\nCurrently, it is assumed that there are 36 violin sonatas. Note that there are other variants of the catalog of his violin sonatas, however, the most common numbering is the one above.\r\n\r\nCross references:\r\n[http://www.mozartforum.com/VB_forum/showthread.php?t=2447|Mozart forum]\r\n[http://en.wikipedia.org/wiki/K%C3%B6chel_catalogue|Wikipedia]\r\n[http://imslp.org/wiki/List_of_works_by_Wolfgang_Amadeus_Mozart|IMSLP]\r\n[http://en.wikipedia.org/wiki/List_of_sonatas_by_Wolfgang_Amadeus_Mozart#Violin|List of violon sonatas by Mozart]\r\n\r\n------------\r\n'''Additional Notes:'''\r\nBorn as: Joannes Chrisostomos Wolfgang Gottlieb Mozart\r\nBaptized as: Joannes Chrysostomus Wolfgangus Theophilus Mozart\r\n\r\nMozart himself preferred the Italian-ized and French-ified versions of Gottlieb: Amadeo, Amadè and Amadé\r\n\r\nMozart actually only ever used the name as "Amadeus" three times among his letters and compositions, among at least 77 different variations of his name used throughout his lifetime.\r\n\r\n\r\nHelp us organize Philips' Complete Mozart Edition by finding any missing or new albums you add/import to the [http://wiki.musicbrainz.org/Series/MozartCompletePhilips|Series/Mozart Complete Philips] wiki page.\r\n\r\nYou may want to consult [http://wiki.musicbrainz.org/CSGStandard/Mozart|the CSG worklist] for guidance.	\N	2013-07-08 13:50:16.4526+02
474217	492884	== Box Sets ==\r\n    * '''Sacred Cantatas''': 60 CDs, conducted by Nikolaus Harnoncourt and Gustav Leonhardt.  \r\n        * Released in 4 separate volumes as well as a [http://www.amazon.com/gp/product/B000000SKY|box set] by Teldec in 1994.\r\n        * Released as a [http://www.amazon.de/gp/product/B000RZOR2U|box set] by Warner Classics around 2007.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8B|Bach 2000: The Complete Bach Edition]:''' 153 CDs in 12 volumes, released by Teldec in 1999.\r\n        * Included a re-release of all 4 volumes of the 1994 Sacred Cantatas Teldec set.\r\n        * A '''[http://www.amazon.com/gp/product/B00000K2WE|Bach 2000: The Complete Bach Edition (sampler)]''' was also released.\r\n    * '''[http://www.amazon.com/gp/product/B00001IV8C|Bach 2000 Light]:''' 93 CDs, released in 8 volumes by Teldec in 1999.  \r\n        * It is identical to the 12 volume Teldec set, but does not include the 4 volumes of cantatas.\r\n    * '''[http://records.joanrecords.com/epages/joan.storefront/EN/Catalog/series_bach|Bach Edition]:''' Brilliant Classics (1999 version)\r\n        * 23 volumes plus an [http://www.joanrecords.com/epages/joan.storefront/EN/Product/99424?Style=classic|introductory CD].\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99360?Style=classic|Bach Edition, Volume I: Orchestral Works & Concertos]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99361?Style=classic|Bach Edition, Volume II: Vocal Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99362?Style=classic|Bach Edition, Volume III: Keyboard Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99363?Style=classic|Bach Edition, Volume IV: Cantatas, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99364?Style=classic|Bach Edition, Volume V: Cantatas, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99365?Style=classic|Bach Edition, Volume VI: Organ Works, Volume I]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99366?Style=classic|Bach Edition, Volume VII: Secular Cantatas]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99367?Style=classic|Bach Edition, Volume VIII: Cantatas, Volume III]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99368?Style=classic|Bach Edition, Volume IX: Cantatas, Volume IV]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99369?Style=classic|Bach Edition, Volume X: Passions]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99370?Style=classic|Bach Edition, Volume XI: Cantatas, Volume V]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99371?Style=classic|Bach Edition, Volume XII: Cantatas, Volume VI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99372?Style=classic|Bach Edition, Volume XIII: Keyboard Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99373?Style=classic|Bach Edition, Volume XIV: Cantatas, Volume VII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99374?Style=classic|Bach Edition, Volume XV: Cantatas, Volume VIII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99375?Style=classic|Bach Edition, Volume XVI: Chamber Music]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99376?Style=classic|Bach Edition, Volume XVII: Vocal Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99377?Style=classic|Bach Edition, Volume XVIII: Cantatas, Volume IX]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99378?Style=classic|Bach Edition, Volume XIX: Cantatas, Volume X]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99379?Style=classic|Bach Edition, Volume XX: Cantatas, Volume XI]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99380?Style=classic|Bach Edition, Volume XXI: Cantatas, Volume XII]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99381?Style=classic|Bach Edition, Volume XXII: Organ Works, Volume II]'''\r\n        * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/99575?Style=classic|Bach Edition, Volume XXIII: Choräle]'''\r\n    * '''[http://www.joanrecords.com/epages/joan.storefront/EN/Product/93102?Style=classic|Bach Edition]:''' 155 CDs, re-released with the same title by Brilliant Classics in 2006.\r\n        * Amazon.com [http://www.amazon.com/gp/product/B000HRME5U|Bach Edition: Complete Works]\r\n            * ASIN B000HRME5U\r\n        * Amazon.de [http://www.amazon.com/gp/product/B000GCG8Y4|Bach Edition: Das Gesamtwerk]\r\n            * 6 Volumes, ASIN B000GCG8Y4\r\n            * [http://anon.amazon-de.speedera.net/anon.amazon-de/all-media/music/misc/bach-tracklisting.pdf|PDF Tracklist]\r\n        * Nine CDs were replaced with newer recordings in the 2006 release - make sure you are dealing with the correct disc!\r\n            * 2006 Set:\r\n                * '''[http://musicbrainz.org/release-group/ad263ed1-3e94-3fa6-88bf-63d575611bb2.html|Volume I: Orchestral Works/Chamber Music]''' \r\n                * '''[http://musicbrainz.org/release-group/010fced3-1e81-350a-be78-3dc81c0dc0bc.html|Volume II: Keyboard Works]''' \r\n                * '''[http://musicbrainz.org/release-group/c7fe5040-7e80-40ae-884e-864b024c5b63.html|Volume III: Cantatas I]''' \r\n                * '''Volume IV: Cantatas II'''\r\n                * '''Volume V: Vocal Works'''\r\n                * '''Volume VI: Organ Works'''\r\n    * '''Bach Edition:''' 160 CDs but divided in 6 volumes, like the 2006 155-disc version, but with same recordings as 1996 version, Released in 2005.\r\n    * '''[http://www.haenssler-classic.de/detailansicht/titel/bach-gesamtset-2010-sonderedition-172-cds-cdr/152852/152852/152852.html|Die Kompletten Werke / Edition Bachakademie / The Complete Works]:''' 43 Volumes, 172 CDs, released by Hänssler Classics in 2001, reissued in 2010.\r\n        * '''Volumes: [http://musicbrainz.org/release-group/48668601-2425-443c-bbf5-dddc86fada24.html|1], [http://musicbrainz.org/release-group/322c349c-4feb-4fb4-8d3c-c1f5a92a8635.html|2], [http://musicbrainz.org/release-group/91145f20-1635-4ab0-acc6-1da3b3b3f241.html|3], [http://musicbrainz.org/release-group/86face98-ae19-4f34-82c2-6f39a6cf803f.html|4], [http://musicbrainz.org/release-group/796746cc-2bef-469f-b66d-ad414a3b61f9.html|5], [http://musicbrainz.org/release-group/998a5358-0426-4ed6-8eb6-bf1a6d88b2b5.html|6], [http://musicbrainz.org/release-group/3eb1a4cf-a625-400b-8481-f76e1c676af5.html|7], [http://musicbrainz.org/release-group/c4039fe5-5c8b-4f00-9ef4-d1e29a9f8d4f.html|8], [http://musicbrainz.org/release-group/6bfe4371-6b56-47f0-8d7c-1facc85fcbbd.html|9], [http://musicbrainz.org/release-group/06421b7d-14db-4634-8aaa-63aa75068674.html|10], [http://musicbrainz.org/release-group/e73a230c-6008-4463-b1aa-c25653addc4c.html|11], [http://musicbrainz.org/release-group/70c8f73f-b96f-46f8-b851-ad3d8b16584f.html|12], [http://musicbrainz.org/release-group/40e4d5c0-14d8-4aef-8bce-40d27c472f12.html|13], [http://musicbrainz.org/release-group/35688372-4ace-4a8f-8a8b-4999876fda45.html|14], [http://musicbrainz.org/release-group/3909c907-e813-4fd8-9bbc-7f6ad35b1b1f.html|15], [http://musicbrainz.org/release-group/a7145cbe-83f2-480a-a143-3cd2be09b609.html|16], [http://musicbrainz.org/release-group/e82cbba1-67d5-44f4-a76e-2bc249777a06.html|17], [http://musicbrainz.org/release-group/b5bc700e-1105-4e8f-8712-ae92b4ad2697.html|18], [http://musicbrainz.org/release-group/27d55922-70f1-3cdb-b9ac-006f3cdfb058.html|19], [http://musicbrainz.org/release-group/5d9e0699-5a04-3f02-8ba9-dcec9c75242f.html|20], [http://musicbrainz.org/release-group/84460d14-f8e9-309a-a4b1-4bca1ec9219e.html|21], [http://musicbrainz.org/release-group/a220d7f3-7b51-4312-b8cf-10151782b3c8.html|22], [http://musicbrainz.org/release-group/195c42c0-5adb-4911-a2f3-85394cc5a77f.html|23], [http://musicbrainz.org/release-group/0c99969d-c671-4383-a644-3a808507b84c.html|24], [http://musicbrainz.org/release-group/fb3217b2-3d49-4d28-8de1-76b362057015.html|25], [http://musicbrainz.org/release-group/c25f9e7a-d43b-3888-a828-316d121a159e.html|26], [http://musicbrainz.org/release-group/2f5e6baf-7526-4d22-a668-b17705da8e57.html|27], [http://musicbrainz.org/release-group/c3428bba-42ca-3fc9-b935-bcf031fce4b1.html|28], [http://musicbrainz.org/release-group/4d5aa288-188d-4c16-b13d-6a3a16f44421.html|29], [http://musicbrainz.org/release-group/eb9f2982-c203-4f36-a45b-9ea55f5823b8.html|30], [http://musicbrainz.org/release-group/4aecf001-3eb3-3214-854a-302630c94de2.html|31], [http://musicbrainz.org/release-group/ad97cf56-95ea-445f-a178-454ffc8248a9.html|32], [http://musicbrainz.org/release-group/6341b647-8517-4eab-98f1-4a163e33b675.html|33], [http://musicbrainz.org/release-group/60441c41-a7e4-40c5-8f80-06ab58967857.html|34], [http://musicbrainz.org/release-group/a388eea8-3c48-4c4d-a3fa-05e3ad429ed2.html|35], [http://musicbrainz.org/release-group/4903f577-578b-4415-9de8-f1d4a1ec6d02.html|36], [http://musicbrainz.org/release-group/24a9e564-ff53-3d23-a739-cccb83131267.html|37], [http://musicbrainz.org/release-group/58ae042a-e1a4-4bf1-99c8-95a4a39869bd.html|38], [http://musicbrainz.org/release-group/7c3dd140-19de-4db2-b0c6-05c57cc441cb.html|39], [http://musicbrainz.org/release-group/92ab6a74-53da-4f1a-a152-9bf05f91d6e8.html|40], [http://musicbrainz.org/release-group/3974fbff-487a-3fe2-9eb8-9320c376866d.html|41], [http://musicbrainz.org/release-group/536dacec-fee2-4de9-ade3-fe5a16385335.html|42] and [http://musicbrainz.org/release-group/03b289fd-9f11-4b0e-899e-38a68960dd55.html|43]'''\r\n    * '''The Harmonia Mundi Bach Edition''': 69 CDs, released by Harmonia Mundi around 1999 or 2000.\r\n        * A 2 CD '''The Harmonia Mundi Bach Edition (sampler)''' was also released.\r\n    * '''[http://www.amazon.de/gp/product/B0001ZWJBC|Organ Works (Complete)]:''' 17 CDs, released by Brilliant Classics around 2004.	Entered some information about the Brilliant Classic 160 CD Release in 6 volumes.	2011-11-16 16:12:38.313404+01
52118	51298	From Perth, Australia.		2006-06-28 16:10:44.003481+02
58943	197490	Deep Purple Mk 1 (1968-1969)were\r\nRitchie Blackmoore (guitar), Rod Evans (vocals), Nick Simper (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2 (1969-1973) were\r\nRitchie Blackmoore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 3 1973-1975) were\r\nRitchie Blackmoore (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals),\r\nJon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 4 1975-1976) were\r\nTommy Bolin (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2a (1984-1989) were\r\nRitchie Blackmore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 5 (1989-1991) were\r\nRitchie Blackmore (guitar), Joe Lynn Turner (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2b (1992)1993) were\r\nRitchie Blackmore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 6 (1993-1994) were\r\nJoe Satriani (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 7 (1994-2000)were\r\nSteve Morse (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 8 (2002-present) are\r\nSteve Morse (guitar), Ian Gillan (vocals), Roger Glover (bass), Don Airey(keyboards), Ian Paice (drums)		2006-08-13 20:15:06.832766+02
58944	197490	Deep Purple Mk 1 (1968-1969) were\r\nRitchie Blackmoore (guitar), Rod Evans (vocals), Nick Simper (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2 (1969-1973) were\r\nRitchie Blackmoore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 3 1973-1975) were\r\nRitchie Blackmoore (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals),\r\nJon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 4 1975-1976) were\r\nTommy Bolin (guitar), David Coverdale (vocals), Glenn Hughes (bass, vocals), Jon Lord (organ, keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2a (1984-1989) were\r\nRitchie Blackmore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 5 (1989-1991) were\r\nRitchie Blackmore (guitar), Joe Lynn Turner (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 2b (1992)1993) were\r\nRitchie Blackmore (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 6 (1993-1994) were\r\nJoe Satriani (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 7 (1994-2000)were\r\nSteve Morse (guitar), Ian Gillan (vocals), Roger Glover (bass), Jon Lord (keyboards), Ian Paice (drums)\r\n\r\nDeep Purple Mk 8 (2002-present) are\r\nSteve Morse (guitar), Ian Gillan (vocals), Roger Glover (bass), Don Airey(keyboards), Ian Paice (drums)		2006-08-13 20:15:31.658454+02
162280	224057			2009-12-13 05:39:32.719693+01
\.


--
-- Data for Name: area; Type: TABLE DATA; Schema: public; Owner: -
--

COPY area (id, gid, name, sort_name, type, edits_pending, last_updated, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, ended, comment) FROM stdin;
14	caac77d1-a5c8-3e6e-8e27-90b44dcc1446	Austria	Austria	1	0	2013-05-27 14:35:40.729344+02	\N	\N	\N	\N	\N	\N	f	
81	85752fda-13c4-31a3-bee5-0e5cb1f51dad	Germany	Germany	1	0	2013-05-27 14:44:37.529747+02	\N	\N	\N	\N	\N	\N	f	
221	8a754a16-0027-3a29-b6d7-2b40ea0481ed	United Kingdom	United Kingdom	1	0	2013-05-16 13:06:19.67235+02	\N	\N	\N	\N	\N	\N	f	
107	2db42837-c832-3c27-b4a3-08198f75693c	Japan	Japan	1	0	2013-05-27 14:29:56.162248+02	\N	\N	\N	\N	\N	\N	f	
105	c6500277-9a3d-349b-bf30-41afdbf42add	Italy	Italy	1	0	2013-05-27 15:42:38.97505+02	\N	\N	\N	\N	\N	\N	f	
103	390b05d4-11ec-3bce-a343-703a366b34a5	Ireland	Ireland	1	0	2013-05-27 16:05:21.98788+02	\N	\N	\N	\N	\N	\N	f	
176	1f1fc3a4-9500-39b8-9f10-f0a465557eef	Russian Federation	Russian Federation	1	0	2013-05-20 01:03:56.367979+02	\N	\N	\N	\N	\N	\N	f	
222	489ce91b-6658-3307-9877-795b68554c98	United States	United States	1	0	2013-06-15 20:06:39.59323+02	\N	\N	\N	\N	\N	\N	f	
286	6fddb177-f3fc-4c30-9d49-9c7e949fe0bc	Mississippi	Mississippi	2	0	2013-05-17 22:18:57.222871+02	\N	\N	\N	\N	\N	\N	f	
13	106e0bec-b638-3b37-b731-f53d507dc00e	Australia	Australia	1	0	2013-05-27 14:20:27.507257+02	\N	\N	\N	\N	\N	\N	f	
153	8524c7d9-f472-3890-a458-f28d5081d9c4	New Zealand	New Zealand	1	0	2013-05-27 14:21:18.909603+02	\N	\N	\N	\N	\N	\N	f	
73	08310658-51eb-3801-80de-5a0739207115	France	France	1	0	2013-05-27 14:50:32.702645+02	\N	\N	\N	\N	\N	\N	f	
202	23d10872-f5ae-3f0c-bf55-332788a16ecb	Sweden	Sweden	1	0	2013-05-27 15:49:03.298388+02	\N	\N	\N	\N	\N	\N	f	
15449	2913ad77-cec8-4d2f-98d3-d4aa46ab73bc	Greccio	Greccio	4	0	2013-07-22 00:47:57.660809+02	\N	\N	\N	\N	\N	\N	f	
736	512af9f2-8e77-4308-809e-5031be567cf0	Kecskemét	Kecskemét	3	0	2013-05-24 00:27:49.478123+02	\N	\N	\N	\N	\N	\N	f	
38	71bbafaa-e825-3e15-8ca9-017dcad1748b	Canada	Canada	1	0	2013-05-27 15:15:52.179105+02	\N	\N	\N	\N	\N	\N	f	
1969	d62f1770-b24f-41e1-b598-1a45f042b759	Dravograd	Dravograd	2	0	2013-05-20 17:32:00.647473+02	\N	\N	\N	\N	\N	\N	f	
43	82d5f4d6-aed4-3ff5-81d1-5363ac6e97a7	Chile	Chile	1	0	2013-05-27 14:52:17.320228+02	\N	\N	\N	\N	\N	\N	f	
44	7c81bb69-a99b-3487-b6d4-0f76d7a29ca0	China	China	1	0	2013-05-27 14:23:26.224204+02	\N	\N	\N	\N	\N	\N	f	
36	ee26e886-87f5-33a2-8e8e-f9591490426d	Cambodia	Cambodia	1	0	2013-05-27 14:26:51.100269+02	\N	\N	\N	\N	\N	\N	f	
78	d14441fe-3bce-34b5-aed5-dfbe987329c9	Gabon	Gabon	1	0	2013-05-27 14:30:24.039854+02	\N	\N	\N	\N	\N	\N	f	
71	031eba2b-79b5-3314-a14b-288407ad42ab	Fiji	Fiji	1	0	2013-05-27 14:32:56.369062+02	\N	\N	\N	\N	\N	\N	f	
70	9ed3be5f-d54c-3add-a6a6-76c0cca54fd8	Faroe Islands	Faroe Islands	1	0	2013-05-27 14:25:34.703672+02	\N	\N	\N	\N	\N	\N	f	
63	8e0551f2-95c2-3cc0-a0a9-f2d344f10667	Egypt	Egypt	1	0	2013-05-27 14:37:11.328117+02	\N	\N	\N	\N	\N	\N	f	
42	6ce82d72-8123-3365-ab34-7b20581a34cf	Chad	Chad	1	0	2013-05-27 14:37:42.960389+02	\N	\N	\N	\N	\N	\N	f	
18	20395c3e-610c-34fd-9995-6b6f299121f2	Bangladesh	Bangladesh	1	0	2013-05-27 14:42:54.092754+02	\N	\N	\N	\N	\N	\N	f	
34	5f886d01-5c12-3abb-b8be-d758b282ab05	Burkina Faso	Burkina Faso	1	0	2013-05-27 14:40:52.503929+02	\N	\N	\N	\N	\N	\N	f	
8	aca6cbc7-4f3b-3020-8de3-c21718fe24f1	Antarctica	Antarctica	1	0	2013-05-27 14:41:08.497395+02	\N	\N	\N	\N	\N	\N	f	
17	65f4f7a6-d3c1-3a6b-a726-85e147d555b7	Bahrain	Bahrain	1	0	2013-05-27 14:45:33.869648+02	\N	\N	\N	\N	\N	\N	f	
72	6a264f94-6ff1-30b1-9a81-41f7bfabd616	Finland	Finland	1	0	2013-05-27 14:46:50.235044+02	\N	\N	\N	\N	\N	\N	f	
67	e1c1215f-dcc0-35b4-b840-d2ca2151593b	Estonia	Estonia	1	0	2013-05-27 14:48:27.302754+02	\N	\N	\N	\N	\N	\N	f	
19	e5d8d205-81d3-3cd3-8956-d5aaa0c0173f	Barbados	Barbados	1	0	2013-05-27 14:48:52.741133+02	\N	\N	\N	\N	\N	\N	f	
76	8b681e01-6c95-3b24-ae60-5cdbcb1d7dce	French Polynesia	French Polynesia	1	0	2013-05-27 14:51:51.903973+02	\N	\N	\N	\N	\N	\N	f	
47	02b60d8d-7164-339d-868d-22d147d9f74a	Colombia	Colombia	1	0	2013-05-27 14:52:43.714099+02	\N	\N	\N	\N	\N	\N	f	
66	2005d841-29df-3445-8b5c-c981de756bd3	Eritrea	Eritrea	1	0	2013-05-27 14:54:03.331484+02	\N	\N	\N	\N	\N	\N	f	
39	41d328a3-01da-35c2-b26e-69c56d7121d1	Cape Verde	Cape Verde	1	0	2013-05-27 14:54:54.258415+02	\N	\N	\N	\N	\N	\N	f	
51	ba544658-8266-36cb-ac0e-3bdfbf52cb00	Costa Rica	Costa Rica	1	0	2013-05-27 14:55:48.611609+02	\N	\N	\N	\N	\N	\N	f	
25	2cbd5484-647d-3752-8acd-933ced4f9a24	Bhutan	Bhutan	1	0	2013-05-27 14:56:15.332282+02	\N	\N	\N	\N	\N	\N	f	
1949	aea4ef78-bbd1-4b0a-9cf4-c97020e22887	Borovnica	Borovnica	2	0	2013-06-05 08:46:34.631128+02	\N	\N	\N	\N	\N	\N	f	
54	b06c4e86-97f7-3419-84a9-a23c60ea0b22	Cuba	Cuba	1	0	2013-05-27 14:57:44.334595+02	\N	\N	\N	\N	\N	\N	f	
37	bf132644-e3ee-3bfc-9323-7f82824e4945	Cameroon	Cameroon	1	0	2013-05-27 14:58:14.054761+02	\N	\N	\N	\N	\N	\N	f	
58	aa560de1-9e56-38ab-8d20-6133be7f3f2a	Djibouti	Djibouti	1	0	2013-05-27 15:02:27.765878+02	\N	\N	\N	\N	\N	\N	f	
22	6bf45af6-f1bf-357c-91b5-9593a9c32cb0	Belize	Belize	1	0	2013-05-27 14:58:53.039723+02	\N	\N	\N	\N	\N	\N	f	
28	e5e11b08-d26d-341c-af28-69d3c26607f7	Botswana	Botswana	1	0	2013-05-27 15:04:10.715563+02	\N	\N	\N	\N	\N	\N	f	
79	52641fae-20e3-3698-9fa9-1849f2c79ab8	Gambia	Gambia	1	0	2013-05-27 15:05:29.567379+02	\N	\N	\N	\N	\N	\N	f	
60	696cb3e0-5084-30ab-9916-65ece70adbf6	Dominican Republic	Dominican Republic	1	0	2013-05-27 15:07:37.926264+02	\N	\N	\N	\N	\N	\N	f	
75	bc6f4b9a-3b76-33ca-bde3-2ae452afe66a	French Guiana	French Guiana	1	0	2013-05-27 15:09:20.207295+02	\N	\N	\N	\N	\N	\N	f	
50	ef1ab25c-717b-30a8-8943-f9937aad8d1f	Cook Islands	Cook Islands	1	0	2013-05-27 15:16:20.690009+02	\N	\N	\N	\N	\N	\N	f	
21	5b8a5ee5-0bb3-34cf-9a75-c27c44e341fc	Belgium	Belgium	1	0	2013-05-27 15:19:23.122899+02	\N	\N	\N	\N	\N	\N	f	
3	28242750-534a-326b-8ed6-1b03dfb88cd0	Algeria	Algeria	1	0	2013-05-27 15:19:53.861523+02	\N	\N	\N	\N	\N	\N	f	
24	df3bbd94-6a4c-3fc3-bb6e-cd701623db8a	Bermuda	Bermuda	1	0	2013-05-27 15:21:13.13578+02	\N	\N	\N	\N	\N	\N	f	
23	1f72ee74-2d3f-3a40-846b-e3d780b73dd2	Benin	Benin	1	0	2013-05-27 15:21:48.147731+02	\N	\N	\N	\N	\N	\N	f	
5	e01da61e-99a8-3c76-a27d-774c3f4982f0	Andorra	Andorra	1	0	2013-05-27 15:24:52.16131+02	\N	\N	\N	\N	\N	\N	f	
4558	59d1b4b5-190d-4025-afae-7198732723ea	Banten	Banten	2	0	2013-06-05 08:29:09.63922+02	\N	\N	\N	\N	\N	\N	f	
55	a75b525f-8c01-31f6-975e-4a32a2b001d5	Cyprus	Cyprus	1	0	2013-05-27 15:27:25.827473+02	\N	\N	\N	\N	\N	\N	f	
20	660e3c48-b301-3c8c-9708-0f71d5d094d6	Belarus	Belarus	1	0	2013-05-27 15:28:17.680898+02	\N	\N	\N	\N	\N	\N	f	
57	4757b525-2a60-324a-b060-578765d2c993	Denmark	Denmark	1	0	2013-05-27 15:28:43.191347+02	\N	\N	\N	\N	\N	\N	f	
9	2a8cc14f-8d47-389b-b54d-e94312b23d27	Antigua and Barbuda	Antigua and Barbuda	1	0	2013-05-27 15:33:01.557289+02	\N	\N	\N	\N	\N	\N	f	
49	185bc3c4-4c5a-3f69-9384-7c280dfdf072	Congo	Congo	1	0	2013-05-27 15:33:26.945494+02	\N	\N	\N	\N	\N	\N	f	
35	bd96f09c-c2a8-3996-b52f-291521b688c0	Burundi	Burundi	1	0	2013-05-27 15:37:01.521955+02	\N	\N	\N	\N	\N	\N	f	
30	f45b47f8-5796-386e-b172-6c31b009a5d8	Brazil	Brazil	1	0	2013-05-27 15:41:42.305399+02	\N	\N	\N	\N	\N	\N	f	
1	aa95182f-df0a-3ad6-8bfb-4b63482cd276	Afghanistan	Afghanistan	1	0	2013-05-27 15:39:07.101747+02	\N	\N	\N	\N	\N	\N	f	
64	f2fa4bfb-97aa-3db4-8d49-cc64969ce1a7	El Salvador	El Salvador	1	0	2013-05-27 15:45:13.036353+02	\N	\N	\N	\N	\N	\N	f	
7	eed9e8bb-b48f-30af-95f5-f178762ee515	Anguilla	Anguilla	1	0	2013-05-27 15:43:29.596932+02	\N	\N	\N	\N	\N	\N	f	
45	5bc803ff-c3f9-3c36-a7d6-80bc1ab4a34e	Christmas Island	Christmas Island	1	0	2013-05-27 15:44:20.053903+02	\N	\N	\N	\N	\N	\N	f	
40	5dd25184-711c-3e6a-b089-572cd095f287	Cayman Islands	Cayman Islands	1	0	2013-05-27 15:46:29.19575+02	\N	\N	\N	\N	\N	\N	f	
6	2afd5d6a-5fee-3836-8783-44d0ec9ac115	Angola	Angola	1	0	2013-05-27 15:47:19.728195+02	\N	\N	\N	\N	\N	\N	f	
11	6474fa20-e0d6-3ef2-95ce-a6f73408cd5e	Armenia	Armenia	1	0	2013-05-27 15:48:36.887064+02	\N	\N	\N	\N	\N	\N	f	
46	3df32a28-e4b2-3c27-a85e-328e3f978bc5	Cocos (Keeling) Islands	Cocos (Keeling) Islands	1	0	2013-05-27 15:52:03.585119+02	\N	\N	\N	\N	\N	\N	f	
48	f8002d93-3b43-3bb7-84dd-4766ff7e5b3b	Comoros	Comoros	1	0	2013-05-27 16:00:52.320006+02	\N	\N	\N	\N	\N	\N	f	
68	96699ab4-4bbf-332e-b037-b0119821f792	Ethiopia	Ethiopia	1	0	2013-05-27 16:01:27.105081+02	\N	\N	\N	\N	\N	\N	f	
53	7d30afff-e425-356a-873e-17ae9745b31d	Croatia	Croatia	1	0	2013-05-27 16:01:56.368039+02	\N	\N	\N	\N	\N	\N	f	
59	9898ec17-2174-3a61-9e3b-3f51b3ee4de1	Dominica	Dominica	1	0	2013-05-27 16:04:29.908581+02	\N	\N	\N	\N	\N	\N	f	
10	0df04709-c7d8-3b55-a6ea-f3e5069a947b	Argentina	Argentina	1	0	2013-05-27 16:05:48.558955+02	\N	\N	\N	\N	\N	\N	f	
62	967abc0e-f680-3cde-95d0-0b79b977d410	Ecuador	Ecuador	1	0	2013-05-27 15:54:42.343004+02	\N	\N	\N	\N	\N	\N	f	
80	7e081aa0-817b-3ae0-9fe2-4bb4e3b3cc95	Georgia	Georgia	1	0	2013-05-27 16:06:39.501383+02	\N	\N	\N	\N	\N	\N	f	
7571	fabee7b7-9123-4f22-86fc-33d1a01478f5	Braunfels	Braunfels	3	0	2013-05-29 00:48:41.351021+02	\N	\N	\N	\N	\N	\N	f	
230	8562c2e5-eabb-3fad-96f2-f536a93a2957	British Virgin Islands	Virgin Islands, British	1	0	2013-05-29 02:26:40.698634+02	\N	\N	\N	\N	\N	\N	f	
69	baa270d6-bb10-38d1-87bd-42a82b4efa9c	Falkland Islands	Falkland Islands	1	0	2013-05-29 11:01:28.335799+02	\N	\N	\N	\N	\N	\N	f	
8060	bf4ebf62-f9b3-4376-8a07-92ffb499cddf	Maldon	Maldon	3	0	2013-05-30 18:37:12.272511+02	\N	\N	\N	\N	\N	\N	f	
8187	f71eb55a-7ac2-431c-bfa8-1779de8b26bb	Serik	Serik	3	0	2013-05-30 21:13:09.740436+02	\N	\N	\N	\N	\N	\N	f	
8195	9c983568-4241-403a-ba2d-d3e52f38c8df	Milford	Milford	3	0	2013-05-30 21:14:40.838183+02	\N	\N	\N	\N	\N	\N	f	
8375	95ac13f9-b5a6-47c8-b354-5817465fefb8	Dobříš	Dobříš	3	0	2013-05-30 21:57:03.470447+02	\N	\N	\N	\N	\N	\N	f	
8558	c0e35db4-0214-4bc7-ac3a-57e59aefe216	Hill	Hill	3	0	2013-06-01 17:40:37.320861+02	\N	\N	\N	\N	\N	\N	f	
41	863f49fc-16d0-3fa8-beae-242fc8ab114b	Central African Republic	Central African Republic	1	0	2013-06-05 07:06:53.479845+02	\N	\N	\N	\N	\N	\N	f	
13703	5b7d6fe3-9f1d-4436-ae4d-7be08084fdd6	Montecatini Val di Cecina	Montecatini Val di Cecina	4	0	2013-07-21 18:53:54.496144+02	\N	\N	\N	\N	\N	\N	f	
14309	809096dd-8f87-48a9-a35b-97bfcfb2eda9	Casale Monferrato	Casale Monferrato	4	0	2013-07-21 21:09:26.057882+02	\N	\N	\N	\N	\N	\N	f	
14324	df4c4543-2c9e-423a-9b7e-3aeffe7c0d49	Palazzo Pignano	Palazzo Pignano	4	0	2013-07-21 21:12:42.690894+02	\N	\N	\N	\N	\N	\N	f	
14332	e0daf36c-19cb-452a-aa5b-6d1e1aefd1ac	Maccastorna	Maccastorna	4	0	2013-07-21 21:14:24.568367+02	\N	\N	\N	\N	\N	\N	f	
14883	1a987c3e-a8e2-4064-832e-56f8f06c531a	Cerretto Langhe	Cerretto Langhe	4	0	2013-07-21 23:19:10.040041+02	\N	\N	\N	\N	\N	\N	f	
19646	d82eb16e-eeae-4a71-84ac-5f27c2cd1eb9	Troia, Apulia	Troia, Apulia	4	0	2013-07-22 11:11:09.791246+02	\N	\N	\N	\N	\N	\N	f	
15450	4f5a694b-413f-43ff-bdeb-9450f60a1e50	Configni	Configni	4	0	2013-07-22 00:48:09.368711+02	\N	\N	\N	\N	\N	\N	f	
99	d31a9a15-537f-3669-ad53-25753ddd2772	India	India	1	0	2013-05-27 15:20:45.066389+02	\N	\N	\N	\N	\N	\N	f	
129	305d19c7-c040-349c-8d5f-6ac75d2d2a09	Malaysia	Malaysia	1	0	2013-05-27 15:27:00.060491+02	\N	\N	\N	\N	\N	\N	f	
100	d3a68bd0-7419-3f99-a5bd-204d6e057089	Indonesia	Indonesia	1	0	2013-05-27 15:29:59.731299+02	\N	\N	\N	\N	\N	\N	f	
90	a58af0f8-b238-3da2-a57b-4aa0ff4ab574	Guinea	Guinea	1	0	2013-05-27 14:38:11.409894+02	\N	\N	\N	\N	\N	\N	f	
128	b4d3ff41-ead2-300f-9c11-f73f8ad39678	Malawi	Malawi	1	0	2013-05-27 15:12:22.373828+02	\N	\N	\N	\N	\N	\N	f	
132	050c94f7-1413-3a34-bb90-4a94f3bb2084	Malta	Malta	1	0	2013-05-27 16:04:55.298367+02	\N	\N	\N	\N	\N	\N	f	
109	92d52542-3363-351c-a8b6-d991e0bccb8f	Kazakhstan	Kazakhstan	1	0	2013-05-27 14:59:53.107482+02	\N	\N	\N	\N	\N	\N	f	
87	338346f8-4dc2-38e8-a009-5a3e1585348f	Guadeloupe	Guadeloupe	1	0	2013-05-27 15:17:42.705713+02	\N	\N	\N	\N	\N	\N	f	
155	f27e792b-ddd2-3a70-bdd4-41fb11534b57	Niger	Niger	1	0	2013-05-27 14:29:03.299786+02	\N	\N	\N	\N	\N	\N	f	
93	cf25d306-7da5-3878-a2b1-a0370f847308	Haiti	Haiti	1	0	2013-05-27 14:22:09.525494+02	\N	\N	\N	\N	\N	\N	f	
161	7ccdff29-2e00-3e50-9520-b9ea1e918bc2	Oman	Oman	1	0	2013-05-27 14:22:34.648577+02	\N	\N	\N	\N	\N	\N	f	
164	6f85633b-dff4-3fb4-babd-fb89b3628041	Panama	Panama	1	0	2013-05-27 14:24:42.68799+02	\N	\N	\N	\N	\N	\N	f	
145	325ce9a0-d58f-3564-b24e-647b33098767	Mozambique	Mozambique	1	0	2013-05-27 14:25:09.054679+02	\N	\N	\N	\N	\N	\N	f	
143	290ea438-1cb6-35e1-9755-6ab123214293	Montserrat	Montserrat	1	0	2013-05-27 14:26:25.710281+02	\N	\N	\N	\N	\N	\N	f	
149	8815c87e-cf3f-362c-a5c6-05ce853a4c79	Nepal	Nepal	1	0	2013-05-27 14:27:43.489838+02	\N	\N	\N	\N	\N	\N	f	
88	43dd540a-78cd-319f-bab9-214b5430f3f2	Guam	Guam	1	0	2013-05-27 14:28:09.532234+02	\N	\N	\N	\N	\N	\N	f	
163	9d800529-1ef8-39bb-9e42-1fa74f2eac97	Palau	Palau	1	0	2013-05-27 14:29:28.716821+02	\N	\N	\N	\N	\N	\N	f	
136	bb019165-42ef-3470-bcb8-36d1b45e4bc1	Mauritius	Mauritius	1	0	2013-05-27 14:30:49.355737+02	\N	\N	\N	\N	\N	\N	f	
118	8138206e-5786-3f86-a53b-19a7303e7419	Lebanon	Lebanon	1	0	2013-05-27 14:32:05.15589+02	\N	\N	\N	\N	\N	\N	f	
134	b939dcaa-4729-34e0-a398-d22fba4407cd	Martinique	Martinique	1	0	2013-05-27 14:34:18.8083+02	\N	\N	\N	\N	\N	\N	f	
83	dd59627f-9549-3408-9a4a-65f7ba546290	Gibraltar	Gibraltar	1	0	2013-05-27 14:43:19.860793+02	\N	\N	\N	\N	\N	\N	f	
91	4f01a1af-02ca-3b28-a64f-f38c36c08879	Guinea-Bissau	Guinea-Bissau	1	0	2013-05-27 14:45:59.227073+02	\N	\N	\N	\N	\N	\N	f	
85	e9bf9b1c-5cb4-3487-88e1-19da70caa9c9	Greenland	Greenland	1	0	2013-05-27 14:45:08.080296+02	\N	\N	\N	\N	\N	\N	f	
123	0785dc14-96af-3dc4-bde4-dcdfc2e2d0d6	Lithuania	Lithuania	1	0	2013-05-27 14:46:24.683657+02	\N	\N	\N	\N	\N	\N	f	
135	657e69c5-cda0-3592-9d39-85b55610bc40	Mauritania	Mauritania	1	0	2013-05-27 14:47:36.013557+02	\N	\N	\N	\N	\N	\N	f	
148	7784f515-5886-3831-9b33-a7f665795d7f	Nauru	Nauru	1	0	2013-05-27 14:49:41.767975+02	\N	\N	\N	\N	\N	\N	f	
120	d66e68e6-6410-3d34-a8aa-9242045ed593	Liberia	Liberia	1	0	2013-05-27 14:51:23.426572+02	\N	\N	\N	\N	\N	\N	f	
154	d2b87acd-06ce-3c71-b3ff-a35d914bbabe	Nicaragua	Nicaragua	1	0	2013-05-27 14:53:34.591631+02	\N	\N	\N	\N	\N	\N	f	
232	d5970cc5-1a1f-3a47-83c5-8890f5a61ec3	Wallis and Futuna	Wallis and Futuna	1	0	2013-05-27 14:57:15.7479+02	\N	\N	\N	\N	\N	\N	f	
2205	b4b06323-19a2-412d-8d36-b0a01ed69b17	Agio Oros	Agio Oros	2	0	2013-06-05 09:56:28.856307+02	\N	\N	\N	\N	\N	\N	f	
82	cf48f4b4-28f0-39ab-9104-650324a1d1c8	Ghana	Ghana	1	0	2013-05-27 15:03:18.933378+02	\N	\N	\N	\N	\N	\N	f	
160	6743d351-6f37-3049-9724-5041161fff4d	Norway	Norway	1	0	2013-05-27 15:04:37.003243+02	\N	\N	\N	\N	\N	\N	f	
147	cd4fadac-d701-3401-8516-420de2cb4e5c	Namibia	Namibia	1	0	2013-05-27 15:05:02.773324+02	\N	\N	\N	\N	\N	\N	f	
127	f3a30678-3d23-3f42-8056-d32ebe58c66d	Madagascar	Madagascar	1	0	2013-05-27 15:05:55.369965+02	\N	\N	\N	\N	\N	\N	f	
130	a195ee41-7f39-3a60-83ca-4a6f91cd4d2e	Maldives	Maldives	1	0	2013-05-27 15:06:21.067202+02	\N	\N	\N	\N	\N	\N	f	
150	ef1b7cc0-cd26-36f4-8ea0-04d9623786c7	Netherlands	Netherlands	1	0	2013-05-27 15:06:47.020436+02	\N	\N	\N	\N	\N	\N	f	
152	404fc992-ba17-39ac-a283-20f0b7cbbb60	New Caledonia	New Caledonia	1	0	2013-05-27 15:11:02.605001+02	\N	\N	\N	\N	\N	\N	f	
84	803db0ca-b6ed-3bbc-aeb8-f89efd0a2168	Greece	Greece	1	0	2013-05-27 15:12:47.859578+02	\N	\N	\N	\N	\N	\N	f	
146	fb1fb575-39ee-34d8-a744-6a880700fd73	Myanmar	Myanmar	1	0	2013-05-27 15:13:38.707914+02	\N	\N	\N	\N	\N	\N	f	
97	312bc5bb-7e43-3e63-81c6-b4d712b37b2c	Hungary	Hungary	1	0	2013-05-27 15:14:04.583281+02	\N	\N	\N	\N	\N	\N	f	
95	0c3ea915-4e49-34fc-b702-debb216fd7fa	Honduras	Honduras	1	0	2013-05-27 15:14:30.431083+02	\N	\N	\N	\N	\N	\N	f	
137	00ff2645-3ec9-36d6-9ea9-757363641c83	Mayotte	Mayotte	1	0	2013-05-27 15:16:48.378253+02	\N	\N	\N	\N	\N	\N	f	
158	a2b3b8cb-79e8-3c26-8a2a-3ccc7dd80cda	Norfolk Island	Norfolk Island	1	0	2013-05-27 15:18:12.416989+02	\N	\N	\N	\N	\N	\N	f	
162	7c87112d-504d-31f1-8147-11ff45fc3bfd	Pakistan	Pakistan	1	0	2013-05-27 15:23:07.519439+02	\N	\N	\N	\N	\N	\N	f	
104	03691455-bb46-37e3-91d2-cb064a35ffcc	Israel	Israel	1	0	2013-05-27 15:24:01.21281+02	\N	\N	\N	\N	\N	\N	f	
159	9a84fea2-1c1f-3908-a44a-6fa2b6fa7b26	Northern Mariana Islands	Northern Mariana Islands	1	0	2013-05-27 15:25:17.62556+02	\N	\N	\N	\N	\N	\N	f	
144	b84d8617-249a-3a06-849d-fc5c25e2249b	Morocco	Morocco	1	0	2013-05-27 15:30:24.927017+02	\N	\N	\N	\N	\N	\N	f	
138	3e08b2cd-69f3-317c-b1e4-e71be581839e	Mexico	Mexico	1	0	2013-05-27 15:41:13.615269+02	\N	\N	\N	\N	\N	\N	f	
86	217e2eb3-0a3a-3b59-9eaa-a7465c1417ff	Grenada	Grenada	1	0	2013-05-27 15:29:08.488077+02	\N	\N	\N	\N	\N	\N	f	
92	c4a33ce9-580e-3d57-9c32-f75daf2f75ef	Guyana	Guyana	1	0	2013-05-27 15:42:07.61653+02	\N	\N	\N	\N	\N	\N	f	
141	6f26d528-4467-3ecb-b105-10daf3466b40	Monaco	Monaco	1	0	2013-05-27 15:43:54.837325+02	\N	\N	\N	\N	\N	\N	f	
89	01448ddc-6ee3-3fa4-b136-507d984e31ee	Guatemala	Guatemala	1	0	2013-05-27 15:45:38.502224+02	\N	\N	\N	\N	\N	\N	f	
110	023da4a0-acee-3fb1-b91e-5de74ccf787b	Kenya	Kenya	1	0	2013-05-27 15:46:03.489236+02	\N	\N	\N	\N	\N	\N	f	
102	b0525ccb-15e9-3c56-81fa-471db3b31cfa	Iraq	Iraq	1	0	2013-05-27 15:49:54.19714+02	\N	\N	\N	\N	\N	\N	f	
119	c5011696-e744-3946-a2c1-e3fe7e6dde37	Lesotho	Lesotho	1	0	2013-05-27 15:50:46.723986+02	\N	\N	\N	\N	\N	\N	f	
139	aabae773-4997-37ba-950a-394c06847631	Micronesia, Federated States of	Micronesia, Federated States of	1	0	2013-05-27 15:50:19.929426+02	\N	\N	\N	\N	\N	\N	f	
124	563d21b7-4a8e-35e2-83a7-7804baefbfa7	Luxembourg	Luxembourg	1	0	2013-05-27 15:51:12.674706+02	\N	\N	\N	\N	\N	\N	f	
111	2b425457-0a4f-3282-9d2f-0a0e0f7db2e5	Kiribati	Kiribati	1	0	2013-05-27 15:53:51.567298+02	\N	\N	\N	\N	\N	\N	f	
117	66eb3e73-d69e-3581-9a23-a73b4c64c8dd	Latvia	Latvia	1	0	2013-05-27 15:55:08.684304+02	\N	\N	\N	\N	\N	\N	f	
165	2366f623-b236-3073-bbfe-c26d6d6f195f	Papua New Guinea	Papua New Guinea	1	0	2013-05-27 15:56:53.512096+02	\N	\N	\N	\N	\N	\N	f	
115	188b4a6b-a4d8-3864-ba46-8446c7b658b4	Kyrgyzstan	Kyrgyzstan	1	0	2013-05-27 15:59:20.402092+02	\N	\N	\N	\N	\N	\N	f	
142	84360c54-1763-3146-ae38-a439c72fd4ea	Mongolia	Mongolia	1	0	2013-06-05 07:02:41.088234+02	\N	\N	\N	\N	\N	\N	f	
231	f33958ac-4198-3ce8-a751-1c44d9b4063a	U.S. Virgin Islands	Virgin Islands, U.S.	1	0	2013-05-29 02:26:45.04415+02	\N	\N	\N	\N	\N	\N	f	
131	c35e6d5e-9011-32e5-a23f-9e7639b7350c	Mali	Mali	1	0	2013-06-05 07:02:52.573905+02	\N	\N	\N	\N	\N	\N	f	
13704	b67ab820-a437-455e-8142-b4157da00369	Palaia	Palaia	4	0	2013-07-21 18:54:06.753211+02	\N	\N	\N	\N	\N	\N	f	
14310	1448b4b2-e8b5-4803-bedd-df23b61da00f	Graffignano	Graffignano	4	0	2013-07-21 21:09:37.673902+02	\N	\N	\N	\N	\N	\N	f	
14315	1209b67b-3695-4507-a161-42180cbdd37f	Celleno	Celleno	4	0	2013-07-21 21:10:41.154562+02	\N	\N	\N	\N	\N	\N	f	
1990	f6e9cc41-8291-4f0d-801e-f50ddc9a5852	Kobarid	Kobarid	2	0	2013-05-20 17:36:21.995024+02	\N	\N	\N	\N	\N	\N	f	
14884	a9d3aced-64d6-4ec0-9cf2-46fada2141f0	Cervere	Cervere	4	0	2013-07-21 23:19:25.434103+02	\N	\N	\N	\N	\N	\N	f	
15451	ef933e59-92dd-479d-8c66-1ded7a931597	Fara in Sabina	Fara in Sabina	4	0	2013-07-22 00:48:20.986403+02	\N	\N	\N	\N	\N	\N	f	
178	b1439904-121a-38fb-8708-0573cb42e2ef	Saint Kitts and Nevis	Saint Kitts and Nevis	1	0	2013-05-27 15:27:51.708819+02	\N	\N	\N	\N	\N	\N	f	
182	d4dd44b6-fa46-30f5-b331-ce9e88d06242	San Marino	San Marino	1	0	2013-05-27 15:56:00.446251+02	\N	\N	\N	\N	\N	\N	f	
4559	e966adee-5492-47cd-9241-217b15bd7587	Gorontalo	Gorontalo	2	0	2013-05-22 14:07:52.727527+02	\N	\N	\N	\N	\N	\N	f	
229	0158e991-c3c6-374a-9b9d-024bbaff6980	Vietnam	Vietnam	1	0	2013-05-16 11:18:57.637316+02	\N	\N	\N	\N	\N	\N	f	
2001	e8b55bde-04ce-4243-b558-8174e444c62c	Laško	Laško	2	0	2013-05-20 17:38:24.570998+02	\N	\N	\N	\N	\N	\N	f	
113	b9f7d640-46e8-313e-b158-ded6d18593b3	South Korea	South Korea	1	0	2013-05-15 20:16:49.806534+02	\N	\N	\N	\N	\N	\N	f	
2004	50349007-721d-4186-b56c-fa83fe531ba8	Litija	Litija	2	0	2013-05-20 17:38:57.807032+02	\N	\N	\N	\N	\N	\N	f	
207	c2676abd-2ac7-351a-94a9-a802b3434737	Tanzania	Tanzania	1	0	2013-05-15 20:20:23.264867+02	\N	\N	\N	\N	\N	\N	f	
2038	c20da272-abe0-45d4-b78b-83ddce54cf82	Postojna	Postojna	2	0	2013-05-20 17:46:46.829496+02	\N	\N	\N	\N	\N	\N	f	
2553	97a7a4f6-1f3b-4aea-ae1d-2219a30a2aa0	Kangwŏn-do	Kangwŏn-do	2	0	2013-05-20 21:17:58.880938+02	\N	\N	\N	\N	\N	\N	f	
2074	ef1a64dc-0ac9-4e97-8d5d-35d97c2633ce	Trebnje	Trebnje	2	0	2013-05-20 17:53:49.502249+02	\N	\N	\N	\N	\N	\N	f	
4695	184969d8-461e-43be-8728-288358ebe487	Roma	Roma	2	0	2013-05-22 14:47:02.870266+02	\N	\N	\N	\N	\N	\N	f	
741	3ff94ab1-b838-4364-9941-8d2c128bbdf8	Nyíregyháza	Nyíregyháza	3	0	2013-05-24 00:27:51.291911+02	\N	\N	\N	\N	\N	\N	f	
16174	3390914e-4692-432d-9e0b-0edf7edcb20a	Andora	Andora	4	0	2013-07-22 03:01:46.623609+02	\N	\N	\N	\N	\N	\N	f	
185	122bb81f-191e-3798-8be2-4b54ffd7ffa4	Senegal	Senegal	1	0	2013-05-27 14:24:17.320966+02	\N	\N	\N	\N	\N	\N	f	
186	be43ea01-053a-3b23-b03d-2df8317a57ff	Seychelles	Seychelles	1	0	2013-05-27 14:21:44.389202+02	\N	\N	\N	\N	\N	\N	f	
215	98e38a45-b90e-3575-943e-23e26ce3a69f	Turkmenistan	Turkmenistan	1	0	2013-05-27 14:23:00.068317+02	\N	\N	\N	\N	\N	\N	f	
205	41637cec-9a4f-389c-86d2-fc6abf3357b5	Taiwan	Taiwan	1	0	2013-05-27 14:23:51.700663+02	\N	\N	\N	\N	\N	\N	f	
220	fe40c648-ba74-3e17-b768-58181d5ee563	United Arab Emirates	United Arab Emirates	1	0	2013-05-27 14:27:16.783324+02	\N	\N	\N	\N	\N	\N	f	
187	2b547f54-a97c-3481-9625-7ad9a670b1e6	Sierra Leone	Sierra Leone	1	0	2013-05-27 14:28:34.8465+02	\N	\N	\N	\N	\N	\N	f	
177	5921efcf-344c-3e55-829d-34fca714fcde	Rwanda	Rwanda	1	0	2013-05-27 14:31:39.882366+02	\N	\N	\N	\N	\N	\N	f	
224	ea88d395-87c9-3c47-b49a-114cad41fd39	Uruguay	Uruguay	1	0	2013-05-27 14:33:53.479051+02	\N	\N	\N	\N	\N	\N	f	
191	7fe4001e-eda5-3b5b-bbd8-0f773e76d09c	Solomon Islands	Solomon Islands	1	0	2013-05-27 14:34:48.15526+02	\N	\N	\N	\N	\N	\N	f	
175	61ed84b8-5a10-30a7-8376-ccd51801d6d1	Romania	Romania	1	0	2013-05-27 14:39:53.318439+02	\N	\N	\N	\N	\N	\N	f	
193	50cc7852-862e-30ae-aa82-385fe7135b7f	South Africa	South Africa	1	0	2013-05-27 14:42:00.303087+02	\N	\N	\N	\N	\N	\N	f	
206	8259e91f-10fa-3c38-92fb-8e6822c279d5	Tajikistan	Tajikistan	1	0	2013-05-27 14:44:11.669872+02	\N	\N	\N	\N	\N	\N	f	
168	786532a5-2e36-315a-bdf2-221dc1b64b72	Philippines	Philippines	1	0	2013-05-27 14:48:01.362554+02	\N	\N	\N	\N	\N	\N	f	
216	a2d01b31-5184-382e-aab5-63b5944195b7	Turks and Caicos Islands	Turks and Caicos Islands	1	0	2013-05-27 14:50:58.198887+02	\N	\N	\N	\N	\N	\N	f	
166	0a750c98-a7a5-3d55-bd52-f6e9011b1537	Paraguay	Paraguay	1	0	2013-05-27 14:55:19.991208+02	\N	\N	\N	\N	\N	\N	f	
211	a2b8e506-3570-3a56-826e-939049c59428	Tonga	Tonga	1	0	2013-05-27 14:59:22.034892+02	\N	\N	\N	\N	\N	\N	f	
210	756f26ff-2bc5-3d25-b429-6873ccbe160d	Tokelau	Tokelau	1	0	2013-05-27 15:01:36.569888+02	\N	\N	\N	\N	\N	\N	f	
1950	02e9dc88-aa3c-4cff-98e5-709a121a59fc	Bovec	Bovec	2	0	2013-06-05 09:40:21.798036+02	\N	\N	\N	\N	\N	\N	f	
190	5b0b6225-584c-3942-b69d-5efceb9989af	Slovenia	Slovenia	1	0	2013-05-27 15:07:12.511312+02	\N	\N	\N	\N	\N	\N	f	
238	691e8ad6-2cc8-3678-8495-1ac96bbede55	Zimbabwe	Zimbabwe	1	0	2013-05-27 15:08:03.266081+02	\N	\N	\N	\N	\N	\N	f	
27	f2b64f81-6d36-35b3-94b9-5ba53d693914	Bosnia and Herzegovina	Bosnia and Herzegovina	1	0	2013-05-27 15:08:28.971071+02	\N	\N	\N	\N	\N	\N	f	
194	471c46a7-afc5-31c4-923c-d0444f5053a4	Spain	Spain	1	0	2013-05-27 15:08:54.580681+02	\N	\N	\N	\N	\N	\N	f	
192	d58b9eb1-c88d-3529-bb4c-b66c96b18c45	Somalia	Somalia	1	0	2013-05-27 15:09:45.487834+02	\N	\N	\N	\N	\N	\N	f	
201	564741c6-943e-313b-86fa-9819d595281b	Swaziland	Swaziland	1	0	2013-05-27 15:10:37.210277+02	\N	\N	\N	\N	\N	\N	f	
217	529117db-25de-3d09-9722-b54937a17590	Tuvalu	Tuvalu	1	0	2013-05-27 15:11:27.847741+02	\N	\N	\N	\N	\N	\N	f	
208	ce209e56-cda5-358e-96db-830e3405b675	Thailand	Thailand	1	0	2013-05-27 15:11:54.736192+02	\N	\N	\N	\N	\N	\N	f	
195	6e2d562d-a754-3036-8484-7ac576606e27	Sri Lanka	Sri Lanka	1	0	2013-05-27 15:17:13.987147+02	\N	\N	\N	\N	\N	\N	f	
188	aa344640-fd57-3960-afb4-84d0d3b69d3d	Singapore	Singapore	1	0	2013-05-27 15:13:13.198529+02	\N	\N	\N	\N	\N	\N	f	
179	178709ab-9e22-39ae-a93c-55e66a8183c2	Saint Lucia	Saint Lucia	1	0	2013-05-27 15:18:45.59626+02	\N	\N	\N	\N	\N	\N	f	
218	1ac655f1-12d1-351a-a2b2-8404167e0e0b	Uganda	Uganda	1	0	2013-05-27 15:22:13.404852+02	\N	\N	\N	\N	\N	\N	f	
234	e8e9ecdc-19d3-360b-8f1a-9c80e6c12830	Yemen	Yemen	1	0	2013-05-27 15:23:35.749527+02	\N	\N	\N	\N	\N	\N	f	
171	781b0c54-3d54-362d-a941-8a617def4992	Portugal	Portugal	1	0	2013-05-27 15:31:16.609354+02	\N	\N	\N	\N	\N	\N	f	
170	dd7f80c8-f017-3d01-8608-2a8c9c32b954	Poland	Poland	1	0	2013-05-27 15:31:42.264869+02	\N	\N	\N	\N	\N	\N	f	
169	27b5df20-d817-3126-b3a0-1be6a75f7496	Pitcairn	Pitcairn	1	0	2013-05-27 15:32:35.751721+02	\N	\N	\N	\N	\N	\N	f	
226	c2021af8-7645-3f38-aa1b-ada0a13d4faf	Vanuatu	Vanuatu	1	0	2013-05-27 15:39:37.456206+02	\N	\N	\N	\N	\N	\N	f	
180	7f9f87ec-3c1e-300d-9bb8-fa93f0754e6b	Saint Vincent and The Grenadines	Saint Vincent and The Grenadines	1	0	2013-05-27 15:40:40.658359+02	\N	\N	\N	\N	\N	\N	f	
212	6c290168-f3b9-3adb-9889-b856feb2c26c	Trinidad and Tobago	Trinidad and Tobago	1	0	2013-05-27 15:44:47.610357+02	\N	\N	\N	\N	\N	\N	f	
209	9a4a20b1-eff0-364a-a157-dc709b07eadc	Togo	Togo	1	0	2013-05-27 15:38:33.931757+02	\N	\N	\N	\N	\N	\N	f	
183	dcb0e217-84cb-3772-b98f-a7a7a1dbe185	Sao Tome and Principe	Sao Tome and Principe	1	0	2013-05-27 15:48:11.47061+02	\N	\N	\N	\N	\N	\N	f	
237	d662dd74-1fc1-3e36-b427-bbbe29684618	Zambia	Zambia	1	0	2013-05-27 15:49:28.697537+02	\N	\N	\N	\N	\N	\N	f	
213	58955071-67c1-3491-8dec-48d28f824bda	Tunisia	Tunisia	1	0	2013-05-27 15:52:28.858245+02	\N	\N	\N	\N	\N	\N	f	
184	9705be0d-51fb-3990-8726-ec9f56c66ba0	Saudi Arabia	Saudi Arabia	1	0	2013-05-27 15:57:22.273519+02	\N	\N	\N	\N	\N	\N	f	
167	719f6082-95c7-3dd5-9503-e143010a6cc1	Peru	Peru	1	0	2013-05-27 15:52:55.915932+02	\N	\N	\N	\N	\N	\N	f	
214	d3be28b4-41f7-3752-8a05-ed45e1d1e492	Turkey	Turkey	1	0	2013-05-27 15:58:20.270764+02	\N	\N	\N	\N	\N	\N	f	
233	c14bc23d-d5fe-3146-9ddf-2cd78ec62d8f	Western Sahara	Western Sahara	1	0	2013-06-05 07:05:51.256901+02	\N	\N	\N	\N	\N	\N	f	
198	038ad5ba-df6d-35ad-ba12-efe6edd7d0a4	Sudan	Sudan	1	0	2013-05-27 16:02:32.624428+02	\N	\N	\N	\N	\N	\N	f	
219	904768d0-61ca-3c40-93ac-93adc36fef4b	Ukraine	Ukraine	1	0	2013-05-27 16:03:32.830885+02	\N	\N	\N	\N	\N	\N	f	
121	1509aaae-8271-30cb-89c1-d8660cf73975	Libya	Libya	1	0	2013-05-27 16:06:14.010203+02	\N	\N	\N	\N	\N	\N	f	
204	18086faa-7f75-3ca3-a5bb-a77a83d4b200	Syria	Syria	1	0	2013-05-29 02:26:49.685999+02	\N	\N	\N	\N	\N	\N	f	
241	89a675c2-3e37-3518-b83c-418bad59a85a	Europe	Europe	\N	0	2013-08-28 13:55:13.834089+02	\N	\N	\N	\N	\N	\N	f	
13705	b44db7e8-b081-4c8e-b9fd-59cd0dfdff18	Scalenghe	Scalenghe	4	0	2013-07-21 18:54:18.365076+02	\N	\N	\N	\N	\N	\N	f	
2153	a709cce1-57e1-465f-ada2-d80ce8c63716	Sveti Jurij v Slovenskih goricah	Sveti Jurij v Slovenskih goricah	2	0	2013-05-20 18:10:02.205279+02	\N	\N	\N	\N	\N	\N	f	
13811	7aa88837-c8db-43c9-b767-0f18e2b7fd4b	Castelcovati	Castelcovati	4	0	2013-07-21 19:17:38.935647+02	\N	\N	\N	\N	\N	\N	f	
256	cf9b9b79-1ebc-3b62-9e86-7cf03fb7d548	Saint Martin (French part)	Saint Martin (French part)	1	0	2013-05-27 15:56:25.863731+02	\N	\N	\N	\N	\N	\N	f	
1951	84ed722a-1318-4311-99fd-7e70a425ee68	Brda	Brda	2	0	2013-06-05 11:39:01.255469+02	\N	\N	\N	\N	\N	\N	f	
306	02e01cf9-b0ed-4286-ac6d-16989f92ced6	Virginia	Virginia	2	0	2013-05-17 22:29:07.421059+02	\N	\N	\N	\N	\N	\N	f	
249	7d24dd34-a00f-37a1-8307-f2ef1dd3dbcd	Palestine	Palestine	1	0	2013-05-18 17:38:49.41896+02	\N	\N	\N	\N	\N	\N	f	
254	424c1b50-57f8-34af-ab97-313e2ad40058	Serbia	Serbia	1	0	2013-05-27 15:47:45.271937+02	\N	\N	\N	\N	\N	\N	f	
228	2ac90d6b-04fa-3006-8a91-89da01032365	Venezuela	Venezuela	1	0	2013-05-15 20:17:07.043742+02	\N	\N	\N	\N	\N	\N	f	
13849	02f79eb9-0650-4e2b-9b6c-2e0928b7d681	Gianico	Gianico	4	0	2013-07-21 19:26:08.483364+02	\N	\N	\N	\N	\N	\N	f	
197	47e97aee-071c-397c-a5d4-323d2b643303	Saint Pierre and Miquelon	Saint Pierre and Miquelon	1	0	2013-05-27 16:03:02.757264+02	\N	\N	\N	\N	\N	\N	f	
261	1ed51cbe-4272-4df9-9b18-44b0d4714086	Maryland	Maryland	2	0	2013-05-17 22:05:30.115942+02	\N	\N	\N	\N	\N	\N	f	
2113	0fce5f55-0cd5-4121-92c9-38aed8580b42	Mirna Peč	Mirna Peč	2	0	2013-05-20 18:01:28.28385+02	\N	\N	\N	\N	\N	\N	f	
13927	5c9bbd00-eecc-49b3-a4df-1151fef87254	Montecchio Emilia	Montecchio Emilia	4	0	2013-07-21 19:44:30.174955+02	\N	\N	\N	\N	\N	\N	f	
112	445e806f-2e04-3f9a-89eb-ef5c4e97b365	North Korea	North Korea	1	0	2013-05-15 20:18:09.514758+02	\N	\N	\N	\N	\N	\N	f	
61	738aed7d-cc30-3a90-af20-21477ba1e8cc	Timor-Leste	Timor-Leste	1	0	2013-06-05 07:06:01.354394+02	\N	\N	\N	\N	\N	\N	f	
116	c81cb1f4-0858-3f28-9082-c06e2ce24bea	Laos	Laos	1	0	2013-05-15 20:35:07.608223+02	\N	\N	\N	\N	\N	\N	f	
243	32f90933-b4b4-3248-b98c-e573d5329f57	Soviet Union	Soviet Union	1	0	2013-07-17 21:01:07.295293+02	1922	\N	\N	1991	\N	\N	t	
242	5ebb5384-b92a-3ada-8c8a-363d5075fd44	Serbia and Montenegro	Serbia and Montenegro	1	0	2013-05-27 15:02:02.17191+02	2003	\N	\N	2006	\N	\N	t	
101	a63fbc7f-af00-33c7-8616-3e86df9fc16b	Iran	Iran	1	0	2013-05-15 20:15:28.320949+02	\N	\N	\N	\N	\N	\N	f	
268	88772016-5866-496a-8de7-4340e922d663	Connecticut	Connecticut	2	0	2013-06-05 08:40:31.622536+02	\N	\N	\N	\N	\N	\N	f	
26	a5aed4a3-8ce1-3ab3-bfee-b008cff6b857	Bolivia	Bolivia	1	0	2013-05-15 20:19:02.350037+02	\N	\N	\N	\N	\N	\N	f	
1974	90f71e2c-f784-44be-bfb8-ea96c338ee64	Gornji Grad	Gornji Grad	2	0	2013-05-20 17:32:57.489719+02	\N	\N	\N	\N	\N	\N	f	
265	bf9353d8-da52-4fd9-8645-52b2349b4914	Arizona	Arizona	2	0	2013-06-05 10:55:54.865773+02	\N	\N	\N	\N	\N	\N	f	
267	373183af-56db-44d7-b06a-5877c02c5f01	Colorado	Colorado	2	0	2013-06-05 11:35:40.029718+02	\N	\N	\N	\N	\N	\N	f	
140	560ddb6d-4304-3938-8407-c96605226fad	Moldova	Moldova	1	0	2013-05-15 20:21:33.132565+02	\N	\N	\N	\N	\N	\N	f	
257	d500d5dc-e4b0-30cb-92bc-1bc79ac2f5b4	South Sudan	South Sudan	1	0	2013-06-05 07:01:59.767416+02	\N	\N	\N	\N	\N	\N	f	
264	8788d6c2-c779-4be5-ad47-cf0a95e0f2a0	Arkansas	Arkansas	2	0	2013-06-05 09:25:09.657155+02	\N	\N	\N	\N	\N	\N	f	
235	885dce63-c211-3033-8cf7-46cb82d440c7	Yugoslavia	Yugoslavia	1	0	2013-05-18 17:49:50.247441+02	1918	\N	\N	2003	\N	\N	t	
126	fa75cdb9-cbc4-35de-8bf4-a21e7b811484	Macedonia	Macedonia	1	0	2013-05-15 20:32:33.321633+02	\N	\N	\N	\N	\N	\N	f	
2206	447dbf40-7821-492b-8b2c-3a871c6130e0	Anatoliki Makedonia kai Thraki	Anatoliki Makedonia kai Thraki	2	0	2013-06-05 08:52:48.556556+02	\N	\N	\N	\N	\N	\N	f	
247	6f8faf25-44cb-313b-9162-77145cdc192d	Montenegro	Montenegro	1	0	2013-05-27 15:14:58.965153+02	\N	\N	\N	\N	\N	\N	f	
251	6a89d88d-cd53-3d32-b41e-f6c7ab14649b	Guernsey	Guernsey	1	0	2013-05-27 14:42:28.123523+02	\N	\N	\N	\N	\N	\N	f	
270	7a0e4090-2ab5-4a28-acef-6173e3885fa7	Delaware	Delaware	2	0	2013-05-17 22:10:23.69473+02	\N	\N	\N	\N	\N	\N	f	
13931	60a8fb48-3770-4187-84f6-cfc471b2631c	Guastalla	Guastalla	4	0	2013-07-21 19:45:21.774872+02	\N	\N	\N	\N	\N	\N	f	
271	d2918f1a-c51e-4a4a-ad7f-cdd88877b25f	Florida	Florida	2	0	2013-05-17 22:10:52.617083+02	\N	\N	\N	\N	\N	\N	f	
263	cffc0190-1aa2-489f-b6f9-43b9a9e01a91	Alabama	Alabama	2	0	2013-06-05 08:36:02.296519+02	\N	\N	\N	\N	\N	\N	f	
1991	32a0b374-b6f8-4093-96bc-e1aa14357ab4	Kobilje	Kobilje	2	0	2013-05-20 17:36:32.81349+02	\N	\N	\N	\N	\N	\N	f	
260	c7d4543d-8f19-365c-a258-f1fe90ff7ac5	Sint Maarten (Dutch part)	Sint Maarten (Dutch part)	1	0	2013-05-27 14:54:26.402178+02	\N	\N	\N	\N	\N	\N	f	
2006	b6f4be34-60ad-4edc-988c-b5dfb12dd181	Ljubno	Ljubno	2	0	2013-05-20 17:39:20.936231+02	\N	\N	\N	\N	\N	\N	f	
2115	981b9e2c-4268-4aa2-a035-f95df417dcd6	Podlehnik	Podlehnik	2	0	2013-05-20 18:01:58.406567+02	\N	\N	\N	\N	\N	\N	f	
2008	0ae85f4e-8031-40d2-a4df-b43c4b79170b	Logatec	Logatec	2	0	2013-05-20 17:39:43.041969+02	\N	\N	\N	\N	\N	\N	f	
2040	c106c80c-3dcf-4854-bdaa-da6895888284	Ptuj	Ptuj	2	0	2013-05-20 17:47:13.593707+02	\N	\N	\N	\N	\N	\N	f	
2078	989c1a52-7920-4513-9f01-4631673e1675	Velike Lašče	Velike Lašče	2	0	2013-05-20 17:54:35.027707+02	\N	\N	\N	\N	\N	\N	f	
2122	fc6a39f5-d90a-4bc0-a380-9e990474163b	Sodražica	Sodražica	2	0	2013-05-20 18:03:30.925412+02	\N	\N	\N	\N	\N	\N	f	
266	ae0110b6-13d4-4998-9116-5b926287aa23	California	California	2	0	2013-06-05 09:15:15.329304+02	\N	\N	\N	\N	\N	\N	f	
2190	abe562e3-16d2-400b-81cb-3ac939454c91	Shumen	Shumen	2	0	2013-05-20 18:23:07.657636+02	\N	\N	\N	\N	\N	\N	f	
2242	d7f67456-4cd3-404d-8d14-e42719b360ce	Nisporeni	Nisporeni	2	0	2013-05-20 19:05:58.971144+02	\N	\N	\N	\N	\N	\N	f	
2278	ca81a111-ddae-47a6-a3bb-491b74f9ef23	Delčevo	Delčevo	2	0	2013-05-20 19:12:51.107349+02	\N	\N	\N	\N	\N	\N	f	
2279	f650dee2-609f-4dac-8bc4-fe50bc078b5f	Demir Kapija	Demir Kapija	2	0	2013-05-20 19:13:01.814507+02	\N	\N	\N	\N	\N	\N	f	
2281	a588a665-8883-4e2f-8b92-015dd80c15fd	Dojran	Dojran	2	0	2013-05-20 19:13:23.378375+02	\N	\N	\N	\N	\N	\N	f	
2284	d82ac23f-44c1-400a-b52f-a187ab90c57b	Gjorče Petrov	Gjorče Petrov	2	0	2013-05-20 19:13:56.458274+02	\N	\N	\N	\N	\N	\N	f	
2324	da8e56ec-02f7-49b7-bc5c-9ada5d9b85a7	Sveti Nikole	Sveti Nikole	2	0	2013-05-20 19:21:42.002917+02	\N	\N	\N	\N	\N	\N	f	
5056	93c6bcf5-5336-48b5-a16b-39454458eb66	Warsaw	Warsaw	3	0	2013-05-24 20:35:53.806589+02	\N	\N	\N	\N	\N	\N	f	
2361	31039258-dc1d-496d-8339-f7036ea52baa	Volyns'ka Oblast'	Volyns'ka Oblast'	2	0	2013-05-20 19:30:04.179272+02	\N	\N	\N	\N	\N	\N	f	
5699	b1fb3364-ab54-4f0c-bfa2-b7142446f67c	Dębno	Dębno	3	0	2013-05-25 00:33:29.028337+02	\N	\N	\N	\N	\N	\N	f	
4560	4f114b27-bd31-4e27-8636-08322617175e	Jambi	Jambi	2	0	2013-05-22 14:08:10.958519+02	\N	\N	\N	\N	\N	\N	f	
2409	938f6ca0-c0d1-4a3b-8113-26d97c0ff0ac	Kemerovskaya oblast'	Kemerovskaya oblast'	2	0	2013-05-20 19:41:22.063573+02	\N	\N	\N	\N	\N	\N	f	
4696	76f0b50a-b4f3-4dbf-99f8-c9266160c6d3	Rimini	Rimini	2	0	2013-05-22 14:47:15.202455+02	\N	\N	\N	\N	\N	\N	f	
4835	3ade947d-c0f7-4eff-8753-fe9127936f71	Mchinji	Mchinji	2	0	2013-05-22 15:27:17.998583+02	\N	\N	\N	\N	\N	\N	f	
52	e56e3d7a-4b90-3546-8450-49548050924a	Côte d'Ivoire	Côte d'Ivoire	1	0	2013-05-27 14:43:46.026215+02	\N	\N	\N	\N	\N	\N	f	
200	32f9a3f3-046f-355f-b4dc-5158d71957c8	Svalbard and Jan Mayen	Svalbard and Jan Mayen	1	0	2013-05-27 14:47:10.628684+02	\N	\N	\N	\N	\N	\N	f	
248	38ce2215-162b-3f3c-af41-34800017e1d8	South Georgia and the South Sandwich Islands	South Georgia and the South Sandwich Islands	1	0	2013-05-27 15:22:42.217985+02	\N	\N	\N	\N	\N	\N	f	
94	457accb6-fe97-307e-89a9-bad912a60e4e	Heard Island and McDonald Islands	Heard Island and McDonald Islands	1	0	2013-05-27 14:49:16.56022+02	\N	\N	\N	\N	\N	\N	f	
196	6a0bbdbb-dc50-36f0-98a9-49beadb9d0b2	Saint Helena, Ascension and Tristan da Cunha	Saint Helena, Ascension and Tristan da Cunha	1	0	2013-05-27 15:15:22.44647+02	\N	\N	\N	\N	\N	\N	f	
258	fa3bd744-11d5-3ce1-ad1a-0254f178f9b1	Bonaire, Sint Eustatius and Saba	Bonaire, Sint Eustatius and Saba	1	0	2013-05-27 15:20:15.326471+02	\N	\N	\N	\N	\N	\N	f	
125	ed4e8ad9-2b33-3133-b105-28bb719d6ce8	Macao	Macao	1	0	2013-05-27 15:34:41.743834+02	\N	\N	\N	\N	\N	\N	f	
255	47a4fef9-c697-3b37-8978-a3bcef251eb4	Saint Barthélemy	Saint Barthélemy	1	0	2013-05-27 15:46:54.526499+02	\N	\N	\N	\N	\N	\N	f	
19647	ccb43a19-5c23-4fbf-b490-93c158e4768f	Orsara di Puglia	Orsara di Puglia	4	0	2013-07-22 11:11:22.459552+02	\N	\N	\N	\N	\N	\N	f	
272	d10ba752-c9ce-4804-afc0-7ff94aa5d8d6	Georgia	Georgia	2	0	2013-05-17 22:11:24.688082+02	\N	\N	\N	\N	\N	\N	f	
273	1b420c08-51a5-4bdd-9b0e-cd601703d20b	Hawaii	Hawaii	2	0	2013-05-17 22:11:55.972731+02	\N	\N	\N	\N	\N	\N	f	
274	8c3615bc-bd11-4bf0-b237-405161aac8b7	Iowa	Iowa	2	0	2013-05-17 22:12:29.236003+02	\N	\N	\N	\N	\N	\N	f	
275	f2532a8e-276c-457a-b3d9-0a7706535178	Idaho	Idaho	2	0	2013-05-17 22:13:07.023002+02	\N	\N	\N	\N	\N	\N	f	
14311	85f3fff1-f646-4c94-8fe5-e93668ef8dce	Corchiano	Corchiano	4	0	2013-07-21 21:09:49.261655+02	\N	\N	\N	\N	\N	\N	f	
276	8c2196d9-b7be-4051-90d1-ac81895355f1	Illinois	Illinois	2	0	2013-05-17 22:13:34.768536+02	\N	\N	\N	\N	\N	\N	f	
1985	7d83a07f-f0fa-4bf4-87f7-2fc6f5d0a403	Jesenice	Jesenice	2	0	2013-05-20 17:35:17.706151+02	\N	\N	\N	\N	\N	\N	f	
277	cc55c78b-15c9-45dd-8ff4-4a212c54eff3	Indiana	Indiana	2	0	2013-05-17 22:14:06.750468+02	\N	\N	\N	\N	\N	\N	f	
278	c747e5a9-3ac7-4dfb-888f-193ff598c62f	Kansas	Kansas	2	0	2013-05-17 22:14:39.089961+02	\N	\N	\N	\N	\N	\N	f	
2207	a04b617c-5a56-4203-933e-299eae5f96f8	Kentriki Makedonia	Kentriki Makedonia	2	0	2013-05-20 18:26:13.645643+02	\N	\N	\N	\N	\N	\N	f	
279	85255cb8-edb9-4a66-b23a-a5261d42c116	Kentucky	Kentucky	2	0	2013-05-17 22:15:14.895132+02	\N	\N	\N	\N	\N	\N	f	
1992	53d5d2d6-38dc-414c-a2c7-e9edb8297e85	Kočevje	Kočevje	2	0	2013-05-20 17:36:44.237954+02	\N	\N	\N	\N	\N	\N	f	
280	fc68ecf5-507e-4012-b60b-d93747a3cfa7	Louisiana	Louisiana	2	0	2013-05-17 22:15:49.307091+02	\N	\N	\N	\N	\N	\N	f	
281	05f68b4c-10f3-49b5-b28c-260a1b707043	Massachusetts	Massachusetts	2	0	2013-05-17 22:16:22.943664+02	\N	\N	\N	\N	\N	\N	f	
282	c45232cf-5848-45d7-84ae-94755f8fe37e	Maine	Maine	2	0	2013-05-17 22:17:00.541676+02	\N	\N	\N	\N	\N	\N	f	
2018	42e162f3-96b8-42dd-a89c-14bc3a5e743d	Mežica	Mežica	2	0	2013-05-20 17:41:55.58214+02	\N	\N	\N	\N	\N	\N	f	
283	29fa065f-a568-418c-98b9-5023f64d9312	Michigan	Michigan	2	0	2013-05-17 22:17:32.234951+02	\N	\N	\N	\N	\N	\N	f	
284	f5ffcc03-ebf2-466a-bb11-b38c6c0c84f5	Minnesota	Minnesota	2	0	2013-05-17 22:18:01.740498+02	\N	\N	\N	\N	\N	\N	f	
2554	d60d390a-d911-4af9-a51e-2945634b7b45	Hamgyŏng-namdo	Hamgyŏng-namdo	2	0	2013-05-20 21:18:06.711728+02	\N	\N	\N	\N	\N	\N	f	
285	1462269e-911b-4db3-be41-434393484e34	Missouri	Missouri	2	0	2013-05-17 22:18:27.881888+02	\N	\N	\N	\N	\N	\N	f	
2041	f777e97a-9618-4bad-9dfe-4cae6b31e798	Puconci	Puconci	2	0	2013-05-20 17:47:26.899146+02	\N	\N	\N	\N	\N	\N	f	
287	fb8840b9-ff2f-4484-8540-7112ee426ea7	Montana	Montana	2	0	2013-05-17 22:19:26.792891+02	\N	\N	\N	\N	\N	\N	f	
2244	1ce9c958-6e33-4251-8791-e63022887b65	Orhei	Orhei	2	0	2013-05-20 19:06:22.736135+02	\N	\N	\N	\N	\N	\N	f	
288	d4ab49e7-1d25-45e2-8659-b147e0ea3684	North Carolina	North Carolina	2	0	2013-05-17 22:19:56.769034+02	\N	\N	\N	\N	\N	\N	f	
2079	269fa106-789f-41ad-b169-28bd3b73d2ed	Videm	Videm	2	0	2013-05-20 17:54:46.196714+02	\N	\N	\N	\N	\N	\N	f	
289	af4758fa-92d7-4f49-ac74-f58d3113c7c5	North Dakota	North Dakota	2	0	2013-05-17 22:20:21.496306+02	\N	\N	\N	\N	\N	\N	f	
290	a5ff428a-ad62-4752-8f8d-14107c574117	Nebraska	Nebraska	2	0	2013-05-17 22:20:53.73037+02	\N	\N	\N	\N	\N	\N	f	
291	4ca644d9-18a6-4605-9d71-3eae8b3ab2ee	New Hampshire	New Hampshire	2	0	2013-05-17 22:21:26.618145+02	\N	\N	\N	\N	\N	\N	f	
2086	bf3c0836-0e12-4a1c-a0d5-9983309a1cf3	Zagorje ob Savi	Zagorje ob Savi	2	0	2013-05-20 17:56:09.627459+02	\N	\N	\N	\N	\N	\N	f	
292	a36544c1-cb40-4f44-9e0e-7a5a69e403a8	New Jersey	New Jersey	2	0	2013-05-17 22:21:54.872881+02	\N	\N	\N	\N	\N	\N	f	
293	0c693f90-d889-4abe-a0e6-6aac212388e3	New Mexico	New Mexico	2	0	2013-05-17 22:22:26.824167+02	\N	\N	\N	\N	\N	\N	f	
1952	ade9aa3d-438b-4c27-9796-08d794236ffb	Brezovica	Brezovica	2	0	2013-06-05 09:27:06.815028+02	\N	\N	\N	\N	\N	\N	f	
294	ab47b3b2-838d-463c-9907-30dcd3438d65	Nevada	Nevada	2	0	2013-05-17 22:22:52.930217+02	\N	\N	\N	\N	\N	\N	f	
2088	fa2d97ea-acf4-4caf-8153-75b79e966905	Zreče	Zreče	2	0	2013-05-20 17:56:33.649539+02	\N	\N	\N	\N	\N	\N	f	
295	75e398a3-5f3f-4224-9cd8-0fe44715bc95	New York	New York	2	0	2013-05-17 22:23:26.631791+02	\N	\N	\N	\N	\N	\N	f	
296	0573177b-9ff9-4643-80bc-ed2513419267	Ohio	Ohio	2	0	2013-05-17 22:24:00.012493+02	\N	\N	\N	\N	\N	\N	f	
2280	8c447a9f-a452-46bb-a4b2-dc71278a3c87	Demir Hisar	Demir Hisar	2	0	2013-05-20 19:13:12.655945+02	\N	\N	\N	\N	\N	\N	f	
297	d2083d84-09e2-4d45-8fc0-45eed33748b5	Oklahoma	Oklahoma	2	0	2013-05-17 22:24:31.206418+02	\N	\N	\N	\N	\N	\N	f	
3008	ce620b06-647b-494d-bf5a-ae900fa9aaa4	Beyrouth	Beyrouth	2	0	2013-06-05 09:03:37.889153+02	\N	\N	\N	\N	\N	\N	f	
2093	0b8a3795-5a1d-4073-be3f-05946d56ee25	Bloke	Bloke	2	0	2013-06-05 12:26:31.277648+02	\N	\N	\N	\N	\N	\N	f	
2123	7ef66051-13d1-4b47-acf0-45f3c0d90ef4	Solčava	Solčava	2	0	2013-05-20 18:03:42.799054+02	\N	\N	\N	\N	\N	\N	f	
13706	764260e3-a4c3-4950-b80c-53c33fd9aef3	Casciana Terme	Casciana Terme	4	0	2013-07-21 18:54:30.386629+02	\N	\N	\N	\N	\N	\N	f	
2325	108bf52a-b9dc-429c-a36b-d83045219763	Sopište	Sopište	2	0	2013-05-20 19:21:53.062512+02	\N	\N	\N	\N	\N	\N	f	
2092	2d26e52d-be3f-4f4e-8aa0-92d274ed3147	Bistrica ob Sotli	Bistrica ob Sotli	2	0	2013-06-05 08:01:44.332044+02	\N	\N	\N	\N	\N	\N	f	
5057	d384ec5f-9831-4890-ac40-648a71aec054	Ljubljana	Ljubljana	3	0	2013-05-24 20:36:13.436292+02	\N	\N	\N	\N	\N	\N	f	
2362	3890e088-4cdc-4d03-ae73-4fefb0076b15	Luhans'ka Oblast'	Luhans'ka Oblast'	2	0	2013-05-20 19:30:16.750342+02	\N	\N	\N	\N	\N	\N	f	
3059	6eefc88d-1f95-475c-8dd8-e9b356576ae0	Ar Rayyān	Ar Rayyān	2	0	2013-06-05 11:32:32.815062+02	\N	\N	\N	\N	\N	\N	f	
2582	92871c11-52cf-4d7d-be75-9a882fda7e09	Phu Yen	Phu Yen	2	0	2013-05-20 22:20:59.861791+02	\N	\N	\N	\N	\N	\N	f	
2410	e030d5d7-2d03-456f-91b8-a3fadfd6050d	Kaliningradskaya oblast'	Kaliningradskaya oblast'	2	0	2013-05-20 19:41:33.978051+02	\N	\N	\N	\N	\N	\N	f	
2447	a72b86b4-732b-411e-be92-11de8821e70f	Saratovskaya oblast'	Saratovskaya oblast'	2	0	2013-05-20 19:51:15.632233+02	\N	\N	\N	\N	\N	\N	f	
2460	85cfb970-3954-432e-a9ba-658e097c9772	Udmurtskaya Respublika	Udmurtskaya Respublika	2	0	2013-05-20 19:55:26.789523+02	\N	\N	\N	\N	\N	\N	f	
5233	26ca7689-9d3e-4206-b9b6-cdef6780dfbc	Tarnobrzeg	Tarnobrzeg	3	0	2013-05-24 22:53:53.811933+02	\N	\N	\N	\N	\N	\N	f	
2760	a79d303b-1873-4357-a59d-5c060dbc2f92	Wilayah Persekutuan Labuan	Wilayah Persekutuan Labuan	2	0	2013-05-20 22:54:45.836956+02	\N	\N	\N	\N	\N	\N	f	
2613	0a620f7d-5d2c-4711-9e2d-615afd082d24	Vinh Phuc	Vinh Phuc	2	0	2013-05-20 22:27:00.899572+02	\N	\N	\N	\N	\N	\N	f	
2651	b4ac5632-0aae-4324-8a35-8dbe3690c845	Khammouan	Khammouan	2	0	2013-05-20 22:33:39.196004+02	\N	\N	\N	\N	\N	\N	f	
2862	6afc7fbd-ca6f-4875-aaf3-0a5d5b238d75	Dāykundī	Dāykundī	2	0	2013-05-20 23:31:49.39751+02	\N	\N	\N	\N	\N	\N	f	
2699	18235ed8-ae6f-4c7a-80df-d317d573433b	Nakhon Phanom	Nakhon Phanom	2	0	2013-05-20 22:43:06.735457+02	\N	\N	\N	\N	\N	\N	f	
2769	037cc908-88b5-405b-ab74-35564e03ca0f	Belait	Belait	2	0	2013-06-05 09:09:44.069589+02	\N	\N	\N	\N	\N	\N	f	
2736	9181d84d-2295-45c7-9a94-19b0ae4c1af7	Phatthalung	Phatthalung	2	0	2013-05-20 22:50:19.619711+02	\N	\N	\N	\N	\N	\N	f	
14312	cbf2b218-4ddd-425b-b6cb-640fba06220f	Gradoli	Gradoli	4	0	2013-07-21 21:10:03.536641+02	\N	\N	\N	\N	\N	\N	f	
2770	c034bb0f-32b3-4ebe-9582-e895190f3f9e	Brunei-Muara	Brunei-Muara	2	0	2013-06-05 06:51:26.093455+02	\N	\N	\N	\N	\N	\N	f	
15452	54b756f1-cc7d-48dd-83ed-3b89515fe49d	Contigliano	Contigliano	4	0	2013-07-22 00:48:32.617764+02	\N	\N	\N	\N	\N	\N	f	
2822	4b681bac-cb70-45c6-a7ba-51758b920a4b	Tsirang	Tsirang	2	0	2013-05-20 23:24:35.224196+02	\N	\N	\N	\N	\N	\N	f	
2908	917dea3c-cf05-45ea-86bd-108669c941d7	Qashqadaryo	Qashqadaryo	2	0	2013-05-20 23:40:32.792984+02	\N	\N	\N	\N	\N	\N	f	
2888	713c730e-f877-4d0d-821d-36caabb17b79	Uruzgān	Uruzgān	2	0	2013-05-20 23:36:42.335196+02	\N	\N	\N	\N	\N	\N	f	
2924	a8b39e69-e41f-4b8d-8b6e-8ca24884027a	Dubayy [Dubai]	Dubayy [Dubai]	2	0	2013-05-20 23:52:11.385259+02	\N	\N	\N	\N	\N	\N	f	
2963	a9fcb0da-05d7-49f5-ae65-0c547330c786	Būshehr	Būshehr	2	0	2013-06-05 10:55:24.644859+02	\N	\N	\N	\N	\N	\N	f	
14431	ab6dbc91-2db9-4b4c-944b-2c35eccdf088	Montacuto	Montacuto	4	0	2013-07-21 21:36:24.155329+02	\N	\N	\N	\N	\N	\N	f	
3016	1ce53d91-b1a4-4153-a5be-23dad38a0ace	Dakuṇu paḷāta	Dakuṇu paḷāta	2	0	2013-05-21 00:14:08.031942+02	\N	\N	\N	\N	\N	\N	f	
3053	a33b76b3-3c9b-4867-8585-df1c7e47ee80	Salfit	Salfit	2	0	2013-05-21 00:23:48.482505+02	\N	\N	\N	\N	\N	\N	f	
17277	8e702cb9-52e1-442a-86d0-bc511eab0344	Stintino	Stintino	4	0	2013-07-22 06:07:14.163704+02	\N	\N	\N	\N	\N	\N	f	
759	00bfa059-f80f-412d-a438-552b6f262961	Zalaegerszeg	Zalaegerszeg	3	0	2013-05-24 00:28:58.349552+02	\N	\N	\N	\N	\N	\N	f	
2532	c8a88ba5-5d4e-4cbf-b8ab-dd0e6d99a940	Busan	Busan	3	0	2013-05-24 02:22:28.922956+02	\N	\N	\N	\N	\N	\N	f	
3092	2fe43e57-f3e4-48d7-a388-c0bf0d8d6d03	‘Amrān	‘Amrān	2	0	2013-05-27 19:59:20.032373+02	\N	\N	\N	\N	\N	\N	f	
298	376ea713-8f27-4ab1-818b-9cca72023382	Oregon	Oregon	2	0	2013-05-17 22:24:58.200412+02	\N	\N	\N	\N	\N	\N	f	
322	a510b9b1-404d-4e23-8db8-0f6585909ed8	Quebec	Quebec	2	0	2013-05-17 23:30:09.455218+02	\N	\N	\N	\N	\N	\N	f	
299	75d8fdcf-03e9-43d9-9399-131b8e118b0b	Pennsylvania	Pennsylvania	2	0	2013-05-17 22:25:28.371028+02	\N	\N	\N	\N	\N	\N	f	
300	b8c5f945-678b-43eb-a77a-f237d7f01493	Rhode Island	Rhode Island	2	0	2013-05-17 22:25:58.921872+02	\N	\N	\N	\N	\N	\N	f	
336	26486d74-1d5b-40db-857f-a8f49c64175b	Schleswig-Holstein	Schleswig-Holstein	2	0	2013-05-17 23:35:25.225259+02	\N	\N	\N	\N	\N	\N	f	
301	aec173a2-0f12-489e-812b-7d2c252e4b62	South Carolina	South Carolina	2	0	2013-05-17 22:26:36.476583+02	\N	\N	\N	\N	\N	\N	f	
323	1451d358-6dff-413d-884e-1db2d4fd03aa	Saskatchewan	Saskatchewan	2	0	2013-05-17 23:30:20.37575+02	\N	\N	\N	\N	\N	\N	f	
302	2066f663-1055-4383-aaa6-08d09ec81e57	South Dakota	South Dakota	2	0	2013-05-17 22:27:08.282088+02	\N	\N	\N	\N	\N	\N	f	
303	f9caf2d8-9638-4b96-bc49-8462339d4b2e	Tennessee	Tennessee	2	0	2013-05-17 22:27:37.943022+02	\N	\N	\N	\N	\N	\N	f	
304	f934c8da-e40e-4056-8f8c-212e68fdcaec	Texas	Texas	2	0	2013-05-17 22:28:03.700987+02	\N	\N	\N	\N	\N	\N	f	
4561	f127ed5e-324a-4c91-aa49-39e35cfc6d9c	Jawa Barat	Jawa Barat	2	0	2013-05-22 14:08:27.097518+02	\N	\N	\N	\N	\N	\N	f	
305	7deb769c-1eaa-4b7a-aecf-c395d82a1e73	Utah	Utah	2	0	2013-05-17 22:28:32.465277+02	\N	\N	\N	\N	\N	\N	f	
307	a3435b4a-f42c-404e-beee-f290f62a5e1c	Vermont	Vermont	2	0	2013-05-17 22:29:41.502276+02	\N	\N	\N	\N	\N	\N	f	
308	39383cce-6f78-4afe-b19a-8377995ce702	Washington	Washington	2	0	2013-05-17 22:30:16.000517+02	\N	\N	\N	\N	\N	\N	f	
309	10cb2ebd-1bc7-4c11-b10d-54f60c421d20	Wisconsin	Wisconsin	2	0	2013-05-17 22:30:47.776537+02	\N	\N	\N	\N	\N	\N	f	
310	bb32d812-8161-44e1-8a73-7a0d4a6d3f96	West Virginia	West Virginia	2	0	2013-05-17 22:31:18.285354+02	\N	\N	\N	\N	\N	\N	f	
337	f7160358-2b0c-4869-9a66-65a7fe3e4588	Saarland	Saarland	2	0	2013-05-17 23:35:36.795235+02	\N	\N	\N	\N	\N	\N	f	
311	c2dca60c-5a5f-43b9-8591-3d4e454cac4e	Wyoming	Wyoming	2	0	2013-05-17 22:31:47.291557+02	\N	\N	\N	\N	\N	\N	f	
5700	ae3aedaa-6771-464c-bd7e-c721662d1bbf	Goleniów	Goleniów	3	0	2013-05-25 00:33:40.40909+02	\N	\N	\N	\N	\N	\N	f	
1953	46f30e2e-28e1-4415-8f1f-ca980a27b16c	Brežice	Brežice	2	0	2013-06-05 11:44:36.652679+02	\N	\N	\N	\N	\N	\N	f	
15453	66368889-1567-4fb0-afb9-f7b9d1bda8ed	Cittaducale	Cittaducale	4	0	2013-07-22 00:48:48.809873+02	\N	\N	\N	\N	\N	\N	f	
13707	89bc4937-0fa0-469f-9f74-2dfab3d6b29e	Torrazza Piemonte	Torrazza Piemonte	4	0	2013-07-21 18:54:42.906027+02	\N	\N	\N	\N	\N	\N	f	
328	946dee46-7eeb-490d-8b94-1ca5286769e9	Bayern	Bayern	2	0	2013-06-05 10:24:16.131893+02	\N	\N	\N	\N	\N	\N	f	
314	8af30521-c317-48f2-b18d-536e248521e1	Manitoba	Manitoba	2	0	2013-05-17 23:28:36.427089+02	\N	\N	\N	\N	\N	\N	f	
315	0f05e521-4a8a-40ce-b6a1-80e0f3d5ea6d	New Brunswick	New Brunswick	2	0	2013-05-17 23:28:47.419144+02	\N	\N	\N	\N	\N	\N	f	
316	645a2090-c498-48ce-a58e-11379aaac827	Newfoundland and Labrador	Newfoundland and Labrador	2	0	2013-05-17 23:28:58.517355+02	\N	\N	\N	\N	\N	\N	f	
346	b5f7351a-2621-4662-a803-f6cb50a8f953	Läänemaa	Läänemaa	2	0	2013-05-17 23:39:39.670273+02	\N	\N	\N	\N	\N	\N	f	
317	4a91ccc7-ea89-4dc6-98f4-c8044123a032	Nova Scotia	Nova Scotia	2	0	2013-05-17 23:29:09.843324+02	\N	\N	\N	\N	\N	\N	f	
312	11e1b699-4e38-49b0-bb24-5092e0f8f4ad	Alberta	Alberta	2	0	2013-06-05 10:54:14.597554+02	\N	\N	\N	\N	\N	\N	f	
318	77acc8b0-2a12-4831-b142-d5ea39702424	Northwest Territories	Northwest Territories	2	0	2013-05-17 23:29:24.294395+02	\N	\N	\N	\N	\N	\N	f	
319	79c3204c-1cd8-4906-a2d7-43aeb997927c	Nunavut	Nunavut	2	0	2013-05-17 23:29:35.65197+02	\N	\N	\N	\N	\N	\N	f	
338	2b568f1a-0bbc-4416-86ad-ced6ef6d56f4	Sachsen	Sachsen	2	0	2013-05-17 23:35:48.148015+02	\N	\N	\N	\N	\N	\N	f	
320	2747553f-b44d-44c4-a7c3-b67412b6f10b	Ontario	Ontario	2	0	2013-05-17 23:29:46.963224+02	\N	\N	\N	\N	\N	\N	f	
329	ca6a9d1a-f005-4a7f-9691-17a6f5ecbdd7	Bremen	Bremen	2	0	2013-06-05 10:30:18.443041+02	\N	\N	\N	\N	\N	\N	f	
321	cffdb245-ee87-4b2f-8375-fce5d9596455	Prince Edward Island	Prince Edward Island	2	0	2013-05-17 23:29:57.995937+02	\N	\N	\N	\N	\N	\N	f	
330	1b761636-6166-4dec-af7f-48c506f4e24d	Hessen	Hessen	2	0	2013-05-17 23:34:15.001667+02	\N	\N	\N	\N	\N	\N	f	
5058	c0ed7976-d04c-475a-b2eb-759e6759ea4f	Katowice	Katowice	3	0	2013-05-24 20:36:30.008116+02	\N	\N	\N	\N	\N	\N	f	
339	f58905b4-f974-4292-a259-befaf8a4e957	Sachsen-Anhalt	Sachsen-Anhalt	2	0	2013-05-17 23:35:59.931307+02	\N	\N	\N	\N	\N	\N	f	
332	f4a62edf-12dc-441c-9032-c7ce46df8050	Mecklenburg-Vorpommern	Mecklenburg-Vorpommern	2	0	2013-05-17 23:34:38.13292+02	\N	\N	\N	\N	\N	\N	f	
333	2978b457-3c4a-4a34-8b3c-d35e4804c42b	Niedersachsen	Niedersachsen	2	0	2013-05-17 23:34:49.908107+02	\N	\N	\N	\N	\N	\N	f	
340	ff2ee1ad-febe-4b48-8999-e77870b62744	Thüringen	Thüringen	2	0	2013-05-17 23:36:11.767661+02	\N	\N	\N	\N	\N	\N	f	
334	1de7fa77-cb52-40a2-b82a-251c7818249d	Nordrhein-Westfalen	Nordrhein-Westfalen	2	0	2013-05-17 23:35:01.93102+02	\N	\N	\N	\N	\N	\N	f	
335	aa47eb3a-80b5-4837-a167-6d05a5f60714	Rheinland-Pfalz	Rheinland-Pfalz	2	0	2013-05-17 23:35:13.634609+02	\N	\N	\N	\N	\N	\N	f	
347	3d31f97c-6519-433f-9c99-387aa3987705	Lääne-Virumaa	Lääne-Virumaa	2	0	2013-05-17 23:39:50.908053+02	\N	\N	\N	\N	\N	\N	f	
341	ae44158c-c0b6-44c5-b41e-90e4da8497df	Harjumaa	Harjumaa	2	0	2013-05-17 23:38:44.333041+02	\N	\N	\N	\N	\N	\N	f	
353	2b652d19-18e0-48d0-9a5a-03c23ce81244	Valgamaa	Valgamaa	2	0	2013-05-17 23:40:58.166045+02	\N	\N	\N	\N	\N	\N	f	
342	c4bce950-b02e-4239-8429-83665e2d5ac1	Hiiumaa	Hiiumaa	2	0	2013-05-17 23:38:55.322214+02	\N	\N	\N	\N	\N	\N	f	
348	816e9e02-4f43-413e-9ae8-f2925a5ee424	Põlvamaa	Põlvamaa	2	0	2013-05-17 23:40:01.819532+02	\N	\N	\N	\N	\N	\N	f	
343	f59b5ce2-b97a-429f-99e6-a973104312d1	Ida-Virumaa	Ida-Virumaa	2	0	2013-05-17 23:39:06.281539+02	\N	\N	\N	\N	\N	\N	f	
344	07762d66-ec09-4875-849b-7734e4b445fa	Jõgevamaa	Jõgevamaa	2	0	2013-05-17 23:39:17.384882+02	\N	\N	\N	\N	\N	\N	f	
345	c326ac86-ff31-4b1d-bd3b-fa69d2be8080	Järvamaa	Järvamaa	2	0	2013-05-17 23:39:28.427315+02	\N	\N	\N	\N	\N	\N	f	
349	843701a2-5205-4afd-95a2-f9e96367f61d	Pärnumaa	Pärnumaa	2	0	2013-05-17 23:40:12.740768+02	\N	\N	\N	\N	\N	\N	f	
359	c0bdf8d0-831a-4f5f-88cb-2061edbb8cd5	Hedmark	Hedmark	2	0	2013-05-18 00:12:09.262639+02	\N	\N	\N	\N	\N	\N	f	
350	7ad3dc98-09d0-4ef2-8a3b-97521f7cffbd	Raplamaa	Raplamaa	2	0	2013-05-17 23:40:24.197778+02	\N	\N	\N	\N	\N	\N	f	
354	e54b4028-d809-4fb8-adf1-73aa8791071f	Viljandimaa	Viljandimaa	2	0	2013-05-17 23:41:12.577456+02	\N	\N	\N	\N	\N	\N	f	
351	94405512-8bfd-4a96-8476-0505327bb146	Saaremaa	Saaremaa	2	0	2013-05-17 23:40:35.470364+02	\N	\N	\N	\N	\N	\N	f	
357	ae593ad5-3f84-4ad5-89c7-7575cefd339c	Akershus	Akershus	2	0	2013-06-05 12:28:43.495676+02	\N	\N	\N	\N	\N	\N	f	
352	ad9aa625-4b82-47f2-b4a7-c467429fb31c	Tartumaa	Tartumaa	2	0	2013-05-17 23:40:46.692715+02	\N	\N	\N	\N	\N	\N	f	
325	6adffea3-b78f-4670-ab6e-cff834a41bde	Brandenburg	Brandenburg	2	0	2013-06-05 09:51:47.259406+02	\N	\N	\N	\N	\N	\N	f	
355	6cfe8fd8-20c7-4ca7-817e-fa6c41267f24	Võrumaa	Võrumaa	2	0	2013-05-17 23:41:26.14359+02	\N	\N	\N	\N	\N	\N	f	
361	8708899d-4622-4e66-8579-b0a43ae503f4	Buskerud	Buskerud	2	0	2013-06-05 12:08:31.663165+02	\N	\N	\N	\N	\N	\N	f	
364	0bd0e394-e3aa-4e33-b06c-80a4aede075f	Aust-Agder	Aust-Agder	2	0	2013-06-05 07:04:44.716576+02	\N	\N	\N	\N	\N	\N	f	
360	3b12f7e5-802b-4d58-b600-aef20b7cad78	Oppland	Oppland	2	0	2013-05-18 00:12:23.090818+02	\N	\N	\N	\N	\N	\N	f	
363	e7125d46-63c1-4b14-95c1-e0e6e4b312ec	Telemark	Telemark	2	0	2013-05-18 00:13:05.885313+02	\N	\N	\N	\N	\N	\N	f	
362	c3bb81dc-642e-4f9d-9d9c-3bc7b671b07c	Vestfold	Vestfold	2	0	2013-05-18 00:12:52.204353+02	\N	\N	\N	\N	\N	\N	f	
365	dd3304af-d4a7-44e2-838d-aa539bbac0be	Vest-Agder	Vest-Agder	2	0	2013-05-18 00:13:31.026096+02	\N	\N	\N	\N	\N	\N	f	
366	fb98464f-3c9c-4c91-94bc-89f30d0a42f9	Rogaland	Rogaland	2	0	2013-05-18 00:13:41.942803+02	\N	\N	\N	\N	\N	\N	f	
367	951fc8dc-3fa9-4c64-96a2-e239f0666609	Hordaland	Hordaland	2	0	2013-05-18 00:13:52.804951+02	\N	\N	\N	\N	\N	\N	f	
368	548f69bb-b842-4ff6-9945-6ea9d6a8de13	Sogn og Fjordane	Sogn og Fjordane	2	0	2013-05-18 00:14:03.703679+02	\N	\N	\N	\N	\N	\N	f	
369	298570dc-c876-4691-b913-5b3f4ba5a66a	Møre og Romsdal	Møre og Romsdal	2	0	2013-05-18 00:14:14.439307+02	\N	\N	\N	\N	\N	\N	f	
370	ca597d1d-eddc-4c92-a9d9-7d860bdaa5d0	Sør-Trøndelag	Sør-Trøndelag	2	0	2013-05-18 00:14:25.367064+02	\N	\N	\N	\N	\N	\N	f	
745	781294dc-30dc-430f-83ff-1c170c6ebb17	Székesfehérvár	Székesfehérvár	3	0	2013-05-24 00:28:58.812989+02	\N	\N	\N	\N	\N	\N	f	
371	2f56a4b2-8e4e-48e8-9fbc-253f05facde3	Nord-Trøndelag	Nord-Trøndelag	2	0	2013-05-18 00:14:36.253622+02	\N	\N	\N	\N	\N	\N	f	
372	fd7a5b26-56d9-4fa2-9805-b9f467fa4879	Nordland	Nordland	2	0	2013-05-18 00:14:47.150582+02	\N	\N	\N	\N	\N	\N	f	
410	8ff1831b-3350-489f-ac91-1975ab38331e	Kyoto	Kyoto	2	0	2013-05-18 01:30:52.857633+02	\N	\N	\N	\N	\N	\N	f	
373	17735446-0490-4b1a-bcd2-856d8c4d20c6	Troms	Troms	2	0	2013-05-18 00:14:57.874675+02	\N	\N	\N	\N	\N	\N	f	
395	2b42a551-6766-4b7a-b07f-e947be599926	Saitama	Saitama	2	0	2013-05-18 01:28:03.079504+02	\N	\N	\N	\N	\N	\N	f	
374	e29f64f6-0d89-44cd-ab16-91c2a05e8d03	Finnmark	Finnmark	2	0	2013-05-18 00:15:09.81092+02	\N	\N	\N	\N	\N	\N	f	
375	13fdd600-e404-4c8a-8834-6181bafcac0f	Svalbard	Svalbard	2	0	2013-05-18 00:15:20.713856+02	\N	\N	\N	\N	\N	\N	f	
376	7df7d0e1-471e-453b-ad38-5d3d8c46c7c6	Jan Mayen	Jan Mayen	2	0	2013-05-18 00:15:32.535709+02	\N	\N	\N	\N	\N	\N	f	
324	97aef002-a327-4237-a2d3-25244d425d17	Yukon	Yukon	2	0	2013-05-18 00:23:14.180922+02	\N	\N	\N	\N	\N	\N	f	
407	4b190b90-aafd-4d87-8a51-95a710516176	Aichi	Aichi	2	0	2013-06-05 11:51:28.984828+02	\N	\N	\N	\N	\N	\N	f	
378	ee8fe1ca-7455-485d-afbc-064844f5ee43	New South Wales	New South Wales	2	0	2013-05-18 01:00:23.910358+02	\N	\N	\N	\N	\N	\N	f	
379	f82f6486-960d-4bdf-b95b-e24b6c77a5ec	Northern Territory	Northern Territory	2	0	2013-05-18 01:00:35.279621+02	\N	\N	\N	\N	\N	\N	f	
397	8dc97297-ac95-4d33-82bc-e07fab26fb5f	Tokyo	Tokyo	2	0	2013-05-18 01:28:25.140819+02	\N	\N	\N	\N	\N	\N	f	
380	c1e9cc93-f223-470d-b9e1-653709de68c3	Queensland	Queensland	2	0	2013-05-18 01:00:46.23595+02	\N	\N	\N	\N	\N	\N	f	
381	2b15d4df-ae71-4465-ad19-05f442a5913b	South Australia	South Australia	2	0	2013-05-18 01:00:57.159536+02	\N	\N	\N	\N	\N	\N	f	
411	884d4a48-c134-4311-830e-38e7ee4100a5	Osaka	Osaka	2	0	2013-05-18 01:31:03.996171+02	\N	\N	\N	\N	\N	\N	f	
382	103d2eb0-d702-4235-ac02-350a9c8470bb	Tasmania	Tasmania	2	0	2013-05-18 01:01:07.9068+02	\N	\N	\N	\N	\N	\N	f	
398	1f43adbe-9020-40bd-9fb9-82b2905acfb5	Kanagawa	Kanagawa	2	0	2013-05-18 01:28:36.089897+02	\N	\N	\N	\N	\N	\N	f	
383	09936ede-4dcc-4794-a1e7-83d3af37bf4e	Victoria	Victoria	2	0	2013-05-18 01:01:18.933079+02	\N	\N	\N	\N	\N	\N	f	
384	1b1a6c07-d9bd-47d8-b1ee-772f53ec6e79	Western Australia	Western Australia	2	0	2013-05-18 01:01:29.915492+02	\N	\N	\N	\N	\N	\N	f	
385	bc6f57a5-4c6d-4d72-bc32-acf61f26eb91	Hokkaido	Hokkaido	2	0	2013-05-18 01:25:50.816407+02	\N	\N	\N	\N	\N	\N	f	
399	d14e3665-978f-4c0b-b330-fca6fe7382ea	Niigata	Niigata	2	0	2013-05-18 01:28:49.7432+02	\N	\N	\N	\N	\N	\N	f	
386	a00b9b0a-4a5e-4e1a-8783-4b49f92ef38c	Aomori	Aomori	2	0	2013-06-05 12:04:52.400169+02	\N	\N	\N	\N	\N	\N	f	
387	8f87edc6-85f0-4855-96b7-4cd11ba62ad5	Iwate	Iwate	2	0	2013-05-18 01:26:21.663019+02	\N	\N	\N	\N	\N	\N	f	
427	c0ddb140-326b-4922-96e3-bcc0a0981b8c	Kumamoto	Kumamoto	2	0	2013-05-18 01:34:02.564373+02	\N	\N	\N	\N	\N	\N	f	
388	15a06d88-b016-4750-b4ae-4beeae88b168	Miyagi	Miyagi	2	0	2013-05-18 01:26:36.107139+02	\N	\N	\N	\N	\N	\N	f	
400	5f376466-8ee0-4803-b781-c59479ed5cec	Toyama	Toyama	2	0	2013-05-18 01:29:00.672128+02	\N	\N	\N	\N	\N	\N	f	
396	19378e7c-fbdb-4fa4-afde-cb6b3e8273a7	Chiba	Chiba	2	0	2013-06-05 07:43:26.357001+02	\N	\N	\N	\N	\N	\N	f	
390	e8b89635-8f58-4d90-9db0-e0e5706de4b3	Yamagata	Yamagata	2	0	2013-05-18 01:27:00.537754+02	\N	\N	\N	\N	\N	\N	f	
412	6bc4277c-a86e-48f0-9541-57dca26f9762	Hyogo	Hyogo	2	0	2013-05-18 01:31:14.996163+02	\N	\N	\N	\N	\N	\N	f	
391	dcb36c4a-6620-48b9-98b8-fbe11261c214	Fukushima	Fukushima	2	0	2013-05-18 01:27:14.209321+02	\N	\N	\N	\N	\N	\N	f	
401	464ef97e-15cb-485e-b467-f889ff0a9d5b	Ishikawa	Ishikawa	2	0	2013-05-18 01:29:11.791715+02	\N	\N	\N	\N	\N	\N	f	
392	f6b1fe55-743e-4cd5-87de-06cb58e91e01	Ibaraki	Ibaraki	2	0	2013-05-18 01:27:25.121885+02	\N	\N	\N	\N	\N	\N	f	
393	6f0b20a9-8e35-4fd5-92bc-57017570a9ce	Tochigi	Tochigi	2	0	2013-05-18 01:27:36.395158+02	\N	\N	\N	\N	\N	\N	f	
394	2ee4929f-2567-44b8-9636-0c21c3b1cd54	Gunma	Gunma	2	0	2013-05-18 01:27:49.786985+02	\N	\N	\N	\N	\N	\N	f	
421	df6bafde-24e7-4724-a242-c56dd7fbef4e	Kagawa	Kagawa	2	0	2013-05-18 01:32:55.335356+02	\N	\N	\N	\N	\N	\N	f	
402	e8c2fe30-d877-47cf-9d61-9b6f1070264f	Fukui	Fukui	2	0	2013-05-18 01:29:22.816553+02	\N	\N	\N	\N	\N	\N	f	
413	f0345340-2049-47bb-85e3-043d3e4f11b2	Nara	Nara	2	0	2013-05-18 01:31:25.928879+02	\N	\N	\N	\N	\N	\N	f	
403	3a2b1ec7-c003-4f38-bf13-f4aefc994b5b	Yamanashi	Yamanashi	2	0	2013-05-18 01:29:34.273027+02	\N	\N	\N	\N	\N	\N	f	
404	a8f328ca-13b1-4cc2-be40-af90fe725921	Nagano	Nagano	2	0	2013-05-18 01:29:45.536533+02	\N	\N	\N	\N	\N	\N	f	
405	78221e03-dd54-4999-9ef0-c7435da86373	Gifu	Gifu	2	0	2013-05-18 01:29:56.836549+02	\N	\N	\N	\N	\N	\N	f	
414	0f227faf-02a2-41dc-9880-8157626d55aa	Wakayama	Wakayama	2	0	2013-05-18 01:31:37.023492+02	\N	\N	\N	\N	\N	\N	f	
406	a5775651-56fb-49cb-a540-c470ed12b37b	Shizuoka	Shizuoka	2	0	2013-05-18 01:30:07.958334+02	\N	\N	\N	\N	\N	\N	f	
13708	ec29dc65-cd5a-43d8-9c39-2ac60efd79eb	Castellina Marittima	Castellina Marittima	4	0	2013-07-21 18:54:54.759804+02	\N	\N	\N	\N	\N	\N	f	
408	790ef8a3-4aec-4bc8-99bc-849371ee8bce	Mie	Mie	2	0	2013-05-18 01:30:30.06132+02	\N	\N	\N	\N	\N	\N	f	
415	22d033ff-2b07-41d5-9394-e167ebf13557	Tottori	Tottori	2	0	2013-05-18 01:31:48.058593+02	\N	\N	\N	\N	\N	\N	f	
409	da34d737-7547-4e91-a0a5-7920dcde3c24	Shiga	Shiga	2	0	2013-05-18 01:30:41.645583+02	\N	\N	\N	\N	\N	\N	f	
422	6bc97773-0ce2-40b8-b6de-4aaeef48ad4c	Ehime	Ehime	2	0	2013-05-18 01:33:06.342539+02	\N	\N	\N	\N	\N	\N	f	
416	755433f5-85fc-4d41-8975-d25bd8b5589b	Shimane	Shimane	2	0	2013-05-18 01:31:59.224438+02	\N	\N	\N	\N	\N	\N	f	
417	6cbbf21b-5ef8-45a4-a4e0-bc7b652f2811	Okayama	Okayama	2	0	2013-05-18 01:32:10.456996+02	\N	\N	\N	\N	\N	\N	f	
423	3eba4b17-66b7-4683-80b2-950b39b34b4d	Kochi	Kochi	2	0	2013-05-18 01:33:17.393419+02	\N	\N	\N	\N	\N	\N	f	
418	b897dfb0-80a0-4600-a211-5e60054e231e	Hiroshima	Hiroshima	2	0	2013-05-18 01:32:21.548297+02	\N	\N	\N	\N	\N	\N	f	
419	e3e7bb57-f90c-4572-a628-e25d8d5397d6	Yamaguchi	Yamaguchi	2	0	2013-05-18 01:32:32.673889+02	\N	\N	\N	\N	\N	\N	f	
428	adb87e7d-8296-43fd-996e-336517acb4e5	Oita	Oita	2	0	2013-05-18 01:34:13.932131+02	\N	\N	\N	\N	\N	\N	f	
420	da3ba6e6-6602-43f1-868a-412a0269dd87	Tokushima	Tokushima	2	0	2013-05-18 01:32:44.000334+02	\N	\N	\N	\N	\N	\N	f	
424	13927ab7-c09b-4661-91ab-1692baf7ea1d	Fukuoka	Fukuoka	2	0	2013-05-18 01:33:28.524123+02	\N	\N	\N	\N	\N	\N	f	
19648	91f35786-137b-4ab1-9ab0-bbd1f04247ff	Stornarella	Stornarella	4	0	2013-07-22 11:11:34.39515+02	\N	\N	\N	\N	\N	\N	f	
425	6ef6b0e0-7aca-4700-8d01-c14c2f36dbcc	Saga	Saga	2	0	2013-05-18 01:33:39.777107+02	\N	\N	\N	\N	\N	\N	f	
429	c3d3372f-03d2-422d-8afa-3f2254d89e8f	Miyazaki	Miyazaki	2	0	2013-05-18 01:34:25.020348+02	\N	\N	\N	\N	\N	\N	f	
426	27d70482-81c7-4b78-813a-86ad2799b7b5	Nagasaki	Nagasaki	2	0	2013-05-18 01:33:51.018715+02	\N	\N	\N	\N	\N	\N	f	
432	9d5dd675-3cf4-4296-9e39-67865ebee758	England	England	2	0	2013-05-18 02:11:46.530087+02	\N	\N	\N	\N	\N	\N	f	
430	09ebc145-5447-43d5-8cfd-5b4a5576061d	Kagoshima	Kagoshima	2	0	2013-05-18 01:34:36.53373+02	\N	\N	\N	\N	\N	\N	f	
389	503b016a-1878-452f-adf5-945d78a2d4be	Akita	Akita	2	0	2013-06-05 07:05:10.032609+02	\N	\N	\N	\N	\N	\N	f	
431	ff6ef0b9-0b41-4697-bd55-8619ad4a196c	Okinawa	Okinawa	2	0	2013-05-18 01:34:47.57173+02	\N	\N	\N	\N	\N	\N	f	
433	2b30f961-ed7c-40d2-a9c5-6a905b35439a	Northern Ireland	Northern Ireland	2	0	2013-05-18 02:12:15.278655+02	\N	\N	\N	\N	\N	\N	f	
434	6fa1c7da-6689-4cec-85f9-680f853e8a08	Scotland	Scotland	2	0	2013-05-18 02:12:35.079349+02	\N	\N	\N	\N	\N	\N	f	
435	8297708c-5743-47d6-a5ac-f40a41c49ad9	Wales	Wales	2	0	2013-05-18 02:12:48.089749+02	\N	\N	\N	\N	\N	\N	f	
436	8a39f710-9e3a-424c-99c6-f7bdab06d1db	Etelä-Karjala	Etelä-Karjala	2	0	2013-05-18 22:40:40.256459+02	\N	\N	\N	\N	\N	\N	f	
437	4763ad43-aa77-426e-a8a1-16e4aa6e0f64	Etelä-Pohjanmaa	Etelä-Pohjanmaa	2	0	2013-05-18 22:40:53.525274+02	\N	\N	\N	\N	\N	\N	f	
438	4806ecfb-4aaf-4673-8004-25e7e91b3c0f	Etelä-Savo	Etelä-Savo	2	0	2013-05-18 22:41:06.876545+02	\N	\N	\N	\N	\N	\N	f	
439	d979d66e-262e-40a6-885d-ddfee5960b9e	Kainuu	Kainuu	2	0	2013-05-18 22:41:18.287822+02	\N	\N	\N	\N	\N	\N	f	
440	dedc20c2-22f9-4c20-9426-470424613679	Kanta-Häme	Kanta-Häme	2	0	2013-05-18 22:41:29.940014+02	\N	\N	\N	\N	\N	\N	f	
2208	f20a96d1-d087-4f74-b5ed-547d2bd4619e	Dytiki Makedonia	Dytiki Makedonia	2	0	2013-05-20 18:26:24.689804+02	\N	\N	\N	\N	\N	\N	f	
441	ac15a0c3-3f81-40a0-bbb8-6400b192b387	Keski-Pohjanmaa	Keski-Pohjanmaa	2	0	2013-05-18 22:41:44.411947+02	\N	\N	\N	\N	\N	\N	f	
2555	48a53783-891c-43e3-97f2-6aee39eed15e	Hamgyŏng-bukto	Hamgyŏng-bukto	2	0	2013-05-20 21:18:15.992713+02	\N	\N	\N	\N	\N	\N	f	
4	e228a3c1-53c0-3ec9-842b-ec1b2138e387	American Samoa	American Samoa	1	0	2013-05-27 15:57:51.71382+02	\N	\N	\N	\N	\N	\N	f	
442	9d5cbce0-6637-4564-abfd-6e1a6e7c7331	Keski-Suomi	Keski-Suomi	2	0	2013-05-18 22:41:56.085152+02	\N	\N	\N	\N	\N	\N	f	
443	3723f5fd-4572-4475-a6e8-76672fa83f4a	Kymenlaakso	Kymenlaakso	2	0	2013-05-18 22:42:07.187056+02	\N	\N	\N	\N	\N	\N	f	
466	2e9922f6-e902-4a80-ba8e-a0e76de43ced	Utrecht	Utrecht	2	0	2013-05-19 00:31:39.289678+02	\N	\N	\N	\N	\N	\N	f	
444	3c529caf-88b1-4454-9bfb-c003061a4bd3	Lappi	Lappi	2	0	2013-05-18 22:42:18.588023+02	\N	\N	\N	\N	\N	\N	f	
445	14068873-0259-4bbd-8882-d06b59f82975	Pirkanmaa	Pirkanmaa	2	0	2013-05-18 22:42:30.130522+02	\N	\N	\N	\N	\N	\N	f	
480	e50f0900-cd64-4181-b14e-0b4515aee76a	Skåne län	Skåne län	2	0	2013-05-19 00:44:50.849529+02	\N	\N	\N	\N	\N	\N	f	
446	96f6965d-69f3-41e4-971a-8d47fb58931a	Pohjanmaa	Pohjanmaa	2	0	2013-05-18 22:42:41.918777+02	\N	\N	\N	\N	\N	\N	f	
467	1e96315a-c4b6-4182-8c71-dd132b7037d8	Zeeland	Zeeland	2	0	2013-05-19 00:31:50.672123+02	\N	\N	\N	\N	\N	\N	f	
447	df500336-89a0-4dcc-9a33-1ca21e642867	Pohjois-Karjala	Pohjois-Karjala	2	0	2013-05-18 22:42:53.317279+02	\N	\N	\N	\N	\N	\N	f	
448	56788d4b-6aed-4596-9517-fad494e33344	Pohjois-Pohjanmaa	Pohjois-Pohjanmaa	2	0	2013-05-18 22:43:04.858768+02	\N	\N	\N	\N	\N	\N	f	
449	918c7656-6ea4-4bd6-beb8-71cf7138ff0d	Pohjois-Savo	Pohjois-Savo	2	0	2013-05-18 22:43:16.275872+02	\N	\N	\N	\N	\N	\N	f	
468	33c20196-8212-4975-b914-5d52855d94ff	Zuid-Holland	Zuid-Holland	2	0	2013-05-19 00:32:02.392848+02	\N	\N	\N	\N	\N	\N	f	
450	e3697577-963e-4a73-ad80-5ff065c6722a	Päijät-Häme	Päijät-Häme	2	0	2013-05-18 22:43:28.047136+02	\N	\N	\N	\N	\N	\N	f	
451	d6acfa6d-7162-45ea-8173-60f13c565686	Satakunta	Satakunta	2	0	2013-05-18 22:43:40.065155+02	\N	\N	\N	\N	\N	\N	f	
494	5189e378-49f7-4766-b5a5-627d79f16bec	Lubelskie	Lubelskie	2	0	2013-05-19 01:58:36.518824+02	\N	\N	\N	\N	\N	\N	f	
452	942bd6e5-e590-4202-b16f-de6335211dd5	Uusimaa	Uusimaa	2	0	2013-05-18 22:43:52.719658+02	\N	\N	\N	\N	\N	\N	f	
469	63ee9426-d32f-4593-a262-6401bc85c6ba	Stockholms län	Stockholms län	2	0	2013-05-19 00:42:10.590961+02	\N	\N	\N	\N	\N	\N	f	
453	fd7766ed-e5fa-4d98-8a20-18db2a908cef	Varsinais-Suomi	Varsinais-Suomi	2	0	2013-05-18 22:44:04.150182+02	\N	\N	\N	\N	\N	\N	f	
1954	96542cfb-8d3f-409d-96cc-94b718c17ade	Tišina	Tišina	2	0	2013-05-20 17:29:01.221301+02	\N	\N	\N	\N	\N	\N	f	
481	7f13ff1e-e767-4496-96d5-c202bbd21515	Hallands län	Hallands län	2	0	2013-05-19 00:45:15.782534+02	\N	\N	\N	\N	\N	\N	f	
470	c71ade00-7d50-4de8-9c72-cb275d6491a2	Västerbottens län	Västerbottens län	2	0	2013-05-19 00:42:21.752599+02	\N	\N	\N	\N	\N	\N	f	
457	7d016c46-5a71-4af0-bcf1-73e45e46cee4	Drenthe	Drenthe	2	0	2013-05-19 00:29:52.38624+02	\N	\N	\N	\N	\N	\N	f	
458	2d5e8f18-1188-4c8f-8354-211ea4380358	Flevoland	Flevoland	2	0	2013-05-19 00:30:06.155805+02	\N	\N	\N	\N	\N	\N	f	
471	658bcddb-dbca-4c84-8187-2f93b2897480	Norrbottens län	Norrbottens län	2	0	2013-05-19 00:42:32.903898+02	\N	\N	\N	\N	\N	\N	f	
459	8b571a8e-da65-451a-8748-020135594c70	Fryslân	Fryslân	2	0	2013-05-19 00:30:18.654867+02	\N	\N	\N	\N	\N	\N	f	
460	8a3749e4-4be2-4bc1-88cf-7a44d65f795e	Gelderland	Gelderland	2	0	2013-05-19 00:30:29.980029+02	\N	\N	\N	\N	\N	\N	f	
489	240a698a-2692-4839-b2bc-fa86471c80f6	Jämtlands län	Jämtlands län	2	0	2013-05-19 00:47:02.70423+02	\N	\N	\N	\N	\N	\N	f	
461	de709c26-7ea1-4d71-988e-8d796596f136	Groningen	Groningen	2	0	2013-05-19 00:30:41.366557+02	\N	\N	\N	\N	\N	\N	f	
472	8402526a-eb34-4429-9227-7794cbc59c37	Uppsala län	Uppsala län	2	0	2013-05-19 00:42:44.133189+02	\N	\N	\N	\N	\N	\N	f	
462	10a879a3-fe49-4051-9d14-58509e5833aa	Limburg	Limburg	2	0	2013-05-19 00:30:54.365339+02	\N	\N	\N	\N	\N	\N	f	
463	1c0d61ab-8e5e-4c75-8636-d4e1a2c01e6a	Noord-Brabant	Noord-Brabant	2	0	2013-05-19 00:31:05.481915+02	\N	\N	\N	\N	\N	\N	f	
482	9d5d954d-5d88-42e3-8a55-f5b6a76a2f02	Västra Götalands län	Västra Götalands län	2	0	2013-05-19 00:45:40.535244+02	\N	\N	\N	\N	\N	\N	f	
464	61d4a9f2-68f1-4cec-a25f-e8f953954459	Noord-Holland	Noord-Holland	2	0	2013-05-19 00:31:16.719539+02	\N	\N	\N	\N	\N	\N	f	
473	3966ab58-2862-48ff-8b60-efaf0e852058	Södermanlands län	Södermanlands län	2	0	2013-05-19 00:42:55.366381+02	\N	\N	\N	\N	\N	\N	f	
465	1240a736-eef8-4607-9a34-10a39d0a26bb	Overijssel	Overijssel	2	0	2013-05-19 00:31:27.995623+02	\N	\N	\N	\N	\N	\N	f	
475	3ee07a57-23a2-4d10-965b-61a406bd8dc8	Jönköpings län	Jönköpings län	2	0	2013-05-19 00:43:19.162107+02	\N	\N	\N	\N	\N	\N	f	
483	aeba3a03-a5fe-4feb-baa9-6e88efdcc091	Värmlands län	Värmlands län	2	0	2013-05-19 00:45:52.657114+02	\N	\N	\N	\N	\N	\N	f	
476	cd3d395f-4f67-4a44-b372-8260410d4188	Kronobergs län	Kronobergs län	2	0	2013-05-19 00:43:30.415534+02	\N	\N	\N	\N	\N	\N	f	
15454	75124f09-fc09-4022-a832-63c2b85bf56d	Forano	Forano	4	0	2013-07-22 00:49:00.383353+02	\N	\N	\N	\N	\N	\N	f	
477	482d904f-c3fe-479c-b2fd-5fdbf4913dcc	Kalmar län	Kalmar län	2	0	2013-05-19 00:43:45.067163+02	\N	\N	\N	\N	\N	\N	f	
478	403b7b3d-c2ee-49d9-928b-527db11a85a2	Gotlands län	Gotlands län	2	0	2013-05-19 00:44:08.091831+02	\N	\N	\N	\N	\N	\N	f	
474	2901bc80-a47e-41bf-95aa-e5667ba1f1b8	Östergötlands län	Östergötlands län	2	0	2013-05-27 20:02:42.999068+02	\N	\N	\N	\N	\N	\N	f	
479	b8955c64-bd6a-4b6f-ba1c-3a105f9dc85d	Blekinge län	Blekinge län	2	0	2013-06-05 06:53:38.226877+02	\N	\N	\N	\N	\N	\N	f	
490	e01a7d82-16e5-4644-9359-eaf2cef729fa	Dolnośląskie	Dolnośląskie	2	0	2013-05-19 01:57:32.073005+02	\N	\N	\N	\N	\N	\N	f	
485	ee7d9558-9540-4f8e-9749-4841f7c7a954	Västmanlands län	Västmanlands län	2	0	2013-05-19 00:46:19.354937+02	\N	\N	\N	\N	\N	\N	f	
486	98b7c74f-3697-4dd1-afd3-5176503e623b	Dalarnas län	Dalarnas län	2	0	2013-05-19 00:46:30.116826+02	\N	\N	\N	\N	\N	\N	f	
498	15d8fc75-c719-4f6d-8818-a95a49304e77	Podlaskie	Podlaskie	2	0	2013-05-19 01:59:26.860852+02	\N	\N	\N	\N	\N	\N	f	
487	43bf66f7-e06e-4455-a878-1139b4687fc4	Gävleborgs län	Gävleborgs län	2	0	2013-05-19 00:46:40.809755+02	\N	\N	\N	\N	\N	\N	f	
495	c02806b4-ba8f-4b15-8531-f12a59fdc9b3	Małopolskie	Małopolskie	2	0	2013-05-19 01:58:52.454574+02	\N	\N	\N	\N	\N	\N	f	
488	a36d4526-1936-4b6e-9e48-a1c86d29fa00	Västernorrlands län	Västernorrlands län	2	0	2013-05-19 00:46:51.643748+02	\N	\N	\N	\N	\N	\N	f	
491	114ed91f-900e-4329-9031-896b183d8e1c	Kujawsko-pomorskie	Kujawsko-pomorskie	2	0	2013-05-19 01:57:52.341922+02	\N	\N	\N	\N	\N	\N	f	
492	8a3de21e-6bb8-4dcd-9460-5bdbe26ee2bc	Lubuskie	Lubuskie	2	0	2013-05-19 01:58:04.213303+02	\N	\N	\N	\N	\N	\N	f	
13709	4dc9a4eb-c345-453b-a3d7-d15021a07481	Zerba	Zerba	4	0	2013-07-21 18:55:06.217479+02	\N	\N	\N	\N	\N	\N	f	
454	48b6011b-bfe4-49c6-b215-a6a15b9af756	Bonaire	Bonaire	2	0	2013-06-05 09:54:50.891893+02	\N	\N	\N	\N	\N	\N	f	
496	52a0fd3a-8730-45d8-a3af-286f377d91b5	Mazowieckie	Mazowieckie	2	0	2013-05-19 01:59:03.585781+02	\N	\N	\N	\N	\N	\N	f	
499	770de882-48b7-45d7-a6df-7d426cedc39a	Podkarpackie	Podkarpackie	2	0	2013-05-19 01:59:37.829422+02	\N	\N	\N	\N	\N	\N	f	
497	5bd44f46-e60c-4cc3-9fa7-e45e5fd1bfb7	Opolskie	Opolskie	2	0	2013-05-19 01:59:15.069085+02	\N	\N	\N	\N	\N	\N	f	
501	c3f1e0ce-b9ef-4648-bb9c-c504cb6dae0f	Świętokrzyskie	Świętokrzyskie	2	0	2013-05-27 20:05:50.403306+02	\N	\N	\N	\N	\N	\N	f	
500	c277ffb1-7e0f-4d3b-8688-03471ecfe49a	Pomorskie	Pomorskie	2	0	2013-05-19 01:59:48.731122+02	\N	\N	\N	\N	\N	\N	f	
503	14fec11f-829b-4127-9a96-e83b272ed9ee	Warmińsko-mazurskie	Warmińsko-mazurskie	2	0	2013-05-19 02:00:22.311968+02	\N	\N	\N	\N	\N	\N	f	
502	34cee74b-bb90-4f7d-82c1-63ec20007145	Śląskie	Śląskie	2	0	2013-05-27 19:40:07.931065+02	\N	\N	\N	\N	\N	\N	f	
504	52e7ac8f-4a25-49c6-8637-1bdaa4b08d74	Wielkopolskie	Wielkopolskie	2	0	2013-05-19 02:00:33.344533+02	\N	\N	\N	\N	\N	\N	f	
505	78ab1f28-e113-4491-a483-09addee2ecdc	Zachodniopomorskie	Zachodniopomorskie	2	0	2013-05-19 02:00:44.425574+02	\N	\N	\N	\N	\N	\N	f	
506	6d72adc4-5c2d-4f9a-8e11-817f78aa6313	Adana	Adana	2	0	2013-06-05 10:14:28.818286+02	\N	\N	\N	\N	\N	\N	f	
456	4e1fa760-00ea-4dc8-8456-96104f683c2b	Sint Eustatius	Sint Eustatius	2	0	2013-05-19 22:29:04.779922+02	\N	\N	\N	\N	\N	\N	f	
507	624d4781-423b-40dd-ba6d-8a14110cb2b2	Adıyaman	Adıyaman	2	0	2013-06-05 09:50:30.343969+02	\N	\N	\N	\N	\N	\N	f	
14885	7abd570d-8abb-4519-908d-26ce4d78ca2c	Clavesana	Clavesana	4	0	2013-07-21 23:19:38.360284+02	\N	\N	\N	\N	\N	\N	f	
508	2a666de7-5582-45f2-907c-c6eb0a8d8523	Afyonkarahisar	Afyonkarahisar	2	0	2013-06-05 11:49:15.097173+02	\N	\N	\N	\N	\N	\N	f	
513	ca2ec50c-bc66-4536-8cdc-50bfe74dfb3f	Artvin	Artvin	2	0	2013-06-05 10:27:55.029178+02	\N	\N	\N	\N	\N	\N	f	
1993	45bacf0c-4944-455d-a9bc-d1c54679efeb	Komen	Komen	2	0	2013-05-20 17:36:55.075597+02	\N	\N	\N	\N	\N	\N	f	
455	79bbadb0-3942-429f-b943-ee749d00cb91	Saba	Saba	2	0	2013-05-19 22:29:05.299389+02	\N	\N	\N	\N	\N	\N	f	
2209	02c93149-a6a3-413b-aa4e-b6e375c3ea1b	Ipeiros	Ipeiros	2	0	2013-05-20 18:26:35.451873+02	\N	\N	\N	\N	\N	\N	f	
2245	be831bda-84b0-460c-970e-e40cc19d9fb3	Rezina	Rezina	2	0	2013-05-20 19:06:34.38948+02	\N	\N	\N	\N	\N	\N	f	
534	6daafc38-2bb8-4b50-ad7c-b4b13d10019f	Gümüşhane	Gümüşhane	2	0	2013-05-19 02:33:54.134654+02	\N	\N	\N	\N	\N	\N	f	
509	0e354e2c-f5c4-4e96-8243-e25066270f71	Ağrı	Ağrı	2	0	2013-06-05 08:54:33.297373+02	\N	\N	\N	\N	\N	\N	f	
511	4d49b426-fb79-4fa6-a6e0-47a0cd1691ca	Ankara	Ankara	2	0	2013-06-05 10:10:33.951259+02	\N	\N	\N	\N	\N	\N	f	
548	2aa6f0cd-a322-4f21-a237-868778b2cdf1	Kütahya	Kütahya	2	0	2013-05-19 02:36:44.426983+02	\N	\N	\N	\N	\N	\N	f	
580	7a620750-4f37-4d35-9d41-ff60498e81c6	Ardahan	Ardahan	2	0	2013-06-05 09:39:52.193339+02	\N	\N	\N	\N	\N	\N	f	
535	d87c4dc6-3a10-4bf9-85a4-ab194db2e1f3	Hakkâri	Hakkâri	2	0	2013-05-19 02:34:05.28675+02	\N	\N	\N	\N	\N	\N	f	
520	62d7af90-778d-4683-87d3-6a78e2318c9e	Burdur	Burdur	2	0	2013-06-05 07:46:16.277815+02	\N	\N	\N	\N	\N	\N	f	
573	694dfe80-8f93-422a-9dba-fac71c2bbfee	Aksaray	Aksaray	2	0	2013-06-05 10:00:14.891244+02	\N	\N	\N	\N	\N	\N	f	
516	501bdd8e-162c-4ceb-b7ab-e18549b643f3	Bilecik	Bilecik	2	0	2013-06-05 09:07:01.169317+02	\N	\N	\N	\N	\N	\N	f	
536	6d4887b6-cc83-4e98-a9df-a9deddc79c54	Hatay	Hatay	2	0	2013-05-19 02:34:16.191309+02	\N	\N	\N	\N	\N	\N	f	
13710	11d1a267-36b3-4d4b-8dca-5bb86b7c5976	Sparone	Sparone	4	0	2013-07-21 18:55:18.677453+02	\N	\N	\N	\N	\N	\N	f	
518	b2357a30-cab8-4425-afb3-fca7ccb1557f	Bitlis	Bitlis	2	0	2013-06-05 10:49:10.888382+02	\N	\N	\N	\N	\N	\N	f	
559	b4fa70e6-df30-44e6-899d-7aa8be0073a6	Sakarya	Sakarya	2	0	2013-05-19 02:38:51.991254+02	\N	\N	\N	\N	\N	\N	f	
579	aacb9c36-c773-4264-90b2-6ae45f25eb9c	Bartın	Bartın	2	0	2013-06-05 09:29:41.638931+02	\N	\N	\N	\N	\N	\N	f	
537	c4b91503-db7b-422e-9418-d01bffd74f6a	Isparta	Isparta	2	0	2013-05-19 02:34:26.960658+02	\N	\N	\N	\N	\N	\N	f	
512	d2072c35-0a30-4864-ae1e-2affad0b7d1a	Antalya	Antalya	2	0	2013-06-05 08:34:42.077223+02	\N	\N	\N	\N	\N	\N	f	
521	ca2d6640-977f-4732-b3c1-c8a052d9a6f8	Bursa	Bursa	2	0	2013-06-05 08:11:40.58162+02	\N	\N	\N	\N	\N	\N	f	
549	5234108d-d32e-4051-9ca1-5872b20a0a13	Malatya	Malatya	2	0	2013-05-19 02:36:55.551255+02	\N	\N	\N	\N	\N	\N	f	
510	7a79f793-dc9a-485f-bc7d-56bdad4e465b	Amasya	Amasya	2	0	2013-06-05 07:44:24.658571+02	\N	\N	\N	\N	\N	\N	f	
538	b3da90bc-2f37-4eb9-bd2f-5aa97d6200ba	Mersin	Mersin	2	0	2013-05-19 02:34:37.95649+02	\N	\N	\N	\N	\N	\N	f	
522	8fe5af2d-40af-40a9-abec-b15db1a08608	Çanakkale	Çanakkale	2	0	2013-05-27 19:58:40.367998+02	\N	\N	\N	\N	\N	\N	f	
14313	272608ec-2e0b-4edf-b2d2-5c50f8ea201e	Civitella d'Agliano	Civitella d'Agliano	4	0	2013-07-21 21:10:18.123609+02	\N	\N	\N	\N	\N	\N	f	
1955	ae64af60-fbfa-47f2-8ffa-812ee8c49a5b	Celje	Celje	2	0	2013-06-05 06:44:05.248134+02	\N	\N	\N	\N	\N	\N	f	
525	e82f3845-9bfd-4bd0-adc3-4f0f3bceaeef	Denizli	Denizli	2	0	2013-05-19 02:32:14.054296+02	\N	\N	\N	\N	\N	\N	f	
514	cd159785-b326-4a4e-af9f-b6e2ad527312	Aydın	Aydın	2	0	2013-06-05 07:42:20.537048+02	\N	\N	\N	\N	\N	\N	f	
526	d706a744-5c2d-4df6-b5e5-8017aa8aecd1	Diyarbakır	Diyarbakır	2	0	2013-05-19 02:32:25.09565+02	\N	\N	\N	\N	\N	\N	f	
13798	bd66f325-5cc5-4bcc-9103-1ca776e17ee1	Capo di Ponte	Capo di Ponte	4	0	2013-07-21 19:14:35.826445+02	\N	\N	\N	\N	\N	\N	f	
527	1808c073-6e0b-4997-a4f1-989c823d7155	Edirne	Edirne	2	0	2013-05-19 02:32:36.35332+02	\N	\N	\N	\N	\N	\N	f	
528	c0e062a8-c1fa-41d7-aa30-91f47d038e85	Elazığ	Elazığ	2	0	2013-05-19 02:32:47.436232+02	\N	\N	\N	\N	\N	\N	f	
524	073ae222-90db-4956-b088-20adb891bae1	Çorum	Çorum	2	0	2013-05-27 19:42:05.510861+02	\N	\N	\N	\N	\N	\N	f	
529	16bd264c-7e18-48ae-b824-99c6e17206ef	Erzincan	Erzincan	2	0	2013-05-19 02:32:58.6539+02	\N	\N	\N	\N	\N	\N	f	
530	819882a3-d10a-4363-a593-ba31a39b3152	Erzurum	Erzurum	2	0	2013-05-19 02:33:09.710851+02	\N	\N	\N	\N	\N	\N	f	
550	0a311d3b-0551-4d0f-bb4f-b4b543797cec	Manisa	Manisa	2	0	2013-05-19 02:37:09.040829+02	\N	\N	\N	\N	\N	\N	f	
531	0d8410b0-6142-40c6-a33f-3220f6f6c875	Eskişehir	Eskişehir	2	0	2013-05-19 02:33:20.639815+02	\N	\N	\N	\N	\N	\N	f	
532	f7918563-c9a0-4611-9fd8-b0a87ffeb7b4	Gaziantep	Gaziantep	2	0	2013-05-19 02:33:31.899028+02	\N	\N	\N	\N	\N	\N	f	
570	ca3ae523-c820-4f19-8966-adc9e76e72e3	Van	Van	2	0	2013-05-19 02:40:56.608205+02	\N	\N	\N	\N	\N	\N	f	
533	5ab3bfbd-f25c-4c77-924a-28cb4bbaf1bd	Giresun	Giresun	2	0	2013-05-19 02:33:42.889716+02	\N	\N	\N	\N	\N	\N	f	
551	407faa02-ab5e-4442-8fb0-14f03e346868	Kahramanmaraş	Kahramanmaraş	2	0	2013-05-19 02:37:22.635603+02	\N	\N	\N	\N	\N	\N	f	
541	48645dbc-cefa-4df8-86f5-9392ae04c114	Kars	Kars	2	0	2013-05-19 02:35:11.892326+02	\N	\N	\N	\N	\N	\N	f	
542	157de89e-ff5c-44ca-8306-1abe9315beb1	Kastamonu	Kastamonu	2	0	2013-05-19 02:35:22.941968+02	\N	\N	\N	\N	\N	\N	f	
560	4429f8bb-96f9-4e9e-86a0-610068484c2c	Samsun	Samsun	2	0	2013-05-19 02:39:03.07464+02	\N	\N	\N	\N	\N	\N	f	
543	a52b8001-e7fb-4c08-9049-3f16cad3a8ad	Kayseri	Kayseri	2	0	2013-05-19 02:35:33.979069+02	\N	\N	\N	\N	\N	\N	f	
552	d7731d14-ce77-4b93-ad60-f934a4cadfb8	Mardin	Mardin	2	0	2013-05-19 02:37:33.929482+02	\N	\N	\N	\N	\N	\N	f	
544	65c84432-4dbc-4eb9-a2e9-8e0c6fd57d90	Kırklareli	Kırklareli	2	0	2013-05-19 02:35:45.39098+02	\N	\N	\N	\N	\N	\N	f	
545	1da2ea30-edef-44a7-a193-783698ecac3d	Kırşehir	Kırşehir	2	0	2013-05-19 02:36:00.085443+02	\N	\N	\N	\N	\N	\N	f	
546	00d2e256-5743-4471-984c-ff782548477c	Kocaeli	Kocaeli	2	0	2013-05-19 02:36:13.077233+02	\N	\N	\N	\N	\N	\N	f	
553	9c1a58a3-eb56-48ac-8e1b-9683752966a4	Muğla	Muğla	2	0	2013-05-19 02:37:45.007118+02	\N	\N	\N	\N	\N	\N	f	
547	41eaabc6-019c-42d6-b835-76f0a84c3ac6	Konya	Konya	2	0	2013-05-19 02:36:32.578854+02	\N	\N	\N	\N	\N	\N	f	
567	89a61c05-1d96-48bd-bb71-2ed90b11478b	Tunceli	Tunceli	2	0	2013-05-19 02:40:22.598174+02	\N	\N	\N	\N	\N	\N	f	
554	c3c3e26a-0673-454d-b893-f2861e21398f	Muş	Muş	2	0	2013-05-19 02:37:56.17121+02	\N	\N	\N	\N	\N	\N	f	
561	82fd5364-2d9c-4615-9bf0-5367c9ab5c8e	Siirt	Siirt	2	0	2013-05-19 02:39:14.044268+02	\N	\N	\N	\N	\N	\N	f	
555	ea6ac4db-b6a9-4139-a872-4f9f6ad7aa1a	Nevşehir	Nevşehir	2	0	2013-05-19 02:38:07.196428+02	\N	\N	\N	\N	\N	\N	f	
556	f116dee9-ded2-42d0-bf5f-8309b071b972	Niğde	Niğde	2	0	2013-05-19 02:38:18.127916+02	\N	\N	\N	\N	\N	\N	f	
557	2df0f260-3060-4d74-99a0-cc7b4e38ae6f	Ordu	Ordu	2	0	2013-05-19 02:38:29.305824+02	\N	\N	\N	\N	\N	\N	f	
562	3d02d951-04c1-4af9-b89c-0ef264a13dba	Sinop	Sinop	2	0	2013-05-19 02:39:25.241098+02	\N	\N	\N	\N	\N	\N	f	
558	91ce44ec-b43e-4796-b991-ea8e04de9518	Rize	Rize	2	0	2013-05-19 02:38:40.47682+02	\N	\N	\N	\N	\N	\N	f	
563	19a1183e-79e2-4be9-873e-674ff6748e17	Sivas	Sivas	2	0	2013-05-19 02:39:36.523425+02	\N	\N	\N	\N	\N	\N	f	
523	82441293-9977-4ac9-8675-a2e9a0c0f1c2	Çankırı	Çankırı	2	0	2013-05-27 19:41:21.736514+02	\N	\N	\N	\N	\N	\N	f	
564	b938d7c9-9abd-4618-aef0-9e4e1f937948	Tekirdağ	Tekirdağ	2	0	2013-05-19 02:39:47.702398+02	\N	\N	\N	\N	\N	\N	f	
565	59ce500f-c200-4e30-b31d-b4dbd4ae08c9	Tokat	Tokat	2	0	2013-05-19 02:39:59.131507+02	\N	\N	\N	\N	\N	\N	f	
571	119e57b0-dbde-4f94-b156-73666f6d74e8	Yozgat	Yozgat	2	0	2013-05-19 02:41:09.298713+02	\N	\N	\N	\N	\N	\N	f	
566	35977b33-8aee-4c4d-a200-54ab6d052065	Trabzon	Trabzon	2	0	2013-05-19 02:40:10.421652+02	\N	\N	\N	\N	\N	\N	f	
574	e6282a06-3a05-4169-a8cf-9ed7dc9e15fc	Bayburt	Bayburt	2	0	2013-06-05 11:00:42.171264+02	\N	\N	\N	\N	\N	\N	f	
569	391079c8-dd9b-4fbe-a56c-d430766554fb	Uşak	Uşak	2	0	2013-05-19 02:40:45.261074+02	\N	\N	\N	\N	\N	\N	f	
576	54bf4637-a19c-45f6-a9cd-0dd3c7a43384	Kırıkkale	Kırıkkale	2	0	2013-05-19 02:42:22.483264+02	\N	\N	\N	\N	\N	\N	f	
572	a8a42189-e2b5-465c-8b46-f81db5ac2bfd	Zonguldak	Zonguldak	2	0	2013-05-19 02:41:20.486402+02	\N	\N	\N	\N	\N	\N	f	
14886	ce625520-9469-47f7-abea-1cb56dc9a3be	Demonte	Demonte	4	0	2013-07-21 23:19:52.730026+02	\N	\N	\N	\N	\N	\N	f	
575	de343b61-4116-48a0-8ef8-722d2bfcc867	Karaman	Karaman	2	0	2013-05-19 02:42:07.2937+02	\N	\N	\N	\N	\N	\N	f	
515	2da5d24b-7801-4005-aadd-3c04e4ad9b31	Balıkesir	Balıkesir	2	0	2013-06-05 09:55:15.86099+02	\N	\N	\N	\N	\N	\N	f	
581	d1245370-450c-4fc1-a455-bfcab677e117	Iğdır	Iğdır	2	0	2013-05-19 02:43:41.095416+02	\N	\N	\N	\N	\N	\N	f	
582	b879bbe6-92eb-4f92-b746-57d2e83eb478	Yalova	Yalova	2	0	2013-05-19 02:43:59.683462+02	\N	\N	\N	\N	\N	\N	f	
583	fc1403d5-afe3-48c4-9300-3a159e719fe7	Karabük	Karabük	2	0	2013-05-19 02:44:13.231006+02	\N	\N	\N	\N	\N	\N	f	
584	36cbe6c4-7672-4f36-a9b7-db9c8c8643a6	Kilis	Kilis	2	0	2013-05-19 02:44:24.946198+02	\N	\N	\N	\N	\N	\N	f	
585	949cab55-da35-4cd2-add4-c5afc5442451	Osmaniye	Osmaniye	2	0	2013-05-19 02:44:36.384099+02	\N	\N	\N	\N	\N	\N	f	
743	54d02e9c-25c3-460b-a90c-9411a1af68ac	Pécs	Pécs	3	0	2013-05-24 00:29:06.475322+02	\N	\N	\N	\N	\N	\N	f	
519	fd6a5315-e0a7-4bf4-9e8b-262c51f94561	Bolu	Bolu	2	0	2013-06-05 08:35:05.303178+02	\N	\N	\N	\N	\N	\N	f	
586	f2de0ee4-35b3-4cc1-8cef-816359162a7b	Düzce	Düzce	2	0	2013-05-19 02:44:50.051228+02	\N	\N	\N	\N	\N	\N	f	
610	e1384603-3a9e-4427-ac2d-4b8473e8e32c	Valais	Valais	2	0	2013-05-19 02:54:52.330019+02	\N	\N	\N	\N	\N	\N	f	
588	daec0765-b38e-4e74-acfc-6753ad6b7ae0	Appenzell Innerrhoden	Appenzell Innerrhoden	2	0	2013-06-05 12:17:09.892971+02	\N	\N	\N	\N	\N	\N	f	
625	4c754e1f-701d-41a3-87d6-6611b5f93a58	Espírito Santo	Espírito Santo	2	0	2013-05-19 03:01:49.807242+02	\N	\N	\N	\N	\N	\N	f	
587	a615e69f-02b7-4a46-9d1a-9a7d7523a493	Aargau	Aargau	2	0	2013-06-05 11:27:14.021517+02	\N	\N	\N	\N	\N	\N	f	
611	81c0bef1-9878-48bf-aaa2-e0342f0688cc	Zug	Zug	2	0	2013-05-19 02:55:11.867043+02	\N	\N	\N	\N	\N	\N	f	
590	df44433e-f5a3-4b06-9518-fb6841c72819	Bern	Bern	2	0	2013-06-05 10:31:09.198751+02	\N	\N	\N	\N	\N	\N	f	
657	8775329a-73e1-4770-8c4c-95d0430cf4d2	Assam	Assam	2	0	2013-06-05 09:34:26.224308+02	\N	\N	\N	\N	\N	\N	f	
592	d2e39224-187c-4346-b7c4-5d20ac1e11ac	Basel-Stadt	Basel-Stadt	2	0	2013-06-05 08:14:27.549841+02	\N	\N	\N	\N	\N	\N	f	
612	6e9c8367-459e-4271-ac33-7658cdeeb271	Zürich	Zürich	2	0	2013-05-19 02:55:29.031384+02	\N	\N	\N	\N	\N	\N	f	
593	b8da69a2-e38c-4873-b0d7-a727c27d5824	Fribourg	Fribourg	2	0	2013-05-19 02:49:43.910512+02	\N	\N	\N	\N	\N	\N	f	
594	46c8ae38-5d1f-4bca-a78b-0189fde74bba	Genève	Genève	2	0	2013-05-19 02:49:54.814657+02	\N	\N	\N	\N	\N	\N	f	
641	04c6bb81-fafb-4278-b0a2-f42d200b8ad5	Santa Catarina	Santa Catarina	2	0	2013-05-19 03:05:46.103588+02	\N	\N	\N	\N	\N	\N	f	
595	f55f9d22-e955-4cc4-aa5f-cf92cdf2555e	Glarus	Glarus	2	0	2013-05-19 02:50:07.606646+02	\N	\N	\N	\N	\N	\N	f	
596	360dc1f1-2174-468b-8a49-4c57ce705172	Graubünden	Graubünden	2	0	2013-05-19 02:50:21.799368+02	\N	\N	\N	\N	\N	\N	f	
597	9d813baa-b047-4ca6-b9a0-1645963e679c	Jura	Jura	2	0	2013-05-19 02:50:50.465265+02	\N	\N	\N	\N	\N	\N	f	
626	b0d88ac8-5a62-4b60-bcb0-f0fff28f5852	Goiás	Goiás	2	0	2013-05-19 03:02:15.489024+02	\N	\N	\N	\N	\N	\N	f	
598	50a7af21-30e8-4884-b238-6a615728ad23	Luzern	Luzern	2	0	2013-05-19 02:51:19.760385+02	\N	\N	\N	\N	\N	\N	f	
599	e1183381-0b89-4fd6-adfa-f33f2ece51bd	Neuchâtel	Neuchâtel	2	0	2013-05-19 02:51:53.724532+02	\N	\N	\N	\N	\N	\N	f	
600	77bd0809-b0f9-4eb1-9041-7d10dcc3990e	Nidwalden	Nidwalden	2	0	2013-05-19 02:52:21.177668+02	\N	\N	\N	\N	\N	\N	f	
601	60f0c1c9-13ee-4d6c-96e2-42824e596be1	Obwalden	Obwalden	2	0	2013-05-19 02:52:44.098868+02	\N	\N	\N	\N	\N	\N	f	
602	83811e81-c6de-42a5-8b28-231fbd545cc9	Sankt Gallen	Sankt Gallen	2	0	2013-05-19 02:53:03.064744+02	\N	\N	\N	\N	\N	\N	f	
603	443225e5-8724-4df0-8019-a8409686b0db	Schaffhausen	Schaffhausen	2	0	2013-05-19 02:53:25.374478+02	\N	\N	\N	\N	\N	\N	f	
635	bb7aee72-73c5-43df-b5f2-02f87382b1bf	Paraná	Paraná	2	0	2013-05-19 03:04:28.425387+02	\N	\N	\N	\N	\N	\N	f	
604	420454ef-31b7-464a-b812-2b155cbc8ac0	Solothurn	Solothurn	2	0	2013-05-19 02:53:38.87486+02	\N	\N	\N	\N	\N	\N	f	
605	796fd82b-30f6-4568-822a-d002e1316354	Schwyz	Schwyz	2	0	2013-05-19 02:53:49.726463+02	\N	\N	\N	\N	\N	\N	f	
606	d32929bd-4c78-4afa-8b25-f6a1355f9212	Thurgau	Thurgau	2	0	2013-05-19 02:54:00.578353+02	\N	\N	\N	\N	\N	\N	f	
627	38791b5a-1780-453b-986d-a6049918052c	Maranhão	Maranhão	2	0	2013-05-19 03:02:26.325283+02	\N	\N	\N	\N	\N	\N	f	
607	da6c509d-ebd1-4ad0-af18-5474fb6a3c5f	Ticino	Ticino	2	0	2013-05-19 02:54:14.559209+02	\N	\N	\N	\N	\N	\N	f	
608	92621676-3c24-4f10-bb31-af984de784d2	Uri	Uri	2	0	2013-05-19 02:54:29.749816+02	\N	\N	\N	\N	\N	\N	f	
609	2c333d07-cd97-440c-8c91-8833c921a04a	Vaud	Vaud	2	0	2013-05-19 02:54:41.396365+02	\N	\N	\N	\N	\N	\N	f	
13711	d5650415-9c8f-4426-8f2d-5cd9184af7d7	Lorenzana	Lorenzana	4	0	2013-07-21 18:55:30.466062+02	\N	\N	\N	\N	\N	\N	f	
628	9a660fa5-fba2-4172-86bc-62ce5de96250	Minas Gerais	Minas Gerais	2	0	2013-05-19 03:02:45.974634+02	\N	\N	\N	\N	\N	\N	f	
619	b9591e39-f170-4bf9-9bbb-aa6f2a83a425	Alagoas	Alagoas	2	0	2013-06-05 10:08:23.333783+02	\N	\N	\N	\N	\N	\N	f	
620	76ae6091-874d-41c7-835e-af474f59aded	Amazonas	Amazonas	2	0	2013-06-05 10:38:16.842758+02	\N	\N	\N	\N	\N	\N	f	
589	d29290f8-f150-4716-ba10-ef71f82a976a	Appenzell Ausserrhoden	Appenzell Ausserrhoden	2	0	2013-06-05 07:50:53.966354+02	\N	\N	\N	\N	\N	\N	f	
629	c6a3af9e-618b-461e-8f87-380656be4fb9	Mato Grosso do Sul	Mato Grosso do Sul	2	0	2013-05-19 03:03:04.922658+02	\N	\N	\N	\N	\N	\N	f	
622	943fc54c-e643-4a16-926d-08e0dedf5667	Bahia	Bahia	2	0	2013-06-05 09:11:39.958156+02	\N	\N	\N	\N	\N	\N	f	
623	d8b56a71-babe-4df4-a1b6-e35d797545ac	Ceará	Ceará	2	0	2013-06-05 09:53:06.250778+02	\N	\N	\N	\N	\N	\N	f	
636	7a317b09-3948-46f2-99da-a14355d6fff7	Rio de Janeiro	Rio de Janeiro	2	0	2013-05-19 03:04:40.176399+02	\N	\N	\N	\N	\N	\N	f	
624	0fae69cb-db5a-438c-9cbd-af63f5534e89	Distrito Federal	Distrito Federal	2	0	2013-05-19 03:01:37.558018+02	\N	\N	\N	\N	\N	\N	f	
630	6d26cbd7-ae74-45b9-b0ec-fcb92f9d4a5b	Mato Grosso	Mato Grosso	2	0	2013-05-19 03:03:20.895158+02	\N	\N	\N	\N	\N	\N	f	
658	8b7a43fc-0719-4cf5-b570-00a903a40ec5	Bihar	Bihar	2	0	2013-06-05 11:08:20.049342+02	\N	\N	\N	\N	\N	\N	f	
631	f77a7f18-a016-4d7b-9fd3-445bec361e77	Pará	Pará	2	0	2013-05-19 03:03:38.788453+02	\N	\N	\N	\N	\N	\N	f	
637	0c07f518-0ef5-4844-a920-a8daf76c09e3	Rio Grande do Norte	Rio Grande do Norte	2	0	2013-05-19 03:04:51.947756+02	\N	\N	\N	\N	\N	\N	f	
632	5da34452-6bae-45e5-9496-f9bf24029f06	Paraíba	Paraíba	2	0	2013-05-19 03:03:53.051802+02	\N	\N	\N	\N	\N	\N	f	
633	15060f0d-3bfc-4772-8299-bd45db706a40	Pernambuco	Pernambuco	2	0	2013-05-19 03:04:06.489422+02	\N	\N	\N	\N	\N	\N	f	
642	280a422f-abed-422c-99af-27ecd256de70	Sergipe	Sergipe	2	0	2013-05-19 03:05:56.907356+02	\N	\N	\N	\N	\N	\N	f	
634	ae67512d-8256-4b13-bb2a-98e2859dc7cd	Piauí	Piauí	2	0	2013-05-19 03:04:17.607094+02	\N	\N	\N	\N	\N	\N	f	
638	562909d8-4ee2-4147-bab5-28137a7c8674	Rondônia	Rondônia	2	0	2013-05-19 03:05:04.268476+02	\N	\N	\N	\N	\N	\N	f	
639	4d494362-7ba2-4390-8399-752943e4cd6e	Roraima	Roraima	2	0	2013-05-19 03:05:18.941494+02	\N	\N	\N	\N	\N	\N	f	
640	090f1b02-a616-4c9a-846a-e451e90ffed8	Rio Grande do Sul	Rio Grande do Sul	2	0	2013-05-19 03:05:32.435868+02	\N	\N	\N	\N	\N	\N	f	
643	204dd468-f79e-475d-94a7-64e417246439	São Paulo	São Paulo	2	0	2013-05-19 03:06:08.362122+02	\N	\N	\N	\N	\N	\N	f	
646	837417a1-e3fe-412a-a525-2622fd5aafa6	Kärnten	Kärnten	2	0	2013-05-19 03:06:49.674704+02	\N	\N	\N	\N	\N	\N	f	
644	e6deeab9-5999-4028-b353-968a39b8b707	Tocantins	Tocantins	2	0	2013-05-19 03:06:19.361939+02	\N	\N	\N	\N	\N	\N	f	
648	667229dd-a326-49c0-a282-bb7eb3fea5bc	Oberösterreich	Oberösterreich	2	0	2013-05-19 03:07:11.258659+02	\N	\N	\N	\N	\N	\N	f	
647	3daad85f-1712-476d-8c44-7a76969231ca	Niederösterreich	Niederösterreich	2	0	2013-05-19 03:07:00.194055+02	\N	\N	\N	\N	\N	\N	f	
649	e684b527-18ff-4f84-85db-4a66f3b10dd0	Salzburg	Salzburg	2	0	2013-05-19 03:07:22.22886+02	\N	\N	\N	\N	\N	\N	f	
7060	9a490eb7-8134-4d21-a438-a7725ade5ffd	Nowy Dwór Mazowiecki	Nowy Dwór Mazowiecki	3	0	2013-05-26 16:42:22.975944+02	\N	\N	\N	\N	\N	\N	f	
650	7500e764-604e-4576-b51c-5504f0db66a8	Steiermark	Steiermark	2	0	2013-05-19 03:07:32.932214+02	\N	\N	\N	\N	\N	\N	f	
651	94c82f6a-70ed-485e-aaa2-5dcf11f80e98	Tirol	Tirol	2	0	2013-05-19 03:07:43.711156+02	\N	\N	\N	\N	\N	\N	f	
652	eacec681-6fb0-4e14-96a1-e181320c5c07	Vorarlberg	Vorarlberg	2	0	2013-05-19 03:07:54.528192+02	\N	\N	\N	\N	\N	\N	f	
13861	dc70441d-29ec-49ff-a394-d4cae93f0d4b	Comezzano-Cizzago	Comezzano-Cizzago	4	0	2013-07-21 19:28:46.432918+02	\N	\N	\N	\N	\N	\N	f	
8376	a43c730f-27e6-41fd-9f0a-78e576583fef	Essex	Essex	3	0	2013-05-30 21:57:13.75186+02	\N	\N	\N	\N	\N	\N	f	
15455	4ff5b39f-7c55-45a6-af07-2aa208f513ac	Longone Sabino	Longone Sabino	4	0	2013-07-22 00:49:14.719929+02	\N	\N	\N	\N	\N	\N	f	
645	8df1819e-ba9b-44a4-9550-3a099c691a4c	Burgenland	Burgenland	2	0	2013-06-05 09:34:57.264593+02	\N	\N	\N	\N	\N	\N	f	
14319	42845965-af55-4edc-be6e-79c4e299a192	Gallese	Gallese	4	0	2013-07-21 21:11:28.606009+02	\N	\N	\N	\N	\N	\N	f	
618	93ca9825-7ed3-49e9-9292-52c1c9473ca0	Acre	Acre	2	0	2013-06-05 11:40:17.034323+02	\N	\N	\N	\N	\N	\N	f	
17279	e0282f31-9993-435c-afca-6e1c26ad77cb	Nughedu San Nicolò	Nughedu San Nicolò	4	0	2013-07-22 06:07:29.507122+02	\N	\N	\N	\N	\N	\N	f	
2210	b2aab078-3ded-422f-8cf8-02ad1dd39d9c	Thessalia	Thessalia	2	0	2013-05-20 18:26:45.989542+02	\N	\N	\N	\N	\N	\N	f	
2155	18c7aa3f-c12b-4ce5-8d54-ffdc6afdb1d9	Acquaviva	Acquaviva	2	0	2013-06-05 11:29:03.091636+02	\N	\N	\N	\N	\N	\N	f	
1994	6d6323e2-e49c-4222-9d6b-84b7d3165a20	Koper/Capodistria	Koper/Capodistria	2	0	2013-05-20 17:37:06.649259+02	\N	\N	\N	\N	\N	\N	f	
2020	721cca37-9226-49a3-b14f-64947814b15f	Mislinja	Mislinja	2	0	2013-05-20 17:42:38.578837+02	\N	\N	\N	\N	\N	\N	f	
2042	3ef93abe-ab35-4ebf-955f-7edbb02cd119	Rače-Fram	Rače-Fram	2	0	2013-05-20 17:47:43.295255+02	\N	\N	\N	\N	\N	\N	f	
2080	97194026-9b05-47bc-84f6-32f11f34d096	Vipava	Vipava	2	0	2013-05-20 17:54:58.181888+02	\N	\N	\N	\N	\N	\N	f	
2556	9a461cd4-1c43-4bd0-bce2-29642a4f2dd0	Yanggang-do	Yanggang-do	2	0	2013-05-20 21:18:23.758083+02	\N	\N	\N	\N	\N	\N	f	
2124	bdec630c-7ff0-4c60-a88d-c80f936c7622	Sveta Ana	Sveta Ana	2	0	2013-05-20 18:03:54.497553+02	\N	\N	\N	\N	\N	\N	f	
2211	3617a8f6-4375-4d73-8967-9acc622a8775	Ionia Nisia	Ionia Nisia	2	0	2013-05-20 18:26:56.590445+02	\N	\N	\N	\N	\N	\N	f	
3547	55ca770c-5760-41c8-9011-54ebfdc2986b	Benue	Benue	2	0	2013-06-05 11:42:14.894846+02	\N	\N	\N	\N	\N	\N	f	
2194	b750b3b2-2bd3-4b3f-9a9c-a30555b4ae71	Homyel'skaya voblasts'	Homyel'skaya voblasts'	2	0	2013-05-20 18:23:51.298895+02	\N	\N	\N	\N	\N	\N	f	
2246	4b0ac47c-87f2-4f76-918e-61ce08280293	Rîşcani	Rîşcani	2	0	2013-05-20 19:06:47.151345+02	\N	\N	\N	\N	\N	\N	f	
3222	da65d500-8ca4-457c-a0da-3570005b08ca	Vallée du Bandama (Région de la)	Vallée du Bandama (Région de la)	2	0	2013-05-21 01:05:46.78+02	\N	\N	\N	\N	\N	\N	f	
2282	754beac6-1cc5-4858-80a8-d495d708c39f	Dolneni	Dolneni	2	0	2013-05-20 19:13:34.174775+02	\N	\N	\N	\N	\N	\N	f	
2583	38543d5e-54b7-4c6f-b18c-b5b6ab6e8095	Dak Lak	Dak Lak	2	0	2013-05-20 22:21:10.661711+02	\N	\N	\N	\N	\N	\N	f	
2296	01865408-9524-4c5d-899a-e2603f0443e1	Konče	Konče	2	0	2013-05-20 19:16:11.695724+02	\N	\N	\N	\N	\N	\N	f	
2326	c4d606c2-2dfc-4838-9860-0543a48ca1fd	Staro Nagoričane	Staro Nagoričane	2	0	2013-05-20 19:22:03.96258+02	\N	\N	\N	\N	\N	\N	f	
2493	fae29ecd-634f-4356-a77e-0fc27fd28c5b	Aqmola oblysy	Aqmola oblysy	2	0	2013-06-05 10:06:25.274932+02	\N	\N	\N	\N	\N	\N	f	
2367	1e114e21-1cf2-4730-8d29-b1a64b920e11	Zaporiz'ka Oblast'	Zaporiz'ka Oblast'	2	0	2013-05-20 19:31:30.233667+02	\N	\N	\N	\N	\N	\N	f	
2614	5f6ead6f-3f46-4984-867e-ccd51f5ab365	Dien Bien	Dien Bien	2	0	2013-05-20 22:27:11.928546+02	\N	\N	\N	\N	\N	\N	f	
2380	b875a439-cc00-4b72-bba9-511f873dec9f	Ternopil's'ka Oblast'	Ternopil's'ka Oblast'	2	0	2013-05-20 19:34:36.855111+02	\N	\N	\N	\N	\N	\N	f	
2411	c770c24b-a616-44ec-a0a6-037cf768f37f	Kurganskaya oblast'	Kurganskaya oblast'	2	0	2013-05-20 19:41:52.325244+02	\N	\N	\N	\N	\N	\N	f	
5059	71ce186a-285d-4c01-b863-6e46bf10e249	Łódź	Łódź	3	0	2013-05-24 20:36:48.287576+02	\N	\N	\N	\N	\N	\N	f	
5242	1bf52e6e-d46b-4013-9427-3ad4446ecbc0	The Hague	The Hague	3	0	2013-05-24 22:55:43.985859+02	\N	\N	\N	\N	\N	\N	f	
2652	f2da8664-f8ab-430b-a054-b5f1efa8ee1a	Louang Namtha	Louang Namtha	2	0	2013-05-20 22:33:51.216381+02	\N	\N	\N	\N	\N	\N	f	
3556	50ed0c0d-fdce-4b38-882d-f67b003ebdbc	Abuja Federal Capital Territory	Abuja Federal Capital Territory	2	0	2013-06-05 10:24:58.034949+02	\N	\N	\N	\N	\N	\N	f	
2528	c5128567-32ef-4d25-896d-d7174c916f82	Bayan-Ölgiy	Bayan-Ölgiy	2	0	2013-06-05 10:56:40.808789+02	\N	\N	\N	\N	\N	\N	f	
13712	43807e9c-43d4-4758-a17c-b908da37ed16	Orciano Pisano	Orciano Pisano	4	0	2013-07-21 18:55:44.817835+02	\N	\N	\N	\N	\N	\N	f	
2675	3c0ad116-bfa0-4320-9124-a8b889e61d89	Rayong	Rayong	2	0	2013-05-20 22:38:16.54474+02	\N	\N	\N	\N	\N	\N	f	
2926	f5b609cb-e0f7-40af-9a1e-89f8c4e122d8	Ra’s al Khaymah	Ra’s al Khaymah	2	0	2013-05-20 23:52:44.29711+02	\N	\N	\N	\N	\N	\N	f	
2700	ce256065-5e0d-4e22-9a51-56997b8362a3	Mukdahan	Mukdahan	2	0	2013-05-20 22:43:17.840782+02	\N	\N	\N	\N	\N	\N	f	
2737	cb4308a3-4c90-4077-a9f8-9069f50f5c06	Pattani	Pattani	2	0	2013-05-20 22:50:31.294908+02	\N	\N	\N	\N	\N	\N	f	
2771	ea25d802-9c68-4d27-ad2e-70bee0516b29	Temburong	Temburong	2	0	2013-05-20 22:56:47.50425+02	\N	\N	\N	\N	\N	\N	f	
2964	15eb3c9b-820a-4c71-afa2-055e10761f0d	Tehrān	Tehrān	2	0	2013-05-21 00:01:17.705358+02	\N	\N	\N	\N	\N	\N	f	
2816	6c77b284-a0fe-4190-9d97-f4f0eeb842c8	Shan	Shan	2	0	2013-05-20 23:05:33.984325+02	\N	\N	\N	\N	\N	\N	f	
2824	05d4bceb-cc01-40ce-a998-dd1dc36d3974	Punakha	Punakha	2	0	2013-05-20 23:24:57.118201+02	\N	\N	\N	\N	\N	\N	f	
2852	5c2916a8-dde0-4285-8063-da5c6ef31a78	Azad Kashmir	Azad Kashmir	2	0	2013-06-05 10:22:14.341304+02	\N	\N	\N	\N	\N	\N	f	
2829	0df85625-2507-4460-a9a8-b46edc8864d1	Zhemgang	Zhemgang	2	0	2013-05-20 23:25:53.069043+02	\N	\N	\N	\N	\N	\N	f	
3022	9d5019b9-b8d9-4aed-94c0-5e5229d47958	Sabaragamuva paḷāta	Sabaragamuva paḷāta	2	0	2013-05-21 00:15:27.656683+02	\N	\N	\N	\N	\N	\N	f	
2835	42c50516-8f00-4d41-afdd-1115a39c414b	Gasa	Gasa	2	0	2013-05-20 23:27:01.249888+02	\N	\N	\N	\N	\N	\N	f	
660	99257295-776d-49ce-b3a8-037971f4e1c8	Chhattisgarh	Chhattisgarh	2	0	2013-06-05 10:35:23.779968+02	\N	\N	\N	\N	\N	\N	f	
2864	9223ad3d-9352-45f8-8144-f1ee9a95b46a	Fāryāb	Fāryāb	2	0	2013-05-20 23:32:10.862673+02	\N	\N	\N	\N	\N	\N	f	
3024	6166279e-13c9-4fc8-a65b-ae97011ef202	Male	Male	2	0	2013-05-21 00:15:54.883259+02	\N	\N	\N	\N	\N	\N	f	
2865	a8689087-7e92-49f8-b458-695341d3f1ca	Ghaznī	Ghaznī	2	0	2013-05-20 23:32:21.748037+02	\N	\N	\N	\N	\N	\N	f	
2883	9e8047ec-20d2-4fec-9e78-34beacc876e9	Paktiyā	Paktiyā	2	0	2013-05-20 23:35:45.109161+02	\N	\N	\N	\N	\N	\N	f	
3393	742ea85d-bb34-49f0-827a-38473d6f7f8d	North-Eastern	North-Eastern	2	0	2013-05-21 12:11:15.065742+02	\N	\N	\N	\N	\N	\N	f	
2903	16841b33-7388-4b5b-bab9-8993ed8d437b	Buxoro	Buxoro	2	0	2013-06-05 11:13:51.311244+02	\N	\N	\N	\N	\N	\N	f	
3060	b7cb4db9-6cb9-44d6-851e-cefc6b64e8a1	Umm Şalāl	Umm Şalāl	2	0	2013-05-21 00:26:02.707241+02	\N	\N	\N	\N	\N	\N	f	
19649	78311bd0-0a46-40d8-b27c-56739b6496e7	Crispiano	Crispiano	4	0	2013-07-22 11:11:46.529182+02	\N	\N	\N	\N	\N	\N	f	
3269	0fffbfb1-3e1d-48db-8ae7-07ec1ff0cef5	Tiaret	Tiaret	2	0	2013-05-21 11:32:17.280419+02	\N	\N	\N	\N	\N	\N	f	
659	f883deef-5c07-4aa1-853b-96f5900f81b9	Chandigarh	Chandigarh	2	0	2013-06-05 08:33:53.156721+02	\N	\N	\N	\N	\N	\N	f	
13893	36bac7db-2ad9-4404-b495-de8a081d0387	Boretto	Boretto	4	0	2013-07-21 19:36:38.428524+02	\N	\N	\N	\N	\N	\N	f	
3156	b7ed4cf5-1124-4f64-a980-0be4a7b1ded0	Ngozi	Ngozi	2	0	2013-05-21 00:53:15.465544+02	\N	\N	\N	\N	\N	\N	f	
3357	9e2243ca-0720-4dac-bb1a-af15a63773e0	Ogooué-Maritime	Ogooué-Maritime	2	0	2013-05-21 12:03:46.780575+02	\N	\N	\N	\N	\N	\N	f	
3175	69542b62-9e06-497f-a0c0-e15291165329	Kweneng	Kweneng	2	0	2013-05-21 00:56:44.31937+02	\N	\N	\N	\N	\N	\N	f	
3303	3c69059b-5965-4fd0-973d-0c4d5f1e4320	Relizane	Relizane	2	0	2013-05-21 11:38:27.878054+02	\N	\N	\N	\N	\N	\N	f	
3334	56df5457-e172-4334-88fb-905b4a880ef1	Janūbī al Baḩrī al Aḩmar	Janūbī al Baḩrī al Aḩmar	2	0	2013-05-21 11:44:00.950156+02	\N	\N	\N	\N	\N	\N	f	
3356	0a58fe78-6dd8-4036-b73f-5a32537fe442	Ogooué-Lolo	Ogooué-Lolo	2	0	2013-05-21 12:03:34.732249+02	\N	\N	\N	\N	\N	\N	f	
3368	e50d2bb5-2ae2-45b0-8b5f-295f27386a3d	Western	Western	2	0	2013-05-21 12:06:08.426288+02	\N	\N	\N	\N	\N	\N	f	
3411	9bb5d1ef-e346-4114-8bea-b18117ead23a	Nimba	Nimba	2	0	2013-05-21 13:22:50.021+02	\N	\N	\N	\N	\N	\N	f	
3378	5d787ce3-46f2-44ff-82e9-fccdfbcfe85e	Faranah	Faranah	2	0	2013-05-21 12:08:14.661068+02	\N	\N	\N	\N	\N	\N	f	
3455	732da036-eae9-4908-9fde-0bbc9f0c644b	Doukhala-Abda	Doukhala-Abda	2	0	2013-05-21 13:31:40.300226+02	\N	\N	\N	\N	\N	\N	f	
3438	e5c87f5b-76b7-4199-aa29-2f66eb22973d	Nālūt	Nālūt	2	0	2013-05-21 13:27:56.645248+02	\N	\N	\N	\N	\N	\N	f	
3484	64fe3241-3fff-4754-93f7-57cea66408d2	Dakhlet Nouâdhibou	Dakhlet Nouâdhibou	2	0	2013-05-21 13:37:01.964877+02	\N	\N	\N	\N	\N	\N	f	
3474	2f20e493-24f4-4f16-8b8d-5096c930d4cd	Gao	Gao	2	0	2013-05-21 13:35:12.548633+02	\N	\N	\N	\N	\N	\N	f	
3503	7c8979b0-1f3d-4e3c-aea0-ef44867818dd	Rodrigues Island	Rodrigues Island	2	0	2013-05-21 13:40:35.959504+02	\N	\N	\N	\N	\N	\N	f	
3523	6b4197bd-0f31-4991-9034-046c9a7626db	Hardap	Hardap	2	0	2013-05-21 13:44:15.64454+02	\N	\N	\N	\N	\N	\N	f	
3528	d78f3e24-dadc-4ed4-b255-3d4cd2bfa56b	Omaheke	Omaheke	2	0	2013-05-21 13:45:09.484454+02	\N	\N	\N	\N	\N	\N	f	
3566	2e1382b1-3949-4f85-8c87-6ac554f44d8f	Lagos	Lagos	2	0	2013-05-21 13:52:20.38455+02	\N	\N	\N	\N	\N	\N	f	
3577	56925af3-2e33-4ecf-a088-99e17fca7529	Yobe	Yobe	2	0	2013-05-21 13:54:23.394416+02	\N	\N	\N	\N	\N	\N	f	
4562	c6145d16-ea91-4e50-b7de-7afb141be41d	Jawa Timur	Jawa Timur	2	0	2013-05-22 14:08:43.645682+02	\N	\N	\N	\N	\N	\N	f	
5390	d0254a6f-8d1d-4f84-a1e2-fcbb9e78657d	Sosnowiec	Sosnowiec	3	0	2013-05-24 23:25:13.442454+02	\N	\N	\N	\N	\N	\N	f	
2916	9bc95568-7c5f-4659-b7e8-e1515e29f258	Ahal	Ahal	2	0	2013-06-05 08:47:45.822037+02	\N	\N	\N	\N	\N	\N	f	
3585	c5832593-f229-4c93-89e6-dc040381c29e	Anse Boileau	Anse Boileau	2	0	2013-06-05 11:52:05.73565+02	\N	\N	\N	\N	\N	\N	f	
661	bf83c90b-9d7c-422b-a4b1-8250a3510fb9	Daman and Diu	Daman and Diu	2	0	2013-05-19 03:10:03.7575+02	\N	\N	\N	\N	\N	\N	f	
1995	01f9fad2-bed4-43da-8386-7ae3fb4265d6	Kozje	Kozje	2	0	2013-05-20 17:37:17.885624+02	\N	\N	\N	\N	\N	\N	f	
2212	604f2e07-f13f-432e-867e-2005e7d45825	Dytiki Ellada	Dytiki Ellada	2	0	2013-05-20 18:27:07.314649+02	\N	\N	\N	\N	\N	\N	f	
2043	a7e86e99-6a45-4539-aa35-db02164ef21f	Radeče	Radeče	2	0	2013-05-20 17:47:54.874715+02	\N	\N	\N	\N	\N	\N	f	
2081	3e21d833-4e32-4848-b5cf-543acb3f67ea	Vitanje	Vitanje	2	0	2013-05-20 17:55:09.58904+02	\N	\N	\N	\N	\N	\N	f	
2125	3aec1f0c-96a8-4db9-90db-6d05908d5ae0	Sveti Andraž v Slovenskih goricah	Sveti Andraž v Slovenskih goricah	2	0	2013-05-20 18:04:05.617001+02	\N	\N	\N	\N	\N	\N	f	
1957	c7edf35c-68bc-424b-84b8-c3134afb28e9	Cerknica	Cerknica	2	0	2013-06-05 12:01:06.6673+02	\N	\N	\N	\N	\N	\N	f	
3061	4d134a77-7c49-4cce-b0dc-80e7644ac269	Al Wakrah	Al Wakrah	2	0	2013-06-05 11:03:04.389666+02	\N	\N	\N	\N	\N	\N	f	
2196	86a159ce-8b18-40be-9a53-7242ed0ee92e	Mahilyowskaya voblasts'	Mahilyowskaya voblasts'	2	0	2013-05-20 18:24:14.600461+02	\N	\N	\N	\N	\N	\N	f	
3586	33b08ec2-f604-4e69-a1e5-710a45db0b50	Anse Etoile	Anse Etoile	2	0	2013-06-05 12:30:37.491485+02	\N	\N	\N	\N	\N	\N	f	
2156	e42fee3e-df7d-4569-931f-899a561d306a	Chiesanuova	Chiesanuova	2	0	2013-06-05 10:53:35.917898+02	\N	\N	\N	\N	\N	\N	f	
3070	2b12139a-1469-4caa-9929-57c1a3194f52	Al Ḩudūd ash Shamālīyah	Al Ḩudūd ash Shamālīyah	2	0	2013-06-05 09:26:30.303027+02	\N	\N	\N	\N	\N	\N	f	
3348	64ca25d2-d3bb-4645-9b00-c1716b5ae855	Sumalē	Sumalē	2	0	2013-05-21 11:46:09.382644+02	\N	\N	\N	\N	\N	\N	f	
2328	1a0f5a6d-e57a-4e1c-8dc9-3200811863f0	Strumica	Strumica	2	0	2013-05-20 19:22:28.046843+02	\N	\N	\N	\N	\N	\N	f	
2584	45335bee-45ce-4be4-b49f-279f79b1b447	Khanh Hoa	Khanh Hoa	2	0	2013-05-20 22:21:21.780354+02	\N	\N	\N	\N	\N	\N	f	
2368	33635a21-84fb-484b-91cd-adc875a17b3c	Ivano-Frankivs'ka Oblast'	Ivano-Frankivs'ka Oblast'	2	0	2013-05-20 19:31:48.636618+02	\N	\N	\N	\N	\N	\N	f	
13713	cee850a5-d220-42fa-9b9a-d53403ec48c6	Sarmato	Sarmato	4	0	2013-07-21 18:55:56.853904+02	\N	\N	\N	\N	\N	\N	f	
3549	6c4ed057-a06b-4bde-bb50-229dc1bba59c	Bayelsa	Bayelsa	2	0	2013-06-05 11:51:50.872709+02	\N	\N	\N	\N	\N	\N	f	
2933	783345d6-a984-4124-9076-1aa1f8c71c2e	Ash Shamālīyah	Ash Shamālīyah	2	0	2013-06-05 10:44:12.074871+02	\N	\N	\N	\N	\N	\N	f	
2412	fc3cff5b-c47f-4ea2-aa93-2edcb8f95ef1	Khabarovskiy kray	Khabarovskiy kray	2	0	2013-05-20 19:42:03.577039+02	\N	\N	\N	\N	\N	\N	f	
2615	a9138197-b52a-484b-9c6d-d4a5e13f999c	Dak Nong	Dak Nong	2	0	2013-05-20 22:27:22.922244+02	\N	\N	\N	\N	\N	\N	f	
5060	dccd77b2-bd3d-49eb-a98f-fd58e87f481e	Rome	Rome	3	0	2013-05-24 20:37:08.831955+02	\N	\N	\N	\N	\N	\N	f	
2449	391c3811-f741-4926-b1b7-eb09c46cf961	Smolenskaya oblast'	Smolenskaya oblast'	2	0	2013-05-20 19:51:52.617891+02	\N	\N	\N	\N	\N	\N	f	
5243	309f8f03-51b5-4640-b4cf-d1a5e022ccf4	Porto	Porto	3	0	2013-05-24 22:55:54.126747+02	\N	\N	\N	\N	\N	\N	f	
2616	f959baaa-3b78-4566-a520-7c23de2d1458	Hau Giang	Hau Giang	2	0	2013-05-20 22:27:33.757663+02	\N	\N	\N	\N	\N	\N	f	
3335	80268f23-0a85-4d52-a0c2-15bf0598c626	Al Janūbī	Al Janūbī	2	0	2013-06-05 08:24:23.705212+02	\N	\N	\N	\N	\N	\N	f	
2542	fee9c74b-b87c-47ac-96ae-b46717ab36fa	Jeonrabugdo	Jeonrabugdo	2	0	2013-05-20 21:16:26.264974+02	\N	\N	\N	\N	\N	\N	f	
3137	4fd72c94-817c-4e62-a016-7607f64a1d95	Hauts-Bassins	Hauts-Bassins	2	0	2013-05-21 00:49:14.771535+02	\N	\N	\N	\N	\N	\N	f	
2626	7fb72c23-d86e-4763-8ee3-017df07d0b1c	Preah Vihear [Preăh Vihéar]	Preah Vihear [Preăh Vihéar]	2	0	2013-05-20 22:29:26.735528+02	\N	\N	\N	\N	\N	\N	f	
2935	628afefd-29fd-4b8e-a352-daff3e8e9309	H̱efa	H̱efa	2	0	2013-05-20 23:54:34.189147+02	\N	\N	\N	\N	\N	\N	f	
2653	67faef67-659f-4bb2-afbf-26641f0c2224	Louangphabang [Louang Prabang]	Louangphabang [Louang Prabang]	2	0	2013-05-20 22:34:02.141088+02	\N	\N	\N	\N	\N	\N	f	
2655	d8869250-a676-49d6-93b2-86d7334048b2	Phôngsali [Phong Saly]	Phôngsali [Phong Saly]	2	0	2013-05-20 22:34:26.10177+02	\N	\N	\N	\N	\N	\N	f	
2702	03a56c8b-5636-4487-887e-0e81584968dc	Lamphun	Lamphun	2	0	2013-05-20 22:43:44.92389+02	\N	\N	\N	\N	\N	\N	f	
2966	9a9efb77-1be8-4216-8566-d0a941767163	Khūzestān	Khūzestān	2	0	2013-05-21 00:01:40.322209+02	\N	\N	\N	\N	\N	\N	f	
2738	ad3cd6e2-2795-44dd-b116-d9b998e69401	Yala	Yala	2	0	2013-05-20 22:50:42.323918+02	\N	\N	\N	\N	\N	\N	f	
2772	711750ba-b099-4550-bd64-dcf930b628d2	Tutong	Tutong	2	0	2013-05-20 22:56:58.217074+02	\N	\N	\N	\N	\N	\N	f	
2825	afa8926a-d4f0-4fee-90db-fe9b692ce14e	Wangdue Phodrang	Wangdue Phodrang	2	0	2013-05-20 23:25:10.456416+02	\N	\N	\N	\N	\N	\N	f	
3025	cdd6d177-3af7-4b81-a989-c8d40eddefff	North Central	North Central	2	0	2013-05-21 00:16:09.160139+02	\N	\N	\N	\N	\N	\N	f	
2868	470d1d11-f85f-43f2-8978-74cce98a1137	Herāt	Herāt	2	0	2013-05-20 23:32:53.714286+02	\N	\N	\N	\N	\N	\N	f	
2869	9966bdf1-881d-4d0a-8c14-f7358285f060	Jowzjān	Jowzjān	2	0	2013-05-20 23:33:04.408803+02	\N	\N	\N	\N	\N	\N	f	
3176	9f2774da-f31c-43bf-8f8f-a0edd57bd770	North-East	North-East	2	0	2013-05-21 00:56:55.32976+02	\N	\N	\N	\N	\N	\N	f	
2878	a00b87fc-c539-4986-878a-3c586a5cb444	Nangarhār	Nangarhār	2	0	2013-05-20 23:34:43.286024+02	\N	\N	\N	\N	\N	\N	f	
5701	f1d50617-f817-45ca-9bc1-ace6d23caa0f	Dukla	Dukla	3	0	2013-05-25 00:33:52.06493+02	\N	\N	\N	\N	\N	\N	f	
3592	462925b6-d545-46d0-9ef3-cbceddc6d822	Bel Air	Bel Air	2	0	2013-06-05 11:40:26.826982+02	\N	\N	\N	\N	\N	\N	f	
3224	66d13da7-af7c-4dee-acc1-e19a258692d9	18 Montagnes (Région des)	18 Montagnes (Région des)	2	0	2013-05-27 19:47:59.428557+02	\N	\N	\N	\N	\N	\N	f	
2263	82597814-2c46-4677-aac3-c59e8d213128	Brvenica	Brvenica	2	0	2013-06-05 10:31:48.002429+02	\N	\N	\N	\N	\N	\N	f	
13715	f9b3362e-c6fe-4993-8114-b393173547c6	Guardistallo	Guardistallo	4	0	2013-07-21 18:56:20.299857+02	\N	\N	\N	\N	\N	\N	f	
3096	29ecc685-8e12-4246-a46d-8bcf84734fb4	Ḩaḑramawt	Ḩaḑramawt	2	0	2013-05-27 19:56:02.230597+02	\N	\N	\N	\N	\N	\N	f	
2285	9399085b-cd47-40b9-a923-05c03ddf734e	Želino	Želino	2	0	2013-05-27 19:45:53.505285+02	\N	\N	\N	\N	\N	\N	f	
3439	40817ede-5669-4203-9b9a-7e9246030959	An Nuqaţ al Khams	An Nuqaţ al Khams	2	0	2013-06-05 11:59:49.659407+02	\N	\N	\N	\N	\N	\N	f	
3370	81bacfe2-3b99-401f-8e52-1aacc3179777	Lower River	Lower River	2	0	2013-05-21 12:06:29.794381+02	\N	\N	\N	\N	\N	\N	f	
3304	90b2e91a-e0f4-4284-893c-8c7ce8c1c73e	Al Iskandarīyah	Al Iskandarīyah	2	0	2013-06-05 12:07:09.473349+02	\N	\N	\N	\N	\N	\N	f	
3274	ab7328e3-9890-4a39-9de4-6a26bf478902	Sétif	Sétif	2	0	2013-05-21 11:33:10.834828+02	\N	\N	\N	\N	\N	\N	f	
14326	0d2238db-557e-4ac4-b48d-550d8b6c1ede	City of Lancaster	City of Lancaster	3	0	2013-07-21 21:13:06.586634+02	\N	\N	\N	\N	\N	\N	f	
3084	3988cb81-4c19-4eb8-b80c-8172a8883b69	Al Lādhiqīyah	Al Lādhiqīyah	2	0	2013-06-05 09:15:49.554828+02	\N	\N	\N	\N	\N	\N	f	
3412	7d195291-4565-4031-b748-ec51c14d760d	River Gee	River Gee	2	0	2013-05-21 13:23:01.006964+02	\N	\N	\N	\N	\N	\N	f	
3478	01901272-f1b2-42af-9745-a273aa14f636	Hodh el Gharbi	Hodh el Gharbi	2	0	2013-05-21 13:35:55.87654+02	\N	\N	\N	\N	\N	\N	f	
13729	99b6dc52-a552-4697-a22a-9c3ced39933c	Trausella	Trausella	4	0	2013-07-21 18:59:46.75332+02	\N	\N	\N	\N	\N	\N	f	
3531	be334ec3-2648-4c9b-8e9e-31ce47951b05	Omusati	Omusati	2	0	2013-05-21 13:45:42.359122+02	\N	\N	\N	\N	\N	\N	f	
3504	db9e793c-2281-45bf-ac76-1ddd784a6ec5	Rivière du Rempart	Rivière du Rempart	2	0	2013-05-21 13:40:46.584975+02	\N	\N	\N	\N	\N	\N	f	
3525	8385b7d1-e40a-40aa-8604-fe0b77a6ab7e	Khomas	Khomas	2	0	2013-05-21 13:44:37.102017+02	\N	\N	\N	\N	\N	\N	f	
14887	a4a140f8-da29-48d8-bc56-157596c991d6	Crissolo	Crissolo	4	0	2013-07-21 23:20:07.000404+02	\N	\N	\N	\N	\N	\N	f	
3535	efd7d637-5b9e-4e80-99e3-5a68eb1fd1d3	Diffa	Diffa	2	0	2013-05-21 13:46:26.727578+02	\N	\N	\N	\N	\N	\N	f	
3559	dde90094-42ca-4693-9231-1cd6a325be09	Jigawa	Jigawa	2	0	2013-05-21 13:51:05.664488+02	\N	\N	\N	\N	\N	\N	f	
3567	9db2f27f-2dc8-436a-b5b4-5bc99100e35b	Nassarawa	Nassarawa	2	0	2013-05-21 13:52:31.062783+02	\N	\N	\N	\N	\N	\N	f	
3568	fb3c51b0-3919-4fbb-be31-8cda5fcdfdb4	Niger	Niger	2	0	2013-05-21 13:52:42.017928+02	\N	\N	\N	\N	\N	\N	f	
3570	f7c0865a-927d-45b8-b3a6-d7b2501a0bab	Ondo	Ondo	2	0	2013-05-21 13:53:03.460504+02	\N	\N	\N	\N	\N	\N	f	
3578	805f3cf5-9074-4299-93a9-8a2a132f8cda	Zamfara	Zamfara	2	0	2013-05-21 13:54:34.321166+02	\N	\N	\N	\N	\N	\N	f	
14348	31da0d7c-ff40-4f45-bdc9-fcee3d993fdb	Alfiano Natta	Alfiano Natta	4	0	2013-07-21 21:18:26.346404+02	\N	\N	\N	\N	\N	\N	f	
15456	dac8acff-7bd8-4dee-880c-958077a94549	Castelnuovo di Farfa	Castelnuovo di Farfa	4	0	2013-07-22 00:49:26.515703+02	\N	\N	\N	\N	\N	\N	f	
2893	8e148744-f4d0-49fc-875b-b01f43adcc75	Bishkek	Bishkek	3	0	2013-05-24 02:14:58.702791+02	\N	\N	\N	\N	\N	\N	f	
4697	1cea178f-a39e-466f-b628-a6ed56446681	Rovigo	Rovigo	2	0	2013-05-22 14:47:27.620727+02	\N	\N	\N	\N	\N	\N	f	
662	ae724c3f-35ab-41f6-aa97-07c63f778fca	Delhi	Delhi	2	0	2013-05-19 03:10:14.616604+02	\N	\N	\N	\N	\N	\N	f	
663	943a6967-79d5-45cd-834e-2576153380bf	Dadra and Nagar Haveli	Dadra and Nagar Haveli	2	0	2013-05-19 03:10:25.565396+02	\N	\N	\N	\N	\N	\N	f	
690	e673d48d-9eec-4941-a5fe-9e6c330f9b26	Leinster	Leinster	2	0	2013-05-19 16:41:10.510006+02	\N	\N	\N	\N	\N	\N	f	
664	50332d7b-4cf9-4947-a791-b8ff95b07767	Goa	Goa	2	0	2013-05-19 03:10:36.282021+02	\N	\N	\N	\N	\N	\N	f	
686	842ce4dd-4e61-420d-aabf-f3005487ce60	Uttar Pradesh	Uttar Pradesh	2	0	2013-05-19 03:14:37.230062+02	\N	\N	\N	\N	\N	\N	f	
665	fcfdd9eb-cfa8-478d-8bce-9703bfa95dda	Gujarat	Gujarat	2	0	2013-05-19 03:10:47.041095+02	\N	\N	\N	\N	\N	\N	f	
666	bff0c577-eed0-4496-a0d3-9f34d12fd174	Himachal Pradesh	Himachal Pradesh	2	0	2013-05-19 03:10:57.744648+02	\N	\N	\N	\N	\N	\N	f	
667	ca888285-6e73-4823-8843-267b01dc0480	Haryana	Haryana	2	0	2013-05-19 03:11:08.424047+02	\N	\N	\N	\N	\N	\N	f	
687	b9b5b779-2343-4e72-a1d2-e050391fac28	Uttarakhand	Uttarakhand	2	0	2013-05-19 03:14:48.236628+02	\N	\N	\N	\N	\N	\N	f	
668	31c0eb71-18a4-4946-97a7-d732a35cb08f	Jharkhand	Jharkhand	2	0	2013-05-19 03:11:19.484646+02	\N	\N	\N	\N	\N	\N	f	
669	6c9c57c7-b882-4bd1-936b-f2bb4ac466b2	Jammu and Kashmir	Jammu and Kashmir	2	0	2013-05-19 03:11:30.971205+02	\N	\N	\N	\N	\N	\N	f	
703	1d48454d-7ad9-456d-8170-7a6dae2bd04d	La Pampa	La Pampa	2	0	2013-05-19 16:48:58.028781+02	\N	\N	\N	\N	\N	\N	f	
670	0ca39eb5-3e8a-4447-8ac9-f3f1e83f97c9	Karnataka	Karnataka	2	0	2013-05-19 03:11:42.025636+02	\N	\N	\N	\N	\N	\N	f	
691	f5ecb4b1-b287-4b01-9d7a-7c366ede50f9	Munster	Munster	2	0	2013-05-19 16:41:27.345985+02	\N	\N	\N	\N	\N	\N	f	
671	b93b3304-38fb-4615-8d7b-fda24616d825	Kerala	Kerala	2	0	2013-05-19 03:11:52.828018+02	\N	\N	\N	\N	\N	\N	f	
672	4dbeee93-758b-4cf9-8130-b98fa6ce3795	Lakshadweep	Lakshadweep	2	0	2013-05-19 03:12:03.728635+02	\N	\N	\N	\N	\N	\N	f	
673	02d26ad7-9445-42ee-8434-229698918c70	Maharashtra	Maharashtra	2	0	2013-05-19 03:12:14.770931+02	\N	\N	\N	\N	\N	\N	f	
692	7340c1ff-5c2b-4871-b557-efbaa557ee17	Ulster	Ulster	2	0	2013-05-19 16:41:42.591962+02	\N	\N	\N	\N	\N	\N	f	
674	6db6caf3-97aa-4fde-b795-5b7aa4dc1034	Meghalaya	Meghalaya	2	0	2013-05-19 03:12:26.493534+02	\N	\N	\N	\N	\N	\N	f	
675	d655bb1e-a215-4419-bd17-3272d9ea3ea7	Manipur	Manipur	2	0	2013-05-19 03:12:37.331709+02	\N	\N	\N	\N	\N	\N	f	
712	71f74901-50a6-4240-a73b-be3f8c51d2f4	Tierra del Fuego	Tierra del Fuego	2	0	2013-05-19 16:50:54.506425+02	\N	\N	\N	\N	\N	\N	f	
676	48adc76b-4299-4b06-bbd5-d1d0e3b98469	Madhya Pradesh	Madhya Pradesh	2	0	2013-05-19 03:12:48.042877+02	\N	\N	\N	\N	\N	\N	f	
693	7af9d1ab-5c47-4497-afd3-80260a69d225	Salta	Salta	2	0	2013-05-19 16:46:47.352861+02	\N	\N	\N	\N	\N	\N	f	
677	0775a6c9-b261-4c7e-9cdb-3f5f66da0b2e	Mizoram	Mizoram	2	0	2013-05-19 03:12:58.972472+02	\N	\N	\N	\N	\N	\N	f	
678	78a23764-7f80-4038-a474-45b8db67bfea	Nagaland	Nagaland	2	0	2013-05-19 03:13:09.708355+02	\N	\N	\N	\N	\N	\N	f	
704	078142c9-cdfb-4e99-b3e8-651af6173572	Mendoza	Mendoza	2	0	2013-05-19 16:49:09.032185+02	\N	\N	\N	\N	\N	\N	f	
679	6525c3dc-8fae-4c85-9fbc-5f13f5cda3fe	Orissa	Orissa	2	0	2013-05-19 03:13:20.507875+02	\N	\N	\N	\N	\N	\N	f	
680	8df37637-2eb2-424b-9e1d-c90586509826	Punjab	Punjab	2	0	2013-05-19 03:13:31.295032+02	\N	\N	\N	\N	\N	\N	f	
681	c8ede064-85bd-4d63-a2a2-d8414d845817	Puducherry (Pondicherry)	Puducherry (Pondicherry)	2	0	2013-05-19 03:13:42.799137+02	\N	\N	\N	\N	\N	\N	f	
682	306d11f2-dee6-47c8-86f4-7c474700471b	Rajasthan	Rajasthan	2	0	2013-05-19 03:13:53.59401+02	\N	\N	\N	\N	\N	\N	f	
683	769e13af-3580-4cf6-9a84-94105bdb0910	Sikkim	Sikkim	2	0	2013-05-19 03:14:04.387129+02	\N	\N	\N	\N	\N	\N	f	
684	150d0e1b-2416-4f23-ba79-e9c677324ad6	Tamil Nadu	Tamil Nadu	2	0	2013-05-19 03:14:15.343552+02	\N	\N	\N	\N	\N	\N	f	
685	9731a147-e6ff-4e60-9f74-9537ac36774a	Tripura	Tripura	2	0	2013-05-19 03:14:26.327286+02	\N	\N	\N	\N	\N	\N	f	
696	b1d26b74-30b4-4b57-9a6d-298570e097d6	San Luis	San Luis	2	0	2013-05-19 16:47:35.297325+02	\N	\N	\N	\N	\N	\N	f	
688	5b473d1f-6803-4ef2-a525-0519fc2ed2a8	West Bengal	West Bengal	2	0	2013-05-19 03:14:59.227819+02	\N	\N	\N	\N	\N	\N	f	
13714	f475389d-bb2b-45ab-850a-27f1889dbe47	Pomarance	Pomarance	4	0	2013-07-21 18:56:08.804715+02	\N	\N	\N	\N	\N	\N	f	
705	fa83d743-10e1-40c4-8679-4746dfb81e91	Misiones	Misiones	2	0	2013-05-19 16:49:20.485908+02	\N	\N	\N	\N	\N	\N	f	
697	b6f81cac-ce4a-420e-a26e-668c121bd377	Entre Ríos	Entre Ríos	2	0	2013-05-19 16:47:46.336982+02	\N	\N	\N	\N	\N	\N	f	
698	7d71113b-34ab-4c5f-8634-0a7c645ac6a7	La Rioja	La Rioja	2	0	2013-05-19 16:47:57.854189+02	\N	\N	\N	\N	\N	\N	f	
706	ca91a014-c2ea-4933-afbb-2693af18c6ee	Formosa	Formosa	2	0	2013-05-19 16:49:39.294966+02	\N	\N	\N	\N	\N	\N	f	
699	f2102dc1-43fc-4b14-8f44-f2bf8ef3d121	Santiago del Estero	Santiago del Estero	2	0	2013-05-19 16:48:12.343993+02	\N	\N	\N	\N	\N	\N	f	
700	fb6648cb-ea68-43e7-9f1f-a3b561f6d076	Chaco	Chaco	2	0	2013-06-05 11:48:50.487031+02	\N	\N	\N	\N	\N	\N	f	
714	02d22ccc-7cd3-4432-994e-95342d8b5112	Córdoba	Córdoba	2	0	2013-06-05 08:53:10.392771+02	\N	\N	\N	\N	\N	\N	f	
701	440070a9-70c4-4aa4-b2de-dbdb80c76d39	San Juan	San Juan	2	0	2013-05-19 16:48:34.789948+02	\N	\N	\N	\N	\N	\N	f	
707	5e1ad53b-b03e-4eed-8ce3-4bc8a80192e1	Neuquén	Neuquén	2	0	2013-05-19 16:49:51.478473+02	\N	\N	\N	\N	\N	\N	f	
702	213be5eb-0b5c-4989-a3f0-b86da46b435c	Catamarca	Catamarca	2	0	2013-06-05 12:20:08.87491+02	\N	\N	\N	\N	\N	\N	f	
2372	9c50516f-5315-4fba-a279-c09511dd6d5a	Sevastopol'	Sevastopol'	3	0	2013-05-24 00:41:04.680586+02	\N	\N	\N	\N	\N	\N	f	
708	d1807821-3007-4fb4-ba90-e4da179b3f4e	Río Negro	Río Negro	2	0	2013-05-19 16:50:07.026466+02	\N	\N	\N	\N	\N	\N	f	
720	87f750a3-698a-461a-9d4d-ffdf1c8ea32d	Bács-Kiskun	Bács-Kiskun	2	0	2013-06-05 09:33:44.926587+02	\N	\N	\N	\N	\N	\N	f	
709	54cad475-f076-4617-a6ac-290776bc811b	Santa Fe	Santa Fe	2	0	2013-05-19 16:50:19.933708+02	\N	\N	\N	\N	\N	\N	f	
710	952e7230-5088-41eb-a48a-fb9608ae67b4	Tucumán	Tucumán	2	0	2013-05-19 16:50:31.400916+02	\N	\N	\N	\N	\N	\N	f	
723	b764933f-6ac1-4084-8fe2-4bcc5cab9eca	Csongrád	Csongrád	2	0	2013-06-05 10:11:22.734993+02	\N	\N	\N	\N	\N	\N	f	
14330	950785a4-0d1a-49c5-a241-81500ac978c5	San Dorligo della Valle	San Dorligo della Valle	4	0	2013-07-21 21:13:57.073758+02	\N	\N	\N	\N	\N	\N	f	
715	c0ee2b9f-66c3-4d04-9a5e-74ac1fa475b6	Jujuy	Jujuy	2	0	2013-05-19 16:51:27.804777+02	\N	\N	\N	\N	\N	\N	f	
713	e3e68517-4f4e-4dbe-8772-f0132fdaec46	Corrientes	Corrientes	2	0	2013-06-05 08:21:16.280637+02	\N	\N	\N	\N	\N	\N	f	
716	a069aabc-e52a-4589-9dd9-42a4eb5c12a0	Santa Cruz	Santa Cruz	2	0	2013-05-19 16:51:43.549058+02	\N	\N	\N	\N	\N	\N	f	
717	321a81c0-c248-4194-8a3b-07795e9d4403	Baranya	Baranya	2	0	2013-06-05 07:10:25.040405+02	\N	\N	\N	\N	\N	\N	f	
738	b10d71db-77e2-4c30-ac51-f9565bff3a54	Miskolc	Miskolc	3	0	2013-05-24 00:27:50.201306+02	\N	\N	\N	\N	\N	\N	f	
689	99c3f001-64d3-4174-a302-fb14204117af	Connaught	Connaught	2	0	2013-06-05 10:43:18.686681+02	\N	\N	\N	\N	\N	\N	f	
727	0d0f807d-1be7-48b3-91eb-64f0ae49886a	Érd	Érd	3	0	2013-05-24 00:21:52.339602+02	\N	\N	\N	\N	\N	\N	f	
14890	4cb4c42a-f432-4e8c-b009-ac2d89854729	Costigliole Saluzzo	Costigliole Saluzzo	4	0	2013-07-21 23:20:44.360926+02	\N	\N	\N	\N	\N	\N	f	
725	8e7cc158-4f45-4002-ba7e-7605c067d48e	Dunaújváros	Dunaújváros	3	0	2013-05-24 00:21:56.165606+02	\N	\N	\N	\N	\N	\N	f	
730	3330bec1-aaa5-4856-ac3e-2e5af3913912	Győr	Győr	3	0	2013-05-24 00:23:34.869094+02	\N	\N	\N	\N	\N	\N	f	
726	80f11581-7d63-4354-8377-cc28f8da11bd	Eger	Eger	3	0	2013-05-24 00:21:53.052199+02	\N	\N	\N	\N	\N	\N	f	
728	bd61cca1-ac7c-4159-a5d1-4c4ec5f85825	Fejér	Fejér	2	0	2013-05-19 18:07:55.454535+02	\N	\N	\N	\N	\N	\N	f	
729	3500d466-d94c-43ad-bfed-c6449d8b7ce7	Győr-Moson-Sopron	Győr-Moson-Sopron	2	0	2013-05-19 18:08:06.668128+02	\N	\N	\N	\N	\N	\N	f	
2530	0c220b8d-4eda-43be-96e9-5d1a180cadc5	Ulaanbaatar	Ulaanbaatar	3	0	2013-05-24 01:21:09.387719+02	\N	\N	\N	\N	\N	\N	f	
731	b8ceefc4-8cd2-47a2-b2f5-0e98d4f9628c	Hajdú-Bihar	Hajdú-Bihar	2	0	2013-05-19 18:08:28.753619+02	\N	\N	\N	\N	\N	\N	f	
5061	352a31d4-65ce-497c-a938-f979151a4c11	Wąchock	Wąchock	3	0	2013-05-24 20:37:26.335265+02	\N	\N	\N	\N	\N	\N	f	
732	74c42553-f3ba-4dcf-85c6-5b118bb2eff6	Heves	Heves	2	0	2013-05-19 18:08:59.212216+02	\N	\N	\N	\N	\N	\N	f	
17280	e1711021-bce0-4af2-8339-109658e4c5f7	Brezzo di Bedero	Brezzo di Bedero	4	0	2013-07-22 06:07:32.318342+02	\N	\N	\N	\N	\N	\N	f	
7061	1f11750f-a081-48d1-9c85-12ba01692b4c	Brodnica	Brodnica	3	0	2013-05-26 16:42:34.988371+02	\N	\N	\N	\N	\N	\N	f	
15457	b1468954-7870-416b-b32c-8a6b078a7756	Labro	Labro	4	0	2013-07-22 00:49:40.795083+02	\N	\N	\N	\N	\N	\N	f	
719	70b1bdc5-eaf5-4881-8bd8-fdc2bf1335dc	Békés	Békés	2	0	2013-06-05 08:18:32.509665+02	\N	\N	\N	\N	\N	\N	f	
724	9492f71b-41c0-4e53-9731-72ca988cdfd4	Debrecen	Debrecen	3	0	2013-05-24 00:20:57.642568+02	\N	\N	\N	\N	\N	\N	f	
734	bf5a9e53-1f62-4f0d-a410-228a6766100a	Jász-Nagykun-Szolnok	Jász-Nagykun-Szolnok	2	0	2013-05-19 18:09:22.665726+02	\N	\N	\N	\N	\N	\N	f	
735	0c71a6e8-b96f-4f51-9521-26e9d8015fbd	Komárom-Esztergom	Komárom-Esztergom	2	0	2013-05-19 18:09:33.965312+02	\N	\N	\N	\N	\N	\N	f	
2369	51c526a4-ed34-4eaf-94cf-0b96cd019d47	Kyïv	Kyïv	3	0	2013-05-24 00:41:05.75898+02	\N	\N	\N	\N	\N	\N	f	
5245	34561d69-c0ed-4675-b7c2-f6ad499fc0ed	Mariupol	Mariupol	3	0	2013-05-24 22:56:14.953582+02	\N	\N	\N	\N	\N	\N	f	
2213	ae96b089-fd9b-409f-b363-e3b0f6123552	Sterea Ellada	Sterea Ellada	2	0	2013-05-20 18:27:19.14775+02	\N	\N	\N	\N	\N	\N	f	
739	0e4bb3ec-4b52-4b31-920b-4f9778473373	Nagykanizsa	Nagykanizsa	3	0	2013-05-24 00:27:53.150384+02	\N	\N	\N	\N	\N	\N	f	
1996	a9a9c706-c406-4244-beac-81acfc9b629e	Kranj	Kranj	2	0	2013-05-20 17:37:29.061236+02	\N	\N	\N	\N	\N	\N	f	
2005	6c0c8518-ad2c-4e23-b940-421831eba351	Ljubljana	Ljubljana	2	0	2013-05-20 17:39:09.646711+02	\N	\N	\N	\N	\N	\N	f	
2044	18d13515-b2d4-4a36-a41b-d4234cf4030c	Radenci	Radenci	2	0	2013-05-20 17:48:07.430543+02	\N	\N	\N	\N	\N	\N	f	
2236	83de18b2-e0f7-4d76-9feb-fcb6673f5cf5	Floreşti	Floreşti	2	0	2013-05-20 19:04:40.39591+02	\N	\N	\N	\N	\N	\N	f	
2053	fea5afe3-0e4e-432c-ac35-ac7996acf576	Semič	Semič	2	0	2013-05-20 17:49:49.346374+02	\N	\N	\N	\N	\N	\N	f	
2082	52d3d9b4-c206-4e4b-8243-337b6b90948b	Vodice	Vodice	2	0	2013-05-20 17:55:23.718222+02	\N	\N	\N	\N	\N	\N	f	
2558	035d4a1b-8361-45b1-a2b6-0fa17dc7b750	Lai Chau	Lai Chau	2	0	2013-05-20 22:15:52.970041+02	\N	\N	\N	\N	\N	\N	f	
2248	bb4721d4-eff2-487a-aba4-ce2c0721b665	Sîngerei	Sîngerei	2	0	2013-05-20 19:07:08.91481+02	\N	\N	\N	\N	\N	\N	f	
2158	f2892bb3-5ea4-4f2f-b7c7-322016b57c48	Faetano	Faetano	2	0	2013-05-20 18:11:17.904227+02	\N	\N	\N	\N	\N	\N	f	
2197	2032a2d1-81bc-4b4b-99f3-d898d28beb87	Minskaya voblasts'	Minskaya voblasts'	2	0	2013-05-20 18:24:25.479386+02	\N	\N	\N	\N	\N	\N	f	
2606	2b67c873-fe79-4f6f-9419-01061a8cc56f	Ca Mau	Ca Mau	2	0	2013-06-05 10:26:35.519967+02	\N	\N	\N	\N	\N	\N	f	
2287	ad903198-9801-4d84-b79f-893180af079e	Zelenikovo	Zelenikovo	2	0	2013-05-20 19:14:29.453642+02	\N	\N	\N	\N	\N	\N	f	
2204	a4487bfd-55d3-4f54-8378-20de87d5cfa5	Keryneia	Keryneia	2	0	2013-05-20 18:25:40.492335+02	\N	\N	\N	\N	\N	\N	f	
2886	ffb85961-ea76-4d29-9c5f-441586669143	Sar-e Pul	Sar-e Pul	2	0	2013-05-20 23:36:20.064341+02	\N	\N	\N	\N	\N	\N	f	
2292	ef7e4592-649a-425c-aa49-27b8f055c31c	Karbinci	Karbinci	2	0	2013-05-20 19:15:26.387453+02	\N	\N	\N	\N	\N	\N	f	
2585	569cccb9-57d8-4618-bc2a-519e4484200a	Lam Dong	Lam Dong	2	0	2013-05-20 22:21:32.677822+02	\N	\N	\N	\N	\N	\N	f	
2329	ca622026-7373-42c8-b6d3-7e50a8d15e7f	Studeničani	Studeničani	2	0	2013-05-20 19:22:39.677557+02	\N	\N	\N	\N	\N	\N	f	
2370	783981f6-86e6-437e-849a-b95bb9039336	Kyïvs'ka Oblast'	Kyïvs'ka Oblast'	2	0	2013-05-20 19:32:16.419327+02	\N	\N	\N	\N	\N	\N	f	
2413	485bcc38-f11a-4758-99c3-245eac07dd64	Khanty-Mansiyskiy avtonomnyy okrug-Yugra	Khanty-Mansiyskiy avtonomnyy okrug-Yugra	2	0	2013-05-20 19:42:16.283376+02	\N	\N	\N	\N	\N	\N	f	
2600	fa298a1e-da5e-413d-8fd5-48602dbaaff9	Bac Kan	Bac Kan	2	0	2013-06-05 09:02:51.788546+02	\N	\N	\N	\N	\N	\N	f	
5062	9aee8c1a-c7d5-4713-af71-c022bccf50b4	Lisbon	Lisbon	3	0	2013-05-24 20:37:37.763342+02	\N	\N	\N	\N	\N	\N	f	
5391	dc8a23e0-335b-4abb-b120-6416f81ed9bf	Myszyniec	Myszyniec	3	0	2013-05-24 23:25:24.816096+02	\N	\N	\N	\N	\N	\N	f	
2496	4373bebc-ac03-465d-be32-8763f10fa994	Almaty oblysy	Almaty oblysy	2	0	2013-06-05 09:50:04.742865+02	\N	\N	\N	\N	\N	\N	f	
5702	1c5de209-875c-451d-b481-db6e75c72aef	Qorveh-e Darjazin	Qorveh-e Darjazin	3	0	2013-05-25 00:34:07.047958+02	\N	\N	\N	\N	\N	\N	f	
3062	07eb9329-1bf2-4a35-87ce-57b9c051e3be	Az̧ Za̧‘āyin	Az̧ Za̧‘āyin	2	0	2013-06-05 10:27:33.359267+02	\N	\N	\N	\N	\N	\N	f	
2126	69a746ce-ff55-4854-a687-81719e6502b6	Šempeter-Vrtojba	Šempeter-Vrtojba	2	0	2013-05-27 19:46:37.467733+02	\N	\N	\N	\N	\N	\N	f	
2919	db21c424-a40a-419b-b0ed-d706c8fa489b	Lebap	Lebap	2	0	2013-05-20 23:42:38.16822+02	\N	\N	\N	\N	\N	\N	f	
2531	aa03e165-4c73-4959-91c0-a99f9fa8ecab	Seoul	Seoul	3	0	2013-05-24 02:19:28.89437+02	\N	\N	\N	\N	\N	\N	f	
2654	c6a494a6-5abf-4057-a691-e330ed2f4c54	Oudômxai [Oudomsai]	Oudômxai [Oudomsai]	2	0	2013-05-20 22:34:15.195238+02	\N	\N	\N	\N	\N	\N	f	
2661	8eb0789d-2742-417b-ad59-f29d9a706c57	Xékong [Sékong]	Xékong [Sékong]	2	0	2013-05-20 22:35:36.702373+02	\N	\N	\N	\N	\N	\N	f	
2934	8f51fd77-89d9-4b70-ad27-492298424037	HaDarom	HaDarom	2	0	2013-05-20 23:54:23.222009+02	\N	\N	\N	\N	\N	\N	f	
2706	ae73be09-b636-4061-bada-b9c8884d11d5	Nan	Nan	2	0	2013-05-20 22:44:37.254434+02	\N	\N	\N	\N	\N	\N	f	
2739	a223af63-403a-4bff-bcfb-46ac1a32b6eb	Narathiwat	Narathiwat	2	0	2013-05-20 22:50:53.335194+02	\N	\N	\N	\N	\N	\N	f	
3138	017ba238-d196-45f3-8d67-c89f5d05943a	Nord	Nord	2	0	2013-05-21 00:49:28.420888+02	\N	\N	\N	\N	\N	\N	f	
2773	71a9f5dc-6b9b-45ea-913b-84ee9268cf63	National Capital Region	National Capital Region	2	0	2013-05-20 22:57:10.508197+02	\N	\N	\N	\N	\N	\N	f	
2968	3cff0f78-d625-4482-9a87-eed20687106f	Semnān	Semnān	2	0	2013-05-21 00:02:07.971435+02	\N	\N	\N	\N	\N	\N	f	
2795	70da59b3-1055-46d5-8e05-a16de0fc0828	Díli	Díli	2	0	2013-05-20 23:01:30.238613+02	\N	\N	\N	\N	\N	\N	f	
2826	4b5c9f69-c677-48d5-9898-e32d8717cd9a	Sarpang	Sarpang	2	0	2013-05-20 23:25:21.021959+02	\N	\N	\N	\N	\N	\N	f	
2873	d425eb7f-873f-478e-a873-793c7bc41a05	Kunduz	Kunduz	2	0	2013-05-20 23:33:48.319865+02	\N	\N	\N	\N	\N	\N	f	
3275	0ec5584d-37e3-41e0-bd55-0695d7a35a30	Saïda	Saïda	2	0	2013-05-21 11:33:21.566855+02	\N	\N	\N	\N	\N	\N	f	
3027	d4b90dc4-a90c-4c45-bcfe-8a9c9c99efaf	South Central	South Central	2	0	2013-05-21 00:16:35.594087+02	\N	\N	\N	\N	\N	\N	f	
3139	65a00a65-bccc-4fc9-8d02-95c801870541	Plateau-Central	Plateau-Central	2	0	2013-05-21 00:49:42.017592+02	\N	\N	\N	\N	\N	\N	f	
3454	f90cede5-e449-486f-9a60-cb2c830a5de2	Chaouia-Ouardigha	Chaouia-Ouardigha	2	0	2013-06-05 10:59:37.377647+02	\N	\N	\N	\N	\N	\N	f	
3087	ab8f2f24-8c5f-4252-b9fc-d3c8c651be49	Rīf Dimashq	Rīf Dimashq	2	0	2013-05-21 00:32:30.054759+02	\N	\N	\N	\N	\N	\N	f	
13716	747944ca-df01-4dec-924a-1d37b6e29c09	Lajatico	Lajatico	4	0	2013-07-21 18:56:31.733353+02	\N	\N	\N	\N	\N	\N	f	
3215	3732f1a8-1ded-440b-884e-2f4096cecc65	Kouilou	Kouilou	2	0	2013-05-21 01:04:40.996495+02	\N	\N	\N	\N	\N	\N	f	
3103	e6e136ea-8f39-4667-b6c6-a7441c9d4b51	Al Mahrah	Al Mahrah	2	0	2013-06-05 07:39:05.554557+02	\N	\N	\N	\N	\N	\N	f	
1958	36c92e4d-3cd3-4218-a18a-ec9cf93a873f	Cerkno	Cerkno	2	0	2013-06-05 09:14:48.280243+02	\N	\N	\N	\N	\N	\N	f	
3178	097dac22-d9da-46aa-9451-684db5846249	South-East	South-East	2	0	2013-05-21 00:57:17.290474+02	\N	\N	\N	\N	\N	\N	f	
3195	ff70368f-4c3d-49b9-b35f-dde21142a5ae	Haute-Kotto	Haute-Kotto	2	0	2013-05-21 01:00:57.45242+02	\N	\N	\N	\N	\N	\N	f	
2617	dfc8640b-b043-4b0f-8aac-0dcda02fcc30	Can Tho	Can Tho	3	0	2013-05-24 01:13:48.620672+02	\N	\N	\N	\N	\N	\N	f	
3481	ff2d7188-4bd9-4428-9409-d23a95afbc14	Brakna	Brakna	2	0	2013-06-05 07:36:14.043848+02	\N	\N	\N	\N	\N	\N	f	
3225	0b65ba21-bf32-4667-afe5-749533cef19f	Lacs (Région des)	Lacs (Région des)	2	0	2013-05-21 01:06:18.443523+02	\N	\N	\N	\N	\N	\N	f	
3338	7f5891a9-904b-4719-a696-45a0d333800f	Shimālī al Baḩrī al Aḩmar	Shimālī al Baḩrī al Aḩmar	2	0	2013-05-21 11:44:47.380769+02	\N	\N	\N	\N	\N	\N	f	
3226	58e6799c-bc63-49c3-b844-f62c827c3573	Zanzan (Région du)	Zanzan (Région du)	2	0	2013-05-21 01:06:28.899761+02	\N	\N	\N	\N	\N	\N	f	
2450	808e1ef8-5390-4300-a615-c4df977cc349	Sankt-Peterburg	Sankt-Peterburg	3	0	2013-07-29 22:39:23.073069+02	\N	\N	\N	\N	\N	\N	f	
3373	2f1420f0-13b5-45a4-b32d-5e52199502b8	Upper River	Upper River	2	0	2013-05-21 12:07:05.772861+02	\N	\N	\N	\N	\N	\N	f	
3384	39c05d97-2509-43ca-bc1b-b84e1d867c8b	Región Insular	Región Insular	2	0	2013-05-21 12:09:29.785974+02	\N	\N	\N	\N	\N	\N	f	
3388	6a7ad6dc-3ffb-43de-b965-db0dee530c72	Sul	Sul	2	0	2013-05-21 12:10:10.395943+02	\N	\N	\N	\N	\N	\N	f	
3413	2b470769-eb21-440a-ba1b-0b178fe5809e	Rivercess	Rivercess	2	0	2013-05-21 13:23:14.462403+02	\N	\N	\N	\N	\N	\N	f	
3440	b791a6c7-ce79-410b-b4b8-532ec461b34f	Sabhā	Sabhā	2	0	2013-05-21 13:28:21.742938+02	\N	\N	\N	\N	\N	\N	f	
3450	0bc5a69a-84b1-45a1-9bd5-a5a10430f651	Fès-Boulemane	Fès-Boulemane	2	0	2013-05-21 13:30:29.061598+02	\N	\N	\N	\N	\N	\N	f	
3460	1c256f77-c068-4537-b32b-b080ec2704f8	Laâyoune-Boujdour-Sakia el Hamra	Laâyoune-Boujdour-Sakia el Hamra	2	0	2013-05-21 13:32:38.136329+02	\N	\N	\N	\N	\N	\N	f	
3462	584cb447-3843-4d98-b4e8-be26c09d03cf	Toamasina	Toamasina	2	0	2013-05-21 13:33:00.029324+02	\N	\N	\N	\N	\N	\N	f	
3305	cf82cb78-741a-46e8-8448-13b824261ca0	Aswān	Aswān	2	0	2013-06-05 09:29:17.223118+02	\N	\N	\N	\N	\N	\N	f	
740	f327094d-c57e-4550-a768-e6a122137f2b	Nógrád	Nógrád	2	0	2013-05-19 18:10:31.801998+02	\N	\N	\N	\N	\N	\N	f	
14336	51d2c6f3-2a8c-49a7-b7ac-d5f749a04e1b	Cernusco Lombardone	Cernusco Lombardone	4	0	2013-07-21 21:15:22.847062+02	\N	\N	\N	\N	\N	\N	f	
1997	e9546854-2bdb-4a7a-8366-9f7061201109	Kranjska Gora	Kranjska Gora	2	0	2013-05-20 17:37:40.064643+02	\N	\N	\N	\N	\N	\N	f	
2045	635248fd-8ebb-49fa-a3ad-715992c6b874	Radlje ob Dravi	Radlje ob Dravi	2	0	2013-05-20 17:48:18.538314+02	\N	\N	\N	\N	\N	\N	f	
2083	b8fbc803-a91d-45d5-a234-8d287aa9833f	Vojnik	Vojnik	2	0	2013-05-20 17:55:35.350816+02	\N	\N	\N	\N	\N	\N	f	
2127	58157602-0d62-459f-a911-ef2b474c37e5	Tabor	Tabor	2	0	2013-05-20 18:04:29.314803+02	\N	\N	\N	\N	\N	\N	f	
2250	79955053-af72-40fb-9cc0-753d8f36784e	Soroca	Soroca	2	0	2013-05-20 19:07:30.978668+02	\N	\N	\N	\N	\N	\N	f	
2159	5c851007-7803-4943-ad45-a713635fc1ae	Fiorentino	Fiorentino	2	0	2013-05-20 18:11:32.319775+02	\N	\N	\N	\N	\N	\N	f	
2198	02503953-a453-45e0-a522-63224342d696	Vitsyebskaya voblasts'	Vitsyebskaya voblasts'	2	0	2013-05-20 18:24:35.987768+02	\N	\N	\N	\N	\N	\N	f	
2559	c3a1f7b6-f50d-4a88-8fa0-1c61c6b08043	Lao Cai	Lao Cai	2	0	2013-05-20 22:16:05.868053+02	\N	\N	\N	\N	\N	\N	f	
2288	63393dda-9689-4fc7-ba00-71d66b5b23b9	Zrnovci	Zrnovci	2	0	2013-05-20 19:14:40.18052+02	\N	\N	\N	\N	\N	\N	f	
2293	57d021de-6a62-4ee1-a14f-73ec2a8fb35e	Karpoš	Karpoš	2	0	2013-05-20 19:15:39.032269+02	\N	\N	\N	\N	\N	\N	f	
2294	4a7f33db-1b9e-44f5-aaed-ff63b0dee597	Kisela Voda	Kisela Voda	2	0	2013-05-20 19:15:50.029454+02	\N	\N	\N	\N	\N	\N	f	
2586	748c3ce1-b387-498b-9e81-8b322edb3b80	Ninh Thuan	Ninh Thuan	2	0	2013-05-20 22:21:43.525936+02	\N	\N	\N	\N	\N	\N	f	
2298	4730bce3-0c68-419a-be14-8bf9ff94a977	Kratovo	Kratovo	2	0	2013-05-20 19:16:34.140354+02	\N	\N	\N	\N	\N	\N	f	
2303	4c108469-71e1-4317-b956-e10fd92f0169	Lipkovo	Lipkovo	2	0	2013-05-20 19:17:28.968862+02	\N	\N	\N	\N	\N	\N	f	
2922	5f00e0c3-5817-4378-a64d-028571f5d4e4	'Ajmān	'Ajmān	2	0	2013-05-27 20:01:32.430229+02	\N	\N	\N	\N	\N	\N	f	
2331	8c8e18b0-fb3c-421e-86cb-c24105cd8f84	Tetovo	Tetovo	2	0	2013-05-20 19:23:02.473903+02	\N	\N	\N	\N	\N	\N	f	
5063	951a1739-ed81-4e60-8941-2674f7e12498	Vrhnika	Vrhnika	3	0	2013-05-24 20:37:54.83158+02	\N	\N	\N	\N	\N	\N	f	
2371	3bef8750-f0fe-42b4-82f0-562a4875c246	Kirovohrads'ka Oblast'	Kirovohrads'ka Oblast'	2	0	2013-05-20 19:32:28.490216+02	\N	\N	\N	\N	\N	\N	f	
2414	4ee64aff-5e83-4747-92e8-7d0ab2a1310a	Kirovskaya oblast'	Kirovskaya oblast'	2	0	2013-05-20 19:42:27.584919+02	\N	\N	\N	\N	\N	\N	f	
13717	5569adf0-7d7d-4db1-ba5c-2114702e73a2	Cascina	Cascina	4	0	2013-07-21 18:56:46.360811+02	\N	\N	\N	\N	\N	\N	f	
2497	fdae6cdd-ce2e-4634-be88-ca56d6a081f2	Astana	Astana	3	0	2013-05-24 01:19:15.605178+02	\N	\N	\N	\N	\N	\N	f	
2642	11832ad5-9cdf-48d2-b25d-87bd8e7e00e8	Kampong Thum [Kâmpóng Thum]	Kampong Thum [Kâmpóng Thum]	2	0	2013-05-20 22:32:09.707392+02	\N	\N	\N	\N	\N	\N	f	
2451	eae1f983-f8dd-4e81-9b1f-9af8b48fc51c	Stavropol'skiy kray	Stavropol'skiy kray	2	0	2013-05-20 19:52:28.647226+02	\N	\N	\N	\N	\N	\N	f	
2740	cf8b8f84-d150-45ad-9d7d-a1d52f92475b	Pattaya	Pattaya	3	0	2013-05-24 01:45:31.119941+02	\N	\N	\N	\N	\N	\N	f	
5246	15c5ef04-3f80-485f-87ee-d538d1dfa3f1	Tallahassee	Tallahassee	3	0	2013-05-24 22:56:25.24308+02	\N	\N	\N	\N	\N	\N	f	
15458	f6f22df1-085f-4cd0-a6d0-93f59c10ad0e	Collegiove	Collegiove	4	0	2013-07-22 00:49:52.395128+02	\N	\N	\N	\N	\N	\N	f	
3339	8474f16d-03a0-4a09-adf3-df2d1e65ba2f	Ādīs Ābeba	Ādīs Ābeba	2	0	2013-05-27 19:49:25.145781+02	\N	\N	\N	\N	\N	\N	f	
2656	d8433cec-7fc5-4b5a-9239-7080aa25187d	Salavan [Saravane]	Salavan [Saravane]	2	0	2013-05-20 22:34:36.896673+02	\N	\N	\N	\N	\N	\N	f	
2925	1f99dbe0-05aa-42bc-bab0-f67ac4820c99	Al Fujayrah	Al Fujayrah	2	0	2013-06-05 11:06:00.479783+02	\N	\N	\N	\N	\N	\N	f	
2686	badde3f2-2398-4091-8c0f-817fe6e7a563	Ubon Ratchathani	Ubon Ratchathani	2	0	2013-05-20 22:40:21.072192+02	\N	\N	\N	\N	\N	\N	f	
2688	8a15a245-55f6-4963-b6c7-e963934fa474	Chaiyaphum	Chaiyaphum	2	0	2013-06-05 07:12:13.422124+02	\N	\N	\N	\N	\N	\N	f	
3023	39a9b231-a6b7-4034-b0ec-23e27dbbf3b8	Central	Central	2	0	2013-06-05 10:47:01.373059+02	\N	\N	\N	\N	\N	\N	f	
2708	6c29b501-9526-4584-930a-106a8c884d63	Chiang Rai	Chiang Rai	2	0	2013-06-05 12:04:01.254875+02	\N	\N	\N	\N	\N	\N	f	
2937	6f680024-6768-4673-a387-9e9e712195a8	HaMerkaz	HaMerkaz	2	0	2013-05-20 23:54:59.940381+02	\N	\N	\N	\N	\N	\N	f	
2709	5481e328-10c1-422b-95e1-a148e4e725f2	Mae Hong Son	Mae Hong Son	2	0	2013-05-20 22:45:12.186187+02	\N	\N	\N	\N	\N	\N	f	
2837	2b435dea-264b-49db-8355-e9eb2cb2a8b5	Barisal	Barisal	2	0	2013-06-05 06:47:47.179877+02	\N	\N	\N	\N	\N	\N	f	
2752	92f6eade-9f6d-4370-87ad-b9f3ffa573b0	Pulau Pinang	Pulau Pinang	2	0	2013-05-20 22:53:16.293274+02	\N	\N	\N	\N	\N	\N	f	
2970	224bd5b9-9cc8-4456-b41a-0f6768948619	Fārs	Fārs	2	0	2013-05-21 00:02:33.175679+02	\N	\N	\N	\N	\N	\N	f	
2774	c19eb54c-6f59-4d37-ba61-246343cfc2ef	Ilocos (Region I)	Ilocos (Region I)	2	0	2013-05-20 22:57:21.529431+02	\N	\N	\N	\N	\N	\N	f	
2827	cb4afc17-3e0f-4926-9bd8-ef0e05fd7823	Trongsa	Trongsa	2	0	2013-05-20 23:25:31.64244+02	\N	\N	\N	\N	\N	\N	f	
3210	a32121e3-f11c-4b92-b597-9d209eaa90d6	Pool	Pool	2	0	2013-05-21 01:03:51.052991+02	\N	\N	\N	\N	\N	\N	f	
3104	738f0962-3e30-42ec-b5d0-64abb18a4e91	Al Maḩwīt	Al Maḩwīt	2	0	2013-06-05 08:17:48.809179+02	\N	\N	\N	\N	\N	\N	f	
3098	89a6a0fc-74aa-4562-8e9f-6bea88dff0c3	Al Ḩudaydah	Al Ḩudaydah	2	0	2013-06-05 10:10:08.452907+02	\N	\N	\N	\N	\N	\N	f	
2875	a7ffaeb8-b1cd-4ac2-9a77-15e595c073bd	Kunar	Kunar	2	0	2013-05-20 23:34:09.881982+02	\N	\N	\N	\N	\N	\N	f	
2975	b66b7ed7-f6a3-4985-8943-1773761c6ad8	Gīlān	Gīlān	2	0	2013-05-21 00:03:49.711301+02	\N	\N	\N	\N	\N	\N	f	
3018	f98bc970-5108-476a-85f5-8546f494551e	Næ̆gĕnahira paḷāta	Næ̆gĕnahira paḷāta	2	0	2013-05-21 00:14:33.586863+02	\N	\N	\N	\N	\N	\N	f	
3227	582912eb-2fc6-4026-a0da-376eca1e2acc	Bas-Sassandra (Région du)	Bas-Sassandra (Région du)	2	0	2013-06-05 11:07:32.726041+02	\N	\N	\N	\N	\N	\N	f	
3122	eba8b648-165f-4178-866f-3cf3f91b5a71	Lunda Sul	Lunda Sul	2	0	2013-05-21 00:46:30.426836+02	\N	\N	\N	\N	\N	\N	f	
3028	a97dcf43-d4ec-4da2-a72b-6451a7d807fa	South	South	2	0	2013-05-21 00:16:52.995886+02	\N	\N	\N	\N	\N	\N	f	
3039	4aadba73-22d2-48c1-8e32-c6bffc785b5e	Z̧ufār	Z̧ufār	2	0	2013-05-21 00:19:52.361727+02	\N	\N	\N	\N	\N	\N	f	
17281	e50d1a52-ad8a-4c65-bd15-5a78839948cc	Perfugas	Perfugas	4	0	2013-07-22 06:07:43.899766+02	\N	\N	\N	\N	\N	\N	f	
3276	56e218e9-7208-4f8e-b9bc-20faa6d89047	Skikda	Skikda	2	0	2013-05-21 11:33:32.121308+02	\N	\N	\N	\N	\N	\N	f	
3550	18afb07d-6f51-40d4-a3b6-89f9df57ecc3	Cross River	Cross River	2	0	2013-06-05 08:05:30.953195+02	\N	\N	\N	\N	\N	\N	f	
3223	80ebee5e-b122-4cba-90c2-094dfb6d7e85	Moyen-Comoé (Région du)	Moyen-Comoé (Région du)	2	0	2013-05-21 01:05:57.201254+02	\N	\N	\N	\N	\N	\N	f	
3132	c1477285-caa5-4a4d-93db-9d866e9c53ee	Centre-Est	Centre-Est	2	0	2013-06-05 08:25:39.471101+02	\N	\N	\N	\N	\N	\N	f	
3140	59befb38-40ea-443b-acc6-4ff95c1d0563	Sahel	Sahel	2	0	2013-05-21 00:49:52.725531+02	\N	\N	\N	\N	\N	\N	f	
20281	f77b63c8-a485-47e3-b6e1-8960cad77b8e	Gizzeria	Gizzeria	4	0	2013-07-22 20:42:25.605707+02	\N	\N	\N	\N	\N	\N	f	
3179	0a8a423a-a7e4-413a-961c-f389725cfb20	Southern	Southern	2	0	2013-05-21 00:57:31.118115+02	\N	\N	\N	\N	\N	\N	f	
3442	9a77bc38-7527-4bdf-a0ba-28567314ca97	Al Wāḩāt	Al Wāḩāt	2	0	2013-06-05 11:22:53.826428+02	\N	\N	\N	\N	\N	\N	f	
3345	bda949af-d9e9-46c3-9fee-d26a2fc565cb	Hārerī Hizb	Hārerī Hizb	2	0	2013-05-21 11:45:46.284342+02	\N	\N	\N	\N	\N	\N	f	
3236	a645b76b-2a9d-42e7-b5af-2b82601c849b	Fromager (Région du)	Fromager (Région du)	2	0	2013-05-21 01:08:18.59867+02	\N	\N	\N	\N	\N	\N	f	
3375	47271de3-9fe8-4bca-b862-0a438199ffa0	Boké	Boké	2	0	2013-06-05 09:03:59.567906+02	\N	\N	\N	\N	\N	\N	f	
3414	60d19394-fc82-478e-986e-a0cdd1125463	Sinoe	Sinoe	2	0	2013-05-21 13:23:25.405187+02	\N	\N	\N	\N	\N	\N	f	
3491	6153612d-4327-401e-ad8e-3668a56657b9	Black River	Black River	2	0	2013-06-05 09:21:33.630176+02	\N	\N	\N	\N	\N	\N	f	
3482	609a9656-f6bd-4f4c-a88d-d56a792e9213	Trarza	Trarza	2	0	2013-05-21 13:36:39.741316+02	\N	\N	\N	\N	\N	\N	f	
3505	f7eed08f-4426-480f-87f7-ea8910e781ce	Savanne	Savanne	2	0	2013-05-21 13:40:57.721765+02	\N	\N	\N	\N	\N	\N	f	
3526	7276449f-7043-46b4-a927-b048685e3fd0	Kunene	Kunene	2	0	2013-05-21 13:44:47.773135+02	\N	\N	\N	\N	\N	\N	f	
3530	685d9bc3-d4db-4ccf-a685-5b419dbb293f	Oshana	Oshana	2	0	2013-05-21 13:45:31.121352+02	\N	\N	\N	\N	\N	\N	f	
3560	0a77f0b2-60ff-4349-bf55-8e3ed0f378f1	Kaduna	Kaduna	2	0	2013-05-21 13:51:16.419723+02	\N	\N	\N	\N	\N	\N	f	
3569	791de9fe-d225-46ce-9965-7d13ad3a45f1	Ogun	Ogun	2	0	2013-05-21 13:52:52.721292+02	\N	\N	\N	\N	\N	\N	f	
2618	580ccbbd-9391-4c22-bb87-1c3b6a7608b5	Da Nang	Da Nang	3	0	2013-05-24 01:13:42.668288+02	\N	\N	\N	\N	\N	\N	f	
742	b96293b9-ebde-4b1c-afad-f8e613d4e598	Pest	Pest	2	0	2013-05-19 18:11:11.269904+02	\N	\N	\N	\N	\N	\N	f	
5064	4014ae20-e3df-48a0-bbfd-882da585c39d	Plovdiv	Plovdiv	3	0	2013-05-24 20:38:07.310461+02	\N	\N	\N	\N	\N	\N	f	
795	98d7df3b-6d45-4b65-ba34-aa0ea7696384	Escaldes-Engordany	Escaldes-Engordany	2	0	2013-05-19 18:44:16.597347+02	\N	\N	\N	\N	\N	\N	f	
5247	976cf6e1-e909-4ae9-a1c0-a445e0f9956b	Belleville	Belleville	3	0	2013-05-24 22:56:36.982266+02	\N	\N	\N	\N	\N	\N	f	
761	ea2c07b3-5d99-4139-84b8-9b8ed0c106eb	Beja	Beja	2	0	2013-06-05 10:53:14.13903+02	\N	\N	\N	\N	\N	\N	f	
747	b086e6ef-3b5c-464a-b810-646bafd7d1d1	Szolnok	Szolnok	3	0	2013-05-24 00:30:24.32885+02	\N	\N	\N	\N	\N	\N	f	
753	81f37108-5393-4410-82db-5c91ad2ec15d	Tatabánya	Tatabánya	3	0	2013-05-24 00:30:37.967111+02	\N	\N	\N	\N	\N	\N	f	
5394	3a450229-a52d-4643-a20c-8e95855517c4	Hajjiabad, South Khorasan	Hajjiabad, South Khorasan	3	0	2013-05-24 23:25:55.471652+02	\N	\N	\N	\N	\N	\N	f	
746	f3aab221-4500-4563-90ad-9af5a22bd97c	Szombathely	Szombathely	3	0	2013-05-24 00:30:33.156883+02	\N	\N	\N	\N	\N	\N	f	
767	abc1b593-cfae-4b8b-bd28-e6533ed0e3eb	Faro	Faro	2	0	2013-05-19 18:37:17.693114+02	\N	\N	\N	\N	\N	\N	f	
751	8cb0456d-af94-441b-bf7d-aac0ea093f22	Salgótarján	Salgótarján	3	0	2013-05-24 00:29:05.636651+02	\N	\N	\N	\N	\N	\N	f	
749	0e336969-e4f8-4576-9210-228e02917da1	Somogy	Somogy	2	0	2013-05-19 18:12:58.608994+02	\N	\N	\N	\N	\N	\N	f	
748	254d6f58-9d07-48d8-add3-852c4ab84daa	Sopron	Sopron	3	0	2013-05-24 00:29:04.493427+02	\N	\N	\N	\N	\N	\N	f	
768	8e09774c-bbde-4872-a8fd-53fb14ae2964	Guarda	Guarda	2	0	2013-05-19 18:37:28.839951+02	\N	\N	\N	\N	\N	\N	f	
757	5561a2ab-656a-4f35-9d24-fa23762403d2	Veszprém	Veszprém	3	0	2013-05-24 00:30:40.327572+02	\N	\N	\N	\N	\N	\N	f	
752	d9b98083-be42-49b5-81f0-ec1698dcfe2c	Szabolcs-Szatmár-Bereg	Szabolcs-Szatmár-Bereg	2	0	2013-05-19 18:13:57.4798+02	\N	\N	\N	\N	\N	\N	f	
787	af933a99-0a1f-44d1-924a-2405a467f473	Austurland	Austurland	2	0	2013-06-05 07:52:46.878395+02	\N	\N	\N	\N	\N	\N	f	
769	a9cfeb4d-4426-4488-8916-ca1387af9e6e	Leiria	Leiria	2	0	2013-05-19 18:37:51.471827+02	\N	\N	\N	\N	\N	\N	f	
754	5a6ad14a-a8ed-4ca1-901a-b470d0304d4f	Tolna	Tolna	2	0	2013-05-19 18:14:24.862684+02	\N	\N	\N	\N	\N	\N	f	
755	f2a68f3b-0db3-4122-ae86-8564d025e298	Vas	Vas	2	0	2013-05-19 18:14:35.811739+02	\N	\N	\N	\N	\N	\N	f	
781	70d81d56-533f-4444-82d0-2453f7ec2aa8	Höfuðborgarsvæði utan Reykjavíkur	Höfuðborgarsvæði utan Reykjavíkur	2	0	2013-05-19 18:41:00.039826+02	\N	\N	\N	\N	\N	\N	f	
756	4471c682-968c-451c-a36b-00ff448e4185	Veszprém	Veszprém	2	0	2013-05-19 18:14:47.048329+02	\N	\N	\N	\N	\N	\N	f	
770	4f01d77c-1e16-4e8c-b1c2-7c8d76dcae7b	Lisboa	Lisboa	2	0	2013-05-19 18:38:05.726601+02	\N	\N	\N	\N	\N	\N	f	
780	e498a3ef-704c-462e-b144-6e6fc108a6f2	Reykjavík	Reykjavík	3	0	2013-05-24 01:46:33.665734+02	\N	\N	\N	\N	\N	\N	f	
758	5f10ff36-dd74-42ee-8aa0-7fe7779956e4	Zala	Zala	2	0	2013-05-19 18:15:10.70258+02	\N	\N	\N	\N	\N	\N	f	
5703	7d2546ab-1b9e-4115-b750-588e59e26dbd	Poquoson	Poquoson	3	0	2013-05-25 00:34:17.281752+02	\N	\N	\N	\N	\N	\N	f	
744	f17185ee-154b-4dc1-8649-8d41b09f69ba	Szeged	Szeged	3	0	2013-05-24 00:29:03.166313+02	\N	\N	\N	\N	\N	\N	f	
771	cafae8f2-6765-4cec-868d-b0fea003ecb0	Portalegre	Portalegre	2	0	2013-05-19 18:38:16.993338+02	\N	\N	\N	\N	\N	\N	f	
13718	ec5823de-4522-4697-ac83-cad5a7061af9	Peccioli	Peccioli	4	0	2013-07-21 18:57:00.74632+02	\N	\N	\N	\N	\N	\N	f	
806	e1448a13-a925-41e0-861e-9c378e323ec6	Alba	Alba	2	0	2013-06-05 11:28:18.9571+02	\N	\N	\N	\N	\N	\N	f	
765	e342e391-216d-428f-8d89-1f09daf0bda9	Coimbra	Coimbra	2	0	2013-06-05 10:51:11.565178+02	\N	\N	\N	\N	\N	\N	f	
772	a6b011eb-b9ab-453e-af95-4fdd9d040ba1	Porto	Porto	2	0	2013-05-19 18:38:32.880608+02	\N	\N	\N	\N	\N	\N	f	
807	d0063372-8996-4498-b86d-f850bb6b4b32	Argeș	Argeș	2	0	2013-06-05 08:51:21.220999+02	\N	\N	\N	\N	\N	\N	f	
762	a909a4a6-0c95-41a1-b96f-d0a4f7394049	Braga	Braga	2	0	2013-06-05 10:25:37.438125+02	\N	\N	\N	\N	\N	\N	f	
782	5a4be153-0125-4036-8e23-76cd000eb120	Suðurnes	Suðurnes	2	0	2013-05-19 18:41:10.90511+02	\N	\N	\N	\N	\N	\N	f	
773	b2eec9f2-14d6-4359-87f2-5890cf39c0df	Santarém	Santarém	2	0	2013-05-19 18:38:44.608596+02	\N	\N	\N	\N	\N	\N	f	
774	c6fd772b-952f-452c-9fad-3301938de9ca	Setúbal	Setúbal	2	0	2013-05-19 18:38:57.333362+02	\N	\N	\N	\N	\N	\N	f	
783	3e94916d-ef36-4a2d-bf2a-f68902020e96	Vesturland	Vesturland	2	0	2013-05-19 18:41:21.693751+02	\N	\N	\N	\N	\N	\N	f	
775	9c48914d-86af-4979-a732-280cc69fba78	Viana do Castelo	Viana do Castelo	2	0	2013-05-19 18:39:08.046871+02	\N	\N	\N	\N	\N	\N	f	
776	fc3ab0c6-c0e0-4320-86df-9ac7ec2d802e	Vila Real	Vila Real	2	0	2013-05-19 18:39:19.05504+02	\N	\N	\N	\N	\N	\N	f	
790	8c3721ed-76a5-4db6-855f-d84ef81b317a	Encamp	Encamp	2	0	2013-05-19 18:43:21.888+02	\N	\N	\N	\N	\N	\N	f	
777	46696dd4-e1dd-4572-8c50-98dc85b56c5d	Viseu	Viseu	2	0	2013-05-19 18:39:30.144057+02	\N	\N	\N	\N	\N	\N	f	
784	b888ccfa-0153-45a3-912c-08388f801ea5	Vestfirðir	Vestfirðir	2	0	2013-05-19 18:41:32.431863+02	\N	\N	\N	\N	\N	\N	f	
13837	07cfafd0-cf0c-44da-a9a5-790434bf2eaa	Longhena	Longhena	4	0	2013-07-21 19:23:43.195942+02	\N	\N	\N	\N	\N	\N	f	
789	c721a857-31c8-42c8-8482-a83a288c81d7	Canillo	Canillo	2	0	2013-06-05 07:09:42.198276+02	\N	\N	\N	\N	\N	\N	f	
785	4d959d31-9e59-4d53-9244-963e6b9fdb8f	Norðurland vestra	Norðurland vestra	2	0	2013-05-19 18:41:43.269153+02	\N	\N	\N	\N	\N	\N	f	
786	f301ab19-4ac4-4bea-bf1b-9d007bfbab3d	Norðurland eystra	Norðurland eystra	2	0	2013-05-19 18:41:54.601924+02	\N	\N	\N	\N	\N	\N	f	
791	fc14cf8f-7bbc-498a-a10f-3cb7e68af880	La Massana	La Massana	2	0	2013-05-19 18:43:32.763906+02	\N	\N	\N	\N	\N	\N	f	
796	20825a37-55e4-495f-ab6a-327494fbcf5e	Alytaus Apskritis	Alytaus Apskritis	2	0	2013-06-05 08:16:23.636554+02	\N	\N	\N	\N	\N	\N	f	
788	87b1ff21-44ad-48d1-abaa-2911bdc517e3	Suðurland	Suðurland	2	0	2013-05-19 18:42:16.258884+02	\N	\N	\N	\N	\N	\N	f	
763	589cf788-79c3-418e-ba67-62bdfb3e547f	Bragança	Bragança	2	0	2013-06-05 08:42:00.462548+02	\N	\N	\N	\N	\N	\N	f	
792	cd7097df-0050-4460-83f6-bb3877e346c8	Ordino	Ordino	2	0	2013-05-19 18:43:43.468814+02	\N	\N	\N	\N	\N	\N	f	
793	256391db-c807-4450-a57c-1acbcb1c57d2	Sant Julià de Lòria	Sant Julià de Lòria	2	0	2013-05-19 18:43:54.693534+02	\N	\N	\N	\N	\N	\N	f	
13844	89377cae-5c58-427e-98d6-c1c2305cbeb1	Maclodio	Maclodio	4	0	2013-07-21 19:25:06.766666+02	\N	\N	\N	\N	\N	\N	f	
799	6c4082aa-548d-4649-b8b8-0f62ddc3fdd5	Marijampolės Apskritis	Marijampolės Apskritis	2	0	2013-05-19 18:45:39.045745+02	\N	\N	\N	\N	\N	\N	f	
797	f856fca3-7de4-4f13-835f-e7f237f25a6b	Klaipėdos Apskritis	Klaipėdos Apskritis	2	0	2013-05-19 18:45:12.677141+02	\N	\N	\N	\N	\N	\N	f	
803	814355cf-e60d-495b-96ca-ff94325da291	Telšių Apskritis	Telšių Apskritis	2	0	2013-05-19 18:46:22.340932+02	\N	\N	\N	\N	\N	\N	f	
798	baf172aa-1aac-40e6-9949-fe180351fe5e	Kauno Apskritis	Kauno Apskritis	2	0	2013-05-19 18:45:23.449468+02	\N	\N	\N	\N	\N	\N	f	
802	d3472619-cc55-4577-857f-c3e99370acd8	Tauragės Apskritis	Tauragės Apskritis	2	0	2013-05-19 18:46:11.656211+02	\N	\N	\N	\N	\N	\N	f	
800	566d632a-664a-4bb9-8ef3-cb04f774d444	Panevėžio Apskritis	Panevėžio Apskritis	2	0	2013-05-19 18:45:50.199744+02	\N	\N	\N	\N	\N	\N	f	
778	c998ef9b-8656-45f3-ba70-8d8c15a33a29	Açores	Açores	2	0	2013-06-01 22:49:47.934974+02	\N	\N	\N	\N	\N	\N	f	
804	fbdb4d9c-d65a-49cf-896f-6df8141aa8e6	Utenos Apskritis	Utenos Apskritis	2	0	2013-05-19 18:46:33.091511+02	\N	\N	\N	\N	\N	\N	f	
3572	2a13608b-e49f-46a6-bd4d-af469d59fc20	Oyo	Oyo	2	0	2013-05-21 13:53:26.416864+02	\N	\N	\N	\N	\N	\N	f	
805	7c4c9ad2-aed7-4b60-b694-281936d7133f	Vilniaus Apskritis	Vilniaus Apskritis	2	0	2013-05-19 18:46:43.671994+02	\N	\N	\N	\N	\N	\N	f	
760	d7f443f8-baab-45ea-b2eb-750b21e96164	Aveiro	Aveiro	2	0	2013-06-05 12:26:53.177265+02	\N	\N	\N	\N	\N	\N	f	
13962	1198d21b-6912-4ac3-b370-d584e97e74a7	Mondaino	Mondaino	4	0	2013-07-21 19:52:03.233842+02	\N	\N	\N	\N	\N	\N	f	
764	e6d9cf23-db3d-4372-9d5c-98a7a40ce7d1	Castelo Branco	Castelo Branco	2	0	2013-06-05 08:56:18.998718+02	\N	\N	\N	\N	\N	\N	f	
810	07b8aa5c-3082-45d4-a69b-2681e98f9383	Bacău	Bacău	2	0	2013-06-05 12:15:51.212987+02	\N	\N	\N	\N	\N	\N	f	
6810	91317483-fe46-479a-a579-9e31c3c8442a	Asalem	Asalem	3	0	2013-05-25 04:20:22.018543+02	\N	\N	\N	\N	\N	\N	f	
15459	01235ab2-57ac-4786-b712-bee03d27518f	Colle di Tora	Colle di Tora	4	0	2013-07-22 00:50:04.103678+02	\N	\N	\N	\N	\N	\N	f	
750	e0f69753-e698-4d79-a613-364270168181	Szekszárd	Szekszárd	3	0	2013-05-24 00:29:01.0543+02	\N	\N	\N	\N	\N	\N	f	
811	75b9f53b-03e4-4b95-b7d6-3a6bdbded6a2	Bihor	Bihor	2	0	2013-06-05 06:54:51.867622+02	\N	\N	\N	\N	\N	\N	f	
4699	1f9799e6-a1cd-4fcd-b5f8-07d45bf16650	Siena	Siena	2	0	2013-05-22 14:48:01.226085+02	\N	\N	\N	\N	\N	\N	f	
14337	0f069208-1c7c-4356-9d27-452ffcefe9bb	Alghero	Alghero	4	0	2013-07-21 21:15:37.071467+02	\N	\N	\N	\N	\N	\N	f	
812	15b344a0-8fb9-42f3-81b1-c90d15edc30c	Bistrița-Năsăud	Bistrița-Năsăud	2	0	2013-06-05 08:43:44.972552+02	\N	\N	\N	\N	\N	\N	f	
13719	d349b5f5-c4f5-4028-a97b-fd1a62c4b85c	Monteverdi Marittimo	Monteverdi Marittimo	4	0	2013-07-21 18:57:12.992525+02	\N	\N	\N	\N	\N	\N	f	
813	ac473e95-8c32-4642-8af4-5ad9f0f09002	Brăila	Brăila	2	0	2013-06-05 12:02:41.683957+02	\N	\N	\N	\N	\N	\N	f	
814	6c128047-9439-4086-8844-20bf7315b56b	Botoșani	Botoșani	2	0	2013-06-05 11:51:04.534447+02	\N	\N	\N	\N	\N	\N	f	
2002	987deb03-4a9a-4595-b264-5e66b988e9b6	Lenart	Lenart	2	0	2013-05-20 17:38:35.626792+02	\N	\N	\N	\N	\N	\N	f	
3308	972a9e9d-5a5b-422f-ac76-a4694b6d97af	Al Buḩayrah	Al Buḩayrah	2	0	2013-06-05 09:14:02.908049+02	\N	\N	\N	\N	\N	\N	f	
2215	c5af3305-3122-417c-8b37-26c515e83088	Peloponnisos	Peloponnisos	2	0	2013-05-20 18:27:41.10491+02	\N	\N	\N	\N	\N	\N	f	
2046	be96fee3-b400-4189-bd58-9c4ba8c62c7d	Radovljica	Radovljica	2	0	2013-05-20 17:48:29.768065+02	\N	\N	\N	\N	\N	\N	f	
2084	ce01a131-e6e6-44fc-a36f-bd44ea08ef83	Vrhnika	Vrhnika	2	0	2013-05-20 17:55:46.787044+02	\N	\N	\N	\N	\N	\N	f	
2560	86446c69-6d51-48fe-8cf1-b4f6032ddb22	Ha Giang	Ha Giang	2	0	2013-05-20 22:16:17.262922+02	\N	\N	\N	\N	\N	\N	f	
2128	92a2f42f-308f-48ef-a4a8-a4a81fc38032	Trnovska vas	Trnovska vas	2	0	2013-05-20 18:04:41.087524+02	\N	\N	\N	\N	\N	\N	f	
2251	91ab404f-d274-4263-9eb1-90297e661e15	Străşeni	Străşeni	2	0	2013-05-20 19:07:44.128751+02	\N	\N	\N	\N	\N	\N	f	
2332	9d8aa5d2-8c81-46c0-bbfa-84d86e3fbc48	Centar	Centar	2	0	2013-06-05 09:20:42.637743+02	\N	\N	\N	\N	\N	\N	f	
2289	28e84d11-b7bc-421f-b632-a9e9dbe78e6a	Ilinden	Ilinden	2	0	2013-05-20 19:14:51.250591+02	\N	\N	\N	\N	\N	\N	f	
2200	013277e8-c5e9-4d58-93bc-11ed0e2eba29	Lemesos	Lemesos	2	0	2013-05-20 18:24:57.741944+02	\N	\N	\N	\N	\N	\N	f	
2498	7a7440f0-b250-4849-bd9e-395a507cdc97	Atyraū oblysy	Atyraū oblysy	2	0	2013-06-05 09:28:09.124136+02	\N	\N	\N	\N	\N	\N	f	
2375	3001cf25-4df2-4ffe-891c-87639d5e9c03	Mykolaïvs'ka Oblast'	Mykolaïvs'ka Oblast'	2	0	2013-05-20 19:33:31.882247+02	\N	\N	\N	\N	\N	\N	f	
2587	5a4039f3-a0c4-4cfa-9572-032ebffb57ac	Tay Ninh	Tay Ninh	2	0	2013-05-20 22:21:55.277522+02	\N	\N	\N	\N	\N	\N	f	
2620	ba7439d4-ccbe-4d46-bfc1-11c936722978	Hai Phong	Hai Phong	3	0	2013-05-24 01:13:55.614486+02	\N	\N	\N	\N	\N	\N	f	
5065	f9a822ff-adce-434c-9292-a8b6a0a37a8e	Istanbul	Istanbul	3	0	2013-05-24 20:38:22.322289+02	\N	\N	\N	\N	\N	\N	f	
7062	4a3d1e79-bd06-4f67-be0d-3016278d62ce	Głubczyce	Głubczyce	3	0	2013-05-26 16:42:51.436522+02	\N	\N	\N	\N	\N	\N	f	
3100	dc721f83-b73d-40c9-9ecc-e6112ef01869	Al Jawf	Al Jawf	2	0	2013-06-05 10:28:59.648802+02	\N	\N	\N	\N	\N	\N	f	
5704	e0d09ac4-abb8-465a-9c81-90b2883c0d82	Łapy	Łapy	3	0	2013-05-25 00:34:28.716211+02	\N	\N	\N	\N	\N	\N	f	
2828	7926be10-e008-4d15-b29c-72356914b6a2	Bumthang	Bumthang	2	0	2013-06-05 06:44:31.929739+02	\N	\N	\N	\N	\N	\N	f	
14365	a6f7c88a-6462-4f3d-b95c-5b497ac4cfa8	Berzano di Tortona	Berzano di Tortona	4	0	2013-07-21 21:21:57.021345+02	\N	\N	\N	\N	\N	\N	f	
2657	c964198a-f9de-48eb-871b-0aeae61364a9	Savannakhét	Savannakhét	2	0	2013-05-20 22:34:47.59334+02	\N	\N	\N	\N	\N	\N	f	
3064	87cc3edb-6833-426e-abf8-fa38ad99a0ee	Makkah	Makkah	2	0	2013-05-21 00:27:02.686629+02	\N	\N	\N	\N	\N	\N	f	
2712	56810f3e-320d-4580-87c4-9220995959c8	Kamphaeng Phet	Kamphaeng Phet	2	0	2013-05-20 22:45:44.992982+02	\N	\N	\N	\N	\N	\N	f	
2741	d83cebd2-e4d6-4eee-9030-3f2dafcc5565	Central Singapore	Central Singapore	2	0	2013-06-05 08:04:04.505897+02	\N	\N	\N	\N	\N	\N	f	
2743	dda7a656-0b32-4764-a748-40f23f4df1ea	North West	North West	2	0	2013-05-20 22:51:36.87815+02	\N	\N	\N	\N	\N	\N	f	
815	e7f6c883-54d6-4371-bca4-872c024397b7	Brașov	Brașov	2	0	2013-06-05 11:00:16.849217+02	\N	\N	\N	\N	\N	\N	f	
2776	428991a1-477f-4aa9-ae0f-2efe087e18b7	Central Luzon (Region III)	Central Luzon (Region III)	2	0	2013-06-05 12:27:54.700524+02	\N	\N	\N	\N	\N	\N	f	
3144	f6f8a3a4-e704-453d-85b7-4edafc2fd321	Bujumbura Mairie	Bujumbura Mairie	2	0	2013-06-05 07:15:36.471766+02	\N	\N	\N	\N	\N	\N	f	
3180	584afc8e-0263-4ee8-82a2-9b2e06e60c91	Bas-Congo	Bas-Congo	2	0	2013-06-05 12:31:46.584981+02	\N	\N	\N	\N	\N	\N	f	
2834	4d704e91-74f2-4385-a0c0-ef87bc4434dd	Samdrup Jongkha	Samdrup Jongkha	2	0	2013-05-20 23:26:50.442929+02	\N	\N	\N	\N	\N	\N	f	
3101	545db127-96d1-4ab6-89a7-82ed532b9e71	Laḩij	Laḩij	2	0	2013-05-21 00:35:11.101016+02	\N	\N	\N	\N	\N	\N	f	
2876	6d7d5188-7f54-4bd9-80a7-4eb5f2736e94	Laghmān	Laghmān	2	0	2013-05-20 23:34:21.182459+02	\N	\N	\N	\N	\N	\N	f	
2938	23a5d590-f8ca-4e1e-b6e2-41242ffa6c14	Tel-Aviv	Tel-Aviv	2	0	2013-05-20 23:55:10.600966+02	\N	\N	\N	\N	\N	\N	f	
2971	ec5ad8b0-9a12-4e86-80e9-3a449db6e20e	Kermān	Kermān	2	0	2013-05-21 00:02:44.85819+02	\N	\N	\N	\N	\N	\N	f	
3145	19d6694f-fcc5-49ff-9202-88be27965496	Bururi	Bururi	2	0	2013-06-05 08:31:02.039261+02	\N	\N	\N	\N	\N	\N	f	
2980	537cd9eb-5ae6-491c-b535-87724f95fca2	Hamadān	Hamadān	2	0	2013-05-21 00:04:56.088546+02	\N	\N	\N	\N	\N	\N	f	
2982	f33b2af7-c613-4059-bc8d-0729731b613f	Qom	Qom	2	0	2013-05-21 00:05:23.187651+02	\N	\N	\N	\N	\N	\N	f	
3533	beac20ea-58c5-4b51-af9f-81088046cd49	Ohangwena	Ohangwena	2	0	2013-05-21 13:46:05.214394+02	\N	\N	\N	\N	\N	\N	f	
2985	a7e77d5a-6a87-4251-988b-00431fc3ffff	Khorāsān-e Janūbī	Khorāsān-e Janūbī	2	0	2013-05-21 00:05:56.676356+02	\N	\N	\N	\N	\N	\N	f	
3433	eb33a5ec-c31c-4199-9d44-89b5c9809d62	Al Kufrah	Al Kufrah	2	0	2013-06-05 09:31:39.105652+02	\N	\N	\N	\N	\N	\N	f	
3031	b0a32f71-5411-49b2-aa52-49d9ccc04570	Al Bāţinah	Al Bāţinah	2	0	2013-06-05 10:07:24.948073+02	\N	\N	\N	\N	\N	\N	f	
14891	a712973a-8859-40f2-a653-06eadbbc1f07	Cravanzana	Cravanzana	4	0	2013-07-21 23:20:59.630577+02	\N	\N	\N	\N	\N	\N	f	
3154	4a92cb04-1dbd-4efc-96ad-29d800f53684	Mwaro	Mwaro	2	0	2013-05-21 00:52:53.765579+02	\N	\N	\N	\N	\N	\N	f	
3443	9c473ee8-28e3-40e6-90d3-44eca7c6974d	Wādī al Ḩayāt	Wādī al Ḩayāt	2	0	2013-05-21 13:29:00.243635+02	\N	\N	\N	\N	\N	\N	f	
3228	9ffcb6da-b30d-4958-9b4c-c1bdb41084d2	Denguélé (Région du)	Denguélé (Région du)	2	0	2013-05-21 01:06:49.828555+02	\N	\N	\N	\N	\N	\N	f	
15460	9dd1792b-1685-414c-8a9a-12426d567468	Concerviano	Concerviano	4	0	2013-07-22 00:50:15.88632+02	\N	\N	\N	\N	\N	\N	f	
3277	f0ad8c84-2a50-4bc6-bdad-47369012c0e5	Sidi Bel Abbès	Sidi Bel Abbès	2	0	2013-05-21 11:33:42.777351+02	\N	\N	\N	\N	\N	\N	f	
16178	f9f5abbd-eba4-49b6-90b4-af3faa45e820	Borghetto Santo Spirito	Borghetto Santo Spirito	4	0	2013-07-22 03:02:10.785955+02	\N	\N	\N	\N	\N	\N	f	
19650	0dc189fe-e59a-4f0c-916c-f447bdf50146	Rignano Garganico	Rignano Garganico	4	0	2013-07-22 11:11:59.419583+02	\N	\N	\N	\N	\N	\N	f	
3467	70fc42d7-bb0c-4a6a-a9f4-27672e78bbd2	Toliara	Toliara	2	0	2013-05-21 13:33:56.759041+02	\N	\N	\N	\N	\N	\N	f	
3448	96b8d822-3560-41e1-bb78-ea81ef008d33	Taza-Al Hoceima-Taounate	Taza-Al Hoceima-Taounate	2	0	2013-05-21 13:30:03.958568+02	\N	\N	\N	\N	\N	\N	f	
3415	902e7a9c-96cb-4d22-87fc-5ac1447f16af	Maseru	Maseru	2	0	2013-05-21 13:23:39.147266+02	\N	\N	\N	\N	\N	\N	f	
3464	de86687f-9d8b-4cd6-9db6-f06fe7620cd5	Fianarantsoa	Fianarantsoa	2	0	2013-05-21 13:33:21.934226+02	\N	\N	\N	\N	\N	\N	f	
2537	91054c41-1932-4d4e-9c74-f3089cf57227	Ulsan	Ulsan	3	0	2013-05-24 02:21:59.398634+02	\N	\N	\N	\N	\N	\N	f	
3485	40601022-030d-4df3-ae6c-f887a35f3c96	Tagant	Tagant	2	0	2013-05-21 13:37:12.868112+02	\N	\N	\N	\N	\N	\N	f	
3510	64bc1b21-5dab-46ce-9a38-0b58eeef70bf	Niassa	Niassa	2	0	2013-05-21 13:41:52.510234+02	\N	\N	\N	\N	\N	\N	f	
3551	58bc04e7-f7b6-4929-bfa4-6cef80f6c2a2	Delta	Delta	2	0	2013-05-21 13:49:39.799912+02	\N	\N	\N	\N	\N	\N	f	
3557	4470c012-c68b-4daf-9676-a7451a2ee206	Gombe	Gombe	2	0	2013-05-21 13:50:44.226445+02	\N	\N	\N	\N	\N	\N	f	
3558	e24417f7-a245-46c2-9970-564b9488c83b	Imo	Imo	2	0	2013-05-21 13:50:54.916853+02	\N	\N	\N	\N	\N	\N	f	
3561	3e739908-f6b0-4f38-9b09-5346cd81c177	Kebbi	Kebbi	2	0	2013-05-21 13:51:27.002566+02	\N	\N	\N	\N	\N	\N	f	
3571	0c339022-4786-408d-871c-f0f2aa7d833b	Osun	Osun	2	0	2013-05-21 13:53:15.101828+02	\N	\N	\N	\N	\N	\N	f	
3573	bf5d62f7-11c1-4d87-99fc-984f8219657c	Plateau	Plateau	2	0	2013-05-21 13:53:37.070221+02	\N	\N	\N	\N	\N	\N	f	
3579	eb99e9d7-b0e4-413e-9cbb-5760e5a31064	Ville de Kigali	Ville de Kigali	2	0	2013-05-21 13:54:46.393816+02	\N	\N	\N	\N	\N	\N	f	
3580	95e87029-4525-41aa-a4aa-424840543361	Est	Est	2	0	2013-05-21 13:54:57.021417+02	\N	\N	\N	\N	\N	\N	f	
4564	f524979f-f48c-4161-8b97-2ca2dc0fc021	Jawa Tengah	Jawa Tengah	2	0	2013-05-22 14:09:16.97323+02	\N	\N	\N	\N	\N	\N	f	
2387	a39536e1-8b06-4d20-a3f0-802c0be3a921	Respublika Adygeya	Adygeya, Respublika	2	0	2013-05-24 00:50:47.587657+02	\N	\N	\N	\N	\N	\N	f	
818	e587c4f8-7092-46ad-a47b-808b89d3fa80	Călărași	Călărași	2	0	2013-06-05 10:54:38.893582+02	\N	\N	\N	\N	\N	\N	f	
819	4b6dd751-ad34-4a64-8615-8f2c08b20d28	Caraș-Severin	Caraș-Severin	2	0	2013-06-05 08:49:15.509214+02	\N	\N	\N	\N	\N	\N	f	
820	7ac5975b-f555-448e-9fc7-104b165795fc	Constanța	Constanța	2	0	2013-06-05 09:55:40.716316+02	\N	\N	\N	\N	\N	\N	f	
821	6c7037d5-c4de-427a-87e5-b213c7d41a39	Covasna	Covasna	2	0	2013-06-05 10:45:13.557624+02	\N	\N	\N	\N	\N	\N	f	
822	f944648c-ac13-4e17-82f1-1b28ed4d732a	Dâmbovița	Dâmbovița	2	0	2013-05-19 19:09:57.668157+02	\N	\N	\N	\N	\N	\N	f	
2003	7fdfca3f-35f7-4795-8cf7-bfd53e5e1f0d	Lendava/Lendva	Lendava/Lendva	2	0	2013-05-20 17:38:46.837021+02	\N	\N	\N	\N	\N	\N	f	
823	209c5d0a-a26a-4682-90be-2a4c6b5db6f3	Dolj	Dolj	2	0	2013-05-19 19:10:12.47084+02	\N	\N	\N	\N	\N	\N	f	
824	90c02c1d-4432-4911-8513-2e0af9eacf15	Gorj	Gorj	2	0	2013-05-19 19:10:24.21057+02	\N	\N	\N	\N	\N	\N	f	
2216	5df940f0-7521-4c0d-a08b-e57710463909	Voreio Aigaio	Voreio Aigaio	2	0	2013-05-20 18:27:51.917427+02	\N	\N	\N	\N	\N	\N	f	
825	f8bf7fc5-0da3-4ccf-8db8-9e93c2ef5e1d	Galați	Galați	2	0	2013-05-19 19:10:35.219015+02	\N	\N	\N	\N	\N	\N	f	
2021	a5063551-6edc-496f-b758-94ea783c8750	Moravče	Moravče	2	0	2013-05-20 17:42:58.605338+02	\N	\N	\N	\N	\N	\N	f	
826	7fa57738-5a14-4769-b372-b4e1cebbf3e5	Giurgiu	Giurgiu	2	0	2013-05-19 19:10:46.124351+02	\N	\N	\N	\N	\N	\N	f	
827	5f090e5d-9d9d-4b26-b1b4-da0e1ed7fbcc	Hunedoara	Hunedoara	2	0	2013-05-19 19:10:57.026021+02	\N	\N	\N	\N	\N	\N	f	
828	49c21126-cdde-41d2-b75b-228935b2a068	Harghita	Harghita	2	0	2013-05-19 19:11:13.954478+02	\N	\N	\N	\N	\N	\N	f	
2047	22de48ab-905b-4a33-b435-7fc1c5637c71	Ravne na Koroškem	Ravne na Koroškem	2	0	2013-05-20 17:48:41.370656+02	\N	\N	\N	\N	\N	\N	f	
829	42d009e4-5fb6-4994-b19d-c7eb496eb0be	Ilfov	Ilfov	2	0	2013-05-19 19:11:25.570386+02	\N	\N	\N	\N	\N	\N	f	
830	dbe62274-b3fc-45a1-a2a8-1180e08260ac	Ialomița	Ialomița	2	0	2013-05-19 19:11:47.158987+02	\N	\N	\N	\N	\N	\N	f	
2538	da7988eb-7408-4856-9dd5-33bd62a2385b	Gyeonggido	Gyeonggido	2	0	2013-05-20 21:15:51.943776+02	\N	\N	\N	\N	\N	\N	f	
831	3131d772-b6f0-4ddb-a3e8-a499005f6ed1	Iași	Iași	2	0	2013-05-19 19:11:58.425186+02	\N	\N	\N	\N	\N	\N	f	
3065	3eabe1a6-bfcc-46c7-ae30-5bf1657f7daf	Al Madīnah	Al Madīnah	2	0	2013-06-05 07:30:33.486924+02	\N	\N	\N	\N	\N	\N	f	
832	e383f64c-5835-4594-86a9-3aa83adda74d	Mehedinți	Mehedinți	2	0	2013-05-19 19:12:11.110053+02	\N	\N	\N	\N	\N	\N	f	
833	855e53ae-36b6-467a-9d50-0aea9efc400b	Maramureș	Maramureș	2	0	2013-05-19 19:12:22.459126+02	\N	\N	\N	\N	\N	\N	f	
1961	e2a9e02f-e33c-45ed-b6eb-203382f43256	Črnomelj	Črnomelj	2	0	2013-05-27 20:03:17.919478+02	\N	\N	\N	\N	\N	\N	f	
834	b740802c-8e2b-45f3-8713-5c40666e0291	Mureș	Mureș	2	0	2013-05-19 19:12:33.373697+02	\N	\N	\N	\N	\N	\N	f	
2063	1a2a1b48-e27c-4f5f-8be3-8a94c0bec061	Šentjernej	Šentjernej	2	0	2013-05-27 19:43:15.883785+02	\N	\N	\N	\N	\N	\N	f	
835	302c12fd-c5fe-4a09-86b1-bec9e68a25b5	Neamț	Neamț	2	0	2013-05-19 19:12:44.815533+02	\N	\N	\N	\N	\N	\N	f	
836	c17f341e-fb39-4330-8fd3-5cd7fcbee19c	Olt	Olt	2	0	2013-05-19 19:12:55.843532+02	\N	\N	\N	\N	\N	\N	f	
837	7d56da01-4427-458f-be29-e5df90646aa2	Prahova	Prahova	2	0	2013-05-19 19:13:06.607141+02	\N	\N	\N	\N	\N	\N	f	
2085	06974019-db29-4e2a-a513-e40c5ae6ac75	Vuzenica	Vuzenica	2	0	2013-05-20 17:55:58.089287+02	\N	\N	\N	\N	\N	\N	f	
838	a37d3d0a-26af-4426-b125-f30ee3c6cba4	Sibiu	Sibiu	2	0	2013-05-19 19:13:17.664442+02	\N	\N	\N	\N	\N	\N	f	
840	c030a597-3f17-4282-9cfb-2e8b128e4eab	Satu Mare	Satu Mare	2	0	2013-05-19 19:13:40.013526+02	\N	\N	\N	\N	\N	\N	f	
13720	71e0663a-6f4b-4dc3-b082-c97381832377	Torre Pellice	Torre Pellice	4	0	2013-07-21 18:57:25.047896+02	\N	\N	\N	\N	\N	\N	f	
2099	8c760989-825c-40ca-8c6a-911029be3c8b	Dobrovnik/Dobronak	Dobrovnik/Dobronak	2	0	2013-05-20 17:58:42.159615+02	\N	\N	\N	\N	\N	\N	f	
2286	c60be42d-6ba2-4605-b084-e6c2f3b50c32	Zajas	Zajas	2	0	2013-05-20 19:14:18.594255+02	\N	\N	\N	\N	\N	\N	f	
2107	3e890bd1-3da6-493a-9a26-a1f3f72b75ac	Komenda	Komenda	2	0	2013-05-20 18:00:15.97583+02	\N	\N	\N	\N	\N	\N	f	
2116	0adcd350-9350-4a46-8cff-5cced2f22507	Polzela	Polzela	2	0	2013-05-20 18:02:14.449364+02	\N	\N	\N	\N	\N	\N	f	
2561	c70a1dff-5965-4c88-bea7-cf7b1be702f6	Cao Bang	Cao Bang	2	0	2013-06-05 07:58:44.242006+02	\N	\N	\N	\N	\N	\N	f	
2129	bdba5e8f-b436-4ffd-b41f-e0324d31f70c	Trzin	Trzin	2	0	2013-05-20 18:04:52.789424+02	\N	\N	\N	\N	\N	\N	f	
2291	f58248e6-a38d-4ffb-8530-6cbb0b5792ee	Kavadarci	Kavadarci	2	0	2013-05-20 19:15:15.546947+02	\N	\N	\N	\N	\N	\N	f	
2177	aecbddb1-c248-4f9c-a422-ce25519a0bf4	Pernik	Pernik	2	0	2013-05-20 18:20:43.448282+02	\N	\N	\N	\N	\N	\N	f	
2201	a7556d92-e023-49a1-846d-d17560797873	Larnaka	Larnaka	2	0	2013-05-20 18:25:08.339658+02	\N	\N	\N	\N	\N	\N	f	
817	cf0788d4-cde5-4cb7-aff1-5452330de8aa	Cluj	Cluj	2	0	2013-06-05 11:55:29.403447+02	\N	\N	\N	\N	\N	\N	f	
2742	63fb8692-5ee8-41a9-8bb8-0fe883936889	North East	North East	2	0	2013-05-20 22:51:26.193321+02	\N	\N	\N	\N	\N	\N	f	
2376	2982896a-1d3d-4e10-87f0-e69ed42ff485	Odes'ka Oblast'	Odes'ka Oblast'	2	0	2013-05-20 19:33:43.838689+02	\N	\N	\N	\N	\N	\N	f	
5248	2b8e7219-5b2e-49ab-ba2e-f331343e7b2f	Międzyrzec Podlaski	Międzyrzec Podlaski	3	0	2013-05-24 22:56:48.321547+02	\N	\N	\N	\N	\N	\N	f	
2588	da3df781-956c-4f08-8b93-2de318c9002f	Dong Nai	Dong Nai	2	0	2013-05-20 22:22:06.275815+02	\N	\N	\N	\N	\N	\N	f	
5066	083e1d3e-0061-49ae-af25-ad4c217a965d	Zwolle	Zwolle	3	0	2013-05-24 21:21:59.559578+02	\N	\N	\N	\N	\N	\N	f	
2454	79d10d93-858e-4fdf-96b5-252ad5a90682	Tambovskaya oblast'	Tambovskaya oblast'	2	0	2013-05-20 19:53:22.468283+02	\N	\N	\N	\N	\N	\N	f	
2455	d87db114-8c07-41cf-af7c-40d4e6fa13ce	Tomskaya oblast'	Tomskaya oblast'	2	0	2013-05-20 19:53:34.930504+02	\N	\N	\N	\N	\N	\N	f	
2252	ba1aee33-13c6-410c-9308-13075327ac67	Ştefan Vodă	Ştefan Vodă	2	0	2013-05-27 20:02:59.286207+02	\N	\N	\N	\N	\N	\N	f	
2501	7d49ca43-0d45-448d-b3c8-b038a3fa2d01	Qyzylorda oblysy	Qyzylorda oblysy	2	0	2013-05-20 20:54:55.380943+02	\N	\N	\N	\N	\N	\N	f	
2840	bd076d05-2267-451d-b700-03c8702658e4	Khulna	Khulna	2	0	2013-05-20 23:27:54.453643+02	\N	\N	\N	\N	\N	\N	f	
2746	7074ad56-379d-4298-bb88-80fdf249cf86	Johor	Johor	2	0	2013-05-20 22:52:09.820135+02	\N	\N	\N	\N	\N	\N	f	
2676	ee80f621-0f7e-4518-a88f-3ca70225d6d7	Chanthaburi	Chanthaburi	2	0	2013-06-05 12:07:46.37312+02	\N	\N	\N	\N	\N	\N	f	
13768	f7f81050-4b87-4057-a859-5716559f065c	Berlingo	Berlingo	4	0	2013-07-21 19:08:07.428477+02	\N	\N	\N	\N	\N	\N	f	
2705	e0ecdbbf-1158-4735-875f-f2fc14b47bf3	Phrae	Phrae	2	0	2013-05-20 22:44:24.032147+02	\N	\N	\N	\N	\N	\N	f	
2713	9e54bee6-b56e-466c-a0af-e421d8cbba35	Tak	Tak	2	0	2013-05-20 22:45:55.729053+02	\N	\N	\N	\N	\N	\N	f	
2939	7bac8044-f785-4073-a8ef-717462ee0918	HaẔafon	HaẔafon	2	0	2013-05-20 23:55:23.214637+02	\N	\N	\N	\N	\N	\N	f	
2830	8b381ec6-7884-4ffd-835e-121ccac3ac41	Trashigang	Trashigang	2	0	2013-05-20 23:26:03.680205+02	\N	\N	\N	\N	\N	\N	f	
2879	31bdf352-f471-4044-9d54-95ad95af9b10	Nīmrōz	Nīmrōz	2	0	2013-05-20 23:34:54.017975+02	\N	\N	\N	\N	\N	\N	f	
2885	fc1d72f3-3dea-496d-b269-db77a4095974	Samangān	Samangān	2	0	2013-05-20 23:36:06.55884+02	\N	\N	\N	\N	\N	\N	f	
2974	4c08e531-7614-4dc9-bb2b-e72886c043d8	Kohgīlūyeh va Būyer Aḩmad	Kohgīlūyeh va Būyer Aḩmad	2	0	2013-05-21 00:03:35.225726+02	\N	\N	\N	\N	\N	\N	f	
2972	5aa7ade4-66b4-4a5f-a1b0-b55944422647	Kordestān	Kordestān	2	0	2013-05-21 00:02:55.567195+02	\N	\N	\N	\N	\N	\N	f	
2989	b7dc7f27-f5a6-4b24-b18e-6a71b348d977	‘Ammān (Al ‘Āşimah)	‘Ammān (Al ‘Āşimah)	2	0	2013-05-27 19:51:30.959085+02	\N	\N	\N	\N	\N	\N	f	
2333	8ee637cf-1934-410d-9e0a-cf0c6e899f65	Centar Župa	Centar Župa	2	0	2013-06-05 08:58:51.928694+02	\N	\N	\N	\N	\N	\N	f	
13788	0f86960a-6668-48ea-9afc-f2ad88d64100	Castegnato	Castegnato	4	0	2013-07-21 19:12:29.204567+02	\N	\N	\N	\N	\N	\N	f	
17282	2cf9c734-a862-4cd1-be74-ee0accf169cc	Usini	Usini	4	0	2013-07-22 06:07:47.023581+02	\N	\N	\N	\N	\N	\N	f	
14343	f73621d1-4e7b-4aa2-bdb4-dfd8716f98a3	Acqui Terme	Acqui Terme	4	0	2013-07-21 21:17:14.412437+02	\N	\N	\N	\N	\N	\N	f	
3102	ac167bee-106d-4d49-8449-7d0f44ce3fd8	Ma’rib	Ma’rib	2	0	2013-05-21 00:35:22.00214+02	\N	\N	\N	\N	\N	\N	f	
2161	0c616beb-6288-4906-a137-e3cfc27141de	San Marino	San Marino	3	0	2013-05-24 01:46:52.0346+02	\N	\N	\N	\N	\N	\N	f	
3183	67bc7445-5cf1-4c09-9453-85f2a868822c	Katanga	Katanga	2	0	2013-05-21 00:58:16.664879+02	\N	\N	\N	\N	\N	\N	f	
4701	b9dc8040-5040-4ad6-9488-8d852a821c04	La Spezia	La Spezia	2	0	2013-05-22 14:48:33.766467+02	\N	\N	\N	\N	\N	\N	f	
4836	70779173-0d4d-4170-8204-bf84d0e7dc52	Mangochi	Mangochi	2	0	2013-05-22 15:27:35.334399+02	\N	\N	\N	\N	\N	\N	f	
839	a3266621-1224-4370-b163-cf3a3c96fb91	Sălaj	Sălaj	2	0	2013-05-19 19:13:28.885475+02	\N	\N	\N	\N	\N	\N	f	
865	a1a1d74c-ae62-4f92-acad-526a1622cae3	Hunan	Hunan	2	0	2013-05-19 19:46:22.210013+02	\N	\N	\N	\N	\N	\N	f	
841	e26e09ed-79a9-4e88-84b3-82e9dd11f009	Suceava	Suceava	2	0	2013-05-19 19:13:51.041077+02	\N	\N	\N	\N	\N	\N	f	
842	2652c57b-013e-4750-b684-7326cf62896c	Tulcea	Tulcea	2	0	2013-05-19 19:14:02.21587+02	\N	\N	\N	\N	\N	\N	f	
843	29e72968-6ced-495d-a1bf-10680153986c	Timiș	Timiș	2	0	2013-05-19 19:14:13.214099+02	\N	\N	\N	\N	\N	\N	f	
866	d56ba21f-f756-4755-82b8-e818dcef91f4	Guangdong	Guangdong	2	0	2013-05-19 19:46:38.675334+02	\N	\N	\N	\N	\N	\N	f	
844	10e8ecf7-af60-4803-b784-1b35650b6fef	Teleorman	Teleorman	2	0	2013-05-19 19:14:24.021429+02	\N	\N	\N	\N	\N	\N	f	
845	9529de40-8979-4626-a972-c1e8079c1eff	Vâlcea	Vâlcea	2	0	2013-05-19 19:14:35.177068+02	\N	\N	\N	\N	\N	\N	f	
889	c3f70c88-9e5c-4e2b-ad20-89446fd946a4	Miaoli County	Miaoli County	2	0	2013-05-19 19:52:06.018074+02	\N	\N	\N	\N	\N	\N	f	
846	c6773e7d-1aa9-424a-87e2-3717e8798394	Vrancea	Vrancea	2	0	2013-05-19 19:14:45.984337+02	\N	\N	\N	\N	\N	\N	f	
867	7f0f9c95-a09d-464f-b5b8-997892136094	Guangxi	Guangxi	2	0	2013-05-19 19:47:00.888124+02	\N	\N	\N	\N	\N	\N	f	
847	69d4ab57-9a2d-484c-a786-4d8b0542fa9e	Vaslui	Vaslui	2	0	2013-05-19 19:14:57.537866+02	\N	\N	\N	\N	\N	\N	f	
868	92f044a5-dcd2-4f3c-837e-a2ec5ef65cb5	Hainan	Hainan	2	0	2013-05-19 19:47:18.412109+02	\N	\N	\N	\N	\N	\N	f	
850	3157f618-c99b-49f9-8d36-84cf3e62ea7a	Hebei	Hebei	2	0	2013-05-19 19:43:03.118577+02	\N	\N	\N	\N	\N	\N	f	
5067	a727c39a-8d76-4a1a-9033-696ada9bedda	Utrecht	Utrecht	3	0	2013-05-24 21:22:19.858012+02	\N	\N	\N	\N	\N	\N	f	
851	b2afe02d-47ae-4c62-978d-85d3f5ea4004	Shanxi	Shanxi	2	0	2013-05-19 19:43:14.313213+02	\N	\N	\N	\N	\N	\N	f	
852	443dfd1c-d9ef-4716-a5b8-aa9ba42f9ddc	Nei Mongol	Nei Mongol	2	0	2013-05-19 19:43:25.907396+02	\N	\N	\N	\N	\N	\N	f	
5705	9412326d-b26c-4e4c-85f7-cabb60cde15d	Franklin	Franklin	3	0	2013-05-25 00:34:39.229574+02	\N	\N	\N	\N	\N	\N	f	
853	f97624c8-5432-4033-9683-4bce1cd13a2f	Liaoning	Liaoning	2	0	2013-05-19 19:43:36.65853+02	\N	\N	\N	\N	\N	\N	f	
854	ce3b0a66-b0f0-4534-a32e-4509fc5a391f	Jilin	Jilin	2	0	2013-05-19 19:43:49.119155+02	\N	\N	\N	\N	\N	\N	f	
855	f2b530f1-9fa9-4c2e-a09a-c3808f09d3a8	Heilongjiang	Heilongjiang	2	0	2013-05-19 19:44:00.431163+02	\N	\N	\N	\N	\N	\N	f	
13721	9dcc7d25-41c8-4848-a312-fa5dfb492640	Calcinaia	Calcinaia	4	0	2013-07-21 18:57:38.640215+02	\N	\N	\N	\N	\N	\N	f	
870	de045fa4-8adb-43ef-8705-c0f58bd6ad65	Sichuan	Sichuan	2	0	2013-05-19 19:47:44.527361+02	\N	\N	\N	\N	\N	\N	f	
848	96dd7db4-d3ef-4d7f-a1c8-d89c7db89181	Beijing	Beijing	3	0	2013-05-24 01:35:51.154478+02	\N	\N	\N	\N	\N	\N	f	
857	54862a0b-a330-4a9c-8634-50d3c89d2c34	Jiangsu	Jiangsu	2	0	2013-05-19 19:44:22.119436+02	\N	\N	\N	\N	\N	\N	f	
882	2f05cb5d-8e1f-4f09-bc4d-45b42248abc5	Hsinchu County	Hsinchu County	2	0	2013-05-19 19:50:49.995584+02	\N	\N	\N	\N	\N	\N	f	
858	d123f8e0-829a-4e7e-b8d0-9156b38b9eb9	Zhejiang	Zhejiang	2	0	2013-05-19 19:44:32.991318+02	\N	\N	\N	\N	\N	\N	f	
871	29abf244-7616-441c-871e-96c12bfd0c5c	Guizhou	Guizhou	2	0	2013-05-19 19:48:00.76877+02	\N	\N	\N	\N	\N	\N	f	
903	0c61d6b9-9b63-423c-8d5a-f3d0cbf71c7c	Balzan	Balzan	2	0	2013-06-05 11:45:41.609445+02	\N	\N	\N	\N	\N	\N	f	
860	1b949732-48e7-47cc-95e1-e08fced8f4a1	Fujian	Fujian	2	0	2013-05-19 19:44:56.470994+02	\N	\N	\N	\N	\N	\N	f	
15461	bc5740d8-695d-4102-8fb8-ae294c9169c2	Frasso Sabino	Frasso Sabino	4	0	2013-07-22 00:50:28.469548+02	\N	\N	\N	\N	\N	\N	f	
861	68dca7f6-08cf-4abf-9618-f129fe44d01b	Jiangxi	Jiangxi	2	0	2013-05-19 19:45:07.869912+02	\N	\N	\N	\N	\N	\N	f	
872	4d3ecf48-07f2-4c80-ad6b-6ad97a0bd0fe	Yunnan	Yunnan	2	0	2013-05-19 19:48:15.053348+02	\N	\N	\N	\N	\N	\N	f	
862	52c5046e-aac6-4009-9dad-d2285db3b198	Shandong	Shandong	2	0	2013-05-19 19:45:19.017019+02	\N	\N	\N	\N	\N	\N	f	
863	a664052c-7689-4a6c-935e-f622d2c504c6	Henan	Henan	2	0	2013-05-19 19:45:30.122104+02	\N	\N	\N	\N	\N	\N	f	
895	a3d2eaf8-648d-403e-b54a-4ff0f3bdf9a0	Tainan County	Tainan County	2	0	2013-05-19 19:53:11.412438+02	\N	\N	\N	\N	\N	\N	f	
864	e9c9f32a-b2b7-4702-a209-469a2ad78180	Hubei	Hubei	2	0	2013-05-19 19:45:51.13615+02	\N	\N	\N	\N	\N	\N	f	
873	dd70d245-d0b4-4169-8538-cdb45807adaf	Xizang	Xizang	2	0	2013-05-19 19:48:28.543256+02	\N	\N	\N	\N	\N	\N	f	
874	a2d00ad5-cdc4-402e-87fd-30d2799f2dce	Shaanxi	Shaanxi	2	0	2013-05-19 19:48:39.442496+02	\N	\N	\N	\N	\N	\N	f	
890	c4495b84-f8df-4e8e-8483-fc7894ea8416	Nantou County	Nantou County	2	0	2013-05-19 19:52:16.863668+02	\N	\N	\N	\N	\N	\N	f	
875	db70fd2a-bdc7-4d4b-89da-79d90a13d588	Gansu	Gansu	2	0	2013-05-19 19:48:50.64264+02	\N	\N	\N	\N	\N	\N	f	
884	8a31cf35-0e1b-472f-9045-e871b496c31b	Hualien County	Hualien County	2	0	2013-05-19 19:51:11.313815+02	\N	\N	\N	\N	\N	\N	f	
876	22ba719f-c08e-4a56-9b74-87dcb3f6d736	Qinghai	Qinghai	2	0	2013-05-19 19:49:02.444363+02	\N	\N	\N	\N	\N	\N	f	
877	df146381-8c0e-4f40-b201-83555fa4753d	Ningxia	Ningxia	2	0	2013-05-19 19:49:13.737964+02	\N	\N	\N	\N	\N	\N	f	
878	bbdac64e-bb69-483b-a4dd-5ac07a4610bd	Xinjiang	Xinjiang	2	0	2013-05-19 19:49:24.96915+02	\N	\N	\N	\N	\N	\N	f	
885	3042c0ba-a2af-4ef6-acaa-ad82ee509b33	Ilan County	Ilan County	2	0	2013-05-19 19:51:22.346111+02	\N	\N	\N	\N	\N	\N	f	
879	01a45032-976d-408d-89dd-2633c5eb7811	Changhua County	Changhua County	2	0	2013-06-05 11:38:44.190228+02	\N	\N	\N	\N	\N	\N	f	
13752	83e0e9c9-ba49-4871-893e-fab820f7a969	Barghe	Barghe	4	0	2013-07-21 19:04:50.624479+02	\N	\N	\N	\N	\N	\N	f	
880	dabf4433-1673-43cd-b504-31a061019b1a	Chiayi County	Chiayi County	2	0	2013-06-05 07:06:16.402064+02	\N	\N	\N	\N	\N	\N	f	
891	1eb28871-061f-42d8-bb0f-168291e6bc5d	Penghu County	Penghu County	2	0	2013-05-19 19:52:28.024304+02	\N	\N	\N	\N	\N	\N	f	
859	41cc43f6-9a3a-4ccd-a965-7df8bf718c8f	Anhui	Anhui	2	0	2013-06-05 06:53:13.624583+02	\N	\N	\N	\N	\N	\N	f	
888	e2d44c72-17b8-4390-b22b-87b45823cd84	Kaohsiung County	Kaohsiung County	2	0	2013-05-19 19:51:55.254289+02	\N	\N	\N	\N	\N	\N	f	
892	ac9eaa31-49ca-4f82-80d5-451bc9211786	Pingtung County	Pingtung County	2	0	2013-05-19 19:52:39.144214+02	\N	\N	\N	\N	\N	\N	f	
2388	ce3b5bfd-8507-4553-9f20-22ca625462e5	Respublika Altay	Altay, Respublika	2	0	2013-05-24 00:50:56.651935+02	\N	\N	\N	\N	\N	\N	f	
893	86c415b3-7ce8-4971-b4a5-536678101444	Taoyuan County	Taoyuan County	2	0	2013-05-19 19:52:49.830167+02	\N	\N	\N	\N	\N	\N	f	
849	215b240e-03ca-4196-8439-6643970d1bf6	Tianjin	Tianjin	3	0	2013-05-24 01:35:40.321606+02	\N	\N	\N	\N	\N	\N	f	
900	ad19d67b-3926-4ca5-92c3-97b4e1a2a78f	Taichung County	Taichung County	2	0	2013-05-19 19:54:06.235308+02	\N	\N	\N	\N	\N	\N	f	
898	8bef2557-cb81-4ec3-b49d-36737437e36c	Taitung County	Taitung County	2	0	2013-05-19 19:53:44.586477+02	\N	\N	\N	\N	\N	\N	f	
902	d4b55bba-1cab-47e5-afef-7470cb9535c3	Attard	Attard	2	0	2013-06-05 07:27:09.063646+02	\N	\N	\N	\N	\N	\N	f	
901	65cadeee-4b07-4527-aad7-a632db8a92ad	Yunlin County	Yunlin County	2	0	2013-05-19 19:54:16.908266+02	\N	\N	\N	\N	\N	\N	f	
905	0eaafc54-5bbe-4d56-aebc-1ecb0820bb38	Birkirkara	Birkirkara	2	0	2013-06-05 12:22:37.696768+02	\N	\N	\N	\N	\N	\N	f	
1962	49a9bb5a-7abc-45b6-94b1-0b2369e83170	Destrnik	Destrnik	2	0	2013-05-20 17:30:36.150737+02	\N	\N	\N	\N	\N	\N	f	
2007	051e58b4-c38a-4b8f-9f0f-ba57c240140c	Ljutomer	Ljutomer	2	0	2013-05-20 17:39:31.963154+02	\N	\N	\N	\N	\N	\N	f	
2027	92432ec5-45c7-4fd8-a0c4-e753fd27faff	Nazarje	Nazarje	2	0	2013-05-20 17:44:37.127327+02	\N	\N	\N	\N	\N	\N	f	
2048	9d57ab5e-6f4d-4037-b3a7-17d377f2eba3	Ribnica	Ribnica	2	0	2013-05-20 17:48:52.422217+02	\N	\N	\N	\N	\N	\N	f	
2049	7b2adad6-d272-4ba7-9802-7ce67e81305f	Rogašovci	Rogašovci	2	0	2013-05-20 17:49:03.861338+02	\N	\N	\N	\N	\N	\N	f	
2087	3d47335d-02b4-4ca3-8175-706dda3c867c	Zavrč	Zavrč	2	0	2013-05-20 17:56:22.326279+02	\N	\N	\N	\N	\N	\N	f	
2130	e9b34399-1952-4922-93b6-f1bb4c630a76	Velika Polana	Velika Polana	2	0	2013-05-20 18:05:05.012048+02	\N	\N	\N	\N	\N	\N	f	
4565	3305f629-f127-4279-9945-305ab0f6feb4	Kalimantan Barat	Kalimantan Barat	2	0	2013-05-22 14:09:34.449452+02	\N	\N	\N	\N	\N	\N	f	
2162	c71f8a3d-f6e5-4d0a-9b6c-232535878b94	Montegiardino	Montegiardino	2	0	2013-05-20 18:12:12.338847+02	\N	\N	\N	\N	\N	\N	f	
886	5f7d73ee-5c9c-4485-9fc5-11da7624b451	Keelung	Keelung	3	0	2013-06-01 23:15:37.241406+02	\N	\N	\N	\N	\N	\N	f	
887	03be6fde-7d55-4dea-ab29-1791782cb858	Kaohsiung	Kaohsiung	3	0	2013-06-01 23:15:40.136683+02	\N	\N	\N	\N	\N	\N	f	
883	4ac9e935-d200-4500-b3c9-8b5b10bc25f8	Hsinchu	Hsinchu	3	0	2013-06-01 23:15:44.989752+02	\N	\N	\N	\N	\N	\N	f	
881	5882d497-8ac2-4003-a9bd-b44ca0fad752	Chiayi	Chiayi	3	0	2013-06-01 23:15:48.798947+02	\N	\N	\N	\N	\N	\N	f	
899	82134e1f-a265-4522-a008-d40ed84379e8	Taichung	Taichung	3	0	2013-06-01 23:16:48.812023+02	\N	\N	\N	\N	\N	\N	f	
2217	21ad95f5-d3b2-4da6-99f4-92c45f64807f	Notio Aigaio	Notio Aigaio	2	0	2013-05-20 18:28:03.22623+02	\N	\N	\N	\N	\N	\N	f	
1963	2ef8ccec-bf66-45c7-8c96-08f6e8d44f56	Divača	Divača	2	0	2013-05-20 17:30:48.017878+02	\N	\N	\N	\N	\N	\N	f	
2000	7aa1182b-cf87-45c3-a270-1c44b53f7bcc	Kuzma	Kuzma	2	0	2013-05-20 17:38:13.32006+02	\N	\N	\N	\N	\N	\N	f	
2562	8645e3e5-7a8f-475f-936e-83c4231cbd15	Son La	Son La	2	0	2013-05-20 22:16:46.025676+02	\N	\N	\N	\N	\N	\N	f	
2010	4ac00aa9-d5b4-49ac-92e8-27a8a59a43c4	Loški Potok	Loški Potok	2	0	2013-05-20 17:40:05.476871+02	\N	\N	\N	\N	\N	\N	f	
2218	3888f266-c83f-4d2a-8370-09e8b93c9086	Kriti	Kriti	2	0	2013-05-20 18:28:16.229894+02	\N	\N	\N	\N	\N	\N	f	
2050	9b0a487a-b1af-4ff1-b749-1b016f701a0b	Rogaška Slatina	Rogaška Slatina	2	0	2013-05-20 17:49:15.137197+02	\N	\N	\N	\N	\N	\N	f	
13722	9ee43d3f-5013-4f00-ae86-38c4d534cdd3	Castelnuovo di Val di Cecina	Castelnuovo di Val di Cecina	4	0	2013-07-21 18:57:52.835838+02	\N	\N	\N	\N	\N	\N	f	
2101	1dfbdedf-1489-40ea-80e9-2b2b78637396	Grad	Grad	2	0	2013-05-20 17:59:05.263182+02	\N	\N	\N	\N	\N	\N	f	
2253	e89c66b4-8ff2-4871-a5f8-24cdfa574ea9	Taraclia	Taraclia	2	0	2013-05-20 19:08:14.451111+02	\N	\N	\N	\N	\N	\N	f	
2131	ab14e6fe-37f4-4ed5-8281-1050410b3815	Veržej	Veržej	2	0	2013-05-20 18:05:17.467406+02	\N	\N	\N	\N	\N	\N	f	
2163	98c13a99-411c-400a-8a57-f70e697add3a	Serravalle	Serravalle	2	0	2013-05-20 18:12:23.129714+02	\N	\N	\N	\N	\N	\N	f	
2203	14825230-fade-4f0c-8e68-cca7968123f7	Pafos	Pafos	2	0	2013-05-20 18:25:29.510801+02	\N	\N	\N	\N	\N	\N	f	
3534	08bf1c04-5209-463e-abac-b787884192a2	Agadez	Agadez	2	0	2013-06-05 11:44:15.990135+02	\N	\N	\N	\N	\N	\N	f	
2295	fb1d5b0a-3178-4957-a3fa-d062d54c68bf	Kičevo	Kičevo	2	0	2013-05-20 19:16:00.987828+02	\N	\N	\N	\N	\N	\N	f	
2622	57d2d502-5c90-4625-ad1b-dede51060cf9	Banteay Mean Chey [Bântéay Méanchey]	Banteay Mean Chey [Bântéay Méanchey]	2	0	2013-06-05 10:09:48.1404+02	\N	\N	\N	\N	\N	\N	f	
3117	dbd542ca-6a85-46b3-9a6d-f2c21a27dc1b	Cuanza Norte	Cuanza Norte	2	0	2013-06-05 06:51:47.934997+02	\N	\N	\N	\N	\N	\N	f	
13825	358aeda1-9cbf-4494-8d39-8e1e638af7c0	Flero	Flero	4	0	2013-07-21 19:21:19.789531+02	\N	\N	\N	\N	\N	\N	f	
2334	e3576af4-903c-435b-bae7-44ad94d39b3f	Čair	Čair	2	0	2013-05-27 19:51:44.723964+02	\N	\N	\N	\N	\N	\N	f	
2377	9aa0186f-7e1c-4162-b100-03083f844700	Poltavs'ka Oblast'	Poltavs'ka Oblast'	2	0	2013-05-20 19:34:00.636644+02	\N	\N	\N	\N	\N	\N	f	
3066	624f084b-50d1-4079-8d71-da8c8a502808	Ash Sharqīyah	Ash Sharqīyah	2	0	2013-06-05 10:19:25.558298+02	\N	\N	\N	\N	\N	\N	f	
3416	069bc6b7-bb06-4b43-aed7-3a756ba3d8a5	Butha-Buthe	Butha-Buthe	2	0	2013-06-05 07:43:48.032657+02	\N	\N	\N	\N	\N	\N	f	
2417	619d7e3c-a3b6-4126-8df6-35f0832ae223	Kaluzhskaya oblast'	Kaluzhskaya oblast'	2	0	2013-05-20 19:43:09.430862+02	\N	\N	\N	\N	\N	\N	f	
3214	52ff81fe-78a3-4a59-b606-b14177ed9182	Lékoumou	Lékoumou	2	0	2013-05-21 01:04:33.265832+02	\N	\N	\N	\N	\N	\N	f	
2433	d6acfdca-9aa8-4bb8-9e97-8b1008fa0b64	Nizhegorodskaya oblast'	Nizhegorodskaya oblast'	2	0	2013-05-20 19:47:16.262949+02	\N	\N	\N	\N	\N	\N	f	
2441	9f045a89-3731-4122-b27d-65aec2e8705b	Pskovskaya oblast'	Pskovskaya oblast'	2	0	2013-05-20 19:49:34.749406+02	\N	\N	\N	\N	\N	\N	f	
2457	93b43808-412b-463c-bddd-8ee227766197	Tverskaya oblast'	Tverskaya oblast'	2	0	2013-05-20 19:54:22.730792+02	\N	\N	\N	\N	\N	\N	f	
2973	bed7f84d-300f-4a7f-850c-84aaa0291576	Kermānshāh	Kermānshāh	2	0	2013-05-21 00:03:18.788103+02	\N	\N	\N	\N	\N	\N	f	
2503	e849eef1-2a39-4fb5-9ae6-9453e39f2385	Pavlodar oblysy	Pavlodar oblysy	2	0	2013-05-20 20:55:23.558471+02	\N	\N	\N	\N	\N	\N	f	
2714	59e6a51a-ccd6-45c3-9f86-77afb9bf5db2	Sukhothai	Sukhothai	2	0	2013-05-20 22:46:06.63082+02	\N	\N	\N	\N	\N	\N	f	
2539	a2c306bc-84d2-477b-916a-69b736a03ede	Gang'weondo	Gang'weondo	2	0	2013-05-20 21:16:01.865232+02	\N	\N	\N	\N	\N	\N	f	
2745	52b29606-6882-406b-bba6-dc54716a547f	South West	South West	2	0	2013-05-20 22:51:58.860152+02	\N	\N	\N	\N	\N	\N	f	
5249	f0590317-8b42-4498-a2e4-34cc5562fcf8	Salzburg	Salzburg	3	0	2013-05-24 22:56:58.477525+02	\N	\N	\N	\N	\N	\N	f	
3035	6577dcf3-763f-45de-ae3d-2682d5e5dfeb	Musandam	Musandam	2	0	2013-05-21 00:18:53.908807+02	\N	\N	\N	\N	\N	\N	f	
2780	23e5e68d-84a5-4fb3-a822-05b2f4544d5f	Eastern Visayas (Region VIII)	Eastern Visayas (Region VIII)	2	0	2013-05-20 22:58:27.224319+02	\N	\N	\N	\N	\N	\N	f	
2803	ef1a48fe-6104-4c00-b90a-5dbb9820c25f	Sagaing	Sagaing	2	0	2013-05-20 23:03:00.718126+02	\N	\N	\N	\N	\N	\N	f	
2940	1252561f-5c81-4bdf-bc7c-369215354c15	Al Anbār	Al Anbār	2	0	2013-06-05 10:46:31.918476+02	\N	\N	\N	\N	\N	\N	f	
2831	e16e208a-10b8-4e99-9acd-49adafeb0e35	Monggar	Monggar	2	0	2013-05-20 23:26:14.279162+02	\N	\N	\N	\N	\N	\N	f	
2850	651275cc-8271-4808-8f57-f4335bdd0b86	Gilgit-Baltistan	Gilgit-Baltistan	2	0	2013-05-20 23:29:41.985367+02	\N	\N	\N	\N	\N	\N	f	
3220	edb7d16e-efef-4e04-b2a2-bb3e23413ab9	Haut-Sassandra (Région du)	Haut-Sassandra (Région du)	2	0	2013-05-21 01:05:25.454253+02	\N	\N	\N	\N	\N	\N	f	
2880	ec372a3e-243f-4d79-b698-81e56d505ba3	Nūristān	Nūristān	2	0	2013-05-20 23:35:05.09104+02	\N	\N	\N	\N	\N	\N	f	
3105	4d3a6a6f-dd4c-4b7b-908a-99454fb88a73	Raymah	Raymah	2	0	2013-05-21 00:35:56.439921+02	\N	\N	\N	\N	\N	\N	f	
2897	c82a593e-6d45-4364-a160-13794c6cd6fa	Talas	Talas	2	0	2013-05-20 23:38:34.070565+02	\N	\N	\N	\N	\N	\N	f	
3229	031adb09-4c86-4ee6-a5ad-39c07af938e0	Nzi-Comoé (Région)	Nzi-Comoé (Région)	2	0	2013-05-21 01:07:00.265322+02	\N	\N	\N	\N	\N	\N	f	
13868	2e132d37-bf1c-4a12-8257-7115f164c4a3	Ono San Pietro	Ono San Pietro	4	0	2013-07-21 19:31:02.289254+02	\N	\N	\N	\N	\N	\N	f	
2399	978b67a8-46e3-4718-984f-5d997eed9913	Chukotskiy avtonomnyy okrug	Chukotskiy avtonomnyy okrug	2	0	2013-06-05 06:57:44.632751+02	\N	\N	\N	\N	\N	\N	f	
3149	7d9ccba8-85d0-431c-a12a-662440d0ca51	Kirundo	Kirundo	2	0	2013-05-21 00:51:54.406576+02	\N	\N	\N	\N	\N	\N	f	
3319	4fc68077-7721-4e5b-a8a6-5eee09952171	Al Qalyūbīyah	Al Qalyūbīyah	2	0	2013-06-05 09:24:00.479439+02	\N	\N	\N	\N	\N	\N	f	
3184	866b179a-ba4b-4baa-a827-b2bc161287c4	Kasai-Oriental	Kasai-Oriental	2	0	2013-05-21 00:58:31.799419+02	\N	\N	\N	\N	\N	\N	f	
3199	ff2e6a09-7a25-45b8-8af7-423272dd1d59	Kémo-Gribingui	Kémo-Gribingui	2	0	2013-05-21 01:01:45.881103+02	\N	\N	\N	\N	\N	\N	f	
3371	371c436b-316b-48db-aa47-6704411b2d8e	MacCarthy Island	MacCarthy Island	2	0	2013-05-21 12:06:40.739637+02	\N	\N	\N	\N	\N	\N	f	
3312	41965877-7df3-466e-bbd2-cb59968b9734	Dumyāţ	Dumyāţ	2	0	2013-05-21 11:40:04.411828+02	\N	\N	\N	\N	\N	\N	f	
2809	be526dbc-6c23-4ca7-b5fe-cbf16a357e26	Ayeyarwady	Ayeyarwady	2	0	2013-06-05 12:11:03.663413+02	\N	\N	\N	\N	\N	\N	f	
14345	89a60821-bafd-4194-a9fc-43a915ef299e	Cassine	Cassine	4	0	2013-07-21 21:17:45.3119+02	\N	\N	\N	\N	\N	\N	f	
3379	67b2cc87-892c-4c56-af8b-7f6bce018494	Kankan	Kankan	2	0	2013-05-21 12:08:30.118298+02	\N	\N	\N	\N	\N	\N	f	
14448	39f2c7bb-a9be-4a2b-80c3-1007d24edf62	Montaldeo	Montaldeo	4	0	2013-07-21 21:39:58.520491+02	\N	\N	\N	\N	\N	\N	f	
3383	7deabd6e-d09a-4938-ae47-478df6bd44a3	Región Continental	Región Continental	2	0	2013-05-21 12:09:16.230923+02	\N	\N	\N	\N	\N	\N	f	
3486	705472e4-0b0b-46ba-9578-00aae949168d	Guidimaka	Guidimaka	2	0	2013-05-21 13:37:23.577478+02	\N	\N	\N	\N	\N	\N	f	
3444	9b3eb728-6351-46fc-8716-5557ba98f89a	Wādī ash Shāţiʾ	Wādī ash Shāţiʾ	2	0	2013-05-21 13:29:13.731914+02	\N	\N	\N	\N	\N	\N	f	
3480	1a2e2bbc-e7a8-4b62-a06b-530de718331d	Gorgol	Gorgol	2	0	2013-05-21 13:36:17.534237+02	\N	\N	\N	\N	\N	\N	f	
3487	c87032ce-8954-4b5c-ae34-636820c1e5f7	Tiris Zemmour	Tiris Zemmour	2	0	2013-05-21 13:37:34.698641+02	\N	\N	\N	\N	\N	\N	f	
17283	6283be8e-a895-4395-abfa-a633d3ab836b	Osmate	Osmate	4	0	2013-07-22 06:07:59.34432+02	\N	\N	\N	\N	\N	\N	f	
5068	959793ce-d25b-49f8-b99d-3f13f8c96634	Białystok	Białystok	3	0	2013-05-24 21:22:48.19978+02	\N	\N	\N	\N	\N	\N	f	
3522	e3dc412b-533b-41da-9bb0-a4008e4e1b92	Erongo	Erongo	2	0	2013-05-21 13:44:04.929908+02	\N	\N	\N	\N	\N	\N	f	
18166	06cb24f5-f471-4a36-ae4d-11d47cc6183b	Dolzago	Dolzago	4	0	2013-07-22 07:55:43.218726+02	\N	\N	\N	\N	\N	\N	f	
3538	d2c36718-3f36-4a9b-ba36-19c9443985d1	Tahoua	Tahoua	2	0	2013-05-21 13:47:04.804515+02	\N	\N	\N	\N	\N	\N	f	
3540	408de6b6-42e2-4ceb-a8da-9bc0db9a0f73	Zinder	Zinder	2	0	2013-05-21 13:47:28.69226+02	\N	\N	\N	\N	\N	\N	f	
3552	fdd3df7b-e5b3-4261-bb13-f3613ed47d8b	Ebonyi	Ebonyi	2	0	2013-05-21 13:49:50.685703+02	\N	\N	\N	\N	\N	\N	f	
3562	7e2f532d-8327-487e-a9e0-2e0c398c2da7	Kano	Kano	2	0	2013-05-21 13:51:37.791659+02	\N	\N	\N	\N	\N	\N	f	
5706	96e34c0e-ba85-4582-bf03-48300904eca9	Łochów	Łochów	3	0	2013-05-25 00:34:50.441223+02	\N	\N	\N	\N	\N	\N	f	
6811	05288b93-0e65-4200-88eb-9790168fc012	Bajgiran	Bajgiran	3	0	2013-05-25 04:20:32.323158+02	\N	\N	\N	\N	\N	\N	f	
3515	0b4c70d8-e346-4f62-95ca-fc6b06610403	Maputo	Maputo	3	0	2013-05-24 02:24:59.814602+02	\N	\N	\N	\N	\N	\N	f	
962	3b812499-b386-4bf9-956a-189e3edba083	Xagħra	Xagħra	2	0	2013-05-19 20:12:08.855154+02	\N	\N	\N	\N	\N	\N	f	
908	3b368c1e-1882-4e67-a986-e1d3e19c718e	Dingli	Dingli	2	0	2013-05-19 20:00:38.869494+02	\N	\N	\N	\N	\N	\N	f	
932	cdb6c8db-62e1-4d3f-81e2-15e7d7d05b95	Mġarr	Mġarr	2	0	2013-05-19 20:05:47.292862+02	\N	\N	\N	\N	\N	\N	f	
909	0a269dae-fb3b-4989-abac-c3540ec93870	Fgura	Fgura	2	0	2013-05-19 20:00:50.05161+02	\N	\N	\N	\N	\N	\N	f	
910	ec58bbd3-38bf-48b3-885e-440ec48488fa	Floriana	Floriana	2	0	2013-05-19 20:01:00.947641+02	\N	\N	\N	\N	\N	\N	f	
945	192af6d9-7034-46e6-8cfc-9d3d1d5db072	Qrendi	Qrendi	2	0	2013-05-19 20:08:40.400507+02	\N	\N	\N	\N	\N	\N	f	
911	ec40e7bf-c609-4b2a-a88e-f5d69c4161ce	Fontana	Fontana	2	0	2013-05-19 20:01:11.764623+02	\N	\N	\N	\N	\N	\N	f	
933	5e61d48c-5130-4cfe-918e-3c84c725c833	Mosta	Mosta	2	0	2013-05-19 20:05:59.560436+02	\N	\N	\N	\N	\N	\N	f	
912	7357b2dd-5a1a-4ff9-a0bf-1624da9a95f4	Gudja	Gudja	2	0	2013-05-19 20:01:22.517877+02	\N	\N	\N	\N	\N	\N	f	
913	4cf4b2f5-632b-479f-aa0b-0b2089fafba0	Gżira	Gżira	2	0	2013-05-19 20:01:33.899846+02	\N	\N	\N	\N	\N	\N	f	
914	32a65245-b3b9-4041-9b38-dabe43d9bc3f	Għajnsielem	Għajnsielem	2	0	2013-05-19 20:01:54.057035+02	\N	\N	\N	\N	\N	\N	f	
934	bd799e13-3cea-4dda-b18a-9e9801cf0591	Mqabba	Mqabba	2	0	2013-05-19 20:06:10.682792+02	\N	\N	\N	\N	\N	\N	f	
915	255de207-857c-4d2c-9891-d88d70115563	Għarb	Għarb	2	0	2013-05-19 20:02:05.8426+02	\N	\N	\N	\N	\N	\N	f	
916	2ca322af-ff3e-4da2-9886-6900e64e29b6	Għargħur	Għargħur	2	0	2013-05-19 20:02:16.990106+02	\N	\N	\N	\N	\N	\N	f	
955	0bf6525e-b12f-458e-820d-e3a33e24fff6	Santa Venera	Santa Venera	2	0	2013-05-19 20:10:40.642627+02	\N	\N	\N	\N	\N	\N	f	
917	4d4ece48-cb17-43cc-be2f-aa45c1a7c376	Għasri	Għasri	2	0	2013-05-19 20:02:37.006822+02	\N	\N	\N	\N	\N	\N	f	
935	8fc59020-6515-4044-b722-e2a8d14b3581	Msida	Msida	2	0	2013-05-19 20:06:23.716897+02	\N	\N	\N	\N	\N	\N	f	
918	8246e4cc-7a96-4136-8003-d1e8f6bd8813	Għaxaq	Għaxaq	2	0	2013-05-19 20:02:48.408294+02	\N	\N	\N	\N	\N	\N	f	
13723	23f7bcf2-b389-4ec9-b2b6-31adee60c79e	Susa	Susa	4	0	2013-07-21 18:58:05.382589+02	\N	\N	\N	\N	\N	\N	f	
946	edb8b0db-b763-4513-b192-3b50cf8c1a25	Rabat Għawdex	Rabat Għawdex	2	0	2013-05-19 20:08:52.234581+02	\N	\N	\N	\N	\N	\N	f	
920	6707eae0-db32-41c9-ba59-370b610fc4d1	Iklin	Iklin	2	0	2013-05-19 20:03:10.536761+02	\N	\N	\N	\N	\N	\N	f	
936	fb3dff77-07ae-4ecf-9c2a-d8515378451d	Mtarfa	Mtarfa	2	0	2013-05-19 20:06:35.63989+02	\N	\N	\N	\N	\N	\N	f	
921	689be2c6-c736-4408-9305-647099a931fe	Isla	Isla	2	0	2013-05-19 20:03:29.789415+02	\N	\N	\N	\N	\N	\N	f	
922	c6bfe436-de55-42e4-9926-5378546780b6	Kalkara	Kalkara	2	0	2013-05-19 20:03:41.151026+02	\N	\N	\N	\N	\N	\N	f	
923	142cbf5b-b5d9-4830-a61c-72d1b56099f8	Kerċem	Kerċem	2	0	2013-05-19 20:03:52.498445+02	\N	\N	\N	\N	\N	\N	f	
937	802f4678-d78a-43bd-9141-b6a7b67daf16	Munxar	Munxar	2	0	2013-05-19 20:06:46.659373+02	\N	\N	\N	\N	\N	\N	f	
924	2c8ab28d-4711-4729-a041-cc0ef57b7ae3	Kirkop	Kirkop	2	0	2013-05-19 20:04:03.540978+02	\N	\N	\N	\N	\N	\N	f	
925	a00e5ac7-7ead-43b8-bf2f-a8566f68067d	Lija	Lija	2	0	2013-05-19 20:04:14.752511+02	\N	\N	\N	\N	\N	\N	f	
926	5325595f-eaa5-49e2-9a7b-8d6545e1ea33	Luqa	Luqa	2	0	2013-05-19 20:04:25.783227+02	\N	\N	\N	\N	\N	\N	f	
947	4cdda563-0bbe-4c02-bf38-ee3c0062761e	Rabat Malta	Rabat Malta	2	0	2013-05-19 20:09:03.859309+02	\N	\N	\N	\N	\N	\N	f	
927	106edf2a-16b9-4be1-9fc7-156283464e35	Marsa	Marsa	2	0	2013-05-19 20:04:43.911416+02	\N	\N	\N	\N	\N	\N	f	
928	4dd3472b-0725-4951-9bcf-9836710ef87b	Marsaskala	Marsaskala	2	0	2013-05-19 20:04:55.961091+02	\N	\N	\N	\N	\N	\N	f	
929	10990d9a-a144-482d-afb7-37882f58bbd3	Marsaxlokk	Marsaxlokk	2	0	2013-05-19 20:05:11.04469+02	\N	\N	\N	\N	\N	\N	f	
948	36cd6199-44c6-44c3-ac45-03c1a47578d6	Safi	Safi	2	0	2013-05-19 20:09:15.899845+02	\N	\N	\N	\N	\N	\N	f	
930	c56b97bf-408d-478f-aea2-2b8e104e347e	Mdina	Mdina	2	0	2013-05-19 20:05:24.273214+02	\N	\N	\N	\N	\N	\N	f	
931	9d7b624e-1e45-4be5-9ba0-ead92bb051f9	Mellieħa	Mellieħa	2	0	2013-05-19 20:05:36.036893+02	\N	\N	\N	\N	\N	\N	f	
938	be69515e-6e3b-47c2-881e-4def3f177001	Nadur	Nadur	2	0	2013-05-19 20:06:57.824464+02	\N	\N	\N	\N	\N	\N	f	
956	8f5b1376-c6f7-4c3d-8230-2753bb7f8c72	Siġġiewi	Siġġiewi	2	0	2013-05-19 20:10:52.048206+02	\N	\N	\N	\N	\N	\N	f	
939	95f5f73a-4b27-4911-82e1-503b0fc3e4ca	Naxxar	Naxxar	2	0	2013-05-19 20:07:18.341637+02	\N	\N	\N	\N	\N	\N	f	
949	db49a4b4-f235-4d91-bee6-ff468c7e03f8	San Ġiljan	San Ġiljan	2	0	2013-05-19 20:09:29.221998+02	\N	\N	\N	\N	\N	\N	f	
940	19236f97-afb7-4db8-abef-c5dbcf4d6848	Paola	Paola	2	0	2013-05-19 20:07:35.819512+02	\N	\N	\N	\N	\N	\N	f	
941	a57d13e0-867f-410b-8ca2-aaf62a472205	Pembroke	Pembroke	2	0	2013-05-19 20:07:50.059459+02	\N	\N	\N	\N	\N	\N	f	
942	5b7eb35b-96c6-4c4e-a44b-e854bf93e79e	Pietà	Pietà	2	0	2013-05-19 20:08:01.56798+02	\N	\N	\N	\N	\N	\N	f	
950	17def498-75f9-4b3b-9dbf-9ac42585c0df	San Ġwann	San Ġwann	2	0	2013-05-19 20:09:43.610907+02	\N	\N	\N	\N	\N	\N	f	
943	24181220-1438-4ebb-a1b4-31deed12ce3f	Qala	Qala	2	0	2013-05-19 20:08:17.687277+02	\N	\N	\N	\N	\N	\N	f	
970	bab3c66a-e15a-4d99-aab6-c79a353376ed	El Beni	El Beni	2	0	2013-05-19 20:18:01.207145+02	\N	\N	\N	\N	\N	\N	f	
944	5b652b17-2a35-4dae-9b33-1281822e3049	Qormi	Qormi	2	0	2013-05-19 20:08:28.918843+02	\N	\N	\N	\N	\N	\N	f	
957	5f3877fe-ffdd-4cf5-9080-1ef09b1b51d6	Sliema	Sliema	2	0	2013-05-19 20:11:03.217387+02	\N	\N	\N	\N	\N	\N	f	
951	240ee250-8cc3-4202-b469-5ae941412259	San Lawrenz	San Lawrenz	2	0	2013-05-19 20:09:54.895247+02	\N	\N	\N	\N	\N	\N	f	
952	838b3056-4fb0-45ca-8dc4-9d05236f1369	San Pawl il-Baħar	San Pawl il-Baħar	2	0	2013-05-19 20:10:06.684432+02	\N	\N	\N	\N	\N	\N	f	
963	1a3d147a-edbe-4685-8281-9ee35b276973	Xewkija	Xewkija	2	0	2013-05-19 20:12:19.845626+02	\N	\N	\N	\N	\N	\N	f	
953	5687fff1-f8d3-49dc-bbba-7d12fd400b9c	Sannat	Sannat	2	0	2013-05-19 20:10:18.075403+02	\N	\N	\N	\N	\N	\N	f	
958	628c949e-35a9-4610-b697-573938569d07	Swieqi	Swieqi	2	0	2013-05-19 20:11:20.362728+02	\N	\N	\N	\N	\N	\N	f	
954	6dcce466-a253-4287-bb69-a76274c1ea60	Santa Luċija	Santa Luċija	2	0	2013-05-19 20:10:29.561869+02	\N	\N	\N	\N	\N	\N	f	
959	21063ac3-d2e9-4273-beee-8c4ce05e546a	Ta’ Xbiex	Ta’ Xbiex	2	0	2013-05-19 20:11:33.098277+02	\N	\N	\N	\N	\N	\N	f	
967	d8c8ad0a-89fd-4b80-996b-8f51037e58b0	Żebbuġ Malta	Żebbuġ Malta	2	0	2013-05-27 19:45:41.652258+02	\N	\N	\N	\N	\N	\N	f	
960	ae4f5cb0-b027-4495-80d6-3ec8460ed5ac	Tarxien	Tarxien	2	0	2013-05-19 20:11:44.33338+02	\N	\N	\N	\N	\N	\N	f	
964	6a996bb9-fa7d-4c4e-9988-bcdcdf62f45e	Xgħajra	Xgħajra	2	0	2013-05-19 20:12:31.020571+02	\N	\N	\N	\N	\N	\N	f	
961	2aa35979-215b-4398-af7e-f4d8c1abefcb	Valletta	Valletta	2	0	2013-05-19 20:11:57.333403+02	\N	\N	\N	\N	\N	\N	f	
13736	fb966850-76d9-4513-ae30-e68ff37d2f7e	Vecchiano	Vecchiano	4	0	2013-07-21 19:01:29.530401+02	\N	\N	\N	\N	\N	\N	f	
972	43a9410a-0dc5-47aa-9ab6-0806725f2846	Chuquisaca	Chuquisaca	2	0	2013-06-05 08:34:14.997709+02	\N	\N	\N	\N	\N	\N	f	
968	6a91389c-e3a8-4dbb-a4d7-827763c421ee	Żejtun	Żejtun	2	0	2013-05-27 19:45:27.931436+02	\N	\N	\N	\N	\N	\N	f	
979	f8efcc5a-b64e-4be6-9a38-78f5e7b47174	Aisén del General Carlos Ibáñez del Campo	Aisén del General Carlos Ibáñez del Campo	2	0	2013-06-05 11:47:36.737721+02	\N	\N	\N	\N	\N	\N	f	
13968	c47830a3-77e3-42c2-804f-21ced6a0cee3	Pralboino	Pralboino	4	0	2013-07-21 19:53:21.599592+02	\N	\N	\N	\N	\N	\N	f	
980	e449eed6-c518-46c9-9caa-714328c7b062	Antofagasta	Antofagasta	2	0	2013-06-05 10:32:12.304899+02	\N	\N	\N	\N	\N	\N	f	
907	199b4c80-09b1-4299-a0c6-1020db1589f3	Bormla	Bormla	2	0	2013-06-05 12:08:04.368796+02	\N	\N	\N	\N	\N	\N	f	
15462	753ede89-06f3-4535-bec8-b52d889b8719	Cottanello	Cottanello	4	0	2013-07-22 00:50:41.256455+02	\N	\N	\N	\N	\N	\N	f	
974	e04294c0-8506-4505-827f-df191394dc27	Pando	Pando	2	0	2013-05-19 20:18:46.395204+02	\N	\N	\N	\N	\N	\N	f	
973	aae79a6c-cddb-45a6-b3c7-6a0cd040836c	La Paz	La Paz	2	0	2013-05-19 20:18:35.074407+02	\N	\N	\N	\N	\N	\N	f	
975	7f5ec938-97a3-47f2-8e85-3d4ec2aba984	Oruro	Oruro	2	0	2013-05-19 20:18:57.519652+02	\N	\N	\N	\N	\N	\N	f	
976	f2d995c5-00b8-4752-9c58-18a96c613927	Potosí	Potosí	2	0	2013-05-19 20:19:08.444791+02	\N	\N	\N	\N	\N	\N	f	
977	183bf327-c332-4e60-941a-e251f75592fb	Santa Cruz	Santa Cruz	2	0	2013-05-19 20:19:19.562996+02	\N	\N	\N	\N	\N	\N	f	
978	477bfd17-de30-422e-b1da-c4b41eb6a07e	Tarija	Tarija	2	0	2013-05-19 20:19:34.696017+02	\N	\N	\N	\N	\N	\N	f	
4566	aaa7c99a-49b0-4b2f-8f89-f27510bbd05b	Kalimantan Timur	Kalimantan Timur	2	0	2013-05-22 14:09:51.696915+02	\N	\N	\N	\N	\N	\N	f	
1964	675ce711-f0f8-4986-8ad6-757e783165c7	Dobrepolje	Dobrepolje	2	0	2013-05-20 17:31:03.953588+02	\N	\N	\N	\N	\N	\N	f	
7063	02074bed-e5d9-4793-b195-38e6cfd525d2	Olesno	Olesno	3	0	2013-05-26 16:43:03.952447+02	\N	\N	\N	\N	\N	\N	f	
14349	62a6289c-20b5-4717-8ca1-1cefb16c0e03	Alice Bel Colle	Alice Bel Colle	4	0	2013-07-21 21:18:40.345033+02	\N	\N	\N	\N	\N	\N	f	
3067	36120a0e-0bf3-4c89-bcf2-b66def1dc97c	Al Qaşīm	Al Qaşīm	2	0	2013-06-05 10:58:54.582425+02	\N	\N	\N	\N	\N	\N	f	
1965	25142aeb-95c8-4da6-ad3f-5763fbc9aa4d	Dobrova-Polhov Gradec	Dobrova-Polhov Gradec	2	0	2013-05-20 17:31:15.639704+02	\N	\N	\N	\N	\N	\N	f	
2932	a078788c-2249-45ca-a575-7925708836b2	Al Wusţá	Al Wusţá	2	0	2013-06-05 09:26:08.099937+02	\N	\N	\N	\N	\N	\N	f	
2941	84ae5b08-1d69-455a-aed0-ca794af052b8	Arbīl	Arbīl	2	0	2013-06-05 11:06:22.371627+02	\N	\N	\N	\N	\N	\N	f	
1979	9be9839b-49d2-4a3a-bb13-76e46ea8e6e6	Hrpelje-Kozina	Hrpelje-Kozina	2	0	2013-05-20 17:34:00.242642+02	\N	\N	\N	\N	\N	\N	f	
2563	5024de76-3e5a-4b0a-b321-0f6fd45f9128	Yen Bai	Yen Bai	2	0	2013-05-20 22:16:58.033188+02	\N	\N	\N	\N	\N	\N	f	
2009	f2066cd3-735d-4288-9d57-4cb627387ecc	Loška dolina	Loška dolina	2	0	2013-05-20 17:39:54.121844+02	\N	\N	\N	\N	\N	\N	f	
2254	ec32ab4a-a6c5-4c64-9490-2a258be17f5c	Teleneşti	Teleneşti	2	0	2013-05-20 19:08:25.307616+02	\N	\N	\N	\N	\N	\N	f	
2011	bd6acf1d-2c1a-4e16-a6c5-9ae1265d47f7	Luče	Luče	2	0	2013-05-20 17:40:16.506532+02	\N	\N	\N	\N	\N	\N	f	
2014	d61d6df0-aaa0-43cb-a37e-020774d8a110	Maribor	Maribor	2	0	2013-05-20 17:40:56.405917+02	\N	\N	\N	\N	\N	\N	f	
2051	6eb7870e-4565-4d68-a9f6-73ade4c3d24a	Rogatec	Rogatec	2	0	2013-05-20 17:49:26.777325+02	\N	\N	\N	\N	\N	\N	f	
2301	c447ef83-3fcb-4fc1-94e2-e9d8f7bd05b9	Kruševo	Kruševo	2	0	2013-05-20 19:17:06.485942+02	\N	\N	\N	\N	\N	\N	f	
2091	058ad74f-9543-42b2-bad1-f8f17e9598ce	Benedikt	Benedikt	2	0	2013-06-05 11:52:52.79449+02	\N	\N	\N	\N	\N	\N	f	
13724	2c4ccd02-f830-460b-82f7-7c16680f8441	Montopoli in Val d'Arno	Montopoli in Val d'Arno	4	0	2013-07-21 18:58:20.345828+02	\N	\N	\N	\N	\N	\N	f	
2132	f9e3efe1-8400-41a4-92dd-ba6724aa8171	Vransko	Vransko	2	0	2013-05-20 18:05:29.32001+02	\N	\N	\N	\N	\N	\N	f	
2146	82a69475-0a50-4c7f-a911-76c9d6503850	Straža	Straža	2	0	2013-05-20 18:08:18.382579+02	\N	\N	\N	\N	\N	\N	f	
3490	08054b75-0cec-4b48-a87e-0a01f68453d3	Agalega Islands	Agalega Islands	2	0	2013-06-05 08:37:22.348556+02	\N	\N	\N	\N	\N	\N	f	
19651	34e9a129-cacb-44ba-9a11-dfa2f6e04c9a	Motta Montecorvino	Motta Montecorvino	4	0	2013-07-22 11:12:11.276272+02	\N	\N	\N	\N	\N	\N	f	
2181	ad7c9366-5a5b-4660-8c27-71a58f220137	Ruse	Ruse	2	0	2013-05-20 18:21:29.589628+02	\N	\N	\N	\N	\N	\N	f	
2590	2b41ea1c-2d6d-49a3-ba71-6a4e42865809	Long An	Long An	2	0	2013-05-20 22:22:28.676881+02	\N	\N	\N	\N	\N	\N	f	
2382	8cc59f2d-dd08-47f1-bf36-418f6c65a947	Khersons'ka Oblast'	Khersons'ka Oblast'	2	0	2013-05-20 19:35:05.520498+02	\N	\N	\N	\N	\N	\N	f	
2419	3293f341-d81d-4026-ab9a-529efa244162	Kostromskaya oblast'	Kostromskaya oblast'	2	0	2013-05-20 19:43:49.961412+02	\N	\N	\N	\N	\N	\N	f	
2994	5f86bce0-d4be-4898-af52-94ab19bf0b07	Irbid	Irbid	2	0	2013-05-21 00:08:19.517627+02	\N	\N	\N	\N	\N	\N	f	
2452	7d3118da-038c-46dd-bae9-16689b926862	Sverdlovskaya oblast'	Sverdlovskaya oblast'	2	0	2013-05-20 19:52:42.082858+02	\N	\N	\N	\N	\N	\N	f	
2623	8df3ef2c-b936-4cfd-87e2-207b4f222883	Kracheh [Krâchéh]	Kracheh [Krâchéh]	2	0	2013-05-20 22:28:52.293805+02	\N	\N	\N	\N	\N	\N	f	
2459	5b0d3b4b-f077-42f2-a3b1-d143936505f4	Tyumenskaya oblast'	Tyumenskaya oblast'	2	0	2013-05-20 19:55:09.967882+02	\N	\N	\N	\N	\N	\N	f	
2470	58eed7f5-d341-4acd-ac19-be2682355db2	Aragac̣otn	Aragac̣otn	2	0	2013-06-05 12:31:01.948658+02	\N	\N	\N	\N	\N	\N	f	
2871	341d652a-4309-4e72-a18a-e423e5194c00	Kandahār	Kandahār	2	0	2013-05-20 23:33:25.763593+02	\N	\N	\N	\N	\N	\N	f	
2504	6153ddd7-f38d-42ab-940a-5173dda3603d	Soltüstik Qazaqstan oblysy	Soltüstik Qazaqstan oblysy	2	0	2013-05-20 20:55:34.247346+02	\N	\N	\N	\N	\N	\N	f	
2662	3469863d-873b-4813-9e04-2b7189ee08f6	Xiangkhoang [Xieng Khouang]	Xiangkhoang [Xieng Khouang]	2	0	2013-05-20 22:35:53.138054+02	\N	\N	\N	\N	\N	\N	f	
2540	b14480fa-ca13-45ef-be7d-c5d306bec497	Chungcheongbugdo	Chungcheongbugdo	2	0	2013-06-05 08:14:03.288085+02	\N	\N	\N	\N	\N	\N	f	
3313	660cb96d-ab9e-4fee-a0f0-a6a808722ff8	Al Fayyūm	Al Fayyūm	2	0	2013-06-05 08:11:59.9129+02	\N	\N	\N	\N	\N	\N	f	
2711	c5d5cfb8-09af-4aec-829e-3eb296a4a9fc	Uthai Thani	Uthai Thani	2	0	2013-05-20 22:45:34.202487+02	\N	\N	\N	\N	\N	\N	f	
2715	7588c4bf-80e0-49a3-827b-f29819b15365	Phitsanulok	Phitsanulok	2	0	2013-05-20 22:46:17.486252+02	\N	\N	\N	\N	\N	\N	f	
2872	78f2ff6d-fe00-4ce3-b42f-3f5dcb31a698	Kāpīsā	Kāpīsā	2	0	2013-05-20 23:33:37.590835+02	\N	\N	\N	\N	\N	\N	f	
2733	2748c76a-1e99-4949-b182-abc179cde252	Songkhla	Songkhla	2	0	2013-05-20 22:49:44.368702+02	\N	\N	\N	\N	\N	\N	f	
2747	4aba1d2e-5b87-49b4-a0e4-128897d999c1	Kedah	Kedah	2	0	2013-05-20 22:52:20.902532+02	\N	\N	\N	\N	\N	\N	f	
2781	42283176-81a5-4896-a45a-360275d176e6	Zamboanga Peninsula (Region IX)	Zamboanga Peninsula (Region IX)	2	0	2013-05-20 22:58:39.056955+02	\N	\N	\N	\N	\N	\N	f	
2786	fa9a4db5-56d1-4c07-9136-6a6bcb5a7e11	Autonomous Region in Muslim Mindanao (ARMM)	Autonomous Region in Muslim Mindanao (ARMM)	2	0	2013-06-05 11:09:28.798339+02	\N	\N	\N	\N	\N	\N	f	
2881	5b33ab2b-2962-45c1-acd5-7e2edbffba74	Panjshayr	Panjshayr	2	0	2013-05-20 23:35:19.002152+02	\N	\N	\N	\N	\N	\N	f	
2832	cc44a7d8-2464-427d-b834-7757fd092c29	Pemagatshel	Pemagatshel	2	0	2013-05-20 23:26:28.245866+02	\N	\N	\N	\N	\N	\N	f	
2853	8dd868ba-4d97-4739-9c94-537cee8a2fd0	Khyber Pakhtunkhwa	Khyber Pakhtunkhwa	2	0	2013-05-20 23:30:13.854214+02	\N	\N	\N	\N	\N	\N	f	
3037	7771e426-510f-4817-b10d-f408a00d3849	Al Wusţá	Al Wusţá	2	0	2013-06-05 09:01:08.82695+02	\N	\N	\N	\N	\N	\N	f	
2867	ba159056-05e7-4ba8-b956-2b9d8ebcb0a0	Helmand	Helmand	2	0	2013-05-20 23:32:43.013519+02	\N	\N	\N	\N	\N	\N	f	
984	0dfb54b3-dd37-4a6e-8188-58cc3b579bf8	Bío-Bío	Bío-Bío	2	0	2013-06-05 09:21:59.14736+02	\N	\N	\N	\N	\N	\N	f	
983	a05aded6-a868-431c-a430-f75ed958f8a7	Atacama	Atacama	2	0	2013-06-05 10:19:03.816588+02	\N	\N	\N	\N	\N	\N	f	
985	756c8b08-34d5-4694-afde-60475ee76276	Coquimbo	Coquimbo	2	0	2013-06-05 11:04:12.290257+02	\N	\N	\N	\N	\N	\N	f	
2164	40c6982e-671b-4e6e-b17d-5acd5511167e	Blagoevgrad	Blagoevgrad	2	0	2013-06-05 12:04:28.041695+02	\N	\N	\N	\N	\N	\N	f	
2976	54e3a178-cdf3-4aa6-8739-6c10fca09c79	Lorestān	Lorestān	2	0	2013-05-21 00:04:05.134174+02	\N	\N	\N	\N	\N	\N	f	
3159	4de29404-af0d-46a2-bb9b-e2ec4b957be2	Atakora	Atakora	2	0	2013-06-05 10:39:28.645634+02	\N	\N	\N	\N	\N	\N	f	
5069	ce1edcc9-7024-4157-916b-b867e66833e5	Delft	Delft	3	0	2013-05-24 21:23:06.707508+02	\N	\N	\N	\N	\N	\N	f	
3142	7ca7b8c0-f16a-4f8f-b15a-91a5baa76afb	Bubanza	Bubanza	2	0	2013-06-05 10:15:17.678323+02	\N	\N	\N	\N	\N	\N	f	
3279	f78422f0-ebbd-444c-913f-1bc8f3b2b908	Guelma	Guelma	2	0	2013-05-21 11:34:07.16231+02	\N	\N	\N	\N	\N	\N	f	
3153	5832421e-a833-4486-a33f-07e1b7786053	Muramvya	Muramvya	2	0	2013-05-21 00:52:42.999042+02	\N	\N	\N	\N	\N	\N	f	
3316	5759cf3d-c50a-4247-8d5e-fd666ce735a1	Ḩulwān	Ḩulwān	2	0	2013-05-27 19:57:46.713413+02	\N	\N	\N	\N	\N	\N	f	
2929	8b03a451-8d30-4699-ba11-f229c82c353c	Al Manāmah (Al ‘Āşimah)	Al Manāmah (Al ‘Āşimah)	2	0	2013-06-05 09:13:38.554817+02	\N	\N	\N	\N	\N	\N	f	
3237	5228b054-303d-46dc-b023-a4867357f5f8	Moyen-Cavally (Région du)	Moyen-Cavally (Région du)	2	0	2013-05-21 01:08:29.042124+02	\N	\N	\N	\N	\N	\N	f	
982	09badaa3-940a-45b1-857d-6102e4cee7f5	Araucanía	Araucanía	2	0	2013-06-05 06:56:00.521469+02	\N	\N	\N	\N	\N	\N	f	
3293	3b6d4fc3-aa6c-4ac7-98d2-063107d8f54f	Tissemsilt	Tissemsilt	2	0	2013-05-21 11:36:38.819505+02	\N	\N	\N	\N	\N	\N	f	
981	9b74be71-764d-4114-b6d3-9632f3dca6e8	Arica y Parinacota	Arica y Parinacota	2	0	2013-06-05 08:20:17.520898+02	\N	\N	\N	\N	\N	\N	f	
3343	c37f15fb-78f1-4117-8310-43aad0f3369f	Dirē Dawa	Dirē Dawa	2	0	2013-05-21 11:45:30.171019+02	\N	\N	\N	\N	\N	\N	f	
3386	61393e9b-a587-4701-878c-127af3644de5	Leste	Leste	2	0	2013-05-21 12:09:52.336895+02	\N	\N	\N	\N	\N	\N	f	
3417	da71f092-c955-482b-b3b2-44ffbf4cbaac	Leribe	Leribe	2	0	2013-05-21 13:24:00.905341+02	\N	\N	\N	\N	\N	\N	f	
3427	27fded2f-2c6d-47d2-ad74-8619bde9e28f	Darnah	Darnah	2	0	2013-05-21 13:25:52.586974+02	\N	\N	\N	\N	\N	\N	f	
3446	d1135d76-1570-42f5-bd3c-897e37537d6b	Tanger-Tétouan	Tanger-Tétouan	2	0	2013-05-21 13:29:38.31068+02	\N	\N	\N	\N	\N	\N	f	
3447	6b35f7cc-7509-49fc-94b6-8838ed4e9972	Gharb-Chrarda-Beni Hssen	Gharb-Chrarda-Beni Hssen	2	0	2013-05-21 13:29:53.3116+02	\N	\N	\N	\N	\N	\N	f	
4567	99179a50-946c-486a-b92e-135b7a657e0e	Kepulauan Riau	Kepulauan Riau	2	0	2013-05-22 14:10:04.459872+02	\N	\N	\N	\N	\N	\N	f	
4702	a603f8fd-c0d1-4c18-abd0-c21f5c92c8e1	Siracusa	Siracusa	2	0	2013-05-22 14:48:52.010209+02	\N	\N	\N	\N	\N	\N	f	
3342	d2f4fa1f-2005-4633-97b7-39ed6a63e774	Bīnshangul Gumuz	Bīnshangul Gumuz	2	0	2013-06-05 09:07:23.231207+02	\N	\N	\N	\N	\N	\N	f	
986	6a743600-5468-4dba-aa84-cf096cf697da	Libertador General Bernardo O'Higgins	Libertador General Bernardo O'Higgins	2	0	2013-05-19 20:35:07.869342+02	\N	\N	\N	\N	\N	\N	f	
1023	9b309ca9-26c0-4b9b-8c17-99bbf87ef8b0	Tolima	Tolima	2	0	2013-05-19 20:50:56.243386+02	\N	\N	\N	\N	\N	\N	f	
987	6bace072-b9bd-4526-8a47-29cd977fdaf9	Los Lagos	Los Lagos	2	0	2013-05-19 20:35:19.224212+02	\N	\N	\N	\N	\N	\N	f	
1010	e50c44a6-571d-400c-a259-9fe280717ff9	Guaviare	Guaviare	2	0	2013-05-19 20:47:02.850898+02	\N	\N	\N	\N	\N	\N	f	
988	6d443452-f596-40c4-8143-67efb6a432f4	Los Ríos	Los Ríos	2	0	2013-05-19 20:35:30.383335+02	\N	\N	\N	\N	\N	\N	f	
989	57b2d71b-0c3e-4ccb-a2ed-7da367134517	Magallanes	Magallanes	2	0	2013-05-19 20:35:41.891227+02	\N	\N	\N	\N	\N	\N	f	
990	daac8aeb-d4b2-468b-aefd-d77a6b53a127	Maule	Maule	2	0	2013-05-19 20:35:53.26022+02	\N	\N	\N	\N	\N	\N	f	
1011	57bbc8ff-7b37-45e9-ba61-8ccc453c4387	Huila	Huila	2	0	2013-05-19 20:47:14.934758+02	\N	\N	\N	\N	\N	\N	f	
991	8270a6f3-3e8d-482d-8cb6-649912ac5a63	Región Metropolitana de Santiago	Región Metropolitana de Santiago	2	0	2013-05-19 20:36:04.17156+02	\N	\N	\N	\N	\N	\N	f	
992	2b7c03e7-24b2-4966-92a5-d3fcc4d9177d	Tarapacá	Tarapacá	2	0	2013-05-19 20:36:15.318905+02	\N	\N	\N	\N	\N	\N	f	
1031	2e307147-cbe7-443d-bb16-606e33cf5e3a	Esmeraldas	Esmeraldas	2	0	2013-05-19 20:53:09.1652+02	\N	\N	\N	\N	\N	\N	f	
993	448375eb-82d9-43ba-b114-6bfc2db011c8	Valparaíso	Valparaíso	2	0	2013-05-19 20:36:28.034395+02	\N	\N	\N	\N	\N	\N	f	
1012	b682fba9-45f2-4c35-bc5f-69d3ce6a456c	La Guajira	La Guajira	2	0	2013-05-19 20:47:26.193011+02	\N	\N	\N	\N	\N	\N	f	
1051	9818a652-2ac1-4ab4-a0e3-8f2a9592bd08	Barima-Waini	Barima-Waini	2	0	2013-06-05 09:59:08.801648+02	\N	\N	\N	\N	\N	\N	f	
1024	4367702c-1865-4c28-8420-ccda38424bf5	Valle del Cauca	Valle del Cauca	2	0	2013-05-19 20:51:12.5676+02	\N	\N	\N	\N	\N	\N	f	
1065	6f444248-ee78-4477-b14e-a083ecfe33a7	Ayacucho	Ayacucho	2	0	2013-06-05 08:08:50.994672+02	\N	\N	\N	\N	\N	\N	f	
15463	1e47cad6-46c3-4b81-92c5-a26869a6eb79	Collevecchio	Collevecchio	4	0	2013-07-22 00:50:52.822921+02	\N	\N	\N	\N	\N	\N	f	
1013	d6a6abe3-e25f-4c90-b45a-3749b0dcb134	Magdalena	Magdalena	2	0	2013-05-19 20:47:37.15056+02	\N	\N	\N	\N	\N	\N	f	
1027	a0512ef6-aeb1-4859-9e4b-183058758c7b	Azuay	Azuay	2	0	2013-06-05 07:36:54.298376+02	\N	\N	\N	\N	\N	\N	f	
998	9f3cd9d4-5517-49a4-9404-b35777bbba3e	Bolívar	Bolívar	2	0	2013-06-05 09:00:39.729524+02	\N	\N	\N	\N	\N	\N	f	
999	2f2deded-349a-4d3a-8582-8f6c36421574	Boyacá	Boyacá	2	0	2013-06-05 10:01:51.989767+02	\N	\N	\N	\N	\N	\N	f	
1014	1b452518-0c96-4f1f-a9d8-ce6093e40bba	Meta	Meta	2	0	2013-05-19 20:47:49.702907+02	\N	\N	\N	\N	\N	\N	f	
1000	4ad560ae-e487-4cd1-a495-4afe9ca749be	Caldas	Caldas	2	0	2013-06-05 06:48:44.047332+02	\N	\N	\N	\N	\N	\N	f	
1032	bd53476f-ffd4-4348-8983-54c8ff853a10	Cañar	Cañar	2	0	2013-06-05 11:36:02.022678+02	\N	\N	\N	\N	\N	\N	f	
1002	42bba264-eebd-49bb-9219-23d4e4b8ca9d	Casanare	Casanare	2	0	2013-06-05 08:24:52.156163+02	\N	\N	\N	\N	\N	\N	f	
1015	c83fcdc9-e996-4864-97ad-855de5c04c16	Nariño	Nariño	2	0	2013-05-19 20:48:07.792942+02	\N	\N	\N	\N	\N	\N	f	
1003	3d135a13-a53d-439f-b919-b8a14dc3ff0c	Cauca	Cauca	2	0	2013-06-05 10:28:19.025625+02	\N	\N	\N	\N	\N	\N	f	
1007	41e03f4c-cecb-418a-b451-fca56c4a047b	Cundinamarca	Cundinamarca	2	0	2013-06-05 12:02:14.827314+02	\N	\N	\N	\N	\N	\N	f	
13725	161ca7e4-1019-4d6e-8f1d-d2873b07c2bb	Sestriere	Sestriere	4	0	2013-07-21 18:58:34.522593+02	\N	\N	\N	\N	\N	\N	f	
1025	f01a5305-1c78-4627-8537-087648a3d7d5	Vaupés	Vaupés	2	0	2013-05-19 20:51:23.847029+02	\N	\N	\N	\N	\N	\N	f	
995	704b5889-896e-4f3a-b941-d2e3a8b50462	Antioquia	Antioquia	2	0	2013-06-05 09:40:19.092431+02	\N	\N	\N	\N	\N	\N	f	
1016	ad531c8b-2969-4f91-919a-17f4e2f646aa	Norte de Santander	Norte de Santander	2	0	2013-05-19 20:48:39.729274+02	\N	\N	\N	\N	\N	\N	f	
1006	1261dfab-d2cb-4cc4-96ac-e1388dc14f87	Córdoba	Córdoba	2	0	2013-06-05 12:01:52.955942+02	\N	\N	\N	\N	\N	\N	f	
17284	05f92078-e1d6-48d0-8561-33c8be167400	Valledoria	Valledoria	4	0	2013-07-22 06:08:01.245842+02	\N	\N	\N	\N	\N	\N	f	
7064	21d96e69-67a4-478b-b942-c51308c9e67c	Trzebnica	Trzebnica	3	0	2013-05-26 16:43:18.647734+02	\N	\N	\N	\N	\N	\N	f	
994	1642cac2-0960-484b-9316-8832b31d4c0e	Amazonas	Amazonas	2	0	2013-06-05 07:31:13.600127+02	\N	\N	\N	\N	\N	\N	f	
1009	a834af57-da32-4d13-9b6f-1ae1aef7a8a5	Guainía	Guainía	2	0	2013-05-19 20:46:51.907996+02	\N	\N	\N	\N	\N	\N	f	
1026	48f3b824-f6cd-494e-aa0f-4ea2f7687a93	Vichada	Vichada	2	0	2013-05-19 20:51:38.223686+02	\N	\N	\N	\N	\N	\N	f	
1017	90333bf3-2d8f-44cd-8845-8d912d43977f	Putumayo	Putumayo	2	0	2013-05-19 20:49:12.022686+02	\N	\N	\N	\N	\N	\N	f	
1018	3c2401a7-af29-44b1-be67-97cd8da7e086	Quindío	Quindío	2	0	2013-05-19 20:49:37.97203+02	\N	\N	\N	\N	\N	\N	f	
1004	f22e07bd-e548-4dcc-97df-3760e856fb38	Cesar	Cesar	2	0	2013-06-05 11:48:22.702758+02	\N	\N	\N	\N	\N	\N	f	
1019	c9bc27c3-311f-4bb6-a91c-5826eb41e67b	Risaralda	Risaralda	2	0	2013-05-19 20:49:52.059792+02	\N	\N	\N	\N	\N	\N	f	
1020	4bb35881-5913-4709-9674-c1b44aa74188	Santander	Santander	2	0	2013-05-19 20:50:14.928745+02	\N	\N	\N	\N	\N	\N	f	
1039	b283dfe4-b5ef-43f3-a8bd-d8761f3c40be	El Oro	El Oro	2	0	2013-05-19 20:54:37.351598+02	\N	\N	\N	\N	\N	\N	f	
1021	c4cf7ea1-9dad-4406-a0ac-b19fd67d5a13	San Andrés, Providencia y Santa Catalina	San Andrés, Providencia y Santa Catalina	2	0	2013-05-19 20:50:32.240786+02	\N	\N	\N	\N	\N	\N	f	
1033	d062f2a4-8b27-4341-94f0-3c6cacefc632	Guayas	Guayas	2	0	2013-05-19 20:53:30.9352+02	\N	\N	\N	\N	\N	\N	f	
1022	8f165540-7917-4b8e-a259-dcfb97ed09f0	Sucre	Sucre	2	0	2013-05-19 20:50:43.961383+02	\N	\N	\N	\N	\N	\N	f	
1029	620f7378-7d81-48f3-9dfa-57fab6e4d4e6	Carchi	Carchi	2	0	2013-06-05 07:57:28.463295+02	\N	\N	\N	\N	\N	\N	f	
996	c6337711-12a7-4c32-9a58-3043f7729901	Arauca	Arauca	2	0	2013-06-05 08:01:39.136335+02	\N	\N	\N	\N	\N	\N	f	
1052	1ae545d8-db73-431c-b99c-b955156f90fe	Cuyuni-Mazaruni	Cuyuni-Mazaruni	2	0	2013-06-05 10:34:11.413132+02	\N	\N	\N	\N	\N	\N	f	
1030	fc113fb5-66e8-4993-a4b9-0739226d6b4b	Orellana	Orellana	2	0	2013-05-19 20:52:57.203647+02	\N	\N	\N	\N	\N	\N	f	
1001	3ff7f940-12e0-4370-97b1-5696f30478d0	Caquetá	Caquetá	2	0	2013-06-05 11:30:42.225328+02	\N	\N	\N	\N	\N	\N	f	
1040	da0d389e-577e-473f-820c-2525608bcba5	Pichincha	Pichincha	2	0	2013-05-19 20:54:51.701439+02	\N	\N	\N	\N	\N	\N	f	
1035	d675b39d-dfff-4aac-9f4b-2ed2c73a9ec3	Imbabura	Imbabura	2	0	2013-05-19 20:53:54.300269+02	\N	\N	\N	\N	\N	\N	f	
1036	abd80933-9c23-480e-b98c-b6441b1b02e1	Loja	Loja	2	0	2013-05-19 20:54:05.214964+02	\N	\N	\N	\N	\N	\N	f	
1044	add84c52-6107-4c51-b465-e90c2a04a746	Santa Elena	Santa Elena	2	0	2013-05-19 20:55:37.763407+02	\N	\N	\N	\N	\N	\N	f	
1037	aa4dd74d-e64c-42dc-8fcc-799b19ad83db	Manabí	Manabí	2	0	2013-05-19 20:54:16.001666+02	\N	\N	\N	\N	\N	\N	f	
1041	2efb1ead-ea9c-4311-8dd8-a23b833b2441	Los Ríos	Los Ríos	2	0	2013-05-19 20:55:02.484254+02	\N	\N	\N	\N	\N	\N	f	
1038	71bf64ab-7b26-481b-84fc-33ee230b451b	Napo	Napo	2	0	2013-05-19 20:54:26.644104+02	\N	\N	\N	\N	\N	\N	f	
1042	7e800c8f-8e2f-47bb-9f86-01a0bfca4363	Morona-Santiago	Morona-Santiago	2	0	2013-05-19 20:55:13.367639+02	\N	\N	\N	\N	\N	\N	f	
1046	2871bff5-a963-4ec0-969a-b7c0442a4da6	Sucumbíos	Sucumbíos	2	0	2013-05-19 20:56:00.457711+02	\N	\N	\N	\N	\N	\N	f	
1043	9069065e-d0c2-4e2e-a915-17f84b4760ac	Santo Domingo de los Tsáchilas	Santo Domingo de los Tsáchilas	2	0	2013-05-19 20:55:26.068186+02	\N	\N	\N	\N	\N	\N	f	
1045	ac5d8788-1345-44c1-a661-776f9f1a5d12	Tungurahua	Tungurahua	2	0	2013-05-19 20:55:49.704546+02	\N	\N	\N	\N	\N	\N	f	
1047	5ddbb59c-68e9-4970-811c-36ac06722e51	Galápagos	Galápagos	2	0	2013-05-19 20:56:11.524639+02	\N	\N	\N	\N	\N	\N	f	
1050	3df83c3d-8027-4031-8f0d-27d6d17569f2	Zamora-Chinchipe	Zamora-Chinchipe	2	0	2013-05-19 20:56:44.115498+02	\N	\N	\N	\N	\N	\N	f	
1049	87d9a5af-9fea-4bb3-84fc-00917296f796	Pastaza	Pastaza	2	0	2013-05-19 20:56:33.185935+02	\N	\N	\N	\N	\N	\N	f	
1048	0503a1a0-d5c8-40bf-9470-70753093bd32	Cotopaxi	Cotopaxi	2	0	2013-06-05 11:25:37.307153+02	\N	\N	\N	\N	\N	\N	f	
1053	7d988377-b1c4-4df7-aa12-4a8b1c336f4e	Demerara-Mahaica	Demerara-Mahaica	2	0	2013-05-19 20:57:50.510108+02	\N	\N	\N	\N	\N	\N	f	
1054	4c2fa825-7154-454f-ab3c-c9d0fb8302fa	East Berbice-Corentyne	East Berbice-Corentyne	2	0	2013-05-19 20:58:01.84288+02	\N	\N	\N	\N	\N	\N	f	
1055	c94c172c-5f3b-4f74-87e5-3c5f0e30fb87	Essequibo Islands-West Demerara	Essequibo Islands-West Demerara	2	0	2013-05-19 20:58:12.864434+02	\N	\N	\N	\N	\N	\N	f	
2393	8570458e-202d-44b9-8d9b-f1d3f4926c6b	Respublika Bashkortostan	Bashkortostan, Respublika	2	0	2013-05-24 00:50:58.931199+02	\N	\N	\N	\N	\N	\N	f	
1056	1eff1841-1ed8-46d0-affe-49678636f8f3	Mahaica-Berbice	Mahaica-Berbice	2	0	2013-05-19 20:58:27.849105+02	\N	\N	\N	\N	\N	\N	f	
1028	c6c0732d-142a-4532-9676-6586e2aa49cc	Bolívar	Bolívar	2	0	2013-06-05 12:20:47.791485+02	\N	\N	\N	\N	\N	\N	f	
1057	2d62cb59-02f7-4e6d-8cfa-22bb4542e266	Pomeroon-Supenaam	Pomeroon-Supenaam	2	0	2013-05-19 20:58:39.076068+02	\N	\N	\N	\N	\N	\N	f	
1058	6c066aaf-7128-4308-9e12-c00c5642bc58	Potaro-Siparuni	Potaro-Siparuni	2	0	2013-05-19 20:58:51.385428+02	\N	\N	\N	\N	\N	\N	f	
1966	d129a4e8-ac23-45d8-b121-1d5e7b2baf77	Dol pri Ljubljani	Dol pri Ljubljani	2	0	2013-05-20 17:31:28.156857+02	\N	\N	\N	\N	\N	\N	f	
1060	336125c7-1a78-4b8d-a0d4-5d54c5a1aa13	Upper Takutu-Upper Essequibo	Upper Takutu-Upper Essequibo	2	0	2013-05-19 20:59:13.777692+02	\N	\N	\N	\N	\N	\N	f	
2012	70d2da75-62e8-4233-a4ef-abb96c8e78ca	Lukovica	Lukovica	2	0	2013-05-20 17:40:27.954238+02	\N	\N	\N	\N	\N	\N	f	
2052	d8e2cf5b-b74a-4bc7-8d03-2658148a380c	Ruše	Ruše	2	0	2013-05-20 17:49:38.099811+02	\N	\N	\N	\N	\N	\N	f	
2564	5f23a004-0d51-4e4a-9be2-9d7d9e03d2f4	Tuyen Quang	Tuyen Quang	2	0	2013-05-20 22:17:13.443192+02	\N	\N	\N	\N	\N	\N	f	
2114	b3548b34-2356-4800-8a05-db6882c0715d	Oplotnica	Oplotnica	2	0	2013-05-20 18:01:45.154914+02	\N	\N	\N	\N	\N	\N	f	
2095	25a5df28-8dcc-42fd-b2df-89635563620e	Cankova	Cankova	2	0	2013-06-05 10:22:57.342472+02	\N	\N	\N	\N	\N	\N	f	
3036	902694ac-8f6b-4dcf-a7d2-1ed8cb235ec5	Ash Sharqīyah	Ash Sharqīyah	2	0	2013-06-05 07:47:12.495473+02	\N	\N	\N	\N	\N	\N	f	
2167	edbde3eb-a302-4a6a-8349-e2501755615d	Veliko Tarnovo	Veliko Tarnovo	2	0	2013-05-20 18:18:50.576119+02	\N	\N	\N	\N	\N	\N	f	
2302	e895719c-d8a5-42d1-968c-b35718b75f93	Kumanovo	Kumanovo	2	0	2013-05-20 19:17:17.990691+02	\N	\N	\N	\N	\N	\N	f	
2928	84024802-0143-495d-a460-f76527c23464	Umm al Qaywayn	Umm al Qaywayn	2	0	2013-05-20 23:53:16.724119+02	\N	\N	\N	\N	\N	\N	f	
2220	82fc96f7-22d8-4f39-9288-cf30e1f70c63	Bălţi	Bălţi	2	0	2013-06-05 07:29:53.139349+02	\N	\N	\N	\N	\N	\N	f	
2591	2765d6eb-e92a-4c36-96ac-ce13c1c19380	Ba Ria-Vung Tau	Ba Ria-Vung Tau	2	0	2013-06-05 07:50:28.39829+02	\N	\N	\N	\N	\N	\N	f	
2383	8725b70a-745a-4a38-a004-ecbbb8c08bbc	Khmel'nyts'ka Oblast'	Khmel'nyts'ka Oblast'	2	0	2013-05-20 19:35:17.888239+02	\N	\N	\N	\N	\N	\N	f	
5070	e6582603-32fd-4bcc-8437-54947674873d	Assen	Assen	3	0	2013-05-24 21:23:22.666876+02	\N	\N	\N	\N	\N	\N	f	
5250	b37e9d2b-c1c8-431b-a260-3a3ca21fcb1b	Tel Aviv	Tel Aviv	3	0	2013-05-24 22:57:08.89225+02	\N	\N	\N	\N	\N	\N	f	
2428	d59ab45e-edc4-4ddf-a3df-5733db641f3e	Moskovskaya oblast'	Moskovskaya oblast'	2	0	2013-05-20 19:46:05.554548+02	\N	\N	\N	\N	\N	\N	f	
2624	10b2da72-438f-4b0a-a309-ba00bd3306d3	Mondol Kiri [Môndól Kiri]	Mondol Kiri [Môndól Kiri]	2	0	2013-05-20 22:29:03.074692+02	\N	\N	\N	\N	\N	\N	f	
2461	d1929b9b-9727-48cc-8d51-ccf300d186c9	Ul'yanovskaya oblast'	Ul'yanovskaya oblast'	2	0	2013-05-20 19:55:45.56961+02	\N	\N	\N	\N	\N	\N	f	
13726	bc352672-fbe3-424c-bf78-5713891c8dd6	Scarmagno	Scarmagno	4	0	2013-07-21 18:58:49.569334+02	\N	\N	\N	\N	\N	\N	f	
2942	8c08d159-02d7-4d8c-b5cd-e827ebb87dbf	Al Başrah	Al Başrah	2	0	2013-06-05 09:39:12.818095+02	\N	\N	\N	\N	\N	\N	f	
3186	dc160570-5c53-4517-9233-a9333a5a8061	Kasai-Occidental	Kasai-Occidental	2	0	2013-05-21 00:59:00.848828+02	\N	\N	\N	\N	\N	\N	f	
2505	19a45aa8-0bbf-441a-ae43-c89ef12f4d9f	Shyghys Qazaqstan oblysy	Shyghys Qazaqstan oblysy	2	0	2013-05-20 20:55:49.196252+02	\N	\N	\N	\N	\N	\N	f	
2629	6135ed35-22de-4e3d-b3e4-33f2cbad519f	Rotanak Kiri [Rôtânôkiri]	Rotanak Kiri [Rôtânôkiri]	2	0	2013-05-20 22:30:00.453931+02	\N	\N	\N	\N	\N	\N	f	
2543	787ea952-67d0-4674-933e-d9174c803b7b	Jeonranamdo	Jeonranamdo	2	0	2013-05-20 21:16:34.80059+02	\N	\N	\N	\N	\N	\N	f	
3280	15a7a8d6-0ca1-480d-846f-249936555b0a	Constantine	Constantine	2	0	2013-06-05 10:43:38.336162+02	\N	\N	\N	\N	\N	\N	f	
2716	a3fc4e08-1a63-4bcb-a82e-9ea64ae49166	Phichit	Phichit	2	0	2013-05-20 22:46:29.363685+02	\N	\N	\N	\N	\N	\N	f	
2748	25fd48af-150e-45fb-bf1e-2c268eb668a2	Kelantan	Kelantan	2	0	2013-05-20 22:52:33.509738+02	\N	\N	\N	\N	\N	\N	f	
2969	dbe974c2-4ec1-4beb-b7ad-32118059d8de	Sīstān va Balūchestān	Sīstān va Balūchestān	2	0	2013-05-21 00:02:22.514448+02	\N	\N	\N	\N	\N	\N	f	
2782	cb0915dc-283f-4f68-9246-7d4124d62894	Northern Mindanao (Region X)	Northern Mindanao (Region X)	2	0	2013-05-20 22:58:53.057942+02	\N	\N	\N	\N	\N	\N	f	
2800	ccd18ae5-41d9-4b2e-a7b1-6614dac29e65	Manatuto	Manatuto	2	0	2013-05-20 23:02:27.174191+02	\N	\N	\N	\N	\N	\N	f	
3292	7d3788dd-357a-4cb9-bf2f-2e05c1da897e	Tindouf	Tindouf	2	0	2013-05-21 11:36:28.061014+02	\N	\N	\N	\N	\N	\N	f	
3038	c5a30273-9dea-4947-b08c-6aca94436fa4	Az̧ Z̧āhirah	Az̧ Z̧āhirah	2	0	2013-06-05 12:33:27.195722+02	\N	\N	\N	\N	\N	\N	f	
2977	940d4f55-0d3c-473d-81fd-6807085c9b93	Māzandarān	Māzandarān	2	0	2013-05-21 00:04:19.673681+02	\N	\N	\N	\N	\N	\N	f	
2833	8a412b2d-67d5-404f-b4cb-bc7138c21a16	Lhuentse	Lhuentse	2	0	2013-05-20 23:26:38.972368+02	\N	\N	\N	\N	\N	\N	f	
2839	065b4e02-2597-4eef-9750-e6ed346e1dd3	Dhaka	Dhaka	2	0	2013-05-20 23:27:43.943728+02	\N	\N	\N	\N	\N	\N	f	
3230	82a019cf-3e58-47e6-9820-b131ffdc7dbe	Marahoué (Région de la)	Marahoué (Région de la)	2	0	2013-05-21 01:07:10.933018+02	\N	\N	\N	\N	\N	\N	f	
2884	cd9c4442-1713-477e-8213-72e3ef9ad7ba	Paktīkā	Paktīkā	2	0	2013-05-20 23:35:55.941063+02	\N	\N	\N	\N	\N	\N	f	
2256	c0313322-5fb0-4ac3-9b52-24263ffb8723	Aerodrom	Aerodrom	2	0	2013-06-05 09:22:50.915433+02	\N	\N	\N	\N	\N	\N	f	
2889	d792f9b6-8a91-475f-b383-c6d48c0b753e	Wardak	Wardak	2	0	2013-05-20 23:36:54.217353+02	\N	\N	\N	\N	\N	\N	f	
2911	ad29ce1b-9a8a-4bd3-ba25-09d39010b3a1	Sirdaryo	Sirdaryo	2	0	2013-05-20 23:41:05.809763+02	\N	\N	\N	\N	\N	\N	f	
3240	ad1f6296-194a-4121-bb77-f7fec1a15ea0	Far North	Far North	2	0	2013-05-21 01:09:00.31864+02	\N	\N	\N	\N	\N	\N	f	
2133	a4553ca9-2dc1-410c-b59a-5090fb09a8aa	Žalec	Žalec	2	0	2013-05-27 20:01:48.79832+02	\N	\N	\N	\N	\N	\N	f	
13786	741e0905-637e-411b-b886-46f67f55e995	Castenedolo	Castenedolo	4	0	2013-07-21 19:12:02.195632+02	\N	\N	\N	\N	\N	\N	f	
3068	f1ade70b-69cb-4385-b9e4-f1b7ef3098c3	Ḩā'il	Ḩā'il	2	0	2013-05-27 20:00:51.070101+02	\N	\N	\N	\N	\N	\N	f	
3344	b941dd75-b0d1-47c3-a769-5b7cc4571069	Gambēla Hizboch	Gambēla Hizboch	2	0	2013-05-21 11:45:37.910217+02	\N	\N	\N	\N	\N	\N	f	
3155	20e98ff2-2402-411d-ba03-3b9719a3d1cc	Muyinga	Muyinga	2	0	2013-05-21 00:53:04.609159+02	\N	\N	\N	\N	\N	\N	f	
3295	87fe6baa-95a1-42be-b568-d8e6a901c00e	Khenchela	Khenchela	2	0	2013-05-21 11:37:00.557222+02	\N	\N	\N	\N	\N	\N	f	
3248	f8d8be2a-5196-4a8e-9f40-be7be92aa537	Ilhas de Barlavento	Ilhas de Barlavento	2	0	2013-05-21 01:10:24.787738+02	\N	\N	\N	\N	\N	\N	f	
2818	099d88e6-b0e4-4009-a18a-edd9e7871648	Chhukha	Chhukha	2	0	2013-06-05 11:33:32.978841+02	\N	\N	\N	\N	\N	\N	f	
3286	d9b8719f-d0d2-4e61-bfb1-e3660ad11af9	Oran	Oran	2	0	2013-05-21 11:35:23.308361+02	\N	\N	\N	\N	\N	\N	f	
3449	528e34f2-3052-4f17-a888-4982a75a82c7	L'Oriental	L'Oriental	2	0	2013-05-21 13:30:14.538195+02	\N	\N	\N	\N	\N	\N	f	
3311	00a5da25-0262-431f-8ddc-1475025393f9	Ad Daqahlīyah	Ad Daqahlīyah	2	0	2013-06-05 12:23:24.704892+02	\N	\N	\N	\N	\N	\N	f	
3387	783d9429-ea9f-42f2-841c-3754b2607962	Norte	Norte	2	0	2013-05-21 12:10:01.46249+02	\N	\N	\N	\N	\N	\N	f	
14352	36b88ce0-4f9f-442e-ad8d-93570a725105	Casal Cermelli	Casal Cermelli	4	0	2013-07-21 21:19:19.544795+02	\N	\N	\N	\N	\N	\N	f	
13856	6650d89a-a3cc-44d4-8afe-0382321fc9f4	Lavenone	Lavenone	4	0	2013-07-21 19:27:37.87283+02	\N	\N	\N	\N	\N	\N	f	
3419	f28f3a15-4767-4da2-8bcd-eb892760ee71	Mafeteng	Mafeteng	2	0	2013-05-21 13:24:25.212695+02	\N	\N	\N	\N	\N	\N	f	
3471	986f43b1-a489-4e33-8c56-39a7848991e7	Ségou	Ségou	2	0	2013-05-21 13:34:39.998325+02	\N	\N	\N	\N	\N	\N	f	
3508	44cc1dc6-f43c-4425-984a-b33ca3c941a6	Northern Region	Northern Region	2	0	2013-05-21 13:41:30.989059+02	\N	\N	\N	\N	\N	\N	f	
3314	82ee8b1d-0e45-4e33-86d2-6932a1c6bf8b	Al Gharbīyah	Al Gharbīyah	2	0	2013-06-05 11:50:15.034057+02	\N	\N	\N	\N	\N	\N	f	
3527	173a23f5-3256-47a6-b1ff-11a6348e6543	Otjozondjupa	Otjozondjupa	2	0	2013-05-21 13:44:58.508946+02	\N	\N	\N	\N	\N	\N	f	
3536	d16682e0-db80-4161-b6ad-761b4ded92ce	Dosso	Dosso	2	0	2013-05-21 13:46:39.900183+02	\N	\N	\N	\N	\N	\N	f	
3553	6d2ae907-d149-41ec-b4c0-c7fc7cb09f1c	Edo	Edo	2	0	2013-05-21 13:50:01.390433+02	\N	\N	\N	\N	\N	\N	f	
3574	053658bc-9ef4-458e-8ba8-26120a35650c	Rivers	Rivers	2	0	2013-05-21 13:53:50.649322+02	\N	\N	\N	\N	\N	\N	f	
3563	82e2a7eb-ee63-41c5-b827-d317746ae161	Kogi	Kogi	2	0	2013-05-21 13:51:48.376131+02	\N	\N	\N	\N	\N	\N	f	
3581	1febfb06-1d16-4e1d-b9c5-1002b0e9f6b0	Nord	Nord	2	0	2013-05-21 13:55:07.839695+02	\N	\N	\N	\N	\N	\N	f	
3582	5bc6e6a9-766e-43ff-8778-78653d9f7f3e	Ouest	Ouest	2	0	2013-05-21 13:55:19.608131+02	\N	\N	\N	\N	\N	\N	f	
4568	21f1842c-3960-4766-be6d-d0895de7db58	Kalimantan Selatan	Kalimantan Selatan	2	0	2013-05-22 14:10:17.196272+02	\N	\N	\N	\N	\N	\N	f	
1059	7d60616f-2bf0-475e-ab10-b2308bcf6452	Upper Demerara-Berbice	Upper Demerara-Berbice	2	0	2013-05-19 20:59:02.760898+02	\N	\N	\N	\N	\N	\N	f	
1061	13f1c00a-b2df-4ade-9ee4-fa909e7f4041	Amazonas	Amazonas	2	0	2013-06-05 11:10:08.646584+02	\N	\N	\N	\N	\N	\N	f	
1967	5c42adda-4157-4349-a903-73cb3d09db7d	Domžale	Domžale	2	0	2013-05-20 17:31:38.975313+02	\N	\N	\N	\N	\N	\N	f	
2257	b700d49d-7642-4ac1-9639-d0962a5c6ec6	Aračinovo	Aračinovo	2	0	2013-06-05 07:59:47.2149+02	\N	\N	\N	\N	\N	\N	f	
3250	1f32654b-c3f8-4b2b-8da5-791c6953e4cb	Arta	Arta	2	0	2013-06-05 11:16:43.420099+02	\N	\N	\N	\N	\N	\N	f	
2221	9fe28938-2be6-435b-b682-d3d1249182ed	Tighina	Tighina	2	0	2013-05-20 19:01:24.85765+02	\N	\N	\N	\N	\N	\N	f	
13727	3a4b1f23-c936-4539-9d01-ab138410fc53	Capannoli	Capannoli	4	0	2013-07-21 18:59:04.655308+02	\N	\N	\N	\N	\N	\N	f	
2013	3179196b-a9b0-433a-a75b-f72a124e80aa	Majšperk	Majšperk	2	0	2013-05-20 17:40:42.490455+02	\N	\N	\N	\N	\N	\N	f	
2030	e0ad4feb-6fb9-4516-a6ca-34391d2f758c	Odranci	Odranci	2	0	2013-05-20 17:45:16.322788+02	\N	\N	\N	\N	\N	\N	f	
2054	e7498249-d8c2-4d6b-ac4f-73b7c7906ac9	Sevnica	Sevnica	2	0	2013-05-20 17:50:00.68076+02	\N	\N	\N	\N	\N	\N	f	
14892	e0ec1c07-6f62-4617-850b-f2aa883803b2	Cherasco	Cherasco	4	0	2013-07-21 23:21:13.18865+02	\N	\N	\N	\N	\N	\N	f	
3390	4503923e-03db-40a7-9b05-d26d5a25ab23	Central	Central	2	0	2013-06-05 09:52:07.243356+02	\N	\N	\N	\N	\N	\N	f	
1062	0654442d-ad1e-4449-911d-8f2ae0efc091	Ancash	Ancash	2	0	2013-06-05 07:40:51.581702+02	\N	\N	\N	\N	\N	\N	f	
14353	dbf0755a-9a53-4dc3-a269-1f2a81f2a40b	Albera Ligure	Albera Ligure	4	0	2013-07-21 21:19:31.653758+02	\N	\N	\N	\N	\N	\N	f	
2137	5e388858-74f3-46fa-9f0e-ff4b549b6c22	Šmartno pri Litiji	Šmartno pri Litiji	2	0	2013-05-27 20:01:51.346432+02	\N	\N	\N	\N	\N	\N	f	
3108	268eb22f-83ac-461d-96ef-05cbe7db234f	Shabwah	Shabwah	2	0	2013-05-21 00:36:29.898198+02	\N	\N	\N	\N	\N	\N	f	
2096	6281ff08-a055-42e4-9cc4-339435dec5ff	Cerkvenjak	Cerkvenjak	2	0	2013-06-05 10:12:11.647893+02	\N	\N	\N	\N	\N	\N	f	
2304	02b7f70f-a4df-43d9-a3af-d46be4c23fc4	Lozovo	Lozovo	2	0	2013-05-20 19:17:39.940841+02	\N	\N	\N	\N	\N	\N	f	
2098	0b983b7d-5232-49b0-ad49-23fdf2fda0c1	Dobrna	Dobrna	2	0	2013-05-20 17:58:30.476721+02	\N	\N	\N	\N	\N	\N	f	
2338	9d4bce1e-ee68-4509-a2a3-e38264053b99	Štip	Štip	2	0	2013-05-27 19:48:07.9742+02	\N	\N	\N	\N	\N	\N	f	
2565	fde8bb3c-f643-420e-b091-09f8c4bd583b	Lang Son	Lang Son	2	0	2013-05-20 22:17:30.93036+02	\N	\N	\N	\N	\N	\N	f	
1063	8e25e53a-7477-4631-a7c3-44b4a72fb654	Apurímac	Apurímac	2	0	2013-06-05 06:56:22.603129+02	\N	\N	\N	\N	\N	\N	f	
2157	c583ca2a-0442-4780-a6f4-7999c6512104	Domagnano	Domagnano	2	0	2013-05-20 18:11:06.448425+02	\N	\N	\N	\N	\N	\N	f	
3445	73edbda2-bbd7-4dd0-9dd4-24fd392880f1	Az Zāwiyah	Az Zāwiyah	2	0	2013-06-05 07:53:11.189295+02	\N	\N	\N	\N	\N	\N	f	
2169	a0c785ff-2c72-4419-a052-84de86a66d71	Vratsa	Vratsa	2	0	2013-05-20 18:19:12.878475+02	\N	\N	\N	\N	\N	\N	f	
2385	a9c9e71e-43f6-4aad-a470-de3f3aec6d40	Chernihivs'ka Oblast'	Chernihivs'ka Oblast'	2	0	2013-06-05 08:10:21.451963+02	\N	\N	\N	\N	\N	\N	f	
2978	302293d2-5045-4ff9-b0e9-2e485b0a6eed	Markazī	Markazī	2	0	2013-05-21 00:04:31.59175+02	\N	\N	\N	\N	\N	\N	f	
2421	f2725db1-295d-4d20-8f35-406798dbbaed	Kurskaya oblast'	Kurskaya oblast'	2	0	2013-05-20 19:44:21.614757+02	\N	\N	\N	\N	\N	\N	f	
2592	1c7c49ff-fb41-4ba1-9e76-9501409ff182	An Giang	An Giang	2	0	2013-06-05 12:18:53.059632+02	\N	\N	\N	\N	\N	\N	f	
2462	123ec471-830e-4dee-bcc6-dae79e5acf7d	Volgogradskaya oblast'	Volgogradskaya oblast'	2	0	2013-05-20 19:56:07.820667+02	\N	\N	\N	\N	\N	\N	f	
2472	30745340-9c54-410c-b7ec-8318088e571c	Armavir	Armavir	2	0	2013-06-05 11:35:03.018279+02	\N	\N	\N	\N	\N	\N	f	
2506	fd5f45d9-174c-4099-a03e-ec7d3ed0c4bf	Ongtüstik Qazaqstan oblysy	Ongtüstik Qazaqstan oblysy	2	0	2013-05-20 20:56:01.00568+02	\N	\N	\N	\N	\N	\N	f	
2595	0a330b36-3629-4091-b52b-b54129f5091c	Kien Giang	Kien Giang	2	0	2013-05-20 22:23:25.145194+02	\N	\N	\N	\N	\N	\N	f	
2544	ecf7f3bf-ba48-4027-81ae-a7f4d75181eb	Gyeongsangbugdo	Gyeongsangbugdo	2	0	2013-05-20 21:16:42.440681+02	\N	\N	\N	\N	\N	\N	f	
5707	eef2c3dd-8601-4f97-aa20-43a078f0a1eb	Łaziska Górne	Łaziska Górne	3	0	2013-05-25 00:35:01.187698+02	\N	\N	\N	\N	\N	\N	f	
2545	f9926c51-726a-4298-8a10-20855d802971	Gyeongsangnamdo	Gyeongsangnamdo	2	0	2013-05-20 21:16:51.149958+02	\N	\N	\N	\N	\N	\N	f	
2134	061a4f53-91d0-4554-af10-e3016ec3824d	Žetale	Žetale	2	0	2013-05-27 19:30:07.114907+02	\N	\N	\N	\N	\N	\N	f	
2995	47445523-1824-43a1-a613-c747b51fb5cc	Jarash	Jarash	2	0	2013-05-21 00:08:39.329415+02	\N	\N	\N	\N	\N	\N	f	
2666	9719ae32-9b1a-4676-9362-1d8222f7edba	Nonthaburi	Nonthaburi	2	0	2013-05-20 22:36:39.020168+02	\N	\N	\N	\N	\N	\N	f	
2710	5b27167c-8272-4207-ba05-5f0e2e46aec1	Nakhon Sawan	Nakhon Sawan	2	0	2013-05-20 22:45:23.251763+02	\N	\N	\N	\N	\N	\N	f	
2717	3db17b2a-95a2-42e6-a23e-4de4eb36ecbb	Phetchabun	Phetchabun	2	0	2013-05-20 22:46:40.114549+02	\N	\N	\N	\N	\N	\N	f	
2999	7b1c99d6-0102-43e8-b150-49c964abcbd8	Ma‘ān	Ma‘ān	2	0	2013-05-21 00:09:48.802852+02	\N	\N	\N	\N	\N	\N	f	
2749	41e3bd81-5107-4c6d-9e34-740b1f40fc77	Melaka	Melaka	2	0	2013-05-20 22:52:44.212809+02	\N	\N	\N	\N	\N	\N	f	
2783	7119bad6-0646-4c75-96d8-8d72badb5db8	Davao (Region XI)	Davao (Region XI)	2	0	2013-05-20 22:59:03.64744+02	\N	\N	\N	\N	\N	\N	f	
2943	d298608b-8dfa-4501-9242-790dc2748413	Bābil	Bābil	2	0	2013-06-05 11:49:55.648451+02	\N	\N	\N	\N	\N	\N	f	
2798	5b1ee677-4730-48c6-a510-7af96f8f3841	Liquiça	Liquiça	2	0	2013-05-20 23:02:03.691755+02	\N	\N	\N	\N	\N	\N	f	
3026	01ad27a3-8a77-430c-b6ff-1f870c19094b	North	North	2	0	2013-05-21 00:16:23.171898+02	\N	\N	\N	\N	\N	\N	f	
2836	e7ecd1a1-6114-495b-a2a2-e06746eee1ed	Trashi Yangtse	Trashi Yangtse	2	0	2013-05-20 23:27:12.095261+02	\N	\N	\N	\N	\N	\N	f	
2890	f7e6900d-5233-48df-bfe7-f2715cde1b81	Zābul	Zābul	2	0	2013-05-20 23:37:04.935781+02	\N	\N	\N	\N	\N	\N	f	
3315	a26ea207-443f-43b8-a75b-d70621bf5371	Al Jīzah	Al Jīzah	2	0	2013-06-05 12:08:53.559744+02	\N	\N	\N	\N	\N	\N	f	
3042	155c0d22-1b89-4b99-adf4-760092c4a240	Gaza	Gaza	2	0	2013-05-21 00:20:41.865637+02	\N	\N	\N	\N	\N	\N	f	
2396	51fdd4e4-6c11-46d4-8bec-0c7385d0f83d	Respublika Buryatiya	Buryatiya, Respublika	2	0	2013-05-24 00:50:59.690163+02	\N	\N	\N	\N	\N	\N	f	
3158	2c1c1507-a366-425b-843f-ece91232d136	Ruyigi	Ruyigi	2	0	2013-05-21 00:53:37.463264+02	\N	\N	\N	\N	\N	\N	f	
1066	32060e94-bea6-4bbd-b597-08f4c98fab92	Cajamarca	Cajamarca	2	0	2013-06-05 12:13:55.37585+02	\N	\N	\N	\N	\N	\N	f	
3483	380d48a5-9979-4763-abf9-dfd1ea4c2f2b	Adrar	Adrar	2	0	2013-06-05 12:31:21.683679+02	\N	\N	\N	\N	\N	\N	f	
3187	d2fcebc5-cbfe-4f26-b955-97ff32d0610e	Maniema	Maniema	2	0	2013-05-21 00:59:12.649261+02	\N	\N	\N	\N	\N	\N	f	
3283	343d9a98-b9a2-4045-836c-4c880e2f9f8b	Msila	Msila	2	0	2013-05-21 11:34:50.826599+02	\N	\N	\N	\N	\N	\N	f	
3204	bd9ac45f-2d58-4091-896b-3e26f4acfee3	Ouham-Pendé	Ouham-Pendé	2	0	2013-05-21 01:02:43.620021+02	\N	\N	\N	\N	\N	\N	f	
3255	ecc13ae0-35fb-4023-89c7-fa9c3ca809a7	Tadjourah	Tadjourah	2	0	2013-05-21 11:29:38.961935+02	\N	\N	\N	\N	\N	\N	f	
3249	5fec35d7-2269-42ae-8922-002471ffbe5b	Ilhas de Sotavento	Ilhas de Sotavento	2	0	2013-05-21 01:10:35.383752+02	\N	\N	\N	\N	\N	\N	f	
15464	94fefaca-0552-479b-bb90-9b2dbf4f4705	Granozzo con Monticello	Granozzo con Monticello	4	0	2013-07-22 00:51:15.935722+02	\N	\N	\N	\N	\N	\N	f	
3309	bf93059e-2731-426c-a47f-aa5853b38de2	Banī Suwayf	Banī Suwayf	2	0	2013-06-05 09:28:50.343736+02	\N	\N	\N	\N	\N	\N	f	
3266	9f3612d6-f35d-4de1-8a90-9affb102754a	Tamanghasset	Tamanghasset	2	0	2013-05-21 11:31:44.595391+02	\N	\N	\N	\N	\N	\N	f	
1828	7514d443-6f68-4d09-ab6b-30f92798bb4a	Comunidad Valenciana	Comunidad Valenciana	2	0	2013-06-05 09:58:17.968509+02	\N	\N	\N	\N	\N	\N	f	
3281	9ac9d56a-2bed-4780-9283-4cd3a58ca067	Médéa	Médéa	2	0	2013-05-21 11:34:29.336384+02	\N	\N	\N	\N	\N	\N	f	
3146	cf68dcc8-1366-4932-8b4a-4c823bbde5e7	Cankuzo	Cankuzo	2	0	2013-06-05 11:23:49.926908+02	\N	\N	\N	\N	\N	\N	f	
3389	4cc373f3-8b60-400b-8aa3-6df3fe4ab8fb	Nairobi	Nairobi	2	0	2013-05-21 12:10:18.503156+02	\N	\N	\N	\N	\N	\N	f	
3347	90d4540e-7c0a-4bc4-a7c1-bf2c0a99b6e3	YeDebub Bihēroch Bihēreseboch na Hizboch	YeDebub Bihēroch Bihēreseboch na Hizboch	2	0	2013-05-21 11:46:01.722567+02	\N	\N	\N	\N	\N	\N	f	
3420	b00a2a49-d40e-4470-aacc-7573decc735a	Mohale's Hoek	Mohale's Hoek	2	0	2013-05-21 13:24:36.044995+02	\N	\N	\N	\N	\N	\N	f	
16180	801bfb55-e34c-48f4-9cd2-2213b9f65700	Boissano	Boissano	4	0	2013-07-22 03:02:25.002774+02	\N	\N	\N	\N	\N	\N	f	
3452	e1ef58de-437a-4ba9-885c-1571604efa9a	Rabat-Salé-Zemmour-Zaer	Rabat-Salé-Zemmour-Zaer	2	0	2013-05-21 13:30:56.742965+02	\N	\N	\N	\N	\N	\N	f	
3509	aa8c13a9-602a-46db-b8b7-4a01266ac62d	Southern Region	Southern Region	2	0	2013-05-21 13:41:41.709274+02	\N	\N	\N	\N	\N	\N	f	
3537	935bd84d-61b2-4015-a9f0-f3ed5b42dc93	Maradi	Maradi	2	0	2013-05-21 13:46:53.935017+02	\N	\N	\N	\N	\N	\N	f	
1067	25babcb1-caaa-4081-a5ba-a05e0f96afc0	El Callao	El Callao	2	0	2013-05-19 21:01:15.606926+02	\N	\N	\N	\N	\N	\N	f	
1069	4109d063-69bc-4de0-890b-1c7f242a7ab5	Huánuco	Huánuco	2	0	2013-05-19 21:01:37.227324+02	\N	\N	\N	\N	\N	\N	f	
1968	12baaace-e181-4296-a282-7b74a4739155	Dornava	Dornava	2	0	2013-05-20 17:31:49.780332+02	\N	\N	\N	\N	\N	\N	f	
1083	e6c77da7-5835-4f0c-ba40-2cd4a9f22468	San Martín	San Martín	2	0	2013-05-19 21:04:13.044821+02	\N	\N	\N	\N	\N	\N	f	
2015	eac1038b-1d76-4f1f-853f-5401fbff4276	Medvode	Medvode	2	0	2013-05-20 17:41:10.316353+02	\N	\N	\N	\N	\N	\N	f	
3391	0c965995-9eeb-4fd8-87ec-0b6bde5a791d	Coast	Coast	2	0	2013-06-05 11:43:31.354287+02	\N	\N	\N	\N	\N	\N	f	
2017	31266f8b-15a1-4a58-9957-13cb88499a5b	Metlika	Metlika	2	0	2013-05-20 17:41:41.688007+02	\N	\N	\N	\N	\N	\N	f	
13728	0a5b8d13-689c-4572-9d9d-0d8fa45f4612	Varisella	Varisella	4	0	2013-07-21 18:59:34.778033+02	\N	\N	\N	\N	\N	\N	f	
2055	4f87b1e0-3049-4678-b662-96102b3e4760	Sežana	Sežana	2	0	2013-05-20 17:50:12.119488+02	\N	\N	\N	\N	\N	\N	f	
2097	a5d874a1-5ccf-4f4b-857c-241f0136166d	Dobje	Dobje	2	0	2013-05-20 17:58:18.835082+02	\N	\N	\N	\N	\N	\N	f	
3289	b314531d-6711-4e36-b48d-290f7a08bfa2	Bordj Bou Arréridj	Bordj Bou Arréridj	2	0	2013-06-05 09:01:25.997636+02	\N	\N	\N	\N	\N	\N	f	
3113	d985a097-bebd-434b-8005-d9520f99ad31	Bié	Bié	2	0	2013-06-05 07:45:22.777536+02	\N	\N	\N	\N	\N	\N	f	
2135	0239986c-f597-49fe-978d-dc426f3be98e	Žirovnica	Žirovnica	2	0	2013-05-27 19:59:55.117839+02	\N	\N	\N	\N	\N	\N	f	
2566	5380b4ed-f8bb-4d43-bfde-d978c6ce0606	Quang Ninh	Quang Ninh	2	0	2013-05-20 22:17:45.142406+02	\N	\N	\N	\N	\N	\N	f	
2166	28dc224d-2764-42fb-9d9e-c046e76635df	Varna	Varna	2	0	2013-05-20 18:18:40.086273+02	\N	\N	\N	\N	\N	\N	f	
2299	0e1c018d-bfb4-4be1-9f9d-7eabfaff4e1b	Kriva Palanka	Kriva Palanka	2	0	2013-05-20 19:16:45.058939+02	\N	\N	\N	\N	\N	\N	f	
2171	a32720dc-f632-41ba-a1a4-38be15fe8ea0	Dobrich	Dobrich	2	0	2013-05-20 18:19:34.213935+02	\N	\N	\N	\N	\N	\N	f	
2195	91dad2ee-75ea-485a-b62f-4206bd1f4b9c	Hrodzenskaya voblasts'	Hrodzenskaya voblasts'	2	0	2013-05-20 18:24:02.551695+02	\N	\N	\N	\N	\N	\N	f	
2305	5a9183ae-4b34-46c2-b783-8c905cf8bed8	Mavrovo i Rostuša	Mavrovo i Rostuša	2	0	2013-05-20 19:17:51.461182+02	\N	\N	\N	\N	\N	\N	f	
5071	92e7329e-374e-4b71-a175-f61fffc30213	Poznań	Poznań	3	0	2013-05-24 21:23:33.292313+02	\N	\N	\N	\N	\N	\N	f	
2986	0c0b14b3-eb77-40e9-85bf-f2fc312ded0e	Khorāsān-e Razavī	Khorāsān-e Razavī	2	0	2013-05-21 00:06:09.556943+02	\N	\N	\N	\N	\N	\N	f	
5251	0975b71a-995a-4f7b-a1c3-41e302ba4dc6	Boise	Boise	3	0	2013-05-24 22:57:19.166886+02	\N	\N	\N	\N	\N	\N	f	
2593	09da3295-44f7-48f5-bc89-3ac71c4ce611	Dong Thap	Dong Thap	2	0	2013-05-20 22:23:02.630765+02	\N	\N	\N	\N	\N	\N	f	
2354	89a71c94-1590-4111-9da7-05a6d79e292f	Toplički okrug	Toplički okrug	2	0	2013-05-20 19:28:27.578055+02	\N	\N	\N	\N	\N	\N	f	
2386	f491f92e-e657-43ed-8eb2-5bee763d0ccc	Chernivets'ka Oblast'	Chernivets'ka Oblast'	2	0	2013-06-05 10:20:45.469098+02	\N	\N	\N	\N	\N	\N	f	
2899	82086450-37ad-465d-83f8-6b051b803fc5	Gorno-Badakhshan	Gorno-Badakhshan	2	0	2013-05-20 23:38:55.211091+02	\N	\N	\N	\N	\N	\N	f	
2507	26e123d5-b9dc-40ec-a75f-dd12229ed8b9	Batys Qazaqstan oblysy	Batys Qazaqstan oblysy	2	0	2013-06-05 09:09:29.360316+02	\N	\N	\N	\N	\N	\N	f	
2627	97b6f9db-aa28-4d05-a913-dfea4e5756ed	Prey Veaeng [Prey Vêng]	Prey Veaeng [Prey Vêng]	2	0	2013-05-20 22:29:37.39238+02	\N	\N	\N	\N	\N	\N	f	
2423	b64ada09-41aa-4b45-8d53-07c3dc47e6f1	Leningradskaya oblast'	Leningradskaya oblast'	2	0	2013-05-20 19:44:54.689336+02	\N	\N	\N	\N	\N	\N	f	
2463	d9850091-5957-41bd-ab1f-e04a84f0c5fb	Vladimirskaya oblast'	Vladimirskaya oblast'	2	0	2013-05-20 19:56:25.484254+02	\N	\N	\N	\N	\N	\N	f	
5395	efa93f97-fbcf-4f7d-8f9a-9007759f4fc5	Timişoara	Timişoara	3	0	2013-05-24 23:26:05.720152+02	\N	\N	\N	\N	\N	\N	f	
3112	324f911e-d295-4cdb-9139-1bc6f348e9b0	Benguela	Benguela	2	0	2013-06-05 07:06:38.710813+02	\N	\N	\N	\N	\N	\N	f	
2667	5131d1cd-2b74-4433-b862-a5679a84b17b	Pathum Thani	Pathum Thani	2	0	2013-05-20 22:36:49.587627+02	\N	\N	\N	\N	\N	\N	f	
13751	abb1eadf-d027-41ca-aed3-43bfe62d2874	Vicopisano	Vicopisano	4	0	2013-07-21 19:04:38.668584+02	\N	\N	\N	\N	\N	\N	f	
2838	58565ee2-03a5-40f2-8e7f-f0604cc4fcc2	Chittagong	Chittagong	2	0	2013-06-05 09:30:38.160558+02	\N	\N	\N	\N	\N	\N	f	
2546	f1da4002-2f29-4d12-b771-d251d8f079c2	Jejudo	Jejudo	2	0	2013-05-20 21:17:00.133491+02	\N	\N	\N	\N	\N	\N	f	
2791	3f14c4d1-8a1b-437c-9026-8faf9c39b1d9	Ainaro	Ainaro	2	0	2013-06-05 11:56:15.898478+02	\N	\N	\N	\N	\N	\N	f	
2900	54f33330-7d56-439b-8ddc-c1567c8f78d8	Khatlon	Khatlon	2	0	2013-05-20 23:39:05.905806+02	\N	\N	\N	\N	\N	\N	f	
2704	10cc895e-3170-47fc-be40-b4975b201b43	Uttaradit	Uttaradit	2	0	2013-05-20 22:44:09.675927+02	\N	\N	\N	\N	\N	\N	f	
2718	3dd15ab1-e81f-49b1-ac22-c8a1f776ab66	Ratchaburi	Ratchaburi	2	0	2013-05-20 22:46:51.410382+02	\N	\N	\N	\N	\N	\N	f	
2944	576ff1d1-e985-4bce-a451-d91849ca864c	Baghdād	Baghdād	2	0	2013-06-05 07:41:58.657243+02	\N	\N	\N	\N	\N	\N	f	
2750	82a31662-e192-4b17-a650-79b5b23adc5b	Negeri Sembilan	Negeri Sembilan	2	0	2013-05-20 22:52:54.828949+02	\N	\N	\N	\N	\N	\N	f	
2936	402c46d5-e884-46e1-928c-a47c215f6b01	Yerushalayim	Yerushalayim	2	0	2013-05-20 23:54:44.98641+02	\N	\N	\N	\N	\N	\N	f	
3181	d4b0a378-2a6e-4f6a-86b3-2ee51a348ae4	Bandundu	Bandundu	2	0	2013-06-05 12:29:19.930147+02	\N	\N	\N	\N	\N	\N	f	
3160	4e74a047-9aec-49ac-852d-a23b1592b9ec	Alibori	Alibori	2	0	2013-06-05 08:43:20.714447+02	\N	\N	\N	\N	\N	\N	f	
2149	203f0184-7755-4dba-9ce1-6315493d27f9	Šmarješke Toplice	Šmarješke Toplice	2	0	2013-05-27 19:49:57.720596+02	\N	\N	\N	\N	\N	\N	f	
2805	fcb9411c-d9dd-4193-bb7e-9a4b2e102df4	Magway	Magway	2	0	2013-05-20 23:03:22.605243+02	\N	\N	\N	\N	\N	\N	f	
2792	5fd02671-b244-49f5-92f5-16156fc5545f	Baucau	Baucau	2	0	2013-06-05 08:26:21.319861+02	\N	\N	\N	\N	\N	\N	f	
2689	8324277f-7e78-4ebd-99f1-bb183aae9dee	Amnat Charoen	Amnat Charoen	2	0	2013-06-05 09:54:08.121684+02	\N	\N	\N	\N	\N	\N	f	
3043	61a55d4c-4ca9-43d7-90b0-242e2ad2ce45	Hebron	Hebron	2	0	2013-05-21 00:20:55.710884+02	\N	\N	\N	\N	\N	\N	f	
2222	172832c4-1ffc-434b-80f0-02b6e2829170	Briceni	Briceni	2	0	2013-06-05 08:46:31.793745+02	\N	\N	\N	\N	\N	\N	f	
2954	7c3953a1-af7a-4691-a761-114023d437e3	Şalāḩ ad Dīn	Şalāḩ ad Dīn	2	0	2013-05-27 19:41:44.909817+02	\N	\N	\N	\N	\N	\N	f	
2965	e05ad775-2e53-45bc-bf40-618598bf08be	Chahār Maḩāll va Bakhtīārī	Chahār Maḩāll va Bakhtīārī	2	0	2013-06-05 09:47:52.639751+02	\N	\N	\N	\N	\N	\N	f	
3069	1383824b-13f8-40c0-ba7e-d7047a86065f	Tabūk	Tabūk	2	0	2013-05-21 00:28:36.181274+02	\N	\N	\N	\N	\N	\N	f	
2983	8baf6442-62d0-4de6-b28a-f412c97260f0	Golestān	Golestān	2	0	2013-05-21 00:05:35.043963+02	\N	\N	\N	\N	\N	\N	f	
13933	c9668ab6-9cee-4eab-a4db-c7c21d341527	Rio Saliceto	Rio Saliceto	4	0	2013-07-21 19:45:47.114625+02	\N	\N	\N	\N	\N	\N	f	
2400	8185eac8-9aec-482b-af94-19b70d04e91e	Chuvashskaya Respublika	Chuvashskaya Respublika	2	0	2013-06-05 09:03:20.235412+02	\N	\N	\N	\N	\N	\N	f	
3077	f5f2a174-5dcb-4a6c-93e6-a549293fe6a7	Dar‘ā	Dar‘ā	2	0	2013-05-21 00:30:42.455882+02	\N	\N	\N	\N	\N	\N	f	
3021	babbb38b-ca9a-4233-ad6a-0c2819ef50e2	Ūva paḷāta	Ūva paḷāta	2	0	2013-05-27 19:33:41.006164+02	\N	\N	\N	\N	\N	\N	f	
3167	6f9ae64e-361e-4837-bc22-f22675df1794	Mono	Mono	2	0	2013-05-21 00:55:15.414595+02	\N	\N	\N	\N	\N	\N	f	
14354	32e428dc-a97c-47ec-8c35-dcb72a5b8814	Borgo San Martino	Borgo San Martino	4	0	2013-07-21 21:19:43.930489+02	\N	\N	\N	\N	\N	\N	f	
3164	4bb5951e-dbb8-45f8-84c4-21a3115847d3	Donga	Donga	2	0	2013-05-21 00:54:43.02284+02	\N	\N	\N	\N	\N	\N	f	
17285	3703cec3-bcab-46ae-92c6-e68716b924a8	Mores, Sardinia	Mores, Sardinia	4	0	2013-07-22 06:08:12.411172+02	\N	\N	\N	\N	\N	\N	f	
3189	aa11c2e6-bbd9-4e02-9da4-f5d8b1947818	Orientale	Orientale	2	0	2013-05-21 00:59:38.047552+02	\N	\N	\N	\N	\N	\N	f	
3282	fb938a61-94d4-440f-b6e7-586ea86adf0f	Mostaganem	Mostaganem	2	0	2013-05-21 11:34:40.044755+02	\N	\N	\N	\N	\N	\N	f	
3251	6ea0e706-264b-4d29-a18e-e470ab086a22	Ali Sabieh	Ali Sabieh	2	0	2013-06-05 09:18:32.22699+02	\N	\N	\N	\N	\N	\N	f	
3318	9c0fffb0-9c0e-4baa-9a04-7ad579ad24b9	Janūb Sīnā’	Janūb Sīnā’	2	0	2013-05-21 11:41:08.552573+02	\N	\N	\N	\N	\N	\N	f	
3349	1ddf91bd-113c-4a9e-8a3f-d2e42631e8ca	Tigray	Tigray	2	0	2013-05-21 11:46:16.972632+02	\N	\N	\N	\N	\N	\N	f	
3380	996f8c80-a46f-4880-8a4c-2e721c4857c8	Labé	Labé	2	0	2013-05-21 12:08:40.87834+02	\N	\N	\N	\N	\N	\N	f	
3421	7eff0a43-4cc4-4f3f-b156-5dd68beed462	Quthing	Quthing	2	0	2013-05-21 13:24:46.864423+02	\N	\N	\N	\N	\N	\N	f	
3453	27c6100b-887f-488d-b1f8-dc272b603f6a	Grand Casablanca	Grand Casablanca	2	0	2013-05-21 13:31:13.59004+02	\N	\N	\N	\N	\N	\N	f	
4569	fee227c7-7a51-4ca6-a784-6cd44483f2af	Kalimantan Tengah	Kalimantan Tengah	2	0	2013-05-22 14:10:34.343471+02	\N	\N	\N	\N	\N	\N	f	
1070	1810cbc0-554a-4463-bd42-1fceca928d2d	Huancavelica	Huancavelica	2	0	2013-05-19 21:01:48.46547+02	\N	\N	\N	\N	\N	\N	f	
1071	dd4d28b9-93b0-4990-8a16-3e11aefef96d	Ica	Ica	2	0	2013-05-19 21:01:59.082196+02	\N	\N	\N	\N	\N	\N	f	
1072	8d227410-052d-4065-b76c-91aa04716864	Junín	Junín	2	0	2013-05-19 21:02:10.199209+02	\N	\N	\N	\N	\N	\N	f	
1970	6836932b-c063-4a3e-9f93-036ccee9a38c	Duplek	Duplek	2	0	2013-05-20 17:32:12.13078+02	\N	\N	\N	\N	\N	\N	f	
1073	9fcb5dec-28f2-47ed-93fe-a4868d5e3f2a	La Libertad	La Libertad	2	0	2013-05-19 21:02:20.820713+02	\N	\N	\N	\N	\N	\N	f	
1074	7a815815-0603-4529-9afd-5f616a4717d2	Lambayeque	Lambayeque	2	0	2013-05-19 21:02:31.685232+02	\N	\N	\N	\N	\N	\N	f	
1075	927c394e-4c75-46d7-980f-cd7a6af2ca33	Lima	Lima	2	0	2013-05-19 21:02:42.425131+02	\N	\N	\N	\N	\N	\N	f	
2019	9c42e274-4b02-4cf1-8f40-27713ad4c8a2	Miren-Kostanjevica	Miren-Kostanjevica	2	0	2013-05-20 17:42:22.591205+02	\N	\N	\N	\N	\N	\N	f	
1076	fd36bfd6-37a5-474e-9b28-db98fc7151ae	Municipalidad Metropolitana de Lima	Municipalidad Metropolitana de Lima	2	0	2013-05-19 21:02:53.703894+02	\N	\N	\N	\N	\N	\N	f	
1077	935f6e83-067e-4074-854d-9a142c434cd4	Loreto	Loreto	2	0	2013-05-19 21:03:04.833339+02	\N	\N	\N	\N	\N	\N	f	
1078	6b920a01-a7e8-4740-b432-9622e0fa5cea	Madre de Dios	Madre de Dios	2	0	2013-05-19 21:03:16.034229+02	\N	\N	\N	\N	\N	\N	f	
2023	e1ae61f5-b732-4940-95ad-c50c3f542a60	Mozirje	Mozirje	2	0	2013-05-20 17:43:43.930907+02	\N	\N	\N	\N	\N	\N	f	
1079	ae8fc844-b692-46d8-a550-8f60baf15cdd	Moquegua	Moquegua	2	0	2013-05-19 21:03:27.071953+02	\N	\N	\N	\N	\N	\N	f	
1080	01ce7389-854f-4380-95c4-0ed22e720147	Pasco	Pasco	2	0	2013-05-19 21:03:38.269114+02	\N	\N	\N	\N	\N	\N	f	
1081	7f8edcaf-c4a7-401f-9362-517938aa41de	Piura	Piura	2	0	2013-05-19 21:03:49.296252+02	\N	\N	\N	\N	\N	\N	f	
2056	10166876-8621-496b-9b6f-c1108b52948a	Slovenj Gradec	Slovenj Gradec	2	0	2013-05-20 17:50:23.873177+02	\N	\N	\N	\N	\N	\N	f	
1082	db023494-03da-4ebe-a5d5-ffb37986b9a4	Puno	Puno	2	0	2013-05-19 21:04:00.155366+02	\N	\N	\N	\N	\N	\N	f	
1084	4ded19a6-1d9c-4af2-adf3-1994ee00ade6	Tacna	Tacna	2	0	2013-05-19 21:04:26.863602+02	\N	\N	\N	\N	\N	\N	f	
2515	d9535b36-7db9-48c4-a376-8737b1dbaef7	Töv	Töv	2	0	2013-05-20 21:11:48.031327+02	\N	\N	\N	\N	\N	\N	f	
1085	3d544acb-e0a3-486f-af25-2ae12ce5e011	Tumbes	Tumbes	2	0	2013-05-19 21:04:37.879796+02	\N	\N	\N	\N	\N	\N	f	
2100	86356956-7e70-4e5f-8286-042ec248c4e1	Dolenjske Toplice	Dolenjske Toplice	2	0	2013-05-20 17:58:53.424079+02	\N	\N	\N	\N	\N	\N	f	
1086	94d6b4d3-19fa-44e1-afd6-7c45ca7a9168	Ucayali	Ucayali	2	0	2013-05-19 21:04:48.9059+02	\N	\N	\N	\N	\N	\N	f	
3161	58dbb3b1-f757-4870-8f5a-370f6e20e114	Atlantique	Atlantique	2	0	2013-06-05 10:12:50.607719+02	\N	\N	\N	\N	\N	\N	f	
2793	2922eac5-ef89-42fc-a30c-9849c1e9dd40	Bobonaro	Bobonaro	2	0	2013-06-05 12:11:20.769346+02	\N	\N	\N	\N	\N	\N	f	
1088	d0e10d1a-b641-4d1b-b580-35c0be68a1ee	Alto Paraná	Alto Paraná	2	0	2013-06-05 08:03:23.660977+02	\N	\N	\N	\N	\N	\N	f	
2223	fb4b1c1f-b36f-4e40-896d-4028bbfb3609	Basarabeasca	Basarabeasca	2	0	2013-06-05 08:02:16.407118+02	\N	\N	\N	\N	\N	\N	f	
1089	ad85013a-417c-4e4b-a8ce-dc0fe4339d60	Central	Central	2	0	2013-06-05 07:56:49.307668+02	\N	\N	\N	\N	\N	\N	f	
1091	c65da01c-eff0-407d-b18a-422206f6c5b3	Amambay	Amambay	2	0	2013-06-05 07:13:39.576989+02	\N	\N	\N	\N	\N	\N	f	
1087	efa66668-604f-4746-adf5-749b5adaede3	Concepción	Concepción	2	0	2013-06-05 07:22:05.788508+02	\N	\N	\N	\N	\N	\N	f	
1092	636e5889-3e0f-4279-b97f-f8240f4eb935	Canindeyú	Canindeyú	2	0	2013-06-05 10:27:25.858715+02	\N	\N	\N	\N	\N	\N	f	
2172	81eaa361-b4b3-40ad-823e-b92216077591	Kardzhali	Kardzhali	2	0	2013-05-20 18:19:44.877518+02	\N	\N	\N	\N	\N	\N	f	
2300	86a5452d-633e-4a83-834a-54b4f9815de4	Krivogaštani	Krivogaštani	2	0	2013-05-20 19:16:55.754543+02	\N	\N	\N	\N	\N	\N	f	
2918	2e228544-bca8-4b77-a487-9b54a2a8e839	Daşoguz	Daşoguz	2	0	2013-05-20 23:42:27.292837+02	\N	\N	\N	\N	\N	\N	f	
2306	7e6212c1-6ee9-4587-822c-f60b5672a4e1	Makedonska Kamenica	Makedonska Kamenica	2	0	2013-05-20 19:18:02.30765+02	\N	\N	\N	\N	\N	\N	f	
2516	4a07046c-a379-49b4-bced-115f14453b76	Selenge	Selenge	2	0	2013-05-20 21:12:00.488049+02	\N	\N	\N	\N	\N	\N	f	
2341	08f112f0-a7ca-45d7-9b47-64d332df47e6	Mačvanski okrug	Mačvanski okrug	2	0	2013-05-20 19:25:01.622108+02	\N	\N	\N	\N	\N	\N	f	
5072	fda489f5-8880-4241-9485-46128c44a547	Gdynia	Gdynia	3	0	2013-05-24 21:23:46.009154+02	\N	\N	\N	\N	\N	\N	f	
2567	4395516f-2064-4b9f-b463-3a4f685a28d8	Hoa Binh	Hoa Binh	2	0	2013-05-20 22:17:56.420568+02	\N	\N	\N	\N	\N	\N	f	
2424	d23f4f31-81f0-4418-bb1b-a30c7fd7537f	Lipetskaya oblast'	Lipetskaya oblast'	2	0	2013-05-20 19:45:07.269602+02	\N	\N	\N	\N	\N	\N	f	
2438	9d563979-3915-4716-9027-0d8e12983039	Permskiy kray	Permskiy kray	2	0	2013-05-20 19:48:45.928443+02	\N	\N	\N	\N	\N	\N	f	
2464	0298636b-6cd3-4bd2-b4fd-e486d5056c84	Vologodskaya oblast'	Vologodskaya oblast'	2	0	2013-05-20 19:56:37.108021+02	\N	\N	\N	\N	\N	\N	f	
2751	866822a9-5230-4293-9b43-257fc1e07eeb	Pahang	Pahang	2	0	2013-05-20 22:53:05.713159+02	\N	\N	\N	\N	\N	\N	f	
2474	dda5484e-7781-4761-878d-8f58a80971e2	Geġark'unik'	Geġark'unik'	2	0	2013-05-20 20:49:28.103582+02	\N	\N	\N	\N	\N	\N	f	
13730	ab83e177-ec43-446e-aa0b-03e5a28f28d1	Ponsacco	Ponsacco	4	0	2013-07-21 18:59:58.911801+02	\N	\N	\N	\N	\N	\N	f	
2594	1d21baae-64af-4e12-895d-2669a1a7800f	Tien Giang	Tien Giang	2	0	2013-05-20 22:23:14.179236+02	\N	\N	\N	\N	\N	\N	f	
2902	de142ef6-5f3f-44b7-a8e7-50b7600bbb8e	Andijon	Andijon	2	0	2013-06-05 11:11:22.706998+02	\N	\N	\N	\N	\N	\N	f	
2508	92b0e89d-f7b1-4dd8-a619-e9b43002f178	Zhambyl oblysy	Zhambyl oblysy	2	0	2013-05-20 20:56:28.183045+02	\N	\N	\N	\N	\N	\N	f	
2628	c8cf44f3-5a0b-4fd9-8fe1-afd56ddc63b1	Pousaat [Poŭthĭsăt]	Pousaat [Poŭthĭsăt]	2	0	2013-05-20 22:29:48.611605+02	\N	\N	\N	\N	\N	\N	f	
2259	771696b0-de31-4a0e-812c-3fbc6b52ccac	Bitola	Bitola	2	0	2013-06-05 12:03:36.957912+02	\N	\N	\N	\N	\N	\N	f	
2668	3a7d7b61-98d3-47ee-b0f3-6f1596b3d9c1	Phra Nakhon Si Ayutthaya	Phra Nakhon Si Ayutthaya	2	0	2013-05-20 22:37:00.27079+02	\N	\N	\N	\N	\N	\N	f	
2790	211f511c-bc96-4abe-bf05-1216b5e3f86c	Aileu	Aileu	2	0	2013-06-05 08:45:01.249131+02	\N	\N	\N	\N	\N	\N	f	
2719	87db922c-5c27-49ca-a79a-86b325ffa4da	Kanchanaburi	Kanchanaburi	2	0	2013-05-20 22:47:02.771142+02	\N	\N	\N	\N	\N	\N	f	
2728	6a13b4c0-e40e-4f98-a005-8e766ae2e1fe	Phangnga	Phangnga	2	0	2013-05-20 22:48:48.520332+02	\N	\N	\N	\N	\N	\N	f	
2744	d60d0b20-b655-45c3-9c80-49b3d57926f8	South East	South East	2	0	2013-05-20 22:51:47.6847+02	\N	\N	\N	\N	\N	\N	f	
14893	eda5e5a6-3844-4f3d-818d-96d56a488f8f	Chiusa di Pesio	Chiusa di Pesio	4	0	2013-07-21 23:21:27.879053+02	\N	\N	\N	\N	\N	\N	f	
2841	d86a1d5d-26cc-467f-9fea-dc102646d16f	Rajshahi	Rajshahi	2	0	2013-05-20 23:28:05.168042+02	\N	\N	\N	\N	\N	\N	f	
2901	fd6dcf8a-0268-478f-9ed2-b999c362178f	Sughd	Sughd	2	0	2013-05-20 23:39:16.604214+02	\N	\N	\N	\N	\N	\N	f	
2843	faf09cb6-7903-4c31-a9ef-fe4e25e58cc8	Sylhet	Sylhet	2	0	2013-05-20 23:28:26.926107+02	\N	\N	\N	\N	\N	\N	f	
14357	1436f9cb-c544-4e55-84c2-50bf88a2d8b5	Carrega Ligure	Carrega Ligure	4	0	2013-07-21 21:20:19.420537+02	\N	\N	\N	\N	\N	\N	f	
2945	99ad20e8-4c83-4ab4-b923-7f4d29df5c49	Dahūk	Dahūk	2	0	2013-05-20 23:56:40.937265+02	\N	\N	\N	\N	\N	\N	f	
3001	5f8368f6-81ae-443a-b2fd-0bf24177f0e3	Al Farwānīyah	Al Farwānīyah	2	0	2013-06-05 12:13:03.891028+02	\N	\N	\N	\N	\N	\N	f	
1090	bfc82496-8d99-48d8-94f2-cedefde32f9b	Ñeembucú	Ñeembucú	2	0	2013-05-27 19:58:06.438708+02	\N	\N	\N	\N	\N	\N	f	
2984	9bfe0bce-7e14-4afe-b002-7e33051e1748	Qazvīn	Qazvīn	2	0	2013-05-21 00:05:45.931397+02	\N	\N	\N	\N	\N	\N	f	
2979	83e5f05e-002d-4d2c-9060-edb8f09eca21	Hormozgān	Hormozgān	2	0	2013-05-21 00:04:43.263843+02	\N	\N	\N	\N	\N	\N	f	
15465	1f216592-f1bf-459c-a415-7232dc2d7c0b	Morro Reatino	Morro Reatino	4	0	2013-07-22 00:51:32.179677+02	\N	\N	\N	\N	\N	\N	f	
3044	4b141312-e0d7-49ef-add8-a28584fdfd48	Jerusalem	Jerusalem	2	0	2013-05-21 00:21:07.860466+02	\N	\N	\N	\N	\N	\N	f	
3071	0e8ac9fa-ca23-4780-936e-295e9068a526	Jīzān	Jīzān	2	0	2013-05-21 00:29:13.348517+02	\N	\N	\N	\N	\N	\N	f	
3110	882dfbf5-e793-46bf-88b6-374053a658ed	Tā‘izz	Tā‘izz	2	0	2013-05-21 00:36:53.235605+02	\N	\N	\N	\N	\N	\N	f	
3191	34773c6e-268a-4f14-b3c5-38563f6522ae	Ouham	Ouham	2	0	2013-05-21 01:00:05.169615+02	\N	\N	\N	\N	\N	\N	f	
2401	37572420-4b2c-47e5-bf2b-536c9a50a362	Respublika Dagestan	Dagestan, Respublika	2	0	2013-05-24 00:51:03.232916+02	\N	\N	\N	\N	\N	\N	f	
3205	b03f1b4f-cb60-4f5d-a162-7b7608bd57c6	Sangha	Sangha	2	0	2013-05-21 01:02:54.504932+02	\N	\N	\N	\N	\N	\N	f	
2136	e4b83a33-65ad-4528-9c1f-d75cb14627a7	Žužemberk	Žužemberk	2	0	2013-05-27 19:38:48.789389+02	\N	\N	\N	\N	\N	\N	f	
2921	881356cc-d5c8-44e0-8cfa-72d04c087b4a	Aşgabat	Aşgabat	3	0	2013-05-24 02:26:00.262908+02	\N	\N	\N	\N	\N	\N	f	
1093	8142ac52-20e2-4229-9252-c68f539f3078	Presidente Hayes	Presidente Hayes	2	0	2013-05-19 21:07:40.046978+02	\N	\N	\N	\N	\N	\N	f	
1137	c87626d5-7514-4ca3-a899-5170595762e6	Aragua	Aragua	2	0	2013-06-05 09:57:13.133015+02	\N	\N	\N	\N	\N	\N	f	
1107	cf60154e-3f00-4fce-b7c2-3ce2c0821e4d	Coronie	Coronie	2	0	2013-06-05 12:29:00.496205+02	\N	\N	\N	\N	\N	\N	f	
1096	cc12d50b-e1a9-49c8-95bf-6919eeb1d5e8	San Pedro	San Pedro	2	0	2013-05-19 21:08:18.282116+02	\N	\N	\N	\N	\N	\N	f	
1135	d254f72c-69db-4efd-ae8a-f97bfe3f40eb	Anzoátegui	Anzoátegui	2	0	2013-06-05 10:18:42.118276+02	\N	\N	\N	\N	\N	\N	f	
1165	251b0c31-0b8e-491a-9c28-a44f39f97065	Barbuda	Barbuda	2	0	2013-06-05 11:54:03.829275+02	\N	\N	\N	\N	\N	\N	f	
1098	1572bc83-70fc-4a46-b06c-8ed214b2baa7	Guairá	Guairá	2	0	2013-05-19 21:08:33.795643+02	\N	\N	\N	\N	\N	\N	f	
1094	b60d6245-4660-4ed5-8f01-0f6f4fc69b50	Alto Paraguay	Alto Paraguay	2	0	2013-06-05 07:52:20.082973+02	\N	\N	\N	\N	\N	\N	f	
1133	94349cbf-8dde-4187-9343-69f6851c78c2	Treinta y Tres	Treinta y Tres	2	0	2013-05-19 21:16:02.396685+02	\N	\N	\N	\N	\N	\N	f	
2224	eeb60457-b912-416f-a020-841061b707e7	Cahul	Cahul	2	0	2013-06-05 08:44:23.895386+02	\N	\N	\N	\N	\N	\N	f	
1119	c03a898d-2bad-431d-aa98-f9775a59ad9f	Durazno	Durazno	2	0	2013-05-19 21:13:22.967095+02	\N	\N	\N	\N	\N	\N	f	
1101	93b8fe88-3a58-4edd-8be1-f1f81fa4e3a5	Itapúa	Itapúa	2	0	2013-05-19 21:08:56.991754+02	\N	\N	\N	\N	\N	\N	f	
1102	5a78fefe-c633-4ccf-9ea6-2ab98c0aeee8	Misiones	Misiones	2	0	2013-05-19 21:09:04.692297+02	\N	\N	\N	\N	\N	\N	f	
1103	4c7d5095-4a2b-420a-97f8-f3b4388c2096	Paraguarí	Paraguarí	2	0	2013-05-19 21:09:12.384548+02	\N	\N	\N	\N	\N	\N	f	
5708	63eed051-4d66-4dbc-bb30-ab6160ca7bff	Shuyesheh	Shuyesheh	3	0	2013-05-25 00:35:12.363846+02	\N	\N	\N	\N	\N	\N	f	
1120	289222ec-bf34-4021-b664-f25dbbbf7c38	Florida	Florida	2	0	2013-05-19 21:13:34.619697+02	\N	\N	\N	\N	\N	\N	f	
1100	b6a96c16-11b7-4c30-9c6e-1425994c952e	Caazapá	Caazapá	2	0	2013-06-05 07:42:37.633382+02	\N	\N	\N	\N	\N	\N	f	
13731	db7cf0e2-1755-4566-8fb7-77af30a1cb6e	Traves	Traves	4	0	2013-07-21 19:00:11.343112+02	\N	\N	\N	\N	\N	\N	f	
1138	28a6cca3-e00d-437f-b54b-2374616a8d80	Barinas	Barinas	2	0	2013-06-05 08:55:29.693921+02	\N	\N	\N	\N	\N	\N	f	
1142	0e02a266-6444-444d-b4b7-00d95f97ebca	Falcón	Falcón	2	0	2013-05-19 21:47:24.650799+02	\N	\N	\N	\N	\N	\N	f	
1118	28af4fbb-951a-4a9f-9448-b449166b0cb3	Colonia	Colonia	2	0	2013-06-05 11:42:27.275508+02	\N	\N	\N	\N	\N	\N	f	
1121	87bfb905-ea0a-4891-bffc-7e2fe52e8d0f	Flores	Flores	2	0	2013-05-19 21:13:48.161599+02	\N	\N	\N	\N	\N	\N	f	
14361	cccf23c5-0878-421c-aa65-8b41de38d1ad	Belforte Monferrato	Belforte Monferrato	4	0	2013-07-21 21:21:05.683725+02	\N	\N	\N	\N	\N	\N	f	
1108	129fc96a-2acb-4fe6-b587-b41012f79eef	Marowijne	Marowijne	2	0	2013-05-19 21:11:07.895486+02	\N	\N	\N	\N	\N	\N	f	
1134	8a9b85eb-ded0-469b-9bcc-4f224c1d9c28	Distrito Federal	Distrito Federal	2	0	2013-05-19 21:45:52.356866+02	\N	\N	\N	\N	\N	\N	f	
1109	d7f507a5-edb8-4b9d-8e15-ffe355fd7dcd	Nickerie	Nickerie	2	0	2013-05-19 21:11:18.812956+02	\N	\N	\N	\N	\N	\N	f	
1122	49f00fb2-f114-40be-9b2d-1f934c90b941	Lavalleja	Lavalleja	2	0	2013-05-19 21:13:59.026895+02	\N	\N	\N	\N	\N	\N	f	
1110	2581f372-782f-449c-bf87-e17be6cf895b	Paramaribo	Paramaribo	2	0	2013-05-19 21:11:29.875604+02	\N	\N	\N	\N	\N	\N	f	
1111	7b7e18cc-3fca-49fb-b112-f06a00b1b4d5	Para	Para	2	0	2013-05-19 21:11:40.770842+02	\N	\N	\N	\N	\N	\N	f	
1112	c06db47a-daf5-4d7b-878c-cbf397b68dae	Saramacca	Saramacca	2	0	2013-05-19 21:11:52.082597+02	\N	\N	\N	\N	\N	\N	f	
1123	17d3f143-3304-43bc-8471-fc123ef70181	Maldonado	Maldonado	2	0	2013-05-19 21:14:10.508482+02	\N	\N	\N	\N	\N	\N	f	
1113	14f317d5-a61b-43d4-ac44-368ea9ea1bdf	Sipaliwini	Sipaliwini	2	0	2013-05-19 21:12:03.187921+02	\N	\N	\N	\N	\N	\N	f	
1114	4c568cf8-166a-4a35-a188-7b80fbe68dd4	Wanica	Wanica	2	0	2013-05-19 21:12:14.108088+02	\N	\N	\N	\N	\N	\N	f	
13792	ca5e85ac-2638-4ee2-a47f-b9c9e2739e7d	Villareggia	Villareggia	4	0	2013-07-21 19:13:17.783258+02	\N	\N	\N	\N	\N	\N	f	
1116	2dcc1093-b5ff-4228-8dcd-7ea063265e7e	Canelones	Canelones	2	0	2013-06-05 11:56:52.540788+02	\N	\N	\N	\N	\N	\N	f	
1124	7fdfdefe-9b3b-4810-8c34-41e9d9e7bcfb	Montevideo	Montevideo	2	0	2013-05-19 21:14:23.635048+02	\N	\N	\N	\N	\N	\N	f	
1095	19f88b1b-63d8-4f66-9021-b7405493cac2	Boquerón	Boquerón	2	0	2013-06-05 11:57:11.34585+02	\N	\N	\N	\N	\N	\N	f	
1106	8e7e16df-00ea-4805-978d-fbd163940fe7	Commewijne	Commewijne	2	0	2013-06-05 10:35:58.351348+02	\N	\N	\N	\N	\N	\N	f	
1125	665a4625-d61b-4e0e-bcff-05db2bbd1d0b	Paysandú	Paysandú	2	0	2013-05-19 21:14:34.71853+02	\N	\N	\N	\N	\N	\N	f	
1126	d2a09d24-3e6a-491e-ae80-25d41415106e	Río Negro	Río Negro	2	0	2013-05-19 21:14:46.007756+02	\N	\N	\N	\N	\N	\N	f	
1149	4ce54399-1e2a-4173-9dc5-7883646ab955	Portuguesa	Portuguesa	2	0	2013-05-19 21:48:51.246858+02	\N	\N	\N	\N	\N	\N	f	
1127	b5bc1204-b2e7-4cf9-af7a-905d2a3d502f	Rocha	Rocha	2	0	2013-05-19 21:14:56.834848+02	\N	\N	\N	\N	\N	\N	f	
1140	f7c7c7e6-d7e4-445d-852b-00a6e787cb2a	Carabobo	Carabobo	2	0	2013-06-05 09:36:30.407474+02	\N	\N	\N	\N	\N	\N	f	
1128	12c77d23-c993-43f0-b44f-830bb954849a	Rivera	Rivera	2	0	2013-05-19 21:15:07.927266+02	\N	\N	\N	\N	\N	\N	f	
1129	26c5c977-c9a5-4b8e-a985-08e4221e0567	Salto	Salto	2	0	2013-05-19 21:15:18.690403+02	\N	\N	\N	\N	\N	\N	f	
1143	3f53bfa2-8a5a-4920-a701-4f1ae5324904	Guárico	Guárico	2	0	2013-05-19 21:47:40.408695+02	\N	\N	\N	\N	\N	\N	f	
1130	95dac740-75da-484f-8094-3d4b547391fe	San José	San José	2	0	2013-05-19 21:15:29.560969+02	\N	\N	\N	\N	\N	\N	f	
1097	e9d40666-4548-45d6-b706-bafe834ffc90	Cordillera	Cordillera	2	0	2013-06-05 10:12:28.537995+02	\N	\N	\N	\N	\N	\N	f	
1131	41fe82fc-014c-40fa-b8e0-681bda0eaefa	Soriano	Soriano	2	0	2013-05-19 21:15:40.515291+02	\N	\N	\N	\N	\N	\N	f	
1132	625fb7e9-ab9d-4b3d-a0de-bd9b51cb8962	Tacuarembó	Tacuarembó	2	0	2013-05-19 21:15:51.487639+02	\N	\N	\N	\N	\N	\N	f	
1136	52b6f959-14d1-4937-85b4-9e270245480b	Apure	Apure	2	0	2013-06-05 09:08:30.96358+02	\N	\N	\N	\N	\N	\N	f	
1144	9b047cfa-9856-4d12-a848-91094039aeee	Lara	Lara	2	0	2013-05-19 21:47:51.290984+02	\N	\N	\N	\N	\N	\N	f	
1139	bfa23914-cb3f-45a4-ab87-9f01181a1fb1	Bolívar	Bolívar	2	0	2013-06-05 08:59:17.29272+02	\N	\N	\N	\N	\N	\N	f	
1117	be8c2317-bd80-4540-b45c-335a6ce65ed1	Cerro Largo	Cerro Largo	2	0	2013-06-05 09:38:06.22715+02	\N	\N	\N	\N	\N	\N	f	
19652	91691ecc-9887-4dcb-ab46-e78ddc8893a5	Leporano	Leporano	4	0	2013-07-22 11:12:23.165716+02	\N	\N	\N	\N	\N	\N	f	
1159	5df0a6d8-a793-4753-9500-19e0f09683bc	Saint George	Saint George	2	0	2013-05-19 22:07:31.898273+02	\N	\N	\N	\N	\N	\N	f	
20282	32730806-d950-4a32-857f-c8bcd1ab691a	Centrache	Centrache	4	0	2013-07-22 20:42:37.520374+02	\N	\N	\N	\N	\N	\N	f	
1145	e0fc16ac-997b-420a-a44a-4a7c15b7452b	Mérida	Mérida	2	0	2013-05-19 21:48:02.587248+02	\N	\N	\N	\N	\N	\N	f	
1150	26a04c09-1be6-45ea-a7a3-6092efb69d7d	Sucre	Sucre	2	0	2013-05-19 21:49:02.194279+02	\N	\N	\N	\N	\N	\N	f	
1146	bd79b189-ff8d-4a47-a907-a49f71ca7fd2	Miranda	Miranda	2	0	2013-05-19 21:48:13.85706+02	\N	\N	\N	\N	\N	\N	f	
1147	ab33ecc9-9f0e-429a-ab8b-7f156ae1dfc6	Monagas	Monagas	2	0	2013-05-19 21:48:25.451483+02	\N	\N	\N	\N	\N	\N	f	
1154	f76c356a-1061-4050-bba1-527dc3a941e5	Zulia	Zulia	2	0	2013-05-19 21:49:46.962973+02	\N	\N	\N	\N	\N	\N	f	
1148	01ac40a3-523c-473c-8613-933dca16063e	Nueva Esparta	Nueva Esparta	2	0	2013-05-19 21:48:40.24102+02	\N	\N	\N	\N	\N	\N	f	
1151	8c171f41-da49-4772-981d-cf43dc41a430	Táchira	Táchira	2	0	2013-05-19 21:49:13.069242+02	\N	\N	\N	\N	\N	\N	f	
1152	d9d8131e-9ce7-4077-a43c-8119910cb734	Trujillo	Trujillo	2	0	2013-05-19 21:49:24.11044+02	\N	\N	\N	\N	\N	\N	f	
1156	747cb307-8872-4f1a-96b4-de847f45cd90	Vargas	Vargas	2	0	2013-05-19 21:50:09.874766+02	\N	\N	\N	\N	\N	\N	f	
1153	7d218f1e-e98c-4f43-a63a-5bd5007b4ddd	Yaracuy	Yaracuy	2	0	2013-05-19 21:49:35.099577+02	\N	\N	\N	\N	\N	\N	f	
1155	53ee3820-3b6e-4824-9f0d-96f1e973792c	Dependencias Federales	Dependencias Federales	2	0	2013-05-19 21:49:58.778572+02	\N	\N	\N	\N	\N	\N	f	
1157	5dfc33de-4fcd-45ec-9211-6a39483ac1ba	Delta Amacuro	Delta Amacuro	2	0	2013-05-19 21:50:21.786338+02	\N	\N	\N	\N	\N	\N	f	
1160	049bc295-0d27-46dd-8adf-740cd887e4cb	Saint John	Saint John	2	0	2013-05-19 22:07:42.852346+02	\N	\N	\N	\N	\N	\N	f	
1161	d7d4fcbd-75d5-4a64-aa4f-0432b32be0fa	Saint Mary	Saint Mary	2	0	2013-05-19 22:07:56.709871+02	\N	\N	\N	\N	\N	\N	f	
1162	e18820f2-31d8-4052-af7a-3aee37bb04be	Saint Paul	Saint Paul	2	0	2013-05-19 22:08:13.023773+02	\N	\N	\N	\N	\N	\N	f	
1163	4fd68fc6-eda4-4c8f-be70-8244174fef35	Saint Peter	Saint Peter	2	0	2013-05-19 22:08:40.424758+02	\N	\N	\N	\N	\N	\N	f	
1164	3b83a3cd-365e-4b3d-918f-2ccfdc4addae	Saint Philip	Saint Philip	2	0	2013-05-19 22:09:10.364054+02	\N	\N	\N	\N	\N	\N	f	
1166	40fd601e-345d-485d-be30-76481f83fa56	Redonda	Redonda	2	0	2013-05-19 22:09:39.910499+02	\N	\N	\N	\N	\N	\N	f	
4570	adcce682-71cc-46fd-a525-d20e2570ad11	Lampung	Lampung	2	0	2013-05-22 14:10:49.938311+02	\N	\N	\N	\N	\N	\N	f	
1971	5d616636-01a4-4f7d-a283-a12f9aed5af7	Gorenja vas-Poljane	Gorenja vas-Poljane	2	0	2013-05-20 17:32:23.312739+02	\N	\N	\N	\N	\N	\N	f	
1168	ba4cdaa8-7eb6-4c56-92ec-10d81974cae1	Saint Andrew	Saint Andrew	2	0	2013-05-19 22:10:25.689463+02	\N	\N	\N	\N	\N	\N	f	
2022	9a724aa0-bb40-44a2-86c9-50a64cadd596	Moravske Toplice	Moravske Toplice	2	0	2013-05-20 17:43:25.04654+02	\N	\N	\N	\N	\N	\N	f	
2057	38a70f4d-2639-434d-9aea-26b847ac8749	Slovenska Bistrica	Slovenska Bistrica	2	0	2013-05-20 17:50:35.041771+02	\N	\N	\N	\N	\N	\N	f	
2138	4313f58d-6bde-466f-9018-46df815d8fc6	Apače	Apače	2	0	2013-06-05 12:21:39.741449+02	\N	\N	\N	\N	\N	\N	f	
2102	c829e2cc-261a-4d5a-a9ee-682b099d1df8	Hajdina	Hajdina	2	0	2013-05-20 17:59:17.687787+02	\N	\N	\N	\N	\N	\N	f	
2103	81ade059-f95e-4eff-9c94-3cdcdf50e47c	Hoče-Slivnica	Hoče-Slivnica	2	0	2013-05-20 17:59:29.089257+02	\N	\N	\N	\N	\N	\N	f	
2255	76a59ea6-b65a-4cac-b248-4f254be48596	Ungheni	Ungheni	2	0	2013-05-20 19:08:38.428938+02	\N	\N	\N	\N	\N	\N	f	
2170	1af65ae0-1aed-4e65-a148-90a5b3b8603c	Gabrovo	Gabrovo	2	0	2013-05-20 18:19:23.596935+02	\N	\N	\N	\N	\N	\N	f	
3271	bbe3b20f-c458-44bd-bc36-e42ece90d159	Alger	Alger	2	0	2013-06-05 11:22:36.334569+02	\N	\N	\N	\N	\N	\N	f	
2173	820e5824-fa68-420c-90d2-17c6d665e942	Kyustendil	Kyustendil	2	0	2013-05-20 18:19:56.111756+02	\N	\N	\N	\N	\N	\N	f	
2307	80da9a54-22f3-47e8-9c91-76338141db25	Makedonski Brod	Makedonski Brod	2	0	2013-05-20 19:18:17.530778+02	\N	\N	\N	\N	\N	\N	f	
2094	999c4ae7-ce8f-4e5c-9598-4ab197f1a400	Braslovče	Braslovče	2	0	2013-06-05 12:12:54.122786+02	\N	\N	\N	\N	\N	\N	f	
2342	d5503b52-31f3-4ce8-8594-92f0fed2b8d0	Kolubarski okrug	Kolubarski okrug	2	0	2013-05-20 19:25:12.412056+02	\N	\N	\N	\N	\N	\N	f	
2261	00cc7671-8e29-4b22-a8b5-e9d8316edb2f	Bogovinje	Bogovinje	2	0	2013-06-05 08:42:58.699738+02	\N	\N	\N	\N	\N	\N	f	
5073	86c04648-2c5c-4c33-87d9-8a2384c0d05c	Modena	Modena	3	0	2013-05-24 21:23:59.993934+02	\N	\N	\N	\N	\N	\N	f	
2425	26c5a7f9-34f3-4555-8bab-1eacb78088a2	Magadanskaya oblast'	Magadanskaya oblast'	2	0	2013-05-20 19:45:20.169427+02	\N	\N	\N	\N	\N	\N	f	
5252	98466136-d6d9-47ec-88bc-06f0fc226d79	Lublin	Lublin	3	0	2013-05-24 22:57:29.281142+02	\N	\N	\N	\N	\N	\N	f	
2630	50a4603d-1987-44cf-bf58-2f2c2cff9a13	Siem Reab [Siĕmréab]	Siem Reab [Siĕmréab]	2	0	2013-05-20 22:30:11.135688+02	\N	\N	\N	\N	\N	\N	f	
2456	3c964554-785b-452b-a74c-3789715a95ca	Tul'skaya oblast'	Tul'skaya oblast'	2	0	2013-05-20 19:53:54.355378+02	\N	\N	\N	\N	\N	\N	f	
2469	c4b1c8e8-1876-47ce-a2a0-5c34db33568f	Zabaykal'skiy kray	Zabaykal'skiy kray	2	0	2013-05-20 19:58:05.224185+02	\N	\N	\N	\N	\N	\N	f	
3177	cbf4686c-cbd2-4624-93c0-7f41cb122756	North-West	North-West	2	0	2013-05-21 00:57:05.820418+02	\N	\N	\N	\N	\N	\N	f	
2475	c6bfc1ff-f1f5-4dff-b77b-43a3ded4db6b	Kotayk'	Kotayk'	2	0	2013-05-20 20:49:39.691389+02	\N	\N	\N	\N	\N	\N	f	
2650	0edd99ec-8e05-4213-ad24-6df302005ed7	Houaphan	Houaphan	2	0	2013-05-20 22:33:28.469159+02	\N	\N	\N	\N	\N	\N	f	
2509	fd78b920-96b7-4709-8cd4-5b7ed6aa7bd3	Orhon	Orhon	2	0	2013-05-20 21:10:29.087326+02	\N	\N	\N	\N	\N	\N	f	
13732	ec162615-1960-4efb-822c-1ad539866ebf	Verolengo	Verolengo	4	0	2013-07-21 19:00:27.17693+02	\N	\N	\N	\N	\N	\N	f	
2510	49e2023d-b37d-4db6-b360-b8a4a29f8a58	Darhan uul	Darhan uul	2	0	2013-05-20 21:10:45.881231+02	\N	\N	\N	\N	\N	\N	f	
3000	a4680b43-b79e-4d01-b06f-cbeb8debd257	Al Aḩmadī	Al Aḩmadī	2	0	2013-06-05 08:03:44.13439+02	\N	\N	\N	\N	\N	\N	f	
2548	6de2e0f8-6694-4074-a41b-c30595364f54	P’yŏngan-namdo	P’yŏngan-namdo	2	0	2013-05-20 21:17:15.83104+02	\N	\N	\N	\N	\N	\N	f	
2991	b3d61e47-eeeb-4e9f-b185-8b11a618e06b	Aţ Ţafīlah	Aţ Ţafīlah	2	0	2013-06-05 12:07:26.742909+02	\N	\N	\N	\N	\N	\N	f	
2672	37b96bdc-84ad-4e95-8cdd-7fc04ba1a6f1	Chai Nat	Chai Nat	2	0	2013-06-05 12:32:06.097894+02	\N	\N	\N	\N	\N	\N	f	
2720	55bc23eb-490d-4cfd-8c15-ab0359506fed	Suphan Buri	Suphan Buri	2	0	2013-05-20 22:47:13.544242+02	\N	\N	\N	\N	\N	\N	f	
3003	cab9428f-5c84-4fd9-b148-81ad8ee9f14f	Al Jahrā’	Al Jahrā’	2	0	2013-06-05 10:19:40.10607+02	\N	\N	\N	\N	\N	\N	f	
2753	cf701d61-32b2-4306-b9cc-5659ef2db694	Perak	Perak	2	0	2013-05-20 22:53:26.749649+02	\N	\N	\N	\N	\N	\N	f	
14363	c62a1426-0e8b-49cc-8a40-7b6df1a8bf12	Cantalupo Ligure	Cantalupo Ligure	4	0	2013-07-21 21:21:28.878787+02	\N	\N	\N	\N	\N	\N	f	
1167	86e8adb9-17e2-4fc9-a4ea-5e3d6c021bdb	Christ Church	Christ Church	2	0	2013-06-05 08:53:27.459799+02	\N	\N	\N	\N	\N	\N	f	
3320	221e9789-2646-4e6b-8733-080a3d3e61c7	Kafr ash Shaykh	Kafr ash Shaykh	2	0	2013-05-21 11:41:29.881218+02	\N	\N	\N	\N	\N	\N	f	
2796	e6e87fe7-a227-4c22-a219-5239edd00137	Ermera	Ermera	2	0	2013-05-20 23:01:41.000047+02	\N	\N	\N	\N	\N	\N	f	
3045	dcdf5444-e6eb-4fd4-a283-336ac9a8d1e5	Jenin	Jenin	2	0	2013-05-21 00:21:27.321532+02	\N	\N	\N	\N	\N	\N	f	
2842	fdffb9f6-984e-4c84-bc0b-8e0d64438227	Rangpur	Rangpur	2	0	2013-05-20 23:28:16.219364+02	\N	\N	\N	\N	\N	\N	f	
2894	c5c55fae-692f-4c0f-9a52-c6d5172a841d	Jalal-Abad	Jalal-Abad	2	0	2013-05-20 23:38:02.015236+02	\N	\N	\N	\N	\N	\N	f	
3111	5cd9998a-e728-494e-98f7-d61a4b4af805	Bengo	Bengo	2	0	2013-06-05 12:29:57.739016+02	\N	\N	\N	\N	\N	\N	f	
2946	7375e195-59c5-4942-b0b2-d4100ee9ae7f	Diyālá	Diyālá	2	0	2013-05-20 23:56:53.542373+02	\N	\N	\N	\N	\N	\N	f	
3047	f105ae9c-e478-4b4d-b1f5-137cdc14e9aa	Khan Yunis	Khan Yunis	2	0	2013-05-21 00:21:55.430213+02	\N	\N	\N	\N	\N	\N	f	
2987	e0aa987a-5ee0-4b23-b05b-7ebd66dcc53f	Khorāsān-e Shemālī	Khorāsān-e Shemālī	2	0	2013-05-21 00:06:21.324059+02	\N	\N	\N	\N	\N	\N	f	
14895	e4f1532e-de76-4b5b-b039-e8c613ec0212	Cigliè	Cigliè	4	0	2013-07-21 23:21:55.056353+02	\N	\N	\N	\N	\N	\N	f	
14390	64334ec4-5225-4101-b4fe-e9b7e353ae8f	Castelletto d'Orba	Castelletto d'Orba	4	0	2013-07-21 21:27:08.767029+02	\N	\N	\N	\N	\N	\N	f	
3051	d8525748-b5b3-4355-8c86-9b830d141bfc	Ramallah	Ramallah	2	0	2013-05-21 00:23:13.631631+02	\N	\N	\N	\N	\N	\N	f	
3072	c5ec2cfe-b51d-4de7-8983-563252a231c7	Najrān	Najrān	2	0	2013-05-21 00:29:26.969451+02	\N	\N	\N	\N	\N	\N	f	
15466	e5af7c1f-3bd3-401f-ba31-3e5eca44e2af	Posta, Lazio	Posta, Lazio	4	0	2013-07-22 00:51:48.659112+02	\N	\N	\N	\N	\N	\N	f	
2225	9682fbfc-1d9c-423f-be53-b1a08e1501da	Călăraşi	Călăraşi	2	0	2013-06-05 09:49:10.541539+02	\N	\N	\N	\N	\N	\N	f	
3273	8df64701-5fd1-414d-9fe0-2988c9dc15f4	Jijel	Jijel	2	0	2013-05-21 11:32:59.909733+02	\N	\N	\N	\N	\N	\N	f	
3245	d7522751-a0e4-44a9-b8b2-ab9c3b40fcb1	West	West	2	0	2013-05-21 01:09:53.183787+02	\N	\N	\N	\N	\N	\N	f	
3252	d3f7e023-a0dd-4fbd-8f59-ab1aa1f47f3c	Dikhil	Dikhil	2	0	2013-05-21 11:28:57.119111+02	\N	\N	\N	\N	\N	\N	f	
3284	f98feca0-8414-41b3-9834-bcbc60c3431a	Mascara	Mascara	2	0	2013-05-21 11:35:01.626473+02	\N	\N	\N	\N	\N	\N	f	
3321	07db652f-4b64-4faa-8bf6-447227c3d614	Qinā	Qinā	2	0	2013-05-21 11:41:40.472675+02	\N	\N	\N	\N	\N	\N	f	
3310	fda26597-dd64-4f6e-9334-fcfea414f48a	Al Qāhirah	Al Qāhirah	2	0	2013-06-05 07:07:21.47906+02	\N	\N	\N	\N	\N	\N	f	
3336	4a73d832-a79b-4f90-9bc5-54b6b60dcdcb	Qāsh-Barkah	Qāsh-Barkah	2	0	2013-05-21 11:44:22.547943+02	\N	\N	\N	\N	\N	\N	f	
3327	b5125ddc-1f35-4d75-84f3-7b10617f08bd	Sūhāj	Sūhāj	2	0	2013-05-21 11:42:44.358102+02	\N	\N	\N	\N	\N	\N	f	
3352	39ef1d39-4155-49df-9c1c-503240c82d7f	Moyen-Ogooué	Moyen-Ogooué	2	0	2013-05-21 12:02:42.36818+02	\N	\N	\N	\N	\N	\N	f	
3350	24e88f9c-3012-4ed5-baa7-1975fc64a37e	Estuaire	Estuaire	2	0	2013-05-21 12:02:15.831951+02	\N	\N	\N	\N	\N	\N	f	
7065	22c22222-4fdc-4763-82cc-9b90b7713b40	Jarosław	Jarosław	3	0	2013-05-26 16:43:37.872433+02	\N	\N	\N	\N	\N	\N	f	
3374	ae3b5ff3-b88c-4351-8aba-fc16fbf8210a	Western	Western	2	0	2013-05-21 12:07:20.463795+02	\N	\N	\N	\N	\N	\N	f	
3395	642cce34-a274-4c75-9f2b-6c7f1eeb0c78	Rift Valley	Rift Valley	2	0	2013-05-21 12:11:36.07762+02	\N	\N	\N	\N	\N	\N	f	
2597	47c5a2e6-7125-42c2-8fbb-5fef406abc61	Ben Tre	Ben Tre	2	0	2013-06-05 07:36:31.058363+02	\N	\N	\N	\N	\N	\N	f	
3422	7e758a1f-5660-4b7f-8bc1-b658916a7686	Qacha's Nek	Qacha's Nek	2	0	2013-05-21 13:24:57.719637+02	\N	\N	\N	\N	\N	\N	f	
3456	2f083391-6088-4e99-9725-6c15d499696a	Marrakech-Tensift-Al Haouz	Marrakech-Tensift-Al Haouz	2	0	2013-05-21 13:31:51.073732+02	\N	\N	\N	\N	\N	\N	f	
3465	27d07dfc-099f-4966-91b9-fd20a5ee1173	Mahajanga	Mahajanga	2	0	2013-05-21 13:33:35.446728+02	\N	\N	\N	\N	\N	\N	f	
3469	eb1b8208-bcaf-456a-b949-7bf4176906a2	Koulikoro	Koulikoro	2	0	2013-05-21 13:34:18.433159+02	\N	\N	\N	\N	\N	\N	f	
2402	dbd26a8a-03de-4a71-a81e-11d700e08d4f	Respublika Ingushetiya	Ingushetiya, Respublika	2	0	2013-05-24 00:51:03.365822+02	\N	\N	\N	\N	\N	\N	f	
3369	babbb6d6-c912-4514-ae48-773fcfbce572	Banjul	Banjul	3	0	2013-05-24 02:11:21.359578+02	\N	\N	\N	\N	\N	\N	f	
1169	18f96c82-ecf1-4827-80a9-75e03f402e7b	Saint George	Saint George	2	0	2013-05-19 22:10:42.232909+02	\N	\N	\N	\N	\N	\N	f	
1170	2a525d84-af78-4972-ba1a-6030751c0b1b	Saint James	Saint James	2	0	2013-05-19 22:10:56.470235+02	\N	\N	\N	\N	\N	\N	f	
1192	9e107c55-e811-42ff-b5e9-8165efaffebc	Harbour Island	Harbour Island	2	0	2013-05-19 22:27:24.23031+02	\N	\N	\N	\N	\N	\N	f	
1171	b6e0798b-0b7d-4702-aae8-b88cf0691470	Saint John	Saint John	2	0	2013-05-19 22:11:07.372086+02	\N	\N	\N	\N	\N	\N	f	
1172	c6fb5d96-bd1f-4ac2-9da6-d00161596149	Saint Joseph	Saint Joseph	2	0	2013-05-19 22:11:18.657271+02	\N	\N	\N	\N	\N	\N	f	
1206	a7df9edd-59ca-4b16-bcca-bff6a83abe64	South Abaco	South Abaco	2	0	2013-05-19 22:30:09.982581+02	\N	\N	\N	\N	\N	\N	f	
1173	ef839daa-244f-4adf-8010-d401a9234438	Saint Lucy	Saint Lucy	2	0	2013-05-19 22:11:31.401064+02	\N	\N	\N	\N	\N	\N	f	
1193	109719de-efb0-4c88-a645-978aaaf80502	Hope Town	Hope Town	2	0	2013-05-19 22:27:36.36436+02	\N	\N	\N	\N	\N	\N	f	
1174	9c9f7376-5b09-4947-8741-e106e947472c	Saint Michael	Saint Michael	2	0	2013-05-19 22:11:43.313704+02	\N	\N	\N	\N	\N	\N	f	
1175	3beb6dfd-49ba-42c3-9f11-7d989e05f15b	Saint Peter	Saint Peter	2	0	2013-05-19 22:11:54.287813+02	\N	\N	\N	\N	\N	\N	f	
1176	47603a2a-a5ec-4722-ab02-346bd6deeca1	Saint Philip	Saint Philip	2	0	2013-05-19 22:12:05.079486+02	\N	\N	\N	\N	\N	\N	f	
1194	16d8377a-f170-4125-85d8-ecef9247cc4a	Inagua	Inagua	2	0	2013-05-19 22:27:49.018012+02	\N	\N	\N	\N	\N	\N	f	
1177	15bcdd7c-0744-49c7-8a72-4f360bf333cf	Saint Thomas	Saint Thomas	2	0	2013-05-19 22:12:19.319511+02	\N	\N	\N	\N	\N	\N	f	
1186	c2e5580a-bb7e-4315-b589-3ed4983572d8	Central Abaco	Central Abaco	2	0	2013-06-05 11:30:54.759366+02	\N	\N	\N	\N	\N	\N	f	
1195	0a42c7ad-5e25-4f5a-8cdf-80b91dd2953d	Long Island	Long Island	2	0	2013-05-19 22:28:00.872359+02	\N	\N	\N	\N	\N	\N	f	
13733	9c1238dc-bd27-46ac-8bd4-26ced8585a6e	Bassano Bresciano	Bassano Bresciano	4	0	2013-07-21 19:00:47.174144+02	\N	\N	\N	\N	\N	\N	f	
1181	0594a79b-69bf-45b1-8f5f-072dcf35f42f	Bimini	Bimini	2	0	2013-06-05 09:57:32.640123+02	\N	\N	\N	\N	\N	\N	f	
1207	a01a3e0d-d68f-467a-9c57-c3a6c51e3ae5	San Salvador	San Salvador	2	0	2013-05-19 22:30:22.246124+02	\N	\N	\N	\N	\N	\N	f	
1182	7411021f-7f4a-48a9-b456-a25c65a56111	Berry Islands	Berry Islands	2	0	2013-06-05 10:58:20.853697+02	\N	\N	\N	\N	\N	\N	f	
1196	7d535d91-6621-4ca3-a1e7-55e30d92248b	Mangrove Cay	Mangrove Cay	2	0	2013-05-19 22:28:12.845292+02	\N	\N	\N	\N	\N	\N	f	
1184	33ede3c7-7940-41a5-bd72-ea79581dad7d	Cat Island	Cat Island	2	0	2013-06-05 08:39:42.149851+02	\N	\N	\N	\N	\N	\N	f	
1210	7285d168-c31a-4375-b4bb-ecf3411aee6c	Belize	Belize	2	0	2013-06-05 08:44:41.838923+02	\N	\N	\N	\N	\N	\N	f	
1211	81773f09-de76-497d-b2cc-edc59e8b88c1	Cayo	Cayo	2	0	2013-06-05 07:57:06.593843+02	\N	\N	\N	\N	\N	\N	f	
1197	3d65ed62-a15d-4597-8a5f-904ec64ec18c	Mayaguana	Mayaguana	2	0	2013-05-19 22:28:24.279834+02	\N	\N	\N	\N	\N	\N	f	
1180	1dd499d9-09ae-411e-9b54-7247866f6178	Acklins	Acklins	2	0	2013-06-05 12:01:01.569822+02	\N	\N	\N	\N	\N	\N	f	
14364	5ec282a3-f3e7-4cba-99ff-00cd2eab5184	Arquata Scrivia	Arquata Scrivia	4	0	2013-07-21 21:21:44.775931+02	\N	\N	\N	\N	\N	\N	f	
1230	336d9226-17bc-4e54-90e3-2993bdf38b67	Ciego de Ávila	Ciego de Ávila	2	0	2013-06-05 12:24:23.471836+02	\N	\N	\N	\N	\N	\N	f	
1188	e2a525e0-12a7-4a28-9b58-f86b6006e05b	East Grand Bahama	East Grand Bahama	2	0	2013-05-19 22:26:38.915952+02	\N	\N	\N	\N	\N	\N	f	
1198	8ee712d5-79dd-492e-beae-4be43af638a1	Moores Island	Moores Island	2	0	2013-05-19 22:28:36.356712+02	\N	\N	\N	\N	\N	\N	f	
1189	c68a3cb3-9b0f-481f-9e82-7584e11d6cdd	Exuma	Exuma	2	0	2013-05-19 22:26:50.018474+02	\N	\N	\N	\N	\N	\N	f	
1190	04aa1ea6-78bd-42e3-b6be-7c59dd26f7ab	City of Freeport	City of Freeport	2	0	2013-06-05 08:29:40.973149+02	\N	\N	\N	\N	\N	\N	f	
1208	67b476e0-3c1e-43f9-87bd-4c17ec50bd0d	Spanish Wells	Spanish Wells	2	0	2013-05-19 22:30:33.307267+02	\N	\N	\N	\N	\N	\N	f	
1191	6d740f45-0434-45b8-8494-6bb6d6088ab0	Grand Cay	Grand Cay	2	0	2013-05-19 22:27:12.945507+02	\N	\N	\N	\N	\N	\N	f	
1199	54e90ff4-1f4c-4d0e-a331-f5eb3eb93780	North Eleuthera	North Eleuthera	2	0	2013-05-19 22:28:48.510134+02	\N	\N	\N	\N	\N	\N	f	
1226	366f2bf1-52a7-4b91-890d-9d117f53787d	Matanzas	Matanzas	2	0	2013-05-19 22:38:54.970033+02	\N	\N	\N	\N	\N	\N	f	
1200	6f3de66b-7bc4-4f94-8adb-c87fd7dc332d	North Abaco	North Abaco	2	0	2013-05-19 22:29:00.362639+02	\N	\N	\N	\N	\N	\N	f	
3141	d12f2624-81e1-4c1e-90fe-475a42af725f	Sud-Ouest	Sud-Ouest	2	0	2013-05-21 00:50:04.48397+02	\N	\N	\N	\N	\N	\N	f	
1209	b46ca10a-4a4b-4396-8ffa-92873d8337d2	West Grand Bahama	West Grand Bahama	2	0	2013-05-19 22:30:45.329807+02	\N	\N	\N	\N	\N	\N	f	
1201	0dbe1da0-0425-4ae4-99a1-5755211a529a	North Andros	North Andros	2	0	2013-05-19 22:29:14.711137+02	\N	\N	\N	\N	\N	\N	f	
1202	797c3a7e-387e-4912-896f-40f266d64b52	Rum Cay	Rum Cay	2	0	2013-05-19 22:29:25.843981+02	\N	\N	\N	\N	\N	\N	f	
1228	856118e9-0698-4a30-b8aa-7f80b5ff9250	Cienfuegos	Cienfuegos	2	0	2013-06-05 10:32:37.232216+02	\N	\N	\N	\N	\N	\N	f	
1203	7d5ee829-e7a3-4375-a991-e01829e70d42	Ragged Island	Ragged Island	2	0	2013-05-19 22:29:36.802542+02	\N	\N	\N	\N	\N	\N	f	
1216	0298aba2-c05b-4b1e-ae25-180173a15366	Alajuela	Alajuela	2	0	2013-06-05 11:14:13.247231+02	\N	\N	\N	\N	\N	\N	f	
1204	f0ed20e8-cacf-4d1a-a4d9-8e318af3bccb	South Andros	South Andros	2	0	2013-05-19 22:29:47.709537+02	\N	\N	\N	\N	\N	\N	f	
1205	6d42068f-12a3-4ede-b283-d776a4cd9381	South Eleuthera	South Eleuthera	2	0	2013-05-19 22:29:58.933136+02	\N	\N	\N	\N	\N	\N	f	
1183	17950c9f-c0d6-47d0-a23d-7b5cc8b263f8	Central Eleuthera	Central Eleuthera	2	0	2013-06-05 08:39:00.104787+02	\N	\N	\N	\N	\N	\N	f	
1223	51ec4495-4f46-4f2d-96ff-223974390f75	Pinar del Río	Pinar del Río	2	0	2013-05-19 22:38:21.613782+02	\N	\N	\N	\N	\N	\N	f	
1212	cdb8e5c2-40f5-4f32-80ca-efd7616fa15c	Corozal	Corozal	2	0	2013-06-05 11:54:23.318694+02	\N	\N	\N	\N	\N	\N	f	
1218	5f32768d-9dac-430b-a4d9-24e325cc5216	Guanacaste	Guanacaste	2	0	2013-05-19 22:36:05.688171+02	\N	\N	\N	\N	\N	\N	f	
1213	5497577c-c68e-4d51-a116-b4ba9f4d4c1c	Orange Walk	Orange Walk	2	0	2013-05-19 22:33:51.480241+02	\N	\N	\N	\N	\N	\N	f	
1214	c8926901-867e-4c10-955b-1e5d97684485	Stann Creek	Stann Creek	2	0	2013-05-19 22:34:02.484251+02	\N	\N	\N	\N	\N	\N	f	
5709	bb009d39-a601-4173-b3ff-559ec8a21982	Łańcut	Łańcut	3	0	2013-05-25 00:35:22.961142+02	\N	\N	\N	\N	\N	\N	f	
1215	2f6d9e8c-8e89-4e86-8939-3c09487c0ff9	Toledo	Toledo	2	0	2013-05-19 22:34:13.330422+02	\N	\N	\N	\N	\N	\N	f	
1219	81457fdd-0dcc-41d4-a84a-9b002b93e078	Heredia	Heredia	2	0	2013-05-19 22:36:16.547516+02	\N	\N	\N	\N	\N	\N	f	
1220	ef1f864c-1827-4716-942e-ec654c532fe8	Limón	Limón	2	0	2013-05-19 22:36:27.792512+02	\N	\N	\N	\N	\N	\N	f	
6391	6b8ddd66-70fb-4f14-98a9-8e11be06f337	Kazimierza Wielka	Kazimierza Wielka	3	0	2013-05-25 02:55:41.188587+02	\N	\N	\N	\N	\N	\N	f	
1221	6ccb54c3-bc1c-4d1d-945f-e40b0d77040e	Puntarenas	Puntarenas	2	0	2013-05-19 22:36:38.740978+02	\N	\N	\N	\N	\N	\N	f	
1222	b63533c7-0c4f-443f-881f-b5ee6211208e	San José	San José	2	0	2013-05-19 22:36:49.886184+02	\N	\N	\N	\N	\N	\N	f	
15467	e8376a29-568c-446a-bc0c-ba734be5b1a4	Rivodutri	Rivodutri	4	0	2013-07-22 00:52:04.077327+02	\N	\N	\N	\N	\N	\N	f	
1227	dd614295-52af-4dca-b045-15f0caf3dd79	Villa Clara	Villa Clara	2	0	2013-05-19 22:39:05.952335+02	\N	\N	\N	\N	\N	\N	f	
1217	67ca58e0-268b-468f-b2b9-10512c387909	Cartago	Cartago	2	0	2013-06-05 10:18:20.123562+02	\N	\N	\N	\N	\N	\N	f	
1229	588f9b85-ebd8-49a5-a37e-d4f5faa3074b	Sancti Spíritus	Sancti Spíritus	2	0	2013-05-19 22:39:28.917631+02	\N	\N	\N	\N	\N	\N	f	
1232	4365fe8b-ffea-4654-a17f-fa4718206786	Las Tunas	Las Tunas	2	0	2013-05-19 22:40:05.935923+02	\N	\N	\N	\N	\N	\N	f	
1233	aabd9428-3e8c-44e5-a630-6e86310eada5	Holguín	Holguín	2	0	2013-05-19 22:40:22.605169+02	\N	\N	\N	\N	\N	\N	f	
1234	89b8fa0e-8457-4f79-acbb-c4d20eea7b2b	Granma	Granma	2	0	2013-05-19 22:40:34.051026+02	\N	\N	\N	\N	\N	\N	f	
1235	cc0febf4-348c-4e75-bf5f-20654049aae3	Santiago de Cuba	Santiago de Cuba	2	0	2013-05-19 22:40:45.026295+02	\N	\N	\N	\N	\N	\N	f	
1236	dc3ca8d4-eca6-4d43-87a8-4742f8fb2ab4	Guantánamo	Guantánamo	2	0	2013-05-19 22:40:58.562163+02	\N	\N	\N	\N	\N	\N	f	
1237	b20daa1a-8942-4d34-bbe9-6e75309747e1	Isla de la Juventud	Isla de la Juventud	2	0	2013-05-19 22:41:09.693936+02	\N	\N	\N	\N	\N	\N	f	
1238	e3a258cf-8214-4cf9-b92f-0ba0f07d15f2	Saint Andrew	Saint Andrew	2	0	2013-05-19 22:43:25.383513+02	\N	\N	\N	\N	\N	\N	f	
4571	18b8f9da-50df-4059-844c-a26d23176c0c	Maluku	Maluku	2	0	2013-05-22 14:11:05.19893+02	\N	\N	\N	\N	\N	\N	f	
1239	367fac57-a9fd-4377-9b9b-e53a6428646e	Saint David	Saint David	2	0	2013-05-19 22:43:37.133061+02	\N	\N	\N	\N	\N	\N	f	
4704	d6d9c4cc-aa87-4100-a2ff-52d30386b39e	Savona	Savona	2	0	2013-05-22 14:49:23.670801+02	\N	\N	\N	\N	\N	\N	f	
1178	f03d09b3-39dc-4083-afd6-159e3f0d462f	London	London	3	0	2013-05-24 02:04:48.70655+02	\N	\N	\N	\N	\N	\N	f	
1240	a9f547e8-3ab5-48a4-ad99-f9d872f52110	Saint George	Saint George	2	0	2013-05-19 22:43:47.916662+02	\N	\N	\N	\N	\N	\N	f	
1972	aa5e9249-e696-492e-ba31-7dba4ecb8489	Gorišnica	Gorišnica	2	0	2013-05-20 17:32:34.353015+02	\N	\N	\N	\N	\N	\N	f	
1241	4d6a03d4-eb87-4963-81d8-520a008d605f	Saint John	Saint John	2	0	2013-05-19 22:44:00.246798+02	\N	\N	\N	\N	\N	\N	f	
1242	bc30603f-f465-4f9f-83b5-8bbf7c5a218d	Saint Joseph	Saint Joseph	2	0	2013-05-19 22:44:12.597537+02	\N	\N	\N	\N	\N	\N	f	
1243	2e34bd25-ec31-449b-9cbd-f29170e6ba8b	Saint Luke	Saint Luke	2	0	2013-05-19 22:44:23.694041+02	\N	\N	\N	\N	\N	\N	f	
2025	eb2d7d81-2d56-4c6b-9cf9-6fce5c4522c1	Muta	Muta	2	0	2013-05-20 17:44:14.329244+02	\N	\N	\N	\N	\N	\N	f	
1244	ea605550-08ef-43ad-8a77-0d2008d370c5	Saint Mark	Saint Mark	2	0	2013-05-19 22:44:34.814324+02	\N	\N	\N	\N	\N	\N	f	
1258	da455806-c6cc-497b-beff-412cb965db19	La Altagracia	La Altagracia	2	0	2013-05-19 22:48:59.167507+02	\N	\N	\N	\N	\N	\N	f	
2058	83683e2c-ee95-4726-8aca-b617484d26e6	Slovenske Konjice	Slovenske Konjice	2	0	2013-05-20 17:50:46.879702+02	\N	\N	\N	\N	\N	\N	f	
2569	bbf02b37-6a79-4231-a6d1-972b8861291f	Ninh Binh	Ninh Binh	2	0	2013-05-20 22:18:21.581316+02	\N	\N	\N	\N	\N	\N	f	
6812	cf47a26d-37ca-48ff-9b9c-a6d7fa14b0ce	Mahabad	Mahabad	3	0	2013-05-25 04:20:42.960831+02	\N	\N	\N	\N	\N	\N	f	
2249	cc696318-7de1-4267-89d7-75975326269a	Stînga Nistrului, unitatea teritorială din	Stînga Nistrului, unitatea teritorială din	2	0	2013-05-20 19:07:20.099613+02	\N	\N	\N	\N	\N	\N	f	
13734	cfe47fb4-7864-423f-bdc1-e8bdeef30f8a	Bagolino	Bagolino	4	0	2013-07-21 19:01:02.963481+02	\N	\N	\N	\N	\N	\N	f	
2104	562597e5-cd7b-4025-9e22-2f1c1973e6ee	Hodoš/Hodos	Hodoš/Hodos	2	0	2013-05-20 17:59:40.996812+02	\N	\N	\N	\N	\N	\N	f	
3265	a9827f2c-d898-4094-89b9-31848f940137	Bouira	Bouira	2	0	2013-06-05 12:14:36.230192+02	\N	\N	\N	\N	\N	\N	f	
2788	7425d44f-fec2-41ce-ae48-963d7af511f0	CALABARZON (Region IV-A)	CALABARZON (Region IV-A)	2	0	2013-06-05 10:02:53.071741+02	\N	\N	\N	\N	\N	\N	f	
2174	7e73b868-c50d-4225-a17f-5d4ea96f419f	Lovech	Lovech	2	0	2013-05-20 18:20:06.741656+02	\N	\N	\N	\N	\N	\N	f	
2308	0516cc35-56fe-48a8-86cc-ced81b9837a8	Mogila	Mogila	2	0	2013-05-20 19:18:28.450025+02	\N	\N	\N	\N	\N	\N	f	
2598	e70f960b-d0a6-4c31-a61f-6498bb15277d	Tra Vinh	Tra Vinh	2	0	2013-05-20 22:24:04.111557+02	\N	\N	\N	\N	\N	\N	f	
2312	a72995e0-1199-42b7-80c0-6c786187bd56	Oslomej	Oslomej	2	0	2013-05-20 19:19:26.464198+02	\N	\N	\N	\N	\N	\N	f	
2343	e2a5c4d6-b7d4-4440-ab08-ccdf48402af0	Podunavski okrug	Podunavski okrug	2	0	2013-05-20 19:25:29.790603+02	\N	\N	\N	\N	\N	\N	f	
3116	a0d6bd8a-02b1-4559-a190-a846e1652195	Cunene	Cunene	2	0	2013-06-05 07:47:00.320126+02	\N	\N	\N	\N	\N	\N	f	
2364	d18f98af-57f4-43af-a12a-a860e0545fe5	Donets'ka Oblast'	Donets'ka Oblast'	2	0	2013-05-20 19:30:41.996493+02	\N	\N	\N	\N	\N	\N	f	
2631	f6b5ec25-270c-4c22-b2a6-8610a8a97e93	Krong Preah Sihanouk [Krŏng Preăh Sihanouk]	Krong Preah Sihanouk [Krŏng Preăh Sihanouk]	2	0	2013-05-20 22:30:21.705327+02	\N	\N	\N	\N	\N	\N	f	
2379	eada54dc-7dcc-439b-84b8-7ffe02516ac4	Sums'ka Oblast'	Sums'ka Oblast'	2	0	2013-05-20 19:34:25.939279+02	\N	\N	\N	\N	\N	\N	f	
3079	5b3cd288-0657-406e-822a-de60b84a25a6	Al Ḩasakah	Al Ḩasakah	2	0	2013-06-05 07:07:01.415283+02	\N	\N	\N	\N	\N	\N	f	
3385	abad7907-00e2-4c55-a15c-76be73974b29	Bissau	Bissau	2	0	2013-06-05 09:27:36.909155+02	\N	\N	\N	\N	\N	\N	f	
5074	49f2a4f7-c097-431c-b63d-c1b692c35b89	Rzeszów	Rzeszów	3	0	2013-05-24 21:24:10.399403+02	\N	\N	\N	\N	\N	\N	f	
2670	7ed64b61-c008-498d-8310-c1725fe17af2	Lop Buri	Lop Buri	2	0	2013-05-20 22:37:22.081286+02	\N	\N	\N	\N	\N	\N	f	
2090	ebec11b9-d594-41db-a35d-a6151a4bf4a2	Žiri	Žiri	2	0	2013-05-27 19:53:50.642283+02	\N	\N	\N	\N	\N	\N	f	
2476	650d95b5-5c71-4f57-9185-9959e5ae13f7	Loṙy	Loṙy	2	0	2013-05-20 20:49:53.670455+02	\N	\N	\N	\N	\N	\N	f	
2389	7228e432-b2eb-42c3-8b12-063c63038c54	Altayskiy kray	Altayskiy kray	2	0	2013-06-05 06:51:11.488485+02	\N	\N	\N	\N	\N	\N	f	
2478	64feafb7-6d74-4ede-8f0f-0d92a87f80d4	Syunik'	Syunik'	2	0	2013-05-20 20:50:20.859217+02	\N	\N	\N	\N	\N	\N	f	
2721	ab13e646-44cb-4b3d-ba40-f41ecd6776f4	Nakhon Pathom	Nakhon Pathom	2	0	2013-05-20 22:47:24.422152+02	\N	\N	\N	\N	\N	\N	f	
2511	be992814-91a6-492b-9b27-cc2c6abc27a4	Hentiy	Hentiy	2	0	2013-05-20 21:11:00.182686+02	\N	\N	\N	\N	\N	\N	f	
2549	a2b0ffec-86f7-4c9e-bd1a-fc7f7acd44be	P’yŏngan-bukto	P’yŏngan-bukto	2	0	2013-05-20 21:17:23.780967+02	\N	\N	\N	\N	\N	\N	f	
2990	021ade63-6f95-4627-88e0-7d6359d42abb	Al ‘Aqabah	Al ‘Aqabah	2	0	2013-06-05 07:03:54.40291+02	\N	\N	\N	\N	\N	\N	f	
2754	c753bdc6-9204-4417-af15-93a4994a0f22	Perlis	Perlis	2	0	2013-05-20 22:53:39.649083+02	\N	\N	\N	\N	\N	\N	f	
3397	064512b6-d31f-4875-957b-0ab7b428d31f	Andjouân (Anjwān)	Andjouân (Anjwān)	2	0	2013-06-05 11:01:52.961363+02	\N	\N	\N	\N	\N	\N	f	
2797	cdf473fd-55fb-401a-983c-db2aba90bc31	Lautem	Lautem	2	0	2013-05-20 23:01:52.974252+02	\N	\N	\N	\N	\N	\N	f	
3013	1247e539-7f95-4c96-90e4-b6b8cf85570a	Nabatîyé	Nabatîyé	2	0	2013-05-21 00:13:17.86674+02	\N	\N	\N	\N	\N	\N	f	
2817	c52c8395-535e-4777-a903-3f2bb9e3e50b	Paro	Paro	2	0	2013-05-20 23:23:39.542271+02	\N	\N	\N	\N	\N	\N	f	
2821	af12dcbf-7f76-4b04-8e76-828c02e01bee	Thimphu	Thimphu	2	0	2013-05-20 23:24:23.989334+02	\N	\N	\N	\N	\N	\N	f	
2844	3f01a648-4e97-44ea-9b54-96b9929fa3cb	Madhyamanchal	Madhyamanchal	2	0	2013-05-20 23:28:37.56143+02	\N	\N	\N	\N	\N	\N	f	
3034	0b9cf07a-f6ef-49a0-9a65-1dc3f031d7b4	Masqaţ	Masqaţ	2	0	2013-05-21 00:18:34.613922+02	\N	\N	\N	\N	\N	\N	f	
2896	f23f3a0d-ec0c-4534-89ab-24947c1a0404	Osh	Osh	2	0	2013-05-20 23:38:23.365441+02	\N	\N	\N	\N	\N	\N	f	
2947	0d3b786c-dd2d-4de8-b2e3-0cbe11982a76	Dhī Qār	Dhī Qār	2	0	2013-05-20 23:57:08.907075+02	\N	\N	\N	\N	\N	\N	f	
3046	cce34480-50c3-41b4-83df-b27612974663	Jericho – Al Aghwar	Jericho – Al Aghwar	2	0	2013-05-21 00:21:43.02377+02	\N	\N	\N	\N	\N	\N	f	
3163	b5ddf631-e701-4490-996e-875aa5acdc9d	Collines	Collines	2	0	2013-06-05 11:48:00.088408+02	\N	\N	\N	\N	\N	\N	f	
2950	ca24b0ec-351a-40b4-a490-af1f99cbbdc7	Al Muthanná	Al Muthanná	2	0	2013-06-05 07:41:34.401898+02	\N	\N	\N	\N	\N	\N	f	
3193	d3dc7cd0-03b6-4ddc-aac2-0a910d863e08	Bangui	Bangui	2	0	2013-06-05 11:32:15.823088+02	\N	\N	\N	\N	\N	\N	f	
3307	42c1ae6c-27eb-481e-be1f-1707238cb1bc	Al Baḩr al Aḩmar	Al Baḩr al Aḩmar	2	0	2013-06-05 08:38:04.23904+02	\N	\N	\N	\N	\N	\N	f	
2139	9a0d43ad-649b-4f12-9a92-9373a7316ec6	Cirkulane	Cirkulane	2	0	2013-06-05 11:51:53.59278+02	\N	\N	\N	\N	\N	\N	f	
3247	99f95a25-1869-45f1-be1f-6ceb06d9e454	South-West	South-West	2	0	2013-05-21 01:10:14.368757+02	\N	\N	\N	\N	\N	\N	f	
2394	18bfd0b7-c24f-488c-9fa1-ae6dd831410e	Belgorodskaya oblast'	Belgorodskaya oblast'	2	0	2013-06-05 09:17:34.032573+02	\N	\N	\N	\N	\N	\N	f	
3322	e2678a97-f5b6-4efd-a93e-8766d024e1f2	Al Uqşur	Al Uqşur	2	0	2013-06-05 10:01:27.401465+02	\N	\N	\N	\N	\N	\N	f	
3317	bae14db3-9332-4c08-9201-f88e8432395e	Al Ismā‘īlīyah	Al Ismā‘īlīyah	2	0	2013-06-05 09:06:09.134849+02	\N	\N	\N	\N	\N	\N	f	
3285	e43f02d5-06a3-4f23-aee4-7d7842035b8c	Ouargla	Ouargla	2	0	2013-05-21 11:35:12.454787+02	\N	\N	\N	\N	\N	\N	f	
13747	13fef590-9ad1-4187-83d2-c8f4ce9c07d4	Valperga	Valperga	4	0	2013-07-21 19:03:45.984491+02	\N	\N	\N	\N	\N	\N	f	
2262	2e90b5ba-bd4f-446a-981a-4342d9ee937c	Bosilovo	Bosilovo	2	0	2013-06-05 09:57:47.53649+02	\N	\N	\N	\N	\N	\N	f	
3351	60480b60-f4f5-4d31-b777-5af9ea23e97c	Haut-Ogooué	Haut-Ogooué	2	0	2013-05-21 12:02:30.1936+02	\N	\N	\N	\N	\N	\N	f	
19653	aab36723-f061-46d1-b79a-e3ae14838ea9	Laterza	Laterza	4	0	2013-07-22 11:12:34.7883+02	\N	\N	\N	\N	\N	\N	f	
3381	c1c354c0-f5d0-4473-959a-137d268a3c5f	Mamou	Mamou	2	0	2013-05-21 12:08:52.371047+02	\N	\N	\N	\N	\N	\N	f	
3401	c2d218fd-916b-46e8-b675-1cbb13f04118	Bomi	Bomi	2	0	2013-06-05 10:48:29.406444+02	\N	\N	\N	\N	\N	\N	f	
3392	68327032-2b5c-4e3b-ac1e-af3547ae4faf	Eastern	Eastern	2	0	2013-05-21 12:11:01.699898+02	\N	\N	\N	\N	\N	\N	f	
3114	09f2db86-c62f-4398-bfbe-f21375ecdbcf	Cabinda	Cabinda	2	0	2013-06-05 11:05:16.623816+02	\N	\N	\N	\N	\N	\N	f	
3457	9e64a4f2-0f66-4d20-ac48-380234c035a4	Tadla-Azilal	Tadla-Azilal	2	0	2013-05-21 13:32:03.235297+02	\N	\N	\N	\N	\N	\N	f	
3423	0c9fad56-2f34-4285-988a-a3845a34db1a	Mokhotlong	Mokhotlong	2	0	2013-05-21 13:25:08.894647+02	\N	\N	\N	\N	\N	\N	f	
3511	98e4b868-1307-439d-8c6f-659ff65332df	Manica	Manica	2	0	2013-05-21 13:42:03.448959+02	\N	\N	\N	\N	\N	\N	f	
3496	03242f17-19f3-4ac8-8f8e-99e511bf463d	Grand Port	Grand Port	2	0	2013-05-21 13:39:16.831584+02	\N	\N	\N	\N	\N	\N	f	
2416	7fa4dd42-21f3-4c3d-9862-6845e9153e06	Respublika Kalmykiya	Kalmykiya, Respublika	2	0	2013-05-24 00:51:05.991877+02	\N	\N	\N	\N	\N	\N	f	
1245	766994ab-2f56-40f9-85b0-e7d3581e8176	Saint Patrick	Saint Patrick	2	0	2013-05-19 22:44:46.139576+02	\N	\N	\N	\N	\N	\N	f	
1246	a27a73a2-cc50-4265-8f6d-5d67774bb9d7	Saint Paul	Saint Paul	2	0	2013-05-19 22:44:57.868589+02	\N	\N	\N	\N	\N	\N	f	
1247	9c2f7444-0c5f-4d8e-8145-a331497a54a1	Saint Peter	Saint Peter	2	0	2013-05-19 22:45:13.732461+02	\N	\N	\N	\N	\N	\N	f	
1973	724f4f42-4c02-4366-8ae1-d2950b8ab8d2	Gornja Radgona	Gornja Radgona	2	0	2013-05-20 17:32:45.222457+02	\N	\N	\N	\N	\N	\N	f	
1248	717f2537-fe4f-4a92-9f5e-433afaf9ef1c	Distrito Nacional (Santo Domingo)	Distrito Nacional (Santo Domingo)	2	0	2013-05-19 22:47:09.835387+02	\N	\N	\N	\N	\N	\N	f	
2227	6b9422f9-9d7c-4ce8-a9ac-198c114b336d	Criuleni	Criuleni	2	0	2013-06-05 11:47:11.427305+02	\N	\N	\N	\N	\N	\N	f	
2024	3553918f-8822-4014-8fb6-ee846fa8e27f	Murska Sobota	Murska Sobota	2	0	2013-05-20 17:44:03.404012+02	\N	\N	\N	\N	\N	\N	f	
14366	1e0bc2da-a780-41bf-a0e2-5d305828a37a	Casalnoceto	Casalnoceto	4	0	2013-07-21 21:22:09.772655+02	\N	\N	\N	\N	\N	\N	f	
1252	265965d3-683d-4846-91d2-80503dee8cb0	Dajabón	Dajabón	2	0	2013-05-19 22:47:53.243979+02	\N	\N	\N	\N	\N	\N	f	
3143	de3bf471-c77a-4c96-b30a-9436d8686ff8	Bujumbura Rural	Bujumbura Rural	2	0	2013-06-05 12:06:47.548234+02	\N	\N	\N	\N	\N	\N	f	
1253	02705230-5853-4764-99ac-a837fa33ba7c	Duarte	Duarte	2	0	2013-05-19 22:48:04.332972+02	\N	\N	\N	\N	\N	\N	f	
2026	d8210453-3e77-480b-b923-6e29fc0b5207	Naklo	Naklo	2	0	2013-05-20 17:44:26.186836+02	\N	\N	\N	\N	\N	\N	f	
1254	420ad5ac-a73b-402d-9919-634ad082c3c4	La Estrelleta [Elías Piña]	La Estrelleta [Elías Piña]	2	0	2013-05-19 22:48:15.31514+02	\N	\N	\N	\N	\N	\N	f	
1255	bc4f1501-9f97-4d4f-b71a-0b9a5a3dda3d	El Seybo [El Seibo]	El Seybo [El Seibo]	2	0	2013-05-19 22:48:26.347932+02	\N	\N	\N	\N	\N	\N	f	
1261	0226b22c-0716-44ef-9890-cfae545c8288	María Trinidad Sánchez	María Trinidad Sánchez	2	0	2013-05-19 22:49:31.883224+02	\N	\N	\N	\N	\N	\N	f	
2059	8c555fe4-f8ff-4c8f-a4c8-0ec568d5b1eb	Starše	Starše	2	0	2013-05-20 17:50:58.703061+02	\N	\N	\N	\N	\N	\N	f	
3048	9679d0fb-9235-4dbf-ac45-9020c1d997ae	Nablus	Nablus	2	0	2013-05-21 00:22:15.441438+02	\N	\N	\N	\N	\N	\N	f	
2077	f6c93c10-a656-4c8e-bf9a-cfb0b1e03aa3	Velenje	Velenje	2	0	2013-05-20 17:54:23.77521+02	\N	\N	\N	\N	\N	\N	f	
2264	706d1921-baf9-4188-9d2f-5183ee93bf24	Butel	Butel	2	0	2013-06-05 08:28:47.91071+02	\N	\N	\N	\N	\N	\N	f	
2105	187f2cb9-e2b6-47ee-b75f-d467f7de8887	Horjul	Horjul	2	0	2013-05-20 17:59:52.941874+02	\N	\N	\N	\N	\N	\N	f	
2140	dec4a6b2-7012-4bbc-97f6-2efb8449b131	Kostanjevica na Krki	Kostanjevica na Krki	2	0	2013-05-20 18:07:05.823475+02	\N	\N	\N	\N	\N	\N	f	
2570	3116931d-1c3a-47c9-8c03-b57b8227257e	Thai Binh	Thai Binh	2	0	2013-05-20 22:18:33.014349+02	\N	\N	\N	\N	\N	\N	f	
2151	a2313873-e726-4ac8-9091-99a419057123	Log-Dragomer	Log-Dragomer	2	0	2013-05-20 18:09:33.07653+02	\N	\N	\N	\N	\N	\N	f	
2270	39078e3c-5e52-401c-841a-22f6717fe7fe	Vraneštica	Vraneštica	2	0	2013-05-20 19:11:23.583303+02	\N	\N	\N	\N	\N	\N	f	
2175	709386ec-07d7-4427-8917-b3e63fd4140d	Montana	Montana	2	0	2013-05-20 18:20:18.7678+02	\N	\N	\N	\N	\N	\N	f	
2192	7bd6e3ad-ee0f-4b06-99f4-1498a06f310d	Brestskaya voblasts'	Brestskaya voblasts'	2	0	2013-06-05 08:59:41.560735+02	\N	\N	\N	\N	\N	\N	f	
2309	fc0e24b1-71de-4072-9e86-c7b9c44fd4e4	Negotino	Negotino	2	0	2013-05-20 19:18:46.051689+02	\N	\N	\N	\N	\N	\N	f	
2898	35aa7428-2d82-4521-89d7-504219d9d54a	Ysyk-Köl	Ysyk-Köl	2	0	2013-05-20 23:38:44.640093+02	\N	\N	\N	\N	\N	\N	f	
2310	bb186838-9534-4f57-bd00-7d97a209313b	Novaci	Novaci	2	0	2013-05-20 19:18:59.609995+02	\N	\N	\N	\N	\N	\N	f	
13735	af652f81-7635-4212-b176-3a86bc8abf8f	Valgioie	Valgioie	4	0	2013-07-21 19:01:14.53165+02	\N	\N	\N	\N	\N	\N	f	
2599	9d4f0645-01a9-4666-8787-768b64145f3a	Soc Trang	Soc Trang	2	0	2013-05-20 22:24:15.000097+02	\N	\N	\N	\N	\N	\N	f	
1250	7c03fd11-98f6-443e-86fe-3ea7c482755d	Bahoruco	Bahoruco	2	0	2013-06-05 11:03:33.484226+02	\N	\N	\N	\N	\N	\N	f	
3194	ccc68614-f506-4c1a-a421-bd3926bc287d	Basse-Kotto	Basse-Kotto	2	0	2013-06-05 08:17:04.673808+02	\N	\N	\N	\N	\N	\N	f	
2359	28c6ba1f-78d5-4769-acb7-111a96029e12	Vojvodina	Vojvodina	2	0	2013-05-20 19:29:27.007674+02	\N	\N	\N	\N	\N	\N	f	
2632	b687d707-c1b2-4e43-90e0-4ebf2687c94b	Stueng Traeng [Stœ̆ng Trêng]	Stueng Traeng [Stœ̆ng Trêng]	2	0	2013-05-20 22:30:32.49089+02	\N	\N	\N	\N	\N	\N	f	
1249	aa38c23b-6ebd-4af8-a09b-7ce4ff66a9e1	Azua	Azua	2	0	2013-06-05 07:33:48.702731+02	\N	\N	\N	\N	\N	\N	f	
2430	8607538f-3cc9-4680-8c88-e9ea8e7fae83	Murmanskaya oblast'	Murmanskaya oblast'	2	0	2013-05-20 19:46:29.652122+02	\N	\N	\N	\N	\N	\N	f	
14397	ae604c00-e912-4141-ab11-0d474213aa28	Dernice	Dernice	4	0	2013-07-21 21:28:38.57365+02	\N	\N	\N	\N	\N	\N	f	
2671	2d9dcaf7-55eb-4896-883c-527ad1c73c9e	Sing Buri	Sing Buri	2	0	2013-05-20 22:37:33.361065+02	\N	\N	\N	\N	\N	\N	f	
2512	a2f627e0-9479-4ab0-998a-89b2abb6c1f5	Hövsgöl	Hövsgöl	2	0	2013-05-20 21:11:13.247593+02	\N	\N	\N	\N	\N	\N	f	
2513	8b430f9a-b2ab-4baa-a5e7-fcc1c64c8e17	Hovd	Hovd	2	0	2013-05-20 21:11:23.87921+02	\N	\N	\N	\N	\N	\N	f	
2909	3e4220ef-c5b2-46e5-a97e-8e79df9af3c6	Qoraqalpog‘iston Respublikasi	Qoraqalpog‘iston Respublikasi	2	0	2013-05-20 23:40:44.150867+02	\N	\N	\N	\N	\N	\N	f	
2993	c87b6680-cc6f-4a50-afc2-aa965ea42d64	Al Balqā’	Al Balqā’	2	0	2013-06-05 07:38:14.452082+02	\N	\N	\N	\N	\N	\N	f	
2694	427d5dde-acce-4e55-9b33-ad3a3aeee463	Nong Khai	Nong Khai	2	0	2013-05-20 22:42:03.391654+02	\N	\N	\N	\N	\N	\N	f	
2722	07c96687-bfe1-40cb-8236-7cf0e88d3b0b	Samut Sakhon	Samut Sakhon	2	0	2013-05-20 22:47:38.77743+02	\N	\N	\N	\N	\N	\N	f	
1251	c33b01a4-cca0-494d-a8db-984be56fa9bd	Barahona	Barahona	2	0	2013-06-05 12:24:40.589502+02	\N	\N	\N	\N	\N	\N	f	
2755	e5119ed0-a74d-46fe-ba24-efe5c39d8797	Selangor	Selangor	2	0	2013-05-20 22:53:50.291158+02	\N	\N	\N	\N	\N	\N	f	
2948	1c5722c1-e13c-455c-b24c-20a56e570814	Karbalā'	Karbalā'	2	0	2013-05-20 23:57:19.745246+02	\N	\N	\N	\N	\N	\N	f	
2799	e372c5a4-f5f1-4d6b-97c4-dee29188b5f7	Manufahi	Manufahi	2	0	2013-05-20 23:02:14.564259+02	\N	\N	\N	\N	\N	\N	f	
2819	6ec68570-75ae-4f96-a45b-2cb9205bf2c5	Ha	Ha	2	0	2013-05-20 23:24:01.255774+02	\N	\N	\N	\N	\N	\N	f	
2992	51a167d1-8333-4877-b6e5-a82ec9e25d87	Az Zarqā'	Az Zarqā'	2	0	2013-06-05 09:41:00.708474+02	\N	\N	\N	\N	\N	\N	f	
2845	2a901448-a7aa-4933-8d5e-9919da3137df	Madhya Pashchimanchal	Madhya Pashchimanchal	2	0	2013-05-20 23:28:48.179861+02	\N	\N	\N	\N	\N	\N	f	
2949	91ec9876-6a60-435c-90fe-39199525c7ed	Maysān	Maysān	2	0	2013-05-20 23:57:30.48445+02	\N	\N	\N	\N	\N	\N	f	
14421	b261c75f-a19a-4e54-8842-9f270623143f	Grognardo	Grognardo	4	0	2013-07-21 21:33:59.21295+02	\N	\N	\N	\N	\N	\N	f	
15468	ee81387f-402c-4c51-9666-eff2b96d07c8	Pescorocchiano	Pescorocchiano	4	0	2013-07-22 00:52:15.715863+02	\N	\N	\N	\N	\N	\N	f	
2347	2eb8551d-e852-4b3b-bac6-54ffa997c710	Borski okrug	Borski okrug	2	0	2013-06-05 08:04:24.20304+02	\N	\N	\N	\N	\N	\N	f	
3254	4ca990ea-3ede-47d0-ac0b-59e9567b13e4	Obock	Obock	2	0	2013-05-21 11:29:25.599438+02	\N	\N	\N	\N	\N	\N	f	
3073	aac6ac79-c3a1-4f02-8979-eba4ada27b98	Al Bāḩah	Al Bāḩah	2	0	2013-06-05 08:36:27.142497+02	\N	\N	\N	\N	\N	\N	f	
14444	7c1b1c16-7824-413f-8823-aea41c14b63c	Odalengo Piccolo	Odalengo Piccolo	4	0	2013-07-21 21:39:09.832406+02	\N	\N	\N	\N	\N	\N	f	
3165	8e8e3aca-4cb9-480e-9efb-2e21fb94fc33	Kouffo	Kouffo	2	0	2013-05-21 00:54:53.880582+02	\N	\N	\N	\N	\N	\N	f	
17287	2b69b741-2ef1-4b52-b88e-a5659785c53a	Ozieri	Ozieri	4	0	2013-07-22 06:08:27.964238+02	\N	\N	\N	\N	\N	\N	f	
3201	2c721dda-1076-4ac0-91ec-d964d527b2c1	Mbomou	Mbomou	2	0	2013-05-21 01:02:10.536866+02	\N	\N	\N	\N	\N	\N	f	
3231	151dcd1c-2378-412d-a6c8-52b732ff77ad	Sud-Comoé (Région du)	Sud-Comoé (Région du)	2	0	2013-05-21 01:07:21.465724+02	\N	\N	\N	\N	\N	\N	f	
3270	698c64b5-407a-494f-96bb-185a33552866	Tizi Ouzou	Tizi Ouzou	2	0	2013-05-21 11:32:27.9562+02	\N	\N	\N	\N	\N	\N	f	
3287	fb21c209-a99b-4dcd-8c9b-71fa3d357a41	El Bayadh	El Bayadh	2	0	2013-05-21 11:35:33.926616+02	\N	\N	\N	\N	\N	\N	f	
3353	d551f6f7-fe0f-48d3-b61a-d579b4919417	Ngounié	Ngounié	2	0	2013-05-21 12:02:56.420089+02	\N	\N	\N	\N	\N	\N	f	
3394	eebd5989-bb37-4268-9004-f19023e2c469	Nyanza	Nyanza	2	0	2013-05-21 12:11:25.514488+02	\N	\N	\N	\N	\N	\N	f	
3402	5c97139a-e426-4535-9c4b-967bb0ffaa27	Grand Cape Mount	Grand Cape Mount	2	0	2013-05-21 13:21:00.517016+02	\N	\N	\N	\N	\N	\N	f	
3424	126d8f7d-c407-41f3-9735-3364f03a15f0	Thaba-Tseka	Thaba-Tseka	2	0	2013-05-21 13:25:19.640792+02	\N	\N	\N	\N	\N	\N	f	
4572	5855d763-265b-45fe-9f45-3d98263e0517	Maluku Utara	Maluku Utara	2	0	2013-05-22 14:11:24.286676+02	\N	\N	\N	\N	\N	\N	f	
5710	9a10b89c-bf7f-4d23-b77a-1a5af1833af2	Łeba	Łeba	3	0	2013-05-25 00:35:33.541379+02	\N	\N	\N	\N	\N	\N	f	
7066	174ce886-388d-43b4-82ab-6701bce0973e	Hashtgerd	Hashtgerd	3	0	2013-05-26 16:43:53.157126+02	\N	\N	\N	\N	\N	\N	f	
3213	628be4fb-2353-432a-98ad-caedb4b9811d	Cuvette-Ouest	Cuvette-Ouest	2	0	2013-06-05 07:27:49.747663+02	\N	\N	\N	\N	\N	\N	f	
1256	785129b7-0ab5-450a-b07d-f553d4ec8dce	Espaillat	Espaillat	2	0	2013-05-19 22:48:37.43401+02	\N	\N	\N	\N	\N	\N	f	
1257	922667e1-b842-41a2-9e55-6ad9928351bc	Independencia	Independencia	2	0	2013-05-19 22:48:48.280175+02	\N	\N	\N	\N	\N	\N	f	
1294	0ff0f75e-82ce-404c-950c-a4d58e30dbd5	Alūksnes novads	Alūksnes novads	2	0	2013-06-05 12:00:31.09555+02	\N	\N	\N	\N	\N	\N	f	
1259	d441ee4b-1193-4a3b-b609-8c4a2ef7d18f	La Romana	La Romana	2	0	2013-05-19 22:49:10.15486+02	\N	\N	\N	\N	\N	\N	f	
1260	bd66f051-912f-42de-949c-ca76cf9224be	La Vega	La Vega	2	0	2013-05-19 22:49:21.044764+02	\N	\N	\N	\N	\N	\N	f	
1262	88694f55-7c18-426a-b8b6-630c069f050f	Monte Cristi	Monte Cristi	2	0	2013-05-19 22:49:42.892638+02	\N	\N	\N	\N	\N	\N	f	
1282	b02d061a-c961-4c3e-8841-3a754c492386	Košický kraj	Košický kraj	2	0	2013-05-19 23:03:17.798475+02	\N	\N	\N	\N	\N	\N	f	
1263	231373e7-52df-4a9a-bd88-29f5ff2c491c	Pedernales	Pedernales	2	0	2013-05-19 22:49:53.641391+02	\N	\N	\N	\N	\N	\N	f	
1264	f16b0f41-c443-48a5-b5e0-495711f22e16	Peravia	Peravia	2	0	2013-05-19 22:50:04.674805+02	\N	\N	\N	\N	\N	\N	f	
1303	cca66ac1-295f-4e3b-b001-c05c0213ef49	Bauskas novads	Bauskas novads	2	0	2013-06-05 09:27:47.457102+02	\N	\N	\N	\N	\N	\N	f	
1265	de2b8b85-1566-4446-937f-bf20cb0a8996	Puerto Plata	Puerto Plata	2	0	2013-05-19 22:50:15.635429+02	\N	\N	\N	\N	\N	\N	f	
1283	4c223d65-0cb6-4279-8d0b-c99ec4b4341b	Nitriansky kraj	Nitriansky kraj	2	0	2013-05-19 23:03:42.491187+02	\N	\N	\N	\N	\N	\N	f	
1266	1e34cc03-30fe-4165-8fb3-eb0d7faa47e6	Salcedo	Salcedo	2	0	2013-05-19 22:50:28.391325+02	\N	\N	\N	\N	\N	\N	f	
1267	ecca8b88-2b63-4702-827f-c698a3c7f645	Samaná	Samaná	2	0	2013-05-19 22:50:40.641162+02	\N	\N	\N	\N	\N	\N	f	
1302	503010dd-774e-4f7d-8883-aad4ca1b107a	Balvu novads	Balvu novads	2	0	2013-06-05 10:04:03.522223+02	\N	\N	\N	\N	\N	\N	f	
1268	d7bff68e-7ffc-419b-a8ea-936c88c25aa3	San Cristóbal	San Cristóbal	2	0	2013-05-19 22:50:51.901982+02	\N	\N	\N	\N	\N	\N	f	
1284	bab8b52c-8e47-453f-9e50-df8898aa97aa	Prešovský kraj	Prešovský kraj	2	0	2013-05-19 23:04:01.93853+02	\N	\N	\N	\N	\N	\N	f	
1269	bd55ab91-2983-4e84-bd94-c76eeb23f659	San Juan	San Juan	2	0	2013-05-19 22:51:03.151019+02	\N	\N	\N	\N	\N	\N	f	
1270	957fba34-aba1-426e-82da-60c83564a48d	San Pedro de Macorís	San Pedro de Macorís	2	0	2013-05-19 22:51:13.999693+02	\N	\N	\N	\N	\N	\N	f	
1271	761b2ba4-5592-4a13-8a6c-dde2a9f6f079	Sánchez Ramírez	Sánchez Ramírez	2	0	2013-05-19 22:51:24.69603+02	\N	\N	\N	\N	\N	\N	f	
1285	af74bfa5-35cc-451b-8e94-12aa83645647	Trnavský kraj	Trnavský kraj	2	0	2013-05-19 23:04:20.997275+02	\N	\N	\N	\N	\N	\N	f	
1272	c77f637f-c6d9-4722-8d44-ee54c1ea5e3c	Santiago	Santiago	2	0	2013-05-19 22:51:35.772041+02	\N	\N	\N	\N	\N	\N	f	
1273	103663ed-4ede-4183-8fd6-fe1fb6972af4	Santiago Rodríguez	Santiago Rodríguez	2	0	2013-05-19 22:51:46.553189+02	\N	\N	\N	\N	\N	\N	f	
1274	9a12279a-876c-401b-905b-6edb344814f4	Valverde	Valverde	2	0	2013-05-19 22:51:57.608385+02	\N	\N	\N	\N	\N	\N	f	
1286	08affe0c-f350-4567-866b-75b1cd352219	Trenčiansky kraj	Trenčiansky kraj	2	0	2013-05-19 23:04:32.430624+02	\N	\N	\N	\N	\N	\N	f	
1275	4d85874e-c6c8-47c8-86a4-115af74c555a	Monseñor Nouel	Monseñor Nouel	2	0	2013-05-19 22:52:11.042801+02	\N	\N	\N	\N	\N	\N	f	
1276	030d4035-cd73-4cc5-b580-8f4415d25f11	Monte Plata	Monte Plata	2	0	2013-05-19 22:52:21.898265+02	\N	\N	\N	\N	\N	\N	f	
1296	c668f4c7-20ec-4cce-a71e-6a4fb6d78989	Apes novads	Apes novads	2	0	2013-06-05 11:31:26.781728+02	\N	\N	\N	\N	\N	\N	f	
1277	7239256b-41dd-4ca6-8bf9-0b87eab3d947	Hato Mayor	Hato Mayor	2	0	2013-05-19 22:52:36.578018+02	\N	\N	\N	\N	\N	\N	f	
1306	bd6a45f9-d0e5-42e4-b923-6c21156cc006	Burtnieku novads	Burtnieku novads	2	0	2013-06-05 07:49:01.559579+02	\N	\N	\N	\N	\N	\N	f	
1278	a590ceec-d75b-436f-bbd8-45aa829be4a3	San José de Ocoa	San José de Ocoa	2	0	2013-05-19 22:52:47.598677+02	\N	\N	\N	\N	\N	\N	f	
1279	1faa5690-6a98-43d9-aeff-10ae4be13df9	Santo Domingo	Santo Domingo	2	0	2013-05-19 22:52:58.931438+02	\N	\N	\N	\N	\N	\N	f	
13737	766e4225-19d6-445a-a7cf-70cce80bae27	San Giuliano Terme	San Giuliano Terme	4	0	2013-07-21 19:01:43.588424+02	\N	\N	\N	\N	\N	\N	f	
1280	9fc6ee0c-980a-4c41-9616-55ee8521874d	Banskobystrický kraj	Banskobystrický kraj	2	0	2013-06-05 07:10:53.699629+02	\N	\N	\N	\N	\N	\N	f	
14897	ad6209a6-459c-4228-991c-ac6f7d875519	Ceva	Ceva	4	0	2013-07-21 23:22:20.54973+02	\N	\N	\N	\N	\N	\N	f	
1295	77025b58-904c-4874-b99c-4577f7954753	Amatas novads	Amatas novads	2	0	2013-06-05 09:53:19.00682+02	\N	\N	\N	\N	\N	\N	f	
1304	a09c41e8-961d-4ab9-99f6-e1c60966806f	Beverīnas novads	Beverīnas novads	2	0	2013-06-05 11:37:27.986945+02	\N	\N	\N	\N	\N	\N	f	
1292	a1dc02be-857f-4391-a680-d03e900be20c	Alojas novads	Alojas novads	2	0	2013-06-05 08:51:55.246684+02	\N	\N	\N	\N	\N	\N	f	
1288	c760753e-fca3-4fa1-a3c4-12f2dd403a4c	Aglonas novads	Aglonas novads	2	0	2013-06-05 09:33:59.515273+02	\N	\N	\N	\N	\N	\N	f	
14367	67ddc5c7-96f6-4b6d-b02d-f11c4c28d6de	Altavilla Monferrato	Altavilla Monferrato	4	0	2013-07-21 21:22:21.524148+02	\N	\N	\N	\N	\N	\N	f	
1310	b093ba98-9e0a-410c-96bb-f5f228b0d3b7	Ciblas novads	Ciblas novads	2	0	2013-06-05 07:20:15.842166+02	\N	\N	\N	\N	\N	\N	f	
1299	308022be-945b-43e5-a333-78f44f1060c6	Babītes novads	Babītes novads	2	0	2013-06-05 12:05:04.988619+02	\N	\N	\N	\N	\N	\N	f	
1289	f2e909a0-bab0-4255-83e8-c3e0cd0429c3	Aizkraukles novads	Aizkraukles novads	2	0	2013-06-05 11:03:16.544013+02	\N	\N	\N	\N	\N	\N	f	
1317	5beb02ad-a53f-46df-9e96-2a6c6065578c	Ērgļu novads	Ērgļu novads	2	0	2013-05-27 19:57:29.685486+02	\N	\N	\N	\N	\N	\N	f	
1293	255deed1-b4b5-4a39-b7d2-9adc585fc165	Alsungas novads	Alsungas novads	2	0	2013-06-05 10:50:01.494459+02	\N	\N	\N	\N	\N	\N	f	
1309	4c59b992-c659-47aa-9c2d-d48ee8bc77d5	Cēsu novads	Cēsu novads	2	0	2013-06-05 10:38:52.692454+02	\N	\N	\N	\N	\N	\N	f	
1305	5e764e78-a91a-4861-8524-ea54d8e99ed1	Brocēnu novads	Brocēnu novads	2	0	2013-06-05 07:57:38.277751+02	\N	\N	\N	\N	\N	\N	f	
2228	fe52d424-41c0-42a9-8056-630b66284140	Căuşeni	Căuşeni	2	0	2013-06-05 10:35:38.240142+02	\N	\N	\N	\N	\N	\N	f	
1291	9e9c85d1-ed2a-4323-92f9-1fab5ec69d0a	Aknīstes novads	Aknīstes novads	2	0	2013-06-05 07:18:46.528349+02	\N	\N	\N	\N	\N	\N	f	
1301	1266c13e-898f-4fe4-b1c8-e2d416d69f78	Baltinavas novads	Baltinavas novads	2	0	2013-06-05 07:28:43.665355+02	\N	\N	\N	\N	\N	\N	f	
15469	ebe72a61-e420-498f-bd84-a2c3afad3c93	Magliano Sabina	Magliano Sabina	4	0	2013-07-22 00:52:33.084728+02	\N	\N	\N	\N	\N	\N	f	
1313	69d67f7d-a203-4627-82c4-f8b9dbf33ed5	Dobeles novads	Dobeles novads	2	0	2013-05-19 23:10:59.461656+02	\N	\N	\N	\N	\N	\N	f	
1290	5cb475d2-19df-4a42-9ed3-1c8835c9ba82	Aizputes novads	Aizputes novads	2	0	2013-06-05 08:38:40.947368+02	\N	\N	\N	\N	\N	\N	f	
1307	9dedab1c-c23e-4622-9a1b-f9f45bd14a94	Carnikavas novads	Carnikavas novads	2	0	2013-06-05 07:44:34.469991+02	\N	\N	\N	\N	\N	\N	f	
16181	eba6b24c-16d9-4ced-9a7f-6abdfc80a506	Magliolo	Magliolo	4	0	2013-07-22 03:02:31.284178+02	\N	\N	\N	\N	\N	\N	f	
1311	dd19d151-69ee-464f-99b8-1ca5280b290f	Dagdas novads	Dagdas novads	2	0	2013-05-19 23:10:35.370216+02	\N	\N	\N	\N	\N	\N	f	
1316	9c95ef96-4ecc-48da-8f3e-e248719d8118	Engures novads	Engures novads	2	0	2013-05-19 23:11:38.2971+02	\N	\N	\N	\N	\N	\N	f	
1312	ac0be894-e64f-45e6-81a1-cd8bef07cf03	Daugavpils novads	Daugavpils novads	2	0	2013-05-19 23:10:47.66183+02	\N	\N	\N	\N	\N	\N	f	
1314	0c615fa2-e2e1-4083-a37f-c12b484675bb	Dundagas novads	Dundagas novads	2	0	2013-05-19 23:11:10.459291+02	\N	\N	\N	\N	\N	\N	f	
1315	c706b57f-f368-40ad-af03-23052e5df922	Durbes novads	Durbes novads	2	0	2013-05-19 23:11:21.63507+02	\N	\N	\N	\N	\N	\N	f	
1318	0ac932bf-104d-47ff-b87f-70937fd902d4	Garkalnes novads	Garkalnes novads	2	0	2013-05-19 23:12:01.031857+02	\N	\N	\N	\N	\N	\N	f	
1319	e06b2dc6-bea4-4366-9560-d22a1c9bf767	Grobiņas novads	Grobiņas novads	2	0	2013-05-19 23:12:11.950959+02	\N	\N	\N	\N	\N	\N	f	
1320	69f6e492-7264-47fc-adf5-37de6b10c17f	Gulbenes novads	Gulbenes novads	2	0	2013-05-19 23:12:25.672892+02	\N	\N	\N	\N	\N	\N	f	
1321	4cce8bd4-10b3-4fe5-a9b1-be7a74cefb30	Iecavas novads	Iecavas novads	2	0	2013-05-19 23:12:36.828577+02	\N	\N	\N	\N	\N	\N	f	
1322	cc2c5077-73c6-4c62-92b1-0c20aebf159b	Ikšķiles novads	Ikšķiles novads	2	0	2013-05-19 23:12:47.963978+02	\N	\N	\N	\N	\N	\N	f	
1323	ddda929b-b6a1-44bc-8a81-2d22337f2e86	Ilūkstes novads	Ilūkstes novads	2	0	2013-05-19 23:12:59.108886+02	\N	\N	\N	\N	\N	\N	f	
1324	3d2f336c-e985-4a70-940e-380bc0fc75ac	Inčukalna novads	Inčukalna novads	2	0	2013-05-19 23:13:13.901723+02	\N	\N	\N	\N	\N	\N	f	
1462	98bf0f5d-0426-4d25-a6ea-e945b737223c	Nord-Est	Nord-Est	2	0	2013-05-20 01:49:15.693934+02	\N	\N	\N	\N	\N	\N	f	
1463	9f812a74-e32e-4040-9184-7e7d8fa194e2	Nippes	Nippes	2	0	2013-05-20 01:49:26.913884+02	\N	\N	\N	\N	\N	\N	f	
1467	be5e3733-4350-4143-a4b0-da5045dddb1f	Sud-Est	Sud-Est	2	0	2013-05-20 01:50:10.725068+02	\N	\N	\N	\N	\N	\N	f	
1325	80223d81-c6b8-4fdf-99c8-5a2f1ce4e39b	Jaunjelgavas novads	Jaunjelgavas novads	2	0	2013-05-19 23:13:25.374451+02	\N	\N	\N	\N	\N	\N	f	
1326	2dc08518-ad43-41a9-b508-6292ff9cfb9e	Jaunpiebalgas novads	Jaunpiebalgas novads	2	0	2013-05-19 23:13:36.845027+02	\N	\N	\N	\N	\N	\N	f	
1327	ce3fc8ba-5f5d-4619-996a-f0b0bdfa3a65	Jaunpils novads	Jaunpils novads	2	0	2013-05-19 23:13:47.965881+02	\N	\N	\N	\N	\N	\N	f	
1347	ca51e7dd-a8fe-417e-a073-fcaf1af92296	Mazsalacas novads	Mazsalacas novads	2	0	2013-05-19 23:17:38.119604+02	\N	\N	\N	\N	\N	\N	f	
1328	e8a199e2-4ddf-4f88-a6b3-0ddcbd4eb7cf	Jelgavas novads	Jelgavas novads	2	0	2013-05-19 23:13:59.162071+02	\N	\N	\N	\N	\N	\N	f	
1329	3840cfae-dba0-4666-a10a-e5ece50e82f9	Jēkabpils novads	Jēkabpils novads	2	0	2013-05-19 23:14:10.30214+02	\N	\N	\N	\N	\N	\N	f	
1368	7a03bf12-0db7-4cb9-ad94-3c0d24b15698	Rucavas novads	Rucavas novads	2	0	2013-05-19 23:21:53.423935+02	\N	\N	\N	\N	\N	\N	f	
1330	79e1b110-0197-4373-b93e-b4b3686a93ff	Kandavas novads	Kandavas novads	2	0	2013-05-19 23:14:21.289903+02	\N	\N	\N	\N	\N	\N	f	
1348	0c49139b-ee62-4fcb-a544-9fd4a47fa1c8	Mālpils novads	Mālpils novads	2	0	2013-05-19 23:17:49.377041+02	\N	\N	\N	\N	\N	\N	f	
1331	2b219fc5-a45f-4f5c-9393-3cc618a8f2d2	Kārsavas novads	Kārsavas novads	2	0	2013-05-19 23:14:33.862099+02	\N	\N	\N	\N	\N	\N	f	
1332	8dbb397a-5f1b-49fe-99b7-42ce076fb1d9	Kocēnu novads	Kocēnu novads	2	0	2013-05-19 23:14:46.016977+02	\N	\N	\N	\N	\N	\N	f	
1360	3355c9ee-c901-4737-9f5d-0c40ee8c9240	Preiļu novads	Preiļu novads	2	0	2013-05-19 23:20:23.24322+02	\N	\N	\N	\N	\N	\N	f	
1333	67566e01-a55e-4373-85eb-cb45ffd36639	Kokneses novads	Kokneses novads	2	0	2013-05-19 23:14:57.223257+02	\N	\N	\N	\N	\N	\N	f	
1349	31551583-a920-46d1-8189-640c9c8f0d64	Mārupes novads	Mārupes novads	2	0	2013-05-19 23:18:00.888446+02	\N	\N	\N	\N	\N	\N	f	
1334	c829de86-fdb1-4004-a072-f522d4e3483c	Krāslavas novads	Krāslavas novads	2	0	2013-05-19 23:15:08.252352+02	\N	\N	\N	\N	\N	\N	f	
1335	63d3f706-888c-4775-b508-39e7987f4b28	Krimuldas novads	Krimuldas novads	2	0	2013-05-19 23:15:19.381688+02	\N	\N	\N	\N	\N	\N	f	
1336	2807adb7-4cdd-4a61-a5a7-b6ea7db53f71	Krustpils novads	Krustpils novads	2	0	2013-05-19 23:15:31.13669+02	\N	\N	\N	\N	\N	\N	f	
1350	0ffa88a2-6825-4574-8f18-3a9aec42c8a8	Mērsraga novads	Mērsraga novads	2	0	2013-05-19 23:18:12.154182+02	\N	\N	\N	\N	\N	\N	f	
1337	af12037f-2660-4e57-8e28-0e1e5ee55a3d	Kuldīgas novads	Kuldīgas novads	2	0	2013-05-19 23:15:42.402246+02	\N	\N	\N	\N	\N	\N	f	
13738	157500f8-bada-4cbe-97f8-a75e966f0c89	Adro	Adro	4	0	2013-07-21 19:01:56.65462+02	\N	\N	\N	\N	\N	\N	f	
1351	6644f9e6-649c-4972-996d-60930e1a5afa	Naukšēnu novads	Naukšēnu novads	2	0	2013-05-19 23:18:23.673942+02	\N	\N	\N	\N	\N	\N	f	
1340	1c8b4ce7-c4c8-4195-a196-6fb026f5859f	Lielvārdes novads	Lielvārdes novads	2	0	2013-05-19 23:16:16.42946+02	\N	\N	\N	\N	\N	\N	f	
1341	26483525-8e9d-4d5a-b8bc-f308fbe3b5a3	Limbažu novads	Limbažu novads	2	0	2013-05-19 23:16:28.205357+02	\N	\N	\N	\N	\N	\N	f	
1361	2ed504e4-bd4e-437e-9315-fbbc0c726f8a	Priekules novads	Priekules novads	2	0	2013-05-19 23:20:34.272118+02	\N	\N	\N	\N	\N	\N	f	
1342	c89bd17b-9b80-4a21-a1fc-3f42047b7fb4	Līgatnes novads	Līgatnes novads	2	0	2013-05-19 23:16:40.059581+02	\N	\N	\N	\N	\N	\N	f	
1352	1dfbc273-a52e-4fbf-a492-27d393d6ad1e	Neretas novads	Neretas novads	2	0	2013-05-19 23:18:34.711284+02	\N	\N	\N	\N	\N	\N	f	
1343	b2853238-1904-435a-be45-c7e060cd0e00	Līvānu novads	Līvānu novads	2	0	2013-05-19 23:16:52.055243+02	\N	\N	\N	\N	\N	\N	f	
1344	53cf037b-7366-4689-a6da-48a471843158	Lubānas novads	Lubānas novads	2	0	2013-05-19 23:17:03.374527+02	\N	\N	\N	\N	\N	\N	f	
1345	71a3479e-eff9-417e-8048-0aa9bc5c4bf3	Ludzas novads	Ludzas novads	2	0	2013-05-19 23:17:14.781099+02	\N	\N	\N	\N	\N	\N	f	
1378	d2d92ffa-2c64-4de6-8600-4acb0055c1b9	Siguldas novads	Siguldas novads	2	0	2013-05-19 23:24:01.248102+02	\N	\N	\N	\N	\N	\N	f	
1346	eb043b96-b980-4922-835c-efb6c9ffe60a	Madonas novads	Madonas novads	2	0	2013-05-19 23:17:26.29532+02	\N	\N	\N	\N	\N	\N	f	
1353	5c406747-9f37-448d-80fd-6244ed23c0b4	Nīcas novads	Nīcas novads	2	0	2013-05-19 23:18:49.57241+02	\N	\N	\N	\N	\N	\N	f	
1362	3a6ac50f-96f7-4996-8b59-c8da525b908c	Priekuļu novads	Priekuļu novads	2	0	2013-05-19 23:20:45.815063+02	\N	\N	\N	\N	\N	\N	f	
1354	80dd178d-4bc2-4f83-a178-c210c992efb9	Ogres novads	Ogres novads	2	0	2013-05-19 23:19:05.324098+02	\N	\N	\N	\N	\N	\N	f	
1355	5d5bd1b0-15f9-4001-9e6a-ad71352bf262	Olaines novads	Olaines novads	2	0	2013-05-19 23:19:17.043399+02	\N	\N	\N	\N	\N	\N	f	
1369	8c30bd70-8e97-441b-b2c1-b4768137f497	Rugāju novads	Rugāju novads	2	0	2013-05-19 23:22:05.109071+02	\N	\N	\N	\N	\N	\N	f	
1356	64fae5f9-dcfe-40fc-86e4-b4230d0dc3a6	Ozolnieku novads	Ozolnieku novads	2	0	2013-05-19 23:19:33.196375+02	\N	\N	\N	\N	\N	\N	f	
1363	1b620404-6c8a-4074-a7d7-62489a1a6656	Raunas novads	Raunas novads	2	0	2013-05-19 23:20:57.191849+02	\N	\N	\N	\N	\N	\N	f	
1357	a593c6a6-8bef-4181-ba02-92de7a1a1e1e	Pārgaujas novads	Pārgaujas novads	2	0	2013-05-19 23:19:44.661419+02	\N	\N	\N	\N	\N	\N	f	
1358	8b4ffb55-d99a-4292-80b3-072c5d775557	Pāvilostas novads	Pāvilostas novads	2	0	2013-05-19 23:19:55.896858+02	\N	\N	\N	\N	\N	\N	f	
1359	e0119e9d-0a8a-446c-bbfa-6776416f3cfa	Pļaviņu novads	Pļaviņu novads	2	0	2013-05-19 23:20:08.733809+02	\N	\N	\N	\N	\N	\N	f	
1374	da2a9cb0-b5ea-473d-89e2-5fdd6bdff97e	Salaspils novads	Salaspils novads	2	0	2013-05-19 23:23:06.509174+02	\N	\N	\N	\N	\N	\N	f	
1364	6d81b255-d0eb-43c8-8974-01a28927dcbe	Rēzeknes novads	Rēzeknes novads	2	0	2013-05-19 23:21:08.380642+02	\N	\N	\N	\N	\N	\N	f	
1370	2142114a-5769-47b0-97a0-ce20d97d015e	Rundāles novads	Rundāles novads	2	0	2013-05-19 23:22:16.980938+02	\N	\N	\N	\N	\N	\N	f	
1365	896b4d30-95fa-45c0-8844-172cdc9c2905	Riebiņu novads	Riebiņu novads	2	0	2013-05-19 23:21:19.487548+02	\N	\N	\N	\N	\N	\N	f	
1366	c4c304f2-a8ed-4d9e-8c06-a7d6315a087e	Rojas novads	Rojas novads	2	0	2013-05-19 23:21:30.799851+02	\N	\N	\N	\N	\N	\N	f	
1367	323c0746-8fac-42b7-b645-2bfe1541fe3f	Ropažu novads	Ropažu novads	2	0	2013-05-19 23:21:41.989479+02	\N	\N	\N	\N	\N	\N	f	
1371	430ba5a9-8b0e-406c-bfe9-0b6f3c83b93d	Rūjienas novads	Rūjienas novads	2	0	2013-05-19 23:22:31.392972+02	\N	\N	\N	\N	\N	\N	f	
1375	2e436875-4095-4afa-aee1-136ed6943f5e	Saldus novads	Saldus novads	2	0	2013-05-19 23:23:20.155769+02	\N	\N	\N	\N	\N	\N	f	
1372	6a612f6e-0a9d-48f1-adad-099326c0ede5	Salas novads	Salas novads	2	0	2013-05-19 23:22:43.02015+02	\N	\N	\N	\N	\N	\N	f	
1373	c64966fc-7e4f-4309-9087-63b5e66bf0b9	Salacgrīvas novads	Salacgrīvas novads	2	0	2013-05-19 23:22:55.36313+02	\N	\N	\N	\N	\N	\N	f	
1376	c773e654-aec0-4835-90b8-96028636c09c	Saulkrastu novads	Saulkrastu novads	2	0	2013-05-19 23:23:35.544044+02	\N	\N	\N	\N	\N	\N	f	
1379	6c99a466-d4be-466b-8cc0-089ab2247288	Skrīveru novads	Skrīveru novads	2	0	2013-05-19 23:24:12.599958+02	\N	\N	\N	\N	\N	\N	f	
1377	da717e2c-b633-4e3a-91ec-7626168994ca	Sējas novads	Sējas novads	2	0	2013-05-19 23:23:47.485464+02	\N	\N	\N	\N	\N	\N	f	
1383	41a23e67-eb06-4999-ab14-b360e9b8c338	Strenču novads	Strenču novads	2	0	2013-05-19 23:25:00.344073+02	\N	\N	\N	\N	\N	\N	f	
1382	e770986b-9f0f-4985-9737-366fb0dbb545	Stopiņu novads	Stopiņu novads	2	0	2013-05-19 23:24:48.698971+02	\N	\N	\N	\N	\N	\N	f	
1380	00ea2289-6212-49aa-b5e6-01f802d231a9	Skrundas novads	Skrundas novads	2	0	2013-05-19 23:24:23.867841+02	\N	\N	\N	\N	\N	\N	f	
1381	8d10f5b0-ebcc-4959-b55c-814a7e86ceb4	Smiltenes novads	Smiltenes novads	2	0	2013-05-19 23:24:35.31132+02	\N	\N	\N	\N	\N	\N	f	
1384	23501c8a-6592-4d0a-8c60-7a1b0137984e	Talsu novads	Talsu novads	2	0	2013-05-19 23:25:12.936607+02	\N	\N	\N	\N	\N	\N	f	
1385	5457017c-372e-4258-b9f3-18da8e037c8e	Tērvetes novads	Tērvetes novads	2	0	2013-05-19 23:25:24.546148+02	\N	\N	\N	\N	\N	\N	f	
1386	41ee9d67-14e9-400c-a2f5-b08ba76ac4a8	Tukuma novads	Tukuma novads	2	0	2013-05-19 23:25:35.749773+02	\N	\N	\N	\N	\N	\N	f	
1387	aed25476-2d26-4f4a-921b-bc450be3f4d6	Vaiņodes novads	Vaiņodes novads	2	0	2013-05-19 23:25:47.093851+02	\N	\N	\N	\N	\N	\N	f	
1388	8668f4ac-ef8a-4a3d-a278-ee325bb46631	Valkas novads	Valkas novads	2	0	2013-05-19 23:25:58.41322+02	\N	\N	\N	\N	\N	\N	f	
1389	8eb5fd74-f160-40ec-96d0-18ec350975c2	Varakļānu novads	Varakļānu novads	2	0	2013-05-19 23:26:09.918895+02	\N	\N	\N	\N	\N	\N	f	
1390	051c50f0-1ec4-43ee-a49d-3d146e84b058	Vārkavas novads	Vārkavas novads	2	0	2013-05-19 23:26:21.399473+02	\N	\N	\N	\N	\N	\N	f	
2453	9593b81f-1249-48a9-9155-6456488e3cde	Respublika Tatarstan	Tatarstan, Respublika	2	0	2013-05-24 00:52:22.557722+02	\N	\N	\N	\N	\N	\N	f	
5075	e331bfdf-b908-429c-a79b-710cf9c06abb	Boston	Boston	3	0	2013-05-24 21:24:23.449867+02	\N	\N	\N	\N	\N	\N	f	
1391	8c6ce551-96fb-4c5b-bfa3-833236ce688f	Vecpiebalgas novads	Vecpiebalgas novads	2	0	2013-05-19 23:26:32.905916+02	\N	\N	\N	\N	\N	\N	f	
1428	3ee853b5-46a7-48fc-a759-6e9326a8c469	Petén	Petén	2	0	2013-05-20 00:21:40.666826+02	\N	\N	\N	\N	\N	\N	f	
1392	2a7521fa-034d-47c5-aabb-a9b59fa6699e	Vecumnieku novads	Vecumnieku novads	2	0	2013-05-19 23:26:44.442802+02	\N	\N	\N	\N	\N	\N	f	
1414	06995832-b01b-4cf7-a8fe-dda799b5a4a6	Kommune Kujalleq	Kommune Kujalleq	2	0	2013-05-20 00:13:41.729273+02	\N	\N	\N	\N	\N	\N	f	
1393	0319bf18-71cd-42d1-b103-9e07c1b62e5e	Ventspils novads	Ventspils novads	2	0	2013-05-19 23:27:02.126648+02	\N	\N	\N	\N	\N	\N	f	
1394	acc94303-a2b2-430f-9a21-f85ecfca31fb	Viesītes novads	Viesītes novads	2	0	2013-05-19 23:27:14.319051+02	\N	\N	\N	\N	\N	\N	f	
1395	b0118eb1-3c80-491e-9e8c-194ec653a6b5	Viļakas novads	Viļakas novads	2	0	2013-05-19 23:27:31.623521+02	\N	\N	\N	\N	\N	\N	f	
1415	1ef984fa-f12a-493b-a9f5-8e0016d2de98	Qaasuitsup Kommunia	Qaasuitsup Kommunia	2	0	2013-05-20 00:13:53.467412+02	\N	\N	\N	\N	\N	\N	f	
1396	c8b69fe7-b9f8-43d2-a4d8-c47c0dd0995e	Viļānu novads	Viļānu novads	2	0	2013-05-19 23:27:44.026729+02	\N	\N	\N	\N	\N	\N	f	
1397	e1600040-51ae-4307-b8c2-b8a3fe34231b	Zilupes novads	Zilupes novads	2	0	2013-05-19 23:27:56.238053+02	\N	\N	\N	\N	\N	\N	f	
5076	74b24e62-d2fe-42d2-9d96-31f2da756c77	Toronto	Toronto	3	0	2013-05-24 22:22:54.016486+02	\N	\N	\N	\N	\N	\N	f	
1416	4f4dcf30-0d5b-4161-8c47-01f162b98892	Qeqqata Kommunia	Qeqqata Kommunia	2	0	2013-05-20 00:14:07.179001+02	\N	\N	\N	\N	\N	\N	f	
1405	e5a13cdd-358a-47bd-9cf8-45db80ce60e1	Ventspils	Ventspils	3	0	2013-05-24 01:05:23.147617+02	\N	\N	\N	\N	\N	\N	f	
1429	33b68221-f50c-4540-a6c4-47886a7de426	El Progreso	El Progreso	2	0	2013-05-20 00:21:51.677825+02	\N	\N	\N	\N	\N	\N	f	
1400	d6e57b65-e993-4e93-b64e-a101798f57cc	Jēkabpils	Jēkabpils	3	0	2013-05-24 01:05:03.925016+02	\N	\N	\N	\N	\N	\N	f	
1417	994eb65b-33ed-4687-895f-96ccdff66a7d	Kommuneqarfik Sermersooq	Kommuneqarfik Sermersooq	2	0	2013-05-20 00:14:20.573619+02	\N	\N	\N	\N	\N	\N	f	
1401	309534e7-a12b-4d90-a344-85bdc283117a	Jūrmala	Jūrmala	3	0	2013-05-24 01:05:02.942553+02	\N	\N	\N	\N	\N	\N	f	
1402	c3c59c9c-c293-425d-bf78-cb6422a10678	Liepāja	Liepāja	3	0	2013-05-24 01:05:02.299123+02	\N	\N	\N	\N	\N	\N	f	
1403	b8dc2e58-2dcb-4b98-9f83-79f50c798734	Rēzekne	Rēzekne	3	0	2013-05-24 01:05:01.838587+02	\N	\N	\N	\N	\N	\N	f	
1418	dfd54386-c36d-4375-a713-450524ccc06e	Alta Verapaz	Alta Verapaz	2	0	2013-06-05 08:15:34.213878+02	\N	\N	\N	\N	\N	\N	f	
1458	b2d3fc9d-317c-4645-bd6a-c84132034e5f	Artibonite	Artibonite	2	0	2013-06-05 09:21:14.152707+02	\N	\N	\N	\N	\N	\N	f	
1419	97e27cf3-e4d6-4362-ba94-baff53240cc6	Baja Verapaz	Baja Verapaz	2	0	2013-06-05 06:49:30.373273+02	\N	\N	\N	\N	\N	\N	f	
1404	9c612199-d66f-4109-aedc-67ab26e0a43b	Rīga	Rīga	3	0	2013-05-24 01:05:00.768709+02	\N	\N	\N	\N	\N	\N	f	
13739	cb8e69b6-eb46-4ff1-8481-576961e48a31	Vauda Canavese	Vauda Canavese	4	0	2013-07-21 19:02:08.279715+02	\N	\N	\N	\N	\N	\N	f	
1407	c91d0916-dbb1-4b96-8271-0fff32c41a28	Saint Andrew	Saint Andrew	2	0	2013-05-19 23:43:55.888256+02	\N	\N	\N	\N	\N	\N	f	
1443	16b06058-acd1-4b11-be5c-6504a4a88d2d	Comayagua	Comayagua	2	0	2013-06-05 06:54:01.036136+02	\N	\N	\N	\N	\N	\N	f	
1408	12134a0e-4676-420c-b340-751950845fc9	Saint David	Saint David	2	0	2013-05-19 23:44:08.941385+02	\N	\N	\N	\N	\N	\N	f	
1409	46ef1e39-9d6e-4cda-a7ce-6828793299cc	Saint George	Saint George	2	0	2013-05-19 23:44:22.994195+02	\N	\N	\N	\N	\N	\N	f	
1430	949b1122-bc52-4256-a9bc-fd30285529b6	Quiché	Quiché	2	0	2013-05-20 00:22:04.701846+02	\N	\N	\N	\N	\N	\N	f	
1410	cd3506da-3ba4-4c5b-9d66-63b32363a80e	Saint John	Saint John	2	0	2013-05-19 23:44:38.220113+02	\N	\N	\N	\N	\N	\N	f	
1420	185cef1f-bc8b-4df0-abbb-194d09055d1c	Chimaltenango	Chimaltenango	2	0	2013-06-05 12:06:20.996354+02	\N	\N	\N	\N	\N	\N	f	
1411	892c287a-7fcb-4bea-aeca-b3f1835e8334	Saint Mark	Saint Mark	2	0	2013-05-19 23:44:56.53958+02	\N	\N	\N	\N	\N	\N	f	
1412	12882ac9-356a-427d-b26f-eabbc9241afa	Saint Patrick	Saint Patrick	2	0	2013-05-19 23:45:10.185291+02	\N	\N	\N	\N	\N	\N	f	
1413	9cad0d89-5226-4c8b-92e4-9d5f3fe9f0fa	Southern Grenadine Islands	Southern Grenadine Islands	2	0	2013-05-19 23:45:25.252212+02	\N	\N	\N	\N	\N	\N	f	
1421	c38d91af-af8e-423c-b86b-2a53a6e087df	Chiquimula	Chiquimula	2	0	2013-06-05 12:30:29.999734+02	\N	\N	\N	\N	\N	\N	f	
1438	8d769f15-8b85-482d-b6ef-b6cf3ec5a8c0	Totonicapán	Totonicapán	2	0	2013-05-20 00:23:33.345232+02	\N	\N	\N	\N	\N	\N	f	
1422	b8694cca-365b-4475-aa71-32df36354348	Escuintla	Escuintla	2	0	2013-05-20 00:20:29.807913+02	\N	\N	\N	\N	\N	\N	f	
1431	615e16b7-822c-4ac3-9f73-64a170e80623	Quetzaltenango	Quetzaltenango	2	0	2013-05-20 00:22:15.819376+02	\N	\N	\N	\N	\N	\N	f	
1423	b5ab731d-acb9-4fda-9e89-f5e556251eee	Guatemala	Guatemala	2	0	2013-05-20 00:20:40.895116+02	\N	\N	\N	\N	\N	\N	f	
1424	6f361152-6bb7-442b-80bf-7943a1951345	Huehuetenango	Huehuetenango	2	0	2013-05-20 00:20:51.621612+02	\N	\N	\N	\N	\N	\N	f	
1425	ee52eef8-776d-4289-9af4-5cdfe7ba8fff	Izabal	Izabal	2	0	2013-05-20 00:21:02.649581+02	\N	\N	\N	\N	\N	\N	f	
1432	1fcccc51-15b4-454b-a159-602c24b72cea	Retalhuleu	Retalhuleu	2	0	2013-05-20 00:22:27.27453+02	\N	\N	\N	\N	\N	\N	f	
1426	c42c483b-1d31-4cd4-821a-79b50e93ff1f	Jalapa	Jalapa	2	0	2013-05-20 00:21:18.156522+02	\N	\N	\N	\N	\N	\N	f	
1427	a9e2dbc5-fa6e-46f4-9e72-7140129bcede	Jutiapa	Jutiapa	2	0	2013-05-20 00:21:29.348885+02	\N	\N	\N	\N	\N	\N	f	
1439	cfdc2ff6-ea0c-4a3f-894c-b6d43cea9b8e	Zacapa	Zacapa	2	0	2013-05-20 00:23:44.376426+02	\N	\N	\N	\N	\N	\N	f	
1433	fd8358cd-cdc8-4386-af10-f68ddd9c9467	Sacatepéquez	Sacatepéquez	2	0	2013-05-20 00:22:38.216632+02	\N	\N	\N	\N	\N	\N	f	
1434	4a2f7db6-b2cd-4e24-a47a-cd599a90ec20	San Marcos	San Marcos	2	0	2013-05-20 00:22:49.572005+02	\N	\N	\N	\N	\N	\N	f	
1445	693f589c-86aa-4d7b-b30a-33d76dc8c7c5	Cortés	Cortés	2	0	2013-06-05 08:03:59.37872+02	\N	\N	\N	\N	\N	\N	f	
1435	999fa95b-a1b9-4de1-96e3-c81e0213a096	Sololá	Sololá	2	0	2013-05-20 00:23:00.600429+02	\N	\N	\N	\N	\N	\N	f	
1440	9f3686fa-b022-4329-849c-bb772bb81713	Atlántida	Atlántida	2	0	2013-06-05 08:40:04.614447+02	\N	\N	\N	\N	\N	\N	f	
1436	bf8ea43e-fb1c-47f1-87f3-226d94d73d3a	Santa Rosa	Santa Rosa	2	0	2013-05-20 00:23:11.669939+02	\N	\N	\N	\N	\N	\N	f	
1437	7f7e7f3e-c705-4bac-9ab1-474522f8d3d7	Suchitepéquez	Suchitepéquez	2	0	2013-05-20 00:23:22.524222+02	\N	\N	\N	\N	\N	\N	f	
15470	a565b65b-950a-48dc-946a-543fb94b790d	Scandriglia	Scandriglia	4	0	2013-07-22 00:52:44.808749+02	\N	\N	\N	\N	\N	\N	f	
17288	0372a4b0-d553-4808-ac0e-ba150ef16826	Monteleone Rocca Doria	Monteleone Rocca Doria	4	0	2013-07-22 06:08:29.835722+02	\N	\N	\N	\N	\N	\N	f	
1441	2841e574-d25c-485a-8df0-8ae880d1b2ab	Choluteca	Choluteca	2	0	2013-06-05 10:48:05.596216+02	\N	\N	\N	\N	\N	\N	f	
1448	1b24c330-d503-4406-8cc8-c1e8dbe7d5a6	Gracias a Dios	Gracias a Dios	2	0	2013-05-20 01:30:49.612736+02	\N	\N	\N	\N	\N	\N	f	
1446	03b41cf7-3527-4f55-8cb0-a38e7b81378c	El Paraíso	El Paraíso	2	0	2013-05-20 01:30:27.160052+02	\N	\N	\N	\N	\N	\N	f	
1452	365d7773-1614-4f88-8046-673de60c80ba	La Paz	La Paz	2	0	2013-05-20 01:31:33.876902+02	\N	\N	\N	\N	\N	\N	f	
1447	40a56626-6726-4a5d-8b4c-9ac9a19aa896	Francisco Morazán	Francisco Morazán	2	0	2013-05-20 01:30:38.277557+02	\N	\N	\N	\N	\N	\N	f	
1451	b4261204-ff32-4ebc-b020-1afdc6a3ac67	Lempira	Lempira	2	0	2013-05-20 01:31:22.759257+02	\N	\N	\N	\N	\N	\N	f	
1449	023ef0f6-7380-4e1c-bd45-bc3148da2e9b	Islas de la Bahía	Islas de la Bahía	2	0	2013-05-20 01:31:00.848633+02	\N	\N	\N	\N	\N	\N	f	
1450	44e794af-a746-43c9-b9f0-5e8ba5a1e62f	Intibucá	Intibucá	2	0	2013-05-20 01:31:11.793744+02	\N	\N	\N	\N	\N	\N	f	
1453	9920954c-aaa6-40d9-a593-44f100d0e0cc	Ocotepeque	Ocotepeque	2	0	2013-05-20 01:31:44.577717+02	\N	\N	\N	\N	\N	\N	f	
1454	12a03011-1e06-45d5-b46d-406acfa39c22	Olancho	Olancho	2	0	2013-05-20 01:31:55.498413+02	\N	\N	\N	\N	\N	\N	f	
1455	bc55a120-dcb1-41c1-93a0-b5f9121ed524	Santa Bárbara	Santa Bárbara	2	0	2013-05-20 01:32:06.465533+02	\N	\N	\N	\N	\N	\N	f	
1456	16dcfbd0-0d59-43be-8eff-b92d17bac8bb	Valle	Valle	2	0	2013-05-20 01:32:17.410264+02	\N	\N	\N	\N	\N	\N	f	
1457	b478d8f7-cb63-44b5-a606-b6353faa06d4	Yoro	Yoro	2	0	2013-05-20 01:32:28.356662+02	\N	\N	\N	\N	\N	\N	f	
1459	8496d8a7-18b8-4896-b3f1-4d7bc22047e8	Centre	Centre	2	0	2013-06-05 11:07:07.46013+02	\N	\N	\N	\N	\N	\N	f	
1460	8ccac11c-0913-417d-98c3-9b3b7371e8cf	Grande-Anse	Grande-Anse	2	0	2013-05-20 01:48:54.118132+02	\N	\N	\N	\N	\N	\N	f	
1975	6105a225-ff00-47e7-82c5-68f7cae04642	Gornji Petrovci	Gornji Petrovci	2	0	2013-05-20 17:33:08.491526+02	\N	\N	\N	\N	\N	\N	f	
1461	d38fd715-81fc-46b1-8f32-9c5f0527efd0	Nord	Nord	2	0	2013-05-20 01:49:05.032387+02	\N	\N	\N	\N	\N	\N	f	
1464	f7dd30df-7a80-41df-87c7-97dfda79b403	Nord-Ouest	Nord-Ouest	2	0	2013-05-20 01:49:37.676121+02	\N	\N	\N	\N	\N	\N	f	
1465	9a558387-0a99-48b8-8470-7d1796edfabe	Ouest	Ouest	2	0	2013-05-20 01:49:48.638087+02	\N	\N	\N	\N	\N	\N	f	
1491	f6ec9f5e-b43f-423d-b5bd-472f627225a2	Micoud	Micoud	2	0	2013-05-20 02:03:09.898543+02	\N	\N	\N	\N	\N	\N	f	
1466	f119dece-0071-440a-a84d-686309754b74	Sud	Sud	2	0	2013-05-20 01:49:59.860775+02	\N	\N	\N	\N	\N	\N	f	
1468	23e0d135-9fe7-48cb-b2c4-93addd3d1e37	Kingston	Kingston	2	0	2013-05-20 01:57:15.095975+02	\N	\N	\N	\N	\N	\N	f	
1469	e4266d76-372a-4602-93b7-380e4013c90f	Saint Andrew	Saint Andrew	2	0	2013-05-20 01:57:25.689003+02	\N	\N	\N	\N	\N	\N	f	
1492	32f898a0-52cc-4687-8259-f826a299bc5e	Praslin	Praslin	2	0	2013-05-20 02:03:21.561598+02	\N	\N	\N	\N	\N	\N	f	
1470	4eff234e-c989-47d5-be29-2f72527199b6	Saint Thomas	Saint Thomas	2	0	2013-05-20 01:57:36.769221+02	\N	\N	\N	\N	\N	\N	f	
1471	79c49800-d496-4c77-864b-d5c34df347ed	Portland	Portland	2	0	2013-05-20 01:57:48.594869+02	\N	\N	\N	\N	\N	\N	f	
1976	0db8d6df-c44e-41d1-a166-74136063ac3a	Grosuplje	Grosuplje	2	0	2013-05-20 17:33:22.233693+02	\N	\N	\N	\N	\N	\N	f	
1472	e3a72b04-13d1-4bbf-a93e-c264dc5fb3ba	Saint Mary	Saint Mary	2	0	2013-05-20 01:57:59.467226+02	\N	\N	\N	\N	\N	\N	f	
1493	dfeb1a9a-566a-4592-b707-7f857be5bd77	Soufrière	Soufrière	2	0	2013-05-20 02:03:33.224382+02	\N	\N	\N	\N	\N	\N	f	
1473	2ebfa9d9-2dbb-492e-a4a6-cf1a36a87068	Saint Ann	Saint Ann	2	0	2013-05-20 01:58:10.561875+02	\N	\N	\N	\N	\N	\N	f	
1474	db270a6c-a34e-4b00-80ca-d9eb541d25fb	Trelawny	Trelawny	2	0	2013-05-20 01:58:21.696443+02	\N	\N	\N	\N	\N	\N	f	
1475	c8d60a32-ca0a-48f2-8eb9-72a469e0f936	Saint James	Saint James	2	0	2013-05-20 01:58:32.788402+02	\N	\N	\N	\N	\N	\N	f	
1494	960076b3-52ba-401d-8ca5-963c60ffc99d	Vieux Fort	Vieux Fort	2	0	2013-05-20 02:03:44.438471+02	\N	\N	\N	\N	\N	\N	f	
1476	69f44272-d1b3-4af3-b877-25e3f2a145e6	Hanover	Hanover	2	0	2013-05-20 01:58:43.822288+02	\N	\N	\N	\N	\N	\N	f	
1477	ac5de91c-4245-4890-a87e-93dc3ac61030	Westmoreland	Westmoreland	2	0	2013-05-20 01:58:54.779037+02	\N	\N	\N	\N	\N	\N	f	
2028	78c83acc-9ba1-430c-ac60-d8598495b620	Nova Gorica	Nova Gorica	2	0	2013-05-20 17:44:51.443693+02	\N	\N	\N	\N	\N	\N	f	
1478	fd28af20-7fe7-48ef-921d-a5dd4f0d03ab	Saint Elizabeth	Saint Elizabeth	2	0	2013-05-20 01:59:05.533572+02	\N	\N	\N	\N	\N	\N	f	
1479	01e477e4-0bb1-4bf3-bcde-e2f9b9fe9f56	Manchester	Manchester	2	0	2013-05-20 01:59:16.529903+02	\N	\N	\N	\N	\N	\N	f	
2787	987020a9-7c4e-41ab-87eb-13da82792286	Cordillera Administrative Region (CAR)	Cordillera Administrative Region (CAR)	2	0	2013-06-05 11:04:54.218567+02	\N	\N	\N	\N	\N	\N	f	
1481	8a086d15-0735-4b7e-b3f7-5c02e4723c2a	Saint Catherine	Saint Catherine	2	0	2013-05-20 01:59:38.486321+02	\N	\N	\N	\N	\N	\N	f	
2633	b5965071-3d34-414e-b364-35c1d7a690b9	Baat Dambang [Bătdâmbâng]	Baat Dambang [Bătdâmbâng]	2	0	2013-06-05 09:25:52.769869+02	\N	\N	\N	\N	\N	\N	f	
1482	663d1648-83a1-4204-9d6e-ce2357fdc978	Christ Church Nichola Town	Christ Church Nichola Town	2	0	2013-06-05 11:15:14.146001+02	\N	\N	\N	\N	\N	\N	f	
1483	1c209303-f95f-436d-861a-c1fc7d1666ff	Nevis	Nevis	2	0	2013-05-20 02:01:13.836796+02	\N	\N	\N	\N	\N	\N	f	
2431	4e2042d5-1c82-4015-aa7d-30cc2f9e482a	Nenetskiy avtonomnyy okrug	Nenetskiy avtonomnyy okrug	2	0	2013-05-20 19:46:45.456185+02	\N	\N	\N	\N	\N	\N	f	
2930	ed11b44f-af01-482a-8c20-acfef1aa0cc7	Al Janūbīyah	Al Janūbīyah	2	0	2013-06-05 09:08:48.002834+02	\N	\N	\N	\N	\N	\N	f	
2951	dd0c8f72-f787-4857-822b-71aecfceb966	An Najaf	An Najaf	2	0	2013-06-05 10:55:00.555547+02	\N	\N	\N	\N	\N	\N	f	
1485	b28198c0-0d03-43e8-b54f-087d10e10dbb	Castries	Castries	2	0	2013-06-05 08:20:54.458372+02	\N	\N	\N	\N	\N	\N	f	
13740	6704b437-4cdb-41aa-9f7d-057edd26e003	Agnosine	Agnosine	4	0	2013-07-21 19:02:20.065056+02	\N	\N	\N	\N	\N	\N	f	
5711	02123332-a5b5-4ffe-9713-d91c9dc5d0dc	Chenareh	Chenareh	3	0	2013-05-25 00:35:43.935367+02	\N	\N	\N	\N	\N	\N	f	
1484	603b8404-becb-477b-a68c-02686d02749f	Anse la Raye	Anse la Raye	2	0	2013-06-05 07:24:14.134306+02	\N	\N	\N	\N	\N	\N	f	
1495	3d3f20a7-c043-4ee6-92f3-fd365dbb7b6f	Aguascalientes	Aguascalientes	2	0	2013-06-05 06:50:21.991205+02	\N	\N	\N	\N	\N	\N	f	
1487	b57d6b12-ea56-462a-a8e1-f63705224c7d	Dauphin	Dauphin	2	0	2013-05-20 02:02:22.967476+02	\N	\N	\N	\N	\N	\N	f	
2601	1141dd0e-58db-4ea0-bbc6-460665d7c343	Bac Giang	Bac Giang	2	0	2013-06-05 08:42:34.234177+02	\N	\N	\N	\N	\N	\N	f	
1488	d2775ef9-83b0-4f67-a84d-06da61a9e341	Dennery	Dennery	2	0	2013-05-20 02:02:34.39121+02	\N	\N	\N	\N	\N	\N	f	
1504	863b0932-5e61-4c4d-8b01-5f3d9b03f174	Durango	Durango	2	0	2013-05-20 02:09:20.716174+02	\N	\N	\N	\N	\N	\N	f	
1507	a9c1d37a-9037-4e43-a249-81ab914086b4	Hidalgo	Hidalgo	2	0	2013-05-20 02:10:24.193475+02	\N	\N	\N	\N	\N	\N	f	
2108	eec81e20-6c89-4883-9844-c4307e4826d2	Kostel	Kostel	2	0	2013-05-20 18:00:27.709056+02	\N	\N	\N	\N	\N	\N	f	
1521	b7cdd314-66b7-4efb-ae92-ceedbcc573a1	Tabasco	Tabasco	2	0	2013-05-20 02:13:23.507806+02	\N	\N	\N	\N	\N	\N	f	
2141	dc85df7a-641d-49b9-b29f-e04d29dff32e	Makole	Makole	2	0	2013-05-20 18:07:18.253014+02	\N	\N	\N	\N	\N	\N	f	
2168	f0d378a4-4db3-4b7b-aeb0-c2087d9e8b40	Vidin	Vidin	2	0	2013-05-20 18:19:01.041807+02	\N	\N	\N	\N	\N	\N	f	
2260	23fc0abd-f4ef-4cc0-b8fe-95c7ae612ef6	Bogdanci	Bogdanci	2	0	2013-06-05 10:47:48.792927+02	\N	\N	\N	\N	\N	\N	f	
2176	eb6873af-3cfc-4573-99ba-325d6fc9f404	Pazardzhik	Pazardzhik	2	0	2013-05-20 18:20:32.685596+02	\N	\N	\N	\N	\N	\N	f	
2571	c1897cfd-fae9-488c-a86e-c06cb22fc6cd	Thanh Hoa	Thanh Hoa	2	0	2013-05-20 22:18:49.074772+02	\N	\N	\N	\N	\N	\N	f	
2265	a65f0cfc-9c59-4401-b70d-d374c1e8fd2b	Valandovo	Valandovo	2	0	2013-05-20 19:10:28.612333+02	\N	\N	\N	\N	\N	\N	f	
2479	51b3906d-6737-4f65-bc48-104a4236578a	Tavuš	Tavuš	2	0	2013-05-20 20:50:33.518391+02	\N	\N	\N	\N	\N	\N	f	
2283	eea39907-e876-4fdb-b5fa-cb7a9f626074	Drugovo	Drugovo	2	0	2013-05-20 19:13:45.609821+02	\N	\N	\N	\N	\N	\N	f	
2311	389e6c79-d126-4221-9c5f-ded0be540e7f	Novo Selo	Novo Selo	2	0	2013-05-20 19:19:13.397247+02	\N	\N	\N	\N	\N	\N	f	
13796	e0cfd2a6-3bb3-4d07-a200-fddf6cefe34b	Viù	Viù	4	0	2013-07-21 19:14:09.097687+02	\N	\N	\N	\N	\N	\N	f	
1497	10258ba2-f3ff-40cc-8e43-d8e6b4fcc3e4	Baja California Sur	Baja California Sur	2	0	2013-06-05 09:20:15.44953+02	\N	\N	\N	\N	\N	\N	f	
2514	115ad3c2-c453-4170-9b32-cbeab42d91e7	Uvs	Uvs	2	0	2013-05-20 21:11:34.71127+02	\N	\N	\N	\N	\N	\N	f	
2996	2b13547c-c801-41ef-8a7b-264b800ac30d	Al Karak	Al Karak	2	0	2013-06-05 10:40:19.407932+02	\N	\N	\N	\N	\N	\N	f	
13851	36399047-d5a8-495b-b950-f6d34a7dae37	Cividate Camuno	Cividate Camuno	4	0	2013-07-21 19:26:35.802156+02	\N	\N	\N	\N	\N	\N	f	
1499	c985f310-f8cc-4327-8329-122b64f71383	Chihuahua	Chihuahua	2	0	2013-06-05 10:47:33.359957+02	\N	\N	\N	\N	\N	\N	f	
1480	49412054-5de5-49ba-af06-5cab89efb48b	Clarendon	Clarendon	2	0	2013-06-05 10:56:16.519102+02	\N	\N	\N	\N	\N	\N	f	
2552	7e860c71-cd5f-4db8-a880-e9bf7c30ea17	Hwanghae-bukto	Hwanghae-bukto	2	0	2013-05-20 21:17:49.171834+02	\N	\N	\N	\N	\N	\N	f	
2229	abe712a8-9c84-4a94-b5a8-3bea42d2b78f	Cantemir	Cantemir	2	0	2013-06-05 12:25:25.547493+02	\N	\N	\N	\N	\N	\N	f	
2707	751d9e7a-99f3-4b48-b25e-ebd69c919478	Phayao	Phayao	2	0	2013-05-20 22:44:50.56118+02	\N	\N	\N	\N	\N	\N	f	
2673	265c1a01-68f9-4172-94b9-ff72eb5247c3	Saraburi	Saraburi	2	0	2013-05-20 22:37:54.793959+02	\N	\N	\N	\N	\N	\N	f	
2690	0731950f-e6f9-44a1-9671-e6e0aedf6630	Nong Bua Lam Phu	Nong Bua Lam Phu	2	0	2013-05-20 22:41:10.742472+02	\N	\N	\N	\N	\N	\N	f	
2784	d281c124-b285-414c-9f60-27d3f9e9a100	Soccsksargen (Region XII)	Soccsksargen (Region XII)	2	0	2013-05-20 22:59:14.31332+02	\N	\N	\N	\N	\N	\N	f	
2723	9b37594d-78ed-4392-b721-8046cf0b84c4	Samut Songkhram	Samut Songkhram	2	0	2013-05-20 22:47:49.793055+02	\N	\N	\N	\N	\N	\N	f	
2756	915dd65b-5f2e-4f96-a02d-32deb7989de7	Terengganu	Terengganu	2	0	2013-05-20 22:54:00.977865+02	\N	\N	\N	\N	\N	\N	f	
19654	cd87170a-84fd-4e52-b877-12fe2b65c081	San Paolo di Civitate	San Paolo di Civitate	4	0	2013-07-22 11:12:50.040594+02	\N	\N	\N	\N	\N	\N	f	
2801	2650fcc2-ca41-4f4f-9f61-9d69d1ac6c72	Oecussi	Oecussi	2	0	2013-05-20 23:02:39.191963+02	\N	\N	\N	\N	\N	\N	f	
2846	acb77e7a-e533-431e-83af-326fbac40a3d	Pashchimanchal	Pashchimanchal	2	0	2013-05-20 23:28:58.973624+02	\N	\N	\N	\N	\N	\N	f	
2874	7efc8b0d-e118-466e-a766-8435f103aeea	Khōst	Khōst	2	0	2013-05-20 23:33:59.181295+02	\N	\N	\N	\N	\N	\N	f	
2904	00ee1e2e-b2d2-4e5c-b6b7-a88718ccbb4a	Farg‘ona	Farg‘ona	2	0	2013-05-20 23:39:48.807214+02	\N	\N	\N	\N	\N	\N	f	
17289	4144466a-6b25-4fb4-8e60-5d5f82060ae2	Osilo	Osilo	4	0	2013-07-22 06:08:44.010045+02	\N	\N	\N	\N	\N	\N	f	
4573	0d55f6de-e8cf-4eed-bbf5-db1298f92319	Nusa Tenggara Barat	Nusa Tenggara Barat	2	0	2013-05-22 14:11:37.206067+02	\N	\N	\N	\N	\N	\N	f	
4706	cb26ff0a-dced-4728-b959-611b5576546c	Teramo	Teramo	2	0	2013-05-22 14:49:55.712042+02	\N	\N	\N	\N	\N	\N	f	
1489	2f395bd5-28d2-4272-945b-da2f43f99cd2	Gros Islet	Gros Islet	2	0	2013-05-20 02:02:47.156205+02	\N	\N	\N	\N	\N	\N	f	
1490	2ff2c6f8-fe0a-4ce7-9610-320c5bef6eb4	Laborie	Laborie	2	0	2013-05-20 02:02:58.506722+02	\N	\N	\N	\N	\N	\N	f	
1524	dbbf63cf-64c8-4966-ab66-df6511f2f630	Veracruz	Veracruz	2	0	2013-05-20 02:13:56.045403+02	\N	\N	\N	\N	\N	\N	f	
1529	9321810c-0f6e-4be6-937a-f9095a137b69	Boaco	Boaco	2	0	2013-06-05 11:31:48.916586+02	\N	\N	\N	\N	\N	\N	f	
13741	bdd5a3d0-f4f4-40d0-99fc-3814a504bf4f	Trofarello	Trofarello	4	0	2013-07-21 19:02:31.59377+02	\N	\N	\N	\N	\N	\N	f	
1530	a9d9daac-acee-4105-8000-700fb4247021	Carazo	Carazo	2	0	2013-06-05 08:51:43.126051+02	\N	\N	\N	\N	\N	\N	f	
14368	abf0bd1f-deb0-4ac3-a661-4e0cef40ae7b	Brignano-Frascata	Brignano-Frascata	4	0	2013-07-21 21:22:33.346765+02	\N	\N	\N	\N	\N	\N	f	
1525	7c3e06ab-543b-4947-85bc-c14ac1637517	Yucatán	Yucatán	2	0	2013-05-20 02:14:07.089687+02	\N	\N	\N	\N	\N	\N	f	
1528	83ddb8d9-393f-478e-8d3b-c9d2439f153c	Atlántico Sur	Atlántico Sur	2	0	2013-06-05 11:26:02.423518+02	\N	\N	\N	\N	\N	\N	f	
13876	63d9fb28-e657-462a-8ef1-198044d570c7	Ome, Lombardy	Ome, Lombardy	4	0	2013-07-21 19:32:57.414601+02	\N	\N	\N	\N	\N	\N	f	
1500	5e4ae235-b451-4cb0-aed5-3ad01857ee65	Chiapas	Chiapas	2	0	2013-06-05 08:13:38.547928+02	\N	\N	\N	\N	\N	\N	f	
1551	e4038ab2-0e15-4987-855a-adf4f0878645	Panamá	Panamá	2	0	2013-05-20 02:43:26.799946+02	\N	\N	\N	\N	\N	\N	f	
1505	77d45d7b-5dff-40b2-8c6c-304165cda571	Guerrero	Guerrero	2	0	2013-05-20 02:09:43.863074+02	\N	\N	\N	\N	\N	\N	f	
1526	8e54ffc3-23d7-4425-ac77-fdb4a4d23ca3	Zacatecas	Zacatecas	2	0	2013-05-20 02:14:18.233086+02	\N	\N	\N	\N	\N	\N	f	
1506	1f2bf8fd-d341-4c4d-a549-d9edba1546dd	Guanajuato	Guanajuato	2	0	2013-05-20 02:10:00.038443+02	\N	\N	\N	\N	\N	\N	f	
1508	0a36ab55-725e-416a-bab1-e54898b09b62	Jalisco	Jalisco	2	0	2013-05-20 02:10:40.68765+02	\N	\N	\N	\N	\N	\N	f	
2398	26b7ffd5-5df6-4c21-be93-7143df1b45ea	Chelyabinskaya oblast'	Chelyabinskaya oblast'	2	0	2013-06-05 09:10:34.461479+02	\N	\N	\N	\N	\N	\N	f	
1509	a0e26ca4-c367-4c3b-ad5d-f8094d03151f	México	México	2	0	2013-05-20 02:10:52.742965+02	\N	\N	\N	\N	\N	\N	f	
1510	3ca833e4-2177-4744-8ed2-6b0dd3440db3	Michoacán	Michoacán	2	0	2013-05-20 02:11:10.747929+02	\N	\N	\N	\N	\N	\N	f	
1511	c833db36-9a04-4ebf-a2a3-b3ae03155524	Morelos	Morelos	2	0	2013-05-20 02:11:24.368956+02	\N	\N	\N	\N	\N	\N	f	
1987	65d70f9d-6886-4ff9-86c3-5f2044eba78d	Kamnik	Kamnik	2	0	2013-05-20 17:35:40.338135+02	\N	\N	\N	\N	\N	\N	f	
1512	7af347a3-ca3c-4505-b839-e67c606709cf	Nayarit	Nayarit	2	0	2013-05-20 02:11:35.581293+02	\N	\N	\N	\N	\N	\N	f	
1513	2fb32e41-04d6-42a7-83f4-7767ce450242	Nuevo León	Nuevo León	2	0	2013-05-20 02:11:49.017144+02	\N	\N	\N	\N	\N	\N	f	
1498	86e0bdf0-e191-4036-b1b8-e70ead22be98	Campeche	Campeche	2	0	2013-06-05 11:09:03.012186+02	\N	\N	\N	\N	\N	\N	f	
1514	fad94cac-9360-4956-aca9-df5d26426e1f	Oaxaca	Oaxaca	2	0	2013-05-20 02:12:05.005373+02	\N	\N	\N	\N	\N	\N	f	
2029	93ec562e-7aa0-432f-9986-4a69aa24f72c	Novo mesto	Novo mesto	2	0	2013-05-20 17:45:02.744361+02	\N	\N	\N	\N	\N	\N	f	
1515	f47b1f03-d63f-4dbe-aa5f-0675c4b5fdb9	Puebla	Puebla	2	0	2013-05-20 02:12:16.025919+02	\N	\N	\N	\N	\N	\N	f	
1516	5b1aae6a-3a69-4f49-9e81-a0306fba836c	Querétaro	Querétaro	2	0	2013-05-20 02:12:26.752591+02	\N	\N	\N	\N	\N	\N	f	
1517	d31b0ab4-fd59-45a3-afad-7ec6e0052203	Quintana Roo	Quintana Roo	2	0	2013-05-20 02:12:37.692721+02	\N	\N	\N	\N	\N	\N	f	
2678	0f335caa-348c-42ed-8e99-f541a88f3f4b	Chachoengsao	Chachoengsao	2	0	2013-06-05 07:22:47.618989+02	\N	\N	\N	\N	\N	\N	f	
1518	5349d9a3-167d-4ad5-b53f-8686b74ed564	Sinaloa	Sinaloa	2	0	2013-05-20 02:12:51.228581+02	\N	\N	\N	\N	\N	\N	f	
15471	50a47f6d-103f-4762-8a8a-a1d59b893f03	Poggio Bustone	Poggio Bustone	4	0	2013-07-22 00:53:00.192158+02	\N	\N	\N	\N	\N	\N	f	
1519	c1e0f478-cab3-42f7-8beb-f0ef183f4f6d	San Luis Potosí	San Luis Potosí	2	0	2013-05-20 02:13:02.043929+02	\N	\N	\N	\N	\N	\N	f	
1520	02a98a7f-026b-4eda-b73b-76cf33c2ae7a	Sonora	Sonora	2	0	2013-05-20 02:13:12.799713+02	\N	\N	\N	\N	\N	\N	f	
3010	2d7b4556-4c80-4d7d-9fa0-fba14a41312d	Béqaa	Béqaa	2	0	2013-06-05 09:33:21.25907+02	\N	\N	\N	\N	\N	\N	f	
1522	922043b0-04b8-4ccd-b8c0-5f1af89d9182	Tamaulipas	Tamaulipas	2	0	2013-05-20 02:13:34.286937+02	\N	\N	\N	\N	\N	\N	f	
1523	68e51771-63ea-47fc-8261-3f9a4e22c27a	Tlaxcala	Tlaxcala	2	0	2013-05-20 02:13:45.278034+02	\N	\N	\N	\N	\N	\N	f	
2243	c3881809-b508-428c-9355-032a7b93c29f	Ocniţa	Ocniţa	2	0	2013-05-20 19:06:11.584793+02	\N	\N	\N	\N	\N	\N	f	
1527	777eab91-df56-4b0d-92c8-d4fe1cd67469	Atlántico Norte	Atlántico Norte	2	0	2013-06-05 12:05:42.112073+02	\N	\N	\N	\N	\N	\N	f	
2109	737889c2-fbcf-42de-a264-787e3548ba34	Križevci	Križevci	2	0	2013-05-20 18:00:40.333295+02	\N	\N	\N	\N	\N	\N	f	
14899	1c50d515-cf3a-43bc-959e-66065cb85f8e	Envie	Envie	4	0	2013-07-21 23:22:56.672199+02	\N	\N	\N	\N	\N	\N	f	
3040	6d50f17c-9753-4c70-a0e9-8e094af80cc1	Bethlehem	Bethlehem	2	0	2013-06-05 09:15:25.003226+02	\N	\N	\N	\N	\N	\N	f	
2142	06af1208-828e-4d55-acd0-283b62778c64	Mokronog-Trebelno	Mokronog-Trebelno	2	0	2013-05-20 18:07:29.893828+02	\N	\N	\N	\N	\N	\N	f	
1531	c6b2f7db-f41c-48e9-b00a-092524618fa4	Chinandega	Chinandega	2	0	2013-06-05 09:26:52.297146+02	\N	\N	\N	\N	\N	\N	f	
2180	32d6cef5-5d83-4af1-965e-e494f2eebbfd	Razgrad	Razgrad	2	0	2013-05-20 18:21:18.806054+02	\N	\N	\N	\N	\N	\N	f	
2266	bc506066-f618-4f91-8d65-4ad31fc20913	Vasilevo	Vasilevo	2	0	2013-05-20 19:10:39.391303+02	\N	\N	\N	\N	\N	\N	f	
2199	39982112-c22b-4c8d-b168-2b48e7db9030	Lefkosia	Lefkosia	2	0	2013-05-20 18:24:47.185112+02	\N	\N	\N	\N	\N	\N	f	
2602	20df53b0-3a33-4a31-ba49-7ac00e117042	Bac Lieu	Bac Lieu	2	0	2013-06-05 10:34:57.228483+02	\N	\N	\N	\N	\N	\N	f	
2313	5a9cda0e-942a-41d4-876d-cf74d18559e1	Ohrid	Ohrid	2	0	2013-05-20 19:19:37.480852+02	\N	\N	\N	\N	\N	\N	f	
2330	ed91f2e1-8f86-4a6a-ae5b-0a0f84402e9d	Tearce	Tearce	2	0	2013-05-20 19:22:51.592725+02	\N	\N	\N	\N	\N	\N	f	
2346	9816833e-158c-4293-a56f-d85002b94c85	Pomoravski okrug	Pomoravski okrug	2	0	2013-05-20 19:26:17.294075+02	\N	\N	\N	\N	\N	\N	f	
2432	961495d4-0a6d-4f9a-ab9e-f0d87d7b8d4a	Novgorodskaya oblast'	Novgorodskaya oblast'	2	0	2013-05-20 19:47:01.31299+02	\N	\N	\N	\N	\N	\N	f	
2365	716ce7fe-313c-485e-a219-4e87287612c6	Zhytomyrs'ka Oblast'	Zhytomyrs'ka Oblast'	2	0	2013-05-20 19:31:01.476867+02	\N	\N	\N	\N	\N	\N	f	
2366	56960785-0d23-4654-bfa3-da6db8fedc37	Zakarpats'ka Oblast'	Zakarpats'ka Oblast'	2	0	2013-05-20 19:31:13.420984+02	\N	\N	\N	\N	\N	\N	f	
2572	3d87e9e8-8e29-407a-834c-e5a5cf7adaa4	Nghe An	Nghe An	2	0	2013-05-20 22:19:04.066382+02	\N	\N	\N	\N	\N	\N	f	
2480	e03e34bb-d5d7-4bad-bede-910513d1d841	Vayoc Jor	Vayoc Jor	2	0	2013-05-20 20:50:47.91956+02	\N	\N	\N	\N	\N	\N	f	
2517	b1a71691-f98c-424d-8549-b7ea89163c89	Sühbaatar	Sühbaatar	2	0	2013-05-20 21:12:11.527021+02	\N	\N	\N	\N	\N	\N	f	
2634	c51678e6-77a7-4d00-b23c-634c38428384	Svaay Rieng [Svay Riĕng]	Svaay Rieng [Svay Riĕng]	2	0	2013-05-20 22:30:51.410262+02	\N	\N	\N	\N	\N	\N	f	
2637	692c81c8-df18-4273-af86-38ddbe24c4e5	Krong Kaeb [Krŏng Kêb]	Krong Kaeb [Krŏng Kêb]	2	0	2013-05-20 22:31:24.32168+02	\N	\N	\N	\N	\N	\N	f	
2757	4f73b407-722a-430b-af40-e477029ae6f8	Sabah	Sabah	2	0	2013-05-20 22:54:11.652985+02	\N	\N	\N	\N	\N	\N	f	
2698	665ccd3d-8205-4cef-9b11-09d39374c796	Sakon Nakhon	Sakon Nakhon	2	0	2013-05-20 22:42:55.742552+02	\N	\N	\N	\N	\N	\N	f	
2724	ee05585f-fd17-4bb4-909f-ef7b5101c279	Phetchaburi	Phetchaburi	2	0	2013-05-20 22:48:00.628567+02	\N	\N	\N	\N	\N	\N	f	
2847	52e632d4-f838-435a-8e76-f9902969493e	Purwanchal	Purwanchal	2	0	2013-05-20 23:29:09.624659+02	\N	\N	\N	\N	\N	\N	f	
2802	3d69ca0c-fad9-4d0e-91e7-04b1484bb815	Viqueque	Viqueque	2	0	2013-05-20 23:02:49.904901+02	\N	\N	\N	\N	\N	\N	f	
2848	f832f509-bc1b-4ebf-8de8-19ece6d7143b	Sudur Pashchimanchal	Sudur Pashchimanchal	2	0	2013-05-20 23:29:20.300706+02	\N	\N	\N	\N	\N	\N	f	
2905	79697872-54dd-4f4a-a9d3-57a489ddfbf1	Jizzax	Jizzax	2	0	2013-05-20 23:39:59.277464+02	\N	\N	\N	\N	\N	\N	f	
2952	419d45ea-7e37-4ada-882d-b7f5f8eb9720	Nīnawá	Nīnawá	2	0	2013-05-20 23:58:08.5805+02	\N	\N	\N	\N	\N	\N	f	
2998	3ad4ea2f-25a7-4c55-9906-d57ae19eaf20	Mādabā	Mādabā	2	0	2013-05-21 00:09:33.913496+02	\N	\N	\N	\N	\N	\N	f	
3030	2b465800-763a-4240-8b38-f91f48d58b9b	Upper South	Upper South	2	0	2013-05-21 00:17:32.841729+02	\N	\N	\N	\N	\N	\N	f	
2458	1a64314a-ea0d-488d-9be2-ee619ad12a36	Respublika Tyva	Tyva, Respublika	2	0	2013-05-24 00:53:58.227924+02	\N	\N	\N	\N	\N	\N	f	
7067	1e349f69-347f-401f-8bd9-a4e1638b1c51	Legionowo	Legionowo	3	0	2013-05-26 16:44:11.01247+02	\N	\N	\N	\N	\N	\N	f	
1590	fbc50a62-98d2-4ae2-a507-aa7a03fe6a4d	Baker Island	Baker Island	2	0	2013-06-05 10:05:36.349144+02	\N	\N	\N	\N	\N	\N	f	
1572	8e325f4c-6272-475e-90f9-f293c0403d0e	Couva-Tabaquite-Talparo	Couva-Tabaquite-Talparo	2	0	2013-06-05 08:41:37.702837+02	\N	\N	\N	\N	\N	\N	f	
1533	d0a96c55-fd61-4921-ae92-253cbe88cf51	Estelí	Estelí	2	0	2013-05-20 02:19:42.411145+02	\N	\N	\N	\N	\N	\N	f	
1534	74c5f89c-c25b-48b3-a1b2-9f622d0219fc	Granada	Granada	2	0	2013-05-20 02:19:53.356796+02	\N	\N	\N	\N	\N	\N	f	
1535	296465f5-bf2c-4199-bcaf-a1562881ed5a	Jinotega	Jinotega	2	0	2013-05-20 02:20:03.951786+02	\N	\N	\N	\N	\N	\N	f	
1557	f345355f-2c66-44a5-a189-d493f964282f	Cabañas	Cabañas	2	0	2013-06-05 07:54:32.03688+02	\N	\N	\N	\N	\N	\N	f	
1536	eda834d6-742b-4473-b158-e13f9c9ad700	León	León	2	0	2013-05-20 02:20:14.679449+02	\N	\N	\N	\N	\N	\N	f	
13742	99f45482-a173-4dad-b993-f2081a17e6c4	Usseglio	Usseglio	4	0	2013-07-21 19:02:43.751922+02	\N	\N	\N	\N	\N	\N	f	
1537	363ab71d-4295-424c-9d28-bde5e995013b	Madriz	Madriz	2	0	2013-05-20 02:20:25.303572+02	\N	\N	\N	\N	\N	\N	f	
1581	54fee4c7-d4ac-48d8-b184-661837885960	Sangre Grande	Sangre Grande	2	0	2013-05-20 03:30:01.43207+02	\N	\N	\N	\N	\N	\N	f	
1538	9015e73a-ccb4-4198-a9ec-d1f9b02b92fd	Managua	Managua	2	0	2013-05-20 02:20:36.172653+02	\N	\N	\N	\N	\N	\N	f	
1545	f4d9c28c-5db1-4cea-ad5d-459b3ab15190	Coclé	Coclé	2	0	2013-06-05 09:18:10.232402+02	\N	\N	\N	\N	\N	\N	f	
1539	63b18f04-eee9-4092-b48c-a45e65b33a83	Masaya	Masaya	2	0	2013-05-20 02:20:46.944317+02	\N	\N	\N	\N	\N	\N	f	
1540	b4a97037-03fc-40c8-ae29-9c90d124fc51	Matagalpa	Matagalpa	2	0	2013-05-20 02:20:57.736881+02	\N	\N	\N	\N	\N	\N	f	
1573	302ca0be-4b2c-46c0-9a80-71bcaba8b93e	Diego Martin	Diego Martin	2	0	2013-05-20 03:28:30.211037+02	\N	\N	\N	\N	\N	\N	f	
1541	152df48f-808d-4d15-9535-aa23916c6486	Nueva Segovia	Nueva Segovia	2	0	2013-05-20 02:21:08.681855+02	\N	\N	\N	\N	\N	\N	f	
1560	ceef1bba-70e9-4fd2-a796-9d7c4ca5cb30	La Libertad	La Libertad	2	0	2013-05-20 03:02:31.238546+02	\N	\N	\N	\N	\N	\N	f	
1542	1b86fc33-41f4-4c06-8990-303c0ea7f9bd	Rivas	Rivas	2	0	2013-05-20 02:21:19.376674+02	\N	\N	\N	\N	\N	\N	f	
1543	f479deb8-7679-4769-9714-a60e1555fa52	Río San Juan	Río San Juan	2	0	2013-05-20 02:21:30.466536+02	\N	\N	\N	\N	\N	\N	f	
1595	c0cc8832-4c15-474c-8cb4-83c328d1720c	Charlotte	Charlotte	2	0	2013-06-05 11:17:00.279832+02	\N	\N	\N	\N	\N	\N	f	
1561	ae6a9481-3238-48e9-bcca-c0880fcdeb0d	Morazán	Morazán	2	0	2013-05-20 03:02:42.310177+02	\N	\N	\N	\N	\N	\N	f	
1544	88837e0d-bdf0-415c-ae1d-5684683950ea	Bocas del Toro	Bocas del Toro	2	0	2013-06-05 11:16:00.021309+02	\N	\N	\N	\N	\N	\N	f	
1546	3463449e-5e10-4278-8648-34a4fd2582f0	Colón	Colón	2	0	2013-06-05 10:21:52.231125+02	\N	\N	\N	\N	\N	\N	f	
1558	fb7f694f-627b-4ddf-8a35-bead1cdca543	Chalatenango	Chalatenango	2	0	2013-06-05 07:45:54.353521+02	\N	\N	\N	\N	\N	\N	f	
1562	f23aa4bd-6355-4831-835d-da39be62796e	La Paz	La Paz	2	0	2013-05-20 03:02:53.254868+02	\N	\N	\N	\N	\N	\N	f	
1548	4d936bf7-31a8-4d74-b8a9-c8d4e03bacab	Darién	Darién	2	0	2013-05-20 02:42:53.847652+02	\N	\N	\N	\N	\N	\N	f	
1549	24b16bd8-80d5-4491-96d9-7707b1348564	Herrera	Herrera	2	0	2013-05-20 02:43:04.724872+02	\N	\N	\N	\N	\N	\N	f	
1574	e3532b64-333b-4672-a520-d612d6382772	Eastern Tobago	Eastern Tobago	2	0	2013-05-20 03:28:43.978448+02	\N	\N	\N	\N	\N	\N	f	
1550	464ad00f-cf65-4b3b-90ac-8d2825614c36	Los Santos	Los Santos	2	0	2013-05-20 02:43:15.732254+02	\N	\N	\N	\N	\N	\N	f	
1563	7616cc48-be46-430b-b30c-a755fb9198bb	Santa Ana	Santa Ana	2	0	2013-05-20 03:03:04.270466+02	\N	\N	\N	\N	\N	\N	f	
1552	1dfc8b6b-a3ad-48eb-a07a-af335f2416fe	Veraguas	Veraguas	2	0	2013-05-20 02:43:38.339001+02	\N	\N	\N	\N	\N	\N	f	
1553	7708f82f-3418-4241-b925-44aabb7443e0	Emberá	Emberá	2	0	2013-05-20 02:43:49.288446+02	\N	\N	\N	\N	\N	\N	f	
1554	3dec1571-fe89-4005-9432-6915c45d4af6	Kuna Yala	Kuna Yala	2	0	2013-05-20 02:44:00.081077+02	\N	\N	\N	\N	\N	\N	f	
1564	d4b844af-00e1-47d7-b568-6b7020a0e160	San Miguel	San Miguel	2	0	2013-05-20 03:03:15.344752+02	\N	\N	\N	\N	\N	\N	f	
1555	129f0580-ea15-4901-897d-5fedf96d8946	Ngöbe-Buglé	Ngöbe-Buglé	2	0	2013-05-20 02:44:11.02581+02	\N	\N	\N	\N	\N	\N	f	
13773	98c9f0c1-45d4-445b-b1e7-98c3218a90d6	Bagnolo Mella	Bagnolo Mella	4	0	2013-07-21 19:09:06.667243+02	\N	\N	\N	\N	\N	\N	f	
1601	3388112c-e7f3-4b0a-9e95-532c62686467	Central	Central	2	0	2013-06-05 10:07:58.994495+02	\N	\N	\N	\N	\N	\N	f	
1565	1cba7206-2cad-41c2-bc10-8a2edad543b5	Sonsonate	Sonsonate	2	0	2013-05-20 03:03:26.167088+02	\N	\N	\N	\N	\N	\N	f	
1575	3186d9ee-5c35-46a9-b805-423b69a2e927	Penal-Debe	Penal-Debe	2	0	2013-05-20 03:28:55.056665+02	\N	\N	\N	\N	\N	\N	f	
1566	011e3f92-ace3-4ebf-9081-4d7280842acc	San Salvador	San Salvador	2	0	2013-05-20 03:03:36.975025+02	\N	\N	\N	\N	\N	\N	f	
5077	82c30c4b-2fff-4e51-94c6-5024cfb1528d	Szczecin	Szczecin	3	0	2013-05-24 22:23:04.427012+02	\N	\N	\N	\N	\N	\N	f	
1567	eb9624b1-4506-4d7e-9dd4-269400dbcbb2	San Vicente	San Vicente	2	0	2013-05-20 03:03:47.865429+02	\N	\N	\N	\N	\N	\N	f	
1582	bd663a73-48cd-4d9d-9dab-029565ddc85e	Siparia	Siparia	2	0	2013-05-20 03:30:12.132584+02	\N	\N	\N	\N	\N	\N	f	
1568	49ec5170-5cd5-4d6e-bc16-3d102e12234d	La Unión	La Unión	2	0	2013-05-20 03:03:58.748943+02	\N	\N	\N	\N	\N	\N	f	
1569	81969fa0-ca9f-43fe-9802-8a4328f60ad7	Usulután	Usulután	2	0	2013-05-20 03:04:09.8398+02	\N	\N	\N	\N	\N	\N	f	
5253	2776df1e-d042-41d6-856e-76c8e1a277b1	Columbia, South Carolina	Columbia, South Carolina	3	0	2013-05-24 22:57:40.592405+02	\N	\N	\N	\N	\N	\N	f	
5125	a28074e0-3805-44a8-8024-758e1996b353	Langenzenn	Langenzenn	3	0	2013-05-24 22:32:24.772214+02	\N	\N	\N	\N	\N	\N	f	
1577	dc660a2e-ce26-468f-86a6-06599e6520e9	Princes Town	Princes Town	2	0	2013-05-20 03:29:17.21805+02	\N	\N	\N	\N	\N	\N	f	
1583	21788773-4ee2-47b6-8d2d-b6fd7debc20c	San Juan-Laventille	San Juan-Laventille	2	0	2013-05-20 03:30:23.273463+02	\N	\N	\N	\N	\N	\N	f	
1570	22bc8dfd-d7a0-4a23-b959-efcd0ec2f603	Arima	Arima	3	0	2013-05-24 01:01:03.329029+02	\N	\N	\N	\N	\N	\N	f	
1579	13b87f35-40d3-4c20-8d90-ce231defa0e8	Rio Claro-Mayaro	Rio Claro-Mayaro	2	0	2013-05-20 03:29:39.392595+02	\N	\N	\N	\N	\N	\N	f	
13802	21394c2a-144b-43d9-87cb-715e4ce2624a	Brandico	Brandico	4	0	2013-07-21 19:15:26.489443+02	\N	\N	\N	\N	\N	\N	f	
1571	ee33638d-057d-4cdb-91d7-9d3ae0d97dd6	Chaguanas	Chaguanas	3	0	2013-05-24 01:01:02.708684+02	\N	\N	\N	\N	\N	\N	f	
1588	a158bdec-9de9-4068-9984-f070ee5893f9	Navassa Island	Navassa Island	2	0	2013-05-20 03:33:03.231176+02	\N	\N	\N	\N	\N	\N	f	
1584	75d83663-1f25-4cb7-b3b0-f9ab389a111d	Tunapuna-Piarco	Tunapuna-Piarco	2	0	2013-05-20 03:30:34.253252+02	\N	\N	\N	\N	\N	\N	f	
1585	cf072851-6291-4910-ae5c-9bbad8295da1	Western Tobago	Western Tobago	2	0	2013-05-20 03:30:45.199304+02	\N	\N	\N	\N	\N	\N	f	
1591	f2c2bea3-e985-4502-a90d-5b804000b5d9	Howland Island	Howland Island	2	0	2013-05-20 03:33:36.690106+02	\N	\N	\N	\N	\N	\N	f	
1589	926aa4ca-d61b-4e42-b52b-7312351fabf5	Wake Island	Wake Island	2	0	2013-05-20 14:11:59.583433+02	\N	\N	\N	\N	\N	\N	f	
15472	243af79d-261a-45ce-b949-7e348b8e6da3	Stimigliano	Stimigliano	4	0	2013-07-22 00:53:12.262972+02	\N	\N	\N	\N	\N	\N	f	
1592	b5e13319-f690-4d5a-bf7c-4058ea30bf26	Jarvis Island	Jarvis Island	2	0	2013-05-20 03:33:47.668406+02	\N	\N	\N	\N	\N	\N	f	
1593	683ddf70-c5a4-425e-99e4-1274e856fd11	Kingman Reef	Kingman Reef	2	0	2013-05-20 03:33:58.991482+02	\N	\N	\N	\N	\N	\N	f	
1594	3704d613-b691-4bc3-a535-4a25f5368d56	Palmyra Atoll	Palmyra Atoll	2	0	2013-05-20 03:34:10.110113+02	\N	\N	\N	\N	\N	\N	f	
1597	eb2994e2-1d3b-4d0e-8366-c72cd547be41	Saint David	Saint David	2	0	2013-05-20 03:35:06.949939+02	\N	\N	\N	\N	\N	\N	f	
1596	717093d2-a8fe-4748-847b-086ad816d2f7	Saint Andrew	Saint Andrew	2	0	2013-05-20 03:34:55.940576+02	\N	\N	\N	\N	\N	\N	f	
1598	1e6c029f-60ac-46a7-a707-12e2cd16f49b	Saint George	Saint George	2	0	2013-05-20 03:35:17.789019+02	\N	\N	\N	\N	\N	\N	f	
1599	89830ac6-df5c-46ce-a446-d3c1e4521802	Saint Patrick	Saint Patrick	2	0	2013-05-20 03:35:28.394682+02	\N	\N	\N	\N	\N	\N	f	
1600	20addd2a-0b73-480f-8185-c020cbaf498e	Grenadines	Grenadines	2	0	2013-05-20 03:35:39.326236+02	\N	\N	\N	\N	\N	\N	f	
1587	0a2a0867-543f-40db-a8d8-6c6c99d55431	Midway Islands	Midway Islands	2	0	2013-05-20 14:11:46.20206+02	\N	\N	\N	\N	\N	\N	f	
1602	d8f349e6-8fe9-4be8-aeb1-af096a078f0f	Eastern	Eastern	2	0	2013-05-20 11:13:13.334119+02	\N	\N	\N	\N	\N	\N	f	
1978	f5f7e788-e964-4149-bd9d-659464dfd624	Hrastnik	Hrastnik	2	0	2013-05-20 17:33:47.84765+02	\N	\N	\N	\N	\N	\N	f	
1586	9eb0b3a4-b212-40ff-9009-6b65ff988ea2	Johnston Atoll	Johnston Atoll	2	0	2013-05-20 14:11:38.96045+02	\N	\N	\N	\N	\N	\N	f	
4574	21dc2b5b-f6e8-4ea6-b8ba-fb757854cc4f	Nusa Tenggara Timur	Nusa Tenggara Timur	2	0	2013-05-22 14:11:55.69713+02	\N	\N	\N	\N	\N	\N	f	
2016	2d87bc6b-fc3e-4797-8ee0-a38527115400	Mengeš	Mengeš	2	0	2013-05-20 17:41:25.108508+02	\N	\N	\N	\N	\N	\N	f	
1603	a9a3d2a3-bc6b-4278-b1f6-a725b32ee062	Northern	Northern	2	0	2013-05-20 11:13:26.125103+02	\N	\N	\N	\N	\N	\N	f	
1628	4172b761-31a6-45e5-9956-b5b334188b30	Yaren	Yaren	2	0	2013-05-20 11:19:50.24524+02	\N	\N	\N	\N	\N	\N	f	
1604	fe3c0e93-e195-4b23-a37e-0cde34c87fcb	Rotuma	Rotuma	2	0	2013-05-20 11:13:38.191806+02	\N	\N	\N	\N	\N	\N	f	
13743	d9bba99b-e4c5-4ef4-ab22-c8cbfdf1394b	Barbariga, Lombardy	Barbariga, Lombardy	4	0	2013-07-21 19:02:55.747692+02	\N	\N	\N	\N	\N	\N	f	
1605	1211416b-59ef-4b2b-b712-586009f5a366	Western	Western	2	0	2013-05-20 11:13:51.523807+02	\N	\N	\N	\N	\N	\N	f	
1606	30a6dc03-b3a1-4faf-a780-46b5b571329e	Kosrae	Kosrae	2	0	2013-05-20 11:14:40.391236+02	\N	\N	\N	\N	\N	\N	f	
1607	01c58349-a06b-4fbb-8911-00ad3170c470	Pohnpei	Pohnpei	2	0	2013-05-20 11:14:51.486068+02	\N	\N	\N	\N	\N	\N	f	
1632	3aef81c1-e4bf-47b3-9306-3ff7ba2543c3	Chimbu	Chimbu	2	0	2013-06-05 10:33:37.111541+02	\N	\N	\N	\N	\N	\N	f	
1643	53986fd3-d20b-4ea0-834c-9981e11c620a	National Capital District (Port Moresby)	National Capital District (Port Moresby)	2	0	2013-05-20 11:27:00.768472+02	\N	\N	\N	\N	\N	\N	f	
1609	f1163f6b-a48e-4cd7-8ee8-274830a2b203	Yap	Yap	2	0	2013-05-20 11:15:13.970831+02	\N	\N	\N	\N	\N	\N	f	
1630	26591177-7246-4a18-8cc7-e41af406eae8	North Island	North Island	2	0	2013-05-20 11:23:38.783925+02	\N	\N	\N	\N	\N	\N	f	
1610	d4479bfa-b45d-44d7-9337-9799e031a34c	Gilbert Islands	Gilbert Islands	2	0	2013-05-20 11:15:48.433904+02	\N	\N	\N	\N	\N	\N	f	
1611	eddc7f76-87ba-4195-84b6-0fdbdac90160	Line Islands	Line Islands	2	0	2013-05-20 11:15:59.514705+02	\N	\N	\N	\N	\N	\N	f	
1612	4116b441-cfc2-476f-93dd-b0c8dd193c4d	Phoenix Islands	Phoenix Islands	2	0	2013-05-20 11:16:10.464307+02	\N	\N	\N	\N	\N	\N	f	
1631	1e4d837b-b0ac-4cf3-98bb-1afc7828e53d	South Island	South Island	2	0	2013-05-20 11:23:49.368865+02	\N	\N	\N	\N	\N	\N	f	
1613	2442e9bb-fc6e-42e4-96ec-cf4c5157e6ae	Ralik chain	Ralik chain	2	0	2013-05-20 11:16:36.596986+02	\N	\N	\N	\N	\N	\N	f	
1614	b0676ccf-d648-4a15-94fc-c92e3a45857a	Ratak chain	Ratak chain	2	0	2013-05-20 11:16:49.775857+02	\N	\N	\N	\N	\N	\N	f	
14370	507cda88-4732-4abd-b377-e87c5661491d	Bistagno	Bistagno	4	0	2013-07-21 21:23:00.893176+02	\N	\N	\N	\N	\N	\N	f	
1658	392d7558-ad30-408b-a44e-000bd3a57029	Melekeok	Melekeok	2	0	2013-05-20 11:29:56.647028+02	\N	\N	\N	\N	\N	\N	f	
1633	c1717b74-4ccd-4106-9585-20d882453693	Central	Central	2	0	2013-06-05 11:45:24.677756+02	\N	\N	\N	\N	\N	\N	f	
1668	b90ea314-d4a9-4168-bbdc-70d1ee358671	Central	Central	2	0	2013-06-05 10:43:55.160842+02	\N	\N	\N	\N	\N	\N	f	
1616	1ce2238a-737f-4dd7-837c-8ff999b33d33	Anabar	Anabar	2	0	2013-06-05 10:20:13.9324+02	\N	\N	\N	\N	\N	\N	f	
1646	c45165ec-5bdf-4681-bebb-e83623506ea3	Bougainville	Bougainville	2	0	2013-06-05 11:53:37.111854+02	\N	\N	\N	\N	\N	\N	f	
1644	2c10d5ea-d02a-4986-8134-a98d238d6317	New Ireland	New Ireland	2	0	2013-05-20 11:27:11.927491+02	\N	\N	\N	\N	\N	\N	f	
1621	748c8313-21d0-40c9-b4ff-5d2417dea60d	Buada	Buada	2	0	2013-06-05 09:07:45.106188+02	\N	\N	\N	\N	\N	\N	f	
1654	4b56ffdb-8455-449e-a2a3-d690ba6325a9	Angaur	Angaur	2	0	2013-06-05 12:09:41.436752+02	\N	\N	\N	\N	\N	\N	f	
1669	0eb679ad-2238-4268-ab9a-8aef4dd75a74	Choiseul	Choiseul	2	0	2013-06-05 09:19:23.574158+02	\N	\N	\N	\N	\N	\N	f	
14900	9166007c-553c-422a-ba9e-ef7defab878b	Frabosa Soprana	Frabosa Soprana	4	0	2013-07-21 23:23:09.975427+02	\N	\N	\N	\N	\N	\N	f	
1618	8cf942f8-3738-4694-bb11-9a93d5052d7e	Anibare	Anibare	2	0	2013-06-05 08:28:30.942202+02	\N	\N	\N	\N	\N	\N	f	
1617	325ff5c0-030c-4c29-bfde-fcaad8d591db	Anetan	Anetan	2	0	2013-06-05 09:44:02.99618+02	\N	\N	\N	\N	\N	\N	f	
1634	f4de8d81-ba0d-4343-a81d-304136556938	East New Britain	East New Britain	2	0	2013-05-20 11:25:15.404175+02	\N	\N	\N	\N	\N	\N	f	
1622	42760659-c065-4391-8c6f-6dd97cc930e4	Denigomodu	Denigomodu	2	0	2013-05-20 11:18:44.874379+02	\N	\N	\N	\N	\N	\N	f	
1623	7c781662-2cd0-410f-9177-9f80763ebfcf	Ewa	Ewa	2	0	2013-05-20 11:18:55.911555+02	\N	\N	\N	\N	\N	\N	f	
1652	6417659f-769b-4b45-b5a8-50684392be86	Aimeliik	Aimeliik	2	0	2013-06-05 08:46:58.933942+02	\N	\N	\N	\N	\N	\N	f	
1624	65a723ef-68ad-41e6-b670-fa12128901ce	Ijuw	Ijuw	2	0	2013-05-20 11:19:06.831633+02	\N	\N	\N	\N	\N	\N	f	
1635	292723d7-933b-4460-adf2-aef93d6ba45c	Eastern Highlands	Eastern Highlands	2	0	2013-05-20 11:25:25.970854+02	\N	\N	\N	\N	\N	\N	f	
1625	35cc1f9c-5dab-4ca2-b432-0ef89a260208	Meneng	Meneng	2	0	2013-05-20 11:19:17.934494+02	\N	\N	\N	\N	\N	\N	f	
1626	3eb2bc31-f944-4b20-bc1f-72a811baafc9	Nibok	Nibok	2	0	2013-05-20 11:19:28.742459+02	\N	\N	\N	\N	\N	\N	f	
1645	f6993dca-4353-4afd-82fe-634627963e69	Northern	Northern	2	0	2013-05-20 11:27:22.587771+02	\N	\N	\N	\N	\N	\N	f	
1627	cc94dd89-d53b-4bb9-8815-47d5b2d14b40	Uaboe	Uaboe	2	0	2013-05-20 11:19:39.556977+02	\N	\N	\N	\N	\N	\N	f	
1636	45c82077-b754-44ff-be6f-892d044c7598	Enga	Enga	2	0	2013-05-20 11:25:39.399857+02	\N	\N	\N	\N	\N	\N	f	
1637	0dd190d3-86a0-428b-8a75-bc69d1ad577f	East Sepik	East Sepik	2	0	2013-05-20 11:25:50.168719+02	\N	\N	\N	\N	\N	\N	f	
1638	fe1c1685-b48a-468b-bf4e-d5e3ed2a2f50	Gulf	Gulf	2	0	2013-05-20 11:26:01.013654+02	\N	\N	\N	\N	\N	\N	f	
1639	53a08dd8-172e-4b02-93c6-2a546e3046af	Milne Bay	Milne Bay	2	0	2013-05-20 11:26:14.849405+02	\N	\N	\N	\N	\N	\N	f	
1640	ad370927-2a0f-40d3-8107-7c854cd8bef4	Morobe	Morobe	2	0	2013-05-20 11:26:25.703282+02	\N	\N	\N	\N	\N	\N	f	
1647	b98e6879-7c91-429b-ab1d-7ab99225cd4d	Sandaun [West Sepik]	Sandaun [West Sepik]	2	0	2013-05-20 11:27:44.31908+02	\N	\N	\N	\N	\N	\N	f	
1641	10f62287-f821-4c66-9bd5-5a8610a8ae7a	Madang	Madang	2	0	2013-05-20 11:26:36.771814+02	\N	\N	\N	\N	\N	\N	f	
1642	93aa90e3-83e9-4ac4-9015-826b7e5cb377	Manus	Manus	2	0	2013-05-20 11:26:47.683119+02	\N	\N	\N	\N	\N	\N	f	
15473	8ee6df36-6e67-4628-bbce-aaa288dd65b9	Montenero Sabino	Montenero Sabino	4	0	2013-07-22 00:53:24.270399+02	\N	\N	\N	\N	\N	\N	f	
1648	c8abad13-8f9b-4f39-b405-24772ea115f2	Southern Highlands	Southern Highlands	2	0	2013-05-20 11:27:54.918116+02	\N	\N	\N	\N	\N	\N	f	
1649	c236d775-a819-4e7e-a03a-35cff5943042	West New Britain	West New Britain	2	0	2013-05-20 11:28:05.777051+02	\N	\N	\N	\N	\N	\N	f	
1650	d2b31c6f-c4cd-47e6-acce-8ee415171f0c	Western Highlands	Western Highlands	2	0	2013-05-20 11:28:16.441251+02	\N	\N	\N	\N	\N	\N	f	
1659	ddf0f499-2ab2-40f5-bb55-85d62a530efb	Ngaraard	Ngaraard	2	0	2013-05-20 11:30:07.240573+02	\N	\N	\N	\N	\N	\N	f	
1651	a381d95a-52a7-415b-b6f3-8516cd53de4f	Western	Western	2	0	2013-05-20 11:28:27.148629+02	\N	\N	\N	\N	\N	\N	f	
19655	5327a8a2-1699-4c65-a5fc-839c69b3d58f	Volturara Appula	Volturara Appula	4	0	2013-07-22 11:13:05.20668+02	\N	\N	\N	\N	\N	\N	f	
1655	e1a69873-648d-46ac-8259-4f2c7d5bc2f1	Hatobohei	Hatobohei	2	0	2013-05-20 11:29:24.152171+02	\N	\N	\N	\N	\N	\N	f	
1667	ce251d60-06f2-463f-ba4b-cf8f6d536bb5	Sonsorol	Sonsorol	2	0	2013-05-20 11:31:33.857236+02	\N	\N	\N	\N	\N	\N	f	
1656	a6cd5dda-8057-4897-9b86-d31db364cc7b	Kayangel	Kayangel	2	0	2013-05-20 11:29:34.911916+02	\N	\N	\N	\N	\N	\N	f	
1660	ec45fc11-7850-489a-a492-971db632254c	Ngarchelong	Ngarchelong	2	0	2013-05-20 11:30:17.908728+02	\N	\N	\N	\N	\N	\N	f	
1657	e1611f99-912f-4997-96f7-536993bbbe80	Koror	Koror	2	0	2013-05-20 11:29:45.803688+02	\N	\N	\N	\N	\N	\N	f	
1663	7e1192d9-a74c-4310-8a27-dddcff5b9cdf	Ngchesar	Ngchesar	2	0	2013-05-20 11:30:50.593949+02	\N	\N	\N	\N	\N	\N	f	
1661	c50d7bf3-003d-4590-b52d-2b7078394a57	Ngardmau	Ngardmau	2	0	2013-05-20 11:30:28.940294+02	\N	\N	\N	\N	\N	\N	f	
1665	9cacbcd2-c46b-40b6-9a50-f9d08f106770	Ngiwal	Ngiwal	2	0	2013-05-20 11:31:12.171019+02	\N	\N	\N	\N	\N	\N	f	
1662	84424467-a595-4a14-bf2c-5d96bef82be5	Ngatpang	Ngatpang	2	0	2013-05-20 11:30:39.554431+02	\N	\N	\N	\N	\N	\N	f	
1664	85cff638-1e22-4509-8dfc-fd023b9fdfe1	Ngeremlengui	Ngeremlengui	2	0	2013-05-20 11:31:01.23206+02	\N	\N	\N	\N	\N	\N	f	
1666	8be8b255-fbe3-4bdd-b2b5-649a04e84623	Peleliu	Peleliu	2	0	2013-05-20 11:31:23.232803+02	\N	\N	\N	\N	\N	\N	f	
1672	5b666e1a-c054-42a3-aca1-0098e007608d	Isabel	Isabel	2	0	2013-05-20 11:33:21.595992+02	\N	\N	\N	\N	\N	\N	f	
1671	089c65f8-8dcf-4a74-84e2-67b2858397da	Guadalcanal	Guadalcanal	2	0	2013-05-20 11:33:10.714872+02	\N	\N	\N	\N	\N	\N	f	
1673	74abcf4b-ff5b-40b6-a22c-40d09112173d	Makira	Makira	2	0	2013-05-20 11:33:33.298838+02	\N	\N	\N	\N	\N	\N	f	
1674	3017c595-39ee-4b9f-9d45-740a29cdc93c	Malaita	Malaita	2	0	2013-05-20 11:33:44.218006+02	\N	\N	\N	\N	\N	\N	f	
1675	48b70366-9af9-4f25-94d1-ebeb8ba5a556	Rennell and Bellona	Rennell and Bellona	2	0	2013-05-20 11:33:55.071973+02	\N	\N	\N	\N	\N	\N	f	
2231	33d917cb-22d7-4351-8604-25e85357b7d8	Donduşeni	Donduşeni	2	0	2013-05-20 19:03:32.685143+02	\N	\N	\N	\N	\N	\N	f	
1676	22522afa-b0f2-45ea-828b-5ac3a81b189f	Temotu	Temotu	2	0	2013-05-20 11:34:05.76569+02	\N	\N	\N	\N	\N	\N	f	
1677	11d2aa2f-e4cd-4c43-a84a-b728bca1ae82	Western	Western	2	0	2013-05-20 11:34:16.558691+02	\N	\N	\N	\N	\N	\N	f	
13744	1ebd38d0-bf37-4bc9-8311-61c85d1f820f	Valprato Soana	Valprato Soana	4	0	2013-07-21 19:03:09.801064+02	\N	\N	\N	\N	\N	\N	f	
1980	bab915b9-10ae-4789-bffe-9652ec7bc493	Idrija	Idrija	2	0	2013-05-20 17:34:12.548701+02	\N	\N	\N	\N	\N	\N	f	
1680	86ff7f95-5bd8-4643-96b5-d638de1f8f42	Niuas	Niuas	2	0	2013-05-20 11:39:27.532074+02	\N	\N	\N	\N	\N	\N	f	
1681	a38f4573-b8e9-4c3b-a220-b246d5f678a1	Tongatapu	Tongatapu	2	0	2013-05-20 11:39:38.452636+02	\N	\N	\N	\N	\N	\N	f	
1989	c5f3c4c3-9f31-41f9-953f-5c13d0ed6b10	Kidričevo	Kidričevo	2	0	2013-05-20 17:36:10.884205+02	\N	\N	\N	\N	\N	\N	f	
3290	ea537a7d-0f16-4a5a-a8f4-58b755cb7556	Boumerdès	Boumerdès	2	0	2013-06-05 06:58:01.837403+02	\N	\N	\N	\N	\N	\N	f	
2573	411b83b5-9966-4b21-90ea-2eb25a6d3c43	Ha Tinh	Ha Tinh	2	0	2013-05-20 22:19:14.985157+02	\N	\N	\N	\N	\N	\N	f	
1998	8ac66c61-0f98-46b2-bd2d-9f2d5a0c58ae	Krško	Krško	2	0	2013-05-20 17:37:51.131102+02	\N	\N	\N	\N	\N	\N	f	
2031	036cff8e-8f78-4569-ba8e-bb0b6ea512a6	Ormož	Ormož	2	0	2013-05-20 17:45:27.938774+02	\N	\N	\N	\N	\N	\N	f	
13763	8a0c1b1c-23ee-410d-ba53-78bc49701760	Angolo Terme	Angolo Terme	4	0	2013-07-21 19:07:07.41808+02	\N	\N	\N	\N	\N	\N	f	
2232	5509886c-113c-426a-9dec-75de23d6f69f	Drochia	Drochia	2	0	2013-05-20 19:03:45.567905+02	\N	\N	\N	\N	\N	\N	f	
2110	250c3e73-414a-44b6-b602-c4608e86eaaf	Lovrenc na Pohorju	Lovrenc na Pohorju	2	0	2013-05-20 18:00:52.046594+02	\N	\N	\N	\N	\N	\N	f	
2143	ad8fc919-f4d1-4aac-b721-3da8eb6ab311	Poljčane	Poljčane	2	0	2013-05-20 18:07:41.89513+02	\N	\N	\N	\N	\N	\N	f	
2267	077dc5e9-453c-4c3d-8f4b-90a8d0bfa9ed	Vevčani	Vevčani	2	0	2013-05-20 19:10:50.495154+02	\N	\N	\N	\N	\N	\N	f	
3256	e6c097b4-f06f-4f32-a844-58677bfd5a63	Adrar	Adrar	2	0	2013-06-05 09:48:14.713633+02	\N	\N	\N	\N	\N	\N	f	
2182	5e8a9f85-d0db-4fd1-802c-33f4aef79e75	Silistra	Silistra	2	0	2013-05-20 18:21:40.411271+02	\N	\N	\N	\N	\N	\N	f	
3049	7028c940-4f99-4da3-b995-d2788364338b	North Gaza	North Gaza	2	0	2013-05-21 00:22:39.624407+02	\N	\N	\N	\N	\N	\N	f	
2314	4dfd0175-ff71-4eb8-b226-e8a84b4978b1	Petrovec	Petrovec	2	0	2013-05-20 19:19:48.514381+02	\N	\N	\N	\N	\N	\N	f	
2596	3cceb0e1-05ae-47e8-b488-fff95afa9fed	Vinh Long	Vinh Long	2	0	2013-05-20 22:23:39.23802+02	\N	\N	\N	\N	\N	\N	f	
2348	572a096f-b9f4-4d5f-874e-7f3c7e33a506	Zaječarski okrug	Zaječarski okrug	2	0	2013-05-20 19:26:56.671195+02	\N	\N	\N	\N	\N	\N	f	
2434	fa06c373-a91e-427a-9718-e6b45503ff24	Novosibirskaya oblast'	Novosibirskaya oblast'	2	0	2013-05-20 19:47:29.827224+02	\N	\N	\N	\N	\N	\N	f	
2603	c6231b6e-b7a1-4b52-b919-a016384f8207	Bac Ninh	Bac Ninh	2	0	2013-06-05 08:23:49.526446+02	\N	\N	\N	\N	\N	\N	f	
3118	356c41b5-ac25-4586-b34e-cdc2f08769ce	Cuanza Sul	Cuanza Sul	2	0	2013-06-05 12:03:28.612968+02	\N	\N	\N	\N	\N	\N	f	
17291	617cfcc4-d85c-4427-be3f-9328e04d4e64	Uri, Sardinia	Uri, Sardinia	4	0	2013-07-22 06:08:56.867744+02	\N	\N	\N	\N	\N	\N	f	
5078	ca30356e-58c7-4a76-baf1-088bd4bdc120	Nuuk	Nuuk	3	0	2013-05-24 22:23:15.239994+02	\N	\N	\N	\N	\N	\N	f	
2482	cbbe7923-a5e9-416a-994e-35fc4101c6ff	Ajaria	Ajaria	2	0	2013-06-05 10:30:45.077369+02	\N	\N	\N	\N	\N	\N	f	
5254	5e81fea0-f163-42d4-82d5-4e443a5483af	Hartford	Hartford	3	0	2013-05-24 22:57:51.090192+02	\N	\N	\N	\N	\N	\N	f	
2635	12c84f1a-eb80-48f3-a398-2049276987f3	Taakaev [Takêv]	Taakaev [Takêv]	2	0	2013-05-20 22:31:02.115237+02	\N	\N	\N	\N	\N	\N	f	
5712	bed3b73d-e4ae-41df-aa90-b4ea6ac1333d	Saqqez	Saqqez	3	0	2013-05-25 00:35:54.351572+02	\N	\N	\N	\N	\N	\N	f	
2551	45a8c333-d876-4da5-b91d-bb32daf42cf7	Hwanghae-namdo	Hwanghae-namdo	2	0	2013-05-20 21:17:41.502717+02	\N	\N	\N	\N	\N	\N	f	
3074	051960ea-8df3-4aec-b7ce-7f4132232c71	Al Jawf	Al Jawf	2	0	2013-06-05 08:54:13.922117+02	\N	\N	\N	\N	\N	\N	f	
2680	457aecc1-2e13-4adb-a341-2ce0d9885baa	Nakhon Nayok	Nakhon Nayok	2	0	2013-05-20 22:39:12.457411+02	\N	\N	\N	\N	\N	\N	f	
2725	2953bf1b-09e4-4288-a485-0d1b2d4a0b06	Prachuap Khiri Khan	Prachuap Khiri Khan	2	0	2013-05-20 22:48:12.847273+02	\N	\N	\N	\N	\N	\N	f	
2758	05fa380d-3ced-4ff7-a005-ff2e7f4d05b0	Sarawak	Sarawak	2	0	2013-05-20 22:54:23.81735+02	\N	\N	\N	\N	\N	\N	f	
3099	f44d6883-58c1-41f1-9873-0eb731f110df	Ibb	Ibb	2	0	2013-05-21 00:34:49.325686+02	\N	\N	\N	\N	\N	\N	f	
3593	45b3a596-5866-4116-9b27-81c9c4ee9d90	Bel Ombre	Bel Ombre	2	0	2013-06-05 08:23:16.941466+02	\N	\N	\N	\N	\N	\N	f	
2165	c8d3bb3e-0a1e-44a2-9e97-d1eb42ae45a3	Burgas	Burgas	2	0	2013-06-05 09:42:13.979243+02	\N	\N	\N	\N	\N	\N	f	
3382	ffd59ef0-e20b-4607-b925-4046ce064034	Nzérékoré	Nzérékoré	2	0	2013-05-21 12:09:03.016171+02	\N	\N	\N	\N	\N	\N	f	
2849	c0c3ef36-316b-4ff5-bc6b-2835cc3d4df7	Balochistan	Balochistan	2	0	2013-06-05 10:11:47.076321+02	\N	\N	\N	\N	\N	\N	f	
3425	07f324fb-eef1-423f-9677-b39a91fc9a61	Banghāzī	Banghāzī	2	0	2013-06-05 12:19:19.995104+02	\N	\N	\N	\N	\N	\N	f	
2906	b4fb8a3e-d615-4ee3-a431-d061bf92c0f4	Namangan	Namangan	2	0	2013-05-20 23:40:09.774372+02	\N	\N	\N	\N	\N	\N	f	
14373	ef2de61d-4314-4120-b875-6f7968933617	Bozzole	Bozzole	4	0	2013-07-21 21:23:35.750906+02	\N	\N	\N	\N	\N	\N	f	
2785	168b71a5-09f7-4110-ab28-6a9535d9c19f	Caraga (Region XIII)	Caraga (Region XIII)	2	0	2013-06-05 07:17:02.597516+02	\N	\N	\N	\N	\N	\N	f	
18168	49b9478c-4ed6-4356-9e74-3b474c4f5f6f	Nerviano	Nerviano	4	0	2013-07-22 07:55:56.311273+02	\N	\N	\N	\N	\N	\N	f	
3288	bc15ca98-399a-4b50-866a-b230cbdb4a06	Illizi	Illizi	2	0	2013-05-21 11:35:44.691107+02	\N	\N	\N	\N	\N	\N	f	
1678	fbae8782-e66a-4707-8bb2-11223d734f82	ʻEua	ʻEua	2	0	2013-05-29 11:33:46.77257+02	\N	\N	\N	\N	\N	\N	f	
3125	fa7cba8b-740a-49a8-823c-02b7d3186088	Moxico	Moxico	2	0	2013-05-21 00:47:02.729215+02	\N	\N	\N	\N	\N	\N	f	
3007	727ad183-e128-418e-af0d-abb1ddc412bb	Liban-Nord	Liban-Nord	2	0	2013-05-21 00:11:40.428718+02	\N	\N	\N	\N	\N	\N	f	
3128	2aefd420-2047-418a-9f1b-51d65de443a6	Zaire	Zaire	2	0	2013-05-21 00:47:35.563392+02	\N	\N	\N	\N	\N	\N	f	
3590	f438403a-a16a-4916-980f-64e8317e225d	Baie Sainte Anne	Baie Sainte Anne	2	0	2013-06-05 08:07:37.693286+02	\N	\N	\N	\N	\N	\N	f	
3166	8c0318ae-d30a-4128-8fd8-ccd71ef1028e	Littoral	Littoral	2	0	2013-05-21 00:55:04.580524+02	\N	\N	\N	\N	\N	\N	f	
3196	9c87f9e4-2deb-4160-b4af-47919955aefc	Haut-Mbomou	Haut-Mbomou	2	0	2013-05-21 01:01:08.148529+02	\N	\N	\N	\N	\N	\N	f	
3498	d834d123-c41c-468c-98f4-f056aa675295	Pamplemousses	Pamplemousses	2	0	2013-05-21 13:39:40.148736+02	\N	\N	\N	\N	\N	\N	f	
3211	14640dcb-c8f3-469d-ad7e-4d3c51afe557	Sangha	Sangha	2	0	2013-05-21 01:04:01.638159+02	\N	\N	\N	\N	\N	\N	f	
3403	2fc21911-7579-4a94-80a3-aa44a0fa0020	Grand Bassa	Grand Bassa	2	0	2013-05-21 13:21:11.618185+02	\N	\N	\N	\N	\N	\N	f	
3291	9da055c5-a059-4754-a358-6d690748ee79	El Tarf	El Tarf	2	0	2013-05-21 11:36:17.20595+02	\N	\N	\N	\N	\N	\N	f	
3325	64e13008-8d33-4f2e-b2e4-c02a1883a647	Maţrūḩ	Maţrūḩ	2	0	2013-05-21 11:42:23.034921+02	\N	\N	\N	\N	\N	\N	f	
3461	31bf62e6-0fdc-4d46-bf8f-8dd2ff361651	Oued ed Dahab-Lagouira	Oued ed Dahab-Lagouira	2	0	2013-05-21 13:32:48.625027+02	\N	\N	\N	\N	\N	\N	f	
3354	dc9e8206-9e93-4f79-bdb9-bfe834ad1c93	Nyanga	Nyanga	2	0	2013-05-21 12:03:07.861497+02	\N	\N	\N	\N	\N	\N	f	
3512	db529c18-9cf4-4368-9287-3b2ce9124714	Gaza	Gaza	2	0	2013-05-21 13:42:14.475145+02	\N	\N	\N	\N	\N	\N	f	
3458	511bad18-1ba3-4d71-b6fc-27c8a48a30c1	Souss-Massa-Drâa	Souss-Massa-Drâa	2	0	2013-05-21 13:32:16.61634+02	\N	\N	\N	\N	\N	\N	f	
3479	f3ea15b2-6266-4710-9256-b30353176096	Assaba	Assaba	2	0	2013-06-05 10:52:52.423418+02	\N	\N	\N	\N	\N	\N	f	
5278	33e7cec8-9bfc-4e11-ba02-ddd725b60146	Breda	Breda	3	0	2013-05-24 23:02:19.765632+02	\N	\N	\N	\N	\N	\N	f	
6393	5df1244a-7338-4025-bb1a-0be408beaf2c	Norwich	Norwich	3	0	2013-05-25 02:56:13.668388+02	\N	\N	\N	\N	\N	\N	f	
3524	803a79bc-ff6c-4a08-8496-ab8ba4013257	Karas	Karas	2	0	2013-05-21 13:44:26.339921+02	\N	\N	\N	\N	\N	\N	f	
3554	af3bc0bf-5c5b-4cb8-8fe4-1eb535fff1e4	Ekiti	Ekiti	2	0	2013-05-21 13:50:12.083385+02	\N	\N	\N	\N	\N	\N	f	
3564	53bafd1d-4dbe-4bfe-9430-feab26768922	Katsina	Katsina	2	0	2013-05-21 13:51:59.019953+02	\N	\N	\N	\N	\N	\N	f	
3575	27299bc5-6f74-4c98-86b9-029a2a4a827c	Sokoto	Sokoto	2	0	2013-05-21 13:54:01.550954+02	\N	\N	\N	\N	\N	\N	f	
3583	513e611a-59f4-462c-8bf3-68261bd61bbc	Sud	Sud	2	0	2013-05-21 13:55:35.771036+02	\N	\N	\N	\N	\N	\N	f	
2804	b45a1abe-6743-4b51-8807-7c46bc547f88	Bago	Bago	2	0	2013-06-05 09:12:16.374674+02	\N	\N	\N	\N	\N	\N	f	
1679	efbbed06-d0c3-4265-a900-c4ece69e63a4	Haʻapai	Haʻapai	2	0	2013-06-01 23:36:13.350847+02	\N	\N	\N	\N	\N	\N	f	
3598	204811f0-53b1-414f-a31b-0d81386eba74	La Digue	La Digue	2	0	2013-05-21 14:09:17.629937+02	\N	\N	\N	\N	\N	\N	f	
3602	c7b79dd5-0175-4c42-a455-df1fe4b65040	Plaisance	Plaisance	2	0	2013-05-21 14:09:59.757734+02	\N	\N	\N	\N	\N	\N	f	
1682	af6e3ed4-34a2-49b2-8fd2-29faeebfddd7	Vavaʻu	Vavaʻu	2	0	2013-06-01 23:36:41.040557+02	\N	\N	\N	\N	\N	\N	f	
3542	bafbae84-4dd1-4b73-af90-b94cf03f8cad	Abia	Abia	2	0	2013-06-05 10:49:51.718603+02	\N	\N	\N	\N	\N	\N	f	
1683	0c3fec59-63e5-4891-868c-3820c8bf1bbe	Funafuti	Funafuti	2	0	2013-05-20 11:46:56.734637+02	\N	\N	\N	\N	\N	\N	f	
1684	c7ccac71-0b6d-48a4-91f8-41edda02625d	Niutao	Niutao	2	0	2013-05-20 11:47:07.660299+02	\N	\N	\N	\N	\N	\N	f	
1685	09bbfd08-aa61-41ae-8f43-cabf87913894	Nukufetau	Nukufetau	2	0	2013-05-20 11:47:18.850582+02	\N	\N	\N	\N	\N	\N	f	
1708	ce027832-b77f-454a-bdda-f23d1413be4d	Berat	Berat	2	0	2013-06-05 11:14:39.757278+02	\N	\N	\N	\N	\N	\N	f	
1686	5f86d02d-edf5-4d4a-bbdc-e801e5260025	Nukulaelae	Nukulaelae	2	0	2013-05-20 11:47:29.596718+02	\N	\N	\N	\N	\N	\N	f	
1687	02ff14bb-4b89-44d4-ad2d-d37823a2ff0b	Nanumea	Nanumea	2	0	2013-05-20 11:47:40.746353+02	\N	\N	\N	\N	\N	\N	f	
1721	eef9951c-f983-436b-bfed-82b23055b8e1	Ağstafa	Ağstafa	2	0	2013-06-05 12:17:44.706038+02	\N	\N	\N	\N	\N	\N	f	
1688	9339f98c-0ce0-4660-b115-56d4630147e0	Nanumanga	Nanumanga	2	0	2013-05-20 11:47:56.054543+02	\N	\N	\N	\N	\N	\N	f	
1709	57a05f6c-a06f-4aab-b15b-b3af43e81f6d	Durrës	Durrës	2	0	2013-05-20 13:14:41.769232+02	\N	\N	\N	\N	\N	\N	f	
1689	0e2d2dd6-dc5e-49c8-8b17-f7fadbd36559	Nui	Nui	2	0	2013-05-20 11:48:27.326229+02	\N	\N	\N	\N	\N	\N	f	
1690	1eac64c5-1d81-4c7b-baad-6d162f18d35a	Vaitupu	Vaitupu	2	0	2013-05-20 11:48:51.441543+02	\N	\N	\N	\N	\N	\N	f	
1691	6bf165e5-0d1a-4915-a165-c658e9f72981	Malampa	Malampa	2	0	2013-05-20 12:48:07.110973+02	\N	\N	\N	\N	\N	\N	f	
1710	7875bedf-e279-4081-a694-997723b26a7c	Elbasan	Elbasan	2	0	2013-05-20 13:14:58.216245+02	\N	\N	\N	\N	\N	\N	f	
1692	b611b089-2eb1-4399-a0ea-a0aafd421ba4	Pénama	Pénama	2	0	2013-05-20 12:48:18.785519+02	\N	\N	\N	\N	\N	\N	f	
1693	dffab096-50a9-42e2-969e-da0516c6f561	Sanma	Sanma	2	0	2013-05-20 12:48:30.495911+02	\N	\N	\N	\N	\N	\N	f	
1694	e743e67e-4881-4bd6-a153-0055ea9f3861	Shéfa	Shéfa	2	0	2013-05-20 12:48:42.095109+02	\N	\N	\N	\N	\N	\N	f	
1711	5dd2324d-c7e1-4fd3-b273-4a1538177385	Fier	Fier	2	0	2013-05-20 13:15:12.233794+02	\N	\N	\N	\N	\N	\N	f	
1695	cfe79620-6684-45cb-9bbd-99741871933f	Taféa	Taféa	2	0	2013-05-20 12:48:53.282337+02	\N	\N	\N	\N	\N	\N	f	
1696	78a0facb-4039-4c72-9363-b0ec22a815a6	Torba	Torba	2	0	2013-05-20 12:49:05.464853+02	\N	\N	\N	\N	\N	\N	f	
1733	80ef16f9-66fb-4935-96a8-4426689aa8ae	Cəlilabab	Cəlilabab	2	0	2013-06-05 10:50:49.931025+02	\N	\N	\N	\N	\N	\N	f	
1723	043e4373-fc93-4b7d-ae73-30f220e16e49	Ağdam	Ağdam	2	0	2013-06-05 09:22:18.593693+02	\N	\N	\N	\N	\N	\N	f	
13745	ca927522-9895-4f78-bfa3-791ffe9aba37	Vallo Torinese	Vallo Torinese	4	0	2013-07-21 19:03:21.863429+02	\N	\N	\N	\N	\N	\N	f	
1712	4e509c3c-3a6a-44cb-a1bd-4734a9964cc8	Gjirokastër	Gjirokastër	2	0	2013-05-20 13:15:28.376572+02	\N	\N	\N	\N	\N	\N	f	
1699	30355fc2-d042-4c65-93de-727be7835c5c	Atua	Atua	2	0	2013-06-05 10:07:09.98378+02	\N	\N	\N	\N	\N	\N	f	
1724	c2ea9659-ba2f-46e6-a8d7-68ebd01286b5	Ağdaş	Ağdaş	2	0	2013-06-05 10:29:54.233931+02	\N	\N	\N	\N	\N	\N	f	
14374	dc51f8ac-d95d-4674-a98d-a89860fe0244	Cassano Spinola	Cassano Spinola	4	0	2013-07-21 21:23:47.394672+02	\N	\N	\N	\N	\N	\N	f	
1713	522a57eb-7833-440c-af9c-e7ae7fa7bc7d	Korçë	Korçë	2	0	2013-05-20 13:15:42.257063+02	\N	\N	\N	\N	\N	\N	f	
1731	d3fe6416-7b44-458b-8a50-1c723d329f41	Biləsuvar	Biləsuvar	2	0	2013-06-05 06:47:23.748247+02	\N	\N	\N	\N	\N	\N	f	
1702	6bc52765-e775-4dc0-8534-950525d1a417	Gagaifomauga	Gagaifomauga	2	0	2013-05-20 12:57:42.412524+02	\N	\N	\N	\N	\N	\N	f	
1703	6711723d-60b5-4982-8991-d7371d301c1f	Palauli	Palauli	2	0	2013-05-20 12:57:53.696879+02	\N	\N	\N	\N	\N	\N	f	
15474	5a0e5308-0170-4014-a46f-743766a7e856	Nespolo	Nespolo	4	0	2013-07-22 00:53:39.571225+02	\N	\N	\N	\N	\N	\N	f	
1714	e8bde374-c52b-4e23-be38-6015dcadb9eb	Kukës	Kukës	2	0	2013-05-20 13:15:55.671297+02	\N	\N	\N	\N	\N	\N	f	
1705	978e0446-07bb-4018-87fc-3e1e0f143ec9	Tuamasaga	Tuamasaga	2	0	2013-05-20 12:58:16.164896+02	\N	\N	\N	\N	\N	\N	f	
14904	a12acddf-94cd-4bb0-b3c1-f18920844a22	Gorzegno	Gorzegno	4	0	2013-07-21 23:23:47.794345+02	\N	\N	\N	\N	\N	\N	f	
1725	a0482ae3-5f09-4f10-b9ed-8b54b1e64e27	Ağsu	Ağsu	2	0	2013-06-05 08:19:35.945853+02	\N	\N	\N	\N	\N	\N	f	
1707	50958166-d7ca-46d0-b403-563a0a8899cd	Vaisigano	Vaisigano	2	0	2013-05-20 12:58:38.212164+02	\N	\N	\N	\N	\N	\N	f	
1715	46cb7215-9e42-4f8d-aa37-950217341b34	Lezhë	Lezhë	2	0	2013-05-20 13:16:10.242356+02	\N	\N	\N	\N	\N	\N	f	
1734	e42cf4e6-c7b2-448e-9a96-cc5afb1e16ff	Daşkəsən	Daşkəsən	2	0	2013-05-20 13:22:58.387363+02	\N	\N	\N	\N	\N	\N	f	
1716	a2c10437-9577-4380-b0bc-982d39d3eeff	Dibër	Dibër	2	0	2013-05-20 13:16:21.205788+02	\N	\N	\N	\N	\N	\N	f	
1726	97b79682-df3e-4da1-8fe3-11cf11e856c0	Astara	Astara	2	0	2013-06-05 10:23:23.663738+02	\N	\N	\N	\N	\N	\N	f	
1717	46daf055-87a7-4702-99a0-741eb203ead7	Shkodër	Shkodër	2	0	2013-05-20 13:16:32.020268+02	\N	\N	\N	\N	\N	\N	f	
2060	5cd16dae-c8bc-4de2-a4a0-4b9ae8278133	Sveti Jurij ob Ščavnici	Sveti Jurij ob Ščavnici	2	0	2013-05-25 00:36:03.538324+02	\N	\N	\N	\N	\N	\N	f	
1718	877aea20-0d89-4209-94c2-2850f421d566	Tiranë	Tiranë	2	0	2013-05-20 13:16:45.769966+02	\N	\N	\N	\N	\N	\N	f	
5867	1881c76d-506b-48cd-a7dd-5d49e21477cf	Bandar-e Mahshahr	Bandar-e Mahshahr	3	0	2013-05-25 01:08:31.370163+02	\N	\N	\N	\N	\N	\N	f	
1720	381ead83-3cde-4f0e-8313-00de86e97d8c	Abşeron	Abşeron	2	0	2013-06-05 09:58:41.424152+02	\N	\N	\N	\N	\N	\N	f	
1728	91536910-81d5-4868-b79d-3b408defb3e3	Balakən	Balakən	2	0	2013-06-05 12:33:00.571354+02	\N	\N	\N	\N	\N	\N	f	
1722	99b3ddfa-061e-4b3f-befd-117244c1e16a	Ağcabədi	Ağcabədi	2	0	2013-06-05 07:15:09.036304+02	\N	\N	\N	\N	\N	\N	f	
1735	56b3530b-719e-44d5-b88e-8a25ccc825ac	Füzuli	Füzuli	2	0	2013-05-20 13:23:09.330354+02	\N	\N	\N	\N	\N	\N	f	
1740	cf1c3e54-a134-4150-9c03-663c7cb194cd	Göygöl	Göygöl	2	0	2013-05-20 13:24:03.983669+02	\N	\N	\N	\N	\N	\N	f	
1732	8176f850-5eba-4e46-b0cd-f85f0046f225	Cəbrayıl	Cəbrayıl	2	0	2013-06-05 07:59:34.947654+02	\N	\N	\N	\N	\N	\N	f	
1736	0fd9836b-26b5-4f1e-9678-f2d44a0acbda	Gəncə	Gəncə	2	0	2013-05-20 13:23:20.085285+02	\N	\N	\N	\N	\N	\N	f	
1730	8f2e89c5-bc5e-448b-881b-03b7ba558404	Beyləqan	Beyləqan	2	0	2013-06-05 09:24:32.339695+02	\N	\N	\N	\N	\N	\N	f	
1737	962a83e5-9b6a-45f2-bf8a-85466ac68baf	Gədəbəy	Gədəbəy	2	0	2013-05-20 13:23:31.33598+02	\N	\N	\N	\N	\N	\N	f	
1741	01fe7b4e-f35e-40ef-b2be-5ae54df5ef8b	Hacıqabul	Hacıqabul	2	0	2013-05-20 13:24:15.321455+02	\N	\N	\N	\N	\N	\N	f	
1738	f1548d28-c83d-4889-9e7f-32e40e63cb72	Goranboy	Goranboy	2	0	2013-05-20 13:23:42.211139+02	\N	\N	\N	\N	\N	\N	f	
1744	adae6e03-91db-475f-962e-4fd41037abd9	Kəlbəcər	Kəlbəcər	2	0	2013-05-20 13:24:52.262507+02	\N	\N	\N	\N	\N	\N	f	
1739	0c037f43-0114-4b9f-9f27-5e141b211b5c	Göyçay	Göyçay	2	0	2013-05-20 13:23:52.953516+02	\N	\N	\N	\N	\N	\N	f	
1745	086f70ff-350b-4454-b02b-e603edb28211	Kürdəmir	Kürdəmir	2	0	2013-05-20 13:25:03.737505+02	\N	\N	\N	\N	\N	\N	f	
1748	2ddea3bf-5093-46bd-af22-cfd0635ce5dc	Lənkəran	Lənkəran	2	0	2013-05-20 13:25:45.960692+02	\N	\N	\N	\N	\N	\N	f	
1747	f194b58a-46ab-4604-85c6-c17c69ca464d	Laçın	Laçın	2	0	2013-05-20 13:25:32.365313+02	\N	\N	\N	\N	\N	\N	f	
1750	040b688d-42c0-4b57-890f-a9bd763c4d51	Masallı	Masallı	2	0	2013-05-20 13:26:07.849127+02	\N	\N	\N	\N	\N	\N	f	
1749	5c534c77-924e-4f70-aed6-a4fdc63a79d1	Lerik	Lerik	2	0	2013-05-20 13:25:56.853035+02	\N	\N	\N	\N	\N	\N	f	
1751	351fb3df-747b-426d-8453-2a7e43049417	Mingəçevir	Mingəçevir	2	0	2013-05-20 13:26:19.705425+02	\N	\N	\N	\N	\N	\N	f	
1752	6acc5592-d6fc-4f25-8eb6-fb8d0dcb3f00	Naftalan	Naftalan	2	0	2013-05-20 13:26:30.500975+02	\N	\N	\N	\N	\N	\N	f	
1753	94b16720-f938-4c3a-904c-0c062223a667	Neftçala	Neftçala	2	0	2013-05-20 13:26:42.01666+02	\N	\N	\N	\N	\N	\N	f	
1755	2b10c4f8-6753-425f-840d-e68e17871e98	Oğuz	Oğuz	2	0	2013-05-20 13:27:04.892371+02	\N	\N	\N	\N	\N	\N	f	
1756	606b6a79-c2a0-44ac-8470-c567e1ba1406	Qəbələ	Qəbələ	2	0	2013-05-20 13:27:15.838239+02	\N	\N	\N	\N	\N	\N	f	
1757	d6d87057-907a-4705-a78d-1646f9a66a61	Qax	Qax	2	0	2013-05-20 13:27:26.943743+02	\N	\N	\N	\N	\N	\N	f	
1700	69c2321a-a328-4c4b-9dc4-7fc262c820a5	Faʻasaleleaga	Faʻasaleleaga	2	0	2013-06-05 06:34:14.812069+02	\N	\N	\N	\N	\N	\N	f	
1758	6eb93403-eaee-4c23-aa52-f12459062516	Qazax	Qazax	2	0	2013-05-20 13:27:41.116335+02	\N	\N	\N	\N	\N	\N	f	
1729	77896448-b4c5-4313-a20a-1df04cc2f430	Bərdə	Bərdə	2	0	2013-06-05 11:59:20.834719+02	\N	\N	\N	\N	\N	\N	f	
1704	18dbcb38-cb09-4faa-85d0-5bcc5d7a743d	Satupaʻitea	Satupaʻitea	2	0	2013-06-05 06:40:38.258071+02	\N	\N	\N	\N	\N	\N	f	
1706	c0cfd59f-38e3-49b3-b5eb-4ae55e23345c	Vaʻa-o-Fonoti	Vaʻa-o-Fonoti	2	0	2013-06-05 06:40:39.189251+02	\N	\N	\N	\N	\N	\N	f	
1701	3a0086e8-4099-4c77-ae77-1a53164c62d1	Gagaʻemauga	Gagaʻemauga	2	0	2013-06-05 06:40:40.185433+02	\N	\N	\N	\N	\N	\N	f	
1759	ac98627c-f704-4066-b994-6f17f8364a1f	Quba	Quba	2	0	2013-05-20 13:27:53.764964+02	\N	\N	\N	\N	\N	\N	f	
1981	4c8735dc-98d2-4986-bb05-a4326027b836	Ig	Ig	2	0	2013-05-20 17:34:28.732738+02	\N	\N	\N	\N	\N	\N	f	
1760	cd8d21f9-1fde-4d48-be89-aba14e797827	Qubadlı	Qubadlı	2	0	2013-05-20 13:28:04.605201+02	\N	\N	\N	\N	\N	\N	f	
1761	033ddd45-cf7d-4b37-b989-92c6b25fb07b	Qobustan	Qobustan	2	0	2013-05-20 13:28:17.17443+02	\N	\N	\N	\N	\N	\N	f	
1762	575b173a-dffd-405f-ba91-82f09e04fb91	Qusar	Qusar	2	0	2013-05-20 13:28:30.967112+02	\N	\N	\N	\N	\N	\N	f	
2032	fef17e67-9fd5-4257-aad1-c95b886a5b23	Osilnica	Osilnica	2	0	2013-05-20 17:45:39.293554+02	\N	\N	\N	\N	\N	\N	f	
1764	d2a5b018-9458-4c6a-929d-dd876edac853	Sabirabad	Sabirabad	2	0	2013-05-20 13:28:55.452534+02	\N	\N	\N	\N	\N	\N	f	
2233	fb848315-1cd7-4c24-969f-1eafa1dbb6c4	Dubăsari	Dubăsari	2	0	2013-05-20 19:03:58.152656+02	\N	\N	\N	\N	\N	\N	f	
2067	2423d53e-12de-4ec5-8b17-e7b6d57ae7dd	Škofljica	Škofljica	2	0	2013-05-27 20:03:15.335073+02	\N	\N	\N	\N	\N	\N	f	
2701	f6c8452b-ca64-4d3b-a0ae-1f446a56c43e	Chiang Mai	Chiang Mai	2	0	2013-06-05 07:34:10.95983+02	\N	\N	\N	\N	\N	\N	f	
1766	b20899d7-542d-442d-8c86-4fed49efb003	Salyan	Salyan	2	0	2013-05-20 13:29:18.525287+02	\N	\N	\N	\N	\N	\N	f	
1767	e862e4ee-1859-48f3-b0e5-c54d3722086a	Saatlı	Saatlı	2	0	2013-05-20 13:29:29.400348+02	\N	\N	\N	\N	\N	\N	f	
1765	fde5972d-ceb8-49f0-9492-32ed31ad6de3	Şəki	Şəki	2	0	2013-05-27 19:50:14.131187+02	\N	\N	\N	\N	\N	\N	f	
2111	d1e2fa3e-5d6b-4bd1-8662-cc1270ccc4dc	Markovci	Markovci	2	0	2013-05-20 18:01:03.535771+02	\N	\N	\N	\N	\N	\N	f	
1769	d74c42a4-fc8b-40f0-aef5-14399f66d539	Siyəzən	Siyəzən	2	0	2013-05-20 13:29:53.790525+02	\N	\N	\N	\N	\N	\N	f	
1768	31c1936b-e8cf-42e3-bb59-bc26ac267c12	Şabran	Şabran	2	0	2013-05-27 19:47:11.519434+02	\N	\N	\N	\N	\N	\N	f	
1771	20022919-4a02-459c-8899-4f3c21c2b95a	Sumqayıt	Sumqayıt	2	0	2013-05-20 13:30:16.132993+02	\N	\N	\N	\N	\N	\N	f	
2144	032fec80-1978-489a-9794-0c459c6086fc	Renče-Vogrsko	Renče-Vogrsko	2	0	2013-05-20 18:07:54.049186+02	\N	\N	\N	\N	\N	\N	f	
2268	200b68fd-ab16-4759-9b84-2c1c1346a025	Veles	Veles	2	0	2013-05-20 19:11:01.741909+02	\N	\N	\N	\N	\N	\N	f	
2183	41cff3d6-66de-4f71-a516-814be0feafe0	Sliven	Sliven	2	0	2013-05-20 18:21:51.148661+02	\N	\N	\N	\N	\N	\N	f	
2574	54ce532d-3b45-4f4d-b5d9-353d23474644	Quang Binh	Quang Binh	2	0	2013-05-20 22:19:27.519643+02	\N	\N	\N	\N	\N	\N	f	
2315	9e56a01c-db9a-4679-b78f-b1508fd1a3b0	Pehčevo	Pehčevo	2	0	2013-05-20 19:20:01.281526+02	\N	\N	\N	\N	\N	\N	f	
13746	24236ab3-ba48-42d6-b60a-1c065b1369ec	Santa Maria a Monte	Santa Maria a Monte	4	0	2013-07-21 19:03:33.831452+02	\N	\N	\N	\N	\N	\N	f	
2349	54b05e0f-84ef-47a4-94ba-758095435b94	Zlatiborski okrug	Zlatiborski okrug	2	0	2013-05-20 19:27:14.701666+02	\N	\N	\N	\N	\N	\N	f	
2907	c1821e0c-54c4-4ae0-8c36-d23aa5758075	Navoiy	Navoiy	2	0	2013-05-20 23:40:22.122822+02	\N	\N	\N	\N	\N	\N	f	
2355	54e0794c-1bbf-44ee-8139-5a9efc99a7a5	Pirotski okrug	Pirotski okrug	2	0	2013-05-20 19:28:38.225885+02	\N	\N	\N	\N	\N	\N	f	
3085	0e96c4d4-422e-4a7d-b0b6-c17f24e15471	Al Qunayţirah	Al Qunayţirah	2	0	2013-06-05 08:18:10.507146+02	\N	\N	\N	\N	\N	\N	f	
2363	3884a385-0bbe-47f9-bd21-f4eb05c535bb	Dnipropetrovs'ka Oblast'	Dnipropetrovs'ka Oblast'	2	0	2013-05-20 19:30:29.331956+02	\N	\N	\N	\N	\N	\N	f	
5079	4fdd4af3-e67d-4b6a-8c83-3ff3521b7fcb	Szczebrzeszyn	Szczebrzeszyn	3	0	2013-05-24 22:23:27.427983+02	\N	\N	\N	\N	\N	\N	f	
2435	33dd0294-b926-4953-ba40-3362f787ee70	Omskaya oblast'	Omskaya oblast'	2	0	2013-05-20 19:47:45.391073+02	\N	\N	\N	\N	\N	\N	f	
2636	5d7787af-1489-4e24-9191-046deab6455b	Otdar Mean Chey [Ŏtdâr Méanchey]	Otdar Mean Chey [Ŏtdâr Méanchey]	2	0	2013-05-20 22:31:13.124538+02	\N	\N	\N	\N	\N	\N	f	
2466	7065fa43-b1c3-4bd9-8917-4196c89ba9ca	Yamalo-Nenetskiy avtonomnyy okrug	Yamalo-Nenetskiy avtonomnyy okrug	2	0	2013-05-20 19:57:04.935845+02	\N	\N	\N	\N	\N	\N	f	
2483	d548e613-6991-4e78-9d54-e24ab4c9c172	Guria	Guria	2	0	2013-05-20 20:51:22.577647+02	\N	\N	\N	\N	\N	\N	f	
2499	faaabd03-5760-4072-9722-6eba05a1f3d2	Qaraghandy oblysy	Qaraghandy oblysy	2	0	2013-05-20 20:54:26.051853+02	\N	\N	\N	\N	\N	\N	f	
2682	5cc74cc0-65ea-41fd-b7f6-5f2632567f0e	Nakhon Ratchasima	Nakhon Ratchasima	2	0	2013-05-20 22:39:34.214572+02	\N	\N	\N	\N	\N	\N	f	
5221	5f4d5eda-0a2c-4a1b-a7f8-445524329dea	Chengdu	Chengdu	3	0	2013-05-24 22:51:45.55973+02	\N	\N	\N	\N	\N	\N	f	
2691	b00cd800-6d16-4b21-9176-7fe090a80f95	Khon Kaen	Khon Kaen	2	0	2013-05-20 22:41:21.457369+02	\N	\N	\N	\N	\N	\N	f	
14376	cb856b8a-1b23-4572-8687-ab47bda79694	Borgoratto Alessandrino	Borgoratto Alessandrino	4	0	2013-07-21 21:24:10.665257+02	\N	\N	\N	\N	\N	\N	f	
3086	da2a05c9-e9d1-44b5-a821-e57de2b445d2	Ar Raqqah	Ar Raqqah	2	0	2013-06-05 09:41:47.062304+02	\N	\N	\N	\N	\N	\N	f	
2726	aa1c3af5-da79-4a3c-aa00-08b6a761eed9	Nakhon Si Thammarat	Nakhon Si Thammarat	2	0	2013-05-20 22:48:23.643271+02	\N	\N	\N	\N	\N	\N	f	
14395	1a63cb97-bab8-43e8-bc37-87b49ad6a563	Gavi	Gavi	4	0	2013-07-21 21:28:14.91942+02	\N	\N	\N	\N	\N	\N	f	
5225	49d9563f-5156-4e4a-8707-88a6b6aac160	Hamadan	Hamadan	3	0	2013-05-24 22:52:26.192649+02	\N	\N	\N	\N	\N	\N	f	
2806	514390bd-bdc1-4424-b26e-9d4e2a9563f0	Mandalay	Mandalay	2	0	2013-05-20 23:03:33.407108+02	\N	\N	\N	\N	\N	\N	f	
3257	60cf80ed-65a6-4d4e-8218-d2e1ba5c8757	Chlef	Chlef	2	0	2013-06-05 10:21:02.376521+02	\N	\N	\N	\N	\N	\N	f	
2851	1f835719-88f3-441d-bc42-9ca24c80f79d	Islamabad	Islamabad	2	0	2013-05-20 23:29:52.579052+02	\N	\N	\N	\N	\N	\N	f	
2859	f40cdde0-7cf7-48e2-ae9f-d430121ace88	Bādghīs	Bādghīs	2	0	2013-06-05 10:42:55.405092+02	\N	\N	\N	\N	\N	\N	f	
1814	381524a3-718f-4a22-837e-e3bc698a45ef	Ceuta	Ceuta	2	0	2013-06-05 10:45:51.318252+02	\N	\N	\N	\N	\N	\N	f	
14399	3c2ba63b-107d-464d-9c3e-0414d1e23175	Garbagna	Garbagna	4	0	2013-07-21 21:29:02.760916+02	\N	\N	\N	\N	\N	\N	f	
19656	1961af11-9900-4a3f-8ea3-a97d224efef4	Orta Nova	Orta Nova	4	0	2013-07-22 11:13:19.420164+02	\N	\N	\N	\N	\N	\N	f	
3119	d0458eb4-e0a9-4277-8d10-f4e705bb47f7	Huambo	Huambo	2	0	2013-05-21 00:45:56.948964+02	\N	\N	\N	\N	\N	\N	f	
3050	71d5f0ce-fb22-4072-b313-813395431fe0	Qalqilya	Qalqilya	2	0	2013-05-21 00:22:50.200083+02	\N	\N	\N	\N	\N	\N	f	
3078	6e1af6b7-e0ed-490a-8e1d-3032f7bfdc97	Dayr az Zawr	Dayr az Zawr	2	0	2013-05-21 00:30:53.049282+02	\N	\N	\N	\N	\N	\N	f	
3190	7404ee5d-fc76-4a25-ad45-c1f0b7b278f1	Sud-Kivu	Sud-Kivu	2	0	2013-05-21 00:59:52.359516+02	\N	\N	\N	\N	\N	\N	f	
14905	53b9584c-4eec-4a2a-83a6-e81eb57ede6c	Entracque	Entracque	4	0	2013-07-21 23:24:00.536821+02	\N	\N	\N	\N	\N	\N	f	
3148	7b44cb19-f905-481b-92e0-63c109656f61	Gitega	Gitega	2	0	2013-05-21 00:51:34.489553+02	\N	\N	\N	\N	\N	\N	f	
3243	6963ed0c-3295-4725-a1c7-bd7c0ced2202	North	North	2	0	2013-05-21 01:09:31.980637+02	\N	\N	\N	\N	\N	\N	f	
3157	3001a82a-bf75-41e0-aa81-181431e7291e	Rutana	Rutana	2	0	2013-05-21 00:53:26.378801+02	\N	\N	\N	\N	\N	\N	f	
3168	bf5fb8bb-23e2-4f4d-b6fc-05eed92a8cc3	Ouémé	Ouémé	2	0	2013-05-21 00:55:26.189215+02	\N	\N	\N	\N	\N	\N	f	
3198	fc3e9a02-59de-45ff-8183-ea040af9e8cb	Gribingui	Gribingui	2	0	2013-05-21 01:01:29.750107+02	\N	\N	\N	\N	\N	\N	f	
3355	7205456f-1f5f-4a26-a249-721853d10510	Ogooué-Ivindo	Ogooué-Ivindo	2	0	2013-05-21 12:03:23.002852+02	\N	\N	\N	\N	\N	\N	f	
3212	86ecd3e4-7ed7-4751-a9b6-b9f2a1635c3a	Plateaux	Plateaux	2	0	2013-05-21 01:04:12.129787+02	\N	\N	\N	\N	\N	\N	f	
16925	4108cc7d-b12c-4513-9c46-cd39fe8e0d50	Ficarolo	Ficarolo	4	0	2013-07-22 05:12:01.904596+02	\N	\N	\N	\N	\N	\N	f	
3294	4f2129f2-1883-4098-9180-9a3bf10e15e0	El Oued	El Oued	2	0	2013-05-21 11:36:49.692604+02	\N	\N	\N	\N	\N	\N	f	
3358	53d1a675-1eaf-4a0c-9f9b-e0c30ef3605b	Woleu-Ntem	Woleu-Ntem	2	0	2013-05-21 12:03:58.864382+02	\N	\N	\N	\N	\N	\N	f	
3359	90c10b15-7638-49c4-b592-06c1086a398f	Greater Accra	Greater Accra	2	0	2013-05-21 12:04:10.460779+02	\N	\N	\N	\N	\N	\N	f	
3404	b655a7f5-e143-4cdf-ac43-da7ab055f801	Grand Gedeh	Grand Gedeh	2	0	2013-05-21 13:21:22.616912+02	\N	\N	\N	\N	\N	\N	f	
3428	21598247-ad81-433e-8120-098f2f04e8a2	Ghāt	Ghāt	2	0	2013-05-21 13:26:03.57745+02	\N	\N	\N	\N	\N	\N	f	
3459	4fd01ff8-b545-4d9a-8fa2-4dc2aba6414a	Guelmim-Es Smara	Guelmim-Es Smara	2	0	2013-05-21 13:32:27.401883+02	\N	\N	\N	\N	\N	\N	f	
3470	f20b259e-b38c-4a40-821b-2b365f0159f2	Sikasso	Sikasso	2	0	2013-05-21 13:34:28.995748+02	\N	\N	\N	\N	\N	\N	f	
4575	a7a3ff5f-1107-49a0-91d8-f029bbcb996e	Papua	Papua	2	0	2013-05-22 14:12:17.479737+02	\N	\N	\N	\N	\N	\N	f	
3499	eab5fc18-31af-41bd-bef2-389cf5210510	Port Louis	Port Louis	2	0	2013-05-21 13:39:51.19623+02	\N	\N	\N	\N	\N	\N	f	
2988	51a95a50-1af2-4f2b-880a-a2712436657d	‘Ajlūn	‘Ajlūn	2	0	2013-05-27 19:31:41.21232+02	\N	\N	\N	\N	\N	\N	f	
3513	92c58af3-f0f8-444c-9f01-b915ebd9ef2d	Inhambane	Inhambane	2	0	2013-05-21 13:42:25.43807+02	\N	\N	\N	\N	\N	\N	f	
1770	01656509-6261-40de-a897-917c9e38e10f	Şəmkir	Şəmkir	2	0	2013-05-27 19:30:31.17095+02	\N	\N	\N	\N	\N	\N	f	
1773	8cfcdeaa-127a-4349-bfe2-9cf2576cbcd6	Samux	Samux	2	0	2013-05-20 13:30:38.170566+02	\N	\N	\N	\N	\N	\N	f	
13748	8348f872-2269-4827-aaf0-45d95590682b	Santa Luce	Santa Luce	4	0	2013-07-21 19:03:58.812356+02	\N	\N	\N	\N	\N	\N	f	
1837	8216eb6e-3b17-4aef-9285-ff2901ef9b4f	Corse	Corse	2	0	2013-06-05 06:46:37.518178+02	\N	\N	\N	\N	\N	\N	f	
1808	df1aae4b-a7ab-473e-bce7-eb5de94a002b	Vysočina	Vysočina	2	0	2013-05-20 13:48:09.27269+02	\N	\N	\N	\N	\N	\N	f	
1807	bfc270ee-4058-411b-a9a3-b02f33049c69	Ústecký kraj	Ústecký kraj	2	0	2013-05-27 20:04:40.262806+02	\N	\N	\N	\N	\N	\N	f	
1796	91eb4aae-2c2b-4dc1-b972-1b44eaf6fbc1	Jihočeský kraj	Jihočeský kraj	2	0	2013-05-20 13:45:57.577929+02	\N	\N	\N	\N	\N	\N	f	
1776	0c52dd8e-54ee-4483-80ca-1a9999fcc351	Tərtər	Tərtər	2	0	2013-05-20 13:31:15.637988+02	\N	\N	\N	\N	\N	\N	f	
1777	765a871a-2a38-4a48-b5a4-3c3d854128ed	Tovuz	Tovuz	2	0	2013-05-20 13:31:26.800476+02	\N	\N	\N	\N	\N	\N	f	
1778	18f22674-73ab-4308-ae7a-6eefd8582729	Ucar	Ucar	2	0	2013-05-20 13:31:38.075203+02	\N	\N	\N	\N	\N	\N	f	
1797	e64ebd04-03cc-49c6-b64e-767bbc65e7b2	Jihomoravský kraj	Jihomoravský kraj	2	0	2013-05-20 13:46:08.587445+02	\N	\N	\N	\N	\N	\N	f	
3840	9f160583-bd60-4f8d-bfd5-56c2f0d6f51c	Dundee City	Dundee City	3	0	2013-05-24 01:09:12.918301+02	\N	\N	\N	\N	\N	\N	f	
1780	60fd624d-791f-46ab-a2af-260e443a8382	Xaçmaz	Xaçmaz	2	0	2013-05-20 13:32:03.564053+02	\N	\N	\N	\N	\N	\N	f	
1781	23b49f53-8986-4c93-acef-760a6b89386a	Xocalı	Xocalı	2	0	2013-05-20 13:32:17.421124+02	\N	\N	\N	\N	\N	\N	f	
1798	b3ca5dc3-1962-4a5f-98bf-a5ceebd07737	Karlovarský kraj	Karlovarský kraj	2	0	2013-05-20 13:46:19.808064+02	\N	\N	\N	\N	\N	\N	f	
1782	a4ac0aab-4e72-4e06-92bc-e57e8999fd52	Xızı	Xızı	2	0	2013-05-20 13:32:28.812536+02	\N	\N	\N	\N	\N	\N	f	
1783	2291f262-9a00-455d-bb63-b019eb37ad27	Xocavənd	Xocavənd	2	0	2013-05-20 13:32:39.935406+02	\N	\N	\N	\N	\N	\N	f	
1809	56e47717-ebb6-4ad0-8354-779290c76e51	Zlínský kraj	Zlínský kraj	2	0	2013-05-20 13:48:20.065082+02	\N	\N	\N	\N	\N	\N	f	
1784	4a2f6020-faaa-498b-98f1-54107f35137e	Yardımlı	Yardımlı	2	0	2013-05-20 13:32:51.444551+02	\N	\N	\N	\N	\N	\N	f	
1799	83a7fb49-611b-49ce-8e93-d00d5a6b70dd	Královéhradecký kraj	Královéhradecký kraj	2	0	2013-05-20 13:46:30.521273+02	\N	\N	\N	\N	\N	\N	f	
1786	06bcba9a-a8b0-473d-be0b-408785a448ac	Yevlax	Yevlax	2	0	2013-05-20 13:33:13.805575+02	\N	\N	\N	\N	\N	\N	f	
1787	e096f757-bfa4-4c68-b9e1-ec6fec685912	Zəngilan	Zəngilan	2	0	2013-05-20 13:33:25.098931+02	\N	\N	\N	\N	\N	\N	f	
1800	79d826c8-f58e-4cc7-bc04-3c8101d58f1a	Liberecký kraj	Liberecký kraj	2	0	2013-05-20 13:46:41.676419+02	\N	\N	\N	\N	\N	\N	f	
1788	b7dce076-b4f6-4e90-bc57-ed6067654a13	Zaqatala	Zaqatala	2	0	2013-05-20 13:33:36.186153+02	\N	\N	\N	\N	\N	\N	f	
1789	0e566727-d3a0-43eb-be14-c7e4e0a9af37	Zərdab	Zərdab	2	0	2013-05-20 13:33:47.681366+02	\N	\N	\N	\N	\N	\N	f	
1824	74bd349c-179d-444b-b816-ec5cdfe789c7	Melilla	Melilla	2	0	2013-05-20 13:51:34.597153+02	\N	\N	\N	\N	\N	\N	f	
1790	8474c97f-3d52-4359-aecf-a9e59a177611	Federacija Bosna i Hercegovina	Federacija Bosna i Hercegovina	2	0	2013-05-20 13:43:08.253848+02	\N	\N	\N	\N	\N	\N	f	
1801	641a8756-03b3-4e5d-8a71-3f6e3bad5093	Moravskoslezský kraj	Moravskoslezský kraj	2	0	2013-05-20 13:46:52.507898+02	\N	\N	\N	\N	\N	\N	f	
1792	bdf81fc6-7f94-493d-b55a-a6a95a7873e3	Republika Srpska	Republika Srpska	2	0	2013-05-20 13:43:33.729216+02	\N	\N	\N	\N	\N	\N	f	
1810	2b67f2d6-b7ff-4b51-952c-9c4943cd637e	Andalucía	Andalucía	2	0	2013-06-05 08:08:04.420635+02	\N	\N	\N	\N	\N	\N	f	
4576	88177fe7-a13f-4b43-bb58-3202e90f241a	Papua Barat	Papua Barat	2	0	2013-05-22 14:12:35.014615+02	\N	\N	\N	\N	\N	\N	f	
1802	a6f04558-d9e8-4374-b61a-4343f693e006	Olomoucký kraj	Olomoucký kraj	2	0	2013-05-20 13:47:03.321478+02	\N	\N	\N	\N	\N	\N	f	
4707	9557b216-cef9-4cb3-b9f4-0a1d14362379	Trento	Trento	2	0	2013-05-22 14:50:09.185685+02	\N	\N	\N	\N	\N	\N	f	
1819	891be787-4080-429a-abe3-bd81206986a6	Extremadura	Extremadura	2	0	2013-05-20 13:50:39.112453+02	\N	\N	\N	\N	\N	\N	f	
1803	5fd44578-02d3-4e0c-b3d9-19a8615d00e1	Pardubický kraj	Pardubický kraj	2	0	2013-05-20 13:47:14.300991+02	\N	\N	\N	\N	\N	\N	f	
1833	62882784-379c-48a2-b2fd-5d58d46f3de7	Bourgogne	Bourgogne	2	0	2013-06-05 09:06:36.629952+02	\N	\N	\N	\N	\N	\N	f	
1804	414378b2-1b85-427b-9e66-f26d558c1dde	Plzeňský kraj	Plzeňský kraj	2	0	2013-05-20 13:47:25.188265+02	\N	\N	\N	\N	\N	\N	f	
2448	e4269131-c8f7-41ff-8600-1f49fe3b319c	Respublika Severnaya Osetiya-Alaniya	Severnaya Osetiya-Alaniya, Respublika	2	0	2013-05-24 00:54:02.298555+02	\N	\N	\N	\N	\N	\N	f	
1806	2ae6d252-57dc-45d5-8298-5252f1693c01	Středočeský kraj	Středočeský kraj	2	0	2013-05-20 13:47:47.573159+02	\N	\N	\N	\N	\N	\N	f	
1793	7bda5d46-4809-41dc-a0b8-e889ff818f2e	Brussels	Brussels	3	0	2013-05-31 07:04:17.489691+02	\N	\N	\N	\N	\N	\N	f	
1820	6ed50e09-b358-4d86-9c08-baf2f6956194	Galicia	Galicia	2	0	2013-05-20 13:50:49.933099+02	\N	\N	\N	\N	\N	\N	f	
1779	6ba7a934-754e-4774-9634-d9e845e3d81c	Xankəndi	Xankəndi	3	0	2013-05-24 01:08:12.155498+02	\N	\N	\N	\N	\N	\N	f	
1805	0a65a727-7465-4e6c-8b15-ed4d09e021ee	Praha	Praha	3	0	2013-06-26 18:50:35.910077+02	\N	\N	\N	\N	\N	\N	f	
1830	cd5b5aa5-d185-46e9-ad9d-e7c0eb8bc4c3	Aquitaine	Aquitaine	2	0	2013-06-05 10:06:52.206116+02	\N	\N	\N	\N	\N	\N	f	
1835	8021a7c2-8037-4999-9203-e555e7bb20ab	Centre	Centre	2	0	2013-06-05 07:26:49.215406+02	\N	\N	\N	\N	\N	\N	f	
14379	04f2a113-2825-456f-b84d-884f4e87d5d8	Cartosio	Cartosio	4	0	2013-07-21 21:24:45.970479+02	\N	\N	\N	\N	\N	\N	f	
5080	bfcb689c-a5c7-4442-bb8e-81df3eb7f861	Saginaw	Saginaw	3	0	2013-05-24 22:23:38.192669+02	\N	\N	\N	\N	\N	\N	f	
1832	36beca2c-be41-4151-b774-6a4d549f99c6	Clipperton	Clipperton	2	0	2013-06-05 07:32:05.236105+02	\N	\N	\N	\N	\N	\N	f	
17292	482a9c53-17a7-47f0-a491-3a061ec9d655	Padria	Padria	4	0	2013-07-22 06:08:58.977363+02	\N	\N	\N	\N	\N	\N	f	
1791	8bcbf9ce-f441-4863-ae24-7e363cb8a42b	Brčko distrikt	Brčko distrikt	2	0	2013-06-05 12:11:42.599493+02	\N	\N	\N	\N	\N	\N	f	
4837	eb2f4dc4-2a2a-4fbe-98d8-a38a77948af4	Machinga	Machinga	2	0	2013-05-22 15:27:51.85272+02	\N	\N	\N	\N	\N	\N	f	
5134	1c432aeb-3b75-4442-ad6b-deaf555ad07e	Halle (Saale)	Halle (Saale)	3	0	2013-05-24 22:34:04.294431+02	\N	\N	\N	\N	\N	\N	f	
4974	8c2e3225-70bc-4085-ba0e-6da1e2b1ee97	Kalangala	Kalangala	2	0	2013-05-22 16:01:14.085076+02	\N	\N	\N	\N	\N	\N	f	
5255	9150ffc9-be86-42ff-96b6-a4fee1ce2b52	Little Rock	Little Rock	3	0	2013-05-24 22:58:01.379827+02	\N	\N	\N	\N	\N	\N	f	
5396	ada369e4-9d33-4693-92e4-7499143bd5bb	Legnica	Legnica	3	0	2013-05-24 23:26:16.287396+02	\N	\N	\N	\N	\N	\N	f	
1831	8a56b197-23e4-44b5-9bb2-13b39ee2d6ea	Auvergne	Auvergne	2	0	2013-06-05 12:12:26.192861+02	\N	\N	\N	\N	\N	\N	f	
5557	aaf45aa4-08f5-48af-8cd6-3a518cc4fbf7	Abadeh	Abadeh	3	0	2013-05-25 00:02:10.315703+02	\N	\N	\N	\N	\N	\N	f	
1829	becf5db4-f6d0-4d12-ae34-d8d2ce4a2c53	Alsace	Alsace	2	0	2013-06-05 10:52:33.218451+02	\N	\N	\N	\N	\N	\N	f	
1815	0611ced6-4fdf-4b28-ab9f-a57ae7be99e2	Castilla y León	Castilla y León	2	0	2013-06-05 09:59:48.459762+02	\N	\N	\N	\N	\N	\N	f	
1811	27bb034f-d022-4ecb-b8e4-12ed48f3286c	Aragón	Aragón	2	0	2013-06-05 08:32:26.876689+02	\N	\N	\N	\N	\N	\N	f	
1834	4dc2ed69-75dc-4f4c-9d71-889643f24791	Bretagne	Bretagne	2	0	2013-06-05 07:40:29.244218+02	\N	\N	\N	\N	\N	\N	f	
1836	ae7ba3fc-bfee-4d0b-ba8e-9784298d434f	Champagne-Ardenne	Champagne-Ardenne	2	0	2013-06-05 10:02:23.827959+02	\N	\N	\N	\N	\N	\N	f	
1816	7d8cfbd4-dd6f-48bd-a836-79f7016904db	Castilla-La Mancha	Castilla-La Mancha	2	0	2013-06-05 07:19:29.93554+02	\N	\N	\N	\N	\N	\N	f	
1838	3e233b8d-30e6-42a5-9ea2-57a197f0477c	Franche-Comté	Franche-Comté	2	0	2013-05-20 14:01:16.32065+02	\N	\N	\N	\N	\N	\N	f	
1775	115c6314-2404-4b14-9565-674bb7e3ff76	Şuşa	Şuşa	2	0	2013-05-27 19:46:53.488574+02	\N	\N	\N	\N	\N	\N	f	
7068	4574096d-e595-4de4-bf7f-07da748d8730	Ostrowiec Świętokrzyski	Ostrowiec Świętokrzyski	3	0	2013-05-26 16:44:25.374816+02	\N	\N	\N	\N	\N	\N	f	
1840	3d3cd460-c1bd-46f1-aa30-d8f19604e2ef	Languedoc-Roussillon	Languedoc-Roussillon	2	0	2013-05-20 14:01:38.98786+02	\N	\N	\N	\N	\N	\N	f	
1943	17f684dc-fa0f-4da9-aa6f-adadbb582853	Ulcinj	Ulcinj	2	0	2013-05-20 15:59:30.543359+02	\N	\N	\N	\N	\N	\N	f	
1826	fc0eae1b-654c-476a-bcbf-c79d4d136f2c	País Vasco	País Vasco	2	0	2013-05-21 00:32:22.520548+02	\N	\N	\N	\N	\N	\N	f	
1795	19fcdd55-36e3-44ce-b9ed-c6c8737df44d	Wallonie	Wallonie	2	0	2013-05-21 00:36:23.001935+02	\N	\N	\N	\N	\N	\N	f	
1794	2ea52ae1-00ee-406e-a8f1-50fb88554d24	Flanders	Flanders	2	0	2013-05-21 00:37:21.671977+02	\N	\N	\N	\N	\N	\N	f	
1841	c3b3391b-4049-49b4-a147-dcd6963e3ccf	Limousin	Limousin	2	0	2013-05-20 14:01:54.396073+02	\N	\N	\N	\N	\N	\N	f	
1846	35c1cd11-ca36-4aab-b984-3a180cb1801b	Haute-Normandie	Haute-Normandie	2	0	2013-05-20 14:02:57.997814+02	\N	\N	\N	\N	\N	\N	f	
1982	2953343c-fdca-4337-83a4-a38ee6ac36ed	Ilirska Bistrica	Ilirska Bistrica	2	0	2013-05-20 17:34:40.265942+02	\N	\N	\N	\N	\N	\N	f	
2234	51a1f33b-c5fa-47c3-9be6-2d11c5f99197	Edineţ	Edineţ	2	0	2013-05-20 19:04:15.251445+02	\N	\N	\N	\N	\N	\N	f	
2033	6ff0fd3b-d3db-42e4-8d3a-f6156f928f77	Pesnica	Pesnica	2	0	2013-05-20 17:45:50.37176+02	\N	\N	\N	\N	\N	\N	f	
2112	b0cf9ae2-10c0-4de8-93c4-f5acf064a3a3	Miklavž na Dravskem polju	Miklavž na Dravskem polju	2	0	2013-05-20 18:01:16.357762+02	\N	\N	\N	\N	\N	\N	f	
2269	19d263e8-7d3c-4068-bc0e-e91ae40d39e2	Vinica	Vinica	2	0	2013-05-20 19:11:12.814077+02	\N	\N	\N	\N	\N	\N	f	
2145	c28caea5-e947-47d2-968f-90c2aea01282	Središče ob Dravi	Središče ob Dravi	2	0	2013-05-20 18:08:05.610514+02	\N	\N	\N	\N	\N	\N	f	
2184	03836b9b-6325-4fa0-b7d8-c946f834c8c6	Smolyan	Smolyan	2	0	2013-05-20 18:22:01.961295+02	\N	\N	\N	\N	\N	\N	f	
2575	566b54cd-0d3a-4ae0-bfd2-c6f5b2e16511	Quang Tri	Quang Tri	2	0	2013-05-20 22:19:39.955268+02	\N	\N	\N	\N	\N	\N	f	
2185	17442d79-cb87-4ec4-bc53-6885a342fca0	Sofia-Grad	Sofia-Grad	2	0	2013-05-20 18:22:13.377918+02	\N	\N	\N	\N	\N	\N	f	
2272	b4da0d62-6245-4af7-8f37-c57ae4eff00c	Gazi Baba	Gazi Baba	2	0	2013-05-20 19:11:44.643548+02	\N	\N	\N	\N	\N	\N	f	
2316	55964197-0262-4356-a175-df0ddc975ec3	Plasnica	Plasnica	2	0	2013-05-20 19:20:12.176671+02	\N	\N	\N	\N	\N	\N	f	
3328	325c458e-736f-4806-bc57-3ff04f6bc088	Ash Sharqīyah	Ash Sharqīyah	2	0	2013-06-05 08:22:50.585139+02	\N	\N	\N	\N	\N	\N	f	
2350	41b38a04-730d-4c93-a98a-36a4f3aef6de	Moravički okrug	Moravički okrug	2	0	2013-05-20 19:27:31.849805+02	\N	\N	\N	\N	\N	\N	f	
2605	48e67297-3117-41c7-b608-5da227c6f313	Binh Phuoc	Binh Phuoc	2	0	2013-06-05 09:56:01.121648+02	\N	\N	\N	\N	\N	\N	f	
3588	5bb562ce-f0b3-467a-b4b2-3540b32cb4eb	Anse Royale	Anse Royale	2	0	2013-06-05 10:51:46.03781+02	\N	\N	\N	\N	\N	\N	f	
5713	8089ec08-42b4-4521-bf3b-906562e9828e	Tomigusuku	Tomigusuku	3	0	2013-05-25 00:36:04.537696+02	\N	\N	\N	\N	\N	\N	f	
13749	81656342-1e39-49be-8f85-27bc1ca94d4d	Vialfrè	Vialfrè	4	0	2013-07-21 19:04:10.85672+02	\N	\N	\N	\N	\N	\N	f	
3362	20b44f91-5252-455b-9bd4-02025c1152a3	Central	Central	2	0	2013-06-05 06:50:43.877604+02	\N	\N	\N	\N	\N	\N	f	
2436	82eab6be-2d28-471a-a906-9c3c1a9f85f6	Orenburgskaya oblast'	Orenburgskaya oblast'	2	0	2013-05-20 19:47:57.414424+02	\N	\N	\N	\N	\N	\N	f	
2639	b5bcdec6-d414-4966-8ee1-31a9398b4d15	Kampong Chaam [Kâmpóng Cham]	Kampong Chaam [Kâmpóng Cham]	2	0	2013-05-20 22:31:46.013535+02	\N	\N	\N	\N	\N	\N	f	
2484	5fb919e5-2f5b-498d-8b3c-5e85b42cce09	Imeret’i	Imeret’i	2	0	2013-05-20 20:51:33.825338+02	\N	\N	\N	\N	\N	\N	f	
2485	79f6d80d-b4bb-41e0-98ee-f3b4c5b52099	Kakhet’i	Kakhet’i	2	0	2013-05-20 20:51:45.148053+02	\N	\N	\N	\N	\N	\N	f	
2520	7318d447-7dc4-499f-ab9b-d1285f8db41c	Dzavhan	Dzavhan	2	0	2013-05-20 21:12:49.373828+02	\N	\N	\N	\N	\N	\N	f	
3594	0f717f8a-88d9-45c1-af87-dc656ddd26ab	Cascade	Cascade	2	0	2013-06-05 09:48:22.100393+02	\N	\N	\N	\N	\N	\N	f	
2727	ca8df512-9749-4363-9519-62164ac5bfe6	Krabi	Krabi	2	0	2013-05-20 22:48:34.606866+02	\N	\N	\N	\N	\N	\N	f	
3090	8d5176a3-5b60-4ef5-afe9-77be7cea3624	Abyān	Abyān	2	0	2013-06-05 12:14:15.744219+02	\N	\N	\N	\N	\N	\N	f	
2762	7122ef98-25e7-4ff9-ae17-2353e5ec6985	Papua	Papua	2	0	2013-05-20 22:55:07.429651+02	\N	\N	\N	\N	\N	\N	f	
2789	1a980761-4535-4b5d-abee-4960eb6eead8	MIMAROPA (Region IV-B)	MIMAROPA (Region IV-B)	2	0	2013-05-20 23:00:19.84501+02	\N	\N	\N	\N	\N	\N	f	
13765	71e23400-9272-4fc9-85cd-0ea89a5ec1db	Vidracco	Vidracco	4	0	2013-07-21 19:07:31.553994+02	\N	\N	\N	\N	\N	\N	f	
2807	806f4b98-a380-4d4c-8fcd-28c6f17f72ab	Tanintharyi	Tanintharyi	2	0	2013-05-20 23:03:44.256647+02	\N	\N	\N	\N	\N	\N	f	
3120	90901583-7cdf-4574-952b-6c7a9e7cbd5b	Huíla	Huíla	2	0	2013-05-21 00:46:07.44394+02	\N	\N	\N	\N	\N	\N	f	
2811	3bc373de-3882-4897-b598-5de764bcfef3	Kayah	Kayah	2	0	2013-05-20 23:04:34.692597+02	\N	\N	\N	\N	\N	\N	f	
2854	dd27835c-fd7b-4a0d-9b20-8ec0af59ff20	Punjab	Punjab	2	0	2013-05-20 23:30:24.339928+02	\N	\N	\N	\N	\N	\N	f	
3591	4732e8af-ea4f-4361-9b74-f54b74b47fba	Beau Vallon	Beau Vallon	2	0	2013-06-05 09:50:53.126434+02	\N	\N	\N	\N	\N	\N	f	
2910	6af3f289-4ee6-4cf1-a066-f35942d2beec	Samarqand	Samarqand	2	0	2013-05-20 23:40:55.217802+02	\N	\N	\N	\N	\N	\N	f	
3121	d4d3db6c-42f9-4d88-b4bd-d8038e1dca33	Lunda Norte	Lunda Norte	2	0	2013-05-21 00:46:18.297643+02	\N	\N	\N	\N	\N	\N	f	
2920	b5883cc9-b517-4ba3-a9ff-a692610e337e	Mary	Mary	2	0	2013-05-20 23:42:48.802253+02	\N	\N	\N	\N	\N	\N	f	
3548	9d57ffa4-023e-454b-8da7-d599d905994c	Borno	Borno	2	0	2013-06-05 12:09:18.652598+02	\N	\N	\N	\N	\N	\N	f	
3005	a067e390-1a13-4fc9-843c-113fb16d4f26	Mubārak al Kabīr	Mubārak al Kabīr	2	0	2013-05-21 00:11:18.655887+02	\N	\N	\N	\N	\N	\N	f	
3169	3aa59c9e-b880-425f-b394-647936932dad	Plateau	Plateau	2	0	2013-05-21 00:55:36.919034+02	\N	\N	\N	\N	\N	\N	f	
3041	6c3d05b9-9e6c-4a99-985d-891661963552	Deir El Balah	Deir El Balah	2	0	2013-05-21 00:20:25.024597+02	\N	\N	\N	\N	\N	\N	f	
3052	dc674cee-b960-4693-b513-43034497e4c2	Rafah	Rafah	2	0	2013-05-21 00:23:28.994035+02	\N	\N	\N	\N	\N	\N	f	
15475	d7da1f5d-10c7-4768-8344-b5e68978af31	Poggio San Lorenzo	Poggio San Lorenzo	4	0	2013-07-22 00:53:55.342067+02	\N	\N	\N	\N	\N	\N	f	
2683	65ecbed4-1477-4da7-812d-c27aadd17a62	Buri Ram	Buri Ram	2	0	2013-06-05 07:34:47.596556+02	\N	\N	\N	\N	\N	\N	f	
3188	68e7b105-6841-45ec-9776-4cd2e88f9114	Nord-Kivu	Nord-Kivu	2	0	2013-05-21 00:59:23.341393+02	\N	\N	\N	\N	\N	\N	f	
3466	c9872634-4471-4cd2-b332-2ba326e5d6ba	Antananarivo	Antananarivo	2	0	2013-06-05 07:11:50.372074+02	\N	\N	\N	\N	\N	\N	f	
3200	ccc5492c-0ddf-4bd9-b962-1d3544e7c66d	Lobaye	Lobaye	2	0	2013-05-21 01:01:59.631753+02	\N	\N	\N	\N	\N	\N	f	
13775	1a35b160-2646-4c3b-a191-cb7834d5795b	Venaria Reale	Venaria Reale	4	0	2013-07-21 19:09:30.113389+02	\N	\N	\N	\N	\N	\N	f	
3258	95d2b1d6-76af-4fde-ad5c-8d7ea18feac4	Laghouat	Laghouat	2	0	2013-05-21 11:30:16.403759+02	\N	\N	\N	\N	\N	\N	f	
3267	4419363d-6ab1-47db-94ec-7e8932434952	Tébessa	Tébessa	2	0	2013-05-21 11:31:55.668028+02	\N	\N	\N	\N	\N	\N	f	
2397	b6514d25-505b-413a-a2d0-62b9464496f4	Chechenskaya Respublika	Chechenskaya Respublika	2	0	2013-06-05 10:33:05.052894+02	\N	\N	\N	\N	\N	\N	f	
3296	9473ac11-a375-4a41-af26-09d04e561a37	Souk Ahras	Souk Ahras	2	0	2013-05-21 11:37:11.291152+02	\N	\N	\N	\N	\N	\N	f	
3532	36696e6c-b536-41b5-b8f2-7aa2119de32a	Oshikoto	Oshikoto	2	0	2013-05-21 13:45:54.477483+02	\N	\N	\N	\N	\N	\N	f	
3495	2e530bdc-c66a-43d0-9c88-3adddaf71393	Flacq	Flacq	2	0	2013-05-21 13:39:03.627003+02	\N	\N	\N	\N	\N	\N	f	
3399	3ebe38a6-03ef-43a8-af4d-e1a6d9a2e76c	Moûhîlî (Mūhīlī)	Moûhîlî (Mūhīlī)	2	0	2013-05-21 12:12:19.476856+02	\N	\N	\N	\N	\N	\N	f	
3405	7388db1d-1039-4861-af3e-2c4a0381b1c2	Grand Kru	Grand Kru	2	0	2013-05-21 13:21:33.69204+02	\N	\N	\N	\N	\N	\N	f	
3514	2300fc7b-3c2e-49e0-8b91-3ddbf64c5c9b	Maputo	Maputo	2	0	2013-05-21 13:42:36.015568+02	\N	\N	\N	\N	\N	\N	f	
3516	3db91b7e-c9b0-41bd-819c-f0271fd2726b	Nampula	Nampula	2	0	2013-05-21 13:42:57.517041+02	\N	\N	\N	\N	\N	\N	f	
3544	9367616a-d4db-4498-9150-373dc517aef3	Akwa Ibom	Akwa Ibom	2	0	2013-06-05 11:28:40.816895+02	\N	\N	\N	\N	\N	\N	f	
3565	304ae6c7-35b4-4a05-be8e-45e857af6232	Kwara	Kwara	2	0	2013-05-21 13:52:09.697307+02	\N	\N	\N	\N	\N	\N	f	
3555	fef2d6b0-713c-4e49-8ea4-4c07cf98bc5b	Enugu	Enugu	2	0	2013-05-21 13:50:22.588227+02	\N	\N	\N	\N	\N	\N	f	
3576	1db90d3a-1a43-4598-ab7b-5d148d6a00cd	Taraba	Taraba	2	0	2013-05-21 13:54:12.361502+02	\N	\N	\N	\N	\N	\N	f	
3429	475bd077-82b5-47f5-b5cb-e04841b4f868	Al Jabal al Akhḑar	Al Jabal al Akhḑar	2	0	2013-06-05 10:07:44.350656+02	\N	\N	\N	\N	\N	\N	f	
3584	cbbf35ac-bbbd-4440-98af-3b7bc41a1cd4	Anse aux Pins	Anse aux Pins	2	0	2013-06-05 10:50:11.218454+02	\N	\N	\N	\N	\N	\N	f	
3595	40525876-ee9c-4808-bc3f-3409de499027	Glacis	Glacis	2	0	2013-05-21 14:08:46.020812+02	\N	\N	\N	\N	\N	\N	f	
3597	cad14e4c-1e11-40cc-9da7-525c979c0fa0	Grand Anse Praslin	Grand Anse Praslin	2	0	2013-05-21 14:09:07.019848+02	\N	\N	\N	\N	\N	\N	f	
3596	f3acad12-d4e7-44fe-9d2c-05ac6484bd4d	Grand Anse Mahe	Grand Anse Mahe	2	0	2013-05-21 14:08:56.542333+02	\N	\N	\N	\N	\N	\N	f	
4577	c248df35-5333-4348-8d6f-4c92217e7151	Riau	Riau	2	0	2013-05-22 14:12:53.999255+02	\N	\N	\N	\N	\N	\N	f	
3543	5e71004b-0df7-489a-a40f-cd3ea5646cd0	Adamawa	Adamawa	2	0	2013-06-05 11:16:21.751079+02	\N	\N	\N	\N	\N	\N	f	
2956	e78f40bb-8a6b-42ff-85e1-553645866afb	At Ta'mīm	At Ta'mīm	2	0	2013-06-05 11:37:15.726327+02	\N	\N	\N	\N	\N	\N	f	
1842	9a747db2-1993-44d8-85a4-57331df29645	Lorraine	Lorraine	2	0	2013-05-20 14:02:05.248351+02	\N	\N	\N	\N	\N	\N	f	
1843	d49e3b1b-3b36-40e1-ae4b-0b2fd2e6d6a0	Midi-Pyrénées	Midi-Pyrénées	2	0	2013-05-20 14:02:17.855875+02	\N	\N	\N	\N	\N	\N	f	
1983	4936c56f-5e1c-4b86-ac4e-b5b720ef835a	Ivančna Gorica	Ivančna Gorica	2	0	2013-05-20 17:34:51.887852+02	\N	\N	\N	\N	\N	\N	f	
1844	58e07dd8-21c9-46fe-b5a7-4f916eaae30a	Nord-Pas-de-Calais	Nord-Pas-de-Calais	2	0	2013-05-20 14:02:34.156706+02	\N	\N	\N	\N	\N	\N	f	
1847	52bd3595-9ee0-42a2-8f67-d0917506c242	Pays-de-la-Loire	Pays-de-la-Loire	2	0	2013-05-20 14:03:09.310252+02	\N	\N	\N	\N	\N	\N	f	
2034	a4431049-8910-4f9f-a0b0-43e9198fbacc	Piran/Pirano	Piran/Pirano	2	0	2013-05-20 17:46:01.515935+02	\N	\N	\N	\N	\N	\N	f	
1848	25fd67e9-3788-4cea-b26b-e6a4d36b43b5	Picardie	Picardie	2	0	2013-05-20 14:03:20.316337+02	\N	\N	\N	\N	\N	\N	f	
1849	76b1cb18-c458-419c-985f-5558870e48b1	Poitou-Charentes	Poitou-Charentes	2	0	2013-05-20 14:03:31.624514+02	\N	\N	\N	\N	\N	\N	f	
2235	6b79d6bd-77ce-4703-91bf-598c40f6e721	Făleşti	Făleşti	2	0	2013-05-20 19:04:29.399174+02	\N	\N	\N	\N	\N	\N	f	
1850	d0db0e5b-de99-40c5-8c39-b7ed17b36d0d	Provence-Alpes-Côte-d'Azur	Provence-Alpes-Côte-d'Azur	2	0	2013-05-20 14:03:48.734905+02	\N	\N	\N	\N	\N	\N	f	
1845	824ae642-1d1c-4212-8f4a-775d060d2245	Basse-Normandie	Basse-Normandie	2	0	2013-06-05 07:25:10.859469+02	\N	\N	\N	\N	\N	\N	f	
1851	7f996abe-449b-4209-a0f8-c6ba9105e5e7	Rhône-Alpes	Rhône-Alpes	2	0	2013-05-20 14:04:01.1892+02	\N	\N	\N	\N	\N	\N	f	
1852	8beba0b5-0bc6-4720-8d9e-ca8d351c058e	Zagrebačka županija	Zagrebačka županija	2	0	2013-05-20 14:10:41.68477+02	\N	\N	\N	\N	\N	\N	f	
1853	1202fb1c-35e8-4d5e-b23a-56487d6fcfd5	Krapinsko-zagorska županija	Krapinsko-zagorska županija	2	0	2013-05-20 14:10:53.191619+02	\N	\N	\N	\N	\N	\N	f	
2072	85cecdbd-5522-4de4-ae74-33e604ec6173	Tolmin	Tolmin	2	0	2013-05-20 17:53:26.691097+02	\N	\N	\N	\N	\N	\N	f	
1864	ea709922-0809-43d3-8dba-688384f9fea9	Zadarska županija	Zadarska županija	2	0	2013-05-20 14:13:40.428462+02	\N	\N	\N	\N	\N	\N	f	
1868	93e86506-9d55-4078-9282-459bbc945603	Splitsko-dalmatinska županija	Splitsko-dalmatinska županija	2	0	2013-05-20 14:14:51.989986+02	\N	\N	\N	\N	\N	\N	f	
1883	68128c9e-8532-487a-9f68-2d19d2137f02	Marche	Marche	2	0	2013-05-20 14:37:49.562749+02	\N	\N	\N	\N	\N	\N	f	
2117	2f50bcd3-3765-4787-89de-edad0fde28eb	Prebold	Prebold	2	0	2013-05-20 18:02:26.288266+02	\N	\N	\N	\N	\N	\N	f	
2271	3571a605-4a42-47ea-ad92-97477f954017	Vrapčište	Vrapčište	2	0	2013-05-20 19:11:34.064682+02	\N	\N	\N	\N	\N	\N	f	
2147	9bc3ef88-7c9c-4ab7-ba97-65bf51406f9d	Sveta Trojica v Slovenskih goricah	Sveta Trojica v Slovenskih goricah	2	0	2013-05-20 18:08:30.439418+02	\N	\N	\N	\N	\N	\N	f	
2186	c51c0009-adb5-498a-bb4d-cd438f19fc8d	Sofia	Sofia	2	0	2013-05-20 18:22:24.079245+02	\N	\N	\N	\N	\N	\N	f	
2576	3a405fcf-fee6-462e-97bd-5dec06b0c88c	Thua Thien-Hue	Thua Thien-Hue	2	0	2013-05-20 22:19:50.74406+02	\N	\N	\N	\N	\N	\N	f	
2290	95a3ff9a-b686-4a3b-ae41-235fe2cd63f0	Jegunovce	Jegunovce	2	0	2013-05-20 19:15:02.166685+02	\N	\N	\N	\N	\N	\N	f	
2317	25c866b9-b878-4909-bf5b-bbec71506fa4	Prilep	Prilep	2	0	2013-05-20 19:20:24.142611+02	\N	\N	\N	\N	\N	\N	f	
2729	568fc132-aa84-4861-88a1-17455680903a	Phuket	Phuket	2	0	2013-05-20 22:48:59.742103+02	\N	\N	\N	\N	\N	\N	f	
2351	9a2c691e-a4f6-4532-a24c-9e47806ee8fe	Raški okrug	Raški okrug	2	0	2013-05-20 19:27:48.102734+02	\N	\N	\N	\N	\N	\N	f	
2607	05aaa6b3-061a-4558-b180-f47362ebcfa3	Hai Duong	Hai Duong	2	0	2013-05-20 22:25:55.388368+02	\N	\N	\N	\N	\N	\N	f	
2378	4588b235-1002-4075-9dcd-604ba603d3d0	Rivnens'ka Oblast'	Rivnens'ka Oblast'	2	0	2013-05-20 19:34:14.356594+02	\N	\N	\N	\N	\N	\N	f	
13750	bb9a841a-ee60-4a8c-b096-3fd6555b2ddd	Artogne	Artogne	4	0	2013-07-21 19:04:23.128886+02	\N	\N	\N	\N	\N	\N	f	
2403	405a06f8-4745-4507-9efb-762dfa3f2676	Irkutskaya oblast'	Irkutskaya oblast'	2	0	2013-05-20 19:39:50.385133+02	\N	\N	\N	\N	\N	\N	f	
2638	64706ef2-c873-486b-93d7-24b86491e87f	Krong Pailin [Krŏng Pailĭn]	Krong Pailin [Krŏng Pailĭn]	2	0	2013-05-20 22:31:35.214196+02	\N	\N	\N	\N	\N	\N	f	
2437	08861d19-3c24-464c-a6c8-6eb38b83190e	Orlovskaya oblast'	Orlovskaya oblast'	2	0	2013-05-20 19:48:23.127869+02	\N	\N	\N	\N	\N	\N	f	
2486	ecd55a6d-688a-426a-9788-dd3a3efa46a4	K’vemo K’art’li	K’vemo K’art’li	2	0	2013-05-20 20:51:56.065715+02	\N	\N	\N	\N	\N	\N	f	
2521	0f0f8fb8-b0e7-4cea-97af-2ee2f3d1de4b	Dundgovĭ	Dundgovĭ	2	0	2013-05-20 21:13:00.259892+02	\N	\N	\N	\N	\N	\N	f	
5081	35554f8e-62ff-4507-80e6-ec253408254e	Nowy Sącz	Nowy Sącz	3	0	2013-05-24 22:23:49.670585+02	\N	\N	\N	\N	\N	\N	f	
2640	069c3ded-82ae-41a4-8b4e-e01c6abe2523	Kampong Chhnang [Kâmpóng Chhnăng]	Kampong Chhnang [Kâmpóng Chhnăng]	2	0	2013-05-20 22:31:54.144877+02	\N	\N	\N	\N	\N	\N	f	
2071	19c00398-7a78-4e70-8e77-1f7b583f255a	Štore	Štore	2	0	2013-05-27 19:48:40.251531+02	\N	\N	\N	\N	\N	\N	f	
7069	347fd295-3792-43b9-bde6-d23c0069489d	Myszków	Myszków	3	0	2013-05-26 16:44:43.277923+02	\N	\N	\N	\N	\N	\N	f	
2763	02dbc7d6-ffb8-423d-8daf-cc83cd501a86	Jawa	Jawa	2	0	2013-05-20 22:55:18.297474+02	\N	\N	\N	\N	\N	\N	f	
2644	29d97561-7462-428c-9a0d-c26c36ef0dbc	Kandaal [Kândal]	Kandaal [Kândal]	2	0	2013-05-20 22:32:26.808342+02	\N	\N	\N	\N	\N	\N	f	
2645	14a38ed6-a3e7-4edf-bbac-860da37449f3	Kaoh Kong [Kaôh Kŏng]	Kaoh Kong [Kaôh Kŏng]	2	0	2013-05-20 22:32:34.962276+02	\N	\N	\N	\N	\N	\N	f	
2679	dd706cff-bdee-4664-a9d5-b3d4dd002d7f	Prachin Buri	Prachin Buri	2	0	2013-05-20 22:39:01.531636+02	\N	\N	\N	\N	\N	\N	f	
2808	1c395ff2-4b25-487b-a2c9-e62d9242d0cb	Yangon	Yangon	2	0	2013-05-20 23:03:58.560049+02	\N	\N	\N	\N	\N	\N	f	
2684	b22266d4-77f1-40a8-b33d-e492f3b6775b	Surin	Surin	2	0	2013-05-20 22:39:59.010457+02	\N	\N	\N	\N	\N	\N	f	
2695	325fc83f-08d7-44ac-b025-fe7844d2d09d	Maha Sarakham	Maha Sarakham	2	0	2013-05-20 22:42:19.657331+02	\N	\N	\N	\N	\N	\N	f	
3136	c81afd1d-f340-486c-b49d-5da8b9a5d98b	Est	Est	2	0	2013-05-21 00:49:01.732994+02	\N	\N	\N	\N	\N	\N	f	
2823	00342c69-7caa-4153-a11d-9d5dc13ff5cc	Dagana	Dagana	2	0	2013-05-20 23:24:46.301798+02	\N	\N	\N	\N	\N	\N	f	
2957	a2883d26-eff1-4f04-addc-67f9897a8afe	Wāsiţ	Wāsiţ	2	0	2013-05-20 23:59:28.764834+02	\N	\N	\N	\N	\N	\N	f	
2855	82112217-60d3-4a2b-a377-e93538bd1e6e	Sindh	Sindh	2	0	2013-05-20 23:30:34.937458+02	\N	\N	\N	\N	\N	\N	f	
13906	5a6c7a3a-ed32-4263-9b55-fc0b6edee16f	Paratico	Paratico	4	0	2013-07-21 19:39:33.318309+02	\N	\N	\N	\N	\N	\N	f	
2882	20c75731-2d8a-4ab4-a4c4-18ec74023aea	Parwān	Parwān	2	0	2013-05-20 23:35:33.776969+02	\N	\N	\N	\N	\N	\N	f	
3123	a16b6778-e910-4908-a334-1eb2e584c91a	Luanda	Luanda	2	0	2013-05-21 00:46:40.912742+02	\N	\N	\N	\N	\N	\N	f	
2912	e8a76756-0dfe-4055-a6d4-3372b8fb33bd	Surxondaryo	Surxondaryo	2	0	2013-05-20 23:41:18.03024+02	\N	\N	\N	\N	\N	\N	f	
14380	4e9b05ce-889f-4229-a0a8-5cf508c34284	Castelletto d'Erro	Castelletto d'Erro	4	0	2013-07-21 21:25:10.064276+02	\N	\N	\N	\N	\N	\N	f	
13978	9a5a9b6f-2f4b-447e-9e47-15a49425f999	Prestine	Prestine	4	0	2013-07-21 19:55:27.676935+02	\N	\N	\N	\N	\N	\N	f	
3054	a9c4aa9f-204f-43b5-99a1-ad0fe45afc76	Tubas	Tubas	2	0	2013-05-21 00:24:11.865228+02	\N	\N	\N	\N	\N	\N	f	
19657	8e3c4665-b40e-4704-9f39-52a158204ae5	Volturino	Volturino	4	0	2013-07-22 11:13:32.613637+02	\N	\N	\N	\N	\N	\N	f	
3202	cec192cd-00bd-4eab-98eb-20e3a20a82e5	Ombella-Mpoko	Ombella-Mpoko	2	0	2013-05-21 01:02:22.412234+02	\N	\N	\N	\N	\N	\N	f	
3127	e6a6d064-b3f6-4e40-899d-68588848cbba	Uíge	Uíge	2	0	2013-05-21 00:47:24.550115+02	\N	\N	\N	\N	\N	\N	f	
3170	46652089-4ca2-4b43-a407-cb091251a7b0	Zou	Zou	2	0	2013-05-21 00:55:48.296133+02	\N	\N	\N	\N	\N	\N	f	
3259	a4dbbecb-0628-4c53-961f-9e7cceb5045f	Oum el Bouaghi	Oum el Bouaghi	2	0	2013-05-21 11:30:29.840745+02	\N	\N	\N	\N	\N	\N	f	
3242	b79020ad-6b22-4ca1-8a4c-823e3164e62f	Littoral	Littoral	2	0	2013-05-21 01:09:21.496755+02	\N	\N	\N	\N	\N	\N	f	
3297	c7d8d54a-b6cd-4f10-afd1-18de086d3c9f	Tipaza	Tipaza	2	0	2013-05-21 11:37:22.130721+02	\N	\N	\N	\N	\N	\N	f	
3329	0d6282f6-2351-4e3c-a1a6-93d3a6690fe9	Shamāl Sīnā’	Shamāl Sīnā’	2	0	2013-05-21 11:43:05.526975+02	\N	\N	\N	\N	\N	\N	f	
3363	4e1f9fc9-1b1a-4898-8835-f194e9c968c0	Eastern	Eastern	2	0	2013-05-21 12:05:04.134717+02	\N	\N	\N	\N	\N	\N	f	
3406	7736c174-0649-4a0a-9b44-c872d1ed96dd	Gbarpolu	Gbarpolu	2	0	2013-05-21 13:21:44.750796+02	\N	\N	\N	\N	\N	\N	f	
3437	4ca1b30b-3666-4e7e-a862-3ab22dd6d613	Murzuq	Murzuq	2	0	2013-05-21 13:27:45.174407+02	\N	\N	\N	\N	\N	\N	f	
2444	9795004e-e957-4fc2-8938-aef1b573b297	Respublika Sakha (Yakutiya)	Sakha, Respublika (Yakutiya)	2	0	2013-05-24 00:55:03.640385+02	\N	\N	\N	\N	\N	\N	f	
3468	b68684c2-6cc9-4d81-bed4-553407a5b6c1	Kayes	Kayes	2	0	2013-05-21 13:34:07.690277+02	\N	\N	\N	\N	\N	\N	f	
3082	78a6bcfa-52ac-4111-a028-0f52edc0b701	Ḩamāh	Ḩamāh	2	0	2013-05-27 19:52:59.90302+02	\N	\N	\N	\N	\N	\N	f	
1854	87f30df5-1ba4-4a4e-a7a3-88d08864afa6	Sisačko-moslavačka županija	Sisačko-moslavačka županija	2	0	2013-05-20 14:11:13.317267+02	\N	\N	\N	\N	\N	\N	f	
2426	75db1d6c-b090-4114-895e-338b6fb1228c	Respublika Mariy El	Mariy El, Respublika	2	0	2013-05-24 00:55:25.562394+02	\N	\N	\N	\N	\N	\N	f	
1855	524f2140-0b0a-450e-9e88-48340e2d0b5e	Karlovačka županija	Karlovačka županija	2	0	2013-05-20 14:11:26.771619+02	\N	\N	\N	\N	\N	\N	f	
1856	bd4ee1d5-0a13-441e-9b1f-2aeaf8d47aa5	Varaždinska županija	Varaždinska županija	2	0	2013-05-20 14:11:39.330843+02	\N	\N	\N	\N	\N	\N	f	
1857	f8eb2baf-3e16-4e23-a804-c97eadcbce2b	Koprivničko-križevačka županija	Koprivničko-križevačka županija	2	0	2013-05-20 14:11:53.090502+02	\N	\N	\N	\N	\N	\N	f	
13753	9fee2c8f-70a5-4d1b-9253-c00331985b88	Vico Canavese	Vico Canavese	4	0	2013-07-21 19:05:02.128656+02	\N	\N	\N	\N	\N	\N	f	
1875	e9534cdf-f4d6-4346-bfbe-6a34619e518a	Lombardia	Lombardia	2	0	2013-05-20 14:35:41.719236+02	\N	\N	\N	\N	\N	\N	f	
1887	f05bf3f9-6678-499a-85c0-4edcd24e3c27	Campania	Campania	2	0	2013-06-05 11:39:28.107438+02	\N	\N	\N	\N	\N	\N	f	
1859	62223575-5a29-4807-9616-8db66397d403	Primorsko-goranska županija	Primorsko-goranska županija	2	0	2013-05-20 14:12:22.647081+02	\N	\N	\N	\N	\N	\N	f	
1860	61c68e9f-13fc-4ed4-97a1-790af83c8f2d	Ličko-senjska županija	Ličko-senjska županija	2	0	2013-05-20 14:12:35.94983+02	\N	\N	\N	\N	\N	\N	f	
1876	19a7a4c5-d897-4ab0-9657-632b1878c91c	Trentino-Alto Adige	Trentino-Alto Adige	2	0	2013-05-20 14:35:56.72755+02	\N	\N	\N	\N	\N	\N	f	
1861	d2ab84e6-9b12-4262-8d0e-7dcff1ac9739	Virovitičko-podravska županija	Virovitičko-podravska županija	2	0	2013-05-20 14:12:49.147955+02	\N	\N	\N	\N	\N	\N	f	
1862	08ff8936-8821-4c48-9ac4-87f0ccfda9de	Požeško-slavonska županija	Požeško-slavonska županija	2	0	2013-05-20 14:13:06.881236+02	\N	\N	\N	\N	\N	\N	f	
1900	304b814a-0a75-4196-81a4-6e475cccb719	Schellenberg	Schellenberg	2	0	2013-05-20 15:38:21.497644+02	\N	\N	\N	\N	\N	\N	f	
1863	1504483f-6e5d-471f-a8e5-3292bd2bc179	Brodsko-posavska županija	Brodsko-posavska županija	2	0	2013-06-05 10:14:01.609134+02	\N	\N	\N	\N	\N	\N	f	
1877	a98ab30d-fb0f-491a-933a-154e3d77a8e0	Veneto	Veneto	2	0	2013-05-20 14:36:10.147476+02	\N	\N	\N	\N	\N	\N	f	
1865	8fab51ba-3556-408f-a543-e38a389099e0	Osječko-baranjska županija	Osječko-baranjska županija	2	0	2013-05-20 14:13:58.952397+02	\N	\N	\N	\N	\N	\N	f	
1890	b051b208-5a5b-41b4-94e0-183ce1fbefef	Calabria	Calabria	2	0	2013-06-05 11:26:29.261842+02	\N	\N	\N	\N	\N	\N	f	
1891	d4c33fca-8194-4c8f-824c-9df8717138cc	Sicilia	Sicilia	2	0	2013-05-20 14:40:34.421722+02	\N	\N	\N	\N	\N	\N	f	
1867	b9225d78-3773-44b2-b455-2eab1d6679a7	Vukovarsko-srijemska županija	Vukovarsko-srijemska županija	2	0	2013-05-20 14:14:36.061985+02	\N	\N	\N	\N	\N	\N	f	
1878	3fdd79f3-689d-46d0-941c-bd9e39476176	Friuli-Venezia Giulia	Friuli-Venezia Giulia	2	0	2013-05-20 14:36:24.523529+02	\N	\N	\N	\N	\N	\N	f	
1869	a83aecf5-e5e8-48ff-97b0-7af602605c3a	Istarska županija	Istarska županija	2	0	2013-05-20 14:15:04.422499+02	\N	\N	\N	\N	\N	\N	f	
1870	616dc59f-8837-417d-8724-5929de1d036f	Dubrovačko-neretvanska županija	Dubrovačko-neretvanska županija	2	0	2013-05-20 14:15:17.461714+02	\N	\N	\N	\N	\N	\N	f	
1871	61de7c47-cafc-4956-b377-256d26def333	Međimurska županija	Međimurska županija	2	0	2013-05-20 14:15:31.302882+02	\N	\N	\N	\N	\N	\N	f	
1879	7ebb7fd2-397e-4d2b-9d24-1bf09a931640	Liguria	Liguria	2	0	2013-05-20 14:36:40.441691+02	\N	\N	\N	\N	\N	\N	f	
5714	5934c1bf-6150-487a-b164-005ed80ad87f	Żywiec	Żywiec	3	0	2013-05-25 00:36:15.72597+02	\N	\N	\N	\N	\N	\N	f	
1873	19dd435b-38bf-444f-b010-610cbbd3806f	Piemonte	Piemonte	2	0	2013-05-20 14:35:13.725574+02	\N	\N	\N	\N	\N	\N	f	
5082	22c10271-daf7-4cb3-8056-5c6bc2786fd2	Novosibirsk	Novosibirsk	3	0	2013-05-24 22:24:00.01124+02	\N	\N	\N	\N	\N	\N	f	
1892	166da62d-c492-481f-b98e-cc2069e0e0d7	Sardegna	Sardegna	2	0	2013-05-20 14:40:48.387444+02	\N	\N	\N	\N	\N	\N	f	
1880	08bd9a29-34cb-4a72-b9ed-ff848aef6539	Emilia-Romagna	Emilia-Romagna	2	0	2013-05-20 14:36:52.530937+02	\N	\N	\N	\N	\N	\N	f	
1881	759d90ac-bc28-4f4a-97d5-f26cd751cc5f	Toscana	Toscana	2	0	2013-05-20 14:37:10.895511+02	\N	\N	\N	\N	\N	\N	f	
1882	76c96288-1551-4570-a7e2-2a778119c73f	Umbria	Umbria	2	0	2013-05-20 14:37:31.218815+02	\N	\N	\N	\N	\N	\N	f	
13754	6c072611-4564-4389-83e7-264d363a369e	Pontedera	Pontedera	4	0	2013-07-21 19:05:15.27245+02	\N	\N	\N	\N	\N	\N	f	
1884	eb9db460-9767-4cf5-a506-ba783e9ea8db	Lazio	Lazio	2	0	2013-05-20 14:38:11.932278+02	\N	\N	\N	\N	\N	\N	f	
1889	7fa7a14b-23ef-4028-bb54-0b8b544c07bd	Basilicata	Basilicata	2	0	2013-06-05 12:25:13.37301+02	\N	\N	\N	\N	\N	\N	f	
1886	e6f96a92-0f37-4dde-87ac-2b8953616790	Molise	Molise	2	0	2013-05-20 14:38:38.289948+02	\N	\N	\N	\N	\N	\N	f	
1894	bdd7f588-b703-4bc4-aef7-436680bd0bbe	Eschen	Eschen	2	0	2013-05-20 15:36:56.715551+02	\N	\N	\N	\N	\N	\N	f	
15476	de747e2f-ed2d-4500-9155-685d1b320b5a	Micigliano	Micigliano	4	0	2013-07-22 00:54:11.896329+02	\N	\N	\N	\N	\N	\N	f	
1888	0a01b41f-a8dd-4223-907e-aa9b45a0f958	Puglia	Puglia	2	0	2013-05-20 14:39:12.000814+02	\N	\N	\N	\N	\N	\N	f	
2237	60c554ba-59e4-4371-9de3-65f8aca040bd	Găgăuzia, Unitatea teritorială autonomă (UTAG)	Găgăuzia, Unitatea teritorială autonomă (UTAG)	2	0	2013-05-20 19:04:54.948035+02	\N	\N	\N	\N	\N	\N	f	
1895	5fe8b55e-d46b-4dcb-90a8-d7ae5a6e78f4	Gamprin	Gamprin	2	0	2013-05-20 15:37:11.171958+02	\N	\N	\N	\N	\N	\N	f	
2404	9900c59e-cdc6-4315-bfeb-5df758ddc4bf	Ivanovskaya oblast'	Ivanovskaya oblast'	2	0	2013-05-20 19:40:02.843028+02	\N	\N	\N	\N	\N	\N	f	
1896	074cd71d-58de-42dd-bd9f-22fc269fbffb	Mauren	Mauren	2	0	2013-05-20 15:37:22.889451+02	\N	\N	\N	\N	\N	\N	f	
2273	0605fd0c-659d-4e17-afae-065ae89722d1	Gevgelija	Gevgelija	2	0	2013-05-20 19:11:55.858082+02	\N	\N	\N	\N	\N	\N	f	
1897	076ff9ed-7142-48b1-9495-f58e1878e7de	Planken	Planken	2	0	2013-05-20 15:37:41.823284+02	\N	\N	\N	\N	\N	\N	f	
1898	ef5fcc30-2605-4260-8784-c8d3cb8b145a	Ruggell	Ruggell	2	0	2013-05-20 15:37:55.013509+02	\N	\N	\N	\N	\N	\N	f	
1899	dcec0e05-e863-49a8-9728-d9efea5dad28	Schaan	Schaan	2	0	2013-05-20 15:38:09.772743+02	\N	\N	\N	\N	\N	\N	f	
2318	8de7dd71-5f0d-42ba-b557-41063b488643	Probištip	Probištip	2	0	2013-05-20 19:20:35.361919+02	\N	\N	\N	\N	\N	\N	f	
1901	14341525-7d73-4d04-8904-8ca59f8c4853	Triesen	Triesen	2	0	2013-05-20 15:38:35.467821+02	\N	\N	\N	\N	\N	\N	f	
1902	e1911d97-cfd9-4cf1-93b4-e4f465365bbb	Triesenberg	Triesenberg	2	0	2013-05-20 15:38:46.884402+02	\N	\N	\N	\N	\N	\N	f	
1903	4ba3da97-bf77-4858-9783-a4031bbcb961	Vaduz	Vaduz	2	0	2013-05-20 15:38:58.561299+02	\N	\N	\N	\N	\N	\N	f	
2352	49b449ae-8d33-43aa-ba0a-34009ad7d607	Rasinski okrug	Rasinski okrug	2	0	2013-05-20 19:28:01.402203+02	\N	\N	\N	\N	\N	\N	f	
1904	c9428e13-412c-45cc-a679-2cf57d5de5f2	Diekirch	Diekirch	2	0	2013-05-20 15:45:54.467914+02	\N	\N	\N	\N	\N	\N	f	
2439	88f4107c-905d-4887-be20-44eaf7cfe058	Penzenskaya oblast'	Penzenskaya oblast'	2	0	2013-05-20 19:49:02.071441+02	\N	\N	\N	\N	\N	\N	f	
2522	0210b86a-2f3d-485b-85dc-725280665d4f	Dornod	Dornod	2	0	2013-05-20 21:13:11.667359+02	\N	\N	\N	\N	\N	\N	f	
2467	472bcb98-ee64-4381-aa23-6bd8e173c752	Yaroslavskaya oblast'	Yaroslavskaya oblast'	2	0	2013-05-20 19:57:24.369283+02	\N	\N	\N	\N	\N	\N	f	
2487	ab05b0f3-1324-46af-a638-dcb60c194ecf	Mts’khet’a-Mt’ianet’i	Mts’khet’a-Mt’ianet’i	2	0	2013-05-20 20:52:07.049933+02	\N	\N	\N	\N	\N	\N	f	
2608	9dd30101-d116-444f-bfea-bdac77bc916c	Ha Nam	Ha Nam	2	0	2013-05-20 22:26:06.150957+02	\N	\N	\N	\N	\N	\N	f	
2577	2aa4f8de-78fe-4bb2-b79f-248e6a7f0d74	Quang Nam	Quang Nam	2	0	2013-05-20 22:20:01.605374+02	\N	\N	\N	\N	\N	\N	f	
6545	d8c03535-0473-4bce-a777-833b01a4c134	Williamson	Williamson	3	0	2013-05-25 03:30:31.183712+02	\N	\N	\N	\N	\N	\N	f	
18170	953d2976-ba9c-4f44-ab06-dfe6a5a5a5ed	Liscate	Liscate	4	0	2013-07-22 07:56:09.107725+02	\N	\N	\N	\N	\N	\N	f	
2641	f807d8a3-25ac-4cf1-bb80-6a12f85ccb0d	Kampong Spueu [Kâmpóng Spoe]	Kampong Spueu [Kâmpóng Spoe]	2	0	2013-05-20 22:32:01.818427+02	\N	\N	\N	\N	\N	\N	f	
2643	cb6c5357-da22-48f3-94c3-990dcbbd875f	Kampot [Kâmpôt]	Kampot [Kâmpôt]	2	0	2013-05-20 22:32:17.904053+02	\N	\N	\N	\N	\N	\N	f	
2685	cb28f75d-c255-4ba5-9b94-0b434e8b9ca0	Si Sa Ket	Si Sa Ket	2	0	2013-05-20 22:40:09.945975+02	\N	\N	\N	\N	\N	\N	f	
2697	6230bc51-bd7a-4c2b-85fc-61f594b44187	Kalasin	Kalasin	2	0	2013-05-20 22:42:43.847687+02	\N	\N	\N	\N	\N	\N	f	
2730	ac729f8a-e8a1-4059-87da-26854a95ff35	Surat Thani	Surat Thani	2	0	2013-05-20 22:49:11.440459+02	\N	\N	\N	\N	\N	\N	f	
4578	2bf2eee3-172c-4cb4-9412-1b82661ecdac	Sulawesi Utara	Sulawesi Utara	2	0	2013-05-22 14:13:11.346506+02	\N	\N	\N	\N	\N	\N	f	
2764	d40d0f5c-81bd-465a-b989-0b949ce105d1	Kalimantan	Kalimantan	2	0	2013-05-20 22:55:29.025719+02	\N	\N	\N	\N	\N	\N	f	
1905	f367a71d-f019-4b23-ac85-5c00b3fdbec3	Grevenmacher	Grevenmacher	2	0	2013-05-20 15:46:07.778112+02	\N	\N	\N	\N	\N	\N	f	
1906	f97ce969-d604-4c3b-9e68-cc32569993e3	Luxembourg	Luxembourg	2	0	2013-05-20 15:46:18.959874+02	\N	\N	\N	\N	\N	\N	f	
2238	fa8a7c35-e232-4094-8c52-37ba47c5a346	Glodeni	Glodeni	2	0	2013-05-20 19:05:09.917189+02	\N	\N	\N	\N	\N	\N	f	
1907	cc01c01a-ec18-4c34-b27c-288055477a9a	La Colle	La Colle	2	0	2013-05-20 15:46:58.827555+02	\N	\N	\N	\N	\N	\N	f	
1908	e97f14a2-5cf6-41fd-bc34-6f0e49c68356	La Condamine	La Condamine	2	0	2013-05-20 15:47:14.947748+02	\N	\N	\N	\N	\N	\N	f	
1909	37880eba-d7ff-4039-8bb6-d23fc3a56f29	Fontvieille	Fontvieille	2	0	2013-05-20 15:47:26.402593+02	\N	\N	\N	\N	\N	\N	f	
2274	96b2d6b3-f41c-4075-b666-4a25635914ea	Gostivar	Gostivar	2	0	2013-05-20 19:12:06.678908+02	\N	\N	\N	\N	\N	\N	f	
1910	f08ad2b3-131d-4449-adc7-fa474de840e4	La Gare	La Gare	2	0	2013-05-20 15:47:38.32095+02	\N	\N	\N	\N	\N	\N	f	
1911	58cc748f-50da-4c63-9db6-22cac6396bae	Jardin Exotique	Jardin Exotique	2	0	2013-05-20 15:47:47.226724+02	\N	\N	\N	\N	\N	\N	f	
2578	a6eecdff-f7ce-4cfb-b8ac-530e28a178f2	Kon Tum	Kon Tum	2	0	2013-05-20 22:20:13.184436+02	\N	\N	\N	\N	\N	\N	f	
1912	ee3bed3c-a457-493c-b69a-681141a01d5e	Larvotto	Larvotto	2	0	2013-05-20 15:48:00.24723+02	\N	\N	\N	\N	\N	\N	f	
2297	24391132-fcef-400b-90f8-ef834d0aa7c3	Kočani	Kočani	2	0	2013-05-20 19:16:23.086323+02	\N	\N	\N	\N	\N	\N	f	
1913	fdf81b62-210f-4ca0-97a4-d6d86a12b694	Malbousquet	Malbousquet	2	0	2013-05-20 15:48:20.532209+02	\N	\N	\N	\N	\N	\N	f	
1914	dd1d37c5-9449-41ad-ae5f-70ee36ccfad9	Monte-Carlo	Monte-Carlo	2	0	2013-05-20 15:48:32.501308+02	\N	\N	\N	\N	\N	\N	f	
13755	f2c6a71b-5c97-4237-8cbe-6c85f722b95d	Acquafredda	Acquafredda	4	0	2013-07-21 19:05:26.860143+02	\N	\N	\N	\N	\N	\N	f	
2319	0c5689ba-23ec-444d-a6bd-5a268009e523	Radoviš	Radoviš	2	0	2013-05-20 19:20:46.49107+02	\N	\N	\N	\N	\N	\N	f	
1931	2b044aa5-fa97-4876-931a-a23f7dc40ac3	Herceg-Novi	Herceg-Novi	2	0	2013-05-20 15:56:25.043211+02	\N	\N	\N	\N	\N	\N	f	
1984	33a29650-2e4c-471b-b2e5-f2613b02646e	Izola/Isola	Izola/Isola	2	0	2013-05-20 17:35:06.527334+02	\N	\N	\N	\N	\N	\N	f	
3083	9fbffd54-88ab-436a-bb2e-2e4124fadeb9	Idlib	Idlib	2	0	2013-05-21 00:31:46.805299+02	\N	\N	\N	\N	\N	\N	f	
2035	01c803db-25e5-4949-b3a5-cb97ac5ce088	Pivka	Pivka	2	0	2013-05-20 17:46:12.661517+02	\N	\N	\N	\N	\N	\N	f	
2353	abaf3cdf-4c59-44ac-bc2c-a58993ba01b8	Nišavski okrug	Nišavski okrug	2	0	2013-05-20 19:28:13.657786+02	\N	\N	\N	\N	\N	\N	f	
2073	20eef8f1-341e-4d0f-93c9-d80dc4887434	Trbovlje	Trbovlje	2	0	2013-05-20 17:53:38.297983+02	\N	\N	\N	\N	\N	\N	f	
2106	b76c747d-032e-4c3e-826b-c52d44afd9ac	Jezersko	Jezersko	2	0	2013-05-20 18:00:04.401245+02	\N	\N	\N	\N	\N	\N	f	
2609	a71f6eae-e603-4b9b-97aa-265cd1711997	Hung Yen	Hung Yen	2	0	2013-05-20 22:26:17.173702+02	\N	\N	\N	\N	\N	\N	f	
2119	68b3fb5c-29aa-4b38-84f9-e685f2897523	Razkrižje	Razkrižje	2	0	2013-05-20 18:02:52.740894+02	\N	\N	\N	\N	\N	\N	f	
2405	189f41da-4ec2-4b0d-a870-97d1582b880c	Kamchatskiy kray	Kamchatskiy kray	2	0	2013-05-20 19:40:18.777488+02	\N	\N	\N	\N	\N	\N	f	
2148	fe337788-1661-4ff2-b608-4e9ab7820cb2	Sveti Tomaž	Sveti Tomaž	2	0	2013-05-20 18:08:46.015793+02	\N	\N	\N	\N	\N	\N	f	
2187	57c7f0f7-a9ba-44f3-8ee4-d5bf13346c0a	Stara Zagora	Stara Zagora	2	0	2013-05-20 18:22:34.759979+02	\N	\N	\N	\N	\N	\N	f	
2440	d73a1012-5ca0-443b-bc77-9fac9010b4eb	Primorskiy kray	Primorskiy kray	2	0	2013-05-20 19:49:20.863156+02	\N	\N	\N	\N	\N	\N	f	
2967	431f6438-5df2-4d1e-a635-99aec5777633	Zanjān	Zanjān	2	0	2013-05-21 00:01:53.212279+02	\N	\N	\N	\N	\N	\N	f	
2488	4871e396-8869-4424-a5eb-a1d7e94775ec	Racha-Lech’khumi-K’vemo Svanet’i	Racha-Lech’khumi-K’vemo Svanet’i	2	0	2013-05-20 20:52:17.955404+02	\N	\N	\N	\N	\N	\N	f	
3260	88900e1e-c347-454b-9672-fc87f10cf29c	Batna	Batna	2	0	2013-06-05 10:33:53.921185+02	\N	\N	\N	\N	\N	\N	f	
2500	c4394921-b38b-4480-a786-b527e1034ff8	Qostanay oblysy	Qostanay oblysy	2	0	2013-05-20 20:54:43.549197+02	\N	\N	\N	\N	\N	\N	f	
2523	dd402eb2-c19f-46d3-8d47-ff7aa9167e8e	Dornogovĭ	Dornogovĭ	2	0	2013-05-20 21:13:22.533043+02	\N	\N	\N	\N	\N	\N	f	
2687	c26a7814-df23-4cf6-bb99-5304927ff747	Yasothon	Yasothon	2	0	2013-05-20 22:40:32.02157+02	\N	\N	\N	\N	\N	\N	f	
2731	1053712b-37fa-4036-9341-25c57525d8ad	Ranong	Ranong	2	0	2013-05-20 22:49:22.423767+02	\N	\N	\N	\N	\N	\N	f	
2981	9c5a00de-e8cb-42cd-9fdf-8257e0c207bc	Yazd	Yazd	2	0	2013-05-21 00:05:09.364684+02	\N	\N	\N	\N	\N	\N	f	
2765	2d6d5eed-00bd-465c-a027-d5fed6afeaa7	Maluku	Maluku	2	0	2013-05-20 22:55:40.81188+02	\N	\N	\N	\N	\N	\N	f	
2810	10842a78-6871-4904-849a-decb5c0112d2	Kachin	Kachin	2	0	2013-05-20 23:04:21.286688+02	\N	\N	\N	\N	\N	\N	f	
2820	734f514e-c97c-430e-9052-e68a4a52d724	Samtse	Samtse	2	0	2013-05-20 23:24:13.275736+02	\N	\N	\N	\N	\N	\N	f	
3206	1073a577-e649-40b9-a0a2-6c49c30397a3	Ouaka	Ouaka	2	0	2013-05-21 01:03:05.940752+02	\N	\N	\N	\N	\N	\N	f	
2856	b3c04238-01de-4266-9f44-6cce98da4722	Federally Administered Tribal Areas	Federally Administered Tribal Areas	2	0	2013-05-20 23:30:45.49706+02	\N	\N	\N	\N	\N	\N	f	
14384	42ee7769-436e-4344-ba0f-efebb8f31f65	Castellar Guidobono	Castellar Guidobono	4	0	2013-07-21 21:25:58.36794+02	\N	\N	\N	\N	\N	\N	f	
2877	18da8650-d6a5-4e65-bf13-9c714cf3a032	Lōgar	Lōgar	2	0	2013-05-20 23:34:32.460123+02	\N	\N	\N	\N	\N	\N	f	
1925	7798aa59-8b80-4bfc-b2e6-0a431a461191	Bar	Bar	2	0	2013-06-05 07:09:05.685825+02	\N	\N	\N	\N	\N	\N	f	
3126	0ddd3940-af08-495d-bb6d-f415016229df	Namibe	Namibe	2	0	2013-05-21 00:47:13.28531+02	\N	\N	\N	\N	\N	\N	f	
3330	f9c318db-9905-4cb2-9d61-3090927b09c7	As Sādis min Uktūbar	As Sādis min Uktūbar	2	0	2013-06-05 07:29:20.513785+02	\N	\N	\N	\N	\N	\N	f	
2959	3f602db0-9cb0-4996-985b-77346607d05a	Āz̄arbāyjān-e Gharbī	Āz̄arbāyjān-e Gharbī	2	0	2013-05-27 19:57:14.868772+02	\N	\N	\N	\N	\N	\N	f	
3019	8dfab964-e56c-4fb8-8218-2fd3b7bb2994	Vayamba paḷāta	Vayamba paḷāta	2	0	2013-05-21 00:14:49.703848+02	\N	\N	\N	\N	\N	\N	f	
3131	cfe30ff8-c205-42d6-a667-4ae9b5d391ce	Centre	Centre	2	0	2013-06-05 10:24:40.771+02	\N	\N	\N	\N	\N	\N	f	
3020	6eaabf52-7451-4611-a83f-4d4512ee910e	Uturumæ̆da paḷāta	Uturumæ̆da paḷāta	2	0	2013-05-21 00:15:01.292125+02	\N	\N	\N	\N	\N	\N	f	
14405	22d0356a-bb18-4894-8f49-a2de8c72873a	Cremolino	Cremolino	4	0	2013-07-21 21:30:16.455675+02	\N	\N	\N	\N	\N	\N	f	
3055	8690452b-eb85-4d84-9aff-8849a4395462	Tulkarm	Tulkarm	2	0	2013-05-21 00:24:38.493835+02	\N	\N	\N	\N	\N	\N	f	
3076	6d6c7aa5-a82f-4c0d-9003-cafb8cd087c5	Dimashq	Dimashq	2	0	2013-05-21 00:30:30.784844+02	\N	\N	\N	\N	\N	\N	f	
3150	1623f2b0-eaa7-497c-a713-96e9d558c447	Karuzi	Karuzi	2	0	2013-05-21 00:52:08.64943+02	\N	\N	\N	\N	\N	\N	f	
3197	cdea0c2e-4a90-495e-a4e9-fc29d77f2708	Haute-Sangha / Mambéré-Kadéï	Haute-Sangha / Mambéré-Kadéï	2	0	2013-05-21 01:01:18.950483+02	\N	\N	\N	\N	\N	\N	f	
3152	cd7d2d91-2e2c-457f-bf82-33cbf39fbe93	Makamba	Makamba	2	0	2013-05-21 00:52:31.199485+02	\N	\N	\N	\N	\N	\N	f	
3171	df1eca07-5546-49b1-a4e0-73dfbc9be7ac	Central	Central	2	0	2013-06-05 09:47:27.797741+02	\N	\N	\N	\N	\N	\N	f	
3203	f1aee4ac-573e-4bd5-ad92-811773144123	Nana-Mambéré	Nana-Mambéré	2	0	2013-05-21 01:02:32.951214+02	\N	\N	\N	\N	\N	\N	f	
3216	0071a74d-adc6-49ee-929c-4e3efd533243	Likouala	Likouala	2	0	2013-05-21 01:04:48.578615+02	\N	\N	\N	\N	\N	\N	f	
3217	d1335b00-772a-47ae-9a9d-ad9deada13ce	Cuvette	Cuvette	2	0	2013-06-05 11:57:40.227511+02	\N	\N	\N	\N	\N	\N	f	
3232	43536533-1a0b-4b22-8db4-dc8f2868fb29	Worodougou (Région du)	Worodougou (Région du)	2	0	2013-05-21 01:07:32.449553+02	\N	\N	\N	\N	\N	\N	f	
3244	4be88e39-080b-4d37-8b3d-b2cbbf098888	North-West	North-West	2	0	2013-05-21 01:09:42.532525+02	\N	\N	\N	\N	\N	\N	f	
17293	cc6d963e-f78c-409b-8953-b8a27e7bd394	Pieve Albignola	Pieve Albignola	4	0	2013-07-22 06:09:10.729362+02	\N	\N	\N	\N	\N	\N	f	
3298	a9a7e4bf-36fe-437e-9c60-b70f843085cd	Mila	Mila	2	0	2013-05-21 11:37:32.921957+02	\N	\N	\N	\N	\N	\N	f	
3302	9de44489-b51b-469f-99ac-64488bc26ddd	Ghardaïa	Ghardaïa	2	0	2013-05-21 11:38:17.195518+02	\N	\N	\N	\N	\N	\N	f	
3364	00870a42-2d1e-4472-aafc-4263b879bea0	Northern	Northern	2	0	2013-05-21 12:05:15.828626+02	\N	\N	\N	\N	\N	\N	f	
3377	7b03b07b-9842-46e0-89c6-6d7bb9168929	Kindia	Kindia	2	0	2013-05-21 12:08:04.083847+02	\N	\N	\N	\N	\N	\N	f	
5083	519fb127-912a-43ab-b5f7-68ba2ce7253d	Alexandria	Alexandria	3	0	2013-05-24 22:24:10.385793+02	\N	\N	\N	\N	\N	\N	f	
3407	c5f2471a-3da7-47a2-be41-026fc9d3f174	Lofa	Lofa	2	0	2013-05-21 13:21:55.840138+02	\N	\N	\N	\N	\N	\N	f	
3182	dbec7de2-ddb9-47e4-8af2-a409d06d83ed	Équateur	Équateur	2	0	2013-05-27 19:43:32.406738+02	\N	\N	\N	\N	\N	\N	f	
1915	409e0057-8524-4540-9a0f-be6bdfd17282	Moneghetti	Moneghetti	2	0	2013-05-20 15:48:48.907938+02	\N	\N	\N	\N	\N	\N	f	
1916	83c64014-5e12-4935-a3c2-9f6c5061a067	Monaco-Ville	Monaco-Ville	2	0	2013-05-20 15:49:00.23205+02	\N	\N	\N	\N	\N	\N	f	
2239	81e8ff6f-00d2-4cb3-ace8-f1038537a5ce	Hînceşti	Hînceşti	2	0	2013-05-20 19:05:21.083798+02	\N	\N	\N	\N	\N	\N	f	
1917	ee104288-a894-4aff-9be9-c8b34f3d27df	Moulins	Moulins	2	0	2013-05-20 15:49:11.88318+02	\N	\N	\N	\N	\N	\N	f	
1918	ada8b00a-1846-4621-9349-940dd0d6fb67	Port-Hercule	Port-Hercule	2	0	2013-05-20 15:49:20.128845+02	\N	\N	\N	\N	\N	\N	f	
2812	99d4413b-7fb4-4883-8fca-5c5ae44464b1	Kayin	Kayin	2	0	2013-05-20 23:04:45.79872+02	\N	\N	\N	\N	\N	\N	f	
1919	69923f2f-3a5e-4959-baae-b7690b69071f	Sainte-Dévote	Sainte-Dévote	2	0	2013-05-20 15:49:33.125493+02	\N	\N	\N	\N	\N	\N	f	
2275	fd0eeea0-ddf2-45c0-acb3-3cf74684b312	Gradsko	Gradsko	2	0	2013-05-20 19:12:17.706371+02	\N	\N	\N	\N	\N	\N	f	
1920	93981747-a68a-452c-8138-79d10a674318	La Source	La Source	2	0	2013-05-20 15:49:44.941878+02	\N	\N	\N	\N	\N	\N	f	
1921	d8d38f60-112f-4c1d-a2f3-b223b0c13636	Spélugues	Spélugues	2	0	2013-05-20 15:49:52.864001+02	\N	\N	\N	\N	\N	\N	f	
2579	41d0c11e-fc96-4207-8a79-41943abd931e	Quang Ngai	Quang Ngai	2	0	2013-05-20 22:20:24.519829+02	\N	\N	\N	\N	\N	\N	f	
1922	fe0eb878-6f55-484a-81d4-c468c27708eb	Saint-Roman	Saint-Roman	2	0	2013-05-20 15:50:02.264536+02	\N	\N	\N	\N	\N	\N	f	
2320	852bbc68-c5fa-4e0e-855d-f9f9e0860a84	Rankovce	Rankovce	2	0	2013-05-20 19:20:57.591174+02	\N	\N	\N	\N	\N	\N	f	
1923	f2bc6a6c-23db-4355-a1b3-7052df7e25b9	Vallon de la Rousse	Vallon de la Rousse	2	0	2013-05-20 15:50:14.820169+02	\N	\N	\N	\N	\N	\N	f	
13756	81cb658a-4ed7-42e1-971b-e7ecfb21bc3c	Volterra	Volterra	4	0	2013-07-21 19:05:38.439033+02	\N	\N	\N	\N	\N	\N	f	
2647	a737ea53-c547-4c13-91f2-8bc981dee0fd	Bokèo	Bokèo	2	0	2013-06-05 11:58:58.012243+02	\N	\N	\N	\N	\N	\N	f	
2356	92306774-42fc-4399-ac55-a05c80a6c7dc	Jablanički okrug	Jablanički okrug	2	0	2013-05-20 19:28:48.757456+02	\N	\N	\N	\N	\N	\N	f	
3088	b9986608-5420-407b-8ca2-8d2c56ece512	As Suwaydā’	As Suwaydā’	2	0	2013-06-05 08:09:56.301791+02	\N	\N	\N	\N	\N	\N	f	
3261	476daa18-815a-4634-a7c3-86e35380ac32	Béjaïa	Béjaïa	2	0	2013-06-05 08:57:57.639959+02	\N	\N	\N	\N	\N	\N	f	
2360	c8125356-b93a-46f4-8b77-4bf4ff6b6f04	Vinnyts'ka Oblast'	Vinnyts'ka Oblast'	2	0	2013-05-20 19:29:49.846097+02	\N	\N	\N	\N	\N	\N	f	
1930	dbc23f4a-338a-4dfc-8ad0-c611288a7005	Danilovgrad	Danilovgrad	2	0	2013-05-20 15:56:03.264545+02	\N	\N	\N	\N	\N	\N	f	
1932	95558d97-8308-451f-ac2b-ace16f5d0a4b	Kolašin	Kolašin	2	0	2013-05-20 15:56:44.854366+02	\N	\N	\N	\N	\N	\N	f	
2610	d1d5bf4c-0eda-419f-8ea9-7cc9678b29b9	Nam Dinh	Nam Dinh	2	0	2013-05-20 22:26:27.919896+02	\N	\N	\N	\N	\N	\N	f	
1933	aeb34fd7-9fdd-41c4-a5e2-d82fc79acc30	Kotor	Kotor	2	0	2013-05-20 15:57:06.74544+02	\N	\N	\N	\N	\N	\N	f	
5715	ed96c238-bc41-4313-b0e3-e154d51ee7d4	Serishabad	Serishabad	3	0	2013-05-25 00:36:26.198393+02	\N	\N	\N	\N	\N	\N	f	
1934	3fea3a3c-46e9-4a65-9388-29a580b94522	Mojkovac	Mojkovac	2	0	2013-05-20 15:57:24.203859+02	\N	\N	\N	\N	\N	\N	f	
1935	5a96dc11-2323-44a8-a32d-b6b6ac2deb5c	Nikšić	Nikšić	2	0	2013-05-20 15:57:42.324423+02	\N	\N	\N	\N	\N	\N	f	
1936	4b65722e-1855-4931-b13d-9db7e3d14f6f	Plav	Plav	2	0	2013-05-20 15:57:58.327005+02	\N	\N	\N	\N	\N	\N	f	
2406	7d47d86a-6f5f-4c21-a1da-3140c8958715	Kabardino-Balkarskaya Respublika	Kabardino-Balkarskaya Respublika	2	0	2013-05-20 19:40:35.179666+02	\N	\N	\N	\N	\N	\N	f	
1937	0837634b-e023-4d1a-a287-7b5f9a9cd1eb	Pljevlja	Pljevlja	2	0	2013-05-20 15:58:12.791176+02	\N	\N	\N	\N	\N	\N	f	
1938	aaed8e74-af14-418e-a810-dacfb3861e8a	Plužine	Plužine	2	0	2013-05-20 15:58:24.219153+02	\N	\N	\N	\N	\N	\N	f	
1929	61741ea0-87f6-4c3f-992d-f477e41c0d55	Cetinje	Cetinje	2	0	2013-06-05 08:41:03.403613+02	\N	\N	\N	\N	\N	\N	f	
1939	af26ba0c-1f2e-495f-8ab6-de5c3f3e7f06	Podgorica	Podgorica	2	0	2013-05-20 15:58:36.256302+02	\N	\N	\N	\N	\N	\N	f	
2863	34284abf-6cfd-4906-b56e-17148a2d3f4d	Farāh	Farāh	2	0	2013-05-20 23:32:00.154982+02	\N	\N	\N	\N	\N	\N	f	
2442	4f9df1a3-8b21-40cd-bf2c-7dd230938286	Rostovskaya oblast'	Rostovskaya oblast'	2	0	2013-05-20 19:49:48.69452+02	\N	\N	\N	\N	\N	\N	f	
1940	2440f836-6280-4069-aeb2-cd039a286a87	Rožaje	Rožaje	2	0	2013-05-20 15:58:47.91918+02	\N	\N	\N	\N	\N	\N	f	
13767	0c9e5119-36f0-4cc4-8cd7-2c4e60706ac8	Azzano Mella	Azzano Mella	4	0	2013-07-21 19:07:55.426795+02	\N	\N	\N	\N	\N	\N	f	
3093	ba279ec8-d775-40e7-b64f-ac48beba4d36	Al Bayḑā’	Al Bayḑā’	2	0	2013-06-05 07:41:11.922498+02	\N	\N	\N	\N	\N	\N	f	
1928	77870ede-83fc-4eef-8e62-9e876fdf4e7d	Budva	Budva	2	0	2013-06-05 12:32:13.494983+02	\N	\N	\N	\N	\N	\N	f	
1942	594d7d8f-a452-402c-a1b0-134fc20671f1	Tivat	Tivat	2	0	2013-05-20 15:59:16.898565+02	\N	\N	\N	\N	\N	\N	f	
2446	a48bedb2-305a-4ca0-b549-30d0842a8808	Samarskaya oblast'	Samarskaya oblast'	2	0	2013-05-20 19:50:57.054073+02	\N	\N	\N	\N	\N	\N	f	
2489	3882660c-b271-49a8-9f55-e46214d07e02	Samts’khe-Javakhet’i	Samts’khe-Javakhet’i	2	0	2013-05-20 20:52:31.987268+02	\N	\N	\N	\N	\N	\N	f	
3234	51f29c6b-52dc-4593-9164-aad0e5df7640	Agnébi (Région de l')	Agnébi (Région de l')	2	0	2013-06-05 08:39:22.290854+02	\N	\N	\N	\N	\N	\N	f	
2502	ffb0460f-bf13-480d-9c3d-9bf733d00b17	Mangghystaū oblysy	Mangghystaū oblysy	2	0	2013-05-20 20:55:09.859671+02	\N	\N	\N	\N	\N	\N	f	
2660	c7a6b43c-9fb2-44b5-b426-5072bc2edad0	Xaignabouli	Xaignabouli	2	0	2013-05-20 22:35:22.013406+02	\N	\N	\N	\N	\N	\N	f	
2524	2e0bb980-f8d7-4e9d-a2f5-648944f5f1f4	Govĭ-Sümber	Govĭ-Sümber	2	0	2013-05-20 21:13:33.156694+02	\N	\N	\N	\N	\N	\N	f	
2692	989080f9-32bb-4a07-8399-06776441426f	Udon Thani	Udon Thani	2	0	2013-05-20 22:41:33.312918+02	\N	\N	\N	\N	\N	\N	f	
2775	a3244bc4-9655-48e5-ae53-123541078740	Cagayan Valley (Region II)	Cagayan Valley (Region II)	2	0	2013-06-05 08:26:01.617856+02	\N	\N	\N	\N	\N	\N	f	
2703	a80a8d53-c3f1-4d75-a38e-8935c5a28a88	Lampang	Lampang	2	0	2013-05-20 22:43:58.692952+02	\N	\N	\N	\N	\N	\N	f	
2895	4340d4ce-7e4a-436b-a358-a1e236f48ae5	Naryn	Naryn	2	0	2013-05-20 23:38:12.655557+02	\N	\N	\N	\N	\N	\N	f	
2732	fea565a3-84a9-488d-bd10-16a5e8d218cf	Chumphon	Chumphon	2	0	2013-06-05 08:37:42.488573+02	\N	\N	\N	\N	\N	\N	f	
2766	7c543c67-60cf-4eb9-97f7-093f03b50d22	Nusa Tenggara	Nusa Tenggara	2	0	2013-05-20 22:55:51.549151+02	\N	\N	\N	\N	\N	\N	f	
3238	85d0c6a3-b510-4aa0-892a-2de08a231e91	Adamaoua	Adamaoua	2	0	2013-06-05 09:28:31.012048+02	\N	\N	\N	\N	\N	\N	f	
3172	0cd745fb-c11f-479b-96ef-38e3a3f8201d	Ghanzi	Ghanzi	2	0	2013-05-21 00:56:09.536912+02	\N	\N	\N	\N	\N	\N	f	
2915	e3e56d56-6131-4233-842c-7070ec1b3f30	Xorazm	Xorazm	2	0	2013-05-20 23:41:55.176441+02	\N	\N	\N	\N	\N	\N	f	
2857	4f4b0603-1ccf-4e56-b1bf-352193592f49	Balkh	Balkh	2	0	2013-06-05 07:45:01.003786+02	\N	\N	\N	\N	\N	\N	f	
2960	20c4b49b-dd5e-47bf-a9db-7ed66f3c8596	Ardabīl	Ardabīl	2	0	2013-06-05 11:15:38.315089+02	\N	\N	\N	\N	\N	\N	f	
3011	1129e985-2edf-41cd-8532-e71a912592c7	Liban-Sud	Liban-Sud	2	0	2013-05-21 00:12:49.72797+02	\N	\N	\N	\N	\N	\N	f	
5084	1b1544fa-3c88-4edd-ae86-16bd15ebfe31	Dubai	Dubai	3	0	2013-05-24 22:24:23.176889+02	\N	\N	\N	\N	\N	\N	f	
3207	8199f932-6392-48f7-b197-ba648bf5a4fc	Vakaga	Vakaga	2	0	2013-05-21 01:03:19.37202+02	\N	\N	\N	\N	\N	\N	f	
6546	b8ca5244-7641-458e-88b8-63b60afdfc64	Shendabad	Shendabad	3	0	2013-05-25 03:30:41.372295+02	\N	\N	\N	\N	\N	\N	f	
3095	5e398d8d-4149-4479-bfe6-5bc6478f14ea	Dhamār	Dhamār	2	0	2013-05-21 00:34:00.124502+02	\N	\N	\N	\N	\N	\N	f	
3129	a8b46ad9-9188-4051-86ca-28c18e9aaa46	Boucle du Mouhoun	Boucle du Mouhoun	2	0	2013-06-05 10:52:05.220536+02	\N	\N	\N	\N	\N	\N	f	
14386	c449159c-d228-40a3-b74f-b8b272c29eac	Cerreto Grue	Cerreto Grue	4	0	2013-07-21 21:26:21.776982+02	\N	\N	\N	\N	\N	\N	f	
1924	3d3dbb19-a24a-44fa-998d-91ae13e65640	Andrijevica	Andrijevica	2	0	2013-06-05 09:30:16.288101+02	\N	\N	\N	\N	\N	\N	f	
3241	623d2273-19f4-43f6-9754-6c7c3b0033ab	East	East	2	0	2013-05-21 01:09:10.807537+02	\N	\N	\N	\N	\N	\N	f	
3246	d592f6b8-7825-4c1e-bffe-c60bf1de23e4	South	South	2	0	2013-05-21 01:10:03.776523+02	\N	\N	\N	\N	\N	\N	f	
16183	bae19ab4-27cc-4f48-a353-4e4042237c3f	Giustenice	Giustenice	4	0	2013-07-22 03:02:48.63945+02	\N	\N	\N	\N	\N	\N	f	
3272	739df84e-7cd9-43dc-aec9-941b08058d77	Djelfa	Djelfa	2	0	2013-05-21 11:32:49.123205+02	\N	\N	\N	\N	\N	\N	f	
1927	badf1c66-384b-42f2-848b-5b85480f4b11	Bijelo Polje	Bijelo Polje	2	0	2013-06-05 07:33:29.127002+02	\N	\N	\N	\N	\N	\N	f	
4579	7db9930f-6d74-4141-bc65-51113db578ee	Sumatera Barat	Sumatera Barat	2	0	2013-05-22 14:13:32.408468+02	\N	\N	\N	\N	\N	\N	f	
3346	75a0d079-4d6b-44bb-9386-82718fabeec3	Oromīya	Oromīya	2	0	2013-05-21 11:45:54.114548+02	\N	\N	\N	\N	\N	\N	f	
3365	79f14021-7ad2-47be-b191-11ae251fccf6	Volta	Volta	2	0	2013-05-21 12:05:29.352106+02	\N	\N	\N	\N	\N	\N	f	
3408	52aca24c-161c-4e18-a777-b5b625dad52e	Margibi	Margibi	2	0	2013-05-21 13:22:07.912277+02	\N	\N	\N	\N	\N	\N	f	
1945	d71f830c-8d72-4026-b4b4-9e4947e005bc	Ajdovščina	Ajdovščina	2	0	2013-06-05 08:14:43.748472+02	\N	\N	\N	\N	\N	\N	f	
2240	8c0b4e5b-3f7a-4647-bba0-95680d3b05db	Ialoveni	Ialoveni	2	0	2013-05-20 19:05:32.196031+02	\N	\N	\N	\N	\N	\N	f	
1946	b4ad0363-81b6-4780-abb9-a5f7f1b7af87	Beltinci	Beltinci	2	0	2013-06-05 12:19:44.453565+02	\N	\N	\N	\N	\N	\N	f	
2858	cb613633-ccdf-4570-b179-a07c4aaeb58b	Bāmyān	Bāmyān	2	0	2013-06-05 11:55:56.340171+02	\N	\N	\N	\N	\N	\N	f	
3545	b4af8fc1-c57d-4e95-910e-42eecea63311	Anambra	Anambra	2	0	2013-06-05 07:20:59.040158+02	\N	\N	\N	\N	\N	\N	f	
1986	d311cc4e-5701-41d4-a7f8-15130f0e6a90	Juršinci	Juršinci	2	0	2013-05-20 17:35:29.214162+02	\N	\N	\N	\N	\N	\N	f	
2276	0b0f7f19-d1e8-4feb-8aef-33fb6c9599bc	Debar	Debar	2	0	2013-05-20 19:12:28.527089+02	\N	\N	\N	\N	\N	\N	f	
1999	2847682f-2d9a-4173-b36e-1c7886a5ca5d	Kungota	Kungota	2	0	2013-05-20 17:38:02.255681+02	\N	\N	\N	\N	\N	\N	f	
2036	481856ec-69b7-46de-a0ae-b42b9e389bf0	Podčetrtek	Podčetrtek	2	0	2013-05-20 17:46:23.795929+02	\N	\N	\N	\N	\N	\N	f	
2580	fd136eee-5869-411e-861b-849cc4352330	Gia Lai	Gia Lai	2	0	2013-05-20 22:20:38.075763+02	\N	\N	\N	\N	\N	\N	f	
2075	c6439cd3-3bba-42b4-8eec-ff1b8a263aa0	Tržič	Tržič	2	0	2013-05-20 17:54:00.792666+02	\N	\N	\N	\N	\N	\N	f	
2321	f18d13a0-31bb-474d-b9a5-87bb368f40b7	Resen	Resen	2	0	2013-05-20 19:21:09.268151+02	\N	\N	\N	\N	\N	\N	f	
2120	941abdb1-3851-478e-9996-1ddc4c7fb72c	Ribnica na Pohorju	Ribnica na Pohorju	2	0	2013-05-20 18:03:04.883979+02	\N	\N	\N	\N	\N	\N	f	
2150	6868d701-0b46-4a6a-9185-aa55fc56e371	Gorje	Gorje	2	0	2013-05-20 18:09:17.766946+02	\N	\N	\N	\N	\N	\N	f	
2178	ace439c5-0b5a-4d70-b3d3-f272dc64af5e	Pleven	Pleven	2	0	2013-05-20 18:20:54.326334+02	\N	\N	\N	\N	\N	\N	f	
2357	90a5cc7e-0ae2-4571-b696-9120a190e5a0	Pčinjski okrug	Pčinjski okrug	2	0	2013-05-20 19:28:59.304323+02	\N	\N	\N	\N	\N	\N	f	
2188	e2a2b75d-c787-487b-929d-37a8c78d15b3	Targovishte	Targovishte	2	0	2013-05-20 18:22:45.588465+02	\N	\N	\N	\N	\N	\N	f	
5085	1c743cb4-2d72-499f-a76c-1a9cb0189040	Celje	Celje	3	0	2013-05-24 22:24:47.99307+02	\N	\N	\N	\N	\N	\N	f	
2191	bd226ab4-fa2e-45bc-bf12-0b8b2f8f53be	Yambol	Yambol	2	0	2013-05-20 18:23:19.325162+02	\N	\N	\N	\N	\N	\N	f	
2427	fbb13feb-0fcf-4f99-83fa-7a5239e68b82	Respublika Mordoviya	Mordoviya, Respublika	2	0	2013-05-24 00:55:38.306719+02	\N	\N	\N	\N	\N	\N	f	
2611	6c970a7b-ee40-4d99-af67-10f92ff4cd14	Phu Tho	Phu Tho	2	0	2013-05-20 22:26:38.903969+02	\N	\N	\N	\N	\N	\N	f	
2407	13be50b7-7b24-4ea3-b5aa-93a301c600fb	Karachayevo-Cherkesskaya Respublika	Karachayevo-Cherkesskaya Respublika	2	0	2013-05-20 19:40:52.366238+02	\N	\N	\N	\N	\N	\N	f	
5256	bb134bbf-dd13-463c-86e4-30cdadea388d	Invercargill	Invercargill	3	0	2013-05-24 22:58:11.591258+02	\N	\N	\N	\N	\N	\N	f	
2490	25a0b18a-eba8-4e2e-85cb-df0128fa388f	Shida K’art’li	Shida K’art’li	2	0	2013-05-20 20:52:48.568759+02	\N	\N	\N	\N	\N	\N	f	
2674	bc99c37c-edf0-4f82-868e-25a925c8ac95	Chon Buri	Chon Buri	2	0	2013-06-05 11:12:09.790463+02	\N	\N	\N	\N	\N	\N	f	
2525	be962535-fe2c-4ba4-b620-c7e343d7b66b	Govĭ-Altay	Govĭ-Altay	2	0	2013-05-20 21:13:43.810955+02	\N	\N	\N	\N	\N	\N	f	
5112	0f09bd41-a63c-4b80-a107-1c4c6bbebea7	Cherepovets	Cherepovets	3	0	2013-05-24 22:29:47.315136+02	\N	\N	\N	\N	\N	\N	f	
2961	bfee02d8-7706-4470-8845-ceb78e394483	Eşfahān	Eşfahān	2	0	2013-05-21 00:00:31.704203+02	\N	\N	\N	\N	\N	\N	f	
7070	527ad77c-ee7c-4357-8429-a2924381b08f	Mszana Dolna	Mszana Dolna	3	0	2013-05-26 16:45:00.839966+02	\N	\N	\N	\N	\N	\N	f	
1947	dd9aede9-1059-4c74-a091-b5782a38f6ea	Bled	Bled	2	0	2013-06-05 11:23:52.827802+02	\N	\N	\N	\N	\N	\N	f	
3208	c9f9d63f-1c1a-48c3-b9d9-ef677de0e8ed	Niari	Niari	2	0	2013-05-21 01:03:32.887294+02	\N	\N	\N	\N	\N	\N	f	
2677	d61aa132-ffd1-419f-8ffd-5eb0abe61cb6	Trat	Trat	2	0	2013-05-20 22:38:38.203134+02	\N	\N	\N	\N	\N	\N	f	
3012	401b51d1-3520-450d-ad8f-5cbd27444b0a	Mont-Liban	Mont-Liban	2	0	2013-05-21 00:13:04.978706+02	\N	\N	\N	\N	\N	\N	f	
2681	47eb5928-c553-492f-8322-751816d109b7	Sa Kaeo	Sa Kaeo	2	0	2013-05-20 22:39:23.296702+02	\N	\N	\N	\N	\N	\N	f	
13757	d6f278b1-df3b-4fa3-91c4-c13e36c12770	Vigone	Vigone	4	0	2013-07-21 19:05:51.599233+02	\N	\N	\N	\N	\N	\N	f	
2693	c81e2631-785f-4f0b-b996-bbfbeda47ef0	Loei	Loei	2	0	2013-05-20 22:41:46.306311+02	\N	\N	\N	\N	\N	\N	f	
2734	61d7d7ab-9461-4df0-84be-acd64dcc82b9	Satun	Satun	2	0	2013-05-20 22:49:55.318001+02	\N	\N	\N	\N	\N	\N	f	
8705	1c3e5f4a-9bb1-493e-8652-58e0651c6e80	Golczewo	Golczewo	3	0	2013-06-01 18:22:50.294671+02	\N	\N	\N	\N	\N	\N	f	
3463	d4a97cd7-39e2-4c6e-b4c1-3dde368f2f2c	Antsiranana	Antsiranana	2	0	2013-06-05 09:08:09.262742+02	\N	\N	\N	\N	\N	\N	f	
2767	1b82f2a4-3101-4ba2-a5cf-f85a4a1f7ba8	Sulawesi	Sulawesi	2	0	2013-05-20 22:56:02.62577+02	\N	\N	\N	\N	\N	\N	f	
2778	6c5ff771-8fa4-492d-96aa-3d1af9a9b2fd	Western Visayas (Region VI)	Western Visayas (Region VI)	2	0	2013-05-20 22:58:04.128111+02	\N	\N	\N	\N	\N	\N	f	
3434	71e4fa59-7ecb-4f22-a3fc-0ac890f510c1	Al Marqab	Al Marqab	2	0	2013-06-05 08:22:31.070858+02	\N	\N	\N	\N	\N	\N	f	
2813	48de89f1-8987-422a-9dc8-5df112bce689	Chin	Chin	2	0	2013-06-05 09:31:19.607556+02	\N	\N	\N	\N	\N	\N	f	
3033	27fce968-1bfc-4876-ad89-1bd73e115047	Ad Dākhilīyah	Ad Dākhilīyah	2	0	2013-06-05 08:16:42.99492+02	\N	\N	\N	\N	\N	\N	f	
2814	27fd4e93-dd37-42a5-bad3-ebc8b00e19a0	Mon	Mon	2	0	2013-05-20 23:05:08.388387+02	\N	\N	\N	\N	\N	\N	f	
14388	597fef23-26a1-4845-8537-37850a903242	Coniolo	Coniolo	4	0	2013-07-21 21:26:45.237031+02	\N	\N	\N	\N	\N	\N	f	
3233	e7112db8-d4e3-4979-bb24-34ead34c1a7e	Sud-Bandama (Région du)	Sud-Bandama (Région du)	2	0	2013-05-21 01:07:44.310759+02	\N	\N	\N	\N	\N	\N	f	
2887	fa7f7071-751f-4352-b04f-fd66e8fdf8a1	Takhār	Takhār	2	0	2013-05-20 23:36:31.510663+02	\N	\N	\N	\N	\N	\N	f	
3418	58b7c9c0-f5c9-4cb7-a530-a9e5ca95853e	Berea	Berea	2	0	2013-06-05 07:14:28.712298+02	\N	\N	\N	\N	\N	\N	f	
14461	82e8dd4b-1348-4084-93ba-2331331c5e6c	Rocca Grimalda	Rocca Grimalda	4	0	2013-07-21 21:42:54.443774+02	\N	\N	\N	\N	\N	\N	f	
3409	d777437d-cafe-4c80-84a2-8d68b64a9a74	Montserrado	Montserrado	2	0	2013-05-21 13:22:26.53527+02	\N	\N	\N	\N	\N	\N	f	
2917	a293bdda-76a3-48a4-ae62-b1d45e187720	Balkan	Balkan	2	0	2013-06-05 06:48:09.02079+02	\N	\N	\N	\N	\N	\N	f	
3431	14736c52-e0cf-4d92-ad3e-318abf9701e2	Al Jifārah	Al Jifārah	2	0	2013-06-05 12:16:10.762463+02	\N	\N	\N	\N	\N	\N	f	
2648	bc0add15-1bf6-4dec-88f2-31693660769e	Bolikhamxai [Borikhane]	Bolikhamxai [Borikhane]	2	0	2013-06-05 08:00:09.394522+02	\N	\N	\N	\N	\N	\N	f	
3151	56f7f4ec-7394-4e29-9404-545924421754	Kayanza	Kayanza	2	0	2013-05-21 00:52:20.468382+02	\N	\N	\N	\N	\N	\N	f	
3173	77799fad-71e4-40dc-a02a-a53be358e717	Kgalagadi	Kgalagadi	2	0	2013-05-21 00:56:21.652768+02	\N	\N	\N	\N	\N	\N	f	
3268	fe7998d8-d89a-4bc2-8299-759c34bdb736	Tlemcen	Tlemcen	2	0	2013-05-21 11:32:06.348763+02	\N	\N	\N	\N	\N	\N	f	
3300	7d198d53-2cd5-4341-b8fd-fbadb4741abb	Naama	Naama	2	0	2013-05-21 11:37:55.207403+02	\N	\N	\N	\N	\N	\N	f	
15477	d066578d-b42c-4581-8cb7-7c2d4a7a0241	Monte San Giovanni in Sabina	Monte San Giovanni in Sabina	4	0	2013-07-22 00:54:24.612105+02	\N	\N	\N	\N	\N	\N	f	
3426	d23f42bb-f28e-4e79-b16f-30949575cc9a	Al Buţnān	Al Buţnān	2	0	2013-06-05 10:26:13.862506+02	\N	\N	\N	\N	\N	\N	f	
3366	fa4eee30-4790-447c-b2f7-f42db20cbac0	Upper East	Upper East	2	0	2013-05-21 12:05:42.255368+02	\N	\N	\N	\N	\N	\N	f	
3435	e075db6e-dbe5-41d2-984f-055ea8e03020	Mişrātah	Mişrātah	2	0	2013-05-21 13:27:23.510559+02	\N	\N	\N	\N	\N	\N	f	
3477	5c58d7a0-e3ad-4cf1-8279-bde58d8f0a94	Hodh ech Chargui	Hodh ech Chargui	2	0	2013-05-21 13:35:44.871037+02	\N	\N	\N	\N	\N	\N	f	
3472	9f5cf8d9-5628-4bce-980e-3f661b586f48	Mopti	Mopti	2	0	2013-05-21 13:34:50.590658+02	\N	\N	\N	\N	\N	\N	f	
3488	5e5eb330-8385-4069-9f12-ffd01a184968	Inchiri	Inchiri	2	0	2013-05-21 13:37:45.651189+02	\N	\N	\N	\N	\N	\N	f	
3489	81e1ef6b-e78c-4d7c-bd2d-fd76598bd413	Nouakchott	Nouakchott	2	0	2013-05-21 13:37:58.075216+02	\N	\N	\N	\N	\N	\N	f	
3501	877b3176-a2f9-45eb-8d30-3e1f2558c433	Plaines Wilhems	Plaines Wilhems	2	0	2013-05-21 13:40:12.699896+02	\N	\N	\N	\N	\N	\N	f	
3517	d56de8ab-73ed-48f6-854e-88a071fa9bee	Cabo Delgado	Cabo Delgado	2	0	2013-06-05 09:19:47.994932+02	\N	\N	\N	\N	\N	\N	f	
3519	f2f30fb6-cfcc-4073-9bce-33180639367a	Sofala	Sofala	2	0	2013-05-21 13:43:30.504575+02	\N	\N	\N	\N	\N	\N	f	
3539	435aa5a7-b88d-44a6-8f4c-306d8a64f88a	Tillabéri	Tillabéri	2	0	2013-05-21 13:47:17.8937+02	\N	\N	\N	\N	\N	\N	f	
3541	71a6609d-ae10-431a-bc63-a94a8c45990d	Niamey	Niamey	2	0	2013-05-21 13:47:39.604002+02	\N	\N	\N	\N	\N	\N	f	
3130	c0f77e3a-c63a-4208-b39d-a570b1963fa2	Cascades	Cascades	2	0	2013-06-05 07:52:00.36201+02	\N	\N	\N	\N	\N	\N	f	
4710	c50d5736-f6de-4f14-8982-365d24818e52	Terni	Terni	2	0	2013-05-22 14:50:52.909963+02	\N	\N	\N	\N	\N	\N	f	
1988	6ed44f1b-0fb3-4624-b3ca-43f891745f70	Kanal	Kanal	2	0	2013-05-20 17:35:56.081241+02	\N	\N	\N	\N	\N	\N	f	
2241	9216fe0d-4697-4e90-b07c-8b4c584d5b86	Leova	Leova	2	0	2013-05-20 19:05:48.011641+02	\N	\N	\N	\N	\N	\N	f	
2037	c02eaf95-fd83-41d5-b3b5-4d2c0ebba534	Podvelka	Podvelka	2	0	2013-05-20 17:46:35.211148+02	\N	\N	\N	\N	\N	\N	f	
2039	63e4c400-1545-436b-9d7e-27eeee228675	Preddvor	Preddvor	2	0	2013-05-20 17:47:00.968655+02	\N	\N	\N	\N	\N	\N	f	
2076	f901ec36-fa95-412c-ab40-0c07b36d878e	Turnišče	Turnišče	2	0	2013-05-20 17:54:12.15671+02	\N	\N	\N	\N	\N	\N	f	
2277	cf340df1-8a7e-419d-a76d-89029c7e6e82	Debarca	Debarca	2	0	2013-05-20 19:12:39.969154+02	\N	\N	\N	\N	\N	\N	f	
2118	63cc120a-34c5-41d2-83c0-68ac383f74ba	Prevalje	Prevalje	2	0	2013-05-20 18:02:40.846107+02	\N	\N	\N	\N	\N	\N	f	
2121	a85f7c48-da7c-433b-ace4-85e1128662e7	Selnica ob Dravi	Selnica ob Dravi	2	0	2013-05-20 18:03:18.865341+02	\N	\N	\N	\N	\N	\N	f	
3301	3d7114c7-bbf3-487f-ab80-aead5fd59e8f	Aïn Témouchent	Aïn Témouchent	2	0	2013-06-05 10:44:37.103846+02	\N	\N	\N	\N	\N	\N	f	
2152	e85b7bff-53bd-4b21-92e9-4ac409e9afca	Rečica ob Savinji	Rečica ob Savinji	2	0	2013-05-20 18:09:45.094443+02	\N	\N	\N	\N	\N	\N	f	
2322	9d8f8e5c-0696-4367-8d2b-91acc405cea1	Rosoman	Rosoman	2	0	2013-05-20 19:21:20.160185+02	\N	\N	\N	\N	\N	\N	f	
2179	939364e0-7d26-4fa8-9551-05e52a128b99	Plovdiv	Plovdiv	2	0	2013-05-20 18:21:08.000321+02	\N	\N	\N	\N	\N	\N	f	
2189	756401e6-6f9e-426d-8775-4e7be7683086	Haskovo	Haskovo	2	0	2013-05-20 18:22:56.627922+02	\N	\N	\N	\N	\N	\N	f	
2323	4dd293d9-8175-44d7-b5eb-279941bd28a3	Saraj	Saraj	2	0	2013-05-20 19:21:31.109221+02	\N	\N	\N	\N	\N	\N	f	
2327	9ae5d594-af67-4c7e-b24c-435a253dd94a	Struga	Struga	2	0	2013-05-20 19:22:15.192523+02	\N	\N	\N	\N	\N	\N	f	
13758	dc959f39-054a-4424-acaf-cc76722cd4d7	San Miniato	San Miniato	4	0	2013-07-21 19:06:03.449714+02	\N	\N	\N	\N	\N	\N	f	
2612	d95ba069-7992-418f-b999-6caaf39211a0	Thai Nguyen	Thai Nguyen	2	0	2013-05-20 22:26:50.075735+02	\N	\N	\N	\N	\N	\N	f	
2581	f12f30c8-5975-4503-a637-b5bcb2f5ae96	Binh Dinh	Binh Dinh	2	0	2013-06-05 10:12:06.494698+02	\N	\N	\N	\N	\N	\N	f	
2374	997a775f-fd0d-4371-884a-6260d4df1cfa	L'vivs'ka Oblast'	L'vivs'ka Oblast'	2	0	2013-05-20 19:33:19.845823+02	\N	\N	\N	\N	\N	\N	f	
2526	2dbf68f8-1fa4-427c-b10b-022ec137d0d1	Bulgan	Bulgan	2	0	2013-06-05 11:40:51.951541+02	\N	\N	\N	\N	\N	\N	f	
2381	d4568475-5a6a-43e9-ab49-4bdbe2b746ce	Kharkivs'ka Oblast'	Kharkivs'ka Oblast'	2	0	2013-05-20 19:34:53.805784+02	\N	\N	\N	\N	\N	\N	f	
3263	686ae032-4e33-4f44-afb3-f06ac06b1a1c	Béchar	Béchar	2	0	2013-06-05 08:23:07.833465+02	\N	\N	\N	\N	\N	\N	f	
2408	b1cfa078-6827-4af2-b197-5d3522367a3d	Krasnodarskiy kray	Krasnodarskiy kray	2	0	2013-05-20 19:41:06.0471+02	\N	\N	\N	\N	\N	\N	f	
2422	28e0abb1-6e1b-4291-ba60-bce4633f3f36	Krasnoyarskiy kray	Krasnoyarskiy kray	2	0	2013-05-20 19:44:42.323624+02	\N	\N	\N	\N	\N	\N	f	
2443	7d9445f4-3c24-46e0-8c85-ef4ee214a364	Ryazanskaya oblast'	Ryazanskaya oblast'	2	0	2013-05-20 19:50:02.555883+02	\N	\N	\N	\N	\N	\N	f	
2665	49972fe1-44b1-4b87-a5f9-17abe5a6ae7a	Samut Prakan	Samut Prakan	2	0	2013-05-20 22:36:28.521169+02	\N	\N	\N	\N	\N	\N	f	
2445	85b1246b-8936-4f93-b91e-8f17ba9905e5	Sakhalinskaya oblast'	Sakhalinskaya oblast'	2	0	2013-05-20 19:50:38.482033+02	\N	\N	\N	\N	\N	\N	f	
2465	3f7e6cb2-0e57-4295-beb0-ebe75daf0b0d	Voronezhskaya oblast'	Voronezhskaya oblast'	2	0	2013-05-20 19:56:50.698988+02	\N	\N	\N	\N	\N	\N	f	
2468	622d7402-109c-426a-9628-91f7565a0b88	Yevreyskaya avtonomnaya oblast'	Yevreyskaya avtonomnaya oblast'	2	0	2013-05-20 19:57:46.356293+02	\N	\N	\N	\N	\N	\N	f	
2696	3ec2e28f-131c-4909-bc7e-b3c33fea58ca	Roi Et	Roi Et	2	0	2013-05-20 22:42:32.920732+02	\N	\N	\N	\N	\N	\N	f	
2491	8070b190-7820-4af4-97e0-afcae4193710	Samegrelo-Zemo Svanet’i	Samegrelo-Zemo Svanet’i	2	0	2013-05-20 20:52:59.273461+02	\N	\N	\N	\N	\N	\N	f	
13759	1fc6d798-fa26-4b52-a83a-35faf0da6a7a	Alfianello	Alfianello	4	0	2013-07-21 19:06:16.252333+02	\N	\N	\N	\N	\N	\N	f	
2860	553062b5-86af-4c3e-939e-cdae17b02a64	Badakhshān	Badakhshān	2	0	2013-06-05 07:32:32.375268+02	\N	\N	\N	\N	\N	\N	f	
2735	117d2a71-4dca-40bc-ae06-76d14af73760	Trang	Trang	2	0	2013-05-20 22:50:07.57228+02	\N	\N	\N	\N	\N	\N	f	
2768	b48356e1-e531-42bd-8d0f-1137b2222acf	Sumatera	Sumatera	2	0	2013-05-20 22:56:13.204117+02	\N	\N	\N	\N	\N	\N	f	
3124	31a6f17d-0d99-4f28-9a43-7b73a58e1022	Malange	Malange	2	0	2013-05-21 00:46:51.859517+02	\N	\N	\N	\N	\N	\N	f	
2815	ab3e48ec-e4d2-4396-b6e0-5dcf893db5b8	Rakhine	Rakhine	2	0	2013-05-20 23:05:22.087135+02	\N	\N	\N	\N	\N	\N	f	
1948	c75edadd-fe8a-4fcb-8f73-978a4152cbca	Bohinj	Bohinj	2	0	2013-06-05 10:20:21.344612+02	\N	\N	\N	\N	\N	\N	f	
2649	78232daf-80e3-46dc-809a-17109e178be4	Champasak [Champassak]	Champasak [Champassak]	2	0	2013-06-05 08:20:39.484751+02	\N	\N	\N	\N	\N	\N	f	
3133	e71468a9-dd3c-4da1-a08e-636c1c74627f	Centre-Nord	Centre-Nord	2	0	2013-06-05 12:01:26.165065+02	\N	\N	\N	\N	\N	\N	f	
3015	4785ca7d-8d17-4537-99e0-083147ef754f	Madhyama paḷāta	Madhyama paḷāta	2	0	2013-05-21 00:13:49.239523+02	\N	\N	\N	\N	\N	\N	f	
2866	b6b21af3-7ce2-45c5-975b-3a98a6062fd9	Ghōr	Ghōr	2	0	2013-05-20 23:32:32.326033+02	\N	\N	\N	\N	\N	\N	f	
2870	7ecb4d6e-638e-46b7-a0f9-9d979a3a5713	Kābul	Kābul	2	0	2013-05-20 23:33:15.09995+02	\N	\N	\N	\N	\N	\N	f	
2923	d73e3cd8-011a-49b6-8bcb-6707ff051d4a	Abū Z̧aby [Abu Dhabi]	Abū Z̧aby [Abu Dhabi]	2	0	2013-06-05 08:15:56.469865+02	\N	\N	\N	\N	\N	\N	f	
3017	bb03f113-27b7-406f-8fb5-49a268f16895	Uturu paḷāta	Uturu paḷāta	2	0	2013-05-21 00:14:18.772097+02	\N	\N	\N	\N	\N	\N	f	
3029	1b08b7f5-17a9-42bf-ae5b-09cf79d44173	Upper North	Upper North	2	0	2013-05-21 00:17:17.074395+02	\N	\N	\N	\N	\N	\N	f	
13875	1f001595-f3ff-4936-8f26-9f1a15511f27	Marcheno	Marcheno	4	0	2013-07-21 19:32:44.863016+02	\N	\N	\N	\N	\N	\N	f	
17294	8c6b2cf5-7614-4c24-852b-1a049be7a39e	Sorso	Sorso	4	0	2013-07-22 06:09:12.945887+02	\N	\N	\N	\N	\N	\N	f	
13898	b8c67930-3a9c-4717-8055-d2a316f69284	Guardea	Guardea	4	0	2013-07-21 19:37:36.748556+02	\N	\N	\N	\N	\N	\N	f	
3372	5c6b2dd2-6280-4cb9-a396-6278a7773d2e	North Bank	North Bank	2	0	2013-05-21 12:06:54.919737+02	\N	\N	\N	\N	\N	\N	f	
19658	77001af0-024d-4f2c-a2e4-cafb40459386	San Giovanni Rotondo	San Giovanni Rotondo	4	0	2013-07-22 11:13:52.778231+02	\N	\N	\N	\N	\N	\N	f	
3174	be2df89f-e553-4a21-a425-2619d81251d6	Kgatleng	Kgatleng	2	0	2013-05-21 00:56:32.419535+02	\N	\N	\N	\N	\N	\N	f	
3546	b99953fd-2374-4e15-8959-b979f6558a63	Bauchi	Bauchi	2	0	2013-06-05 12:23:51.902009+02	\N	\N	\N	\N	\N	\N	f	
3219	9831f746-e6e9-45c5-9b1e-ebc3d8cc253c	Lagunes (Région des)	Lagunes (Région des)	2	0	2013-05-21 01:05:14.789303+02	\N	\N	\N	\N	\N	\N	f	
3221	0ec15317-a454-4f7f-956a-82c672ecb7ee	Savanes (Région des)	Savanes (Région des)	2	0	2013-05-21 01:05:36.028262+02	\N	\N	\N	\N	\N	\N	f	
3333	1646b8a7-d964-4340-a5c6-c9906c133c6b	Ansabā	Ansabā	2	0	2013-06-05 10:04:45.057613+02	\N	\N	\N	\N	\N	\N	f	
3432	382c75c8-e1e3-4882-b28b-950a9f6a411c	Al Jufrah	Al Jufrah	2	0	2013-06-05 09:04:18.901339+02	\N	\N	\N	\N	\N	\N	f	
3367	7320301a-9592-4212-a5c3-95d39253fa8d	Upper West	Upper West	2	0	2013-05-21 12:05:53.860163+02	\N	\N	\N	\N	\N	\N	f	
3396	2eb16eb5-5b82-4be4-8ac5-0376ea3c358a	Western	Western	2	0	2013-05-21 12:11:47.780151+02	\N	\N	\N	\N	\N	\N	f	
3410	422ad54b-0d5f-4fc4-9142-920868320649	Maryland	Maryland	2	0	2013-05-21 13:22:38.509983+02	\N	\N	\N	\N	\N	\N	f	
2997	6b43d255-431f-40a3-934a-cad960be4f60	Al Mafraq	Al Mafraq	2	0	2013-06-05 09:30:55.224183+02	\N	\N	\N	\N	\N	\N	f	
3451	7087c384-3bf3-4eeb-913c-822d68633ba0	Meknès-Tafilalet	Meknès-Tafilalet	2	0	2013-05-21 13:30:43.302211+02	\N	\N	\N	\N	\N	\N	f	
3473	3bcd0c0e-1c7b-4403-8c9e-7485e7e62564	Tombouctou	Tombouctou	2	0	2013-05-21 13:35:01.480493+02	\N	\N	\N	\N	\N	\N	f	
3475	8cb8c2c1-bb8f-4317-af27-ae445938f2af	Kidal	Kidal	2	0	2013-05-21 13:35:23.139221+02	\N	\N	\N	\N	\N	\N	f	
3497	0d226bb7-6c63-46c2-936e-0ce8c1662064	Moka	Moka	2	0	2013-05-21 13:39:27.988442+02	\N	\N	\N	\N	\N	\N	f	
3518	ab7b944c-bd7c-41c3-8929-a70b3d394580	Zambézia	Zambézia	2	0	2013-05-21 13:43:19.853284+02	\N	\N	\N	\N	\N	\N	f	
3520	f90b508e-2a1e-4a96-bfee-93886d1e93c9	Tete	Tete	2	0	2013-05-21 13:43:41.183313+02	\N	\N	\N	\N	\N	\N	f	
4580	d51a01eb-f73b-42e5-913b-b8e4670e8e42	Sulawesi Tenggara	Sulawesi Tenggara	2	0	2013-05-22 14:13:50.07132+02	\N	\N	\N	\N	\N	\N	f	
2418	7fc7ef7e-ee42-40d3-bdd7-e993171cba13	Respublika Komi	Komi, Respublika	2	0	2013-05-24 00:56:00.090554+02	\N	\N	\N	\N	\N	\N	f	
2861	e882bfbd-fe30-4597-97c0-da9980dd101a	Baghlān	Baghlān	2	0	2013-06-05 11:46:11.76491+02	\N	\N	\N	\N	\N	\N	f	
3599	73618e1c-510a-4f57-a9eb-e920917d4c3a	English River	English River	2	0	2013-05-21 14:09:28.173025+02	\N	\N	\N	\N	\N	\N	f	
4581	24983b78-c6d9-4bcf-93dd-165484f8874c	Sulawesi Selatan	Sulawesi Selatan	2	0	2013-05-22 14:14:15.76227+02	\N	\N	\N	\N	\N	\N	f	
4711	1db5404d-8819-418e-a801-82ef2ad42529	Trieste	Trieste	2	0	2013-05-22 14:51:14.134226+02	\N	\N	\N	\N	\N	\N	f	
4840	16515911-df5a-4d14-8ebf-869bef31f7be	Mzimba	Mzimba	2	0	2013-05-22 15:28:33.527506+02	\N	\N	\N	\N	\N	\N	f	
2415	fc8d4e40-57bb-42fe-a46a-92c935520298	Respublika Khakasiya	Khakasiya, Respublika	2	0	2013-05-24 00:56:10.22643+02	\N	\N	\N	\N	\N	\N	f	
4863	2dd7bbd4-bfe1-4d63-a930-8d6aa7a60cbe	Rapti	Rapti	2	0	2013-05-22 15:35:17.645696+02	\N	\N	\N	\N	\N	\N	f	
4977	e7864781-21bc-41df-ab65-4441ea9a9d1f	Luwero	Luwero	2	0	2013-05-22 16:01:47.518806+02	\N	\N	\N	\N	\N	\N	f	
5716	f7c8d1e8-56ae-4f6c-b3e7-9dc5014c669e	Sejzi	Sejzi	3	0	2013-05-25 00:36:37.657377+02	\N	\N	\N	\N	\N	\N	f	
4978	57e32598-ae76-4ed5-a2ae-7316829a294f	Masaka	Masaka	2	0	2013-05-22 16:01:58.118972+02	\N	\N	\N	\N	\N	\N	f	
5086	b4c32e0f-718e-4370-945c-2a859dd69ab2	Volgograd	Volgograd	3	0	2013-05-24 22:24:58.301398+02	\N	\N	\N	\N	\N	\N	f	
5111	883b7693-6382-4252-88f1-097718bf7e9c	Tallinn	Tallinn	3	0	2013-05-24 22:29:35.979141+02	\N	\N	\N	\N	\N	\N	f	
5257	82bf9785-9060-4489-97eb-f896e74a4d84	Karaj	Karaj	3	0	2013-05-24 22:58:22.086211+02	\N	\N	\N	\N	\N	\N	f	
5397	f8128bc7-b51f-49c1-bea2-15cd079c5b57	Hamar	Hamar	3	0	2013-05-24 23:26:28.2423+02	\N	\N	\N	\N	\N	\N	f	
5772	93cbc0d3-0eeb-428a-a64c-1b862883a6d3	Williamsburg	Williamsburg	3	0	2013-05-25 00:48:23.644378+02	\N	\N	\N	\N	\N	\N	f	
5558	fe696a8c-da15-422a-a90e-e1b714ef456e	Kōfu	Kōfu	3	0	2013-05-25 00:02:20.708885+02	\N	\N	\N	\N	\N	\N	f	
5869	e7e81353-bad9-4a3c-8c53-400f3d6c7630	Georgetown	Georgetown	3	0	2013-05-25 01:08:52.032076+02	\N	\N	\N	\N	\N	\N	f	
5561	d036a34b-1df2-4e4a-b6f5-d0e45b4dd43f	Musashino	Musashino	3	0	2013-05-25 00:02:58.295494+02	\N	\N	\N	\N	\N	\N	f	
5613	32dc0322-7294-4d8c-bf3a-4fd9ae5bf8f6	Biała Prudnicka	Biała Prudnicka	3	0	2013-05-25 00:14:40.814665+02	\N	\N	\N	\N	\N	\N	f	
5950	70a88f45-c524-4762-b661-d245fe78837d	Mutsamudu	Mutsamudu	3	0	2013-05-25 01:24:52.647366+02	\N	\N	\N	\N	\N	\N	f	
6089	90d7dac6-5f9e-4dcf-ae33-bd80273d87a0	Bebington	Bebington	3	0	2013-05-25 01:51:12.972087+02	\N	\N	\N	\N	\N	\N	f	
8292	a7ee813d-d985-4ed9-ab66-52c6640110c1	Adogawa, Shiga	Adogawa, Shiga	3	0	2013-05-30 21:38:03.632735+02	\N	\N	\N	\N	\N	\N	f	
6100	5dbf187e-fef4-418e-bbcc-a12f4fcfe98c	Lindi	Lindi	3	0	2013-05-25 01:53:18.65639+02	\N	\N	\N	\N	\N	\N	f	
7071	af0177ac-18a5-45d7-93f5-d364df8bd2e5	Przedbórz	Przedbórz	3	0	2013-05-26 16:45:17.647056+02	\N	\N	\N	\N	\N	\N	f	
6327	c28e4a44-34d4-42be-861d-75df197c52a1	Wausau	Wausau	3	0	2013-05-25 02:39:40.767055+02	\N	\N	\N	\N	\N	\N	f	
6470	cacc95eb-d65a-44db-8810-572940cb981c	Aurora	Aurora	3	0	2013-05-25 03:12:47.528463+02	\N	\N	\N	\N	\N	\N	f	
6497	0ad8333c-34ff-464c-ba59-89a7769481c5	Claremore	Claremore	3	0	2013-05-25 03:19:31.21512+02	\N	\N	\N	\N	\N	\N	f	
6547	504078b0-e1cd-479e-80a7-1b57f4102420	Khur	Khur	3	0	2013-05-25 03:30:51.614091+02	\N	\N	\N	\N	\N	\N	f	
7132	3206e6b1-132a-4379-b7d7-487b7d999d64	Wilamowice	Wilamowice	3	0	2013-05-26 17:00:08.657959+02	\N	\N	\N	\N	\N	\N	f	
6561	8d374932-0c8a-41fe-bf06-7ea211688616	Pariz	Pariz	3	0	2013-05-25 03:33:18.225892+02	\N	\N	\N	\N	\N	\N	f	
6590	30cb160b-fda3-4eac-8c5d-6b3a8b2003b7	Khak-e Ali	Khak-e Ali	3	0	2013-05-25 03:38:24.248088+02	\N	\N	\N	\N	\N	\N	f	
9435	647896b8-cf4d-46af-adae-27a1cbca53f0	Anand	Anand	3	0	2013-06-09 17:35:22.48673+02	\N	\N	\N	\N	\N	\N	f	
6677	b4c83fe3-a281-496d-975f-73cc4a68cc51	Sohrevard	Sohrevard	3	0	2013-05-25 03:55:11.287165+02	\N	\N	\N	\N	\N	\N	f	
7142	0fa4e29f-3f75-4054-b9f1-d4557ee245b5	Cleveland	Cleveland	3	0	2013-05-26 17:03:43.926993+02	\N	\N	\N	\N	\N	\N	f	
6679	750974d4-def4-4cbf-85cf-b239b7f42739	Nosratabad	Nosratabad	3	0	2013-05-25 03:55:31.688551+02	\N	\N	\N	\N	\N	\N	f	
6713	05f0af25-da94-49f1-818b-afcf6fe93fd7	Kerend-e Gharb	Kerend-e Gharb	3	0	2013-05-25 04:01:26.295211+02	\N	\N	\N	\N	\N	\N	f	
8326	0d0b0c92-420d-428c-8be6-ad282101aa7e	Houston, British Columbia	Houston, British Columbia	3	0	2013-05-30 21:45:38.12388+02	\N	\N	\N	\N	\N	\N	f	
6744	7d6b78f2-4319-42f1-972f-09be5bd56c49	Gotvand	Gotvand	3	0	2013-05-25 04:07:55.936996+02	\N	\N	\N	\N	\N	\N	f	
6813	0c22f04c-abb7-4d00-8812-cefb2a572eb1	Seh Qaleh	Seh Qaleh	3	0	2013-05-25 04:20:53.320937+02	\N	\N	\N	\N	\N	\N	f	
7198	2bb398a6-4047-4a3f-9b90-8a8cd6907e6c	Skwierzyna	Skwierzyna	3	0	2013-05-26 17:17:00.576056+02	\N	\N	\N	\N	\N	\N	f	
6876	f0b5c652-1dcc-4519-9d94-653a9b86d05d	Halashi	Halashi	3	0	2013-05-25 04:32:01.557004+02	\N	\N	\N	\N	\N	\N	f	
6887	2f23f32f-b165-4c79-9f13-71efdd716dc2	Kuhin	Kuhin	3	0	2013-05-25 04:34:08.122144+02	\N	\N	\N	\N	\N	\N	f	
7016	cc90c114-d516-46ff-a583-bda2677b1f35	Słupca	Słupca	3	0	2013-05-25 14:28:05.097961+02	\N	\N	\N	\N	\N	\N	f	
7572	51988a5c-f0bf-4936-b069-9c4109b34ff9	Groß-Bieberau	Groß-Bieberau	3	0	2013-05-29 00:48:56.527511+02	\N	\N	\N	\N	\N	\N	f	
6395	a544133e-7d8f-49fc-9767-a83e361c09c8	Tonawanda	Tonawanda	3	0	2013-05-26 14:06:56.385638+02	\N	\N	\N	\N	\N	\N	f	
8379	3edc443d-3f8e-4ad2-80f9-f7b79f5e9664	Yeniseysk	Yeniseysk	3	0	2013-05-30 21:57:53.050085+02	\N	\N	\N	\N	\N	\N	f	
7848	ae918dff-19af-499f-bc05-125e5e939f82	Hermosa Beach	Hermosa Beach	3	0	2013-05-29 02:47:35.443543+02	\N	\N	\N	\N	\N	\N	f	
7852	03af0776-a036-43b2-a267-926a06aa5eb7	Johnson City	Johnson City	3	0	2013-05-29 02:48:47.007371+02	\N	\N	\N	\N	\N	\N	f	
9222	670cc427-d4ff-4c0d-b04b-6036b5855469	Paczków	Paczków	3	0	2013-06-01 22:54:35.93334+02	\N	\N	\N	\N	\N	\N	f	
8061	1079d0f7-7064-4824-af58-2da52afa83e3	San Venanzo	San Venanzo	3	0	2013-05-30 18:37:30.489723+02	\N	\N	\N	\N	\N	\N	f	
8559	369d731d-724f-49d2-bb7d-12e4af8a2dec	Chambéry	Chambéry	3	0	2013-06-01 17:40:48.095785+02	\N	\N	\N	\N	\N	\N	f	
8188	d4996e0e-afd8-422e-ac53-453faaf310b7	Anarestan (Jam)	Anarestan (Jam)	3	0	2013-05-30 21:13:20.419105+02	\N	\N	\N	\N	\N	\N	f	
8703	bc15bfe4-92be-4ae0-8447-889cf33c94f6	Polo	Polo	3	0	2013-06-01 18:22:06.903431+02	\N	\N	\N	\N	\N	\N	f	
8191	d747f701-911e-43bd-96bc-ceccd0dcbe50	Tavistock, Devon	Tavistock, Devon	3	0	2013-05-30 21:13:54.288864+02	\N	\N	\N	\N	\N	\N	f	
2891	8193d2e8-7cf8-4dbe-9e76-c343061a6d78	Batken	Batken	2	0	2013-06-05 07:46:38.466342+02	\N	\N	\N	\N	\N	\N	f	
8827	57dc83fc-eeea-4133-855c-61f20ad6576e	Saguenay	Saguenay	3	0	2013-06-01 19:36:09.586203+02	\N	\N	\N	\N	\N	\N	f	
9303	85722b94-3ac1-4e5d-af98-e79ec75f2c19	Sainte-Eulalie	Sainte-Eulalie	3	0	2013-06-02 16:55:07.583258+02	\N	\N	\N	\N	\N	\N	f	
8955	dd25e60b-d29e-4101-a4c3-101376b5d2ac	Shangrao	Shangrao	3	0	2013-06-01 20:09:20.522782+02	\N	\N	\N	\N	\N	\N	f	
9068	4299d1c4-a3c7-446b-9a17-a9570b3e4cf3	Shijiazhuang	Shijiazhuang	3	0	2013-06-01 20:33:28.677717+02	\N	\N	\N	\N	\N	\N	f	
577	2fb71043-667e-4aae-b6f8-7e494ac4d33d	Batman	Batman	2	0	2013-06-05 07:12:37.954699+02	\N	\N	\N	\N	\N	\N	f	
9369	596f6d12-6728-4c7b-8239-80f221381d94	Otepää	Otepää	3	0	2013-06-04 22:15:02.562438+02	\N	\N	\N	\N	\N	\N	f	
9780	0f511bb3-bd7b-4e78-a22f-318c83f34da5	Tatebayashi	Tatebayashi	3	0	2013-06-18 01:17:59.418605+02	\N	\N	\N	\N	\N	\N	f	
9550	147819b3-053e-4a21-8005-7076b7d5d297	Roermond	Roermond	3	0	2013-06-09 18:29:28.341098+02	\N	\N	\N	\N	\N	\N	f	
3376	43bee70b-c35a-4ef1-8492-4f611558772f	Conakry	Conakry	2	0	2013-06-05 10:41:32.421487+02	\N	\N	\N	\N	\N	\N	f	
9615	86d45bae-574b-4fbc-99bf-bc5e108d29e9	Loviisa	Loviisa	3	0	2013-06-12 07:47:50.607207+02	\N	\N	\N	\N	\N	\N	f	
9590	12c8f3b2-db51-4ac8-b400-51d82391acfb	Somero	Somero	3	0	2013-06-11 05:10:28.609205+02	\N	\N	\N	\N	\N	\N	f	
4590	95748c87-0f18-4996-bf6c-cda115838650	Carlow	Carlow	2	0	2013-06-05 11:30:19.91028+02	\N	\N	\N	\N	\N	\N	f	
9607	638a021d-f628-4266-8a91-7956f91f1e08	Espoo	Espoo	3	0	2013-06-12 07:40:31.229777+02	\N	\N	\N	\N	\N	\N	f	
9823	82bc1b77-da25-4ce3-982e-34c46af1e5b2	Tenri	Tenri	3	0	2013-06-18 03:45:57.652174+02	\N	\N	\N	\N	\N	\N	f	
9957	eeca6cf7-574c-43fa-8020-ce344ac36243	Haebaru	Haebaru	3	0	2013-06-18 07:31:33.379477+02	\N	\N	\N	\N	\N	\N	f	
10040	6e208516-228d-4d71-b23f-5d2e056ac8e0	Izumo	Izumo	3	0	2013-06-18 08:09:58.371092+02	\N	\N	\N	\N	\N	\N	f	
10080	c7db7c5c-6cc4-468e-bb7b-8206c0815e20	Bungotakada	Bungotakada	3	0	2013-06-18 08:17:27.181885+02	\N	\N	\N	\N	\N	\N	f	
10116	90049454-2868-42b2-94a7-872d5de9b67f	Asagiri	Asagiri	3	0	2013-06-18 14:34:07.291079+02	\N	\N	\N	\N	\N	\N	f	
10206	9f34ba91-5461-46d1-a9f0-8ead4b0ae1ba	Ureshino	Ureshino	3	0	2013-06-18 15:10:00.897261+02	\N	\N	\N	\N	\N	\N	f	
10301	d7996f7e-b43c-49c9-9568-133a7f98f640	Yamanouchi	Yamanouchi	3	0	2013-06-18 17:29:59.855767+02	\N	\N	\N	\N	\N	\N	f	
10259	4432ab4e-4560-446d-8651-51c842cedf29	Seika	Seika	3	0	2013-06-18 17:22:27.915318+02	\N	\N	\N	\N	\N	\N	f	
15478	1f2bd814-e8f7-4525-8622-cdbc652fdf2e	Gozzano, Italy	Gozzano, Italy	4	0	2013-07-22 00:54:36.533738+02	\N	\N	\N	\N	\N	\N	f	
3600	5d0a5441-d12b-4e09-b4ab-19024da5b76e	Mont Buxton	Mont Buxton	2	0	2013-05-21 14:09:38.638488+02	\N	\N	\N	\N	\N	\N	f	
3601	dd09ea34-c96b-47ef-9146-4ded14f7cdee	Mont Fleuri	Mont Fleuri	2	0	2013-05-21 14:09:49.149922+02	\N	\N	\N	\N	\N	\N	f	
3610	a4dcf7b0-5c49-4144-9ba6-2ad70d9d4150	Sharq Dārfūr	Sharq Dārfūr	2	0	2013-05-21 14:11:24.836644+02	\N	\N	\N	\N	\N	\N	f	
4582	38089a32-e2df-4227-a41f-b9b3da4aa4fe	Sulawesi Barat	Sulawesi Barat	2	0	2013-05-22 14:14:30.041164+02	\N	\N	\N	\N	\N	\N	f	
3616	7c0b36b1-ffd0-43b4-b3ec-063a2fd520d5	Kassalā	Kassalā	2	0	2013-05-21 14:12:27.880229+02	\N	\N	\N	\N	\N	\N	f	
2420	a8c4b5ca-8e7a-41f3-893f-df91c5d51732	Respublika Kareliya	Kareliya, Respublika	2	0	2013-05-24 00:56:15.008611+02	\N	\N	\N	\N	\N	\N	f	
4712	f8ecc96e-e382-4947-ae9f-5b611ea899aa	Treviso	Treviso	2	0	2013-05-22 14:51:31.000345+02	\N	\N	\N	\N	\N	\N	f	
1576	9b7262f9-7139-4d60-a63a-16d178a17662	Port of Spain	Port of Spain	3	0	2013-05-24 01:00:59.845233+02	\N	\N	\N	\N	\N	\N	f	
4841	beaa0737-0e69-4633-a4fc-c6ade37d8e6c	Nkhata Bay	Nkhata Bay	2	0	2013-05-22 15:28:46.299101+02	\N	\N	\N	\N	\N	\N	f	
4979	0bf4dfa3-303a-428f-9690-cf001da7d8fb	Mpigi	Mpigi	2	0	2013-05-22 16:02:10.312979+02	\N	\N	\N	\N	\N	\N	f	
4981	4da5e1fa-1b28-405a-89c6-e8eb8c0fa82a	Mukono	Mukono	2	0	2013-05-22 16:02:32.068643+02	\N	\N	\N	\N	\N	\N	f	
5087	1ae40c90-ebc0-4e5e-a569-42ac825fecf5	Alkmaar	Alkmaar	3	0	2013-05-24 22:25:08.698324+02	\N	\N	\N	\N	\N	\N	f	
5113	71730bfd-9d1e-4b8a-a0d6-007150cdacea	Duisburg	Duisburg	3	0	2013-05-24 22:29:57.898298+02	\N	\N	\N	\N	\N	\N	f	
5717	9a062822-4ccd-4260-b264-5d4b426db0d7	Nir, Yazd	Nir, Yazd	3	0	2013-05-25 00:36:47.860432+02	\N	\N	\N	\N	\N	\N	f	
5201	85c7cd5f-6fe2-4195-a44d-69fa390bd6ec	Newark	Newark	3	0	2013-05-24 22:47:54.123006+02	\N	\N	\N	\N	\N	\N	f	
5258	291777c2-c48d-4002-9a0d-c7f87fea5c2b	Johannesburg	Johannesburg	3	0	2013-05-24 22:58:32.710924+02	\N	\N	\N	\N	\N	\N	f	
9223	527b6aaa-d37f-467f-9c1b-ec37693e1f9a	Mieszkowice	Mieszkowice	3	0	2013-06-01 22:54:49.148635+02	\N	\N	\N	\N	\N	\N	f	
5401	8440d5f3-6ff6-47cb-894e-9f9345c2dd74	Gorzów Wielkopolski	Gorzów Wielkopolski	3	0	2013-05-24 23:27:08.801882+02	\N	\N	\N	\N	\N	\N	f	
5872	7b7d92f4-67cc-4150-b9aa-52454ddd042f	Khoy	Khoy	3	0	2013-05-25 01:09:23.110662+02	\N	\N	\N	\N	\N	\N	f	
5410	3b376f29-19b6-4653-a7ee-1bda3f340097	Salem	Salem	3	0	2013-05-24 23:28:52.454503+02	\N	\N	\N	\N	\N	\N	f	
13760	cefc232d-a762-400a-9792-2cc0f4667c3c	Vaie	Vaie	4	0	2013-07-21 19:06:30.482562+02	\N	\N	\N	\N	\N	\N	f	
5562	60bc8e82-1bdf-4cb8-a3c4-0f764871518d	Saga	Saga	3	0	2013-05-25 00:03:09.473371+02	\N	\N	\N	\N	\N	\N	f	
7072	903111d9-9dc2-4129-b08a-3cf52bc72757	Bay City	Bay City	3	0	2013-05-26 16:45:38.878654+02	\N	\N	\N	\N	\N	\N	f	
6090	d83d9fc6-ddc0-4192-b093-cad1f348dae3	Behshahr	Behshahr	3	0	2013-05-25 01:51:26.098213+02	\N	\N	\N	\N	\N	\N	f	
7017	37fb7fc2-e29a-45c3-a096-59231daeb6c0	Prusice	Prusice	3	0	2013-05-25 14:28:20.930186+02	\N	\N	\N	\N	\N	\N	f	
6108	f846dc80-61b2-4e3a-a78c-5d41a122819f	Pasco	Pasco	3	0	2013-05-25 01:54:48.60763+02	\N	\N	\N	\N	\N	\N	f	
6464	29b03d89-00dd-46c9-bb1b-5d8b5618145a	Mordy	Mordy	3	0	2013-05-25 03:10:53.887387+02	\N	\N	\N	\N	\N	\N	f	
6187	638d1ea1-d1fe-4fad-ba58-216d9cbfdbe3	Sahneh	Sahneh	3	0	2013-05-25 02:09:08.086355+02	\N	\N	\N	\N	\N	\N	f	
6329	ad85c56f-6fb0-4087-8c29-10079fe6e02c	Nelsonville	Nelsonville	3	0	2013-05-25 02:40:07.185937+02	\N	\N	\N	\N	\N	\N	f	
2219	b2608d40-076f-4a1d-9259-1e9095245835	Anenii Noi	Anenii Noi	2	0	2013-06-05 07:12:55.248542+02	\N	\N	\N	\N	\N	\N	f	
6396	50d7aec8-cc9e-4ab4-8dda-2724116a00ff	Rensselaer	Rensselaer	3	0	2013-05-26 14:22:17.061756+02	\N	\N	\N	\N	\N	\N	f	
6346	4610a724-539d-40f6-9d45-7264718d32c5	Port Washington	Port Washington	3	0	2013-05-25 02:44:35.946503+02	\N	\N	\N	\N	\N	\N	f	
8189	4f98e647-f4e4-4d61-9840-a9e052fe2da3	Lightning Ridge	Lightning Ridge	3	0	2013-05-30 21:13:28.310741+02	\N	\N	\N	\N	\N	\N	f	
6483	8a77571c-5ef1-4c70-b944-6d7ca2f9ccb8	Hamilton	Hamilton	3	0	2013-05-25 03:16:08.487862+02	\N	\N	\N	\N	\N	\N	f	
7199	5106ccca-e93b-4b85-9080-6cf40f73b065	Smyrna	Smyrna	3	0	2013-05-26 17:17:20.776748+02	\N	\N	\N	\N	\N	\N	f	
6549	df3653b6-29a7-4996-b15d-0fb417387e89	Koshksaray	Koshksaray	3	0	2013-05-25 03:31:12.233219+02	\N	\N	\N	\N	\N	\N	f	
6557	a5cf20cb-db40-4973-922d-9fe4b84648a9	Eslamiyeh	Eslamiyeh	3	0	2013-05-25 03:32:37.533749+02	\N	\N	\N	\N	\N	\N	f	
6580	e7be8dce-90e3-414a-99f3-36dcd6c1d187	Espakeh	Espakeh	3	0	2013-05-25 03:36:37.097444+02	\N	\N	\N	\N	\N	\N	f	
7573	c5cd7c42-b3b2-4236-bfd6-ea268634d80f	Püttlingen	Püttlingen	3	0	2013-05-29 00:49:07.042247+02	\N	\N	\N	\N	\N	\N	f	
6586	ef87feae-cc52-4d4f-bc8c-d7b26db54c97	Dezab	Dezab	3	0	2013-05-25 03:37:42.104624+02	\N	\N	\N	\N	\N	\N	f	
6653	aa62b82d-4533-48e5-b5d4-ea427cee8df5	Qaemiyeh	Qaemiyeh	3	0	2013-05-25 03:51:00.521069+02	\N	\N	\N	\N	\N	\N	f	
8828	30ccdbd9-bf43-4bc1-a485-65f4fbfe82c1	Montreal West	Montreal West	3	0	2013-06-01 19:36:20.699641+02	\N	\N	\N	\N	\N	\N	f	
6695	7e36c2f3-212c-4e9e-b205-6e8833dc75a6	Komijan	Komijan	3	0	2013-05-25 03:58:16.993696+02	\N	\N	\N	\N	\N	\N	f	
7590	d5287dd3-c420-44d3-ad7f-5c264a017717	Bebra	Bebra	3	0	2013-05-29 00:52:31.758764+02	\N	\N	\N	\N	\N	\N	f	
6814	bd09a6eb-ea9b-4033-b15a-213684c34f4c	Qahavand	Qahavand	3	0	2013-05-25 04:21:03.424714+02	\N	\N	\N	\N	\N	\N	f	
6843	aa12de0e-16d3-4b05-840a-e62026bbab67	Tekmeh Dash	Tekmeh Dash	3	0	2013-05-25 04:26:04.946308+02	\N	\N	\N	\N	\N	\N	f	
8205	5e3cb47d-ea26-46a6-a7c8-60a88fec6765	Bourke	Bourke	3	0	2013-05-30 21:16:58.830639+02	\N	\N	\N	\N	\N	\N	f	
6903	de1078a0-937b-4c04-a632-9329a313574a	Cleveland	Cleveland	3	0	2013-05-25 04:37:53.47976+02	\N	\N	\N	\N	\N	\N	f	
7593	3739b3e6-42fa-4bfb-8c66-fd9bd8e7579d	Biedenkopf	Biedenkopf	3	0	2013-05-29 00:53:03.212856+02	\N	\N	\N	\N	\N	\N	f	
7639	2c8f52e9-b94d-46e8-b1b4-e319a7f8ed43	Breuberg	Breuberg	3	0	2013-05-29 01:01:49.341692+02	\N	\N	\N	\N	\N	\N	f	
7851	4c1f8e72-24eb-4f0e-847e-6f6333656f63	Livonia	Livonia	3	0	2013-05-29 02:48:23.917555+02	\N	\N	\N	\N	\N	\N	f	
8226	4312e06c-cfdc-4c7d-92bd-1adc341bb940	Holland-on-Sea	Holland-on-Sea	3	0	2013-05-30 21:22:09.900059+02	\N	\N	\N	\N	\N	\N	f	
8064	cd3d43e5-e629-4a04-a1db-f8c5870b34d4	Yeşilyurt	Yeşilyurt	3	0	2013-05-30 18:38:09.200262+02	\N	\N	\N	\N	\N	\N	f	
8080	327435fa-46a6-46fc-868e-383000949608	Brentwood	Brentwood	3	0	2013-05-30 18:41:48.142469+02	\N	\N	\N	\N	\N	\N	f	
8084	bf92fe1d-6299-4a66-adae-227ae6e50276	Budakeszi	Budakeszi	3	0	2013-05-30 18:42:41.094182+02	\N	\N	\N	\N	\N	\N	f	
8381	b37fecbb-bd70-407d-be08-e39151c50424	Terni	Terni	3	0	2013-05-30 21:58:20.441965+02	\N	\N	\N	\N	\N	\N	f	
8870	c861fc79-c5b8-437b-9874-6e0fe386c287	Tyczyn	Tyczyn	3	0	2013-06-01 19:47:29.24696+02	\N	\N	\N	\N	\N	\N	f	
8566	5777e019-d2f1-4515-ac51-b94569dc3aca	Pionki	Pionki	3	0	2013-06-01 17:42:24.77441+02	\N	\N	\N	\N	\N	\N	f	
8704	13bcb9ba-c3e3-44f6-90a3-ffacde69f25c	Macksville	Macksville	3	0	2013-06-01 18:22:29.314865+02	\N	\N	\N	\N	\N	\N	f	
6345	32d327ea-1677-467a-b38e-ae33c5636683	Hastings	Hastings	3	0	2013-06-05 06:45:58.256916+02	\N	\N	\N	\N	\N	\N	f	
8956	378f3cfa-a563-438e-8049-088d918d492b	Weihai	Weihai	3	0	2013-06-01 20:09:30.657637+02	\N	\N	\N	\N	\N	\N	f	
9304	b1923455-26ac-4954-baca-42c5229cfa23	Saint-Valérien	Saint-Valérien	3	0	2013-06-02 16:55:22.404818+02	\N	\N	\N	\N	\N	\N	f	
9370	9149dd45-d780-4555-8b20-8a0eaa9f901e	Suure-Jaani	Suure-Jaani	3	0	2013-06-04 22:15:53.37975+02	\N	\N	\N	\N	\N	\N	f	
5904	06624788-910d-4400-938c-464f769f95ab	Rey	Rey	3	0	2013-06-05 06:45:31.79349+02	\N	\N	\N	\N	\N	\N	f	
1115	be86ade4-0166-44e7-82d1-7625a5d6156c	Artigas	Artigas	2	0	2013-06-05 10:48:51.196418+02	\N	\N	\N	\N	\N	\N	f	
2481	2b9e5ac3-1583-44d9-9864-94919a58df51	Abkhazia	Abkhazia	2	0	2013-06-05 07:55:45.611032+02	\N	\N	\N	\N	\N	\N	f	
9436	20e9fa7d-8f93-4120-aa4c-e27852577bfb	Rajpipla	Rajpipla	3	0	2013-06-09 17:35:38.5193+02	\N	\N	\N	\N	\N	\N	f	
9504	57161333-e339-44f9-b3e4-4dc4e6323a3d	Bavla	Bavla	3	0	2013-06-09 17:59:43.591441+02	\N	\N	\N	\N	\N	\N	f	
9524	15dba98d-9586-431d-ac30-023b4a331353	Bardoli	Bardoli	3	0	2013-06-09 18:06:45.039551+02	\N	\N	\N	\N	\N	\N	f	
9551	9e827916-41d5-4651-a429-8a7c92529f2a	Urbandale	Urbandale	3	0	2013-06-09 18:30:22.070952+02	\N	\N	\N	\N	\N	\N	f	
9608	abe84d40-e0ed-4a90-af7d-2c284d38740a	Vogtsburg	Vogtsburg	3	0	2013-06-12 07:41:57.452659+02	\N	\N	\N	\N	\N	\N	f	
9781	c17d4c48-5e3e-4968-b06c-3e3a6a4e5a02	Tomioka	Tomioka	3	0	2013-06-18 01:18:24.975775+02	\N	\N	\N	\N	\N	\N	f	
9826	87a8b4eb-6426-4a29-9574-3defb03e371b	Okegawa	Okegawa	3	0	2013-06-18 03:47:31.399403+02	\N	\N	\N	\N	\N	\N	f	
9961	a6123e8c-6a07-4674-b3c9-943710f0e869	Mifune	Mifune	3	0	2013-06-18 07:32:23.606234+02	\N	\N	\N	\N	\N	\N	f	
3603	d685525a-b1ac-48fa-9860-e94edffd76e3	Pointe Larue	Pointe Larue	2	0	2013-05-21 14:10:10.419113+02	\N	\N	\N	\N	\N	\N	f	
3604	475a66af-1fe9-45ea-9a5c-f875e5f4d4f5	Port Glaud	Port Glaud	2	0	2013-05-21 14:10:20.920948+02	\N	\N	\N	\N	\N	\N	f	
1580	4dd9f525-e6f1-44f3-84c1-de351b89a118	San Fernando	San Fernando	3	0	2013-05-24 01:00:58.555865+02	\N	\N	\N	\N	\N	\N	f	
3605	5ddb1afd-656b-43d8-bf82-7b66c91bf265	Saint Louis	Saint Louis	2	0	2013-05-21 14:10:32.041017+02	\N	\N	\N	\N	\N	\N	f	
4583	cfe45f7d-167b-42c4-8171-70486fa5a751	Sumatera Selatan	Sumatera Selatan	2	0	2013-05-22 14:14:44.074588+02	\N	\N	\N	\N	\N	\N	f	
3635	d312a5f8-81b7-491a-b71c-bd6d8366c31b	Fatick	Fatick	2	0	2013-05-21 14:15:53.246494+02	\N	\N	\N	\N	\N	\N	f	
4713	10699890-eca7-4c33-a089-24c79dc0e029	Udine	Udine	2	0	2013-05-22 14:51:53.87399+02	\N	\N	\N	\N	\N	\N	f	
5718	250121d8-0511-49ee-a51b-83c311c81a2f	Saheb	Saheb	3	0	2013-05-25 00:36:58.333214+02	\N	\N	\N	\N	\N	\N	f	
4842	46b08523-c483-4afe-8ff8-fde3e0908215	Neno	Neno	2	0	2013-05-22 15:29:09.44918+02	\N	\N	\N	\N	\N	\N	f	
5088	08a08584-b3a5-473a-b52e-00f5fd9b0649	Jerusalem	Jerusalem	3	0	2013-05-24 22:25:18.873416+02	\N	\N	\N	\N	\N	\N	f	
4980	f4f06fd5-1aaf-4431-889a-1c07dbcabc94	Mubende	Mubende	2	0	2013-05-22 16:02:21.384493+02	\N	\N	\N	\N	\N	\N	f	
4996	5f5cb627-daf2-4aef-8b23-2e774e1b3e07	Katakwi	Katakwi	2	0	2013-05-22 16:05:18.165375+02	\N	\N	\N	\N	\N	\N	f	
5004	8b60f359-e8d3-4e75-a352-e06adaa331be	Sironko	Sironko	2	0	2013-05-22 16:06:45.454395+02	\N	\N	\N	\N	\N	\N	f	
5259	76316d26-d200-4ddc-ab24-fd06b142e788	Obama	Obama	3	0	2013-05-24 22:58:54.672354+02	\N	\N	\N	\N	\N	\N	f	
5356	4f5df03a-77e2-41ec-8448-fd8e1ec2b27b	Komeh	Komeh	3	0	2013-05-24 23:19:02.830638+02	\N	\N	\N	\N	\N	\N	f	
5784	4efe440c-6988-4452-b519-4ae665ea0156	Nowdezh	Nowdezh	3	0	2013-05-25 00:50:36.13395+02	\N	\N	\N	\N	\N	\N	f	
5402	6e294a4e-1c7c-415a-a3ba-bbae25bbed5a	Chrzanów	Chrzanów	3	0	2013-05-24 23:27:21.389486+02	\N	\N	\N	\N	\N	\N	f	
5563	8802de90-150b-48f6-8f83-64a9601ad014	Dunfermline	Dunfermline	3	0	2013-05-25 00:03:19.643653+02	\N	\N	\N	\N	\N	\N	f	
8287	04fbbd87-241c-424f-bb3a-b2b55c3047ba	Talbot	Talbot	3	0	2013-05-30 21:36:58.858991+02	\N	\N	\N	\N	\N	\N	f	
5565	2ecfcb98-5286-4656-a1ff-36d7ce9422de	Police	Police	3	0	2013-05-25 00:03:41.203853+02	\N	\N	\N	\N	\N	\N	f	
5874	6478675c-4593-4bbf-9f64-23534cb68fd0	Dezful	Dezful	3	0	2013-05-25 01:09:43.485194+02	\N	\N	\N	\N	\N	\N	f	
5579	34f56b0c-22bd-4ff5-8050-97a88a1ba3b7	Yamaguchi	Yamaguchi	3	0	2013-05-25 00:06:37.242503+02	\N	\N	\N	\N	\N	\N	f	
5626	6fbda472-e088-463e-a352-1e88d5d1b53b	Ichinomiya	Ichinomiya	3	0	2013-05-25 00:17:44.217276+02	\N	\N	\N	\N	\N	\N	f	
7073	7ebff7f8-f1e2-4fa3-9cea-229d07b98067	Krajenka	Krajenka	3	0	2013-05-26 16:45:53.525391+02	\N	\N	\N	\N	\N	\N	f	
5893	872e6c4a-1cd3-4dbb-981b-11b4ae69679e	Nederland	Nederland	3	0	2013-05-25 01:13:15.132966+02	\N	\N	\N	\N	\N	\N	f	
5900	826d0ba8-7b84-487a-a2b9-8fec05ac6d03	Człuchów	Człuchów	3	0	2013-05-25 01:14:40.071511+02	\N	\N	\N	\N	\N	\N	f	
5976	c3799c50-5cce-4df5-9fe9-e1ffb309f9cd	Daland	Daland	3	0	2013-05-25 01:29:31.750033+02	\N	\N	\N	\N	\N	\N	f	
6550	87131f65-ca55-4658-9ecb-c37bb51807a8	Yamchi	Yamchi	3	0	2013-05-25 03:31:22.425842+02	\N	\N	\N	\N	\N	\N	f	
6022	1dd0bb01-4ccb-41b7-8dc5-87365f27b463	Oshnavieh	Oshnavieh	3	0	2013-05-25 01:37:34.508816+02	\N	\N	\N	\N	\N	\N	f	
6059	56b505d3-8ee5-4263-b3fe-2cec14d6c8d4	Qorveh	Qorveh	3	0	2013-05-25 01:44:31.516694+02	\N	\N	\N	\N	\N	\N	f	
6062	ab071460-dc15-42a1-bc29-69470983ffbd	Sarakhs	Sarakhs	3	0	2013-05-25 01:45:01.911876+02	\N	\N	\N	\N	\N	\N	f	
6554	1ca43133-c393-4552-9054-db5e2a70e0a2	Sardrud	Sardrud	3	0	2013-05-25 03:32:03.417548+02	\N	\N	\N	\N	\N	\N	f	
6091	e3f31e5b-9916-4b21-b779-f87b0649ff96	Bochnia	Bochnia	3	0	2013-05-25 01:51:36.944403+02	\N	\N	\N	\N	\N	\N	f	
6223	3a1fee6d-7299-41d8-8256-99a7c2095562	Elmira	Elmira	3	0	2013-05-25 02:15:45.842412+02	\N	\N	\N	\N	\N	\N	f	
7091	6a2a8da4-6501-4a4e-896f-ab59551120f8	Tarnogród	Tarnogród	3	0	2013-05-26 16:50:12.181569+02	\N	\N	\N	\N	\N	\N	f	
6235	1e4dcd9f-2268-4a6b-8a86-08a4d8c2c2be	Gołdap	Gołdap	3	0	2013-05-25 02:18:37.684363+02	\N	\N	\N	\N	\N	\N	f	
6818	b69fa507-24a3-41a8-81b9-c5a28e873692	Izadshahr	Izadshahr	3	0	2013-05-25 04:21:44.435203+02	\N	\N	\N	\N	\N	\N	f	
6242	66bb67a3-b2ff-4759-b3f9-abe56c50145e	Glasgow	Glasgow	3	0	2013-05-25 02:20:40.469406+02	\N	\N	\N	\N	\N	\N	f	
6278	20d481d7-1841-480a-8ffe-27e52c495d7f	North Miami	North Miami	3	0	2013-05-25 02:28:22.149536+02	\N	\N	\N	\N	\N	\N	f	
6330	8e7da8cb-96fa-4cc1-b8d8-fe30d209a299	Holland	Holland	3	0	2013-05-25 02:40:32.264719+02	\N	\N	\N	\N	\N	\N	f	
7167	17f4d497-3584-425a-a465-fbf2c2c264cc	Sianów	Sianów	3	0	2013-05-26 17:09:23.991954+02	\N	\N	\N	\N	\N	\N	f	
8336	3209aaa7-ae16-4aab-a998-2d475ae71e61	Stanford-le-Hope	Stanford-le-Hope	3	0	2013-05-30 21:47:49.694795+02	\N	\N	\N	\N	\N	\N	f	
7182	bd15e3fc-3b82-4c59-9cf5-01f80ef1b3e3	Rzepin	Rzepin	3	0	2013-05-26 17:12:56.181425+02	\N	\N	\N	\N	\N	\N	f	
6397	43926ca1-56ab-43fa-bc86-fd3b600dfae5	Little Falls	Little Falls	3	0	2013-05-26 14:07:26.226104+02	\N	\N	\N	\N	\N	\N	f	
7200	a9a73855-0a11-4077-b52b-16589f4e3bb3	Rydzyna	Rydzyna	3	0	2013-05-26 17:17:33.238787+02	\N	\N	\N	\N	\N	\N	f	
7574	bd9e7ada-734e-47b9-a125-8a6f53d57af8	Wolfhagen	Wolfhagen	3	0	2013-05-29 00:49:19.731247+02	\N	\N	\N	\N	\N	\N	f	
8337	3a331a24-6533-47c2-aa10-c47e662f2d09	Montecchio	Montecchio	3	0	2013-05-30 21:48:03.238995+02	\N	\N	\N	\N	\N	\N	f	
7853	c53d73e8-6457-439c-a2de-e6979691e6b5	Brazoria	Brazoria	3	0	2013-05-29 02:49:12.460292+02	\N	\N	\N	\N	\N	\N	f	
8068	6395d36f-eca5-4e91-89a3-962b701aa35e	Calvi dell'Umbria	Calvi dell'Umbria	3	0	2013-05-30 18:38:59.121804+02	\N	\N	\N	\N	\N	\N	f	
8829	0cb83660-e0dd-4bed-bc92-4b7810688ea1	Vaudreuil-Dorion	Vaudreuil-Dorion	3	0	2013-06-01 19:36:36.664147+02	\N	\N	\N	\N	\N	\N	f	
8190	be17d3fa-1efc-4941-89d6-df49aae1cf76	Avalon	Avalon	3	0	2013-05-30 21:13:44.242023+02	\N	\N	\N	\N	\N	\N	f	
8382	61fe2dc9-4782-4c5b-80ba-0cdd0ada3744	Clones	Clones	3	0	2013-05-30 21:58:42.378407+02	\N	\N	\N	\N	\N	\N	f	
8228	e14d498a-5ab8-4eb7-8cd2-997dcf72d500	Essex	Essex	3	0	2013-05-30 21:22:41.488091+02	\N	\N	\N	\N	\N	\N	f	
8567	3b14ff75-deb5-4bfa-8e27-c550177bb08f	Siechnice	Siechnice	3	0	2013-06-01 17:42:41.233962+02	\N	\N	\N	\N	\N	\N	f	
8957	47f6573d-82bb-4017-aac8-84f94ca96ab2	Rizhao	Rizhao	3	0	2013-06-01 20:09:46.748913+02	\N	\N	\N	\N	\N	\N	f	
8637	ad57974b-88ed-401b-aca8-d333d2a635fe	Wellington	Wellington	3	0	2013-06-01 18:01:42.744212+02	\N	\N	\N	\N	\N	\N	f	
9224	b3acb48b-03d7-4850-97eb-d56a74461584	Kisielice	Kisielice	3	0	2013-06-01 22:55:15.870406+02	\N	\N	\N	\N	\N	\N	f	
9071	13bf7a0b-78c5-4506-adce-f5089bbb2c11	Xingtai	Xingtai	3	0	2013-06-01 20:33:59.770709+02	\N	\N	\N	\N	\N	\N	f	
9372	5263e790-1c29-4949-a01b-297fd04f026a	Viljandi	Viljandi	3	0	2013-06-04 22:17:56.390893+02	\N	\N	\N	\N	\N	\N	f	
9072	61dc3c68-dabb-4381-ab82-05f9ac27e3b8	Zhoushan	Zhoushan	3	0	2013-06-01 20:34:09.817987+02	\N	\N	\N	\N	\N	\N	f	
9305	8d119d67-cb05-4136-a27e-eb82293f74c5	Saint-Édouard-de-Maskinongé	Saint-Édouard-de-Maskinongé	3	0	2013-06-02 16:55:37.845086+02	\N	\N	\N	\N	\N	\N	f	
4455	7120d6b5-d283-4918-b9ec-9d1ebd650623	Beyla	Beyla	2	0	2013-06-05 10:56:50.557497+02	\N	\N	\N	\N	\N	\N	f	
9383	a050e542-6dbe-4851-baa7-1fff5731c0c3	Savannah	Savannah	3	0	2013-06-04 22:27:27.388101+02	\N	\N	\N	\N	\N	\N	f	
3681	214ca865-c51c-4a9f-8e4e-4e17254721e7	Al Baṭḩah	Al Baṭḩah	2	0	2013-06-05 07:16:01.056259+02	\N	\N	\N	\N	\N	\N	f	
3115	8421c307-4015-4b64-985b-d0f7fcc4b058	Cuando-Cubango	Cuando-Cubango	2	0	2013-06-05 07:28:31.201382+02	\N	\N	\N	\N	\N	\N	f	
3617	fbb56cd8-2071-4b30-9380-fd957a5073eb	Al Kharţūm	Al Kharţūm	2	0	2013-06-05 12:20:25.867462+02	\N	\N	\N	\N	\N	\N	f	
9437	28ef5a35-2e9c-414f-9e70-a16cc9177b6a	Navsari	Navsari	3	0	2013-06-09 17:36:44.08633+02	\N	\N	\N	\N	\N	\N	f	
9612	413ee51b-95ef-4e1a-b34e-192ca30fb82d	Neubulach	Neubulach	3	0	2013-06-12 07:43:54.763444+02	\N	\N	\N	\N	\N	\N	f	
9827	9d182926-06ee-4c99-b0ce-19510c8d3296	Tsubame	Tsubame	3	0	2013-06-18 03:47:48.269348+02	\N	\N	\N	\N	\N	\N	f	
9842	1e0c3ec7-766b-4398-9926-02eee5b73c76	Ayabe	Ayabe	3	0	2013-06-18 03:52:45.154015+02	\N	\N	\N	\N	\N	\N	f	
9846	d1d54502-35e8-44b7-ba03-1f48fb5248cf	Toyooka	Toyooka	3	0	2013-06-18 03:53:35.503867+02	\N	\N	\N	\N	\N	\N	f	
9910	1531a535-26a8-4563-9c19-d7edc3573d03	Seki	Seki	3	0	2013-06-18 04:09:09.309013+02	\N	\N	\N	\N	\N	\N	f	
9964	6f077953-77d1-45fb-83a4-fda22e320992	Shintomi	Shintomi	3	0	2013-06-18 07:32:55.11881+02	\N	\N	\N	\N	\N	\N	f	
16186	46b5b5b4-5002-4cc4-a06b-ef1f5b36015e	Dorsino	Dorsino	4	0	2013-07-22 03:03:10.452558+02	\N	\N	\N	\N	\N	\N	f	
9982	39a9725b-42a9-4c37-91d1-945338663ca8	Takachiho	Takachiho	3	0	2013-06-18 07:36:57.147228+02	\N	\N	\N	\N	\N	\N	f	
10041	f2e25fb4-01dd-4d79-93df-bcfb2830a258	Kainan	Kainan	3	0	2013-06-18 08:10:17.108819+02	\N	\N	\N	\N	\N	\N	f	
3606	56172208-f758-4b37-a207-c17b4ff2e5ec	Takamaka	Takamaka	2	0	2013-05-21 14:10:42.615721+02	\N	\N	\N	\N	\N	\N	f	
3652	78c45239-2a3e-4a18-a1fd-f4666f4b1ec5	Galguduud	Galguduud	2	0	2013-05-21 14:18:58.218199+02	\N	\N	\N	\N	\N	\N	f	
4584	26a61fbc-fdd0-4c28-a3c8-3713a8af296c	Sulawesi Tengah	Sulawesi Tengah	2	0	2013-05-22 14:15:01.015665+02	\N	\N	\N	\N	\N	\N	f	
4716	9f4a3df5-84a9-4ecf-9fbf-4ca2c9af3a79	Vercelli	Vercelli	2	0	2013-05-22 14:52:42.434382+02	\N	\N	\N	\N	\N	\N	f	
1578	cf404fcc-be66-4dec-a5ae-d99c86d856ae	Point Fortin	Point Fortin	3	0	2013-05-24 01:01:00.542313+02	\N	\N	\N	\N	\N	\N	f	
4843	94a99412-fc82-4ac5-979f-f55b237307c5	Ntchisi	Ntchisi	2	0	2013-05-22 15:29:35.438242+02	\N	\N	\N	\N	\N	\N	f	
4922	be0017e6-ad9a-4684-adf1-6526ebc89999	Lanao del Sur	Lanao del Sur	2	0	2013-05-22 15:50:49.188019+02	\N	\N	\N	\N	\N	\N	f	
4982	9105b25d-99bf-4451-a7c2-5255c0724b28	Nakasongola	Nakasongola	2	0	2013-05-22 16:02:42.974141+02	\N	\N	\N	\N	\N	\N	f	
5260	66b5ccd3-44a5-4335-9b62-d8824ce66672	Tampere	Tampere	3	0	2013-05-24 22:59:05.637836+02	\N	\N	\N	\N	\N	\N	f	
5719	5c2d3cc4-ee87-47bc-ac8e-e4bf87e30d82	Łobżenica	Łobżenica	3	0	2013-05-25 00:37:09.843387+02	\N	\N	\N	\N	\N	\N	f	
5347	403bbac1-e8f0-40a6-83c2-75c7392f6674	Hamilton	Hamilton	3	0	2013-05-24 23:16:54.383962+02	\N	\N	\N	\N	\N	\N	f	
5403	2b9e1f62-17d6-4805-a769-f667169bd628	Sopot	Sopot	3	0	2013-05-24 23:27:31.747968+02	\N	\N	\N	\N	\N	\N	f	
9439	55d41f4f-b8cd-42c0-987c-f5a35144c542	Chikhli	Chikhli	3	0	2013-06-09 17:38:02.447484+02	\N	\N	\N	\N	\N	\N	f	
5409	4cb1a82f-0a36-4fae-a391-4beda251573d	Bielsko-Biała	Bielsko-Biała	3	0	2013-05-24 23:28:42.150639+02	\N	\N	\N	\N	\N	\N	f	
5720	6eb499ff-80f0-4010-b514-a4e5f8e2e551	Sieniawa	Sieniawa	3	0	2013-05-25 00:37:25.455138+02	\N	\N	\N	\N	\N	\N	f	
5564	8722e2f8-e531-4806-a645-71b3263ac85f	Schiedam	Schiedam	3	0	2013-05-25 00:03:29.808364+02	\N	\N	\N	\N	\N	\N	f	
7074	c8cf1540-8d6d-46dc-a637-d7ccee008a96	Sieradz	Sieradz	3	0	2013-05-26 16:46:07.899452+02	\N	\N	\N	\N	\N	\N	f	
5801	a0d9fa65-abc6-4f31-9569-eb1dd94bf55a	Merced	Merced	3	0	2013-05-25 00:53:37.814213+02	\N	\N	\N	\N	\N	\N	f	
5806	1ce6fcd5-54af-4010-ab22-5f39d0d6a0d7	Norton	Norton	3	0	2013-05-25 00:54:38.749436+02	\N	\N	\N	\N	\N	\N	f	
5875	997eaa1a-b133-4bb5-9e67-4c711ddd295f	Azna, Lorestan	Azna, Lorestan	3	0	2013-05-25 01:09:53.772548+02	\N	\N	\N	\N	\N	\N	f	
6551	a06b4257-a92d-4dac-a40f-edc8c7221935	Barf Anbar	Barf Anbar	3	0	2013-05-25 03:31:32.770737+02	\N	\N	\N	\N	\N	\N	f	
5880	b7229941-5282-4c67-8d3e-b9a06f1486eb	Leżajsk	Leżajsk	3	0	2013-05-25 01:10:51.738325+02	\N	\N	\N	\N	\N	\N	f	
5931	8e857b92-d6c4-475a-a8f0-ed9a5feb9a64	Tsuchiura	Tsuchiura	3	0	2013-05-25 01:20:57.732164+02	\N	\N	\N	\N	\N	\N	f	
8830	0ae67a2e-09c3-466e-b6cc-c1e6d01e5051	Victoriaville	Victoriaville	3	0	2013-06-01 19:36:47.541604+02	\N	\N	\N	\N	\N	\N	f	
7201	c3b4fb72-b421-4524-b4ee-cfd0df51911d	Clydebank	Clydebank	3	0	2013-05-26 17:17:43.987085+02	\N	\N	\N	\N	\N	\N	f	
6594	7c58d904-cde3-4260-adee-70d1c25f4242	Dastjerd	Dastjerd	3	0	2013-05-25 03:39:05.454626+02	\N	\N	\N	\N	\N	\N	f	
6004	6f6c0e6b-cd0d-4ea7-add1-245c81ef1d14	Meshgin Shahr	Meshgin Shahr	3	0	2013-05-25 01:34:26.073056+02	\N	\N	\N	\N	\N	\N	f	
6092	853678c5-3653-4fa1-a368-29642f9cf489	Ikeda	Ikeda	3	0	2013-05-25 01:51:48.365026+02	\N	\N	\N	\N	\N	\N	f	
6331	c2feae65-5c7f-4e39-93b9-bbf28e2f45b5	San José de las Lajas	San José de las Lajas	3	0	2013-05-25 02:40:45.055477+02	\N	\N	\N	\N	\N	\N	f	
7230	b5ef9c6e-19c3-43c8-9b46-178f3510d349	Wąsosz	Wąsosz	3	0	2013-05-26 17:24:13.907561+02	\N	\N	\N	\N	\N	\N	f	
7575	00e32b0d-e9f3-41ce-980c-2f812001cb88	Großalmerode	Großalmerode	3	0	2013-05-29 00:49:33.054757+02	\N	\N	\N	\N	\N	\N	f	
6624	51832fde-a8f7-4a1f-874b-3d0c8ada3aef	Shahediyeh	Shahediyeh	3	0	2013-05-25 03:45:17.725173+02	\N	\N	\N	\N	\N	\N	f	
6670	762359a8-285c-4e80-96e7-36ca1f785a09	Gahru	Gahru	3	0	2013-05-25 03:53:55.05957+02	\N	\N	\N	\N	\N	\N	f	
8917	0c1d68de-6e12-430f-b500-c8ec146202ae	Jingdezhen	Jingdezhen	3	0	2013-06-01 20:02:00.661141+02	\N	\N	\N	\N	\N	\N	f	
6710	6adb35f1-1f00-4172-bca1-c27cae0959ed	Nashtarud	Nashtarud	3	0	2013-05-25 04:00:54.238098+02	\N	\N	\N	\N	\N	\N	f	
7854	bcbde6b1-a716-40c3-bbdf-17c55b8930f1	Dunkirk, New York	Dunkirk, New York	3	0	2013-05-29 02:49:26.202643+02	\N	\N	\N	\N	\N	\N	f	
6820	bcd4fdab-1a96-435d-89b0-2eacdd5f90bb	Tutkabon	Tutkabon	3	0	2013-05-25 04:22:08.296049+02	\N	\N	\N	\N	\N	\N	f	
6851	dc6f29d6-5800-473f-a7b8-b63a2ca70e60	Anduhjerd	Anduhjerd	3	0	2013-05-25 04:27:31.581192+02	\N	\N	\N	\N	\N	\N	f	
5939	ae7980dc-7389-485d-950a-5d184f907516	Sherrill	Sherrill	3	0	2013-05-26 14:11:47.170594+02	\N	\N	\N	\N	\N	\N	f	
8069	e9b4c412-cfc9-4a4f-acef-8cf5b39cda97	San Gemini	San Gemini	3	0	2013-05-30 18:39:15.887748+02	\N	\N	\N	\N	\N	\N	f	
6342	07f2c848-acc6-4ab7-a51a-6fb1beaee087	Glen Cove	Glen Cove	3	0	2013-05-26 14:25:48.813585+02	\N	\N	\N	\N	\N	\N	f	
6398	18779bb3-8ac5-42fe-b90b-7ab3427eeb53	Cortland	Cortland	3	0	2013-05-26 14:30:56.854338+02	\N	\N	\N	\N	\N	\N	f	
8193	a87b2881-8d31-4fe0-b40e-30e8969b4750	Imamzade Abdollah (Amol)	Imamzade Abdollah (Amol)	3	0	2013-05-30 21:14:18.614888+02	\N	\N	\N	\N	\N	\N	f	
8958	d51b1dc8-9d88-4eda-aae6-a99a33d3bd90	Binzhou	Binzhou	3	0	2013-06-01 20:09:57.405672+02	\N	\N	\N	\N	\N	\N	f	
8244	c3e09e32-d601-4fca-81f1-07457e012543	Great Dunmow	Great Dunmow	3	0	2013-05-30 21:26:31.873353+02	\N	\N	\N	\N	\N	\N	f	
8385	cd1dab91-46cb-44dd-91f2-bfcd4f611b6a	Avoca	Avoca	3	0	2013-05-30 21:59:28.989343+02	\N	\N	\N	\N	\N	\N	f	
5012	625f8a54-981c-4a28-bcc8-b141a9d106d4	Bududa	Bududa	2	0	2013-06-05 08:12:37.296448+02	\N	\N	\N	\N	\N	\N	f	
8568	79c3a7ed-9a7f-43f7-9486-f980c81963c4	Kyogle	Kyogle	3	0	2013-06-01 17:43:03.536129+02	\N	\N	\N	\N	\N	\N	f	
9073	1da8f762-c8b0-44fb-8c05-dd248c7c9beb	Xi'an	Xi'an	3	0	2013-06-01 20:34:20.675268+02	\N	\N	\N	\N	\N	\N	f	
8706	e00063b1-1c0a-4cc8-90ae-60d4df9f1395	Howard	Howard	3	0	2013-06-01 18:23:03.292756+02	\N	\N	\N	\N	\N	\N	f	
9226	1a1386b2-4193-4e59-a422-21f08cc51de5	Mieroszów	Mieroszów	3	0	2013-06-01 22:56:08.276096+02	\N	\N	\N	\N	\N	\N	f	
894	d0b3ea24-3b8a-4457-8418-af8dfcf01654	Tainan	Tainan	3	0	2013-06-01 23:15:11.159728+02	\N	\N	\N	\N	\N	\N	f	
9452	9bbaeae5-1107-4824-9439-24c59b327b45	Karjan	Karjan	3	0	2013-06-09 17:43:17.367204+02	\N	\N	\N	\N	\N	\N	f	
9306	2787d2dd-6a02-41d0-a33d-3ebbb87071ef	Saint-Étienne-des-Grès	Saint-Étienne-des-Grès	3	0	2013-06-02 16:55:53.256748+02	\N	\N	\N	\N	\N	\N	f	
9373	e925ba6b-1b06-4e1f-ad2d-2823ef6c6202	Põlva	Põlva	3	0	2013-06-04 22:18:15.49647+02	\N	\N	\N	\N	\N	\N	f	
3521	b97afd9d-b55a-45d5-b68e-3fc34e27beaf	Caprivi	Caprivi	2	0	2013-06-05 07:56:09.688879+02	\N	\N	\N	\N	\N	\N	f	
1105	c2b3b0b5-06a6-4aed-abe4-018db4d95405	Brokopondo	Brokopondo	2	0	2013-06-05 07:16:20.683076+02	\N	\N	\N	\N	\N	\N	f	
9848	f03f6391-97c4-413b-847a-6833f230d8dc	Oyabe	Oyabe	3	0	2013-06-18 03:54:19.342596+02	\N	\N	\N	\N	\N	\N	f	
9616	9c0a79bf-4287-488b-a983-ff882ee8a097	Rottweil	Rottweil	3	0	2013-06-12 07:50:05.741861+02	\N	\N	\N	\N	\N	\N	f	
10042	4db52e4f-dd5b-4605-ac32-8bb68be76c41	Nakano	Nakano	3	0	2013-06-18 08:10:27.313446+02	\N	\N	\N	\N	\N	\N	f	
9829	da2427f0-1b44-4d2c-8925-0b46bc33fed5	Takayama	Takayama	3	0	2013-06-18 03:49:31.828444+02	\N	\N	\N	\N	\N	\N	f	
4638	64797416-6437-48a7-8d3d-050162fd169b	Cuneo	Cuneo	2	0	2013-06-05 10:58:01.683403+02	\N	\N	\N	\N	\N	\N	f	
9965	851c7839-f4f3-4ad4-994a-3a42a64f9e76	Takanabe	Takanabe	3	0	2013-06-18 07:33:05.287179+02	\N	\N	\N	\N	\N	\N	f	
10118	a4d775a5-c15a-4125-b144-f72622c9bc85	Mizukami	Mizukami	3	0	2013-06-18 14:34:28.737321+02	\N	\N	\N	\N	\N	\N	f	
10048	b77ef6ab-f54b-4d85-9856-bbecf94d2fec	Usuki	Usuki	3	0	2013-06-18 08:11:36.249541+02	\N	\N	\N	\N	\N	\N	f	
13761	42272fc8-8235-49c4-8541-a952bea4205b	Venaus	Venaus	4	0	2013-07-21 19:06:42.755625+02	\N	\N	\N	\N	\N	\N	f	
10140	7a93dfd7-009f-4783-9d90-9c217e2a8c76	Tachiarai	Tachiarai	3	0	2013-06-18 14:38:16.339558+02	\N	\N	\N	\N	\N	\N	f	
10215	48b183fd-83bf-4adb-9986-fd0b9b40d4d7	Yasugi	Yasugi	3	0	2013-06-18 15:15:50.302043+02	\N	\N	\N	\N	\N	\N	f	
10260	fc256236-5ee5-4b36-8d74-baaf5b7af02e	Hara	Hara	3	0	2013-06-18 17:22:38.126911+02	\N	\N	\N	\N	\N	\N	f	
10304	11bd37b1-e5e4-4a3d-adce-2e1cb1ca335b	Nose	Nose	3	0	2013-06-18 17:30:30.750937+02	\N	\N	\N	\N	\N	\N	f	
10323	23e8acee-4a69-487e-9b80-e31e4088542e	Tatsuno	Tatsuno	3	0	2013-06-18 17:34:24.852328+02	\N	\N	\N	\N	\N	\N	f	
10342	dcdfc7c4-8e37-4c43-a6da-806ec23f67ea	Kawakita	Kawakita	3	0	2013-06-18 17:37:45.336076+02	\N	\N	\N	\N	\N	\N	f	
15479	b3a67633-4056-48e6-b4a7-29e5fec0ac9e	Poggio Catino	Poggio Catino	4	0	2013-07-22 00:54:50.606576+02	\N	\N	\N	\N	\N	\N	f	
10351	abdb90a2-7689-496e-9ae9-c2488b6fe662	Matsubushi	Matsubushi	3	0	2013-06-18 17:40:08.857743+02	\N	\N	\N	\N	\N	\N	f	
3607	a3e1f93a-6908-4cf0-9f1a-c590d7997025	Les Mamelles	Les Mamelles	2	0	2013-05-21 14:10:53.147492+02	\N	\N	\N	\N	\N	\N	f	
3608	0b6fb16f-d89e-49f3-97ba-a5851dcf077d	Roche Caiman	Roche Caiman	2	0	2013-05-21 14:11:03.797534+02	\N	\N	\N	\N	\N	\N	f	
3625	559c0e93-842b-4c76-af6b-2f06ece38fb3	Sinnār	Sinnār	2	0	2013-05-21 14:14:07.200722+02	\N	\N	\N	\N	\N	\N	f	
4585	1359effa-f09a-4ad3-a82c-045a7dade4d1	Sumatera Utara	Sumatera Utara	2	0	2013-05-22 14:15:17.738514+02	\N	\N	\N	\N	\N	\N	f	
3640	367b5906-8414-4d22-b4ec-7e9e689e55cb	Louga	Louga	2	0	2013-05-21 14:16:47.033199+02	\N	\N	\N	\N	\N	\N	f	
3663	662270f2-0410-4b2c-8d5f-e596819d979b	Togdheer	Togdheer	2	0	2013-05-21 14:20:58.435501+02	\N	\N	\N	\N	\N	\N	f	
4601	0bbac64f-9e96-4c6d-8e37-f316dfb73870	Laois	Laois	2	0	2013-05-22 14:20:17.249972+02	\N	\N	\N	\N	\N	\N	f	
4717	d3ddb9b7-e3f6-4acc-9127-42e129e79301	Venezia	Venezia	2	0	2013-05-22 14:53:00.142032+02	\N	\N	\N	\N	\N	\N	f	
1874	fc7bbbe5-5fa7-4695-b32e-f919f0017843	Valle d'Aosta	Valle d'Aosta	2	0	2013-05-24 01:04:01.520484+02	\N	\N	\N	\N	\N	\N	f	
4844	3778ebf1-cad8-4b90-b695-2bf3f5927f3d	Nkhotakota	Nkhotakota	2	0	2013-05-22 15:29:49.946674+02	\N	\N	\N	\N	\N	\N	f	
5090	d65e525b-eac9-493c-bc78-0204c7285670	Kolkata	Kolkata	3	0	2013-05-24 22:25:39.463448+02	\N	\N	\N	\N	\N	\N	f	
4983	f74a94f6-55c1-4eb0-9e24-14216f2230e1	Rakai	Rakai	2	0	2013-05-22 16:02:53.810411+02	\N	\N	\N	\N	\N	\N	f	
4992	f5a72f9e-ec10-4472-bd16-b6373fceec5e	Iganga	Iganga	2	0	2013-05-22 16:04:34.801822+02	\N	\N	\N	\N	\N	\N	f	
4994	6cd5e041-1072-40fb-af63-f7cc4f9f12e7	Kamuli	Kamuli	2	0	2013-05-22 16:04:56.650157+02	\N	\N	\N	\N	\N	\N	f	
5261	7bc72649-a3de-4772-8792-e77cb52d2f95	Topeka	Topeka	3	0	2013-05-24 22:59:16.167052+02	\N	\N	\N	\N	\N	\N	f	
5003	d2a5ef1c-f651-495c-9860-2786bde49855	Mayuge	Mayuge	2	0	2013-05-22 16:06:34.389377+02	\N	\N	\N	\N	\N	\N	f	
5721	f0da753f-0cac-480f-9b83-f89f190a4266	Narjeh	Narjeh	3	0	2013-05-25 00:37:36.48305+02	\N	\N	\N	\N	\N	\N	f	
5388	ceeef01c-d698-4cd7-891b-13cef9ca745b	Bytom	Bytom	3	0	2013-05-24 23:24:52.710031+02	\N	\N	\N	\N	\N	\N	f	
5404	86e6163a-27d6-4ad8-9e55-919cc29bca23	Lubań	Lubań	3	0	2013-05-24 23:27:49.930074+02	\N	\N	\N	\N	\N	\N	f	
5570	fdeae765-7e08-4eae-b92c-c505d984a833	Binghamton	Binghamton	3	0	2013-05-25 00:04:49.553964+02	\N	\N	\N	\N	\N	\N	f	
5733	2f84397c-52fb-4583-a5a5-eb3c33a5a5c9	Śrem	Śrem	3	0	2013-05-25 00:39:57.406133+02	\N	\N	\N	\N	\N	\N	f	
6399	632e652f-57b1-4e93-bcac-9b75e150481e	Sequim	Sequim	3	0	2013-05-25 02:57:44.836371+02	\N	\N	\N	\N	\N	\N	f	
5744	9fc4a296-c709-41f3-8d59-41950581e6e9	Rzgów	Rzgów	3	0	2013-05-25 00:42:47.646881+02	\N	\N	\N	\N	\N	\N	f	
5876	b24e37a2-b6e0-43e6-bb81-9b7fc442c708	Hamilton	Hamilton	3	0	2013-05-25 01:10:05.849553+02	\N	\N	\N	\N	\N	\N	f	
6102	9d60249e-24eb-4c00-8527-9e0ba245caaf	Mount Vernon	Mount Vernon	3	0	2013-05-26 14:23:38.998791+02	\N	\N	\N	\N	\N	\N	f	
6093	5326f529-a203-4acd-8c90-214cc1307e0e	Culemborg	Culemborg	3	0	2013-05-25 01:51:58.498214+02	\N	\N	\N	\N	\N	\N	f	
6412	d6c99f27-a5d2-4f5f-af46-b6679f0d9e21	Lavandevil	Lavandevil	3	0	2013-05-25 03:00:34.985282+02	\N	\N	\N	\N	\N	\N	f	
7075	40a06714-3e81-4f03-bcf5-ed0f519e656d	Janikowo	Janikowo	3	0	2013-05-26 16:46:20.939056+02	\N	\N	\N	\N	\N	\N	f	
6333	0926ed34-ff44-40f7-9e9a-e3f7a6ff1a76	Stawiszyn	Stawiszyn	3	0	2013-05-25 02:41:10.879229+02	\N	\N	\N	\N	\N	\N	f	
8416	10f90978-17ff-4842-8e90-568e0db9124e	Obrenovac	Obrenovac	3	0	2013-06-01 14:42:57.149093+02	\N	\N	\N	\N	\N	\N	f	
7093	a01c5259-f04e-4621-9b00-bde2700bed68	Bartoszyce	Bartoszyce	3	0	2013-05-26 16:50:40.355485+02	\N	\N	\N	\N	\N	\N	f	
6373	847c26da-5f67-448f-ac5c-956285de4c61	Shiraoka	Shiraoka	3	0	2013-05-25 02:50:57.252558+02	\N	\N	\N	\N	\N	\N	f	
6553	7f852939-0639-4282-852c-2c32f92af61c	Khosrowshahr	Khosrowshahr	3	0	2013-05-25 03:31:53.165333+02	\N	\N	\N	\N	\N	\N	f	
7095	d87bc1f1-e275-4c73-83bd-e5cc3ce21aaf	Bartlesville	Bartlesville	3	0	2013-05-26 16:51:07.385035+02	\N	\N	\N	\N	\N	\N	f	
6565	a95d4bf4-9e4c-4a96-9f98-44dbe4abfe40	Abgarm	Abgarm	3	0	2013-05-25 03:34:02.223815+02	\N	\N	\N	\N	\N	\N	f	
6588	0c85a7ba-3a1a-4cb6-b555-71b538ad5969	Qadamgah	Qadamgah	3	0	2013-05-25 03:38:03.472762+02	\N	\N	\N	\N	\N	\N	f	
9227	58ca4643-a323-4e3a-aeaf-a31a9245f998	Olsztynek	Olsztynek	3	0	2013-06-01 22:56:31.00062+02	\N	\N	\N	\N	\N	\N	f	
6595	5ef0b024-c86e-4d5c-b6f1-6c24931b4718	Chatrud	Chatrud	3	0	2013-05-25 03:39:15.661594+02	\N	\N	\N	\N	\N	\N	f	
7202	84075236-dd96-4df4-bc40-1f25961b8479	Bychawa	Bychawa	3	0	2013-05-26 17:17:58.172298+02	\N	\N	\N	\N	\N	\N	f	
6599	22ef8fb2-d910-44fe-9088-da98c2d1cda0	Bakharz	Bakharz	3	0	2013-05-25 03:40:00.047218+02	\N	\N	\N	\N	\N	\N	f	
6630	4fb3698e-45c4-45d6-8656-92d5b4a0bc36	Nadushan	Nadushan	3	0	2013-05-25 03:46:36.685629+02	\N	\N	\N	\N	\N	\N	f	
8418	ed4cdff3-d231-463e-aced-61e7b72b4473	Pyskowice	Pyskowice	3	0	2013-06-01 17:09:23.269844+02	\N	\N	\N	\N	\N	\N	f	
6822	49dd8137-385f-4449-8b04-83bc7757d131	Saruq	Saruq	3	0	2013-05-25 04:22:29.457175+02	\N	\N	\N	\N	\N	\N	f	
7576	554873a6-dad0-43d4-8376-0d7f7f4c08c9	Langenselbold	Langenselbold	3	0	2013-05-29 00:49:43.671048+02	\N	\N	\N	\N	\N	\N	f	
6893	df778d38-f598-4b65-893f-be218a0f5c14	Benab Marand	Benab Marand	3	0	2013-05-25 04:35:54.779178+02	\N	\N	\N	\N	\N	\N	f	
6909	85f5334a-b299-44c9-b0cd-1dde0f692d9c	Ghatoor	Ghatoor	3	0	2013-05-25 04:39:08.918541+02	\N	\N	\N	\N	\N	\N	f	
6366	86c35e4b-d491-4414-90e3-d5faa367db16	Newburgh	Newburgh	3	0	2013-05-26 14:05:59.746589+02	\N	\N	\N	\N	\N	\N	f	
7856	50325d38-9a9b-4835-bc56-18546e09eebd	Oni	Oni	3	0	2013-05-29 02:50:10.649221+02	\N	\N	\N	\N	\N	\N	f	
8071	27b6fa83-619b-4c22-8a4b-d00210bb8134	Lugnano in Teverina	Lugnano in Teverina	3	0	2013-05-30 18:39:44.312628+02	\N	\N	\N	\N	\N	\N	f	
8569	0641d37b-9ddd-478b-b48d-741215e50fa7	Dobrodzień	Dobrodzień	3	0	2013-06-01 17:43:16.959581+02	\N	\N	\N	\N	\N	\N	f	
8091	21c1f6b1-e2ad-4f24-a740-52de383c4d77	Merimbula	Merimbula	3	0	2013-05-30 18:44:36.539325+02	\N	\N	\N	\N	\N	\N	f	
8196	a9bd84cb-697b-4500-b6d0-ec91ff28617b	Geldrop-Mierlo	Geldrop-Mierlo	3	0	2013-05-30 21:14:51.297259+02	\N	\N	\N	\N	\N	\N	f	
9450	36dbaeae-220d-41a2-9187-24610053a363	Padra	Padra	3	0	2013-06-09 17:42:53.244808+02	\N	\N	\N	\N	\N	\N	f	
8387	7f3da652-422b-4653-a19c-8d0a67a6302e	Saint-Adelphe	Saint-Adelphe	3	0	2013-05-30 23:09:40.653036+02	\N	\N	\N	\N	\N	\N	f	
8707	3a9364cd-ae15-43df-aa0f-4766be47e0f7	Mudgee	Mudgee	3	0	2013-06-01 18:23:21.083915+02	\N	\N	\N	\N	\N	\N	f	
9307	20cce20d-a8cd-4aa0-ad55-b925ff01246a	Sainte-Luce	Sainte-Luce	3	0	2013-06-02 16:56:07.209621+02	\N	\N	\N	\N	\N	\N	f	
8831	c7a2df5e-1dd2-4c6d-b01e-a76cca432412	Amqui	Amqui	3	0	2013-06-01 19:36:58.467035+02	\N	\N	\N	\N	\N	\N	f	
8959	7417efa7-d28d-4e74-92f9-df739cd23e9f	Laiwu	Laiwu	3	0	2013-06-01 20:10:08.890373+02	\N	\N	\N	\N	\N	\N	f	
9074	bd0a9205-ed50-4fc3-a6b9-92f43df8f6fb	Qinhuangdao	Qinhuangdao	3	0	2013-06-01 20:34:32.549691+02	\N	\N	\N	\N	\N	\N	f	
9374	060e538d-a434-4ed0-8201-453e693f279e	Paide	Paide	3	0	2013-06-04 22:18:29.223762+02	\N	\N	\N	\N	\N	\N	f	
9831	f1631504-de13-4315-adf8-e0e435d3276a	Kashiwazaki	Kashiwazaki	3	0	2013-06-18 03:50:05.62157+02	\N	\N	\N	\N	\N	\N	f	
9378	9b2dec2c-88cb-4755-bca6-0050d1daa05c	Tapa	Tapa	3	0	2013-06-04 22:23:30.778697+02	\N	\N	\N	\N	\N	\N	f	
1697	79b4095d-fb48-4b3b-98a7-f2c25af207b4	Aʻana	Aʻana	2	0	2013-06-05 11:00:59.534352+02	\N	\N	\N	\N	\N	\N	f	
1620	8ef08a09-9f88-4018-b17e-38a55f56c8ea	Boe	Boe	2	0	2013-06-05 07:18:05.600509+02	\N	\N	\N	\N	\N	\N	f	
9617	5fef814e-b6eb-4bfc-a011-26afc5410d98	Freeport	Freeport	3	0	2013-06-12 07:52:20.542878+02	\N	\N	\N	\N	\N	\N	f	
9440	b7f2b94e-84d2-47a1-9edc-6fd41760c0a2	Anjar	Anjar	3	0	2013-06-09 17:38:13.060881+02	\N	\N	\N	\N	\N	\N	f	
9966	0599d004-de0d-42dd-8f53-99ca89024b44	Gokase	Gokase	3	0	2013-06-18 07:33:15.470381+02	\N	\N	\N	\N	\N	\N	f	
9912	519f7b77-090f-4e37-8cf1-a5fda1168d0a	Gosen	Gosen	3	0	2013-06-18 04:09:30.677502+02	\N	\N	\N	\N	\N	\N	f	
9967	c6795114-b277-4d9c-9369-064cb908feb7	Kitadaitō	Kitadaitō	3	0	2013-06-18 07:33:26.908155+02	\N	\N	\N	\N	\N	\N	f	
10030	62adebf1-e162-4bb5-b1e6-e270b8208149	Susaki	Susaki	3	0	2013-06-18 08:06:05.985334+02	\N	\N	\N	\N	\N	\N	f	
10043	3936c2a9-9416-4414-98e6-0690feec533d	Tsukumi	Tsukumi	3	0	2013-06-18 08:10:37.793451+02	\N	\N	\N	\N	\N	\N	f	
10071	5e1ef11a-467c-47e8-8a00-e58bd7150f98	Hitoyoshi	Hitoyoshi	3	0	2013-06-18 08:15:54.540151+02	\N	\N	\N	\N	\N	\N	f	
10119	15a7cea5-149d-48c6-934a-ba9c500abe6f	Yunomae	Yunomae	3	0	2013-06-18 14:34:39.09796+02	\N	\N	\N	\N	\N	\N	f	
10195	93422fd5-1890-46cd-9ea9-3517c32f35b4	Boulder	Boulder	3	0	2013-06-18 14:53:21.941574+02	\N	\N	\N	\N	\N	\N	f	
10214	34ea21aa-cc41-43ff-a6a5-1534b8ac9da5	Ukiha	Ukiha	3	0	2013-06-18 15:15:33.514598+02	\N	\N	\N	\N	\N	\N	f	
10218	e925d8a5-c5f7-4ba4-8df4-1b4c980f7303	Iki	Iki	3	0	2013-06-18 15:16:35.935339+02	\N	\N	\N	\N	\N	\N	f	
10217	50eafd01-62c1-4b78-a578-a75b9065678e	Mima	Mima	3	0	2013-06-18 15:16:17.313311+02	\N	\N	\N	\N	\N	\N	f	
24566	7f7aa0ff-b9ae-405d-8435-9dfdec421a47	Pensacola	Pensacola	3	0	2013-09-07 07:41:05.154275+02	\N	\N	\N	\N	\N	\N	f	
3609	f57cc676-0bbf-44c9-b4d1-9f266ca4de2e	Zalingei	Zalingei	2	0	2013-05-21 14:11:14.347531+02	\N	\N	\N	\N	\N	\N	f	
3611	36372080-82a0-42cb-b442-0a4af646ba0c	Shamāl Dārfūr	Shamāl Dārfūr	2	0	2013-05-21 14:11:35.60687+02	\N	\N	\N	\N	\N	\N	f	
4586	f395ada2-8a2c-43c2-a95f-0a89ca2293ab	Yogyakarta	Yogyakarta	2	0	2013-05-22 14:15:37.654123+02	\N	\N	\N	\N	\N	\N	f	
3638	66b55aa1-bc73-4caa-9039-698907170738	Kédougou	Kédougou	2	0	2013-05-21 14:16:25.414759+02	\N	\N	\N	\N	\N	\N	f	
4718	79f5d780-4a62-4ba8-b984-d46f81c13874	Vicenza	Vicenza	2	0	2013-05-22 14:53:18.521911+02	\N	\N	\N	\N	\N	\N	f	
1399	142b6eff-d624-4a3f-87d1-ad881c3d48c5	Jelgava	Jelgava	3	0	2013-05-24 01:04:56.474932+02	\N	\N	\N	\N	\N	\N	f	
4846	39d83762-eb93-4323-87d3-aa27c94005f6	Ntcheu	Ntcheu	2	0	2013-05-22 15:30:34.924642+02	\N	\N	\N	\N	\N	\N	f	
4984	d0724e4b-a053-43a7-85ef-c84f52366191	Sembabule	Sembabule	2	0	2013-05-22 16:03:04.60282+02	\N	\N	\N	\N	\N	\N	f	
5091	9f3f583e-c3b7-43a9-9ce5-b21027e5357b	Perm	Perm	3	0	2013-05-24 22:25:49.886058+02	\N	\N	\N	\N	\N	\N	f	
5262	33632150-92c6-4140-802e-6eb5467ad408	Helena	Helena	3	0	2013-05-24 22:59:26.357048+02	\N	\N	\N	\N	\N	\N	f	
5722	9caa3319-233b-4d3d-8f37-d66cd14e4e82	Ōtsuki	Ōtsuki	3	0	2013-05-25 00:37:46.695431+02	\N	\N	\N	\N	\N	\N	f	
5405	cfb197a3-20ca-46b8-a6cf-9701ace18ab1	Sumbawanga	Sumbawanga	3	0	2013-05-24 23:28:00.172944+02	\N	\N	\N	\N	\N	\N	f	
5571	2128abb8-b37b-465d-a4a0-cb542802ee8a	Wadowice	Wadowice	3	0	2013-05-25 00:05:01.790798+02	\N	\N	\N	\N	\N	\N	f	
5574	c0498aca-e706-4849-ae3c-dcbd785ba33b	Tauranga	Tauranga	3	0	2013-05-25 00:05:35.991071+02	\N	\N	\N	\N	\N	\N	f	
5728	7df93de7-b82d-475d-bb8a-7c502787048c	Wolbórz	Wolbórz	3	0	2013-05-25 00:38:49.331029+02	\N	\N	\N	\N	\N	\N	f	
5584	bd30395d-5f7d-48bc-bfcf-625c43c7c299	Chichester	Chichester	3	0	2013-05-25 00:07:38.759213+02	\N	\N	\N	\N	\N	\N	f	
6400	65c0a7f3-ccaf-4089-bd7a-f3662c608d62	Hecatompylos	Hecatompylos	3	0	2013-05-25 02:58:02.963647+02	\N	\N	\N	\N	\N	\N	f	
5729	61896c34-dce7-4553-bc95-b2c929d2d850	Osieczna	Osieczna	3	0	2013-05-25 00:39:00.323092+02	\N	\N	\N	\N	\N	\N	f	
5770	2683b759-3309-4840-97a8-0d0d92c93a8c	Cedar Rapids	Cedar Rapids	3	0	2013-05-25 00:47:56.446268+02	\N	\N	\N	\N	\N	\N	f	
5773	e794c48d-2e18-4e1a-830c-cdf24a4ba07c	Canton	Canton	3	0	2013-05-25 00:48:33.849755+02	\N	\N	\N	\N	\N	\N	f	
6405	8fb0e5ed-41a5-468d-ac3f-4fbfa25f6723	Ontario	Ontario	3	0	2013-05-25 02:59:08.226538+02	\N	\N	\N	\N	\N	\N	f	
5878	13578330-8762-4d8d-8b73-e34e19d1eea4	Miandoab	Miandoab	3	0	2013-05-25 01:10:26.968892+02	\N	\N	\N	\N	\N	\N	f	
5910	5a11492c-3bfa-4ae1-ad81-c477ca25e311	Naraq	Naraq	3	0	2013-05-25 01:16:30.054891+02	\N	\N	\N	\N	\N	\N	f	
7076	b76ed009-69f5-4edd-a5ab-cf65e37e1806	Odolanów	Odolanów	3	0	2013-05-26 16:46:33.52098+02	\N	\N	\N	\N	\N	\N	f	
5911	b22aebd9-ea15-4551-9507-5b1a8ef5739c	Bampur	Bampur	3	0	2013-05-25 01:16:40.272159+02	\N	\N	\N	\N	\N	\N	f	
6556	9eda2204-d5f1-4dd3-952a-130487c2ec3b	Dishmok	Dishmok	3	0	2013-05-25 03:32:27.28713+02	\N	\N	\N	\N	\N	\N	f	
5915	a1bc92c3-714b-430d-bdef-296daff1af37	Baneh	Baneh	3	0	2013-05-25 01:17:23.672159+02	\N	\N	\N	\N	\N	\N	f	
6094	11fbb939-d66f-42ae-8643-1e851667609a	Shinyanga	Shinyanga	3	0	2013-05-25 01:52:08.68123+02	\N	\N	\N	\N	\N	\N	f	
6334	cccf52cc-8d37-4b56-a7ac-ee25acc16f86	Koniecpol	Koniecpol	3	0	2013-05-25 02:41:25.628918+02	\N	\N	\N	\N	\N	\N	f	
6587	4d9b83bc-08d2-4f34-942e-242dfd8f0f34	Negur	Negur	3	0	2013-05-25 03:37:53.104897+02	\N	\N	\N	\N	\N	\N	f	
7105	7f8087a2-b565-4553-a7dc-b90feb162b85	Bierutów	Bierutów	3	0	2013-05-26 16:53:28.719519+02	\N	\N	\N	\N	\N	\N	f	
6828	b35dc90b-ddaa-4c1c-9a5a-803022ce9b9d	Babarashani	Babarashani	3	0	2013-05-25 04:23:30.73349+02	\N	\N	\N	\N	\N	\N	f	
8419	27515aea-5024-4cdd-912f-231fbe2f40bd	Dalby	Dalby	3	0	2013-06-01 17:09:46.339281+02	\N	\N	\N	\N	\N	\N	f	
7203	0d2e9b08-a5c6-454a-8598-754ec555e0a1	Nowogrodziec	Nowogrodziec	3	0	2013-05-26 17:18:12.030858+02	\N	\N	\N	\N	\N	\N	f	
7578	9568e014-fb80-4232-a718-2a36bfd33b81	Sontra	Sontra	3	0	2013-05-29 00:50:04.505019+02	\N	\N	\N	\N	\N	\N	f	
9132	3b711880-cdf4-4e93-abbc-16c195019d9c	Jinzhong	Jinzhong	3	0	2013-06-01 20:46:24.001998+02	\N	\N	\N	\N	\N	\N	f	
7621	ef405a25-4ba3-490e-9125-2d9ac18a0b1c	Rödermark	Rödermark	3	0	2013-05-29 00:58:14.431589+02	\N	\N	\N	\N	\N	\N	f	
8570	3e5949a5-e21f-4e5e-bc39-8de9304d8c18	Junee	Junee	3	0	2013-06-01 17:43:32.797+02	\N	\N	\N	\N	\N	\N	f	
7623	51147574-3bbe-4485-a7b2-4a8733dde305	Hünfeld	Hünfeld	3	0	2013-05-29 00:58:36.104491+02	\N	\N	\N	\N	\N	\N	f	
7859	0b362189-a4e1-4685-a248-67562808ff5d	Nelson	Nelson	3	0	2013-05-29 02:50:57.545292+02	\N	\N	\N	\N	\N	\N	f	
8072	a580da6b-ff88-4b8a-85fc-0271ce976260	Sligo	Sligo	3	0	2013-05-30 18:39:54.824304+02	\N	\N	\N	\N	\N	\N	f	
8684	4ba6d714-51af-411c-97ce-c4aca25af6cd	Balliang East	Balliang East	3	0	2013-06-01 18:15:49.665375+02	\N	\N	\N	\N	\N	\N	f	
8078	f015815f-3451-4fa0-a09b-6028fc70d563	Chigwell	Chigwell	3	0	2013-05-30 18:41:21.76638+02	\N	\N	\N	\N	\N	\N	f	
8079	3b6effa1-c3db-4648-8eb0-a7b073311aeb	Cooma	Cooma	3	0	2013-05-30 18:41:36.44998+02	\N	\N	\N	\N	\N	\N	f	
9308	58b83871-9a55-4e27-ade3-3a9958ec9873	Sainte-Thècle	Sainte-Thècle	3	0	2013-06-02 16:56:20.504567+02	\N	\N	\N	\N	\N	\N	f	
8198	7df22afa-b834-4577-b13c-179cba63b499	Asine	Asine	3	0	2013-05-30 21:15:23.52013+02	\N	\N	\N	\N	\N	\N	f	
8708	93ff9e54-6f45-430d-9f5a-b3491a587d0e	Raymond Terrace	Raymond Terrace	3	0	2013-06-01 18:23:32.530066+02	\N	\N	\N	\N	\N	\N	f	
8199	dbf17738-ec2c-4823-8dde-4b654fa38633	Colton	Colton	3	0	2013-05-30 21:15:35.063524+02	\N	\N	\N	\N	\N	\N	f	
8388	36f30483-380b-4530-9684-05f15aedb83c	Koto	Koto	3	0	2013-05-30 23:10:26.708661+02	\N	\N	\N	\N	\N	\N	f	
9161	d1edea12-9bac-48e9-97dc-40e8e1f9b22f	Baicheng	Baicheng	3	0	2013-06-01 20:54:33.548496+02	\N	\N	\N	\N	\N	\N	f	
8417	f6767c72-b2cc-45cc-b3f6-0a21122af4b6	Ain Kada	Ain Kada	3	0	2013-06-01 14:54:53.542499+02	\N	\N	\N	\N	\N	\N	f	
8832	96d25bd3-38f4-4547-9916-6b05463e9539	La Tuque	La Tuque	3	0	2013-06-01 19:37:09.651183+02	\N	\N	\N	\N	\N	\N	f	
8962	39863a94-a303-44b0-9759-eaf16800b812	Gera	Gera	3	0	2013-06-01 20:10:40.777458+02	\N	\N	\N	\N	\N	\N	f	
9169	8c7c334b-f849-4363-adb4-8cb8a3546a59	Moryń	Moryń	3	0	2013-06-01 20:58:49.086309+02	\N	\N	\N	\N	\N	\N	f	
8966	c7644e45-dec4-43fd-aad6-35036b8e911d	Weimar	Weimar	3	0	2013-06-01 20:11:44.57899+02	\N	\N	\N	\N	\N	\N	f	
9075	6424756c-e4e8-4978-b718-92033f782c4b	Taizhou, Zhejiang	Taizhou, Zhejiang	3	0	2013-06-01 20:34:42.607212+02	\N	\N	\N	\N	\N	\N	f	
1893	da0cffc0-9942-473d-b16b-6329cf66dcde	Balzers	Balzers	2	0	2013-06-05 07:20:41.215071+02	\N	\N	\N	\N	\N	\N	f	
9176	e5c0706d-a9fb-4ef5-aadd-7cf046c4b780	Błaszki	Błaszki	3	0	2013-06-01 21:00:20.658093+02	\N	\N	\N	\N	\N	\N	f	
9376	7f782d63-353c-4b95-ac39-fc53ef085803	Konglu	Konglu	3	0	2013-06-04 22:22:51.925389+02	\N	\N	\N	\N	\N	\N	f	
9618	8ea3fb36-15bb-4282-b5b7-8d5e448fc416	Kokemäki	Kokemäki	3	0	2013-06-12 07:54:36.980988+02	\N	\N	\N	\N	\N	\N	f	
896	d7089183-0ad8-42f1-b6e4-fff99ee6d1bf	Taipei	Taipei	3	0	2013-06-01 23:15:25.753251+02	\N	\N	\N	\N	\N	\N	f	
4377	34ab351a-dc5d-4486-b95c-57f4f88a76b7	Corrèze	Corrèze	2	0	2013-06-05 11:02:47.485353+02	\N	\N	\N	\N	\N	\N	f	
3651	963576e4-64c1-4971-99c2-ba2e8c94825b	Bay	Bay	2	0	2013-06-05 09:18:49.441496+02	\N	\N	\N	\N	\N	\N	f	
9891	fe90e744-8d1a-44f6-a276-ba84c638b2a4	Toki	Toki	3	0	2013-06-18 04:05:37.188319+02	\N	\N	\N	\N	\N	\N	f	
9441	f173c2f5-f6e7-4940-ac82-3efdc3cdae76	Ahwa	Ahwa	3	0	2013-06-09 17:38:36.867821+02	\N	\N	\N	\N	\N	\N	f	
9837	4d233aae-bac7-44f8-9fda-6aec625fd5ca	Asaka	Asaka	3	0	2013-06-18 03:51:21.437889+02	\N	\N	\N	\N	\N	\N	f	
9968	08cd85eb-449f-45b3-a9cb-62182eb25530	Kin	Kin	3	0	2013-06-18 07:33:58.888291+02	\N	\N	\N	\N	\N	\N	f	
9919	6f90d138-ccc9-4018-a78e-d84ae04e8ca8	Kashiwara	Kashiwara	3	0	2013-06-18 04:11:01.930552+02	\N	\N	\N	\N	\N	\N	f	
10044	d99ad26b-4542-4d80-ba45-5ef47f39062b	Miyoshi	Miyoshi	3	0	2013-06-18 08:10:48.303797+02	\N	\N	\N	\N	\N	\N	f	
10062	a799cfb3-eda1-4b70-982e-76571a98c3b9	Yukuhashi	Yukuhashi	3	0	2013-06-18 08:14:15.584808+02	\N	\N	\N	\N	\N	\N	f	
10122	3b3c398f-6d9e-4b51-9ab6-4062434e0526	Ochi	Ochi	3	0	2013-06-18 14:35:16.571336+02	\N	\N	\N	\N	\N	\N	f	
10213	fcf7a664-f7bd-48c5-a81d-3aaa305dbdbc	Hida	Hida	3	0	2013-06-18 15:15:22.013038+02	\N	\N	\N	\N	\N	\N	f	
10219	80c1406f-2452-4a6f-a029-87ffd263c4ff	Etajima	Etajima	3	0	2013-06-18 15:16:54.767852+02	\N	\N	\N	\N	\N	\N	f	
10261	500cea23-1465-4e08-adf2-6c7e59b54e7c	Higashiyoshino	Higashiyoshino	3	0	2013-06-18 17:22:48.437375+02	\N	\N	\N	\N	\N	\N	f	
10291	678a0509-0b23-448b-a950-e89e4cf1549e	Tenkawa	Tenkawa	3	0	2013-06-18 17:28:15.712737+02	\N	\N	\N	\N	\N	\N	f	
13762	7ee888db-621e-4be0-a679-da2e31d3ee3e	Usseaux	Usseaux	4	0	2013-07-21 19:06:55.566772+02	\N	\N	\N	\N	\N	\N	f	
15480	e9d2a2e0-583a-4d47-a20f-00ea22dcc3b6	Orvinio	Orvinio	4	0	2013-07-22 00:55:02.705216+02	\N	\N	\N	\N	\N	\N	f	
3612	33954f2c-eade-4df2-a8ca-2e58d1dc5d93	Janūb Dārfūr	Janūb Dārfūr	2	0	2013-05-21 14:11:46.02916+02	\N	\N	\N	\N	\N	\N	f	
3613	8daf226d-f7fa-4a2f-8a57-020a1378ca37	Gharb Dārfūr	Gharb Dārfūr	2	0	2013-05-21 14:11:56.498841+02	\N	\N	\N	\N	\N	\N	f	
3643	9c75736b-d525-46c9-8f4e-ac4d598935ba	Saint-Louis	Saint-Louis	2	0	2013-05-21 14:17:18.848501+02	\N	\N	\N	\N	\N	\N	f	
3646	0715a46d-b7fe-44da-93ad-735c6d958e47	Ziguinchor	Ziguinchor	2	0	2013-05-21 14:17:51.070668+02	\N	\N	\N	\N	\N	\N	f	
3665	ee2cfaa9-5bbd-4074-81fc-263c4b214a60	Northern Bahr el-Ghazal	Northern Bahr el-Ghazal	2	0	2013-05-21 14:21:20.105772+02	\N	\N	\N	\N	\N	\N	f	
4719	b146702a-7e6c-4cf6-aa4a-e5620e6f9684	Verona	Verona	2	0	2013-05-22 14:53:45.16299+02	\N	\N	\N	\N	\N	\N	f	
1398	c08ee3b2-f2ff-4fb9-a6c8-a96b50b3745d	Daugavpils	Daugavpils	3	0	2013-05-24 01:04:56.499214+02	\N	\N	\N	\N	\N	\N	f	
4847	086ae447-19dd-48fd-b090-1a146b328e17	Phalombe	Phalombe	2	0	2013-05-22 15:30:50.170434+02	\N	\N	\N	\N	\N	\N	f	
4926	1b2b71de-94b9-4b37-904c-506fb2af2b88	Maguindanao	Maguindanao	2	0	2013-05-22 15:51:42.107711+02	\N	\N	\N	\N	\N	\N	f	
4934	918f4d9a-12f9-4a37-9dfe-adea39d416cc	Negros Occidental	Negros Occidental	2	0	2013-05-22 15:53:17.688694+02	\N	\N	\N	\N	\N	\N	f	
5263	8298a9d9-635c-4183-84cf-5c251dcfcd8c	Agra	Agra	3	0	2013-05-24 22:59:36.996014+02	\N	\N	\N	\N	\N	\N	f	
4935	1a470883-3230-4335-b55e-fab95f2102a9	Negros Oriental	Negros Oriental	2	0	2013-05-22 15:53:28.436612+02	\N	\N	\N	\N	\N	\N	f	
4937	b5ca4e42-0388-46d7-aa2a-88976b06b385	Nueva Ecija	Nueva Ecija	2	0	2013-05-22 15:53:49.978161+02	\N	\N	\N	\N	\N	\N	f	
4985	2460c5c8-d111-4161-aa00-7960b6c5af4c	Kayunga	Kayunga	2	0	2013-05-22 16:03:15.390537+02	\N	\N	\N	\N	\N	\N	f	
5312	c548af05-b00b-4015-a225-b0a9436c09dc	Amarillo, Texas	Amarillo, Texas	3	0	2013-05-24 23:08:54.882046+02	\N	\N	\N	\N	\N	\N	f	
5723	bea15a9f-85c5-45bf-af84-14d7195b7065	Ōsaki	Ōsaki	3	0	2013-05-25 00:37:56.758582+02	\N	\N	\N	\N	\N	\N	f	
5406	f6e80435-7764-4422-b66f-f93c0ae229f3	Bam	Bam	3	0	2013-05-24 23:28:10.499033+02	\N	\N	\N	\N	\N	\N	f	
5408	fbae6941-3a83-4b07-a0bd-791a241747f5	Tarnów	Tarnów	3	0	2013-05-24 23:28:31.831884+02	\N	\N	\N	\N	\N	\N	f	
5575	182ca20e-bddc-4f44-8baa-4c403fe883f7	Bandar-e Anzali	Bandar-e Anzali	3	0	2013-05-25 00:05:47.70216+02	\N	\N	\N	\N	\N	\N	f	
5765	de751e59-d639-4c7b-b260-d0dfdaad2b52	Anan	Anan	3	0	2013-05-25 00:47:01.283974+02	\N	\N	\N	\N	\N	\N	f	
5595	07e20f9e-2300-466d-b02e-a97bd17b3227	Lubin	Lubin	3	0	2013-05-25 00:10:10.525499+02	\N	\N	\N	\N	\N	\N	f	
6401	712d2dbf-1eff-4e9e-a3df-ce56cf5a2dd5	Nushin	Nushin	3	0	2013-05-25 02:58:13.365837+02	\N	\N	\N	\N	\N	\N	f	
5879	bf60b1e9-d160-4d66-a905-1d0c36ac0c1b	Bukan	Bukan	3	0	2013-05-25 01:10:40.673966+02	\N	\N	\N	\N	\N	\N	f	
6095	cf8e7f25-edcf-4083-830d-4e269b9c544d	Kitahiroshima	Kitahiroshima	3	0	2013-05-25 01:52:18.691015+02	\N	\N	\N	\N	\N	\N	f	
8200	457e9992-4b09-4939-8ca2-a467a895203d	Linton	Linton	3	0	2013-05-30 21:15:45.181906+02	\N	\N	\N	\N	\N	\N	f	
6261	b57572e3-cbc8-4c80-88ea-e1e2035737ab	Sufian	Sufian	3	0	2013-05-25 02:24:43.641329+02	\N	\N	\N	\N	\N	\N	f	
7077	d749e50b-35c5-471a-b95b-47a6440d5218	Szadek	Szadek	3	0	2013-05-26 16:46:46.972033+02	\N	\N	\N	\N	\N	\N	f	
6335	b5e4be56-72c8-4734-ae53-a0137c2b0bd0	West Fargo	West Fargo	3	0	2013-05-25 02:41:40.005839+02	\N	\N	\N	\N	\N	\N	f	
6422	4fb532fe-e1cf-4b91-a78b-04a1099e52a7	Bidokht	Bidokht	3	0	2013-05-25 03:02:46.647731+02	\N	\N	\N	\N	\N	\N	f	
6437	c450f228-0a63-4002-bb62-40f16c8aa1e7	Alvand	Alvand	3	0	2013-05-25 03:05:27.950317+02	\N	\N	\N	\N	\N	\N	f	
6473	b185a79d-cc95-4df1-a2b2-ce6b3612243f	Goodhue	Goodhue	3	0	2013-05-25 03:13:37.149811+02	\N	\N	\N	\N	\N	\N	f	
7163	83c143e5-4cd5-4293-b62a-c92bb2c94c17	Drawno	Drawno	3	0	2013-05-26 17:08:34.170993+02	\N	\N	\N	\N	\N	\N	f	
6477	fccbfaea-33da-47c8-b58d-ed600e4d778b	Aurora	Aurora	3	0	2013-05-25 03:14:38.844542+02	\N	\N	\N	\N	\N	\N	f	
6559	9b4e4f4a-68cc-465c-89a2-e2bd5e72f0c4	Kalateh Khij	Kalateh Khij	3	0	2013-05-25 03:32:57.948865+02	\N	\N	\N	\N	\N	\N	f	
6569	52c05a4f-0c63-4238-8be0-9e6d79d7514c	Baravat	Baravat	3	0	2013-05-25 03:34:43.99099+02	\N	\N	\N	\N	\N	\N	f	
7204	987b08d9-bc78-4d85-8059-30c75050b954	Brzeg Dolny	Brzeg Dolny	3	0	2013-05-26 17:18:23.427923+02	\N	\N	\N	\N	\N	\N	f	
6575	16442399-2f6f-475c-96c8-44ef8c3adaf9	Rabor	Rabor	3	0	2013-05-25 03:35:45.657138+02	\N	\N	\N	\N	\N	\N	f	
6745	bc12c772-6685-48ea-b9d5-e85ab89adae9	Shahriar	Shahriar	3	0	2013-05-25 04:08:06.379393+02	\N	\N	\N	\N	\N	\N	f	
8202	d3c0d11d-3077-4294-aa15-9a189c5f1287	Westcliff-on-Sea	Westcliff-on-Sea	3	0	2013-05-30 21:16:14.619444+02	\N	\N	\N	\N	\N	\N	f	
6829	b670be51-ec07-4d36-a669-2e49ecff3123	Sahand	Sahand	3	0	2013-05-25 04:23:40.992665+02	\N	\N	\N	\N	\N	\N	f	
7207	c12e7b3a-68a0-4b15-8905-639bc417e4ad	Ciechanowiec	Ciechanowiec	3	0	2013-05-26 17:19:09.153843+02	\N	\N	\N	\N	\N	\N	f	
7579	e522fedd-c769-4953-8226-d19191125e22	Nidderau	Nidderau	3	0	2013-05-29 00:50:17.39075+02	\N	\N	\N	\N	\N	\N	f	
8571	8f2479df-cda4-44cc-b5e8-e02b69e4a40b	Narrabri	Narrabri	3	0	2013-06-01 17:43:43.532727+02	\N	\N	\N	\N	\N	\N	f	
8389	8eaf35cb-b688-4385-a3de-07216748f019	Chūō	Chūō	3	0	2013-05-30 23:10:43.754009+02	\N	\N	\N	\N	\N	\N	f	
7860	09e66538-7597-4434-899d-1c7169c8538d	Sonora	Sonora	3	0	2013-05-29 02:51:15.230787+02	\N	\N	\N	\N	\N	\N	f	
7909	9f019d9e-ac46-4d34-bab9-61752177394b	Pulaski	Pulaski	3	0	2013-05-29 03:05:26.1333+02	\N	\N	\N	\N	\N	\N	f	
8073	e5f1d669-36b8-48d0-8615-a7f7603e5ecb	Chalkwell	Chalkwell	3	0	2013-05-30 18:40:05.143779+02	\N	\N	\N	\N	\N	\N	f	
8420	276c6b10-7fd2-4723-8dcd-358018b05767	Jeziorany	Jeziorany	3	0	2013-06-01 17:10:03.045954+02	\N	\N	\N	\N	\N	\N	f	
8089	3942aa62-3b44-4405-be61-17b752628962	Bir El Hafey	Bir El Hafey	3	0	2013-05-30 18:44:03.498207+02	\N	\N	\N	\N	\N	\N	f	
9076	356db117-510a-4065-94b4-b79e88549384	Zhangjiakou	Zhangjiakou	3	0	2013-06-01 20:34:57.001072+02	\N	\N	\N	\N	\N	\N	f	
8683	f6e22ec0-3900-4980-8bb4-7cc54b3450d8	Sunset	Sunset	3	0	2013-06-01 18:15:18.475505+02	\N	\N	\N	\N	\N	\N	f	
8455	07f25c39-f7a6-46e8-b0b3-cb79782f2e08	Perth	Perth	3	0	2013-06-01 17:17:29.019866+02	\N	\N	\N	\N	\N	\N	f	
8463	c1c15585-4342-4fdb-a665-9bf133ba373a	Leesburg	Leesburg	3	0	2013-06-01 17:19:06.74413+02	\N	\N	\N	\N	\N	\N	f	
8909	1b4013f0-f6bc-4a0d-b27a-05538984a116	Zhengzhou	Zhengzhou	3	0	2013-06-01 19:59:30.55705+02	\N	\N	\N	\N	\N	\N	f	
8467	6dff64d6-105a-42f6-b549-a256a6d5afbf	Georgetown	Georgetown	3	0	2013-06-01 17:19:56.331708+02	\N	\N	\N	\N	\N	\N	f	
8709	7d6d7944-4d1a-43bf-af7b-8d0f3646b787	Union	Union	3	0	2013-06-01 18:23:51.501052+02	\N	\N	\N	\N	\N	\N	f	
8833	ce4b54b6-4558-4a93-8b1c-ccbe3dd53d10	Val-d'Or	Val-d'Or	3	0	2013-06-01 19:37:21.11695+02	\N	\N	\N	\N	\N	\N	f	
8897	ebb34b25-e787-4584-bead-46eec0d81712	Sansha	Sansha	3	0	2013-06-01 19:56:07.123106+02	\N	\N	\N	\N	\N	\N	f	
9309	f31e79db-4b6d-4ca4-a4a4-4e4659a8ab2d	Aira	Aira	3	0	2013-06-02 16:57:44.960049+02	\N	\N	\N	\N	\N	\N	f	
8964	cd6ad200-fb78-49cf-a275-1f8cf8a05a53	Maoming	Maoming	3	0	2013-06-01 20:11:15.441677+02	\N	\N	\N	\N	\N	\N	f	
9185	d17e45df-7e82-4f41-b11d-728291f321e9	Halinów	Halinów	3	0	2013-06-01 21:02:17.461161+02	\N	\N	\N	\N	\N	\N	f	
9377	4a9a743e-9e2c-460c-bf61-fcda3644d189	Põltsamaa	Põltsamaa	3	0	2013-06-04 22:23:03.741736+02	\N	\N	\N	\N	\N	\N	f	
1817	45fab208-f543-4826-82ca-fdf2046030f5	Canarias	Canarias	2	0	2013-06-05 07:21:26.407355+02	\N	\N	\N	\N	\N	\N	f	
2794	25164c63-4a98-429d-9833-00dff4e6d9f8	Cova Lima	Cova Lima	2	0	2013-06-05 11:03:50.474855+02	\N	\N	\N	\N	\N	\N	f	
5092	e24de96f-81de-4021-8af3-1b656b6b1e42	Mumbai	Mumbai	3	0	2013-06-07 09:52:50.447985+02	\N	\N	\N	\N	\N	\N	f	
4899	eae83d3c-01f8-4624-9a72-02f1a68ea011	Cagayan	Cagayan	2	0	2013-06-05 11:37:47.585887+02	\N	\N	\N	\N	\N	\N	f	
9442	f10435fd-fc85-4071-b833-cd599fd2e343	Vyara	Vyara	3	0	2013-06-09 17:38:47.26696+02	\N	\N	\N	\N	\N	\N	f	
4887	2df3e74c-6d8d-47f2-ad77-18b63923a8a1	Antique	Antique	2	0	2013-06-05 10:41:06.01557+02	\N	\N	\N	\N	\N	\N	f	
9619	929500ab-6b0c-435d-8df9-b1a3e1965470	Harjavalta	Harjavalta	3	0	2013-06-12 07:54:54.754024+02	\N	\N	\N	\N	\N	\N	f	
9838	69fe06bc-e057-495d-b350-e70a9d061a98	Suita	Suita	3	0	2013-06-18 03:51:39.592117+02	\N	\N	\N	\N	\N	\N	f	
9843	736cd5db-ed08-42cb-9828-7cf9c31db186	Habikino	Habikino	3	0	2013-06-18 03:52:55.353701+02	\N	\N	\N	\N	\N	\N	f	
9854	41d62f5d-0d7f-487b-bb0e-ecb6c94e5cb5	Kakogawa	Kakogawa	3	0	2013-06-18 03:55:35.33691+02	\N	\N	\N	\N	\N	\N	f	
15481	d39a3eef-7305-445d-818d-330a9e762979	Gargallo	Gargallo	4	0	2013-07-22 00:55:14.492876+02	\N	\N	\N	\N	\N	\N	f	
9969	7c33c4c9-dbf1-45f9-8baf-7652aab57ee4	Kunitomi	Kunitomi	3	0	2013-06-18 07:34:09.135276+02	\N	\N	\N	\N	\N	\N	f	
17295	4a6df3c3-6aa4-4366-a5b5-cd620706a807	Cocquio-Trevisago	Cocquio-Trevisago	4	0	2013-07-22 06:09:23.637047+02	\N	\N	\N	\N	\N	\N	f	
13764	0ed74cad-bc55-4138-b7d6-b3436a55ed30	Traversella	Traversella	4	0	2013-07-21 19:07:19.045638+02	\N	\N	\N	\N	\N	\N	f	
1406	a1aa5bc6-b34e-4b6b-9e83-92b1fa839641	Valmiera	Valmiera	3	0	2013-05-24 01:04:58.667991+02	\N	\N	\N	\N	\N	\N	f	
3618	29712ffe-8259-4a9c-9c06-c06d62a9031b	Shamāl Kurdufān	Shamāl Kurdufān	2	0	2013-05-21 14:12:49.92766+02	\N	\N	\N	\N	\N	\N	f	
3619	02d2b03d-6dd6-45a7-b672-9be0f237acaf	Janūb Kurdufān	Janūb Kurdufān	2	0	2013-05-21 14:13:00.421624+02	\N	\N	\N	\N	\N	\N	f	
3629	7fc137fa-278e-4a6a-8233-e3037256d70e	Eastern	Eastern	2	0	2013-05-21 14:14:49.144455+02	\N	\N	\N	\N	\N	\N	f	
4721	026b2c9a-26ee-4b25-a2ba-ec17d7ac0a59	Viterbo	Viterbo	2	0	2013-05-22 14:54:20.789492+02	\N	\N	\N	\N	\N	\N	f	
3637	757b3828-ecfd-4c79-9b38-a283b67e922f	Kolda	Kolda	2	0	2013-05-21 14:16:14.752048+02	\N	\N	\N	\N	\N	\N	f	
3654	a0c53044-87f8-4e38-8347-4bcd11bc2135	Hiiraan	Hiiraan	2	0	2013-05-21 14:19:20.062069+02	\N	\N	\N	\N	\N	\N	f	
4848	3c512302-ee11-4ce2-a52d-8fec05cf8d83	Rumphi	Rumphi	2	0	2013-05-22 15:31:03.193661+02	\N	\N	\N	\N	\N	\N	f	
4986	25830214-1c83-4ddf-8a4b-7a8fc22cffa6	Wakiso	Wakiso	2	0	2013-05-22 16:03:26.173334+02	\N	\N	\N	\N	\N	\N	f	
5093	ed8c8c0a-721d-45b8-a4f4-3ad95bdc9622	Tolyatti	Tolyatti	3	0	2013-05-24 22:26:10.206336+02	\N	\N	\N	\N	\N	\N	f	
5018	d439a802-e467-41ce-8ce2-752b1bcf7d63	Kitgum	Kitgum	2	0	2013-05-22 16:09:19.959818+02	\N	\N	\N	\N	\N	\N	f	
5105	2af06f5b-d524-44e5-a7fc-05a81d342485	Guatemala City	Guatemala City	3	0	2013-05-24 22:28:31.849322+02	\N	\N	\N	\N	\N	\N	f	
5724	b3013bdc-d7cc-48cc-9c83-5f6dd8d0a09a	Zaviyeh	Zaviyeh	3	0	2013-05-25 00:38:07.005532+02	\N	\N	\N	\N	\N	\N	f	
5208	3afbbf92-7998-4fd6-8410-e697e3f6902b	Independence	Independence	3	0	2013-05-24 22:49:14.038849+02	\N	\N	\N	\N	\N	\N	f	
5264	c1fc21db-40e9-47f5-af93-f3ebe6581113	Kansas City	Kansas City	3	0	2013-05-24 22:59:47.639044+02	\N	\N	\N	\N	\N	\N	f	
5295	b5d7e34b-3ab5-49e2-9816-13d554722fed	San Carlos de Bariloche	San Carlos de Bariloche	3	0	2013-05-24 23:05:37.002641+02	\N	\N	\N	\N	\N	\N	f	
5881	5c509c27-0559-4bc1-8f7e-cad9a49d47f8	Nowa Dęba	Nowa Dęba	3	0	2013-05-25 01:11:02.630884+02	\N	\N	\N	\N	\N	\N	f	
5407	c086d481-4c8b-4a80-af98-822570b69b4b	Błażowa	Błażowa	3	0	2013-05-24 23:28:21.41185+02	\N	\N	\N	\N	\N	\N	f	
5581	74c9542e-91fc-4663-bfc1-2ee52925736b	Patiala	Patiala	3	0	2013-05-25 00:07:02.532943+02	\N	\N	\N	\N	\N	\N	f	
6402	fde317a5-fff5-4ce5-8b8a-6f6faf965db7	New Richmond	New Richmond	3	0	2013-05-25 02:58:26.682191+02	\N	\N	\N	\N	\N	\N	f	
5891	16d512c6-635c-4607-b5a0-1df1a1465bef	Tafresh	Tafresh	3	0	2013-05-25 01:12:53.733067+02	\N	\N	\N	\N	\N	\N	f	
5898	1ec6134e-cd14-46b8-a9f1-13085d80e053	Kępno	Kępno	3	0	2013-05-25 01:14:17.897642+02	\N	\N	\N	\N	\N	\N	f	
5938	79868aaa-3e7f-4deb-bdae-f30b9c96d858	Calafat	Calafat	3	0	2013-05-25 01:22:27.53279+02	\N	\N	\N	\N	\N	\N	f	
6563	a860f50d-7e89-4868-9891-ad80b2024ebd	Ardak	Ardak	3	0	2013-05-25 03:33:38.791516+02	\N	\N	\N	\N	\N	\N	f	
5948	ba901015-228b-49e2-a002-af4e8beacefa	Przasnysz	Przasnysz	3	0	2013-05-25 01:24:27.516071+02	\N	\N	\N	\N	\N	\N	f	
5981	f87d9a19-7db1-452b-8f6a-0b44d82f8a6b	Ferdows	Ferdows	3	0	2013-05-25 01:30:27.567465+02	\N	\N	\N	\N	\N	\N	f	
7078	667581ca-bfdd-4c47-8755-8e941d65dbaa	Sucha Beskidzka	Sucha Beskidzka	3	0	2013-05-26 16:46:58.68832+02	\N	\N	\N	\N	\N	\N	f	
6096	8de6cd2c-98cf-47ca-a5b8-76d60febe603	Ishigaki	Ishigaki	3	0	2013-05-25 01:52:34.845647+02	\N	\N	\N	\N	\N	\N	f	
6582	13a962e9-ad0e-4ca5-8114-7526d2350fd4	Yazdan Shahr	Yazdan Shahr	3	0	2013-05-25 03:36:57.865828+02	\N	\N	\N	\N	\N	\N	f	
6098	b5d3d08a-84b6-4a3b-9c94-f114dc3c4b2f	Strzyżów	Strzyżów	3	0	2013-05-25 01:52:56.450018+02	\N	\N	\N	\N	\N	\N	f	
6101	3d2a29c8-7bff-4b37-b54e-5b9515b89f92	Sejny	Sejny	3	0	2013-05-25 01:53:29.816219+02	\N	\N	\N	\N	\N	\N	f	
6167	db368586-6921-4f2d-84f9-aed49c94bc07	Chamran	Chamran	3	0	2013-05-25 02:05:29.424106+02	\N	\N	\N	\N	\N	\N	f	
8462	a716abd0-9233-4205-aaf8-3494fa0a4e05	Młynary	Młynary	3	0	2013-06-01 17:18:50.249882+02	\N	\N	\N	\N	\N	\N	f	
6336	d61fad1d-b68f-4a40-929f-a626652208be	Vinita	Vinita	3	0	2013-05-25 02:41:58.360474+02	\N	\N	\N	\N	\N	\N	f	
6602	299a0f78-a259-420b-ba91-63c5e7255787	Dust Mohammad	Dust Mohammad	3	0	2013-05-25 03:40:34.501626+02	\N	\N	\N	\N	\N	\N	f	
7205	699a3022-18ea-4fa4-99cc-66831e37fb83	Dobrzyń nad Wisłą	Dobrzyń nad Wisłą	3	0	2013-05-26 17:18:41.34882+02	\N	\N	\N	\N	\N	\N	f	
6657	db029060-6719-4032-b185-41a6486da40e	Sureshjan	Sureshjan	3	0	2013-05-25 03:51:41.451722+02	\N	\N	\N	\N	\N	\N	f	
6749	4ffabdf4-44a2-4835-a71b-79a4ef3a9bc0	Guged	Guged	3	0	2013-05-25 04:08:57.409508+02	\N	\N	\N	\N	\N	\N	f	
6835	5e2922f8-80d2-4265-aa06-935873a29319	Neyasar	Neyasar	3	0	2013-05-25 04:24:42.903472+02	\N	\N	\N	\N	\N	\N	f	
8074	30fdd617-8b66-44c6-b59a-c888ec58b711	Porano	Porano	3	0	2013-05-30 18:40:15.46933+02	\N	\N	\N	\N	\N	\N	f	
6900	9f9eae77-41b0-47cf-9aa8-45d64630eea0	Kuzeh Kanan	Kuzeh Kanan	3	0	2013-05-25 04:37:14.064919+02	\N	\N	\N	\N	\N	\N	f	
7580	9bb38055-ec38-4e9f-af1c-e9333ba80fd1	Beilstein	Beilstein	3	0	2013-05-29 00:50:27.903686+02	\N	\N	\N	\N	\N	\N	f	
7594	670fc19f-6eb1-41aa-96b3-098193a56c16	Rotenburg an der Fulda	Rotenburg an der Fulda	3	0	2013-05-29 00:53:14.103067+02	\N	\N	\N	\N	\N	\N	f	
7606	189bc1c6-db74-4e3f-ab6d-a87121c8d9ef	Bruchköbel	Bruchköbel	3	0	2013-05-29 00:55:28.105538+02	\N	\N	\N	\N	\N	\N	f	
8201	5a495eeb-a590-40ad-bc9c-2f88dd797903	Hockley	Hockley	3	0	2013-05-30 21:15:59.701184+02	\N	\N	\N	\N	\N	\N	f	
7608	234f229c-5564-4329-b04b-85ac8addbc82	Griesheim	Griesheim	3	0	2013-05-29 00:55:49.224995+02	\N	\N	\N	\N	\N	\N	f	
7611	5e5410b4-ad3e-4a40-93d2-0115bb576053	Hattersheim am Main	Hattersheim am Main	3	0	2013-05-29 00:56:21.418952+02	\N	\N	\N	\N	\N	\N	f	
8710	191e4bcc-9a45-451f-beef-a26b96875d89	Maitland	Maitland	3	0	2013-06-01 18:24:02.026669+02	\N	\N	\N	\N	\N	\N	f	
7612	900c5184-755a-4f50-aa13-c6e3d1ffe866	Eschborn	Eschborn	3	0	2013-05-29 00:56:31.978565+02	\N	\N	\N	\N	\N	\N	f	
8477	f3865bd4-fdfd-4339-bfac-d038e10e8bf1	Normanton	Normanton	3	0	2013-06-01 17:21:59.729735+02	\N	\N	\N	\N	\N	\N	f	
7861	25c2277c-946a-4d54-8246-162f9ea58dbb	Gasconade	Gasconade	3	0	2013-05-29 02:51:37.775459+02	\N	\N	\N	\N	\N	\N	f	
8206	a61418f3-d521-4d68-a31e-486fda2e610d	Apollo Bay	Apollo Bay	3	0	2013-05-30 21:17:12.088005+02	\N	\N	\N	\N	\N	\N	f	
8390	1a522764-36e4-40fe-adb3-17fea10183a7	Yamachiche	Yamachiche	3	0	2013-05-30 23:11:38.123773+02	\N	\N	\N	\N	\N	\N	f	
8421	3986b050-8b68-4ec6-a349-e4cd1ec4aca2	Szczawno-Zdrój	Szczawno-Zdrój	3	0	2013-06-01 17:10:19.778682+02	\N	\N	\N	\N	\N	\N	f	
8572	e3fa9aec-74a8-4757-99cb-bae734b8648a	Gayndah	Gayndah	3	0	2013-06-01 17:43:54.578293+02	\N	\N	\N	\N	\N	\N	f	
8834	75bd1550-5bc5-4b4c-99bf-54dc8274eff9	Saint-Jérôme	Saint-Jérôme	3	0	2013-06-01 19:37:36.753746+02	\N	\N	\N	\N	\N	\N	f	
8585	0b7aad8c-29e2-4578-ba2d-198d147d4de6	Nałęczów	Nałęczów	3	0	2013-06-01 17:47:02.525536+02	\N	\N	\N	\N	\N	\N	f	
9104	55b0fdeb-c4c5-4bb9-8234-359026b1e85d	Karamay	Karamay	3	0	2013-06-01 20:40:43.877634+02	\N	\N	\N	\N	\N	\N	f	
9077	f46ff7d5-0d09-40ae-ba7c-e6ffac78a014	Hengshui	Hengshui	3	0	2013-06-01 20:35:07.054831+02	\N	\N	\N	\N	\N	\N	f	
8885	c9cb333f-2633-44b1-8374-1c02749beb61	Beihai	Beihai	3	0	2013-06-01 19:51:06.351578+02	\N	\N	\N	\N	\N	\N	f	
8898	270150f9-c690-47b3-b500-3f88adfae2c6	Yongzhou	Yongzhou	3	0	2013-06-01 19:56:23.18792+02	\N	\N	\N	\N	\N	\N	f	
8967	019763cb-53e3-412b-9bd6-6708ba1484fa	Hebi	Hebi	3	0	2013-06-01 20:12:00.655474+02	\N	\N	\N	\N	\N	\N	f	
19659	10fd4577-3e04-43a5-8859-456996ed71b1	Torremaggiore	Torremaggiore	4	0	2013-07-22 11:14:12.5643+02	\N	\N	\N	\N	\N	\N	f	
9130	73f5c484-ff97-4b63-a8f9-3894794bbc56	Jincheng	Jincheng	3	0	2013-06-01 20:46:02.277378+02	\N	\N	\N	\N	\N	\N	f	
3614	6ec52c5c-e3af-45ac-8c24-df71c543b8ed	Al Qaḑārif	Al Qaḑārif	2	0	2013-06-05 08:19:53.252365+02	\N	\N	\N	\N	\N	\N	f	
9311	fd4d966b-6c58-4e52-82f8-bb1142979cfc	Trois-Rivières	Trois-Rivières	3	0	2013-06-02 16:58:39.834916+02	\N	\N	\N	\N	\N	\N	f	
9379	9e3c1b71-faaa-435d-b0b6-0f79a025f146	Narva-Jõesuu	Narva-Jõesuu	3	0	2013-06-04 22:24:23.997658+02	\N	\N	\N	\N	\N	\N	f	
9386	d0e5399c-9f2b-4b4e-b1f0-c74daf9121df	Savannah	Savannah	3	0	2013-06-04 22:30:26.192323+02	\N	\N	\N	\N	\N	\N	f	
4588	fab5ceea-63f2-46e8-b8c5-de72761ca470	Cavan	Cavan	2	0	2013-06-05 07:21:48.659991+02	\N	\N	\N	\N	\N	\N	f	
3620	dc2def6f-fe9c-4ea9-8c2a-2c3f027a8f21	An Nīl al Azraq	An Nīl al Azraq	2	0	2013-06-05 07:47:29.435491+02	\N	\N	\N	\N	\N	\N	f	
1034	08fbd664-5765-49cd-be55-80d014962ab2	Chimborazo	Chimborazo	2	0	2013-06-05 07:22:27.915531+02	\N	\N	\N	\N	\N	\N	f	
1064	5734aa45-6305-4210-ba9c-04bf7a98fc1c	Arequipa	Arequipa	2	0	2013-06-05 11:04:37.035798+02	\N	\N	\N	\N	\N	\N	f	
9443	107d3aca-e21f-406d-bf25-92616e3d2e2e	Jambusar	Jambusar	3	0	2013-06-09 17:39:23.365973+02	\N	\N	\N	\N	\N	\N	f	
3323	6b4e15ee-758f-4995-a5cf-dfc2b621fc50	Al Minyā	Al Minyā	2	0	2013-06-05 11:52:47.417235+02	\N	\N	\N	\N	\N	\N	f	
3992	32950a38-9edd-42fd-aec9-26128507ff06	Southampton	Southampton	3	0	2013-05-24 01:11:49.491963+02	\N	\N	\N	\N	\N	\N	f	
2955	33a6f664-5c50-44ef-af65-96829d5de2d4	As Sulaymānīyah	As Sulaymānīyah	2	0	2013-06-05 11:19:30.360436+02	\N	\N	\N	\N	\N	\N	f	
4722	18377de1-8518-4554-a82d-8240ffb9ed74	Vibo Valentia	Vibo Valentia	2	0	2013-05-22 14:54:36.850678+02	\N	\N	\N	\N	\N	\N	f	
4850	a0b16765-4a0d-4017-8114-c56644f24c56	Thyolo	Thyolo	2	0	2013-05-22 15:31:40.981147+02	\N	\N	\N	\N	\N	\N	f	
5094	e550e93c-7f80-4e1b-a824-89e0ba5c7969	Wageningen	Wageningen	3	0	2013-05-24 22:26:20.550858+02	\N	\N	\N	\N	\N	\N	f	
4987	de8d79a9-3525-4e36-ae89-2ffa8f97a120	Mityana	Mityana	2	0	2013-05-22 16:03:37.046546+02	\N	\N	\N	\N	\N	\N	f	
5000	87a4baae-1716-4370-9fe9-d3764eed4264	Soroti	Soroti	2	0	2013-05-22 16:06:01.628139+02	\N	\N	\N	\N	\N	\N	f	
5037	3cd0f502-ef9c-434d-af86-cdb75bbab1e9	Hoima	Hoima	2	0	2013-05-22 16:13:08.280997+02	\N	\N	\N	\N	\N	\N	f	
5158	feb2bfa2-31f3-4c89-b609-581252878fad	Vigo	Vigo	3	0	2013-05-24 22:38:38.92562+02	\N	\N	\N	\N	\N	\N	f	
5046	abff7e5a-9db3-4db0-923d-4bec842a9132	Rukungiri	Rukungiri	2	0	2013-05-22 16:14:59.886741+02	\N	\N	\N	\N	\N	\N	f	
5725	ad2f2f68-2085-4e1c-bca9-7cef32dd7a4a	Ōno	Ōno	3	0	2013-05-25 00:38:17.246001+02	\N	\N	\N	\N	\N	\N	f	
5265	0f9d35ff-9295-4435-a261-de8216cb8dad	Hobart	Hobart	3	0	2013-05-24 22:59:57.82507+02	\N	\N	\N	\N	\N	\N	f	
5324	98e6b6b2-c266-4d86-b621-837d4b2459c7	Środa Wielkopolska	Środa Wielkopolska	3	0	2013-05-24 23:12:20.902798+02	\N	\N	\N	\N	\N	\N	f	
5412	faae99c9-d0f6-497f-8b31-b887ae970fcf	Lubomierz	Lubomierz	3	0	2013-05-24 23:29:14.041321+02	\N	\N	\N	\N	\N	\N	f	
5882	da4a69a4-07c3-457b-86ff-5f85f4060ee2	Kawanishi	Kawanishi	3	0	2013-05-25 01:11:13.690064+02	\N	\N	\N	\N	\N	\N	f	
5586	27b29a82-d6e5-490b-80a6-965c9f77c741	Auburn	Auburn	3	0	2013-05-25 00:08:11.27428+02	\N	\N	\N	\N	\N	\N	f	
6403	b2be06cb-cbff-495c-933d-254302338007	Kolno	Kolno	3	0	2013-05-25 02:58:45.395514+02	\N	\N	\N	\N	\N	\N	f	
6099	7e5c1f41-13d9-4321-8cc1-9009e74f33a6	Krosno	Krosno	3	0	2013-05-25 01:53:07.7401+02	\N	\N	\N	\N	\N	\N	f	
6111	09eaf8fa-9730-47ee-871c-289d0f87a2b6	Kazo	Kazo	3	0	2013-05-25 01:55:25.675024+02	\N	\N	\N	\N	\N	\N	f	
4589	e4b74610-a1ec-4d80-9dc5-2dd386694e73	Cork	Cork	2	0	2013-06-05 07:09:00.671749+02	\N	\N	\N	\N	\N	\N	f	
7079	e9e06426-7b08-4b6d-b9a2-c9893aad04db	Laurel	Laurel	3	0	2013-05-26 16:47:15.068674+02	\N	\N	\N	\N	\N	\N	f	
6337	3c083fe3-a49d-407f-99ee-d8250e1747c6	Alpharetta	Alpharetta	3	0	2013-05-25 02:42:14.447108+02	\N	\N	\N	\N	\N	\N	f	
6387	59ba6f75-ce94-4c0a-8c77-89071ba11fb4	Grafton	Grafton	3	0	2013-05-25 02:54:21.844786+02	\N	\N	\N	\N	\N	\N	f	
6468	72759ec5-e93c-4f93-b4b7-5d7e78c2352e	Łosice	Łosice	3	0	2013-05-25 03:12:07.429692+02	\N	\N	\N	\N	\N	\N	f	
8391	b3259db3-6d26-4350-87a4-b8363c8b3ad8	Louiseville	Louiseville	3	0	2013-05-30 23:13:21.329561+02	\N	\N	\N	\N	\N	\N	f	
6564	fd12ea0c-2d62-4946-a9d8-f444f39633ee	Bahreman	Bahreman	3	0	2013-05-25 03:33:51.918641+02	\N	\N	\N	\N	\N	\N	f	
7107	e785554b-a4fe-40ec-a7a1-935db9bc96c6	Biała Piska	Biała Piska	3	0	2013-05-26 16:53:57.803342+02	\N	\N	\N	\N	\N	\N	f	
6572	94c4f6c9-dfbc-495e-89ec-a63f5017df93	Kuhbanan	Kuhbanan	3	0	2013-05-25 03:35:14.650655+02	\N	\N	\N	\N	\N	\N	f	
6597	8d3b4f11-c48b-41c9-8e51-d0db61705edf	Surak	Surak	3	0	2013-05-25 03:39:39.559315+02	\N	\N	\N	\N	\N	\N	f	
6671	24802efd-6c87-46f0-a26d-1f1b3e40de4e	Junqan	Junqan	3	0	2013-05-25 03:54:05.384364+02	\N	\N	\N	\N	\N	\N	f	
7206	2ca39827-0460-484f-9056-3011cb1dc66d	Lipsk	Lipsk	3	0	2013-05-26 17:18:53.88089+02	\N	\N	\N	\N	\N	\N	f	
6688	a2a75c04-af94-4ca0-854b-e4aa0e9f8eb3	Karahrud	Karahrud	3	0	2013-05-25 03:57:03.843122+02	\N	\N	\N	\N	\N	\N	f	
6836	978ca7f1-e7f4-4c78-8992-0c7c9820d20e	Lujali	Lujali	3	0	2013-05-25 04:24:53.271933+02	\N	\N	\N	\N	\N	\N	f	
8969	1772f26e-fea0-450b-a517-87fb873c5783	Puyang	Puyang	3	0	2013-06-01 20:12:25.492083+02	\N	\N	\N	\N	\N	\N	f	
6915	d20cb7c2-654e-4c51-95d6-c205f829363c	Sivand	Sivand	3	0	2013-05-25 04:40:19.330085+02	\N	\N	\N	\N	\N	\N	f	
7238	72dd2074-d768-485f-9aa0-b49b32f5add0	Jelcz-Laskowice	Jelcz-Laskowice	3	0	2013-05-26 17:26:16.252682+02	\N	\N	\N	\N	\N	\N	f	
8422	3288a61d-5505-407d-b84e-44bec0be8d97	Duszniki-Zdrój	Duszniki-Zdrój	3	0	2013-06-01 17:10:31.769008+02	\N	\N	\N	\N	\N	\N	f	
7581	2a0d4ea8-e7f7-4d6e-824f-676f59be1088	Gladenbach	Gladenbach	3	0	2013-05-29 00:50:43.610481+02	\N	\N	\N	\N	\N	\N	f	
7649	e775bc82-fe46-4429-9095-c5aaf156c633	Sulzbach, Saarland	Sulzbach, Saarland	3	0	2013-05-29 01:04:33.268489+02	\N	\N	\N	\N	\N	\N	f	
7862	1a941dd6-575b-4705-96f1-d6f7a08d1ab5	Norfolk	Norfolk	3	0	2013-05-29 02:52:05.614839+02	\N	\N	\N	\N	\N	\N	f	
8446	f111016c-29b9-43aa-aa9d-cd28ae439be3	Ośno Lubuskie	Ośno Lubuskie	3	0	2013-06-01 17:15:38.105005+02	\N	\N	\N	\N	\N	\N	f	
7904	5846c362-0465-4183-ad27-76b7a9f55a18	Canton	Canton	3	0	2013-05-29 03:03:53.474835+02	\N	\N	\N	\N	\N	\N	f	
7934	dc8275aa-5b73-48ab-bea0-f16043fa90c7	Granville, North Dakota	Granville, North Dakota	3	0	2013-05-29 03:13:30.436527+02	\N	\N	\N	\N	\N	\N	f	
8461	b77f7fb3-899c-4bd2-baaf-8ddf55fd575f	Long Beach	Long Beach	3	0	2013-06-01 17:18:39.227302+02	\N	\N	\N	\N	\N	\N	f	
8203	226818fa-2c90-4528-9cdd-a110587e63f5	North Shoebury	North Shoebury	3	0	2013-05-30 21:16:30.606461+02	\N	\N	\N	\N	\N	\N	f	
8231	c1d85f1b-9134-405f-8a03-20c44fd04360	Vanimo	Vanimo	3	0	2013-05-30 21:23:28.625536+02	\N	\N	\N	\N	\N	\N	f	
9078	9f39573b-f631-4d6b-a9f1-d223644f68ab	Chengde	Chengde	3	0	2013-06-01 20:35:16.99994+02	\N	\N	\N	\N	\N	\N	f	
8573	ee6c89fb-c359-49d8-beda-7257b9d1d104	Blayney	Blayney	3	0	2013-06-01 17:44:09.71229+02	\N	\N	\N	\N	\N	\N	f	
8711	9cc3d10f-0e2a-41cb-9dbf-61a46470663e	Queanbeyan	Queanbeyan	3	0	2013-06-01 18:24:12.846604+02	\N	\N	\N	\N	\N	\N	f	
3135	f9e34887-852c-4e60-b6fd-ad8924d3f9a5	Centre-Sud	Centre-Sud	2	0	2013-06-05 11:05:36.206665+02	\N	\N	\N	\N	\N	\N	f	
8835	18285ba1-55ab-4680-b309-6e5c7a330de3	Stanstead	Stanstead	3	0	2013-06-01 19:37:56.896316+02	\N	\N	\N	\N	\N	\N	f	
9137	705d2206-1591-432f-9263-7ff6219cad58	Xinzhou	Xinzhou	3	0	2013-06-01 20:47:26.955107+02	\N	\N	\N	\N	\N	\N	f	
8842	d68f6dc2-2b90-49d3-b91a-b39ccc8b2b53	Ansbach	Ansbach	3	0	2013-06-01 19:39:29.459536+02	\N	\N	\N	\N	\N	\N	f	
9380	9b18bdf2-00b5-4a6d-beb6-fe4302b943b0	Sindi	Sindi	3	0	2013-06-04 22:24:39.714347+02	\N	\N	\N	\N	\N	\N	f	
9444	09fc2a39-030f-4570-923a-df39a360c97a	Jalalpore	Jalalpore	3	0	2013-06-09 17:39:33.904875+02	\N	\N	\N	\N	\N	\N	f	
3621	fb71ed63-3377-402c-aa8a-4ff3ed3e1320	Ash Shamālīyah	Ash Shamālīyah	2	0	2013-06-05 07:08:23.664287+02	\N	\N	\N	\N	\N	\N	f	
9839	90dfbc83-adf9-46f6-9729-a90e71171fb3	Minoh	Minoh	3	0	2013-06-18 03:51:55.809391+02	\N	\N	\N	\N	\N	\N	f	
9477	f8b4c428-dcf7-4e16-afe1-23bb12c4352e	Songadh	Songadh	3	0	2013-06-09 17:50:14.504348+02	\N	\N	\N	\N	\N	\N	f	
1179	bc1df1d4-778d-474c-b34f-11a4ca714622	Black Point	Black Point	2	0	2013-06-05 07:24:46.097564+02	\N	\N	\N	\N	\N	\N	f	
9494	44b30830-f0d9-4566-b0e7-083f1ffe89ef	Valod	Valod	3	0	2013-06-09 17:53:50.373757+02	\N	\N	\N	\N	\N	\N	f	
9620	a31283d6-4b83-4c6b-ad14-0199a907473a	Kankaanpää	Kankaanpää	3	0	2013-06-12 07:55:21.245481+02	\N	\N	\N	\N	\N	\N	f	
10001	ff9156d3-90ec-40d6-8ca9-58bf4a3e54b5	Muroto	Muroto	3	0	2013-06-18 07:54:24.749533+02	\N	\N	\N	\N	\N	\N	f	
3622	d0248a33-72c2-4d0e-a160-366a78137dec	An Nīl	An Nīl	2	0	2013-06-05 11:38:02.305825+02	\N	\N	\N	\N	\N	\N	f	
9970	dde60701-4fb9-45cb-aff2-0fa6e6e2874d	Asahi	Asahi	3	0	2013-06-18 07:34:19.521534+02	\N	\N	\N	\N	\N	\N	f	
10046	e2b2fb23-3103-4553-87f8-1562ed76fc70	Tsuyama	Tsuyama	3	0	2013-06-18 08:11:08.954078+02	\N	\N	\N	\N	\N	\N	f	
10126	3a572049-9ab6-49f4-807b-6a8c0a5a2fa9	Kasuya	Kasuya	3	0	2013-06-18 14:35:47.48342+02	\N	\N	\N	\N	\N	\N	f	
10130	493ed1bc-eb52-4349-88f7-8e079c23e07a	Yoshitomi	Yoshitomi	3	0	2013-06-18 14:36:29.983635+02	\N	\N	\N	\N	\N	\N	f	
10133	6f26d171-2d5a-4e13-888d-e9b4b4ab40c9	Aka	Aka	3	0	2013-06-18 14:37:01.50086+02	\N	\N	\N	\N	\N	\N	f	
10169	0c81089f-621b-4c30-acf3-a5d81f07f84b	Tijuana	Tijuana	3	0	2013-06-18 14:44:26.71709+02	\N	\N	\N	\N	\N	\N	f	
10220	097c5bec-4fb7-4283-8128-10dab329e765	Ogi	Ogi	3	0	2013-06-18 15:17:13.363151+02	\N	\N	\N	\N	\N	\N	f	
10307	0da11505-65c1-4f1d-b998-8375c95ffd47	Ando	Ando	3	0	2013-06-18 17:31:01.469828+02	\N	\N	\N	\N	\N	\N	f	
10263	c845dffe-2b1e-4b12-8e01-dce7b7142083	Achi	Achi	3	0	2013-06-18 17:23:09.778766+02	\N	\N	\N	\N	\N	\N	f	
10324	8369b210-3306-4293-8f9d-58f611a4c4fb	Yuasa	Yuasa	3	0	2013-06-18 17:34:35.23481+02	\N	\N	\N	\N	\N	\N	f	
15482	01aa1a82-c87f-4a86-9b4d-70bec636239a	Montasola	Montasola	4	0	2013-07-22 00:55:26.177503+02	\N	\N	\N	\N	\N	\N	f	
13766	ac09f792-328e-4c78-bcae-1fa5efd822ac	Verrua Savoia	Verrua Savoia	4	0	2013-07-21 19:07:43.424414+02	\N	\N	\N	\N	\N	\N	f	
2619	06758267-9df0-48c6-9e64-4b6c40337db4	Ha Noi	Ha Noi	3	0	2013-05-24 01:13:54.240864+02	\N	\N	\N	\N	\N	\N	f	
3623	694a8c7e-b947-4ad4-96e7-629a985062ef	An Nīl al Abyaḑ	An Nīl al Abyaḑ	2	0	2013-06-05 08:32:00.099068+02	\N	\N	\N	\N	\N	\N	f	
17296	f4b50a5e-07f8-4c13-850e-c9db4e5d27b5	Vizzola Ticino	Vizzola Ticino	4	0	2013-07-22 06:09:27.167929+02	\N	\N	\N	\N	\N	\N	f	
4591	a4382217-8e68-4101-8ac0-2f14a31dd44d	Dublin	Dublin	2	0	2013-05-22 14:17:11.093797+02	\N	\N	\N	\N	\N	\N	f	
13804	f2c96fbd-253f-4ab9-9828-41f6a120c255	Capovalle	Capovalle	4	0	2013-07-21 19:15:50.893404+02	\N	\N	\N	\N	\N	\N	f	
3627	8a2a7450-8ab1-485f-b63d-f849f2966c0b	Saint Helena	Saint Helena	2	0	2013-05-21 14:14:28.254416+02	\N	\N	\N	\N	\N	\N	f	
3628	d19ab530-a1d4-4c89-ba92-d89ed771fcac	Tristan da Cunha	Tristan da Cunha	2	0	2013-05-21 14:14:38.703505+02	\N	\N	\N	\N	\N	\N	f	
4723	270ae9bd-9c7f-42df-9c51-6831980d7d43	Saint James Windward	Saint James Windward	2	0	2013-05-22 14:54:58.315737+02	\N	\N	\N	\N	\N	\N	f	
3634	b0361ff7-e4fd-439d-91bb-48aad9299c1c	Dakar	Dakar	2	0	2013-05-21 14:15:42.130914+02	\N	\N	\N	\N	\N	\N	f	
3636	b4468fcc-b12f-4048-9d50-8b65d893b0af	Kaffrine	Kaffrine	2	0	2013-05-21 14:16:04.158184+02	\N	\N	\N	\N	\N	\N	f	
3639	328a3074-d828-4880-8477-45441b266061	Kaolack	Kaolack	2	0	2013-05-21 14:16:36.500714+02	\N	\N	\N	\N	\N	\N	f	
4851	86bfd18b-f7de-47c0-97bf-fe97e35311fc	Zomba	Zomba	2	0	2013-05-22 15:31:58.74211+02	\N	\N	\N	\N	\N	\N	f	
3641	7a6e3373-d607-4cb3-90a1-0d7215c897bf	Matam	Matam	2	0	2013-05-21 14:16:57.647273+02	\N	\N	\N	\N	\N	\N	f	
3642	2683b2ec-c014-4454-af89-b6afe57c87de	Sédhiou	Sédhiou	2	0	2013-05-21 14:17:08.289896+02	\N	\N	\N	\N	\N	\N	f	
5095	bdf7509d-e81a-4286-a55b-c159be4267d7	Montevideo	Montevideo	3	0	2013-05-24 22:26:31.143416+02	\N	\N	\N	\N	\N	\N	f	
4890	b7b6b93c-03ca-47fb-a74f-6dec119af598	Bataan	Bataan	2	0	2013-06-05 08:50:01.784842+02	\N	\N	\N	\N	\N	\N	f	
4911	34a3d824-d808-4609-836e-e29974558aac	Dinagat Islands	Dinagat Islands	2	0	2013-05-22 15:48:41.37054+02	\N	\N	\N	\N	\N	\N	f	
6145	9c58cd5f-d8b4-4391-9b28-e55ed694a5e2	Abdan	Abdan	3	0	2013-05-25 02:01:24.342621+02	\N	\N	\N	\N	\N	\N	f	
4919	970055f6-97b4-4cad-abf1-9db58f9530d8	Kalinga	Kalinga	2	0	2013-05-22 15:50:16.76724+02	\N	\N	\N	\N	\N	\N	f	
5149	58e7d7c8-3849-4a0b-bcce-2cf8c3c76437	Goslar	Goslar	3	0	2013-05-24 22:36:55.874145+02	\N	\N	\N	\N	\N	\N	f	
4988	b711a4ba-edbc-44e9-8555-9bf150aecce7	Nakaseke	Nakaseke	2	0	2013-05-22 16:03:48.597409+02	\N	\N	\N	\N	\N	\N	f	
4999	f327b94d-44fd-43b5-90f4-e37638580520	Pallisa	Pallisa	2	0	2013-05-22 16:05:50.786195+02	\N	\N	\N	\N	\N	\N	f	
5726	b7c41079-9dd5-4737-9c8e-ba3b3a779064	Ōda	Ōda	3	0	2013-05-25 00:38:27.460125+02	\N	\N	\N	\N	\N	\N	f	
5266	510eda9c-6f8c-44c9-99b8-7dd568b66185	Carson City	Carson City	3	0	2013-05-24 23:00:08.412461+02	\N	\N	\N	\N	\N	\N	f	
5413	cc65266f-a1ae-4599-8a72-ad7e3a65b906	Włocławek	Włocławek	3	0	2013-05-24 23:29:25.972828+02	\N	\N	\N	\N	\N	\N	f	
5592	470a1cfc-d80b-4ba4-9567-b474fcbdb80b	Nablus	Nablus	3	0	2013-05-25 00:09:33.572823+02	\N	\N	\N	\N	\N	\N	f	
5743	8d608ee1-8932-484a-bd30-5887da7e2343	Komaki	Komaki	3	0	2013-05-25 00:42:34.176803+02	\N	\N	\N	\N	\N	\N	f	
5777	e8c13f98-10e9-4f44-bcce-8f76535734a6	Zangiabad	Zangiabad	3	0	2013-05-25 00:49:22.324307+02	\N	\N	\N	\N	\N	\N	f	
6151	f37085b4-fd9b-4f69-9d2e-88da0cadf776	Peekskill	Peekskill	3	0	2013-05-25 02:02:31.205582+02	\N	\N	\N	\N	\N	\N	f	
5813	7699921d-b6d4-4f3d-afe1-abf24ec1369b	Covington	Covington	3	0	2013-05-25 00:56:07.088791+02	\N	\N	\N	\N	\N	\N	f	
5883	49a583a4-1f38-44f6-a397-0c77dd379938	Lesko	Lesko	3	0	2013-05-25 01:11:25.106751+02	\N	\N	\N	\N	\N	\N	f	
5884	390ef83c-dc24-4649-8998-bc4e9b9e0318	Włoszczowa	Włoszczowa	3	0	2013-05-25 01:11:35.93808+02	\N	\N	\N	\N	\N	\N	f	
6269	c2702d15-63f9-4644-97e2-e9eeccd8e44d	Luling	Luling	3	0	2013-05-25 02:26:27.070841+02	\N	\N	\N	\N	\N	\N	f	
5897	977080b2-662b-404c-8dcc-8501c98471a3	Bandar Charak	Bandar Charak	3	0	2013-05-25 01:14:06.602166+02	\N	\N	\N	\N	\N	\N	f	
5966	094a5644-6482-4ba7-85b5-c742f319ad16	Omidiyeh	Omidiyeh	3	0	2013-05-25 01:27:48.332814+02	\N	\N	\N	\N	\N	\N	f	
6404	e5c3dd4d-97a9-489c-8bd9-02fa214611e9	Holyoke	Holyoke	3	0	2013-05-25 02:58:57.624376+02	\N	\N	\N	\N	\N	\N	f	
5970	a642373f-36ab-45b9-823f-0e84343e1d2b	Jiroft	Jiroft	3	0	2013-05-25 01:28:29.872416+02	\N	\N	\N	\N	\N	\N	f	
6283	5eaaa298-5fc1-47dc-a23b-8bbf209dd53c	Paradise	Paradise	3	0	2013-05-25 02:29:24.638111+02	\N	\N	\N	\N	\N	\N	f	
6006	687d83cd-c2e7-425b-b49c-19fd2460cebd	Nurabad	Nurabad	3	0	2013-05-25 01:34:46.404602+02	\N	\N	\N	\N	\N	\N	f	
6011	ebfed9f2-f92d-4e4a-83c0-5a7732aa3b4d	Qa'em-Shahr	Qa'em-Shahr	3	0	2013-05-25 01:35:41.545118+02	\N	\N	\N	\N	\N	\N	f	
7863	d9d1f31b-f13e-4660-a2d6-8a2ba10eb6f4	Oregon	Oregon	3	0	2013-05-29 02:52:20.394758+02	\N	\N	\N	\N	\N	\N	f	
7080	b992e45e-5eb0-491b-b3d0-ad0698149211	Laurel	Laurel	3	0	2013-05-26 16:47:35.443359+02	\N	\N	\N	\N	\N	\N	f	
6338	0d197615-f05f-49b8-9eb0-d7aea2b925a0	Centerville	Centerville	3	0	2013-05-25 02:42:28.695082+02	\N	\N	\N	\N	\N	\N	f	
6103	c346b4ee-d34f-4676-bc01-3e694cdd6b5d	Mikasa	Mikasa	3	0	2013-05-25 01:53:56.272204+02	\N	\N	\N	\N	\N	\N	f	
6104	dd66c66d-c4b4-4db6-9f8d-92b208cae49f	Jasło	Jasło	3	0	2013-05-25 01:54:06.728692+02	\N	\N	\N	\N	\N	\N	f	
6895	712c0878-f9d7-4ea5-b1a6-ecaa702f3187	Otaqvar	Otaqvar	3	0	2013-05-25 04:36:17.662743+02	\N	\N	\N	\N	\N	\N	f	
6122	6149146d-829b-47fe-a245-1522d1a1cd0e	Bishop	Bishop	3	0	2013-05-25 01:57:25.019338+02	\N	\N	\N	\N	\N	\N	f	
6567	219092d1-055b-4d3c-b31c-c72f0f5fba27	Bonjar	Bonjar	3	0	2013-05-25 03:34:23.539136+02	\N	\N	\N	\N	\N	\N	f	
6605	17ecda18-7775-43ff-9b1e-cc75ecf9c343	Sarayan	Sarayan	3	0	2013-05-25 03:41:06.093033+02	\N	\N	\N	\N	\N	\N	f	
6610	56274a47-5397-4d85-8d8b-a3a9a540dadc	Darjazin	Darjazin	3	0	2013-05-25 03:41:57.204504+02	\N	\N	\N	\N	\N	\N	f	
6043	bed193ed-f886-4041-877a-2c9e64f9ab88	New Rochelle	New Rochelle	3	0	2013-05-26 14:23:36.248661+02	\N	\N	\N	\N	\N	\N	f	
6837	1f5a8461-240b-4e6b-85d3-f2d60b38a3dc	Jebalbarez	Jebalbarez	3	0	2013-05-25 04:25:03.452115+02	\N	\N	\N	\N	\N	\N	f	
6849	a34b5f91-4922-4de5-97d6-5fa7b2f25e5f	Veysian	Veysian	3	0	2013-05-25 04:27:10.975615+02	\N	\N	\N	\N	\N	\N	f	
7144	b634e54f-30db-480f-9eed-2c3529df99cc	Nisko	Nisko	3	0	2013-05-26 17:04:19.034055+02	\N	\N	\N	\N	\N	\N	f	
6888	6f1a6230-6430-4347-897f-e6a9cf7540f4	Pish Qaleh	Pish Qaleh	3	0	2013-05-25 04:34:29.51199+02	\N	\N	\N	\N	\N	\N	f	
6894	f53a3f5f-d30d-4e88-b703-2b846880e6c4	Bab Anar	Bab Anar	3	0	2013-05-25 04:36:06.777548+02	\N	\N	\N	\N	\N	\N	f	
7208	9abc90b5-625b-4e86-8b5c-1145bb2e824d	Krośniewice	Krośniewice	3	0	2013-05-26 17:19:25.858708+02	\N	\N	\N	\N	\N	\N	f	
7919	f3419deb-8501-4b07-ad1d-998fe38975ba	Okoboji	Okoboji	3	0	2013-05-29 03:08:29.54441+02	\N	\N	\N	\N	\N	\N	f	
7209	e0edb671-bb44-4ce3-b38b-c803d53d029f	Alva	Alva	3	0	2013-05-26 17:19:39.964691+02	\N	\N	\N	\N	\N	\N	f	
7583	f55a0bc0-b6e1-4239-ae4b-2b9fe85fd9a4	Geisenheim	Geisenheim	3	0	2013-05-29 00:51:07.385797+02	\N	\N	\N	\N	\N	\N	f	
8250	d283d6e8-1be1-4e4b-8063-5fd27addd8d9	Labets	Labets	3	0	2013-05-30 21:28:14.23758+02	\N	\N	\N	\N	\N	\N	f	
8081	4027ac14-9e17-46a9-9293-9cd355c16650	Attigliano	Attigliano	3	0	2013-05-30 18:42:00.914143+02	\N	\N	\N	\N	\N	\N	f	
8378	aa6b0ade-01cd-4e1d-ab3a-bc88e8e2287d	Berkhamsted	Berkhamsted	3	0	2013-05-30 21:57:38.072116+02	\N	\N	\N	\N	\N	\N	f	
8204	9dd09b9b-1835-4134-86d8-2e2d810aad93	Avigliano Umbro	Avigliano Umbro	3	0	2013-05-30 21:16:47.679917+02	\N	\N	\N	\N	\N	\N	f	
8353	c7c24a84-f3a6-4ccb-abb7-bba81685ee38	Córdoba	Córdoba	3	0	2013-05-30 21:52:03.076672+02	\N	\N	\N	\N	\N	\N	f	
8358	a414f3c4-ecd0-4e43-b736-60a1afb6f362	Melton Mowbray	Melton Mowbray	3	0	2013-05-30 21:53:10.493727+02	\N	\N	\N	\N	\N	\N	f	
8392	b0697d4e-e545-44ea-b5d6-d779de941a77	Suginami	Suginami	3	0	2013-05-30 23:13:49.715725+02	\N	\N	\N	\N	\N	\N	f	
8423	f9484bee-a3dc-4be7-88b1-4816cf492743	Syców	Syców	3	0	2013-06-01 17:10:50.379416+02	\N	\N	\N	\N	\N	\N	f	
8552	31f22f66-0d46-495b-86de-1a18e068281e	Nasielsk	Nasielsk	3	0	2013-06-01 17:39:04.737076+02	\N	\N	\N	\N	\N	\N	f	
8575	acb7dfd9-2109-4b82-b1ef-132bfec8df08	Suraż	Suraż	3	0	2013-06-01 17:44:31.802582+02	\N	\N	\N	\N	\N	\N	f	
8577	040dc72d-6625-4ae3-bcfe-e4e6f6ab0951	Moree	Moree	3	0	2013-06-01 17:45:11.499839+02	\N	\N	\N	\N	\N	\N	f	
8712	13bd1af9-7d01-4bb6-99fd-e64b020e01e5	Parkes, New South Wales	Parkes, New South Wales	3	0	2013-06-01 18:24:23.605252+02	\N	\N	\N	\N	\N	\N	f	
8836	56cfdced-8753-43d5-98fa-5a72ac4db635	Miejska Górka	Miejska Górka	3	0	2013-06-01 19:38:08.099741+02	\N	\N	\N	\N	\N	\N	f	
8892	c467f777-a288-4506-8561-7b4df22e0ddf	Garretson	Garretson	3	0	2013-06-01 19:53:29.766479+02	\N	\N	\N	\N	\N	\N	f	
3630	46be4720-78ad-4367-b937-175f235b3d47	Northern	Northern	2	0	2013-05-21 14:14:59.782852+02	\N	\N	\N	\N	\N	\N	f	
3631	6f3c1423-c9fb-433b-84ce-b98deabae7a7	Southern	Southern	2	0	2013-05-21 14:15:10.397504+02	\N	\N	\N	\N	\N	\N	f	
3672	716e0d63-bdb7-44cc-a28b-969e8a201a31	Upper Nile	Upper Nile	2	0	2013-05-21 14:22:38.952344+02	\N	\N	\N	\N	\N	\N	f	
4592	bbd67e6e-8f53-4ee2-a067-6132f817142a	Donegal	Donegal	2	0	2013-05-22 14:17:28.253726+02	\N	\N	\N	\N	\N	\N	f	
4724	8862a0f4-0af8-45a2-893a-5434f1fa127b	Saint John Capisterre	Saint John Capisterre	2	0	2013-05-22 14:55:15.369988+02	\N	\N	\N	\N	\N	\N	f	
4727	1cf6dc71-4d4e-4d6d-82e9-bd8b8bafc431	Saint Thomas Middle Island	Saint Thomas Middle Island	2	0	2013-05-22 14:56:07.612296+02	\N	\N	\N	\N	\N	\N	f	
5096	0b565bc6-05e7-4c3a-bc28-075fabd9a8d0	Maastricht	Maastricht	3	0	2013-05-24 22:26:42.044852+02	\N	\N	\N	\N	\N	\N	f	
4989	0bb94854-eeeb-4a36-a09b-9cd2bf0ba81f	Lyantonde	Lyantonde	2	0	2013-05-22 16:03:59.289759+02	\N	\N	\N	\N	\N	\N	f	
5034	12b5771c-04bf-460b-a371-cb2a63f6ffc8	Oyam	Oyam	2	0	2013-05-22 16:12:34.172581+02	\N	\N	\N	\N	\N	\N	f	
2621	c2839e36-3a65-4c80-96ea-7b6e4e73dae3	Ho Chi Minh	Ho Chi Minh	3	0	2013-05-24 01:14:46.692407+02	\N	\N	\N	\N	\N	\N	f	
5123	9cce4ffb-7834-434c-ab2b-1c7074b4c70a	Skierniewice	Skierniewice	3	0	2013-05-24 22:32:01.560858+02	\N	\N	\N	\N	\N	\N	f	
5727	2c0d63d1-3cc6-49ef-95b5-060523c1dabc	Łęczna	Łęczna	3	0	2013-05-25 00:38:38.334911+02	\N	\N	\N	\N	\N	\N	f	
5267	7e5e7fd7-c1eb-4cb8-87e2-fb1c0eda9e48	Buffalo	Buffalo	3	0	2013-05-24 23:00:20.411863+02	\N	\N	\N	\N	\N	\N	f	
8970	69823e2e-8e77-4a12-a7d6-bfe4ebf71b15	Xinyang	Xinyang	3	0	2013-06-01 20:12:36.085718+02	\N	\N	\N	\N	\N	\N	f	
7081	4dca9439-d741-482d-b5f1-440a16c01b42	Końskie	Końskie	3	0	2013-05-26 16:47:51.808294+02	\N	\N	\N	\N	\N	\N	f	
5593	6d9bdb7b-a7ad-4663-96e8-b108141dfa52	Preveza	Preveza	3	0	2013-05-25 00:09:46.11972+02	\N	\N	\N	\N	\N	\N	f	
5885	73c7ef69-10e7-4f09-8f1e-81dce6ad25a9	Błonie	Błonie	3	0	2013-05-25 01:11:46.864026+02	\N	\N	\N	\N	\N	\N	f	
5635	9dfb23e8-a9f9-45e4-88cc-6d59993a6269	Tsukuba	Tsukuba	3	0	2013-05-25 00:19:19.022051+02	\N	\N	\N	\N	\N	\N	f	
6406	6f9a378d-32c0-4107-ab3c-4d904a0b5bc6	Worcester	Worcester	3	0	2013-05-25 02:59:18.666716+02	\N	\N	\N	\N	\N	\N	f	
6105	ef9f34e1-8146-40f4-89c4-d3719b258152	Camarillo	Camarillo	3	0	2013-05-25 01:54:17.591252+02	\N	\N	\N	\N	\N	\N	f	
6174	c5987c6d-9533-42fd-980f-a0a7f45a1fb8	Dargahan	Dargahan	3	0	2013-05-25 02:06:44.65679+02	\N	\N	\N	\N	\N	\N	f	
6183	b2fd79b4-eb2e-4ae8-a01b-7dc229896fde	Abadeh Tashk	Abadeh Tashk	3	0	2013-05-25 02:08:22.590726+02	\N	\N	\N	\N	\N	\N	f	
6570	076164dc-3592-41b4-90a8-00c88aa45e5d	Bazman	Bazman	3	0	2013-05-25 03:34:54.208846+02	\N	\N	\N	\N	\N	\N	f	
6202	7cee1ff9-75b5-4f47-98d3-4165a8de4271	Qir	Qir	3	0	2013-05-25 02:11:45.117904+02	\N	\N	\N	\N	\N	\N	f	
6217	1d565314-0fcd-4e2d-8a1e-3701dfcedf70	Hrubieszów	Hrubieszów	3	0	2013-05-25 02:14:36.203282+02	\N	\N	\N	\N	\N	\N	f	
8542	151ed031-eadd-4b4f-ba94-40c0a11713a2	Moruya	Moruya	3	0	2013-06-01 17:36:27.431093+02	\N	\N	\N	\N	\N	\N	f	
6230	69af636c-2123-402e-af16-716c82544029	Columbus	Columbus	3	0	2013-05-25 02:17:08.573478+02	\N	\N	\N	\N	\N	\N	f	
6621	833815a6-294d-434c-8818-2af6e82ca9ae	Mehrdasht	Mehrdasht	3	0	2013-05-25 03:44:45.001392+02	\N	\N	\N	\N	\N	\N	f	
6247	4faacded-b2d5-4168-9386-24edb3a45567	Scottsbluff	Scottsbluff	3	0	2013-05-25 02:21:51.515244+02	\N	\N	\N	\N	\N	\N	f	
7083	55ddfaf0-d400-404a-9fa2-21129aa36333	Kazimierz Dolny	Kazimierz Dolny	3	0	2013-05-26 16:48:24.951372+02	\N	\N	\N	\N	\N	\N	f	
6339	afae6c60-1e57-4071-99bd-b16a9d9c7eda	Hamburg	Hamburg	3	0	2013-05-25 02:42:45.256931+02	\N	\N	\N	\N	\N	\N	f	
6626	608c9793-efc0-4fae-aa4f-090cf9702a24	Armaghankhaneh	Armaghankhaneh	3	0	2013-05-25 03:45:45.344539+02	\N	\N	\N	\N	\N	\N	f	
6731	b17dd2dc-2f55-4544-8f61-5cdc1b6343c9	Ramian	Ramian	3	0	2013-05-25 04:04:43.702474+02	\N	\N	\N	\N	\N	\N	f	
7210	ff1010b5-98a5-4c0c-9d9b-40297856d6b7	Piotrków Kujawski	Piotrków Kujawski	3	0	2013-05-26 17:19:51.050178+02	\N	\N	\N	\N	\N	\N	f	
6747	39ef706e-5057-47a6-8c4c-37fe9906d3b5	Andisheh	Andisheh	3	0	2013-05-25 04:08:33.202738+02	\N	\N	\N	\N	\N	\N	f	
6838	507c379c-3b29-4a2e-8f6d-446ff0fe5362	Karchan	Karchan	3	0	2013-05-25 04:25:13.667928+02	\N	\N	\N	\N	\N	\N	f	
6856	b45ed731-ee00-4191-89e4-f9011f36c4ef	Delvar	Delvar	3	0	2013-05-25 04:28:23.15076+02	\N	\N	\N	\N	\N	\N	f	
7584	3a5a2559-1e79-4569-8437-89d391236da7	Bad Soden-Salmünster	Bad Soden-Salmünster	3	0	2013-05-29 00:51:21.710168+02	\N	\N	\N	\N	\N	\N	f	
6871	bb419fc2-0efe-41f2-b010-6b1459bfff09	Abali	Abali	3	0	2013-05-25 04:31:06.189014+02	\N	\N	\N	\N	\N	\N	f	
6897	e2be3c8a-3942-4502-9f05-fac7b94185e5	Shahedshahr	Shahedshahr	3	0	2013-05-25 04:36:38.322821+02	\N	\N	\N	\N	\N	\N	f	
8556	8990cbfe-3e93-45d3-b241-ffd123f4e610	West Wyalong	West Wyalong	3	0	2013-06-01 17:40:06.482218+02	\N	\N	\N	\N	\N	\N	f	
5414	1fee56fe-5b76-4a50-bc63-37ee51d3300f	Syracuse	Syracuse	3	0	2013-05-26 14:15:25.205612+02	\N	\N	\N	\N	\N	\N	f	
7865	a700b590-4302-4de6-9609-e73a8f89bf28	Macon	Macon	3	0	2013-05-29 02:53:16.816898+02	\N	\N	\N	\N	\N	\N	f	
8083	f1ec9b8b-b812-4cd2-9673-1dadf42cf974	Singleton	Singleton	3	0	2013-05-30 18:42:25.542922+02	\N	\N	\N	\N	\N	\N	f	
904	b24a4962-58f5-4f59-b6e8-71ac3052fbfe	Birgu	Birgu	2	0	2013-06-05 11:43:54.131333+02	\N	\N	\N	\N	\N	\N	f	
8086	741195f7-328f-424b-acd2-83f096d6b9eb	Holland	Holland	3	0	2013-05-30 18:43:06.119168+02	\N	\N	\N	\N	\N	\N	f	
8576	8f7c3628-a3e0-469f-a6ff-d7a72211d073	Nashville	Nashville	3	0	2013-06-01 17:45:00.884408+02	\N	\N	\N	\N	\N	\N	f	
8208	b022ba9f-17b8-4613-9fb6-16b7815dbd75	Fyansford	Fyansford	3	0	2013-05-30 21:17:38.455869+02	\N	\N	\N	\N	\N	\N	f	
8393	f19902db-479c-4b7b-a167-1f0dcd1dc2b6	Shibuya	Shibuya	3	0	2013-05-30 23:14:20.223536+02	\N	\N	\N	\N	\N	\N	f	
9082	2ebb5d87-dfbf-45e9-a771-cea72a913bcd	Langfang	Langfang	3	0	2013-06-01 20:36:00.740102+02	\N	\N	\N	\N	\N	\N	f	
8424	7e07781b-5e34-40e5-86c3-dcfd2451f705	Pszów	Pszów	3	0	2013-06-01 17:11:11.906134+02	\N	\N	\N	\N	\N	\N	f	
8594	abbf7d40-993a-4fcc-b835-610b8c3d6f67	Pilawa	Pilawa	3	0	2013-06-01 17:49:30.362732+02	\N	\N	\N	\N	\N	\N	f	
8444	72a66c1d-b929-41b1-b5ad-639a41b05274	Drobin	Drobin	3	0	2013-06-01 17:15:14.853746+02	\N	\N	\N	\N	\N	\N	f	
8595	94b972fb-bb22-4491-ba08-dbf5f0afbd44	Mitchell	Mitchell	3	0	2013-06-01 17:49:53.217505+02	\N	\N	\N	\N	\N	\N	f	
4852	8bed09da-2374-4924-9cf3-dd9042331b4f	Bagmati	Bagmati	2	0	2013-06-05 07:29:03.192516+02	\N	\N	\N	\N	\N	\N	f	
9381	3d0eea1c-0a7c-4e65-8083-55e6a9aef702	Tõrva	Tõrva	3	0	2013-06-04 22:26:57.2495+02	\N	\N	\N	\N	\N	\N	f	
8837	1962050d-2fb6-4ba7-8d60-e1924d573efb	Hengyang	Hengyang	3	0	2013-06-01 19:38:26.647412+02	\N	\N	\N	\N	\N	\N	f	
8713	5f5aa23c-8300-4dce-b94e-b38174ee48c5	Ho	Ho	3	0	2013-06-05 06:45:47.334703+02	\N	\N	\N	\N	\N	\N	f	
3192	b6caa67b-166a-4ca2-b958-402c643806d2	Bamingui-Bangoran	Bamingui-Bangoran	2	0	2013-06-05 11:06:44.284347+02	\N	\N	\N	\N	\N	\N	f	
9445	2d76511c-fcf3-497c-b6d3-cc195047c3c3	Morvi	Morvi	3	0	2013-06-09 17:40:17.649048+02	\N	\N	\N	\N	\N	\N	f	
3134	2cbe85bc-5906-426d-86dd-bb9dcb2bd8c5	Centre-Ouest	Centre-Ouest	2	0	2013-06-05 07:25:40.810667+02	\N	\N	\N	\N	\N	\N	f	
9974	c91924fb-9576-4843-8b13-bf45ab100950	Tokashiki	Tokashiki	3	0	2013-06-18 07:35:06.830236+02	\N	\N	\N	\N	\N	\N	f	
9840	3c17858c-a80a-44aa-a95e-28f46e2f79ed	Wakō	Wakō	3	0	2013-06-18 03:52:06.023373+02	\N	\N	\N	\N	\N	\N	f	
9971	1833b0df-c69d-45a4-abf4-972ec12041bb	Kijō	Kijō	3	0	2013-06-18 07:34:29.941896+02	\N	\N	\N	\N	\N	\N	f	
13769	cc26ae52-e419-4da9-8d6c-a9c4ed80c49b	Anfo	Anfo	4	0	2013-07-21 19:08:19.169747+02	\N	\N	\N	\N	\N	\N	f	
9915	2f2eba6f-c0d1-431e-84a8-26ee44498c6d	Nishiwaki	Nishiwaki	3	0	2013-06-18 04:10:19.622665+02	\N	\N	\N	\N	\N	\N	f	
9920	a9d70f6d-4e33-4d7d-94dc-e03b177c38de	Shiki	Shiki	3	0	2013-06-18 04:11:12.606505+02	\N	\N	\N	\N	\N	\N	f	
10047	3735bed1-44d1-4391-a514-e48b861dace9	Hashimoto	Hashimoto	3	0	2013-06-18 08:11:25.832252+02	\N	\N	\N	\N	\N	\N	f	
10129	b05effc3-170c-4934-b5b2-6061e876695d	Sue	Sue	3	0	2013-06-18 14:36:19.704999+02	\N	\N	\N	\N	\N	\N	f	
10138	a80b80f3-b1ec-4fc8-83d6-d4800a831864	Soeda	Soeda	3	0	2013-06-18 14:37:55.575885+02	\N	\N	\N	\N	\N	\N	f	
10211	3003f728-2040-469a-98a9-3f3c4f120fd0	Ashiya	Ashiya	3	0	2013-06-18 15:12:09.490477+02	\N	\N	\N	\N	\N	\N	f	
14389	7429dd24-8672-47b3-8ef1-1926140b1dc8	Cereseto	Cereseto	4	0	2013-07-21 21:26:57.043739+02	\N	\N	\N	\N	\N	\N	f	
10223	476877fd-e237-474c-927a-d23ce341e225	Kanzaki	Kanzaki	3	0	2013-06-18 15:21:43.382608+02	\N	\N	\N	\N	\N	\N	f	
13866	788df711-f9a5-44e2-93ba-ebe9395dd1f1	Offlaga	Offlaga	4	0	2013-07-21 19:30:21.608717+02	\N	\N	\N	\N	\N	\N	f	
10264	d3e096a9-652a-448f-9c48-fe2f70fc3ae2	Shimoichi	Shimoichi	3	0	2013-06-18 17:23:20.214239+02	\N	\N	\N	\N	\N	\N	f	
16928	20c8ffbb-71f8-4cc2-97dc-19eacf415aa3	Este	Este	4	0	2013-07-22 05:12:47.301389+02	\N	\N	\N	\N	\N	\N	f	
10308	a8f8a6ed-0cf8-49a5-abfc-19423b5b5772	Miyota	Miyota	3	0	2013-06-18 17:31:11.7638+02	\N	\N	\N	\N	\N	\N	f	
3632	7af1ac29-b5b7-4e5d-aac6-18cffc4ecb1f	Western Area (Freetown)	Western Area (Freetown)	2	0	2013-05-21 14:15:20.967439+02	\N	\N	\N	\N	\N	\N	f	
3633	3fe68064-9d55-42b8-87ab-334448983cd6	Diourbel	Diourbel	2	0	2013-05-21 14:15:31.593421+02	\N	\N	\N	\N	\N	\N	f	
2495	8ca93644-c3a4-41f4-aba4-39bd13736393	Almaty	Almaty	3	0	2013-05-24 01:19:14.654825+02	\N	\N	\N	\N	\N	\N	f	
3644	82a77b19-fa24-4079-b36c-7768b653f1b2	Tambacounda	Tambacounda	2	0	2013-05-21 14:17:29.39257+02	\N	\N	\N	\N	\N	\N	f	
4593	3fca5006-e6c6-4935-b1f5-baa80df5a95c	Galway	Galway	2	0	2013-05-22 14:17:57.037472+02	\N	\N	\N	\N	\N	\N	f	
3645	8e9d3c90-a216-4829-8afe-3ad4b922d9a2	Thiès	Thiès	2	0	2013-05-21 14:17:40.041885+02	\N	\N	\N	\N	\N	\N	f	
4726	7bfb4691-e2f6-4245-9f34-c781b450d36b	Saint Peter Basseterre	Saint Peter Basseterre	2	0	2013-05-22 14:55:52.008514+02	\N	\N	\N	\N	\N	\N	f	
3657	7c15f289-bed2-4b41-9df1-84b87be8046b	Mudug	Mudug	2	0	2013-05-21 14:19:52.583781+02	\N	\N	\N	\N	\N	\N	f	
3658	ee30d38e-4c0a-42e3-b5ce-4ccafcb6f2a1	Nugaal	Nugaal	2	0	2013-05-21 14:20:03.635039+02	\N	\N	\N	\N	\N	\N	f	
4854	c79a5fa8-6b0b-4a6b-8538-fc7b0ae99f2c	Dhawalagiri	Dhawalagiri	2	0	2013-05-22 15:32:45.632442+02	\N	\N	\N	\N	\N	\N	f	
3662	e7f5c26e-8c5a-47dd-85ad-526ded6964ba	Sool	Sool	2	0	2013-05-21 14:20:47.11288+02	\N	\N	\N	\N	\N	\N	f	
3669	f729fcec-79c9-4983-be20-61b00455ce93	Western Equatoria	Western Equatoria	2	0	2013-05-21 14:22:05.791561+02	\N	\N	\N	\N	\N	\N	f	
5097	5700296b-e1be-49bc-868e-3e277ad1b2cd	Almelo	Almelo	3	0	2013-05-24 22:26:52.218738+02	\N	\N	\N	\N	\N	\N	f	
3670	e3b2318c-3e88-4602-bbb4-0378e1acec8b	Jonglei	Jonglei	2	0	2013-05-21 14:22:17.527619+02	\N	\N	\N	\N	\N	\N	f	
3262	17e3b2a8-5d9c-4441-ae1c-26231ff820d2	Biskra	Biskra	2	0	2013-06-05 11:07:49.978063+02	\N	\N	\N	\N	\N	\N	f	
3675	41507774-a4b4-4539-a75e-949c69a31a37	Príncipe	Príncipe	2	0	2013-05-21 14:23:11.509569+02	\N	\N	\N	\N	\N	\N	f	
5730	a8c2e8ca-df05-4772-8b47-914279b4c746	Yasuj	Yasuj	3	0	2013-05-25 00:39:10.615468+02	\N	\N	\N	\N	\N	\N	f	
5103	b8c7dbf2-3b35-46ab-b2ec-3e8b7934ef55	Pune	Pune	3	0	2013-05-24 22:28:11.013742+02	\N	\N	\N	\N	\N	\N	f	
5268	490ee39f-c553-4821-941d-3230fdbd3615	Aleppo	Aleppo	3	0	2013-05-24 23:00:31.844432+02	\N	\N	\N	\N	\N	\N	f	
5368	454c0f86-f7d5-427b-b809-e7cfd5bf4ea0	Khaledabad	Khaledabad	3	0	2013-05-24 23:21:11.56001+02	\N	\N	\N	\N	\N	\N	f	
5776	17160c4f-5390-453c-a901-0bb5529f186e	Winchester	Winchester	3	0	2013-05-25 00:49:06.122555+02	\N	\N	\N	\N	\N	\N	f	
5416	1308ed80-52fe-4ebc-9b31-04e19c440d17	Bogatynia	Bogatynia	3	0	2013-05-24 23:29:59.00483+02	\N	\N	\N	\N	\N	\N	f	
5419	e8f66c67-3a72-4fbc-8695-f7ea890ff71e	Rybnik	Rybnik	3	0	2013-05-24 23:30:30.898141+02	\N	\N	\N	\N	\N	\N	f	
5594	a5aed6e5-d69b-480b-bdd2-0c9dd9d8a525	Chełm	Chełm	3	0	2013-05-25 00:09:57.610434+02	\N	\N	\N	\N	\N	\N	f	
5886	7172c702-b2e6-4e5f-b637-20d95901756a	Faradonbeh	Faradonbeh	3	0	2013-05-25 01:11:57.463419+02	\N	\N	\N	\N	\N	\N	f	
6407	7e12d9cd-175e-4657-ada8-ddf50c744029	Lasht-e Nesha	Lasht-e Nesha	3	0	2013-05-25 02:59:35.254637+02	\N	\N	\N	\N	\N	\N	f	
5963	2443f654-20a4-4960-941a-865e1e54f720	Maku	Maku	3	0	2013-05-25 01:27:14.885996+02	\N	\N	\N	\N	\N	\N	f	
6028	78e4ca8d-7374-45d3-a5fa-b7f1594a2749	Shakopee	Shakopee	3	0	2013-05-25 01:38:35.671484+02	\N	\N	\N	\N	\N	\N	f	
6047	396ffe79-d10e-4c93-a7e2-5ad48e2ec56c	Dorohoi	Dorohoi	3	0	2013-05-25 01:42:16.783414+02	\N	\N	\N	\N	\N	\N	f	
6571	f5a3d64c-dbd9-4c8d-b6db-e6c70af6ee20	Dehaj	Dehaj	3	0	2013-05-25 03:35:04.472873+02	\N	\N	\N	\N	\N	\N	f	
6106	cc5ff93e-d342-4a08-b600-3ae11a33c33b	Musoma	Musoma	3	0	2013-05-25 01:54:27.712346+02	\N	\N	\N	\N	\N	\N	f	
6146	682af1b4-bd27-49fc-a5b4-5524aa07a1cd	Dalaki	Dalaki	3	0	2013-05-25 02:01:35.375366+02	\N	\N	\N	\N	\N	\N	f	
7082	b9721dd8-6051-4d6d-8639-a90bd623cd08	Kęty	Kęty	3	0	2013-05-26 16:48:09.420678+02	\N	\N	\N	\N	\N	\N	f	
6150	68da6489-9de3-4f17-a3d7-0625c1f97f5e	Ulanów	Ulanów	3	0	2013-05-25 02:02:21.140084+02	\N	\N	\N	\N	\N	\N	f	
6340	e8dde1b3-dc8c-4bbc-bd96-ece6af2660e7	Czerwionka-Leszczyny	Czerwionka-Leszczyny	3	0	2013-05-25 02:43:05.391265+02	\N	\N	\N	\N	\N	\N	f	
2429	f310740c-ad62-48c0-839b-e86581b9f464	Moskva	Moskva	3	0	2013-05-25 02:49:17.51928+02	\N	\N	\N	\N	\N	\N	f	
6589	5ad23bd1-b498-4f26-b2b6-b3cf43ccff9f	Garab	Garab	3	0	2013-05-25 03:38:13.900199+02	\N	\N	\N	\N	\N	\N	f	
6596	2c3d3b30-bc47-4363-9a54-494d393269a5	Khorsand	Khorsand	3	0	2013-05-25 03:39:25.934792+02	\N	\N	\N	\N	\N	\N	f	
7085	767bd037-2b5c-4099-888b-ba230c805188	Sośnicowice	Sośnicowice	3	0	2013-05-26 16:48:56.546759+02	\N	\N	\N	\N	\N	\N	f	
6840	c051523d-9376-46ca-a2db-c897ce791c32	Golzar	Golzar	3	0	2013-05-25 04:25:34.182119+02	\N	\N	\N	\N	\N	\N	f	
8394	ab535195-059b-403a-ab67-9ebe05a078aa	Katsushika	Katsushika	3	0	2013-05-30 23:16:12.363065+02	\N	\N	\N	\N	\N	\N	f	
7211	ff87b5d3-0875-4332-8a95-7cfb25606f01	Wiązów	Wiązów	3	0	2013-05-26 17:20:02.471879+02	\N	\N	\N	\N	\N	\N	f	
7585	39aadd4a-5c9a-4ddb-81da-410c2617251c	Gedern	Gedern	3	0	2013-05-29 00:51:36.441193+02	\N	\N	\N	\N	\N	\N	f	
7588	4fbc2dca-27a1-4ddf-a12c-ce222ef3aa2f	Battenberg	Battenberg	3	0	2013-05-29 00:52:10.22739+02	\N	\N	\N	\N	\N	\N	f	
8414	9ec79162-fa1a-4eff-b3cf-34f0dca0dcdc	Nakano	Nakano	3	0	2013-05-30 23:35:16.974923+02	\N	\N	\N	\N	\N	\N	f	
7610	12b0dc94-7fad-4da0-8021-44a251b02490	Kronberg im Taunus	Kronberg im Taunus	3	0	2013-05-29 00:56:10.845919+02	\N	\N	\N	\N	\N	\N	f	
7866	b30b61b5-36bb-4195-9532-ed2dad409ed7	Rusk	Rusk	3	0	2013-05-29 02:53:39.89959+02	\N	\N	\N	\N	\N	\N	f	
8578	8ba04a31-5dad-43c1-a760-2b174b051a4c	Malanda	Malanda	3	0	2013-06-01 17:45:22.100133+02	\N	\N	\N	\N	\N	\N	f	
8087	2d580cbf-9ad7-402a-be30-094c9df41771	Nazak Olia	Nazak Olia	3	0	2013-05-30 18:43:21.182043+02	\N	\N	\N	\N	\N	\N	f	
8425	3a6b0ec2-05a9-4637-8dc7-7fe7f0f90e2f	Kalety	Kalety	3	0	2013-06-01 17:11:22.91659+02	\N	\N	\N	\N	\N	\N	f	
8209	b4afd911-5ec5-4c58-8feb-eccd4f173114	Balranald	Balranald	3	0	2013-05-30 21:17:49.264793+02	\N	\N	\N	\N	\N	\N	f	
8340	533d0908-8a0f-486a-b2dc-866ec4e47b98	Nili	Nili	3	0	2013-05-30 21:48:51.733537+02	\N	\N	\N	\N	\N	\N	f	
9087	87cac87c-8473-447f-ab78-6c4acb2621b4	Huizhou	Huizhou	3	0	2013-06-01 20:36:56.548389+02	\N	\N	\N	\N	\N	\N	f	
8426	efff4458-c6ea-441a-9206-4adb344b2b9e	Ustroń	Ustroń	3	0	2013-06-01 17:11:33.735573+02	\N	\N	\N	\N	\N	\N	f	
8714	c1fa5c4b-37b0-410f-9b2e-5aec9dea675e	Olszyna	Olszyna	3	0	2013-06-01 18:24:50.057837+02	\N	\N	\N	\N	\N	\N	f	
8490	63da5690-07af-4539-9e68-08fa0e14fd08	Kunów	Kunów	3	0	2013-06-01 17:24:34.064217+02	\N	\N	\N	\N	\N	\N	f	
8852	8e6d774f-482e-4c57-b852-3d9696498ae6	Potsdam	Potsdam	3	0	2013-06-01 19:42:26.458241+02	\N	\N	\N	\N	\N	\N	f	
8515	42fbd318-99d6-499b-921b-9b3100c315de	Veghel	Veghel	3	0	2013-06-01 17:30:04.599659+02	\N	\N	\N	\N	\N	\N	f	
8769	7df684c6-5dcc-4713-a878-f8313d18fc8a	Alwernia	Alwernia	3	0	2013-06-01 18:41:23.631082+02	\N	\N	\N	\N	\N	\N	f	
8839	c8b4ae14-795b-48b6-8e1e-539859081db3	Coburg	Coburg	3	0	2013-06-01 19:38:49.200751+02	\N	\N	\N	\N	\N	\N	f	
4990	3eb8a3db-1f2a-4779-98e1-66ea97528a02	Bugiri	Bugiri	2	0	2013-06-05 08:30:22.43396+02	\N	\N	\N	\N	\N	\N	f	
8971	32c9c0fc-c62c-494c-936f-14a8250f405c	Jiaozuo	Jiaozuo	3	0	2013-06-01 20:12:47.418088+02	\N	\N	\N	\N	\N	\N	f	
9446	16c167a9-cecf-4297-8f5d-983c4c2f198c	Nadiad	Nadiad	3	0	2013-06-09 17:41:22.063847+02	\N	\N	\N	\N	\N	\N	f	
9384	555d25a4-75a7-4871-81d3-fa0c900141a6	Mustvee	Mustvee	3	0	2013-06-04 22:27:45.293753+02	\N	\N	\N	\N	\N	\N	f	
2550	0134fd58-175f-496f-8324-89fad013d876	Chagang-do	Chagang-do	2	0	2013-06-05 07:27:32.695182+02	\N	\N	\N	\N	\N	\N	f	
3648	91a81a68-026e-4450-80ef-8c39a2ec2834	Bakool	Bakool	2	0	2013-06-05 08:26:40.624006+02	\N	\N	\N	\N	\N	\N	f	
3647	0bee4b73-c004-440e-9e76-53d26366abb5	Awdal	Awdal	2	0	2013-06-05 09:19:06.492348+02	\N	\N	\N	\N	\N	\N	f	
3650	b8fc82d5-c32f-4247-b3aa-f244edc6f33f	Bari	Bari	2	0	2013-06-05 06:59:05.016614+02	\N	\N	\N	\N	\N	\N	f	
9448	4b072773-639a-4540-a1a3-22a194890355	Kutiyana	Kutiyana	3	0	2013-06-09 17:42:26.793177+02	\N	\N	\N	\N	\N	\N	f	
9474	f5e50000-1b19-40de-9ec6-f59c29e55edf	Umreth	Umreth	3	0	2013-06-09 17:49:46.443654+02	\N	\N	\N	\N	\N	\N	f	
9622	462e7952-4fa9-43cd-bc24-2c5c9cd5dd47	Dublin	Dublin	3	0	2013-06-12 17:19:49.893841+02	\N	\N	\N	\N	\N	\N	f	
9841	98b037ef-f2cf-4276-b7a4-62e4017c6c13	Warabi	Warabi	3	0	2013-06-18 03:52:21.617269+02	\N	\N	\N	\N	\N	\N	f	
9871	c799a7f7-ff35-4287-a1c7-bcf5a2f47637	Wajima	Wajima	3	0	2013-06-18 04:00:57.309435+02	\N	\N	\N	\N	\N	\N	f	
9972	ffe5b60d-9ea0-4a6e-88b6-70dc21d76d40	Aya	Aya	3	0	2013-06-18 07:34:46.37157+02	\N	\N	\N	\N	\N	\N	f	
10050	4b5add42-9a81-472a-b3f1-889f56d4e250	Gose	Gose	3	0	2013-06-18 08:11:56.625387+02	\N	\N	\N	\N	\N	\N	f	
15483	6c8d1c6c-d1e0-4d3d-9bd9-f5c10b37194b	Pozzaglia Sabina	Pozzaglia Sabina	4	0	2013-07-22 00:55:38.18155+02	\N	\N	\N	\N	\N	\N	f	
16187	8028cdc1-3517-4bc9-996b-a820da28ce88	Cairo Montenotte	Cairo Montenotte	4	0	2013-07-22 03:03:21.206764+02	\N	\N	\N	\N	\N	\N	f	
13770	23bac00b-9072-4af5-acff-67f21e0716ac	Villafranca Piemonte	Villafranca Piemonte	4	0	2013-07-21 19:08:31.052487+02	\N	\N	\N	\N	\N	\N	f	
3653	284210e4-7acb-4ee5-a178-74baa540ab6c	Gedo	Gedo	2	0	2013-05-21 14:19:09.166496+02	\N	\N	\N	\N	\N	\N	f	
3655	1d8058a6-b890-4321-a333-ed95201d7716	Jubbada Dhexe	Jubbada Dhexe	2	0	2013-05-21 14:19:30.83864+02	\N	\N	\N	\N	\N	\N	f	
4594	fe1d49e8-22ba-4f7d-b327-f3475634926c	Kildare	Kildare	2	0	2013-05-22 14:18:18.887016+02	\N	\N	\N	\N	\N	\N	f	
4728	6f50b36d-cc06-440d-b5ce-1c6d4271f713	Kŏḷamba	Kŏḷamba	2	0	2013-05-22 14:56:22.30717+02	\N	\N	\N	\N	\N	\N	f	
1727	aa1bf92c-0274-4a39-91d4-a450f2f5a54a	Bakı	Bakı	3	0	2013-07-05 18:45:51.076343+02	\N	\N	\N	\N	\N	\N	f	
2664	768367d2-ac8c-4daf-ba70-94710ad4870a	Bangkok	Bangkok	3	0	2013-05-24 01:45:03.737882+02	\N	\N	\N	\N	\N	\N	f	
4855	f8268242-edea-4b0d-89e1-794a9e191777	Gandaki	Gandaki	2	0	2013-05-22 15:33:03.406281+02	\N	\N	\N	\N	\N	\N	f	
3649	4a22259a-14d7-4f44-b8d5-250935683d60	Banaadir	Banaadir	2	0	2013-06-05 11:58:04.394104+02	\N	\N	\N	\N	\N	\N	f	
5098	1e1edc0e-9e89-4612-b629-28b4eccb6914	Arnhem	Arnhem	3	0	2013-05-24 22:27:02.826095+02	\N	\N	\N	\N	\N	\N	f	
5269	3dcca86a-1de1-4656-b60f-0d206597716b	Anchorage	Anchorage	3	0	2013-05-24 23:00:42.418086+02	\N	\N	\N	\N	\N	\N	f	
5731	04f24dd6-fde4-487e-9c43-618cda3c10fd	Manujan	Manujan	3	0	2013-05-25 00:39:20.853075+02	\N	\N	\N	\N	\N	\N	f	
5277	13fea8ff-d84e-4b37-a269-a51054828dcc	Quedlinburg	Quedlinburg	3	0	2013-05-24 23:02:09.206669+02	\N	\N	\N	\N	\N	\N	f	
5417	38839348-ff82-4484-814a-c80eeae99688	Ruda Śląska	Ruda Śląska	3	0	2013-05-24 23:30:09.300299+02	\N	\N	\N	\N	\N	\N	f	
6880	b5c5c9d0-9efd-44e7-b46d-1bcfa813e7bb	Afus	Afus	3	0	2013-05-25 04:32:47.184045+02	\N	\N	\N	\N	\N	\N	f	
5596	554a1a9d-82c9-4c98-aa5c-dfe655152146	Brzeg	Brzeg	3	0	2013-05-25 00:10:22.550943+02	\N	\N	\N	\N	\N	\N	f	
5887	c2d928f9-550a-4a2f-91d4-2d02a8b9d8ab	Brańsk	Brańsk	3	0	2013-05-25 01:12:07.922651+02	\N	\N	\N	\N	\N	\N	f	
6408	a4675c90-4bd5-4b12-93c3-f9dcefadf4d5	Rudboneh	Rudboneh	3	0	2013-05-25 02:59:45.784745+02	\N	\N	\N	\N	\N	\N	f	
5889	d86031af-e021-4a4e-bafe-efe28a4e16ee	Louny	Louny	3	0	2013-05-25 01:12:33.124308+02	\N	\N	\N	\N	\N	\N	f	
5964	e4ab73fa-fcad-4c0d-a8b5-6fe993e4bc79	Zangeneh	Zangeneh	3	0	2013-05-25 01:27:27.495114+02	\N	\N	\N	\N	\N	\N	f	
5975	7a650377-fdfc-4a17-a841-57f2662c8866	Firuzan	Firuzan	3	0	2013-05-25 01:29:21.686346+02	\N	\N	\N	\N	\N	\N	f	
6574	e6925cea-1480-4c09-a896-9bb20c6d0cdb	Narmashir	Narmashir	3	0	2013-05-25 03:35:35.389268+02	\N	\N	\N	\N	\N	\N	f	
6109	d53f1462-a15b-429c-aa4b-2ea0ce742c65	Madera	Madera	3	0	2013-05-25 01:54:59.14325+02	\N	\N	\N	\N	\N	\N	f	
6211	3ace36f1-7f40-48d3-800b-88cc1c7bd5d1	Ahar	Ahar	3	0	2013-05-25 02:13:24.235409+02	\N	\N	\N	\N	\N	\N	f	
6226	1b3ec63e-dffe-4319-9dce-fecc829d948c	Kościerzyna	Kościerzyna	3	0	2013-05-25 02:16:21.742458+02	\N	\N	\N	\N	\N	\N	f	
6577	28178002-4e3e-454c-bb19-0b6329a5ea02	Hesar-e Garmkhan	Hesar-e Garmkhan	3	0	2013-05-25 03:36:06.264425+02	\N	\N	\N	\N	\N	\N	f	
6251	54d1684a-2521-4e2a-a7bd-3db82d4e399c	Richmond Heights	Richmond Heights	3	0	2013-05-25 02:22:42.155103+02	\N	\N	\N	\N	\N	\N	f	
6272	789a8b05-1a5f-4590-a10e-67f4ad67f6aa	Magnolia	Magnolia	3	0	2013-05-25 02:27:05.843081+02	\N	\N	\N	\N	\N	\N	f	
6921	3e1657a2-d03f-41c9-82f2-ffc828030868	Zargarmahalleh	Zargarmahalleh	3	0	2013-05-25 04:41:45.783961+02	\N	\N	\N	\N	\N	\N	f	
6341	98570288-052f-46d6-b2c9-3052d4587116	Springdale, Ohio	Springdale, Ohio	3	0	2013-05-25 02:43:22.99569+02	\N	\N	\N	\N	\N	\N	f	
6357	6076baef-9ded-40cf-a5e7-a8aa3cdb6e10	Moscow	Moscow	3	0	2013-05-25 02:47:00.752634+02	\N	\N	\N	\N	\N	\N	f	
7084	a01b528d-9d2c-40db-b231-c831baf5836c	Połczyn-Zdrój	Połczyn-Zdrój	3	0	2013-05-26 16:48:38.106152+02	\N	\N	\N	\N	\N	\N	f	
6615	bdc8ce68-e868-4ac1-97ff-8328dbe1c32c	Galmurti	Galmurti	3	0	2013-05-25 03:42:56.887669+02	\N	\N	\N	\N	\N	\N	f	
6648	4b826653-6cbb-4cfc-a0ef-9f058d71de8a	Showt	Showt	3	0	2013-05-25 03:50:00.943479+02	\N	\N	\N	\N	\N	\N	f	
7746	0aae418d-8db2-4802-911b-db230839f010	Riverside	Riverside	3	0	2013-05-29 02:20:09.780955+02	\N	\N	\N	\N	\N	\N	f	
6649	76b52757-ef76-4f80-a22f-38c2d6120089	Namin	Namin	3	0	2013-05-25 03:50:11.205955+02	\N	\N	\N	\N	\N	\N	f	
7212	2b21cc04-9494-4a44-b3cb-571cc7b73940	Sędziszów	Sędziszów	3	0	2013-05-26 17:20:15.718504+02	\N	\N	\N	\N	\N	\N	f	
6666	b4aaa7ee-6df1-4e02-bfe2-5c3a8ae156cb	Varzaneh	Varzaneh	3	0	2013-05-25 03:53:13.832534+02	\N	\N	\N	\N	\N	\N	f	
6680	d5fe7af4-2f9a-4024-a8af-d0b4969654df	Jenah	Jenah	3	0	2013-05-25 03:55:42.006486+02	\N	\N	\N	\N	\N	\N	f	
7307	11ba7f4f-3fb9-4b4b-a72f-ab1cd9c37d99	Cambridge	Cambridge	3	0	2013-05-27 18:00:14.050798+02	\N	\N	\N	\N	\N	\N	f	
6729	e6506786-f388-4c23-a355-5e07d3a4667e	Baladeh	Baladeh	3	0	2013-05-25 04:04:23.072289+02	\N	\N	\N	\N	\N	\N	f	
7278	d793f202-faf0-4de8-83e2-9ddfca54a35f	Milan	Milan	3	0	2013-05-26 19:18:52.68604+02	\N	\N	\N	\N	\N	\N	f	
6730	a54702a9-00e8-4d3c-b476-c7b622e2f70b	Fasham	Fasham	3	0	2013-05-25 04:04:33.237346+02	\N	\N	\N	\N	\N	\N	f	
6733	e32b9433-8999-4000-bf71-bf50fa8302cb	Nasim Shahr	Nasim Shahr	3	0	2013-05-25 04:05:14.641767+02	\N	\N	\N	\N	\N	\N	f	
14392	b3bee0e8-b825-428e-b590-fba2dd08dbd6	Castelnuovo Bormida	Castelnuovo Bormida	4	0	2013-07-21 21:27:35.02044+02	\N	\N	\N	\N	\N	\N	f	
6746	0c43ff3d-3bad-4275-8587-bb6f3e69840a	Shandiz	Shandiz	3	0	2013-05-25 04:08:16.647331+02	\N	\N	\N	\N	\N	\N	f	
7283	b5086ca2-36f9-4304-866e-c833afeb726d	Nisshin	Nisshin	3	0	2013-05-26 20:50:37.420342+02	\N	\N	\N	\N	\N	\N	f	
6846	5336cdf6-47d6-4f78-8e84-545c95739b30	Mardehek	Mardehek	3	0	2013-05-25 04:26:37.268661+02	\N	\N	\N	\N	\N	\N	f	
7305	5fca3130-844a-4026-b907-8d631dc4a656	Gijón	Gijón	3	0	2013-05-27 12:55:53.723039+02	\N	\N	\N	\N	\N	\N	f	
7451	a5411227-2c2a-423c-babb-e908b4816bcc	Felsberg	Felsberg	3	0	2013-05-29 00:15:43.072922+02	\N	\N	\N	\N	\N	\N	f	
7322	5eec57dc-9046-4aaa-bb79-464a5eb401ff	Coquimbo	Coquimbo	3	0	2013-05-28 14:00:36.381406+02	\N	\N	\N	\N	\N	\N	f	
7586	1cbceb60-4008-4481-b155-36f55b3e76ae	Bad Camberg	Bad Camberg	3	0	2013-05-29 00:51:46.983391+02	\N	\N	\N	\N	\N	\N	f	
7324	e183ffae-1d35-4c78-b552-957535e40af1	Long Beach	Long Beach	3	0	2013-05-28 14:01:33.74757+02	\N	\N	\N	\N	\N	\N	f	
227	289ea252-a5ae-3dbe-8857-c771a499df18	Vatican City State (Holy See)	Vatican City State (Holy See)	1	0	2013-05-27 14:18:57.424174+02	\N	\N	\N	\N	\N	\N	f	
7789	98bc43b4-482d-49f0-9a59-3655003a0b93	Fayetteville	Fayetteville	3	0	2013-05-29 02:30:33.903244+02	\N	\N	\N	\N	\N	\N	f	
7306	d05cb8af-d748-477a-8bc4-cc037cf7d40f	Pachuca	Pachuca	3	0	2013-05-27 17:02:04.229279+02	\N	\N	\N	\N	\N	\N	f	
2358	7b6ae6b7-6f4f-43df-aab8-0c72531ea8ae	Kosovo	Kosovo	\N	0	2013-05-28 21:04:03.202724+02	\N	\N	\N	\N	\N	\N	f	
3109	afb04c12-04e5-48e8-a38a-a7a2650c2f95	Şan‘ā’	Şan‘ā’	2	0	2013-05-27 19:30:48.81505+02	\N	\N	\N	\N	\N	\N	f	
7449	c1430a58-2b35-4bb9-9070-82e29ad0962b	Kislovodsk	Kislovodsk	3	0	2013-05-28 23:35:01.6842+02	\N	\N	\N	\N	\N	\N	f	
7750	4544484a-a568-4e07-b7a3-75db1f09f8ec	Middelburg	Middelburg	3	0	2013-05-29 02:20:59.164406+02	\N	\N	\N	\N	\N	\N	f	
4027	74f8b2a3-00e5-45d8-af24-fac7fbb17cc0	Vlorë County	Vlorë County	2	0	2013-05-29 00:55:30.280319+02	\N	\N	\N	\N	\N	\N	f	
7702	a6e08cd9-a712-4152-8808-9485c75e1196	Venice	Venice	3	0	2013-05-29 02:09:04.068691+02	\N	\N	\N	\N	\N	\N	f	
8088	abf9a579-9fb9-4392-a91f-57f8edd3c56c	Lismore	Lismore	3	0	2013-05-30 18:43:31.915253+02	\N	\N	\N	\N	\N	\N	f	
7774	3e75bd2f-3891-4e28-a7c3-dee590a8a3fb	Beaumont	Beaumont	3	0	2013-05-29 02:26:48.328258+02	\N	\N	\N	\N	\N	\N	f	
7867	79455032-448b-4efb-af33-0776ad87fd17	Meridian	Meridian	3	0	2013-05-29 02:54:02.958436+02	\N	\N	\N	\N	\N	\N	f	
8350	7b4803bc-deaf-4109-88dc-55f33efb3076	Coonamble	Coonamble	3	0	2013-05-30 21:51:19.621435+02	\N	\N	\N	\N	\N	\N	f	
8210	87ddb0b0-e97d-4423-b98c-d58a3b0371eb	SalehShahr	SalehShahr	3	0	2013-05-30 21:18:05.864695+02	\N	\N	\N	\N	\N	\N	f	
8395	5672b0db-a608-4eb9-bc26-eadbc96c5cf6	Shinjuku	Shinjuku	3	0	2013-05-30 23:18:43.617827+02	\N	\N	\N	\N	\N	\N	f	
8427	2294c5f5-8fb1-4c35-943f-dff0bbb8fa41	Orzesze	Orzesze	3	0	2013-06-01 17:11:44.429525+02	\N	\N	\N	\N	\N	\N	f	
8442	47432530-e786-4e74-a549-48cd078dc559	Ujazd	Ujazd	3	0	2013-06-01 17:14:49.181298+02	\N	\N	\N	\N	\N	\N	f	
8509	f647ac22-2f4d-4ba3-8a8c-c2731aaf9815	Dampier	Dampier	3	0	2013-06-01 17:28:48.213805+02	\N	\N	\N	\N	\N	\N	f	
8579	75c8285f-cba6-4dfd-b493-89c2a713cc6c	Magnolia	Magnolia	3	0	2013-06-01 17:45:33.621039+02	\N	\N	\N	\N	\N	\N	f	
8617	00720e38-35b2-4535-8576-f93ba0c7851b	Bobowa	Bobowa	3	0	2013-06-01 17:56:13.921159+02	\N	\N	\N	\N	\N	\N	f	
8715	98d5ccd1-cc9b-4330-8023-33e221e11ce8	Mandi Bamora	Mandi Bamora	3	0	2013-06-01 18:25:18.953567+02	\N	\N	\N	\N	\N	\N	f	
4991	fef5e136-f03a-4006-8f84-4e3334966b22	Busia	Busia	2	0	2013-06-05 10:36:12.751133+02	\N	\N	\N	\N	\N	\N	f	
3656	c898d2f9-40a3-4acc-b1c6-5139f7a78ae9	Jubbada Hoose	Jubbada Hoose	2	0	2013-05-21 14:19:41.85394+02	\N	\N	\N	\N	\N	\N	f	
3676	94214b19-2c37-4faa-b987-cea3b50d40cc	São Tomé	São Tomé	2	0	2013-05-21 14:23:22.098785+02	\N	\N	\N	\N	\N	\N	f	
3679	51571877-3f80-4ee9-9df8-bc7283cff555	Manzini	Manzini	2	0	2013-05-21 14:24:00.731249+02	\N	\N	\N	\N	\N	\N	f	
4595	3df7122d-8642-4bd1-a4d9-b69b0d08e17a	Kilkenny	Kilkenny	2	0	2013-05-22 14:18:33.555061+02	\N	\N	\N	\N	\N	\N	f	
856	dec4979e-c0a3-469c-a052-cee5f1e71de9	Shanghai	Shanghai	3	0	2013-05-24 01:35:04.018006+02	\N	\N	\N	\N	\N	\N	f	
4729	71a837d5-a60a-49e2-b9a0-580b585c6b86	Gampaha	Gampaha	2	0	2013-05-22 14:56:39.155769+02	\N	\N	\N	\N	\N	\N	f	
4857	5209424c-2d60-4da3-aa4b-ed7981790a79	Karnali	Karnali	2	0	2013-05-22 15:33:33.573024+02	\N	\N	\N	\N	\N	\N	f	
3253	2fb1381a-771e-4e03-9475-703e846fdcd4	Djibouti	Djibouti	3	0	2013-05-24 02:09:26.535183+02	\N	\N	\N	\N	\N	\N	f	
4880	b91a4cd9-b758-4556-a936-61958ee5ea2c	Waikato	Waikato	2	0	2013-05-22 15:40:15.924193+02	\N	\N	\N	\N	\N	\N	f	
4993	4ef68791-3956-4277-94a7-254facca82d3	Jinja	Jinja	2	0	2013-05-22 16:04:45.799801+02	\N	\N	\N	\N	\N	\N	f	
3529	c2559724-0b7f-4b3f-8d27-c21d9b93415a	Kavango	Kavango	2	0	2013-05-23 03:45:47.962081+02	\N	\N	\N	\N	\N	\N	f	
5099	29a709d8-0320-493e-8d0c-f2c386662b7f	Chicago	Chicago	3	0	2013-05-24 22:27:13.405462+02	\N	\N	\N	\N	\N	\N	f	
2914	aa926df1-fea0-4215-a887-118bd782deb5	Toshkent Province	Toshkent Province	2	0	2013-05-23 21:33:45.787455+02	\N	\N	\N	\N	\N	\N	f	
1224	d0db8c1c-0337-4501-a144-6fb1c84cfc0d	La Habana	La Habana	2	0	2013-05-24 00:00:20.774344+02	\N	\N	\N	2011	1	1	t	
5151	8ce0905a-bc98-48c1-837f-2142581ac11b	Woerden	Woerden	3	0	2013-05-24 22:37:16.518883+02	\N	\N	\N	\N	\N	\N	f	
5732	e64c7a72-59b3-4a41-bfee-6e04188be6cd	Ōkawa	Ōkawa	3	0	2013-05-25 00:39:31.610423+02	\N	\N	\N	\N	\N	\N	f	
5270	de29dec4-ed70-498a-881e-e3774a54091d	Donetsk	Donetsk	3	0	2013-05-24 23:00:52.532758+02	\N	\N	\N	\N	\N	\N	f	
5418	dfbc844b-5195-4fb2-97e7-18c4e18a1cfc	Łowicz	Łowicz	3	0	2013-05-24 23:30:19.904566+02	\N	\N	\N	\N	\N	\N	f	
5429	6c31d196-c96d-44dd-9ba2-33b3500270f9	Richmond	Richmond	3	0	2013-05-24 23:32:22.337903+02	\N	\N	\N	\N	\N	\N	f	
5752	66d4eeac-55a3-4860-80fe-3c31aae8effe	Ames, Iowa	Ames, Iowa	3	0	2013-05-25 00:44:23.432045+02	\N	\N	\N	\N	\N	\N	f	
5439	d9f5f7df-74fd-4975-a596-ca57e7650ca9	Zawiercie	Zawiercie	3	0	2013-05-24 23:34:20.545927+02	\N	\N	\N	\N	\N	\N	f	
5599	56f0d1bf-4a22-4cf2-af84-4bea3b241fa5	Joghatai	Joghatai	3	0	2013-05-25 00:11:01.988527+02	\N	\N	\N	\N	\N	\N	f	
6409	6df50f6c-4c81-42d0-b2a9-59c0229fa9bc	Bazar Jomeh	Bazar Jomeh	3	0	2013-05-25 02:59:56.799042+02	\N	\N	\N	\N	\N	\N	f	
5888	666e45ac-9e4a-497c-a644-d87b30ea1c60	Razan	Razan	3	0	2013-05-25 01:12:22.8607+02	\N	\N	\N	\N	\N	\N	f	
5933	28640f3f-47df-4c7c-be52-c7d942460802	Brzozów	Brzozów	3	0	2013-05-25 01:21:30.369363+02	\N	\N	\N	\N	\N	\N	f	
7086	10a8135e-6602-4a51-ad9c-6f35448f3fb0	Pieniężno	Pieniężno	3	0	2013-05-26 16:49:08.593797+02	\N	\N	\N	\N	\N	\N	f	
5977	1e30ba6e-f325-407d-aaec-db8e90a63206	Damghan	Damghan	3	0	2013-05-25 01:29:41.841277+02	\N	\N	\N	\N	\N	\N	f	
6426	596a3724-da09-4a4c-9ebb-a364f6fb5948	Farhadgerd	Farhadgerd	3	0	2013-05-25 03:03:29.554001+02	\N	\N	\N	\N	\N	\N	f	
5996	5ad8496f-b01c-47f2-bff4-4a9ce6f76cb4	Giyan	Giyan	3	0	2013-05-25 01:33:02.398824+02	\N	\N	\N	\N	\N	\N	f	
6053	99aa076c-9dbb-4028-9fb4-0fc86999910b	Sowme'eh Sara	Sowme'eh Sara	3	0	2013-05-25 01:43:25.692642+02	\N	\N	\N	\N	\N	\N	f	
6057	eb6c5363-e9fe-47cf-bbfc-b0a551b46a89	Mrocza	Mrocza	3	0	2013-05-25 01:44:08.036667+02	\N	\N	\N	\N	\N	\N	f	
6576	852f062c-ba3b-415e-8236-5e50d79a350b	Kuzaran	Kuzaran	3	0	2013-05-25 03:35:55.877353+02	\N	\N	\N	\N	\N	\N	f	
6110	b419ca71-4b5c-496c-bb85-c2e0f927551d	Chełmża	Chełmża	3	0	2013-05-25 01:55:09.835286+02	\N	\N	\N	\N	\N	\N	f	
6127	59af21a1-f3d6-4ddc-8fa6-1082d5910bb5	Mianrud	Mianrud	3	0	2013-05-25 01:58:20.2281+02	\N	\N	\N	\N	\N	\N	f	
6178	2478036f-7835-4033-94d7-7d55593ede02	Safiabad	Safiabad	3	0	2013-05-25 02:07:31.009659+02	\N	\N	\N	\N	\N	\N	f	
7213	7e94a89b-2a39-41ee-a0fa-a611161a886f	Krasnobród	Krasnobród	3	0	2013-05-26 17:20:29.386872+02	\N	\N	\N	\N	\N	\N	f	
6343	d2f085e5-8e1e-450d-8a6d-bdcd120af957	Louisville	Louisville	3	0	2013-05-25 02:43:50.986605+02	\N	\N	\N	\N	\N	\N	f	
6593	c76f58da-d149-42df-a348-73542143efc5	Sagezabad	Sagezabad	3	0	2013-05-25 03:38:54.85212+02	\N	\N	\N	\N	\N	\N	f	
6616	f29995e8-c049-42a9-b9e1-54cb442d5a6d	Horr	Horr	3	0	2013-05-25 03:43:16.22479+02	\N	\N	\N	\N	\N	\N	f	
6618	69deaf8e-fcbb-46d9-beb7-049d15776b43	Firuzabad	Firuzabad	3	0	2013-05-25 03:43:59.756465+02	\N	\N	\N	\N	\N	\N	f	
7279	c3cc624e-b963-49cf-ad0b-e318cb341963	Montreal	Montreal	3	0	2013-05-26 19:19:17.882833+02	\N	\N	\N	\N	\N	\N	f	
6629	8a93629e-4e74-4046-8c34-839706efb757	Deyhuk	Deyhuk	3	0	2013-05-25 03:46:20.07958+02	\N	\N	\N	\N	\N	\N	f	
6685	4070627e-a739-448c-8d46-91b0b3c319d6	Milajerd	Milajerd	3	0	2013-05-25 03:56:33.549751+02	\N	\N	\N	\N	\N	\N	f	
7729	c2d96f61-75a4-4375-aed5-6aacb0b6326a	Memphis	Memphis	3	0	2013-05-29 02:15:50.543236+02	\N	\N	\N	\N	\N	\N	f	
6690	702e6ad8-4bcf-4ba1-a707-a4d70f72ce01	Nimvar	Nimvar	3	0	2013-05-25 03:57:25.293415+02	\N	\N	\N	\N	\N	\N	f	
7284	fe317f61-54fe-44b0-bdab-058a910c7003	Toyota	Toyota	3	0	2013-05-26 20:50:48.203426+02	\N	\N	\N	\N	\N	\N	f	
6859	c9141874-653d-4037-a7b1-a0a2c9372009	Shusef	Shusef	3	0	2013-05-25 04:28:55.792609+02	\N	\N	\N	\N	\N	\N	f	
4298	ab7c3714-666c-4a6c-8273-de58f769b256	Šumperk	Šumperk	2	0	2013-05-27 19:31:05.128857+02	\N	\N	\N	\N	\N	\N	f	
7309	6b158d33-3e33-4dc2-9dd6-d700f7c34485	Caloocan City	Caloocan City	3	0	2013-05-28 13:56:46.901151+02	\N	\N	\N	\N	\N	\N	f	
8092	8e32aeff-e13c-4a78-83b9-75c2d52c10ad	Gölyaka	Gölyaka	3	0	2013-05-30 18:44:55.635117+02	\N	\N	\N	\N	\N	\N	f	
31	41c97db3-0719-363f-ad0b-79451e0f381b	British Indian Ocean Territory	British Indian Ocean Territory	1	0	2013-05-27 14:19:29.399358+02	\N	\N	\N	\N	\N	\N	f	
7450	0918dfa2-f667-4dbe-bac9-644d81a06612	Yekaterinburg	Yekaterinburg	3	0	2013-05-28 23:38:56.333257+02	\N	\N	\N	\N	\N	\N	f	
7794	e23b26e9-4db0-419e-9865-048efee719f6	Canton	Canton	3	0	2013-05-29 02:31:38.920652+02	\N	\N	\N	\N	\N	\N	f	
7452	79f164c2-4ff4-4a30-8bc4-091c924bda08	Eschwege	Eschwege	3	0	2013-05-29 00:16:01.325975+02	\N	\N	\N	\N	\N	\N	f	
7800	fb0c4113-d177-4f3f-be56-4fa05d4807b9	Malibu, California	Malibu, California	3	0	2013-05-29 02:33:07.899174+02	\N	\N	\N	\N	\N	\N	f	
7587	67e2d34b-df4b-4815-a203-9091fad521cc	Hessisch Lichtenau	Hessisch Lichtenau	3	0	2013-05-29 00:51:57.412617+02	\N	\N	\N	\N	\N	\N	f	
8428	e80ddee7-dd36-43c5-8b72-9e2454ce07c7	Izbica Kujawska	Izbica Kujawska	3	0	2013-06-01 17:11:59.51356+02	\N	\N	\N	\N	\N	\N	f	
7703	1f40c6e1-47ba-4e35-996f-fe6ee5840e62	Los Angeles	Los Angeles	3	0	2013-05-29 02:09:20.794559+02	\N	\N	\N	\N	\N	\N	f	
8211	4749c22a-987d-4235-8b20-7e5698bf43e6	Meredith	Meredith	3	0	2013-05-30 21:18:13.345856+02	\N	\N	\N	\N	\N	\N	f	
7869	83b6ff40-8e5c-4ae2-aae0-cbc6d020ec9d	Cooper	Cooper	3	0	2013-05-29 02:54:36.090077+02	\N	\N	\N	\N	\N	\N	f	
8399	a717a819-9491-497f-ac8e-992e74aff7f8	Toshima	Toshima	3	0	2013-05-30 23:21:37.960357+02	\N	\N	\N	\N	\N	\N	f	
8396	6f00906c-bc93-47c9-8d4b-3cec91eebb73	Ōta	Ōta	3	0	2013-05-30 23:19:40.773782+02	\N	\N	\N	\N	\N	\N	f	
8398	1dcdfb34-fa66-496c-9823-51c329deddf6	Setagaya	Setagaya	3	0	2013-05-30 23:21:09.837679+02	\N	\N	\N	\N	\N	\N	f	
8580	c421912e-f768-4a05-bb7b-1c4ff3ae15cb	Jackson Township, Crawford County	Jackson Township, Crawford County	3	0	2013-06-01 17:45:48.667265+02	\N	\N	\N	\N	\N	\N	f	
8716	b4762f0b-0cae-452c-8786-c0edd88cfa8d	Kowanyama	Kowanyama	3	0	2013-06-01 18:25:35.544951+02	\N	\N	\N	\N	\N	\N	f	
8840	3c11b31d-2727-4adf-8925-6aae41656d4f	Dobre Miasto	Dobre Miasto	3	0	2013-06-01 19:39:08.230814+02	\N	\N	\N	\N	\N	\N	f	
8910	0645d067-5477-4edb-9506-d70e573c435b	Jena	Jena	3	0	2013-06-01 19:59:50.130193+02	\N	\N	\N	\N	\N	\N	f	
8972	3c4deb8f-625b-47ea-874c-c6abd0695bfd	Sanmenxia	Sanmenxia	3	0	2013-06-01 20:13:00.538086+02	\N	\N	\N	\N	\N	\N	f	
9089	aa709381-df1e-474c-bd32-0cfbfa0f5408	Qingyuan	Qingyuan	3	0	2013-06-01 20:37:19.532392+02	\N	\N	\N	\N	\N	\N	f	
9385	6b7833b4-2e8b-4622-a51a-7fdf6b20a871	Saue	Saue	3	0	2013-06-04 22:28:09.182638+02	\N	\N	\N	\N	\N	\N	f	
897	f1c6ae76-bc95-4c2c-9c69-1eff4db8949b	New Taipei City	New Taipei City	3	0	2013-06-01 23:20:48.29365+02	\N	\N	\N	\N	\N	\N	f	
621	1d3e8e50-6e00-4ae1-9f6e-f88afd78dd73	Amapá	Amapá	2	0	2013-06-05 07:31:38.439937+02	\N	\N	\N	\N	\N	\N	f	
9449	d3e4374c-cc61-493c-beb9-0b88d0aabdef	Kodinar	Kodinar	3	0	2013-06-09 17:42:38.172814+02	\N	\N	\N	\N	\N	\N	f	
15484	28bbee55-180a-4295-b133-96ee6712e20a	Monteleone Sabino	Monteleone Sabino	4	0	2013-07-22 00:55:50.409108+02	\N	\N	\N	\N	\N	\N	f	
9623	253f5041-d4c3-4808-a24b-3444a759997d	Grimsby	Grimsby	3	0	2013-06-12 17:20:27.992238+02	\N	\N	\N	\N	\N	\N	f	
3659	0697efb9-a17b-4a94-b93c-9327096381f8	Sanaag	Sanaag	2	0	2013-05-21 14:20:14.494907+02	\N	\N	\N	\N	\N	\N	f	
3705	a6e67d7e-990c-46f0-9a06-eea1819db0b6	Maritime (Région)	Maritime (Région)	2	0	2013-05-21 14:28:50.970802+02	\N	\N	\N	\N	\N	\N	f	
3660	063ac002-c315-4100-9d57-a2315f17f703	Shabeellaha Dhexe	Shabeellaha Dhexe	2	0	2013-05-21 14:20:25.55448+02	\N	\N	\N	\N	\N	\N	f	
3691	c3e79528-71e7-4d74-9db6-be1f70efafd3	Lūqūn ash Sharqī	Lūqūn ash Sharqī	2	0	2013-05-21 14:26:22.260076+02	\N	\N	\N	\N	\N	\N	f	
3661	af0ed2ba-9f99-4987-b75f-197dfd7b49d1	Shabeellaha Hoose	Shabeellaha Hoose	2	0	2013-05-21 14:20:36.343498+02	\N	\N	\N	\N	\N	\N	f	
3664	03ebe0bf-8d7c-4417-9bd7-363897adad82	Woqooyi Galbeed	Woqooyi Galbeed	2	0	2013-05-21 14:21:09.269091+02	\N	\N	\N	\N	\N	\N	f	
3666	3e4e6efd-169f-4a2a-891f-9f046517e1f2	Western Bahr el-Ghazal	Western Bahr el-Ghazal	2	0	2013-05-21 14:21:31.101123+02	\N	\N	\N	\N	\N	\N	f	
3692	0512d503-606c-4977-b1cd-b19791fd154b	Māndūl	Māndūl	2	0	2013-05-21 14:26:32.826007+02	\N	\N	\N	\N	\N	\N	f	
13771	ce02df47-fd8b-4335-a11a-b74963ccac68	Riparbella	Riparbella	4	0	2013-07-21 19:08:43.199782+02	\N	\N	\N	\N	\N	\N	f	
3668	034b67bf-02d3-4a9c-bb46-608a4aa9765a	Eastern Equatoria	Eastern Equatoria	2	0	2013-05-21 14:21:53.801065+02	\N	\N	\N	\N	\N	\N	f	
3683	97a10440-8c98-40c6-8104-fc880d8e3367	Būrkū	Būrkū	2	0	2013-06-05 10:25:13.41588+02	\N	\N	\N	\N	\N	\N	f	
3671	5a80d552-ec78-4636-a3da-3df867fd57b2	Lakes	Lakes	2	0	2013-05-21 14:22:28.27791+02	\N	\N	\N	\N	\N	\N	f	
3693	68feecc0-24f1-4a5c-89ee-60f133d4748d	Shārī al Awsaṭ	Shārī al Awsaṭ	2	0	2013-05-21 14:26:43.427289+02	\N	\N	\N	\N	\N	\N	f	
3673	be135a47-f907-441f-9dc0-62b15fea71de	Unity	Unity	2	0	2013-05-21 14:22:49.997038+02	\N	\N	\N	\N	\N	\N	f	
3674	c0c3527b-0dd1-4e6f-bb09-1218ed8b640a	Warrap	Warrap	2	0	2013-05-21 14:23:00.812461+02	\N	\N	\N	\N	\N	\N	f	
3706	10a380de-6c19-4937-ad76-73378d0e23ba	Plateaux	Plateaux	2	0	2013-05-21 14:29:01.510594+02	\N	\N	\N	\N	\N	\N	f	
3677	7d96b942-a60e-4963-a7c2-19aeb3cfb71b	Hhohho	Hhohho	2	0	2013-05-21 14:23:33.925319+02	\N	\N	\N	\N	\N	\N	f	
3694	47cae29d-8265-4155-8855-cadf6eecc378	Māyū Kībbī ash Sharqī	Māyū Kībbī ash Sharqī	2	0	2013-05-21 14:26:53.957577+02	\N	\N	\N	\N	\N	\N	f	
3678	cbac40c2-e769-4a37-b7ee-00325a8636d6	Lubombo	Lubombo	2	0	2013-05-21 14:23:45.75835+02	\N	\N	\N	\N	\N	\N	f	
3680	1a6ed754-d515-483d-a39e-c67f5baeb7fa	Shiselweni	Shiselweni	2	0	2013-05-21 14:24:14.402747+02	\N	\N	\N	\N	\N	\N	f	
3715	3e180ea6-1a27-4db0-9825-5560be183c01	Béja	Béja	2	0	2013-06-05 07:16:45.334091+02	\N	\N	\N	\N	\N	\N	f	
3695	3df30b0f-6142-40c9-b9e1-5716518c176d	Māyū Kībbī al Gharbī	Māyū Kībbī al Gharbī	2	0	2013-05-21 14:27:04.589833+02	\N	\N	\N	\N	\N	\N	f	
3682	c88f120e-239b-452d-9596-1f848d8ad841	Baḩr al Ghazāl	Baḩr al Ghazāl	2	0	2013-06-05 07:40:02.220464+02	\N	\N	\N	\N	\N	\N	f	
3684	8cb4b4bc-57c8-459f-8abd-bef2f8992aaa	Shārī Bāqirmī	Shārī Bāqirmī	2	0	2013-05-21 14:25:05.626671+02	\N	\N	\N	\N	\N	\N	f	
3696	52cd9b97-6777-4d6a-88a3-cde29c153815	Madīnat Injamīnā	Madīnat Injamīnā	2	0	2013-05-21 14:27:15.2132+02	\N	\N	\N	\N	\N	\N	f	
3685	44494935-cc80-403b-9390-13349c2d3636	Innīdī	Innīdī	2	0	2013-05-21 14:25:16.160243+02	\N	\N	\N	\N	\N	\N	f	
3686	a94275e5-bb50-45d5-bf92-cb3f63e9c21d	Qīrā	Qīrā	2	0	2013-05-21 14:25:29.23008+02	\N	\N	\N	\N	\N	\N	f	
13794	0c8d7751-274f-4be4-b739-c301324e30b4	Cerveno	Cerveno	4	0	2013-07-21 19:13:41.717889+02	\N	\N	\N	\N	\N	\N	f	
3707	c3a53c16-bee0-4251-8158-06bfa099c7b1	Savannes	Savannes	2	0	2013-05-21 14:29:13.799443+02	\N	\N	\N	\N	\N	\N	f	
3667	ff1f4fa7-5f38-4282-82d3-4bf1cdadb234	Central Equatoria	Central Equatoria	2	0	2013-06-05 08:55:07.903746+02	\N	\N	\N	\N	\N	\N	f	
3697	bd7e555a-89ab-42b2-b7cf-6bfda15c1e74	Waddāy	Waddāy	2	0	2013-05-21 14:27:25.822145+02	\N	\N	\N	\N	\N	\N	f	
3688	c179553f-7185-42f2-9805-727d97dadfcd	Kānim	Kānim	2	0	2013-05-21 14:25:50.369871+02	\N	\N	\N	\N	\N	\N	f	
3689	3d98918d-8b0c-49bf-82d6-2eeb7dadff32	Al Buḩayrah	Al Buḩayrah	2	0	2013-06-05 08:52:21.885234+02	\N	\N	\N	\N	\N	\N	f	
3690	0536b5d3-fc1b-4720-9ad5-251a46a9c8be	Lūqūn al Gharbī	Lūqūn al Gharbī	2	0	2013-05-21 14:26:11.637335+02	\N	\N	\N	\N	\N	\N	f	
3698	a6e5b90d-3b23-459b-b04d-c88172f878ce	Salāmāt	Salāmāt	2	0	2013-05-21 14:27:36.458665+02	\N	\N	\N	\N	\N	\N	f	
3699	a93cd487-c702-47fb-bc75-d6f7e4876692	Sīlā	Sīlā	2	0	2013-05-21 14:27:47.022188+02	\N	\N	\N	\N	\N	\N	f	
3708	ba57486a-caa9-4736-bc82-b5eb6c50bf61	Tunis	Tunis	2	0	2013-05-21 14:29:24.61671+02	\N	\N	\N	\N	\N	\N	f	
3700	bd88845d-4001-47c0-8076-0037542d7803	Tānjilī	Tānjilī	2	0	2013-05-21 14:27:57.698747+02	\N	\N	\N	\N	\N	\N	f	
15485	5dd9eced-b761-468f-9204-95b9f5cc9533	Marcetelli	Marcetelli	4	0	2013-07-22 00:56:02.294128+02	\N	\N	\N	\N	\N	\N	f	
3701	d61b005d-04e1-4443-bd0c-10e07f87a36b	Tibastī	Tibastī	2	0	2013-05-21 14:28:08.273002+02	\N	\N	\N	\N	\N	\N	f	
3716	d6f8a00b-9fc5-49fa-9989-5cd5c6a09fe0	Jendouba	Jendouba	2	0	2013-05-21 14:30:54.786841+02	\N	\N	\N	\N	\N	\N	f	
3702	a994e70e-8d6b-402f-859e-f0d19e7877c7	Wādī Fīrā	Wādī Fīrā	2	0	2013-05-21 14:28:18.946939+02	\N	\N	\N	\N	\N	\N	f	
17297	ad9abae9-d4ca-4c62-9c42-187203265f0b	Tergu	Tergu	4	0	2013-07-22 06:09:39.414288+02	\N	\N	\N	\N	\N	\N	f	
3703	7972d782-148a-46ae-9391-d3acd8081514	Centre	Centre	2	0	2013-06-05 09:16:45.652988+02	\N	\N	\N	\N	\N	\N	f	
3704	2a295fff-18b1-4619-a1bf-fd8509b37066	Kara	Kara	2	0	2013-05-21 14:28:40.479305+02	\N	\N	\N	\N	\N	\N	f	
3722	e8d5bbbe-e04c-4714-b005-c1ac6f668546	Sousse	Sousse	2	0	2013-05-21 14:32:07.99401+02	\N	\N	\N	\N	\N	\N	f	
3710	80041477-00b6-4f04-9e85-c7eb1fd06f07	Ben Arous	Ben Arous	2	0	2013-06-05 10:15:56.475078+02	\N	\N	\N	\N	\N	\N	f	
3717	bdbf94c6-6594-4866-a51b-f553badf2e91	Le Kef	Le Kef	2	0	2013-05-21 14:31:05.346089+02	\N	\N	\N	\N	\N	\N	f	
3711	2e20adac-318c-492c-9299-a99422a81979	La Manouba	La Manouba	2	0	2013-05-21 14:29:58.632391+02	\N	\N	\N	\N	\N	\N	f	
3712	9eed7de4-47b5-4e58-9e8f-1661a0562711	Nabeul	Nabeul	2	0	2013-05-21 14:30:09.160381+02	\N	\N	\N	\N	\N	\N	f	
3713	f516db91-3c12-4ecb-8602-40690ea38e6a	Zaghouan	Zaghouan	2	0	2013-05-21 14:30:19.555142+02	\N	\N	\N	\N	\N	\N	f	
3718	39920226-8f26-41c8-885f-bd5fa8226ca3	Siliana	Siliana	2	0	2013-05-21 14:31:18.970654+02	\N	\N	\N	\N	\N	\N	f	
3714	9fdabc8f-d143-41ea-b312-b36448612bfe	Bizerte	Bizerte	2	0	2013-06-05 08:00:37.151188+02	\N	\N	\N	\N	\N	\N	f	
3723	cad98804-aef6-4cb6-b976-e4317a1fc565	Monastir	Monastir	2	0	2013-05-21 14:32:21.000305+02	\N	\N	\N	\N	\N	\N	f	
3719	e9be99c5-c542-4094-8ee9-7f5be37b9b63	Kairouan	Kairouan	2	0	2013-05-21 14:31:30.450673+02	\N	\N	\N	\N	\N	\N	f	
3720	1ab18789-86ce-4a51-b44b-5bc96cf64e99	Kasserine	Kasserine	2	0	2013-05-21 14:31:42.644299+02	\N	\N	\N	\N	\N	\N	f	
3727	63f227f3-b2ef-4c12-adfb-04a04435625d	Tozeur	Tozeur	2	0	2013-05-21 14:33:23.59322+02	\N	\N	\N	\N	\N	\N	f	
3721	e829f969-a6fd-4a69-a596-911f0a9375e8	Sidi Bouzid	Sidi Bouzid	2	0	2013-05-21 14:31:56.375028+02	\N	\N	\N	\N	\N	\N	f	
3724	d1c55224-dff3-46d1-917e-80e368992bb7	Mahdia	Mahdia	2	0	2013-05-21 14:32:40.665557+02	\N	\N	\N	\N	\N	\N	f	
3725	868dad57-025b-4bc1-ae48-e747ddb31389	Sfax	Sfax	2	0	2013-05-21 14:32:53.996256+02	\N	\N	\N	\N	\N	\N	f	
3729	b8919bd3-eabe-4717-93a7-c371655f26e1	Gabès	Gabès	2	0	2013-05-21 14:33:51.587533+02	\N	\N	\N	\N	\N	\N	f	
3726	c7bc951b-4098-4ce5-9d1b-601892f4b7e3	Gafsa	Gafsa	2	0	2013-05-21 14:33:09.612526+02	\N	\N	\N	\N	\N	\N	f	
3728	48ecf225-01d1-40a0-b682-2e945c02d33b	Kebili	Kebili	2	0	2013-05-21 14:33:35.733717+02	\N	\N	\N	\N	\N	\N	f	
3731	4f5cd808-b129-456d-917e-b0d58897f1b1	Tataouine	Tataouine	2	0	2013-05-21 14:34:28.167605+02	\N	\N	\N	\N	\N	\N	f	
3730	91a3f0cf-0a66-4e0c-9e69-d0752f742709	Medenine	Medenine	2	0	2013-05-21 14:34:09.995311+02	\N	\N	\N	\N	\N	\N	f	
3733	197ec998-6fd9-4d00-9a8d-0dc3916eb7d4	Dar es Salaam	Dar es Salaam	2	0	2013-05-21 14:34:53.143703+02	\N	\N	\N	\N	\N	\N	f	
3734	826722c0-2ce9-4a88-925b-90723d5bff3e	Dodoma	Dodoma	2	0	2013-05-21 14:35:04.603066+02	\N	\N	\N	\N	\N	\N	f	
3735	887b7319-1ae2-4520-bcae-712a6bae4a67	Iringa	Iringa	2	0	2013-05-21 14:35:17.485642+02	\N	\N	\N	\N	\N	\N	f	
3736	6774cf58-58c4-4df7-af78-2f29d030b46e	Kagera	Kagera	2	0	2013-05-21 14:35:32.544792+02	\N	\N	\N	\N	\N	\N	f	
3737	f92200c5-c1fb-4677-a93e-1d47ec260878	Kaskazini Pemba	Kaskazini Pemba	2	0	2013-05-21 14:35:45.678152+02	\N	\N	\N	\N	\N	\N	f	
3738	c90cd3d7-a83e-4977-9616-efcb054db4ef	Kaskazini Unguja	Kaskazini Unguja	2	0	2013-05-21 14:35:58.705473+02	\N	\N	\N	\N	\N	\N	f	
869	440d7a96-021c-4e33-9894-42e4b03cbaf1	Chongqing	Chongqing	3	0	2013-05-24 01:35:38.634194+02	\N	\N	\N	\N	\N	\N	f	
3742	9b46d42a-7a8d-4641-9887-c24cbd47eae7	Kusini Unguja	Kusini Unguja	2	0	2013-05-21 14:36:41.179588+02	\N	\N	\N	\N	\N	\N	f	
3743	298a77c7-8710-49ec-a1ea-d3e02f6e3ddf	Lindi	Lindi	2	0	2013-05-21 14:36:51.583926+02	\N	\N	\N	\N	\N	\N	f	
3739	16eb2c20-3630-4390-9492-4269555a3bae	Kigoma	Kigoma	2	0	2013-05-21 14:36:09.050788+02	\N	\N	\N	\N	\N	\N	f	
3740	7097eb32-37e5-4791-86d2-2a51c9564740	Kilimanjaro	Kilimanjaro	2	0	2013-05-21 14:36:19.929902+02	\N	\N	\N	\N	\N	\N	f	
4596	68fc9ca0-85d5-4666-b033-234cae178cd0	Kerry	Kerry	2	0	2013-05-22 14:18:52.696145+02	\N	\N	\N	\N	\N	\N	f	
3741	2f1b1a25-e54b-435d-b0cc-620ba5f9d043	Kusini Pemba	Kusini Pemba	2	0	2013-05-21 14:36:30.764764+02	\N	\N	\N	\N	\N	\N	f	
3744	f85dbb2d-7cb5-4501-8da7-50e6a26b5e4e	Mara	Mara	2	0	2013-05-21 14:37:01.912227+02	\N	\N	\N	\N	\N	\N	f	
3745	ff052e51-159c-4351-952d-c3a248c0b2e1	Mbeya	Mbeya	2	0	2013-05-21 14:37:12.353511+02	\N	\N	\N	\N	\N	\N	f	
4730	df21bc3a-6368-43d8-8355-2153a8094fee	Kaḷutara	Kaḷutara	2	0	2013-05-22 14:56:54.681057+02	\N	\N	\N	\N	\N	\N	f	
3746	49413649-73aa-4a39-b9b0-cd0244609da0	Mjini Magharibi	Mjini Magharibi	2	0	2013-05-21 14:37:24.181511+02	\N	\N	\N	\N	\N	\N	f	
3747	ecc5f009-407c-496d-bb32-fbc7e3dbb7de	Morogoro	Morogoro	2	0	2013-05-21 14:37:35.290924+02	\N	\N	\N	\N	\N	\N	f	
3748	588c976f-1b28-4941-8926-9c1ad599895a	Mtwara	Mtwara	2	0	2013-05-21 14:37:46.306909+02	\N	\N	\N	\N	\N	\N	f	
4739	4be72906-9bfe-4af9-80ad-f728ad2bb829	Mannārama	Mannārama	2	0	2013-05-22 14:59:14.080084+02	\N	\N	\N	\N	\N	\N	f	
3749	25104fdc-25a6-4158-bb2c-9abc13e323f6	Mwanza	Mwanza	2	0	2013-05-21 14:37:56.876714+02	\N	\N	\N	\N	\N	\N	f	
3760	ce5240ff-158f-49b1-a081-c45f4715ba26	Northern	Northern	2	0	2013-05-21 14:39:52.589643+02	\N	\N	\N	\N	\N	\N	f	
1104	f1d8d4e7-e72a-4782-a350-f60a3e5b69b6	Asunción	Asunción	3	0	2013-05-24 01:37:33.405468+02	\N	\N	\N	\N	\N	\N	f	
3761	91ca2cf4-53f8-4ed6-be67-b95fd65517c3	Western	Western	2	0	2013-05-21 14:40:03.091249+02	\N	\N	\N	\N	\N	\N	f	
19660	c7754669-43e5-440e-8b35-49202e963294	Monteleone di Puglia	Monteleone di Puglia	4	0	2013-07-22 11:14:31.988531+02	\N	\N	\N	\N	\N	\N	f	
3766	fb281ae7-3796-4b5f-9e4d-af96a93c4141	Mpumalanga	Mpumalanga	2	0	2013-05-21 14:40:56.900847+02	\N	\N	\N	\N	\N	\N	f	
2913	f47b98e5-71bc-4ca0-aa4b-f62d37fa96e1	Toshkent	Toshkent	3	0	2013-05-24 01:51:48.130723+02	\N	\N	\N	\N	\N	\N	f	
3775	be1e257b-a9e5-46e3-9785-cf5df22b2195	Northern	Northern	2	0	2013-05-21 14:42:36.387217+02	\N	\N	\N	\N	\N	\N	f	
4858	60140979-518d-4f85-b641-60f32cd623f5	Kosi [Koshi]	Kosi [Koshi]	2	0	2013-05-22 15:33:45.799764+02	\N	\N	\N	\N	\N	\N	f	
3783	a658fa5b-2c27-43fd-a4d9-ebf1734fde0c	Mashonaland Central	Mashonaland Central	2	0	2013-05-21 14:44:01.125403+02	\N	\N	\N	\N	\N	\N	f	
4995	313a456f-e9dd-4f0b-bba5-9981eea793f9	Kapchorwa	Kapchorwa	2	0	2013-05-22 16:05:07.429608+02	\N	\N	\N	\N	\N	\N	f	
5100	7c86c21d-4988-4c8e-b5c6-1707bc07ef0e	Amersfoort	Amersfoort	3	0	2013-05-24 22:27:23.753265+02	\N	\N	\N	\N	\N	\N	f	
5054	e6077e62-2ad9-49ae-b4a8-4720ffd4414c	Artemisa	Artemisa	2	0	2013-06-05 12:27:35.420562+02	2011	1	1	\N	\N	\N	f	
6206	ef7e4f2c-9e2a-40d0-b229-a71ab59ceed8	Borujen	Borujen	3	0	2013-05-25 02:12:26.011403+02	\N	\N	\N	\N	\N	\N	f	
5271	440010b4-4857-4371-a86f-34e4b4846a58	Pierre	Pierre	3	0	2013-05-24 23:01:03.741728+02	\N	\N	\N	\N	\N	\N	f	
5734	c7c22e64-a8a3-4d90-8cbe-930e7feb93c8	Bandar Lengeh	Bandar Lengeh	3	0	2013-05-25 00:40:26.743176+02	\N	\N	\N	\N	\N	\N	f	
5273	2bda1647-f64b-4277-acce-e9c1296d065e	Des Moines	Des Moines	3	0	2013-05-24 23:01:24.989418+02	\N	\N	\N	\N	\N	\N	f	
5280	aa5d9bf8-a642-4bc8-a9b3-578b1b45b5f8	Porto Alegre	Porto Alegre	3	0	2013-05-24 23:02:40.015325+02	\N	\N	\N	\N	\N	\N	f	
5420	99d19231-016c-428f-831a-17ce7daca318	Wałbrzych	Wałbrzych	3	0	2013-05-24 23:30:41.413925+02	\N	\N	\N	\N	\N	\N	f	
5792	87fafd42-e0a7-47b0-8b84-155660ebd547	Jastarnia	Jastarnia	3	0	2013-05-25 00:52:02.660794+02	\N	\N	\N	\N	\N	\N	f	
15	b211ad01-2f7d-32e9-80ed-cfd6c9eb6845	Azerbaijan	Azerbaijan	1	0	2013-05-27 14:19:55.166223+02	\N	\N	\N	\N	\N	\N	f	
5604	95c81e84-d8db-4ebb-9e95-31204475eb20	Nowy Targ	Nowy Targ	3	0	2013-05-25 00:12:15.322491+02	\N	\N	\N	\N	\N	\N	f	
7087	f9ca5f82-5a1e-4d30-98fb-ec7b6a1ccd2e	Bolków	Bolków	3	0	2013-05-26 16:49:20.378771+02	\N	\N	\N	\N	\N	\N	f	
5816	e204ad44-ca54-4b61-9723-f9092c2cbaca	Masallı	Masallı	3	0	2013-05-25 00:56:48.298382+02	\N	\N	\N	\N	\N	\N	f	
6344	49e06904-52f2-47b0-b766-882271e5a483	Portola Valley	Portola Valley	3	0	2013-05-25 02:44:07.739839+02	\N	\N	\N	\N	\N	\N	f	
5890	2128748f-d0ad-4f87-83fa-b380f30b8f13	Tōkai	Tōkai	3	0	2013-05-25 01:12:43.681374+02	\N	\N	\N	\N	\N	\N	f	
5967	6ec181c7-f549-4697-a197-2e83c540aa72	Bandar Deylam	Bandar Deylam	3	0	2013-05-25 01:27:59.703701+02	\N	\N	\N	\N	\N	\N	f	
6861	7db374b8-1e01-4583-8634-3a322c4e6159	Abu Musa	Abu Musa	3	0	2013-05-25 04:29:15.961983+02	\N	\N	\N	\N	\N	\N	f	
6049	1e059834-47aa-43ef-9c80-6ea69ae6b8f7	Włodawa	Włodawa	3	0	2013-05-25 01:42:38.955919+02	\N	\N	\N	\N	\N	\N	f	
6410	62c0a8be-7c1a-4a70-ac61-a806bfa7b44f	Mkoani	Mkoani	3	0	2013-05-25 03:00:09.197397+02	\N	\N	\N	\N	\N	\N	f	
6051	c7ccc9c6-2800-46f5-966c-53616506b159	Lidzbark Warmiński	Lidzbark Warmiński	3	0	2013-05-25 01:42:59.911748+02	\N	\N	\N	\N	\N	\N	f	
6061	bbe6a58a-8c37-4bdf-bf34-9acf7b5f5932	Torbat-e Jam	Torbat-e Jam	3	0	2013-05-25 01:44:51.834826+02	\N	\N	\N	\N	\N	\N	f	
6115	f4014623-09f5-4300-a2d7-fb2a74ae9312	Date	Date	3	0	2013-05-25 01:56:11.33381+02	\N	\N	\N	\N	\N	\N	f	
6454	b9162479-177a-4d77-a4da-fcc6327af6f4	Dartmouth	Dartmouth	3	0	2013-05-25 03:08:36.585697+02	\N	\N	\N	\N	\N	\N	f	
6125	85c1d640-0133-4af6-8d3c-eaeaa4f68ee8	Kaki	Kaki	3	0	2013-05-25 01:58:00.138388+02	\N	\N	\N	\N	\N	\N	f	
6136	3d601ed2-8afe-40b4-b688-9965194d97ba	Chah Bahar	Chah Bahar	3	0	2013-05-25 01:59:52.138167+02	\N	\N	\N	\N	\N	\N	f	
6181	8beec6df-9bc1-4e86-a02d-a69c2d2b7da4	Ramhormoz	Ramhormoz	3	0	2013-05-25 02:08:02.240637+02	\N	\N	\N	\N	\N	\N	f	
6515	739b1cd1-3728-40b3-8e09-f23ae093896b	Sedan	Sedan	3	0	2013-05-25 03:23:43.385588+02	\N	\N	\N	\N	\N	\N	f	
5600	68d8f243-fd55-4ca1-b511-48fa93575476	Ithaca	Ithaca	3	0	2013-05-26 14:24:07.371633+02	\N	\N	\N	\N	\N	\N	f	
6520	56b6c6ae-c5af-4c7b-9ae6-4e102ef666ee	Lexington	Lexington	3	0	2013-05-25 03:25:00.795662+02	\N	\N	\N	\N	\N	\N	f	
6579	645c7c27-fd63-41f5-915f-f135e7a32e61	Arzuiyeh	Arzuiyeh	3	0	2013-05-25 03:36:26.795344+02	\N	\N	\N	\N	\N	\N	f	
7214	14df2581-2d10-463e-8f92-1d018f0248ec	Leśnica	Leśnica	3	0	2013-05-26 17:20:44.467564+02	\N	\N	\N	\N	\N	\N	f	
6600	10774d1b-e5ee-48f2-932c-54214587d148	Bent	Bent	3	0	2013-05-25 03:40:10.563941+02	\N	\N	\N	\N	\N	\N	f	
6620	15020ce3-50de-4799-bf28-4991d8e38fc8	Danesfahan	Danesfahan	3	0	2013-05-25 03:44:31.620623+02	\N	\N	\N	\N	\N	\N	f	
7453	e8a5c3c2-6e0b-41c8-9274-a35255eed1c8	Wanfried	Wanfried	3	0	2013-05-29 00:16:22.128369+02	\N	\N	\N	\N	\N	\N	f	
7246	320d2d0e-0024-4c00-ae19-3b9e279002ce	Blachownia	Blachownia	3	0	2013-05-26 17:28:27.824117+02	\N	\N	\N	\N	\N	\N	f	
7280	21e8495a-32fa-4a97-8a92-57184e36235a	Perth	Perth	3	0	2013-05-26 19:19:56.66054+02	\N	\N	\N	\N	\N	\N	f	
965	b6577966-6831-402b-82ea-9bacc7207e34	Żabbar	Żabbar	2	0	2013-05-27 19:31:25.232079+02	\N	\N	\N	\N	\N	\N	f	
7285	74e9dfa6-8702-4502-9656-a778d221a5d0	Kasugai	Kasugai	3	0	2013-05-26 20:51:02.144484+02	\N	\N	\N	\N	\N	\N	f	
7704	e2bd38a1-c5ad-4dd4-b9a4-0632ff3be7ae	Zurich	Zurich	3	0	2013-05-29 02:09:33.737736+02	\N	\N	\N	\N	\N	\N	f	
7310	dcdf2469-1d20-4378-a2a2-f5f462fcc873	Manila	Manila	3	0	2013-05-28 13:57:09.989799+02	\N	\N	\N	\N	\N	\N	f	
7589	f6179a93-f5a5-4357-b285-7421583d67c8	Waldkappel	Waldkappel	3	0	2013-05-29 00:52:21.21109+02	\N	\N	\N	\N	\N	\N	f	
8093	4eb5740c-4e44-4696-be0d-52ba798eacba	Rayleigh	Rayleigh	3	0	2013-05-30 18:45:10.170001+02	\N	\N	\N	\N	\N	\N	f	
7870	c9d1aad9-836b-4ec2-b80e-e020fe8d3c90	Elk Point	Elk Point	3	0	2013-05-29 02:54:54.432576+02	\N	\N	\N	\N	\N	\N	f	
8212	9cee7de2-db3c-4732-8004-bff1858a5a31	Murtoa, Victoria	Murtoa, Victoria	3	0	2013-05-30 21:18:32.070148+02	\N	\N	\N	\N	\N	\N	f	
8397	cf92b48d-317f-4829-95e7-47d1b08dc986	Shinagawa	Shinagawa	3	0	2013-05-30 23:20:23.731471+02	\N	\N	\N	\N	\N	\N	f	
8429	e7acb7d6-b8f0-4583-a423-3903d52ad320	Greyton	Greyton	3	0	2013-06-01 17:12:10.028076+02	\N	\N	\N	\N	\N	\N	f	
8433	a5bd1e26-7e77-4426-8b5f-7864810364ae	Poniec	Poniec	3	0	2013-06-01 17:12:58.602875+02	\N	\N	\N	\N	\N	\N	f	
8454	1e185a0f-7ced-41de-946f-a7bb8d0b9b4f	Rabka-Zdrój	Rabka-Zdrój	3	0	2013-06-01 17:17:14.125608+02	\N	\N	\N	\N	\N	\N	f	
8516	46321788-fa8d-4a4e-a6a7-2ad53dae71ef	Stary Sącz	Stary Sącz	3	0	2013-06-01 17:30:19.257728+02	\N	\N	\N	\N	\N	\N	f	
8583	029f71b9-1bce-44c0-bd8b-3f7245bf758f	Wolbrom	Wolbrom	3	0	2013-06-01 17:46:29.500049+02	\N	\N	\N	\N	\N	\N	f	
4759	552b2c75-3482-4dd2-9e5e-cb0459541eba	Chichaoua	Chichaoua	2	0	2013-06-05 08:30:38.024628+02	\N	\N	\N	\N	\N	\N	f	
3772	787c5c2f-5887-4e8f-9c95-6f36dadaa3e6	Central	Central	2	0	2013-06-05 08:47:21.719272+02	\N	\N	\N	\N	\N	\N	f	
3750	1c62e355-d684-4f91-8113-20d42c05d365	Pwani	Pwani	2	0	2013-05-21 14:38:07.385729+02	\N	\N	\N	\N	\N	\N	f	
3751	3e8ce26c-23c1-40a4-b83e-4a4829fc7296	Rukwa	Rukwa	2	0	2013-05-21 14:38:17.792613+02	\N	\N	\N	\N	\N	\N	f	
3476	acc5a33c-4f3f-4f3a-8d7c-5d8ce6afe364	Bamako	Bamako	3	0	2013-05-24 01:38:09.087945+02	\N	\N	\N	\N	\N	\N	f	
3752	5fc2150c-4560-494e-89ff-8dec62cc8c08	Ruvuma	Ruvuma	2	0	2013-05-21 14:38:28.188944+02	\N	\N	\N	\N	\N	\N	f	
4597	29f88a09-cf4c-4ffb-bd3e-a90d68173ed7	Longford	Longford	2	0	2013-05-22 14:19:11.700135+02	\N	\N	\N	\N	\N	\N	f	
3753	e89ae441-df71-41b4-b1eb-8819aabb7e40	Shinyanga	Shinyanga	2	0	2013-05-21 14:38:38.862245+02	\N	\N	\N	\N	\N	\N	f	
3756	1a9ca95f-1e81-421b-b90e-085efb51f3b9	Tanga	Tanga	2	0	2013-05-21 14:39:10.630746+02	\N	\N	\N	\N	\N	\N	f	
3762	b0f5a1fc-2f41-4c64-9383-19074799469c	Eastern Cape	Eastern Cape	2	0	2013-05-21 14:40:13.551449+02	\N	\N	\N	\N	\N	\N	f	
4598	fbf4cf03-0697-4f06-87da-9d5e6fedfc50	Louth	Louth	2	0	2013-05-22 14:19:29.74542+02	\N	\N	\N	\N	\N	\N	f	
4731	27e41b78-8565-48f5-bd9b-bc3801bfdd1d	Mahanuvara	Mahanuvara	2	0	2013-05-22 14:57:08.684737+02	\N	\N	\N	\N	\N	\N	f	
5101	b6bc1b30-dc84-4155-b46d-269454c26897	Maribor	Maribor	3	0	2013-05-24 22:27:34.117352+02	\N	\N	\N	\N	\N	\N	f	
4860	705e6349-fcf5-413e-bbcb-2917225a4b0c	Mahakali	Mahakali	2	0	2013-05-22 15:34:25.683571+02	\N	\N	\N	\N	\N	\N	f	
4997	d0aa3ef4-fca0-434b-9501-8d96f1114a36	Kumi	Kumi	2	0	2013-05-22 16:05:28.989759+02	\N	\N	\N	\N	\N	\N	f	
5055	895d01be-4c54-4e0b-a13d-76b5bc3c08ec	Mayabeque	Mayabeque	2	0	2013-05-24 00:01:11.210753+02	2011	1	1	\N	\N	\N	f	
5118	dde567c6-b779-47d7-9dc2-efa833fa50c4	Nagpur	Nagpur	3	0	2013-05-24 22:30:53.704089+02	\N	\N	\N	\N	\N	\N	f	
5735	f27ad3af-1782-466a-bd85-617a3654ab9e	Środa Śląska	Środa Śląska	3	0	2013-05-25 00:40:50.582163+02	\N	\N	\N	\N	\N	\N	f	
5155	ae91bbcb-a790-42df-b303-6694faf5e631	Waalwijk	Waalwijk	3	0	2013-05-24 22:38:10.843221+02	\N	\N	\N	\N	\N	\N	f	
5162	9e2a34db-dd12-433b-b61b-cd1e16f5a480	Haarlem	Haarlem	3	0	2013-05-24 22:39:21.658671+02	\N	\N	\N	\N	\N	\N	f	
5163	ca5e7707-193c-4741-887a-c783cd57115f	Deventer	Deventer	3	0	2013-05-24 22:39:31.871385+02	\N	\N	\N	\N	\N	\N	f	
5757	860a21bd-92a4-462f-a000-3eefc57ed793	Evanston	Evanston	3	0	2013-05-25 00:45:16.023874+02	\N	\N	\N	\N	\N	\N	f	
5165	5f664e81-697a-46ca-a804-69e315e48877	Helmond	Helmond	3	0	2013-05-24 22:39:50.574377+02	\N	\N	\N	\N	\N	\N	f	
5272	6dfc84a1-167d-46d9-ba68-6e3e57622263	Sochi	Sochi	3	0	2013-05-24 23:01:14.864076+02	\N	\N	\N	\N	\N	\N	f	
6411	d97a58a9-6cd1-4d0f-906a-340a673654fa	Kelachay	Kelachay	3	0	2013-05-25 03:00:22.888451+02	\N	\N	\N	\N	\N	\N	f	
5345	abecd0f1-653c-4a8f-96d2-888132afd1fc	Kluczbork	Kluczbork	3	0	2013-05-24 23:16:21.092558+02	\N	\N	\N	\N	\N	\N	f	
5825	5b6cd9f1-d039-4e7f-899b-328aa3963439	Pastavy	Pastavy	3	0	2013-05-25 00:58:36.045476+02	\N	\N	\N	\N	\N	\N	f	
5422	f7ee96d4-39c9-4f66-8d63-e64da865821e	Kołobrzeg	Kołobrzeg	3	0	2013-05-24 23:31:03.659462+02	\N	\N	\N	\N	\N	\N	f	
5605	75213e2d-ac20-4f77-aa01-ac9a8f063a1f	Hino	Hino	3	0	2013-05-25 00:12:28.513753+02	\N	\N	\N	\N	\N	\N	f	
5621	a4c661ca-4687-4aa1-a028-69011ed1a3a8	Kigoma	Kigoma	3	0	2013-05-25 00:16:43.820851+02	\N	\N	\N	\N	\N	\N	f	
5892	31801fb2-0994-4167-a75b-bd43777b5c40	Ryn	Ryn	3	0	2013-05-25 01:13:04.984681+02	\N	\N	\N	\N	\N	\N	f	
5640	c996ed9b-5a3e-4170-860f-3171d3e0c554	Třebíč	Třebíč	3	0	2013-05-25 00:20:14.374676+02	\N	\N	\N	\N	\N	\N	f	
7088	b1eb6c21-6a7a-4958-af93-6b14fdbbc211	Drohiczyn	Drohiczyn	3	0	2013-05-26 16:49:32.259232+02	\N	\N	\N	\N	\N	\N	f	
6500	9d39a151-40db-4375-8a57-e6f1020873ab	Hobart	Hobart	3	0	2013-05-25 03:20:12.456817+02	\N	\N	\N	\N	\N	\N	f	
5912	16800ace-0fe6-4899-a357-8d836f8185eb	Behbahan	Behbahan	3	0	2013-05-25 01:16:50.678794+02	\N	\N	\N	\N	\N	\N	f	
6116	c92feead-8641-45b6-9f7e-c67005790ecb	Wolsztyn	Wolsztyn	3	0	2013-05-25 01:56:22.060134+02	\N	\N	\N	\N	\N	\N	f	
6121	b0cc8c0d-82ca-4d95-b3d8-98e2e0aaedb3	Hasuda	Hasuda	3	0	2013-05-25 01:57:14.575981+02	\N	\N	\N	\N	\N	\N	f	
6583	ba44c138-1af1-432b-8a0a-f8cef57c8e7e	Farmahin	Farmahin	3	0	2013-05-25 03:37:08.065933+02	\N	\N	\N	\N	\N	\N	f	
6166	22e9a0d6-bec0-44cf-9d9f-fd82e0dd1cd1	Saman	Saman	3	0	2013-05-25 02:05:19.349219+02	\N	\N	\N	\N	\N	\N	f	
6263	f1c5c352-901b-416b-9465-d87b861cddc0	Richmond Heights	Richmond Heights	3	0	2013-05-25 02:25:07.831833+02	\N	\N	\N	\N	\N	\N	f	
7103	a4d4678c-454f-4913-b68e-9391686a4e7d	Szczecinek	Szczecinek	3	0	2013-05-26 16:52:58.700647+02	\N	\N	\N	\N	\N	\N	f	
6347	23f0e699-4b75-4837-9c9b-18cc1a1a2032	Kingfisher	Kingfisher	3	0	2013-05-25 02:44:48.629244+02	\N	\N	\N	\N	\N	\N	f	
6585	38d30853-88b7-4337-a3c9-f916232b96bf	Mes-e Sarcheshmeh	Mes-e Sarcheshmeh	3	0	2013-05-25 03:37:28.657669+02	\N	\N	\N	\N	\N	\N	f	
7338	a8809616-2bd6-401a-b348-cea47df47697	Kandahar	Kandahar	3	0	2013-05-28 14:05:00.022101+02	\N	\N	\N	\N	\N	\N	f	
6687	9df3da7a-c977-43ad-8c99-2bb2cada921a	Kunani	Kunani	3	0	2013-05-25 03:56:53.763971+02	\N	\N	\N	\N	\N	\N	f	
7215	06a57d92-a209-4f18-b0e7-56b63a4cdab1	Gogolin	Gogolin	3	0	2013-05-26 17:20:56.244109+02	\N	\N	\N	\N	\N	\N	f	
6716	ff7c38a4-291a-47f6-9767-212c8cdeef1a	Kalleh Bast	Kalleh Bast	3	0	2013-05-25 04:01:58.364111+02	\N	\N	\N	\N	\N	\N	f	
6864	058e58a6-0f59-48d8-8122-ca9a5f81b10e	Ahmadabad	Ahmadabad	3	0	2013-05-25 04:29:46.762708+02	\N	\N	\N	\N	\N	\N	f	
7591	fa7ab877-3776-464d-8a5b-7a236364d6b3	Aßlar	Aßlar	3	0	2013-05-29 00:52:42.660361+02	\N	\N	\N	\N	\N	\N	f	
6902	9f2df3f8-24dd-483d-abd8-a1c18258d5c0	Abish Ahmad	Abish Ahmad	3	0	2013-05-25 04:37:39.972065+02	\N	\N	\N	\N	\N	\N	f	
7281	ac0f32ec-8342-409a-b97f-6ace1f21b438	Fukuoka	Fukuoka	3	0	2013-05-26 19:20:11.915941+02	\N	\N	\N	\N	\N	\N	f	
5896	e61c6889-0505-4f1f-898f-15151c492acd	Olean	Olean	3	0	2013-05-26 14:22:32.874331+02	\N	\N	\N	\N	\N	\N	f	
7286	40475c77-63ee-4296-95c6-ed2a1c84e311	Saarbrücken	Saarbrücken	3	0	2013-05-26 20:55:37.076675+02	\N	\N	\N	\N	\N	\N	f	
2519	946cef05-0893-4536-9c13-2c9a903b0710	Övörhangay	Övörhangay	2	0	2013-05-27 19:32:30.506356+02	\N	\N	\N	\N	\N	\N	f	
8094	d5402cce-6240-4c4e-85eb-b0af1af10640	Lith	Lith	3	0	2013-05-30 18:45:22.381552+02	\N	\N	\N	\N	\N	\N	f	
7311	443f1ab1-cbf2-4ec9-81de-e7ecb1e8dc83	Iserlohn	Iserlohn	3	0	2013-05-28 13:57:28.261002+02	\N	\N	\N	\N	\N	\N	f	
7706	e8e317a1-268c-4e46-9db1-f10af959ffca	Amsterdam	Amsterdam	3	0	2013-05-29 02:09:57.63226+02	\N	\N	\N	\N	\N	\N	f	
7315	6da9804e-bda9-43a2-afcf-2da616711c81	Warburg	Warburg	3	0	2013-05-28 13:58:31.87519+02	\N	\N	\N	\N	\N	\N	f	
7326	c920948b-83e3-40b7-8fe9-9ab5abaac55b	Houston	Houston	3	0	2013-05-28 19:00:23.530426+02	\N	\N	\N	\N	\N	\N	f	
7454	a6f7157a-bfab-49e8-a22b-240ade4552ca	San Antonio	San Antonio	3	0	2013-05-29 00:16:37.836827+02	\N	\N	\N	\N	\N	\N	f	
7328	21879fba-fe4e-4dbc-99e8-cad9142e5618	Sacramento	Sacramento	3	0	2013-05-28 14:02:28.527973+02	\N	\N	\N	\N	\N	\N	f	
7727	e1c4141e-c5af-4b5a-8039-f6c5efb8d618	Herzogenrath	Herzogenrath	3	0	2013-05-29 02:15:05.143802+02	\N	\N	\N	\N	\N	\N	f	
7470	7c909995-f1e0-4190-94c6-1be60bd0f1da	Mörfelden-Walldorf	Mörfelden-Walldorf	3	0	2013-05-29 00:22:22.866789+02	\N	\N	\N	\N	\N	\N	f	
8468	e9f2c6ed-fc95-4eba-85af-c27e36351716	Korsze	Korsze	3	0	2013-06-01 17:20:14.775927+02	\N	\N	\N	\N	\N	\N	f	
7871	b58f5b69-1b67-404e-9368-c4a6d9563f7a	Bandera	Bandera	3	0	2013-05-29 02:55:18.011326+02	\N	\N	\N	\N	\N	\N	f	
8216	314eeee3-fd07-45ec-a817-192023da7a61	Wabag	Wabag	3	0	2013-05-30 21:19:22.130201+02	\N	\N	\N	\N	\N	\N	f	
8430	3aa16a82-f639-484a-94dc-eceefbf848b6	Kcynia	Kcynia	3	0	2013-06-01 17:12:20.798909+02	\N	\N	\N	\N	\N	\N	f	
8400	2e36eabc-e275-4ef8-aaa8-70f7715c0b33	Arakawa	Arakawa	3	0	2013-05-30 23:22:10.799519+02	\N	\N	\N	\N	\N	\N	f	
8411	4d939482-191e-4391-b907-4738ab0ea16c	Itabashi	Itabashi	3	0	2013-05-30 23:31:37.093924+02	\N	\N	\N	\N	\N	\N	f	
8584	edc27152-b8ab-44aa-9fc9-738f60f7d946	Seward Township	Seward Township	3	0	2013-06-01 17:46:43.869987+02	\N	\N	\N	\N	\N	\N	f	
8592	9db474c6-44bb-4de8-b3e6-6b8bde8100f5	Mullumbimby	Mullumbimby	3	0	2013-06-01 17:49:08.138573+02	\N	\N	\N	\N	\N	\N	f	
8603	0da15c47-f5b8-48da-befc-8b8536578586	Pruchnik	Pruchnik	3	0	2013-06-01 17:52:05.308695+02	\N	\N	\N	\N	\N	\N	f	
8717	794f3d0c-b69d-44ee-a136-e0b0a416c96b	Charleville	Charleville	3	0	2013-06-01 18:25:56.65907+02	\N	\N	\N	\N	\N	\N	f	
8841	a69e1723-1d48-40be-b4f9-d957b72e2a8d	Genadendal	Genadendal	3	0	2013-06-01 19:39:19.075704+02	\N	\N	\N	\N	\N	\N	f	
8894	3c812be1-648d-4ce5-8d7b-988c2b4aa338	Wuwei, Gansu	Wuwei, Gansu	3	0	2013-06-01 19:54:55.718859+02	\N	\N	\N	\N	\N	\N	f	
13772	b666a906-86ca-4497-9725-71a6cb8ad193	Santa Croce sull'Arno	Santa Croce sull'Arno	4	0	2013-07-21 19:08:54.958412+02	\N	\N	\N	\N	\N	\N	f	
8942	6682334a-f18c-408c-867f-2f7cc0defaeb	Bengbu	Bengbu	3	0	2013-06-01 20:06:54.264368+02	\N	\N	\N	\N	\N	\N	f	
3754	df93f0d4-0f00-4b33-91c2-bf2afccf6c33	Singida	Singida	2	0	2013-05-21 14:38:49.429275+02	\N	\N	\N	\N	\N	\N	f	
3755	1ff494ef-7789-4cd7-b135-a9fedf761aa2	Tabora	Tabora	2	0	2013-05-21 14:38:59.867533+02	\N	\N	\N	\N	\N	\N	f	
3757	5353aa71-fe87-44d3-ad57-5643d270ee47	Manyara	Manyara	2	0	2013-05-21 14:39:21.054423+02	\N	\N	\N	\N	\N	\N	f	
4599	5a4c78b4-9e1f-48f9-822a-476e2010b063	Limerick	Limerick	2	0	2013-05-22 14:19:50.716511+02	\N	\N	\N	\N	\N	\N	f	
3759	5e141ede-e299-43c9-8838-d4fab5337e2a	Eastern	Eastern	2	0	2013-05-21 14:39:42.106279+02	\N	\N	\N	\N	\N	\N	f	
4732	62eddc46-7dbb-4bd9-ba11-3e4151cdf8aa	Mātale	Mātale	2	0	2013-05-22 14:57:25.263715+02	\N	\N	\N	\N	\N	\N	f	
3106	9d6867ec-7c9b-481a-972a-a017f16d7ea4	Şan‘ā’	Şan‘ā’	3	0	2013-05-24 01:39:34.413505+02	\N	\N	\N	\N	\N	\N	f	
4861	a80b5531-516a-4d06-b3e2-f56d387b1a01	Mechi	Mechi	2	0	2013-05-22 15:34:43.732778+02	\N	\N	\N	\N	\N	\N	f	
5102	b7e60f9a-4c25-43e3-95ff-c73b9bac93e6	Lund	Lund	3	0	2013-05-24 22:28:00.714085+02	\N	\N	\N	\N	\N	\N	f	
4929	864e477d-79eb-4e2b-b18d-8c419ac1e944	Mindoro Oriental	Mindoro Oriental	2	0	2013-05-22 15:52:18.020802+02	\N	\N	\N	\N	\N	\N	f	
5001	abee9cbd-9494-46d0-9048-8fc7cb5af5e4	Tororo	Tororo	2	0	2013-05-22 16:06:12.355007+02	\N	\N	\N	\N	\N	\N	f	
721	f1ac379f-8cd3-45c3-8da0-80c429b36c5e	Budapest	Budapest	3	0	2013-05-24 00:20:41.865053+02	\N	\N	\N	\N	\N	\N	f	
1008	6f85c2b6-4250-468b-9bd8-300fd8b451ad	Bogotá	Bogotá	3	0	2013-05-24 01:43:28.114043+02	\N	\N	\N	\N	\N	\N	f	
2340	0e4c5a2b-b595-494d-8c3e-2968d18b6e1f	Beograd	Beograd	3	0	2013-05-24 01:43:55.990286+02	\N	\N	\N	\N	\N	\N	f	
5274	208e783b-661d-4164-935a-90f9e7937195	Belo Horizonte	Belo Horizonte	3	0	2013-05-24 23:01:35.478065+02	\N	\N	\N	\N	\N	\N	f	
5736	b3251a5c-13f5-499c-94ff-954d9f553126	Żabno	Żabno	3	0	2013-05-25 00:41:05.631383+02	\N	\N	\N	\N	\N	\N	f	
5276	82e1671e-2ef7-481b-b337-0c82f969115a	Świnoujście	Świnoujście	3	0	2013-05-24 23:01:58.553808+02	\N	\N	\N	\N	\N	\N	f	
5423	5643e356-bcd4-42ae-8e68-b75f88c347ec	Charlottesville, Virginia	Charlottesville, Virginia	3	0	2013-05-24 23:31:14.167254+02	\N	\N	\N	\N	\N	\N	f	
5606	7cac94b6-03c7-4767-a04a-3b00c5e9addf	Pyrzyce	Pyrzyce	3	0	2013-05-25 00:12:51.648469+02	\N	\N	\N	\N	\N	\N	f	
5895	043887c0-b166-48a2-a6cf-39bdc6dbc0a4	Carmel-by-the-Sea	Carmel-by-the-Sea	3	0	2013-05-25 01:13:41.443519+02	\N	\N	\N	\N	\N	\N	f	
6413	743e6f30-da61-4406-9c05-a359efd82867	Chaboksar	Chaboksar	3	0	2013-05-25 03:00:46.215482+02	\N	\N	\N	\N	\N	\N	f	
5914	ed043468-c6b3-4bad-8b74-a7227be6d419	Jabłonowo Pomorskie	Jabłonowo Pomorskie	3	0	2013-05-25 01:17:12.264167+02	\N	\N	\N	\N	\N	\N	f	
5919	31fe434d-2411-46b7-b169-7384dd7d3de6	Astara	Astara	3	0	2013-05-25 01:18:04.109709+02	\N	\N	\N	\N	\N	\N	f	
6117	fce5ea81-3a32-46b7-923a-6d6895ea00ca	Bełżyce	Bełżyce	3	0	2013-05-25 01:56:33.252356+02	\N	\N	\N	\N	\N	\N	f	
6591	8212c459-43a5-42f7-8990-f028acb94e74	Torqabeh	Torqabeh	3	0	2013-05-25 03:38:34.385387+02	\N	\N	\N	\N	\N	\N	f	
6195	9b8fc6b8-8bc6-4830-9753-7ab9d1cf38cc	Parandak	Parandak	3	0	2013-05-25 02:10:30.645143+02	\N	\N	\N	\N	\N	\N	f	
6267	5ae9f1ac-6610-4447-b33e-a8ec53337243	Vero Beach, Florida	Vero Beach, Florida	3	0	2013-05-25 02:25:53.772279+02	\N	\N	\N	\N	\N	\N	f	
7089	29851b58-a5a0-47ef-86dc-21c180f130de	Piastów	Piastów	3	0	2013-05-26 16:49:48.171157+02	\N	\N	\N	\N	\N	\N	f	
7592	2c86d139-7b34-4feb-889c-cd975f36d8d1	Friedrichsthal	Friedrichsthal	3	0	2013-05-29 00:52:53.095097+02	\N	\N	\N	\N	\N	\N	f	
7216	b9c87e59-b055-4747-8b15-0b3f26c660a1	Wielichowo	Wielichowo	3	0	2013-05-26 17:21:11.030373+02	\N	\N	\N	\N	\N	\N	f	
6609	46fd26a4-7bb1-49ca-9cb0-359c775e7f6f	Khorramdasht	Khorramdasht	3	0	2013-05-25 03:41:46.903706+02	\N	\N	\N	\N	\N	\N	f	
6865	456cb1bb-2b03-464f-9d20-9c011b9b1c1c	Nowdan	Nowdan	3	0	2013-05-25 04:29:57.093291+02	\N	\N	\N	\N	\N	\N	f	
6890	5d201e9c-e53e-450a-8619-a281e766bffb	Aminshahr	Aminshahr	3	0	2013-05-25 04:35:03.00457+02	\N	\N	\N	\N	\N	\N	f	
7282	30bcaa92-9870-4798-be1a-4e0036755316	Osaka	Osaka	3	0	2013-05-26 19:20:30.890584+02	\N	\N	\N	\N	\N	\N	f	
6918	6a631c88-726c-49e5-9908-bebd399e1894	Mahale Chiniha	Mahale Chiniha	3	0	2013-05-25 04:41:03.984202+02	\N	\N	\N	\N	\N	\N	f	
6348	2ccbeea5-3e13-4b44-9a70-612120dff0e5	Oswego	Oswego	3	0	2013-05-26 14:22:19.069963+02	\N	\N	\N	\N	\N	\N	f	
7287	7968b302-75a6-4456-a09e-7bf7ac13293a	Omaha	Omaha	3	0	2013-05-26 20:55:48.945888+02	\N	\N	\N	\N	\N	\N	f	
7653	985e570a-60b3-4a91-8dea-74069619504e	Lauterbach	Lauterbach	3	0	2013-05-29 01:05:41.127253+02	\N	\N	\N	\N	\N	\N	f	
7872	0131b9ef-9f38-4289-9b88-8d8829e9aa4a	Kaufman	Kaufman	3	0	2013-05-29 02:55:30.778236+02	\N	\N	\N	\N	\N	\N	f	
7707	0eeb01c2-6e31-46ad-96b8-319749f731d2	Philadelphia	Philadelphia	3	0	2013-05-29 02:10:27.198332+02	\N	\N	\N	\N	\N	\N	f	
7721	7fae37d9-c3da-4b48-a70e-ef55589709ea	Bad Aibling	Bad Aibling	3	0	2013-05-29 02:13:49.282223+02	\N	\N	\N	\N	\N	\N	f	
3075	8645de94-7a0d-44af-93a2-dfb0691f1ede	‘Āsīr	‘Āsīr	2	0	2013-05-27 19:33:21.618387+02	\N	\N	\N	\N	\N	\N	f	
7312	132e3f91-b5c6-4e7c-b56c-2dab0f16b727	Hemer	Hemer	3	0	2013-05-28 13:57:44.482954+02	\N	\N	\N	\N	\N	\N	f	
8401	be236c3f-cee3-43e5-a613-5b455a950af5	Saint-Léon-le-Grand	Saint-Léon-le-Grand	3	0	2013-05-30 23:22:49.288276+02	\N	\N	\N	\N	\N	\N	f	
7455	ebfe393d-ef47-4fad-b374-f48e7de87045	Hattingen	Hattingen	3	0	2013-05-29 00:17:31.943952+02	\N	\N	\N	\N	\N	\N	f	
225	95c0c3ee-ed52-31c4-83e6-19ced497e6d0	Uzbekistan	Uzbekistan	1	0	2013-05-27 14:20:53.075308+02	\N	\N	\N	\N	\N	\N	f	
7724	92eb3db2-ecba-40aa-becb-bde4c80a6b9b	Lugano	Lugano	3	0	2013-05-29 02:14:31.917324+02	\N	\N	\N	\N	\N	\N	f	
7540	9e1cb6e7-19a7-4fe2-8f54-1e4720865921	Bad Karlshafen	Bad Karlshafen	3	0	2013-05-29 00:42:09.161882+02	\N	\N	\N	\N	\N	\N	f	
7907	5e60a7e4-bf79-4101-b879-85061230f443	Watertown	Watertown	3	0	2013-05-29 03:04:58.681204+02	\N	\N	\N	\N	\N	\N	f	
7754	3cea2e51-9cb8-43ac-9255-c51f82d57b37	Asperg	Asperg	3	0	2013-05-29 02:21:56.237376+02	\N	\N	\N	\N	\N	\N	f	
7552	6265b543-8278-479f-8a6c-da92b336bb07	Haiger	Haiger	3	0	2013-05-29 00:44:51.495901+02	\N	\N	\N	\N	\N	\N	f	
7563	3dda69da-e2ce-4fbc-bc99-0d88c13046be	Babenhausen	Babenhausen	3	0	2013-05-29 00:46:54.601696+02	\N	\N	\N	\N	\N	\N	f	
7773	a82ff466-ecde-4d3c-8b5b-b035a2f2f965	Roma	Roma	3	0	2013-05-29 02:26:25.122709+02	\N	\N	\N	\N	\N	\N	f	
8288	3e1e3803-8b22-4d87-b426-99a6ee199f0c	Tazian-e-Paeen	Tazian-e-Paeen	3	0	2013-05-30 21:37:11.918602+02	\N	\N	\N	\N	\N	\N	f	
7796	acdd7041-c707-4817-9b7b-921e3e7e2a62	Überlingen	Überlingen	3	0	2013-05-29 02:32:12.867726+02	\N	\N	\N	\N	\N	\N	f	
7930	d3c3bcef-6747-4df2-ab58-d73a3d297b96	Khash	Khash	3	0	2013-05-29 03:11:44.784109+02	\N	\N	\N	\N	\N	\N	f	
8095	6767b22c-8d93-40c3-8dc6-149b344459c6	Normanton	Normanton	3	0	2013-05-30 18:45:38.15454+02	\N	\N	\N	\N	\N	\N	f	
8586	6bf01e3b-3ee3-4344-b484-495bf82d6067	Tarczyn	Tarczyn	3	0	2013-06-01 17:47:17.583464+02	\N	\N	\N	\N	\N	\N	f	
8218	52899282-971a-47da-90eb-8664ac603a3e	Margenlar	Margenlar	3	0	2013-05-30 21:19:53.665993+02	\N	\N	\N	\N	\N	\N	f	
8330	788ebdf0-2089-4c68-96d6-43e48eb03286	Coggeshall	Coggeshall	3	0	2013-05-30 21:46:32.230392+02	\N	\N	\N	\N	\N	\N	f	
8431	b59a5388-69bc-43ed-a175-da866f20610c	Sułkowice	Sułkowice	3	0	2013-06-01 17:12:31.758436+02	\N	\N	\N	\N	\N	\N	f	
8799	09540bcc-48b6-4b29-9a7b-2db1a0a2d8df	York	York	3	0	2013-06-01 18:49:03.325357+02	\N	\N	\N	\N	\N	\N	f	
8773	38f6320b-1f68-4cae-800d-ea6eddfcf56a	Goniądz	Goniądz	3	0	2013-06-01 18:42:24.259265+02	\N	\N	\N	\N	\N	\N	f	
8718	05802d0e-bc91-444c-919a-bd320f068495	Cleveland	Cleveland	3	0	2013-06-01 18:26:07.361896+02	\N	\N	\N	\N	\N	\N	f	
8973	c271aa47-4aee-4271-afe5-925377ff6a4b	Pingdingshan	Pingdingshan	3	0	2013-06-01 20:13:11.815184+02	\N	\N	\N	\N	\N	\N	f	
8843	fda34161-66a8-4ed4-92cb-4cf2d4b1f7b8	Suhl	Suhl	3	0	2013-06-01 19:39:39.448213+02	\N	\N	\N	\N	\N	\N	f	
9090	e764d4b4-ef36-4a03-bb9d-fd3ba06cb30a	Zhuhai	Zhuhai	3	0	2013-06-01 20:37:29.639749+02	\N	\N	\N	\N	\N	\N	f	
4757	c202948c-4f60-44f4-b338-5986cb6cb69e	Beni Mellal	Beni Mellal	2	0	2013-06-05 07:50:08.724205+02	\N	\N	\N	\N	\N	\N	f	
2258	470b1f78-3ddf-48ee-8090-41231e9d3bbf	Berovo	Berovo	2	0	2013-06-05 07:34:57.502772+02	\N	\N	\N	\N	\N	\N	f	
3758	0c4fda06-0088-4694-8690-d84842e1660f	Central	Central	2	0	2013-06-05 10:40:02.63329+02	\N	\N	\N	\N	\N	\N	f	
1670	75d2d55d-e6d6-41c8-9c45-02e69500a17b	Capital Territory (Honiara)	Capital Territory (Honiara)	2	0	2013-06-05 11:12:36.345035+02	\N	\N	\N	\N	\N	\N	f	
9451	ae1c6bc3-a525-420c-af54-692b449e8edb	Sioux Falls	Sioux Falls	3	0	2013-06-09 17:43:03.346335+02	\N	\N	\N	\N	\N	\N	f	
15486	a2d60189-d3f8-49dc-ae96-740ae4b6765e	Poggio Nativo	Poggio Nativo	4	0	2013-07-22 00:56:14.482745+02	\N	\N	\N	\N	\N	\N	f	
9457	bb356d24-d2e0-4f03-88e4-d3c3152cdca8	Dharampur	Dharampur	3	0	2013-06-09 17:45:21.157224+02	\N	\N	\N	\N	\N	\N	f	
17298	764735d4-ff93-42b0-bcc6-eed7ddd5216e	Porto Torres	Porto Torres	4	0	2013-07-22 06:09:40.158579+02	\N	\N	\N	\N	\N	\N	f	
3763	5376b015-48e6-4be8-9827-1f246c43868e	Free State	Free State	2	0	2013-05-21 14:40:24.049454+02	\N	\N	\N	\N	\N	\N	f	
3767	84c2ac7d-79eb-4f8f-8777-09b984f2dd85	Northern Cape	Northern Cape	2	0	2013-05-21 14:41:07.328904+02	\N	\N	\N	\N	\N	\N	f	
4600	3fd6a83e-f820-40da-91b6-4dbd04e39487	Leitrim	Leitrim	2	0	2013-05-22 14:20:04.919756+02	\N	\N	\N	\N	\N	\N	f	
4733	745654c9-97cf-489f-b89f-a28c3e0d9efb	Nuvara Ĕliya	Nuvara Ĕliya	2	0	2013-05-22 14:57:49.03166+02	\N	\N	\N	\N	\N	\N	f	
3056	29aae758-4c4f-4d77-899c-1dcb67196b24	Ad Dawḩah	Ad Dawḩah	3	0	2013-05-24 01:40:06.227909+02	\N	\N	\N	\N	\N	\N	f	
4865	8df012b2-d067-401f-9581-84e1dbfc94b8	Seti	Seti	2	0	2013-05-22 15:35:54.847307+02	\N	\N	\N	\N	\N	\N	f	
5002	4d4f861f-d3e7-4fac-a448-d2d474b578fa	Kaberamaido	Kaberamaido	2	0	2013-05-22 16:06:23.223643+02	\N	\N	\N	\N	\N	\N	f	
5023	c2c7faa6-26c7-4f9c-b18d-84cf3069927b	Nebbi	Nebbi	2	0	2013-05-22 16:10:22.159252+02	\N	\N	\N	\N	\N	\N	f	
2534	805deaa9-f30c-4856-baa4-19f206df64ce	Incheon	Incheon	3	0	2013-05-24 02:22:33.205996+02	\N	\N	\N	\N	\N	\N	f	
5029	ef6c1822-8afb-4ddb-85fe-1d0e848450a3	Koboko	Koboko	2	0	2013-05-22 16:11:38.781666+02	\N	\N	\N	\N	\N	\N	f	
5104	309f34c5-5df2-4bc7-9ad4-2ba4a78abb67	Wrocław	Wrocław	3	0	2013-05-24 22:28:21.401729+02	\N	\N	\N	\N	\N	\N	f	
5052	47840bcd-dfd9-4203-ae5b-0efff82b2008	Kiruhura	Kiruhura	2	0	2013-05-22 16:16:17.160137+02	\N	\N	\N	\N	\N	\N	f	
718	7fb3da3d-70ec-427c-8482-dbb33f5a86d1	Békéscsaba	Békéscsaba	3	0	2013-05-24 00:20:55.275701+02	\N	\N	\N	\N	\N	\N	f	
5234	c26c88ae-3ea4-45fe-9721-0edead98664d	Nagasaki	Nagasaki	3	0	2013-05-24 22:54:19.219444+02	\N	\N	\N	\N	\N	\N	f	
5737	a0fec6ee-4c98-4e4e-8b66-195537575f02	Świdnik	Świdnik	3	0	2013-05-25 00:41:20.643748+02	\N	\N	\N	\N	\N	\N	f	
5275	aa852e8c-7751-4349-b09a-0751065e48e1	Esfarayen	Esfarayen	3	0	2013-05-24 23:01:45.955137+02	\N	\N	\N	\N	\N	\N	f	
5424	45b437d8-7e6f-449d-8b12-7c98c493dbf3	Grudziądz	Grudziądz	3	0	2013-05-24 23:31:24.370136+02	\N	\N	\N	\N	\N	\N	f	
5438	ddc36d02-0822-4b4b-bb79-d82f24feb4fe	Oleśnica	Oleśnica	3	0	2013-05-24 23:34:09.560731+02	\N	\N	\N	\N	\N	\N	f	
5753	de9ee058-13f3-4185-82d4-e4a011053b2b	Khorramshahr	Khorramshahr	3	0	2013-05-25 00:44:33.682636+02	\N	\N	\N	\N	\N	\N	f	
5609	db783043-2a67-4512-bd9a-726c07d13515	Polkowice	Polkowice	3	0	2013-05-25 00:13:37.515965+02	\N	\N	\N	\N	\N	\N	f	
6414	08de70ab-6a26-4ac1-a0b7-70f073ceffaf	Mirjaveh	Mirjaveh	3	0	2013-05-25 03:00:57.731392+02	\N	\N	\N	\N	\N	\N	f	
5899	68e54ab1-1a94-4d68-960a-904bc7fbcf84	Choszczno	Choszczno	3	0	2013-05-25 01:14:29.135554+02	\N	\N	\N	\N	\N	\N	f	
5959	359a3657-da94-408a-9736-aa6bff4aad94	Date	Date	3	0	2013-05-25 01:26:28.674935+02	\N	\N	\N	\N	\N	\N	f	
2336	387dd430-0e7f-48d2-bfc8-eca8682321f7	Češinovo-Obleševo	Češinovo-Obleševo	2	0	2013-05-27 19:33:56.187264+02	\N	\N	\N	\N	\N	\N	f	
6119	864cbf0b-bc94-4d7b-bde1-21e5d9d87110	Qeydar	Qeydar	3	0	2013-05-25 01:56:53.649963+02	\N	\N	\N	\N	\N	\N	f	
6455	3b06b5a0-d42a-47b3-af06-6a7e2db22ccb	Baft	Baft	3	0	2013-05-25 03:08:47.26095+02	\N	\N	\N	\N	\N	\N	f	
6120	f63bf669-1b6b-47b4-8a97-3ab94ef33e22	Hamilton	Hamilton	3	0	2013-05-25 01:57:04.115626+02	\N	\N	\N	\N	\N	\N	f	
6190	b902abcd-540d-4d96-ba4e-d83aecab8d67	Asadabad	Asadabad	3	0	2013-05-25 02:09:38.969637+02	\N	\N	\N	\N	\N	\N	f	
7090	ccbbe41f-7ac4-4a18-8e3a-bcd7f01563d2	Czerwieńsk	Czerwieńsk	3	0	2013-05-26 16:49:59.473272+02	\N	\N	\N	\N	\N	\N	f	
6218	cc763578-c7cd-45ce-9cd3-42660bccf06d	Sierpc	Sierpc	3	0	2013-05-25 02:14:47.397326+02	\N	\N	\N	\N	\N	\N	f	
6349	dc05dda3-965a-41a3-91a8-ca8ea201bb03	Jahrom	Jahrom	3	0	2013-05-25 02:45:18.596853+02	\N	\N	\N	\N	\N	\N	f	
6592	10aa943d-6b78-4480-8b3e-d36d60bb13da	Fahraj	Fahraj	3	0	2013-05-25 03:38:44.663338+02	\N	\N	\N	\N	\N	\N	f	
6881	0fff881c-f6da-4c44-8c32-9e51c311d5ef	Musian	Musian	3	0	2013-05-25 04:32:57.711619+02	\N	\N	\N	\N	\N	\N	f	
7217	438f494d-9ed1-466b-b379-2c3053894228	Sompolno	Sompolno	3	0	2013-05-26 17:21:23.405048+02	\N	\N	\N	\N	\N	\N	f	
7288	6195f381-5711-4655-bf7c-75918c04b201	Oakland	Oakland	3	0	2013-05-26 20:55:59.863246+02	\N	\N	\N	\N	\N	\N	f	
7313	18a7a5dd-2a19-4b90-a6ed-198560a8bc12	Ahmedabad	Ahmedabad	3	0	2013-05-28 13:58:03.406127+02	\N	\N	\N	\N	\N	\N	f	
8096	0cb118a9-28bb-4afe-9d72-d15108e5c4aa	La Mata de Morella	La Mata de Morella	3	0	2013-05-30 18:45:52.787994+02	\N	\N	\N	\N	\N	\N	f	
7456	2a975aa6-0e96-4c7e-a150-a3fc61588ce7	Stralsund	Stralsund	3	0	2013-05-29 00:17:43.705945+02	\N	\N	\N	\N	\N	\N	f	
13774	1a0b68e7-5ebf-4ceb-83a6-239dc6cc6f1e	Vestignè	Vestignè	4	0	2013-07-21 19:09:18.16548+02	\N	\N	\N	\N	\N	\N	f	
7475	593c5d53-41aa-4e87-bac1-03fd931ffdb1	Maintal	Maintal	3	0	2013-05-29 00:23:31.703637+02	\N	\N	\N	\N	\N	\N	f	
8719	1919fbc9-05b3-415d-a8eb-dbff4282644d	Aleksandrów Łódzki	Aleksandrów Łódzki	3	0	2013-06-01 18:26:23.263041+02	\N	\N	\N	\N	\N	\N	f	
7595	3061f709-a0e1-4001-86fc-380f0d21eafc	Gudensberg	Gudensberg	3	0	2013-05-29 00:53:25.290091+02	\N	\N	\N	\N	\N	\N	f	
7708	8fe055d7-2c10-48a5-929a-1d1c50b648c1	Stuttgart	Stuttgart	3	0	2013-05-29 02:10:37.462956+02	\N	\N	\N	\N	\N	\N	f	
7761	30faf05c-41ab-44db-a97d-ae8b1596698e	Columbiana	Columbiana	3	0	2013-05-29 02:23:44.234321+02	\N	\N	\N	\N	\N	\N	f	
7790	1e067421-c08c-40db-aaff-07583602ead8	Macon	Macon	3	0	2013-05-29 02:30:44.127211+02	\N	\N	\N	\N	\N	\N	f	
2066	c084e4a5-400c-4ff9-b9fc-8b9ac87f32f4	Škofja Loka	Škofja Loka	2	0	2013-05-27 19:33:45.795354+02	\N	\N	\N	\N	\N	\N	f	
8402	3e415fe3-5c32-4fdb-af8b-558452bfd26d	Laval	Laval	3	0	2013-05-30 23:24:09.141562+02	\N	\N	\N	\N	\N	\N	f	
7799	9950c675-9366-42a5-9710-b319b613a211	Rockwall	Rockwall	3	0	2013-05-29 02:32:52.403072+02	\N	\N	\N	\N	\N	\N	f	
8432	09a5f7b5-28d2-43a9-abd3-ef67bbb02de2	Tenterfield	Tenterfield	3	0	2013-06-01 17:12:42.413062+02	\N	\N	\N	\N	\N	\N	f	
7801	975824cd-5bbe-4826-9756-dc534488367c	Surrey, British Columbia	Surrey, British Columbia	3	0	2013-05-29 02:33:19.747439+02	\N	\N	\N	\N	\N	\N	f	
7873	1f99fc22-8d8d-42f6-b6cb-6a87f49c95bd	Lufkin	Lufkin	3	0	2013-05-29 02:55:45.674892+02	\N	\N	\N	\N	\N	\N	f	
8844	032c060b-5a69-4092-8dbc-21a549e72d92	Shenzhen	Shenzhen	3	0	2013-06-01 19:40:06.041877+02	\N	\N	\N	\N	\N	\N	f	
8436	113b06c3-02ae-469f-bbf0-ba904bde15cb	Zdzieszowice	Zdzieszowice	3	0	2013-06-01 17:13:31.657463+02	\N	\N	\N	\N	\N	\N	f	
8587	8251b573-9bb0-4207-bc33-f7f3f14da63b	Zawichost	Zawichost	3	0	2013-06-01 17:47:29.056621+02	\N	\N	\N	\N	\N	\N	f	
9095	5d010c3c-7dfc-4e80-affa-6e7cb903099a	Yunfu	Yunfu	3	0	2013-06-01 20:38:21.0373+02	\N	\N	\N	\N	\N	\N	f	
8648	454c7001-899b-497b-9967-d1cddf8786a7	Boorowa	Boorowa	3	0	2013-06-01 18:04:22.607468+02	\N	\N	\N	\N	\N	\N	f	
8974	7afd514d-c3a8-483e-992d-30ee6f8b2001	Shangqiu	Shangqiu	3	0	2013-06-01 20:13:23.109116+02	\N	\N	\N	\N	\N	\N	f	
9453	106454f5-51cc-44bf-b51a-e99601b60c98	Modasa	Modasa	3	0	2013-06-09 17:43:37.408011+02	\N	\N	\N	\N	\N	\N	f	
9091	bef0487a-ca89-4af7-94f0-86b507d903f1	Zhanjiang	Zhanjiang	3	0	2013-06-01 20:37:39.682289+02	\N	\N	\N	\N	\N	\N	f	
2373	3cc9dfbe-e4b6-4e49-8bbc-3cb16932086a	Avtonomna Respublika Krym	Avtonomna Respublika Krym	2	0	2013-06-05 11:17:24.562606+02	\N	\N	\N	\N	\N	\N	f	
9093	8ce249a7-4660-486e-873b-238b4a6c5239	Shanwei	Shanwei	3	0	2013-06-01 20:38:00.167604+02	\N	\N	\N	\N	\N	\N	f	
8220	81921fdf-b3b9-4121-a241-98929012b5ec	Ashburton	Ashburton	3	0	2013-06-05 06:42:19.105175+02	\N	\N	\N	\N	\N	\N	f	
3815	0103974b-c995-45dc-9df8-e9dd7f96b15c	Carrickfergus	Carrickfergus	2	0	2013-06-05 07:35:12.187836+02	\N	\N	\N	\N	\N	\N	f	
9624	53a12b40-6618-46b5-88d6-6e4c0be12f78	Greensboro	Greensboro	3	0	2013-06-12 17:23:53.586743+02	\N	\N	\N	\N	\N	\N	f	
9845	409ed9e3-b11a-4e83-afcf-6baed89d14de	Iruma	Iruma	3	0	2013-06-18 03:53:24.940408+02	\N	\N	\N	\N	\N	\N	f	
9880	7d124bac-34a6-49be-bbee-751ab95d6b9f	Chino	Chino	3	0	2013-06-18 04:03:24.583239+02	\N	\N	\N	\N	\N	\N	f	
9973	0ac94a4a-145c-472b-add7-00eb80d70dad	Ōgimi	Ōgimi	3	0	2013-06-18 07:34:56.603237+02	\N	\N	\N	\N	\N	\N	f	
9977	7742302c-31a4-4724-afcc-8368fda46317	Minamitane	Minamitane	3	0	2013-06-18 07:35:38.100506+02	\N	\N	\N	\N	\N	\N	f	
3209	dc6cd9f6-de77-4261-9363-f30778b53b2e	Bouenza	Bouenza	2	0	2013-06-05 11:18:12.0091+02	\N	\N	\N	\N	\N	\N	f	
10052	1188dcd9-2e4e-4424-977f-a402812032bb	Kitsuki	Kitsuki	3	0	2013-06-18 08:12:23.891635+02	\N	\N	\N	\N	\N	\N	f	
10131	ee642456-df53-4b95-969e-a04b12809ed0	Nahari	Nahari	3	0	2013-06-18 14:36:40.654495+02	\N	\N	\N	\N	\N	\N	f	
10148	c79a84e3-6c5c-4066-87cc-74a70913051d	Matsushige	Matsushige	3	0	2013-06-18 14:39:39.572154+02	\N	\N	\N	\N	\N	\N	f	
10149	685cc99f-1813-49b5-92fe-2be96229cd6d	Shime	Shime	3	0	2013-06-18 14:39:55.40229+02	\N	\N	\N	\N	\N	\N	f	
10224	85403031-226c-44f7-ac1b-bec78c7d0868	Savala	Savala	3	0	2013-06-18 15:23:50.001223+02	\N	\N	\N	\N	\N	\N	f	
3764	9c8c3e3a-6d06-4b89-ac76-96aff8687b45	Gauteng	Gauteng	2	0	2013-05-21 14:40:35.978192+02	\N	\N	\N	\N	\N	\N	f	
3765	222d0da4-b670-4ba7-a094-0dbdee63b1e2	Limpopo	Limpopo	2	0	2013-05-21 14:40:46.412027+02	\N	\N	\N	\N	\N	\N	f	
4602	a34d1c65-94dd-4d85-a50b-46e202a23815	Meath	Meath	2	0	2013-05-22 14:20:32.38797+02	\N	\N	\N	\N	\N	\N	f	
1225	e7cd5e49-0108-4f0b-b94e-7266a0a773f5	Ciudad de La Habana	Ciudad de La Habana	3	0	2013-05-24 01:46:05.696946+02	\N	\N	\N	\N	\N	\N	f	
4609	985a98c6-0e1f-45e3-9c5c-ddfa4d15b68f	Waterford	Waterford	2	0	2013-05-22 14:22:28.415643+02	\N	\N	\N	\N	\N	\N	f	
4736	ee6c14ae-ea00-4590-bdcf-8a370582f3d7	Hambantŏṭa	Hambantŏṭa	2	0	2013-05-22 14:58:31.261353+02	\N	\N	\N	\N	\N	\N	f	
15487	22a626cd-fafe-4b06-8628-e5db25724708	Montebuono	Montebuono	4	0	2013-07-22 00:56:26.558251+02	\N	\N	\N	\N	\N	\N	f	
2625	79ff64b9-a57f-4068-bddc-5b8122b35e11	Phnom Penh	Phnom Penh	3	0	2013-05-24 01:52:41.268375+02	\N	\N	\N	\N	\N	\N	f	
4866	d1cdc409-242f-41b2-8cf7-b8391ede511f	Auckland	Auckland	2	0	2013-06-05 10:49:30.118966+02	\N	\N	\N	\N	\N	\N	f	
5106	044809ca-6024-4142-be50-61936a60d918	Arkhangelsk	Arkhangelsk	3	0	2013-05-24 22:28:42.355505+02	\N	\N	\N	\N	\N	\N	f	
733	92e33ce8-8caf-49c9-ace4-c3c8446c78ca	Hódmezővásárhely	Hódmezővásárhely	3	0	2013-05-24 00:23:35.453344+02	\N	\N	\N	\N	\N	\N	f	
5206	d4a7b44d-a603-4c38-b801-6de13890abe4	Sundsvall	Sundsvall	3	0	2013-05-24 22:48:51.168754+02	\N	\N	\N	\N	\N	\N	f	
5738	6f2187f9-7c42-4097-b3af-e416fec62bc2	Żelechów	Żelechów	3	0	2013-05-25 00:41:32.45923+02	\N	\N	\N	\N	\N	\N	f	
5279	0247962e-83d6-4008-9f50-6da87d7ccc6a	Bydgoszcz	Bydgoszcz	3	0	2013-05-24 23:02:29.911961+02	\N	\N	\N	\N	\N	\N	f	
5350	aac37ad7-d153-48c8-b474-fd09066ed092	Holbrook	Holbrook	3	0	2013-05-24 23:17:44.846887+02	\N	\N	\N	\N	\N	\N	f	
5425	65166252-0ad1-4940-a1fb-8743e74dcd2b	Zutphen	Zutphen	3	0	2013-05-24 23:31:34.700276+02	\N	\N	\N	\N	\N	\N	f	
5902	6fdc9c55-f812-470d-99d9-0bbbb8d45abf	Lafayette	Lafayette	3	0	2013-05-25 01:15:00.784807+02	\N	\N	\N	\N	\N	\N	f	
5610	4f7663f8-031f-4239-9b70-a99088d8d688	Wisła	Wisła	3	0	2013-05-25 00:13:49.576048+02	\N	\N	\N	\N	\N	\N	f	
6415	9156764f-6ffc-4184-af37-ad6c86961118	Kelardasht	Kelardasht	3	0	2013-05-25 03:01:11.525331+02	\N	\N	\N	\N	\N	\N	f	
6124	034ff374-dad7-4dd9-b990-5f827763796a	Mahmudabad, West Azerbaijan	Mahmudabad, West Azerbaijan	3	0	2013-05-25 01:57:50.03849+02	\N	\N	\N	\N	\N	\N	f	
6248	1ff02e88-450b-49ef-ae1e-9f311b85e6b5	Glasgow	Glasgow	3	0	2013-05-25 02:22:05.116206+02	\N	\N	\N	\N	\N	\N	f	
6250	837c3f91-b034-4abc-97ca-24ef6cd80efb	Richmond	Richmond	3	0	2013-05-25 02:22:28.746564+02	\N	\N	\N	\N	\N	\N	f	
7092	20f15bce-e59a-45c8-92b0-3285c944c216	Dzierżoniów	Dzierżoniów	3	0	2013-05-26 16:50:22.975194+02	\N	\N	\N	\N	\N	\N	f	
6350	898d51c9-1511-4e33-a55e-a1a9cdeabc18	Timaru	Timaru	3	0	2013-05-25 02:45:30.403906+02	\N	\N	\N	\N	\N	\N	f	
6476	b7d7d970-2f0c-4136-a0c0-78da4226a980	Rome	Rome	3	0	2013-05-25 03:14:19.755469+02	\N	\N	\N	\N	\N	\N	f	
6598	08b49eba-34f6-4780-a0ae-e547ca8031a5	Esfarvarin	Esfarvarin	3	0	2013-05-25 03:39:49.78317+02	\N	\N	\N	\N	\N	\N	f	
7441	0fa9da2f-3098-4c38-9b01-a2bf316e9568	Jamtara	Jamtara	3	0	2013-05-28 14:39:12.686545+02	\N	\N	\N	\N	\N	\N	f	
6611	24075d9c-5cec-46dc-b153-d226543269d8	Mojen	Mojen	3	0	2013-05-25 03:42:07.423369+02	\N	\N	\N	\N	\N	\N	f	
7218	f47e7ac2-8e8b-4883-b6cc-7a00344c9efb	Prószków	Prószków	3	0	2013-05-26 17:21:35.677986+02	\N	\N	\N	\N	\N	\N	f	
6613	7a06f1ee-6d54-44a0-8800-b2c508e68ab2	Zehak	Zehak	3	0	2013-05-25 03:42:31.024953+02	\N	\N	\N	\N	\N	\N	f	
6614	4267fcfd-57f6-4570-8bd3-ef6b68c1eb32	Hashtpar	Hashtpar	3	0	2013-05-25 03:42:42.835948+02	\N	\N	\N	\N	\N	\N	f	
6655	03272152-fe97-42f5-9da1-72b318b9d933	Sudjan	Sudjan	3	0	2013-05-25 03:51:21.070524+02	\N	\N	\N	\N	\N	\N	f	
7289	20619e36-fca8-4499-bcc8-be01a3ea3e41	Leipzig	Leipzig	3	0	2013-05-26 20:56:12.999534+02	\N	\N	\N	\N	\N	\N	f	
6694	1331cc72-2896-4880-a37e-ee9a332938d5	Mohr	Mohr	3	0	2013-05-25 03:58:06.571334+02	\N	\N	\N	\N	\N	\N	f	
6702	8485f93d-685f-4c14-9bd3-7264859927a3	Chelgard	Chelgard	3	0	2013-05-25 03:59:31.919972+02	\N	\N	\N	\N	\N	\N	f	
6889	b2a26a7e-a27f-455c-b5f6-339749277120	Sharabian	Sharabian	3	0	2013-05-25 04:34:42.973396+02	\N	\N	\N	\N	\N	\N	f	
7457	d955dd68-3892-4f4c-a3a9-bc1cedeaad6e	Fulda	Fulda	3	0	2013-05-29 00:18:06.244629+02	\N	\N	\N	\N	\N	\N	f	
8318	4e24f182-4bc9-4fbf-90f1-366fe425589b	Bruton	Bruton	3	0	2013-05-30 21:43:54.535743+02	\N	\N	\N	\N	\N	\N	f	
3341	d575ba3a-157b-42e8-9f98-8caa7630ae59	Āmara	Āmara	2	0	2013-05-27 19:34:21.171244+02	\N	\N	\N	\N	\N	\N	f	
7596	d5e1e59d-2767-4978-b1d7-ec76ee12bc19	Diemelstadt	Diemelstadt	3	0	2013-05-29 00:53:35.778892+02	\N	\N	\N	\N	\N	\N	f	
7604	2615497e-f161-4cfd-9e16-1a7ab694513c	Karben	Karben	3	0	2013-05-29 00:55:07.032833+02	\N	\N	\N	\N	\N	\N	f	
8589	8e1a0df0-9dd4-485d-a0a0-f47c263f3b8c	Cheneyville, Louisiana	Cheneyville, Louisiana	3	0	2013-06-01 17:48:00.428436+02	\N	\N	\N	\N	\N	\N	f	
8846	3f0d3b68-0d94-4f19-bc99-fae16e83ed07	Dezhou	Dezhou	3	0	2013-06-01 19:40:57.149232+02	\N	\N	\N	\N	\N	\N	f	
7709	03e75281-c3a3-454a-8d78-c85a5415c49e	Düsseldorf	Düsseldorf	3	0	2013-05-29 02:11:08.075914+02	\N	\N	\N	\N	\N	\N	f	
1338	626b48d0-47be-4312-9490-ea31c47e9a39	Ķeguma novads	Ķeguma novads	2	0	2013-05-27 19:51:00.113094+02	\N	\N	\N	\N	\N	\N	f	
8359	52fbb054-c5bd-498f-aa1e-f1541852dde4	Thaxted	Thaxted	3	0	2013-05-30 21:53:20.560237+02	\N	\N	\N	\N	\N	\N	f	
173	348dcc25-7bb6-3f75-8739-97eabc84a330	Qatar	Qatar	1	0	2013-05-27 14:26:00.622743+02	\N	\N	\N	\N	\N	\N	f	
7314	d60097be-011d-4117-ab8b-f4dd4ebd5c08	Tomsk	Tomsk	3	0	2013-05-28 13:58:16.650349+02	\N	\N	\N	\N	\N	\N	f	
7874	b04babce-97ea-4cf9-94c4-986c1649c898	Lancaster	Lancaster	3	0	2013-05-29 02:56:01.912787+02	\N	\N	\N	\N	\N	\N	f	
7325	96777170-feee-4a88-810a-24a8ecdf0c33	Geldern	Geldern	3	0	2013-05-28 14:01:44.114488+02	\N	\N	\N	\N	\N	\N	f	
7913	facc5bb6-db45-4288-99bb-d7bf63d09c3f	Plymouth	Plymouth	3	0	2013-05-29 03:06:34.738419+02	\N	\N	\N	\N	\N	\N	f	
7925	846c25fe-75a1-4c47-9708-0acf828c66b1	Macon	Macon	3	0	2013-05-29 03:10:23.616085+02	\N	\N	\N	\N	\N	\N	f	
7435	4211f190-982c-46a1-9f02-97a828c1fd88	Cimişlia	Cimişlia	3	0	2013-05-28 14:36:04.392845+02	\N	\N	\N	\N	\N	\N	f	
8403	f5cd9916-2a4e-4abf-a301-9525ef598436	Chiyoda	Chiyoda	3	0	2013-05-30 23:24:48.082785+02	\N	\N	\N	\N	\N	\N	f	
8099	be8f7b98-c97a-41bf-9186-e41d1e490729	Narni	Narni	3	0	2013-05-30 18:46:28.130979+02	\N	\N	\N	\N	\N	\N	f	
8721	b82af7d2-5e2d-4741-8f02-147d2c33f518	Coffeeville	Coffeeville	3	0	2013-06-01 18:26:45.025853+02	\N	\N	\N	\N	\N	\N	f	
8221	a39041f5-ae12-424f-8bd7-083c2d052107	Cowra	Cowra	3	0	2013-05-30 21:20:45.843562+02	\N	\N	\N	\N	\N	\N	f	
8633	256226b0-6c0f-4ca3-baee-fa74638967b9	Berrigan	Berrigan	3	0	2013-06-01 18:00:23.803132+02	\N	\N	\N	\N	\N	\N	f	
8434	adc0e852-b5ae-4304-93e3-f0f47ed4ffda	Trzemeszno	Trzemeszno	3	0	2013-06-01 17:13:09.693193+02	\N	\N	\N	\N	\N	\N	f	
8497	a4be335b-7843-4179-9a2a-654ea83e3f14	Borne Sulinowo	Borne Sulinowo	3	0	2013-06-01 17:26:04.753292+02	\N	\N	\N	\N	\N	\N	f	
8654	b4ebe89c-99e8-4642-ba7b-8ee9e802ee99	Wentworth	Wentworth	3	0	2013-06-01 18:05:59.148792+02	\N	\N	\N	\N	\N	\N	f	
8975	323c5f12-359f-416a-a32f-9ab49a5ba5ae	Xuchang	Xuchang	3	0	2013-06-01 20:13:33.68953+02	\N	\N	\N	\N	\N	\N	f	
8659	898d37d8-70b8-463e-a646-1ab53f68edc0	Young	Young	3	0	2013-06-01 18:07:26.633565+02	\N	\N	\N	\N	\N	\N	f	
8845	26bcb038-f5d4-406d-a1ae-1e940f982b17	Yueyang	Yueyang	3	0	2013-06-01 19:40:20.721569+02	\N	\N	\N	\N	\N	\N	f	
8935	be7333a8-3e0a-4089-b734-27bd116d2d23	Huainan	Huainan	3	0	2013-06-01 20:05:40.594865+02	\N	\N	\N	\N	\N	\N	f	
8850	94db5c49-7f5f-40db-ad59-75cc65247f1e	Nanjing	Nanjing	3	0	2013-06-01 19:41:55.15718+02	\N	\N	\N	\N	\N	\N	f	
8853	796f5306-5f18-40e8-993a-4bd2b84d0673	Nanchang	Nanchang	3	0	2013-06-01 19:42:36.966435+02	\N	\N	\N	\N	\N	\N	f	
9094	6ea9ef24-1de2-40cd-b64e-634d5edccaf6	Dongguan	Dongguan	3	0	2013-06-01 20:38:10.825182+02	\N	\N	\N	\N	\N	\N	f	
4900	a98727e2-faba-431c-b3ce-b5807fc2e550	Camiguin	Camiguin	2	0	2013-06-05 12:06:01.604564+02	\N	\N	\N	\N	\N	\N	f	
1444	1e1630b2-558a-4d6f-987a-c89b626ff7fb	Copán	Copán	2	0	2013-06-05 07:35:29.845754+02	\N	\N	\N	\N	\N	\N	f	
1653	236f15c4-a6dc-400c-b9d1-3fad1e0c1228	Airai	Airai	2	0	2013-06-05 07:37:21.02837+02	\N	\N	\N	\N	\N	\N	f	
5005	408d7467-1112-485a-8db2-f89bd3588956	Amuria	Amuria	2	0	2013-06-05 10:42:03.854777+02	\N	\N	\N	\N	\N	\N	f	
9455	50e6c2da-b19e-4ca5-8787-4301da086776	Bhavnagar	Bhavnagar	3	0	2013-06-09 17:44:42.281724+02	\N	\N	\N	\N	\N	\N	f	
9625	3fc3b364-665e-4875-a9ff-3699cd716152	Iowa City	Iowa City	3	0	2013-06-12 17:32:57.819912+02	\N	\N	\N	\N	\N	\N	f	
9633	82dfa28f-aca8-4cd5-95d4-ebd639d55d1d	Pont-Rouge	Pont-Rouge	3	0	2013-06-13 09:24:22.112914+02	\N	\N	\N	\N	\N	\N	f	
9634	459e719b-9264-475c-bf1c-5076a2e85dd7	Sagamihara City	Sagamihara City	3	0	2013-06-13 09:30:23.844051+02	\N	\N	\N	\N	\N	\N	f	
9642	16665592-b1d2-47d0-84df-12144a4c3ad2	Lévis	Lévis	3	0	2013-06-13 13:33:07.415105+02	\N	\N	\N	\N	\N	\N	f	
3768	8fba923b-d811-419e-be64-6ab34d5f0ef6	North West	North West	2	0	2013-05-21 14:41:18.012081+02	\N	\N	\N	\N	\N	\N	f	
3769	2c2a555d-7e53-4dd2-aa2b-eddc9376c9bf	Western Cape	Western Cape	2	0	2013-05-21 14:41:30.598034+02	\N	\N	\N	\N	\N	\N	f	
4603	f00a8214-44c4-43a9-89a0-04b110f4f929	Monaghan	Monaghan	2	0	2013-05-22 14:20:45.546954+02	\N	\N	\N	\N	\N	\N	f	
2193	47323b71-af21-42f7-ae02-380b31ee1b94	Minsk	Minsk	3	0	2013-05-24 01:50:25.559646+02	\N	\N	\N	\N	\N	\N	f	
4737	df64e19e-6dfe-4e87-87e2-f3ccd9326171	Yāpanaya	Yāpanaya	2	0	2013-05-22 14:58:43.599569+02	\N	\N	\N	\N	\N	\N	f	
4738	24d352af-a086-40cd-a120-8da727261a49	Kilinŏchchi	Kilinŏchchi	2	0	2013-05-22 14:58:56.577132+02	\N	\N	\N	\N	\N	\N	f	
5107	bbc88d72-1f32-4936-8dc6-b62b3318e1c4	Ottawa	Ottawa	3	0	2013-05-24 22:28:52.632131+02	\N	\N	\N	\N	\N	\N	f	
4940	f9b920e4-66f7-4974-9c2f-5de136e4bef4	Pangasinan	Pangasinan	2	0	2013-05-22 15:54:26.185485+02	\N	\N	\N	\N	\N	\N	f	
737	14c481bf-ffb4-453f-a40f-d631b6497cac	Kaposvár	Kaposvár	3	0	2013-05-24 00:23:37.560538+02	\N	\N	\N	\N	\N	\N	f	
5281	52c18f9d-e1b2-47a0-91ee-a0fa39ecd71f	Cheyenne	Cheyenne	3	0	2013-05-24 23:02:50.10325+02	\N	\N	\N	\N	\N	\N	f	
5739	8b29b513-1961-430a-a1ba-0b3161424c45	Świdwin	Świdwin	3	0	2013-05-25 00:41:46.57579+02	\N	\N	\N	\N	\N	\N	f	
5431	23b37897-8b55-4866-8415-54d23126d898	Nagano	Nagano	3	0	2013-05-24 23:32:45.603481+02	\N	\N	\N	\N	\N	\N	f	
5615	eb2c919d-6db1-4709-8883-e0027a1b29f0	Złocieniec	Złocieniec	3	0	2013-05-25 00:15:31.357202+02	\N	\N	\N	\N	\N	\N	f	
7458	a57848d1-b1ae-41e1-8ebc-949f4ea986fe	Marburg	Marburg	3	0	2013-05-29 00:18:25.578358+02	\N	\N	\N	\N	\N	\N	f	
7094	a6fb59da-157f-4ec6-a025-bf48c96b8d86	Barczewo	Barczewo	3	0	2013-05-26 16:50:53.033487+02	\N	\N	\N	\N	\N	\N	f	
6416	163383f9-1eb8-4f41-9f45-4c93fd218af3	Pareh Sar	Pareh Sar	3	0	2013-05-25 03:01:24.34955+02	\N	\N	\N	\N	\N	\N	f	
5804	573a0f2f-c0b7-40dd-9f65-dedbfda6882e	Staunton	Staunton	3	0	2013-05-25 00:54:14.56389+02	\N	\N	\N	\N	\N	\N	f	
5832	18791c12-4506-4926-86d0-711ad8e70776	Annopol	Annopol	3	0	2013-05-25 01:00:34.188062+02	\N	\N	\N	\N	\N	\N	f	
5903	688117d7-d7a8-4ede-a8ea-0a47bc6fb7bd	Oborniki	Oborniki	3	0	2013-05-25 01:15:12.197279+02	\N	\N	\N	\N	\N	\N	f	
6603	07de1d8f-1617-423e-b146-0f1fb38ad254	Mohammadabad	Mohammadabad	3	0	2013-05-25 03:40:45.553138+02	\N	\N	\N	\N	\N	\N	f	
6128	6ee5160b-524f-4835-ba7b-542712c9df67	Eslamshahr	Eslamshahr	3	0	2013-05-25 01:58:30.483614+02	\N	\N	\N	\N	\N	\N	f	
6154	bb2af3b5-fd55-4e5b-8ed5-66c38c65bed0	Georgetown	Georgetown	3	0	2013-05-25 02:03:02.002971+02	\N	\N	\N	\N	\N	\N	f	
6172	26513336-6831-43cb-a6fb-706991440c35	Konartakhteh	Konartakhteh	3	0	2013-05-25 02:06:24.204423+02	\N	\N	\N	\N	\N	\N	f	
7219	f8f5e1b2-e0d5-4fb7-990b-a580b307184e	Szczawnica	Szczawnica	3	0	2013-05-26 17:21:47.016029+02	\N	\N	\N	\N	\N	\N	f	
6351	f0092e8b-2e2c-45b7-89bf-d97a60e6ec12	Madison	Madison	3	0	2013-05-25 02:45:43.256703+02	\N	\N	\N	\N	\N	\N	f	
8225	b32da60b-dc91-420c-b424-0b6f88f3971c	Clacton-on-Sea	Clacton-on-Sea	3	0	2013-05-30 21:21:57.885475+02	\N	\N	\N	\N	\N	\N	f	
7290	4e3749dc-216d-48ca-9f5e-5630e4222c71	Chemnitz	Chemnitz	3	0	2013-05-26 20:56:27.576898+02	\N	\N	\N	\N	\N	\N	f	
6604	ad37b8e8-677b-4a93-b280-b1de159d6b5e	Mahmudabad Nemuneh	Mahmudabad Nemuneh	3	0	2013-05-25 03:40:55.809921+02	\N	\N	\N	\N	\N	\N	f	
6642	b7e12baa-7da9-4015-8ad3-b511c1e25c5d	Amlash	Amlash	3	0	2013-05-25 03:48:55.551359+02	\N	\N	\N	\N	\N	\N	f	
7460	9e798f11-400b-4d39-9f44-c712f70343b3	Hanau	Hanau	3	0	2013-05-29 00:18:59.969882+02	\N	\N	\N	\N	\N	\N	f	
6896	37fa781a-97ed-4a0f-b9b0-86d505683671	Bardaskan	Bardaskan	3	0	2013-05-25 04:36:28.14137+02	\N	\N	\N	\N	\N	\N	f	
3441	572c4686-afb8-4f53-8890-30429f63a85d	Ţarābulus	Ţarābulus	2	0	2013-05-27 19:34:39.958791+02	\N	\N	\N	\N	\N	\N	f	
6910	8fbf1d8a-7e70-4506-99c2-92df9a85566f	Khalkhāl, East Azarbaijan	Khalkhāl, East Azarbaijan	3	0	2013-05-25 04:39:16.511597+02	\N	\N	\N	\N	\N	\N	f	
5751	d2b7b425-356e-406c-b5bf-956436edf952	Amsterdam	Amsterdam	3	0	2013-05-26 14:00:08.387629+02	\N	\N	\N	\N	\N	\N	f	
6372	60dd3682-cdc3-434c-9ea2-f081e4814ff7	Canandaigua	Canandaigua	3	0	2013-05-26 14:02:53.640785+02	\N	\N	\N	\N	\N	\N	f	
7597	7895f024-0775-41bf-bade-be2b4c5e6235	Schlitz	Schlitz	3	0	2013-05-29 00:53:46.31151+02	\N	\N	\N	\N	\N	\N	f	
7598	d85dd94a-6b21-4764-95ab-3239bd0c616b	Beerfelden	Beerfelden	3	0	2013-05-29 00:53:56.842724+02	\N	\N	\N	\N	\N	\N	f	
8310	b084c8bc-bab4-4b29-84f6-f7acec85e7c2	Epping	Epping	3	0	2013-05-30 21:42:08.028533+02	\N	\N	\N	\N	\N	\N	f	
7718	911c4240-42e9-418d-8b6e-bd600fd0c9a7	Eschweiler	Eschweiler	3	0	2013-05-29 02:13:13.667772+02	\N	\N	\N	\N	\N	\N	f	
4868	da0c2c08-70b5-4dba-bebc-11fb30d4cd69	Canterbury	Canterbury	2	0	2013-06-05 07:23:09.842842+02	\N	\N	\N	\N	\N	\N	f	
7875	0a36aa7f-f167-425b-b873-7de230aaf383	Greenville	Greenville	3	0	2013-05-29 02:56:16.713053+02	\N	\N	\N	\N	\N	\N	f	
8404	6ceb213d-2276-41a8-b8b1-9a2222df4065	Minato	Minato	3	0	2013-05-30 23:25:02.717834+02	\N	\N	\N	\N	\N	\N	f	
7880	89168e05-f2b3-4521-bd23-805ccb3df119	Seymour	Seymour	3	0	2013-05-29 02:57:20.287867+02	\N	\N	\N	\N	\N	\N	f	
133	bf8c2e6f-2401-3a52-aad2-7e8baa8b447e	Marshall Islands	Marshall Islands	1	0	2013-05-27 14:35:45.471477+02	\N	\N	\N	\N	\N	\N	f	
8100	ab803ae3-d404-4c01-9489-7c6c08ee253f	Richmond	Richmond	3	0	2013-05-30 18:46:43.367612+02	\N	\N	\N	\N	\N	\N	f	
3340	341fe439-8b5f-4602-9d75-59c61cbb8ced	Āfar	Āfar	2	0	2013-05-27 19:49:55.06945+02	\N	\N	\N	\N	\N	\N	f	
8223	9e7a8eb7-bf80-4e96-af3d-294b236dc538	Heybridge	Heybridge	3	0	2013-05-30 21:21:36.332908+02	\N	\N	\N	\N	\N	\N	f	
7316	b4ba8a84-efbb-46c8-beae-cf2eaad42d6f	Osijek	Osijek	3	0	2013-05-28 13:59:02.850273+02	\N	\N	\N	\N	\N	\N	f	
7389	ee4caaf2-f532-4120-bf9c-3ef0a8a041ee	Beverley	Beverley	3	0	2013-05-28 14:21:11.428146+02	\N	\N	\N	\N	\N	\N	f	
8435	0a9380b3-6fc1-4bb8-b56b-1c819af783da	Zalewo	Zalewo	3	0	2013-06-01 17:13:20.801718+02	\N	\N	\N	\N	\N	\N	f	
8590	3b4d741b-7e66-4ab3-abcb-4128277441e3	Ostrów Lubelski	Ostrów Lubelski	3	0	2013-06-01 17:48:42.03675+02	\N	\N	\N	\N	\N	\N	f	
8977	39eca7fd-5b93-4975-9d1a-05950e0a1969	Xinxiang	Xinxiang	3	0	2013-06-01 20:13:53.897096+02	\N	\N	\N	\N	\N	\N	f	
8722	b5262b64-7a18-473f-a614-3f9ccdf93cbf	Cloncurry	Cloncurry	3	0	2013-06-01 18:26:55.305092+02	\N	\N	\N	\N	\N	\N	f	
1281	7e6e18c7-5ca0-49e6-8755-3fdfb46ba684	Bratislavský kraj	Bratislavský kraj	2	0	2013-06-05 07:35:54.462373+02	\N	\N	\N	\N	\N	\N	f	
8724	f003e703-9ee0-49f0-bdc1-387d1ef9204a	Union, Alabama	Union, Alabama	3	0	2013-06-01 18:27:20.652693+02	\N	\N	\N	\N	\N	\N	f	
9096	19464c20-2439-406a-846e-79ab64feb044	Meizhou	Meizhou	3	0	2013-06-01 20:38:31.282585+02	\N	\N	\N	\N	\N	\N	f	
9456	a6a9a06f-e1ea-4081-aa77-6d91b0bd15e3	Visnagar	Visnagar	3	0	2013-06-09 17:45:05.653216+02	\N	\N	\N	\N	\N	\N	f	
9128	653c80d6-aa9a-4f08-a42a-232bbc71c931	Changzhi	Changzhi	3	0	2013-06-01 20:45:41.457684+02	\N	\N	\N	\N	\N	\N	f	
9635	39c65961-c72b-4a71-a19d-9fef1792b01d	Eberbach	Eberbach	3	0	2013-06-13 09:32:50.69496+02	\N	\N	\N	\N	\N	\N	f	
5006	d69c9f63-9388-400a-947d-edc7553a9560	Budaka	Budaka	2	0	2013-06-05 10:58:32.879523+02	\N	\N	\N	\N	\N	\N	f	
9626	18f1383e-b376-409d-95a5-cac86e2ee267	Titisee-Neustadt	Titisee-Neustadt	3	0	2013-06-12 17:33:50.958545+02	\N	\N	\N	\N	\N	\N	f	
1818	92e2d2d3-63b0-4b5a-adca-0e31c367eca2	Catalunya	Catalunya	2	0	2013-06-05 11:17:51.350371+02	\N	\N	\N	\N	\N	\N	f	
3430	43294c31-24f7-40fe-8cd9-10527e8519b7	Al Jabal al Gharbī	Al Jabal al Gharbī	2	0	2013-06-05 11:21:24.867754+02	\N	\N	\N	\N	\N	\N	f	
9643	879cf68c-5808-46ce-b730-e95749d3c821	Brossard	Brossard	3	0	2013-06-13 13:33:32.978897+02	\N	\N	\N	\N	\N	\N	f	
9847	e5485eb0-46cc-469d-9ec7-07a4ff965672	Sōka	Sōka	3	0	2013-06-18 03:54:09.007669+02	\N	\N	\N	\N	\N	\N	f	
9650	dfa24f70-58a2-406b-9169-f3d7bd2edcaa	Neuenburg am Rhein	Neuenburg am Rhein	3	0	2013-06-13 13:50:25.49666+02	\N	\N	\N	\N	\N	\N	f	
9905	7302cebb-ae31-405a-89a1-740bbd1d4ad6	Takaishi	Takaishi	3	0	2013-06-18 04:08:11.120574+02	\N	\N	\N	\N	\N	\N	f	
9907	353ab0c3-346f-44c5-9de9-82235c9c8943	Shiojiri	Shiojiri	3	0	2013-06-18 04:08:31.965888+02	\N	\N	\N	\N	\N	\N	f	
9975	271e76ef-96b5-48a3-a9ea-638a7453db69	Morotsuka	Morotsuka	3	0	2013-06-18 07:35:17.301785+02	\N	\N	\N	\N	\N	\N	f	
9979	ca00aa0e-505d-4880-bc8c-dbe8150aeced	Kunigami	Kunigami	3	0	2013-06-18 07:35:59.551849+02	\N	\N	\N	\N	\N	\N	f	
10053	069e3c5d-bf6a-480b-a06f-7eb9c58f4dbc	Taketa	Taketa	3	0	2013-06-18 08:12:34.061961+02	\N	\N	\N	\N	\N	\N	f	
13776	f2d98d67-78f6-4262-9c5d-1479ff89638f	Terricciola	Terricciola	4	0	2013-07-21 19:09:43.689316+02	\N	\N	\N	\N	\N	\N	f	
19661	247a8486-ecb5-4645-bc15-17755db87bf8	Ginosa	Ginosa	4	0	2013-07-22 11:14:50.14339+02	\N	\N	\N	\N	\N	\N	f	
3770	5821559c-41a7-433d-b6af-3c96c8ed4a7a	KwaZulu-Natal	KwaZulu-Natal	2	0	2013-05-21 14:41:41.432977+02	\N	\N	\N	\N	\N	\N	f	
3771	821ecc9f-1ab2-426e-bba8-f5661e60ae06	Western	Western	2	0	2013-05-21 14:41:52.0161+02	\N	\N	\N	\N	\N	\N	f	
4604	849bdd15-7eee-4b5c-86e9-336a4df1d58d	Mayo	Mayo	2	0	2013-05-22 14:21:01.625708+02	\N	\N	\N	\N	\N	\N	f	
4740	7f9681f0-c473-4809-a86b-2277b1160498	Vavuniyāva	Vavuniyāva	2	0	2013-05-22 14:59:30.179849+02	\N	\N	\N	\N	\N	\N	f	
4869	7a29390f-ba84-45eb-ade4-c4d2ac1ee5e1	Gisborne District	Gisborne District	2	0	2013-05-22 15:37:11.200797+02	\N	\N	\N	\N	\N	\N	f	
5108	7eef948d-e0d7-495f-994a-f0148b2ca3c6	Vologda	Vologda	3	0	2013-05-24 22:29:03.258376+02	\N	\N	\N	\N	\N	\N	f	
2535	8bf652ee-a640-4d61-98b3-b37303c2213e	Gwangju	Gwangju	3	0	2013-05-24 02:22:07.286688+02	\N	\N	\N	\N	\N	\N	f	
5153	f4524357-871a-4c23-9043-1a785978ad4f	Lucerne	Lucerne	3	0	2013-05-24 22:37:37.642572+02	\N	\N	\N	\N	\N	\N	f	
5740	15798747-4cc7-4981-b563-7894707bd534	Żuromin	Żuromin	3	0	2013-05-25 00:42:02.531074+02	\N	\N	\N	\N	\N	\N	f	
5237	04f7aa6d-9f59-4d7a-91ad-717ffecf793f	Dover	Dover	3	0	2013-05-24 22:54:49.768029+02	\N	\N	\N	\N	\N	\N	f	
5282	afaa40c1-2e11-4a9b-9a33-ff0603e3e312	Richmond	Richmond	3	0	2013-05-24 23:03:10.930903+02	\N	\N	\N	\N	\N	\N	f	
5315	8612afa3-e25d-438c-9fbd-8ea2b46296cd	Czarnków	Czarnków	3	0	2013-05-24 23:09:27.534261+02	\N	\N	\N	\N	\N	\N	f	
5828	9085961b-4727-44be-91a8-db55379bd525	Dzierzgoń	Dzierzgoń	3	0	2013-05-25 00:59:14.374178+02	\N	\N	\N	\N	\N	\N	f	
7096	b047a806-b3b7-4bf3-8896-98fdcc64a1d9	Barlinek	Barlinek	3	0	2013-05-26 16:51:19.745624+02	\N	\N	\N	\N	\N	\N	f	
5616	3f671e55-af71-4ea4-a85a-5b469ce294ed	Nowa Ruda	Nowa Ruda	3	0	2013-05-25 00:15:44.997607+02	\N	\N	\N	\N	\N	\N	f	
6417	8d262ad2-7afe-4fcc-b5ff-fadb0aa8f23b	Khoshk-e Bijar	Khoshk-e Bijar	3	0	2013-05-25 03:01:37.604084+02	\N	\N	\N	\N	\N	\N	f	
5905	cb02044b-a489-44a1-a4fd-9a2e346c8f0b	Juraqan	Juraqan	3	0	2013-05-25 01:15:32.542279+02	\N	\N	\N	\N	\N	\N	f	
5913	addbfd55-db72-43ea-9487-f753cc7ad0ab	Skarżysko-Kamienna	Skarżysko-Kamienna	3	0	2013-05-25 01:17:01.20254+02	\N	\N	\N	\N	\N	\N	f	
5925	63caf748-a5c2-41b9-9b38-957cd76062df	Chichibu	Chichibu	3	0	2013-05-25 01:19:05.136363+02	\N	\N	\N	\N	\N	\N	f	
6433	66edb575-cde6-4cea-96d4-2f9b6b22e5ae	Now Khandan	Now Khandan	3	0	2013-05-25 03:04:45.658758+02	\N	\N	\N	\N	\N	\N	f	
6130	fd2b0d9c-1160-4eb0-a49a-e43b1ba1138b	Jam	Jam	3	0	2013-05-25 01:58:50.896325+02	\N	\N	\N	\N	\N	\N	f	
7459	ef47e509-6dc7-434b-9019-29624c766f40	Bad Homburg vor der Höhe	Bad Homburg vor der Höhe	3	0	2013-05-29 00:18:45.756516+02	\N	\N	\N	\N	\N	\N	f	
6352	6a1a7123-077c-4d2e-802b-ade06cb46bc1	Dayton	Dayton	3	0	2013-05-25 02:45:55.493996+02	\N	\N	\N	\N	\N	\N	f	
7191	c9462615-7201-4c7d-a6c3-c50ffec1e371	Sobótka	Sobótka	3	0	2013-05-26 17:15:07.084698+02	\N	\N	\N	\N	\N	\N	f	
7220	8db2a414-308c-4fe9-94b8-7b6064d1634b	Dobczyce	Dobczyce	3	0	2013-05-26 17:22:03.601842+02	\N	\N	\N	\N	\N	\N	f	
6442	bc2ac2ee-743e-4672-981e-0232a598526c	Pataveh	Pataveh	3	0	2013-05-25 03:06:24.753727+02	\N	\N	\N	\N	\N	\N	f	
6607	a8e70d55-e403-4235-b0b6-0c9f7ab8b1c2	Nehbandan	Nehbandan	3	0	2013-05-25 03:41:26.377936+02	\N	\N	\N	\N	\N	\N	f	
6612	699f883a-2ce2-4ef3-b825-dcce6b6d1b12	Gharqabad	Gharqabad	3	0	2013-05-25 03:42:18.077335+02	\N	\N	\N	\N	\N	\N	f	
7227	6bb94eae-8ac7-40b6-b853-363e23c08a2e	Strzelno	Strzelno	3	0	2013-05-26 17:23:31.443512+02	\N	\N	\N	\N	\N	\N	f	
6627	4e2e5265-b872-4121-88d8-876fe00f88ac	Herat	Herat	3	0	2013-05-25 03:45:56.658685+02	\N	\N	\N	\N	\N	\N	f	
6898	4ef36ab5-6f22-494e-b92a-ed53f4891778	Ivughli	Ivughli	3	0	2013-05-25 04:36:48.729257+02	\N	\N	\N	\N	\N	\N	f	
7482	36991101-75d6-4cda-9b1d-0376e5bdaee6	Dietzenbach	Dietzenbach	3	0	2013-05-29 00:25:10.379705+02	\N	\N	\N	\N	\N	\N	f	
6367	c584bd58-1fd7-4e3f-87d2-4ae9715f2220	Lockport	Lockport	3	0	2013-05-26 14:05:41.578519+02	\N	\N	\N	\N	\N	\N	f	
7291	624f2956-bfdb-43a9-8924-9aadb812ee04	Dresden	Dresden	3	0	2013-05-26 20:56:39.986927+02	\N	\N	\N	\N	\N	\N	f	
5432	2e522736-1ecd-41f3-b063-9455318ea7d9	Niagara Falls	Niagara Falls	3	0	2013-05-26 14:23:30.307552+02	\N	\N	\N	\N	\N	\N	f	
7910	780a070a-2da7-4f2f-af50-26eef77d80e0	Sumner	Sumner	3	0	2013-05-29 03:05:40.064896+02	\N	\N	\N	\N	\N	\N	f	
7599	c2b1c6c3-2560-488f-aae8-985373974c54	Wächtersbach	Wächtersbach	3	0	2013-05-29 00:54:07.395977+02	\N	\N	\N	\N	\N	\N	f	
7711	eca79b55-a6c4-4078-a383-8353271ee81e	Hanover	Hanover	3	0	2013-05-29 02:11:31.627369+02	\N	\N	\N	\N	\N	\N	f	
7733	944bd405-ba73-4bec-979c-f1f5aa000827	Gori	Gori	3	0	2013-05-29 02:16:51.961686+02	\N	\N	\N	\N	\N	\N	f	
7921	b88afbc2-2f2b-47d6-beea-0f9cd0c26158	Marathon	Marathon	3	0	2013-05-29 03:09:04.702145+02	\N	\N	\N	\N	\N	\N	f	
106	2dd47a64-91d5-3b13-bc94-80043ed063d7	Jamaica	Jamaica	1	0	2013-05-27 14:32:31.072979+02	\N	\N	\N	\N	\N	\N	f	
7734	88458f70-6ca9-4a4a-ad8e-e8053e18b981	Jersey City	Jersey City	3	0	2013-05-29 02:17:02.384486+02	\N	\N	\N	\N	\N	\N	f	
7778	1cc8c67f-2c1d-47f3-a732-b25f99e20810	Altensteig	Altensteig	3	0	2013-05-29 02:27:48.295667+02	\N	\N	\N	\N	\N	\N	f	
8405	d4b5a7b2-3b17-4d3e-b4c4-1a4e5bf34c13	Meguro	Meguro	3	0	2013-05-30 23:25:30.118284+02	\N	\N	\N	\N	\N	\N	f	
1298	7dbab2a5-c49d-4c69-ab2b-5bcd15b4eb4b	Ādažu novads	Ādažu novads	2	0	2013-05-27 19:34:52.117634+02	\N	\N	\N	\N	\N	\N	f	
7779	3610c662-73f9-480f-a3f6-883c3b3cbd55	Krasnogorsk	Krasnogorsk	3	0	2013-05-29 02:28:04.463147+02	\N	\N	\N	\N	\N	\N	f	
7317	3b884d7f-dffa-4672-8077-4124a1998c8d	Makati	Makati	3	0	2013-05-28 13:59:13.318757+02	\N	\N	\N	\N	\N	\N	f	
7926	0edb92a6-b5c4-4e0b-9410-ca5eccb193d3	Little River	Little River	3	0	2013-05-29 03:10:49.46715+02	\N	\N	\N	\N	\N	\N	f	
7786	4c98a636-5fe1-461d-a190-b96a15c4eee4	Monschau	Monschau	3	0	2013-05-29 02:29:49.048422+02	\N	\N	\N	\N	\N	\N	f	
7876	2462f0c3-d107-4b11-82c8-ae8aa226fb6c	Sulphur Springs	Sulphur Springs	3	0	2013-05-29 02:56:30.216718+02	\N	\N	\N	\N	\N	\N	f	
8978	d43989dc-c7b1-457c-bf33-c91c7cf20c74	Baden-Baden	Baden-Baden	3	0	2013-06-01 20:14:11.275119+02	\N	\N	\N	\N	\N	\N	f	
8101	f6f80259-aadd-4d9e-9dc0-e3b962d7edce	Coonabarabran	Coonabarabran	3	0	2013-05-30 18:46:53.847136+02	\N	\N	\N	\N	\N	\N	f	
8437	5322047c-a3ee-48de-93b5-110e8b17a6c9	Niemodlin	Niemodlin	3	0	2013-06-01 17:13:42.908863+02	\N	\N	\N	\N	\N	\N	f	
8227	f9d8bb35-9aaf-4c8d-8cd3-1ba34834d81f	Newport Pagnell	Newport Pagnell	3	0	2013-05-30 21:22:20.186317+02	\N	\N	\N	\N	\N	\N	f	
8802	7654438a-1d8a-4274-a9f5-a1a5f2b20fe5	Szamocin	Szamocin	3	0	2013-06-01 18:49:44.191545+02	\N	\N	\N	\N	\N	\N	f	
8240	bfd07e41-1890-4b8a-845b-663b951f5f7a	Santa Isabel do Ivaí	Santa Isabel do Ivaí	3	0	2013-05-30 21:25:26.469142+02	\N	\N	\N	\N	\N	\N	f	
8591	c6a99d98-1d9e-4ce7-9b64-56e16c2f0b30	Windsor	Windsor	3	0	2013-06-01 17:48:52.663651+02	\N	\N	\N	\N	\N	\N	f	
8723	fc5aab06-4fca-4424-b267-b8d105026e15	Lexington	Lexington	3	0	2013-06-01 18:27:10.068909+02	\N	\N	\N	\N	\N	\N	f	
4620	1f522d54-c652-4a4a-a127-b645bb502269	Asti	Asti	2	0	2013-06-05 10:57:20.114583+02	\N	\N	\N	\N	\N	\N	f	
8847	163c51cf-2b90-463e-9496-b20225ced8a7	Hermanus	Hermanus	3	0	2013-06-01 19:41:07.789074+02	\N	\N	\N	\N	\N	\N	f	
9458	62994e26-0e25-43dc-b815-16ccf1b98f39	Kalol INA	Kalol INA	3	0	2013-06-09 17:45:53.225163+02	\N	\N	\N	\N	\N	\N	f	
9097	5b18cd35-c0a8-4d20-927f-81c5edf8d8fa	Yangjiang	Yangjiang	3	0	2013-06-01 20:38:41.775366+02	\N	\N	\N	\N	\N	\N	f	
1185	dc8e1102-a015-4899-bc4d-0573b79a4643	Crooked Island and Long Cay	Crooked Island and Long Cay	2	0	2013-06-05 07:45:37.3228+02	\N	\N	\N	\N	\N	\N	f	
4322	c8f73d5b-ff31-4dae-b255-057b24f55641	Castellón	Castellón	2	0	2013-06-05 08:57:40.369262+02	\N	\N	\N	\N	\N	\N	f	
9627	1b8da78b-f858-49a9-888f-1a4d5d992621	Munderkingen	Munderkingen	3	0	2013-06-12 17:34:20.075431+02	\N	\N	\N	\N	\N	\N	f	
9636	c9897b71-90c3-42fa-8a84-17ed42d7997f	Tank	Tank	3	0	2013-06-13 09:35:22.406397+02	\N	\N	\N	\N	\N	\N	f	
3324	f598f57b-b5b0-4a5c-97b4-848d063094fd	Al Minūfīyah	Al Minūfīyah	2	0	2013-06-05 11:18:31.326478+02	\N	\N	\N	\N	\N	\N	f	
9644	5bfe9d8f-306e-4aea-b0cd-efb4768ea021	Gaspé	Gaspé	3	0	2013-06-13 13:33:55.838007+02	\N	\N	\N	\N	\N	\N	f	
9849	f51d260e-721b-459f-b9bf-e18ce4bca176	Kōnosu	Kōnosu	3	0	2013-06-18 03:54:31.977279+02	\N	\N	\N	\N	\N	\N	f	
9976	623cab44-6161-46a2-b368-1360a27da6bb	Chatan	Chatan	3	0	2013-06-18 07:35:27.851913+02	\N	\N	\N	\N	\N	\N	f	
10016	83c1d6ec-1ca5-4567-bb11-2c4905750c48	Ogōri, Fukuoka	Ogōri, Fukuoka	3	0	2013-06-18 08:02:08.48956+02	\N	\N	\N	\N	\N	\N	f	
10020	621d925e-f213-4c23-9f73-66f4608bfbd4	Onomichi	Onomichi	3	0	2013-06-18 08:03:07.353654+02	\N	\N	\N	\N	\N	\N	f	
10132	f8285553-e5bf-4239-b6e8-7968c6cd095c	Ōtsuki	Ōtsuki	3	0	2013-06-18 14:36:51.024373+02	\N	\N	\N	\N	\N	\N	f	
10054	f0a03054-5496-470f-811e-682d23082bab	Saito	Saito	3	0	2013-06-18 08:12:44.377902+02	\N	\N	\N	\N	\N	\N	f	
3773	5ea8445e-2e69-4c69-b264-62608e006aff	Eastern	Eastern	2	0	2013-05-21 14:42:15.43412+02	\N	\N	\N	\N	\N	\N	f	
3774	5c91ccde-6e39-451b-a2ac-e196d5f2e924	Luapula	Luapula	2	0	2013-05-21 14:42:25.878008+02	\N	\N	\N	\N	\N	\N	f	
4605	d211674e-0d1f-4915-83d4-e24ec009d540	Offaly	Offaly	2	0	2013-05-22 14:21:18.355799+02	\N	\N	\N	\N	\N	\N	f	
2759	b9516e0b-4223-47a6-a64a-8750450c8c05	Kuala Lumpur	Kuala Lumpur	3	0	2013-05-24 01:55:01.970261+02	\N	\N	\N	\N	\N	\N	f	
4752	cd409aaf-a63a-4755-9535-0098ca451f27	Kægalla	Kægalla	2	0	2013-05-22 15:02:35.902564+02	\N	\N	\N	\N	\N	\N	f	
4870	2577f8f5-ed86-4b3d-9e7f-9cb4451dad1c	Hawke's Bay	Hawke's Bay	2	0	2013-05-22 15:37:26.009271+02	\N	\N	\N	\N	\N	\N	f	
5109	bfca2ef9-4ecc-40a0-b544-7dce3f648148	Kochi	Kochi	3	0	2013-05-24 22:29:15.144728+02	\N	\N	\N	\N	\N	\N	f	
4743	5f5bfd42-b5ce-42bb-8b9a-3cac4846bf6e	Ampāra	Ampāra	2	0	2013-06-05 10:15:32.149046+02	\N	\N	\N	\N	\N	\N	f	
5283	dbacf2e3-7e3e-4cee-8804-999b109285fa	Santa Monica	Santa Monica	3	0	2013-05-24 23:03:21.166742+02	\N	\N	\N	\N	\N	\N	f	
5741	90e0e745-8dc9-4ef1-8b72-2bae8ffc3996	Żory	Żory	3	0	2013-05-25 00:42:12.84889+02	\N	\N	\N	\N	\N	\N	f	
5359	bcd08f2b-cb60-44a3-95a0-0761b02b0e6c	Mobarakeh	Mobarakeh	3	0	2013-05-24 23:19:33.626023+02	\N	\N	\N	\N	\N	\N	f	
5361	f1007522-8384-42c2-a12a-f7ad2f0b529d	Chamgardan	Chamgardan	3	0	2013-05-24 23:19:55.08698+02	\N	\N	\N	\N	\N	\N	f	
5415	efef18b5-26e0-4501-9a1a-2b00b51b1cf1	Mashhad	Mashhad	3	0	2013-05-24 23:29:47.47607+02	\N	\N	\N	\N	\N	\N	f	
5906	a1392f93-1675-4152-a1d6-7e76dcaf880f	Ardestan	Ardestan	3	0	2013-05-25 01:15:43.188328+02	\N	\N	\N	\N	\N	\N	f	
5433	63becc13-0988-45c2-80fa-9d8a1361fb0d	Aomori	Aomori	3	0	2013-05-24 23:33:13.739103+02	\N	\N	\N	\N	\N	\N	f	
5623	bbf96041-bc16-4328-b1c3-68fc0c80c1ca	Miastko	Miastko	3	0	2013-05-25 00:17:06.622221+02	\N	\N	\N	\N	\N	\N	f	
6418	78d91d0f-7211-4d39-b61a-42cff0440819	Kuchesfahan	Kuchesfahan	3	0	2013-05-25 03:01:51.741569+02	\N	\N	\N	\N	\N	\N	f	
6131	feab158c-96e8-4369-9e89-3b8aa4609834	Murmuri	Murmuri	3	0	2013-05-25 01:59:01.022549+02	\N	\N	\N	\N	\N	\N	f	
6180	27a0f32b-bf84-469a-b144-579c3390d139	Estahban	Estahban	3	0	2013-05-25 02:07:51.61853+02	\N	\N	\N	\N	\N	\N	f	
6184	e5eb1898-e7fb-4eae-94cd-2f443fa298cb	Ardal	Ardal	3	0	2013-05-25 02:08:35.848848+02	\N	\N	\N	\N	\N	\N	f	
6427	410a8f02-5efd-49bf-899c-7df46b6293f6	Hemmatabad	Hemmatabad	3	0	2013-05-25 03:03:39.943146+02	\N	\N	\N	\N	\N	\N	f	
6193	e0dd8070-7f82-454d-9a44-3983e6fdb406	Hendijan	Hendijan	3	0	2013-05-25 02:10:10.061354+02	\N	\N	\N	\N	\N	\N	f	
6254	937f38f5-e996-4b15-bfbc-f3d80d5ab6dd	Huntsville	Huntsville	3	0	2013-05-25 02:23:17.032506+02	\N	\N	\N	\N	\N	\N	f	
7097	1b47749d-9f91-44b5-a9a1-e0bdb3dff26a	Baranów Sandomierski	Baranów Sandomierski	3	0	2013-05-26 16:51:34.37926+02	\N	\N	\N	\N	\N	\N	f	
6353	d4fd48cf-ac11-4fd6-b6ce-5a8968413f5f	PolSefid	PolSefid	3	0	2013-05-25 02:46:06.959162+02	\N	\N	\N	\N	\N	\N	f	
6430	1eda73d1-e0aa-4429-84d9-c82eeda32171	Eufaula	Eufaula	3	0	2013-05-25 03:04:13.858141+02	\N	\N	\N	\N	\N	\N	f	
7712	e0e3c82a-aea8-48d3-beda-9e587db0b969	Copenhagen	Copenhagen	3	0	2013-07-18 09:03:18.820677+02	\N	\N	\N	\N	\N	\N	f	
6444	b8dc5415-3a1e-40c9-8a9e-9468135e37c4	Mohammadiyeh	Mohammadiyeh	3	0	2013-05-25 03:06:45.802281+02	\N	\N	\N	\N	\N	\N	f	
7118	7c897e06-2fa0-4442-8bb5-2fb309c2aedb	Grodzisk Mazowiecki	Grodzisk Mazowiecki	3	0	2013-05-26 16:57:12.192574+02	\N	\N	\N	\N	\N	\N	f	
6617	469635de-526a-4627-ba40-3d4a7bdde7cf	Eyvanki	Eyvanki	3	0	2013-05-25 03:43:39.635364+02	\N	\N	\N	\N	\N	\N	f	
6639	2395330e-04f6-40fa-b5c2-981c96da8c3e	Qarchak	Qarchak	3	0	2013-05-25 03:48:21.42962+02	\N	\N	\N	\N	\N	\N	f	
174	6de750e8-8280-37cf-bd98-0dd800419a18	Réunion	Réunion	1	0	2013-05-27 14:35:14.017292+02	\N	\N	\N	\N	\N	\N	f	
6651	1e712582-6f5c-40e3-8a71-2ce08d0040d9	Dehaq	Dehaq	3	0	2013-05-25 03:50:39.685348+02	\N	\N	\N	\N	\N	\N	f	
7221	be1fee8f-87fb-4a45-9d36-06091d562b1a	Czchów	Czchów	3	0	2013-05-26 17:22:15.622619+02	\N	\N	\N	\N	\N	\N	f	
6658	fccc0a1d-dab9-4bdf-bbc5-30b5eab86b68	Abrisham	Abrisham	3	0	2013-05-25 03:51:51.650248+02	\N	\N	\N	\N	\N	\N	f	
6660	86443dcb-03a0-4afe-aacd-245e84f981f3	Meymand	Meymand	3	0	2013-05-25 03:52:12.138289+02	\N	\N	\N	\N	\N	\N	f	
6661	b312116a-4d45-4121-9d3a-ed59f041a76c	Babaheydar	Babaheydar	3	0	2013-05-25 03:52:22.32591+02	\N	\N	\N	\N	\N	\N	f	
7292	999e8ae7-c18c-4261-bcff-904f5f376dd0	Geelong	Geelong	3	0	2013-05-26 20:56:52.653391+02	\N	\N	\N	\N	\N	\N	f	
6696	2925b574-e24f-4489-a2cd-c6013178f88c	Chaqabol	Chaqabol	3	0	2013-05-25 03:58:27.314957+02	\N	\N	\N	\N	\N	\N	f	
6899	1bda1ff6-e62c-4d80-b9be-6d061a446f5a	Sis	Sis	3	0	2013-05-25 04:37:03.579866+02	\N	\N	\N	\N	\N	\N	f	
7370	31b5efcc-cb1a-4e3e-b794-65760c986bee	Orange, New South Wales	Orange, New South Wales	3	0	2013-05-28 14:15:35.321352+02	\N	\N	\N	\N	\N	\N	f	
236	d1733e16-9064-3181-961d-d56f8599969b	Democratic Republic of the Congo	Congo, Democratic Republic of the	1	0	2013-05-27 14:33:23.887271+02	\N	\N	\N	\N	\N	\N	f	
7372	5f45e174-fc25-4203-94cd-bd94b8e9b156	Venezuela	Venezuela	3	0	2013-05-28 14:16:06.783369+02	\N	\N	\N	\N	\N	\N	f	
8438	b8034f34-07fd-4f9b-b951-b70afe369a83	Emerald	Emerald	3	0	2013-06-01 17:13:53.511985+02	\N	\N	\N	\N	\N	\N	f	
7405	468c6e8d-6835-4acd-900e-47347382db3c	Seminole	Seminole	3	0	2013-05-28 14:27:56.02563+02	\N	\N	\N	\N	\N	\N	f	
7737	96713a37-1ebb-419e-b052-ffc93ceabcb2	Saint Paul	Saint Paul	3	0	2013-05-29 02:17:40.159231+02	\N	\N	\N	\N	\N	\N	f	
7461	bdfef083-f06c-44fe-b2a6-1d4da9d15ae6	Giessen	Giessen	3	0	2013-05-29 00:19:12.159466+02	\N	\N	\N	\N	\N	\N	f	
7492	abb9f477-9baf-45cd-9af7-187eea15cfef	Bönnigheim	Bönnigheim	3	0	2013-05-29 00:28:51.565214+02	\N	\N	\N	\N	\N	\N	f	
8105	7285ff09-d6f9-4c91-941a-3a43ad8b6ff4	Stockport	Stockport	3	0	2013-05-30 18:47:43.353772+02	\N	\N	\N	\N	\N	\N	f	
7600	574eb7b6-8e5e-4193-aae0-28cb0aefb922	Melsungen	Melsungen	3	0	2013-05-29 00:54:17.978649+02	\N	\N	\N	\N	\N	\N	f	
7877	857f7382-db28-406c-b4bf-316663890da0	Edinburg	Edinburg	3	0	2013-05-29 02:56:40.956293+02	\N	\N	\N	\N	\N	\N	f	
493	fd800799-e76a-49cd-a3d8-599aa1570f5e	Łódzkie	Łódzkie	2	0	2013-05-27 19:35:20.3281+02	\N	\N	\N	\N	\N	\N	f	
7602	331148f9-19cc-443f-a961-62eb51b0dd3b	Schlüchtern	Schlüchtern	3	0	2013-05-29 00:54:45.882228+02	\N	\N	\N	\N	\N	\N	f	
7318	f5e2257b-8dc3-4ee8-91e4-b449df71cb84	Abidjan	Abidjan	3	0	2013-05-28 13:59:23.554499+02	\N	\N	\N	\N	\N	\N	f	
7332	931592a4-f23a-4bc4-ac27-67142172f11e	Boca Raton	Boca Raton	3	0	2013-05-28 14:03:18.109959+02	\N	\N	\N	\N	\N	\N	f	
8348	7dbfd922-a842-496f-8d89-479be723b7e3	Amelia	Amelia	3	0	2013-05-30 21:50:54.114631+02	\N	\N	\N	\N	\N	\N	f	
7916	e4780982-361a-461e-b4db-9d7092a0378f	Carroll	Carroll	3	0	2013-05-29 03:07:27.995081+02	\N	\N	\N	\N	\N	\N	f	
8229	cb388ffb-2912-4445-a88b-4b0e2b8e5115	Gizo	Gizo	3	0	2013-05-30 21:22:54.905895+02	\N	\N	\N	\N	\N	\N	f	
7917	52a51588-ae82-44a6-a3ca-9527370451ca	Portland	Portland	3	0	2013-05-29 03:07:53.03141+02	\N	\N	\N	\N	\N	\N	f	
8102	98f92898-0488-4bf0-83e9-38ae3fba530d	Harlow	Harlow	3	0	2013-05-30 18:47:04.469095+02	\N	\N	\N	\N	\N	\N	f	
8254	e11a7e0c-fe8e-4ef1-a3a3-4290a829f055	Burnham	Burnham	3	0	2013-05-30 21:29:22.132758+02	\N	\N	\N	\N	\N	\N	f	
8406	70665d36-89eb-43f8-a53d-9ad8be47842d	Notre-Dame-du-Mont-Carmel	Notre-Dame-du-Mont-Carmel	3	0	2013-05-30 23:26:45.462303+02	\N	\N	\N	\N	\N	\N	f	
8344	d10548c2-e9b7-4d59-b585-60c0f4e7fbc5	Fabro	Fabro	3	0	2013-05-30 21:49:58.341473+02	\N	\N	\N	\N	\N	\N	f	
8357	c0b63904-fd72-4e53-a0ec-13e80a24a051	Gasselternijveenschemond	Gasselternijveenschemond	3	0	2013-05-30 21:52:58.462546+02	\N	\N	\N	\N	\N	\N	f	
8504	c2580ee7-f368-4fb3-91b5-3ad2e284fd5b	Bloomsburg	Bloomsburg	3	0	2013-06-01 17:27:44.121618+02	\N	\N	\N	\N	\N	\N	f	
8593	421d2256-fa3d-41b9-b5f2-8570c7d2a3de	Zwierzyniec	Zwierzyniec	3	0	2013-06-01 17:49:19.154124+02	\N	\N	\N	\N	\N	\N	f	
8622	84adb21a-7273-43f2-9b0f-7d70467d990e	Lockhart	Lockhart	3	0	2013-06-01 17:57:33.035734+02	\N	\N	\N	\N	\N	\N	f	
8656	d960e59a-0ea2-47c5-86b4-9bfd795c829f	Harden	Harden	3	0	2013-06-01 18:06:22.906259+02	\N	\N	\N	\N	\N	\N	f	
8725	c9744659-e19c-4ed2-91eb-020424928957	Manteo	Manteo	3	0	2013-06-01 18:27:39.470154+02	\N	\N	\N	\N	\N	\N	f	
8733	1fac0519-3156-40e4-aa72-ee4ed1aa2f0f	Shellharbour City Centre	Shellharbour City Centre	3	0	2013-06-01 18:29:39.202129+02	\N	\N	\N	\N	\N	\N	f	
8848	b04b78a4-eac2-46b8-8f31-44fe9d1adba7	Jinan	Jinan	3	0	2013-06-01 19:41:33.054376+02	\N	\N	\N	\N	\N	\N	f	
15488	fdbd0a9c-c6f5-4f2a-bf0f-13b6c730aafc	Poggio Mirteto	Poggio Mirteto	4	0	2013-07-22 00:56:38.452882+02	\N	\N	\N	\N	\N	\N	f	
8882	fde09b7f-3e18-40ea-a5b5-3ab60bc283dd	Ziyang	Ziyang	3	0	2013-06-01 19:50:22.064596+02	\N	\N	\N	\N	\N	\N	f	
16188	780ec965-4a87-492d-841c-5cc35f88c678	Giusvalla	Giusvalla	4	0	2013-07-22 03:03:23.037779+02	\N	\N	\N	\N	\N	\N	f	
5007	cb03bab0-ecf3-4ff8-b4e1-5ff2bde199a1	Bukwa	Bukwa	2	0	2013-06-05 10:13:37.587108+02	\N	\N	\N	\N	\N	\N	f	
3776	2ac77a46-eb0a-47ae-a794-65b5dd008fed	North-Western	North-Western	2	0	2013-05-21 14:42:46.889623+02	\N	\N	\N	\N	\N	\N	f	
3777	2dbb862b-4121-4c76-8cac-9badd459122e	Southern	Southern	2	0	2013-05-21 14:42:57.394361+02	\N	\N	\N	\N	\N	\N	f	
3779	4faf1dc5-2c1c-42ac-b625-01597dce8c03	Lusaka	Lusaka	2	0	2013-05-21 14:43:19.248553+02	\N	\N	\N	\N	\N	\N	f	
4606	ae607c88-d2bb-4a1f-9dab-8f722a6686a9	Roscommon	Roscommon	2	0	2013-05-22 14:21:39.37279+02	\N	\N	\N	\N	\N	\N	f	
13777	f0115514-8e9e-4a1a-831f-a9efaab17e98	Bedizzole	Bedizzole	4	0	2013-07-21 19:09:55.47796+02	\N	\N	\N	\N	\N	\N	f	
3032	fec7d164-f621-47c6-b299-1626d529d341	Al Buraymī	Al Buraymī	2	0	2013-06-05 07:47:48.928415+02	\N	\N	\N	\N	\N	\N	f	
4873	c6725380-3835-4f29-b795-3519258a00d4	Nelson City	Nelson City	3	0	2013-05-24 01:03:10.540688+02	\N	\N	\N	\N	\N	\N	f	
4649	e27b0a4f-fecf-454c-8d58-99c71b19bddd	Fermo	Fermo	2	0	2013-05-22 14:33:27.627912+02	\N	\N	\N	\N	\N	\N	f	
4651	ce04f12a-971a-4242-be9e-c3c6f5cf58ea	Genova	Genova	2	0	2013-05-22 14:34:04.235919+02	\N	\N	\N	\N	\N	\N	f	
5110	70cd6f66-9881-4105-8096-8721a1887aad	Gdańsk	Gdańsk	3	0	2013-05-24 22:29:25.715322+02	\N	\N	\N	\N	\N	\N	f	
4744	9c138e43-b471-4d21-ac56-1c0b251f54a9	Trikuṇāmalaya	Trikuṇāmalaya	2	0	2013-05-22 15:00:23.104577+02	\N	\N	\N	\N	\N	\N	f	
2761	0814fbc0-db72-487b-ba05-9c83b6cf9af2	Putrajaya	Putrajaya	3	0	2013-05-24 01:57:26.96772+02	\N	\N	\N	\N	\N	\N	f	
5177	72c6be73-cc57-4039-a275-99380c918238	Vlissingen	Vlissingen	3	0	2013-05-24 22:42:56.045202+02	\N	\N	\N	\N	\N	\N	f	
5010	6c55c7cf-3e12-4ccc-8738-09c061d8d4c6	Manafwa	Manafwa	2	0	2013-05-22 16:07:51.082843+02	\N	\N	\N	\N	\N	\N	f	
5742	dbb0288b-67bc-400e-934c-a9863ac8c05c	Żyrardów	Żyrardów	3	0	2013-05-25 00:42:23.96542+02	\N	\N	\N	\N	\N	\N	f	
5190	2a466900-6da4-4f93-b775-06cfe3208be9	Tychy	Tychy	3	0	2013-05-24 22:45:37.320369+02	\N	\N	\N	\N	\N	\N	f	
5284	3556da0f-38ad-4f6c-b5dc-7aa99a168203	Leiden	Leiden	3	0	2013-05-24 23:03:32.332052+02	\N	\N	\N	\N	\N	\N	f	
5440	88c294bc-2a0a-41bf-a4b7-bec34e0c6d7d	Malbork	Malbork	3	0	2013-05-24 23:34:31.797469+02	\N	\N	\N	\N	\N	\N	f	
5745	619d0628-308e-4046-a8ec-667cef2d0f02	Żmigród	Żmigród	3	0	2013-05-25 00:42:58.846875+02	\N	\N	\N	\N	\N	\N	f	
5467	95180813-4e70-4c55-b0b7-44c7a6ae73ad	Tanga	Tanga	3	0	2013-05-24 23:39:54.735556+02	\N	\N	\N	\N	\N	\N	f	
5631	9b2a32d1-be31-4d62-9fcf-90be66601b30	Opatów	Opatów	3	0	2013-05-25 00:18:36.929459+02	\N	\N	\N	\N	\N	\N	f	
6419	de19e44f-c641-4bd8-b723-b6afe68e28cf	Lowshan	Lowshan	3	0	2013-05-25 03:02:05.435262+02	\N	\N	\N	\N	\N	\N	f	
5638	e63543dc-f1eb-40fb-a527-9009df6a189d	Hajnówka	Hajnówka	3	0	2013-05-25 00:19:51.439669+02	\N	\N	\N	\N	\N	\N	f	
5907	c6b3fbfc-d778-40cf-b827-4f3b20625388	Mutsu	Mutsu	3	0	2013-05-25 01:15:53.635652+02	\N	\N	\N	\N	\N	\N	f	
5978	76b91abb-61cc-4676-adee-36d3d908c4d3	Parsabad	Parsabad	3	0	2013-05-25 01:29:52.969603+02	\N	\N	\N	\N	\N	\N	f	
7344	9a342633-8e6b-43aa-b7a4-0a0dcebcf874	Uzhhorod	Uzhhorod	3	0	2013-05-28 14:07:58.210664+02	\N	\N	\N	\N	\N	\N	f	
6132	5d14de1d-94d0-4555-a7d0-a9a4a526f9e0	Sarab, East Azerbaijan	Sarab, East Azerbaijan	3	0	2013-05-25 01:59:11.63439+02	\N	\N	\N	\N	\N	\N	f	
6619	f8ba3ce6-2b84-4910-89a8-2552ae86fcc3	Sarbisheh	Sarbisheh	3	0	2013-05-25 03:44:15.589129+02	\N	\N	\N	\N	\N	\N	f	
6191	442b4042-f0b6-4b47-9413-15d1f068d975	Gahvareh	Gahvareh	3	0	2013-05-25 02:09:49.157576+02	\N	\N	\N	\N	\N	\N	f	
6220	fc09fd1a-8b5d-46b4-9e00-2f56962c1715	Oława	Oława	3	0	2013-05-25 02:15:10.070623+02	\N	\N	\N	\N	\N	\N	f	
7098	8979cbff-3fd4-4a9a-8536-64701b2dbff4	Sokółka	Sokółka	3	0	2013-05-26 16:51:50.582417+02	\N	\N	\N	\N	\N	\N	f	
6233	7b0effd2-6860-41bd-a68e-f41d83d9d719	Centerville, Texas	Centerville, Texas	3	0	2013-05-25 02:17:54.422094+02	\N	\N	\N	\N	\N	\N	f	
6640	e44eff84-3e17-43bb-a3f8-56055f05d8f4	Malard	Malard	3	0	2013-05-25 03:48:31.691607+02	\N	\N	\N	\N	\N	\N	f	
6237	fe96867f-c6ab-4c26-9c95-a537f8804b98	Aurora	Aurora	3	0	2013-05-25 02:19:20.802708+02	\N	\N	\N	\N	\N	\N	f	
6255	585b113e-f51f-4969-aebd-c1f4d5938853	Versailles	Versailles	3	0	2013-05-25 02:23:27.744987+02	\N	\N	\N	\N	\N	\N	f	
6256	e6520dba-61cd-4b8c-95e1-f01269f6e376	Holland	Holland	3	0	2013-05-25 02:23:44.598105+02	\N	\N	\N	\N	\N	\N	f	
6654	5e447944-7de2-4643-b13c-cb982a0a2f1d	Ben	Ben	3	0	2013-05-25 03:51:10.900835+02	\N	\N	\N	\N	\N	\N	f	
6262	17aa82f5-f227-4548-9f51-cb640a0df292	Qasr-e Qand	Qasr-e Qand	3	0	2013-05-25 02:24:53.8336+02	\N	\N	\N	\N	\N	\N	f	
6358	6c5180b4-50e0-409f-b687-186cf73f3681	Weipa	Weipa	3	0	2013-05-25 02:47:18.770192+02	\N	\N	\N	\N	\N	\N	f	
7222	87a70c43-5cf0-4d8b-b935-e340b042ff55	Przemków	Przemków	3	0	2013-05-26 17:22:32.007948+02	\N	\N	\N	\N	\N	\N	f	
6361	751ebfbe-0ed3-48e4-b90f-51143e54be71	Goygol	Goygol	3	0	2013-05-25 02:47:56.681281+02	\N	\N	\N	\N	\N	\N	f	
6906	b7d98d87-0999-430a-ac8e-a271e9641790	Luton, Iowa	Luton, Iowa	3	0	2013-05-25 04:38:32.933711+02	\N	\N	\N	\N	\N	\N	f	
8103	224f498a-e626-4fa3-b58d-e45528a9e7cc	Gordon	Gordon	3	0	2013-05-30 18:47:15.817966+02	\N	\N	\N	\N	\N	\N	f	
7223	bcae28be-01fc-4f81-8c98-9156b1efe2e0	Pasym	Pasym	3	0	2013-05-26 17:22:43.823661+02	\N	\N	\N	\N	\N	\N	f	
7462	9f8b26a5-2097-4bef-9659-4326914dfcba	Rüsselsheim	Rüsselsheim	3	0	2013-05-29 00:19:28.187039+02	\N	\N	\N	\N	\N	\N	f	
7293	e4309042-9fab-4144-96cb-04666a32f1eb	Arequipa	Arequipa	3	0	2013-05-26 20:57:03.730127+02	\N	\N	\N	\N	\N	\N	f	
7601	0e35ceb5-fe09-4b96-a32d-654b30610abe	Butzbach	Butzbach	3	0	2013-05-29 00:54:34.043585+02	\N	\N	\N	\N	\N	\N	f	
7713	39d62198-1e76-4de4-b079-e86e3a393bbc	Helsinki	Helsinki	3	0	2013-05-29 02:11:51.973412+02	\N	\N	\N	\N	\N	\N	f	
8230	03bdfa3c-130c-4ea9-a39b-d3643c81d160	Pashto	Pashto	3	0	2013-05-30 21:23:12.395894+02	\N	\N	\N	\N	\N	\N	f	
7745	b64a4ffd-29a1-4ea1-b9a3-27a43a680eda	Portsmouth	Portsmouth	3	0	2013-05-29 02:19:51.48203+02	\N	\N	\N	\N	\N	\N	f	
122	d2007481-eefe-37c0-be71-2256dfe148cb	Liechtenstein	Liechtenstein	1	0	2013-05-27 14:36:08.633407+02	\N	\N	\N	\N	\N	\N	f	
766	cc0c81fa-1d3c-433b-b138-ac1af871f72c	Évora	Évora	2	0	2013-05-27 19:35:40.891854+02	\N	\N	\N	\N	\N	\N	f	
7760	0484f40c-7d78-46df-800d-c7e2a5f5f700	Dothan	Dothan	3	0	2013-05-29 02:23:34.099423+02	\N	\N	\N	\N	\N	\N	f	
157	7fc2feb2-0d33-31ef-b496-b812a4dd2965	Niue	Niue	1	0	2013-05-27 14:41:34.093675+02	\N	\N	\N	\N	\N	\N	f	
7319	cff017bc-6ebc-4938-b8f8-8ad26b8525a0	Algiers	Algiers	3	0	2013-05-28 13:59:49.756192+02	\N	\N	\N	\N	\N	\N	f	
8726	8180f07a-d7a4-4fd8-9674-095f1326ab21	Innisfail	Innisfail	3	0	2013-06-01 18:27:50.513587+02	\N	\N	\N	\N	\N	\N	f	
7330	fb3459e9-3ebe-448a-8395-f3abfc0306df	Linköping	Linköping	3	0	2013-05-28 14:02:49.568064+02	\N	\N	\N	\N	\N	\N	f	
8407	02768105-16c2-454c-8f59-525df5d11e3c	Nerima	Nerima	3	0	2013-05-30 23:27:47.537016+02	\N	\N	\N	\N	\N	\N	f	
7878	4c57b901-2ba0-4d85-af42-356129e7186a	Claude	Claude	3	0	2013-05-29 02:56:58.432297+02	\N	\N	\N	\N	\N	\N	f	
9099	855c2d54-167a-4c14-8620-4612e7f08774	Shizuishan	Shizuishan	3	0	2013-06-01 20:39:11.509939+02	\N	\N	\N	\N	\N	\N	f	
8439	51a9ba5b-5697-4746-a282-14968d4373dd	Houston	Houston	3	0	2013-06-01 17:14:08.122495+02	\N	\N	\N	\N	\N	\N	f	
8849	225d62e7-bf27-4ad8-82e3-e5b6645a2aeb	Ürümqi	Ürümqi	3	0	2013-06-01 19:41:43.715444+02	\N	\N	\N	\N	\N	\N	f	
8596	22482914-d87c-48c0-987c-c63a41a8af59	Maclean	Maclean	3	0	2013-06-01 17:50:18.852568+02	\N	\N	\N	\N	\N	\N	f	
8856	4d1db4c8-7681-4ec3-a096-60ae8cbf4a8c	Bazhong	Bazhong	3	0	2013-06-01 19:43:26.389019+02	\N	\N	\N	\N	\N	\N	f	
8979	7ef957a4-c42e-48c4-83c6-a501be35115d	Deyang	Deyang	3	0	2013-06-01 20:14:29.335606+02	\N	\N	\N	\N	\N	\N	f	
4457	ad7fac45-b67c-47ec-ae35-621aa85387c1	Boké	Boké	2	0	2013-06-05 11:18:41.677783+02	\N	\N	\N	\N	\N	\N	f	
9157	5b384288-24c7-4c9c-8eb1-b054fde426f0	Tonghua	Tonghua	3	0	2013-06-01 20:53:52.550192+02	\N	\N	\N	\N	\N	\N	f	
5008	ad42f38c-5d1f-4cb7-90ad-e50ecf6d6bf8	Butaleja	Butaleja	2	0	2013-06-05 06:52:00.260857+02	\N	\N	\N	\N	\N	\N	f	
3876	b5f9b558-9f45-4710-a3cf-0366e92800f8	Barking and Dagenham	Barking and Dagenham	2	0	2013-06-05 11:34:32.06823+02	\N	\N	\N	\N	\N	\N	f	
9459	60d82cf1-ae2e-472f-a452-f9699560c493	Ranavav	Ranavav	3	0	2013-06-09 17:46:08.025191+02	\N	\N	\N	\N	\N	\N	f	
9628	4b21d5c1-b147-4463-b2b3-3ede655a1562	Renningen	Renningen	3	0	2013-06-12 17:35:04.751141+02	\N	\N	\N	\N	\N	\N	f	
9637	c6b4c765-3cbf-4919-9de7-c3891099e756	Fargo	Fargo	3	0	2013-06-13 09:38:59.398906+02	\N	\N	\N	\N	\N	\N	f	
9645	ba6bccbf-70cc-4249-970b-bde06444efd4	Rouyn-Noranda	Rouyn-Noranda	3	0	2013-06-13 13:34:15.125398+02	\N	\N	\N	\N	\N	\N	f	
9850	c24efa08-386a-4578-b726-54a1c0084677	Fukaya	Fukaya	3	0	2013-06-18 03:54:42.195954+02	\N	\N	\N	\N	\N	\N	f	
9978	6bb5f734-0ac0-4cd6-8401-7833a770b11a	Himeshima	Himeshima	3	0	2013-06-18 07:35:48.576899+02	\N	\N	\N	\N	\N	\N	f	
17299	e7f4a078-c218-4634-af9b-2682ee056338	Ploaghe	Ploaghe	4	0	2013-07-22 06:09:53.07633+02	\N	\N	\N	\N	\N	\N	f	
10057	a3b27e23-7522-4699-9d30-961027ef96fa	Nakama	Nakama	3	0	2013-06-18 08:13:16.242582+02	\N	\N	\N	\N	\N	\N	f	
3778	c5b7a516-8eab-4a42-86cb-95f7a7e419b0	Copperbelt	Copperbelt	2	0	2013-06-05 07:33:21.650597+02	\N	\N	\N	\N	\N	\N	f	
3782	4fb28f40-d3b8-4216-818a-d62e3ed95622	Manicaland	Manicaland	2	0	2013-05-21 14:43:50.610521+02	\N	\N	\N	\N	\N	\N	f	
4607	4f76e417-da27-4d6e-9808-483a0f72fc22	Sligo	Sligo	2	0	2013-05-22 14:21:58.1032+02	\N	\N	\N	\N	\N	\N	f	
3784	a378ff5e-3d1e-4fd7-adb1-d68c45d09183	Mashonaland East	Mashonaland East	2	0	2013-05-21 14:44:15.667806+02	\N	\N	\N	\N	\N	\N	f	
3785	e2cbc333-2694-4864-9e2e-d7e22e748e1f	Midlands	Midlands	2	0	2013-05-21 14:44:26.150182+02	\N	\N	\N	\N	\N	\N	f	
3786	a3e68558-899f-4d84-af5a-a0d5508a38c5	Matabeleland North	Matabeleland North	2	0	2013-05-21 14:44:36.681401+02	\N	\N	\N	\N	\N	\N	f	
3587	6481b2ee-3aef-44a9-818a-1032c3444b07	Au Cap	Au Cap	2	0	2013-06-05 11:18:50.1776+02	\N	\N	\N	\N	\N	\N	f	
3787	f0f89cb8-1add-4385-ac8d-c6d43ba0db59	Matabeleland South	Matabeleland South	2	0	2013-05-21 14:44:47.187876+02	\N	\N	\N	\N	\N	\N	f	
5114	1127ddc2-eab3-4662-8718-6adbdeea3b10	Stockholm	Stockholm	3	0	2013-05-24 22:30:08.523187+02	\N	\N	\N	\N	\N	\N	f	
4652	028b3c38-fea6-4481-940a-abb30212b7aa	Gorizia	Gorizia	2	0	2013-05-22 14:34:21.175945+02	\N	\N	\N	\N	\N	\N	f	
4746	ff84c74f-e944-4239-820d-f34477203f89	Puttalama	Puttalama	2	0	2013-05-22 15:00:48.035696+02	\N	\N	\N	\N	\N	\N	f	
4875	8d1a15c7-7e15-4b3b-afa1-be292a31680a	Otago	Otago	2	0	2013-05-22 15:38:53.005471+02	\N	\N	\N	\N	\N	\N	f	
2473	f01d159f-19d9-4f98-913b-d54f05642d1f	Yerevan	Yerevan	3	0	2013-05-24 11:17:07.949875+02	\N	\N	\N	\N	\N	\N	f	
5009	5d460636-fb32-460e-bd44-f1014188b42b	Kaliro	Kaliro	2	0	2013-05-22 16:07:40.238427+02	\N	\N	\N	\N	\N	\N	f	
5131	38693e55-f5d3-4dc5-99af-debd2a8c1c87	Münster	Münster	3	0	2013-05-24 22:33:30.248476+02	\N	\N	\N	\N	\N	\N	f	
5746	8e01a3ca-7db8-41fa-b00c-dede7d832293	Falls Church	Falls Church	3	0	2013-05-25 00:43:12.770697+02	\N	\N	\N	\N	\N	\N	f	
5285	f46cc7c2-05e7-4af6-89e9-8225af163394	Salem	Salem	3	0	2013-05-24 23:03:42.59677+02	\N	\N	\N	\N	\N	\N	f	
5358	8966ae40-bd8e-4a79-9e38-a769e1ef5a2e	Badrud	Badrud	3	0	2013-05-24 23:19:23.376809+02	\N	\N	\N	\N	\N	\N	f	
5430	cf1f324c-2e69-4952-9a73-e190d0cde505	Dunedin	Dunedin	3	0	2013-05-24 23:32:35.458475+02	\N	\N	\N	\N	\N	\N	f	
5768	5dec97e4-5873-4ac0-af25-cf23e929cc16	Mountain View	Mountain View	3	0	2013-05-25 00:47:35.056325+02	\N	\N	\N	\N	\N	\N	f	
5441	9c821aa1-02b1-4dfd-9af5-194684516c44	Żary	Żary	3	0	2013-05-24 23:34:42.406266+02	\N	\N	\N	\N	\N	\N	f	
5524	dc6bb65d-801a-4d5d-9437-0fa68daaa172	Feldkirch	Feldkirch	3	0	2013-05-24 23:55:25.747805+02	\N	\N	\N	\N	\N	\N	f	
6420	eea9f9bf-418b-4a07-a607-102ac939337c	Daraq	Daraq	3	0	2013-05-25 03:02:20.762542+02	\N	\N	\N	\N	\N	\N	f	
5781	146d0ba6-2261-48cd-b246-0c746e9cb019	Maassluis	Maassluis	3	0	2013-05-25 00:50:04.594128+02	\N	\N	\N	\N	\N	\N	f	
5847	68ee9eac-8111-4d1c-975d-b08bd6862ec3	Rafsanjan	Rafsanjan	3	0	2013-05-25 01:04:25.816562+02	\N	\N	\N	\N	\N	\N	f	
5908	8501cdec-a9b4-4505-b5e3-04bbe15e8062	Mińsk Mazowiecki	Mińsk Mazowiecki	3	0	2013-05-25 01:16:09.27868+02	\N	\N	\N	\N	\N	\N	f	
6622	f4d6ecbc-df31-4a2f-9a12-6e725a60bf67	Halab	Halab	3	0	2013-05-25 03:44:55.516842+02	\N	\N	\N	\N	\N	\N	f	
6134	8d5d0764-fee2-4396-9fbf-783c6c439de6	Shabankareh	Shabankareh	3	0	2013-05-25 01:59:31.768396+02	\N	\N	\N	\N	\N	\N	f	
6177	95060bf9-ec89-454e-a58d-0989a373dcc7	Dehgolan	Dehgolan	3	0	2013-05-25 02:07:19.799025+02	\N	\N	\N	\N	\N	\N	f	
7099	886bb3ba-462d-4caa-9f91-7a1cf2fcee31	Nysa	Nysa	3	0	2013-05-26 16:52:01.886256+02	\N	\N	\N	\N	\N	\N	f	
6359	4a5f98f1-dcd2-4095-86f0-2fc497d254f5	Kosów Lacki	Kosów Lacki	3	0	2013-05-25 02:47:31.307436+02	\N	\N	\N	\N	\N	\N	f	
6674	0fd7af1b-2787-46ec-898e-7821c05870a6	Avaj	Avaj	3	0	2013-05-25 03:54:39.816455+02	\N	\N	\N	\N	\N	\N	f	
8301	b84515db-495b-404d-adbe-d5653dd50697	Rochford	Rochford	3	0	2013-05-30 21:40:06.415562+02	\N	\N	\N	\N	\N	\N	f	
6912	76281c5e-f57a-4c0d-955f-422c3839f490	Torkalaki	Torkalaki	3	0	2013-05-25 04:39:42.150893+02	\N	\N	\N	\N	\N	\N	f	
7224	bfd3abdd-983a-4afc-af64-dcea9a43171e	Drzewica	Drzewica	3	0	2013-05-26 17:22:55.942531+02	\N	\N	\N	\N	\N	\N	f	
6924	f05ca63d-8680-43b7-86a6-078aab714370	Ahlen	Ahlen	3	0	2013-05-25 14:02:19.168832+02	\N	\N	\N	\N	\N	\N	f	
7019	7496f50a-e0d9-4817-836e-8408b0697050	Como	Como	3	0	2013-05-26 13:49:12.355005+02	\N	\N	\N	\N	\N	\N	f	
1839	d79e4501-8cba-431b-96e7-bb9976f0ae76	Île-de-France	Île-de-France	2	0	2013-05-27 19:36:18.130718+02	\N	\N	\N	\N	\N	\N	f	
7879	dda6db51-1df5-460e-92db-83a23aba322c	Fort Stockton	Fort Stockton	3	0	2013-05-29 02:57:08.995067+02	\N	\N	\N	\N	\N	\N	f	
6394	84c02738-46eb-4f18-8738-e01c32912fb2	Watervliet	Watervliet	3	0	2013-05-26 14:16:21.360329+02	\N	\N	\N	\N	\N	\N	f	
7020	74e50e58-5deb-4b99-93a2-decbb365c07f	New York	New York	3	0	2013-05-28 11:35:43.054898+02	\N	\N	\N	\N	\N	\N	f	
7022	83f22bb6-4631-443c-bace-9fae8540362a	San Francisco	San Francisco	3	0	2013-05-26 16:26:19.899962+02	\N	\N	\N	\N	\N	\N	f	
7294	4b79e850-ada6-4381-8637-e42279f27d3e	Wollongong	Wollongong	3	0	2013-05-27 00:44:30.88743+02	\N	\N	\N	\N	\N	\N	f	
252	e9857f2e-5db7-36a0-b4a9-c7c32d1b3172	Isle of Man	Isle of Man	1	0	2013-05-27 14:37:39.64384+02	\N	\N	\N	\N	\N	\N	f	
7320	6e468d04-2c88-4177-8cd5-09ee93239843	Durban	Durban	3	0	2013-05-28 14:00:12.957419+02	\N	\N	\N	\N	\N	\N	f	
8104	89a9bed1-2d01-422f-bb83-c413e2ee860b	Interlaken	Interlaken	3	0	2013-05-30 18:47:27.7313+02	\N	\N	\N	\N	\N	\N	f	
7463	c0c20947-019a-4a7f-84b1-c75d95382547	Wetzlar	Wetzlar	3	0	2013-05-29 00:19:41.871033+02	\N	\N	\N	\N	\N	\N	f	
7509	905b1c94-4cc9-4c56-9893-78753bdb1695	Groß-Gerau	Groß-Gerau	3	0	2013-05-29 00:34:39.652258+02	\N	\N	\N	\N	\N	\N	f	
7603	9ad104ec-0fbb-4196-896c-3249b0782e2e	Borken	Borken	3	0	2013-05-29 00:54:56.349945+02	\N	\N	\N	\N	\N	\N	f	
8232	21a496d5-9a4c-413a-b169-b62fb16bc0f4	Penna in Teverina	Penna in Teverina	3	0	2013-05-30 21:23:39.128833+02	\N	\N	\N	\N	\N	\N	f	
7714	3ff0283e-871a-4c6d-96ad-ba871ab216f1	Essen	Essen	3	0	2013-05-29 02:12:02.340607+02	\N	\N	\N	\N	\N	\N	f	
8408	204d1764-585b-4c35-b41f-f63510f5816f	Adachi	Adachi	3	0	2013-05-30 23:28:47.530525+02	\N	\N	\N	\N	\N	\N	f	
8234	2e24c974-67d2-4a30-be5a-37ead3367f55	Beaufort	Beaufort	3	0	2013-05-30 21:24:08.624845+02	\N	\N	\N	\N	\N	\N	f	
7725	fa032555-9367-4c9c-8c4a-16fb471df7e9	Eindhoven	Eindhoven	3	0	2013-05-29 02:14:42.039316+02	\N	\N	\N	\N	\N	\N	f	
7753	a5457384-a249-4a16-be86-a725c20f3191	Aach	Aach	3	0	2013-05-29 02:21:42.05118+02	\N	\N	\N	\N	\N	\N	f	
8251	84d18941-17fe-42ce-83c3-f00f449635a2	Skipton	Skipton	3	0	2013-05-30 21:28:35.836955+02	\N	\N	\N	\N	\N	\N	f	
8440	0d5d2dab-2275-41dc-a06a-c7ccdc1bea4a	Wellington	Wellington	3	0	2013-06-01 17:14:19.863394+02	\N	\N	\N	\N	\N	\N	f	
8728	0f901e07-2a95-47fc-b2ff-4d4db6e737b7	Highland, California	Highland, California	3	0	2013-06-01 18:28:17.069545+02	\N	\N	\N	\N	\N	\N	f	
8597	fcb3dc88-9bad-43ae-8a82-416477406bbd	Sylva, North Carolina	Sylva, North Carolina	3	0	2013-06-01 17:50:37.094957+02	\N	\N	\N	\N	\N	\N	f	
8982	9cf1a5e1-8942-44d3-b1ba-82f139fe276f	Neijiang	Neijiang	3	0	2013-06-01 20:15:00.793315+02	\N	\N	\N	\N	\N	\N	f	
8851	26649fc8-5247-491f-a0bb-d257f4942065	Erfurt	Erfurt	3	0	2013-06-01 19:42:14.683352+02	\N	\N	\N	\N	\N	\N	f	
8951	b0adc3fc-ddcf-4a3d-85bc-02685b21cfb6	Jining	Jining	3	0	2013-06-01 20:08:39.22475+02	\N	\N	\N	\N	\N	\N	f	
9100	cd049e35-abb6-4018-821a-3d3c576a9f84	Wuzhong, Ningxia	Wuzhong, Ningxia	3	0	2013-06-01 20:39:21.541835+02	\N	\N	\N	\N	\N	\N	f	
3780	981188ed-b071-40ef-8388-24fe0da86342	Bulawayo	Bulawayo	2	0	2013-06-05 08:31:45.426802+02	\N	\N	\N	\N	\N	\N	f	
4867	01558e87-29f0-4a2e-b625-b2ec2b936e86	Bay of Plenty	Bay of Plenty	2	0	2013-06-05 07:48:01.282588+02	\N	\N	\N	\N	\N	\N	f	
4625	67cfbbb4-fc4d-43d9-8652-a69548e37f6b	Belluno	Belluno	2	0	2013-06-05 10:11:00.639323+02	\N	\N	\N	\N	\N	\N	f	
9460	05430fd8-4b19-48c4-a609-09f84690047d	Sihor	Sihor	3	0	2013-06-09 17:46:18.439665+02	\N	\N	\N	\N	\N	\N	f	
9629	b113db45-fbe8-44af-b050-949ab95a7034	Greensboro	Greensboro	3	0	2013-06-12 17:38:46.71777+02	\N	\N	\N	\N	\N	\N	f	
9638	b4a77b45-4c53-4988-864c-273b00713f8d	Heitersheim	Heitersheim	3	0	2013-06-13 09:43:06.084579+02	\N	\N	\N	\N	\N	\N	f	
9646	5265ae8f-6c7d-42e9-bbac-aebd10131ecd	Magog	Magog	3	0	2013-06-13 13:34:31.165407+02	\N	\N	\N	\N	\N	\N	f	
9851	7fea7f66-b4c1-448c-a299-117754cbd3ac	Kishiwada	Kishiwada	3	0	2013-06-18 03:54:58.277624+02	\N	\N	\N	\N	\N	\N	f	
15489	9925b56c-8626-422d-92b4-efe40d32ac00	Salisano	Salisano	4	0	2013-07-22 00:56:51.678877+02	\N	\N	\N	\N	\N	\N	f	
9980	d815a32d-4662-49cd-b9b7-afb2dca507ed	Kitanakagusuku	Kitanakagusuku	3	0	2013-06-18 07:36:13.31881+02	\N	\N	\N	\N	\N	\N	f	
3788	39b4ae71-56ce-4b8e-967e-b7c540f51e2c	Masvingo	Masvingo	2	0	2013-05-21 14:44:57.627957+02	\N	\N	\N	\N	\N	\N	f	
3789	cc247308-35ae-4150-a58d-74d1a1166774	Mashonaland West	Mashonaland West	2	0	2013-05-21 14:45:08.202112+02	\N	\N	\N	\N	\N	\N	f	
13778	79926df8-dd3a-40c6-b043-74188d374af4	Cedegolo	Cedegolo	4	0	2013-07-21 19:10:22.901245+02	\N	\N	\N	\N	\N	\N	f	
14393	1ddeae92-f270-4ee7-bf35-c842c1bb05ed	Frassinello Monferrato	Frassinello Monferrato	4	0	2013-07-21 21:27:47.907224+02	\N	\N	\N	\N	\N	\N	f	
3809	ff63e1f7-14fa-422f-876a-f57293c9219d	Brighton and Hove	Brighton and Hove	2	0	2013-06-05 12:11:59.610519+02	\N	\N	\N	\N	\N	\N	f	
3834	55dd286a-f047-423b-9062-37408f148633	Derbyshire	Derbyshire	2	0	2013-05-21 16:38:18.685363+02	\N	\N	\N	\N	\N	\N	f	
3810	fe33f5dc-3323-4d64-9a02-44dc94eb2363	Buckinghamshire	Buckinghamshire	2	0	2013-06-05 08:56:46.279999+02	\N	\N	\N	\N	\N	\N	f	
3812	a7206e39-259e-4d27-8c6c-7c29c3926385	Cambridgeshire	Cambridgeshire	2	0	2013-06-05 12:00:21.13688+02	\N	\N	\N	\N	\N	\N	f	
3818	c80e1519-df6f-4d12-9859-fdd1b1ad695f	Ceredigion	Ceredigion	2	0	2013-06-05 10:05:08.25258+02	\N	\N	\N	\N	\N	\N	f	
3820	9f83d920-5da2-4e23-8dd9-2c10a0fd7ec3	Cheshire West and Chester	Cheshire West and Chester	2	0	2013-06-05 10:09:25.7219+02	\N	\N	\N	\N	\N	\N	f	
3825	de781de2-ba23-4613-a8fa-fd36f2395fd5	Coleraine	Coleraine	2	0	2013-06-05 10:25:51.831432+02	\N	\N	\N	\N	\N	\N	f	
3795	3d45e7c5-f19c-44ce-8497-8c0256299b41	Argyll and Bute	Argyll and Bute	2	0	2013-06-05 10:08:47.842868+02	\N	\N	\N	\N	\N	\N	f	
3794	66228762-84cb-4e82-b2a5-d8226c3b6130	Ards	Ards	2	0	2013-06-05 09:32:32.609512+02	\N	\N	\N	\N	\N	\N	f	
3796	516d8bbd-91cf-485f-84a9-4315dc05a064	Armagh	Armagh	2	0	2013-06-05 07:30:08.239848+02	\N	\N	\N	\N	\N	\N	f	
3798	01f89cc1-c118-453e-8d91-0271725f27b3	Ballymoney	Ballymoney	2	0	2013-06-05 08:42:14.876835+02	\N	\N	\N	\N	\N	\N	f	
3814	fbabeac9-a920-466d-9df5-0c3214faf766	Carmarthenshire	Carmarthenshire	2	0	2013-06-05 11:50:39.891793+02	\N	\N	\N	\N	\N	\N	f	
3799	092b293a-ab4a-4ecd-a820-72df33bcaa3d	Banbridge	Banbridge	2	0	2013-06-05 12:22:57.266853+02	\N	\N	\N	\N	\N	\N	f	
3800	0ef8c484-e4bb-445b-906e-390b55ad2bc9	Bath and North East Somerset	Bath and North East Somerset	2	0	2013-06-05 11:41:52.810317+02	\N	\N	\N	\N	\N	\N	f	
3826	5b6a3961-50cf-4056-9416-2f020d281a96	Conwy	Conwy	2	0	2013-06-05 11:31:16.633426+02	\N	\N	\N	\N	\N	\N	f	
3805	8976d59a-7d8b-4b75-b9fe-d7fe94389bb1	Blaenau Gwent	Blaenau Gwent	2	0	2013-06-05 07:55:18.551983+02	\N	\N	\N	\N	\N	\N	f	
3802	057ce294-2684-46fd-aee1-4d8c6b4bf4ef	Belfast	Belfast	2	0	2013-06-05 09:28:55.408508+02	\N	\N	\N	\N	\N	\N	f	
3803	2f9107e0-fbd2-483f-8b7c-6f3276714668	Blackburn with Darwen	Blackburn with Darwen	2	0	2013-06-05 09:00:54.308094+02	\N	\N	\N	\N	\N	\N	f	
3791	383d2fab-7bd0-45d5-addc-1567aa4da376	Aberdeenshire	Aberdeenshire	2	0	2013-06-05 11:36:53.790722+02	\N	\N	\N	\N	\N	\N	f	
3804	75aace97-0d87-4f8d-841a-095c85052581	Blackpool	Blackpool	2	0	2013-06-05 08:37:00.287904+02	\N	\N	\N	\N	\N	\N	f	
3816	b29bfaff-97d0-4324-a3bd-19f0223d516e	Castlereagh	Castlereagh	2	0	2013-06-05 12:09:56.053146+02	\N	\N	\N	\N	\N	\N	f	
3811	b4b3b989-db79-46eb-8827-30486b40acdf	Caerphilly	Caerphilly	2	0	2013-06-05 08:07:23.206008+02	\N	\N	\N	\N	\N	\N	f	
3792	ee3e56a0-6dda-45a2-b4f7-fa74976f5a9a	Angus	Angus	2	0	2013-06-05 07:14:04.09056+02	\N	\N	\N	\N	\N	\N	f	
15490	eaed9258-30c3-43a6-bee8-db9c4d6d3431	Poggio Moiano	Poggio Moiano	4	0	2013-07-22 00:57:05.995226+02	\N	\N	\N	\N	\N	\N	f	
3819	009ae6e5-582d-4f06-82ef-f2db5d0c95b2	Cheshire East	Cheshire East	2	0	2013-06-05 10:38:43.119296+02	\N	\N	\N	\N	\N	\N	f	
3817	041e45b8-bd54-4bd7-b96f-8967d3c7735e	Central Bedfordshire	Central Bedfordshire	2	0	2013-06-05 11:10:56.974066+02	\N	\N	\N	\N	\N	\N	f	
3808	5e8156cb-eb8b-4a31-b621-310fd7d5848a	Bridgend	Bridgend	2	0	2013-06-05 09:01:40.535302+02	\N	\N	\N	\N	\N	\N	f	
3797	b03e9b1f-fa11-458a-a3bd-b8757dded866	Ballymena	Ballymena	2	0	2013-06-05 12:21:14.533274+02	\N	\N	\N	\N	\N	\N	f	
3830	8923be10-140a-4efc-bc9a-112ae16512ed	Cumbria	Cumbria	2	0	2013-06-05 10:28:42.82822+02	\N	\N	\N	\N	\N	\N	f	
3827	c3af162b-ae31-4470-94d9-963084026954	Cookstown	Cookstown	2	0	2013-06-05 10:38:31.187602+02	\N	\N	\N	\N	\N	\N	f	
3801	bf59dcc6-0e6a-4559-972b-e2aafbd2e93c	Bedford	Bedford	2	0	2013-06-05 10:59:52.374028+02	\N	\N	\N	\N	\N	\N	f	
3835	080fa21b-fc13-4983-bfa0-771705a7efa2	Derry	Derry	2	0	2013-05-21 16:38:29.545943+02	\N	\N	\N	\N	\N	\N	f	
5115	df552b4e-3e6b-4830-a53e-897d340c957b	Dar es Salaam	Dar es Salaam	3	0	2013-05-24 22:30:19.279187+02	\N	\N	\N	\N	\N	\N	f	
3829	6727c343-9539-4c85-9256-70b88e01aee5	Craigavon	Craigavon	2	0	2013-06-05 09:04:59.891125+02	\N	\N	\N	\N	\N	\N	f	
3822	6658f787-692d-417f-852c-dcca728d5849	Edinburgh	Edinburgh	3	0	2013-05-24 01:26:08.989902+02	\N	\N	\N	\N	\N	\N	f	
4608	918267fe-24f6-4067-a3aa-e99ce5f423fe	Tipperary	Tipperary	2	0	2013-05-22 14:22:12.531345+02	\N	\N	\N	\N	\N	\N	f	
3824	a7c70c90-7c5d-49e6-a87d-4daa7ae56734	Clackmannanshire	Clackmannanshire	2	0	2013-06-05 07:04:19.496326+02	\N	\N	\N	\N	\N	\N	f	
3841	f658b755-b1eb-4dba-aa59-9615fa453293	Dungannon and South Tyrone	Dungannon and South Tyrone	2	0	2013-05-21 16:39:35.872709+02	\N	\N	\N	\N	\N	\N	f	
16189	f9b9af77-73bc-40d7-b339-66d3602d425a	Albissola Marina	Albissola Marina	4	0	2013-07-22 03:03:34.694711+02	\N	\N	\N	\N	\N	\N	f	
3836	2021b983-80b8-4f6b-a2a9-7d33c23e15b6	Devon	Devon	2	0	2013-05-21 16:38:40.405724+02	\N	\N	\N	\N	\N	\N	f	
25072	9708711e-abef-4852-acd0-e1a21e942d8f	Onslow	Onslow	3	0	2013-09-07 09:56:18.282049+02	\N	\N	\N	\N	\N	\N	f	
3831	78b53d02-5ffe-4b60-95ec-57684eb4d5e1	Darlington	Darlington	2	0	2013-05-21 16:37:45.595088+02	\N	\N	\N	\N	\N	\N	f	
3832	adcbf672-1cba-46e7-83a5-755c7fd8709f	Denbighshire	Denbighshire	2	0	2013-05-21 16:37:56.384491+02	\N	\N	\N	\N	\N	\N	f	
3837	2d71b77c-cec0-47dd-9516-fd01db91ca13	Dorset	Dorset	2	0	2013-05-21 16:38:52.548272+02	\N	\N	\N	\N	\N	\N	f	
3828	03d7eb23-c924-4e46-af72-a45f6ee04c8b	Cornwall	Cornwall	2	0	2013-06-05 07:06:01.570556+02	\N	\N	\N	\N	\N	\N	f	
3838	2ed9ec7f-364c-4a96-a2dd-b8b64106def7	Down	Down	2	0	2013-05-21 16:39:03.697318+02	\N	\N	\N	\N	\N	\N	f	
3839	599a1181-1b8b-4869-a0e2-ce35be49b259	Dumfries and Galloway	Dumfries and Galloway	2	0	2013-05-21 16:39:14.440626+02	\N	\N	\N	\N	\N	\N	f	
3806	ca133b15-39a3-449a-95d8-9008c437da7d	Bournemouth	Bournemouth	2	0	2013-06-05 06:55:19.215878+02	\N	\N	\N	\N	\N	\N	f	
3845	10748123-5f07-4593-a0b8-4adf51333cca	East Lothian	East Lothian	2	0	2013-05-21 16:40:22.759859+02	\N	\N	\N	\N	\N	\N	f	
3833	4ce8712b-c3e9-4373-a5d6-87f0b2afd313	Derby	Derby	3	0	2013-05-24 01:17:35.468154+02	\N	\N	\N	\N	\N	\N	f	
3843	c8d9bfb5-a29c-43fe-9814-952974ee9ed3	East Ayrshire	East Ayrshire	2	0	2013-05-21 16:40:00.476381+02	\N	\N	\N	\N	\N	\N	f	
3847	fce537c2-afa0-4bd5-b29b-2b75929f13f6	East Riding of Yorkshire	East Riding of Yorkshire	2	0	2013-05-21 16:40:44.138825+02	\N	\N	\N	\N	\N	\N	f	
3844	d237462e-3296-4edb-a276-113b5610b75d	East Dunbartonshire	East Dunbartonshire	2	0	2013-05-21 16:40:11.925238+02	\N	\N	\N	\N	\N	\N	f	
3846	9457b03b-7cdf-4339-b741-08c3629737dd	East Renfrewshire	East Renfrewshire	2	0	2013-05-21 16:40:33.426713+02	\N	\N	\N	\N	\N	\N	f	
3848	61b6a12e-4751-4fe3-b40d-ecb84f29736c	East Sussex	East Sussex	2	0	2013-05-21 16:40:54.851549+02	\N	\N	\N	\N	\N	\N	f	
3850	c58e25fa-9d99-4ff3-b4b8-a7e7b2cf452c	Essex	Essex	2	0	2013-05-21 16:41:16.322745+02	\N	\N	\N	\N	\N	\N	f	
3849	4c21a66f-c266-4d88-843b-757ab540b164	Eilean Siar	Eilean Siar	2	0	2013-05-21 16:41:05.653451+02	\N	\N	\N	\N	\N	\N	f	
3851	f72aa839-b4ad-45a5-a330-66d3b768dedc	Falkirk	Falkirk	2	0	2013-05-21 16:41:26.99872+02	\N	\N	\N	\N	\N	\N	f	
3852	1ac0bfb0-e850-4526-b7c9-3b16a6e87451	Fermanagh	Fermanagh	2	0	2013-05-21 16:41:37.662303+02	\N	\N	\N	\N	\N	\N	f	
3853	f15d310a-d884-4c43-9fb2-7219c7bb7ad8	Fife	Fife	2	0	2013-05-21 16:41:48.433358+02	\N	\N	\N	\N	\N	\N	f	
3854	e265346c-1021-4422-bfe3-1346f42bf11f	Flintshire	Flintshire	2	0	2013-05-21 16:41:59.095512+02	\N	\N	\N	\N	\N	\N	f	
3856	da806ae8-ff93-4988-93ee-4bee3c5a56bf	Gloucestershire	Gloucestershire	2	0	2013-05-21 16:42:21.522467+02	\N	\N	\N	\N	\N	\N	f	
3857	33a9cc60-fc72-4397-bd95-a94777d9e939	Gwynedd	Gwynedd	2	0	2013-05-21 16:42:32.345552+02	\N	\N	\N	\N	\N	\N	f	
331	11a44e18-a2e5-43a9-bee9-aa4f7c83f967	Hamburg	Hamburg	3	0	2013-05-24 01:58:57.857196+02	\N	\N	\N	\N	\N	\N	f	
3858	1a7a4088-700d-4b8d-a66f-54789aea711a	Halton	Halton	2	0	2013-05-21 16:42:43.140662+02	\N	\N	\N	\N	\N	\N	f	
3790	7749e9ec-716b-4197-bd2c-1dd480e9c36a	Aberdeen	Aberdeen	3	0	2013-05-24 02:02:34.70711+02	\N	\N	\N	\N	\N	\N	f	
3855	c279f805-01f8-46f5-99cf-51f165a1adad	Glasgow	Glasgow	3	0	2013-05-24 02:02:38.336242+02	\N	\N	\N	\N	\N	\N	f	
3859	e12f6f8d-b5e9-4b15-ab88-4298e3e1a1b3	Hampshire	Hampshire	2	0	2013-05-21 16:42:53.894425+02	\N	\N	\N	\N	\N	\N	f	
3860	cd6855d0-0dff-4c06-a641-9ef565d25dc1	Hartlepool	Hartlepool	2	0	2013-05-21 16:43:05.234753+02	\N	\N	\N	\N	\N	\N	f	
3861	489a2478-a50f-41db-b59f-4aae0e2132cc	Herefordshire	Herefordshire	2	0	2013-05-21 16:43:16.00654+02	\N	\N	\N	\N	\N	\N	f	
4610	22014c5c-92ec-45e2-a9c3-03de668179f6	Westmeath	Westmeath	2	0	2013-05-22 14:22:44.021788+02	\N	\N	\N	\N	\N	\N	f	
3862	9a5d387b-26b2-4bea-a9c9-f2844148a4aa	Hertfordshire	Hertfordshire	2	0	2013-05-21 16:43:26.774808+02	\N	\N	\N	\N	\N	\N	f	
3863	acfe9fa6-7794-4f27-a60d-185069eba4dc	Highland	Highland	2	0	2013-05-21 16:43:37.728217+02	\N	\N	\N	\N	\N	\N	f	
326	c9ac1239-e832-41bc-9930-e252a1fd1105	Berlin	Berlin	3	0	2013-05-24 01:59:00.678811+02	\N	\N	\N	\N	\N	\N	f	
5747	b7156c03-431a-4bd1-b240-5135358e437c	Gostyń	Gostyń	3	0	2013-05-25 00:43:23.608297+02	\N	\N	\N	\N	\N	\N	f	
3879	2649ce9e-919e-48c0-abc7-c04983835b17	Brent	Brent	2	0	2013-06-05 10:16:20.66586+02	\N	\N	\N	\N	\N	\N	f	
5116	7bab243a-3926-4d35-bef8-96d59f3d493c	Wolin	Wolin	3	0	2013-05-24 22:30:30.342153+02	\N	\N	\N	\N	\N	\N	f	
3887	cd46362d-4a6e-429e-a970-c3a0134e0b10	Haringey	Haringey	2	0	2013-05-21 16:48:02.37988+02	\N	\N	\N	\N	\N	\N	f	
4741	45ce583f-9d6b-4e09-afb4-630eedf5a72a	Mulativ	Mulativ	2	0	2013-05-22 14:59:46.025896+02	\N	\N	\N	\N	\N	\N	f	
3896	7c17c50a-8faf-42f4-83f7-0a42bc0091e0	Lewisham	Lewisham	2	0	2013-05-21 16:49:47.021622+02	\N	\N	\N	\N	\N	\N	f	
15491	aa42f6ed-71e4-4ffd-ac86-1fb22af46980	Montopoli di Sabina	Montopoli di Sabina	4	0	2013-07-22 00:57:17.936568+02	\N	\N	\N	\N	\N	\N	f	
3907	fce4afff-8d49-4f1f-977a-10edbe839331	Luton	Luton	2	0	2013-05-21 16:52:09.271432+02	\N	\N	\N	\N	\N	\N	f	
3946	0caff87a-4e9a-45a5-b35b-81d6e16c921d	Wolverhampton	Wolverhampton	2	0	2013-05-21 17:00:07.493477+02	\N	\N	\N	\N	\N	\N	f	
5286	ff1b74fd-054b-4136-b948-bb88fe55d93f	Cambridge	Cambridge	3	0	2013-05-24 23:03:55.692622+02	\N	\N	\N	\N	\N	\N	f	
3949	8d28d7ab-0714-4d07-aadb-8bf60dcce6f9	Milton Keynes	Milton Keynes	2	0	2013-05-21 17:00:53.55993+02	\N	\N	\N	\N	\N	\N	f	
4876	5253bb53-d94a-4342-a10b-e89d7a238b05	Southland	Southland	2	0	2013-05-22 15:39:08.149411+02	\N	\N	\N	\N	\N	\N	f	
3952	8a2329b8-f9b9-4bd2-815f-e207b613de36	Moyle	Moyle	2	0	2013-05-21 17:01:34.518721+02	\N	\N	\N	\N	\N	\N	f	
5011	cc96fa6e-f3f0-4f22-9e44-b6389bcfe416	Namutumba	Namutumba	2	0	2013-05-22 16:08:01.991884+02	\N	\N	\N	\N	\N	\N	f	
5022	ebf1cd00-9a04-45bd-8184-ff61e2f6b1c2	Moyo	Moyo	2	0	2013-05-22 16:10:11.265791+02	\N	\N	\N	\N	\N	\N	f	
5330	09f8a514-687a-49ec-84c0-189b3e81bc3e	Grodzisk Wielkopolski	Grodzisk Wielkopolski	3	0	2013-05-24 23:13:29.065378+02	\N	\N	\N	\N	\N	\N	f	
6421	1d6afb84-5322-430e-abfb-154ae62d69e7	Chekneh	Chekneh	3	0	2013-05-25 03:02:35.942541+02	\N	\N	\N	\N	\N	\N	f	
5360	e0df126d-de72-4812-9f9d-cfa3d1f72c9a	Talkhvoncheh	Talkhvoncheh	3	0	2013-05-24 23:19:44.029636+02	\N	\N	\N	\N	\N	\N	f	
5909	95ebde9f-6e53-48d6-a585-25e940a14b42	Vertientes	Vertientes	3	0	2013-05-25 01:16:19.56184+02	\N	\N	\N	\N	\N	\N	f	
5428	86d8a716-a1bd-44c3-8d19-b72b57e86629	Yonkers	Yonkers	3	0	2013-05-24 23:32:12.07887+02	\N	\N	\N	\N	\N	\N	f	
5442	e29ab9af-0b87-4cf2-8dce-bbc609cb1fdb	Krosno Odrzańskie	Krosno Odrzańskie	3	0	2013-05-24 23:34:53.472137+02	\N	\N	\N	\N	\N	\N	f	
5590	e33e48bb-c88e-4057-9fa4-954f718c78f6	Stoczek Łukowski	Stoczek Łukowski	3	0	2013-05-25 00:09:11.20239+02	\N	\N	\N	\N	\N	\N	f	
5936	627b751f-5c42-4631-90f1-6b727c2daaf1	Bukoba	Bukoba	3	0	2013-05-25 01:22:07.034996+02	\N	\N	\N	\N	\N	\N	f	
5601	c68de5ed-0a49-49a8-9d93-128d698d0767	Taybad	Taybad	3	0	2013-05-25 00:11:35.674093+02	\N	\N	\N	\N	\N	\N	f	
5602	3ef6e1d3-9741-4eb1-883d-00954d2f08e3	Łomża	Łomża	3	0	2013-05-25 00:11:53.947903+02	\N	\N	\N	\N	\N	\N	f	
5608	0b0c1028-682a-47d0-a6a3-0fee88dea504	Sochaczew	Sochaczew	3	0	2013-05-25 00:13:18.822935+02	\N	\N	\N	\N	\N	\N	f	
6135	f4fa7f3b-ae6e-4a7d-845b-ad46c1ae6b6e	Kaleybar	Kaleybar	3	0	2013-05-25 01:59:42.006944+02	\N	\N	\N	\N	\N	\N	f	
5641	092c79ab-7ab2-4403-bfa7-ec35c1078ad3	Gniew	Gniew	3	0	2013-05-25 00:20:32.36017+02	\N	\N	\N	\N	\N	\N	f	
5666	e912ddd6-16fb-4da7-8f19-f4f095f54150	Biłgoraj	Biłgoraj	3	0	2013-05-25 00:26:18.766782+02	\N	\N	\N	\N	\N	\N	f	
6623	98a3df0b-d69d-453a-ac49-2a84d54d2eba	Javadabad	Javadabad	3	0	2013-05-25 03:45:06.683732+02	\N	\N	\N	\N	\N	\N	f	
5674	b6a24732-1a7c-4a1b-b287-b6e50ecbf5f6	Myślenice	Myślenice	3	0	2013-05-25 00:28:35.308441+02	\N	\N	\N	\N	\N	\N	f	
6141	e4ca3b74-1273-492c-ab1e-7b7e6b92a62a	Masuleh	Masuleh	3	0	2013-05-25 02:00:43.572101+02	\N	\N	\N	\N	\N	\N	f	
5687	1a3f6fdb-95b6-4ebe-b895-3e8af1bf71b5	Noda	Noda	3	0	2013-05-25 00:31:15.704777+02	\N	\N	\N	\N	\N	\N	f	
5696	33f1ad99-022f-49cd-9758-c2d344d2dccc	Radymno	Radymno	3	0	2013-05-25 00:32:55.81114+02	\N	\N	\N	\N	\N	\N	f	
6362	9d91ed21-3ed4-4e73-9383-0762b75e0082	Firuzkuh	Firuzkuh	3	0	2013-05-25 02:48:08.95461+02	\N	\N	\N	\N	\N	\N	f	
6934	fba9a253-540d-4f68-a5f0-0d65db50e62a	Zgorzelec	Zgorzelec	3	0	2013-05-25 14:08:52.342351+02	\N	\N	\N	\N	\N	\N	f	
6689	4a2bd4ec-8245-4d25-8ff7-a65d977081ce	Lapui	Lapui	3	0	2013-05-25 03:57:14.792441+02	\N	\N	\N	\N	\N	\N	f	
6699	a4f86a0e-efc1-46fa-b8af-d349f76668c4	Firuraq	Firuraq	3	0	2013-05-25 03:58:57.836334+02	\N	\N	\N	\N	\N	\N	f	
7100	53f24e2f-a23e-4cfa-bd9c-5f02938cd008	Władysławowo	Władysławowo	3	0	2013-05-26 16:52:17.990456+02	\N	\N	\N	\N	\N	\N	f	
6715	8f4cd978-3ee8-4672-90f4-37d7799ff318	Khalil Shahr	Khalil Shahr	3	0	2013-05-25 04:01:47.660474+02	\N	\N	\N	\N	\N	\N	f	
6975	fdaa60a9-bd5f-43ab-9334-f77492c8a5c0	Tczew	Tczew	3	0	2013-05-25 14:18:21.710528+02	\N	\N	\N	\N	\N	\N	f	
6751	10bfdf6f-c978-43fd-8b4e-8d1dfc888ccf	Minudasht	Minudasht	3	0	2013-05-25 04:09:22.152359+02	\N	\N	\N	\N	\N	\N	f	
7023	b86b7e97-c4e2-4ec2-942b-5a6cd8eea1da	Bonn	Bonn	3	0	2013-05-26 16:26:31.198897+02	\N	\N	\N	\N	\N	\N	f	
6755	83eedbf4-1179-4d4b-8cb3-b0fe3a1715da	Rineh	Rineh	3	0	2013-05-25 04:10:07.139009+02	\N	\N	\N	\N	\N	\N	f	
6914	98827556-a356-46b1-a36f-b55486f26640	Siah Cheshmeh	Siah Cheshmeh	3	0	2013-05-25 04:40:09.101438+02	\N	\N	\N	\N	\N	\N	f	
7197	8e3096ed-8992-4902-8f0d-b7d44c10d10e	Kłecko	Kłecko	3	0	2013-05-26 17:16:46.117033+02	\N	\N	\N	\N	\N	\N	f	
6933	21b6db41-c1a1-435c-be73-d683dcf6aa58	Rawa Mazowiecka	Rawa Mazowiecka	3	0	2013-05-25 14:08:39.113008+02	\N	\N	\N	\N	\N	\N	f	
1287	c21410fe-17d0-43f2-8c53-a44f1c350612	Žilinský kraj	Žilinský kraj	2	0	2013-05-27 19:36:41.364295+02	\N	\N	\N	\N	\N	\N	f	
6925	230b4d56-82b4-4538-84fc-fc8312235e5d	Kobe	Kobe	3	0	2013-05-25 21:00:47.835579+02	\N	\N	\N	\N	\N	\N	f	
7225	5e9d6305-30dd-4592-8585-a843ba499717	Lidzbark	Lidzbark	3	0	2013-05-26 17:23:08.243342+02	\N	\N	\N	\N	\N	\N	f	
7021	199602a0-0b41-4403-8972-09f938ea9005	Salinas	Salinas	3	0	2013-05-26 14:04:19.425476+02	\N	\N	\N	\N	\N	\N	f	
6389	73522cdf-03dd-47b1-aa03-db3efa34492c	Mechanicville	Mechanicville	3	0	2013-05-26 14:23:48.44676+02	\N	\N	\N	\N	\N	\N	f	
7295	82f3a697-ba65-404d-a1ed-360147af7d10	San Diego	San Diego	3	0	2013-05-26 20:57:26.182574+02	\N	\N	\N	\N	\N	\N	f	
17300	b70ef231-dbd0-43e4-8664-4883294344e0	Casanova Lonati	Casanova Lonati	4	0	2013-07-22 06:09:55.252396+02	\N	\N	\N	\N	\N	\N	f	
7464	ffe0b356-62cc-4701-9ec5-78bda013b3bd	Rodgau	Rodgau	3	0	2013-05-29 00:20:13.63989+02	\N	\N	\N	\N	\N	\N	f	
7321	92645bfd-b361-434c-b50e-efd6657f257a	Dessau-Roßlau	Dessau-Roßlau	3	0	2013-05-28 14:00:23.468065+02	\N	\N	\N	\N	\N	\N	f	
7542	1e05a7e9-b284-4ee8-9b84-e5638ace8d23	Bad Friedrichshall	Bad Friedrichshall	3	0	2013-05-29 00:42:30.725241+02	\N	\N	\N	\N	\N	\N	f	
7605	72526671-7425-40a4-864c-7564a31185c0	Obertshausen	Obertshausen	3	0	2013-05-29 00:55:17.6224+02	\N	\N	\N	\N	\N	\N	f	
7655	2e224e48-cb6a-42e0-b38d-563fe7112b6f	Friedrichsdorf	Friedrichsdorf	3	0	2013-05-29 01:06:05.603041+02	\N	\N	\N	\N	\N	\N	f	
7715	e1804252-7413-4a4d-a34d-d21a8e8e752b	Quebec City	Quebec City	3	0	2013-05-29 02:12:29.430877+02	\N	\N	\N	\N	\N	\N	f	
7719	422967c2-1619-4ab4-9182-5cd8926fc7ab	Kabul	Kabul	3	0	2013-05-29 02:13:26.399718+02	\N	\N	\N	\N	\N	\N	f	
7755	942a57cb-6cb9-4b71-9c23-960aea254beb	Solothurn	Solothurn	3	0	2013-05-29 02:22:06.843583+02	\N	\N	\N	\N	\N	\N	f	
7881	a97cf7a3-cd45-48da-8a30-dc56de8d6b18	Jourdanton	Jourdanton	3	0	2013-05-29 02:57:33.862186+02	\N	\N	\N	\N	\N	\N	f	
7896	f3efaed6-0bea-4c7f-9a13-6b157be10cb5	Yankton	Yankton	3	0	2013-05-29 03:01:42.022262+02	\N	\N	\N	\N	\N	\N	f	
8106	1e971039-7433-4af6-8ffc-70d93553464d	Olney	Olney	3	0	2013-05-30 18:47:57.684322+02	\N	\N	\N	\N	\N	\N	f	
8233	b2b15cb1-affd-465a-b4df-1d90fc38ae96	Guernsey	Guernsey	3	0	2013-05-30 21:23:58.540887+02	\N	\N	\N	\N	\N	\N	f	
8409	a316b645-1366-434f-8bd9-7ad191a6fc8f	Taitō	Taitō	3	0	2013-05-30 23:29:14.532893+02	\N	\N	\N	\N	\N	\N	f	
3882	77bd9218-74c6-4881-9495-457be4ba62e7	Croydon	Croydon	2	0	2013-06-05 08:12:27.56902+02	\N	\N	\N	\N	\N	\N	f	
3864	f5ec969a-3827-4cd3-a3db-8eeb2f2f6dd3	Inverclyde	Inverclyde	2	0	2013-05-21 16:43:48.446745+02	\N	\N	\N	\N	\N	\N	f	
3961	d5081290-cba5-4881-b983-913729235b02	North Lanarkshire	North Lanarkshire	2	0	2013-05-21 17:03:18.744362+02	\N	\N	\N	\N	\N	\N	f	
3965	7e752c5e-ab58-41e1-a5ef-7f7826fa7601	Northamptonshire	Northamptonshire	2	0	2013-05-21 17:04:07.070523+02	\N	\N	\N	\N	\N	\N	f	
4611	da302f1c-868e-4978-b509-315010da8e5b	Wicklow	Wicklow	2	0	2013-05-22 14:23:04.119074+02	\N	\N	\N	\N	\N	\N	f	
4748	6b33f529-4353-445a-9839-96466afbf418	Pŏḷŏnnaruva	Pŏḷŏnnaruva	2	0	2013-05-22 15:01:18.641601+02	\N	\N	\N	\N	\N	\N	f	
4877	1eb5e691-a1d1-45f9-bcce-ddc6eb7a590a	Tasman District	Tasman District	2	0	2013-05-22 15:39:28.345064+02	\N	\N	\N	\N	\N	\N	f	
5117	58ab1035-dbbb-4e58-87f7-210cd0351664	Caracas	Caracas	3	0	2013-05-24 22:30:42.040616+02	\N	\N	\N	\N	\N	\N	f	
5013	548d5113-97ec-46c1-b3f0-58a99b1d06f9	Bukedea	Bukedea	2	0	2013-06-05 07:25:53.214515+02	\N	\N	\N	\N	\N	\N	f	
5173	0d44773f-eda1-49e0-99b2-660de1a66b12	Den Helder	Den Helder	3	0	2013-05-24 22:41:49.465256+02	\N	\N	\N	\N	\N	\N	f	
5748	50eb0a7b-2e53-4aef-ab57-afc50f44ee45	Izeh	Izeh	3	0	2013-05-25 00:43:34.252398+02	\N	\N	\N	\N	\N	\N	f	
5187	860d80f1-0325-45b7-8414-e0b487464192	Lugo	Lugo	3	0	2013-05-24 22:45:02.743037+02	\N	\N	\N	\N	\N	\N	f	
5287	188ae04a-63e2-423a-bc3d-f725f1214a69	Madison	Madison	3	0	2013-05-24 23:04:05.94393+02	\N	\N	\N	\N	\N	\N	f	
5291	a6221a78-e09a-4c21-9a0d-195aa1dd7299	Charleston, West Virginia	Charleston, West Virginia	3	0	2013-05-24 23:04:48.248209+02	\N	\N	\N	\N	\N	\N	f	
5443	18b7d913-5849-4a45-bb48-c4c1b2ec3cdb	Zagórów	Zagórów	3	0	2013-05-24 23:35:04.480472+02	\N	\N	\N	\N	\N	\N	f	
5805	212e8fec-f03e-4bcf-827d-517bab8425c9	Rancho Mirage	Rancho Mirage	3	0	2013-05-25 00:54:27.403505+02	\N	\N	\N	\N	\N	\N	f	
5446	a1362845-986e-4fc0-a824-680bbe8a8082	Zambrów	Zambrów	3	0	2013-05-24 23:35:35.79708+02	\N	\N	\N	\N	\N	\N	f	
7615	2a6abdd6-1d61-40b7-8a2e-d944812605ee	Solms	Solms	3	0	2013-05-29 00:57:10.471621+02	\N	\N	\N	\N	\N	\N	f	
7101	96f38e3b-7471-43e9-adf8-d6b747ce06d2	Drezdenko	Drezdenko	3	0	2013-05-26 16:52:30.624974+02	\N	\N	\N	\N	\N	\N	f	
6423	740f4d9d-8527-4335-8c45-9f072cbcae2a	Nushabad	Nushabad	3	0	2013-05-25 03:02:57.049993+02	\N	\N	\N	\N	\N	\N	f	
5917	e89d3d7c-8875-43c6-a31a-b82427a3e6ca	Shushtar	Shushtar	3	0	2013-05-25 01:17:43.877743+02	\N	\N	\N	\N	\N	\N	f	
5937	4107948b-de05-4cd0-ac76-0ddfe78b5da2	Takestan	Takestan	3	0	2013-05-25 01:22:17.419495+02	\N	\N	\N	\N	\N	\N	f	
5962	d30bf913-1229-4557-996f-4d79d53e0652	Eqlid	Eqlid	3	0	2013-05-25 01:27:04.822215+02	\N	\N	\N	\N	\N	\N	f	
6625	923f7e26-271e-4a10-85b2-9f9a36ba1059	Bumahen	Bumahen	3	0	2013-05-25 03:45:29.683079+02	\N	\N	\N	\N	\N	\N	f	
6137	2e555843-28b6-471e-8791-9134f83cf3c4	Huntsville	Huntsville	3	0	2013-05-25 02:00:02.533973+02	\N	\N	\N	\N	\N	\N	f	
6143	59b36f7e-8c5f-45cf-a789-eb2362a826a7	Chalus	Chalus	3	0	2013-05-25 02:01:03.877218+02	\N	\N	\N	\N	\N	\N	f	
6363	b6d4f780-7727-4609-bceb-6fadd37dbe48	Hamilton	Hamilton	3	0	2013-05-25 02:48:21.361833+02	\N	\N	\N	\N	\N	\N	f	
7157	b4fd099a-223d-4bdb-ae67-1f9600920655	Skoczów	Skoczów	3	0	2013-05-26 17:07:17.481244+02	\N	\N	\N	\N	\N	\N	f	
6675	4ee38694-1657-4d16-bf02-cf6110aeef27	Senjan	Senjan	3	0	2013-05-25 03:54:50.583101+02	\N	\N	\N	\N	\N	\N	f	
6678	ad47d1a2-84a0-48be-8fbe-9383965e9caf	Ardakan	Ardakan	3	0	2013-05-25 03:55:21.394603+02	\N	\N	\N	\N	\N	\N	f	
29	3413ecd3-a1f0-3e21-a226-d9ff3ed480b7	Bouvet Island	Bouvet Island	1	0	2013-05-27 14:39:20.729175+02	\N	\N	\N	\N	\N	\N	f	
6686	541f6bf0-2ba2-447c-add0-bcbbd4fc9dbe	Senderk	Senderk	3	0	2013-05-25 03:56:43.648751+02	\N	\N	\N	\N	\N	\N	f	
7226	37973b25-12a4-44d3-8f6e-ac0513674d1e	Krzepice	Krzepice	3	0	2013-05-26 17:23:19.9722+02	\N	\N	\N	\N	\N	\N	f	
6709	c5b681ab-6975-47c9-9e96-15dab40e3a00	Ravar	Ravar	3	0	2013-05-25 04:00:43.979628+02	\N	\N	\N	\N	\N	\N	f	
6926	f61848ab-0ba0-4534-8b71-d9c7c03e854c	Salford, Greater Manchester	Salford, Greater Manchester	3	0	2013-05-25 14:05:12.842326+02	\N	\N	\N	\N	\N	\N	f	
6985	4e0f0b8c-5e98-40ef-bff4-b9235bd4b042	Czarna Woda	Czarna Woda	3	0	2013-05-25 14:21:02.379947+02	\N	\N	\N	\N	\N	\N	f	
7296	51dc37b5-ea3e-4960-9b3c-e5c368389b86	Kyoto	Kyoto	3	0	2013-05-26 21:09:12.716943+02	\N	\N	\N	\N	\N	\N	f	
6995	020abfd2-1ffa-40db-bc1b-e598252870b1	Osiek, Świętokrzyskie Voivodeship	Osiek, Świętokrzyskie Voivodeship	3	0	2013-05-25 14:23:04.890851+02	\N	\N	\N	\N	\N	\N	f	
5642	7647b978-59e5-4755-9f0e-0188f520d21d	Middletown, Orange County	Middletown, Orange County	3	0	2013-05-26 14:23:43.572314+02	\N	\N	\N	\N	\N	\N	f	
6392	3b61cd2e-0c8a-45c7-9430-ff44d285d03f	Gloversville	Gloversville	3	0	2013-05-26 14:24:23.75513+02	\N	\N	\N	\N	\N	\N	f	
7299	6b14201f-d101-4609-9632-b610aac29173	Sendai	Sendai	3	0	2013-05-26 21:09:44.701883+02	\N	\N	\N	\N	\N	\N	f	
7024	92d87c63-fc98-46cb-b3a6-a75a4b67d1cf	Jacksonville	Jacksonville	3	0	2013-05-26 16:28:16.243712+02	\N	\N	\N	\N	\N	\N	f	
7716	b07271ff-75a4-4dbd-96ee-6386cf3c5fab	Mannheim	Mannheim	3	0	2013-05-29 02:12:39.845678+02	\N	\N	\N	\N	\N	\N	f	
7802	39e1719e-2604-4b59-b698-dab7caf85b33	Alton	Alton	3	0	2013-05-29 02:33:41.255614+02	\N	\N	\N	\N	\N	\N	f	
8450	32f19ecc-b906-4811-9a7f-430f0fd850aa	Jutrosin	Jutrosin	3	0	2013-06-01 17:16:26.668316+02	\N	\N	\N	\N	\N	\N	f	
7882	0135c9a8-e832-48cb-9e94-2768984504d6	Rockport	Rockport	3	0	2013-05-29 02:57:57.168793+02	\N	\N	\N	\N	\N	\N	f	
919	3c33438f-3707-4a07-9e47-83af58330853	Ħamrun	Ħamrun	2	0	2013-05-27 19:36:55.103974+02	\N	\N	\N	\N	\N	\N	f	
7323	e8ad73e9-9e7f-41c4-a395-6e29260ff1df	Graz	Graz	3	0	2013-05-28 14:01:11.925139+02	\N	\N	\N	\N	\N	\N	f	
8107	d338a8e9-d3a0-4c75-9d85-ccb7207dd795	Wellington	Wellington	3	0	2013-05-30 18:48:08.016018+02	\N	\N	\N	\N	\N	\N	f	
8983	b5e60e28-f519-427f-9a7c-ec8cda2c6f54	Guangyuan	Guangyuan	3	0	2013-06-01 20:15:10.833929+02	\N	\N	\N	\N	\N	\N	f	
8112	9671250b-8a38-4bef-ae6f-8ec4e69b2591	Laindon	Laindon	3	0	2013-05-30 18:49:32.3+02	\N	\N	\N	\N	\N	\N	f	
8599	0bc0f676-bbc6-48d3-8ba2-458958273b04	Roma	Roma	3	0	2013-06-01 17:51:04.711555+02	\N	\N	\N	\N	\N	\N	f	
8237	d4d61a57-d102-48b5-8b45-87ddfd33ba36	Montefranco	Montefranco	3	0	2013-05-30 21:24:50.636495+02	\N	\N	\N	\N	\N	\N	f	
7465	84c21d45-a193-4eb1-8a4f-5e1542300ffc	Oberursel	Oberursel	3	0	2013-05-29 00:20:33.975006+02	\N	\N	\N	\N	\N	\N	f	
1719	7dbb6992-4428-43b1-a6d8-350540d07b68	Vlorë District	Vlorë District	2	0	2013-05-29 00:55:37.300117+02	\N	\N	\N	\N	\N	\N	f	
8854	b654bbfe-4c42-48c1-8c4f-6e66df7c520a	Mainz	Mainz	3	0	2013-06-01 19:42:49.175504+02	\N	\N	\N	\N	\N	\N	f	
8410	d1f6a333-7f09-4772-8fa6-4b6e0ea28f97	Bunkyō	Bunkyō	3	0	2013-05-30 23:30:27.687597+02	\N	\N	\N	\N	\N	\N	f	
8441	0c3a6ff2-6f57-4a5e-a727-1ea84e1e4648	Otmuchów	Otmuchów	3	0	2013-06-01 17:14:34.860158+02	\N	\N	\N	\N	\N	\N	f	
8729	8d2cdb6b-a9e7-472e-808d-1377d1743aed	Ringwood East	Ringwood East	3	0	2013-06-01 18:28:44.16756+02	\N	\N	\N	\N	\N	\N	f	
8731	004b34d6-3cb8-4f73-a381-640fd92b7af7	Milton, Massachusetts	Milton, Massachusetts	3	0	2013-06-01 18:29:11.415999+02	\N	\N	\N	\N	\N	\N	f	
8786	a726351b-0575-4207-977a-53462d2d6cb8	Polanów	Polanów	3	0	2013-06-01 18:45:46.731371+02	\N	\N	\N	\N	\N	\N	f	
8941	648a4815-f679-4cf3-b934-984a6ca4a355	Ma'anshan	Ma'anshan	3	0	2013-06-01 20:06:44.208079+02	\N	\N	\N	\N	\N	\N	f	
9103	62123f8a-3c9d-465a-aca7-a36e28da7376	Túxpam de Rodríguez Cano	Túxpam de Rodríguez Cano	3	0	2013-06-01 20:40:01.789092+02	\N	\N	\N	\N	\N	\N	f	
655	87e57205-0790-47c0-90ad-63a6888c99d9	Andhra Pradesh	Andhra Pradesh	2	0	2013-06-05 07:48:49.203071+02	\N	\N	\N	\N	\N	\N	f	
9461	29d0acf1-1e6e-4469-919a-080331320149	Talod	Talod	3	0	2013-06-09 17:46:28.872963+02	\N	\N	\N	\N	\N	\N	f	
9630	14f8274d-9e86-4619-a058-530ce29d59d2	Paignton	Paignton	3	0	2013-06-12 17:39:09.312278+02	\N	\N	\N	\N	\N	\N	f	
9639	89903ae8-7682-4f09-8da3-c8d42a60d6f6	Laichingen	Laichingen	3	0	2013-06-13 09:43:31.854693+02	\N	\N	\N	\N	\N	\N	f	
3058	796b8fb3-4ee6-41a3-873b-e6ecfaffe243	Ash Shamāl	Ash Shamāl	2	0	2013-06-05 11:19:08.627681+02	\N	\N	\N	\N	\N	\N	f	
9640	4518c94c-b6ee-40d0-b4b6-fc27b06fa011	Geislingen an der Steige	Geislingen an der Steige	3	0	2013-06-13 09:49:11.611639+02	\N	\N	\N	\N	\N	\N	f	
9647	e131f3a4-3785-4f97-80b9-d720d3395d7b	Saint-Félicien	Saint-Félicien	3	0	2013-06-13 13:34:49.789785+02	\N	\N	\N	\N	\N	\N	f	
9648	4c72f1db-5cff-40eb-ac3e-d9ed6639e760	L'Isle-aux-Coudres	L'Isle-aux-Coudres	3	0	2013-06-13 13:44:37.400971+02	\N	\N	\N	\N	\N	\N	f	
13779	7f297053-c2d5-4f64-9a41-06eed5d41aab	Villanova Canavese	Villanova Canavese	4	0	2013-07-21 19:10:34.699584+02	\N	\N	\N	\N	\N	\N	f	
9852	727544b0-0668-4d70-ad84-cd4777433f0a	Shijōnawate	Shijōnawate	3	0	2013-06-18 03:55:08.73334+02	\N	\N	\N	\N	\N	\N	f	
3865	74b3db14-539d-488d-8e66-1f5c8036e2ff	Isle of Anglesey	Isle of Anglesey	2	0	2013-05-21 16:43:59.174167+02	\N	\N	\N	\N	\N	\N	f	
3866	428c7efb-6480-483b-97e3-786d3f0c1954	Isle of Wight	Isle of Wight	2	0	2013-05-21 16:44:09.869994+02	\N	\N	\N	\N	\N	\N	f	
3885	76325eca-c006-429f-93bb-d499ae80916c	Hackney	Hackney	2	0	2013-05-21 16:47:40.691859+02	\N	\N	\N	\N	\N	\N	f	
4612	6489d5cb-3eb0-44d6-896b-3d2984c767a8	Wexford	Wexford	2	0	2013-05-22 14:23:21.858688+02	\N	\N	\N	\N	\N	\N	f	
3938	2cce90c7-8957-4204-91be-5c14ed9a3c7d	Stockport	Stockport	2	0	2013-05-21 16:58:24.588933+02	\N	\N	\N	\N	\N	\N	f	
18172	fc7b1a3b-a213-46b6-b10e-3efc9c8fc4d1	Settala	Settala	4	0	2013-07-22 07:56:23.901743+02	\N	\N	\N	\N	\N	\N	f	
4647	cde96964-8ceb-439f-9e53-177f0ac00fc5	Foggia	Foggia	2	0	2013-05-22 14:32:52.652386+02	\N	\N	\N	\N	\N	\N	f	
5119	0a19e07a-81e0-4bfe-a103-62c15ec45ecd	Innsbruck	Innsbruck	3	0	2013-05-24 22:31:03.889061+02	\N	\N	\N	\N	\N	\N	f	
4878	b31ea301-52d0-4579-85fe-89b03f66e425	Taranaki	Taranaki	2	0	2013-05-22 15:39:45.258255+02	\N	\N	\N	\N	\N	\N	f	
5014	41ca04b8-ba42-4974-b3fe-de0c617e6af1	Adjumani	Adjumani	2	0	2013-06-05 10:57:34.618912+02	\N	\N	\N	\N	\N	\N	f	
695	2bd8607d-56fe-4fa1-96e3-3badd6a98588	Buenos Aires	Buenos Aires	3	0	2013-05-24 02:03:59.905719+02	\N	\N	\N	\N	\N	\N	f	
5288	7e67182c-ff85-4aca-999a-9b616677d1ed	Świętochłowice	Świętochłowice	3	0	2013-05-24 23:04:16.379332+02	\N	\N	\N	\N	\N	\N	f	
5749	fd6aa919-4d69-40d9-8d01-4b114fa490bb	Wyśmierzyce	Wyśmierzyce	3	0	2013-05-25 00:43:45.384537+02	\N	\N	\N	\N	\N	\N	f	
5290	75bf8b02-83f6-4e6e-87de-148faac5c246	Green Bay	Green Bay	3	0	2013-05-24 23:04:37.887091+02	\N	\N	\N	\N	\N	\N	f	
5301	d33a2d2f-7fa2-411d-98d7-496fdfc00d45	Warwick, Rhode Island	Warwick, Rhode Island	3	0	2013-05-24 23:06:48.425605+02	\N	\N	\N	\N	\N	\N	f	
5309	c1140389-8ef9-41c5-aa1c-f8d8d991bce1	Tempe	Tempe	3	0	2013-05-24 23:08:20.932511+02	\N	\N	\N	\N	\N	\N	f	
5918	6cdcbb56-bbe5-4bd5-bd31-2d54fca74b2b	Asaluyeh	Asaluyeh	3	0	2013-05-25 01:17:54.00244+02	\N	\N	\N	\N	\N	\N	f	
5346	41f4d32e-575a-4271-b732-20fc0b18ec03	Rogers	Rogers	3	0	2013-05-24 23:16:43.746475+02	\N	\N	\N	\N	\N	\N	f	
16191	e91b3515-1e99-4231-849b-7e073b363358	Murialdo	Murialdo	4	0	2013-07-22 03:03:50.071584+02	\N	\N	\N	\N	\N	\N	f	
6424	0779ae03-2d24-472f-9a39-700110261733	Rudehen	Rudehen	3	0	2013-05-25 03:03:07.525545+02	\N	\N	\N	\N	\N	\N	f	
5526	9a34c5d4-f5d7-4f77-a769-0c735b0b0119	Cairns	Cairns	3	0	2013-05-24 23:55:54.655468+02	\N	\N	\N	\N	\N	\N	f	
6139	96e32333-5c89-49cb-bd9e-e167b6bcfd59	Sardasht, West Azerbaijan	Sardasht, West Azerbaijan	3	0	2013-05-25 02:00:23.216197+02	\N	\N	\N	\N	\N	\N	f	
5539	a5d0d3d0-d1ec-453a-b2da-61db37c9b815	Kutno	Kutno	3	0	2013-05-24 23:58:59.279817+02	\N	\N	\N	\N	\N	\N	f	
5643	30144774-f931-4399-8178-095c9bd15216	Jedwabne	Jedwabne	3	0	2013-05-25 00:20:55.686138+02	\N	\N	\N	\N	\N	\N	f	
5647	f65e57fe-f39f-4b39-aca9-67cbd1170e5b	Aurora	Aurora	3	0	2013-05-25 00:21:43.761913+02	\N	\N	\N	\N	\N	\N	f	
6277	ca0e234a-8adc-4be8-a43b-a58b04950d5a	Wellington	Wellington	3	0	2013-05-25 02:28:11.58049+02	\N	\N	\N	\N	\N	\N	f	
7102	ff5e3bdc-72ac-4b47-923e-8831241b1706	Giżycko	Giżycko	3	0	2013-05-26 16:52:47.164222+02	\N	\N	\N	\N	\N	\N	f	
6364	6c7dd744-4f64-4517-85f3-4bdd4740844d	Sarab-e Dowreh	Sarab-e Dowreh	3	0	2013-05-25 02:48:33.808735+02	\N	\N	\N	\N	\N	\N	f	
6628	a863249b-5ada-439f-beac-1da20a47ac5c	Hamidiya	Hamidiya	3	0	2013-05-25 03:46:07.00809+02	\N	\N	\N	\N	\N	\N	f	
7394	f8ce6d3b-8171-4aeb-b969-470e61013774	Saginaw	Saginaw	3	0	2013-05-28 14:24:01.748989+02	\N	\N	\N	\N	\N	\N	f	
6927	6d6db494-1f9b-4381-9aa7-5431e1341783	Puszczykowo	Puszczykowo	3	0	2013-05-25 14:05:47.415323+02	\N	\N	\N	\N	\N	\N	f	
7228	e420998b-b1f7-414d-a862-d24b307871a9	Lubawka	Lubawka	3	0	2013-05-26 17:23:44.693549+02	\N	\N	\N	\N	\N	\N	f	
6928	3c5fb8be-abfc-4f8f-9a50-3437a9ab6adf	Pniewy	Pniewy	3	0	2013-05-25 14:06:09.832458+02	\N	\N	\N	\N	\N	\N	f	
6931	9602db54-403e-43d3-8271-a409b450b14e	Międzyzdroje	Międzyzdroje	3	0	2013-05-25 14:08:12.246774+02	\N	\N	\N	\N	\N	\N	f	
6961	ce72ceae-8932-43de-ba24-70cdb53c3c96	Grójec	Grójec	3	0	2013-05-25 14:15:32.962283+02	\N	\N	\N	\N	\N	\N	f	
7297	e57442a4-b5d2-45b0-8d50-69c48541482d	Nagoya	Nagoya	3	0	2013-05-26 21:09:23.369244+02	\N	\N	\N	\N	\N	\N	f	
6388	0584575e-006d-4efd-b4f7-57660c698cc9	Glens Falls	Glens Falls	3	0	2013-05-26 14:24:38.690637+02	\N	\N	\N	\N	\N	\N	f	
7025	7019d960-5ca7-4c41-9b9a-054b22ac8327	Podolsk	Podolsk	3	0	2013-05-26 16:28:42.002108+02	\N	\N	\N	\N	\N	\N	f	
8412	72dd6ad1-a746-4da7-934d-6d3b0a6d1949	Edogawa	Edogawa	3	0	2013-05-30 23:32:08.570699+02	\N	\N	\N	\N	\N	\N	f	
7395	0ecadb8a-9ee9-4f89-89a9-7ba2bbc52003	Nairn	Nairn	3	0	2013-05-28 14:24:37.215383+02	\N	\N	\N	\N	\N	\N	f	
7720	f3c9383c-0d3d-45cb-a8ab-ef4921078ecd	Stolberg	Stolberg	3	0	2013-05-29 02:13:38.989262+02	\N	\N	\N	\N	\N	\N	f	
7466	24dfed58-2ca9-4313-b3d7-8a3d0697f7e1	Dreieich	Dreieich	3	0	2013-05-29 00:21:00.939388+02	\N	\N	\N	\N	\N	\N	f	
7495	8dcd7f33-4706-4d4c-b3e6-809eb85e8846	Robertsdale	Robertsdale	3	0	2013-05-29 00:29:38.837192+02	\N	\N	\N	\N	\N	\N	f	
1774	5eeb0bb3-3a54-4502-83e8-cdd0addad6e1	Şirvan	Şirvan	2	0	2013-05-27 19:37:13.259387+02	\N	\N	\N	\N	\N	\N	f	
7327	f95f42b0-59a6-410d-a08e-3db77f4aea8a	San Jose	San Jose	3	0	2013-05-28 14:02:05.532684+02	\N	\N	\N	\N	\N	\N	f	
7607	fc385e2a-3b22-424d-8ab5-b7618dcc9fae	Vellmar	Vellmar	3	0	2013-05-29 00:55:38.687456+02	\N	\N	\N	\N	\N	\N	f	
7329	b3d129af-8ec1-4e71-a7d5-66f6cef4b5e7	Alba	Alba	3	0	2013-05-28 14:02:38.886633+02	\N	\N	\N	\N	\N	\N	f	
7331	1b4c4320-f55b-47ca-84c6-6e95dc5493b4	Providence	Providence	3	0	2013-05-28 14:03:00.106742+02	\N	\N	\N	\N	\N	\N	f	
7883	4c2cf792-03ce-4960-b2cb-39e1978fca72	Sherman	Sherman	3	0	2013-05-29 02:58:08.288528+02	\N	\N	\N	\N	\N	\N	f	
244	d907b0ac-2956-386f-a246-62d55779aae1	East Germany	East Germany	1	0	2013-05-27 14:45:03.214939+02	1949	\N	\N	1990	\N	\N	t	
7654	bdcbd73a-04b5-48a8-b193-cc08bc92c378	Schwarzenborn	Schwarzenborn	3	0	2013-05-29 01:05:51.930631+02	\N	\N	\N	\N	\N	\N	f	
7339	54ea3cb7-6a39-4318-934c-056849e00a8a	Newton	Newton	3	0	2013-05-28 14:05:17.527953+02	\N	\N	\N	\N	\N	\N	f	
7393	4f12804a-8956-4d96-b4d0-dd1ce9f9e240	Kingsville	Kingsville	3	0	2013-05-28 14:23:47.011541+02	\N	\N	\N	\N	\N	\N	f	
7672	d2d6dcaf-f814-46e3-81ca-203133aba171	Neu-Anspach	Neu-Anspach	3	0	2013-05-29 01:09:19.625644+02	\N	\N	\N	\N	\N	\N	f	
8443	be397954-3dd5-42f3-bb6a-36750f295008	Sława	Sława	3	0	2013-06-01 17:15:03.828205+02	\N	\N	\N	\N	\N	\N	f	
7717	154ef74f-bcd3-4472-bfee-dd1dec672864	Bochum	Bochum	3	0	2013-05-29 02:12:50.456855+02	\N	\N	\N	\N	\N	\N	f	
8108	5dc173cc-9a88-42ab-b0e0-e6ae8cf912aa	West Mersea	West Mersea	3	0	2013-05-30 18:48:18.481066+02	\N	\N	\N	\N	\N	\N	f	
8241	621a7b26-fd79-4af8-83ff-8d8fa892a849	Parkeston, Essex	Parkeston, Essex	3	0	2013-05-30 21:25:41.55679+02	\N	\N	\N	\N	\N	\N	f	
8732	28d6dd58-1943-4773-8316-10f72868202a	Beaudesert	Beaudesert	3	0	2013-06-01 18:29:28.708191+02	\N	\N	\N	\N	\N	\N	f	
8452	a139416a-8b92-4aa5-a88f-5355047248ab	Douglas	Douglas	3	0	2013-06-01 17:16:51.728093+02	\N	\N	\N	\N	\N	\N	f	
8867	4866fcb6-74af-4bb0-9168-b09d739a0bac	Supraśl	Supraśl	3	0	2013-06-01 19:46:04.165694+02	\N	\N	\N	\N	\N	\N	f	
8600	05e88bb9-c6e4-464c-9b5e-6a93197cff58	Mahabalipuram	Mahabalipuram	3	0	2013-06-01 17:51:20.6523+02	\N	\N	\N	\N	\N	\N	f	
8855	67fba220-706a-459a-b506-a59fefe7c280	Changsha	Changsha	3	0	2013-06-01 19:43:05.754411+02	\N	\N	\N	\N	\N	\N	f	
8765	2c1e9064-0be4-46f0-8fda-bb615784aa80	Ingham	Ingham	3	0	2013-06-01 18:39:53.675563+02	\N	\N	\N	\N	\N	\N	f	
8804	2fa2cb67-9ba6-4065-ab00-24e42dc5aae4	Węgorzyno	Węgorzyno	3	0	2013-06-01 18:50:15.728796+02	\N	\N	\N	\N	\N	\N	f	
8881	eeb465dd-a717-474a-88ab-87adf565f249	Lijiang	Lijiang	3	0	2013-06-01 19:50:08.508015+02	\N	\N	\N	\N	\N	\N	f	
8984	5b00cefc-a5fc-4de3-a831-74a64282d398	Changde	Changde	3	0	2013-06-01 20:15:20.869712+02	\N	\N	\N	\N	\N	\N	f	
8987	b1b11c10-ad14-49f8-ba8b-672e9cd4d5ac	Nanchong	Nanchong	3	0	2013-06-01 20:15:54.917036+02	\N	\N	\N	\N	\N	\N	f	
8996	673768da-41fc-4327-9004-b2d0bddb40a8	Huzhou	Huzhou	3	0	2013-06-01 20:17:31.185414+02	\N	\N	\N	\N	\N	\N	f	
4749	c69a9176-a233-43c8-9180-2707902ecdb1	Badulla	Badulla	2	0	2013-06-05 09:25:24.313922+02	\N	\N	\N	\N	\N	\N	f	
9106	5fa545ab-b9f0-412e-ba8f-cd4191ab533b	Ningde	Ningde	3	0	2013-06-01 20:41:20.797552+02	\N	\N	\N	\N	\N	\N	f	
5444	59fad673-e377-4b76-b2f5-aa507b692ace	Zarand	Zarand	3	0	2013-06-05 06:45:15.119407+02	\N	\N	\N	\N	\N	\N	f	
1619	324ad55e-4225-4ad9-b508-4efe1db916a7	Baiti	Baiti	2	0	2013-06-05 07:49:25.581821+02	\N	\N	\N	\N	\N	\N	f	
9462	c9eb4a56-69cb-4991-8669-899353815199	Mandvi	Mandvi	3	0	2013-06-09 17:46:39.324055+02	\N	\N	\N	\N	\N	\N	f	
9631	49696ad7-48bf-4f79-8501-cdbf43c8788c	Greensboro	Greensboro	3	0	2013-06-12 17:39:30.323189+02	\N	\N	\N	\N	\N	\N	f	
9641	9ba77856-1888-4cad-9115-2a458ecaa6f7	Las Piñas	Las Piñas	3	0	2013-06-13 09:50:40.928658+02	\N	\N	\N	\N	\N	\N	f	
3867	24404231-7564-4b11-9168-95dd148049a7	Kent	Kent	2	0	2013-05-21 16:44:20.727597+02	\N	\N	\N	\N	\N	\N	f	
3868	aab5b67e-3b98-44a5-8336-1c3d326d9082	Kingston upon Hull	Kingston upon Hull	2	0	2013-05-21 16:44:31.589716+02	\N	\N	\N	\N	\N	\N	f	
3872	939f6e4f-0d8b-4c94-af04-b7f683da8968	Leicestershire	Leicestershire	2	0	2013-05-21 16:45:15.047814+02	\N	\N	\N	\N	\N	\N	f	
13780	71c56c49-ed8e-4b49-a68e-1cd40c5f1ce3	Castel Mella	Castel Mella	4	0	2013-07-21 19:10:46.816568+02	\N	\N	\N	\N	\N	\N	f	
3884	11518382-04c9-473d-98d6-2c0f4b2b9bd9	Enfield	Enfield	2	0	2013-05-21 16:47:29.83944+02	\N	\N	\N	\N	\N	\N	f	
3903	0597b915-cb5c-454e-9d6f-7cfffd69b0f6	Tower Hamlets	Tower Hamlets	2	0	2013-05-21 16:51:24.595364+02	\N	\N	\N	\N	\N	\N	f	
3920	e0cf257f-8635-4af6-95f6-959d3ed0db5e	Gateshead	Gateshead	2	0	2013-05-21 16:54:52.993807+02	\N	\N	\N	\N	\N	\N	f	
4750	a3b0ed5f-353a-4151-9b40-4105c3cf269d	Mŏṇarāgala	Mŏṇarāgala	2	0	2013-05-22 15:02:03.099979+02	\N	\N	\N	\N	\N	\N	f	
3933	ed0f0af1-88ce-4753-98d1-6c9a440e083f	Sefton	Sefton	2	0	2013-05-21 16:57:26.448965+02	\N	\N	\N	\N	\N	\N	f	
3958	97b0671e-da02-487c-acd4-ef7fa01b7f05	North Ayrshire	North Ayrshire	2	0	2013-05-21 17:02:44.333238+02	\N	\N	\N	\N	\N	\N	f	
4879	5aa4734b-6d95-47ef-aabd-1be461923d89	Wellington	Wellington	2	0	2013-05-22 15:40:00.324077+02	\N	\N	\N	\N	\N	\N	f	
5120	ed091849-62dd-4d10-9d40-50594afb1b15	Bratislava	Bratislava	3	0	2013-05-24 22:31:14.54535+02	\N	\N	\N	\N	\N	\N	f	
15492	a8d2a71c-e18d-437a-b66e-0deda05f7689	Garbagna Novarese	Garbagna Novarese	4	0	2013-07-22 00:57:29.854697+02	\N	\N	\N	\N	\N	\N	f	
1503	3c810219-baf2-4fff-b98c-46b425eea1f5	Ciudad de México	México, Ciudad de	3	0	2013-05-24 02:03:53.669141+02	\N	\N	\N	\N	\N	\N	f	
5289	685cf6b6-9d5f-4a84-9e83-61a6f173a232	Toruń	Toruń	3	0	2013-05-24 23:04:27.205194+02	\N	\N	\N	\N	\N	\N	f	
5750	1bb43a4a-b60c-4b4e-b7fc-9ec8ddac30fc	Podkowa Leśna	Podkowa Leśna	3	0	2013-05-25 00:43:56.289136+02	\N	\N	\N	\N	\N	\N	f	
5445	8b9f63be-2c8a-4607-a2a2-d21bcf62981e	Zakopane	Zakopane	3	0	2013-05-24 23:35:25.087419+02	\N	\N	\N	\N	\N	\N	f	
5639	84d0917d-9cce-46bf-9c5f-9a3362d0875b	Warka	Warka	3	0	2013-05-25 00:20:03.592592+02	\N	\N	\N	\N	\N	\N	f	
5644	e2ccfb22-8a5c-488b-8e95-19ca7cc54476	Lubartów	Lubartów	3	0	2013-05-25 00:21:09.070051+02	\N	\N	\N	\N	\N	\N	f	
5920	b8302b13-2ce8-4371-9a88-b39d3f94b142	Mtwara	Mtwara	3	0	2013-05-25 01:18:14.136642+02	\N	\N	\N	\N	\N	\N	f	
6425	4fb1c135-c84a-4ddb-8238-92e9146f810b	Dowlatabad, Razavi Khorasan	Dowlatabad, Razavi Khorasan	3	0	2013-05-25 03:03:19.175412+02	\N	\N	\N	\N	\N	\N	f	
5924	22b8f968-2583-4caa-a0fc-d7458b89f846	Ashkezar	Ashkezar	3	0	2013-05-25 01:18:55.078193+02	\N	\N	\N	\N	\N	\N	f	
6140	fe1229a9-32b7-4978-aea5-84439ed5a434	Bandar Kangan	Bandar Kangan	3	0	2013-05-25 02:00:33.408986+02	\N	\N	\N	\N	\N	\N	f	
7676	46caf0eb-6ad0-493f-9426-7c46dafddcb8	Lich	Lich	3	0	2013-05-29 01:10:13.653093+02	\N	\N	\N	\N	\N	\N	f	
6365	e7b16336-5425-4f2d-9abb-94ed5a55096c	Shahmirzad	Shahmirzad	3	0	2013-05-25 02:48:47.479548+02	\N	\N	\N	\N	\N	\N	f	
7104	68b2c67e-5de0-43a0-95b1-a53055ed1cad	Sławków	Sławków	3	0	2013-05-26 16:53:09.510612+02	\N	\N	\N	\N	\N	\N	f	
6379	bcabdd24-9ad5-44de-8783-00057f867b1a	Bowling Green	Bowling Green	3	0	2013-05-25 02:52:17.12914+02	\N	\N	\N	\N	\N	\N	f	
6434	f8dca4e6-708a-4870-8fce-5e7b74495879	Kharv	Kharv	3	0	2013-05-25 03:04:56.193691+02	\N	\N	\N	\N	\N	\N	f	
6436	3507a80a-0d4d-4aee-afec-1a39ec570473	Salehabad	Salehabad	3	0	2013-05-25 03:05:17.164776+02	\N	\N	\N	\N	\N	\N	f	
7229	461e0cae-cc10-4092-aa22-f8110e0966e1	Piaski	Piaski	3	0	2013-05-26 17:24:01.27469+02	\N	\N	\N	\N	\N	\N	f	
6450	4bce5f77-e5aa-4644-8740-8419341e274b	Garab-e Sofla	Garab-e Sofla	3	0	2013-05-25 03:07:49.53593+02	\N	\N	\N	\N	\N	\N	f	
6451	aaf2c043-7b12-4057-95f0-76c8daf21221	Nasrabad, Razavi Khorasan	Nasrabad, Razavi Khorasan	3	0	2013-05-25 03:07:59.87329+02	\N	\N	\N	\N	\N	\N	f	
8734	e6cdc5fd-fc84-4cae-8d10-0222602ce786	Georgetown	Georgetown	3	0	2013-06-01 18:29:54.310244+02	\N	\N	\N	\N	\N	\N	f	
6453	12c3533a-1466-48e3-bad8-8915159056d9	Davarzan	Davarzan	3	0	2013-05-25 03:08:20.923455+02	\N	\N	\N	\N	\N	\N	f	
7298	fbded44f-063e-4143-968d-ec39753f617c	Okayama	Okayama	3	0	2013-05-26 21:09:33.845053+02	\N	\N	\N	\N	\N	\N	f	
6458	d2d65473-9a25-4027-a1ab-638ac32f623e	Wartburg	Wartburg	3	0	2013-05-25 03:09:28.722514+02	\N	\N	\N	\N	\N	\N	f	
6631	a51e27ff-fd15-4e09-b096-cc0023261d61	Siah Rud	Siah Rud	3	0	2013-05-25 03:46:47.099632+02	\N	\N	\N	\N	\N	\N	f	
7677	e0b54791-3a7b-4ce6-9db4-d075cf79d22f	Ginsheim-Gustavsburg	Ginsheim-Gustavsburg	3	0	2013-05-29 01:10:24.852855+02	\N	\N	\N	\N	\N	\N	f	
6929	2bf5414e-d44b-48df-9ada-e81f7b3f490f	Kościan	Kościan	3	0	2013-05-25 14:06:21.948484+02	\N	\N	\N	\N	\N	\N	f	
6390	4217d584-d30b-487c-be11-4cd189b99646	Batavia	Batavia	3	0	2013-05-26 14:30:38.433892+02	\N	\N	\N	\N	\N	\N	f	
8324	d2e1a521-508c-4ec2-90aa-640ee4bcf966	Sikhourou	Sikhourou	3	0	2013-05-30 21:45:11.718168+02	\N	\N	\N	\N	\N	\N	f	
7026	fc5cf86d-955b-44b4-a7d9-d815cfc2751a	Pobiedziska	Pobiedziska	3	0	2013-05-26 16:29:54.694637+02	\N	\N	\N	\N	\N	\N	f	
7722	495c79a8-e953-480f-841f-71bdb569005d	Gütersloh	Gütersloh	3	0	2013-05-29 02:13:59.600913+02	\N	\N	\N	\N	\N	\N	f	
1959	ddbc8da4-18e5-4f26-a4b1-00f6ed450c6c	Črenšovci	Črenšovci	2	0	2013-05-27 19:37:28.169621+02	\N	\N	\N	\N	\N	\N	f	
7333	371d4723-2d31-49b6-9bdf-ebe80a0bf1f8	Oruro	Oruro	3	0	2013-05-28 14:03:42.848081+02	\N	\N	\N	\N	\N	\N	f	
7730	2d398af8-fae9-40c2-b963-4c196b291e62	Würselen	Würselen	3	0	2013-05-29 02:16:04.00417+02	\N	\N	\N	\N	\N	\N	f	
7340	411611e6-9779-404d-bb23-cf11388c7f3e	Toledo, Ohio	Toledo, Ohio	3	0	2013-05-28 14:05:39.084828+02	\N	\N	\N	\N	\N	\N	f	
7353	622c68cb-3d72-498b-8f05-25375c5a2609	Townsville	Townsville	3	0	2013-05-28 14:10:04.176019+02	\N	\N	\N	\N	\N	\N	f	
8527	a8aa40ed-4300-4807-8464-c9bfb94d8fd3	Anamizu	Anamizu	3	0	2013-06-01 17:32:48.044311+02	\N	\N	\N	\N	\N	\N	f	
7467	fe9e5b3e-6157-4671-b4ed-1e42aacdd9c3	Bensheim	Bensheim	3	0	2013-05-29 00:21:14.207649+02	\N	\N	\N	\N	\N	\N	f	
7798	9b0fd957-4168-4566-b587-f49115b81269	Fairfield	Fairfield	3	0	2013-05-29 02:32:37.704822+02	\N	\N	\N	\N	\N	\N	f	
7609	af68b991-a7f0-4a5f-99f9-93ce705cde4e	Heusenstamm	Heusenstamm	3	0	2013-05-29 00:56:00.266011+02	\N	\N	\N	\N	\N	\N	f	
8339	c10224ab-489d-48bd-bea9-9fff905cf2db	Shoeburyness	Shoeburyness	3	0	2013-05-30 21:48:32.781411+02	\N	\N	\N	\N	\N	\N	f	
7884	261b09c1-c95f-4015-80d7-c288ecbd4a56	Olney	Olney	3	0	2013-05-29 02:58:18.987615+02	\N	\N	\N	\N	\N	\N	f	
8109	7a9bfc73-3e23-495d-a504-b0f1c0ad674f	Valga	Valga	3	0	2013-05-30 18:48:37.15248+02	\N	\N	\N	\N	\N	\N	f	
8413	2a7b10dc-2ddd-4436-a6c8-fa7cc4fe2574	Kita	Kita	3	0	2013-05-30 23:33:39.334396+02	\N	\N	\N	\N	\N	\N	f	
8242	c4a111ef-8f2d-4909-83a0-7ced0e7aa2c1	Ballina	Ballina	3	0	2013-05-30 21:25:57.270028+02	\N	\N	\N	\N	\N	\N	f	
8445	416611ef-7c56-443e-8e90-d2aa0881a203	Wołczyn	Wołczyn	3	0	2013-06-01 17:15:26.412447+02	\N	\N	\N	\N	\N	\N	f	
8601	d4718d60-bcab-416c-b5f7-c714337e49e3	Warwick	Warwick	3	0	2013-06-01 17:51:43.612563+02	\N	\N	\N	\N	\N	\N	f	
8512	ff0b3938-09ee-40df-b9f4-5627a985d5ee	Hamilton	Hamilton	3	0	2013-06-01 17:29:25.779365+02	\N	\N	\N	\N	\N	\N	f	
8857	ac22173d-df31-4362-b613-5d0cf77e475c	Nanning	Nanning	3	0	2013-06-01 19:43:42.794013+02	\N	\N	\N	\N	\N	\N	f	
8606	6fb0b206-99f1-41c6-9d01-c4024d14739d	Łaszczów	Łaszczów	3	0	2013-06-01 17:52:57.776536+02	\N	\N	\N	\N	\N	\N	f	
8747	b8a4b9aa-482e-4ab4-9847-20c1e99aca96	Hel	Hel	3	0	2013-06-01 18:33:58.980814+02	\N	\N	\N	\N	\N	\N	f	
8929	9f336100-1206-4eef-8533-f76a6531255f	Fuxin	Fuxin	3	0	2013-06-01 20:04:26.71416+02	\N	\N	\N	\N	\N	\N	f	
8883	9cd4d7fe-7fee-42df-9145-219ae3b4f307	Kaifeng	Kaifeng	3	0	2013-06-01 19:50:37.679348+02	\N	\N	\N	\N	\N	\N	f	
8980	d3a4fe6e-20c1-4522-ac34-6ec9b141434e	Wuxi	Wuxi	3	0	2013-06-01 20:14:39.36566+02	\N	\N	\N	\N	\N	\N	f	
8985	f899711f-58b5-4b52-8c45-ecbe8e8887bb	Chenzhou	Chenzhou	3	0	2013-06-01 20:15:30.909748+02	\N	\N	\N	\N	\N	\N	f	
8992	c00b564e-a00d-46ff-902c-f64f335caff9	Suining	Suining	3	0	2013-06-01 20:16:49.872492+02	\N	\N	\N	\N	\N	\N	f	
8993	4411cabe-7d5a-4cb9-a780-d5af86170ee0	Mianyang	Mianyang	3	0	2013-06-01 20:16:59.930035+02	\N	\N	\N	\N	\N	\N	f	
9107	a925c019-f876-4b4e-b15a-8085bc568018	Nanping	Nanping	3	0	2013-06-01 20:41:31.110569+02	\N	\N	\N	\N	\N	\N	f	
9125	2796d825-4c63-490b-b248-f56df8241ded	Xiangyang	Xiangyang	3	0	2013-06-01 20:44:56.323406+02	\N	\N	\N	\N	\N	\N	f	
5015	9bad570d-2a6e-46e0-8569-07a2058e66b1	Apac	Apac	2	0	2013-06-05 11:41:06.533333+02	\N	\N	\N	\N	\N	\N	f	
4613	4befac86-e40b-485f-ae18-b433f488585f	Agrigento	Agrigento	2	0	2013-06-05 09:23:41.110694+02	\N	\N	\N	\N	\N	\N	f	
654	efacd46e-bcd2-4d29-9dcd-e36d8ff9348d	Andaman and Nicobar Islands	Andaman and Nicobar Islands	2	0	2013-06-05 07:49:53.33979+02	\N	\N	\N	\N	\N	\N	f	
3869	5c6f4550-e4ae-4570-99c9-dc133582d1aa	Lancashire	Lancashire	2	0	2013-05-21 16:44:42.600182+02	\N	\N	\N	\N	\N	\N	f	
3870	a447c109-1aed-483d-a1be-af30037f5b1e	Larne	Larne	2	0	2013-05-21 16:44:53.405173+02	\N	\N	\N	\N	\N	\N	f	
3873	1840bd88-3b71-4485-9294-6f6495b49ebc	Limavady	Limavady	2	0	2013-05-21 16:45:25.969652+02	\N	\N	\N	\N	\N	\N	f	
19662	33459ab1-fde6-4e3b-a9be-78237407aa55	Badia Tedalda	Badia Tedalda	4	0	2013-07-22 11:15:20.659036+02	\N	\N	\N	\N	\N	\N	f	
4754	8dfc6ebd-6b1c-46aa-8eed-aaac219f761f	Aousserd	Aousserd	2	0	2013-06-05 10:33:17.196552+02	\N	\N	\N	\N	\N	\N	f	
3889	b60bfcef-e8b5-4e56-b229-d5f4cd9fc1c5	Havering	Havering	2	0	2013-05-21 16:48:25.964375+02	\N	\N	\N	\N	\N	\N	f	
3893	b9576171-3434-4d1b-8883-165ed6e65d2f	Kensington and Chelsea	Kensington and Chelsea	2	0	2013-05-21 16:49:11.609589+02	\N	\N	\N	\N	\N	\N	f	
9463	080c2e12-a8ba-462a-a114-9255c937ff05	Vadnagar	Vadnagar	3	0	2013-06-09 17:46:49.767542+02	\N	\N	\N	\N	\N	\N	f	
5121	b4e9352c-8edf-4911-8fa3-e852afa30501	Melbourne	Melbourne	3	0	2013-05-24 22:31:38.918929+02	\N	\N	\N	\N	\N	\N	f	
3934	3ce737cb-f5bb-403d-a98a-e0602670229f	Sheffield	Sheffield	3	0	2013-05-24 01:18:16.08947+02	\N	\N	\N	\N	\N	\N	f	
4881	092ddbd8-0a2e-44c8-9049-b9b8b59c62bb	West Coast	West Coast	2	0	2013-05-22 15:40:28.182341+02	\N	\N	\N	\N	\N	\N	f	
358	f80d529e-f242-46ef-a090-d193ed23075f	Oslo	Oslo	3	0	2013-05-24 02:06:51.241737+02	\N	\N	\N	\N	\N	\N	f	
4914	f79110a8-bee7-45f0-8a96-6baecd93b81a	Ifugao	Ifugao	2	0	2013-05-22 15:49:16.918379+02	\N	\N	\N	\N	\N	\N	f	
5016	71efb3c8-f731-4f85-9a81-2757cd80904b	Arua	Arua	2	0	2013-06-05 11:49:29.766031+02	\N	\N	\N	\N	\N	\N	f	
5754	ac05b293-e876-4cf9-b167-4473f8e41b44	Altus	Altus	3	0	2013-05-25 00:44:45.051926+02	\N	\N	\N	\N	\N	\N	f	
5292	9f98f80d-dfba-4526-bcab-a5c980d32da7	Basra	Basra	3	0	2013-05-24 23:04:58.531023+02	\N	\N	\N	\N	\N	\N	f	
5337	c4e5d06e-eb9f-4caa-9770-8b16d06a5021	Ełk	Ełk	3	0	2013-05-24 23:14:48.280524+02	\N	\N	\N	\N	\N	\N	f	
5340	3de4eeeb-f427-4b63-b00e-90a55863d601	Rumia	Rumia	3	0	2013-05-24 23:15:19.988482+02	\N	\N	\N	\N	\N	\N	f	
5764	a93d4bb1-a102-4ab3-8d0e-f0391a8ffa43	Downey	Downey	3	0	2013-05-25 00:46:47.376422+02	\N	\N	\N	\N	\N	\N	f	
5447	683eeaa6-d4bd-419d-b471-add62bbe236c	Kożuchów	Kożuchów	3	0	2013-05-24 23:35:46.505314+02	\N	\N	\N	\N	\N	\N	f	
5470	0d769880-76fc-4fcd-ae5a-2b449ff5dfc2	Żagań	Żagań	3	0	2013-05-24 23:40:39.491505+02	\N	\N	\N	\N	\N	\N	f	
5645	e788c7a4-08af-4fda-9581-f8896e9baf45	Thompson Falls	Thompson Falls	3	0	2013-05-25 00:21:19.767509+02	\N	\N	\N	\N	\N	\N	f	
5921	d6bf5eed-078c-4701-9809-b79b6316c1b7	Tabora	Tabora	3	0	2013-05-25 01:18:24.710143+02	\N	\N	\N	\N	\N	\N	f	
5673	7b2fa460-89a6-493d-aa63-865065e7aea7	Łęczyca	Łęczyca	3	0	2013-05-25 00:28:16.871698+02	\N	\N	\N	\N	\N	\N	f	
6428	285282b9-f246-40b3-903a-340c139ff708	Darrud	Darrud	3	0	2013-05-25 03:03:50.34111+02	\N	\N	\N	\N	\N	\N	f	
5954	3afa3f10-1dfb-4e60-8003-52dd25f7fadb	Milicz	Milicz	3	0	2013-05-25 01:25:35.627677+02	\N	\N	\N	\N	\N	\N	f	
6144	3a5a4047-87d7-4319-b3ac-6af1b2dcbc38	Qarah Zia od Din	Qarah Zia od Din	3	0	2013-05-25 02:01:14.232972+02	\N	\N	\N	\N	\N	\N	f	
6165	117037f3-5067-4b41-beed-ddf462cd81c6	Divandarreh	Divandarreh	3	0	2013-05-25 02:05:09.307723+02	\N	\N	\N	\N	\N	\N	f	
6632	36996e93-4b8c-4ee3-8d4b-e1990812dd2b	Nasirabad	Nasirabad	3	0	2013-05-25 03:46:57.30845+02	\N	\N	\N	\N	\N	\N	f	
6259	4ecbedb4-6e1a-49df-b4fe-a1310b9bf7c6	Lexington	Lexington	3	0	2013-05-25 02:24:18.979127+02	\N	\N	\N	\N	\N	\N	f	
7106	b2e30fab-865b-4603-ba56-e75d94ad4287	Białobrzegi	Białobrzegi	3	0	2013-05-26 16:53:45.040375+02	\N	\N	\N	\N	\N	\N	f	
6368	420a7f55-49fc-439d-a06b-5a96b62f148b	Nowbaran	Nowbaran	3	0	2013-05-25 02:49:40.846439+02	\N	\N	\N	\N	\N	\N	f	
6369	7fddcd0a-c223-41e3-845f-fae6393a585d	Burlington	Burlington	3	0	2013-05-25 02:49:53.616876+02	\N	\N	\N	\N	\N	\N	f	
7334	1c4af475-ac4e-435c-b27e-1a8e91977a97	Long Beach, New York	Long Beach, New York	3	0	2013-05-28 14:04:05.641994+02	\N	\N	\N	\N	\N	\N	f	
6635	8cfc686d-a914-460e-9753-6f1339ce4a45	Dandi	Dandi	3	0	2013-05-25 03:47:28.187524+02	\N	\N	\N	\N	\N	\N	f	
7231	7520ce45-8568-4a3d-a08f-e8191c5c2669	Nowy Wiśnicz	Nowy Wiśnicz	3	0	2013-05-26 17:24:30.256234+02	\N	\N	\N	\N	\N	\N	f	
6672	f848014a-90e4-45fc-b71f-5ea670247719	Habibabad	Habibabad	3	0	2013-05-25 03:54:15.491544+02	\N	\N	\N	\N	\N	\N	f	
6697	a52a4df0-660d-4124-ac07-0d090dcad32a	Mamulan	Mamulan	3	0	2013-05-25 03:58:37.539542+02	\N	\N	\N	\N	\N	\N	f	
6703	3e3f0fac-0b3e-4090-a5ed-21916238598b	Ab Pakhsh	Ab Pakhsh	3	0	2013-05-25 03:59:42.073951+02	\N	\N	\N	\N	\N	\N	f	
7300	80b30f17-c756-44db-80b1-e53ac8d40b8e	Kumamoto	Kumamoto	3	0	2013-05-26 21:09:57.579756+02	\N	\N	\N	\N	\N	\N	f	
6712	d9f52b4b-7447-4135-a6fb-cd5fc581f4f2	Marzanabad	Marzanabad	3	0	2013-05-25 04:01:14.63486+02	\N	\N	\N	\N	\N	\N	f	
6721	92d97fa3-5740-465f-a787-c7d699fb59ea	Khush Rudpey	Khush Rudpey	3	0	2013-05-25 04:02:56.884814+02	\N	\N	\N	\N	\N	\N	f	
7885	b7b01ef1-06ca-4aee-a208-fe1317b90e43	Muleshoe	Muleshoe	3	0	2013-05-29 02:58:32.594255+02	\N	\N	\N	\N	\N	\N	f	
6725	aa06b92a-1998-4bfc-9979-718152453d58	Bord Khun	Bord Khun	3	0	2013-05-25 04:03:37.625685+02	\N	\N	\N	\N	\N	\N	f	
7399	f3da99f8-3957-45b6-8ac4-d9e4d2d5233e	Livingston	Livingston	3	0	2013-05-28 14:26:03.534897+02	\N	\N	\N	\N	\N	\N	f	
6930	abb13806-1d9f-4692-bfd4-95a850c34861	Stryków	Stryków	3	0	2013-05-25 14:07:49.395259+02	\N	\N	\N	\N	\N	\N	f	
6935	7bc37d4a-3c3e-4b47-952d-9bd7b0de6ff2	Lubsko	Lubsko	3	0	2013-05-25 14:09:03.306756+02	\N	\N	\N	\N	\N	\N	f	
7027	ac8731d6-5e8f-4404-9cfa-2e220b9b5732	Obrzycko	Obrzycko	3	0	2013-05-26 16:30:11.499929+02	\N	\N	\N	\N	\N	\N	f	
7468	9d43d29b-1ddc-4e16-9fbe-7ec397e37218	Bad Nauheim	Bad Nauheim	3	0	2013-05-29 00:21:48.501687+02	\N	\N	\N	\N	\N	\N	f	
259	53ccc8be-1551-3e28-965b-7f95465f2093	Curaçao	Curaçao	1	0	2013-05-27 15:00:32.769026+02	\N	\N	\N	\N	\N	\N	f	
8479	57ce2065-f2ee-4af1-8d46-6a0d880ef099	Suchań	Suchań	3	0	2013-06-01 17:22:21.605805+02	\N	\N	\N	\N	\N	\N	f	
7613	2a263cb8-de59-47d1-8ea6-c5976fba1c3b	Laubach	Laubach	3	0	2013-05-29 00:56:45.742771+02	\N	\N	\N	\N	\N	\N	f	
8110	c5c86583-eb97-43c5-abd4-f1b06ef4c79b	Yandina	Yandina	3	0	2013-05-30 18:48:59.99345+02	\N	\N	\N	\N	\N	\N	f	
7620	11808eb8-7bd7-4636-8831-08b44dbd30f9	Hadamar	Hadamar	3	0	2013-05-29 00:58:03.78807+02	\N	\N	\N	\N	\N	\N	f	
2335	30cecca5-4ff5-4a73-84c4-092f4063c02a	Čaška	Čaška	2	0	2013-05-27 19:37:43.332537+02	\N	\N	\N	\N	\N	\N	f	
1772	d8d2de1e-06df-4349-bd68-b1493ffe1906	Şamaxı	Şamaxı	2	0	2013-05-27 19:59:01.190597+02	\N	\N	\N	\N	\N	\N	f	
7723	06100a4b-5a59-4abc-bcc8-9ed5e696f584	Passau	Passau	3	0	2013-05-29 02:14:09.994319+02	\N	\N	\N	\N	\N	\N	f	
8447	6bb699fe-2062-4077-b295-cb3e0d60d354	Lwówek	Lwówek	3	0	2013-06-01 17:15:49.077128+02	\N	\N	\N	\N	\N	\N	f	
7757	651f96e1-6fd0-40d9-9475-38745a91f1cb	Oxford	Oxford	3	0	2013-05-29 02:22:46.65999+02	\N	\N	\N	\N	\N	\N	f	
8243	25506a2a-f085-4bdf-95ed-9c2f89e000c4	Buckhurst Hill	Buckhurst Hill	3	0	2013-05-30 21:26:12.347133+02	\N	\N	\N	\N	\N	\N	f	
8335	9d9d2ad7-9562-4b59-8854-3f0229b108ac	Erin	Erin	3	0	2013-05-30 21:47:35.589526+02	\N	\N	\N	\N	\N	\N	f	
8415	7bec2afb-fca3-4c17-a7c8-013beabaa33e	Sumida	Sumida	3	0	2013-05-30 23:35:37.707671+02	\N	\N	\N	\N	\N	\N	f	
8681	f7c8d28e-70e0-4839-bf93-26974dec28a5	Oriental	Oriental	3	0	2013-06-01 18:14:18.017753+02	\N	\N	\N	\N	\N	\N	f	
8449	21626f7f-b723-4021-9915-93dc8ec91d06	Ostroróg	Ostroróg	3	0	2013-06-01 17:16:13.678933+02	\N	\N	\N	\N	\N	\N	f	
8602	214b8083-041e-4056-a556-1eeff640cd3d	Mathoura	Mathoura	3	0	2013-06-01 17:51:54.243051+02	\N	\N	\N	\N	\N	\N	f	
8858	fca3c0f7-5023-4147-90c9-c81263513b18	Huangshan City	Huangshan City	3	0	2013-06-01 19:43:53.287729+02	\N	\N	\N	\N	\N	\N	f	
8735	95feba08-116f-43ee-a122-af122fc4ec2d	Lyme	Lyme	3	0	2013-06-01 18:30:06.394914+02	\N	\N	\N	\N	\N	\N	f	
8864	e7052a20-7936-4c8a-a3eb-fe640bfe89d6	Luoyang	Luoyang	3	0	2013-06-01 19:45:21.496987+02	\N	\N	\N	\N	\N	\N	f	
8994	b7ea3c39-1c9e-4a60-ab35-cfc80cc0e87e	Huaihua	Huaihua	3	0	2013-06-01 20:17:10.28136+02	\N	\N	\N	\N	\N	\N	f	
9108	e614871e-3e71-451e-a1f3-ea55f2defb81	Xiamen	Xiamen	3	0	2013-06-01 20:41:42.310159+02	\N	\N	\N	\N	\N	\N	f	
9131	9d51c414-f830-4b72-ac20-4e0cad99e7ac	Yangquan	Yangquan	3	0	2013-06-01 20:46:12.380236+02	\N	\N	\N	\N	\N	\N	f	
2527	8f2b0832-41f5-4ec2-9c3f-6966da8fac3d	Bayanhongor	Bayanhongor	2	0	2013-06-05 07:53:53.619525+02	\N	\N	\N	\N	\N	\N	f	
3881	627f7b90-32b6-4bc6-b11e-ee1d86ca1cd7	Camden	Camden	2	0	2013-06-05 09:05:49.424289+02	\N	\N	\N	\N	\N	\N	f	
4614	b7f4b23e-5000-46fe-b66f-fc4ff14a4604	Alessandria	Alessandria	2	0	2013-06-05 10:21:29.968527+02	\N	\N	\N	\N	\N	\N	f	
9649	4a41af53-b2ee-4a6e-a661-97e0d6fc5f2d	Saint-Simon	Saint-Simon	3	0	2013-06-13 13:46:58.169324+02	\N	\N	\N	\N	\N	\N	f	
9632	7157a314-54b5-4527-8d18-a44f7c3271b1	Pelham	Pelham	3	0	2013-06-12 17:43:05.302224+02	\N	\N	\N	\N	\N	\N	f	
3874	1bede359-1a1e-40d3-a03e-28d928182caf	Lincolnshire	Lincolnshire	2	0	2013-05-21 16:45:36.631909+02	\N	\N	\N	\N	\N	\N	f	
13781	8166c346-fb8d-4939-8b50-4f06ae5682c7	Bienno	Bienno	4	0	2013-07-21 19:10:58.431354+02	\N	\N	\N	\N	\N	\N	f	
3892	e3b25e1c-0adf-4773-820e-533b4f245d01	Islington	Islington	2	0	2013-05-21 16:49:00.783541+02	\N	\N	\N	\N	\N	\N	f	
3185	e9d90440-aadd-4b52-86cd-2764c7595ef4	Kinshasa	Kinshasa	3	0	2013-05-24 02:09:02.392923+02	\N	\N	\N	\N	\N	\N	f	
2547	9112e55c-e309-4f02-a4a6-ea894e2bc2ac	P’yŏngyang	P’yŏngyang	3	0	2013-05-24 02:15:35.578422+02	\N	\N	\N	\N	\N	\N	f	
4655	29cd87ea-c9e9-4512-a845-b2ea223a76a5	Isernia	Isernia	2	0	2013-05-22 14:35:12.304582+02	\N	\N	\N	\N	\N	\N	f	
4666	9ceb9473-9fa6-4077-be05-02113549dd87	Milano	Milano	2	0	2013-05-22 14:38:25.658995+02	\N	\N	\N	\N	\N	\N	f	
4756	859172df-5c46-4d3c-9913-eaa7c2a678e8	Azilal	Azilal	2	0	2013-06-05 12:16:45.309908+02	\N	\N	\N	\N	\N	\N	f	
5122	4b7fdc39-918d-4a58-8839-721a1dbea876	Potenza	Potenza	3	0	2013-05-24 22:31:49.391065+02	\N	\N	\N	\N	\N	\N	f	
5017	ff1069e2-6b44-4d20-853a-a84a315e9f53	Gulu	Gulu	2	0	2013-05-22 16:09:09.132593+02	\N	\N	\N	\N	\N	\N	f	
5130	e55f7917-fd8c-4ac9-a569-0ac174f1406a	Trier	Trier	3	0	2013-05-24 22:33:18.748181+02	\N	\N	\N	\N	\N	\N	f	
189	eb52ca74-dd11-37a1-a3fa-154430bf2df2	Slovakia	Slovakia	1	0	2013-05-27 15:51:38.233724+02	1993	1	1	\N	\N	\N	f	
5159	908298f9-0559-487c-a70a-4ad5e8f79416	Oświęcim	Oświęcim	3	0	2013-05-24 22:38:49.869904+02	\N	\N	\N	\N	\N	\N	f	
5241	7b2ca1e7-e7f6-4155-881d-c660a45c11e8	Cleveland	Cleveland	3	0	2013-05-24 22:55:33.73614+02	\N	\N	\N	\N	\N	\N	f	
5755	88ef07c5-a926-4ea6-a601-8e224a6763c0	White Plains	White Plains	3	0	2013-05-26 14:17:04.312588+02	\N	\N	\N	\N	\N	\N	f	
5293	b037dd05-f5d1-4033-afa7-22ba9d228223	Charleston	Charleston	3	0	2013-05-24 23:05:09.487578+02	\N	\N	\N	\N	\N	\N	f	
5759	b8152ab5-1b0d-4ccb-ba04-19e437b8bdd0	Ostrołęka	Ostrołęka	3	0	2013-05-25 00:45:37.271056+02	\N	\N	\N	\N	\N	\N	f	
5448	d5dbd40c-99a0-4bd0-a538-efd1e2cd07fa	Zabol	Zabol	3	0	2013-05-24 23:35:56.605601+02	\N	\N	\N	\N	\N	\N	f	
5576	19ba204b-a869-4e36-94d4-d703014b0bf4	Vlaardingen	Vlaardingen	3	0	2013-05-25 00:05:58.845802+02	\N	\N	\N	\N	\N	\N	f	
6429	15c0bfd0-3b3d-42b8-a072-02c376860f1e	Qasemabad	Qasemabad	3	0	2013-05-25 03:04:00.884608+02	\N	\N	\N	\N	\N	\N	f	
5646	431d0786-d67f-48d4-ba5a-df4f6a84f837	Krynki	Krynki	3	0	2013-05-25 00:21:32.485596+02	\N	\N	\N	\N	\N	\N	f	
5762	23d1d778-c71e-45b0-b29f-8362fcfae43d	Chojnów	Chojnów	3	0	2013-05-25 00:46:15.253743+02	\N	\N	\N	\N	\N	\N	f	
5923	6d9c9d87-7d57-4347-a8e5-dcf90b61c307	Ashtian	Ashtian	3	0	2013-05-25 01:18:44.936556+02	\N	\N	\N	\N	\N	\N	f	
5989	1588b1dc-84ba-49ea-8ff6-a4d5ff9fe691	Sulęcin	Sulęcin	3	0	2013-05-25 01:31:51.125015+02	\N	\N	\N	\N	\N	\N	f	
6509	e64af8fe-b689-4f6e-b8d8-c6385818e3e3	Bardsir	Bardsir	3	0	2013-05-25 03:22:14.174924+02	\N	\N	\N	\N	\N	\N	f	
5992	a44d02e0-6d99-4901-baf6-e91915ab0ea6	Bijar	Bijar	3	0	2013-05-25 01:32:21.770073+02	\N	\N	\N	\N	\N	\N	f	
6039	9adfe8a3-9639-4908-952e-b016ea50f9e5	Góra	Góra	3	0	2013-05-25 01:40:43.05977+02	\N	\N	\N	\N	\N	\N	f	
7108	55be492d-6ef7-47aa-9cec-6b4a82b7161b	Bielsk Podlaski	Bielsk Podlaski	3	0	2013-05-26 16:54:09.478212+02	\N	\N	\N	\N	\N	\N	f	
6147	08253de7-e125-4045-98f6-3c10474617d9	Bandar Deyr	Bandar Deyr	3	0	2013-05-25 02:01:45.703556+02	\N	\N	\N	\N	\N	\N	f	
6633	97f59da2-a5f2-4d37-8904-bfcaed40c4c4	Eshqabad	Eshqabad	3	0	2013-05-25 03:47:07.692077+02	\N	\N	\N	\N	\N	\N	f	
6222	88c4ed40-5224-4365-85e6-177c33fa9ee1	Salem	Salem	3	0	2013-05-25 02:15:35.134094+02	\N	\N	\N	\N	\N	\N	f	
6243	dcb6062a-f201-4a76-9a65-a6756cf4539b	Hamilton	Hamilton	3	0	2013-05-25 02:21:01.700191+02	\N	\N	\N	\N	\N	\N	f	
7028	e0ac0cc9-b3b8-42d3-8eaf-46a792268d1a	Pieńsk	Pieńsk	3	0	2013-05-26 16:32:05.627399+02	\N	\N	\N	\N	\N	\N	f	
6257	be2e0d48-5c6e-41de-86ac-01b1a9cabe6f	Milan	Milan	3	0	2013-05-25 02:23:54.876914+02	\N	\N	\N	\N	\N	\N	f	
7193	1e3e5824-c1cc-45aa-8515-87da369377b4	Więcbork	Więcbork	3	0	2013-05-26 17:15:41.60392+02	\N	\N	\N	\N	\N	\N	f	
6643	be1e3011-b8b0-4564-af71-010098e33460	Chenaran	Chenaran	3	0	2013-05-25 03:49:05.749126+02	\N	\N	\N	\N	\N	\N	f	
6646	400bc56d-00d1-4f73-a2ca-bdd9ebbc2af6	Poldasht	Poldasht	3	0	2013-05-25 03:49:37.572269+02	\N	\N	\N	\N	\N	\N	f	
12	ae8222dd-0b5b-3962-9671-30375b625ce9	Aruba	Aruba	1	0	2013-05-27 15:01:09.062217+02	\N	\N	\N	\N	\N	\N	f	
6667	16a5436b-e60c-4d22-8a96-a90303fbcaba	Alavicheh	Alavicheh	3	0	2013-05-25 03:53:24.186041+02	\N	\N	\N	\N	\N	\N	f	
7232	03a5bbf0-b0f0-4d2b-9b77-efb291b7332c	Lexington	Lexington	3	0	2013-05-26 17:24:41.327523+02	\N	\N	\N	\N	\N	\N	f	
6684	299420a2-f30d-407e-9dd4-8038d76ce8e3	Seydun	Seydun	3	0	2013-05-25 03:56:23.257913+02	\N	\N	\N	\N	\N	\N	f	
6698	c5dbbbb8-b65e-4930-90ef-78aeabfa8deb	Davudabad	Davudabad	3	0	2013-05-25 03:58:47.62214+02	\N	\N	\N	\N	\N	\N	f	
6705	2ec9e4a1-8e5a-4769-8c30-26f21118b067	Buin Zahra	Buin Zahra	3	0	2013-05-25 04:00:02.615953+02	\N	\N	\N	\N	\N	\N	f	
7301	61c4b0bf-8560-4cad-9eb0-42561b7fbf4d	Chiba	Chiba	3	0	2013-05-26 21:10:12.053769+02	\N	\N	\N	\N	\N	\N	f	
6753	2e3efba7-796b-474a-81a7-33f9532ee61f	Semirom	Semirom	3	0	2013-05-25 04:09:45.96771+02	\N	\N	\N	\N	\N	\N	f	
6932	3246c99a-c783-4490-b39e-1220440b05c0	Poręba	Poręba	3	0	2013-05-25 14:08:28.064445+02	\N	\N	\N	\N	\N	\N	f	
7469	3486d4e1-baf1-42c8-9a31-59c0401db738	Lampertheim	Lampertheim	3	0	2013-05-29 00:22:03.946581+02	\N	\N	\N	\N	\N	\N	f	
6370	bcc3aa42-d9cf-40e6-86e9-527162ae4b12	Saratoga Springs	Saratoga Springs	3	0	2013-05-26 14:15:32.874252+02	\N	\N	\N	\N	\N	\N	f	
7726	ef212e34-4718-47bb-8c37-bcf5151dca1e	Alsdorf	Alsdorf	3	0	2013-05-29 02:14:52.200292+02	\N	\N	\N	\N	\N	\N	f	
7614	49a2fc5c-1ccf-461c-8d80-2070f348776d	Bad Sooden-Allendorf	Bad Sooden-Allendorf	3	0	2013-05-29 00:56:58.771083+02	\N	\N	\N	\N	\N	\N	f	
3080	a75d3576-f320-45fb-9c6c-ce532b7fef0d	Ḩimş	Ḩimş	2	0	2013-05-27 19:42:45.620208+02	\N	\N	\N	\N	\N	\N	f	
7647	7f7cfe95-b972-45ff-8f73-7ff2262f331f	Hungen	Hungen	3	0	2013-05-29 01:03:56.709434+02	\N	\N	\N	\N	\N	\N	f	
7335	749abdd9-6a60-4a34-aa71-1ac1fab681b0	Santa Fe	Santa Fe	3	0	2013-05-28 14:04:16.091274+02	\N	\N	\N	\N	\N	\N	f	
2061	fb77c0c3-8349-4a25-8a33-f747ea0903b2	Šenčur	Šenčur	2	0	2013-05-27 19:37:59.858344+02	\N	\N	\N	\N	\N	\N	f	
7357	33227310-557e-4ce8-a41b-cdbd4e708355	Dieppe	Dieppe	3	0	2013-05-28 14:11:09.409705+02	\N	\N	\N	\N	\N	\N	f	
7391	7838b848-001e-490a-9c20-51a8385f90ba	Edina	Edina	3	0	2013-05-28 14:22:43.91337+02	\N	\N	\N	\N	\N	\N	f	
7695	873e87a5-9adb-423f-8df1-d42a66c6b4f3	Lindenfels	Lindenfels	3	0	2013-05-29 01:20:19.855078+02	\N	\N	\N	\N	\N	\N	f	
7410	9e97f790-775e-40f5-9126-bc355fd9cf72	San Marcos	San Marcos	3	0	2013-05-28 14:29:06.011799+02	\N	\N	\N	\N	\N	\N	f	
7886	ce144151-6062-43db-9bab-1950d3d0540d	Oxford	Oxford	3	0	2013-05-29 02:58:48.452035+02	\N	\N	\N	\N	\N	\N	f	
7696	ceab465e-8e2d-4a9a-97e9-809da94f88a5	Avoca	Avoca	3	0	2013-05-29 01:21:12.189163+02	\N	\N	\N	\N	\N	\N	f	
8115	b4e90b94-e067-46e3-897d-6255896ec3b9	Skipton	Skipton	3	0	2013-05-30 18:50:15.244672+02	\N	\N	\N	\N	\N	\N	f	
7922	1ae6e0ec-f49c-4128-b44f-6427e39dca5a	Goodland	Goodland	3	0	2013-05-29 03:09:20.226895+02	\N	\N	\N	\N	\N	\N	f	
8488	a7f6f133-2182-48f4-ba81-e96bc65ca812	Wleń	Wleń	3	0	2013-06-01 17:24:11.809635+02	\N	\N	\N	\N	\N	\N	f	
8111	e5f2aaa4-1695-44c5-8672-490bdee95994	Meiringen	Meiringen	3	0	2013-05-30 18:49:13.388573+02	\N	\N	\N	\N	\N	\N	f	
8448	fddd4d12-fa89-4144-a545-39b19a0d0ff6	Nekla	Nekla	3	0	2013-06-01 17:16:00.164793+02	\N	\N	\N	\N	\N	\N	f	
8245	b6ff5ef0-cc2d-4c22-9c84-09037ffa1f2b	Spiez	Spiez	3	0	2013-05-30 21:26:47.149297+02	\N	\N	\N	\N	\N	\N	f	
8308	844efd97-c1d0-4d8a-9f10-43e7cd6d53e9	KanafGooraab	KanafGooraab	3	0	2013-05-30 21:41:41.107415+02	\N	\N	\N	\N	\N	\N	f	
8604	ed682ac2-42b5-49ba-ae98-e2f05a42659e	Cummins	Cummins	3	0	2013-06-01 17:52:24.157721+02	\N	\N	\N	\N	\N	\N	f	
8736	1b2a1537-54a6-4dc6-9fcb-345b1de3b82f	Speers Point	Speers Point	3	0	2013-06-01 18:30:23.52489+02	\N	\N	\N	\N	\N	\N	f	
8859	2645868f-774a-43e7-a959-701219edce2f	Kunming	Kunming	3	0	2013-06-01 19:44:12.373372+02	\N	\N	\N	\N	\N	\N	f	
9109	00d093e8-2a6d-4b78-bd91-6acac332a2b4	Quanzhou	Quanzhou	3	0	2013-06-01 20:41:52.381366+02	\N	\N	\N	\N	\N	\N	f	
8998	a9faa507-4d93-4d4d-a9a0-ec1cc326fdc8	Loudi	Loudi	3	0	2013-06-01 20:17:51.159732+02	\N	\N	\N	\N	\N	\N	f	
4587	14941129-8dd2-4f2d-8ebf-0aff8ebdba09	Clare	Clare	2	0	2013-06-05 11:19:57.978344+02	\N	\N	\N	\N	\N	\N	f	
4882	78b6e568-e3cc-4d6f-834d-4cc4f06ed692	Abra	Abra	2	0	2013-06-05 10:17:06.46182+02	\N	\N	\N	\N	\N	\N	f	
4071	8b1ce74f-2cd3-492a-ba95-49bb7d9f4bef	Bosansko-podrinjski kanton	Bosansko-podrinjski kanton	2	0	2013-06-05 07:58:00.566237+02	\N	\N	\N	\N	\N	\N	f	
15493	7d8adb63-94ae-4beb-aa5b-1242c7043fd0	Tarano	Tarano	4	0	2013-07-22 00:57:42.019974+02	\N	\N	\N	\N	\N	\N	f	
9464	a92a0a79-6a3d-4999-bcd8-c23186b7edfa	Sidhpur	Sidhpur	3	0	2013-06-09 17:47:00.175961+02	\N	\N	\N	\N	\N	\N	f	
3875	a8544997-85ae-4bf0-a504-a336e4063b67	Lisburn	Lisburn	2	0	2013-05-21 16:45:47.387223+02	\N	\N	\N	\N	\N	\N	f	
17301	1cb8b1e3-b275-415b-9c00-eab93d5064eb	Montegrino Valtravaglia	Montegrino Valtravaglia	4	0	2013-07-22 06:10:08.115865+02	\N	\N	\N	\N	\N	\N	f	
3883	8bcd4274-68a9-4a13-a754-c9e4e2aaddaf	Ealing	Ealing	2	0	2013-05-21 16:47:18.881138+02	\N	\N	\N	\N	\N	\N	f	
4758	e6981658-9465-45a9-8cf4-0fe0014e358b	Boujdour	Boujdour	2	0	2013-06-05 07:58:58.62618+02	\N	\N	\N	\N	\N	\N	f	
3891	58019cb6-8fbe-4bd4-bd56-3b2e71128d07	Hounslow	Hounslow	2	0	2013-05-21 16:48:47.981882+02	\N	\N	\N	\N	\N	\N	f	
3898	98249400-1065-41c3-a29b-49901d552006	Newham	Newham	2	0	2013-05-21 16:50:10.037487+02	\N	\N	\N	\N	\N	\N	f	
3899	c6ef13de-878d-42f7-a566-04f0c8ac1159	Redbridge	Redbridge	2	0	2013-05-21 16:50:27.477271+02	\N	\N	\N	\N	\N	\N	f	
4617	ae5382ef-7813-44c3-b216-dba4b134cf23	Ascoli Piceno	Ascoli Piceno	2	0	2013-06-05 11:01:26.460966+02	\N	\N	\N	\N	\N	\N	f	
3908	49c73f57-1ad2-49f4-9dfd-bc1fee33a7bf	Magherafelt	Magherafelt	2	0	2013-05-21 16:52:21.621713+02	\N	\N	\N	\N	\N	\N	f	
3910	fffde422-8138-4976-8c93-e8802aed992c	Merthyr Tydfil	Merthyr Tydfil	2	0	2013-05-21 16:52:51.818319+02	\N	\N	\N	\N	\N	\N	f	
3954	7ff9fdd4-f91d-49d3-b208-5a6a88f3b62e	Newport	Newport	3	0	2013-05-24 01:10:18.547136+02	\N	\N	\N	\N	\N	\N	f	
3927	0e862a52-7581-4b2a-8283-a43f8eb14324	North Tyneside	North Tyneside	2	0	2013-05-21 16:56:15.64718+02	\N	\N	\N	\N	\N	\N	f	
4898	d529f18e-72f1-489b-810c-185ee2a12298	Bulacan	Bulacan	2	0	2013-06-05 10:03:51.392861+02	\N	\N	\N	\N	\N	\N	f	
3942	34750908-b632-4cc2-964f-d630971e5b0e	Wakefield	Wakefield	2	0	2013-05-21 16:59:12.284044+02	\N	\N	\N	\N	\N	\N	f	
5124	bb9514fa-9fd6-434d-8390-5812888f7309	Cottbus	Cottbus	3	0	2013-05-24 22:32:13.325524+02	\N	\N	\N	\N	\N	\N	f	
1872	55f3682e-ff80-4f11-9ec9-8923608a6ee1	Zagreb	Zagreb	3	0	2013-05-24 02:14:31.097044+02	\N	\N	\N	\N	\N	\N	f	
4924	c50f1836-8658-4e01-8489-eaaeb7fa6f14	La Union	La Union	2	0	2013-05-22 15:51:13.19964+02	\N	\N	\N	\N	\N	\N	f	
5019	bf2f9b5f-f8ba-4e0f-9b1b-022977a44df8	Kotido	Kotido	2	0	2013-05-22 16:09:31.103718+02	\N	\N	\N	\N	\N	\N	f	
5049	17d963c8-6361-4d2a-baf8-98e4dfd19732	Kyenjojo	Kyenjojo	2	0	2013-05-22 16:15:41.829009+02	\N	\N	\N	\N	\N	\N	f	
5294	031e9de1-e42d-42a9-85d1-419f6aca01b9	Quincy	Quincy	3	0	2013-05-24 23:05:25.419809+02	\N	\N	\N	\N	\N	\N	f	
5756	0c407ebd-534c-4215-aa34-8c97fd682adf	Augustów	Augustów	3	0	2013-05-25 00:45:05.905911+02	\N	\N	\N	\N	\N	\N	f	
5399	5e2c5983-6d1e-435c-ad1f-da4580953cc3	Zielona Góra	Zielona Góra	3	0	2013-05-24 23:26:48.53356+02	\N	\N	\N	\N	\N	\N	f	
5449	b667e09e-0bae-4d4d-a3fe-dd8525d5a868	Morąg	Morąg	3	0	2013-05-24 23:36:07.700335+02	\N	\N	\N	\N	\N	\N	f	
5648	c1c1c6f8-b6ec-4c99-bd19-b405a3288983	Żnin	Żnin	3	0	2013-05-25 00:22:03.8064+02	\N	\N	\N	\N	\N	\N	f	
5808	00e962c5-296f-4089-98c6-3548c9a92e66	Camden County, North Carolina	Camden County, North Carolina	3	0	2013-05-25 00:55:01.371882+02	\N	\N	\N	\N	\N	\N	f	
5653	5a19b4c7-fcab-4c17-a95b-35b96390304a	Puławy	Puławy	3	0	2013-05-25 00:23:14.371595+02	\N	\N	\N	\N	\N	\N	f	
6431	1df87a42-6e94-42cf-b646-f00f16f2348c	Kariz, Razavi Khorasan	Kariz, Razavi Khorasan	3	0	2013-05-25 03:04:24.303029+02	\N	\N	\N	\N	\N	\N	f	
5927	aaacd0f5-4936-48a0-9916-3992039e9d22	Iranshahr	Iranshahr	3	0	2013-05-25 01:19:29.9791+02	\N	\N	\N	\N	\N	\N	f	
5930	fd417565-af72-4f51-ba61-da4ecb359a73	Bandar Torkaman	Bandar Torkaman	3	0	2013-05-25 01:20:30.740465+02	\N	\N	\N	\N	\N	\N	f	
6152	301e4ae1-9f0e-4b4f-8e79-71289fdd93cd	Kami	Kami	3	0	2013-05-25 02:02:41.40511+02	\N	\N	\N	\N	\N	\N	f	
6636	0db00b86-0cf8-4ba7-b079-0ea691c069e8	DeWitt, Michigan	DeWitt, Michigan	3	0	2013-05-25 03:47:41.180698+02	\N	\N	\N	\N	\N	\N	f	
6155	357c6813-3521-44d2-af85-bfc650e87123	Khesht	Khesht	3	0	2013-05-25 02:03:12.895729+02	\N	\N	\N	\N	\N	\N	f	
7109	3f6e5c10-6442-45c1-9a5f-856f4749ab56	Bieżuń	Bieżuń	3	0	2013-05-26 16:54:26.002872+02	\N	\N	\N	\N	\N	\N	f	
6371	cd9e5374-db25-4592-84de-d6e01efb116c	Pawhuska	Pawhuska	3	0	2013-05-25 02:50:25.869689+02	\N	\N	\N	\N	\N	\N	f	
6652	0b7c8387-7595-419a-a2c6-0e3a4f2924d6	Farrokh Shahr	Farrokh Shahr	3	0	2013-05-25 03:50:50.405012+02	\N	\N	\N	\N	\N	\N	f	
6711	65cc6e6d-650f-430b-a9c0-149e68f26286	Azadshahr	Azadshahr	3	0	2013-05-25 04:01:04.50669+02	\N	\N	\N	\N	\N	\N	f	
7233	5110d8c1-d132-48ef-b6fe-f09140b174c8	Działoszyn	Działoszyn	3	0	2013-05-26 17:24:55.930525+02	\N	\N	\N	\N	\N	\N	f	
6717	5bc0608a-2b7a-4a28-a8d4-d97245c535ee	Hidaj	Hidaj	3	0	2013-05-25 04:02:08.533314+02	\N	\N	\N	\N	\N	\N	f	
6936	f0a29302-1809-4f3c-812a-6c0394689277	Nowa Sól	Nowa Sól	3	0	2013-05-25 14:09:22.053862+02	\N	\N	\N	\N	\N	\N	f	
7029	6cb2093f-e3be-481e-abdb-3ac629f55631	Kamień Pomorski	Kamień Pomorski	3	0	2013-05-26 16:32:19.262314+02	\N	\N	\N	\N	\N	\N	f	
7302	aa0ff6be-73ce-4f96-91f3-dfb9fcba2f70	Niigata	Niigata	3	0	2013-05-26 21:10:23.298556+02	\N	\N	\N	\N	\N	\N	f	
7741	3f8828b9-ba93-4604-9b92-1f616fa1abd1	Raleigh	Raleigh	3	0	2013-05-29 02:18:47.698286+02	\N	\N	\N	\N	\N	\N	f	
568	c51e6c2e-5ee6-46f1-934f-ba876fa24f14	Şanlıurfa	Şanlıurfa	2	0	2013-05-27 19:39:09.577282+02	\N	\N	\N	\N	\N	\N	f	
8860	dbc3cbc1-f97d-4449-8927-071dbaa3c7b0	Lanzhou	Lanzhou	3	0	2013-06-01 19:44:22.439808+02	\N	\N	\N	\N	\N	\N	f	
172	3906cf32-00a7-32df-93cc-4710c5f5a542	Puerto Rico	Puerto Rico	1	0	2013-05-27 15:24:26.896577+02	\N	\N	\N	\N	\N	\N	f	
7336	3d23da8c-6005-447d-9b9d-4f268d932d3c	Santa Fe	Santa Fe	3	0	2013-05-28 14:04:38.969625+02	\N	\N	\N	\N	\N	\N	f	
540	f6a9a62a-23b1-4f2e-b2f0-ac36f113f0b5	İzmir	İzmir	2	0	2013-05-27 19:38:46.24292+02	\N	\N	\N	\N	\N	\N	f	
7744	dc14405c-7534-457a-8672-54593b8805b9	Olympia	Olympia	3	0	2013-05-29 02:19:31.113784+02	\N	\N	\N	\N	\N	\N	f	
7471	d9d8ea0a-b6d5-4eb1-8893-ce1633268eee	Völklingen	Völklingen	3	0	2013-05-29 00:22:33.844072+02	\N	\N	\N	\N	\N	\N	f	
7537	d2b6a0d4-1c00-49de-9f59-48f56fe7de44	Bad Krozingen	Bad Krozingen	3	0	2013-05-29 00:41:31.006547+02	\N	\N	\N	\N	\N	\N	f	
203	1333ff06-8e3d-3c8e-9f3a-13a2a38b41df	Switzerland	Switzerland	1	0	2013-05-27 15:03:44.439126+02	\N	\N	\N	\N	\N	\N	f	
8451	6258bd9a-f093-4a65-9ba3-4753e4ddb2f0	Warta	Warta	3	0	2013-06-01 17:16:38.473228+02	\N	\N	\N	\N	\N	\N	f	
7616	8c1f4cfc-d457-4a53-9104-e48fc1c1383e	Nidda	Nidda	3	0	2013-05-29 00:57:21.377825+02	\N	\N	\N	\N	\N	\N	f	
7888	4f1196c2-052d-45a6-847c-fa60e0602cbb	Sebastopol	Sebastopol	3	0	2013-05-29 02:59:26.513422+02	\N	\N	\N	\N	\N	\N	f	
7728	20023352-766c-49ee-aa96-0f4bb76cf72a	Winterberg	Winterberg	3	0	2013-05-29 02:15:29.37633+02	\N	\N	\N	\N	\N	\N	f	
8675	b45c10ac-80f4-4482-9f95-2c8e14f62131	Peterborough	Peterborough	3	0	2013-06-01 18:12:36.639499+02	\N	\N	\N	\N	\N	\N	f	
8113	faa1420c-f1d4-4f17-a368-568f060f9aa6	Arate	Arate	3	0	2013-05-30 18:49:46.002201+02	\N	\N	\N	\N	\N	\N	f	
8246	e2f14058-37e8-45bd-9db0-2472deadbb3b	Siena	Siena	3	0	2013-05-30 21:26:57.276267+02	\N	\N	\N	\N	\N	\N	f	
8607	f218afd2-8b5c-42a0-bb5d-8cd5bd55a2ed	Jackson	Jackson	3	0	2013-06-01 17:53:14.120398+02	\N	\N	\N	\N	\N	\N	f	
8608	3711602f-d73c-4ad4-bc23-cff5d1979369	Colton	Colton	3	0	2013-06-01 17:53:29.795759+02	\N	\N	\N	\N	\N	\N	f	
8737	61d7724a-2715-487d-bc83-c5c367a6d083	Thargomindah	Thargomindah	3	0	2013-06-01 18:30:37.98147+02	\N	\N	\N	\N	\N	\N	f	
8999	f0391bee-550a-40b7-9036-2249fb2036fd	Guang'an	Guang'an	3	0	2013-06-01 20:18:01.207557+02	\N	\N	\N	\N	\N	\N	f	
8960	03394e54-e90b-4145-af59-241319c40b1b	Liaocheng	Liaocheng	3	0	2013-06-01 20:10:19.708155+02	\N	\N	\N	\N	\N	\N	f	
9018	1382b6f4-0a56-4d4c-837f-3bd55ebc5f32	Baoji	Baoji	3	0	2013-06-01 20:23:12.248335+02	\N	\N	\N	\N	\N	\N	f	
9110	7646a404-f34c-4968-9c2d-8b829c2250bc	Zhangzhou	Zhangzhou	3	0	2013-06-01 20:42:02.301728+02	\N	\N	\N	\N	\N	\N	f	
3878	a13062f4-aa93-4888-a524-4f9bf7016731	Bexley	Bexley	2	0	2013-06-05 07:23:32.193827+02	\N	\N	\N	\N	\N	\N	f	
3361	28de9ce4-3997-4a20-8336-04fa3d21ff73	Brong-Ahafo	Brong-Ahafo	2	0	2013-06-05 08:00:59.079446+02	\N	\N	\N	\N	\N	\N	f	
4885	9de971cd-698a-432f-aaa8-cb045f207a5d	Aklan	Aklan	2	0	2013-06-05 09:22:38.773705+02	\N	\N	\N	\N	\N	\N	f	
3877	f6fc8acf-4acb-4179-b9cb-36612e1c15a6	Barnet	Barnet	2	0	2013-06-05 10:37:11.347494+02	\N	\N	\N	\N	\N	\N	f	
2669	102faab9-acde-44f0-b8fb-70db89613d7c	Ang Thong	Ang Thong	2	0	2013-06-05 11:20:23.238532+02	\N	\N	\N	\N	\N	\N	f	
9466	ab8d8aa5-9bd1-434a-a097-8f9c4aa8c708	Rapar	Rapar	3	0	2013-06-09 17:48:11.196011+02	\N	\N	\N	\N	\N	\N	f	
9651	31247b5b-933d-450a-80d3-12a05534bce5	Schelklingen	Schelklingen	3	0	2013-06-13 13:50:47.877886+02	\N	\N	\N	\N	\N	\N	f	
9485	98bc0b2b-8319-4cb1-b97a-278c561c1eac	Saint-Lambert	Saint-Lambert	3	0	2013-06-09 17:52:10.29595+02	\N	\N	\N	\N	\N	\N	f	
9853	71b5b0a9-8e9d-4ca4-a6c2-3f998a7508b4	Maizuru	Maizuru	3	0	2013-06-18 03:55:25.059022+02	\N	\N	\N	\N	\N	\N	f	
9981	fe94dcc7-7216-4770-b344-a83dc36f4ab9	Yonabaru	Yonabaru	3	0	2013-06-18 07:36:35.619351+02	\N	\N	\N	\N	\N	\N	f	
9878	ed387542-af7a-4f17-9107-2cd910ba22a9	Sennan	Sennan	3	0	2013-06-18 04:03:00.342851+02	\N	\N	\N	\N	\N	\N	f	
3886	3c254244-166a-474c-85b5-938698ebbf28	Hammersmith and Fulham	Hammersmith and Fulham	2	0	2013-05-21 16:47:51.519202+02	\N	\N	\N	\N	\N	\N	f	
3888	40868657-ef80-4b66-88ba-263ecac1b9a1	Harrow	Harrow	2	0	2013-05-21 16:48:14.168087+02	\N	\N	\N	\N	\N	\N	f	
4618	5df64e05-05af-4f21-bb2f-7bb7a7d267d9	L'Aquila	L'Aquila	2	0	2013-05-22 14:24:58.256913+02	\N	\N	\N	\N	\N	\N	f	
3890	ad54b599-b125-4bcd-b4bf-f85c96c2b181	Hillingdon	Hillingdon	2	0	2013-05-21 16:48:37.154262+02	\N	\N	\N	\N	\N	\N	f	
3969	f06cce0d-f7d6-485a-a93e-7a041062901d	Omagh	Omagh	2	0	2013-05-21 17:04:52.336424+02	\N	\N	\N	\N	\N	\N	f	
4761	02850805-d145-48b2-9a88-6be3b2b4213c	Essaouira	Essaouira	2	0	2013-05-22 15:05:09.001792+02	\N	\N	\N	\N	\N	\N	f	
2557	dfae01c1-4560-497f-b66b-0efa6f811350	Nasŏn (Najin-Sŏnbong)	Nasŏn (Najin-Sŏnbong)	3	0	2013-05-24 02:15:46.283163+02	\N	\N	\N	\N	\N	\N	f	
4886	4662a2b3-46f6-4f03-b64b-61d466364556	Albay	Albay	2	0	2013-06-05 09:50:50.467196+02	\N	\N	\N	\N	\N	\N	f	
5020	d79f2770-4757-484b-897c-8b8ed655bdcf	Lira	Lira	2	0	2013-05-22 16:09:43.707537+02	\N	\N	\N	\N	\N	\N	f	
5126	3f179da4-83c6-4a28-a627-e46b4a8ff1ed	Sydney	Sydney	3	0	2013-05-24 22:32:34.983068+02	\N	\N	\N	\N	\N	\N	f	
5244	782d4fa5-dfbf-4558-87bf-c41043f5a2a1	Brisbane	Brisbane	3	0	2013-05-24 22:56:04.353519+02	\N	\N	\N	\N	\N	\N	f	
5758	403f400a-42b5-4aa0-a711-20e404834547	Wieliczka	Wieliczka	3	0	2013-05-25 00:45:26.821766+02	\N	\N	\N	\N	\N	\N	f	
5296	1be74a46-6d7a-4285-9f41-9df7424319c9	Tulsa	Tulsa	3	0	2013-05-24 23:05:47.886573+02	\N	\N	\N	\N	\N	\N	f	
5320	d3cd9b93-c824-49c2-91ad-37368c287901	Rawicz	Rawicz	3	0	2013-05-24 23:11:23.550818+02	\N	\N	\N	\N	\N	\N	f	
5421	0fa53843-c760-4075-aa0e-e5a8e1636b6a	Jastrzębie-Zdrój	Jastrzębie-Zdrój	3	0	2013-05-24 23:30:51.629556+02	\N	\N	\N	\N	\N	\N	f	
5774	c32b8867-7b27-4aa5-8af4-bf07330823cc	Fredericksburg	Fredericksburg	3	0	2013-05-25 00:48:44.3882+02	\N	\N	\N	\N	\N	\N	f	
5450	e4269c0a-858b-4b4b-8e3f-4192f9749c1f	Zanjan	Zanjan	3	0	2013-05-24 23:36:17.856528+02	\N	\N	\N	\N	\N	\N	f	
5454	1a34a087-edf5-40cd-8c3d-682159675775	Bandar Abbas	Bandar Abbas	3	0	2013-05-24 23:37:13.933636+02	\N	\N	\N	\N	\N	\N	f	
6432	27cc5145-c39e-4ab8-8c28-26b4eb547d8d	Salami	Salami	3	0	2013-05-25 03:04:35.140755+02	\N	\N	\N	\N	\N	\N	f	
5464	10b4b253-843e-4738-9ee1-30f9cb018e9a	Czeladź	Czeladź	3	0	2013-05-24 23:39:10.501437+02	\N	\N	\N	\N	\N	\N	f	
5814	5a1f4597-f1cc-4b74-b546-9810d1ae66e1	Bobolice	Bobolice	3	0	2013-05-25 00:56:23.813506+02	\N	\N	\N	\N	\N	\N	f	
5649	5e9094c2-efcb-42cb-b365-45228311d0eb	Mogilno	Mogilno	3	0	2013-05-25 00:22:20.814217+02	\N	\N	\N	\N	\N	\N	f	
5831	322165f1-6762-4b5d-91b0-58ba63c8d4b1	Anna	Anna	3	0	2013-05-25 01:00:06.931803+02	\N	\N	\N	\N	\N	\N	f	
5928	972be578-6771-4507-b5dd-6cec4388b55d	AligudarS	AligudarS	3	0	2013-05-25 01:19:49.127151+02	\N	\N	\N	\N	\N	\N	f	
6499	80c11f50-6ac4-4aaf-b0fa-365e3f4944b0	Mkokotoni	Mkokotoni	3	0	2013-05-25 03:20:01.890698+02	\N	\N	\N	\N	\N	\N	f	
5940	20973fa5-96b6-4286-bd4e-80dd11e247be	Knyszyn	Knyszyn	3	0	2013-05-25 01:22:55.869629+02	\N	\N	\N	\N	\N	\N	f	
7110	99caf2d1-a722-4fe6-b6cb-b797ba4417d0	Sokołów Małopolski	Sokołów Małopolski	3	0	2013-05-26 16:54:43.907103+02	\N	\N	\N	\N	\N	\N	f	
56	51d34c28-61bf-3d21-849f-7492672a9d44	Czech Republic	Czech Republic	1	0	2013-05-27 15:10:11.632366+02	1993	1	1	\N	\N	\N	f	
6375	6fa9c9d9-06c0-48f2-bc06-046dd83f6b53	Jask County	Jask County	3	0	2013-05-25 02:51:24.431592+02	\N	\N	\N	\N	\N	\N	f	
7134	6f61fc5f-cddd-4fc9-83ff-c2fc68463101	Węgrów	Węgrów	3	0	2013-05-26 17:00:37.860487+02	\N	\N	\N	\N	\N	\N	f	
6511	fcbe4c1e-1198-4d95-b60b-3a1ad784b02c	Kahnuj	Kahnuj	3	0	2013-05-25 03:22:36.329497+02	\N	\N	\N	\N	\N	\N	f	
7234	9c44e75d-a899-410a-840c-2641821b87fc	Nowe Miasto nad Pilicą	Nowe Miasto nad Pilicą	3	0	2013-05-26 17:25:15.208203+02	\N	\N	\N	\N	\N	\N	f	
6650	3df7f316-84a7-4785-b5e1-d29440380a81	Khumeh Zar	Khumeh Zar	3	0	2013-05-25 03:50:29.213046+02	\N	\N	\N	\N	\N	\N	f	
6704	a8563060-5808-49b1-b961-a44ea26ecf0c	Galugah	Galugah	3	0	2013-05-25 03:59:52.480686+02	\N	\N	\N	\N	\N	\N	f	
7303	805ccce6-4760-4076-a2b2-dfbbd5d237cc	Yokohama	Yokohama	3	0	2013-05-26 21:10:36.674776+02	\N	\N	\N	\N	\N	\N	f	
6937	9ed0eff3-4568-4479-bfbd-d401efe9913f	Leśna	Leśna	3	0	2013-05-25 14:09:36.220591+02	\N	\N	\N	\N	\N	\N	f	
6637	2cd48722-8043-406b-9604-d271df95c966	Utica	Utica	3	0	2013-05-26 14:16:11.412341+02	\N	\N	\N	\N	\N	\N	f	
7731	7f1c8f3f-69a9-454a-8633-c3d3a628858b	Phoenix	Phoenix	3	0	2013-05-29 02:16:15.445612+02	\N	\N	\N	\N	\N	\N	f	
6156	97729a25-fc89-47fa-8fcb-a16be34d6898	Kingston	Kingston	3	0	2013-05-26 14:23:56.335485+02	\N	\N	\N	\N	\N	\N	f	
7030	fb2fbaa0-4c40-430f-8f4f-e4f58a9aa405	Jasień, Lubusz Voivodeship	Jasień, Lubusz Voivodeship	3	0	2013-05-26 16:32:31.319988+02	\N	\N	\N	\N	\N	\N	f	
7749	7a1008ce-0932-422e-bf78-3b3185ca24f2	Wichita	Wichita	3	0	2013-05-29 02:20:43.870206+02	\N	\N	\N	\N	\N	\N	f	
8453	ff73a165-2f5f-443e-a253-a2a535b553b5	Dąbie, Greater Poland Voivodeship	Dąbie, Greater Poland Voivodeship	3	0	2013-06-01 17:17:02.933533+02	\N	\N	\N	\N	\N	\N	f	
7793	65ceae54-78eb-4063-979c-328ca8906d46	Scranton	Scranton	3	0	2013-05-29 02:31:25.115745+02	\N	\N	\N	\N	\N	\N	f	
484	ddc4d4ae-f8e3-4c05-be3f-9c44df994c18	Örebro län	Örebro län	2	0	2013-05-27 19:39:32.705807+02	\N	\N	\N	\N	\N	\N	f	
7337	277dc9d8-6d5a-4c6b-8db5-5aab6d8eba2f	Coimbra	Coimbra	3	0	2013-05-28 14:04:49.555313+02	\N	\N	\N	\N	\N	\N	f	
7472	01e6ddde-11f9-4f80-b751-452170b1c52b	Nanaimo	Nanaimo	3	0	2013-05-29 00:22:48.642398+02	\N	\N	\N	\N	\N	\N	f	
181	2cc3ea35-b05a-3ec0-a5a2-88e8a482854a	Samoa	Samoa	1	0	2013-05-27 15:36:31.507365+02	\N	\N	\N	\N	\N	\N	f	
7890	1997300b-bb5d-4d46-a6e6-6f0159029e65	Lancaster	Lancaster	3	0	2013-05-29 02:59:56.120712+02	\N	\N	\N	\N	\N	\N	f	
7554	3c1d3e57-27a2-4f7f-b1a0-572f261b5f16	Grünberg	Grünberg	3	0	2013-05-29 00:45:12.359431+02	\N	\N	\N	\N	\N	\N	f	
7558	7d18e498-6324-4f43-8cdc-836b76931351	Seligenstadt	Seligenstadt	3	0	2013-05-29 00:45:54.081333+02	\N	\N	\N	\N	\N	\N	f	
8609	f24d3d47-f47e-426e-99be-a8f69b43e1df	Narrandera	Narrandera	3	0	2013-06-01 17:53:43.66369+02	\N	\N	\N	\N	\N	\N	f	
8114	c73db7e7-d86e-4808-b784-1bf90834cfb5	Lefka	Lefka	3	0	2013-05-30 18:49:57.398467+02	\N	\N	\N	\N	\N	\N	f	
7617	ec2d8016-f2e7-42a0-aef8-30dfae13ecbb	Königstein im Taunus	Königstein im Taunus	3	0	2013-05-29 00:57:31.961004+02	\N	\N	\N	\N	\N	\N	f	
8247	24b41d6f-ade2-4a70-a2c0-852be6a46398	Şavşat	Şavşat	3	0	2013-05-30 21:27:07.47687+02	\N	\N	\N	\N	\N	\N	f	
8862	227f6371-6c41-406e-87cd-07a0aa623d32	Hefei	Hefei	3	0	2013-06-01 19:44:52.179389+02	\N	\N	\N	\N	\N	\N	f	
8276	f3be99ab-c332-4f4b-9b71-972b975e2934	Holland	Holland	3	0	2013-05-30 21:34:24.130815+02	\N	\N	\N	\N	\N	\N	f	
8738	bbfc9749-98c9-4596-b19c-9ea67a5abca7	Urana	Urana	3	0	2013-06-01 18:30:55.737845+02	\N	\N	\N	\N	\N	\N	f	
8758	f0343e1d-ffbf-419a-b5d1-8211d4c28bac	Chojna	Chojna	3	0	2013-06-01 18:37:19.442081+02	\N	\N	\N	\N	\N	\N	f	
9111	dda5d33a-d96a-4ba9-b686-4710da90a9f5	Longyan	Longyan	3	0	2013-06-01 20:42:14.911089+02	\N	\N	\N	\N	\N	\N	f	
8990	70f13ecc-4d20-4ccf-be99-691817c3d861	Luzhou	Luzhou	3	0	2013-06-01 20:16:29.614561+02	\N	\N	\N	\N	\N	\N	f	
2931	f38bb18d-0dc0-4d0c-8399-f5dee91b6567	Al Muḩarraq	Al Muḩarraq	2	0	2013-06-05 11:20:35.422056+02	\N	\N	\N	\N	\N	\N	f	
9000	ef1893dd-559f-4a86-844e-be4a06782cb7	Yibin	Yibin	3	0	2013-06-01 20:18:11.297302+02	\N	\N	\N	\N	\N	\N	f	
2777	77ed9bc6-db2d-4e81-a089-a713dab57ada	Bicol (Region V)	Bicol (Region V)	2	0	2013-06-05 08:02:39.760042+02	\N	\N	\N	\N	\N	\N	f	
3880	71d7ce55-816c-4e64-8dbf-e2289a696354	Bromley	Bromley	2	0	2013-06-05 08:08:28.99932+02	\N	\N	\N	\N	\N	\N	f	
9467	5e781d84-d0f5-45d9-8bce-733f299f7b21	Kadi, India	Kadi, India	3	0	2013-06-09 17:48:21.711372+02	\N	\N	\N	\N	\N	\N	f	
9470	957e70c3-f964-4e32-a69a-cc433877d69d	Kalol	Kalol	3	0	2013-06-09 17:48:58.812233+02	\N	\N	\N	\N	\N	\N	f	
9652	efa56c8d-b0e1-41e0-8626-51e635cb0bf5	Harchandpur	Harchandpur	3	0	2013-06-13 13:51:34.881346+02	\N	\N	\N	\N	\N	\N	f	
9856	96fe8029-fba1-40fa-bf8c-a4c716377ae5	Matsubara	Matsubara	3	0	2013-06-18 03:56:21.380522+02	\N	\N	\N	\N	\N	\N	f	
9888	cab813ea-18bb-491d-90e3-5bac73121ce2	Tsuruga	Tsuruga	3	0	2013-06-18 04:05:04.030235+02	\N	\N	\N	\N	\N	\N	f	
9983	87ed8c4a-6ac9-4d24-811a-e62c028c818d	Zamami	Zamami	3	0	2013-06-18 07:37:46.079552+02	\N	\N	\N	\N	\N	\N	f	
9897	e003ac67-2740-4feb-a7d9-7380c1ff3637	Iiyama	Iiyama	3	0	2013-06-18 04:06:39.741089+02	\N	\N	\N	\N	\N	\N	f	
10058	ebf7d3dc-2f7a-495a-8431-3a6d03b93191	Tagawa	Tagawa	3	0	2013-06-18 08:13:26.381233+02	\N	\N	\N	\N	\N	\N	f	
10134	698eddde-9c5a-4752-adbd-9195d00f38e4	Nakagawa	Nakagawa	3	0	2013-06-18 14:37:14.209106+02	\N	\N	\N	\N	\N	\N	f	
13782	00053655-67db-48de-bfb5-2f42c1b9a874	Virle Piemonte	Virle Piemonte	4	0	2013-07-21 19:11:13.271979+02	\N	\N	\N	\N	\N	\N	f	
19663	6ac4a8dd-8787-438d-854d-3db82e6ef955	Massafra	Massafra	4	0	2013-07-22 11:15:36.643294+02	\N	\N	\N	\N	\N	\N	f	
3894	5d9d8e13-c62b-4fe8-8f18-7b22346a7ed8	Kingston upon Thames	Kingston upon Thames	2	0	2013-05-21 16:49:22.479115+02	\N	\N	\N	\N	\N	\N	f	
3895	6f34ea39-ca6c-4982-9731-3a5c7a0edf36	Lambeth	Lambeth	2	0	2013-05-21 16:49:35.981248+02	\N	\N	\N	\N	\N	\N	f	
2536	afc6d9f8-2785-454b-89a4-837bb5d89ca1	Daejeon	Daejeon	3	0	2013-05-24 02:22:10.01182+02	\N	\N	\N	\N	\N	\N	f	
3897	e3f0a43a-ceaf-4784-93ea-5a261e0e2b94	Merton	Merton	2	0	2013-05-21 16:49:58.024913+02	\N	\N	\N	\N	\N	\N	f	
15494	94293cda-0b52-4b33-925e-4869d2443f2f	Mompeo	Mompeo	4	0	2013-07-22 00:57:53.97511+02	\N	\N	\N	\N	\N	\N	f	
3900	be0308c4-9c83-4e19-8cb7-33d3fb54d32f	Richmond upon Thames	Richmond upon Thames	2	0	2013-05-21 16:50:45.38566+02	\N	\N	\N	\N	\N	\N	f	
3901	badaf213-5136-4c04-84ec-d5ad5be6537d	Southwark	Southwark	2	0	2013-05-21 16:50:57.891346+02	\N	\N	\N	\N	\N	\N	f	
3906	48d08ee1-db45-4566-bb1d-c47ab6dbaf98	Westminster	Westminster	2	0	2013-05-21 16:51:57.923559+02	\N	\N	\N	\N	\N	\N	f	
4715	c24f1946-e793-4620-9621-99ed3b8ed5c3	Verbano-Cusio-Ossola	Verbano-Cusio-Ossola	2	0	2013-05-22 14:52:28.170807+02	\N	\N	\N	\N	\N	\N	f	
3936	6ea4e5fd-73d8-4c76-93ba-8648b685da11	South Tyneside	South Tyneside	2	0	2013-05-21 16:58:01.1498+02	\N	\N	\N	\N	\N	\N	f	
3951	a6a041ae-04ff-4fac-9aed-18e63be5dd10	Moray	Moray	2	0	2013-05-21 17:01:17.93051+02	\N	\N	\N	\N	\N	\N	f	
4725	80dee2a2-4409-4676-ad03-393b52cfebf3	Saint Mary Cayon	Saint Mary Cayon	2	0	2013-05-22 14:55:33.003157+02	\N	\N	\N	\N	\N	\N	f	
5127	bbf298a8-92c0-4659-b02e-1f18ca87cdc4	Rostock	Rostock	3	0	2013-05-24 22:32:46.873792+02	\N	\N	\N	\N	\N	\N	f	
4762	d3984858-0e13-4a24-9084-a202f3498510	Es Smara	Es Smara	2	0	2013-05-22 15:05:31.283299+02	\N	\N	\N	\N	\N	\N	f	
4763	a9da6372-8103-4ff5-94e9-24a27ce7fe03	Guelmim	Guelmim	2	0	2013-05-22 15:05:48.269172+02	\N	\N	\N	\N	\N	\N	f	
4619	1fd6e07b-bfe1-4abd-8c4a-d582fd3d93e2	Arezzo	Arezzo	2	0	2013-06-05 12:27:20.718079+02	\N	\N	\N	\N	\N	\N	f	
5297	32b6a351-f0c2-40d6-970b-6c0b0721eb09	Nijmegen	Nijmegen	3	0	2013-05-24 23:05:58.369884+02	\N	\N	\N	\N	\N	\N	f	
4888	c9007233-5c86-404f-9fd0-4d5a99ac2894	Apayao	Apayao	2	0	2013-06-05 09:02:29.947325+02	\N	\N	\N	\N	\N	\N	f	
5021	18339cf3-aada-48d9-9b3a-7035a0904e54	Moroto	Moroto	2	0	2013-05-22 16:10:00.140735+02	\N	\N	\N	\N	\N	\N	f	
5760	8367ec12-dbaf-4a75-b661-790edd2cab92	Altoona	Altoona	3	0	2013-05-25 00:45:47.739564+02	\N	\N	\N	\N	\N	\N	f	
5451	6a4da86b-ef24-4c2a-bb6e-c20e1935400a	Krzeszowice	Krzeszowice	3	0	2013-05-24 23:36:28.639651+02	\N	\N	\N	\N	\N	\N	f	
5453	4e4b99b0-4e42-4ba0-9f2b-62d54a8ce688	Zahedan	Zahedan	3	0	2013-05-24 23:36:53.711877+02	\N	\N	\N	\N	\N	\N	f	
5468	6f914a49-d56b-4a78-975e-05a3abaf2b9a	Bolesławiec	Bolesławiec	3	0	2013-05-24 23:40:06.587045+02	\N	\N	\N	\N	\N	\N	f	
5929	8e67961e-9372-41b5-9d68-f2941b577c37	Astaneh-ye Ashrafiyeh	Astaneh-ye Ashrafiyeh	3	0	2013-05-25 01:20:05.418199+02	\N	\N	\N	\N	\N	\N	f	
5478	1887bf23-6ce1-4031-89a4-cb2b6b0492a7	Lelystad	Lelystad	3	0	2013-05-24 23:42:51.06028+02	\N	\N	\N	\N	\N	\N	f	
5650	ecbea94d-2310-4072-b605-4f18b43a2635	Limanowa	Limanowa	3	0	2013-05-25 00:22:33.023903+02	\N	\N	\N	\N	\N	\N	f	
6435	257c6db2-cc3a-4a1c-b342-b1dd8f8d842b	Khalilabad	Khalilabad	3	0	2013-05-25 03:05:06.744056+02	\N	\N	\N	\N	\N	\N	f	
5944	5a2a8235-c25b-4d06-8469-40a4fb93002f	Stąporków	Stąporków	3	0	2013-05-25 01:23:44.926547+02	\N	\N	\N	\N	\N	\N	f	
5986	af56b8b2-450e-4e42-82be-591d8cc023ba	Now Kandeh	Now Kandeh	3	0	2013-05-25 01:31:18.16735+02	\N	\N	\N	\N	\N	\N	f	
5990	e537cbee-39bf-4d83-ae16-6eb402381fdf	Kilan	Kilan	3	0	2013-05-25 01:32:01.626375+02	\N	\N	\N	\N	\N	\N	f	
6449	d15f859c-3235-4079-a843-6222601401aa	Feyzabad, Razavi Khorasan	Feyzabad, Razavi Khorasan	3	0	2013-05-25 03:07:39.162159+02	\N	\N	\N	\N	\N	\N	f	
6007	e13147c9-21e7-4e07-a117-7dc760183d79	Fasa	Fasa	3	0	2013-05-25 01:35:00.69171+02	\N	\N	\N	\N	\N	\N	f	
6157	b1b04f3a-6864-4401-8be8-53d366c68ff8	Ciudad de la Costa	Ciudad de la Costa	3	0	2013-05-25 02:03:34.806695+02	\N	\N	\N	\N	\N	\N	f	
7111	c6341a61-abde-4d15-8be2-2985ab973d8b	Radomyśl Wielki	Radomyśl Wielki	3	0	2013-05-26 16:54:56.920422+02	\N	\N	\N	\N	\N	\N	f	
6244	58750400-8158-48db-8033-ac7136382c93	Buffalo	Buffalo	3	0	2013-05-25 02:21:12.189985+02	\N	\N	\N	\N	\N	\N	f	
6638	c7c27cf5-188c-4f32-b553-d30d9b389669	Viborg, South Dakota	Viborg, South Dakota	3	0	2013-05-25 03:48:10.99018+02	\N	\N	\N	\N	\N	\N	f	
6245	eb9c18f9-d5f0-46ac-b57e-505f5fc5300b	Famenin	Famenin	3	0	2013-05-25 02:21:26.69438+02	\N	\N	\N	\N	\N	\N	f	
6249	5d8c1ea2-8c3b-409c-8c9d-5635025d7732	California	California	3	0	2013-05-25 02:22:18.476448+02	\N	\N	\N	\N	\N	\N	f	
6258	f9792b29-3331-4ca0-afce-a55370e1d201	Emory	Emory	3	0	2013-05-25 02:24:05.150957+02	\N	\N	\N	\N	\N	\N	f	
7735	e5936529-76b1-449e-a2e9-6ed98fe8d0d9	Salt Lake City	Salt Lake City	3	0	2013-05-29 02:17:12.766548+02	\N	\N	\N	\N	\N	\N	f	
7235	3f4b7ecc-f56a-4d10-9467-d79a4a555593	Sulejów	Sulejów	3	0	2013-05-26 17:25:28.42642+02	\N	\N	\N	\N	\N	\N	f	
7341	0a61386e-15df-4a38-a1f6-d751e133a1a9	Hoboken, New Jersey	Hoboken, New Jersey	3	0	2013-05-28 14:07:18.397616+02	\N	\N	\N	\N	\N	\N	f	
6381	21abf809-ac23-4af8-8c69-6cd09fa92320	Rye	Rye	3	0	2013-05-25 02:52:43.697718+02	\N	\N	\N	\N	\N	\N	f	
6645	776c70c3-f0d1-4199-b571-3dbe33973978	Aqqala	Aqqala	3	0	2013-05-25 03:49:27.460112+02	\N	\N	\N	\N	\N	\N	f	
6938	9c9afde6-bf69-49f2-9f26-7d05c6c5f581	Iłowa	Iłowa	3	0	2013-05-25 14:09:53.949351+02	\N	\N	\N	\N	\N	\N	f	
6376	29a28647-8292-4327-92a5-3f3b59a3d24d	North Tonawanda	North Tonawanda	3	0	2013-05-26 14:22:56.729913+02	\N	\N	\N	\N	\N	\N	f	
7031	8b6b2bd0-ccba-4ff1-9599-ae76912e2415	Szprotawa	Szprotawa	3	0	2013-05-26 16:32:45.496515+02	\N	\N	\N	\N	\N	\N	f	
7352	26b70c12-9676-41b4-a7e7-bc3d4dd80f65	Miami Beach	Miami Beach	3	0	2013-05-28 14:09:53.218788+02	\N	\N	\N	\N	\N	\N	f	
33	114c14ad-9776-34e9-81b0-6299507f3771	Bulgaria	Bulgaria	1	0	2013-05-27 15:25:43.469102+02	\N	\N	\N	\N	\N	\N	f	
7473	a647136e-1680-4456-bd3a-750752331141	Charlotte	Charlotte	3	0	2013-05-29 00:23:02.397635+02	\N	\N	\N	\N	\N	\N	f	
7740	4da37f20-218d-4406-8d29-7d30a32978bf	Haifa	Haifa	3	0	2013-05-29 02:18:37.603328+02	\N	\N	\N	\N	\N	\N	f	
7618	777c3bb2-4c2f-498f-9a5a-9881b26a99c6	Kirchhain	Kirchhain	3	0	2013-05-29 00:57:42.594813+02	\N	\N	\N	\N	\N	\N	f	
8116	efd5e0b6-8d70-4f37-8c0e-809eece3e986	Zarabad (Khoy)	Zarabad (Khoy)	3	0	2013-05-30 18:50:41.139433+02	\N	\N	\N	\N	\N	\N	f	
966	6195b7a7-4ac1-41be-9def-55a0e2f45264	Żebbuġ Għawdex	Żebbuġ Għawdex	2	0	2013-05-27 19:39:44.769062+02	\N	\N	\N	\N	\N	\N	f	
7732	013f9e9c-2570-4e16-ac9d-e24b0a01dc98	Leeuwarden	Leeuwarden	3	0	2013-05-29 02:16:41.751137+02	\N	\N	\N	\N	\N	\N	f	
7891	ed6bef48-10e4-42df-b265-b67827cb9803	Foster City	Foster City	3	0	2013-05-29 03:00:32.005026+02	\N	\N	\N	\N	\N	\N	f	
7765	91a7f5a4-176f-4e06-9b1e-70db9515540d	Springdale, Arkansas	Springdale, Arkansas	3	0	2013-05-29 02:24:38.422447+02	\N	\N	\N	\N	\N	\N	f	
8345	d4390c04-22bc-49f9-98f6-cec7b233d86e	Buninyong	Buninyong	3	0	2013-05-30 21:50:13.909582+02	\N	\N	\N	\N	\N	\N	f	
7776	e0b89606-1999-4a43-b32a-17c2541194ff	Galveston	Galveston	3	0	2013-05-29 02:27:19.098709+02	\N	\N	\N	\N	\N	\N	f	
8248	bd1ee5b5-90a0-46d3-a558-e36cae309892	Orange Walk Town	Orange Walk Town	3	0	2013-05-30 21:27:31.560675+02	\N	\N	\N	\N	\N	\N	f	
8457	4049b478-16f2-4e00-9e32-d5ccac66f8e8	Ogrodzieniec	Ogrodzieniec	3	0	2013-06-01 17:17:51.381563+02	\N	\N	\N	\N	\N	\N	f	
8456	e20fee75-2563-4e4c-9220-7df75ad4bdc4	Miłakowo	Miłakowo	3	0	2013-06-01 17:17:39.76198+02	\N	\N	\N	\N	\N	\N	f	
8610	def17c5d-f89a-45ba-bb1b-95435000620d	Magnolia	Magnolia	3	0	2013-06-01 17:54:01.235685+02	\N	\N	\N	\N	\N	\N	f	
8631	eb4e0175-3043-4502-9d9d-742605f75509	Rymanów	Rymanów	3	0	2013-06-01 18:00:02.037353+02	\N	\N	\N	\N	\N	\N	f	
8668	2476d787-0331-4eb5-88c0-b070d1a95720	Andover	Andover	3	0	2013-06-01 18:10:10.45903+02	\N	\N	\N	\N	\N	\N	f	
8739	658025ea-c7f9-476d-aaba-635f3e90a33c	Houston	Houston	3	0	2013-06-01 18:31:51.359214+02	\N	\N	\N	\N	\N	\N	f	
8743	ddeb32d1-40be-49d6-a404-429d02df4416	Bedourie	Bedourie	3	0	2013-06-01 18:32:50.122786+02	\N	\N	\N	\N	\N	\N	f	
8863	d851d5bd-fb84-40a9-93a6-44688b2436b1	Dingxi	Dingxi	3	0	2013-06-01 19:45:07.335761+02	\N	\N	\N	\N	\N	\N	f	
9001	58ba4964-bce9-4a1f-b19c-0bb3dd2bc427	Ningbo	Ningbo	3	0	2013-06-01 20:18:26.925515+02	\N	\N	\N	\N	\N	\N	f	
9013	296eda05-8be6-40c7-b5a6-1c6309a3850e	Qujing	Qujing	3	0	2013-06-01 20:21:52.48272+02	\N	\N	\N	\N	\N	\N	f	
4889	7f8d23e1-5e7e-46c0-88a3-19dbe9c4d202	Aurora	Aurora	2	0	2013-06-05 07:51:13.768101+02	\N	\N	\N	\N	\N	\N	f	
3915	94e56796-e5dc-40cd-8efa-527df12d54a1	Bury	Bury	2	0	2013-06-05 10:37:28.844509+02	\N	\N	\N	\N	\N	\N	f	
3902	1a7ebbac-d318-469f-bd69-1a88107189a3	Sutton	Sutton	2	0	2013-05-21 16:51:12.485504+02	\N	\N	\N	\N	\N	\N	f	
13783	3ed968a1-602b-44ec-901b-a511325b74d9	Villar Perosa	Villar Perosa	4	0	2013-07-21 19:11:25.490899+02	\N	\N	\N	\N	\N	\N	f	
3904	16dc51f3-ec54-4c74-a8dd-3510829049db	Waltham Forest	Waltham Forest	2	0	2013-05-21 16:51:35.667063+02	\N	\N	\N	\N	\N	\N	f	
2533	a2fe541f-e702-459e-b6b9-b119101265fb	Daegu	Daegu	3	0	2013-05-24 02:22:25.268547+02	\N	\N	\N	\N	\N	\N	f	
3905	54181a4b-9f77-4919-b8c5-f7af03fbbe17	Wandsworth	Wandsworth	2	0	2013-05-21 16:51:46.747201+02	\N	\N	\N	\N	\N	\N	f	
3948	1eb9a14d-e449-4767-90a6-8bd3604dd81f	Midlothian	Midlothian	2	0	2013-05-21 17:00:36.269234+02	\N	\N	\N	\N	\N	\N	f	
4670	ae51eee4-3542-4157-a484-00b250d64874	Matera	Matera	2	0	2013-05-22 14:39:24.177443+02	\N	\N	\N	\N	\N	\N	f	
9471	cb9a1985-f61b-4882-836a-21a320b39966	Bansda	Bansda	3	0	2013-06-09 17:49:10.600081+02	\N	\N	\N	\N	\N	\N	f	
5128	290498fa-0719-49e9-8d11-8dbc7adbdabd	Belmopan	Belmopan	3	0	2013-05-24 22:32:57.382497+02	\N	\N	\N	\N	\N	\N	f	
4891	bcd00119-2d38-4e66-be9b-d72e8895e282	Basilan	Basilan	2	0	2013-06-05 09:46:32.115797+02	\N	\N	\N	\N	\N	\N	f	
4916	3bbbc06d-d094-4cf0-8dd8-d547295b3a88	Ilocos Norte	Ilocos Norte	2	0	2013-05-22 15:49:42.539467+02	\N	\N	\N	\N	\N	\N	f	
5186	94d4ab95-5d53-4b43-8a12-fe11c8961c2f	Pisa	Pisa	3	0	2013-05-24 22:44:52.43477+02	\N	\N	\N	\N	\N	\N	f	
4923	ef437f17-84d1-433c-ba51-7dae37ac6690	Leyte	Leyte	2	0	2013-05-22 15:50:59.931343+02	\N	\N	\N	\N	\N	\N	f	
5024	66e18102-41fc-4edb-a4af-7943eebc03ac	Nakapiripirit	Nakapiripirit	2	0	2013-05-22 16:10:33.030886+02	\N	\N	\N	\N	\N	\N	f	
5761	b55bee93-7037-4e83-8fd8-ef6558816392	Biecz	Biecz	3	0	2013-05-25 00:46:00.548043+02	\N	\N	\N	\N	\N	\N	f	
5028	6f52b62e-2064-4a69-acf8-6231edf7dbac	Kaabong	Kaabong	2	0	2013-05-22 16:11:27.990053+02	\N	\N	\N	\N	\N	\N	f	
5298	ad641986-dad6-4f0a-bf90-2430ac5d0c86	Durham	Durham	3	0	2013-05-24 23:06:16.313476+02	\N	\N	\N	\N	\N	\N	f	
5299	520b4d15-da9b-40ce-8ba5-d797d0eae8a2	Norfolk	Norfolk	3	0	2013-05-24 23:06:27.007807+02	\N	\N	\N	\N	\N	\N	f	
5321	d9568573-ce31-401d-951c-2fe52ba97955	Leszno	Leszno	3	0	2013-05-24 23:11:41.093224+02	\N	\N	\N	\N	\N	\N	f	
5822	f2ffed3d-88f8-4d03-899d-bdf5bb754a6d	Varamin	Varamin	3	0	2013-05-25 00:58:00.204328+02	\N	\N	\N	\N	\N	\N	f	
5452	e4ac8849-ff87-4ac0-8d07-5e8252f1c90a	Jelenia Góra	Jelenia Góra	3	0	2013-05-24 23:36:38.780034+02	\N	\N	\N	\N	\N	\N	f	
5465	e0008056-11d2-43b4-a57a-9c82b7c69944	Vinnytsia	Vinnytsia	3	0	2013-05-24 23:39:32.418545+02	\N	\N	\N	\N	\N	\N	f	
6438	7dab95cf-ea24-433e-9417-e14bc609fee7	Minushahr	Minushahr	3	0	2013-05-25 03:05:40.05816+02	\N	\N	\N	\N	\N	\N	f	
5651	6323ba7d-5f21-4762-8ef8-1d1e6876c8eb	Sępólno Krajeńskie	Sępólno Krajeńskie	3	0	2013-05-25 00:22:45.040337+02	\N	\N	\N	\N	\N	\N	f	
5935	a45fe52e-ecab-4a30-b926-dcaea1a189ef	Ayr	Ayr	3	0	2013-05-25 01:21:56.760197+02	\N	\N	\N	\N	\N	\N	f	
5953	60192b42-0f33-4b53-b4a0-bb6fc30674ff	Strzelce Krajeńskie	Strzelce Krajeńskie	3	0	2013-05-25 01:25:24.381857+02	\N	\N	\N	\N	\N	\N	f	
6158	8a1cf5df-c512-488f-80e4-bee1d7101ace	Beyram	Beyram	3	0	2013-05-25 02:03:44.956114+02	\N	\N	\N	\N	\N	\N	f	
6641	2a4ce6f7-9ec5-4a25-b62e-5d9f70255d9f	Jirandeh	Jirandeh	3	0	2013-05-25 03:48:45.270993+02	\N	\N	\N	\N	\N	\N	f	
6161	ca658ea0-9c2e-4fb5-befb-dc57f4df23fa	Bahman	Bahman	3	0	2013-05-25 02:04:20.468638+02	\N	\N	\N	\N	\N	\N	f	
7112	441365ea-1255-450d-981e-c79748896d4d	Konstantynów Łódzki	Konstantynów Łódzki	3	0	2013-05-26 16:55:08.977026+02	\N	\N	\N	\N	\N	\N	f	
7236	5b728d66-fe02-4742-8017-68ceb577c7dd	Ryan	Ryan	3	0	2013-05-26 17:25:40.045126+02	\N	\N	\N	\N	\N	\N	f	
6647	c82c8a01-fe6e-4f78-8d2a-418007f6a420	Germi	Germi	3	0	2013-05-25 03:49:50.837038+02	\N	\N	\N	\N	\N	\N	f	
6665	122685d9-cd10-4736-97aa-94e5889527fa	Ij	Ij	3	0	2013-05-25 03:53:03.541587+02	\N	\N	\N	\N	\N	\N	f	
7736	f6a3c087-f079-481c-9c1c-1f92307505e5	Lewisville	Lewisville	3	0	2013-05-29 02:17:29.87067+02	\N	\N	\N	\N	\N	\N	f	
6707	4dc9ee96-e106-46a1-ba6b-689500e1e4bb	Soghad	Soghad	3	0	2013-05-25 04:00:23.47698+02	\N	\N	\N	\N	\N	\N	f	
6939	4dbb2838-9254-458f-8999-423a0743129f	Zbąszyń	Zbąszyń	3	0	2013-05-25 14:10:09.090073+02	\N	\N	\N	\N	\N	\N	f	
8865	ea488d03-55cc-4b16-a48a-113e0c53f74f	Guilin	Guilin	3	0	2013-06-01 19:45:35.129346+02	\N	\N	\N	\N	\N	\N	f	
6970	04399412-cc3a-49c7-89ed-8529b985f777	Tuszyn	Tuszyn	3	0	2013-05-25 14:17:20.416808+02	\N	\N	\N	\N	\N	\N	f	
7743	8293dc49-e4e1-4d29-8395-14fe2500c7ae	Fresno	Fresno	3	0	2013-05-29 02:19:19.601882+02	\N	\N	\N	\N	\N	\N	f	
6972	0540d37f-353a-4ec7-bf75-8851449d07c3	Będzin	Będzin	3	0	2013-05-25 14:17:49.026752+02	\N	\N	\N	\N	\N	\N	f	
6377	4f71bedc-4882-41a3-94f0-48f309c7feba	Cohoes	Cohoes	3	0	2013-05-26 14:30:41.701526+02	\N	\N	\N	\N	\N	\N	f	
2962	1b22f297-6a7d-4956-b54f-01696fb3a426	Īlām	Īlām	2	0	2013-05-27 19:40:30.304982+02	\N	\N	\N	\N	\N	\N	f	
7032	8e258bf4-7ea2-47e1-8e20-cd3afd607cb1	Opalenica	Opalenica	3	0	2013-05-26 16:33:18.282945+02	\N	\N	\N	\N	\N	\N	f	
8458	6e2c698d-d914-4f5d-b223-f1345413dbbc	Barcin	Barcin	3	0	2013-06-01 17:18:05.512906+02	\N	\N	\N	\N	\N	\N	f	
7342	dfb11711-fb69-445e-804e-f6633ce61ddc	Banská Bystrica	Banská Bystrica	3	0	2013-05-28 14:07:28.943661+02	\N	\N	\N	\N	\N	\N	f	
7763	703a39b8-cc39-40a0-a6cd-958e4473fc76	Elaine	Elaine	3	0	2013-05-29 02:24:13.950198+02	\N	\N	\N	\N	\N	\N	f	
7474	d426233b-6c7e-41ff-b1b8-87f663bde133	Langen	Langen	3	0	2013-05-29 00:23:18.821664+02	\N	\N	\N	\N	\N	\N	f	
7525	ad68d9a7-1870-42a7-ba27-32d187ea4d4c	Alsfeld	Alsfeld	3	0	2013-05-29 00:38:56.195077+02	\N	\N	\N	\N	\N	\N	f	
9468	8b36a3ea-b096-4229-98c7-9eba114f82ad	Prantij	Prantij	3	0	2013-06-09 17:48:32.142592+02	\N	\N	\N	\N	\N	\N	f	
7544	c7a00ccf-7937-4777-bf5a-07c565585976	Miltenberg	Miltenberg	3	0	2013-05-29 00:42:57.717765+02	\N	\N	\N	\N	\N	\N	f	
7770	ddd24669-55d4-4705-9b53-6cfc5236c769	Donzdorf	Donzdorf	3	0	2013-05-29 02:25:45.285492+02	\N	\N	\N	\N	\N	\N	f	
7619	27c34d42-5819-42be-a0fd-9a620339fa15	Witzenhausen	Witzenhausen	3	0	2013-05-29 00:57:53.216477+02	\N	\N	\N	\N	\N	\N	f	
7892	8ec47a94-cea4-4230-ac61-4b19ea7d3c25	Slidell	Slidell	3	0	2013-05-29 03:00:44.148752+02	\N	\N	\N	\N	\N	\N	f	
8611	02fc6ba6-5a55-4e21-8fde-a156505e28e4	Bombala	Bombala	3	0	2013-06-01 17:54:36.303593+02	\N	\N	\N	\N	\N	\N	f	
7630	5f4c5a38-1180-43cb-a7b0-7bb8274c5d7a	Immenhausen	Immenhausen	3	0	2013-05-29 00:59:52.173094+02	\N	\N	\N	\N	\N	\N	f	
8117	b2ddab9b-eccc-4cdf-8ed4-e1a462c2a60a	Bungaree	Bungaree	3	0	2013-05-30 18:50:49.183315+02	\N	\N	\N	\N	\N	\N	f	
9113	31b664f3-6518-4b28-836b-7c4fb747d605	Sanming	Sanming	3	0	2013-06-01 20:42:35.45016+02	\N	\N	\N	\N	\N	\N	f	
8249	01157a72-eb9f-4ffa-812d-406eb098a2e7	Goor	Goor	3	0	2013-05-30 21:27:52.947914+02	\N	\N	\N	\N	\N	\N	f	
9002	c6701207-859a-4902-8818-05d8be98681c	Dazhou, Sichuan	Dazhou, Sichuan	3	0	2013-06-01 20:18:36.96822+02	\N	\N	\N	\N	\N	\N	f	
8740	e7dd7b74-03f5-4bd5-8815-914e31b9dc85	Barcaldine	Barcaldine	3	0	2013-06-01 18:32:08.436615+02	\N	\N	\N	\N	\N	\N	f	
8751	efc4ae99-949f-4272-9f16-01352ba7dbad	Blackall	Blackall	3	0	2013-06-01 18:35:03.628177+02	\N	\N	\N	\N	\N	\N	f	
4764	800a6b21-a023-4f41-85b8-a150e99f882f	Al Haouz	Al Haouz	2	0	2013-06-05 11:27:52.142303+02	\N	\N	\N	\N	\N	\N	f	
96	0373cdff-eac8-3fbc-92dc-36a607da06d1	Hong Kong	Hong Kong	1	0	2013-06-05 07:03:32.679844+02	\N	\N	\N	\N	\N	\N	f	
9028	b57eeb2e-25d1-4100-aeda-ee2607514335	Qingyang	Qingyang	3	0	2013-06-01 20:25:20.751878+02	\N	\N	\N	\N	\N	\N	f	
4903	c5745583-fd30-4159-ad7f-6b952dc1a022	Camarines Sur	Camarines Sur	2	0	2013-06-05 09:09:07.532525+02	\N	\N	\N	\N	\N	\N	f	
3589	4ab38363-cfd7-4061-a207-f41f52dd26fd	Baie Lazare	Baie Lazare	2	0	2013-06-05 08:06:02.598564+02	\N	\N	\N	\N	\N	\N	f	
591	be24a782-f13d-45a3-b141-87c765b15a3a	Basel-Landschaft	Basel-Landschaft	2	0	2013-06-05 08:38:28.759125+02	\N	\N	\N	\N	\N	\N	f	
9653	1ef3631d-89d2-41d0-a5f0-f1ec7d93ee3d	Gerabronn	Gerabronn	3	0	2013-06-13 13:56:52.010597+02	\N	\N	\N	\N	\N	\N	f	
9654	2dce612d-3bab-416f-a9ee-8dde719a4077	Boucherville	Boucherville	3	0	2013-06-13 17:53:25.488429+02	\N	\N	\N	\N	\N	\N	f	
9857	943ad8f7-a938-4015-9771-22264e95b008	Mizuho	Mizuho	3	0	2013-06-18 03:56:36.061571+02	\N	\N	\N	\N	\N	\N	f	
9869	ec3e8dbb-e280-41c4-b984-e6071ec1f3f1	Namerikawa	Namerikawa	3	0	2013-06-18 04:00:11.044396+02	\N	\N	\N	\N	\N	\N	f	
9877	54c61bfc-6ece-47cd-aac6-5213091e136b	Yamatotakada	Yamatotakada	3	0	2013-06-18 04:02:49.792675+02	\N	\N	\N	\N	\N	\N	f	
9984	bc090131-9415-41ae-bd38-4b8194508ad9	Zentsūji	Zentsūji	3	0	2013-06-18 07:40:59.538602+02	\N	\N	\N	\N	\N	\N	f	
10059	caf8aec8-dbbd-4f5b-a5bb-8aa09bb6d2e4	Shimabara	Shimabara	3	0	2013-06-18 08:13:36.759075+02	\N	\N	\N	\N	\N	\N	f	
10135	7fd2b0ce-1309-4803-868c-10c171cc38f2	Kawasaki	Kawasaki	3	0	2013-06-18 14:37:24.769303+02	\N	\N	\N	\N	\N	\N	f	
10137	aad728c8-bfde-4e84-a6cb-226dd9d191b5	Yura	Yura	3	0	2013-06-18 14:37:45.360038+02	\N	\N	\N	\N	\N	\N	f	
3909	73a96727-e36f-4dae-9bd8-f03b4a369590	Medway	Medway	2	0	2013-05-21 16:52:36.627348+02	\N	\N	\N	\N	\N	\N	f	
13784	e9fe9fb1-5404-4eb1-9fca-273db1f0e606	Calvagese della Riviera	Calvagese della Riviera	4	0	2013-07-21 19:11:38.238194+02	\N	\N	\N	\N	\N	\N	f	
3922	5b8317f6-6316-4e50-a191-0a3d80625751	Knowsley	Knowsley	2	0	2013-05-21 16:55:19.288429+02	\N	\N	\N	\N	\N	\N	f	
5129	61490d91-cbed-40a9-a8c6-d5c339b5438b	Canberra	Canberra	3	0	2013-05-24 22:33:07.783588+02	\N	\N	\N	\N	\N	\N	f	
3923	400bdd75-a3a0-48e2-a6ae-c4733366aff3	Leeds	Leeds	2	0	2013-05-21 16:55:30.394021+02	\N	\N	\N	\N	\N	\N	f	
4766	5e20b35b-6e6b-4166-9c43-6d94648e88e3	El Jadida	El Jadida	2	0	2013-05-22 15:06:34.125102+02	\N	\N	\N	\N	\N	\N	f	
3930	f040daae-7210-4599-995c-eff5a3b0fbe8	Rotherham	Rotherham	2	0	2013-05-21 16:56:48.867141+02	\N	\N	\N	\N	\N	\N	f	
3950	12613ba3-2717-4ad2-883a-fba6a9a2241b	Monmouthshire	Monmouthshire	2	0	2013-05-21 17:01:04.821508+02	\N	\N	\N	\N	\N	\N	f	
3912	226c4dca-ef2a-4d4b-ba25-4118d116557a	Birmingham	Birmingham	3	0	2013-05-24 01:47:17.798952+02	\N	\N	\N	\N	\N	\N	f	
4767	890bac00-8ca6-479e-a871-b4576fb92e3d	Kelaat es Sraghna	Kelaat es Sraghna	2	0	2013-05-22 15:06:52.80215+02	\N	\N	\N	\N	\N	\N	f	
4892	7eb932e2-e519-41d2-8b89-da0430c7eef7	Benguet	Benguet	2	0	2013-06-05 08:05:11.338752+02	\N	\N	\N	\N	\N	\N	f	
5025	6e7c8f52-c71e-4fb2-895a-cc5a5735ca8f	Pader	Pader	2	0	2013-05-22 16:10:47.601304+02	\N	\N	\N	\N	\N	\N	f	
5300	29754947-4414-4aa1-aeb1-b8bafb8b0e18	New Haven	New Haven	3	0	2013-05-24 23:06:37.536702+02	\N	\N	\N	\N	\N	\N	f	
5763	9921d789-da51-46b8-a3a6-174f7c7afb6c	Wellington	Wellington	3	0	2013-05-25 00:46:29.205149+02	\N	\N	\N	\N	\N	\N	f	
5455	26f81868-43e5-4890-a8d9-66031a3ae37e	Siemianowice Śląskie	Siemianowice Śląskie	3	0	2013-05-24 23:37:26.577983+02	\N	\N	\N	\N	\N	\N	f	
5652	4052919f-68a7-4126-88ac-d1c4a858cc74	Tuchola	Tuchola	3	0	2013-05-25 00:23:00.723763+02	\N	\N	\N	\N	\N	\N	f	
5654	26eefca7-93ae-4c7d-b7f5-4d5e0d7c61bf	Aberdeen	Aberdeen	3	0	2013-05-25 00:23:25.892678+02	\N	\N	\N	\N	\N	\N	f	
5942	157e3c0e-1b68-403d-a515-6e37cb67947b	Tupelo	Tupelo	3	0	2013-05-25 01:23:19.320357+02	\N	\N	\N	\N	\N	\N	f	
6439	d645e397-b7da-4fbd-ba4a-b2b98e6ab102	Abuzeydabad	Abuzeydabad	3	0	2013-05-25 03:05:50.505+02	\N	\N	\N	\N	\N	\N	f	
5971	10c1e03b-4f69-4655-bfaf-f5c19604a7d8	Osku	Osku	3	0	2013-05-25 01:28:41.064823+02	\N	\N	\N	\N	\N	\N	f	
5991	67dbc493-ca0e-419c-a562-1947f75851db	Qaen	Qaen	3	0	2013-05-25 01:32:11.699273+02	\N	\N	\N	\N	\N	\N	f	
7624	90f93ad2-2510-490d-bf9c-d28e7c9fddc6	Herbstein	Herbstein	3	0	2013-05-29 00:58:46.736724+02	\N	\N	\N	\N	\N	\N	f	
6012	77d923cf-017f-40e7-897c-25b76d9c3177	Firuzabad	Firuzabad	3	0	2013-05-25 01:35:51.663568+02	\N	\N	\N	\N	\N	\N	f	
6644	95842bd5-28f2-42bb-96b3-e7b32a679c45	Lavasan	Lavasan	3	0	2013-05-25 03:49:16.027651+02	\N	\N	\N	\N	\N	\N	f	
6013	fe599a71-23a1-40fb-93c8-afa0922d6c1f	Langarud	Langarud	3	0	2013-05-25 01:36:01.808872+02	\N	\N	\N	\N	\N	\N	f	
6046	575ccd63-db64-4a65-bb96-c8ab0750ed67	Węgorzewo	Węgorzewo	3	0	2013-05-25 01:42:06.685716+02	\N	\N	\N	\N	\N	\N	f	
7113	901f929b-dde9-4662-a7c0-ef673251555a	Sędziszów Małopolski	Sędziszów Małopolski	3	0	2013-05-26 16:55:21.992437+02	\N	\N	\N	\N	\N	\N	f	
6160	9f6026a8-3e23-4000-8883-db22537a3a27	Haftgel	Haftgel	3	0	2013-05-25 02:04:10.401819+02	\N	\N	\N	\N	\N	\N	f	
6691	3a9e574f-f3ab-43ef-a397-01d182f12645	Nowata	Nowata	3	0	2013-05-25 03:57:35.960342+02	\N	\N	\N	\N	\N	\N	f	
6164	e2104dde-a7f7-49a5-9867-acd04c57b0f5	Mamuniyeh	Mamuniyeh	3	0	2013-05-25 02:04:56.696225+02	\N	\N	\N	\N	\N	\N	f	
6171	9464d847-f416-47ed-bdb5-40d9648c80f1	Dehdasht	Dehdasht	3	0	2013-05-25 02:06:14.113469+02	\N	\N	\N	\N	\N	\N	f	
6194	5d4afc40-38ce-411b-a980-938ca046421d	Delijan	Delijan	3	0	2013-05-25 02:10:20.424885+02	\N	\N	\N	\N	\N	\N	f	
7237	3e55a714-f9fe-4725-af25-26d777f76458	Nowy Staw	Nowy Staw	3	0	2013-05-26 17:25:55.527445+02	\N	\N	\N	\N	\N	\N	f	
6723	f0fd952f-aa04-4666-87cb-39e36675e0c1	Bajestan	Bajestan	3	0	2013-05-25 04:03:17.322217+02	\N	\N	\N	\N	\N	\N	f	
8615	909b9533-3f47-46d2-b30d-54c424841c3e	Amo	Amo	3	0	2013-06-01 17:55:39.306253+02	\N	\N	\N	\N	\N	\N	f	
6940	b4bf75cd-52f9-4e05-b972-c636158cfba8	Zelów	Zelów	3	0	2013-05-25 14:10:36.341188+02	\N	\N	\N	\N	\N	\N	f	
7738	075e1cc9-9567-4317-a931-4f6dcecc688f	Albuquerque	Albuquerque	3	0	2013-05-29 02:18:04.553444+02	\N	\N	\N	\N	\N	\N	f	
6949	49675a44-8a9d-4390-a02b-da5e395df39e	Kłodzko	Kłodzko	3	0	2013-05-25 14:12:52.119307+02	\N	\N	\N	\N	\N	\N	f	
2339	1dac87f7-5583-40d3-b083-9172c32fe367	Šuto Orizari	Šuto Orizari	2	0	2013-05-27 19:40:44.086255+02	\N	\N	\N	\N	\N	\N	f	
6378	bdeb9f20-fff9-422d-9f73-e42aec1f1b54	Johnstown	Johnstown	3	0	2013-05-26 14:03:35.364114+02	\N	\N	\N	\N	\N	\N	f	
7033	10e2b318-3f37-4218-917f-4815f71092ae	Ząbkowice Śląskie	Ząbkowice Śląskie	3	0	2013-05-26 16:33:49.730048+02	\N	\N	\N	\N	\N	\N	f	
7343	74f03ac5-b831-42c1-af08-73a97ca951aa	Nassau	Nassau	3	0	2013-05-28 14:07:48.011401+02	\N	\N	\N	\N	\N	\N	f	
8252	82e8862d-5127-40f9-bbe5-7a6aa08ce293	Siverek	Siverek	3	0	2013-05-30 21:28:47.742162+02	\N	\N	\N	\N	\N	\N	f	
7345	e12c1d82-97e2-4ec4-99b7-7ed055720437	Akron	Akron	3	0	2013-05-28 14:08:16.842762+02	\N	\N	\N	\N	\N	\N	f	
7775	31e337d4-d708-442e-abca-aa6dcc306a8f	Wichita Falls	Wichita Falls	3	0	2013-05-29 02:27:01.690448+02	\N	\N	\N	\N	\N	\N	f	
7398	99c3c77d-9ea0-4550-95f4-2aca18c022db	Plantation	Plantation	3	0	2013-05-28 14:25:38.900157+02	\N	\N	\N	\N	\N	\N	f	
7403	80fb67ce-957f-4832-a14d-af2a609ebcfc	Rahway	Rahway	3	0	2013-05-28 14:27:27.222173+02	\N	\N	\N	\N	\N	\N	f	
7476	cb9976e1-fc30-49ef-9fb1-66f6edf18795	Bad Vilbel	Bad Vilbel	3	0	2013-05-29 00:23:44.502533+02	\N	\N	\N	\N	\N	\N	f	
156	1e23d84b-202e-3fc8-8c49-debc71e9eb16	Nigeria	Nigeria	1	0	2013-05-27 15:29:34.352631+02	\N	\N	\N	\N	\N	\N	f	
7781	e6758315-28fe-4150-8ef7-07ab9e41dc2e	Moskovsky	Moskovsky	3	0	2013-05-29 02:28:31.57984+02	\N	\N	\N	\N	\N	\N	f	
7530	4937a21a-e53b-4e62-878a-d17725398714	Fritzlar	Fritzlar	3	0	2013-05-29 00:40:00.091826+02	\N	\N	\N	\N	\N	\N	f	
7784	bc82ec2f-70bd-4607-abd8-db1268b2f0d2	Grodno	Grodno	3	0	2013-05-29 02:29:18.610606+02	\N	\N	\N	\N	\N	\N	f	
7548	599c89bd-e1d8-400b-ba03-462ecfd9286a	Bad Wurzach	Bad Wurzach	3	0	2013-05-29 00:43:58.510991+02	\N	\N	\N	\N	\N	\N	f	
8374	81ff8e1b-1488-45f9-8065-6e1d72d8fdf6	Hepburn Springs	Hepburn Springs	3	0	2013-05-30 21:56:43.914469+02	\N	\N	\N	\N	\N	\N	f	
7893	c025e3da-cd3e-4dfa-b64c-ff4fb832af73	Wojcieszów	Wojcieszów	3	0	2013-05-29 03:01:00.949403+02	\N	\N	\N	\N	\N	\N	f	
8866	bd508598-b206-4fd9-923e-a99d48a52077	Haikou	Haikou	3	0	2013-06-01 19:45:49.750877+02	\N	\N	\N	\N	\N	\N	f	
8118	9cb31ec2-1de8-4bc8-badf-4a7e9095cb20	Brightlingsea	Brightlingsea	3	0	2013-05-30 18:51:02.799055+02	\N	\N	\N	\N	\N	\N	f	
8459	2faa2667-2dc3-49bf-8b2f-12dead35baa4	Książ Wielkopolski	Książ Wielkopolski	3	0	2013-06-01 17:18:16.604496+02	\N	\N	\N	\N	\N	\N	f	
8742	7f807e8a-bc1f-4698-8b21-a469b7406f6e	Barrydale	Barrydale	3	0	2013-06-01 18:32:36.241109+02	\N	\N	\N	\N	\N	\N	f	
8613	a289b565-23bd-485c-bb48-97a7808aa6a6	Tychowo	Tychowo	3	0	2013-06-01 17:55:08.370016+02	\N	\N	\N	\N	\N	\N	f	
8873	8edbe394-9753-4b2a-8139-22c7b2d0dd25	Zhaotong	Zhaotong	3	0	2013-06-01 19:48:10.052763+02	\N	\N	\N	\N	\N	\N	f	
8748	4698bc8d-8c6f-4376-a3a3-f54340148d0f	Lynwood	Lynwood	3	0	2013-06-01 18:34:09.714045+02	\N	\N	\N	\N	\N	\N	f	
8868	119b5936-f3b0-4d73-afe3-dd966d782e2b	Avoca	Avoca	3	0	2013-06-01 19:46:21.903804+02	\N	\N	\N	\N	\N	\N	f	
9003	5682473c-903d-44e7-9caa-79df1a970b76	Harbin	Harbin	3	0	2013-06-01 20:18:48.388298+02	\N	\N	\N	\N	\N	\N	f	
9067	26302b7e-3dba-40f2-88fe-41818cdf67f3	Tangshan	Tangshan	3	0	2013-06-01 20:33:18.620381+02	\N	\N	\N	\N	\N	\N	f	
9114	d7416fd1-cc91-4e46-b4a9-fe46bf55eef4	Fuzhou	Fuzhou	3	0	2013-06-01 20:42:45.448983+02	\N	\N	\N	\N	\N	\N	f	
9117	7d207d43-7fa1-4f23-9ec9-6cc41c006f37	Ezhou	Ezhou	3	0	2013-06-01 20:43:28.312141+02	\N	\N	\N	\N	\N	\N	f	
3911	5ee8391d-418c-48ca-928a-d98d872eb95e	Barnsley	Barnsley	2	0	2013-06-05 07:34:25.639325+02	\N	\N	\N	\N	\N	\N	f	
9174	d876d9de-91f1-438a-bc47-f900bc0df792	Górowo Iławeckie	Górowo Iławeckie	3	0	2013-06-01 20:59:52.721663+02	\N	\N	\N	\N	\N	\N	f	
3916	94f5bc57-0b32-413f-a459-851cb238657d	Calderdale	Calderdale	2	0	2013-06-05 09:44:35.077663+02	\N	\N	\N	\N	\N	\N	f	
4622	a9d87564-952c-4e2b-8d0f-6321fe63d9c9	Bari	Bari	2	0	2013-06-05 08:18:59.347694+02	\N	\N	\N	\N	\N	\N	f	
1308	ec5c5785-7e31-467b-b830-46d26f90bb98	Cesvaines novads	Cesvaines novads	2	0	2013-06-05 08:06:12.438657+02	\N	\N	\N	\N	\N	\N	f	
808	a822e235-69e6-4d16-825e-b2c77aa6a480	Arad	Arad	2	0	2013-06-05 11:21:07.231887+02	\N	\N	\N	\N	\N	\N	f	
9469	fd8bbba5-0c77-4d24-9f0b-80407354d1f8	Waghodia	Waghodia	3	0	2013-06-09 17:48:48.366984+02	\N	\N	\N	\N	\N	\N	f	
9475	a230ac98-8071-40a3-854d-25de80027742	Gununa	Gununa	3	0	2013-06-09 17:49:48.691024+02	\N	\N	\N	\N	\N	\N	f	
3913	049474c1-b631-481b-8b59-129214f4ded3	Bolton	Bolton	2	0	2013-06-05 12:13:28.270422+02	\N	\N	\N	\N	\N	\N	f	
9895	f6216e19-664b-420d-a85a-ab89b5f230b0	Suzaka	Suzaka	3	0	2013-06-18 04:06:18.732282+02	\N	\N	\N	\N	\N	\N	f	
9472	1d9b3550-18b0-4883-8f6d-7fdc0946904e	Chotila	Chotila	3	0	2013-06-09 17:49:24.712406+02	\N	\N	\N	\N	\N	\N	f	
3918	edf8fd76-564a-4745-9805-7a92dd887cea	Doncaster	Doncaster	2	0	2013-05-21 16:54:29.346371+02	\N	\N	\N	\N	\N	\N	f	
3919	01d82e5a-d7e8-49ef-b68a-80796f50d34e	Dudley	Dudley	2	0	2013-05-21 16:54:40.571871+02	\N	\N	\N	\N	\N	\N	f	
3921	b0dedd52-c8c8-4d79-b68c-10178cc51099	Kirklees	Kirklees	2	0	2013-05-21 16:55:06.658657+02	\N	\N	\N	\N	\N	\N	f	
4769	d9d46848-1fc7-4c0d-9126-2c75e9c849e5	Marrakech-Medina	Marrakech-Medina	2	0	2013-05-22 15:07:31.617036+02	\N	\N	\N	\N	\N	\N	f	
5132	aaa5899f-f0b7-4bc1-bae4-aba7f6770402	Tehran	Tehran	3	0	2013-05-24 22:33:43.557269+02	\N	\N	\N	\N	\N	\N	f	
3924	c249c30e-88ab-4b2f-a745-96a25bd7afee	Liverpool	Liverpool	3	0	2013-05-24 01:29:52.855232+02	\N	\N	\N	\N	\N	\N	f	
9655	10adc6b5-63bf-4b4e-993e-ed83b05c22fc	Seattle	Seattle	3	0	2013-06-13 18:08:43.085963+02	\N	\N	\N	\N	\N	\N	f	
3928	5ece266c-b45e-4191-b158-6e19317da091	Oldham	Oldham	2	0	2013-05-21 16:56:26.694106+02	\N	\N	\N	\N	\N	\N	f	
3959	35477285-9cce-42d8-a238-eab2aee56402	North Down	North Down	2	0	2013-05-21 17:02:54.986382+02	\N	\N	\N	\N	\N	\N	f	
5141	7dc47ab9-c7ff-4282-97e0-bd53db80ff9d	Adelaide	Adelaide	3	0	2013-05-24 22:35:31.329131+02	\N	\N	\N	\N	\N	\N	f	
5026	107520dd-098b-4c47-af75-1f1c3f035e9b	Yumbe	Yumbe	2	0	2013-05-22 16:11:05.392299+02	\N	\N	\N	\N	\N	\N	f	
5040	1930c4b9-b61f-425d-9da6-42d71ee79c49	Kasese	Kasese	2	0	2013-05-22 16:13:45.233168+02	\N	\N	\N	\N	\N	\N	f	
3925	852531bf-3410-401f-b432-9c3157a386b9	Manchester	Manchester	3	0	2013-05-24 01:31:00.222392+02	\N	\N	\N	\N	\N	\N	f	
5044	1bea2764-3261-4638-87f5-f9a2e29085d2	Mbarara	Mbarara	2	0	2013-05-22 16:14:36.990446+02	\N	\N	\N	\N	\N	\N	f	
5766	6c4befbe-6188-4460-b306-5cb68f897f7c	Rochester	Rochester	3	0	2013-05-25 00:47:13.421778+02	\N	\N	\N	\N	\N	\N	f	
5302	7f1cf724-b398-42f8-aa82-ecd190736ebf	Anaheim	Anaheim	3	0	2013-05-24 23:06:59.378819+02	\N	\N	\N	\N	\N	\N	f	
3926	80a26267-4f75-4976-ae82-aad848ec096a	Newcastle upon Tyne	Newcastle upon Tyne	3	0	2013-05-24 02:05:05.028149+02	\N	\N	\N	\N	\N	\N	f	
5456	a7ea8731-7098-4792-ac8f-3f6db1bc1fdc	Piekary Śląskie	Piekary Śląskie	3	0	2013-05-24 23:37:40.688154+02	\N	\N	\N	\N	\N	\N	f	
5556	f168e09f-82b7-4fcb-a4d1-0873f89c3370	Sandomierz	Sandomierz	3	0	2013-05-25 00:02:00.057159+02	\N	\N	\N	\N	\N	\N	f	
5793	44b059c2-bd49-468f-8451-54cf38a983a0	Overland Park	Overland Park	3	0	2013-05-25 00:52:14.041126+02	\N	\N	\N	\N	\N	\N	f	
5655	1def5aac-54d5-4b47-82a0-b56b57d688bb	Kłobuck	Kłobuck	3	0	2013-05-25 00:23:44.665289+02	\N	\N	\N	\N	\N	\N	f	
6440	1d5b15e7-9c67-4984-86b8-91e95e2e2f5f	Shadmehr	Shadmehr	3	0	2013-05-25 03:06:01.28367+02	\N	\N	\N	\N	\N	\N	f	
5810	66e7667a-438c-40d2-a683-d121e8ea09b0	Petersburg	Petersburg	3	0	2013-05-25 00:55:28.442218+02	\N	\N	\N	\N	\N	\N	f	
5815	2b8d205b-34df-4e02-8a56-4f5018a61892	Danville	Danville	3	0	2013-05-25 00:56:37.645104+02	\N	\N	\N	\N	\N	\N	f	
7477	ec5fd1bd-2872-42c2-b619-8c91796c11c5	Neu-Isenburg	Neu-Isenburg	3	0	2013-05-29 00:23:58.714055+02	\N	\N	\N	\N	\N	\N	f	
5943	8ec24c0a-f7ff-4a3e-a5df-056f35628b6f	Flandreau	Flandreau	3	0	2013-05-25 01:23:34.161734+02	\N	\N	\N	\N	\N	\N	f	
6459	fdaf2c3e-9f28-4b5e-a345-3017b6821994	New Cordell	New Cordell	3	0	2013-05-25 03:09:44.567621+02	\N	\N	\N	\N	\N	\N	f	
6162	7f6a5d7e-3d6c-44ab-ad03-537a2fafc542	Gandoman	Gandoman	3	0	2013-05-25 02:04:36.023062+02	\N	\N	\N	\N	\N	\N	f	
6175	74fabd34-5b42-405d-9360-19ed65b5ae2e	Qotbabad	Qotbabad	3	0	2013-05-25 02:06:59.009119+02	\N	\N	\N	\N	\N	\N	f	
7114	2ab7c5a1-aa61-4322-bdaa-a3d254acb52d	Oleszyce	Oleszyce	3	0	2013-05-26 16:55:33.059907+02	\N	\N	\N	\N	\N	\N	f	
7239	98a234fc-0fbb-4782-8430-16e2e5a0c124	Orneta	Orneta	3	0	2013-05-26 17:26:27.989314+02	\N	\N	\N	\N	\N	\N	f	
6487	a74da415-1f8b-47aa-8cd6-03063591d205	Javanrud	Javanrud	3	0	2013-05-25 03:17:21.031572+02	\N	\N	\N	\N	\N	\N	f	
6659	3619bae4-370c-4b2d-b01b-a0105042e062	Sarbaz	Sarbaz	3	0	2013-05-25 03:52:01.930613+02	\N	\N	\N	\N	\N	\N	f	
6668	faaa600b-8248-4e8d-a335-cc4f32559a20	Sheshdeh	Sheshdeh	3	0	2013-05-25 03:53:34.537528+02	\N	\N	\N	\N	\N	\N	f	
7625	c711d7a7-68f0-48fd-869d-816b022ce0bd	Pohlheim	Pohlheim	3	0	2013-05-29 00:58:57.345421+02	\N	\N	\N	\N	\N	\N	f	
6673	08690f1d-cb24-4f03-978e-7a4c6d7120e3	Sadabad	Sadabad	3	0	2013-05-25 03:54:25.930169+02	\N	\N	\N	\N	\N	\N	f	
6941	627f8fb6-c3d9-494e-9e1f-4ebc8d7d7995	Terespol	Terespol	3	0	2013-05-25 14:11:07.22358+02	\N	\N	\N	\N	\N	\N	f	
8614	3f0692d3-5195-4282-8702-aa43018bc5f9	Hingham	Hingham	3	0	2013-06-01 17:55:24.535102+02	\N	\N	\N	\N	\N	\N	f	
6382	4af3ae0e-1934-4c49-8635-aa5894a8ee16	Lackawanna	Lackawanna	3	0	2013-05-26 14:23:53.378751+02	\N	\N	\N	\N	\N	\N	f	
7739	755982fa-fbbe-4049-9939-ecfd7fda430b	Rotterdam	Rotterdam	3	0	2013-05-29 02:18:14.72633+02	\N	\N	\N	\N	\N	\N	f	
7034	fde7f93a-897c-4fd8-a330-337491d5ace4	Szczekociny	Szczekociny	3	0	2013-05-26 16:34:16.328697+02	\N	\N	\N	\N	\N	\N	f	
253	74c0ac9d-cda7-38be-a0c9-43611c5779dc	Jersey	Jersey	1	0	2013-05-27 15:30:51.048558+02	\N	\N	\N	\N	\N	\N	f	
7894	7390b45e-0b1e-4f36-9ecb-6084d5199f42	Vermillion	Vermillion	3	0	2013-05-29 03:01:18.733936+02	\N	\N	\N	\N	\N	\N	f	
8255	0c817ea6-a686-4c98-badb-c6dd48cb3bc6	Kunda	Kunda	3	0	2013-05-30 21:29:43.242077+02	\N	\N	\N	\N	\N	\N	f	
8744	02cf83b6-b2df-48a5-93a3-b36ccb9fbdfc	Berlin	Berlin	3	0	2013-06-01 18:33:15.209965+02	\N	\N	\N	\N	\N	\N	f	
8460	ecaea9d8-b0d7-4744-bdcc-ed95b37bd88c	Muswellbrook	Muswellbrook	3	0	2013-06-01 17:18:28.611442+02	\N	\N	\N	\N	\N	\N	f	
578	292b8c47-6063-4e7b-b07f-b46260ff8519	Şırnak	Şırnak	2	0	2013-05-27 19:42:24.067194+02	\N	\N	\N	\N	\N	\N	f	
7346	171d21d3-ee7b-4296-9b0d-2da4c54a237d	Kosovska Mitrovica	Kosovska Mitrovica	3	0	2013-05-28 14:08:37.48394+02	\N	\N	\N	\N	\N	\N	f	
9133	f2b85565-13f9-4fac-b91c-3f7e89c4ac13	Datong	Datong	3	0	2013-06-01 20:46:35.272512+02	\N	\N	\N	\N	\N	\N	f	
8508	bb00f9b8-e5ee-4e57-b063-3f0a085ee773	Kamigōri	Kamigōri	3	0	2013-06-01 17:28:36.903784+02	\N	\N	\N	\N	\N	\N	f	
8869	2ad43554-1c6e-46a2-8816-77b23c4b8b7b	Guiyang	Guiyang	3	0	2013-06-01 19:46:40.251172+02	\N	\N	\N	\N	\N	\N	f	
8557	6c2b8b4e-af34-4283-9563-9eecb9e7d594	Bredasdorp	Bredasdorp	3	0	2013-06-01 17:40:17.26424+02	\N	\N	\N	\N	\N	\N	f	
9004	5fc212bf-f22c-4381-b5e7-c607b8be9e80	Ya'an	Ya'an	3	0	2013-06-01 20:18:58.39756+02	\N	\N	\N	\N	\N	\N	f	
3914	6d63cf38-80be-41f1-b81d-713d4763c542	Bradford	Bradford	2	0	2013-06-05 09:46:10.727396+02	\N	\N	\N	\N	\N	\N	f	
9115	3e5e5781-7f87-4501-bdea-dba5d59a238a	Xining	Xining	3	0	2013-06-01 20:43:00.975644+02	\N	\N	\N	\N	\N	\N	f	
9116	037c4781-68bc-4a48-8d85-1e2c978f7eff	Arniston	Arniston	3	0	2013-06-01 20:43:11.264594+02	\N	\N	\N	\N	\N	\N	f	
3917	aab979a4-b106-4baa-a4a3-fc45f775cff9	Coventry	Coventry	2	0	2013-06-05 12:26:16.64506+02	\N	\N	\N	\N	\N	\N	f	
9858	83ff720b-9a94-4b76-bb85-c92504fd2cde	Tajimi	Tajimi	3	0	2013-06-18 03:58:08.344564+02	\N	\N	\N	\N	\N	\N	f	
4894	d1f8f125-a679-497f-a6c4-130b2145a427	Bohol	Bohol	2	0	2013-06-05 09:38:48.673976+02	\N	\N	\N	\N	\N	\N	f	
4623	635918ca-8936-4732-9bb8-f0567be2e8db	Bergamo	Bergamo	2	0	2013-06-05 09:32:15.612198+02	\N	\N	\N	\N	\N	\N	f	
9473	ed233191-d5c3-4f2f-8f52-c2d27bbb246d	Amod, Gujarat	Amod, Gujarat	3	0	2013-06-09 17:49:35.554839+02	\N	\N	\N	\N	\N	\N	f	
906	a746aaaa-c977-4e7a-ad44-1d5f974afbb9	Birżebbuġa	Birżebbuġa	2	0	2013-06-05 08:06:29.467623+02	\N	\N	\N	\N	\N	\N	f	
1615	425c32b4-b920-44ff-8543-c96b4dde0a80	Aiwo	Aiwo	2	0	2013-06-05 11:21:50.464889+02	\N	\N	\N	\N	\N	\N	f	
9985	b7cdaa44-f0b7-4ec1-8ff4-8c246bb5173d	Sakai	Sakai	3	0	2013-06-18 07:42:10.96804+02	\N	\N	\N	\N	\N	\N	f	
10060	61661486-da64-44f7-974d-a0226a5dcad0	Hyūga	Hyūga	3	0	2013-06-18 08:13:46.79583+02	\N	\N	\N	\N	\N	\N	f	
10065	ad7d7766-6f87-45f3-a15c-8e4663b895c8	Sanuki	Sanuki	3	0	2013-06-18 08:14:46.249836+02	\N	\N	\N	\N	\N	\N	f	
10067	1472e2ac-8966-4c49-8ad2-9e770a46e318	Kobayashi	Kobayashi	3	0	2013-06-18 08:15:13.309411+02	\N	\N	\N	\N	\N	\N	f	
10139	9ee2ac45-3379-417d-b332-135e5b11fe00	Hisayama	Hisayama	3	0	2013-06-18 14:38:05.787663+02	\N	\N	\N	\N	\N	\N	f	
10146	75e6a442-c64e-4e78-9696-46b38ffde0e6	Mihama	Mihama	3	0	2013-06-18 14:39:18.849115+02	\N	\N	\N	\N	\N	\N	f	
10147	ce38b448-fd6e-4520-b593-09d4646ba34c	Miki	Miki	3	0	2013-06-18 14:39:29.22366+02	\N	\N	\N	\N	\N	\N	f	
15495	78973bbf-d710-48fa-8a6e-814d35e0eaa5	Gattico	Gattico	4	0	2013-07-22 00:58:05.964541+02	\N	\N	\N	\N	\N	\N	f	
10151	717c5d53-f38a-4e16-a286-67ce45a328a6	Shiroishi	Shiroishi	3	0	2013-06-18 14:40:16.180418+02	\N	\N	\N	\N	\N	\N	f	
3929	fc795db0-571e-456e-83e9-3df47709d5aa	Rochdale	Rochdale	2	0	2013-05-21 16:56:37.85362+02	\N	\N	\N	\N	\N	\N	f	
3931	2c153e76-5497-45c8-b6df-be9d1c0f79fc	Salford	Salford	2	0	2013-05-21 16:57:00.031708+02	\N	\N	\N	\N	\N	\N	f	
3932	a4fd9a35-f9f6-4351-9a1b-022fa570e958	Sandwell	Sandwell	2	0	2013-05-21 16:57:14.329412+02	\N	\N	\N	\N	\N	\N	f	
3956	47cb40b1-2aa3-430b-85a3-42db93ef504d	Newtownabbey	Newtownabbey	2	0	2013-05-21 17:02:21.808839+02	\N	\N	\N	\N	\N	\N	f	
3967	f988aff4-5221-4b36-9174-befec694f906	Nottingham	Nottingham	2	0	2013-05-21 17:04:29.621236+02	\N	\N	\N	\N	\N	\N	f	
5133	56d11c4c-0e8e-4b73-80a0-dbac31817e15	Voronezh	Voronezh	3	0	2013-05-24 22:33:54.051773+02	\N	\N	\N	\N	\N	\N	f	
4771	f368cc84-dc35-4c7e-915d-75c5fc789de2	Ouarzazate	Ouarzazate	2	0	2013-05-22 15:08:14.17581+02	\N	\N	\N	\N	\N	\N	f	
4656	c915aa89-e9ec-4924-bd7a-b2b9da533536	Crotone	Crotone	2	0	2013-06-05 08:04:50.994469+02	\N	\N	\N	\N	\N	\N	f	
5303	17203e02-355a-40db-a524-980192eb9d0f	Rochester	Rochester	3	0	2013-05-24 23:07:10.654018+02	\N	\N	\N	\N	\N	\N	f	
5767	04e60741-b1ae-4078-80bb-ffe8ae643ea7	Duluth	Duluth	3	0	2013-05-25 00:47:23.886162+02	\N	\N	\N	\N	\N	\N	f	
5380	97c05969-f498-4654-8578-decea6cc2197	Płock	Płock	3	0	2013-05-24 23:23:28.010195+02	\N	\N	\N	\N	\N	\N	f	
5457	2584d656-daa1-4b28-80e2-f3e2f7ef9ed8	Krasnystaw	Krasnystaw	3	0	2013-05-24 23:37:51.452738+02	\N	\N	\N	\N	\N	\N	f	
5529	e9ca8c03-d0df-4b6c-bc4a-1b4440f91be6	Aksaray	Aksaray	3	0	2013-05-24 23:56:35.088892+02	\N	\N	\N	\N	\N	\N	f	
5787	9a4cbe55-4fe7-4b4e-a9ee-16e45684b472	Waynesboro	Waynesboro	3	0	2013-05-25 00:51:08.173903+02	\N	\N	\N	\N	\N	\N	f	
5538	2dd340ee-92ad-4961-8899-2569032d44e9	Semnan	Semnan	3	0	2013-05-24 23:58:48.856293+02	\N	\N	\N	\N	\N	\N	f	
5656	16c924b5-877d-48e9-8ca2-6b81eaf842bc	Kętrzyn	Kętrzyn	3	0	2013-05-25 00:23:56.674573+02	\N	\N	\N	\N	\N	\N	f	
6441	d98492e1-f66b-41ff-9a1c-7c049163e332	Nilshahr	Nilshahr	3	0	2013-05-25 03:06:14.342211+02	\N	\N	\N	\N	\N	\N	f	
5665	1b6a4a49-8d5c-4fdd-8a26-9e7028bfc8bb	Łask	Łask	3	0	2013-05-25 00:26:06.868506+02	\N	\N	\N	\N	\N	\N	f	
7115	96488fc1-d67d-4c7e-94f7-8c18dc215675	Mońki	Mońki	3	0	2013-05-26 16:55:55.284975+02	\N	\N	\N	\N	\N	\N	f	
5951	4986af89-8976-4c30-bf84-34184b8fc5fc	Gladstone	Gladstone	3	0	2013-05-25 01:25:03.186466+02	\N	\N	\N	\N	\N	\N	f	
5952	83ebf5fd-cd0a-4e3c-b46b-7bc5f07350a2	Katsuura	Katsuura	3	0	2013-05-25 01:25:13.311879+02	\N	\N	\N	\N	\N	\N	f	
6448	84d01a65-5291-4ec3-b273-bc4495e2313d	Eshqabad, Razavi Khorasan	Eshqabad, Razavi Khorasan	3	0	2013-05-25 03:07:28.748811+02	\N	\N	\N	\N	\N	\N	f	
6008	81ba030f-dfe5-4b33-9a5b-b9c9e9b05f37	Nir	Nir	3	0	2013-05-25 01:35:11.222677+02	\N	\N	\N	\N	\N	\N	f	
6023	d24b49f5-2c5a-44a4-9679-c500eb75b057	Eslamabad-e Gharb	Eslamabad-e Gharb	3	0	2013-05-25 01:37:44.628613+02	\N	\N	\N	\N	\N	\N	f	
969	973bb75d-9ca6-4790-bdd1-7afc88e7070a	Żurrieq	Żurrieq	2	0	2013-05-27 19:43:02.016896+02	\N	\N	\N	\N	\N	\N	f	
6024	318f7abb-88d6-49d3-a208-79c7a3696105	Evaz	Evaz	3	0	2013-05-25 01:37:54.678788+02	\N	\N	\N	\N	\N	\N	f	
6663	96134407-477f-4055-9fd2-acd8df460d5b	Hafshejan	Hafshejan	3	0	2013-05-25 03:52:42.961432+02	\N	\N	\N	\N	\N	\N	f	
6027	88ded37d-0b04-435c-bcbb-331c1630a7d3	Gerash	Gerash	3	0	2013-05-25 01:38:25.028869+02	\N	\N	\N	\N	\N	\N	f	
6163	656a1cc0-5a16-4811-9f50-037fb37bac82	Landeh	Landeh	3	0	2013-05-25 02:04:46.621193+02	\N	\N	\N	\N	\N	\N	f	
7149	c887bf4a-acd7-4e3d-9373-e6fd6be70eb0	Góra Kalwaria	Góra Kalwaria	3	0	2013-05-26 17:05:28.742277+02	\N	\N	\N	\N	\N	\N	f	
6182	74199db5-1710-466e-87ec-0a036ef9f455	Boldaji	Boldaji	3	0	2013-05-25 02:08:12.428628+02	\N	\N	\N	\N	\N	\N	f	
6676	7cdc0508-0613-43b7-94e8-a42e72216f72	Galleh Dar	Galleh Dar	3	0	2013-05-25 03:55:00.830564+02	\N	\N	\N	\N	\N	\N	f	
6225	e5dc5ac3-76a0-4781-ba54-b8172f3f0384	Rasak	Rasak	3	0	2013-05-25 02:16:11.048008+02	\N	\N	\N	\N	\N	\N	f	
7240	e4321922-addb-4bb4-b6f5-8b87aed5fb4a	Pelplin	Pelplin	3	0	2013-05-26 17:26:45.177455+02	\N	\N	\N	\N	\N	\N	f	
6719	fb9a8696-aa46-45b9-a60a-20342ecc3321	Anabad	Anabad	3	0	2013-05-25 04:02:33.001245+02	\N	\N	\N	\N	\N	\N	f	
8513	4d9aec2b-b441-4d41-bdfd-dc9958fdea88	West Warwick	West Warwick	3	0	2013-06-01 17:29:43.558013+02	\N	\N	\N	\N	\N	\N	f	
6736	672c466c-2d81-4acb-8939-16a00efae079	Rostamkola	Rostamkola	3	0	2013-05-25 04:06:09.539333+02	\N	\N	\N	\N	\N	\N	f	
7347	7f3bfe2b-8776-47e4-86ce-a552af85c116	Kumasi	Kumasi	3	0	2013-05-28 14:08:55.229543+02	\N	\N	\N	\N	\N	\N	f	
6942	46c35332-79d4-4aee-85b8-a26c6ff2b263	Lwówek Śląski	Lwówek Śląski	3	0	2013-05-25 14:11:21.032159+02	\N	\N	\N	\N	\N	\N	f	
6945	a50627ab-8f94-4a5e-8f79-1759fd5c6338	Złoty Stok	Złoty Stok	3	0	2013-05-25 14:11:58.976301+02	\N	\N	\N	\N	\N	\N	f	
7742	74948494-11f2-475e-9c1e-d7582bbe3b3e	Gimhae	Gimhae	3	0	2013-05-29 02:18:58.021864+02	\N	\N	\N	\N	\N	\N	f	
5946	0b25b277-8bc6-400e-9ac2-4681032e680e	Ogdensburg	Ogdensburg	3	0	2013-05-26 14:22:49.215673+02	\N	\N	\N	\N	\N	\N	f	
98	48802a32-075a-3805-a183-277c66047693	Iceland	Iceland	1	0	2013-05-27 15:33:53.090734+02	\N	\N	\N	\N	\N	\N	f	
6383	f96dae56-2fae-4be6-9dfe-97a26a914b64	Geneva	Geneva	3	0	2013-05-26 14:31:07.450048+02	\N	\N	\N	\N	\N	\N	f	
7035	acedbffe-2a76-4cf3-a04c-b79d896aea89	Bieruń	Bieruń	3	0	2013-05-26 16:34:28.09407+02	\N	\N	\N	\N	\N	\N	f	
7360	2726a2a0-b8af-4aac-82aa-672ae1f6e716	İmamoğlu	İmamoğlu	3	0	2013-05-28 14:12:01.339001+02	\N	\N	\N	\N	\N	\N	f	
7362	474e8b92-8d76-419d-b9e7-8ccbd6d20c28	Hadera	Hadera	3	0	2013-05-28 14:12:41.053084+02	\N	\N	\N	\N	\N	\N	f	
16	f8b33963-7364-33be-8c6c-5ab2e1075ae1	Bahamas	Bahamas	1	0	2013-05-27 15:53:23.96003+02	\N	\N	\N	\N	\N	\N	f	
7897	3f2014c0-6f9f-4931-a3c7-f73a8d643a28	Portales	Portales	3	0	2013-05-29 03:01:53.016044+02	\N	\N	\N	\N	\N	\N	f	
8871	5391fabf-2c32-4db8-9285-c2105a995241	Shaoyang	Shaoyang	3	0	2013-06-01 19:47:39.460994+02	\N	\N	\N	\N	\N	\N	f	
7902	9bf9fba7-5549-4a19-80cb-7133010b23a8	Durand	Durand	3	0	2013-05-29 03:03:32.538332+02	\N	\N	\N	\N	\N	\N	f	
8616	6caa6e29-8cd9-45ec-9a00-4b70e1a9cfe8	Coolamon	Coolamon	3	0	2013-06-01 17:55:56.057999+02	\N	\N	\N	\N	\N	\N	f	
8256	9683d691-7a5f-473d-aa3f-7657fb1f17ed	Sarnen	Sarnen	3	0	2013-05-30 21:30:04.44861+02	\N	\N	\N	\N	\N	\N	f	
7478	bc664414-2ecf-4dae-a093-6ff7bae8853d	Viernheim	Viernheim	3	0	2013-05-29 00:24:16.918721+02	\N	\N	\N	\N	\N	\N	f	
7626	7d6a73a5-ae8b-4e7d-a063-525819beb545	Ober-Ramstadt	Ober-Ramstadt	3	0	2013-05-29 00:59:07.972907+02	\N	\N	\N	\N	\N	\N	f	
8464	03e6a405-30d5-41d3-8fd4-afba7a633cd5	Sępopol	Sępopol	3	0	2013-06-01 17:19:19.050318+02	\N	\N	\N	\N	\N	\N	f	
8745	dbc8e027-f253-4e00-8764-3366cfdc2a06	Berri	Berri	3	0	2013-06-01 18:33:26.06805+02	\N	\N	\N	\N	\N	\N	f	
8907	f06029ca-d3fd-422d-b0c7-e79c1ea99fa5	Daqing	Daqing	3	0	2013-06-01 19:59:07.946458+02	\N	\N	\N	\N	\N	\N	f	
8752	e1b26ee1-a1ea-454f-89fd-ff7aac0ef6c0	Boulia	Boulia	3	0	2013-06-01 18:35:26.207559+02	\N	\N	\N	\N	\N	\N	f	
9120	616ec9e0-285c-4bd7-b19d-0eaf3656a5a6	Yichang	Yichang	3	0	2013-06-01 20:44:05.634749+02	\N	\N	\N	\N	\N	\N	f	
1501	12ad1d42-3513-403a-ac64-e709a9bb3459	Coahuila	Coahuila	2	0	2013-06-05 11:23:22.171643+02	\N	\N	\N	\N	\N	\N	f	
9005	8ebfaba9-5846-4086-af2f-a24efe3b4869	Sagunto	Sagunto	3	0	2013-06-01 20:19:37.353337+02	\N	\N	\N	\N	\N	\N	f	
1926	88d9bf7c-d81a-4961-86b8-4f78603add51	Berane	Berane	2	0	2013-06-05 08:06:36.816544+02	\N	\N	\N	\N	\N	\N	f	
5027	65362129-c760-413d-a2db-3476892ff055	Amolatar	Amolatar	2	0	2013-06-05 10:36:26.600538+02	\N	\N	\N	\N	\N	\N	f	
4895	61578128-49bb-4a20-9bff-d533657a5438	Batangas	Batangas	2	0	2013-06-05 07:59:18.007594+02	\N	\N	\N	\N	\N	\N	f	
2589	3aa84159-18db-41ca-8e6e-51bb6fa01f06	Binh Thuan	Binh Thuan	2	0	2013-06-05 08:49:40.365702+02	\N	\N	\N	\N	\N	\N	f	
4624	35ab792f-15d2-455b-8227-3038a0d825fa	Biella	Biella	2	0	2013-06-05 11:11:49.36626+02	\N	\N	\N	\N	\N	\N	f	
9476	05da7cf3-dbd7-40f0-b7e9-08e2e3f7c2ea	Rajula	Rajula	3	0	2013-06-09 17:50:01.557043+02	\N	\N	\N	\N	\N	\N	f	
3709	d1e6eb28-56e9-4d5c-8c01-533938bc98e2	Ariana	Ariana	2	0	2013-06-05 12:03:06.516792+02	\N	\N	\N	\N	\N	\N	f	
9515	69179dda-c769-4c15-8c1b-ce46e338adff	Amreli	Amreli	3	0	2013-06-09 18:03:45.454908+02	\N	\N	\N	\N	\N	\N	f	
9547	261fba94-4c8d-4d6f-adf4-24ecb888273d	Pine Bluff	Pine Bluff	3	0	2013-06-09 18:25:58.518301+02	\N	\N	\N	\N	\N	\N	f	
9656	22b2a5af-42ab-4656-9fa5-05962f75ba45	Staufen im Breisgau	Staufen im Breisgau	3	0	2013-06-13 18:09:24.23632+02	\N	\N	\N	\N	\N	\N	f	
9659	a42b5213-1153-4d0f-b4ff-793a8de269df	Sanand	Sanand	3	0	2013-06-13 20:46:42.352815+02	\N	\N	\N	\N	\N	\N	f	
9859	851aef6e-6018-4f9a-8712-6f3bf0f6ff43	Uozu	Uozu	3	0	2013-06-18 03:58:18.967507+02	\N	\N	\N	\N	\N	\N	f	
10063	bace3df5-d22a-4067-bc50-779d00434ba0	Sakaide	Sakaide	3	0	2013-06-18 08:14:25.773437+02	\N	\N	\N	\N	\N	\N	f	
9986	32ed0bcc-f421-4bb8-9eb6-e7bcb4fc098e	Tama	Tama	3	0	2013-06-18 07:43:58.610283+02	\N	\N	\N	\N	\N	\N	f	
10142	841b2296-4515-4a5b-b2bc-28fdcb4f0767	Sakawa	Sakawa	3	0	2013-06-18 14:38:37.081185+02	\N	\N	\N	\N	\N	\N	f	
3935	6b7cd1b9-0115-44be-8178-a74872f5f6dc	Solihull	Solihull	2	0	2013-05-21 16:57:49.90122+02	\N	\N	\N	\N	\N	\N	f	
3937	391c385f-093e-4a65-a453-b4ae3ec4b089	St. Helens	St. Helens	2	0	2013-05-21 16:58:12.611864+02	\N	\N	\N	\N	\N	\N	f	
13785	ca4ee4f2-8179-4ddd-bf7d-172f932ac4a5	Bovezzo	Bovezzo	4	0	2013-07-21 19:11:50.203138+02	\N	\N	\N	\N	\N	\N	f	
3940	d823e9a8-3113-43d6-aeb3-02aac1c393df	Tameside	Tameside	2	0	2013-05-21 16:58:48.250859+02	\N	\N	\N	\N	\N	\N	f	
3941	c40627b1-7faa-4fb2-baa1-efb66c0aa91d	Trafford	Trafford	2	0	2013-05-21 16:58:59.682854+02	\N	\N	\N	\N	\N	\N	f	
3943	ad78cb67-115f-455a-be9c-15801055c628	Walsall	Walsall	2	0	2013-05-21 16:59:24.745768+02	\N	\N	\N	\N	\N	\N	f	
4660	cc45fa77-07ea-4087-873c-541e6f6b9943	Lodi	Lodi	2	0	2013-05-22 14:36:46.801145+02	\N	\N	\N	\N	\N	\N	f	
3944	2618aea3-7904-4397-b617-8842cddaca2c	Wigan	Wigan	2	0	2013-05-21 16:59:41.91719+02	\N	\N	\N	\N	\N	\N	f	
3945	12c9edfe-2c1f-48ef-9d38-82494a9350a9	Wirral	Wirral	2	0	2013-05-21 16:59:54.229739+02	\N	\N	\N	\N	\N	\N	f	
5135	9dc158a2-8e74-4c63-860c-d8fd55329c90	Uchkuduk	Uchkuduk	3	0	2013-05-24 22:34:25.541748+02	\N	\N	\N	\N	\N	\N	f	
3947	dfb35ed0-820a-4b65-8610-cbcf7d89ca9a	Middlesbrough	Middlesbrough	2	0	2013-05-21 17:00:24.84172+02	\N	\N	\N	\N	\N	\N	f	
4772	ee6bab7a-d58e-4240-98e3-a3f399dc279a	Oued ed Dahab	Oued ed Dahab	2	0	2013-05-22 15:08:31.42712+02	\N	\N	\N	\N	\N	\N	f	
3953	18fcc20a-b006-400c-be8a-f405529675bc	Neath Port Talbot	Neath Port Talbot	2	0	2013-05-21 17:01:46.271108+02	\N	\N	\N	\N	\N	\N	f	
3955	18f63c4c-26d2-4697-838d-c2b834ba05ab	Newry and Mourne District	Newry and Mourne District	2	0	2013-05-21 17:02:08.106961+02	\N	\N	\N	\N	\N	\N	f	
3957	1f73fbd2-48ee-4951-b750-47c6c92ba7ae	Norfolk	Norfolk	2	0	2013-05-21 17:02:32.681387+02	\N	\N	\N	\N	\N	\N	f	
4896	4031ba94-19f3-4955-9569-8047a6a880a1	Batanes	Batanes	2	0	2013-06-05 10:41:51.745495+02	\N	\N	\N	\N	\N	\N	f	
3964	a584d799-9025-4c7c-a72a-cf214ff16563	North Yorkshire	North Yorkshire	2	0	2013-05-21 17:03:54.272439+02	\N	\N	\N	\N	\N	\N	f	
4915	fe40e8c8-4fb5-483f-9636-68451c959989	Iloilo	Iloilo	2	0	2013-05-22 15:49:28.793032+02	\N	\N	\N	\N	\N	\N	f	
15496	3eb52388-08cc-4164-a663-ab343b66bed9	Paganico Sabino	Paganico Sabino	4	0	2013-07-22 00:58:17.775863+02	\N	\N	\N	\N	\N	\N	f	
5145	0d6f4c1c-10de-45c9-8e6a-b9ffd9213fd4	Varna	Varna	3	0	2013-05-24 22:36:13.698507+02	\N	\N	\N	\N	\N	\N	f	
5769	a1bb8b02-0496-4cfa-a771-2482e55451af	Ann Arbor	Ann Arbor	3	0	2013-05-25 00:47:45.921208+02	\N	\N	\N	\N	\N	\N	f	
5150	65b55c0f-a4fb-42e4-9b9d-1a63d6502166	Curitiba	Curitiba	3	0	2013-05-24 22:37:06.232345+02	\N	\N	\N	\N	\N	\N	f	
5210	26e0e534-19ea-4645-bfb3-1aa4e83a4046	Atlanta	Atlanta	3	0	2013-05-24 22:49:34.898499+02	\N	\N	\N	\N	\N	\N	f	
5216	453f5392-25d8-408e-b648-321b904e3439	Burlington	Burlington	3	0	2013-05-24 22:50:46.999475+02	\N	\N	\N	\N	\N	\N	f	
5779	be37b4f1-eb53-4c43-a397-b9e7ead8247a	Martinsville	Martinsville	3	0	2013-05-25 00:49:42.98334+02	\N	\N	\N	\N	\N	\N	f	
5230	7fb1d4af-24cf-4ca0-9896-415699b58bb3	Lansing	Lansing	3	0	2013-05-24 22:53:21.725983+02	\N	\N	\N	\N	\N	\N	f	
5304	951f21fe-a37a-4850-b723-24166d814b9d	North Adams	North Adams	3	0	2013-05-24 23:07:21.334893+02	\N	\N	\N	\N	\N	\N	f	
6443	66a03d7b-8ae4-4347-bca0-6b1ce9988a5c	Firuzeh	Firuzeh	3	0	2013-05-25 03:06:35.455289+02	\N	\N	\N	\N	\N	\N	f	
5338	252406bf-6053-48d5-86bc-a6cd451e3ae5	Koszalin	Koszalin	3	0	2013-05-24 23:14:58.609624+02	\N	\N	\N	\N	\N	\N	f	
5820	002b8550-47d4-4978-9ac7-e88556faacb4	Nidzica	Nidzica	3	0	2013-05-25 00:57:36.537551+02	\N	\N	\N	\N	\N	\N	f	
5458	b1330c44-b2d9-49e8-8ff9-1cdaa34670e3	Mogilyov	Mogilyov	3	0	2013-05-24 23:38:02.092493+02	\N	\N	\N	\N	\N	\N	f	
5460	af71ce30-3ffb-43f0-9643-08ff5bba104e	Piotrków Trybunalski	Piotrków Trybunalski	3	0	2013-05-24 23:38:24.436579+02	\N	\N	\N	\N	\N	\N	f	
5462	da5b93ef-e79c-4eba-b18f-c9048f794e08	Żarki	Żarki	3	0	2013-05-24 23:38:47.057319+02	\N	\N	\N	\N	\N	\N	f	
5835	7b94a00f-a4b8-47ae-992f-80f7f73aa2b2	Bleckede	Bleckede	3	0	2013-05-25 01:01:10.92008+02	\N	\N	\N	\N	\N	\N	f	
5657	9bd64340-9836-4da7-86a9-1cbc61bc0a31	Pajęczno	Pajęczno	3	0	2013-05-25 00:24:10.071487+02	\N	\N	\N	\N	\N	\N	f	
7752	006f7429-9293-4214-a658-d3865ed361e7	McKinney	McKinney	3	0	2013-05-29 02:21:23.8181+02	\N	\N	\N	\N	\N	\N	f	
6664	1ab0fb84-a2de-4573-bfc8-e992bb69d14a	Jowsheqan va Kamu	Jowsheqan va Kamu	3	0	2013-05-25 03:52:53.294687+02	\N	\N	\N	\N	\N	\N	f	
6168	eff02cd5-b81a-407e-b087-58a51a9057e9	Lordegan	Lordegan	3	0	2013-05-25 02:05:41.100212+02	\N	\N	\N	\N	\N	\N	f	
6282	097ce07f-4088-4d1e-b43a-b9bf3262f4e6	Jersey Village	Jersey Village	3	0	2013-05-25 02:29:13.666755+02	\N	\N	\N	\N	\N	\N	f	
7116	e8bf7aa4-9099-4778-a542-716b18a29caf	Boguszów-Gorce	Boguszów-Gorce	3	0	2013-05-26 16:56:06.692982+02	\N	\N	\N	\N	\N	\N	f	
7348	1f73564e-4f19-42f0-a291-1cc746aaec21	Tokat	Tokat	3	0	2013-05-28 14:09:05.285218+02	\N	\N	\N	\N	\N	\N	f	
7241	b0de5098-13b3-4292-8325-32097ebf652c	Easton	Easton	3	0	2013-05-26 17:26:56.013195+02	\N	\N	\N	\N	\N	\N	f	
6943	a1b41712-89f0-4ed0-96f6-f9a247e11271	Złotów	Złotów	3	0	2013-05-25 14:11:36.849399+02	\N	\N	\N	\N	\N	\N	f	
6384	a2f1cc86-1281-47da-ab54-39e47f239496	Oneida	Oneida	3	0	2013-05-26 14:22:25.986619+02	\N	\N	\N	\N	\N	\N	f	
7036	bae149a7-24f7-4114-92da-e70ab9a236eb	Trzebiatów	Trzebiatów	3	0	2013-05-26 16:34:46.307955+02	\N	\N	\N	\N	\N	\N	f	
77	0be4bfaf-17e0-3c0f-9f46-ed9ccdbe86a6	French Southern Territories	French Southern Territories	1	0	2013-05-27 15:34:16.411412+02	\N	\N	\N	\N	\N	\N	f	
7381	2c1aa3a4-55fd-4758-a31c-336dcdcdb9ac	Mackay	Mackay	3	0	2013-05-28 14:18:29.257593+02	\N	\N	\N	\N	\N	\N	f	
8342	5d5adcf9-6f4d-47b9-9a61-4ccbf919b3b1	Perth, Perth and Kinross	Perth, Perth and Kinross	3	0	2013-05-30 21:49:22.382098+02	\N	\N	\N	\N	\N	\N	f	
7479	e95cb352-d2fd-44a3-a3c4-226b2fa88043	Bad Hersfeld	Bad Hersfeld	3	0	2013-05-29 00:24:28.192032+02	\N	\N	\N	\N	\N	\N	f	
7764	544d85be-8550-4626-b6dc-cd9d8b5a8f22	Huntington	Huntington	3	0	2013-05-29 02:24:24.199105+02	\N	\N	\N	\N	\N	\N	f	
7516	928e0086-3232-40cf-bdcf-b49f077d3d76	Erlensee	Erlensee	3	0	2013-05-29 00:36:18.807445+02	\N	\N	\N	\N	\N	\N	f	
7629	ef11a1f2-4d2b-492a-8168-12131cf3653d	Riedstadt	Riedstadt	3	0	2013-05-29 00:59:41.460033+02	\N	\N	\N	\N	\N	\N	f	
7898	247643f5-806d-4234-95e3-4831f050961a	Marathon	Marathon	3	0	2013-05-29 03:02:03.401459+02	\N	\N	\N	\N	\N	\N	f	
7656	25c3ec45-021f-4ac4-ad69-96a2159c34fc	Steinbach	Steinbach	3	0	2013-05-29 01:06:16.382609+02	\N	\N	\N	\N	\N	\N	f	
1743	77863091-b687-4821-aef1-e03170d343bc	İsmayıllı	İsmayıllı	2	0	2013-05-27 19:43:48.428073+02	\N	\N	\N	\N	\N	\N	f	
7747	ff21865c-ce46-4417-967c-a3d2d02d29bf	Tampa	Tampa	3	0	2013-05-29 02:20:20.694043+02	\N	\N	\N	\N	\N	\N	f	
7767	6d794489-d42e-477c-8d40-8ef44b0672d8	Eureka Springs	Eureka Springs	3	0	2013-05-29 02:25:03.957847+02	\N	\N	\N	\N	\N	\N	f	
8257	da104713-93e6-4cef-8a52-258ed819c3fb	Meredith	Meredith	3	0	2013-05-30 21:30:16.594226+02	\N	\N	\N	\N	\N	\N	f	
7768	de48ed2f-3512-44cb-9758-1f5232798169	Belleville	Belleville	3	0	2013-05-29 02:25:14.170262+02	\N	\N	\N	\N	\N	\N	f	
8331	f13841dd-b9dd-42a4-9322-e925a8bf7edf	Scarsdale	Scarsdale	3	0	2013-05-30 21:46:42.80987+02	\N	\N	\N	\N	\N	\N	f	
8465	52208e38-4158-4127-a46a-74ce616e4c10	Hay	Hay	3	0	2013-06-01 17:19:35.067221+02	\N	\N	\N	\N	\N	\N	f	
8370	fda804e8-f4d8-4281-a245-d18ea088d01e	Paredes de Nava	Paredes de Nava	3	0	2013-05-30 21:55:51.94096+02	\N	\N	\N	\N	\N	\N	f	
8618	353aad9e-3108-4a63-a3ee-9d542d8a59f8	Szepietowo	Szepietowo	3	0	2013-06-01 17:56:26.619512+02	\N	\N	\N	\N	\N	\N	f	
8621	c72f6ac8-1906-48c8-b746-8b568bc4999c	Theodore, Queensland	Theodore, Queensland	3	0	2013-06-01 17:57:18.898429+02	\N	\N	\N	\N	\N	\N	f	
8746	a3593160-b600-446b-9a8a-b486a54eab26	Murwillumbah	Murwillumbah	3	0	2013-06-01 18:33:36.49773+02	\N	\N	\N	\N	\N	\N	f	
8782	527bebdd-5320-4413-b9ef-ac10bc28caf5	Prudnik	Prudnik	3	0	2013-06-01 18:44:43.329859+02	\N	\N	\N	\N	\N	\N	f	
8872	a5111a51-1abe-4795-95fd-97c4d565bbb0	Zhangjiajie	Zhangjiajie	3	0	2013-06-01 19:47:58.733197+02	\N	\N	\N	\N	\N	\N	f	
9006	fac14684-393b-4d86-ba4a-0acac8624434	Bijie	Bijie	3	0	2013-06-01 20:20:01.770316+02	\N	\N	\N	\N	\N	\N	f	
9105	b3a70d4b-1750-48b4-bac7-ae9dc5c60e5e	Jedlicze	Jedlicze	3	0	2013-06-01 20:40:56.365718+02	\N	\N	\N	\N	\N	\N	f	
9121	2d842602-c1d3-47e4-9ec0-23bb6fd01168	Jingzhou	Jingzhou	3	0	2013-06-01 20:44:15.933441+02	\N	\N	\N	\N	\N	\N	f	
4626	22e6a79e-fd17-493b-99aa-335af4c1bfac	Benevento	Benevento	2	0	2013-06-05 09:32:59.264626+02	\N	\N	\N	\N	\N	\N	f	
9657	98e37ddb-e5e2-4f1d-8d8a-cec8f2e70865	Langenau	Langenau	3	0	2013-06-13 18:10:12.525397+02	\N	\N	\N	\N	\N	\N	f	
9660	8345e11a-79f3-41f9-994a-852178b12fac	Hamm	Hamm	3	0	2013-06-13 20:50:45.169942+02	\N	\N	\N	\N	\N	\N	f	
3960	1045b262-d45f-4a22-aa8e-4facae0a19c4	North East Lincolnshire	North East Lincolnshire	2	0	2013-05-21 17:03:06.11327+02	\N	\N	\N	\N	\N	\N	f	
3987	5c201332-16b1-415f-af5a-b32cc12dc3cf	Slough	Slough	2	0	2013-05-21 17:08:16.488913+02	\N	\N	\N	\N	\N	\N	f	
3962	9ac5a5b9-33f5-4981-b94d-346451143c9a	North Lincolnshire	North Lincolnshire	2	0	2013-05-21 17:03:31.83567+02	\N	\N	\N	\N	\N	\N	f	
3963	3cae2a8d-59b8-4ada-87ad-4cfddeb45c55	North Somerset	North Somerset	2	0	2013-05-21 17:03:43.033849+02	\N	\N	\N	\N	\N	\N	f	
3966	6beecf16-22b7-4463-9999-73c79243fd56	Northumberland	Northumberland	2	0	2013-05-21 17:04:18.419742+02	\N	\N	\N	\N	\N	\N	f	
3988	aff4808a-7e67-49ab-8d51-af0864c824e0	Somerset	Somerset	2	0	2013-05-21 17:08:27.948763+02	\N	\N	\N	\N	\N	\N	f	
3968	5ee7ea17-1e59-453f-b410-a1412893f5f2	Nottinghamshire	Nottinghamshire	2	0	2013-05-21 17:04:40.900778+02	\N	\N	\N	\N	\N	\N	f	
3970	e66ff555-5b61-4820-9c1d-b388b7926a3d	Orkney Islands	Orkney Islands	2	0	2013-05-21 17:05:03.19553+02	\N	\N	\N	\N	\N	\N	f	
3971	44e5e20e-8fbc-4b07-b3f2-22f2199186fd	Oxfordshire	Oxfordshire	2	0	2013-05-21 17:05:14.270149+02	\N	\N	\N	\N	\N	\N	f	
3989	df27935e-aa31-4230-97cf-e39b7578b9fe	South Ayrshire	South Ayrshire	2	0	2013-05-21 17:08:39.837643+02	\N	\N	\N	\N	\N	\N	f	
3972	05c149b4-6a57-4af3-ae0e-575022a5537e	Pembrokeshire	Pembrokeshire	2	0	2013-05-21 17:05:25.410143+02	\N	\N	\N	\N	\N	\N	f	
3973	247e137e-4bc8-466c-8cd6-2d30d51662ba	Perth and Kinross	Perth and Kinross	2	0	2013-05-21 17:05:36.350137+02	\N	\N	\N	\N	\N	\N	f	
4002	aee482fe-df6b-4f0f-849f-18f2329bab7c	Swindon	Swindon	2	0	2013-05-21 17:11:10.054748+02	\N	\N	\N	\N	\N	\N	f	
3990	1ab3c66d-f4e6-4663-b2da-5699c2ebd4cd	South Gloucestershire	South Gloucestershire	2	0	2013-05-21 17:08:50.857583+02	\N	\N	\N	\N	\N	\N	f	
3975	27e496a5-2ad4-4d7e-a4ac-a3869b2bbad7	Plymouth	Plymouth	2	0	2013-05-21 17:05:58.792171+02	\N	\N	\N	\N	\N	\N	f	
3976	acce66ce-7c72-4969-8bc7-e186c4f579fc	Poole	Poole	2	0	2013-05-21 17:06:10.138682+02	\N	\N	\N	\N	\N	\N	f	
3977	7b6383fb-468f-4a2b-916f-b4cbbfb5253e	Portsmouth	Portsmouth	2	0	2013-05-21 17:06:21.781879+02	\N	\N	\N	\N	\N	\N	f	
3991	7845dd3e-c94d-4355-b9be-3456e1ec420c	South Lanarkshire	South Lanarkshire	2	0	2013-05-21 17:09:05.257435+02	\N	\N	\N	\N	\N	\N	f	
3978	ca414a75-9be5-4053-acd4-dab411d66547	Powys	Powys	2	0	2013-05-21 17:06:36.198414+02	\N	\N	\N	\N	\N	\N	f	
3979	9f11c5cc-b4b5-4589-8476-bc863930caa7	Reading	Reading	2	0	2013-05-21 17:06:46.987338+02	\N	\N	\N	\N	\N	\N	f	
4016	77db25b2-7ac3-409a-9184-94903a77b615	Windsor and Maidenhead	Windsor and Maidenhead	2	0	2013-05-21 17:13:48.190761+02	\N	\N	\N	\N	\N	\N	f	
3980	3634a72f-5592-4536-931d-7cd97443aae2	Redcar and Cleveland	Redcar and Cleveland	2	0	2013-05-21 17:06:58.455926+02	\N	\N	\N	\N	\N	\N	f	
3981	47d34d0c-8f92-418e-8aa3-1fe1b44589d4	Renfrewshire	Renfrewshire	2	0	2013-05-21 17:07:09.792084+02	\N	\N	\N	\N	\N	\N	f	
3982	25a70142-c72e-441f-8950-325189c44387	Rhondda, Cynon, Taff	Rhondda, Cynon, Taff	2	0	2013-05-21 17:07:20.568951+02	\N	\N	\N	\N	\N	\N	f	
4003	d06a2786-b400-4e5c-8aba-4015377f85cf	Telford and Wrekin	Telford and Wrekin	2	0	2013-05-21 17:11:21.952374+02	\N	\N	\N	\N	\N	\N	f	
3983	4020f085-9caf-433d-b8aa-2ee86f0c7589	Greenwich	Greenwich	2	0	2013-05-21 17:07:31.462173+02	\N	\N	\N	\N	\N	\N	f	
3993	f706259c-989f-4a92-bbac-211135b5c207	Southend-on-Sea	Southend-on-Sea	2	0	2013-05-21 17:09:28.51219+02	\N	\N	\N	\N	\N	\N	f	
3984	a8000b64-a257-441c-9b1b-1084a7f5b626	Rutland	Rutland	2	0	2013-05-21 17:07:42.746216+02	\N	\N	\N	\N	\N	\N	f	
3985	ddb39253-06b3-4e3a-b218-21bdc94172b5	Shetland Islands	Shetland Islands	2	0	2013-05-21 17:07:54.083789+02	\N	\N	\N	\N	\N	\N	f	
3986	3fd2c297-7015-4cc0-ad37-48dcb262621f	Shropshire	Shropshire	2	0	2013-05-21 17:08:05.244782+02	\N	\N	\N	\N	\N	\N	f	
4011	5adb462f-dff6-4151-abd2-0a4d830c1fc1	West Berkshire	West Berkshire	2	0	2013-05-21 17:12:51.657772+02	\N	\N	\N	\N	\N	\N	f	
3994	84cc125d-5c91-4ec3-ad7c-31751359bb51	Staffordshire	Staffordshire	2	0	2013-05-21 17:09:39.803266+02	\N	\N	\N	\N	\N	\N	f	
4004	b7622e47-b3ed-41ac-9ef8-be3606174da3	Scottish Borders, The	Scottish Borders, The	2	0	2013-05-21 17:11:33.34745+02	\N	\N	\N	\N	\N	\N	f	
3995	2481e7d6-ff39-4e05-9ca5-a0a56e3e3b2d	Stirling	Stirling	2	0	2013-05-21 17:09:51.092857+02	\N	\N	\N	\N	\N	\N	f	
3996	5c331d62-d679-41f9-9b55-c590125ef747	Stockton-on-Tees	Stockton-on-Tees	2	0	2013-05-21 17:10:01.954184+02	\N	\N	\N	\N	\N	\N	f	
3997	8e577cfe-54af-4581-906f-eac74b4cd17c	Stoke-on-Trent	Stoke-on-Trent	2	0	2013-05-21 17:10:13.389076+02	\N	\N	\N	\N	\N	\N	f	
4005	495c38be-f0cd-4206-a259-7ba778817975	Vale of Glamorgan, The	Vale of Glamorgan, The	2	0	2013-05-21 17:11:44.219282+02	\N	\N	\N	\N	\N	\N	f	
3998	5d4b1863-dc71-432d-95cf-fbf8b2fc7492	Strabane	Strabane	2	0	2013-05-21 17:10:24.868669+02	\N	\N	\N	\N	\N	\N	f	
3999	6e2d2d30-dbc9-4d27-99f7-df571dbd0646	Suffolk	Suffolk	2	0	2013-05-21 17:10:36.051551+02	\N	\N	\N	\N	\N	\N	f	
4000	fe92d6d6-4f35-4a0e-a48a-b802ae9cdaf4	Surrey	Surrey	2	0	2013-05-21 17:10:47.439+02	\N	\N	\N	\N	\N	\N	f	
4012	3efc2708-f486-4348-815b-ad2dcc0d1803	West Dunbartonshire	West Dunbartonshire	2	0	2013-05-21 17:13:03.458524+02	\N	\N	\N	\N	\N	\N	f	
4001	f449c819-0a9b-4c08-9446-6e7d5bd48d08	Swansea	Swansea	2	0	2013-05-21 17:10:59.057939+02	\N	\N	\N	\N	\N	\N	f	
4006	054037e7-f146-4e73-aaca-bdb4b48eeada	Thurrock	Thurrock	2	0	2013-05-21 17:11:54.900109+02	\N	\N	\N	\N	\N	\N	f	
4007	8fe02a84-76d4-48d5-935b-e8650ba9ff39	Torbay	Torbay	2	0	2013-05-21 17:12:06.223174+02	\N	\N	\N	\N	\N	\N	f	
4008	b51fabf7-3a82-430e-b553-e45b1ee724c6	Torfaen	Torfaen	2	0	2013-05-21 17:12:17.96853+02	\N	\N	\N	\N	\N	\N	f	
4013	9a8796e1-f23e-44f8-81d7-a80499c2bc25	West Lothian	West Lothian	2	0	2013-05-21 17:13:14.458885+02	\N	\N	\N	\N	\N	\N	f	
4009	25558e1e-d400-4629-8333-c0a324b60eec	Warrington	Warrington	2	0	2013-05-21 17:12:28.965874+02	\N	\N	\N	\N	\N	\N	f	
4017	ebeea3a6-e9f0-4437-8d0f-9dfd12f4f9b1	Wokingham	Wokingham	2	0	2013-05-21 17:13:59.62865+02	\N	\N	\N	\N	\N	\N	f	
4010	bbfed5f7-9a49-40f0-a787-9ce951e3097d	Warwickshire	Warwickshire	2	0	2013-05-21 17:12:40.25127+02	\N	\N	\N	\N	\N	\N	f	
4014	a7251dbd-388c-4fdf-a294-1bcde106ddf7	West Sussex	West Sussex	2	0	2013-05-21 17:13:25.312903+02	\N	\N	\N	\N	\N	\N	f	
14394	a62e818e-ae04-4f89-85a5-e2b0bc4ce398	Giarole	Giarole	4	0	2013-07-21 21:28:00.284673+02	\N	\N	\N	\N	\N	\N	f	
4015	6978245c-9b5e-4a4c-82c1-83cf5e54584f	Wiltshire	Wiltshire	2	0	2013-05-21 17:13:36.8678+02	\N	\N	\N	\N	\N	\N	f	
4018	2fb56867-9b52-4fd3-a562-6d7d13441d60	Worcestershire	Worcestershire	2	0	2013-05-21 17:14:12.187647+02	\N	\N	\N	\N	\N	\N	f	
4019	acd67bc2-3eac-4e04-afe1-70a0663ec59f	Wrexham	Wrexham	2	0	2013-05-21 17:14:23.778882+02	\N	\N	\N	\N	\N	\N	f	
5136	3bb238a4-c2a4-44e5-9843-a63e71b17e83	Indianapolis	Indianapolis	3	0	2013-05-24 22:34:35.77088+02	\N	\N	\N	\N	\N	\N	f	
3823	817a3404-240e-49c0-b799-21bf578b3991	City of London	London, City of	2	0	2013-06-05 10:22:54.428584+02	\N	\N	\N	\N	\N	\N	f	
4024	6177c51d-11de-4d4d-93f7-0f7a0b5e99f8	Tyne and Wear	Tyne and Wear	2	0	2013-08-28 15:50:52.558064+02	\N	\N	\N	\N	\N	\N	f	
4023	b2cadf3d-73d5-4017-b740-5897eccc8445	South Yorkshire	South Yorkshire	2	0	2013-08-28 15:50:48.763933+02	\N	\N	\N	\N	\N	\N	f	
13787	14c9d54a-fb90-45d2-aa79-8473fc8a5079	Capriano del Colle	Capriano del Colle	4	0	2013-07-21 19:12:17.642461+02	\N	\N	\N	\N	\N	\N	f	
4028	59676834-9e90-4868-9e9e-52e557a0e4c1	Berat	Berat	2	0	2013-06-05 08:27:06.320121+02	\N	\N	\N	\N	\N	\N	f	
4026	c996bd09-5afd-4a0d-adf0-61aebb7b795d	West Yorkshire	West Yorkshire	2	0	2013-05-21 18:56:39.990568+02	\N	\N	\N	\N	\N	\N	f	
15497	1bb37303-bd4c-4df5-bcef-fc57218aa15e	Selci	Selci	4	0	2013-07-22 00:58:29.610808+02	\N	\N	\N	\N	\N	\N	f	
4030	65ae046f-85ee-43cc-948f-ecdce523f479	Delvinë	Delvinë	2	0	2013-05-22 11:56:42.679708+02	\N	\N	\N	\N	\N	\N	f	
4031	af8d7136-9a96-432a-9462-e8069515408d	Durrës	Durrës	2	0	2013-05-22 11:57:00.002561+02	\N	\N	\N	\N	\N	\N	f	
3821	40d758a4-b7c2-40f3-b439-5efbd2a3b038	Bristol	Bristol	3	0	2013-05-24 01:30:13.981728+02	\N	\N	\N	\N	\N	\N	f	
4032	2e933501-ff5c-4d88-a84a-73869d5671b3	Devoll	Devoll	2	0	2013-05-22 11:57:19.321637+02	\N	\N	\N	\N	\N	\N	f	
4020	3a28f05b-59e0-4aa1-9a79-b96f5ef6403b	York	York	3	0	2013-05-24 01:16:30.393756+02	\N	\N	\N	\N	\N	\N	f	
4021	a769ad5b-0988-4963-b480-4f91e33f2beb	Greater Manchester	Greater Manchester	2	0	2013-05-24 01:30:52.226038+02	\N	\N	\N	\N	\N	\N	f	
4025	07607044-8140-47ba-bb24-7129babe586b	West Midlands	West Midlands	2	0	2013-08-28 15:50:43.164525+02	\N	\N	\N	\N	\N	\N	f	
4033	4b14627a-4468-4d48-b6c3-3b0a4cc73db3	Elbasan	Elbasan	2	0	2013-05-22 11:57:33.653432+02	\N	\N	\N	\N	\N	\N	f	
4093	6d66cec5-1f08-45cc-b3bf-f40ee6533503	Gopalganj	Gopalganj	2	0	2013-05-22 12:10:50.067527+02	\N	\N	\N	\N	\N	\N	f	
4034	e1e7b415-0917-4dcc-a392-53a110d4b1b5	Kolonjë	Kolonjë	2	0	2013-05-22 11:57:44.691794+02	\N	\N	\N	\N	\N	\N	f	
4035	4e86c8b0-7ffb-4cad-aa91-00c39e4a8616	Fier	Fier	2	0	2013-05-22 11:57:55.614892+02	\N	\N	\N	\N	\N	\N	f	
4036	409d2772-1509-434d-a998-5bf58495f68b	Gjirokastër	Gjirokastër	2	0	2013-05-22 11:58:09.279111+02	\N	\N	\N	\N	\N	\N	f	
4094	dd4fbfaa-7289-4092-8185-a83097941473	Gazipur	Gazipur	2	0	2013-05-22 12:11:02.071036+02	\N	\N	\N	\N	\N	\N	f	
4037	64fcee86-52a0-47c5-8328-260b1ed0c5fd	Gramsh	Gramsh	2	0	2013-05-22 11:58:20.13949+02	\N	\N	\N	\N	\N	\N	f	
4038	1b896bfd-a753-475d-ba90-be9415f2aa87	Has	Has	2	0	2013-05-22 11:58:32.001209+02	\N	\N	\N	\N	\N	\N	f	
4039	768cd866-2f06-4bf2-91f4-95bc5d63eebe	Kavajë	Kavajë	2	0	2013-05-22 11:58:42.790226+02	\N	\N	\N	\N	\N	\N	f	
4115	5b3f3329-9543-4178-baa7-89ab48514ed4	Meherpur	Meherpur	2	0	2013-05-22 12:15:55.840991+02	\N	\N	\N	\N	\N	\N	f	
4040	c24d80ff-665d-4621-ab50-1ee9d2c724e5	Kurbin	Kurbin	2	0	2013-05-22 11:58:53.548321+02	\N	\N	\N	\N	\N	\N	f	
4041	28a69d16-b0ad-4c92-8173-9bde8ff62035	Kuçovë	Kuçovë	2	0	2013-05-22 11:59:07.067495+02	\N	\N	\N	\N	\N	\N	f	
4773	30b16b4d-0be1-43ed-9ef5-8fcd7c79013b	Safi	Safi	2	0	2013-05-22 15:08:43.240604+02	\N	\N	\N	\N	\N	\N	f	
4042	ceb12a0c-769e-448e-b1b6-8348b2ecdbdf	Korçë	Korçë	2	0	2013-05-22 11:59:19.036505+02	\N	\N	\N	\N	\N	\N	f	
4043	cd2d3062-069d-4047-8c6e-e9167a04a926	Krujë	Krujë	2	0	2013-05-22 11:59:32.930156+02	\N	\N	\N	\N	\N	\N	f	
5771	1db60bf3-70e9-4291-8714-ab067df8c178	Broomfield	Broomfield	3	0	2013-05-25 00:48:12.685519+02	\N	\N	\N	\N	\N	\N	f	
4044	d17b25e4-548f-4ad2-ae87-79d3ad8b6f17	Kukës	Kukës	2	0	2013-05-22 11:59:46.977956+02	\N	\N	\N	\N	\N	\N	f	
4874	86a42e3a-3922-4ec1-8295-6df681980009	Northland	Northland	2	0	2013-05-22 15:38:36.256713+02	\N	\N	\N	\N	\N	\N	f	
4045	a9f9b12f-1655-414c-94d3-5376748b8a22	Librazhd	Librazhd	2	0	2013-05-22 12:00:01.440762+02	\N	\N	\N	\N	\N	\N	f	
4046	4a3c0870-7b59-4ced-9d64-5364a2937108	Lezhë	Lezhë	2	0	2013-05-22 12:00:15.827547+02	\N	\N	\N	\N	\N	\N	f	
5137	903b6946-4d44-4b3c-a361-5c1ec762d8a9	Rome	Rome	3	0	2013-05-24 22:34:46.341838+02	\N	\N	\N	\N	\N	\N	f	
4054	a35f0d6a-fed6-43cc-b9d0-7395a0260fb2	Përmet	Përmet	2	0	2013-05-22 12:02:17.574298+02	\N	\N	\N	\N	\N	\N	f	
4058	e55e4ac4-21ae-420f-af8f-b09c8f5e22e5	Tepelenë	Tepelenë	2	0	2013-05-22 12:03:14.458048+02	\N	\N	\N	\N	\N	\N	f	
7117	5fd15282-cb26-47ae-af5e-8c52ce9b2c32	Ostróda	Ostróda	3	0	2013-05-26 16:56:51.874807+02	\N	\N	\N	\N	\N	\N	f	
4902	2c39eb61-5019-49e2-b232-462d93f3f60f	Capiz	Capiz	2	0	2013-06-05 09:13:18.707434+02	\N	\N	\N	\N	\N	\N	f	
4063	0cda1ea2-1115-4f95-9594-2b15e80c89f0	Naxçıvan	Naxçıvan	2	0	2013-05-22 12:04:13.07405+02	\N	\N	\N	\N	\N	\N	f	
17303	c1fee35d-0e15-4943-8bb6-812cf7a13184	Semestene	Semestene	4	0	2013-07-22 06:10:22.528763+02	\N	\N	\N	\N	\N	\N	f	
4072	366b3fde-d7f5-4559-9106-ff22ec7014c7	Srednjobosanski kanton	Srednjobosanski kanton	2	0	2013-05-22 12:06:03.890046+02	\N	\N	\N	\N	\N	\N	f	
4073	f68eb3db-0053-49de-9895-6080fd8a5ad1	Hercegovačko-neretvanski kanton	Hercegovačko-neretvanski kanton	2	0	2013-05-22 12:06:17.417223+02	\N	\N	\N	\N	\N	\N	f	
4077	0dab0bda-de28-4827-b4c4-d952645ddc76	Bandarban	Bandarban	2	0	2013-06-05 10:23:37.152291+02	\N	\N	\N	\N	\N	\N	f	
4078	43f80e65-3f4a-4481-aa07-71965b19837b	Barguna	Barguna	2	0	2013-06-05 07:54:08.338814+02	\N	\N	\N	\N	\N	\N	f	
5308	0c8c68b7-e68f-463f-80a5-ddcaa7305ce1	St. George	St. George	3	0	2013-05-24 23:08:10.81406+02	\N	\N	\N	\N	\N	\N	f	
4090	3f2f6539-58ec-4e95-94ab-369879f75f49	Dinajpur	Dinajpur	2	0	2013-05-22 12:10:12.496738+02	\N	\N	\N	\N	\N	\N	f	
6445	3264e7da-b883-463c-b675-559033358c83	Baqershahr	Baqershahr	3	0	2013-05-25 03:06:56.41993+02	\N	\N	\N	\N	\N	\N	f	
5459	b5d80566-040e-4121-8c2b-7e8c95648e1f	Tomaszów Mazowiecki	Tomaszów Mazowiecki	3	0	2013-05-24 23:38:14.081103+02	\N	\N	\N	\N	\N	\N	f	
5955	34961d33-3b93-4297-9f6f-046cb2539b56	Wschowa	Wschowa	3	0	2013-05-25 01:25:46.836229+02	\N	\N	\N	\N	\N	\N	f	
5658	2d522c85-e099-42f0-a877-fa5dd5fc877d	Bojnord	Bojnord	3	0	2013-05-25 00:24:32.401831+02	\N	\N	\N	\N	\N	\N	f	
6015	c7eb35ab-5ece-4ade-9a20-9c46ccc8d85b	Gonabad	Gonabad	3	0	2013-05-25 01:36:22.105551+02	\N	\N	\N	\N	\N	\N	f	
6169	2de75ecc-4804-41c9-ac91-fd2e91305e49	Qaderabad	Qaderabad	3	0	2013-05-25 02:05:51.095278+02	\N	\N	\N	\N	\N	\N	f	
6452	0275bc04-a3d1-474b-bacf-b85566718a0d	Chapeshlu	Chapeshlu	3	0	2013-05-25 03:08:10.464767+02	\N	\N	\N	\N	\N	\N	f	
6224	6d623fe4-4f93-455a-ac56-d538a9ca1eb6	Fremont, Ohio	Fremont, Ohio	3	0	2013-05-25 02:15:57.061667+02	\N	\N	\N	\N	\N	\N	f	
6264	0e163cd3-cece-4499-82a2-5cfc70d20076	Robat Karim	Robat Karim	3	0	2013-05-25 02:25:18.474571+02	\N	\N	\N	\N	\N	\N	f	
7037	974dfa33-4d37-4a41-aede-43d3f56a7e9b	Śmigiel	Śmigiel	3	0	2013-05-26 16:35:12.178369+02	\N	\N	\N	\N	\N	\N	f	
6385	9faa4aa7-3bb5-4987-8114-8403c52c09c2	Liberia	Liberia	3	0	2013-05-25 02:53:45.990617+02	\N	\N	\N	\N	\N	\N	f	
7480	d1beb42d-ed71-4af0-8bd5-8f9b862fa7ad	Limburg an der Lahn	Limburg an der Lahn	3	0	2013-05-29 00:24:42.094388+02	\N	\N	\N	\N	\N	\N	f	
6489	a00eb669-597e-4cbd-9cc2-0be341dcfed9	Shirgah	Shirgah	3	0	2013-05-25 03:17:46.815936+02	\N	\N	\N	\N	\N	\N	f	
7242	33ca6667-d2ff-433b-9909-08fddf8779c4	Słomniki	Słomniki	3	0	2013-05-26 17:27:22.933412+02	\N	\N	\N	\N	\N	\N	f	
6517	33b53db6-93c1-41a0-add1-cdaf41ac1582	Nelson	Nelson	3	0	2013-05-25 03:24:13.773164+02	\N	\N	\N	\N	\N	\N	f	
6669	667cae74-eca7-4005-87e9-ab08797c9f69	Vahdatiyeh	Vahdatiyeh	3	0	2013-05-25 03:53:44.818159+02	\N	\N	\N	\N	\N	\N	f	
6944	f27134ae-3d6d-45ad-96b3-2fe8ffa6d706	Ząbki	Ząbki	3	0	2013-05-25 14:11:47.92553+02	\N	\N	\N	\N	\N	\N	f	
7819	b4751e94-2322-491e-8da1-f429e5bdbb53	Park Ridge	Park Ridge	3	0	2013-05-29 02:39:14.097873+02	\N	\N	\N	\N	\N	\N	f	
6977	d56d32af-122b-4226-84d1-104641420505	Indian Wells	Indian Wells	3	0	2013-05-25 14:19:04.295369+02	\N	\N	\N	\N	\N	\N	f	
2065	2d74aa5a-a079-4627-9346-d5fc3eca3c79	Škocjan	Škocjan	2	0	2013-05-27 19:44:03.413675+02	\N	\N	\N	\N	\N	\N	f	
5305	8cac5be8-a668-4d68-9afb-11305f3940b3	Fremont	Fremont	3	0	2013-05-26 14:09:41.316555+02	\N	\N	\N	\N	\N	\N	f	
151	c741c28e-cbec-3977-88c8-583a8af62522	Netherlands Antilles	Netherlands Antilles	1	0	2013-05-27 15:35:07.477307+02	1954	\N	\N	2010	\N	\N	t	
7631	d05c048c-8a88-4a5d-a1c3-7a0e172ab4d0	Florstadt	Florstadt	3	0	2013-05-29 01:00:08.034611+02	\N	\N	\N	\N	\N	\N	f	
7748	2e3cd492-9eef-4acf-947d-7d1dd3b76269	Pasadena, Texas	Pasadena, Texas	3	0	2013-05-29 02:20:30.953826+02	\N	\N	\N	\N	\N	\N	f	
7349	abaf43ef-1bad-44f1-9d1c-0e6fc00eb258	Jalalabad	Jalalabad	3	0	2013-05-28 14:09:15.36704+02	\N	\N	\N	\N	\N	\N	f	
8749	e624d455-9d6c-4699-9501-d24a05bdf338	Bielawa	Bielawa	3	0	2013-06-01 18:34:25.846114+02	\N	\N	\N	\N	\N	\N	f	
7899	8b4a60a1-2240-4019-b915-2ca03526013d	Kent	Kent	3	0	2013-05-29 03:02:17.825532+02	\N	\N	\N	\N	\N	\N	f	
8619	a67e176f-c1f1-4b15-a658-6b0623bd6953	Przecław	Przecław	3	0	2013-06-01 17:56:45.387464+02	\N	\N	\N	\N	\N	\N	f	
8258	80482b31-ce11-4c02-a1d7-d87b818ea0ed	Wivenhoe	Wivenhoe	3	0	2013-05-30 21:30:31.20437+02	\N	\N	\N	\N	\N	\N	f	
8466	c3d5ed85-290f-4365-8cdb-e0fcad6a179e	Walcha	Walcha	3	0	2013-06-01 17:19:45.482059+02	\N	\N	\N	\N	\N	\N	f	
8874	c74b9af1-f3b6-4d60-9f69-162a254d0f6c	Zhangye	Zhangye	3	0	2013-06-01 19:48:20.046668+02	\N	\N	\N	\N	\N	\N	f	
9007	cb459968-b564-4d3d-bc80-6ebcf2a0f6bf	Liupanshui	Liupanshui	3	0	2013-06-01 20:20:14.886456+02	\N	\N	\N	\N	\N	\N	f	
9134	57a4e241-6b57-4511-8fbe-ce4d07c4cfed	Shuozhou	Shuozhou	3	0	2013-06-01 20:46:45.299519+02	\N	\N	\N	\N	\N	\N	f	
4897	ef6cf6eb-c8d9-4e88-8b45-035b64e627d6	Bukidnon	Bukidnon	2	0	2013-06-05 07:48:20.867329+02	\N	\N	\N	\N	\N	\N	f	
9186	c4575f4d-41fe-4546-a464-746e7446c1e5	Libiąż	Libiąż	3	0	2013-06-01 21:02:33.230508+02	\N	\N	\N	\N	\N	\N	f	
4320	4c0967e0-9fa9-4f85-b558-aa5a160ee27c	Córdoba	Córdoba	2	0	2013-06-05 08:07:01.259223+02	\N	\N	\N	\N	\N	\N	f	
4628	b1880d0b-6d3f-4784-a641-5252d40f049f	Brindisi	Brindisi	2	0	2013-06-05 09:04:45.450242+02	\N	\N	\N	\N	\N	\N	f	
4061	b6cec2e6-6fab-42c3-bbdb-36827087709b	Culfa	Culfa	2	0	2013-06-05 11:58:25.658694+02	\N	\N	\N	\N	\N	\N	f	
3615	151fce82-af69-4ce2-a8eb-64c4f8bfcc04	Al Jazīrah	Al Jazīrah	2	0	2013-06-05 11:24:16.40796+02	\N	\N	\N	\N	\N	\N	f	
9478	f13625cb-f7d8-4202-bb58-57a0fe29cd27	Savarkundla	Savarkundla	3	0	2013-06-09 17:50:25.74093+02	\N	\N	\N	\N	\N	\N	f	
9658	03764732-a1d5-49ec-ae82-96e09ed3aa4c	Weinstadt	Weinstadt	3	0	2013-06-13 18:15:37.033663+02	\N	\N	\N	\N	\N	\N	f	
19664	28971314-62a0-4694-9d3d-165fc4df4551	Chitignano	Chitignano	4	0	2013-07-22 11:15:51.445563+02	\N	\N	\N	\N	\N	\N	f	
9661	564f6766-f295-4c97-901f-1bf68249903e	Oldenburg	Oldenburg	3	0	2013-06-13 20:51:01.67901+02	\N	\N	\N	\N	\N	\N	f	
4047	39c4fcda-49fc-4619-9119-7368a4538f1b	Lushnjë	Lushnjë	2	0	2013-05-22 12:00:27.052053+02	\N	\N	\N	\N	\N	\N	f	
4048	869806d5-bd64-4374-a96e-620b39e2f867	Mallakastër	Mallakastër	2	0	2013-05-22 12:00:38.08657+02	\N	\N	\N	\N	\N	\N	f	
4101	4afa9de5-20fe-457a-8818-739827c02fe1	Jhalakati	Jhalakati	2	0	2013-05-22 12:12:27.623283+02	\N	\N	\N	\N	\N	\N	f	
4049	e6836b73-70a8-4767-856c-ab68f7921070	Malësi e Madhe	Malësi e Madhe	2	0	2013-05-22 12:00:49.277987+02	\N	\N	\N	\N	\N	\N	f	
4050	54879b31-8aa5-40d1-82e3-b0ea71ad3be2	Mirditë	Mirditë	2	0	2013-05-22 12:01:07.212018+02	\N	\N	\N	\N	\N	\N	f	
4051	406c673e-c1cb-406e-bb69-e28381ace862	Mat	Mat	2	0	2013-05-22 12:01:21.065589+02	\N	\N	\N	\N	\N	\N	f	
4111	43fb6c07-1f73-4f1a-9df2-da064fece4fe	Munshiganj	Munshiganj	2	0	2013-05-22 12:14:49.504958+02	\N	\N	\N	\N	\N	\N	f	
4052	c5c8f5b1-a22c-4949-ad7e-823e7c04f394	Pogradec	Pogradec	2	0	2013-05-22 12:01:42.045817+02	\N	\N	\N	\N	\N	\N	f	
4053	900b812f-ad5b-43da-9553-41c6e98c3fd3	Peqin	Peqin	2	0	2013-05-22 12:02:03.029716+02	\N	\N	\N	\N	\N	\N	f	
13789	a1777f88-f11f-4e43-859d-3f1b70c6ca47	Vistrorio	Vistrorio	4	0	2013-07-21 19:12:41.646496+02	\N	\N	\N	\N	\N	\N	f	
4055	12267a1b-0ebb-48c4-aa6e-67715109bfb4	Pukë	Pukë	2	0	2013-05-22 12:02:32.919252+02	\N	\N	\N	\N	\N	\N	f	
4113	7964bc2f-7081-469e-9163-3108e8f35c32	Magura	Magura	2	0	2013-05-22 12:15:17.633512+02	\N	\N	\N	\N	\N	\N	f	
4056	ecd765b2-80bf-4077-a571-48e59606b972	Shkodër	Shkodër	2	0	2013-05-22 12:02:47.111532+02	\N	\N	\N	\N	\N	\N	f	
4057	8136a273-4fd0-4bb1-805b-39fb8a5480ac	Sarandë	Sarandë	2	0	2013-05-22 12:03:01.087905+02	\N	\N	\N	\N	\N	\N	f	
4059	d74b5c76-6104-4e85-af6f-d593bda0b34c	Tropojë	Tropojë	2	0	2013-05-22 12:03:26.195737+02	\N	\N	\N	\N	\N	\N	f	
14396	efe99830-8cf7-419f-af04-ea7a22641416	Fraconalto	Fraconalto	4	0	2013-07-21 21:28:26.615289+02	\N	\N	\N	\N	\N	\N	f	
4774	401410ca-d874-4790-8748-44dd39071ff3	Sidi Youssef Ben Ali	Sidi Youssef Ben Ali	2	0	2013-05-22 15:08:58.124508+02	\N	\N	\N	\N	\N	\N	f	
4064	59dd2015-acc2-4b7c-9683-ba82e3791b7a	Sədərək	Sədərək	2	0	2013-05-22 12:04:25.170606+02	\N	\N	\N	\N	\N	\N	f	
5138	6f849214-bfee-4a06-a0e3-c19906a3c8d8	Moroni	Moroni	3	0	2013-05-24 22:34:58.182917+02	\N	\N	\N	\N	\N	\N	f	
14426	bb39f39d-4cba-477b-99b0-3eedc91c9da9	Montegioco	Montegioco	4	0	2013-07-21 21:35:16.789392+02	\N	\N	\N	\N	\N	\N	f	
4065	4fb4c441-0953-41c2-a1f8-05788f59d171	Şahbuz	Şahbuz	2	0	2013-05-27 19:46:09.701099+02	\N	\N	\N	\N	\N	\N	f	
15498	6c8d5574-25fa-410d-aaba-352802e0f88c	Galliate	Galliate	4	0	2013-07-22 00:58:43.87433+02	\N	\N	\N	\N	\N	\N	f	
4629	1d5ef7a0-5642-4290-86ab-9e57397bb7c0	Brescia	Brescia	2	0	2013-06-05 09:11:04.66477+02	\N	\N	\N	\N	\N	\N	f	
4074	04fca156-7051-4824-8fde-582ca4ce083f	Zapadnohercegovački kanton	Zapadnohercegovački kanton	2	0	2013-05-22 12:06:31.173222+02	\N	\N	\N	\N	\N	\N	f	
5033	96add56c-d801-4b06-81e1-54b61944b6aa	Maracha	Maracha	2	0	2013-05-22 16:12:23.366734+02	\N	\N	\N	\N	\N	\N	f	
4080	055eac27-07cc-4589-a241-ad78eed385e5	Brahmanbaria	Brahmanbaria	2	0	2013-06-05 10:02:33.687191+02	\N	\N	\N	\N	\N	\N	f	
5775	8e438f38-b9af-4a6d-aa29-8b57770afbd2	Sarasota	Sarasota	3	0	2013-05-25 00:48:55.330674+02	\N	\N	\N	\N	\N	\N	f	
4081	d11ad1cb-a79b-43c4-8657-4130ba2b9bfd	Bagerhat	Bagerhat	2	0	2013-06-05 10:19:49.833882+02	\N	\N	\N	\N	\N	\N	f	
5238	ded88b07-192f-4265-95a6-5085ee12f4ca	Salvador	Salvador	3	0	2013-05-24 22:54:59.85369+02	\N	\N	\N	\N	\N	\N	f	
4085	25f9e683-c39c-4263-8a91-805257ecd8c0	Chandpur	Chandpur	2	0	2013-06-05 10:26:45.192534+02	\N	\N	\N	\N	\N	\N	f	
4089	2c560ec5-018e-4d41-bc74-a44b01aff6a9	Dhaka	Dhaka	2	0	2013-05-22 12:09:57.387287+02	\N	\N	\N	\N	\N	\N	f	
4091	f93bafbf-8c00-43a3-addf-a4777fbe738f	Faridpur	Faridpur	2	0	2013-05-22 12:10:24.221292+02	\N	\N	\N	\N	\N	\N	f	
5306	8feab5af-6290-47e6-993d-b839e668211b	Scottsdale	Scottsdale	3	0	2013-05-24 23:07:42.892092+02	\N	\N	\N	\N	\N	\N	f	
4097	7f4a369e-c479-4bc2-a45b-7a3d82e62a8c	Jamalpur	Jamalpur	2	0	2013-05-22 12:11:38.779961+02	\N	\N	\N	\N	\N	\N	f	
4098	e0f6a2c0-4055-425d-9077-d3ac940084a3	Jessore	Jessore	2	0	2013-05-22 12:11:50.564887+02	\N	\N	\N	\N	\N	\N	f	
5328	7cfcd751-00e0-480b-a30c-0149fb53c18a	Nowy Tomyśl	Nowy Tomyśl	3	0	2013-05-24 23:13:06.524028+02	\N	\N	\N	\N	\N	\N	f	
5956	9a4517a7-ef28-46b0-822b-5b0ca3ce22b8	Głuszyca	Głuszyca	3	0	2013-05-25 01:25:57.589407+02	\N	\N	\N	\N	\N	\N	f	
5461	0032e6f0-a578-4836-91dd-a734158392f8	Fukushima	Fukushima	3	0	2013-05-24 23:38:35.717588+02	\N	\N	\N	\N	\N	\N	f	
5598	f35ecf7b-0b05-4178-8b82-2f29ec5433c9	Kamienna Góra	Kamienna Góra	3	0	2013-05-25 00:10:51.794668+02	\N	\N	\N	\N	\N	\N	f	
5637	d8c2f86f-9b0c-4858-950c-c53a891dd7e9	Pińczów	Pińczów	3	0	2013-05-25 00:19:40.408262+02	\N	\N	\N	\N	\N	\N	f	
6173	49c58952-ae9d-4331-9cae-7c36e1229c8f	Jannat Shahr	Jannat Shahr	3	0	2013-05-25 02:06:34.400627+02	\N	\N	\N	\N	\N	\N	f	
5659	c287b89e-43a3-4b97-9061-abfa14eb1746	Brzesko	Brzesko	3	0	2013-05-25 00:24:49.111302+02	\N	\N	\N	\N	\N	\N	f	
5691	bc01f4b2-0868-409e-867d-fa1f14262f1b	Ropczyce	Ropczyce	3	0	2013-05-25 00:31:59.864658+02	\N	\N	\N	\N	\N	\N	f	
6446	b221fbe2-76e5-4252-a4bf-7ef099b672aa	Dehdez	Dehdez	3	0	2013-05-25 03:07:07.454455+02	\N	\N	\N	\N	\N	\N	f	
6204	4ac85d8b-c5f3-4d61-883e-5db2087aa150	Shazand	Shazand	3	0	2013-05-25 02:12:05.674867+02	\N	\N	\N	\N	\N	\N	f	
6752	d5455dbd-1805-4fa5-8f42-ae25aad58dd4	Bileh Savar	Bileh Savar	3	0	2013-05-25 04:09:33.071613+02	\N	\N	\N	\N	\N	\N	f	
7119	ed368f8a-73b5-48de-9bc4-f6825701bb91	Radlin, Silesian Voivodeship	Radlin, Silesian Voivodeship	3	0	2013-05-26 16:57:24.185275+02	\N	\N	\N	\N	\N	\N	f	
6474	50399b77-8f5c-4a53-b233-cef47ef43787	Heidelberg	Heidelberg	3	0	2013-05-25 03:13:52.991574+02	\N	\N	\N	\N	\N	\N	f	
6480	0447f816-c504-4337-b12f-095d6f04f0be	Burlington	Burlington	3	0	2013-05-25 03:15:29.441286+02	\N	\N	\N	\N	\N	\N	f	
6946	935b63fc-18f1-4601-a909-a778f1a21198	Lędziny	Lędziny	3	0	2013-05-25 14:12:14.844764+02	\N	\N	\N	\N	\N	\N	f	
6512	bd664718-9706-4fa4-873f-11420d37d1e5	Bandar-e Gaz	Bandar-e Gaz	3	0	2013-05-25 03:22:47.51699+02	\N	\N	\N	\N	\N	\N	f	
6681	76ba2c59-7ff0-41fe-9527-9da2c3e2a942	Bagh-e Malek	Bagh-e Malek	3	0	2013-05-25 03:55:52.438362+02	\N	\N	\N	\N	\N	\N	f	
7632	30ff9f00-e990-4997-a3c8-38cfef10613a	Bad Orb	Bad Orb	3	0	2013-05-29 01:00:20.139948+02	\N	\N	\N	\N	\N	\N	f	
6700	8c680e87-6561-46c9-977a-d044892aafae	Arsanjan	Arsanjan	3	0	2013-05-25 03:59:08.023335+02	\N	\N	\N	\N	\N	\N	f	
6955	14a20041-b4f8-48c5-b75f-d8e37e93198d	Nowe Warpno	Nowe Warpno	3	0	2013-05-25 14:14:12.791578+02	\N	\N	\N	\N	\N	\N	f	
6732	60b10e6d-6c81-486d-9482-43bf640c35f5	Salman Shahr	Salman Shahr	3	0	2013-05-25 04:04:55.28177+02	\N	\N	\N	\N	\N	\N	f	
7121	82430cdf-a0b3-407b-9fd7-a122e208b059	Choroszcz	Choroszcz	3	0	2013-05-26 16:57:47.673309+02	\N	\N	\N	\N	\N	\N	f	
6386	5d9fe7d9-b792-4ba0-8d81-d76d69edfe55	Hornell	Hornell	3	0	2013-05-26 14:24:19.469289+02	\N	\N	\N	\N	\N	\N	f	
7038	7e1da1a3-610e-4195-ba02-1d1216a3393e	Świdnica	Świdnica	3	0	2013-05-26 16:35:23.143229+02	\N	\N	\N	\N	\N	\N	f	
7481	8c5575a2-4cbf-4a3a-b1c8-19fc5dbb1940	Hofheim am Taunus	Hofheim am Taunus	3	0	2013-05-29 00:24:54.710499+02	\N	\N	\N	\N	\N	\N	f	
7243	73826040-56c6-479f-aee3-bf55ce2a4395	Kowalewo Pomorskie	Kowalewo Pomorskie	3	0	2013-05-26 17:27:34.729724+02	\N	\N	\N	\N	\N	\N	f	
2	1c69b790-b46b-3e92-b6b4-93b4364badbc	Albania	Albania	1	0	2013-05-27 15:35:38.624841+02	\N	\N	\N	\N	\N	\N	f	
4066	4e747c29-feb6-4db7-a201-17c195f16ad8	Şərur	Şərur	2	0	2013-05-27 19:41:00.06235+02	\N	\N	\N	\N	\N	\N	f	
3081	67313280-988b-4fc0-bd62-28c59442572b	Ḩalab	Ḩalab	2	0	2013-05-27 19:44:25.469188+02	\N	\N	\N	\N	\N	\N	f	
7535	b7fb75c5-4742-4c61-9b95-969a5f6d1653	Bad Buchau	Bad Buchau	3	0	2013-05-29 00:41:07.207591+02	\N	\N	\N	\N	\N	\N	f	
7350	30c40e87-e851-4ff9-abe6-726fb09ef146	Pazardzhik	Pazardzhik	3	0	2013-05-28 14:09:25.550514+02	\N	\N	\N	\N	\N	\N	f	
7659	234304b4-1771-4f3c-8507-52d706e37ef8	Lichtenfels	Lichtenfels	3	0	2013-05-29 01:06:51.278022+02	\N	\N	\N	\N	\N	\N	f	
7751	0332f001-ac45-4ab8-b201-d56cb09d87b8	Beverly	Beverly	3	0	2013-05-29 02:21:13.23591+02	\N	\N	\N	\N	\N	\N	f	
7766	9e05a59f-3d32-49ab-81ed-a2c9e5e278ca	Millbrook	Millbrook	3	0	2013-05-29 02:24:48.681111+02	\N	\N	\N	\N	\N	\N	f	
7791	9ae4db15-37ac-4b74-9dd6-2588cac5ebab	Verl	Verl	3	0	2013-05-29 02:30:54.408248+02	\N	\N	\N	\N	\N	\N	f	
7777	3922931c-8690-40e8-9ca9-d8d08759928c	Bonham	Bonham	3	0	2013-05-29 02:27:30.247391+02	\N	\N	\N	\N	\N	\N	f	
14433	139d707f-1279-46f1-92df-0ab995ae479d	Lubriano	Lubriano	4	0	2013-07-21 21:36:48.055096+02	\N	\N	\N	\N	\N	\N	f	
7901	1c216187-fad3-4f6a-b270-63c0a70701bf	Lancaster	Lancaster	3	0	2013-05-29 03:03:22.059721+02	\N	\N	\N	\N	\N	\N	f	
4062	28d35705-6745-460e-8ad7-bbfd9acf8476	Kəngərli	Kəngərli	2	0	2013-06-05 06:37:55.26182+02	\N	\N	\N	\N	\N	\N	f	
4067	095a5583-40f3-4ee7-9fc8-404195823369	Unsko-sanski kanton	Unsko-sanski kanton	2	0	2013-05-22 12:05:03.349968+02	\N	\N	\N	\N	\N	\N	f	
4068	0a744967-771e-4be9-83fe-aaa7ff8852ac	Posavski kanton	Posavski kanton	2	0	2013-05-22 12:05:15.655392+02	\N	\N	\N	\N	\N	\N	f	
4069	55e8a857-2c84-4fb9-9edd-5b4b59114a60	Tuzlanski kanton	Tuzlanski kanton	2	0	2013-05-22 12:05:28.035163+02	\N	\N	\N	\N	\N	\N	f	
4088	72a970fd-bb2b-4d1f-9cb6-c7c23c683ed9	Chuadanga	Chuadanga	2	0	2013-06-05 10:29:21.452787+02	\N	\N	\N	\N	\N	\N	f	
4775	5d343228-3b67-4fd0-879f-2a210369f4c3	Taroudant	Taroudant	2	0	2013-05-22 15:09:16.933706+02	\N	\N	\N	\N	\N	\N	f	
5139	6fa3bbc7-4f0c-4064-899e-82a1344dee26	Soltaniyeh	Soltaniyeh	3	0	2013-05-24 22:35:09.644745+02	\N	\N	\N	\N	\N	\N	f	
5232	edc7ab52-c223-4f29-aa51-e97595a6288c	Juneau	Juneau	3	0	2013-05-24 22:53:42.607014+02	\N	\N	\N	\N	\N	\N	f	
5778	76e64a88-4d7d-484c-bb22-80639dc49ca6	Hopewell	Hopewell	3	0	2013-05-25 00:49:32.811531+02	\N	\N	\N	\N	\N	\N	f	
5307	c0b7b343-2f13-4c6e-81a3-f5a08b22dde0	Stamford	Stamford	3	0	2013-05-24 23:07:54.424162+02	\N	\N	\N	\N	\N	\N	f	
5463	1a135fcc-0745-43ea-906d-64e198461405	Jaworzno	Jaworzno	3	0	2013-05-24 23:38:57.903457+02	\N	\N	\N	\N	\N	\N	f	
5489	c58ed17c-a938-465c-ab48-0843ae0a0f34	Zduny	Zduny	3	0	2013-05-24 23:46:02.450014+02	\N	\N	\N	\N	\N	\N	f	
5790	3853b7c9-3a8f-41bd-b117-414b9bdb14de	Misawa	Misawa	3	0	2013-05-25 00:51:39.322634+02	\N	\N	\N	\N	\N	\N	f	
5520	34357067-8f7f-4c7a-8d5e-99b6e60f7891	Gary	Gary	3	0	2013-05-24 23:54:35.750729+02	\N	\N	\N	\N	\N	\N	f	
5628	c3cdf074-0e43-40f7-854c-1ab909b5a2b6	Płońsk	Płońsk	3	0	2013-05-25 00:18:05.058416+02	\N	\N	\N	\N	\N	\N	f	
6447	db433db3-c120-45ee-804c-e44bfeb74561	Devils Lake	Devils Lake	3	0	2013-05-25 03:07:18.240954+02	\N	\N	\N	\N	\N	\N	f	
5634	1e2b6eb9-bf6c-4114-862c-2f68818ef487	Czechowice-Dziedzice	Czechowice-Dziedzice	3	0	2013-05-25 00:19:08.865275+02	\N	\N	\N	\N	\N	\N	f	
5821	81c6fc63-688c-435f-9d5a-1b627d31ab9c	Trzciel	Trzciel	3	0	2013-05-25 00:57:49.451673+02	\N	\N	\N	\N	\N	\N	f	
5660	5f3ec436-e799-4432-bcbb-63f8ce1d2c17	Ustka	Ustka	3	0	2013-05-25 00:24:59.868987+02	\N	\N	\N	\N	\N	\N	f	
5957	3619687b-c8e8-41c3-bb83-9389e3d07155	Bowling Green	Bowling Green	3	0	2013-05-25 01:26:07.712234+02	\N	\N	\N	\N	\N	\N	f	
8262	b7d15fa5-8dda-4eaa-a00c-cc8ae9edad6d	Christmas Hills, Victoria	Christmas Hills, Victoria	3	0	2013-05-30 21:31:27.144696+02	\N	\N	\N	\N	\N	\N	f	
5958	1ebdec3f-3f6d-407c-a947-a34bb138ae20	Namysłów	Namysłów	3	0	2013-05-25 01:26:18.608929+02	\N	\N	\N	\N	\N	\N	f	
6683	73b363ef-6627-4a7c-8477-2db2ffc0c708	Khvorzuq	Khvorzuq	3	0	2013-05-25 03:56:12.927099+02	\N	\N	\N	\N	\N	\N	f	
6176	da3c1ff0-4ced-4dd1-93cd-a952f20c0c4a	Kavar	Kavar	3	0	2013-05-25 02:07:09.227757+02	\N	\N	\N	\N	\N	\N	f	
6192	1fbc621d-a97c-4f48-83ea-717f1586f43b	Salehabad	Salehabad	3	0	2013-05-25 02:09:59.69379+02	\N	\N	\N	\N	\N	\N	f	
7120	4e48c73c-99c4-4c79-8928-506668948d22	Brok	Brok	3	0	2013-05-26 16:57:35.945242+02	\N	\N	\N	\N	\N	\N	f	
7507	fb169bdd-890e-47e5-a31f-b3deb9fad26e	Kyustendil	Kyustendil	3	0	2013-05-29 00:33:59.124942+02	\N	\N	\N	\N	\N	\N	f	
6750	8139cfcf-a8d8-483c-a396-ff92eab371c8	Varzaqan	Varzaqan	3	0	2013-05-25 04:09:11.976525+02	\N	\N	\N	\N	\N	\N	f	
6276	29cd18b4-54b2-4080-8bdb-a73672a03e28	Gordon	Gordon	3	0	2013-05-25 02:27:57.259951+02	\N	\N	\N	\N	\N	\N	f	
7244	9ec7b396-73b0-48dc-9c62-d44faa3c6d7f	Szczucin	Szczucin	3	0	2013-05-26 17:27:50.874999+02	\N	\N	\N	\N	\N	\N	f	
6947	e35dfa47-ca2b-4768-940c-f6c5899ee10d	Lewin Brzeski	Lewin Brzeski	3	0	2013-05-25 14:12:25.803547+02	\N	\N	\N	\N	\N	\N	f	
6274	c0286678-a82c-4186-916d-d45f453d61bf	Port Jervis	Port Jervis	3	0	2013-05-26 14:22:19.313276+02	\N	\N	\N	\N	\N	\N	f	
7039	4f8d830d-8378-402d-9aee-62aa02cac82c	Świeradów-Zdrój	Świeradów-Zdrój	3	0	2013-05-26 16:35:33.955685+02	\N	\N	\N	\N	\N	\N	f	
7511	f2db6e65-30a9-4d8e-9700-2bd59c40010e	Zwingenberg	Zwingenberg	3	0	2013-05-29 00:35:06.581976+02	\N	\N	\N	\N	\N	\N	f	
8933	cedcf8b2-aee2-4454-9cb3-b407a0c735ac	Xuancheng	Xuancheng	3	0	2013-06-01 20:05:19.364827+02	\N	\N	\N	\N	\N	\N	f	
7633	5d862194-cc74-46de-89ab-84109f9fcf87	Niedenstein	Niedenstein	3	0	2013-05-29 01:00:33.62349+02	\N	\N	\N	\N	\N	\N	f	
8469	899b43c1-90c7-49d0-ab32-e5674c988dd0	Skarszewy	Skarszewy	3	0	2013-06-01 17:20:25.876543+02	\N	\N	\N	\N	\N	\N	f	
7635	1490302b-b548-4a50-9600-2845eefa679e	Leun	Leun	3	0	2013-05-29 01:00:58.729594+02	\N	\N	\N	\N	\N	\N	f	
114	f03f2625-dc7d-38b2-a058-4e9ca0e10424	Kuwait	Kuwait	1	0	2013-05-27 15:36:04.66285+02	\N	\N	\N	\N	\N	\N	f	
7756	ae9b2e70-0c26-421e-b485-3a6a3ed2ff39	Lanett	Lanett	3	0	2013-05-29 02:22:27.183792+02	\N	\N	\N	\N	\N	\N	f	
7771	ea4d8636-4f63-4e01-bf01-bae1cd97b725	Aichtal	Aichtal	3	0	2013-05-29 02:26:04.234416+02	\N	\N	\N	\N	\N	\N	f	
8533	c0e97660-cb34-4ca8-b7c5-c5dc95d608e3	Longueuil	Longueuil	3	0	2013-06-01 17:34:18.526808+02	\N	\N	\N	\N	\N	\N	f	
7792	30cfd58b-8353-40cd-acfa-715dd96d38e6	Broken Hill	Broken Hill	3	0	2013-05-29 02:31:14.756479+02	\N	\N	\N	\N	\N	\N	f	
2068	175e3720-d20f-407f-a79a-1a639580d5c1	Šmarje pri Jelšah	Šmarje pri Jelšah	2	0	2013-05-27 19:44:39.390675+02	\N	\N	\N	\N	\N	\N	f	
7903	0467282b-c4bc-4261-904b-5d08ecbfa02f	Marinette	Marinette	3	0	2013-05-29 03:03:42.925173+02	\N	\N	\N	\N	\N	\N	f	
7351	34fee67f-d327-4261-b473-79421585be06	Oujda	Oujda	3	0	2013-05-28 14:09:42.567957+02	\N	\N	\N	\N	\N	\N	f	
7366	081f2ee8-c7af-4be4-9116-a0096ce5d773	Walnut Creek	Walnut Creek	3	0	2013-05-28 14:13:46.103274+02	\N	\N	\N	\N	\N	\N	f	
7483	1791885e-0492-49e6-870a-b19926e65dcf	Herborn	Herborn	3	0	2013-05-29 00:25:33.834144+02	\N	\N	\N	\N	\N	\N	f	
7912	5b9c7dd6-90b6-482d-bf03-d23e6883a3f9	Huejutla de Reyes	Huejutla de Reyes	3	0	2013-05-29 03:06:23.503893+02	\N	\N	\N	\N	\N	\N	f	
4901	60acbe76-dc49-4068-8357-0ff393b52705	Camarines Norte	Camarines Norte	2	0	2013-06-05 12:25:47.444585+02	\N	\N	\N	\N	\N	\N	f	
8260	9e99dc2a-b064-45a0-af38-f21829f09c5b	Talbot, Victoria	Talbot, Victoria	3	0	2013-05-30 21:30:56.112267+02	\N	\N	\N	\N	\N	\N	f	
9008	07148cba-b3ae-417b-a01f-a243b7f516dc	Tongren, Guizhou	Tongren, Guizhou	3	0	2013-06-01 20:20:24.983161+02	\N	\N	\N	\N	\N	\N	f	
8620	f0c4ca5e-7d9d-4762-bdec-da8ae523a990	Velp	Velp	3	0	2013-06-01 17:57:01.552209+02	\N	\N	\N	\N	\N	\N	f	
8750	99d3cdfd-7618-43d0-8567-0d7e704f831b	Bingara, New South Wales	Bingara, New South Wales	3	0	2013-06-01 18:34:42.013818+02	\N	\N	\N	\N	\N	\N	f	
2541	087176dc-cd18-4522-a01a-7affd9ea8a00	Chungcheongnamdo	Chungcheongnamdo	2	0	2013-06-05 08:10:45.532755+02	\N	\N	\N	\N	\N	\N	f	
8875	79e40185-67c0-4c9a-9bbc-0e3cf77d6528	Zibo	Zibo	3	0	2013-06-01 19:48:33.665694+02	\N	\N	\N	\N	\N	\N	f	
9098	af1cbd86-405e-4655-8d49-d56f257b9f33	Chaozhou	Chaozhou	3	0	2013-06-01 20:38:52.61685+02	\N	\N	\N	\N	\N	\N	f	
9135	e6ace8d2-ba4a-411b-8adc-bbae1c04a5e3	Yuncheng	Yuncheng	3	0	2013-06-01 20:46:58.490668+02	\N	\N	\N	\N	\N	\N	f	
4156	dcbc49fa-bda6-48e5-a95e-5f8efe034f91	Boulgou	Boulgou	2	0	2013-06-05 07:53:30.586147+02	\N	\N	\N	\N	\N	\N	f	
4489	8a42a0f7-ae13-49ad-aec5-fd79259d2249	Bioko Norte	Bioko Norte	2	0	2013-06-05 11:24:41.02313+02	\N	\N	\N	\N	\N	\N	f	
9987	6db35f01-4bc6-435a-855d-6c88109a255f	Kure	Kure	3	0	2013-06-18 07:45:20.233187+02	\N	\N	\N	\N	\N	\N	f	
9662	ece26d47-f077-4f54-ba45-4476ff394a79	Osnabrück	Osnabrück	3	0	2013-06-13 20:51:12.776344+02	\N	\N	\N	\N	\N	\N	f	
4630	6c4c7b1a-106a-4faa-81cc-ff4e142c44ef	Barletta-Andria-Trani	Barletta-Andria-Trani	2	0	2013-06-05 09:02:10.472976+02	\N	\N	\N	\N	\N	\N	f	
5035	3afaca70-4246-41a4-af8f-5f7e5c087f77	Bundibugyo	Bundibugyo	2	0	2013-06-05 07:17:14.911513+02	\N	\N	\N	\N	\N	\N	f	
9860	279376ca-5fe5-48f9-ad99-71f6755471c4	Ojiya	Ojiya	3	0	2013-06-18 03:58:29.072418+02	\N	\N	\N	\N	\N	\N	f	
9479	8852700e-f111-4fc5-b3e2-8504627bcb05	Upleta	Upleta	3	0	2013-06-09 17:50:39.527147+02	\N	\N	\N	\N	\N	\N	f	
9879	a123c284-88b1-4c40-b938-f6d85751399a	Okaya	Okaya	3	0	2013-06-18 04:03:14.377387+02	\N	\N	\N	\N	\N	\N	f	
4615	f181bc0b-34da-4bf5-8bf2-3d971becda3c	Ancona	Ancona	2	0	2013-06-05 11:25:09.536566+02	\N	\N	\N	\N	\N	\N	f	
10024	814ca0f6-1098-42ac-8cb3-77ac7ec6289f	Toshima	Toshima	3	0	2013-06-18 08:03:49.029049+02	\N	\N	\N	\N	\N	\N	f	
10029	b3e56511-6cf9-4df7-9b4a-07bc9af5d8f2	Masuda	Masuda	3	0	2013-06-18 08:05:53.382183+02	\N	\N	\N	\N	\N	\N	f	
10056	0f2ee547-7d22-4ef1-9e43-44edc25564ee	Yame	Yame	3	0	2013-06-18 08:13:04.80757+02	\N	\N	\N	\N	\N	\N	f	
10143	727bd25d-1ad0-4d7c-bde3-3ed21aba33c1	Sasaguri	Sasaguri	3	0	2013-06-18 14:38:47.91426+02	\N	\N	\N	\N	\N	\N	f	
10069	f7754739-8a69-420b-97ee-cc710e7b086a	Nakatsu	Nakatsu	3	0	2013-06-18 08:15:34.053096+02	\N	\N	\N	\N	\N	\N	f	
10161	49956680-3117-48df-9a45-f7e0598e05ae	Kiyama	Kiyama	3	0	2013-06-18 14:42:30.058086+02	\N	\N	\N	\N	\N	\N	f	
10226	89f07cc9-9474-44c4-80dd-74c4696161ee	Tõlliste	Tõlliste	3	0	2013-06-18 16:35:02.129637+02	\N	\N	\N	\N	\N	\N	f	
10188	53fb8aab-9796-44c4-a454-5d04a92e9803	Tadotsu	Tadotsu	3	0	2013-06-18 14:48:13.248474+02	\N	\N	\N	\N	\N	\N	f	
10265	6cb21e09-eb05-4ba8-97d0-203b9d1a585b	Ujitawara	Ujitawara	3	0	2013-06-18 17:23:30.44946+02	\N	\N	\N	\N	\N	\N	f	
4070	69ed1437-5c1d-46b6-ba2c-ddb27be7fa8c	Zeničko-dobojski kanton	Zeničko-dobojski kanton	2	0	2013-05-22 12:05:39.671595+02	\N	\N	\N	\N	\N	\N	f	
4130	aadbb817-38f6-4f95-809d-51568f508dd0	Rajshahi	Rajshahi	2	0	2013-05-22 12:19:11.21932+02	\N	\N	\N	\N	\N	\N	f	
4075	daa1d864-bbfe-4d57-a8cc-c42a099e8121	Kanton Sarajevo	Kanton Sarajevo	2	0	2013-05-22 12:06:46.373534+02	\N	\N	\N	\N	\N	\N	f	
4114	2f7c8183-a545-4139-96d3-858362189800	Moulvibazar	Moulvibazar	2	0	2013-05-22 12:15:39.518167+02	\N	\N	\N	\N	\N	\N	f	
4076	96332e60-74ac-4be1-8794-cf271c2cef8b	Kanton br. 10 (Livanjski kanton)	Kanton br. 10 (Livanjski kanton)	2	0	2013-05-22 12:06:58.554027+02	\N	\N	\N	\N	\N	\N	f	
4082	54243f03-71aa-4a3e-a73a-c25a28eec818	Barisal	Barisal	2	0	2013-06-05 09:24:42.108552+02	\N	\N	\N	\N	\N	\N	f	
4116	8a662c76-8b54-4e95-9750-97e8f50d85c1	Narayanganj	Narayanganj	2	0	2013-05-22 12:16:11.887546+02	\N	\N	\N	\N	\N	\N	f	
13790	0970136d-5391-410b-9fca-9d31a2ee8bdc	Berzo Inferiore	Berzo Inferiore	4	0	2013-07-21 19:12:54.64683+02	\N	\N	\N	\N	\N	\N	f	
4141	ae8abafa-65cf-432c-86f7-70cb4c3a49b6	Antwerpen	Antwerpen	2	0	2013-06-05 08:57:13.688199+02	\N	\N	\N	\N	\N	\N	f	
4140	4b6d935a-bf1b-469d-a61e-9660bdb21118	Thakurgaon	Thakurgaon	2	0	2013-05-22 12:21:29.022767+02	\N	\N	\N	\N	\N	\N	f	
4117	287ed148-fd5a-4e84-90ad-02f08968dd52	Netrakona	Netrakona	2	0	2013-05-22 12:16:31.39454+02	\N	\N	\N	\N	\N	\N	f	
4087	71680e4f-ae27-4e3d-8379-0246584f65f4	Cox's Bazar	Cox's Bazar	2	0	2013-06-05 09:31:48.887339+02	\N	\N	\N	\N	\N	\N	f	
4092	515786d1-71eb-4524-a489-01a3da2a341e	Feni	Feni	2	0	2013-05-22 12:10:38.084704+02	\N	\N	\N	\N	\N	\N	f	
4131	67e2d184-e8fd-4658-8a86-d2b416cba64e	Rangpur	Rangpur	2	0	2013-05-22 12:19:24.069989+02	\N	\N	\N	\N	\N	\N	f	
4095	bd1e8f29-3121-4017-b570-4c6e2e8202f2	Gaibandha	Gaibandha	2	0	2013-05-22 12:11:15.146659+02	\N	\N	\N	\N	\N	\N	f	
4118	d8d7cd6c-9947-4904-a0d9-1f7d02530534	Narsingdi	Narsingdi	2	0	2013-05-22 12:16:46.508029+02	\N	\N	\N	\N	\N	\N	f	
4096	6a3a205f-d9fc-4d0d-945c-cf87c07f8073	Habiganj	Habiganj	2	0	2013-05-22 12:11:27.002663+02	\N	\N	\N	\N	\N	\N	f	
4099	f24cf069-1d47-4fa5-a4d0-14aad714f8e4	Jhenaidah	Jhenaidah	2	0	2013-05-22 12:12:03.405113+02	\N	\N	\N	\N	\N	\N	f	
4100	fa4e61d2-9d28-4f24-8649-07f9b97bfc60	Jaipurhat	Jaipurhat	2	0	2013-05-22 12:12:15.619597+02	\N	\N	\N	\N	\N	\N	f	
4119	96fcef39-faf9-47ce-aa88-8576a6ba6dd2	Narail	Narail	2	0	2013-05-22 12:16:58.541709+02	\N	\N	\N	\N	\N	\N	f	
4102	44ee7815-1fd7-4fcf-87b0-a1b02f436394	Kishoreganj	Kishoreganj	2	0	2013-05-22 12:12:41.050536+02	\N	\N	\N	\N	\N	\N	f	
4103	4234a2e0-7c7f-428f-8fd5-a54809629316	Khulna	Khulna	2	0	2013-05-22 12:12:52.844236+02	\N	\N	\N	\N	\N	\N	f	
4104	fbf299b2-13c4-4c0d-93b4-c8856879e9f2	Kurigram	Kurigram	2	0	2013-05-22 12:13:07.750642+02	\N	\N	\N	\N	\N	\N	f	
4120	811146a7-2d88-4530-9f2b-c405d2780cde	Natore	Natore	2	0	2013-05-22 12:17:11.51646+02	\N	\N	\N	\N	\N	\N	f	
4105	22f9d032-0bf6-4339-a1cb-8eb8363388c6	Khagrachari	Khagrachari	2	0	2013-05-22 12:13:24.555814+02	\N	\N	\N	\N	\N	\N	f	
4106	84e02478-c8d5-4db4-83ff-c506f76219c9	Kushtia	Kushtia	2	0	2013-05-22 12:13:39.700353+02	\N	\N	\N	\N	\N	\N	f	
4132	8ab18930-4044-41ff-b171-171e821965ca	Rangamati	Rangamati	2	0	2013-05-22 12:19:35.818479+02	\N	\N	\N	\N	\N	\N	f	
4107	8a0ae03b-6a05-4af4-ac03-b19b2b6a16da	Lakshmipur	Lakshmipur	2	0	2013-05-22 12:13:54.322452+02	\N	\N	\N	\N	\N	\N	f	
4121	899a7142-4fbc-4ce5-abb2-81bba9bfe605	Nawabganj	Nawabganj	2	0	2013-05-22 12:17:22.96933+02	\N	\N	\N	\N	\N	\N	f	
4108	499f0660-d80e-408a-9abc-7d708c974dbe	Lalmonirhat	Lalmonirhat	2	0	2013-05-22 12:14:06.885037+02	\N	\N	\N	\N	\N	\N	f	
4109	aa6f5fec-f69b-441a-94bb-8ba45f6386fd	Manikganj	Manikganj	2	0	2013-05-22 12:14:19.197149+02	\N	\N	\N	\N	\N	\N	f	
4110	0476a701-8a72-4628-9dab-45862e51e477	Mymensingh	Mymensingh	2	0	2013-05-22 12:14:34.238844+02	\N	\N	\N	\N	\N	\N	f	
4122	c6ffd4c5-a03d-47e4-a98b-0df17c7d2068	Nilphamari	Nilphamari	2	0	2013-05-22 12:17:34.798486+02	\N	\N	\N	\N	\N	\N	f	
4112	e2824bed-ef46-425d-880a-c28118e474f5	Madaripur	Madaripur	2	0	2013-05-22 12:15:01.788863+02	\N	\N	\N	\N	\N	\N	f	
13877	93532a2f-80d6-446c-8918-6bef0e010d39	Moniga del Garda	Moniga del Garda	4	0	2013-07-21 19:33:12.23098+02	\N	\N	\N	\N	\N	\N	f	
4123	c17a19ca-0bac-407c-b43f-29720cd43ad2	Noakhali	Noakhali	2	0	2013-05-22 12:17:46.318751+02	\N	\N	\N	\N	\N	\N	f	
4133	ea623aa4-e7b2-4018-8d9d-deb9618883fa	Sherpur	Sherpur	2	0	2013-05-22 12:19:48.80438+02	\N	\N	\N	\N	\N	\N	f	
4124	91d5412e-ba40-47e0-81be-9412e1080921	Naogaon	Naogaon	2	0	2013-05-22 12:17:58.931041+02	\N	\N	\N	\N	\N	\N	f	
4125	fe796130-ac55-4192-a5f2-0e6d12e5a25a	Pabna	Pabna	2	0	2013-05-22 12:18:10.974259+02	\N	\N	\N	\N	\N	\N	f	
4086	1c7c315d-a1d4-4327-810d-d02540a64afc	Chittagong	Chittagong	2	0	2013-06-05 10:29:11.740867+02	\N	\N	\N	\N	\N	\N	f	
4126	7d0ac3b9-def1-44dc-b7eb-912b21a74453	Pirojpur	Pirojpur	2	0	2013-05-22 12:18:22.586207+02	\N	\N	\N	\N	\N	\N	f	
4134	4be936bb-08b8-44a2-86a9-056656f606bb	Satkhira	Satkhira	2	0	2013-05-22 12:20:00.780916+02	\N	\N	\N	\N	\N	\N	f	
4127	cea1f8a9-ad11-4125-b127-c7b2c70c1e7b	Patuakhali	Patuakhali	2	0	2013-05-22 12:18:34.753981+02	\N	\N	\N	\N	\N	\N	f	
4128	aa097ddb-4d8e-4879-908d-2b878ed1ed6d	Panchagarh	Panchagarh	2	0	2013-05-22 12:18:46.554242+02	\N	\N	\N	\N	\N	\N	f	
4129	078e848f-5e60-4a06-bcef-70b13eea84c9	Rajbari	Rajbari	2	0	2013-05-22 12:18:58.573634+02	\N	\N	\N	\N	\N	\N	f	
4135	fa5b7b17-e711-4baf-8968-b9215355c846	Sirajganj	Sirajganj	2	0	2013-05-22 12:20:19.838706+02	\N	\N	\N	\N	\N	\N	f	
4142	31a26a2c-f032-46a5-a55d-7c878f3ddb05	Vlaams-Brabant	Vlaams-Brabant	2	0	2013-05-22 12:21:56.325647+02	\N	\N	\N	\N	\N	\N	f	
4136	501a4989-e08a-4d7d-acfa-c1f1d99cbcf4	Sylhet	Sylhet	2	0	2013-05-22 12:20:31.90233+02	\N	\N	\N	\N	\N	\N	f	
4137	34aa4cf9-e63b-47ae-a38f-c86b630625dc	Sunamganj	Sunamganj	2	0	2013-05-22 12:20:50.540975+02	\N	\N	\N	\N	\N	\N	f	
4150	6653694e-c69c-44ad-9c40-f7913f556f55	Namur	Namur	2	0	2013-05-22 12:23:53.627183+02	\N	\N	\N	\N	\N	\N	f	
4138	19255aea-d42b-4f51-af11-721483cab821	Shariatpur	Shariatpur	2	0	2013-05-22 12:21:04.941019+02	\N	\N	\N	\N	\N	\N	f	
4143	0a9f19dd-9453-4b94-bc6a-6116404fa8bb	Limburg	Limburg	2	0	2013-05-22 12:22:13.447037+02	\N	\N	\N	\N	\N	\N	f	
4139	4d54b74b-3a98-4309-b7ef-a24150919cf0	Tangail	Tangail	2	0	2013-05-22 12:21:17.177247+02	\N	\N	\N	\N	\N	\N	f	
4147	a7372b0c-17c9-4272-990a-b93ce702da1c	Hainaut	Hainaut	2	0	2013-05-22 12:23:15.237505+02	\N	\N	\N	\N	\N	\N	f	
4144	8db16337-f875-47dd-a9b8-cd539712ed64	Oost-Vlaanderen	Oost-Vlaanderen	2	0	2013-05-22 12:22:33.209192+02	\N	\N	\N	\N	\N	\N	f	
4145	69b9ee64-44ca-4fc1-9f53-d52b9cf55dd8	West-Vlaanderen	West-Vlaanderen	2	0	2013-05-22 12:22:51.547313+02	\N	\N	\N	\N	\N	\N	f	
4079	b715ffbf-b498-49dd-9817-0afd7cbb3cb3	Bogra	Bogra	2	0	2013-06-05 08:10:55.417715+02	\N	\N	\N	\N	\N	\N	f	
4148	8ddd31f9-214c-4853-a955-57687a13e643	Liège	Liège	2	0	2013-05-22 12:23:29.636769+02	\N	\N	\N	\N	\N	\N	f	
4151	31c00018-f03f-4f28-b328-e548858ec99d	Balé	Balé	2	0	2013-06-05 09:10:07.562414+02	\N	\N	\N	\N	\N	\N	f	
9988	7b7f1561-a612-455b-b5db-3e70d34d3185	Beppu	Beppu	3	0	2013-06-18 07:48:29.098364+02	\N	\N	\N	\N	\N	\N	f	
4149	76598a03-cf08-4c03-9a73-ab6edcde6849	Luxembourg	Luxembourg	2	0	2013-05-22 12:23:41.462486+02	\N	\N	\N	\N	\N	\N	f	
4152	3142a35b-b84b-4a8f-b89d-564cc3cfddb5	Bam	Bam	2	0	2013-06-05 08:33:26.144523+02	\N	\N	\N	\N	\N	\N	f	
4155	d99ad3b9-81ab-42e8-a98f-816d8d148b61	Bougouriba	Bougouriba	2	0	2013-06-05 08:31:21.299666+02	\N	\N	\N	\N	\N	\N	f	
4158	0d5a7e72-9f8c-44ef-9721-d7b3df4061bc	Comoé	Comoé	2	0	2013-06-05 08:09:07.905398+02	\N	\N	\N	\N	\N	\N	f	
4157	848fdae8-480e-4271-84f3-1ae0d301c2d4	Boulkiemdé	Boulkiemdé	2	0	2013-06-05 11:26:49.070215+02	\N	\N	\N	\N	\N	\N	f	
4084	2319554d-74f2-4a01-9e91-98e89deaefc4	Comilla	Comilla	2	0	2013-06-05 08:36:35.509121+02	\N	\N	\N	\N	\N	\N	f	
4159	4733d07b-1769-4a87-b0e0-6cd4928246b2	Ganzourgou	Ganzourgou	2	0	2013-05-22 12:25:36.275183+02	\N	\N	\N	\N	\N	\N	f	
4160	2cce4baf-8ca3-441e-b45b-48be845f3d9f	Gnagna	Gnagna	2	0	2013-05-22 12:25:46.886453+02	\N	\N	\N	\N	\N	\N	f	
4161	92364cb8-bcdb-44a7-be82-90801c5e5f6d	Gourma	Gourma	2	0	2013-05-22 12:26:01.205997+02	\N	\N	\N	\N	\N	\N	f	
4162	ac4d12ae-e8ad-4826-9e44-747341c2a168	Houet	Houet	2	0	2013-05-22 12:26:11.952163+02	\N	\N	\N	\N	\N	\N	f	
4163	21c2906b-5a65-4e51-a8e7-4eb89f94d67e	Ioba	Ioba	2	0	2013-05-22 12:26:22.721549+02	\N	\N	\N	\N	\N	\N	f	
5140	91632362-96e4-4ad1-a4de-7e5933a59cdf	Libreville	Libreville	3	0	2013-05-24 22:35:20.172529+02	\N	\N	\N	\N	\N	\N	f	
4164	d80045be-9f59-4b45-b09e-9949a7d6fbca	Kadiogo	Kadiogo	2	0	2013-05-22 12:26:33.457957+02	\N	\N	\N	\N	\N	\N	f	
4165	c989fb68-afbd-4ea9-9855-dd17d3f16471	Kénédougou	Kénédougou	2	0	2013-05-22 12:26:44.649962+02	\N	\N	\N	\N	\N	\N	f	
4217	ea0b0443-ad75-4038-a05d-c8b20c280d56	Tarrafal de São Nicolau	Tarrafal de São Nicolau	2	0	2013-05-22 12:39:18.804627+02	\N	\N	\N	\N	\N	\N	f	
4255	fa3bfad7-4c69-49f4-8f34-ce8e83ac06f9	Plzeň-jih	Plzeň-jih	2	0	2013-05-22 12:48:18.285951+02	\N	\N	\N	\N	\N	\N	f	
4645	9ee12b8e-e2f5-46c7-89c5-196b4ea58863	Forlì-Cesena	Forlì-Cesena	2	0	2013-05-22 14:32:22.676547+02	\N	\N	\N	\N	\N	\N	f	
4776	7fe6a30b-2e06-4433-b522-70d8aa6bf801	Tata	Tata	2	0	2013-05-22 15:09:33.580839+02	\N	\N	\N	\N	\N	\N	f	
5142	9337de74-705b-4a22-88a0-b2d5db3e5c76	Pulheim	Pulheim	3	0	2013-05-24 22:35:41.550191+02	\N	\N	\N	\N	\N	\N	f	
4796	4b66c711-0bf1-42e1-92c9-6e099ce90673	Mili	Mili	2	0	2013-05-22 15:15:41.010337+02	\N	\N	\N	\N	\N	\N	f	
5174	078cbaa5-c185-47da-a98f-69cecc8d48d7	Pamplona	Pamplona	3	0	2013-05-24 22:42:10.073374+02	\N	\N	\N	\N	\N	\N	f	
5780	748b917f-3c83-418e-82e0-ad6ba0e62e39	Murfreesboro	Murfreesboro	3	0	2013-05-25 00:49:53.913341+02	\N	\N	\N	\N	\N	\N	f	
5310	dcfcab2b-c505-4618-8bbc-6c25f24295a9	Mosina	Mosina	3	0	2013-05-24 23:08:32.436065+02	\N	\N	\N	\N	\N	\N	f	
5354	915a9631-bca8-49f7-a44d-af10e960e357	La Rochelle	La Rochelle	3	0	2013-05-24 23:18:41.684397+02	\N	\N	\N	\N	\N	\N	f	
5466	80298b2b-9ac5-4af7-9477-800235b03b7a	Braniewo	Braniewo	3	0	2013-05-24 23:39:43.411542+02	\N	\N	\N	\N	\N	\N	f	
5800	df306f93-32de-4c52-9585-5bc77f2e1750	Moscow	Moscow	3	0	2013-05-25 00:53:26.931665+02	\N	\N	\N	\N	\N	\N	f	
5484	1c67786c-2dd4-49b5-87f7-f6cb40b173a9	Białogard	Białogard	3	0	2013-05-24 23:45:03.347032+02	\N	\N	\N	\N	\N	\N	f	
5661	f3c0e505-494b-4821-a688-29ca3d71632c	Dąbrowa Tarnowska	Dąbrowa Tarnowska	3	0	2013-05-25 00:25:11.330896+02	\N	\N	\N	\N	\N	\N	f	
6456	80609f02-db78-41f1-a33d-499969594adb	Mahan	Mahan	3	0	2013-05-25 03:09:00.980925+02	\N	\N	\N	\N	\N	\N	f	
5965	26c60fe8-8954-4bb0-ac27-1939b9575a9a	Bandar Ganaveh	Bandar Ganaveh	3	0	2013-05-25 01:27:38.256219+02	\N	\N	\N	\N	\N	\N	f	
6025	6d0bc7b0-c13e-4a72-a394-e42ee9a5dbc9	Najafabad	Najafabad	3	0	2013-05-25 01:38:04.777968+02	\N	\N	\N	\N	\N	\N	f	
6179	9eb92514-4bb9-4e8a-a740-25468908db5f	Sefiddasht	Sefiddasht	3	0	2013-05-25 02:07:41.384445+02	\N	\N	\N	\N	\N	\N	f	
6460	0120064e-aaf0-462a-a5c1-75421aa45045	Dakota City	Dakota City	3	0	2013-05-25 03:09:58.776428+02	\N	\N	\N	\N	\N	\N	f	
6185	8b777c92-91e3-4f44-915e-df7991ad67b7	Bodzentyn	Bodzentyn	3	0	2013-05-25 02:08:46.924618+02	\N	\N	\N	\N	\N	\N	f	
7122	5289f3e7-4a64-4dec-8b63-54f5052f6c06	Turek	Turek	3	0	2013-05-26 16:57:59.260117+02	\N	\N	\N	\N	\N	\N	f	
6475	aef36f59-d42d-4e1b-85e9-30a20d4e3cef	Milan	Milan	3	0	2013-05-25 03:14:05.174896+02	\N	\N	\N	\N	\N	\N	f	
6482	f2034f94-cd5e-47c3-b77b-f6f3bc1d7e72	Magnolia	Magnolia	3	0	2013-05-25 03:15:52.353565+02	\N	\N	\N	\N	\N	\N	f	
6492	85c4d310-a753-4ade-9372-e25eeac8845b	Rosmalen	Rosmalen	3	0	2013-05-25 03:18:25.315231+02	\N	\N	\N	\N	\N	\N	f	
7245	f1624734-bfc5-48de-b667-02984c157511	Iłża	Iłża	3	0	2013-05-26 17:28:09.073377+02	\N	\N	\N	\N	\N	\N	f	
6501	48365429-e8ed-43dc-b512-0e2fc2db7961	Idabel	Idabel	3	0	2013-05-25 03:20:26.278017+02	\N	\N	\N	\N	\N	\N	f	
6516	a3de34c9-6524-49e0-abc2-0018b8feb74b	Morristown	Morristown	3	0	2013-05-25 03:24:00.952441+02	\N	\N	\N	\N	\N	\N	f	
7365	47975cb6-7650-4fac-a47c-cfead95f73d4	San Bernardino	San Bernardino	3	0	2013-05-28 14:13:28.810222+02	\N	\N	\N	\N	\N	\N	f	
6693	a69bfc0d-a125-408a-aafb-071a0cd8c308	Sirik	Sirik	3	0	2013-05-25 03:57:56.336722+02	\N	\N	\N	\N	\N	\N	f	
6714	384f67d2-c8fd-496b-9526-1a5e2744f0f4	Kelarabad	Kelarabad	3	0	2013-05-25 04:01:37.420062+02	\N	\N	\N	\N	\N	\N	f	
32	5d1fe672-9c9a-3d58-a221-4b23e9274709	Brunei	Brunei	1	0	2013-05-29 02:27:27.788483+02	\N	\N	\N	\N	\N	\N	f	
6948	0f2ab381-dbdf-4a04-883c-e2e52145aa21	Płoty	Płoty	3	0	2013-05-25 14:12:41.282797+02	\N	\N	\N	\N	\N	\N	f	
7369	75d50c28-ad36-4814-89bb-9f1850fcd6ef	Highland	Highland	3	0	2013-05-28 14:15:14.220375+02	\N	\N	\N	\N	\N	\N	f	
6981	7f906db3-37d0-4d3d-af70-57e988ddc349	Lębork	Lębork	3	0	2013-05-25 14:19:54.077272+02	\N	\N	\N	\N	\N	\N	f	
7040	0ee1618d-9dd8-4d18-90e2-7f18afb2fc79	Koluszki	Koluszki	3	0	2013-05-26 16:35:51.76765+02	\N	\N	\N	\N	\N	\N	f	
7484	439bd5a1-c85b-4c5f-8fe7-e445a5001bdd	Schotten	Schotten	3	0	2013-05-29 00:25:44.451385+02	\N	\N	\N	\N	\N	\N	f	
9086	2e119d92-e0f0-4eae-9653-fb2e987a21f1	Zhaoqing	Zhaoqing	3	0	2013-06-01 20:36:46.490937+02	\N	\N	\N	\N	\N	\N	f	
7494	e63241d0-9816-4eda-89f6-5eda8771bdc5	Boxberg	Boxberg	3	0	2013-05-29 00:29:19.878648+02	\N	\N	\N	\N	\N	\N	f	
108	2e40127e-0b8a-3a01-bfbc-58c7fcdba532	Jordan	Jordan	1	0	2013-05-27 15:37:33.655742+02	\N	\N	\N	\N	\N	\N	f	
7905	5afce8c0-d306-40b3-8bb2-7188dce2064d	Gaffney, South Carolina	Gaffney, South Carolina	3	0	2013-05-29 03:04:14.472076+02	\N	\N	\N	\N	\N	\N	f	
7551	67e80a7c-8d61-4521-b53d-446109ecc268	Pfungstadt	Pfungstadt	3	0	2013-05-29 00:44:39.637756+02	\N	\N	\N	\N	\N	\N	f	
1866	446b1247-33e8-4cb7-999c-0e187ffee01e	Šibensko-kninska županija	Šibensko-kninska županija	2	0	2013-05-27 19:54:35.564094+02	\N	\N	\N	\N	\N	\N	f	
7354	886cf01c-ead7-47b7-b0fc-ccacb43343bd	Eastbourne	Eastbourne	3	0	2013-05-28 14:10:20.769219+02	\N	\N	\N	\N	\N	\N	f	
7361	b5b49d31-512d-46bc-ae63-46be5ec68b25	Kaspichan	Kaspichan	3	0	2013-05-28 14:12:25.003531+02	\N	\N	\N	\N	\N	\N	f	
8753	aa3d5e78-0f34-4ab9-a0e3-1567290d3629	Nyngan	Nyngan	3	0	2013-06-01 18:35:48.719299+02	\N	\N	\N	\N	\N	\N	f	
3107	21ce7bba-e1a0-4bed-acbd-ce21b3b44e90	Şā‘dah	Şā‘dah	2	0	2013-05-27 19:44:55.666987+02	\N	\N	\N	\N	\N	\N	f	
7634	f8062ac2-12df-41f4-9821-e7b3c6cc2037	Stadtallendorf	Stadtallendorf	3	0	2013-05-29 01:00:44.988786+02	\N	\N	\N	\N	\N	\N	f	
8263	3ef44b80-d125-4db2-bb14-bde0471ce8e3	Kinsale	Kinsale	3	0	2013-05-30 21:31:37.56797+02	\N	\N	\N	\N	\N	\N	f	
7637	e9989cf4-dfb0-4317-8d58-503c69fc7982	Weilburg	Weilburg	3	0	2013-05-29 01:01:23.995465+02	\N	\N	\N	\N	\N	\N	f	
7758	887ae9b4-1e66-4347-9a93-1e3d8259f0e7	Alma	Alma	3	0	2013-05-29 02:23:07.783964+02	\N	\N	\N	\N	\N	\N	f	
7772	a398e17c-235a-4f45-ab10-03d8f885a953	Alpirsbach	Alpirsbach	3	0	2013-05-29 02:26:14.75869+02	\N	\N	\N	\N	\N	\N	f	
8876	d109650c-90b2-4d7b-9897-1835c96b1cd8	Zhuzhou	Zhuzhou	3	0	2013-06-01 19:48:44.022035+02	\N	\N	\N	\N	\N	\N	f	
8470	05f98f7f-ef37-4f80-a396-44700a7bd1d8	Burketown	Burketown	3	0	2013-06-01 17:20:36.442691+02	\N	\N	\N	\N	\N	\N	f	
8623	6a16c88a-4837-4a8b-8d04-0d918e2cd8da	Narol	Narol	3	0	2013-06-01 17:57:51.527783+02	\N	\N	\N	\N	\N	\N	f	
5036	ae4aec9a-5ef6-487f-9412-ea25f38e814e	Bushenyi	Bushenyi	2	0	2013-06-05 10:29:35.849666+02	\N	\N	\N	\N	\N	\N	f	
9009	fcb0c622-f618-4390-b683-8d700335430b	Anshun	Anshun	3	0	2013-06-01 20:20:35.870179+02	\N	\N	\N	\N	\N	\N	f	
9140	958e82fe-ce6f-4cc0-8390-52506f378658	Benxi	Benxi	3	0	2013-06-01 20:48:13.699806+02	\N	\N	\N	\N	\N	\N	f	
9043	099ce102-88b0-483f-95a9-fca6fcbf2436	Ordos City	Ordos City	3	0	2013-06-01 20:28:26.020996+02	\N	\N	\N	\N	\N	\N	f	
4904	3af3a987-65c2-4277-a5ef-d24cee201407	Catanduanes	Catanduanes	2	0	2013-06-05 08:42:53.682594+02	\N	\N	\N	\N	\N	\N	f	
15499	7d29e27a-1b4c-45d8-8b63-008627faa49f	Roccantica	Roccantica	4	0	2013-07-22 00:58:55.738983+02	\N	\N	\N	\N	\N	\N	f	
2226	c0323b07-92c1-4427-b18a-b3ff356ea8df	Cimişlia	Cimişlia	2	0	2013-06-05 08:13:12.02818+02	\N	\N	\N	\N	\N	\N	f	
4631	17fc26b3-cf6f-4d9a-a367-b50b4ca201e5	Bolzano	Bolzano	2	0	2013-06-05 08:33:06.325927+02	\N	\N	\N	\N	\N	\N	f	
9663	593244e5-a86c-4ec9-b746-7a1ef8ddf98b	Fürth	Fürth	3	0	2013-06-13 20:51:39.915321+02	\N	\N	\N	\N	\N	\N	f	
9863	5c3f3600-cbb8-48ba-be7c-a91772966def	Kawachinagano	Kawachinagano	3	0	2013-06-18 03:59:00.022138+02	\N	\N	\N	\N	\N	\N	f	
9991	5dbea2e6-c46f-4eb6-9973-e606baf4b48b	Hirado	Hirado	3	0	2013-06-18 07:50:29.42397+02	\N	\N	\N	\N	\N	\N	f	
10032	cd08336f-18a3-41f5-bef4-fcb85ea5556c	Koga, Fukuoka	Koga, Fukuoka	3	0	2013-06-18 08:06:39.000154+02	\N	\N	\N	\N	\N	\N	f	
10038	54fa6762-be26-49dc-acd1-487edf3c4f52	Hikari	Hikari	3	0	2013-06-18 08:09:28.01292+02	\N	\N	\N	\N	\N	\N	f	
10070	095c8a90-fc9b-41eb-aad8-f55f9c6967d8	Yamaga	Yamaga	3	0	2013-06-18 08:15:44.253843+02	\N	\N	\N	\N	\N	\N	f	
10066	3bc12a99-7b1c-4bea-8911-f2c732110cbd	Takahashi	Takahashi	3	0	2013-06-18 08:14:56.556362+02	\N	\N	\N	\N	\N	\N	f	
10145	ddfe500d-ed02-4c46-8c86-371d1687ee5e	Ishii	Ishii	3	0	2013-06-18 14:39:08.527448+02	\N	\N	\N	\N	\N	\N	f	
10167	a01132ad-6a3f-434d-97bc-f72e84cb0532	Ino	Ino	3	0	2013-06-18 14:43:56.610389+02	\N	\N	\N	\N	\N	\N	f	
19665	c5d58a8a-5d8a-4dc0-89be-afc33cd0fc4b	Torricella, Apulia	Torricella, Apulia	4	0	2013-07-22 11:16:08.194977+02	\N	\N	\N	\N	\N	\N	f	
10172	59a82c9c-298b-4546-ba0b-28f6ceada992	Kamiita	Kamiita	3	0	2013-06-18 14:45:18.538622+02	\N	\N	\N	\N	\N	\N	f	
4166	73c94248-a4f1-4ace-a4bf-dbe54319c71e	Komondjari	Komondjari	2	0	2013-05-22 12:26:55.382381+02	\N	\N	\N	\N	\N	\N	f	
4777	884f7cca-d8fd-4ae9-9c32-ec1362d465d6	Tiznit	Tiznit	2	0	2013-05-22 15:09:45.781163+02	\N	\N	\N	\N	\N	\N	f	
5143	db568849-5f62-4d18-a2a8-d55612b5b9a7	Rome	Rome	3	0	2013-05-24 22:35:52.790756+02	\N	\N	\N	\N	\N	\N	f	
4812	7b42c6b9-8ee5-410f-9a99-fa2ff78ddf1f	Meemu	Meemu	2	0	2013-05-22 15:21:01.49403+02	\N	\N	\N	\N	\N	\N	f	
722	38faff13-04a6-4b99-b942-59794e9f05c9	Borsod-Abaúj-Zemplén	Borsod-Abaúj-Zemplén	2	0	2013-06-05 11:27:37.134927+02	\N	\N	\N	\N	\N	\N	f	
5311	ee1292a0-8c18-4036-bd6a-721078cba1d8	Czempiń	Czempiń	3	0	2013-05-24 23:08:43.946609+02	\N	\N	\N	\N	\N	\N	f	
4942	3740119a-3a9a-4e16-8b2a-fabd3aa49256	Quezon	Quezon	2	0	2013-05-22 15:54:48.432139+02	\N	\N	\N	\N	\N	\N	f	
5038	b391ca75-3aa9-48a8-9f4d-b2a92f15c69c	Kabale	Kabale	2	0	2013-05-22 16:13:22.843814+02	\N	\N	\N	\N	\N	\N	f	
5782	1bdbf088-fecd-4c76-a1f0-54a5b8010972	Roanoke	Roanoke	3	0	2013-05-25 00:50:14.681202+02	\N	\N	\N	\N	\N	\N	f	
5325	b50e329b-d857-4cbc-bbf8-bf8b88954a5b	Ostrów Wielkopolski	Ostrów Wielkopolski	3	0	2013-05-24 23:12:31.739589+02	\N	\N	\N	\N	\N	\N	f	
5469	b0689974-a139-4b1e-a59c-2aa9dc472eb1	Żukowo	Żukowo	3	0	2013-05-24 23:40:25.831171+02	\N	\N	\N	\N	\N	\N	f	
5542	85d247ec-4f4f-4861-ae02-d808675814b5	Maebashi	Maebashi	3	0	2013-05-24 23:59:30.616763+02	\N	\N	\N	\N	\N	\N	f	
5969	5d3f692d-fe80-4e20-94f0-0a06b983f323	Kamyaran	Kamyaran	3	0	2013-05-25 01:28:19.823219+02	\N	\N	\N	\N	\N	\N	f	
5578	8ad80b59-0e4e-474d-99fe-125efa6b694a	Fernie	Fernie	3	0	2013-05-25 00:06:22.40179+02	\N	\N	\N	\N	\N	\N	f	
5662	51194cf2-fd77-423e-b205-ffd497e5f2a0	Radziejów	Radziejów	3	0	2013-05-25 00:25:24.369862+02	\N	\N	\N	\N	\N	\N	f	
6457	5fc54755-5364-42e3-b402-0d29bb0d1df7	Richmond	Richmond	3	0	2013-05-25 03:09:14.855578+02	\N	\N	\N	\N	\N	\N	f	
5974	ca4f2b8f-1fda-4728-bdea-ff4840064ce0	Incheh Borun	Incheh Borun	3	0	2013-05-25 01:29:11.669023+02	\N	\N	\N	\N	\N	\N	f	
6044	b5e17bc9-32ef-4fee-a02d-d86484c65a77	Piaseczno	Piaseczno	3	0	2013-05-25 01:41:38.611961+02	\N	\N	\N	\N	\N	\N	f	
7397	fe068bf9-cbf3-4180-a9da-e8f507dbd632	Huehuetenango	Huehuetenango	3	0	2013-05-28 14:25:28.327132+02	\N	\N	\N	\N	\N	\N	f	
6054	13e85b9b-f025-4fe0-bf24-e3c709435fce	Saravan	Saravan	3	0	2013-05-25 01:43:35.768634+02	\N	\N	\N	\N	\N	\N	f	
6488	b18e626b-d9c7-4b79-b51e-f3d46dd43a7d	Poteau	Poteau	3	0	2013-05-25 03:17:35.65118+02	\N	\N	\N	\N	\N	\N	f	
6186	59c00cc5-0664-4c4a-a327-cc0312affc5f	Gilan-e Gharb	Gilan-e Gharb	3	0	2013-05-25 02:08:57.042344+02	\N	\N	\N	\N	\N	\N	f	
6198	6bea5b81-6d47-4975-ac15-17cf4f058616	Bahar	Bahar	3	0	2013-05-25 02:11:03.144903+02	\N	\N	\N	\N	\N	\N	f	
7123	ea82c1e1-2ae9-4cc7-9cf7-0765c602bd00	Krzanowice	Krzanowice	3	0	2013-05-26 16:58:10.723413+02	\N	\N	\N	\N	\N	\N	f	
6273	9020e10b-5e2e-4434-87b0-f39c33725279	Turkey	Turkey	3	0	2013-05-25 02:27:16.427691+02	\N	\N	\N	\N	\N	\N	f	
6706	0445e784-8649-417a-ad91-5d0201291879	Zarrin Rud	Zarrin Rud	3	0	2013-05-25 04:00:13.107707+02	\N	\N	\N	\N	\N	\N	f	
6718	147442c0-0aee-46fe-838a-abd05c6c8634	Likak	Likak	3	0	2013-05-25 04:02:22.359997+02	\N	\N	\N	\N	\N	\N	f	
6950	54b41c81-2f15-4fcd-85da-31356dbcbbae	Skawina	Skawina	3	0	2013-05-25 14:13:03.497672+02	\N	\N	\N	\N	\N	\N	f	
7247	ef8e281f-b730-4355-92bd-7278ef1508fd	Fife	Fife	3	0	2013-05-26 17:28:43.085562+02	\N	\N	\N	\N	\N	\N	f	
6957	a2419d25-815a-4b54-a887-7959890cb686	Inowrocław	Inowrocław	3	0	2013-05-25 14:14:43.658649+02	\N	\N	\N	\N	\N	\N	f	
7041	c335b725-1eeb-45f1-a795-a5f20f5c4dd0	Nowe Miasteczko	Nowe Miasteczko	3	0	2013-05-26 16:36:02.99059+02	\N	\N	\N	\N	\N	\N	f	
8309	9f2196a4-d699-407c-abf8-a3ddc1fae1af	Sebastopol	Sebastopol	3	0	2013-05-30 21:41:52.741827+02	\N	\N	\N	\N	\N	\N	f	
7485	9d5ffda6-c288-4022-9f91-1f1db50e8546	Bad Soden	Bad Soden	3	0	2013-05-29 00:26:28.820121+02	\N	\N	\N	\N	\N	\N	f	
7640	fff52005-7503-4193-abbf-be48939b11bc	Erbach	Erbach	3	0	2013-05-29 01:02:00.830916+02	\N	\N	\N	\N	\N	\N	f	
199	9d1049fb-7b2d-3862-a26d-3cc58c8c7b5b	Suriname	Suriname	1	0	2013-05-27 15:38:03.090972+02	\N	\N	\N	\N	\N	\N	f	
1941	514c35e2-fcf0-4d1d-85a9-fac2cdd467d7	Šavnik	Šavnik	2	0	2013-05-27 19:44:58.207997+02	\N	\N	\N	\N	\N	\N	f	
7689	398fb87f-6c0c-475b-ab32-c697b252c0a0	Atar	Atar	3	0	2013-05-29 01:13:15.560984+02	\N	\N	\N	\N	\N	\N	f	
8346	a5d36fc3-523a-4875-a5c7-633e3871ddd8	Allerona	Allerona	3	0	2013-05-30 21:50:26.524151+02	\N	\N	\N	\N	\N	\N	f	
7759	8efc1217-fad7-44b3-8393-2be988863bfa	Oxford	Oxford	3	0	2013-05-29 02:23:20.568879+02	\N	\N	\N	\N	\N	\N	f	
7787	df1f2303-4a2c-4daf-a4ae-e4ea1323b9d8	Baesweiler	Baesweiler	3	0	2013-05-29 02:30:00.252042+02	\N	\N	\N	\N	\N	\N	f	
8877	4aabd72c-0bb1-482f-acf2-8494e62b2483	Zhoukou	Zhoukou	3	0	2013-06-01 19:48:54.411038+02	\N	\N	\N	\N	\N	\N	f	
7788	5112c2c6-e2ec-4aa0-861d-12e1239c62cb	Järvenpää	Järvenpää	3	0	2013-05-29 02:30:16.763613+02	\N	\N	\N	\N	\N	\N	f	
3097	49ed4824-5155-4932-a376-cb7c0ff0fc30	Ḩajjah	Ḩajjah	2	0	2013-05-27 19:45:14.152654+02	\N	\N	\N	\N	\N	\N	f	
8471	ffeca4e7-d08f-45c7-b690-0258359ccdf6	Gilgandra	Gilgandra	3	0	2013-06-01 17:20:47.30366+02	\N	\N	\N	\N	\N	\N	f	
7355	a4109e16-75ec-4e8e-b583-ce3344735928	Bartın	Bartın	3	0	2013-05-28 14:10:38.004862+02	\N	\N	\N	\N	\N	\N	f	
7906	8e084dca-0aaa-4dce-a5fb-38733dc4059a	Grafton	Grafton	3	0	2013-05-29 03:04:27.1826+02	\N	\N	\N	\N	\N	\N	f	
7359	76c69b17-c391-4a3b-a1d2-f5534b446652	Quetzaltenango	Quetzaltenango	3	0	2013-05-28 14:11:46.745559+02	\N	\N	\N	\N	\N	\N	f	
7392	2536747d-ab33-4021-9db3-525ea6fc4d4a	Springfield	Springfield	3	0	2013-05-28 14:23:25.255996+02	\N	\N	\N	\N	\N	\N	f	
7918	3e415647-9a08-4cca-b492-178ba2247ea2	East Palestine	East Palestine	3	0	2013-05-29 03:08:12.561281+02	\N	\N	\N	\N	\N	\N	f	
8498	c2cb148b-24d4-4950-8bea-cc0960c3c9a2	Rudnik nad Sanem	Rudnik nad Sanem	3	0	2013-06-01 17:26:18.576376+02	\N	\N	\N	\N	\N	\N	f	
8264	6f946db2-05ad-4ce0-a7ef-b2ed506e4296	Khedbrahma	Khedbrahma	3	0	2013-05-30 21:31:47.983562+02	\N	\N	\N	\N	\N	\N	f	
9481	54a65c9c-b733-45a2-a965-f8293beb1747	Palsana	Palsana	3	0	2013-06-09 17:51:19.887963+02	\N	\N	\N	\N	\N	\N	f	
9010	9d8d3995-5e31-4397-bf88-8f16f51fdfa6	Xianyang	Xianyang	3	0	2013-06-01 20:21:17.845086+02	\N	\N	\N	\N	\N	\N	f	
8625	5d38056b-04ac-4f6e-84a6-bcd5c26c0e5c	Condobolin	Condobolin	3	0	2013-06-01 17:58:25.716224+02	\N	\N	\N	\N	\N	\N	f	
8754	5cb9d4e9-075b-4f52-a303-afc0871fd348	Milpitas	Milpitas	3	0	2013-06-01 18:36:05.250298+02	\N	\N	\N	\N	\N	\N	f	
2160	7af32581-31d1-4d9b-9f26-2051724e7d98	Borgo Maggiore	Borgo Maggiore	2	0	2013-06-05 08:58:19.340111+02	\N	\N	\N	\N	\N	\N	f	
8803	73371bf5-5472-4922-8279-f7388fa4f168	Kietrz	Kietrz	3	0	2013-06-01 18:50:04.171161+02	\N	\N	\N	\N	\N	\N	f	
9084	94dc6c83-17cf-4931-98f4-225e58645173	Shantou	Shantou	3	0	2013-06-01 20:36:26.460325+02	\N	\N	\N	\N	\N	\N	f	
9143	54d3b9a0-4fcc-48a3-b6d7-ae8dfec0cde3	Chaoyang	Chaoyang	3	0	2013-06-01 20:48:46.339425+02	\N	\N	\N	\N	\N	\N	f	
9867	c4b9b835-1ae1-43e5-ae9d-5f28af2bd166	Ena	Ena	3	0	2013-06-18 03:59:42.509348+02	\N	\N	\N	\N	\N	\N	f	
9664	26270ba6-b946-4cb7-8a45-0d6fd40b2346	Salzgitter	Salzgitter	3	0	2013-06-13 20:52:04.309017+02	\N	\N	\N	\N	\N	\N	f	
3147	54ce8aa6-5066-4fa3-9b33-939416297ad2	Cibitoke	Cibitoke	2	0	2013-06-05 08:15:11.841823+02	\N	\N	\N	\N	\N	\N	f	
4825	0d8473f5-696b-4431-a53c-f58c246084ed	Blantyre	Blantyre	2	0	2013-06-05 10:03:32.078738+02	\N	\N	\N	\N	\N	\N	f	
4905	fe018389-b9a2-40a3-ad57-352c457dfd0c	Cavite	Cavite	2	0	2013-06-05 11:52:24.992229+02	\N	\N	\N	\N	\N	\N	f	
9989	bbbdeeba-5ba5-4cb7-9b74-310f58b7f974	Iizuka	Iizuka	3	0	2013-06-18 07:50:08.379478+02	\N	\N	\N	\N	\N	\N	f	
4632	d76ca7c7-1830-4037-8b52-a74a0225bdc6	Cagliari	Cagliari	2	0	2013-06-05 09:51:20.125807+02	\N	\N	\N	\N	\N	\N	f	
3264	633527bb-e2fa-46ee-be01-5360ca19f2ce	Blida	Blida	2	0	2013-06-05 08:19:16.479018+02	\N	\N	\N	\N	\N	\N	f	
10075	e6ab988d-ccce-441f-9225-e310174e7b2d	Shōbara	Shōbara	3	0	2013-06-18 08:16:35.647658+02	\N	\N	\N	\N	\N	\N	f	
10150	040efa84-7fe9-4b6f-8168-597e9b3d904a	Itoda	Itoda	3	0	2013-06-18 14:40:05.851199+02	\N	\N	\N	\N	\N	\N	f	
10198	709503f4-9ad0-4ea8-b8b7-f4c921b8e45b	Rialto	Rialto	3	0	2013-06-18 15:01:05.936065+02	\N	\N	\N	\N	\N	\N	f	
10227	976074be-a916-4b72-8528-359ce3a06003	Pärnu-Jaagupi	Pärnu-Jaagupi	3	0	2013-06-18 16:38:43.021351+02	\N	\N	\N	\N	\N	\N	f	
10266	e201f145-fc67-4d95-8259-4ff069408316	Totsukawa	Totsukawa	3	0	2013-06-18 17:23:41.745692+02	\N	\N	\N	\N	\N	\N	f	
10287	534816c6-c8a0-4630-b10a-8751a2fe7901	Hichisō	Hichisō	3	0	2013-06-18 17:27:34.332169+02	\N	\N	\N	\N	\N	\N	f	
10325	b6fad30b-6cfe-4c63-8112-2ad613b5a3a9	Kōryō	Kōryō	3	0	2013-06-18 17:34:45.454+02	\N	\N	\N	\N	\N	\N	f	
10309	f19619f1-67f4-4acb-9b9a-8d7279f8df36	Ikeda	Ikeda	3	0	2013-06-18 17:31:22.165782+02	\N	\N	\N	\N	\N	\N	f	
13791	a66bb76e-7ba2-47f7-9913-d9b1b6f08812	Cevo	Cevo	4	0	2013-07-21 19:13:06.189473+02	\N	\N	\N	\N	\N	\N	f	
4167	fd7ff46b-5328-478d-a66c-70ff092df007	Kompienga	Kompienga	2	0	2013-05-22 12:27:08.22784+02	\N	\N	\N	\N	\N	\N	f	
4853	774b2fcf-ed8f-4e06-bd4e-65dc3a6693d6	Bheri	Bheri	2	0	2013-06-05 07:39:44.383937+02	\N	\N	\N	\N	\N	\N	f	
4778	9ae35db3-050c-4cfa-94e2-6f7b4412b95a	Tan-Tan	Tan-Tan	2	0	2013-05-22 15:10:07.919156+02	\N	\N	\N	\N	\N	\N	f	
5144	2b12cf36-34d7-4c68-8bfa-0b3dc9398285	Nordhorn	Nordhorn	3	0	2013-05-24 22:36:02.960992+02	\N	\N	\N	\N	\N	\N	f	
5039	95884794-9b61-4502-a299-b4ac06815ba9	Kabarole	Kabarole	2	0	2013-05-22 16:13:34.278183+02	\N	\N	\N	\N	\N	\N	f	
5313	eb4f1550-0c7f-4954-aa1f-cd83c9b3ea7d	Chodzież	Chodzież	3	0	2013-05-24 23:09:05.610808+02	\N	\N	\N	\N	\N	\N	f	
5783	39230510-ce32-4e6c-8833-609a3bdd4eee	Fairfax, Virginia	Fairfax, Virginia	3	0	2013-05-25 00:50:25.611247+02	\N	\N	\N	\N	\N	\N	f	
5435	2f82c9c5-0192-4da8-beeb-3eeae35e5127	Zamość	Zamość	3	0	2013-05-24 23:33:35.908617+02	\N	\N	\N	\N	\N	\N	f	
5471	68001a19-2745-40a4-a090-4304309ae764	Złotoryja	Złotoryja	3	0	2013-05-24 23:40:55.105242+02	\N	\N	\N	\N	\N	\N	f	
5663	08fd7ade-9e5f-4bb7-aff8-553809a643df	Brzeziny	Brzeziny	3	0	2013-05-25 00:25:36.812038+02	\N	\N	\N	\N	\N	\N	f	
5973	2b7e62dd-68d8-4504-8765-b27b9b686103	Nowshahr	Nowshahr	3	0	2013-05-25 01:29:01.25667+02	\N	\N	\N	\N	\N	\N	f	
6461	fc8bdb04-672f-44bf-8a82-4d8aa900b35f	Pipestone	Pipestone	3	0	2013-05-25 03:10:12.654906+02	\N	\N	\N	\N	\N	\N	f	
5979	5f4e5537-5367-40d9-9f30-fe4018a2700b	Paveh	Paveh	3	0	2013-05-25 01:30:06.600076+02	\N	\N	\N	\N	\N	\N	f	
5997	8765fafb-47a5-4448-be65-749b23022c9e	Hashtrud	Hashtrud	3	0	2013-05-25 01:33:13.080816+02	\N	\N	\N	\N	\N	\N	f	
6009	771ef28c-0803-4706-8bf9-20e6f34cb3a9	Manjil	Manjil	3	0	2013-05-25 01:35:21.318182+02	\N	\N	\N	\N	\N	\N	f	
6708	84b42f91-6e61-493c-a360-939d9082947d	Farim	Farim	3	0	2013-05-25 04:00:33.756605+02	\N	\N	\N	\N	\N	\N	f	
6021	a040675b-d3d2-473c-b284-e4a5ebcea47a	Nurabad	Nurabad	3	0	2013-05-25 01:37:24.442806+02	\N	\N	\N	\N	\N	\N	f	
6041	cc35467f-3f96-404f-845f-9f83b3e96bb2	Ciechanów	Ciechanów	3	0	2013-05-25 01:41:04.295654+02	\N	\N	\N	\N	\N	\N	f	
7124	7997ceca-80dc-47ca-b186-b2c9878432e3	Lubniewice	Lubniewice	3	0	2013-05-26 16:58:25.596183+02	\N	\N	\N	\N	\N	\N	f	
6048	513584a6-75d6-4a9b-9107-01ca941b8371	Milford	Milford	3	0	2013-05-25 01:42:28.49847+02	\N	\N	\N	\N	\N	\N	f	
6951	41fcb402-27d0-4a82-899f-16e3deef2837	Gubin	Gubin	3	0	2013-05-25 14:13:23.622777+02	\N	\N	\N	\N	\N	\N	f	
6197	4880b105-3531-4159-aaca-ffa6547dee52	Sarvabad	Sarvabad	3	0	2013-05-25 02:10:52.956266+02	\N	\N	\N	\N	\N	\N	f	
6203	73e0eb8c-0ff4-427f-949c-f7f520c25942	Shalamzar	Shalamzar	3	0	2013-05-25 02:11:55.399473+02	\N	\N	\N	\N	\N	\N	f	
6216	f963551b-6cc0-4b88-9b02-d897fe1a27a7	Abarkuh	Abarkuh	3	0	2013-05-25 02:14:20.566256+02	\N	\N	\N	\N	\N	\N	f	
6973	5de0a200-ccef-4b23-b6f7-ecec234cfca6	Sulechów	Sulechów	3	0	2013-05-25 14:18:00.071672+02	\N	\N	\N	\N	\N	\N	f	
6231	15cdc292-1cc6-45a2-9202-b9116f8e0d9c	Juybar	Juybar	3	0	2013-05-25 02:17:19.249374+02	\N	\N	\N	\N	\N	\N	f	
6238	0ab0802a-5a39-4af3-9055-2d6028abb045	Pszczyna	Pszczyna	3	0	2013-05-25 02:19:36.65025+02	\N	\N	\N	\N	\N	\N	f	
7486	91bb6872-7b31-401e-a2f5-7d44f9419377	Herat	Herat	3	0	2013-05-29 00:26:52.732424+02	\N	\N	\N	\N	\N	\N	f	
7042	b4d84408-a90c-4103-aec9-fb5e4521d08a	Polanica-Zdrój	Polanica-Zdrój	3	0	2013-05-26 16:36:17.062884+02	\N	\N	\N	\N	\N	\N	f	
7248	8a62b3ba-18e5-4f21-9940-e5ae227a1a08	Gościno	Gościno	3	0	2013-05-26 17:29:04.598785+02	\N	\N	\N	\N	\N	\N	f	
8574	9fad9e54-6fb8-419c-ad90-145296f3dff3	Georgetown	Georgetown	3	0	2013-06-01 17:44:20.695631+02	\N	\N	\N	\N	\N	\N	f	
7497	785e12a9-70ae-4760-ab1d-ce96061a5956	Bad Saulgau	Bad Saulgau	3	0	2013-05-29 00:31:00.427917+02	\N	\N	\N	\N	\N	\N	f	
7911	641df522-82d1-4660-8d74-532df170fba0	Oxford	Oxford	3	0	2013-05-29 03:05:51.742359+02	\N	\N	\N	\N	\N	\N	f	
7512	cce543ef-eeac-4583-895f-f1568627e0d3	Grebenstein	Grebenstein	3	0	2013-05-29 00:35:21.749623+02	\N	\N	\N	\N	\N	\N	f	
7514	40f551ba-61bf-455f-aa44-399396cf99bb	Castlemaine	Castlemaine	3	0	2013-05-29 00:35:46.387933+02	\N	\N	\N	\N	\N	\N	f	
8007	727dd639-3eee-495c-b486-ab35465b0718	Mendrisio	Mendrisio	3	0	2013-05-30 18:23:33.92254+02	\N	\N	\N	\N	\N	\N	f	
7518	3e251d20-9cea-44f4-8792-040b5702b291	Burladingen	Burladingen	3	0	2013-05-29 00:37:04.240081+02	\N	\N	\N	\N	\N	\N	f	
7943	090ddc02-a7c3-406a-a923-a46e13302d76	Hiroshima	Hiroshima	3	0	2013-05-29 09:45:45.650921+02	\N	\N	\N	\N	\N	\N	f	
7529	be6d1813-a0ba-43f2-b460-e8d9d029dffe	Bad Ems	Bad Ems	3	0	2013-05-29 00:39:49.930193+02	\N	\N	\N	\N	\N	\N	f	
250	3519cc6e-ae19-3d2c-9b9e-575a860ef8e1	Åland Islands	Åland Islands	1	0	2013-05-27 15:54:16.742027+02	\N	\N	\N	\N	\N	\N	f	
7564	152c627b-6aea-4079-9ced-be001dcdf0c8	Friedberg	Friedberg	3	0	2013-05-29 00:47:08.698994+02	\N	\N	\N	\N	\N	\N	f	
7641	8233a6ab-549f-4a01-8d48-507e40971c83	Frankenberg	Frankenberg	3	0	2013-05-29 01:02:12.165099+02	\N	\N	\N	\N	\N	\N	f	
7945	20fdebf8-fdcc-49f0-845f-54147c735983	Dortmund	Dortmund	3	0	2013-05-29 10:21:16.653236+02	\N	\N	\N	\N	\N	\N	f	
7651	0b39c4d2-c00d-436c-9ab7-f1d94aaf583e	Reichelsheim	Reichelsheim	3	0	2013-05-29 01:05:10.536349+02	\N	\N	\N	\N	\N	\N	f	
2069	30b71d72-fc50-41a8-aeee-1b06673abfa7	Šmartno ob Paki	Šmartno ob Paki	2	0	2013-05-27 19:46:23.652237+02	\N	\N	\N	\N	\N	\N	f	
7356	6c0fc687-701d-42f6-b35c-99a729e47820	Adrar	Adrar	3	0	2013-05-28 14:10:53.947601+02	\N	\N	\N	\N	\N	\N	f	
7762	779dee00-5aa1-4db7-a95b-630a8f040bd9	Magnolia	Magnolia	3	0	2013-05-29 02:23:58.050742+02	\N	\N	\N	\N	\N	\N	f	
8267	072b737e-e8a4-4f2b-8406-abf6395502bd	Giove	Giove	3	0	2013-05-30 21:32:29.515097+02	\N	\N	\N	\N	\N	\N	f	
7782	61bc86ea-019e-4aa6-81cb-8638c606b93d	Frederick	Frederick	3	0	2013-05-29 02:28:42.570558+02	\N	\N	\N	\N	\N	\N	f	
8098	97846bde-b2da-4011-bd39-25252feb3ba4	Burnham-on-Crouch	Burnham-on-Crouch	3	0	2013-05-30 18:46:17.556779+02	\N	\N	\N	\N	\N	\N	f	
7908	87ba6619-48d3-436e-922b-dfdc03799689	Envigado	Envigado	3	0	2013-05-29 03:05:15.473851+02	\N	\N	\N	\N	\N	\N	f	
7949	00ed07a5-acd7-4217-a37a-72ebf08349b6	Wiesbaden	Wiesbaden	3	0	2013-05-29 10:22:21.580849+02	\N	\N	\N	\N	\N	\N	f	
7958	45f07934-675a-46d6-a577-6f8637a411b1	Pärnu	Pärnu	3	0	2013-05-29 21:45:11.693168+02	\N	\N	\N	\N	\N	\N	f	
7959	8ffcf17e-35ce-416b-8d07-1a69fda9b37c	Lengyeltóti	Lengyeltóti	3	0	2013-05-30 13:05:34.065629+02	\N	\N	\N	\N	\N	\N	f	
8119	43e70ae6-740e-4a07-9a30-8dd991a9cb16	Amaralina	Amaralina	3	0	2013-05-30 20:53:20.277015+02	\N	\N	\N	\N	\N	\N	f	
7986	1c1a2339-3f1b-45b8-98c3-ef96fa2214c4	Makurazaki	Makurazaki	3	0	2013-05-30 16:25:20.996266+02	\N	\N	\N	\N	\N	\N	f	
8265	a7bab06e-2e47-4aa1-ab5c-60e110e5eafa	Otricoli	Otricoli	3	0	2013-05-30 21:32:04.615177+02	\N	\N	\N	\N	\N	\N	f	
8293	f5a01b20-e1b5-4d33-8648-20fa02df1378	Beaufort	Beaufort	3	0	2013-05-30 21:38:23.409895+02	\N	\N	\N	\N	\N	\N	f	
8266	31c73193-85c6-4a15-ae27-61c173e30c81	Chelmsford	Chelmsford	3	0	2013-05-30 21:32:14.80036+02	\N	\N	\N	\N	\N	\N	f	
8755	e38dacf3-8334-40a5-8511-25a2f23d593e	Kvasyliv	Kvasyliv	3	0	2013-06-01 18:36:20.675265+02	\N	\N	\N	\N	\N	\N	f	
8472	a49d06fe-d6cd-4373-bfed-8d72a2f83134	Czarne	Czarne	3	0	2013-06-01 17:20:58.136496+02	\N	\N	\N	\N	\N	\N	f	
8626	e5bb586c-f237-4081-be27-c5d1b407d8a1	Leighton Buzzard	Leighton Buzzard	3	0	2013-06-01 17:58:42.279898+02	\N	\N	\N	\N	\N	\N	f	
8879	c7b73c3c-4233-4ccd-b9ea-dc19080d7428	Zhumadian	Zhumadian	3	0	2013-06-01 19:49:17.577286+02	\N	\N	\N	\N	\N	\N	f	
8756	18344252-198d-411a-8525-59a9a92e60d6	Reda	Reda	3	0	2013-06-01 18:36:37.848637+02	\N	\N	\N	\N	\N	\N	f	
8913	4b89ac55-8547-44bf-ae76-59645a925e27	Anyang	Anyang	3	0	2013-06-01 20:00:47.022938+02	\N	\N	\N	\N	\N	\N	f	
9011	eea600f0-b757-4f1d-9778-12452d26f60f	Lincang	Lincang	3	0	2013-06-01 20:21:31.698894+02	\N	\N	\N	\N	\N	\N	f	
9070	ab858d8d-978c-4475-898c-034f2b765e08	Handan	Handan	3	0	2013-06-01 20:33:48.637199+02	\N	\N	\N	\N	\N	\N	f	
4633	b07bc026-bae1-4dbc-8271-194d479b901f	Campobasso	Campobasso	2	0	2013-06-05 07:13:22.358944+02	\N	\N	\N	\N	\N	\N	f	
9144	a784dc4f-5736-47f8-a8f0-4fe8dec2a11d	Dalian	Dalian	3	0	2013-06-01 20:48:59.223539+02	\N	\N	\N	\N	\N	\N	f	
4197	de9fb0e7-02e8-41e4-abe7-ee45e6486a54	Boa Vista	Boa Vista	2	0	2013-06-05 06:49:10.975266+02	\N	\N	\N	\N	\N	\N	f	
4906	d19b90e3-3a0a-49c7-aba6-1dbdb6c514da	Cebu	Cebu	2	0	2013-06-05 12:28:19.130095+02	\N	\N	\N	\N	\N	\N	f	
4627	0f036b20-6e6b-4675-8533-42030e52e60d	Bologna	Bologna	2	0	2013-06-05 11:29:57.23781+02	\N	\N	\N	\N	\N	\N	f	
9483	5029381d-14c1-4823-8085-0f5460c0c6be	Mahemdabad	Mahemdabad	3	0	2013-06-09 17:51:42.854624+02	\N	\N	\N	\N	\N	\N	f	
25073	25dc9aa6-4671-4dff-9412-ac962a3bd900	Quimby	Quimby	3	0	2013-09-07 09:56:42.326806+02	\N	\N	\N	\N	\N	\N	f	
9665	54557aa9-29c0-45ee-8aab-7c206b9b39e4	Wilhelmshaven	Wilhelmshaven	3	0	2013-06-13 20:53:46.277251+02	\N	\N	\N	\N	\N	\N	f	
13793	c65607b1-5671-4f72-9365-5c4e7c68ccf9	Volpiano	Volpiano	4	0	2013-07-21 19:13:29.756945+02	\N	\N	\N	\N	\N	\N	f	
4168	96321fa1-f0fa-4b0e-92d8-3bcb32355d44	Koulpélogo	Koulpélogo	2	0	2013-05-22 12:27:19.131844+02	\N	\N	\N	\N	\N	\N	f	
4203	4303a963-724c-4b64-8d91-529e8bab10e7	Paul	Paul	2	0	2013-05-22 12:36:03.050982+02	\N	\N	\N	\N	\N	\N	f	
4779	26acb1a9-da88-4051-bf59-75d23696e06d	Zagora	Zagora	2	0	2013-05-22 15:10:21.618191+02	\N	\N	\N	\N	\N	\N	f	
5146	7691f7af-c368-4de4-bd66-dfb554944d20	Kampala	Kampala	3	0	2013-05-24 22:36:23.931729+02	\N	\N	\N	\N	\N	\N	f	
10068	d9f4ab45-4ad3-4715-96df-18ae2c57221c	Higashikagawa	Higashikagawa	3	0	2013-06-18 08:15:23.737322+02	\N	\N	\N	\N	\N	\N	f	
5041	88d5de49-8bda-4536-9df3-aef7336f3245	Kibaale	Kibaale	2	0	2013-05-22 16:13:57.688967+02	\N	\N	\N	\N	\N	\N	f	
5314	21834e17-8606-4e10-af5c-76d5d668eba9	Virginia Beach	Virginia Beach	3	0	2013-05-24 23:09:15.993164+02	\N	\N	\N	\N	\N	\N	f	
5785	1e908aa1-ee60-4ec8-abf2-212254ce7502	Shahdad	Shahdad	3	0	2013-05-25 00:50:46.762515+02	\N	\N	\N	\N	\N	\N	f	
5371	98ea86f5-b955-4b57-af51-fb0a8cc5c36b	Meymeh	Meymeh	3	0	2013-05-24 23:21:43.239287+02	\N	\N	\N	\N	\N	\N	f	
5472	112f23ad-77f4-422d-a5a3-e12451312115	Kostrzyn nad Odrą	Kostrzyn nad Odrą	3	0	2013-05-24 23:41:11.335128+02	\N	\N	\N	\N	\N	\N	f	
5518	7040f2a6-1299-4561-b7b0-ac2a68343f17	Naha	Naha	3	0	2013-05-24 23:54:07.245584+02	\N	\N	\N	\N	\N	\N	f	
5980	2abd4429-a792-4848-8fea-08b727c8e74f	Darab	Darab	3	0	2013-05-25 01:30:16.924193+02	\N	\N	\N	\N	\N	\N	f	
5664	fca22aba-678c-40fa-afbc-7edf9efe02eb	Wieruszów	Wieruszów	3	0	2013-05-25 00:25:49.957314+02	\N	\N	\N	\N	\N	\N	f	
6462	e53588e3-f6e2-4290-9078-0efc1560f806	Zwoleń	Zwoleń	3	0	2013-05-25 03:10:24.258693+02	\N	\N	\N	\N	\N	\N	f	
6001	5fc6417e-c255-4fdd-a6b9-ff2fa9bc168b	Khan Bebin	Khan Bebin	3	0	2013-05-25 01:33:53.617561+02	\N	\N	\N	\N	\N	\N	f	
6199	a98dfe73-f518-4393-a602-5da885cf30b8	Harsin	Harsin	3	0	2013-05-25 02:11:13.965408+02	\N	\N	\N	\N	\N	\N	f	
6201	6b674f94-e8f4-4272-b0ca-a800b7fbff68	Eshkanan	Eshkanan	3	0	2013-05-25 02:11:34.799317+02	\N	\N	\N	\N	\N	\N	f	
6722	ec25d026-190a-4e87-b8f3-6ab1e899ddde	Chamestan	Chamestan	3	0	2013-05-25 04:03:07.175071+02	\N	\N	\N	\N	\N	\N	f	
6205	8dd6869c-c220-4185-90f3-9d63d9bc0ecf	Mehdishahr	Mehdishahr	3	0	2013-05-25 02:12:15.892505+02	\N	\N	\N	\N	\N	\N	f	
7125	498d3b9d-a493-4854-a8fd-e9de7f488d0d	Trzcianka	Trzcianka	3	0	2013-05-26 16:58:41.827416+02	\N	\N	\N	\N	\N	\N	f	
6952	9f53e025-d2f1-4e08-8a85-50404873d2ef	Cieszyn	Cieszyn	3	0	2013-05-25 14:13:34.179407+02	\N	\N	\N	\N	\N	\N	f	
6966	779f043d-ab89-49d8-9cc0-53e79269a15a	Niemcza	Niemcza	3	0	2013-05-25 14:16:31.299828+02	\N	\N	\N	\N	\N	\N	f	
7043	619d6755-2b22-4009-bf77-a73b5b9a3397	Wysoka	Wysoka	3	0	2013-05-26 16:37:29.010683+02	\N	\N	\N	\N	\N	\N	f	
7249	f5212e03-ddb0-4c8c-aebd-59e8642b0479	Mikstat	Mikstat	3	0	2013-05-26 17:29:28.284393+02	\N	\N	\N	\N	\N	\N	f	
8048	844ec870-0e46-4bb4-a15c-75cdd1947ac8	Washington	Washington	3	0	2013-05-30 18:34:37.298084+02	\N	\N	\N	\N	\N	\N	f	
8646	087d11a1-410c-4c7e-b9af-eca90b88d784	China	China	3	0	2013-06-01 18:03:52.386988+02	\N	\N	\N	\N	\N	\N	f	
2518	29b897c6-a9d9-4dd7-911c-fee5ad5ba133	Ömnögovĭ	Ömnögovĭ	2	0	2013-05-27 19:47:34.313522+02	\N	\N	\N	\N	\N	\N	f	
8120	6771d432-f10f-4e21-a6fd-33cfbff74d5a	Jallaram Kamanpur	Jallaram Kamanpur	3	0	2013-05-30 20:56:43.236437+02	\N	\N	\N	\N	\N	\N	f	
7358	7ec24b40-03c7-40b3-a290-781d0909b097	Toledo	Toledo	3	0	2013-05-28 14:11:30.701793+02	\N	\N	\N	\N	\N	\N	f	
7487	ae6cd6af-59cf-4004-b6b3-243a8c63b079	Eppstein	Eppstein	3	0	2013-05-29 00:27:02.943565+02	\N	\N	\N	\N	\N	\N	f	
7643	13319c51-d1f4-4327-9a21-b94e394f4d78	Heringen	Heringen	3	0	2013-05-29 01:02:34.522826+02	\N	\N	\N	\N	\N	\N	f	
8159	400cab21-e603-485c-8c9a-8f9967a7489e	Mortlake	Mortlake	3	0	2013-05-30 21:06:52.768705+02	\N	\N	\N	\N	\N	\N	f	
7667	b4935a49-07c2-4d23-98d0-a302797d5963	Raunheim	Raunheim	3	0	2013-05-29 01:08:18.674254+02	\N	\N	\N	\N	\N	\N	f	
223	4e8596fe-cbee-34ce-8b35-1f3c9bc094d6	United States Minor Outlying Islands	United States Minor Outlying Islands	1	0	2013-05-27 15:55:34.617382+02	\N	\N	\N	\N	\N	\N	f	
7769	d48b6745-ee20-4e29-9710-802f4c063b81	Nenana	Nenana	3	0	2013-05-29 02:25:31.8744+02	\N	\N	\N	\N	\N	\N	f	
3331	f9af78b3-25c8-4d74-8ac6-40b27639fec6	As Suways	As Suways	2	0	2013-06-05 08:28:09.26565+02	\N	\N	\N	\N	\N	\N	f	
7915	0d57d3ff-9be1-4742-9b5b-c2240644513e	Portland	Portland	3	0	2013-05-29 03:07:03.085898+02	\N	\N	\N	\N	\N	\N	f	
8207	384cf9b9-aa04-4aaf-885a-729b355bfbf7	Wittmund	Wittmund	3	0	2013-05-30 21:17:28.392809+02	\N	\N	\N	\N	\N	\N	f	
7944	b96274a6-fb40-4e44-9741-ee42357232fb	Thun	Thun	3	0	2013-05-29 09:47:23.189413+02	\N	\N	\N	\N	\N	\N	f	
8757	10c0b705-2f5b-4572-a657-9b904280ebb9	Oborniki Śląskie	Oborniki Śląskie	3	0	2013-06-01 18:36:48.670181+02	\N	\N	\N	\N	\N	\N	f	
7946	1fff5149-c000-483e-8ccc-9e7b9d389e20	Fort Smith	Fort Smith	3	0	2013-05-29 10:21:34.459905+02	\N	\N	\N	\N	\N	\N	f	
7960	e1897103-22e5-4d08-9969-92794635bb81	Northampton	Northampton	3	0	2013-05-30 13:08:37.141272+02	\N	\N	\N	\N	\N	\N	f	
8268	df8c66e5-bbc9-4f0a-a66a-38e9720d305d	Anakie	Anakie	3	0	2013-05-30 21:32:43.129471+02	\N	\N	\N	\N	\N	\N	f	
7987	ec681f81-4b9f-4289-a37c-78e4adc48fa2	Akune	Akune	3	0	2013-05-30 16:26:17.558982+02	\N	\N	\N	\N	\N	\N	f	
8008	fe9abaa5-c51b-4ea4-a64e-67ffca972788	Smythesdale	Smythesdale	3	0	2013-05-30 18:24:07.035957+02	\N	\N	\N	\N	\N	\N	f	
9145	101ae5ab-0565-4a83-ad1b-8a1947831f09	Tieling	Tieling	3	0	2013-06-01 20:49:11.781095+02	\N	\N	\N	\N	\N	\N	f	
8046	df329549-a4ea-42b5-a6e2-a41a13703856	Goldville	Goldville	3	0	2013-05-30 18:34:08.029302+02	\N	\N	\N	\N	\N	\N	f	
8780	2a450cc7-358e-40a0-aa1b-9d5b59e5e771	Quilpie	Quilpie	3	0	2013-06-01 18:44:12.466251+02	\N	\N	\N	\N	\N	\N	f	
8313	0a8711db-b911-4188-8a06-7d04d8684ed5	Balkh	Balkh	3	0	2013-05-30 21:42:48.533875+02	\N	\N	\N	\N	\N	\N	f	
8473	bf5d41ea-2772-403f-9d6a-c4fade30a2ae	Aachen	Aachen	3	0	2013-06-01 17:21:09.656662+02	\N	\N	\N	\N	\N	\N	f	
9666	95a8c7fe-6aab-4fd2-81b7-f4a05e3ab994	Delmenhorst	Delmenhorst	3	0	2013-06-13 20:54:05.793078+02	\N	\N	\N	\N	\N	\N	f	
8523	cfb01e7a-2c06-4ddf-81b3-6b8aef239080	Romain-sur-Meuse	Romain-sur-Meuse	3	0	2013-06-01 17:31:53.179135+02	\N	\N	\N	\N	\N	\N	f	
8627	73dc095f-5a6c-4553-b4d2-2061631a4c5a	Uralla	Uralla	3	0	2013-06-01 17:58:56.284958+02	\N	\N	\N	\N	\N	\N	f	
8880	dfe740f5-f750-4281-9e5b-0467c60238a2	Qiqihar	Qiqihar	3	0	2013-06-01 19:49:57.157137+02	\N	\N	\N	\N	\N	\N	f	
9870	d3bba0d2-45ab-4e8b-b841-e8525e6c648e	Higashimatsuyama	Higashimatsuyama	3	0	2013-06-18 04:00:33.720431+02	\N	\N	\N	\N	\N	\N	f	
8890	6ca6e411-b37d-457f-903b-cb6ec761bc78	Tai'an	Tai'an	3	0	2013-06-01 19:52:23.483081+02	\N	\N	\N	\N	\N	\N	f	
8995	a9129258-d823-4dc6-844a-5f49f13c8650	Suzhou	Suzhou	3	0	2013-06-01 20:17:21.131543+02	\N	\N	\N	\N	\N	\N	f	
2494	9993ecff-0040-4c8d-b543-dc9ff4e803ad	Aqtöbe oblysy	Aqtöbe oblysy	2	0	2013-06-05 11:34:04.8775+02	\N	\N	\N	\N	\N	\N	f	
9012	90c47fc2-d334-4ae5-b1c0-e117581e4009	Baoshan, Yunnan	Baoshan, Yunnan	3	0	2013-06-01 20:21:42.442888+02	\N	\N	\N	\N	\N	\N	f	
9486	f1414a48-2b40-4606-9fdc-b9d20da1ebb8	Bhiloda	Bhiloda	3	0	2013-06-09 17:52:10.755494+02	\N	\N	\N	\N	\N	\N	f	
9990	79beeff5-f61d-4550-9982-37fca10bebe9	Ikoma	Ikoma	3	0	2013-06-18 07:50:18.767318+02	\N	\N	\N	\N	\N	\N	f	
4907	66cb0455-dcd9-4d78-8935-af5ca89a2d20	Compostela Valley	Compostela Valley	2	0	2013-06-05 08:27:49.841968+02	\N	\N	\N	\N	\N	\N	f	
4634	b7b2ab00-de27-4625-983c-469f7ffa4a78	Caserta	Caserta	2	0	2013-06-05 11:29:30.310791+02	\N	\N	\N	\N	\N	\N	f	
10076	f53ad4a3-7177-46ea-bd03-367cda480e42	Nichinan	Nichinan	3	0	2013-06-18 08:16:46.041153+02	\N	\N	\N	\N	\N	\N	f	
10152	f1629cf4-f4b3-4d7b-8c58-d300c1af38b7	Yusuhara	Yusuhara	3	0	2013-06-18 14:40:26.506998+02	\N	\N	\N	\N	\N	\N	f	
10156	29cc8fb7-e63f-44b4-9d7f-41de1839d86c	Sanagōchi	Sanagōchi	3	0	2013-06-18 14:41:08.113133+02	\N	\N	\N	\N	\N	\N	f	
10165	4895c501-1805-4f23-89d4-05de41123f59	Umaji	Umaji	3	0	2013-06-18 14:43:28.868474+02	\N	\N	\N	\N	\N	\N	f	
10170	1ad53cb9-8907-4691-9980-b605aa448d07	Naoshima	Naoshima	3	0	2013-06-18 14:44:57.920501+02	\N	\N	\N	\N	\N	\N	f	
10222	21b095d2-bc9a-4161-9849-3e7361cdf0cf	Katsuura	Katsuura	3	0	2013-06-18 15:20:00.241019+02	\N	\N	\N	\N	\N	\N	f	
10228	176a8418-b639-4624-8a8f-5d53a311e31d	Järvakandi	Järvakandi	3	0	2013-06-18 16:58:44.768002+02	\N	\N	\N	\N	\N	\N	f	
10311	21b5ddc6-c24b-4086-8d3c-d5c688171774	Kawanishi	Kawanishi	3	0	2013-06-18 17:31:42.797211+02	\N	\N	\N	\N	\N	\N	f	
10267	e3805ddd-180a-490c-90d3-bc0ce1dbd116	Yamazoe	Yamazoe	3	0	2013-06-18 17:23:51.924598+02	\N	\N	\N	\N	\N	\N	f	
10343	4bc04d5b-8090-4025-b692-2c007c183394	Heguri	Heguri	3	0	2013-06-18 17:37:57.198792+02	\N	\N	\N	\N	\N	\N	f	
10327	277ccf07-ba90-46a6-aeaf-7b864f0c92dd	Ogano	Ogano	3	0	2013-06-18 17:35:08.655827+02	\N	\N	\N	\N	\N	\N	f	
4169	e81d1571-fa8b-43f7-bf75-457e649ada35	Kossi	Kossi	2	0	2013-05-22 12:27:32.779736+02	\N	\N	\N	\N	\N	\N	f	
9872	8a613856-c818-4b7e-b443-c2f832668264	Hakui	Hakui	3	0	2013-06-18 04:01:17.983904+02	\N	\N	\N	\N	\N	\N	f	
4635	3c90eeea-7a15-4660-96dc-7c0688b56021	Chieti	Chieti	2	0	2013-06-05 12:22:06.968626+02	\N	\N	\N	\N	\N	\N	f	
5147	2b748d6e-bc1c-4434-9f7b-ecd6332bc557	Portland	Portland	3	0	2013-05-24 22:36:34.507929+02	\N	\N	\N	\N	\N	\N	f	
4908	8b0e8da8-e10b-4764-bdec-02f5563b594b	Davao Oriental	Davao Oriental	2	0	2013-05-22 15:47:50.282017+02	\N	\N	\N	\N	\N	\N	f	
5042	c0bb59d3-d94d-4087-9c65-25b638acd6c2	Kisoro	Kisoro	2	0	2013-05-22 16:14:12.825139+02	\N	\N	\N	\N	\N	\N	f	
5316	d84b0fb8-f971-40bc-a6a7-bc8f54d09b8a	Gniezno	Gniezno	3	0	2013-05-24 23:09:40.569415+02	\N	\N	\N	\N	\N	\N	f	
5786	56377f74-346d-4f7a-ad82-3cc47661c421	Salem	Salem	3	0	2013-05-25 00:50:57.595578+02	\N	\N	\N	\N	\N	\N	f	
5343	25d8ab62-7435-48b3-a21f-6c2445c212de	Bazargan	Bazargan	3	0	2013-05-24 23:15:52.885713+02	\N	\N	\N	\N	\N	\N	f	
5473	77998a1f-0fb7-48ed-9d3e-6ec817b56ad0	Pabianice	Pabianice	3	0	2013-05-24 23:41:26.516549+02	\N	\N	\N	\N	\N	\N	f	
5494	0c6542df-b635-4745-b0c3-324c7e112d31	Nowe	Nowe	3	0	2013-05-24 23:47:13.52094+02	\N	\N	\N	\N	\N	\N	f	
5982	3ea88deb-26c1-4281-8ffa-931aa9c71f8d	Khvormuj	Khvormuj	3	0	2013-05-25 01:30:37.678099+02	\N	\N	\N	\N	\N	\N	f	
5505	5ff997f2-748a-4d14-bd20-cdee66f70461	Emporia, Virginia	Emporia, Virginia	3	0	2013-05-24 23:50:34.251508+02	\N	\N	\N	\N	\N	\N	f	
5667	a0793fcd-f57d-4bab-ae5f-5b5a745d92b9	Kawagoe	Kawagoe	3	0	2013-05-25 00:26:31.932683+02	\N	\N	\N	\N	\N	\N	f	
6463	af1a888c-642a-4bf9-a963-c1761a021844	Ustrzyki Dolne	Ustrzyki Dolne	3	0	2013-05-25 03:10:41.52617+02	\N	\N	\N	\N	\N	\N	f	
6005	8fda5af2-f06c-4a9d-a39d-a80f48088786	Azandarian	Azandarian	3	0	2013-05-25 01:34:36.279838+02	\N	\N	\N	\N	\N	\N	f	
6017	3e919427-6a85-4d38-8bf1-256e93797335	Bastam	Bastam	3	0	2013-05-25 01:36:43.3262+02	\N	\N	\N	\N	\N	\N	f	
6055	84fc057b-17b4-4cfb-91f5-cda105aea223	Sabzevar	Sabzevar	3	0	2013-05-25 01:43:47.164026+02	\N	\N	\N	\N	\N	\N	f	
6724	b6682e87-95bf-4882-b413-f97c871105da	Ashkhaneh	Ashkhaneh	3	0	2013-05-25 04:03:27.519479+02	\N	\N	\N	\N	\N	\N	f	
6200	2dd6bcc6-2964-499b-8c53-aa2c1ef40817	Ravansar	Ravansar	3	0	2013-05-25 02:11:24.38904+02	\N	\N	\N	\N	\N	\N	f	
6213	706a5b70-335e-41c6-b34c-8dd9c21031f2	Bowling Green, Ohio	Bowling Green, Ohio	3	0	2013-05-25 02:13:45.31441+02	\N	\N	\N	\N	\N	\N	f	
7126	0ef6925a-36c2-4b88-a788-e284e1e349bd	Krynica Morska	Krynica Morska	3	0	2013-05-26 16:58:52.870765+02	\N	\N	\N	\N	\N	\N	f	
6953	70475531-601a-4a89-8675-8a397616fcac	Bytów	Bytów	3	0	2013-05-25 14:13:45.193316+02	\N	\N	\N	\N	\N	\N	f	
7044	092edd4f-3b5b-49b4-9484-0e8e537056b0	Resko	Resko	3	0	2013-05-26 16:37:41.097108+02	\N	\N	\N	\N	\N	\N	f	
7141	3b1cf52b-2784-4802-8d41-445a48ce6f11	Buffalo	Buffalo	3	0	2013-05-26 17:02:52.695821+02	\N	\N	\N	\N	\N	\N	f	
7367	e12ae4a7-dd06-49e1-a13c-2271cc7c651b	Redding	Redding	3	0	2013-05-28 14:14:03.280946+02	\N	\N	\N	\N	\N	\N	f	
7250	79bb0ba3-2ea9-4f1b-860c-153ffb0e9a70	Sokołów Podlaski	Sokołów Podlaski	3	0	2013-05-26 17:29:49.340459+02	\N	\N	\N	\N	\N	\N	f	
8009	4b2d01c5-9990-4bd1-9d68-49164a6995b9	Cootamundra	Cootamundra	3	0	2013-05-30 18:24:30.251726+02	\N	\N	\N	\N	\N	\N	f	
7382	3e510b93-76a3-4e02-8a4d-eea74c3f7638	Flores	Flores	3	0	2013-05-28 14:18:40.068645+02	\N	\N	\N	\N	\N	\N	f	
13795	ea608b30-0c88-4e8f-bcf6-d5381bb9361d	Vische	Vische	4	0	2013-07-21 19:13:57.091401+02	\N	\N	\N	\N	\N	\N	f	
7430	7ddc94d3-26a6-47c2-90f1-216ba08bda30	Wellington	Wellington	3	0	2013-05-28 14:33:56.287523+02	\N	\N	\N	\N	\N	\N	f	
8630	23412129-92e9-4928-b0f8-44356b31c6c0	Hawkesbury	Hawkesbury	3	0	2013-06-01 17:59:47.809497+02	\N	\N	\N	\N	\N	\N	f	
7442	a06c34b5-3e14-46bf-a3d4-66dab8a152ec	Sharana	Sharana	3	0	2013-05-28 14:39:29.210688+02	\N	\N	\N	\N	\N	\N	f	
7488	0ba113bf-35f7-422b-bc15-1cb103cd109b	Brookline	Brookline	3	0	2013-05-29 00:27:24.217658+02	\N	\N	\N	\N	\N	\N	f	
7646	c6dce51a-4f44-4372-91ea-d3836d97103c	Wetter, Hesse	Wetter, Hesse	3	0	2013-05-29 01:03:43.885919+02	\N	\N	\N	\N	\N	\N	f	
7780	f0280aab-991b-4aba-b2e3-28912bb1a42d	Krasavino	Krasavino	3	0	2013-05-29 02:28:14.775722+02	\N	\N	\N	\N	\N	\N	f	
245	88f49821-05a3-3bbc-a24b-bbd6b918c07b	Czechoslovakia	Czechoslovakia	1	0	2013-05-27 16:03:59.372285+02	1918	10	28	1992	12	31	t	
8213	d84b9284-be79-45d6-bb6e-7c084d4fce0f	Karachayevsk	Karachayevsk	3	0	2013-05-30 21:18:42.541345+02	\N	\N	\N	\N	\N	\N	f	
7785	fc155a79-b641-43ae-9d27-7db96e14f4db	Roetgen	Roetgen	3	0	2013-05-29 02:29:38.79409+02	\N	\N	\N	\N	\N	\N	f	
7821	9b2edefe-7160-43f3-8c45-43ab06ca8fe1	Kankakee	Kankakee	3	0	2013-05-29 02:39:46.935545+02	\N	\N	\N	\N	\N	\N	f	
4780	e18eb05e-4378-4252-a2c8-23099992a010	Ailuk	Ailuk	2	0	2013-06-05 10:39:09.420676+02	\N	\N	\N	\N	\N	\N	f	
7920	12737414-bd31-47c5-be89-82c94ded7797	Milford	Milford	3	0	2013-05-29 03:08:49.645733+02	\N	\N	\N	\N	\N	\N	f	
8270	706855d1-ca64-4d07-a46e-b2c5563c3af5	Kangal	Kangal	3	0	2013-05-30 21:33:08.363151+02	\N	\N	\N	\N	\N	\N	f	
7363	a3d8f20f-ad31-4e34-83a2-df7b159833be	Gardēz	Gardēz	3	0	2013-05-28 14:12:51.203144+02	\N	\N	\N	\N	\N	\N	f	
7947	98c9f2fe-e5a1-474f-99cf-3ac1e38210d4	Ontario	Ontario	3	0	2013-05-29 10:21:51.136954+02	\N	\N	\N	\N	\N	\N	f	
8759	bf6e3fe3-f479-489e-b480-8dc8252aad10	Leeton	Leeton	3	0	2013-06-01 18:37:38.270875+02	\N	\N	\N	\N	\N	\N	f	
7961	787abc26-28ce-44f8-a2d1-82d86b5d28a8	Pittsburgh	Pittsburgh	3	0	2013-05-30 13:08:55.713258+02	\N	\N	\N	\N	\N	\N	f	
8474	2fe31de1-79be-47e4-b7ea-9ff439489fbd	Czersk	Czersk	3	0	2013-06-01 17:21:22.461828+02	\N	\N	\N	\N	\N	\N	f	
7988	2bc7f114-31da-4a11-9147-a9d7538d50dd	Ichikikushikino	Ichikikushikino	3	0	2013-05-30 16:28:57.504983+02	\N	\N	\N	\N	\N	\N	f	
8483	53c98b8c-abf9-421d-8acb-23f5a83a502e	Cooktown	Cooktown	3	0	2013-06-01 17:23:08.509258+02	\N	\N	\N	\N	\N	\N	f	
9147	cdf66d7c-5a28-4941-9e29-244f6d54cf4a	Anshan	Anshan	3	0	2013-06-01 20:49:32.047622+02	\N	\N	\N	\N	\N	\N	f	
8491	e0bf190e-9b1d-4593-a944-8dec89641367	Windsor	Windsor	3	0	2013-06-01 17:24:44.916918+02	\N	\N	\N	\N	\N	\N	f	
8884	fd4125e2-00b2-44e3-b863-63cba4301185	Yantai	Yantai	3	0	2013-06-01 19:50:55.786975+02	\N	\N	\N	\N	\N	\N	f	
8511	16855f99-e14b-4fba-b04d-5521daca8185	Golina	Golina	3	0	2013-06-01 17:29:14.803757+02	\N	\N	\N	\N	\N	\N	f	
8588	d1bee25c-0ead-42bf-bd3e-db6e80d38db1	Margherita	Margherita	3	0	2013-06-01 17:47:46.813619+02	\N	\N	\N	\N	\N	\N	f	
3306	5900e805-aded-4390-8f8d-b13a74fa97ec	Asyūţ	Asyūţ	2	0	2013-06-05 11:42:49.630764+02	\N	\N	\N	\N	\N	\N	f	
8965	f149cf85-743d-4039-9de2-8e8a7b0a3d24	Aschaffenburg	Aschaffenburg	3	0	2013-06-01 20:11:33.607259+02	\N	\N	\N	\N	\N	\N	f	
9014	ead4ef80-c243-47f8-8c41-c0740c879233	Pu'er City	Pu'er City	3	0	2013-06-01 20:22:04.553929+02	\N	\N	\N	\N	\N	\N	f	
9112	574c91e7-831d-4cc1-a3b6-166be471db76	Putian	Putian	3	0	2013-06-01 20:42:25.502623+02	\N	\N	\N	\N	\N	\N	f	
8121	38ea739f-15b9-4e13-a5b8-d0880122070a	Hille	Hille	3	0	2013-06-05 06:45:51.908934+02	\N	\N	\N	\N	\N	\N	f	
9491	52627c49-d323-4182-97d9-38ec6ac2978e	Limkheda	Limkheda	3	0	2013-06-09 17:53:15.698766+02	\N	\N	\N	\N	\N	\N	f	
3002	3f9ad7f6-1ca3-4c40-9fc9-cb73d8665d88	Ḩawallī	Ḩawallī	2	0	2013-06-05 07:08:05.346586+02	\N	\N	\N	\N	\N	\N	f	
9487	3523176f-16c8-42e4-8f71-2bfd8a5fe7f1	Dediapada	Dediapada	3	0	2013-06-09 17:52:22.850514+02	\N	\N	\N	\N	\N	\N	f	
9667	1f612a01-605c-498f-90b6-edfa7160e1de	Kempten	Kempten	3	0	2013-06-13 20:54:26.035569+02	\N	\N	\N	\N	\N	\N	f	
4621	47e19860-ebd2-46b5-b4ea-2540c1fc7ec0	Avellino	Avellino	2	0	2013-06-05 11:45:07.66348+02	\N	\N	\N	\N	\N	\N	f	
1496	a7cf05a3-6ea1-479f-bb61-7b2259872d7b	Baja California	Baja California	2	0	2013-06-05 08:35:35.057454+02	\N	\N	\N	\N	\N	\N	f	
9992	191c8efd-7983-45c9-8d7c-d9348c95a7e9	Ebino	Ebino	3	0	2013-06-18 07:51:46.354677+02	\N	\N	\N	\N	\N	\N	f	
9908	99ad9416-8157-46fa-a904-a3d1b2ebccf9	Moriyama	Moriyama	3	0	2013-06-18 04:08:42.702093+02	\N	\N	\N	\N	\N	\N	f	
10078	c5b6a723-666d-44bf-8f59-67cee683610d	Itoman	Itoman	3	0	2013-06-18 08:17:06.466253+02	\N	\N	\N	\N	\N	\N	f	
10083	964e0599-c3e3-41d5-ad6b-b6f4d40c796a	Kōshi	Kōshi	3	0	2013-06-18 08:18:20.407982+02	\N	\N	\N	\N	\N	\N	f	
10153	0fec0fa0-5d2b-4f89-872c-43878bd22589	Ikata	Ikata	3	0	2013-06-18 14:40:37.224078+02	\N	\N	\N	\N	\N	\N	f	
10173	6d366ab3-8a6e-4f84-880e-858fcfbca0b3	Kamiyama	Kamiyama	3	0	2013-06-18 14:45:28.673385+02	\N	\N	\N	\N	\N	\N	f	
10229	82d88c3b-98a9-4fcd-9aed-6ae836b9d06e	Karuizawa	Karuizawa	3	0	2013-06-18 17:15:16.589553+02	\N	\N	\N	\N	\N	\N	f	
10268	3b82b1da-8d7d-4c9c-853a-e48374603598	Sangō	Sangō	3	0	2013-06-18 17:24:02.308428+02	\N	\N	\N	\N	\N	\N	f	
14398	172c0bd5-ec67-4c97-a9e0-d60734e926cd	Frassineto Po	Frassineto Po	4	0	2013-07-21 21:28:51.036395+02	\N	\N	\N	\N	\N	\N	f	
10278	fe2fa713-9696-4c36-a5c0-cc0796da35db	Wazuka	Wazuka	3	0	2013-06-18 17:25:53.857796+02	\N	\N	\N	\N	\N	\N	f	
4170	de579e74-66f7-431d-b0c0-39f30cbc0b1f	Kouritenga	Kouritenga	2	0	2013-05-22 12:27:52.413357+02	\N	\N	\N	\N	\N	\N	f	
4171	82b915b5-3832-495d-ac2e-d88448d020b5	Kourwéogo	Kourwéogo	2	0	2013-05-22 12:28:09.411708+02	\N	\N	\N	\N	\N	\N	f	
4172	c0c324c3-4bfc-44b2-8d5d-807cc4bbf370	Léraba	Léraba	2	0	2013-05-22 12:28:24.740971+02	\N	\N	\N	\N	\N	\N	f	
4173	24cc0aa8-9556-4015-8a29-a1e453e7502d	Loroum	Loroum	2	0	2013-05-22 12:28:39.456209+02	\N	\N	\N	\N	\N	\N	f	
4174	2f72d3dd-979b-4f87-a020-52fd4b7bb4ad	Mouhoun	Mouhoun	2	0	2013-05-22 12:28:50.32652+02	\N	\N	\N	\N	\N	\N	f	
4175	28ed92b8-84eb-4921-bc4a-22bc906bd3fc	Namentenga	Namentenga	2	0	2013-05-22 12:29:01.351916+02	\N	\N	\N	\N	\N	\N	f	
2779	a6fba081-9e5b-4b82-8d57-a095dfe21d10	Central Visayas (Region VII)	Central Visayas (Region VII)	2	0	2013-06-05 11:44:33.842627+02	\N	\N	\N	\N	\N	\N	f	
4176	2bf5c3e2-6d32-4b7f-9451-85dd5f5dc53a	Nahouri	Nahouri	2	0	2013-05-22 12:29:12.190016+02	\N	\N	\N	\N	\N	\N	f	
4177	a295fdf3-4c23-4ba3-b475-82061d2421eb	Nayala	Nayala	2	0	2013-05-22 12:29:31.472551+02	\N	\N	\N	\N	\N	\N	f	
5148	2fb5445d-3987-49fe-957a-f730a7acc4a2	Baltimore	Baltimore	3	0	2013-05-24 22:36:45.029411+02	\N	\N	\N	\N	\N	\N	f	
4178	a78463a4-6d7f-4595-bc94-630747bfac2d	Noumbiel	Noumbiel	2	0	2013-05-22 12:29:52.046392+02	\N	\N	\N	\N	\N	\N	f	
4179	c85b6715-4350-41b1-8ed1-002acd07a2d4	Oubritenga	Oubritenga	2	0	2013-05-22 12:30:09.467235+02	\N	\N	\N	\N	\N	\N	f	
4180	57708ba4-816f-435f-babf-20716a74ef29	Oudalan	Oudalan	2	0	2013-05-22 12:30:31.369455+02	\N	\N	\N	\N	\N	\N	f	
4181	820af2ed-6f45-41aa-a6e2-10a68aa1af03	Passoré	Passoré	2	0	2013-05-22 12:30:52.970186+02	\N	\N	\N	\N	\N	\N	f	
4831	b4b651b9-09e3-44b8-9f1c-21ff5fb8ab1c	Karonga	Karonga	2	0	2013-05-22 15:26:12.635504+02	\N	\N	\N	\N	\N	\N	f	
4185	cd9d37b8-07fd-49e2-b17b-934af9ffd9d2	Sanmatenga	Sanmatenga	2	0	2013-05-22 12:31:51.078653+02	\N	\N	\N	\N	\N	\N	f	
4187	c432eec7-e4af-480b-99ce-5fd6d905d9be	Soum	Soum	2	0	2013-05-22 12:32:19.39868+02	\N	\N	\N	\N	\N	\N	f	
4238	d2164060-7055-411c-87de-20a737de22e4	Mělník	Mělník	2	0	2013-05-22 12:44:07.522585+02	\N	\N	\N	\N	\N	\N	f	
4909	d8121992-d9d8-410c-a40b-f3d3fce53081	Davao del Sur	Davao del Sur	2	0	2013-05-22 15:48:12.615372+02	\N	\N	\N	\N	\N	\N	f	
4254	df1ef103-18a8-492b-8985-d3ffcd27f8e4	Plzeň-město	Plzeň-město	2	0	2013-05-22 12:47:56.027426+02	\N	\N	\N	\N	\N	\N	f	
5317	8e0ec173-8a35-4161-830a-c8a10f3dde31	Szamotuły	Szamotuły	3	0	2013-05-24 23:09:55.208102+02	\N	\N	\N	\N	\N	\N	f	
5043	9f0ee91a-1fbb-4c5b-abf7-d4f08ca0bfa8	Masindi	Masindi	2	0	2013-05-22 16:14:26.137525+02	\N	\N	\N	\N	\N	\N	f	
5045	349cd811-54a7-4f6c-a378-6c9fa82399cb	Ntungamo	Ntungamo	2	0	2013-05-22 16:14:47.766051+02	\N	\N	\N	\N	\N	\N	f	
5788	c18758e4-07ce-4526-b203-2778e44892b8	Ilam	Ilam	3	0	2013-05-25 00:51:18.405771+02	\N	\N	\N	\N	\N	\N	f	
5051	453de70e-0220-45b9-b061-90709fdad829	Isingiro	Isingiro	2	0	2013-05-22 16:16:04.867694+02	\N	\N	\N	\N	\N	\N	f	
5474	e3750c02-1b76-452a-9765-7139022ea961	Bełchatów	Bełchatów	3	0	2013-05-24 23:41:38.445702+02	\N	\N	\N	\N	\N	\N	f	
5475	8de0b386-544b-470b-9ecc-84c9f826707b	Aabenraa	Aabenraa	3	0	2013-05-24 23:41:49.409676+02	\N	\N	\N	\N	\N	\N	f	
5668	164c7772-a429-42d4-81d7-cc15f7c0ba50	Lipno, Lipno County	Lipno, Lipno County	3	0	2013-05-25 00:26:46.300091+02	\N	\N	\N	\N	\N	\N	f	
5983	41fad0d3-d128-4c30-adf5-13a63e04224d	Dogonbadan	Dogonbadan	3	0	2013-05-25 01:30:47.827854+02	\N	\N	\N	\N	\N	\N	f	
6465	826287a5-353b-44a1-83fb-1bc677bd9e6a	Cincinnati	Cincinnati	3	0	2013-05-25 03:11:07.056423+02	\N	\N	\N	\N	\N	\N	f	
6050	9687e6ff-6eb2-4088-b02f-a290a66d4597	Stalowa Wola	Stalowa Wola	3	0	2013-05-25 01:42:49.415068+02	\N	\N	\N	\N	\N	\N	f	
6207	e63a9567-af49-498d-8209-2d0fd989bfb1	Wyszków	Wyszków	3	0	2013-05-25 02:12:41.812951+02	\N	\N	\N	\N	\N	\N	f	
15500	743ba420-f4cd-4e5d-b935-3c771fa385c7	Petrella Salto	Petrella Salto	4	0	2013-07-22 00:59:08.050011+02	\N	\N	\N	\N	\N	\N	f	
6510	cf9d7cdb-fc75-4992-ad47-81db4dac2474	Shahr-e Babak	Shahr-e Babak	3	0	2013-05-25 03:22:25.398538+02	\N	\N	\N	\N	\N	\N	f	
7127	128c24a1-7fcd-41ca-9f62-221c6ebcdd44	Laurel	Laurel	3	0	2013-05-26 16:59:03.859211+02	\N	\N	\N	\N	\N	\N	f	
6513	4d393833-303d-4d48-92ce-0993029443ea	Princeton, Indiana	Princeton, Indiana	3	0	2013-05-25 03:23:06.5412+02	\N	\N	\N	\N	\N	\N	f	
6726	7f2333ca-641d-4d24-b2bb-873feb28bdd4	Ilkhchi	Ilkhchi	3	0	2013-05-25 04:03:50.959215+02	\N	\N	\N	\N	\N	\N	f	
6954	a98e5892-53bd-4c8e-a184-d1accc0df732	Drawsko Pomorskie	Drawsko Pomorskie	3	0	2013-05-25 14:13:56.486016+02	\N	\N	\N	\N	\N	\N	f	
7251	02b7823e-4872-47c2-87ac-96d03f32ddbe	Leidschendam	Leidschendam	3	0	2013-05-26 17:30:01.931658+02	\N	\N	\N	\N	\N	\N	f	
6958	7f81ff45-adaa-4b76-a177-ebb96bfac0e8	Łuków	Łuków	3	0	2013-05-25 14:14:54.45766+02	\N	\N	\N	\N	\N	\N	f	
7045	4afef22c-8b01-41ed-9c2c-d741bb58dfc2	Radzymin	Radzymin	3	0	2013-05-26 16:38:37.544901+02	\N	\N	\N	\N	\N	\N	f	
3089	647ad62c-d234-4b88-bc3f-676a3dbf60cc	Ţarţūs	Ţarţūs	2	0	2013-05-27 19:50:34.834038+02	\N	\N	\N	\N	\N	\N	f	
13797	b499eb53-57dc-4640-8339-ba5638bd5e91	Braone	Braone	4	0	2013-07-21 19:14:21.64021+02	\N	\N	\N	\N	\N	\N	f	
7364	d92e53b4-cb30-43f8-99cf-ed9b4e8c237d	Providence	Providence	3	0	2013-05-28 14:13:08.054548+02	\N	\N	\N	\N	\N	\N	f	
7489	19eeee91-6031-4018-83b4-7bd23f9da14b	Brackenheim	Brackenheim	3	0	2013-05-29 00:27:52.055364+02	\N	\N	\N	\N	\N	\N	f	
2070	7cf8eaae-13cf-418d-af96-32200cd82860	Šoštanj	Šoštanj	2	0	2013-05-27 19:48:57.333697+02	\N	\N	\N	\N	\N	\N	f	
8122	ba28e6da-6d45-4585-9e16-7d5741954b76	Stawell	Stawell	3	0	2013-05-30 20:57:32.776557+02	\N	\N	\N	\N	\N	\N	f	
7499	ed703a07-4fce-413e-94b8-63efe75345b2	Blumberg	Blumberg	3	0	2013-05-29 00:31:32.63215+02	\N	\N	\N	\N	\N	\N	f	
7962	0817388e-aaf9-4a43-b5d4-007475eca608	Mahajeran	Mahajeran	3	0	2013-05-30 13:10:37.845401+02	\N	\N	\N	\N	\N	\N	f	
7650	f6a91011-235e-41d3-9ee7-ee91329dc237	Rosbach vor der Höhe	Rosbach vor der Höhe	3	0	2013-05-29 01:04:52.761806+02	\N	\N	\N	\N	\N	\N	f	
7686	c662faf2-70e1-4c13-9872-ab6a09faf165	Naumburg	Naumburg	3	0	2013-05-29 01:12:14.352659+02	\N	\N	\N	\N	\N	\N	f	
7783	86b50475-4aa0-4c53-88ae-c3eab9bc2aae	Ahvaz	Ahvaz	3	0	2013-05-29 02:29:00.231831+02	\N	\N	\N	\N	\N	\N	f	
7974	9d2439a4-2d08-4fb3-93d6-c436560f9c67	Soria	Soria	3	0	2013-05-30 13:32:25.105374+02	\N	\N	\N	\N	\N	\N	f	
7923	c8f6d675-d52e-4edf-8efa-121519657f90	Guernsey	Guernsey	3	0	2013-05-29 03:09:34.340574+02	\N	\N	\N	\N	\N	\N	f	
8155	c785aec8-cd92-43fa-b86c-ab3a4bb292fb	Ablitas	Ablitas	3	0	2013-05-30 21:05:54.124104+02	\N	\N	\N	\N	\N	\N	f	
7989	971850a1-fdfe-40ae-8fb5-ee4ffa700650	Amangarh	Amangarh	3	0	2013-05-30 16:30:32.178763+02	\N	\N	\N	\N	\N	\N	f	
8010	665d2d06-2410-4834-83ab-488acdb53214	Werther, North Rhine-Westphalia	Werther, North Rhine-Westphalia	3	0	2013-05-30 18:24:44.929197+02	\N	\N	\N	\N	\N	\N	f	
8475	b100dcef-44d7-4e94-8abf-c1c93f3bb4b2	Kamień Krajeński	Kamień Krajeński	3	0	2013-06-01 17:21:37.29258+02	\N	\N	\N	\N	\N	\N	f	
8271	5093c61b-f3f2-4c52-9137-e94e792c81fe	Chafford Hundred	Chafford Hundred	3	0	2013-05-30 21:33:22.621263+02	\N	\N	\N	\N	\N	\N	f	
8886	929ed515-63ee-47d6-928e-ae8cc456f54c	Yinchuan	Yinchuan	3	0	2013-06-01 19:51:20.631222+02	\N	\N	\N	\N	\N	\N	f	
8315	d02d055b-a6a2-4aa7-a45b-19849e96624c	Macomb, New York	Macomb, New York	3	0	2013-05-30 21:43:14.956412+02	\N	\N	\N	\N	\N	\N	f	
8760	de75b718-ab64-4485-97ee-7032608f9115	Grafton	Grafton	3	0	2013-06-01 18:37:59.236261+02	\N	\N	\N	\N	\N	\N	f	
8543	3a90a75f-4065-4941-9dc5-8a9bba705e35	Tumbarumba	Tumbarumba	3	0	2013-06-01 17:36:41.477699+02	\N	\N	\N	\N	\N	\N	f	
8635	bbe2ca1d-22e7-4fb1-9f53-37e21bcdb2f1	Newtown	Newtown	3	0	2013-06-01 18:01:16.859057+02	\N	\N	\N	\N	\N	\N	f	
9015	5f895f22-b335-4ab4-b5f5-1dcbef235126	Hangzhou	Hangzhou	3	0	2013-06-01 20:22:17.108265+02	\N	\N	\N	\N	\N	\N	f	
4636	1bf2f574-4dc3-4b20-8c8e-3183a58ca554	Carbonia-Iglesias	Carbonia-Iglesias	2	0	2013-06-05 08:09:34.531683+02	\N	\N	\N	\N	\N	\N	f	
9153	def42663-620a-45c6-82fa-227426122dfd	Głowno	Głowno	3	0	2013-06-01 20:52:30.996655+02	\N	\N	\N	\N	\N	\N	f	
4781	084c1417-3e1a-4f2a-ac1c-51547b838fda	Ailinglaplap	Ailinglaplap	2	0	2013-06-05 06:44:51.268445+02	\N	\N	\N	\N	\N	\N	f	
4641	09084d10-471c-41b5-a5bc-ac31977117e5	Cosenza	Cosenza	2	0	2013-06-05 10:31:35.880645+02	\N	\N	\N	\N	\N	\N	f	
9488	bedb4f6d-aef1-4599-bea3-01f1b6a69270	Sinor	Sinor	3	0	2013-06-09 17:52:39.227185+02	\N	\N	\N	\N	\N	\N	f	
9509	7c8fa453-6725-4581-b034-096ab61eb49e	Dahegam	Dahegam	3	0	2013-06-09 18:02:30.443701+02	\N	\N	\N	\N	\N	\N	f	
9668	5fa17a4f-79c3-4256-8c1c-6dbb44e2fe70	Emden	Emden	3	0	2013-06-13 20:55:00.862946+02	\N	\N	\N	\N	\N	\N	f	
9883	1ef83e22-d2f7-445a-aa10-3921320445d3	Iida	Iida	3	0	2013-06-18 04:04:02.493132+02	\N	\N	\N	\N	\N	\N	f	
9993	8aeff193-f78c-4c81-8f1c-a3f8ba765d9c	Ōzu	Ōzu	3	0	2013-06-18 07:52:13.83312+02	\N	\N	\N	\N	\N	\N	f	
4182	b437d733-fdec-4675-b497-cc1641e4f498	Poni	Poni	2	0	2013-05-22 12:31:05.08885+02	\N	\N	\N	\N	\N	\N	f	
17305	b3123e9b-d994-42ea-b23a-767a0b24ea2c	Torralba, Sardinia	Torralba, Sardinia	4	0	2013-07-22 06:10:40.021327+02	\N	\N	\N	\N	\N	\N	f	
4183	c291c81a-bf41-4e55-bc0d-7196598faaa8	Séno	Séno	2	0	2013-05-22 12:31:21.6677+02	\N	\N	\N	\N	\N	\N	f	
4184	b43b9f2a-8057-4854-b048-2d9b48de9777	Sissili	Sissili	2	0	2013-05-22 12:31:33.903094+02	\N	\N	\N	\N	\N	\N	f	
4186	9ec94bc7-2a24-4cce-801f-13d30df091de	Sanguié	Sanguié	2	0	2013-05-22 12:32:07.177314+02	\N	\N	\N	\N	\N	\N	f	
4188	4e37957e-5590-47a6-9f90-2c615cd416c5	Sourou	Sourou	2	0	2013-05-22 12:32:34.394261+02	\N	\N	\N	\N	\N	\N	f	
4189	8b224364-9967-475a-baa3-e8a9e3d14303	Tapoa	Tapoa	2	0	2013-05-22 12:32:47.450287+02	\N	\N	\N	\N	\N	\N	f	
4190	ccdb4de9-3a85-40ee-8ff3-d9fa5609ded3	Tui	Tui	2	0	2013-05-22 12:33:07.506673+02	\N	\N	\N	\N	\N	\N	f	
4191	05908bb3-1ba0-40a2-8d50-6ec6987b1a13	Yagha	Yagha	2	0	2013-05-22 12:33:19.20224+02	\N	\N	\N	\N	\N	\N	f	
5152	0f0cb63b-b675-4f9a-ad63-f24686cf2037	Cape Town	Cape Town	3	0	2013-05-24 22:37:27.38047+02	\N	\N	\N	\N	\N	\N	f	
4192	6ad613f0-198b-477b-a380-b3b555abe8f9	Yatenga	Yatenga	2	0	2013-05-22 12:33:31.794965+02	\N	\N	\N	\N	\N	\N	f	
4910	933cd6a4-4391-4c61-9190-412431106ce6	Davao del Norte	Davao del Norte	2	0	2013-05-22 15:48:27.062372+02	\N	\N	\N	\N	\N	\N	f	
4193	21462ff2-e2d6-49b1-a0aa-0fb2f21e2ff7	Ziro	Ziro	2	0	2013-05-22 12:33:49.86707+02	\N	\N	\N	\N	\N	\N	f	
4194	952829c4-f0b9-4336-a664-bf235a13ef7d	Zondoma	Zondoma	2	0	2013-05-22 12:34:02.638778+02	\N	\N	\N	\N	\N	\N	f	
4195	e0be352d-51f6-4833-b070-5ee8c8f234ce	Zoundwéogo	Zoundwéogo	2	0	2013-05-22 12:34:15.280831+02	\N	\N	\N	\N	\N	\N	f	
5048	79f54ae1-0529-475e-8e8f-8833850c8b85	Kanungu	Kanungu	2	0	2013-05-22 16:15:25.928983+02	\N	\N	\N	\N	\N	\N	f	
4200	a684eec3-b065-44cc-bc41-bad3018f5e06	Santa Cruz	Santa Cruz	2	0	2013-05-22 12:35:22.58815+02	\N	\N	\N	\N	\N	\N	f	
5318	59ef710e-67b0-4fca-821f-2e943f7bfb6c	Kalisz	Kalisz	3	0	2013-05-24 23:10:28.476013+02	\N	\N	\N	\N	\N	\N	f	
4202	a26e2c51-9040-4372-a1c1-6340e7cb63c9	Mosteiros	Mosteiros	2	0	2013-05-22 12:35:48.436131+02	\N	\N	\N	\N	\N	\N	f	
4211	8cf51434-b3a6-4769-9ace-9a5a7d1e2052	Sal	Sal	2	0	2013-05-22 12:37:52.175564+02	\N	\N	\N	\N	\N	\N	f	
5789	7fcdd070-8e9b-4692-ac5c-661b2a1aca18	Qaleh Ganj	Qaleh Ganj	3	0	2013-05-25 00:51:28.939437+02	\N	\N	\N	\N	\N	\N	f	
4237	522e8083-bc76-453a-9072-d64c9a133fd4	Kutná Hora	Kutná Hora	2	0	2013-05-22 12:43:55.013158+02	\N	\N	\N	\N	\N	\N	f	
5344	cb843ba2-f43a-4070-817e-763383c01659	Indore	Indore	3	0	2013-05-24 23:16:03.523882+02	\N	\N	\N	\N	\N	\N	f	
4241	ffb36e29-4d28-4eb7-ae77-0cd0d5f6e5a0	Praha-východ	Praha-východ	2	0	2013-05-22 12:44:45.8979+02	\N	\N	\N	\N	\N	\N	f	
4250	d7b47ccb-24cc-4237-8567-2cc7a845b19c	Strakonice	Strakonice	2	0	2013-05-22 12:47:01.080521+02	\N	\N	\N	\N	\N	\N	f	
5392	182e773d-0045-4402-8547-72f3e91e379f	Chorzów	Chorzów	3	0	2013-05-24 23:25:34.956305+02	\N	\N	\N	\N	\N	\N	f	
4271	fb35ced0-b78d-43ac-bed8-9e67943eb678	Liberec	Liberec	2	0	2013-05-22 12:52:19.521532+02	\N	\N	\N	\N	\N	\N	f	
5437	9dc37a68-a576-4def-a0b7-51de0ec2b94c	Biała Rawska	Biała Rawska	3	0	2013-05-24 23:33:58.231228+02	\N	\N	\N	\N	\N	\N	f	
5842	3b436276-b078-4644-bf08-10db739402cc	Grafton	Grafton	3	0	2013-05-25 01:03:22.031472+02	\N	\N	\N	\N	\N	\N	f	
5476	a5ab31b5-2a1d-4ace-8ce6-5c6e8da26662	Mysłowice	Mysłowice	3	0	2013-05-24 23:42:04.373851+02	\N	\N	\N	\N	\N	\N	f	
5669	fd7f4997-c013-4555-b8fa-1d31ce7eb709	Poddębice	Poddębice	3	0	2013-05-25 00:27:02.709912+02	\N	\N	\N	\N	\N	\N	f	
6466	6ce9c67a-c4c3-480c-a1d6-dafc926072d7	Rejowiec Fabryczny	Rejowiec Fabryczny	3	0	2013-05-25 03:11:22.471141+02	\N	\N	\N	\N	\N	\N	f	
5984	c6162e6e-088f-40c1-ba6a-95def6fe178e	Jask	Jask	3	0	2013-05-25 01:30:57.986805+02	\N	\N	\N	\N	\N	\N	f	
5987	3ba03aa8-f6a2-47c3-ad5a-b6c31f861c1f	Golpayegan	Golpayegan	3	0	2013-05-25 01:31:28.518046+02	\N	\N	\N	\N	\N	\N	f	
7950	7b612d6a-36ca-49b3-a321-aa0d07445e9e	Kassel	Kassel	3	0	2013-05-29 10:22:32.62808+02	\N	\N	\N	\N	\N	\N	f	
6020	ebf86a57-0ac8-4d59-a7db-f436f67b7a25	Jaleq	Jaleq	3	0	2013-05-25 01:37:14.386831+02	\N	\N	\N	\N	\N	\N	f	
6467	1642922c-5414-471a-bd2d-d984e50619f9	Norway	Norway	3	0	2013-05-25 03:11:47.355647+02	\N	\N	\N	\N	\N	\N	f	
6208	def55356-4bf7-41f6-9463-cba5e966b7b3	Resende	Resende	3	0	2013-05-25 02:12:52.109056+02	\N	\N	\N	\N	\N	\N	f	
7128	1fab22f6-d375-4a88-b675-a7ab822b119b	Grodków	Grodków	3	0	2013-05-26 16:59:18.57113+02	\N	\N	\N	\N	\N	\N	f	
6727	1ac75b77-0a0c-432f-86bf-321bfa4d0335	Bardestan	Bardestan	3	0	2013-05-25 04:04:02.35415+02	\N	\N	\N	\N	\N	\N	f	
6956	12a78802-1a9e-4efe-b3ba-71c2215b2c8c	Łabiszyn	Łabiszyn	3	0	2013-05-25 14:14:23.648878+02	\N	\N	\N	\N	\N	\N	f	
7657	900d70b2-d9e4-44d9-b02d-c7136a5fc874	Flörsheim am Main	Flörsheim am Main	3	0	2013-05-29 01:06:27.226006+02	\N	\N	\N	\N	\N	\N	f	
7046	9a966170-67d9-4fc6-9598-8b064f67611b	Ozorków	Ozorków	3	0	2013-05-26 16:38:58.210225+02	\N	\N	\N	\N	\N	\N	f	
7252	84201177-5e3c-4b44-8a99-639f89585f05	Łaskarzew	Łaskarzew	3	0	2013-05-26 17:30:16.21141+02	\N	\N	\N	\N	\N	\N	f	
7681	1e759561-f63f-4922-bdd7-53f6015abb32	Hochheim am Main	Hochheim am Main	3	0	2013-05-29 01:11:10.53268+02	\N	\N	\N	\N	\N	\N	f	
7698	d3c45a9c-e906-4140-af11-802736311cec	Neckarsteinach	Neckarsteinach	3	0	2013-05-29 01:22:04.144282+02	\N	\N	\N	\N	\N	\N	f	
7963	2b6556ae-9d33-4f7e-8c25-8f2d1bf42b49	Berkeley	Berkeley	3	0	2013-05-30 13:11:22.791172+02	\N	\N	\N	\N	\N	\N	f	
7795	77f6b33a-5c5c-4ba5-9a33-9d8875f67a60	Lancaster	Lancaster	3	0	2013-05-29 02:31:54.597282+02	\N	\N	\N	\N	\N	\N	f	
7803	5d7e53d5-540b-4414-bf5f-bb6b099c4b45	Frederick	Frederick	3	0	2013-05-29 02:34:01.137914+02	\N	\N	\N	\N	\N	\N	f	
539	b245dfab-1ba7-41de-abd6-feacdd99b29d	İstanbul	İstanbul	2	0	2013-05-27 19:52:08.088255+02	\N	\N	\N	\N	\N	\N	f	
7368	612954c9-823b-4cca-bfdb-ac1a64386c49	Qalat	Qalat	3	0	2013-05-28 14:14:34.046732+02	\N	\N	\N	\N	\N	\N	f	
8011	929d52aa-f254-4700-afd1-345a8a2ed161	Montecastrilli	Montecastrilli	3	0	2013-05-30 18:25:06.011137+02	\N	\N	\N	\N	\N	\N	f	
7490	da862062-f8cf-4fa8-9a16-7502dcae7771	Besigheim	Besigheim	3	0	2013-05-29 00:28:11.324161+02	\N	\N	\N	\N	\N	\N	f	
1754	78c139ed-9acd-4e91-982d-6ab022fa9141	Naxçıvan Autonomous Republic	Naxçıvan Autonomous Republic	2	0	2013-05-29 01:05:11.246433+02	\N	\N	\N	\N	\N	\N	f	
7924	791f267c-86be-44c2-a3f1-0bd5be6a54ea	Barnesville	Barnesville	3	0	2013-05-29 03:09:53.920129+02	\N	\N	\N	\N	\N	\N	f	
7975	dea069af-67b5-422c-a19a-a6915b9fe592	Tours	Tours	3	0	2013-05-30 13:33:54.597358+02	\N	\N	\N	\N	\N	\N	f	
8180	9d41ddaa-5122-4a97-bb2e-22d52abeda80	Charleville	Charleville	3	0	2013-05-30 21:11:37.732513+02	\N	\N	\N	\N	\N	\N	f	
7982	45125c6a-db29-4300-bd26-9ff9ed24a3e7	Ghent	Ghent	3	0	2013-05-30 13:43:38.48373+02	\N	\N	\N	\N	\N	\N	f	
8123	5ebcedf6-77a8-4805-96b2-4ec9a1f22e95	Ishkashim	Ishkashim	3	0	2013-05-30 20:57:51.715322+02	\N	\N	\N	\N	\N	\N	f	
7990	d25d8f03-fc97-445a-8d9e-378910271b86	Machida	Machida	3	0	2013-05-30 16:32:08.031125+02	\N	\N	\N	\N	\N	\N	f	
8168	813c8f2a-eb70-451d-9971-018189397979	West Thurrock	West Thurrock	3	0	2013-05-30 21:08:57.651488+02	\N	\N	\N	\N	\N	\N	f	
8273	b6f3f226-2687-4fce-a1ba-4c533598aa3e	Epe	Epe	3	0	2013-05-30 21:33:47.293662+02	\N	\N	\N	\N	\N	\N	f	
8272	d9511b4d-7a0e-4518-aee4-936268d7dfaa	Horsham	Horsham	3	0	2013-05-30 21:33:32.923281+02	\N	\N	\N	\N	\N	\N	f	
8476	b62330b2-c00d-4fd8-a078-857ef9666abd	Goondiwindi	Goondiwindi	3	0	2013-06-01 17:21:48.186368+02	\N	\N	\N	\N	\N	\N	f	
8634	cf9c7911-46d4-4fd6-81a7-671626f18784	De Smet	De Smet	3	0	2013-06-01 18:00:47.133325+02	\N	\N	\N	\N	\N	\N	f	
8636	650efaea-0644-4599-89b0-6696782f023d	Gundagai	Gundagai	3	0	2013-06-01 18:01:31.039216+02	\N	\N	\N	\N	\N	\N	f	
8665	6b0ae399-3c77-4677-95ec-5f4e6f62eb15	Wellington	Wellington	3	0	2013-06-01 18:09:21.382324+02	\N	\N	\N	\N	\N	\N	f	
8761	aa41be91-a6fa-4453-a37a-a87b57db3dfe	Odessa	Odessa	3	0	2013-06-01 18:38:14.305456+02	\N	\N	\N	\N	\N	\N	f	
8889	efca9fd8-85d0-481d-920e-181dd83aab02	Weifang	Weifang	3	0	2013-06-01 19:52:12.477919+02	\N	\N	\N	\N	\N	\N	f	
9016	092c5028-0948-40d2-9c95-bd9da79ff2e6	Yuxi	Yuxi	3	0	2013-06-01 20:22:27.344466+02	\N	\N	\N	\N	\N	\N	f	
4263	6420e330-d359-4ec3-9a9a-1892a6141192	Chomutov	Chomutov	2	0	2013-06-05 08:32:39.07082+02	\N	\N	\N	\N	\N	\N	f	
9154	8b871370-e58f-491f-b74a-f66f46b073c4	Brzeszcze	Brzeszcze	3	0	2013-06-01 20:53:08.421262+02	\N	\N	\N	\N	\N	\N	f	
4782	29da0422-faef-4d50-b270-0eb46ec6fb8d	Arno	Arno	2	0	2013-06-05 08:11:15.52646+02	\N	\N	\N	\N	\N	\N	f	
4196	9c1f42de-cc93-4b62-aa6c-12b36fc9314b	Brava	Brava	2	0	2013-06-05 12:10:22.730923+02	\N	\N	\N	\N	\N	\N	f	
1885	3b8ff9c2-2e0c-460c-8ac8-e1625db6a0ad	Abruzzo	Abruzzo	2	0	2013-06-05 11:46:39.723418+02	\N	\N	\N	\N	\N	\N	f	
4198	05d9879e-9519-40ec-a340-c8337a066a5a	Santa Catarina	Santa Catarina	2	0	2013-05-22 12:34:58.843412+02	\N	\N	\N	\N	\N	\N	f	
4199	e7765b35-11f8-4444-a0f5-9e9cd76da4b7	Santa Catarina do Fogo	Santa Catarina do Fogo	2	0	2013-05-22 12:35:10.860784+02	\N	\N	\N	\N	\N	\N	f	
13799	77af5463-01a1-49ee-9cf4-2c8eb8e76680	Breno	Breno	4	0	2013-07-21 19:14:47.629499+02	\N	\N	\N	\N	\N	\N	f	
4201	dbbcf78f-fbec-4afa-8587-07ad5bc4dc82	Maio	Maio	2	0	2013-05-22 12:35:34.790362+02	\N	\N	\N	\N	\N	\N	f	
4262	767c706a-349d-4426-9a91-c5febaaad19b	Děčín	Děčín	2	0	2013-05-22 12:50:10.563194+02	\N	\N	\N	\N	\N	\N	f	
4204	ec35f91f-5991-4cbe-a4a7-00f4111bcb46	Porto Novo	Porto Novo	2	0	2013-05-22 12:36:14.607324+02	\N	\N	\N	\N	\N	\N	f	
4205	3751a57f-caff-494a-a4d2-0610b5926f51	Praia	Praia	2	0	2013-05-22 12:36:29.735101+02	\N	\N	\N	\N	\N	\N	f	
14400	14e9ec00-a837-4c55-9a52-63f317a71981	Gabiano	Gabiano	4	0	2013-07-21 21:29:15.046417+02	\N	\N	\N	\N	\N	\N	f	
4206	a5967a4b-0c13-4052-b01a-121e0b08d7f4	Ribeira Brava	Ribeira Brava	2	0	2013-05-22 12:36:42.015201+02	\N	\N	\N	\N	\N	\N	f	
4207	f6cff43f-f17a-49ea-af55-0764d7f16704	Ribeira Grande	Ribeira Grande	2	0	2013-05-22 12:36:53.523293+02	\N	\N	\N	\N	\N	\N	f	
4208	d93a184e-7961-477c-b345-773281f11dcb	Ribeira Grande de Santiago	Ribeira Grande de Santiago	2	0	2013-05-22 12:37:04.737203+02	\N	\N	\N	\N	\N	\N	f	
4698	5e16f82b-8de7-4327-a313-9818bf92c602	Salerno	Salerno	2	0	2013-05-22 14:47:44.170343+02	\N	\N	\N	\N	\N	\N	f	
4209	491837ea-c539-4eab-b012-49f6405cc262	São Domingos	São Domingos	2	0	2013-05-22 12:37:19.272882+02	\N	\N	\N	\N	\N	\N	f	
4210	bf43454e-17c2-4adc-aafe-54a6dc6f4134	São Filipe	São Filipe	2	0	2013-05-22 12:37:37.617364+02	\N	\N	\N	\N	\N	\N	f	
5154	f73fbd30-f76d-4b8a-9947-e665335db5f2	Arusha	Arusha	3	0	2013-05-24 22:37:47.903619+02	\N	\N	\N	\N	\N	\N	f	
4212	b05b4879-c5d8-4d0b-a65a-52896e26cd8f	São Miguel	São Miguel	2	0	2013-05-22 12:38:06.631078+02	\N	\N	\N	\N	\N	\N	f	
4709	5d496fd4-4476-466b-8baf-4b660ff00d56	Trapani	Trapani	2	0	2013-05-22 14:50:36.219756+02	\N	\N	\N	\N	\N	\N	f	
4213	12cd5cbd-0e99-4a89-b24e-724271ea6e11	São Lourenço dos Órgãos	São Lourenço dos Órgãos	2	0	2013-05-22 12:38:19.222854+02	\N	\N	\N	\N	\N	\N	f	
15501	f4696b37-16e4-4a7a-9926-935843205b93	Ghemme	Ghemme	4	0	2013-07-22 00:59:20.473257+02	\N	\N	\N	\N	\N	\N	f	
4214	1c5ffa98-ba5b-41b3-b8a2-6bf83ba36c8b	São Salvador do Mundo	São Salvador do Mundo	2	0	2013-05-22 12:38:35.118192+02	\N	\N	\N	\N	\N	\N	f	
4215	4c04e4ed-286f-43d7-8dfc-b6212885514f	São Vicente	São Vicente	2	0	2013-05-22 12:38:48.197883+02	\N	\N	\N	\N	\N	\N	f	
4216	dd414232-aa3e-4c4e-b20a-0e08af26e160	Tarrafal	Tarrafal	2	0	2013-05-22 12:39:00.655511+02	\N	\N	\N	\N	\N	\N	f	
4218	cbee0914-79d7-40df-aa77-5af38b99ad33	Praha 1	Praha 1	2	0	2013-05-22 12:39:37.101225+02	\N	\N	\N	\N	\N	\N	f	
4219	f2766f5f-134f-4baa-a604-36b98151a342	Praha 2	Praha 2	2	0	2013-05-22 12:39:55.471565+02	\N	\N	\N	\N	\N	\N	f	
4811	76fc1f1e-975f-40cc-9b70-efe0b9d3db63	Thaa	Thaa	2	0	2013-05-22 15:20:42.295792+02	\N	\N	\N	\N	\N	\N	f	
4220	65704d91-d3c9-415d-bec9-f974274d2bf7	Praha 3	Praha 3	2	0	2013-05-22 12:40:16.588719+02	\N	\N	\N	\N	\N	\N	f	
4221	30c19eea-d05b-49f2-8a1e-8dde6c3a9797	Praha 4	Praha 4	2	0	2013-05-22 12:40:30.759831+02	\N	\N	\N	\N	\N	\N	f	
5169	36d4bcd4-5b95-4f08-8929-bdca7ae22b26	Valladolid	Valladolid	3	0	2013-05-24 22:40:32.568811+02	\N	\N	\N	\N	\N	\N	f	
4228	67ab08c0-80e3-405a-ada3-42cc9f6a4b94	Praha 11	Praha 11	2	0	2013-05-22 12:41:58.791091+02	\N	\N	\N	\N	\N	\N	f	
4912	3185967c-db76-4f1b-8d49-67dedaf42e1b	Eastern Samar	Eastern Samar	2	0	2013-05-22 15:48:52.832276+02	\N	\N	\N	\N	\N	\N	f	
4229	90c29ca0-0a0e-40aa-8daa-f1d8ff32153c	Praha 12	Praha 12	2	0	2013-05-22 12:42:13.597586+02	\N	\N	\N	\N	\N	\N	f	
4231	f806bd59-b9a5-4a47-b299-6d7e5177130e	Praha 14	Praha 14	2	0	2013-05-22 12:42:38.702335+02	\N	\N	\N	\N	\N	\N	f	
1339	bbbe29b2-6e44-4e73-b3a8-b1425955b903	Ķekavas novads	Ķekavas novads	2	0	2013-05-27 19:52:19.918614+02	\N	\N	\N	\N	\N	\N	f	
5053	16373937-4627-4a64-b127-e58d80e580b5	Buliisa	Buliisa	2	0	2013-06-05 11:54:38.025238+02	\N	\N	\N	\N	\N	\N	f	
5791	d036ab4d-aa86-4807-bce2-4f3445f98e7b	Colonial Heights	Colonial Heights	3	0	2013-05-25 00:51:51.342516+02	\N	\N	\N	\N	\N	\N	f	
5319	531adbe4-7606-4a48-bc9a-81116d9ffcd5	Konin	Konin	3	0	2013-05-24 23:10:57.683958+02	\N	\N	\N	\N	\N	\N	f	
5477	f23170a9-32b2-4f92-b3b1-5b4ae66b61a4	Radomsko	Radomsko	3	0	2013-05-24 23:42:22.595584+02	\N	\N	\N	\N	\N	\N	f	
5617	2f00e3e6-7156-43e6-a0e1-f011c916de85	Morogoro	Morogoro	3	0	2013-05-25 00:15:57.8937+02	\N	\N	\N	\N	\N	\N	f	
5817	5e263c20-4433-464a-9bfe-36565976e050	Basmenj	Basmenj	3	0	2013-05-25 00:56:58.800434+02	\N	\N	\N	\N	\N	\N	f	
5670	0015e6cf-c98b-41f5-829a-204b77a4a6d9	Miechów	Miechów	3	0	2013-05-25 00:27:14.35149+02	\N	\N	\N	\N	\N	\N	f	
6469	c3d45d46-0503-493e-922c-6e907cc15714	Koani	Koani	3	0	2013-05-25 03:12:26.779071+02	\N	\N	\N	\N	\N	\N	f	
5985	09a59794-4ef6-4756-9fa5-c2118a4289a4	Siminshahr	Siminshahr	3	0	2013-05-25 01:31:08.056716+02	\N	\N	\N	\N	\N	\N	f	
6212	393f983a-bfce-442d-b097-f9061fdc8d99	Bowen	Bowen	3	0	2013-05-25 02:13:34.984501+02	\N	\N	\N	\N	\N	\N	f	
6219	a425c0a0-52bd-4c38-bdf5-4c953d284f9a	Dayton, Washington	Dayton, Washington	3	0	2013-05-25 02:14:58.957587+02	\N	\N	\N	\N	\N	\N	f	
6734	cb41c5d1-b25a-4360-8089-fc67f6054618	Mah Neshan	Mah Neshan	3	0	2013-05-25 04:05:33.416684+02	\N	\N	\N	\N	\N	\N	f	
6236	302ed402-8154-4333-9aa2-9304f6bcb118	Westminster	Westminster	3	0	2013-05-25 02:19:00.984009+02	\N	\N	\N	\N	\N	\N	f	
6241	705465b7-07eb-478e-88b3-5ee7a7a5e61b	Holland	Holland	3	0	2013-05-25 02:20:23.507977+02	\N	\N	\N	\N	\N	\N	f	
7129	81fe5a0b-eae6-4efb-8400-2946feb22ab1	Zakliczyn	Zakliczyn	3	0	2013-05-26 16:59:29.821013+02	\N	\N	\N	\N	\N	\N	f	
6253	f8c018ff-acd5-45a6-8932-bc53fd5563c0	Houston	Houston	3	0	2013-05-25 02:23:03.22577+02	\N	\N	\N	\N	\N	\N	f	
6959	680250b6-746b-4e66-a1cb-b70fe4f5d4d2	Żychlin	Żychlin	3	0	2013-05-25 14:15:10.291321+02	\N	\N	\N	\N	\N	\N	f	
6265	ecee43db-f5b8-48a8-822a-eea5d5d6a556	Aleshtar	Aleshtar	3	0	2013-05-25 02:25:28.794366+02	\N	\N	\N	\N	\N	\N	f	
7047	a4ab8f98-df89-49ed-9c41-b7005b93b95c	Wągrowiec	Wągrowiec	3	0	2013-05-26 16:39:25.207571+02	\N	\N	\N	\N	\N	\N	f	
4246	0b5bb2cc-bdff-4434-84e3-ebd631ca8c73	Český Krumlov	Český Krumlov	2	0	2013-05-27 19:50:48.633007+02	\N	\N	\N	\N	\N	\N	f	
7165	0b560346-9ad6-4785-9131-99e3acfb2340	Prabuty	Prabuty	3	0	2013-05-26 17:08:59.688196+02	\N	\N	\N	\N	\N	\N	f	
7253	17011581-b77b-4738-ad57-437a66535f56	Urbana	Urbana	3	0	2013-05-26 17:30:32.087886+02	\N	\N	\N	\N	\N	\N	f	
7371	312b6c2d-478b-4f68-8288-69dbedcd68dd	Germantown	Germantown	3	0	2013-05-28 14:15:50.251537+02	\N	\N	\N	\N	\N	\N	f	
7927	86f3732f-eb5a-48bd-b9ab-dd97d0d3be50	Perito Moreno, Santa Cruz	Perito Moreno, Santa Cruz	3	0	2013-05-29 03:11:03.518164+02	\N	\N	\N	\N	\N	\N	f	
7386	1c502bc6-e96c-4116-bcd2-741f9553c2be	Escuintla	Escuintla	3	0	2013-05-28 14:20:00.601884+02	\N	\N	\N	\N	\N	\N	f	
7652	0a9f1b1b-6f58-461c-ab69-6c10d67ced47	Niddatal	Niddatal	3	0	2013-05-29 01:05:24.810169+02	\N	\N	\N	\N	\N	\N	f	
7387	73c9c06a-9259-4ebf-ad2f-6ed7d7a10c27	Barvinkove	Barvinkove	3	0	2013-05-28 14:20:19.780903+02	\N	\N	\N	\N	\N	\N	f	
7491	30cc97ed-876e-4bf0-a1d6-82646f45d46b	Creglingen	Creglingen	3	0	2013-05-29 00:28:33.150159+02	\N	\N	\N	\N	\N	\N	f	
7797	a1fcd6e4-5520-49f1-b8b2-d4d9b68e7166	Albury	Albury	3	0	2013-05-29 02:32:23.253932+02	\N	\N	\N	\N	\N	\N	f	
7964	02148c83-9965-4fbb-8dc8-8678252a08b4	Düren	Düren	3	0	2013-05-30 13:12:04.138661+02	\N	\N	\N	\N	\N	\N	f	
7951	84a83c9d-b5b5-40c4-a000-e06d64f9fc94	Offenbach am Main	Offenbach am Main	3	0	2013-05-29 10:22:44.619391+02	\N	\N	\N	\N	\N	\N	f	
7991	1236ceb2-f3da-4c3c-92c5-fd603c58aad4	Javersiyan	Javersiyan	3	0	2013-05-30 16:32:41.831952+02	\N	\N	\N	\N	\N	\N	f	
7977	fb741b0c-c0c8-4055-b587-683f3707b9ed	León	León	3	0	2013-05-30 13:36:13.575739+02	\N	\N	\N	\N	\N	\N	f	
8012	9bf4fe9a-593a-40ca-bc80-acab310b09a8	Torquay	Torquay	3	0	2013-05-30 18:25:23.96484+02	\N	\N	\N	\N	\N	\N	f	
8124	c82db8dc-e67b-4cb9-ad83-92beda6d258d	San Marcos	San Marcos	3	0	2013-05-30 20:58:09.475451+02	\N	\N	\N	\N	\N	\N	f	
8186	6ba70d41-d0b0-4f19-bb77-b95f6c47c1ce	Waltham Cross	Waltham Cross	3	0	2013-05-30 21:12:55.14903+02	\N	\N	\N	\N	\N	\N	f	
8478	013ba7c7-1a1c-40a3-8e03-d16be957124e	Charters Towers	Charters Towers	3	0	2013-06-01 17:22:10.654114+02	\N	\N	\N	\N	\N	\N	f	
8484	bdd744f0-b8fe-4b33-8e5d-3a69ca09fece	Georgetown	Georgetown	3	0	2013-06-01 17:23:22.983763+02	\N	\N	\N	\N	\N	\N	f	
8638	73c2e9b5-0f4e-4ab9-a399-bd802def9168	Frederikshavn	Frederikshavn	3	0	2013-06-01 18:01:57.627595+02	\N	\N	\N	\N	\N	\N	f	
4222	702dbe6f-5551-4fd1-b99c-5defec3b8c3f	Praha 5	Praha 5	2	0	2013-05-22 12:40:45.751495+02	\N	\N	\N	\N	\N	\N	f	
4223	05dfcb13-8844-4242-96a3-f78af6c01fd5	Praha 6	Praha 6	2	0	2013-05-22 12:40:59.25271+02	\N	\N	\N	\N	\N	\N	f	
4224	25d3fa89-5b7c-4fca-99e2-a7cb0ae92151	Praha 7	Praha 7	2	0	2013-05-22 12:41:11.100443+02	\N	\N	\N	\N	\N	\N	f	
4225	e069e8f1-9df9-4475-b329-2a38b6a89194	Praha 8	Praha 8	2	0	2013-05-22 12:41:24.768261+02	\N	\N	\N	\N	\N	\N	f	
4226	3f1be16a-329d-48b4-b952-98aa88a2c483	Praha 9	Praha 9	2	0	2013-05-22 12:41:36.845186+02	\N	\N	\N	\N	\N	\N	f	
4227	d70c12f6-36d2-499e-a2aa-33ab23c4f442	Praha 10	Praha 10	2	0	2013-05-22 12:41:47.719974+02	\N	\N	\N	\N	\N	\N	f	
4784	8ba036e0-9b55-4332-a770-7642f3145dde	Ebon	Ebon	2	0	2013-05-22 15:12:02.437728+02	\N	\N	\N	\N	\N	\N	f	
4230	c485be83-068b-47a6-b89a-778ea25b9f26	Praha 13	Praha 13	2	0	2013-05-22 12:42:27.640466+02	\N	\N	\N	\N	\N	\N	f	
4232	3e0e4285-c1cc-4b31-951e-6dba8c49f3b8	Praha 15	Praha 15	2	0	2013-05-22 12:42:49.992472+02	\N	\N	\N	\N	\N	\N	f	
5156	90105bd4-76e4-421e-a1f0-d3eb6ef9471d	Palencia	Palencia	3	0	2013-05-24 22:38:18.362726+02	\N	\N	\N	\N	\N	\N	f	
4236	3eceb96f-8240-4da3-8a57-0206b1d55112	Kolín	Kolín	2	0	2013-05-22 12:43:42.224517+02	\N	\N	\N	\N	\N	\N	f	
4838	b7ae7a27-12a9-4fd8-af94-feb51d43dfdc	Mulanje	Mulanje	2	0	2013-05-22 15:28:04.346037+02	\N	\N	\N	\N	\N	\N	f	
4913	cac5d82e-38ba-48ec-b676-687d2ce4ee4c	Guimaras	Guimaras	2	0	2013-05-22 15:49:05.83861+02	\N	\N	\N	\N	\N	\N	f	
1812	08b11c30-becb-4f53-8f0f-b645d66eedf8	Asturias	Asturias	2	0	2013-05-22 17:00:20.697404+02	\N	\N	\N	\N	\N	\N	f	
5157	350d79fe-d638-499f-a2b2-37a9d28ab268	Almería	Almería	3	0	2013-05-24 22:38:28.612596+02	\N	\N	\N	\N	\N	\N	f	
1821	cef2ba5e-d5e0-4576-a737-f16988288965	Illes Balears	Illes Balears	2	0	2013-05-22 17:00:21.218773+02	\N	\N	\N	\N	\N	\N	f	
5794	cf7d307b-81cf-44ed-acd1-7d9e616fd20a	Rayen	Rayen	3	0	2013-05-25 00:52:24.449685+02	\N	\N	\N	\N	\N	\N	f	
1823	94ac34d2-aa01-49d9-b697-bbf738544bd4	Comunidad de Madrid	Madrid, Comunidad de	2	0	2013-05-22 17:00:22.257025+02	\N	\N	\N	\N	\N	\N	f	
5198	18187bcb-18e6-4075-903e-fb976db17a55	Columbus	Columbus	3	0	2013-05-24 22:47:12.307879+02	\N	\N	\N	\N	\N	\N	f	
4337	41aee40d-adec-4fe4-a038-e7817fe2f060	Murcia	Murcia	2	0	2013-05-22 17:00:22.788638+02	\N	\N	\N	\N	\N	\N	f	
7543	6fc6e85c-0d9c-4c1c-abff-9caedef4465d	Liebenau	Liebenau	3	0	2013-05-29 00:42:44.450774+02	\N	\N	\N	\N	\N	\N	f	
1825	839b2a08-0405-4630-9d92-b29291361985	Navarra	Navarra	2	0	2013-05-22 17:00:23.280081+02	\N	\N	\N	\N	\N	\N	f	
7130	1d982a40-0843-4494-960b-5ea074aafe6e	Gorlice	Gorlice	3	0	2013-05-26 16:59:45.332031+02	\N	\N	\N	\N	\N	\N	f	
5479	82bab744-a013-4cad-8ed1-4670ca2dec26	Passaic	Passaic	3	0	2013-05-24 23:43:27.23258+02	\N	\N	\N	\N	\N	\N	f	
5988	f152695c-cdd4-4218-9174-36adae48f1dc	Anbar Olum	Anbar Olum	3	0	2013-05-25 01:31:38.919893+02	\N	\N	\N	\N	\N	\N	f	
5573	98db5aad-ffc1-4de0-9650-51a63d975b2b	Przemyśl	Przemyśl	3	0	2013-05-25 00:05:25.261955+02	\N	\N	\N	\N	\N	\N	f	
5603	e259f27f-4194-4cc0-ab26-6134954dcb89	Nishitōkyō	Nishitōkyō	3	0	2013-05-25 00:12:04.408605+02	\N	\N	\N	\N	\N	\N	f	
6471	9eecd911-5e67-4a0f-ab50-775c322b5025	Birmingham	Birmingham	3	0	2013-05-25 03:13:08.846546+02	\N	\N	\N	\N	\N	\N	f	
5611	05b51dc9-7c2a-4b6d-9349-690b7d31135f	Jędrzejów	Jędrzejów	3	0	2013-05-25 00:14:05.306919+02	\N	\N	\N	\N	\N	\N	f	
5995	a4f95abf-a56b-426a-b4c7-f353656f6d85	Pishva	Pishva	3	0	2013-05-25 01:32:52.296955+02	\N	\N	\N	\N	\N	\N	f	
5671	cb0ed9c2-5694-4006-95bc-4a73c99c6823	Siedlce	Siedlce	3	0	2013-05-25 00:27:35.124487+02	\N	\N	\N	\N	\N	\N	f	
5694	48c3500b-aa9c-4f39-9912-10fb80dad7e6	Amol	Amol	3	0	2013-05-25 00:32:31.00804+02	\N	\N	\N	\N	\N	\N	f	
6031	eef70c80-8286-4776-a56e-1def26e86ff9	Jawor	Jawor	3	0	2013-05-25 01:39:13.1985+02	\N	\N	\N	\N	\N	\N	f	
6033	ef8121be-92c7-463f-ac11-c239aa7ad0ba	Bisotun	Bisotun	3	0	2013-05-25 01:39:34.623608+02	\N	\N	\N	\N	\N	\N	f	
6472	7a8e228d-537e-4c7f-81f6-3cad746ffd16	Holland	Holland	3	0	2013-05-25 03:13:24.917796+02	\N	\N	\N	\N	\N	\N	f	
6228	728adbe3-856e-47b2-9b3e-ffbf8977ddd0	Polatlı	Polatlı	3	0	2013-05-25 02:16:46.868117+02	\N	\N	\N	\N	\N	\N	f	
6270	071fcda3-621b-49b0-9902-ee4f3e0fc56e	Szydłowiec	Szydłowiec	3	0	2013-05-25 02:26:41.008903+02	\N	\N	\N	\N	\N	\N	f	
6271	8e4c7185-6846-4533-b918-abf68ebdf082	Hamilton	Hamilton	3	0	2013-05-25 02:26:55.274875+02	\N	\N	\N	\N	\N	\N	f	
6737	508247cd-83ec-4a0a-a1c0-8328f0ed621b	Golestan	Golestan	3	0	2013-05-25 04:06:25.97676+02	\N	\N	\N	\N	\N	\N	f	
7133	9d02e070-c286-4c86-813c-8fc756c6ac51	Janowiec Wielkopolski	Janowiec Wielkopolski	3	0	2013-05-26 17:00:22.796586+02	\N	\N	\N	\N	\N	\N	f	
6739	50e18d03-2829-49fd-bd3a-7593849152a3	Nakhl Taqi	Nakhl Taqi	3	0	2013-05-25 04:06:57.796484+02	\N	\N	\N	\N	\N	\N	f	
6960	8a78f48e-4244-44f1-9dee-87550d634880	Żarów	Żarów	3	0	2013-05-25 14:15:21.710077+02	\N	\N	\N	\N	\N	\N	f	
1742	8938ef7c-ff36-4e87-baa7-fa2ca8e7521f	İmişli	İmişli	2	0	2013-05-27 19:52:38.28128+02	\N	\N	\N	\N	\N	\N	f	
5322	21abf854-fba3-4b34-a944-c4ce09331cc7	Salem	Salem	3	0	2013-05-25 14:18:53.903018+02	\N	\N	\N	\N	\N	\N	f	
7148	0b227992-e4f2-49c0-b1ac-7cde8631b5d1	Józefów	Józefów	3	0	2013-05-26 17:05:15.977437+02	\N	\N	\N	\N	\N	\N	f	
7048	8c1797e3-eff3-4bbc-925a-0bc0209fcd62	Kańczuga	Kańczuga	3	0	2013-05-26 16:39:41.753192+02	\N	\N	\N	\N	\N	\N	f	
7168	47505827-20db-4820-b1cb-68b4862abfcf	Połaniec	Połaniec	3	0	2013-05-26 17:09:38.485062+02	\N	\N	\N	\N	\N	\N	f	
7254	c9c25e79-ea14-4106-af75-6513a4156df3	Skalbmierz	Skalbmierz	3	0	2013-05-26 17:30:55.155678+02	\N	\N	\N	\N	\N	\N	f	
7373	d86fd59e-28e1-4bda-90eb-b5a11334329d	Farah	Farah	3	0	2013-05-28 14:16:17.117167+02	\N	\N	\N	\N	\N	\N	f	
7658	adb177f6-211e-4f74-a45b-24aa9169d242	Rauschenberg	Rauschenberg	3	0	2013-05-29 01:06:40.489803+02	\N	\N	\N	\N	\N	\N	f	
7413	f2ee6e71-a96b-4a66-93d7-63fa4286636f	Retalhuleu	Retalhuleu	3	0	2013-05-28 14:29:37.106908+02	\N	\N	\N	\N	\N	\N	f	
7493	4983a5b8-eb24-431e-a782-93bec2a56fdc	Newcastle	Newcastle	3	0	2013-05-29 00:29:07.276433+02	\N	\N	\N	\N	\N	\N	f	
8147	e65886c7-47a2-4acc-b860-dde2a1e95945	Ziar (Isfahan)	Ziar (Isfahan)	3	0	2013-05-30 21:04:05.55755+02	\N	\N	\N	\N	\N	\N	f	
7694	53b84f56-4f89-4bbe-b749-0ca96b2fc57d	Washington	Washington	3	0	2013-05-29 01:18:59.640763+02	\N	\N	\N	\N	\N	\N	f	
7498	8ea6aa1f-771a-4435-9485-a2d42d601e94	Bräunlingen	Bräunlingen	3	0	2013-05-29 00:31:16.79971+02	\N	\N	\N	\N	\N	\N	f	
7954	b8a2776a-eedf-48ea-a6f3-1a9070f0b823	Cologne	Cologne	3	0	2013-05-29 10:35:56.851693+02	\N	\N	\N	\N	\N	\N	f	
7531	133c9eaf-a06b-43aa-94ee-ffaa43e3bc83	Hofgeismar	Hofgeismar	3	0	2013-05-29 00:40:16.269715+02	\N	\N	\N	\N	\N	\N	f	
7952	759f9567-9107-40ef-a825-e57824a62e70	St. Louis	St. Louis	3	0	2013-05-29 10:22:56.510164+02	\N	\N	\N	\N	\N	\N	f	
7804	f65f6373-5044-416b-985f-1ea5a1f4e436	Pomona	Pomona	3	0	2013-05-29 02:34:24.66759+02	\N	\N	\N	\N	\N	\N	f	
7929	86030302-453a-4c9b-ad4d-6e83c5f36d38	Satellite Beach	Satellite Beach	3	0	2013-05-29 03:11:34.352866+02	\N	\N	\N	\N	\N	\N	f	
7992	a7cc7825-4045-4dd2-b4be-7d9fda767700	Kanoya	Kanoya	3	0	2013-05-30 16:33:13.010332+02	\N	\N	\N	\N	\N	\N	f	
8125	d50daa60-7e2f-4d28-9e49-7c308b4ebadb	Rawson, Victoria	Rawson, Victoria	3	0	2013-05-30 20:58:21.594721+02	\N	\N	\N	\N	\N	\N	f	
7965	044a2f0b-cc42-458b-8a86-81f89131c622	Witten	Witten	3	0	2013-05-30 13:12:42.27553+02	\N	\N	\N	\N	\N	\N	f	
8013	40d537ba-d56e-482f-ae72-6ff69eb6dc85	Brezovo	Brezovo	3	0	2013-05-30 18:25:36.952298+02	\N	\N	\N	\N	\N	\N	f	
8275	8e8b8a43-70d4-4645-8e87-96fe0336899f	ShoolAbad	ShoolAbad	3	0	2013-05-30 21:34:15.377904+02	\N	\N	\N	\N	\N	\N	f	
8480	e8839bd7-d859-46cc-b56c-f9f895225c3b	Hughenden	Hughenden	3	0	2013-06-01 17:22:35.794123+02	\N	\N	\N	\N	\N	\N	f	
8762	46ee1b80-0ede-4ea5-8088-9854ebf92736	McLean	McLean	3	0	2013-06-01 18:38:36.704984+02	\N	\N	\N	\N	\N	\N	f	
8639	86c0769c-6eb1-4a2e-bde7-0f5e692e0efe	Ulsted	Ulsted	3	0	2013-06-01 18:02:11.349106+02	\N	\N	\N	\N	\N	\N	f	
8893	ff2529e1-a990-47e5-bbf2-a34f21eb034e	Czyżew	Czyżew	3	0	2013-06-01 19:54:05.780237+02	\N	\N	\N	\N	\N	\N	f	
9017	5d83a8fa-8cda-48aa-9dac-5124d6081b8a	Swarzędz	Swarzędz	3	0	2013-06-01 20:22:56.663092+02	\N	\N	\N	\N	\N	\N	f	
9155	20fc9c7f-e482-4826-9457-b8e7fa44de75	Baishan	Baishan	3	0	2013-06-01 20:53:27.243478+02	\N	\N	\N	\N	\N	\N	f	
9489	2e357d12-6062-4697-a9bd-49cbc9828e2a	Ranpur	Ranpur	3	0	2013-06-09 17:52:51.177755+02	\N	\N	\N	\N	\N	\N	f	
1813	79dc3764-fb03-40a9-8e82-9770eca4d530	Cantabria	Cantabria	2	0	2013-06-05 08:53:54.484207+02	\N	\N	\N	\N	\N	\N	f	
4639	a83f7f5b-5208-4e51-b537-4a2f80621798	Como	Como	2	0	2013-06-05 09:49:43.591872+02	\N	\N	\N	\N	\N	\N	f	
3014	14ea4825-659e-4448-940f-1c74dd04714b	Basnāhira paḷāta	Basnāhira paḷāta	2	0	2013-06-05 08:58:39.731285+02	\N	\N	\N	\N	\N	\N	f	
3337	b378e732-b37b-4c14-b426-737a591e22a3	Al Awsaţ	Al Awsaţ	2	0	2013-06-05 11:46:59.125713+02	\N	\N	\N	\N	\N	\N	f	
4235	6c03d3a1-c659-44f7-8439-d687aaa31e94	Kladno	Kladno	2	0	2013-05-22 12:43:25.195079+02	\N	\N	\N	\N	\N	\N	f	
4239	6a6ecb18-ebc5-4cc4-9bb0-b18c0bb8e9e1	Mladá Boleslav	Mladá Boleslav	2	0	2013-05-22 12:44:20.341093+02	\N	\N	\N	\N	\N	\N	f	
4240	e45fd9b0-18b4-47ac-b984-dc80fe44779f	Nymburk	Nymburk	2	0	2013-05-22 12:44:32.925454+02	\N	\N	\N	\N	\N	\N	f	
4242	1ddd0d2c-f502-415b-98cf-1113abd84e0a	Praha-západ	Praha-západ	2	0	2013-05-22 12:44:59.078889+02	\N	\N	\N	\N	\N	\N	f	
4785	b014e993-feab-4197-a968-5880fa1f9e07	Enewetak	Enewetak	2	0	2013-05-22 15:12:23.848228+02	\N	\N	\N	\N	\N	\N	f	
4243	37cadad9-6331-466b-8975-1bcb055ae707	Příbram	Příbram	2	0	2013-05-22 12:45:16.294522+02	\N	\N	\N	\N	\N	\N	f	
4244	c295b605-e8ce-49c6-9b14-9d38380f41cc	Rakovník	Rakovník	2	0	2013-05-22 12:45:35.00331+02	\N	\N	\N	\N	\N	\N	f	
5160	cb38e1ae-1892-45a6-b57c-cd35882ab915	Halberstadt	Halberstadt	3	0	2013-05-24 22:39:00.318009+02	\N	\N	\N	\N	\N	\N	f	
8153	6f24598e-b806-46b3-95ae-c2f2bf30a132	Witham	Witham	3	0	2013-05-30 21:05:24.255967+02	\N	\N	\N	\N	\N	\N	f	
4917	68e75650-9cd8-47e9-8a70-e07fbd90b229	Ilocos Sur	Ilocos Sur	2	0	2013-05-22 15:49:54.586718+02	\N	\N	\N	\N	\N	\N	f	
4247	3297a477-cbb1-4c1b-b932-ab9ad29960ab	Jindřichův Hradec	Jindřichův Hradec	2	0	2013-05-22 12:46:13.742845+02	\N	\N	\N	\N	\N	\N	f	
4248	27ce79dd-350d-41a9-8286-ff9ce49301c5	Písek	Písek	2	0	2013-05-22 12:46:30.247601+02	\N	\N	\N	\N	\N	\N	f	
4249	36f0a3c9-4ff6-4d44-bd22-f40a0bcbd5b5	Prachatice	Prachatice	2	0	2013-05-22 12:46:48.304144+02	\N	\N	\N	\N	\N	\N	f	
5323	213c81ad-7b19-40ff-b035-a3c669f11bcb	Koło	Koło	3	0	2013-05-24 23:12:07.301452+02	\N	\N	\N	\N	\N	\N	f	
4251	54a05e8b-db7d-43b5-a85e-1229d311783d	Tábor	Tábor	2	0	2013-05-22 12:47:16.206427+02	\N	\N	\N	\N	\N	\N	f	
4252	e4d9bf04-980a-4301-bb08-6f5e46feda5a	Domažlice	Domažlice	2	0	2013-05-22 12:47:29.007036+02	\N	\N	\N	\N	\N	\N	f	
5795	d2472cbc-58b9-45d0-81aa-cc651e57ffa6	Lexington	Lexington	3	0	2013-05-25 00:52:34.566958+02	\N	\N	\N	\N	\N	\N	f	
4253	79423a1a-e907-4a56-9249-7914341d34b4	Klatovy	Klatovy	2	0	2013-05-22 12:47:41.228078+02	\N	\N	\N	\N	\N	\N	f	
5480	e5eea688-ae40-494c-ae1f-20745250f67a	Billings	Billings	3	0	2013-05-24 23:43:50.029656+02	\N	\N	\N	\N	\N	\N	f	
4256	40eab11a-1a96-4680-a29c-4fd1f91c3a93	Plzeň-sever	Plzeň-sever	2	0	2013-05-22 12:48:34.070421+02	\N	\N	\N	\N	\N	\N	f	
4257	2f2756c7-e11a-41f1-b875-c1b384b0a10c	Rokycany	Rokycany	2	0	2013-05-22 12:48:49.274858+02	\N	\N	\N	\N	\N	\N	f	
4266	48abe7a2-476b-4428-bcc7-0578f3e7e299	Most	Most	2	0	2013-05-22 12:51:10.504315+02	\N	\N	\N	\N	\N	\N	f	
5560	81e34cd1-3400-4bba-b4f1-fb3c94540a97	Fuchū	Fuchū	3	0	2013-05-25 00:02:48.15908+02	\N	\N	\N	\N	\N	\N	f	
5672	436372b3-2fa8-4ebd-afaf-f6cbf182ba2d	Proszowice	Proszowice	3	0	2013-05-25 00:27:58.266098+02	\N	\N	\N	\N	\N	\N	f	
5993	db046525-2755-4a40-b8d4-3fe92a775f01	Neginshahr	Neginshahr	3	0	2013-05-25 01:32:31.855153+02	\N	\N	\N	\N	\N	\N	f	
6478	1b7104f6-0067-436d-9854-53b801a337eb	Madill	Madill	3	0	2013-05-25 03:14:55.810652+02	\N	\N	\N	\N	\N	\N	f	
6002	283cedf2-97d7-4722-b5dd-6cf5cb9b3ac5	Strzelin	Strzelin	3	0	2013-05-25 01:34:05.675918+02	\N	\N	\N	\N	\N	\N	f	
6246	aadff4f9-910c-470d-8849-e694f51a00b7	Lexington	Lexington	3	0	2013-05-25 02:21:40.673215+02	\N	\N	\N	\N	\N	\N	f	
7953	b2cf490f-a8a7-4875-a1b7-addede3b327f	Cincinnati	Cincinnati	3	0	2013-05-29 10:23:06.81202+02	\N	\N	\N	\N	\N	\N	f	
6502	18fb5eb4-9335-4d05-913d-f20bda4d997c	Konarak	Konarak	3	0	2013-05-25 03:20:37.438573+02	\N	\N	\N	\N	\N	\N	f	
7131	87e58d49-406d-4fe1-84b9-76b9f51e117a	Dębica	Dębica	3	0	2013-05-26 16:59:56.369261+02	\N	\N	\N	\N	\N	\N	f	
6740	0acdbd55-4c62-4f4f-ad12-50dc34d7ac1c	Kiakola	Kiakola	3	0	2013-05-25 04:07:09.050166+02	\N	\N	\N	\N	\N	\N	f	
6962	49c04e94-6b19-468d-8fa9-eaa80e52a593	Świecie	Świecie	3	0	2013-05-25 14:15:44.071357+02	\N	\N	\N	\N	\N	\N	f	
7049	b687ba04-48d5-4785-bcbf-51bf223bf5d2	Iwonicz-Zdrój	Iwonicz-Zdrój	3	0	2013-05-26 16:39:53.166018+02	\N	\N	\N	\N	\N	\N	f	
7255	17c28373-7dca-4325-a7be-4835094cfdf5	Laurel	Laurel	3	0	2013-05-26 17:31:13.30981+02	\N	\N	\N	\N	\N	\N	f	
7966	670725d1-d79d-476f-bfda-1e32dfbfb4d6	Khoshkrud	Khoshkrud	3	0	2013-05-30 13:17:15.196883+02	\N	\N	\N	\N	\N	\N	f	
7979	417f5ba8-3ec4-41bd-af16-e6acf125c8bb	Bourges	Bourges	3	0	2013-05-30 13:40:30.603262+02	\N	\N	\N	\N	\N	\N	f	
801	bf011bec-23e1-44ea-b84a-ef9e57760fcf	Šiaulių Apskritis	Šiaulių Apskritis	2	0	2013-05-27 19:53:34.059972+02	\N	\N	\N	\N	\N	\N	f	
7374	61d79102-b368-48ce-8f1a-478bb90b86bb	Birmingham, Michigan	Birmingham, Michigan	3	0	2013-05-28 14:16:28.070533+02	\N	\N	\N	\N	\N	\N	f	
8277	31876e68-ee71-462a-bb0b-c7e21f699dbd	Brig	Brig	3	0	2013-05-30 21:34:38.939536+02	\N	\N	\N	\N	\N	\N	f	
4245	13f865ec-8151-4d71-b389-f6d2d7e21202	České Budějovice	České Budějovice	2	0	2013-05-27 19:32:00.826392+02	\N	\N	\N	\N	\N	\N	f	
7496	7d987977-bed7-4b9e-92f3-55e5a5055ad7	Bad Dürrheim	Bad Dürrheim	3	0	2013-05-29 00:30:43.268756+02	\N	\N	\N	\N	\N	\N	f	
7993	3c8b127e-42e2-4d86-b5b6-3a0e31d034b9	Tarumizu	Tarumizu	3	0	2013-05-30 16:36:36.319022+02	\N	\N	\N	\N	\N	\N	f	
7519	d30d976f-723c-4da1-b3a7-ef6f2e70673c	Amöneburg	Amöneburg	3	0	2013-05-29 00:37:17.724888+02	\N	\N	\N	\N	\N	\N	f	
7660	47061a54-729e-4eae-acf8-82be7fd1a4a2	Usingen	Usingen	3	0	2013-05-29 01:07:02.203079+02	\N	\N	\N	\N	\N	\N	f	
7805	f9719692-c39a-4d9c-bf8c-dd4035b09534	Berkeley	Berkeley	3	0	2013-05-29 02:34:38.302982+02	\N	\N	\N	\N	\N	\N	f	
8014	b4d2ed34-c9b0-4c02-8860-98b2b6386c09	Innisfail	Innisfail	3	0	2013-05-30 18:26:01.099378+02	\N	\N	\N	\N	\N	\N	f	
7931	0538f32f-bafe-4505-8a12-49f2d7723362	Crawford	Crawford	3	0	2013-05-29 03:12:14.5372+02	\N	\N	\N	\N	\N	\N	f	
8082	7e772cd4-801d-49fa-a82e-c9dd2dd8439e	Řevnice	Řevnice	3	0	2013-05-30 18:42:15.413655+02	\N	\N	\N	\N	\N	\N	f	
8085	bf192f48-bb6a-433f-8d27-66c3b48e3780	Shrewsbury	Shrewsbury	3	0	2013-05-30 18:42:51.429942+02	\N	\N	\N	\N	\N	\N	f	
8126	0e849342-601e-407f-b5cf-07261f6d804d	San Marcos	San Marcos	3	0	2013-05-30 20:58:44.769505+02	\N	\N	\N	\N	\N	\N	f	
8640	c931e3ff-a868-4b40-8be5-8e64ede6400d	Jerilderie	Jerilderie	3	0	2013-06-01 18:02:19.908046+02	\N	\N	\N	\N	\N	\N	f	
8291	d02bf6e7-fa25-4fb3-9d68-2935727c1f57	Meredith	Meredith	3	0	2013-05-30 21:37:47.850291+02	\N	\N	\N	\N	\N	\N	f	
8481	88d7259c-053c-4bda-89d9-01b9e728f8d5	Okonek	Okonek	3	0	2013-06-01 17:22:46.521563+02	\N	\N	\N	\N	\N	\N	f	
8896	a16042e5-ca62-4e8b-aa47-681470a72d46	Jieyang	Jieyang	3	0	2013-06-01 19:55:52.048279+02	\N	\N	\N	\N	\N	\N	f	
8624	4a266ce7-f342-4ecb-ae7d-ca9f2346a2ea	Andover	Andover	3	0	2013-06-01 17:58:05.807675+02	\N	\N	\N	\N	\N	\N	f	
8763	27b6b468-eea5-4911-a76a-4ddaeac2e1e1	Wyong	Wyong	3	0	2013-06-01 18:39:11.909402+02	\N	\N	\N	\N	\N	\N	f	
9149	a7d94949-d6ac-43fb-8ccc-df42e767abdd	Huludao	Huludao	3	0	2013-06-01 20:50:01.30877+02	\N	\N	\N	\N	\N	\N	f	
8797	ca59686e-8afd-416a-ab5d-efa23ae14aa2	Wellington	Wellington	3	0	2013-06-01 18:48:40.447299+02	\N	\N	\N	\N	\N	\N	f	
9141	d4ae5d52-8378-4244-9789-ee8b09ff46ad	Liaoyang	Liaoyang	3	0	2013-06-01 20:48:24.717458+02	\N	\N	\N	\N	\N	\N	f	
9019	93278b53-257d-414a-862d-efa88f737040	Hanzhong	Hanzhong	3	0	2013-06-01 20:23:23.009423+02	\N	\N	\N	\N	\N	\N	f	
9065	a6827af8-4dfb-4314-8cda-af891dc950b2	Quzhou	Quzhou	3	0	2013-06-01 20:32:54.73575+02	\N	\N	\N	\N	\N	\N	f	
9156	27bd2f9e-2ef4-4886-8aec-65834e44582e	Changchun	Changchun	3	0	2013-06-01 20:53:41.1712+02	\N	\N	\N	\N	\N	\N	f	
4146	ad676ae6-5c47-4577-813a-f1c60f4a5cb8	Brabant wallon	Brabant wallon	2	0	2013-06-05 11:53:19.824651+02	\N	\N	\N	\N	\N	\N	f	
9182	fc1ebdec-0dd0-42db-bcf2-a06e01817fb2	Człopa	Człopa	3	0	2013-06-01 21:01:36.8476+02	\N	\N	\N	\N	\N	\N	f	
4640	406a3421-f236-4c7a-8612-5ea8fbd21a5a	Cremona	Cremona	2	0	2013-06-05 08:21:42.961376+02	\N	\N	\N	\N	\N	\N	f	
4234	2b5060f2-e317-4f6a-8de5-8aa9e479d8d2	Beroun	Beroun	2	0	2013-06-05 09:39:25.175128+02	\N	\N	\N	\N	\N	\N	f	
3326	c44fdfa9-e243-4d20-a3df-4b9c2d2bb674	Būr Sā‘īd	Būr Sā‘īd	2	0	2013-06-05 08:41:28.013409+02	\N	\N	\N	\N	\N	\N	f	
9490	c577f463-bd11-4f4d-a4a8-08b630b04fd1	Sayla	Sayla	3	0	2013-06-09 17:53:03.746198+02	\N	\N	\N	\N	\N	\N	f	
4233	b811176b-5a0c-4d29-9cc1-d5c9e9308728	Benešov	Benešov	2	0	2013-06-05 12:29:32.239909+02	\N	\N	\N	\N	\N	\N	f	
9544	e5d74059-c528-4d8e-ada2-882c25ec4fbe	Sioux City	Sioux City	3	0	2013-06-09 18:20:44.257311+02	\N	\N	\N	\N	\N	\N	f	
9669	35fc3b18-22e0-4b0c-a571-ad18d1abed7f	Auerbach	Auerbach	3	0	2013-06-13 20:55:50.566537+02	\N	\N	\N	\N	\N	\N	f	
9886	e10e9f9f-1023-49fa-903d-489e624b601a	Uwajima	Uwajima	3	0	2013-06-18 04:04:36.136412+02	\N	\N	\N	\N	\N	\N	f	
16199	42af371e-d486-475f-a395-28988f5cc6e2	Onzo	Onzo	4	0	2013-07-22 03:04:45.505712+02	\N	\N	\N	\N	\N	\N	f	
4258	ecfc4f55-5859-4b6f-bf0a-cd324e308ba3	Tachov	Tachov	2	0	2013-05-22 12:49:07.275521+02	\N	\N	\N	\N	\N	\N	f	
4760	079218d3-a021-45d3-985e-148f7bb5a86b	Chtouka-Ait Baha	Chtouka-Ait Baha	2	0	2013-06-05 12:05:17.322359+02	\N	\N	\N	\N	\N	\N	f	
4672	658a2695-2ecb-4903-b3f8-f6f44241af35	Novara	Novara	2	0	2013-05-22 14:39:51.187368+02	\N	\N	\N	\N	\N	\N	f	
5161	9443d4f5-668c-4f30-96bd-6caf831de30f	Rio de Janeiro	Rio de Janeiro	3	0	2013-05-24 22:39:10.476123+02	\N	\N	\N	\N	\N	\N	f	
4786	b9382b61-2d0d-4ac1-9b35-1698d4c0c549	Jabat	Jabat	2	0	2013-05-22 15:12:39.24836+02	\N	\N	\N	\N	\N	\N	f	
4918	d79335a1-28e9-4093-9521-e96b60b9cdc5	Isabela	Isabela	2	0	2013-05-22 15:50:05.929721+02	\N	\N	\N	\N	\N	\N	f	
5326	090bd82f-93ec-4a53-b8c1-51717e06dcd1	Września	Września	3	0	2013-05-24 23:12:44.393692+02	\N	\N	\N	\N	\N	\N	f	
5796	7d6dd645-4372-41c5-a5bf-2693065dd0b1	Wodzisław Śląski	Wodzisław Śląski	3	0	2013-05-25 00:52:45.523449+02	\N	\N	\N	\N	\N	\N	f	
5481	16cdfdf1-f795-42b4-be7c-6144ae581944	Sławno	Sławno	3	0	2013-05-24 23:44:07.827042+02	\N	\N	\N	\N	\N	\N	f	
5535	9da2ced9-99c1-44ad-b4b2-94fc8075476a	Matsuyama	Matsuyama	3	0	2013-05-24 23:58:14.605884+02	\N	\N	\N	\N	\N	\N	f	
5551	8bcfea7e-0f3a-48a5-84ed-154034742800	Takamatsu	Takamatsu	3	0	2013-05-25 00:01:06.831687+02	\N	\N	\N	\N	\N	\N	f	
5809	0352a1d8-2afe-446e-ac53-aea84e44009c	Starogard Gdański	Starogard Gdański	3	0	2013-05-25 00:55:12.063521+02	\N	\N	\N	\N	\N	\N	f	
5675	da096ffa-2cae-4d5e-a96f-9644d8a5d915	Wąbrzeźno	Wąbrzeźno	3	0	2013-05-25 00:28:47.471129+02	\N	\N	\N	\N	\N	\N	f	
6479	643da338-cad0-411a-a43f-72b92ff02fc8	New Virginia	New Virginia	3	0	2013-05-25 03:15:10.805339+02	\N	\N	\N	\N	\N	\N	f	
5818	f27ef881-776b-44a7-b201-828e503effb0	Manassas	Manassas	3	0	2013-05-25 00:57:09.340835+02	\N	\N	\N	\N	\N	\N	f	
5843	981b7359-3c6f-4813-ba0e-08a5709e49a1	Princeton	Princeton	3	0	2013-05-25 01:03:32.336489+02	\N	\N	\N	\N	\N	\N	f	
7967	88636a4d-6e50-4389-a7c2-460a5ee4b4c7	Shush	Shush	3	0	2013-05-30 13:20:21.940166+02	\N	\N	\N	\N	\N	\N	f	
5998	04ef18b8-d288-422b-a3f9-e25c508ef2d1	Galikash	Galikash	3	0	2013-05-25 01:33:23.240116+02	\N	\N	\N	\N	\N	\N	f	
6742	60dda101-42eb-4d33-ac3d-979f5a7d3667	Tiran	Tiran	3	0	2013-05-25 04:07:32.322456+02	\N	\N	\N	\N	\N	\N	f	
6260	89f82f65-b640-447c-8441-2a4822911752	Wellington	Wellington	3	0	2013-05-25 02:24:29.251231+02	\N	\N	\N	\N	\N	\N	f	
7135	506c3b2b-1f5d-4cda-9ed9-41df11412f98	Sulejówek	Sulejówek	3	0	2013-05-26 17:00:52.56064+02	\N	\N	\N	\N	\N	\N	f	
6963	db382965-6121-4143-b6de-dd4934e4da35	Kalwaria Zebrzydowska	Kalwaria Zebrzydowska	3	0	2013-05-25 14:15:55.884352+02	\N	\N	\N	\N	\N	\N	f	
6984	336c4373-5028-4395-ab47-b0dbb1ae4024	Ryan	Ryan	3	0	2013-05-25 14:20:42.980251+02	\N	\N	\N	\N	\N	\N	f	
7050	406b14cb-785b-445e-8acd-102583248168	Miasteczko Śląskie	Miasteczko Śląskie	3	0	2013-05-26 16:40:05.612568+02	\N	\N	\N	\N	\N	\N	f	
7256	f1d18815-ef09-4ddf-9c1e-3c1acb5747a6	Ożarów Mazowiecki	Ożarów Mazowiecki	3	0	2013-05-26 17:31:41.465828+02	\N	\N	\N	\N	\N	\N	f	
8899	5d668739-7f88-4062-9bc5-11a90e838310	Braunschweig	Braunschweig	3	0	2013-06-01 19:56:54.783829+02	\N	\N	\N	\N	\N	\N	f	
7994	d8f9340a-38fc-44a9-8673-50bd8427f51a	Hioki	Hioki	3	0	2013-05-30 16:38:01.976651+02	\N	\N	\N	\N	\N	\N	f	
8015	63a09691-408f-4a6f-ae76-179dfbafdc78	Arosa	Arosa	3	0	2013-05-30 18:26:19.214545+02	\N	\N	\N	\N	\N	\N	f	
8127	39a03231-56a1-4b34-9510-0a07344b2a07	Candi Dasa	Candi Dasa	3	0	2013-05-30 20:58:57.593871+02	\N	\N	\N	\N	\N	\N	f	
8905	f1561bb4-71c5-4b5f-a622-6b415331a8e0	Zunyi	Zunyi	3	0	2013-06-01 19:58:33.987546+02	\N	\N	\N	\N	\N	\N	f	
8279	7976a001-3c54-41f2-8cdf-752bd8d7b4a4	Huasca de Ocampo	Huasca de Ocampo	3	0	2013-05-30 21:35:09.609679+02	\N	\N	\N	\N	\N	\N	f	
2089	a421613c-a61d-4720-8a0e-496b12fe74af	Železniki	Železniki	2	0	2013-05-27 19:54:10.216382+02	\N	\N	\N	\N	\N	\N	f	
7375	1be3566d-571f-4d83-8ab2-9bc377b61579	Temsia	Temsia	3	0	2013-05-28 14:16:44.407575+02	\N	\N	\N	\N	\N	\N	f	
7500	f3c150b8-7eff-4b23-80e3-c44a80d2fd6d	Bad Urach	Bad Urach	3	0	2013-05-29 00:31:44.113683+02	\N	\N	\N	\N	\N	\N	f	
8482	97dca40f-6086-4362-914a-c5bd4983cfb8	Krzyż Wielkopolski	Krzyż Wielkopolski	3	0	2013-06-01 17:22:57.52153+02	\N	\N	\N	\N	\N	\N	f	
7502	2ef54e34-e321-4b8e-8e7b-dd38c4a2d963	Mazar-i-Sharif	Mazar-i-Sharif	3	0	2013-05-29 00:32:24.626434+02	\N	\N	\N	\N	\N	\N	f	
7532	19b43421-7d37-4ab8-94a6-c8eb082fe6f4	Bendigo	Bendigo	3	0	2013-05-29 00:40:34.315103+02	\N	\N	\N	\N	\N	\N	f	
3398	c50166c5-4422-4490-a1c0-e465b4b26335	Andjazîdja (Anjazījah)	Andjazîdja (Anjazījah)	2	0	2013-06-05 08:44:06.769873+02	\N	\N	\N	\N	\N	\N	f	
7553	8dddf5a0-4827-40d5-90a0-99f5b1174bb9	Heppenheim	Heppenheim	3	0	2013-05-29 00:45:01.998452+02	\N	\N	\N	\N	\N	\N	f	
8489	6866da1a-97b4-4b2e-82f4-fc31e6f2d3e3	Scone, New South Wales	Scone, New South Wales	3	0	2013-06-01 17:24:23.074395+02	\N	\N	\N	\N	\N	\N	f	
7661	a164f0e9-25e9-4039-9b3a-582141f3d41d	Bopfingen	Bopfingen	3	0	2013-05-29 01:07:13.549382+02	\N	\N	\N	\N	\N	\N	f	
7806	685082d3-2e58-4a1f-a486-3623c7d2da37	Anderson	Anderson	3	0	2013-05-29 02:35:06.513008+02	\N	\N	\N	\N	\N	\N	f	
8961	ac475b90-f8c9-43fc-bb90-bb32054ca649	Linyi	Linyi	3	0	2013-06-01 20:10:29.953322+02	\N	\N	\N	\N	\N	\N	f	
7932	60ca3118-9f48-4a76-a5b2-07ef372658a1	Kent	Kent	3	0	2013-05-29 03:12:41.986596+02	\N	\N	\N	\N	\N	\N	f	
8581	b2a48c63-cab7-4572-a6e5-8e7156133884	Rajgród	Rajgród	3	0	2013-06-01 17:46:06.087502+02	\N	\N	\N	\N	\N	\N	f	
7955	2e7d0064-1603-45ac-be83-2559fb991d04	Darmstadt	Darmstadt	3	0	2013-05-29 10:23:27.690935+02	\N	\N	\N	\N	\N	\N	f	
8582	1bf7a99d-0bdb-4986-bd99-054eeba1f34c	Łomianki	Łomianki	3	0	2013-06-01 17:46:17.417015+02	\N	\N	\N	\N	\N	\N	f	
9020	0d16c604-1811-4c07-97f3-b99c8a2068d7	Ankang	Ankang	3	0	2013-06-01 20:23:33.262991+02	\N	\N	\N	\N	\N	\N	f	
8642	1616c85e-a933-441a-969d-4ee2b1112b1e	Merrick	Merrick	3	0	2013-06-01 18:03:02.497731+02	\N	\N	\N	\N	\N	\N	f	
8766	5f6689b4-1d96-4137-9eec-058e4dddedd9	Douglas	Douglas	3	0	2013-06-01 18:40:38.640269+02	\N	\N	\N	\N	\N	\N	f	
9492	6a140ecc-3da5-4191-93ff-eaa2978e1efc	Sagbara	Sagbara	3	0	2013-06-09 17:53:28.93433+02	\N	\N	\N	\N	\N	\N	f	
9158	ce33eba3-160e-4756-aa5e-9c67db41700b	Jilin City	Jilin City	3	0	2013-06-01 20:54:02.544035+02	\N	\N	\N	\N	\N	\N	f	
9539	f63d0f62-11aa-4dfe-8840-50f73b7e263b	Jiwaka	Jiwaka	2	0	2013-06-09 18:13:10.093304+02	\N	\N	\N	\N	\N	\N	f	
4642	ceefc8dc-e281-4db6-b5c2-2b33c4701530	Catania	Catania	2	0	2013-06-05 11:55:04.729341+02	\N	\N	\N	\N	\N	\N	f	
10180	ada7916e-f3e2-46cd-b489-bd06d08a61e6	Tonoshō	Tonoshō	3	0	2013-06-18 14:46:44.641054+02	\N	\N	\N	\N	\N	\N	f	
9670	9210189c-e75c-49c4-8195-71f8cdf02fc4	Löffingen	Löffingen	3	0	2013-06-13 20:57:34.116158+02	\N	\N	\N	\N	\N	\N	f	
10270	d00423ad-b93e-4fd2-a841-c3b2bb1fb0e5	Ichikawa	Ichikawa	3	0	2013-06-18 17:24:27.915987+02	\N	\N	\N	\N	\N	\N	f	
10230	9c073d44-51f3-4110-911f-9e7eee8539c3	Hakuba	Hakuba	3	0	2013-06-18 17:15:33.452398+02	\N	\N	\N	\N	\N	\N	f	
9892	0482e5ba-098e-4b86-9bd7-07822a637c88	Sabae	Sabae	3	0	2013-06-18 04:05:47.541213+02	\N	\N	\N	\N	\N	\N	f	
9994	5f4f312b-20ce-41ef-9112-49f2f47065e8	Ōnojō, Fukuoka	Ōnojō, Fukuoka	3	0	2013-06-18 07:52:24.135897+02	\N	\N	\N	\N	\N	\N	f	
10079	603488f8-668b-473a-b5a4-51cf21509052	Tosu	Tosu	3	0	2013-06-18 08:17:16.780157+02	\N	\N	\N	\N	\N	\N	f	
10154	fef37cba-645f-48a6-91c7-dc3c22e1a8a6	Hirokawa	Hirokawa	3	0	2013-06-18 14:40:47.489144+02	\N	\N	\N	\N	\N	\N	f	
10262	a830ae82-114c-4e1b-a515-6d24864c89c1	Tawaramoto	Tawaramoto	3	0	2013-06-18 17:22:58.864887+02	\N	\N	\N	\N	\N	\N	f	
10296	449652fd-2228-45de-abb9-51b28929cd31	Shimosuwa	Shimosuwa	3	0	2013-06-18 17:29:07.631338+02	\N	\N	\N	\N	\N	\N	f	
10328	e5450192-6311-49c1-b4c6-ad874da25c87	Minano	Minano	3	0	2013-06-18 17:35:19.498627+02	\N	\N	\N	\N	\N	\N	f	
10334	1780fd01-b805-4719-81a5-aa97254a8102	Ine	Ine	3	0	2013-06-18 17:36:21.672082+02	\N	\N	\N	\N	\N	\N	f	
10344	8e45f91c-f2f8-4734-bd88-197171484e07	Taga	Taga	3	0	2013-06-18 17:38:20.451825+02	\N	\N	\N	\N	\N	\N	f	
10352	42b9dee6-4c8e-49cf-8c16-072b3c12613b	Sugito	Sugito	3	0	2013-06-18 17:40:21.550044+02	\N	\N	\N	\N	\N	\N	f	
10363	c8297da4-0d46-494e-a9ef-6a5c3c4fa66a	Sakaki	Sakaki	3	0	2013-06-18 17:42:22.825221+02	\N	\N	\N	\N	\N	\N	f	
10358	6fddfcf3-fc66-4c32-9315-e2fe328ba76e	Omi	Omi	3	0	2013-06-18 17:41:29.117847+02	\N	\N	\N	\N	\N	\N	f	
10369	bccd1e45-f9f8-4672-8889-5559938b0a91	Moroyama	Moroyama	3	0	2013-06-18 17:43:30.429915+02	\N	\N	\N	\N	\N	\N	f	
10372	598d67b1-04b5-47dc-a222-b517c41dc3cf	Miyoshi	Miyoshi	3	0	2013-06-18 17:47:02.018322+02	\N	\N	\N	\N	\N	\N	f	
10375	2921cbbc-0040-4131-a987-791e8393bc6a	Ōme	Ōme	3	0	2013-06-18 17:52:54.953394+02	\N	\N	\N	\N	\N	\N	f	
14402	96a8a10b-49a8-4583-afbf-80d7b3363da5	Fubine	Fubine	4	0	2013-07-21 21:29:40.874865+02	\N	\N	\N	\N	\N	\N	f	
4260	1e68b6de-c758-41b4-9143-0a374ae452f3	Karlovy Vary	Karlovy Vary	2	0	2013-05-22 12:49:41.219968+02	\N	\N	\N	\N	\N	\N	f	
13800	0d24058c-e427-4341-a0c2-f84c741c3706	Villar Focchiardo	Villar Focchiardo	4	0	2013-07-21 19:15:01.942102+02	\N	\N	\N	\N	\N	\N	f	
4644	35cd8974-77ec-4e80-bd5a-67f58375242f	Enna	Enna	2	0	2013-05-22 14:32:06.093532+02	\N	\N	\N	\N	\N	\N	f	
4787	f8977b7c-631c-48c9-80be-123831905192	Jaluit	Jaluit	2	0	2013-05-22 15:12:54.462206+02	\N	\N	\N	\N	\N	\N	f	
4920	66152e38-5b59-4f5e-9bd3-986f9d18f19d	Laguna	Laguna	2	0	2013-05-22 15:50:27.617037+02	\N	\N	\N	\N	\N	\N	f	
5209	741e9672-cefb-4633-b536-3eb64eb5735a	Racibórz	Racibórz	3	0	2013-05-24 22:49:24.63637+02	\N	\N	\N	\N	\N	\N	f	
5797	a9dd60bc-61ad-4e5f-b179-3b14bfc1e7a4	Khorramabad	Khorramabad	3	0	2013-05-25 00:52:55.95383+02	\N	\N	\N	\N	\N	\N	f	
5327	5191872f-d23e-4f90-b2c8-9d3b109ff391	Gołańcz	Gołańcz	3	0	2013-05-24 23:12:55.36131+02	\N	\N	\N	\N	\N	\N	f	
5482	ffc37ebf-1e1d-4794-a67c-06d3b9b71d46	Qingdao	Qingdao	3	0	2013-05-24 23:44:27.591177+02	\N	\N	\N	\N	\N	\N	f	
5495	22613573-3ebd-4e8c-8752-ccaf6350ebdf	Kruszwica	Kruszwica	3	0	2013-05-24 23:47:30.636463+02	\N	\N	\N	\N	\N	\N	f	
5807	1a892a7c-70d1-4f36-9db2-c6e66dae8f7e	Galax	Galax	3	0	2013-05-25 00:54:50.526216+02	\N	\N	\N	\N	\N	\N	f	
5515	5a573001-d62b-4ca9-9d0a-4398943745e8	Nowe Miasto Lubawskie	Nowe Miasto Lubawskie	3	0	2013-05-24 23:53:25.767847+02	\N	\N	\N	\N	\N	\N	f	
5676	d6ddc935-cc9d-4e57-8fe1-922563dfc14f	Golub-Dobrzyń	Golub-Dobrzyń	3	0	2013-05-25 00:29:03.086951+02	\N	\N	\N	\N	\N	\N	f	
6481	09d7bf97-f9bb-42c7-a021-a4415e4e2b8b	Knierim	Knierim	3	0	2013-05-25 03:15:41.269528+02	\N	\N	\N	\N	\N	\N	f	
6000	b4d2da35-cf91-4bde-8926-0a24684b45ae	Sarkhon Kalateh	Sarkhon Kalateh	3	0	2013-05-25 01:33:43.43958+02	\N	\N	\N	\N	\N	\N	f	
15502	f1cc76e9-89ea-4e07-8967-10fc120b0126	Rocca Sinibalda	Rocca Sinibalda	4	0	2013-07-22 00:59:32.298335+02	\N	\N	\N	\N	\N	\N	f	
9995	eecfc640-e9e8-44f6-9065-3e4a0fa95178	Ōta	Ōta	3	0	2013-06-18 07:52:34.461507+02	\N	\N	\N	\N	\N	\N	f	
8128	b8536f9c-0343-45ca-9274-94ffd1993db1	Bettendorf	Bettendorf	3	0	2013-05-30 20:59:13.557665+02	\N	\N	\N	\N	\N	\N	f	
6748	e501e751-6c43-466f-85ec-ed70a0a37b06	Golshahr	Golshahr	3	0	2013-05-25 04:08:46.387197+02	\N	\N	\N	\N	\N	\N	f	
7136	c9b93993-10e9-4857-b135-8b8cf8bfb4ac	Skórcz	Skórcz	3	0	2013-05-26 17:01:08.143792+02	\N	\N	\N	\N	\N	\N	f	
6964	4f4da528-e6b9-4c36-8fb9-e1040df8b600	Ścinawa	Ścinawa	3	0	2013-05-25 14:16:07.48076+02	\N	\N	\N	\N	\N	\N	f	
7051	0c14e1b7-1f4a-4e16-96cc-ffe1035fb817	Mikołów	Mikołów	3	0	2013-05-26 16:40:22.153182+02	\N	\N	\N	\N	\N	\N	f	
7055	2eac2efd-7dcf-4f3f-a8a2-859aa293f43e	Wejherowo	Wejherowo	3	0	2013-05-26 16:41:20.172733+02	\N	\N	\N	\N	\N	\N	f	
7257	40d94c6a-f691-4686-b57c-6c9867538ed4	Stawiski	Stawiski	3	0	2013-05-26 17:31:57.437679+02	\N	\N	\N	\N	\N	\N	f	
2064	523c7558-fb86-4764-aba9-b8df97dc1663	Šentjur pri Celju	Šentjur pri Celju	2	0	2013-05-27 19:54:38.097855+02	\N	\N	\N	\N	\N	\N	f	
8900	d3dc0ffc-e5f4-4b9c-84e2-fc0b14d12060	Mattapoisett	Mattapoisett	3	0	2013-06-01 19:57:18.483381+02	\N	\N	\N	\N	\N	\N	f	
7376	1552269e-bc59-4344-a28e-3d40f8f94381	Gosford, New South Wales	Gosford, New South Wales	3	0	2013-05-28 14:16:52.197145+02	\N	\N	\N	\N	\N	\N	f	
8280	198ffdd1-24eb-47d4-b362-39062420b964	Frinton-on-Sea	Frinton-on-Sea	3	0	2013-05-30 21:35:22.348136+02	\N	\N	\N	\N	\N	\N	f	
7390	a7b2cc5a-4f08-4a9a-9f7b-6d1b7c5f0214	Dobrush	Dobrush	3	0	2013-05-28 14:22:19.15561+02	\N	\N	\N	\N	\N	\N	f	
7501	cf7b9d8c-81ca-4d7d-9943-3880d2c5dcf2	Reinheim	Reinheim	3	0	2013-05-29 00:32:02.368317+02	\N	\N	\N	\N	\N	\N	f	
7662	4f12a0b6-b389-4190-b324-49feb3387ff9	Lorch	Lorch	3	0	2013-05-29 01:07:24.166616+02	\N	\N	\N	\N	\N	\N	f	
8320	cdb5aaec-3996-41e6-99f4-de6ea9a399e1	Berat	Berat	3	0	2013-05-30 21:44:21.606451+02	\N	\N	\N	\N	\N	\N	f	
7997	f7c5712b-2f7b-4fae-b4b7-914b5e602ca7	Ibusuki	Ibusuki	3	0	2013-05-30 16:40:52.059669+02	\N	\N	\N	\N	\N	\N	f	
7682	66bf6576-7204-4013-895c-01fde97ed620	Schwalbach am Taunus	Schwalbach am Taunus	3	0	2013-05-29 01:11:23.141493+02	\N	\N	\N	\N	\N	\N	f	
7807	32c5b871-cc3b-4641-914b-798dcfa6bc3d	Flint	Flint	3	0	2013-05-29 02:35:27.227422+02	\N	\N	\N	\N	\N	\N	f	
9545	2d98c021-f992-46c5-a4fd-548973bb46fe	Buangor	Buangor	3	0	2013-06-09 18:22:10.84691+02	\N	\N	\N	\N	\N	\N	f	
7933	20d8c6dd-bbdd-443b-97ee-869e250dd118	Sumner	Sumner	3	0	2013-05-29 03:13:06.53815+02	\N	\N	\N	\N	\N	\N	f	
8380	cb8768e9-e7bb-4e6d-8123-d0784ec446ac	Castel Viscardo	Castel Viscardo	3	0	2013-05-30 21:58:04.375662+02	\N	\N	\N	\N	\N	\N	f	
7938	c0c33173-bb69-408e-a967-cb8c16922afb	Grayling	Grayling	3	0	2013-05-29 03:15:32.186276+02	\N	\N	\N	\N	\N	\N	f	
7956	56e1c305-859d-4fbb-8a7c-6e45e1b8ebf1	Pasadena	Pasadena	3	0	2013-05-29 10:23:39.138622+02	\N	\N	\N	\N	\N	\N	f	
8903	75d5fd1a-a4cf-4c53-bd0b-ec5c80ac38b6	Zigong	Zigong	3	0	2013-06-01 19:58:06.038348+02	\N	\N	\N	\N	\N	\N	f	
7968	73f62541-b839-40dc-af49-1f0b823685d4	Hafnarfjörður	Hafnarfjörður	3	0	2013-05-30 13:22:29.682189+02	\N	\N	\N	\N	\N	\N	f	
8485	fcfe8dc4-a5f3-44e4-819c-f7cb319a85cf	Tumut	Tumut	3	0	2013-06-01 17:23:37.125524+02	\N	\N	\N	\N	\N	\N	f	
7995	f6ee740c-c951-4220-9568-f443ac667a83	Sapporo	Sapporo	3	0	2013-05-30 16:38:39.531372+02	\N	\N	\N	\N	\N	\N	f	
8016	77d55494-b3b3-4ae2-9928-e7e4cbc090cd	Ingatestone	Ingatestone	3	0	2013-05-30 18:26:37.47964+02	\N	\N	\N	\N	\N	\N	f	
8066	8cc14e61-81e3-4ebb-8bd6-74845e0174b4	Eastwood	Eastwood	3	0	2013-05-30 18:38:34.037606+02	\N	\N	\N	\N	\N	\N	f	
5030	b55d44bd-9b36-4a2f-8374-b605e54e35b4	Abim	Abim	2	0	2013-06-05 08:45:13.447303+02	\N	\N	\N	\N	\N	\N	f	
8492	d3661a6e-00c2-49af-b66d-19967119cb0d	La Vergne	La Vergne	3	0	2013-06-01 17:24:57.690485+02	\N	\N	\N	\N	\N	\N	f	
8904	445fb44c-34ab-412a-9087-e4fe58b68a12	Jinzhou	Jinzhou	3	0	2013-06-01 19:58:17.92556+02	\N	\N	\N	\N	\N	\N	f	
8643	99eec09b-d051-468e-bc8c-f3517746ec69	Berridale	Berridale	3	0	2013-06-01 18:03:13.312533+02	\N	\N	\N	\N	\N	\N	f	
8658	a91a38f4-e718-4ace-8746-69def391d25c	Łęknica	Łęknica	3	0	2013-06-01 18:06:52.262589+02	\N	\N	\N	\N	\N	\N	f	
8767	83826d55-6832-45d0-8f99-7e347fab3164	Lexington	Lexington	3	0	2013-06-01 18:40:49.883884+02	\N	\N	\N	\N	\N	\N	f	
8976	fda803c4-a830-4b67-ae8b-23131e2dfe5e	Nanyang	Nanyang	3	0	2013-06-01 20:13:43.736707+02	\N	\N	\N	\N	\N	\N	f	
8781	040390e3-48d0-4b08-9c68-bcbf23d711b3	Gatton	Gatton	3	0	2013-06-01 18:44:25.767441+02	\N	\N	\N	\N	\N	\N	f	
9671	fa0294de-c65d-49fb-8dcb-ca44356e7b50	Markdorf	Markdorf	3	0	2013-06-13 20:58:31.028899+02	\N	\N	\N	\N	\N	\N	f	
9021	c85f9712-a56f-4481-bb12-062eafd6aa8c	Yulin	Yulin	3	0	2013-06-01 20:23:46.491809+02	\N	\N	\N	\N	\N	\N	f	
10231	f0068ca9-de6e-474b-9031-2797d3d6a593	Chihayaakasaka	Chihayaakasaka	3	0	2013-06-18 17:16:45.070923+02	\N	\N	\N	\N	\N	\N	f	
9159	8a126e48-5234-4ed1-ac09-5b2311633799	Liaoyuan	Liaoyuan	3	0	2013-06-01 20:54:12.587763+02	\N	\N	\N	\N	\N	\N	f	
1187	dd9a3d85-d6f6-4d95-a191-b69b149a784c	Central Andros	Central Andros	2	0	2013-06-05 12:17:24.835032+02	\N	\N	\N	\N	\N	\N	f	
4753	3cc9fb7e-61d4-4da2-b801-3a2e1738b956	Agadir-Ida-Outanane	Agadir-Ida-Outanane	2	0	2013-06-05 10:37:52.828602+02	\N	\N	\N	\N	\N	\N	f	
9493	05565fc7-42f4-4788-92e1-95a46a78907b	Sankheda	Sankheda	3	0	2013-06-09 17:53:39.559488+02	\N	\N	\N	\N	\N	\N	f	
6266	2128190c-d58f-487f-8b42-19a3e5e15290	Ahram	Ahram	3	0	2013-06-17 07:31:14.227784+02	\N	\N	\N	\N	\N	\N	f	
4259	ed965aa6-41c8-456a-a004-d53add08d6bc	Cheb	Cheb	2	0	2013-06-05 08:54:45.671708+02	\N	\N	\N	\N	\N	\N	f	
10081	ac1b8a75-f3c6-40eb-a83e-b981dfdc075c	Kan'onji	Kan'onji	3	0	2013-06-18 08:17:37.412333+02	\N	\N	\N	\N	\N	\N	f	
9893	c4021d66-67d4-4788-aa12-b74d94ccbc9d	Sakado	Sakado	3	0	2013-06-18 04:05:57.975474+02	\N	\N	\N	\N	\N	\N	f	
10158	364c067a-a462-4f55-8b3e-68be61ccbbbf	Kotake	Kotake	3	0	2013-06-18 14:41:35.022189+02	\N	\N	\N	\N	\N	\N	f	
10288	58c48816-bf26-4529-b500-5ec20e2ab033	Ikeda	Ikeda	3	0	2013-06-18 17:27:44.631081+02	\N	\N	\N	\N	\N	\N	f	
10271	4273272d-c62d-454c-8607-a48be660aadc	Kijimadaira	Kijimadaira	3	0	2013-06-18 17:24:38.298953+02	\N	\N	\N	\N	\N	\N	f	
10313	13b2b0e5-e34d-44f8-9842-00452a0e9ecf	Takagi	Takagi	3	0	2013-06-18 17:32:03.352255+02	\N	\N	\N	\N	\N	\N	f	
10321	09397814-45d6-48eb-8196-a90f7828a2fb	Susami	Susami	3	0	2013-06-18 17:34:04.43435+02	\N	\N	\N	\N	\N	\N	f	
10329	5d12a714-8be0-43f3-951e-68df7c7b7c38	Kushimoto	Kushimoto	3	0	2013-06-18 17:35:29.749235+02	\N	\N	\N	\N	\N	\N	f	
10331	304eddbb-a0f5-4409-a2e8-e2fb4da74064	Ōji	Ōji	3	0	2013-06-18 17:35:50.31178+02	\N	\N	\N	\N	\N	\N	f	
10337	82e432e3-edd9-4715-b01a-bcecf5a7a828	Hiraya	Hiraya	3	0	2013-06-18 17:36:52.587413+02	\N	\N	\N	\N	\N	\N	f	
10345	8d45f504-ab8b-480d-95f6-1eed1e9b0379	Kamitonda	Kamitonda	3	0	2013-06-18 17:38:37.422553+02	\N	\N	\N	\N	\N	\N	f	
10341	9313a3b4-817b-49d0-9f7e-f94900b49b0f	Yaotsu	Yaotsu	3	0	2013-06-18 17:37:34.029852+02	\N	\N	\N	\N	\N	\N	f	
17306	03960b5d-b3fd-4948-9e80-b9fb361b9532	Mornago	Mornago	4	0	2013-07-22 06:10:42.748799+02	\N	\N	\N	\N	\N	\N	f	
10353	4a8d6d3b-4886-458c-9953-e925e751d2bf	Toyoyama	Toyoyama	3	0	2013-06-18 17:40:32.119856+02	\N	\N	\N	\N	\N	\N	f	
4261	38a5e1ef-6e22-4fc1-a1d9-8f02978a03a1	Sokolov	Sokolov	2	0	2013-05-22 12:49:55.855809+02	\N	\N	\N	\N	\N	\N	f	
4264	13f12f26-a86e-4a7f-b141-42f05efd6aa1	Litoměřice	Litoměřice	2	0	2013-05-22 12:50:37.04048+02	\N	\N	\N	\N	\N	\N	f	
4265	9034533b-131d-4029-865c-f7c81ac18c37	Louny	Louny	2	0	2013-05-22 12:50:58.386866+02	\N	\N	\N	\N	\N	\N	f	
4313	8cfddbcc-b38a-4da2-a990-6317cd92892a	Barcelona	Barcelona	2	0	2013-06-05 11:13:02.9217+02	\N	\N	\N	\N	\N	\N	f	
4267	10198492-a2a4-4b48-bde8-572eacaa2b08	Teplice	Teplice	2	0	2013-05-22 12:51:24.744246+02	\N	\N	\N	\N	\N	\N	f	
4287	66ca2884-81dd-453f-821d-52a65b5371c8	Blansko	Blansko	2	0	2013-06-05 09:35:13.780065+02	\N	\N	\N	\N	\N	\N	f	
4319	f95fea4b-4988-4077-b725-1bec371b05de	Cáceres	Cáceres	2	0	2013-06-05 09:00:14.442799+02	\N	\N	\N	\N	\N	\N	f	
4278	0515df49-e691-4db9-98c4-075f3b80cf92	Chrudim	Chrudim	2	0	2013-06-05 07:30:45.835504+02	\N	\N	\N	\N	\N	\N	f	
4270	d19f2fa4-ac02-4298-8bd7-c61c6f3a1b83	Jablonec nad Nisou	Jablonec nad Nisou	2	0	2013-05-22 12:52:07.030036+02	\N	\N	\N	\N	\N	\N	f	
4290	11b09493-b73f-42cf-80b4-dc977278404d	Břeclav	Břeclav	2	0	2013-06-05 11:14:54.343967+02	\N	\N	\N	\N	\N	\N	f	
4272	0c24386c-0560-499e-bb5b-d05738db48ee	Semily	Semily	2	0	2013-05-22 12:52:38.506599+02	\N	\N	\N	\N	\N	\N	f	
4273	d87a320f-c695-4386-998d-337ba936fa13	Hradec Králové	Hradec Králové	2	0	2013-05-22 12:52:50.6885+02	\N	\N	\N	\N	\N	\N	f	
13801	cc508c13-7918-4985-907a-b4138e205d05	Botticino	Botticino	4	0	2013-07-21 19:15:14.885271+02	\N	\N	\N	\N	\N	\N	f	
4274	8bb62c20-fd20-4dfa-8f11-de5efefeddc0	Jičín	Jičín	2	0	2013-05-22 12:53:04.014653+02	\N	\N	\N	\N	\N	\N	f	
4291	5b18f992-355a-452b-a190-cdecfae381a2	Hodonín	Hodonín	2	0	2013-05-22 12:57:03.598581+02	\N	\N	\N	\N	\N	\N	f	
4275	5beb1a47-6558-4278-882f-2f6ee5718a36	Náchod	Náchod	2	0	2013-05-22 12:53:16.566117+02	\N	\N	\N	\N	\N	\N	f	
4276	88f50894-51a2-4ce7-aba1-766a45c56837	Rychnov nad Kněžnou	Rychnov nad Kněžnou	2	0	2013-05-22 12:53:29.11098+02	\N	\N	\N	\N	\N	\N	f	
4304	46321fc9-47aa-4357-9a76-0318aada5579	Frýdek-Místek	Frýdek-Místek	2	0	2013-05-22 13:00:25.45173+02	\N	\N	\N	\N	\N	\N	f	
4277	de013636-296e-4da8-ae38-1521a02e89e9	Trutnov	Trutnov	2	0	2013-05-22 12:53:41.254491+02	\N	\N	\N	\N	\N	\N	f	
4292	bb2a4975-6178-4681-9e33-94044e5eed7a	Vyškov	Vyškov	2	0	2013-05-22 12:57:15.314935+02	\N	\N	\N	\N	\N	\N	f	
4303	2edad839-f1fb-4594-9295-7cda5cfca159	Bruntál	Bruntál	2	0	2013-06-05 07:44:00.154826+02	\N	\N	\N	\N	\N	\N	f	
4279	bdb5511f-09e5-4c06-b0ea-a53085fbc42f	Pardubice	Pardubice	2	0	2013-05-22 12:54:07.370924+02	\N	\N	\N	\N	\N	\N	f	
4280	efeb161b-3b1b-4755-adfb-1c7392099be5	Svitavy	Svitavy	2	0	2013-05-22 12:54:21.684072+02	\N	\N	\N	\N	\N	\N	f	
4293	ab5e984b-61d3-4f19-88da-5d05a64b0d3f	Znojmo	Znojmo	2	0	2013-05-22 12:57:33.585281+02	\N	\N	\N	\N	\N	\N	f	
4281	29169d31-2c85-433c-816e-e7aeefb7f7b0	Ústí nad Orlicí	Ústí nad Orlicí	2	0	2013-05-27 20:03:32.453492+02	\N	\N	\N	\N	\N	\N	f	
4282	4f15dff9-0ec3-4f63-b50b-30517c76aeb2	Havlíčkův Brod	Havlíčkův Brod	2	0	2013-05-22 12:54:50.159845+02	\N	\N	\N	\N	\N	\N	f	
4321	2570d464-630c-4958-8f9e-14b3c5321853	Ciudad Real	Ciudad Real	2	0	2013-06-05 11:38:29.393857+02	\N	\N	\N	\N	\N	\N	f	
4283	f70fd232-d124-4d5d-9951-2779f9766915	Jihlava	Jihlava	2	0	2013-05-22 12:55:04.111804+02	\N	\N	\N	\N	\N	\N	f	
4294	06994719-d95d-4aa5-8b8a-1a138135f07b	Jeseník	Jeseník	2	0	2013-05-22 12:57:47.314848+02	\N	\N	\N	\N	\N	\N	f	
4284	8f6eb2a6-9679-478d-b2ac-4de8340d5a33	Pelhřimov	Pelhřimov	2	0	2013-05-22 12:55:20.216088+02	\N	\N	\N	\N	\N	\N	f	
4285	071889d2-db1b-4cbd-93da-d78eb3877327	Třebíč	Třebíč	2	0	2013-05-22 12:55:33.155355+02	\N	\N	\N	\N	\N	\N	f	
4305	e151b973-74d8-4fb7-b982-bebef7a73888	Karviná	Karviná	2	0	2013-05-22 13:00:37.345395+02	\N	\N	\N	\N	\N	\N	f	
4316	c7373c56-88b1-439b-a796-e8868b7abb46	Burgos	Burgos	2	0	2013-06-05 07:14:53.689131+02	\N	\N	\N	\N	\N	\N	f	
4295	81843a47-34bd-4b0a-b592-84a0c9722e88	Olomouc	Olomouc	2	0	2013-05-22 12:58:07.430914+02	\N	\N	\N	\N	\N	\N	f	
13833	98383e38-bd1c-4aeb-8f97-ccf7be1eacdf	Fiesse	Fiesse	4	0	2013-07-21 19:22:54.547325+02	\N	\N	\N	\N	\N	\N	f	
4296	6565c804-f188-4b73-80cd-f98eadc0d233	Prostějov	Prostějov	2	0	2013-05-22 12:58:20.694826+02	\N	\N	\N	\N	\N	\N	f	
4306	c8cd667c-c63e-4180-bb2d-164c9354905a	Nový Jičín	Nový Jičín	2	0	2013-05-22 13:00:52.470626+02	\N	\N	\N	\N	\N	\N	f	
4297	cd53b4cb-dfb9-4ec4-ba29-cf09c003adb2	Přerov	Přerov	2	0	2013-05-22 12:58:40.787281+02	\N	\N	\N	\N	\N	\N	f	
13895	e1708713-9c0b-4f49-b0ec-c6c827497fb0	Bibbiano	Bibbiano	4	0	2013-07-21 19:37:01.644356+02	\N	\N	\N	\N	\N	\N	f	
4317	ea1f4632-7fed-41f7-a852-0bb78ee40ce3	A Coruña	A Coruña	2	0	2013-06-05 08:17:31.286429+02	\N	\N	\N	\N	\N	\N	f	
4323	359df79d-434a-43e8-9d0c-cbfb45131fd0	Cuenca	Cuenca	2	0	2013-06-05 10:00:47.924933+02	\N	\N	\N	\N	\N	\N	f	
4299	51a37cb8-d694-406a-967e-30f187c36e76	Kroměříž	Kroměříž	2	0	2013-05-22 12:59:12.706701+02	\N	\N	\N	\N	\N	\N	f	
4307	156c1f5d-9ccf-4e84-a4ce-8fa241d60abe	Opava	Opava	2	0	2013-05-22 13:01:04.349277+02	\N	\N	\N	\N	\N	\N	f	
4300	9bd233af-f347-460a-a5de-57319f88ed31	Uherské Hradiště	Uherské Hradiště	2	0	2013-05-22 12:59:32.00643+02	\N	\N	\N	\N	\N	\N	f	
4301	36a4cf0d-5214-4374-b75f-8a81f4631c3b	Vsetín	Vsetín	2	0	2013-05-22 12:59:48.796862+02	\N	\N	\N	\N	\N	\N	f	
4302	7ef48a5f-e168-4c6c-9414-fad6be3f4a85	Zlín	Zlín	2	0	2013-05-22 13:00:00.994538+02	\N	\N	\N	\N	\N	\N	f	
4308	151530bc-8d4b-47c1-8091-f9b1de302c81	Ostrava-město	Ostrava-město	2	0	2013-05-22 13:01:16.194066+02	\N	\N	\N	\N	\N	\N	f	
4289	2b375645-5e7a-4ba3-9f44-27c27888e03b	Brno-venkov	Brno-venkov	2	0	2013-06-05 09:24:12.813519+02	\N	\N	\N	\N	\N	\N	f	
5166	57c8393c-11b0-45f4-b99f-85533950107a	Schaffhausen	Schaffhausen	3	0	2013-05-24 22:40:00.754439+02	\N	\N	\N	\N	\N	\N	f	
4314	6147ef30-4c2e-4d11-b4f5-0bd06b2fb40f	Badajoz	Badajoz	2	0	2013-06-05 12:18:11.62182+02	\N	\N	\N	\N	\N	\N	f	
4311	0d91232d-44d4-4324-b40a-241782077da5	Almería	Almería	2	0	2013-06-05 11:39:52.597056+02	\N	\N	\N	\N	\N	\N	f	
4312	e43c1e4d-dade-4e61-8896-e3180241d76d	Ávila	Ávila	2	0	2013-05-27 19:56:30.044454+02	\N	\N	\N	\N	\N	\N	f	
4318	7cb94ae9-6184-4539-ad34-62d05bb37951	Cádiz	Cádiz	2	0	2013-06-05 10:42:28.766765+02	\N	\N	\N	\N	\N	\N	f	
4288	6e997717-e806-4ee9-aa9e-9cd8b11f7e9b	Brno	Brno	3	0	2013-06-26 15:09:28.400999+02	\N	\N	\N	\N	\N	\N	f	
15503	daaffac9-62e6-4a0a-ace9-7e2bc9cb1ce1	Torri in Sabina	Torri in Sabina	4	0	2013-07-22 00:59:52.877989+02	\N	\N	\N	\N	\N	\N	f	
4310	db6061da-ff4a-4c3a-b3ee-975c094d8b60	Albacete	Albacete	2	0	2013-06-05 11:36:28.772373+02	\N	\N	\N	\N	\N	\N	f	
4329	af5fdccc-ff9a-4c95-ad93-610b9ffa1aba	Huesca	Huesca	2	0	2013-05-22 13:05:35.130877+02	\N	\N	\N	\N	\N	\N	f	
19666	c7e262be-36ff-4a99-90f4-9e0f18fcf74c	Montemignaio	Montemignaio	4	0	2013-07-22 11:16:23.514388+02	\N	\N	\N	\N	\N	\N	f	
4324	4b8ebbb1-e441-46f7-a24b-a67af5f9865e	Las Palmas	Las Palmas	2	0	2013-05-22 13:04:30.364745+02	\N	\N	\N	\N	\N	\N	f	
5168	c32fcd69-a3dd-43d9-8e5f-83e992797339	Best	Best	3	0	2013-05-24 22:40:21.295179+02	\N	\N	\N	\N	\N	\N	f	
4326	eb6ae00e-73fa-4f18-88aa-1405c1c6b96d	Granada	Granada	2	0	2013-05-22 13:04:57.177605+02	\N	\N	\N	\N	\N	\N	f	
4325	c61876c4-640d-48a2-9f2a-ad77e6842a67	Girona	Girona	2	0	2013-05-22 13:04:43.699761+02	\N	\N	\N	\N	\N	\N	f	
4328	f94d71c7-ed27-4ef6-a3e3-dcaf90876ae1	Huelva	Huelva	2	0	2013-05-22 13:05:22.698101+02	\N	\N	\N	\N	\N	\N	f	
4327	e520ae68-2da9-439f-8cac-57094bc30aea	Guadalajara	Guadalajara	2	0	2013-05-22 13:05:09.920741+02	\N	\N	\N	\N	\N	\N	f	
4330	956d3ec7-42ed-40a4-b71b-76c50cc16886	Jaén	Jaén	2	0	2013-05-22 13:05:48.433691+02	\N	\N	\N	\N	\N	\N	f	
4331	7efacbb3-2fcf-4da3-9a68-7a31c3e860a6	Lleida	Lleida	2	0	2013-05-22 13:06:01.189721+02	\N	\N	\N	\N	\N	\N	f	
4332	b1fa59dc-5876-49ba-867a-b1d7505f4953	León	León	2	0	2013-05-22 13:06:16.632938+02	\N	\N	\N	\N	\N	\N	f	
5189	95b4a6a0-d299-47a3-88c1-00ef83f9afb9	Balikpapan	Balikpapan	3	0	2013-05-24 22:45:23.763706+02	\N	\N	\N	\N	\N	\N	f	
4334	5895a18a-8534-430e-8467-568941a718c2	Lugo	Lugo	2	0	2013-05-22 13:06:47.173221+02	\N	\N	\N	\N	\N	\N	f	
5214	33957ca3-f2cd-4b08-b667-c933eff5c1a7	Lincoln	Lincoln	3	0	2013-05-24 22:50:26.042025+02	\N	\N	\N	\N	\N	\N	f	
4336	3d40f184-23f8-4849-b86e-b5768ebf5794	Málaga	Málaga	2	0	2013-05-22 13:07:27.311082+02	\N	\N	\N	\N	\N	\N	f	
5798	e439491c-79e8-47c6-a99f-b5c3a56115a7	Mohiabad	Mohiabad	3	0	2013-05-25 00:53:05.988892+02	\N	\N	\N	\N	\N	\N	f	
4269	ed50d1ac-18f9-443c-a2c6-0fb34656e822	Česká Lípa	Česká Lípa	2	0	2013-05-27 19:51:11.653825+02	\N	\N	\N	\N	\N	\N	f	
4315	27f612d2-423a-4a02-a4aa-70fafef7fff4	Vizcaya	Vizcaya	2	0	2013-05-22 16:08:58.831515+02	\N	\N	\N	\N	\N	\N	f	
4333	b52a9695-fbe0-4369-ae68-6a5e86c180e7	La Rioja	La Rioja	2	0	2013-05-22 17:00:21.74276+02	\N	\N	\N	\N	\N	\N	f	
5167	231f7354-e6e8-4db7-9812-b9fb9bc10490	Kampen	Kampen	3	0	2013-05-24 22:40:10.990579+02	\N	\N	\N	\N	\N	\N	f	
4646	106871a8-0927-4f32-bb9e-42c043dddc5c	Ferrara	Ferrara	2	0	2013-05-22 14:32:35.005997+02	\N	\N	\N	\N	\N	\N	f	
4340	2d657690-f04e-43b0-a8e3-14cdbcbc3dab	Ourense	Ourense	2	0	2013-05-22 13:08:20.140761+02	\N	\N	\N	\N	\N	\N	f	
4353	39167020-09c1-4ae7-852d-586fb5bd32c1	Toledo	Toledo	2	0	2013-05-22 13:10:54.852236+02	\N	\N	\N	\N	\N	\N	f	
5329	130cc6ba-6f34-4a12-9c5e-b4ca943622f9	Jarocin	Jarocin	3	0	2013-05-24 23:13:17.447439+02	\N	\N	\N	\N	\N	\N	f	
9672	8331b712-99b9-41ef-bf58-0f033f8d926a	Eisenach	Eisenach	3	0	2013-06-13 21:01:08.637989+02	\N	\N	\N	\N	\N	\N	f	
4788	34da7b71-96bd-4701-962c-6441108f7d8f	Kili	Kili	2	0	2013-05-22 15:13:13.363404+02	\N	\N	\N	\N	\N	\N	f	
4387	f10895c5-2844-4063-a4be-392e9c10873d	Corse-du-Sud	Corse-du-Sud	2	0	2013-06-05 07:05:34.618949+02	\N	\N	\N	\N	\N	\N	f	
4921	d1758db2-50d0-4831-83ff-4222a6fdbb7a	Lanao del Norte	Lanao del Norte	2	0	2013-05-22 15:50:38.490136+02	\N	\N	\N	\N	\N	\N	f	
5393	c364d266-bc5e-4d00-914c-80151efb0e20	Gouda	Gouda	3	0	2013-05-24 23:25:45.224453+02	\N	\N	\N	\N	\N	\N	f	
5799	a4baf173-76f5-4bbc-adf4-67b41745bc91	Richmond	Richmond	3	0	2013-05-25 00:53:16.366568+02	\N	\N	\N	\N	\N	\N	f	
5427	522c53ef-5013-4cdb-8203-0b74ced3abde	Lafayette	Lafayette	3	0	2013-05-24 23:32:01.842207+02	\N	\N	\N	\N	\N	\N	f	
5483	19deb963-7b08-4477-950b-ca03507b25aa	Gryfice	Gryfice	3	0	2013-05-24 23:44:49.667834+02	\N	\N	\N	\N	\N	\N	f	
6003	9ca71424-410c-43c2-8633-d75d5ade4e11	Samen	Samen	3	0	2013-05-25 01:34:15.94092+02	\N	\N	\N	\N	\N	\N	f	
5580	a0bb6d21-173e-4fa8-b0a3-f6ac00470973	Rehovot	Rehovot	3	0	2013-05-25 00:06:47.801541+02	\N	\N	\N	\N	\N	\N	f	
5622	d2d7411f-052c-4dac-8ea1-1cc9ed253612	Złoczew	Złoczew	3	0	2013-05-25 00:16:54.919318+02	\N	\N	\N	\N	\N	\N	f	
6484	c51ac067-fdac-4814-8eb0-a21fce17d0c7	Denver	Denver	3	0	2013-05-25 03:16:26.475022+02	\N	\N	\N	\N	\N	\N	f	
5677	aa15f5df-3ac0-44dc-a629-7a536afcae38	Rypin	Rypin	3	0	2013-05-25 00:29:17.079522+02	\N	\N	\N	\N	\N	\N	f	
6058	43e46a21-6743-4f77-b32b-ea7d6c2ecb7f	Takab	Takab	3	0	2013-05-25 01:44:21.356054+02	\N	\N	\N	\N	\N	\N	f	
5689	0ba827fb-f987-45b8-8be2-e9302b21a244	Tarnowskie Góry	Tarnowskie Góry	3	0	2013-05-25 00:31:37.673118+02	\N	\N	\N	\N	\N	\N	f	
6275	a67b89f5-a93f-4f7b-b360-2f775ce373a5	University Park	University Park	3	0	2013-05-25 02:27:47.150124+02	\N	\N	\N	\N	\N	\N	f	
6279	c7309884-d556-4648-a855-368a8499a025	Fate	Fate	3	0	2013-05-25 02:28:38.561229+02	\N	\N	\N	\N	\N	\N	f	
6496	3f0d7149-f965-42a5-91ad-b4b6a3152801	Richmond	Richmond	3	0	2013-05-25 03:19:20.519761+02	\N	\N	\N	\N	\N	\N	f	
6280	ae667e15-53c1-407d-bf0a-d88ef23cb640	Thrall	Thrall	3	0	2013-05-25 02:28:49.124859+02	\N	\N	\N	\N	\N	\N	f	
6281	76e91ef9-58d6-4995-b958-e68ffac87f1a	Dayton	Dayton	3	0	2013-05-25 02:29:02.958435+02	\N	\N	\N	\N	\N	\N	f	
7137	c12e91fc-8949-40f1-a59b-be76fcaff9a3	Cedynia	Cedynia	3	0	2013-05-26 17:01:20.476758+02	\N	\N	\N	\N	\N	\N	f	
6756	5cb8a34a-a359-45f6-877f-e0f443f8e5fc	Khvansar	Khvansar	3	0	2013-05-25 04:10:17.676178+02	\N	\N	\N	\N	\N	\N	f	
6965	b8ec6773-1d07-40ad-a44a-a6cafa758b03	Świebodzin	Świebodzin	3	0	2013-05-25 14:16:18.912565+02	\N	\N	\N	\N	\N	\N	f	
7547	e73d632c-5ecb-4b77-9007-ac42bc113fb7	Bad Waldsee	Bad Waldsee	3	0	2013-05-29 00:43:46.166867+02	\N	\N	\N	\N	\N	\N	f	
6988	0eaea0bd-4912-4e56-8a04-f0f6561b0710	Nowe Skalmierzyce	Nowe Skalmierzyce	3	0	2013-05-25 14:21:44.650045+02	\N	\N	\N	\N	\N	\N	f	
7150	92775cac-3ab3-4265-b333-bfbc76ccb7b5	Bukowno	Bukowno	3	0	2013-05-26 17:05:48.264798+02	\N	\N	\N	\N	\N	\N	f	
7052	fcbf5992-fe98-4297-aac7-d193a16b33db	Koźmin Wielkopolski	Koźmin Wielkopolski	3	0	2013-05-26 16:40:39.157504+02	\N	\N	\N	\N	\N	\N	f	
7258	87185e5e-a513-47ef-86b2-75b800037684	Opole Lubelskie	Opole Lubelskie	3	0	2013-05-26 17:32:09.041476+02	\N	\N	\N	\N	\N	\N	f	
8281	dfe4efed-8cc2-4f1d-87e2-b70f5f7d3836	Nederland	Nederland	3	0	2013-05-30 21:35:33.475967+02	\N	\N	\N	\N	\N	\N	f	
7663	26787a3c-5459-4c67-bfcc-c949d145f26f	Neukirchen	Neukirchen	3	0	2013-05-29 01:07:35.310677+02	\N	\N	\N	\N	\N	\N	f	
7808	7c83a6c9-4e5b-4993-9c11-872bcdfe693d	Lawrence	Lawrence	3	0	2013-05-29 02:35:43.436947+02	\N	\N	\N	\N	\N	\N	f	
8768	5329857a-8b8c-49c5-b0c5-756d0d9423fe	Przeworsk	Przeworsk	3	0	2013-06-01 18:41:07.182205+02	\N	\N	\N	\N	\N	\N	f	
7935	3cf8cc25-b4fa-491b-80d9-b595bd1d0764	Coleraine	Coleraine	3	0	2013-05-29 03:13:44.002492+02	\N	\N	\N	\N	\N	\N	f	
8285	a1ad52b9-59f9-4296-a2bb-7e9262a56c1b	Barrhead	Barrhead	3	0	2013-05-30 21:36:33.695993+02	\N	\N	\N	\N	\N	\N	f	
7969	5dd87836-686b-44b5-821d-ea3565f88003	Penzlin	Penzlin	3	0	2013-05-30 13:23:01.78914+02	\N	\N	\N	\N	\N	\N	f	
8519	0c38985a-4bfa-4877-be56-feb7242cd00d	Diêu Trì	Diêu Trì	3	0	2013-06-01 17:30:58.401014+02	\N	\N	\N	\N	\N	\N	f	
7996	172d6059-61fe-4250-afc8-636db366e596	Shahre-Jadide-Sadra	Shahre-Jadide-Sadra	3	0	2013-05-30 16:39:31.252573+02	\N	\N	\N	\N	\N	\N	f	
356	c65cf3eb-e577-4c5e-820c-222ac18ce621	Østfold	Østfold	2	0	2013-05-27 19:55:01.430161+02	\N	\N	\N	\N	\N	\N	f	
7377	349ee05f-eae5-4e9a-bb4f-d9f9866c8238	Port Macquarie	Port Macquarie	3	0	2013-05-28 14:17:07.586484+02	\N	\N	\N	\N	\N	\N	f	
8299	ee6c8cc7-2b1b-436e-9c1d-dc826cca1db4	Polino	Polino	3	0	2013-05-30 21:39:37.193031+02	\N	\N	\N	\N	\N	\N	f	
7420	1fb5b43c-7af8-4f6d-83f1-4977a92cf555	Sawara	Sawara	3	0	2013-05-28 14:31:09.951092+02	\N	\N	\N	\N	\N	\N	f	
8017	5037d552-a5a6-4ced-a3a9-851008cc3e72	Gruyères	Gruyères	3	0	2013-05-30 18:26:54.857081+02	\N	\N	\N	\N	\N	\N	f	
7503	f12f47f9-daf9-4eec-a30e-e8a9e9bd4124	Santa Barbara	Santa Barbara	3	0	2013-05-29 00:32:51.01684+02	\N	\N	\N	\N	\N	\N	f	
7526	4770d014-ffcb-4e31-b3c8-2e479383a1db	Allendorf	Allendorf	3	0	2013-05-29 00:39:08.542266+02	\N	\N	\N	\N	\N	\N	f	
8070	1caf7838-40d5-4be1-aaf4-65fbf605b5f8	Avoca	Avoca	3	0	2013-05-30 18:39:26.376525+02	\N	\N	\N	\N	\N	\N	f	
8307	ba8b1bef-6377-400d-b43e-7f1af79ee9da	Ragh	Ragh	3	0	2013-05-30 21:41:30.628816+02	\N	\N	\N	\N	\N	\N	f	
15504	18afa0e1-bdf5-49ac-8170-a20a2761be46	Mezzomerico	Mezzomerico	4	0	2013-07-22 01:00:04.911947+02	\N	\N	\N	\N	\N	\N	f	
8644	85813661-ea5a-44dd-8cbc-7d01b295c974	Ayr	Ayr	3	0	2013-06-01 18:03:25.298662+02	\N	\N	\N	\N	\N	\N	f	
8524	0b85671a-85db-49d4-afee-a3c6ec88cfff	Croydon	Croydon	3	0	2013-06-01 17:32:03.765655+02	\N	\N	\N	\N	\N	\N	f	
8311	02bf7443-c7dd-421a-bd8d-838b57fbbd12	Arrone	Arrone	3	0	2013-05-30 21:42:18.249778+02	\N	\N	\N	\N	\N	\N	f	
8486	18ff7ab6-e6ee-4014-ac0a-bbef2873f06c	Głogów Małopolski	Głogów Małopolski	3	0	2013-06-01 17:23:49.422434+02	\N	\N	\N	\N	\N	\N	f	
8503	e96c9b62-beb3-4aad-833f-d74554d9509b	Wojnicz	Wojnicz	3	0	2013-06-01 17:27:26.989202+02	\N	\N	\N	\N	\N	\N	f	
8902	8e3e9915-3e39-4a3a-a032-e9c2c0cfd896	Jixi	Jixi	3	0	2013-06-01 19:57:49.769452+02	\N	\N	\N	\N	\N	\N	f	
8547	2a64fe07-aa76-429a-b1ea-16e82c67cb88	Nuenen	Nuenen	3	0	2013-06-01 17:37:53.955116+02	\N	\N	\N	\N	\N	\N	f	
8545	ec0ed093-99ba-4b1d-b707-c63d8cb8a0d7	L'Île-d'Orléans Regional County Municipality	L'Île-d'Orléans Regional County Municipality	2	0	2013-06-01 18:26:36.803402+02	\N	\N	\N	\N	\N	\N	f	
9160	055696ad-33a0-436f-9fc3-8d9a44ea9f2d	Songyuan	Songyuan	3	0	2013-06-01 20:54:23.252939+02	\N	\N	\N	\N	\N	\N	f	
1297	7272f5a4-c1bb-4678-ae8d-e8f2789c963f	Auces novads	Auces novads	2	0	2013-06-05 08:45:23.24429+02	\N	\N	\N	\N	\N	\N	f	
9022	997d96d7-77c6-4875-945b-f4d1f364bf73	Tongchuan	Tongchuan	3	0	2013-06-01 20:23:56.461124+02	\N	\N	\N	\N	\N	\N	f	
4360	ab0b7076-baed-4022-bce4-3310bbade22d	Aisne	Aisne	2	0	2013-06-05 08:50:28.88876+02	\N	\N	\N	\N	\N	\N	f	
9495	f93fcc13-2d2d-40d0-a7b4-239d09ccb7ed	Waghai	Waghai	3	0	2013-06-09 17:54:00.917609+02	\N	\N	\N	\N	\N	\N	f	
4370	d1ce923a-ec9c-4962-be57-86d2942b7755	Aveyron	Aveyron	2	0	2013-06-05 12:12:51.451651+02	\N	\N	\N	\N	\N	\N	f	
3239	fd57652e-ac60-4b8f-b5e2-290f70618eb9	Centre	Centre	2	0	2013-06-05 12:18:33.609828+02	\N	\N	\N	\N	\N	\N	f	
9894	9ef7eef8-1bc6-474b-b11f-856f08356e14	Kasai	Kasai	3	0	2013-06-18 04:06:08.483691+02	\N	\N	\N	\N	\N	\N	f	
9898	7d50876f-7b5c-47c7-b8a2-338bb200dabd	Hanyū	Hanyū	3	0	2013-06-18 04:06:51.514636+02	\N	\N	\N	\N	\N	\N	f	
9911	f57e3ffc-21ac-4d40-a474-18b2d47a4368	Nagaokakyō	Nagaokakyō	3	0	2013-06-18 04:09:19.945541+02	\N	\N	\N	\N	\N	\N	f	
9913	0ce436b3-0b98-4da3-90a0-dfc98d1bcf69	Tsurugashima	Tsurugashima	3	0	2013-06-18 04:09:57.409211+02	\N	\N	\N	\N	\N	\N	f	
9996	7ac0d294-ba91-49df-9c4d-4e199a3e3d76	Ōtake	Ōtake	3	0	2013-06-18 07:52:44.801386+02	\N	\N	\N	\N	\N	\N	f	
13803	818de06a-a9e6-42a1-859e-4fd957fcbe58	Calcinato	Calcinato	4	0	2013-07-21 19:15:38.81463+02	\N	\N	\N	\N	\N	\N	f	
10009	fc92a521-2a92-4394-ab6e-174a8a284f37	Chikugo, Fukuoka	Chikugo, Fukuoka	3	0	2013-06-18 07:59:35.221644+02	\N	\N	\N	\N	\N	\N	f	
16200	7cb4da46-baec-47fc-9a9b-a81cf18a84dc	Carcare	Carcare	4	0	2013-07-22 03:04:57.447642+02	\N	\N	\N	\N	\N	\N	f	
4341	345cd73c-78fe-4cc5-9071-947221fdd73a	Palencia	Palencia	2	0	2013-05-22 13:08:36.033194+02	\N	\N	\N	\N	\N	\N	f	
4648	268ed1ba-4958-4e30-a584-fc50e753a9e7	Firenze	Firenze	2	0	2013-05-22 14:33:07.495367+02	\N	\N	\N	\N	\N	\N	f	
4789	fe451286-6f6b-4906-b1d1-0b03d142867f	Kwajalein	Kwajalein	2	0	2013-05-22 15:13:33.131315+02	\N	\N	\N	\N	\N	\N	f	
5170	c0dee3af-8bbc-4bf5-84c1-beedfb0718da	Oldenzaal	Oldenzaal	3	0	2013-05-24 22:40:45.012931+02	\N	\N	\N	\N	\N	\N	f	
4814	5bec3adc-c40e-42f8-904b-96342cc9c9b2	Faafu	Faafu	2	0	2013-05-22 15:21:38.493215+02	\N	\N	\N	\N	\N	\N	f	
4925	f2679bdb-0885-48e0-ba76-d9b59191b733	Marinduque	Marinduque	2	0	2013-05-22 15:51:29.385657+02	\N	\N	\N	\N	\N	\N	f	
5331	9f6fa220-2d55-457d-a8b0-8116d9b306e7	Jonesboro	Jonesboro	3	0	2013-05-24 23:13:45.698839+02	\N	\N	\N	\N	\N	\N	f	
5802	93a546a7-8c40-4c71-a4fc-4cf2a16c84bb	Manassas Park	Manassas Park	3	0	2013-05-25 00:53:53.363597+02	\N	\N	\N	\N	\N	\N	f	
5485	c5386a7f-311d-4879-9a81-96288f1afa1d	Bandar Siraf	Bandar Siraf	3	0	2013-05-24 23:45:13.508377+02	\N	\N	\N	\N	\N	\N	f	
5620	1c242a35-efc2-45c3-8390-0893239c3c1a	Strzegom	Strzegom	3	0	2013-05-25 00:16:32.839718+02	\N	\N	\N	\N	\N	\N	f	
5678	068cd1f6-6743-4d9f-9002-92cad87e6b99	Aleksandrów Kujawski	Aleksandrów Kujawski	3	0	2013-05-25 00:29:29.188824+02	\N	\N	\N	\N	\N	\N	f	
5819	4fb3cf81-d45c-4607-aa90-53856d69f5ff	Harrisonburg	Harrisonburg	3	0	2013-05-25 00:57:20.973237+02	\N	\N	\N	\N	\N	\N	f	
6485	c30aad9f-b663-4c46-a956-a8728718c118	Gonbad-e Qabus	Gonbad-e Qabus	3	0	2013-05-25 03:16:50.892916+02	\N	\N	\N	\N	\N	\N	f	
6010	b7460a0c-08da-45c5-ae2b-2a4c6d100112	Izadkhvast	Izadkhvast	3	0	2013-05-25 01:35:31.42493+02	\N	\N	\N	\N	\N	\N	f	
6284	45294b46-6966-4b2b-8f4f-bd590e4b0a7c	West Lake Hills	West Lake Hills	3	0	2013-05-25 02:29:38.355595+02	\N	\N	\N	\N	\N	\N	f	
8018	8d64e5ac-a784-487e-8d15-7de6db637282	Edinburg	Edinburg	3	0	2013-05-30 18:27:13.762158+02	\N	\N	\N	\N	\N	\N	f	
6505	b4467b2c-44ad-4564-b9e1-87282f741f53	Fuman	Fuman	3	0	2013-05-25 03:21:16.939924+02	\N	\N	\N	\N	\N	\N	f	
7138	f8b704aa-da12-49bc-b44e-ee69c6c597f1	Głogówek	Głogówek	3	0	2013-05-26 17:01:35.646004+02	\N	\N	\N	\N	\N	\N	f	
6757	2b02888d-72b5-4ab9-a905-7bb0b9321308	Bostanabad	Bostanabad	3	0	2013-05-25 04:10:28.008597+02	\N	\N	\N	\N	\N	\N	f	
6967	bec3a813-816e-4945-a87c-e8d65ee772a7	Żerków	Żerków	3	0	2013-05-25 14:16:42.24589+02	\N	\N	\N	\N	\N	\N	f	
7053	3a0bc432-11fa-49ba-af53-89719b40575d	Albany	Albany	3	0	2013-05-26 16:40:51.42856+02	\N	\N	\N	\N	\N	\N	f	
7259	a2a315ee-7033-4310-b946-0eec0d5a1208	Nowogród	Nowogród	3	0	2013-05-26 17:32:36.248037+02	\N	\N	\N	\N	\N	\N	f	
8906	0c679a35-ea4b-42e3-bc29-969d34f2c6b7	Jiamusi	Jiamusi	3	0	2013-06-01 19:58:47.154544+02	\N	\N	\N	\N	\N	\N	f	
8130	2b2dde60-953c-4bb1-9b36-f7ab2678be29	NezamShahr	NezamShahr	3	0	2013-05-30 20:59:39.810776+02	\N	\N	\N	\N	\N	\N	f	
8215	3b36a5e6-9175-44bb-8564-15ac6dca6345	Saffron Walden	Saffron Walden	3	0	2013-05-30 21:19:10.638136+02	\N	\N	\N	\N	\N	\N	f	
8269	f8e569af-72fd-4bc6-a5db-25e4aee47a6f	Fotoș	Fotoș	3	0	2013-05-30 21:32:56.165864+02	\N	\N	\N	\N	\N	\N	f	
9023	83b0e220-8fc2-47b1-b81d-17e96ecdb6f2	Shangluo	Shangluo	3	0	2013-06-01 20:24:07.162912+02	\N	\N	\N	\N	\N	\N	f	
8282	8491eb8d-cf10-4392-9276-68566dbf766f	Harwich	Harwich	3	0	2013-05-30 21:35:44.498285+02	\N	\N	\N	\N	\N	\N	f	
2345	61f4fc49-408b-4052-b8ad-390cd3b1f20b	Šumadijski okrug	Šumadijski okrug	2	0	2013-05-27 19:55:18.093305+02	\N	\N	\N	\N	\N	\N	f	
7378	65a2c321-8b12-481a-bb79-252911b43d6f	Guastatoya	Guastatoya	3	0	2013-05-28 14:17:21.793919+02	\N	\N	\N	\N	\N	\N	f	
7388	25728895-8fd7-49a2-bac4-eb17f13d5f5f	Livingston	Livingston	3	0	2013-05-28 14:20:51.928695+02	\N	\N	\N	\N	\N	\N	f	
8487	7c2f5d15-0253-423b-b327-c479f128db78	Józefów, Biłgoraj County	Józefów, Biłgoraj County	3	0	2013-06-01 17:24:00.442753+02	\N	\N	\N	\N	\N	\N	f	
7504	c56f5d89-7163-425b-af57-41a8c54288e8	Bonndorf	Bonndorf	3	0	2013-05-29 00:33:08.833195+02	\N	\N	\N	\N	\N	\N	f	
7664	19cb7e35-7d71-4f91-b7ee-b2d447bf6724	Gemünden	Gemünden	3	0	2013-05-29 01:07:46.135069+02	\N	\N	\N	\N	\N	\N	f	
10232	5c718a12-99e5-4f92-8877-642079e62785	Ryūō	Ryūō	3	0	2013-06-18 17:16:58.312926+02	\N	\N	\N	\N	\N	\N	f	
7809	d0de4f9f-dc6a-425b-8ce3-eb2770a3c596	Alameda	Alameda	3	0	2013-05-29 02:35:55.506649+02	\N	\N	\N	\N	\N	\N	f	
8500	1f95ea84-9e6d-49d0-83d4-08560d9a3c91	Chambord, Quebec	Chambord, Quebec	3	0	2013-06-01 17:26:47.126951+02	\N	\N	\N	\N	\N	\N	f	
7817	740e2a94-7c11-4da4-87a7-ca38984c5c2d	Olney	Olney	3	0	2013-05-29 02:38:39.96528+02	\N	\N	\N	\N	\N	\N	f	
7826	289f78a1-9f51-4c26-b8c4-c8cff7951e1e	Mount Isa	Mount Isa	3	0	2013-05-29 02:41:11.822934+02	\N	\N	\N	\N	\N	\N	f	
9045	9b7f4863-350f-4eff-aa7e-f70dac2866d8	Wuhai	Wuhai	3	0	2013-06-01 20:28:47.129349+02	\N	\N	\N	\N	\N	\N	f	
7936	e7a76211-d604-44d7-a3f4-b9b58aa6a087	Killiney	Killiney	3	0	2013-05-29 03:14:19.525756+02	\N	\N	\N	\N	\N	\N	f	
8502	f8103aee-1a05-44ca-ae49-5c3f273f5db8	Salza	Salza	3	0	2013-06-01 17:27:16.227749+02	\N	\N	\N	\N	\N	\N	f	
7970	aca4c6fe-19dc-48f6-806b-accc2f019fbc	Dietenheim	Dietenheim	3	0	2013-05-30 13:23:45.926318+02	\N	\N	\N	\N	\N	\N	f	
517	9facfe31-08b6-421f-947d-13279b06796b	Bingöl	Bingöl	2	0	2013-06-05 12:21:37.071311+02	\N	\N	\N	\N	\N	\N	f	
8563	81efb935-cc26-488b-90ba-aa2812638c28	Longreach	Longreach	3	0	2013-06-01 17:41:50.807705+02	\N	\N	\N	\N	\N	\N	f	
9052	0b423697-6cb8-428f-acc7-05d7c0974e1b	Laibin	Laibin	3	0	2013-06-01 20:30:10.525104+02	\N	\N	\N	\N	\N	\N	f	
8629	9e6193dd-ab34-4cec-97ab-a8c0a80053d8	Ashfield	Ashfield	3	0	2013-06-01 17:59:30.915433+02	\N	\N	\N	\N	\N	\N	f	
8770	bfa51bfb-6681-49a3-b118-ae3d01a76f3b	Pisz	Pisz	3	0	2013-06-01 18:41:39.404242+02	\N	\N	\N	\N	\N	\N	f	
10082	2e30ead9-92cd-4f28-8985-e285b167ee82	Sōja	Sōja	3	0	2013-06-18 08:18:02.768652+02	\N	\N	\N	\N	\N	\N	f	
9163	9e9eb3a5-1ae5-48c5-8b8d-7b56f2b17478	Lubaczów	Lubaczów	3	0	2013-06-01 20:55:07.938656+02	\N	\N	\N	\N	\N	\N	f	
9496	c621114d-73cc-4832-8afe-f13dc261e5af	Gatineau	Gatineau	3	0	2013-06-09 17:54:14.765364+02	\N	\N	\N	\N	\N	\N	f	
3939	bd282ba3-7731-4f0d-9e32-ec378b37776f	Sunderland	Sunderland	3	0	2013-06-18 14:43:48.225779+02	\N	\N	\N	\N	\N	\N	f	
9523	56f9a90a-2624-4a6e-8f0a-8853173353c4	Palitana	Palitana	3	0	2013-06-09 18:06:19.146375+02	\N	\N	\N	\N	\N	\N	f	
694	a6e0a033-8f5d-438b-a99c-2d956f7a9661	Buenos Aires	Buenos Aires	2	0	2013-06-05 08:45:48.68935+02	\N	\N	\N	\N	\N	\N	f	
10171	c4a63b37-a4c3-46b7-b23b-d263abd411d7	Nakatosa	Nakatosa	3	0	2013-06-18 14:45:08.229561+02	\N	\N	\N	\N	\N	\N	f	
9673	0b80bbca-2569-4056-b2f3-b84401b5b7ca	Santrampur	Santrampur	3	0	2013-06-13 21:01:35.005239+02	\N	\N	\N	\N	\N	\N	f	
9899	6a26ead1-150e-4759-b8d8-65f07656c94d	Kani	Kani	3	0	2013-06-18 04:07:07.91033+02	\N	\N	\N	\N	\N	\N	f	
10330	d2758ef0-8107-4240-8710-f7d4d2e62b8b	Ikusaka	Ikusaka	3	0	2013-06-18 17:35:39.949988+02	\N	\N	\N	\N	\N	\N	f	
9997	ec12ab69-5d4c-4acb-b411-5c21a05a2bab	Hita	Hita	3	0	2013-06-18 07:52:55.014662+02	\N	\N	\N	\N	\N	\N	f	
10237	b067038c-cdd3-478c-ade8-781b63058d5e	Chizu	Chizu	3	0	2013-06-18 17:18:20.446082+02	\N	\N	\N	\N	\N	\N	f	
10221	13cd8fef-c30f-4c79-8c4c-66c4a0456239	Umi, Fukuoka	Umi, Fukuoka	3	0	2013-06-18 15:18:14.810875+02	\N	\N	\N	\N	\N	\N	f	
10277	5ae72458-381b-42c9-b1a0-17aea4add2bd	Kitagata	Kitagata	3	0	2013-06-18 17:25:42.161156+02	\N	\N	\N	\N	\N	\N	f	
10272	699a4512-9ff3-4040-ad42-8044369d63be	Kawabe	Kawabe	3	0	2013-06-18 17:24:48.797482+02	\N	\N	\N	\N	\N	\N	f	
10326	94d4c3c0-c97c-4bb2-9ba8-71af2e6768d2	Kumatori	Kumatori	3	0	2013-06-18 17:34:58.153153+02	\N	\N	\N	\N	\N	\N	f	
10314	3240e4f4-5459-4233-847d-ee7807aecff4	Tenryū	Tenryū	3	0	2013-06-18 17:32:13.79565+02	\N	\N	\N	\N	\N	\N	f	
10338	d31dfe0b-1d8d-4de3-b06b-e30d7f97bc4b	Tarui	Tarui	3	0	2013-06-18 17:37:02.999946+02	\N	\N	\N	\N	\N	\N	f	
10347	22d7cfce-678d-42c7-bb39-d199ac38c27a	Minamiminowa	Minamiminowa	3	0	2013-06-18 17:39:15.773167+02	\N	\N	\N	\N	\N	\N	f	
10359	359eabfa-db76-4d3b-833b-45fb8cc87be1	Yamagata	Yamagata	3	0	2013-06-18 17:41:41.689143+02	\N	\N	\N	\N	\N	\N	f	
10355	7ffc338d-eab4-4ee6-948f-89667709e0f9	Takayama	Takayama	3	0	2013-06-18 17:40:58.054386+02	\N	\N	\N	\N	\N	\N	f	
10364	2d5e1269-5aee-4697-bade-372681f2ae44	Ogawa	Ogawa	3	0	2013-06-18 17:42:33.189528+02	\N	\N	\N	\N	\N	\N	f	
10365	8b559cac-9a66-4daf-a6dc-cf9a0c706154	Nozawaonsen	Nozawaonsen	3	0	2013-06-18 17:42:43.536044+02	\N	\N	\N	\N	\N	\N	f	
10370	0b9b0fe4-0fc6-487f-a873-1f3d141ea04f	Yōrō	Yōrō	3	0	2013-06-18 17:44:43.027929+02	\N	\N	\N	\N	\N	\N	f	
4343	37ae6e7c-c749-451d-81d8-1cc477d33344	Pontevedra	Pontevedra	2	0	2013-05-22 13:08:57.814271+02	\N	\N	\N	\N	\N	\N	f	
4650	99a04e7c-37b0-498e-810d-8fb2cea6b8c2	Frosinone	Frosinone	2	0	2013-05-22 14:33:42.995598+02	\N	\N	\N	\N	\N	\N	f	
5171	e05ae86f-54ea-4289-b955-88fefed238fb	Hengelo	Hengelo	3	0	2013-05-24 22:40:59.913804+02	\N	\N	\N	\N	\N	\N	f	
4742	f3e4566a-0155-47eb-80fc-17ccc6aed66f	Maḍakalapuva	Maḍakalapuva	2	0	2013-05-22 15:00:00.449086+02	\N	\N	\N	\N	\N	\N	f	
4790	b49c4b8b-4c4f-4d1d-8059-6ba05e7848b1	Lae	Lae	2	0	2013-05-22 15:13:50.368137+02	\N	\N	\N	\N	\N	\N	f	
9700	7a66fde9-5fd0-48a3-832e-54d3d337682a	Dzyatlava	Dzyatlava	3	0	2013-06-16 12:56:51.846769+02	\N	\N	\N	\N	\N	\N	f	
5332	79ddf085-6282-471c-8bd7-9bc1421ff4ec	Głogów	Głogów	3	0	2013-05-24 23:13:56.643456+02	\N	\N	\N	\N	\N	\N	f	
4927	cf2c6d77-159f-4091-86f0-0ec0bd28c994	Masbate	Masbate	2	0	2013-05-22 15:51:55.665366+02	\N	\N	\N	\N	\N	\N	f	
5803	cdab5be5-e404-4e10-9737-1b6e3dfcfbb7	Beauregard Parish	Beauregard Parish	3	0	2013-05-25 00:54:03.995536+02	\N	\N	\N	\N	\N	\N	f	
5486	33590ca6-6c96-4a5f-be8f-1ffdaeb517c1	Zbąszynek	Zbąszynek	3	0	2013-05-24 23:45:27.344188+02	\N	\N	\N	\N	\N	\N	f	
5533	979c1874-0c3f-476c-9b76-a7f23b6a73f8	Wakayama	Wakayama	3	0	2013-05-24 23:57:46.118622+02	\N	\N	\N	\N	\N	\N	f	
5553	267a1ff4-8b3a-4bf5-8588-98f9123e1a2b	Al-Qusayr	Al-Qusayr	3	0	2013-05-25 00:01:28.151183+02	\N	\N	\N	\N	\N	\N	f	
6014	b6ccf93d-7e7f-40d5-b3f8-28a94a20f07c	Kordkuy	Kordkuy	3	0	2013-05-25 01:36:11.933388+02	\N	\N	\N	\N	\N	\N	f	
5591	46f42370-1c76-442f-a458-1231dca25a1b	Zonuz	Zonuz	3	0	2013-05-25 00:09:22.703516+02	\N	\N	\N	\N	\N	\N	f	
5679	6a5903f8-7fbd-4407-b2d5-a0ba3630e853	Staszów	Staszów	3	0	2013-05-25 00:29:40.600562+02	\N	\N	\N	\N	\N	\N	f	
6486	4d26868a-bef0-48e5-b13d-140a68c187d1	McAlester	McAlester	3	0	2013-05-25 03:17:09.225129+02	\N	\N	\N	\N	\N	\N	f	
6018	1b643bbe-4b78-41c5-849a-3b82aa084e17	Pakdasht	Pakdasht	3	0	2013-05-25 01:36:53.796941+02	\N	\N	\N	\N	\N	\N	f	
6056	51acbf15-719d-4dea-ade6-2633d25941b0	Rudbar	Rudbar	3	0	2013-05-25 01:43:57.310241+02	\N	\N	\N	\N	\N	\N	f	
8493	0ad288fa-e4eb-456c-b9dc-1678e77766c7	Nowogród Bobrzański	Nowogród Bobrzański	3	0	2013-06-01 17:25:09.005127+02	\N	\N	\N	\N	\N	\N	f	
6285	d3b53bb2-8caf-41d8-baea-bb47d617adcc	West	West	3	0	2013-05-25 02:29:49.229713+02	\N	\N	\N	\N	\N	\N	f	
6758	cd139b9c-20e3-42a5-a58a-ff2c99e37461	Fereydunkenar	Fereydunkenar	3	0	2013-05-25 04:10:38.723976+02	\N	\N	\N	\N	\N	\N	f	
6292	03f91916-9b83-4809-afe0-495d94391100	Dęblin	Dęblin	3	0	2013-05-25 02:31:16.351938+02	\N	\N	\N	\N	\N	\N	f	
7139	6b7278ca-de3e-4037-99b8-b349145fddc8	Szczuczyn	Szczuczyn	3	0	2013-05-26 17:01:57.658409+02	\N	\N	\N	\N	\N	\N	f	
6771	ab519def-d36f-46c4-b164-6b230ff0807d	Newkirk	Newkirk	3	0	2013-05-25 04:13:16.288608+02	\N	\N	\N	\N	\N	\N	f	
6775	c185924d-df30-48d3-af06-7dd8c8592a5a	Apeldoorn	Apeldoorn	3	0	2013-05-25 04:13:58.712475+02	\N	\N	\N	\N	\N	\N	f	
6968	1584e3ce-a113-4563-970a-5da2b169b461	Ślesin	Ślesin	3	0	2013-05-25 14:16:53.264958+02	\N	\N	\N	\N	\N	\N	f	
7260	5a2b27a2-43a5-4d09-b018-afcb8eb22992	Ryki	Ryki	3	0	2013-05-26 17:32:48.965086+02	\N	\N	\N	\N	\N	\N	f	
6969	cf3081f1-6829-4725-8776-2b8500dc1132	Świerzawa	Świerzawa	3	0	2013-05-25 14:17:04.268451+02	\N	\N	\N	\N	\N	\N	f	
1977	e1d16dd5-ed1c-4cd8-9192-d928a06572aa	Šalovci	Šalovci	2	0	2013-05-27 19:55:20.682416+02	\N	\N	\N	\N	\N	\N	f	
7054	dd5f0f67-4d99-4b23-b5e5-9d79b591886b	Czaplinek	Czaplinek	3	0	2013-05-26 16:41:07.254407+02	\N	\N	\N	\N	\N	\N	f	
7379	a6baeb59-8829-4926-82b1-09803dd7bba2	Woking	Woking	3	0	2013-05-28 14:17:50.163056+02	\N	\N	\N	\N	\N	\N	f	
8649	9b79e6ba-ec9a-436b-9b34-c4479d793c2b	Alpha	Alpha	3	0	2013-06-01 18:04:39.595396+02	\N	\N	\N	\N	\N	\N	f	
7505	6ae69900-eb8c-4774-8380-38319e240fc1	Romrod	Romrod	3	0	2013-05-29 00:33:21.891949+02	\N	\N	\N	\N	\N	\N	f	
7665	3e53e181-9510-4970-bb42-7c75532f816e	Linden	Linden	3	0	2013-05-29 01:07:56.940362+02	\N	\N	\N	\N	\N	\N	f	
4883	7e21f866-7d6b-480f-884b-d1d29a28a84c	Agusan del Norte	Agusan del Norte	2	0	2013-06-05 09:17:53.404243+02	\N	\N	\N	\N	\N	\N	f	
7675	a2ab6bd4-14a3-4ce9-8f7e-88bf1b0cce94	Rüdesheim am Rhein	Rüdesheim am Rhein	3	0	2013-05-29 01:09:57.023552+02	\N	\N	\N	\N	\N	\N	f	
8657	683e07f8-e6df-4875-b131-c44bbc9db90d	Grosse-Île	Grosse-Île	3	0	2013-06-01 18:06:35.266529+02	\N	\N	\N	\N	\N	\N	f	
7810	0c85d30d-37b0-4891-ae9c-c1eeccbeecf9	Yorba Linda	Yorba Linda	3	0	2013-05-29 02:36:09.373578+02	\N	\N	\N	\N	\N	\N	f	
7937	9b822128-4f0b-4432-97d3-4cc22dfcc192	Boston	Boston	3	0	2013-05-29 03:14:47.365926+02	\N	\N	\N	\N	\N	\N	f	
7971	2efaacc5-3610-4f6a-aae9-c1776aa48875	Greenock	Greenock	3	0	2013-05-30 13:24:31.781819+02	\N	\N	\N	\N	\N	\N	f	
8660	c7c8bce5-74c2-4bb8-a13b-5f7070cb7e5c	Molong	Molong	3	0	2013-06-01 18:07:40.203042+02	\N	\N	\N	\N	\N	\N	f	
7998	478bc4c0-a5f9-4997-9f69-3df6cf434c1d	Hobart	Hobart	3	0	2013-05-30 16:43:27.296768+02	\N	\N	\N	\N	\N	\N	f	
8019	96ef036f-cb3f-4813-99e3-2425f01a311c	Aveley	Aveley	3	0	2013-05-30 18:27:24.29022+02	\N	\N	\N	\N	\N	\N	f	
9675	60cfe168-9473-47bb-bd2b-1ba5b3bbf1f2	Ciudad Real	Ciudad Real	3	0	2013-06-15 13:45:22.131781+02	\N	\N	\N	\N	\N	\N	f	
8131	d9fa0553-9025-4ee5-9b15-3b55073dccc1	St Ives	St Ives	3	0	2013-05-30 20:59:55.777671+02	\N	\N	\N	\N	\N	\N	f	
8670	14aece24-caad-4a4b-a94a-b454ecf687b9	West Grey	West Grey	3	0	2013-06-01 18:10:54.743231+02	\N	\N	\N	\N	\N	\N	f	
8141	18b86725-8338-4956-89ab-7d797b997885	Milot	Milot	3	0	2013-05-30 21:02:36.389472+02	\N	\N	\N	\N	\N	\N	f	
8283	27d53495-3b99-4139-b1f6-8b1a8a2d875c	Macedon	Macedon	3	0	2013-05-30 21:35:58.774023+02	\N	\N	\N	\N	\N	\N	f	
4083	fc62d03e-7194-4b8e-b0e9-acafa668d89c	Bhola	Bhola	2	0	2013-06-05 12:30:07.576913+02	\N	\N	\N	\N	\N	\N	f	
8771	331557b4-333d-44cd-98a0-3f3cc3618e2b	Paradise	Paradise	3	0	2013-06-01 18:41:50.70455+02	\N	\N	\N	\N	\N	\N	f	
8908	208bd366-2e20-4190-8107-035a226c0c75	Wolfsburg	Wolfsburg	3	0	2013-06-01 19:59:18.394231+02	\N	\N	\N	\N	\N	\N	f	
9024	85149a9d-34f1-45fa-8073-7d05207490ec	Yan'an	Yan'an	3	0	2013-06-01 20:24:17.545178+02	\N	\N	\N	\N	\N	\N	f	
9497	d367667a-4f83-4918-b70d-5d458818b423	Sutrapada	Sutrapada	3	0	2013-06-09 17:54:17.488488+02	\N	\N	\N	\N	\N	\N	f	
9046	66fd1497-b4e8-4e5a-a213-a7f335bf6ddc	Yulin	Yulin	3	0	2013-06-01 20:29:03.029666+02	\N	\N	\N	\N	\N	\N	f	
9164	3e2a55e1-17aa-47a2-9989-7d409b47e3a4	Les Îles-de-la-Madeleine	Les Îles-de-la-Madeleine	3	0	2013-06-01 20:55:34.23617+02	\N	\N	\N	\N	\N	\N	f	
9676	ebcd61d1-1f27-45a9-a1c1-101904e1f451	Bilbao	Bilbao	3	0	2013-06-15 14:06:19.939859+02	\N	\N	\N	\N	\N	\N	f	
9548	792c0b7d-c00d-430c-a431-e0624841d523	Shreveport	Shreveport	3	0	2013-06-09 18:26:41.740953+02	\N	\N	\N	\N	\N	\N	f	
9738	5d39b1ce-b624-4a46-ab23-92412a1a0969	Nikkō	Nikkō	3	0	2013-06-18 00:55:44.739781+02	\N	\N	\N	\N	\N	\N	f	
3507	dca16bac-d0aa-49b5-8b02-1b0c687ff5e8	Central Region	Central Region	2	0	2013-06-05 08:46:12.059185+02	\N	\N	\N	\N	\N	\N	f	
9678	6b9c93ea-bbd3-472e-953e-53916780182f	Málaga	Málaga	3	0	2013-06-15 14:58:21.590176+02	\N	\N	\N	\N	\N	\N	f	
9674	560207c4-2740-4eb4-9e79-3dc2a3f35496	Santander	Santander	3	0	2013-06-15 12:47:07.290784+02	\N	\N	\N	\N	\N	\N	f	
9708	aeeca2a2-5376-447c-baeb-be3f7fe20a92	Mikkeli	Mikkeli	3	0	2013-06-16 22:23:06.879843+02	\N	\N	\N	\N	\N	\N	f	
9680	870a7a96-9a1b-4bd8-8676-03c882400a7d	Newport	Newport	3	0	2013-06-15 20:24:03.462188+02	\N	\N	\N	\N	\N	\N	f	
9714	12ea3a58-6600-4059-8e46-4f843f18bef7	Kesennuma	Kesennuma	3	0	2013-06-17 15:30:21.753992+02	\N	\N	\N	\N	\N	\N	f	
9713	b0dbb510-ec38-42d0-984a-f4ac74501ce6	Fair Lawn	Fair Lawn	3	0	2013-06-17 09:52:12.429635+02	\N	\N	\N	\N	\N	\N	f	
9733	baca1b98-b54f-4210-ab98-f79f1884153f	Teplice	Teplice	3	0	2013-06-17 23:06:13.877312+02	\N	\N	\N	\N	\N	\N	f	
9732	c4ab9034-c1d1-46cf-8829-532e85ba9eb7	Mieres	Mieres	3	0	2013-06-17 16:54:04.476511+02	\N	\N	\N	\N	\N	\N	f	
9782	4c6acb4a-04e2-4c98-9010-29ac4a4a0951	Yamatokōriyama	Yamatokōriyama	3	0	2013-06-18 03:22:20.267969+02	\N	\N	\N	\N	\N	\N	f	
9803	213710b2-436c-474a-8d1e-5f8d7c0cc9ea	Ōsakasayama	Ōsakasayama	3	0	2013-06-18 03:40:07.099677+02	\N	\N	\N	\N	\N	\N	f	
9900	9c56e6d1-8afa-45e5-a2fc-bf0e580276d2	Izumisano	Izumisano	3	0	2013-06-18 04:07:19.258032+02	\N	\N	\N	\N	\N	\N	f	
9921	4c671531-8448-46d9-a5a5-d3804d1945e8	Yoshikawa	Yoshikawa	3	0	2013-06-18 04:11:23.591154+02	\N	\N	\N	\N	\N	\N	f	
9998	4717703b-dce2-4690-b9fa-c2bc051562d8	Minamata	Minamata	3	0	2013-06-18 07:53:05.348824+02	\N	\N	\N	\N	\N	\N	f	
10007	194978d8-d78a-49a8-bdd0-ef57730d3924	Gojō	Gojō	3	0	2013-06-18 07:59:14.586756+02	\N	\N	\N	\N	\N	\N	f	
10084	b5b304d8-67a5-4710-83b0-67f39c0bfc3b	Taku	Taku	3	0	2013-06-18 08:18:30.648795+02	\N	\N	\N	\N	\N	\N	f	
10174	a8f1afb5-c8cd-43ff-bd29-31b86ee5a440	Kitagawa	Kitagawa	3	0	2013-06-18 14:45:38.882871+02	\N	\N	\N	\N	\N	\N	f	
10087	4ece2147-6d14-489d-88b2-6c8cc25fab11	Ōsaki	Ōsaki	3	0	2013-06-18 08:19:40.57607+02	\N	\N	\N	\N	\N	\N	f	
15505	286f168d-c017-4868-9f55-cbcddd1828c2	Maggiora	Maggiora	4	0	2013-07-22 01:00:17.155517+02	\N	\N	\N	\N	\N	\N	f	
4653	0ed62707-8081-4dd1-b617-5c425e34bd6d	Grosseto	Grosseto	2	0	2013-05-22 14:34:33.996633+02	\N	\N	\N	\N	\N	\N	f	
5172	ca43566e-0488-4815-b888-845148760159	Iława	Iława	3	0	2013-05-24 22:41:20.532311+02	\N	\N	\N	\N	\N	\N	f	
4791	534740dd-4e2c-4622-be82-47d39ee225a9	Lib	Lib	2	0	2013-05-22 15:14:07.352859+02	\N	\N	\N	\N	\N	\N	f	
4928	3f5e3f62-30bf-4be1-afa9-10ceb9d2103e	Mindoro Occidental	Mindoro Occidental	2	0	2013-05-22 15:52:07.122806+02	\N	\N	\N	\N	\N	\N	f	
5333	3da144bf-0578-49f1-8716-098b1b2e7e43	Abadan	Abadan	3	0	2013-05-24 23:14:07.133855+02	\N	\N	\N	\N	\N	\N	f	
5811	0ea2b79f-69ed-472f-b9e5-955000624fb8	Bisztynek	Bisztynek	3	0	2013-05-25 00:55:42.139666+02	\N	\N	\N	\N	\N	\N	f	
5487	19541572-a9c0-4b91-8e84-0ace9fda8672	Zduńska Wola	Zduńska Wola	3	0	2013-05-24 23:45:39.054628+02	\N	\N	\N	\N	\N	\N	f	
5522	275691bc-aa41-4525-a26e-2170e0c6bbba	Gorgan	Gorgan	3	0	2013-05-24 23:55:00.976445+02	\N	\N	\N	\N	\N	\N	f	
5680	e2006b06-34be-42a9-a060-0deab98cd136	Alasht	Alasht	3	0	2013-05-25 00:29:56.461159+02	\N	\N	\N	\N	\N	\N	f	
5846	66d54543-6bc8-4969-8bd3-67359824e55b	Windsor	Windsor	3	0	2013-05-25 01:04:15.716088+02	\N	\N	\N	\N	\N	\N	f	
6490	0e6501c8-43a6-41b6-a22b-16cab10f21d9	Bennettsville	Bennettsville	3	0	2013-05-25 03:18:02.234746+02	\N	\N	\N	\N	\N	\N	f	
6016	359d6cb9-4268-4196-bf57-3e7c31ab72ed	Pruszków	Pruszków	3	0	2013-05-25 01:36:32.633355+02	\N	\N	\N	\N	\N	\N	f	
6286	e0fd7c09-b78e-43c3-a733-0331f081e048	San Marcos	San Marcos	3	0	2013-05-25 02:30:03.117264+02	\N	\N	\N	\N	\N	\N	f	
6506	d60db074-e908-4ad9-9977-2a1b6ace140d	Bowling Green	Bowling Green	3	0	2013-05-25 03:21:34.634024+02	\N	\N	\N	\N	\N	\N	f	
7140	c3a5e1da-be74-4e84-922f-ea030f98b72a	Laurel	Laurel	3	0	2013-05-26 17:02:31.19483+02	\N	\N	\N	\N	\N	\N	f	
6759	babda5ae-5d15-40b0-9836-edbcba5e7992	Masal	Masal	3	0	2013-05-25 04:10:48.93212+02	\N	\N	\N	\N	\N	\N	f	
6971	271a708f-98bd-4423-baa6-a877d92810eb	Milanówek	Milanówek	3	0	2013-05-25 14:17:31.789203+02	\N	\N	\N	\N	\N	\N	f	
7671	d62cce3c-94f0-4f14-95c1-3c97caf588ee	Lollar	Lollar	3	0	2013-05-29 01:09:07.805065+02	\N	\N	\N	\N	\N	\N	f	
7056	a6addb10-88ef-43ae-8993-76ca9d9866b5	Trzebinia	Trzebinia	3	0	2013-05-26 16:41:35.889627+02	\N	\N	\N	\N	\N	\N	f	
7261	501980db-67ab-4079-9ecb-ee1fd38414fe	Guymon	Guymon	3	0	2013-05-26 17:33:00.660813+02	\N	\N	\N	\N	\N	\N	f	
7057	55f75e83-0312-429d-b5a6-364cb497a38f	Richland	Richland	3	0	2013-05-26 16:41:49.820257+02	\N	\N	\N	\N	\N	\N	f	
7272	5cb18c73-d82a-4608-8724-293fc0869fdc	Purcell	Purcell	3	0	2013-05-26 17:37:36.895327+02	\N	\N	\N	\N	\N	\N	f	
9679	729d46e1-40f8-4942-9b82-64e9dd8c86be	Elda	Elda	3	0	2013-06-15 15:01:49.385821+02	\N	\N	\N	\N	\N	\N	f	
7811	3c38d6f5-af5b-491a-9f65-fe741d320d73	Tyler	Tyler	3	0	2013-05-29 02:36:27.853281+02	\N	\N	\N	\N	\N	\N	f	
9025	39429b75-6c84-4868-af80-022f00ad517a	Longnan	Longnan	3	0	2013-06-01 20:24:38.061699+02	\N	\N	\N	\N	\N	\N	f	
7940	afc16a6e-81fd-422e-b301-b643b4459e1a	Linton	Linton	3	0	2013-05-29 03:16:09.208636+02	\N	\N	\N	\N	\N	\N	f	
7972	60b6542f-c662-4ec2-9977-fc24f9c41802	San Carlos, Río San Juan	San Carlos, Río San Juan	3	0	2013-05-30 13:25:44.171716+02	\N	\N	\N	\N	\N	\N	f	
7999	312f47f3-f4da-4547-a0a5-6dc7ebf07ce2	Minamisatsuma	Minamisatsuma	3	0	2013-05-30 16:44:55.859592+02	\N	\N	\N	\N	\N	\N	f	
9138	90e25970-5e60-4a35-b10c-e80b9ae2ddf3	Lüliang	Lüliang	3	0	2013-06-01 20:47:40.340126+02	\N	\N	\N	\N	\N	\N	f	
3091	98a4ad27-20a7-441c-972d-ff1c9a64b142	‘Adan	‘Adan	2	0	2013-05-27 19:55:44.904758+02	\N	\N	\N	\N	\N	\N	f	
8020	039fdd39-d40f-4094-8c42-fadd03ca53d5	Covert	Covert	3	0	2013-05-30 18:27:38.694375+02	\N	\N	\N	\N	\N	\N	f	
8132	07bf68b9-a378-47ad-adc0-1ea60e0c771f	Ulrum	Ulrum	3	0	2013-05-30 21:00:06.225889+02	\N	\N	\N	\N	\N	\N	f	
8224	672e3a90-a250-462e-91f4-9d75373dce8c	Deniliquin	Deniliquin	3	0	2013-05-30 21:21:47.316146+02	\N	\N	\N	\N	\N	\N	f	
9150	eadcc583-a47b-416a-86d6-fc41ef70f2ee	Laurel	Laurel	3	0	2013-06-01 20:50:12.339294+02	\N	\N	\N	\N	\N	\N	f	
8284	35b5ccc6-d541-4f17-b850-f45a5b8569cd	Hanza	Hanza	3	0	2013-05-30 21:36:12.4129+02	\N	\N	\N	\N	\N	\N	f	
8349	75524b01-6402-4ffe-9438-ffbda71a075e	Qasigiannguit	Qasigiannguit	3	0	2013-05-30 21:51:05.477881+02	\N	\N	\N	\N	\N	\N	f	
9681	6db9327d-93da-4890-b34f-a6d570160ff3	Cavite City	Cavite City	3	0	2013-06-15 20:26:35.463403+02	\N	\N	\N	\N	\N	\N	f	
8494	581996f5-8e92-4cb3-b01c-4b6410e57d44	Winton	Winton	3	0	2013-06-01 17:25:19.83629+02	\N	\N	\N	\N	\N	\N	f	
3687	cfdba570-a23d-4927-b2ed-657c7ccdf260	Ḥajjar Lamīs	Ḥajjar Lamīs	2	0	2013-05-27 19:59:41.341433+02	\N	\N	\N	\N	\N	\N	f	
7380	148f3952-2151-4a4c-a859-eb850acf248f	Asheville	Asheville	3	0	2013-05-28 14:18:05.561287+02	\N	\N	\N	\N	\N	\N	f	
9165	4a17e437-9f07-419f-9004-ad33f81556aa	Piława Górna	Piława Górna	3	0	2013-06-01 20:57:48.488938+02	\N	\N	\N	\N	\N	\N	f	
7506	9693b464-f842-4a33-981d-54579f2fc596	Buchen	Buchen	3	0	2013-05-29 00:33:42.292217+02	\N	\N	\N	\N	\N	\N	f	
8650	526037f1-0aec-4b15-8aa0-0841e0f9ce08	Crookwell	Crookwell	3	0	2013-06-01 18:04:53.200259+02	\N	\N	\N	\N	\N	\N	f	
7666	c627da28-3cfc-4b6d-b1cd-56cdfc7b3b7c	Homberg (Ohm)	Homberg (Ohm)	3	0	2013-05-29 01:08:07.823097+02	\N	\N	\N	\N	\N	\N	f	
8666	40a7bcd5-314a-4cde-8863-23d18a4e029c	Windsor	Windsor	3	0	2013-06-01 18:09:38.815066+02	\N	\N	\N	\N	\N	\N	f	
8772	a378d093-7cc2-44e6-8d3f-05baafa4d646	Krotoszyn	Krotoszyn	3	0	2013-06-01 18:42:07.153292+02	\N	\N	\N	\N	\N	\N	f	
9701	5a493bde-b5e9-43af-a5c4-316a872585e1	Billund	Billund	3	0	2013-06-16 13:00:30.232836+02	\N	\N	\N	\N	\N	\N	f	
1629	83f72c4f-198d-472b-b7d4-b07fbec21866	Chatham Islands Territory	Chatham Islands Territory	2	0	2013-06-05 08:48:44.573902+02	\N	\N	\N	\N	\N	\N	f	
794	ef59e1df-7525-43ff-87ed-409648f754c7	Andorra la Vella	Andorra la Vella	2	0	2013-06-05 12:32:43.553406+02	\N	\N	\N	\N	\N	\N	f	
9498	497057d5-e142-4595-a724-c9a8b7bdb2ca	Danta, Banaskantha	Danta, Banaskantha	3	0	2013-06-09 17:55:05.830712+02	\N	\N	\N	\N	\N	\N	f	
9783	7d0b37d0-39f5-4496-85f9-b0c8a94506ff	Ageo	Ageo	3	0	2013-06-18 03:24:53.500052+02	\N	\N	\N	\N	\N	\N	f	
9709	dcb5af71-b0ca-4609-8484-f74a393d1ac5	Haslemere	Haslemere	3	0	2013-06-16 22:28:47.683577+02	\N	\N	\N	\N	\N	\N	f	
9715	64b7687d-53a4-489d-9d1b-fc030eea1951	Rikuzentakata	Rikuzentakata	3	0	2013-06-17 15:32:36.873725+02	\N	\N	\N	\N	\N	\N	f	
10175	a22884b3-79f7-4ba3-8d8e-9c530d952bf8	Kaita	Kaita	3	0	2013-06-18 14:45:52.584477+02	\N	\N	\N	\N	\N	\N	f	
9677	9382a9ca-024d-42ff-95a8-2099dd16d885	Logroño	Logroño	3	0	2013-06-15 14:15:10.547855+02	\N	\N	\N	\N	\N	\N	f	
9901	baaabf92-33fc-4814-b5a9-281ee5cadaaa	Mizunami	Mizunami	3	0	2013-06-18 04:07:29.506588+02	\N	\N	\N	\N	\N	\N	f	
9734	4ae2a1d1-8769-47c9-819f-27c7e59c405b	Davenport	Davenport	3	0	2013-06-17 23:16:05.810971+02	\N	\N	\N	\N	\N	\N	f	
10073	c7a81d29-210f-4e52-8c73-10bc4fa085f7	Nōgata	Nōgata	3	0	2013-06-18 08:16:15.26206+02	\N	\N	\N	\N	\N	\N	f	
9739	fd47bf88-1440-4314-95ef-9be6b636ce64	Tendō	Tendō	3	0	2013-06-18 01:00:45.428467+02	\N	\N	\N	\N	\N	\N	f	
9999	c5993b6a-b590-4c1a-a9a6-9df30ca18ecc	Nagato	Nagato	3	0	2013-06-18 07:53:23.788199+02	\N	\N	\N	\N	\N	\N	f	
10006	a9abb1ff-bbad-4b28-b86c-5246d6498947	Ginowan	Ginowan	3	0	2013-06-18 07:58:53.201817+02	\N	\N	\N	\N	\N	\N	f	
10233	ca5dcc55-c020-4c42-87a3-3292df23e6df	Kumenan	Kumenan	3	0	2013-06-18 17:17:32.720802+02	\N	\N	\N	\N	\N	\N	f	
10085	8f3a3d87-fc4a-4257-b85b-827c409a4eb2	Takeo	Takeo	3	0	2013-06-18 08:18:40.791621+02	\N	\N	\N	\N	\N	\N	f	
10242	5da3f1f8-855b-4266-8dfb-8d635e594ed7	Harima	Harima	3	0	2013-06-18 17:19:15.25905+02	\N	\N	\N	\N	\N	\N	f	
10252	d1d4b5dc-b321-42fe-990d-ddb7384c11f4	Kurotaki	Kurotaki	3	0	2013-06-18 17:21:13.933332+02	\N	\N	\N	\N	\N	\N	f	
10273	53cf2bd4-8c3f-47a4-912e-43f9afe05054	Kasagi	Kasagi	3	0	2013-06-18 17:24:58.999923+02	\N	\N	\N	\N	\N	\N	f	
10315	c919a3e9-493a-49e3-8722-b96189e713f3	Daisen	Daisen	3	0	2013-06-18 17:32:28.727101+02	\N	\N	\N	\N	\N	\N	f	
10332	fe813217-59cd-46aa-8f20-ac7ce3910c29	Yokoze	Yokoze	3	0	2013-06-18 17:36:00.613322+02	\N	\N	\N	\N	\N	\N	f	
10346	7796a7a4-b252-4c33-b517-3160ece86921	Tadaoka	Tadaoka	3	0	2013-06-18 17:38:50.570859+02	\N	\N	\N	\N	\N	\N	f	
10348	bc28f1dd-78ea-45f1-9dc1-5b4165a4fa14	Taishi	Taishi	3	0	2013-06-18 17:39:28.625562+02	\N	\N	\N	\N	\N	\N	f	
10356	7208ec97-ae33-4d91-bfbb-d3b74806be18	Toyono	Toyono	3	0	2013-06-18 17:41:08.359307+02	\N	\N	\N	\N	\N	\N	f	
10354	b248f317-e60a-4b7a-bfc5-fefdc8fff320	Kōra	Kōra	3	0	2013-06-18 17:40:47.854757+02	\N	\N	\N	\N	\N	\N	f	
10360	bec579f2-b5a7-4c48-9986-98346ac892d2	Sera	Sera	3	0	2013-06-18 17:41:51.985605+02	\N	\N	\N	\N	\N	\N	f	
10367	e01575ec-5054-4661-b61b-1a512e0b0c41	Kitayama	Kitayama	3	0	2013-06-18 17:43:09.648189+02	\N	\N	\N	\N	\N	\N	f	
10362	ef107e60-14d5-4f87-99a7-08f6def6bffa	Yahiko	Yahiko	3	0	2013-06-18 17:42:12.533372+02	\N	\N	\N	\N	\N	\N	f	
13805	39b8d74e-6247-4c21-97a4-a873f036c37a	Volvera	Volvera	4	0	2013-07-21 19:16:02.677827+02	\N	\N	\N	\N	\N	\N	f	
4345	225d7591-c112-48c1-9add-ca7e647291fc	Salamanca	Salamanca	2	0	2013-05-22 13:09:27.118966+02	\N	\N	\N	\N	\N	\N	f	
4346	a32afd40-4af3-4195-b89d-0d23d0c5c4a2	Sevilla	Sevilla	2	0	2013-05-22 13:09:38.086738+02	\N	\N	\N	\N	\N	\N	f	
4347	28364a51-3671-4c9a-bb51-409e87aec53e	Segovia	Segovia	2	0	2013-05-22 13:09:49.027459+02	\N	\N	\N	\N	\N	\N	f	
4654	cfa2ccab-16be-4bb2-8116-230980f0b017	Imperia	Imperia	2	0	2013-05-22 14:34:53.144574+02	\N	\N	\N	\N	\N	\N	f	
4348	7aa83568-a407-4065-aa7b-3a7b57923213	Soria	Soria	2	0	2013-05-22 13:09:59.765394+02	\N	\N	\N	\N	\N	\N	f	
5175	834e9db3-0209-4ae3-bc28-e6f3a306c45c	Enschede	Enschede	3	0	2013-05-24 22:42:26.130669+02	\N	\N	\N	\N	\N	\N	f	
5334	66c2ce5f-69e6-4772-a6bb-2ce052103159	Meppel	Meppel	3	0	2013-05-24 23:14:17.197682+02	\N	\N	\N	\N	\N	\N	f	
4350	a2df4ee7-7cce-42d4-92e9-14e9c07e73b6	Tarragona	Tarragona	2	0	2013-05-22 13:10:21.476711+02	\N	\N	\N	\N	\N	\N	f	
4792	cd36ba74-771f-4ef5-ae39-0847314e6801	Likiep	Likiep	2	0	2013-05-22 15:14:19.824782+02	\N	\N	\N	\N	\N	\N	f	
4351	e4a40ec5-8f68-4d12-a2b8-9cf9328756f4	Teruel	Teruel	2	0	2013-05-22 13:10:32.602348+02	\N	\N	\N	\N	\N	\N	f	
4352	3d99d66c-ae46-4caf-8618-372e2cd404b4	Santa Cruz de Tenerife	Santa Cruz de Tenerife	2	0	2013-05-22 13:10:43.908556+02	\N	\N	\N	\N	\N	\N	f	
4930	efcfe482-f8f7-4ab8-9817-177e74188961	Mountain Province	Mountain Province	2	0	2013-05-22 15:52:28.739867+02	\N	\N	\N	\N	\N	\N	f	
4375	113a9300-eef7-44f3-b90d-b4e13748fcea	Charente-Maritime	Charente-Maritime	2	0	2013-06-05 07:17:43.555686+02	\N	\N	\N	\N	\N	\N	f	
4389	ddd3d293-3074-48d7-a18c-367acea00877	Gard	Gard	2	0	2013-05-22 13:18:35.082926+02	\N	\N	\N	\N	\N	\N	f	
5488	f3c8bae2-05dc-42e7-a4fd-0c84611d694d	Ariel	Ariel	3	0	2013-05-24 23:45:50.121425+02	\N	\N	\N	\N	\N	\N	f	
4349	ed32ebcf-56a5-493b-805d-3545600ffe42	Guipúzcoa	Guipúzcoa	2	0	2013-05-22 16:09:04.691252+02	\N	\N	\N	\N	\N	\N	f	
5812	7d8d9f8b-b089-4516-b2f5-edb81a8b0c71	Jordanów	Jordanów	3	0	2013-05-25 00:55:52.823579+02	\N	\N	\N	\N	\N	\N	f	
5500	d21fe7b7-fd26-40d7-b533-3b1a08b15c4b	Gendt	Gendt	3	0	2013-05-24 23:49:15.326091+02	\N	\N	\N	\N	\N	\N	f	
5572	77feea65-6e33-4817-8fc8-a7e5737abe7a	Ziębice	Ziębice	3	0	2013-05-25 00:05:13.34443+02	\N	\N	\N	\N	\N	\N	f	
5681	30a408c9-8f3a-4a87-bbea-d9f7ab040e98	Kharaju	Kharaju	3	0	2013-05-25 00:30:06.758239+02	\N	\N	\N	\N	\N	\N	f	
6019	6bed625a-a7cc-4fbc-a1fd-a0fb928d1bc4	Borazjan	Borazjan	3	0	2013-05-25 01:37:04.323656+02	\N	\N	\N	\N	\N	\N	f	
6491	380dd3b2-2114-4dcd-8ec3-b128cb538797	Pol-e Dokhtar	Pol-e Dokhtar	3	0	2013-05-25 03:18:13.69838+02	\N	\N	\N	\N	\N	\N	f	
6036	1954698a-a2ab-4892-8f53-56bc504bc754	Arvandkenar	Arvandkenar	3	0	2013-05-25 01:40:10.266374+02	\N	\N	\N	\N	\N	\N	f	
6060	8356f833-035b-48c4-ad64-aa9f20be0305	Sarpol-e Zahab	Sarpol-e Zahab	3	0	2013-05-25 01:44:41.606483+02	\N	\N	\N	\N	\N	\N	f	
6287	47081827-c16f-47b3-b342-1039e37b7bea	Marfa	Marfa	3	0	2013-05-25 02:30:13.413475+02	\N	\N	\N	\N	\N	\N	f	
6760	9b1a8e92-904c-43ff-a85e-6c9afa06c656	Ajab Shir	Ajab Shir	3	0	2013-05-25 04:10:59.270534+02	\N	\N	\N	\N	\N	\N	f	
7143	b5047e68-789d-4e8a-962e-ea7878c4bd1a	Kraśnik	Kraśnik	3	0	2013-05-26 17:04:07.942713+02	\N	\N	\N	\N	\N	\N	f	
6779	2b0d1ade-017c-4745-95b4-3c82071928c9	Waurika	Waurika	3	0	2013-05-25 04:14:45.249034+02	\N	\N	\N	\N	\N	\N	f	
6804	3645f6d4-4a0b-4f14-99b9-0a0d99c897c9	Arjomand	Arjomand	3	0	2013-05-25 04:19:18.865725+02	\N	\N	\N	\N	\N	\N	f	
8160	8a9b9f31-1a6b-4421-a01d-368e8bef7155	Kaikoura	Kaikoura	3	0	2013-05-30 21:07:08.467987+02	\N	\N	\N	\N	\N	\N	f	
6831	ba95a366-b954-4f09-b625-6a1436abccff	Razeghi	Razeghi	3	0	2013-05-25 04:24:01.935713+02	\N	\N	\N	\N	\N	\N	f	
7262	3c47dc12-fb4c-47bf-b6b1-0dc5168ec5ed	Ożarów	Ożarów	3	0	2013-05-26 17:33:12.293835+02	\N	\N	\N	\N	\N	\N	f	
6867	4ddcf9b0-cc93-4e7c-acfb-666c159f5cad	Kazemabad	Kazemabad	3	0	2013-05-25 04:30:19.394905+02	\N	\N	\N	\N	\N	\N	f	
6974	a598c6c7-bb4a-4187-a4ab-bc1871426961	Mszczonów	Mszczonów	3	0	2013-05-25 14:18:10.965603+02	\N	\N	\N	\N	\N	\N	f	
7941	b5150c0d-60ca-4494-9b80-84fbc0e3f06c	Milford	Milford	3	0	2013-05-29 03:16:32.053856+02	\N	\N	\N	\N	\N	\N	f	
6989	3612d082-b1c1-47a5-a6a0-856d33779034	Skoki	Skoki	3	0	2013-05-25 14:21:57.334135+02	\N	\N	\N	\N	\N	\N	f	
7058	7867233c-514f-4397-a4ff-1eeef5138f47	Avalon	Avalon	3	0	2013-05-26 16:42:01.099009+02	\N	\N	\N	\N	\N	\N	f	
7973	77d7d0f1-9761-40b7-acb2-c2464e93920b	Messina	Messina	3	0	2013-05-30 13:31:15.83928+02	\N	\N	\N	\N	\N	\N	f	
4268	de59188f-a12f-413d-96f0-89b1344750d6	Ústí nad Labem	Ústí nad Labem	2	0	2013-05-27 19:56:42.525855+02	\N	\N	\N	\N	\N	\N	f	
7383	8946e533-4a65-442b-a34f-614899f5c71f	Dubbo	Dubbo	3	0	2013-05-28 14:18:56.356366+02	\N	\N	\N	\N	\N	\N	f	
7408	39b8db1f-4762-4078-ab8f-ebfbbc60b07b	Garden City	Garden City	3	0	2013-05-28 14:28:34.896522+02	\N	\N	\N	\N	\N	\N	f	
8000	87a9a2ab-614f-4f8d-811f-46e681a1ef33	Kirishima	Kirishima	3	0	2013-05-30 16:45:51.982072+02	\N	\N	\N	\N	\N	\N	f	
7411	5ad3b462-1314-4996-b8fc-26672517f3d4	Grafton	Grafton	3	0	2013-05-28 14:29:16.707537+02	\N	\N	\N	\N	\N	\N	f	
7427	e4c26f56-c38c-412d-8c95-389d26547182	Winter Haven	Winter Haven	3	0	2013-05-28 14:33:09.9829+02	\N	\N	\N	\N	\N	\N	f	
8286	9b4cb463-9777-46c3-8190-e1cb3da2749f	Basildon	Basildon	3	0	2013-05-30 21:36:43.899648+02	\N	\N	\N	\N	\N	\N	f	
7508	e617d6fd-26b8-4454-9736-0ba77c556803	Zierenberg	Zierenberg	3	0	2013-05-29 00:34:10.287089+02	\N	\N	\N	\N	\N	\N	f	
8021	6a291dc3-5b05-43c9-87f7-a3f1664355ec	Monteleone d'Orvieto	Monteleone d'Orvieto	3	0	2013-05-30 18:28:08.287723+02	\N	\N	\N	\N	\N	\N	f	
7668	df1d2ca0-d4d9-43a2-a473-6fe834fc6de6	Spangenberg	Spangenberg	3	0	2013-05-29 01:08:30.853016+02	\N	\N	\N	\N	\N	\N	f	
7699	fa42708c-1785-4a31-bd4a-dbeca3061cfe	Linton	Linton	3	0	2013-05-29 01:22:22.530248+02	\N	\N	\N	\N	\N	\N	f	
7812	9c5d8099-2b5d-45a2-a273-529328a227b8	Heideck	Heideck	3	0	2013-05-29 02:36:46.193775+02	\N	\N	\N	\N	\N	\N	f	
8774	1aed2902-5d13-4dcd-98f8-2cf9b1cb4c78	Wojkowice	Wojkowice	3	0	2013-06-01 18:42:37.744066+02	\N	\N	\N	\N	\N	\N	f	
8027	5d4481d1-e23e-44eb-a1f2-14843c7a3c9b	Hamilton	Hamilton	3	0	2013-05-30 18:29:33.794927+02	\N	\N	\N	\N	\N	\N	f	
8495	5aa845db-81ab-4814-a8d5-3e77ebdbb5dc	Górzno	Górzno	3	0	2013-06-01 17:25:34.676739+02	\N	\N	\N	\N	\N	\N	f	
8090	76b1aa24-d8c3-46df-96f2-0f4dbe934f83	Pongola	Pongola	3	0	2013-05-30 18:44:17.513759+02	\N	\N	\N	\N	\N	\N	f	
8133	abbac9a8-7ef2-4b7b-b06d-46618f3f5433	Canvey Island	Canvey Island	3	0	2013-05-30 21:00:21.575443+02	\N	\N	\N	\N	\N	\N	f	
2391	42600c00-4b16-41b0-9c6e-4eda7bf00680	Arkhangel'skaya oblast'	Arkhangel'skaya oblast'	2	0	2013-06-05 08:55:56.569132+02	\N	\N	\N	\N	\N	\N	f	
8539	80fe7eb2-be43-4a5b-a48e-742f5c8b976a	Tuliszków	Tuliszków	3	0	2013-06-01 17:35:43.325315+02	\N	\N	\N	\N	\N	\N	f	
8912	7af5e2e7-f637-4d2f-a034-71ae27c712f9	Sanya	Sanya	3	0	2013-06-01 20:00:25.464959+02	\N	\N	\N	\N	\N	\N	f	
8653	7f551fe0-665c-4b45-ae3d-794b4ae063fc	Dungog	Dungog	3	0	2013-06-01 18:05:37.310001+02	\N	\N	\N	\N	\N	\N	f	
8663	83833b26-07fb-4c4e-b3a5-a97c3c145667	Mayo	Mayo	3	0	2013-06-01 18:08:30.742847+02	\N	\N	\N	\N	\N	\N	f	
9026	09adef40-a778-4d54-ba6d-9c9972a4de74	Baiyin	Baiyin	3	0	2013-06-01 20:24:57.831436+02	\N	\N	\N	\N	\N	\N	f	
9499	38e75272-473e-4c56-ace1-cefa9f17b578	Valsad	Valsad	3	0	2013-06-09 17:55:16.625428+02	\N	\N	\N	\N	\N	\N	f	
9166	402a59e4-ed82-48f3-9222-b9b567a8e34c	Frampol	Frampol	3	0	2013-06-01 20:58:03.254454+02	\N	\N	\N	\N	\N	\N	f	
9682	78d3dadb-1f22-43b7-8beb-991477182800	Sumy	Sumy	3	0	2013-06-15 20:27:42.188461+02	\N	\N	\N	\N	\N	\N	f	
327	4b8c47dd-0fe2-450e-8a21-d4d739ee0e0c	Baden-Württemberg	Baden-Württemberg	2	0	2013-06-05 12:33:54.303878+02	\N	\N	\N	\N	\N	\N	f	
3278	db590259-2083-4a4f-a764-f2d2423ac750	Annaba	Annaba	2	0	2013-06-05 08:50:53.81199+02	\N	\N	\N	\N	\N	\N	f	
4369	a026da64-cccd-4095-b64a-b31f5e1e8102	Aude	Aude	2	0	2013-06-05 10:59:18.765835+02	\N	\N	\N	\N	\N	\N	f	
9702	72cb4849-5677-47c2-8c5f-415c9074f5f3	Augsburg	Augsburg	3	0	2013-06-16 13:09:01.202548+02	\N	\N	\N	\N	\N	\N	f	
9707	fcaef096-9ec3-408f-93c1-55722024da09	Kingston	Kingston	3	0	2013-06-16 13:22:34.698876+02	\N	\N	\N	\N	\N	\N	f	
9710	0f9a0a3f-2952-48af-ab3b-d4a91d29994a	Kenosha	Kenosha	3	0	2013-06-16 22:34:36.444299+02	\N	\N	\N	\N	\N	\N	f	
9716	4cf6706d-b515-46d8-96bc-2c82f250bbee	Ishinomaki	Ishinomaki	3	0	2013-06-17 15:32:53.621365+02	\N	\N	\N	\N	\N	\N	f	
9735	acebf0d4-1d09-43a4-b908-7a1e85fc3294	El Cajon	El Cajon	3	0	2013-06-17 23:19:00.383926+02	\N	\N	\N	\N	\N	\N	f	
9740	ab28a8e9-6063-4760-bc8d-a07d88d708df	Kawaguchi	Kawaguchi	3	0	2013-06-18 01:01:03.458862+02	\N	\N	\N	\N	\N	\N	f	
15506	8e9e8365-9511-43b5-b700-e56c95201f38	Oleggio Castello	Oleggio Castello	4	0	2013-07-22 01:00:29.309199+02	\N	\N	\N	\N	\N	\N	f	
9784	c8be8be8-f022-464a-be3e-0bf0dfbd0872	Tokorozawa	Tokorozawa	3	0	2013-06-18 03:25:16.689197+02	\N	\N	\N	\N	\N	\N	f	
17307	4cd0efdf-16c3-48d9-9202-6ae553010da7	Putifigari	Putifigari	4	0	2013-07-22 06:10:57.360626+02	\N	\N	\N	\N	\N	\N	f	
5176	8a96355e-be27-41a6-9d13-020fd133e9fb	Girona	Girona	3	0	2013-05-24 22:42:40.328215+02	\N	\N	\N	\N	\N	\N	f	
4357	4b631135-4e8c-48e9-aee3-2dc0795e8002	Zaragoza	Zaragoza	2	0	2013-05-22 13:11:39.425858+02	\N	\N	\N	\N	\N	\N	f	
4657	f613a91b-fdb4-4f6b-902d-935639955811	Lecco	Lecco	2	0	2013-05-22 14:35:44.496009+02	\N	\N	\N	\N	\N	\N	f	
4793	90e8578f-79e4-4c72-ab73-9e49091701b4	Majuro	Majuro	2	0	2013-05-22 15:14:35.904686+02	\N	\N	\N	\N	\N	\N	f	
5335	81fb1a71-40e4-4438-ad66-a6eaf4a7b343	Sion	Sion	3	0	2013-05-24 23:14:27.849563+02	\N	\N	\N	\N	\N	\N	f	
4856	62ae1c68-0264-4147-8a9b-5b8ed872e80a	Janakpur	Janakpur	2	0	2013-05-22 15:33:20.874816+02	\N	\N	\N	\N	\N	\N	f	
4931	eab3055b-8692-4877-bd29-2d0e87de1c13	Misamis Occidental	Misamis Occidental	2	0	2013-05-22 15:52:39.495993+02	\N	\N	\N	\N	\N	\N	f	
5823	7f538ab2-432d-422f-89bd-4ba2ec9af652	Boppard	Boppard	3	0	2013-05-25 00:58:10.545627+02	\N	\N	\N	\N	\N	\N	f	
5490	7fcb617c-1204-4f4a-8a56-7c1d6db449c3	Nara	Nara	3	0	2013-05-24 23:46:12.772589+02	\N	\N	\N	\N	\N	\N	f	
4354	e879b9a5-161a-4f21-b77e-f6cb3400b42d	Valencia	Valencia	2	0	2013-05-22 16:07:33.384138+02	\N	\N	\N	\N	\N	\N	f	
7145	85892b58-4ef8-4e96-a3a5-7105d11c894a	Mikołajki	Mikołajki	3	0	2013-05-26 17:04:35.689501+02	\N	\N	\N	\N	\N	\N	f	
5845	d383c7cd-d642-4b95-9f8a-eb3d77e66772	Macomb	Macomb	3	0	2013-05-25 01:03:59.103237+02	\N	\N	\N	\N	\N	\N	f	
6493	a83103f6-5954-48ec-a202-bd207f9105d5	Asemanabad	Asemanabad	3	0	2013-05-25 03:18:39.106999+02	\N	\N	\N	\N	\N	\N	f	
6026	2bbeb49d-2b5c-4d6b-9a9c-a9d3b8657999	Mohajeran	Mohajeran	3	0	2013-05-25 01:38:14.926078+02	\N	\N	\N	\N	\N	\N	f	
6038	2b49bdbe-ba4f-4ad5-902c-8d84d9d1904e	Mrągowo	Mrągowo	3	0	2013-05-25 01:40:32.077231+02	\N	\N	\N	\N	\N	\N	f	
6042	5024fc62-a120-4eae-922a-e549135f6322	Otwock	Otwock	3	0	2013-05-25 01:41:17.262877+02	\N	\N	\N	\N	\N	\N	f	
6761	91a802bf-51bc-40dc-bc05-cf8056afdc6b	Oxford	Oxford	3	0	2013-05-25 04:11:13.137267+02	\N	\N	\N	\N	\N	\N	f	
6288	c65d12f4-7b8f-4f62-a5f9-4e50b0bb35e9	Calistoga	Calistoga	3	0	2013-05-25 02:30:27.86492+02	\N	\N	\N	\N	\N	\N	f	
7510	4755bccd-24a3-40c9-8a08-3a8ea0242aa9	Frankenau	Frankenau	3	0	2013-05-29 00:34:51.93894+02	\N	\N	\N	\N	\N	\N	f	
6788	39bce73e-7c81-4169-add1-5be1d048646c	Kuhpayeh	Kuhpayeh	3	0	2013-05-25 04:16:30.915119+02	\N	\N	\N	\N	\N	\N	f	
7146	09cdad39-4c14-4c29-8321-de38349b15b0	Andrychów	Andrychów	3	0	2013-05-26 17:04:47.801126+02	\N	\N	\N	\N	\N	\N	f	
6790	99788b63-c698-4891-9ae9-623032aaa0f2	Zarrineh	Zarrineh	3	0	2013-05-25 04:16:51.416258+02	\N	\N	\N	\N	\N	\N	f	
6976	003d6652-3c7f-4f76-b6dd-63a255fa1e1b	Hayward	Hayward	3	0	2013-05-25 14:18:52.137547+02	\N	\N	\N	\N	\N	\N	f	
5682	9742d8c9-6271-469c-983a-618db962ee12	Schenectady	Schenectady	3	0	2013-05-26 14:11:54.28457+02	\N	\N	\N	\N	\N	\N	f	
7147	6d9a05cb-6b11-48eb-abed-28b148458894	Lubliniec	Lubliniec	3	0	2013-05-26 17:04:59.137658+02	\N	\N	\N	\N	\N	\N	f	
7059	908d9205-93ea-463b-b8e2-99342d72f4a6	Nieszawa	Nieszawa	3	0	2013-05-26 16:42:12.087117+02	\N	\N	\N	\N	\N	\N	f	
8328	f396b2cc-f0e3-44d0-b252-dcab16ce93f4	Oulad Slama	Oulad Slama	3	0	2013-05-30 21:46:04.168409+02	\N	\N	\N	\N	\N	\N	f	
7151	a5a44431-d71c-4045-91bb-f4784135873d	Kowary	Kowary	3	0	2013-05-26 17:06:00.858588+02	\N	\N	\N	\N	\N	\N	f	
7669	1c59313b-9f30-4314-a60d-8857229f0242	Ortenberg	Ortenberg	3	0	2013-05-29 01:08:41.714179+02	\N	\N	\N	\N	\N	\N	f	
7152	bb3e7d6d-8399-4838-92d2-151d71cb7a13	Chodecz	Chodecz	3	0	2013-05-26 17:06:17.264321+02	\N	\N	\N	\N	\N	\N	f	
7263	6b14f67f-e75a-43d3-b28c-2ca4160cbf44	Waverly	Waverly	3	0	2013-05-26 17:33:41.340676+02	\N	\N	\N	\N	\N	\N	f	
7813	86a3a2dd-b9d8-47ac-885e-287cda15e2fe	Riedlingen	Riedlingen	3	0	2013-05-29 02:37:00.319593+02	\N	\N	\N	\N	\N	\N	f	
2062	ac90be19-0646-4faf-a79a-8a439d678c53	Šentilj	Šentilj	2	0	2013-05-27 20:00:11.301307+02	\N	\N	\N	\N	\N	\N	f	
7820	fd619c59-4d2b-4cf1-899c-cac20656267c	Bloomington	Bloomington	3	0	2013-05-29 02:39:30.330802+02	\N	\N	\N	\N	\N	\N	f	
8496	cdbcaf45-1c06-441e-9df4-c1367cce2dcb	Burlington	Burlington	3	0	2013-06-01 17:25:52.555875+02	\N	\N	\N	\N	\N	\N	f	
7942	bf58b754-9c62-441a-8306-3bf4e844ed3c	Moscow	Moscow	3	0	2013-05-29 03:17:05.189548+02	\N	\N	\N	\N	\N	\N	f	
7976	416cda0f-250c-4db4-8a63-9975b5de70e3	Sevilla	Sevilla	3	0	2013-05-30 13:35:12.525108+02	\N	\N	\N	\N	\N	\N	f	
9741	da75c267-076e-40a3-a816-c1095825324e	Ōtawara	Ōtawara	3	0	2013-06-18 01:01:15.238943+02	\N	\N	\N	\N	\N	\N	f	
8001	ab763c1c-d28b-46c2-a1db-e489c7e01a56	Hachiōji	Hachiōji	3	0	2013-05-30 16:46:08.946392+02	\N	\N	\N	\N	\N	\N	f	
8655	6a86228e-e1e3-4c23-92cf-6633dbb77e09	Lissma	Lissma	3	0	2013-06-01 18:06:13.005681+02	\N	\N	\N	\N	\N	\N	f	
8022	b6a10430-ee55-4051-9e07-edb84713d52e	Stroncone	Stroncone	3	0	2013-05-30 18:28:22.539964+02	\N	\N	\N	\N	\N	\N	f	
8067	ce53b8f7-8821-4d85-bdcf-a17bf2b8bd66	Loreto	Loreto	3	0	2013-05-30 18:38:44.584748+02	\N	\N	\N	\N	\N	\N	f	
4356	809e51e4-5e38-476f-be29-5e60c25866ce	Álava	Álava	2	0	2013-05-27 20:05:03.736069+02	\N	\N	\N	\N	\N	\N	f	
13806	1f2e8de3-861a-47cb-bc78-4dc213a8ebdd	Calvisano	Calvisano	4	0	2013-07-21 19:16:15.633265+02	\N	\N	\N	\N	\N	\N	f	
9500	88b4a9cd-5f76-4547-9545-2e8508cc480a	Gandhidham	Gandhidham	3	0	2013-06-09 17:57:56.580209+02	\N	\N	\N	\N	\N	\N	f	
3162	bee9560c-2eb2-4690-8082-20926b5ef7a3	Borgou	Borgou	2	0	2013-06-05 09:14:25.479789+02	\N	\N	\N	\N	\N	\N	f	
8775	300cdfd5-f266-47c0-afd2-855ed3114a51	Ciechocinek	Ciechocinek	3	0	2013-06-01 18:42:56.135147+02	\N	\N	\N	\N	\N	\N	f	
7406	b83726c4-b5b4-4db8-8698-8a107a73432a	Ipswich	Ipswich	3	0	2013-05-28 14:28:06.703813+02	\N	\N	\N	\N	\N	\N	f	
8134	48efc182-367e-48fb-a383-0cde0efed900	Walton-on-the-Naze	Walton-on-the-Naze	3	0	2013-05-30 21:00:31.964466+02	\N	\N	\N	\N	\N	\N	f	
8183	6ddff5b6-31d3-4f41-908e-6188684ffbe2	Tangua	Tangua	3	0	2013-05-30 21:12:22.776525+02	\N	\N	\N	\N	\N	\N	f	
8914	e514f873-043b-4a80-8d9e-dc2acecc633b	Lotbinière, Quebec	Lotbinière, Quebec	3	0	2013-06-01 20:01:06.58348+02	\N	\N	\N	\N	\N	\N	f	
9027	3d91e0e8-fb32-4cc7-9897-b012e468b835	Jiuquan	Jiuquan	3	0	2013-06-01 20:25:10.628725+02	\N	\N	\N	\N	\N	\N	f	
9167	4157d323-69f8-4e8f-a83f-b5906baf6ad8	Konstancin-Jeziorna	Konstancin-Jeziorna	3	0	2013-06-01 20:58:14.452778+02	\N	\N	\N	\N	\N	\N	f	
9711	7ee6d919-ef34-459d-aae8-d3a93be75ccd	Pieksämäki	Pieksämäki	3	0	2013-06-16 22:38:21.516325+02	\N	\N	\N	\N	\N	\N	f	
9168	12787052-4690-4c8a-9a3c-cc0b5de55c7c	Susz	Susz	3	0	2013-06-01 20:58:32.012053+02	\N	\N	\N	\N	\N	\N	f	
9514	8186d99b-a6d8-4186-bc54-0481fcaf4e18	Ankleshwar	Ankleshwar	3	0	2013-06-09 18:03:27.513259+02	\N	\N	\N	\N	\N	\N	f	
7384	c7cc9f67-2d0b-401b-959c-6e29e30d78b1	Prnjavor	Prnjavor	3	0	2013-06-05 06:45:42.091468+02	\N	\N	\N	\N	\N	\N	f	
9683	fa93bee3-f990-4b36-b5b2-218cd55cc278	Valenzuela City	Valenzuela City	3	0	2013-06-15 20:28:27.58343+02	\N	\N	\N	\N	\N	\N	f	
9717	2297912d-07f0-4f0d-8f6b-a1bce2d23c2f	Ōdate	Ōdate	3	0	2013-06-17 15:34:55.103608+02	\N	\N	\N	\N	\N	\N	f	
1956	09b8e3f1-4c06-4e6d-8878-b1372c212299	Cerklje na Gorenjskem	Cerklje na Gorenjskem	2	0	2013-06-05 09:16:21.405469+02	\N	\N	\N	\N	\N	\N	f	
9703	2a5a822b-f767-4cde-9635-84e7846f9389	Nusajaya	Nusajaya	3	0	2013-06-16 13:13:13.349769+02	\N	\N	\N	\N	\N	\N	f	
9785	4627c0d6-ed46-420a-8a8d-ffb0dfecd793	Chikuma	Chikuma	3	0	2013-06-18 03:26:24.404632+02	\N	\N	\N	\N	\N	\N	f	
9736	bbadd70b-afd5-40af-8179-c1c1505ec67e	Santa Maria	Santa Maria	3	0	2013-06-17 23:24:58.520652+02	\N	\N	\N	\N	\N	\N	f	
9748	7e103674-0fc4-4b9d-a992-daa9117beeb3	Annaka	Annaka	3	0	2013-06-18 01:05:46.171003+02	\N	\N	\N	\N	\N	\N	f	
9902	39859dcd-6867-44d6-96db-29720c2da419	Rittō	Rittō	3	0	2013-06-18 04:07:39.938594+02	\N	\N	\N	\N	\N	\N	f	
9799	e07240fb-2f91-40ab-90b4-f90ff4d5ef04	Sumoto	Sumoto	3	0	2013-06-18 03:38:58.689018+02	\N	\N	\N	\N	\N	\N	f	
10000	633baf5e-42b6-40ef-ac79-3789cba41521	Aki	Aki	3	0	2013-06-18 07:53:59.111531+02	\N	\N	\N	\N	\N	\N	f	
10013	018ed238-49aa-4774-bae2-f2126aaa54a3	Sukumo	Sukumo	3	0	2013-06-18 08:01:20.118274+02	\N	\N	\N	\N	\N	\N	f	
10088	166ea1bd-a776-4078-9a1f-55ea6b5c16a7	Nishihara	Nishihara	3	0	2013-06-18 08:21:14.71964+02	\N	\N	\N	\N	\N	\N	f	
10176	d2aefa58-8ada-4a11-88b5-d21b25877860	Hidaka	Hidaka	3	0	2013-06-18 14:46:02.947427+02	\N	\N	\N	\N	\N	\N	f	
10212	e007d070-e507-45ff-b2ed-ca8cb1e7bf8a	Motoyama, Kōchi	Motoyama, Kōchi	3	0	2013-06-18 15:12:30.991498+02	\N	\N	\N	\N	\N	\N	f	
10234	2fa4b964-1805-4499-b2a6-3cac4dfc2df0	Hayashima	Hayashima	3	0	2013-06-18 17:17:45.742913+02	\N	\N	\N	\N	\N	\N	f	
10274	427afbcb-34c8-409f-baf7-4597b2a010cb	Fujimi	Fujimi	3	0	2013-06-18 17:25:09.313253+02	\N	\N	\N	\N	\N	\N	f	
10276	aedd3fc9-d63c-47ad-a34f-bfdc999004b2	Sekikawa	Sekikawa	3	0	2013-06-18 17:25:31.516026+02	\N	\N	\N	\N	\N	\N	f	
4355	fe86af6d-668b-46b6-aa7e-79767c52b1b3	Valladolid	Valladolid	2	0	2013-05-22 13:11:16.815867+02	\N	\N	\N	\N	\N	\N	f	
4658	40516778-05b3-4128-b952-15d2b417965d	Lecce	Lecce	2	0	2013-05-22 14:36:06.388914+02	\N	\N	\N	\N	\N	\N	f	
4794	47cb9e00-883b-49b1-9158-53348cb021b9	Maloelap	Maloelap	2	0	2013-05-22 15:14:57.558306+02	\N	\N	\N	\N	\N	\N	f	
5178	08c1fb02-e2d0-425d-b68c-3ff979a07a7d	Locarno	Locarno	3	0	2013-05-24 22:43:22.322234+02	\N	\N	\N	\N	\N	\N	f	
4932	1a646a10-cb24-4605-b9aa-360a4d408f37	Misamis Oriental	Misamis Oriental	2	0	2013-05-22 15:52:53.656896+02	\N	\N	\N	\N	\N	\N	f	
5824	d4d86d55-c1c7-4f5b-ab11-f2427a6e3284	Sisakht	Sisakht	3	0	2013-05-25 00:58:24.581162+02	\N	\N	\N	\N	\N	\N	f	
5213	e68879f9-bd95-41ff-96ba-c082ff37cc74	Nashville	Nashville	3	0	2013-05-24 22:50:05.751282+02	\N	\N	\N	\N	\N	\N	f	
5239	3e80aaa7-9b71-450f-8147-0ecf101d8f1a	Minneapolis	Minneapolis	3	0	2013-05-24 22:55:10.789466+02	\N	\N	\N	\N	\N	\N	f	
5336	04c2ef13-3934-4a26-b947-1714d0297c65	Narvik	Narvik	3	0	2013-05-24 23:14:37.902796+02	\N	\N	\N	\N	\N	\N	f	
6029	cba4e6d6-3dbe-4c9c-bf08-5e2aec31c202	Kazerun	Kazerun	3	0	2013-05-25 01:38:45.718384+02	\N	\N	\N	\N	\N	\N	f	
5491	385bd7d3-640f-4cba-831b-deddde5c2fea	Chełmno	Chełmno	3	0	2013-05-24 23:46:24.20434+02	\N	\N	\N	\N	\N	\N	f	
5683	7d06ad85-0fdb-418f-b0bd-f8d23d1d9bba	Ćmielów	Ćmielów	3	0	2013-05-25 00:30:33.538898+02	\N	\N	\N	\N	\N	\N	f	
5690	f8f12c41-0372-471d-90f1-3edb9a2d71c2	İnegöl	İnegöl	3	0	2013-05-25 00:31:48.652354+02	\N	\N	\N	\N	\N	\N	f	
6289	250bf076-fabd-4a69-a5e7-10ce763eb098	Buffalo	Buffalo	3	0	2013-05-25 02:30:38.602683+02	\N	\N	\N	\N	\N	\N	f	
6494	ed34f4aa-fd12-464d-ba33-ba2167f64234	Mount Holly, North Carolina	Mount Holly, North Carolina	3	0	2013-05-25 03:18:53.550061+02	\N	\N	\N	\N	\N	\N	f	
8135	86dc7190-dd39-4f89-bc6d-9ec29f537a3b	Montegabbione	Montegabbione	3	0	2013-05-30 21:00:48.775174+02	\N	\N	\N	\N	\N	\N	f	
6762	d6621fa5-41e7-42c5-84f7-84b4eedaaa4f	Wilburton	Wilburton	3	0	2013-05-25 04:11:23.819401+02	\N	\N	\N	\N	\N	\N	f	
7153	3b7cfcad-9965-44a6-a9f8-520e361ffc6a	Lubawa	Lubawa	3	0	2013-05-26 17:06:28.476728+02	\N	\N	\N	\N	\N	\N	f	
6769	389ffb28-7b55-4685-93b2-8c9bb57b6eaa	Bastak	Bastak	3	0	2013-05-25 04:12:51.824608+02	\N	\N	\N	\N	\N	\N	f	
6827	4ff76bb0-657c-4f65-8ab4-065807843adc	Gol Tappeh	Gol Tappeh	3	0	2013-05-25 04:23:20.438733+02	\N	\N	\N	\N	\N	\N	f	
6853	92f43351-6b02-4dcf-b095-9eea38aafa99	Serow	Serow	3	0	2013-05-25 04:27:52.225285+02	\N	\N	\N	\N	\N	\N	f	
7183	606569b9-687c-4574-a4b6-0fe7e0adf606	Oxford	Oxford	3	0	2013-05-26 17:13:07.190849+02	\N	\N	\N	\N	\N	\N	f	
6892	e275a91a-4976-4900-b6e0-c7c8ec7c8ff5	Mohammadyar	Mohammadyar	3	0	2013-05-25 04:35:40.447938+02	\N	\N	\N	\N	\N	\N	f	
6907	574a8910-0b2d-4671-97bf-dbb45e4490de	Pardanjan	Pardanjan	3	0	2013-05-25 04:38:44.817369+02	\N	\N	\N	\N	\N	\N	f	
8662	d0e0d72e-bbdb-4070-bbd6-9e4c30299eb5	Moss Vale	Moss Vale	3	0	2013-06-01 18:08:18.171684+02	\N	\N	\N	\N	\N	\N	f	
6908	f97d8dc9-cf69-4838-86a7-b281277647cf	Gujan	Gujan	3	0	2013-05-25 04:38:55.003608+02	\N	\N	\N	\N	\N	\N	f	
7264	695d6402-8eca-40d8-82b1-a020ecbf1e0b	Zagórz	Zagórz	3	0	2013-05-26 17:34:20.103971+02	\N	\N	\N	\N	\N	\N	f	
6922	42279d54-9dd3-4c28-8f20-9b94bb16e4a9	Qasr-e Shirin	Qasr-e Shirin	3	0	2013-05-25 04:41:56.153764+02	\N	\N	\N	\N	\N	\N	f	
6978	df974e09-8dea-479b-b814-133bbf39ef44	El Centro	El Centro	3	0	2013-05-25 14:19:14.922729+02	\N	\N	\N	\N	\N	\N	f	
8139	3b535561-ce77-4189-90e3-a089eaba3ebc	Prittlewell	Prittlewell	3	0	2013-05-30 21:01:54.903306+02	\N	\N	\N	\N	\N	\N	f	
6992	12f8b44b-1213-4175-bf3e-fa8d21ed7613	Dobra, Łobez County	Dobra, Łobez County	3	0	2013-05-25 14:22:31.567596+02	\N	\N	\N	\N	\N	\N	f	
8145	337da5e8-8469-480e-bf05-354a64420ce5	Unterseen	Unterseen	3	0	2013-05-30 21:03:43.756325+02	\N	\N	\N	\N	\N	\N	f	
8149	68f823a0-2bec-4579-b3d7-34fd55138e5b	Avoca	Avoca	3	0	2013-05-30 21:04:27.343713+02	\N	\N	\N	\N	\N	\N	f	
8674	a347e18d-de01-4af5-ba5f-1e3b595853db	Bega, New South Wales	Bega, New South Wales	3	0	2013-06-01 18:12:02.908409+02	\N	\N	\N	\N	\N	\N	f	
1960	f5949624-76e6-4ab2-aae1-4023d82dbb3a	Črna na Koroškem	Črna na Koroškem	2	0	2013-05-27 20:00:26.720769+02	\N	\N	\N	\N	\N	\N	f	
8197	519800d0-c1f7-4381-b714-97ffd2f69331	Nikita	Nikita	3	0	2013-05-30 21:15:01.394044+02	\N	\N	\N	\N	\N	\N	f	
7385	a6863390-ef4f-42a4-b461-370ae8c1d559	Chestertown	Chestertown	3	0	2013-05-28 14:19:40.442668+02	\N	\N	\N	\N	\N	\N	f	
7513	cb576704-86f9-4e55-a0d0-078b8ed7187f	Steinau an der Straße	Steinau an der Straße	3	0	2013-05-29 00:35:33.599219+02	\N	\N	\N	\N	\N	\N	f	
7670	6082e274-aa36-4653-b11c-d2662f791565	Rosenthal	Rosenthal	3	0	2013-05-29 01:08:52.635818+02	\N	\N	\N	\N	\N	\N	f	
8261	de3c5230-cc41-4cb2-b477-224d5c930fe0	Myrniong	Myrniong	3	0	2013-05-30 21:31:10.920563+02	\N	\N	\N	\N	\N	\N	f	
7814	f0c03e19-fa77-438e-b001-d25a6d97b4f4	Andrews	Andrews	3	0	2013-05-29 02:37:30.110293+02	\N	\N	\N	\N	\N	\N	f	
7978	743523d6-c574-454e-9079-de113e30452a	Valencia	Valencia	3	0	2013-05-30 13:38:58.606945+02	\N	\N	\N	\N	\N	\N	f	
8002	954da4df-1950-4db5-91bf-06f6b7534b28	Shibushi	Shibushi	3	0	2013-05-30 16:46:50.330623+02	\N	\N	\N	\N	\N	\N	f	
8290	f2d545ff-f337-469f-88cc-98d6710655a6	Kiunga	Kiunga	3	0	2013-05-30 21:37:37.721493+02	\N	\N	\N	\N	\N	\N	f	
8023	2a6a22b2-e755-4868-a37f-7bac59ba8449	Mount Hagen	Mount Hagen	3	0	2013-05-30 18:28:37.057163+02	\N	\N	\N	\N	\N	\N	f	
8776	4f451a97-ae30-4d16-aa10-87ae1c6ffb22	Brwinów	Brwinów	3	0	2013-06-01 18:43:20.815902+02	\N	\N	\N	\N	\N	\N	f	
8341	995a116d-d6ce-46db-9429-de871e9e83dc	Bedburg	Bedburg	3	0	2013-05-30 21:49:07.07844+02	\N	\N	\N	\N	\N	\N	f	
9718	ecc975bd-2dd2-4a78-8bc4-6ec9e5d552db	Ōfunato	Ōfunato	3	0	2013-06-17 15:36:20.54533+02	\N	\N	\N	\N	\N	\N	f	
8355	96410cd2-3fea-48e1-a19a-ef443376c0a4	Manningtree	Manningtree	3	0	2013-05-30 21:52:29.007344+02	\N	\N	\N	\N	\N	\N	f	
8800	29f17b5b-2431-43ff-b2ed-9c5158cb0744	Bryn Mawr, Pennsylvania	Bryn Mawr, Pennsylvania	3	0	2013-06-01 18:49:18.877482+02	\N	\N	\N	\N	\N	\N	f	
8499	6f1484b5-ea3a-46a0-8a71-9979358f5493	Pilzno	Pilzno	3	0	2013-06-01 17:26:29.963813+02	\N	\N	\N	\N	\N	\N	f	
8537	10e31e37-8abf-46d8-91fa-f4de6b0a020e	Amos	Amos	3	0	2013-06-01 17:35:13.758628+02	\N	\N	\N	\N	\N	\N	f	
9684	45fdbfe0-4947-4aed-bf84-21509efdc8ba	Dover	Dover	3	0	2013-06-15 20:29:57.661826+02	\N	\N	\N	\N	\N	\N	f	
8915	ff3a83ef-6877-419f-8edf-ba2110123d5f	Węgliniec	Węgliniec	3	0	2013-06-01 20:01:24.582964+02	\N	\N	\N	\N	\N	\N	f	
9029	3112aa3c-734a-4aad-a5fc-db66d8eb6dc9	Tianshui	Tianshui	3	0	2013-06-01 20:25:33.885993+02	\N	\N	\N	\N	\N	\N	f	
9704	2d476306-4b43-4bf2-9998-393bbb383b17	Carlsbad	Carlsbad	3	0	2013-06-16 13:14:04.205744+02	\N	\N	\N	\N	\N	\N	f	
9170	e55367b3-394e-4597-9e70-f589b0305606	Kłodawa	Kłodawa	3	0	2013-06-01 20:59:03.072222+02	\N	\N	\N	\N	\N	\N	f	
3807	951f1d02-c78e-424c-b875-8161b4e2d9b0	Bracknell Forest	Bracknell Forest	2	0	2013-06-05 09:20:30.416162+02	\N	\N	\N	\N	\N	\N	f	
9737	532a0cdc-56a3-483b-81ee-95ee3afcebab	Ebersbach an der Fils	Ebersbach an der Fils	3	0	2013-06-17 23:28:11.671004+02	\N	\N	\N	\N	\N	\N	f	
9501	d51ea5f7-377e-4653-85c0-cbdbde3cd1a4	Surat	Surat	3	0	2013-06-09 17:58:46.49422+02	\N	\N	\N	\N	\N	\N	f	
9712	ae7709da-5abc-45a3-be14-26960d8c85b8	Savonlinna	Savonlinna	3	0	2013-06-16 22:39:41.000485+02	\N	\N	\N	\N	\N	\N	f	
9844	747152fd-9bff-4b9f-a58c-e0427f70674c	Kashiba	Kashiba	3	0	2013-06-18 03:53:14.451192+02	\N	\N	\N	\N	\N	\N	f	
9742	331a048c-3a04-4127-aab2-6f171fd9cc8f	Kanuma	Kanuma	3	0	2013-06-18 01:01:35.204813+02	\N	\N	\N	\N	\N	\N	f	
9786	e788aeb5-3669-453a-b28a-2e443bf34a80	Takehara	Takehara	3	0	2013-06-18 03:29:01.319606+02	\N	\N	\N	\N	\N	\N	f	
9903	7c75aed7-f742-4a8b-b8be-465926c49a0e	Kitamoto	Kitamoto	3	0	2013-06-18 04:07:50.385673+02	\N	\N	\N	\N	\N	\N	f	
9865	2d5da6b0-b243-4427-8319-8fc357dcb325	Sanjō	Sanjō	3	0	2013-06-18 03:59:21.811713+02	\N	\N	\N	\N	\N	\N	f	
10002	cd5070ef-e849-4423-9959-3f5bbe778ed4	Kashima	Kashima	3	0	2013-06-18 07:55:05.523092+02	\N	\N	\N	\N	\N	\N	f	
10008	28ab5a3e-8327-4d31-8106-361cf1283b4d	Isahaya	Isahaya	3	0	2013-06-18 07:59:24.827854+02	\N	\N	\N	\N	\N	\N	f	
10089	b4ec8708-baf2-4e86-a318-4432f243ebe6	Kawaminami	Kawaminami	3	0	2013-06-18 08:21:39.872371+02	\N	\N	\N	\N	\N	\N	f	
10177	f532666d-06a4-4945-bca4-a08cfeff266b	Mannō	Mannō	3	0	2013-06-18 14:46:13.123037+02	\N	\N	\N	\N	\N	\N	f	
10235	4b18828c-e505-4ddd-83e0-be35ced73925	Taishi	Taishi	3	0	2013-06-18 17:17:58.911451+02	\N	\N	\N	\N	\N	\N	f	
10241	acde6a83-9f57-4826-a90a-574ff068b103	Nanbu	Nanbu	3	0	2013-06-18 17:19:04.745308+02	\N	\N	\N	\N	\N	\N	f	
10275	b5e97283-f2d9-449f-9ec4-21ae0a2c8b69	Miyake	Miyake	3	0	2013-06-18 17:25:19.93864+02	\N	\N	\N	\N	\N	\N	f	
15507	b0159058-8aff-4753-b1e6-753f705fbd2f	Nibbiola	Nibbiola	4	0	2013-07-22 01:00:41.389002+02	\N	\N	\N	\N	\N	\N	f	
10293	323388ef-9330-4ff1-b8c6-10cba363f896	Ginan	Ginan	3	0	2013-06-18 17:28:36.41115+02	\N	\N	\N	\N	\N	\N	f	
4358	d5013858-3263-4131-b18a-7ba55b96a9cf	Zamora	Zamora	2	0	2013-05-22 13:11:52.868675+02	\N	\N	\N	\N	\N	\N	f	
9502	e97d9770-8c85-4a99-8049-dbb0af3a6c05	Candiac	Candiac	3	0	2013-06-09 17:59:07.591546+02	\N	\N	\N	\N	\N	\N	f	
4378	e2eaa6c3-27e8-422a-bf92-eb92308494b2	Côte-d'Or	Côte-d'Or	2	0	2013-06-05 08:40:55.967193+02	\N	\N	\N	\N	\N	\N	f	
4659	b166d77c-d293-4df0-8d5b-3f39b35b3c62	Livorno	Livorno	2	0	2013-05-22 14:36:23.489086+02	\N	\N	\N	\N	\N	\N	f	
4933	4b2c247d-6a20-4e68-9734-900b5602a1c6	Cotabato	Cotabato	2	0	2013-06-05 08:12:57.51206+02	\N	\N	\N	\N	\N	\N	f	
4363	0b69a16e-2153-4a3b-975b-303dbba94260	Hautes-Alpes	Hautes-Alpes	2	0	2013-05-22 13:13:04.543369+02	\N	\N	\N	\N	\N	\N	f	
4361	1f2bd26a-41ba-42fb-99b7-9113dd02cb9d	Allier	Allier	2	0	2013-06-05 08:27:30.417338+02	\N	\N	\N	\N	\N	\N	f	
4705	41d8af37-53e0-4e9c-80c6-8d8a389b5f66	Taranto	Taranto	2	0	2013-05-22 14:49:40.976811+02	\N	\N	\N	\N	\N	\N	f	
4373	3588396b-ac77-44d1-980f-3e48ce588261	Cantal	Cantal	2	0	2013-06-05 08:22:11.144431+02	\N	\N	\N	\N	\N	\N	f	
5179	b03ff310-d8e2-45cf-9455-769f76641eb2	Detroit	Detroit	3	0	2013-05-24 22:43:38.727631+02	\N	\N	\N	\N	\N	\N	f	
4423	44054ea5-a713-4c6f-9830-ae22ed40eaec	Pyrénées-Atlantiques	Pyrénées-Atlantiques	2	0	2013-05-22 13:27:03.852143+02	\N	\N	\N	\N	\N	\N	f	
4795	17bb3d17-a073-44a7-8c69-943797db87f4	Mejit	Mejit	2	0	2013-05-22 15:15:17.865964+02	\N	\N	\N	\N	\N	\N	f	
4820	b7232165-11a8-46bc-b5d4-984f172d7fcd	Kaafu	Kaafu	2	0	2013-05-22 15:23:13.28951+02	\N	\N	\N	\N	\N	\N	f	
313	e10dada7-934d-4a38-a20f-44cc6fa4672d	British Columbia	British Columbia	2	0	2013-06-05 09:30:08.780881+02	\N	\N	\N	\N	\N	\N	f	
5339	2bfc42c1-b3b7-4685-9c47-def3772f09e1	Västervik	Västervik	3	0	2013-05-24 23:15:09.282649+02	\N	\N	\N	\N	\N	\N	f	
4943	c49899ef-b9fc-463f-bb97-c8c787e517ea	Quirino	Quirino	2	0	2013-05-22 15:54:59.158023+02	\N	\N	\N	\N	\N	\N	f	
8003	e415a1da-b8d8-4dc9-9b1c-c32cb9521f79	Minamikyūshū	Minamikyūshū	3	0	2013-05-30 16:47:18.812034+02	\N	\N	\N	\N	\N	\N	f	
5348	3c01fe14-8d85-465b-b5ec-a7197bf34de6	Grayling	Grayling	3	0	2013-05-24 23:17:07.962943+02	\N	\N	\N	\N	\N	\N	f	
5353	19f91eea-5c1a-48ae-849f-78c3185d121e	Christchurch	Christchurch	3	0	2013-05-24 23:18:23.403141+02	\N	\N	\N	\N	\N	\N	f	
7154	4b87d00d-7cc3-4b23-ad7e-aa25bd3571c5	Reszel	Reszel	3	0	2013-05-26 17:06:40.100144+02	\N	\N	\N	\N	\N	\N	f	
5400	b792d31d-f8e7-4be3-afdc-d54ca9de0238	Khezri Dasht Beyaz	Khezri Dasht Beyaz	3	0	2013-05-24 23:26:58.590584+02	\N	\N	\N	\N	\N	\N	f	
6030	eeda80b8-44eb-4fbf-880e-dbeda2b9a07d	Khonj	Khonj	3	0	2013-05-25 01:38:55.907875+02	\N	\N	\N	\N	\N	\N	f	
5492	13b679b5-fba4-46c1-b6cd-fb888e1f9bd8	Zawadzkie	Zawadzkie	3	0	2013-05-24 23:46:36.195799+02	\N	\N	\N	\N	\N	\N	f	
5506	108f0305-7bb1-4a5f-99d9-16ca32860bfe	Kerman	Kerman	3	0	2013-05-24 23:50:48.798726+02	\N	\N	\N	\N	\N	\N	f	
6495	15b48586-1703-460b-9d5f-46a2e0ec6c58	Starke, Florida	Starke, Florida	3	0	2013-05-25 03:19:07.187655+02	\N	\N	\N	\N	\N	\N	f	
5566	5706dc73-2de8-4217-ac81-d205af2edd3a	Grabów nad Prosną	Grabów nad Prosną	3	0	2013-05-25 00:03:54.468823+02	\N	\N	\N	\N	\N	\N	f	
6290	9a34d88f-ea4e-4423-be1b-0650375adb32	Mława	Mława	3	0	2013-05-25 02:30:54.256556+02	\N	\N	\N	\N	\N	\N	f	
5582	6bdd321e-340f-479f-be47-f38b16958483	Yamagata	Yamagata	3	0	2013-05-25 00:07:12.800511+02	\N	\N	\N	\N	\N	\N	f	
5684	92aac1d8-b77f-420a-b527-c119a1d4de89	Suffolk	Suffolk	3	0	2013-05-25 00:30:44.615744+02	\N	\N	\N	\N	\N	\N	f	
5695	89b18f75-a9c2-49da-a809-180d9ed91278	Mbeya	Mbeya	3	0	2013-05-25 00:32:41.296485+02	\N	\N	\N	\N	\N	\N	f	
6763	30102991-74db-4cb7-947e-73556f4780ac	Dabudasht	Dabudasht	3	0	2013-05-25 04:11:34.227979+02	\N	\N	\N	\N	\N	\N	f	
6786	3a7ac5d5-c907-4d1a-bd73-64e837f02fdf	Komeshcheh	Komeshcheh	3	0	2013-05-25 04:16:10.22167+02	\N	\N	\N	\N	\N	\N	f	
7161	99107f69-1abe-45b2-8505-422850995972	Ińsko	Ińsko	3	0	2013-05-26 17:08:10.685733+02	\N	\N	\N	\N	\N	\N	f	
6852	93669f3f-9c31-489c-a398-87ad7216f85f	Silvaneh	Silvaneh	3	0	2013-05-25 04:27:42.018354+02	\N	\N	\N	\N	\N	\N	f	
6868	82759bf5-5690-4c89-a079-c4c65e8399fe	Marzikola	Marzikola	3	0	2013-05-25 04:30:32.935646+02	\N	\N	\N	\N	\N	\N	f	
9171	3355da60-d5ec-4835-bf0e-4f59df822cc6	Wieleń	Wieleń	3	0	2013-06-01 20:59:14.517661+02	\N	\N	\N	\N	\N	\N	f	
6874	71a01eb0-f71a-4663-b35d-176f17e2e12b	Hashatjin	Hashatjin	3	0	2013-05-25 04:31:39.777445+02	\N	\N	\N	\N	\N	\N	f	
7265	252ec8b2-1357-4b73-8bdf-65cb10e49c7f	Tyszowce	Tyszowce	3	0	2013-05-26 17:34:31.92821+02	\N	\N	\N	\N	\N	\N	f	
6979	1c9de1d6-66e1-43a3-ba1b-04f70d172de6	Frombork	Frombork	3	0	2013-05-25 14:19:32.657729+02	\N	\N	\N	\N	\N	\N	f	
5826	347eccc3-8bda-46c7-87dc-ecbae7eaeb29	Encinitas	Encinitas	3	0	2013-05-26 14:09:57.947933+02	\N	\N	\N	\N	\N	\N	f	
2337	3d2bc94e-e8e1-44c6-aa1a-8c297ec2fa0c	Čučer Sandevo	Čučer Sandevo	2	0	2013-05-27 20:02:02.882251+02	\N	\N	\N	\N	\N	\N	f	
8024	7023e159-c9f0-4876-bd99-d154b98910cb	Mazhin	Mazhin	3	0	2013-05-30 18:28:55.392162+02	\N	\N	\N	\N	\N	\N	f	
7396	6286968b-9d92-456e-b61f-83098a7b3021	Garden City	Garden City	3	0	2013-05-28 14:25:13.371562+02	\N	\N	\N	\N	\N	\N	f	
7416	de363b34-9e60-42c4-9e18-315a485f2fa9	Strabane	Strabane	3	0	2013-05-28 14:30:12.181733+02	\N	\N	\N	\N	\N	\N	f	
8628	917a600a-b8c3-47d1-abd6-039541316ff8	Daleszyce	Daleszyce	3	0	2013-06-01 17:59:10.848453+02	\N	\N	\N	\N	\N	\N	f	
7444	a7dd6d77-ae50-440b-8114-f71cabbfb05d	Choum	Choum	3	0	2013-05-28 14:39:56.947515+02	\N	\N	\N	\N	\N	\N	f	
8136	51a92d6c-26f7-44a4-9fc9-d5b22fca21d4	Cardeal da Silva	Cardeal da Silva	3	0	2013-05-30 21:00:58.984798+02	\N	\N	\N	\N	\N	\N	f	
7515	1c01bcad-670a-438e-b470-c79a62da6d46	Eltville	Eltville	3	0	2013-05-29 00:36:01.785373+02	\N	\N	\N	\N	\N	\N	f	
7673	8ae0b9d2-f360-4984-b41b-c01c9f65f805	Gernsheim	Gernsheim	3	0	2013-05-29 01:09:30.608118+02	\N	\N	\N	\N	\N	\N	f	
7815	59d97d00-14df-4bd8-bc93-aeb91448863d	Newark	Newark	3	0	2013-05-29 02:37:46.899951+02	\N	\N	\N	\N	\N	\N	f	
8238	f8a94d6c-bc96-4d1e-a65c-4b7c62f372a8	Ferentillo	Ferentillo	3	0	2013-05-30 21:25:05.119305+02	\N	\N	\N	\N	\N	\N	f	
7980	5eb9ec51-c1de-46e7-9885-fbc0e483ed47	San Vito dei Normanni	San Vito dei Normanni	3	0	2013-05-30 13:41:34.466743+02	\N	\N	\N	\N	\N	\N	f	
9030	def32c13-04d0-4edd-8974-8121825ee6b7	Wronki	Wronki	3	0	2013-06-01 20:25:44.87845+02	\N	\N	\N	\N	\N	\N	f	
8664	ad1c9ae1-9ea7-4718-ac6e-02fe313b5f9d	Oberon	Oberon	3	0	2013-06-01 18:08:58.453456+02	\N	\N	\N	\N	\N	\N	f	
8239	719ad60b-f32b-4eea-a968-6e4e4975a5c3	Wigan	Wigan	3	0	2013-05-30 21:25:15.713503+02	\N	\N	\N	\N	\N	\N	f	
8294	d2ab163b-7e2b-48c9-ba72-b3b6adf45ce8	Avoca	Avoca	3	0	2013-05-30 21:38:42.116739+02	\N	\N	\N	\N	\N	\N	f	
8501	42493fb7-3787-4001-8cff-6574ca9804d3	Chocianów	Chocianów	3	0	2013-06-01 17:26:58.349861+02	\N	\N	\N	\N	\N	\N	f	
8671	38903f1b-aedd-4ea3-b7e1-73a38b4d22b5	Warren	Warren	3	0	2013-06-01 18:11:11.281369+02	\N	\N	\N	\N	\N	\N	f	
4379	e97de4ef-2be4-4114-964a-f27a2046e8e0	Côtes-d'Armor	Côtes-d'Armor	2	0	2013-06-05 07:32:57.145677+02	\N	\N	\N	\N	\N	\N	f	
8777	d0ce55ff-9c8a-4789-8e23-ca3fe27a25c0	Gozdnica	Gozdnica	3	0	2013-06-01 18:43:33.326272+02	\N	\N	\N	\N	\N	\N	f	
9081	4ca939c7-9812-41f1-810e-70d35297d7f7	Baoding	Baoding	3	0	2013-06-01 20:35:47.679092+02	\N	\N	\N	\N	\N	\N	f	
8916	b8af1778-f8ca-4da7-af14-d242d08d23b2	Heze	Heze	3	0	2013-06-01 20:01:40.50461+02	\N	\N	\N	\N	\N	\N	f	
4359	fc169d7a-8cf7-4fd0-a65e-f00b7abd879d	Ain	Ain	2	0	2013-06-05 07:11:23.167822+02	\N	\N	\N	\N	\N	\N	f	
9119	faff1c54-5e0b-46ef-82fa-a3cfdbe49b98	Xiaogan	Xiaogan	3	0	2013-06-01 20:43:53.228057+02	\N	\N	\N	\N	\N	\N	f	
4362	e1c8c8e5-63e1-4cfa-bbd0-4dd302fe2b59	Alpes-de-Haute-Provence	Alpes-de-Haute-Provence	2	0	2013-06-05 07:37:45.805997+02	\N	\N	\N	\N	\N	\N	f	
9685	d5036197-6376-407b-88c3-395d0715ca91	St Andrews	St Andrews	3	0	2013-06-15 20:34:10.620622+02	\N	\N	\N	\N	\N	\N	f	
9705	468fc6dd-a81a-4b97-944a-c229a3046f1a	Burradoo	Burradoo	3	0	2013-06-16 13:14:39.571036+02	\N	\N	\N	\N	\N	\N	f	
9719	a62ec8ac-ef11-4c7d-8c37-827128e851a2	Ichinoseki	Ichinoseki	3	0	2013-06-17 15:36:48.838875+02	\N	\N	\N	\N	\N	\N	f	
9743	1663b47c-be65-4294-ae7a-1b6b2ba93b1a	Mooka	Mooka	3	0	2013-06-18 01:03:46.918599+02	\N	\N	\N	\N	\N	\N	f	
9787	0f3b36aa-57d6-4967-abe9-6a15f3a7b24b	Yawatahama	Yawatahama	3	0	2013-06-18 03:29:19.949914+02	\N	\N	\N	\N	\N	\N	f	
9804	2f3e73ec-1610-4ca6-9436-1354ab54da7f	Niiza	Niiza	3	0	2013-06-18 03:40:17.487757+02	\N	\N	\N	\N	\N	\N	f	
9914	fa262e80-9e86-456a-aec0-12923f9ff09f	Honjō	Honjō	3	0	2013-06-18 04:10:08.5707+02	\N	\N	\N	\N	\N	\N	f	
9926	7bf88b7a-ff10-4e8a-8e88-546b94133984	Gyokutō	Gyokutō	3	0	2013-06-18 07:25:12.056074+02	\N	\N	\N	\N	\N	\N	f	
13807	4f8cae3c-085a-4825-be18-5a3237c04fe8	Borno, Lombardy	Borno, Lombardy	4	0	2013-07-21 19:16:28.742547+02	\N	\N	\N	\N	\N	\N	f	
10003	00858b63-7326-4e1b-990c-65e62215860d	Kasuga	Kasuga	3	0	2013-06-18 07:55:15.997378+02	\N	\N	\N	\N	\N	\N	f	
14403	a5068c98-6536-4b18-a056-884a48bc86ee	Conzano	Conzano	4	0	2013-07-21 21:29:52.839204+02	\N	\N	\N	\N	\N	\N	f	
9744	3dcd2fc7-8d56-4c50-b3ea-80718c166101	Kitakata	Kitakata	3	0	2013-06-18 01:03:59.645375+02	\N	\N	\N	\N	\N	\N	f	
4383	475d8350-a598-4da8-ada4-b4c2dd1d93fe	Drôme	Drôme	2	0	2013-05-22 13:17:36.535435+02	\N	\N	\N	\N	\N	\N	f	
4661	b14d0356-d151-4aaf-b66f-23bac2201d69	Latina	Latina	2	0	2013-05-22 14:37:10.85985+02	\N	\N	\N	\N	\N	\N	f	
4674	f3c7f50b-d721-4b33-8d81-3e0659cde19e	Ogliastra	Ogliastra	2	0	2013-05-22 14:40:27.203264+02	\N	\N	\N	\N	\N	\N	f	
5180	c38d8161-bec9-4f25-9846-9fe262f864cf	Tartu	Tartu	3	0	2013-05-24 22:43:49.656524+02	\N	\N	\N	\N	\N	\N	f	
4689	349650cb-0926-4ac9-965e-3ac6dd37c339	Potenza	Potenza	2	0	2013-05-22 14:45:11.601907+02	\N	\N	\N	\N	\N	\N	f	
4797	29f59c10-8842-4708-b762-33122dce0030	Namdrik	Namdrik	2	0	2013-05-22 15:16:03.409763+02	\N	\N	\N	\N	\N	\N	f	
4936	a6741f4a-8a21-4589-9e18-a103641c6521	Northern Samar	Northern Samar	2	0	2013-05-22 15:53:39.086874+02	\N	\N	\N	\N	\N	\N	f	
5181	5c2c1de2-b38d-4484-b8e9-fe987890855a	Murcia	Murcia	3	0	2013-05-24 22:43:59.79964+02	\N	\N	\N	\N	\N	\N	f	
4949	aa96bb5a-f7f2-433d-8589-1dfea52df1ac	Southern Leyte	Southern Leyte	2	0	2013-05-22 15:56:15.217606+02	\N	\N	\N	\N	\N	\N	f	
5827	94b686ba-e330-443b-9974-80ed9e69542e	Hamilton	Hamilton	3	0	2013-05-25 00:59:03.496152+02	\N	\N	\N	\N	\N	\N	f	
5219	10173e97-7f16-4d06-9534-8c85a994dae7	Rouen	Rouen	3	0	2013-05-24 22:51:24.062604+02	\N	\N	\N	\N	\N	\N	f	
5341	5d94df68-a267-4d10-ad9e-21d894d883a1	Sittard	Sittard	3	0	2013-05-24 23:15:30.758883+02	\N	\N	\N	\N	\N	\N	f	
5493	d640d9e2-6129-400a-9061-30334e440626	Sari	Sari	3	0	2013-05-24 23:46:59.056534+02	\N	\N	\N	\N	\N	\N	f	
6035	916cc1e9-5825-44ea-a551-b170beed55b4	Iringa	Iringa	3	0	2013-05-25 01:39:54.922211+02	\N	\N	\N	\N	\N	\N	f	
5504	cdc23cff-c4ec-4d47-9755-cc157c250bec	Kutaisi	Kutaisi	3	0	2013-05-24 23:50:02.5815+02	\N	\N	\N	\N	\N	\N	f	
19667	eb1710fa-5c0b-460b-88ca-8d0870723e50	Anghiari	Anghiari	4	0	2013-07-22 11:16:36.822858+02	\N	\N	\N	\N	\N	\N	f	
5540	ced2611f-cfac-438a-95d0-02d6f5fb4f84	Tacoma	Tacoma	3	0	2013-05-24 23:59:10.096014+02	\N	\N	\N	\N	\N	\N	f	
6498	022df2ac-553e-4a39-a10d-0d4d0f129673	White Sulphur Springs, West Virginia	White Sulphur Springs, West Virginia	3	0	2013-05-25 03:19:42.529218+02	\N	\N	\N	\N	\N	\N	f	
5568	39783294-2224-427c-b0dc-65c6e8f03a67	Oshawa	Oshawa	3	0	2013-05-25 00:04:20.39938+02	\N	\N	\N	\N	\N	\N	f	
9686	9e4902e6-6f94-431f-b769-ff775cb309b2	Malolos City	Malolos City	3	0	2013-06-15 20:35:28.832346+02	\N	\N	\N	\N	\N	\N	f	
5685	c6909c54-01f7-46bd-a28b-6c99b6597f7a	Wysokie Mazowieckie	Wysokie Mazowieckie	3	0	2013-05-25 00:30:55.20776+02	\N	\N	\N	\N	\N	\N	f	
6291	327ab6f2-3e00-40e3-a388-515e2a49e5e6	Radzyń Podlaski	Radzyń Podlaski	3	0	2013-05-25 02:31:05.226501+02	\N	\N	\N	\N	\N	\N	f	
7155	5e6325c0-1565-4f93-b311-69234c725b34	Sieraków	Sieraków	3	0	2013-05-26 17:06:51.068168+02	\N	\N	\N	\N	\N	\N	f	
8536	6ce9d90b-e13b-497c-bde6-7330ed1b1cdc	Shawinigan	Shawinigan	3	0	2013-06-01 17:35:01.98006+02	\N	\N	\N	\N	\N	\N	f	
6805	327d7589-34f9-4ccc-9021-b47998d01c5a	Darb-e Gonbad	Darb-e Gonbad	3	0	2013-05-25 04:19:29.214836+02	\N	\N	\N	\N	\N	\N	f	
7266	b6ec6aac-2e17-425e-b191-63d0002faaed	Suchedniów	Suchedniów	3	0	2013-05-26 17:34:45.148751+02	\N	\N	\N	\N	\N	\N	f	
6823	5c5ea0a4-aac0-4013-9b79-1ca44642c478	Chalanchulan	Chalanchulan	3	0	2013-05-25 04:22:39.745622+02	\N	\N	\N	\N	\N	\N	f	
6824	4d82abd5-6779-4048-90d0-d33afc7de55b	Lisar	Lisar	3	0	2013-05-25 04:22:50.005741+02	\N	\N	\N	\N	\N	\N	f	
7517	e0366e12-a665-4a6d-baa1-044e4df9337e	Weiterstadt	Weiterstadt	3	0	2013-05-29 00:36:32.169708+02	\N	\N	\N	\N	\N	\N	f	
6980	eb64f6fe-8e30-4eb9-8dbe-d4499900f694	Darłowo	Darłowo	3	0	2013-05-25 14:19:43.487338+02	\N	\N	\N	\N	\N	\N	f	
6764	1f3c27d0-39c3-464c-b8f8-6b4e6a78a86f	Yountville	Yountville	3	0	2013-05-26 14:09:07.151034+02	\N	\N	\N	\N	\N	\N	f	
7674	7b9c1041-b733-4a56-b82c-fae2b8dc5a82	Ararat	Ararat	3	0	2013-05-29 01:09:41.47457+02	\N	\N	\N	\N	\N	\N	f	
4286	75fa6fda-f3d6-4bf0-898d-73b9bfb9fdfc	Žďár nad Sázavou	Žďár nad Sázavou	2	0	2013-05-27 20:02:14.806528+02	\N	\N	\N	\N	\N	\N	f	
7687	6fc10ee9-7bd6-48a4-9a1c-2b24e5da19e6	Bathurst	Bathurst	3	0	2013-05-29 01:12:46.944174+02	\N	\N	\N	\N	\N	\N	f	
8667	a77a4e83-8209-4eae-bb9d-9aab60d148d5	Aurora	Aurora	3	0	2013-06-01 18:09:54.769414+02	\N	\N	\N	\N	\N	\N	f	
7816	d038259e-524d-4d55-9b88-d55bd7358a76	Merkendorf	Merkendorf	3	0	2013-05-29 02:37:58.843524+02	\N	\N	\N	\N	\N	\N	f	
7981	5f5bcaab-497e-412a-b536-16baed9869d4	Orléans	Orléans	3	0	2013-05-30 13:42:30.375528+02	\N	\N	\N	\N	\N	\N	f	
6913	0e05a818-d210-46ce-9a4a-fc8b114a1436	Kish	Kish	3	0	2013-06-05 06:45:46.570165+02	\N	\N	\N	\N	\N	\N	f	
8004	a28c9087-237f-4b5a-a3b3-3309b7061d14	Izumi	Izumi	3	0	2013-05-30 16:49:16.1079+02	\N	\N	\N	\N	\N	\N	f	
8778	b803ed24-0473-48fa-98ee-de3f74de0cae	Dąbrowa Białostocka	Dąbrowa Białostocka	3	0	2013-06-01 18:43:44.302174+02	\N	\N	\N	\N	\N	\N	f	
8025	42cbde8a-0e4d-45df-883d-c18a1afef14c	Grays	Grays	3	0	2013-05-30 18:29:08.41373+02	\N	\N	\N	\N	\N	\N	f	
2958	47c655d6-d4c2-4dd8-8c31-24ec785b4584	Āz̄arbāyjān-e Sharqī	Āz̄arbāyjān-e Sharqī	2	0	2013-05-27 20:04:14.76833+02	\N	\N	\N	\N	\N	\N	f	
7400	bcbbca4b-6357-4b99-a312-68836adf24aa	Llandudno	Llandudno	3	0	2013-05-28 14:26:42.622511+02	\N	\N	\N	\N	\N	\N	f	
7402	7efe0515-3653-4617-a054-364718f7896e	Newton	Newton	3	0	2013-05-28 14:27:16.623224+02	\N	\N	\N	\N	\N	\N	f	
8137	49e11348-eb15-4863-b763-764ed91a5065	Mikhaylovka	Mikhaylovka	3	0	2013-05-30 21:01:18.086535+02	\N	\N	\N	\N	\N	\N	f	
8918	74043a43-ee02-48e1-9608-cc91fd66635e	Andover	Andover	3	0	2013-06-01 20:02:12.299522+02	\N	\N	\N	\N	\N	\N	f	
8296	48587275-a79a-4e90-8f12-262c42264617	Esperance, Western Australia	Esperance, Western Australia	3	0	2013-05-30 21:39:06.901475+02	\N	\N	\N	\N	\N	\N	f	
8505	cee6e40a-9c21-475c-91fe-1d291ecf3dee	Columbus	Columbus	3	0	2013-06-01 17:27:56.102436+02	\N	\N	\N	\N	\N	\N	f	
6037	8641ce84-a7a8-489f-9215-57f779f9321c	Damavand	Damavand	3	0	2013-06-05 06:45:59.619502+02	\N	\N	\N	\N	\N	\N	f	
9031	cb33f85d-a65a-490d-ac40-3d7d28321e17	Jiayuguan City	Jiayuguan City	3	0	2013-06-01 20:25:55.275402+02	\N	\N	\N	\N	\N	\N	f	
9172	f378f2ee-70ae-48ec-bea8-f38c97ea2682	Jedlina-Zdrój	Jedlina-Zdrój	3	0	2013-06-01 20:59:25.887467+02	\N	\N	\N	\N	\N	\N	f	
9706	f66fcc4e-847f-4007-963c-87c1ae751696	Amberg	Amberg	3	0	2013-06-16 13:18:31.221086+02	\N	\N	\N	\N	\N	\N	f	
9188	a3529993-3464-49cc-a6fd-084e91440c60	Gorzów Śląski	Gorzów Śląski	3	0	2013-06-01 21:03:01.105092+02	\N	\N	\N	\N	\N	\N	f	
10004	47e8993f-0a7d-4f49-a7fe-41a7f2a2189f	Kashihara	Kashihara	3	0	2013-06-18 07:56:18.998491+02	\N	\N	\N	\N	\N	\N	f	
3360	25fe6000-c1e2-44a3-bcf2-1f6ac4d25176	Ashanti	Ashanti	2	0	2013-06-05 09:35:52.790512+02	\N	\N	\N	\N	\N	\N	f	
4364	d991e40d-0a23-42f9-86e7-e43ab528fc41	Alpes-Maritimes	Alpes-Maritimes	2	0	2013-06-05 11:13:27.114253+02	\N	\N	\N	\N	\N	\N	f	
9720	34bded8a-eb1d-421b-9e75-0f176428035a	Shiogama	Shiogama	3	0	2013-06-17 15:38:59.143421+02	\N	\N	\N	\N	\N	\N	f	
9746	89302b85-3f48-43a9-99f4-f0b1bdfdd643	Takahagi	Takahagi	3	0	2013-06-18 01:04:52.943822+02	\N	\N	\N	\N	\N	\N	f	
9731	56cfade9-f402-460a-857c-3561c4df1d98	Shiroishi	Shiroishi	3	0	2013-06-17 15:47:19.876061+02	\N	\N	\N	\N	\N	\N	f	
9503	b59b102c-7c57-4d83-b450-420f3d276993	Becharaji	Becharaji	3	0	2013-06-09 17:59:31.311505+02	\N	\N	\N	\N	\N	\N	f	
4365	c541e0a5-3352-48e0-84dc-58ca9fc1bcfc	Ardèche	Ardèche	2	0	2013-06-05 11:02:20.466467+02	\N	\N	\N	\N	\N	\N	f	
9828	72cf5d2b-fc94-4095-9d64-605dc617888e	Shibata	Shibata	3	0	2013-06-18 03:48:56.355619+02	\N	\N	\N	\N	\N	\N	f	
9788	eb8e4dcd-4abf-4c1c-bffc-2e3d2cc708e3	Himeji	Himeji	3	0	2013-06-18 03:30:21.052+02	\N	\N	\N	\N	\N	\N	f	
9927	3a1bb4d5-3b5b-4502-bbd0-b855d2195a7f	Ōzu	Ōzu	3	0	2013-06-18 07:25:29.220312+02	\N	\N	\N	\N	\N	\N	f	
9916	e11d4965-357c-4656-9ce3-9804b4fe44a5	Sasayama	Sasayama	3	0	2013-06-18 04:10:30.524706+02	\N	\N	\N	\N	\N	\N	f	
10091	0599b927-a2ca-4bd1-9c3c-ec3242bdcaa1	Izena	Izena	3	0	2013-06-18 08:23:23.704198+02	\N	\N	\N	\N	\N	\N	f	
10179	2f3393c3-33dc-4a53-a46b-def68f61b835	Kōya	Kōya	3	0	2013-06-18 14:46:33.966744+02	\N	\N	\N	\N	\N	\N	f	
10236	7d9f0090-1b65-40a0-943b-26564081772b	Yakage	Yakage	3	0	2013-06-18 17:18:09.94805+02	\N	\N	\N	\N	\N	\N	f	
10238	2449c0a5-6b4b-43a6-83d5-b498d8481fb5	Tagami	Tagami	3	0	2013-06-18 17:18:31.049905+02	\N	\N	\N	\N	\N	\N	f	
10244	a501ef14-5558-4c79-ac0e-fb61a1f50bf8	Inagawa	Inagawa	3	0	2013-06-18 17:19:36.008926+02	\N	\N	\N	\N	\N	\N	f	
10280	597cdf00-0e5c-4dc4-88b1-bc03ba3f4dfd	Ōshika	Ōshika	3	0	2013-06-18 17:26:14.663132+02	\N	\N	\N	\N	\N	\N	f	
10249	61fc8cdb-e504-44af-8f86-b5c86e67ab93	Takatori	Takatori	3	0	2013-06-18 17:20:42.656893+02	\N	\N	\N	\N	\N	\N	f	
10281	67df3375-de0d-4769-b399-a09fabb5bfc4	Otari	Otari	3	0	2013-06-18 17:26:27.392614+02	\N	\N	\N	\N	\N	\N	f	
10294	c0310103-268f-490e-bf12-9092aaf8ecd0	Gōdo	Gōdo	3	0	2013-06-18 17:28:46.900095+02	\N	\N	\N	\N	\N	\N	f	
5182	05f42811-db63-45c2-b27c-fe34843c9f18	Pontevedra	Pontevedra	3	0	2013-05-24 22:44:09.882377+02	\N	\N	\N	\N	\N	\N	f	
4662	43c3523e-6305-4f1a-97e2-6c74e3bdaed5	Lucca	Lucca	2	0	2013-05-22 14:37:23.12161+02	\N	\N	\N	\N	\N	\N	f	
4735	da5d2c40-b201-4e43-ba0f-0ae49d6bbca7	Mātara	Mātara	2	0	2013-05-22 14:58:14.316958+02	\N	\N	\N	\N	\N	\N	f	
4745	bdbe3e5d-a082-4317-844d-6feeb9543fc3	Kuruṇægala	Kuruṇægala	2	0	2013-05-22 15:00:34.383115+02	\N	\N	\N	\N	\N	\N	f	
5200	f1898820-820a-4b86-8c5c-90e670fde674	Trenton	Trenton	3	0	2013-05-24 22:47:44.012542+02	\N	\N	\N	\N	\N	\N	f	
4798	2bfd1ff4-0cbf-4f29-a40e-e1a608acc955	Namu	Namu	2	0	2013-05-22 15:16:25.700884+02	\N	\N	\N	\N	\N	\N	f	
4938	17163f0c-72df-4f7c-bbc2-3d6175a729dc	Nueva Vizcaya	Nueva Vizcaya	2	0	2013-05-22 15:54:00.696654+02	\N	\N	\N	\N	\N	\N	f	
13808	a27c25b1-a902-43ea-b43b-6dde172e4a43	Villastellone	Villastellone	4	0	2013-07-21 19:16:44.943086+02	\N	\N	\N	\N	\N	\N	f	
5236	33587495-c775-4483-b819-931c4cf438cd	Oxford	Oxford	3	0	2013-05-24 22:54:39.729824+02	\N	\N	\N	\N	\N	\N	f	
5829	554ce81d-8c9e-4aca-8e92-b0dc749d0b60	Prosser	Prosser	3	0	2013-05-25 00:59:32.405044+02	\N	\N	\N	\N	\N	\N	f	
5342	bec79128-ad4d-4d6c-b6ff-3b705391e6c4	Pułtusk	Pułtusk	3	0	2013-05-24 23:15:42.561124+02	\N	\N	\N	\N	\N	\N	f	
5496	95ce6789-4f25-4fca-9aff-c0893920d3b4	Craiova	Craiova	3	0	2013-05-24 23:47:46.115187+02	\N	\N	\N	\N	\N	\N	f	
5686	3129f073-3a04-410e-bb73-080f3deaed49	Mahabad	Mahabad	3	0	2013-05-25 00:31:05.533302+02	\N	\N	\N	\N	\N	\N	f	
6045	e65b27ee-a54e-4e0d-8b6c-fe98ede237a5	Torrington	Torrington	3	0	2013-05-25 01:41:54.777828+02	\N	\N	\N	\N	\N	\N	f	
5698	5e86d7ad-92e2-4b4f-b672-57d0fefaa1b2	Almada	Almada	3	0	2013-05-25 00:33:17.178076+02	\N	\N	\N	\N	\N	\N	f	
6293	c6363350-05d1-4150-8511-7a23583f8874	Działdowo	Działdowo	3	0	2013-05-25 02:31:27.611599+02	\N	\N	\N	\N	\N	\N	f	
6302	e78aaea3-9145-4a29-a3bc-fc0e23e555c2	Przysucha	Przysucha	3	0	2013-05-25 02:33:17.716982+02	\N	\N	\N	\N	\N	\N	f	
9264	c187784a-bf70-4442-af45-637d7422a478	Hartford	Hartford	3	0	2013-06-02 15:21:01.913862+02	\N	\N	\N	\N	\N	\N	f	
6310	7c2708fd-1575-4866-9da1-21140cf833b6	Pasłęk	Pasłęk	3	0	2013-05-25 02:35:20.224762+02	\N	\N	\N	\N	\N	\N	f	
7156	df14cf03-856c-41b8-93a9-1bb8f06ce512	Przedecz	Przedecz	3	0	2013-05-26 17:07:02.647183+02	\N	\N	\N	\N	\N	\N	f	
6765	7ae9974d-1e85-461b-90bc-b9b07e55b1a4	Anar	Anar	3	0	2013-05-25 04:11:58.769923+02	\N	\N	\N	\N	\N	\N	f	
6870	3e750fff-696f-4419-8f27-a99bcb7cc600	Baruq	Baruq	3	0	2013-05-25 04:30:55.652518+02	\N	\N	\N	\N	\N	\N	f	
8138	d0e3969d-e5e9-44c8-9757-30f7d44c385b	Scarsdale	Scarsdale	3	0	2013-05-30 21:01:40.730458+02	\N	\N	\N	\N	\N	\N	f	
6878	ceaf0eb3-f380-4b67-8d5a-29110d53659f	Bakhshayesh	Bakhshayesh	3	0	2013-05-25 04:32:25.651658+02	\N	\N	\N	\N	\N	\N	f	
7176	823e1bae-a1fe-4e1a-8f67-22031578259e	Georgetown	Georgetown	3	0	2013-05-26 17:11:34.697642+02	\N	\N	\N	\N	\N	\N	f	
6982	0c364a12-8c38-47a3-b432-cdb8e8b4fc7d	Uniejów	Uniejów	3	0	2013-05-25 14:20:05.080063+02	\N	\N	\N	\N	\N	\N	f	
6990	b98d1992-b166-4f6c-9a74-fe907b88687f	Ujście	Ujście	3	0	2013-05-25 14:22:08.435558+02	\N	\N	\N	\N	\N	\N	f	
7267	07048919-d192-46a9-b0b2-19e33cbb5beb	Nowa Sarzyna	Nowa Sarzyna	3	0	2013-05-26 17:34:59.213941+02	\N	\N	\N	\N	\N	\N	f	
9032	e2cc3175-cbef-4272-b36a-c49413c576e5	Jinchang	Jinchang	3	0	2013-06-01 20:26:06.987832+02	\N	\N	\N	\N	\N	\N	f	
2154	c8ca52f9-15f2-4baa-8f97-c6a5ffb46722	Šentrupert	Šentrupert	2	0	2013-05-27 20:02:19.712873+02	\N	\N	\N	\N	\N	\N	f	
8144	3c429700-7737-4e52-9500-a121b26752e8	Amphitheatre	Amphitheatre	3	0	2013-05-30 21:03:30.719374+02	\N	\N	\N	\N	\N	\N	f	
7401	52d32fc0-1751-4880-9a16-a1fbed2fe40b	Chimaltenango	Chimaltenango	3	0	2013-05-28 14:27:01.382828+02	\N	\N	\N	\N	\N	\N	f	
7418	6295d5a0-ba98-458c-83c6-fc2e8b1af7ba	Dandenong	Dandenong	3	0	2013-05-28 14:30:44.612852+02	\N	\N	\N	\N	\N	\N	f	
7419	6f59f6a2-7bea-4280-a692-be4ccafbea76	Frankston	Frankston	3	0	2013-05-28 14:30:56.005134+02	\N	\N	\N	\N	\N	\N	f	
8297	62e69aaf-6f01-42f7-ae00-fb8aa8aa2637	Avrankou	Avrankou	3	0	2013-05-30 21:39:16.936936+02	\N	\N	\N	\N	\N	\N	f	
7520	f64f020d-6b39-489f-a58e-d06d7b0b3d2f	Maryborough	Maryborough	3	0	2013-05-29 00:37:28.231337+02	\N	\N	\N	\N	\N	\N	f	
7678	580f5ef6-b33a-44f7-a1c8-eec3e15179c7	Mühlheim am Main	Mühlheim am Main	3	0	2013-05-29 01:10:35.925798+02	\N	\N	\N	\N	\N	\N	f	
7691	fa3ae516-0d7b-498f-8b48-70f1bce403d9	Colton	Colton	3	0	2013-05-29 01:14:20.061012+02	\N	\N	\N	\N	\N	\N	f	
8373	da6c2345-7359-4705-9dda-336adb195231	Corowa	Corowa	3	0	2013-05-30 21:56:33.527922+02	\N	\N	\N	\N	\N	\N	f	
7818	40b14955-7923-41ba-aace-985a380ffdbe	Sumner	Sumner	3	0	2013-05-29 02:38:58.311476+02	\N	\N	\N	\N	\N	\N	f	
7983	2afa520a-c6c6-4675-837e-a75534cbae1b	Forlì	Forlì	3	0	2013-05-30 13:45:08.161544+02	\N	\N	\N	\N	\N	\N	f	
9177	561f9236-3ba5-4060-a55a-92a3fa0d9364	Kobylin	Kobylin	3	0	2013-06-01 21:00:36.864015+02	\N	\N	\N	\N	\N	\N	f	
8005	c0082ec4-3173-4f87-ba83-3823b02b8134	Satsumasendai	Satsumasendai	3	0	2013-05-30 16:50:01.572958+02	\N	\N	\N	\N	\N	\N	f	
8383	b29049e6-fc56-47e3-a423-c7a601b891b5	Avazak	Avazak	3	0	2013-05-30 21:58:55.335422+02	\N	\N	\N	\N	\N	\N	f	
8026	250b2c16-c898-40b1-8a84-45fd19bf6cef	Indiana, Pennsylvania	Indiana, Pennsylvania	3	0	2013-05-30 18:29:23.316465+02	\N	\N	\N	\N	\N	\N	f	
8097	eaf5f892-1f35-4b5c-8fb2-9eeb1829476f	Mount Macedon	Mount Macedon	3	0	2013-05-30 18:46:03.334303+02	\N	\N	\N	\N	\N	\N	f	
8506	216dfc4a-1c00-46bf-85a3-4cdae3ecd1d6	Clermont	Clermont	3	0	2013-06-01 17:28:06.52019+02	\N	\N	\N	\N	\N	\N	f	
9322	360d0a50-1739-41db-85d6-33ec36f87498	La Durantaye, Quebec	La Durantaye, Quebec	3	0	2013-06-03 04:18:33.293486+02	\N	\N	\N	\N	\N	\N	f	
8669	9dfa1c82-2863-4a78-b28d-ca24fec78345	Mount Chase	Mount Chase	3	0	2013-06-01 18:10:22.937589+02	\N	\N	\N	\N	\N	\N	f	
9193	cac4bac9-9616-4d9a-990d-7bba92c24168	Twardogóra	Twardogóra	3	0	2013-06-01 22:20:12.986265+02	\N	\N	\N	\N	\N	\N	f	
8677	a0c71322-947f-4cbf-bfe2-b677acddaa2e	Bregovo	Bregovo	3	0	2013-06-01 18:13:09.177745+02	\N	\N	\N	\N	\N	\N	f	
8779	4580d889-1a23-4635-b199-708dec6f23cd	Cunnamulla	Cunnamulla	3	0	2013-06-01 18:43:58.956163+02	\N	\N	\N	\N	\N	\N	f	
9274	e9ccdb59-01e3-4016-abb5-43af8e13ac34	Zaragoza	Zaragoza	3	0	2013-06-02 16:25:18.171486+02	\N	\N	\N	\N	\N	\N	f	
8919	4ab1887c-1cbe-46d5-a32c-fac66e4882e9	Foshan	Foshan	3	0	2013-06-01 20:02:23.026748+02	\N	\N	\N	\N	\N	\N	f	
9228	f70269d2-e6b0-4987-86cc-70039efe0ded	Bécancour	Bécancour	3	0	2013-06-02 01:01:21.354161+02	\N	\N	\N	\N	\N	\N	f	
9248	72af06ca-3481-4302-97b0-8f5ab9f99ed6	Saint-Basile-le-Grand	Saint-Basile-le-Grand	3	0	2013-06-02 04:02:09.290809+02	\N	\N	\N	\N	\N	\N	f	
9263	48beaca4-48f4-4ed6-8acf-8807adc30c38	Waterloo	Waterloo	3	0	2013-06-02 15:11:46.831274+02	\N	\N	\N	\N	\N	\N	f	
9312	c52c3229-2250-4b25-bf5b-8493380b6f4a	Richmond	Richmond	3	0	2013-06-02 22:16:07.882935+02	\N	\N	\N	\N	\N	\N	f	
9313	11180ef4-c4dd-49aa-8d31-76985a31c0d6	Yūsui	Yūsui	3	0	2013-06-03 00:02:17.178426+02	\N	\N	\N	\N	\N	\N	f	
6503	726d54fc-a591-43a4-a0a8-2695863ba727	Quivicán	Quivicán	3	0	2013-06-05 06:45:35.280692+02	\N	\N	\N	\N	\N	\N	f	
9336	12882a11-da5e-4ac8-b241-715a61bce2ec	Kärdla	Kärdla	3	0	2013-06-04 18:40:55.818971+02	\N	\N	\N	\N	\N	\N	f	
3842	2c921cd1-6a8b-4bbb-b097-f9c9acd1aff2	County Durham	Durham, County	2	0	2013-06-05 07:23:56.882044+02	\N	\N	\N	\N	\N	\N	f	
9337	e3f52e65-c496-4c5c-b595-6acce3a93cb4	Molfetta	Molfetta	3	0	2013-06-04 19:17:09.655876+02	\N	\N	\N	\N	\N	\N	f	
9338	84f19753-89ff-40bd-ae48-cd32e81a7637	Narva	Narva	3	0	2013-06-04 21:55:29.621287+02	\N	\N	\N	\N	\N	\N	f	
997	c4ea2500-202a-43a3-bb02-6efd61752fa6	Atlántico	Atlántico	2	0	2013-06-05 06:45:19.017546+02	\N	\N	\N	\N	\N	\N	f	
14404	7fe22a87-91f2-46f4-acdd-ce5dee767fbf	Lerma	Lerma	4	0	2013-07-21 21:30:04.723311+02	\N	\N	\N	\N	\N	\N	f	
4366	4cd09c40-41f9-49b3-901d-7421ce9f0289	Ardennes	Ardennes	2	0	2013-06-05 11:43:14.094587+02	\N	\N	\N	\N	\N	\N	f	
3626	17e091a9-f91d-494f-bd63-3ec6f0c38d73	Ascension	Ascension	2	0	2013-06-05 09:45:02.231259+02	\N	\N	\N	\N	\N	\N	f	
2529	d97a5302-c0f3-4469-9e95-5bea5f98c065	Arhangay	Arhangay	2	0	2013-06-05 06:52:24.793021+02	\N	\N	\N	\N	\N	\N	f	
9505	3491dda2-c9bc-438e-a95a-d7f8a03d1eac	Barwala	Barwala	3	0	2013-06-09 17:59:54.293524+02	\N	\N	\N	\N	\N	\N	f	
9687	a0250fc9-89eb-4263-828d-e977ff867e39	San Jose del Monte City	San Jose del Monte City	3	0	2013-06-15 20:35:48.745911+02	\N	\N	\N	\N	\N	\N	f	
9697	e46df0c6-10a1-40ce-a140-db519c905de1	Alexandria	Alexandria	3	0	2013-06-15 21:00:06.222612+02	\N	\N	\N	\N	\N	\N	f	
9721	f385ec73-1336-41c9-a808-67dc61b982cb	Yokote	Yokote	3	0	2013-06-17 15:39:17.038507+02	\N	\N	\N	\N	\N	\N	f	
9745	a6662c80-29c8-48ee-a205-88e212951811	Sakata	Sakata	3	0	2013-06-18 01:04:17.410186+02	\N	\N	\N	\N	\N	\N	f	
9789	4d62009d-1fe4-4aaa-ac75-0f0387ed44d0	Amagasaki	Amagasaki	3	0	2013-06-18 03:30:44.223224+02	\N	\N	\N	\N	\N	\N	f	
9918	71d116c6-67c0-4d8a-b5e8-01332d7e35da	Takasago	Takasago	3	0	2013-06-18 04:10:51.569504+02	\N	\N	\N	\N	\N	\N	f	
4382	c9613e93-6dd1-4356-902d-cdd39ceebe67	Doubs	Doubs	2	0	2013-05-22 13:17:22.626762+02	\N	\N	\N	\N	\N	\N	f	
4663	2abc91d2-feb0-4a49-b5fe-1460286ae15e	Monza e Brianza	Monza e Brianza	2	0	2013-05-22 14:37:41.196319+02	\N	\N	\N	\N	\N	\N	f	
4799	488b735c-a51e-4dca-abc0-b7e48a6cb766	Rongelap	Rongelap	2	0	2013-05-22 15:16:51.862263+02	\N	\N	\N	\N	\N	\N	f	
5183	dbc96853-9192-4adc-8d82-9e832963b03d	Sarajevo	Sarajevo	3	0	2013-05-24 22:44:19.966004+02	\N	\N	\N	\N	\N	\N	f	
4818	67148830-2d3f-48ee-ae35-ca7063917ed5	Shaviyani	Shaviyani	2	0	2013-05-22 15:22:40.160263+02	\N	\N	\N	\N	\N	\N	f	
4941	4d3a70a2-3b59-46e4-b722-593bf0caa9be	Palawan	Palawan	2	0	2013-05-22 15:54:37.365622+02	\N	\N	\N	\N	\N	\N	f	
5349	23f631c7-a8fc-418f-83c5-d3504c948af4	Holland	Holland	3	0	2013-05-24 23:17:21.551299+02	\N	\N	\N	\N	\N	\N	f	
5830	c4044e46-6e18-4335-b47b-d0b2f279406c	Dobra, Turek County	Dobra, Turek County	3	0	2013-05-25 00:59:51.446305+02	\N	\N	\N	\N	\N	\N	f	
5398	2fdd70f7-daa0-4df6-8cd4-912ecdd664c7	Magnitogorsk	Magnitogorsk	3	0	2013-05-24 23:26:38.33552+02	\N	\N	\N	\N	\N	\N	f	
5497	b26cfef7-e37c-42e1-a374-36d829a74f92	Solec Kujawski	Solec Kujawski	3	0	2013-05-24 23:47:59.503417+02	\N	\N	\N	\N	\N	\N	f	
5508	715da277-1f21-41f1-b979-2a53f4a332c6	Veracruz	Veracruz	3	0	2013-05-24 23:51:24.173211+02	\N	\N	\N	\N	\N	\N	f	
6052	7de9a0e2-70ed-4315-b10c-de6c51fe8d08	Starachowice	Starachowice	3	0	2013-05-25 01:43:11.303032+02	\N	\N	\N	\N	\N	\N	f	
5510	0daeac0c-8db5-437c-8b7f-a4b0863e1564	Winchester	Winchester	3	0	2013-05-24 23:52:10.743033+02	\N	\N	\N	\N	\N	\N	f	
5528	76a14a20-7b1e-405f-bc6a-22c7c483a6ce	Lappeenranta	Lappeenranta	3	0	2013-05-24 23:56:22.168215+02	\N	\N	\N	\N	\N	\N	f	
6504	c19b7d37-de3f-4588-af86-6c64afff47c2	Pishin	Pishin	3	0	2013-05-25 03:21:02.858339+02	\N	\N	\N	\N	\N	\N	f	
5589	21eac7e6-f885-4d7f-bc7f-b69a27dd56c5	Martigues	Martigues	3	0	2013-05-25 00:08:58.149049+02	\N	\N	\N	\N	\N	\N	f	
6294	ada63141-e64b-4ad0-b8dc-b10c2c0e1e05	Krapkowice	Krapkowice	3	0	2013-05-25 02:31:38.745095+02	\N	\N	\N	\N	\N	\N	f	
5688	17760ca8-5c09-401a-a445-dd972c943e39	Grajewo	Grajewo	3	0	2013-05-25 00:31:26.27568+02	\N	\N	\N	\N	\N	\N	f	
8146	929c8de9-2b7e-4ac8-ab7e-489f277759ba	Singida	Singida	3	0	2013-05-30 21:03:58.145539+02	\N	\N	\N	\N	\N	\N	f	
6318	9fb648b8-b1d3-42c2-8227-63e43fde252c	Lebanon, New Hampshire	Lebanon, New Hampshire	3	0	2013-05-25 02:37:30.83035+02	\N	\N	\N	\N	\N	\N	f	
7158	7f31eb80-6db8-4e77-a47d-7dbdc6ed4747	Rogoźno	Rogoźno	3	0	2013-05-26 17:07:28.671143+02	\N	\N	\N	\N	\N	\N	f	
6766	2e2acd03-048d-44d1-a197-681f57435300	Pauls Valley	Pauls Valley	3	0	2013-05-25 04:12:13.776872+02	\N	\N	\N	\N	\N	\N	f	
6983	4bb479a3-8986-4e30-b39d-8d0c46daa768	Strzelce Opolskie	Strzelce Opolskie	3	0	2013-05-25 14:20:27.92723+02	\N	\N	\N	\N	\N	\N	f	
7268	109499f2-bb37-411d-828c-33d24a1fdd50	Howard	Howard	3	0	2013-05-26 17:35:43.971699+02	\N	\N	\N	\N	\N	\N	f	
9249	a664b457-bbee-4f57-b3d0-6c0c0d99bc3f	Kirkland	Kirkland	3	0	2013-06-02 04:02:33.901235+02	\N	\N	\N	\N	\N	\N	f	
2247	7c0287ce-1e55-4c76-be5e-e146aa118738	Şoldăneşti	Şoldăneşti	2	0	2013-05-27 20:03:46.655197+02	\N	\N	\N	\N	\N	\N	f	
8298	304775d9-49c7-4e15-b538-dce05d6b557e	Corringham, Essex	Corringham, Essex	3	0	2013-05-30 21:39:26.92846+02	\N	\N	\N	\N	\N	\N	f	
7404	00f13664-040f-4a31-a28e-e29c3d5cfe9b	Dallas	Dallas	3	0	2013-05-28 14:27:37.961731+02	\N	\N	\N	\N	\N	\N	f	
7521	16482040-9be0-470f-ab97-6d3732cc49e3	Bad König	Bad König	3	0	2013-05-29 00:37:40.086399+02	\N	\N	\N	\N	\N	\N	f	
7679	a773f526-207a-435c-87d2-96b2082949ac	Runkel	Runkel	3	0	2013-05-29 01:10:47.160659+02	\N	\N	\N	\N	\N	\N	f	
8507	f53f0c7d-398d-4c48-b6d0-2638ef5dffc7	Clondalkin	Clondalkin	3	0	2013-06-01 17:28:18.782933+02	\N	\N	\N	\N	\N	\N	f	
7688	7f4a8101-5948-4845-9049-6f94bb44d6e3	Warrnambool	Warrnambool	3	0	2013-05-29 01:12:57.250301+02	\N	\N	\N	\N	\N	\N	f	
7701	858890d5-4a07-4885-9e23-ad75ca97ceb8	Swan Hill	Swan Hill	3	0	2013-05-29 01:24:07.151079+02	\N	\N	\N	\N	\N	\N	f	
7822	682be537-8452-4e4e-9e6a-8913c0fb6f2c	Brookhaven, Mississippi	Brookhaven, Mississippi	3	0	2013-05-29 02:40:08.683264+02	\N	\N	\N	\N	\N	\N	f	
8672	649c904a-db54-4115-9979-8178bf1ee2a4	Bamaga	Bamaga	3	0	2013-06-01 18:11:23.210721+02	\N	\N	\N	\N	\N	\N	f	
7984	619f0a6d-3486-4899-9e49-6702b16896f2	Livorno	Livorno	3	0	2013-05-30 13:50:00.103058+02	\N	\N	\N	\N	\N	\N	f	
8006	82e4d244-c5b5-4b4e-bcdd-c88a91d87c6a	Isa	Isa	3	0	2013-05-30 16:50:19.930406+02	\N	\N	\N	\N	\N	\N	f	
9265	5630b039-dafe-4599-ad85-8a0f4f1b6dab	Biencourt	Biencourt	3	0	2013-06-02 15:22:13.026225+02	\N	\N	\N	\N	\N	\N	f	
8028	31f23b00-81a9-4776-97a2-7e53d1b7fb4a	Wickford	Wickford	3	0	2013-05-30 18:29:49.37447+02	\N	\N	\N	\N	\N	\N	f	
8783	f39ebfcd-4d94-4711-977a-4447bcccc975	Kałuszyn	Kałuszyn	3	0	2013-06-01 18:44:57.363758+02	\N	\N	\N	\N	\N	\N	f	
8062	dcf49bee-a84c-4735-856a-a069ee42a1a4	Camperdown	Camperdown	3	0	2013-05-30 18:37:41.040966+02	\N	\N	\N	\N	\N	\N	f	
8140	444f9144-f14b-4537-a56d-e11843c846dc	Olney Springs	Olney Springs	3	0	2013-05-30 21:02:18.994268+02	\N	\N	\N	\N	\N	\N	f	
8142	bada4e23-a2ac-4f56-94a6-387f817c82c3	South Woodham Ferrers	South Woodham Ferrers	3	0	2013-05-30 21:03:03.342906+02	\N	\N	\N	\N	\N	\N	f	
8920	5a2494ed-8cce-4657-a5ab-97b27f8a9101	Saint-Sixte	Saint-Sixte	3	0	2013-06-01 20:02:38.622943+02	\N	\N	\N	\N	\N	\N	f	
9266	598dff70-69b7-4140-8579-6682de5b6165	Lac-Édouard	Lac-Édouard	3	0	2013-06-02 15:22:57.996638+02	\N	\N	\N	\N	\N	\N	f	
9033	573c902e-0c27-4fb0-a33d-87c96b916024	Pingliang	Pingliang	3	0	2013-06-01 20:26:19.451958+02	\N	\N	\N	\N	\N	\N	f	
9178	6c0954c2-4836-4471-9710-8fc711f54372	Siewierz	Siewierz	3	0	2013-06-01 21:00:48.550709+02	\N	\N	\N	\N	\N	\N	f	
9339	0c650106-6bd0-4f71-aaf7-aaa071f50245	Karksi-Nuia	Karksi-Nuia	3	0	2013-06-04 21:56:04.375924+02	\N	\N	\N	\N	\N	\N	f	
9194	07e8f6ff-e158-4a34-9779-7962d4ee3e34	Lubraniec	Lubraniec	3	0	2013-06-01 22:20:33.179978+02	\N	\N	\N	\N	\N	\N	f	
9275	6c0ef62f-2d6a-4389-abe2-e048ca856987	Villavieja de Muñó	Villavieja de Muñó	3	0	2013-06-02 16:27:40.391264+02	\N	\N	\N	\N	\N	\N	f	
9229	1f3d7b06-dff3-4fcb-b8bf-423782a1c2ef	Alma	Alma	3	0	2013-06-02 01:01:35.98182+02	\N	\N	\N	\N	\N	\N	f	
9790	d4efeb00-76f1-4a95-8500-d8f1df3461f1	Nishinomiya	Nishinomiya	3	0	2013-06-18 03:33:22.425467+02	\N	\N	\N	\N	\N	\N	f	
9314	99a1eb1b-d3d2-454a-9f19-260c3e062f17	Nagashima	Nagashima	3	0	2013-06-03 00:02:28.038455+02	\N	\N	\N	\N	\N	\N	f	
9354	378f0e93-99e3-42fd-879e-eb3b1a086f74	Paldiski	Paldiski	3	0	2013-06-04 22:05:56.685481+02	\N	\N	\N	\N	\N	\N	f	
9323	905fa82b-cd4f-44f2-8ff1-2b1d842f8eb9	Międzylesie	Międzylesie	3	0	2013-06-03 04:33:14.734507+02	\N	\N	\N	\N	\N	\N	f	
9688	f3e23e38-1c9a-4aec-856a-c0c04eaaf27a	Cabuyao City	Cabuyao City	3	0	2013-06-15 20:39:02.020127+02	\N	\N	\N	\N	\N	\N	f	
9324	8b4a093d-ace9-4611-8fd0-b6827c2d768c	Queenstown	Queenstown	3	0	2013-06-03 18:02:37.878544+02	\N	\N	\N	\N	\N	\N	f	
2471	d1e62ede-7a36-4644-8cdb-c2906e8d4e42	Ararat	Ararat	2	0	2013-06-05 09:36:58.386326+02	\N	\N	\N	\N	\N	\N	f	
4367	92d67980-b326-4391-b453-9af77d0c1ec8	Ariège	Ariège	2	0	2013-06-05 12:15:26.763704+02	\N	\N	\N	\N	\N	\N	f	
656	efcc28f2-94b8-4b54-81c4-48d5668e441c	Arunachal Pradesh	Arunachal Pradesh	2	0	2013-06-05 06:45:57.210572+02	\N	\N	\N	\N	\N	\N	f	
9506	cdab9fea-c2dd-487d-9487-aeffa646d72d	Saint-Bruno-de-Montarville	Saint-Bruno-de-Montarville	3	0	2013-06-09 18:00:49.625111+02	\N	\N	\N	\N	\N	\N	f	
4637	42e060ce-00b9-429a-bdeb-1e4390713805	Caltanissetta	Caltanissetta	2	0	2013-06-05 09:42:40.623619+02	\N	\N	\N	\N	\N	\N	f	
9747	4499599e-9a66-4217-8733-4af517d27ce2	Shimotsuma	Shimotsuma	3	0	2013-06-18 01:05:15.526245+02	\N	\N	\N	\N	\N	\N	f	
9722	7ec0eec1-6ef8-4516-886a-6725e0fb6215	Miyako	Miyako	3	0	2013-06-17 15:39:35.256344+02	\N	\N	\N	\N	\N	\N	f	
9855	f4a10274-5028-46cb-8e65-9914424ef46f	Kurobe	Kurobe	3	0	2013-06-18 03:55:51.820169+02	\N	\N	\N	\N	\N	\N	f	
9928	79b1090f-ae1f-448a-aae6-049b28d39ebd	Nagasu	Nagasu	3	0	2013-06-18 07:25:47.628835+02	\N	\N	\N	\N	\N	\N	f	
9922	0ab0d0a0-b1aa-4510-a405-8a458ba90b97	Satte	Satte	3	0	2013-06-18 04:11:34.012499+02	\N	\N	\N	\N	\N	\N	f	
10005	97d64bec-c806-4a36-a92f-b88efcb33c10	Tosashimizu	Tosashimizu	3	0	2013-06-18 07:57:56.184454+02	\N	\N	\N	\N	\N	\N	f	
10019	92a3f96a-0561-4dd8-b907-26222d8b79b1	Urasoe	Urasoe	3	0	2013-06-18 08:02:56.987855+02	\N	\N	\N	\N	\N	\N	f	
10077	3cd3997b-0e34-4245-be93-cff9188ceb7d	Imari	Imari	3	0	2013-06-18 08:16:56.313509+02	\N	\N	\N	\N	\N	\N	f	
10092	91b18413-70f4-4d64-be67-b6a893624686	Kirepi	Kirepi	3	0	2013-06-18 13:25:34.24435+02	\N	\N	\N	\N	\N	\N	f	
13809	4777ec9d-cd15-4424-96ea-da23f3e525e1	Borgo San Giacomo	Borgo San Giacomo	4	0	2013-07-21 19:17:00.494977+02	\N	\N	\N	\N	\N	\N	f	
15508	1e62f2c9-f412-408e-8f37-838ae58bf57c	Meina	Meina	4	0	2013-07-22 01:00:53.337169+02	\N	\N	\N	\N	\N	\N	f	
17309	d91961f1-d803-4e68-910c-1826a74de39d	Sennori	Sennori	4	0	2013-07-22 06:11:15.797402+02	\N	\N	\N	\N	\N	\N	f	
4664	1e6c04e9-59e3-4aa6-82ac-ffe0248fb669	Macerata	Macerata	2	0	2013-05-22 14:37:54.306042+02	\N	\N	\N	\N	\N	\N	f	
4700	6a09bd81-aa2f-4d0b-87ea-85bfde90f634	Sondrio	Sondrio	2	0	2013-05-22 14:48:17.719192+02	\N	\N	\N	\N	\N	\N	f	
5184	1dd3b994-d813-47a4-b6ca-b5e03f14327b	Santiago de Compostela	Santiago de Compostela	3	0	2013-05-24 22:44:30.151315+02	\N	\N	\N	\N	\N	\N	f	
4800	b265a378-6a3f-4f72-b387-36a9365f13eb	Ujae	Ujae	2	0	2013-05-22 15:17:15.108582+02	\N	\N	\N	\N	\N	\N	f	
4872	2cf54896-777c-4bba-9fd6-8f3bdca550d3	Manawatu-Wanganui	Manawatu-Wanganui	2	0	2013-05-22 15:38:03.067083+02	\N	\N	\N	\N	\N	\N	f	
4944	97f37c9c-05c5-4fe9-b5d8-a02349eef909	Rizal	Rizal	2	0	2013-05-22 15:55:12.692084+02	\N	\N	\N	\N	\N	\N	f	
5351	b6d574cd-df3f-41c5-9c70-11ffbde21726	Huntsville	Huntsville	3	0	2013-05-24 23:17:55.187876+02	\N	\N	\N	\N	\N	\N	f	
4946	387d6e19-38d5-41da-bcf5-b6f53ea1facc	Sarangani	Sarangani	2	0	2013-05-22 15:55:38.280918+02	\N	\N	\N	\N	\N	\N	f	
5833	1bebfeec-488a-4752-a490-044f9c8036ff	Woźniki	Woźniki	3	0	2013-05-25 01:00:49.004799+02	\N	\N	\N	\N	\N	\N	f	
5498	b8ac3654-b8f2-40bd-ab49-2549655271c2	Kermanshah	Kermanshah	3	0	2013-05-24 23:48:37.547134+02	\N	\N	\N	\N	\N	\N	f	
5692	9701c2ae-d405-4746-be09-92924a3b21fd	Kwidzyn	Kwidzyn	3	0	2013-05-25 00:32:10.535193+02	\N	\N	\N	\N	\N	\N	f	
6063	3adfca96-3c80-4baf-8017-d480226d1c03	Torbat-e Heydarieh	Torbat-e Heydarieh	3	0	2013-05-25 01:45:12.027764+02	\N	\N	\N	\N	\N	\N	f	
6507	5306e8c0-2089-40d9-b964-ed37246422e8	Gomishan	Gomishan	3	0	2013-05-25 03:21:49.573371+02	\N	\N	\N	\N	\N	\N	f	
6295	1305a014-5808-472c-9f4f-af76bca18e25	Wołów	Wołów	3	0	2013-05-25 02:31:49.903841+02	\N	\N	\N	\N	\N	\N	f	
7159	a03e9dbe-47eb-49db-a8cb-6acb59b36127	Bojanowo	Bojanowo	3	0	2013-05-26 17:07:43.043182+02	\N	\N	\N	\N	\N	\N	f	
7269	1a36e282-22c2-4f74-ad37-b654da70ae1f	Dell Rapids	Dell Rapids	3	0	2013-05-26 17:36:11.491476+02	\N	\N	\N	\N	\N	\N	f	
6767	6d6fdf28-8de7-4b5c-9d1a-ef1f1667c04b	Chickasha	Chickasha	3	0	2013-05-25 04:12:24.368854+02	\N	\N	\N	\N	\N	\N	f	
8784	56af5ada-52cc-4f42-99ba-47271d0e7deb	Bytom Odrzański	Bytom Odrzański	3	0	2013-06-01 18:45:09.803646+02	\N	\N	\N	\N	\N	\N	f	
6826	7b857bd8-0789-4ed3-b570-186064548664	Ozgoleh	Ozgoleh	3	0	2013-05-25 04:23:10.269211+02	\N	\N	\N	\N	\N	\N	f	
1944	ff560a09-9ce9-4db3-afb8-b504c51702f2	Žabljak	Žabljak	2	0	2013-05-27 20:03:51.493358+02	\N	\N	\N	\N	\N	\N	f	
6986	46655527-4903-4e95-97bc-e15148c99d36	Suchowola	Suchowola	3	0	2013-05-25 14:21:16.668196+02	\N	\N	\N	\N	\N	\N	f	
6298	bea8044d-66f2-4d4e-91d9-f63ba18b99ac	Jamestown	Jamestown	3	0	2013-05-26 14:24:01.000222+02	\N	\N	\N	\N	\N	\N	f	
6356	58897072-2562-4032-89d9-50f91a7030ce	Hudson	Hudson	3	0	2013-05-26 14:24:11.99498+02	\N	\N	\N	\N	\N	\N	f	
7407	0b345109-5a24-4e47-8bc5-44227f0bdcc3	Norristown	Norristown	3	0	2013-05-28 14:28:20.925796+02	\N	\N	\N	\N	\N	\N	f	
9340	4ba8ea82-2e7c-4530-a287-b5ebbea9a9d5	Watertown	Watertown	3	0	2013-06-04 21:56:37.69368+02	\N	\N	\N	\N	\N	\N	f	
7414	638a57a0-e83f-4f63-9bd2-4ed66bb2f888	Jalapa	Jalapa	3	0	2013-05-28 14:29:47.304219+02	\N	\N	\N	\N	\N	\N	f	
8921	ffcc39c3-e15d-45c0-9567-074b48c5caed	Saint-Roch-de-l'Achigan	Saint-Roch-de-l'Achigan	3	0	2013-06-01 20:02:52.480174+02	\N	\N	\N	\N	\N	\N	f	
7522	3fc29bad-37a1-49a8-8010-f16b7aed738b	Büdingen	Büdingen	3	0	2013-05-29 00:37:51.471903+02	\N	\N	\N	\N	\N	\N	f	
7680	6a6c4807-7eb4-469b-a7b7-533fe7babd0d	Staufenberg	Staufenberg	3	0	2013-05-29 01:10:58.710752+02	\N	\N	\N	\N	\N	\N	f	
9230	c4f6a534-3db5-439f-af6a-fc8c8d3fc1d0	Rivière-du-Loup	Rivière-du-Loup	3	0	2013-06-02 01:01:56.712136+02	\N	\N	\N	\N	\N	\N	f	
7823	a552751a-ce6e-46d0-9b07-141c92d12813	Coffs Harbour	Coffs Harbour	3	0	2013-05-29 02:40:29.729079+02	\N	\N	\N	\N	\N	\N	f	
8922	1dfb4232-3ce9-4eb4-b0ab-3db3afb9c545	Sainte-Famille	Sainte-Famille	3	0	2013-06-01 20:03:03.092141+02	\N	\N	\N	\N	\N	\N	f	
7985	ca95c22e-05e4-4377-be70-b3ed561ad1bd	Horsham	Horsham	3	0	2013-05-30 13:51:03.840931+02	\N	\N	\N	\N	\N	\N	f	
8029	9775c880-a254-434c-9796-00314aac44c7	Newstead	Newstead	3	0	2013-05-30 18:30:03.853757+02	\N	\N	\N	\N	\N	\N	f	
8143	5e8fcc56-bf44-4dfb-9495-00d3c0819b90	Port Laoise	Port Laoise	3	0	2013-05-30 21:03:16.489398+02	\N	\N	\N	\N	\N	\N	f	
9034	146d85c5-be68-4083-a9be-cea262214ac7	Hohhot	Hohhot	3	0	2013-06-01 20:26:33.514871+02	\N	\N	\N	\N	\N	\N	f	
8169	cc61a0e0-a508-4ee3-a818-55ecb376dd1b	Acquasparta	Acquasparta	3	0	2013-05-30 21:09:11.241897+02	\N	\N	\N	\N	\N	\N	f	
8300	4b3813de-07c5-4de1-b743-66368576f167	Colton	Colton	3	0	2013-05-30 21:39:55.642523+02	\N	\N	\N	\N	\N	\N	f	
8365	d32914f7-bc64-4928-840a-97c4dbb43a1e	Wewak	Wewak	3	0	2013-05-30 21:54:42.979974+02	\N	\N	\N	\N	\N	\N	f	
9035	5f3c9344-d5d1-4e1f-a246-f5e1e9339913	Oxford	Oxford	3	0	2013-06-01 20:26:43.726344+02	\N	\N	\N	\N	\N	\N	f	
8510	d99fb6c8-a018-4c7a-b29a-00164fc47d09	Dalby	Dalby	3	0	2013-06-01 17:28:59.33393+02	\N	\N	\N	\N	\N	\N	f	
8605	5c64b378-6558-44b5-912a-fbea610cbf00	Mogielnica	Mogielnica	3	0	2013-06-01 17:52:43.270608+02	\N	\N	\N	\N	\N	\N	f	
9250	d9c8d2ed-e207-4435-bcdc-d067865e0957	Mont-Tremblant	Mont-Tremblant	3	0	2013-06-02 04:02:52.911527+02	\N	\N	\N	\N	\N	\N	f	
8673	6d138f5d-8ad5-4eb5-b573-69592301a500	Sanford	Sanford	3	0	2013-06-01 18:11:42.761865+02	\N	\N	\N	\N	\N	\N	f	
9079	a95678b7-cb08-438c-9777-87e4aa958d33	Cangzhou	Cangzhou	3	0	2013-06-01 20:35:27.134352+02	\N	\N	\N	\N	\N	\N	f	
9124	47e778e3-93db-40b8-a6d3-b5bf61eee2fd	Huanggang	Huanggang	3	0	2013-06-01 20:44:46.23214+02	\N	\N	\N	\N	\N	\N	f	
9267	e9b25bd3-2dcc-4135-b6af-ffd552b350e2	Saint-Albert	Saint-Albert	3	0	2013-06-02 15:23:48.617205+02	\N	\N	\N	\N	\N	\N	f	
9142	22dfc398-1715-4383-aa8b-30557b8a4b82	Panjin	Panjin	3	0	2013-06-01 20:48:34.75389+02	\N	\N	\N	\N	\N	\N	f	
9179	9254cf3a-5ce4-4772-b428-e88adf2efa85	Jaworzyna Śląska	Jaworzyna Śląska	3	0	2013-06-01 21:01:00.3045+02	\N	\N	\N	\N	\N	\N	f	
9749	d0eda046-c537-4523-b1bc-328f7b88cfb1	Fujioka	Fujioka	3	0	2013-06-18 01:07:06.728005+02	\N	\N	\N	\N	\N	\N	f	
9195	2b69ced2-34af-4641-aa7d-967608013384	Szczytna	Szczytna	3	0	2013-06-01 22:21:19.981169+02	\N	\N	\N	\N	\N	\N	f	
9507	83fe546a-0d7c-44c7-bbcb-eae42c07b8de	Veraval	Veraval	3	0	2013-06-09 18:01:02.449324+02	\N	\N	\N	\N	\N	\N	f	
9276	3eba1671-51f3-465d-bd24-45455c20fddb	Alicante	Alicante	3	0	2013-06-02 16:29:49.467042+02	\N	\N	\N	\N	\N	\N	f	
9315	39e8402e-7821-4446-84bd-636f1bf908a5	Buk	Buk	3	0	2013-06-03 00:20:06.788672+02	\N	\N	\N	\N	\N	\N	f	
3235	5e4eeb60-4d15-489f-a086-e5b26d5536b2	Bafing (Région du)	Bafing (Région du)	2	0	2013-06-05 06:47:06.556171+02	\N	\N	\N	\N	\N	\N	f	
9325	16f1edf4-5f36-4e23-b069-37052ed41117	Silver	Silver	3	0	2013-06-03 18:04:38.905768+02	\N	\N	\N	\N	\N	\N	f	
9689	a530599e-2def-4d79-96d0-0cfdd4f69452	Tachikawa	Tachikawa	3	0	2013-06-15 20:40:32.294176+02	\N	\N	\N	\N	\N	\N	f	
9881	941a13cc-9b68-4cc3-ab1a-b57020660eff	Suzu	Suzu	3	0	2013-06-18 04:03:41.9764+02	\N	\N	\N	\N	\N	\N	f	
9723	90e14625-6a8a-4853-9dc6-1f4d6d5b286c	Iwanuma	Iwanuma	3	0	2013-06-17 15:40:04.878009+02	\N	\N	\N	\N	\N	\N	f	
9755	f84c3161-b7a9-43a2-9522-c9bf1ef27668	Nihonmatsu	Nihonmatsu	3	0	2013-06-18 01:09:35.005665+02	\N	\N	\N	\N	\N	\N	f	
3793	b5722c0c-cf9c-4f57-8783-314e563e84e8	Antrim	Antrim	2	0	2013-06-05 09:37:15.962907+02	\N	\N	\N	\N	\N	\N	f	
9794	130f8d5f-f320-42a7-a390-0332e578d498	Myōkō	Myōkō	3	0	2013-06-18 03:36:09.279068+02	\N	\N	\N	\N	\N	\N	f	
4368	503c5816-17b2-46c3-8d31-7a8d4bb26967	Aube	Aube	2	0	2013-06-05 10:34:35.570052+02	\N	\N	\N	\N	\N	\N	f	
9791	f01e5c96-8301-4b6a-9366-b3a43199af90	Akashi	Akashi	3	0	2013-06-18 03:34:41.41722+02	\N	\N	\N	\N	\N	\N	f	
9874	d54e8786-31d9-4689-abe9-152d3c374251	Komatsushima	Komatsushima	3	0	2013-06-18 04:01:59.274238+02	\N	\N	\N	\N	\N	\N	f	
9864	2c61663e-c39b-4b95-9fc8-24a22f69a83c	Kyōtanabe	Kyōtanabe	3	0	2013-06-18 03:59:11.548299+02	\N	\N	\N	\N	\N	\N	f	
9923	fa05ef1e-9738-4e71-b4d2-cf11b1274e45	Tatsuno	Tatsuno	3	0	2013-06-18 04:11:44.856616+02	\N	\N	\N	\N	\N	\N	f	
9929	bf891b4f-4d8f-4368-9776-51c7a0be3ab3	Kikuyō	Kikuyō	3	0	2013-06-18 07:26:01.399119+02	\N	\N	\N	\N	\N	\N	f	
9946	0e8aa172-e631-4e0d-b786-be085a923910	Tarama	Tarama	3	0	2013-06-18 07:29:35.34786+02	\N	\N	\N	\N	\N	\N	f	
10010	f3ca4671-cdae-414d-a2e6-44cb32dc4313	Arao	Arao	3	0	2013-06-18 08:00:12.308068+02	\N	\N	\N	\N	\N	\N	f	
10055	bcb8fc76-c230-418c-9d09-efa585da05d5	Matsuura	Matsuura	3	0	2013-06-18 08:12:54.653881+02	\N	\N	\N	\N	\N	\N	f	
10086	9c4da02f-24d2-415d-a76c-ccd45a6cd28e	Kikuchi	Kikuchi	3	0	2013-06-18 08:19:03.528649+02	\N	\N	\N	\N	\N	\N	f	
10096	a8b138b4-5bff-4e71-8c50-7ce7944e8a5c	Väike-Maarja	Väike-Maarja	3	0	2013-06-18 14:28:39.386712+02	\N	\N	\N	\N	\N	\N	f	
10094	37a30f46-3d05-42c1-b11e-b4678bd34cfa	Silmsi	Silmsi	3	0	2013-06-18 14:07:55.063021+02	\N	\N	\N	\N	\N	\N	f	
13810	df97b00d-984d-4c25-b46e-c09998028019	Bovegno	Bovegno	4	0	2013-07-21 19:17:16.188634+02	\N	\N	\N	\N	\N	\N	f	
26795	0a9a30b7-5b0b-433d-b5ca-324faaa76bf8	Leadwood	Leadwood	3	0	2013-09-08 02:55:49.407925+02	\N	\N	\N	\N	\N	\N	f	
4374	72a44fb7-75c8-4ac8-a13e-0b53c592c5f7	Charente	Charente	2	0	2013-06-05 10:03:17.414305+02	\N	\N	\N	\N	\N	\N	f	
4802	f2e91c21-2ec1-447d-9b1c-5526b497bcd6	Wotho	Wotho	2	0	2013-05-22 15:17:58.534262+02	\N	\N	\N	\N	\N	\N	f	
4371	f258f6b1-8767-4a9a-bbbd-a9d740d8e136	Bouches-du-Rhône	Bouches-du-Rhône	2	0	2013-06-05 10:16:44.798741+02	\N	\N	\N	\N	\N	\N	f	
4665	3ae31dc5-2a4d-4b0f-89cb-9d2e9850ad12	Messina	Messina	2	0	2013-05-22 14:38:13.382861+02	\N	\N	\N	\N	\N	\N	f	
4394	1c88fe64-1adc-4595-8399-fdbb83bdb1be	Ille-et-Vilaine	Ille-et-Vilaine	2	0	2013-05-22 13:19:28.259276+02	\N	\N	\N	\N	\N	\N	f	
4398	e834a1e2-e967-4c89-8306-5f22d6376ab4	Jura	Jura	2	0	2013-05-22 13:20:19.097795+02	\N	\N	\N	\N	\N	\N	f	
4801	de17a779-a779-4b07-a988-820193836a62	Utirik	Utirik	2	0	2013-05-22 15:17:35.464089+02	\N	\N	\N	\N	\N	\N	f	
5185	e148c37c-1547-4ff4-a06d-5525f2518a87	Marquette, Michigan	Marquette, Michigan	3	0	2013-05-24 22:44:41.420516+02	\N	\N	\N	\N	\N	\N	f	
4864	0c040720-9619-4471-99f3-fa4ff7f08f4e	Sagarmatha	Sagarmatha	2	0	2013-05-22 15:35:37.94199+02	\N	\N	\N	\N	\N	\N	f	
4945	1652b23f-def4-4e87-8a6b-7e48c7fdad2f	Romblon	Romblon	2	0	2013-05-22 15:55:24.424878+02	\N	\N	\N	\N	\N	\N	f	
5220	c4db3bc4-780d-4a40-bebb-e269faf828b3	Concord, New Hampshire	Concord, New Hampshire	3	0	2013-05-24 22:51:34.213891+02	\N	\N	\N	\N	\N	\N	f	
5834	f1e6cfc9-4188-4ae4-82eb-7537f0d77d31	Ruciane-Nida	Ruciane-Nida	3	0	2013-05-25 01:01:00.296901+02	\N	\N	\N	\N	\N	\N	f	
5352	33a6cfce-df8f-4e96-8f31-b311d82c3a0a	Globe	Globe	3	0	2013-05-24 23:18:09.019521+02	\N	\N	\N	\N	\N	\N	f	
5357	7361553e-3900-4e70-85bc-a4bb6bf59d20	Kahriz Sang	Kahriz Sang	3	0	2013-05-24 23:19:13.002824+02	\N	\N	\N	\N	\N	\N	f	
5499	ebe2e0da-2469-459c-8aa1-956a7be80646	Qom	Qom	3	0	2013-05-24 23:48:52.109108+02	\N	\N	\N	\N	\N	\N	f	
6064	d1ba7420-a0ab-48ff-905d-1083e2cd5fb8	Qods	Qods	3	0	2013-05-25 01:45:22.448079+02	\N	\N	\N	\N	\N	\N	f	
5512	fc5a578e-2999-4057-8852-e1bce15d0273	Ardabil	Ardabil	3	0	2013-05-24 23:52:44.320662+02	\N	\N	\N	\N	\N	\N	f	
5693	1b459251-5563-4d9c-ba60-e7b48db08854	Yachiyo	Yachiyo	3	0	2013-05-25 00:32:20.783835+02	\N	\N	\N	\N	\N	\N	f	
6508	dd4bb431-b2d6-40ed-a24b-355d468a2bb9	Aliabad-e Katul	Aliabad-e Katul	3	0	2013-05-25 03:22:03.393344+02	\N	\N	\N	\N	\N	\N	f	
6296	6e4ff15b-dfe6-46c3-b049-147677096735	Enid	Enid	3	0	2013-05-25 02:32:00.723747+02	\N	\N	\N	\N	\N	\N	f	
9268	2577fad2-8390-4b3d-acb4-747b18f22bf2	Sainte-Jeanne-d'Arc, Saguenay–Lac-Saint-Jean, Quebec	Sainte-Jeanne-d'Arc, Saguenay–Lac-Saint-Jean, Quebec	3	0	2013-06-02 15:24:13.941176+02	\N	\N	\N	\N	\N	\N	f	
6314	abb777ed-c130-441b-8841-a8d56a882831	Tiffin	Tiffin	3	0	2013-05-25 02:36:29.291909+02	\N	\N	\N	\N	\N	\N	f	
7160	3249cd61-396a-4fb9-be2f-ddf379b43980	Witnica	Witnica	3	0	2013-05-26 17:07:59.53863+02	\N	\N	\N	\N	\N	\N	f	
6768	0df3ad37-2e3c-4205-8ddb-4e41dda30d35	Valley Springs	Valley Springs	3	0	2013-05-25 04:12:37.956859+02	\N	\N	\N	\N	\N	\N	f	
6798	9197ef84-7b62-49b5-94d6-1d0630c3b095	Chavarzaq	Chavarzaq	3	0	2013-05-25 04:18:15.227216+02	\N	\N	\N	\N	\N	\N	f	
8037	ca91cbd5-e2e4-42b4-be3d-0bf00c1eaeb6	Aurora	Aurora	3	0	2013-05-30 18:32:06.449337+02	\N	\N	\N	\N	\N	\N	f	
6987	c18ee64a-0e4f-4ccb-8c97-c906d0e8ff04	Krobia	Krobia	3	0	2013-05-25 14:21:32.870907+02	\N	\N	\N	\N	\N	\N	f	
7188	2695ac42-1193-4232-a3c8-58a9f9056b5c	Kock	Kock	3	0	2013-05-26 17:14:17.991312+02	\N	\N	\N	\N	\N	\N	f	
7270	8069effe-da47-4ac0-a27d-f34735eecebd	Woodward	Woodward	3	0	2013-05-26 17:36:27.785922+02	\N	\N	\N	\N	\N	\N	f	
9139	08279b8d-6a22-46e2-bc71-b14370ecd23b	Yingkou	Yingkou	3	0	2013-06-01 20:48:02.245115+02	\N	\N	\N	\N	\N	\N	f	
8058	fc491c80-f176-4039-8fac-fc63cf760c74	Oxford	Oxford	3	0	2013-05-30 18:36:47.05221+02	\N	\N	\N	\N	\N	\N	f	
8148	621e3811-4cf2-465b-890c-5075c33b0e67	Norfolk	Norfolk	3	0	2013-05-30 21:04:13.305829+02	\N	\N	\N	\N	\N	\N	f	
8157	6b0cfb4a-5c44-4357-8461-c18c011818d0	Schwelm	Schwelm	3	0	2013-05-30 21:06:19.333135+02	\N	\N	\N	\N	\N	\N	f	
9180	f35c4c5e-5353-43cb-97fb-16b579c76b03	Dziwnów	Dziwnów	3	0	2013-06-01 21:01:13.44163+02	\N	\N	\N	\N	\N	\N	f	
8162	f2580662-2f94-43a8-a83c-ebea034c55b8	Ekenäs	Ekenäs	3	0	2013-05-30 21:07:35.992556+02	\N	\N	\N	\N	\N	\N	f	
8302	da862b6f-ddf2-42a4-a0b8-524e9ff94ede	Saintes	Saintes	3	0	2013-05-30 21:40:16.793212+02	\N	\N	\N	\N	\N	\N	f	
9341	5b609b6f-d219-4e49-9c2b-70fca57d8bf9	Kilingi-Nõmme	Kilingi-Nõmme	3	0	2013-06-04 21:57:14.550858+02	\N	\N	\N	\N	\N	\N	f	
8303	293edf5f-80d1-4f80-bd8f-d2de0f41c4ae	Mountain	Mountain	3	0	2013-05-30 21:40:27.967445+02	\N	\N	\N	\N	\N	\N	f	
2477	c3580aa6-6316-4ead-9d2e-0193f456a306	Širak	Širak	2	0	2013-05-27 20:05:27.165817+02	\N	\N	\N	\N	\N	\N	f	
9181	75f720b6-8955-4616-b455-1dd6175f6b1c	Orzysz	Orzysz	3	0	2013-06-01 21:01:24.540101+02	\N	\N	\N	\N	\N	\N	f	
7409	f49917e1-609e-48a3-8dac-3a6654e5fd54	Samangan	Samangan	3	0	2013-05-28 14:28:52.00701+02	\N	\N	\N	\N	\N	\N	f	
8514	77ddc405-71a3-4a8f-8cac-09b946a151b2	Jundah	Jundah	3	0	2013-06-01 17:29:53.897333+02	\N	\N	\N	\N	\N	\N	f	
7523	732e2914-288f-4ae8-a8ff-4b5d17f9c5c7	Bad Herrenalb	Bad Herrenalb	3	0	2013-05-29 00:38:08.493062+02	\N	\N	\N	\N	\N	\N	f	
7683	d49044f7-0a60-4665-97b7-68c8b79a9778	Kelkheim	Kelkheim	3	0	2013-05-29 01:11:35.060095+02	\N	\N	\N	\N	\N	\N	f	
7700	8ef0af29-e43d-4538-84b9-fb865bb8f512	Jalalabad	Jalalabad	3	0	2013-05-29 01:22:37.157503+02	\N	\N	\N	\N	\N	\N	f	
8676	9b3dbf4e-e615-4280-92e7-5b23db818ee5	Świebodzice	Świebodzice	3	0	2013-06-01 18:12:47.179368+02	\N	\N	\N	\N	\N	\N	f	
7824	6b58dc11-5982-4575-8351-17c320b3316e	Goulburn	Goulburn	3	0	2013-05-29 02:40:46.246093+02	\N	\N	\N	\N	\N	\N	f	
8030	70f67278-66cd-4a36-9728-e91bf9c6791f	Balvi	Balvi	3	0	2013-05-30 18:30:14.313012+02	\N	\N	\N	\N	\N	\N	f	
9277	eedd8c4c-2d89-4cc1-bc3f-07b316c0ea59	Nantes	Nantes	3	0	2013-06-02 16:32:01.742576+02	\N	\N	\N	\N	\N	\N	f	
8787	15eee3af-f54a-4c91-8095-06fd0dd21bb8	Dobiegniew	Dobiegniew	3	0	2013-06-01 18:46:03.457868+02	\N	\N	\N	\N	\N	\N	f	
9196	38292fb9-f4ba-44db-90d0-5c66cedf834a	Czerniejewo	Czerniejewo	3	0	2013-06-01 22:22:12.702174+02	\N	\N	\N	\N	\N	\N	f	
8923	59a8b8f2-becd-4c87-b8e4-9ae3169a6f9a	Łazy	Łazy	3	0	2013-06-01 20:03:14.045047+02	\N	\N	\N	\N	\N	\N	f	
9036	25f2cc45-fcf8-44ea-9877-2364062e9cb7	Ulanqab	Ulanqab	3	0	2013-06-01 20:27:15.639386+02	\N	\N	\N	\N	\N	\N	f	
9231	21b44eba-39b0-4346-8e16-d9cb39618414	Chambly	Chambly	3	0	2013-06-02 01:02:14.777764+02	\N	\N	\N	\N	\N	\N	f	
9238	1fb40495-75db-485d-b11c-3eee5252c645	Champlain	Champlain	3	0	2013-06-02 01:15:03.012857+02	\N	\N	\N	\N	\N	\N	f	
9316	9e05ebf6-70f4-4c97-8198-8499dae6b5a0	Satsuma	Satsuma	3	0	2013-06-03 00:21:01.370372+02	\N	\N	\N	\N	\N	\N	f	
9251	4bf632af-a2d4-4935-af9d-baed3ab1138c	Warwick	Warwick	3	0	2013-06-02 04:03:15.622783+02	\N	\N	\N	\N	\N	\N	f	
9690	0ba58b39-5fe2-479b-8928-5a90db5515fd	Irlande, Quebec	Irlande, Quebec	3	0	2013-06-15 20:42:27.761413+02	\N	\N	\N	\N	\N	\N	f	
9326	5b8a7ac8-7647-4d54-9007-a7fd8c893d70	Des Moines	Des Moines	3	0	2013-06-03 18:06:31.503955+02	\N	\N	\N	\N	\N	\N	f	
4372	557c6dfc-dbf7-4095-9ec4-d60f57c20941	Calvados	Calvados	2	0	2013-06-05 08:05:55.273436+02	\N	\N	\N	\N	\N	\N	f	
3057	8145210c-23ca-4518-b6a5-6036ad712765	Al Khawr wa adh Dhakhīrah	Al Khawr wa adh Dhakhīrah	2	0	2013-06-05 06:48:19.756315+02	\N	\N	\N	\N	\N	\N	f	
1005	fa659f3f-ee18-40d3-b4b9-e93469d78183	Chocó	Chocó	2	0	2013-06-05 09:37:43.008752+02	\N	\N	\N	\N	\N	\N	f	
9724	c05d1c51-3871-4fd8-bf37-fd8d70e4bad9	Korntal-Münchingen	Korntal-Münchingen	3	0	2013-06-17 15:42:30.307483+02	\N	\N	\N	\N	\N	\N	f	
9508	69366800-4512-4871-8a46-e79b0283adb7	Saint-Constant	Saint-Constant	3	0	2013-06-09 18:01:55.882292+02	\N	\N	\N	\N	\N	\N	f	
9792	d49ff1c9-5c49-46d4-9bc4-61ecc302df97	Hirakata	Hirakata	3	0	2013-06-18 03:35:12.708801+02	\N	\N	\N	\N	\N	\N	f	
9750	37332ca0-f951-4fce-ae20-6313267e5891	Oga	Oga	3	0	2013-06-18 01:08:01.825497+02	\N	\N	\N	\N	\N	\N	f	
9802	72d7c9e6-967c-410a-8ea1-1c36103630be	Hikone	Hikone	3	0	2013-06-18 03:39:56.525887+02	\N	\N	\N	\N	\N	\N	f	
9825	3f8900b7-eba3-43e9-87b4-658e9c453c37	Tonami	Tonami	3	0	2013-06-18 03:46:43.041899+02	\N	\N	\N	\N	\N	\N	f	
9875	2203513d-9c40-45be-984d-b61bc5afcc9e	Komagane	Komagane	3	0	2013-06-18 04:02:26.451185+02	\N	\N	\N	\N	\N	\N	f	
9924	d9617623-b245-44b1-b352-a398510d96ee	Yashio	Yashio	3	0	2013-06-18 04:11:55.101806+02	\N	\N	\N	\N	\N	\N	f	
9930	0efa85bc-fff5-4f47-bdf4-af30091b0c5d	Nankan	Nankan	3	0	2013-06-18 07:26:20.770146+02	\N	\N	\N	\N	\N	\N	f	
10011	a358aefe-ca5d-4161-a235-82754cb678ac	Buzen, Fukuoka	Buzen, Fukuoka	3	0	2013-06-18 08:00:37.374565+02	\N	\N	\N	\N	\N	\N	f	
10095	e6e12a75-daa1-4e09-ac88-7873856a5933	Kirikuvalla	Kirikuvalla	3	0	2013-06-18 14:14:05.306571+02	\N	\N	\N	\N	\N	\N	f	
10097	ca153a5c-152c-4666-a3ca-5ffc30ac0e99	Uchiko	Uchiko	3	0	2013-06-18 14:29:31.771867+02	\N	\N	\N	\N	\N	\N	f	
15509	16a7951d-5b16-4bbe-b160-72e4f79a9751	Nebbiuno	Nebbiuno	4	0	2013-07-22 01:01:05.194916+02	\N	\N	\N	\N	\N	\N	f	
13812	2357d1d7-d0c8-419e-9c9f-833336e94f4f	Borgosatollo	Borgosatollo	4	0	2013-07-21 19:17:56.283628+02	\N	\N	\N	\N	\N	\N	f	
4667	d3edf2d6-0de1-453a-98f3-cc881989f9c8	Mantova	Mantova	2	0	2013-05-22 14:38:43.468231+02	\N	\N	\N	\N	\N	\N	f	
4381	8f7ef7e1-522c-4cb9-92fc-af97a76111f2	Dordogne	Dordogne	2	0	2013-05-22 13:17:09.506186+02	\N	\N	\N	\N	\N	\N	f	
4384	0767813e-1518-4d69-b23c-e614286ceb87	Eure	Eure	2	0	2013-05-22 13:17:47.228563+02	\N	\N	\N	\N	\N	\N	f	
4395	8554f565-ee7c-4e75-864a-410f0f1ad6a6	Indre	Indre	2	0	2013-05-22 13:19:42.677047+02	\N	\N	\N	\N	\N	\N	f	
4397	8410f113-a331-4db5-b869-9875c15a023b	Isère	Isère	2	0	2013-05-22 13:20:07.101657+02	\N	\N	\N	\N	\N	\N	f	
4424	610d3d0a-02e8-45e1-a1c1-d423770bc22f	Hautes-Pyrénées	Hautes-Pyrénées	2	0	2013-05-22 13:27:25.624934+02	\N	\N	\N	\N	\N	\N	f	
5188	0f196ad0-f90d-4dd1-befe-88f92ebc15e3	Oviedo	Oviedo	3	0	2013-05-24 22:45:12.820024+02	\N	\N	\N	\N	\N	\N	f	
4425	a3998f1c-7714-42a0-87a5-67d402c9d83a	Pyrénées-Orientales	Pyrénées-Orientales	2	0	2013-05-22 13:27:39.613978+02	\N	\N	\N	\N	\N	\N	f	
4947	90047655-826b-4282-8606-f69552a782da	South Cotabato	South Cotabato	2	0	2013-05-22 15:55:49.799771+02	\N	\N	\N	\N	\N	\N	f	
4428	78cae463-5e8b-4a76-b074-c742c016b885	Rhône	Rhône	2	0	2013-05-22 13:28:28.933389+02	\N	\N	\N	\N	\N	\N	f	
5199	78889222-8f08-40b6-92b1-73f4a98fc533	Thessaloniki	Thessaloniki	3	0	2013-05-24 22:47:22.457212+02	\N	\N	\N	\N	\N	\N	f	
5836	d49fe4c8-f0ab-4983-8ce0-62c23bb927e0	Pleszew	Pleszew	3	0	2013-05-25 01:01:21.685696+02	\N	\N	\N	\N	\N	\N	f	
5202	538e3b99-6e61-4fd0-b2ab-e3bbd507b18a	Tirana	Tirana	3	0	2013-05-24 22:48:04.42604+02	\N	\N	\N	\N	\N	\N	f	
5204	93c74419-8556-418f-ba42-b2fb4f5b8671	Hitchin	Hitchin	3	0	2013-05-24 22:48:25.454306+02	\N	\N	\N	\N	\N	\N	f	
5355	f5964e7d-a495-45cc-9f0c-92fe00587359	Huntsville	Huntsville	3	0	2013-05-24 23:18:52.288479+02	\N	\N	\N	\N	\N	\N	f	
6065	7a621dd6-2fd1-4114-af70-81f1fef80895	Tonekabon	Tonekabon	3	0	2013-05-25 01:45:33.03006+02	\N	\N	\N	\N	\N	\N	f	
5436	b5e60f5a-960d-419f-a898-2d5b03229366	Camden	Camden	3	0	2013-05-24 23:33:47.276463+02	\N	\N	\N	\N	\N	\N	f	
5501	1c21104f-2f29-4de1-9b1b-a8290a0e8942	Poughkeepsie	Poughkeepsie	3	0	2013-05-24 23:49:26.788313+02	\N	\N	\N	\N	\N	\N	f	
6514	665dd649-a353-4e58-8c2d-edb0da0c7164	Zanzibar City	Zanzibar City	3	0	2013-05-25 03:23:27.886259+02	\N	\N	\N	\N	\N	\N	f	
5509	1bf34dda-d605-403b-af10-883f9ee203d2	Rasht	Rasht	3	0	2013-05-24 23:51:36.95512+02	\N	\N	\N	\N	\N	\N	f	
6297	1031e064-d463-4000-b36b-90ad8b62f93d	Maków Mazowiecki	Maków Mazowiecki	3	0	2013-05-25 02:32:11.917031+02	\N	\N	\N	\N	\N	\N	f	
5614	40d41d24-9bad-4139-95d3-81f4c341d5d8	Rychwał	Rychwał	3	0	2013-05-25 00:15:09.500158+02	\N	\N	\N	\N	\N	\N	f	
5618	ae477496-bd7f-46a7-8065-64ec8815aa47	Krynica-Zdrój	Krynica-Zdrój	3	0	2013-05-25 00:16:11.457302+02	\N	\N	\N	\N	\N	\N	f	
5624	dc8606e6-f02b-400b-9ba6-2132490be16c	Higashiōsaka	Higashiōsaka	3	0	2013-05-25 00:17:16.783245+02	\N	\N	\N	\N	\N	\N	f	
6332	29bf7a87-3c59-40df-9179-df60a1522fd7	Fomboni	Fomboni	3	0	2013-05-25 02:40:57.61339+02	\N	\N	\N	\N	\N	\N	f	
5633	5e40cf94-8e78-4804-a43e-f4198fc6bf1b	Babati	Babati	3	0	2013-05-25 00:18:58.014773+02	\N	\N	\N	\N	\N	\N	f	
5697	2a08a89a-c439-4fd6-8fd0-cc6e1d2204f5	Łasin	Łasin	3	0	2013-05-25 00:33:06.780325+02	\N	\N	\N	\N	\N	\N	f	
7162	f2c2a08d-fc32-4dfa-8780-47fa12a3a487	Nakło nad Notecią	Nakło nad Notecią	3	0	2013-05-26 17:08:22.490107+02	\N	\N	\N	\N	\N	\N	f	
6770	acd36124-e1af-47e3-b9ac-e34411e74c09	Piranshahr	Piranshahr	3	0	2013-05-25 04:13:05.600478+02	\N	\N	\N	\N	\N	\N	f	
6854	c4d1473b-861b-4b0e-a2bf-66d51408fd43	Baghestan	Baghestan	3	0	2013-05-25 04:28:02.510691+02	\N	\N	\N	\N	\N	\N	f	
6884	047aa2e1-fa07-46c2-b5ac-b918a8951c9a	Nalus	Nalus	3	0	2013-05-25 04:33:29.216404+02	\N	\N	\N	\N	\N	\N	f	
7190	3b1f1093-bbdf-4822-adfc-c2ac82631428	Szlichtyngowa	Szlichtyngowa	3	0	2013-05-26 17:14:52.67077+02	\N	\N	\N	\N	\N	\N	f	
6885	bc285c74-b846-4b00-a3d5-cbca8e9fecfa	Nafech	Nafech	3	0	2013-05-25 04:33:39.472914+02	\N	\N	\N	\N	\N	\N	f	
15510	a55b4074-5529-4f34-896d-a5c5e253e1c0	Massino Visconti	Massino Visconti	4	0	2013-07-22 01:01:16.966751+02	\N	\N	\N	\N	\N	\N	f	
6923	d885938a-3090-4c07-9294-21b055ac0056	Maklavan	Maklavan	3	0	2013-05-25 04:42:06.778112+02	\N	\N	\N	\N	\N	\N	f	
7271	650ebef4-8829-489f-9e0d-b784ee168898	Kołaczyce	Kołaczyce	3	0	2013-05-26 17:36:50.275412+02	\N	\N	\N	\N	\N	\N	f	
6991	2c8a93f1-963c-4bf0-8c12-62186abd9370	Kuźnia Raciborska	Kuźnia Raciborska	3	0	2013-05-25 14:22:20.373217+02	\N	\N	\N	\N	\N	\N	f	
8678	02fec981-92c0-4db2-9e9f-667d42f6db14	Caledon	Caledon	3	0	2013-06-01 18:13:37.430277+02	\N	\N	\N	\N	\N	\N	f	
8032	abb000b8-dc86-43ba-a396-9566d3efa42c	Smithton	Smithton	3	0	2013-05-30 18:30:43.555292+02	\N	\N	\N	\N	\N	\N	f	
7415	bff92436-e0c1-4b17-8051-bc4c30279fbe	Redcliffe	Redcliffe	3	0	2013-05-28 14:30:01.902772+02	\N	\N	\N	\N	\N	\N	f	
7524	a676679d-e283-4b99-8ca0-8c9bd3d22561	Wagga Wagga	Wagga Wagga	3	0	2013-05-29 00:38:32.904985+02	\N	\N	\N	\N	\N	\N	f	
7545	5d28578f-8bf8-49b1-98b7-d062384a369e	Bad Wildbad	Bad Wildbad	3	0	2013-05-29 00:43:10.463206+02	\N	\N	\N	\N	\N	\N	f	
8041	88d2eb8e-cd89-47be-b719-bc0921ca48d8	Pitsea	Pitsea	3	0	2013-05-30 18:33:02.834956+02	\N	\N	\N	\N	\N	\N	f	
7684	7d2211f3-2ab4-4d50-9ca5-0947d90fdfff	Kelsterbach	Kelsterbach	3	0	2013-05-29 01:11:46.793229+02	\N	\N	\N	\N	\N	\N	f	
7705	32843dc6-d9a0-46d2-bcf1-981bb8af4b4c	Groningen	Groningen	3	0	2013-05-29 02:09:46.944067+02	\N	\N	\N	\N	\N	\N	f	
7825	d77e37f3-0956-4dee-a0a0-ea038aed9dea	Cessnock	Cessnock	3	0	2013-05-29 02:40:59.597242+02	\N	\N	\N	\N	\N	\N	f	
8150	17fb3008-5ee1-419d-ab1a-c7b4ed3c29e9	Massarandupió	Massarandupió	3	0	2013-05-30 21:04:37.545731+02	\N	\N	\N	\N	\N	\N	f	
8788	6b89aea2-c3c9-49c4-b23e-85ef9997aa91	Pełczyce	Pełczyce	3	0	2013-06-01 18:46:25.484852+02	\N	\N	\N	\N	\N	\N	f	
8259	c96c166a-c172-4ca0-890a-9bc66712cb64	Nallıhan	Nallıhan	3	0	2013-05-30 21:30:45.576517+02	\N	\N	\N	\N	\N	\N	f	
8304	2853e63c-18ba-48c1-9d6e-3e802ff3d68c	Alviano	Alviano	3	0	2013-05-30 21:40:46.694854+02	\N	\N	\N	\N	\N	\N	f	
9197	c3fc0253-8ae3-4a7d-9506-1b58e7544876	Ryglice	Ryglice	3	0	2013-06-01 22:22:50.118171+02	\N	\N	\N	\N	\N	\N	f	
8517	19a09d8b-9e29-46e5-879e-9140db8548cf	Skała	Skała	3	0	2013-06-01 17:30:31.701023+02	\N	\N	\N	\N	\N	\N	f	
8924	b2c17902-ba20-4886-8b6e-1d93a2c65d2d	Yichun	Yichun	3	0	2013-06-01 20:03:31.847689+02	\N	\N	\N	\N	\N	\N	f	
9037	5b821328-f669-4c9a-97c6-270d6ad73dd9	Bayannur	Bayannur	3	0	2013-06-01 20:27:25.557897+02	\N	\N	\N	\N	\N	\N	f	
9252	b03bfc0d-b913-4a9b-b9f3-e10ad41ab5fd	Sainte-Anne-de-la-Pocatière	Sainte-Anne-de-la-Pocatière	3	0	2013-06-02 04:08:37.813961+02	\N	\N	\N	\N	\N	\N	f	
9183	ae630c89-937b-4b12-b69f-ed26ec557daa	Chęciny	Chęciny	3	0	2013-06-01 21:01:54.792181+02	\N	\N	\N	\N	\N	\N	f	
9232	b53e1003-e994-4bff-b1e5-b55c70f7e496	Pointe-Claire	Pointe-Claire	3	0	2013-06-02 01:02:28.925812+02	\N	\N	\N	\N	\N	\N	f	
9269	23ca4c0a-441a-45c1-b446-73cb40ee3d82	Greater Sudbury	Greater Sudbury	3	0	2013-06-02 15:25:11.508112+02	\N	\N	\N	\N	\N	\N	f	
9317	a33a447c-cc87-4797-b8e2-3d329897d269	Springs	Springs	3	0	2013-06-03 00:21:34.944227+02	\N	\N	\N	\N	\N	\N	f	
9278	79211421-65e0-41e4-984b-6e162a7151cd	Brindisi	Brindisi	3	0	2013-06-02 16:33:26.033223+02	\N	\N	\N	\N	\N	\N	f	
9321	4c8980da-f093-42fd-a5d7-b045c9c74cbb	Radków	Radków	3	0	2013-06-03 00:28:58.258086+02	\N	\N	\N	\N	\N	\N	f	
9327	76750663-91ff-429d-8e20-9aa31500f6f5	Joseph	Joseph	3	0	2013-06-03 18:15:08.389579+02	\N	\N	\N	\N	\N	\N	f	
9342	deb12423-83a7-4691-925e-20e8d5e8244b	Jõgeva	Jõgeva	3	0	2013-06-04 21:57:32.692865+02	\N	\N	\N	\N	\N	\N	f	
6920	e9d7c07a-55e6-4fcf-acbe-9d6465a32225	Shirvan	Shirvan	3	0	2013-06-05 06:45:18.391774+02	\N	\N	\N	\N	\N	\N	f	
2390	9061f48b-e736-48e9-9e9f-990e0b887d6c	Amurskaya oblast'	Amurskaya oblast'	2	0	2013-06-05 06:49:57.515605+02	\N	\N	\N	\N	\N	\N	f	
4376	95db021f-38e5-4e25-9c0c-9af0d9a178ec	Cher	Cher	2	0	2013-06-05 07:58:24.848177+02	\N	\N	\N	\N	\N	\N	f	
4380	ed11a153-aa06-44fc-bf8d-b58029996611	Creuse	Creuse	2	0	2013-06-05 11:41:33.365147+02	\N	\N	\N	\N	\N	\N	f	
9512	16414557-f57f-488b-bc3e-e8611feb7cd6	Alang	Alang	3	0	2013-06-09 18:03:00.065167+02	\N	\N	\N	\N	\N	\N	f	
9691	8e64f820-e5fa-4403-b72b-2b6674fb7bd0	Rochester	Rochester	3	0	2013-06-15 20:47:54.623191+02	\N	\N	\N	\N	\N	\N	f	
9725	dc17b1e1-c1d4-461a-83aa-8e452efcb487	Natori	Natori	3	0	2013-06-17 15:43:08.178342+02	\N	\N	\N	\N	\N	\N	f	
9751	ab168a77-1b06-4f03-b5e4-35bd3c50adab	Toride	Toride	3	0	2013-06-18 01:08:12.489068+02	\N	\N	\N	\N	\N	\N	f	
4385	4fdc4059-394d-44db-a6f4-b0c1591f4a4d	Eure-et-Loir	Eure-et-Loir	2	0	2013-05-22 13:17:58.501003+02	\N	\N	\N	\N	\N	\N	f	
4386	7148756d-941c-41ac-9ab7-2fec4611a7aa	Finistère	Finistère	2	0	2013-05-22 13:18:09.10131+02	\N	\N	\N	\N	\N	\N	f	
4388	e8ca739c-b963-41bf-9e31-01f04ab1134e	Haute-Corse	Haute-Corse	2	0	2013-05-22 13:18:27.451544+02	\N	\N	\N	\N	\N	\N	f	
4668	6bdecc27-eb52-400f-b961-863290f13963	Modena	Modena	2	0	2013-05-22 14:38:57.962049+02	\N	\N	\N	\N	\N	\N	f	
4390	675b1f33-752d-48c4-8e98-c55e39244698	Haute-Garonne	Haute-Garonne	2	0	2013-05-22 13:18:45.677697+02	\N	\N	\N	\N	\N	\N	f	
4391	8caf1526-96b8-45b9-9b3d-9e4fb65a3458	Gers	Gers	2	0	2013-05-22 13:18:56.247169+02	\N	\N	\N	\N	\N	\N	f	
4392	885d9c28-55f8-4d3c-9b89-f7b92ec74f84	Gironde	Gironde	2	0	2013-05-22 13:19:06.895737+02	\N	\N	\N	\N	\N	\N	f	
4720	3354c625-9761-47e0-a321-20351d1f8674	Medio Campidano	Medio Campidano	2	0	2013-05-22 14:54:02.037737+02	\N	\N	\N	\N	\N	\N	f	
4393	80fa4299-573f-4308-8468-44b9054227c3	Hérault	Hérault	2	0	2013-05-22 13:19:17.571115+02	\N	\N	\N	\N	\N	\N	f	
4396	6b0ffdc7-2997-49d1-a343-f43786471cb0	Indre-et-Loire	Indre-et-Loire	2	0	2013-05-22 13:19:53.466099+02	\N	\N	\N	\N	\N	\N	f	
5191	0c1d76e1-d010-4529-bf8b-36f4f556250b	Agrigento	Agrigento	3	0	2013-05-24 22:45:48.205552+02	\N	\N	\N	\N	\N	\N	f	
4407	02596d72-66f6-46d9-89bf-742cfba209eb	Lozère	Lozère	2	0	2013-05-22 13:22:44.840402+02	\N	\N	\N	\N	\N	\N	f	
4734	6ebbd188-c59f-4a1c-8a85-7366200132e3	Gālla	Gālla	2	0	2013-05-22 14:58:02.018356+02	\N	\N	\N	\N	\N	\N	f	
4408	4f7ca527-c889-44cd-9cce-ad3e25a83584	Maine-et-Loire	Maine-et-Loire	2	0	2013-05-22 13:23:06.261754+02	\N	\N	\N	\N	\N	\N	f	
4431	87a4b757-9b10-4828-a975-af348bead600	Sarthe	Sarthe	2	0	2013-05-22 13:29:19.230113+02	\N	\N	\N	\N	\N	\N	f	
4803	f2145b11-9502-45ca-9e63-29c2df52bdd7	Wotje	Wotje	2	0	2013-05-22 15:18:15.659725+02	\N	\N	\N	\N	\N	\N	f	
4948	f4d761ef-5a23-4783-a4c1-74cb4a090f86	Siquijor	Siquijor	2	0	2013-05-22 15:56:01.286682+02	\N	\N	\N	\N	\N	\N	f	
5362	b6209979-42ea-436f-b5b7-5a138bbe50ba	Boshruyeh	Boshruyeh	3	0	2013-05-24 23:20:05.466407+02	\N	\N	\N	\N	\N	\N	f	
5837	a160b2be-3930-4274-9e25-0eb2f875eaba	Międzychód	Międzychód	3	0	2013-05-25 01:01:34.238985+02	\N	\N	\N	\N	\N	\N	f	
5502	69d43f98-2bc3-4d6d-8172-d4cdc6b503b2	Esztergom	Esztergom	3	0	2013-05-24 23:49:37.285579+02	\N	\N	\N	\N	\N	\N	f	
5527	2412f885-2939-44dc-ac6a-7c1275052c5c	Knoxville	Knoxville	3	0	2013-05-24 23:56:10.048469+02	\N	\N	\N	\N	\N	\N	f	
5619	1e5fba27-b39d-4871-8baa-cdcea6a91180	Gorinchem	Gorinchem	3	0	2013-05-25 00:16:21.863407+02	\N	\N	\N	\N	\N	\N	f	
6066	5997f9a4-d70c-416e-a913-a570ccc541ee	Tuyserkan	Tuyserkan	3	0	2013-05-25 01:45:44.133613+02	\N	\N	\N	\N	\N	\N	f	
4434	dc10c22b-e510-4006-8b7f-fecb4f36436e	Paris	Paris	3	0	2013-05-25 01:53:22.274374+02	\N	\N	\N	\N	\N	\N	f	
6518	2639cdec-aca3-45ed-8503-0b6c6abca689	Lanesboro	Lanesboro	3	0	2013-05-25 03:24:31.900469+02	\N	\N	\N	\N	\N	\N	f	
6107	7d18b8c8-9604-4bee-80d5-24c9c5601247	Ely	Ely	3	0	2013-05-25 01:54:38.168086+02	\N	\N	\N	\N	\N	\N	f	
6112	e07cf1d5-f3d1-46da-b74f-cfff067dc42c	Bandar Rig	Bandar Rig	3	0	2013-05-25 01:55:38.838847+02	\N	\N	\N	\N	\N	\N	f	
8182	a6aa8b67-5b83-4e14-9f0d-5768db8bc567	Norfolk	Norfolk	3	0	2013-05-30 21:12:08.323801+02	\N	\N	\N	\N	\N	\N	f	
6133	83ea3382-2177-4d38-ba87-af21d630c164	Abdanan	Abdanan	3	0	2013-05-25 01:59:21.712134+02	\N	\N	\N	\N	\N	\N	f	
6772	03881de8-7f16-42cb-bd0c-9c6e2ea43858	Sallisaw	Sallisaw	3	0	2013-05-25 04:13:27.029657+02	\N	\N	\N	\N	\N	\N	f	
6232	f0856083-922d-468c-8466-7764ef29f422	Kalaleh	Kalaleh	3	0	2013-05-25 02:17:32.946552+02	\N	\N	\N	\N	\N	\N	f	
6299	2f532231-05b7-418c-ba57-ec971d826ca0	Gostynin	Gostynin	3	0	2013-05-25 02:32:33.042709+02	\N	\N	\N	\N	\N	\N	f	
7164	98aa6ea6-f46c-4513-848f-f63c37eb23bd	Karlino	Karlino	3	0	2013-05-26 17:08:47.198019+02	\N	\N	\N	\N	\N	\N	f	
6784	900eb362-4160-42cd-91dc-9709a4c6c6f6	Vajargah	Vajargah	3	0	2013-05-25 04:15:49.460195+02	\N	\N	\N	\N	\N	\N	f	
6815	6e1f5faf-2f9d-4e6d-b934-615ff23d5732	Rabat	Rabat	3	0	2013-05-25 04:21:13.518153+02	\N	\N	\N	\N	\N	\N	f	
6821	f2fbf9aa-2c52-45e0-97cd-8f52beddde7b	Surmaq	Surmaq	3	0	2013-05-25 04:22:19.227938+02	\N	\N	\N	\N	\N	\N	f	
7273	15590432-7c40-4746-89a1-4a2850a5cdef	Nowe Brzesko	Nowe Brzesko	3	0	2013-05-26 17:37:58.780169+02	\N	\N	\N	\N	\N	\N	f	
6842	3c161984-ff04-414f-a68f-da68c2efb7bf	Mian Rahan	Mian Rahan	3	0	2013-05-25 04:25:54.749476+02	\N	\N	\N	\N	\N	\N	f	
6857	a48cd503-4b3f-424c-b114-568b362334fb	Sumar	Sumar	3	0	2013-05-25 04:28:33.799295+02	\N	\N	\N	\N	\N	\N	f	
6917	b2512aab-f92e-46f1-ac71-faa330462a89	Parand	Parand	3	0	2013-05-25 04:40:44.209941+02	\N	\N	\N	\N	\N	\N	f	
7417	960608c0-0cab-496b-96c9-f380e3af2e0b	Sharon	Sharon	3	0	2013-05-28 14:30:26.153935+02	\N	\N	\N	\N	\N	\N	f	
6993	7edb0a03-c725-4270-8012-323305d421fc	Trzcińsko-Zdrój	Trzcińsko-Zdrój	3	0	2013-05-25 14:22:42.740325+02	\N	\N	\N	\N	\N	\N	f	
8305	a0f9f09f-255c-4b5e-b2a4-43f6cef38a0e	Dari	Dari	3	0	2013-05-30 21:40:56.906298+02	\N	\N	\N	\N	\N	\N	f	
7425	ad41b1be-6111-4626-b36b-ac8ad23e249b	Sar-e Pol	Sar-e Pol	3	0	2013-05-28 14:32:40.800517+02	\N	\N	\N	\N	\N	\N	f	
7527	021fc620-1562-40ab-83a7-fcb739f71969	Breisach	Breisach	3	0	2013-05-29 00:39:26.259848+02	\N	\N	\N	\N	\N	\N	f	
8925	8175a018-1c67-4d48-ab05-2d1ed6d62d8b	Shuangyashan	Shuangyashan	3	0	2013-06-01 20:03:42.877332+02	\N	\N	\N	\N	\N	\N	f	
7685	e6a04421-c460-4260-a9ee-b2e44eef7ed8	Hirschhorn	Hirschhorn	3	0	2013-05-29 01:12:03.427925+02	\N	\N	\N	\N	\N	\N	f	
8518	637ffc3e-1c68-4016-ba2c-d16833c36562	Maków Podhalański	Maków Podhalański	3	0	2013-06-01 17:30:43.656051+02	\N	\N	\N	\N	\N	\N	f	
7827	36b813d1-2252-40bd-a2db-b29cdb8ac3ac	Oregon, Ohio	Oregon, Ohio	3	0	2013-05-29 02:41:30.579791+02	\N	\N	\N	\N	\N	\N	f	
7887	6615d9f9-b6ac-4d25-85d8-27fdd076230c	Yazoo City	Yazoo City	3	0	2013-05-29 02:59:04.317879+02	\N	\N	\N	\N	\N	\N	f	
8033	6a3b4aa5-1ee3-4b45-901b-052474e16ed6	Bothell, Washington	Bothell, Washington	3	0	2013-05-30 18:30:56.765273+02	\N	\N	\N	\N	\N	\N	f	
8555	a62cae96-3032-4e01-abd8-8435cf3599c4	Oostburg	Oostburg	3	0	2013-06-01 17:39:49.572757+02	\N	\N	\N	\N	\N	\N	f	
8151	01e62816-f1f9-4bc7-838e-15225930f825	Sandwich	Sandwich	3	0	2013-05-30 21:04:51.862672+02	\N	\N	\N	\N	\N	\N	f	
9184	ee293e17-01f3-4dd8-b026-64f709f74883	Mirsk	Mirsk	3	0	2013-06-01 21:02:06.186406+02	\N	\N	\N	\N	\N	\N	f	
8940	356f6708-f803-47b2-b45b-ac985fdd1ed8	Pingxiang	Pingxiang	3	0	2013-06-01 20:06:31.905987+02	\N	\N	\N	\N	\N	\N	f	
8661	359411c8-4ffc-47a2-aea7-41902a559e6e	Narromine	Narromine	3	0	2013-06-01 18:07:54.13018+02	\N	\N	\N	\N	\N	\N	f	
8679	997ff277-4478-4506-95a6-03e5142da359	St George	St George	3	0	2013-06-01 18:13:49.04546+02	\N	\N	\N	\N	\N	\N	f	
9083	774980d7-2256-45cf-a607-3be0bca8576a	Jiangmen	Jiangmen	3	0	2013-06-01 20:36:15.698456+02	\N	\N	\N	\N	\N	\N	f	
8789	e62c56b1-acb8-40be-92fd-84ef4d221861	Kalisz Pomorski	Kalisz Pomorski	3	0	2013-06-01 18:46:40.662257+02	\N	\N	\N	\N	\N	\N	f	
8981	f2d003d7-b230-41dd-bc74-df7ad29029d1	Leshan	Leshan	3	0	2013-06-01 20:14:49.771391+02	\N	\N	\N	\N	\N	\N	f	
9038	eeb92809-cb4e-47e9-8b46-fd69ed5218b5	Chifeng	Chifeng	3	0	2013-06-01 20:27:36.073244+02	\N	\N	\N	\N	\N	\N	f	
9080	fe7eeea1-8e8b-4dd8-a085-cebcd097067d	Lhasa	Lhasa	3	0	2013-06-01 20:35:37.702545+02	\N	\N	\N	\N	\N	\N	f	
9233	a988ed7e-01d9-4e96-98d9-c971d62b8833	Rosemère	Rosemère	3	0	2013-06-02 01:02:42.656633+02	\N	\N	\N	\N	\N	\N	f	
9129	948d42b5-9f1f-477f-8db8-9818cb363d93	Taiyuan	Taiyuan	3	0	2013-06-01 20:45:52.148496+02	\N	\N	\N	\N	\N	\N	f	
9198	900c1a57-9049-4eaf-9b12-a4287cb3370a	Roberval	Roberval	3	0	2013-06-01 22:23:35.179569+02	\N	\N	\N	\N	\N	\N	f	
9270	452b19fa-53b4-41c4-aec0-1172d2e1e493	Stęszew	Stęszew	3	0	2013-06-02 15:30:17.215043+02	\N	\N	\N	\N	\N	\N	f	
9253	5c521325-33fe-4a1e-b6ce-f0a606a64e4d	Michałowo	Michałowo	3	0	2013-06-02 04:11:15.479581+02	\N	\N	\N	\N	\N	\N	f	
9279	12c3b82e-fcab-4219-9bd5-792089d8280e	Barcelona	Barcelona	3	0	2013-06-02 16:35:10.355435+02	\N	\N	\N	\N	\N	\N	f	
9318	d646f8e0-3800-4294-9bfc-ba104996c40b	Hořice	Hořice	3	0	2013-06-03 00:24:36.99876+02	\N	\N	\N	\N	\N	\N	f	
9328	3add4fb9-c050-421e-a6bf-be8d88adb6e4	Clifton Beach	Clifton Beach	3	0	2013-06-03 18:15:56.685384+02	\N	\N	\N	\N	\N	\N	f	
9343	4a3e32a7-43a9-44bf-a6ef-c5a0a8e9978f	Türi	Türi	3	0	2013-06-04 21:58:37.221611+02	\N	\N	\N	\N	\N	\N	f	
14406	599b9625-f3fb-4461-a946-952634487ae1	Castelnuovo Scrivia	Castelnuovo Scrivia	4	0	2013-07-21 21:30:28.276856+02	\N	\N	\N	\N	\N	\N	f	
13813	bfd651e0-a8c2-4e7a-8cd7-991d7aa9d8c5	Villar Pellice	Villar Pellice	4	0	2013-07-21 19:18:17.251026+02	\N	\N	\N	\N	\N	\N	f	
14417	778763b0-254b-44a2-a9bb-35702758946b	Cella Monte	Cella Monte	4	0	2013-07-21 21:33:00.779803+02	\N	\N	\N	\N	\N	\N	f	
15511	86ff971f-4696-4627-bf3f-8d2b2631b757	Lesa	Lesa	4	0	2013-07-22 01:01:28.803451+02	\N	\N	\N	\N	\N	\N	f	
4399	12795157-7056-4598-9760-403e5ee89492	Landes	Landes	2	0	2013-05-22 13:20:31.755132+02	\N	\N	\N	\N	\N	\N	f	
4411	a6ecf138-9e1e-4708-bceb-549a85a5ed18	Haute-Marne	Haute-Marne	2	0	2013-05-22 13:23:52.127719+02	\N	\N	\N	\N	\N	\N	f	
4669	fd47f11d-54d5-471a-96f2-373714588177	Massa-Carrara	Massa-Carrara	2	0	2013-05-22 14:39:11.815002+02	\N	\N	\N	\N	\N	\N	f	
5192	8c660e01-1898-4440-868d-36635c483d82	Kagoshima	Kagoshima	3	0	2013-05-24 22:46:10.069188+02	\N	\N	\N	\N	\N	\N	f	
4755	d7d84183-e31f-4489-bde4-70f8a17ef5b5	Assa-Zag	Assa-Zag	2	0	2013-06-05 12:10:41.014984+02	\N	\N	\N	\N	\N	\N	f	
4950	dfdded75-640b-4d84-a852-5dd4e3b5809c	Sulu	Sulu	2	0	2013-05-22 15:56:26.040894+02	\N	\N	\N	\N	\N	\N	f	
5363	5f79fa04-2b62-4e43-99a5-8027aef868ac	Gaz	Gaz	3	0	2013-05-24 23:20:15.662416+02	\N	\N	\N	\N	\N	\N	f	
5838	015d1c0f-4c19-42c5-a473-d7ebe35d898b	Serock	Serock	3	0	2013-05-25 01:01:52.723352+02	\N	\N	\N	\N	\N	\N	f	
5503	5568a779-0d1a-4fa7-8894-97f01c415c7a	Bowling Green, Missouri	Bowling Green, Missouri	3	0	2013-05-24 23:49:47.545364+02	\N	\N	\N	\N	\N	\N	f	
5577	3ae631c6-1ef1-44ac-ad4b-577c8def4513	Biała Podlaska	Biała Podlaska	3	0	2013-05-25 00:06:11.196795+02	\N	\N	\N	\N	\N	\N	f	
5587	f072ce80-9abb-43fa-a4ef-1c94fac6657d	Suwałki	Suwałki	3	0	2013-05-25 00:08:24.32936+02	\N	\N	\N	\N	\N	\N	f	
6067	6c84a21e-44ec-4ad7-a511-c702a67f27d4	Olkusz	Olkusz	3	0	2013-05-25 01:45:55.001638+02	\N	\N	\N	\N	\N	\N	f	
5607	bc919577-10a0-447c-acba-a773a1c8104a	Siemiatycze	Siemiatycze	3	0	2013-05-25 00:13:02.249149+02	\N	\N	\N	\N	\N	\N	f	
6519	ad6671ac-b152-4910-9f8d-de709298c804	Houston	Houston	3	0	2013-05-25 03:24:46.81925+02	\N	\N	\N	\N	\N	\N	f	
6114	174d0e6c-27dd-4670-a608-59500332823d	Ab Bar	Ab Bar	3	0	2013-05-25 01:56:00.872623+02	\N	\N	\N	\N	\N	\N	f	
6126	1cf488d9-a295-4c3e-b861-472eef9394fe	Darreh Shahr	Darreh Shahr	3	0	2013-05-25 01:58:10.168432+02	\N	\N	\N	\N	\N	\N	f	
6142	fe0287cb-b3a9-4f06-b441-39ef13971bb4	Mahmudabad	Mahmudabad	3	0	2013-05-25 02:00:53.707703+02	\N	\N	\N	\N	\N	\N	f	
6773	6fd5f6ad-352a-4cd7-9bc5-078bb478be8e	Okemah	Okemah	3	0	2013-05-25 04:13:37.662761+02	\N	\N	\N	\N	\N	\N	f	
6189	07d8e21f-1bb5-487c-9201-7c61e26261c8	Surian	Surian	3	0	2013-05-25 02:09:28.665653+02	\N	\N	\N	\N	\N	\N	f	
7166	2ffc3e3f-7416-4ec6-b6a5-f6f8a90e7e13	Glinojeck	Glinojeck	3	0	2013-05-26 17:09:11.490233+02	\N	\N	\N	\N	\N	\N	f	
6196	acc21b52-8ed5-4ebc-af57-6d92a881fe9a	Khur	Khur	3	0	2013-05-25 02:10:42.584799+02	\N	\N	\N	\N	\N	\N	f	
6866	4391dd15-d61b-44a0-ac4c-9555b6368c71	Qurchi Bashi	Qurchi Bashi	3	0	2013-05-25 04:30:08.920491+02	\N	\N	\N	\N	\N	\N	f	
6214	31558d48-62bc-4aa3-b3de-aecd1f1fd3a5	Moore	Moore	3	0	2013-05-25 02:13:59.694733+02	\N	\N	\N	\N	\N	\N	f	
1698	5482466b-2db6-4038-a68c-86ebc37adc48	Aiga-i-le-Tai	Aiga-i-le-Tai	2	0	2013-06-05 09:38:23.525998+02	\N	\N	\N	\N	\N	\N	f	
6300	0b9bbc67-3292-407b-94f9-323e9c53fc16	Grenada	Grenada	3	0	2013-05-25 02:32:54.646312+02	\N	\N	\N	\N	\N	\N	f	
6873	5df7af3b-e07c-4e64-890e-67e94d5025d4	Alamarvdasht	Alamarvdasht	3	0	2013-05-25 04:31:29.235658+02	\N	\N	\N	\N	\N	\N	f	
9051	226c53eb-b0b6-4160-b351-773f266255f1	Guigang	Guigang	3	0	2013-06-01 20:30:00.34333+02	\N	\N	\N	\N	\N	\N	f	
6901	9e062c2a-4d3b-4dc8-81c1-45748a95decd	Safayyeh	Safayyeh	3	0	2013-05-25 04:37:25.139561+02	\N	\N	\N	\N	\N	\N	f	
7274	14c7615e-79ea-4e5e-9977-c7fbe238fc1b	Waverly	Waverly	3	0	2013-05-26 17:39:16.38363+02	\N	\N	\N	\N	\N	\N	f	
6905	57451c40-1d95-41cf-859c-9f10e82b2c88	lavasan-e bozorg rural district	lavasan-e bozorg rural district	3	0	2013-05-25 04:38:20.729168+02	\N	\N	\N	\N	\N	\N	f	
6994	fd60873f-cb79-4000-82a4-579d1b487d9e	Koziegłowy, Silesian Voivodeship	Koziegłowy, Silesian Voivodeship	3	0	2013-05-25 14:22:53.877532+02	\N	\N	\N	\N	\N	\N	f	
8680	f9f5b166-2d53-4a72-9780-3fa25e821bcc	Phunderdihari	Phunderdihari	3	0	2013-06-01 18:14:07.573857+02	\N	\N	\N	\N	\N	\N	f	
7421	23d51c41-7d68-48ff-ab45-8b2298ba8402	Tamworth, New South Wales	Tamworth, New South Wales	3	0	2013-05-28 14:31:27.943596+02	\N	\N	\N	\N	\N	\N	f	
8791	80e48255-3f33-433c-b43e-c2eb98e7eed8	Gniewkowo	Gniewkowo	3	0	2013-06-01 18:47:12.158593+02	\N	\N	\N	\N	\N	\N	f	
7528	16a40d7c-2f2c-4973-8fb0-dd53c551846e	Bad Wimpfen	Bad Wimpfen	3	0	2013-05-29 00:39:39.315571+02	\N	\N	\N	\N	\N	\N	f	
7690	db7e4639-1163-41d3-98a6-c350eed8028a	Garden City	Garden City	3	0	2013-05-29 01:13:29.875044+02	\N	\N	\N	\N	\N	\N	f	
7692	ed74d10b-c52e-4d02-a49f-c9935db755eb	Colac	Colac	3	0	2013-05-29 01:18:18.979065+02	\N	\N	\N	\N	\N	\N	f	
8792	c616eae9-a26f-4c85-8f65-60f41992619e	Tuczno	Tuczno	3	0	2013-06-01 18:47:25.224271+02	\N	\N	\N	\N	\N	\N	f	
7828	3f5e93e9-98bb-4c44-b9bf-684845f48a4f	Palestine	Palestine	3	0	2013-05-29 02:41:42.284548+02	\N	\N	\N	\N	\N	\N	f	
9162	faec9ed6-616e-4206-b457-d09bddeeaa4c	Siping, Jilin	Siping, Jilin	3	0	2013-06-01 20:54:45.020634+02	\N	\N	\N	\N	\N	\N	f	
7422	8ab85596-7129-4eab-b613-77bcd0b2f0ff	Rural City of Horsham	Rural City of Horsham	2	0	2013-05-30 13:52:01.623592+02	\N	\N	\N	\N	\N	\N	f	
8819	d8f7d240-ac9c-4558-b15c-3b104a9c7df1	Shenyang	Shenyang	3	0	2013-06-01 19:34:04.067298+02	\N	\N	\N	\N	\N	\N	f	
8034	8db7fbc8-0545-4653-9fbf-8e2daebce779	Olney	Olney	3	0	2013-05-30 18:31:11.210149+02	\N	\N	\N	\N	\N	\N	f	
8152	956fa258-1a0f-4578-963a-050657bec8ef	Adelsheim	Adelsheim	3	0	2013-05-30 21:05:13.806006+02	\N	\N	\N	\N	\N	\N	f	
8306	b4428508-e30b-40d4-997f-60388083472c	Hadleigh	Hadleigh	3	0	2013-05-30 21:41:19.525924+02	\N	\N	\N	\N	\N	\N	f	
9254	cda0a958-4dc2-4857-b0df-f7df1a77bf3e	Baltic	Baltic	3	0	2013-06-02 04:12:21.783205+02	\N	\N	\N	\N	\N	\N	f	
8520	f585c971-ee8d-4408-91b5-7251650ca90f	Zator	Zator	3	0	2013-06-01 17:31:10.676975+02	\N	\N	\N	\N	\N	\N	f	
8926	ca750bb8-b39c-42ba-baf1-530678ce64fa	Suihua	Suihua	3	0	2013-06-01 20:03:55.176863+02	\N	\N	\N	\N	\N	\N	f	
9187	d6b3d098-360b-441e-8f18-e71992583b8f	Miłomłyn	Miłomłyn	3	0	2013-06-01 21:02:49.355877+02	\N	\N	\N	\N	\N	\N	f	
8988	2b9ea25c-97c0-4ea2-8523-c38fc78e696f	Yiyang	Yiyang	3	0	2013-06-01 20:16:08.138445+02	\N	\N	\N	\N	\N	\N	f	
9039	22b02673-f005-4df8-b276-25aeb241efa3	Baotou	Baotou	3	0	2013-06-01 20:27:46.060743+02	\N	\N	\N	\N	\N	\N	f	
9044	41dacc3d-17f8-4875-af2d-46e9b953504d	Fangchenggang	Fangchenggang	3	0	2013-06-01 20:28:37.148544+02	\N	\N	\N	\N	\N	\N	f	
9319	f7a2090d-303c-4410-9411-7707a111ca55	China	China	3	0	2013-06-03 00:24:53.113769+02	\N	\N	\N	\N	\N	\N	f	
9199	b885ed58-26f2-4baf-804b-2e7e1dc96bf6	Nicolet	Nicolet	3	0	2013-06-01 22:23:49.356606+02	\N	\N	\N	\N	\N	\N	f	
9255	3af6733d-d4b4-4fc0-9ef9-99cc98c488c1	Courcelles, Quebec	Courcelles, Quebec	3	0	2013-06-02 04:14:28.167695+02	\N	\N	\N	\N	\N	\N	f	
9209	352aad65-5b51-4f80-95c4-3d8475752478	Wasilków	Wasilków	3	0	2013-06-01 22:29:29.601039+02	\N	\N	\N	\N	\N	\N	f	
9234	ffef71e2-7117-45fb-988b-00101c8fb217	Zabłudów	Zabłudów	3	0	2013-06-02 01:06:15.29524+02	\N	\N	\N	\N	\N	\N	f	
9271	26aaf33e-ffbb-42f5-bdaa-ebfdf45eab3c	Tykocin	Tykocin	3	0	2013-06-02 15:35:07.504652+02	\N	\N	\N	\N	\N	\N	f	
9280	9330d400-efef-446c-89d7-b8e24580e6d1	Osuna	Osuna	3	0	2013-06-02 16:37:01.759086+02	\N	\N	\N	\N	\N	\N	f	
9329	c9b1d7f0-95fc-4466-b654-52a81e58835a	Barellan	Barellan	3	0	2013-06-03 18:16:20.580592+02	\N	\N	\N	\N	\N	\N	f	
9344	d7541bae-148c-4dfa-bc28-5981d8bb93c2	Räpina	Räpina	3	0	2013-06-04 21:59:17.087215+02	\N	\N	\N	\N	\N	\N	f	
6215	f1f31f32-5efd-4e3d-8876-231ee44bd126	Shaft	Shaft	3	0	2013-06-05 06:45:25.195118+02	\N	\N	\N	\N	\N	\N	f	
3063	13c5a17f-5c0c-4fa2-817b-fce9a51fdad3	Ar Riyāḑ	Ar Riyāḑ	2	0	2013-06-05 06:52:46.756995+02	\N	\N	\N	\N	\N	\N	f	
4154	244c01b0-9cb4-4be3-b1d5-7bd8e954a028	Bazèga	Bazèga	2	0	2013-06-05 06:58:43.1753+02	\N	\N	\N	\N	\N	\N	f	
4804	6ae638a2-240e-47ba-ace1-334f273a6e57	Alifu Dhaalu	Alifu Dhaalu	2	0	2013-06-05 12:00:43.171816+02	\N	\N	\N	\N	\N	\N	f	
9516	2f681cf7-2e4f-40fd-b3eb-38c50209aa3c	Bethlehem	Bethlehem	3	0	2013-06-09 18:03:46.380829+02	\N	\N	\N	\N	\N	\N	f	
9692	5019b8e1-ea52-4d10-9963-cb56b988876e	Kirkcaldy	Kirkcaldy	3	0	2013-06-15 20:52:36.874525+02	\N	\N	\N	\N	\N	\N	f	
9726	b4a3a1d1-5bdc-4769-ba1f-3cba16b6cfa1	Tagajō	Tagajō	3	0	2013-06-17 15:43:28.403986+02	\N	\N	\N	\N	\N	\N	f	
9793	c91d8a5c-8b9f-4098-b590-04e4517ea714	Narita	Narita	3	0	2013-06-18 03:35:37.76377+02	\N	\N	\N	\N	\N	\N	f	
9752	da448127-6c62-4722-91ed-4a6c15448918	Yuzawa	Yuzawa	3	0	2013-06-18 01:08:22.751792+02	\N	\N	\N	\N	\N	\N	f	
9835	5e38a529-4f04-4778-9f12-fd14d47fd134	Settsu	Settsu	3	0	2013-06-18 03:51:00.853457+02	\N	\N	\N	\N	\N	\N	f	
9925	60a59b4e-a544-4bcd-b790-736b5761e7c7	Hidaka	Hidaka	3	0	2013-06-18 04:12:18.15512+02	\N	\N	\N	\N	\N	\N	f	
15512	2b4674cc-2e7a-4530-89c1-db6c9b2b6950	Landiona	Landiona	4	0	2013-07-22 01:01:40.772036+02	\N	\N	\N	\N	\N	\N	f	
9931	b42467b8-e462-4dc4-9a4a-a129a07f88e7	Kōsa	Kōsa	3	0	2013-06-18 07:26:39.973733+02	\N	\N	\N	\N	\N	\N	f	
4400	cc8bf355-cd9d-45ac-8eb7-c56a4419f534	Loir-et-Cher	Loir-et-Cher	2	0	2013-05-22 13:20:47.940077+02	\N	\N	\N	\N	\N	\N	f	
4401	1beed668-10db-4359-beab-81db58e67418	Loire	Loire	2	0	2013-05-22 13:21:03.247727+02	\N	\N	\N	\N	\N	\N	f	
4402	43652a6a-0535-4b3e-96a4-f11cf63b3d8c	Haute-Loire	Haute-Loire	2	0	2013-05-22 13:21:23.083779+02	\N	\N	\N	\N	\N	\N	f	
4671	c4a1a78a-66e3-4921-a54e-942ec883dcee	Napoli	Napoli	2	0	2013-05-22 14:39:37.438007+02	\N	\N	\N	\N	\N	\N	f	
4805	be871127-050d-4b25-a398-766996d83495	Seenu	Seenu	2	0	2013-05-22 15:18:55.577444+02	\N	\N	\N	\N	\N	\N	f	
5193	a1411661-be21-4290-8dc1-50f3d8e3ea67	Honolulu	Honolulu	3	0	2013-05-24 22:46:20.265361+02	\N	\N	\N	\N	\N	\N	f	
4951	6d4ebaa2-9ce0-4656-b8c0-d8579e8ac3b3	Sorsogon	Sorsogon	2	0	2013-05-22 15:56:40.493581+02	\N	\N	\N	\N	\N	\N	f	
4955	f8de0c87-8379-48f6-9880-0a3a7900490d	Tarlac	Tarlac	2	0	2013-05-22 15:57:32.888563+02	\N	\N	\N	\N	\N	\N	f	
5364	5b9f6dbf-333b-468a-b681-19c1bd8eeb0e	Fuladshahr	Fuladshahr	3	0	2013-05-24 23:20:26.038701+02	\N	\N	\N	\N	\N	\N	f	
5839	8b715b4c-531f-4ab6-aacf-319b80f8332e	Wyszogród	Wyszogród	3	0	2013-05-25 01:02:22.885474+02	\N	\N	\N	\N	\N	\N	f	
5507	d314ddfe-bae7-4685-b75e-e8e049c66598	Rio Branco	Rio Branco	3	0	2013-05-24 23:51:08.300621+02	\N	\N	\N	\N	\N	\N	f	
5550	14002eba-87c7-4df8-b8f9-59c38c2551c9	Ōita	Ōita	3	0	2013-05-25 00:00:56.542965+02	\N	\N	\N	\N	\N	\N	f	
6068	11a8bb38-b376-4055-8635-efcf1f12ce8e	Shahreza	Shahreza	3	0	2013-05-25 01:46:05.36166+02	\N	\N	\N	\N	\N	\N	f	
6521	a2c76470-548f-4206-a764-2ff8a398a09d	Wyoming	Wyoming	3	0	2013-05-25 03:25:19.631383+02	\N	\N	\N	\N	\N	\N	f	
6148	5e41c016-3ec0-4f91-a235-f528e0c305da	Safashahr	Safashahr	3	0	2013-05-25 02:02:00.330016+02	\N	\N	\N	\N	\N	\N	f	
6153	cea5d230-917d-4489-9c5f-eff7f0edd158	Bloomfield Hills	Bloomfield Hills	3	0	2013-05-25 02:02:51.50767+02	\N	\N	\N	\N	\N	\N	f	
6159	0a270a43-1a5c-432f-980d-5847930f3955	Charam	Charam	3	0	2013-05-25 02:04:00.11247+02	\N	\N	\N	\N	\N	\N	f	
6774	725a05dc-6915-4712-bf32-0b6813d9ff20	Kong	Kong	3	0	2013-05-25 04:13:47.894994+02	\N	\N	\N	\N	\N	\N	f	
6170	fbe2b75d-29ea-4fa0-940e-ad319945feb2	Susangerd	Susangerd	3	0	2013-05-25 02:06:01.320474+02	\N	\N	\N	\N	\N	\N	f	
6221	e3f2790a-657a-4cd0-a187-b8b73a547154	Tasuj	Tasuj	3	0	2013-05-25 02:15:25.051055+02	\N	\N	\N	\N	\N	\N	f	
7169	cbf6c8e5-bed5-4ab0-a062-025ceebc00d6	Kępice	Kępice	3	0	2013-05-26 17:09:50.653115+02	\N	\N	\N	\N	\N	\N	f	
8927	58946bdc-762c-458b-a0ab-30f003171d8e	Qitaihe	Qitaihe	3	0	2013-06-01 20:04:05.835601+02	\N	\N	\N	\N	\N	\N	f	
6996	27b18a22-cf4a-4833-9634-f58b67b8bc15	Lipiany	Lipiany	3	0	2013-05-25 14:23:15.825473+02	\N	\N	\N	\N	\N	\N	f	
6301	dacb5169-a81f-4674-9eeb-67a095674996	Brześć Kujawski	Brześć Kujawski	3	0	2013-05-25 02:33:06.754321+02	\N	\N	\N	\N	\N	\N	f	
7192	f639d9c2-987c-4578-8aa2-a8d875f35cd5	Koprzywnica	Koprzywnica	3	0	2013-05-26 17:15:23.535771+02	\N	\N	\N	\N	\N	\N	f	
6229	fb6786ca-5bd8-47d3-8c17-2c8fe9095c8f	Dakota City	Dakota City	3	0	2013-05-26 14:02:36.707036+02	\N	\N	\N	\N	\N	\N	f	
7275	326027a5-435a-4da4-9487-c6577a657ff8	Wagoner	Wagoner	3	0	2013-05-26 17:39:32.90479+02	\N	\N	\N	\N	\N	\N	f	
9281	e8009518-76cf-42b1-b6db-b96d2677e208	Châteauroux	Châteauroux	3	0	2013-06-02 16:40:56.717525+02	\N	\N	\N	\N	\N	\N	f	
7423	fc45a5cb-ca52-4279-be77-cc46dab41c7a	Howick, KwaZulu-Natal	Howick, KwaZulu-Natal	3	0	2013-05-28 14:31:48.233807+02	\N	\N	\N	\N	\N	\N	f	
8986	b37f56dc-5985-4162-88ce-2bdabd9afe01	Meishan	Meishan	3	0	2013-06-01 20:15:44.21626+02	\N	\N	\N	\N	\N	\N	f	
7533	041e5603-5c84-4ac6-970c-3b6174f20f55	Bad Arolsen	Bad Arolsen	3	0	2013-05-29 00:40:46.104626+02	\N	\N	\N	\N	\N	\N	f	
7560	99e3a225-e50e-4390-94d4-939f7a70c7ad	Bad Liebenzell	Bad Liebenzell	3	0	2013-05-29 00:46:19.718169+02	\N	\N	\N	\N	\N	\N	f	
7693	f2986130-ddb5-424a-8f12-3869d59336aa	Maryborough	Maryborough	3	0	2013-05-29 01:18:39.52806+02	\N	\N	\N	\N	\N	\N	f	
9040	43271637-9027-4d91-945b-fc1347e32d95	Wuzhou	Wuzhou	3	0	2013-06-01 20:27:56.031628+02	\N	\N	\N	\N	\N	\N	f	
7829	701240db-3a08-4b35-9081-a7ca095dbdc7	Archer	Archer	3	0	2013-05-29 02:42:05.514853+02	\N	\N	\N	\N	\N	\N	f	
8035	0738757d-59b2-4a22-a442-43cb5ec99b45	Cobar	Cobar	3	0	2013-05-30 18:31:40.526479+02	\N	\N	\N	\N	\N	\N	f	
9552	e6616c2c-1d49-4080-9e40-17a7f5037418	Borehamwood	Borehamwood	3	0	2013-06-10 02:55:41.441277+02	\N	\N	\N	\N	\N	\N	f	
8154	9866250f-efbe-4bb3-af13-359789587c87	Dolní Bousov	Dolní Bousov	3	0	2013-05-30 21:05:39.324047+02	\N	\N	\N	\N	\N	\N	f	
9047	da8d6a59-9ab3-4ae0-b2ae-3eb1da454c9e	Hechi	Hechi	3	0	2013-06-01 20:29:15.279125+02	\N	\N	\N	\N	\N	\N	f	
8312	660d5704-0549-4010-bde2-7b7039a1a55e	Deputado Irapuan Pinheiro	Deputado Irapuan Pinheiro	3	0	2013-05-30 21:42:28.787595+02	\N	\N	\N	\N	\N	\N	f	
8521	9af06c59-9584-4b2b-a44c-82ef0a994e0e	Cherbourg	Cherbourg	3	0	2013-06-01 17:31:28.801852+02	\N	\N	\N	\N	\N	\N	f	
9320	6fba1a6d-9dac-401c-878e-285fdb0119ce	Mount Shasta	Mount Shasta	3	0	2013-06-03 00:28:08.014327+02	\N	\N	\N	\N	\N	\N	f	
8565	0adab917-94de-4eea-904e-b4cfce8850c0	Kiama, New South Wales	Kiama, New South Wales	3	0	2013-06-01 17:42:12.481148+02	\N	\N	\N	\N	\N	\N	f	
9122	3630561c-eb79-4df7-bab6-7fd4d4cf84cf	Jingmen	Jingmen	3	0	2013-06-01 20:44:25.967128+02	\N	\N	\N	\N	\N	\N	f	
8682	a0bf4c41-6cd6-42cc-ba87-dd6010cf2fd2	Walgett	Walgett	3	0	2013-06-01 18:14:44.629307+02	\N	\N	\N	\N	\N	\N	f	
8793	e63df50c-3544-4dc4-a7b4-bd7cdc187b97	Raszków	Raszków	3	0	2013-06-01 18:47:39.580312+02	\N	\N	\N	\N	\N	\N	f	
9189	4048e80c-2904-4c25-ad66-c95bbcec77d6	Małomice	Małomice	3	0	2013-06-01 21:03:12.239768+02	\N	\N	\N	\N	\N	\N	f	
4491	b241392e-d690-42b0-8cb0-34ebc546a874	Centro Sur	Centro Sur	2	0	2013-06-05 06:54:27.356239+02	\N	\N	\N	\N	\N	\N	f	
9200	39d9b198-2b65-4856-a788-904c3143ee85	Sainte-Anne-de-Bellevue	Sainte-Anne-de-Bellevue	3	0	2013-06-01 22:24:07.936036+02	\N	\N	\N	\N	\N	\N	f	
9330	968bd1a6-6a88-4721-b9cc-8e20d4301154	Forest Grove	Forest Grove	3	0	2013-06-03 18:17:40.101858+02	\N	\N	\N	\N	\N	\N	f	
9235	b5eca2e9-4a34-4490-b32b-cca9d3a056b9	Tuchów	Tuchów	3	0	2013-06-02 01:06:57.431051+02	\N	\N	\N	\N	\N	\N	f	
9256	7db492b1-435f-4cb5-a202-50626d183990	Hébertville-Station	Hébertville-Station	3	0	2013-06-02 04:14:59.067462+02	\N	\N	\N	\N	\N	\N	f	
9272	d41034ba-de08-4247-b61e-4d92031be905	Rokycany	Rokycany	3	0	2013-06-02 15:38:12.584542+02	\N	\N	\N	\N	\N	\N	f	
9345	c29e4722-c3d4-4e8e-bbc0-b05d73fc8741	Antsla	Antsla	3	0	2013-06-04 22:00:02.670658+02	\N	\N	\N	\N	\N	\N	f	
9347	1533631e-7cbb-4837-80e6-bef7d7097557	Püssi	Püssi	3	0	2013-06-04 22:01:25.232323+02	\N	\N	\N	\N	\N	\N	f	
9773	670c8be9-1a20-4a2d-a780-c59d60f11102	Ryūgasaki	Ryūgasaki	3	0	2013-06-18 01:16:32.985831+02	\N	\N	\N	\N	\N	\N	f	
9693	863c0b47-4fff-4561-85b1-33450f20b3bb	Weinheim	Weinheim	3	0	2013-06-15 20:53:02.319762+02	\N	\N	\N	\N	\N	\N	f	
2202	da6d6681-2b20-40cd-8196-b7363fd0f5dd	Ammochostos	Ammochostos	2	0	2013-06-05 09:40:43.558983+02	\N	\N	\N	\N	\N	\N	f	
9517	596ec641-f903-456b-a589-553d491069fb	Keshod	Keshod	3	0	2013-06-09 18:04:07.058125+02	\N	\N	\N	\N	\N	\N	f	
9727	8dd90cab-b09b-47d5-964f-fb6a8bd5e54b	Medlow Bath	Medlow Bath	3	0	2013-06-17 15:43:56.873362+02	\N	\N	\N	\N	\N	\N	f	
9753	75e2e8dd-23cc-431a-ba1c-f63430ab300d	Sano	Sano	3	0	2013-06-18 01:08:48.233151+02	\N	\N	\N	\N	\N	\N	f	
9795	8847b25c-808c-4135-a285-4145e2689a16	Murakami	Murakami	3	0	2013-06-18 03:36:26.180086+02	\N	\N	\N	\N	\N	\N	f	
9939	662cad9c-858c-46cf-b768-057a9d659add	Tsunagi	Tsunagi	3	0	2013-06-18 07:28:17.061279+02	\N	\N	\N	\N	\N	\N	f	
9800	fbdd91b6-e1a0-47fc-89e5-a2aff6215f7b	Kasukabe	Kasukabe	3	0	2013-06-18 03:39:25.900589+02	\N	\N	\N	\N	\N	\N	f	
9932	d966efd8-32b1-4c69-bb2b-5a128af6175f	Takamori	Takamori	3	0	2013-06-18 07:26:50.654527+02	\N	\N	\N	\N	\N	\N	f	
10012	892b789e-7d4d-41fc-8056-e0b3cb52846a	Oguni	Oguni	3	0	2013-06-18 08:01:01.382348+02	\N	\N	\N	\N	\N	\N	f	
10035	a507bd64-0ee5-45c7-bda3-0f29b866176f	Yanai	Yanai	3	0	2013-06-18 08:08:56.957399+02	\N	\N	\N	\N	\N	\N	f	
10072	70066f59-7cda-4769-93df-ba5df7940099	Nankoku	Nankoku	3	0	2013-06-18 08:16:04.765673+02	\N	\N	\N	\N	\N	\N	f	
10098	64a3103f-50c3-40a3-b8c7-bced92e761a6	Ogasawara	Ogasawara	3	0	2013-06-18 14:29:50.626084+02	\N	\N	\N	\N	\N	\N	f	
10157	1fe0c513-ccf0-4485-a977-b02a7dc5c05a	Geisei	Geisei	3	0	2013-06-18 14:41:21.441553+02	\N	\N	\N	\N	\N	\N	f	
10168	f0c51b12-3c34-4347-9c1e-8a4479fc2d91	Kotohira	Kotohira	3	0	2013-06-18 14:44:16.554177+02	\N	\N	\N	\N	\N	\N	f	
10181	f71d4b9b-844a-410e-b20d-ef00bade13f2	Itano	Itano	3	0	2013-06-18 14:46:55.027787+02	\N	\N	\N	\N	\N	\N	f	
10191	6aa24a98-d8b5-400f-9210-7fe225f52491	Kudoyama	Kudoyama	3	0	2013-06-18 14:48:45.167535+02	\N	\N	\N	\N	\N	\N	f	
13814	f3eb4b8a-1d70-450e-84e9-d22cc77c1c3b	Villarbasse	Villarbasse	4	0	2013-07-21 19:18:38.099711+02	\N	\N	\N	\N	\N	\N	f	
10199	de2c4db0-ee81-44bb-ab76-4a927f43ff0e	Ōki	Ōki	3	0	2013-06-18 15:03:24.952033+02	\N	\N	\N	\N	\N	\N	f	
4403	275be2d4-d224-4d20-bbda-12e59db9e61d	Loire-Atlantique	Loire-Atlantique	2	0	2013-05-22 13:21:39.597993+02	\N	\N	\N	\N	\N	\N	f	
4404	2587ad5d-2cfe-4a93-b3c4-8cacc5d3b1e7	Loiret	Loiret	2	0	2013-05-22 13:21:51.618686+02	\N	\N	\N	\N	\N	\N	f	
4405	2c7fd735-6c6a-4393-b35d-b2579c887154	Lot	Lot	2	0	2013-05-22 13:22:05.084494+02	\N	\N	\N	\N	\N	\N	f	
4673	ff0de797-d3f9-4028-994d-e2aaa2a6a81a	Nuoro	Nuoro	2	0	2013-05-22 14:40:08.798355+02	\N	\N	\N	\N	\N	\N	f	
4406	592aa856-6611-4669-81e9-ed6cbefc5ee7	Lot-et-Garonne	Lot-et-Garonne	2	0	2013-05-22 13:22:24.799128+02	\N	\N	\N	\N	\N	\N	f	
4409	0661dde5-f97f-41df-a812-dc3f85f2704d	Manche	Manche	2	0	2013-05-22 13:23:20.039262+02	\N	\N	\N	\N	\N	\N	f	
4410	5f729318-faae-4f0e-bab1-c402f3f84c4b	Marne	Marne	2	0	2013-05-22 13:23:34.767144+02	\N	\N	\N	\N	\N	\N	f	
4682	be0dbb30-59ca-4107-bbbb-ee9a74f61a92	Pisa	Pisa	2	0	2013-05-22 14:43:00.243721+02	\N	\N	\N	\N	\N	\N	f	
4422	01d2ec9a-9dd4-430f-961e-7ff479084245	Puy-de-Dôme	Puy-de-Dôme	2	0	2013-05-22 13:26:45.018837+02	\N	\N	\N	\N	\N	\N	f	
9393	3e15af1e-32e5-4817-aabf-f5073322a73b	Quezon City	Quezon City	3	0	2013-06-07 13:44:35.288671+02	\N	\N	\N	\N	\N	\N	f	
9391	1b273f69-a9f8-4019-8342-d4af18f4f5d4	Spišský Štiavnik	Spišský Štiavnik	3	0	2013-06-06 22:23:40.802295+02	\N	\N	\N	\N	\N	\N	f	
5365	f02ffacc-0a48-4a7f-be26-c33b5018f387	Varnamkhast	Varnamkhast	3	0	2013-05-24 23:20:36.685272+02	\N	\N	\N	\N	\N	\N	f	
4952	8d84c164-550c-4c8e-afc3-eb5b6bac6722	Sultan Kudarat	Sultan Kudarat	2	0	2013-05-22 15:56:52.035788+02	\N	\N	\N	\N	\N	\N	f	
5840	bc49b853-121f-4d73-a77d-5a4ea525e5e9	Praszka	Praszka	3	0	2013-05-25 01:02:45.091493+02	\N	\N	\N	\N	\N	\N	f	
5385	3fb1336a-687b-4118-a6e1-f89a3652d29e	Słupsk	Słupsk	3	0	2013-05-24 23:24:20.458267+02	\N	\N	\N	\N	\N	\N	f	
5511	adb4c40e-bc95-4a5e-b791-1b455fad93ab	Urmia	Urmia	3	0	2013-05-24 23:52:28.023681+02	\N	\N	\N	\N	\N	\N	f	
6069	480a2820-89ec-41a1-ae47-53fe951d2a9d	Zarrin Shahr	Zarrin Shahr	3	0	2013-05-25 01:46:15.6834+02	\N	\N	\N	\N	\N	\N	f	
6522	701becb3-e5af-4216-a862-81241c7e1de9	Nelson, Georgia	Nelson, Georgia	3	0	2013-05-25 03:25:39.383736+02	\N	\N	\N	\N	\N	\N	f	
6303	a3c12ded-d072-4401-8200-9139e9760317	Woodinville	Woodinville	3	0	2013-05-25 02:33:34.33304+02	\N	\N	\N	\N	\N	\N	f	
6304	42a0caac-f421-42e2-a03f-62a836f5c574	Virginia	Virginia	3	0	2013-05-25 02:33:45.028029+02	\N	\N	\N	\N	\N	\N	f	
8522	5408ab37-0b55-4cc8-8f45-d3da0cda2964	Krzywiń	Krzywiń	3	0	2013-06-01 17:31:40.662377+02	\N	\N	\N	\N	\N	\N	f	
6560	7db11df4-eac3-4fd9-982e-57659247cc56	Safiabad, North Khorasan	Safiabad, North Khorasan	3	0	2013-05-25 03:33:08.085908+02	\N	\N	\N	\N	\N	\N	f	
7170	18cf20c2-b10c-4b36-bdfe-f68196f7ab13	Gryfów Śląski	Gryfów Śląski	3	0	2013-05-26 17:10:05.983937+02	\N	\N	\N	\N	\N	\N	f	
6601	1f01ff42-ea5e-4f86-bb05-cc3cd52844b3	Kakhk	Kakhk	3	0	2013-05-25 03:40:24.05649+02	\N	\N	\N	\N	\N	\N	f	
6776	6be2280b-b014-47b9-8fea-34c270dd34d3	Duncan	Duncan	3	0	2013-05-25 04:14:06.476626+02	\N	\N	\N	\N	\N	\N	f	
6817	96d264d2-1706-4d69-90a7-48c036b4c53e	Jupar	Jupar	3	0	2013-05-25 04:21:34.15685+02	\N	\N	\N	\N	\N	\N	f	
7276	7e16d1e1-acb8-4153-8d7c-2b814f343749	Durham	Durham	3	0	2013-05-26 17:40:53.749675+02	\N	\N	\N	\N	\N	\N	f	
6848	34b68402-7dfe-4e31-ae7e-a1feb9eef3ce	Keshavarz	Keshavarz	3	0	2013-05-25 04:27:00.879953+02	\N	\N	\N	\N	\N	\N	f	
6855	f5c1d643-723f-4034-8004-ff26b8e15f06	Ekhtiarabad	Ekhtiarabad	3	0	2013-05-25 04:28:12.77668+02	\N	\N	\N	\N	\N	\N	f	
9201	7484d5b4-2063-4ced-a868-3bc2d9895419	Senneterre	Senneterre	3	0	2013-06-01 22:24:27.71663+02	\N	\N	\N	\N	\N	\N	f	
6997	848441a8-41ed-4535-809c-6e155070d21e	Działoszyce	Działoszyce	3	0	2013-05-25 14:23:32.019068+02	\N	\N	\N	\N	\N	\N	f	
7424	f039e4ad-d656-4aad-a702-5e497d768520	Taree, New South Wales	Taree, New South Wales	3	0	2013-05-28 14:32:18.294578+02	\N	\N	\N	\N	\N	\N	f	
8685	e3063b8e-c49a-4cc6-89c9-c135cf4ccb9d	Mono	Mono	3	0	2013-06-01 18:16:04.148957+02	\N	\N	\N	\N	\N	\N	f	
7534	c689581c-c4ad-4b9d-9e76-2ee246545583	Korbach	Korbach	3	0	2013-05-29 00:40:56.336205+02	\N	\N	\N	\N	\N	\N	f	
7830	45bf0533-9ff2-402c-a4ee-d0bb3ceb9740	Archer City	Archer City	3	0	2013-05-29 02:42:17.615013+02	\N	\N	\N	\N	\N	\N	f	
8036	8d7546e9-45b8-49f9-ba51-1a76c16ba3f5	Ficulle	Ficulle	3	0	2013-05-30 18:31:55.794286+02	\N	\N	\N	\N	\N	\N	f	
8794	378f19e9-c9f3-4a80-afb9-7cf345096283	Guyra	Guyra	3	0	2013-06-01 18:47:51.421255+02	\N	\N	\N	\N	\N	\N	f	
8076	f3793df6-15f1-4fa5-a3d5-a680da01d095	Halstead	Halstead	3	0	2013-05-30 18:40:50.64933+02	\N	\N	\N	\N	\N	\N	f	
8156	4716954f-f4bb-4e91-a305-61e2fd1f1181	Kenbridge	Kenbridge	3	0	2013-05-30 21:06:09.004715+02	\N	\N	\N	\N	\N	\N	f	
8161	f1fefbe9-86dc-4769-8159-239538cde310	Ulverstone	Ulverstone	3	0	2013-05-30 21:07:18.933271+02	\N	\N	\N	\N	\N	\N	f	
8928	6e875157-67eb-43ea-926c-a82e44439eb1	Hegang	Hegang	3	0	2013-06-01 20:04:16.579108+02	\N	\N	\N	\N	\N	\N	f	
8164	72a55bbd-8c33-4b71-831b-31189385ef5d	Baschi	Baschi	3	0	2013-05-30 21:08:06.437+02	\N	\N	\N	\N	\N	\N	f	
8219	52b320dc-d9d4-4a61-90da-7a4188227efc	Daly River	Daly River	3	0	2013-05-30 21:20:08.745252+02	\N	\N	\N	\N	\N	\N	f	
9225	95cd46f0-4716-4ae5-9427-7787ca476dad	Sulmierzyce	Sulmierzyce	3	0	2013-06-01 22:55:34.821358+02	\N	\N	\N	\N	\N	\N	f	
8319	7ec09cb6-df52-48fb-b814-4e4b1594d441	Ipswich	Ipswich	3	0	2013-05-30 21:44:09.771537+02	\N	\N	\N	\N	\N	\N	f	
8930	5b3fdd75-58cb-422e-a92e-77d7d191b7b0	Heihe	Heihe	3	0	2013-06-01 20:04:37.51167+02	\N	\N	\N	\N	\N	\N	f	
8325	e7316723-22d9-4472-8a81-5c89425923ae	Bournemouth	Bournemouth	3	0	2013-05-30 21:45:26.025609+02	\N	\N	\N	\N	\N	\N	f	
9041	1d567853-6b66-4b80-a661-cbac25b1b83d	Tongliao	Tongliao	3	0	2013-06-01 20:28:06.003222+02	\N	\N	\N	\N	\N	\N	f	
9236	4795e272-dcc1-4587-8018-59e4af57d692	Sherman	Sherman	3	0	2013-06-02 01:12:21.319275+02	\N	\N	\N	\N	\N	\N	f	
9101	1d7dce4b-fe42-4299-be88-c80f0a9a9855	Guyuan	Guyuan	3	0	2013-06-01 20:39:31.595404+02	\N	\N	\N	\N	\N	\N	f	
9173	94bf4848-30a0-418b-9918-40440a8dfc3a	Wyrzysk	Wyrzysk	3	0	2013-06-01 20:59:38.052327+02	\N	\N	\N	\N	\N	\N	f	
9331	f497aa96-ea79-4f70-a4b3-6ac0e172a80b	St Leonards-on-Sea	St Leonards-on-Sea	3	0	2013-06-03 18:18:16.857099+02	\N	\N	\N	\N	\N	\N	f	
9190	6ad3e9bc-5d33-4aac-a089-93e7b6b174e2	Cybinka	Cybinka	3	0	2013-06-01 21:03:27.989697+02	\N	\N	\N	\N	\N	\N	f	
9257	8517cca3-bf97-464d-8e94-73b7280ae478	Lac-aux-Sables	Lac-aux-Sables	3	0	2013-06-02 04:15:28.552615+02	\N	\N	\N	\N	\N	\N	f	
4828	f6e01a60-7cc4-403c-b302-5a4df2be6538	Chitipa	Chitipa	2	0	2013-06-05 09:54:22.929023+02	\N	\N	\N	\N	\N	\N	f	
9273	79eba21e-ecd3-4e31-8496-5a88a9c9e9e2	Lądek-Zdrój	Lądek-Zdrój	3	0	2013-06-02 15:39:11.489059+02	\N	\N	\N	\N	\N	\N	f	
1099	f270bc18-bc32-44a9-8c89-326d4815625e	Caaguazú	Caaguazú	2	0	2013-06-05 06:55:11.736893+02	\N	\N	\N	\N	\N	\N	f	
9282	1d10abd7-9c9f-423b-8a5a-91dd33e57c18	San Juan	San Juan	3	0	2013-06-02 16:41:01.609655+02	\N	\N	\N	\N	\N	\N	f	
9346	71bf4b33-09fa-48e0-b06c-6f77760a1602	Võhma	Võhma	3	0	2013-06-04 22:01:05.575816+02	\N	\N	\N	\N	\N	\N	f	
4816	0b26ba96-791e-4e4d-ad93-df9eb9ffc826	Baa	Baa	2	0	2013-06-05 12:21:02.455171+02	\N	\N	\N	\N	\N	\N	f	
5032	921b0c28-888c-4859-a11c-a6ee6ab559de	Amuru	Amuru	2	0	2013-06-05 09:42:52.801075+02	\N	\N	\N	\N	\N	\N	f	
9388	2e281874-ac4c-4fbb-b0e8-107adc2cbdf1	Minden	Minden	3	0	2013-06-06 07:36:34.663721+02	\N	\N	\N	\N	\N	\N	f	
4806	c473c69c-56a3-4307-ac4a-5b28455bc8b6	Alifu Alifu	Alifu Alifu	2	0	2013-06-05 10:53:47.997229+02	\N	\N	\N	\N	\N	\N	f	
9395	93a5c99d-eb6e-40f8-8170-5a2ef1ff91d3	Yenice	Yenice	3	0	2013-06-08 02:52:23.290143+02	\N	\N	\N	\N	\N	\N	f	
9396	4584e90e-edfe-48b6-add2-37051b4344fb	Yenice	Yenice	3	0	2013-06-08 02:56:03.493904+02	\N	\N	\N	\N	\N	\N	f	
9397	8aa27f61-7859-45cb-a60c-0202c7dd96a4	San Juan City	San Juan City	3	0	2013-06-08 07:44:04.22372+02	\N	\N	\N	\N	\N	\N	f	
9398	d50f578f-bb1f-4dc5-8962-aa80de3a1ab7	Sibiu	Sibiu	3	0	2013-06-08 15:52:40.168261+02	\N	\N	\N	\N	\N	\N	f	
9399	e96f1c0d-721b-470d-a9c4-0aa2d89cf9e7	Dallas	Dallas	3	0	2013-06-09 01:06:34.40007+02	\N	\N	\N	\N	\N	\N	f	
9400	b2b20e73-2ece-48df-832f-f5d50b6e9729	Kincardine	Kincardine	3	0	2013-06-09 03:13:07.59051+02	\N	\N	\N	\N	\N	\N	f	
9413	9ddf829c-48ee-4457-a80d-f7370f24f2ec	Madrid	Madrid	3	0	2013-06-09 09:57:24.563299+02	\N	\N	\N	\N	\N	\N	f	
9415	0903a8a4-3eed-4988-9b3d-3d046b265f62	Dabhoi	Dabhoi	3	0	2013-06-09 17:27:38.588141+02	\N	\N	\N	\N	\N	\N	f	
9518	03d21b2f-1b42-4dcf-af2d-d963d675fa69	Chhota Udaipur	Chhota Udaipur	3	0	2013-06-09 18:04:31.043461+02	\N	\N	\N	\N	\N	\N	f	
14407	c380ca7d-3757-4192-b453-c4872c6bc567	Gamalero	Gamalero	4	0	2013-07-21 21:30:40.035526+02	\N	\N	\N	\N	\N	\N	f	
5194	7c71f821-98a0-4f1b-bf6b-87fe1d6c89f0	Tucson	Tucson	3	0	2013-06-15 20:05:06.397465+02	\N	\N	\N	\N	\N	\N	f	
14914	c52c2143-8343-4728-935d-587a3bfbd91c	Govone	Govone	4	0	2013-07-21 23:25:12.995693+02	\N	\N	\N	\N	\N	\N	f	
4412	b627f449-21a8-4dbb-9e7e-bb0abba9cb87	Mayenne	Mayenne	2	0	2013-05-22 13:24:05.097359+02	\N	\N	\N	\N	\N	\N	f	
4413	eb9460d2-2201-4bfc-b80f-293bf26da53a	Meurthe-et-Moselle	Meurthe-et-Moselle	2	0	2013-05-22 13:24:24.734117+02	\N	\N	\N	\N	\N	\N	f	
4417	13b37d26-07f4-4b77-8bdb-2ec3a22ea7ee	Nièvre	Nièvre	2	0	2013-05-22 13:25:19.609868+02	\N	\N	\N	\N	\N	\N	f	
4675	d89dd241-4514-407b-86d1-7503a460a1a3	Oristano	Oristano	2	0	2013-05-22 14:40:48.973013+02	\N	\N	\N	\N	\N	\N	f	
4807	53f974b5-e2d3-410f-97e9-0bc79dbf371f	Lhaviyani	Lhaviyani	2	0	2013-05-22 15:19:34.964418+02	\N	\N	\N	\N	\N	\N	f	
5195	689306d8-34dd-4081-afa6-88c9d49117e2	Guangzhou	Guangzhou	3	0	2013-05-24 22:46:41.771609+02	\N	\N	\N	\N	\N	\N	f	
4939	084a9f3b-e6b7-4b9a-a5e5-50ac4a0a24e2	Pampanga	Pampanga	2	0	2013-05-22 15:54:12.557547+02	\N	\N	\N	\N	\N	\N	f	
4953	a8b91b96-ab02-4294-ac42-afc862b06e4c	Surigao del Norte	Surigao del Norte	2	0	2013-05-22 15:57:06.740747+02	\N	\N	\N	\N	\N	\N	f	
5366	4e469f05-3d01-4572-be9d-38f58257be5c	Olsztyn	Olsztyn	3	0	2013-05-24 23:20:47.338353+02	\N	\N	\N	\N	\N	\N	f	
5841	96890a84-d20d-4b61-a0bf-07752851390d	Ozimek	Ozimek	3	0	2013-05-25 01:03:07.030341+02	\N	\N	\N	\N	\N	\N	f	
5370	7ddd8381-3276-44f0-8652-e135643815a2	Rezvanshahr	Rezvanshahr	3	0	2013-05-24 23:21:32.809833+02	\N	\N	\N	\N	\N	\N	f	
5513	791d0c22-5a31-410d-af12-5fd2553bb3a7	Wilmington	Wilmington	3	0	2013-05-24 23:52:58.063737+02	\N	\N	\N	\N	\N	\N	f	
5546	aa891d6b-aa27-4a06-b641-879a9b9b9a02	Bischofsburg	Bischofsburg	3	0	2013-05-25 00:00:14.709605+02	\N	\N	\N	\N	\N	\N	f	
6070	11e06b1f-a8cf-49f4-8c3b-b7d1a431f6ac	Saveh	Saveh	3	0	2013-05-25 01:46:25.93674+02	\N	\N	\N	\N	\N	\N	f	
5548	b30b3600-3cd6-4762-b3c6-33a0a5aff27d	Hamilton	Hamilton	3	0	2013-05-25 00:00:35.839575+02	\N	\N	\N	\N	\N	\N	f	
6305	9462fede-198d-4deb-92b3-abbe7cf3e55d	Delaware	Delaware	3	0	2013-05-25 02:33:56.172112+02	\N	\N	\N	\N	\N	\N	f	
6523	643faa3f-25d4-4499-aa61-82d0530bd96c	Tinsukia	Tinsukia	3	0	2013-05-25 03:25:56.440398+02	\N	\N	\N	\N	\N	\N	f	
7171	70d4f3e9-692e-49a2-a8af-cb54e06fb374	Mirosławiec	Mirosławiec	3	0	2013-05-26 17:10:18.419977+02	\N	\N	\N	\N	\N	\N	f	
6552	ef6b2993-27ae-4d2e-bd92-a1bbacaab594	Leylan	Leylan	3	0	2013-05-25 03:31:42.964663+02	\N	\N	\N	\N	\N	\N	f	
13815	e708d606-7530-494f-a9a9-8ef1980c1bc4	Carpenedolo	Carpenedolo	4	0	2013-07-21 19:18:50.064195+02	\N	\N	\N	\N	\N	\N	f	
6566	b2b05269-5ba1-4e1f-8423-4a00de15fc10	Tureh	Tureh	3	0	2013-05-25 03:34:13.087231+02	\N	\N	\N	\N	\N	\N	f	
9237	07043a75-0f1c-4dbf-8df1-6a28d8312caf	Compton, Quebec	Compton, Quebec	3	0	2013-06-02 01:14:45.954867+02	\N	\N	\N	\N	\N	\N	f	
6777	c1a66bfc-d5c1-4e6d-b349-fb93bfb0ee81	Paris	Paris	3	0	2013-05-25 04:14:20.61356+02	\N	\N	\N	\N	\N	\N	f	
8686	88e39cef-c9c7-4b6e-bb23-c9860b9e5689	Arnstadt	Arnstadt	3	0	2013-06-01 18:16:24.06749+02	\N	\N	\N	\N	\N	\N	f	
6998	d1a4deb1-c4e9-4aea-b25d-f083e0e02992	Manhattan Beach	Manhattan Beach	3	0	2013-05-25 14:23:42.806032+02	\N	\N	\N	\N	\N	\N	f	
7426	4ae53b3e-7415-400a-9b38-51755f171cf0	Sanarate	Sanarate	3	0	2013-05-28 14:32:55.690844+02	\N	\N	\N	\N	\N	\N	f	
8795	32cdba3d-53b4-4260-977c-944f96b89f52	Karczew	Karczew	3	0	2013-06-01 18:48:11.583414+02	\N	\N	\N	\N	\N	\N	f	
7440	99b1bd9e-a2d3-4b53-a928-efb60c1e8423	Wyoming	Wyoming	3	0	2013-05-28 14:38:23.596232+02	\N	\N	\N	\N	\N	\N	f	
7447	b7b0d3c9-c610-43ad-8599-2e906e8579b2	Narre Warren	Narre Warren	3	0	2013-05-28 14:41:21.494265+02	\N	\N	\N	\N	\N	\N	f	
7448	26f53b42-9b1b-47e3-9165-94a2127c022b	Diego de Alvear	Diego de Alvear	3	0	2013-05-28 14:41:31.923863+02	\N	\N	\N	\N	\N	\N	f	
8931	410d8bc4-88cd-407a-874d-c91f2105f67f	Suzhou, Anhui	Suzhou, Anhui	3	0	2013-06-01 20:04:57.697059+02	\N	\N	\N	\N	\N	\N	f	
7536	688c3c93-4dfd-4043-838d-8a7ef5af766b	Gelnhausen	Gelnhausen	3	0	2013-05-29 00:41:18.19053+02	\N	\N	\N	\N	\N	\N	f	
7550	7b1ed6ee-de6a-4172-ba47-2e5c3f57c973	Lorsch	Lorsch	3	0	2013-05-29 00:44:29.282119+02	\N	\N	\N	\N	\N	\N	f	
9258	c3d2536d-2c85-45ee-a39b-a0143280bd79	Saint-Alexis	Saint-Alexis	3	0	2013-06-02 04:16:31.941218+02	\N	\N	\N	\N	\N	\N	f	
7831	78c84168-3c42-40e5-ae01-2afd0b97edf6	Bellville	Bellville	3	0	2013-05-29 02:42:46.574955+02	\N	\N	\N	\N	\N	\N	f	
9042	90411328-7494-4f38-b8c6-b4efde9ca53f	Hulunbuir	Hulunbuir	3	0	2013-06-01 20:28:16.0013+02	\N	\N	\N	\N	\N	\N	f	
8038	1873dd96-8820-4f3c-985b-6749b82cb6f3	South Benfleet	South Benfleet	3	0	2013-05-30 18:32:25.664322+02	\N	\N	\N	\N	\N	\N	f	
8158	3a5a6854-9c9b-4300-a943-ae9d4440a66c	Yalata	Yalata	3	0	2013-05-30 21:06:38.566047+02	\N	\N	\N	\N	\N	\N	f	
8222	65d237d2-0823-4969-bfea-8c0dfd41bd1b	Gunnedah	Gunnedah	3	0	2013-05-30 21:21:10.978581+02	\N	\N	\N	\N	\N	\N	f	
9088	59e5a446-2e00-43a2-b2d0-b944fdf8a25e	Heyuan	Heyuan	3	0	2013-06-01 20:37:09.151066+02	\N	\N	\N	\N	\N	\N	f	
8321	046e46e1-d3e8-4f15-b9a5-65373ada25d5	Anakie	Anakie	3	0	2013-05-30 21:44:34.40973+02	\N	\N	\N	\N	\N	\N	f	
8525	1d805ea4-4232-48b1-9ba3-b758feaa6a01	Rimouski	Rimouski	3	0	2013-06-01 17:32:13.600937+02	\N	\N	\N	\N	\N	\N	f	
2384	0877fc7c-eaed-4de5-9a03-0a9f977a4e94	Cherkas'ka Oblast'	Cherkas'ka Oblast'	2	0	2013-06-05 09:45:55.435651+02	\N	\N	\N	\N	\N	\N	f	
8652	212fb243-7e75-44c7-99fe-a3e9890ff8c3	Darlington Point	Darlington Point	3	0	2013-06-01 18:05:22.951836+02	\N	\N	\N	\N	\N	\N	f	
9148	c6ad927d-8b34-45aa-b2a2-5289553c2a1a	Dandong	Dandong	3	0	2013-06-01 20:49:43.438455+02	\N	\N	\N	\N	\N	\N	f	
9151	51b14874-22d4-4fb9-ad81-6b972cc21702	Babimost	Babimost	3	0	2013-06-01 20:51:11.355061+02	\N	\N	\N	\N	\N	\N	f	
9191	ae8870fa-3efc-46a1-91a5-01f914abff67	Pakość	Pakość	3	0	2013-06-01 21:03:40.303097+02	\N	\N	\N	\N	\N	\N	f	
9285	8522a441-2c8b-46fd-8dd6-fd5bbecb38fa	Turin	Turin	3	0	2013-06-02 16:44:52.968036+02	\N	\N	\N	\N	\N	\N	f	
9202	cb3909ef-6c29-4e36-a990-6d16f43934d7	Matane	Matane	3	0	2013-06-01 22:24:41.975603+02	\N	\N	\N	\N	\N	\N	f	
9205	0f86736d-670d-4035-a77b-c574663e76af	Waterville	Waterville	3	0	2013-06-01 22:25:32.515765+02	\N	\N	\N	\N	\N	\N	f	
9283	9f90b174-da03-43d6-a3cf-b350d5d07ffe	Roman	Roman	3	0	2013-06-08 10:02:45.427868+02	\N	\N	\N	\N	\N	\N	f	
9389	d38d1859-a5eb-40dc-a84a-a9535d872b0b	Minden	Minden	3	0	2013-06-06 07:44:47.494536+02	\N	\N	\N	\N	\N	\N	f	
9332	3e5b4104-b6d2-4338-9ed6-fb700153b490	Queenstown	Queenstown	3	0	2013-06-03 18:24:37.689433+02	\N	\N	\N	\N	\N	\N	f	
9350	229a5178-b8d9-44e0-8132-af1a5dadcc1c	Rakvere	Rakvere	3	0	2013-06-04 22:03:17.721368+02	\N	\N	\N	\N	\N	\N	f	
9392	656cefe0-3fc1-41f1-a63f-542477b37c86	Piešťany	Piešťany	3	0	2013-06-06 22:23:43.138063+02	\N	\N	\N	\N	\N	\N	f	
9416	9a2cca66-618d-4b1b-a310-409d674cc7cb	Jamnagar	Jamnagar	3	0	2013-06-09 17:27:53.152927+02	\N	\N	\N	\N	\N	\N	f	
9394	a96d2d8a-ebc3-4845-8e75-1f5be66c38e7	Kiel	Kiel	3	0	2013-06-07 13:46:22.499931+02	\N	\N	\N	\N	\N	\N	f	
3299	9e1b80d1-901a-4736-8d04-5eadd4ba00fa	Aïn Defla	Aïn Defla	2	0	2013-06-05 06:55:38.624551+02	\N	\N	\N	\N	\N	\N	f	
9546	7885554c-9d90-4430-84a6-e5ceb5747393	St. Cloud	St. Cloud	3	0	2013-06-09 18:23:19.626307+02	\N	\N	\N	\N	\N	\N	f	
9401	8b0c3b31-c1fd-48f4-b13d-86a8c8477e3e	Karlsruhe	Karlsruhe	3	0	2013-06-09 03:14:02.182373+02	\N	\N	\N	\N	\N	\N	f	
971	5bba7ec1-fc21-4aa5-ba3a-ae8e7c367258	Cochabamba	Cochabamba	2	0	2013-06-05 09:43:16.967833+02	\N	\N	\N	\N	\N	\N	f	
9525	a27aaa87-e380-45b6-a251-a4313f256d94	Vanthali	Vanthali	3	0	2013-06-09 18:07:14.689035+02	\N	\N	\N	\N	\N	\N	f	
9414	6b142ef2-95ca-41b2-98df-3f266ab24ed2	Santa Cruz de Tenerife	Santa Cruz de Tenerife	3	0	2013-06-09 09:59:33.155535+02	\N	\N	\N	\N	\N	\N	f	
9465	b08deeb9-730e-4c43-97b4-cc8d6452f44e	Mangrol	Mangrol	3	0	2013-06-09 17:47:17.057857+02	\N	\N	\N	\N	\N	\N	f	
9519	63dfc037-b9c2-4d9a-917c-070731cdf3e8	Daskroi	Daskroi	3	0	2013-06-09 18:04:54.157734+02	\N	\N	\N	\N	\N	\N	f	
9553	e36b470c-d3f8-4cd0-bd02-547bac369d90	Portland, Tennessee	Portland, Tennessee	3	0	2013-06-10 02:59:29.770757+02	\N	\N	\N	\N	\N	\N	f	
9694	d3e1291a-34c1-4685-976f-10c692df1cb7	Chatham, Kent	Chatham, Kent	3	0	2013-06-15 20:53:35.73316+02	\N	\N	\N	\N	\N	\N	f	
9728	afb62f17-1d36-4308-8c41-3515df9ea480	Ninohe	Ninohe	3	0	2013-06-17 15:44:21.382254+02	\N	\N	\N	\N	\N	\N	f	
9754	a65d8045-1736-4ace-a0ed-7405bbafcbc1	Numata	Numata	3	0	2013-06-18 01:09:11.115098+02	\N	\N	\N	\N	\N	\N	f	
9796	0e0297b4-987a-45f4-b9dc-529568f122c3	Tanabe	Tanabe	3	0	2013-06-18 03:36:59.009417+02	\N	\N	\N	\N	\N	\N	f	
9834	1096d0ed-925b-4f7c-8bc1-7826515c607b	Himi	Himi	3	0	2013-06-18 03:50:50.563795+02	\N	\N	\N	\N	\N	\N	f	
9885	ff6f1340-7405-4772-82dc-7110b9a3f36e	Nagahama	Nagahama	3	0	2013-06-18 04:04:25.708307+02	\N	\N	\N	\N	\N	\N	f	
15513	0a79dbbe-a2db-41f7-9f56-77aa3ab645d8	Invorio	Invorio	4	0	2013-07-22 01:01:52.612531+02	\N	\N	\N	\N	\N	\N	f	
9933	c412aeb3-d066-4d64-b9b0-62f2d80cf5d7	Nago	Nago	3	0	2013-06-18 07:27:00.863736+02	\N	\N	\N	\N	\N	\N	f	
4414	4ac54782-fd33-438d-b71f-3d64da232ddd	Meuse	Meuse	2	0	2013-05-22 13:24:37.148322+02	\N	\N	\N	\N	\N	\N	f	
4415	f71567c4-c419-4865-b776-543d94c2c044	Morbihan	Morbihan	2	0	2013-05-22 13:24:54.403336+02	\N	\N	\N	\N	\N	\N	f	
4676	537f0b33-8f08-4537-9866-5821eeaa0d04	Olbia-Tempio	Olbia-Tempio	2	0	2013-05-22 14:41:08.851688+02	\N	\N	\N	\N	\N	\N	f	
4765	2601b42c-7b05-493f-bc51-5ff72916e8dd	Inezgane-Ait Melloul	Inezgane-Ait Melloul	2	0	2013-05-22 15:06:14.001401+02	\N	\N	\N	\N	\N	\N	f	
5196	58d2816b-daf9-4fc5-962c-06967f14a5e5	Austin	Austin	3	0	2013-05-24 22:46:51.963551+02	\N	\N	\N	\N	\N	\N	f	
4808	ac5f14b4-a122-4178-8f12-e43220416149	Vaavu	Vaavu	2	0	2013-05-22 15:19:49.318354+02	\N	\N	\N	\N	\N	\N	f	
4954	4ce8b632-d26e-471e-867c-37fad949ffd0	Surigao del Sur	Surigao del Sur	2	0	2013-05-22 15:57:19.464433+02	\N	\N	\N	\N	\N	\N	f	
4976	9f7f7a1b-231c-4ba8-a54a-dba06e5f9540	Kiboga	Kiboga	2	0	2013-05-22 16:01:35.623003+02	\N	\N	\N	\N	\N	\N	f	
5367	32b663a2-197f-4375-bf4c-13e547a05544	Dizicheh	Dizicheh	3	0	2013-05-24 23:20:59.847047+02	\N	\N	\N	\N	\N	\N	f	
5844	358f82a5-421e-43d9-ba83-ce1946eadbb7	Lexington	Lexington	3	0	2013-05-25 01:03:48.801661+02	\N	\N	\N	\N	\N	\N	f	
5434	b78ba576-2eb2-4667-ad23-573e0a2ce9b1	Zakroczym	Zakroczym	3	0	2013-05-24 23:33:25.671719+02	\N	\N	\N	\N	\N	\N	f	
5514	6b7cf4ef-6d24-41f2-8e07-a1b9527630ce	Botoşani	Botoşani	3	0	2013-05-24 23:53:10.401208+02	\N	\N	\N	\N	\N	\N	f	
5516	e8c52b77-392a-4b98-90f3-cd25dc931393	Imielin	Imielin	3	0	2013-05-24 23:53:44.534116+02	\N	\N	\N	\N	\N	\N	f	
6071	60aa7724-eef6-4501-8058-1293c2e3392b	Keene	Keene	3	0	2013-05-25 01:46:36.741517+02	\N	\N	\N	\N	\N	\N	f	
5629	2e55d618-4a9b-459e-ab98-dc806e5c2e4a	Moshi	Moshi	3	0	2013-05-25 00:18:15.247558+02	\N	\N	\N	\N	\N	\N	f	
9203	c276c75c-cd3d-4600-bda5-84e18afefe8a	Varennes	Varennes	3	0	2013-06-01 22:24:57.812816+02	\N	\N	\N	\N	\N	\N	f	
6306	55febeb5-d7b1-4614-a62e-a02540d092ac	Windsor	Windsor	3	0	2013-05-25 02:34:13.849371+02	\N	\N	\N	\N	\N	\N	f	
6524	e7f4d3e5-5e04-4fd5-90a8-9b9c85c2d88f	Denton	Denton	3	0	2013-05-25 03:26:08.825615+02	\N	\N	\N	\N	\N	\N	f	
7172	8f0941e3-1998-41d1-8d4f-4a5bc9bd6c64	Prochowice	Prochowice	3	0	2013-05-26 17:10:35.737912+02	\N	\N	\N	\N	\N	\N	f	
6581	e7230ac7-e832-4148-ad8f-d46c6ab87852	Zeydabad	Zeydabad	3	0	2013-05-25 03:36:47.314793+02	\N	\N	\N	\N	\N	\N	f	
6584	0552d902-3fcf-4e35-8ebf-5e766aef12bb	Bayg	Bayg	3	0	2013-05-25 03:37:18.271838+02	\N	\N	\N	\N	\N	\N	f	
6778	efc1aa2f-966d-43d9-b50b-a97f172273c0	Sulphur	Sulphur	3	0	2013-05-25 04:14:34.501723+02	\N	\N	\N	\N	\N	\N	f	
7428	0406a5da-17bc-4921-b33d-753088e51cc4	Lithgow, New South Wales	Lithgow, New South Wales	3	0	2013-05-28 14:33:20.655508+02	\N	\N	\N	\N	\N	\N	f	
6999	09afc33e-6440-4705-8d2b-f578da0862de	Kleszczele	Kleszczele	3	0	2013-05-25 14:24:10.153951+02	\N	\N	\N	\N	\N	\N	f	
9417	be7d029a-cff8-422b-9bb7-36ce96d6bb37	Somnath	Somnath	3	0	2013-06-09 17:28:04.228792+02	\N	\N	\N	\N	\N	\N	f	
7429	c4af3cfd-e731-4770-9068-1f5ae96a7cf0	Anaco	Anaco	3	0	2013-05-28 14:33:46.154555+02	\N	\N	\N	\N	\N	\N	f	
9239	5cf24bff-385f-4965-a307-0d2bda372fb0	Saint-Jacques	Saint-Jacques	3	0	2013-06-02 01:16:33.461792+02	\N	\N	\N	\N	\N	\N	f	
7538	8a324ba2-463e-429c-996f-bb7296d40d88	Neustadt, Hesse	Neustadt, Hesse	3	0	2013-05-29 00:41:47.955039+02	\N	\N	\N	\N	\N	\N	f	
7832	ff07b91e-3415-4127-b051-3d302da98f82	Mildura	Mildura	3	0	2013-05-29 02:43:09.448477+02	\N	\N	\N	\N	\N	\N	f	
1556	f8840e75-f279-41ba-a1c6-cb29e4d50023	Ahuachapán	Ahuachapán	2	0	2013-06-05 06:56:44.662876+02	\N	\N	\N	\N	\N	\N	f	
8039	0c48b2cf-d552-4991-96a5-1e7794853305	Erin	Erin	3	0	2013-05-30 18:32:40.94887+02	\N	\N	\N	\N	\N	\N	f	
9259	a384040a-3270-4bb0-8292-0bc05379e659	Kostrzyn	Kostrzyn	3	0	2013-06-02 04:20:25.638084+02	\N	\N	\N	\N	\N	\N	f	
8163	e2a3a7f1-406a-4220-a837-35123ac48fb5	Loughton	Loughton	3	0	2013-05-30 21:07:55.853872+02	\N	\N	\N	\N	\N	\N	f	
8323	c43da615-7e1a-4630-ade0-0ac263f339e8	Rajhrad	Rajhrad	3	0	2013-05-30 21:45:00.799125+02	\N	\N	\N	\N	\N	\N	f	
8372	a1deddd1-085b-4207-be0e-9876c6b247ec	Vardenjan	Vardenjan	3	0	2013-05-30 21:56:21.562058+02	\N	\N	\N	\N	\N	\N	f	
9284	b115eade-c5c3-4b80-a634-99a49d226e81	Limoges	Limoges	3	0	2013-06-02 16:43:55.74+02	\N	\N	\N	\N	\N	\N	f	
8377	6d0b4ae3-f572-48ec-8f2b-cafb65ed7505	Sitilpech	Sitilpech	3	0	2013-05-30 21:57:23.877002+02	\N	\N	\N	\N	\N	\N	f	
8526	9a24e41f-6560-49aa-84d2-e1443cb275fb	Nowra, New South Wales	Nowra, New South Wales	3	0	2013-06-01 17:32:34.979261+02	\N	\N	\N	\N	\N	\N	f	
8687	f1e7975b-c6ac-4106-99d6-f66e557bd8e2	Owensboro	Owensboro	3	0	2013-06-01 18:16:54.684778+02	\N	\N	\N	\N	\N	\N	f	
9333	0c312af1-237e-4d6f-acfa-c345229f9fd8	Clifton	Clifton	3	0	2013-06-03 18:25:56.388211+02	\N	\N	\N	\N	\N	\N	f	
8796	80565423-b888-4658-90d6-ae19ed3afb46	Kamieńsk	Kamieńsk	3	0	2013-06-01 18:48:25.229076+02	\N	\N	\N	\N	\N	\N	f	
8932	af7e61c0-db85-4d2b-a404-856dc86e074e	Yingtan	Yingtan	3	0	2013-06-01 20:05:08.113179+02	\N	\N	\N	\N	\N	\N	f	
9934	9d4d7518-699c-42eb-b5ce-54daf1898903	Hiji	Hiji	3	0	2013-06-18 07:27:18.662221+02	\N	\N	\N	\N	\N	\N	f	
9048	18051a1a-8694-46f8-b6ed-57d9c6fbd284	Baise	Baise	3	0	2013-06-01 20:29:25.266522+02	\N	\N	\N	\N	\N	\N	f	
9349	ad8b9e9b-401a-4609-9540-1770feed1956	Haapsalu	Haapsalu	3	0	2013-06-04 22:02:54.805782+02	\N	\N	\N	\N	\N	\N	f	
9192	36dc91a4-ed73-4e91-9c80-65f8be5249e5	Szubin	Szubin	3	0	2013-06-01 21:03:51.720258+02	\N	\N	\N	\N	\N	\N	f	
9520	f18a0590-4599-4472-a96e-739fda754da7	Kamrej	Kamrej	3	0	2013-06-09 18:05:20.377295+02	\N	\N	\N	\N	\N	\N	f	
9761	883e5875-9072-4925-aef0-bb6a87b97168	Kaminoyama	Kaminoyama	3	0	2013-06-18 01:11:48.964309+02	\N	\N	\N	\N	\N	\N	f	
9554	30723a21-146b-4ae5-a894-bfde6d70c7ae	Hemel Hempstead	Hemel Hempstead	3	0	2013-06-10 03:05:14.706594+02	\N	\N	\N	\N	\N	\N	f	
9555	a655505b-1005-4557-bf93-c8973c1e8a53	Neukirch, Baden-Württemberg	Neukirch, Baden-Württemberg	3	0	2013-06-10 03:05:51.152994+02	\N	\N	\N	\N	\N	\N	f	
9833	a5d88551-a164-473d-a5e6-d4bb71100012	Kakamigahara	Kakamigahara	3	0	2013-06-18 03:50:33.469695+02	\N	\N	\N	\N	\N	\N	f	
9695	c143d563-e611-4897-9c5e-cedd6f8e9e45	Jarrow	Jarrow	3	0	2013-06-15 20:54:40.192704+02	\N	\N	\N	\N	\N	\N	f	
1532	2f4584c5-1cf4-4fbd-9d24-297e58c5dec2	Chontales	Chontales	2	0	2013-06-05 09:43:39.780752+02	\N	\N	\N	\N	\N	\N	f	
9797	1e6df4c3-b191-4fa9-8bf9-af10bb8ce5c1	Itami	Itami	3	0	2013-06-18 03:37:54.799858+02	\N	\N	\N	\N	\N	\N	f	
9729	36b13eed-e36d-48dc-8d32-f1a17b588af0	Kakuda	Kakuda	3	0	2013-06-17 15:44:31.684214+02	\N	\N	\N	\N	\N	\N	f	
9390	59637ac3-5149-4274-8885-86c7be8df72e	Zaragoza, La Libertad	Zaragoza, La Libertad	3	0	2013-06-06 07:45:44.297906+02	\N	\N	\N	\N	\N	\N	f	
9402	66518aa9-0d0f-42e1-8025-ddb45f7f1b86	Rosenfeld	Rosenfeld	3	0	2013-06-09 03:15:53.595885+02	\N	\N	\N	\N	\N	\N	f	
9756	7e288bee-3f96-4aee-bb04-b23435259bcf	Yaita	Yaita	3	0	2013-06-18 01:09:59.231599+02	\N	\N	\N	\N	\N	\N	f	
9815	2509c3ab-50f9-4725-89d7-d184173e350f	Toyonaka	Toyonaka	3	0	2013-06-18 03:43:29.241597+02	\N	\N	\N	\N	\N	\N	f	
9816	d84df09b-1542-499e-bf78-94fd3e44b70e	Marugame	Marugame	3	0	2013-06-18 03:43:39.798446+02	\N	\N	\N	\N	\N	\N	f	
9876	f5cbc4bc-e3b6-4fa3-adda-6bf97aae3027	Komoro	Komoro	3	0	2013-06-18 04:02:39.490059+02	\N	\N	\N	\N	\N	\N	f	
9824	fa521a61-0a42-4b0c-8416-4f9afb991861	Ibaraki	Ibaraki	3	0	2013-06-18 03:46:07.943314+02	\N	\N	\N	\N	\N	\N	f	
9963	5226ed09-bce4-44bd-b9b4-c6a6359a500c	Nishihara	Nishihara	3	0	2013-06-18 07:32:44.764955+02	\N	\N	\N	\N	\N	\N	f	
9884	474e16fe-142e-4ec8-b1b0-67306e7ead4d	Suwa	Suwa	3	0	2013-06-18 04:04:12.701942+02	\N	\N	\N	\N	\N	\N	f	
9951	4c91734f-0a67-4705-bda0-fa6f85734dac	Iheya	Iheya	3	0	2013-06-18 07:30:26.499893+02	\N	\N	\N	\N	\N	\N	f	
10014	7ea19d77-39ae-4036-910f-c5bc9f3e902c	Higashihiroshima	Higashihiroshima	3	0	2013-06-18 08:01:30.554532+02	\N	\N	\N	\N	\N	\N	f	
10051	6cb95e93-1e6d-49f0-9d4f-bad92131236b	Saiki	Saiki	3	0	2013-06-18 08:12:13.747406+02	\N	\N	\N	\N	\N	\N	f	
10099	67276b11-7d4f-4614-b8ed-aa322c530ac5	Wakasa	Wakasa	3	0	2013-06-18 14:30:48.526289+02	\N	\N	\N	\N	\N	\N	f	
10155	468fcee2-d469-4b87-b288-b3a89bc2ac1e	Tara	Tara	3	0	2013-06-18 14:40:57.832929+02	\N	\N	\N	\N	\N	\N	f	
10166	7afb4877-94ca-4a71-afee-de0189af7e23	Aizumi	Aizumi	3	0	2013-06-18 14:43:44.115287+02	\N	\N	\N	\N	\N	\N	f	
10182	a5c5696a-929e-4c82-8802-de6465205c15	Katsuragi	Katsuragi	3	0	2013-06-18 14:47:05.461057+02	\N	\N	\N	\N	\N	\N	f	
10239	c163519a-eec7-463d-b7d2-e4186c91a9f8	Kagamino	Kagamino	3	0	2013-06-18 17:18:43.899475+02	\N	\N	\N	\N	\N	\N	f	
10254	0ac147e1-f37f-4b15-a8b0-4d78852e3922	Higashishirakawa	Higashishirakawa	3	0	2013-06-18 17:21:34.535678+02	\N	\N	\N	\N	\N	\N	f	
10258	13a5cc27-be09-42f1-b95f-ef7a46090ce2	Kitaaiki	Kitaaiki	3	0	2013-06-18 17:22:17.429276+02	\N	\N	\N	\N	\N	\N	f	
4416	53c460a2-89a2-4879-b3ff-ad4c3ef82f16	Moselle	Moselle	2	0	2013-05-22 13:25:07.425103+02	\N	\N	\N	\N	\N	\N	f	
4447	89836034-a7e2-42c6-bb05-6d91ca2b07df	Vosges	Vosges	2	0	2013-05-22 13:35:08.034521+02	\N	\N	\N	\N	\N	\N	f	
4418	f8820f63-4c9e-4f79-b267-945c6a450fd0	Nord	Nord	2	0	2013-05-22 13:25:38.686729+02	\N	\N	\N	\N	\N	\N	f	
4419	5ffbd1b4-3331-415c-b35a-5f4e70dca246	Oise	Oise	2	0	2013-05-22 13:25:55.208798+02	\N	\N	\N	\N	\N	\N	f	
4462	78b9ad7c-b183-46b4-b940-18862e7928f7	Dubréka	Dubréka	2	0	2013-05-22 13:40:22.894805+02	\N	\N	\N	\N	\N	\N	f	
4420	d7d84ef8-70e1-4898-8c52-752ad35a9924	Orne	Orne	2	0	2013-05-22 13:26:15.073919+02	\N	\N	\N	\N	\N	\N	f	
4448	b2a8a60d-361d-444e-83b8-e91adfa27a79	Yonne	Yonne	2	0	2013-05-22 13:35:36.317875+02	\N	\N	\N	\N	\N	\N	f	
4421	cac5a437-1791-4c58-aeff-56cef842f91e	Pas-de-Calais	Pas-de-Calais	2	0	2013-05-22 13:26:29.35108+02	\N	\N	\N	\N	\N	\N	f	
4427	aaae617b-d869-4b98-bd52-ed05aa849322	Haut-Rhin	Haut-Rhin	2	0	2013-05-22 13:28:14.11369+02	\N	\N	\N	\N	\N	\N	f	
4449	db7d54e5-640f-4f34-9c19-5cc5be0ebf47	Territoire de Belfort	Territoire de Belfort	2	0	2013-05-22 13:36:04.87836+02	\N	\N	\N	\N	\N	\N	f	
4429	534162b0-508e-4d10-9514-4b4dc4c3a6ec	Haute-Saône	Haute-Saône	2	0	2013-05-22 13:28:48.281568+02	\N	\N	\N	\N	\N	\N	f	
4430	ef592a21-303e-4621-b04b-133ad17b775a	Saône-et-Loire	Saône-et-Loire	2	0	2013-05-22 13:29:03.828285+02	\N	\N	\N	\N	\N	\N	f	
4472	bd25e86d-1d38-4057-9898-d192e43c92cd	Koundara	Koundara	2	0	2013-05-22 13:43:23.833562+02	\N	\N	\N	\N	\N	\N	f	
4432	e39bdfe9-7cfc-4b1d-8f29-ae63663c889a	Savoie	Savoie	2	0	2013-05-22 13:29:42.089587+02	\N	\N	\N	\N	\N	\N	f	
4450	d2606d34-3ecb-4358-9f33-392e3f506542	Essonne	Essonne	2	0	2013-05-22 13:36:32.454931+02	\N	\N	\N	\N	\N	\N	f	
4433	9b0f2c8c-722a-4991-bb12-e1817bb933b9	Haute-Savoie	Haute-Savoie	2	0	2013-05-22 13:30:01.520748+02	\N	\N	\N	\N	\N	\N	f	
13816	8a90e6d6-f18c-4a84-b548-1a9ffd6a541f	Berzo Demo	Berzo Demo	4	0	2013-07-21 19:19:02.840053+02	\N	\N	\N	\N	\N	\N	f	
4426	5da4f162-b1a9-403a-a590-c0e203fb1737	Bas-Rhin	Bas-Rhin	2	0	2013-06-05 11:10:42.524003+02	\N	\N	\N	\N	\N	\N	f	
4463	f4897dfe-bfdd-453f-a981-d463d4e47f3c	Faranah	Faranah	2	0	2013-05-22 13:40:41.792752+02	\N	\N	\N	\N	\N	\N	f	
4435	ee4d31bb-a913-4439-b633-1de29eaab42a	Seine-Maritime	Seine-Maritime	2	0	2013-05-22 13:30:46.70122+02	\N	\N	\N	\N	\N	\N	f	
4451	d93990a0-dd5c-4d0f-a423-0cbbf2bb93a4	Hauts-de-Seine	Hauts-de-Seine	2	0	2013-05-22 13:36:45.517031+02	\N	\N	\N	\N	\N	\N	f	
4436	b2e832f3-ba0c-46b9-88e5-8d5ffe32556d	Seine-et-Marne	Seine-et-Marne	2	0	2013-05-22 13:31:12.466119+02	\N	\N	\N	\N	\N	\N	f	
4437	8ffcddd7-40fd-4edb-82d5-7aa1293381ca	Yvelines	Yvelines	2	0	2013-05-22 13:31:28.220304+02	\N	\N	\N	\N	\N	\N	f	
4438	fbe6a2a3-cbc8-438a-8246-25d9afd7faa6	Deux-Sèvres	Deux-Sèvres	2	0	2013-05-22 13:31:52.879912+02	\N	\N	\N	\N	\N	\N	f	
4452	5b5d3b62-ebf7-49db-afa7-e746c4405209	Seine-Saint-Denis	Seine-Saint-Denis	2	0	2013-05-22 13:37:03.555661+02	\N	\N	\N	\N	\N	\N	f	
4439	3ea0892a-408c-4913-b5d4-7ede4ee01ec5	Somme	Somme	2	0	2013-05-22 13:32:21.343137+02	\N	\N	\N	\N	\N	\N	f	
4440	400e545f-223d-4105-a8cf-70a73ec9170c	Tarn	Tarn	2	0	2013-05-22 13:32:42.082822+02	\N	\N	\N	\N	\N	\N	f	
4441	e145782d-ca09-4577-a1bd-1255cec90494	Tarn-et-Garonne	Tarn-et-Garonne	2	0	2013-05-22 13:33:00.800316+02	\N	\N	\N	\N	\N	\N	f	
4453	d34be230-71fc-421d-94e8-f10d2caa412b	Val-de-Marne	Val-de-Marne	2	0	2013-05-22 13:37:20.992431+02	\N	\N	\N	\N	\N	\N	f	
4442	c5b787ff-7285-4a8e-8373-b6125ad275c7	Var	Var	2	0	2013-05-22 13:33:19.359619+02	\N	\N	\N	\N	\N	\N	f	
4443	8fe79958-67e8-481d-ab41-ff8e60a6eb04	Vaucluse	Vaucluse	2	0	2013-05-22 13:33:41.955297+02	\N	\N	\N	\N	\N	\N	f	
4464	33c0503c-ee23-4e24-9f15-71d505ee822d	Forécariah	Forécariah	2	0	2013-05-22 13:41:00.419837+02	\N	\N	\N	\N	\N	\N	f	
4444	39f69957-4589-4812-b63b-4bb8a0df94f7	Vendée	Vendée	2	0	2013-05-22 13:33:56.998545+02	\N	\N	\N	\N	\N	\N	f	
4454	95a3d6aa-1271-462f-b8c3-898bf5cceba9	Val-d'Oise	Val-d'Oise	2	0	2013-05-22 13:37:35.206086+02	\N	\N	\N	\N	\N	\N	f	
4445	1e8badbb-dd47-45f0-8d73-6947ed176a42	Vienne	Vienne	2	0	2013-05-22 13:34:16.502031+02	\N	\N	\N	\N	\N	\N	f	
4446	1b0b6e54-9db5-413a-9414-358c7b697928	Haute-Vienne	Haute-Vienne	2	0	2013-05-22 13:34:43.686413+02	\N	\N	\N	\N	\N	\N	f	
4465	f20c88e4-f061-4b1a-8512-b4272a9a918c	Fria	Fria	2	0	2013-05-22 13:41:12.790952+02	\N	\N	\N	\N	\N	\N	f	
4488	60c78b72-d4ad-443e-b67d-0825babb1c9a	Annobón	Annobón	2	0	2013-06-05 09:48:49.645744+02	\N	\N	\N	\N	\N	\N	f	
14409	9d1409e1-3691-4344-a7ce-7a3f3ee31cfc	Castelspina	Castelspina	4	0	2013-07-21 21:31:05.309895+02	\N	\N	\N	\N	\N	\N	f	
4473	22f22e6c-f7fc-41fe-82f1-498c83edd7af	Kouroussa	Kouroussa	2	0	2013-05-22 13:43:38.942297+02	\N	\N	\N	\N	\N	\N	f	
4458	d9f0d843-818d-402d-acce-836f125ca469	Coyah	Coyah	2	0	2013-06-05 07:25:20.904028+02	\N	\N	\N	\N	\N	\N	f	
4466	4f5e3b58-984d-4a91-9be6-29ea1f117236	Gaoual	Gaoual	2	0	2013-05-22 13:41:27.98667+02	\N	\N	\N	\N	\N	\N	f	
4459	938b88be-ee61-4dac-820f-6fbeb371884f	Dabola	Dabola	2	0	2013-05-22 13:39:30.717629+02	\N	\N	\N	\N	\N	\N	f	
4460	50ac1cfa-f6ff-45c4-90f2-e3052d0336bb	Dinguiraye	Dinguiraye	2	0	2013-05-22 13:39:49.095265+02	\N	\N	\N	\N	\N	\N	f	
4461	10dae1e7-dc43-4511-aa9d-1bf510052d57	Dalaba	Dalaba	2	0	2013-05-22 13:40:06.502724+02	\N	\N	\N	\N	\N	\N	f	
4479	6876a6b1-2fa2-4a03-aa93-6dfd4970b6c2	Mandiana	Mandiana	2	0	2013-05-22 13:45:27.725544+02	\N	\N	\N	\N	\N	\N	f	
4467	880c5857-95ff-41c2-920d-3ed484ae5f28	Guékédou	Guékédou	2	0	2013-05-22 13:41:47.315538+02	\N	\N	\N	\N	\N	\N	f	
4474	1402142f-42e8-4b44-8fe3-7bec63038467	Kissidougou	Kissidougou	2	0	2013-05-22 13:43:56.593658+02	\N	\N	\N	\N	\N	\N	f	
4468	e8dba6f1-e8a9-4665-94b7-6606ac243a73	Kankan	Kankan	2	0	2013-05-22 13:42:07.760923+02	\N	\N	\N	\N	\N	\N	f	
4469	57bcf143-ab76-4a8a-bedf-46ad193d78f9	Koubia	Koubia	2	0	2013-05-22 13:42:31.446272+02	\N	\N	\N	\N	\N	\N	f	
4470	77efeb67-6ec4-45af-bbdd-26fd592bc5a4	Kindia	Kindia	2	0	2013-05-22 13:42:47.433974+02	\N	\N	\N	\N	\N	\N	f	
4475	6b2a518c-0879-4f16-9d63-e1d4dcd540df	Labé	Labé	2	0	2013-05-22 13:44:12.999845+02	\N	\N	\N	\N	\N	\N	f	
4471	fa420c16-db47-4c9d-a806-ddfad4904256	Kérouané	Kérouané	2	0	2013-05-22 13:43:03.59535+02	\N	\N	\N	\N	\N	\N	f	
4486	0bbaea4f-3ee8-47e0-9502-fa453b3ab408	Tougué	Tougué	2	0	2013-05-22 13:47:33.037307+02	\N	\N	\N	\N	\N	\N	f	
4480	9505ff0d-6ad1-47b0-87f5-9e4b445ad0aa	Mali	Mali	2	0	2013-05-22 13:45:42.602406+02	\N	\N	\N	\N	\N	\N	f	
4476	a20f1ec3-a8d1-43ff-ab8c-06ea92e947d2	Lélouma	Lélouma	2	0	2013-05-22 13:44:35.582801+02	\N	\N	\N	\N	\N	\N	f	
4477	de967334-08dd-4e81-a12b-fd7cf8a03bb4	Lola	Lola	2	0	2013-05-22 13:44:50.684748+02	\N	\N	\N	\N	\N	\N	f	
4484	36166276-b3a0-46bd-92d4-85aa129a002c	Siguiri	Siguiri	2	0	2013-05-22 13:46:56.645336+02	\N	\N	\N	\N	\N	\N	f	
4478	0931bbd2-ee9b-4f0f-8b34-507fce339e24	Macenta	Macenta	2	0	2013-05-22 13:45:11.864456+02	\N	\N	\N	\N	\N	\N	f	
4481	a566f75f-0a17-490c-8ad2-dd234eed4076	Mamou	Mamou	2	0	2013-05-22 13:46:05.009849+02	\N	\N	\N	\N	\N	\N	f	
4482	7feb9c8c-85a5-44c3-ba11-e7302ad8aa2f	Nzérékoré	Nzérékoré	2	0	2013-05-22 13:46:25.894922+02	\N	\N	\N	\N	\N	\N	f	
4483	7766cdc7-0c2e-46c1-ac08-f143a33c444a	Pita	Pita	2	0	2013-05-22 13:46:38.98595+02	\N	\N	\N	\N	\N	\N	f	
4490	330c47ee-2a92-4c94-aa01-2345a571dc97	Bioko Sur	Bioko Sur	2	0	2013-06-05 10:27:06.67863+02	\N	\N	\N	\N	\N	\N	f	
4485	d3b2400c-fb23-4312-8f2f-b5ebca52c8ec	Télimélé	Télimélé	2	0	2013-05-22 13:47:13.017613+02	\N	\N	\N	\N	\N	\N	f	
14917	f4c6e65d-7bf4-4259-b852-9e02b7e117c0	Gottasecca	Gottasecca	4	0	2013-07-21 23:25:26.232573+02	\N	\N	\N	\N	\N	\N	f	
4487	2f74c360-95e2-4423-8098-ebae0d196960	Yomou	Yomou	2	0	2013-05-22 13:47:53.125184+02	\N	\N	\N	\N	\N	\N	f	
15514	fc63db08-37ac-4e8e-bb16-f411714a9cf5	Orta San Giulio	Orta San Giulio	4	0	2013-07-22 01:02:04.521536+02	\N	\N	\N	\N	\N	\N	f	
16203	e34fdf06-d6ef-4616-a2d4-7341c99ad037	Ortovero	Ortovero	4	0	2013-07-22 03:05:27.80222+02	\N	\N	\N	\N	\N	\N	f	
19668	c266a444-dbf0-49d8-a097-feef43b841c5	Martina Franca	Martina Franca	4	0	2013-07-22 11:16:49.697086+02	\N	\N	\N	\N	\N	\N	f	
4456	75121c81-e990-4035-8ed8-5776cd223879	Boffa	Boffa	2	0	2013-06-05 09:20:52.40997+02	\N	\N	\N	\N	\N	\N	f	
4492	8deca915-8f2d-4db3-b0a6-14f6e4ea7a76	Kié-Ntem	Kié-Ntem	2	0	2013-05-22 13:49:16.521711+02	\N	\N	\N	\N	\N	\N	f	
4493	b813cefe-8489-4af0-98d8-1797fee00661	Litoral	Litoral	2	0	2013-05-22 13:49:30.975153+02	\N	\N	\N	\N	\N	\N	f	
4494	2cc31c95-f1ad-45c4-a2d8-bf2ba3780269	Wele-Nzas	Wele-Nzas	2	0	2013-05-22 13:49:53.137211+02	\N	\N	\N	\N	\N	\N	f	
4495	ebc1a5b4-a5a8-48a9-b5c0-80a3e9f6850e	Aitolia kai Akarnania	Aitolia kai Akarnania	2	0	2013-06-05 09:41:25.205696+02	\N	\N	\N	\N	\N	\N	f	
4496	28ce8c41-f976-4ee9-8a98-bc879bbb5afd	Voiotia	Voiotia	2	0	2013-05-22 13:50:22.126173+02	\N	\N	\N	\N	\N	\N	f	
4497	1eb92841-5c8b-4cac-8c4b-36c4bed1f452	Evvoia	Evvoia	2	0	2013-05-22 13:50:36.453887+02	\N	\N	\N	\N	\N	\N	f	
4498	9e673436-78f6-4e33-8f44-73623d4c2186	Evrytania	Evrytania	2	0	2013-05-22 13:50:51.413617+02	\N	\N	\N	\N	\N	\N	f	
4499	ac7f8962-9447-48bb-89fc-ad385d6e80ea	Fthiotida	Fthiotida	2	0	2013-05-22 13:51:03.564016+02	\N	\N	\N	\N	\N	\N	f	
4677	b92d4b0a-faab-4206-bbe0-a226383a2c09	Palermo	Palermo	2	0	2013-05-22 14:41:27.18286+02	\N	\N	\N	\N	\N	\N	f	
4500	401ec1d5-89ad-4d14-9497-96a998239aa1	Fokida	Fokida	2	0	2013-05-22 13:51:22.038908+02	\N	\N	\N	\N	\N	\N	f	
4692	b712346a-2c00-4cc8-9c09-7dfc4954ee91	Reggio Emilia	Reggio Emilia	2	0	2013-05-22 14:46:06.131959+02	\N	\N	\N	\N	\N	\N	f	
5197	fc1aee9a-f1a8-45dc-8820-af6b5d7f7450	Denver	Denver	3	0	2013-05-24 22:47:02.087207+02	\N	\N	\N	\N	\N	\N	f	
4809	d1fed9bd-c729-457b-b884-d65694cfef38	Laamu	Laamu	2	0	2013-05-22 15:20:06.034732+02	\N	\N	\N	\N	\N	\N	f	
9418	f2f467be-ed92-4604-81ee-a80edbebfdd0	Rajkot	Rajkot	3	0	2013-06-09 17:28:23.54574+02	\N	\N	\N	\N	\N	\N	f	
4956	1607d25c-762d-48ba-9595-3620672d2cc0	Tawi-Tawi	Tawi-Tawi	2	0	2013-05-22 15:57:43.926908+02	\N	\N	\N	\N	\N	\N	f	
5369	49b642f1-ed46-426e-80df-aa1ddba32a83	Zibashahr	Zibashahr	3	0	2013-05-24 23:21:22.55737+02	\N	\N	\N	\N	\N	\N	f	
4959	7fa34b86-c193-421c-8646-096067c38aa9	Zamboanga del Sur	Zamboanga del Sur	2	0	2013-05-22 15:58:25.587258+02	\N	\N	\N	\N	\N	\N	f	
5848	7c628b2f-f8fb-458f-8d3a-c335ae5113c0	St. Elmo	St. Elmo	3	0	2013-05-25 01:04:37.760397+02	\N	\N	\N	\N	\N	\N	f	
5517	7e1591a2-964c-4981-bb28-1e39fe166064	Gryfino	Gryfino	3	0	2013-05-24 23:53:55.736906+02	\N	\N	\N	\N	\N	\N	f	
6525	430c9900-6624-4580-b08a-d3e8a55ac10a	University Park	University Park	3	0	2013-05-25 03:26:20.89821+02	\N	\N	\N	\N	\N	\N	f	
5850	ff143c3d-843c-4026-b6f9-b36309287213	Highland Park	Highland Park	3	0	2013-05-25 01:05:06.352443+02	\N	\N	\N	\N	\N	\N	f	
5901	b5d1c01f-76ef-4063-99f5-3e751fe2ed5d	Zhovti Vody	Zhovti Vody	3	0	2013-05-25 01:14:50.719735+02	\N	\N	\N	\N	\N	\N	f	
7173	52500ebf-0a8a-4d88-a01b-01c38d06c836	Nowogard	Nowogard	3	0	2013-05-26 17:10:51.363754+02	\N	\N	\N	\N	\N	\N	f	
5960	8eaff358-7a5a-44dd-99f5-1022886dfdbb	Zarnaq	Zarnaq	3	0	2013-05-25 01:26:44.295781+02	\N	\N	\N	\N	\N	\N	f	
6780	7cb50b78-1601-43b4-bd1c-c6f655ff8874	Sapulpa	Sapulpa	3	0	2013-05-25 04:14:56.796902+02	\N	\N	\N	\N	\N	\N	f	
5972	ed871531-f245-4f43-9a00-ce327e1bebc9	Farasfaj	Farasfaj	3	0	2013-05-25 01:28:51.150838+02	\N	\N	\N	\N	\N	\N	f	
6032	c74faf12-4b83-44b9-a123-86162e3ba78e	Chojnice	Chojnice	3	0	2013-05-25 01:39:23.76681+02	\N	\N	\N	\N	\N	\N	f	
6072	14e48951-9b08-4461-b050-a9245165e44b	Salmas	Salmas	3	0	2013-05-25 01:46:47.397239+02	\N	\N	\N	\N	\N	\N	f	
4884	2ba21456-47db-49f4-a7cb-cb61d35c0970	Agusan del Sur	Agusan del Sur	2	0	2013-06-05 09:14:45.623523+02	\N	\N	\N	\N	\N	\N	f	
6307	890c638c-89be-4e8f-b6d2-1c84107be482	Poniatowa	Poniatowa	3	0	2013-05-25 02:34:28.742775+02	\N	\N	\N	\N	\N	\N	f	
7431	042907f0-a016-4038-bd74-b623ad6f783d	Subiaco	Subiaco	3	0	2013-05-28 14:34:14.301354+02	\N	\N	\N	\N	\N	\N	f	
6360	b4943db4-2d9a-4858-a776-4d8f35bb68bd	Wete	Wete	3	0	2013-05-25 02:47:44.381626+02	\N	\N	\N	\N	\N	\N	f	
6374	7f14b95e-2340-418f-8c00-13ec849183b1	Nir County	Nir County	3	0	2013-05-25 02:51:11.160233+02	\N	\N	\N	\N	\N	\N	f	
6795	935fb074-6bde-4f85-bf86-e7316d453289	Tazeh Shahr	Tazeh Shahr	3	0	2013-05-25 04:17:44.651271+02	\N	\N	\N	\N	\N	\N	f	
9049	8c5de188-e5bf-4589-b9b2-a761756ab8aa	Chongzuo	Chongzuo	3	0	2013-06-01 20:29:36.557546+02	\N	\N	\N	\N	\N	\N	f	
7000	9ab1bd0a-f0f8-4696-8807-526f702f665a	Garwolin	Garwolin	3	0	2013-05-25 14:24:27.693475+02	\N	\N	\N	\N	\N	\N	f	
7432	e89df661-0125-4715-8b7c-8f2f964455f9	Hepburn	Hepburn	3	0	2013-05-28 14:34:59.562957+02	\N	\N	\N	\N	\N	\N	f	
7539	2b2ccbb0-cfbb-4dd9-a69f-987a04815614	Bad Wörishofen	Bad Wörishofen	3	0	2013-05-29 00:41:59.014082+02	\N	\N	\N	\N	\N	\N	f	
7833	4335bebe-329b-4b8a-adf3-da78fe22a69c	Cantril	Cantril	3	0	2013-05-29 02:43:31.489862+02	\N	\N	\N	\N	\N	\N	f	
9204	4f95b096-4b63-4908-ba47-4249b4c9ef77	Sainte-Thérèse	Sainte-Thérèse	3	0	2013-06-01 22:25:15.186596+02	\N	\N	\N	\N	\N	\N	f	
8040	3ab2ab8c-2807-43b0-82ed-4ec30591a789	Stans	Stans	3	0	2013-05-30 18:32:52.511253+02	\N	\N	\N	\N	\N	\N	f	
8165	63f72b30-7e0e-4d13-94a9-7ba5b84f0e81	Castel Giorgio	Castel Giorgio	3	0	2013-05-30 21:08:16.95671+02	\N	\N	\N	\N	\N	\N	f	
8327	c6d5a7c7-ac01-48b4-8e54-1c3fb753820f	Oakland	Oakland	3	0	2013-05-30 21:45:49.391126+02	\N	\N	\N	\N	\N	\N	f	
9240	5cf0eafc-cb31-4d05-9c74-ae15183069c4	Kórnik	Kórnik	3	0	2013-06-02 01:20:24.280409+02	\N	\N	\N	\N	\N	\N	f	
8364	910cddfe-fae4-4fa1-ab62-7daddb435b03	Baharak	Baharak	3	0	2013-05-30 21:54:28.582184+02	\N	\N	\N	\N	\N	\N	f	
8528	c03034e1-f652-4aa4-8e50-865de9fc48bb	Christiansburg	Christiansburg	3	0	2013-06-01 17:33:02.330242+02	\N	\N	\N	\N	\N	\N	f	
9560	2fb4ac69-9c24-41d1-b874-1972ccbe00e2	Truro	Truro	3	0	2013-06-10 20:11:43.034643+02	\N	\N	\N	\N	\N	\N	f	
8598	03827d7a-31f4-46a9-bd6c-f7af22a2d3eb	Moulamein	Moulamein	3	0	2013-06-01 17:50:50.445692+02	\N	\N	\N	\N	\N	\N	f	
9260	edce7f46-15c4-4e3f-806f-cd2b829e0fae	Botrivier	Botrivier	3	0	2013-06-02 04:26:47.809404+02	\N	\N	\N	\N	\N	\N	f	
8688	9c86c175-7762-4f08-b6cd-e879b4f6ee2e	Builyan, Queensland	Builyan, Queensland	3	0	2013-06-01 18:17:16.870978+02	\N	\N	\N	\N	\N	\N	f	
8798	30a9d18f-37e4-40e6-abc6-0fafb45e73de	Epsom	Epsom	3	0	2013-06-01 18:48:52.497142+02	\N	\N	\N	\N	\N	\N	f	
9423	f172909c-d25c-46dc-a7d3-60711a993efb	Devgadh Baria	Devgadh Baria	3	0	2013-06-09 17:29:35.44647+02	\N	\N	\N	\N	\N	\N	f	
8934	5111443a-c65b-4157-982e-7199b4edd7bb	Lu'an	Lu'an	3	0	2013-06-01 20:05:29.642489+02	\N	\N	\N	\N	\N	\N	f	
9286	ca796704-13f7-442b-869d-2ea07dcec459	Annecy	Annecy	3	0	2013-06-02 16:46:31.943413+02	\N	\N	\N	\N	\N	\N	f	
8989	27e6f64b-da2a-41ce-b19e-f81e58b84949	Wenzhou	Wenzhou	3	0	2013-06-01 20:16:19.598758+02	\N	\N	\N	\N	\N	\N	f	
9334	f4b97255-67d7-4221-9c91-d5dd93dcd343	Cardwell	Cardwell	3	0	2013-06-03 18:30:19.956911+02	\N	\N	\N	\N	\N	\N	f	
9351	a8b0b83d-9ebf-436e-b072-7a8ca662c5b2	Huron	Huron	3	0	2013-06-04 22:04:47.246795+02	\N	\N	\N	\N	\N	\N	f	
3004	b3fb238c-8730-4c37-8e03-0220c0d65709	Al Kuwayt (Al ‘Āşimah)	Al Kuwayt (Al ‘Āşimah)	2	0	2013-06-05 09:44:18.057267+02	\N	\N	\N	\N	\N	\N	f	
9375	18f14e0b-0d5c-4955-8f6f-098b7ee042a0	Kallaste	Kallaste	3	0	2013-06-04 22:22:09.320812+02	\N	\N	\N	\N	\N	\N	f	
2953	c3c4115b-2313-4b79-aa5c-53ec40fd6ae9	Al Qādisīyah	Al Qādisīyah	2	0	2013-06-05 06:57:09.814675+02	\N	\N	\N	\N	\N	\N	f	
9521	62dedddd-94b8-4359-977b-5e0f0701ce86	Porbandar	Porbandar	3	0	2013-06-09 18:05:41.330896+02	\N	\N	\N	\N	\N	\N	f	
9730	fa0b8111-e3dd-46ce-97b2-9b6ea96297a0	Kuji	Kuji	3	0	2013-06-17 15:44:41.843984+02	\N	\N	\N	\N	\N	\N	f	
9403	2948328a-dde2-47f1-bafb-4b21cde9d917	Freiburg im Breisgau	Freiburg im Breisgau	3	0	2013-06-09 03:25:45.253562+02	\N	\N	\N	\N	\N	\N	f	
9556	25fb8ba5-fdb3-4c66-9c10-cdfd884fe298	Ochsenhausen	Ochsenhausen	3	0	2013-06-10 03:10:59.518289+02	\N	\N	\N	\N	\N	\N	f	
9572	97d1aecb-21c4-4072-b793-7e8f1c2134b0	Pargas	Pargas	3	0	2013-06-11 04:42:24.203349+02	\N	\N	\N	\N	\N	\N	f	
9559	7d7a4199-8ad3-4d26-9418-6111db98f09f	Sint Nicolaasga	Sint Nicolaasga	3	0	2013-06-10 06:23:29.078093+02	\N	\N	\N	\N	\N	\N	f	
4501	76c83bc7-beda-439c-8aff-8e36e4d5b223	Argolida	Argolida	2	0	2013-06-05 07:03:10.883039+02	\N	\N	\N	\N	\N	\N	f	
9696	bbcbc4a0-b64d-48cc-a977-0c882d00e403	Brixham	Brixham	3	0	2013-06-15 20:58:16.243194+02	\N	\N	\N	\N	\N	\N	f	
9591	4af4f28e-2a2e-491a-80d0-bcda0b625242	Aurora	Aurora	3	0	2013-06-11 08:12:31.003673+02	\N	\N	\N	\N	\N	\N	f	
9592	6925ef53-dc80-4f96-87cc-4cc96b6da225	Sisseton	Sisseton	3	0	2013-06-12 07:22:19.160373+02	\N	\N	\N	\N	\N	\N	f	
9798	9a9db0e5-502e-42f6-bd34-20c33df294d3	Takatsuki	Takatsuki	3	0	2013-06-18 03:38:05.161323+02	\N	\N	\N	\N	\N	\N	f	
9757	f3730a5f-57b9-4219-8849-29fc686c575f	Hitachinaka	Hitachinaka	3	0	2013-06-18 01:10:10.609616+02	\N	\N	\N	\N	\N	\N	f	
9868	43e9815d-fe6f-465e-9ee9-2e56933d1957	Sayama	Sayama	3	0	2013-06-18 04:00:00.044994+02	\N	\N	\N	\N	\N	\N	f	
9887	3faa10bd-6114-4e2b-92fc-ad0866a4ed52	Nakatsugawa	Nakatsugawa	3	0	2013-06-18 04:04:46.323818+02	\N	\N	\N	\N	\N	\N	f	
9909	f26d421f-12af-43e4-be0e-445690cc6b35	Tōkamachi	Tōkamachi	3	0	2013-06-18 04:08:59.062151+02	\N	\N	\N	\N	\N	\N	f	
9935	07efc763-7be7-4484-be32-19b3bfdecd08	Nakijin	Nakijin	3	0	2013-06-18 07:27:31.182051+02	\N	\N	\N	\N	\N	\N	f	
10015	78b32c3e-e0b9-41d8-b912-d0a9cc8e4445	Arida	Arida	3	0	2013-06-18 08:01:46.07178+02	\N	\N	\N	\N	\N	\N	f	
10026	4ad864e1-0b6d-4cf9-a649-34048498f34d	Aso	Aso	3	0	2013-06-18 08:04:47.4967+02	\N	\N	\N	\N	\N	\N	f	
10100	953bd0f8-1bb4-4a91-a4b7-bf8f5196cf7f	Nagi	Nagi	3	0	2013-06-18 14:30:59.256239+02	\N	\N	\N	\N	\N	\N	f	
17311	fdca220f-4fb3-4432-b268-53b681a44939	Muros, Sardinia	Muros, Sardinia	4	0	2013-07-22 06:11:31.968192+02	\N	\N	\N	\N	\N	\N	f	
10105	330876c2-535f-4d76-a4cd-18a9ee3a12b7	Itsuki	Itsuki	3	0	2013-06-18 14:32:04.127621+02	\N	\N	\N	\N	\N	\N	f	
4503	bb91e54c-d3f1-4c2b-b49b-35ef2cc43ca2	Achaïa	Achaïa	2	0	2013-06-05 12:15:01.941752+02	\N	\N	\N	\N	\N	\N	f	
4504	d486c4dc-d7af-42c1-a0a0-9a3b981e7930	Ileia	Ileia	2	0	2013-05-22 13:52:30.329874+02	\N	\N	\N	\N	\N	\N	f	
4678	cdb35e0f-766c-4c05-be6b-1adab1dc3321	Piacenza	Piacenza	2	0	2013-05-22 14:41:46.54233+02	\N	\N	\N	\N	\N	\N	f	
4529	8ae1d819-9b87-4039-b782-bd004d0111f0	Pieria	Pieria	2	0	2013-05-22 13:59:04.904323+02	\N	\N	\N	\N	\N	\N	f	
4810	b859f1cb-f1b8-4b79-b61a-92c1280133b7	Haa Alifu	Haa Alifu	2	0	2013-05-22 15:20:27.726301+02	\N	\N	\N	\N	\N	\N	f	
5203	d21847e7-6a91-4c94-b32d-979df7b6a8bc	Dordrecht	Dordrecht	3	0	2013-05-24 22:48:14.549827+02	\N	\N	\N	\N	\N	\N	f	
4957	e48932ac-eb36-4a5a-9ef4-5f5028f01d2e	Samar (Western Samar)	Samar (Western Samar)	2	0	2013-05-22 15:57:55.191621+02	\N	\N	\N	\N	\N	\N	f	
5031	6b57e7ad-ed7f-47d4-b59f-7d59cddb8297	Dokolo	Dokolo	2	0	2013-05-22 16:12:01.257979+02	\N	\N	\N	\N	\N	\N	f	
5372	b487afb5-77f5-4d2a-9077-10b5414ffb24	Goldasht	Goldasht	3	0	2013-05-24 23:21:53.657356+02	\N	\N	\N	\N	\N	\N	f	
5849	a12af2f9-3c9a-4050-966f-5e224a8b5844	Oregon, Illinois	Oregon, Illinois	3	0	2013-05-25 01:04:54.706671+02	\N	\N	\N	\N	\N	\N	f	
5519	73dc4d02-b1b2-4090-b761-9e1c354e1c78	Szklarska Poręba	Szklarska Poręba	3	0	2013-05-24 23:54:19.948329+02	\N	\N	\N	\N	\N	\N	f	
13817	8c9e53e8-a179-491d-b2e3-4676b881cc5c	Vinovo	Vinovo	4	0	2013-07-21 19:19:17.214307+02	\N	\N	\N	\N	\N	\N	f	
5630	5072a49d-537b-442c-a6d2-a62c4336a5b3	Knurów	Knurów	3	0	2013-05-25 00:18:25.899492+02	\N	\N	\N	\N	\N	\N	f	
5857	096ba992-aa7d-41cf-b9f7-12a4e109cca6	Richmond Hill	Richmond Hill	3	0	2013-05-25 01:06:32.708406+02	\N	\N	\N	\N	\N	\N	f	
6526	a77b8010-7c2c-41cb-88ec-c2d41061251b	Antlers	Antlers	3	0	2013-05-25 03:26:39.40689+02	\N	\N	\N	\N	\N	\N	f	
5861	f288a4f6-da1c-4591-93ad-40c15fa9656e	Fayetteville, Tennessee	Fayetteville, Tennessee	3	0	2013-05-25 01:07:19.655908+02	\N	\N	\N	\N	\N	\N	f	
5941	5a62acbb-5cd9-4a10-be7b-1272de4a7876	Mielec	Mielec	3	0	2013-05-25 01:23:06.551872+02	\N	\N	\N	\N	\N	\N	f	
9206	b9052b90-2659-4891-839d-c8f7b3a8ed2c	Grabouw	Grabouw	3	0	2013-06-01 22:26:31.110695+02	\N	\N	\N	\N	\N	\N	f	
6073	85f721ca-876e-46fd-8549-20dbec204ff3	Brzostek	Brzostek	3	0	2013-05-25 01:47:07.220726+02	\N	\N	\N	\N	\N	\N	f	
7174	3a8bb84e-5f96-4835-9909-865e0cf5d915	Niepołomice	Niepołomice	3	0	2013-05-26 17:11:03.744706+02	\N	\N	\N	\N	\N	\N	f	
6308	3fe15c90-7ffb-45d6-8801-d95ac7c246d3	Buffalo	Buffalo	3	0	2013-05-25 02:34:44.301725+02	\N	\N	\N	\N	\N	\N	f	
6542	c9ec3096-b685-4b75-9454-af12c55e39a0	Pahleh	Pahleh	3	0	2013-05-25 03:30:00.045998+02	\N	\N	\N	\N	\N	\N	f	
6578	77dfb4ff-1daf-420e-8d83-dc79e5dd3e4a	Adimi	Adimi	3	0	2013-05-25 03:36:16.508707+02	\N	\N	\N	\N	\N	\N	f	
8333	8d24f1be-8861-4962-af15-4ab1d12472f2	Colchester	Colchester	3	0	2013-05-30 21:47:08.6793+02	\N	\N	\N	\N	\N	\N	f	
7433	3b8a3d70-590c-48f4-976c-25d15a5fa1f2	Fraser	Fraser	3	0	2013-05-28 14:35:13.827168+02	\N	\N	\N	\N	\N	\N	f	
6800	8eb949e2-8679-43c3-b396-b25ce79c11ce	Marjaghal	Marjaghal	3	0	2013-05-25 04:18:37.441705+02	\N	\N	\N	\N	\N	\N	f	
7541	93cc26cc-71d0-4fff-8ce6-b3119d96355e	Blaubeuren	Blaubeuren	3	0	2013-05-29 00:42:20.089528+02	\N	\N	\N	\N	\N	\N	f	
6802	a6afabc1-3de8-4747-9d87-9dcd880103b4	Bayangan	Bayangan	3	0	2013-05-25 04:18:58.038475+02	\N	\N	\N	\N	\N	\N	f	
7001	3a151f13-7420-4449-9a51-04cc1382fda6	Czarna Białostocka	Czarna Białostocka	3	0	2013-05-25 14:24:38.712872+02	\N	\N	\N	\N	\N	\N	f	
6781	a40c207b-14d0-46f4-a9a3-8f1f6451f458	Fulton, Oswego County	Fulton, Oswego County	3	0	2013-05-26 14:31:01.141475+02	\N	\N	\N	\N	\N	\N	f	
7546	c2fe61eb-6625-4213-9712-71df24199898	Trendelburg	Trendelburg	3	0	2013-05-29 00:43:32.304724+02	\N	\N	\N	\N	\N	\N	f	
8351	7994ad14-2db7-46a9-aef0-eac614e749d9	Holm	Holm	3	0	2013-05-30 21:51:31.078315+02	\N	\N	\N	\N	\N	\N	f	
7834	e2f72954-048d-409a-8fb7-b20986894a48	Princeton	Princeton	3	0	2013-05-29 02:43:56.10397+02	\N	\N	\N	\N	\N	\N	f	
7858	f5b9c015-084b-422b-9c6b-2681b6c3f61f	Melbourne	Melbourne	3	0	2013-05-29 02:50:39.477157+02	\N	\N	\N	\N	\N	\N	f	
5625	f8c0be0b-7569-4012-866c-32779b2e23b0	Sharifabad	Sharifabad	3	0	2013-06-05 06:45:21.609459+02	\N	\N	\N	\N	\N	\N	f	
7900	5cba3e43-db36-43cd-8292-20e2a11d4d97	Sauk Centre	Sauk Centre	3	0	2013-05-29 03:02:41.744781+02	\N	\N	\N	\N	\N	\N	f	
8529	8ee5a7ba-5923-4717-b977-02a0240cd17c	Nambour	Nambour	3	0	2013-06-01 17:33:13.240793+02	\N	\N	\N	\N	\N	\N	f	
8045	f6031c40-6cc6-47d9-a7a2-f2c531159625	Southchurch	Southchurch	3	0	2013-05-30 18:33:57.440834+02	\N	\N	\N	\N	\N	\N	f	
9241	528e376f-f06b-4a75-a2ee-6cd497f7875a	Caledon	Caledon	3	0	2013-06-02 01:25:30.448065+02	\N	\N	\N	\N	\N	\N	f	
8065	22dad595-1c9f-4cc5-87ea-f5dd51b43880	Baigan	Baigan	3	0	2013-05-30 18:38:19.533622+02	\N	\N	\N	\N	\N	\N	f	
8541	f2c2ca16-53f5-4a8f-8de4-b4b389427a61	Saint-Lin–Laurentides	Saint-Lin–Laurentides	3	0	2013-06-01 17:36:09.914932+02	\N	\N	\N	\N	\N	\N	f	
8166	886d30be-0b6a-4755-823a-68774ac5c727	Avoca, New York	Avoca, New York	3	0	2013-05-30 21:08:31.940025+02	\N	\N	\N	\N	\N	\N	f	
8217	55a547a7-85fe-45c1-87bf-fe806bdc8066	Inverell	Inverell	3	0	2013-05-30 21:19:37.086259+02	\N	\N	\N	\N	\N	\N	f	
8314	c73f4d65-5d49-4d6b-97f9-136649306168	Cerrah	Cerrah	3	0	2013-05-30 21:43:04.401271+02	\N	\N	\N	\N	\N	\N	f	
8689	859c97c5-033b-488d-9836-eca4c9f29854	Dotternhausen	Dotternhausen	3	0	2013-06-01 18:17:49.434573+02	\N	\N	\N	\N	\N	\N	f	
8329	f58d56d9-678d-4cba-9d7f-44ea3875220b	Windsor	Windsor	3	0	2013-05-30 21:46:17.084285+02	\N	\N	\N	\N	\N	\N	f	
8801	045e8e51-5b8e-4cfc-80c2-a4b1c93bfda6	Torzym	Torzym	3	0	2013-06-01 18:49:30.175192+02	\N	\N	\N	\N	\N	\N	f	
9261	dee953e2-2d96-4b3e-b94b-4eb9c24f0cc6	Ciężkowice	Ciężkowice	3	0	2013-06-02 04:28:20.693094+02	\N	\N	\N	\N	\N	\N	f	
8936	cd0d9d2b-11d8-44a3-b5e9-a6825a7a6d25	Huaibei	Huaibei	3	0	2013-06-01 20:05:51.020428+02	\N	\N	\N	\N	\N	\N	f	
9050	39f2d8a6-663f-4a51-85db-3e4c6575ea42	Qinzhou	Qinzhou	3	0	2013-06-01 20:29:50.111214+02	\N	\N	\N	\N	\N	\N	f	
9102	b93229d6-10e6-46be-98e1-8c615858bbb9	Kingaroy	Kingaroy	3	0	2013-06-01 20:39:45.723027+02	\N	\N	\N	\N	\N	\N	f	
9404	eee2e250-e74b-4216-896d-ec1980ea123c	Heidelberg	Heidelberg	3	0	2013-06-09 03:26:16.072876+02	\N	\N	\N	\N	\N	\N	f	
9287	3f98614e-a0fe-4fd7-9abb-4b78e60c6908	Ede	Ede	3	0	2013-06-02 16:48:14.240274+02	\N	\N	\N	\N	\N	\N	f	
9335	4dfe3589-a9e8-44b6-9291-f3e73748897a	Clifton	Clifton	3	0	2013-06-03 18:32:49.674397+02	\N	\N	\N	\N	\N	\N	f	
3400	babc18a8-cecc-40bf-b466-d389ff27acf4	Bong	Bong	2	0	2013-06-05 06:58:23.714476+02	\N	\N	\N	\N	\N	\N	f	
9352	d3e472db-de44-401a-8eee-20d9dfa4a1d6	Kohtla-Järve	Kohtla-Järve	3	0	2013-06-04 22:05:17.528916+02	\N	\N	\N	\N	\N	\N	f	
4502	7b32f002-3eb3-4d9c-9cc7-fcecf430d6e5	Arkadia	Arkadia	2	0	2013-06-05 07:51:40.587643+02	\N	\N	\N	\N	\N	\N	f	
9526	8f6c316e-9924-48ea-967b-16757dd82399	Gothenburg	Gothenburg	3	0	2013-06-09 18:07:26.654154+02	\N	\N	\N	\N	\N	\N	f	
9419	8512c356-1ed2-46e3-86b2-ad74bd951cd5	Deesa	Deesa	3	0	2013-06-09 17:28:34.289981+02	\N	\N	\N	\N	\N	\N	f	
9573	509ba4a5-27d0-41ae-9407-6ac10814a258	Paimio	Paimio	3	0	2013-06-11 04:42:56.737446+02	\N	\N	\N	\N	\N	\N	f	
4060	264ccf98-dd62-4319-a4c7-81d33407ee9d	Babək	Babək	2	0	2013-06-05 06:59:22.177924+02	\N	\N	\N	\N	\N	\N	f	
9426	1ff9ea21-4379-4a8c-b631-c9fd8f389c4d	Manavadar	Manavadar	3	0	2013-06-09 17:30:26.790026+02	\N	\N	\N	\N	\N	\N	f	
9561	f27ffbe4-f8a4-461f-b249-039f50e33b00	Milbank	Milbank	3	0	2013-06-10 20:12:06.539127+02	\N	\N	\N	\N	\N	\N	f	
9527	b0c4986b-f48d-4ea5-94fc-37a0527068bf	Savli	Savli	3	0	2013-06-09 18:07:45.22666+02	\N	\N	\N	\N	\N	\N	f	
9557	bb3aa823-8759-47d1-b5fc-60d6cc97b047	Holzgerlingen	Holzgerlingen	3	0	2013-06-10 03:11:23.587549+02	\N	\N	\N	\N	\N	\N	f	
1158	606381b2-9f8e-4146-bc92-605ae8fe458a	Amazonas	Amazonas	2	0	2013-06-05 09:45:26.713424+02	\N	\N	\N	\N	\N	\N	f	
9593	d42d5d55-4160-4a71-8974-f2df15325670	Vantaa	Vantaa	3	0	2013-06-12 07:23:34.17639+02	\N	\N	\N	\N	\N	\N	f	
9698	3fb9676c-64d2-4ae6-aa49-ae28c9c21799	Matador	Matador	3	0	2013-06-15 21:02:02.792666+02	\N	\N	\N	\N	\N	\N	f	
9758	fbef3c02-6adf-4d4e-9c2a-f2cb9fcf9901	Sōma	Sōma	3	0	2013-06-18 01:10:22.137833+02	\N	\N	\N	\N	\N	\N	f	
9769	19d3a5e2-cbcd-4c19-8f90-98d607f764cb	Nagai	Nagai	3	0	2013-06-18 01:15:42.052201+02	\N	\N	\N	\N	\N	\N	f	
9801	fc91c689-9d7e-4089-a569-4dcc3ce653eb	Hagi	Hagi	3	0	2013-06-18 03:39:39.011956+02	\N	\N	\N	\N	\N	\N	f	
9936	aceaf161-ff07-48d6-8329-813f50bf882c	Kashima	Kashima	3	0	2013-06-18 07:27:43.8252+02	\N	\N	\N	\N	\N	\N	f	
10017	b0f5611f-a6ad-470f-9da9-21ff76e5686d	Kashima	Kashima	3	0	2013-06-18 08:02:26.99454+02	\N	\N	\N	\N	\N	\N	f	
26796	e8055208-d6d5-4747-b18f-c5d35e8df32b	Crocker	Crocker	3	0	2013-09-08 02:56:04.196432+02	\N	\N	\N	\N	\N	\N	f	
10074	1bda17c9-1802-4b55-ba16-ba72d65129da	Tamana	Tamana	3	0	2013-06-18 08:16:25.479862+02	\N	\N	\N	\N	\N	\N	f	
4505	c9b9d869-0fe1-474c-9022-834ef69b789b	Korinthia	Korinthia	2	0	2013-05-22 13:52:45.640927+02	\N	\N	\N	\N	\N	\N	f	
5205	6798a028-d224-4e81-aa76-96a05a6c8028	Montpelier	Montpelier	3	0	2013-05-24 22:48:38.729567+02	\N	\N	\N	\N	\N	\N	f	
4679	0d69aa1f-bda4-4e03-a5a6-effb89b860be	Padova	Padova	2	0	2013-05-22 14:42:05.526337+02	\N	\N	\N	\N	\N	\N	f	
4813	2973cf10-c2f0-43ab-9baa-12c90129c066	Raa	Raa	2	0	2013-05-22 15:21:25.003656+02	\N	\N	\N	\N	\N	\N	f	
4815	08fff34e-aaec-427f-a96b-e9dcc4e1421c	Dhaalu	Dhaalu	2	0	2013-05-22 15:21:53.00416+02	\N	\N	\N	\N	\N	\N	f	
5235	0045c8d8-f95a-4efe-bd1b-cdc9ef1a56d6	Bismarck, North Dakota	Bismarck, North Dakota	3	0	2013-05-24 22:54:29.296029+02	\N	\N	\N	\N	\N	\N	f	
4958	715a13f9-38e2-4560-8549-038463a84f08	Zamboanga del Norte	Zamboanga del Norte	2	0	2013-05-22 15:58:11.319007+02	\N	\N	\N	\N	\N	\N	f	
5373	79ee2d5e-f169-4682-8da1-ebebd7669e53	Manzariyeh	Manzariyeh	3	0	2013-05-24 23:22:03.857899+02	\N	\N	\N	\N	\N	\N	f	
9207	f00da399-a789-48b8-a423-ebe5021c500a	Weinsberg	Weinsberg	3	0	2013-06-01 22:27:10.728497+02	\N	\N	\N	\N	\N	\N	f	
5521	e921c4b6-e130-496c-9632-42fa77dd9d3f	Qazvin	Qazvin	3	0	2013-05-24 23:54:45.957825+02	\N	\N	\N	\N	\N	\N	f	
5549	5e7afac4-ba1e-4b78-9db7-4f34f398526a	Utsunomiya	Utsunomiya	3	0	2013-05-25 00:00:46.11899+02	\N	\N	\N	\N	\N	\N	f	
7175	3a52cc51-6a06-4b48-90fa-bbd5b130c5c2	Tolkmicko	Tolkmicko	3	0	2013-05-26 17:11:19.097973+02	\N	\N	\N	\N	\N	\N	f	
6074	2657dda4-489a-4555-a399-0cc6d435033b	Klaipėda	Klaipėda	3	0	2013-05-25 01:47:19.263714+02	\N	\N	\N	\N	\N	\N	f	
6527	fd13c948-169e-47ac-a4b9-fbfb9416030b	Alamo	Alamo	3	0	2013-05-25 03:26:53.670352+02	\N	\N	\N	\N	\N	\N	f	
6118	599025db-8348-48e1-a7b0-6528ac01b0b3	Carlsbad	Carlsbad	3	0	2013-05-25 01:56:43.655656+02	\N	\N	\N	\N	\N	\N	f	
6129	37241b12-ab99-4c42-97a2-ad99cf685d06	Dehloran	Dehloran	3	0	2013-05-25 01:58:40.568897+02	\N	\N	\N	\N	\N	\N	f	
6138	befe1a94-d200-46e0-bb4f-5a0117535b08	Choghadak	Choghadak	3	0	2013-05-25 02:00:12.918953+02	\N	\N	\N	\N	\N	\N	f	
6531	af56f8e1-7a6a-4ad7-aca0-2466a8dedaa5	Morristown	Morristown	3	0	2013-05-25 03:27:41.053938+02	\N	\N	\N	\N	\N	\N	f	
6239	d1246cbc-1170-4b43-ac1b-2892312df5e9	Ramsar, Mazandaran	Ramsar, Mazandaran	3	0	2013-05-25 02:19:47.780932+02	\N	\N	\N	\N	\N	\N	f	
6252	f27f4cba-e8a2-4564-a14b-3d4af1e8ec25	Nelson	Nelson	3	0	2013-05-25 02:22:52.833827+02	\N	\N	\N	\N	\N	\N	f	
8530	08658020-780e-4757-bac4-7c6ed9b57c68	Windsor	Windsor	3	0	2013-06-01 17:33:38.489438+02	\N	\N	\N	\N	\N	\N	f	
6309	baef7839-e787-408a-a592-943a9838fcb0	Pruszcz Gdański	Pruszcz Gdański	3	0	2013-05-25 02:35:07.658161+02	\N	\N	\N	\N	\N	\N	f	
7181	4e5a81b7-7719-4c70-8000-d0038b91bff1	Grybów	Grybów	3	0	2013-05-26 17:12:42.18237+02	\N	\N	\N	\N	\N	\N	f	
6354	6b7e19dd-06c2-4870-ad97-ff9627bf8850	Tajrish	Tajrish	3	0	2013-05-25 02:46:18.938759+02	\N	\N	\N	\N	\N	\N	f	
6692	16029ed3-a93e-4320-a949-9ff6f498938d	Fin	Fin	3	0	2013-05-25 03:57:46.142743+02	\N	\N	\N	\N	\N	\N	f	
6735	60cc9c9b-de3d-4c6f-be6d-4091da3cf75a	Kiasar	Kiasar	3	0	2013-05-25 04:05:47.699314+02	\N	\N	\N	\N	\N	\N	f	
7434	21bb2c7f-a96d-492d-bff6-0450ec7da2ec	São Raimundo Nonato	São Raimundo Nonato	3	0	2013-05-28 14:35:30.523441+02	\N	\N	\N	\N	\N	\N	f	
6741	fb3faca1-1b37-4a17-a97d-0dab9293a420	Farashband	Farashband	3	0	2013-05-25 04:07:19.435458+02	\N	\N	\N	\N	\N	\N	f	
6743	3ff1d1ac-ef93-4006-a451-56ff64ab6ed2	Kabudrahang	Kabudrahang	3	0	2013-05-25 04:07:45.89177+02	\N	\N	\N	\N	\N	\N	f	
15515	aaf79668-e133-4d1c-96fc-da1426b85e0b	Marano Ticino	Marano Ticino	4	0	2013-07-22 01:02:16.494946+02	\N	\N	\N	\N	\N	\N	f	
7549	8ac63b7b-d7d3-4225-a187-ed8d932713c0	Bad Wildungen	Bad Wildungen	3	0	2013-05-29 00:44:17.779102+02	\N	\N	\N	\N	\N	\N	f	
7002	766dcf8d-216a-4976-804a-69643a285de9	Radzionków	Radzionków	3	0	2013-05-25 14:24:49.863935+02	\N	\N	\N	\N	\N	\N	f	
7004	b10fca67-db0e-4139-a1bd-4d6a913d191a	Małogoszcz	Małogoszcz	3	0	2013-05-25 14:25:16.36179+02	\N	\N	\N	\N	\N	\N	f	
8560	0309c251-18f6-4eb1-a1b6-69ecf10c044e	Quirindi	Quirindi	3	0	2013-06-01 17:41:07.551648+02	\N	\N	\N	\N	\N	\N	f	
5851	772232c3-0173-4afe-bb10-f5f772e6cb0b	Corning	Corning	3	0	2013-05-26 14:30:48.489019+02	\N	\N	\N	\N	\N	\N	f	
7835	f5309efd-b745-4bad-a892-70e2d18e4dcd	Belton	Belton	3	0	2013-05-29 02:44:10.585575+02	\N	\N	\N	\N	\N	\N	f	
7850	7334b6c6-ff3c-4618-be25-e0111c8ad33e	Pontiac	Pontiac	3	0	2013-05-29 02:48:07.080976+02	\N	\N	\N	\N	\N	\N	f	
7855	63579710-8c9c-4463-a095-6132c4c4e284	Plymouth	Plymouth	3	0	2013-05-29 02:49:55.000483+02	\N	\N	\N	\N	\N	\N	f	
8690	7933428d-79d5-4c2e-93cf-d6502849d089	Luboń	Luboń	3	0	2013-06-01 18:18:13.201095+02	\N	\N	\N	\N	\N	\N	f	
8043	d2cc9f7e-2890-46d8-9b54-42c1e7d433af	Ooraman (Sarvabad)	Ooraman (Sarvabad)	3	0	2013-05-30 18:33:27.187261+02	\N	\N	\N	\N	\N	\N	f	
8075	d10b3a45-8225-4ec4-a9d8-f1029f0db503	Olney Township, Nobles County	Olney Township, Nobles County	3	0	2013-05-30 18:40:28.728237+02	\N	\N	\N	\N	\N	\N	f	
9215	f10ec2f5-7d9a-49f3-9c38-7f7dd7d5c31e	Murowana Goślina	Murowana Goślina	3	0	2013-06-01 22:42:24.907573+02	\N	\N	\N	\N	\N	\N	f	
8167	dc04ee98-b7e1-4693-9255-e3be86964259	Colorado	Colorado	3	0	2013-05-30 21:08:43.354158+02	\N	\N	\N	\N	\N	\N	f	
8764	e57ebef9-2c89-4d39-bc95-932e243081b9	Harwich	Harwich	3	0	2013-06-01 18:39:28.767956+02	\N	\N	\N	\N	\N	\N	f	
8332	25a7f1b8-1659-4fce-a905-fbe7b58e6a79	Dovercourt	Dovercourt	3	0	2013-05-30 21:46:53.187737+02	\N	\N	\N	\N	\N	\N	f	
8347	df7f3af7-7a91-4e3e-a3d7-985b34537761	Amirkabir new city	Amirkabir new city	3	0	2013-05-30 21:50:38.472151+02	\N	\N	\N	\N	\N	\N	f	
8386	58addc59-a5c2-4ee7-a614-daa4c6f73d2f	Geldrop	Geldrop	3	0	2013-05-30 22:17:14.808355+02	\N	\N	\N	\N	\N	\N	f	
8805	d8207458-8672-4403-b1d2-53d6eacd6a3b	Temora	Temora	3	0	2013-06-01 18:50:30.364498+02	\N	\N	\N	\N	\N	\N	f	
9562	d0537fd2-606d-4bf7-b41b-c2ea285be23c	Haiterbach	Haiterbach	3	0	2013-06-10 20:17:45.618317+02	\N	\N	\N	\N	\N	\N	f	
8937	9385cbff-f973-44f7-b5e8-87fabe1d1687	Chizhou	Chizhou	3	0	2013-06-01 20:06:01.720328+02	\N	\N	\N	\N	\N	\N	f	
9242	d2233f7f-be37-42d0-9008-6e8e388873df	Dornstetten	Dornstetten	3	0	2013-06-02 01:27:13.629821+02	\N	\N	\N	\N	\N	\N	f	
8950	6388adf5-faf9-42a1-bfda-56a7892ffb73	Xinyu	Xinyu	3	0	2013-06-01 20:08:21.026477+02	\N	\N	\N	\N	\N	\N	f	
8963	516c7640-27a4-40e3-a2f2-ddf837567543	Liuzhou	Liuzhou	3	0	2013-06-01 20:11:05.453366+02	\N	\N	\N	\N	\N	\N	f	
9353	81f463f6-a56f-4898-9684-10306a2b53e4	Murfreesboro, North Carolina	Murfreesboro, North Carolina	3	0	2013-06-04 22:05:38.372213+02	\N	\N	\N	\N	\N	\N	f	
9053	abd69fd8-9e84-4e19-970d-e96792774283	Hezhou	Hezhou	3	0	2013-06-01 20:30:20.931601+02	\N	\N	\N	\N	\N	\N	f	
9405	f0887372-38dd-42cd-8b01-bb5a7f206a0c	Pforzheim	Pforzheim	3	0	2013-06-09 03:26:33.426401+02	\N	\N	\N	\N	\N	\N	f	
9246	7e2a2f0b-3ef6-421a-b5e3-1d3568f0f3e7	Kudowa-Zdrój	Kudowa-Zdrój	3	0	2013-06-02 01:29:46.551257+02	\N	\N	\N	\N	\N	\N	f	
9262	cfed8a50-e044-40d3-8df9-63359f61b20e	Bystrzyca Kłodzka	Bystrzyca Kłodzka	3	0	2013-06-02 04:31:11.232245+02	\N	\N	\N	\N	\N	\N	f	
9288	deff3e7a-e2d7-4c71-be9f-58b3ba6f9361	Crooks	Crooks	3	0	2013-06-02 16:49:24.33116+02	\N	\N	\N	\N	\N	\N	f	
6782	028a8bee-3502-4732-9434-89432f5d09f8	Royan	Royan	3	0	2013-06-05 06:45:28.763463+02	\N	\N	\N	\N	\N	\N	f	
9513	07a0965f-48f1-4f16-a566-f6bca2295428	Bagasara	Bagasara	3	0	2013-06-09 18:03:16.780928+02	\N	\N	\N	\N	\N	\N	f	
9420	815f8f0e-677c-4869-9c83-b8a63291291a	Gandhinagar	Gandhinagar	3	0	2013-06-09 17:28:47.662341+02	\N	\N	\N	\N	\N	\N	f	
4643	f9b68fd6-0ff6-482c-9596-aa87f5ace62b	Catanzaro	Catanzaro	2	0	2013-06-05 06:59:50.532666+02	\N	\N	\N	\N	\N	\N	f	
9510	73776666-8f0f-4e3e-b95c-7800407c8f9c	Kandla	Kandla	3	0	2013-06-09 18:02:41.991244+02	\N	\N	\N	\N	\N	\N	f	
9558	25fa6287-9553-4ab6-aabd-24d6d60a52bc	Birán	Birán	3	0	2013-06-10 03:20:49.92949+02	\N	\N	\N	\N	\N	\N	f	
9528	6dbdb744-b5be-4756-a53f-8247e6de4dfc	Bharuch	Bharuch	3	0	2013-06-09 18:08:20.27365+02	\N	\N	\N	\N	\N	\N	f	
9563	1a49363b-ee81-4d1b-ad9b-d3a93ca8c7a3	Reutlingen	Reutlingen	3	0	2013-06-10 20:20:50.864028+02	\N	\N	\N	\N	\N	\N	f	
9574	ebdee432-677e-4f2c-9267-9c9d29b0cb3b	Vaasa	Vaasa	3	0	2013-06-11 04:44:36.997534+02	\N	\N	\N	\N	\N	\N	f	
9594	217fdbd5-33bb-4c6c-9f7a-4141c697f4ab	Angleton	Angleton	3	0	2013-06-12 07:25:43.211365+02	\N	\N	\N	\N	\N	\N	f	
9699	45d409f3-6123-44a3-afb2-eb2070e540d8	Littlehampton	Littlehampton	3	0	2013-06-15 21:03:30.37689+02	\N	\N	\N	\N	\N	\N	f	
9759	a13c58b9-f57c-4a2b-8bbc-54aa8e78b629	Yonezawa	Yonezawa	3	0	2013-06-18 01:10:56.169192+02	\N	\N	\N	\N	\N	\N	f	
9762	d8612192-3f8b-44b6-aefe-add8bb283c21	Sagae	Sagae	3	0	2013-06-18 01:13:43.747071+02	\N	\N	\N	\N	\N	\N	f	
9765	65338ab6-de80-473f-b0c4-515c5380fc50	Sukagawa	Sukagawa	3	0	2013-06-18 01:14:38.754254+02	\N	\N	\N	\N	\N	\N	f	
9805	7c223a42-7017-464d-a0c9-709893757d6c	Ōgaki	Ōgaki	3	0	2013-06-18 03:40:27.789859+02	\N	\N	\N	\N	\N	\N	f	
4506	f373cd65-cdfe-48f8-9a8f-97305d1d07cf	Lakonia	Lakonia	2	0	2013-05-22 13:53:04.184256+02	\N	\N	\N	\N	\N	\N	f	
4507	a734c1f1-f06a-4fd5-ac5a-7cd63586fad9	Messinia	Messinia	2	0	2013-05-22 13:53:16.441355+02	\N	\N	\N	\N	\N	\N	f	
4508	debe4110-cdc5-4586-ae4f-c5003023cbd4	Zakynthos	Zakynthos	2	0	2013-05-22 13:53:33.456025+02	\N	\N	\N	\N	\N	\N	f	
4680	7bb44f6e-cfb7-4224-80e0-4bfb6b71b34f	Pescara	Pescara	2	0	2013-05-22 14:42:28.531047+02	\N	\N	\N	\N	\N	\N	f	
4509	4308e6ba-926f-4964-af75-bbd7c61b3e3f	Kerkyra	Kerkyra	2	0	2013-05-22 13:53:52.164735+02	\N	\N	\N	\N	\N	\N	f	
4524	e047b8fe-2715-421a-9156-8fa530fcc9f0	Kavala	Kavala	2	0	2013-05-22 13:57:45.919289+02	\N	\N	\N	\N	\N	\N	f	
4535	ad2532b6-f044-45b8-a16d-af773725ea32	Rodopi	Rodopi	2	0	2013-05-22 14:00:42.341565+02	\N	\N	\N	\N	\N	\N	f	
4817	6930c4f0-ef16-4e7c-a78b-23594e28fbcd	Haa Dhaalu	Haa Dhaalu	2	0	2013-05-22 15:22:25.717828+02	\N	\N	\N	\N	\N	\N	f	
9421	5e5f0bae-1031-42be-95c7-a77899693931	Vadodara	Vadodara	3	0	2013-06-09 17:28:58.458292+02	\N	\N	\N	\N	\N	\N	f	
5207	d117de1f-6816-4ff0-b56b-d1e94165782a	Harrisburg	Harrisburg	3	0	2013-05-24 22:49:02.368539+02	\N	\N	\N	\N	\N	\N	f	
4871	d413a5c3-7c84-46ac-9b43-2edb40892381	Marlborough District	Marlborough District	2	0	2013-05-22 15:37:47.410121+02	\N	\N	\N	\N	\N	\N	f	
4960	4962fd16-a045-4cc0-bc8a-61dd40497c4a	Zambales	Zambales	2	0	2013-05-22 15:58:36.731609+02	\N	\N	\N	\N	\N	\N	f	
4973	ffbfe172-dcd3-4f26-88ac-c5b336cb87d4	Kosovsko-Pomoravski okrug	Kosovsko-Pomoravski okrug	2	0	2013-05-22 16:01:02.571988+02	\N	\N	\N	\N	\N	\N	f	
5374	2051fa9a-abb2-47e5-bd7b-c2a877025771	Elbląg	Elbląg	3	0	2013-05-24 23:22:25.387791+02	\N	\N	\N	\N	\N	\N	f	
5852	ca43a886-4811-41e1-b23e-b32d6d904a3d	Charleston	Charleston	3	0	2013-05-25 01:05:30.735318+02	\N	\N	\N	\N	\N	\N	f	
5523	30df9f9b-7e93-4cae-a3c8-860fff3a9841	Hachinohe	Hachinohe	3	0	2013-05-24 23:55:12.2175+02	\N	\N	\N	\N	\N	\N	f	
5569	766d9cd2-6b11-44d8-917a-1a9d6860a574	Pieszyce	Pieszyce	3	0	2013-05-25 00:04:36.709488+02	\N	\N	\N	\N	\N	\N	f	
6075	676e3736-c376-4705-af73-5dd9ce48acda	Peterborough	Peterborough	3	0	2013-05-25 01:47:30.237522+02	\N	\N	\N	\N	\N	\N	f	
6311	308f18c2-07f8-4e38-8210-39e7dbf4f073	Prairie Village	Prairie Village	3	0	2013-05-25 02:35:39.558477+02	\N	\N	\N	\N	\N	\N	f	
7177	5e506a8b-4081-4c12-a949-b3d910c3f0ad	Byczyna	Byczyna	3	0	2013-05-26 17:11:48.317643+02	\N	\N	\N	\N	\N	\N	f	
8691	15494004-b158-4aa0-93de-51305c6c110d	Chotibala	Chotibala	3	0	2013-06-01 18:18:28.73039+02	\N	\N	\N	\N	\N	\N	f	
7436	9c58792c-a3f6-4ac5-807f-074ea44af8e7	Pakenham	Pakenham	3	0	2013-05-28 14:36:20.948631+02	\N	\N	\N	\N	\N	\N	f	
6528	f82b61fb-4fae-4191-b08d-452d6baa96be	Aradan	Aradan	3	0	2013-05-25 03:27:04.458429+02	\N	\N	\N	\N	\N	\N	f	
7555	0db063ae-73a5-41f0-967f-89d70c943741	Groß-Umstadt	Groß-Umstadt	3	0	2013-05-29 00:45:22.922006+02	\N	\N	\N	\N	\N	\N	f	
6783	3ba6e36c-ddfc-4865-b9a7-0a197871e9c1	Hadsten	Hadsten	3	0	2013-05-25 04:15:36.005278+02	\N	\N	\N	\N	\N	\N	f	
6809	04d05b3f-2fd4-4618-ba11-f42ad23bf359	Imam Hassan	Imam Hassan	3	0	2013-05-25 04:20:11.842227+02	\N	\N	\N	\N	\N	\N	f	
6869	4b6dbda1-b0d2-4860-9751-22005d0adcb1	Chubar	Chubar	3	0	2013-05-25 04:30:43.271919+02	\N	\N	\N	\N	\N	\N	f	
7836	4dd4103f-07f4-4c8f-8704-811d86436094	Athens	Athens	3	0	2013-05-29 02:44:29.776792+02	\N	\N	\N	\N	\N	\N	f	
6872	8f0a2a3c-9b0b-4681-97a0-73c3019affa1	Avajiq	Avajiq	3	0	2013-05-25 04:31:18.938873+02	\N	\N	\N	\N	\N	\N	f	
6882	8b0bb7ce-1741-4364-88f5-85dc31ad3d96	Cholicheh	Cholicheh	3	0	2013-05-25 04:33:08.152036+02	\N	\N	\N	\N	\N	\N	f	
8806	f5f1d03e-cc93-4429-8578-39e68266e277	Neuilly-sur-Seine	Neuilly-sur-Seine	3	0	2013-06-01 19:27:16.631425+02	\N	\N	\N	\N	\N	\N	f	
6883	fa272758-1d70-4750-9179-9cd8e7b4d519	Gatab	Gatab	3	0	2013-05-25 04:33:18.616006+02	\N	\N	\N	\N	\N	\N	f	
7939	bafc8a51-9d36-4094-9a3a-1e84afc85f6b	's-Hertogenbosch	's-Hertogenbosch	3	0	2013-05-29 03:15:46.621709+02	\N	\N	\N	\N	\N	\N	f	
6916	e21a45e8-92b9-498a-829a-6277dbe8abfb	Roosendaal	Roosendaal	3	0	2013-05-25 04:40:32.291401+02	\N	\N	\N	\N	\N	\N	f	
7003	b38ad0cb-b93b-4a44-aa11-7f5de6952084	Szczyrk	Szczyrk	3	0	2013-05-25 14:25:00.786369+02	\N	\N	\N	\N	\N	\N	f	
6380	9f873c4c-fe7c-405a-a2cd-ad8126ecfc98	Salamanca	Salamanca	3	0	2013-05-26 14:06:28.514336+02	\N	\N	\N	\N	\N	\N	f	
8044	fb107821-c9ab-4d4d-8f4e-b5e67d7d6f17	San Pablo	San Pablo	3	0	2013-05-30 18:33:42.785429+02	\N	\N	\N	\N	\N	\N	f	
6355	92c387cd-0ebc-4c05-a757-ee3423c9c706	Oneonta	Oneonta	3	0	2013-05-26 14:22:23.991918+02	\N	\N	\N	\N	\N	\N	f	
4546	bcdfdbd4-2f64-4b6a-a2bd-a8f2f5696c03	Bafatá	Bafatá	2	0	2013-06-05 07:28:11.651211+02	\N	\N	\N	\N	\N	\N	f	
8063	cf8dc9d7-1519-45d6-ad9e-0193fa05b7a5	Waltham Abbey	Waltham Abbey	3	0	2013-05-30 18:37:56.016762+02	\N	\N	\N	\N	\N	\N	f	
8938	8173b53b-ec64-4849-9edf-34a5630229c9	Ji'an	Ji'an	3	0	2013-06-01 20:06:11.830222+02	\N	\N	\N	\N	\N	\N	f	
8170	17b5237f-87bf-4e46-90d7-da1b4259747e	Thorpe Bay	Thorpe Bay	3	0	2013-05-30 21:09:21.501038+02	\N	\N	\N	\N	\N	\N	f	
8334	e2216be6-c2f7-4982-8be3-e35f016fe9d7	Ashford	Ashford	3	0	2013-05-30 21:47:25.222661+02	\N	\N	\N	\N	\N	\N	f	
8384	117e735a-c32f-4a04-9b43-f4bb423ab055	Windsor	Windsor	3	0	2013-05-30 21:59:12.843594+02	\N	\N	\N	\N	\N	\N	f	
9054	4ca74fa7-ea54-4284-9fa8-94f149077787	Lianyungang	Lianyungang	3	0	2013-06-01 20:30:43.563877+02	\N	\N	\N	\N	\N	\N	f	
8531	c13ca9e4-4dc7-419b-8b7b-145b9783cbff	Blainville	Blainville	3	0	2013-06-01 17:33:52.603716+02	\N	\N	\N	\N	\N	\N	f	
8561	84734d59-6f00-4c14-bd9b-036e76981c03	Zawidów	Zawidów	3	0	2013-06-01 17:41:18.610655+02	\N	\N	\N	\N	\N	\N	f	
8562	bf8f47a8-6709-4739-ba2a-f64cbeb639a2	Julia Creek	Julia Creek	3	0	2013-06-01 17:41:30.854092+02	\N	\N	\N	\N	\N	\N	f	
9127	41a20d80-9377-401d-a57e-a092d3e4df5d	Xianning	Xianning	3	0	2013-06-01 20:45:20.889388+02	\N	\N	\N	\N	\N	\N	f	
377	f37a9e19-2e4b-4573-b65b-2ab6fcf6ea51	Australian Capital Territory	Australian Capital Territory	2	0	2013-06-05 09:47:02.548995+02	\N	\N	\N	\N	\N	\N	f	
9208	d9e3c29f-8392-45c6-a08c-8ccd44e37972	Muszyna	Muszyna	3	0	2013-06-01 22:27:39.325479+02	\N	\N	\N	\N	\N	\N	f	
9243	45dcf451-9c01-4673-8e68-83dd8a69cb99	Dornhan	Dornhan	3	0	2013-06-02 01:27:24.071728+02	\N	\N	\N	\N	\N	\N	f	
9529	8910247e-f981-4b81-86a4-4e0aef5d1dde	Unjha	Unjha	3	0	2013-06-09 18:08:39.100704+02	\N	\N	\N	\N	\N	\N	f	
9289	e4f8504b-ea6f-49a0-a3c4-1417630a88db	Brandon	Brandon	3	0	2013-06-02 16:50:30.316235+02	\N	\N	\N	\N	\N	\N	f	
1141	0fcb87e8-e491-4bd8-8434-288953e99cba	Cojedes	Cojedes	2	0	2013-06-05 07:00:12.879415+02	\N	\N	\N	\N	\N	\N	f	
9355	09d5a6af-7035-4516-9cc4-9d6d089ca819	Võru	Võru	3	0	2013-06-04 22:06:14.313444+02	\N	\N	\N	\N	\N	\N	f	
9406	b811f4e6-50b9-411c-bd98-9310eb0b42e3	Ulm	Ulm	3	0	2013-06-09 03:26:44.507082+02	\N	\N	\N	\N	\N	\N	f	
9589	c9e81003-fcb9-4509-a900-b2b0d51f3900	Loimaa	Loimaa	3	0	2013-06-11 05:09:56.801085+02	\N	\N	\N	\N	\N	\N	f	
3436	331198db-a567-47d7-bee1-673e2c194cc7	Al Marj	Al Marj	2	0	2013-06-05 07:03:34.555696+02	\N	\N	\N	\N	\N	\N	f	
4153	46b56484-a857-4c28-ad8c-7bece582185c	Banwa	Banwa	2	0	2013-06-05 07:24:33.675687+02	\N	\N	\N	\N	\N	\N	f	
9564	668a4d7a-0955-4bc0-bd71-08760a84c2d0	Tochigi	Tochigi	3	0	2013-06-10 20:23:55.815038+02	\N	\N	\N	\N	\N	\N	f	
9806	a668506e-c682-4d3d-b607-6a17ad5271e0	Ōmihachiman	Ōmihachiman	3	0	2013-06-18 03:40:38.002308+02	\N	\N	\N	\N	\N	\N	f	
9575	d40527ee-d206-44d7-b42e-403865b70756	Uusikaupunki	Uusikaupunki	3	0	2013-06-11 04:50:42.153773+02	\N	\N	\N	\N	\N	\N	f	
9595	20767e1f-b5f4-4ea7-b0b7-7ceb185fdbf3	Huittinen	Huittinen	3	0	2013-06-12 07:26:05.736382+02	\N	\N	\N	\N	\N	\N	f	
9609	7000316c-c66b-453a-9fd5-3eb9b7582d82	Tettnang	Tettnang	3	0	2013-06-12 07:42:24.512645+02	\N	\N	\N	\N	\N	\N	f	
9760	a194f60f-b63e-4a1a-83e2-f32f33390a10	Shirakawa	Shirakawa	3	0	2013-06-18 01:11:18.814608+02	\N	\N	\N	\N	\N	\N	f	
9814	78860ea7-35ab-4aa4-a2b1-066b015034fe	Hamada	Hamada	3	0	2013-06-18 03:42:49.233623+02	\N	\N	\N	\N	\N	\N	f	
9830	eaadcb37-f47d-4ef3-b430-2b2e6b1e8780	Saijō	Saijō	3	0	2013-06-18 03:49:55.368603+02	\N	\N	\N	\N	\N	\N	f	
9861	535ae593-3aa1-43cc-9f61-d63f9265192b	Katano	Katano	3	0	2013-06-18 03:58:39.404902+02	\N	\N	\N	\N	\N	\N	f	
9937	7170852e-220f-4fa7-8cda-36904f39f81f	Ashikita	Ashikita	3	0	2013-06-18 07:27:54.194496+02	\N	\N	\N	\N	\N	\N	f	
10101	c7d5a9b3-876c-4fc9-a1d5-ae9bbaebdb3f	Satoshō	Satoshō	3	0	2013-06-18 14:31:10.058158+02	\N	\N	\N	\N	\N	\N	f	
10018	5d16b7b5-d746-4e13-a7d5-a2d77a53f643	Yonaguni	Yonaguni	3	0	2013-06-18 08:02:46.625674+02	\N	\N	\N	\N	\N	\N	f	
10183	964bda94-6493-41a2-80c3-4ab644ecc3d1	Mizumaki	Mizumaki	3	0	2013-06-18 14:47:15.609312+02	\N	\N	\N	\N	\N	\N	f	
10240	f78f10e9-3c9b-4d31-bebb-654bb5d7dcaa	Shōō	Shōō	3	0	2013-06-18 17:18:54.224069+02	\N	\N	\N	\N	\N	\N	f	
13818	c123fa5b-2a1e-4abe-b0b2-10534c49f3ed	Cazzago San Martino	Cazzago San Martino	4	0	2013-07-21 19:19:30.381458+02	\N	\N	\N	\N	\N	\N	f	
19669	e5a2c0da-432d-4a35-90ba-77d669a59208	Pergine Valdarno	Pergine Valdarno	4	0	2013-07-22 11:17:04.732295+02	\N	\N	\N	\N	\N	\N	f	
4510	ccc6e4d0-a3ef-4b22-b087-7d036432d438	Kefallonia	Kefallonia	2	0	2013-05-22 13:54:09.546502+02	\N	\N	\N	\N	\N	\N	f	
4511	14901c63-cca9-4e4f-8a57-1cabd06f43d9	Lefkada	Lefkada	2	0	2013-05-22 13:54:29.030126+02	\N	\N	\N	\N	\N	\N	f	
4533	d5391935-861f-468d-9e63-cc743c75daa9	Evros	Evros	2	0	2013-05-22 14:00:07.602319+02	\N	\N	\N	\N	\N	\N	f	
4681	a9cebfb5-e47a-410d-83bd-e9187cd44543	Perugia	Perugia	2	0	2013-05-22 14:42:42.240522+02	\N	\N	\N	\N	\N	\N	f	
4819	6906d327-e8f6-4348-9fc3-8095329cdd00	Noonu	Noonu	2	0	2013-05-22 15:22:58.995082+02	\N	\N	\N	\N	\N	\N	f	
5211	1789b8b7-dfc4-409a-8916-25cde916e311	Albany	Albany	3	0	2013-05-24 22:49:45.093997+02	\N	\N	\N	\N	\N	\N	f	
4961	d1668335-f65c-4c89-951d-9efd92a169eb	Zamboanga Sibugay	Zamboanga Sibugay	2	0	2013-05-22 15:58:47.907035+02	\N	\N	\N	\N	\N	\N	f	
5240	5ff1ca46-37ed-45a1-bd2e-2cff163d5093	Allen	Allen	3	0	2013-05-24 22:55:21.754745+02	\N	\N	\N	\N	\N	\N	f	
5853	c562a051-c450-48a5-81f2-d625d0836d36	Rock Island	Rock Island	3	0	2013-05-25 01:05:41.355507+02	\N	\N	\N	\N	\N	\N	f	
5375	fa46a164-fe6c-477a-a1dd-a4d284e3f54d	Kielce	Kielce	3	0	2013-05-24 23:22:35.641519+02	\N	\N	\N	\N	\N	\N	f	
5379	1d9e63b5-51f9-4beb-94b7-afdadd014bda	Ayask	Ayask	3	0	2013-05-24 23:23:17.901532+02	\N	\N	\N	\N	\N	\N	f	
5525	4a79589a-350c-4e2c-adcf-87cab4dff521	Yazd	Yazd	3	0	2013-05-24 23:55:42.120655+02	\N	\N	\N	\N	\N	\N	f	
5530	87368738-3050-45de-8c55-98b3b1757be1	Bundaberg	Bundaberg	3	0	2013-05-24 23:56:47.657257+02	\N	\N	\N	\N	\N	\N	f	
5544	a999047b-6e5d-4ed4-bf36-57652e0f69f0	Sanok	Sanok	3	0	2013-05-24 23:59:51.634445+02	\N	\N	\N	\N	\N	\N	f	
6529	c0235cbe-317d-4018-b455-6e67caa0eec2	Fereydunshahr	Fereydunshahr	3	0	2013-05-25 03:27:17.943216+02	\N	\N	\N	\N	\N	\N	f	
5588	3ddc4f2c-ef7b-4bf0-adc8-a91c5fbac87e	Koganei	Koganei	3	0	2013-05-25 00:08:47.814417+02	\N	\N	\N	\N	\N	\N	f	
5877	64ae48c3-5a5b-4d65-b03f-fdaf6c9a886d	Nowy Dwór Gdański	Nowy Dwór Gdański	3	0	2013-05-25 01:10:16.825424+02	\N	\N	\N	\N	\N	\N	f	
5894	c041dddc-55ca-4933-9405-ae310933f13c	Marivan	Marivan	3	0	2013-05-25 01:13:30.822002+02	\N	\N	\N	\N	\N	\N	f	
9610	2706f4b2-f1f7-48b2-8165-62b996af06cc	Karkkila	Karkkila	3	0	2013-06-12 07:43:11.481281+02	\N	\N	\N	\N	\N	\N	f	
6076	673eb3de-40a1-497d-9f77-4118986fe0c4	Bandar-e Emam Khomeyni	Bandar-e Emam Khomeyni	3	0	2013-05-25 01:47:41.208575+02	\N	\N	\N	\N	\N	\N	f	
7178	bfc87aac-4b5c-445e-8ba7-649ffe15ba99	Dolsk	Dolsk	3	0	2013-05-26 17:12:01.740388+02	\N	\N	\N	\N	\N	\N	f	
6312	aa0747fe-ae1e-4a9f-9d3d-419c7209012e	Córdoba	Córdoba	3	0	2013-05-25 02:35:55.096064+02	\N	\N	\N	\N	\N	\N	f	
6538	ff24a4cd-1524-47cf-9fe3-9382384738a5	Coalgate	Coalgate	3	0	2013-05-25 03:29:13.827125+02	\N	\N	\N	\N	\N	\N	f	
6785	f761a0bb-9428-451a-9036-2ca6cbfcb595	Ezhiyeh	Ezhiyeh	3	0	2013-05-25 04:15:59.846556+02	\N	\N	\N	\N	\N	\N	f	
9295	ecddb7da-37c5-4056-aeb1-064ed9261e13	Saint-Fabien	Saint-Fabien	3	0	2013-06-02 16:52:58.532807+02	\N	\N	\N	\N	\N	\N	f	
6911	e0d9974f-e368-4881-900b-ebde90aa1f8d	Shiraz	Shiraz	3	0	2013-05-25 04:39:28.321572+02	\N	\N	\N	\N	\N	\N	f	
7437	cb781f7a-48d5-451a-af52-70a36e4472d8	Tocantins, Minas Gerais	Tocantins, Minas Gerais	3	0	2013-05-28 14:36:37.069545+02	\N	\N	\N	\N	\N	\N	f	
7005	f88fb951-a7fe-4cd1-9677-1c768963fba1	Karpacz	Karpacz	3	0	2013-05-25 14:25:35.92031+02	\N	\N	\N	\N	\N	\N	f	
7556	53103cae-a987-49ab-b399-3d162c31ff3c	Bad Schussenried	Bad Schussenried	3	0	2013-05-29 00:45:33.397517+02	\N	\N	\N	\N	\N	\N	f	
9407	fba258af-a3c0-40f8-b47b-bbb413fa28b4	Pinedale	Pinedale	3	0	2013-06-09 03:28:33.761767+02	\N	\N	\N	\N	\N	\N	f	
7837	8b29fba3-bbfc-4a53-bbb7-119d654706df	Milford	Milford	3	0	2013-05-29 02:44:47.577746+02	\N	\N	\N	\N	\N	\N	f	
9297	5c8dd84f-f41b-48dc-a24b-971106a0175a	Saint-Marcellin, Quebec	Saint-Marcellin, Quebec	3	0	2013-06-02 16:53:32.776576+02	\N	\N	\N	\N	\N	\N	f	
8047	973b83fd-8813-4bca-bab0-c83224b6761b	Parrano	Parrano	3	0	2013-05-30 18:34:26.931217+02	\N	\N	\N	\N	\N	\N	f	
8171	344b815c-8960-4e2d-ad7a-f23e6cc9bc10	Milton	Milton	3	0	2013-05-30 21:09:37.222383+02	\N	\N	\N	\N	\N	\N	f	
8338	5fbf35ba-3c9e-4054-b7f6-b66cebbdf69b	Maldon	Maldon	3	0	2013-05-30 21:48:16.417595+02	\N	\N	\N	\N	\N	\N	f	
9356	5adba1d7-9b7d-4e55-b6c3-a23fc722b0bd	Maardu	Maardu	3	0	2013-06-04 22:06:32.301354+02	\N	\N	\N	\N	\N	\N	f	
8532	3f504d54-c40c-487d-bc16-c1990eac887f	Westmount	Westmount	3	0	2013-06-01 17:34:06.811401+02	\N	\N	\N	\N	\N	\N	f	
8692	fcbfb936-116c-448d-b709-f4eaa36926cc	Picton	Picton	3	0	2013-06-01 18:18:48.893207+02	\N	\N	\N	\N	\N	\N	f	
8807	9642a166-18c2-4ea3-b89d-c52b974df64d	Toszek	Toszek	3	0	2013-06-01 19:30:28.214839+02	\N	\N	\N	\N	\N	\N	f	
9422	f00321c2-05c4-4221-b42a-e239a5532bdb	Junagadh	Junagadh	3	0	2013-06-09 17:29:09.920204+02	\N	\N	\N	\N	\N	\N	f	
8939	5836a2f9-ce8c-4718-be96-9d651b20ca92	Yichun, Jiangxi	Yichun, Jiangxi	3	0	2013-06-01 20:06:21.854757+02	\N	\N	\N	\N	\N	\N	f	
9055	d65dc86f-dc0b-4a89-b028-e278362f09fd	Xuzhou	Xuzhou	3	0	2013-06-01 20:30:53.502344+02	\N	\N	\N	\N	\N	\N	f	
9210	cf10a7a2-5217-4a2c-b50e-24531be13e11	Humboldt	Humboldt	3	0	2013-06-01 22:34:03.114137+02	\N	\N	\N	\N	\N	\N	f	
9484	7f425f16-48c1-49cc-8b21-57a48ed32ab7	Detroj	Detroj	3	0	2013-06-09 17:51:59.601789+02	\N	\N	\N	\N	\N	\N	f	
9244	042dd298-aa3a-4113-b364-05afa827659e	Dynów	Dynów	3	0	2013-06-02 01:28:32.409531+02	\N	\N	\N	\N	\N	\N	f	
9290	259764b5-475f-46b9-a581-88d8c292b3e1	Frelighsburg	Frelighsburg	3	0	2013-06-02 16:50:57.353213+02	\N	\N	\N	\N	\N	\N	f	
5858	459fabcc-2b96-4058-a9ca-9c72f50d57ac	Lali	Lali	3	0	2013-06-17 07:32:51.505487+02	\N	\N	\N	\N	\N	\N	f	
9530	f4de3241-284d-42f2-ae61-0a7bf583e993	Talaja	Talaja	3	0	2013-06-09 18:09:03.237883+02	\N	\N	\N	\N	\N	\N	f	
9565	bd422bd3-97a6-4fb5-b017-7717c1ed3950	Meersburg	Meersburg	3	0	2013-06-10 20:25:39.769719+02	\N	\N	\N	\N	\N	\N	f	
9873	658d26e9-2e59-43d5-94ea-8663b0bbfc00	Takarazuka	Takarazuka	3	0	2013-06-18 04:01:40.255858+02	\N	\N	\N	\N	\N	\N	f	
711	488f5013-a8a5-4503-bdbe-bbf0c3f02b53	Chubut	Chubut	2	0	2013-06-05 07:00:36.673044+02	\N	\N	\N	\N	\N	\N	f	
9576	743809c1-535a-459b-9871-de40862d3786	Salo	Salo	3	0	2013-06-11 04:51:17.321281+02	\N	\N	\N	\N	\N	\N	f	
2344	3fff8be6-3807-4504-93cc-863866f05c19	Braničevski okrug	Braničevski okrug	2	0	2013-06-05 09:52:24.319911+02	\N	\N	\N	\N	\N	\N	f	
9763	5b776626-4eb6-4307-a36b-3b155eea372d	Ishioka	Ishioka	3	0	2013-06-18 01:14:03.629924+02	\N	\N	\N	\N	\N	\N	f	
9585	b7c82474-d0cc-4663-ad59-85c6ffddbd8b	Naantali	Naantali	3	0	2013-06-11 05:02:14.562782+02	\N	\N	\N	\N	\N	\N	f	
9596	68cfcf90-d9f9-44ad-b0af-37c1d318569f	Pori	Pori	3	0	2013-06-12 07:27:05.293023+02	\N	\N	\N	\N	\N	\N	f	
10021	f48c665e-88d6-401d-8dde-8bdad6d916c2	Taketomi	Taketomi	3	0	2013-06-18 08:03:17.59526+02	\N	\N	\N	\N	\N	\N	f	
9807	d835a6af-e21b-4c1e-a3ad-be2c4080f09f	Kusatsu	Kusatsu	3	0	2013-06-18 03:40:48.192162+02	\N	\N	\N	\N	\N	\N	f	
9938	b193bf14-e16e-4e26-88ea-abc1bb380072	Kokonoe	Kokonoe	3	0	2013-06-18 07:28:04.425978+02	\N	\N	\N	\N	\N	\N	f	
9821	13439bc7-7da9-4083-8f1a-19632b8b001a	Saku	Saku	3	0	2013-06-18 03:45:23.183655+02	\N	\N	\N	\N	\N	\N	f	
9862	ae7c1b83-b9e3-4f06-ab62-b075c0d1df3d	Jōyō	Jōyō	3	0	2013-06-18 03:58:49.774092+02	\N	\N	\N	\N	\N	\N	f	
10163	cf0b8b8a-2fcb-4a8f-b2f0-4c3ac51c779f	Ōkawa	Ōkawa	3	0	2013-06-18 14:43:05.414954+02	\N	\N	\N	\N	\N	\N	f	
9958	02633ae7-6c4b-4f6e-94cb-fb7b89988b45	Nakagusuku	Nakagusuku	3	0	2013-06-18 07:31:45.445593+02	\N	\N	\N	\N	\N	\N	f	
10025	cbe84f93-c1b0-470d-9ed5-87a4ab22a8b6	Dazaifu	Dazaifu	3	0	2013-06-18 08:04:18.882611+02	\N	\N	\N	\N	\N	\N	f	
10162	5ed3d386-7c29-430f-a5f5-22e4723109fe	Ōtoyo	Ōtoyo	3	0	2013-06-18 14:42:48.885386+02	\N	\N	\N	\N	\N	\N	f	
10102	5deab414-8a0c-497d-a7be-8a2b98a8aefc	Reihoku	Reihoku	3	0	2013-06-18 14:31:30.317173+02	\N	\N	\N	\N	\N	\N	f	
10121	fe9fe8d0-86e5-497d-8dbc-cf3a9582689b	Kaminoseki	Kaminoseki	3	0	2013-06-18 14:35:06.406968+02	\N	\N	\N	\N	\N	\N	f	
10184	7d3df85b-7d80-439a-8210-6b71620bc34e	Saka	Saka	3	0	2013-06-18 14:47:26.005872+02	\N	\N	\N	\N	\N	\N	f	
10187	5026b652-6725-4553-a0ea-822894d2efdf	Kitajima	Kitajima	3	0	2013-06-18 14:48:03.000678+02	\N	\N	\N	\N	\N	\N	f	
10202	f1e00cf1-4c28-46eb-998d-e80266a05738	Sado	Sado	3	0	2013-06-18 15:06:23.752446+02	\N	\N	\N	\N	\N	\N	f	
10243	e1e24353-4e9a-41e4-af8e-1293cb924d37	Inami	Inami	3	0	2013-06-18 17:19:25.690631+02	\N	\N	\N	\N	\N	\N	f	
10286	8df261b9-b89f-461b-80ea-4624a626b3fa	Ōtaki	Ōtaki	3	0	2013-06-18 17:27:23.856571+02	\N	\N	\N	\N	\N	\N	f	
10290	01a3683e-67fb-4f4f-b277-5c62e349b0ea	Ibigawa	Ibigawa	3	0	2013-06-18 17:28:05.400991+02	\N	\N	\N	\N	\N	\N	f	
10316	084fdd2c-cd12-4807-8063-3e83277eee65	Kunohe	Kunohe	3	0	2013-06-18 17:32:39.081295+02	\N	\N	\N	\N	\N	\N	f	
10292	bea73240-b2d4-4c80-9986-21478ea90fe2	Kawai	Kawai	3	0	2013-06-18 17:28:26.160258+02	\N	\N	\N	\N	\N	\N	f	
4683	69c98518-a65b-421c-a224-be669c31249e	Pordenone	Pordenone	2	0	2013-05-22 14:43:16.42797+02	\N	\N	\N	\N	\N	\N	f	
4821	e9f5b419-49e5-4fdf-88ae-7b6fbba8de5c	Gaafu Alifu	Gaafu Alifu	2	0	2013-05-22 15:23:25.63544+02	\N	\N	\N	\N	\N	\N	f	
5212	6ccc62d1-bdd8-4f08-8fae-bfaa5310e5ef	Vancouver	Vancouver	3	0	2013-05-24 22:49:55.618072+02	\N	\N	\N	\N	\N	\N	f	
4962	0febe846-5d0b-4dfc-bf5d-a241c18123af	Severnobački okrug	Severnobački okrug	2	0	2013-05-22 15:58:59.467478+02	\N	\N	\N	\N	\N	\N	f	
5050	d0fe844a-9451-4478-8b01-cd782f434f45	Ibanda	Ibanda	2	0	2013-05-22 16:15:53.625988+02	\N	\N	\N	\N	\N	\N	f	
5376	59ef44b5-2dc5-4a75-afa9-d238964eeeff	Czestochowa	Czestochowa	3	0	2013-05-24 23:22:45.905232+02	\N	\N	\N	\N	\N	\N	f	
5854	49d7ed5a-a3a5-4f96-a55b-7a4078ae2069	Sterling	Sterling	3	0	2013-05-25 01:05:52.399409+02	\N	\N	\N	\N	\N	\N	f	
5531	e3313fe1-7241-4d65-99a0-22c54771c48b	Kōchi	Kōchi	3	0	2013-05-24 23:57:08.833436+02	\N	\N	\N	\N	\N	\N	f	
5627	ff4f1450-6f25-466a-b057-cb8f244bd8b7	Sanandaj	Sanandaj	3	0	2013-05-25 00:17:54.60113+02	\N	\N	\N	\N	\N	\N	f	
5868	203772ad-c539-4a64-9b47-9354a13a0eee	Shahrud	Shahrud	3	0	2013-05-25 01:08:41.613803+02	\N	\N	\N	\N	\N	\N	f	
6530	42935dd0-d80b-40c9-a000-3286895d7b87	Farsan	Farsan	3	0	2013-05-25 03:27:29.369745+02	\N	\N	\N	\N	\N	\N	f	
5922	5c90b866-1681-4ac4-8cd9-7bc0d33ff764	Abhar	Abhar	3	0	2013-05-25 01:18:34.866511+02	\N	\N	\N	\N	\N	\N	f	
5926	ce2148a4-5644-42a2-acd3-685720a73e35	Masjed Soleyman	Masjed Soleyman	3	0	2013-05-25 01:19:15.219971+02	\N	\N	\N	\N	\N	\N	f	
8693	e7c3cff3-ef7c-445f-8477-4c9b7c74703f	Clay Township, Spencer County, Indiana	Clay Township, Spencer County, Indiana	3	0	2013-06-01 18:19:03.102756+02	\N	\N	\N	\N	\N	\N	f	
5934	e86ab0ae-7c91-4e23-b680-bdf775377dd7	Varavi	Varavi	3	0	2013-05-25 01:21:44.197219+02	\N	\N	\N	\N	\N	\N	f	
6539	f0b6fe34-6151-4416-a0d5-04c832b762b3	Bandar Khamir	Bandar Khamir	3	0	2013-05-25 03:29:27.953642+02	\N	\N	\N	\N	\N	\N	f	
6077	e8ff1e40-2927-4830-aee5-936dfbaa9811	Aurora	Aurora	3	0	2013-05-25 01:47:51.785857+02	\N	\N	\N	\N	\N	\N	f	
6086	a5c1bb0a-cf66-4971-a326-a5d52b410200	Voorburg	Voorburg	3	0	2013-05-25 01:50:19.288611+02	\N	\N	\N	\N	\N	\N	f	
7179	7a3318e9-63f3-4616-9e7a-98389f8f5ad9	Gąbin	Gąbin	3	0	2013-05-26 17:12:14.430986+02	\N	\N	\N	\N	\N	\N	f	
6313	3c583375-304b-4d4f-8e67-8f2ff57a8260	DeWitt	DeWitt	3	0	2013-05-25 02:36:15.62635+02	\N	\N	\N	\N	\N	\N	f	
6555	de9c0725-49d5-44d1-89ea-089e8c7cb73d	Buin va Miandasht	Buin va Miandasht	3	0	2013-05-25 03:32:13.680565+02	\N	\N	\N	\N	\N	\N	f	
6634	42f378f3-b25f-4d90-be3a-d41e20a19995	Marvast	Marvast	3	0	2013-05-25 03:47:17.879269+02	\N	\N	\N	\N	\N	\N	f	
7438	cc7a72af-0836-47cc-aa2a-400d748afe83	Seminole	Seminole	3	0	2013-05-28 14:37:03.7784+02	\N	\N	\N	\N	\N	\N	f	
6787	2cca7877-0b17-4b4d-baf2-3ce03d3d6447	Satar	Satar	3	0	2013-05-25 04:16:20.725782+02	\N	\N	\N	\N	\N	\N	f	
6807	d322bb37-3036-4036-b16b-b304cf27178b	Ahel	Ahel	3	0	2013-05-25 04:19:51.299923+02	\N	\N	\N	\N	\N	\N	f	
9357	093315f1-2845-44f7-b8f9-16bdce6c82f1	Keila	Keila	3	0	2013-06-04 22:06:47.330972+02	\N	\N	\N	\N	\N	\N	f	
6816	cb4aa165-61fc-4e79-91aa-6d8b3e4db841	Sarmast	Sarmast	3	0	2013-05-25 04:21:23.854991+02	\N	\N	\N	\N	\N	\N	f	
7557	cedf0065-215d-42a0-bc54-da5d1a011525	Schwalmstadt	Schwalmstadt	3	0	2013-05-29 00:45:43.681994+02	\N	\N	\N	\N	\N	\N	f	
6844	42cff58d-d073-488b-84ff-07efd21d8632	Ferdowsieh	Ferdowsieh	3	0	2013-05-25 04:26:15.082523+02	\N	\N	\N	\N	\N	\N	f	
6847	fc70fa38-4daf-4b11-b5a8-6604c5b6e2ae	Aluni	Aluni	3	0	2013-05-25 04:26:47.538448+02	\N	\N	\N	\N	\N	\N	f	
8808	a68dd605-e77b-44bf-b696-5ebbbfc1ecd7	Międzybórz	Międzybórz	3	0	2013-06-01 19:30:47.343913+02	\N	\N	\N	\N	\N	\N	f	
6850	23155730-1fb0-4f3e-a3aa-db6e37b2b6ae	Tang-e Eram	Tang-e Eram	3	0	2013-05-25 04:27:21.231585+02	\N	\N	\N	\N	\N	\N	f	
7838	a6a257c6-9a2e-451c-90ec-2c20a7efa25a	Brunswick	Brunswick	3	0	2013-05-29 02:45:00.77928+02	\N	\N	\N	\N	\N	\N	f	
6858	508fa187-bbbc-456f-9bc1-6e4b3627e696	Bezenjan	Bezenjan	3	0	2013-05-25 04:28:45.083584+02	\N	\N	\N	\N	\N	\N	f	
6860	6bdc3316-2f3d-4220-93e0-cf5c24cf7575	Chitab	Chitab	3	0	2013-05-25 04:29:05.872599+02	\N	\N	\N	\N	\N	\N	f	
6919	0b607f72-21b7-4982-ad3f-c854ec005d8a	Lahrud	Lahrud	3	0	2013-05-25 04:41:21.512779+02	\N	\N	\N	\N	\N	\N	f	
7889	2e0ae14b-b215-45f5-9c32-a880ff371f1f	Clovis	Clovis	3	0	2013-05-29 02:59:38.711421+02	\N	\N	\N	\N	\N	\N	f	
7006	53825d94-2622-4871-af94-92a2f5382a40	Koronowo	Koronowo	3	0	2013-05-25 14:25:51.068459+02	\N	\N	\N	\N	\N	\N	f	
7895	1243cb13-2fd3-4bc9-b72b-3b6b9d580904	Plymouth	Plymouth	3	0	2013-05-29 03:01:31.700472+02	\N	\N	\N	\N	\N	\N	f	
8943	419c17dc-d5d2-4576-9417-0ffef5e8a617	Tongling	Tongling	3	0	2013-06-01 20:07:04.544336+02	\N	\N	\N	\N	\N	\N	f	
8049	d0772c94-8b33-46e8-bb0c-13edc77865a5	Leigh-on-Sea	Leigh-on-Sea	3	0	2013-05-30 18:34:52.32053+02	\N	\N	\N	\N	\N	\N	f	
8172	5ece8ed9-c921-488d-842b-d4a7b6a8b6ab	Southminster	Southminster	3	0	2013-05-30 21:09:49.346053+02	\N	\N	\N	\N	\N	\N	f	
8194	3ff0c1ab-6e9a-45bd-8b26-ea188c37da3d	Milford	Milford	3	0	2013-05-30 21:14:26.705671+02	\N	\N	\N	\N	\N	\N	f	
9056	5404730c-68c2-46b2-90d7-792c1ed19232	Suqian	Suqian	3	0	2013-06-01 20:31:03.481533+02	\N	\N	\N	\N	\N	\N	f	
8343	22f8de48-78c3-4c2b-b686-e4b3a0671c98	Panagyurishte	Panagyurishte	3	0	2013-05-30 21:49:44.612561+02	\N	\N	\N	\N	\N	\N	f	
8534	bbc25299-7c61-4bf0-acbf-c46ff920dd08	Yass, New South Wales	Yass, New South Wales	3	0	2013-06-01 17:34:30.184748+02	\N	\N	\N	\N	\N	\N	f	
9360	3be36b22-d5d3-489a-a4dc-9a43bb78d4dd	Ballyragget	Ballyragget	3	0	2013-06-04 22:07:46.443651+02	\N	\N	\N	\N	\N	\N	f	
8651	40ac3913-6532-4c00-a1a5-ced771bd2bcf	Brandon	Brandon	3	0	2013-06-01 18:05:04.947938+02	\N	\N	\N	\N	\N	\N	f	
9092	bb70213a-6e4f-4262-a3bc-11d96a22e721	Shaoguan	Shaoguan	3	0	2013-06-01 20:37:49.840386+02	\N	\N	\N	\N	\N	\N	f	
9577	0a1e0f70-2f24-4e23-8c50-96acfc667e62	Henryetta	Henryetta	3	0	2013-06-11 04:53:02.895516+02	\N	\N	\N	\N	\N	\N	f	
9211	deb653a8-035b-4d14-96b1-22f1d7148af8	Charette	Charette	3	0	2013-06-01 22:37:01.121978+02	\N	\N	\N	\N	\N	\N	f	
9447	5f8cd3ef-dc79-48ea-bff2-cd5c92c55e44	Kheralu	Kheralu	3	0	2013-06-09 17:42:13.564384+02	\N	\N	\N	\N	\N	\N	f	
9245	ecee96be-7f81-435f-876f-f020298a170e	Kobyłka	Kobyłka	3	0	2013-06-02 01:29:27.354431+02	\N	\N	\N	\N	\N	\N	f	
9291	96bf4a16-9182-474b-9346-29d1e8bed77d	Esprit-Saint	Esprit-Saint	3	0	2013-06-02 16:51:10.900782+02	\N	\N	\N	\N	\N	\N	f	
2646	cb854abe-89cd-44ad-90e9-989785d22aec	Attapu [Attopeu]	Attapu [Attopeu]	2	0	2013-06-05 09:56:50.733518+02	\N	\N	\N	\N	\N	\N	f	
9531	dbfaa00f-ca86-4ece-984a-795f51dd9518	Bhachau	Bhachau	3	0	2013-06-09 18:09:22.290646+02	\N	\N	\N	\N	\N	\N	f	
4512	e8f4ed97-92ba-4038-973b-d297345f6088	Arta	Arta	2	0	2013-06-05 10:50:32.852565+02	\N	\N	\N	\N	\N	\N	f	
9408	9a2250d8-98e7-4680-a707-4ae223dd3e1a	Naila	Naila	3	0	2013-06-09 03:31:20.607221+02	\N	\N	\N	\N	\N	\N	f	
1547	6ef01921-fb0e-4182-b0b8-4956363a573a	Chiriquí	Chiriquí	2	0	2013-06-05 07:00:59.189522+02	\N	\N	\N	\N	\N	\N	f	
9566	57558b31-13e0-421a-bc57-7590976f8ce6	Müllheim	Müllheim	3	0	2013-06-10 20:26:05.446111+02	\N	\N	\N	\N	\N	\N	f	
9764	74ab5050-343a-4b51-a7b7-c49b3121a46c	Higashine	Higashine	3	0	2013-06-18 01:14:17.839888+02	\N	\N	\N	\N	\N	\N	f	
9597	78989845-e609-4032-9889-e61738c1a0ff	Porvoo	Porvoo	3	0	2013-06-12 07:28:57.96261+02	\N	\N	\N	\N	\N	\N	f	
9424	ae0167c1-0c94-4db2-be7f-e187f925695c	Dhandhuka	Dhandhuka	3	0	2013-06-09 17:29:49.653881+02	\N	\N	\N	\N	\N	\N	f	
9611	c863200c-d71c-4cfe-bbd8-c6dfddd4e47a	Rutesheim	Rutesheim	3	0	2013-06-12 07:43:32.752599+02	\N	\N	\N	\N	\N	\N	f	
9808	2908b76d-4871-49fc-bb41-fe13645244c5	Daitō	Daitō	3	0	2013-06-18 03:40:58.633016+02	\N	\N	\N	\N	\N	\N	f	
9767	53b68f6b-b47d-4951-a5f5-e0db3ec7e125	Hitachiōta	Hitachiōta	3	0	2013-06-18 01:15:11.64902+02	\N	\N	\N	\N	\N	\N	f	
9906	cdf4a091-764b-4c95-b664-f3ff90f2c2b5	Minokamo	Minokamo	3	0	2013-06-18 04:08:21.643523+02	\N	\N	\N	\N	\N	\N	f	
9940	b612585c-6a12-46d1-a946-e2960829696b	Ubuyama	Ubuyama	3	0	2013-06-18 07:28:27.517995+02	\N	\N	\N	\N	\N	\N	f	
10022	fa5d3da5-6e7a-4c4d-a88a-a216217f03ba	Izumi	Izumi	3	0	2013-06-18 08:03:28.171214+02	\N	\N	\N	\N	\N	\N	f	
10103	3f4f79f2-f6ba-4eec-8a19-fdb5d9aa6450	Hidaka	Hidaka	3	0	2013-06-18 14:31:40.83605+02	\N	\N	\N	\N	\N	\N	f	
10120	4d075410-f7d5-4d7e-8bc2-6614b8e708d9	Tōyō	Tōyō	3	0	2013-06-18 14:34:55.999147+02	\N	\N	\N	\N	\N	\N	f	
10127	55a2be38-4b74-4643-927d-53e18e311265	Tano	Tano	3	0	2013-06-18 14:35:57.916094+02	\N	\N	\N	\N	\N	\N	f	
10160	45e1ef04-768e-46a6-b3f1-771a091290ba	Genkai	Genkai	3	0	2013-06-18 14:42:09.410514+02	\N	\N	\N	\N	\N	\N	f	
10185	b34e59ae-a53c-4be4-bf06-59d5f500fc1c	Masaki	Masaki	3	0	2013-06-18 14:47:36.327158+02	\N	\N	\N	\N	\N	\N	f	
15516	a4cef82b-6321-4d3d-bf83-295261e84c87	Grignasco	Grignasco	4	0	2013-07-22 01:02:28.344171+02	\N	\N	\N	\N	\N	\N	f	
10245	4b46389a-4d89-4941-9dd3-5aeb8466d4b7	Sayō	Sayō	3	0	2013-06-18 17:19:53.830104+02	\N	\N	\N	\N	\N	\N	f	
4513	367342b4-72d6-4484-9dff-ac9b8ce0b718	Thesprotia	Thesprotia	2	0	2013-05-22 13:54:58.444021+02	\N	\N	\N	\N	\N	\N	f	
4517	07a55ad1-e79c-44c3-bcba-7a930dcd38f7	Larisa	Larisa	2	0	2013-05-22 13:55:57.128971+02	\N	\N	\N	\N	\N	\N	f	
4684	3ab0e256-f56d-4654-8363-575cd65f011e	Prato	Prato	2	0	2013-05-22 14:43:36.391634+02	\N	\N	\N	\N	\N	\N	f	
4703	f3210774-9df5-4b3a-92d1-aa87b798fa6f	Sassari	Sassari	2	0	2013-05-22 14:49:11.319596+02	\N	\N	\N	\N	\N	\N	f	
5215	f353ba6a-10b3-4023-bd45-23ccd8576691	Augusta	Augusta	3	0	2013-05-24 22:50:36.546695+02	\N	\N	\N	\N	\N	\N	f	
4751	c346f36a-948c-4c96-a845-57af094be4bf	Ratnapura	Ratnapura	2	0	2013-05-22 15:02:21.106085+02	\N	\N	\N	\N	\N	\N	f	
4770	edad7705-fe6d-4a0e-97cf-98e9b28cabba	Marrakech-Menara	Marrakech-Menara	2	0	2013-05-22 15:07:52.076373+02	\N	\N	\N	\N	\N	\N	f	
4822	2466f978-69e7-4170-8e3d-98c0b6a75b34	Gaafu Dhaalu	Gaafu Dhaalu	2	0	2013-05-22 15:23:44.261479+02	\N	\N	\N	\N	\N	\N	f	
5377	10fa09c2-ef8f-4118-a067-056aa7f142b3	Wieluń	Wieluń	3	0	2013-05-24 23:22:57.196341+02	\N	\N	\N	\N	\N	\N	f	
4963	2f1daf87-dc18-4f29-9bb4-b0d2f85c2456	Srednjebanatski okrug	Srednjebanatski okrug	2	0	2013-05-22 15:59:10.229163+02	\N	\N	\N	\N	\N	\N	f	
4966	a45ac708-97a6-4512-8c4b-6e6e59e8d909	Zapadnobački okrug	Zapadnobački okrug	2	0	2013-05-22 15:59:42.73352+02	\N	\N	\N	\N	\N	\N	f	
5855	ec7695f2-c16b-43a6-bcd4-dfcf7991fb46	Ardakan	Ardakan	3	0	2013-05-25 01:06:08.115878+02	\N	\N	\N	\N	\N	\N	f	
5532	13aa135b-3844-49fc-9a6b-79142573fca8	Jastrowie	Jastrowie	3	0	2013-05-24 23:57:31.987334+02	\N	\N	\N	\N	\N	\N	f	
6078	c585091c-4880-41cb-8e76-ee5423600c85	Yamagata	Yamagata	3	0	2013-05-25 01:48:02.723666+02	\N	\N	\N	\N	\N	\N	f	
9212	754ce1e2-f203-4b34-b3b1-8766705d007f	Sainte-Croix	Sainte-Croix	3	0	2013-06-01 22:38:25.344137+02	\N	\N	\N	\N	\N	\N	f	
6315	e337cee3-3939-4aae-b836-a38a5f250e73	Tsushima	Tsushima	3	0	2013-05-25 02:36:44.121136+02	\N	\N	\N	\N	\N	\N	f	
7180	910e5dce-0a2f-4011-a0d8-c01a967cd336	Pyzdry	Pyzdry	3	0	2013-05-26 17:12:30.086844+02	\N	\N	\N	\N	\N	\N	f	
8810	a8f8bfda-45a7-428f-a6b4-9ec09a1c881d	Strumień	Strumień	3	0	2013-06-01 19:31:20.195658+02	\N	\N	\N	\N	\N	\N	f	
6532	78ccab57-6af1-41d2-a6b5-874fa2cb7c9b	Lipsko	Lipsko	3	0	2013-05-25 03:27:56.157008+02	\N	\N	\N	\N	\N	\N	f	
7439	53c0791a-f68f-462d-8bae-79603005915d	Yarmouth	Yarmouth	3	0	2013-05-28 14:38:01.268453+02	\N	\N	\N	\N	\N	\N	f	
6789	04b8e4fe-339e-4cae-a018-3e653194376c	Ahmadsargurab	Ahmadsargurab	3	0	2013-05-25 04:16:41.24639+02	\N	\N	\N	\N	\N	\N	f	
6808	4dcc9f0e-9c32-4911-a646-2ea7bfa2ac00	Sankhvast	Sankhvast	3	0	2013-05-25 04:20:01.634828+02	\N	\N	\N	\N	\N	\N	f	
6877	618832e3-89e0-4b7d-acc3-6195698ff110	Shonbeh	Shonbeh	3	0	2013-05-25 04:32:12.12974+02	\N	\N	\N	\N	\N	\N	f	
7559	0d443ce6-485c-4c87-8655-6095dd3dac1b	Michelstadt	Michelstadt	3	0	2013-05-29 00:46:06.303731+02	\N	\N	\N	\N	\N	\N	f	
7007	0f219749-f187-4528-ba74-d89d41ec995f	Skępe	Skępe	3	0	2013-05-25 14:26:02.791217+02	\N	\N	\N	\N	\N	\N	f	
6326	01079e84-092a-4bfd-a9d9-178d60089b9d	Plattsburgh	Plattsburgh	3	0	2013-05-26 14:06:49.482901+02	\N	\N	\N	\N	\N	\N	f	
7839	598f38e3-be29-4cab-a74e-84ba58f2fb82	Van Alstyne	Van Alstyne	3	0	2013-05-29 02:45:20.524669+02	\N	\N	\N	\N	\N	\N	f	
8811	87254056-ef2a-452e-968d-822a30915710	Korfantów	Korfantów	3	0	2013-06-01 19:31:31.376545+02	\N	\N	\N	\N	\N	\N	f	
7857	7a60eac0-8843-4551-887d-316f994369f4	Fairview	Fairview	3	0	2013-05-29 02:50:23.653015+02	\N	\N	\N	\N	\N	\N	f	
8050	9d400b74-0429-48a6-9948-1cde869a8b07	Port Rexton	Port Rexton	3	0	2013-05-30 18:35:02.67363+02	\N	\N	\N	\N	\N	\N	f	
9578	86e4ba53-0ca2-490e-b551-54b2f952399d	Wildberg	Wildberg	3	0	2013-06-11 04:55:25.337305+02	\N	\N	\N	\N	\N	\N	f	
8173	497f1c8c-e662-4353-b822-009d1d28a656	Aalborg	Aalborg	3	0	2013-05-30 21:09:59.761692+02	\N	\N	\N	\N	\N	\N	f	
8812	1ae0e5d0-a286-4b0d-b57d-6e9aca4eaba7	Borek Wielkopolski	Borek Wielkopolski	3	0	2013-06-01 19:31:46.089476+02	\N	\N	\N	\N	\N	\N	f	
8192	049f34c5-fb63-469c-968a-25db05c22eb0	Holland	Holland	3	0	2013-05-30 21:14:08.338299+02	\N	\N	\N	\N	\N	\N	f	
8235	9d469438-97c3-4316-bbfa-93232ef601bb	Warracknabeal	Warracknabeal	3	0	2013-05-30 21:24:18.917883+02	\N	\N	\N	\N	\N	\N	f	
9247	e6c8b34c-56fe-4676-8857-14dbb5c9bd03	Kowal	Kowal	3	0	2013-06-02 01:33:13.760839+02	\N	\N	\N	\N	\N	\N	f	
8354	4ce44f0b-bf74-47c3-8fcc-f92a97d4db51	Haymana	Haymana	3	0	2013-05-30 21:52:13.355709+02	\N	\N	\N	\N	\N	\N	f	
8813	a1af6683-027b-4438-ab04-c594f2e8a6eb	Lubień Kujawski	Lubień Kujawski	3	0	2013-06-01 19:32:00.168213+02	\N	\N	\N	\N	\N	\N	f	
8535	3a7c0687-e55d-4b80-907b-3740960b4bf3	Drummondville	Drummondville	3	0	2013-06-01 17:34:50.383949+02	\N	\N	\N	\N	\N	\N	f	
8540	10b43da3-3867-4591-98cc-2d707a34814d	Richmond	Richmond	3	0	2013-06-01 17:35:57.215218+02	\N	\N	\N	\N	\N	\N	f	
8546	0fb99f56-bc90-4644-96da-4a0aff762a39	Katoomba, New South Wales	Katoomba, New South Wales	3	0	2013-06-01 17:37:42.856153+02	\N	\N	\N	\N	\N	\N	f	
8814	a8c080e8-516e-4646-accd-ed91ac7ca4a4	Chociwel	Chociwel	3	0	2013-06-01 19:32:30.369989+02	\N	\N	\N	\N	\N	\N	f	
8694	b514f241-34c6-40ab-b2a4-0a90e1a0a265	Murgon	Murgon	3	0	2013-06-01 18:19:20.50741+02	\N	\N	\N	\N	\N	\N	f	
8790	cceccf6e-c7e2-468f-b332-b5f0f9716943	Maszewo	Maszewo	3	0	2013-06-01 18:46:53.583324+02	\N	\N	\N	\N	\N	\N	f	
9425	f240f53f-2e5b-415d-acec-74ea9eaa1be1	Dholka City	Dholka City	3	0	2013-06-09 17:30:00.479731+02	\N	\N	\N	\N	\N	\N	f	
8809	c0da0d43-c14a-4d86-81d7-daad52353123	Kolonowskie	Kolonowskie	3	0	2013-06-01 19:31:08.801599+02	\N	\N	\N	\N	\N	\N	f	
8815	bbb04de9-d8d8-4668-93c9-27c4af4017e0	Miłosław	Miłosław	3	0	2013-06-01 19:32:50.224877+02	\N	\N	\N	\N	\N	\N	f	
9292	fc1fab83-f029-45f4-bd0c-b6a916c23c4b	La Bostonnais, Quebec	La Bostonnais, Quebec	3	0	2013-06-02 16:51:40.327874+02	\N	\N	\N	\N	\N	\N	f	
8816	841e8ee0-1e2e-492b-9d81-feecfded85a6	Stronie Śląskie	Stronie Śląskie	3	0	2013-06-01 19:33:01.429529+02	\N	\N	\N	\N	\N	\N	f	
8888	afc7c184-1206-4ba8-b5b1-370a856ac776	Xiangtan	Xiangtan	3	0	2013-06-01 19:51:58.7133+02	\N	\N	\N	\N	\N	\N	f	
8944	0afd8b28-59fa-45f0-b862-393070aa17c3	Wuhu	Wuhu	3	0	2013-06-01 20:07:14.701076+02	\N	\N	\N	\N	\N	\N	f	
9358	07bd7bf5-48c2-4d46-9f2c-5a594695a2b9	Sillamäe	Sillamäe	3	0	2013-06-04 22:07:04.717779+02	\N	\N	\N	\N	\N	\N	f	
9057	bef57bda-bb61-4837-886f-cdd9826aeb49	Yancheng	Yancheng	3	0	2013-06-01 20:31:16.988336+02	\N	\N	\N	\N	\N	\N	f	
9454	950f8c7f-b6e7-4ffd-9f1c-62cd06f8e094	Kapadvanj	Kapadvanj	3	0	2013-06-09 17:43:58.086129+02	\N	\N	\N	\N	\N	\N	f	
9532	5a87ecc0-174c-4df2-b21f-caa3d6133340	Tankara	Tankara	3	0	2013-06-09 18:09:40.01885+02	\N	\N	\N	\N	\N	\N	f	
1231	bc440617-cf5c-4d32-a294-eb39774b2ed8	Camagüey	Camagüey	2	0	2013-06-05 10:04:23.209565+02	\N	\N	\N	\N	\N	\N	f	
9598	4479c385-74d8-4a2b-bdab-f48d1e6969ba	Hämeenlinna	Hämeenlinna	3	0	2013-06-12 07:29:58.335143+02	\N	\N	\N	\N	\N	\N	f	
1559	f7223001-8483-42cf-8cdb-a275396760f9	Cuscatlán	Cuscatlán	2	0	2013-06-05 07:01:18.575246+02	\N	\N	\N	\N	\N	\N	f	
9567	dbf07992-f2cb-4189-93a5-b05bc3b69ba1	Bad Teinach-Zavelstein	Bad Teinach-Zavelstein	3	0	2013-06-10 20:26:19.529359+02	\N	\N	\N	\N	\N	\N	f	
9409	cd26db0a-5e9a-47f0-a717-64e5a8008a48	Heilbronn	Heilbronn	3	0	2013-06-09 03:35:00.957061+02	\N	\N	\N	\N	\N	\N	f	
9766	31b9bd47-651f-47f3-aabc-b95dc79af16c	Kitaibaraki	Kitaibaraki	3	0	2013-06-18 01:14:58.872993+02	\N	\N	\N	\N	\N	\N	f	
9613	f0dc98e1-5890-43b1-a823-50b97002bb1a	Raseborg	Raseborg	3	0	2013-06-12 07:46:00.586458+02	\N	\N	\N	\N	\N	\N	f	
9813	eb5b88eb-dcf8-4b36-8e2a-afad5ab75d73	Akō	Akō	3	0	2013-06-18 03:42:31.923133+02	\N	\N	\N	\N	\N	\N	f	
9809	936a52bd-0e43-4aa9-a98f-a7a98280e6cb	Ōmachi	Ōmachi	3	0	2013-06-18 03:41:08.931444+02	\N	\N	\N	\N	\N	\N	f	
9890	a20c872a-8773-44ba-b5ab-691ccfe64160	Sanda	Sanda	3	0	2013-06-18 04:05:26.790656+02	\N	\N	\N	\N	\N	\N	f	
9889	9ed0317b-9a9f-4c0f-bd7f-2eb2bc6347c9	Mukō	Mukō	3	0	2013-06-18 04:05:14.275709+02	\N	\N	\N	\N	\N	\N	f	
9941	46269108-d8ef-45c0-9ae0-fe8085257222	Kusu	Kusu	3	0	2013-06-18 07:28:37.931801+02	\N	\N	\N	\N	\N	\N	f	
9944	5f30b7b5-45bd-45fa-90e7-0dad8df780f7	Higashikushira	Higashikushira	3	0	2013-06-18 07:29:14.701021+02	\N	\N	\N	\N	\N	\N	f	
10023	ccd0dde9-a1db-415b-a857-4733c0137e3a	Mishima	Mishima	3	0	2013-06-18 08:03:38.450305+02	\N	\N	\N	\N	\N	\N	f	
10104	e3bec77d-86ec-4b70-87c4-79fb3d8ced03	Taragi	Taragi	3	0	2013-06-18 14:31:53.660052+02	\N	\N	\N	\N	\N	\N	f	
10107	7b151203-d07b-452a-b9d8-ff81377a9281	Kuma	Kuma	3	0	2013-06-18 14:32:24.957888+02	\N	\N	\N	\N	\N	\N	f	
10186	83ffefe5-3ff1-4254-bc30-1fefce9d47c7	Tobe	Tobe	3	0	2013-06-18 14:47:46.665973+02	\N	\N	\N	\N	\N	\N	f	
13819	90a2df60-fdaf-4555-b51d-5289775894c1	Castrezzato	Castrezzato	4	0	2013-07-21 19:19:41.946205+02	\N	\N	\N	\N	\N	\N	f	
10246	eeb6fad5-e8d1-43f1-99bd-404e6e86d415	Nosegawa	Nosegawa	3	0	2013-06-18 17:20:11.571931+02	\N	\N	\N	\N	\N	\N	f	
17312	dcde24ea-866b-4052-9a0b-19b04ed84521	Villanova Monteleone	Villanova Monteleone	4	0	2013-07-22 06:11:39.748298+02	\N	\N	\N	\N	\N	\N	f	
4514	c7a510f4-49a4-4bfa-9a65-50591108d293	Ioannina	Ioannina	2	0	2013-05-22 13:55:16.649498+02	\N	\N	\N	\N	\N	\N	f	
4685	bda9922b-95c6-4314-906a-24d45048ace5	Parma	Parma	2	0	2013-05-22 14:43:53.157661+02	\N	\N	\N	\N	\N	\N	f	
4823	664b9bed-de57-46f1-ac4c-d31d565967b3	Gnaviyani	Gnaviyani	2	0	2013-05-22 15:24:01.838611+02	\N	\N	\N	\N	\N	\N	f	
5217	a27ad636-0a28-43ee-a9fd-4dc4ec1c23e5	Annapolis	Annapolis	3	0	2013-05-24 22:50:58.182451+02	\N	\N	\N	\N	\N	\N	f	
4964	2e2356c0-b8d9-4c27-868f-91104ca07b6f	Severnobanatski okrug	Severnobanatski okrug	2	0	2013-05-22 15:59:20.851978+02	\N	\N	\N	\N	\N	\N	f	
5227	34f02dc4-3173-4c68-86d1-c82504759342	City of Baton Rouge, Louisiana	City of Baton Rouge, Louisiana	3	0	2013-05-24 22:52:46.71619+02	\N	\N	\N	\N	\N	\N	f	
5856	f7c77bb5-5487-4933-b2d2-ec4469a5d0ca	Virginia	Virginia	3	0	2013-05-25 01:06:18.692241+02	\N	\N	\N	\N	\N	\N	f	
5378	f9e80410-30e9-4651-9d02-c916d1547163	Radom	Radom	3	0	2013-05-24 23:23:07.673901+02	\N	\N	\N	\N	\N	\N	f	
5426	789133f9-5489-408f-b384-048325ddd7e5	Dąbrowa Górnicza	Dąbrowa Górnicza	3	0	2013-05-24 23:31:44.948674+02	\N	\N	\N	\N	\N	\N	f	
5534	8611a407-8b03-4ef0-b6c3-9253fdf4c83c	Morioka	Morioka	3	0	2013-05-24 23:57:58.166214+02	\N	\N	\N	\N	\N	\N	f	
6079	0fe61456-d779-45e4-b8e4-4758561bfd51	Guthrie	Guthrie	3	0	2013-05-25 01:48:16.301722+02	\N	\N	\N	\N	\N	\N	f	
5632	64fa9e18-8a9c-40e4-9fcd-ba1e9d9ffed5	Kargowa	Kargowa	3	0	2013-05-25 00:18:47.793862+02	\N	\N	\N	\N	\N	\N	f	
8945	c9d73928-8457-4e6a-8383-fce0e64c952b	Ganzhou	Ganzhou	3	0	2013-06-01 20:07:24.826192+02	\N	\N	\N	\N	\N	\N	f	
6316	005d892b-0927-4691-b629-b24cfd1fba3b	Kozienice	Kozienice	3	0	2013-05-25 02:36:58.906177+02	\N	\N	\N	\N	\N	\N	f	
6533	0b6fc807-946f-49f0-9012-c7b76e1a80a4	Canton	Canton	3	0	2013-05-25 03:28:07.449434+02	\N	\N	\N	\N	\N	\N	f	
7184	fe8806cd-4bff-4f55-b3db-1c65c20e0df1	Debrzno	Debrzno	3	0	2013-05-26 17:13:20.206099+02	\N	\N	\N	\N	\N	\N	f	
6606	3c141168-60a7-4b47-aca4-f5d64f1bd5fb	Fanuj	Fanuj	3	0	2013-05-25 03:41:16.22073+02	\N	\N	\N	\N	\N	\N	f	
6656	b5f21019-eac0-4d74-9d59-065edc72868e	Khvorasgan	Khvorasgan	3	0	2013-05-25 03:51:31.208076+02	\N	\N	\N	\N	\N	\N	f	
6662	f3185d64-c19b-40e6-8953-86b5bc34c77a	Naghan	Naghan	3	0	2013-05-25 03:52:32.779432+02	\N	\N	\N	\N	\N	\N	f	
7443	eca3f0d2-8e02-4f12-96d6-08afce3e5310	Southampton	Southampton	3	0	2013-05-28 14:39:42.843648+02	\N	\N	\N	\N	\N	\N	f	
6682	262534fa-eb71-4ae9-a26d-8b47922e3a4b	Banaruiyeh	Banaruiyeh	3	0	2013-05-25 03:56:02.534738+02	\N	\N	\N	\N	\N	\N	f	
6754	0ee8a2a5-ffba-4afa-bde2-4591f8400df3	Raz	Raz	3	0	2013-05-25 04:09:56.824114+02	\N	\N	\N	\N	\N	\N	f	
6791	28264f40-7abd-4d69-89e0-0ec86b24f029	Naqneh	Naqneh	3	0	2013-05-25 04:17:01.749941+02	\N	\N	\N	\N	\N	\N	f	
7561	a4b91f9b-2e8f-4ba7-8cee-a69510436a73	Baunatal	Baunatal	3	0	2013-05-29 00:46:33.739197+02	\N	\N	\N	\N	\N	\N	f	
6830	92035d24-2bde-4a00-8c16-81fe185b3c0b	Aqkand	Aqkand	3	0	2013-05-25 04:23:51.107041+02	\N	\N	\N	\N	\N	\N	f	
7008	450178a6-2e77-4177-b67c-67c3a3564b5f	Anna	Anna	3	0	2013-05-25 14:26:18.5948+02	\N	\N	\N	\N	\N	\N	f	
9058	d6af5c49-7695-45c8-8285-8cd38910de2c	Huai'an	Huai'an	3	0	2013-06-01 20:31:26.928882+02	\N	\N	\N	\N	\N	\N	f	
7840	88bb8317-2e4a-412d-bd4a-48d74096ee2f	Sanford, Florida	Sanford, Florida	3	0	2013-05-29 02:45:39.262524+02	\N	\N	\N	\N	\N	\N	f	
7928	ac216fe8-1b53-49e1-a825-658be5d0489f	Parker	Parker	3	0	2013-05-29 03:11:23.48918+02	\N	\N	\N	\N	\N	\N	f	
9768	56989a26-5556-44fe-a95e-8fdb531f8ed4	Moriya	Moriya	3	0	2013-06-18 01:15:29.439361+02	\N	\N	\N	\N	\N	\N	f	
8051	24d68c80-0d5a-44fe-8def-adafe04c5409	Vevay	Vevay	3	0	2013-05-30 18:35:17.868725+02	\N	\N	\N	\N	\N	\N	f	
9175	2e166032-a8f4-4e99-8a74-5916745a993c	Recz	Recz	3	0	2013-06-01 21:00:09.249424+02	\N	\N	\N	\N	\N	\N	f	
8174	d48cab44-e7db-4449-bcd3-95578136b691	Forbes	Forbes	3	0	2013-05-30 21:10:16.892995+02	\N	\N	\N	\N	\N	\N	f	
8253	213aa297-fde0-4113-b17f-d1a7201149c1	Macedon	Macedon	3	0	2013-05-30 21:29:05.10595+02	\N	\N	\N	\N	\N	\N	f	
9579	c16535bd-85a7-4b2a-899b-d93854cb972c	Regensburg	Regensburg	3	0	2013-06-11 04:56:46.272935+02	\N	\N	\N	\N	\N	\N	f	
8317	8429cf3e-b2b5-437b-8c12-6ccd009958de	Lohmar	Lohmar	3	0	2013-05-30 21:43:40.044424+02	\N	\N	\N	\N	\N	\N	f	
9213	c00e66a7-d75f-4694-862b-343a0bb89783	Saint-Ignace-de-Loyola	Saint-Ignace-de-Loyola	3	0	2013-06-01 22:38:39.179923+02	\N	\N	\N	\N	\N	\N	f	
8352	f4557bf7-5a00-41d8-a1c7-ee90de962f48	Baelo Claudia	Baelo Claudia	3	0	2013-05-30 21:51:48.4704+02	\N	\N	\N	\N	\N	\N	f	
8356	c07b95a5-ced2-40d7-bbe2-aa04e388a2d8	Langdon Hills	Langdon Hills	3	0	2013-05-30 21:52:39.265674+02	\N	\N	\N	\N	\N	\N	f	
8371	6df81079-7615-4d1f-8199-e970c032365c	Pula	Pula	3	0	2013-05-30 21:56:03.498405+02	\N	\N	\N	\N	\N	\N	f	
9214	ea06f579-78ca-4451-ae04-4f1e562c3314	Shannon	Shannon	3	0	2013-06-01 22:39:03.836907+02	\N	\N	\N	\N	\N	\N	f	
8538	ba75177e-b969-444b-8e3f-a6a215513b7b	Montmagny	Montmagny	3	0	2013-06-01 17:35:25.279815+02	\N	\N	\N	\N	\N	\N	f	
8632	431b5b93-610b-4ea6-b89a-17eb72138c10	Deurne	Deurne	3	0	2013-06-01 18:00:14.64073+02	\N	\N	\N	\N	\N	\N	f	
3218	eaec0128-b6d2-4233-a940-e98a37a91b2f	Brazzaville	Brazzaville	2	0	2013-06-05 10:06:03.283954+02	\N	\N	\N	\N	\N	\N	f	
8695	70536d23-70e1-4c61-aed7-3f1fbdb6ddfa	Esk	Esk	3	0	2013-06-01 18:19:42.35026+02	\N	\N	\N	\N	\N	\N	f	
9293	19a385ef-8dc1-4d4f-9c01-22874af8e066	Notre-Dame-des-Sept-Douleurs	Notre-Dame-des-Sept-Douleurs	3	0	2013-06-02 16:52:18.340743+02	\N	\N	\N	\N	\N	\N	f	
8817	7c989e6c-c6dc-48ab-8d09-50ecb7bcf939	Chuzhou	Chuzhou	3	0	2013-06-01 19:33:36.422469+02	\N	\N	\N	\N	\N	\N	f	
9359	a0776c14-83a3-4e04-aa99-ff0bc71da873	Jõhvi	Jõhvi	3	0	2013-06-04 22:07:27.57803+02	\N	\N	\N	\N	\N	\N	f	
9410	157d2f5e-beca-4e7f-8624-033b838d058c	Berlin	Berlin	3	0	2013-06-09 03:37:25.331633+02	\N	\N	\N	\N	\N	\N	f	
9362	2bb7a7fb-658e-44dd-a17c-e9dea7b4d25b	Elva	Elva	3	0	2013-06-04 22:08:19.685606+02	\N	\N	\N	\N	\N	\N	f	
9581	5b677c9d-4056-4f03-9f78-ac62469c95d9	Raisio	Raisio	3	0	2013-06-11 04:58:52.919271+02	\N	\N	\N	\N	\N	\N	f	
9427	7c8c8b4b-2cb4-4ef1-b7d2-594e1587cc2e	Gadhada	Gadhada	3	0	2013-06-09 17:31:48.467789+02	\N	\N	\N	\N	\N	\N	f	
1300	215ae5a7-2dbe-43b9-8ff1-d092921c1765	Baldones novads	Baldones novads	2	0	2013-06-05 07:01:31.557487+02	\N	\N	\N	\N	\N	\N	f	
3094	733fbc41-2ad0-4cfa-b477-ea4232a24864	Aḑ Ḑāli‘	Aḑ Ḑāli‘	2	0	2013-06-05 07:18:30.960103+02	\N	\N	\N	\N	\N	\N	f	
9533	c10b884c-8c72-4547-8119-d45b64a794b9	Kheda	Kheda	3	0	2013-06-09 18:09:51.102387+02	\N	\N	\N	\N	\N	\N	f	
9599	b15889ce-27d5-451d-b32d-f3423610ba8a	Freeport	Freeport	3	0	2013-06-12 07:30:14.65018+02	\N	\N	\N	\N	\N	\N	f	
9534	fa21de96-330e-4178-a666-603976f86f4c	Tari	Tari	3	0	2013-06-09 18:09:58.140019+02	\N	\N	\N	\N	\N	\N	f	
9770	f5761b0f-3722-46a2-9619-76d7940f8ce9	Kasama	Kasama	3	0	2013-06-18 01:15:52.247624+02	\N	\N	\N	\N	\N	\N	f	
9568	251eef00-5a2a-409e-be81-cc49e0182c76	Weil der Stadt	Weil der Stadt	3	0	2013-06-10 20:26:38.340457+02	\N	\N	\N	\N	\N	\N	f	
9614	884b5616-6032-40c1-b8f5-f63248aa8092	Bryan	Bryan	3	0	2013-06-12 07:47:03.912206+02	\N	\N	\N	\N	\N	\N	f	
9956	23c4489b-0a4c-4995-8726-b0d89506da63	Motobu	Motobu	3	0	2013-06-18 07:31:20.737209+02	\N	\N	\N	\N	\N	\N	f	
9952	d20061c4-fd22-4024-b55e-1995a4d85b3a	Mashiki	Mashiki	3	0	2013-06-18 07:30:38.339669+02	\N	\N	\N	\N	\N	\N	f	
9810	1d8f6a45-d1e9-4b5d-bcf2-bdaed2f2df2c	Neyagawa	Neyagawa	3	0	2013-06-18 03:41:26.804229+02	\N	\N	\N	\N	\N	\N	f	
9942	eeff7212-5e6f-4a45-aeac-4c1c5c7bd8c5	Minamioguni	Minamioguni	3	0	2013-06-18 07:28:48.292435+02	\N	\N	\N	\N	\N	\N	f	
10106	c6132d85-7b0d-441a-8192-5ca73ff32ec5	Utazu	Utazu	3	0	2013-06-18 14:32:14.669999+02	\N	\N	\N	\N	\N	\N	f	
10027	f0ddeef6-8fff-493b-a153-71f1b12f5648	Karatsu	Karatsu	3	0	2013-06-18 08:05:09.475571+02	\N	\N	\N	\N	\N	\N	f	
9959	bf1f2b10-8147-46e2-8bf7-e2a4b3182ea0	Tsuno	Tsuno	3	0	2013-06-18 07:31:55.6349+02	\N	\N	\N	\N	\N	\N	f	
10190	da8097c7-3a1b-4050-92c9-d56007dd1a73	Mugi	Mugi	3	0	2013-06-18 14:48:33.588333+02	\N	\N	\N	\N	\N	\N	f	
10207	994b3264-2524-46e8-a89b-3a48896ec7f4	Tsuwano	Tsuwano	3	0	2013-06-18 15:10:19.764028+02	\N	\N	\N	\N	\N	\N	f	
10208	c765fd5c-0e17-4f4f-bd2d-675472f1f8a0	Pompano Beach	Pompano Beach	3	0	2013-06-18 15:10:56.908327+02	\N	\N	\N	\N	\N	\N	f	
10247	4e2f2ea5-3662-434a-992b-504f1d387ffe	Kamikitayama	Kamikitayama	3	0	2013-06-18 17:20:21.79867+02	\N	\N	\N	\N	\N	\N	f	
10269	199a53dc-91bf-4678-a671-fd9b7db53f5e	Tomika	Tomika	3	0	2013-06-18 17:24:17.363039+02	\N	\N	\N	\N	\N	\N	f	
10283	d56ef107-0158-49b1-90ba-386e8f574ac3	Kumiyama	Kumiyama	3	0	2013-06-18 17:26:48.230718+02	\N	\N	\N	\N	\N	\N	f	
10298	5cabd86c-c9d2-4271-9f6f-103247538935	Izumozaki	Izumozaki	3	0	2013-06-18 17:29:28.368243+02	\N	\N	\N	\N	\N	\N	f	
15517	011b1a1c-e94f-4a40-abc7-535f071d5e56	Vacone	Vacone	4	0	2013-07-22 01:02:40.671288+02	\N	\N	\N	\N	\N	\N	f	
16204	340ca0e2-88c5-4c7a-8863-4ce522668ba7	Nasino	Nasino	4	0	2013-07-22 03:05:31.19776+02	\N	\N	\N	\N	\N	\N	f	
4515	f37aa510-07c7-43fe-8861-6ab625d054b3	Preveza	Preveza	2	0	2013-05-22 13:55:28.990535+02	\N	\N	\N	\N	\N	\N	f	
4686	ae1dbf51-ba55-44cd-9722-6835770b3454	Pistoia	Pistoia	2	0	2013-05-22 14:44:15.110664+02	\N	\N	\N	\N	\N	\N	f	
4029	625a5c0f-b14c-468d-8ce2-1fb53e6e9a98	Bulqizë	Bulqizë	2	0	2013-06-05 10:09:09.925446+02	\N	\N	\N	\N	\N	\N	f	
5218	d5630a6e-bdac-42c9-92a1-6c6912af68cd	Hurand	Hurand	3	0	2013-05-24 22:51:09.882994+02	\N	\N	\N	\N	\N	\N	f	
4832	c14f55f0-a890-455a-af25-84048d798dd4	Kasungu	Kasungu	2	0	2013-05-22 15:26:27.276513+02	\N	\N	\N	\N	\N	\N	f	
4859	db39059d-8cbe-44e3-b28c-5e405653e62f	Lumbini	Lumbini	2	0	2013-05-22 15:34:10.254355+02	\N	\N	\N	\N	\N	\N	f	
4862	d2df2624-7e6d-4212-bd35-0b4a97c407b7	Narayani	Narayani	2	0	2013-05-22 15:35:02.257408+02	\N	\N	\N	\N	\N	\N	f	
5381	49c87ee4-eeec-49aa-8cbe-889a1dab485c	Esfeden	Esfeden	3	0	2013-05-24 23:23:38.245677+02	\N	\N	\N	\N	\N	\N	f	
4965	961dc344-5080-4fcc-88d3-fd636f9f92dc	Južnobanatski okrug	Južnobanatski okrug	2	0	2013-05-22 15:59:31.711898+02	\N	\N	\N	\N	\N	\N	f	
5859	424cbc3c-e961-4927-9789-90afe55a3429	Zaboli	Zaboli	3	0	2013-05-25 01:06:58.05367+02	\N	\N	\N	\N	\N	\N	f	
5411	00ea3388-d515-4967-9644-a1d7ad4ea436	Cache County	Cache County	3	0	2013-05-24 23:29:02.851355+02	\N	\N	\N	\N	\N	\N	f	
5536	6447fb89-4843-432f-a53b-cb60b24c42f2	Łobez	Łobez	3	0	2013-05-24 23:58:26.93431+02	\N	\N	\N	\N	\N	\N	f	
5932	a279289e-aca7-4c03-bee7-c4acc90c4adb	Cieszanów	Cieszanów	3	0	2013-05-25 01:21:15.663076+02	\N	\N	\N	\N	\N	\N	f	
6534	1abe0cee-c88c-4719-8604-ac38b0462859	Parczew	Parczew	3	0	2013-05-25 03:28:19.323417+02	\N	\N	\N	\N	\N	\N	f	
5961	7f5f0ede-a1bf-4f65-88fa-b8f8f598210e	Kangavar	Kangavar	3	0	2013-05-25 01:26:54.392523+02	\N	\N	\N	\N	\N	\N	f	
5994	28e962a0-137d-4089-8631-ff25c6dc81f1	Mehran	Mehran	3	0	2013-05-25 01:32:41.952216+02	\N	\N	\N	\N	\N	\N	f	
9123	cdac9269-5005-4094-810f-17372627b501	Huangshi	Huangshi	3	0	2013-06-01 20:44:35.914313+02	\N	\N	\N	\N	\N	\N	f	
6080	42b9deeb-5fcf-4034-b1ed-e27faf3ddb95	Kapurthala	Kapurthala	3	0	2013-05-25 01:48:32.390637+02	\N	\N	\N	\N	\N	\N	f	
7185	2db4ad5e-2a9a-4dfc-9a24-4a496d24c032	Margonin	Margonin	3	0	2013-05-26 17:13:32.862847+02	\N	\N	\N	\N	\N	\N	f	
6317	b7be800b-8cf4-49e5-bd86-7dbda9badab4	Skaryszew	Skaryszew	3	0	2013-05-25 02:37:17.369184+02	\N	\N	\N	\N	\N	\N	f	
6562	dbe61f81-86b5-4c90-916e-04a73985c55e	Nik Shahr	Nik Shahr	3	0	2013-05-25 03:33:28.536579+02	\N	\N	\N	\N	\N	\N	f	
6792	e6c38981-4548-4ad7-b964-00f1056e3b4d	Kalameh	Kalameh	3	0	2013-05-25 04:17:11.995089+02	\N	\N	\N	\N	\N	\N	f	
13820	2a73c9aa-17f3-4726-ae86-50462c64eb91	Cellatica	Cellatica	4	0	2013-07-21 19:19:56.137731+02	\N	\N	\N	\N	\N	\N	f	
7445	58ff222a-2bd2-48b1-8d89-fe62ded5023e	Rossville	Rossville	3	0	2013-05-28 14:40:41.087802+02	\N	\N	\N	\N	\N	\N	f	
6825	63be17a0-f94b-455c-8d9e-9dfc6f174df8	Kolowr	Kolowr	3	0	2013-05-25 04:23:00.209592+02	\N	\N	\N	\N	\N	\N	f	
6875	304ee2be-a034-4f7e-8ace-1ec650b60af3	Nikabad	Nikabad	3	0	2013-05-25 04:31:50.64757+02	\N	\N	\N	\N	\N	\N	f	
6891	9822abd8-8517-46f0-aebd-aea726a412a0	Meymeh	Meymeh	3	0	2013-05-25 04:35:20.800473+02	\N	\N	\N	\N	\N	\N	f	
7562	79dcba2e-845c-4ba8-bf0b-7264fbf068d5	Bad Säckingen	Bad Säckingen	3	0	2013-05-29 00:46:44.228992+02	\N	\N	\N	\N	\N	\N	f	
7009	13480b79-d6ea-48e7-a8ac-88dfd9418fe1	Raciąż	Raciąż	3	0	2013-05-25 14:26:29.528776+02	\N	\N	\N	\N	\N	\N	f	
9136	fa4fc87d-6c4f-4318-a542-fdc2e9643f65	Linfen	Linfen	3	0	2013-06-01 20:47:15.528215+02	\N	\N	\N	\N	\N	\N	f	
7841	a0fc3807-8f5c-4e06-98d7-936d561a2ed4	Bastrop	Bastrop	3	0	2013-05-29 02:45:57.732678+02	\N	\N	\N	\N	\N	\N	f	
8052	a38811b9-2eb5-4a4e-8977-84bc6e8837b4	Taneytown	Taneytown	3	0	2013-05-30 18:35:29.392113+02	\N	\N	\N	\N	\N	\N	f	
9535	6f6701fd-7e54-444c-834b-64cf9d2741e9	Viramgam	Viramgam	3	0	2013-06-09 18:10:24.724438+02	\N	\N	\N	\N	\N	\N	f	
8175	d05f0a2b-2314-490d-99b1-9659d239e393	Steiglitz	Steiglitz	3	0	2013-05-30 21:10:27.225936+02	\N	\N	\N	\N	\N	\N	f	
9152	0804bbbf-1b06-45b1-acf2-bb1feb6a3c86	Biały Bór	Biały Bór	3	0	2013-06-01 20:52:11.94222+02	\N	\N	\N	\N	\N	\N	f	
8360	e555024b-ce6b-488d-b492-66e8a5dce7c8	Göd	Göd	3	0	2013-05-30 21:53:35.181704+02	\N	\N	\N	\N	\N	\N	f	
8544	11dd6516-ecd6-4710-b4bf-1c28b424b82e	Gansbaai	Gansbaai	3	0	2013-06-01 17:37:00.086975+02	\N	\N	\N	\N	\N	\N	f	
8564	4cda6044-bae7-422c-a2b1-3f9b6bb6d4a9	Southampton, Massachusetts	Southampton, Massachusetts	3	0	2013-06-01 17:42:01.642324+02	\N	\N	\N	\N	\N	\N	f	
9216	44cc1b89-189b-464c-b065-23504ee2ee09	Pilica, Silesian Voivodeship	Pilica, Silesian Voivodeship	3	0	2013-06-01 22:43:25.958958+02	\N	\N	\N	\N	\N	\N	f	
8696	898e62b4-f490-4a51-8afe-e718c6b849f7	Fairgrange	Fairgrange	3	0	2013-06-01 18:20:05.799312+02	\N	\N	\N	\N	\N	\N	f	
8785	91e5f04e-affa-4fab-a227-fe02fa89174f	Piechowice	Piechowice	3	0	2013-06-01 18:45:32.007092+02	\N	\N	\N	\N	\N	\N	f	
8818	bf5e8568-96b0-4310-b73d-e4e48f793d2a	Witkowo	Witkowo	3	0	2013-06-01 19:33:47.375115+02	\N	\N	\N	\N	\N	\N	f	
9294	171dc008-1e70-41bc-9eaa-d901c8a4f583	Saint-Célestin	Saint-Célestin	3	0	2013-06-02 16:52:44.158659+02	\N	\N	\N	\N	\N	\N	f	
8946	228d12aa-8f86-4dd5-b4da-701de4137b7f	Bozhou	Bozhou	3	0	2013-06-01 20:07:36.259645+02	\N	\N	\N	\N	\N	\N	f	
9059	3d9dd403-5d8f-4dbc-b1ef-ec1d8df61ba4	Changzhou	Changzhou	3	0	2013-06-01 20:31:41.673075+02	\N	\N	\N	\N	\N	\N	f	
4824	aa20a2ba-c1ff-468e-bd8c-28ac85bb9286	Balaka	Balaka	2	0	2013-06-05 07:38:40.699765+02	\N	\N	\N	\N	\N	\N	f	
9361	65387fff-85b0-48ee-bc17-e6773bd58497	Hjørring	Hjørring	3	0	2013-06-04 22:08:00.004211+02	\N	\N	\N	\N	\N	\N	f	
9569	694c5204-a1f5-4c27-9a6b-a4820618a474	Laupheim	Laupheim	3	0	2013-06-10 20:28:01.245767+02	\N	\N	\N	\N	\N	\N	f	
6793	67819d89-0a6e-4b2f-9f0f-91ca39f95386	Bank	Bank	3	0	2013-06-05 06:46:07.426196+02	\N	\N	\N	\N	\N	\N	f	
1858	b328a7db-f4ee-4be5-9c00-6ebf786b363f	Bjelovarsko-bilogorska županija	Bjelovarsko-bilogorska županija	2	0	2013-06-05 07:56:34.345675+02	\N	\N	\N	\N	\N	\N	f	
9774	576ea718-7328-4afc-8863-61945d20c897	Ushiku	Ushiku	3	0	2013-06-18 01:16:43.353709+02	\N	\N	\N	\N	\N	\N	f	
9580	d61e162d-7cca-4d1b-a93d-75e6b98a148f	Newcastle	Newcastle	3	0	2013-06-11 04:57:27.12955+02	\N	\N	\N	\N	\N	\N	f	
1502	7d3875ff-077a-400b-9050-44231c99fea3	Colima	Colima	2	0	2013-06-05 07:02:16.030935+02	\N	\N	\N	\N	\N	\N	f	
2395	da6424a8-f5c3-47ff-a246-8986763a0fe7	Bryanskaya oblast'	Bryanskaya oblast'	2	0	2013-06-05 10:13:21.819223+02	\N	\N	\N	\N	\N	\N	f	
9600	c9d726ca-76cc-4c1c-9e47-d8ef73d3f64c	Hyvinkää	Hyvinkää	3	0	2013-06-12 07:30:49.460581+02	\N	\N	\N	\N	\N	\N	f	
4893	8f988868-88f3-43a2-a19a-e73ae3a21a0d	Biliran	Biliran	2	0	2013-06-05 12:16:30.492692+02	\N	\N	\N	\N	\N	\N	f	
9896	32e35bf2-4d1e-48a6-aa73-b6cb762fb907	Hannō	Hannō	3	0	2013-06-18 04:06:29.333425+02	\N	\N	\N	\N	\N	\N	f	
9771	4743b86e-b211-40df-a4f2-7fc0de30ec68	Obanazawa	Obanazawa	3	0	2013-06-18 01:16:09.737616+02	\N	\N	\N	\N	\N	\N	f	
9411	e56d9ebe-cada-4cd5-a8e9-3f1c8acf8222	Ladenburg	Ladenburg	3	0	2013-06-09 03:37:45.944815+02	\N	\N	\N	\N	\N	\N	f	
9428	c761541f-6a1a-412a-b0f4-2d32c01de231	Gondal	Gondal	3	0	2013-06-09 17:31:59.048482+02	\N	\N	\N	\N	\N	\N	f	
9811	25da8939-997c-4f7e-b7f0-3553334caf86	Aioi	Aioi	3	0	2013-06-18 03:41:52.522754+02	\N	\N	\N	\N	\N	\N	f	
10090	1eee06a3-6504-4509-b790-64edf361ddb8	Yomitan	Yomitan	3	0	2013-06-18 08:22:32.886243+02	\N	\N	\N	\N	\N	\N	f	
9882	fb9e4e0d-8738-4dd3-a943-a88768107349	Miyazu	Miyazu	3	0	2013-06-18 04:03:52.348631+02	\N	\N	\N	\N	\N	\N	f	
9904	cbe40f8d-7aa6-40ec-b1e0-b5eb8f6aea13	Itoigawa	Itoigawa	3	0	2013-06-18 04:08:00.952901+02	\N	\N	\N	\N	\N	\N	f	
10028	ae55b9f9-3de4-4d04-b265-aa3472e96a4f	Hatsukaichi	Hatsukaichi	3	0	2013-06-18 08:05:22.790896+02	\N	\N	\N	\N	\N	\N	f	
9917	d4325b6a-f9bd-4dee-9d0e-a720700f2c44	Izumiōtsu	Izumiōtsu	3	0	2013-06-18 04:10:40.908531+02	\N	\N	\N	\N	\N	\N	f	
9943	d88f3542-e7ac-4165-8d1f-288ba4d4b5b7	Nakatane	Nakatane	3	0	2013-06-18 07:29:04.237632+02	\N	\N	\N	\N	\N	\N	f	
10108	1bd8fa5c-1038-4ec9-a539-467972109293	Yasuda	Yasuda	3	0	2013-06-18 14:32:35.996876+02	\N	\N	\N	\N	\N	\N	f	
10123	90cc1102-ef3c-44a2-8979-a2d847a08fdb	Onga	Onga	3	0	2013-06-18 14:35:26.898936+02	\N	\N	\N	\N	\N	\N	f	
10189	44464ab9-8619-468e-ad27-c09eaff79310	Kamimine	Kamimine	3	0	2013-06-18 14:48:23.487279+02	\N	\N	\N	\N	\N	\N	f	
15518	17648627-1100-498c-9366-5299ec92fd0d	Momo	Momo	4	0	2013-07-22 01:02:54.155643+02	\N	\N	\N	\N	\N	\N	f	
10200	6ee0b901-6cb9-4ecb-b8c5-24502a12d54d	Ōtō	Ōtō	3	0	2013-06-18 15:03:41.984823+02	\N	\N	\N	\N	\N	\N	f	
10209	1eac4c48-dc1b-4a6b-aec4-0cbc187b5f11	Arita	Arita	3	0	2013-06-18 15:11:08.577186+02	\N	\N	\N	\N	\N	\N	f	
10248	319d4f6d-0d9a-4437-8324-6044b25c1ee8	Urugi	Urugi	3	0	2013-06-18 17:20:32.109919+02	\N	\N	\N	\N	\N	\N	f	
10251	872fb33e-a3ab-48e4-a552-6cd9e31beb20	Shirahama	Shirahama	3	0	2013-06-18 17:21:03.548277+02	\N	\N	\N	\N	\N	\N	f	
4516	754f6c74-1494-4033-8f5b-cf87b20e31b7	Karditsa	Karditsa	2	0	2013-05-22 13:55:41.84027+02	\N	\N	\N	\N	\N	\N	f	
4518	db7b5302-a2ec-4352-b22c-3fe2c77d017d	Magnisia	Magnisia	2	0	2013-05-22 13:56:12.682539+02	\N	\N	\N	\N	\N	\N	f	
4541	004af4d7-9e61-4c72-a468-f4620bef64e1	Irakleio	Irakleio	2	0	2013-05-22 14:02:25.829411+02	\N	\N	\N	\N	\N	\N	f	
4687	d3fdcbbd-0f5d-448c-9c43-10031c8a44d6	Pesaro e Urbino	Pesaro e Urbino	2	0	2013-05-22 14:44:37.755645+02	\N	\N	\N	\N	\N	\N	f	
5222	47019f62-736a-4c6e-8c8f-b3ec0534e068	Jefferson City	Jefferson City	3	0	2013-05-24 22:51:55.646647+02	\N	\N	\N	\N	\N	\N	f	
4967	a3ed2add-2d39-44d7-87d2-2d9085a5779b	Južnobački okrug	Južnobački okrug	2	0	2013-05-22 15:59:53.639162+02	\N	\N	\N	\N	\N	\N	f	
5382	ba6b5767-f84d-442b-a110-2b289d28212e	Opole	Opole	3	0	2013-05-24 23:23:48.848551+02	\N	\N	\N	\N	\N	\N	f	
5860	f5e7095a-5b82-4057-8cd2-f14d4ef10ed2	Baborów	Baborów	3	0	2013-05-25 01:07:09.107261+02	\N	\N	\N	\N	\N	\N	f	
5537	a4e1c34b-ec5d-41de-84c4-b1bef4e81665	Słubice	Słubice	3	0	2013-05-24 23:58:37.879239+02	\N	\N	\N	\N	\N	\N	f	
5916	61f0fd1a-03ca-4098-8a2d-d0862a0f6b9d	Babolsar	Babolsar	3	0	2013-05-25 01:17:33.788762+02	\N	\N	\N	\N	\N	\N	f	
6535	0bb8a75b-ca38-4fc0-9f3f-517397eb73d5	Shahpurabad	Shahpurabad	3	0	2013-05-25 03:28:35.290652+02	\N	\N	\N	\N	\N	\N	f	
5999	8d139f1d-5f02-45e2-97c8-5f44dfa69f9a	Kashmar	Kashmar	3	0	2013-05-25 01:33:33.317792+02	\N	\N	\N	\N	\N	\N	f	
6081	509a9b71-3d1d-43d4-96d6-319e8a2822bf	Azarshahr	Azarshahr	3	0	2013-05-25 01:48:45.12471+02	\N	\N	\N	\N	\N	\N	f	
9571	30b0ccfe-14e3-469a-9aa3-0f8de1cf33c1	Uto	Uto	3	0	2013-06-10 20:33:34.503384+02	\N	\N	\N	\N	\N	\N	f	
6319	4338c089-0979-40e5-8dd7-16407dc55125	Kolbuszowa	Kolbuszowa	3	0	2013-05-25 02:37:44.343618+02	\N	\N	\N	\N	\N	\N	f	
7186	3d3e90b4-14de-499d-827e-798c99d8b819	Pogorzela	Pogorzela	3	0	2013-05-26 17:13:46.180986+02	\N	\N	\N	\N	\N	\N	f	
6548	b7b1ee65-8010-4aed-95c5-c1e887c0c3a4	Mehraban	Mehraban	3	0	2013-05-25 03:31:01.858023+02	\N	\N	\N	\N	\N	\N	f	
6794	2799fbe2-eb2a-4ac0-b7f6-1f01ce44d691	Gerd Kashaneh	Gerd Kashaneh	3	0	2013-05-25 04:17:32.569707+02	\N	\N	\N	\N	\N	\N	f	
6904	f9914580-cfd5-4bac-8592-fd2ac3670a02	Bezenjan Rural District	Bezenjan Rural District	3	0	2013-05-25 04:38:06.985859+02	\N	\N	\N	\N	\N	\N	f	
7446	2094d7c3-7c81-4ede-a9c7-93661480e51a	Sacatepéquez	Sacatepéquez	3	0	2013-05-28 14:41:10.911526+02	\N	\N	\N	\N	\N	\N	f	
7010	617c723e-a52a-4e32-b79b-56d1e1f0c93c	Puck	Puck	3	0	2013-05-25 14:26:52.430057+02	\N	\N	\N	\N	\N	\N	f	
779	9cdaf9c8-4d0a-4ca6-8737-4fed25d642c5	Madeira	Madeira	2	0	2013-06-01 22:49:52.135701+02	\N	\N	\N	\N	\N	\N	f	
7565	750951f4-f10b-4c1d-9f2c-a31ed636fbce	Dillenburg	Dillenburg	3	0	2013-05-29 00:47:25.360397+02	\N	\N	\N	\N	\N	\N	f	
7627	3cae6d08-d188-463e-92e7-2df7a3b62035	Hatzfeld	Hatzfeld	3	0	2013-05-29 00:59:19.559792+02	\N	\N	\N	\N	\N	\N	f	
7842	7c18efe0-bd4a-4665-a405-aec827807f56	Beeville	Beeville	3	0	2013-05-29 02:46:10.088948+02	\N	\N	\N	\N	\N	\N	f	
9296	c9bac66c-c0c0-49f8-9b1c-1bd3e0ff2727	Saint-Narcisse-de-Rimouski	Saint-Narcisse-de-Rimouski	3	0	2013-06-02 16:53:16.589146+02	\N	\N	\N	\N	\N	\N	f	
8053	6c90bc09-c2c5-494b-9d16-26443a6dd6c7	Oxford	Oxford	3	0	2013-05-30 18:35:44.671361+02	\N	\N	\N	\N	\N	\N	f	
8176	aa4b1a49-bb2f-479c-a437-f9cf875923d3	Bacchus Marsh	Bacchus Marsh	3	0	2013-05-30 21:10:41.323823+02	\N	\N	\N	\N	\N	\N	f	
8361	4812b4e8-907e-4cd2-9f30-e391ab74068d	Khwahan	Khwahan	3	0	2013-05-30 21:53:49.263753+02	\N	\N	\N	\N	\N	\N	f	
9363	214a6478-c11a-4530-a4ae-9c075dbcd7a8	Loksa	Loksa	3	0	2013-06-04 22:08:30.090168+02	\N	\N	\N	\N	\N	\N	f	
8548	de318ce7-dd07-4a51-8e9e-e97c67a2d7bd	Grafton	Grafton	3	0	2013-06-01 17:38:04.753421+02	\N	\N	\N	\N	\N	\N	f	
8612	4055c921-3938-40dd-ae94-ba153e485fad	Culcairn	Culcairn	3	0	2013-06-01 17:54:50.895787+02	\N	\N	\N	\N	\N	\N	f	
8697	3168a54e-6e78-449b-83de-8bd1929ddb08	Piła	Piła	3	0	2013-06-01 18:20:23.412911+02	\N	\N	\N	\N	\N	\N	f	
8820	7c9ff9b6-f841-4d02-aef2-7f707bd6237f	Wuhan	Wuhan	3	0	2013-06-01 19:34:14.369035+02	\N	\N	\N	\N	\N	\N	f	
9582	ad48b592-adeb-4823-af7a-6648404d7382	Turku	Turku	3	0	2013-06-11 04:59:14.056704+02	\N	\N	\N	\N	\N	\N	f	
8878	edd8f6ca-ae9b-4146-ac8c-84f23a3349c1	Zhongwei	Zhongwei	3	0	2013-06-01 19:49:07.584198+02	\N	\N	\N	\N	\N	\N	f	
8895	73eff435-fa4c-44d0-804e-ca6fa7f662fd	Lubomia	Lubomia	3	0	2013-06-01 19:55:20.473558+02	\N	\N	\N	\N	\N	\N	f	
10109	00cb9ee3-091a-4fe9-a2f0-f2f12fb3e646	Nishiawakura	Nishiawakura	3	0	2013-06-18 14:32:46.445871+02	\N	\N	\N	\N	\N	\N	f	
8947	504ab03d-04bc-463c-b121-cd055f4b58c5	Fuyang	Fuyang	3	0	2013-06-01 20:07:49.032988+02	\N	\N	\N	\N	\N	\N	f	
9601	3984b239-bd29-448a-89de-362d8be8e3c3	Kauniainen	Kauniainen	3	0	2013-06-12 07:30:59.889721+02	\N	\N	\N	\N	\N	\N	f	
9060	aff21967-7ce0-4a87-8889-bff83cf56c17	Nantong	Nantong	3	0	2013-06-01 20:31:51.723234+02	\N	\N	\N	\N	\N	\N	f	
14411	219a039e-dad6-4367-b8f8-4396a3d11bb3	Gavazzana	Gavazzana	4	0	2013-07-21 21:31:33.15559+02	\N	\N	\N	\N	\N	\N	f	
9772	9a0b15b6-e6ec-4700-86d5-4a034334f943	Shinjō	Shinjō	3	0	2013-06-18 01:16:20.024295+02	\N	\N	\N	\N	\N	\N	f	
816	6aee9072-54d9-4e07-9fa9-4fe5912f56b8	Buzău	Buzău	2	0	2013-06-05 07:20:00.334816+02	\N	\N	\N	\N	\N	\N	f	
9812	0389ff18-952c-4700-82ce-b418af10f8f0	Hürth	Hürth	3	0	2013-06-18 03:42:02.892295+02	\N	\N	\N	\N	\N	\N	f	
3732	14f46701-debc-4702-a1ee-90143f122c23	Arusha	Arusha	2	0	2013-06-05 10:14:53.49842+02	\N	\N	\N	\N	\N	\N	f	
10194	e08b7d43-bf36-4e13-b123-468f059b3e72	Shingū	Shingū	3	0	2013-06-18 14:51:55.155785+02	\N	\N	\N	\N	\N	\N	f	
9412	cf7c1bd5-c7f6-4eb2-a4e9-851557ca1b2b	Milford Haven	Milford Haven	3	0	2013-06-09 03:42:34.603789+02	\N	\N	\N	\N	\N	\N	f	
9836	05d04f7d-3934-425b-beea-f59c68ea04b0	Komatsu	Komatsu	3	0	2013-06-18 03:51:11.123558+02	\N	\N	\N	\N	\N	\N	f	
9429	1ea92745-3476-4afe-8698-69381cdc6b21	Una	Una	3	0	2013-06-09 17:32:47.820281+02	\N	\N	\N	\N	\N	\N	f	
9536	330a6252-ae42-48a6-ad60-87c08b4a2389	Bhuj	Bhuj	3	0	2013-06-09 18:11:15.274854+02	\N	\N	\N	\N	\N	\N	f	
9570	2f71ae56-d6a3-467b-95b7-91526f61804e	Gobō	Gobō	3	0	2013-06-10 20:33:16.877094+02	\N	\N	\N	\N	\N	\N	f	
4826	a806bb74-8101-401a-9dda-b5d8aaa4a596	Chikwawa	Chikwawa	2	0	2013-06-05 09:16:06.518773+02	\N	\N	\N	\N	\N	\N	f	
9945	17097cdf-d930-45e0-b882-10199b42113c	Ginoza	Ginoza	3	0	2013-06-18 07:29:24.932338+02	\N	\N	\N	\N	\N	\N	f	
10299	3cbad4d2-76c7-4f77-9015-6904362fd747	Shimokitayama	Shimokitayama	3	0	2013-06-18 17:29:38.657049+02	\N	\N	\N	\N	\N	\N	f	
9960	b7e08894-419a-4682-8c47-91207047758c	Hinokage	Hinokage	3	0	2013-06-18 07:32:13.380783+02	\N	\N	\N	\N	\N	\N	f	
10031	98156e40-5abc-4599-8b9a-9caf1b1e3a68	Mine	Mine	3	0	2013-06-18 08:06:18.491671+02	\N	\N	\N	\N	\N	\N	f	
10250	b903691c-3bc6-4685-8f4f-8a0d94732cab	Ōno	Ōno	3	0	2013-06-18 17:20:53.190691+02	\N	\N	\N	\N	\N	\N	f	
10279	63f879df-6a8d-423a-a6ab-4a3be8cfcafe	Anan	Anan	3	0	2013-06-18 17:26:04.227152+02	\N	\N	\N	\N	\N	\N	f	
10284	0697a3a0-4ce4-423f-9dbe-3a9a8a4a9247	Yoshino	Yoshino	3	0	2013-06-18 17:27:00.900281+02	\N	\N	\N	\N	\N	\N	f	
10295	56b59b06-e44b-4cd7-b128-3db5501736b5	Kanmaki	Kanmaki	3	0	2013-06-18 17:28:57.223748+02	\N	\N	\N	\N	\N	\N	f	
10340	a6be4f5b-ab77-48bd-af7f-ca86664ee68e	Shimamoto	Shimamoto	3	0	2013-06-18 17:37:23.64023+02	\N	\N	\N	\N	\N	\N	f	
10317	101a6166-69bb-4852-8a36-6d9de43e6a23	Fukusaki	Fukusaki	3	0	2013-06-18 17:32:55.478511+02	\N	\N	\N	\N	\N	\N	f	
10335	b44f8515-768e-4d37-8d13-f930de240c50	Tajiri	Tajiri	3	0	2013-06-18 17:36:31.972419+02	\N	\N	\N	\N	\N	\N	f	
10349	e0b8d0fb-3976-4e61-8fa3-97704c3a6d33	Hirogawa	Hirogawa	3	0	2013-06-18 17:39:38.915956+02	\N	\N	\N	\N	\N	\N	f	
10361	c18933f6-b521-4844-b933-7710998028c8	Obuse	Obuse	3	0	2013-06-18 17:42:02.179949+02	\N	\N	\N	\N	\N	\N	f	
10357	6c059d07-b4d9-4a3d-b8d9-fb0e1d27d24d	Shinano	Shinano	3	0	2013-06-18 17:41:18.75728+02	\N	\N	\N	\N	\N	\N	f	
10366	4f793326-3475-47a3-952e-bc91f9809c2d	Ranzan	Ranzan	3	0	2013-06-18 17:42:59.102556+02	\N	\N	\N	\N	\N	\N	f	
10368	de1a34db-061a-4880-acec-680a8310f45c	Misaki	Misaki	3	0	2013-06-18 17:43:20.203028+02	\N	\N	\N	\N	\N	\N	f	
10374	de57480d-b381-4373-a4a2-150a7b13c019	Kanan	Kanan	3	0	2013-06-18 17:52:11.67243+02	\N	\N	\N	\N	\N	\N	f	
10376	89a3fbdc-9f6b-4e43-ad09-844a7e930893	Soni	Soni	3	0	2013-06-18 17:56:06.717069+02	\N	\N	\N	\N	\N	\N	f	
10377	38c9c6c2-248a-4947-9063-176de39bfee2	Agematsu	Agematsu	3	0	2013-06-18 17:57:54.385119+02	\N	\N	\N	\N	\N	\N	f	
10378	1089e266-4426-41cd-9430-5140ba60af48	Awaji	Awaji	3	0	2013-06-18 17:58:04.947987+02	\N	\N	\N	\N	\N	\N	f	
10380	740897fd-40ee-46df-a095-6de7115f1a85	Ikaruga	Ikaruga	3	0	2013-06-18 17:58:36.737143+02	\N	\N	\N	\N	\N	\N	f	
10379	a5948aa5-dd06-4a4a-845d-0096a0ed7e1c	Ōi	Ōi	3	0	2013-06-18 17:58:25.323206+02	\N	\N	\N	\N	\N	\N	f	
4519	4be0e8b3-5a4d-4c3c-b18a-2946d0953a4f	Trikala	Trikala	2	0	2013-05-22 13:56:28.298374+02	\N	\N	\N	\N	\N	\N	f	
4520	a0aa4b38-3a7d-43ef-8541-42cd95055591	Grevena	Grevena	2	0	2013-05-22 13:56:41.277974+02	\N	\N	\N	\N	\N	\N	f	
4521	a620848c-7ca3-4842-a439-0f9a58d25d2a	Drama	Drama	2	0	2013-05-22 13:56:57.612979+02	\N	\N	\N	\N	\N	\N	f	
4688	90f4858a-0c32-4641-971b-bcf0c9236509	Pavia	Pavia	2	0	2013-05-22 14:44:56.082167+02	\N	\N	\N	\N	\N	\N	f	
4522	4c398bec-bab1-4800-a35d-b9a22f616499	Imathia	Imathia	2	0	2013-05-22 13:57:15.153972+02	\N	\N	\N	\N	\N	\N	f	
4523	f6615563-1f76-4f5d-ac20-3597d105bb04	Thessaloniki	Thessaloniki	2	0	2013-05-22 13:57:29.971051+02	\N	\N	\N	\N	\N	\N	f	
4525	a4e43989-efbe-4bc8-b80a-abb5a9bb59de	Kastoria	Kastoria	2	0	2013-05-22 13:57:58.651878+02	\N	\N	\N	\N	\N	\N	f	
4714	8ad4e1b0-831c-4e30-9c16-68c2031d4633	Varese	Varese	2	0	2013-05-22 14:52:10.518579+02	\N	\N	\N	\N	\N	\N	f	
4526	117aa8ce-9929-429e-b540-332090742771	Kilkis	Kilkis	2	0	2013-05-22 13:58:15.62053+02	\N	\N	\N	\N	\N	\N	f	
4527	a6c09083-d0b9-42e8-aa80-7e69b21cf9cb	Kozani	Kozani	2	0	2013-05-22 13:58:29.251651+02	\N	\N	\N	\N	\N	\N	f	
5223	2054b43f-446c-45fd-b53e-f8bf23656dd1	Montgomery	Montgomery	3	0	2013-05-24 22:52:05.862378+02	\N	\N	\N	\N	\N	\N	f	
4528	2e777d76-71fa-4a27-8d45-c76e3f40d003	Pella	Pella	2	0	2013-05-22 13:58:50.33958+02	\N	\N	\N	\N	\N	\N	f	
4827	1c620330-fce2-49b4-b1d1-6d77d624124a	Chiradzulu	Chiradzulu	2	0	2013-06-05 09:52:41.449742+02	\N	\N	\N	\N	\N	\N	f	
4539	d6a7da56-dc4b-467f-b5a4-0a61a7764116	Samos	Samos	2	0	2013-05-22 14:01:51.195005+02	\N	\N	\N	\N	\N	\N	f	
4543	18f03f29-f217-4879-92ff-b9661a2b5a9b	Rethymno	Rethymno	2	0	2013-05-22 14:03:03.627224+02	\N	\N	\N	\N	\N	\N	f	
4968	4c8f2327-abf6-4d50-9bb9-96605b4a97bc	Sremski okrug	Sremski okrug	2	0	2013-05-22 16:00:04.977612+02	\N	\N	\N	\N	\N	\N	f	
4544	eacb58cb-ccaa-42b1-ab85-f08ca7d22aa6	Chania	Chania	2	0	2013-06-05 10:46:58.554775+02	\N	\N	\N	\N	\N	\N	f	
5224	9b5e7906-daab-4046-9995-eea97e30d51c	Springfield	Springfield	3	0	2013-05-24 22:52:15.912943+02	\N	\N	\N	\N	\N	\N	f	
5862	760e682e-0042-44a6-ba9e-25fcec57fba7	Radford, Virginia	Radford, Virginia	3	0	2013-05-25 01:07:31.37841+02	\N	\N	\N	\N	\N	\N	f	
5383	3bcda123-01b7-4d7d-9cf9-38b52262dd2f	Almere	Almere	3	0	2013-05-24 23:23:59.977452+02	\N	\N	\N	\N	\N	\N	f	
5541	ea135c0e-081e-412e-8d67-defc765a46ec	Tsu	Tsu	3	0	2013-05-24 23:59:20.329506+02	\N	\N	\N	\N	\N	\N	f	
5597	bc11dc47-64e3-401d-9361-4d0ffaaa6daa	Aberdeen	Aberdeen	3	0	2013-05-25 00:10:41.109494+02	\N	\N	\N	\N	\N	\N	f	
6082	afddc683-f045-4453-bbd6-92f559ceb458	Shadegan	Shadegan	3	0	2013-05-25 01:48:59.498949+02	\N	\N	\N	\N	\N	\N	f	
6536	3b3089d9-a0cc-4fb6-8cb1-875413dfc01a	Kerki	Kerki	3	0	2013-05-25 03:28:45.827485+02	\N	\N	\N	\N	\N	\N	f	
6087	0acb04fb-b9ec-4337-a8af-73d5f88749ba	Barbacena	Barbacena	3	0	2013-05-25 01:50:35.692202+02	\N	\N	\N	\N	\N	\N	f	
6320	e3a14610-ef93-4b7d-9527-b6828376dd2e	Chandler	Chandler	3	0	2013-05-25 02:37:57.24427+02	\N	\N	\N	\N	\N	\N	f	
7187	58a7207e-3135-4ff5-952e-134ab1468a8b	Chmielnik	Chmielnik	3	0	2013-05-26 17:14:02.54443+02	\N	\N	\N	\N	\N	\N	f	
6540	9fc78061-a18f-44a0-93f9-f80f5720abaa	Khavaran	Khavaran	3	0	2013-05-25 03:29:38.136743+02	\N	\N	\N	\N	\N	\N	f	
6796	8eed4793-4f9c-4aae-b76c-68fc7a9d58d3	Vahidieh	Vahidieh	3	0	2013-05-25 04:17:54.834429+02	\N	\N	\N	\N	\N	\N	f	
6799	0dd3b194-0895-4f49-b5ad-d2b18499da01	Kamfiruz	Kamfiruz	3	0	2013-05-25 04:18:25.364376+02	\N	\N	\N	\N	\N	\N	f	
7566	6a42a232-f977-4817-8b1b-037ac59e615b	Bad Schwalbach	Bad Schwalbach	3	0	2013-05-29 00:47:35.833122+02	\N	\N	\N	\N	\N	\N	f	
6834	f00fd189-ef90-44ed-bc93-d6f6741ce6f4	Sabashahr	Sabashahr	3	0	2013-05-25 04:24:32.763807+02	\N	\N	\N	\N	\N	\N	f	
6841	1325ba3f-0081-4f14-8d3c-7a8515bd3f9a	Aqda	Aqda	3	0	2013-05-25 04:25:44.405288+02	\N	\N	\N	\N	\N	\N	f	
8861	e73214a3-81df-40a9-85f5-971ae28c235f	Tłuszcz	Tłuszcz	3	0	2013-06-01 19:44:35.822415+02	\N	\N	\N	\N	\N	\N	f	
6845	035a3f40-f159-487d-8258-5aca6c1e2172	Rud Ab	Rud Ab	3	0	2013-05-25 04:26:26.68388+02	\N	\N	\N	\N	\N	\N	f	
7577	ef6af720-55f9-4145-9afa-ec5945c191b3	Waldeck	Waldeck	3	0	2013-05-29 00:49:54.127368+02	\N	\N	\N	\N	\N	\N	f	
7011	daf8e451-a8ed-4d4b-93ae-679fed883fc6	Międzyrzecz	Międzyrzecz	3	0	2013-05-25 14:27:09.196828+02	\N	\N	\N	\N	\N	\N	f	
7638	06747b1f-259c-4f57-a817-54b2959d99b3	Münzenberg	Münzenberg	3	0	2013-05-29 01:01:38.417165+02	\N	\N	\N	\N	\N	\N	f	
7843	1c2b1a6c-d95f-4e89-9a7b-30a17f519daf	Beaufort	Beaufort	3	0	2013-05-29 02:46:23.000893+02	\N	\N	\N	\N	\N	\N	f	
8948	9cd94335-69b1-42be-83ac-f0235244b16e	Trangie, New South Wales	Trangie, New South Wales	3	0	2013-06-01 20:08:00.043449+02	\N	\N	\N	\N	\N	\N	f	
7914	97e7f792-fc67-42c3-b240-43640ac7e09d	Glasgow	Glasgow	3	0	2013-05-29 03:06:49.050341+02	\N	\N	\N	\N	\N	\N	f	
8054	ed911a84-6a69-4dd7-881e-3e53e7fde18e	Braintree, Essex	Braintree, Essex	3	0	2013-05-30 18:35:55.191908+02	\N	\N	\N	\N	\N	\N	f	
9364	ca49b02d-73f4-4568-9f71-23aef5d7cc16	Rapla	Rapla	3	0	2013-06-04 22:08:55.380645+02	\N	\N	\N	\N	\N	\N	f	
8177	4ab37e59-4c8d-454d-a181-dcdda5700dcf	Yazdanshahr NajafAbad	Yazdanshahr NajafAbad	3	0	2013-05-30 21:10:51.499543+02	\N	\N	\N	\N	\N	\N	f	
8997	61efb984-1887-473c-94f1-d93ee3eec883	Shaoxing	Shaoxing	3	0	2013-06-01 20:17:41.16567+02	\N	\N	\N	\N	\N	\N	f	
8362	82c766e1-ddcd-49b5-bdd9-276b50ae2a89	Billericay	Billericay	3	0	2013-05-30 21:53:59.298445+02	\N	\N	\N	\N	\N	\N	f	
8549	7d0ec7e6-3205-4f52-b169-182e8e8dec09	Wellington	Wellington	3	0	2013-06-01 17:38:17.843881+02	\N	\N	\N	\N	\N	\N	f	
65	218e28fc-7e19-3700-b4d5-5d9199a59418	Equatorial Guinea	Equatorial Guinea	1	0	2013-06-05 07:05:04.676435+02	\N	\N	\N	\N	\N	\N	f	
8698	be2e6e6e-00b7-4cfc-9906-9b623f0e8c8e	Goonellabah	Goonellabah	3	0	2013-06-01 18:20:40.326712+02	\N	\N	\N	\N	\N	\N	f	
8821	8dfaa474-c3bc-48f4-aef7-5067e969bd94	Weinan	Weinan	3	0	2013-06-01 19:34:35.71122+02	\N	\N	\N	\N	\N	\N	f	
9061	51f5418a-4143-400c-8f8e-5c2fe116c024	Taizhou	Taizhou	3	0	2013-06-01 20:32:06.148587+02	\N	\N	\N	\N	\N	\N	f	
10110	cced0eda-aea2-4f08-a985-64e73e985016	Kawamoto	Kawamoto	3	0	2013-06-18 14:32:56.895182+02	\N	\N	\N	\N	\N	\N	f	
9085	56b46bec-b51a-4077-96ff-baa0bdf96f84	Zhongshan	Zhongshan	3	0	2013-06-01 20:36:36.535774+02	\N	\N	\N	\N	\N	\N	f	
9430	c99ec034-a689-4492-9db1-94879641c2b4	Halvad	Halvad	3	0	2013-06-09 17:33:29.700579+02	\N	\N	\N	\N	\N	\N	f	
9217	5468fb4a-6c32-4240-b9f1-1c49cdc9e115	Boguchwała	Boguchwała	3	0	2013-06-01 22:49:39.61599+02	\N	\N	\N	\N	\N	\N	f	
262	821b0738-e1a2-4636-82e0-b5ca8b331679	Alaska	Alaska	2	0	2013-06-05 10:17:33.488349+02	\N	\N	\N	\N	\N	\N	f	
9298	df125e5d-12b8-46a0-828a-3e7f9b882ca1	Saint-Célestin	Saint-Célestin	3	0	2013-06-02 16:53:46.592207+02	\N	\N	\N	\N	\N	\N	f	
9583	b40f1743-27df-4a07-be98-8ac0736ac0df	Sulzburg	Sulzburg	3	0	2013-06-11 05:01:48.324723+02	\N	\N	\N	\N	\N	\N	f	
9537	c3cfbedb-3d00-4576-935f-d0b371713f38	Bilimora	Bilimora	3	0	2013-06-09 18:12:30.448192+02	\N	\N	\N	\N	\N	\N	f	
2927	c5cc4615-765a-410b-82e9-c24d64b917e8	Ash Shāriqah [Sharjah]	Ash Shāriqah [Sharjah]	2	0	2013-06-05 07:43:02.036149+02	\N	\N	\N	\N	\N	\N	f	
9542	200956d9-f608-47b0-b2f6-54cf63573cc8	Hattiesburg	Hattiesburg	3	0	2013-06-09 18:18:05.325944+02	\N	\N	\N	\N	\N	\N	f	
4532	0c5c14e4-4041-42e6-a1cf-c1ed79f82e53	Chalkidiki	Chalkidiki	2	0	2013-06-05 07:26:23.629395+02	\N	\N	\N	\N	\N	\N	f	
9817	a23d0c57-fb2e-4c9b-9723-f271e0edacce	Kuki	Kuki	3	0	2013-06-18 03:43:56.755367+02	\N	\N	\N	\N	\N	\N	f	
9602	f88afd52-fe80-42b3-a711-09cd6e2732a0	Lohja	Lohja	3	0	2013-06-12 07:31:38.730304+02	\N	\N	\N	\N	\N	\N	f	
9775	32e511bd-c79a-405e-97c9-c962150f25c8	Nan'yō	Nan'yō	3	0	2013-06-18 01:17:01.500826+02	\N	\N	\N	\N	\N	\N	f	
10033	22b653f5-3dc1-424c-8942-1da4b3b70c2b	Mimata	Mimata	3	0	2013-06-18 08:07:03.525413+02	\N	\N	\N	\N	\N	\N	f	
9947	4a0d4ae2-6d5c-4b52-bf89-2b643d0f89dd	Kadogawa	Kadogawa	3	0	2013-06-18 07:29:45.710137+02	\N	\N	\N	\N	\N	\N	f	
10196	2ead9140-e46f-4c7a-89c1-1194fd51fc72	Kodaira	Kodaira	3	0	2013-06-18 14:55:51.810504+02	\N	\N	\N	\N	\N	\N	f	
10197	a575ac9e-41ab-42e4-b032-91e72550b0b0	Iwami	Iwami	3	0	2013-06-18 15:00:42.502186+02	\N	\N	\N	\N	\N	\N	f	
10210	0e30b305-1b21-4728-815f-e8bff8122171	Asakura, Fukuoka	Asakura, Fukuoka	3	0	2013-06-18 15:11:52.056347+02	\N	\N	\N	\N	\N	\N	f	
10253	669e087f-9838-46c8-b4ac-47ec10ad936d	Takamori	Takamori	3	0	2013-06-18 17:21:24.204076+02	\N	\N	\N	\N	\N	\N	f	
10285	bece0897-a38d-4192-8fe0-e4b8b7e6ca37	Kawakami	Kawakami	3	0	2013-06-18 17:27:11.277548+02	\N	\N	\N	\N	\N	\N	f	
10305	eed10678-d48e-4e1c-8c47-fe45413a6bbd	Inami	Inami	3	0	2013-06-18 17:30:40.954655+02	\N	\N	\N	\N	\N	\N	f	
10310	b94a950c-3ddc-4971-b5d2-c03bcc0470da	Ōkuwa	Ōkuwa	3	0	2013-06-18 17:31:32.449617+02	\N	\N	\N	\N	\N	\N	f	
19670	d1d01d4e-128b-426a-b3b5-961ff7cf6bd6	Castiglion Fiorentino	Castiglion Fiorentino	4	0	2013-07-22 11:17:18.376102+02	\N	\N	\N	\N	\N	\N	f	
10318	141b72a6-23f8-46e6-8e91-2849d9f2bd2b	Hino	Hino	3	0	2013-06-18 17:33:05.702336+02	\N	\N	\N	\N	\N	\N	f	
4530	f9672734-b6ca-4922-94aa-4a2244bc1555	Serres	Serres	2	0	2013-05-22 13:59:19.971207+02	\N	\N	\N	\N	\N	\N	f	
4531	a4a8d5bf-8d15-431e-be1c-3a5a63abe6e0	Florina	Florina	2	0	2013-05-22 13:59:38.641292+02	\N	\N	\N	\N	\N	\N	f	
4553	9b053ee2-4ed0-44e1-a65a-376ced6ef618	Tombali	Tombali	2	0	2013-05-22 14:06:23.449018+02	\N	\N	\N	\N	\N	\N	f	
4690	f6aa8d1e-dc17-4c59-9642-8cad15377496	Ravenna	Ravenna	2	0	2013-05-22 14:45:26.460849+02	\N	\N	\N	\N	\N	\N	f	
5226	11b4d994-1e24-4fab-a2e6-7660834cd456	Södertälje	Södertälje	3	0	2013-05-24 22:52:36.665184+02	\N	\N	\N	\N	\N	\N	f	
4829	9d4ebc4c-0858-452a-8c69-fa387fca07db	Dedza	Dedza	2	0	2013-05-22 15:25:36.887491+02	\N	\N	\N	\N	\N	\N	f	
4969	eeeb80a6-dd89-449c-b631-4ec64bdd72b8	Kosovski okrug	Kosovski okrug	2	0	2013-05-22 16:00:16.523739+02	\N	\N	\N	\N	\N	\N	f	
5384	cc3cbfb8-7b9f-4d96-92f4-bbe8e3ca7c1f	Zabrze	Zabrze	3	0	2013-05-24 23:24:10.35849+02	\N	\N	\N	\N	\N	\N	f	
5863	04a2f9dd-11c9-41d8-b052-464345688caf	Ruydar	Ruydar	3	0	2013-05-25 01:07:45.615069+02	\N	\N	\N	\N	\N	\N	f	
5543	9ad70e8c-539a-45b5-90b9-cb1bfd68ab31	Nesvizh	Nesvizh	3	0	2013-05-24 23:59:41.091682+02	\N	\N	\N	\N	\N	\N	f	
5554	00ff6bef-1342-4ea1-85ed-29295cb03510	Zielonka	Zielonka	3	0	2013-05-25 00:01:39.090481+02	\N	\N	\N	\N	\N	\N	f	
5559	f9f2b182-f770-458a-b0dc-ac382df6823f	Zevenaar	Zevenaar	3	0	2013-05-25 00:02:31.059548+02	\N	\N	\N	\N	\N	\N	f	
5870	1c03d6f3-479a-4636-92bb-503c7f8dfd89	Rockhampton	Rockhampton	3	0	2013-05-25 01:09:02.227539+02	\N	\N	\N	\N	\N	\N	f	
5567	a5587179-9a91-4a13-86ad-7eebc02ea925	Arak	Arak	3	0	2013-05-25 00:04:07.885091+02	\N	\N	\N	\N	\N	\N	f	
6537	0cf936ed-513b-4d22-87d9-483c1ca3e1e2	Miami	Miami	3	0	2013-05-25 03:28:56.421122+02	\N	\N	\N	\N	\N	\N	f	
5871	5cd418a4-893e-44f2-b4a6-7ff26ba289e7	Kędzierzyn-Koźle	Kędzierzyn-Koźle	3	0	2013-05-25 01:09:12.953438+02	\N	\N	\N	\N	\N	\N	f	
5947	429e1846-160f-43a1-ba2a-da498fe834ce	Głuchołazy	Głuchołazy	3	0	2013-05-25 01:24:16.989718+02	\N	\N	\N	\N	\N	\N	f	
6083	f407ec99-6e11-4a73-a183-1dc8a0f3ba3b	Songea	Songea	3	0	2013-05-25 01:49:24.594275+02	\N	\N	\N	\N	\N	\N	f	
7189	73ae7d81-ba7d-4eb7-b3d5-62852db1d6a4	Radzyń Chełmiński	Radzyń Chełmiński	3	0	2013-05-26 17:14:34.702591+02	\N	\N	\N	\N	\N	\N	f	
6321	78dc0802-087f-491c-b01a-8ab4ad64e64d	Kąty Wrocławskie	Kąty Wrocławskie	3	0	2013-05-25 02:38:10.557761+02	\N	\N	\N	\N	\N	\N	f	
6322	b75d9b86-5a6b-4a0c-bc05-2542318287e1	Janów Lubelski	Janów Lubelski	3	0	2013-05-25 02:38:23.13266+02	\N	\N	\N	\N	\N	\N	f	
6573	6283cf0c-d942-4e77-b98e-f05c9b498253	Zagheh	Zagheh	3	0	2013-05-25 03:35:25.054205+02	\N	\N	\N	\N	\N	\N	f	
8891	87e3e8f8-4d67-4581-b600-36823538361f	Mudanjiang	Mudanjiang	3	0	2013-06-01 19:52:33.62142+02	\N	\N	\N	\N	\N	\N	f	
6797	b360b33b-24a4-4695-a538-24697a0a145e	Nowsud	Nowsud	3	0	2013-05-25 04:18:04.962314+02	\N	\N	\N	\N	\N	\N	f	
7567	7f062bdc-7c57-4073-8bf8-1e03af3b3adc	Bürstadt	Bürstadt	3	0	2013-05-29 00:47:53.102859+02	\N	\N	\N	\N	\N	\N	f	
7012	230bc664-a42f-40f3-b3f8-73740a6e48fa	Sztum	Sztum	3	0	2013-05-25 14:27:20.756025+02	\N	\N	\N	\N	\N	\N	f	
7636	d062cf41-5730-44c4-97c6-6890fcee8e47	Oestrich-Winkel	Oestrich-Winkel	3	0	2013-05-29 01:01:10.768022+02	\N	\N	\N	\N	\N	\N	f	
7642	728aa72f-e247-42a7-9655-2599b107ef07	Kirtorf	Kirtorf	3	0	2013-05-29 01:02:23.679367+02	\N	\N	\N	\N	\N	\N	f	
8901	7d3ea982-c2cd-4f18-9481-3ff6747a8330	Baie-Sainte-Catherine	Baie-Sainte-Catherine	3	0	2013-06-01 19:57:34.182181+02	\N	\N	\N	\N	\N	\N	f	
7645	ff0c5012-0def-416f-aadd-b2b7ec412107	Gersfeld	Gersfeld	3	0	2013-05-29 01:03:25.28758+02	\N	\N	\N	\N	\N	\N	f	
7844	b85fcb96-f1fc-4610-97a8-558eca1d2af3	Bayonne, New Jersey	Bayonne, New Jersey	3	0	2013-05-29 02:46:35.02056+02	\N	\N	\N	\N	\N	\N	f	
9438	32e73e4c-3e39-412e-8bc8-b5731cd54df6	Mehsana	Mehsana	3	0	2013-06-09 17:36:57.519325+02	\N	\N	\N	\N	\N	\N	f	
8055	3ea8520f-5c68-45cb-b42e-bcfa1f65c9b3	Vuzenica	Vuzenica	3	0	2013-05-30 18:36:06.902391+02	\N	\N	\N	\N	\N	\N	f	
8949	d6ca11c8-9e38-451a-8afe-ad30670eecaa	Anqing	Anqing	3	0	2013-06-01 20:08:10.634386+02	\N	\N	\N	\N	\N	\N	f	
8181	f6233dce-87fc-41b5-8b04-52d67aac3c63	MohammadAbad (Isfahan city)	MohammadAbad (Isfahan city)	3	0	2013-05-30 21:11:51.71183+02	\N	\N	\N	\N	\N	\N	f	
8214	44c8b230-3a7c-4441-ae2c-0cf6807204fa	Collarenebri	Collarenebri	3	0	2013-05-30 21:18:56.512463+02	\N	\N	\N	\N	\N	\N	f	
8968	173876fb-e30d-4e56-90ca-ae76fd5c8759	Luohe	Luohe	3	0	2013-06-01 20:12:13.833013+02	\N	\N	\N	\N	\N	\N	f	
8363	f39393fe-6ab0-4f9c-942d-a4366762f383	Holland	Holland	3	0	2013-05-30 21:54:13.816982+02	\N	\N	\N	\N	\N	\N	f	
8366	4dad5473-da3c-45ee-9d21-9b24e3f3d0b2	Avoca	Avoca	3	0	2013-05-30 21:54:53.214985+02	\N	\N	\N	\N	\N	\N	f	
2892	f52fe40a-c66b-4223-929b-b9de86e65e1d	Chü	Chü	2	0	2013-06-05 07:07:47.240728+02	\N	\N	\N	\N	\N	\N	f	
8550	9503ca82-b6d2-422c-97bb-636d550e7530	Gloucester	Gloucester	3	0	2013-06-01 17:38:28.264063+02	\N	\N	\N	\N	\N	\N	f	
9062	9e1bad44-ef3b-43dd-866a-346e8a68d92a	Zhenjiang	Zhenjiang	3	0	2013-06-01 20:32:16.1477+02	\N	\N	\N	\N	\N	\N	f	
8699	274a2e20-a122-4b83-be0f-037794a09a04	Goolgowi	Goolgowi	3	0	2013-06-01 18:20:51.151472+02	\N	\N	\N	\N	\N	\N	f	
8822	c64b2138-32cf-4562-b114-0fe87f1adfee	Radłów	Radłów	3	0	2013-06-01 19:34:52.35999+02	\N	\N	\N	\N	\N	\N	f	
9218	ae260a01-6cdb-46c5-b094-2c0186a78628	Wołomin	Wołomin	3	0	2013-06-01 22:50:19.943263+02	\N	\N	\N	\N	\N	\N	f	
9299	fcd7349f-7af4-4960-a8b3-ef2e86205039	Saint-Anaclet-de-Lessard	Saint-Anaclet-de-Lessard	3	0	2013-06-02 16:54:02.027617+02	\N	\N	\N	\N	\N	\N	f	
9522	b6f02b36-cb52-42f9-ad03-6a3c1ddb74fb	Union	Union	3	0	2013-06-09 18:05:42.863508+02	\N	\N	\N	\N	\N	\N	f	
9365	2d141f75-1890-4b6f-879e-5e18289c89d1	Kiviõli	Kiviõli	3	0	2013-06-04 22:09:11.75044+02	\N	\N	\N	\N	\N	\N	f	
9818	f788bc9e-bf5e-40a8-99ae-bc93e5136885	Tondabayashi	Tondabayashi	3	0	2013-06-18 03:44:36.165526+02	\N	\N	\N	\N	\N	\N	f	
9538	8bd79b95-60c3-43b1-9bd5-781a29c165ec	Hela	Hela	2	0	2013-06-09 18:13:04.027305+02	\N	\N	\N	\N	\N	\N	f	
9584	ecb8bedb-cf3f-4a8d-a440-f47f8db04261	Erbach an der Donau	Erbach an der Donau	3	0	2013-06-11 05:02:04.081462+02	\N	\N	\N	\N	\N	\N	f	
9949	bda955e6-d621-4c12-ae84-3ced852a7475	Higashi	Higashi	3	0	2013-06-18 07:30:06.164531+02	\N	\N	\N	\N	\N	\N	f	
3624	5fc253b0-cb51-44ae-802a-38ec31b9dc2c	Al Baḩr al Aḩmar	Al Baḩr al Aḩmar	2	0	2013-06-05 07:54:56.758834+02	\N	\N	\N	\N	\N	\N	f	
9603	6d689d9d-7d58-4191-8744-95f24fd751d7	Hanko	Hanko	3	0	2013-06-12 07:32:05.6355+02	\N	\N	\N	\N	\N	\N	f	
1608	e43df1a7-65b5-446f-9b4e-733848780328	Chuuk	Chuuk	2	0	2013-06-05 10:17:58.041702+02	\N	\N	\N	\N	\N	\N	f	
2604	0c6e3994-bcd3-418a-b9ee-a0078cba572f	Binh Duong	Binh Duong	2	0	2013-06-05 07:10:02.077913+02	\N	\N	\N	\N	\N	\N	f	
9431	ecbbb6cf-547f-4383-b4e0-79d31ae2eaeb	Harij	Harij	3	0	2013-06-09 17:33:40.308266+02	\N	\N	\N	\N	\N	\N	f	
9776	1b36d635-583d-4450-9d2a-438cb4674c89	Jōsō	Jōsō	3	0	2013-06-18 01:17:11.784885+02	\N	\N	\N	\N	\N	\N	f	
9866	7ac32086-f294-4bdd-8580-e235be82b6f9	Hashima	Hashima	3	0	2013-06-18 03:59:32.038033+02	\N	\N	\N	\N	\N	\N	f	
10136	3c931dfc-bb87-4b8d-acf8-2736081bdfbb	Kamikatsu	Kamikatsu	3	0	2013-06-18 14:37:35.101475+02	\N	\N	\N	\N	\N	\N	f	
9948	d78337b1-c564-4d2a-8ce3-83e6fb427b60	Ie	Ie	3	0	2013-06-18 07:29:55.927381+02	\N	\N	\N	\N	\N	\N	f	
10034	e6795a81-d2d5-4ae0-a2c4-2c20c1627644	Shingū	Shingū	3	0	2013-06-18 08:08:46.599562+02	\N	\N	\N	\N	\N	\N	f	
10125	8029c1cc-0304-4ff8-9572-b3d1536262ac	Ōsakikamijima	Ōsakikamijima	3	0	2013-06-18 14:35:37.214594+02	\N	\N	\N	\N	\N	\N	f	
10045	07d567b7-cb7c-45ef-9cd6-4f86ded21ac2	Iyo	Iyo	3	0	2013-06-18 08:10:58.652018+02	\N	\N	\N	\N	\N	\N	f	
10111	4d886d14-b2d8-4a28-8322-76147a47a2fe	Misasa	Misasa	3	0	2013-06-18 14:33:07.189741+02	\N	\N	\N	\N	\N	\N	f	
10164	931ac6ce-69cf-461c-b77c-12a410a4d5e2	Keisen	Keisen	3	0	2013-06-18 14:43:15.971817+02	\N	\N	\N	\N	\N	\N	f	
13821	c3300d94-3bd4-4a2a-979a-a7a2eac331d2	Villar Dora	Villar Dora	4	0	2013-07-21 19:20:10.495432+02	\N	\N	\N	\N	\N	\N	f	
10178	fa420e9c-65ff-4326-8501-4bfac76a2492	Matsuno	Matsuno	3	0	2013-06-18 14:46:23.492851+02	\N	\N	\N	\N	\N	\N	f	
10255	e4a07866-5861-4f04-a633-f6936f5b9516	Nakagawa	Nakagawa	3	0	2013-06-18 17:21:46.684403+02	\N	\N	\N	\N	\N	\N	f	
10216	ce07863d-a687-461f-92b0-54c12d0b6640	Mino	Mino	3	0	2013-06-18 15:16:07.092577+02	\N	\N	\N	\N	\N	\N	f	
10289	62cbc0c7-8fec-4017-b8d4-34996a08bbba	Neba	Neba	3	0	2013-06-18 17:27:54.970638+02	\N	\N	\N	\N	\N	\N	f	
10336	273ad6c0-95af-4364-a5f9-c1ca3632f05b	Minowa	Minowa	3	0	2013-06-18 17:36:42.259317+02	\N	\N	\N	\N	\N	\N	f	
15519	8123c4a3-54e1-4f2a-afed-5a1ec98bdfea	Paruzzaro	Paruzzaro	4	0	2013-07-22 01:03:06.042114+02	\N	\N	\N	\N	\N	\N	f	
4534	717b1ffb-cd10-4ed9-b8cb-c6d0ba53a746	Xanthi	Xanthi	2	0	2013-05-22 14:00:23.516792+02	\N	\N	\N	\N	\N	\N	f	
4536	acf55c30-effb-4e9b-8bd0-4033e04ba55b	Dodekanisos	Dodekanisos	2	0	2013-05-22 14:01:01.5213+02	\N	\N	\N	\N	\N	\N	f	
4537	bc59c1b4-33f4-4c3d-86b2-5e8bba006804	Kyklades	Kyklades	2	0	2013-05-22 14:01:18.181405+02	\N	\N	\N	\N	\N	\N	f	
4691	3caa2a52-e85b-4392-a79b-05c3c5f2c387	Reggio Calabria	Reggio Calabria	2	0	2013-05-22 14:45:45.873151+02	\N	\N	\N	\N	\N	\N	f	
4538	26df337f-c974-4eb0-b87b-021c64117f91	Lesvos	Lesvos	2	0	2013-05-22 14:01:30.905313+02	\N	\N	\N	\N	\N	\N	f	
4548	bde0048c-7c72-452e-96a6-41db1647e3c9	Biombo	Biombo	2	0	2013-06-05 12:19:39.372807+02	\N	\N	\N	\N	\N	\N	f	
4542	7b9f0a56-eb48-4152-b530-bcbf2e3ebc6e	Lasithi	Lasithi	2	0	2013-05-22 14:02:41.691761+02	\N	\N	\N	\N	\N	\N	f	
4768	09acfaa4-b3a9-4ed1-8de0-a7333fbcce09	Laâyoune	Laâyoune	2	0	2013-05-22 15:07:19.227819+02	\N	\N	\N	\N	\N	\N	f	
5228	4591c662-32c8-4278-9e28-fa509e6c57aa	Jackson	Jackson	3	0	2013-05-24 22:52:56.846573+02	\N	\N	\N	\N	\N	\N	f	
4552	5e4fe26a-c090-49c9-99fa-7e9daf9f1f38	Quinara	Quinara	2	0	2013-05-22 14:06:06.542019+02	\N	\N	\N	\N	\N	\N	f	
4830	8c076923-b313-42b3-b14e-33ad317eb0e2	Dowa	Dowa	2	0	2013-05-22 15:25:53.996164+02	\N	\N	\N	\N	\N	\N	f	
4970	3fc159a9-47be-411c-a958-081f0be5fef4	Pećki okrug	Pećki okrug	2	0	2013-05-22 16:00:27.845733+02	\N	\N	\N	\N	\N	\N	f	
5386	d96f714e-42a5-4170-a57e-06b40202ebef	Zgierz	Zgierz	3	0	2013-05-24 23:24:32.085404+02	\N	\N	\N	\N	\N	\N	f	
4998	4ea45c76-4af9-4841-a424-d6651c46ad45	Mbale	Mbale	2	0	2013-05-22 16:05:39.760485+02	\N	\N	\N	\N	\N	\N	f	
8551	c8c113cd-92fb-4f9f-8389-fd357ec9e249	Gympie	Gympie	3	0	2013-06-01 17:38:45.137898+02	\N	\N	\N	\N	\N	\N	f	
5545	956f5cbe-ddd2-46fc-af5c-5ead13103a6c	Zaslawye	Zaslawye	3	0	2013-05-25 00:00:02.176805+02	\N	\N	\N	\N	\N	\N	f	
7194	2d42f7ac-7b85-49f3-8377-084263d60637	Chorzele	Chorzele	3	0	2013-05-26 17:15:57.213581+02	\N	\N	\N	\N	\N	\N	f	
6084	27189b33-2486-4ff1-a4d4-a7181b7ccd8d	Garmsar	Garmsar	3	0	2013-05-25 01:49:43.874401+02	\N	\N	\N	\N	\N	\N	f	
6323	9f929736-58a4-41f7-b349-657ae62f57a3	Opoczno	Opoczno	3	0	2013-05-25 02:38:42.510505+02	\N	\N	\N	\N	\N	\N	f	
6328	feb7a9f8-d0ad-4c1b-befe-c7beb23caa04	Hamburg	Hamburg	3	0	2013-05-25 02:39:54.500709+02	\N	\N	\N	\N	\N	\N	f	
6541	2dd973dd-cf74-476b-b008-f5d0addec646	Suran, Sistan and Baluchestan	Suran, Sistan and Baluchestan	3	0	2013-05-25 03:29:48.47258+02	\N	\N	\N	\N	\N	\N	f	
7568	ea7bb145-b6a7-461d-98e0-fd28e82fbfe8	Dieburg	Dieburg	3	0	2013-05-29 00:48:05.890207+02	\N	\N	\N	\N	\N	\N	f	
6558	888a4823-5226-4a85-aea5-3c4d5d1f4c32	Reyhan Shahr	Reyhan Shahr	3	0	2013-05-25 03:32:47.685076+02	\N	\N	\N	\N	\N	\N	f	
6608	27e53290-1360-4303-8f47-f9b95d8e4a5e	Nukabad	Nukabad	3	0	2013-05-25 03:41:36.662604+02	\N	\N	\N	\N	\N	\N	f	
8741	6cde9706-a8e6-4bb1-b022-1b6eeede4c5b	Bardo	Bardo	3	0	2013-06-05 06:46:06.318157+02	\N	\N	\N	\N	\N	\N	f	
6701	00d54209-3f1e-4ef6-bd51-fe2c321b6852	Oshtorinan	Oshtorinan	3	0	2013-05-25 03:59:18.31542+02	\N	\N	\N	\N	\N	\N	f	
7622	7fc8d6a3-13df-46a1-9489-df42b4acfa01	Grebenau	Grebenau	3	0	2013-05-29 00:58:25.045162+02	\N	\N	\N	\N	\N	\N	f	
6720	8f9f5a40-46ab-4566-bc3f-24589da06f8a	Pardis	Pardis	3	0	2013-05-25 04:02:46.390882+02	\N	\N	\N	\N	\N	\N	f	
6728	c489a50c-86e5-4da7-8123-864cb938296b	Amirkola	Amirkola	3	0	2013-05-25 04:04:12.816422+02	\N	\N	\N	\N	\N	\N	f	
8700	fd3dfa9d-1fb5-4459-a2fc-7a9cc5ce58f1	Gumeracha	Gumeracha	3	0	2013-06-01 18:21:09.742084+02	\N	\N	\N	\N	\N	\N	f	
6801	ec296903-b2b8-4790-af14-547e61b69861	Sepiddasht	Sepiddasht	3	0	2013-05-25 04:18:47.610137+02	\N	\N	\N	\N	\N	\N	f	
7628	ee0375d7-1e3d-4d91-a2d4-4a4d7e71b952	Ulrichstein	Ulrichstein	3	0	2013-05-29 00:59:30.480051+02	\N	\N	\N	\N	\N	\N	f	
7013	8ad7484c-060d-4f76-b6c0-acdc8dc22dd0	Kartuzy	Kartuzy	3	0	2013-05-25 14:27:32.246836+02	\N	\N	\N	\N	\N	\N	f	
5864	567b7bcf-c545-4ef4-bce7-4ecc95a01c83	Troy	Troy	3	0	2013-05-26 14:16:02.690393+02	\N	\N	\N	\N	\N	\N	f	
7644	31d268e0-feec-4782-b6b3-6f9e6809f55a	Tann, Hesse	Tann, Hesse	3	0	2013-05-29 01:03:09.518759+02	\N	\N	\N	\N	\N	\N	f	
9219	bfe0632f-1c78-4f81-931b-f191b660c803	Rydułtowy	Rydułtowy	3	0	2013-06-01 22:50:49.519984+02	\N	\N	\N	\N	\N	\N	f	
7648	f5882263-6e94-4041-b31a-5caebf8215dd	Armidale	Armidale	3	0	2013-05-29 01:04:14.534151+02	\N	\N	\N	\N	\N	\N	f	
8730	7ceb566c-108f-4370-8fb7-0e88e0646f22	Red Ash, Virginia	Red Ash, Virginia	3	0	2013-06-01 18:28:54.968775+02	\N	\N	\N	\N	\N	\N	f	
7697	b6088c85-cf5c-41ee-9425-317b3f7814fb	Oxford	Oxford	3	0	2013-05-29 01:21:22.407754+02	\N	\N	\N	\N	\N	\N	f	
17313	70a8612a-2c40-438b-a479-84d0c6d09bbf	Olevano di Lomellina	Olevano di Lomellina	4	0	2013-07-22 06:11:45.39596+02	\N	\N	\N	\N	\N	\N	f	
7845	01cf3802-88ca-4122-bb74-8078e16007b9	Bentonville, Arkansas	Bentonville, Arkansas	3	0	2013-05-29 02:46:56.210957+02	\N	\N	\N	\N	\N	\N	f	
7849	886a7e5f-cf42-4253-9e8c-9d66c5b29f23	Westminster	Westminster	3	0	2013-05-29 02:47:53.647575+02	\N	\N	\N	\N	\N	\N	f	
9432	1ff062d7-dd23-43fe-be53-c6bcba2482a3	Jasdan	Jasdan	3	0	2013-06-09 17:33:52.951382+02	\N	\N	\N	\N	\N	\N	f	
8056	e8eea836-fb97-4c9a-bb66-4455b572b1e0	Lauriston	Lauriston	3	0	2013-05-30 18:36:18.831377+02	\N	\N	\N	\N	\N	\N	f	
8179	688c6849-7d0b-432b-b3b6-d387545a496b	Chipping Ongar	Chipping Ongar	3	0	2013-05-30 21:11:20.063465+02	\N	\N	\N	\N	\N	\N	f	
8316	3e26daa0-738b-427b-b1cf-5d48d72ad4ea	Harsewinkel	Harsewinkel	3	0	2013-05-30 21:43:29.777482+02	\N	\N	\N	\N	\N	\N	f	
8823	64e257a4-3296-4a41-8cbe-a35e736476c3	Świątniki Górne	Świątniki Górne	3	0	2013-06-01 19:35:03.323157+02	\N	\N	\N	\N	\N	\N	f	
8367	17b4d897-8321-49ab-9f76-08869c33233b	Avigliano	Avigliano	3	0	2013-05-30 21:55:03.349773+02	\N	\N	\N	\N	\N	\N	f	
9300	ad6f5916-f8da-436a-9caf-0082e3a80d1c	Sainte-Élizabeth-de-Warwick	Sainte-Élizabeth-de-Warwick	3	0	2013-06-02 16:54:27.190914+02	\N	\N	\N	\N	\N	\N	f	
8838	440f310d-e10a-4dfe-b376-4d8d8ef2cfe5	Zaozhuang	Zaozhuang	3	0	2013-06-01 19:38:36.662763+02	\N	\N	\N	\N	\N	\N	f	
4309	a5fa66a3-4a92-4b9f-ab43-9121a199ebbc	Alicante	Alicante	2	0	2013-06-05 09:05:24.976917+02	\N	\N	\N	\N	\N	\N	f	
8952	46da218a-9c2e-4ef3-b2c3-692f57217b45	Andover	Andover	3	0	2013-06-01 20:08:49.616956+02	\N	\N	\N	\N	\N	\N	f	
9366	0577d6a2-ba58-4fda-9571-13602c019f8d	Tamsalu	Tamsalu	3	0	2013-06-04 22:09:27.825579+02	\N	\N	\N	\N	\N	\N	f	
9063	c77c085a-5ada-447d-a771-e9269837e95c	Yangzhou	Yangzhou	3	0	2013-06-01 20:32:28.325574+02	\N	\N	\N	\N	\N	\N	f	
9126	b51520c8-b88b-4008-8348-4346c9f4f861	Suizhou	Suizhou	3	0	2013-06-01 20:45:07.38026+02	\N	\N	\N	\N	\N	\N	f	
1442	678650df-e006-487a-8ec8-4c07512f0cad	Colón	Colón	2	0	2013-06-05 10:36:46.435046+02	\N	\N	\N	\N	\N	\N	f	
9371	83a2d75a-ee99-4c6f-b8a4-4d4ab343503c	Lihula	Lihula	3	0	2013-06-04 22:16:18.744134+02	\N	\N	\N	\N	\N	\N	f	
9382	2d87d745-ecfe-4ae5-804d-2ee8e13986f6	Mõisaküla	Mõisaküla	3	0	2013-06-04 22:27:07.986762+02	\N	\N	\N	\N	\N	\N	f	
4540	caf8c18d-4a9f-4e96-bf8e-988585482e59	Chios	Chios	2	0	2013-06-05 08:25:19.527449+02	\N	\N	\N	\N	\N	\N	f	
9482	3d4deac9-ccc1-43b7-9e09-735753304f4a	Tarapur, Gujarat	Tarapur, Gujarat	3	0	2013-06-09 17:51:31.739567+02	\N	\N	\N	\N	\N	\N	f	
9950	e39dd9c0-24ce-42ab-b434-a4d7a319c7de	Shiiba	Shiiba	3	0	2013-06-18 07:30:16.266965+02	\N	\N	\N	\N	\N	\N	f	
9540	6c90f993-2878-42d4-ab4c-d04e08ce8e6e	Palanpur	Palanpur	3	0	2013-06-09 18:13:45.608617+02	\N	\N	\N	\N	\N	\N	f	
9586	8c95966e-a51d-406b-bc91-11e22740d13b	Waldenbuch	Waldenbuch	3	0	2013-06-11 05:02:40.671637+02	\N	\N	\N	\N	\N	\N	f	
4783	96fbff6d-44bf-4c48-9721-0f1c357389d8	Aur	Aur	2	0	2013-06-05 07:08:04.296565+02	\N	\N	\N	\N	\N	\N	f	
9819	79dbbd1e-4d4a-4717-8b7c-198c08f75aab	Fujimi	Fujimi	3	0	2013-06-18 03:45:02.659091+02	\N	\N	\N	\N	\N	\N	f	
9604	1ff1643c-a302-403d-8ee8-9a528a61f49a	Kerava	Kerava	3	0	2013-06-12 07:32:20.183418+02	\N	\N	\N	\N	\N	\N	f	
9777	e3c6c8bb-a332-420b-885d-6b71457170fe	Shibukawa	Shibukawa	3	0	2013-06-18 01:17:21.897131+02	\N	\N	\N	\N	\N	\N	f	
9953	8d361372-c204-44de-878b-25a4dbdd2620	Onna	Onna	3	0	2013-06-18 07:30:48.7932+02	\N	\N	\N	\N	\N	\N	f	
10036	3b1d4851-d533-4a09-94c7-92b523a00ef9	Mihara	Mihara	3	0	2013-06-18 08:09:07.300727+02	\N	\N	\N	\N	\N	\N	f	
10049	9df0ffd2-78ce-4b73-a92e-d56df04d7814	Kushima	Kushima	3	0	2013-06-18 08:11:46.430174+02	\N	\N	\N	\N	\N	\N	f	
10112	e5ab63f3-9b48-44d4-82bd-ed72804c54d2	Sagara	Sagara	3	0	2013-06-18 14:33:17.492846+02	\N	\N	\N	\N	\N	\N	f	
10141	c649c2c1-e5f6-415b-9b11-3855208e54bb	Kumano	Kumano	3	0	2013-06-18 14:38:26.810764+02	\N	\N	\N	\N	\N	\N	f	
10193	7689801e-0317-4e60-9d01-89ca002a887a	West Palm Beach	West Palm Beach	3	0	2013-06-18 14:50:44.472139+02	\N	\N	\N	\N	\N	\N	f	
26805	963cfaaa-c704-43a9-a35c-d52512b1abec	Concordia	Concordia	3	0	2013-09-08 02:58:40.128422+02	\N	\N	\N	\N	\N	\N	f	
10203	42d1827d-1903-4ada-942d-5ba1e3190098	Kawara	Kawara	3	0	2013-06-18 15:07:53.809966+02	\N	\N	\N	\N	\N	\N	f	
4693	8df33a58-d179-4e99-abe1-70a782d8ee22	Ragusa	Ragusa	2	0	2013-05-22 14:46:32.728458+02	\N	\N	\N	\N	\N	\N	f	
5229	e82975d0-7258-4e4c-9c56-6e1deea8ad4c	Kraków	Kraków	3	0	2013-05-24 22:53:08.937236+02	\N	\N	\N	\N	\N	\N	f	
4708	8268c5dc-5b1b-41c8-b1e5-a37a01662748	Torino	Torino	2	0	2013-05-22 14:50:23.830354+02	\N	\N	\N	\N	\N	\N	f	
4833	210da6a5-ce60-42f7-a6b7-836561ca356a	Lilongwe	Lilongwe	2	0	2013-05-22 15:26:41.773768+02	\N	\N	\N	\N	\N	\N	f	
4839	ff9525af-6468-45ee-8f6b-425f25bfdfec	Mwanza	Mwanza	2	0	2013-05-22 15:28:17.782524+02	\N	\N	\N	\N	\N	\N	f	
4845	c8e447e7-fd6f-4b4b-8bb5-02e24fe9f07e	Nsanje	Nsanje	2	0	2013-05-22 15:30:09.745309+02	\N	\N	\N	\N	\N	\N	f	
5387	92c4205c-f66f-4b28-bd4e-4d81219dec02	Gliwice	Gliwice	3	0	2013-05-24 23:24:42.329485+02	\N	\N	\N	\N	\N	\N	f	
4971	00838332-c1f4-4f28-85e3-12b04d5c6b3e	Prizrenski okrug	Prizrenski okrug	2	0	2013-05-22 16:00:40.961544+02	\N	\N	\N	\N	\N	\N	f	
5865	0cf0bce3-e4ec-41c1-ae42-e7e0c5ef41c8	Sirjan	Sirjan	3	0	2013-05-25 01:08:10.669586+02	\N	\N	\N	\N	\N	\N	f	
5547	39651806-54f4-4a3a-989a-fe4eb317945e	Miyazaki	Miyazaki	3	0	2013-05-25 00:00:25.321218+02	\N	\N	\N	\N	\N	\N	f	
5555	35951eb8-db1e-4cb5-8959-d560e9d5fd6b	Ōtsu	Ōtsu	3	0	2013-05-25 00:01:49.459786+02	\N	\N	\N	\N	\N	\N	f	
5585	bb2f0607-92db-4887-889e-b15b90010735	Vancouver	Vancouver	3	0	2013-05-25 00:07:56.699399+02	\N	\N	\N	\N	\N	\N	f	
5873	0e50707e-32a5-4859-9665-196799250ab6	Malayer	Malayer	3	0	2013-05-25 01:09:33.223704+02	\N	\N	\N	\N	\N	\N	f	
5612	592a4cca-5b6b-4ea5-9768-628ba025f095	Busko-Zdrój	Busko-Zdrój	3	0	2013-05-25 00:14:21.226213+02	\N	\N	\N	\N	\N	\N	f	
4545	c3074363-f0de-4aaf-bcc4-b3e82fde4c8c	Attiki	Attiki	2	0	2013-06-05 12:33:08.262292+02	\N	\N	\N	\N	\N	\N	f	
6543	d7e4b7f0-47ed-468c-bdb4-a7e71d713275	Gugan	Gugan	3	0	2013-05-25 03:30:10.295454+02	\N	\N	\N	\N	\N	\N	f	
7195	3c2f354b-9279-4d86-8fea-4f76792ac760	Różan	Różan	3	0	2013-05-26 17:16:16.765835+02	\N	\N	\N	\N	\N	\N	f	
6097	e605ec4e-338f-4de9-a99b-8fdfbabba925	Ostrów Mazowiecka	Ostrów Mazowiecka	3	0	2013-05-25 01:52:45.467781+02	\N	\N	\N	\N	\N	\N	f	
6123	c1a7f46d-66ca-4848-bcda-da16f8eafab2	Konan	Konan	3	0	2013-05-25 01:57:35.312748+02	\N	\N	\N	\N	\N	\N	f	
6803	1d88556a-b5d8-49f0-a09c-109fa4f9ab65	Abi Beyglu	Abi Beyglu	3	0	2013-05-25 04:19:08.687657+02	\N	\N	\N	\N	\N	\N	f	
6188	c9eb05a0-847a-4524-907b-16a7d99bfa61	Khondab	Khondab	3	0	2013-05-25 02:09:18.419447+02	\N	\N	\N	\N	\N	\N	f	
6210	ae1d67fa-b782-4875-b2c8-3a2f3c3a7807	Tomaszów Lubelski	Tomaszów Lubelski	3	0	2013-05-25 02:13:13.745729+02	\N	\N	\N	\N	\N	\N	f	
8887	770cc1f3-3261-4cad-b284-09256d5ffb0b	Jiujiang	Jiujiang	3	0	2013-06-01 19:51:47.251705+02	\N	\N	\N	\N	\N	\N	f	
6227	6f347d06-87eb-4cf8-b0cc-c13f1f229f63	Wałcz	Wałcz	3	0	2013-05-25 02:16:32.727198+02	\N	\N	\N	\N	\N	\N	f	
6839	8cc23d72-fb13-48f5-a685-21bb698c9289	Anbaran	Anbaran	3	0	2013-05-25 04:25:23.931046+02	\N	\N	\N	\N	\N	\N	f	
6240	4ad21486-c9f4-471a-ad49-672fd436d9b9	Szczytno	Szczytno	3	0	2013-05-25 02:20:05.515575+02	\N	\N	\N	\N	\N	\N	f	
6268	18c787b1-3067-4c47-95ba-e769394d7456	Grapeland	Grapeland	3	0	2013-05-25 02:26:10.508177+02	\N	\N	\N	\N	\N	\N	f	
7569	6e6867d7-33f2-4585-a047-17c903d3b72e	Idstein	Idstein	3	0	2013-05-29 00:48:16.935464+02	\N	\N	\N	\N	\N	\N	f	
6324	b642c70f-e417-42ac-b53b-20e9fcd4db72	Warm Springs	Warm Springs	3	0	2013-05-25 02:38:57.547787+02	\N	\N	\N	\N	\N	\N	f	
6862	60b9e4ea-7639-4a55-994b-101f9b57991c	Riz	Riz	3	0	2013-05-25 04:29:26.046108+02	\N	\N	\N	\N	\N	\N	f	
6863	26c649cc-eb0a-48c4-a5c9-15be73330cbb	Shalman	Shalman	3	0	2013-05-25 04:29:36.232545+02	\N	\N	\N	\N	\N	\N	f	
7846	fab75365-03ca-4fd2-b54b-2309c560b562	York	York	3	0	2013-05-29 02:47:09.462212+02	\N	\N	\N	\N	\N	\N	f	
6879	2f577a45-91fc-4b40-9c7e-699c01e77982	Sharafkhaneh	Sharafkhaneh	3	0	2013-05-25 04:32:36.066714+02	\N	\N	\N	\N	\N	\N	f	
6886	947ab7a9-f05d-444d-a642-54a04bde4982	Khajeh	Khajeh	3	0	2013-05-25 04:33:50.767192+02	\N	\N	\N	\N	\N	\N	f	
7014	7c534d59-30fd-43b9-8dd3-2b633cab14fb	Ostrzeszów	Ostrzeszów	3	0	2013-05-25 14:27:43.186913+02	\N	\N	\N	\N	\N	\N	f	
7864	acfda8bf-fd5c-407c-8e2b-ec5d98008f68	Milford	Milford	3	0	2013-05-29 02:52:54.483177+02	\N	\N	\N	\N	\N	\N	f	
6085	41159aa5-008f-4fd9-bc64-4b14a6d0ef05	Beacon	Beacon	3	0	2013-05-26 14:30:41.046781+02	\N	\N	\N	\N	\N	\N	f	
8953	6be7fb4f-5f8b-40fa-9a73-34b99bef2791	Fuzhou, Jiangxi	Fuzhou, Jiangxi	3	0	2013-06-01 20:09:00.089278+02	\N	\N	\N	\N	\N	\N	f	
8057	fa370131-0357-4de0-952c-2cb43cf514d0	Malvern	Malvern	3	0	2013-05-30 18:36:32.768872+02	\N	\N	\N	\N	\N	\N	f	
8184	080c936e-8d2f-443e-a391-db381e87d21c	Dastana (Shahr-e-Kord)	Dastana (Shahr-e-Kord)	3	0	2013-05-30 21:12:32.835716+02	\N	\N	\N	\N	\N	\N	f	
9587	298f79ee-977d-4d5b-813a-50fb8c2f8afe	Kaarina	Kaarina	3	0	2013-06-11 05:06:30.405683+02	\N	\N	\N	\N	\N	\N	f	
8368	e7ff476e-5b16-4d6f-8f49-15aae064f6f6	Santalla de Lóuzara	Santalla de Lóuzara	3	0	2013-05-30 21:55:25.35588+02	\N	\N	\N	\N	\N	\N	f	
9064	c298ca08-d206-4729-9ecc-fb063d6a17e7	Jiaxing	Jiaxing	3	0	2013-06-01 20:32:39.146169+02	\N	\N	\N	\N	\N	\N	f	
8553	8e4e45d8-34d6-4834-af2b-532636106f4f	Rakoniewice	Rakoniewice	3	0	2013-06-01 17:39:24.983421+02	\N	\N	\N	\N	\N	\N	f	
8647	4bf6536a-bbd0-4c68-8ff3-8e8f2cb04d06	Bungendore	Bungendore	3	0	2013-06-01 18:04:09.173278+02	\N	\N	\N	\N	\N	\N	f	
9433	12cb4d80-a756-43fc-80bc-55a55671c9b0	Halol	Halol	3	0	2013-06-09 17:34:14.720338+02	\N	\N	\N	\N	\N	\N	f	
8701	21ae5f0d-650b-403a-8d56-0e73002853ff	Grenfell	Grenfell	3	0	2013-06-01 18:21:20.350819+02	\N	\N	\N	\N	\N	\N	f	
9220	5e0f9dee-d5bf-4185-9ae3-2dbc77775cb8	Chełmek	Chełmek	3	0	2013-06-01 22:53:56.014248+02	\N	\N	\N	\N	\N	\N	f	
8824	000e5fa2-e43e-49e6-81e5-8cdd3b152317	Piwniczna-Zdrój	Piwniczna-Zdrój	3	0	2013-06-01 19:35:15.858672+02	\N	\N	\N	\N	\N	\N	f	
8825	0cad345e-45fb-4920-8fe3-c8c0b63924f3	Hamilton	Hamilton	3	0	2013-06-01 19:35:41.573393+02	\N	\N	\N	\N	\N	\N	f	
4747	6838e23f-e19f-42b4-be47-95be203bfcff	Anurādhapura	Anurādhapura	2	0	2013-06-05 07:08:35.75565+02	\N	\N	\N	\N	\N	\N	f	
9301	76083cc3-cb9e-4ca9-9ccc-98babc3a230c	Saint-Wenceslas	Saint-Wenceslas	3	0	2013-06-02 16:54:40.40388+02	\N	\N	\N	\N	\N	\N	f	
9367	d864e727-7625-42b8-8c26-20e6489f3576	Redfield	Redfield	3	0	2013-06-04 22:11:16.969645+02	\N	\N	\N	\N	\N	\N	f	
9387	cbe97c73-6163-4a74-9d75-2b0993f8e1aa	Kehra	Kehra	3	0	2013-06-04 22:32:16.240931+02	\N	\N	\N	\N	\N	\N	f	
3332	a467c77e-3152-4f04-a4ae-d8dc9cc74d32	Al Wādī al Jadīd	Al Wādī al Jadīd	2	0	2013-06-05 10:39:50.58342+02	\N	\N	\N	\N	\N	\N	f	
4547	340046ff-1f58-446d-b523-3fa07b140ed5	Bolama	Bolama	2	0	2013-06-05 09:53:45.026782+02	\N	\N	\N	\N	\N	\N	f	
9511	b938bced-3e78-4ab4-80d0-4bfaf0f7d972	Delson	Delson	3	0	2013-06-09 18:02:55.792159+02	\N	\N	\N	\N	\N	\N	f	
9820	bed50b9a-2268-4277-bf57-eb9d7748f961	Kadoma	Kadoma	3	0	2013-06-18 03:45:12.873087+02	\N	\N	\N	\N	\N	\N	f	
9605	46e39061-2dc3-4390-b842-6afe22f22346	Ulvila	Ulvila	3	0	2013-06-12 07:34:47.636377+02	\N	\N	\N	\N	\N	\N	f	
9541	ca61e235-0f31-4c0e-8963-8232222ef6a8	Oklahoma City	Oklahoma City	3	0	2013-06-09 18:16:41.244584+02	\N	\N	\N	\N	\N	\N	f	
9549	20247704-7f3f-40c2-9c53-836532195803	Loveland	Loveland	3	0	2013-06-09 18:27:50.621135+02	\N	\N	\N	\N	\N	\N	f	
9778	f5d468b1-e792-4f5a-a664-840d0054b1b3	Yūki	Yūki	3	0	2013-06-18 01:17:32.2483+02	\N	\N	\N	\N	\N	\N	f	
9832	94c066fa-b1a6-469f-b63a-0911160d275c	Kameoka	Kameoka	3	0	2013-06-18 03:50:15.939068+02	\N	\N	\N	\N	\N	\N	f	
9954	ddb838d1-9868-4071-b1db-e440409dac91	Kumejima	Kumejima	3	0	2013-06-18 07:31:00.31138+02	\N	\N	\N	\N	\N	\N	f	
10037	6f502a34-f4c0-4480-a1b7-807ae413817e	Munakata	Munakata	3	0	2013-06-18 08:09:17.565758+02	\N	\N	\N	\N	\N	\N	f	
10128	9656c4a7-559b-43ce-b704-40ddf41b231f	Okagaki	Okagaki	3	0	2013-06-18 14:36:08.320475+02	\N	\N	\N	\N	\N	\N	f	
10113	2e562a23-be08-421a-8a07-672b30ec6e23	Yamae	Yamae	3	0	2013-06-18 14:33:27.876824+02	\N	\N	\N	\N	\N	\N	f	
10144	d995d369-7268-437d-9990-af2055509504	Mihara	Mihara	3	0	2013-06-18 14:38:58.173152+02	\N	\N	\N	\N	\N	\N	f	
13822	eca6b221-587d-4e83-ae8d-e3b17d8de830	Limone sul Garda	Limone sul Garda	4	0	2013-07-21 19:20:41.323744+02	\N	\N	\N	\N	\N	\N	f	
10159	c31619c7-51d3-4064-bd33-09e269e863c7	Kanda	Kanda	3	0	2013-06-18 14:41:51.48123+02	\N	\N	\N	\N	\N	\N	f	
10256	45bd73a0-9a33-4977-bbcc-248863474ef5	Shimojō	Shimojō	3	0	2013-06-18 17:21:56.994395+02	\N	\N	\N	\N	\N	\N	f	
10297	db6805b3-0343-4466-92a7-439a843be1cb	Minamiyamashiro	Minamiyamashiro	3	0	2013-06-18 17:29:18.031099+02	\N	\N	\N	\N	\N	\N	f	
10302	d57837af-27ae-4971-a788-592b1e0a5c07	Sakae	Sakae	3	0	2013-06-18 17:30:10.172984+02	\N	\N	\N	\N	\N	\N	f	
10320	1df41fca-44fe-4f5c-9699-9825b1ca0350	Nagiso	Nagiso	3	0	2013-06-18 17:33:48.340749+02	\N	\N	\N	\N	\N	\N	f	
14412	3900f37b-fd57-4ad6-a26b-7ecbb54a12b9	Isola Sant'Antonio	Isola Sant'Antonio	4	0	2013-07-21 21:31:45.568894+02	\N	\N	\N	\N	\N	\N	f	
15520	bab81bd2-e403-4903-b417-03cffc07a857	Mandello Vitta	Mandello Vitta	4	0	2013-07-22 01:03:18.248183+02	\N	\N	\N	\N	\N	\N	f	
1068	50d3a86e-b842-442f-a3d9-0e43e893eef9	Cusco [Cuzco]	Cusco [Cuzco]	2	0	2013-06-05 11:22:18.521868+02	\N	\N	\N	\N	\N	\N	f	
4550	f316faba-5a18-4c2f-9e7c-0bf82c9414a3	Gabú	Gabú	2	0	2013-05-22 14:05:34.955961+02	\N	\N	\N	\N	\N	\N	f	
4551	adc249ca-c763-4f87-a082-f1f7dc58634d	Oio	Oio	2	0	2013-05-22 14:05:50.320314+02	\N	\N	\N	\N	\N	\N	f	
5231	e0d47a5a-9240-4eb2-a3eb-4b0562e07831	Frankfort	Frankfort	3	0	2013-05-24 22:53:31.974069+02	\N	\N	\N	\N	\N	\N	f	
2392	6c2c2263-674d-4eb9-9a8a-afa88ae8d9c3	Astrakhanskaya oblast'	Astrakhanskaya oblast'	2	0	2013-06-05 10:40:46.724675+02	\N	\N	\N	\N	\N	\N	f	
9543	da0b23dc-e610-4caf-bc0b-c6beacf9cd7c	Tower City	Tower City	3	0	2013-06-09 18:19:18.390126+02	\N	\N	\N	\N	\N	\N	f	
4694	92e6b9a6-b2cb-4790-b0b9-05a0e4af72c9	Rieti	Rieti	2	0	2013-05-22 14:46:45.814301+02	\N	\N	\N	\N	\N	\N	f	
5389	b3bcfb1e-4334-46cb-8390-9a62743ed906	Stargard Szczeciński	Stargard Szczeciński	3	0	2013-05-24 23:25:03.225993+02	\N	\N	\N	\N	\N	\N	f	
4834	d45b08bc-e684-4b57-aefd-4945e9fc1544	Likoma	Likoma	2	0	2013-05-22 15:26:55.237815+02	\N	\N	\N	\N	\N	\N	f	
4849	921cc603-83c7-4fed-bc06-d7aac2464aed	Salima	Salima	2	0	2013-05-22 15:31:24.154277+02	\N	\N	\N	\N	\N	\N	f	
5866	fe9e662a-abe3-417d-a24a-c8b36d97d0f8	Babol	Babol	3	0	2013-05-25 01:08:20.816782+02	\N	\N	\N	\N	\N	\N	f	
4972	99467321-03b1-4e43-b5af-b030dbc22d9a	Kosovsko-Mitrovački okrug	Kosovsko-Mitrovački okrug	2	0	2013-05-22 16:00:51.736345+02	\N	\N	\N	\N	\N	\N	f	
5552	1f86f1df-424d-44a9-ac08-de0e67431d32	Kibaha	Kibaha	3	0	2013-05-25 00:01:17.194197+02	\N	\N	\N	\N	\N	\N	f	
4975	447650f2-6894-4e84-903f-22f4559e64ab	Kampala	Kampala	2	0	2013-05-22 16:01:24.858771+02	\N	\N	\N	\N	\N	\N	f	
5047	ea1e2c89-329f-4aa6-bf42-31cb11c58f64	Kamwenge	Kamwenge	2	0	2013-05-22 16:15:12.186541+02	\N	\N	\N	\N	\N	\N	f	
5583	7132a564-4036-441f-85bb-049bf795b06d	Matsue	Matsue	3	0	2013-05-25 00:07:23.980391+02	\N	\N	\N	\N	\N	\N	f	
5945	10e8ce7c-b04c-4aa9-bf70-5f2880dabdc3	Gazanak	Gazanak	3	0	2013-05-25 01:23:55.77269+02	\N	\N	\N	\N	\N	\N	f	
6544	48375475-a44d-4f14-a05b-37c3020f77a3	Baladeh	Baladeh	3	0	2013-05-25 03:30:20.427004+02	\N	\N	\N	\N	\N	\N	f	
5968	ca95a8a7-6b8d-4790-9649-6fa2658ed48d	Barzul	Barzul	3	0	2013-05-25 01:28:09.693268+02	\N	\N	\N	\N	\N	\N	f	
6034	ec4910f8-ceea-457c-a79f-e3cc047409e0	Vawkavysk	Vawkavysk	3	0	2013-05-25 01:39:44.799275+02	\N	\N	\N	\N	\N	\N	f	
4555	a3af9f50-448a-4e19-a947-aeaa50c00c09	Bali	Bali	2	0	2013-06-05 08:30:07.831943+02	\N	\N	\N	\N	\N	\N	f	
6040	6ed86dc3-bda5-48ca-a0c1-bef12363d6c7	Corvallis	Corvallis	3	0	2013-05-25 01:40:53.882135+02	\N	\N	\N	\N	\N	\N	f	
6568	aaaa0e0d-309c-40d8-b68a-5854a34c4525	Shal	Shal	3	0	2013-05-25 03:34:33.825532+02	\N	\N	\N	\N	\N	\N	f	
6088	dd8a2bf7-af2b-44d7-b986-67dd6160ef49	Barwice	Barwice	3	0	2013-05-25 01:50:54.075252+02	\N	\N	\N	\N	\N	\N	f	
6209	85da206b-f23e-4053-8be9-98c8abfeb2a2	Ono	Ono	3	0	2013-05-25 02:13:03.016039+02	\N	\N	\N	\N	\N	\N	f	
7196	741a7585-0c8c-4ee6-b71d-928ac5682894	Brusy	Brusy	3	0	2013-05-26 17:16:34.864556+02	\N	\N	\N	\N	\N	\N	f	
6234	4fca8ce7-1250-4f8b-8609-349cf3ccff1f	Olecko	Olecko	3	0	2013-05-25 02:18:16.018488+02	\N	\N	\N	\N	\N	\N	f	
6325	499813a3-e808-4edd-b0a6-718ead426550	Waverly	Waverly	3	0	2013-05-25 02:39:13.926215+02	\N	\N	\N	\N	\N	\N	f	
6738	71dc845e-5926-4930-ae24-f9a856bfab6c	Lalejin	Lalejin	3	0	2013-05-25 04:06:43.055565+02	\N	\N	\N	\N	\N	\N	f	
8954	eda2e7ca-8bb9-40e6-a13e-cc5d7bffce72	Dongying	Dongying	3	0	2013-06-01 20:09:10.544515+02	\N	\N	\N	\N	\N	\N	f	
6806	c150162c-9dee-4e76-8b02-16399fdb8ee3	Kuhi Kheyl	Kuhi Kheyl	3	0	2013-05-25 04:19:39.371251+02	\N	\N	\N	\N	\N	\N	f	
7570	3227cee1-77c5-488b-9039-be92bf83e80a	Volkmarsen	Volkmarsen	3	0	2013-05-29 00:48:28.476405+02	\N	\N	\N	\N	\N	\N	f	
6819	9ef8e7d1-e7bf-43dd-be2e-5e007beef235	Tudeshg	Tudeshg	3	0	2013-05-25 04:21:58.034483+02	\N	\N	\N	\N	\N	\N	f	
6832	e23cbbc5-7d3b-4aaa-a1f8-0b84174b3788	Baghin	Baghin	3	0	2013-05-25 04:24:12.14943+02	\N	\N	\N	\N	\N	\N	f	
6833	7a7fab5b-89bb-4cf8-b383-be24f8b2b93d	Simmineh	Simmineh	3	0	2013-05-25 04:24:22.58498+02	\N	\N	\N	\N	\N	\N	f	
7847	6cd0d62a-12b9-45ba-b4e2-c275d1fabebc	Broken Arrow	Broken Arrow	3	0	2013-05-29 02:47:22.655588+02	\N	\N	\N	\N	\N	\N	f	
7015	7ddd476d-654a-4dd2-8361-3936d58e35f4	Myślibórz	Myślibórz	3	0	2013-05-25 14:27:54.370288+02	\N	\N	\N	\N	\N	\N	f	
7868	3cfc999f-4d39-42e0-969e-348ae6bb45d4	Easton	Easton	3	0	2013-05-29 02:54:17.946556+02	\N	\N	\N	\N	\N	\N	f	
8991	1c10453f-a26c-472f-ba7c-f8236adcd787	Panzhihua	Panzhihua	3	0	2013-06-01 20:16:39.744757+02	\N	\N	\N	\N	\N	\N	f	
8059	eff6de96-3b7e-4cc9-9c59-370bb156af7a	Brewarrina	Brewarrina	3	0	2013-05-30 18:37:01.968907+02	\N	\N	\N	\N	\N	\N	f	
8185	c9f88305-ceba-4138-8c71-7da0c060fbcc	Tilbury	Tilbury	3	0	2013-05-30 21:12:40.667636+02	\N	\N	\N	\N	\N	\N	f	
8369	36c5d8cb-c831-4eb6-86ee-5592a5b273fb	Holland	Holland	3	0	2013-05-30 21:55:41.535966+02	\N	\N	\N	\N	\N	\N	f	
9066	fedd560e-2387-42e5-836d-bd47ac4e91a0	Jinhua	Jinhua	3	0	2013-06-01 20:33:07.163992+02	\N	\N	\N	\N	\N	\N	f	
8554	5b380b3c-17f2-4bea-962d-0f8dfcdc0d42	Marki	Marki	3	0	2013-06-01 17:39:37.815605+02	\N	\N	\N	\N	\N	\N	f	
8641	3d666ff7-7e5a-42ba-935b-8047ec91db29	Casino, New South Wales	Casino, New South Wales	3	0	2013-06-01 18:02:34.060387+02	\N	\N	\N	\N	\N	\N	f	
4549	1e032557-4cb0-4cba-92fe-346477ad72b9	Cacheu	Cacheu	2	0	2013-06-05 09:17:07.315509+02	\N	\N	\N	\N	\N	\N	f	
8702	7ce12347-4cc4-48a7-975f-a3e063478ecf	Wilcannia	Wilcannia	3	0	2013-06-01 18:21:43.000288+02	\N	\N	\N	\N	\N	\N	f	
9118	1a22ad98-16af-4ad0-a3ff-11f613da5e28	Shiyan	Shiyan	3	0	2013-06-01 20:43:43.322314+02	\N	\N	\N	\N	\N	\N	f	
8720	bd49a188-24cc-45a0-bd5b-16539b638312	Davis	Davis	3	0	2013-06-01 18:26:33.958031+02	\N	\N	\N	\N	\N	\N	f	
8826	7cb50ccd-3edc-429a-a827-8563b9856429	Kleczew	Kleczew	3	0	2013-06-01 19:35:52.673557+02	\N	\N	\N	\N	\N	\N	f	
9588	19fad70e-2b8e-4df1-acf0-62bc3087f345	Laitila	Laitila	3	0	2013-06-11 05:08:24.615968+02	\N	\N	\N	\N	\N	\N	f	
9146	3511361e-153e-4f30-bc86-bbaa8359b975	Fushun	Fushun	3	0	2013-06-01 20:49:21.953934+02	\N	\N	\N	\N	\N	\N	f	
9221	bf397c81-62df-45d8-afa4-a551901cbfac	Dobrzany	Dobrzany	3	0	2013-06-01 22:54:22.502051+02	\N	\N	\N	\N	\N	\N	f	
9822	f59a6752-1c7f-405b-bbf7-654b0af43578	Koshigaya	Koshigaya	3	0	2013-06-18 03:45:40.249024+02	\N	\N	\N	\N	\N	\N	f	
9302	a4447fdf-e60a-4af8-ba66-631b6eb55467	Saint-Valère	Saint-Valère	3	0	2013-06-02 16:54:54.310487+02	\N	\N	\N	\N	\N	\N	f	
1486	17fdda62-de76-43e5-b456-b1e4283d7367	Choiseul	Choiseul	2	0	2013-06-05 07:09:20.45376+02	\N	\N	\N	\N	\N	\N	f	
9368	68f6ce8f-b1c0-4c15-8b5d-cf02f9c258be	Abja-Paluoja	Abja-Paluoja	3	0	2013-06-04 22:14:20.849477+02	\N	\N	\N	\N	\N	\N	f	
4554	64711e91-f9c7-4009-a8ef-e7bfbb0408b7	Aceh	Aceh	2	0	2013-06-05 11:56:40.157281+02	\N	\N	\N	\N	\N	\N	f	
4557	3ea3eb5f-1e31-406a-98f6-13497ffe7db3	Bengkulu	Bengkulu	2	0	2013-06-05 08:03:03.741965+02	\N	\N	\N	\N	\N	\N	f	
4556	1729be76-60c6-4691-a25a-bb09d53945b7	Bangka Belitung	Bangka Belitung	2	0	2013-06-05 09:23:14.273392+02	\N	\N	\N	\N	\N	\N	f	
9606	c35a40f0-8fe9-457f-8b50-8349e9224350	Rauma	Rauma	3	0	2013-06-12 07:38:34.352491+02	\N	\N	\N	\N	\N	\N	f	
9434	e75ac97c-9c9e-4ce4-b852-98b7b58155db	Godhra	Godhra	3	0	2013-06-09 17:34:37.27096+02	\N	\N	\N	\N	\N	\N	f	
10061	4c7513f7-9278-4dc7-816c-fc1a89cee454	Gōtsu	Gōtsu	3	0	2013-06-18 08:13:57.043261+02	\N	\N	\N	\N	\N	\N	f	
9779	72077c3e-b192-41de-8d2b-2119760d263c	Murayama	Murayama	3	0	2013-06-18 01:17:48.995262+02	\N	\N	\N	\N	\N	\N	f	
10039	9848c3f0-77bf-4ff0-8d9b-3e113f886af5	Koga	Koga	3	0	2013-06-18 08:09:46.441359+02	\N	\N	\N	\N	\N	\N	f	
9955	a6aa1534-6c2f-4d24-8bc9-de5b1a68586e	Takaharu	Takaharu	3	0	2013-06-18 07:31:10.497058+02	\N	\N	\N	\N	\N	\N	f	
9962	0609f542-ab3d-4705-9fef-595f123df493	Nishimera	Nishimera	3	0	2013-06-18 07:32:33.785184+02	\N	\N	\N	\N	\N	\N	f	
10115	fa95d39d-d5c0-4372-82af-4857e35ff8b6	Shinjō	Shinjō	3	0	2013-06-18 14:33:50.088432+02	\N	\N	\N	\N	\N	\N	f	
10117	77683b61-7d42-4b79-b32e-07c180e487b7	Nishiki	Nishiki	3	0	2013-06-18 14:34:17.919194+02	\N	\N	\N	\N	\N	\N	f	
10205	fd4b9ee4-604b-4e7a-99a7-a7cceb6bad9f	Kurate	Kurate	3	0	2013-06-18 15:09:43.87734+02	\N	\N	\N	\N	\N	\N	f	
10300	dbffbac6-11f9-45e4-a2cc-18fcbb3896e9	Koumi	Koumi	3	0	2013-06-18 17:29:49.121288+02	\N	\N	\N	\N	\N	\N	f	
10257	3d95b374-fbab-49e9-970b-47c3a6c65543	Ide	Ide	3	0	2013-06-18 17:22:07.221989+02	\N	\N	\N	\N	\N	\N	f	
10303	1de6bb50-d9d2-4c74-aa39-5f2716e3a19d	Tsunan	Tsunan	3	0	2013-06-18 17:30:20.469157+02	\N	\N	\N	\N	\N	\N	f	
10322	7dc9cebd-2d74-4c80-8198-08f97349e7b2	Nachikatsuura	Nachikatsuura	3	0	2013-06-18 17:34:14.618097+02	\N	\N	\N	\N	\N	\N	f	
10339	b11e84e4-7a7a-460f-94f1-7333a8755336	Ikeda	Ikeda	3	0	2013-06-18 17:37:13.522744+02	\N	\N	\N	\N	\N	\N	f	
10333	8f049a79-e68d-4a5f-9136-f0fa3e1d647b	Tateshina	Tateshina	3	0	2013-06-18 17:36:10.910494+02	\N	\N	\N	\N	\N	\N	f	
10350	a9a90f94-b4bb-49b2-b4a6-adb7ef301dda	Kozagawa	Kozagawa	3	0	2013-06-18 17:39:55.311646+02	\N	\N	\N	\N	\N	\N	f	
10381	13a28b2e-061e-48be-a18e-2fa0ac0b4b84	Sekigahara	Sekigahara	3	0	2013-06-18 17:59:41.657291+02	\N	\N	\N	\N	\N	\N	f	
10382	32497c0d-1e8a-4933-9d7e-977fee0a3d66	Ōyamazaki	Ōyamazaki	3	0	2013-06-18 18:00:12.853087+02	\N	\N	\N	\N	\N	\N	f	
10416	5a7c55a3-781d-4485-894a-4f9a411e958a	Ina	Ina	3	0	2013-06-18 18:15:23.566431+02	\N	\N	\N	\N	\N	\N	f	
13823	cb2f0527-d15f-4d2e-a3ad-b4a829a473c0	Corte Franca	Corte Franca	4	0	2013-07-21 19:20:53.354837+02	\N	\N	\N	\N	\N	\N	f	
13827	cd62ee8d-35cf-4416-a4fe-97bd5477d4cd	Leno	Leno	4	0	2013-07-21 19:21:43.561876+02	\N	\N	\N	\N	\N	\N	f	
15521	44d1a0d1-8a0f-4923-a614-bd7405074893	Miasino	Miasino	4	0	2013-07-22 01:03:32.871399+02	\N	\N	\N	\N	\N	\N	f	
13831	5997e47b-1a71-4bbf-813b-72a2e3f2baac	Cimbergo	Cimbergo	4	0	2013-07-21 19:22:31.140061+02	\N	\N	\N	\N	\N	\N	f	
14413	8cb0b086-0e50-45e6-971d-ebd8a0707858	Cuccaro Monferrato	Cuccaro Monferrato	4	0	2013-07-21 21:31:59.902349+02	\N	\N	\N	\N	\N	\N	f	
16205	6b023763-083d-41b3-910b-f68f84061a6c	Rialto, Liguria	Rialto, Liguria	4	0	2013-07-22 03:05:42.080469+02	\N	\N	\N	\N	\N	\N	f	
28209	a2125f79-6b77-422e-aba1-82920b5d545e	Shchyolkovo	Shchyolkovo	3	0	2013-09-08 14:51:14.894373+02	\N	\N	\N	\N	\N	\N	f	
14955	921d8b12-d50f-4626-ae6d-e70bb8636c57	Magliano Alfieri	Magliano Alfieri	4	0	2013-07-21 23:30:09.824412+02	\N	\N	\N	\N	\N	\N	f	
16214	a347bbcd-c63b-41b0-ba18-7a8321aa72ac	Stellanello	Stellanello	4	0	2013-07-22 03:06:45.529495+02	\N	\N	\N	\N	\N	\N	f	
17314	ddad76bc-8aa5-4c1c-8e1e-1cfb8dc4576b	Cedrasco	Cedrasco	4	0	2013-07-22 06:11:55.778057+02	\N	\N	\N	\N	\N	\N	f	
16220	ceda80ad-8f81-48d7-b8ac-608013e9a2cf	Orco Feglino	Orco Feglino	4	0	2013-07-22 03:07:24.470745+02	\N	\N	\N	\N	\N	\N	f	
16252	33ede4a4-b14b-4e5c-96b8-3dfcf9168c48	Baranello	Baranello	4	0	2013-07-22 03:11:17.838755+02	\N	\N	\N	\N	\N	\N	f	
25192	eb411843-f0bd-4801-95ca-ab93467298f1	Janesville	Janesville	3	0	2013-09-07 10:35:38.7799+02	\N	\N	\N	\N	\N	\N	f	
16275	030ae447-cd19-451b-b294-12ec6295bac8	Macchia Valfortore	Macchia Valfortore	4	0	2013-07-22 03:13:55.495041+02	\N	\N	\N	\N	\N	\N	f	
16277	e9948d2b-6203-4d71-b474-1fb60c0a5790	Montelongo	Montelongo	4	0	2013-07-22 03:14:09.80903+02	\N	\N	\N	\N	\N	\N	f	
16361	45a2d0a8-7bc1-4885-801a-dfc4b954c335	Pescolanciano	Pescolanciano	4	0	2013-07-22 03:24:11.006072+02	\N	\N	\N	\N	\N	\N	f	
19671	dd5b419b-44f4-45fc-b4f0-0326404192ae	Pian di Scò	Pian di Scò	4	0	2013-07-22 11:17:31.182045+02	\N	\N	\N	\N	\N	\N	f	
16416	a9503cb3-a2f8-472d-ad48-955d7345a5d9	Nuraminis	Nuraminis	4	0	2013-07-22 03:30:59.551452+02	\N	\N	\N	\N	\N	\N	f	
17484	141ebb3e-76cc-4f97-80a6-495b676438db	Torrazza Coste	Torrazza Coste	4	0	2013-07-22 06:33:08.906113+02	\N	\N	\N	\N	\N	\N	f	
16431	0591a888-9fe3-4db7-a3f5-d5417820b703	Gesico	Gesico	4	0	2013-07-22 03:32:32.42403+02	\N	\N	\N	\N	\N	\N	f	
27242	c50b6fa1-a346-42dc-9682-7518c2a6ecf5	Hobson	Hobson	3	0	2013-09-08 06:07:39.12518+02	\N	\N	\N	\N	\N	\N	f	
25688	6a8c097a-cbfc-4975-aaff-0261c09405e8	New Roads, Louisiana	New Roads, Louisiana	3	0	2013-09-07 13:32:59.947792+02	\N	\N	\N	\N	\N	\N	f	
16929	a29d9184-e668-4471-8a4d-aa28e36db768	Selvazzano Dentro	Selvazzano Dentro	4	0	2013-07-22 05:13:02.412627+02	\N	\N	\N	\N	\N	\N	f	
16965	1f3e31a2-5db9-4758-84f1-ae978c2e7dd7	Antey-Saint-André	Antey-Saint-André	4	0	2013-07-22 05:21:55.804524+02	\N	\N	\N	\N	\N	\N	f	
17521	07e71acd-7b65-42e5-9fbe-35037f1a7585	Saltrio	Saltrio	4	0	2013-07-22 06:37:41.836334+02	\N	\N	\N	\N	\N	\N	f	
19682	2aaa93fe-7c98-4859-a5bd-c0ecad040ea2	Laterina	Laterina	4	0	2013-07-22 11:19:40.774114+02	\N	\N	\N	\N	\N	\N	f	
18174	c5306038-8dda-48e8-bce3-667bb9fc9c86	Motta Visconti	Motta Visconti	4	0	2013-07-22 07:56:37.302477+02	\N	\N	\N	\N	\N	\N	f	
26145	95fbc0d5-f339-4076-b991-869854ceee4a	Commerce, Missouri	Commerce, Missouri	3	0	2013-09-07 20:27:14.16742+02	\N	\N	\N	\N	\N	\N	f	
18245	7d1043d5-129a-422e-b999-9954c8825ca2	Gombito	Gombito	4	0	2013-07-22 08:04:44.674086+02	\N	\N	\N	\N	\N	\N	f	
18259	12678e7b-df27-4b53-a1e0-60da4587c0a4	Cassina Valsassina	Cassina Valsassina	4	0	2013-07-22 08:06:19.064089+02	\N	\N	\N	\N	\N	\N	f	
27670	4e52ab32-63a1-4d62-9c51-a3f06a6d4d3c	Germantown	Germantown	3	0	2013-09-08 09:14:58.570126+02	\N	\N	\N	\N	\N	\N	f	
18262	dd3c33e1-e46d-4e29-b8a3-3b3d5f2557fd	Torlino Vimercati	Torlino Vimercati	4	0	2013-07-22 08:06:39.596269+02	\N	\N	\N	\N	\N	\N	f	
26461	c661cf09-54a3-4889-98fc-26c347b6e38f	Elkhart, Kansas	Elkhart, Kansas	3	0	2013-09-08 00:40:50.661156+02	\N	\N	\N	\N	\N	\N	f	
18270	dd6f8393-d41f-4317-8cbd-2d6da84b0c6b	Pescarolo ed Uniti	Pescarolo ed Uniti	4	0	2013-07-22 08:07:36.126515+02	\N	\N	\N	\N	\N	\N	f	
27275	c7ca64a4-0390-4049-ac67-4487ce7e95a1	Edgar Springs	Edgar Springs	3	0	2013-09-08 06:16:12.643015+02	\N	\N	\N	\N	\N	\N	f	
16466	6ae6d252-e640-4654-8199-ef334403374c	Soleminis	Soleminis	4	0	2013-07-22 15:01:30.350604+02	\N	\N	\N	\N	\N	\N	f	
19067	9e1299d8-8b52-47be-ab47-cf6eb5d37ed1	Paceco	Paceco	4	0	2013-07-22 09:48:05.690001+02	\N	\N	\N	\N	\N	\N	f	
20283	e5bc0445-bf6f-4229-9598-5ddf1ea12df9	Albino, Lombardy	Albino, Lombardy	4	0	2013-07-22 20:42:49.417606+02	\N	\N	\N	\N	\N	\N	f	
26467	6b13d7ec-9be2-4e0d-91ff-0c44b1c27787	Horn Lake, Mississippi	Horn Lake, Mississippi	3	0	2013-09-08 00:42:18.998294+02	\N	\N	\N	\N	\N	\N	f	
26468	1f0bd88e-2d1e-4a64-b8e3-53346e179367	Hedrick, Iowa	Hedrick, Iowa	3	0	2013-09-08 00:42:32.565682+02	\N	\N	\N	\N	\N	\N	f	
22085	686a67ae-d745-480a-a313-a17140878c11	Blue Grass	Blue Grass	3	0	2013-08-07 14:42:27.712371+02	\N	\N	\N	\N	\N	\N	f	
24567	3f01cee2-224d-41bd-b92a-4f5d677f1c0c	Andover, Iowa	Andover, Iowa	3	0	2013-09-07 07:41:25.912126+02	\N	\N	\N	\N	\N	\N	f	
26806	66dc88a1-1999-4edc-b43a-381e13dff2b0	Morrison	Morrison	3	0	2013-09-08 02:58:54.83485+02	\N	\N	\N	\N	\N	\N	f	
24569	68c8363f-99e8-4708-8922-4ddcd3aeadb2	Weiser, Idaho	Weiser, Idaho	3	0	2013-09-07 07:42:01.198731+02	\N	\N	\N	\N	\N	\N	f	
25074	7127d121-d86d-4d8b-8431-b797d2371012	Mount Vernon	Mount Vernon	3	0	2013-09-07 09:57:02.651316+02	\N	\N	\N	\N	\N	\N	f	
27578	ef3ae717-fcab-411a-9064-83af83551b3e	Fingal	Fingal	3	0	2013-09-08 08:46:23.484209+02	\N	\N	\N	\N	\N	\N	f	
25158	f319b0b2-3a49-4d96-8961-1ea3caa03742	Prescott, Kansas	Prescott, Kansas	3	0	2013-09-07 10:26:07.883005+02	\N	\N	\N	\N	\N	\N	f	
26808	debfb959-e0e2-4d97-a21f-0c226ec0f068	Farber	Farber	3	0	2013-09-08 02:59:38.841794+02	\N	\N	\N	\N	\N	\N	f	
26821	29880763-f4cb-4420-b890-e58cea768627	Polo	Polo	3	0	2013-09-08 03:03:16.442254+02	\N	\N	\N	\N	\N	\N	f	
27612	a542318b-e329-4908-b5e8-967aa67df721	Wauseon, Ohio	Wauseon, Ohio	3	0	2013-09-08 08:57:05.06411+02	\N	\N	\N	\N	\N	\N	f	
27935	7eff7c8b-dbd1-4722-ad76-e5a60aef73b9	Fallon	Fallon	3	0	2013-09-08 11:41:21.610082+02	\N	\N	\N	\N	\N	\N	f	
27630	a3d45da8-952b-4e69-9a6d-cf8a7f7db0f1	Toronto, Ohio	Toronto, Ohio	3	0	2013-09-08 09:02:06.294623+02	\N	\N	\N	\N	\N	\N	f	
27640	88085d84-dbc4-439b-905b-0e9e752c6d85	Grandin, North Dakota	Grandin, North Dakota	3	0	2013-09-08 09:05:55.215854+02	\N	\N	\N	\N	\N	\N	f	
27938	f7fb8a3b-5f2c-40ee-a93c-ac8c838a5ae2	Soledad	Soledad	3	0	2013-09-08 11:42:03.5628+02	\N	\N	\N	\N	\N	\N	f	
28403	972a3750-fe2a-4b41-ba44-121dd4392f26	Castlewood, South Dakota	Castlewood, South Dakota	3	0	2013-09-08 17:12:25.999568+02	\N	\N	\N	\N	\N	\N	f	
27952	e2fb27cd-5cad-469d-bb3f-c544e803f372	Woodlake	Woodlake	3	0	2013-09-08 11:45:48.796747+02	\N	\N	\N	\N	\N	\N	f	
28896	f6c08d14-1ec9-4f9b-895b-f05af5425130	Cosmopolis	Cosmopolis	3	0	2013-09-09 01:12:55.160542+02	\N	\N	\N	\N	\N	\N	f	
28877	d236e38d-0767-4e0f-998f-d836399be248	Cle Elum	Cle Elum	3	0	2013-09-09 01:07:10.661669+02	\N	\N	\N	\N	\N	\N	f	
28643	1d4f5f83-ed59-4df0-a23d-56236b1c06e8	Leonard	Leonard	3	0	2013-09-08 21:11:20.599382+02	\N	\N	\N	\N	\N	\N	f	
28868	4b6c9119-4eb5-4aa7-a211-272763e72369	Raymondville	Raymondville	3	0	2013-09-09 00:20:52.596186+02	\N	\N	\N	\N	\N	\N	f	
29126	989ccac1-ccde-44d4-bd66-0020092139eb	Wenatchee	Wenatchee	3	0	2013-09-09 02:40:31.510133+02	\N	\N	\N	\N	\N	\N	f	
29168	3c653607-766e-4d83-a70e-5987ab451555	Vega	Vega	3	0	2013-09-09 02:54:56.258284+02	\N	\N	\N	\N	\N	\N	f	
29291	a4ca864d-4406-476a-ba47-1f42c09397fb	Bluefield, West Virginia	Bluefield, West Virginia	3	0	2013-09-09 04:35:39.686942+02	\N	\N	\N	\N	\N	\N	f	
29395	5cbe4858-cc9a-46ca-afaf-81cc757b652b	Mappano	Mappano	4	0	2013-09-09 08:38:00.079342+02	\N	\N	\N	\N	\N	\N	f	
29301	4e550977-1c89-4836-a609-92db52639ae4	Independence	Independence	3	0	2013-09-09 05:21:36.719501+02	\N	\N	\N	\N	\N	\N	f	
29529	30bd769b-0150-447e-8a7c-5ec52f0f667e	Bewdley	Bewdley	3	0	2013-09-29 08:36:03.212832+02	\N	\N	\N	\N	\N	\N	f	
29635	e01abf51-fc56-4938-86af-cca781dafed1	Banana	Banana	3	0	2013-10-11 14:32:06.077241+02	\N	\N	\N	\N	\N	\N	f	
10383	682bbefb-d0aa-447f-8dc9-c1fe1e32904b	Toyooka	Toyooka	3	0	2013-06-18 18:00:23.564506+02	\N	\N	\N	\N	\N	\N	f	
10384	944f5273-3c0d-4a1a-be99-a310aaf37a18	Anpachi	Anpachi	3	0	2013-06-18 18:00:52.335345+02	\N	\N	\N	\N	\N	\N	f	
10401	411e069d-bd83-484a-80e4-c41685500272	Asahi	Asahi	3	0	2013-06-18 18:08:47.02241+02	\N	\N	\N	\N	\N	\N	f	
13824	fb2fdb84-3c33-439f-a9e7-c19ecfd566e7	Gardone Val Trompia	Gardone Val Trompia	4	0	2013-07-21 19:21:05.210194+02	\N	\N	\N	\N	\N	\N	f	
10402	1400b360-c976-4e81-aec6-e3ccb80a9673	Asuka	Asuka	3	0	2013-06-18 18:09:27.006337+02	\N	\N	\N	\N	\N	\N	f	
15522	edd7ae14-6526-4e33-8111-f4a8a9ece924	Oleggio	Oleggio	4	0	2013-07-22 01:03:45.65858+02	\N	\N	\N	\N	\N	\N	f	
14414	db4125b9-f92e-4cc1-b9b2-f4ef12a27c7e	Castelletto Monferrato	Castelletto Monferrato	4	0	2013-07-21 21:32:12.971775+02	\N	\N	\N	\N	\N	\N	f	
14418	f54d8a92-2ba5-487d-8138-e89f836340fe	Fabbrica Curone	Fabbrica Curone	4	0	2013-07-21 21:33:15.498055+02	\N	\N	\N	\N	\N	\N	f	
14922	3722310a-1c6b-4edd-ab16-ea7644ab569e	Dronero	Dronero	4	0	2013-07-21 23:26:03.053043+02	\N	\N	\N	\N	\N	\N	f	
16406	913dc153-7728-4272-96a0-0e49b71b8da8	Burcei	Burcei	4	0	2013-07-22 03:29:58.915949+02	\N	\N	\N	\N	\N	\N	f	
17315	f6880454-9281-4380-a203-0e32019d19a7	Sernio	Sernio	4	0	2013-07-22 06:12:16.578344+02	\N	\N	\N	\N	\N	\N	f	
16429	9c1eb8f7-6c16-4c9b-96e1-0e86e094eb73	Decimomannu	Decimomannu	4	0	2013-07-22 03:32:20.616296+02	\N	\N	\N	\N	\N	\N	f	
26146	230c1299-91f8-4520-814b-1a2e0be01714	West Point	West Point	3	0	2013-09-07 20:27:37.967624+02	\N	\N	\N	\N	\N	\N	f	
16462	28a124f3-2571-4a9f-9865-0b5e2b37926f	Siurgus Donigala	Siurgus Donigala	4	0	2013-07-22 03:36:22.223408+02	\N	\N	\N	\N	\N	\N	f	
17342	3d9fec92-6a89-45d8-931f-e23039415b8c	Besnate	Besnate	4	0	2013-07-22 06:15:41.774122+02	\N	\N	\N	\N	\N	\N	f	
16492	dafe14b6-8a55-4890-a311-a315e3619987	Pabillonis	Pabillonis	4	0	2013-07-22 03:40:11.574917+02	\N	\N	\N	\N	\N	\N	f	
16519	4e40e0ed-3825-4daa-93df-28898aa36783	Masainas	Masainas	4	0	2013-07-22 03:43:08.189211+02	\N	\N	\N	\N	\N	\N	f	
19672	80de4160-7107-4eb4-b520-f2d5c7295fb6	Marciano della Chiana	Marciano della Chiana	4	0	2013-07-22 11:17:44.151907+02	\N	\N	\N	\N	\N	\N	f	
16523	5142b154-83dc-4834-8e7b-cdf528dcbbb6	Villanovaforru	Villanovaforru	4	0	2013-07-22 03:43:46.584176+02	\N	\N	\N	\N	\N	\N	f	
16932	dab1ed56-d669-4895-9ea3-754b26405196	Vigonza	Vigonza	4	0	2013-07-22 05:13:46.214407+02	\N	\N	\N	\N	\N	\N	f	
17359	efd81c58-446b-4b50-bdca-5892cf594902	Sovico	Sovico	4	0	2013-07-22 06:17:43.368708+02	\N	\N	\N	\N	\N	\N	f	
18180	93947a4d-23c0-47a6-bd0b-3b411c96e3a1	Robecchetto con Induno	Robecchetto con Induno	4	0	2013-07-22 07:57:16.197843+02	\N	\N	\N	\N	\N	\N	f	
27937	95c3665a-f436-47f2-ba02-a51af7370ef2	Sebring	Sebring	3	0	2013-09-08 11:41:48.803526+02	\N	\N	\N	\N	\N	\N	f	
18224	4e8b41ad-f5dc-4314-80f0-9a70bd854893	Monte Marenzo	Monte Marenzo	4	0	2013-07-22 08:02:12.103396+02	\N	\N	\N	\N	\N	\N	f	
26462	d4307c90-4279-4d6e-8693-87fb37723327	Bowman, Georgia	Bowman, Georgia	3	0	2013-09-08 00:41:06.972676+02	\N	\N	\N	\N	\N	\N	f	
18272	3b0c3711-7fd2-435b-9844-48fa75d2e343	Drizzona	Drizzona	4	0	2013-07-22 08:07:48.376604+02	\N	\N	\N	\N	\N	\N	f	
18314	7d5d2121-2e60-4fef-ad51-4fd7627a025f	Solferino	Solferino	4	0	2013-07-22 08:13:02.281826+02	\N	\N	\N	\N	\N	\N	f	
16206	4dd58a96-d694-4dc9-997b-cfc3d85906b2	Urbe	Urbe	4	0	2013-07-22 15:01:27.673787+02	\N	\N	\N	\N	\N	\N	f	
18315	46574fd2-fb69-43c3-bf5f-ab702a5ce536	Stagno Lombardo	Stagno Lombardo	4	0	2013-07-22 08:13:14.833199+02	\N	\N	\N	\N	\N	\N	f	
19063	bff92e98-6ab8-46c4-b6e4-d8b435364cc0	Calatafimi-Segesta	Calatafimi-Segesta	4	0	2013-07-22 09:47:38.212276+02	\N	\N	\N	\N	\N	\N	f	
19241	63e0a631-7c18-4614-827b-e0157a5d7268	Pescocostanzo	Pescocostanzo	4	0	2013-07-22 10:10:38.059775+02	\N	\N	\N	\N	\N	\N	f	
20284	c6a989fd-6753-4d07-ac53-fef188d556ba	Andali	Andali	4	0	2013-07-22 20:43:02.325316+02	\N	\N	\N	\N	\N	\N	f	
26521	0873a4b7-2d5b-40df-b995-afada55ef715	Sulphur, Louisiana	Sulphur, Louisiana	3	0	2013-09-08 00:56:45.388622+02	\N	\N	\N	\N	\N	\N	f	
20292	644c4c85-d24e-4627-baf6-c72af0cb3cf3	Sersale	Sersale	4	0	2013-07-22 20:44:50.171917+02	\N	\N	\N	\N	\N	\N	f	
20294	ec616f46-070c-4772-8b10-1fdf5bdba95d	Pentone	Pentone	4	0	2013-07-22 20:45:14.207115+02	\N	\N	\N	\N	\N	\N	f	
28644	ff187dd5-6e05-4c8e-be42-e60784044d62	Maud	Maud	3	0	2013-09-08 21:11:37.292963+02	\N	\N	\N	\N	\N	\N	f	
20311	58710259-621b-4136-9b59-a4e1a689f65a	Petrizzi	Petrizzi	4	0	2013-07-22 20:48:41.086621+02	\N	\N	\N	\N	\N	\N	f	
26809	7d1cced2-1274-4cf5-b1ef-06d156f6cf01	Woodson Terrace	Woodson Terrace	3	0	2013-09-08 02:59:53.862163+02	\N	\N	\N	\N	\N	\N	f	
20316	0f708033-bc49-494e-8387-5ccee24823af	Acquappesa	Acquappesa	4	0	2013-07-22 20:49:41.172266+02	\N	\N	\N	\N	\N	\N	f	
27959	e9895d1a-bd13-436d-9e43-d4cc6b41bf53	Seaside	Seaside	3	0	2013-09-08 11:47:32.420155+02	\N	\N	\N	\N	\N	\N	f	
22086	52a62675-d1bd-40cd-90f4-b815831f5b31	Beacon	Beacon	3	0	2013-08-07 14:42:43.544335+02	\N	\N	\N	\N	\N	\N	f	
27244	8b2620bf-2926-4f42-b934-13ffb26e74b2	Hardin	Hardin	3	0	2013-09-08 06:08:08.320581+02	\N	\N	\N	\N	\N	\N	f	
24570	ac0387c8-93bb-4da5-9b94-99ede0d6795a	East Peoria	East Peoria	3	0	2013-09-07 07:42:15.031651+02	\N	\N	\N	\N	\N	\N	f	
24675	74bdcc8a-89ed-47dc-ad3e-438710931ad9	Morris	Morris	3	0	2013-09-07 08:07:55.309884+02	\N	\N	\N	\N	\N	\N	f	
24700	92ef1253-0563-448d-94fa-1a356256c211	Collinsville	Collinsville	3	0	2013-09-07 08:13:43.132328+02	\N	\N	\N	\N	\N	\N	f	
27580	ae746eff-7115-4e3a-b1ad-0e828e8dde04	Dayton	Dayton	3	0	2013-09-08 08:46:58.606561+02	\N	\N	\N	\N	\N	\N	f	
25075	9a97ae70-58b2-4840-8a13-27ebae670823	Maynard	Maynard	3	0	2013-09-07 09:57:22.893478+02	\N	\N	\N	\N	\N	\N	f	
25689	f36e3ffb-3362-4acd-8484-8f0d64dce7be	Natchitoches	Natchitoches	3	0	2013-09-07 13:33:19.707227+02	\N	\N	\N	\N	\N	\N	f	
28211	66906d7b-4224-40e2-9484-0e9cab64fb2c	Elektrougli	Elektrougli	3	0	2013-09-08 14:51:42.274879+02	\N	\N	\N	\N	\N	\N	f	
27654	3fc059ef-2a85-4e27-b79b-f5b460f6d5c8	Zap, North Dakota	Zap, North Dakota	3	0	2013-09-08 09:10:52.438976+02	\N	\N	\N	\N	\N	\N	f	
27668	3a71e34f-8d82-48ab-b315-e1bd4ee36e3e	Ellendale, North Dakota	Ellendale, North Dakota	3	0	2013-09-08 09:14:23.295631+02	\N	\N	\N	\N	\N	\N	f	
28405	9a7f5dc7-22cb-4036-9754-b55e376dc387	Veblen, South Dakota	Veblen, South Dakota	3	0	2013-09-08 17:12:56.262556+02	\N	\N	\N	\N	\N	\N	f	
28666	9472095b-98df-4abe-b8a8-c2a445a6cf53	O'Donnell	O'Donnell	3	0	2013-09-08 21:18:00.850353+02	\N	\N	\N	\N	\N	\N	f	
28443	1d0e81bd-b22a-4d77-82c9-bafadb0edb21	Smithville, Tennessee	Smithville, Tennessee	3	0	2013-09-08 17:27:28.657945+02	\N	\N	\N	\N	\N	\N	f	
28444	1a58c5d8-af00-4895-9ab8-33fd62c0d047	Sevierville, Tennessee	Sevierville, Tennessee	3	0	2013-09-08 17:27:49.690462+02	\N	\N	\N	\N	\N	\N	f	
29154	df948807-a270-49d4-ab26-153f907061ea	Marlin	Marlin	3	0	2013-09-09 02:50:48.046344+02	\N	\N	\N	\N	\N	\N	f	
28878	66fa296f-e097-48f3-8390-761c45e6320d	Chelan	Chelan	3	0	2013-09-09 01:07:35.334068+02	\N	\N	\N	\N	\N	\N	f	
28893	aa791ee5-1595-41b2-9f13-27464df312ff	Garfield	Garfield	3	0	2013-09-09 01:12:13.782897+02	\N	\N	\N	\N	\N	\N	f	
29292	4d7e3ea6-d2fc-45f0-9f34-f9be5551835a	Philippi, West Virginia	Philippi, West Virginia	3	0	2013-09-09 04:36:12.508017+02	\N	\N	\N	\N	\N	\N	f	
29132	d41fe2a0-11d3-43f5-a05b-f4fa138e0b0f	Moody	Moody	3	0	2013-09-09 02:43:24.78136+02	\N	\N	\N	\N	\N	\N	f	
29187	8f7f0344-6842-4b81-9129-9d4a41adaced	Pearland	Pearland	3	0	2013-09-09 03:00:34.951787+02	\N	\N	\N	\N	\N	\N	f	
29399	a6aa8ff4-ff7d-471b-8d1e-a55ffba84f9c	Medford, Wisconsin	Medford, Wisconsin	3	0	2013-09-09 08:40:55.15075+02	\N	\N	\N	\N	\N	\N	f	
29302	32e867bb-00e1-418e-8218-9b34d1768468	Amery	Amery	3	0	2013-09-09 05:21:50.37146+02	\N	\N	\N	\N	\N	\N	f	
29408	33d355da-a98c-4c3b-8986-dfc3def709c4	Palmerston North	Palmerston North	3	0	2013-09-10 05:21:11.614419+02	\N	\N	\N	\N	\N	\N	f	
29413	14556f8d-b3db-417d-b59a-152d1be99a1f	Queenstown	Queenstown	3	0	2013-09-10 08:24:54.395055+02	\N	\N	\N	\N	\N	\N	f	
23540	4c76a094-bf13-4550-8238-1c269720d72d	Outokumpu	Outokumpu	3	0	2013-09-10 23:02:00.582658+02	\N	\N	\N	\N	\N	\N	f	
29416	06250310-698c-4370-a8ee-eb3a70f65eac	Güglingen	Güglingen	3	0	2013-09-10 20:24:51.163686+02	\N	\N	\N	\N	\N	\N	f	
2568	c4e898b1-3353-443e-ab55-03d453ef9ed7	Hà Tây	Hà Tây	2	0	2013-09-11 09:13:12.696507+02	\N	\N	\N	2008	8	1	t	
29532	5a102c9f-8281-45f5-b2e4-3a6a283b2ae3	Beccles	Beccles	3	0	2013-09-29 08:37:52.18084+02	\N	\N	\N	\N	\N	\N	f	
29535	8dc54196-f332-44b0-9642-41e3fd690dd4	Church Stretton	Church Stretton	3	0	2013-09-29 08:38:47.547185+02	\N	\N	\N	\N	\N	\N	f	
29636	c2699413-4dcc-4b08-a970-2ee9d21aa539	Calabar	Calabar	3	0	2013-10-11 14:32:26.487389+02	\N	\N	\N	\N	\N	\N	f	
10386	94219780-f25b-43d8-81bb-0414ee51eae3	Yao	Yao	3	0	2013-06-18 18:01:42.433834+02	\N	\N	\N	\N	\N	\N	f	
13826	eca20762-cbc8-40de-8685-28446d04e83b	Collebeato	Collebeato	4	0	2013-07-21 19:21:31.602381+02	\N	\N	\N	\N	\N	\N	f	
10388	89872290-a448-4ad8-a344-15402d1e1202	Nishinoshima	Nishinoshima	3	0	2013-06-18 18:03:16.062303+02	\N	\N	\N	\N	\N	\N	f	
13858	0e5329fd-3a27-42b8-a0c9-09d75ca9ffb9	Darfo Boario Terme	Darfo Boario Terme	4	0	2013-07-21 19:28:04.172755+02	\N	\N	\N	\N	\N	\N	f	
15523	6f21e7e8-9921-4963-acda-83acb82bcd67	Varco Sabino	Varco Sabino	4	0	2013-07-22 01:03:57.888242+02	\N	\N	\N	\N	\N	\N	f	
14416	921c2a8d-3a25-4d2b-af7e-14b604041aea	Castellazzo Bormida	Castellazzo Bormida	4	0	2013-07-21 21:32:43.007762+02	\N	\N	\N	\N	\N	\N	f	
14468	b73e8ef2-e0c5-49ca-9e15-c35e0f6a8184	Pontestura	Pontestura	4	0	2013-07-21 21:44:27.398001+02	\N	\N	\N	\N	\N	\N	f	
10385	67b568c9-3c6f-4b21-9cb0-e0bdb7aa6e64	Karaganda	Karaganda	3	0	2013-06-22 02:00:24.156441+02	\N	\N	\N	\N	\N	\N	f	
22317	73d8cbdd-3149-4cb6-a36d-1ef2036a8b88	Beverly Hills	Beverly Hills	3	0	2013-08-10 17:18:16.942041+02	\N	\N	\N	\N	\N	\N	f	
15659	e205b160-19d6-4ee6-b67e-16840161d160	Carpineto Romano	Carpineto Romano	4	0	2013-07-22 01:34:25.332394+02	\N	\N	\N	\N	\N	\N	f	
17316	a029ce75-f94c-4262-a794-f965e5697f5a	Jerago con Orago	Jerago con Orago	4	0	2013-07-22 06:12:28.307109+02	\N	\N	\N	\N	\N	\N	f	
16303	033b6a52-3a50-4b01-84d6-5f842bc97b9a	Tavenna	Tavenna	4	0	2013-07-22 03:17:38.163001+02	\N	\N	\N	\N	\N	\N	f	
16933	4de499c2-d46a-4e0f-ae82-2c95670c602c	Campodarsego	Campodarsego	4	0	2013-07-22 05:14:01.474771+02	\N	\N	\N	\N	\N	\N	f	
18182	2499b68e-183f-4f35-a3ba-23da66866932	Pagnona	Pagnona	4	0	2013-07-22 07:57:31.063852+02	\N	\N	\N	\N	\N	\N	f	
16989	f842071d-d86e-4489-9a3f-5c7f080295c3	Massimeno	Massimeno	4	0	2013-07-22 05:28:29.508939+02	\N	\N	\N	\N	\N	\N	f	
16997	6b23e3ed-af87-4a77-a2c3-ea640f595dcd	Issogne	Issogne	4	0	2013-07-22 05:30:13.421044+02	\N	\N	\N	\N	\N	\N	f	
19673	aecd80b4-3f15-4781-84d2-10fc7103e1d1	Loro Ciuffenna	Loro Ciuffenna	4	0	2013-07-22 11:17:56.640032+02	\N	\N	\N	\N	\N	\N	f	
17091	5715a014-38ee-4c2e-b51c-359342cbc4d6	Klausen	Klausen	4	0	2013-07-22 05:42:37.811573+02	\N	\N	\N	\N	\N	\N	f	
18254	6b44a41c-0f5a-4f43-8a9a-4fd772544035	Grontardo	Grontardo	4	0	2013-07-22 08:05:48.291902+02	\N	\N	\N	\N	\N	\N	f	
18260	f38cf7a2-e5f5-4d13-a9e0-9c3bb736b9a3	Ostiglia	Ostiglia	4	0	2013-07-22 08:06:27.497405+02	\N	\N	\N	\N	\N	\N	f	
18275	8b83e51b-e462-4f33-8d5e-3fc67d686e79	Rivolta d'Adda	Rivolta d'Adda	4	0	2013-07-22 08:08:03.503762+02	\N	\N	\N	\N	\N	\N	f	
19680	4b24e2f0-f21e-48f7-9c78-2e3750bf8bb4	Salisbury	Salisbury	3	0	2013-07-22 11:19:21.25971+02	\N	\N	\N	\N	\N	\N	f	
19065	8b383084-ffca-489e-89fd-d42f15d99027	Poggioreale	Poggioreale	4	0	2013-07-22 09:47:53.464536+02	\N	\N	\N	\N	\N	\N	f	
22254	a2e4f11b-99d1-4aa4-b184-4d6bc29d1365	Waco, Texas	Waco, Texas	3	0	2013-08-08 17:18:19.726415+02	\N	\N	\N	\N	\N	\N	f	
20285	369aa776-b065-445b-ac61-6ad97e36a247	Gagliato	Gagliato	4	0	2013-07-22 20:43:14.227844+02	\N	\N	\N	\N	\N	\N	f	
10479	ac27a81a-9af8-40bd-bc72-2987d6a9989d	Iwate	Iwate	3	0	2013-06-18 21:12:54.320493+02	\N	\N	\N	\N	\N	\N	f	
20307	ea19359e-2e8c-4976-a7ad-903eb0886433	San Pietro Apostolo	San Pietro Apostolo	4	0	2013-07-22 20:47:52.937307+02	\N	\N	\N	\N	\N	\N	f	
22255	6b09314f-1247-4e17-a6b7-74b7b943fb63	Pirmasens	Pirmasens	3	0	2013-08-09 02:18:45.039573+02	\N	\N	\N	\N	\N	\N	f	
20312	ee901fc0-ecdb-4c77-b996-010b8c726ddb	Aprigliano	Aprigliano	4	0	2013-07-22 20:48:53.102107+02	\N	\N	\N	\N	\N	\N	f	
22347	fd77848a-0371-47f3-9e2b-336de6496418	Calimesa, California	Calimesa, California	3	0	2013-08-10 23:23:46.474592+02	\N	\N	\N	\N	\N	\N	f	
22090	7e94a581-137c-4097-8a22-d1f6f138d69e	Thayer	Thayer	3	0	2013-08-07 14:45:53.951537+02	\N	\N	\N	\N	\N	\N	f	
22093	e885f02a-8bef-49d4-a428-a9e1be55fb0e	College Springs	College Springs	3	0	2013-08-07 14:47:09.756874+02	\N	\N	\N	\N	\N	\N	f	
22098	eedc06ce-b4bf-4816-9503-3f418cca9167	Albia, Iowa	Albia, Iowa	3	0	2013-08-07 17:26:34.087986+02	\N	\N	\N	\N	\N	\N	f	
22149	ea8c16d5-00da-4037-b71b-9b4d850cc7d6	Wilmington	Wilmington	3	0	2013-08-07 20:29:39.034639+02	\N	\N	\N	\N	\N	\N	f	
22280	b4ae684a-3783-4015-a426-c676288ac6d4	Camden, South Carolina	Camden, South Carolina	3	0	2013-08-09 08:18:00.419862+02	\N	\N	\N	\N	\N	\N	f	
22150	f2fa3d66-2879-4ed7-989e-e23ec0c4472b	Forchtenberg	Forchtenberg	3	0	2013-08-07 23:28:36.411228+02	\N	\N	\N	\N	\N	\N	f	
22154	d9d1ef49-4d1c-4ab3-8bb0-041e29126fe5	Abilene, Texas	Abilene, Texas	3	0	2013-08-08 05:18:14.411705+02	\N	\N	\N	\N	\N	\N	f	
22155	3dc9554a-a4cd-4d44-9cc6-f78309090586	Saint-Narcisse, Quebec	Saint-Narcisse, Quebec	3	0	2013-08-08 05:26:57.432522+02	\N	\N	\N	\N	\N	\N	f	
22289	1867cb3d-d409-493b-91d3-c76aaf344ab5	Williamsport	Williamsport	3	0	2013-08-09 17:17:28.487279+02	\N	\N	\N	\N	\N	\N	f	
22161	8780153a-66ad-4e39-9486-22a3677da424	Carrollton, Texas	Carrollton, Texas	3	0	2013-08-08 08:18:15.700433+02	\N	\N	\N	\N	\N	\N	f	
22205	fe449d8b-39c4-46d7-bcb0-09dfd0ce3b53	Jarrell	Jarrell	3	0	2013-08-08 11:17:21.526135+02	\N	\N	\N	\N	\N	\N	f	
22358	9b926752-1091-435e-b977-852b12d5a650	Millbrae	Millbrae	3	0	2013-08-11 02:17:31.321773+02	\N	\N	\N	\N	\N	\N	f	
22296	243efbfe-8bf6-4b0f-85bc-84f58531827c	Arlington	Arlington	3	0	2013-08-10 08:21:41.727863+02	\N	\N	\N	\N	\N	\N	f	
22539	b0322d66-c4d1-4e4a-b002-e5a87158361e	Grana	Grana	4	0	2013-08-11 11:19:27.865745+02	\N	\N	\N	\N	\N	\N	f	
22309	aac312ab-8f7c-4c51-82d2-3425895e5b58	Ashland	Ashland	3	0	2013-08-10 11:18:23.391603+02	\N	\N	\N	\N	\N	\N	f	
22388	8f4aac29-fe25-476e-aefa-27a9e14ef5d0	Eastvale, California	Eastvale, California	3	0	2013-08-11 02:33:44.000903+02	\N	\N	\N	\N	\N	\N	f	
22316	a73af282-c4c2-4214-8ec6-9e0fa87fcfc6	Clarkedale	Clarkedale	3	0	2013-08-10 14:31:30.484055+02	\N	\N	\N	\N	\N	\N	f	
22678	be88e312-5f57-41c2-8cf7-eac7a952afdd	Cavaglio-Spoccia	Cavaglio-Spoccia	4	0	2013-08-14 02:24:33.994935+02	\N	\N	\N	\N	\N	\N	f	
22456	606ce167-d980-44db-9cd5-64ffb258d37f	San Leandro	San Leandro	3	0	2013-08-11 02:57:03.130508+02	\N	\N	\N	\N	\N	\N	f	
22551	50a8ac0b-a860-43e5-967c-a61426b03c33	Morehead, Kentucky	Morehead, Kentucky	3	0	2013-08-11 14:20:02.666524+02	\N	\N	\N	\N	\N	\N	f	
22458	613ea436-3311-4d85-bbf7-e47bbca7a3c2	Warren	Warren	3	0	2013-08-11 05:23:49.316012+02	\N	\N	\N	\N	\N	\N	f	
22598	0edbe859-0bff-4783-9be4-e4a72b6b93c7	Villanova sull'Arda	Villanova sull'Arda	4	0	2013-08-13 17:17:57.511878+02	\N	\N	\N	\N	\N	\N	f	
22522	2aeefab7-a01b-43e2-b4a7-1d925c4b2cce	Fairfax, California	Fairfax, California	3	0	2013-08-11 08:21:42.528351+02	\N	\N	\N	\N	\N	\N	f	
22566	785ae981-ee58-4d3a-af86-481a5e72a689	Tomahawk, Kentucky	Tomahawk, Kentucky	3	0	2013-08-11 17:27:50.966147+02	\N	\N	\N	\N	\N	\N	f	
22631	505032d5-52f2-449b-977e-65ab9a633e38	Marone	Marone	4	0	2013-08-13 23:17:40.712909+02	\N	\N	\N	\N	\N	\N	f	
22570	11de082d-c2f4-4fe5-bd9d-3f02f353f6d5	Montenerodomo	Montenerodomo	4	0	2013-08-13 14:28:18.116263+02	\N	\N	\N	\N	\N	\N	f	
22629	e5405326-bcd5-4728-984b-8a8052bf2159	Morsano al Tagliamento	Morsano al Tagliamento	4	0	2013-08-13 20:18:01.941148+02	\N	\N	\N	\N	\N	\N	f	
22691	71b99119-9802-4ff7-85b3-09f15371932f	Baranzate	Baranzate	4	0	2013-08-14 11:17:59.03965+02	\N	\N	\N	\N	\N	\N	f	
22673	37cdfb84-f49d-4063-ab6d-0f458b146ead	Roccabruna	Roccabruna	4	0	2013-08-14 02:21:28.426536+02	\N	\N	\N	\N	\N	\N	f	
22690	a66daf98-ffad-4203-9b2b-baa36cb32f04	Batiscan	Batiscan	3	0	2013-08-14 05:25:50.170853+02	\N	\N	\N	\N	\N	\N	f	
24571	14bf9640-7272-4867-94ee-9dcf368c461e	Palmetto, Georgia	Palmetto, Georgia	3	0	2013-09-07 07:42:28.540693+02	\N	\N	\N	\N	\N	\N	f	
25077	f4c55464-092e-401f-b2e6-7b3945c62f27	Lewis	Lewis	3	0	2013-09-07 09:58:07.334321+02	\N	\N	\N	\N	\N	\N	f	
25690	51cb0248-8a96-4551-94eb-60f2532b14ae	Arma, Kansas	Arma, Kansas	3	0	2013-09-07 13:33:35.610207+02	\N	\N	\N	\N	\N	\N	f	
26147	0117b120-d7ef-4840-9413-ffe53a85448b	Port Gibson	Port Gibson	3	0	2013-09-07 20:27:51.747601+02	\N	\N	\N	\N	\N	\N	f	
26464	8e4ae391-7648-4d71-ab86-eb15b35f3326	East Prairie, Missouri	East Prairie, Missouri	3	0	2013-09-08 00:41:37.344462+02	\N	\N	\N	\N	\N	\N	f	
26813	8e66285a-f8cf-48b0-90ae-b5dfaf46c8c9	Hardin	Hardin	3	0	2013-09-08 03:01:02.976253+02	\N	\N	\N	\N	\N	\N	f	
26822	85ce8414-d649-4a87-9084-628d39b5c20c	Neck City	Neck City	3	0	2013-09-08 03:03:31.066499+02	\N	\N	\N	\N	\N	\N	f	
27245	97d4d45e-8226-4056-8a30-125ec9a4a1e6	Wymore	Wymore	3	0	2013-09-08 06:08:21.788733+02	\N	\N	\N	\N	\N	\N	f	
10387	e7973af1-8f78-4c90-9648-1d13e58c7a16	Iijima	Iijima	3	0	2013-06-18 18:02:48.652218+02	\N	\N	\N	\N	\N	\N	f	
10389	c62d7f0d-93db-4f5c-8f4d-0e28e6b4d9d2	Iwade	Iwade	3	0	2013-06-18 18:04:21.873899+02	\N	\N	\N	\N	\N	\N	f	
13828	eb8501db-e2c9-4e32-b20a-70abdfba8d3b	Isorella	Isorella	4	0	2013-07-21 19:21:55.981071+02	\N	\N	\N	\N	\N	\N	f	
14419	d8ade7b7-8ddf-4115-9fff-3bd2c0666f15	Costa Vescovato	Costa Vescovato	4	0	2013-07-21 21:33:30.398294+02	\N	\N	\N	\N	\N	\N	f	
15524	e02de287-6a5e-4a9f-9877-15b6fa6c0455	Torricella in Sabina	Torricella in Sabina	4	0	2013-07-22 01:04:10.008706+02	\N	\N	\N	\N	\N	\N	f	
14420	67af0dcf-1c94-4711-9f10-fd7a04fbf349	Guazzora	Guazzora	4	0	2013-07-21 21:33:44.338071+02	\N	\N	\N	\N	\N	\N	f	
14924	a26e75d9-269e-4fa5-bb58-3f29dd8d7df6	Feisoglio	Feisoglio	4	0	2013-07-21 23:26:15.350823+02	\N	\N	\N	\N	\N	\N	f	
15576	45b6eb6a-4a3b-4735-ad73-128c588759f7	Caprezzo	Caprezzo	4	0	2013-07-22 01:16:02.108748+02	\N	\N	\N	\N	\N	\N	f	
17317	4e824723-5aad-4c9e-9c4b-4e9816719c32	Castelnovetto	Castelnovetto	4	0	2013-07-22 06:12:32.144312+02	\N	\N	\N	\N	\N	\N	f	
15586	75fa3eea-9a75-4c2e-92c7-feb60215cfe8	Cesara	Cesara	4	0	2013-07-22 01:18:11.919327+02	\N	\N	\N	\N	\N	\N	f	
15598	6afda2ab-cb73-40bf-8829-4dd71a15c2fe	Intragna	Intragna	4	0	2013-07-22 01:20:50.926309+02	\N	\N	\N	\N	\N	\N	f	
16208	7bd86748-2706-4158-8361-430c158827bc	Plodio	Plodio	4	0	2013-07-22 03:06:07.180773+02	\N	\N	\N	\N	\N	\N	f	
17352	1188088a-de18-47ab-acb1-54127ccb6e92	Cogliate	Cogliate	4	0	2013-07-22 06:16:55.727125+02	\N	\N	\N	\N	\N	\N	f	
16934	d75164a9-854c-410e-9c67-2e4a69827322	Battaglia Terme	Battaglia Terme	4	0	2013-07-22 05:14:27.092748+02	\N	\N	\N	\N	\N	\N	f	
22556	599036b1-b396-4789-a013-94a4fc82b25b	Cloverport, Kentucky	Cloverport, Kentucky	3	0	2013-08-11 14:25:27.661401+02	\N	\N	\N	\N	\N	\N	f	
19674	0ae0a065-c933-4ea1-80e3-f4c1f9d334f7	Castelfranco di Sopra	Castelfranco di Sopra	4	0	2013-07-22 11:18:09.364618+02	\N	\N	\N	\N	\N	\N	f	
17074	15790791-a23a-4f25-971f-e3b736452a16	Vöran	Vöran	4	0	2013-07-22 05:39:58.088725+02	\N	\N	\N	\N	\N	\N	f	
17383	9b15130a-3696-4ae9-9a84-8013c73ac13b	Solbiate Arno	Solbiate Arno	4	0	2013-07-22 06:20:46.523046+02	\N	\N	\N	\N	\N	\N	f	
17101	c3c52180-70eb-4fa0-8b6e-0eb7a70f1cbe	Baratili San Pietro	Baratili San Pietro	4	0	2013-07-22 05:43:52.381491+02	\N	\N	\N	\N	\N	\N	f	
18187	7dd2eacd-102f-429c-9123-bc74cd7d7c1d	Buscate	Buscate	4	0	2013-07-22 07:58:08.079183+02	\N	\N	\N	\N	\N	\N	f	
19685	451920be-48eb-4f23-b219-8a4a9e3a2209	Lucignano	Lucignano	4	0	2013-07-22 11:20:06.921013+02	\N	\N	\N	\N	\N	\N	f	
18205	3355cd2d-e299-4593-adb5-c6b33463a9d0	Magenta	Magenta	4	0	2013-07-22 08:00:11.280028+02	\N	\N	\N	\N	\N	\N	f	
18282	3378749e-0d56-4582-bf31-4ea29388cb0b	Paderno d'Adda	Paderno d'Adda	4	0	2013-07-22 08:09:08.747545+02	\N	\N	\N	\N	\N	\N	f	
22459	a5bc4022-cf0f-4cfd-b1a7-1d0e2eeaa0ce	Douglas	Douglas	3	0	2013-08-11 05:24:25.256694+02	\N	\N	\N	\N	\N	\N	f	
18327	b43038c4-54dc-4a2f-8434-45f3f81678c1	Barzago	Barzago	4	0	2013-07-22 08:14:29.313892+02	\N	\N	\N	\N	\N	\N	f	
19700	73b95cf9-df46-4eff-90ee-36109a7047e2	San Giorgio Ionico	San Giorgio Ionico	4	0	2013-07-22 11:23:21.768546+02	\N	\N	\N	\N	\N	\N	f	
18334	c9f6bdd3-1cf7-4db9-8bea-a13229bcc1f8	Taceno	Taceno	4	0	2013-07-22 08:15:44.586083+02	\N	\N	\N	\N	\N	\N	f	
22281	cb158ae7-1bbf-423e-a65b-298e711e0c82	Union, South Carolina	Union, South Carolina	3	0	2013-08-09 08:19:57.565832+02	\N	\N	\N	\N	\N	\N	f	
19701	a41694ce-99c6-423f-b723-bb06a7394f53	Roccaforzata	Roccaforzata	4	0	2013-07-22 11:23:40.352062+02	\N	\N	\N	\N	\N	\N	f	
20291	7361e099-fff6-453c-be3f-c15d8e9c687a	Aiello Calabro	Aiello Calabro	4	0	2013-07-22 20:44:38.438279+02	\N	\N	\N	\N	\N	\N	f	
22288	d1b248d1-47d1-490a-bd87-767a3a88d976	Statesville, North Carolina	Statesville, North Carolina	3	0	2013-08-09 08:31:26.944161+02	\N	\N	\N	\N	\N	\N	f	
22091	3a872468-7755-4391-ac38-db27dffd4d57	Van Meter	Van Meter	3	0	2013-08-07 14:46:25.559971+02	\N	\N	\N	\N	\N	\N	f	
22099	dd05b4c8-6aac-43c4-89ef-b53ba3b77879	Estherville, Iowa	Estherville, Iowa	3	0	2013-08-07 17:27:24.575044+02	\N	\N	\N	\N	\N	\N	f	
22462	d4b64b6b-b6a1-40ff-b250-630052267e30	Walnut	Walnut	3	0	2013-08-11 05:33:36.718084+02	\N	\N	\N	\N	\N	\N	f	
22151	d14e0e57-699c-4b71-a34a-e2621af940d9	Freudenberg am Main	Freudenberg am Main	3	0	2013-08-07 23:30:36.62802+02	\N	\N	\N	\N	\N	\N	f	
22297	fbea13ef-0ba9-4866-b741-cbf72908eac4	Middletown, Connecticut	Middletown, Connecticut	3	0	2013-08-10 08:28:18.616216+02	\N	\N	\N	\N	\N	\N	f	
22156	8135a4fe-ad83-4b8e-8021-2027b654000e	Brownsville	Brownsville	3	0	2013-08-08 05:29:17.550104+02	\N	\N	\N	\N	\N	\N	f	
22162	1370aa1f-02d4-4d6a-9f2c-5235e016905a	Denton	Denton	3	0	2013-08-08 08:18:29.396351+02	\N	\N	\N	\N	\N	\N	f	
22206	076fe89f-317d-4e56-82c2-0ca63f3544fb	Slaton, Texas	Slaton, Texas	3	0	2013-08-08 11:29:23.426737+02	\N	\N	\N	\N	\N	\N	f	
22310	3894c5ff-3940-4ea6-b6fb-db0afd76680d	Braintree	Braintree	3	0	2013-08-10 11:19:37.515364+02	\N	\N	\N	\N	\N	\N	f	
22256	3f73445c-fec7-4178-8e30-15d7ccb0ec36	Ludwigshafen	Ludwigshafen	3	0	2013-08-09 02:26:48.555653+02	\N	\N	\N	\N	\N	\N	f	
22465	353d4ae5-7bd7-444a-9f88-77b3ec98983a	San Fernando	San Fernando	3	0	2013-08-11 05:34:27.380855+02	\N	\N	\N	\N	\N	\N	f	
22318	656a50bc-3b97-4c42-a125-f1e2bb7d6acd	Greenfield	Greenfield	3	0	2013-08-10 17:19:23.347411+02	\N	\N	\N	\N	\N	\N	f	
22348	a34c7847-1ccc-43c2-84ab-6853e155e42a	Marion	Marion	3	0	2013-08-10 23:24:31.371289+02	\N	\N	\N	\N	\N	\N	f	
22567	40302fcf-133a-4236-b788-4d6aff44186c	Nerinx, Kentucky	Nerinx, Kentucky	3	0	2013-08-11 17:28:21.680743+02	\N	\N	\N	\N	\N	\N	f	
22359	a99a953c-b5d2-4c28-8936-d23fc2353e85	Southbridge, Massachusetts	Southbridge, Massachusetts	3	0	2013-08-11 02:18:34.492553+02	\N	\N	\N	\N	\N	\N	f	
22486	ef94d8a3-2d6a-466c-887c-66f84c913bb3	Clayton	Clayton	3	0	2013-08-11 05:40:08.881245+02	\N	\N	\N	\N	\N	\N	f	
22523	5facd264-b2e8-4f71-9449-f6099ddbde47	Chandler	Chandler	3	0	2013-08-11 08:28:30.324875+02	\N	\N	\N	\N	\N	\N	f	
22692	5d9c4c38-d455-45a4-bada-1d893a18df47	Bollate	Bollate	4	0	2013-08-14 11:18:26.034445+02	\N	\N	\N	\N	\N	\N	f	
22540	ad6f55d8-8685-48c8-b041-793815cdd0d8	Cocconato	Cocconato	4	0	2013-08-11 11:19:53.013435+02	\N	\N	\N	\N	\N	\N	f	
22571	8ef4d71f-1e56-44d2-a965-5f4ff858c639	Filetto	Filetto	4	0	2013-08-13 14:28:36.754622+02	\N	\N	\N	\N	\N	\N	f	
22552	41470d4b-d910-4654-bf34-f1070199b41e	Audubon Park, Kentucky	Audubon Park, Kentucky	3	0	2013-08-11 14:20:37.023185+02	\N	\N	\N	\N	\N	\N	f	
22632	88954296-58d5-4338-a3b1-74716a92d500	Mura, Lombardy	Mura, Lombardy	4	0	2013-08-13 23:18:02.631622+02	\N	\N	\N	\N	\N	\N	f	
22599	82b728e1-8650-498f-b1f9-e6ed786928ae	Viano	Viano	4	0	2013-08-13 17:18:31.387226+02	\N	\N	\N	\N	\N	\N	f	
22630	0dfe094c-8824-4662-8f40-f5a5a5b351f9	Savona	Savona	4	0	2013-08-13 20:18:51.557839+02	\N	\N	\N	\N	\N	\N	f	
24589	9b839fb4-2fd1-47e7-bf0a-d88408d93f7e	East Dubuque	East Dubuque	3	0	2013-09-07 07:47:02.625362+02	\N	\N	\N	\N	\N	\N	f	
22674	951c7057-1128-4af8-984e-6f0a5f145cae	Cerano	Cerano	4	0	2013-08-14 02:22:39.737164+02	\N	\N	\N	\N	\N	\N	f	
24572	de8a9417-0a91-4a1c-827c-3748de6a665f	Bremen, Georgia	Bremen, Georgia	3	0	2013-09-07 07:42:43.023283+02	\N	\N	\N	\N	\N	\N	f	
24699	9c547d4d-72f9-490e-8981-e0396ea075f1	Chrisman	Chrisman	3	0	2013-09-07 08:13:24.033388+02	\N	\N	\N	\N	\N	\N	f	
24690	3be452a6-39d6-4b71-a5a3-c2a6f7c4a73e	Barry	Barry	3	0	2013-09-07 08:11:20.665677+02	\N	\N	\N	\N	\N	\N	f	
25080	28852681-3dfb-4fe1-8b9f-56b6af8e93d0	Ladora	Ladora	3	0	2013-09-07 09:59:02.130489+02	\N	\N	\N	\N	\N	\N	f	
25114	ad7be672-e316-4b1a-9492-c78202d64416	Titonka	Titonka	3	0	2013-09-07 10:08:09.853085+02	\N	\N	\N	\N	\N	\N	f	
25167	cb965d49-66de-40fd-9ea2-aeca60b7e45e	Morrowville, Kansas	Morrowville, Kansas	3	0	2013-09-07 10:28:21.427509+02	\N	\N	\N	\N	\N	\N	f	
25691	adac66fd-d227-450e-96f2-58b1e98f4677	Gridley, Kansas	Gridley, Kansas	3	0	2013-09-07 13:33:57.157849+02	\N	\N	\N	\N	\N	\N	f	
25693	c20f9189-be0c-465d-9686-71f74678eb7e	Scammon, Kansas	Scammon, Kansas	3	0	2013-09-07 13:34:35.900611+02	\N	\N	\N	\N	\N	\N	f	
26148	b5e826bb-0fa5-4042-aa6b-09de54580f6f	Mission Hills, Kansas	Mission Hills, Kansas	3	0	2013-09-07 20:28:09.701806+02	\N	\N	\N	\N	\N	\N	f	
26228	7a2d8e7d-847f-48e3-b7ed-31e67d4fb24b	Junction City	Junction City	3	0	2013-09-07 20:50:49.413146+02	\N	\N	\N	\N	\N	\N	f	
10390	a42c135c-0603-4c75-b183-2586ffb1cc2c	Awashimaura	Awashimaura	3	0	2013-06-18 18:04:38.645533+02	\N	\N	\N	\N	\N	\N	f	
10391	664a8544-09ab-4f2b-b40b-5a8df2abdd66	Kawakami	Kawakami	3	0	2013-06-18 18:05:01.629429+02	\N	\N	\N	\N	\N	\N	f	
13829	940bc1cf-13be-4400-8024-9efa166cf9ea	Gavardo	Gavardo	4	0	2013-07-21 19:22:07.743539+02	\N	\N	\N	\N	\N	\N	f	
13970	7ca68c1f-a5c7-4c0e-b637-de9ae6dcae81	Roè Volciano	Roè Volciano	4	0	2013-07-21 19:53:46.552839+02	\N	\N	\N	\N	\N	\N	f	
14422	dedea81a-0739-41a9-a45d-dd4ae3c6342f	Felizzano	Felizzano	4	0	2013-07-21 21:34:11.104233+02	\N	\N	\N	\N	\N	\N	f	
15525	8045acf3-73c5-47a5-af2c-9de39bb76a44	Lampedusa e Linosa	Lampedusa e Linosa	4	0	2013-07-22 01:04:24.483224+02	\N	\N	\N	\N	\N	\N	f	
17318	460f17e9-6d2d-4bda-b81f-97ef3c570033	Bellusco	Bellusco	4	0	2013-07-22 06:12:44.569543+02	\N	\N	\N	\N	\N	\N	f	
15555	a3fb82a0-a273-4f34-9598-4ebc4b634ef3	Zuccarello	Zuccarello	4	0	2013-07-22 01:11:32.101888+02	\N	\N	\N	\N	\N	\N	f	
15590	214eeb11-3c13-44c4-9106-3fd68e99b4ca	Crevoladossola	Crevoladossola	4	0	2013-07-22 01:19:03.852972+02	\N	\N	\N	\N	\N	\N	f	
22163	ae96202a-e993-45de-adfe-a8c6b66a781d	Fort Worth	Fort Worth	3	0	2013-08-08 08:19:36.507234+02	\N	\N	\N	\N	\N	\N	f	
17320	410d3939-2e50-4295-8957-874116280e03	Lonate Pozzolo	Lonate Pozzolo	4	0	2013-07-22 06:13:01.803109+02	\N	\N	\N	\N	\N	\N	f	
16226	31678db6-81f7-4ee9-9ab4-031d3766912e	Sassello	Sassello	4	0	2013-07-22 03:08:01.05571+02	\N	\N	\N	\N	\N	\N	f	
16233	abec66b7-75f3-47b4-8e04-4fc4d1029b9e	Pallare	Pallare	4	0	2013-07-22 03:08:49.644167+02	\N	\N	\N	\N	\N	\N	f	
16265	93e44ead-f2f9-4920-ae41-38fbb9295388	Montemitro	Montemitro	4	0	2013-07-22 03:12:46.374746+02	\N	\N	\N	\N	\N	\N	f	
18192	2a14d6f3-84f1-49b3-8650-af10d03fc417	Tribiano	Tribiano	4	0	2013-07-22 07:58:41.340381+02	\N	\N	\N	\N	\N	\N	f	
16366	b29a0911-bea1-45b5-9736-2ad0265543ef	Fornelli	Fornelli	4	0	2013-07-22 03:24:36.501163+02	\N	\N	\N	\N	\N	\N	f	
16377	85b24b1f-3c31-49a3-86b6-391a5cdbe715	Cantalupo nel Sannio	Cantalupo nel Sannio	4	0	2013-07-22 03:26:03.619459+02	\N	\N	\N	\N	\N	\N	f	
19675	119d22da-267b-4a37-b110-ac27ce79517c	Maruggio	Maruggio	4	0	2013-07-22 11:18:21.770541+02	\N	\N	\N	\N	\N	\N	f	
16419	48a7a6d4-43a4-4c34-8c56-8e09cab3b198	Decimoputzu	Decimoputzu	4	0	2013-07-22 03:31:17.547419+02	\N	\N	\N	\N	\N	\N	f	
16427	13cddec7-d482-4287-becc-a1724e1e3a0d	Domus de Maria	Domus de Maria	4	0	2013-07-22 03:32:05.807068+02	\N	\N	\N	\N	\N	\N	f	
16464	09577fda-75f4-4964-b70d-d297a6cc8e05	Silius	Silius	4	0	2013-07-22 03:36:36.678567+02	\N	\N	\N	\N	\N	\N	f	
18288	7aaaedb2-3d4f-41b5-b85c-142b76217ac6	Mölten	Mölten	4	0	2013-07-22 08:10:06.620935+02	\N	\N	\N	\N	\N	\N	f	
16513	d941d422-bc7b-4ec0-8114-7bc94fe30ad3	Furtei	Furtei	4	0	2013-07-22 03:42:29.463166+02	\N	\N	\N	\N	\N	\N	f	
16516	cb7d15f4-4263-478c-8b84-fa238354c92f	Fluminimaggiore	Fluminimaggiore	4	0	2013-07-22 03:42:43.732856+02	\N	\N	\N	\N	\N	\N	f	
22207	97377eb7-f256-4dd7-a087-0102e7b56148	Lago Vista, Texas	Lago Vista, Texas	3	0	2013-08-08 11:31:01.049812+02	\N	\N	\N	\N	\N	\N	f	
16593	27eea10c-9633-406c-8f47-7a64f470f835	Austis	Austis	4	0	2013-07-22 03:52:36.124932+02	\N	\N	\N	\N	\N	\N	f	
19068	9adb2017-cc1a-47dd-886c-5d9643e3d831	San Vito sullo Ionio	San Vito sullo Ionio	4	0	2013-07-22 09:48:30.619544+02	\N	\N	\N	\N	\N	\N	f	
16936	2c487b54-0948-45dd-9db8-a764c593cd50	Frassinelle Polesine	Frassinelle Polesine	4	0	2013-07-22 05:14:53.343649+02	\N	\N	\N	\N	\N	\N	f	
17006	e58bdef7-f36f-424d-8868-2b3157c83b75	Grauno	Grauno	4	0	2013-07-22 05:31:15.195891+02	\N	\N	\N	\N	\N	\N	f	
20295	02210e99-89e8-4c0a-b565-f0b7250dc01a	Amendolara	Amendolara	4	0	2013-07-22 20:45:27.779105+02	\N	\N	\N	\N	\N	\N	f	
17044	a64d4ec2-1301-4d47-9884-f032975d4b37	Rhêmes-Notre-Dame	Rhêmes-Notre-Dame	4	0	2013-07-22 05:36:13.52069+02	\N	\N	\N	\N	\N	\N	f	
19164	521b2ef0-454e-4b84-8858-a8e59e9f2415	San Martin de Tor	San Martin de Tor	4	0	2013-07-22 10:00:59.754658+02	\N	\N	\N	\N	\N	\N	f	
19167	4d54653a-dd7e-455a-a654-437852b055f9	Alcara li Fusi	Alcara li Fusi	4	0	2013-07-22 10:01:26.837653+02	\N	\N	\N	\N	\N	\N	f	
22092	ab600c76-4be3-452f-809f-9c58e2a2f167	Strawberry Point	Strawberry Point	3	0	2013-08-07 14:46:45.816895+02	\N	\N	\N	\N	\N	\N	f	
19204	b03f13e8-83ec-4ff1-a559-4eb0c5121788	Bugnara	Bugnara	4	0	2013-07-22 10:05:50.022961+02	\N	\N	\N	\N	\N	\N	f	
20318	2fccf724-a1a4-4030-95f2-cdc074a570e0	Petronà	Petronà	4	0	2013-07-22 20:50:05.543649+02	\N	\N	\N	\N	\N	\N	f	
19231	41d7a0eb-e665-493f-9b4b-050d4f94294f	Capitignano	Capitignano	4	0	2013-07-22 10:09:27.845907+02	\N	\N	\N	\N	\N	\N	f	
19248	c75d1cb8-338f-4a50-9394-92a3ddaa2822	Castellafiume	Castellafiume	4	0	2013-07-22 10:11:22.923599+02	\N	\N	\N	\N	\N	\N	f	
20323	09edef4b-e891-44f7-a6aa-2a217167a736	Tiriolo	Tiriolo	4	0	2013-07-22 23:28:57.3433+02	\N	\N	\N	\N	\N	\N	f	
20362	ae7b83a7-3b8b-4de9-8c15-06321bf12a84	Celico	Celico	4	0	2013-07-22 23:38:03.381775+02	\N	\N	\N	\N	\N	\N	f	
22100	0c22ef75-c3f5-45f1-80f9-645cdc95f738	Hoopeston, Illinois	Hoopeston, Illinois	3	0	2013-08-07 17:28:18.904378+02	\N	\N	\N	\N	\N	\N	f	
20385	f9906238-447d-40d3-9c43-f05f1104b461	Rende	Rende	4	0	2013-07-22 23:42:55.156065+02	\N	\N	\N	\N	\N	\N	f	
20391	b87ceb60-1ada-460f-b429-ea77e04fd5c4	Mangone	Mangone	4	0	2013-07-22 23:44:25.421621+02	\N	\N	\N	\N	\N	\N	f	
22224	9267379b-1bef-4621-8759-bf398d4069ac	Ivanhoe, Tyler County	Ivanhoe, Tyler County	3	0	2013-08-08 14:22:41.923581+02	\N	\N	\N	\N	\N	\N	f	
20422	0ae4b85e-77fc-4ac5-8f13-0c44153f22c8	Sangineto	Sangineto	4	0	2013-07-22 23:52:01.093563+02	\N	\N	\N	\N	\N	\N	f	
22152	30d52c20-784d-4912-ae6c-e57a88ad9cf9	Freiberg am Neckar	Freiberg am Neckar	3	0	2013-08-07 23:30:54.8051+02	\N	\N	\N	\N	\N	\N	f	
20423	8fc21fc1-5785-47fa-b5db-ec9991d1fc4b	Santa Caterina Albanese	Santa Caterina Albanese	4	0	2013-07-23 02:31:35.336964+02	\N	\N	\N	\N	\N	\N	f	
20434	4b2163e7-69ee-4403-bd76-d3e5cdcf2fc4	Scala Coeli	Scala Coeli	4	0	2013-07-23 02:34:40.821564+02	\N	\N	\N	\N	\N	\N	f	
22257	94ff83eb-5039-4883-b9ab-cfaba7bc133d	Koblenz	Koblenz	3	0	2013-08-09 02:27:20.913514+02	\N	\N	\N	\N	\N	\N	f	
22349	29a62a1e-2583-4d1d-b4b6-2e399c2c3b5a	Carson	Carson	3	0	2013-08-10 23:29:34.943712+02	\N	\N	\N	\N	\N	\N	f	
22157	8ff58fe3-f8b2-4737-b13c-ea5babcf2444	Baytown, Texas	Baytown, Texas	3	0	2013-08-08 05:32:56.246873+02	\N	\N	\N	\N	\N	\N	f	
22298	09d3ae74-8d3d-421d-ad6c-f5c9eb410571	New Britain, Connecticut	New Britain, Connecticut	3	0	2013-08-10 08:28:37.426198+02	\N	\N	\N	\N	\N	\N	f	
22282	a8e9e998-26aa-44a0-ac59-d8b09271fbab	Isle of Palms, South Carolina	Isle of Palms, South Carolina	3	0	2013-08-09 08:20:31.639186+02	\N	\N	\N	\N	\N	\N	f	
22311	9215419b-5b12-4339-b4c9-f82e0807a8ea	Lebanon	Lebanon	3	0	2013-08-10 11:25:04.53784+02	\N	\N	\N	\N	\N	\N	f	
22524	7d91cb03-a830-4e47-abe1-f1bba622cad2	Mesa	Mesa	3	0	2013-08-11 08:28:49.201327+02	\N	\N	\N	\N	\N	\N	f	
22319	2323b54b-c7d0-4074-8fb3-768584d22f7f	Cotton Plant, Arkansas	Cotton Plant, Arkansas	3	0	2013-08-10 17:25:04.581531+02	\N	\N	\N	\N	\N	\N	f	
22360	b8474363-15ac-4943-9c73-c2665199982d	Sonoma	Sonoma	3	0	2013-08-11 02:18:57.610037+02	\N	\N	\N	\N	\N	\N	f	
22473	5316e4e5-dfd4-4f18-9ea7-cfb64831eda4	Laguna Hills	Laguna Hills	3	0	2013-08-11 05:36:36.050333+02	\N	\N	\N	\N	\N	\N	f	
22376	b017c9a5-ac7e-4909-a9b7-2e4a8914abd7	San Joaquin, California	San Joaquin, California	3	0	2013-08-11 02:26:35.2808+02	\N	\N	\N	\N	\N	\N	f	
22460	cc699603-bdf0-4b66-9e6a-fbf458bbfefc	Damascus, Alabama	Damascus, Alabama	3	0	2013-08-11 05:28:24.68601+02	\N	\N	\N	\N	\N	\N	f	
22541	2c39dced-e4bd-4863-8db5-97371a064f4c	Viale	Viale	4	0	2013-08-11 11:20:13.174495+02	\N	\N	\N	\N	\N	\N	f	
22553	c0db72a4-fad9-40a6-8f64-7a6b10352137	Warsaw, Kentucky	Warsaw, Kentucky	3	0	2013-08-11 14:20:58.690693+02	\N	\N	\N	\N	\N	\N	f	
22568	f06ceafc-6a5f-4903-bb92-69a137f693f2	Bomba, Abruzzo	Bomba, Abruzzo	4	0	2013-08-11 17:29:17.579899+02	\N	\N	\N	\N	\N	\N	f	
22572	466d1dd9-c9b1-41ce-b455-4d25f98e7ded	Palombaro	Palombaro	4	0	2013-08-13 14:28:55.580512+02	\N	\N	\N	\N	\N	\N	f	
22600	5c03d148-d778-4202-986a-90af5cfb824a	Carpineti	Carpineti	4	0	2013-08-13 17:18:51.949643+02	\N	\N	\N	\N	\N	\N	f	
22633	30e1c7c1-cdac-42ba-ad20-a86b8024ad62	Cologne, Lombardy	Cologne, Lombardy	4	0	2013-08-13 23:18:22.760248+02	\N	\N	\N	\N	\N	\N	f	
22675	636b1d13-d80e-4c5f-bda8-145d79be678d	Margherita di Savoia	Margherita di Savoia	4	0	2013-08-14 02:23:53.292835+02	\N	\N	\N	\N	\N	\N	f	
22693	44e58df0-8fa7-4985-a42f-0e28f34ee1dc	Arco	Arco	4	0	2013-08-14 11:19:00.277735+02	\N	\N	\N	\N	\N	\N	f	
10392	1e816276-80d6-4a30-96d4-567890ef47ac	Sakahogi	Sakahogi	3	0	2013-06-18 18:05:24.072153+02	\N	\N	\N	\N	\N	\N	f	
10393	a6d89f13-7aa5-4ac8-b72d-869099685eab	Yasu	Yasu	3	0	2013-06-18 18:05:51.621086+02	\N	\N	\N	\N	\N	\N	f	
10394	fb47e257-5102-4cb4-b711-6c033380dd7f	Aoki	Aoki	3	0	2013-06-18 18:06:09.146221+02	\N	\N	\N	\N	\N	\N	f	
13830	92fb86ce-175e-4b58-840e-9cc85dae6654	Lumezzane	Lumezzane	4	0	2013-07-21 19:22:19.392299+02	\N	\N	\N	\N	\N	\N	f	
10395	c7d27974-d5d6-44f8-a151-78cd4c19e7c1	Mihama	Mihama	3	0	2013-06-18 18:06:26.205789+02	\N	\N	\N	\N	\N	\N	f	
10396	35dc2b1c-9973-4a29-8557-c505fd73bf8e	Ōyodo	Ōyodo	3	0	2013-06-18 18:06:36.373964+02	\N	\N	\N	\N	\N	\N	f	
10397	3502754d-0482-43e1-b372-8565608f9d48	Fujiidera	Fujiidera	3	0	2013-06-18 18:06:53.310775+02	\N	\N	\N	\N	\N	\N	f	
14423	bccf1c70-c175-4876-8a71-47812dfeae77	Grondona	Grondona	4	0	2013-07-21 21:34:28.218705+02	\N	\N	\N	\N	\N	\N	f	
10404	c48b3022-153d-48d0-805a-a04f99b092cd	Gero	Gero	3	0	2013-06-18 18:11:52.467528+02	\N	\N	\N	\N	\N	\N	f	
15526	daac2b3b-04c7-4ae3-89ce-447b22035a0a	Turania	Turania	4	0	2013-07-22 01:04:36.711862+02	\N	\N	\N	\N	\N	\N	f	
14486	a3f60b0a-c182-43c3-ab10-d01d3b29d49b	Pontecurone	Pontecurone	4	0	2013-07-21 21:48:53.166483+02	\N	\N	\N	\N	\N	\N	f	
14931	ba414e3b-03d5-4696-b411-e1d217f0b2cf	Marsaglia	Marsaglia	4	0	2013-07-21 23:27:08.937696+02	\N	\N	\N	\N	\N	\N	f	
22350	17fbf8e7-65bf-4a2c-bdc7-a2a1ea763746	Leominster	Leominster	3	0	2013-08-10 23:30:43.822774+02	\N	\N	\N	\N	\N	\N	f	
14936	81ca9f1a-b52a-4db4-94a2-b2903df808b4	Bevagna	Bevagna	4	0	2013-07-21 23:27:45.055771+02	\N	\N	\N	\N	\N	\N	f	
22208	772358cf-6b94-4911-a311-91c9197aba5e	Victoria, Texas	Victoria, Texas	3	0	2013-08-08 11:32:00.442283+02	\N	\N	\N	\N	\N	\N	f	
17319	426e1c7d-2706-4a2f-bf91-f5f4863edcb1	Codevilla	Codevilla	4	0	2013-07-22 06:12:49.91711+02	\N	\N	\N	\N	\N	\N	f	
16216	e0a011d7-2640-46fc-a969-f9cf36074737	Vado Ligure	Vado Ligure	4	0	2013-07-22 03:06:57.514677+02	\N	\N	\N	\N	\N	\N	f	
16276	e05dad9a-84e3-40b9-b81b-3cbfa509431c	Larino	Larino	4	0	2013-07-22 03:14:01.818309+02	\N	\N	\N	\N	\N	\N	f	
16284	aed56598-dfe6-4226-8f45-2e4cab5fc9bf	Civitacampomarano	Civitacampomarano	4	0	2013-07-22 03:15:04.430447+02	\N	\N	\N	\N	\N	\N	f	
18193	65273b2f-a730-4c81-9805-1bcd2b06221e	Romanengo	Romanengo	4	0	2013-07-22 07:58:51.978514+02	\N	\N	\N	\N	\N	\N	f	
16317	4b17a36c-ac9e-4658-9094-c84a11ef66ad	San Biase	San Biase	4	0	2013-07-22 03:19:13.201214+02	\N	\N	\N	\N	\N	\N	f	
16327	ec06d523-1ea5-439f-8345-b9958db3b098	Tuili	Tuili	4	0	2013-07-22 03:20:14.370077+02	\N	\N	\N	\N	\N	\N	f	
19676	7ca87cc5-2b8a-4909-95be-1bcfe7fed535	Monteparano	Monteparano	4	0	2013-07-22 11:18:34.782277+02	\N	\N	\N	\N	\N	\N	f	
16383	376c6665-9917-403d-b56d-1cd9ec4c94b4	Sessano del Molise	Sessano del Molise	4	0	2013-07-22 03:27:02.339067+02	\N	\N	\N	\N	\N	\N	f	
19070	56690f3a-eeba-4e7e-9679-1786500c6ea4	Tregnago	Tregnago	4	0	2013-07-22 09:48:43.150209+02	\N	\N	\N	\N	\N	\N	f	
22225	1a971599-a8be-4f05-8c59-0b7169a2f3d9	Pinehurst, Orange County	Pinehurst, Orange County	3	0	2013-08-08 14:27:44.524272+02	\N	\N	\N	\N	\N	\N	f	
16937	9188b87a-591c-4ab9-bbdf-7c12c9421450	Arvier	Arvier	4	0	2013-07-22 05:15:07.588352+02	\N	\N	\N	\N	\N	\N	f	
19698	5f8181da-7ec3-4ab7-929f-16fa8a8d41d5	Wells	Wells	3	0	2013-07-22 11:22:50.102256+02	\N	\N	\N	\N	\N	\N	f	
20297	8321c9b8-cc47-4baa-b5b2-8b2e9d2ead71	Zagarise	Zagarise	4	0	2013-07-22 20:45:51.316259+02	\N	\N	\N	\N	\N	\N	f	
22258	38b9a54d-6471-45ab-8f3a-d786da6670fe	Kaiserslautern	Kaiserslautern	3	0	2013-08-09 02:28:30.818664+02	\N	\N	\N	\N	\N	\N	f	
20302	2948d46e-e9ff-4ff2-a641-30cec3af6a38	San Pietro a Maida	San Pietro a Maida	4	0	2013-07-22 20:46:50.97357+02	\N	\N	\N	\N	\N	\N	f	
20324	46131757-74a5-4b15-bc6d-275b73e1bdc9	Santa Caterina dello Ionio	Santa Caterina dello Ionio	4	0	2013-07-22 23:29:24.72101+02	\N	\N	\N	\N	\N	\N	f	
22352	2d1b8051-9097-4a62-9df6-b8d866398d36	Cathedral City, California	Cathedral City, California	3	0	2013-08-10 23:31:57.783407+02	\N	\N	\N	\N	\N	\N	f	
20367	3eb740d6-2b7a-48a9-ab44-171613238317	Crosia	Crosia	4	0	2013-07-22 23:39:03.94038+02	\N	\N	\N	\N	\N	\N	f	
22267	7d85533b-21df-467a-89b5-dc27ec7bbafe	Cayce, South Carolina	Cayce, South Carolina	3	0	2013-08-09 05:22:53.53993+02	\N	\N	\N	\N	\N	\N	f	
20424	9a271763-a20f-4348-a2f8-c46762442e3e	Serra Pedace	Serra Pedace	4	0	2013-07-23 02:32:01.34434+02	\N	\N	\N	\N	\N	\N	f	
22283	21ff40bc-07d1-4b3e-86a2-343e2b84db27	Conover, North Carolina	Conover, North Carolina	3	0	2013-08-09 08:22:30.259581+02	\N	\N	\N	\N	\N	\N	f	
22095	c6aaaf0c-362a-439d-bcda-390400b963df	Valeria, Iowa	Valeria, Iowa	3	0	2013-08-07 14:49:23.316522+02	\N	\N	\N	\N	\N	\N	f	
22101	f8e05fb1-4517-4f35-a2d7-60b97ba97295	Altoona, Iowa	Altoona, Iowa	3	0	2013-08-07 17:28:50.837577+02	\N	\N	\N	\N	\N	\N	f	
22361	c54aedf7-ec6b-4da7-ab5e-bc80fe0fc975	Sutter Creek	Sutter Creek	3	0	2013-08-11 02:19:26.477792+02	\N	\N	\N	\N	\N	\N	f	
22299	b5744390-4b68-4304-8fe4-2ea56ec22ef7	Danbury	Danbury	3	0	2013-08-10 08:29:10.360118+02	\N	\N	\N	\N	\N	\N	f	
22158	02398b9b-ef3f-4d88-9f1f-e3d0961a4084	Borger, Texas	Borger, Texas	3	0	2013-08-08 05:33:39.319816+02	\N	\N	\N	\N	\N	\N	f	
22164	c7502ecf-fc5f-4605-99ed-2a7a2546186e	Alta Loma, Texas	Alta Loma, Texas	3	0	2013-08-08 08:27:59.526885+02	\N	\N	\N	\N	\N	\N	f	
22542	0c71a48f-2fa7-410c-8ab2-51a20f426c8f	Soglio, Piedmont	Soglio, Piedmont	4	0	2013-08-11 11:20:35.518638+02	\N	\N	\N	\N	\N	\N	f	
22312	1f3772e5-e759-4905-b1a3-0f77edafd52c	Monroe	Monroe	3	0	2013-08-10 11:25:24.362168+02	\N	\N	\N	\N	\N	\N	f	
22461	1be656e2-7ab3-4c26-b179-299c7fa8fb7b	Lodi	Lodi	3	0	2013-08-11 05:33:14.113305+02	\N	\N	\N	\N	\N	\N	f	
10475	7c5e9d5b-891d-4017-a730-69603c43696c	Yamamoto	Yamamoto	3	0	2013-06-18 21:12:06.711541+02	\N	\N	\N	\N	\N	\N	f	
22320	6f8e5e4e-211f-4ca7-8ac4-a64177c751e8	Blue Lake, California	Blue Lake, California	3	0	2013-08-10 17:26:56.189483+02	\N	\N	\N	\N	\N	\N	f	
22503	2ff084d3-e5d8-4c16-8162-9ef568e4fc45	Rio Vista	Rio Vista	3	0	2013-08-11 05:46:12.014497+02	\N	\N	\N	\N	\N	\N	f	
22554	5cb3fd26-7662-4f2c-a429-cc81b0710221	Clarkson, Kentucky	Clarkson, Kentucky	3	0	2013-08-11 14:22:59.494248+02	\N	\N	\N	\N	\N	\N	f	
22508	f340097a-b595-441e-b448-4990d072e8c0	San Anselmo	San Anselmo	3	0	2013-08-11 05:47:20.905996+02	\N	\N	\N	\N	\N	\N	f	
22510	edd790db-e6a8-4e5c-ac55-9733f74d0881	Shafter	Shafter	3	0	2013-08-11 05:47:54.768181+02	\N	\N	\N	\N	\N	\N	f	
22578	180e8993-6cd0-40ba-8c1a-3ce2a913c145	Parenti, Calabria	Parenti, Calabria	4	0	2013-08-13 14:31:28.978361+02	\N	\N	\N	\N	\N	\N	f	
22525	08e10a21-8c12-4fdf-89b7-14048568289c	Kraft	Kraft	3	0	2013-08-11 08:30:58.886976+02	\N	\N	\N	\N	\N	\N	f	
22569	c93ca3da-3d6c-4a0b-8884-9b5c95405ba6	Montereale, Abruzzo	Montereale, Abruzzo	4	0	2013-08-11 17:29:33.759243+02	\N	\N	\N	\N	\N	\N	f	
22573	09659c49-df3e-4861-b907-d91a7145fa78	Pennapiedimonte	Pennapiedimonte	4	0	2013-08-13 14:29:21.558069+02	\N	\N	\N	\N	\N	\N	f	
22676	512eafa6-bb23-4063-b9be-1ce64f8dfc78	Bee, Piedmont	Bee, Piedmont	4	0	2013-08-14 02:24:06.713319+02	\N	\N	\N	\N	\N	\N	f	
22601	971732e5-2610-4f1b-a66b-af9aee348a66	Bobbio	Bobbio	4	0	2013-08-13 17:19:23.644397+02	\N	\N	\N	\N	\N	\N	f	
24625	50f8d35c-06b6-4822-8aaa-509aff8b4e88	St. Francisville	St. Francisville	3	0	2013-09-07 07:55:18.820675+02	\N	\N	\N	\N	\N	\N	f	
22634	813e6f45-33f6-43dc-8afb-c799339fc409	Brione	Brione	4	0	2013-08-13 23:18:36.992622+02	\N	\N	\N	\N	\N	\N	f	
24608	4dadf07c-64b6-48b3-a391-46ec13a91d40	Clinton	Clinton	3	0	2013-09-07 07:51:28.42653+02	\N	\N	\N	\N	\N	\N	f	
22694	4b205cb2-e63c-4da5-b0a9-21acc43ad35b	Lu	Lu	4	0	2013-08-14 11:20:12.005435+02	\N	\N	\N	\N	\N	\N	f	
24573	c00e9104-21df-40f0-8437-46c2ca431b3f	Jasper, Georgia	Jasper, Georgia	3	0	2013-09-07 07:43:03.306338+02	\N	\N	\N	\N	\N	\N	f	
24635	f0c200ae-58f4-419d-b5b4-89cc2ea439fd	Newman	Newman	3	0	2013-09-07 07:57:44.48678+02	\N	\N	\N	\N	\N	\N	f	
25081	55ce9ed5-b3e2-4c3b-b097-70e9953d475d	McCallsburg	McCallsburg	3	0	2013-09-07 09:59:20.66866+02	\N	\N	\N	\N	\N	\N	f	
25083	45ec2076-4afd-48b9-88f3-0a74ff58e410	Luther	Luther	3	0	2013-09-07 09:59:52.150017+02	\N	\N	\N	\N	\N	\N	f	
25171	8198b505-c2f6-4b60-b82b-ac0b67896984	Mullinville, Kansas	Mullinville, Kansas	3	0	2013-09-07 10:29:15.575863+02	\N	\N	\N	\N	\N	\N	f	
25199	0bf2582d-a5d3-45bf-b38d-6da5126c7226	Haverhill	Haverhill	3	0	2013-09-07 10:37:28.32403+02	\N	\N	\N	\N	\N	\N	f	
25692	20fce4f5-ef0b-4233-9c83-af1e8d72aaa0	Brownell, Kansas	Brownell, Kansas	3	0	2013-09-07 13:34:18.996693+02	\N	\N	\N	\N	\N	\N	f	
26465	f1548d90-cba3-423a-a0ec-22cfcc2a1976	Samraong	Samraong	3	0	2013-09-08 00:41:52.234126+02	\N	\N	\N	\N	\N	\N	f	
10398	abb32935-ca6c-4020-b931-00b887e26487	Mitake	Mitake	3	0	2013-06-18 18:07:11.353832+02	\N	\N	\N	\N	\N	\N	f	
10399	7003c11e-b6db-4b20-9dfb-74b1ba911d50	Katsuragi	Katsuragi	3	0	2013-06-18 18:07:47.831847+02	\N	\N	\N	\N	\N	\N	f	
13832	5d7992cd-b4a4-4a0a-b363-418d1b21085e	Iseo, Lombardy	Iseo, Lombardy	4	0	2013-07-21 19:22:42.847217+02	\N	\N	\N	\N	\N	\N	f	
10400	f86ed5c7-6c66-4a86-b5ca-ab3908a96d80	Ama	Ama	3	0	2013-06-18 18:08:10.598925+02	\N	\N	\N	\N	\N	\N	f	
14424	35a74c74-54ff-408f-b751-f8c40b91f575	Fresonara	Fresonara	4	0	2013-07-21 21:34:43.104905+02	\N	\N	\N	\N	\N	\N	f	
14928	5a949a45-7ca6-4c73-aef0-ccc38d8a06a8	Barasso	Barasso	4	0	2013-07-21 23:26:46.39801+02	\N	\N	\N	\N	\N	\N	f	
15527	ae725e51-ce5b-4f7b-bee1-60128fd494a9	Toffia	Toffia	4	0	2013-07-22 01:04:49.183273+02	\N	\N	\N	\N	\N	\N	f	
15552	6af94b2e-47ff-4e94-9c9a-fbb5b01d8c6a	Tornaco, Piedmont	Tornaco, Piedmont	4	0	2013-07-22 01:10:51.493578+02	\N	\N	\N	\N	\N	\N	f	
17321	8eafc8eb-df51-4696-8e51-8e3389f4893d	Carnago	Carnago	4	0	2013-07-22 06:13:05.698297+02	\N	\N	\N	\N	\N	\N	f	
15617	98394cf8-a030-4299-8a1a-297bc68eb873	Vignone	Vignone	4	0	2013-07-22 01:25:24.50702+02	\N	\N	\N	\N	\N	\N	f	
16212	965701ca-28f7-462e-a612-38dca73465b1	Stella, Liguria	Stella, Liguria	4	0	2013-07-22 03:06:33.099744+02	\N	\N	\N	\N	\N	\N	f	
22172	3281b9cd-3892-4432-930a-7c33db4fa062	Alpine, Texas	Alpine, Texas	3	0	2013-08-08 08:33:32.679039+02	\N	\N	\N	\N	\N	\N	f	
17333	9ee26dc7-f58d-4f5a-9fa3-813d477bb8d7	Fortunago	Fortunago	4	0	2013-07-22 06:14:37.092277+02	\N	\N	\N	\N	\N	\N	f	
16322	27eec413-0623-4345-b1da-e2a9cc2876c3	Vinchiaturo	Vinchiaturo	4	0	2013-07-22 03:19:45.000075+02	\N	\N	\N	\N	\N	\N	f	
19677	c5afb9cb-ef68-4651-ba81-75c07d11ccf7	Ortignano Raggiolo	Ortignano Raggiolo	4	0	2013-07-22 11:18:47.406315+02	\N	\N	\N	\N	\N	\N	f	
17393	0526c01d-7b54-4dbc-8491-2178395f351e	Voltago Agordino	Voltago Agordino	4	0	2013-07-22 06:21:56.57834+02	\N	\N	\N	\N	\N	\N	f	
16409	ca772eec-2020-43f6-b64f-861bb6befacf	Esterzili	Esterzili	4	0	2013-07-22 03:30:15.875418+02	\N	\N	\N	\N	\N	\N	f	
16414	5b2d827d-dbe1-40de-ac39-b9a1f22ab4a0	Nuragus	Nuragus	4	0	2013-07-22 03:30:46.4851+02	\N	\N	\N	\N	\N	\N	f	
16418	30e5fc9a-9677-4072-844d-ff38f6d0b62b	Pimentel, Sardinia	Pimentel, Sardinia	4	0	2013-07-22 03:31:12.646628+02	\N	\N	\N	\N	\N	\N	f	
22209	43dca20e-02cf-4b08-ac01-3fca7350feb9	Harlingen	Harlingen	3	0	2013-08-08 11:33:53.815015+02	\N	\N	\N	\N	\N	\N	f	
16525	6a48b760-823d-4e96-82ee-93cb2c1b0f26	San Gavino Monreale	San Gavino Monreale	4	0	2013-07-22 03:44:00.171981+02	\N	\N	\N	\N	\N	\N	f	
16536	b5f5e350-6de0-4772-a9d7-99e453b80393	Fornace	Fornace	4	0	2013-07-22 03:45:16.306696+02	\N	\N	\N	\N	\N	\N	f	
16568	b79aea09-50c8-43ea-9ccb-f179c2fd13ee	Breda di Piave	Breda di Piave	4	0	2013-07-22 03:49:22.616916+02	\N	\N	\N	\N	\N	\N	f	
18221	30c834eb-00e8-4da2-86cb-7d1567734d68	Oggiono	Oggiono	4	0	2013-07-22 08:01:53.527501+02	\N	\N	\N	\N	\N	\N	f	
16939	57676a7e-a893-4a27-b2b1-83471a4d20c4	Legnaro	Legnaro	4	0	2013-07-22 05:15:35.734063+02	\N	\N	\N	\N	\N	\N	f	
16969	17de3c8d-0567-4be5-ae2f-6adc4e112bb1	Costa di Rovigo	Costa di Rovigo	4	0	2013-07-22 05:22:56.363828+02	\N	\N	\N	\N	\N	\N	f	
19696	e459c449-424a-42dd-8e68-333c8f00923d	Sava	Sava	4	0	2013-07-22 11:22:35.098912+02	\N	\N	\N	\N	\N	\N	f	
18234	ec8b176d-591e-4f1e-9fff-6f57f0e5d5d7	Mareo	Mareo	4	0	2013-07-22 08:03:34.867255+02	\N	\N	\N	\N	\N	\N	f	
18274	33e478a9-7414-4e1c-a7dd-34342327b14a	Mals	Mals	4	0	2013-07-22 08:08:02.143285+02	\N	\N	\N	\N	\N	\N	f	
22096	aa12253d-8160-4a44-acf9-05a7179e04ee	Maharishi Vedic City	Maharishi Vedic City	3	0	2013-08-07 14:50:18.017093+02	\N	\N	\N	\N	\N	\N	f	
18285	e47d47ea-353e-4f24-92e7-98838b3d9271	Casteldidone	Casteldidone	4	0	2013-07-22 08:09:35.181474+02	\N	\N	\N	\N	\N	\N	f	
19706	4470608c-220d-4306-bfd7-5ac9e0426550	Cortona	Cortona	4	0	2013-07-22 11:25:04.22338+02	\N	\N	\N	\N	\N	\N	f	
18328	a0f4f81a-42dd-40de-beef-2bf708a87aa1	Castel Gabbiano	Castel Gabbiano	4	0	2013-07-22 08:14:40.139198+02	\N	\N	\N	\N	\N	\N	f	
19072	db3a6a24-a2aa-494b-a7a5-6f0955df66d5	Piana degli Albanesi	Piana degli Albanesi	4	0	2013-07-22 09:49:04.035424+02	\N	\N	\N	\N	\N	\N	f	
22300	9d352876-a0c5-4aa0-8fa3-698d387b7693	West Haven, Connecticut	West Haven, Connecticut	3	0	2013-08-10 08:30:14.462608+02	\N	\N	\N	\N	\N	\N	f	
20298	018cf4c2-7fe6-49d9-94ca-c81307afd5e5	Sellia, Calabria	Sellia, Calabria	4	0	2013-07-22 20:46:03.256788+02	\N	\N	\N	\N	\N	\N	f	
22226	c6656ff9-18ae-4121-8031-16a30c1c5461	Palito Blanco, Texas	Palito Blanco, Texas	3	0	2013-08-08 14:29:35.828148+02	\N	\N	\N	\N	\N	\N	f	
20325	a4f5c5db-200a-422e-8701-c722634faa52	San Floro	San Floro	4	0	2013-07-22 23:29:46.729321+02	\N	\N	\N	\N	\N	\N	f	
22102	f5a08cd2-6d0c-4de0-8e4d-efed35d04c78	Ivy Log, Georgia	Ivy Log, Georgia	3	0	2013-08-07 17:29:29.783993+02	\N	\N	\N	\N	\N	\N	f	
20337	09f5ac1e-6def-43c9-a19c-147ac8437f0f	Castrovillari	Castrovillari	4	0	2013-07-22 23:32:54.305902+02	\N	\N	\N	\N	\N	\N	f	
20344	b9c38e1e-4215-4ce0-a3dd-ab4664403eb8	Cassano allo Ionio	Cassano allo Ionio	4	0	2013-07-22 23:34:24.141828+02	\N	\N	\N	\N	\N	\N	f	
20378	d30b1667-dc6e-4798-a372-eee107989957	Roggiano Gravina	Roggiano Gravina	4	0	2013-07-22 23:41:29.38728+02	\N	\N	\N	\N	\N	\N	f	
22159	18f7f5bb-d6ff-4525-bf81-6e81705fc773	Merkel	Merkel	3	0	2013-08-08 05:35:29.826439+02	\N	\N	\N	\N	\N	\N	f	
20425	346946a0-bfc0-4994-9502-219084d29435	Scalea	Scalea	4	0	2013-07-23 02:32:20.882181+02	\N	\N	\N	\N	\N	\N	f	
20426	ddebf932-8f1b-4fbf-8e19-628c36626a5d	San Lorenzo del Vallo	San Lorenzo del Vallo	4	0	2013-07-23 02:32:37.106966+02	\N	\N	\N	\N	\N	\N	f	
22259	0771cb86-c8de-4292-b070-ca4aeacf8586	Worms	Worms	3	0	2013-08-09 02:28:47.528747+02	\N	\N	\N	\N	\N	\N	f	
22543	e85465ce-2176-4574-94ba-fdf408a1f3e0	Villanova d'Asti	Villanova d'Asti	4	0	2013-08-11 11:20:54.232874+02	\N	\N	\N	\N	\N	\N	f	
22268	a5fcbae7-dc43-4089-b3f6-0fbe40d243f6	Dillon, South Carolina	Dillon, South Carolina	3	0	2013-08-09 05:24:32.254416+02	\N	\N	\N	\N	\N	\N	f	
22165	77894fb9-dfc0-43bf-8c4a-791ca4050589	Adelphi, Texas	Adelphi, Texas	3	0	2013-08-08 08:28:14.239453+02	\N	\N	\N	\N	\N	\N	f	
22313	8a08c7b8-43f6-4fb1-84cf-1439a780246d	Preston	Preston	3	0	2013-08-10 11:25:42.755593+02	\N	\N	\N	\N	\N	\N	f	
22170	f465aa12-0f3e-49a6-8456-eca0d8735f6c	Burkburnett, Texas	Burkburnett, Texas	3	0	2013-08-08 08:32:42.23456+02	\N	\N	\N	\N	\N	\N	f	
10478	184ccb8c-d209-453e-b849-db2118dc6fc0	Ugo	Ugo	3	0	2013-06-18 21:12:43.713066+02	\N	\N	\N	\N	\N	\N	f	
22284	72df1f13-6d90-44eb-8889-71a615a817e1	Newton, North Carolina	Newton, North Carolina	3	0	2013-08-09 08:22:48.392783+02	\N	\N	\N	\N	\N	\N	f	
22463	7a56677b-1dbc-4df5-9cc5-1ea198dd788e	Mill Valley	Mill Valley	3	0	2013-08-11 05:33:51.666419+02	\N	\N	\N	\N	\N	\N	f	
22294	77329c12-6025-43f3-b508-d4cb2b519736	Ansonia, Connecticut	Ansonia, Connecticut	3	0	2013-08-10 05:30:53.707402+02	\N	\N	\N	\N	\N	\N	f	
22321	619fbb92-a68e-400f-9d50-cf098cfe0014	Bell, California	Bell, California	3	0	2013-08-10 17:28:09.00969+02	\N	\N	\N	\N	\N	\N	f	
22351	ada57cca-0a34-457d-9589-269e24b76089	Malden	Malden	3	0	2013-08-10 23:31:07.194497+02	\N	\N	\N	\N	\N	\N	f	
22362	33a0f1ec-3f96-477c-87b7-1f8742ba8824	Livermore, California	Livermore, California	3	0	2013-08-11 02:19:50.297021+02	\N	\N	\N	\N	\N	\N	f	
22574	b6f26077-1256-453c-91e5-074f6263627a	Villamagna	Villamagna	4	0	2013-08-13 14:29:54.322743+02	\N	\N	\N	\N	\N	\N	f	
22526	54fd2928-9eea-4e4e-9497-22ac1986f16d	Delmar	Delmar	3	0	2013-08-11 08:32:04.302512+02	\N	\N	\N	\N	\N	\N	f	
22555	c461ce75-ff51-4e9d-be49-4556cfeb9d3a	Bellevue, Kentucky	Bellevue, Kentucky	3	0	2013-08-11 14:24:46.09793+02	\N	\N	\N	\N	\N	\N	f	
22604	e79585b7-ead2-4f1e-9f77-67ff659617c7	Ravenna	Ravenna	4	0	2013-08-13 17:20:42.679257+02	\N	\N	\N	\N	\N	\N	f	
22635	7d782a87-85ed-4505-8207-2aac0548602e	Ceto, Lombardy	Ceto, Lombardy	4	0	2013-08-13 23:18:53.800647+02	\N	\N	\N	\N	\N	\N	f	
22677	fc00305f-ea28-4260-a95b-495411d3d4d4	Arola	Arola	4	0	2013-08-14 02:24:20.461693+02	\N	\N	\N	\N	\N	\N	f	
22695	6a78e93c-9673-4ef1-b589-826839508437	Fontanile	Fontanile	4	0	2013-08-14 11:20:35.943458+02	\N	\N	\N	\N	\N	\N	f	
24574	4648455b-16f0-4445-80cb-8fcf2a3cef04	Folkston, Georgia	Folkston, Georgia	3	0	2013-09-07 07:43:17.697759+02	\N	\N	\N	\N	\N	\N	f	
24580	3b191f88-81b2-4a7e-85e0-85e2897c8293	Savanna	Savanna	3	0	2013-09-07 07:44:46.637898+02	\N	\N	\N	\N	\N	\N	f	
24590	c0cd3cf5-1a1b-43c6-9737-33f2ea1d4dd6	Eureka	Eureka	3	0	2013-09-07 07:47:20.840822+02	\N	\N	\N	\N	\N	\N	f	
24643	b0e8681b-9598-4117-9373-a13a241ba855	Carlyle	Carlyle	3	0	2013-09-07 08:00:09.994508+02	\N	\N	\N	\N	\N	\N	f	
24731	0afd4f03-721f-4313-be83-5827cd8a2664	Bushnell	Bushnell	3	0	2013-09-07 08:19:15.682883+02	\N	\N	\N	\N	\N	\N	f	
10403	e0d94c23-b3ba-4fad-9e04-8cab29301962	Minamiaiki	Minamiaiki	3	0	2013-06-18 18:09:48.359921+02	\N	\N	\N	\N	\N	\N	f	
10405	5cf4d055-d065-4c7e-9add-7355e3e03c6a	Ina	Ina	3	0	2013-06-18 18:12:18.121972+02	\N	\N	\N	\N	\N	\N	f	
13834	ca4f3cb9-da05-4f17-aa9e-27fabb869f30	Coccaglio	Coccaglio	4	0	2013-07-21 19:23:07.882496+02	\N	\N	\N	\N	\N	\N	f	
10419	78b4fcd8-1a11-4e45-978c-e58c5c737281	Miyada	Miyada	3	0	2013-06-18 18:17:03.374416+02	\N	\N	\N	\N	\N	\N	f	
10420	fa2622e7-2ea9-42e6-b87c-2fadba3701c6	Yorii	Yorii	3	0	2013-06-18 18:17:22.426774+02	\N	\N	\N	\N	\N	\N	f	
13835	0b7c6d3a-b20c-44d3-b860-c1747fafd7b6	Lozio	Lozio	4	0	2013-07-21 19:23:19.843974+02	\N	\N	\N	\N	\N	\N	f	
13881	cf6b1766-0c20-4186-a93a-fa35fcc0fecf	Marmentino	Marmentino	4	0	2013-07-21 19:34:03.499515+02	\N	\N	\N	\N	\N	\N	f	
15528	59a44d89-76eb-4a4f-8f10-de1103a6ffbe	San Maurizio d'Opaglio	San Maurizio d'Opaglio	4	0	2013-07-22 01:05:13.281102+02	\N	\N	\N	\N	\N	\N	f	
14425	f8bcac8c-a901-455c-82a1-0f7a716552c9	Ischia di Castro	Ischia di Castro	4	0	2013-07-21 21:35:04.922302+02	\N	\N	\N	\N	\N	\N	f	
14929	8d836759-1e06-414b-8ba4-056801469a3a	Lequio Berria	Lequio Berria	4	0	2013-07-21 23:26:51.59292+02	\N	\N	\N	\N	\N	\N	f	
17322	daa0d4aa-a9b5-449d-8788-ca80b55a813d	Cornate d'Adda	Cornate d'Adda	4	0	2013-07-22 06:13:17.610213+02	\N	\N	\N	\N	\N	\N	f	
16235	273140eb-99e3-4f9e-9ce1-e65c4747f393	Quiliano	Quiliano	4	0	2013-07-22 03:09:02.326393+02	\N	\N	\N	\N	\N	\N	f	
16242	afe7127a-2138-42ee-81cb-eb31d3f29914	Pontinvrea	Pontinvrea	4	0	2013-07-22 03:09:45.782165+02	\N	\N	\N	\N	\N	\N	f	
17451	10009e82-6a16-4fd9-b592-61a7a73d27cc	Cilavegna	Cilavegna	4	0	2013-07-22 06:29:21.038761+02	\N	\N	\N	\N	\N	\N	f	
22210	9650e5ab-9e3b-45f6-a086-3909074512c8	El Campo	El Campo	3	0	2013-08-08 11:35:57.773327+02	\N	\N	\N	\N	\N	\N	f	
16940	9a223cfd-abf8-4428-82de-31cb4c1886e4	Castelguglielmo	Castelguglielmo	4	0	2013-07-22 05:15:49.544273+02	\N	\N	\N	\N	\N	\N	f	
17532	a54f23b7-5f81-42e7-aa11-0e6aea9c34d8	Alano di Piave	Alano di Piave	4	0	2013-07-22 06:38:52.569953+02	\N	\N	\N	\N	\N	\N	f	
19678	d95dbb25-3442-4f36-b06d-167cf3259e14	Palagiano	Palagiano	4	0	2013-07-22 11:19:00.238751+02	\N	\N	\N	\N	\N	\N	f	
18198	bc2efd15-6159-415b-b543-9008dc66bb0d	Annicco	Annicco	4	0	2013-07-22 07:59:22.43336+02	\N	\N	\N	\N	\N	\N	f	
19074	cf6109c3-41e7-4510-9b05-adcf0fbb1a18	Palazzolo Acreide	Palazzolo Acreide	4	0	2013-07-22 09:49:24.960715+02	\N	\N	\N	\N	\N	\N	f	
22363	063f54ef-95b2-4af3-bb81-bc827d4df209	Santa Clara	Santa Clara	3	0	2013-08-11 02:20:50.716631+02	\N	\N	\N	\N	\N	\N	f	
19681	c51ad79b-07d4-4125-bebf-ff2663229a7a	Castiglion Fibocchi	Castiglion Fibocchi	4	0	2013-07-22 11:19:27.80669+02	\N	\N	\N	\N	\N	\N	f	
22227	0042fca9-f492-4b24-8ea2-724fcf2c5f41	Clear Lake, Texas	Clear Lake, Texas	3	0	2013-08-08 14:29:55.292568+02	\N	\N	\N	\N	\N	\N	f	
19686	7479f9ea-4917-4aaa-95c1-8333301af787	Montevarchi	Montevarchi	4	0	2013-07-22 11:20:20.669654+02	\N	\N	\N	\N	\N	\N	f	
20299	f056a926-089e-4b1b-ad91-595968e3bf09	Aieta	Aieta	4	0	2013-07-22 20:46:15.206633+02	\N	\N	\N	\N	\N	\N	f	
20326	af227c6a-db34-4971-b520-271fac1659be	Alessandria del Carretto	Alessandria del Carretto	4	0	2013-07-22 23:30:10.332689+02	\N	\N	\N	\N	\N	\N	f	
22260	025bf0e8-debb-4c48-aecc-39c1a4f24746	Neustadt an der Weinstraße	Neustadt an der Weinstraße	3	0	2013-08-09 02:29:17.053332+02	\N	\N	\N	\N	\N	\N	f	
20361	f1966a56-630c-4c27-970d-8c9761328edc	Grisolia	Grisolia	4	0	2013-07-22 23:37:51.456112+02	\N	\N	\N	\N	\N	\N	f	
20427	eb211acd-b182-40e3-9477-9fdf4666bdcd	San Donato di Ninea	San Donato di Ninea	4	0	2013-07-23 02:33:00.07642+02	\N	\N	\N	\N	\N	\N	f	
20458	10593360-a9cb-41f2-9578-cebfbbb57e2d	Cirò, Calabria	Cirò, Calabria	4	0	2013-07-23 02:39:52.543643+02	\N	\N	\N	\N	\N	\N	f	
22269	82b08200-c178-4e7f-9eaf-417178361be8	Orangeburg, South Carolina	Orangeburg, South Carolina	3	0	2013-08-09 05:24:59.27329+02	\N	\N	\N	\N	\N	\N	f	
20459	9465c3d4-becf-4d97-9b81-4177316fa89f	Carfizzi	Carfizzi	4	0	2013-07-23 02:40:04.358065+02	\N	\N	\N	\N	\N	\N	f	
20460	25db21d2-8ec3-4118-9f2b-a698bd4e5c59	Orvieto	Orvieto	4	0	2013-07-23 02:40:16.094469+02	\N	\N	\N	\N	\N	\N	f	
22464	6bd2edb9-1e91-44f6-933a-f307f308bc32	Dana Point	Dana Point	3	0	2013-08-11 05:34:08.921545+02	\N	\N	\N	\N	\N	\N	f	
22285	ab85ea15-9ec2-45fe-84bf-f8613f7d76e9	Kinston, North Carolina	Kinston, North Carolina	3	0	2013-08-09 08:23:15.489842+02	\N	\N	\N	\N	\N	\N	f	
22103	75fa92ad-046f-4bc2-9c5c-aa066f8c4116	DeWitt, Georgia	DeWitt, Georgia	3	0	2013-08-07 17:29:48.232876+02	\N	\N	\N	\N	\N	\N	f	
22295	2b1491d4-83ee-4701-9b07-8bc47607f063	Bristol	Bristol	3	0	2013-08-10 05:33:10.9065+02	\N	\N	\N	\N	\N	\N	f	
22147	f0b1d507-5bbd-4e5a-b881-34d44d6855ac	Holstein	Holstein	3	0	2013-08-07 17:49:20.162714+02	\N	\N	\N	\N	\N	\N	f	
22160	4abd760c-58de-4bfc-835c-89b6649a51a2	Canyon	Canyon	3	0	2013-08-08 05:36:07.9268+02	\N	\N	\N	\N	\N	\N	f	
22575	60a1814d-a71e-489c-bb93-487cb77b2b06	Villalfonsina	Villalfonsina	4	0	2013-08-13 14:30:25.681142+02	\N	\N	\N	\N	\N	\N	f	
22166	d4f9613c-e346-4f87-9a08-615440940a0e	Corpus Christi, Texas	Corpus Christi, Texas	3	0	2013-08-08 08:29:08.245897+02	\N	\N	\N	\N	\N	\N	f	
22478	e9eee083-3d8d-4589-bfed-ff71a99bdef9	Imperial, California	Imperial, California	3	0	2013-08-11 05:38:02.266185+02	\N	\N	\N	\N	\N	\N	f	
22301	dc723efa-f949-4f26-b3d6-85aebd45fefc	Norwalk	Norwalk	3	0	2013-08-10 08:30:32.421027+02	\N	\N	\N	\N	\N	\N	f	
22314	b6878089-9ecb-4d12-8fae-37fd7f1815bb	Brockton	Brockton	3	0	2013-08-10 11:29:43.178476+02	\N	\N	\N	\N	\N	\N	f	
22322	bf46ac13-7971-4ec3-851d-201b690a64f4	Fall River	Fall River	3	0	2013-08-10 17:29:46.281455+02	\N	\N	\N	\N	\N	\N	f	
22489	8f3007dd-533d-4380-aaf2-7ba420a9e656	Los Alamitos	Los Alamitos	3	0	2013-08-11 05:40:49.833768+02	\N	\N	\N	\N	\N	\N	f	
22353	e1d6ca52-681b-4868-8562-41521756bb3f	Calabasas	Calabasas	3	0	2013-08-10 23:33:00.198199+02	\N	\N	\N	\N	\N	\N	f	
22527	acb1b9d7-be3f-4c1a-a66b-cdecd1a5fc88	Oneonta	Oneonta	3	0	2013-08-11 08:32:19.514959+02	\N	\N	\N	\N	\N	\N	f	
22576	a3f0e921-6a6f-4eda-93bf-bdc405d62228	Rogliano	Rogliano	4	0	2013-08-13 14:30:56.882913+02	\N	\N	\N	\N	\N	\N	f	
22529	74f5562c-92db-4674-84cf-2a79a36c1b24	Valley Grande	Valley Grande	3	0	2013-08-11 08:32:53.065579+02	\N	\N	\N	\N	\N	\N	f	
22544	cd959af0-ae6e-44ab-8202-3b99509c6047	Fallo	Fallo	4	0	2013-08-11 11:28:18.543265+02	\N	\N	\N	\N	\N	\N	f	
22696	9a040ba0-8250-40d0-97bd-aef293439795	Cagnò	Cagnò	4	0	2013-08-14 11:26:05.902546+02	\N	\N	\N	\N	\N	\N	f	
22557	11ca3524-7d5b-4bb7-9766-754eaed3a2c3	Leitchfield, Kentucky	Leitchfield, Kentucky	3	0	2013-08-11 14:26:08.216929+02	\N	\N	\N	\N	\N	\N	f	
22603	6c4e0edf-651f-4ae5-b007-1ffa9ee17272	Arce	Arce	4	0	2013-08-13 17:20:07.564988+02	\N	\N	\N	\N	\N	\N	f	
25097	0107a735-b819-4837-a1cf-3efe1bdb4fd7	Marble Rock	Marble Rock	3	0	2013-09-07 10:03:43.382517+02	\N	\N	\N	\N	\N	\N	f	
22636	4a683e1a-be58-4943-8706-ce924f1bb18b	Caino	Caino	4	0	2013-08-13 23:19:10.025418+02	\N	\N	\N	\N	\N	\N	f	
24595	df4d746e-fcaa-4c43-8df4-e26fb7852b8a	Cuba	Cuba	3	0	2013-09-07 07:48:33.714348+02	\N	\N	\N	\N	\N	\N	f	
22679	62b7e9d5-9faf-4f14-9a45-6ca3c9275559	Gravellona Toce	Gravellona Toce	4	0	2013-08-14 02:24:59.665762+02	\N	\N	\N	\N	\N	\N	f	
24575	11d171a4-a81a-4e46-989d-d550ee198fae	Melba, Idaho	Melba, Idaho	3	0	2013-09-07 07:43:32.155546+02	\N	\N	\N	\N	\N	\N	f	
24582	917d5756-72f2-4717-b149-d32c48fcb3ac	St. Anthony, Idaho	St. Anthony, Idaho	3	0	2013-09-07 07:45:13.922231+02	\N	\N	\N	\N	\N	\N	f	
25082	dfd68223-394a-4212-9e49-917b15a686fd	Keomah Village	Keomah Village	3	0	2013-09-07 09:59:36.1572+02	\N	\N	\N	\N	\N	\N	f	
25694	8ecdf7be-7f72-43bd-a090-ab116cc6990c	Hardin, Kentucky	Hardin, Kentucky	3	0	2013-09-07 13:34:53.324807+02	\N	\N	\N	\N	\N	\N	f	
25115	25f11bf0-91b3-473c-a010-1667c01a4df8	Zearing	Zearing	3	0	2013-09-07 10:08:25.276822+02	\N	\N	\N	\N	\N	\N	f	
26149	1689799b-97f9-47ba-808a-7bb5be35ebed	Winfield, Missouri	Winfield, Missouri	3	0	2013-09-07 20:28:33.638421+02	\N	\N	\N	\N	\N	\N	f	
25714	1e8b162b-29c4-471d-8c72-6cdb4fbfbf46	Hardinsburg, Kentucky	Hardinsburg, Kentucky	3	0	2013-09-07 13:39:48.953933+02	\N	\N	\N	\N	\N	\N	f	
26817	0af8fb43-f62f-4f6c-936f-0b6058c64107	Pine Lawn	Pine Lawn	3	0	2013-09-08 03:02:08.397372+02	\N	\N	\N	\N	\N	\N	f	
26466	48be8872-598c-4d2a-b2bc-e6a9d8eeb83f	Gordon, Nebraska	Gordon, Nebraska	3	0	2013-09-08 00:42:05.737933+02	\N	\N	\N	\N	\N	\N	f	
26848	96ce4dea-696c-4f15-9f81-3e7633e55a16	Lanagan	Lanagan	3	0	2013-09-08 03:09:56.664398+02	\N	\N	\N	\N	\N	\N	f	
26882	6efb1374-5589-445d-803d-a183dc97455a	Windsor Heights, Iowa	Windsor Heights, Iowa	3	0	2013-09-08 03:51:12.393211+02	\N	\N	\N	\N	\N	\N	f	
27247	e2a36660-af2e-4f62-8aaf-85b9bfb658f5	Bloomsdale	Bloomsdale	3	0	2013-09-08 06:08:51.447249+02	\N	\N	\N	\N	\N	\N	f	
10406	bb8a9b88-ac5a-4df2-bfa8-d244b54af3f0	Itako	Itako	3	0	2013-06-18 18:12:28.675225+02	\N	\N	\N	\N	\N	\N	f	
10450	250edf6d-3a2a-4f4a-bb2d-ffb0902caa6d	Kawachi	Kawachi	3	0	2013-06-18 21:07:31.270542+02	\N	\N	\N	\N	\N	\N	f	
10407	49c02527-479c-4191-89f4-704e047688b8	Shikokuchūō	Shikokuchūō	3	0	2013-06-18 18:12:39.462806+02	\N	\N	\N	\N	\N	\N	f	
10434	961e0e24-a19c-48a3-a263-31e3aeaa316e	Haga	Haga	3	0	2013-06-18 21:04:49.739957+02	\N	\N	\N	\N	\N	\N	f	
10408	c2f1e35e-6c7f-4598-b6ed-090903eb164b	Motosu	Motosu	3	0	2013-06-18 18:12:56.492742+02	\N	\N	\N	\N	\N	\N	f	
10409	3adb36da-7442-4fb3-897d-9acd3e70e010	Takashima	Takashima	3	0	2013-06-18 18:13:06.899436+02	\N	\N	\N	\N	\N	\N	f	
10410	390a2a2a-22dd-40c6-ba05-b9c20d741fbb	Kahoku	Kahoku	3	0	2013-06-18 18:13:17.356256+02	\N	\N	\N	\N	\N	\N	f	
10435	e64b8b4c-19c5-4c9d-a4c3-f22a77879575	Sakai	Sakai	3	0	2013-06-18 21:05:00.595722+02	\N	\N	\N	\N	\N	\N	f	
10411	747edef8-07cf-48c1-bed4-f75896499d0c	Kaizu	Kaizu	3	0	2013-06-18 18:13:27.544306+02	\N	\N	\N	\N	\N	\N	f	
10412	ccc90621-3d5c-42c1-8714-febb52b6a885	Kōka	Kōka	3	0	2013-06-18 18:13:47.152967+02	\N	\N	\N	\N	\N	\N	f	
10413	8990a8dc-57ec-4431-aea1-9ba159a14888	Gujō	Gujō	3	0	2013-06-18 18:14:11.32054+02	\N	\N	\N	\N	\N	\N	f	
10436	b24aca61-33b8-4ab1-a0dc-6d75798f760b	Shintō	Shintō	3	0	2013-06-18 21:05:11.408329+02	\N	\N	\N	\N	\N	\N	f	
10414	d1742913-ab04-43f3-a990-5bdea7ebfaa3	Kami-Amakusa	Kami-Amakusa	3	0	2013-06-18 18:14:44.368113+02	\N	\N	\N	\N	\N	\N	f	
10415	0fd29d18-ce98-4e5b-b487-df045dfa4073	Yasuoka	Yasuoka	3	0	2013-06-18 18:15:06.894574+02	\N	\N	\N	\N	\N	\N	f	
10451	12f6ce04-be2e-4be7-b3e0-bf0f3c34cd03	Shibata	Shibata	3	0	2013-06-18 21:07:46.852411+02	\N	\N	\N	\N	\N	\N	f	
10417	8f90fca2-023f-4a20-ad84-4e75959a32a6	Mitsue	Mitsue	3	0	2013-06-18 18:15:51.143728+02	\N	\N	\N	\N	\N	\N	f	
10437	02f8b460-3978-4be3-bd09-c1ea04cf3128	Yachiyo	Yachiyo	3	0	2013-06-18 21:05:21.992545+02	\N	\N	\N	\N	\N	\N	f	
10418	d41ef605-4f91-410c-a446-89bc58ec09b7	Toyosato	Toyosato	3	0	2013-06-18 18:16:06.16409+02	\N	\N	\N	\N	\N	\N	f	
10421	d1a4fdfd-71f6-40cd-8347-382688c87538	Sakai	Sakai	3	0	2013-06-18 18:19:56.196607+02	\N	\N	\N	\N	\N	\N	f	
10422	91bf53d0-9cec-4117-99f2-57833f8278c6	[at sea]	[at sea]	\N	0	2013-06-18 20:29:54.466212+02	\N	\N	\N	\N	\N	\N	f	
10438	fd06559a-8dec-4682-b7d3-f63825399bf8	Tsumagoi	Tsumagoi	3	0	2013-06-18 21:05:32.332926+02	\N	\N	\N	\N	\N	\N	f	
10423	89c144bb-2c6a-4410-816d-b277c4caec5d	Koksvere	Koksvere	3	0	2013-06-18 20:48:23.692268+02	\N	\N	\N	\N	\N	\N	f	
10424	07b121a8-9c50-45e6-ae04-df847bc4c336	Metsküla	Metsküla	3	0	2013-06-18 20:57:49.194273+02	\N	\N	\N	\N	\N	\N	f	
10425	f94ebaa8-3945-482b-856f-267bb1e7dc3b	Onagawa	Onagawa	3	0	2013-06-18 21:01:18.41001+02	\N	\N	\N	\N	\N	\N	f	
10439	4151e384-b770-49dd-9b1f-018263ad8a83	Naganohara	Naganohara	3	0	2013-06-18 21:05:42.72375+02	\N	\N	\N	\N	\N	\N	f	
10426	fd1dd2de-5a89-473c-8b8e-bcf3ec3bfdb0	Chiyoda	Chiyoda	3	0	2013-06-18 21:01:58.352192+02	\N	\N	\N	\N	\N	\N	f	
10427	a10f1d33-779c-4c84-bbec-e0ec4ad1b381	Tōkai	Tōkai	3	0	2013-06-18 21:02:09.255216+02	\N	\N	\N	\N	\N	\N	f	
10452	0d5e0357-734b-456c-afb0-e8de57f288bf	Kamiichi	Kamiichi	3	0	2013-06-18 21:07:57.225142+02	\N	\N	\N	\N	\N	\N	f	
10428	cab507e8-cf9d-428d-b6de-a43263201151	Wakuya	Wakuya	3	0	2013-06-18 21:03:06.339744+02	\N	\N	\N	\N	\N	\N	f	
10440	7dbf446c-7990-4ead-8aae-3f5d2d53d0e4	Ibaraki	Ibaraki	3	0	2013-06-18 21:05:53.490634+02	\N	\N	\N	\N	\N	\N	f	
10429	4e25ed7b-82fd-4580-9570-1394f23385d6	Ōgawara	Ōgawara	3	0	2013-06-18 21:03:17.075211+02	\N	\N	\N	\N	\N	\N	f	
10430	c91b9bf4-237e-4a7f-85e1-16a06c20cc9d	Yoshioka	Yoshioka	3	0	2013-06-18 21:03:29.997328+02	\N	\N	\N	\N	\N	\N	f	
10431	7b47fd0e-0ee4-4650-8d9d-ce22b30cf3d8	Rifu	Rifu	3	0	2013-06-18 21:03:58.02653+02	\N	\N	\N	\N	\N	\N	f	
10441	d60d188e-26dc-433d-901e-18d2dd44f32c	Nogi	Nogi	3	0	2013-06-18 21:06:05.156096+02	\N	\N	\N	\N	\N	\N	f	
10432	f79b81e6-bcec-4a78-8020-cbfb3328e3e4	Kanna	Kanna	3	0	2013-06-18 21:04:18.82442+02	\N	\N	\N	\N	\N	\N	f	
10433	3cbf2a50-655b-4d46-99ed-3c3a96b69dba	Meiwa	Meiwa	3	0	2013-06-18 21:04:39.321976+02	\N	\N	\N	\N	\N	\N	f	
10461	5054a042-a95d-42d6-a471-72f6de37cb7c	Itakura	Itakura	3	0	2013-06-18 21:09:31.241426+02	\N	\N	\N	\N	\N	\N	f	
10442	58b1e5f6-de52-4128-9873-3dcf8cd5fc28	Katashina	Katashina	3	0	2013-06-18 21:06:16.761393+02	\N	\N	\N	\N	\N	\N	f	
10453	89629a43-a31a-4934-817d-9cc71151d70a	Shōwa	Shōwa	3	0	2013-06-18 21:08:07.596803+02	\N	\N	\N	\N	\N	\N	f	
10443	310bc0af-8175-4522-86e8-5eb3b574c568	Iwafune	Iwafune	3	0	2013-06-18 21:06:27.869516+02	\N	\N	\N	\N	\N	\N	f	
10444	c23bc130-1aee-4a9b-b748-a3c0542b5f9a	Kanra	Kanra	3	0	2013-06-18 21:06:38.247058+02	\N	\N	\N	\N	\N	\N	f	
10445	4c473766-f0dd-404a-a210-b2cb56ea50c1	Miho	Miho	3	0	2013-06-18 21:06:48.526115+02	\N	\N	\N	\N	\N	\N	f	
10454	dd675ee7-616d-498d-824a-761342591413	Funahashi	Funahashi	3	0	2013-06-18 21:08:17.869801+02	\N	\N	\N	\N	\N	\N	f	
10446	3ab342f2-bd8d-4364-94d7-3a490319d102	Kirimäe	Kirimäe	3	0	2013-06-18 21:06:55.197293+02	\N	\N	\N	\N	\N	\N	f	
10447	734263a4-9630-4fc1-ac5b-bc9d1fdd0d84	Tamamura	Tamamura	3	0	2013-06-18 21:06:59.504883+02	\N	\N	\N	\N	\N	\N	f	
10467	20322a29-bc3e-4cfa-bfe4-8c52f29fc437	Taiwa	Taiwa	3	0	2013-06-18 21:10:39.221636+02	\N	\N	\N	\N	\N	\N	f	
10448	3ecb3856-af49-4a2a-80dc-5ac04073682c	Shioya	Shioya	3	0	2013-06-18 21:07:09.854027+02	\N	\N	\N	\N	\N	\N	f	
10455	edc8d760-7635-4157-9ae8-4dfa7401065b	Asahi	Asahi	3	0	2013-06-18 21:08:28.18569+02	\N	\N	\N	\N	\N	\N	f	
10449	9a871acc-5fb7-42e7-944b-7d5dc6347000	Tone	Tone	3	0	2013-06-18 21:07:20.813825+02	\N	\N	\N	\N	\N	\N	f	
10462	b41aeca8-0cdb-4d35-9fb0-62d12e3da9eb	Takayama	Takayama	3	0	2013-06-18 21:09:41.722184+02	\N	\N	\N	\N	\N	\N	f	
10456	3d3e2754-d2c3-420e-9221-ae8aa8d3ffd4	Seirō	Seirō	3	0	2013-06-18 21:08:38.441503+02	\N	\N	\N	\N	\N	\N	f	
10457	ef5caa5a-a3ff-4ea6-8284-5c0a36dfc431	Ōsato	Ōsato	3	0	2013-06-18 21:08:49.29893+02	\N	\N	\N	\N	\N	\N	f	
10463	f0d00f27-321e-483c-819e-7856fdeba803	Shichikashuku	Shichikashuku	3	0	2013-06-18 21:09:52.813518+02	\N	\N	\N	\N	\N	\N	f	
10458	c0e11fd4-6a86-405f-8070-9da4cc1f3aa6	Kawajima	Kawajima	3	0	2013-06-18 21:08:59.69039+02	\N	\N	\N	\N	\N	\N	f	
10459	b8aa67fc-4ead-4c56-9e15-ab8dcaf4967f	Ōhira	Ōhira	3	0	2013-06-18 21:09:10.348102+02	\N	\N	\N	\N	\N	\N	f	
10474	c4168a08-da57-416b-9bd9-9d58c0718843	Kawasaki	Kawasaki	3	0	2013-06-18 21:11:55.300024+02	\N	\N	\N	\N	\N	\N	f	
10460	6ed2955d-de7d-4781-b75a-e54741eac4b6	Ami	Ami	3	0	2013-06-18 21:09:20.906046+02	\N	\N	\N	\N	\N	\N	f	
10468	6f5936c2-0b79-4033-a4f6-f725261594df	Yamatsuri	Yamatsuri	3	0	2013-06-18 21:10:49.56972+02	\N	\N	\N	\N	\N	\N	f	
10464	c22e2c6c-26f2-4fb1-b6f6-ee90bc563196	Nyūzen	Nyūzen	3	0	2013-06-18 21:10:03.556426+02	\N	\N	\N	\N	\N	\N	f	
10465	cfe2199b-6770-4732-91f5-1f6e5d22b1f7	Shikama	Shikama	3	0	2013-06-18 21:10:14.025768+02	\N	\N	\N	\N	\N	\N	f	
10472	356d57c9-c96a-4690-a7eb-02e98400876a	Kuzumaki	Kuzumaki	3	0	2013-06-18 21:11:31.294841+02	\N	\N	\N	\N	\N	\N	f	
10466	708f82f0-8ff0-46ae-8ffc-9f3e4541a3fd	Yuzawa	Yuzawa	3	0	2013-06-18 21:10:24.545434+02	\N	\N	\N	\N	\N	\N	f	
10469	3e0377de-c43b-463b-a466-775b676ab9df	Hinoemata	Hinoemata	3	0	2013-06-18 21:11:00.203444+02	\N	\N	\N	\N	\N	\N	f	
10470	ce6f4462-8335-40ff-8594-2e8cf54cd103	Watari	Watari	3	0	2013-06-18 21:11:10.526784+02	\N	\N	\N	\N	\N	\N	f	
10471	7864741f-c502-426b-aeaa-65755859df0d	Tadami	Tadami	3	0	2013-06-18 21:11:20.999086+02	\N	\N	\N	\N	\N	\N	f	
10477	41e577a3-47cb-4ef2-9db6-a5782261c44b	Takizawa	Takizawa	3	0	2013-06-18 21:12:33.308433+02	\N	\N	\N	\N	\N	\N	f	
10473	99dce80c-fdb0-4558-aaad-f3310e79f8dc	Kami	Kami	3	0	2013-06-18 21:11:44.994071+02	\N	\N	\N	\N	\N	\N	f	
10476	a13404dd-d5d8-4de2-9250-d889df415f80	Tomiya	Tomiya	3	0	2013-06-18 21:12:17.2598+02	\N	\N	\N	\N	\N	\N	f	
10480	b7de16e6-420e-4c3b-909e-7da6e6c259dc	Eiheiji	Eiheiji	3	0	2013-06-18 21:13:27.285217+02	\N	\N	\N	\N	\N	\N	f	
10481	81f83c97-78d0-4dc0-90d4-5d5d0cfd37be	Nagatoro	Nagatoro	3	0	2013-06-18 21:13:47.141415+02	\N	\N	\N	\N	\N	\N	f	
10482	d63fcef3-8cbf-472a-acc9-0e12a9be1991	Kamisato	Kamisato	3	0	2013-06-18 21:13:57.774959+02	\N	\N	\N	\N	\N	\N	f	
10483	51a032e1-1bf5-4e31-83e1-c35d46b04a56	Ōishida	Ōishida	3	0	2013-06-18 21:14:13.321079+02	\N	\N	\N	\N	\N	\N	f	
10484	572d7681-dbf0-4666-b58e-533f27e14e21	Kaminokawa	Kaminokawa	3	0	2013-06-18 21:14:23.904257+02	\N	\N	\N	\N	\N	\N	f	
10485	f8e23d7b-9b93-4532-9dae-a8423ae6e111	Namegawa	Namegawa	3	0	2013-06-18 21:14:34.355315+02	\N	\N	\N	\N	\N	\N	f	
10486	e7c5fa5f-2c34-4425-978b-41762811cf9d	Ueno	Ueno	3	0	2013-06-18 21:14:45.014365+02	\N	\N	\N	\N	\N	\N	f	
10487	e5de1fdc-982c-474d-a5c6-7b20483f72f5	Shimonita	Shimonita	3	0	2013-06-18 21:14:55.254005+02	\N	\N	\N	\N	\N	\N	f	
13836	82a4852e-c5fb-4873-ab61-03b0ac3a99f8	Lonato del Garda	Lonato del Garda	4	0	2013-07-21 19:23:31.442573+02	\N	\N	\N	\N	\N	\N	f	
13916	c7d0a783-a53f-40cd-9d85-d5ff73fafe52	Cavriago	Cavriago	4	0	2013-07-21 19:41:42.323327+02	\N	\N	\N	\N	\N	\N	f	
14429	9f15a536-82a6-4d08-91b3-9221ba6a8a28	Morbello	Morbello	4	0	2013-07-21 21:36:00.188124+02	\N	\N	\N	\N	\N	\N	f	
15529	736aee9d-8f52-4f53-9788-b5c765fc7ff2	San Pietro Mosezzo	San Pietro Mosezzo	4	0	2013-07-22 01:05:28.181285+02	\N	\N	\N	\N	\N	\N	f	
14435	6ddf8e7b-faed-4f79-8a86-1b80e3fac754	Mornese	Mornese	4	0	2013-07-21 21:37:12.659271+02	\N	\N	\N	\N	\N	\N	f	
14932	9e84fef8-8e89-4aaf-ab72-3328266ff272	Marene	Marene	4	0	2013-07-21 23:27:16.776446+02	\N	\N	\N	\N	\N	\N	f	
14937	a24d3b41-c93c-4ad8-8de0-d6d4c44ae0a0	Bompietro	Bompietro	4	0	2013-07-21 23:27:54.206812+02	\N	\N	\N	\N	\N	\N	f	
15560	d327eb0a-5cbd-4405-8778-9b9d674f6b7a	Minervino Murge	Minervino Murge	4	0	2013-07-22 01:12:42.700642+02	\N	\N	\N	\N	\N	\N	f	
22270	fbe19d94-ffd8-4bac-9666-9bc154672a55	Hanahan, South Carolina	Hanahan, South Carolina	3	0	2013-08-09 05:25:42.008199+02	\N	\N	\N	\N	\N	\N	f	
15569	d8b5e1f3-1744-4073-8998-0bc110c9f06c	Bognanco	Bognanco	4	0	2013-07-22 01:14:38.653386+02	\N	\N	\N	\N	\N	\N	f	
15601	a039f8ab-4b07-4421-8319-723a9c5e2e4e	Malesco	Malesco	4	0	2013-07-22 01:21:30.751023+02	\N	\N	\N	\N	\N	\N	f	
15610	45319829-6d7e-4ad0-914b-c6f6df4c213b	Re, Piedmont	Re, Piedmont	4	0	2013-07-22 01:23:38.986524+02	\N	\N	\N	\N	\N	\N	f	
17356	ae5885d3-4c5f-4a22-9454-20c2c49349aa	Cremenaga	Cremenaga	4	0	2013-07-22 06:17:21.751792+02	\N	\N	\N	\N	\N	\N	f	
15615	4ca2fe1a-0c3b-49a4-ac3e-8d717830d039	Nonio	Nonio	4	0	2013-07-22 01:24:55.450088+02	\N	\N	\N	\N	\N	\N	f	
19679	13f477a7-e3f6-43f7-b622-c48bb0e65736	Bucine	Bucine	4	0	2013-07-22 11:19:15.472185+02	\N	\N	\N	\N	\N	\N	f	
22364	2e3974d3-a682-4f86-ad24-e9911b3162b0	Crescent City, California	Crescent City, California	3	0	2013-08-11 02:21:13.06974+02	\N	\N	\N	\N	\N	\N	f	
17370	b68a86bc-5222-467e-b13d-604ef55f95bd	Porto Ceresio	Porto Ceresio	4	0	2013-07-22 06:18:58.154165+02	\N	\N	\N	\N	\N	\N	f	
16292	96bff2ed-07cd-4456-a4cc-d7e23b46e165	Mirabello Sannitico	Mirabello Sannitico	4	0	2013-07-22 03:16:04.393546+02	\N	\N	\N	\N	\N	\N	f	
16305	e117406d-17b7-420a-9a6e-220d34130da5	San Polo Matese	San Polo Matese	4	0	2013-07-22 03:17:50.435256+02	\N	\N	\N	\N	\N	\N	f	
22286	a0999cfd-72b9-43ea-98d3-db2f65b78216	Reidsville, North Carolina	Reidsville, North Carolina	3	0	2013-08-09 08:27:07.086477+02	\N	\N	\N	\N	\N	\N	f	
17373	b4d7c952-56c3-42ae-8a2b-5d9b4e63ac66	Cornale	Cornale	4	0	2013-07-22 06:19:23.276055+02	\N	\N	\N	\N	\N	\N	f	
16334	68ea6d05-c321-40de-b7d9-39a057b6a7c3	Roccavivara	Roccavivara	4	0	2013-07-22 03:21:02.390225+02	\N	\N	\N	\N	\N	\N	f	
16373	81a61582-195d-4ce5-81d7-df121a0ddc34	Civitanova del Sannio	Civitanova del Sannio	4	0	2013-07-22 03:25:29.965588+02	\N	\N	\N	\N	\N	\N	f	
16502	b225de10-0cf8-4c05-a742-3a4c50914a5e	Lunamatrona	Lunamatrona	4	0	2013-07-22 03:41:15.884518+02	\N	\N	\N	\N	\N	\N	f	
17408	ec13088a-c5eb-4664-b636-3d81aa03f231	Genzone	Genzone	4	0	2013-07-22 06:23:39.787391+02	\N	\N	\N	\N	\N	\N	f	
16514	0f49f012-1693-479c-a5ec-55f3a9abfabf	Villamassargia	Villamassargia	4	0	2013-07-22 03:42:31.922566+02	\N	\N	\N	\N	\N	\N	f	
16941	6bf308a7-67f8-4c57-a59d-c2845b8e2249	Fiesso Umbertiano	Fiesso Umbertiano	4	0	2013-07-22 05:16:03.323505+02	\N	\N	\N	\N	\N	\N	f	
20301	ec936d78-1ad3-4637-a67c-c14320a52afd	Acquaformosa	Acquaformosa	4	0	2013-07-22 20:46:39.173007+02	\N	\N	\N	\N	\N	\N	f	
18207	484e15d6-ac7b-437a-bf90-5a605136d145	Pessano con Bornago	Pessano con Bornago	4	0	2013-07-22 08:00:23.773196+02	\N	\N	\N	\N	\N	\N	f	
18217	de989384-755a-4ba1-bae5-8313bfbf6867	Perledo	Perledo	4	0	2013-07-22 08:01:28.25041+02	\N	\N	\N	\N	\N	\N	f	
20327	adc088f1-3b12-44ba-9707-64e1543f82db	Soveria Simeri	Soveria Simeri	4	0	2013-07-22 23:30:24.872715+02	\N	\N	\N	\N	\N	\N	f	
18231	3ad2e638-d03a-4e1f-a74e-dea407a70cae	Spino d'Adda	Spino d'Adda	4	0	2013-07-22 08:03:14.495143+02	\N	\N	\N	\N	\N	\N	f	
18286	e85e5245-0b51-48d4-a7b9-47925c2f0076	Scandolara Ripa d'Oglio	Scandolara Ripa d'Oglio	4	0	2013-07-22 08:09:53.296206+02	\N	\N	\N	\N	\N	\N	f	
22104	e5759b33-f4ea-442d-8027-44203f17a1c7	Greenough, Georgia	Greenough, Georgia	3	0	2013-08-07 17:30:05.849403+02	\N	\N	\N	\N	\N	\N	f	
19075	1b99154b-3d88-4ae6-a4c8-f48cf8515645	Zevio	Zevio	4	0	2013-07-22 09:49:33.492975+02	\N	\N	\N	\N	\N	\N	f	
20386	5b1be650-0a43-42a9-b751-12e01fa21d80	Pietrafitta	Pietrafitta	4	0	2013-07-22 23:43:07.283124+02	\N	\N	\N	\N	\N	\N	f	
22302	21238ac9-2ef7-4876-994d-a50a68fbb787	Meriden, Connecticut	Meriden, Connecticut	3	0	2013-08-10 08:30:47.923093+02	\N	\N	\N	\N	\N	\N	f	
20389	f8cf88f9-f97a-4dbb-8263-1957e9eccc8f	Luzzi	Luzzi	4	0	2013-07-22 23:43:43.628904+02	\N	\N	\N	\N	\N	\N	f	
20402	e005c767-b080-4c5d-83d0-b4b5516fa11e	Malito	Malito	4	0	2013-07-22 23:47:33.296797+02	\N	\N	\N	\N	\N	\N	f	
22167	b56bd92d-9945-4828-a964-ccb932649633	Lubbock	Lubbock	3	0	2013-08-08 08:29:37.736694+02	\N	\N	\N	\N	\N	\N	f	
20428	73183981-5bd8-46b4-9601-c9444cbe485a	Scigliano	Scigliano	4	0	2013-07-23 02:33:17.981347+02	\N	\N	\N	\N	\N	\N	f	
20440	47c30eb0-a010-4d92-bf6b-1da1cc6601c7	San Demetrio Corone	San Demetrio Corone	4	0	2013-07-23 02:36:03.747979+02	\N	\N	\N	\N	\N	\N	f	
20443	0bba5237-40d5-49c9-96b5-17273260e575	Santa Sofia d'Epiro	Santa Sofia d'Epiro	4	0	2013-07-23 02:36:40.615334+02	\N	\N	\N	\N	\N	\N	f	
22211	95e0f14d-f1b9-4ffc-aa33-2198977be637	Martindale	Martindale	3	0	2013-08-08 11:36:19.282076+02	\N	\N	\N	\N	\N	\N	f	
20517	8fb9eef5-68a3-4101-9c60-e354657e7f14	Samo, Calabria	Samo, Calabria	4	0	2013-07-23 02:53:08.35824+02	\N	\N	\N	\N	\N	\N	f	
22315	eb1fcf24-beb5-4a2e-84f3-efd712cf2d1d	New Milford	New Milford	3	0	2013-08-10 11:36:39.029499+02	\N	\N	\N	\N	\N	\N	f	
22466	46463d85-d026-40ff-b427-48c04c4b3e99	Brentwood	Brentwood	3	0	2013-08-11 05:34:41.014492+02	\N	\N	\N	\N	\N	\N	f	
22323	2cda13d7-d08b-469c-a1c8-45ba21e8b170	Bakersfield	Bakersfield	3	0	2013-08-10 17:30:16.49302+02	\N	\N	\N	\N	\N	\N	f	
22354	ca43cf06-95ee-45bc-85d1-69054eef1c19	Canyon Lake, California	Canyon Lake, California	3	0	2013-08-10 23:33:29.305725+02	\N	\N	\N	\N	\N	\N	f	
22228	b67dc4ef-fe55-4e1f-be51-3b8173c7dfdd	Plano	Plano	3	0	2013-08-08 14:30:48.388009+02	\N	\N	\N	\N	\N	\N	f	
22261	ddb6f1cb-dddb-4eb4-9648-2272a66eddc7	Landau	Landau	3	0	2013-08-09 02:33:12.078986+02	\N	\N	\N	\N	\N	\N	f	
22558	7f2e9ba7-c389-42c4-ac11-d361abbae876	LaFayette, Kentucky	LaFayette, Kentucky	3	0	2013-08-11 14:26:53.290846+02	\N	\N	\N	\N	\N	\N	f	
22470	c7935d7a-904d-4864-8d0a-da45354c53cf	Ridgecrest	Ridgecrest	3	0	2013-08-11 05:35:52.495083+02	\N	\N	\N	\N	\N	\N	f	
22528	26472fcc-e558-4e54-a75a-6d8a22ca3ea9	Demopolis	Demopolis	3	0	2013-08-11 08:32:39.850359+02	\N	\N	\N	\N	\N	\N	f	
22605	77e18b6e-8b47-4f1c-bad5-9e29dd75ebb8	Laurito	Laurito	4	0	2013-08-13 17:31:18.486385+02	\N	\N	\N	\N	\N	\N	f	
22545	ffe58f74-8100-42bb-80bf-cb71234436a3	Blandville, Kentucky	Blandville, Kentucky	3	0	2013-08-11 11:31:37.843434+02	\N	\N	\N	\N	\N	\N	f	
22577	af5eb3b1-7f1e-4381-9c53-dcb7215effc7	Diamante, Calabria	Diamante, Calabria	4	0	2013-08-13 14:31:12.953918+02	\N	\N	\N	\N	\N	\N	f	
22615	6944b496-f020-45a5-a738-50857f55b908	Lauro	Lauro	4	0	2013-08-13 17:35:06.317023+02	\N	\N	\N	\N	\N	\N	f	
22637	44097019-5b87-4fb6-9e99-4293b8a51869	Capriolo	Capriolo	4	0	2013-08-13 23:19:24.802846+02	\N	\N	\N	\N	\N	\N	f	
22680	03cf483f-db2e-4ea8-aad7-49ee67174257	Santa Maria Maggiore	Santa Maria Maggiore	4	0	2013-08-14 02:25:17.434962+02	\N	\N	\N	\N	\N	\N	f	
22683	a8f747a2-b364-4837-a7f1-67cc45193880	Bovino	Bovino	4	0	2013-08-14 02:31:08.820216+02	\N	\N	\N	\N	\N	\N	f	
22697	369ca2be-a084-44c1-8c4b-8832b647878c	Duno	Duno	4	0	2013-08-14 11:28:46.674441+02	\N	\N	\N	\N	\N	\N	f	
24576	0758771b-0e53-4b8c-a696-c017d62e423c	Horseshoe Bend, Idaho	Horseshoe Bend, Idaho	3	0	2013-09-07 07:43:45.725933+02	\N	\N	\N	\N	\N	\N	f	
24620	6566942e-b773-4496-8029-a8b7b7847b5d	Wheaton	Wheaton	3	0	2013-09-07 07:54:09.472424+02	\N	\N	\N	\N	\N	\N	f	
25086	a9095e52-0baf-4f2f-aa47-7dc846d92fbe	Klemme	Klemme	3	0	2013-09-07 10:00:48.803069+02	\N	\N	\N	\N	\N	\N	f	
25695	50c216d9-6434-4247-9b16-0151df65cae1	Mulberry, Kansas	Mulberry, Kansas	3	0	2013-09-07 13:35:09.59861+02	\N	\N	\N	\N	\N	\N	f	
10491	519b7ba6-8e10-4533-8e94-95b5ba5082f4	Kamikawa	Kamikawa	3	0	2013-06-18 21:15:37.173816+02	\N	\N	\N	\N	\N	\N	f	
26152	801f25a0-6285-444c-be92-ddb8949d675f	Bronaugh, Missouri	Bronaugh, Missouri	3	0	2013-09-07 20:29:31.016542+02	\N	\N	\N	\N	\N	\N	f	
26469	65010e6c-bad1-493d-b6cd-62522a22486b	Schuyler, Nebraska	Schuyler, Nebraska	3	0	2013-09-08 00:42:51.267893+02	\N	\N	\N	\N	\N	\N	f	
10488	2003d0b6-b94e-4bf9-91f8-03f4cb13bb3e	Kariwa	Kariwa	3	0	2013-06-18 21:15:05.917869+02	\N	\N	\N	\N	\N	\N	f	
10513	e0aa1960-6933-4e4e-88d7-0e3de1cb5c93	Mikawa	Mikawa	3	0	2013-06-18 21:20:28.351836+02	\N	\N	\N	\N	\N	\N	f	
13838	77c49049-da66-49fe-a3c4-e5f94041cccb	Lograto	Lograto	4	0	2013-07-21 19:23:54.863786+02	\N	\N	\N	\N	\N	\N	f	
14430	39218eab-7f7c-4246-b4a4-792a7325d6a5	Montechiaro d'Acqui	Montechiaro d'Acqui	4	0	2013-07-21 21:36:12.025927+02	\N	\N	\N	\N	\N	\N	f	
15530	5923b20e-b820-4001-9019-147ff6dff0bb	Prato Sesia	Prato Sesia	4	0	2013-07-22 01:05:40.383959+02	\N	\N	\N	\N	\N	\N	f	
19239	26d348e2-8d7a-4ab2-b01d-729c861b8119	Pereto	Pereto	4	0	2013-07-22 10:10:23.705773+02	\N	\N	\N	\N	\N	\N	f	
15568	09ed5eb1-92d7-4d2b-81f7-2ef20b9d7b89	Portofino	Portofino	4	0	2013-07-22 01:14:27.074723+02	\N	\N	\N	\N	\N	\N	f	
17324	730c9ccb-77a7-4641-96e0-17e6406973da	Borgarello	Borgarello	4	0	2013-07-22 06:13:30.888228+02	\N	\N	\N	\N	\N	\N	f	
16231	35464097-727c-4e27-a751-6e52e75a638a	Piana Crixia	Piana Crixia	4	0	2013-07-22 03:08:37.390591+02	\N	\N	\N	\N	\N	\N	f	
22168	ee3b2bcb-5357-4cd7-b663-07c05ec6851a	Cleburne, Texas	Cleburne, Texas	3	0	2013-08-08 08:30:28.508139+02	\N	\N	\N	\N	\N	\N	f	
16411	6b99044a-5c1d-45bf-b3fe-f1495bb1c812	Maracalagonis	Maracalagonis	4	0	2013-07-22 03:30:27.782484+02	\N	\N	\N	\N	\N	\N	f	
16468	183d40e0-55f4-4279-9739-5872e18a4b15	Villa San Pietro	Villa San Pietro	4	0	2013-07-22 03:37:06.602259+02	\N	\N	\N	\N	\N	\N	f	
16490	3ff616dc-47a0-4cdf-9c98-d66d0f57afaa	Fierozzo	Fierozzo	4	0	2013-07-22 03:39:58.427105+02	\N	\N	\N	\N	\N	\N	f	
17369	28c427b8-4db4-4389-b0ab-49d258e3d243	Cuveglio	Cuveglio	4	0	2013-07-22 06:18:54.963017+02	\N	\N	\N	\N	\N	\N	f	
16491	a16325bc-1f85-4b25-97bb-5a05c237cd6e	Villaperuccio	Villaperuccio	4	0	2013-07-22 03:40:09.671888+02	\N	\N	\N	\N	\N	\N	f	
22212	f91d0307-76ee-4618-90f6-0ecd8a17cb1e	Sarita	Sarita	3	0	2013-08-08 11:36:45.452212+02	\N	\N	\N	\N	\N	\N	f	
19683	2bc2870a-6b46-4f13-9b6c-5e2e2465bb12	Chester	Chester	3	0	2013-07-22 11:19:51.193894+02	\N	\N	\N	\N	\N	\N	f	
16943	5ebd6bdd-f0bf-4f7e-80bf-6f990566cd48	Canaro	Canaro	4	0	2013-07-22 05:16:33.713753+02	\N	\N	\N	\N	\N	\N	f	
17372	4a03106b-04ef-4789-bd23-2e1e8e8cc1e1	Triuggio	Triuggio	4	0	2013-07-22 06:19:10.769696+02	\N	\N	\N	\N	\N	\N	f	
17124	ed71b8f9-e05b-4ca1-b3c2-439e091cdc35	Mogoro	Mogoro	4	0	2013-07-22 05:46:58.594647+02	\N	\N	\N	\N	\N	\N	f	
22365	6d655d75-dc06-43b1-bf34-e2a7d17dcf59	Sanger, California	Sanger, California	3	0	2013-08-11 02:21:35.180441+02	\N	\N	\N	\N	\N	\N	f	
17512	2c9fbcab-3a20-49c9-82d3-37e483975743	Ruino	Ruino	4	0	2013-07-22 06:36:37.7331+02	\N	\N	\N	\N	\N	\N	f	
20303	b5d7d550-9771-45e2-b776-54223c80d6df	Simeri Crichi	Simeri Crichi	4	0	2013-07-22 20:47:02.942552+02	\N	\N	\N	\N	\N	\N	f	
17637	ce97b137-88be-4fb2-8f5a-9908135d4035	Confienza	Confienza	4	0	2013-07-22 06:52:06.057134+02	\N	\N	\N	\N	\N	\N	f	
17654	743959bf-23e9-4c01-8ce6-354857ae9df4	Ferrera di Varese	Ferrera di Varese	4	0	2013-07-22 06:54:05.758787+02	\N	\N	\N	\N	\N	\N	f	
22229	20c04131-9a03-4507-86c8-71eb040a8872	Wylie	Wylie	3	0	2013-08-08 14:32:30.498316+02	\N	\N	\N	\N	\N	\N	f	
18213	79f44866-7a27-4029-9fdb-abace7548f11	Dairago	Dairago	4	0	2013-07-22 08:01:02.793432+02	\N	\N	\N	\N	\N	\N	f	
20328	1c827e8e-50dc-4fdf-b1c9-1d9939e2d9ed	Torre di Ruggiero	Torre di Ruggiero	4	0	2013-07-22 23:30:37.402106+02	\N	\N	\N	\N	\N	\N	f	
18312	8b7d4272-cfca-49e9-9ff3-82a6b1bab6bb	Castelverde	Castelverde	4	0	2013-07-22 08:12:49.722391+02	\N	\N	\N	\N	\N	\N	f	
18336	b82d9fcd-b153-4d29-913a-894ec7c4ef8f	Basiano	Basiano	4	0	2013-07-22 08:15:57.520637+02	\N	\N	\N	\N	\N	\N	f	
18360	23961b8e-5db7-4737-8922-2e39b33abe2b	Gussola	Gussola	4	0	2013-07-22 08:18:46.955034+02	\N	\N	\N	\N	\N	\N	f	
20429	2eddcf9c-825e-4782-b85d-d5b1873aa6bd	San Basile	San Basile	4	0	2013-07-23 02:33:33.084994+02	\N	\N	\N	\N	\N	\N	f	
19080	66944794-9f4b-4e24-86cf-7c438204ac1f	Lentini	Lentini	4	0	2013-07-22 09:50:04.382877+02	\N	\N	\N	\N	\N	\N	f	
19117	bfaecaeb-d6dd-4e0d-9c23-811a861d8bdf	Floridia	Floridia	4	0	2013-07-22 09:54:31.798724+02	\N	\N	\N	\N	\N	\N	f	
19143	d09c59a5-e242-4f3e-a247-dcd9a406c6c7	Caccamo	Caccamo	4	0	2013-07-22 09:57:43.200772+02	\N	\N	\N	\N	\N	\N	f	
20474	0fb95007-cfcc-4a8b-abc8-061e9ec002fa	Savelli	Savelli	4	0	2013-07-23 02:43:15.962599+02	\N	\N	\N	\N	\N	\N	f	
19209	3623080c-44b3-4dbb-ba9f-ee8f8e9dc872	Campo di Giove	Campo di Giove	4	0	2013-07-22 10:06:42.443347+02	\N	\N	\N	\N	\N	\N	f	
19212	a68aab6f-6df0-4fb9-b884-f2715d69d835	Cappadocia, Abruzzo	Cappadocia, Abruzzo	4	0	2013-07-22 10:06:58.554361+02	\N	\N	\N	\N	\N	\N	f	
22262	fc9cbaec-1437-4ac8-ac2f-6445fb38da90	Frankenthal	Frankenthal	3	0	2013-08-09 02:33:24.925493+02	\N	\N	\N	\N	\N	\N	f	
20489	2302575a-531b-4fb3-a7dd-c0b75b19b70d	San Nicola dell'Alto	San Nicola dell'Alto	4	0	2013-07-23 02:47:22.110448+02	\N	\N	\N	\N	\N	\N	f	
22606	143f6e91-1f5e-41e6-80df-12a596ac6f5b	Sperone	Sperone	4	0	2013-08-13 17:32:21.33563+02	\N	\N	\N	\N	\N	\N	f	
22271	e643a46e-13fc-4037-b106-258b28bdb766	West Columbia, South Carolina	West Columbia, South Carolina	3	0	2013-08-09 05:26:04.93363+02	\N	\N	\N	\N	\N	\N	f	
22409	0392c10d-31f0-44c3-92ec-9cf5212f7baf	Moreno Valley	Moreno Valley	3	0	2013-08-11 02:41:59.05243+02	\N	\N	\N	\N	\N	\N	f	
22287	90eba4c7-23e3-4b8b-bf57-96a70fb4e106	Fayetteville, North Carolina	Fayetteville, North Carolina	3	0	2013-08-09 08:28:23.103822+02	\N	\N	\N	\N	\N	\N	f	
22105	85345bc0-b442-489d-8dbd-d016b98a0037	Flint, Georgia	Flint, Georgia	3	0	2013-08-07 17:30:19.440882+02	\N	\N	\N	\N	\N	\N	f	
22123	d596684c-5764-4648-ae19-6ebcc5b3d78b	Moline	Moline	3	0	2013-08-07 17:36:24.101741+02	\N	\N	\N	\N	\N	\N	f	
22548	eb356e0c-963b-4997-9e8f-71208ca76e8d	Elizabethtown, Kentucky	Elizabethtown, Kentucky	3	0	2013-08-11 11:35:49.527349+02	\N	\N	\N	\N	\N	\N	f	
22137	a0d80d25-185b-438e-b172-923ac29f8757	Ottumwa	Ottumwa	3	0	2013-08-07 17:42:47.507903+02	\N	\N	\N	\N	\N	\N	f	
22303	18c3caf5-e8b6-4092-9ba5-897b63b5a2f1	Shelton, Connecticut	Shelton, Connecticut	3	0	2013-08-10 08:31:58.469093+02	\N	\N	\N	\N	\N	\N	f	
22451	a760e763-fd86-406e-a496-7e99f5f7ac45	Vacaville	Vacaville	3	0	2013-08-11 02:55:51.67448+02	\N	\N	\N	\N	\N	\N	f	
22324	408ed43c-2d6f-4165-8861-d4e0ebb9b9fe	Lancaster	Lancaster	3	0	2013-08-10 17:30:48.077216+02	\N	\N	\N	\N	\N	\N	f	
22355	f1190e08-ab5c-4a4e-a7d0-cad5fdbed213	Ash Grove	Ash Grove	3	0	2013-08-10 23:37:32.936481+02	\N	\N	\N	\N	\N	\N	f	
22467	d5e15d72-bc8f-47b6-9a31-7d2dca822a8e	Twentynine Palms	Twentynine Palms	3	0	2013-08-11 05:34:59.530767+02	\N	\N	\N	\N	\N	\N	f	
22559	a205f83f-aef4-4996-95eb-04c09c1787d0	Carlisle, Kentucky	Carlisle, Kentucky	3	0	2013-08-11 14:27:30.897199+02	\N	\N	\N	\N	\N	\N	f	
22530	9103d678-7930-49c5-8b04-92c57e42ad4d	Semmes	Semmes	3	0	2013-08-11 08:33:11.169286+02	\N	\N	\N	\N	\N	\N	f	
22698	595b7669-0fbf-44d6-a9ff-f5b2fbd606a1	Segrate	Segrate	4	0	2013-08-14 11:29:11.305369+02	\N	\N	\N	\N	\N	\N	f	
22546	1d4fc8d1-f3f5-4846-9619-be86c9b2439a	Covington	Covington	3	0	2013-08-11 11:32:44.876382+02	\N	\N	\N	\N	\N	\N	f	
22638	9005dbc3-5c48-4658-8d2c-0db83a18d92c	Bione	Bione	4	0	2013-08-13 23:19:38.899842+02	\N	\N	\N	\N	\N	\N	f	
22579	40ffc1d2-7312-41b9-9de2-fe966bd0093f	Rose, Calabria	Rose, Calabria	4	0	2013-08-13 14:31:43.671597+02	\N	\N	\N	\N	\N	\N	f	
22681	8ce85fc8-6bc7-4c11-9ba7-3fd51d066483	Rossa	Rossa	4	0	2013-08-14 02:26:29.61247+02	\N	\N	\N	\N	\N	\N	f	
24669	ee05b544-cb78-4e73-a6cb-d341bd98ba6e	Bridgeport	Bridgeport	3	0	2013-09-07 08:06:34.584408+02	\N	\N	\N	\N	\N	\N	f	
24577	9469d218-9db1-495d-9d8d-b88f9e1ea2ee	Charlotte Amalie	Charlotte Amalie	3	0	2013-09-07 07:44:00.976199+02	\N	\N	\N	\N	\N	\N	f	
24689	745cfca6-e64d-447c-80f4-38c1198337d6	Lewistown	Lewistown	3	0	2013-09-07 08:11:06.851961+02	\N	\N	\N	\N	\N	\N	f	
24679	c45b9e07-ec76-464e-8364-603ac33a567a	Jonesboro	Jonesboro	3	0	2013-09-07 08:08:50.183827+02	\N	\N	\N	\N	\N	\N	f	
25089	18b6bce1-2241-4c4b-bfae-afb8843b0bde	Latimer	Latimer	3	0	2013-09-07 10:01:37.358184+02	\N	\N	\N	\N	\N	\N	f	
25256	4487feca-f509-44d1-8033-e9d36b0e8a81	Floyd	Floyd	3	0	2013-09-07 10:53:56.060555+02	\N	\N	\N	\N	\N	\N	f	
25696	cc22162e-c9fd-49d8-9878-5c36df7f8f28	Dunlap, Kansas	Dunlap, Kansas	3	0	2013-09-07 13:35:24.917278+02	\N	\N	\N	\N	\N	\N	f	
26153	80720bf5-23ec-4836-a918-d1dbe4faf932	Centerview, Missouri	Centerview, Missouri	3	0	2013-09-07 20:29:45.274824+02	\N	\N	\N	\N	\N	\N	f	
26470	e2cc863b-10a7-4077-a024-92b47bf2559a	Maryland Heights, Missouri	Maryland Heights, Missouri	3	0	2013-09-08 00:43:06.08458+02	\N	\N	\N	\N	\N	\N	f	
26818	3cc0db42-6edf-4460-89c6-625480bfc025	Pevely	Pevely	3	0	2013-09-08 03:02:29.981747+02	\N	\N	\N	\N	\N	\N	f	
26829	6563c374-5627-444d-a519-a999e9f4d44b	Vinita Park	Vinita Park	3	0	2013-09-08 03:05:16.392579+02	\N	\N	\N	\N	\N	\N	f	
10489	99b3cdf5-bd4e-4d8e-9712-de1be5df26b1	Ōkura	Ōkura	3	0	2013-06-18 21:15:16.322438+02	\N	\N	\N	\N	\N	\N	f	
10490	36fe2c4c-1545-42c9-ae4e-21893870af6b	Nakayama	Nakayama	3	0	2013-06-18 21:15:26.693099+02	\N	\N	\N	\N	\N	\N	f	
13839	acc627e2-1305-4593-b9fa-78e58fbab59c	Desenzano del Garda	Desenzano del Garda	4	0	2013-07-21 19:24:06.682288+02	\N	\N	\N	\N	\N	\N	f	
10492	b227c3f4-eddc-43dd-98bf-e43e04c1d2f5	Mashiko	Mashiko	3	0	2013-06-18 21:15:47.561101+02	\N	\N	\N	\N	\N	\N	f	
10493	9a909a47-2845-4142-8e08-01b62d327852	Daigo	Daigo	3	0	2013-06-18 21:15:58.229661+02	\N	\N	\N	\N	\N	\N	f	
10494	bdc32f77-064f-4bf1-8f2c-4a99bb8e9585	Funagata	Funagata	3	0	2013-06-18 21:16:08.561425+02	\N	\N	\N	\N	\N	\N	f	
14434	3b88979b-c9c3-481f-a52b-899050664096	Montalto di Castro	Montalto di Castro	4	0	2013-07-21 21:37:01.044625+02	\N	\N	\N	\N	\N	\N	f	
10505	0233da8d-4cd5-449a-ac17-34cc7aa08fdd	Shizukuishi	Shizukuishi	3	0	2013-06-18 21:18:38.009739+02	\N	\N	\N	\N	\N	\N	f	
10538	9b2f67cd-6da4-457b-b5a8-90bc73c2c162	Tome	Tome	3	0	2013-06-18 21:44:40.317506+02	\N	\N	\N	\N	\N	\N	f	
15531	d04e2fdb-3a77-4e6b-bbd4-008e89f1b5a7	Sozzago	Sozzago	4	0	2013-07-22 01:05:52.893009+02	\N	\N	\N	\N	\N	\N	f	
14943	19873469-451b-4519-b07f-3cf9b21fb4e0	Margarita	Margarita	4	0	2013-07-21 23:28:41.379614+02	\N	\N	\N	\N	\N	\N	f	
19256	057d24ba-a2c8-4b14-9889-297deb80c9b1	Ocre	Ocre	4	0	2013-07-22 10:12:21.486089+02	\N	\N	\N	\N	\N	\N	f	
16452	65e995a9-65b5-4f95-bec7-f8c546a1105c	San Sperate	San Sperate	4	0	2013-07-22 03:35:10.732989+02	\N	\N	\N	\N	\N	\N	f	
17325	253c6e2d-9519-446b-afc0-0620d66806ee	Nicorvo	Nicorvo	4	0	2013-07-22 06:13:33.807002+02	\N	\N	\N	\N	\N	\N	f	
16474	f6417988-78c7-4047-9c13-a5f40e28c957	Buggerru	Buggerru	4	0	2013-07-22 03:37:51.53449+02	\N	\N	\N	\N	\N	\N	f	
16588	034a2105-9d69-4117-a54b-d482d79980a1	Lisignago	Lisignago	4	0	2013-07-22 03:51:54.948029+02	\N	\N	\N	\N	\N	\N	f	
16600	05784189-3e60-412f-85c5-71d9e01fae9d	Meana Sardo	Meana Sardo	4	0	2013-07-22 03:53:30.447349+02	\N	\N	\N	\N	\N	\N	f	
22532	5b763793-cc2f-40e8-ad3d-0a48986afa6d	Athens	Athens	3	0	2013-08-11 08:33:41.375184+02	\N	\N	\N	\N	\N	\N	f	
16944	4a076cf7-dddb-4b2e-b251-49b68a24791b	Crespino	Crespino	4	0	2013-07-22 05:16:50.427851+02	\N	\N	\N	\N	\N	\N	f	
16986	76d04d0c-f94a-4133-839a-a4e5a87e46ce	La Magdeleine	La Magdeleine	4	0	2013-07-22 05:27:34.709501+02	\N	\N	\N	\N	\N	\N	f	
17087	bb3e6147-6766-42d7-978e-b799c3994754	Barbian	Barbian	4	0	2013-07-22 05:41:50.937336+02	\N	\N	\N	\N	\N	\N	f	
18215	3f48eb59-60b1-48bd-9d9d-d1d276703d95	Ripalta Cremasca	Ripalta Cremasca	4	0	2013-07-22 08:01:14.96489+02	\N	\N	\N	\N	\N	\N	f	
17135	08709fff-9a7f-48ca-8841-3202f5ea2072	Bosa	Bosa	4	0	2013-07-22 05:48:17.424681+02	\N	\N	\N	\N	\N	\N	f	
19287	125ba356-2ac1-4745-91db-5c39a67be39a	Rocca di Botte	Rocca di Botte	4	0	2013-07-22 10:16:24.391306+02	\N	\N	\N	\N	\N	\N	f	
22230	38a01e40-bfb6-4c5a-a656-75b278dbccfd	Princeton	Princeton	3	0	2013-08-08 14:32:44.21426+02	\N	\N	\N	\N	\N	\N	f	
18227	b3ce2115-f042-45cb-96ac-67ab55af7b3e	Crotta d'Adda	Crotta d'Adda	4	0	2013-07-22 08:02:48.698988+02	\N	\N	\N	\N	\N	\N	f	
18250	a8814abf-a49b-49bb-b09f-9a855686cd9a	Vercurago	Vercurago	4	0	2013-07-22 08:05:20.185594+02	\N	\N	\N	\N	\N	\N	f	
22366	066d89f3-4309-447d-bb11-c41e83eb74ea	Firebaugh	Firebaugh	3	0	2013-08-11 02:21:50.913346+02	\N	\N	\N	\N	\N	\N	f	
18342	da6f9fff-abbf-412e-acfe-aed00bb21560	Moggio	Moggio	4	0	2013-07-22 08:16:40.481056+02	\N	\N	\N	\N	\N	\N	f	
19684	894ed86f-fb3e-46d7-961a-41320f5f5a0f	Monterchi	Monterchi	4	0	2013-07-22 11:19:53.426604+02	\N	\N	\N	\N	\N	\N	f	
18344	eb291372-1a83-42d1-beb4-a9fa190ef2e0	Casale Cremasco-Vidolasco	Casale Cremasco-Vidolasco	4	0	2013-07-22 08:16:54.117566+02	\N	\N	\N	\N	\N	\N	f	
22263	b29284e5-26df-447b-b8d5-437915c3e9c9	Speyer	Speyer	3	0	2013-08-09 02:33:38.790158+02	\N	\N	\N	\N	\N	\N	f	
18389	3da1cdaf-d41a-4519-a5d3-4bcb3686161d	Besate	Besate	4	0	2013-07-22 08:22:45.967744+02	\N	\N	\N	\N	\N	\N	f	
19084	aa9916d2-0507-4c66-a9b1-872cd8967489	Godrano	Godrano	4	0	2013-07-22 09:50:49.924178+02	\N	\N	\N	\N	\N	\N	f	
19094	19dcc4fd-389b-4b84-846b-d76ed2902767	Rosolini	Rosolini	4	0	2013-07-22 09:51:55.088043+02	\N	\N	\N	\N	\N	\N	f	
22106	897c9c95-a614-4feb-a204-068aa3d151dc	County Line, Georgia	County Line, Georgia	3	0	2013-08-07 17:30:32.498178+02	\N	\N	\N	\N	\N	\N	f	
19175	0781db12-4ccc-4fff-a2d4-b3d0896b4773	Roccapalumba	Roccapalumba	4	0	2013-07-22 10:02:20.521983+02	\N	\N	\N	\N	\N	\N	f	
19338	2fc8a03a-7ce5-442b-93fc-e97b9e53bdd8	St. Leonhard in Passeier	St. Leonhard in Passeier	4	0	2013-07-22 15:01:30.917749+02	\N	\N	\N	\N	\N	\N	f	
19184	8b7c9d68-1f3e-498d-b604-9b563795f25f	Barrea	Barrea	4	0	2013-07-22 10:03:23.291424+02	\N	\N	\N	\N	\N	\N	f	
19200	18030ba5-daa3-4c2e-977c-a21e54ea6e2c	Cansano	Cansano	4	0	2013-07-22 10:05:21.987762+02	\N	\N	\N	\N	\N	\N	f	
19202	5623b613-1842-4a84-aaec-e43507c0e493	Barisciano	Barisciano	4	0	2013-07-22 10:05:36.7502+02	\N	\N	\N	\N	\N	\N	f	
20304	f7797637-119c-4b2e-bc38-0f35f94b454e	San Mango d'Aquino	San Mango d'Aquino	4	0	2013-07-22 20:47:15.2509+02	\N	\N	\N	\N	\N	\N	f	
19255	a3db9155-a64a-4a1e-b35e-5d98290c1f57	Corfinio	Corfinio	4	0	2013-07-22 10:12:17.158137+02	\N	\N	\N	\N	\N	\N	f	
20329	3f134c77-322d-486d-a557-e549d4bbc78a	Altomonte	Altomonte	4	0	2013-07-22 23:30:51.795451+02	\N	\N	\N	\N	\N	\N	f	
22272	e6b1cc26-ced3-4ab3-a0c1-a95346979abc	Fountain Inn	Fountain Inn	3	0	2013-08-09 05:28:54.420382+02	\N	\N	\N	\N	\N	\N	f	
20430	0fd936a8-0324-4de9-b1f5-42a729ab7887	Santa Domenica Talao	Santa Domenica Talao	4	0	2013-07-23 02:33:45.748148+02	\N	\N	\N	\N	\N	\N	f	
20451	df404265-5c0c-4ddb-bfee-1a309989e8fa	San Lucido	San Lucido	4	0	2013-07-23 02:38:20.531191+02	\N	\N	\N	\N	\N	\N	f	
20483	b8661433-2180-483e-82ce-cc48705520d0	Agnana Calabra	Agnana Calabra	4	0	2013-07-23 02:46:03.465116+02	\N	\N	\N	\N	\N	\N	f	
22304	0036842a-cbcd-414a-9c15-7517b11ccd66	Groton (city)	Groton (city)	3	0	2013-08-10 08:32:29.948603+02	\N	\N	\N	\N	\N	\N	f	
20510	3e089ed1-643e-4fcd-8b9e-dab23396865e	Anoia, Calabria	Anoia, Calabria	4	0	2013-07-23 02:51:31.462171+02	\N	\N	\N	\N	\N	\N	f	
22169	514ebb86-1976-4aa0-b36a-6abe52aa982c	New Braunfels	New Braunfels	3	0	2013-08-08 08:31:09.922531+02	\N	\N	\N	\N	\N	\N	f	
22213	fdc2ab6a-19fe-45a8-bc38-f9ce61d82e8c	Elgin	Elgin	3	0	2013-08-08 11:37:02.989269+02	\N	\N	\N	\N	\N	\N	f	
22402	ebf76200-6c10-4983-9e9e-6388e24031dc	Monterey	Monterey	3	0	2013-08-11 02:39:37.065253+02	\N	\N	\N	\N	\N	\N	f	
22307	1006453c-8b65-46db-a938-c78b12ab3281	Derby	Derby	3	0	2013-08-10 08:33:42.282134+02	\N	\N	\N	\N	\N	\N	f	
22325	2d538769-5867-4a75-940c-7f6d0054b5e6	Concord	Concord	3	0	2013-08-10 17:31:21.284964+02	\N	\N	\N	\N	\N	\N	f	
22356	e98d7641-6ba1-4a84-8752-527a2c3ad951	Burlingame	Burlingame	3	0	2013-08-10 23:39:15.113239+02	\N	\N	\N	\N	\N	\N	f	
22468	d373f6e6-3624-4d59-9e20-c73b89210532	Healdsburg	Healdsburg	3	0	2013-08-11 05:35:15.968734+02	\N	\N	\N	\N	\N	\N	f	
22547	40ca02d8-6f56-4e33-a2f4-630ee35ebcc5	Butler, Kentucky	Butler, Kentucky	3	0	2013-08-11 11:33:23.603474+02	\N	\N	\N	\N	\N	\N	f	
22531	b5823639-3576-4920-bc6c-56b93bcd3dee	Daphne	Daphne	3	0	2013-08-11 08:33:26.320732+02	\N	\N	\N	\N	\N	\N	f	
22561	50a26b5c-4cb4-49e0-b97b-d8987b5caecf	Corbin, Kentucky	Corbin, Kentucky	3	0	2013-08-11 14:28:57.534723+02	\N	\N	\N	\N	\N	\N	f	
22560	9f493028-84cd-463d-bd63-bddeac58bd10	Wilmore	Wilmore	3	0	2013-08-11 14:28:17.808031+02	\N	\N	\N	\N	\N	\N	f	
22607	6e8a5796-accd-46cc-9b0f-b833f8f3140a	Bonito, Campania	Bonito, Campania	4	0	2013-08-13 17:32:49.256422+02	\N	\N	\N	\N	\N	\N	f	
22580	c399798a-b059-4e55-9e1f-af99cdc34937	Firmo	Firmo	4	0	2013-08-13 14:31:59.521976+02	\N	\N	\N	\N	\N	\N	f	
22639	a39fe54a-d05a-4e5d-bb27-80937f910dc7	Irma, Lombardy	Irma, Lombardy	4	0	2013-08-13 23:19:52.851933+02	\N	\N	\N	\N	\N	\N	f	
22682	63b75c2a-12eb-4af6-93d4-8186e8906a7a	Lesina	Lesina	4	0	2013-08-14 02:30:53.335886+02	\N	\N	\N	\N	\N	\N	f	
22699	5bacd279-002c-483a-91c3-83a5b9046e0b	Santa Elisabetta	Santa Elisabetta	4	0	2013-08-14 11:29:34.831051+02	\N	\N	\N	\N	\N	\N	f	
22701	7a02c65b-72e8-44ee-b2eb-cf13fdaf93b1	Bronte, Sicily	Bronte, Sicily	4	0	2013-08-14 11:30:18.904226+02	\N	\N	\N	\N	\N	\N	f	
24578	afd37113-c5de-4084-ad73-dffc4c9e2e60	Waterloo	Waterloo	3	0	2013-09-07 07:44:19.479456+02	\N	\N	\N	\N	\N	\N	f	
25094	0dc6fc3a-ac89-4bf8-82b5-23b023018cf2	Kinross	Kinross	3	0	2013-09-07 10:02:54.511268+02	\N	\N	\N	\N	\N	\N	f	
25109	36484fee-b900-4995-9b89-a5eaa967edde	McClelland	McClelland	3	0	2013-09-07 10:06:51.774007+02	\N	\N	\N	\N	\N	\N	f	
25151	3e1e8adb-45ae-432f-8a24-2db3499a8ed0	Scottsville, Kansas	Scottsville, Kansas	3	0	2013-09-07 10:24:28.141169+02	\N	\N	\N	\N	\N	\N	f	
10495	cb97b035-fe92-431a-a5aa-9ebd27790e0c	Kawaba	Kawaba	3	0	2013-06-18 21:16:18.980675+02	\N	\N	\N	\N	\N	\N	f	
10496	72e79657-a0e6-44b8-9867-c3413814622b	Minakami	Minakami	3	0	2013-06-18 21:16:29.355759+02	\N	\N	\N	\N	\N	\N	f	
10497	ecf39b00-f542-416d-a17b-bd18fb486a40	Nishikawa	Nishikawa	3	0	2013-06-18 21:16:45.025425+02	\N	\N	\N	\N	\N	\N	f	
13840	cc0c0692-1718-43d5-8583-74f8777c5d47	Gottolengo	Gottolengo	4	0	2013-07-21 19:24:18.552815+02	\N	\N	\N	\N	\N	\N	f	
14436	bf6c89e3-4d56-4708-86db-1b70d411f6ef	Mongiardino Ligure	Mongiardino Ligure	4	0	2013-07-21 21:37:27.554052+02	\N	\N	\N	\N	\N	\N	f	
14947	8c3946b7-d6aa-429f-9114-dc41d576fdcc	Igliano	Igliano	4	0	2013-07-21 23:29:08.697219+02	\N	\N	\N	\N	\N	\N	f	
15532	665d23fc-b67c-4f58-88ca-9d11ca748582	Vicolungo	Vicolungo	4	0	2013-07-22 01:06:04.88326+02	\N	\N	\N	\N	\N	\N	f	
15649	7cf925c8-8bba-42bd-a7dd-2e23bf5fa6b3	Castel Madama	Castel Madama	4	0	2013-07-22 01:32:28.17471+02	\N	\N	\N	\N	\N	\N	f	
16229	6db6455b-2c03-4edf-aadc-46559d62c452	Toirano	Toirano	4	0	2013-07-22 03:08:25.197008+02	\N	\N	\N	\N	\N	\N	f	
17326	69b66e61-cd1c-43f6-91eb-5468b1157588	Cavenago di Brianza	Cavenago di Brianza	4	0	2013-07-22 06:13:46.551703+02	\N	\N	\N	\N	\N	\N	f	
16262	d1b784a4-9baf-45a9-9191-7a3229063633	Limosano	Limosano	4	0	2013-07-22 03:12:21.25254+02	\N	\N	\N	\N	\N	\N	f	
16945	73777167-072e-441f-8eea-bc5b38d6e596	Torreglia	Torreglia	4	0	2013-07-22 05:17:03.629465+02	\N	\N	\N	\N	\N	\N	f	
22549	12378db4-5eb2-4834-99e6-15addd357b51	Paducah	Paducah	3	0	2013-08-11 11:38:17.219336+02	\N	\N	\N	\N	\N	\N	f	
16951	6fb037c7-dd11-4e27-b3c9-f07e668d4f27	Carceri	Carceri	4	0	2013-07-22 05:18:30.319787+02	\N	\N	\N	\N	\N	\N	f	
17417	8d99c533-b919-44b7-88e9-1b785d07d30a	Bodio Lomnago	Bodio Lomnago	4	0	2013-07-22 06:24:43.415288+02	\N	\N	\N	\N	\N	\N	f	
16982	ec87d2e5-7538-4198-91ee-5e22a4259b08	Gressoney-La-Trinité	Gressoney-La-Trinité	4	0	2013-07-22 05:26:27.353435+02	\N	\N	\N	\N	\N	\N	f	
17115	274096d4-b66e-4206-b461-f65d8c1a843a	Sand in Taufers	Sand in Taufers	4	0	2013-07-22 05:45:39.966674+02	\N	\N	\N	\N	\N	\N	f	
19687	5d18729d-e6c4-4405-a5c9-88a784afa320	Chiusi della Verna	Chiusi della Verna	4	0	2013-07-22 11:20:35.700401+02	\N	\N	\N	\N	\N	\N	f	
18219	f92ce415-8be5-49db-8e35-a24f938e6041	Pescate	Pescate	4	0	2013-07-22 08:01:41.32529+02	\N	\N	\N	\N	\N	\N	f	
19085	af7d9b2a-9574-4343-b01d-ecab936dd351	Sortino	Sortino	4	0	2013-07-22 09:50:56.129025+02	\N	\N	\N	\N	\N	\N	f	
22305	75fcf2df-127c-4f06-ba43-94f7920b2401	Norwich, Connecticut	Norwich, Connecticut	3	0	2013-08-10 08:32:45.458107+02	\N	\N	\N	\N	\N	\N	f	
19105	54c20dd3-7ae7-4a96-8a83-5712b9f8732c	Priolo Gargallo	Priolo Gargallo	4	0	2013-07-22 09:53:01.80088+02	\N	\N	\N	\N	\N	\N	f	
20314	cfb7b0a1-5e3c-4ea0-8c20-6173a65cfe85	Squillace	Squillace	4	0	2013-07-22 20:49:16.858167+02	\N	\N	\N	\N	\N	\N	f	
19111	46136ffa-98a4-43ca-bfc3-63fbfd8fa1e3	Sclafani Bagni	Sclafani Bagni	4	0	2013-07-22 09:53:38.389948+02	\N	\N	\N	\N	\N	\N	f	
19116	fe1f627e-b7d1-46d7-b21a-fd38627e65a3	Santa Flavia	Santa Flavia	4	0	2013-07-22 09:54:23.456461+02	\N	\N	\N	\N	\N	\N	f	
19188	fc291c7a-9e12-4267-91a8-bf4f60191859	Isnello	Isnello	4	0	2013-07-22 10:03:52.999023+02	\N	\N	\N	\N	\N	\N	f	
20330	158aee61-1499-4031-af45-64bfae2d3c90	Soverato	Soverato	4	0	2013-07-22 23:31:06.660711+02	\N	\N	\N	\N	\N	\N	f	
19214	8e7bca2a-d78c-4635-b8de-429395a9ae19	Canistro	Canistro	4	0	2013-07-22 10:07:16.912011+02	\N	\N	\N	\N	\N	\N	f	
19244	2fda7dfe-1336-4245-a281-e6481c7bbc1b	Civita d'Antino	Civita d'Antino	4	0	2013-07-22 10:10:58.478493+02	\N	\N	\N	\N	\N	\N	f	
19310	d32bdc1e-e779-4907-985e-d83befb5c4c3	Polizzi Generosa	Polizzi Generosa	4	0	2013-07-22 10:19:08.045341+02	\N	\N	\N	\N	\N	\N	f	
20369	ba89510d-ab84-4368-961c-db8a484e2eaa	Falconara Albanese	Falconara Albanese	4	0	2013-07-22 23:39:27.967162+02	\N	\N	\N	\N	\N	\N	f	
19332	9f06b7fe-8a1b-450c-997e-fb19729aa35e	Vahrn	Vahrn	4	0	2013-07-22 10:21:48.990087+02	\N	\N	\N	\N	\N	\N	f	
19435	a04ffece-5572-4b38-a571-093843c3e3c9	San Buono	San Buono	4	0	2013-07-22 10:34:37.616981+02	\N	\N	\N	\N	\N	\N	f	
22326	e55d77f8-cee7-4ede-b828-5beb5893676a	Everett	Everett	3	0	2013-08-10 17:31:42.106585+02	\N	\N	\N	\N	\N	\N	f	
19438	b22e66ef-af1e-4f8e-9be8-1e57892d4a72	Taranta Peligna	Taranta Peligna	4	0	2013-07-22 10:35:01.885431+02	\N	\N	\N	\N	\N	\N	f	
20371	eadaa75f-a878-4dff-83d1-bf0601681727	Cariati	Cariati	4	0	2013-07-22 23:39:52.371129+02	\N	\N	\N	\N	\N	\N	f	
19443	8cd9fbbd-e11a-45b4-a731-4a2e8e7062c7	Ripa Teatina	Ripa Teatina	4	0	2013-07-22 10:35:35.030793+02	\N	\N	\N	\N	\N	\N	f	
19520	a902bcbf-ba39-40b3-bfb4-9e3867e36e17	Castelli, Abruzzo	Castelli, Abruzzo	4	0	2013-07-22 10:45:10.068696+02	\N	\N	\N	\N	\N	\N	f	
20431	9ea68f46-1b2e-4483-b989-7af17275b910	San Pietro in Guarano	San Pietro in Guarano	4	0	2013-07-23 02:34:01.319412+02	\N	\N	\N	\N	\N	\N	f	
22684	84983756-5718-4df4-9c57-ef5f83c5caac	Carapelle	Carapelle	4	0	2013-08-14 02:31:24.825383+02	\N	\N	\N	\N	\N	\N	f	
20456	1e025f48-e17c-488f-9fe1-1e1c12f8f857	Cirò Marina	Cirò Marina	4	0	2013-07-23 02:39:29.053408+02	\N	\N	\N	\N	\N	\N	f	
22357	0563226c-572e-48de-a02a-aaa355285563	Campbell	Campbell	3	0	2013-08-10 23:39:39.989407+02	\N	\N	\N	\N	\N	\N	f	
22107	acf06fdf-03f0-4c4f-9302-b5a3eb9fc215	Storm Lake, Iowa	Storm Lake, Iowa	3	0	2013-08-07 17:31:37.228706+02	\N	\N	\N	\N	\N	\N	f	
22171	43b13134-b809-40ac-8d98-1e51c91b9041	Castle Hills, Texas	Castle Hills, Texas	3	0	2013-08-08 08:33:14.406247+02	\N	\N	\N	\N	\N	\N	f	
22562	0c03345d-bac6-41d1-b368-ac2c816ed16f	Seco	Seco	3	0	2013-08-11 14:29:46.302777+02	\N	\N	\N	\N	\N	\N	f	
22214	c257ede7-6973-4500-ad7f-a191e8319aab	Seabrook	Seabrook	3	0	2013-08-08 11:37:24.023714+02	\N	\N	\N	\N	\N	\N	f	
22367	0453a017-b2bd-4280-9d40-d23f483c1986	Fowler	Fowler	3	0	2013-08-11 02:22:08.83764+02	\N	\N	\N	\N	\N	\N	f	
22231	ae2db470-678b-475c-967f-63ecf4f1167c	Waxahachie	Waxahachie	3	0	2013-08-08 14:33:10.544853+02	\N	\N	\N	\N	\N	\N	f	
22273	f88bfae6-8a35-4bed-bd37-8ea16ba2b9c6	Calgary	Calgary	3	0	2013-08-09 05:29:32.184079+02	\N	\N	\N	\N	\N	\N	f	
22469	a9b76ef7-177c-415f-9b3f-855a4149d1d9	Danville	Danville	3	0	2013-08-11 05:35:29.92464+02	\N	\N	\N	\N	\N	\N	f	
22487	7060d0c8-1c8a-4d7f-926e-f16ad09949ff	Oakley	Oakley	3	0	2013-08-11 05:40:22.559058+02	\N	\N	\N	\N	\N	\N	f	
22581	9241b6fc-80c8-4e15-883d-ae605be73a4a	Tortora	Tortora	4	0	2013-08-13 14:32:12.883265+02	\N	\N	\N	\N	\N	\N	f	
22512	feeacf92-9480-41ff-a4ba-2f858bd7cc5c	Corte Madera	Corte Madera	3	0	2013-08-11 05:48:22.468788+02	\N	\N	\N	\N	\N	\N	f	
22533	23f27605-969d-4ce4-8bd6-70ced2c59355	Union Springs	Union Springs	3	0	2013-08-11 08:34:14.898223+02	\N	\N	\N	\N	\N	\N	f	
22700	643278b3-96ef-43c3-89dd-e4ac54f9ec7d	Legnano	Legnano	4	0	2013-08-14 11:29:50.370187+02	\N	\N	\N	\N	\N	\N	f	
22608	9c5b8f0b-9a98-449d-b4f2-c53a3745167b	Villanova del Battista	Villanova del Battista	4	0	2013-08-13 17:33:08.769103+02	\N	\N	\N	\N	\N	\N	f	
22640	b0c1d565-1308-4a29-9daf-34585b1b7253	Lodrino, Lombardy	Lodrino, Lombardy	4	0	2013-08-13 23:20:08.341234+02	\N	\N	\N	\N	\N	\N	f	
25147	87adc5a9-ad0f-4d82-82bc-1ceb8d810a67	Spivey, Kansas	Spivey, Kansas	3	0	2013-09-07 10:23:34.458484+02	\N	\N	\N	\N	\N	\N	f	
24583	8f610bc0-3ee0-4d8d-a189-674920144a81	Asbury, Iowa	Asbury, Iowa	3	0	2013-09-07 07:45:27.595967+02	\N	\N	\N	\N	\N	\N	f	
25707	075afd64-23c4-4156-ad8f-17cabf8797e3	Prairie View, Kansas	Prairie View, Kansas	3	0	2013-09-07 13:38:09.043153+02	\N	\N	\N	\N	\N	\N	f	
25099	902d3763-dc98-481e-aad1-ba0acf13af42	Macksburg	Macksburg	3	0	2013-09-07 10:04:14.376565+02	\N	\N	\N	\N	\N	\N	f	
25271	d1778114-773d-4332-8806-001bc50031e5	Columbus City	Columbus City	3	0	2013-09-07 10:58:02.515404+02	\N	\N	\N	\N	\N	\N	f	
25697	75814404-a998-4be6-b4e2-2ee13f775ef6	Shelbyville, Kentucky	Shelbyville, Kentucky	3	0	2013-09-07 13:35:40.762579+02	\N	\N	\N	\N	\N	\N	f	
26156	4ef82989-1f8c-4f01-8472-000a57ad390c	Water Valley	Water Valley	3	0	2013-09-07 20:31:05.580627+02	\N	\N	\N	\N	\N	\N	f	
26169	513077eb-a3cf-4850-b3cf-93b5d935a35e	Shueyville, Iowa	Shueyville, Iowa	3	0	2013-09-07 20:35:26.501378+02	\N	\N	\N	\N	\N	\N	f	
26221	83619b87-1010-418d-9233-adf6155d1312	Brownsboro Village	Brownsboro Village	3	0	2013-09-07 20:49:05.485126+02	\N	\N	\N	\N	\N	\N	f	
26232	86b42945-96be-44c5-a301-533fe3ff605e	Gonzales, Louisiana	Gonzales, Louisiana	3	0	2013-09-07 20:51:48.710426+02	\N	\N	\N	\N	\N	\N	f	
26471	eb8bcb54-26bf-4d3a-bf32-237193af4aae	New Vienna, Iowa	New Vienna, Iowa	3	0	2013-09-08 00:43:25.86165+02	\N	\N	\N	\N	\N	\N	f	
26473	bd25cc7e-4285-43b8-a256-09a1b362161f	Creve Coeur, Missouri	Creve Coeur, Missouri	3	0	2013-09-08 00:43:59.541413+02	\N	\N	\N	\N	\N	\N	f	
26476	37e6395b-5b95-455d-9ed0-a4658acda080	Greenfield	Greenfield	3	0	2013-09-08 00:44:45.662179+02	\N	\N	\N	\N	\N	\N	f	
10498	86b8a411-6f1e-4b23-8293-18c145f2c3ac	Kawanishi	Kawanishi	3	0	2013-06-18 21:16:56.859587+02	\N	\N	\N	\N	\N	\N	f	
10499	c31725bf-59d1-4435-8ce7-c0249acd7ec8	Takahama	Takahama	3	0	2013-06-18 21:17:07.491316+02	\N	\N	\N	\N	\N	\N	f	
10500	aac86cbc-82aa-4bdc-a02e-b007c44de97d	Oguni	Oguni	3	0	2013-06-18 21:17:17.772929+02	\N	\N	\N	\N	\N	\N	f	
13841	05f0811c-744b-4708-b504-9a70db98d841	Corteno Golgi	Corteno Golgi	4	0	2013-07-21 19:24:30.521319+02	\N	\N	\N	\N	\N	\N	f	
10501	a4f78952-1c8c-432e-ad52-b802966b08e6	Zaō	Zaō	3	0	2013-06-18 21:17:31.084171+02	\N	\N	\N	\N	\N	\N	f	
10502	bc7571ca-6746-4a90-bec0-ba18d482f3cd	Yamanobe	Yamanobe	3	0	2013-06-18 21:17:42.741024+02	\N	\N	\N	\N	\N	\N	f	
10514	bf47b9c5-b273-41dd-91d1-ea06b41266f0	Higashichichibu	Higashichichibu	3	0	2013-06-18 21:20:47.644538+02	\N	\N	\N	\N	\N	\N	f	
13843	a6c2bafa-db81-43de-be4a-8319cfe32d0c	Gargnano	Gargnano	4	0	2013-07-21 19:24:54.923414+02	\N	\N	\N	\N	\N	\N	f	
15533	dc3d4392-914a-4426-bb64-a948bfa18cfa	Pombia	Pombia	4	0	2013-07-22 01:06:17.104744+02	\N	\N	\N	\N	\N	\N	f	
13848	7bf8d05a-9aee-4b43-b1d2-df816782879b	Erbusco	Erbusco	4	0	2013-07-21 19:25:56.50997+02	\N	\N	\N	\N	\N	\N	f	
13909	8a0df144-4e6d-48e8-bb37-0d728a34efb7	Castelnovo ne' Monti	Castelnovo ne' Monti	4	0	2013-07-21 19:40:11.542867+02	\N	\N	\N	\N	\N	\N	f	
19194	10e87066-3fa3-426e-9050-e2c7258ff607	Torretta	Torretta	4	0	2013-07-22 10:04:31.611099+02	\N	\N	\N	\N	\N	\N	f	
14437	599e7be8-3de2-4adc-a41b-ff76bbc41af7	Moncestino	Moncestino	4	0	2013-07-21 21:37:42.801214+02	\N	\N	\N	\N	\N	\N	f	
15611	6e497363-b834-40d1-a661-71846ceed83e	Omegna	Omegna	4	0	2013-07-22 01:23:59.753181+02	\N	\N	\N	\N	\N	\N	f	
22108	b0a75b71-5f79-4753-bba1-bc07e55bd237	Le Grand, Iowa	Le Grand, Iowa	3	0	2013-08-07 17:32:02.7683+02	\N	\N	\N	\N	\N	\N	f	
14982	7694a3f4-b0ce-407d-a80b-945200c609db	Monterosso Grana	Monterosso Grana	4	0	2013-07-21 23:33:22.510152+02	\N	\N	\N	\N	\N	\N	f	
17327	f339f246-719c-47e0-9eed-0f3f996791d2	Ponte in Valtellina	Ponte in Valtellina	4	0	2013-07-22 06:13:48.058838+02	\N	\N	\N	\N	\N	\N	f	
15628	68c278d1-ee09-49a4-8cb9-52c1176fdc12	Pieve Vergonte	Pieve Vergonte	4	0	2013-07-22 01:27:51.02486+02	\N	\N	\N	\N	\N	\N	f	
16259	a422b093-a5e6-4e49-a8bf-3a109edb6c7c	Campochiaro	Campochiaro	4	0	2013-07-22 03:12:07.658587+02	\N	\N	\N	\N	\N	\N	f	
17380	56a12078-1135-4793-bdda-08fd8950f9f4	Battuda	Battuda	4	0	2013-07-22 06:20:19.871899+02	\N	\N	\N	\N	\N	\N	f	
16336	80a4b6dd-2695-415d-9b98-b6beffe7437d	Portocannone	Portocannone	4	0	2013-07-22 03:21:14.578615+02	\N	\N	\N	\N	\N	\N	f	
16442	e3ab0d33-72f1-4923-b1a8-fc34db011089	Quartucciu	Quartucciu	4	0	2013-07-22 03:33:54.202687+02	\N	\N	\N	\N	\N	\N	f	
16447	74f87f70-dc19-46e2-bc42-ba0b571c1378	Calasetta	Calasetta	4	0	2013-07-22 03:34:33.031981+02	\N	\N	\N	\N	\N	\N	f	
18222	24f4467f-6a48-44b9-b204-68a238e00925	Montodine	Montodine	4	0	2013-07-22 08:02:00.076217+02	\N	\N	\N	\N	\N	\N	f	
22173	976e53cc-3ba0-42e5-97a0-4983f8fc7fe5	Center, Texas	Center, Texas	3	0	2013-08-08 08:33:56.842858+02	\N	\N	\N	\N	\N	\N	f	
16509	3be1916e-872f-4a03-b346-d37bf14deafe	Dro, Trentino	Dro, Trentino	4	0	2013-07-22 03:42:04.835102+02	\N	\N	\N	\N	\N	\N	f	
19688	550bcb68-a2df-40a2-82d9-8b7040790421	Castel Focognano	Castel Focognano	4	0	2013-07-22 11:20:48.712442+02	\N	\N	\N	\N	\N	\N	f	
16952	73856d9f-efb6-43e2-98d9-650336105fb4	Avise	Avise	4	0	2013-07-22 05:18:43.933219+02	\N	\N	\N	\N	\N	\N	f	
18238	c84a756b-7ff6-447e-9b70-3832b143c190	Cumignano sul Naviglio	Cumignano sul Naviglio	4	0	2013-07-22 08:04:00.64778+02	\N	\N	\N	\N	\N	\N	f	
17175	6acea007-bcc3-4508-90d3-9d9a6effac16	Sedilo	Sedilo	4	0	2013-07-22 05:53:33.877333+02	\N	\N	\N	\N	\N	\N	f	
17182	824a6769-7b26-4273-9870-11b3cbbdb7c9	Usellus	Usellus	4	0	2013-07-22 05:54:33.697195+02	\N	\N	\N	\N	\N	\N	f	
18279	71b171ce-c87e-4db6-b704-b26f5da34d45	Volta Mantovana	Volta Mantovana	4	0	2013-07-22 08:08:33.752901+02	\N	\N	\N	\N	\N	\N	f	
18296	22e3eb3c-3ef8-4f44-bfc9-ddee6a00c739	Varenna	Varenna	4	0	2013-07-22 08:10:58.167338+02	\N	\N	\N	\N	\N	\N	f	
20319	e29ec947-0c5a-48f6-9e5a-ddc6e4be1ffe	Pianopoli	Pianopoli	4	0	2013-07-22 20:50:17.915968+02	\N	\N	\N	\N	\N	\N	f	
18316	80ae45ce-808f-41d9-8248-13cc8fce9ba3	Vanzaghello	Vanzaghello	4	0	2013-07-22 08:13:17.770872+02	\N	\N	\N	\N	\N	\N	f	
18383	4e53c25f-d71a-4656-8072-7f500a0396ad	Moglia	Moglia	4	0	2013-07-22 08:21:48.731211+02	\N	\N	\N	\N	\N	\N	f	
20512	1ad97ca2-0cc7-4625-bac7-794efe751410	Rizziconi	Rizziconi	4	0	2013-07-23 02:52:08.583547+02	\N	\N	\N	\N	\N	\N	f	
18386	2dfc61d1-7aef-4ebc-9cde-e32bca21dbc3	Arluno	Arluno	4	0	2013-07-22 08:22:15.939515+02	\N	\N	\N	\N	\N	\N	f	
20331	7a45766b-85cb-404d-b30c-2b56d46a6e73	Satriano	Satriano	4	0	2013-07-22 23:31:24.3156+02	\N	\N	\N	\N	\N	\N	f	
22609	c08e863e-1aec-4418-bc66-9659c4c4252a	Quindici	Quindici	4	0	2013-08-13 17:33:27.637229+02	\N	\N	\N	\N	\N	\N	f	
19110	5db1d7e3-43fd-4d15-9d75-4adb77030536	San Giuseppe Jato	San Giuseppe Jato	4	0	2013-07-22 09:53:35.07908+02	\N	\N	\N	\N	\N	\N	f	
22215	aace3653-daed-4db9-ac25-d937f18c7923	Snyder	Snyder	3	0	2013-08-08 11:37:43.94526+02	\N	\N	\N	\N	\N	\N	f	
19168	55ffa481-97bc-4a97-87a6-1fc8d5b82e21	Montelepre	Montelepre	4	0	2013-07-22 10:01:30.256494+02	\N	\N	\N	\N	\N	\N	f	
20374	bc471e21-8f7d-4bcb-852a-b645120c1f10	Marano Marchesato	Marano Marchesato	4	0	2013-07-22 23:40:40.799137+02	\N	\N	\N	\N	\N	\N	f	
19172	9c6ea85e-c58f-4966-ba9d-2aa895947bf1	Chiusa Sclafani	Chiusa Sclafani	4	0	2013-07-22 10:01:55.011118+02	\N	\N	\N	\N	\N	\N	f	
20408	f8d8f3d6-72a7-4fbb-98b7-9b1a936d054e	Nocara	Nocara	4	0	2013-07-22 23:48:53.754526+02	\N	\N	\N	\N	\N	\N	f	
22368	438bc88b-da6f-4be1-b2dc-39332fbc230a	Yuba City	Yuba City	3	0	2013-08-11 02:22:23.729577+02	\N	\N	\N	\N	\N	\N	f	
20432	6049ad6d-9cd8-495f-bd9f-5b4cf816ac6e	Santo Stefano di Rogliano	Santo Stefano di Rogliano	4	0	2013-07-23 02:34:13.691418+02	\N	\N	\N	\N	\N	\N	f	
22232	8d7d527c-96f6-47e4-989f-bb2a6390e669	Sweeny	Sweeny	3	0	2013-08-08 14:37:34.162437+02	\N	\N	\N	\N	\N	\N	f	
20448	8e02d0ca-1345-4b60-ae46-ea9fa61c8183	Rovito	Rovito	4	0	2013-07-23 02:37:42.864808+02	\N	\N	\N	\N	\N	\N	f	
20464	c8cfe0e9-d322-436f-9a7e-70ce41202327	Caccuri	Caccuri	4	0	2013-07-23 02:41:03.584709+02	\N	\N	\N	\N	\N	\N	f	
20487	68762f82-3710-429d-ad98-1c8ac80fa7d0	Verzino	Verzino	4	0	2013-07-23 02:46:55.82365+02	\N	\N	\N	\N	\N	\N	f	
22274	bcc9a4d7-0edb-47da-8304-ce177954c4ba	Florence, South Carolina	Florence, South Carolina	3	0	2013-08-09 05:33:10.754047+02	\N	\N	\N	\N	\N	\N	f	
22516	d1454899-d30f-40ce-b0e1-195566f55eed	La Verne	La Verne	3	0	2013-08-11 05:49:20.735933+02	\N	\N	\N	\N	\N	\N	f	
22386	4269ae0b-ea1b-4053-9509-7dfaa4f64f9b	Ross, California	Ross, California	3	0	2013-08-11 02:32:40.984592+02	\N	\N	\N	\N	\N	\N	f	
22306	16abbe44-f8a4-4853-8383-c63c915d68ea	Clinton	Clinton	3	0	2013-08-10 08:33:29.707075+02	\N	\N	\N	\N	\N	\N	f	
22327	732e0e53-3c0f-4afc-b844-337b7da010b8	Chelsea	Chelsea	3	0	2013-08-10 17:31:59.192192+02	\N	\N	\N	\N	\N	\N	f	
22563	9c9933e8-2cc2-45a7-898e-bb52f141b845	Maysville, Kentucky	Maysville, Kentucky	3	0	2013-08-11 14:31:05.94792+02	\N	\N	\N	\N	\N	\N	f	
22400	332e4247-29eb-475c-be2e-e02239c2e647	Fontana	Fontana	3	0	2013-08-11 02:38:41.399491+02	\N	\N	\N	\N	\N	\N	f	
22534	57f689ec-9137-4e54-859f-e500c57bce91	Nogales	Nogales	3	0	2013-08-11 08:34:27.692203+02	\N	\N	\N	\N	\N	\N	f	
22471	0ede87b7-1b06-4171-8be6-4790ad7eb2f0	King City	King City	3	0	2013-08-11 05:36:08.608513+02	\N	\N	\N	\N	\N	\N	f	
22550	302e62f6-907a-4479-94a5-c7c21137a396	Winchester	Winchester	3	0	2013-08-11 11:38:38.11743+02	\N	\N	\N	\N	\N	\N	f	
22596	d9a0c232-3354-44a1-9d16-5dcbc9ec0bb2	Taverna, Calabria	Taverna, Calabria	4	0	2013-08-13 14:35:44.695489+02	\N	\N	\N	\N	\N	\N	f	
22582	7be3a8ca-1781-4ba1-85cc-efa69c37360e	Canna, Calabria	Canna, Calabria	4	0	2013-08-13 14:32:28.912074+02	\N	\N	\N	\N	\N	\N	f	
22641	3dc51e04-cfff-44cb-9ba1-416b07965da6	Nave, Lombardy	Nave, Lombardy	4	0	2013-08-13 23:20:22.284163+02	\N	\N	\N	\N	\N	\N	f	
22685	7e989201-d26d-43b3-b5b2-33999d88052c	Castro, Apulia	Castro, Apulia	4	0	2013-08-14 02:31:41.923776+02	\N	\N	\N	\N	\N	\N	f	
22702	22531585-133c-434c-8c02-a0a6c6a10173	San Cono	San Cono	4	0	2013-08-14 11:30:38.789138+02	\N	\N	\N	\N	\N	\N	f	
24584	c0b302b5-3ca3-49a1-8886-3f86c71a3617	Connersville, Indiana	Connersville, Indiana	3	0	2013-09-07 07:45:41.489212+02	\N	\N	\N	\N	\N	\N	f	
25107	76410b00-f903-479c-bbab-17c5033c4be9	Lake City	Lake City	3	0	2013-09-07 10:06:20.780489+02	\N	\N	\N	\N	\N	\N	f	
25698	2b763af8-f442-41d8-85e1-cf7caadcc444	Hallowell	Hallowell	3	0	2013-09-07 13:35:54.603579+02	\N	\N	\N	\N	\N	\N	f	
25715	b4e23d1f-6b46-4f0c-8be8-f9de5d0d9c3f	Old Town	Old Town	3	0	2013-09-07 14:18:30.394842+02	\N	\N	\N	\N	\N	\N	f	
10503	93da17e4-d88a-4ade-bb55-e1300e9d374a	Kaneyama	Kaneyama	3	0	2013-06-18 21:18:00.872551+02	\N	\N	\N	\N	\N	\N	f	
13842	9ffb083b-7ae9-404b-b8c1-f1d8c0a0b84c	Idro, Lombardy	Idro, Lombardy	4	0	2013-07-21 19:24:42.634634+02	\N	\N	\N	\N	\N	\N	f	
13873	31c84436-d9ae-47b4-9992-33ab83b89751	Monte Isola	Monte Isola	4	0	2013-07-21 19:32:17.739664+02	\N	\N	\N	\N	\N	\N	f	
13882	457148cd-475b-451d-a96a-05a64b22628d	Muscoline	Muscoline	4	0	2013-07-21 19:34:15.425294+02	\N	\N	\N	\N	\N	\N	f	
15534	e09e0893-d575-44af-a4c3-072f2baf5e66	Pisano	Pisano	4	0	2013-07-22 01:06:30.940239+02	\N	\N	\N	\N	\N	\N	f	
14438	52424123-4d32-46fa-8aa5-e99e435e432e	Melazzo	Melazzo	4	0	2013-07-21 21:37:57.46448+02	\N	\N	\N	\N	\N	\N	f	
16234	893286df-c6a3-4576-a664-a1e09d1e5e77	Roccavignale	Roccavignale	4	0	2013-07-22 03:08:54.402012+02	\N	\N	\N	\N	\N	\N	f	
17328	f52d6cac-16d4-40d5-ac39-054f910bb852	Cunardo	Cunardo	4	0	2013-07-22 06:14:00.456806+02	\N	\N	\N	\N	\N	\N	f	
22369	f7ae45c0-95c6-4ea6-b4d6-e05cb60cc981	Laguna Beach	Laguna Beach	3	0	2013-08-11 02:23:19.058417+02	\N	\N	\N	\N	\N	\N	f	
16953	483b709c-3ba7-42c7-872f-0c029cab1f74	Villadose	Villadose	4	0	2013-07-22 05:18:58.755208+02	\N	\N	\N	\N	\N	\N	f	
18228	7ae6f62b-62a5-487b-bc32-4e323632cc6a	Cassano d'Adda	Cassano d'Adda	4	0	2013-07-22 08:02:55.384432+02	\N	\N	\N	\N	\N	\N	f	
17075	dd7e08f3-6e8e-4ca0-9bc3-d51cf5666e2f	Verbania	Verbania	4	0	2013-07-22 05:40:09.133293+02	\N	\N	\N	\N	\N	\N	f	
19689	bd1ab2ae-99d5-4006-a18f-b426586978b8	Monteiasi	Monteiasi	4	0	2013-07-22 11:21:03.555302+02	\N	\N	\N	\N	\N	\N	f	
18247	7c7f54bb-0fb1-4aec-9caf-c95d6997a4cc	Marling, South Tyrol	Marling, South Tyrol	4	0	2013-07-22 08:04:56.939003+02	\N	\N	\N	\N	\N	\N	f	
27626	f9ba81d0-6aac-4222-a6e4-a7d2797fe9c4	Atoka	Atoka	3	0	2013-09-08 09:00:47.157005+02	\N	\N	\N	\N	\N	\N	f	
22472	73c41291-4913-4f35-86d3-6aea56ef9e51	Yucca Valley	Yucca Valley	3	0	2013-08-11 05:36:22.444904+02	\N	\N	\N	\N	\N	\N	f	
18329	8509c0f6-3473-4682-a3fd-dc0612f74c7d	Capralba	Capralba	4	0	2013-07-22 08:14:42.901239+02	\N	\N	\N	\N	\N	\N	f	
25699	ddb76068-4821-48ea-a24f-99ae00f23b2d	Havensville, Kansas	Havensville, Kansas	3	0	2013-09-07 13:36:12.829012+02	\N	\N	\N	\N	\N	\N	f	
22535	76b78901-f58c-44de-a25f-d480f270f0e5	Northport	Northport	3	0	2013-08-11 08:34:46.719337+02	\N	\N	\N	\N	\N	\N	f	
18367	f53104e1-a817-45dc-a20b-94bc4da43889	San Giuliano Milanese	San Giuliano Milanese	4	0	2013-07-22 08:19:45.122165+02	\N	\N	\N	\N	\N	\N	f	
16245	66165653-66eb-4baf-aa0b-e57aae70509d	Pietra Ligure	Pietra Ligure	4	0	2013-07-22 15:01:28.827152+02	\N	\N	\N	\N	\N	\N	f	
18388	e3014a26-7b07-48e5-8b85-da7856700046	Bubbiano	Bubbiano	4	0	2013-07-22 08:22:30.643195+02	\N	\N	\N	\N	\N	\N	f	
19087	7715fba6-1cfb-4b4e-b41d-63ad235f90d5	Melilli	Melilli	4	0	2013-07-22 09:51:08.279962+02	\N	\N	\N	\N	\N	\N	f	
20320	5257a875-1020-4ebb-865b-84572fc9dbb6	Palermiti	Palermiti	4	0	2013-07-22 20:50:30.481773+02	\N	\N	\N	\N	\N	\N	f	
22564	3e9b0ab3-3ea0-41de-bedf-a9f4d0b502dc	Celano	Celano	4	0	2013-08-11 14:32:12.343807+02	\N	\N	\N	\N	\N	\N	f	
20332	4ba9c263-e558-4602-822d-0f08270531d5	Cellara	Cellara	4	0	2013-07-22 23:31:51.758119+02	\N	\N	\N	\N	\N	\N	f	
20418	a987f60c-1527-4bac-a734-520873be1a87	San Benedetto Ullano	San Benedetto Ullano	4	0	2013-07-22 23:51:10.709761+02	\N	\N	\N	\N	\N	\N	f	
26833	63a24f16-1b16-4130-b021-0207207a50d0	St. George	St. George	3	0	2013-09-08 03:06:15.422487+02	\N	\N	\N	\N	\N	\N	f	
20433	c3807592-f955-4912-9f8c-a11e8bf448cd	Terravecchia	Terravecchia	4	0	2013-07-23 02:34:25.935949+02	\N	\N	\N	\N	\N	\N	f	
22583	7534306f-4f66-44be-b3e1-0c886277787c	Civita, Calabria	Civita, Calabria	4	0	2013-08-13 14:32:43.007064+02	\N	\N	\N	\N	\N	\N	f	
20442	2fc28547-90dd-4b7f-a7f4-3c896a4ae68c	Verbicaro	Verbicaro	4	0	2013-07-23 02:36:28.343778+02	\N	\N	\N	\N	\N	\N	f	
25700	e7fa6cca-f379-4418-a732-00522b449fb7	Powderly, Kentucky	Powderly, Kentucky	3	0	2013-09-07 13:36:27.261125+02	\N	\N	\N	\N	\N	\N	f	
22610	cce71ed2-f2f3-4ff9-bed6-e45e1d6dc70e	Greci	Greci	4	0	2013-08-13 17:33:46.928896+02	\N	\N	\N	\N	\N	\N	f	
22109	e4c3b1e8-9eb1-4d05-ba4f-ac5d4af5e86b	Inwood, Iowa	Inwood, Iowa	3	0	2013-08-07 17:32:25.094028+02	\N	\N	\N	\N	\N	\N	f	
22618	7185f124-afcf-45e1-b33d-72cb02b186ec	Sessa Aurunca	Sessa Aurunca	4	0	2013-08-13 17:36:28.811247+02	\N	\N	\N	\N	\N	\N	f	
22174	a7d6ef98-36fd-41d2-afe4-ab8d6baaf0cd	Decatur, Texas	Decatur, Texas	3	0	2013-08-08 08:34:13.063965+02	\N	\N	\N	\N	\N	\N	f	
22216	b292dff2-033c-4aac-a058-0520a0887956	Katy	Katy	3	0	2013-08-08 11:38:07.596306+02	\N	\N	\N	\N	\N	\N	f	
22233	865d1db0-b111-43f0-8d0d-c04419f5c254	Murphy	Murphy	3	0	2013-08-08 14:38:02.816765+02	\N	\N	\N	\N	\N	\N	f	
22642	43d20914-7f01-4125-862c-bb2b32a13eeb	Incudine	Incudine	4	0	2013-08-13 23:20:42.321937+02	\N	\N	\N	\N	\N	\N	f	
22275	50dd961d-c011-4c1b-829b-f706768e516d	Spartanburg, South Carolina	Spartanburg, South Carolina	3	0	2013-08-09 05:34:26.291951+02	\N	\N	\N	\N	\N	\N	f	
22308	623dee91-7918-409f-a6ec-5c457c9e75aa	Chester	Chester	3	0	2013-08-10 08:33:57.194192+02	\N	\N	\N	\N	\N	\N	f	
25716	b0b3cdc5-1a17-47c0-ac42-bbcada56586e	Attleboro	Attleboro	3	0	2013-09-07 14:18:53.651012+02	\N	\N	\N	\N	\N	\N	f	
22328	a7e6070e-3afd-423e-bd10-faf0d53e4778	Huntington Beach	Huntington Beach	3	0	2013-08-10 17:33:06.741318+02	\N	\N	\N	\N	\N	\N	f	
22686	5c727225-434c-4117-99ae-029c16b346be	Monopoli	Monopoli	4	0	2013-08-14 02:31:56.043513+02	\N	\N	\N	\N	\N	\N	f	
22703	670bc73b-6dea-4dfe-9465-6e2648603d46	Milo, Sicily	Milo, Sicily	4	0	2013-08-14 11:30:57.190316+02	\N	\N	\N	\N	\N	\N	f	
24585	44fece48-344a-490f-a02a-47fbd9c4d395	Clarion, Iowa	Clarion, Iowa	3	0	2013-09-07 07:46:01.029871+02	\N	\N	\N	\N	\N	\N	f	
25881	1f48054c-a02a-4d19-b568-bba7092e6ea4	Bentley, Kansas	Bentley, Kansas	3	0	2013-09-07 15:03:45.13477+02	\N	\N	\N	\N	\N	\N	f	
25108	2ece5283-176e-419d-8207-0ac75b1882a7	Lincoln	Lincoln	3	0	2013-09-07 10:06:36.302044+02	\N	\N	\N	\N	\N	\N	f	
26836	c4470f37-b99a-4c04-b159-915e002a20f8	Gallatin	Gallatin	3	0	2013-09-08 03:07:02.54546+02	\N	\N	\N	\N	\N	\N	f	
25120	2f2633d5-1989-4439-a951-284144ad14fb	Lime Springs	Lime Springs	3	0	2013-09-07 10:09:43.462146+02	\N	\N	\N	\N	\N	\N	f	
26157	004002ef-579d-4420-b8b1-a80a294074db	Rocheport, Missouri	Rocheport, Missouri	3	0	2013-09-07 20:32:05.937518+02	\N	\N	\N	\N	\N	\N	f	
26472	ceb745f0-54ac-452f-bccb-896860c375fb	Valparaiso, Florida	Valparaiso, Florida	3	0	2013-09-08 00:43:45.169723+02	\N	\N	\N	\N	\N	\N	f	
28065	a2785486-5fde-4682-9ba6-e655d0d536a2	Tosno	Tosno	3	0	2013-09-08 12:20:08.20064+02	\N	\N	\N	\N	\N	\N	f	
26488	de409a9b-6c2d-4f28-86ac-197fc9d9916e	Villisca, Iowa	Villisca, Iowa	3	0	2013-09-08 00:47:56.996725+02	\N	\N	\N	\N	\N	\N	f	
26819	f96c3855-1b33-4322-89b0-bed533aaf0fa	Hermitage	Hermitage	3	0	2013-09-08 03:02:47.33582+02	\N	\N	\N	\N	\N	\N	f	
26852	639a4641-0214-45ec-bef4-f2dd6c3c49d5	Pilot Knob	Pilot Knob	3	0	2013-09-08 03:10:56.14551+02	\N	\N	\N	\N	\N	\N	f	
27939	c39d808b-7394-43d4-bd99-57d1391f3902	Montpelier	Montpelier	3	0	2013-09-08 11:42:18.045619+02	\N	\N	\N	\N	\N	\N	f	
26866	356654ee-4076-4283-b37c-e5744c955fb0	Townsend	Townsend	3	0	2013-09-08 03:14:28.086638+02	\N	\N	\N	\N	\N	\N	f	
27250	33149cde-4214-42b7-b786-e9737b32e451	Bellflower	Bellflower	3	0	2013-09-08 06:09:37.279842+02	\N	\N	\N	\N	\N	\N	f	
27581	27daa127-9409-4f48-9f5d-1d22c1bbb60d	Churchs Ferry, North Dakota	Churchs Ferry, North Dakota	3	0	2013-09-08 08:47:14.380709+02	\N	\N	\N	\N	\N	\N	f	
27968	95f52de7-ac73-4022-9a45-ff8fe3454091	Lake Mary	Lake Mary	3	0	2013-09-08 11:49:52.010205+02	\N	\N	\N	\N	\N	\N	f	
27963	8aac6033-309d-4038-9805-63046b8def5d	Salida	Salida	3	0	2013-09-08 11:48:40.284754+02	\N	\N	\N	\N	\N	\N	f	
27992	2cd30965-6489-4e0e-bfc7-330c7035728e	Rochester	Rochester	3	0	2013-09-08 11:55:56.651909+02	\N	\N	\N	\N	\N	\N	f	
27976	ab973154-7351-4fcc-ad1b-2c4073a31e70	Margate	Margate	3	0	2013-09-08 11:51:50.715105+02	\N	\N	\N	\N	\N	\N	f	
28071	2f620499-2bd5-4d3c-b623-5df33977c9c5	Naro-Fominsk	Naro-Fominsk	3	0	2013-09-08 12:22:05.715125+02	\N	\N	\N	\N	\N	\N	f	
28213	ddd6f289-c78b-4020-8ea9-ffb58e094039	Clinton, South Carolina	Clinton, South Carolina	3	0	2013-09-08 14:52:23.534405+02	\N	\N	\N	\N	\N	\N	f	
28220	443455cc-3117-49ea-910b-ff53f858ad4f	Lake City, South Carolina	Lake City, South Carolina	3	0	2013-09-08 14:55:45.862981+02	\N	\N	\N	\N	\N	\N	f	
28646	dda54db5-8eba-4e94-be12-a3fa4969bd12	Haslet	Haslet	3	0	2013-09-08 21:12:18.679809+02	\N	\N	\N	\N	\N	\N	f	
28408	48e4a49c-5432-447b-90fc-8dcce72a0155	Gruetli-Laager	Gruetli-Laager	3	0	2013-09-08 17:13:39.028843+02	\N	\N	\N	\N	\N	\N	f	
28879	9f254815-fb0f-40d3-9aac-4517141fd572	Cashmere	Cashmere	3	0	2013-09-09 01:07:48.990612+02	\N	\N	\N	\N	\N	\N	f	
28965	f1742411-2a5e-4d1a-9ef1-5fc1da300baf	Lumberton	Lumberton	3	0	2013-09-09 01:41:55.843281+02	\N	\N	\N	\N	\N	\N	f	
10504	f9d809ff-26dc-49bd-a728-3ab48fc9140a	Murata	Murata	3	0	2013-06-18 21:18:21.100799+02	\N	\N	\N	\N	\N	\N	f	
13845	4ce3091f-bbfa-4076-8705-87fdefb05561	Losine	Losine	4	0	2013-07-21 19:25:18.406301+02	\N	\N	\N	\N	\N	\N	f	
10506	56383151-2bd7-439e-943b-abd3ab11a01a	Mogami	Mogami	3	0	2013-06-18 21:18:54.976003+02	\N	\N	\N	\N	\N	\N	f	
13924	43ce5055-5210-4330-a7a7-fb8bc3740f01	Fabbrico	Fabbrico	4	0	2013-07-21 19:43:43.398368+02	\N	\N	\N	\N	\N	\N	f	
14439	ffeccfb0-97fa-434f-92b2-393829ec4158	Morsasco	Morsasco	4	0	2013-07-21 21:38:09.450027+02	\N	\N	\N	\N	\N	\N	f	
15535	ed0f024d-a461-4239-9667-342be8a21e46	San Nazzaro Sesia	San Nazzaro Sesia	4	0	2013-07-22 01:06:43.931983+02	\N	\N	\N	\N	\N	\N	f	
14951	54e12de3-fd11-406a-a1ea-eabb1b58988f	Macra	Macra	4	0	2013-07-21 23:29:37.375957+02	\N	\N	\N	\N	\N	\N	f	
22175	e0884976-d931-48f5-9475-2e03272a5ebc	Boerne, Texas	Boerne, Texas	3	0	2013-08-08 08:36:43.064133+02	\N	\N	\N	\N	\N	\N	f	
16355	c9f76ee4-5b6d-4856-8d92-5136d9528b5d	Montenero Val Cocchiara	Montenero Val Cocchiara	4	0	2013-07-22 03:23:30.160504+02	\N	\N	\N	\N	\N	\N	f	
22704	86a368e9-69d6-4f76-8c95-0e51c035e101	Sant'Agata li Battiati	Sant'Agata li Battiati	4	0	2013-08-14 11:31:16.532411+02	\N	\N	\N	\N	\N	\N	f	
16562	8fa42abb-8e43-4c56-9471-e0198f2ebfc8	Lavis	Lavis	4	0	2013-07-22 03:48:35.107382+02	\N	\N	\N	\N	\N	\N	f	
17438	8664bf7c-329b-4753-88be-ef302bc6663a	Brallo di Pregola	Brallo di Pregola	4	0	2013-07-22 06:27:38.818874+02	\N	\N	\N	\N	\N	\N	f	
16569	ecd8fe37-930c-4c7e-9029-3107d92f3982	Lasino	Lasino	4	0	2013-07-22 03:49:31.7626+02	\N	\N	\N	\N	\N	\N	f	
16579	0b0dc1bd-5108-437f-9082-0f27c2e73f5d	Dorgali	Dorgali	4	0	2013-07-22 03:50:44.355544+02	\N	\N	\N	\N	\N	\N	f	
19690	187dfeb4-c9c5-4aa9-9d3e-8ef18a66ddb4	Bibbiena	Bibbiena	4	0	2013-07-22 11:21:16.441277+02	\N	\N	\N	\N	\N	\N	f	
16589	a6b3db10-c585-4513-9440-15204d93682b	Lodine	Lodine	4	0	2013-07-22 03:52:05.081742+02	\N	\N	\N	\N	\N	\N	f	
17500	d6ea9cf5-49ee-4735-a95f-d76f385a9b19	Mesenzana	Mesenzana	4	0	2013-07-22 06:35:16.207362+02	\N	\N	\N	\N	\N	\N	f	
16954	1f2821f1-ecc2-4ea2-997b-969a801c95bc	Sant'Urbano	Sant'Urbano	4	0	2013-07-22 05:19:13.51124+02	\N	\N	\N	\N	\N	\N	f	
16977	4799f45d-c18a-493d-8e4e-dee6ea0e95b4	Brusson	Brusson	4	0	2013-07-22 05:25:14.814566+02	\N	\N	\N	\N	\N	\N	f	
16981	9d4498ce-f731-4b86-aaf9-b2594a3ffafa	Bard, Aosta Valley	Bard, Aosta Valley	4	0	2013-07-22 05:26:10.201102+02	\N	\N	\N	\N	\N	\N	f	
22177	0c7bf63f-48ba-4207-bbde-06bf3f9eacfe	Bedias, Texas	Bedias, Texas	3	0	2013-08-08 08:37:27.419533+02	\N	\N	\N	\N	\N	\N	f	
17069	e76aa39e-127b-45a8-853b-39ed13f361f6	Siligo	Siligo	4	0	2013-07-22 05:39:22.128612+02	\N	\N	\N	\N	\N	\N	f	
22536	396aa1ed-7699-4060-905b-58e7a21845ab	Casa Grande	Casa Grande	3	0	2013-08-11 08:35:00.876574+02	\N	\N	\N	\N	\N	\N	f	
17152	a89032f1-ef4d-4cb9-bedc-8d045702db29	Morgongiori	Morgongiori	4	0	2013-07-22 05:50:24.672175+02	\N	\N	\N	\N	\N	\N	f	
18265	8b20efa5-7a1d-4bd5-a7a0-7ed66eb8cfb1	Pieranica	Pieranica	4	0	2013-07-22 08:06:57.996068+02	\N	\N	\N	\N	\N	\N	f	
20321	eaf527b1-bf1a-4c76-82a6-6457855514a9	Serrastretta	Serrastretta	4	0	2013-07-22 20:50:43.052957+02	\N	\N	\N	\N	\N	\N	f	
18276	b506323c-864a-448c-a4d2-90b9c303b638	Pizzighettone	Pizzighettone	4	0	2013-07-22 08:08:16.893577+02	\N	\N	\N	\N	\N	\N	f	
22217	4076022a-6097-44e2-9b22-60272a74b179	Jacinto City	Jacinto City	3	0	2013-08-08 11:38:25.305563+02	\N	\N	\N	\N	\N	\N	f	
20333	c9dcc6c6-ddc1-4dc0-90d4-7002437b4557	Laino Borgo	Laino Borgo	4	0	2013-07-22 23:32:05.956108+02	\N	\N	\N	\N	\N	\N	f	
19098	854f4b1c-145f-4a01-9eec-8f27213c3060	San Mauro Castelverde	San Mauro Castelverde	4	0	2013-07-22 09:52:19.456759+02	\N	\N	\N	\N	\N	\N	f	
19133	300309bd-1a24-40e5-82ad-c3bd031a999f	Gratteri	Gratteri	4	0	2013-07-22 09:56:23.638979+02	\N	\N	\N	\N	\N	\N	f	
22234	1929f637-5441-47d7-b426-4bb0db03e4a3	Palmview	Palmview	3	0	2013-08-08 14:38:27.990493+02	\N	\N	\N	\N	\N	\N	f	
19218	fce1586a-a5b2-468a-9aa7-8a71e3ce9fa4	Schnals	Schnals	4	0	2013-07-22 10:07:42.925789+02	\N	\N	\N	\N	\N	\N	f	
20335	b23ab166-757a-4187-80f3-8d37dfa1447f	Fuscaldo	Fuscaldo	4	0	2013-07-22 23:32:29.877946+02	\N	\N	\N	\N	\N	\N	f	
20352	c4ae9d26-564e-4ad9-8f25-8e8c79a276b3	Calopezzati	Calopezzati	4	0	2013-07-22 23:36:01.156511+02	\N	\N	\N	\N	\N	\N	f	
20435	239c1e24-4007-4bfa-acb6-9ad9a47ab380	Spezzano Albanese	Spezzano Albanese	4	0	2013-07-23 02:34:55.450073+02	\N	\N	\N	\N	\N	\N	f	
22237	2d3e91af-e064-4027-b6b3-1d8aaf121aa2	New Home	New Home	3	0	2013-08-08 14:39:46.118357+02	\N	\N	\N	\N	\N	\N	f	
20472	da296dd5-ede9-4e79-a52f-830d21190cb8	Calanna	Calanna	4	0	2013-07-23 02:42:50.786836+02	\N	\N	\N	\N	\N	\N	f	
20480	ef23de45-8c15-4371-b43b-b0ef7e8e8421	Pallagorio	Pallagorio	4	0	2013-07-23 02:45:17.070564+02	\N	\N	\N	\N	\N	\N	f	
22565	85b4c7eb-37e5-4ebe-895c-17f0fa4ad860	Salyersville, Kentucky	Salyersville, Kentucky	3	0	2013-08-11 14:34:19.013421+02	\N	\N	\N	\N	\N	\N	f	
22276	4dd275c8-5103-43e3-b0ae-d6e43fcb4842	Myrtle Beach, South Carolina	Myrtle Beach, South Carolina	3	0	2013-08-09 05:36:04.574186+02	\N	\N	\N	\N	\N	\N	f	
22329	b03b05c1-c279-4d6a-be4a-d5d5d1b578de	Arcata, California	Arcata, California	3	0	2013-08-10 17:33:44.255692+02	\N	\N	\N	\N	\N	\N	f	
22335	f22d221d-83ed-4c66-a99d-cd7ad60c33b9	Camden	Camden	3	0	2013-08-10 17:37:02.009259+02	\N	\N	\N	\N	\N	\N	f	
22110	8cfee98d-b355-40f8-8546-6478189f054e	Charles City	Charles City	3	0	2013-08-07 17:32:45.742732+02	\N	\N	\N	\N	\N	\N	f	
22111	fa8d3ed8-d436-4ede-b9e7-0fc7c2a4dc6e	Blakesburg, Iowa	Blakesburg, Iowa	3	0	2013-08-07 17:33:18.361594+02	\N	\N	\N	\N	\N	\N	f	
22584	a58430e6-cdfc-4bfb-9d6c-89e67c048602	Lago	Lago	4	0	2013-08-13 14:32:56.814492+02	\N	\N	\N	\N	\N	\N	f	
22370	c0815372-34a4-479d-b1cd-dc038d19881f	Jackson	Jackson	3	0	2013-08-11 02:24:33.048043+02	\N	\N	\N	\N	\N	\N	f	
22390	41b6deac-771f-49e1-8018-5f3069795902	Escalon, California	Escalon, California	3	0	2013-08-11 02:34:10.487022+02	\N	\N	\N	\N	\N	\N	f	
24587	47e050b4-2480-41fe-9bbd-defaa6574a54	St. Pete Beach	St. Pete Beach	3	0	2013-09-07 07:46:34.553277+02	\N	\N	\N	\N	\N	\N	f	
22474	a57a884c-c302-40a7-9ee1-28228a738796	Brawley, California	Brawley, California	3	0	2013-08-11 05:36:56.642533+02	\N	\N	\N	\N	\N	\N	f	
22611	417da439-c267-4a30-a852-5a3d48f3d8be	Tufo	Tufo	4	0	2013-08-13 17:34:05.674104+02	\N	\N	\N	\N	\N	\N	f	
25121	190baa04-eecb-4085-8828-0f72674e3346	Keota	Keota	3	0	2013-09-07 10:09:59.14037+02	\N	\N	\N	\N	\N	\N	f	
22643	cd440f03-8572-489a-b468-4decfb317702	Casto	Casto	4	0	2013-08-13 23:21:01.349858+02	\N	\N	\N	\N	\N	\N	f	
24610	ae79f4d7-8e44-4b63-a740-c21d585c01e5	Fairview Heights	Fairview Heights	3	0	2013-09-07 07:51:54.976202+02	\N	\N	\N	\N	\N	\N	f	
22687	93d15695-16dd-4d0f-a578-0b0ed4018df6	Candela	Candela	4	0	2013-08-14 02:32:16.642684+02	\N	\N	\N	\N	\N	\N	f	
25184	b17ef79e-113d-4348-ac6b-a678da39fa7a	Oakley	Oakley	3	0	2013-09-07 10:33:28.867301+02	\N	\N	\N	\N	\N	\N	f	
24637	c9912483-e001-4ca5-83f6-d78fbc48558b	Farmer City	Farmer City	3	0	2013-09-07 07:58:20.360273+02	\N	\N	\N	\N	\N	\N	f	
24640	3bfb0133-6732-4089-87fd-8737d85e8dc2	Mendota	Mendota	3	0	2013-09-07 07:59:19.898179+02	\N	\N	\N	\N	\N	\N	f	
25161	b6d06252-2fbf-4508-9af5-bb1dbe3921a3	Milan, Kansas	Milan, Kansas	3	0	2013-09-07 10:26:53.275982+02	\N	\N	\N	\N	\N	\N	f	
25195	f019fbdb-694a-45dd-b634-b1898ea0bd5e	Harris	Harris	3	0	2013-09-07 10:36:27.400755+02	\N	\N	\N	\N	\N	\N	f	
25183	51cda027-50fa-4303-869e-fceb0a0015be	Hills	Hills	3	0	2013-09-07 10:33:13.211686+02	\N	\N	\N	\N	\N	\N	f	
25191	fa91e8eb-2670-44a6-b324-b40f2738d80c	Jewell Junction	Jewell Junction	3	0	2013-09-07 10:35:22.955268+02	\N	\N	\N	\N	\N	\N	f	
25701	94a23c8e-5e27-46f1-8513-ba5a7f008874	Somerset	Somerset	3	0	2013-09-07 13:36:41.299654+02	\N	\N	\N	\N	\N	\N	f	
25205	7dda58fa-3903-4590-911c-903f23bad456	Henderson	Henderson	3	0	2013-09-07 10:39:09.919387+02	\N	\N	\N	\N	\N	\N	f	
25709	20bef461-96e4-4454-bec1-10719bb3909a	Silver Grove, Kentucky	Silver Grove, Kentucky	3	0	2013-09-07 13:38:37.823125+02	\N	\N	\N	\N	\N	\N	f	
25717	a93bc7a3-6150-45d9-b8a7-e5cb43c310e1	Gardner, Massachusetts	Gardner, Massachusetts	3	0	2013-09-07 14:19:16.627857+02	\N	\N	\N	\N	\N	\N	f	
25745	cb4e4b7c-d6cf-4cfd-8ce2-492753bc7b06	Gypsum, Kansas	Gypsum, Kansas	3	0	2013-09-07 14:28:12.53743+02	\N	\N	\N	\N	\N	\N	f	
25769	5d06be03-b6c3-491d-898a-7fb043fbbd28	Vanceburg, Kentucky	Vanceburg, Kentucky	3	0	2013-09-07 14:34:09.155903+02	\N	\N	\N	\N	\N	\N	f	
26158	23a78871-b6d9-4ffb-b600-0305e96606f7	North Kansas City, Missouri	North Kansas City, Missouri	3	0	2013-09-07 20:32:19.339261+02	\N	\N	\N	\N	\N	\N	f	
26210	8ef584c9-0e63-498b-9377-02f1dddc3eba	Climax, Kansas	Climax, Kansas	3	0	2013-09-07 20:46:15.542771+02	\N	\N	\N	\N	\N	\N	f	
10507	05830ef5-4790-4f4e-9b28-c9191c52851a	Mamurogawa	Mamurogawa	3	0	2013-06-18 21:19:07.524855+02	\N	\N	\N	\N	\N	\N	f	
13846	27d5844e-a278-4e72-9352-a140862dc37e	Dello, Lombardy	Dello, Lombardy	4	0	2013-07-21 19:25:30.869061+02	\N	\N	\N	\N	\N	\N	f	
10508	713c80c7-e7fc-45c5-8927-dda56e3fa61f	Sakegawa	Sakegawa	3	0	2013-06-18 21:19:24.276147+02	\N	\N	\N	\N	\N	\N	f	
14440	cac8a351-2808-4eb6-b1f4-ff644f710f7b	Mirabello Monferrato	Mirabello Monferrato	4	0	2013-07-21 21:38:21.887996+02	\N	\N	\N	\N	\N	\N	f	
10509	ffde9de7-f78e-461e-917f-147abb6eeb8a	Shika	Shika	3	0	2013-06-18 21:19:40.899582+02	\N	\N	\N	\N	\N	\N	f	
10510	68a12b10-caab-408a-9fb7-4895a7ab3116	Matsushima	Matsushima	3	0	2013-06-18 21:19:51.725416+02	\N	\N	\N	\N	\N	\N	f	
10511	c6251545-7cd2-4042-a682-0ae873922685	Yuza	Yuza	3	0	2013-06-18 21:20:05.256282+02	\N	\N	\N	\N	\N	\N	f	
14442	f83c4fbf-e3a5-4049-940f-ae4bd4d1cb22	Nogaredo	Nogaredo	4	0	2013-07-21 21:38:45.946778+02	\N	\N	\N	\N	\N	\N	f	
10539	9fa3164c-85eb-41ed-ba04-14ed4d13e927	Kasumigaura	Kasumigaura	3	0	2013-06-18 21:45:51.63077+02	\N	\N	\N	\N	\N	\N	f	
14952	7082066f-8ad9-4e96-86c9-3478cb8df9f2	Mango	Mango	4	0	2013-07-21 23:29:46.186593+02	\N	\N	\N	\N	\N	\N	f	
15536	f53f1db3-4a0e-4a70-9209-877e215e2490	Romagnano Sesia	Romagnano Sesia	4	0	2013-07-22 01:06:58.458414+02	\N	\N	\N	\N	\N	\N	f	
17330	b2fb150f-8027-4978-a60f-e4bf7bf05e0d	Berbenno di Valtellina	Berbenno di Valtellina	4	0	2013-07-22 06:14:14.365576+02	\N	\N	\N	\N	\N	\N	f	
16237	81f9d765-65ee-42c3-bdd8-b7335b8cd71e	Spotorno	Spotorno	4	0	2013-07-22 03:09:15.71389+02	\N	\N	\N	\N	\N	\N	f	
16258	2c8cb54f-7bd9-4a72-8902-dc7037cfc5a3	Cercepiccola	Cercepiccola	4	0	2013-07-22 03:11:53.970086+02	\N	\N	\N	\N	\N	\N	f	
16956	3c616c3b-452d-4c62-b5c4-cf1e0c9fcbec	Carmignano di Brenta	Carmignano di Brenta	4	0	2013-07-22 05:19:41.957903+02	\N	\N	\N	\N	\N	\N	f	
17345	86d385b6-3f2d-441b-b033-a304d9e6558c	Biassono	Biassono	4	0	2013-07-22 06:16:06.699433+02	\N	\N	\N	\N	\N	\N	f	
17122	a9d309ac-a823-4756-9406-cbc3e8b992c0	Mogorella	Mogorella	4	0	2013-07-22 05:46:43.502076+02	\N	\N	\N	\N	\N	\N	f	
19201	64290abd-f2dd-450c-8eea-19630a7fe279	Terenten	Terenten	4	0	2013-07-22 10:05:35.561414+02	\N	\N	\N	\N	\N	\N	f	
17377	f06e0f76-fe24-467b-b523-1f927e9389f1	Traona	Traona	4	0	2013-07-22 06:19:50.410831+02	\N	\N	\N	\N	\N	\N	f	
17411	996f058d-a51c-41ce-b612-0c52fa23b9e3	Brinzio	Brinzio	4	0	2013-07-22 06:24:04.198376+02	\N	\N	\N	\N	\N	\N	f	
22277	de28eebb-7fd6-4d18-aadd-a4f9fb21f35c	Albemarle, North Carolina	Albemarle, North Carolina	3	0	2013-08-09 05:36:47.908815+02	\N	\N	\N	\N	\N	\N	f	
17415	b56f8dcd-5a96-45d1-bf50-3ef1578b9d68	Arcisate	Arcisate	4	0	2013-07-22 06:24:30.13179+02	\N	\N	\N	\N	\N	\N	f	
19210	10a1de5d-462f-4632-9872-c7138a145eaf	Castelvecchio Calvisio	Castelvecchio Calvisio	4	0	2013-07-22 10:06:44.993343+02	\N	\N	\N	\N	\N	\N	f	
17477	976b835d-830d-449a-9a68-07700c5609e8	Bardello	Bardello	4	0	2013-07-22 06:32:26.10436+02	\N	\N	\N	\N	\N	\N	f	
19691	d9328eef-210b-4a69-b241-bdc8f2a4f54c	San Marzano di San Giuseppe	San Marzano di San Giuseppe	4	0	2013-07-22 11:21:29.299392+02	\N	\N	\N	\N	\N	\N	f	
17541	901ea555-00b2-443c-aafc-a7a8b2664fe2	Voghera	Voghera	4	0	2013-07-22 06:40:01.26457+02	\N	\N	\N	\N	\N	\N	f	
25124	7f74bf2a-6526-4635-bf88-32b2fef0d291	Liberal	Liberal	3	0	2013-09-07 10:16:33.83927+02	\N	\N	\N	\N	\N	\N	f	
22330	fe925283-fab0-40f4-b7cf-8c80f38eda48	Alhambra	Alhambra	3	0	2013-08-10 17:34:34.896368+02	\N	\N	\N	\N	\N	\N	f	
20322	0d584be4-f711-496d-8b50-40ac48b2e63d	Soveria Mannelli	Soveria Mannelli	4	0	2013-07-22 20:50:55.135352+02	\N	\N	\N	\N	\N	\N	f	
17665	1404f4e0-6940-4cfa-9eb3-9ead753a6ad5	Siziano	Siziano	4	0	2013-07-22 06:55:17.049706+02	\N	\N	\N	\N	\N	\N	f	
18240	0d2d8744-6d25-4f63-aeb6-7522a3cc4e5f	Virgilio	Virgilio	4	0	2013-07-22 08:04:12.903644+02	\N	\N	\N	\N	\N	\N	f	
18264	6e2b296c-94e1-417f-9727-31f87e437df5	Mariana Mantovana	Mariana Mantovana	4	0	2013-07-22 08:06:57.085172+02	\N	\N	\N	\N	\N	\N	f	
20334	c302ecfe-a330-4f73-9dad-528e44502f8d	Fagnano Castello	Fagnano Castello	4	0	2013-07-22 23:32:17.796988+02	\N	\N	\N	\N	\N	\N	f	
18278	0a21a85f-f4eb-4b50-880d-52be035369d7	Pessina Cremonese	Pessina Cremonese	4	0	2013-07-22 08:08:33.658766+02	\N	\N	\N	\N	\N	\N	f	
19089	3f84a390-513a-41ad-a027-b8e7831a4dd4	Palazzo Adriano	Palazzo Adriano	4	0	2013-07-22 09:51:20.606919+02	\N	\N	\N	\N	\N	\N	f	
22644	6e1d6680-caf2-4857-8428-3c6b413c86e3	Collio	Collio	4	0	2013-08-13 23:21:21.295637+02	\N	\N	\N	\N	\N	\N	f	
19106	cf4a778c-4fc4-460b-8067-ce001606ea1b	Termini Imerese	Termini Imerese	4	0	2013-07-22 09:53:10.635257+02	\N	\N	\N	\N	\N	\N	f	
20436	7bec7451-9a91-4a59-b937-2ceffb325160	San Cosmo Albanese	San Cosmo Albanese	4	0	2013-07-23 02:35:14.586004+02	\N	\N	\N	\N	\N	\N	f	
19148	0afe7618-5a11-45a5-a2d4-b57f5b3a80a8	Collesano	Collesano	4	0	2013-07-22 09:58:20.161101+02	\N	\N	\N	\N	\N	\N	f	
19151	edacfb01-97db-479a-bb39-c54123a357ac	Schlanders	Schlanders	4	0	2013-07-22 09:59:27.894783+02	\N	\N	\N	\N	\N	\N	f	
22331	6db5e674-1ebb-47fa-aefc-e946fd4f15db	Ward	Ward	3	0	2013-08-10 17:35:14.408176+02	\N	\N	\N	\N	\N	\N	f	
19189	d87b51c0-bc13-4a79-a4b0-830be45968b7	Tramin an der Weinstraße	Tramin an der Weinstraße	4	0	2013-07-22 10:03:54.230535+02	\N	\N	\N	\N	\N	\N	f	
20467	7876daa1-ba8d-43fe-8ce0-ba9af40d66d3	Bovalino	Bovalino	4	0	2013-07-23 02:41:51.58919+02	\N	\N	\N	\N	\N	\N	f	
22371	05687ddc-a16a-465b-8094-8b69f4fd9ba4	Easthampton	Easthampton	3	0	2013-08-11 02:24:56.227161+02	\N	\N	\N	\N	\N	\N	f	
22112	548a1913-8ace-45ff-9417-43d91e3c3552	Watseka	Watseka	3	0	2013-08-07 17:33:36.186332+02	\N	\N	\N	\N	\N	\N	f	
22176	28ceea33-074e-4543-8436-06da38ac8c6f	Bridgeport, Texas	Bridgeport, Texas	3	0	2013-08-08 08:37:04.126562+02	\N	\N	\N	\N	\N	\N	f	
22218	3c7866d7-332d-4e15-8f93-6814b08c6297	Montgomery	Montgomery	3	0	2013-08-08 11:38:46.651141+02	\N	\N	\N	\N	\N	\N	f	
22475	c479147f-2228-40f4-b95a-cc7e023da9e3	San Dimas	San Dimas	3	0	2013-08-11 05:37:15.812969+02	\N	\N	\N	\N	\N	\N	f	
22235	ee7f0756-e0bc-40de-acec-6dc3c2a5023e	Mexia	Mexia	3	0	2013-08-08 14:38:54.48744+02	\N	\N	\N	\N	\N	\N	f	
22688	26a5821d-8f56-43e0-a1e8-9e9dbfdd32f5	Noicattaro	Noicattaro	4	0	2013-08-14 02:32:34.253531+02	\N	\N	\N	\N	\N	\N	f	
22537	39d41edd-5b4e-496e-a080-077283989dd0	Mobile	Mobile	3	0	2013-08-11 08:35:13.573644+02	\N	\N	\N	\N	\N	\N	f	
25710	ca97cd7c-038b-44c7-866b-4454e2450ec0	Hoisington, Kansas	Hoisington, Kansas	3	0	2013-09-07 13:38:52.288179+02	\N	\N	\N	\N	\N	\N	f	
22585	e600a506-d864-4ad1-8f30-8c67dafcc6d9	Tarsia	Tarsia	4	0	2013-08-13 14:33:10.598257+02	\N	\N	\N	\N	\N	\N	f	
22705	41a85a22-b783-48f7-acea-dbb271a30b44	Sant'Alfio	Sant'Alfio	4	0	2013-08-14 11:31:29.893391+02	\N	\N	\N	\N	\N	\N	f	
22612	20e7aa9b-cedf-4eb5-8667-d6fd3251dedb	Gesualdo, Campania	Gesualdo, Campania	4	0	2013-08-13 17:34:21.490168+02	\N	\N	\N	\N	\N	\N	f	
25137	9590ff2b-e05f-4922-9208-e0ff9e23a179	Rose Hill	Rose Hill	3	0	2013-09-07 10:20:00.778506+02	\N	\N	\N	\N	\N	\N	f	
24588	5cc57a54-1503-4f2a-aed7-a8e5cfcc329c	Ankeny, Iowa	Ankeny, Iowa	3	0	2013-09-07 07:46:48.53862+02	\N	\N	\N	\N	\N	\N	f	
24656	fda5d0a7-65ec-46d8-8684-f06604d6de74	Nashville	Nashville	3	0	2013-09-07 08:03:33.014273+02	\N	\N	\N	\N	\N	\N	f	
25702	b00a0c01-4499-4852-a0c7-3cb9fdd9fcdc	Simpsonville, Kentucky	Simpsonville, Kentucky	3	0	2013-09-07 13:36:55.069395+02	\N	\N	\N	\N	\N	\N	f	
25733	36e9ddff-a005-4ae3-aa50-a015481d78a7	Beverly, Kansas	Beverly, Kansas	3	0	2013-09-07 14:25:07.586224+02	\N	\N	\N	\N	\N	\N	f	
25718	e4b419b3-88d4-4334-9efa-bc9d1dc13816	Glencoe, Kentucky	Glencoe, Kentucky	3	0	2013-09-07 14:21:14.178739+02	\N	\N	\N	\N	\N	\N	f	
26159	de355eab-fe67-4909-99d1-f0f8a9300b38	Walker, Missouri	Walker, Missouri	3	0	2013-09-07 20:32:32.991306+02	\N	\N	\N	\N	\N	\N	f	
25782	c64135b5-1cd3-471f-b2e3-1a6bef7b114a	Admire, Kansas	Admire, Kansas	3	0	2013-09-07 14:37:27.724726+02	\N	\N	\N	\N	\N	\N	f	
26240	21bbb0c1-3d2d-41f4-8b1c-e890ab80e057	Cumberland	Cumberland	3	0	2013-09-07 20:53:49.614827+02	\N	\N	\N	\N	\N	\N	f	
26475	bc0f073b-b10d-44b1-ae5e-2feac080f331	Großbottwar	Großbottwar	3	0	2013-09-08 00:44:31.958133+02	\N	\N	\N	\N	\N	\N	f	
26298	b669c89a-fcaf-4b71-95de-25761e90660f	Rea, Missouri	Rea, Missouri	3	0	2013-09-07 21:11:11.067351+02	\N	\N	\N	\N	\N	\N	f	
26820	c9a71a59-6201-4aec-8fe8-578a4a3468a5	Shelbina	Shelbina	3	0	2013-09-08 03:03:01.914406+02	\N	\N	\N	\N	\N	\N	f	
26865	d6f77be0-5744-4c11-ad7e-19f233efcc49	Kimballton, Iowa	Kimballton, Iowa	3	0	2013-09-08 03:14:10.560137+02	\N	\N	\N	\N	\N	\N	f	
27254	801016e3-9bb4-49e5-aa9c-273cfa2d0522	Laclede	Laclede	3	0	2013-09-08 06:10:47.983429+02	\N	\N	\N	\N	\N	\N	f	
27582	43ad8c0b-4065-44d4-a291-510057aae9e9	Hampden, North Dakota	Hampden, North Dakota	3	0	2013-09-08 08:47:43.255071+02	\N	\N	\N	\N	\N	\N	f	
10512	da2b755a-b8b6-4006-a772-9cb39c4ef7ac	Ōarai	Ōarai	3	0	2013-06-18 21:20:15.765745+02	\N	\N	\N	\N	\N	\N	f	
10537	46f1451f-3af3-4dea-972e-488b9d94b830	Marumori	Marumori	3	0	2013-06-18 21:44:16.289284+02	\N	\N	\N	\N	\N	\N	f	
13847	0c288109-598b-4299-a1c0-09367b59ae8a	Chiari, Lombardy	Chiari, Lombardy	4	0	2013-07-21 19:25:43.090268+02	\N	\N	\N	\N	\N	\N	f	
14445	a47220d9-079b-455b-b452-a0637e698f5a	Milena, Sicily	Milena, Sicily	4	0	2013-07-21 21:39:21.719998+02	\N	\N	\N	\N	\N	\N	f	
15537	3005d335-cb35-428e-abe2-5c39ec407b89	Veruno	Veruno	4	0	2013-07-22 01:07:15.17794+02	\N	\N	\N	\N	\N	\N	f	
14958	7e75fa10-21a8-446f-8a0e-53e00ceaca1e	Magliano Alpi	Magliano Alpi	4	0	2013-07-21 23:30:27.923556+02	\N	\N	\N	\N	\N	\N	f	
15579	35cceff9-b14e-46c9-9c2e-1f339d04d9eb	Cambiasca	Cambiasca	4	0	2013-07-22 01:16:37.6229+02	\N	\N	\N	\N	\N	\N	f	
17331	27c2808c-5489-4ac8-8775-d7c7d158f1b3	Torre di Santa Maria	Torre di Santa Maria	4	0	2013-07-22 06:14:20.033483+02	\N	\N	\N	\N	\N	\N	f	
15581	9fd33b96-01d4-4939-9511-e5edbe69a2e3	Cossogno	Cossogno	4	0	2013-07-22 01:17:07.769513+02	\N	\N	\N	\N	\N	\N	f	
15588	c1d2cdab-1be5-4e79-ae41-ec53f0b12c09	Crodo	Crodo	4	0	2013-07-22 01:18:37.108202+02	\N	\N	\N	\N	\N	\N	f	
22372	c0b5ef79-ff3b-4d24-ab2c-d43ff23d0d0c	West Springfield	West Springfield	3	0	2013-08-11 02:25:14.052568+02	\N	\N	\N	\N	\N	\N	f	
16261	e77cfd46-9712-439e-9584-e483bcdfbf6d	Bonefro	Bonefro	4	0	2013-07-22 03:12:20.450847+02	\N	\N	\N	\N	\N	\N	f	
16282	34f51c3d-21ff-4a29-a2a8-905f8436925e	Monacilioni	Monacilioni	4	0	2013-07-22 03:14:46.644007+02	\N	\N	\N	\N	\N	\N	f	
19692	a02bbf45-e6c8-44cf-ba22-6e8c446ba713	Statte	Statte	4	0	2013-07-22 11:21:42.337019+02	\N	\N	\N	\N	\N	\N	f	
16299	98a594a6-ea77-48ed-aea2-28832cccd693	San Giacomo degli Schiavoni	San Giacomo degli Schiavoni	4	0	2013-07-22 03:17:09.043689+02	\N	\N	\N	\N	\N	\N	f	
25142	51871e1e-2ba2-464c-94e5-275a0337b5dd	Franklin	Franklin	3	0	2013-09-07 10:22:17.050766+02	\N	\N	\N	\N	\N	\N	f	
16363	637b795d-4efe-4417-a165-0dd16ff4791e	Pettoranello del Molise	Pettoranello del Molise	4	0	2013-07-22 03:24:23.017778+02	\N	\N	\N	\N	\N	\N	f	
22476	2c4550ea-6f50-4b0e-b68f-87335a97f207	Watsonville	Watsonville	3	0	2013-08-11 05:37:29.581397+02	\N	\N	\N	\N	\N	\N	f	
16441	82b1d3ec-421c-4538-8ee5-afa4b16bdd74	Villanova Tulo	Villanova Tulo	4	0	2013-07-22 03:33:52.987041+02	\N	\N	\N	\N	\N	\N	f	
19091	16e2b7ee-cae3-4007-bcf7-4d6254953213	Buscemi	Buscemi	4	0	2013-07-22 09:51:33.789932+02	\N	\N	\N	\N	\N	\N	f	
16444	caf41e7a-7e54-4393-bd10-845e2aaf10db	Senorbì	Senorbì	4	0	2013-07-22 03:34:19.019317+02	\N	\N	\N	\N	\N	\N	f	
16472	e7ff5f60-2157-4606-ae36-f14af48b370e	Villasor	Villasor	4	0	2013-07-22 03:37:38.076614+02	\N	\N	\N	\N	\N	\N	f	
16594	d330bb18-b5b6-4c75-91d8-044d85453eb4	Malosco	Malosco	4	0	2013-07-22 03:52:43.976073+02	\N	\N	\N	\N	\N	\N	f	
19108	70a48af3-9cb5-4a2b-a703-8c8d4bd5515d	Lercara Friddi	Lercara Friddi	4	0	2013-07-22 09:53:22.971512+02	\N	\N	\N	\N	\N	\N	f	
16958	640189f6-d690-43f2-b564-790a0e15dfef	Castelnovo Bariano	Castelnovo Bariano	4	0	2013-07-22 05:20:11.660531+02	\N	\N	\N	\N	\N	\N	f	
19702	e72f71e1-450a-4d17-993f-1ed59a4ccac2	Capolona	Capolona	4	0	2013-07-22 11:23:59.021947+02	\N	\N	\N	\N	\N	\N	f	
17081	60081253-7aef-47b2-964d-87e9c0ce2600	Adrano	Adrano	4	0	2013-07-22 05:40:57.030766+02	\N	\N	\N	\N	\N	\N	f	
22538	bdeba61e-f929-467d-9d5b-20ea2027ee71	Eloy	Eloy	3	0	2013-08-11 08:35:33.179295+02	\N	\N	\N	\N	\N	\N	f	
17085	64ff96e4-3aa4-4a7a-a3b7-8047a0fa4284	Andrian	Andrian	4	0	2013-07-22 05:41:37.18947+02	\N	\N	\N	\N	\N	\N	f	
17158	38dc5ea7-4ba6-4ae0-9bd9-2abf78048bd8	Montresta	Montresta	4	0	2013-07-22 05:51:20.074294+02	\N	\N	\N	\N	\N	\N	f	
20336	dfa695bc-199a-4f3f-9384-12339490d65e	Belmonte Calabro	Belmonte Calabro	4	0	2013-07-22 23:32:42.297098+02	\N	\N	\N	\N	\N	\N	f	
27942	54cb98f0-81f6-4cf9-83a2-f8ef583adc91	Eden Prairie	Eden Prairie	3	0	2013-09-08 11:43:02.496455+02	\N	\N	\N	\N	\N	\N	f	
20437	7a80397b-3559-4e42-a740-fc2e4d3e6822	Vaccarizzo Albanese	Vaccarizzo Albanese	4	0	2013-07-23 02:35:26.651707+02	\N	\N	\N	\N	\N	\N	f	
22586	7410456f-c319-44d3-ad1e-0478bf120285	Campana	Campana	4	0	2013-08-13 14:33:24.278079+02	\N	\N	\N	\N	\N	\N	f	
25241	3c1b496f-b3b7-4217-a79a-1e3fff7ec4ca	Fonda	Fonda	3	0	2013-09-07 10:49:52.712778+02	\N	\N	\N	\N	\N	\N	f	
22613	717fd645-eb47-4219-91c2-32faf53723e5	Contrada	Contrada	4	0	2013-08-13 17:34:37.44847+02	\N	\N	\N	\N	\N	\N	f	
22645	c72b4a36-be31-4c6b-bbf3-f38a760ba5c3	Rodengo-Saiano	Rodengo-Saiano	4	0	2013-08-13 23:21:43.574854+02	\N	\N	\N	\N	\N	\N	f	
22113	ce8a2138-a798-4b51-bdbc-39a12dfab6c0	Gilman	Gilman	3	0	2013-08-07 17:33:48.743984+02	\N	\N	\N	\N	\N	\N	f	
22178	e168ff02-f36e-40cd-8aad-d346f6090787	Del Rio	Del Rio	3	0	2013-08-08 08:39:04.655977+02	\N	\N	\N	\N	\N	\N	f	
26823	06948498-c91e-4ad9-b443-234bc5eb8310	Koshkonong	Koshkonong	3	0	2013-09-08 03:03:46.098471+02	\N	\N	\N	\N	\N	\N	f	
22219	d540e234-e8a1-4970-b77f-1a9c6314c36a	Cut and Shoot	Cut and Shoot	3	0	2013-08-08 11:39:14.600834+02	\N	\N	\N	\N	\N	\N	f	
22689	17737c80-0ba2-4c5b-bc04-99ada1f3b421	Carpino	Carpino	4	0	2013-08-14 02:32:50.064621+02	\N	\N	\N	\N	\N	\N	f	
22236	55e037a6-470e-4ecd-9a13-eb5878e6a55e	Valley Mills	Valley Mills	3	0	2013-08-08 14:39:16.400723+02	\N	\N	\N	\N	\N	\N	f	
22278	55cb203f-39e8-49b5-9a1a-f52b7e7be497	Rock Hill, South Carolina	Rock Hill, South Carolina	3	0	2013-08-09 05:37:58.529206+02	\N	\N	\N	\N	\N	\N	f	
25703	6dfa13db-b468-4538-b8d0-df3a6c8f5996	Cedar, Kansas	Cedar, Kansas	3	0	2013-09-07 13:37:08.87794+02	\N	\N	\N	\N	\N	\N	f	
22332	16688dee-e2c6-41a6-a4bf-960b0bca740a	Charleston	Charleston	3	0	2013-08-10 17:35:44.483197+02	\N	\N	\N	\N	\N	\N	f	
22706	2eaeb796-b5c5-4c39-801b-86397274256f	Valverde	Valverde	4	0	2013-08-14 11:31:45.021725+02	\N	\N	\N	\N	\N	\N	f	
24592	53d604a8-9889-483b-9109-6f6c316bf4ce	Farmington	Farmington	3	0	2013-09-07 07:47:50.970724+02	\N	\N	\N	\N	\N	\N	f	
25125	657382f4-aa06-483c-9634-30b07fc5eb2c	Albany	Albany	3	0	2013-09-07 10:16:47.150799+02	\N	\N	\N	\N	\N	\N	f	
25719	21a6e24e-121d-4743-8c44-39fc240f622c	Oneida, Kansas	Oneida, Kansas	3	0	2013-09-07 14:21:28.630325+02	\N	\N	\N	\N	\N	\N	f	
25131	7fe41ac2-1a96-4ff8-b85a-973dd8bd7441	Towanda	Towanda	3	0	2013-09-07 10:18:27.477773+02	\N	\N	\N	\N	\N	\N	f	
27675	fed0cbb9-29c8-46ff-b6a0-125084acf841	Chinook	Chinook	3	0	2013-09-08 09:16:11.711312+02	\N	\N	\N	\N	\N	\N	f	
25721	54d2e0ff-c06a-47ab-b9c3-df4c9d1f57c5	Clearwater, Kansas	Clearwater, Kansas	3	0	2013-09-07 14:22:02.340152+02	\N	\N	\N	\N	\N	\N	f	
26844	54894cf4-3b55-4d6b-ab73-32e0052d3949	Norborne	Norborne	3	0	2013-09-08 03:08:58.511119+02	\N	\N	\N	\N	\N	\N	f	
26160	5daf2605-a7c4-4acb-a563-75528927e21e	Mission Woods, Kansas	Mission Woods, Kansas	3	0	2013-09-07 20:32:50.985003+02	\N	\N	\N	\N	\N	\N	f	
26478	5c3c6cf8-f159-4731-8823-c43043125be5	Englewood, Kansas	Englewood, Kansas	3	0	2013-09-08 00:45:14.673522+02	\N	\N	\N	\N	\N	\N	f	
27256	3ff79520-ddd5-40a3-a0b4-f530af7188db	Cascade	Cascade	3	0	2013-09-08 06:11:19.798691+02	\N	\N	\N	\N	\N	\N	f	
27714	cf7caeff-d5f6-41f4-8920-8ddfbfde61fb	Sand Springs	Sand Springs	3	0	2013-09-08 09:32:28.994734+02	\N	\N	\N	\N	\N	\N	f	
27584	f07c29b4-9492-48dc-bf96-39f6c9095ca5	Norwalk, Ohio	Norwalk, Ohio	3	0	2013-09-08 08:48:40.84488+02	\N	\N	\N	\N	\N	\N	f	
28070	f64bc714-5541-4a7b-9309-aca2cf5100fd	Millerovo	Millerovo	3	0	2013-09-08 12:21:41.931388+02	\N	\N	\N	\N	\N	\N	f	
27722	8ff112da-bdd8-453f-8663-2493e092fe51	Willoughby	Willoughby	3	0	2013-09-08 09:34:45.940641+02	\N	\N	\N	\N	\N	\N	f	
28040	cdf471b8-df20-4abd-a821-5005f8e7d578	Macedonia	Macedonia	3	0	2013-09-08 12:09:03.376748+02	\N	\N	\N	\N	\N	\N	f	
28214	f84cbba4-2860-401f-9a5f-c31f09b1f0c7	Hardeeville, South Carolina	Hardeeville, South Carolina	3	0	2013-09-08 14:52:41.873695+02	\N	\N	\N	\N	\N	\N	f	
28409	ec198e8c-41d9-44a7-b639-dfbe966cccc1	Soddy-Daisy	Soddy-Daisy	3	0	2013-09-08 17:13:53.427268+02	\N	\N	\N	\N	\N	\N	f	
28427	29d39a0b-8e18-46b1-99c5-86da92b2559f	Middleton, Tennessee	Middleton, Tennessee	3	0	2013-09-08 17:21:36.802758+02	\N	\N	\N	\N	\N	\N	f	
28880	b77fcc2d-553b-4070-9df3-27a3cf4a5f37	Ilwaco	Ilwaco	3	0	2013-09-09 01:08:02.883485+02	\N	\N	\N	\N	\N	\N	f	
28648	9b9771dc-557d-44b6-8296-223204049d6e	Oyster Creek	Oyster Creek	3	0	2013-09-08 21:12:56.596758+02	\N	\N	\N	\N	\N	\N	f	
28904	71074598-a7fb-41bb-87e7-ac0c895165c0	Colville	Colville	3	0	2013-09-09 01:18:33.119996+02	\N	\N	\N	\N	\N	\N	f	
28921	65ebeda0-d7ea-4b2a-9d56-9e423304c7d4	Florence	Florence	3	0	2013-09-09 01:29:35.339155+02	\N	\N	\N	\N	\N	\N	f	
28932	e845fae9-ea82-4d3e-af18-1759c7f57513	Premont	Premont	3	0	2013-09-09 01:32:43.345055+02	\N	\N	\N	\N	\N	\N	f	
28952	17edf249-193e-40d3-bca2-3e952fd9f40e	San Diego	San Diego	3	0	2013-09-09 01:38:14.26003+02	\N	\N	\N	\N	\N	\N	f	
10515	b389a416-344e-4e39-9417-60dfd319c533	Kusatsu	Kusatsu	3	0	2013-06-18 21:20:58.20429+02	\N	\N	\N	\N	\N	\N	f	
10516	f12ea1be-8940-4881-a4fd-c072832d106b	Mibu	Mibu	3	0	2013-06-18 21:21:08.578034+02	\N	\N	\N	\N	\N	\N	f	
13850	328168fa-b0fb-4af3-9a1a-7bbe2113648c	Gambara	Gambara	4	0	2013-07-21 19:26:22.843779+02	\N	\N	\N	\N	\N	\N	f	
14446	8a83c28b-095e-4dab-bf2e-fc9ade51b384	Montemarzino	Montemarzino	4	0	2013-07-21 21:39:33.133479+02	\N	\N	\N	\N	\N	\N	f	
15538	de43b3b8-9812-4d93-9ac9-144fd4d3e598	Pella	Pella	4	0	2013-07-22 01:07:28.031927+02	\N	\N	\N	\N	\N	\N	f	
22114	25462eb1-6112-4f33-9bc4-f1d5b00ef929	Winchester	Winchester	3	0	2013-08-07 17:34:06.90059+02	\N	\N	\N	\N	\N	\N	f	
16241	04a6aad5-659f-48fb-8fba-97c83b66ea34	Villanova d'Albenga	Villanova d'Albenga	4	0	2013-07-22 03:09:40.622717+02	\N	\N	\N	\N	\N	\N	f	
16287	14ea14cc-58cf-48a0-b3da-0f1e9798ae01	Guardialfiera	Guardialfiera	4	0	2013-07-22 03:15:29.228464+02	\N	\N	\N	\N	\N	\N	f	
16307	e7176ab5-1ae0-4edf-b856-c5610a232ef0	Ripalimosani	Ripalimosani	4	0	2013-07-22 03:18:02.557845+02	\N	\N	\N	\N	\N	\N	f	
22587	cce98405-5cab-4650-841f-a5dfb66bb1a9	Grimaldi, Calabria	Grimaldi, Calabria	4	0	2013-08-13 14:33:37.874278+02	\N	\N	\N	\N	\N	\N	f	
17397	68e482df-5a9a-47d9-9e0d-192075ac431e	Orino	Orino	4	0	2013-07-22 06:22:25.61819+02	\N	\N	\N	\N	\N	\N	f	
16360	d333adf6-38a8-46f8-b2b2-f587ef7eb825	Miranda, Molise	Miranda, Molise	4	0	2013-07-22 03:23:59.095323+02	\N	\N	\N	\N	\N	\N	f	
16372	b5813496-dc03-4a36-bf71-5594f1b22e25	Monteroduni	Monteroduni	4	0	2013-07-22 03:25:14.739406+02	\N	\N	\N	\N	\N	\N	f	
19390	7805533f-a96c-4aa4-a8b8-7be4e0cc3116	Gissi	Gissi	4	0	2013-07-22 10:29:03.632843+02	\N	\N	\N	\N	\N	\N	f	
22179	57c2bd64-ba74-4125-a56f-fcb60982bc60	Canadian	Canadian	3	0	2013-08-08 08:39:20.149799+02	\N	\N	\N	\N	\N	\N	f	
16553	46a2875e-dd2e-4d9e-a4b9-f4c386e95953	Serramanna	Serramanna	4	0	2013-07-22 03:47:17.941308+02	\N	\N	\N	\N	\N	\N	f	
16961	e2d8a7c0-c119-4244-9ffb-27e872a01735	Solesino	Solesino	4	0	2013-07-22 05:20:57.08941+02	\N	\N	\N	\N	\N	\N	f	
19693	ad40235c-7470-4c45-b65a-ea920ca53391	Mottola	Mottola	4	0	2013-07-22 11:21:55.071242+02	\N	\N	\N	\N	\N	\N	f	
16984	45137ea9-4945-4993-983c-035e90147136	Charvensod	Charvensod	4	0	2013-07-22 05:27:00.042906+02	\N	\N	\N	\N	\N	\N	f	
17505	1c492e48-cd03-41f9-a863-6716ff38e362	Parona	Parona	4	0	2013-07-22 06:35:51.773659+02	\N	\N	\N	\N	\N	\N	f	
18290	79c73812-69d1-43b7-8367-941945a987ad	Rozzano	Rozzano	4	0	2013-07-22 08:10:19.038153+02	\N	\N	\N	\N	\N	\N	f	
22182	3ada930b-3df6-46af-af64-a30b474c4ccd	Copperas Cove	Copperas Cove	3	0	2013-08-08 08:40:11.605738+02	\N	\N	\N	\N	\N	\N	f	
18308	3fb62988-f81a-4d58-838e-ac492a4931e7	Pioltello	Pioltello	4	0	2013-07-22 08:12:24.912169+02	\N	\N	\N	\N	\N	\N	f	
19697	afc24afe-bacb-4e27-bd67-336a9f184208	Castel San Niccolò	Castel San Niccolò	4	0	2013-07-22 11:22:48.651976+02	\N	\N	\N	\N	\N	\N	f	
18337	f2c7f674-929e-4a16-8fe8-679a7ff59f93	Garlate	Garlate	4	0	2013-07-22 08:15:58.537969+02	\N	\N	\N	\N	\N	\N	f	
22197	68e34993-e18d-4af6-8654-47f9bfe46082	Brownwood	Brownwood	3	0	2013-08-08 08:44:01.715639+02	\N	\N	\N	\N	\N	\N	f	
20338	9d4a8de2-30e7-431e-8213-eaa767d2373d	Castiglione Cosentino	Castiglione Cosentino	4	0	2013-07-22 23:33:06.520444+02	\N	\N	\N	\N	\N	\N	f	
19102	6815cea8-7818-4653-aa1c-1a6350ad39ae	Mezzojuso	Mezzojuso	4	0	2013-07-22 09:52:43.698766+02	\N	\N	\N	\N	\N	\N	f	
19114	428eda3c-1d96-4378-9bd3-a572cb8b9320	Cefalà Diana	Cefalà Diana	4	0	2013-07-22 09:54:07.386537+02	\N	\N	\N	\N	\N	\N	f	
22614	399a94d2-6e08-4d0f-9e37-45e56e3ccc44	Villamaina	Villamaina	4	0	2013-08-13 17:34:52.980132+02	\N	\N	\N	\N	\N	\N	f	
20438	5b0c8803-6972-4cb9-a50e-236b83c664d7	Serra d'Aiello	Serra d'Aiello	4	0	2013-07-23 02:35:39.109417+02	\N	\N	\N	\N	\N	\N	f	
19215	44042615-835e-4398-92a9-1c2ee2bae8b0	Carapelle Calvisio	Carapelle Calvisio	4	0	2013-07-22 10:07:28.222516+02	\N	\N	\N	\N	\N	\N	f	
19220	08261950-b143-4bb2-8748-8ef130e866fc	Fontecchio	Fontecchio	4	0	2013-07-22 10:07:56.965367+02	\N	\N	\N	\N	\N	\N	f	
22220	e6a8a509-8d50-449a-9739-70d8db0c91c2	Preston	Preston	3	0	2013-08-08 11:39:48.984479+02	\N	\N	\N	\N	\N	\N	f	
19224	9a3d004d-e67c-4d1c-a395-fbb5784a5542	Collepietro	Collepietro	4	0	2013-07-22 10:08:31.159462+02	\N	\N	\N	\N	\N	\N	f	
20452	c0cbd368-f05d-44f4-83fe-9b44521fe7c6	San Martino di Finita	San Martino di Finita	4	0	2013-07-23 02:38:33.165994+02	\N	\N	\N	\N	\N	\N	f	
19261	6eac4c9a-c858-47a8-9ffc-d77c88930f50	Santo Stefano di Sessanio	Santo Stefano di Sessanio	4	0	2013-07-22 10:13:11.451954+02	\N	\N	\N	\N	\N	\N	f	
19350	84095264-9ff6-42a8-815c-bbed4a761074	Frisa	Frisa	4	0	2013-07-22 10:24:11.605401+02	\N	\N	\N	\N	\N	\N	f	
20469	3d2b06cb-6dca-4e3d-b1ff-6d2f26fa6f56	Bruzzano Zeffirio	Bruzzano Zeffirio	4	0	2013-07-23 02:42:15.323241+02	\N	\N	\N	\N	\N	\N	f	
20521	c5755011-d018-4943-8114-162d6f735977	Mammola	Mammola	4	0	2013-07-23 02:53:57.796019+02	\N	\N	\N	\N	\N	\N	f	
22238	8d7824bb-66ba-4bf7-a4ae-d2495e9d7c8d	Navasota	Navasota	3	0	2013-08-08 14:40:05.228424+02	\N	\N	\N	\N	\N	\N	f	
25704	d04d53d7-3d8c-4ce9-a5e5-9885f2a70ec2	Hindman, Kentucky	Hindman, Kentucky	3	0	2013-09-07 13:37:26.315766+02	\N	\N	\N	\N	\N	\N	f	
22279	f3e2cd93-f992-45d6-81df-37eb3f3272ab	Mauldin, South Carolina	Mauldin, South Carolina	3	0	2013-08-09 05:38:28.017596+02	\N	\N	\N	\N	\N	\N	f	
22646	685d0117-80c8-4bc2-95ae-a39bdc5e24db	San Paolo	San Paolo	4	0	2013-08-13 23:22:05.403129+02	\N	\N	\N	\N	\N	\N	f	
22333	8e9aaf85-905d-4509-a297-bdf7521cd6af	Benton	Benton	3	0	2013-08-10 17:36:15.488405+02	\N	\N	\N	\N	\N	\N	f	
25126	c8340569-89c0-4eae-b800-57308e21e51e	Allen	Allen	3	0	2013-09-07 10:17:06.240483+02	\N	\N	\N	\N	\N	\N	f	
22373	40110a75-ab09-4b39-b798-155de590b746	Modesto	Modesto	3	0	2013-08-11 02:25:45.827633+02	\N	\N	\N	\N	\N	\N	f	
22707	a52375f6-e94c-4ca3-b866-dec300717f4a	Seminole	Seminole	3	0	2013-08-14 11:32:53.319183+02	\N	\N	\N	\N	\N	\N	f	
22378	1af5bcd5-cc55-402c-b283-dbe8690cc813	Chester	Chester	3	0	2013-08-11 02:28:36.450258+02	\N	\N	\N	\N	\N	\N	f	
22477	55298f44-a702-44fb-be6d-64c120fd3737	Santee	Santee	3	0	2013-08-11 05:37:43.407448+02	\N	\N	\N	\N	\N	\N	f	
25278	9a813f16-a696-4013-b889-73524b0e660f	Cotter	Cotter	3	0	2013-09-07 10:59:54.772753+02	\N	\N	\N	\N	\N	\N	f	
24593	5bf593e3-8d34-4acf-839a-56bb2e353f5d	Villa Grove	Villa Grove	3	0	2013-09-07 07:48:06.440334+02	\N	\N	\N	\N	\N	\N	f	
25146	565022ca-39c7-469a-bd8d-2cafec7b8149	Pretty Prairie, Kansas	Pretty Prairie, Kansas	3	0	2013-09-07 10:23:21.00934+02	\N	\N	\N	\N	\N	\N	f	
24596	13ae7d36-01cc-44d2-860b-93e04bfc4c38	Sullivan	Sullivan	3	0	2013-09-07 07:48:47.210035+02	\N	\N	\N	\N	\N	\N	f	
24665	b694c75b-64a7-43ec-86c5-6f5985f92bbb	Lacon	Lacon	3	0	2013-09-07 08:05:35.265184+02	\N	\N	\N	\N	\N	\N	f	
24673	8e0a51d6-f1d2-4deb-a3ac-b1342d4c2929	Marquette Heights	Marquette Heights	3	0	2013-09-07 08:07:28.471277+02	\N	\N	\N	\N	\N	\N	f	
25212	50aee67e-4dd7-4307-8b8d-f5e3b91e06cd	Hanlontown	Hanlontown	3	0	2013-09-07 10:41:38.542219+02	\N	\N	\N	\N	\N	\N	f	
25287	d8ad7751-55c0-4521-93d3-58f078360e28	Brandon	Brandon	3	0	2013-09-07 11:02:21.178981+02	\N	\N	\N	\N	\N	\N	f	
25220	a62ee220-ae05-496c-a77f-220ff424224a	Ferguson	Ferguson	3	0	2013-09-07 10:44:15.27184+02	\N	\N	\N	\N	\N	\N	f	
26161	ce213245-eb9c-475b-bdc8-b1c460cad610	Westwood, Kansas	Westwood, Kansas	3	0	2013-09-07 20:33:04.287434+02	\N	\N	\N	\N	\N	\N	f	
25294	8cc49f77-dfb8-4120-b7a4-a30b9a19545c	Batavia	Batavia	3	0	2013-09-07 11:04:13.875334+02	\N	\N	\N	\N	\N	\N	f	
25720	c4c3d2f2-6c4d-48fb-a953-8a856802119d	Harlan, Kentucky	Harlan, Kentucky	3	0	2013-09-07 14:21:47.775046+02	\N	\N	\N	\N	\N	\N	f	
26480	8350efe8-a7a4-4198-b13d-9c3bcdc2e542	Richland	Richland	3	0	2013-09-08 00:45:48.117959+02	\N	\N	\N	\N	\N	\N	f	
26479	41d9f62d-8cd2-4dbc-936c-1552f2aa48f2	Modale, Iowa	Modale, Iowa	3	0	2013-09-08 00:45:31.120559+02	\N	\N	\N	\N	\N	\N	f	
26825	d1592be5-2458-4589-89b1-058a81d7f781	Malden	Malden	3	0	2013-09-08 03:04:17.569553+02	\N	\N	\N	\N	\N	\N	f	
27258	20319804-3933-4eeb-8d77-5402462abe24	Trenton	Trenton	3	0	2013-09-08 06:11:49.076098+02	\N	\N	\N	\N	\N	\N	f	
27585	dfc1a640-e61f-47c3-b4cb-bd99b2401bf4	Sylvania, Ohio	Sylvania, Ohio	3	0	2013-09-08 08:48:54.363267+02	\N	\N	\N	\N	\N	\N	f	
27669	c43409f0-cb61-4bc8-820b-40b1f4fe6829	Laredo	Laredo	3	0	2013-09-08 09:14:42.881653+02	\N	\N	\N	\N	\N	\N	f	
27692	e675c07b-43b1-46cc-aea7-ca3993e1108f	Lehigh, Oklahoma	Lehigh, Oklahoma	3	0	2013-09-08 09:26:39.160173+02	\N	\N	\N	\N	\N	\N	f	
27744	1c58e98f-0305-49e8-8fe5-9d171adac410	Waynoka, Oklahoma	Waynoka, Oklahoma	3	0	2013-09-08 09:40:32.196993+02	\N	\N	\N	\N	\N	\N	f	
27945	dcf19633-be03-4545-a165-25a6e7e79db7	Crawfordsville	Crawfordsville	3	0	2013-09-08 11:43:51.427484+02	\N	\N	\N	\N	\N	\N	f	
10517	eb0a9072-8696-45cb-9deb-4fd35a1e3b92	Shirataka	Shirataka	3	0	2013-06-18 21:21:18.728406+02	\N	\N	\N	\N	\N	\N	f	
10518	1d1fe81d-0970-4424-9c0d-965e3823bf66	Miyashiro	Miyashiro	3	0	2013-06-18 21:22:40.610542+02	\N	\N	\N	\N	\N	\N	f	
13852	fcb8c5e2-9949-4214-baad-af7f79dc4bb3	Ghedi	Ghedi	4	0	2013-07-21 19:26:47.590166+02	\N	\N	\N	\N	\N	\N	f	
14447	9621504a-5cac-4c6a-8fef-bbc2aa402e66	Carlentini	Carlentini	4	0	2013-07-21 21:39:45.921978+02	\N	\N	\N	\N	\N	\N	f	
10521	e66b2861-98ad-441d-b97a-aa22e54fd1c7	Ōe	Ōe	3	0	2013-06-18 21:35:09.203395+02	\N	\N	\N	\N	\N	\N	f	
10522	0e2d8655-cad2-48f0-ae96-d28b5a0009f8	Nanmoku	Nanmoku	3	0	2013-06-18 21:35:21.176448+02	\N	\N	\N	\N	\N	\N	f	
10523	cee580e9-5083-458f-baed-72a08768cb7f	Ōgata	Ōgata	3	0	2013-06-18 21:36:29.665324+02	\N	\N	\N	\N	\N	\N	f	
14960	b391c897-a9f0-4faa-a610-1bf38640a555	La Morra	La Morra	4	0	2013-07-21 23:30:40.619902+02	\N	\N	\N	\N	\N	\N	f	
10524	151bffc8-59be-4b96-ba8c-9f2ad38d2d78	Tsubata	Tsubata	3	0	2013-06-18 21:36:47.402619+02	\N	\N	\N	\N	\N	\N	f	
15539	18b6eee9-9ed1-42ca-a403-48a0a447a60a	Suno	Suno	4	0	2013-07-22 01:07:43.75872+02	\N	\N	\N	\N	\N	\N	f	
10525	f3b18a52-c6bd-4fcf-8b64-e5e52748d66f	Kurihara	Kurihara	3	0	2013-06-18 21:37:28.577658+02	\N	\N	\N	\N	\N	\N	f	
10526	0009d47c-0256-4bd7-bd71-bf8432e72819	Shichigahama	Shichigahama	3	0	2013-06-18 21:37:45.57171+02	\N	\N	\N	\N	\N	\N	f	
10527	2572cff0-959a-4c11-88dc-628796006ac1	Yoshimi	Yoshimi	3	0	2013-06-18 21:39:38.925036+02	\N	\N	\N	\N	\N	\N	f	
22115	61a98059-f7b5-4d06-a5a7-1034653d27f8	Genoa	Genoa	3	0	2013-08-07 17:34:21.964527+02	\N	\N	\N	\N	\N	\N	f	
10528	22b4dcc8-a1a2-4adf-a526-638bfc8b4271	Ichikai	Ichikai	3	0	2013-06-18 21:40:38.462124+02	\N	\N	\N	\N	\N	\N	f	
10529	ffd0ce6d-3d0d-44e8-a595-6db476344ce1	Tozawa	Tozawa	3	0	2013-06-18 21:41:19.315036+02	\N	\N	\N	\N	\N	\N	f	
17334	2e19f247-7c01-4c25-806e-77a29c88d9f6	Valfurva	Valfurva	4	0	2013-07-22 06:14:43.431221+02	\N	\N	\N	\N	\N	\N	f	
10530	f152512b-e6e8-4919-ac66-116cbb8fefd4	Naka	Naka	3	0	2013-06-18 21:42:14.848992+02	\N	\N	\N	\N	\N	\N	f	
10531	be4523d3-8f98-4bc5-a58f-708994728a69	Nasu	Nasu	3	0	2013-06-18 21:42:25.8537+02	\N	\N	\N	\N	\N	\N	f	
10532	cf7ef224-65a9-4381-9be8-130e213f06f4	Motegi	Motegi	3	0	2013-06-18 21:42:51.25261+02	\N	\N	\N	\N	\N	\N	f	
10536	9cbb0e3d-55cc-4772-a341-01152b8d6755	Goka	Goka	3	0	2013-06-18 21:44:05.953888+02	\N	\N	\N	\N	\N	\N	f	
16315	10b91bd9-62ad-4765-a0e7-42f136aa7a65	Rotello	Rotello	4	0	2013-07-22 03:19:01.080381+02	\N	\N	\N	\N	\N	\N	f	
10520	ec2f31c1-5493-473a-a368-b1a4de1ca4db	Mitaka	Mitaka	3	0	2013-06-25 09:17:50.373974+02	\N	\N	\N	\N	\N	\N	f	
22592	f52be0f8-75a0-45af-8a60-3e6e194a244a	Longobardi, Calabria	Longobardi, Calabria	4	0	2013-08-13 14:34:49.107661+02	\N	\N	\N	\N	\N	\N	f	
16394	5337d5f4-d731-4fcd-806a-83bf944e601b	Vintl	Vintl	4	0	2013-07-22 03:28:23.903985+02	\N	\N	\N	\N	\N	\N	f	
22180	9dc01f57-8f0e-43af-9056-ef7c59e82e6a	Martinez	Martinez	3	0	2013-08-08 08:39:33.606152+02	\N	\N	\N	\N	\N	\N	f	
16400	e9a2ef7d-4207-422c-a8fa-368608d55e6b	Nurri	Nurri	4	0	2013-07-22 03:29:22.276024+02	\N	\N	\N	\N	\N	\N	f	
16455	5eec265e-4c2c-46bd-9857-4255c059c9af	Uta, Sardinia	Uta, Sardinia	4	0	2013-07-22 03:35:26.959409+02	\N	\N	\N	\N	\N	\N	f	
19694	c216b6e9-627b-4840-87ba-971efc448b7c	Montemesola	Montemesola	4	0	2013-07-22 11:22:09.421826+02	\N	\N	\N	\N	\N	\N	f	
22181	e2e31d3e-653c-4faa-94a4-16af1f31b203	Burke	Burke	3	0	2013-08-08 08:39:50.520323+02	\N	\N	\N	\N	\N	\N	f	
16546	d1e1475f-74b1-4b61-bb5e-f80f2bf6e829	Serrenti	Serrenti	4	0	2013-07-22 03:46:24.38303+02	\N	\N	\N	\N	\N	\N	f	
16571	3f04fe63-3741-4bae-8933-55f0ae43e017	Grumes	Grumes	4	0	2013-07-22 03:49:48.115362+02	\N	\N	\N	\N	\N	\N	f	
18374	d47cdf1d-7ee5-48ce-9772-2e62f13cc208	Trigolo	Trigolo	4	0	2013-07-22 08:20:44.906476+02	\N	\N	\N	\N	\N	\N	f	
16967	bf288b88-1dce-4715-8d3f-a32a12a1a766	Arquà Polesine	Arquà Polesine	4	0	2013-07-22 05:22:27.329661+02	\N	\N	\N	\N	\N	\N	f	
16973	423e09a9-ab60-46d8-b419-7eccc2267034	Vignola-Falesina	Vignola-Falesina	4	0	2013-07-22 05:24:13.515305+02	\N	\N	\N	\N	\N	\N	f	
18382	b5611045-de62-4838-b149-3775b367430c	Garbagnate Monastero	Garbagnate Monastero	4	0	2013-07-22 08:21:47.713721+02	\N	\N	\N	\N	\N	\N	f	
17043	2583530e-919c-4167-9be2-0e6416a7c477	Montebello sul Sangro	Montebello sul Sangro	4	0	2013-07-22 05:36:00.720384+02	\N	\N	\N	\N	\N	\N	f	
19705	e6812422-e964-495c-9418-9d39127980aa	Monte San Savino	Monte San Savino	4	0	2013-07-22 11:24:47.454457+02	\N	\N	\N	\N	\N	\N	f	
19093	6311c1a1-3f09-45f7-a759-b3e8fe1bc23d	Buccheri	Buccheri	4	0	2013-07-22 09:51:45.819483+02	\N	\N	\N	\N	\N	\N	f	
19109	6c268df1-7212-4267-8b96-bb1ec74483d9	Portopalo di Capo Passero	Portopalo di Capo Passero	4	0	2013-07-22 09:53:26.302004+02	\N	\N	\N	\N	\N	\N	f	
22221	e00f0856-cd2d-4af4-8a62-96f08583dbc6	DeCordova	DeCordova	3	0	2013-08-08 11:40:17.141037+02	\N	\N	\N	\N	\N	\N	f	
13862	d2f0e783-9cd1-4878-911b-dae9b051ebb5	Corzano	Corzano	4	0	2013-07-21 19:29:02.082876+02	\N	\N	\N	\N	\N	\N	f	
19242	fa027189-37e2-4764-8f31-c9f130683553	Lecce nei Marsi	Lecce nei Marsi	4	0	2013-07-22 10:10:45.568701+02	\N	\N	\N	\N	\N	\N	f	
20339	1ce11ba9-fb5f-40bc-99ea-49c7d642bfc4	Cetraro	Cetraro	4	0	2013-07-22 23:33:18.611732+02	\N	\N	\N	\N	\N	\N	f	
20439	cfb40ea2-6bc6-42fd-aab9-ab1a53e27d63	San Nicola Arcella	San Nicola Arcella	4	0	2013-07-23 02:35:51.464847+02	\N	\N	\N	\N	\N	\N	f	
22616	dc533084-fac4-466b-a96f-e86ed3a493d9	Candida	Candida	4	0	2013-08-13 17:35:19.486974+02	\N	\N	\N	\N	\N	\N	f	
20453	75cd1922-717c-48e1-a3ce-5384d3b617fa	Cotronei	Cotronei	4	0	2013-07-23 02:38:53.10338+02	\N	\N	\N	\N	\N	\N	f	
22239	189eb2e8-80f5-487d-8dcf-6df5eb053ce3	Forney	Forney	3	0	2013-08-08 14:40:19.658001+02	\N	\N	\N	\N	\N	\N	f	
20509	7730ed84-8880-4e60-bd0b-16e644b8200e	Condofuri	Condofuri	4	0	2013-07-23 02:51:19.587147+02	\N	\N	\N	\N	\N	\N	f	
22334	2971a44c-2dab-49f4-99c1-784344e2cd95	Arkansas City	Arkansas City	3	0	2013-08-10 17:36:40.651269+02	\N	\N	\N	\N	\N	\N	f	
22813	e5c065b5-326c-47a8-8383-a6e38a1871a0	Ficarra	Ficarra	4	0	2013-08-14 20:27:28.108065+02	\N	\N	\N	\N	\N	\N	f	
22374	90ced62d-9d7c-4b2f-94f0-1a8b1fae2a48	Orinda, California	Orinda, California	3	0	2013-08-11 02:26:03.993177+02	\N	\N	\N	\N	\N	\N	f	
22647	be3bc755-ddb4-441e-b59f-6b901d2974f1	Roccafranca	Roccafranca	4	0	2013-08-13 23:22:29.307475+02	\N	\N	\N	\N	\N	\N	f	
22479	7b788e19-fb9d-4142-b770-1633435a66ac	Paramount	Paramount	3	0	2013-08-11 05:38:16.121304+02	\N	\N	\N	\N	\N	\N	f	
22588	13a57ea0-3dfb-41c9-9f5d-eaa98fa73fd4	Rossano	Rossano	4	0	2013-08-13 14:33:53.756901+02	\N	\N	\N	\N	\N	\N	f	
22834	322021ea-18f9-4006-958a-2514fbc885b9	Big Lake	Big Lake	3	0	2013-08-17 11:32:06.518182+02	\N	\N	\N	\N	\N	\N	f	
22708	fc7edf34-7ea6-4320-a91c-77d826544f84	Mantua	Mantua	4	0	2013-08-14 11:34:30.040521+02	\N	\N	\N	\N	\N	\N	f	
22829	65d66c06-ee35-4274-9ccb-34c318ed4c5f	Lamesa	Lamesa	3	0	2013-08-15 11:33:16.826136+02	\N	\N	\N	\N	\N	\N	f	
22712	e898a7ac-3692-4d07-8e89-7fa69b990465	Rometta	Rometta	4	0	2013-08-14 14:18:19.391059+02	\N	\N	\N	\N	\N	\N	f	
22713	a9bf3a78-1056-4bc7-a615-ed1d49952ca5	Assisi	Assisi	4	0	2013-08-14 17:21:09.413154+02	\N	\N	\N	\N	\N	\N	f	
22832	03b721b5-c7ed-44df-8e71-7f371c57a96b	Harstad rural municipality	Harstad rural municipality	4	0	2013-08-15 17:17:44.914413+02	\N	\N	\N	\N	\N	\N	f	
22839	8e534310-40ae-49cc-b409-223f319082f2	Rankin	Rankin	3	0	2013-08-18 08:33:46.748634+02	\N	\N	\N	\N	\N	\N	f	
22833	5a420bc9-3f64-4b09-b017-10fe38ca2ad5	Gdov	Gdov	3	0	2013-08-16 11:18:23.296102+02	\N	\N	\N	\N	\N	\N	f	
22835	85b59b7a-2092-4f88-a7fa-eec13918b784	Brentwood	Brentwood	3	0	2013-08-17 11:33:56.976939+02	\N	\N	\N	\N	\N	\N	f	
269	af59135f-38b5-4ea4-b4e2-dd28c5f0bad7	Washington, D.C.	Washington, D.C.	2	0	2013-08-17 18:31:00.306126+02	\N	\N	\N	\N	\N	\N	f	
22837	4a2b601c-7306-4ef4-ac10-6c97dd4cbc0f	Trafalgar, Victoria	Trafalgar, Victoria	3	0	2013-08-17 17:26:53.275055+02	\N	\N	\N	\N	\N	\N	f	
22838	318e8b49-33c3-48fc-ae84-2b422bdc1699	Fridingen	Fridingen	3	0	2013-08-17 23:28:33.076266+02	\N	\N	\N	\N	\N	\N	f	
22840	88af8c57-f29d-4c2a-b59e-944945efd760	Midvale	Midvale	3	0	2013-08-20 05:18:27.183183+02	\N	\N	\N	\N	\N	\N	f	
22842	514fceff-0ad8-4a87-9721-d2dd4fc07a07	Naples	Naples	3	0	2013-08-20 05:25:04.446399+02	\N	\N	\N	\N	\N	\N	f	
22851	7d3ab785-b283-4842-a115-9f9a19496f56	Lake Wales	Lake Wales	3	0	2013-08-20 08:19:02.78374+02	\N	\N	\N	\N	\N	\N	f	
22882	aa362c21-7de6-4ae2-b88c-af049f2c5a4b	Winter Springs	Winter Springs	3	0	2013-08-20 11:21:46.333163+02	\N	\N	\N	\N	\N	\N	f	
22886	24b7bc0a-9c3d-49ad-921e-4f71be06afc7	Winter Park	Winter Park	3	0	2013-08-20 11:35:19.886233+02	\N	\N	\N	\N	\N	\N	f	
22887	92b218c2-3f76-4efa-900b-18332d6f0bcb	Port Huron	Port Huron	3	0	2013-08-20 14:17:05.210949+02	\N	\N	\N	\N	\N	\N	f	
22957	e12a8312-5b77-41bf-95ca-76fd89e2a563	Sault Ste. Marie	Sault Ste. Marie	3	0	2013-08-20 14:53:41.570117+02	\N	\N	\N	\N	\N	\N	f	
10533	003d59ca-d4c9-4618-90e7-03c93e9b7381	Takanezawa	Takanezawa	3	0	2013-06-18 21:43:10.537699+02	\N	\N	\N	\N	\N	\N	f	
13853	a5abcb58-4f33-4ae1-9ea0-005d9c7369bb	Edolo	Edolo	4	0	2013-07-21 19:26:59.47045+02	\N	\N	\N	\N	\N	\N	f	
13992	33645a1e-dc6c-4e18-95a4-012bd9da09e6	Sulzano	Sulzano	4	0	2013-07-21 19:59:18.392564+02	\N	\N	\N	\N	\N	\N	f	
15540	ecd925a4-a8f2-46b9-96a4-2375d28e09b5	Romentino	Romentino	4	0	2013-07-22 01:07:59.134801+02	\N	\N	\N	\N	\N	\N	f	
13997	9bab8180-23ec-423f-bde2-df7bd5e1f672	Zone, Lombardy	Zone, Lombardy	4	0	2013-07-21 20:00:34.774248+02	\N	\N	\N	\N	\N	\N	f	
14450	4278bfb9-1ba6-4b7f-9de3-7eafebb3f2e3	Malvicino	Malvicino	4	0	2013-07-21 21:40:22.626069+02	\N	\N	\N	\N	\N	\N	f	
22843	5ad3a8bd-1a72-4e42-80dc-9342a58251cb	Daytona Beach Shores, Florida	Daytona Beach Shores, Florida	3	0	2013-08-20 05:25:22.269444+02	\N	\N	\N	\N	\N	\N	f	
15578	c37fb3ba-29bf-4ad9-b619-6a5bb053a791	Beura-Cardezza	Beura-Cardezza	4	0	2013-07-22 01:16:25.850149+02	\N	\N	\N	\N	\N	\N	f	
17335	62a498e7-600e-402d-8ea5-f6b2c73a5b90	Castelletto di Branduzzo	Castelletto di Branduzzo	4	0	2013-07-22 06:14:54.224281+02	\N	\N	\N	\N	\N	\N	f	
15702	a5d2a375-95a7-4964-be2c-a3290b30ffca	Ladispoli	Ladispoli	4	0	2013-07-22 01:43:45.133758+02	\N	\N	\N	\N	\N	\N	f	
15755	3623ca15-8494-4ede-b11a-97e723c2cb16	Bersone	Bersone	4	0	2013-07-22 01:55:29.220147+02	\N	\N	\N	\N	\N	\N	f	
22391	18345be5-cb43-41a8-bf39-98135bacfe52	Clovis, California	Clovis, California	3	0	2013-08-11 02:34:23.763298+02	\N	\N	\N	\N	\N	\N	f	
17361	16a10368-7f49-43fb-a39f-b7e14d352aad	San Giacomo Filippo	San Giacomo Filippo	4	0	2013-07-22 06:17:58.567165+02	\N	\N	\N	\N	\N	\N	f	
16296	4b7c203a-7f60-4271-8bfb-c110df07500a	Palata	Palata	4	0	2013-07-22 03:16:38.791477+02	\N	\N	\N	\N	\N	\N	f	
16301	ee83d164-ad21-49a5-85eb-d80780bf1fad	San Felice del Molise	San Felice del Molise	4	0	2013-07-22 03:17:25.66455+02	\N	\N	\N	\N	\N	\N	f	
19695	dae032d0-0a4a-4242-b282-f0e752153d34	Palagianello	Palagianello	4	0	2013-07-22 11:22:22.305354+02	\N	\N	\N	\N	\N	\N	f	
16320	08181edf-411f-4732-a1c0-5e69ffa82fca	Riccia, Molise	Riccia, Molise	4	0	2013-07-22 03:19:31.81961+02	\N	\N	\N	\N	\N	\N	f	
17385	fd42dad3-2cce-4508-a75f-71237e05ee93	Perarolo di Cadore	Perarolo di Cadore	4	0	2013-07-22 06:20:59.170867+02	\N	\N	\N	\N	\N	\N	f	
16346	7decd87d-57e6-43e3-9964-afc7e150a87b	Castelpetroso	Castelpetroso	4	0	2013-07-22 03:22:28.287055+02	\N	\N	\N	\N	\N	\N	f	
16356	649445fc-691b-48ed-8c72-2332a68dffc8	Capracotta	Capracotta	4	0	2013-07-22 03:23:32.417917+02	\N	\N	\N	\N	\N	\N	f	
22814	77d7410d-44d0-44ab-bdb7-625aed260273	Falcone, Sicily	Falcone, Sicily	4	0	2013-08-14 20:27:53.078652+02	\N	\N	\N	\N	\N	\N	f	
16371	6e9eaa67-2528-4e87-bdb5-054b306883a3	Belmonte del Sannio	Belmonte del Sannio	4	0	2013-07-22 03:25:13.723833+02	\N	\N	\N	\N	\N	\N	f	
17426	71530c00-2100-48bf-be27-2c35f8b8860c	Veduggio con Colzano	Veduggio con Colzano	4	0	2013-07-22 06:25:48.614481+02	\N	\N	\N	\N	\N	\N	f	
16390	5c21cbfc-8360-4cb2-9eae-ecd90f94146a	San Pietro Avellana	San Pietro Avellana	4	0	2013-07-22 03:27:57.295516+02	\N	\N	\N	\N	\N	\N	f	
16426	c221e0ba-9b2f-40e4-8829-4fa73e7904bf	Muravera	Muravera	4	0	2013-07-22 03:32:02.91434+02	\N	\N	\N	\N	\N	\N	f	
22480	8bcd2b80-0102-49e4-94e2-bbcf4b4022aa	Monrovia	Monrovia	3	0	2013-08-11 05:38:29.810234+02	\N	\N	\N	\N	\N	\N	f	
16428	a26982e4-9836-46a4-8e45-bc7b63537a60	Monastir, Sardinia	Monastir, Sardinia	4	0	2013-07-22 03:32:16.548098+02	\N	\N	\N	\N	\N	\N	f	
17607	cd09e9e7-4cec-4626-a6da-67106e3639ee	Sovramonte	Sovramonte	4	0	2013-07-22 06:48:24.807426+02	\N	\N	\N	\N	\N	\N	f	
16479	2d0d59cc-cbc7-4caf-9428-52258b34bc09	Santadi	Santadi	4	0	2013-07-22 03:38:49.757692+02	\N	\N	\N	\N	\N	\N	f	
16518	4d2d728a-c108-4536-83a9-68f7fb5f13a3	Flavon	Flavon	4	0	2013-07-22 03:42:57.337392+02	\N	\N	\N	\N	\N	\N	f	
17642	0eb24227-b865-490b-9fc1-ae36e112cb08	Varano Borghi	Varano Borghi	4	0	2013-07-22 06:52:45.514657+02	\N	\N	\N	\N	\N	\N	f	
16970	268ab737-e5ec-47e8-b201-a2345aa15453	Sagron Mis	Sagron Mis	4	0	2013-07-22 05:23:28.367753+02	\N	\N	\N	\N	\N	\N	f	
17027	fc8ecbad-912e-49b3-81af-fb0a877f5756	Velezzo Lomellina	Velezzo Lomellina	4	0	2013-07-22 05:34:09.693291+02	\N	\N	\N	\N	\N	\N	f	
17053	a2bf88c2-369d-4b1c-80d6-9a5052deeca0	Saint-Rhémy-en-Bosses	Saint-Rhémy-en-Bosses	4	0	2013-07-22 05:37:13.511987+02	\N	\N	\N	\N	\N	\N	f	
22589	4cc67e27-2cf5-460f-baef-ef6e6f909a1a	Acri	Acri	4	0	2013-08-13 14:34:07.908566+02	\N	\N	\N	\N	\N	\N	f	
20340	8cd222a0-a4d3-45b5-929c-d2272e0719b4	Castroregio	Castroregio	4	0	2013-07-22 23:33:30.938587+02	\N	\N	\N	\N	\N	\N	f	
18294	ae2415f9-b301-4590-a121-d9a2d6b1fd6a	Cesate	Cesate	4	0	2013-07-22 08:10:45.872683+02	\N	\N	\N	\N	\N	\N	f	
18306	6ec19180-bb20-4a63-9a9c-6b852cd58520	Crema	Crema	4	0	2013-07-22 08:12:11.292976+02	\N	\N	\N	\N	\N	\N	f	
18325	6389a2da-555d-4bea-986a-120f51170e24	Campagnola Cremasca	Campagnola Cremasca	4	0	2013-07-22 08:14:16.700385+02	\N	\N	\N	\N	\N	\N	f	
20441	6768836e-1245-4948-b283-c8af36849495	San Pietro in Amantea	San Pietro in Amantea	4	0	2013-07-23 02:36:16.099158+02	\N	\N	\N	\N	\N	\N	f	
19097	fc8f58fe-8beb-443f-88d9-c0fb2ad0b47b	Santa Cristina Gela	Santa Cristina Gela	4	0	2013-07-22 09:52:11.418254+02	\N	\N	\N	\N	\N	\N	f	
19135	05cb519e-284f-49e0-8296-85d82a8ec8f6	Lascari	Lascari	4	0	2013-07-22 09:56:39.716317+02	\N	\N	\N	\N	\N	\N	f	
22617	66e5ecd2-0ae1-4448-a632-39449eb0261a	Montefalcione	Montefalcione	4	0	2013-08-13 17:35:32.720164+02	\N	\N	\N	\N	\N	\N	f	
22116	9ecaf1c1-7cb6-46a8-8932-c38b6e549e2a	Crystal Lake	Crystal Lake	3	0	2013-08-07 17:34:43.587167+02	\N	\N	\N	\N	\N	\N	f	
22821	a658a9db-7a0e-496a-8a52-c7cbb1dd529c	Leni	Leni	4	0	2013-08-14 20:29:50.534749+02	\N	\N	\N	\N	\N	\N	f	
22183	e82dccf5-d2bf-4309-9da1-9b8f2a028bf5	Brazos Bend	Brazos Bend	3	0	2013-08-08 08:40:24.965802+02	\N	\N	\N	\N	\N	\N	f	
22648	50ed7965-b0d1-4866-bd98-20075a15be19	Villanuova sul Clisi	Villanuova sul Clisi	4	0	2013-08-13 23:22:58.695607+02	\N	\N	\N	\N	\N	\N	f	
22240	8bb0afe0-8dd4-4bba-89c7-d8c17b2af5ec	Lyford	Lyford	3	0	2013-08-08 14:40:34.822994+02	\N	\N	\N	\N	\N	\N	f	
22336	0e2e64c5-01a3-4b2a-8153-7f0b267137fd	Cabot	Cabot	3	0	2013-08-10 17:37:19.593251+02	\N	\N	\N	\N	\N	\N	f	
22375	bca5a4aa-b2b3-4561-bec9-6577fe789d77	Vallejo	Vallejo	3	0	2013-08-11 02:26:22.056883+02	\N	\N	\N	\N	\N	\N	f	
22709	a38c8432-08d2-4bdf-bcaa-a4a62a469f4f	Vaglia	Vaglia	4	0	2013-08-14 11:36:40.204501+02	\N	\N	\N	\N	\N	\N	f	
22830	76b23fa8-c117-4eb7-899b-bdbf6eb1a75c	Floydada	Floydada	3	0	2013-08-15 11:33:52.54808+02	\N	\N	\N	\N	\N	\N	f	
22714	604baae1-3c9f-408a-94c6-0036deef85fa	Taormina	Taormina	4	0	2013-08-14 17:21:35.615626+02	\N	\N	\N	\N	\N	\N	f	
22852	e6d11e3c-5d06-4f66-ab8d-11d86c5c9b2c	Walsenburg	Walsenburg	3	0	2013-08-20 08:19:39.033994+02	\N	\N	\N	\N	\N	\N	f	
22836	bc41eb17-9d4e-4126-878c-e990ba244437	Dumas	Dumas	3	0	2013-08-17 11:34:52.870065+02	\N	\N	\N	\N	\N	\N	f	
22841	82a7ac26-edb1-49cf-ae6f-2a981d870a5d	Carrabelle	Carrabelle	3	0	2013-08-20 05:22:12.749142+02	\N	\N	\N	\N	\N	\N	f	
22884	22dc3c7e-f04b-4bca-a47e-0238408d646c	Auburn Hills, Michigan	Auburn Hills, Michigan	3	0	2013-08-20 11:30:11.004842+02	\N	\N	\N	\N	\N	\N	f	
22883	ff1a2a03-a7c0-4ee6-a02c-24abfdf74eac	Albion, Michigan	Albion, Michigan	3	0	2013-08-20 11:23:28.744594+02	\N	\N	\N	\N	\N	\N	f	
22888	009c35c3-e3ad-4860-9231-f2afdb2a27eb	Midland	Midland	3	0	2013-08-20 14:17:42.720633+02	\N	\N	\N	\N	\N	\N	f	
22910	cb8a856b-fd06-4dcf-a94e-d9841b0f85b6	Grand Rapids	Grand Rapids	3	0	2013-08-20 14:25:18.982109+02	\N	\N	\N	\N	\N	\N	f	
22964	10880162-9c2e-409f-90cf-17320250738e	Zeeland, Michigan	Zeeland, Michigan	3	0	2013-08-20 17:19:33.474626+02	\N	\N	\N	\N	\N	\N	f	
24594	333489eb-5c37-4ea4-a0f7-43eb2c515c5d	Oglesby	Oglesby	3	0	2013-09-07 07:48:19.893695+02	\N	\N	\N	\N	\N	\N	f	
25127	1f075575-fbb1-48bb-893e-47e7efb2e5d3	Westphalia	Westphalia	3	0	2013-09-07 10:17:24.622765+02	\N	\N	\N	\N	\N	\N	f	
25705	1eaf3a40-852b-4c01-9d7d-28a859c97777	La Cygne, Kansas	La Cygne, Kansas	3	0	2013-09-07 13:37:40.062202+02	\N	\N	\N	\N	\N	\N	f	
25712	c2a60b72-2c77-40cb-9e4f-9b538f39e380	Grambling, Louisiana	Grambling, Louisiana	3	0	2013-09-07 13:39:21.469673+02	\N	\N	\N	\N	\N	\N	f	
25722	9f4c683a-5705-41cc-90da-4275878b56ad	Campbellsburg, Kentucky	Campbellsburg, Kentucky	3	0	2013-09-07 14:22:17.108305+02	\N	\N	\N	\N	\N	\N	f	
26163	771fa70c-2eb0-4775-9a1c-78086b970100	Jonesburg, Missouri	Jonesburg, Missouri	3	0	2013-09-07 20:33:52.410267+02	\N	\N	\N	\N	\N	\N	f	
26166	db0edf8a-bc5b-4995-99ee-c8fed2c372c3	McGregor, Iowa	McGregor, Iowa	3	0	2013-09-07 20:34:35.15719+02	\N	\N	\N	\N	\N	\N	f	
26481	11c7ae14-44cd-4de1-bfee-be099120eb58	Waycross, Georgia	Waycross, Georgia	3	0	2013-09-08 00:46:01.697776+02	\N	\N	\N	\N	\N	\N	f	
10534	7419793e-3aa2-450b-94ea-acc808060ec3	Ōra	Ōra	3	0	2013-06-18 21:43:27.745879+02	\N	\N	\N	\N	\N	\N	f	
10535	9ee7e10d-3ebc-409c-ad3f-9ae00e8b1c13	Tateyama	Tateyama	3	0	2013-06-18 21:43:50.113903+02	\N	\N	\N	\N	\N	\N	f	
10540	57975de2-ade7-4e59-b7c3-14555cbab20b	Ogose	Ogose	3	0	2013-06-18 21:46:08.10652+02	\N	\N	\N	\N	\N	\N	f	
13854	115e596a-82de-4b6b-8dec-82d1df1face1	Esine	Esine	4	0	2013-07-21 19:27:12.010535+02	\N	\N	\N	\N	\N	\N	f	
10541	8c1f124d-7964-4e98-af39-07597c0d7dbf	Kamisu	Kamisu	3	0	2013-06-18 21:48:05.173409+02	\N	\N	\N	\N	\N	\N	f	
10542	2c2d1d8e-597c-4e2a-a93d-3de8d34b1877	Hitachiōmiya	Hitachiōmiya	3	0	2013-06-18 21:48:15.488021+02	\N	\N	\N	\N	\N	\N	f	
16978	166c4769-2cec-4158-baeb-bc309aaf46c0	Chambave	Chambave	4	0	2013-07-22 05:25:27.795357+02	\N	\N	\N	\N	\N	\N	f	
10543	dc00906b-3c00-4252-bffd-ca23d338359e	Semboku	Semboku	3	0	2013-06-18 21:48:40.323842+02	\N	\N	\N	\N	\N	\N	f	
13863	f791f3ed-e8fa-4b9e-9815-b50500b6109c	Malonno	Malonno	4	0	2013-07-21 19:29:24.786575+02	\N	\N	\N	\N	\N	\N	f	
10544	617efde9-b87c-4e23-9d3a-a5ac3b62d7fb	Hokota	Hokota	3	0	2013-06-18 21:49:03.65254+02	\N	\N	\N	\N	\N	\N	f	
10546	c58b6b8c-9ed6-4084-ae44-4fef79329408	Hatoyama	Hatoyama	3	0	2013-06-18 21:50:18.17816+02	\N	\N	\N	\N	\N	\N	f	
15541	39def3b5-e467-44e6-a67d-50a40c3e0936	Trecate	Trecate	4	0	2013-07-22 01:08:14.459203+02	\N	\N	\N	\N	\N	\N	f	
13941	10b03d76-e63f-4bc0-8d77-2e24153af8e2	Rolo, Emilia-Romagna	Rolo, Emilia-Romagna	4	0	2013-07-21 19:47:33.338823+02	\N	\N	\N	\N	\N	\N	f	
14451	8e8e0c96-0303-409b-b2fc-3800345a7fb1	Occimiano	Occimiano	4	0	2013-07-21 21:40:34.630257+02	\N	\N	\N	\N	\N	\N	f	
14467	9f452323-3b1f-4441-8384-3713c348f4cb	Quargnento	Quargnento	4	0	2013-07-21 21:44:14.861569+02	\N	\N	\N	\N	\N	\N	f	
15599	f494472c-b573-4f35-92f4-79a278172e5f	Gurro	Gurro	4	0	2013-07-22 01:21:02.99677+02	\N	\N	\N	\N	\N	\N	f	
14962	8b95e07e-db93-4a4d-b9d6-bb915517f32e	Campello sul Clitunno	Campello sul Clitunno	4	0	2013-07-21 23:30:53.418084+02	\N	\N	\N	\N	\N	\N	f	
15604	eae2437d-564b-45cb-b5fc-50d68a78a876	Premeno	Premeno	4	0	2013-07-22 01:22:19.77624+02	\N	\N	\N	\N	\N	\N	f	
17004	f021b695-cb17-485d-8736-4e098026f4c1	Doues	Doues	4	0	2013-07-22 05:30:59.779981+02	\N	\N	\N	\N	\N	\N	f	
15645	2091af50-b206-4954-bc15-0bf4e86f0c7d	Allumiere	Allumiere	4	0	2013-07-22 01:31:41.802983+02	\N	\N	\N	\N	\N	\N	f	
16248	2b300152-f68c-4512-aede-60e0b8a02d26	Urbino	Urbino	4	0	2013-07-22 03:10:43.221676+02	\N	\N	\N	\N	\N	\N	f	
16271	79593e70-09f3-4489-bb8d-8a0b8c159a17	Montagano	Montagano	4	0	2013-07-22 03:13:27.291062+02	\N	\N	\N	\N	\N	\N	f	
17036	84799aa6-adec-4ef5-9da4-3aea37b0764a	Pontey	Pontey	4	0	2013-07-22 05:35:14.15784+02	\N	\N	\N	\N	\N	\N	f	
16274	ea07da0d-2299-4aee-aa71-a3cc0b363948	Castelbottaccio	Castelbottaccio	4	0	2013-07-22 03:13:49.251704+02	\N	\N	\N	\N	\N	\N	f	
16288	f2cf36a3-8ea0-4c47-ad8b-a60e2706a668	Oratino	Oratino	4	0	2013-07-22 03:15:34.185509+02	\N	\N	\N	\N	\N	\N	f	
22241	182f782f-11e5-4e54-bcf4-b26b1cdf9824	Union Valley	Union Valley	3	0	2013-08-08 14:40:52.45803+02	\N	\N	\N	\N	\N	\N	f	
17083	010eb05d-2e4d-4fe6-9f39-42b70a652c02	Hafling	Hafling	4	0	2013-07-22 05:41:19.768223+02	\N	\N	\N	\N	\N	\N	f	
16345	fa56fd26-7225-48fc-950c-d18e7b42b8de	Pietrabbondante	Pietrabbondante	4	0	2013-07-22 03:22:21.842841+02	\N	\N	\N	\N	\N	\N	f	
16381	6e35a144-ae02-4c4a-a026-231052f3785a	Venafro	Venafro	4	0	2013-07-22 03:26:48.690981+02	\N	\N	\N	\N	\N	\N	f	
17095	e14d9505-d967-4758-ab5a-b59b7a8fda23	Prags	Prags	4	0	2013-07-22 05:43:06.576724+02	\N	\N	\N	\N	\N	\N	f	
16395	550bf00e-515a-4323-90b3-b8a21bcbf311	Sesto Campano	Sesto Campano	4	0	2013-07-22 03:28:27.876553+02	\N	\N	\N	\N	\N	\N	f	
16443	53ef743b-a664-47c4-b244-5f2f021d6786	Sestu	Sestu	4	0	2013-07-22 03:34:05.116115+02	\N	\N	\N	\N	\N	\N	f	
16458	e55e1e60-223f-4421-b37f-af49e6a36d98	Sarroch	Sarroch	4	0	2013-07-22 03:35:51.354065+02	\N	\N	\N	\N	\N	\N	f	
17136	ed4abef2-2335-4e22-842a-9fae6e50f5ab	Gonnoscodina	Gonnoscodina	4	0	2013-07-22 05:48:30.428217+02	\N	\N	\N	\N	\N	\N	f	
22715	f729b576-1248-4b57-8ff0-16af17f9aea1	Montagnareale	Montagnareale	4	0	2013-08-14 17:25:13.428696+02	\N	\N	\N	\N	\N	\N	f	
22337	f177299f-1970-4367-b67f-0abbfcb3daf1	Warren	Warren	3	0	2013-08-10 17:37:51.46117+02	\N	\N	\N	\N	\N	\N	f	
16552	ab40710e-d193-4858-a763-dbe1c3831aa3	Fondo	Fondo	4	0	2013-07-22 03:47:04.473919+02	\N	\N	\N	\N	\N	\N	f	
19226	db6414c2-fbc7-4b7c-a85f-d0a8e1805b29	Fossa, Abruzzo	Fossa, Abruzzo	4	0	2013-07-22 10:08:58.415019+02	\N	\N	\N	\N	\N	\N	f	
16601	69e79cb3-234b-4fd9-8f44-b28e994bf104	Bortigali	Bortigali	4	0	2013-07-22 03:53:37.170223+02	\N	\N	\N	\N	\N	\N	f	
18352	cea72490-b6df-46a2-aadb-361d9afc1016	Calolziocorte	Calolziocorte	4	0	2013-07-22 08:17:51.826702+02	\N	\N	\N	\N	\N	\N	f	
18354	89a124c5-7ac4-4cc5-8ef0-3a56660c88de	Madignano	Madignano	4	0	2013-07-22 08:18:05.835486+02	\N	\N	\N	\N	\N	\N	f	
19699	1575ded4-f111-43e6-934f-7bd94eb9f190	Civitella in Val di Chiana	Civitella in Val di Chiana	4	0	2013-07-22 11:23:05.903593+02	\N	\N	\N	\N	\N	\N	f	
22619	547484a5-6487-44b7-941f-e61147defee5	Meta, Campania	Meta, Campania	4	0	2013-08-13 17:37:32.995862+02	\N	\N	\N	\N	\N	\N	f	
18396	7869869b-3069-495c-adc6-943c57bd8eb2	Vignate	Vignate	4	0	2013-07-22 08:23:51.909981+02	\N	\N	\N	\N	\N	\N	f	
22377	85e26dc6-727c-4d9c-905d-8cfbc8bbef26	Palmer	Palmer	3	0	2013-08-11 02:26:48.508862+02	\N	\N	\N	\N	\N	\N	f	
19100	ad43f9c1-9133-46b9-af2e-eb76f7e6f9ba	Carini	Carini	4	0	2013-07-22 09:52:31.510132+02	\N	\N	\N	\N	\N	\N	f	
20341	872eb683-599a-4e5a-bcf5-29d10b8cfe81	Cerzeto	Cerzeto	4	0	2013-07-22 23:33:43.135649+02	\N	\N	\N	\N	\N	\N	f	
19136	a7a46d87-da92-4ec7-baf7-faa3bdb6c36c	Petralia Soprana	Petralia Soprana	4	0	2013-07-22 09:56:53.06487+02	\N	\N	\N	\N	\N	\N	f	
22117	bd4fd9c3-5a80-4dc9-a552-fde31d871c36	Danville	Danville	3	0	2013-08-07 17:34:56.440725+02	\N	\N	\N	\N	\N	\N	f	
19162	9f594472-492a-4490-8d1b-9382f7990b2f	Ponte Buggianese	Ponte Buggianese	4	0	2013-07-22 10:00:47.334739+02	\N	\N	\N	\N	\N	\N	f	
20444	df2bc2fb-bf46-4432-9094-9317e0b77637	Terranova da Sibari	Terranova da Sibari	4	0	2013-07-23 02:36:53.034337+02	\N	\N	\N	\N	\N	\N	f	
20508	d8656639-441a-40f8-b29b-b721cf68f47c	Careri	Careri	4	0	2013-07-23 02:51:07.719482+02	\N	\N	\N	\N	\N	\N	f	
22481	50800b49-2138-4ab3-b293-f5de593b44c4	Placerville	Placerville	3	0	2013-08-11 05:38:43.545731+02	\N	\N	\N	\N	\N	\N	f	
22492	ecee71ba-dccf-4d11-86a7-0bb6f6f8e4fd	South Lake Tahoe	South Lake Tahoe	3	0	2013-08-11 05:43:33.367067+02	\N	\N	\N	\N	\N	\N	f	
22649	7e34d443-21a4-4fb3-92f0-b6409219276c	Lupara, Molise	Lupara, Molise	4	0	2013-08-13 23:24:31.423851+02	\N	\N	\N	\N	\N	\N	f	
22497	35d8979a-2081-4997-978f-9c226691eadb	Goleta	Goleta	3	0	2013-08-11 05:44:43.284377+02	\N	\N	\N	\N	\N	\N	f	
22184	bcf0d89f-f725-41e0-9ae3-155a52bbbae6	Bowie	Bowie	3	0	2013-08-08 08:40:38.190948+02	\N	\N	\N	\N	\N	\N	f	
22889	eec1f31a-f3c4-494b-847b-a6c501309834	Dearborn Heights	Dearborn Heights	3	0	2013-08-20 14:18:04.204887+02	\N	\N	\N	\N	\N	\N	f	
22590	b4f4c57e-7f59-4ece-9826-252f2e989a57	Villapiana	Villapiana	4	0	2013-08-13 14:34:21.864084+02	\N	\N	\N	\N	\N	\N	f	
22815	2f6e18a6-55b5-40e0-81af-aa98bcc871a4	Santa Teresa di Riva	Santa Teresa di Riva	4	0	2013-08-14 20:28:12.893227+02	\N	\N	\N	\N	\N	\N	f	
22710	46b1282b-99f7-4e13-ab4c-8c012109c07e	Baldissero Torinese	Baldissero Torinese	4	0	2013-08-14 11:37:27.426867+02	\N	\N	\N	\N	\N	\N	f	
22844	9501f8a1-4c38-4a9d-b55d-c389fb18d0c2	Daytona Beach	Daytona Beach	3	0	2013-08-20 05:28:35.353812+02	\N	\N	\N	\N	\N	\N	f	
22831	99a480e4-f8be-4d24-82ad-5e0a0d90668b	Tahoka	Tahoka	3	0	2013-08-15 11:34:51.608821+02	\N	\N	\N	\N	\N	\N	f	
22885	43508b57-576c-4aab-9f8c-05e242005968	Battle Creek	Battle Creek	3	0	2013-08-20 11:31:52.169281+02	\N	\N	\N	\N	\N	\N	f	
22853	600df2ee-07bc-4262-a879-c44353dae07c	Manitou Springs	Manitou Springs	3	0	2013-08-20 08:22:10.074474+02	\N	\N	\N	\N	\N	\N	f	
22896	e9139b0a-8b7f-4605-bf8f-c276ff0062d0	Oak Park	Oak Park	3	0	2013-08-20 14:20:23.877548+02	\N	\N	\N	\N	\N	\N	f	
22965	ea293716-dc4c-4eca-8b3f-9a83d9c1209e	Vassar, Michigan	Vassar, Michigan	3	0	2013-08-20 17:20:26.275885+02	\N	\N	\N	\N	\N	\N	f	
24597	dc01f4e0-4aac-40d6-8b70-4499a2fed284	Washington	Washington	3	0	2013-09-07 07:49:00.780593+02	\N	\N	\N	\N	\N	\N	f	
24725	f4530839-317c-4135-b236-37323e06d8d7	Dougherty	Dougherty	3	0	2013-09-07 08:18:16.274636+02	\N	\N	\N	\N	\N	\N	f	
24804	713acafc-4265-4edd-8685-7c7feddf3bdc	Arcadia	Arcadia	3	0	2013-09-07 08:39:53.018188+02	\N	\N	\N	\N	\N	\N	f	
24812	aa107e76-bedc-4cd6-9436-ea053b6b8a2a	Lu Verne	Lu Verne	3	0	2013-09-07 08:41:56.121877+02	\N	\N	\N	\N	\N	\N	f	
24816	b7269683-7d75-4886-a92d-c1f13152622f	Delhi	Delhi	3	0	2013-09-07 08:42:57.981977+02	\N	\N	\N	\N	\N	\N	f	
10547	0b8997b4-e32e-44c0-9b67-2d72d443db34	Ogawa	Ogawa	3	0	2013-06-18 21:50:39.540148+02	\N	\N	\N	\N	\N	\N	f	
10596	c3ea3848-1d33-4b5c-821d-d2fbd719cc51	Naka	Naka	3	0	2013-06-19 00:37:14.66238+02	\N	\N	\N	\N	\N	\N	f	
10548	019aca4c-52e1-4a22-aa4b-54a6acf52bc2	Sakuragawa	Sakuragawa	3	0	2013-06-18 21:54:17.486451+02	\N	\N	\N	\N	\N	\N	f	
10571	90980d33-98a1-490e-b7d7-39bba660f69a	Kami	Kami	3	0	2013-06-19 00:32:20.576397+02	\N	\N	\N	\N	\N	\N	f	
10549	cd1e6024-7b30-4346-9f96-ffbe9281d4ae	Vändra	Vändra	3	0	2013-06-18 23:49:55.20114+02	\N	\N	\N	\N	\N	\N	f	
10550	0e4d8f2d-e60e-4cc0-bf0e-8f656f2b8cca	Kronstadt	Kronstadt	3	0	2013-06-18 23:52:03.346229+02	\N	\N	\N	\N	\N	\N	f	
10586	0ea43b3e-8b60-4fb8-a583-69b623269dd3	Hōdatsushimizu	Hōdatsushimizu	3	0	2013-06-19 00:35:34.386391+02	\N	\N	\N	\N	\N	\N	f	
10551	e8b17417-8bcc-49e8-ad87-d196b591e201	Tori	Tori	3	0	2013-06-18 23:54:53.04616+02	\N	\N	\N	\N	\N	\N	f	
10572	e3dad88d-bfaa-435b-bdbf-3e7c2500dc8d	Hinode	Hinode	3	0	2013-06-19 00:32:31.050177+02	\N	\N	\N	\N	\N	\N	f	
10552	24ca64a0-f8d3-4792-97a3-008479dcd2bf	Kihelkonna	Kihelkonna	3	0	2013-06-18 23:58:20.035606+02	\N	\N	\N	\N	\N	\N	f	
13855	cb531a6f-47fc-4503-b0f2-aa0af5eddfb8	Gardone Riviera	Gardone Riviera	4	0	2013-07-21 19:27:25.620221+02	\N	\N	\N	\N	\N	\N	f	
14452	701a54ab-046d-40de-ba6a-f8b7fccdfdaa	Castell'Azzara	Castell'Azzara	4	0	2013-07-21 21:40:47.019672+02	\N	\N	\N	\N	\N	\N	f	
10573	fcdec6b3-1bd6-4531-ba0d-0f17868e1d32	Okuizumo	Okuizumo	3	0	2013-06-19 00:32:48.729686+02	\N	\N	\N	\N	\N	\N	f	
10555	cd2877a6-debd-423c-9d9e-5ce3bfad66b2	Kambja	Kambja	3	0	2013-06-19 00:16:23.605937+02	\N	\N	\N	\N	\N	\N	f	
10556	ab8a9c6b-51bb-46cd-8051-5bdea67aba49	Itoshima	Itoshima	3	0	2013-06-19 00:28:18.297828+02	\N	\N	\N	\N	\N	\N	f	
10557	83ffb766-15ac-4072-903d-f10cb9e90ba0	Yamada	Yamada	3	0	2013-06-19 00:28:54.546121+02	\N	\N	\N	\N	\N	\N	f	
10574	68fcc37f-f4fc-46bb-90f3-728142c7b721	Minamiaso	Minamiaso	3	0	2013-06-19 00:32:58.986106+02	\N	\N	\N	\N	\N	\N	f	
10559	f765a6fe-b8dd-45ab-946e-22bb4bfe6945	Chikujō	Chikujō	3	0	2013-06-19 00:29:41.745759+02	\N	\N	\N	\N	\N	\N	f	
10587	f769cc9a-6caf-4a21-9a34-4f239a57f577	Aga	Aga	3	0	2013-06-19 00:35:44.661367+02	\N	\N	\N	\N	\N	\N	f	
10560	5c2a9b12-f7d7-4ae1-ad45-795e2e60b528	Chikuhoku	Chikuhoku	3	0	2013-06-19 00:29:52.640103+02	\N	\N	\N	\N	\N	\N	f	
10575	d4a600e7-9b45-4e31-ab70-f01a4d457d83	Nagomi	Nagomi	3	0	2013-06-19 00:33:09.539657+02	\N	\N	\N	\N	\N	\N	f	
10561	a41da3f7-d8cd-4558-bfff-81237c855d98	Chikuzen	Chikuzen	3	0	2013-06-19 00:30:03.585634+02	\N	\N	\N	\N	\N	\N	f	
10562	1fea0eb3-ac32-4cd0-93a4-d7f1005b2136	To-shima	To-shima	3	0	2013-06-19 00:30:35.818245+02	\N	\N	\N	\N	\N	\N	f	
10563	79ef1b3d-3fca-48b5-8a60-1536321ea6eb	Yurihama	Yurihama	3	0	2013-06-19 00:30:54.436798+02	\N	\N	\N	\N	\N	\N	f	
10576	aa87e5b2-5740-491f-8937-0209c4c842e4	Tsuno	Tsuno	3	0	2013-06-19 00:33:20.024888+02	\N	\N	\N	\N	\N	\N	f	
10564	4d573b94-5266-4e4a-a0ab-fa843f066ab1	Taka	Taka	3	0	2013-06-19 00:31:04.79398+02	\N	\N	\N	\N	\N	\N	f	
10607	df4494ce-023b-4f2a-be66-f091d7b8cc4d	Togitsu	Togitsu	3	0	2013-06-19 00:39:32.271616+02	\N	\N	\N	\N	\N	\N	f	
10566	9d62662c-c839-4edf-ad84-aeeaff4ebfd3	Yazu	Yazu	3	0	2013-06-19 00:31:28.28899+02	\N	\N	\N	\N	\N	\N	f	
10577	3f8c208d-8063-4746-a473-0a24b4ff6d18	Yamato	Yamato	3	0	2013-06-19 00:33:36.548874+02	\N	\N	\N	\N	\N	\N	f	
10567	1b2f6b08-fe7b-4e17-bfdf-ee0bdbb77daa	Ayagawa	Ayagawa	3	0	2013-06-19 00:31:38.923305+02	\N	\N	\N	\N	\N	\N	f	
10568	5736cf80-bfff-4cc7-a94b-d726aa580bf1	Shin'onsen	Shin'onsen	3	0	2013-06-19 00:31:49.286466+02	\N	\N	\N	\N	\N	\N	f	
10569	33e258c3-df6a-48cc-bb37-f839bc56e78c	Misato	Misato	3	0	2013-06-19 00:31:59.833689+02	\N	\N	\N	\N	\N	\N	f	
10570	7d5bf371-d7e9-40ff-8d67-767eb8fd9f42	Kamikawa	Kamikawa	3	0	2013-06-19 00:32:10.177103+02	\N	\N	\N	\N	\N	\N	f	
10578	1e79b22e-e568-4da7-b1f7-154d28212a29	Hikawa	Hikawa	3	0	2013-06-19 00:33:49.637254+02	\N	\N	\N	\N	\N	\N	f	
10597	d11712b9-ccdf-4291-ba64-61215c2a6b9f	Aizumisato	Aizumisato	3	0	2013-06-19 00:37:24.980139+02	\N	\N	\N	\N	\N	\N	f	
10579	26ce0e42-02cd-463c-b32a-6dc839bc0cf2	Yosano	Yosano	3	0	2013-06-19 00:34:07.947904+02	\N	\N	\N	\N	\N	\N	f	
10589	d6856ca4-1736-41c8-b907-6e0d6c1705d7	Kitahiroshima	Kitahiroshima	3	0	2013-06-19 00:36:05.763823+02	\N	\N	\N	\N	\N	\N	f	
10580	873e701d-2817-40d2-99a2-92eee3ece2ac	Hiraizumi	Hiraizumi	3	0	2013-06-19 00:34:18.4432+02	\N	\N	\N	\N	\N	\N	f	
10581	00128af9-b789-4be0-b417-e94af8e37f2e	Kyōtamba	Kyōtamba	3	0	2013-06-19 00:34:28.997438+02	\N	\N	\N	\N	\N	\N	f	
10582	28e49018-e201-4b42-b503-d44a2106d681	Shirosato	Shirosato	3	0	2013-06-19 00:34:39.397819+02	\N	\N	\N	\N	\N	\N	f	
10590	ad649803-9512-4e7b-8d15-e691e0af407c	Kotoura	Kotoura	3	0	2013-06-19 00:36:16.118914+02	\N	\N	\N	\N	\N	\N	f	
10583	61fddd1b-d0a6-4335-a285-0f6f8ff93128	Higashiagatsuma	Higashiagatsuma	3	0	2013-06-19 00:34:54.625414+02	\N	\N	\N	\N	\N	\N	f	
10584	14a2d9b6-a6f4-44b8-866a-2930c3abcebf	Sakuho	Sakuho	3	0	2013-06-19 00:35:05.067276+02	\N	\N	\N	\N	\N	\N	f	
10603	a215f750-e078-4657-9520-38b60ec3278a	Ōmachi	Ōmachi	3	0	2013-06-19 00:38:39.524711+02	\N	\N	\N	\N	\N	\N	f	
10585	cdab0b96-595b-456d-896b-f7a88a3f9b90	Akiōta	Akiōta	3	0	2013-06-19 00:35:23.366174+02	\N	\N	\N	\N	\N	\N	f	
10591	79cfc2d8-db66-4729-b8ce-6a31c32cd168	Misato	Misato	3	0	2013-06-19 00:36:30.825608+02	\N	\N	\N	\N	\N	\N	f	
10598	428a883e-156e-4887-97e0-0dab513c6514	Minamiaizu	Minamiaizu	3	0	2013-06-19 00:37:35.210867+02	\N	\N	\N	\N	\N	\N	f	
10592	7b8c4ff3-0300-44a2-a9ec-b239cf523f34	Kanegasaki	Kanegasaki	3	0	2013-06-19 00:36:41.613164+02	\N	\N	\N	\N	\N	\N	f	
10593	25cf070e-6acf-4496-a86e-e0fb516def5d	Epra	Epra	3	0	2013-06-19 00:36:48.022432+02	\N	\N	\N	\N	\N	\N	f	
10594	8ea525e1-fe20-44ec-8157-ff9ffa9974d8	Hokuei	Hokuei	3	0	2013-06-19 00:36:52.169127+02	\N	\N	\N	\N	\N	\N	f	
10599	8d7c7234-e237-4734-b306-80d659049516	Fukuchi	Fukuchi	3	0	2013-06-19 00:37:50.290442+02	\N	\N	\N	\N	\N	\N	f	
10595	02b0fc5d-75f8-4815-8479-24e9a9e58f4b	Yahaba	Yahaba	3	0	2013-06-19 00:37:03.889994+02	\N	\N	\N	\N	\N	\N	f	
10604	455eeb8f-a956-412b-aeda-980383b5bdbe	Ichinohe	Ichinohe	3	0	2013-06-19 00:38:54.619693+02	\N	\N	\N	\N	\N	\N	f	
10600	fd0df86b-b3cd-4864-8492-2219a04e7a9b	Tonaki	Tonaki	3	0	2013-06-19 00:38:01.009476+02	\N	\N	\N	\N	\N	\N	f	
10601	a7a3e2b6-8e8c-4920-a801-912874fcef08	Tsurugi	Tsurugi	3	0	2013-06-19 00:38:11.648464+02	\N	\N	\N	\N	\N	\N	f	
10613	ad85af33-fe7b-4842-a69a-9c9cf733ce23	Kōhoku	Kōhoku	3	0	2013-06-19 00:40:46.876613+02	\N	\N	\N	\N	\N	\N	f	
10602	d6e03c0f-1788-4015-8c3b-3b6bbb593992	Nishiwaga	Nishiwaga	3	0	2013-06-19 00:38:22.701077+02	\N	\N	\N	\N	\N	\N	f	
10605	bbc59ac5-17b7-4341-a96e-073ecd46422c	Higashimiyoshi	Higashimiyoshi	3	0	2013-06-19 00:39:15.543335+02	\N	\N	\N	\N	\N	\N	f	
10608	2e97f1cf-dd3b-4a40-a4ae-88875b193b3e	Tōhō	Tōhō	3	0	2013-06-19 00:39:42.695725+02	\N	\N	\N	\N	\N	\N	f	
10606	b6ffd350-9c3d-4109-83c7-cd9076935e88	Kose	Kose	3	0	2013-06-19 00:39:24.164911+02	\N	\N	\N	\N	\N	\N	f	
10610	4210925b-2a92-48cb-876b-7b88510b185d	Shin-Kamigotō	Shin-Kamigotō	3	0	2013-06-19 00:40:13.272704+02	\N	\N	\N	\N	\N	\N	f	
10609	4f85209b-d3f1-4bb6-bf58-7ff0d5831034	Kinkō	Kinkō	3	0	2013-06-19 00:39:55.929921+02	\N	\N	\N	\N	\N	\N	f	
10612	6044dcee-e830-482d-bbdd-594bdc70b1a9	Niyodogawa	Niyodogawa	3	0	2013-06-19 00:40:34.240718+02	\N	\N	\N	\N	\N	\N	f	
10611	75450750-d668-416d-99d5-5ed75c4c2ae0	Miyako	Miyako	3	0	2013-06-19 00:40:23.69976+02	\N	\N	\N	\N	\N	\N	f	
10614	26a820c3-d299-4394-b541-5d5dbe7c3234	Yaese	Yaese	3	0	2013-06-19 00:40:57.196497+02	\N	\N	\N	\N	\N	\N	f	
10615	3c946208-ae50-4c24-9cac-0eb0f4fa8a15	Kōge	Kōge	3	0	2013-06-19 00:41:07.678943+02	\N	\N	\N	\N	\N	\N	f	
10616	ea72c104-d669-416e-ad16-e1c9c4492425	Yoshinogari	Yoshinogari	3	0	2013-06-19 00:41:18.410806+02	\N	\N	\N	\N	\N	\N	f	
10617	92cc9595-4462-4434-af15-4328c9d98ded	Minamiōsumi	Minamiōsumi	3	0	2013-06-19 00:41:35.424297+02	\N	\N	\N	\N	\N	\N	f	
10618	a8e74944-2872-43cc-848e-8e6e8da98c2a	Tōon	Tōon	3	0	2013-06-19 00:42:06.811804+02	\N	\N	\N	\N	\N	\N	f	
10619	5f335db9-1bdd-4b80-8862-9e9bc61f25aa	Aishō	Aishō	3	0	2013-06-19 00:42:22.363349+02	\N	\N	\N	\N	\N	\N	f	
10620	e65ac996-8587-4d0f-aaef-7b790ac6ee73	Hidakagawa	Hidakagawa	3	0	2013-06-19 00:42:32.758389+02	\N	\N	\N	\N	\N	\N	f	
10621	afe629de-3e65-4523-aaa9-c07af18648ee	Saitama	Saitama	3	0	2013-06-19 00:42:43.166758+02	\N	\N	\N	\N	\N	\N	f	
10622	596233ec-174a-4a9e-a8ba-1a1ed4848e40	Aridagawa	Aridagawa	3	0	2013-06-19 00:42:53.808363+02	\N	\N	\N	\N	\N	\N	f	
10623	5252d86e-87c0-4b8a-826c-2cea232c906d	Hirono	Hirono	3	0	2013-06-19 00:43:09.054367+02	\N	\N	\N	\N	\N	\N	f	
15542	8f16d10e-2456-40c2-a5b0-9d761d43afab	Sillavengo	Sillavengo	4	0	2013-07-22 01:08:29.476045+02	\N	\N	\N	\N	\N	\N	f	
10640	caf95301-8d5b-467c-a04d-7f51c9df8faf	Minami	Minami	3	0	2013-06-19 00:46:21.49392+02	\N	\N	\N	\N	\N	\N	f	
13857	9b429813-3e5d-483b-a3de-099257522d65	Gussago	Gussago	4	0	2013-07-21 19:27:52.353016+02	\N	\N	\N	\N	\N	\N	f	
10658	ba1a43c1-afa8-4456-884c-08156d36ab4b	Tokushima	Tokushima	3	0	2013-06-19 00:55:20.228684+02	\N	\N	\N	\N	\N	\N	f	
13923	80c5a808-ea76-4999-8038-272fc1cd1230	Casalgrande	Casalgrande	4	0	2013-07-21 19:43:28.762781+02	\N	\N	\N	\N	\N	\N	f	
13934	b5fe47a0-d617-47c4-9303-86fbc8914a0a	San Polo d'Enza	San Polo d'Enza	4	0	2013-07-21 19:45:59.485303+02	\N	\N	\N	\N	\N	\N	f	
14453	8c6ea7d1-d968-4edb-b19b-672fa2cfcf63	Montecastello	Montecastello	4	0	2013-07-21 21:41:01.178096+02	\N	\N	\N	\N	\N	\N	f	
15622	26f7fdb5-dcce-4772-8f36-f1d23ba72c17	Valstrona	Valstrona	4	0	2013-07-22 01:26:37.094617+02	\N	\N	\N	\N	\N	\N	f	
14966	d2818ba6-48c3-4867-a2b0-2b36c08985b6	Isasca	Isasca	4	0	2013-07-21 23:31:21.933333+02	\N	\N	\N	\N	\N	\N	f	
17337	8b2b2ba6-5473-4eb3-97c7-656040e871aa	Borgo San Siro	Borgo San Siro	4	0	2013-07-22 06:15:10.752097+02	\N	\N	\N	\N	\N	\N	f	
15624	c26e8ce2-67c4-460d-8ed9-282a3366ccdb	Masera	Masera	4	0	2013-07-22 01:27:03.31296+02	\N	\N	\N	\N	\N	\N	f	
16250	7209fb94-6117-4628-8c73-fa0f1b0eb1b4	Acquaviva Collecroce	Acquaviva Collecroce	4	0	2013-07-22 03:11:05.907791+02	\N	\N	\N	\N	\N	\N	f	
16254	471180b5-5a04-414e-9d93-4f6bd498a9df	Busso	Busso	4	0	2013-07-22 03:11:29.99869+02	\N	\N	\N	\N	\N	\N	f	
19703	84975b7c-cbb8-4a5a-a832-9f558f4c5c64	Pulsano	Pulsano	4	0	2013-07-22 11:24:17.033611+02	\N	\N	\N	\N	\N	\N	f	
16263	3a79aa2e-c2a0-40a3-873d-e90e54eb4e21	Jelsi	Jelsi	4	0	2013-07-22 03:12:33.254346+02	\N	\N	\N	\N	\N	\N	f	
17439	68a4800c-2367-4f3d-aae6-b14f21962842	Santa Margherita di Staffora	Santa Margherita di Staffora	4	0	2013-07-22 06:27:55.288801+02	\N	\N	\N	\N	\N	\N	f	
16352	f804080a-8523-4174-b041-5ec98f7b7ffe	Udine	Udine	4	0	2013-07-22 03:23:06.217852+02	\N	\N	\N	\N	\N	\N	f	
16357	4c18c534-659f-45ff-9164-e9ad6d4d3cbd	Macchia d'Isernia	Macchia d'Isernia	4	0	2013-07-22 03:23:42.760983+02	\N	\N	\N	\N	\N	\N	f	
16370	33489c39-f7f6-4a6f-878f-6282be2adc45	Montaquila	Montaquila	4	0	2013-07-22 03:25:01.585991+02	\N	\N	\N	\N	\N	\N	f	
17494	906e2201-e381-4557-8a2a-c452b3d2d8b6	Grantola	Grantola	4	0	2013-07-22 06:34:16.406056+02	\N	\N	\N	\N	\N	\N	f	
16375	9fd67f4e-1b52-448b-a428-8f50285ec9c2	Filignano	Filignano	4	0	2013-07-22 03:25:48.229616+02	\N	\N	\N	\N	\N	\N	f	
16388	c3824694-2475-4d33-923c-e12be1e8ce3b	Assemini	Assemini	4	0	2013-07-22 03:27:42.01762+02	\N	\N	\N	\N	\N	\N	f	
17589	098e7baa-c7fe-4406-90ee-89804263d3c6	Albaredo Arnaboldi	Albaredo Arnaboldi	4	0	2013-07-22 06:46:17.670653+02	\N	\N	\N	\N	\N	\N	f	
16476	4909b386-fcee-437c-9e06-dc24d08ba479	Villasalto	Villasalto	4	0	2013-07-22 03:38:05.946373+02	\N	\N	\N	\N	\N	\N	f	
16507	81e6b596-f248-466f-97dc-f01ef73973e4	Sant'Antioco	Sant'Antioco	4	0	2013-07-22 03:41:51.923204+02	\N	\N	\N	\N	\N	\N	f	
20342	46247e43-a0c7-467c-9361-d324ee522f8e	Belvedere Marittimo	Belvedere Marittimo	4	0	2013-07-22 23:33:57.973758+02	\N	\N	\N	\N	\N	\N	f	
16510	f3321381-921f-4c17-94b2-8aca7e372ac8	Pauli Arbarei	Pauli Arbarei	4	0	2013-07-22 03:42:05.738656+02	\N	\N	\N	\N	\N	\N	f	
18297	ee3b40e0-7da3-4e1b-8af4-c9ca7ea8e773	Paderno Dugnano	Paderno Dugnano	4	0	2013-07-22 08:11:10.380677+02	\N	\N	\N	\N	\N	\N	f	
22242	a4d388c7-0385-4be2-acbc-e3c8b8801cfc	Yoakum	Yoakum	3	0	2013-08-08 14:41:06.330133+02	\N	\N	\N	\N	\N	\N	f	
16979	5173e361-16c4-4451-8732-65df500ccc1a	Bionaz	Bionaz	4	0	2013-07-22 05:25:42.441331+02	\N	\N	\N	\N	\N	\N	f	
18303	8a9180c5-98bb-4cad-871d-3b264f3156d5	Camisano	Camisano	4	0	2013-07-22 08:11:51.29644+02	\N	\N	\N	\N	\N	\N	f	
18319	16fad18b-bb78-4fbe-b125-692a7098a814	Ballabio	Ballabio	4	0	2013-07-22 08:13:40.031913+02	\N	\N	\N	\N	\N	\N	f	
20405	a0c6055b-75db-4bc1-aeea-7c4ea5ab346b	Roseto Capo Spulico	Roseto Capo Spulico	4	0	2013-07-22 23:48:15.560904+02	\N	\N	\N	\N	\N	\N	f	
19103	3c6b6a5c-adfa-41b8-a303-d1a0450f3c65	Isola delle Femmine	Isola delle Femmine	4	0	2013-07-22 09:52:49.359317+02	\N	\N	\N	\N	\N	\N	f	
19159	f86c3759-f71a-42ed-ac82-9428e474b7c3	Unsere Liebe Frau im Walde-St. Felix	Unsere Liebe Frau im Walde-St. Felix	4	0	2013-07-22 10:00:21.735383+02	\N	\N	\N	\N	\N	\N	f	
22244	a7d1cb6a-6e24-4d05-b785-6b24e439df17	Hideaway	Hideaway	3	0	2013-08-08 14:41:43.943309+02	\N	\N	\N	\N	\N	\N	f	
19163	96e423c9-a7d6-4426-a72e-3aa78851a785	Stilfs	Stilfs	4	0	2013-07-22 10:00:48.015507+02	\N	\N	\N	\N	\N	\N	f	
20445	e66bc933-8f4a-4259-bacb-37ff046343d7	Trebisacce	Trebisacce	4	0	2013-07-23 02:37:05.482225+02	\N	\N	\N	\N	\N	\N	f	
20471	eeb53521-070c-4e49-9941-81345c18902c	Rocca di Neto	Rocca di Neto	4	0	2013-07-23 02:42:38.854109+02	\N	\N	\N	\N	\N	\N	f	
22620	20d57ff8-9f54-4a8e-bc04-3f4f5ed536a0	Palma Campania	Palma Campania	4	0	2013-08-13 17:37:46.51343+02	\N	\N	\N	\N	\N	\N	f	
20494	dab5a056-ff8a-4d2f-9dc3-73ebcad5f869	Africo	Africo	4	0	2013-07-23 02:48:21.253567+02	\N	\N	\N	\N	\N	\N	f	
22338	2a65fcd6-501c-4f28-8bfe-65b62869d236	Helena-West Helena	Helena-West Helena	3	0	2013-08-10 17:38:12.248881+02	\N	\N	\N	\N	\N	\N	f	
20499	aa22368c-854e-4f5e-b4f4-3f03eb17a1c2	Cosoleto	Cosoleto	4	0	2013-07-23 02:49:20.657038+02	\N	\N	\N	\N	\N	\N	f	
22379	b675c04b-2188-4095-8af5-65c84aa9803b	Willits, California	Willits, California	3	0	2013-08-11 02:28:59.235165+02	\N	\N	\N	\N	\N	\N	f	
22118	537be384-8822-4a31-9807-7667984f8505	Georgetown	Georgetown	3	0	2013-08-07 17:35:09.055294+02	\N	\N	\N	\N	\N	\N	f	
22816	ff5dea6e-b840-495c-b564-e21b78f18b5d	Naso, Sicily	Naso, Sicily	4	0	2013-08-14 20:28:29.044458+02	\N	\N	\N	\N	\N	\N	f	
22185	4023f6be-fd8e-4250-8ad8-9c328291e634	Anton	Anton	3	0	2013-08-08 08:40:55.128649+02	\N	\N	\N	\N	\N	\N	f	
22650	a78d7e99-5a41-486c-9f53-fdc52d83b1ab	Brenna	Brenna	4	0	2013-08-13 23:29:21.935185+02	\N	\N	\N	\N	\N	\N	f	
22189	17a00e03-26ac-449a-9eca-a4d1ea165c84	Kountze	Kountze	3	0	2013-08-08 08:41:53.355183+02	\N	\N	\N	\N	\N	\N	f	
22482	427777ae-ed85-430d-b733-72008052890b	Vista	Vista	3	0	2013-08-11 05:38:57.358906+02	\N	\N	\N	\N	\N	\N	f	
22507	a20c768d-343d-4631-8d69-93b4e15202a3	Tehachapi	Tehachapi	3	0	2013-08-11 05:47:07.033802+02	\N	\N	\N	\N	\N	\N	f	
22591	b827951b-2a83-4378-b839-ce21c4660161	San Vincenzo La Costa	San Vincenzo La Costa	4	0	2013-08-13 14:34:35.471341+02	\N	\N	\N	\N	\N	\N	f	
22966	1632c32e-86ca-4755-a70b-5b091555e1a2	St. Clair, Michigan	St. Clair, Michigan	3	0	2013-08-20 17:21:31.234976+02	\N	\N	\N	\N	\N	\N	f	
22711	d131aeee-c71e-4418-911d-ad99a275131b	Adrara San Martino	Adrara San Martino	4	0	2013-08-14 11:38:14.775485+02	\N	\N	\N	\N	\N	\N	f	
22845	2a7c6d47-eea4-4029-b72d-c9aaf32d0e86	Bradenton, Florida	Bradenton, Florida	3	0	2013-08-20 05:29:53.482211+02	\N	\N	\N	\N	\N	\N	f	
22716	cf05571e-58e8-432a-a6d6-25dbf6ed688e	Canazei	Canazei	4	0	2013-08-14 17:25:49.561314+02	\N	\N	\N	\N	\N	\N	f	
22912	a5acdd7b-7af5-4ba0-adca-54413db17c37	Grant, Michigan	Grant, Michigan	3	0	2013-08-20 14:26:15.02374+02	\N	\N	\N	\N	\N	\N	f	
22854	a239ffeb-db7e-4375-adff-7240a212c513	Webster	Webster	3	0	2013-08-20 08:22:33.642376+02	\N	\N	\N	\N	\N	\N	f	
22890	6e773d8e-aa22-4f7c-884a-2141abf65099	Alpena	Alpena	3	0	2013-08-20 14:18:29.637355+02	\N	\N	\N	\N	\N	\N	f	
25128	06542c14-17ae-4f79-a661-2eaab21cb760	Central City	Central City	3	0	2013-09-07 10:17:38.014392+02	\N	\N	\N	\N	\N	\N	f	
24598	2e6d0f19-573b-4cba-bd5d-7a7b7c09a5d9	Fairbury	Fairbury	3	0	2013-09-07 07:49:14.509036+02	\N	\N	\N	\N	\N	\N	f	
25129	5354deea-116c-410c-aefc-c019ea14dfda	Lebanon	Lebanon	3	0	2013-09-07 10:17:51.151733+02	\N	\N	\N	\N	\N	\N	f	
25272	88d8e82a-8b4b-4ae0-a1c6-7834dade0501	Center Point	Center Point	3	0	2013-09-07 10:58:18.862515+02	\N	\N	\N	\N	\N	\N	f	
25279	cb65fefe-5276-4557-b633-3a20e4bdb809	Cushing	Cushing	3	0	2013-09-07 11:00:11.629072+02	\N	\N	\N	\N	\N	\N	f	
25304	2edbc127-9b0d-4ddc-9ac1-79bc21b89511	Bode	Bode	3	0	2013-09-07 11:06:56.74746+02	\N	\N	\N	\N	\N	\N	f	
25706	81292a0a-25b8-440e-a1ee-f3c0173cfcc9	Assaria, Kansas	Assaria, Kansas	3	0	2013-09-07 13:37:54.627995+02	\N	\N	\N	\N	\N	\N	f	
25723	fb0aee42-35c7-4591-bcb5-fb68bc26335c	Fairway, Kansas	Fairway, Kansas	3	0	2013-09-07 14:22:31.30552+02	\N	\N	\N	\N	\N	\N	f	
25730	26a25bfb-c9f2-404e-b2a5-bfaeb093948a	Williamstown, Kentucky	Williamstown, Kentucky	3	0	2013-09-07 14:24:19.180541+02	\N	\N	\N	\N	\N	\N	f	
10624	ac0ac511-6701-41a2-8a79-e4bec7c7bd93	Minamiechizen	Minamiechizen	3	0	2013-06-19 00:43:19.543659+02	\N	\N	\N	\N	\N	\N	f	
10639	c02cf124-85df-4eb3-b082-1683dad0cc8d	Miyaki	Miyaki	3	0	2013-06-19 00:46:11.188284+02	\N	\N	\N	\N	\N	\N	f	
13859	ba4f5f54-bdd3-4dc2-8291-75eff9de56db	Cigole	Cigole	4	0	2013-07-21 19:28:18.998201+02	\N	\N	\N	\N	\N	\N	f	
14000	dcfb5596-0237-4e6d-a262-2df55d085a7e	Torbole Casaglia	Torbole Casaglia	4	0	2013-07-21 20:01:13.078176+02	\N	\N	\N	\N	\N	\N	f	
14455	efe76ae7-084f-4c43-ad93-143b8fd17178	Olivola	Olivola	4	0	2013-07-21 21:41:27.405017+02	\N	\N	\N	\N	\N	\N	f	
15543	c8ae8958-1397-4f58-8b84-2bb129be1850	Recetto	Recetto	4	0	2013-07-22 01:08:42.148736+02	\N	\N	\N	\N	\N	\N	f	
14968	da5d0c3a-3d6a-4687-bd4f-a06a3891455e	Manta	Manta	4	0	2013-07-21 23:31:34.410344+02	\N	\N	\N	\N	\N	\N	f	
15549	3ca2541e-914f-4e1e-a655-9bf082a544dd	Vespolate	Vespolate	4	0	2013-07-22 01:10:10.364595+02	\N	\N	\N	\N	\N	\N	f	
17338	d26d963f-5bd7-4112-bf5a-b0d5a3f13f3a	Briosco	Briosco	4	0	2013-07-22 06:15:11.798179+02	\N	\N	\N	\N	\N	\N	f	
16253	ec1190a7-6609-4251-be05-cf254bccf432	Casacalenda	Casacalenda	4	0	2013-07-22 03:11:25.406572+02	\N	\N	\N	\N	\N	\N	f	
16338	5b69016b-0ad3-42f8-86a9-880f40e0d955	Trivento	Trivento	4	0	2013-07-22 03:21:32.707741+02	\N	\N	\N	\N	\N	\N	f	
22483	0c408198-5fb8-4178-af83-dbcc896b4c46	Pacifica	Pacifica	3	0	2013-08-11 05:39:11.130239+02	\N	\N	\N	\N	\N	\N	f	
16342	23fc7d5b-7a42-489f-ad83-0bb167192d2d	Castelpizzuto	Castelpizzuto	4	0	2013-07-22 03:22:04.229917+02	\N	\N	\N	\N	\N	\N	f	
17341	02759b20-79eb-4743-a8bc-ce64efaf8d4d	Candia Lomellina	Candia Lomellina	4	0	2013-07-22 06:15:38.657616+02	\N	\N	\N	\N	\N	\N	f	
16349	e3d05de0-a457-47ec-90d7-1fd578c40f09	Longano	Longano	4	0	2013-07-22 03:22:50.978709+02	\N	\N	\N	\N	\N	\N	f	
19704	4f4f0cb8-16fe-4391-b60d-0ffeb491542f	Pieve Santo Stefano	Pieve Santo Stefano	4	0	2013-07-22 11:24:31.267782+02	\N	\N	\N	\N	\N	\N	f	
16402	8d5a088c-cc4f-4062-b255-3939d13f1bc3	Goni	Goni	4	0	2013-07-22 03:29:35.235524+02	\N	\N	\N	\N	\N	\N	f	
16439	a3d9e646-d50d-4250-b1d5-eaeef9734563	San Basilio	San Basilio	4	0	2013-07-22 03:33:29.162386+02	\N	\N	\N	\N	\N	\N	f	
16456	86d01c5c-f341-4fc6-b313-b8671f8b4b69	Serri	Serri	4	0	2013-07-22 03:35:35.90849+02	\N	\N	\N	\N	\N	\N	f	
16463	39cd77c8-0978-43aa-9d07-904f6f93b423	Ussana	Ussana	4	0	2013-07-22 03:36:26.746447+02	\N	\N	\N	\N	\N	\N	f	
18309	77f8a48c-5f18-419b-9b2c-e6e91e5b5c7f	Credera Rubbiano	Credera Rubbiano	4	0	2013-07-22 08:12:30.256566+02	\N	\N	\N	\N	\N	\N	f	
16486	ae13534d-76ab-4af4-8819-7548b0104156	Gesturi	Gesturi	4	0	2013-07-22 03:39:33.955495+02	\N	\N	\N	\N	\N	\N	f	
16512	d5c664c1-9975-44f0-8549-914bbe6b201f	Giba, Sardinia	Giba, Sardinia	4	0	2013-07-22 03:42:19.972417+02	\N	\N	\N	\N	\N	\N	f	
22593	1effa553-dea7-44f9-91b1-8b44c8d25b16	Bianchi, Calabria	Bianchi, Calabria	4	0	2013-08-13 14:35:02.484965+02	\N	\N	\N	\N	\N	\N	f	
16980	159a99e8-50d6-457c-8bab-6a7b89389f51	Donnas	Donnas	4	0	2013-07-22 05:25:56.614985+02	\N	\N	\N	\N	\N	\N	f	
19104	dca46a6e-44c2-48f4-ab09-17f1c743f403	Castronovo di Sicilia	Castronovo di Sicilia	4	0	2013-07-22 09:52:56.089698+02	\N	\N	\N	\N	\N	\N	f	
17086	d0e5df71-a1ef-4542-9cce-e455fdf5d139	Tscherms	Tscherms	4	0	2013-07-22 05:41:49.763253+02	\N	\N	\N	\N	\N	\N	f	
17102	b8ddee15-7dad-426b-9dc3-e477f618436c	Karneid	Karneid	4	0	2013-07-22 05:43:55.167865+02	\N	\N	\N	\N	\N	\N	f	
20343	2018bb3d-04a0-42e5-9b6c-31e5c39c7b97	Castrolibero	Castrolibero	4	0	2013-07-22 23:34:09.79102+02	\N	\N	\N	\N	\N	\N	f	
19130	d6e56159-ca51-42ed-b582-6c5c4b2e8b11	Terrasini	Terrasini	4	0	2013-07-22 09:56:10.888468+02	\N	\N	\N	\N	\N	\N	f	
19161	8d52afbd-f7a0-4c8a-b966-e7bd39aada73	Sant'Angelo in Vado	Sant'Angelo in Vado	4	0	2013-07-22 10:00:34.724102+02	\N	\N	\N	\N	\N	\N	f	
19166	faade1e9-04e5-406f-bdb7-b82e12d39863	Cerda	Cerda	4	0	2013-07-22 10:01:18.047063+02	\N	\N	\N	\N	\N	\N	f	
20348	cddf18e6-82db-42a0-bdf5-451e7f22d1eb	Colosimi	Colosimi	4	0	2013-07-22 23:35:11.99733+02	\N	\N	\N	\N	\N	\N	f	
19190	508824ca-dd4f-40ac-8441-2f1cb68ad804	Borgetto	Borgetto	4	0	2013-07-22 10:04:05.415076+02	\N	\N	\N	\N	\N	\N	f	
19217	07f39846-4488-4b5c-b140-4d5988138599	Castel del Monte, Abruzzo	Castel del Monte, Abruzzo	4	0	2013-07-22 10:07:40.858654+02	\N	\N	\N	\N	\N	\N	f	
20446	0272a5d1-03ff-4f65-b0cc-52a1d67c70b5	San Marco Argentano	San Marco Argentano	4	0	2013-07-23 02:37:17.966876+02	\N	\N	\N	\N	\N	\N	f	
22621	0527e35b-de71-4c53-bc0b-5f68b33aae39	Pianoro	Pianoro	4	0	2013-08-13 17:40:30.751946+02	\N	\N	\N	\N	\N	\N	f	
20447	d2cca670-93eb-4e9b-91eb-ee1bedc63f1e	Santa Maria del Cedro	Santa Maria del Cedro	4	0	2013-07-23 02:37:30.292341+02	\N	\N	\N	\N	\N	\N	f	
22967	5c540b8f-8d6c-43c9-afb6-58078ecdfbed	Swartz Creek, Michigan	Swartz Creek, Michigan	3	0	2013-08-20 17:23:09.296607+02	\N	\N	\N	\N	\N	\N	f	
22651	dba938ff-8531-41ec-ac02-11f6c931f632	Caglio	Caglio	4	0	2013-08-13 23:29:47.148352+02	\N	\N	\N	\N	\N	\N	f	
22119	a831801c-86fb-4707-8100-6f53d79bd346	Highwood	Highwood	3	0	2013-08-07 17:35:23.15231+02	\N	\N	\N	\N	\N	\N	f	
22186	acf9700a-b432-4aa2-bb10-d1ab0e887815	Campbell	Campbell	3	0	2013-08-08 08:41:08.19171+02	\N	\N	\N	\N	\N	\N	f	
22243	548181c2-a6e2-4428-87ea-4e7dba3c2465	Taylor Landing	Taylor Landing	3	0	2013-08-08 14:41:26.133405+02	\N	\N	\N	\N	\N	\N	f	
22717	cc3328cb-8f59-4415-8175-5cd8c9bfe326	Frazzanò	Frazzanò	4	0	2013-08-14 17:26:15.959792+02	\N	\N	\N	\N	\N	\N	f	
22339	a4c093ef-331e-4800-90df-a162a7f28466	Paris	Paris	3	0	2013-08-10 17:38:37.520215+02	\N	\N	\N	\N	\N	\N	f	
22380	3c405907-f1eb-4034-83c8-facb0852f157	Westmorland, California	Westmorland, California	3	0	2013-08-11 02:29:17.697806+02	\N	\N	\N	\N	\N	\N	f	
26487	01890013-f5b7-4bbc-9610-0baf4878d6cf	Osceola, Nebraska	Osceola, Nebraska	3	0	2013-09-08 00:47:43.656957+02	\N	\N	\N	\N	\N	\N	f	
24599	3b91d286-f38b-4c96-9168-70552b5869ac	Atlanta	Atlanta	3	0	2013-09-07 07:49:27.698329+02	\N	\N	\N	\N	\N	\N	f	
22817	92aeaf44-c3bc-480d-9ead-7d15cc8365ca	Oliveri	Oliveri	4	0	2013-08-14 20:28:48.299377+02	\N	\N	\N	\N	\N	\N	f	
22846	1fba30e6-7d13-42ea-ae27-16c946f715d9	Bartow, Florida	Bartow, Florida	3	0	2013-08-20 05:32:24.535734+02	\N	\N	\N	\N	\N	\N	f	
25708	a74024c7-e17a-4370-9adf-aa5143400462	Park City, Kentucky	Park City, Kentucky	3	0	2013-09-07 13:38:23.82904+02	\N	\N	\N	\N	\N	\N	f	
22855	93fc207e-aced-4213-8bf4-9b7a84a756e0	Weeki Wachee	Weeki Wachee	3	0	2013-08-20 08:23:07.549086+02	\N	\N	\N	\N	\N	\N	f	
22891	b3060467-87f9-4a29-8f88-f0fde11e8da8	Grand Haven	Grand Haven	3	0	2013-08-20 14:18:57.418269+02	\N	\N	\N	\N	\N	\N	f	
25130	bc89db35-5930-4cb1-a4c1-34f5448df7c2	Marysville	Marysville	3	0	2013-09-07 10:18:14.165322+02	\N	\N	\N	\N	\N	\N	f	
26241	cbec0d8f-f6b1-448e-85ae-0e4391bd912e	Parkway Village	Parkway Village	3	0	2013-09-07 20:54:05.887925+02	\N	\N	\N	\N	\N	\N	f	
25299	cc4f3245-fd40-4fe2-96ac-f8275e9697d0	Conway	Conway	3	0	2013-09-07 11:05:35.858234+02	\N	\N	\N	\N	\N	\N	f	
25311	a20adbea-223f-4183-9bd2-9bc389cd9047	Stuart, Iowa	Stuart, Iowa	3	0	2013-09-07 11:08:52.894907+02	\N	\N	\N	\N	\N	\N	f	
25724	e21814fd-faa5-44ec-b846-cac7b5dee853	Trenton, Kentucky	Trenton, Kentucky	3	0	2013-09-07 14:22:45.874905+02	\N	\N	\N	\N	\N	\N	f	
26167	a81a02a9-f708-4a88-b61f-9253ca7f87e1	Udell, Iowa	Udell, Iowa	3	0	2013-09-07 20:34:51.764434+02	\N	\N	\N	\N	\N	\N	f	
26482	0b73099d-2dab-4f4b-8338-2d0809ddc1d0	Aberdeen, Idaho	Aberdeen, Idaho	3	0	2013-09-08 00:46:17.123806+02	\N	\N	\N	\N	\N	\N	f	
26849	a36261f5-fd99-4284-b61e-b2669f8e89fc	Walnut Grove	Walnut Grove	3	0	2013-09-08 03:10:11.986535+02	\N	\N	\N	\N	\N	\N	f	
26826	899c5a7a-d19f-4741-8f1e-c665f5e1ea74	Pasadena Hills	Pasadena Hills	3	0	2013-09-08 03:04:32.076235+02	\N	\N	\N	\N	\N	\N	f	
26873	7a4a30d1-9ff1-4331-af17-b496f6d0ac22	Stockton	Stockton	3	0	2013-09-08 03:16:06.199575+02	\N	\N	\N	\N	\N	\N	f	
27262	623a97bc-0a7d-4e76-b17a-9842b95264ec	Lilbourn	Lilbourn	3	0	2013-09-08 06:12:50.730066+02	\N	\N	\N	\N	\N	\N	f	
26875	7f8068a1-79d6-4d96-9d20-acaef7b809f6	Gothenburg	Gothenburg	3	0	2013-09-08 03:16:37.396066+02	\N	\N	\N	\N	\N	\N	f	
27586	648fab56-0748-4e04-9a85-69cd10ae4121	Riverside, Ohio	Riverside, Ohio	3	0	2013-09-08 08:49:19.879253+02	\N	\N	\N	\N	\N	\N	f	
28215	988c7b09-dcdb-481c-bd15-9499a47f2b13	Bishopville, South Carolina	Bishopville, South Carolina	3	0	2013-09-08 14:53:38.199984+02	\N	\N	\N	\N	\N	\N	f	
27946	4c1dc914-3dea-40d7-b642-6acb9f30af97	Winters	Winters	3	0	2013-09-08 11:44:05.042802+02	\N	\N	\N	\N	\N	\N	f	
28410	716d2f99-66ed-418c-a2a7-e920bb5b4682	Tullahoma	Tullahoma	3	0	2013-09-08 17:14:08.907947+02	\N	\N	\N	\N	\N	\N	f	
28650	7d5ef808-9c7b-4de6-bafd-39311372f400	Rochester	Rochester	3	0	2013-09-08 21:13:31.207548+02	\N	\N	\N	\N	\N	\N	f	
10626	fde44aec-d38a-4faa-915b-e76c6810649a	Shōnai	Shōnai	3	0	2013-06-19 00:43:42.06625+02	\N	\N	\N	\N	\N	\N	f	
10664	2326aa3b-dea4-40b5-9660-ca4d6626c29e	Inagi	Inagi	3	0	2013-06-19 01:02:06.980854+02	\N	\N	\N	\N	\N	\N	f	
13860	9cc3773a-da20-4d2d-a387-5fc3412cc565	Concesio	Concesio	4	0	2013-07-21 19:28:30.933834+02	\N	\N	\N	\N	\N	\N	f	
13910	f8a3bd25-2301-45cd-be67-aa773f20129d	Passirano	Passirano	4	0	2013-07-21 19:40:23.112233+02	\N	\N	\N	\N	\N	\N	f	
15544	d4b02ad8-f748-4b9b-882b-90f3a7a76202	Pogno	Pogno	4	0	2013-07-22 01:08:57.134362+02	\N	\N	\N	\N	\N	\N	f	
14456	9d2ff717-b9e1-4bae-a42d-813d442e85e4	Molare	Molare	4	0	2013-07-21 21:41:40.577753+02	\N	\N	\N	\N	\N	\N	f	
26828	066dedaf-cdb2-4092-b855-85390272b328	Pattonsburg	Pattonsburg	3	0	2013-09-08 03:05:01.719239+02	\N	\N	\N	\N	\N	\N	f	
15564	d20f2b16-0e71-4402-b388-ed78f706c265	Belgirate	Belgirate	4	0	2013-07-22 01:13:39.656663+02	\N	\N	\N	\N	\N	\N	f	
17339	8289df1b-5b3e-4191-9bfd-05365a1f86b8	Veddasca	Veddasca	4	0	2013-07-22 06:15:23.57825+02	\N	\N	\N	\N	\N	\N	f	
15591	e4b13bc0-53d4-4e8b-9795-34c7a1020dce	Castelsardo	Castelsardo	4	0	2013-07-22 01:19:16.003365+02	\N	\N	\N	\N	\N	\N	f	
16257	6aaa51a7-ac60-42c1-809a-ed146bb9e7c9	Campodipietra	Campodipietra	4	0	2013-07-22 03:11:53.958012+02	\N	\N	\N	\N	\N	\N	f	
22654	1511891d-ce80-489e-b093-98730905b909	Molise, Campobasso	Molise, Campobasso	4	0	2013-08-13 23:32:04.143026+02	\N	\N	\N	\N	\N	\N	f	
16983	37e396a8-b280-40e1-a711-5afe2b930f61	Issime	Issime	4	0	2013-07-22 05:26:41.997841+02	\N	\N	\N	\N	\N	\N	f	
25207	c041da32-3d7e-4d55-b845-a8b4e7f2b5a2	Hillsboro	Hillsboro	3	0	2013-09-07 10:39:57.450433+02	\N	\N	\N	\N	\N	\N	f	
19707	17ebc623-8803-4247-8dc6-1b9013303d2c	Cavriglia	Cavriglia	4	0	2013-07-22 11:25:20.567523+02	\N	\N	\N	\N	\N	\N	f	
17343	eb4154f8-a098-4c68-94de-eb515b8024d5	Barlassina	Barlassina	4	0	2013-07-22 06:15:52.982549+02	\N	\N	\N	\N	\N	\N	f	
18300	5020524d-0d53-4bc2-bb88-0245ec488667	Voltido	Voltido	4	0	2013-07-22 08:11:31.520329+02	\N	\N	\N	\N	\N	\N	f	
22718	aff4fd0b-5904-471c-a6ae-1679fa2b1dc5	San Pier Niceto	San Pier Niceto	4	0	2013-08-14 17:27:25.041544+02	\N	\N	\N	\N	\N	\N	f	
19107	73ab0ba3-b62f-4cfb-aab9-35e169abefa3	Solarino	Solarino	4	0	2013-07-22 09:53:14.092049+02	\N	\N	\N	\N	\N	\N	f	
19737	80afcf5d-1e1d-420f-9be6-d5264f669da1	Lainate	Lainate	4	0	2013-07-22 11:30:25.433169+02	\N	\N	\N	\N	\N	\N	f	
20345	61b6eb59-9a30-4c64-aa05-e714eb1037bc	Caloveto	Caloveto	4	0	2013-07-22 23:34:36.050382+02	\N	\N	\N	\N	\N	\N	f	
22721	515f2437-5b62-4f95-ac84-82aedf41c56a	Motta Camastra	Motta Camastra	4	0	2013-08-14 17:28:47.155913+02	\N	\N	\N	\N	\N	\N	f	
20347	053c4abe-9509-4d76-a8bd-c6da47e43171	Cerisano	Cerisano	4	0	2013-07-22 23:34:59.950954+02	\N	\N	\N	\N	\N	\N	f	
20449	900d631c-4d06-46d6-a64f-5b0b1c13692f	Sant'Agata di Esaro	Sant'Agata di Esaro	4	0	2013-07-23 02:37:55.251016+02	\N	\N	\N	\N	\N	\N	f	
22818	35857fb2-b26d-413d-ae0e-04e884827a57	Piraino	Piraino	4	0	2013-08-14 20:29:04.705422+02	\N	\N	\N	\N	\N	\N	f	
25232	133e934e-5f7c-43c2-8a5b-54c6aded3df8	Granville	Granville	3	0	2013-09-07 10:47:29.7268+02	\N	\N	\N	\N	\N	\N	f	
22847	2f85e0b3-26ec-4356-906c-3067b78d0e5c	Boynton Beach, Florida	Boynton Beach, Florida	3	0	2013-08-20 05:33:12.791872+02	\N	\N	\N	\N	\N	\N	f	
22120	7c7d19ef-1878-4e64-8e8c-c0557d7b4769	Oak Forest	Oak Forest	3	0	2013-08-07 17:35:40.391948+02	\N	\N	\N	\N	\N	\N	f	
22187	8de91dc6-5b53-4a3e-b467-18ff906758e3	Cashion Community	Cashion Community	3	0	2013-08-08 08:41:22.540731+02	\N	\N	\N	\N	\N	\N	f	
22245	1fa15074-3de1-4c6d-b409-8dc903f271a5	Farmers Branch	Farmers Branch	3	0	2013-08-08 14:42:00.665363+02	\N	\N	\N	\N	\N	\N	f	
22856	c54d8a59-a974-4c2b-8961-340bcce928f1	Mascotte	Mascotte	3	0	2013-08-20 08:23:28.104745+02	\N	\N	\N	\N	\N	\N	f	
22340	c66f10a6-2119-4997-89f0-f5441758d0ef	Fordyce	Fordyce	3	0	2013-08-10 17:38:57.524533+02	\N	\N	\N	\N	\N	\N	f	
22381	ab2720c8-8611-4cdb-a364-7a7387f6fe37	Guadalupe	Guadalupe	3	0	2013-08-11 02:30:08.821336+02	\N	\N	\N	\N	\N	\N	f	
28221	94509cee-ed8f-462e-81b6-9bf0b157c8d9	Johnsonville, South Carolina	Johnsonville, South Carolina	3	0	2013-09-08 14:55:59.152834+02	\N	\N	\N	\N	\N	\N	f	
22484	92a86306-f8d3-48a6-afe3-1fd5cef559b9	Cloverdale, California	Cloverdale, California	3	0	2013-08-11 05:39:25.014808+02	\N	\N	\N	\N	\N	\N	f	
22892	941ffd0c-fb64-48b3-891a-6ccd873985c6	Madison Heights	Madison Heights	3	0	2013-08-20 14:19:15.080289+02	\N	\N	\N	\N	\N	\N	f	
22485	d70fa2b8-73f9-42ff-a2fb-157b9568ce99	Pleasant Hill	Pleasant Hill	3	0	2013-08-11 05:39:54.482183+02	\N	\N	\N	\N	\N	\N	f	
22594	7a03fc0a-f27e-4793-ad6b-b74b434a2a5f	Trenta, Calabria	Trenta, Calabria	4	0	2013-08-13 14:35:15.901674+02	\N	\N	\N	\N	\N	\N	f	
25711	f2182c3d-7075-462a-94d9-32f751fcea70	Zurich, Kansas	Zurich, Kansas	3	0	2013-09-07 13:39:06.985823+02	\N	\N	\N	\N	\N	\N	f	
22622	9b6969ca-3bbc-4d82-b294-cb08f737147d	Medicina	Medicina	4	0	2013-08-13 17:40:54.316975+02	\N	\N	\N	\N	\N	\N	f	
22905	37e5b024-bf4d-4812-8691-991661fd5702	Gibraltar, Michigan	Gibraltar, Michigan	3	0	2013-08-20 14:23:25.139651+02	\N	\N	\N	\N	\N	\N	f	
22652	339378cb-59ea-47d5-95f4-a860003d8039	Mafalda, Molise	Mafalda, Molise	4	0	2013-08-13 23:31:30.327514+02	\N	\N	\N	\N	\N	\N	f	
22968	ef70ec87-432a-4f4a-9d8f-7504e7c3317f	Yale, Michigan	Yale, Michigan	3	0	2013-08-20 17:24:25.775017+02	\N	\N	\N	\N	\N	\N	f	
26846	a788726a-46a0-49e5-8adc-893498f6144a	Carrollton	Carrollton	3	0	2013-09-08 03:09:27.396477+02	\N	\N	\N	\N	\N	\N	f	
24601	bbf08035-b33f-4c0c-9f07-eac6af64c481	Murphysboro	Murphysboro	3	0	2013-09-07 07:49:54.338878+02	\N	\N	\N	\N	\N	\N	f	
25725	d96e7cc5-005c-4d00-9479-891ac11695e2	Moorland, Kentucky	Moorland, Kentucky	3	0	2013-09-07 14:23:00.873137+02	\N	\N	\N	\N	\N	\N	f	
25132	80cecd08-e253-40f4-9f4c-4d9555e83c32	Smith Center	Smith Center	3	0	2013-09-07 10:18:40.798049+02	\N	\N	\N	\N	\N	\N	f	
25186	34e65298-8fb6-49f1-a96c-73fd6db297ec	Hawkeye	Hawkeye	3	0	2013-09-07 10:33:59.219621+02	\N	\N	\N	\N	\N	\N	f	
26170	7339d8f1-f946-4317-b70b-ee586156644c	Hill City, Kansas	Hill City, Kansas	3	0	2013-09-07 20:35:43.388173+02	\N	\N	\N	\N	\N	\N	f	
27964	323ef3a5-0586-40a2-8464-5ad9b1e92b36	Wooster	Wooster	3	0	2013-09-08 11:48:53.730405+02	\N	\N	\N	\N	\N	\N	f	
26483	9f18c24d-d591-4d01-9a6c-bba14603db6d	Delaware	Delaware	3	0	2013-09-08 00:46:31.152649+02	\N	\N	\N	\N	\N	\N	f	
26868	e3eb8751-7866-4207-ab02-4a2feae51a9c	Conrad	Conrad	3	0	2013-09-08 03:14:55.289737+02	\N	\N	\N	\N	\N	\N	f	
26516	eaec772f-f64d-46b6-b619-eab6e3f111b1	Mapleton, Iowa	Mapleton, Iowa	3	0	2013-09-08 00:55:26.389111+02	\N	\N	\N	\N	\N	\N	f	
26524	71aafcf0-bb3e-42e8-a679-ab754f4c4341	Deloit, Iowa	Deloit, Iowa	3	0	2013-09-08 00:57:35.866985+02	\N	\N	\N	\N	\N	\N	f	
27263	1b5be6ce-e40f-47ee-b1a8-60e286ff11ea	Purdy	Purdy	3	0	2013-09-08 06:13:06.284837+02	\N	\N	\N	\N	\N	\N	f	
28051	f759db76-5755-4ce3-a377-5b8fef132dfc	Baykalsk	Baykalsk	3	0	2013-09-08 12:15:29.834589+02	\N	\N	\N	\N	\N	\N	f	
27587	42b9681f-6cab-417f-a190-a40f7cbbbc89	Troy, Ohio	Troy, Ohio	3	0	2013-09-08 08:49:47.522347+02	\N	\N	\N	\N	\N	\N	f	
27950	2bb704c5-5fe7-4974-a96a-b7b766cfbe6d	Osage	Osage	3	0	2013-09-08 11:45:12.79391+02	\N	\N	\N	\N	\N	\N	f	
28217	874c81f5-7fb6-44c1-af09-651fcf06373d	Chester, South Carolina	Chester, South Carolina	3	0	2013-09-08 14:54:12.360704+02	\N	\N	\N	\N	\N	\N	f	
29156	a9bbaf6f-b4de-44f0-bd97-e73d14b5ef9f	Venus	Venus	3	0	2013-09-09 02:51:25.073925+02	\N	\N	\N	\N	\N	\N	f	
28413	bcb35f1d-6a1f-4383-a384-b196b95e2339	Hendersonville	Hendersonville	3	0	2013-09-08 17:14:59.891852+02	\N	\N	\N	\N	\N	\N	f	
28652	fa5d0441-3fe5-4bef-89b4-70827e90a0aa	Elmendorf	Elmendorf	3	0	2013-09-08 21:14:07.075836+02	\N	\N	\N	\N	\N	\N	f	
28881	0f25e85d-89cb-4710-bbd4-5d4e8d4aa561	DuPont	DuPont	3	0	2013-09-09 01:08:29.094702+02	\N	\N	\N	\N	\N	\N	f	
29137	c15a9650-7a74-4594-a451-2e7342ee1e45	Converse	Converse	3	0	2013-09-09 02:45:26.371965+02	\N	\N	\N	\N	\N	\N	f	
29178	e5442914-0e2a-40f5-86d2-e21be16b46bd	Earth	Earth	3	0	2013-09-09 02:57:57.282887+02	\N	\N	\N	\N	\N	\N	f	
29185	7153fc75-5ec4-4cd0-92ed-8b49191309ac	Crane	Crane	3	0	2013-09-09 02:59:58.03131+02	\N	\N	\N	\N	\N	\N	f	
29303	76860f6a-b619-41f8-87c1-6a918296cfc0	Glendale	Glendale	3	0	2013-09-09 05:22:03.735971+02	\N	\N	\N	\N	\N	\N	f	
29400	38c66b9f-bec0-4a99-bc1c-1dc8076bab1d	Gwolu	Gwolu	3	0	2013-09-09 08:41:16.01992+02	\N	\N	\N	\N	\N	\N	f	
29409	a5547946-d00b-4f8e-8097-10e77ddafe10	Gisborne, New Zealand	Gisborne, New Zealand	3	0	2013-09-10 05:22:24.46252+02	\N	\N	\N	\N	\N	\N	f	
29414	e183b286-935b-4228-9567-ff9c939b3053	Benoni	Benoni	3	0	2013-09-10 08:26:31.331869+02	\N	\N	\N	\N	\N	\N	f	
29417	a6cabf1f-8a9c-419f-95f2-5a91e233f6d7	Gundelsheim	Gundelsheim	3	0	2013-09-10 20:25:06.013938+02	\N	\N	\N	\N	\N	\N	f	
10627	2c25b38e-903d-4e16-bb13-f1a4b335be3f	Nakanoto	Nakanoto	3	0	2013-06-19 00:43:58.514624+02	\N	\N	\N	\N	\N	\N	f	
10628	e2324649-a69b-4428-9f38-b572d48e5c4d	Kimotsuki	Kimotsuki	3	0	2013-06-19 00:44:08.998558+02	\N	\N	\N	\N	\N	\N	f	
10629	f2535b49-79d8-4acd-afdb-9b679beb59fe	Shōdoshima	Shōdoshima	3	0	2013-06-19 00:44:19.389414+02	\N	\N	\N	\N	\N	\N	f	
10630	477ff3b6-6c47-4f36-a75e-a98548863e79	Fudai	Fudai	3	0	2013-06-19 00:44:32.031545+02	\N	\N	\N	\N	\N	\N	f	
14457	943153b8-1786-41d9-af86-b1f47c420e2e	Molino dei Torti	Molino dei Torti	4	0	2013-07-21 21:41:52.648842+02	\N	\N	\N	\N	\N	\N	f	
10632	abfaf9ba-5659-455d-9c5e-bb7e70af2d2c	Wakasa	Wakasa	3	0	2013-06-19 00:44:52.819726+02	\N	\N	\N	\N	\N	\N	f	
14459	69ff94a1-b307-4b5c-83c5-c8ce395bc8f6	Marta, Lazio	Marta, Lazio	4	0	2013-07-21 21:42:17.399296+02	\N	\N	\N	\N	\N	\N	f	
15545	e91236e3-c204-4cd4-bcb0-2308fc18c495	Soriso	Soriso	4	0	2013-07-22 01:09:09.279943+02	\N	\N	\N	\N	\N	\N	f	
14970	c93ddd37-8fa1-49a0-949a-184b977538e2	Guarene	Guarene	4	0	2013-07-21 23:31:48.703836+02	\N	\N	\N	\N	\N	\N	f	
15597	afc7a920-5cc7-4e6b-b898-ddc8c3c90700	Germagno	Germagno	4	0	2013-07-22 01:20:38.990413+02	\N	\N	\N	\N	\N	\N	f	
17344	4b80c70e-bb99-48b3-b7bf-578de72d3a1f	Misinto	Misinto	4	0	2013-07-22 06:15:59.819962+02	\N	\N	\N	\N	\N	\N	f	
16260	15ab5d7b-b6e8-4e07-aa38-ee5cb696b159	Colletorto	Colletorto	4	0	2013-07-22 03:12:09.125287+02	\N	\N	\N	\N	\N	\N	f	
16268	1c78916f-9662-4e18-ad2a-05008b5b6a12	Duronia	Duronia	4	0	2013-07-22 03:13:12.015183+02	\N	\N	\N	\N	\N	\N	f	
16280	ccd8c68d-ae2d-4120-ae23-a71e69f2abb5	Colle d'Anchise	Colle d'Anchise	4	0	2013-07-22 03:14:32.030269+02	\N	\N	\N	\N	\N	\N	f	
17401	88302162-ed5f-45e9-af94-3b0626c8e19b	Concorezzo	Concorezzo	4	0	2013-07-22 06:22:53.785872+02	\N	\N	\N	\N	\N	\N	f	
16309	8f9ebc5d-b069-4a06-90f5-422a06d58d6a	San Martino in Pensilis	San Martino in Pensilis	4	0	2013-07-22 03:18:18.207047+02	\N	\N	\N	\N	\N	\N	f	
16435	9ed32ee8-d881-4762-b508-42f25a5e3af1	San Nicolò Gerrei	San Nicolò Gerrei	4	0	2013-07-22 03:33:01.131083+02	\N	\N	\N	\N	\N	\N	f	
19708	6f791825-bc35-494c-8589-13ae311eea67	Foiano della Chiana	Foiano della Chiana	4	0	2013-07-22 11:25:34.341417+02	\N	\N	\N	\N	\N	\N	f	
16477	63d92ae0-a448-4cba-8248-28c8f57e7d15	Nuxis	Nuxis	4	0	2013-07-22 03:38:35.587423+02	\N	\N	\N	\N	\N	\N	f	
18301	594ff932-edbe-4445-a7c0-69086e76bc46	Cisliano	Cisliano	4	0	2013-07-22 08:11:38.75463+02	\N	\N	\N	\N	\N	\N	f	
22246	a4db7daf-43b9-4083-963a-614d5bf8539f	Quinlan	Quinlan	3	0	2013-08-08 14:42:18.744254+02	\N	\N	\N	\N	\N	\N	f	
16585	b39e9bd2-45e1-481a-a43e-2ac7df3d6fc8	Irgoli	Irgoli	4	0	2013-07-22 03:51:27.567221+02	\N	\N	\N	\N	\N	\N	f	
16988	3c079a6d-c799-4149-b628-f98e5c432737	Fontainemore	Fontainemore	4	0	2013-07-22 05:28:15.720704+02	\N	\N	\N	\N	\N	\N	f	
18305	7639c542-c3b9-4e82-bf94-edd722ffbb55	Casaletto di Sopra	Casaletto di Sopra	4	0	2013-07-22 08:12:04.08893+02	\N	\N	\N	\N	\N	\N	f	
18324	f403b9f0-964f-4a6e-b37a-f58e077ece08	Paderno Ponchielli	Paderno Ponchielli	4	0	2013-07-22 08:14:13.132007+02	\N	\N	\N	\N	\N	\N	f	
19803	9c2b89c6-d43d-40f0-8a90-2e12fed599f9	Gorgonzola	Gorgonzola	4	0	2013-07-22 11:38:00.418048+02	\N	\N	\N	\N	\N	\N	f	
18332	9185a8c6-e74c-41af-a5d5-4d790c6529e3	Spinadesco	Spinadesco	4	0	2013-07-22 08:15:31.799124+02	\N	\N	\N	\N	\N	\N	f	
19112	db4edfb9-3c11-4613-9324-4707ea819cd2	Canicattini Bagni	Canicattini Bagni	4	0	2013-07-22 09:53:49.520553+02	\N	\N	\N	\N	\N	\N	f	
22653	e5fe5f42-015e-40c4-b522-41a3ec97e0dc	Matrice	Matrice	4	0	2013-08-13 23:31:46.151091+02	\N	\N	\N	\N	\N	\N	f	
19262	ab093170-7a5b-4e8c-afc2-1ca227331f1d	Navelli	Navelli	4	0	2013-07-22 10:13:14.508797+02	\N	\N	\N	\N	\N	\N	f	
19959	a4276804-aec2-4abd-a39a-415e96f6eda3	Ruoti	Ruoti	4	0	2013-07-22 12:00:08.94987+02	\N	\N	\N	\N	\N	\N	f	
19285	3dbbbcc0-773b-4a80-8559-2b99a356b0bf	Villavallelonga	Villavallelonga	4	0	2013-07-22 10:16:10.621311+02	\N	\N	\N	\N	\N	\N	f	
19352	f568a161-f929-465d-a91a-bde76d542562	Fraine	Fraine	4	0	2013-07-22 10:24:23.734188+02	\N	\N	\N	\N	\N	\N	f	
22341	ed148f55-3281-4792-86ba-9e0fb8937699	Ashdown	Ashdown	3	0	2013-08-10 17:39:10.473029+02	\N	\N	\N	\N	\N	\N	f	
19375	b3a7418d-fcc5-4ddd-9655-cc5f53b979cd	Atessa	Atessa	4	0	2013-07-22 10:27:18.553471+02	\N	\N	\N	\N	\N	\N	f	
20346	77dbeefd-3541-4998-b859-9b8117bd030e	Guardia Piemontese	Guardia Piemontese	4	0	2013-07-22 23:34:48.069546+02	\N	\N	\N	\N	\N	\N	f	
19376	4342f1c9-cf47-4cbc-a498-c6f26f516d90	Francavilla al Mare	Francavilla al Mare	4	0	2013-07-22 10:27:29.749334+02	\N	\N	\N	\N	\N	\N	f	
19505	e23da291-22ba-40dd-95da-3b6585952e38	Cortino	Cortino	4	0	2013-07-22 10:43:23.428841+02	\N	\N	\N	\N	\N	\N	f	
19510	4eaa932d-a93e-4e98-a513-5cc416ce1266	Isola del Gran Sasso d'Italia	Isola del Gran Sasso d'Italia	4	0	2013-07-22 10:44:01.792583+02	\N	\N	\N	\N	\N	\N	f	
20372	097d71b7-8f30-4004-9cfa-254520627c47	Paludi	Paludi	4	0	2013-07-22 23:40:16.804309+02	\N	\N	\N	\N	\N	\N	f	
19519	03cc4843-42c8-4921-9b80-691fcd8f796a	Canzano	Canzano	4	0	2013-07-22 10:45:06.352741+02	\N	\N	\N	\N	\N	\N	f	
20450	11b50dd7-a214-498e-8fe0-f1c3a2c6b993	San Giorgio Albanese	San Giorgio Albanese	4	0	2013-07-23 02:38:08.346569+02	\N	\N	\N	\N	\N	\N	f	
22382	7815f602-44b1-4b00-85da-9379ea47b793	Rio Dell, California	Rio Dell, California	3	0	2013-08-11 02:31:03.0833+02	\N	\N	\N	\N	\N	\N	f	
22121	0e307d37-a5db-4385-be86-c26739408e79	Carterville	Carterville	3	0	2013-08-07 17:35:52.998527+02	\N	\N	\N	\N	\N	\N	f	
22973	9bd2217b-5a8e-4ee1-b5da-292c7cf4ed04	Ambler, Alaska	Ambler, Alaska	3	0	2013-08-20 20:28:34.465424+02	\N	\N	\N	\N	\N	\N	f	
22134	04e6413a-d6a5-4524-a602-c5213e9d0bf7	Atlantic, Iowa	Atlantic, Iowa	3	0	2013-08-07 17:40:15.196565+02	\N	\N	\N	\N	\N	\N	f	
22384	6e42c1db-8114-4883-971b-0696ec4ebfaa	Orland, California	Orland, California	3	0	2013-08-11 02:32:00.464632+02	\N	\N	\N	\N	\N	\N	f	
22188	4ba0eb60-21ed-4332-a350-0d3c5719fbb3	Carthage	Carthage	3	0	2013-08-08 08:41:39.790401+02	\N	\N	\N	\N	\N	\N	f	
22195	16bc9a3f-49a7-467c-8585-4f8fa8d4849d	Cibolo	Cibolo	3	0	2013-08-08 08:43:31.212824+02	\N	\N	\N	\N	\N	\N	f	
22719	43058744-3cbb-4a78-a913-db835991aa47	Pinzolo	Pinzolo	4	0	2013-08-14 17:27:52.657285+02	\N	\N	\N	\N	\N	\N	f	
22488	097e477d-ec3b-4ec7-aea3-33a6f82404a5	La Habra	La Habra	3	0	2013-08-11 05:40:36.254833+02	\N	\N	\N	\N	\N	\N	f	
22595	33d28cdb-a5b3-4868-a52c-f583ef38ea23	Paola, Calabria	Paola, Calabria	4	0	2013-08-13 14:35:29.421222+02	\N	\N	\N	\N	\N	\N	f	
22893	4aeabafc-18ef-41c4-998b-603e1f339b8a	Rochester	Rochester	3	0	2013-08-20 14:19:29.993914+02	\N	\N	\N	\N	\N	\N	f	
22623	7f8306b2-717c-46a6-8e8d-69a5dcbdd4b3	Mirabello, Emilia–Romagna	Mirabello, Emilia–Romagna	4	0	2013-08-13 17:41:21.037388+02	\N	\N	\N	\N	\N	\N	f	
22819	55bce5ce-2a1a-4d0e-9a63-b4e30202df2c	Francavilla di Sicilia	Francavilla di Sicilia	4	0	2013-08-14 20:29:20.521689+02	\N	\N	\N	\N	\N	\N	f	
22848	66c1daed-833a-41af-b9d1-e843870d8cb6	Rupert	Rupert	3	0	2013-08-20 05:35:56.202772+02	\N	\N	\N	\N	\N	\N	f	
22857	011b8769-a90c-4edc-bee4-006ad8e4d9c7	Frostproof	Frostproof	3	0	2013-08-20 08:23:43.62416+02	\N	\N	\N	\N	\N	\N	f	
23016	59460712-e90e-47c2-862c-c1d53ad522b0	Wainwright	Wainwright	3	0	2013-08-20 23:38:32.343371+02	\N	\N	\N	\N	\N	\N	f	
22969	601b010c-2a7d-4dd2-bb30-18962cb06278	Springfield, Michigan	Springfield, Michigan	3	0	2013-08-20 17:24:50.888475+02	\N	\N	\N	\N	\N	\N	f	
22985	a25cc95c-c989-4058-aaea-da0295943732	Eagle	Eagle	3	0	2013-08-20 23:17:42.145261+02	\N	\N	\N	\N	\N	\N	f	
23033	915df367-1c20-4af8-a91c-1c781f48ecaf	Nacogdoches	Nacogdoches	3	0	2013-08-21 11:32:43.616395+02	\N	\N	\N	\N	\N	\N	f	
23018	68fdd9a7-823a-4658-84ee-fc6876652e7f	Lakin	Lakin	3	0	2013-08-21 08:17:10.853186+02	\N	\N	\N	\N	\N	\N	f	
653	afff1a94-a98b-4322-8874-3148139ab6da	Wien	Wien	3	0	2013-08-21 16:37:06.867168+02	\N	\N	\N	\N	\N	\N	f	
23034	cd57f85e-7279-4730-ab81-57fb5243a337	Uster	Uster	3	0	2013-08-21 14:28:55.696739+02	\N	\N	\N	\N	\N	\N	f	
23038	ee820a28-8756-4ec4-bb4a-75d4b9685382	Waveland	Waveland	3	0	2013-08-22 02:17:04.668645+02	\N	\N	\N	\N	\N	\N	f	
23062	8a42d2ac-8a3a-46e4-b50f-eae40b7e9633	Bloomington	Bloomington	3	0	2013-08-22 02:34:07.102721+02	\N	\N	\N	\N	\N	\N	f	
23109	8dc7f8eb-c471-4f4a-8a28-bcc22fb05fb4	Millerville	Millerville	3	0	2013-08-22 05:17:12.789391+02	\N	\N	\N	\N	\N	\N	f	
24602	0d37548b-9065-48e3-9418-fae39e4246c0	Maroa	Maroa	3	0	2013-09-07 07:50:07.819077+02	\N	\N	\N	\N	\N	\N	f	
24703	500d50a2-b153-42c2-a9b3-0c3e886f9f1b	Hickory Hills	Hickory Hills	3	0	2013-09-07 08:14:24.722267+02	\N	\N	\N	\N	\N	\N	f	
24734	320d1f2c-8d81-4cab-b172-3bd90f403399	Eagle Grove	Eagle Grove	3	0	2013-09-07 08:20:17.168342+02	\N	\N	\N	\N	\N	\N	f	
10631	2de9ac40-8eff-4921-933c-1d85a92fb541	Kumakōgen	Kumakōgen	3	0	2013-06-19 00:44:42.486051+02	\N	\N	\N	\N	\N	\N	f	
10633	3e812201-ff6f-4a63-9cb1-4f04c4860964	Kihoku	Kihoku	3	0	2013-06-19 00:45:03.215735+02	\N	\N	\N	\N	\N	\N	f	
13864	fe5f08f2-e9a4-478d-aeff-2f04afb572ad	Manerba del Garda	Manerba del Garda	4	0	2013-07-21 19:29:39.954563+02	\N	\N	\N	\N	\N	\N	f	
10634	17dcdb7e-98ec-4068-b121-8a39a4978c66	Kamijima	Kamijima	3	0	2013-06-19 00:45:13.521987+02	\N	\N	\N	\N	\N	\N	f	
10635	4c824a10-33f6-4171-ace0-9e582f03e20e	Saza	Saza	3	0	2013-06-19 00:45:23.727469+02	\N	\N	\N	\N	\N	\N	f	
14458	718b94e3-e7c2-4308-8c88-9500c14dacc6	Odalengo Grande	Odalengo Grande	4	0	2013-07-21 21:42:05.292322+02	\N	\N	\N	\N	\N	\N	f	
15546	daa1f433-5a0b-468a-85f3-88b0e041fc10	Vinzaglio	Vinzaglio	4	0	2013-07-22 01:09:21.401576+02	\N	\N	\N	\N	\N	\N	f	
15577	d4ca8e46-3cb9-4184-a1ac-25e611bb17bf	Casale Corte Cerro	Casale Corte Cerro	4	0	2013-07-22 01:16:13.943376+02	\N	\N	\N	\N	\N	\N	f	
17346	8efec3d6-d321-4cbc-94ad-8ea19dac424e	Cergnago	Cergnago	4	0	2013-07-22 06:16:14.996297+02	\N	\N	\N	\N	\N	\N	f	
15620	ea681d30-e21d-47c9-9dfb-3d587d8e10f0	Stresa	Stresa	4	0	2013-07-22 01:26:06.180659+02	\N	\N	\N	\N	\N	\N	f	
16264	4b76e40c-8a82-4534-9b20-e86450d36efb	Castellino del Biferno	Castellino del Biferno	4	0	2013-07-22 03:12:46.117499+02	\N	\N	\N	\N	\N	\N	f	
22385	efe215bb-b3b9-4166-b4ad-5992aba78621	Williams, California	Williams, California	3	0	2013-08-11 02:32:17.896588+02	\N	\N	\N	\N	\N	\N	f	
16329	54989f82-fccd-4282-b61c-65892f4fdbf6	Acquaviva d'Isernia	Acquaviva d'Isernia	4	0	2013-07-22 03:20:29.926062+02	\N	\N	\N	\N	\N	\N	f	
17442	f823a138-c308-414d-99e1-4a9cb902f025	Ceranova	Ceranova	4	0	2013-07-22 06:28:12.838926+02	\N	\N	\N	\N	\N	\N	f	
16991	8a47d609-2818-4e83-8793-10a230fa7a0b	Cogne	Cogne	4	0	2013-07-22 05:29:04.484707+02	\N	\N	\N	\N	\N	\N	f	
19709	d171144f-e737-416a-9d1b-501a0c301134	Caprese Michelangelo	Caprese Michelangelo	4	0	2013-07-22 11:25:49.863827+02	\N	\N	\N	\N	\N	\N	f	
17548	0f58d5e2-c35d-4f30-a457-df0930ee9880	Vedano Olona	Vedano Olona	4	0	2013-07-22 06:40:42.899397+02	\N	\N	\N	\N	\N	\N	f	
24603	aac55b11-cec5-4102-abb8-65af64eb3c81	Creal Springs	Creal Springs	3	0	2013-09-07 07:50:21.889164+02	\N	\N	\N	\N	\N	\N	f	
17555	50a9a0d4-d994-4927-82d7-ce4ef98505d3	Castronno	Castronno	4	0	2013-07-22 06:41:49.721441+02	\N	\N	\N	\N	\N	\N	f	
19721	001ecbfe-1b75-410d-ac72-2897c49778b6	Locate di Triulzi	Locate di Triulzi	4	0	2013-07-22 11:28:45.967833+02	\N	\N	\N	\N	\N	\N	f	
18304	35326c23-e390-45bf-b0b4-0cec76bcca24	Arese	Arese	4	0	2013-07-22 08:11:58.772088+02	\N	\N	\N	\N	\N	\N	f	
19118	75407165-1cbc-4a7d-91e7-76a09dabd1ef	Contessa Entellina	Contessa Entellina	4	0	2013-07-22 09:54:35.572793+02	\N	\N	\N	\N	\N	\N	f	
22420	9ea341c6-ce28-4d7c-a447-73ed42554db4	Desert Hot Springs, California	Desert Hot Springs, California	3	0	2013-08-11 02:45:27.262824+02	\N	\N	\N	\N	\N	\N	f	
19157	ddb606fb-eb2b-4c9a-b2ac-536a723d323f	Schluderns	Schluderns	4	0	2013-07-22 10:00:08.394472+02	\N	\N	\N	\N	\N	\N	f	
20349	2d488eed-fe90-4c8c-af76-a1d3ba2d628d	Francavilla Marittima	Francavilla Marittima	4	0	2013-07-22 23:35:23.814007+02	\N	\N	\N	\N	\N	\N	f	
19222	26f65a34-84b7-4fc5-8044-a149fe415c01	Cocullo	Cocullo	4	0	2013-07-22 10:08:15.148091+02	\N	\N	\N	\N	\N	\N	f	
19348	ebe4d081-1b3a-48f7-8324-ff5f8f70fcf2	Taufers im Münstertal	Taufers im Münstertal	4	0	2013-07-22 10:23:40.870096+02	\N	\N	\N	\N	\N	\N	f	
19392	a7273a49-adee-4e78-b52e-5d811a053905	Colledimezzo	Colledimezzo	4	0	2013-07-22 10:29:17.372821+02	\N	\N	\N	\N	\N	\N	f	
20395	9f386d7c-6e4d-4c3e-89db-86668086b704	Rocca Imperiale	Rocca Imperiale	4	0	2013-07-22 23:45:54.141071+02	\N	\N	\N	\N	\N	\N	f	
19393	65021e0d-05e3-44b6-a24e-8c62c5257683	Colledimacine	Colledimacine	4	0	2013-07-22 10:29:18.723722+02	\N	\N	\N	\N	\N	\N	f	
22820	83609493-cc8f-4640-9b42-9170a227140c	Pace del Mela	Pace del Mela	4	0	2013-08-14 20:29:36.0972+02	\N	\N	\N	\N	\N	\N	f	
20454	066347e2-f5b7-4c91-8d36-d977c4685815	Belvedere di Spinello	Belvedere di Spinello	4	0	2013-07-23 02:39:05.239666+02	\N	\N	\N	\N	\N	\N	f	
22490	8ab8194e-1406-44bf-9e78-42e047056198	Tracy	Tracy	3	0	2013-08-11 05:41:11.674592+02	\N	\N	\N	\N	\N	\N	f	
20462	085e1ee5-94f4-4490-bb2b-04fa2afd4786	Cerenzia	Cerenzia	4	0	2013-07-23 02:40:39.95518+02	\N	\N	\N	\N	\N	\N	f	
20475	cac52c08-8677-4703-9d61-e9c95b8712e1	Delianuova	Delianuova	4	0	2013-07-23 02:43:44.277333+02	\N	\N	\N	\N	\N	\N	f	
20485	b865bcf9-6db5-4417-bcb1-abe19d9e7e29	Camini	Camini	4	0	2013-07-23 02:46:29.783202+02	\N	\N	\N	\N	\N	\N	f	
22520	d855a58f-4a80-4254-9ca6-3b94e82c69bc	San Juan Bautista	San Juan Bautista	3	0	2013-08-11 05:50:32.929905+02	\N	\N	\N	\N	\N	\N	f	
22970	29782d19-3bab-4a60-a776-b658829b549b	St. Louis	St. Louis	3	0	2013-08-20 17:27:40.639037+02	\N	\N	\N	\N	\N	\N	f	
22122	a9491382-23bb-4443-986b-683c78109a17	Kelley, Iowa	Kelley, Iowa	3	0	2013-08-07 17:36:10.755321+02	\N	\N	\N	\N	\N	\N	f	
22597	c1d3875c-fa5a-46cb-9680-0431f06f98df	Melissa, Calabria	Melissa, Calabria	4	0	2013-08-13 14:36:13.192351+02	\N	\N	\N	\N	\N	\N	f	
22190	e082a5e5-46f7-415f-951e-5201fc188185	Albany	Albany	3	0	2013-08-08 08:42:08.786043+02	\N	\N	\N	\N	\N	\N	f	
22247	853bb377-0dd4-41b2-9223-ecafed0335a6	Dublin	Dublin	3	0	2013-08-08 14:42:35.893585+02	\N	\N	\N	\N	\N	\N	f	
22849	29db251e-fa20-45fc-944a-2a4046c9e71f	Jupiter	Jupiter	3	0	2013-08-20 05:36:14.397003+02	\N	\N	\N	\N	\N	\N	f	
22342	e5426070-8450-4dd6-8e83-d70cd2699484	Sheridan	Sheridan	3	0	2013-08-10 17:39:25.852813+02	\N	\N	\N	\N	\N	\N	f	
22383	5ffa51cc-d491-43ec-8996-c7ad5399a965	Huron, California	Huron, California	3	0	2013-08-11 02:31:29.704279+02	\N	\N	\N	\N	\N	\N	f	
22624	eff3dc20-7b62-4c10-9bb5-c37d0b54baf1	Ro	Ro	4	0	2013-08-13 17:41:40.333135+02	\N	\N	\N	\N	\N	\N	f	
22626	516fb9c5-14d9-48eb-b6b5-3822b51eb8c8	Jolanda di Savoia	Jolanda di Savoia	4	0	2013-08-13 17:42:14.392236+02	\N	\N	\N	\N	\N	\N	f	
22858	ce2b4dbd-5ef5-4c68-aa1d-395a1ae538c0	Zephyrhills	Zephyrhills	3	0	2013-08-20 08:23:59.008517+02	\N	\N	\N	\N	\N	\N	f	
22655	a95d7439-1ca5-4dce-b55d-bd23e7999f29	San Massimo	San Massimo	4	0	2013-08-13 23:32:19.651899+02	\N	\N	\N	\N	\N	\N	f	
23039	5eb69698-2ee3-46ff-aa6f-fac20294d3cf	Neosho	Neosho	3	0	2013-08-22 02:17:28.739669+02	\N	\N	\N	\N	\N	\N	f	
22720	94f7c565-a3f3-48d9-b84a-c36b9b39b1e6	Acquedolci	Acquedolci	4	0	2013-08-14 17:28:34.350134+02	\N	\N	\N	\N	\N	\N	f	
22974	24495b77-5b7c-4321-b4b7-36072e4dd8a5	Allakaket	Allakaket	3	0	2013-08-20 20:29:56.65763+02	\N	\N	\N	\N	\N	\N	f	
22894	d772e18a-1a08-4b8f-9301-d38de9e17fa5	St. Johns	St. Johns	3	0	2013-08-20 14:19:47.503839+02	\N	\N	\N	\N	\N	\N	f	
22930	1ed52664-6aa7-472d-a27a-1bb5ad33d8fe	Clawson, Michigan	Clawson, Michigan	3	0	2013-08-20 14:35:16.441849+02	\N	\N	\N	\N	\N	\N	f	
22939	68f717ac-eaaf-446b-a6ad-ae23025eabfc	Flat Rock, Michigan	Flat Rock, Michigan	3	0	2013-08-20 14:38:28.684996+02	\N	\N	\N	\N	\N	\N	f	
22986	1e81a869-2d78-4f2a-b97d-39f9a98dfd51	Butuan City	Butuan City	3	0	2013-08-20 23:19:39.031859+02	\N	\N	\N	\N	\N	\N	f	
23019	cd0c42aa-fb8b-4286-a4a4-2a649ca9be34	Caribou	Caribou	3	0	2013-08-21 08:17:37.125521+02	\N	\N	\N	\N	\N	\N	f	
23068	0583b181-db5d-415d-aa52-62f790ba358f	Columbia	Columbia	3	0	2013-08-22 02:37:04.411735+02	\N	\N	\N	\N	\N	\N	f	
23035	e03bf3ef-3e0b-4f51-9600-a161cbd5fb75	Bern	Bern	3	0	2013-08-21 14:29:32.820812+02	\N	\N	\N	\N	\N	\N	f	
25133	c79eb743-26cb-4148-8acb-0ac283ac5e7e	Phillipsburg	Phillipsburg	3	0	2013-09-07 10:18:54.064111+02	\N	\N	\N	\N	\N	\N	f	
23110	216bcf2f-3602-4823-8a84-85ffae7495d0	Fulda	Fulda	3	0	2013-08-22 05:17:50.754415+02	\N	\N	\N	\N	\N	\N	f	
24615	29b86117-990c-4d3f-888b-cbeeeacf442b	Wamac	Wamac	3	0	2013-09-07 07:53:01.391317+02	\N	\N	\N	\N	\N	\N	f	
25136	0ad9f10e-ba86-42dc-91da-990ec2e78fa7	Oskaloosa	Oskaloosa	3	0	2013-09-07 10:19:34.253744+02	\N	\N	\N	\N	\N	\N	f	
25140	642d75b8-d519-420d-bcf7-56ed15430555	Dixon	Dixon	3	0	2013-09-07 10:21:18.121883+02	\N	\N	\N	\N	\N	\N	f	
25229	43149712-ed0b-401f-9cc6-8021ef83dda6	Emerson	Emerson	3	0	2013-09-07 10:46:41.805133+02	\N	\N	\N	\N	\N	\N	f	
25236	4d731798-dc47-4bab-80f9-f02ea349f891	De Soto	De Soto	3	0	2013-09-07 10:48:33.180707+02	\N	\N	\N	\N	\N	\N	f	
25239	78e9cb42-5b36-44cf-8050-c9d853ce92d4	Ellston	Ellston	3	0	2013-09-07 10:49:20.995369+02	\N	\N	\N	\N	\N	\N	f	
25713	0931e0da-7995-40b7-ba99-41d53fd69cbb	Langdon, Kansas	Langdon, Kansas	3	0	2013-09-07 13:39:34.575488+02	\N	\N	\N	\N	\N	\N	f	
25726	6138da94-eabd-4e62-9f96-2a0cf9f48603	Lyons, Kansas	Lyons, Kansas	3	0	2013-09-07 14:23:14.805269+02	\N	\N	\N	\N	\N	\N	f	
25770	32a0900f-970e-4a65-ab87-bc5d0e17e750	Simpson, Kansas	Simpson, Kansas	3	0	2013-09-07 14:34:27.948464+02	\N	\N	\N	\N	\N	\N	f	
10636	459481ae-c36e-40a7-a544-1df1d568cc19	Noto	Noto	3	0	2013-06-19 00:45:34.014896+02	\N	\N	\N	\N	\N	\N	f	
10644	ede1fd78-4b72-46d3-9832-70b17649bed5	Hasami	Hasami	3	0	2013-06-19 00:47:04.361799+02	\N	\N	\N	\N	\N	\N	f	
13865	84e2f2cb-4270-4c4c-85ce-0b75ea841697	Ospitaletto	Ospitaletto	4	0	2013-07-21 19:30:02.013958+02	\N	\N	\N	\N	\N	\N	f	
13937	04c43dea-df75-4c21-b14d-9bff81d7725a	Pertica Bassa	Pertica Bassa	4	0	2013-07-21 19:46:37.521539+02	\N	\N	\N	\N	\N	\N	f	
15547	8867be9c-41cf-4539-b7c6-9a5669111343	Varallo Pombia	Varallo Pombia	4	0	2013-07-22 01:09:39.436893+02	\N	\N	\N	\N	\N	\N	f	
14460	ed134d76-e875-4625-8514-d32972a555ba	Morano sul Po	Morano sul Po	4	0	2013-07-21 21:42:31.954365+02	\N	\N	\N	\N	\N	\N	f	
14974	edd2d00f-18eb-4deb-be14-6f6e775a218e	Monteu Roero	Monteu Roero	4	0	2013-07-21 23:32:31.782503+02	\N	\N	\N	\N	\N	\N	f	
16266	c385e168-6a44-4a47-ae2f-d41bf6bb80c8	Fossalto	Fossalto	4	0	2013-07-22 03:12:58.933933+02	\N	\N	\N	\N	\N	\N	f	
17348	b799d3fd-8369-4091-9477-c41ccdce38c3	Ronco Briantino	Ronco Briantino	4	0	2013-07-22 06:16:29.576483+02	\N	\N	\N	\N	\N	\N	f	
16992	b2cbed58-374e-4a84-bc08-62e9efb37aa7	Gignod	Gignod	4	0	2013-07-22 05:29:19.150511+02	\N	\N	\N	\N	\N	\N	f	
16994	25fc1d7e-d507-4016-9788-d7d617a26259	Chamois, Aosta Valley	Chamois, Aosta Valley	4	0	2013-07-22 05:29:41.762894+02	\N	\N	\N	\N	\N	\N	f	
22514	c5828b51-913e-4fec-b4f1-0a3309f17c3b	Parlier	Parlier	3	0	2013-08-11 05:48:49.996913+02	\N	\N	\N	\N	\N	\N	f	
18311	2037abff-72c8-4d54-9271-35bb30d94ecf	Chieve	Chieve	4	0	2013-07-22 08:12:47.137066+02	\N	\N	\N	\N	\N	\N	f	
17472	76a2ea87-a28c-4057-b1b0-b911dbd1f375	Marzano	Marzano	4	0	2013-07-22 06:31:45.221299+02	\N	\N	\N	\N	\N	\N	f	
19710	2df28aec-3a17-4221-85a5-d79abfb3ca56	Castrignano de' Greci	Castrignano de' Greci	4	0	2013-07-22 11:26:26.102481+02	\N	\N	\N	\N	\N	\N	f	
18326	f8d9e88e-0f2c-49e5-be56-b3762688ccf1	Calco	Calco	4	0	2013-07-22 08:14:26.724319+02	\N	\N	\N	\N	\N	\N	f	
19119	56eeea1a-b4fa-4f72-9155-fff8161a5f4c	Partinico	Partinico	4	0	2013-07-22 09:54:46.887405+02	\N	\N	\N	\N	\N	\N	f	
19715	c4e525e7-b0f3-4b13-ba3d-a7a8edab603f	Aradeo	Aradeo	4	0	2013-07-22 11:27:40.201234+02	\N	\N	\N	\N	\N	\N	f	
20350	91fb7525-57f6-435d-8560-eb39f9b6b3a5	Casole Bruzio	Casole Bruzio	4	0	2013-07-22 23:35:35.761227+02	\N	\N	\N	\N	\N	\N	f	
22625	1a946df0-d442-486e-b745-7efbe5c250c2	Cento	Cento	4	0	2013-08-13 17:41:58.28648+02	\N	\N	\N	\N	\N	\N	f	
20375	0f916c9f-3f7a-4ea4-8694-457801bd68b9	Praia a Mare	Praia a Mare	4	0	2013-07-22 23:40:53.174468+02	\N	\N	\N	\N	\N	\N	f	
20455	08c3f244-8509-4844-8372-73c20b4ed806	Isola di Capo Rizzuto	Isola di Capo Rizzuto	4	0	2013-07-23 02:39:17.274077+02	\N	\N	\N	\N	\N	\N	f	
22975	a2fda71b-7e99-4b84-a4a0-e2914b0ac9b8	Chevak	Chevak	3	0	2013-08-20 20:30:21.967524+02	\N	\N	\N	\N	\N	\N	f	
20457	70c9f6d2-425d-4f42-a8bb-0fb89d7d8692	Castelsilano	Castelsilano	4	0	2013-07-23 02:39:40.685665+02	\N	\N	\N	\N	\N	\N	f	
22656	654ad8a7-b53c-4560-9671-271d1304c09f	Gildone	Gildone	4	0	2013-08-13 23:32:32.915484+02	\N	\N	\N	\N	\N	\N	f	
20461	17b02f4e-b322-4738-a2b9-b8ffa1d5918a	Casabona	Casabona	4	0	2013-07-23 02:40:28.010178+02	\N	\N	\N	\N	\N	\N	f	
22124	c15579c2-1bf6-4be5-b8be-1eb160e1c831	Mystic, Iowa	Mystic, Iowa	3	0	2013-08-07 17:36:45.339891+02	\N	\N	\N	\N	\N	\N	f	
22722	65586a07-cc99-41e8-b763-a0f1b4cd8d67	Novara di Sicilia	Novara di Sicilia	4	0	2013-08-14 17:29:29.122246+02	\N	\N	\N	\N	\N	\N	f	
22191	644af863-4995-45ca-8902-71c229213396	Jasper	Jasper	3	0	2013-08-08 08:42:29.618342+02	\N	\N	\N	\N	\N	\N	f	
22248	82f36aaf-a0e4-4ac3-97f6-bcc275692738	Shamrock	Shamrock	3	0	2013-08-08 14:42:53.715324+02	\N	\N	\N	\N	\N	\N	f	
23151	2661184a-9875-4332-933f-efd30aede3d5	Minnetrista, Minnesota	Minnetrista, Minnesota	3	0	2013-08-22 05:32:47.920011+02	\N	\N	\N	\N	\N	\N	f	
22343	af85d189-ff9b-4640-be2d-8f6ddd4f4f83	Baldwin Park, California	Baldwin Park, California	3	0	2013-08-10 17:39:43.929896+02	\N	\N	\N	\N	\N	\N	f	
22822	d4088bd0-11cc-4cfd-858e-e99491af3921	Furci Siculo	Furci Siculo	4	0	2013-08-14 20:30:07.629761+02	\N	\N	\N	\N	\N	\N	f	
22387	61fd7a8c-64ca-45e9-9d89-5e2e006a0532	Pittsburg, California	Pittsburg, California	3	0	2013-08-11 02:33:13.86601+02	\N	\N	\N	\N	\N	\N	f	
22408	ee0f2b6b-61ae-45fa-9ed6-3dee8e4f7321	Chula Vista	Chula Vista	3	0	2013-08-11 02:41:42.094185+02	\N	\N	\N	\N	\N	\N	f	
22987	d13d98d7-4434-44b9-bd13-c51a9d125b46	Legazpi City	Legazpi City	3	0	2013-08-20 23:20:02.236378+02	\N	\N	\N	\N	\N	\N	f	
22491	11575c0c-5e04-42d7-892f-dff1246aa9f2	McFarland, California	McFarland, California	3	0	2013-08-11 05:42:46.997066+02	\N	\N	\N	\N	\N	\N	f	
22850	dcffadc9-0985-41c4-80c8-8eb5247e9e42	Indian Harbour Beach	Indian Harbour Beach	3	0	2013-08-20 05:36:48.030854+02	\N	\N	\N	\N	\N	\N	f	
22501	7751b5e5-27b6-410c-bbca-f6796cf32948	Wasco	Wasco	3	0	2013-08-11 05:45:44.395264+02	\N	\N	\N	\N	\N	\N	f	
22506	562104b1-3d12-4b11-a632-54467a3a1e4b	Maricopa	Maricopa	3	0	2013-08-11 05:46:53.254638+02	\N	\N	\N	\N	\N	\N	f	
22509	24ed2bef-2f4b-427c-84ea-ad00a75bd4ab	San Pablo	San Pablo	3	0	2013-08-11 05:47:34.859395+02	\N	\N	\N	\N	\N	\N	f	
22859	92e33d17-4a81-43e4-9fb6-118911e16630	Chattahoochee	Chattahoochee	3	0	2013-08-20 08:24:11.729453+02	\N	\N	\N	\N	\N	\N	f	
22895	c3270bf1-a85e-4535-90e6-889102430069	Wyoming	Wyoming	3	0	2013-08-20 14:20:00.259607+02	\N	\N	\N	\N	\N	\N	f	
23020	c6738916-13e4-440a-bdba-db6ae7ad8314	Chanute, Kansas	Chanute, Kansas	3	0	2013-08-21 08:20:29.076479+02	\N	\N	\N	\N	\N	\N	f	
22908	6efbafbe-60ed-49b3-a5ae-262e388e1324	Olivet, Michigan	Olivet, Michigan	3	0	2013-08-20 14:24:33.372397+02	\N	\N	\N	\N	\N	\N	f	
22929	ebed22cd-3443-4663-8afd-3379d50da5f8	Ionia, Michigan	Ionia, Michigan	3	0	2013-08-20 14:34:57.10387+02	\N	\N	\N	\N	\N	\N	f	
26173	f30762f8-bbec-404c-a7fd-5a8d3c50fa81	Agra, Kansas	Agra, Kansas	3	0	2013-09-07 20:36:31.263848+02	\N	\N	\N	\N	\N	\N	f	
22949	655cba2d-fa3d-43f2-a758-30d734ac3cde	Northville, Michigan	Northville, Michigan	3	0	2013-08-20 14:46:07.028833+02	\N	\N	\N	\N	\N	\N	f	
23163	30f210e3-6347-4fa3-bef7-09f8cbc5fc89	Independence	Independence	3	0	2013-08-22 05:36:29.379432+02	\N	\N	\N	\N	\N	\N	f	
22971	1601c31f-9afe-4bf6-aae6-d5ff7febf56f	Williamston	Williamston	3	0	2013-08-20 17:28:26.843321+02	\N	\N	\N	\N	\N	\N	f	
23036	28d44913-d1b1-4cc8-8c51-bf80a2a210cf	Geneva	Geneva	3	0	2013-08-21 14:29:56.347592+02	\N	\N	\N	\N	\N	\N	f	
23040	137886d7-3ec4-4692-aa26-2be3d1f78300	Jackson	Jackson	3	0	2013-08-22 02:18:21.828363+02	\N	\N	\N	\N	\N	\N	f	
25727	7dc0a44f-6fd2-4b70-a03c-526b2fd1a191	Uniontown, Kansas	Uniontown, Kansas	3	0	2013-09-07 14:23:32.96951+02	\N	\N	\N	\N	\N	\N	f	
23046	e417a2c0-c42b-4f7e-88d9-a6ce1597ce9c	St. James, Minnesota	St. James, Minnesota	3	0	2013-08-22 02:21:49.3092+02	\N	\N	\N	\N	\N	\N	f	
23111	6eab2b3a-edb7-4af5-ab28-879bd381b8c4	Waconia	Waconia	3	0	2013-08-22 05:18:25.251224+02	\N	\N	\N	\N	\N	\N	f	
25820	94d1d4bd-b4d6-43f1-bfe2-e5268e63ec85	Jennings, Louisiana	Jennings, Louisiana	3	0	2013-09-07 14:48:14.271705+02	\N	\N	\N	\N	\N	\N	f	
24606	50d05020-505d-4b4b-bedb-b102f19a379d	Rochelle	Rochelle	3	0	2013-09-07 07:51:01.872815+02	\N	\N	\N	\N	\N	\N	f	
25135	c7110d8c-738b-4eb7-b5d1-932b5324b0c5	Wellsville	Wellsville	3	0	2013-09-07 10:19:21.009028+02	\N	\N	\N	\N	\N	\N	f	
25778	ea83fefd-d89e-4b20-a181-24654ec9a50a	Linn Valley, Kansas	Linn Valley, Kansas	3	0	2013-09-07 14:36:28.548968+02	\N	\N	\N	\N	\N	\N	f	
25804	af1a09b5-31db-4f60-aeca-513efd7f6e05	Norwood	Norwood	3	0	2013-09-07 14:43:14.867287+02	\N	\N	\N	\N	\N	\N	f	
26171	cb3a2cc1-d4cb-4cf6-a1aa-ab48889e03c0	Pikeville, Kentucky	Pikeville, Kentucky	3	0	2013-09-07 20:35:59.963591+02	\N	\N	\N	\N	\N	\N	f	
26296	cae71008-919d-48cb-9789-8ec1a8e99e79	Rosendale, Missouri	Rosendale, Missouri	3	0	2013-09-07 21:10:43.300116+02	\N	\N	\N	\N	\N	\N	f	
26293	b6db2e88-f93f-46ca-8ba1-773668ee1760	Andover, Kansas	Andover, Kansas	3	0	2013-09-07 21:09:52.235826+02	\N	\N	\N	\N	\N	\N	f	
26307	ceac4025-6736-4987-a323-0abb19c026eb	Scranton	Scranton	3	0	2013-09-07 21:13:41.256065+02	\N	\N	\N	\N	\N	\N	f	
26485	2bb893fa-99d7-4d00-bcd7-66ee4f718f33	Haysville, Kansas	Haysville, Kansas	3	0	2013-09-08 00:47:04.599529+02	\N	\N	\N	\N	\N	\N	f	
26491	6d6e454b-67e8-4a8d-be8d-108d84c22fc5	Chautauqua, Kansas	Chautauqua, Kansas	3	0	2013-09-08 00:48:48.380577+02	\N	\N	\N	\N	\N	\N	f	
26830	d0a2c5d7-31ef-40ef-9b00-82f2c41a1354	Maitland	Maitland	3	0	2013-09-08 03:05:32.574967+02	\N	\N	\N	\N	\N	\N	f	
27268	a41bf828-3a8b-4e15-9d1b-fe591c7d1deb	Tindall	Tindall	3	0	2013-09-08 06:14:24.221279+02	\N	\N	\N	\N	\N	\N	f	
27589	d32f0e9e-d312-4ddf-82ab-e4b086948bdc	Donnybrook, North Dakota	Donnybrook, North Dakota	3	0	2013-09-08 08:50:40.318048+02	\N	\N	\N	\N	\N	\N	f	
27647	0d6e1bd2-8acf-4043-b7e5-ff1898f485cf	Bellevue, Ohio	Bellevue, Ohio	3	0	2013-09-08 09:08:50.380302+02	\N	\N	\N	\N	\N	\N	f	
10637	730c2b62-021a-4e3d-a537-9d86309fe77c	Jinsekikōgen	Jinsekikōgen	3	0	2013-06-19 00:45:49.766268+02	\N	\N	\N	\N	\N	\N	f	
10638	f9af5a7d-bae1-4258-9326-1d60dda76cfc	Minamidaitō	Minamidaitō	3	0	2013-06-19 00:46:00.36566+02	\N	\N	\N	\N	\N	\N	f	
10643	8ca620ce-317a-47ab-bc20-c66aa169893a	Misato	Misato	3	0	2013-06-19 00:46:53.906108+02	\N	\N	\N	\N	\N	\N	f	
13867	babdaa04-c0c0-4014-8f26-c918a147ac80	Odolo	Odolo	4	0	2013-07-21 19:30:45.983478+02	\N	\N	\N	\N	\N	\N	f	
13963	e987eb5e-9edc-40d2-b5c9-064f1da2120e	Preseglie	Preseglie	4	0	2013-07-21 19:52:14.745323+02	\N	\N	\N	\N	\N	\N	f	
15548	eb21c36e-8602-44c0-a1b2-67cfbe710028	Sizzano	Sizzano	4	0	2013-07-22 01:09:55.401152+02	\N	\N	\N	\N	\N	\N	f	
14462	ad2c5cc5-007c-4714-a864-f1184c7c3257	Pecetto di Valenza	Pecetto di Valenza	4	0	2013-07-21 21:43:06.63946+02	\N	\N	\N	\N	\N	\N	f	
14464	07b5ab9c-df08-4277-8855-31d519f2ea05	Montefiascone	Montefiascone	4	0	2013-07-21 21:43:33.470622+02	\N	\N	\N	\N	\N	\N	f	
14482	d6579d75-2879-4aca-8337-d8b4178ec20b	Rivalta Bormida	Rivalta Bormida	4	0	2013-07-21 21:47:46.519799+02	\N	\N	\N	\N	\N	\N	f	
16269	354a4863-4221-4c65-96f7-a704f70f30b1	Pietracupa	Pietracupa	4	0	2013-07-22 03:13:15.30068+02	\N	\N	\N	\N	\N	\N	f	
14975	94ee4c74-d9d0-4e76-b397-b3bd1af50dca	Montemale di Cuneo	Montemale di Cuneo	4	0	2013-07-21 23:32:31.890298+02	\N	\N	\N	\N	\N	\N	f	
17349	92bf8c33-f22e-4af7-ab98-95e1c8873d46	Gorla Maggiore	Gorla Maggiore	4	0	2013-07-22 06:16:35.725665+02	\N	\N	\N	\N	\N	\N	f	
16291	be77cbcd-8f00-4239-911a-7c055b6dd320	Campolieto	Campolieto	4	0	2013-07-22 03:15:56.180769+02	\N	\N	\N	\N	\N	\N	f	
16295	f7860657-80a9-4393-b09c-7c1dc4daf2c5	Guglionesi	Guglionesi	4	0	2013-07-22 03:16:25.547999+02	\N	\N	\N	\N	\N	\N	f	
16304	674a420b-9cb8-4c3d-8558-07f0260cd08a	Tufara	Tufara	4	0	2013-07-22 03:17:43.860703+02	\N	\N	\N	\N	\N	\N	f	
17379	262b32d5-e8f9-49d4-be7a-884284417f56	Silvano Pietra	Silvano Pietra	4	0	2013-07-22 06:20:04.852304+02	\N	\N	\N	\N	\N	\N	f	
22344	72be13bc-5e08-43ca-9b11-dceb18eddb9b	Branch	Branch	3	0	2013-08-10 17:40:00.98136+02	\N	\N	\N	\N	\N	\N	f	
16326	e7bb28af-302c-460d-bda6-41ee8fd59901	San Giuliano del Sannio	San Giuliano del Sannio	4	0	2013-07-22 03:20:12.736718+02	\N	\N	\N	\N	\N	\N	f	
16469	bdfef94c-e2a3-42c3-bb4d-5e97dec53466	Selegas	Selegas	4	0	2013-07-22 03:37:17.400674+02	\N	\N	\N	\N	\N	\N	f	
16548	00e78e0c-f2a2-4f6e-a990-a2e64db29f1b	Turri	Turri	4	0	2013-07-22 03:46:36.895244+02	\N	\N	\N	\N	\N	\N	f	
16618	1d5f5a62-d1c1-4c66-84d6-798f67107fe3	Onanì	Onanì	4	0	2013-07-22 03:55:40.916795+02	\N	\N	\N	\N	\N	\N	f	
22823	6aa91aae-dee7-49af-bb32-c0b6d9c48551	San Marco d'Alunzio	San Marco d'Alunzio	4	0	2013-08-14 20:30:22.017463+02	\N	\N	\N	\N	\N	\N	f	
16998	d1319342-a67c-4d74-9f26-34d499f15aab	Champdepraz	Champdepraz	4	0	2013-07-22 05:30:17.398082+02	\N	\N	\N	\N	\N	\N	f	
22389	486eed4f-e837-4e79-b801-701e5ef6f20c	Brea, California	Brea, California	3	0	2013-08-11 02:33:57.212438+02	\N	\N	\N	\N	\N	\N	f	
19313	4026f329-c004-40b6-85bc-1da0af393541	San Pio delle Camere	San Pio delle Camere	4	0	2013-07-22 10:19:32.998268+02	\N	\N	\N	\N	\N	\N	f	
17566	006478b8-affb-4220-95ae-d93910479dc1	Fonzaso	Fonzaso	4	0	2013-07-22 06:43:27.364013+02	\N	\N	\N	\N	\N	\N	f	
17596	0b6bdb6a-1c64-49ae-bd94-061e9b0b25e1	Longarone	Longarone	4	0	2013-07-22 06:47:03.535992+02	\N	\N	\N	\N	\N	\N	f	
19711	bab4ee1d-3cec-4906-8025-572910a3819a	Corsano	Corsano	4	0	2013-07-22 11:26:38.831579+02	\N	\N	\N	\N	\N	\N	f	
17602	b171f19d-ec44-4930-bd79-8b07169bb6eb	Rivanazzano Terme	Rivanazzano Terme	4	0	2013-07-22 06:47:46.482352+02	\N	\N	\N	\N	\N	\N	f	
19417	a1f6d387-4ad6-4f54-a9ce-80ce98bd686b	Mozzagrogna	Mozzagrogna	4	0	2013-07-22 10:32:15.694738+02	\N	\N	\N	\N	\N	\N	f	
18318	58680997-7d92-4a3c-aa46-8b567eaafaac	Vaiano Cremasco	Vaiano Cremasco	4	0	2013-07-22 08:13:30.077607+02	\N	\N	\N	\N	\N	\N	f	
18320	491e9eec-ef2d-4ed6-a19f-76d7f36813c6	Bagnolo Cremasco	Bagnolo Cremasco	4	0	2013-07-22 08:13:42.555237+02	\N	\N	\N	\N	\N	\N	f	
19426	0a066a74-be5a-4f75-8fac-d8b51be6941c	Torino di Sangro	Torino di Sangro	4	0	2013-07-22 10:33:26.078051+02	\N	\N	\N	\N	\N	\N	f	
18384	bcf1fe2b-7719-4a20-908f-ad6dd53abcdc	Introbio	Introbio	4	0	2013-07-22 08:22:01.092233+02	\N	\N	\N	\N	\N	\N	f	
18392	4a29ea02-ce39-4496-b1ee-0678a34f3f53	Sesto San Giovanni	Sesto San Giovanni	4	0	2013-07-22 08:23:22.215897+02	\N	\N	\N	\N	\N	\N	f	
19120	e90438b8-1b3a-4031-a77f-1a46d2a44c40	Trappeto	Trappeto	4	0	2013-07-22 09:55:01.311197+02	\N	\N	\N	\N	\N	\N	f	
19434	7e66a196-07b6-4673-bd56-72e1e7061be6	Torrebruna	Torrebruna	4	0	2013-07-22 10:34:32.795438+02	\N	\N	\N	\N	\N	\N	f	
19122	4e0dcc40-b648-4006-be36-e15b551151a0	Scillato	Scillato	4	0	2013-07-22 09:55:14.324429+02	\N	\N	\N	\N	\N	\N	f	
22399	6db2e45d-d7f3-43da-ac0b-7ba5ca627373	Glendale	Glendale	3	0	2013-08-11 02:38:07.858555+02	\N	\N	\N	\N	\N	\N	f	
20351	5145628e-46d1-4e01-a8de-c621c5d80021	Bonifati	Bonifati	4	0	2013-07-22 23:35:47.883803+02	\N	\N	\N	\N	\N	\N	f	
19536	dac9844d-4f39-4391-b912-945a8a7df212	Ancarano	Ancarano	4	0	2013-07-22 10:46:57.67218+02	\N	\N	\N	\N	\N	\N	f	
19540	84d0b555-9086-4440-a8a4-a9614358391e	Alba Adriatica	Alba Adriatica	4	0	2013-07-22 10:47:25.259735+02	\N	\N	\N	\N	\N	\N	f	
22125	272b96a0-7ec6-441a-96b6-ff82a4a65090	Mount Pleasant	Mount Pleasant	3	0	2013-08-07 17:37:30.793058+02	\N	\N	\N	\N	\N	\N	f	
20373	a3d014bf-1309-43bb-9697-5289f6244084	Mongrassano	Mongrassano	4	0	2013-07-22 23:40:28.754858+02	\N	\N	\N	\N	\N	\N	f	
20382	c450c657-88a1-4425-aa4e-c10dbe50e48e	Montegiordano	Montegiordano	4	0	2013-07-22 23:42:18.263549+02	\N	\N	\N	\N	\N	\N	f	
20390	ae8c177f-4d8e-4898-8bf2-9d0a487afb90	Marzi	Marzi	4	0	2013-07-22 23:43:56.29921+02	\N	\N	\N	\N	\N	\N	f	
22192	b455bf08-a7b0-4cd0-a0fb-6fe3b5dd1e56	Amherst	Amherst	3	0	2013-08-08 08:42:42.625903+02	\N	\N	\N	\N	\N	\N	f	
20463	944ea0f0-5490-4d42-be79-f6efd2ce956c	Crucoli	Crucoli	4	0	2013-07-23 02:40:51.822932+02	\N	\N	\N	\N	\N	\N	f	
22954	b49251ea-8728-4266-bcbe-3d7e65a42ce0	West Branch, Michigan	West Branch, Michigan	3	0	2013-08-20 14:51:56.365471+02	\N	\N	\N	\N	\N	\N	f	
22493	05592e8a-ade0-43e8-8fb2-62dbeb3c16c1	Taft	Taft	3	0	2013-08-11 05:43:47.078193+02	\N	\N	\N	\N	\N	\N	f	
22860	01c93afe-6c3e-4093-b006-469e346f38c9	Dunnellon	Dunnellon	3	0	2013-08-20 08:24:24.501509+02	\N	\N	\N	\N	\N	\N	f	
22627	91b79709-1718-4ac4-81a7-a0a43d64563a	Berra	Berra	4	0	2013-08-13 17:42:29.674724+02	\N	\N	\N	\N	\N	\N	f	
22657	8d9956fa-d20a-420d-ad8c-fed3ef93ca99	Toro, Molise	Toro, Molise	4	0	2013-08-13 23:32:45.9776+02	\N	\N	\N	\N	\N	\N	f	
22249	6817f0f3-0ece-431b-99fd-027a77adf054	Zavalla	Zavalla	3	0	2013-08-08 14:43:07.357182+02	\N	\N	\N	\N	\N	\N	f	
22723	94ec6ea7-8fc7-48ae-8853-74657da19ac7	Roccalumera	Roccalumera	4	0	2013-08-14 17:29:47.914113+02	\N	\N	\N	\N	\N	\N	f	
22897	147199cb-68ab-4356-8739-6fd4503dbd36	Charlevoix, Michigan	Charlevoix, Michigan	3	0	2013-08-20 14:20:39.894366+02	\N	\N	\N	\N	\N	\N	f	
23021	9af4bf15-8cfc-481c-9806-39d5d98a5f1b	Ellsworth	Ellsworth	3	0	2013-08-21 08:22:23.495966+02	\N	\N	\N	\N	\N	\N	f	
22917	68082793-1173-473c-b0ad-a4b23e8f45c3	Marlette, Michigan	Marlette, Michigan	3	0	2013-08-20 14:28:26.682428+02	\N	\N	\N	\N	\N	\N	f	
22972	5597c992-2410-4fce-92e4-10a86650bbbb	Rose City	Rose City	3	0	2013-08-20 17:28:51.4594+02	\N	\N	\N	\N	\N	\N	f	
22976	7a53b390-bd1b-46b6-bb1a-e3627c88878b	Emmonak	Emmonak	3	0	2013-08-20 20:31:04.054298+02	\N	\N	\N	\N	\N	\N	f	
22988	4db682bb-8541-488a-a5d1-ad0f51fef0dd	Oelde	Oelde	3	0	2013-08-20 23:26:11.125901+02	\N	\N	\N	\N	\N	\N	f	
23041	8d3ec130-a7d5-44de-b52c-ad2a316d7d31	Meridian	Meridian	3	0	2013-08-22 02:18:59.228738+02	\N	\N	\N	\N	\N	\N	f	
23037	33f49521-f754-43cf-8d7a-d9e336fe56e6	Lausanne	Lausanne	3	0	2013-08-21 14:31:39.507802+02	\N	\N	\N	\N	\N	\N	f	
23045	55b2f0ca-2c4e-45f1-9665-5d62edce168a	Luverne	Luverne	3	0	2013-08-22 02:21:31.866989+02	\N	\N	\N	\N	\N	\N	f	
23067	bda7a0a5-8ce1-4b15-988c-982315fee0de	Long Beach, Mississippi	Long Beach, Mississippi	3	0	2013-08-22 02:36:48.43518+02	\N	\N	\N	\N	\N	\N	f	
23112	eba50ef9-122b-4162-9f85-2dcd9af5cbde	Tonka Bay	Tonka Bay	3	0	2013-08-22 05:20:39.498684+02	\N	\N	\N	\N	\N	\N	f	
10641	1afac0a6-b987-4a42-aa1a-95338265c4e5	Kimino	Kimino	3	0	2013-06-19 00:46:31.885494+02	\N	\N	\N	\N	\N	\N	f	
10653	b7cb348d-b204-42d0-8322-23c07f90344f	Fukui	Fukui	3	0	2013-06-19 00:53:54.817583+02	\N	\N	\N	\N	\N	\N	f	
10655	690e0b3f-0483-47ba-ab51-095eff79759c	Shimonoseki	Shimonoseki	3	0	2013-06-19 00:54:31.921554+02	\N	\N	\N	\N	\N	\N	f	
13869	1a89f5a9-d9b3-4cc8-81a3-60a877ecf4ee	Orzivecchi	Orzivecchi	4	0	2013-07-21 19:31:20.971672+02	\N	\N	\N	\N	\N	\N	f	
10662	21286625-bd81-4852-be90-8d19f515b6c9	Tokigawa	Tokigawa	3	0	2013-06-19 00:59:23.071263+02	\N	\N	\N	\N	\N	\N	f	
10667	6db294a7-1e8d-4d2f-956a-3158aa0a7afa	Okinawa	Okinawa	3	0	2013-06-19 01:03:02.681392+02	\N	\N	\N	\N	\N	\N	f	
13912	e638f0e7-01c4-4a02-8093-b4f89b15a8e2	Vezzano sul Crostolo	Vezzano sul Crostolo	4	0	2013-07-21 19:40:48.40593+02	\N	\N	\N	\N	\N	\N	f	
15550	dc6cffd2-2a3d-4a66-a737-92c539c75af0	Pettenasco	Pettenasco	4	0	2013-07-22 01:10:26.247594+02	\N	\N	\N	\N	\N	\N	f	
14463	02d496ef-ba35-4582-b26c-95063e31e65a	Orsara Bormida	Orsara Bormida	4	0	2013-07-21 21:43:19.366783+02	\N	\N	\N	\N	\N	\N	f	
14475	9a097c2c-f808-4957-8ff1-beddb9b1b3ae	Lucito	Lucito	4	0	2013-07-21 21:46:02.763629+02	\N	\N	\N	\N	\N	\N	f	
14976	5ce11f62-2b2b-485d-bf59-2c8756b4ac96	Mombasiglio	Mombasiglio	4	0	2013-07-21 23:32:44.759794+02	\N	\N	\N	\N	\N	\N	f	
16270	cf242c59-1efc-4ebc-8a9d-469fcf337a19	Castropignano	Castropignano	4	0	2013-07-22 03:13:23.802833+02	\N	\N	\N	\N	\N	\N	f	
17350	0ff43ab6-351c-43aa-9829-2afd024fb0be	Fagnano Olona	Fagnano Olona	4	0	2013-07-22 06:16:42.389375+02	\N	\N	\N	\N	\N	\N	f	
17001	b834500d-46c8-460d-9117-05164d4e9347	Gressan	Gressan	4	0	2013-07-22 05:30:40.815686+02	\N	\N	\N	\N	\N	\N	f	
18321	60d353fb-ee00-45e6-8418-485306f5cf54	Olginate	Olginate	4	0	2013-07-22 08:13:52.426592+02	\N	\N	\N	\N	\N	\N	f	
19712	704b453e-9287-4263-96c5-fea76144643c	Copertino	Copertino	4	0	2013-07-22 11:26:56.153744+02	\N	\N	\N	\N	\N	\N	f	
18349	99d617c9-7028-49b1-b200-810a25fc436b	Cologno Monzese	Cologno Monzese	4	0	2013-07-22 08:17:23.982553+02	\N	\N	\N	\N	\N	\N	f	
18377	e3042adc-0eff-4746-89f9-90f57dbedc84	Trescore Cremasco	Trescore Cremasco	4	0	2013-07-22 08:21:03.517721+02	\N	\N	\N	\N	\N	\N	f	
22724	4986e53d-3790-4870-9472-e7deaa2f0f31	Vodo di Cadore	Vodo di Cadore	4	0	2013-08-14 17:30:09.149377+02	\N	\N	\N	\N	\N	\N	f	
19726	4ee659aa-ad30-4f1c-8fd2-db5a24712738	Annone di Brianza	Annone di Brianza	4	0	2013-07-22 11:29:23.353868+02	\N	\N	\N	\N	\N	\N	f	
19121	fd53d9b7-63c4-473b-9ecd-b25c92d674c3	Montemaggiore Belsito	Montemaggiore Belsito	4	0	2013-07-22 09:55:01.532513+02	\N	\N	\N	\N	\N	\N	f	
19124	53060f54-9382-4476-81db-2be4d5cfb454	Ciminna	Ciminna	4	0	2013-07-22 09:55:27.479242+02	\N	\N	\N	\N	\N	\N	f	
23042	d8fc057d-c584-476a-94dc-ac640c5500ea	Minneapolis–Saint Paul	Minneapolis–Saint Paul	3	0	2013-08-22 02:19:36.426024+02	\N	\N	\N	\N	\N	\N	f	
19230	cdf804ce-6b7d-4893-997d-205adff2e88b	Molina Aterno	Molina Aterno	4	0	2013-07-22 10:09:25.857526+02	\N	\N	\N	\N	\N	\N	f	
20353	9604fcea-575a-4033-837b-a94814c9e2a4	Bisignano	Bisignano	4	0	2013-07-22 23:36:13.499783+02	\N	\N	\N	\N	\N	\N	f	
19243	740a38d5-95d3-4ce0-84f3-0ea96699b25c	Ortucchio	Ortucchio	4	0	2013-07-22 10:10:51.304319+02	\N	\N	\N	\N	\N	\N	f	
22824	78e87302-4dad-465d-80eb-d4930c72835d	Monforte San Giorgio	Monforte San Giorgio	4	0	2013-08-14 20:30:37.8009+02	\N	\N	\N	\N	\N	\N	f	
20465	689856b4-a786-46b7-982b-74e98b4f9234	Cutro	Cutro	4	0	2013-07-23 02:41:15.380053+02	\N	\N	\N	\N	\N	\N	f	
22126	1e0b3377-e177-426b-92ee-c96a77887253	West Point	West Point	3	0	2013-08-07 17:38:05.467015+02	\N	\N	\N	\N	\N	\N	f	
22861	7ec53d89-71c1-423a-be29-26abea9c0fd7	Bonifay	Bonifay	3	0	2013-08-20 08:24:41.638931+02	\N	\N	\N	\N	\N	\N	f	
22193	01a2b65e-571c-496c-a220-16f8b9538342	Aledo	Aledo	3	0	2013-08-08 08:42:55.542635+02	\N	\N	\N	\N	\N	\N	f	
22250	1c9f83ed-fcab-4b84-8bc8-f420db5c2bdf	Terrell Hills	Terrell Hills	3	0	2013-08-08 14:43:25.206223+02	\N	\N	\N	\N	\N	\N	f	
25783	888b5a27-b06d-41bd-ac7b-c8bc844f368b	Inez, Kentucky	Inez, Kentucky	3	0	2013-09-07 14:37:42.374782+02	\N	\N	\N	\N	\N	\N	f	
22345	f3256278-025e-4254-90e6-86f5cb79b07f	Benicia, California	Benicia, California	3	0	2013-08-10 17:40:19.866001+02	\N	\N	\N	\N	\N	\N	f	
22877	a551ab62-4166-483c-b0e5-3e121abad371	Golden	Golden	3	0	2013-08-20 08:39:51.678298+02	\N	\N	\N	\N	\N	\N	f	
22392	77287391-af82-48a0-9060-c6c583adaa34	Simi Valley	Simi Valley	3	0	2013-08-11 02:34:49.154881+02	\N	\N	\N	\N	\N	\N	f	
22406	7c325565-0181-4525-8f61-d7d7f2c3ed36	Irvine, California	Irvine, California	3	0	2013-08-11 02:41:01.817786+02	\N	\N	\N	\N	\N	\N	f	
23113	91ce1383-f5f6-46fb-b24e-23c90af191e3	Goodridge, Minnesota	Goodridge, Minnesota	3	0	2013-08-22 05:21:20.609496+02	\N	\N	\N	\N	\N	\N	f	
22446	46881f67-8d8b-4ba1-a8d7-72a481678c45	Dublin	Dublin	3	0	2013-08-11 02:54:35.972817+02	\N	\N	\N	\N	\N	\N	f	
22898	7a280d07-ba41-466f-9b04-c9a5f13ad0a0	Carson City, Michigan	Carson City, Michigan	3	0	2013-08-20 14:20:52.330774+02	\N	\N	\N	\N	\N	\N	f	
22494	e5e66298-7912-43ab-8f9d-920f626b59b6	Selma	Selma	3	0	2013-08-11 05:44:01.024343+02	\N	\N	\N	\N	\N	\N	f	
22628	ad640897-b499-47d9-8877-1405cceeb0a6	Santa Sofia	Santa Sofia	4	0	2013-08-13 17:45:28.567953+02	\N	\N	\N	\N	\N	\N	f	
22658	03975a2a-119e-43ca-b551-8c7855b1f505	Villanova d'Ardenghi	Villanova d'Ardenghi	4	0	2013-08-13 23:34:16.684348+02	\N	\N	\N	\N	\N	\N	f	
22977	3d3efee6-be1f-42bb-82fd-01ffc3195f7b	Anvik	Anvik	3	0	2013-08-20 20:31:25.980247+02	\N	\N	\N	\N	\N	\N	f	
22659	e58738ad-4fdb-47e8-84d0-102f44ee5aa3	Cino	Cino	4	0	2013-08-13 23:34:41.287969+02	\N	\N	\N	\N	\N	\N	f	
25168	55441fee-ae1b-4fb6-8cb0-526f5be4b54f	Ottawa (Kansas)	Ottawa (Kansas)	3	0	2013-09-07 10:28:34.907447+02	\N	\N	\N	\N	\N	\N	f	
22980	3651cb97-cf6e-404a-b81f-002521796be2	Brevig Mission	Brevig Mission	3	0	2013-08-20 20:32:18.716703+02	\N	\N	\N	\N	\N	\N	f	
24607	44751745-cce8-4f5f-a4d3-38cb90e2f968	Prophetstown	Prophetstown	3	0	2013-09-07 07:51:15.207545+02	\N	\N	\N	\N	\N	\N	f	
22989	3a132d3b-ec42-42bf-accb-5e22098b509a	Napaskiak	Napaskiak	3	0	2013-08-20 23:30:59.436899+02	\N	\N	\N	\N	\N	\N	f	
22997	40c7a4e7-9428-4abb-8c22-7348d70d92fe	Shungnak	Shungnak	3	0	2013-08-20 23:33:38.550979+02	\N	\N	\N	\N	\N	\N	f	
23022	970c9f3c-4b1c-4860-991d-f687632e8937	Ruston, Louisiana	Ruston, Louisiana	3	0	2013-08-21 08:23:57.835622+02	\N	\N	\N	\N	\N	\N	f	
24646	97961427-e1a3-4d1e-b1d7-53a64f738953	Hillsboro	Hillsboro	3	0	2013-09-07 08:00:58.308696+02	\N	\N	\N	\N	\N	\N	f	
24664	f937abf3-e853-44c3-8e61-4f8dc4530ef2	Nokomis	Nokomis	3	0	2013-09-07 08:05:21.600029+02	\N	\N	\N	\N	\N	\N	f	
25213	3814a15d-3a6c-4c22-a8f8-636d27e4c9e6	Gilmore City	Gilmore City	3	0	2013-09-07 10:41:57.305417+02	\N	\N	\N	\N	\N	\N	f	
24715	ec70892e-4285-45f2-877c-69663387453a	Pulaski	Pulaski	3	0	2013-09-07 08:17:04.746012+02	\N	\N	\N	\N	\N	\N	f	
27590	ead0173a-1ab0-49ac-9bf4-18cbcb4241e1	Dunn Center, North Dakota	Dunn Center, North Dakota	3	0	2013-09-08 08:50:54.763612+02	\N	\N	\N	\N	\N	\N	f	
25138	97e373da-3981-4324-9891-7c5618619efd	Mahaska	Mahaska	3	0	2013-09-07 10:20:24.60253+02	\N	\N	\N	\N	\N	\N	f	
26172	6aab73cf-fa21-41fa-96f4-edd2b0ae2a9e	Winthrop, Iowa	Winthrop, Iowa	3	0	2013-09-07 20:36:14.388431+02	\N	\N	\N	\N	\N	\N	f	
25728	051d6cd1-121c-4a4a-87c3-b75bacbf25fd	Yates Center, Kansas	Yates Center, Kansas	3	0	2013-09-07 14:23:48.089771+02	\N	\N	\N	\N	\N	\N	f	
26834	a4513605-199b-404d-95a2-33fbe312189c	Laurens, Iowa	Laurens, Iowa	3	0	2013-09-08 03:06:30.392425+02	\N	\N	\N	\N	\N	\N	f	
26489	a2628e17-2c26-4a87-9c3f-614647b67551	Primghar, Iowa	Primghar, Iowa	3	0	2013-09-08 00:48:14.097345+02	\N	\N	\N	\N	\N	\N	f	
27271	44b5e35c-5df4-4379-b32f-c4b7663be9e3	Atkinson	Atkinson	3	0	2013-09-08 06:15:11.856065+02	\N	\N	\N	\N	\N	\N	f	
27619	dace1625-1beb-4812-9e4c-22ac3120a4a9	Venturia, North Dakota	Venturia, North Dakota	3	0	2013-09-08 08:58:55.062849+02	\N	\N	\N	\N	\N	\N	f	
27951	d2b74c7c-a8a1-440d-8717-633d7334ada2	Dyersville	Dyersville	3	0	2013-09-08 11:45:30.565385+02	\N	\N	\N	\N	\N	\N	f	
28218	c1253d14-42f3-4573-adfd-5b5efa7a3c63	Belton, South Carolina	Belton, South Carolina	3	0	2013-09-08 14:54:36.232846+02	\N	\N	\N	\N	\N	\N	f	
28415	91870ed9-024e-435a-b067-2af4efbfc8b9	Bean Station	Bean Station	3	0	2013-09-08 17:15:52.394149+02	\N	\N	\N	\N	\N	\N	f	
28655	53e3733d-c8ed-49f2-8e2f-4ee48ab31801	Nazareth	Nazareth	3	0	2013-09-08 21:15:06.465672+02	\N	\N	\N	\N	\N	\N	f	
28883	0a91d241-d973-40a4-b85b-0ef3746b38c0	Connell	Connell	3	0	2013-09-09 01:09:37.478376+02	\N	\N	\N	\N	\N	\N	f	
29141	ccd6018f-2de9-4b5d-a207-7062e8a0d4ab	Hays	Hays	3	0	2013-09-09 02:46:48.135337+02	\N	\N	\N	\N	\N	\N	f	
29188	b428a0ac-a34b-44f3-9450-f69fdbfd1905	Petronila	Petronila	3	0	2013-09-09 03:00:52.599452+02	\N	\N	\N	\N	\N	\N	f	
10642	55a58944-2bde-4afd-8cea-f0c2ec829657	Kuroshio	Kuroshio	3	0	2013-06-19 00:46:43.516213+02	\N	\N	\N	\N	\N	\N	f	
10657	be8c5143-25ba-484e-b5ab-86bca551cf66	Mito	Mito	3	0	2013-06-19 00:54:59.737588+02	\N	\N	\N	\N	\N	\N	f	
13870	5c4dcf38-67ae-4bf8-842f-418cd5add18f	Orzinuovi	Orzinuovi	4	0	2013-07-21 19:31:33.255467+02	\N	\N	\N	\N	\N	\N	f	
10661	517c30b5-f4d5-4f6f-9f65-3629e6c9e0ff	Higashiōmi	Higashiōmi	3	0	2013-06-19 00:58:29.472842+02	\N	\N	\N	\N	\N	\N	f	
14466	014ba4d5-df88-4c8c-b9a4-f29eda20ac99	Quattordio	Quattordio	4	0	2013-07-21 21:44:02.741474+02	\N	\N	\N	\N	\N	\N	f	
15551	84fe1770-4fad-4f75-a407-26a757838309	Vaprio d'Agogna	Vaprio d'Agogna	4	0	2013-07-22 01:10:38.20513+02	\N	\N	\N	\N	\N	\N	f	
14980	6a8ca2fa-fc3c-44f8-a43f-8c8bfe14f1cf	Monasterolo Casotto	Monasterolo Casotto	4	0	2013-07-21 23:33:09.852746+02	\N	\N	\N	\N	\N	\N	f	
19411	22b5630a-3f60-46a6-a88b-6237836c8ee8	Monteodorisio	Monteodorisio	4	0	2013-07-22 10:31:34.930368+02	\N	\N	\N	\N	\N	\N	f	
15572	1db5d2bd-02d6-4275-a367-d5293361eb4d	Bannio Anzino	Bannio Anzino	4	0	2013-07-22 01:15:14.759877+02	\N	\N	\N	\N	\N	\N	f	
22251	5a1e8269-99f2-428d-acc8-0adf61890f52	Ralls	Ralls	3	0	2013-08-08 14:43:39.042849+02	\N	\N	\N	\N	\N	\N	f	
16272	423f6caf-a1d7-4038-8f55-8990f179bad7	Casalciprano	Casalciprano	4	0	2013-07-22 03:13:36.659728+02	\N	\N	\N	\N	\N	\N	f	
16294	822e3532-9f6a-4a29-b6ab-4d6dae632b1d	Montefalcone nel Sannio	Montefalcone nel Sannio	4	0	2013-07-22 03:16:18.205747+02	\N	\N	\N	\N	\N	\N	f	
16340	e6b932f3-1c64-4421-ab16-38111a3460dc	Chiauci	Chiauci	4	0	2013-07-22 03:21:52.052193+02	\N	\N	\N	\N	\N	\N	f	
16341	447b90e3-bb04-41df-96c5-953a0dbf65d8	Macchiagodena	Macchiagodena	4	0	2013-07-22 03:21:57.824008+02	\N	\N	\N	\N	\N	\N	f	
16359	83050182-ae91-482c-889f-6fcb85141790	Carovilli	Carovilli	4	0	2013-07-22 03:23:56.011764+02	\N	\N	\N	\N	\N	\N	f	
16362	a43f32bb-b50f-49d3-a43e-387da5089533	Frosolone	Frosolone	4	0	2013-07-22 03:24:12.647839+02	\N	\N	\N	\N	\N	\N	f	
17387	0982f7bc-2bb2-4333-b1c3-46ebc89c433c	Venegono Superiore	Venegono Superiore	4	0	2013-07-22 06:21:12.95711+02	\N	\N	\N	\N	\N	\N	f	
16515	42cf9058-6226-4a87-a8d1-cb1060d0832b	Barumini	Barumini	4	0	2013-07-22 03:42:41.512805+02	\N	\N	\N	\N	\N	\N	f	
22978	918fc261-ef15-446a-a43c-5e48e7d209ec	Deering	Deering	3	0	2013-08-20 20:31:52.286035+02	\N	\N	\N	\N	\N	\N	f	
19430	0c6c8ac9-3463-47b5-aad5-8a0dbf5f7266	Santa Maria Imbaro	Santa Maria Imbaro	4	0	2013-07-22 10:33:55.936652+02	\N	\N	\N	\N	\N	\N	f	
16591	7e314b04-2656-4378-96fb-bc4779e7ca90	Cimadolmo	Cimadolmo	4	0	2013-07-22 03:52:23.845174+02	\N	\N	\N	\N	\N	\N	f	
17396	e923910b-e048-4696-8224-9800fd5bb30d	Sulbiate	Sulbiate	4	0	2013-07-22 06:22:11.292852+02	\N	\N	\N	\N	\N	\N	f	
17003	567cfda2-817b-4c47-84c4-e977c44856c7	Etroubles	Etroubles	4	0	2013-07-22 05:30:55.172485+02	\N	\N	\N	\N	\N	\N	f	
17017	b9403c94-500b-463b-94c3-211bdc9310ee	Montelapiano	Montelapiano	4	0	2013-07-22 05:33:01.972275+02	\N	\N	\N	\N	\N	\N	f	
22346	89236053-0556-44fc-80bd-b3b2ef9d0f16	Brisbane, California	Brisbane, California	3	0	2013-08-10 17:41:08.462265+02	\N	\N	\N	\N	\N	\N	f	
17018	ad5805b7-0ee5-44c9-8389-f12dee584a54	Quart, Aosta Valley	Quart, Aosta Valley	4	0	2013-07-22 05:33:02.325892+02	\N	\N	\N	\N	\N	\N	f	
18322	3a63ac22-aee7-42a1-aa1f-0b8ff9d2bb4a	Casalbuttano ed Uniti	Casalbuttano ed Uniti	4	0	2013-07-22 08:13:57.498823+02	\N	\N	\N	\N	\N	\N	f	
17021	f097f0f7-8bc2-4f10-93d8-372e96a7fdcf	La Thuile, Aosta Valley	La Thuile, Aosta Valley	4	0	2013-07-22 05:33:29.411707+02	\N	\N	\N	\N	\N	\N	f	
19713	f6368bda-54e3-4c49-96f4-51570aa95810	Castri di Lecce	Castri di Lecce	4	0	2013-07-22 11:27:08.738815+02	\N	\N	\N	\N	\N	\N	f	
20468	319f4c92-1e14-4675-82f0-eafdc3ee75b7	Bivongi	Bivongi	4	0	2013-07-23 02:42:03.486906+02	\N	\N	\N	\N	\N	\N	f	
18348	f02264f6-0ac1-4431-bda1-9f0a721c3a53	Valgreghentino	Valgreghentino	4	0	2013-07-22 08:17:23.702482+02	\N	\N	\N	\N	\N	\N	f	
18365	2d156564-6fb9-4215-85a4-ec2fc5b164a9	Cassago Brianza	Cassago Brianza	4	0	2013-07-22 08:19:25.556092+02	\N	\N	\N	\N	\N	\N	f	
22862	be349cb8-7545-43d6-b397-a75801e1f640	Gunnison, Colorado	Gunnison, Colorado	3	0	2013-08-20 08:25:13.99069+02	\N	\N	\N	\N	\N	\N	f	
19126	bfe32c2e-0bbe-4f65-8ae9-162ae3fe5cd6	Caltavuturo	Caltavuturo	4	0	2013-07-22 09:55:40.932331+02	\N	\N	\N	\N	\N	\N	f	
19718	cd5b99be-2a8b-4466-8a60-f59c6bd19ead	Carmiano	Carmiano	4	0	2013-07-22 11:28:20.501878+02	\N	\N	\N	\N	\N	\N	f	
19178	09fe9e55-5d85-4b9f-bab9-21a2456cf1f9	Villafrati	Villafrati	4	0	2013-07-22 10:02:44.583025+02	\N	\N	\N	\N	\N	\N	f	
19182	19dd82f5-16a4-410f-93f3-950239563b62	Valledolmo	Valledolmo	4	0	2013-07-22 10:03:09.66287+02	\N	\N	\N	\N	\N	\N	f	
22393	f648249a-9268-4557-9edf-4234e85a6820	Menifee	Menifee	3	0	2013-08-11 02:35:23.833418+02	\N	\N	\N	\N	\N	\N	f	
19227	18a2a70d-5342-4ee6-b636-0cb8e54e6088	Pescasseroli	Pescasseroli	4	0	2013-07-22 10:08:59.053665+02	\N	\N	\N	\N	\N	\N	f	
19731	ca32e2ee-d8c4-4351-85e8-0d91e28ff519	Galatina	Galatina	4	0	2013-07-22 11:29:48.295655+02	\N	\N	\N	\N	\N	\N	f	
19246	415069b4-db71-4eae-b052-2402b8055270	Civitella Roveto	Civitella Roveto	4	0	2013-07-22 10:11:10.7635+02	\N	\N	\N	\N	\N	\N	f	
19277	e886fb32-1c10-4a1a-b03c-afd2488343c4	Roccacasale	Roccacasale	4	0	2013-07-22 10:15:11.579352+02	\N	\N	\N	\N	\N	\N	f	
19351	6bbefaac-367f-472e-ab52-ffa18376decc	Carpineto Sinello	Carpineto Sinello	4	0	2013-07-22 10:24:15.8024+02	\N	\N	\N	\N	\N	\N	f	
19756	bf9c20ac-5bd7-4181-b6a0-7703722940ab	Talla	Talla	4	0	2013-07-22 11:32:30.86624+02	\N	\N	\N	\N	\N	\N	f	
20354	564c5f62-0507-4774-b925-9ebe886e6e85	Domanico	Domanico	4	0	2013-07-22 23:36:25.739963+02	\N	\N	\N	\N	\N	\N	f	
22442	02b94509-3b3a-49d3-903e-863a32cbfa72	Redlands	Redlands	3	0	2013-08-11 02:52:04.543753+02	\N	\N	\N	\N	\N	\N	f	
20466	5c6f656b-615d-44f2-aa30-29f04a443b07	Umbriatico	Umbriatico	4	0	2013-07-23 02:41:39.662323+02	\N	\N	\N	\N	\N	\N	f	
22495	0cffd55c-121e-4e27-accf-b40bfc964607	Moorpark	Moorpark	3	0	2013-08-11 05:44:14.95896+02	\N	\N	\N	\N	\N	\N	f	
22899	082f5040-8688-4357-91d8-9bb28b6fc49c	Clarkston, Michigan	Clarkston, Michigan	3	0	2013-08-20 14:21:13.762023+02	\N	\N	\N	\N	\N	\N	f	
22127	9d2e984b-0848-4b0b-8eee-9d748707775d	Rossie, Iowa	Rossie, Iowa	3	0	2013-08-07 17:38:21.037601+02	\N	\N	\N	\N	\N	\N	f	
22660	6d502586-f7b4-4ec8-9ef6-5da933ea9942	Villanova del Sillaro	Villanova del Sillaro	4	0	2013-08-13 23:35:00.975223+02	\N	\N	\N	\N	\N	\N	f	
22194	c83ba4b0-8df4-432c-a827-824ba8b76060	Burnet	Burnet	3	0	2013-08-08 08:43:14.075462+02	\N	\N	\N	\N	\N	\N	f	
22725	b93f45bd-6fde-41a7-b8fe-93c2213fbf39	Malvagna	Malvagna	4	0	2013-08-14 17:30:27.267407+02	\N	\N	\N	\N	\N	\N	f	
22901	7942e51d-53e7-4e93-886c-b1395bd6e5e2	Southgate, Michigan	Southgate, Michigan	3	0	2013-08-20 14:21:57.092949+02	\N	\N	\N	\N	\N	\N	f	
22825	991aa9a1-025b-443a-a876-e1d3974022b2	Sinagra, Sicily	Sinagra, Sicily	4	0	2013-08-14 20:30:51.820137+02	\N	\N	\N	\N	\N	\N	f	
22990	13855d65-c58d-49e3-a7eb-a8c1dee8729b	Larsen Bay	Larsen Bay	3	0	2013-08-20 23:31:30.344337+02	\N	\N	\N	\N	\N	\N	f	
22909	a785d2c7-aad8-4250-bdf4-bfc9596b2a58	East Grand Rapids, Michigan	East Grand Rapids, Michigan	3	0	2013-08-20 14:25:04.680754+02	\N	\N	\N	\N	\N	\N	f	
23114	b3abc336-0424-4ca0-93ee-90e6bb8d1e52	Sartell	Sartell	3	0	2013-08-22 05:21:41.84367+02	\N	\N	\N	\N	\N	\N	f	
23023	c836b6ac-4c1a-4ffe-99e6-353d036175f9	Macksville	Macksville	3	0	2013-08-21 08:26:06.539518+02	\N	\N	\N	\N	\N	\N	f	
24629	33f8eb39-f918-485f-81ba-295ac8af9f70	Mascoutah	Mascoutah	3	0	2013-09-07 07:56:16.885684+02	\N	\N	\N	\N	\N	\N	f	
23043	2fc9bb66-5ab0-4091-b385-eab67879f747	Bay St. Louis	Bay St. Louis	3	0	2013-08-22 02:20:56.181138+02	\N	\N	\N	\N	\N	\N	f	
24609	bb7716fa-595e-4d40-ac97-f9134ea6d073	Lake Forest	Lake Forest	3	0	2013-09-07 07:51:41.689011+02	\N	\N	\N	\N	\N	\N	f	
23130	6ed35846-3cc7-4fbf-a5e3-3dcbab3cc950	North Mankato	North Mankato	3	0	2013-08-22 05:26:32.388613+02	\N	\N	\N	\N	\N	\N	f	
24681	e053e380-bd8e-4985-aa9b-6cdb154b786c	Columbia	Columbia	3	0	2013-09-07 08:09:17.542627+02	\N	\N	\N	\N	\N	\N	f	
24799	e1a7b3d8-015a-4f4b-835f-10d5797157bf	Arion	Arion	3	0	2013-09-07 08:38:38.172842+02	\N	\N	\N	\N	\N	\N	f	
25139	7618cbcc-f660-49a6-8b55-9a7138625287	Olpe, Kansas	Olpe, Kansas	3	0	2013-09-07 10:20:53.607734+02	\N	\N	\N	\N	\N	\N	f	
25206	10826dee-dd79-488b-bfbd-e98acde337a4	Irwin	Irwin	3	0	2013-09-07 10:39:36.169321+02	\N	\N	\N	\N	\N	\N	f	
25302	f6991bfd-909b-4c36-adb1-fdf46b57cc8f	Glidden	Glidden	3	0	2013-09-07 11:06:24.355181+02	\N	\N	\N	\N	\N	\N	f	
25729	84e4eb3f-a5d8-4523-b079-5de3846b974f	Palmer, Kansas	Palmer, Kansas	3	0	2013-09-07 14:24:04.055065+02	\N	\N	\N	\N	\N	\N	f	
25827	dd01a037-ecaa-4ff7-8df9-710a10f80865	Ekron, Kentucky	Ekron, Kentucky	3	0	2013-09-07 14:49:59.737606+02	\N	\N	\N	\N	\N	\N	f	
26837	c9b33381-59ce-49f6-a1dc-764a7f0d08b7	Gretna	Gretna	3	0	2013-09-08 03:07:17.360275+02	\N	\N	\N	\N	\N	\N	f	
13871	b974587b-0ada-45b2-90f0-8d2e20937877	Monno	Monno	4	0	2013-07-21 19:31:50.417637+02	\N	\N	\N	\N	\N	\N	f	
13904	dce68cd9-fcff-41ee-900f-ef8c32ac9a17	Campegine	Campegine	4	0	2013-07-21 19:39:10.182835+02	\N	\N	\N	\N	\N	\N	f	
15553	58c645cf-8053-42d7-9446-cd61496029ae	Terdobbiate	Terdobbiate	4	0	2013-07-22 01:11:03.549707+02	\N	\N	\N	\N	\N	\N	f	
14469	df580b93-7085-48f2-8c5c-d9b328ed1c77	Rivarone	Rivarone	4	0	2013-07-21 21:44:44.754692+02	\N	\N	\N	\N	\N	\N	f	
15640	86c49b5f-7cc2-406f-ab03-48cc12dbdb8b	Canale Monterano	Canale Monterano	4	0	2013-07-22 01:30:41.382136+02	\N	\N	\N	\N	\N	\N	f	
17354	2c698fe0-b8e9-441b-b711-89bac772385b	Delebio	Delebio	4	0	2013-07-22 06:17:09.182369+02	\N	\N	\N	\N	\N	\N	f	
16278	2390f608-f2d7-4ecf-bd70-a58813bb5551	Campomarino	Campomarino	4	0	2013-07-22 03:14:17.155217+02	\N	\N	\N	\N	\N	\N	f	
16330	67fe768f-0092-4135-81ee-548de369c3bc	Santa Croce di Magliano	Santa Croce di Magliano	4	0	2013-07-22 03:20:38.259741+02	\N	\N	\N	\N	\N	\N	f	
19400	acb4fc82-9262-4a66-b5bf-0e8e9054718a	Liscia	Liscia	4	0	2013-07-22 10:30:25.552145+02	\N	\N	\N	\N	\N	\N	f	
16332	57e2fe18-6629-488e-882b-ff65510704c4	Sant'Angelo Limosano	Sant'Angelo Limosano	4	0	2013-07-22 03:20:50.403279+02	\N	\N	\N	\N	\N	\N	f	
17367	60ef3d26-fab0-416b-a6d7-6e0fdf016821	Tartano	Tartano	4	0	2013-07-22 06:18:40.288372+02	\N	\N	\N	\N	\N	\N	f	
22252	f07ff90b-1c18-44fe-a964-31c17a21743e	Ennis	Ennis	3	0	2013-08-08 14:43:58.285516+02	\N	\N	\N	\N	\N	\N	f	
16432	234bfeac-cb50-401b-97c0-13cc5aac7d9a	Ortacesus	Ortacesus	4	0	2013-07-22 03:32:40.263221+02	\N	\N	\N	\N	\N	\N	f	
16438	fd3778a4-2bd3-4f14-b7ee-e23c546d286a	Isili	Isili	4	0	2013-07-22 03:33:27.391105+02	\N	\N	\N	\N	\N	\N	f	
17413	8fa6a5b9-6888-43db-8068-d31670bbcb8b	Torrevecchia Pia	Torrevecchia Pia	4	0	2013-07-22 06:24:17.003056+02	\N	\N	\N	\N	\N	\N	f	
16559	571d660d-217e-462c-b6c7-a62131787262	Castelcucco	Castelcucco	4	0	2013-07-22 03:48:18.63907+02	\N	\N	\N	\N	\N	\N	f	
17005	08d54caf-f252-47a1-ba2e-3451ac056293	Gressoney-Saint-Jean	Gressoney-Saint-Jean	4	0	2013-07-22 05:31:12.19018+02	\N	\N	\N	\N	\N	\N	f	
19714	f12e7ce6-e0c9-4864-bb56-a0f67e701a7b	Cursi	Cursi	4	0	2013-07-22 11:27:27.254178+02	\N	\N	\N	\N	\N	\N	f	
17079	e9549396-4d0c-4de1-b1f1-797c5718ec74	Cantù	Cantù	4	0	2013-07-22 05:40:41.397932+02	\N	\N	\N	\N	\N	\N	f	
17460	6f573061-a575-4efe-b7e6-798dcdebd1c4	Santa Cristina e Bissone	Santa Cristina e Bissone	4	0	2013-07-22 06:30:22.387112+02	\N	\N	\N	\N	\N	\N	f	
17084	75cb2643-7c0c-4147-a208-6d6dc9d40e8d	Toblach	Toblach	4	0	2013-07-22 05:41:31.115508+02	\N	\N	\N	\N	\N	\N	f	
17636	4195fe93-92cb-4da2-9e14-ea84250372f4	Belgioioso	Belgioioso	4	0	2013-07-22 06:52:03.115428+02	\N	\N	\N	\N	\N	\N	f	
23161	771f84e3-46ab-49e8-a0d8-278df50be65f	Lyle	Lyle	3	0	2013-08-22 05:35:37.58996+02	\N	\N	\N	\N	\N	\N	f	
17641	d06c7651-89f0-4488-a374-db063f06ce82	Sommo	Sommo	4	0	2013-07-22 06:52:33.032929+02	\N	\N	\N	\N	\N	\N	f	
19742	09753f44-2840-4e28-96f2-6e0f2e5a0255	Binasco	Binasco	4	0	2013-07-22 11:31:02.612968+02	\N	\N	\N	\N	\N	\N	f	
22394	17a1a96c-1aa8-46e5-be5d-6aa183d14632	Jurupa Valley	Jurupa Valley	3	0	2013-08-11 02:35:54.002024+02	\N	\N	\N	\N	\N	\N	f	
18370	5267cb12-c824-4be8-8c94-34b38b69db0b	Sirone	Sirone	4	0	2013-07-22 08:20:15.745745+02	\N	\N	\N	\N	\N	\N	f	
19132	272c4289-abf1-42b6-9e8d-a03f965e72a3	Castelbuono	Castelbuono	4	0	2013-07-22 09:56:23.542511+02	\N	\N	\N	\N	\N	\N	f	
19153	473a0d7f-7dac-4b62-9cbd-e9be81b288fc	Ulten	Ulten	4	0	2013-07-22 09:59:43.192966+02	\N	\N	\N	\N	\N	\N	f	
19234	8539336f-e4e7-4d47-8413-880ebfada692	Gioia dei Marsi	Gioia dei Marsi	4	0	2013-07-22 10:09:53.059221+02	\N	\N	\N	\N	\N	\N	f	
23024	1b589ad5-04a5-4f0a-a6ce-fa37857a625c	Cheney	Cheney	3	0	2013-08-21 08:26:25.767603+02	\N	\N	\N	\N	\N	\N	f	
19286	09f76d17-8073-4c0e-8d3d-768cb7ddf920	Scurcola Marsicana	Scurcola Marsicana	4	0	2013-07-22 10:16:11.325907+02	\N	\N	\N	\N	\N	\N	f	
20355	036c5f21-7ba7-40a1-9665-f71986aa0b4c	Carolei	Carolei	4	0	2013-07-22 23:36:37.873504+02	\N	\N	\N	\N	\N	\N	f	
22496	0fbdcc35-04db-4882-a74a-fbf9209eab61	Greenfield	Greenfield	3	0	2013-08-11 05:44:28.801059+02	\N	\N	\N	\N	\N	\N	f	
19336	37942392-8944-4186-89b2-86b33e9b5dfb	Ferla	Ferla	4	0	2013-07-22 10:22:16.566204+02	\N	\N	\N	\N	\N	\N	f	
19346	a459f89a-7ae1-4aa5-ba93-693dff6d8fb1	Gsies	Gsies	4	0	2013-07-22 10:23:26.709303+02	\N	\N	\N	\N	\N	\N	f	
19384	f9917d7c-a588-4cd8-8680-c066135a88b6	Guilmi	Guilmi	4	0	2013-07-22 10:28:21.093569+02	\N	\N	\N	\N	\N	\N	f	
22992	8b513493-251c-4a5d-aeb8-f04f8d04543b	Kobuk	Kobuk	3	0	2013-08-20 23:32:14.086111+02	\N	\N	\N	\N	\N	\N	f	
22661	33b917e9-c92a-4b6a-b21b-a30bfa1f008f	Carate Brianza	Carate Brianza	4	0	2013-08-13 23:35:15.030492+02	\N	\N	\N	\N	\N	\N	f	
20484	8d8d0669-ec86-4075-b460-4421a19869a2	Caulonia	Caulonia	4	0	2013-07-23 02:46:17.596276+02	\N	\N	\N	\N	\N	\N	f	
20501	8ab561a5-cefb-4526-a5e2-648cf52af1bd	Caraffa del Bianco	Caraffa del Bianco	4	0	2013-07-23 02:49:44.744932+02	\N	\N	\N	\N	\N	\N	f	
22726	9a5d4cfc-f130-4dc0-b8a1-818e90d330a5	Vas	Vas	4	0	2013-08-14 17:30:40.390571+02	\N	\N	\N	\N	\N	\N	f	
23031	4514198e-e90b-4e79-b105-2c3532845bc3	Pratt, Kansas	Pratt, Kansas	3	0	2013-08-21 08:31:44.748273+02	\N	\N	\N	\N	\N	\N	f	
22826	08e3ed28-570c-4c71-b601-e9c332c1defb	Castroreale	Castroreale	4	0	2013-08-14 20:31:05.124326+02	\N	\N	\N	\N	\N	\N	f	
22128	a8acf7e8-50ff-4f75-b00c-e4c1d17be91e	Clearfield, Iowa	Clearfield, Iowa	3	0	2013-08-07 17:38:35.0413+02	\N	\N	\N	\N	\N	\N	f	
22196	80216ad1-9623-4888-8839-e97bf24219b3	Monahans	Monahans	3	0	2013-08-08 08:43:44.321193+02	\N	\N	\N	\N	\N	\N	f	
22863	ebebcdd6-08e5-4857-a846-e1a2efc0df60	Yuma	Yuma	3	0	2013-08-20 08:26:06.683578+02	\N	\N	\N	\N	\N	\N	f	
24613	053cee62-0cb3-45b2-a1cc-678b6df81672	Wyoming	Wyoming	3	0	2013-09-07 07:52:34.645207+02	\N	\N	\N	\N	\N	\N	f	
22900	7b9a1431-ee20-4381-b342-acc70625b714	Highland Park	Highland Park	3	0	2013-08-20 14:21:35.217259+02	\N	\N	\N	\N	\N	\N	f	
23044	30b67987-3518-4de4-a573-7bc448504533	Faribault, Minnesota	Faribault, Minnesota	3	0	2013-08-22 02:21:12.237775+02	\N	\N	\N	\N	\N	\N	f	
22979	7e40ae5a-85f5-4881-9214-199f0a88c27f	Buckland	Buckland	3	0	2013-08-20 20:32:05.289206+02	\N	\N	\N	\N	\N	\N	f	
22991	cb30a753-2124-4fff-8678-011d6846d5f4	Pilot Point	Pilot Point	3	0	2013-08-20 23:31:52.373193+02	\N	\N	\N	\N	\N	\N	f	
23086	bfd4fed6-6e03-47d6-96c8-7c631bcfaf11	Natchez	Natchez	3	0	2013-08-22 02:44:02.628292+02	\N	\N	\N	\N	\N	\N	f	
23115	2350ece7-5216-4ec7-8d19-b160826c682f	Medicine Lake	Medicine Lake	3	0	2013-08-22 05:22:04.768592+02	\N	\N	\N	\N	\N	\N	f	
24661	40d93f36-91ae-4209-9794-eedeb2164a8a	Leland Grove	Leland Grove	3	0	2013-09-07 08:04:40.689151+02	\N	\N	\N	\N	\N	\N	f	
24611	e846a43c-d518-4420-9594-3ce42ea1cc64	Centreville	Centreville	3	0	2013-09-07 07:52:08.149796+02	\N	\N	\N	\N	\N	\N	f	
25149	d95bcaa5-3f58-4165-a012-c91047341382	Smolan, Kansas	Smolan, Kansas	3	0	2013-09-07 10:24:01.223631+02	\N	\N	\N	\N	\N	\N	f	
24704	6268a372-6632-446e-abad-b17e3990fc71	Effingham	Effingham	3	0	2013-09-07 08:14:38.550627+02	\N	\N	\N	\N	\N	\N	f	
25141	ced6ffa0-1600-4942-b24c-c8c5821e96c8	Salina	Salina	3	0	2013-09-07 10:21:51.178724+02	\N	\N	\N	\N	\N	\N	f	
25731	8f022623-03e5-417a-ac13-83dc4d7866fc	Satanta, Kansas	Satanta, Kansas	3	0	2013-09-07 14:24:37.888853+02	\N	\N	\N	\N	\N	\N	f	
25233	1fe66521-6f51-4504-ba21-e147854d7af9	Fredonia	Fredonia	3	0	2013-09-07 10:47:45.673191+02	\N	\N	\N	\N	\N	\N	f	
25269	4ba3e8f9-80e3-4a5e-9709-b708e2231e3d	Coppock	Coppock	3	0	2013-09-07 10:57:30.28008+02	\N	\N	\N	\N	\N	\N	f	
25734	1be72ca8-6f01-440b-a45d-4f81b5b7e1f5	Cherrywood Village, Kentucky	Cherrywood Village, Kentucky	3	0	2013-09-07 14:25:23.85634+02	\N	\N	\N	\N	\N	\N	f	
26174	bec50720-cba0-412c-a667-1fd1f40cd339	Ten Broeck, Kentucky	Ten Broeck, Kentucky	3	0	2013-09-07 20:36:46.6542+02	\N	\N	\N	\N	\N	\N	f	
25815	84cc8c04-dab7-46d8-9adb-c26e205d219a	Formoso, Kansas	Formoso, Kansas	3	0	2013-09-07 14:46:50.010127+02	\N	\N	\N	\N	\N	\N	f	
26235	c4416add-2ba1-496e-979c-b862ff854c92	Douglass Hills	Douglass Hills	3	0	2013-09-07 20:52:32.248306+02	\N	\N	\N	\N	\N	\N	f	
26276	c3d6e819-d0a0-4f5a-9c3c-7e12ed2c9502	Wheelwright, Kentucky	Wheelwright, Kentucky	3	0	2013-09-07 21:04:20.477572+02	\N	\N	\N	\N	\N	\N	f	
26490	84210898-8e63-49c9-8965-3fffcdb046b8	Reinbeck, Iowa	Reinbeck, Iowa	3	0	2013-09-08 00:48:31.279245+02	\N	\N	\N	\N	\N	\N	f	
26840	b7d7f3d6-3791-4822-bdea-cef91eed8f16	Houston Lake	Houston Lake	3	0	2013-09-08 03:07:59.965462+02	\N	\N	\N	\N	\N	\N	f	
10646	52f0c9a0-1bf5-4f68-962f-a4046fc067b9	Nantan	Nantan	3	0	2013-06-19 00:49:41.5188+02	\N	\N	\N	\N	\N	\N	f	
10660	81b07f97-7af1-4dde-96db-12c1e78b1860	Hinohara	Hinohara	3	0	2013-06-19 00:56:38.625497+02	\N	\N	\N	\N	\N	\N	f	
13872	36ecb41b-40e5-4dc2-9295-9066c003675c	Nuvolera	Nuvolera	4	0	2013-07-21 19:32:02.462985+02	\N	\N	\N	\N	\N	\N	f	
13975	064d4b93-961e-493c-8fe2-18eebdf79f75	Monte Colombo	Monte Colombo	4	0	2013-07-21 19:54:49.374255+02	\N	\N	\N	\N	\N	\N	f	
15554	3fc24d52-b097-4ece-bffa-f1599c0898ba	Zuclo	Zuclo	4	0	2013-07-22 01:11:20.29611+02	\N	\N	\N	\N	\N	\N	f	
14470	5790736b-9efc-432d-ac55-ad2bc31d2219	Prasco	Prasco	4	0	2013-07-21 21:44:57.85299+02	\N	\N	\N	\N	\N	\N	f	
14986	5249323d-f0ac-4cbc-8b8a-89dcdb90731f	Monchiero	Monchiero	4	0	2013-07-21 23:33:50.210528+02	\N	\N	\N	\N	\N	\N	f	
16279	fdc635b2-c4ad-4286-a20f-428af9778965	Morrone del Sannio	Morrone del Sannio	4	0	2013-07-22 03:14:24.827222+02	\N	\N	\N	\N	\N	\N	f	
22827	87e5ef0a-8813-4d5e-ab0b-51cc9b008974	Channing	Channing	3	0	2013-08-14 20:37:05.197642+02	\N	\N	\N	\N	\N	\N	f	
16343	585a81ba-6494-4bac-a06b-259cab9fc870	Roccasicura	Roccasicura	4	0	2013-07-22 03:22:09.891371+02	\N	\N	\N	\N	\N	\N	f	
16413	43d1b0d0-b2b7-406d-9c64-8b1e281ec433	Donori	Donori	4	0	2013-07-22 03:30:39.677595+02	\N	\N	\N	\N	\N	\N	f	
17007	d777d0a8-aad8-46f9-99b9-084d5158f8fe	Champorcher	Champorcher	4	0	2013-07-22 05:31:26.731626+02	\N	\N	\N	\N	\N	\N	f	
17491	d97ced65-0a1e-4f07-ae09-66d1b6c2e1cb	Brenta	Brenta	4	0	2013-07-22 06:34:00.996783+02	\N	\N	\N	\N	\N	\N	f	
17154	24c1ccbb-212f-4e48-8ee3-d51470bbee84	Masullas	Masullas	4	0	2013-07-22 05:50:38.932273+02	\N	\N	\N	\N	\N	\N	f	
19716	2fe2261a-4596-4622-ba65-147b07daf88f	Alliste	Alliste	4	0	2013-07-22 11:27:52.636817+02	\N	\N	\N	\N	\N	\N	f	
17492	78e78cf9-0cf0-400d-b992-9be2fc2fc216	Casalzuigno	Casalzuigno	4	0	2013-07-22 06:34:01.366013+02	\N	\N	\N	\N	\N	\N	f	
18339	f5ce2396-af6e-47d0-931c-1ed200262cc9	Bresso	Bresso	4	0	2013-07-22 08:16:12.089963+02	\N	\N	\N	\N	\N	\N	f	
19134	edd0230f-3aec-43e9-bdd6-04bbdb027b38	Camporeale	Camporeale	4	0	2013-07-22 09:56:37.655337+02	\N	\N	\N	\N	\N	\N	f	
19723	3928bc76-e0d5-472b-9009-229d0b7ac14d	San Giorgio su Legnano	San Giorgio su Legnano	4	0	2013-07-22 11:28:58.383561+02	\N	\N	\N	\N	\N	\N	f	
19206	059ddd3a-1d13-4454-981b-e5e5fa879e0c	Blufi	Blufi	4	0	2013-07-22 10:06:04.362445+02	\N	\N	\N	\N	\N	\N	f	
22129	642d1fbb-3e49-42ae-a93c-0fe601f07e39	Logan, Iowa	Logan, Iowa	3	0	2013-08-07 17:38:53.554068+02	\N	\N	\N	\N	\N	\N	f	
19213	7d4df18d-4ffb-42c4-a625-43f8f0533784	Goriano Sicoli	Goriano Sicoli	4	0	2013-07-22 10:07:10.991682+02	\N	\N	\N	\N	\N	\N	f	
19733	1ea47a8c-ddb6-4750-90cd-74712ea03209	Caprarica di Lecce	Caprarica di Lecce	4	0	2013-07-22 11:30:00.392345+02	\N	\N	\N	\N	\N	\N	f	
22864	6ead4037-f01d-4820-95be-161ec91e27f9	Florence, Colorado	Florence, Colorado	3	0	2013-08-20 08:28:51.158072+02	\N	\N	\N	\N	\N	\N	f	
19291	9eef0895-902c-43a2-8e67-485e9d15a451	San Demetrio ne' Vestini	San Demetrio ne' Vestini	4	0	2013-07-22 10:16:51.537003+02	\N	\N	\N	\N	\N	\N	f	
19299	432d6a7f-ff01-4d3b-a1cd-600e7e4092ee	Pettorano sul Gizio	Pettorano sul Gizio	4	0	2013-07-22 10:17:54.521927+02	\N	\N	\N	\N	\N	\N	f	
19734	e46fd49d-2e8c-48ff-98f0-fb07f3ec12aa	Lizzanello	Lizzanello	4	0	2013-07-22 11:30:12.857474+02	\N	\N	\N	\N	\N	\N	f	
19344	140c1e5a-9cbf-4e66-853d-9249bfc69ac3	Tirol, South Tyrol	Tirol, South Tyrol	4	0	2013-07-22 10:23:13.687544+02	\N	\N	\N	\N	\N	\N	f	
23075	9a1bdca8-50f7-4dff-938c-42e70f2d7630	Winona	Winona	3	0	2013-08-22 02:39:37.866737+02	\N	\N	\N	\N	\N	\N	f	
19471	b730dfb2-b43b-40e8-855a-ac3f2d54533c	Montebello di Bertona	Montebello di Bertona	4	0	2013-07-22 10:39:09.349357+02	\N	\N	\N	\N	\N	\N	f	
19736	d8c816f9-2433-43bc-82b8-d5cf6d1cc3e7	Collepasso	Collepasso	4	0	2013-07-22 11:30:25.265224+02	\N	\N	\N	\N	\N	\N	f	
22198	dfe20fc8-b841-41b3-bafa-32db85ed2ed9	Calvert	Calvert	3	0	2013-08-08 08:44:19.092491+02	\N	\N	\N	\N	\N	\N	f	
19746	d6e25c22-3fe2-4aab-af69-e1c37917ad29	Arnesano	Arnesano	4	0	2013-07-22 11:31:31.257107+02	\N	\N	\N	\N	\N	\N	f	
19770	3efcbb94-e503-4051-aa5e-519560453352	Cutrofiano	Cutrofiano	4	0	2013-07-22 11:34:10.534858+02	\N	\N	\N	\N	\N	\N	f	
22902	2d662692-5a6e-45ec-8faf-3c388e3e71c6	Caro, Michigan	Caro, Michigan	3	0	2013-08-20 14:22:20.982949+02	\N	\N	\N	\N	\N	\N	f	
19805	ca637238-37fe-4b43-9233-03cc7220c368	Vanzago	Vanzago	4	0	2013-07-22 11:38:12.947887+02	\N	\N	\N	\N	\N	\N	f	
22253	a4bf234a-16b7-48fc-9eba-99f571850db5	Lacy Lakeview	Lacy Lakeview	3	0	2013-08-08 14:44:12.073489+02	\N	\N	\N	\N	\N	\N	f	
19841	e7c2efc9-fdc6-450a-8c9f-8076978bb58e	Ruffano	Ruffano	4	0	2013-07-22 11:45:28.863133+02	\N	\N	\N	\N	\N	\N	f	
19997	2bf82f05-6695-4288-8fd0-16d6be1f1032	Venosa	Venosa	4	0	2013-07-22 12:05:21.269755+02	\N	\N	\N	\N	\N	\N	f	
22395	3e9d5c97-ac8c-4169-aac6-03c63b6b3b52	Escondido	Escondido	3	0	2013-08-11 02:36:07.672916+02	\N	\N	\N	\N	\N	\N	f	
20356	6082ecb7-a446-492f-a954-6f05d38698f6	Cervicati	Cervicati	4	0	2013-07-22 23:36:50.00738+02	\N	\N	\N	\N	\N	\N	f	
20360	b0427aa3-2d52-48be-a146-f62740e1212a	Belsito	Belsito	4	0	2013-07-22 23:37:39.236519+02	\N	\N	\N	\N	\N	\N	f	
22981	3f41dc6d-c75d-4915-addd-f26e8569f963	Bettles	Bettles	3	0	2013-08-20 20:32:46.74951+02	\N	\N	\N	\N	\N	\N	f	
20470	f5ae4c3c-2360-4aaa-bfa6-6b5530d63646	Ciminà	Ciminà	4	0	2013-07-23 02:42:27.015631+02	\N	\N	\N	\N	\N	\N	f	
23116	0c18f679-52d9-4fb3-86c1-85114bff5d13	Jordan	Jordan	3	0	2013-08-22 05:22:22.8992+02	\N	\N	\N	\N	\N	\N	f	
22498	c796b29d-4bd9-4146-b47c-c44e13b54312	Reedley	Reedley	3	0	2013-08-11 05:45:03.038871+02	\N	\N	\N	\N	\N	\N	f	
23001	b9cf4650-6c17-4749-b494-2b236c86114d	Savoonga	Savoonga	3	0	2013-08-20 23:34:47.961174+02	\N	\N	\N	\N	\N	\N	f	
22662	c429ead1-07d0-4e8f-8ae9-2e65cf301525	Vedano al Lambro	Vedano al Lambro	4	0	2013-08-13 23:35:40.853344+02	\N	\N	\N	\N	\N	\N	f	
22727	1356a2f0-9ebd-41ee-9bc5-5fcbf2c2226f	Santa Giustina	Santa Giustina	4	0	2013-08-14 17:31:02.433787+02	\N	\N	\N	\N	\N	\N	f	
25143	ca900bf9-4a8c-431b-88e1-70008bf24972	New Albany	New Albany	3	0	2013-09-07 10:22:30.185285+02	\N	\N	\N	\N	\N	\N	f	
23025	b13bbf63-26b0-482e-967c-43503240f1e4	Burlingame	Burlingame	3	0	2013-08-21 08:26:38.524294+02	\N	\N	\N	\N	\N	\N	f	
23047	6ec4a9e3-8671-4887-ab20-22a579b54bd5	Crosslake, Minnesota	Crosslake, Minnesota	3	0	2013-08-22 02:22:16.427883+02	\N	\N	\N	\N	\N	\N	f	
24612	0c44480c-cde8-4507-84f8-4ebca8d594d8	Mount Pulaski	Mount Pulaski	3	0	2013-09-07 07:52:21.354488+02	\N	\N	\N	\N	\N	\N	f	
24619	f08308f0-1655-4c27-8af1-560919c3ed20	Colchester	Colchester	3	0	2013-09-07 07:53:54.758738+02	\N	\N	\N	\N	\N	\N	f	
25203	6acb6af5-0b4f-4b25-8a6f-2e2a40c07f6f	Syracuse	Syracuse	3	0	2013-09-07 10:38:33.348729+02	\N	\N	\N	\N	\N	\N	f	
24632	d001c147-eb66-4fa6-8b8f-ec64eb8e0c4e	Wood Dale	Wood Dale	3	0	2013-09-07 07:57:01.069771+02	\N	\N	\N	\N	\N	\N	f	
25154	0577fef3-9a45-42f2-9ae0-04814a5f6c1f	Sterling, Kansas	Sterling, Kansas	3	0	2013-09-07 10:25:13.459083+02	\N	\N	\N	\N	\N	\N	f	
26176	9f4061b0-0b62-45f1-829e-aef34423db1d	Ludlow, Kentucky	Ludlow, Kentucky	3	0	2013-09-07 20:37:14.52064+02	\N	\N	\N	\N	\N	\N	f	
25164	99d98ff0-d2a1-4c5a-8711-89dbafe58b99	Booneville, Kentucky	Booneville, Kentucky	3	0	2013-09-07 10:27:39.733902+02	\N	\N	\N	\N	\N	\N	f	
25844	fc7536ba-6733-4a58-9cca-c220291a1a8d	Stamping Ground, Kentucky	Stamping Ground, Kentucky	3	0	2013-09-07 14:54:16.610725+02	\N	\N	\N	\N	\N	\N	f	
25732	1e9ae122-5ce3-4484-80ab-cc53bbe139a4	Edmond, Kansas	Edmond, Kansas	3	0	2013-09-07 14:24:53.008738+02	\N	\N	\N	\N	\N	\N	f	
25810	28dc28a0-dc7e-4cab-bb76-fb9dceb8b147	Wellsburg, Iowa	Wellsburg, Iowa	3	0	2013-09-07 14:45:13.798056+02	\N	\N	\N	\N	\N	\N	f	
26493	a9f0b3e7-091f-4919-92ca-b1791a2bb781	St. Anthony, Iowa	St. Anthony, Iowa	3	0	2013-09-08 00:49:17.891688+02	\N	\N	\N	\N	\N	\N	f	
26525	6e849720-3b6b-4ce6-892d-a3b43c56dbec	Wadena, Iowa	Wadena, Iowa	3	0	2013-09-08 00:57:53.324189+02	\N	\N	\N	\N	\N	\N	f	
26526	2703ff34-f223-4704-88ad-a1c74709d06f	Clinton, Iowa	Clinton, Iowa	3	0	2013-09-08 00:58:10.505632+02	\N	\N	\N	\N	\N	\N	f	
27272	f809ab95-73ce-4bae-9217-7b3a2d327a29	Cooter	Cooter	3	0	2013-09-08 06:15:25.914781+02	\N	\N	\N	\N	\N	\N	f	
26843	cb39f727-4f63-479b-8856-4cbb4f8df8b1	Noel	Noel	3	0	2013-09-08 03:08:43.817958+02	\N	\N	\N	\N	\N	\N	f	
27592	45f005cd-7061-4abe-8ad5-569d89376c1c	Hansboro, North Dakota	Hansboro, North Dakota	3	0	2013-09-08 08:51:24.06414+02	\N	\N	\N	\N	\N	\N	f	
27708	de36e0f0-3386-43f4-83bc-6d182ee16e3f	Minco, Oklahoma	Minco, Oklahoma	3	0	2013-09-08 09:30:51.594576+02	\N	\N	\N	\N	\N	\N	f	
10647	f42c9f11-1bad-4a1a-b8a8-43d7bf2c15af	Shizuoka	Shizuoka	3	0	2013-06-19 00:50:01.280019+02	\N	\N	\N	\N	\N	\N	f	
13874	4571bf97-e96d-468a-8d53-92eac6626b68	Niardo	Niardo	4	0	2013-07-21 19:32:31.799349+02	\N	\N	\N	\N	\N	\N	f	
10649	730f8668-8692-44a9-9dad-ac5a11d8ec77	Koruste	Koruste	3	0	2013-06-19 00:51:16.367863+02	\N	\N	\N	\N	\N	\N	f	
10650	e633d760-ab94-4b4c-8166-4a2ecf8b7add	Kitakyūshū	Kitakyūshū	3	0	2013-06-19 00:51:22.846434+02	\N	\N	\N	\N	\N	\N	f	
10651	13b0ee95-5655-4738-b999-3d864a29a490	Kanazawa	Kanazawa	3	0	2013-06-19 00:51:44.011577+02	\N	\N	\N	\N	\N	\N	f	
14471	936d93d7-dffe-4d9e-a05c-a1b27cf5c3c1	Pietra Marazzi	Pietra Marazzi	4	0	2013-07-21 21:45:11.360718+02	\N	\N	\N	\N	\N	\N	f	
10656	1c7dae19-acc8-434b-b2d8-0445ee2cc397	Toyama	Toyama	3	0	2013-06-19 00:54:47.174832+02	\N	\N	\N	\N	\N	\N	f	
10666	c3baf30b-ff38-4a64-ae40-b4b95eb286f1	Yonago	Yonago	3	0	2013-06-19 01:02:34.944422+02	\N	\N	\N	\N	\N	\N	f	
15556	f51a1724-464b-41ae-b96e-30f868973077	Bath	Bath	3	0	2013-07-22 01:11:48.686029+02	\N	\N	\N	\N	\N	\N	f	
16281	0bdecfc2-a355-42ae-874f-977c9dd6b1c4	Cercemaggiore	Cercemaggiore	4	0	2013-07-22 03:14:44.190635+02	\N	\N	\N	\N	\N	\N	f	
17357	97b17fcf-92c3-4e24-88fa-ed47277148c3	Buglio in Monte	Buglio in Monte	4	0	2013-07-22 06:17:28.557325+02	\N	\N	\N	\N	\N	\N	f	
16293	04c84aab-e24f-4f23-a521-b5a34e8e0cfb	Castelmauro	Castelmauro	4	0	2013-07-22 03:16:09.711868+02	\N	\N	\N	\N	\N	\N	f	
16367	8104e9df-bc1c-4f48-94da-751344e61da5	Rionero Sannitico	Rionero Sannitico	4	0	2013-07-22 03:24:47.412924+02	\N	\N	\N	\N	\N	\N	f	
22865	dbe53871-db21-47ea-a0c3-3ab58317a3ab	Gainesville	Gainesville	3	0	2013-08-20 08:30:54.797041+02	\N	\N	\N	\N	\N	\N	f	
16617	1d637f83-4d6b-48b5-a612-96559040c007	Dualchi	Dualchi	4	0	2013-07-22 03:55:30.653868+02	\N	\N	\N	\N	\N	\N	f	
18346	5557f195-6308-453a-ae8f-ff97ec4818de	Suello	Suello	4	0	2013-07-22 08:17:06.379527+02	\N	\N	\N	\N	\N	\N	f	
17008	0c68f008-0364-454c-9f59-c565ffa6cf06	Emarèse	Emarèse	4	0	2013-07-22 05:31:29.220588+02	\N	\N	\N	\N	\N	\N	f	
17118	b8f70fc6-e0f1-44ba-9243-53dd080917d3	Ales, Sardinia	Ales, Sardinia	4	0	2013-07-22 05:45:58.62508+02	\N	\N	\N	\N	\N	\N	f	
19717	6ce5e6ce-46e6-4384-b69b-a8cb15f6c1ff	Acquarica del Capo	Acquarica del Capo	4	0	2013-07-22 11:28:07.888052+02	\N	\N	\N	\N	\N	\N	f	
17170	1b8e6bd8-7e5d-464f-8cdd-622dc7332165	Scano di Montiferro	Scano di Montiferro	4	0	2013-07-22 05:52:52.434011+02	\N	\N	\N	\N	\N	\N	f	
22426	2be9fd04-2a1f-49f4-ae03-7307f5fe8fd2	Atwater, California	Atwater, California	3	0	2013-08-11 02:47:42.39547+02	\N	\N	\N	\N	\N	\N	f	
17184	8b353596-a2aa-4417-a4e7-a1d50e9b947f	Siris, Sardinia	Siris, Sardinia	4	0	2013-07-22 05:54:49.294866+02	\N	\N	\N	\N	\N	\N	f	
19138	88aad779-2ea5-4fc9-b181-5f5b9be008f1	Petralia Sottana	Petralia Sottana	4	0	2013-07-22 09:57:07.303902+02	\N	\N	\N	\N	\N	\N	f	
19180	e2188c99-4be9-49ca-9135-da7215467350	Aliminusa	Aliminusa	4	0	2013-07-22 10:02:57.107873+02	\N	\N	\N	\N	\N	\N	f	
19730	a4ef6d7d-f0dc-42c0-b8c9-5c2e06641a89	Peschiera Borromeo	Peschiera Borromeo	4	0	2013-07-22 11:29:47.657324+02	\N	\N	\N	\N	\N	\N	f	
19278	129a747f-4d4e-493e-9f30-d47f8de1b5dd	Villalago	Villalago	4	0	2013-07-22 10:15:12.258587+02	\N	\N	\N	\N	\N	\N	f	
19309	f4b88341-04d6-4964-819b-5931fb52eb0d	Roccaraso	Roccaraso	4	0	2013-07-22 10:19:06.587064+02	\N	\N	\N	\N	\N	\N	f	
22429	f505e93d-efb5-4d9b-ad62-f31110658140	Pinole, California	Pinole, California	3	0	2013-08-11 02:48:34.680515+02	\N	\N	\N	\N	\N	\N	f	
19757	6b568c10-1c7c-4146-abd0-46395accdca3	Camastra	Camastra	4	0	2013-07-22 11:32:42.121772+02	\N	\N	\N	\N	\N	\N	f	
19406	ab119eeb-6e92-4626-a8e4-2df17aaa3714	Quadri	Quadri	4	0	2013-07-22 10:31:05.837006+02	\N	\N	\N	\N	\N	\N	f	
20357	9ec5e87d-f043-408c-b528-9b0b41961ae9	Fiumefreddo Bruzio	Fiumefreddo Bruzio	4	0	2013-07-22 23:37:02.020407+02	\N	\N	\N	\N	\N	\N	f	
23117	e6e00a11-2f6b-4830-9117-4981ce0fb093	Zumbrota	Zumbrota	3	0	2013-08-22 05:22:38.246709+02	\N	\N	\N	\N	\N	\N	f	
20473	b95823c5-bd8d-4925-ad4d-cf003e952648	Cittanova	Cittanova	4	0	2013-07-23 02:43:02.627623+02	\N	\N	\N	\N	\N	\N	f	
22499	2c638a37-6348-418f-805a-e02923c5ee3e	Larkspur	Larkspur	3	0	2013-08-11 05:45:16.732422+02	\N	\N	\N	\N	\N	\N	f	
20479	536307f7-027b-4a18-b338-9226c2e57568	Mesoraca	Mesoraca	4	0	2013-07-23 02:45:03.974877+02	\N	\N	\N	\N	\N	\N	f	
10648	4e29322e-bb08-45d2-98bc-7d2ce1286b59	Odessa	Odessa	3	0	2013-06-22 02:00:23.298715+02	\N	\N	\N	\N	\N	\N	f	
20481	deb4e422-0605-42eb-adc6-24c0532d5973	Casignana	Casignana	4	0	2013-07-23 02:45:31.943013+02	\N	\N	\N	\N	\N	\N	f	
22903	131edc34-3d02-46e6-9a4b-1940c86c68b1	Hudsonville	Hudsonville	3	0	2013-08-20 14:22:33.429218+02	\N	\N	\N	\N	\N	\N	f	
22521	26b6c7c8-6463-4f58-89be-95e079ef6e81	El Cerrito	El Cerrito	3	0	2013-08-11 05:50:51.958006+02	\N	\N	\N	\N	\N	\N	f	
22130	e55498ae-61c3-46f8-a30b-1ffebe87cb71	Keokuk, Iowa	Keokuk, Iowa	3	0	2013-08-07 17:39:06.920305+02	\N	\N	\N	\N	\N	\N	f	
22663	dafa6654-adce-4abc-8fbe-c90528509a38	Arcore	Arcore	4	0	2013-08-13 23:35:59.579149+02	\N	\N	\N	\N	\N	\N	f	
22199	a01822f8-9906-4300-862d-ea99d675b9fe	Brownfield	Brownfield	3	0	2013-08-08 08:44:32.237807+02	\N	\N	\N	\N	\N	\N	f	
22396	248a78a5-63f5-4b10-926f-a2e36f5ba4e1	Clearlake, California	Clearlake, California	3	0	2013-08-11 02:36:22.574578+02	\N	\N	\N	\N	\N	\N	f	
22982	e19fa50b-378c-453c-9aab-0a57e6bf7bbb	Gustavus	Gustavus	3	0	2013-08-20 20:33:06.139327+02	\N	\N	\N	\N	\N	\N	f	
22401	eeab8640-d52e-440a-af1a-425a1754975a	San Luis Obispo	San Luis Obispo	3	0	2013-08-11 02:39:11.048557+02	\N	\N	\N	\N	\N	\N	f	
22412	d23ebf4b-bd0f-4b6e-a777-cc8628dbb317	Barstow	Barstow	3	0	2013-08-11 02:42:54.00589+02	\N	\N	\N	\N	\N	\N	f	
22728	47b12535-0c85-4f00-a32a-c26f6af3fe27	Barcellona Pozzo di Gotto	Barcellona Pozzo di Gotto	4	0	2013-08-14 17:31:21.971324+02	\N	\N	\N	\N	\N	\N	f	
22993	46677ac8-04a6-4c94-8e34-5cd40d431d12	Russian Mission	Russian Mission	3	0	2013-08-20 23:32:30.418637+02	\N	\N	\N	\N	\N	\N	f	
22828	953cc697-832e-4046-9de7-7b68f83f24e7	Dalhart	Dalhart	3	0	2013-08-14 20:37:35.51101+02	\N	\N	\N	\N	\N	\N	f	
20505	6a654091-d91d-44dd-b4d9-81d5e39132cb	Benestare	Benestare	4	0	2013-07-23 02:50:31.917087+02	\N	\N	\N	\N	\N	\N	f	
23126	346a0512-29f5-4cd2-839c-ad1da8bd58a8	St. Clair, Minnesota	St. Clair, Minnesota	3	0	2013-08-22 05:25:32.515271+02	\N	\N	\N	\N	\N	\N	f	
23026	084958f8-0d90-4d7c-90fd-cf9c4775c6f5	Scandia	Scandia	3	0	2013-08-21 08:26:53.597738+02	\N	\N	\N	\N	\N	\N	f	
23048	4abdb14b-c09c-4bac-83b2-c8a40c7369bb	Center City	Center City	3	0	2013-08-22 02:23:10.024382+02	\N	\N	\N	\N	\N	\N	f	
24623	0c736350-167c-422a-803a-2c61f08869a7	Pittsfield	Pittsfield	3	0	2013-09-07 07:54:52.074606+02	\N	\N	\N	\N	\N	\N	f	
23082	7240fea5-edbd-461b-992c-8bff973bc892	Mankato	Mankato	3	0	2013-08-22 02:42:47.382589+02	\N	\N	\N	\N	\N	\N	f	
25145	01a48737-e624-43a6-b810-75e7109675cb	Oxford, Kansas	Oxford, Kansas	3	0	2013-09-07 10:23:01.668026+02	\N	\N	\N	\N	\N	\N	f	
23129	40f6d03c-9556-4dcf-835a-0143bdb5a496	Ramsey	Ramsey	3	0	2013-08-22 05:26:16.908375+02	\N	\N	\N	\N	\N	\N	f	
24614	13f76017-008f-445f-8dcd-bd15572258d4	Assumption	Assumption	3	0	2013-09-07 07:52:48.016511+02	\N	\N	\N	\N	\N	\N	f	
24719	cbf40a92-eb71-4beb-a1be-e44ab2c20147	Lynnville	Lynnville	3	0	2013-09-07 08:17:33.362582+02	\N	\N	\N	\N	\N	\N	f	
25295	1944611d-766f-4712-b123-fc27cbf6ff3c	Dows	Dows	3	0	2013-09-07 11:04:29.992319+02	\N	\N	\N	\N	\N	\N	f	
24795	0df7b0b1-7b28-43e3-a2cb-c348779a6493	Leon	Leon	3	0	2013-09-07 08:37:34.560367+02	\N	\N	\N	\N	\N	\N	f	
25174	21a8b164-7e35-4ee4-a37b-1572ce8f1c62	Lake Park	Lake Park	3	0	2013-09-07 10:30:54.800762+02	\N	\N	\N	\N	\N	\N	f	
25273	139761a8-9732-4929-8e1c-6a6944a4a1cf	Churdan	Churdan	3	0	2013-09-07 10:58:34.783437+02	\N	\N	\N	\N	\N	\N	f	
25248	cedf3286-4905-4e30-af7b-e6cb2d923706	Fairfax, Iowa	Fairfax, Iowa	3	0	2013-09-07 10:51:47.618946+02	\N	\N	\N	\N	\N	\N	f	
25265	91782662-952a-4e18-974d-40c658eab000	Beaman	Beaman	3	0	2013-09-07 10:56:26.141034+02	\N	\N	\N	\N	\N	\N	f	
25735	ac3d7fbc-1ddc-4049-b960-f3aaedd4f9ee	Cedar Point, Kansas	Cedar Point, Kansas	3	0	2013-09-07 14:25:38.765676+02	\N	\N	\N	\N	\N	\N	f	
25808	56f2d386-1962-463b-a85f-5fc90538fca2	Lynnview, Kentucky	Lynnview, Kentucky	3	0	2013-09-07 14:44:32.101185+02	\N	\N	\N	\N	\N	\N	f	
25821	73a8b5c0-2c45-45ba-b212-a351ad0dce61	Bardwell, Kentucky	Bardwell, Kentucky	3	0	2013-09-07 14:48:30.669212+02	\N	\N	\N	\N	\N	\N	f	
25823	2063f708-b77e-4e6a-9dcc-0e130e49cd92	Corydon, Kentucky	Corydon, Kentucky	3	0	2013-09-07 14:49:02.499011+02	\N	\N	\N	\N	\N	\N	f	
26177	820c954f-c5a4-4e15-916a-b03adf7200ba	Latham	Latham	3	0	2013-09-07 20:37:34.884665+02	\N	\N	\N	\N	\N	\N	f	
26496	ee5fd9fb-f594-4665-9d23-e397262749a3	Shambaugh, Iowa	Shambaugh, Iowa	3	0	2013-09-08 00:50:09.874656+02	\N	\N	\N	\N	\N	\N	f	
26847	41341f9e-cad5-4ad9-b980-2db300568dd3	Platte Woods	Platte Woods	3	0	2013-09-08 03:09:41.897725+02	\N	\N	\N	\N	\N	\N	f	
10652	903a0ca3-de2f-422d-9848-1b1f8d8c0c6e	Tottori	Tottori	3	0	2013-06-19 00:53:38.3529+02	\N	\N	\N	\N	\N	\N	f	
10654	b6062bac-00f4-40c0-9d2c-5f706e9d5a8f	Gotō	Gotō	3	0	2013-06-19 00:54:11.784654+02	\N	\N	\N	\N	\N	\N	f	
10659	4c26b00c-cb0c-4c1a-966e-374bd092b5c4	Kirna	Kirna	3	0	2013-06-19 00:55:33.978314+02	\N	\N	\N	\N	\N	\N	f	
13878	4f90a798-1c8b-4080-9362-30eb75212992	Mazzano	Mazzano	4	0	2013-07-21 19:33:24.535532+02	\N	\N	\N	\N	\N	\N	f	
10663	15105aa6-1b2e-4602-90d7-7043605e9b02	Yoshika	Yoshika	3	0	2013-06-19 01:01:04.61572+02	\N	\N	\N	\N	\N	\N	f	
13979	8d4386b4-0469-4174-9882-18ef23001872	Sabbio Chiese	Sabbio Chiese	4	0	2013-07-21 19:55:39.862503+02	\N	\N	\N	\N	\N	\N	f	
15557	647e6ff3-ee63-4595-a93a-e3ec87daa6e5	Canosa di Puglia	Canosa di Puglia	4	0	2013-07-22 01:12:06.676605+02	\N	\N	\N	\N	\N	\N	f	
13999	a0eebe6e-e76c-4544-80d9-14eb3a83c6ca	Valvestino	Valvestino	4	0	2013-07-21 20:01:00.580819+02	\N	\N	\N	\N	\N	\N	f	
14472	1d5cf0fa-ce4d-4c64-87a7-534c6797264e	Pasturana	Pasturana	4	0	2013-07-21 21:45:24.254054+02	\N	\N	\N	\N	\N	\N	f	
14988	9494b0f1-eafd-4264-a6aa-dd3781b3cf6d	Monesiglio	Monesiglio	4	0	2013-07-21 23:34:03.382878+02	\N	\N	\N	\N	\N	\N	f	
15651	ec177b9d-9c46-4902-b7a5-d6cdb3b7a5bb	Cerreto Laziale	Cerreto Laziale	4	0	2013-07-22 01:32:51.617747+02	\N	\N	\N	\N	\N	\N	f	
14990	16ce605d-3b47-4a43-bca4-757e18fae8fa	Monforte d'Alba	Monforte d'Alba	4	0	2013-07-21 23:34:15.833304+02	\N	\N	\N	\N	\N	\N	f	
14998	0d5aa0d0-60f5-4899-8cfc-5dd9b5e84ec2	Montanera	Montanera	4	0	2013-07-21 23:35:07.90938+02	\N	\N	\N	\N	\N	\N	f	
17358	0332426d-0189-4184-8331-43813b8199fd	Montalto Pavese	Montalto Pavese	4	0	2013-07-22 06:17:36.096453+02	\N	\N	\N	\N	\N	\N	f	
15009	313d8fd5-a54a-4465-a8c8-a753bdccb031	Murazzano	Murazzano	4	0	2013-07-21 23:36:31.925295+02	\N	\N	\N	\N	\N	\N	f	
15653	1cbd2a67-83e4-4c8c-bcb9-e3b49b6bc9fa	Ariccia	Ariccia	4	0	2013-07-22 01:33:15.379857+02	\N	\N	\N	\N	\N	\N	f	
16283	7ed39a80-5d8c-453a-85d6-382816c0a4a3	Petrella Tifernina	Petrella Tifernina	4	0	2013-07-22 03:15:00.61919+02	\N	\N	\N	\N	\N	\N	f	
16290	c2bc73cc-42ca-48a7-9eaa-05f603805f58	Petacciato	Petacciato	4	0	2013-07-22 03:15:50.585929+02	\N	\N	\N	\N	\N	\N	f	
16319	60634f46-1cbd-4921-9871-e76838c41c04	Torella del Sannio	Torella del Sannio	4	0	2013-07-22 03:19:25.226202+02	\N	\N	\N	\N	\N	\N	f	
22200	5a2c13ef-86d7-4799-bb2c-4fde7d23ed86	Brady	Brady	3	0	2013-08-08 08:44:53.639179+02	\N	\N	\N	\N	\N	\N	f	
19270	a9442aa3-b064-44f3-995d-d2614e6c5598	San Benedetto dei Marsi	San Benedetto dei Marsi	4	0	2013-07-22 10:14:18.068393+02	\N	\N	\N	\N	\N	\N	f	
16353	b5f6c3ab-d149-448c-b62d-fffed5e6843a	Roccamandolfi	Roccamandolfi	4	0	2013-07-22 03:23:17.067634+02	\N	\N	\N	\N	\N	\N	f	
16358	10dd324a-a5dd-48d1-bd90-0f5e267edaa9	Castel San Vincenzo	Castel San Vincenzo	4	0	2013-07-22 03:23:44.197215+02	\N	\N	\N	\N	\N	\N	f	
16396	567ab21e-af0d-41cf-bb92-fec3572e278b	Armungia	Armungia	4	0	2013-07-22 03:28:39.124195+02	\N	\N	\N	\N	\N	\N	f	
16398	dd804cb7-a763-4e32-a207-cf7b6f49d8ec	Santa Maria del Molise	Santa Maria del Molise	4	0	2013-07-22 03:28:51.689497+02	\N	\N	\N	\N	\N	\N	f	
17572	fa1d066e-c86e-49ba-bcf2-ce139752bade	San Giorgio di Lomellina	San Giorgio di Lomellina	4	0	2013-07-22 06:44:09.22668+02	\N	\N	\N	\N	\N	\N	f	
16433	de0b78ae-8807-4cf3-845a-afb8da09ca65	Elmas	Elmas	4	0	2013-07-22 03:32:44.690741+02	\N	\N	\N	\N	\N	\N	f	
22397	c5293e2f-3756-4e4d-aa61-a67879d70c61	Palm Desert, California	Palm Desert, California	3	0	2013-08-11 02:36:44.913161+02	\N	\N	\N	\N	\N	\N	f	
17586	629d7f87-5edb-49cf-a7ab-e794106c2b1e	Cassano Magnago	Cassano Magnago	4	0	2013-07-22 06:45:50.608136+02	\N	\N	\N	\N	\N	\N	f	
16587	d4bdc178-5d50-4365-83e1-a03dfcec75a4	Borore	Borore	4	0	2013-07-22 03:51:40.971785+02	\N	\N	\N	\N	\N	\N	f	
17009	9941fb32-7c61-44be-867a-ab80aa63258d	Villa Biscossi	Villa Biscossi	4	0	2013-07-22 05:31:59.762631+02	\N	\N	\N	\N	\N	\N	f	
19319	c472c243-b0b9-400e-83a5-0df286c04f26	Pfitsch	Pfitsch	4	0	2013-07-22 10:20:27.343106+02	\N	\N	\N	\N	\N	\N	f	
17591	4c9b948f-a7ea-4ad0-861c-f257028d2527	Castiglione Olona	Castiglione Olona	4	0	2013-07-22 06:46:31.141253+02	\N	\N	\N	\N	\N	\N	f	
17132	6d0ee49e-a70a-4ad1-ba77-ae7f12715e65	Marrubiu	Marrubiu	4	0	2013-07-22 05:47:59.680764+02	\N	\N	\N	\N	\N	\N	f	
17593	14846354-0f88-43a5-8cd9-5906eff6a4f0	Portalbera	Portalbera	4	0	2013-07-22 06:46:45.886536+02	\N	\N	\N	\N	\N	\N	f	
19719	decd4eac-8eea-411d-98b2-a593469c2d58	Alezio	Alezio	4	0	2013-07-22 11:28:32.878859+02	\N	\N	\N	\N	\N	\N	f	
19364	2fd9798a-6752-4411-9006-3cc000d2b27a	Bucchianico	Bucchianico	4	0	2013-07-22 10:25:55.590798+02	\N	\N	\N	\N	\N	\N	f	
18393	167d2373-1be9-44d0-8732-e395d000eac7	Zelo Buon Persico	Zelo Buon Persico	4	0	2013-07-22 08:23:27.49771+02	\N	\N	\N	\N	\N	\N	f	
22664	9f0f4927-56f9-4100-b164-98c24c5327e8	Vescovato	Vescovato	4	0	2013-08-13 23:36:26.317978+02	\N	\N	\N	\N	\N	\N	f	
19252	a99363a2-9532-4c2c-a970-e038157ef066	Cerchio	Cerchio	4	0	2013-07-22 10:11:51.756523+02	\N	\N	\N	\N	\N	\N	f	
19264	31eb4fa0-d6d5-4fe4-bc62-8e68953f3a27	Magliano de' Marsi	Magliano de' Marsi	4	0	2013-07-22 10:13:28.690849+02	\N	\N	\N	\N	\N	\N	f	
19419	acbe515f-79ed-4762-84ea-db8552b45116	Rocca San Giovanni	Rocca San Giovanni	4	0	2013-07-22 10:32:30.684516+02	\N	\N	\N	\N	\N	\N	f	
19751	bdb3e512-5de6-42ee-9fb5-674ab3efac94	Bivona	Bivona	4	0	2013-07-22 11:32:05.715042+02	\N	\N	\N	\N	\N	\N	f	
20414	db3eb735-09d6-4f49-acef-0b6a6c611b95	Zumpano, Calabria	Zumpano, Calabria	4	0	2013-07-22 23:50:20.858586+02	\N	\N	\N	\N	\N	\N	f	
19754	5ea513e8-465e-41c3-a609-93ee30e0089a	Pratovecchio	Pratovecchio	4	0	2013-07-22 11:32:18.989476+02	\N	\N	\N	\N	\N	\N	f	
20358	2be26810-54fc-4fb2-a462-adaa9eb38bec	Bocchigliero	Bocchigliero	4	0	2013-07-22 23:37:14.200721+02	\N	\N	\N	\N	\N	\N	f	
22433	ea06f357-114a-4891-bada-422af3440d79	Atascadero, California	Atascadero, California	3	0	2013-08-11 02:49:40.410745+02	\N	\N	\N	\N	\N	\N	f	
20359	60a6ad59-f408-4e7d-b073-f1bfd62351b4	Cropalati	Cropalati	4	0	2013-07-22 23:37:26.915471+02	\N	\N	\N	\N	\N	\N	f	
20476	d0fec0a7-c6d8-457a-97bf-af3734e6bc50	Ardore	Ardore	4	0	2013-07-23 02:44:09.432393+02	\N	\N	\N	\N	\N	\N	f	
20365	7be2d6c2-4f28-4c5e-87b6-0187e564e8ef	Cerchiara di Calabria	Cerchiara di Calabria	4	0	2013-07-22 23:38:39.565449+02	\N	\N	\N	\N	\N	\N	f	
22131	87e58477-89e2-4e41-a0e3-ade3ae542fe1	Carson, Iowa	Carson, Iowa	3	0	2013-08-07 17:39:25.332514+02	\N	\N	\N	\N	\N	\N	f	
20384	d3285744-546d-49f9-a1a3-f32dbbcfe787	Rota Greca	Rota Greca	4	0	2013-07-22 23:42:42.746648+02	\N	\N	\N	\N	\N	\N	f	
22500	1659dd20-daec-48d1-87ea-169ac8c0549a	Kerman	Kerman	3	0	2013-08-11 05:45:30.566479+02	\N	\N	\N	\N	\N	\N	f	
22904	81a36d68-ab7b-4320-8a1c-a907660bf5f9	Farmington, Michigan	Farmington, Michigan	3	0	2013-08-20 14:22:47.380669+02	\N	\N	\N	\N	\N	\N	f	
22513	07abbcd5-89eb-42f6-b44e-6de8912b05a9	Manteca	Manteca	3	0	2013-08-11 05:48:36.16956+02	\N	\N	\N	\N	\N	\N	f	
22866	6833b340-b82b-4ce6-9434-dad8da899c28	Colorado Springs	Colorado Springs	3	0	2013-08-20 08:31:15.276401+02	\N	\N	\N	\N	\N	\N	f	
22729	aaef89df-de61-4cee-bb4d-069287fb9f5b	Alì Terme	Alì Terme	4	0	2013-08-14 17:31:48.081732+02	\N	\N	\N	\N	\N	\N	f	
22734	65c03c34-3dd1-4f6c-b417-486302d9e1ab	Bassano del Grappa	Bassano del Grappa	4	0	2013-08-14 17:33:15.865299+02	\N	\N	\N	\N	\N	\N	f	
22994	1563a270-014c-49a8-9379-3468f8933729	Nondalton	Nondalton	3	0	2013-08-20 23:32:43.865915+02	\N	\N	\N	\N	\N	\N	f	
22983	85b476cd-745c-4a12-9b0d-cba88b82aaa5	Coffman Cove	Coffman Cove	3	0	2013-08-20 20:33:20.389262+02	\N	\N	\N	\N	\N	\N	f	
23009	bf7a2972-f2b0-4a94-8f89-b5975255019d	Koyukuk	Koyukuk	3	0	2013-08-20 23:36:47.262642+02	\N	\N	\N	\N	\N	\N	f	
23027	e34f114f-9b70-49f5-8fb7-490ef4c0bfba	Cherokee	Cherokee	3	0	2013-08-21 08:27:37.402825+02	\N	\N	\N	\N	\N	\N	f	
23049	ccdbe617-c293-435b-a152-75baebe93ceb	Delano	Delano	3	0	2013-08-22 02:23:22.757092+02	\N	\N	\N	\N	\N	\N	f	
23118	6dbdbed9-921d-4b3b-8dca-14b4d2a40f18	Waite Park	Waite Park	3	0	2013-08-22 05:22:53.892733+02	\N	\N	\N	\N	\N	\N	f	
18350	542f3c34-4343-4854-b8c3-cb67b96cb2ef	San Bassano	San Bassano	4	0	2013-09-14 04:00:30.876683+02	\N	\N	\N	\N	\N	\N	f	
10665	78e58cb4-23ed-4bb0-b949-9c608b18a926	Kurume	Kurume	3	0	2013-06-19 01:02:23.949087+02	\N	\N	\N	\N	\N	\N	f	
10668	c2381e34-6f15-49d3-a834-92f8cdfe3b5e	Isesaki	Isesaki	3	0	2013-06-19 01:03:13.024004+02	\N	\N	\N	\N	\N	\N	f	
10692	c1ba02a5-cc7c-49a9-bca1-2c406ec74c47	Kurashiki	Kurashiki	3	0	2013-06-19 01:10:36.311812+02	\N	\N	\N	\N	\N	\N	f	
10669	28ab453c-5564-4383-825b-e0987b67f1ad	Iwakuni	Iwakuni	3	0	2013-06-19 01:03:23.505757+02	\N	\N	\N	\N	\N	\N	f	
10670	3e28ae17-49eb-4cf9-9db7-9d3af4c4af6e	Sasebo	Sasebo	3	0	2013-06-19 01:03:35.059205+02	\N	\N	\N	\N	\N	\N	f	
10671	5d660021-c4df-4873-acf0-30a9c162a852	Takasaki	Takasaki	3	0	2013-06-19 01:04:00.165176+02	\N	\N	\N	\N	\N	\N	f	
10693	4fe240da-7f6c-4c3e-9f14-4a0720529cf3	Ube	Ube	3	0	2013-06-19 01:10:55.898052+02	\N	\N	\N	\N	\N	\N	f	
10672	997b106f-79c3-4432-bb2e-a820dfd09fba	Kama, Fukuoka	Kama, Fukuoka	3	0	2013-06-19 01:05:01.615596+02	\N	\N	\N	\N	\N	\N	f	
10673	208d62df-7c3e-43cf-9f6e-a17cdd08df00	Ashikaga	Ashikaga	3	0	2013-06-19 01:05:14.187997+02	\N	\N	\N	\N	\N	\N	f	
10708	d8cd34a9-82f8-41d5-8b0e-b5768d16b7e9	Miyakonojō	Miyakonojō	3	0	2013-06-19 01:17:31.863474+02	\N	\N	\N	\N	\N	\N	f	
10674	d5791d4b-9997-4791-83ca-dfee03ac1574	Oyama	Oyama	3	0	2013-06-19 01:05:24.650682+02	\N	\N	\N	\N	\N	\N	f	
10694	42098c2d-8d37-40e8-8982-f64fc564eff1	Nasushiobara	Nasushiobara	3	0	2013-06-19 01:12:01.082963+02	\N	\N	\N	\N	\N	\N	f	
10675	7d01d109-bda5-428c-b281-e537922a6688	Ōmuta, Fukuoka	Ōmuta, Fukuoka	3	0	2013-06-19 01:05:43.180282+02	\N	\N	\N	\N	\N	\N	f	
10676	303f573e-48ae-45a8-93b4-5a4b80676a30	Ōnan	Ōnan	3	0	2013-06-19 01:05:53.635552+02	\N	\N	\N	\N	\N	\N	f	
10677	bf09723c-b799-403e-81ef-25b14d07b817	Ōmura	Ōmura	3	0	2013-06-19 01:06:05.611927+02	\N	\N	\N	\N	\N	\N	f	
10695	d04b38d3-3dd7-4aef-952e-2dc3ef7b7dcf	Takaoka	Takaoka	3	0	2013-06-19 01:12:18.865441+02	\N	\N	\N	\N	\N	\N	f	
10678	3ef24f90-1b7e-49b2-9036-e5322b4d6264	Ōizumi	Ōizumi	3	0	2013-06-19 01:06:16.247286+02	\N	\N	\N	\N	\N	\N	f	
10679	ee9ce02c-1178-485d-a1f8-8d96dc73152e	Niihama	Niihama	3	0	2013-06-19 01:06:33.568094+02	\N	\N	\N	\N	\N	\N	f	
10724	d7fba02f-7a0c-4a05-be25-6ea4bd551731	Moriguchi	Moriguchi	3	0	2013-06-19 01:21:07.641718+02	\N	\N	\N	\N	\N	\N	f	
10680	82964a67-acd1-4456-abab-b8b98427f58d	Shiwa	Shiwa	3	0	2013-06-19 01:06:44.244544+02	\N	\N	\N	\N	\N	\N	f	
10696	a8d97d8c-b906-4ba0-88c1-74c6472dba10	Hōfu	Hōfu	3	0	2013-06-19 01:12:31.792068+02	\N	\N	\N	\N	\N	\N	f	
10681	09e0c23b-9c18-4ed9-87b2-ecf477833129	Ōshū	Ōshū	3	0	2013-06-19 01:06:54.853348+02	\N	\N	\N	\N	\N	\N	f	
10682	d809a7c3-79d6-40dc-83bf-076822f20ad8	Ōtsuchi	Ōtsuchi	3	0	2013-06-19 01:07:05.541696+02	\N	\N	\N	\N	\N	\N	f	
10709	bf711206-86a2-43c2-9c4b-baaacabfc59b	Kiryū	Kiryū	3	0	2013-06-19 01:17:42.213558+02	\N	\N	\N	\N	\N	\N	f	
10683	5d7c704d-cf1b-4fb8-9114-22eeb6bf1b62	Agano	Agano	3	0	2013-06-19 01:07:24.056113+02	\N	\N	\N	\N	\N	\N	f	
10697	a25ec24e-c4de-456b-9361-befcd638ee88	Kyōtango	Kyōtango	3	0	2013-06-19 01:12:55.320964+02	\N	\N	\N	\N	\N	\N	f	
10684	35b10883-da67-437d-bd10-9ac9b04986e1	Akaiwa	Akaiwa	3	0	2013-06-19 01:07:59.234579+02	\N	\N	\N	\N	\N	\N	f	
10685	14fbe5ee-4638-4027-b91e-077934802a54	Kumagaya	Kumagaya	3	0	2013-06-19 01:08:09.792052+02	\N	\N	\N	\N	\N	\N	f	
10686	bdf14114-ec43-4435-876b-1c479f4889f7	Akitakata	Akitakata	3	0	2013-06-19 01:08:28.513345+02	\N	\N	\N	\N	\N	\N	f	
10698	68e2ad81-9fe7-4cfb-9116-0133398750ec	Higashimatsushima	Higashimatsushima	3	0	2013-06-19 01:13:05.66645+02	\N	\N	\N	\N	\N	\N	f	
10687	f42daacf-8159-4f63-b6d1-cc422cf7b822	Omitama	Omitama	3	0	2013-06-19 01:08:45.818194+02	\N	\N	\N	\N	\N	\N	f	
10688	10fdcc29-b312-4241-a4d1-9e6409f57c2d	Amakusa	Amakusa	3	0	2013-06-19 01:09:16.93217+02	\N	\N	\N	\N	\N	\N	f	
10718	a574bb83-6f5a-456f-9a09-a2cabfbbb7ce	Fukuyama	Fukuyama	3	0	2013-06-19 01:19:39.104702+02	\N	\N	\N	\N	\N	\N	f	
10689	b6aa135e-8e68-4724-b15b-0365c4a992c0	Imabari	Imabari	3	0	2013-06-19 01:09:46.304291+02	\N	\N	\N	\N	\N	\N	f	
10699	cbfa39ea-8164-4aeb-b10f-4b2fccf615cb	Saikai	Saikai	3	0	2013-06-19 01:13:28.913486+02	\N	\N	\N	\N	\N	\N	f	
10690	c2b4f237-2232-4e91-8586-19cf685f85db	Amami	Amami	3	0	2013-06-19 01:10:05.865118+02	\N	\N	\N	\N	\N	\N	f	
10691	b3a39199-0c0c-49c0-8f4d-df13ce8f34bf	Gifu	Gifu	3	0	2013-06-19 01:10:24.930178+02	\N	\N	\N	\N	\N	\N	f	
10710	9a2734fa-67df-4863-be30-cf422835dfd2	Tootsi	Tootsi	3	0	2013-06-19 01:17:42.736449+02	\N	\N	\N	\N	\N	\N	f	
10700	5b3b6ff7-d412-4f32-8391-f2de77d4366f	Azumino	Azumino	3	0	2013-06-19 01:13:51.494881+02	\N	\N	\N	\N	\N	\N	f	
10701	ac8ff7ec-28de-46eb-8042-b517f069c011	Awara	Awara	3	0	2013-06-19 01:14:07.497326+02	\N	\N	\N	\N	\N	\N	f	
10702	6e21f76e-ebf2-46c1-9cc0-8e3788f27d62	Nagaoka	Nagaoka	3	0	2013-06-19 01:14:18.242011+02	\N	\N	\N	\N	\N	\N	f	
10711	ebb8bb43-5c77-4c64-b5f5-5ca20e411b4c	Ojika	Ojika	3	0	2013-06-19 01:17:52.578137+02	\N	\N	\N	\N	\N	\N	f	
10703	893f5e33-5d29-43df-8d90-7f8dc797cadc	Midori	Midori	3	0	2013-06-19 01:15:14.137328+02	\N	\N	\N	\N	\N	\N	f	
10704	c309e1f2-c300-456e-bf2e-de2ca6316f86	Jōetsu	Jōetsu	3	0	2013-06-19 01:15:47.119022+02	\N	\N	\N	\N	\N	\N	f	
10705	b0b9cfaa-df49-4031-98cc-b158d25f8cff	Bandō	Bandō	3	0	2013-06-19 01:15:57.885907+02	\N	\N	\N	\N	\N	\N	f	
10712	051490f1-d60d-4478-a8af-ec5e494c73ad	Hitachi	Hitachi	3	0	2013-06-19 01:18:02.760991+02	\N	\N	\N	\N	\N	\N	f	
10706	d4fac80b-f899-4390-87f4-31bddc878466	Yoshinogawa	Yoshinogawa	3	0	2013-06-19 01:16:25.6761+02	\N	\N	\N	\N	\N	\N	f	
10719	b38064e2-7dfe-4a3c-a06b-8b6e4414c59d	Iinan	Iinan	3	0	2013-06-19 01:19:49.391572+02	\N	\N	\N	\N	\N	\N	f	
10707	ed028c8d-2ee9-438b-bffd-b17afc5696a4	Okutama	Okutama	3	0	2013-06-19 01:16:42.458169+02	\N	\N	\N	\N	\N	\N	f	
10713	343bd696-7464-4330-a9c2-2be7f00d610e	Minamisōma	Minamisōma	3	0	2013-06-19 01:18:21.448966+02	\N	\N	\N	\N	\N	\N	f	
10714	a22f61d1-eca3-4a1f-aa21-be2f9dd434c0	Nanto	Nanto	3	0	2013-06-19 01:18:38.262518+02	\N	\N	\N	\N	\N	\N	f	
10720	7c27e819-ea8e-481d-a3d0-eba864c25022	Misato	Misato	3	0	2013-06-19 01:20:05.784854+02	\N	\N	\N	\N	\N	\N	f	
10715	dd743dff-796e-4d57-a2e6-c3d4b04c0828	Shūnan	Shūnan	3	0	2013-06-19 01:18:48.489446+02	\N	\N	\N	\N	\N	\N	f	
10716	0363f54b-014c-42cc-8cf0-c5ab7851b9d9	Nobeoka	Nobeoka	3	0	2013-06-19 01:19:06.431169+02	\N	\N	\N	\N	\N	\N	f	
10725	aba6b1f2-9f52-47c5-96c4-0697fe6b208a	Petropavl	Petropavl	3	0	2013-06-19 01:21:11.425027+02	\N	\N	\N	\N	\N	\N	f	
10717	e81493d5-c2a3-42fa-99b1-28a11878ca58	Nomi	Nomi	3	0	2013-06-19 01:19:23.539984+02	\N	\N	\N	\N	\N	\N	f	
10721	e8a6dc5e-1749-4b46-88dc-a95a80948f21	Iwaizumi	Iwaizumi	3	0	2013-06-19 01:20:22.745032+02	\N	\N	\N	\N	\N	\N	f	
10731	395f86ea-2886-4d60-8c0a-f6c65a69f6ea	Ashiya	Ashiya	3	0	2013-06-19 01:22:29.094794+02	\N	\N	\N	\N	\N	\N	f	
10722	fb3a4047-17cc-487e-873d-761aa16462d7	Nagayo	Nagayo	3	0	2013-06-19 01:20:33.08413+02	\N	\N	\N	\N	\N	\N	f	
10726	0ceb2900-674f-44a0-9a9a-55fd7c52212a	Nanao	Nanao	3	0	2013-06-19 01:21:18.125707+02	\N	\N	\N	\N	\N	\N	f	
10723	eeb6fdeb-299b-419b-89b0-5e6a7da17e95	Hakusan	Hakusan	3	0	2013-06-19 01:20:57.40128+02	\N	\N	\N	\N	\N	\N	f	
10729	994a3da8-e4eb-4502-9087-d6879e1279fb	Sakura	Sakura	3	0	2013-06-19 01:21:49.642132+02	\N	\N	\N	\N	\N	\N	f	
10727	e8f6b094-3e5d-40eb-bb33-cae41feed931	Chikusei	Chikusei	3	0	2013-06-19 01:21:28.482465+02	\N	\N	\N	\N	\N	\N	f	
10728	89a26c66-6cf1-4f0e-9108-2dbd8316df74	Kinokawa	Kinokawa	3	0	2013-06-19 01:21:39.13247+02	\N	\N	\N	\N	\N	\N	f	
10733	5c5413a9-24c6-4e4a-9e7a-9b6ec41330f8	Yatsushiro	Yatsushiro	3	0	2013-06-19 01:23:01.197498+02	\N	\N	\N	\N	\N	\N	f	
10730	2487a32e-1869-464f-8193-6c0f11d1ed59	Asago	Asago	3	0	2013-06-19 01:22:12.746855+02	\N	\N	\N	\N	\N	\N	f	
10732	6eb39212-9168-4175-9833-c44f75258790	Noda	Noda	3	0	2013-06-19 01:22:45.065811+02	\N	\N	\N	\N	\N	\N	f	
10735	61db2b48-f3ff-43d2-abdc-750259567497	Tanohata	Tanohata	3	0	2013-06-19 01:23:24.71434+02	\N	\N	\N	\N	\N	\N	f	
10734	e2c869f1-8842-4604-9cf1-8c6ad75bad74	Tamura	Tamura	3	0	2013-06-19 01:23:11.66953+02	\N	\N	\N	\N	\N	\N	f	
10736	a7657a2e-d8d6-4811-9368-565d0d93e440	Kolgaküla	Kolgaküla	3	0	2013-06-19 01:23:52.067576+02	\N	\N	\N	\N	\N	\N	f	
10737	3fe59fa0-4d2e-4499-8240-a9bfbdbd0668	Hachimantai	Hachimantai	3	0	2013-06-19 01:23:57.418751+02	\N	\N	\N	\N	\N	\N	f	
10738	cd3399ff-3121-4807-a9d8-9e0db75f1232	Iizuna	Iizuna	3	0	2013-06-19 01:24:17.095998+02	\N	\N	\N	\N	\N	\N	f	
10739	72ec7269-4642-4512-9db2-47b92e147ad2	Minamisanriku	Minamisanriku	3	0	2013-06-19 01:24:34.021255+02	\N	\N	\N	\N	\N	\N	f	
10740	38347b50-ebf6-4bf4-b430-dae770dcf8e8	Uki	Uki	3	0	2013-06-19 01:24:48.809588+02	\N	\N	\N	\N	\N	\N	f	
10741	4f8a5a8e-391f-411d-aa68-34da020dc5b3	Kawatana	Kawatana	3	0	2013-06-19 01:24:59.377861+02	\N	\N	\N	\N	\N	\N	f	
10742	09056107-b995-484f-9d3a-643774024e84	Seiyo	Seiyo	3	0	2013-06-19 01:26:32.473539+02	\N	\N	\N	\N	\N	\N	f	
10743	d4be126d-00f6-450b-91ab-5706717af607	Maibara	Maibara	3	0	2013-06-19 01:26:51.913953+02	\N	\N	\N	\N	\N	\N	f	
10744	fffcc0f1-3535-41c7-811e-9cf0313f65bb	Toda	Toda	3	0	2013-06-19 01:27:02.231535+02	\N	\N	\N	\N	\N	\N	f	
13879	7bbe3190-3251-421a-8a96-30f0276f8168	Monticelli Brusati	Monticelli Brusati	4	0	2013-07-21 19:33:36.905948+02	\N	\N	\N	\N	\N	\N	f	
10745	05120d68-6006-49f3-80ed-f69b6a457965	Fukutsu	Fukutsu	3	0	2013-06-19 01:27:12.896625+02	\N	\N	\N	\N	\N	\N	f	
10793	3c8ab119-72a0-4132-935f-2b441f457137	Kostroma	Kostroma	3	0	2013-06-19 01:51:28.350851+02	\N	\N	\N	\N	\N	\N	f	
14473	068f520a-f541-4d14-b02f-3d4c2816327e	Pozzolo Formigaro	Pozzolo Formigaro	4	0	2013-07-21 21:45:38.652708+02	\N	\N	\N	\N	\N	\N	f	
15558	31c4d002-d31c-48fd-942f-da5e522db44f	Bisceglie	Bisceglie	4	0	2013-07-22 01:12:18.723034+02	\N	\N	\N	\N	\N	\N	f	
25148	9adb54bc-9771-45ae-829e-786d87e777a3	Matfield Green, Kansas	Matfield Green, Kansas	3	0	2013-09-07 10:23:47.874482+02	\N	\N	\N	\N	\N	\N	f	
15100	4f60fb36-0821-45ec-876e-3a36e22a905b	Castiglione del Lago	Castiglione del Lago	4	0	2013-07-21 23:47:29.718953+02	\N	\N	\N	\N	\N	\N	f	
16285	9bfc3ce4-42a6-4388-8cb0-66f2eb0d0ebb	Guardiaregia	Guardiaregia	4	0	2013-07-22 03:15:17.225874+02	\N	\N	\N	\N	\N	\N	f	
15133	b67409f1-735c-40a4-b99d-51aeec770776	Roburent	Roburent	4	0	2013-07-21 23:51:46.231487+02	\N	\N	\N	\N	\N	\N	f	
22876	8c2bf4e9-f331-497f-a217-5df64e2ae94f	Glenwood Springs	Glenwood Springs	3	0	2013-08-20 08:37:28.111502+02	\N	\N	\N	\N	\N	\N	f	
17360	5e94f843-e25c-41a7-b78c-ec85c6fad9c9	Lanzada	Lanzada	4	0	2013-07-22 06:17:48.610848+02	\N	\N	\N	\N	\N	\N	f	
15275	81126133-8b25-4a29-a1fa-58d60a935756	Sigillo	Sigillo	4	0	2013-07-22 00:08:36.941072+02	\N	\N	\N	\N	\N	\N	f	
16348	bb935572-1dfc-4b78-b099-6655a2016c41	Carpinone	Carpinone	4	0	2013-07-22 03:22:42.148109+02	\N	\N	\N	\N	\N	\N	f	
17010	042c963b-ef15-4b72-a0e0-e7749b9bd868	Saint-Vincent, Aosta Valley	Saint-Vincent, Aosta Valley	4	0	2013-07-22 05:32:06.696961+02	\N	\N	\N	\N	\N	\N	f	
17034	5a745990-9df7-468a-90dd-bcef3aab7cc3	Saint-Pierre, Aosta Valley	Saint-Pierre, Aosta Valley	4	0	2013-07-22 05:35:00.30622+02	\N	\N	\N	\N	\N	\N	f	
18351	1442eb3d-ac0b-47bd-a7f3-576c8c2d6ec2	Castano Primo	Castano Primo	4	0	2013-07-22 08:17:37.697894+02	\N	\N	\N	\N	\N	\N	f	
17062	0f996571-160c-4d5f-8957-c65a262ce703	Valtournenche	Valtournenche	4	0	2013-07-22 05:38:21.731679+02	\N	\N	\N	\N	\N	\N	f	
17126	4621ed9c-35c5-49ff-9374-8e6daa035006	Nureci	Nureci	4	0	2013-07-22 05:47:15.32792+02	\N	\N	\N	\N	\N	\N	f	
18353	0b69cda2-76c0-4ebe-a2a5-dc81cbd1599b	Scandolara Ravara	Scandolara Ravara	4	0	2013-07-22 08:17:52.315404+02	\N	\N	\N	\N	\N	\N	f	
19720	141233be-90b1-4cfb-8eae-562d29d9081e	Corigliano d'Otranto	Corigliano d'Otranto	4	0	2013-07-22 11:28:45.606099+02	\N	\N	\N	\N	\N	\N	f	
19142	7ee10dd4-ab47-4b83-a5ce-4b77b3889b1e	Alimena	Alimena	4	0	2013-07-22 09:57:37.342003+02	\N	\N	\N	\N	\N	\N	f	
19149	7b2e9ecd-c00b-44a2-a53f-c7bba86832f6	Mezzani	Mezzani	4	0	2013-07-22 09:58:42.177273+02	\N	\N	\N	\N	\N	\N	f	
22906	1f3fcc55-de28-458f-b91c-f439da68a4d3	Lincoln Park	Lincoln Park	3	0	2013-08-20 14:23:53.967295+02	\N	\N	\N	\N	\N	\N	f	
20363	9ac83054-6b5d-4c8f-b12e-0a944cf7d685	Frascineto	Frascineto	4	0	2013-07-22 23:38:15.282179+02	\N	\N	\N	\N	\N	\N	f	
19155	20849b4d-a43e-4ec6-97bb-60dbf9da6089	Olang	Olang	4	0	2013-07-22 09:59:55.597379+02	\N	\N	\N	\N	\N	\N	f	
19173	2eb067df-6e5e-4ee0-81cc-f3024f3f40b4	Terlan	Terlan	4	0	2013-07-22 10:02:03.276533+02	\N	\N	\N	\N	\N	\N	f	
19191	9e01d014-8a5e-49fb-bc99-8697065bcd14	Balsorano	Balsorano	4	0	2013-07-22 10:04:09.349552+02	\N	\N	\N	\N	\N	\N	f	
20421	7226e3ad-7ef6-4c45-83a6-07b97cca78e3	San Lorenzo Bellizzi	San Lorenzo Bellizzi	4	0	2013-07-22 23:51:48.792154+02	\N	\N	\N	\N	\N	\N	f	
20477	2bb65829-4285-4e4a-a618-c634ab17520a	Cardeto	Cardeto	4	0	2013-07-23 02:44:32.115835+02	\N	\N	\N	\N	\N	\N	f	
26890	30a912f8-f473-4b14-bc9f-950c7d37d36f	Tilden	Tilden	3	0	2013-09-08 03:53:14.637446+02	\N	\N	\N	\N	\N	\N	f	
20493	d148eb8d-540b-488e-bdb5-a1c9b72d426d	Santa Severina	Santa Severina	4	0	2013-07-23 02:48:09.475749+02	\N	\N	\N	\N	\N	\N	f	
22935	83c9a795-6f28-45c4-b41a-1ed99229d34e	Manistee	Manistee	3	0	2013-08-20 14:37:29.428164+02	\N	\N	\N	\N	\N	\N	f	
20496	08ca2e39-db95-4ebd-9b9f-f3e8dde8eaa2	Bova Marina	Bova Marina	4	0	2013-07-23 02:48:45.122864+02	\N	\N	\N	\N	\N	\N	f	
25157	faf1522a-ff75-46f3-ae3b-6507e57fc5a3	Turon, Kansas	Turon, Kansas	3	0	2013-09-07 10:25:53.983415+02	\N	\N	\N	\N	\N	\N	f	
22984	e298a004-6ae0-488d-892c-d806fd4ecd3a	Hooper Bay	Hooper Bay	3	0	2013-08-20 20:33:33.032255+02	\N	\N	\N	\N	\N	\N	f	
22132	4c39daae-0b9b-4258-855f-625d08f30230	Creston, Iowa	Creston, Iowa	3	0	2013-08-07 17:39:38.919543+02	\N	\N	\N	\N	\N	\N	f	
22201	6d328364-6e44-4eb4-878f-de0fa6eaf355	Cresson	Cresson	3	0	2013-08-08 08:45:10.646065+02	\N	\N	\N	\N	\N	\N	f	
22995	8dfd90b5-51b7-4a43-9e6f-a15b7439b0a9	Selawik	Selawik	3	0	2013-08-20 23:33:06.613748+02	\N	\N	\N	\N	\N	\N	f	
22398	ab42be96-8579-4952-b29a-5cbdf7227e7e	Agoura Hills, California	Agoura Hills, California	3	0	2013-08-11 02:37:00.178795+02	\N	\N	\N	\N	\N	\N	f	
22502	6a111425-5c03-43bd-a1ca-efd3ae4e13c0	Mendota	Mendota	3	0	2013-08-11 05:45:58.105338+02	\N	\N	\N	\N	\N	\N	f	
27273	9e44ca8a-52ba-43e4-8c3c-851f7d7ed6e2	Bloomfield	Bloomfield	3	0	2013-09-08 06:15:42.209445+02	\N	\N	\N	\N	\N	\N	f	
22665	66c21281-d673-4e53-a16a-d5366fe1c5d1	Ostiano	Ostiano	4	0	2013-08-13 23:36:43.371933+02	\N	\N	\N	\N	\N	\N	f	
23028	a823fc7a-84a6-421c-8438-f3a9cb705b7d	Parkerfield	Parkerfield	3	0	2013-08-21 08:28:45.06009+02	\N	\N	\N	\N	\N	\N	f	
22730	0eefbbcd-795d-442a-848b-e9b0505d6efe	Alì	Alì	4	0	2013-08-14 17:32:02.346291+02	\N	\N	\N	\N	\N	\N	f	
22867	ec1e55f4-03df-4ba1-a314-1ab959aa3fd6	Orlando	Orlando	3	0	2013-08-20 08:31:27.957396+02	\N	\N	\N	\N	\N	\N	f	
25193	12bb803f-fb9e-4eee-877c-40fa57887388	Kamrar	Kamrar	3	0	2013-09-07 10:35:54.524555+02	\N	\N	\N	\N	\N	\N	f	
23050	3a2aa4b1-cb83-4011-9b86-496db834ef87	Corinth	Corinth	3	0	2013-08-22 02:24:17.193855+02	\N	\N	\N	\N	\N	\N	f	
23119	50965561-283c-478f-8945-5b922e118978	Rogers	Rogers	3	0	2013-08-22 05:23:09.590775+02	\N	\N	\N	\N	\N	\N	f	
23123	6ad2691b-bd56-4711-b761-3dae6e9ac2c6	Trimont	Trimont	3	0	2013-08-22 05:24:16.179297+02	\N	\N	\N	\N	\N	\N	f	
25736	2c598416-a07b-4082-ba09-65125e832f4e	Vine Grove, Kentucky	Vine Grove, Kentucky	3	0	2013-09-07 14:25:53.763905+02	\N	\N	\N	\N	\N	\N	f	
24616	39c5ec4e-dc51-4c43-938a-9dfbd7a6472c	Silvis	Silvis	3	0	2013-09-07 07:53:14.735968+02	\N	\N	\N	\N	\N	\N	f	
27594	2a00253b-4da4-4d26-9987-fb7465dd256a	Huron, Ohio	Huron, Ohio	3	0	2013-09-08 08:51:52.97758+02	\N	\N	\N	\N	\N	\N	f	
26178	2083e3d9-a53c-410c-9e70-1adc0d39263e	Seneca	Seneca	3	0	2013-09-07 20:37:50.223021+02	\N	\N	\N	\N	\N	\N	f	
26497	246ca6e3-c34d-465d-958b-3aad2244a2c6	Bell City, Missouri	Bell City, Missouri	3	0	2013-09-08 00:50:26.933211+02	\N	\N	\N	\N	\N	\N	f	
26850	506810ef-b65c-448f-adec-1a83a9a68032	Martinsburg	Martinsburg	3	0	2013-09-08 03:10:26.771264+02	\N	\N	\N	\N	\N	\N	f	
28416	7941ae06-8670-4b1b-a96b-0d22f22d5305	Wentworth, South Dakota	Wentworth, South Dakota	3	0	2013-09-08 17:17:20.143395+02	\N	\N	\N	\N	\N	\N	f	
27955	3cbdf21f-51b0-45ac-bc10-532204606b5b	Decatur	Decatur	3	0	2013-09-08 11:46:32.709595+02	\N	\N	\N	\N	\N	\N	f	
28235	1fa9319a-60cd-45cc-8b0d-6336f69e23a8	Kurchatov	Kurchatov	3	0	2013-09-08 15:02:21.223274+02	\N	\N	\N	\N	\N	\N	f	
28063	202c2b29-888f-4065-a99e-008cac3e629a	Korolyov	Korolyov	3	0	2013-09-08 12:19:36.634474+02	\N	\N	\N	\N	\N	\N	f	
28219	ff02ea83-5cfe-439d-a8aa-b82cf7eb699e	Forest Acres, South Carolina	Forest Acres, South Carolina	3	0	2013-09-08 14:55:21.477254+02	\N	\N	\N	\N	\N	\N	f	
28422	f72b49c0-bc56-478c-9d85-8c9a28eb79df	Columbia, South Dakota	Columbia, South Dakota	3	0	2013-09-08 17:19:37.391681+02	\N	\N	\N	\N	\N	\N	f	
28425	4cb65e0e-da73-4e55-b96f-d14ce5134957	Rogersville	Rogersville	3	0	2013-09-08 17:20:27.481723+02	\N	\N	\N	\N	\N	\N	f	
28656	d136c6b1-a3d3-487d-8834-3c4dea4adc9c	Pattison	Pattison	3	0	2013-09-08 21:15:21.876627+02	\N	\N	\N	\N	\N	\N	f	
28673	55df26d8-0648-4afc-ac9b-bc2bf4d91398	Mount Calm	Mount Calm	3	0	2013-09-08 21:19:48.334065+02	\N	\N	\N	\N	\N	\N	f	
28884	8969e427-762e-47d4-86b3-1e0cd7035672	Granger	Granger	3	0	2013-09-09 01:09:53.578639+02	\N	\N	\N	\N	\N	\N	f	
28946	35335bd2-4613-456d-901e-1cc36142b843	Newton	Newton	3	0	2013-09-09 01:36:35.103764+02	\N	\N	\N	\N	\N	\N	f	
28983	8cf26c1a-11a6-46c0-9178-d087513cca60	El Lago	El Lago	3	0	2013-09-09 01:47:01.491822+02	\N	\N	\N	\N	\N	\N	f	
28991	ccbd78bd-53ba-4502-bbd2-60196e1acc2d	Duncanville	Duncanville	3	0	2013-09-09 01:49:18.554538+02	\N	\N	\N	\N	\N	\N	f	
29144	786dc9f1-7166-4653-802a-2527df5eae67	Shoreacres	Shoreacres	3	0	2013-09-09 02:47:41.901603+02	\N	\N	\N	\N	\N	\N	f	
29304	66f81d56-653a-445d-9919-73dc095aea98	De Pere	De Pere	3	0	2013-09-09 05:22:19.839527+02	\N	\N	\N	\N	\N	\N	f	
10746	bf502e90-7674-4851-8c55-abb0078610f1	Kudamatsu	Kudamatsu	3	0	2013-06-19 01:27:38.516649+02	\N	\N	\N	\N	\N	\N	f	
10763	fa6187e3-de89-4bea-9593-c2fab8d5df54	Nanjō	Nanjō	3	0	2013-06-19 01:31:18.502133+02	\N	\N	\N	\N	\N	\N	f	
10765	e5523d15-e869-4295-a950-416629c41192	Fujimino	Fujimino	3	0	2013-06-19 01:31:39.329288+02	\N	\N	\N	\N	\N	\N	f	
13880	3747ef8c-fa7e-469f-aed5-1b0687b64a0a	Montichiari	Montichiari	4	0	2013-07-21 19:33:49.178456+02	\N	\N	\N	\N	\N	\N	f	
14474	21f8d828-8ab3-4434-bf54-828f4a931996	Pomaro Monferrato	Pomaro Monferrato	4	0	2013-07-21 21:45:50.623227+02	\N	\N	\N	\N	\N	\N	f	
15559	3d0dbdb6-cdbd-44e3-9d5e-52c76e3242f0	Antrona Schieranco	Antrona Schieranco	4	0	2013-07-22 01:12:30.428609+02	\N	\N	\N	\N	\N	\N	f	
17363	24f0a2ae-3575-4e93-a59e-b9b30fdf273b	Campodolcino	Campodolcino	4	0	2013-07-22 06:18:13.290524+02	\N	\N	\N	\N	\N	\N	f	
15121	217c2511-6071-4f6c-824e-b8f28892efb9	Roddi	Roddi	4	0	2013-07-21 23:50:22.503755+02	\N	\N	\N	\N	\N	\N	f	
15583	7a4decf1-353f-4c25-a277-c7ad2d7ffb9e	Formazza	Formazza	4	0	2013-07-22 01:17:31.074324+02	\N	\N	\N	\N	\N	\N	f	
22868	91258902-0b9d-43de-87a3-95a8853d7b10	Fort Myers	Fort Myers	3	0	2013-08-20 08:31:47.25936+02	\N	\N	\N	\N	\N	\N	f	
15602	959430b5-e821-478f-bf03-139ed174bf77	Macugnaga	Macugnaga	4	0	2013-07-22 01:21:42.894903+02	\N	\N	\N	\N	\N	\N	f	
16286	e3d559a3-0ecd-490a-9018-d9c8e05c1553	Montenero di Bisaccia	Montenero di Bisaccia	4	0	2013-07-22 03:15:21.248927+02	\N	\N	\N	\N	\N	\N	f	
18356	9c1f1cfa-e096-4001-b1c0-03a5b3fedb71	Verderio Superiore	Verderio Superiore	4	0	2013-07-22 08:18:19.347225+02	\N	\N	\N	\N	\N	\N	f	
16328	d23bc2ce-0d7f-4f41-95a4-c4ff10d1a6d5	Sepino	Sepino	4	0	2013-07-22 03:20:26.272652+02	\N	\N	\N	\N	\N	\N	f	
16350	5ea8dd64-9f93-4095-8fe5-01e10cb89c13	Forlì del Sannio	Forlì del Sannio	4	0	2013-07-22 03:22:53.95119+02	\N	\N	\N	\N	\N	\N	f	
17011	2c639399-5472-4744-8baf-a25c0269240e	Bari	Bari	4	0	2013-07-22 05:32:16.661197+02	\N	\N	\N	\N	\N	\N	f	
17156	90785715-b84a-4c4a-9129-6b78ce3811d6	Samugheo	Samugheo	4	0	2013-07-22 05:51:06.217576+02	\N	\N	\N	\N	\N	\N	f	
17176	67bb1a40-a193-48ad-918d-0a083410290d	Sorradile	Sorradile	4	0	2013-07-22 05:53:38.886607+02	\N	\N	\N	\N	\N	\N	f	
19722	f970740d-b7e2-4f79-a983-a2a368c055bf	Botrugno	Botrugno	4	0	2013-07-22 11:28:58.1213+02	\N	\N	\N	\N	\N	\N	f	
19268	c49aa38d-75ac-4d1b-a324-db23ee8a63f0	Scontrone	Scontrone	4	0	2013-07-22 10:14:02.286446+02	\N	\N	\N	\N	\N	\N	f	
19271	69eaafd4-b929-4860-a1d5-714109251316	Alia, Sicily	Alia, Sicily	4	0	2013-07-22 10:14:26.969706+02	\N	\N	\N	\N	\N	\N	f	
19305	f767f314-b4c9-4439-a99d-a11855291a2b	San Vincenzo Valle Roveto	San Vincenzo Valle Roveto	4	0	2013-07-22 10:18:37.875898+02	\N	\N	\N	\N	\N	\N	f	
19745	021570cb-e602-49e9-b2f9-91c969e2a0d9	Campobello di Licata	Campobello di Licata	4	0	2013-07-22 11:31:30.262456+02	\N	\N	\N	\N	\N	\N	f	
19311	d427ea53-9fb6-49b5-ba05-7ee202898a81	Rivisondoli	Rivisondoli	4	0	2013-07-22 10:19:18.964643+02	\N	\N	\N	\N	\N	\N	f	
19315	5dfb5f7d-078e-4a61-a02d-c0f23eae2c07	Poggio Picenze	Poggio Picenze	4	0	2013-07-22 10:19:46.775794+02	\N	\N	\N	\N	\N	\N	f	
22133	bdcb7ffb-63de-4bf8-a2f3-5e9c8d5221a8	Greeley, Iowa	Greeley, Iowa	3	0	2013-08-07 17:39:52.330434+02	\N	\N	\N	\N	\N	\N	f	
22907	ccd24aee-b227-4aab-8ea5-3544fd7221ef	Inkster, Michigan	Inkster, Michigan	3	0	2013-08-20 14:24:20.841878+02	\N	\N	\N	\N	\N	\N	f	
19787	0a7b7450-8d81-49e6-b903-0dcb78c30424	Giurdignano	Giurdignano	4	0	2013-07-22 11:36:11.143513+02	\N	\N	\N	\N	\N	\N	f	
19796	439b1c5e-fd59-430f-9017-584087600116	Salve, Apulia	Salve, Apulia	4	0	2013-07-22 11:37:19.877011+02	\N	\N	\N	\N	\N	\N	f	
19865	388e1ebf-c3bc-4d52-bb99-ba3f651bbb23	Trepuzzi	Trepuzzi	4	0	2013-07-22 11:48:17.888421+02	\N	\N	\N	\N	\N	\N	f	
22202	69546058-e609-47e6-bd56-2a3660776b1c	Gilmer	Gilmer	3	0	2013-08-08 08:45:23.718609+02	\N	\N	\N	\N	\N	\N	f	
19963	c737aeb0-3b34-4149-ab2f-97700addcc7f	Rotonda, Basilicata	Rotonda, Basilicata	4	0	2013-07-22 12:00:44.487306+02	\N	\N	\N	\N	\N	\N	f	
19969	473b7086-35c3-41e7-8200-d713503ce822	Pescopagano	Pescopagano	4	0	2013-07-22 12:01:40.868395+02	\N	\N	\N	\N	\N	\N	f	
24652	654bc62f-9f66-4bc9-9c64-99adf3744d3f	Le Roy	Le Roy	3	0	2013-09-07 08:02:30.988281+02	\N	\N	\N	\N	\N	\N	f	
20364	66e6d930-01b4-427e-a15f-0b6d9f712d7b	Dipignano	Dipignano	4	0	2013-07-22 23:38:27.36396+02	\N	\N	\N	\N	\N	\N	f	
22403	06d8140e-9b63-45e0-b4a6-5aa563386f86	Somerville	Somerville	3	0	2013-08-11 02:40:09.173093+02	\N	\N	\N	\N	\N	\N	f	
20383	d381f5d4-3fdf-4cce-8d83-cbc397dcf475	Pedivigliano	Pedivigliano	4	0	2013-07-22 23:42:30.325163+02	\N	\N	\N	\N	\N	\N	f	
20478	8820609f-feb0-4e38-907f-7e86934a5236	Campo Calabro	Campo Calabro	4	0	2013-07-23 02:44:46.315944+02	\N	\N	\N	\N	\N	\N	f	
22996	6f92ac45-dd53-419b-a8dd-536e9a1b23f0	White Mountain	White Mountain	3	0	2013-08-20 23:33:22.527246+02	\N	\N	\N	\N	\N	\N	f	
20513	5f1fa3b8-5c93-4f10-93d0-b2088e3a4595	Locri	Locri	4	0	2013-07-23 02:52:20.451493+02	\N	\N	\N	\N	\N	\N	f	
22504	d814d466-a5a6-47e2-bdb1-47763522f9ff	Oakdale	Oakdale	3	0	2013-08-11 05:46:25.809355+02	\N	\N	\N	\N	\N	\N	f	
20515	a6d3ef71-e38a-4d70-a2af-eae383e3b80d	Riace	Riace	4	0	2013-07-23 02:52:44.320723+02	\N	\N	\N	\N	\N	\N	f	
23029	71e43d18-c6f2-4c6f-8026-5f85af905bcd	Portland	Portland	3	0	2013-08-21 08:30:05.034542+02	\N	\N	\N	\N	\N	\N	f	
25162	9247fdbc-5269-4d81-9a48-485e0dc45317	Wamego, Kansas	Wamego, Kansas	3	0	2013-09-07 10:27:07.144285+02	\N	\N	\N	\N	\N	\N	f	
23051	f46f8166-3ca0-4df8-b569-e3959478ed4d	Cold Spring	Cold Spring	3	0	2013-08-22 02:24:47.357237+02	\N	\N	\N	\N	\N	\N	f	
22505	b3cc2c57-2683-4576-b88a-3cac7398ec6d	Weed	Weed	3	0	2013-08-11 05:46:39.575022+02	\N	\N	\N	\N	\N	\N	f	
22519	1d90f78c-ca5a-4d1c-9e77-a47882f5a167	Rohnert Park	Rohnert Park	3	0	2013-08-11 05:50:08.436147+02	\N	\N	\N	\N	\N	\N	f	
24688	a26db6f8-f66e-4e0e-8d1c-89def128bd24	Grayville	Grayville	3	0	2013-09-07 08:10:53.32594+02	\N	\N	\N	\N	\N	\N	f	
22666	72f809dc-2e2e-49b7-a5a4-71e3be3c8c7f	Livo	Livo	4	0	2013-08-13 23:37:15.044929+02	\N	\N	\N	\N	\N	\N	f	
22731	47aac72b-fa69-4df5-905a-67ff54a1a633	Salcedo	Salcedo	4	0	2013-08-14 17:32:26.425654+02	\N	\N	\N	\N	\N	\N	f	
23120	34bc171d-1ab6-4526-b8b9-b436cc1647a9	St. Joseph	St. Joseph	3	0	2013-08-22 05:23:23.750682+02	\N	\N	\N	\N	\N	\N	f	
24617	af36d86f-6432-4550-b91e-0050d6be6bd2	Eldorado	Eldorado	3	0	2013-09-07 07:53:28.174402+02	\N	\N	\N	\N	\N	\N	f	
25889	1d2182cc-8427-4d66-833d-011eb044fd8f	Goddard, Kansas	Goddard, Kansas	3	0	2013-09-07 15:05:45.473984+02	\N	\N	\N	\N	\N	\N	f	
24634	9eb8fcd6-3fae-4462-b216-c3399d12a138	Havana	Havana	3	0	2013-09-07 07:57:27.828279+02	\N	\N	\N	\N	\N	\N	f	
24736	990238b2-c45b-4f79-95d3-00e639a2ad86	Armstrong	Armstrong	3	0	2013-09-07 08:21:48.344512+02	\N	\N	\N	\N	\N	\N	f	
25197	46dd00cc-c897-4fb1-9403-685f44305af6	Minneapolis, Kansas	Minneapolis, Kansas	3	0	2013-09-07 10:36:59.075642+02	\N	\N	\N	\N	\N	\N	f	
24749	2d2477f8-7e2c-4f11-8c60-6a222d77be42	North Buena Vista, Iowa	North Buena Vista, Iowa	3	0	2013-09-07 08:24:55.377176+02	\N	\N	\N	\N	\N	\N	f	
25155	461047cd-c975-4567-bf85-50db00a861e1	Oketo, Kansas	Oketo, Kansas	3	0	2013-09-07 10:25:26.850531+02	\N	\N	\N	\N	\N	\N	f	
25747	bda6f37d-d56d-4fde-8f85-e9a5e70c210c	Burrton, Kansas	Burrton, Kansas	3	0	2013-09-07 14:28:41.802401+02	\N	\N	\N	\N	\N	\N	f	
25227	0d8227cd-2011-4112-a458-c20aee9a67b8	Fairbank	Fairbank	3	0	2013-09-07 10:46:09.903316+02	\N	\N	\N	\N	\N	\N	f	
25737	9b62e8e2-17ce-41cf-a6d9-31dcf29c3df2	Roseland, Kansas	Roseland, Kansas	3	0	2013-09-07 14:26:08.378722+02	\N	\N	\N	\N	\N	\N	f	
26851	b1031129-1212-4950-bbef-347015f0e61f	Velda City	Velda City	3	0	2013-09-08 03:10:41.257068+02	\N	\N	\N	\N	\N	\N	f	
26498	226256d9-62ee-4465-9654-e109c8c1e4ea	Bennett, Iowa	Bennett, Iowa	3	0	2013-09-08 00:50:40.673671+02	\N	\N	\N	\N	\N	\N	f	
26179	3942d672-605b-4566-935b-27ef9c9afc98	Bronson	Bronson	3	0	2013-09-07 20:38:05.44889+02	\N	\N	\N	\N	\N	\N	f	
26853	878eadf9-2a4c-4c7e-a0de-5aa94217cb3f	St. Thomas	St. Thomas	3	0	2013-09-08 03:11:11.033021+02	\N	\N	\N	\N	\N	\N	f	
26904	42cc39ca-956e-48fe-94ec-7b9b70b32f6d	Ellsinore	Ellsinore	3	0	2013-09-08 03:56:46.68015+02	\N	\N	\N	\N	\N	\N	f	
27277	5ec8513f-7581-450c-aa9f-fb2bc29dad56	Hopkins	Hopkins	3	0	2013-09-08 06:16:44.476476+02	\N	\N	\N	\N	\N	\N	f	
27595	117bcb26-af0e-4b49-9c46-d7c481c81e84	Surrey, North Dakota	Surrey, North Dakota	3	0	2013-09-08 08:52:06.753918+02	\N	\N	\N	\N	\N	\N	f	
27956	3550070d-bb6c-48e4-9e31-a10a9e7ae4db	Presque Isle	Presque Isle	3	0	2013-09-08 11:46:47.474192+02	\N	\N	\N	\N	\N	\N	f	
27966	a98e6774-72e8-4f5d-8cbb-127e1d551ba7	Michigan City	Michigan City	3	0	2013-09-08 11:49:23.999481+02	\N	\N	\N	\N	\N	\N	f	
27994	14e7ba5a-846f-4b4e-9526-188dc1867e6f	Coshocton	Coshocton	3	0	2013-09-08 11:56:24.394818+02	\N	\N	\N	\N	\N	\N	f	
10747	514c9175-ea3f-43b1-8694-ae0ace751c35	Inashiki	Inashiki	3	0	2013-06-19 01:27:48.686838+02	\N	\N	\N	\N	\N	\N	f	
13883	00c13517-7953-4c30-8fc8-f17bb7424685	Montirone	Montirone	4	0	2013-07-21 19:34:31.501043+02	\N	\N	\N	\N	\N	\N	f	
13885	9bf3ae1d-7eaa-4685-91f5-5236e7796dbe	Milzano	Milzano	4	0	2013-07-21 19:34:56.078553+02	\N	\N	\N	\N	\N	\N	f	
15561	b9910eb4-2bb7-4cd3-90b7-cefabbb56b80	Aurano	Aurano	4	0	2013-07-22 01:13:04.325046+02	\N	\N	\N	\N	\N	\N	f	
13993	69fffb90-6077-49a8-a718-340805c223f5	Tremosine	Tremosine	4	0	2013-07-21 19:59:34.757021+02	\N	\N	\N	\N	\N	\N	f	
14476	30c2a43c-c475-4062-82c5-71f2900cf53a	Pozzol Groppo	Pozzol Groppo	4	0	2013-07-21 21:46:16.008061+02	\N	\N	\N	\N	\N	\N	f	
14992	e45e1460-8a0d-44ce-88ad-14be934e1924	Mombarcaro	Mombarcaro	4	0	2013-07-21 23:34:28.717615+02	\N	\N	\N	\N	\N	\N	f	
15562	a53d68a6-7544-4966-b01f-42bc78537428	Calasca-Castiglione	Calasca-Castiglione	4	0	2013-07-22 01:13:16.171373+02	\N	\N	\N	\N	\N	\N	f	
15589	ba333861-7d50-4931-b1f3-c87f4ca4a3d6	Druogno	Druogno	4	0	2013-07-22 01:18:49.320741+02	\N	\N	\N	\N	\N	\N	f	
15613	0f992fd3-a32a-44e3-bb10-17b78730e100	Pallanzeno	Pallanzeno	4	0	2013-07-22 01:24:30.778639+02	\N	\N	\N	\N	\N	\N	f	
25156	88d5c2cd-0960-435e-96aa-1fb5076188ed	Troy, Kansas	Troy, Kansas	3	0	2013-09-07 10:25:40.375108+02	\N	\N	\N	\N	\N	\N	f	
15638	3ad281ba-d9c8-45f0-8241-9153e806c1db	Affile	Affile	4	0	2013-07-22 01:30:08.898656+02	\N	\N	\N	\N	\N	\N	f	
17407	49560503-b450-45b1-8e05-bc4fcfc3233f	Cugliate-Fabiasco	Cugliate-Fabiasco	4	0	2013-07-22 06:23:37.253264+02	\N	\N	\N	\N	\N	\N	f	
16297	94899c2f-0567-48bb-a18d-7ad743c47b3e	Spinete	Spinete	4	0	2013-07-22 03:16:55.509138+02	\N	\N	\N	\N	\N	\N	f	
16324	8778843b-8ffa-43e4-9e3a-c1a108cf0140	Provvidenti	Provvidenti	4	0	2013-07-22 03:19:57.184113+02	\N	\N	\N	\N	\N	\N	f	
19724	d387cd6f-8151-46a5-87d1-3b89abeb9a4e	Curtatone	Curtatone	4	0	2013-07-22 11:29:10.994673+02	\N	\N	\N	\N	\N	\N	f	
17013	8b68759f-f293-466e-9889-7600611538dd	Valsavarenche	Valsavarenche	4	0	2013-07-22 05:32:31.990283+02	\N	\N	\N	\N	\N	\N	f	
22914	913c019a-4648-4104-9961-4e3b91a5ac86	Sandusky, Michigan	Sandusky, Michigan	3	0	2013-08-20 14:27:34.881821+02	\N	\N	\N	\N	\N	\N	f	
17073	772b8fb4-45dd-4350-9937-46113f4b69b4	Pompei	Pompei	4	0	2013-07-22 05:39:55.795127+02	\N	\N	\N	\N	\N	\N	f	
17155	82e77352-6493-4a95-b945-276b42887a31	Neoneli	Neoneli	4	0	2013-07-22 05:50:53.268031+02	\N	\N	\N	\N	\N	\N	f	
18361	2282e3a5-b6cd-4bc2-a667-2731e280a33d	Bareggio	Bareggio	4	0	2013-07-22 08:18:50.503794+02	\N	\N	\N	\N	\N	\N	f	
17163	af190637-b52b-4dcb-9417-0ad8b55d49a2	San Vero Milis	San Vero Milis	4	0	2013-07-22 05:51:53.922727+02	\N	\N	\N	\N	\N	\N	f	
22998	fe33398d-4d6f-4f2a-b4be-836f4e9b87ca	Thorne Bay	Thorne Bay	3	0	2013-08-20 23:33:53.665675+02	\N	\N	\N	\N	\N	\N	f	
20366	4cd78432-1250-4922-b133-3d8703436fd8	Buonvicino	Buonvicino	4	0	2013-07-22 23:38:51.636857+02	\N	\N	\N	\N	\N	\N	f	
19145	7427ce21-91c0-4ed0-97b3-1886d293c0f2	Campofelice di Fitalia	Campofelice di Fitalia	4	0	2013-07-22 09:58:02.163629+02	\N	\N	\N	\N	\N	\N	f	
20482	78f26f45-9107-4121-9872-076c78789f83	Petilia Policastro	Petilia Policastro	4	0	2013-07-23 02:45:48.869658+02	\N	\N	\N	\N	\N	\N	f	
20516	1ca8ec89-7ae2-429e-ac83-c5c3e694c12b	San Luca	San Luca	4	0	2013-07-23 02:52:56.518666+02	\N	\N	\N	\N	\N	\N	f	
23030	ee5a7f4f-e449-43bb-a77e-ef42d37473f0	Marcellinara	Marcellinara	4	0	2013-08-21 08:30:33.467191+02	\N	\N	\N	\N	\N	\N	f	
20518	454a9344-f596-40ab-b9a8-a7c9925dd599	Sant'Agata del Bianco	Sant'Agata del Bianco	4	0	2013-07-23 02:53:20.367759+02	\N	\N	\N	\N	\N	\N	f	
25219	42a928c1-8327-4519-a1bf-1aa1a295aa4e	Donahue	Donahue	3	0	2013-09-07 10:43:57.068319+02	\N	\N	\N	\N	\N	\N	f	
23052	fb651523-aa16-4b88-b9e0-50ae5a610ac1	Nowthen	Nowthen	3	0	2013-08-22 02:25:53.623278+02	\N	\N	\N	\N	\N	\N	f	
22135	824241e3-99d0-4320-9166-c806bc1d43cb	Peosta, Iowa	Peosta, Iowa	3	0	2013-08-07 17:40:37.964036+02	\N	\N	\N	\N	\N	\N	f	
23078	ff7eb755-8d72-447f-a5f2-d7a4350cafd5	McComb	McComb	3	0	2013-08-22 02:41:36.561138+02	\N	\N	\N	\N	\N	\N	f	
22203	20f7bf06-129f-4aa9-a6be-a34656692b43	Pittsburg	Pittsburg	3	0	2013-08-08 08:45:36.881838+02	\N	\N	\N	\N	\N	\N	f	
22404	ac84aab3-62db-4e26-9651-93d3f66cf982	Stockton, California	Stockton, California	3	0	2013-08-11 02:40:26.97778+02	\N	\N	\N	\N	\N	\N	f	
27280	279b8e64-d4ba-4fcc-9fa1-b4078fe84285	Olivette	Olivette	3	0	2013-09-08 06:17:32.411714+02	\N	\N	\N	\N	\N	\N	f	
22511	69e7b84c-179e-4b0d-b398-750d27023102	Fillmore	Fillmore	3	0	2013-08-11 05:48:08.606126+02	\N	\N	\N	\N	\N	\N	f	
23121	85f85168-7c42-4450-8535-c2f57ad46294	Le Sueur	Le Sueur	3	0	2013-08-22 05:23:36.69086+02	\N	\N	\N	\N	\N	\N	f	
22667	a602063d-da94-409d-aeda-466527e6fbf7	Nesso	Nesso	4	0	2013-08-13 23:37:38.871561+02	\N	\N	\N	\N	\N	\N	f	
22732	c7af45b2-e713-496d-a4fa-7580b467b6b0	Thiene	Thiene	4	0	2013-08-14 17:32:46.579475+02	\N	\N	\N	\N	\N	\N	f	
25223	3f3cbf31-6294-43af-9dd0-098c90145715	Gray	Gray	3	0	2013-09-07 10:45:02.727597+02	\N	\N	\N	\N	\N	\N	f	
22869	247282cc-bb89-4b65-8a2a-5768336f3aca	Moore Haven, Florida	Moore Haven, Florida	3	0	2013-08-20 08:32:47.869402+02	\N	\N	\N	\N	\N	\N	f	
22911	078b476e-99f0-4047-9cef-7694b5112386	Grosse Pointe, Michigan	Grosse Pointe, Michigan	3	0	2013-08-20 14:25:36.299011+02	\N	\N	\N	\N	\N	\N	f	
24621	35678b1c-e219-41ec-bc19-6792f4b54e34	Mason City	Mason City	3	0	2013-09-07 07:54:22.815024+02	\N	\N	\N	\N	\N	\N	f	
24631	8b5a63ee-2735-44d0-8885-532074d18378	Chenoa	Chenoa	3	0	2013-09-07 07:56:45.276673+02	\N	\N	\N	\N	\N	\N	f	
25738	2aebd5c0-6347-4b5c-95cd-bdcb071a179c	Danville, Kansas	Danville, Kansas	3	0	2013-09-07 14:26:23.015636+02	\N	\N	\N	\N	\N	\N	f	
24753	34d5f1d0-2c78-4e2c-99bb-7a45bfba69f8	Manly, Iowa	Manly, Iowa	3	0	2013-09-07 08:25:58.048214+02	\N	\N	\N	\N	\N	\N	f	
24761	6438394f-cbf7-4f80-8d1d-0315ed153332	Farragut, Iowa	Farragut, Iowa	3	0	2013-09-07 08:28:11.999653+02	\N	\N	\N	\N	\N	\N	f	
28234	f53be7c6-2ed6-49ac-a5ef-a5d8ca66eaf9	Conway, South Carolina	Conway, South Carolina	3	0	2013-09-08 15:01:54.954638+02	\N	\N	\N	\N	\N	\N	f	
27596	b34b2e21-40db-4663-976a-ebc2d3ee23e0	Eastlake, Ohio	Eastlake, Ohio	3	0	2013-09-08 08:52:27.40334+02	\N	\N	\N	\N	\N	\N	f	
26181	4e6a1720-58e9-4db7-be18-9ca319d12841	Richmond	Richmond	3	0	2013-09-07 20:38:36.309298+02	\N	\N	\N	\N	\N	\N	f	
26499	f4ee570d-093a-40d0-a85a-e8e719c2e169	Belle, Missouri	Belle, Missouri	3	0	2013-09-08 00:50:57.859333+02	\N	\N	\N	\N	\N	\N	f	
27999	f4043a7b-19c3-4322-86c4-f9db651af1ac	Kellogg	Kellogg	3	0	2013-09-08 11:57:38.368365+02	\N	\N	\N	\N	\N	\N	f	
26854	382bb6f6-f413-4603-bdde-ea9c34339507	Wood Heights	Wood Heights	3	0	2013-09-08 03:11:25.751391+02	\N	\N	\N	\N	\N	\N	f	
27690	8163257f-91ed-47e1-8d98-0891b71af917	Pond Creek, Oklahoma	Pond Creek, Oklahoma	3	0	2013-09-08 09:26:11.780175+02	\N	\N	\N	\N	\N	\N	f	
26856	215df946-c11e-4e65-8224-25ef68143b6c	St. John	St. John	3	0	2013-09-08 03:11:55.169824+02	\N	\N	\N	\N	\N	\N	f	
27739	582bc000-d920-4573-933d-1cafad76d1b6	Maud, Oklahoma	Maud, Oklahoma	3	0	2013-09-08 09:39:19.082364+02	\N	\N	\N	\N	\N	\N	f	
27957	46cfeb27-b12d-4ded-bde0-50d4a84f265b	Red Oak	Red Oak	3	0	2013-09-08 11:47:01.061005+02	\N	\N	\N	\N	\N	\N	f	
28222	af37b3de-4a03-44d3-ac4e-6f6cdf876a59	Valley Falls	Valley Falls	3	0	2013-09-08 14:56:59.329179+02	\N	\N	\N	\N	\N	\N	f	
28417	6ba6cf9f-8b8d-4e69-80b8-4d35d06d5b33	Paris	Paris	3	0	2013-09-08 17:17:32.168032+02	\N	\N	\N	\N	\N	\N	f	
28239	4091dd02-f1dc-4040-8fd0-369346134a6e	Inman, South Carolina	Inman, South Carolina	3	0	2013-09-08 15:04:56.97111+02	\N	\N	\N	\N	\N	\N	f	
28659	a22279d3-a41e-4e30-9a01-3ff47e716257	Eagle Lake	Eagle Lake	3	0	2013-09-08 21:16:09.834945+02	\N	\N	\N	\N	\N	\N	f	
28468	3d85ffb7-4b71-4dcb-bbb0-0aa328c1b0d6	Alton	Alton	3	0	2013-09-08 17:42:07.308172+02	\N	\N	\N	\N	\N	\N	f	
28668	7f45839d-94e9-4f3a-85d2-915474efdb28	New Chapel Hill	New Chapel Hill	3	0	2013-09-08 21:18:31.268054+02	\N	\N	\N	\N	\N	\N	f	
28885	e4ef150d-ffac-4ef9-a7a5-f46c74bfd2b0	Fircrest	Fircrest	3	0	2013-09-09 01:10:12.613809+02	\N	\N	\N	\N	\N	\N	f	
29305	7c6673df-3d46-49bb-87fb-1296d3a4016f	Algoma	Algoma	3	0	2013-09-09 05:22:36.058884+02	\N	\N	\N	\N	\N	\N	f	
29145	aac5c2bf-ebb3-4feb-96b7-19a39f71a4a4	Watauga	Watauga	3	0	2013-09-09 02:48:03.059471+02	\N	\N	\N	\N	\N	\N	f	
29401	633f67d1-5bd1-41f4-9276-8829d56088c9	Guri'el	Guri'el	3	0	2013-09-09 08:41:30.427549+02	\N	\N	\N	\N	\N	\N	f	
29410	153701d0-a6e9-4e1d-98d1-c91ca5810c94	Woodville, New Zealand	Woodville, New Zealand	3	0	2013-09-10 05:23:11.927855+02	\N	\N	\N	\N	\N	\N	f	
29415	95399ec3-602f-4918-9f4a-59195ce33c6c	Bela-Bela	Bela-Bela	3	0	2013-09-10 08:26:48.900486+02	\N	\N	\N	\N	\N	\N	f	
2663	b8799683-0664-47bb-89b6-944bee59aa19	Xaisômboun	Xaisômboun	2	0	2013-09-11 09:20:35.97089+02	\N	\N	\N	2006	1	13	t	
29418	5c1e35e0-f528-4a49-b726-f6cb80c8705a	Port Arthur	Port Arthur	3	0	2013-09-10 20:26:24.25381+02	\N	\N	\N	\N	\N	\N	f	
10748	f0c1882b-4f93-49bf-a2e1-657bc96ef2e7	Tōmi	Tōmi	3	0	2013-06-19 01:27:59.127339+02	\N	\N	\N	\N	\N	\N	f	
10762	2b4871ea-ea99-484c-839b-e4b3041aa5a0	Namegata	Namegata	3	0	2013-06-19 01:31:08.043954+02	\N	\N	\N	\N	\N	\N	f	
13884	729b0c45-3060-4448-bd56-b52ca485dbb1	Mairano	Mairano	4	0	2013-07-21 19:34:44.230743+02	\N	\N	\N	\N	\N	\N	f	
13891	7544039a-98d2-48be-8fca-658ad0f8bab0	Cadelbosco di Sopra	Cadelbosco di Sopra	4	0	2013-07-21 19:36:15.408626+02	\N	\N	\N	\N	\N	\N	f	
15563	534fa937-733b-4ba1-afb2-828d738fdec7	Arizzano	Arizzano	4	0	2013-07-22 01:13:27.764747+02	\N	\N	\N	\N	\N	\N	f	
13892	7b9d82d3-400d-4560-8538-1d04f66778d9	Posada	Posada	4	0	2013-07-21 19:36:26.850299+02	\N	\N	\N	\N	\N	\N	f	
13961	47fb5431-b08d-49a1-bebe-801fe8837597	Pompiano	Pompiano	4	0	2013-07-21 19:51:49.714289+02	\N	\N	\N	\N	\N	\N	f	
13974	c24309ec-5efd-435b-bc11-7dee1b582bb2	Montefiore Conca	Montefiore Conca	4	0	2013-07-21 19:54:37.650506+02	\N	\N	\N	\N	\N	\N	f	
26500	d7b9617f-b72a-4ad4-9de1-5b80ab853a33	Westmoreland, Kansas	Westmoreland, Kansas	3	0	2013-09-08 00:51:11.78685+02	\N	\N	\N	\N	\N	\N	f	
14477	185d3054-122c-4ece-b6f1-25ce33f93535	Onano	Onano	4	0	2013-07-21 21:46:28.24413+02	\N	\N	\N	\N	\N	\N	f	
22136	615ef34a-4f27-4252-804a-cc2e8a11a5ef	Talladega	Talladega	3	0	2013-08-07 17:41:45.955549+02	\N	\N	\N	\N	\N	\N	f	
17365	5fb001fa-6de6-47d5-bc62-fb6f45a215df	Verceia	Verceia	4	0	2013-07-22 06:18:26.320754+02	\N	\N	\N	\N	\N	\N	f	
15011	735a772d-af9a-4feb-ad17-167073f50fac	Neviglie	Neviglie	4	0	2013-07-21 23:36:44.856636+02	\N	\N	\N	\N	\N	\N	f	
23032	146d929f-e699-4a9b-bb13-05726c287f36	Brewer, Maine	Brewer, Maine	3	0	2013-08-21 08:36:14.469249+02	\N	\N	\N	\N	\N	\N	f	
22204	a7927b82-d1f7-4546-8534-5d306d8fea2b	Childress	Childress	3	0	2013-08-08 08:45:56.514861+02	\N	\N	\N	\N	\N	\N	f	
16424	bf4a3e38-bc4c-4d04-9f76-32727313b530	Quartu Sant'Elena	Quartu Sant'Elena	4	0	2013-07-22 03:31:50.694805+02	\N	\N	\N	\N	\N	\N	f	
17394	9c137d0b-ef98-4271-a29c-6ca4c2b0ba94	Cairate	Cairate	4	0	2013-07-22 06:21:57.852363+02	\N	\N	\N	\N	\N	\N	f	
16436	be5b0a30-9030-4515-a072-b2210002d2da	Dolianova	Dolianova	4	0	2013-07-22 03:33:10.413429+02	\N	\N	\N	\N	\N	\N	f	
16446	fa43e0af-5711-48a5-8689-a1077ceeedd1	Vallermosa	Vallermosa	4	0	2013-07-22 03:34:31.988923+02	\N	\N	\N	\N	\N	\N	f	
19725	36559c36-efbe-41bc-8334-1adfbf5694c8	Carpignano Salentino	Carpignano Salentino	4	0	2013-07-22 11:29:12.734289+02	\N	\N	\N	\N	\N	\N	f	
17418	e96838a8-4877-4c04-8ded-d455c6a1bbcd	Ospitale di Cadore	Ospitale di Cadore	4	0	2013-07-22 06:24:54.322282+02	\N	\N	\N	\N	\N	\N	f	
16488	ecff7e59-0318-4cdb-ae7e-6e886731b675	Guspini	Guspini	4	0	2013-07-22 03:39:46.713959+02	\N	\N	\N	\N	\N	\N	f	
16508	6d78943a-9c91-4009-afa5-6c1a6a3af8a6	Collinas	Collinas	4	0	2013-07-22 03:41:53.523049+02	\N	\N	\N	\N	\N	\N	f	
16564	595910dc-859c-4b4f-b883-72dabc6a715c	Caerano di San Marco	Caerano di San Marco	4	0	2013-07-22 03:48:50.389141+02	\N	\N	\N	\N	\N	\N	f	
18363	686e7b1e-613f-419c-bcc1-1e84df36586a	Soresina	Soresina	4	0	2013-07-22 08:19:09.918916+02	\N	\N	\N	\N	\N	\N	f	
16567	69a6464f-bd8b-4995-a9fb-842e7c3f314b	Ivano-Fracena	Ivano-Fracena	4	0	2013-07-22 03:49:18.127952+02	\N	\N	\N	\N	\N	\N	f	
16575	d24ed5b3-b7ad-4ab4-83d9-1542ac12c3fa	Castelfranco Veneto	Castelfranco Veneto	4	0	2013-07-22 03:50:14.17368+02	\N	\N	\N	\N	\N	\N	f	
22405	bf51dede-2c6c-4908-abaa-3d6b491d0cf5	Orange	Orange	3	0	2013-08-11 02:40:45.60098+02	\N	\N	\N	\N	\N	\N	f	
17014	018d39c5-3348-4918-b796-0f715eb9259c	Sarre, Aosta Valley	Sarre, Aosta Valley	4	0	2013-07-22 05:32:35.523866+02	\N	\N	\N	\N	\N	\N	f	
19147	52f66b1f-4a43-4432-8c57-737d29193793	Belmonte Mezzagno	Belmonte Mezzagno	4	0	2013-07-22 09:58:16.353942+02	\N	\N	\N	\N	\N	\N	f	
17090	1521009a-94b4-4050-bf01-4b9b421d9723	Kastelbell-Tschars	Kastelbell-Tschars	4	0	2013-07-22 05:42:19.495413+02	\N	\N	\N	\N	\N	\N	f	
19727	2cb81f18-c714-46ea-ae9c-d386cd5024af	Giuggianello	Giuggianello	4	0	2013-07-22 11:29:24.777386+02	\N	\N	\N	\N	\N	\N	f	
25739	b1917e8a-0a10-4b18-8f77-d8369012f42f	Hurstbourne Acres, Kentucky	Hurstbourne Acres, Kentucky	3	0	2013-09-07 14:26:37.657919+02	\N	\N	\N	\N	\N	\N	f	
22425	4f17fe3a-02da-4352-93de-4c2fed8395f1	Yucaipa, California	Yucaipa, California	3	0	2013-08-11 02:47:28.913672+02	\N	\N	\N	\N	\N	\N	f	
19743	d9185185-465a-4cda-bf3c-006b53ebff2b	Galatone	Galatone	4	0	2013-07-22 11:31:05.351188+02	\N	\N	\N	\N	\N	\N	f	
20368	9c15b7d7-a2d7-486a-add1-68fe130f740a	Figline Vegliaturo	Figline Vegliaturo	4	0	2013-07-22 23:39:16.076558+02	\N	\N	\N	\N	\N	\N	f	
23053	7181d186-5659-4ed6-8205-3596395bf5e6	Mantorville	Mantorville	3	0	2013-08-22 02:26:20.289381+02	\N	\N	\N	\N	\N	\N	f	
20393	865091ea-f1f1-43e8-9274-a17294bd86ba	Marano Principato	Marano Principato	4	0	2013-07-22 23:45:14.77966+02	\N	\N	\N	\N	\N	\N	f	
22436	9bd8838b-39c9-4935-823c-ed16cdaed9fa	Elk Grove	Elk Grove	3	0	2013-08-11 02:50:27.104669+02	\N	\N	\N	\N	\N	\N	f	
20398	e5af74b5-322c-41f6-be59-dcd1a5296c3c	Laino Castello	Laino Castello	4	0	2013-07-22 23:46:43.630317+02	\N	\N	\N	\N	\N	\N	f	
20486	921d5dc2-2ca9-4f6a-8e45-30b88e89ffcf	Antonimina	Antonimina	4	0	2013-07-23 02:46:43.988494+02	\N	\N	\N	\N	\N	\N	f	
20488	babe85d7-74fc-4b12-a7f4-7807900458f1	Cinquefrondi	Cinquefrondi	4	0	2013-07-23 02:47:07.677348+02	\N	\N	\N	\N	\N	\N	f	
22515	a205e665-cc90-4b19-9699-260aea343b70	Lawndale	Lawndale	3	0	2013-08-11 05:49:06.689032+02	\N	\N	\N	\N	\N	\N	f	
22668	9d1548a8-a24c-4c34-92ec-0fecfdc48ec8	San Siro	San Siro	4	0	2013-08-13 23:37:53.431736+02	\N	\N	\N	\N	\N	\N	f	
23122	1543497e-6b2f-4aa3-9f78-bfaf2d6ba4b4	St. Paul Park	St. Paul Park	3	0	2013-08-22 05:24:03.122169+02	\N	\N	\N	\N	\N	\N	f	
22733	21953501-0011-4042-9aa1-3e5d2777ee70	Marostica	Marostica	4	0	2013-08-14 17:33:00.094724+02	\N	\N	\N	\N	\N	\N	f	
22870	e54e7215-8472-475a-961a-3b45ec91601c	Okeechobee, Florida	Okeechobee, Florida	3	0	2013-08-20 08:33:06.468775+02	\N	\N	\N	\N	\N	\N	f	
22913	745ed463-cff8-4b11-9b3f-61e07aa5f46b	St. Ignace, Michigan	St. Ignace, Michigan	3	0	2013-08-20 14:27:13.439807+02	\N	\N	\N	\N	\N	\N	f	
23170	bd5714df-8352-4876-93fe-ae01d8c8b63f	Walnut Grove, Minnesota	Walnut Grove, Minnesota	3	0	2013-08-22 05:43:58.205442+02	\N	\N	\N	\N	\N	\N	f	
22999	eae7ec25-210f-49a3-8e81-3bef9723600c	Noorvik	Noorvik	3	0	2013-08-20 23:34:06.960985+02	\N	\N	\N	\N	\N	\N	f	
25840	aee58737-ea1d-4972-affb-b5fd65c80257	Wallins Creek, Kentucky	Wallins Creek, Kentucky	3	0	2013-09-07 14:53:18.16108+02	\N	\N	\N	\N	\N	\N	f	
24624	d6350442-be46-45be-8dd4-4a80b28e477a	Pontiac	Pontiac	3	0	2013-09-07 07:55:05.513562+02	\N	\N	\N	\N	\N	\N	f	
25159	5478a463-3762-4bc8-bb44-7220acef5dcb	Concord, Kentucky	Concord, Kentucky	3	0	2013-09-07 10:26:21.287384+02	\N	\N	\N	\N	\N	\N	f	
25165	13660576-0127-4bea-ae6e-0f7e2b737772	Pittsburg	Pittsburg	3	0	2013-09-07 10:27:53.135618+02	\N	\N	\N	\N	\N	\N	f	
25899	b2a66eed-104a-4ceb-89f7-7a1fa859308b	Susank, Kansas	Susank, Kansas	3	0	2013-09-07 15:08:23.419943+02	\N	\N	\N	\N	\N	\N	f	
26860	0006db2c-d5d8-4f2e-a19d-a51b6df316fc	Sugar Creek	Sugar Creek	3	0	2013-09-08 03:12:53.929544+02	\N	\N	\N	\N	\N	\N	f	
26182	abea9be9-7121-4615-8baf-34cc441058e6	Ellis	Ellis	3	0	2013-09-07 20:38:51.66505+02	\N	\N	\N	\N	\N	\N	f	
27336	a7424972-4162-4fdb-84c2-20103c3093f4	Amidon, North Dakota	Amidon, North Dakota	3	0	2013-09-08 07:31:05.514386+02	\N	\N	\N	\N	\N	\N	f	
27282	7ab1b2f5-f0e5-49d2-b023-a1957de79fac	Stanton, North Dakota	Stanton, North Dakota	3	0	2013-09-08 07:16:46.096076+02	\N	\N	\N	\N	\N	\N	f	
27599	ceacd0ec-6c0d-4bff-a46d-b4be257aed48	McClusky, North Dakota	McClusky, North Dakota	3	0	2013-09-08 08:53:16.51479+02	\N	\N	\N	\N	\N	\N	f	
27368	f054caed-2dc8-410c-9eb6-c9618cfb2b43	Wilton, North Dakota	Wilton, North Dakota	3	0	2013-09-08 07:39:58.343466+02	\N	\N	\N	\N	\N	\N	f	
27603	03c247e4-ca88-415b-9edf-d36e5dda63c7	Park River, North Dakota	Park River, North Dakota	3	0	2013-09-08 08:54:35.300295+02	\N	\N	\N	\N	\N	\N	f	
27656	f0ba897f-95da-4820-a786-deff24a4862c	Orrville, Ohio	Orrville, Ohio	3	0	2013-09-08 09:11:26.001304+02	\N	\N	\N	\N	\N	\N	f	
27661	a15bd7f2-fe91-406a-b975-0153aadbfa74	Brooklyn, Ohio	Brooklyn, Ohio	3	0	2013-09-08 09:12:35.520792+02	\N	\N	\N	\N	\N	\N	f	
27960	3d1d14c3-6f6b-4a18-8876-60f783a60a56	Orange City	Orange City	3	0	2013-09-08 11:47:47.359937+02	\N	\N	\N	\N	\N	\N	f	
27993	39582bab-bb27-4f48-851f-371214d7f4bb	Madison	Madison	3	0	2013-09-08 11:56:10.363801+02	\N	\N	\N	\N	\N	\N	f	
28224	f404b4fe-fc14-46d5-82d1-93bdb334f536	Aiken, South Carolina	Aiken, South Carolina	3	0	2013-09-08 14:57:37.914229+02	\N	\N	\N	\N	\N	\N	f	
28418	1b0d9525-31b0-4ffe-9e89-da0af839c7de	Lynchburg	Lynchburg	3	0	2013-09-08 17:17:58.132213+02	\N	\N	\N	\N	\N	\N	f	
28661	81225626-4184-4038-8a1b-523992dd087a	Bangs	Bangs	3	0	2013-09-08 21:16:40.248896+02	\N	\N	\N	\N	\N	\N	f	
10749	cc2ed406-cdff-4f07-b79c-5a81cd58873f	Ueda	Ueda	3	0	2013-06-19 01:28:16.818776+02	\N	\N	\N	\N	\N	\N	f	
10750	4ca2c7e7-1ce6-4c05-bf37-5f26430d5a11	Bungo-ōno	Bungo-ōno	3	0	2013-06-19 01:28:34.08418+02	\N	\N	\N	\N	\N	\N	f	
10766	215f7f2a-bc38-47b4-ac59-4d17ba97f28e	Katō	Katō	3	0	2013-06-19 01:31:50.008413+02	\N	\N	\N	\N	\N	\N	f	
13886	12b885f1-8034-416d-91d7-13a877992340	Ossimo	Ossimo	4	0	2013-07-21 19:35:08.091272+02	\N	\N	\N	\N	\N	\N	f	
10774	a9c30a28-40c4-4e02-aa24-76c0dcfa8ec8	Kehtna	Kehtna	3	0	2013-06-19 01:33:18.071527+02	\N	\N	\N	\N	\N	\N	f	
10775	84b3e731-adce-4d6e-a2f6-b059fadeb96f	Tainai	Tainai	3	0	2013-06-19 01:33:20.89219+02	\N	\N	\N	\N	\N	\N	f	
10784	c85111c1-e3cf-40ac-b5ec-808fa8f0d221	Ainan	Ainan	3	0	2013-06-19 01:37:44.840772+02	\N	\N	\N	\N	\N	\N	f	
13890	094b3721-017d-4efd-9ce5-1a5dd4991d55	Nuvolento	Nuvolento	4	0	2013-07-21 19:35:56.664927+02	\N	\N	\N	\N	\N	\N	f	
15565	50c6dfcb-f074-410f-b2b9-10fbe9b88944	Trinitapoli	Trinitapoli	4	0	2013-07-22 01:13:51.645346+02	\N	\N	\N	\N	\N	\N	f	
13900	21fb410b-fbd4-48aa-a396-5a6bdb7631ff	Albinea	Albinea	4	0	2013-07-21 19:38:01.492116+02	\N	\N	\N	\N	\N	\N	f	
14001	ba9c41f0-047a-4e18-ae10-82648c5d704b	Sonico	Sonico	4	0	2013-07-21 20:01:25.457928+02	\N	\N	\N	\N	\N	\N	f	
14479	bc07889f-3cf7-4dc2-a507-9147fa642039	Piovera	Piovera	4	0	2013-07-21 21:46:57.943254+02	\N	\N	\N	\N	\N	\N	f	
15571	b8f1d9ec-d6eb-4de0-b8de-d689e271ced6	Anzola d'Ossola	Anzola d'Ossola	4	0	2013-07-22 01:15:01.87587+02	\N	\N	\N	\N	\N	\N	f	
14994	430cba7d-2c14-431e-a94e-aee2cc9108d4	Montaldo Roero	Montaldo Roero	4	0	2013-07-21 23:34:41.132535+02	\N	\N	\N	\N	\N	\N	f	
15030	ef852361-f35b-4354-9629-27c0c9bb3726	Moretta	Moretta	4	0	2013-07-21 23:39:07.612234+02	\N	\N	\N	\N	\N	\N	f	
23000	748b7bef-6e3c-42d1-af41-d1e7e381f32e	Port Heiden	Port Heiden	3	0	2013-08-20 23:34:27.685938+02	\N	\N	\N	\N	\N	\N	f	
22411	edaca4e8-cae4-4481-9a6b-bc28d97aa59e	Garden Grove, California	Garden Grove, California	3	0	2013-08-11 02:42:40.389058+02	\N	\N	\N	\N	\N	\N	f	
15676	790c1f72-6c44-4012-95e5-f41ffc1db958	Lariano	Lariano	4	0	2013-07-22 01:38:01.526461+02	\N	\N	\N	\N	\N	\N	f	
15171	1c0b5c63-1d4f-4957-a4f6-66d0b60d72da	Monteleone di Spoleto	Monteleone di Spoleto	4	0	2013-07-21 23:56:15.184556+02	\N	\N	\N	\N	\N	\N	f	
22439	51bfbf96-a510-4b55-a4d0-89c23c6a1d97	California City, California	California City, California	3	0	2013-08-11 02:51:18.363766+02	\N	\N	\N	\N	\N	\N	f	
16311	2fda9d68-018c-409a-ac67-08c7f5b06828	Salcito	Salcito	4	0	2013-07-22 03:18:32.807039+02	\N	\N	\N	\N	\N	\N	f	
16344	6764cd85-efc3-480a-8a88-71d9e6989549	Cerro al Volturno	Cerro al Volturno	4	0	2013-07-22 03:22:16.274108+02	\N	\N	\N	\N	\N	\N	f	
16354	d342fcbe-6a60-4d2b-b68e-e6eae99852cf	Bagnoli del Trigno	Bagnoli del Trigno	4	0	2013-07-22 03:23:19.201846+02	\N	\N	\N	\N	\N	\N	f	
19728	c5efc569-405c-4e39-9d90-31d0ca0a03cc	Sabbioneta	Sabbioneta	4	0	2013-07-22 11:29:35.55327+02	\N	\N	\N	\N	\N	\N	f	
25160	c7051e53-5d42-4541-bbae-68e7d66806fa	Hartford, Kentucky	Hartford, Kentucky	3	0	2013-09-07 10:26:39.369244+02	\N	\N	\N	\N	\N	\N	f	
18366	518811f3-989c-4b78-abf9-816adfc767a4	Brivio	Brivio	4	0	2013-07-22 08:19:44.646471+02	\N	\N	\N	\N	\N	\N	f	
22517	4e6e1861-3d7e-4a8c-a337-6924deb3d395	Coalinga	Coalinga	3	0	2013-08-11 05:49:34.53781+02	\N	\N	\N	\N	\N	\N	f	
17015	a2b4b00d-7110-4466-96e9-88167d0059b6	Oyace	Oyace	4	0	2013-07-22 05:32:46.784429+02	\N	\N	\N	\N	\N	\N	f	
19150	5c73c243-3928-4631-8f64-e4a10a187591	Cortazzone	Cortazzone	4	0	2013-07-22 09:58:55.555774+02	\N	\N	\N	\N	\N	\N	f	
23054	36adb673-98b6-4679-bb88-59f079fa394a	Deerwood	Deerwood	3	0	2013-08-22 02:26:42.479446+02	\N	\N	\N	\N	\N	\N	f	
19181	c4b292a2-b79d-4953-90aa-ae200a571e0d	Sciara	Sciara	4	0	2013-07-22 10:02:58.740584+02	\N	\N	\N	\N	\N	\N	f	
20370	a64a4d6f-5ab5-415c-afe6-99964c8e0a25	Corigliano Calabro	Corigliano Calabro	4	0	2013-07-22 23:39:40.298995+02	\N	\N	\N	\N	\N	\N	f	
19258	8368168e-8a33-4aed-8c72-a8246b3d6c2e	Oricola	Oricola	4	0	2013-07-22 10:12:35.782089+02	\N	\N	\N	\N	\N	\N	f	
19275	89812320-cf05-4654-97ba-80f20a57edc3	Gangi, Sicily	Gangi, Sicily	4	0	2013-07-22 10:14:53.370916+02	\N	\N	\N	\N	\N	\N	f	
22669	70ffa962-fc4b-4e58-ba2b-db56de55e37c	Stazzona	Stazzona	4	0	2013-08-13 23:38:06.803808+02	\N	\N	\N	\N	\N	\N	f	
20490	2a7ed939-2657-413b-af0b-250db88038b5	Canolo	Canolo	4	0	2013-07-23 02:47:33.928185+02	\N	\N	\N	\N	\N	\N	f	
19327	a9b9d93a-aab5-4c7c-8a49-bdbb61a6d094	St. Pankraz	St. Pankraz	4	0	2013-07-22 10:21:17.664878+02	\N	\N	\N	\N	\N	\N	f	
20495	84424321-c799-4807-86c8-074f1e9dc18c	Bagnara Calabra	Bagnara Calabra	4	0	2013-07-23 02:48:33.117352+02	\N	\N	\N	\N	\N	\N	f	
22735	44d52177-5686-46fc-9290-0c88ea39ed43	Salem	Salem	3	0	2013-08-14 17:33:50.426121+02	\N	\N	\N	\N	\N	\N	f	
20511	6f5b17c2-bf1b-4d10-867b-cc8f07edebd6	Sant'Alessio in Aspromonte	Sant'Alessio in Aspromonte	4	0	2013-07-23 02:51:56.664952+02	\N	\N	\N	\N	\N	\N	f	
22737	119e93c7-8306-48f7-8b18-a4233a9c72fc	Santa Marina Salina	Santa Marina Salina	4	0	2013-08-14 17:34:37.970188+02	\N	\N	\N	\N	\N	\N	f	
23084	98273dda-2156-425b-bca3-a1f04cdb8a4b	Brooklyn Center, Minnesota	Brooklyn Center, Minnesota	3	0	2013-08-22 02:43:26.813092+02	\N	\N	\N	\N	\N	\N	f	
22871	6b37dbe8-1183-4a8c-b00b-290f09cd455d	Brooksville, Florida	Brooksville, Florida	3	0	2013-08-20 08:33:22.993941+02	\N	\N	\N	\N	\N	\N	f	
22879	a9d91b56-7377-4e9c-bebb-3a7af0c68bff	Steamboat Springs	Steamboat Springs	3	0	2013-08-20 08:40:23.031552+02	\N	\N	\N	\N	\N	\N	f	
22138	74fd45a9-bd37-4316-973b-5b158cea3ea1	Nevada	Nevada	3	0	2013-08-07 17:43:22.586667+02	\N	\N	\N	\N	\N	\N	f	
26501	3bbe374c-89b9-40e3-9aee-7c9d9d06e94a	Pembroke, Kentucky	Pembroke, Kentucky	3	0	2013-09-08 00:51:28.619697+02	\N	\N	\N	\N	\N	\N	f	
22407	c757851a-c31d-4065-9451-e2918a87758b	Victorville	Victorville	3	0	2013-08-11 02:41:28.555535+02	\N	\N	\N	\N	\N	\N	f	
23092	0f85efcd-501c-4a38-9c21-a79ec4a32e0c	Cameron	Cameron	3	0	2013-08-22 02:45:41.200947+02	\N	\N	\N	\N	\N	\N	f	
22915	38088279-b4ba-4f14-ba04-2671869dbd1a	Harper Woods, Michigan	Harper Woods, Michigan	3	0	2013-08-20 14:27:47.345765+02	\N	\N	\N	\N	\N	\N	f	
25221	6223cef3-4fa0-4370-9236-fa9775b1ffbf	Garden Grove	Garden Grove	3	0	2013-09-07 10:44:30.888983+02	\N	\N	\N	\N	\N	\N	f	
23124	27961ca2-da2f-4fe5-8b43-318efee106da	St. Francis	St. Francis	3	0	2013-08-22 05:24:32.133128+02	\N	\N	\N	\N	\N	\N	f	
25756	a468b8a7-bb08-4423-bb24-084754470090	Princeton, Kansas	Princeton, Kansas	3	0	2013-09-07 14:30:54.509001+02	\N	\N	\N	\N	\N	\N	f	
24626	55342632-6e87-4b38-ad73-8cfe3b4629eb	Hurst	Hurst	3	0	2013-09-07 07:55:32.066892+02	\N	\N	\N	\N	\N	\N	f	
25321	76e84c2b-31e2-4f24-8afd-207f07602122	Mayfield	Mayfield	3	0	2013-09-07 11:18:28.359547+02	\N	\N	\N	\N	\N	\N	f	
24638	19fd84b9-2fcf-4b68-9dfc-655756a6d615	Toulon	Toulon	3	0	2013-09-07 07:58:37.283506+02	\N	\N	\N	\N	\N	\N	f	
26184	18c5374e-34f0-4bdc-a87e-bb2c5997b6fd	Ensign	Ensign	3	0	2013-09-07 20:39:22.420257+02	\N	\N	\N	\N	\N	\N	f	
25740	66fc2dff-62e1-4a9a-9321-68d8c22dce2a	Andale, Kansas	Andale, Kansas	3	0	2013-09-07 14:26:52.74572+02	\N	\N	\N	\N	\N	\N	f	
25846	4cd94de8-b9bd-4f62-92b5-85f74f5c37ac	Beattyville, Kentucky	Beattyville, Kentucky	3	0	2013-09-07 14:54:47.490407+02	\N	\N	\N	\N	\N	\N	f	
25742	3bc7704a-ea14-47b5-9136-ddd6462049f4	Seward, Kansas	Seward, Kansas	3	0	2013-09-07 14:27:22.344048+02	\N	\N	\N	\N	\N	\N	f	
25858	07b2b049-ca82-490a-b7e7-bdade41e4043	Eureka, Kansas	Eureka, Kansas	3	0	2013-09-07 14:57:51.62509+02	\N	\N	\N	\N	\N	\N	f	
26288	d8689921-669e-45bd-a3d7-c06dd6b86456	Grand Island	Grand Island	3	0	2013-09-07 21:08:23.061099+02	\N	\N	\N	\N	\N	\N	f	
26532	4fe32195-60b8-48e0-8b7f-30c542c56966	Sully, Iowa	Sully, Iowa	3	0	2013-09-08 00:59:46.469324+02	\N	\N	\N	\N	\N	\N	f	
26861	63d4758e-380f-4de4-be52-19e4ddb4844c	Waverly	Waverly	3	0	2013-09-08 03:13:08.604457+02	\N	\N	\N	\N	\N	\N	f	
27283	37c99e9b-54f3-4702-9ee2-fee9038fb5b5	Eaton	Eaton	3	0	2013-09-08 07:16:59.545052+02	\N	\N	\N	\N	\N	\N	f	
27337	789e952f-d45a-4f5f-bdf8-b6f2f05fcb7a	Larimore, North Dakota	Larimore, North Dakota	3	0	2013-09-08 07:31:19.159883+02	\N	\N	\N	\N	\N	\N	f	
27369	8aa61a84-4f6e-4fa8-9778-a63dbead1037	Emerado, North Dakota	Emerado, North Dakota	3	0	2013-09-08 07:40:12.169327+02	\N	\N	\N	\N	\N	\N	f	
27601	4241d30b-3e87-475e-b8fb-ca1344c5fba4	Crestline, Ohio	Crestline, Ohio	3	0	2013-09-08 08:53:56.825331+02	\N	\N	\N	\N	\N	\N	f	
27712	3c32f0e7-acc9-41c7-8a7f-cbf24bdd2d26	Willoughby Hills, Ohio	Willoughby Hills, Ohio	3	0	2013-09-08 09:31:57.06847+02	\N	\N	\N	\N	\N	\N	f	
27716	2372cc66-18a8-4779-b767-d9538dfe844d	Jenks, Oklahoma	Jenks, Oklahoma	3	0	2013-09-08 09:33:20.944259+02	\N	\N	\N	\N	\N	\N	f	
10751	385cdd98-1111-4503-b79e-fbef8f27c10b	Minami-Uonuma	Minami-Uonuma	3	0	2013-06-19 01:28:44.448575+02	\N	\N	\N	\N	\N	\N	f	
10752	156ae292-613d-46b1-aa09-6d9cb0962d63	Nasukarasuyama	Nasukarasuyama	3	0	2013-06-19 01:28:56.369202+02	\N	\N	\N	\N	\N	\N	f	
10753	730b31d6-1852-4b06-8e19-1a6c498291c5	Uonuma	Uonuma	3	0	2013-06-19 01:29:07.276618+02	\N	\N	\N	\N	\N	\N	f	
13887	bdb58b33-6420-45c2-a7dd-c34bdbc9c2a3	Manerbio	Manerbio	4	0	2013-07-21 19:35:20.191465+02	\N	\N	\N	\N	\N	\N	f	
10772	85a29450-8276-4568-8f35-027f5712f659	Minamiawaji	Minamiawaji	3	0	2013-06-19 01:32:52.485538+02	\N	\N	\N	\N	\N	\N	f	
13888	eb068f47-94e0-42d3-84d6-e44de7abb71b	Magasa	Magasa	4	0	2013-07-21 19:35:32.683841+02	\N	\N	\N	\N	\N	\N	f	
15566	fc29ccb9-35c9-48d4-a5f3-2a5bbfb87a0c	Cannobio	Cannobio	4	0	2013-07-22 01:14:03.615299+02	\N	\N	\N	\N	\N	\N	f	
14480	11eb4c32-8bdf-4920-a2e1-2dacdb190611	Oriolo Romano	Oriolo Romano	4	0	2013-07-21 21:47:11.965114+02	\N	\N	\N	\N	\N	\N	f	
15028	7d750077-0512-4e38-94a9-5798e6ce1163	Oncino	Oncino	4	0	2013-07-21 23:38:49.541956+02	\N	\N	\N	\N	\N	\N	f	
15660	60357572-04e5-476f-94aa-4560383bdbce	Casape	Casape	4	0	2013-07-22 01:34:36.89002+02	\N	\N	\N	\N	\N	\N	f	
15185	2d342ee1-90e5-4586-8805-e0513cb75ac0	Scarnafigi	Scarnafigi	4	0	2013-07-21 23:57:48.023274+02	\N	\N	\N	\N	\N	\N	f	
17371	c0e94e10-7676-45dc-9e2f-6e872f6354bc	Gordona	Gordona	4	0	2013-07-22 06:19:10.588056+02	\N	\N	\N	\N	\N	\N	f	
15741	9d26093e-c22c-47ff-9ff7-b6dded2933c1	Andalo	Andalo	4	0	2013-07-22 01:52:38.43673+02	\N	\N	\N	\N	\N	\N	f	
22736	82ac6c5e-1d90-45ab-a6ee-ddc06b61da98	Merì	Merì	4	0	2013-08-14 17:34:16.601906+02	\N	\N	\N	\N	\N	\N	f	
18380	18215b96-1877-4422-aef4-a9765e18b36c	Rogeno	Rogeno	4	0	2013-07-22 08:21:33.035771+02	\N	\N	\N	\N	\N	\N	f	
17019	f578074b-cdb4-43b3-b110-f43142d0dbb1	Morgex	Morgex	4	0	2013-07-22 05:33:16.161886+02	\N	\N	\N	\N	\N	\N	f	
25741	ccbb9e8d-d56c-4753-91c2-7a9b132e2903	Menlo, Kansas	Menlo, Kansas	3	0	2013-09-07 14:27:07.628726+02	\N	\N	\N	\N	\N	\N	f	
19729	cc70bc13-f05e-47c2-b4a9-9a02aac890d3	Gallipoli, Apulia	Gallipoli, Apulia	4	0	2013-07-22 11:29:36.539718+02	\N	\N	\N	\N	\N	\N	f	
22872	3c39665b-9b10-4447-8d66-422fb99bffea	Tarpon Springs, Florida	Tarpon Springs, Florida	3	0	2013-08-20 08:34:11.892255+02	\N	\N	\N	\N	\N	\N	f	
19171	12026708-d306-45cf-a36b-9790abfa06fc	Montecatini Terme	Montecatini Terme	4	0	2013-07-22 10:01:50.938343+02	\N	\N	\N	\N	\N	\N	f	
19236	67f39d61-ec40-48a6-a138-4f2ddf13db2c	Castelvecchio Subequo	Castelvecchio Subequo	4	0	2013-07-22 10:10:05.304946+02	\N	\N	\N	\N	\N	\N	f	
19755	22412f7f-9fe9-45f8-8082-6d028e5d8bb6	Joppolo Giancaxio	Joppolo Giancaxio	4	0	2013-07-22 11:32:30.025064+02	\N	\N	\N	\N	\N	\N	f	
19297	a250f432-40cf-4416-b0bd-a8ff429caf50	Rocca di Mezzo	Rocca di Mezzo	4	0	2013-07-22 10:17:38.853169+02	\N	\N	\N	\N	\N	\N	f	
19317	5f97b81d-3d61-4685-ac0a-d2e5956c2ad9	Vittorito	Vittorito	4	0	2013-07-22 10:20:00.784621+02	\N	\N	\N	\N	\N	\N	f	
22916	90f1ef8f-1ce2-4535-b62e-cb33186550ff	Mason, Michigan	Mason, Michigan	3	0	2013-08-20 14:28:04.649971+02	\N	\N	\N	\N	\N	\N	f	
20376	a2e370c2-03a4-44d8-9b04-69871fda8934	Papasidero	Papasidero	4	0	2013-07-22 23:41:05.280348+02	\N	\N	\N	\N	\N	\N	f	
20420	4e55b1fd-ecc8-439b-8e1b-bc44b03614a5	Saracena	Saracena	4	0	2013-07-22 23:51:36.466374+02	\N	\N	\N	\N	\N	\N	f	
22919	584acb1f-f391-40d5-b7ef-df9a18bc3bb5	Standish, Michigan	Standish, Michigan	3	0	2013-08-20 14:29:18.932382+02	\N	\N	\N	\N	\N	\N	f	
20491	878c36d4-5670-4a0e-8f07-aaad3feb1960	Brancaleone, Calabria	Brancaleone, Calabria	4	0	2013-07-23 02:47:45.805728+02	\N	\N	\N	\N	\N	\N	f	
20502	fbf6892a-62e0-447f-ac30-85f45d045cff	San Mauro Marchesato	San Mauro Marchesato	4	0	2013-07-23 02:49:56.682378+02	\N	\N	\N	\N	\N	\N	f	
25886	f6402bf6-1c4d-45ef-84b3-3052f4181f99	Morgantown, Kentucky	Morgantown, Kentucky	3	0	2013-09-07 15:05:01.368442+02	\N	\N	\N	\N	\N	\N	f	
20503	2146c032-d901-490c-9cb2-1b8d772fea7c	Trieste	Trieste	4	0	2013-07-23 02:50:08.416377+02	\N	\N	\N	\N	\N	\N	f	
23002	487f8e1f-1da7-4359-bd30-3d7f24343e26	Kasaan	Kasaan	3	0	2013-08-20 23:35:01.625715+02	\N	\N	\N	\N	\N	\N	f	
20507	0c470475-9d28-4cfb-a63e-9f4e8425b3dd	Strongoli	Strongoli	4	0	2013-07-23 02:50:55.997312+02	\N	\N	\N	\N	\N	\N	f	
23015	4bf6210a-3806-431f-b713-ed31a691fe59	Shageluk	Shageluk	3	0	2013-08-20 23:38:19.383854+02	\N	\N	\N	\N	\N	\N	f	
27297	f796fb49-c2f7-4218-9875-7c5a843cb116	Jamestown, North Dakota	Jamestown, North Dakota	3	0	2013-09-08 07:20:31.461817+02	\N	\N	\N	\N	\N	\N	f	
23055	3e5faa2e-515f-4884-838a-27cc805be85f	Birchwood Village	Birchwood Village	3	0	2013-08-22 02:27:00.345046+02	\N	\N	\N	\N	\N	\N	f	
26185	a2cfe519-819d-4fc1-ba9c-9532d199b6a0	Liberty, Kentucky	Liberty, Kentucky	3	0	2013-09-07 20:39:37.85251+02	\N	\N	\N	\N	\N	\N	f	
22139	323b9c76-d20c-4b37-85af-411fb7678f04	Elkader, Iowa	Elkader, Iowa	3	0	2013-08-07 17:44:05.014552+02	\N	\N	\N	\N	\N	\N	f	
23125	e9a95999-d703-4e29-83b3-31c351d21754	North St. Paul, Minnesota	North St. Paul, Minnesota	3	0	2013-08-22 05:25:02.220067+02	\N	\N	\N	\N	\N	\N	f	
22410	398c6575-6e22-44f9-b93a-349c9f5c8889	Costa Mesa	Costa Mesa	3	0	2013-08-11 02:42:26.919454+02	\N	\N	\N	\N	\N	\N	f	
22518	686a8e6e-6606-4a9f-8ee1-9ada4370982f	Colma	Colma	3	0	2013-08-11 05:49:54.684547+02	\N	\N	\N	\N	\N	\N	f	
22670	7aad72cf-2a3a-42ae-bfe1-7b0f4d5e777e	Dongo	Dongo	4	0	2013-08-13 23:38:22.973488+02	\N	\N	\N	\N	\N	\N	f	
23141	3d0c8879-3e3b-4b82-97bb-32214d274ba8	Stewart	Stewart	3	0	2013-08-22 05:30:15.228759+02	\N	\N	\N	\N	\N	\N	f	
26304	e4324779-1b47-40c0-8473-f89b4eee1ef9	Center, Missouri	Center, Missouri	3	0	2013-09-07 21:12:55.550847+02	\N	\N	\N	\N	\N	\N	f	
24627	aaa0e3af-795e-4154-8424-a25d89f144da	Park City	Park City	3	0	2013-09-07 07:55:50.128036+02	\N	\N	\N	\N	\N	\N	f	
25163	360823eb-16ff-4c66-8fb9-9bfcee1fe333	Moundridge, Kansas	Moundridge, Kansas	3	0	2013-09-07 10:27:21.105903+02	\N	\N	\N	\N	\N	\N	f	
29167	f92df4ba-521c-4172-8d1f-997772cb42ab	Petersburg	Petersburg	3	0	2013-09-09 02:54:38.479728+02	\N	\N	\N	\N	\N	\N	f	
26504	9a060359-b937-4003-84d2-861de2d71d3a	Breaux Bridge	Breaux Bridge	3	0	2013-09-08 00:52:23.214397+02	\N	\N	\N	\N	\N	\N	f	
27380	5b64a11b-43df-46fd-be55-90673389f821	Finley, North Dakota	Finley, North Dakota	3	0	2013-09-08 07:42:47.262673+02	\N	\N	\N	\N	\N	\N	f	
26863	5244edd7-2617-498b-9f95-ede815a30c64	Warrenton	Warrenton	3	0	2013-09-08 03:13:42.384604+02	\N	\N	\N	\N	\N	\N	f	
26870	46a18033-ca36-4356-94de-eab4ba42deb9	Judith Gap	Judith Gap	3	0	2013-09-08 03:15:23.107427+02	\N	\N	\N	\N	\N	\N	f	
28003	b76a8be5-cccc-4cbd-b7e1-2a94c1196320	Shenandoah	Shenandoah	3	0	2013-09-08 11:58:34.091844+02	\N	\N	\N	\N	\N	\N	f	
27284	a47a0e50-3784-4a5d-a7e4-e36fbe9ad12f	Clayton	Clayton	3	0	2013-09-08 07:17:12.829399+02	\N	\N	\N	\N	\N	\N	f	
28225	257509dc-a972-4d0c-978c-71fec5517250	Darlington, South Carolina	Darlington, South Carolina	3	0	2013-09-08 14:58:04.017148+02	\N	\N	\N	\N	\N	\N	f	
27602	8c47c9b6-634f-413d-8cea-5a2588fbd5e5	Sawyer, North Dakota	Sawyer, North Dakota	3	0	2013-09-08 08:54:20.628807+02	\N	\N	\N	\N	\N	\N	f	
27961	4c0cea84-ed0b-4beb-931e-2cde478be58a	Indianola	Indianola	3	0	2013-09-08 11:48:01.870072+02	\N	\N	\N	\N	\N	\N	f	
28886	85ee794f-6132-4896-a48a-b1b51d775d1e	Entiat	Entiat	3	0	2013-09-09 01:10:26.464358+02	\N	\N	\N	\N	\N	\N	f	
28001	fd859c14-358c-4d72-8211-f82e9dc52480	Hagerman	Hagerman	3	0	2013-09-08 11:58:06.987793+02	\N	\N	\N	\N	\N	\N	f	
28419	02695f75-e4c6-41e7-b994-af0444a602aa	Maryville	Maryville	3	0	2013-09-08 17:18:58.038974+02	\N	\N	\N	\N	\N	\N	f	
28663	5c4c5245-1030-47a4-990c-a673f28dc767	Shepherd	Shepherd	3	0	2013-09-08 21:17:10.3444+02	\N	\N	\N	\N	\N	\N	f	
28967	76665536-f496-460c-8a78-f3370f62148d	Palmhurst	Palmhurst	3	0	2013-09-09 01:42:29.809512+02	\N	\N	\N	\N	\N	\N	f	
28917	f6901a5e-b7e7-470c-92ac-236bbb8af605	Industry	Industry	3	0	2013-09-09 01:28:11.941907+02	\N	\N	\N	\N	\N	\N	f	
29306	d7488e7e-bdde-443b-9097-bc624e7ca3d0	Glenwood City	Glenwood City	3	0	2013-09-09 05:22:49.77712+02	\N	\N	\N	\N	\N	\N	f	
29315	5e287ae0-b226-441d-8eed-1fad5a8dfc6d	Bloomer	Bloomer	3	0	2013-09-09 05:24:59.971398+02	\N	\N	\N	\N	\N	\N	f	
29328	b4c456ff-124f-46b7-8aea-74d4edd0f491	Abbotsford	Abbotsford	3	0	2013-09-09 05:28:05.568352+02	\N	\N	\N	\N	\N	\N	f	
29403	e3b918bc-7c62-43cb-842a-371d406c79c6	Ribaue	Ribaue	3	0	2013-09-09 08:42:54.189339+02	\N	\N	\N	\N	\N	\N	f	
29411	1a63a234-17e3-496f-a618-b78458818fbc	Meandarra	Meandarra	3	0	2013-09-10 05:26:36.671818+02	\N	\N	\N	\N	\N	\N	f	
29419	d631f8d2-9c92-44d2-902e-425ebfb58f69	Skrapar	Skrapar	2	0	2013-09-11 09:55:49.659151+02	\N	\N	\N	\N	\N	\N	f	
29420	b080ea0f-2c1d-4c26-8991-65b04a46ba38	Dibër	Dibër	2	0	2013-09-11 09:57:13.07426+02	\N	\N	\N	\N	\N	\N	f	
29421	856cef35-bde5-403d-88ed-ef179c158d5f	Kingston	Kingston	3	0	2013-09-12 06:05:10.564429+02	\N	\N	\N	\N	\N	\N	f	
10754	a3b58d97-a8ad-418a-bfb3-9274262884c7	Shimotsuke	Shimotsuke	3	0	2013-06-19 01:29:23.865265+02	\N	\N	\N	\N	\N	\N	f	
13889	3ede48c8-9f0c-4bf1-baf0-35057061793b	Malegno	Malegno	4	0	2013-07-21 19:35:44.702911+02	\N	\N	\N	\N	\N	\N	f	
13952	1b8c0b56-6948-4e20-9513-8a28923307ec	Quinzano d'Oglio	Quinzano d'Oglio	4	0	2013-07-21 19:50:00.624896+02	\N	\N	\N	\N	\N	\N	f	
15567	4816770d-e0ff-4872-adb7-c52a75e04775	Baveno	Baveno	4	0	2013-07-22 01:14:15.35126+02	\N	\N	\N	\N	\N	\N	f	
14481	0dc014a9-229c-43d7-aaa5-6b9327d87e7d	Ponzano Monferrato	Ponzano Monferrato	4	0	2013-07-21 21:47:28.554879+02	\N	\N	\N	\N	\N	\N	f	
14484	b7778f02-899c-4e45-9151-157e032996d5	Pareto	Pareto	4	0	2013-07-21 21:48:18.624728+02	\N	\N	\N	\N	\N	\N	f	
14996	9c123526-bae2-496a-8a25-48c815107ece	Moiola	Moiola	4	0	2013-07-21 23:34:54.929977+02	\N	\N	\N	\N	\N	\N	f	
16323	17fae034-d399-4c34-970a-6bf562b77051	Ururi	Ururi	4	0	2013-07-22 03:19:49.295216+02	\N	\N	\N	\N	\N	\N	f	
15017	604ab7e2-4872-47cb-b96e-7318ee794ede	Montà	Montà	4	0	2013-07-21 23:37:24.843992+02	\N	\N	\N	\N	\N	\N	f	
17375	13f3298f-1b1c-43dc-ae4b-67a2bb3a2671	Mercallo	Mercallo	4	0	2013-07-22 06:19:37.367247+02	\N	\N	\N	\N	\N	\N	f	
15109	d678d4b5-0eca-48f1-ad77-0464b0ee4dff	Giglio	Giglio	4	0	2013-07-21 23:48:48.962487+02	\N	\N	\N	\N	\N	\N	f	
16364	e58f0d64-79d2-40d0-8fb8-35fb8cf99a2b	Kaltern an der Weinstraße	Kaltern an der Weinstraße	4	0	2013-07-22 03:24:24.457715+02	\N	\N	\N	\N	\N	\N	f	
15143	15acdb98-ffb0-4b75-8224-1c7b2c272e95	Rossana	Rossana	4	0	2013-07-21 23:52:53.994201+02	\N	\N	\N	\N	\N	\N	f	
15173	d5f8b653-4203-4ca4-9aa3-e140640e400b	Montefalco	Montefalco	4	0	2013-07-21 23:56:28.01856+02	\N	\N	\N	\N	\N	\N	f	
15296	eaffc353-1f47-4f5f-9ffc-19665ea28b7c	Frontone	Frontone	4	0	2013-07-22 00:13:32.521798+02	\N	\N	\N	\N	\N	\N	f	
16457	ea67538f-e6ea-4e8a-9bdc-521d0c5a79cb	Siliqua, Sardinia	Siliqua, Sardinia	4	0	2013-07-22 03:35:39.187583+02	\N	\N	\N	\N	\N	\N	f	
16529	403ef537-dd92-4542-8470-07eefafe62a9	Segariu	Segariu	4	0	2013-07-22 03:44:27.3879+02	\N	\N	\N	\N	\N	\N	f	
18391	ce896cd3-d6b4-4f2b-8b7f-80531f2251f6	Merlino	Merlino	4	0	2013-07-22 08:23:12.694213+02	\N	\N	\N	\N	\N	\N	f	
16544	3d36bb4c-40ab-4c7c-b97e-d475a1b5d959	Villanovafranca	Villanovafranca	4	0	2013-07-22 03:46:09.100806+02	\N	\N	\N	\N	\N	\N	f	
16582	3c01ff99-331e-4b3f-b59a-d3a256d3b993	Borso del Grappa	Borso del Grappa	4	0	2013-07-22 03:51:09.741866+02	\N	\N	\N	\N	\N	\N	f	
17025	d2ebd52e-174c-4346-9acb-e04791a40132	Nus	Nus	4	0	2013-07-22 05:33:56.000093+02	\N	\N	\N	\N	\N	\N	f	
22918	d7ed7203-1bb3-4fce-82a2-afca265eb711	Chelsea, Michigan	Chelsea, Michigan	3	0	2013-08-20 14:28:56.980082+02	\N	\N	\N	\N	\N	\N	f	
17099	5b982835-5735-4fff-9391-6875a255346c	Baradili	Baradili	4	0	2013-07-22 05:43:34.178635+02	\N	\N	\N	\N	\N	\N	f	
19192	43329b09-cbe0-4262-9948-38cee7568f0f	Bisacquino	Bisacquino	4	0	2013-07-22 10:04:17.90265+02	\N	\N	\N	\N	\N	\N	f	
19762	7a4a9eb0-747b-4841-8589-8a8ea0fcde1b	Leverano	Leverano	4	0	2013-07-22 11:33:08.089613+02	\N	\N	\N	\N	\N	\N	f	
25752	c3ef5020-7b8b-47e4-bce2-ded78aa37f40	Nortonville, Kansas	Nortonville, Kansas	3	0	2013-09-07 14:29:54.821272+02	\N	\N	\N	\N	\N	\N	f	
20377	3c947754-679b-4a15-8d56-b9caba09988c	Montalto Uffugo	Montalto Uffugo	4	0	2013-07-22 23:41:17.302158+02	\N	\N	\N	\N	\N	\N	f	
22932	10f9e68c-e62f-45bf-9123-c15e6d57797a	Manistique, Michigan	Manistique, Michigan	3	0	2013-08-20 14:36:17.062033+02	\N	\N	\N	\N	\N	\N	f	
20380	be288175-b2dd-47ba-89ec-ae60f0d9fa53	Malvito	Malvito	4	0	2013-07-22 23:41:53.734942+02	\N	\N	\N	\N	\N	\N	f	
20411	a714838c-d7d2-4a21-9756-3ecbb48ebc63	Plataci	Plataci	4	0	2013-07-22 23:49:30.68817+02	\N	\N	\N	\N	\N	\N	f	
20419	49113a5b-cea4-48a4-a93b-7098e5092447	San Sosti	San Sosti	4	0	2013-07-22 23:51:23.645049+02	\N	\N	\N	\N	\N	\N	f	
23003	65023345-c99d-4775-84e6-f4b2611537f9	Kachemak	Kachemak	3	0	2013-08-20 23:35:19.699668+02	\N	\N	\N	\N	\N	\N	f	
20492	bfe09522-9022-4855-9922-3c11d9805017	Bianco	Bianco	4	0	2013-07-23 02:47:57.5913+02	\N	\N	\N	\N	\N	\N	f	
20522	7cb246b7-268d-4d2a-ae6c-cd731591a82a	Pazzano	Pazzano	4	0	2013-07-23 02:54:10.879301+02	\N	\N	\N	\N	\N	\N	f	
28943	8db9e7d9-8dc3-43e9-b4bc-815c0c415899	South Houston	South Houston	3	0	2013-09-09 01:35:44.851788+02	\N	\N	\N	\N	\N	\N	f	
23056	06a7414a-a091-45d8-bf1b-d9eed35d1e76	Cottage Grove, Minnesota	Cottage Grove, Minnesota	3	0	2013-08-22 02:29:39.258928+02	\N	\N	\N	\N	\N	\N	f	
22140	2705004b-f539-4532-aee4-3cb24d4d5685	L'Islet	L'Islet	3	0	2013-08-07 17:44:45.698222+02	\N	\N	\N	\N	\N	\N	f	
26186	dc6f6a7e-c142-4d30-ad5e-41877147a7cb	Effingham	Effingham	3	0	2013-09-07 20:39:52.246607+02	\N	\N	\N	\N	\N	\N	f	
22413	e475b248-3aeb-478f-bd0a-97f6f72858b9	Emeryville	Emeryville	3	0	2013-08-11 02:43:07.684855+02	\N	\N	\N	\N	\N	\N	f	
23127	175e22a1-d6ce-4f4d-baf3-83dd6bd6143f	Forest Lake	Forest Lake	3	0	2013-08-22 05:25:45.492418+02	\N	\N	\N	\N	\N	\N	f	
22423	34b94e96-1670-47f9-823c-a3cac96e73e4	Moraga, California	Moraga, California	3	0	2013-08-11 02:47:01.954737+02	\N	\N	\N	\N	\N	\N	f	
22671	c1b3b7b0-7c6a-45ce-86dc-50b01fec2186	Peglio	Peglio	4	0	2013-08-13 23:38:39.872246+02	\N	\N	\N	\N	\N	\N	f	
22738	4e8c7ea4-f3ad-4ad7-adb0-efd08f8a09f2	Malfa	Malfa	4	0	2013-08-14 17:34:53.424959+02	\N	\N	\N	\N	\N	\N	f	
22873	cdefabab-a256-41f8-8b60-db2cda3d90e3	Miami Gardens	Miami Gardens	3	0	2013-08-20 08:34:39.439183+02	\N	\N	\N	\N	\N	\N	f	
27285	ad90ec19-5f8a-46ed-b098-b5e6448a2e07	Ironton	Ironton	3	0	2013-09-08 07:17:26.407674+02	\N	\N	\N	\N	\N	\N	f	
24630	13c4637a-3e39-45fb-9265-ec82125965a6	Du Quoin	Du Quoin	3	0	2013-09-07 07:56:31.772161+02	\N	\N	\N	\N	\N	\N	f	
26255	bbac5e61-423e-43a7-8724-f9c54af88cd2	Ferguson, Kentucky	Ferguson, Kentucky	3	0	2013-09-07 20:57:38.210731+02	\N	\N	\N	\N	\N	\N	f	
25166	7617a103-c489-4690-9047-1bbcebdef41f	Norton	Norton	3	0	2013-09-07 10:28:07.825959+02	\N	\N	\N	\N	\N	\N	f	
25230	5018b098-4d4a-4dab-a8ca-9c13507a2d34	Earling	Earling	3	0	2013-09-07 10:46:57.680281+02	\N	\N	\N	\N	\N	\N	f	
25743	2bbc2f61-8e56-48c9-bb57-b393dbc39e13	Bellewood, Kentucky	Bellewood, Kentucky	3	0	2013-09-07 14:27:37.910437+02	\N	\N	\N	\N	\N	\N	f	
28227	362f297e-8b10-40a2-a5f3-7c1fe6a40c90	Woonsocket, Rhode Island	Woonsocket, Rhode Island	3	0	2013-09-08 14:59:23.927944+02	\N	\N	\N	\N	\N	\N	f	
26267	715483c3-71c0-4e47-a80a-53af0c25c9fa	Owenton	Owenton	3	0	2013-09-07 21:00:56.989501+02	\N	\N	\N	\N	\N	\N	f	
27606	368b8cc9-8cdb-4e37-bacf-8c560db5f2e1	Solen, North Dakota	Solen, North Dakota	3	0	2013-09-08 08:55:28.47139+02	\N	\N	\N	\N	\N	\N	f	
26505	3eb022ae-26d1-448e-b5db-1a34eebb7e2c	Weatherby Lake, Missouri	Weatherby Lake, Missouri	3	0	2013-09-08 00:52:36.769374+02	\N	\N	\N	\N	\N	\N	f	
26864	646b80ff-9480-44dc-a122-196aa7140fca	Ord	Ord	3	0	2013-09-08 03:13:56.741227+02	\N	\N	\N	\N	\N	\N	f	
28664	2473ff1d-7a38-457e-be9d-4ff6eff7d8d3	Iola	Iola	3	0	2013-09-08 21:17:27.907226+02	\N	\N	\N	\N	\N	\N	f	
27965	3e7c47d7-bb08-4e28-bbfd-36ae34961994	La Grange	La Grange	3	0	2013-09-08 11:49:08.180474+02	\N	\N	\N	\N	\N	\N	f	
28421	22dd5a2c-3d36-478e-9ef6-d5d8bc8770f9	McMinnville	McMinnville	3	0	2013-09-08 17:19:24.903058+02	\N	\N	\N	\N	\N	\N	f	
27986	442785b2-d2ad-4c90-9866-749e33591203	Nashua	Nashua	3	0	2013-09-08 11:54:28.911616+02	\N	\N	\N	\N	\N	\N	f	
28451	0735bb4f-2e05-4585-9e16-3ed6fa672c80	Whitwell	Whitwell	3	0	2013-09-08 17:32:14.339479+02	\N	\N	\N	\N	\N	\N	f	
28887	e1837ae4-3c36-4fb6-b53d-5570c952af9d	Ephrata	Ephrata	3	0	2013-09-09 01:10:40.326814+02	\N	\N	\N	\N	\N	\N	f	
28975	e08101a5-cdfa-4386-81ed-7b61d2745b68	Hunters Creek Village	Hunters Creek Village	3	0	2013-09-09 01:44:44.718341+02	\N	\N	\N	\N	\N	\N	f	
28996	92e7ed19-acd8-4d51-a28e-6cc42159e716	Timpson	Timpson	3	0	2013-09-09 01:50:42.329462+02	\N	\N	\N	\N	\N	\N	f	
29009	a808fad7-7605-4727-9a83-a59d9f0bb5d7	Joaquin	Joaquin	3	0	2013-09-09 01:55:20.71367+02	\N	\N	\N	\N	\N	\N	f	
29028	416bae17-267c-4fee-bded-cde0747021ab	Leroy	Leroy	3	0	2013-09-09 02:00:54.287987+02	\N	\N	\N	\N	\N	\N	f	
29172	a5999bb4-4de3-465f-8195-bd38855c8380	Point Comfort	Point Comfort	3	0	2013-09-09 02:56:05.936048+02	\N	\N	\N	\N	\N	\N	f	
29184	52fd3848-6031-42bf-9ab6-a530830e17ff	Colorado City	Colorado City	3	0	2013-09-09 02:59:40.363709+02	\N	\N	\N	\N	\N	\N	f	
29189	ac5c32b5-5f38-4fcf-a002-4074da4a43e6	Sunray	Sunray	3	0	2013-09-09 03:01:10.264929+02	\N	\N	\N	\N	\N	\N	f	
29191	7840c29d-8846-4a8d-942b-067a3e761e31	Cumings	Cumings	3	0	2013-09-09 03:01:45.614629+02	\N	\N	\N	\N	\N	\N	f	
29199	0dfb87fe-e96b-4c07-9dd2-167b3f84d195	Sonora	Sonora	3	0	2013-09-09 03:04:07.487792+02	\N	\N	\N	\N	\N	\N	f	
10755	0d562db2-61e6-4aed-be5b-0e9314f4b860	Sanyo-Onoda	Sanyo-Onoda	3	0	2013-06-19 01:29:43.508209+02	\N	\N	\N	\N	\N	\N	f	
10759	5d0c44db-057c-43ad-913a-3efc3f14ecb7	Uda	Uda	3	0	2013-06-19 01:30:39.808682+02	\N	\N	\N	\N	\N	\N	f	
10769	e07bdb7a-0ad9-4a03-9971-804fedfe3d5d	Shisō	Shisō	3	0	2013-06-19 01:32:21.074732+02	\N	\N	\N	\N	\N	\N	f	
13894	ea73963d-bc76-4ac7-b70a-245b4c0413b6	Baiso	Baiso	4	0	2013-07-21 19:36:49.974491+02	\N	\N	\N	\N	\N	\N	f	
13953	62af195a-b454-4de7-ab3c-bc476ffe5ae4	Montegridolfo	Montegridolfo	4	0	2013-07-21 19:50:12.814173+02	\N	\N	\N	\N	\N	\N	f	
15570	1097c3ae-b228-4e40-9e4b-7f887b35f91e	San Ferdinando di Puglia	San Ferdinando di Puglia	4	0	2013-07-22 01:14:50.198942+02	\N	\N	\N	\N	\N	\N	f	
13998	fb9ee20d-6d03-4892-a219-1483adb4975c	Toscolano-Maderno	Toscolano-Maderno	4	0	2013-07-21 20:00:48.201336+02	\N	\N	\N	\N	\N	\N	f	
14483	ac75e874-c591-471a-b8a0-f6cbdffd37ff	Orte	Orte	4	0	2013-07-21 21:48:04.161143+02	\N	\N	\N	\N	\N	\N	f	
15584	fefc51c2-c451-4f1c-a52f-92095424f0ce	Falmenta	Falmenta	4	0	2013-07-22 01:17:44.088148+02	\N	\N	\N	\N	\N	\N	f	
25172	58be28f8-815b-4896-b506-8cea173997fd	Gamaliel, Kentucky	Gamaliel, Kentucky	3	0	2013-09-07 10:30:09.098637+02	\N	\N	\N	\N	\N	\N	f	
15600	996efe0e-fc10-4b69-a844-2d69ad419740	Ghiffa	Ghiffa	4	0	2013-07-22 01:21:14.909986+02	\N	\N	\N	\N	\N	\N	f	
15664	74ac63a0-5342-4fc9-a1cf-fd9dc0a65c63	Castel San Pietro Romano	Castel San Pietro Romano	4	0	2013-07-22 01:35:23.440019+02	\N	\N	\N	\N	\N	\N	f	
22922	77a6ec14-6ca6-49f1-934a-de2d94852c9b	Lathrup Village, Michigan	Lathrup Village, Michigan	3	0	2013-08-20 14:30:35.203948+02	\N	\N	\N	\N	\N	\N	f	
16339	b9a2d1cc-5513-4c7e-9696-f28fae95463a	Conca Casale	Conca Casale	4	0	2013-07-22 03:21:39.609911+02	\N	\N	\N	\N	\N	\N	f	
17028	71822baf-e2e0-4c33-9267-98ab99fe04cd	Saint-Christophe, Aosta Valley	Saint-Christophe, Aosta Valley	4	0	2013-07-22 05:34:15.125496+02	\N	\N	\N	\N	\N	\N	f	
19735	ce45301d-8876-4f97-b28e-58faabaa01ad	Casalmaiocco	Casalmaiocco	4	0	2013-07-22 11:30:13.072377+02	\N	\N	\N	\N	\N	\N	f	
17467	7aa679dc-ad96-47b9-adca-2b27361aa28a	Mel	Mel	4	0	2013-07-22 06:31:15.960065+02	\N	\N	\N	\N	\N	\N	f	
18394	76401d42-ddb8-43de-8eb2-f87bee1dc485	Opera	Opera	4	0	2013-07-22 08:23:38.447266+02	\N	\N	\N	\N	\N	\N	f	
23004	c9fb86e5-ae07-4ff7-a505-8a01319bf546	Marshall	Marshall	3	0	2013-08-20 23:35:32.504281+02	\N	\N	\N	\N	\N	\N	f	
19165	e71dc1ae-2232-4afd-b0b2-09c85ad02b2a	Lipari	Lipari	4	0	2013-07-22 10:01:13.636705+02	\N	\N	\N	\N	\N	\N	f	
19811	fde4ea31-7aaa-402e-b1e7-825294bd22a3	Supersano	Supersano	4	0	2013-07-22 11:39:25.331579+02	\N	\N	\N	\N	\N	\N	f	
19228	6c08bdc3-0d39-4b98-95d1-0f97918df768	Fagnano Alto	Fagnano Alto	4	0	2013-07-22 10:09:10.618584+02	\N	\N	\N	\N	\N	\N	f	
19229	ae6ab78c-4627-4068-8399-d1c8779463bd	Ofena	Ofena	4	0	2013-07-22 10:09:13.856157+02	\N	\N	\N	\N	\N	\N	f	
19283	48bbabbb-8195-4d11-8a7d-c916f8a572b1	Scanno, Abruzzo	Scanno, Abruzzo	4	0	2013-07-22 10:15:55.334691+02	\N	\N	\N	\N	\N	\N	f	
20379	f1f13dcc-31f5-4c9e-a992-72ad89cf37ae	Oriolo	Oriolo	4	0	2013-07-22 23:41:41.548153+02	\N	\N	\N	\N	\N	\N	f	
19295	e9a7e13a-a687-460c-b263-f0d28c8b55bd	Trasacco	Trasacco	4	0	2013-07-22 10:17:22.342871+02	\N	\N	\N	\N	\N	\N	f	
19371	bb909483-30e1-4aa3-94b1-52f712172f53	Castiglione Messer Marino	Castiglione Messer Marino	4	0	2013-07-22 10:26:53.630685+02	\N	\N	\N	\N	\N	\N	f	
27711	a5784114-7018-4226-8a5d-c7cbd087b4cc	Beggs, Oklahoma	Beggs, Oklahoma	3	0	2013-09-08 09:31:43.567814+02	\N	\N	\N	\N	\N	\N	f	
20397	e98da978-054f-4fc8-b687-56d5ddbbdb3b	Pietrapaola	Pietrapaola	4	0	2013-07-22 23:46:30.803439+02	\N	\N	\N	\N	\N	\N	f	
23057	12e7eed6-c4ea-48be-b51d-383f0519571e	St. Augusta	St. Augusta	3	0	2013-08-22 02:30:01.747281+02	\N	\N	\N	\N	\N	\N	f	
20497	684a827e-d16d-47ca-8866-55d7aafe3bde	Candidoni	Candidoni	4	0	2013-07-23 02:48:56.87858+02	\N	\N	\N	\N	\N	\N	f	
25210	1cc81c47-19ee-4f97-8489-f50bfca989c5	Hayesville	Hayesville	3	0	2013-09-07 10:40:57.109981+02	\N	\N	\N	\N	\N	\N	f	
23128	9b551c00-bc1b-4ed1-97e3-2035c25e665c	Grant, Minnesota	Grant, Minnesota	3	0	2013-08-22 05:26:03.703943+02	\N	\N	\N	\N	\N	\N	f	
22141	dd3e2424-78a2-4b53-92d6-84bfd6a85849	Muscatine	Muscatine	3	0	2013-08-07 17:45:09.170694+02	\N	\N	\N	\N	\N	\N	f	
23164	dc243f17-8cc9-4058-a9d5-f8d1971803de	Shorewood, Minnesota	Shorewood, Minnesota	3	0	2013-08-22 05:37:31.733018+02	\N	\N	\N	\N	\N	\N	f	
22414	d412d313-af47-4249-ba9a-95a4ae2565c6	Redwood City	Redwood City	3	0	2013-08-11 02:43:29.392548+02	\N	\N	\N	\N	\N	\N	f	
22422	2ef2e358-3325-400e-9e5f-c10ddc1f61e4	Paso Robles, California	Paso Robles, California	3	0	2013-08-11 02:46:30.025792+02	\N	\N	\N	\N	\N	\N	f	
27286	8ff12444-69cd-43ee-a305-7c695c17565f	Garfield Heights	Garfield Heights	3	0	2013-09-08 07:17:44.655775+02	\N	\N	\N	\N	\N	\N	f	
22452	e20ed9dc-51b5-4976-b96d-fa53d01481ae	Novato	Novato	3	0	2013-08-11 02:56:05.422697+02	\N	\N	\N	\N	\N	\N	f	
24633	0659769b-94c3-4600-8f80-b216d6e39872	Wenona	Wenona	3	0	2013-09-07 07:57:14.421744+02	\N	\N	\N	\N	\N	\N	f	
22672	7ee5b0b5-408e-49ca-ba0c-9503279dfda1	Erba	Erba	4	0	2013-08-13 23:38:53.09533+02	\N	\N	\N	\N	\N	\N	f	
22739	99b3d46b-f1d8-4a27-806f-ad882c0836a1	Patti	Patti	4	0	2013-08-14 17:35:12.693399+02	\N	\N	\N	\N	\N	\N	f	
25292	86c32f13-03c9-4e2f-a889-83099dc18e3a	Derby	Derby	3	0	2013-09-07 11:03:41.685918+02	\N	\N	\N	\N	\N	\N	f	
22874	15afcc4e-3879-45a4-8e93-7ec81820506e	Inverness, Florida	Inverness, Florida	3	0	2013-08-20 08:35:07.278745+02	\N	\N	\N	\N	\N	\N	f	
22920	e976092f-c619-4360-b142-7bc12e404e0b	Coopersville, Michigan	Coopersville, Michigan	3	0	2013-08-20 14:29:37.030676+02	\N	\N	\N	\N	\N	\N	f	
24655	555399a5-b741-4a76-bfc4-45b6bc91a617	El Paso	El Paso	3	0	2013-09-07 08:03:17.115023+02	\N	\N	\N	\N	\N	\N	f	
24759	ec8b5b79-2129-488f-852c-d8eb564a4955	Shellsburg, Iowa	Shellsburg, Iowa	3	0	2013-09-07 08:27:38.729598+02	\N	\N	\N	\N	\N	\N	f	
25744	e2b9b38a-497b-4e1c-adfd-f9f2d0ce6db2	Windom, Kansas	Windom, Kansas	3	0	2013-09-07 14:27:52.615695+02	\N	\N	\N	\N	\N	\N	f	
24801	9675594c-379c-4d69-b73b-1eb58603b36e	Superior, Iowa	Superior, Iowa	3	0	2013-09-07 08:39:08.337105+02	\N	\N	\N	\N	\N	\N	f	
27607	bcb2e07c-8085-46d6-8b64-560c748b76d4	Prairie Rose, North Dakota	Prairie Rose, North Dakota	3	0	2013-09-08 08:55:42.892191+02	\N	\N	\N	\N	\N	\N	f	
26187	8595121a-98fb-4ac3-a238-a790bea13529	Beechwood Village, Kentucky	Beechwood Village, Kentucky	3	0	2013-09-07 20:40:08.40266+02	\N	\N	\N	\N	\N	\N	f	
26506	feb26714-0535-4fed-8cbb-14ed1c8eb668	Clinton, Missouri	Clinton, Missouri	3	0	2013-09-08 00:52:50.619775+02	\N	\N	\N	\N	\N	\N	f	
28228	1bc1aeec-9eab-4517-aa23-1f59248590c1	Greenville	Greenville	3	0	2013-09-08 14:59:51.056893+02	\N	\N	\N	\N	\N	\N	f	
26867	18b24ef4-b365-4248-a922-69503485e519	Madison	Madison	3	0	2013-09-08 03:14:41.829721+02	\N	\N	\N	\N	\N	\N	f	
27628	23c800fe-d089-497b-ae1d-2379a810e5b6	Wildrose, North Dakota	Wildrose, North Dakota	3	0	2013-09-08 09:01:22.072794+02	\N	\N	\N	\N	\N	\N	f	
27736	85381c6c-1343-4c80-b860-735f5633b998	Spencer, Oklahoma	Spencer, Oklahoma	3	0	2013-09-08 09:38:31.983543+02	\N	\N	\N	\N	\N	\N	f	
27644	c1bbab88-ad22-4780-9e4b-f5d15f0ccf85	Berea, Ohio	Berea, Ohio	3	0	2013-09-08 09:08:05.331257+02	\N	\N	\N	\N	\N	\N	f	
28426	f74141b6-4267-4cf7-929b-7f911ec4be73	Spring Hill, Tennessee	Spring Hill, Tennessee	3	0	2013-09-08 17:21:05.488858+02	\N	\N	\N	\N	\N	\N	f	
27969	d01f5ace-e65c-4477-bed9-caca1ad36436	Greenville	Greenville	3	0	2013-09-08 11:50:06.323188+02	\N	\N	\N	\N	\N	\N	f	
28249	5ec3f59d-bffe-47a8-b1f3-ee94848f24cb	Tega Cay, South Carolina	Tega Cay, South Carolina	3	0	2013-09-08 15:40:02.052256+02	\N	\N	\N	\N	\N	\N	f	
28232	59014e30-fb03-470d-ab52-3e175e6c7ba0	Greer, South Carolina	Greer, South Carolina	3	0	2013-09-08 15:01:28.102774+02	\N	\N	\N	\N	\N	\N	f	
28669	3682f557-c13a-4d81-92c2-2b59ffed78b4	Gholson	Gholson	3	0	2013-09-08 21:18:46.361739+02	\N	\N	\N	\N	\N	\N	f	
28889	67f418b9-857b-4dc9-a8bd-a8fda10d0713	Everson	Everson	3	0	2013-09-09 01:11:07.210483+02	\N	\N	\N	\N	\N	\N	f	
29174	cd152cfd-edd9-44ab-9dda-ce9eb5478a74	Godley	Godley	3	0	2013-09-09 02:56:41.463373+02	\N	\N	\N	\N	\N	\N	f	
29180	13e7b905-6455-4614-a0df-685eacbd513a	Hooks	Hooks	3	0	2013-09-09 02:58:29.201009+02	\N	\N	\N	\N	\N	\N	f	
29307	ec2729df-fa6f-4168-a4e9-87c51bd79f49	Galesville	Galesville	3	0	2013-09-09 05:23:03.370058+02	\N	\N	\N	\N	\N	\N	f	
29324	a90099ae-64e8-4e5a-88ba-bd1a9880a06c	Delafield	Delafield	3	0	2013-09-09 05:27:02.946243+02	\N	\N	\N	\N	\N	\N	f	
29404	b2fec7da-9a9a-4f01-8235-a703bd5c6a27	Santa Ana	Santa Ana	3	0	2013-09-09 08:43:14.704274+02	\N	\N	\N	\N	\N	\N	f	
29412	cd81a662-c396-44b5-9b13-fcc22e832119	Glen Huon	Glen Huon	3	0	2013-09-10 05:27:06.947623+02	\N	\N	\N	\N	\N	\N	f	
10756	975d38eb-f38c-4170-9719-703c58559767	Soo	Soo	3	0	2013-06-19 01:29:53.925876+02	\N	\N	\N	\N	\N	\N	f	
13896	164e19db-f0dd-4595-8cd8-ea0bdd841998	Bagnolo in Piano	Bagnolo in Piano	4	0	2013-07-21 19:37:13.156362+02	\N	\N	\N	\N	\N	\N	f	
13897	ebed4343-0d62-4922-ad05-683f7b4875e5	Busana	Busana	4	0	2013-07-21 19:37:25.24112+02	\N	\N	\N	\N	\N	\N	f	
14485	11d1157a-2084-46b6-85a3-ccbcd749d02e	Monterosi	Monterosi	4	0	2013-07-21 21:48:37.397719+02	\N	\N	\N	\N	\N	\N	f	
15573	89456569-f42a-44df-9094-3107f0e6ed5c	Cannero Riviera	Cannero Riviera	4	0	2013-07-22 01:15:26.688181+02	\N	\N	\N	\N	\N	\N	f	
22415	448a6216-3bd2-4f58-ba12-0ba8144fbcc0	Martinez	Martinez	3	0	2013-08-11 02:43:45.141711+02	\N	\N	\N	\N	\N	\N	f	
15002	f2ed656d-0e60-443c-8b07-54f0cad390a5	Mondovì	Mondovì	4	0	2013-07-21 23:35:33.433879+02	\N	\N	\N	\N	\N	\N	f	
15596	16300af8-2de4-4050-9671-701734151ed7	Loreglia	Loreglia	4	0	2013-07-22 01:20:26.812233+02	\N	\N	\N	\N	\N	\N	f	
17378	75c7a806-1a53-40c8-8b8c-4863706d7f2b	Gorla Minore	Gorla Minore	4	0	2013-07-22 06:19:51.360907+02	\N	\N	\N	\N	\N	\N	f	
15618	e5eef650-0482-4c16-9ba9-cde6c309297c	Viganella	Viganella	4	0	2013-07-22 01:25:38.544044+02	\N	\N	\N	\N	\N	\N	f	
15643	143e55c9-0c1f-453b-ab6e-4d59869b87e2	Capranica Prenestina	Capranica Prenestina	4	0	2013-07-22 01:31:18.704229+02	\N	\N	\N	\N	\N	\N	f	
15648	3d9c14a1-b005-4e93-865d-11e0a650f3ad	Camerata Nuova	Camerata Nuova	4	0	2013-07-22 01:32:16.480452+02	\N	\N	\N	\N	\N	\N	f	
18398	6e5199ce-ecd2-410a-8064-44e5d9453b90	Goito	Goito	4	0	2013-07-22 08:24:07.195022+02	\N	\N	\N	\N	\N	\N	f	
16365	7276c828-a05f-4c9e-996e-75f910108bae	Rovereto	Rovereto	4	0	2013-07-22 03:24:34.888691+02	\N	\N	\N	\N	\N	\N	f	
16368	0d6f8e73-597d-4238-85d1-ef1ac23459c3	Castel del Giudice	Castel del Giudice	4	0	2013-07-22 03:24:48.614235+02	\N	\N	\N	\N	\N	\N	f	
19738	959ded43-b278-40e2-ba95-7a021470a612	Cannole	Cannole	4	0	2013-07-22 11:30:37.621679+02	\N	\N	\N	\N	\N	\N	f	
16385	8cf3bc20-878e-41a2-b69e-8108fc727002	Rocchetta a Volturno	Rocchetta a Volturno	4	0	2013-07-22 03:27:16.945918+02	\N	\N	\N	\N	\N	\N	f	
18427	1b625497-93de-481d-a736-2e679e8e5e67	Merate	Merate	4	0	2013-07-22 08:27:41.797256+02	\N	\N	\N	\N	\N	\N	f	
17030	cc8ec407-a6dd-429e-bec0-54a2b74fccac	Pré-Saint-Didier	Pré-Saint-Didier	4	0	2013-07-22 05:34:33.19398+02	\N	\N	\N	\N	\N	\N	f	
17042	67335186-fd77-4ac7-8656-29d10abe7d01	Pont-Saint-Martin, Aosta Valley	Pont-Saint-Martin, Aosta Valley	4	0	2013-07-22 05:35:59.132697+02	\N	\N	\N	\N	\N	\N	f	
17066	857774df-f322-4ca6-ad03-b127d4e58dc2	Villeneuve, Aosta Valley	Villeneuve, Aosta Valley	4	0	2013-07-22 05:38:50.350562+02	\N	\N	\N	\N	\N	\N	f	
17123	f5fa5477-446b-4987-90bb-bd79d9a1a87f	Gonnosnò	Gonnosnò	4	0	2013-07-22 05:46:51.247885+02	\N	\N	\N	\N	\N	\N	f	
17161	667c1852-3688-4929-89d8-51220cf73eec	Sini, Sardinia	Sini, Sardinia	4	0	2013-07-22 05:51:40.363997+02	\N	\N	\N	\N	\N	\N	f	
22424	97b16a05-821c-491c-a216-2919763cf5d1	Ceres, California	Ceres, California	3	0	2013-08-11 02:47:15.512074+02	\N	\N	\N	\N	\N	\N	f	
19739	aef1888a-595b-4f10-b3ac-e5160117b116	Secugnago	Secugnago	4	0	2013-07-22 11:30:38.270299+02	\N	\N	\N	\N	\N	\N	f	
19433	43c53d94-a0b9-4aad-9bfb-aa5326e58fcc	Ortona	Ortona	4	0	2013-07-22 10:34:19.380909+02	\N	\N	\N	\N	\N	\N	f	
18598	6c43ee72-1357-4590-89fb-5b7df6f1fd9b	San Pietro di Feletto	San Pietro di Feletto	4	0	2013-07-22 08:50:43.744143+02	\N	\N	\N	\N	\N	\N	f	
18627	a335a01a-c1b0-47f2-80ef-79e94d07cdc4	Bosco Chiesanuova	Bosco Chiesanuova	4	0	2013-07-22 08:54:27.536514+02	\N	\N	\N	\N	\N	\N	f	
23107	6e1293b6-1b4d-4ecf-9901-be048799a672	Sauk Rapids	Sauk Rapids	3	0	2013-08-22 02:51:05.187275+02	\N	\N	\N	\N	\N	\N	f	
18661	a8f7f027-0e7a-40ae-8891-e3c94aadce49	San Nazario	San Nazario	4	0	2013-07-22 08:58:37.525023+02	\N	\N	\N	\N	\N	\N	f	
19749	8d79ed42-9ef8-4f0a-ac52-bdbeff6419be	Grotte	Grotte	4	0	2013-07-22 11:31:53.936317+02	\N	\N	\N	\N	\N	\N	f	
18662	66df4a8b-8826-4d49-b561-edb736f5a66b	Fossò	Fossò	4	0	2013-07-22 08:58:38.786254+02	\N	\N	\N	\N	\N	\N	f	
18720	a4e832af-941b-4025-a91d-1c7b0447eb0e	Longare	Longare	4	0	2013-07-22 09:06:16.22026+02	\N	\N	\N	\N	\N	\N	f	
22740	b79e144e-bfd6-46dc-aa10-54cbc556bcf2	Reitano	Reitano	4	0	2013-08-14 17:35:32.148725+02	\N	\N	\N	\N	\N	\N	f	
18757	f5ee2008-0bbc-4c1c-a20b-f070d860742c	Valdagno	Valdagno	4	0	2013-07-22 09:10:20.800141+02	\N	\N	\N	\N	\N	\N	f	
19777	1c4db8e8-f6f2-4ca6-9cc9-73521d5c87d0	Welsberg-Taisten	Welsberg-Taisten	4	0	2013-07-22 11:35:00.402024+02	\N	\N	\N	\N	\N	\N	f	
19174	ce69a1d1-61f3-48d6-a12b-93711e0ac95e	Roccamena	Roccamena	4	0	2013-07-22 10:02:07.250888+02	\N	\N	\N	\N	\N	\N	f	
19289	c1c9334a-b9d5-4879-a701-3513e56fd1db	Pizzoli	Pizzoli	4	0	2013-07-22 10:16:39.246019+02	\N	\N	\N	\N	\N	\N	f	
20381	d4dbad41-26b3-43d5-8281-f68aa2a7e1ba	Paterno Calabro	Paterno Calabro	4	0	2013-07-22 23:42:06.192342+02	\N	\N	\N	\N	\N	\N	f	
19325	33abac85-ffdb-409f-a82d-36ca0f041d15	Tisens	Tisens	4	0	2013-07-22 10:21:05.062605+02	\N	\N	\N	\N	\N	\N	f	
22741	d17e5fb2-ddcb-45af-9e6c-15a31a4c3c14	Motta d'Affermo	Motta d'Affermo	4	0	2013-08-14 17:35:47.419943+02	\N	\N	\N	\N	\N	\N	f	
20387	58c134fb-9ec1-4f9b-b6a1-1c50efc524c5	Mormanno	Mormanno	4	0	2013-07-22 23:43:19.41499+02	\N	\N	\N	\N	\N	\N	f	
20498	f3f4fda9-63a5-4e7a-8cb5-21e361ef9897	Bagaladi	Bagaladi	4	0	2013-07-23 02:49:08.689477+02	\N	\N	\N	\N	\N	\N	f	
25787	dcdbc3c4-7556-4a45-9081-d20c7442ce7c	Morland, Kansas	Morland, Kansas	3	0	2013-09-07 14:38:41.103781+02	\N	\N	\N	\N	\N	\N	f	
20506	0d810a08-cfa4-4ae8-a8d2-e2e01a49c444	Roccabernarda	Roccabernarda	4	0	2013-07-23 02:50:43.945744+02	\N	\N	\N	\N	\N	\N	f	
22799	24ab1da5-4cd7-4072-a25b-1fc83a79ec76	Villafranca Tirrena	Villafranca Tirrena	4	0	2013-08-14 17:49:48.4076+02	\N	\N	\N	\N	\N	\N	f	
23131	2042bd54-6b9a-41f1-b3c5-3ede432bb200	Hopkins	Hopkins	3	0	2013-08-22 05:26:45.542124+02	\N	\N	\N	\N	\N	\N	f	
22875	51da7c55-89a5-4600-adc1-e71e145d15bd	Miramar	Miramar	3	0	2013-08-20 08:35:21.140143+02	\N	\N	\N	\N	\N	\N	f	
22142	7ee6b8ae-27f3-434e-b4ea-dbcf3230d932	Parkersburg, Iowa	Parkersburg, Iowa	3	0	2013-08-07 17:46:04.726213+02	\N	\N	\N	\N	\N	\N	f	
22921	55ae6af0-8c8b-4408-ad80-5e8dc832322c	Douglas, Michigan	Douglas, Michigan	3	0	2013-08-20 14:30:12.458981+02	\N	\N	\N	\N	\N	\N	f	
23005	cd73f7f8-7edd-46f1-a4f8-47a80b404056	Mountain Village	Mountain Village	3	0	2013-08-20 23:35:45.596597+02	\N	\N	\N	\N	\N	\N	f	
23058	5d3449d3-c90f-4396-8de5-652883f56398	Chaska, Minnesota	Chaska, Minnesota	3	0	2013-08-22 02:30:38.938445+02	\N	\N	\N	\N	\N	\N	f	
24636	b7a6ec74-abde-4fc3-97c8-92c5824e6a9c	Breese	Breese	3	0	2013-09-07 07:58:01.17583+02	\N	\N	\N	\N	\N	\N	f	
25873	736d2b81-29ac-4c10-8182-a660a9a80e98	Brownsboro Farm, Kentucky	Brownsboro Farm, Kentucky	3	0	2013-09-07 15:01:43.329479+02	\N	\N	\N	\N	\N	\N	f	
25173	14199604-2ab2-4119-906e-b6b9508ad20a	Russell	Russell	3	0	2013-09-07 10:30:41.090804+02	\N	\N	\N	\N	\N	\N	f	
25746	0d56de8b-85f2-4b51-bc6e-64a916d16455	Niotaze, Kansas	Niotaze, Kansas	3	0	2013-09-07 14:28:27.173192+02	\N	\N	\N	\N	\N	\N	f	
26869	aec6f9f9-a2eb-40b7-8bff-81107813cd5c	Lebanon	Lebanon	3	0	2013-09-08 03:15:08.4402+02	\N	\N	\N	\N	\N	\N	f	
26190	792fc3c4-3a08-425d-9a30-15418bd110ec	Stockton	Stockton	3	0	2013-09-07 20:40:55.958122+02	\N	\N	\N	\N	\N	\N	f	
27309	f4e1fcaf-e06c-4e45-acc4-1f15afffd9bd	Niagara, North Dakota	Niagara, North Dakota	3	0	2013-09-08 07:24:30.640741+02	\N	\N	\N	\N	\N	\N	f	
26511	98f554d5-8f25-49f0-a563-5e53d321d4d7	Conrad, Iowa	Conrad, Iowa	3	0	2013-09-08 00:54:10.805388+02	\N	\N	\N	\N	\N	\N	f	
27287	6e16a294-4aa2-43df-9a17-2f787cc4474e	Hubbard	Hubbard	3	0	2013-09-08 07:17:57.897609+02	\N	\N	\N	\N	\N	\N	f	
27329	34933c45-38e0-4663-be27-cd182b20322f	Oberon, North Dakota	Oberon, North Dakota	3	0	2013-09-08 07:29:22.36128+02	\N	\N	\N	\N	\N	\N	f	
27328	691e37f9-e080-408d-90c3-01d38074fbdb	Gahanna	Gahanna	3	0	2013-09-08 07:29:08.647206+02	\N	\N	\N	\N	\N	\N	f	
27609	d644da10-fc42-4fad-8cbd-65d281712b64	Cleveland, North Dakota	Cleveland, North Dakota	3	0	2013-09-08 08:56:19.215301+02	\N	\N	\N	\N	\N	\N	f	
27970	4002d59c-c29f-4aa2-b078-5e16b3d8f299	Fort Morgan	Fort Morgan	3	0	2013-09-08 11:50:19.954381+02	\N	\N	\N	\N	\N	\N	f	
28056	aa78070c-8e79-4a53-9639-5173628efe51	Dyatkovo	Dyatkovo	3	0	2013-09-08 12:17:21.784667+02	\N	\N	\N	\N	\N	\N	f	
28090	7b085946-4626-4a74-8102-3fc9ed74466e	Veliky Novgorod	Veliky Novgorod	3	0	2013-09-08 12:28:48.151091+02	\N	\N	\N	\N	\N	\N	f	
28094	a2af972d-db86-4b8d-a652-0b6c5a95b7f0	Gvardeysk	Gvardeysk	3	0	2013-09-08 12:32:39.484694+02	\N	\N	\N	\N	\N	\N	f	
28229	f71619e6-4642-4d44-91b6-26760917856d	St. Marys, Pennsylvania	St. Marys, Pennsylvania	3	0	2013-09-08 15:00:10.635955+02	\N	\N	\N	\N	\N	\N	f	
28428	499fff44-6531-4c0e-b33c-52488f5b2fae	Newell, South Dakota	Newell, South Dakota	3	0	2013-09-08 17:22:11.92371+02	\N	\N	\N	\N	\N	\N	f	
10757	c10d2228-6d62-4268-bcae-206558e10005	Maniwa	Maniwa	3	0	2013-06-19 01:30:05.151306+02	\N	\N	\N	\N	\N	\N	f	
13899	cea98dd2-d242-44a0-ad7c-4c6540f78052	Brescello	Brescello	4	0	2013-07-21 19:37:49.55833+02	\N	\N	\N	\N	\N	\N	f	
10758	c12d21c8-8a80-4ee7-b1c3-cb95d722d2c6	Gyōda	Gyōda	3	0	2013-06-19 01:30:15.489457+02	\N	\N	\N	\N	\N	\N	f	
10776	f570d17d-eb1e-49e4-a7e8-10d38147e56d	Tsukubamirai	Tsukubamirai	3	0	2013-06-19 01:33:31.455226+02	\N	\N	\N	\N	\N	\N	f	
10780	91da9229-0232-49bb-93af-bfe1334eea35	Higashisonogi	Higashisonogi	3	0	2013-06-19 01:34:53.157239+02	\N	\N	\N	\N	\N	\N	f	
14487	90a27106-f3c5-4ce1-bca3-a1f514fb3abb	Nepi	Nepi	4	0	2013-07-21 21:49:09.581975+02	\N	\N	\N	\N	\N	\N	f	
14505	e555f255-e76f-4357-af9d-abac3ce5a164	Sezzadio	Sezzadio	4	0	2013-07-21 21:53:21.316396+02	\N	\N	\N	\N	\N	\N	f	
15574	c77c885f-b8aa-41c8-9a5f-ec369ee2b28d	Brovello-Carpugnino	Brovello-Carpugnino	4	0	2013-07-22 01:15:38.44591+02	\N	\N	\N	\N	\N	\N	f	
14574	82b6a31b-b4a7-4b09-8235-307704fbf2a8	Castellero	Castellero	4	0	2013-07-21 22:08:32.438944+02	\N	\N	\N	\N	\N	\N	f	
15000	911d3c0f-dce8-4bd9-b5c1-fd94f767e1f0	Melle	Melle	4	0	2013-07-21 23:35:20.894025+02	\N	\N	\N	\N	\N	\N	f	
22416	1803ca78-90f7-496b-a6b6-7cc9ad8123ac	Fortuna, California	Fortuna, California	3	0	2013-08-11 02:43:58.771247+02	\N	\N	\N	\N	\N	\N	f	
16369	4cbe298d-4975-445e-b11c-d704b3f50215	Castelverrino	Castelverrino	4	0	2013-07-22 03:25:00.642094+02	\N	\N	\N	\N	\N	\N	f	
17381	e4e1ca00-73a3-4dc5-8421-00d0bcfb3a90	Sant'Angelo Lomellina	Sant'Angelo Lomellina	4	0	2013-07-22 06:20:33.745005+02	\N	\N	\N	\N	\N	\N	f	
16392	0c790cfa-10bc-4c50-ada4-89d809dee89e	Sant'Angelo del Pesco	Sant'Angelo del Pesco	4	0	2013-07-22 03:28:11.813393+02	\N	\N	\N	\N	\N	\N	f	
22742	68c5b2bc-9a07-475c-bf04-918a40267b77	Milazzo	Milazzo	4	0	2013-08-14 17:36:00.990147+02	\N	\N	\N	\N	\N	\N	f	
16397	a7dea421-2f2e-4895-9ad5-d1b9660eed4f	San Teodoro, Sardinia	San Teodoro, Sardinia	4	0	2013-07-22 03:28:39.929152+02	\N	\N	\N	\N	\N	\N	f	
17395	1c481d85-e2f2-4558-9a98-c7a76fac97fe	Magherno	Magherno	4	0	2013-07-22 06:22:10.950775+02	\N	\N	\N	\N	\N	\N	f	
16412	3a891efb-4385-45c7-a232-717b4b73dd66	Samatzai	Samatzai	4	0	2013-07-22 03:30:34.524716+02	\N	\N	\N	\N	\N	\N	f	
16430	c0668d8a-edde-4739-8d9e-383e8f5d9aaf	Monserrato	Monserrato	4	0	2013-07-22 03:32:28.428096+02	\N	\N	\N	\N	\N	\N	f	
19740	cd7fc061-b7a8-4f68-a17f-93a65f8da077	Acquanegra sul Chiese	Acquanegra sul Chiese	4	0	2013-07-22 11:30:50.386458+02	\N	\N	\N	\N	\N	\N	f	
17031	6bea5ea5-8b72-4858-a8f5-2bdd0184c81c	Canevino	Canevino	4	0	2013-07-22 05:34:39.731428+02	\N	\N	\N	\N	\N	\N	f	
18399	f5b36f85-761d-4103-a5d5-c2d47ffee734	Agnadello	Agnadello	4	0	2013-07-22 08:24:10.540657+02	\N	\N	\N	\N	\N	\N	f	
19177	3842f21b-93cb-4499-9363-ff724fa30c98	Pollina	Pollina	4	0	2013-07-22 10:02:33.447898+02	\N	\N	\N	\N	\N	\N	f	
19779	b57de3f3-9a9b-497d-94b3-ec03b52a6466	Licata	Licata	4	0	2013-07-22 11:35:16.831286+02	\N	\N	\N	\N	\N	\N	f	
19301	3bde5899-946b-42e3-ab60-45a77adf878c	Rocca di Cambio	Rocca di Cambio	4	0	2013-07-22 10:18:06.750858+02	\N	\N	\N	\N	\N	\N	f	
19308	01da7208-de10-470a-bac9-c886adc857aa	Villa Santa Lucia degli Abruzzi	Villa Santa Lucia degli Abruzzi	4	0	2013-07-22 10:18:55.409099+02	\N	\N	\N	\N	\N	\N	f	
22878	c117aa49-cb75-47ed-b8d7-50f0358b2297	Lake City	Lake City	3	0	2013-08-20 08:40:10.208357+02	\N	\N	\N	\N	\N	\N	f	
19331	3b4cc67b-5f91-4a1a-8f15-3dd8cc43334b	Bolognano	Bolognano	4	0	2013-07-22 10:21:43.263181+02	\N	\N	\N	\N	\N	\N	f	
19780	38b766af-bc15-4fac-9bcb-b10f89736772	Esino Lario	Esino Lario	4	0	2013-07-22 11:35:28.89356+02	\N	\N	\N	\N	\N	\N	f	
19394	9c5f6060-f866-4d05-b028-be80453a3b4f	Dogliola	Dogliola	4	0	2013-07-22 10:29:30.788729+02	\N	\N	\N	\N	\N	\N	f	
19493	9da0d6ed-7b34-468b-aff7-2fbe1937a313	Pescosansonesco	Pescosansonesco	4	0	2013-07-22 10:41:37.819212+02	\N	\N	\N	\N	\N	\N	f	
19783	e70a2e66-63d2-43a5-9765-72b25d05f8e0	Alessano	Alessano	4	0	2013-07-22 11:35:43.00946+02	\N	\N	\N	\N	\N	\N	f	
23171	f5cf6c36-ac95-42a5-a765-83c21acf8b8c	Tyler, Minnesota	Tyler, Minnesota	3	0	2013-08-22 05:44:12.653446+02	\N	\N	\N	\N	\N	\N	f	
19908	1134156f-88f1-4a9c-a4e9-a2021949e985	Calvello	Calvello	4	0	2013-07-22 11:54:01.66669+02	\N	\N	\N	\N	\N	\N	f	
22923	d657d9d7-43a7-49a5-90d7-9240c19956e1	Grosse Pointe Shores, Michigan	Grosse Pointe Shores, Michigan	3	0	2013-08-20 14:30:55.338714+02	\N	\N	\N	\N	\N	\N	f	
19972	713ec014-5888-4e89-aa00-6a7ca77e9373	Trivigno	Trivigno	4	0	2013-07-22 12:02:11.20252+02	\N	\N	\N	\N	\N	\N	f	
23006	1f228a2c-3920-4831-8545-b3b0a0dbec77	Newhalen	Newhalen	3	0	2013-08-20 23:35:58.373445+02	\N	\N	\N	\N	\N	\N	f	
20388	63e03b3e-7f69-4054-8fca-3bde351073f1	Morano Calabro	Morano Calabro	4	0	2013-07-22 23:43:31.535897+02	\N	\N	\N	\N	\N	\N	f	
20500	a22571bc-3be4-4bca-95f7-724669bf560e	Bova, Calabria	Bova, Calabria	4	0	2013-07-23 02:49:32.637569+02	\N	\N	\N	\N	\N	\N	f	
24728	8b660eb6-2ec9-4452-8d74-26d86cd7c512	South Beloit	South Beloit	3	0	2013-09-07 08:18:44.693673+02	\N	\N	\N	\N	\N	\N	f	
23013	e614466b-035e-4fbc-bd73-77915028f768	Teller	Teller	3	0	2013-08-20 23:37:45.460462+02	\N	\N	\N	\N	\N	\N	f	
23059	a3d23392-7eeb-4ea6-b5ee-e119eefae9f3	McKinley, St. Louis County	McKinley, St. Louis County	3	0	2013-08-22 02:31:48.126248+02	\N	\N	\N	\N	\N	\N	f	
22143	b6750d3e-01c0-4316-a55c-398a028a410e	Ellsworth, Iowa	Ellsworth, Iowa	3	0	2013-08-07 17:46:43.14811+02	\N	\N	\N	\N	\N	\N	f	
24639	de0e4366-f15c-489e-b623-edfdbc99e5a3	Altamont	Altamont	3	0	2013-09-07 07:58:55.127427+02	\N	\N	\N	\N	\N	\N	f	
23074	f0f65d2c-f29e-4bc1-9672-690340e69ce8	Austin, Minnesota	Austin, Minnesota	3	0	2013-08-22 02:39:24.967476+02	\N	\N	\N	\N	\N	\N	f	
24763	fa688178-ca8d-4dab-8f0c-dabbad0f9ccb	Readlyn, Iowa	Readlyn, Iowa	3	0	2013-09-07 08:28:40.71765+02	\N	\N	\N	\N	\N	\N	f	
23088	5b1a602c-ea0a-41a6-bb44-9e28168fde70	Sunset Hills	Sunset Hills	3	0	2013-08-22 02:44:44.567876+02	\N	\N	\N	\N	\N	\N	f	
23132	2acaa1d2-64a3-46d1-80d1-0e87ef232f9a	Warba, Minnesota	Warba, Minnesota	3	0	2013-08-22 05:27:08.943609+02	\N	\N	\N	\N	\N	\N	f	
25298	af58dbaa-81b2-4349-8e04-3946ce1b9674	Dixon	Dixon	3	0	2013-09-07 11:05:19.630419+02	\N	\N	\N	\N	\N	\N	f	
24674	5df0c811-bd77-4ff5-a869-458d20007c48	Coffeen	Coffeen	3	0	2013-09-07 08:07:41.963144+02	\N	\N	\N	\N	\N	\N	f	
24810	078da96b-6183-489f-9198-2e2d0bea971b	Persia	Persia	3	0	2013-09-07 08:41:25.020847+02	\N	\N	\N	\N	\N	\N	f	
24706	ce77eb32-f392-4f1c-9140-378f114ac7fc	Harvey	Harvey	3	0	2013-09-07 08:15:06.249575+02	\N	\N	\N	\N	\N	\N	f	
25175	40c1d11b-0f4d-4d93-aa82-0f1cec3a97ea	Kellogg	Kellogg	3	0	2013-09-07 10:31:10.548401+02	\N	\N	\N	\N	\N	\N	f	
26512	5157585c-3b4f-4458-b169-23df2316231c	Crystal Lakes, Missouri	Crystal Lakes, Missouri	3	0	2013-09-08 00:54:28.434348+02	\N	\N	\N	\N	\N	\N	f	
25235	665da7f9-d786-4833-9eaf-1bded1ef8f21	East Peru	East Peru	3	0	2013-09-07 10:48:17.407151+02	\N	\N	\N	\N	\N	\N	f	
26192	830e61a7-2514-4409-866e-36bf8bd094c8	Altamont	Altamont	3	0	2013-09-07 20:41:24.720578+02	\N	\N	\N	\N	\N	\N	f	
25288	c11f34e0-6a2d-471d-8e15-5598c26695fd	Chester	Chester	3	0	2013-09-07 11:02:37.160975+02	\N	\N	\N	\N	\N	\N	f	
25748	444dbc2d-ffda-461e-8d78-9f5f3dbc81bb	Ellinwood, Kansas	Ellinwood, Kansas	3	0	2013-09-07 14:28:56.569178+02	\N	\N	\N	\N	\N	\N	f	
25761	c765b0ee-f2f8-48af-b4fb-29ac779f84fd	Spring Hill, Kansas	Spring Hill, Kansas	3	0	2013-09-07 14:32:11.190482+02	\N	\N	\N	\N	\N	\N	f	
26898	3c2add5d-0e02-42b9-9e3f-3d71407053c2	Fairbury	Fairbury	3	0	2013-09-08 03:55:11.11756+02	\N	\N	\N	\N	\N	\N	f	
26883	698d9ebc-530f-4968-bf84-1bc32c46a52e	Queen City	Queen City	3	0	2013-09-08 03:51:31.060208+02	\N	\N	\N	\N	\N	\N	f	
26871	af287b88-4bde-446d-a3ba-e2fdb6f720b0	Bernie	Bernie	3	0	2013-09-08 03:15:36.358191+02	\N	\N	\N	\N	\N	\N	f	
27288	7b940058-9a48-4eb5-b12b-5a0698ad07b6	Heath	Heath	3	0	2013-09-08 07:18:11.329381+02	\N	\N	\N	\N	\N	\N	f	
27296	a54fd26f-6664-4534-bfd1-89ccedd49319	Hillsboro, North Dakota	Hillsboro, North Dakota	3	0	2013-09-08 07:20:18.079494+02	\N	\N	\N	\N	\N	\N	f	
27348	719d92e0-8fbe-4df8-bca5-fd117ba7e2e4	Watford City, North Dakota	Watford City, North Dakota	3	0	2013-09-08 07:34:13.20352+02	\N	\N	\N	\N	\N	\N	f	
27355	03fe3d5e-7257-4124-89e6-7f0a246df240	Medora, North Dakota	Medora, North Dakota	3	0	2013-09-08 07:36:24.373616+02	\N	\N	\N	\N	\N	\N	f	
27361	3c7edb81-5d21-4b51-87ab-52cdbb85a992	Killdeer, North Dakota	Killdeer, North Dakota	3	0	2013-09-08 07:38:09.429446+02	\N	\N	\N	\N	\N	\N	f	
27611	f86dd203-c3ab-4938-9db9-3b88798aca4b	Sandusky	Sandusky	3	0	2013-09-08 08:56:50.933239+02	\N	\N	\N	\N	\N	\N	f	
27973	14ae416d-574e-4c89-a7ce-73c7ba18ec88	Danville	Danville	3	0	2013-09-08 11:51:03.884509+02	\N	\N	\N	\N	\N	\N	f	
10761	350c1a3f-428c-4e5d-98b1-3493232bf179	Motomiya	Motomiya	3	0	2013-06-19 01:30:50.245924+02	\N	\N	\N	\N	\N	\N	f	
13901	95f555dd-4c0d-4210-b597-cc2192af675b	Salerno	Salerno	4	0	2013-07-21 19:38:15.012001+02	\N	\N	\N	\N	\N	\N	f	
13954	a0c431d4-e742-428f-9bbd-7a627a2cc992	Montescudo	Montescudo	4	0	2013-07-21 19:50:24.31345+02	\N	\N	\N	\N	\N	\N	f	
10760	071830ed-b7ba-4c03-a805-c2d97dce6603	Omsk	Omsk	3	0	2013-06-20 02:00:31.319385+02	\N	\N	\N	\N	\N	\N	f	
15575	da92034d-e2bb-43fe-adc5-1da79cc0b228	Baceno	Baceno	4	0	2013-07-22 01:15:50.140614+02	\N	\N	\N	\N	\N	\N	f	
13969	fb12f1f4-6193-42f1-953b-5ac27628e5d1	Cattolica	Cattolica	4	0	2013-07-21 19:53:33.844863+02	\N	\N	\N	\N	\N	\N	f	
13977	97e528e4-dd8e-4bc9-b0ab-f762af713313	Bellaria – Igea Marina	Bellaria – Igea Marina	4	0	2013-07-21 19:55:13.073221+02	\N	\N	\N	\N	\N	\N	f	
14488	5cb7a10a-f146-414e-b2b4-85478c5c4f58	Parodi Ligure	Parodi Ligure	4	0	2013-07-21 21:49:23.615541+02	\N	\N	\N	\N	\N	\N	f	
15593	0bc10341-781f-4e0c-ab3a-76900d1aabe8	Cefalù	Cefalù	4	0	2013-07-22 01:19:44.290866+02	\N	\N	\N	\N	\N	\N	f	
17382	9cd2f3a5-0148-450c-b464-91c19ddfe0ac	Gerenzano	Gerenzano	4	0	2013-07-22 06:20:34.123112+02	\N	\N	\N	\N	\N	\N	f	
16379	9a4dcf2a-e390-4008-b547-ba12e9fa1b76	Vastogirardi	Vastogirardi	4	0	2013-07-22 03:26:30.403636+02	\N	\N	\N	\N	\N	\N	f	
16422	3567874c-33d5-4687-a808-1896e640043a	Sadali, Sardinia	Sadali, Sardinia	4	0	2013-07-22 03:31:38.477631+02	\N	\N	\N	\N	\N	\N	f	
16449	0752a5bb-8bee-40bb-b1b9-d3edeb9ceef1	Villaspeciosa	Villaspeciosa	4	0	2013-07-22 03:34:44.610869+02	\N	\N	\N	\N	\N	\N	f	
17389	2f88ff6b-ac32-49ae-8945-6e2af92f628b	Ferno	Ferno	4	0	2013-07-22 06:21:27.203359+02	\N	\N	\N	\N	\N	\N	f	
16450	369c04db-65de-4aff-a471-1dd34968710d	Teulada, Sardinia	Teulada, Sardinia	4	0	2013-07-22 03:34:58.277075+02	\N	\N	\N	\N	\N	\N	f	
16460	3fde3eac-24ae-4460-97a8-0a41d98010a2	Sant'Andrea Frius	Sant'Andrea Frius	4	0	2013-07-22 03:36:08.801648+02	\N	\N	\N	\N	\N	\N	f	
19741	bf20cf5e-463a-4c48-a061-6559dd03d746	Lequile	Lequile	4	0	2013-07-22 11:30:52.545264+02	\N	\N	\N	\N	\N	\N	f	
16483	6707cb69-2bed-48ff-9887-5adaed00660c	Perdaxius	Perdaxius	4	0	2013-07-22 03:39:14.544348+02	\N	\N	\N	\N	\N	\N	f	
17445	6fa8467b-fad6-4d7f-8535-a58640948bf2	Lentate sul Seveso	Lentate sul Seveso	4	0	2013-07-22 06:28:38.424533+02	\N	\N	\N	\N	\N	\N	f	
16489	3c8f3779-7f4f-47ca-bd51-6a4a8d841a3e	Piscinas	Piscinas	4	0	2013-07-22 03:39:54.905712+02	\N	\N	\N	\N	\N	\N	f	
16495	5b8e46b9-e08c-46b5-8a2e-200b61c6319b	Narcao	Narcao	4	0	2013-07-22 03:40:34.200744+02	\N	\N	\N	\N	\N	\N	f	
16565	e7fe579c-fecf-4199-a412-e4d68a429983	Isera	Isera	4	0	2013-07-22 03:49:04.607435+02	\N	\N	\N	\N	\N	\N	f	
17557	6af2325e-52e7-45b0-a44f-17b4fa609382	Cesiomaggiore	Cesiomaggiore	4	0	2013-07-22 06:42:03.062246+02	\N	\N	\N	\N	\N	\N	f	
16574	498b701c-6018-4fdf-a966-a46bedc29288	Ozzano dell'Emilia	Ozzano dell'Emilia	4	0	2013-07-22 03:50:03.026883+02	\N	\N	\N	\N	\N	\N	f	
16602	1d4a0262-4bf4-470f-b49c-7ba452b0d5ef	Malè	Malè	4	0	2013-07-22 03:53:45.91912+02	\N	\N	\N	\N	\N	\N	f	
22924	301aba43-65a7-46c2-ba8d-95ade2b32493	Frankfort, Michigan	Frankfort, Michigan	3	0	2013-08-20 14:31:18.875169+02	\N	\N	\N	\N	\N	\N	f	
16605	a493693e-8daf-4ff0-ba08-d4f576b61846	Bolotana	Bolotana	4	0	2013-07-22 03:54:06.954626+02	\N	\N	\N	\N	\N	\N	f	
18400	7373ca7e-60f3-4af2-987d-6a68574c724a	Senna Lodigiana	Senna Lodigiana	4	0	2013-07-22 08:24:23.722736+02	\N	\N	\N	\N	\N	\N	f	
17033	e4dc2c9f-c034-499f-840c-d31aee4102aa	Monteferrante	Monteferrante	4	0	2013-07-22 05:34:52.904017+02	\N	\N	\N	\N	\N	\N	f	
19765	5bb4f6f3-5fb5-4a6d-a662-8f1097137d59	Canicattì	Canicattì	4	0	2013-07-22 11:33:34.230816+02	\N	\N	\N	\N	\N	\N	f	
18410	3f2ab818-857a-4cc6-953c-1cb8e4d814aa	Somaglia	Somaglia	4	0	2013-07-22 08:25:33.214318+02	\N	\N	\N	\N	\N	\N	f	
19179	e9227030-d138-41ca-b23d-37f23c7f7ee0	Vicari	Vicari	4	0	2013-07-22 10:02:46.23318+02	\N	\N	\N	\N	\N	\N	f	
19185	c3b70f9c-4498-40cc-9b52-6ea74a965b9a	Casteldaccia	Casteldaccia	4	0	2013-07-22 10:03:27.013819+02	\N	\N	\N	\N	\N	\N	f	
19788	7f0f9a84-43b0-4192-8095-0e4fffee4884	Olgiate Molgora	Olgiate Molgora	4	0	2013-07-22 11:36:18.222348+02	\N	\N	\N	\N	\N	\N	f	
25176	ad13a926-fa9c-41e3-aad7-6b40c114b070	Hardy	Hardy	3	0	2013-09-07 10:31:25.99667+02	\N	\N	\N	\N	\N	\N	f	
19791	2381ca72-f5b4-4c2e-a175-ab8ee524e004	Sansepolcro	Sansepolcro	4	0	2013-07-22 11:36:42.073237+02	\N	\N	\N	\N	\N	\N	f	
22934	faae7784-7314-431c-a2b1-ec1f68aef3d7	Orchard Lake Village, Michigan	Orchard Lake Village, Michigan	3	0	2013-08-20 14:37:08.221116+02	\N	\N	\N	\N	\N	\N	f	
20392	c6f7f508-ee21-4dc5-b79c-38497645a0b9	Lattarico	Lattarico	4	0	2013-07-22 23:44:48.090772+02	\N	\N	\N	\N	\N	\N	f	
20504	a52d581b-5a33-4173-8862-279a864e228e	Scandale	Scandale	4	0	2013-07-23 02:50:20.084182+02	\N	\N	\N	\N	\N	\N	f	
20523	8eeadf50-6494-4bc9-a9b4-4147508df3a2	Melicuccà	Melicuccà	4	0	2013-07-23 05:29:17.632455+02	\N	\N	\N	\N	\N	\N	f	
23007	cb1f3ae2-d9b5-416f-96e7-eab75e23f4b2	Kotlik	Kotlik	3	0	2013-08-20 23:36:11.217951+02	\N	\N	\N	\N	\N	\N	f	
22144	866aa129-a178-4c5c-8079-3034973afbe9	Fort Dodge	Fort Dodge	3	0	2013-08-07 17:47:59.858202+02	\N	\N	\N	\N	\N	\N	f	
22417	50debd47-ea6a-4e24-9c3e-208091d6e6bc	La Mirada, California	La Mirada, California	3	0	2013-08-11 02:44:19.618851+02	\N	\N	\N	\N	\N	\N	f	
23060	e905cd9c-77ca-449c-9a95-df6be76d5e31	Gulfport	Gulfport	3	0	2013-08-22 02:33:18.479375+02	\N	\N	\N	\N	\N	\N	f	
22449	66b30b68-9994-4afa-8eba-d90a572a75f3	Orange Cove	Orange Cove	3	0	2013-08-11 02:55:17.024681+02	\N	\N	\N	\N	\N	\N	f	
22743	70028335-1fcc-4dc4-8892-e852a3a33bba	Roccafiorita	Roccafiorita	4	0	2013-08-14 17:36:14.211138+02	\N	\N	\N	\N	\N	\N	f	
25196	03579dde-b890-4e4b-9020-42f8733ff46a	Hansell	Hansell	3	0	2013-09-07 10:36:43.460996+02	\N	\N	\N	\N	\N	\N	f	
22880	a259fbfd-d07b-4703-83cb-a2a039bb98b7	DeFuniak Springs	DeFuniak Springs	3	0	2013-08-20 08:40:41.206598+02	\N	\N	\N	\N	\N	\N	f	
23133	092f810f-89fd-4bad-8a54-d9e4770e3929	Mound, Minnesota	Mound, Minnesota	3	0	2013-08-22 05:27:26.061081+02	\N	\N	\N	\N	\N	\N	f	
26193	758e8e0b-9daa-4a53-98a7-193d2fe60689	Holton	Holton	3	0	2013-09-07 20:41:40.283008+02	\N	\N	\N	\N	\N	\N	f	
24641	2ee3e2a3-0d9d-4c19-80e0-0c0748c5debb	Martinsville	Martinsville	3	0	2013-09-07 07:59:37.082032+02	\N	\N	\N	\N	\N	\N	f	
25240	eb34f893-1445-435f-b611-e0bbf1708de1	Gilbert	Gilbert	3	0	2013-09-07 10:49:36.923528+02	\N	\N	\N	\N	\N	\N	f	
24777	9b8883a8-cc7f-4c9b-b0e2-11f323e1600c	Rodney, Iowa	Rodney, Iowa	3	0	2013-09-07 08:32:18.527977+02	\N	\N	\N	\N	\N	\N	f	
25749	7ee62f74-016a-4028-814b-fdf4b39b362e	Fox Chase, Kentucky	Fox Chase, Kentucky	3	0	2013-09-07 14:29:11.244816+02	\N	\N	\N	\N	\N	\N	f	
25802	78a8862f-eb6a-4fc6-ba1b-d810ee623194	Cherryvale, Kansas	Cherryvale, Kansas	3	0	2013-09-07 14:42:39.912548+02	\N	\N	\N	\N	\N	\N	f	
26874	d93904e2-82c4-49ed-966e-11122ac69f78	Ferguson	Ferguson	3	0	2013-09-08 03:16:21.675425+02	\N	\N	\N	\N	\N	\N	f	
25838	dc18d2c0-7abd-4cc6-92ac-2c709b55e6f1	Chase, Kansas	Chase, Kansas	3	0	2013-09-07 14:52:48.663761+02	\N	\N	\N	\N	\N	\N	f	
26291	1982465a-6c24-44aa-aebe-b505d93e164d	Yellow Banks, Kentucky	Yellow Banks, Kentucky	3	0	2013-09-07 21:09:13.280346+02	\N	\N	\N	\N	\N	\N	f	
27416	d4b27edb-a1aa-4e5b-9f3f-87174b241c81	Beavercreek	Beavercreek	3	0	2013-09-08 07:51:48.587885+02	\N	\N	\N	\N	\N	\N	f	
26514	188b6eac-f577-4161-81e1-bd2e198acc26	Rayne, Louisiana	Rayne, Louisiana	3	0	2013-09-08 00:54:57.713652+02	\N	\N	\N	\N	\N	\N	f	
27332	09e5ec6b-eb9f-41a2-b059-40c398d580fa	Barney, North Dakota	Barney, North Dakota	3	0	2013-09-08 07:30:10.309096+02	\N	\N	\N	\N	\N	\N	f	
27289	9d02cdce-09a7-42ba-a114-ec7612b06ecc	Geneva, Ohio	Geneva, Ohio	3	0	2013-09-08 07:18:27.033521+02	\N	\N	\N	\N	\N	\N	f	
27331	66892ae3-cdb5-422b-ae58-6ab6d6b57aaa	Independence, Ohio	Independence, Ohio	3	0	2013-09-08 07:29:53.722391+02	\N	\N	\N	\N	\N	\N	f	
27613	1ac953b3-b71e-4f01-8f92-a12a63b5b6ef	Crary, North Dakota	Crary, North Dakota	3	0	2013-09-08 08:57:25.483921+02	\N	\N	\N	\N	\N	\N	f	
27975	e95f6b4d-befb-4f6f-8f58-cbb4849a6789	Eustis	Eustis	3	0	2013-09-08 11:51:36.483557+02	\N	\N	\N	\N	\N	\N	f	
27997	6364fdf4-8054-4aa1-a7e2-75b216ce446b	Malta	Malta	3	0	2013-09-08 11:57:06.498036+02	\N	\N	\N	\N	\N	\N	f	
28230	735f9436-63e3-4ad0-ae6d-9afdb055950d	Barnwell, South Carolina	Barnwell, South Carolina	3	0	2013-09-08 15:00:35.630992+02	\N	\N	\N	\N	\N	\N	f	
28429	84c452e8-b866-41c5-b7e6-10c8673835c9	Union City, Tennessee	Union City, Tennessee	3	0	2013-09-08 17:22:39.566313+02	\N	\N	\N	\N	\N	\N	f	
28671	c06c8119-7b37-4b7c-ac74-856bab2785de	Westworth Village	Westworth Village	3	0	2013-09-08 21:19:17.397217+02	\N	\N	\N	\N	\N	\N	f	
28430	5bd53b78-8660-461f-b636-38361f3b4ac1	Estelline, South Dakota	Estelline, South Dakota	3	0	2013-09-08 17:23:10.196708+02	\N	\N	\N	\N	\N	\N	f	
10764	4bb397cc-e21b-496c-8a6d-bf83baea70b7	Tamba	Tamba	3	0	2013-06-19 01:31:28.861041+02	\N	\N	\N	\N	\N	\N	f	
10767	c4a6822a-3815-4e8d-908f-65863fc506c0	Mitoyo	Mitoyo	3	0	2013-06-19 01:32:00.321902+02	\N	\N	\N	\N	\N	\N	f	
13902	d08f361e-5180-46ab-8d3a-bed6f6c46138	Pezzaze	Pezzaze	4	0	2013-07-21 19:38:41.552662+02	\N	\N	\N	\N	\N	\N	f	
13917	5d5c3c75-432b-4b0f-8b32-7c91ac19d193	San Martino in Rio	San Martino in Rio	4	0	2013-07-21 19:41:56.791362+02	\N	\N	\N	\N	\N	\N	f	
15580	07b924b6-15de-431c-b81d-61699968c7ef	Spinazzola	Spinazzola	4	0	2013-07-22 01:16:49.419193+02	\N	\N	\N	\N	\N	\N	f	
13935	8f3046df-6b8d-4ca4-b7f4-04d9779f8132	Pisogne	Pisogne	4	0	2013-07-21 19:46:11.252418+02	\N	\N	\N	\N	\N	\N	f	
14489	1798a517-c9d3-4a02-9670-89ec51391084	Oviglio	Oviglio	4	0	2013-07-21 21:49:35.778485+02	\N	\N	\N	\N	\N	\N	f	
15004	4ccbbeb6-7733-47a6-9cdd-7de37ab8d3fe	Montaldo di Mondovì	Montaldo di Mondovì	4	0	2013-07-21 23:35:46.386509+02	\N	\N	\N	\N	\N	\N	f	
15595	890fb29e-db8a-404e-acf9-91783cf883a8	Gignese	Gignese	4	0	2013-07-22 01:20:15.007724+02	\N	\N	\N	\N	\N	\N	f	
15014	a55bcbda-a26d-41b3-a3a9-29eaa6b834cd	Ormea	Ormea	4	0	2013-07-21 23:37:03.462931+02	\N	\N	\N	\N	\N	\N	f	
15015	7a9f4e15-9308-436a-ab53-1a4c67bd8635	Monticello d'Alba	Monticello d'Alba	4	0	2013-07-21 23:37:11.930632+02	\N	\N	\N	\N	\N	\N	f	
23061	ffcdd6ed-a68e-4152-97db-77649ab76f84	Quad Cities (Minnesota)	Quad Cities (Minnesota)	3	0	2013-08-22 02:33:45.926666+02	\N	\N	\N	\N	\N	\N	f	
15636	e15dcd1c-e81b-4908-8522-87164e9e0868	Villadossola	Villadossola	4	0	2013-07-22 01:29:35.9512+02	\N	\N	\N	\N	\N	\N	f	
15678	01e64f95-a50e-4d36-8a48-1f4235417aaf	Marcellina	Marcellina	4	0	2013-07-22 01:38:24.822692+02	\N	\N	\N	\N	\N	\N	f	
16386	832abd02-c729-4f3f-ae08-6f01c0519856	Bonnanaro	Bonnanaro	4	0	2013-07-22 03:27:29.144228+02	\N	\N	\N	\N	\N	\N	f	
18401	4844e9cb-536f-4594-aa69-41c84eee2703	Pero	Pero	4	0	2013-07-22 08:24:26.88768+02	\N	\N	\N	\N	\N	\N	f	
22744	104268e7-8a98-41f2-a887-73272e0dc210	Giardini Naxos	Giardini Naxos	4	0	2013-08-14 17:36:27.152296+02	\N	\N	\N	\N	\N	\N	f	
16434	701b1fbe-bc07-4bb3-aeb3-e942a235e773	Gergei	Gergei	4	0	2013-07-22 03:32:58.188428+02	\N	\N	\N	\N	\N	\N	f	
19744	39972a06-4148-4e57-ae57-1bf04d41d053	Calimera	Calimera	4	0	2013-07-22 11:31:17.663711+02	\N	\N	\N	\N	\N	\N	f	
16445	fd0d5ee2-edb3-4ad0-a8e3-585d16008b38	Domusnovas	Domusnovas	4	0	2013-07-22 03:34:20.15947+02	\N	\N	\N	\N	\N	\N	f	
18412	14e7c7fa-808a-4552-b2fe-2644564d1156	Galgagnano	Galgagnano	4	0	2013-07-22 08:25:46.83707+02	\N	\N	\N	\N	\N	\N	f	
16549	08a60c9d-e1a7-47bf-8077-e21ed9f2622b	Giustino, Trentino	Giustino, Trentino	4	0	2013-07-22 03:46:39.417824+02	\N	\N	\N	\N	\N	\N	f	
16584	e773c8d1-8a7d-4855-b208-f64db7420057	Castello di Godego	Castello di Godego	4	0	2013-07-22 03:51:25.99581+02	\N	\N	\N	\N	\N	\N	f	
22944	cf56f0a7-a87c-4144-8fad-e71ee7f321d5	Grosse Pointe Farms, Michigan	Grosse Pointe Farms, Michigan	3	0	2013-08-20 14:42:41.312017+02	\N	\N	\N	\N	\N	\N	f	
17059	9ab668c5-ea63-49d7-a0d7-c15bf065b4b5	Saint-Nicolas, Aosta Valley	Saint-Nicolas, Aosta Valley	4	0	2013-07-22 05:37:55.433938+02	\N	\N	\N	\N	\N	\N	f	
17159	15d07b32-2ab3-4037-a198-62eb10107894	Palmas Arborea	Palmas Arborea	4	0	2013-07-22 05:51:25.473291+02	\N	\N	\N	\N	\N	\N	f	
22778	9fa5270b-cdc0-4f96-b32c-cc1d1335de7c	San Piero Patti	San Piero Patti	4	0	2013-08-14 17:44:39.315903+02	\N	\N	\N	\N	\N	\N	f	
18554	4e9e028d-a548-4177-bdb5-34fdc1ad1297	Chiuppano	Chiuppano	4	0	2013-07-22 08:45:31.077522+02	\N	\N	\N	\N	\N	\N	f	
19776	874dbcd5-40f2-44d6-af69-ef24513a0e9c	Bagnolo del Salento	Bagnolo del Salento	4	0	2013-07-22 11:34:59.233563+02	\N	\N	\N	\N	\N	\N	f	
18697	7f64b243-4815-44b8-8dae-28b233eefce5	Dizzasco	Dizzasco	4	0	2013-07-22 09:03:00.406912+02	\N	\N	\N	\N	\N	\N	f	
18703	4feebb44-4262-4479-89db-1dd8778a663b	Val Rezzo	Val Rezzo	4	0	2013-07-22 09:03:41.374694+02	\N	\N	\N	\N	\N	\N	f	
20524	f7a81e83-55b5-4346-bd2a-756515fd4003	San Lorenzo, Calabria	San Lorenzo, Calabria	4	0	2013-07-23 05:29:42.000767+02	\N	\N	\N	\N	\N	\N	f	
19187	3c7d744d-8176-46c3-a973-9dd12a7c4072	Bolognetta	Bolognetta	4	0	2013-07-22 10:03:39.305298+02	\N	\N	\N	\N	\N	\N	f	
19778	5f819ab6-30a0-44cd-a9db-3edb1ea29d74	Sestino	Sestino	4	0	2013-07-22 11:35:15.652226+02	\N	\N	\N	\N	\N	\N	f	
19296	2b2dbd86-e88e-4f70-8050-9eb306185b7e	Secinaro	Secinaro	4	0	2013-07-22 10:17:24.18914+02	\N	\N	\N	\N	\N	\N	f	
19829	1d0fe47c-49c0-4c08-b49a-cef20ba01160	Otranto	Otranto	4	0	2013-07-22 11:43:34.894584+02	\N	\N	\N	\N	\N	\N	f	
19843	441baac9-8191-4b17-b04d-ed36781ede48	San Cassiano	San Cassiano	4	0	2013-07-22 11:45:43.597359+02	\N	\N	\N	\N	\N	\N	f	
20581	d24bc98e-ed8c-4d5b-b2b4-beb47a0c48fc	Francica	Francica	4	0	2013-07-23 05:43:12.564318+02	\N	\N	\N	\N	\N	\N	f	
19846	44501d6d-ec9e-4c17-9e40-3c65e28942c8	Tricase	Tricase	4	0	2013-07-22 11:45:59.136602+02	\N	\N	\N	\N	\N	\N	f	
19849	c45a76a5-a192-4c9e-a08e-a2a262246289	Sternatia	Sternatia	4	0	2013-07-22 11:46:29.23078+02	\N	\N	\N	\N	\N	\N	f	
19854	4dddaeb9-c36f-499a-b1a6-cfd1fb063a28	Zollino	Zollino	4	0	2013-07-22 11:46:59.91743+02	\N	\N	\N	\N	\N	\N	f	
20586	532747a6-bbf8-4aa3-9edb-604407f3d298	Scilla, Calabria	Scilla, Calabria	4	0	2013-07-23 05:44:12.465338+02	\N	\N	\N	\N	\N	\N	f	
19971	f037f9de-dd2a-4297-aa45-fa2a5c1e38be	Ripacandida	Ripacandida	4	0	2013-07-22 12:01:59.48692+02	\N	\N	\N	\N	\N	\N	f	
22780	3a2abf2d-f075-4487-abe2-1a90ef787cf3	Furnari	Furnari	4	0	2013-08-14 17:45:07.519229+02	\N	\N	\N	\N	\N	\N	f	
20394	ef9864b7-1f12-4f19-b69d-4fd1312a0758	Panettieri	Panettieri	4	0	2013-07-22 23:45:35.980806+02	\N	\N	\N	\N	\N	\N	f	
20410	b9423873-2d69-4fd1-aba7-5a433103b19f	Orsomarso	Orsomarso	4	0	2013-07-22 23:49:18.199527+02	\N	\N	\N	\N	\N	\N	f	
23134	16a753f2-43f6-4118-9291-3b73b07f4a9b	West St. Paul	West St. Paul	3	0	2013-08-22 05:27:43.623157+02	\N	\N	\N	\N	\N	\N	f	
20514	2d923ad1-39da-475c-9c5e-8a16d8871579	Sant'Eufemia d'Aspromonte	Sant'Eufemia d'Aspromonte	4	0	2013-07-23 02:52:32.436678+02	\N	\N	\N	\N	\N	\N	f	
22881	c7d1a519-4b44-4896-85fb-71ba2b2c19fd	Palm Beach Gardens	Palm Beach Gardens	3	0	2013-08-20 08:41:10.382626+02	\N	\N	\N	\N	\N	\N	f	
22945	83f2ae44-4322-4fb7-8afc-f1ce7183648e	Hazel Park, Michigan	Hazel Park, Michigan	3	0	2013-08-20 14:43:42.864005+02	\N	\N	\N	\N	\N	\N	f	
22145	6234889b-31d9-4495-b6f5-a5e09a4479c9	Eddyville	Eddyville	3	0	2013-08-07 17:48:39.220889+02	\N	\N	\N	\N	\N	\N	f	
22925	9ce91836-5d50-4e23-8327-ad8cf46899df	Riverview, Michigan	Riverview, Michigan	3	0	2013-08-20 14:31:57.561598+02	\N	\N	\N	\N	\N	\N	f	
22418	1afc0752-3c62-4faf-be8e-59669268445b	Arcadia	Arcadia	3	0	2013-08-11 02:44:39.439284+02	\N	\N	\N	\N	\N	\N	f	
22926	d384a602-66d6-427c-8fd7-6107e503afa1	Clare, Michigan	Clare, Michigan	3	0	2013-08-20 14:32:22.978549+02	\N	\N	\N	\N	\N	\N	f	
22942	81e1774e-a1fd-4cd2-be4d-bd5d9b534b6c	Warren	Warren	3	0	2013-08-20 14:41:35.433827+02	\N	\N	\N	\N	\N	\N	f	
22955	7970c198-c8f3-4455-aa4d-e286a340af9a	Traverse City	Traverse City	3	0	2013-08-20 14:52:45.307772+02	\N	\N	\N	\N	\N	\N	f	
23008	511303b7-de43-4e6b-827c-ea5014bec8f6	Whittier	Whittier	3	0	2013-08-20 23:36:34.592724+02	\N	\N	\N	\N	\N	\N	f	
25177	73d302c3-ae7b-415f-9384-4122b0cc8c83	Kensett	Kensett	3	0	2013-09-07 10:31:41.517124+02	\N	\N	\N	\N	\N	\N	f	
24645	8f88f045-0f4b-48b9-b2fd-25967507e2a0	Mount Olive	Mount Olive	3	0	2013-09-07 08:00:41.954019+02	\N	\N	\N	\N	\N	\N	f	
24806	1261805a-2bdb-4fc4-afda-7a016ede3450	Grafton	Grafton	3	0	2013-09-07 08:40:21.96565+02	\N	\N	\N	\N	\N	\N	f	
25750	27ce417a-ff54-4a41-a7fc-0f62161015b8	Island, Kentucky	Island, Kentucky	3	0	2013-09-07 14:29:25.497121+02	\N	\N	\N	\N	\N	\N	f	
25267	379d22cc-e9c4-4978-a8bf-78c7e2d9782c	Cumming	Cumming	3	0	2013-09-07 10:56:58.110823+02	\N	\N	\N	\N	\N	\N	f	
25773	23b1d08d-c5c2-4244-ab23-48dd0028bb3e	Prestonville, Kentucky	Prestonville, Kentucky	3	0	2013-09-07 14:35:15.513642+02	\N	\N	\N	\N	\N	\N	f	
26196	fbee9101-5171-4a7c-930d-6edca179d08b	Meade	Meade	3	0	2013-09-07 20:42:31.083189+02	\N	\N	\N	\N	\N	\N	f	
26274	74eb9c3a-96e1-4bea-8c49-0e2e982fb743	Calama	Calama	3	0	2013-09-07 21:03:39.923165+02	\N	\N	\N	\N	\N	\N	f	
26515	1d906e1d-b677-4ea5-9cc0-8de87d87c6c9	Fitzgerald, Georgia	Fitzgerald, Georgia	3	0	2013-09-08 00:55:11.763887+02	\N	\N	\N	\N	\N	\N	f	
26877	ec543f47-a468-422b-a090-1aaf718150fd	Baker	Baker	3	0	2013-09-08 03:17:05.609587+02	\N	\N	\N	\N	\N	\N	f	
26895	0d80635f-798e-4c55-84de-342192744854	Raymore	Raymore	3	0	2013-09-08 03:54:28.244976+02	\N	\N	\N	\N	\N	\N	f	
27290	cfc5ee9f-7b0a-46d6-bbb0-fee907e28774	Carlisle	Carlisle	3	0	2013-09-08 07:18:40.592396+02	\N	\N	\N	\N	\N	\N	f	
27307	b770518a-b780-4ada-8206-45d48523af40	Langdon, North Dakota	Langdon, North Dakota	3	0	2013-09-08 07:23:57.810186+02	\N	\N	\N	\N	\N	\N	f	
10768	1a8c394a-9bf0-438c-961b-8a60962a6a1f	Kunisaki	Kunisaki	3	0	2013-06-19 01:32:10.647597+02	\N	\N	\N	\N	\N	\N	f	
13903	25590b5c-36ba-4df8-99a4-5ee27b91adfb	Piancogno	Piancogno	4	0	2013-07-21 19:38:55.876476+02	\N	\N	\N	\N	\N	\N	f	
13925	a117c54b-4683-43b3-99be-e4f8be970dcf	Villa Minozzo	Villa Minozzo	4	0	2013-07-21 19:43:58.663692+02	\N	\N	\N	\N	\N	\N	f	
15582	d6601432-53b2-439f-8967-c8389e4a27f8	Domodossola	Domodossola	4	0	2013-07-22 01:17:19.517904+02	\N	\N	\N	\N	\N	\N	f	
14490	981ccf0c-f77a-4c01-bd61-35a77daf0ae9	Predosa	Predosa	4	0	2013-07-21 21:49:53.401967+02	\N	\N	\N	\N	\N	\N	f	
14616	86f3f3e4-3d28-41f0-ab12-70867cfecce7	Tigliole	Tigliole	4	0	2013-07-21 22:18:07.631266+02	\N	\N	\N	\N	\N	\N	f	
14629	08fede98-1846-4717-83e3-e9ef5f027333	Montafia	Montafia	4	0	2013-07-21 22:20:51.780857+02	\N	\N	\N	\N	\N	\N	f	
16415	6d0f2277-1b16-4210-9fbd-a741b070b6cb	Guamaggiore	Guamaggiore	4	0	2013-07-22 03:30:51.58831+02	\N	\N	\N	\N	\N	\N	f	
15005	064b387f-f45f-48b9-9035-a1bdd09e62ed	Martiniana Po	Martiniana Po	4	0	2013-07-21 23:35:55.574961+02	\N	\N	\N	\N	\N	\N	f	
17388	77631626-d6ea-4d39-9ae6-af898511fb06	Trovo	Trovo	4	0	2013-07-22 06:21:13.771367+02	\N	\N	\N	\N	\N	\N	f	
16417	52657f09-7f02-4a2a-b896-cf4678eb31fb	Mandas	Mandas	4	0	2013-07-22 03:31:04.693708+02	\N	\N	\N	\N	\N	\N	f	
16421	33b8a457-0205-4d99-8794-8b9cfa0d6b73	Escolca	Escolca	4	0	2013-07-22 03:31:29.395101+02	\N	\N	\N	\N	\N	\N	f	
16423	74784bda-5611-4e74-bb55-61e55f1ece8a	Capoterra	Capoterra	4	0	2013-07-22 03:31:41.30868+02	\N	\N	\N	\N	\N	\N	f	
17465	c7f39633-321b-4025-96e9-cc780dd0b6f7	Lozzo di Cadore	Lozzo di Cadore	4	0	2013-07-22 06:31:02.934438+02	\N	\N	\N	\N	\N	\N	f	
16440	712d0fcf-5b79-4f21-b997-40e25a31048f	Pula, Sardinia	Pula, Sardinia	4	0	2013-07-22 03:33:41.529373+02	\N	\N	\N	\N	\N	\N	f	
16454	f66f6579-68db-48dc-9fd4-ae13d87f1be3	Villasimius	Villasimius	4	0	2013-07-22 03:35:22.842121+02	\N	\N	\N	\N	\N	\N	f	
19747	faaeabdf-3cb3-4a50-a638-598f483ed21a	Favara	Favara	4	0	2013-07-22 11:31:42.150607+02	\N	\N	\N	\N	\N	\N	f	
16485	4e9e72f3-79e5-47c0-88a0-bcaca9b49036	Fiavè	Fiavè	4	0	2013-07-22 03:39:28.643802+02	\N	\N	\N	\N	\N	\N	f	
17568	e79ddc24-0ace-4231-ac46-e5af63c9c0d5	Quero	Quero	4	0	2013-07-22 06:43:42.421157+02	\N	\N	\N	\N	\N	\N	f	
16501	081b4270-5103-4fd7-8b82-9416393ef98d	Faver	Faver	4	0	2013-07-22 03:41:12.513767+02	\N	\N	\N	\N	\N	\N	f	
23135	49628dab-531e-425f-87ff-38dabd64f4db	St. Michael	St. Michael	3	0	2013-08-22 05:27:56.673769+02	\N	\N	\N	\N	\N	\N	f	
18402	4c63327e-d866-4139-8107-6a895ab22f80	Bozzolo	Bozzolo	4	0	2013-07-22 08:24:39.778914+02	\N	\N	\N	\N	\N	\N	f	
17038	b4e39759-69c1-47e6-89dc-a5e70e826a47	Roio del Sangro	Roio del Sangro	4	0	2013-07-22 05:35:30.657192+02	\N	\N	\N	\N	\N	\N	f	
18414	bb1f2b64-e0ce-486c-a5f6-951050f36809	Buccinasco	Buccinasco	4	0	2013-07-22 08:26:00.049777+02	\N	\N	\N	\N	\N	\N	f	
19748	742c4520-e6de-448c-b6ba-15a45b7f571b	Diso	Diso	4	0	2013-07-22 11:31:43.078484+02	\N	\N	\N	\N	\N	\N	f	
23159	1d162cd5-f0f1-47d4-8112-048f6f4ab01d	Spring Park, Minnesota	Spring Park, Minnesota	3	0	2013-08-22 05:35:00.726397+02	\N	\N	\N	\N	\N	\N	f	
18582	ec84c146-78de-44e6-9ec1-5e6ac07916c9	Maserada sul Piave	Maserada sul Piave	4	0	2013-07-22 08:48:48.162749+02	\N	\N	\N	\N	\N	\N	f	
22146	f74f7fe1-db5a-4c24-9844-20b2f930e659	Rembrandt, Iowa	Rembrandt, Iowa	3	0	2013-08-07 17:48:58.453939+02	\N	\N	\N	\N	\N	\N	f	
18631	671f719e-ca8e-41ba-b601-fc638a9a2f61	Valstagna	Valstagna	4	0	2013-07-22 08:54:58.001798+02	\N	\N	\N	\N	\N	\N	f	
19763	08ed0ae5-2f34-41f2-b98e-ab4ee078beb9	San Giovanni Valdarno	San Giovanni Valdarno	4	0	2013-07-22 11:33:20.081482+02	\N	\N	\N	\N	\N	\N	f	
19193	bba1687f-bfbb-4f89-8c93-67abff3e9ea5	San Teodoro, Sicily	San Teodoro, Sicily	4	0	2013-07-22 10:04:23.577439+02	\N	\N	\N	\N	\N	\N	f	
19235	8061ca29-81ff-4d96-8c31-6a570dfe48b0	Pescina	Pescina	4	0	2013-07-22 10:09:59.270496+02	\N	\N	\N	\N	\N	\N	f	
19265	939a6615-c7eb-453d-a5d5-a0974036e310	Sant'Eusanio Forconese	Sant'Eusanio Forconese	4	0	2013-07-22 10:13:36.298838+02	\N	\N	\N	\N	\N	\N	f	
19860	81246218-e657-4a6e-8bdb-f536d89fd8dc	Oliveto Lucano	Oliveto Lucano	4	0	2013-07-22 11:47:46.968463+02	\N	\N	\N	\N	\N	\N	f	
19343	3878a52a-0cea-496f-b0bc-6b0b54b0aeb6	Schenna	Schenna	4	0	2013-07-22 10:22:59.600135+02	\N	\N	\N	\N	\N	\N	f	
19362	49fa27d0-c6ab-412c-80e1-b3d26f364770	Castel Frentano	Castel Frentano	4	0	2013-07-22 10:25:41.002997+02	\N	\N	\N	\N	\N	\N	f	
19883	3ec7222a-50aa-4b8a-b34a-bc5ec4671378	Salandra	Salandra	4	0	2013-07-22 11:50:28.885799+02	\N	\N	\N	\N	\N	\N	f	
22419	dfa06811-bec7-4956-abd7-3ba1c84d2def	Revere	Revere	3	0	2013-08-11 02:45:00.486817+02	\N	\N	\N	\N	\N	\N	f	
20396	ccbb6def-f05d-45aa-af18-078f7e11654b	Mandatoriccio	Mandatoriccio	4	0	2013-07-22 23:46:15.279048+02	\N	\N	\N	\N	\N	\N	f	
20519	257f944e-aa8d-43b0-b3cd-62bfd8e2f883	Molochio	Molochio	4	0	2013-07-23 02:53:32.315227+02	\N	\N	\N	\N	\N	\N	f	
25811	f77188e4-298b-4335-9928-163cdb7e1108	Coolidge, Kansas	Coolidge, Kansas	3	0	2013-09-07 14:45:31.92472+02	\N	\N	\N	\N	\N	\N	f	
20525	b92e9fe2-3c21-4a34-b38d-8ede050c70ff	Motta San Giovanni	Motta San Giovanni	4	0	2013-07-23 05:30:00.606393+02	\N	\N	\N	\N	\N	\N	f	
22745	e2c993e5-1a80-4321-9f5d-05c1605be959	Roccavaldina	Roccavaldina	4	0	2013-08-14 17:36:54.291437+02	\N	\N	\N	\N	\N	\N	f	
20526	d848fcfa-c26a-4c40-86b6-c07b088b947d	Melicucco	Melicucco	4	0	2013-07-23 05:30:18.449646+02	\N	\N	\N	\N	\N	\N	f	
20595	f390de37-8c60-4c11-825a-c258f3bf0679	Dasà	Dasà	4	0	2013-07-23 05:46:00.707699+02	\N	\N	\N	\N	\N	\N	f	
24647	9f081e51-6056-4121-9b53-dd851692d078	Ava	Ava	3	0	2013-09-07 08:01:15.183114+02	\N	\N	\N	\N	\N	\N	f	
24762	1ce07d33-7312-41ba-b7e5-3854878878a9	Grundy Center, Iowa	Grundy Center, Iowa	3	0	2013-09-07 08:28:26.05482+02	\N	\N	\N	\N	\N	\N	f	
25178	2fad825b-ff07-42b6-aefb-e0e13123a606	Hartwick	Hartwick	3	0	2013-09-07 10:31:57.132501+02	\N	\N	\N	\N	\N	\N	f	
22927	8c3fd17c-20ce-4773-93b6-e59f5a7717e0	Huntington Woods	Huntington Woods	3	0	2013-08-20 14:33:55.797851+02	\N	\N	\N	\N	\N	\N	f	
23010	8d6a3aaa-cf01-46bd-b7d9-ae61fe5a4184	Kiana	Kiana	3	0	2013-08-20 23:37:00.110027+02	\N	\N	\N	\N	\N	\N	f	
27291	47c57ed9-8a8a-45bd-9ab9-5a08f2d38153	Circleville	Circleville	3	0	2013-09-08 07:18:54.325086+02	\N	\N	\N	\N	\N	\N	f	
23063	26b7bce9-f8ce-43c0-a22f-d896fd6cc9fc	Arden Hills, Minnesota	Arden Hills, Minnesota	3	0	2013-08-22 02:34:33.268688+02	\N	\N	\N	\N	\N	\N	f	
26199	853d1466-9789-475f-94fc-f04c01319a58	Bel Aire	Bel Aire	3	0	2013-09-07 20:43:18.312161+02	\N	\N	\N	\N	\N	\N	f	
25185	695304f3-b6c7-44a5-8045-700b8f78c68e	Ionia	Ionia	3	0	2013-09-07 10:33:43.448332+02	\N	\N	\N	\N	\N	\N	f	
26878	9d9282b9-d371-40ca-bd15-9f49ee9f237c	Quincy, Florida	Quincy, Florida	3	0	2013-09-08 03:17:19.345111+02	\N	\N	\N	\N	\N	\N	f	
25751	4516ad18-9bd4-4060-8a1b-9af33c39be90	Valley Center, Kansas	Valley Center, Kansas	3	0	2013-09-07 14:29:40.206206+02	\N	\N	\N	\N	\N	\N	f	
26517	4dc7a5bf-155a-4c3b-a9cf-4f120177b591	Woodbine, Georgia	Woodbine, Georgia	3	0	2013-09-08 00:55:43.532231+02	\N	\N	\N	\N	\N	\N	f	
26536	4e0fbbd9-9ca7-430b-ba44-4f066240f941	Purdin, Missouri	Purdin, Missouri	3	0	2013-09-08 01:01:07.86371+02	\N	\N	\N	\N	\N	\N	f	
27353	e988a251-1798-41cc-99b9-59ec8beafbb1	Cooperstown, North Dakota	Cooperstown, North Dakota	3	0	2013-09-08 07:35:53.399358+02	\N	\N	\N	\N	\N	\N	f	
26962	5e58da0a-554c-4360-bad8-e1d91e020af4	Higginsville	Higginsville	3	0	2013-09-08 04:12:21.609842+02	\N	\N	\N	\N	\N	\N	f	
27318	4137fd08-4642-42fa-9413-5d340a6e5d79	Woodworth, North Dakota	Woodworth, North Dakota	3	0	2013-09-08 07:26:37.673721+02	\N	\N	\N	\N	\N	\N	f	
27394	23998b20-c346-4f47-a8b6-b18159682636	Hillsboro, Ohio	Hillsboro, Ohio	3	0	2013-09-08 07:46:09.976215+02	\N	\N	\N	\N	\N	\N	f	
27615	2585f710-4f41-4c7e-b209-fd956007daf7	St. Marys, Ohio	St. Marys, Ohio	3	0	2013-09-08 08:57:56.868849+02	\N	\N	\N	\N	\N	\N	f	
27408	07d3ab47-5f07-42ca-9d54-5de133a6537b	Sykeston, North Dakota	Sykeston, North Dakota	3	0	2013-09-08 07:49:28.781252+02	\N	\N	\N	\N	\N	\N	f	
27977	63ed5c6e-3afb-4b3b-854f-bc078401c716	Wabash	Wabash	3	0	2013-09-08 11:52:05.090238+02	\N	\N	\N	\N	\N	\N	f	
27982	7c425492-5743-4d27-a4a3-382e03e17cdc	Emmett	Emmett	3	0	2013-09-08 11:53:22.568193+02	\N	\N	\N	\N	\N	\N	f	
28010	a02f16c2-8b71-4fb4-bec5-5c9ee1bacfcc	Franklin	Franklin	3	0	2013-09-08 12:00:27.579796+02	\N	\N	\N	\N	\N	\N	f	
28014	53662a26-2bd2-41f8-909b-e8cecc7a5c67	Lamar	Lamar	3	0	2013-09-08 12:01:26.747203+02	\N	\N	\N	\N	\N	\N	f	
28050	08986d84-b4a4-4597-9dfa-3e52b4c28bb4	Aksay	Aksay	3	0	2013-09-08 12:15:02.835483+02	\N	\N	\N	\N	\N	\N	f	
28231	ba1052c3-3ad3-41b1-b9cb-0964b0530274	Washington	Washington	3	0	2013-09-08 15:00:59.158672+02	\N	\N	\N	\N	\N	\N	f	
10770	41ad7cac-23ae-4dc6-9c6a-c20b46589406	Kōnan	Kōnan	3	0	2013-06-19 01:32:31.577931+02	\N	\N	\N	\N	\N	\N	f	
13905	2c375675-bd2d-4f7b-887b-302812b419e0	Toano	Toano	4	0	2013-07-21 19:39:21.821734+02	\N	\N	\N	\N	\N	\N	f	
14491	0d7ca1e4-19fb-46c1-87d1-10046487c8d6	Settimo San Pietro	Settimo San Pietro	4	0	2013-07-21 21:50:05.719952+02	\N	\N	\N	\N	\N	\N	f	
15585	e5cc1c69-6199-4d58-b6df-f8f171c2465d	Craveggia	Craveggia	4	0	2013-07-22 01:18:00.237737+02	\N	\N	\N	\N	\N	\N	f	
14506	e3016938-e01d-479c-8ec5-f5e85fb89976	Spineto Scrivia	Spineto Scrivia	4	0	2013-07-21 21:53:35.121114+02	\N	\N	\N	\N	\N	\N	f	
23064	b5b232c8-d7e9-4afe-b74c-2cbabaf1ea4e	Ely, Minnesota	Ely, Minnesota	3	0	2013-08-22 02:34:53.391157+02	\N	\N	\N	\N	\N	\N	f	
15680	008b3145-25e7-4399-ad59-a78cd449c89b	Gorga	Gorga	4	0	2013-07-22 01:38:50.984403+02	\N	\N	\N	\N	\N	\N	f	
17390	d77128fa-c174-491d-ba76-11674b2d05b3	Verretto	Verretto	4	0	2013-07-22 06:21:28.28027+02	\N	\N	\N	\N	\N	\N	f	
16420	cd581b31-9008-407b-b577-4776d2f78687	Nurallao	Nurallao	4	0	2013-07-22 03:31:26.03029+02	\N	\N	\N	\N	\N	\N	f	
16498	923f078d-14f2-4a83-a207-06a2328e6b66	Gonnosfanadiga	Gonnosfanadiga	4	0	2013-07-22 03:40:51.176382+02	\N	\N	\N	\N	\N	\N	f	
27364	cd9d26cb-4963-445f-aa23-687a62fdb14b	Plaza, North Dakota	Plaza, North Dakota	3	0	2013-09-08 07:38:54.612551+02	\N	\N	\N	\N	\N	\N	f	
16598	a9478ff2-1703-4d62-b49d-13adb2c0fb30	Oliena	Oliena	4	0	2013-07-22 03:53:17.465973+02	\N	\N	\N	\N	\N	\N	f	
17416	53fa08c6-5d31-4293-8b12-74864f750703	Castello d'Agogna	Castello d'Agogna	4	0	2013-07-22 06:24:37.574409+02	\N	\N	\N	\N	\N	\N	f	
23070	77b719d4-257e-479a-8839-4f4e034bdfb7	Florissant, Missouri	Florissant, Missouri	3	0	2013-08-22 02:37:54.216378+02	\N	\N	\N	\N	\N	\N	f	
17107	0248ef0d-0daf-4708-94db-7244e7c62f39	Franzensfeste	Franzensfeste	4	0	2013-07-22 05:44:40.927548+02	\N	\N	\N	\N	\N	\N	f	
19750	6f87150b-dfde-4efd-acef-698300464b80	Castrignano del Capo	Castrignano del Capo	4	0	2013-07-22 11:31:54.891286+02	\N	\N	\N	\N	\N	\N	f	
17169	bc224708-800e-4fd7-bea3-8a943c9de46b	Soddì	Soddì	4	0	2013-07-22 05:52:50.569417+02	\N	\N	\N	\N	\N	\N	f	
17524	c0c76b3f-db34-4423-b35b-7ee976c9abab	Retorbido	Retorbido	4	0	2013-07-22 06:37:59.380786+02	\N	\N	\N	\N	\N	\N	f	
17535	b4551e7b-444e-4dd7-8ffd-e15a174f3802	Mornico Losana	Mornico Losana	4	0	2013-07-22 06:39:18.51945+02	\N	\N	\N	\N	\N	\N	f	
17559	6c095e58-1c6b-4fbe-a6e4-0131b1718258	Cesano Maderno	Cesano Maderno	4	0	2013-07-22 06:42:15.701913+02	\N	\N	\N	\N	\N	\N	f	
20399	4730b564-e69a-45c9-be21-e283b4669b74	Longobucco	Longobucco	4	0	2013-07-22 23:46:56.017755+02	\N	\N	\N	\N	\N	\N	f	
17605	23660ef7-33dc-4f5c-a236-07c7eb194809	Gerola Alta	Gerola Alta	4	0	2013-07-22 06:48:12.030043+02	\N	\N	\N	\N	\N	\N	f	
25757	c4fa74d2-f059-48a8-8f90-e475b7206a48	Geuda Springs, Kansas	Geuda Springs, Kansas	3	0	2013-09-07 14:31:09.077592+02	\N	\N	\N	\N	\N	\N	f	
23071	156d1886-7314-4dce-afbd-a723f61f1f81	Burnsville, Minnesota	Burnsville, Minnesota	3	0	2013-08-22 02:38:30.550751+02	\N	\N	\N	\N	\N	\N	f	
18407	ce5d9ebd-bbb2-4a04-8cfb-fedd21a8ada5	Mesero	Mesero	4	0	2013-07-22 08:25:08.757965+02	\N	\N	\N	\N	\N	\N	f	
20520	55549413-d1ce-4d67-a35c-242f3a49a662	Gerace	Gerace	4	0	2013-07-23 02:53:44.330509+02	\N	\N	\N	\N	\N	\N	f	
18481	4937feef-0b7b-4026-828c-ea9742785aba	Racalmuto	Racalmuto	4	0	2013-07-22 08:37:05.96897+02	\N	\N	\N	\N	\N	\N	f	
18515	fa9b0827-95f1-47b3-9ff8-dea30071cb03	San Biagio Platani	San Biagio Platani	4	0	2013-07-22 08:40:46.087907+02	\N	\N	\N	\N	\N	\N	f	
18525	99821f2e-d529-4835-a721-e651a80365fa	Moriago della Battaglia	Moriago della Battaglia	4	0	2013-07-22 08:42:06.690147+02	\N	\N	\N	\N	\N	\N	f	
20527	cc2e0adc-0ba6-40ff-b399-8b2204e57ebf	Marina di Gioiosa Ionica	Marina di Gioiosa Ionica	4	0	2013-07-23 05:30:35.759056+02	\N	\N	\N	\N	\N	\N	f	
18565	489125e9-11ca-4380-9832-956dfd9b41ae	Istrana	Istrana	4	0	2013-07-22 08:46:51.44981+02	\N	\N	\N	\N	\N	\N	f	
18647	7568c1a4-0cb4-44d0-aca9-79e2946f2eac	Trevenzuolo	Trevenzuolo	4	0	2013-07-22 08:57:02.154063+02	\N	\N	\N	\N	\N	\N	f	
19199	e60a70c1-5917-488a-868c-c9b160b4ebc5	Bisegna	Bisegna	4	0	2013-07-22 10:05:21.86765+02	\N	\N	\N	\N	\N	\N	f	
20538	4072ff50-fa06-4cc4-8721-6f3ac9e9108f	Polistena	Polistena	4	0	2013-07-23 05:34:04.123355+02	\N	\N	\N	\N	\N	\N	f	
19207	c6abe356-84e6-4861-afba-dbfdb4c5421b	Capistrello	Capistrello	4	0	2013-07-22 10:06:16.322653+02	\N	\N	\N	\N	\N	\N	f	
23136	6a4deb70-cd5c-40d0-857e-16385a4ebf73	Savage	Savage	3	0	2013-08-22 05:28:09.769558+02	\N	\N	\N	\N	\N	\N	f	
19223	ae552d76-c7fe-4c72-9f47-d981f779d4ec	Campotosto	Campotosto	4	0	2013-07-22 10:08:25.192972+02	\N	\N	\N	\N	\N	\N	f	
24648	c808870c-aa89-4339-bf40-bda00677011a	Lockport	Lockport	3	0	2013-09-07 08:01:31.462463+02	\N	\N	\N	\N	\N	\N	f	
22148	339e0ddc-0736-4c88-86f6-aebe6255e01d	Lansing	Lansing	3	0	2013-08-07 17:49:36.326695+02	\N	\N	\N	\N	\N	\N	f	
26200	77ec97c2-5377-4ac7-b156-620470e71940	Santiago	Santiago	3	0	2013-09-07 20:43:35.79024+02	\N	\N	\N	\N	\N	\N	f	
22421	d86d094f-45de-4eae-90b7-68131f818924	Carpinteria, California	Carpinteria, California	3	0	2013-08-11 02:46:15.307335+02	\N	\N	\N	\N	\N	\N	f	
24657	a87312e4-9a2b-406a-80cd-529b4c17891b	Kinmundy	Kinmundy	3	0	2013-09-07 08:03:46.585588+02	\N	\N	\N	\N	\N	\N	f	
22746	b1e8fd96-9a1a-4bba-a51d-e1d0199e8ad7	Casalvecchio Siculo	Casalvecchio Siculo	4	0	2013-08-14 17:37:07.611096+02	\N	\N	\N	\N	\N	\N	f	
22928	794eaf51-e092-401f-afca-3b046a60c301	Stanton, Michigan	Stanton, Michigan	3	0	2013-08-20 14:34:30.355084+02	\N	\N	\N	\N	\N	\N	f	
23011	4a12a923-d98c-4c2d-81d6-8df1495e963f	Stebbins	Stebbins	3	0	2013-08-20 23:37:13.400224+02	\N	\N	\N	\N	\N	\N	f	
24658	706a5f7c-2b4e-4aec-bac7-818726ef939f	Chillicothe	Chillicothe	3	0	2013-09-07 08:04:00.069925+02	\N	\N	\N	\N	\N	\N	f	
26520	f88f4ce0-798b-4408-a786-880df9cec823	Ila, Georgia	Ila, Georgia	3	0	2013-09-08 00:56:30.596707+02	\N	\N	\N	\N	\N	\N	f	
24746	af2bed47-0405-4ed5-9a4c-a4820bc5c51d	Murray, Iowa	Murray, Iowa	3	0	2013-09-07 08:24:13.19096+02	\N	\N	\N	\N	\N	\N	f	
25179	c233f960-ea68-4a78-b921-69029a36b33b	Sedan	Sedan	3	0	2013-09-07 10:32:12.573879+02	\N	\N	\N	\N	\N	\N	f	
27406	ad8a860c-4b13-4f73-b65a-1cc17a0f9096	Cheviot, Ohio	Cheviot, Ohio	3	0	2013-09-08 07:49:00.797851+02	\N	\N	\N	\N	\N	\N	f	
25753	d9f8ad44-2fc2-4aba-b798-246dace2de75	Arlington, Kansas	Arlington, Kansas	3	0	2013-09-07 14:30:09.589488+02	\N	\N	\N	\N	\N	\N	f	
26879	abcca79b-28b7-45d7-bcdc-9459d838ebda	Emma	Emma	3	0	2013-09-08 03:17:33.986797+02	\N	\N	\N	\N	\N	\N	f	
27292	13e66fe5-c148-4638-98d7-7be7f357148f	Fairview Park	Fairview Park	3	0	2013-09-08 07:19:07.909327+02	\N	\N	\N	\N	\N	\N	f	
28431	e073d7b5-b972-48e2-af57-04450d0f7046	Piperton, Tennessee	Piperton, Tennessee	3	0	2013-09-08 17:23:38.899771+02	\N	\N	\N	\N	\N	\N	f	
27293	f2d7f45c-2da7-4571-abc2-5b61c648ad52	Deer Park	Deer Park	3	0	2013-09-08 07:19:21.414734+02	\N	\N	\N	\N	\N	\N	f	
27978	0ead5659-1c15-4b5a-99d2-7a90e4d4a8bc	Sterling	Sterling	3	0	2013-09-08 11:52:18.744508+02	\N	\N	\N	\N	\N	\N	f	
27414	38bff8b8-a580-420b-a2aa-279fecbfb3ee	Sheldon, North Dakota	Sheldon, North Dakota	3	0	2013-09-08 07:51:16.761203+02	\N	\N	\N	\N	\N	\N	f	
27617	b9921525-c0c1-4fa1-9091-b91affab2b94	Leinster, Western Australia	Leinster, Western Australia	3	0	2013-09-08 08:58:26.473031+02	\N	\N	\N	\N	\N	\N	f	
28233	198d8747-5328-44c6-9033-de05c8484a98	Hartsville, South Carolina	Hartsville, South Carolina	3	0	2013-09-08 15:01:41.49694+02	\N	\N	\N	\N	\N	\N	f	
28674	33ffb526-5a59-43d8-a1f7-8d48cbf6604b	Roy	Roy	3	0	2013-09-08 23:18:04.254866+02	\N	\N	\N	\N	\N	\N	f	
28891	8f64eb64-0ae5-41d4-a335-d9342aff8448	Benton City	Benton City	3	0	2013-09-09 01:11:35.206821+02	\N	\N	\N	\N	\N	\N	f	
29176	8bacc360-9dba-4c49-837e-6d6213775b18	Pine Forest	Pine Forest	3	0	2013-09-09 02:57:16.820796+02	\N	\N	\N	\N	\N	\N	f	
29209	c388619c-8018-4ed7-b848-d015dfb8104e	Shelton	Shelton	3	0	2013-09-09 03:07:12.549023+02	\N	\N	\N	\N	\N	\N	f	
29308	e48c7daf-c675-4bd1-b993-32f73534de1d	Augusta	Augusta	3	0	2013-09-09 05:23:16.974789+02	\N	\N	\N	\N	\N	\N	f	
29320	e80e4fec-05e7-41f3-8873-824ce9a90ce2	Jefferson	Jefferson	3	0	2013-09-09 05:26:08.686892+02	\N	\N	\N	\N	\N	\N	f	
29422	2dc48375-fc90-4289-a888-91efba6389e3	Vidalia, Louisiana	Vidalia, Louisiana	3	0	2013-09-12 06:06:24.182252+02	\N	\N	\N	\N	\N	\N	f	
29405	3f8231cf-f5db-4846-9625-56db4d853b48	Omro, Wisconsin	Omro, Wisconsin	3	0	2013-09-09 08:44:50.895359+02	\N	\N	\N	\N	\N	\N	f	
29533	aa5d615d-d05c-4722-97ba-3465432960eb	Kidderminster	Kidderminster	3	0	2013-09-29 08:38:14.115589+02	\N	\N	\N	\N	\N	\N	f	
29637	a7771250-45aa-426a-86db-5101f6647b79	Lagos	Lagos	3	0	2013-10-11 14:32:50.783526+02	\N	\N	\N	\N	\N	\N	f	
10771	8a81ad45-5d63-4c04-b761-3081a70aebc6	Yabu	Yabu	3	0	2013-06-19 01:32:42.128667+02	\N	\N	\N	\N	\N	\N	f	
13907	890c6f1e-c606-4de9-907f-3b92baeedcc4	Paitone	Paitone	4	0	2013-07-21 19:39:46.985868+02	\N	\N	\N	\N	\N	\N	f	
13995	63bbd1c6-c978-421a-a15e-1119127ffc30	Vallio Terme	Vallio Terme	4	0	2013-07-21 20:00:03.356353+02	\N	\N	\N	\N	\N	\N	f	
15587	9f744702-8bc8-4086-a115-2f2739019f73	Cursolo-Orasso	Cursolo-Orasso	4	0	2013-07-22 01:18:25.34299+02	\N	\N	\N	\N	\N	\N	f	
14492	4527b5fd-3e11-4d4f-9b26-eb9bb44cbb64	Roccaforte Ligure	Roccaforte Ligure	4	0	2013-07-21 21:50:19.863255+02	\N	\N	\N	\N	\N	\N	f	
15007	7dc84fd4-0609-4022-b9c0-14b9691e769b	Novello	Novello	4	0	2013-07-21 23:36:17.896378+02	\N	\N	\N	\N	\N	\N	f	
15077	d7240a78-b1b1-4bff-b655-c7b1615e42b3	Priocca	Priocca	4	0	2013-07-21 23:44:55.756812+02	\N	\N	\N	\N	\N	\N	f	
16467	3d88e6a0-dc49-4c84-aa17-b674a7f932c1	Suelli	Suelli	4	0	2013-07-22 03:37:01.876286+02	\N	\N	\N	\N	\N	\N	f	
15123	2b397313-0d04-4167-b9a8-914f16935d4a	Florence	Florence	4	0	2013-07-21 23:50:41.798374+02	\N	\N	\N	\N	\N	\N	f	
17391	954a4342-1655-4952-86c9-7711f2057cc1	Gambolò	Gambolò	4	0	2013-07-22 06:21:42.105491+02	\N	\N	\N	\N	\N	\N	f	
16487	e9a9e54d-6936-4cb2-9609-9c73dbbbb8c7	Musei	Musei	4	0	2013-07-22 03:39:40.823241+02	\N	\N	\N	\N	\N	\N	f	
16497	06c2b9cc-84e1-4dc2-947e-aca177b879b9	San Giovanni Suergiu	San Giovanni Suergiu	4	0	2013-07-22 03:40:45.974084+02	\N	\N	\N	\N	\N	\N	f	
20531	f3ec2229-87be-44be-b4a8-128dca53b95e	Laganadi	Laganadi	4	0	2013-07-23 05:31:36.123728+02	\N	\N	\N	\N	\N	\N	f	
16531	c540d206-4abb-4d48-b411-d54f64dea67f	Grigno	Grigno	4	0	2013-07-22 03:44:39.966183+02	\N	\N	\N	\N	\N	\N	f	
22771	8f7fbd80-3a07-4de4-9830-c8b11ffedc34	Brolo	Brolo	4	0	2013-08-14 17:43:04.590184+02	\N	\N	\N	\N	\N	\N	f	
16599	e5fee434-666d-4b23-9c4f-2ac547b6b475	Levico Terme	Levico Terme	4	0	2013-07-22 03:53:22.558945+02	\N	\N	\N	\N	\N	\N	f	
17040	af73f982-ed10-4c45-bdd4-26f5f25b25be	Pollein	Pollein	4	0	2013-07-22 05:35:44.020391+02	\N	\N	\N	\N	\N	\N	f	
19752	9d910bdd-176c-46f4-adf0-cadbe504a0a2	Poppi	Poppi	4	0	2013-07-22 11:32:07.030347+02	\N	\N	\N	\N	\N	\N	f	
17097	80c1c712-42e1-4ce4-8367-8e617f05c8de	Allai, Sardinia	Allai, Sardinia	4	0	2013-07-22 05:43:21.421191+02	\N	\N	\N	\N	\N	\N	f	
17453	b69c0d44-009d-4d31-8d2f-08f8648b2ba9	Zenevredo	Zenevredo	4	0	2013-07-22 06:29:38.671341+02	\N	\N	\N	\N	\N	\N	f	
17153	e1f48ddd-5af8-42dc-8f3a-2363eec1bf50	Nurachi	Nurachi	4	0	2013-07-22 05:50:38.053639+02	\N	\N	\N	\N	\N	\N	f	
17527	c6d219a2-dc41-4d12-98cb-8bd185241a05	Inverno e Monteleone	Inverno e Monteleone	4	0	2013-07-22 06:38:23.494804+02	\N	\N	\N	\N	\N	\N	f	
19759	a1035570-b7f0-432c-919e-e87414369469	Bonemerse	Bonemerse	4	0	2013-07-22 11:32:54.259253+02	\N	\N	\N	\N	\N	\N	f	
18404	a780e890-c8e1-4706-a241-7b41708884c4	Melegnano	Melegnano	4	0	2013-07-22 08:24:53.003377+02	\N	\N	\N	\N	\N	\N	f	
18442	ce9efaa2-504c-4373-8000-2f88444eb349	San Martino in Strada	San Martino in Strada	4	0	2013-07-22 08:29:30.391985+02	\N	\N	\N	\N	\N	\N	f	
22931	3f7afac4-2ccc-44b4-acb5-c26edf43a0df	McBain, Michigan	McBain, Michigan	3	0	2013-08-20 14:35:36.162185+02	\N	\N	\N	\N	\N	\N	f	
19203	d866b296-f36f-452f-bece-36b88137d743	Vadena	Vadena	4	0	2013-07-22 10:05:48.188555+02	\N	\N	\N	\N	\N	\N	f	
19766	a0203496-440b-41f4-9212-3588acc09b23	Guagnano	Guagnano	4	0	2013-07-22 11:33:38.52674+02	\N	\N	\N	\N	\N	\N	f	
19211	43637d16-f231-4c94-865a-a78c40e346e1	Feldthurns	Feldthurns	4	0	2013-07-22 10:06:56.407456+02	\N	\N	\N	\N	\N	\N	f	
19323	636cc60e-5a7c-44e0-805e-301f6687eeaa	Santa Cristina Gherdëina	Santa Cristina Gherdëina	4	0	2013-07-22 10:20:52.469126+02	\N	\N	\N	\N	\N	\N	f	
20568	514e2a09-897a-4646-add9-36ce9fa9c840	Pizzoni	Pizzoni	4	0	2013-07-23 05:40:36.919247+02	\N	\N	\N	\N	\N	\N	f	
19353	c992c0d7-ec58-4239-8a59-a5a213d23e79	Casoli	Casoli	4	0	2013-07-22 10:24:32.001425+02	\N	\N	\N	\N	\N	\N	f	
19767	5a5eb288-a8b0-4fc8-acbd-45f820ca1b3e	Vendrogno	Vendrogno	4	0	2013-07-22 11:33:46.937296+02	\N	\N	\N	\N	\N	\N	f	
19447	0a50f864-8dc0-4a8b-8df3-0dd96a552cc5	Civitella Casanova	Civitella Casanova	4	0	2013-07-22 10:36:19.587563+02	\N	\N	\N	\N	\N	\N	f	
19457	59d5b2f2-7b8c-44ee-a9cf-8116759d8a9c	Cepagatti	Cepagatti	4	0	2013-07-22 10:37:31.753325+02	\N	\N	\N	\N	\N	\N	f	
19790	2c3fe33a-6cf0-43c5-88b3-245cb8536216	Meleti	Meleti	4	0	2013-07-22 11:36:30.538468+02	\N	\N	\N	\N	\N	\N	f	
19465	a61fba80-faf9-4471-bf43-ab8e78cfe4be	Moscufo	Moscufo	4	0	2013-07-22 10:38:29.593902+02	\N	\N	\N	\N	\N	\N	f	
19547	1f2fa17f-1f84-4c4a-83f6-d7f85604d00b	Gioia del Colle	Gioia del Colle	4	0	2013-07-22 10:48:39.077713+02	\N	\N	\N	\N	\N	\N	f	
23012	d7fa1724-c8ba-4112-a00d-208ff9e7cd09	Pilot Station	Pilot Station	3	0	2013-08-20 23:37:32.593951+02	\N	\N	\N	\N	\N	\N	f	
19797	ec6966d0-c544-4e7d-bdb5-125efae2a505	Volongo	Volongo	4	0	2013-07-22 11:37:22.357651+02	\N	\N	\N	\N	\N	\N	f	
19845	525f1e12-6bb6-4866-9623-f87fa08895f7	Sogliano Cavour	Sogliano Cavour	4	0	2013-07-22 11:45:58.121304+02	\N	\N	\N	\N	\N	\N	f	
26903	17008d9c-7a55-4cb5-bf3c-14da690870b3	Foley	Foley	3	0	2013-09-08 03:56:30.967833+02	\N	\N	\N	\N	\N	\N	f	
19847	32a116ec-90e6-4078-959a-119ec55de709	San Cesario di Lecce	San Cesario di Lecce	4	0	2013-07-22 11:46:14.048152+02	\N	\N	\N	\N	\N	\N	f	
20400	aab29cdc-5582-4949-b6d6-2263e3d66468	Maierà	Maierà	4	0	2013-07-22 23:47:08.162794+02	\N	\N	\N	\N	\N	\N	f	
23065	43580e65-01c7-4d0e-aa2b-da96c1eebe14	Alexandria, Minnesota	Alexandria, Minnesota	3	0	2013-08-22 02:35:15.393317+02	\N	\N	\N	\N	\N	\N	f	
20528	130e1e2f-a169-4337-89d8-d888aae02d46	San Giovanni di Gerace	San Giovanni di Gerace	4	0	2013-07-23 05:30:53.040473+02	\N	\N	\N	\N	\N	\N	f	
22427	9cabc3ee-68d3-4837-acbb-d6bcbd808fad	Napa	Napa	3	0	2013-08-11 02:48:00.57173+02	\N	\N	\N	\N	\N	\N	f	
20529	b4d7838e-eb7e-47d5-834c-3bc14b1bfee3	Giffone	Giffone	4	0	2013-07-23 05:31:07.488107+02	\N	\N	\N	\N	\N	\N	f	
25180	2d26da14-d74f-4fc1-a324-50004fd58f50	Hartley	Hartley	3	0	2013-09-07 10:32:26.023492+02	\N	\N	\N	\N	\N	\N	f	
22441	10c367fb-8da9-47f5-8443-931debab0edc	Lake Forest	Lake Forest	3	0	2013-08-11 02:51:50.983498+02	\N	\N	\N	\N	\N	\N	f	
23100	7e9922f8-d828-4ed9-bde6-2032ef188864	Warsaw	Warsaw	3	0	2013-08-22 02:48:02.132974+02	\N	\N	\N	\N	\N	\N	f	
22454	3fcdeceb-bb2d-45f8-b0d9-7eae364b4029	Needles	Needles	3	0	2013-08-11 02:56:33.967355+02	\N	\N	\N	\N	\N	\N	f	
22747	de823ff2-51cb-4fe2-82a8-bc24ba68f036	Sant'Angelo di Brolo	Sant'Angelo di Brolo	4	0	2013-08-14 17:37:24.550348+02	\N	\N	\N	\N	\N	\N	f	
24649	ba7b9fb3-f33f-404a-bdd9-e87314284cd5	West Peoria	West Peoria	3	0	2013-09-07 08:01:49.879668+02	\N	\N	\N	\N	\N	\N	f	
23137	8cd0503e-adfc-4aec-90f6-ccc3db768941	St. Rosa, Minnesota	St. Rosa, Minnesota	3	0	2013-08-22 05:28:23.105367+02	\N	\N	\N	\N	\N	\N	f	
24651	1d043462-1f4e-43d0-a961-e6347e48962d	Troy	Troy	3	0	2013-09-07 08:02:17.474614+02	\N	\N	\N	\N	\N	\N	f	
26523	316262ba-2e27-4901-89a6-5fa54b4de8b1	Arlington, Kentucky	Arlington, Kentucky	3	0	2013-09-08 00:57:20.854205+02	\N	\N	\N	\N	\N	\N	f	
23150	f658f7a8-a2e2-4066-984d-13890ae74836	Erskine	Erskine	3	0	2013-08-22 05:32:27.565342+02	\N	\N	\N	\N	\N	\N	f	
24767	1f350198-002d-4af7-9daa-a96b29021900	Franklin, Iowa	Franklin, Iowa	3	0	2013-09-07 08:29:43.488832+02	\N	\N	\N	\N	\N	\N	f	
25754	736e12f5-58f0-4ce5-89b1-8781281983f0	Hardtner, Kansas	Hardtner, Kansas	3	0	2013-09-07 14:30:25.243342+02	\N	\N	\N	\N	\N	\N	f	
26201	3be53bcd-f965-4c9a-9233-015b797d6f66	Thor	Thor	3	0	2013-09-07 20:43:49.745681+02	\N	\N	\N	\N	\N	\N	f	
26881	92c27a20-8fe7-4b8e-9a14-68f334bbb8b7	Woodbury, New Jersey	Woodbury, New Jersey	3	0	2013-09-08 03:35:13.541819+02	\N	\N	\N	\N	\N	\N	f	
26957	e9797dbc-faaa-4411-9429-c091580c4539	Fremont Hills	Fremont Hills	3	0	2013-09-08 04:11:10.456469+02	\N	\N	\N	\N	\N	\N	f	
26948	0a2fbebf-f153-4284-b807-6b9ae219946a	Smithton	Smithton	3	0	2013-09-08 04:09:01.910005+02	\N	\N	\N	\N	\N	\N	f	
26926	911a6bb4-9801-424c-acb7-83e085d82189	Dellwood	Dellwood	3	0	2013-09-08 04:03:05.827808+02	\N	\N	\N	\N	\N	\N	f	
26960	4bcbf3bc-27dc-4f55-af2e-f03b8bca8f8b	Windsor	Windsor	3	0	2013-09-08 04:11:53.597969+02	\N	\N	\N	\N	\N	\N	f	
26978	450ea8ca-06fe-4da0-8518-e6c285ccf1d7	St. James	St. James	3	0	2013-09-08 04:16:17.416376+02	\N	\N	\N	\N	\N	\N	f	
26979	9b378e76-b0a6-46ee-b7c9-19ba7e46711a	Urbana	Urbana	3	0	2013-09-08 04:16:32.201046+02	\N	\N	\N	\N	\N	\N	f	
26980	79d8dd1d-ec6d-42eb-ba2d-00924d199f1f	Jennings	Jennings	3	0	2013-09-08 04:16:47.272337+02	\N	\N	\N	\N	\N	\N	f	
26982	29425c1e-8637-40bf-9c9d-0775b479875f	Ste. Genevieve	Ste. Genevieve	3	0	2013-09-08 04:17:16.66549+02	\N	\N	\N	\N	\N	\N	f	
27294	776cb9b2-6bdc-4737-b493-ce02e646726d	Page, North Dakota	Page, North Dakota	3	0	2013-09-08 07:19:44.890679+02	\N	\N	\N	\N	\N	\N	f	
27311	341c023b-523a-47e5-8f56-8aba3aaad9f1	Robinson, North Dakota	Robinson, North Dakota	3	0	2013-09-08 07:24:57.853604+02	\N	\N	\N	\N	\N	\N	f	
10773	87ae8582-11b3-46f3-8b5a-2a277798ffaf	Unnan	Unnan	3	0	2013-06-19 01:33:10.154113+02	\N	\N	\N	\N	\N	\N	f	
13908	7283bd14-24c8-4beb-94d3-e89362179d5c	Gualtieri	Gualtieri	4	0	2013-07-21 19:40:00.050846+02	\N	\N	\N	\N	\N	\N	f	
14493	7f9e3a46-8a68-476c-bf86-f14a1a9bb65a	Ponti	Ponti	4	0	2013-07-21 21:50:32.140993+02	\N	\N	\N	\N	\N	\N	f	
15592	eeae41b9-36d1-4941-b471-581ab2527376	Ceppo Morelli	Ceppo Morelli	4	0	2013-07-22 01:19:27.750169+02	\N	\N	\N	\N	\N	\N	f	
14535	f2fb8501-2a39-41b2-a313-df48430285ed	Strevi	Strevi	4	0	2013-07-21 21:59:49.254047+02	\N	\N	\N	\N	\N	\N	f	
14547	c58d2c1b-07ab-48a1-9359-f828e9031902	Buttigliera d'Asti	Buttigliera d'Asti	4	0	2013-07-21 22:03:04.390941+02	\N	\N	\N	\N	\N	\N	f	
16471	2d1ac5ca-4c39-4ed9-a3a9-d73a74962b22	Seulo	Seulo	4	0	2013-07-22 03:37:29.731481+02	\N	\N	\N	\N	\N	\N	f	
15079	a9b945e3-f0ab-45da-8e54-2c8582ec5b85	Cerreto di Spoleto	Cerreto di Spoleto	4	0	2013-07-21 23:45:11.501523+02	\N	\N	\N	\N	\N	\N	f	
17392	16579044-7292-4b1e-b162-18a40436023b	Casciago	Casciago	4	0	2013-07-22 06:21:43.100408+02	\N	\N	\N	\N	\N	\N	f	
16532	ba20336f-53d5-42ab-9b0d-c06c952deaf0	Siddi, Sardinia	Siddi, Sardinia	4	0	2013-07-22 03:44:46.900109+02	\N	\N	\N	\N	\N	\N	f	
16557	feaedd9f-7af4-4666-95ce-0992fbd564c4	Ussaramanna	Ussaramanna	4	0	2013-07-22 03:47:52.979418+02	\N	\N	\N	\N	\N	\N	f	
23066	1f81c51c-d4f3-46e4-8e2f-cd5768b9fff7	Belgrade, Minnesota	Belgrade, Minnesota	3	0	2013-08-22 02:36:13.819618+02	\N	\N	\N	\N	\N	\N	f	
17045	9d2ed152-2a59-4a77-92bb-02e91a5f9ef8	Valgrisenche	Valgrisenche	4	0	2013-07-22 05:36:14.932665+02	\N	\N	\N	\N	\N	\N	f	
17478	060b633e-35cc-4cce-93d4-889557ae7d83	Vervio	Vervio	4	0	2013-07-22 06:32:28.820966+02	\N	\N	\N	\N	\N	\N	f	
17057	1aa0d9b3-162d-4f42-8c63-9c0a738cc707	Saint-Oyen, Aosta Valley	Saint-Oyen, Aosta Valley	4	0	2013-07-22 05:37:42.292664+02	\N	\N	\N	\N	\N	\N	f	
17142	2f9100fe-21f1-4781-873e-4e472330fb12	Milis	Milis	4	0	2013-07-22 05:49:15.219724+02	\N	\N	\N	\N	\N	\N	f	
19753	0a15d4e5-fdf4-4d7e-8acb-0418eadce907	Trezzo sull'Adda	Trezzo sull'Adda	4	0	2013-07-22 11:32:17.696726+02	\N	\N	\N	\N	\N	\N	f	
18405	7902a1c3-fc64-42a9-a2a4-799e78fd21f7	Vernate	Vernate	4	0	2013-07-22 08:24:55.493019+02	\N	\N	\N	\N	\N	\N	f	
18458	502d013f-decd-4390-9872-b4fe308e01b1	Santo Stefano Ticino	Santo Stefano Ticino	4	0	2013-07-22 08:32:01.333704+02	\N	\N	\N	\N	\N	\N	f	
22437	208730ac-4bfb-4986-9719-4af73f40f076	Petaluma	Petaluma	3	0	2013-08-11 02:50:46.531452+02	\N	\N	\N	\N	\N	\N	f	
18477	482a3d58-a17f-4d4f-afc3-e64509e17ffc	Altofonte	Altofonte	4	0	2013-07-22 08:36:41.773258+02	\N	\N	\N	\N	\N	\N	f	
19815	35853ab3-4b53-457a-8ae9-5aa039c01859	Miggiano	Miggiano	4	0	2013-07-22 11:40:16.79915+02	\N	\N	\N	\N	\N	\N	f	
18608	a314e68c-940e-4ed4-a8d3-d05d2dfc6db1	Brenzone	Brenzone	4	0	2013-07-22 08:51:59.373074+02	\N	\N	\N	\N	\N	\N	f	
18610	7a2c7641-513d-42ed-b254-d43d3f61293e	Colognola ai Colli	Colognola ai Colli	4	0	2013-07-22 08:52:18.062868+02	\N	\N	\N	\N	\N	\N	f	
18633	8777482e-8c01-4068-81fe-c2111355d4de	Zenson di Piave	Zenson di Piave	4	0	2013-07-22 08:55:15.828534+02	\N	\N	\N	\N	\N	\N	f	
19826	fa87a63f-8079-4a93-a849-8cbb19e704b4	Parabita	Parabita	4	0	2013-07-22 11:42:41.63308+02	\N	\N	\N	\N	\N	\N	f	
18646	d93e1a50-de56-4625-914f-9d957959ba3e	Fontanelle	Fontanelle	4	0	2013-07-22 08:56:52.68508+02	\N	\N	\N	\N	\N	\N	f	
18657	ba93af02-d5bc-4238-9192-7c4cfb7d69b9	Laghi	Laghi	4	0	2013-07-22 08:58:07.523991+02	\N	\N	\N	\N	\N	\N	f	
19205	2dab7f70-22a1-427e-93e8-4d506b3b9174	Cagnano Amiterno	Cagnano Amiterno	4	0	2013-07-22 10:06:01.747372+02	\N	\N	\N	\N	\N	\N	f	
19828	66fd83b0-9402-45b8-bd0a-aa2d76146860	Melissano	Melissano	4	0	2013-07-22 11:43:18.663728+02	\N	\N	\N	\N	\N	\N	f	
19253	939009a7-3ac7-4f38-b822-71b15921e215	Collelongo	Collelongo	4	0	2013-07-22 10:12:05.068951+02	\N	\N	\N	\N	\N	\N	f	
19254	cf426c73-e22c-48ac-baa3-2b4b83827c47	Opi, Abruzzo	Opi, Abruzzo	4	0	2013-07-22 10:12:06.961945+02	\N	\N	\N	\N	\N	\N	f	
22748	54fa22da-4952-4d4d-ba71-c53ff0c6741d	Raccuja	Raccuja	4	0	2013-08-14 17:37:37.632478+02	\N	\N	\N	\N	\N	\N	f	
19257	4594117f-b7e5-4550-a2e3-f73916a056a0	Carsoli	Carsoli	4	0	2013-07-22 10:12:31.717697+02	\N	\N	\N	\N	\N	\N	f	
19836	a90c91c1-8b1a-43bd-a526-f30f5819c6a6	Sannicola	Sannicola	4	0	2013-07-22 11:44:42.631165+02	\N	\N	\N	\N	\N	\N	f	
19391	88b0d9d8-6219-4beb-ac0b-d0676db336cb	Ari, Abruzzo	Ari, Abruzzo	4	0	2013-07-22 10:29:06.520022+02	\N	\N	\N	\N	\N	\N	f	
19464	baa94baf-63b5-42d8-8342-5240505376dd	Rosciano	Rosciano	4	0	2013-07-22 10:38:18.71577+02	\N	\N	\N	\N	\N	\N	f	
19869	d2eb6743-4fa5-4d4b-8897-cf858c70c99e	Bagnone	Bagnone	4	0	2013-07-22 11:48:43.464006+02	\N	\N	\N	\N	\N	\N	f	
22754	fe0972f7-7c30-4ab2-b349-abbe507628a9	Mongiuffi Melia	Mongiuffi Melia	4	0	2013-08-14 17:39:07.551567+02	\N	\N	\N	\N	\N	\N	f	
19873	dc64d9a9-0105-47cc-8d46-0ea0690e6e3b	Comano, Tuscany	Comano, Tuscany	4	0	2013-07-22 11:49:12.130847+02	\N	\N	\N	\N	\N	\N	f	
20401	9172b02e-675c-4a3c-98c9-6fe9a3baa763	Piane Crati	Piane Crati	4	0	2013-07-22 23:47:20.437903+02	\N	\N	\N	\N	\N	\N	f	
23138	3f18a496-aff6-4966-a167-bea40310b6c9	Wilton, Minnesota	Wilton, Minnesota	3	0	2013-08-22 05:29:21.652736+02	\N	\N	\N	\N	\N	\N	f	
20530	d92211e5-1643-4a7b-9f8e-daf96560e0a9	San Roberto	San Roberto	4	0	2013-07-23 05:31:21.663657+02	\N	\N	\N	\N	\N	\N	f	
22784	e294799f-72bd-48e3-a47d-fadcb33f1de6	Gualtieri Sicaminò	Gualtieri Sicaminò	4	0	2013-08-14 17:46:03.786141+02	\N	\N	\N	\N	\N	\N	f	
20566	20351f29-964c-4858-abc3-334b9ff22974	Filandari	Filandari	4	0	2013-07-23 05:40:12.332389+02	\N	\N	\N	\N	\N	\N	f	
20582	0b7aec35-2529-444a-8b87-6e6185df16bb	Fabrizia	Fabrizia	4	0	2013-07-23 05:43:24.412491+02	\N	\N	\N	\N	\N	\N	f	
22933	c1b817ae-7531-44ca-b145-6d2a6a10cf4b	Keego Harbor, Michigan	Keego Harbor, Michigan	3	0	2013-08-20 14:36:50.958564+02	\N	\N	\N	\N	\N	\N	f	
25181	ed7b1fdb-0b13-46ef-ac82-bf89c500c75e	Kanawha	Kanawha	3	0	2013-09-07 10:32:41.810453+02	\N	\N	\N	\N	\N	\N	f	
22428	343e38b7-ecf0-4f79-b5af-a9eb45a3c25c	Morgan Hill, California	Morgan Hill, California	3	0	2013-08-11 02:48:14.019729+02	\N	\N	\N	\N	\N	\N	f	
23145	cc60241a-8043-4fe9-af4b-3229a5f355f3	Roscoe	Roscoe	3	0	2013-08-22 05:31:11.708991+02	\N	\N	\N	\N	\N	\N	f	
22963	0b6504bf-2c45-4f4d-aa41-cf0738feb7cd	Mount Pleasant	Mount Pleasant	3	0	2013-08-20 14:55:54.016153+02	\N	\N	\N	\N	\N	\N	f	
23014	75cd7af4-892b-4a97-8dbc-c0fd56584e23	Point Hope	Point Hope	3	0	2013-08-20 23:38:00.755605+02	\N	\N	\N	\N	\N	\N	f	
24676	0a6bc577-307a-46fe-957e-582af51fd48c	Casey	Casey	3	0	2013-09-07 08:08:08.669527+02	\N	\N	\N	\N	\N	\N	f	
23153	2c3b7cf3-fb8f-4b24-b6e6-d861b0f73e9d	St. Marys Point	St. Marys Point	3	0	2013-08-22 05:33:25.06669+02	\N	\N	\N	\N	\N	\N	f	
23156	dd5adc74-4948-4fa4-81c6-84479d762a3d	St. Hilaire	St. Hilaire	3	0	2013-08-22 05:34:09.237338+02	\N	\N	\N	\N	\N	\N	f	
24650	0ea510a8-a956-4442-95e4-86963c8c5446	West Frankfort	West Frankfort	3	0	2013-09-07 08:02:03.911743+02	\N	\N	\N	\N	\N	\N	f	
24695	3b0dfc50-a31e-419c-95b5-8a9d2df0f968	Elmwood	Elmwood	3	0	2013-09-07 08:12:29.329643+02	\N	\N	\N	\N	\N	\N	f	
25755	b23f01cc-018c-47d0-a862-9b1cc1498e7c	Lincolnshire, Kentucky	Lincolnshire, Kentucky	3	0	2013-09-07 14:30:40.364493+02	\N	\N	\N	\N	\N	\N	f	
24712	c9fa9440-35fc-4e5a-8724-8d1dfc2002ff	Vandalia	Vandalia	3	0	2013-09-07 08:16:33.887453+02	\N	\N	\N	\N	\N	\N	f	
26884	12989339-0e3d-471a-9ac0-01ec7b428433	Central City	Central City	3	0	2013-09-08 03:51:46.721478+02	\N	\N	\N	\N	\N	\N	f	
26527	49d0feb6-37fc-46e2-abd8-b22159904012	Ackley, Iowa	Ackley, Iowa	3	0	2013-09-08 00:58:27.647037+02	\N	\N	\N	\N	\N	\N	f	
25760	ff68a43f-c9d2-44d5-89f3-270c811c64c3	Melbourne	Melbourne	3	0	2013-09-07 14:31:56.846968+02	\N	\N	\N	\N	\N	\N	f	
26202	ec40eef9-f3f6-4f14-9502-8dbc25c7c3c3	Baxter Springs	Baxter Springs	3	0	2013-09-07 20:44:07.394871+02	\N	\N	\N	\N	\N	\N	f	
26909	356a78bc-f735-4d80-aa75-5a1c77198874	Montrose	Montrose	3	0	2013-09-08 03:58:03.107237+02	\N	\N	\N	\N	\N	\N	f	
26924	967b0bc9-e138-4ae8-9483-72fd24e3e468	Hale	Hale	3	0	2013-09-08 04:02:29.67763+02	\N	\N	\N	\N	\N	\N	f	
26947	7536ddd1-85b8-42c8-af0d-b29054ef48ab	Mendon	Mendon	3	0	2013-09-08 04:08:46.178211+02	\N	\N	\N	\N	\N	\N	f	
26953	8255efd6-2535-4f71-ad80-fd729bb5dafa	Hawk Point	Hawk Point	3	0	2013-09-08 04:10:14.153982+02	\N	\N	\N	\N	\N	\N	f	
26955	62b09839-17f8-4791-8143-be165f8faf92	Mitchell	Mitchell	3	0	2013-09-08 04:10:43.613577+02	\N	\N	\N	\N	\N	\N	f	
27295	184d3533-8a5a-4a22-b17e-45d359f7957c	Highland Heights	Highland Heights	3	0	2013-09-08 07:19:58.438671+02	\N	\N	\N	\N	\N	\N	f	
27388	d273fcdc-b512-459d-81f4-84dd2509e8fb	Ambrose, North Dakota	Ambrose, North Dakota	3	0	2013-09-08 07:44:41.056948+02	\N	\N	\N	\N	\N	\N	f	
10777	a513ebe0-3022-4e27-938c-20c81a917f0c	Kaizuka	Kaizuka	3	0	2013-06-19 01:33:54.506541+02	\N	\N	\N	\N	\N	\N	f	
13911	84a42346-0d44-477a-a7dc-4f932070a5c2	Quattro Castella	Quattro Castella	4	0	2013-07-21 19:40:36.315634+02	\N	\N	\N	\N	\N	\N	f	
10781	947f02e5-f5c8-41f4-953b-d52087aaebe9	Karumai	Karumai	3	0	2013-06-19 01:36:39.590702+02	\N	\N	\N	\N	\N	\N	f	
13965	aff3ecaf-4e98-45c8-8c8a-57594f655f80	Rezzato	Rezzato	4	0	2013-07-21 19:52:43.005164+02	\N	\N	\N	\N	\N	\N	f	
10782	28d390ea-e0f9-446e-bdfc-1911488201e2	Borovichi	Borovichi	3	0	2013-06-19 01:36:56.827974+02	\N	\N	\N	\N	\N	\N	f	
10783	3b086cc3-3cc5-41d7-a749-837419409c2e	Mizuho	Mizuho	3	0	2013-06-19 01:37:08.996851+02	\N	\N	\N	\N	\N	\N	f	
15594	dcff62ed-13db-4c58-8a3a-bef84653e82e	Madonna del Sasso	Madonna del Sasso	4	0	2013-07-22 01:20:01.770852+02	\N	\N	\N	\N	\N	\N	f	
14494	82424c14-c797-4762-a81a-77ab0d9e6d1e	Paderna	Paderna	4	0	2013-07-21 21:50:48.009307+02	\N	\N	\N	\N	\N	\N	f	
23204	e3b387f8-4355-4310-8cca-8913dbb07923	St. Catharines	St. Catharines	3	0	2013-08-23 02:18:09.783645+02	\N	\N	\N	\N	\N	\N	f	
15623	c0058671-397a-408c-a66b-5bf892726e06	Trasquera	Trasquera	4	0	2013-07-22 01:26:49.163599+02	\N	\N	\N	\N	\N	\N	f	
22950	1077b65d-c234-4287-80a6-d5ac92b7e4c1	Berkley, Michigan	Berkley, Michigan	3	0	2013-08-20 14:47:58.617009+02	\N	\N	\N	\N	\N	\N	f	
16473	67da741d-0521-4b41-ad58-89df442d1aa3	Serdiana	Serdiana	4	0	2013-07-22 03:37:47.972948+02	\N	\N	\N	\N	\N	\N	f	
16542	a895f4ee-faef-49e7-8fa0-0e3c944896fb	Frassilongo	Frassilongo	4	0	2013-07-22 03:45:55.170433+02	\N	\N	\N	\N	\N	\N	f	
16555	0e601b52-e9ee-4d2c-9b6d-0e3a8b2efa16	Sardara	Sardara	4	0	2013-07-22 03:47:35.044867+02	\N	\N	\N	\N	\N	\N	f	
18406	63f63df0-76f5-467d-bd83-a6f88fa6fd73	Cuggiono	Cuggiono	4	0	2013-07-22 08:25:06.272786+02	\N	\N	\N	\N	\N	\N	f	
16561	64309173-6119-41c7-99e7-392cb7ef4c1e	Cavaso del Tomba	Cavaso del Tomba	4	0	2013-07-22 03:48:33.866393+02	\N	\N	\N	\N	\N	\N	f	
19758	f26feee6-7d16-42e1-8421-71c2bce1ad1b	Stia	Stia	4	0	2013-07-22 11:32:43.795153+02	\N	\N	\N	\N	\N	\N	f	
17096	a4c5ef68-a356-4133-9dcc-6660ccacf9e5	Ardauli	Ardauli	4	0	2013-07-22 05:43:08.397572+02	\N	\N	\N	\N	\N	\N	f	
19208	3347bdc1-c2d3-40d7-b312-c92183b48d77	Civitella Alfedena	Civitella Alfedena	4	0	2013-07-22 10:06:30.4541+02	\N	\N	\N	\N	\N	\N	f	
19225	204c76bd-361e-4b87-a9c6-3648fd16d115	Caporciano	Caporciano	4	0	2013-07-22 10:08:45.28876+02	\N	\N	\N	\N	\N	\N	f	
23017	103af1cb-cd1f-43a4-8f67-1e916ac3912e	Port Alexander	Port Alexander	3	0	2013-08-20 23:38:49.430313+02	\N	\N	\N	\N	\N	\N	f	
20403	8876c94e-85c9-4cf7-9929-be1f3cbef2c3	Mendicino	Mendicino	4	0	2013-07-22 23:47:48.092246+02	\N	\N	\N	\N	\N	\N	f	
20532	286d502c-9ef5-4dc1-9569-4c0dff24b317	Fiumara	Fiumara	4	0	2013-07-23 05:31:52.902418+02	\N	\N	\N	\N	\N	\N	f	
23241	d91e75d5-fa22-435e-9946-1a78b7e8d912	River Heights	River Heights	3	0	2013-08-24 14:19:58.603916+02	\N	\N	\N	\N	\N	\N	f	
20539	36b1c55f-1ec4-46bc-9cc9-5440bbfa090c	Galatro	Galatro	4	0	2013-07-23 05:34:19.450155+02	\N	\N	\N	\N	\N	\N	f	
23069	9543b355-1782-43e5-af68-bfc92ffbb3cc	Apple Valley, Minnesota	Apple Valley, Minnesota	3	0	2013-08-22 02:37:34.485655+02	\N	\N	\N	\N	\N	\N	f	
20550	ced3e32e-97e3-4d24-9ce2-ac9ac3befb17	Montebello Ionico	Montebello Ionico	4	0	2013-07-23 05:36:41.201767+02	\N	\N	\N	\N	\N	\N	f	
20570	88059109-ad0a-455a-b247-5ec8f5fd59a1	Scido	Scido	4	0	2013-07-23 05:41:00.523388+02	\N	\N	\N	\N	\N	\N	f	
23205	d4f32f80-7320-48ef-a7a3-ab9b19f0b8c1	Ballinger	Ballinger	3	0	2013-08-23 08:30:06.704898+02	\N	\N	\N	\N	\N	\N	f	
20591	ea636ac4-8725-4047-a058-a4b412a19bd0	Polia	Polia	4	0	2013-07-23 05:45:13.255904+02	\N	\N	\N	\N	\N	\N	f	
23139	86340f6e-d8f4-4ec7-b233-551d3b6a4ab7	Montgomery	Montgomery	3	0	2013-08-22 05:29:48.383042+02	\N	\N	\N	\N	\N	\N	f	
20609	abc80278-48fa-4c4b-b751-ca69d0829b23	Avella	Avella	4	0	2013-07-23 05:49:02.285654+02	\N	\N	\N	\N	\N	\N	f	
23147	6666bebc-88e0-4f3b-946a-19ea167e8b28	Mountain Lake	Mountain Lake	3	0	2013-08-22 05:31:37.625465+02	\N	\N	\N	\N	\N	\N	f	
22430	c97f3307-fc87-481c-8635-d00a990efb7c	Inglewood	Inglewood	3	0	2013-08-11 02:48:48.212058+02	\N	\N	\N	\N	\N	\N	f	
22432	50c37a4b-4acd-467f-a9fa-4033565fb245	San Rafael, California	San Rafael, California	3	0	2013-08-11 02:49:21.775107+02	\N	\N	\N	\N	\N	\N	f	
23185	f099e50e-2126-46a2-aa7d-f8ff486ca623	Mercury	Mercury	3	0	2013-08-22 08:19:16.033083+02	\N	\N	\N	\N	\N	\N	f	
22448	bac1b3db-cb0c-44ff-a62b-f550c663471e	Loma Linda	Loma Linda	3	0	2013-08-11 02:55:03.234716+02	\N	\N	\N	\N	\N	\N	f	
22749	93dfbdbb-1ad7-4457-91bf-474d361c7c29	San Filippo del Mela	San Filippo del Mela	4	0	2013-08-14 17:37:52.011156+02	\N	\N	\N	\N	\N	\N	f	
23207	4977c653-cad9-4f87-80fe-e2b86a492185	Sunland Park, New Mexico	Sunland Park, New Mexico	3	0	2013-08-23 11:17:06.421842+02	\N	\N	\N	\N	\N	\N	f	
22750	1368e4b6-d714-4fa2-9a73-6f5e862bd312	Mazzarrà Sant'Andrea	Mazzarrà Sant'Andrea	4	0	2013-08-14 17:38:08.672535+02	\N	\N	\N	\N	\N	\N	f	
23199	3739d346-6cd1-4825-a223-1f1b138d3ae7	Spearman	Spearman	3	0	2013-08-22 11:28:44.014082+02	\N	\N	\N	\N	\N	\N	f	
22795	bc887b0b-4a05-41f0-a3b7-83e5fd472cfc	Floresta	Floresta	4	0	2013-08-14 17:48:37.845563+02	\N	\N	\N	\N	\N	\N	f	
22936	11c59129-b99c-4ce5-95ad-7b16cabc8749	Hartford	Hartford	3	0	2013-08-20 14:37:44.871366+02	\N	\N	\N	\N	\N	\N	f	
23200	c9041e19-7a0b-42ca-8647-32be5d728217	Morton	Morton	3	0	2013-08-22 11:32:34.596561+02	\N	\N	\N	\N	\N	\N	f	
23425	2bd06d25-be32-4a92-b39f-da304f60d53f	Lahti	Lahti	3	0	2013-08-25 20:26:03.428039+02	\N	\N	\N	\N	\N	\N	f	
23201	846cd3a9-5a6b-4b0e-b9c0-b6a56f2f829f	Cross Plains	Cross Plains	3	0	2013-08-22 14:32:37.943981+02	\N	\N	\N	\N	\N	\N	f	
23212	82014a93-fde4-454c-ab36-88e3d56596bb	Choctaw, Oklahoma	Choctaw, Oklahoma	3	0	2013-08-23 11:26:50.481998+02	\N	\N	\N	\N	\N	\N	f	
23202	7f24b77b-abe7-42d9-b79c-ee09bbf5c83c	Liège	Liège	3	0	2013-08-22 17:56:14.526569+02	\N	\N	\N	\N	\N	\N	f	
23203	d4611b96-a58e-413e-a80a-8f6d7a8ea7d3	Cornwall	Cornwall	3	0	2013-08-22 23:31:34.845944+02	\N	\N	\N	\N	\N	\N	f	
23336	72230d4c-8f0a-4209-8202-8f9a271c64d5	Springville	Springville	3	0	2013-08-24 17:26:53.624312+02	\N	\N	\N	\N	\N	\N	f	
23226	22d984de-eab2-44b9-932f-d9593a1f4ae6	Ligao City	Ligao City	3	0	2013-08-23 14:19:37.218853+02	\N	\N	\N	\N	\N	\N	f	
23229	178237e0-866a-4193-9e29-f160ba245d19	Hanover	Hanover	3	0	2013-08-23 17:18:20.034776+02	\N	\N	\N	\N	\N	\N	f	
23384	19d49a2a-ef61-4bd6-b78b-6b0b46067392	Wauwatosa	Wauwatosa	3	0	2013-08-24 20:17:23.717506+02	\N	\N	\N	\N	\N	\N	f	
23236	342e2ba4-3c64-44f8-8d71-a315bab6abf1	Vergennes	Vergennes	3	0	2013-08-24 14:17:12.968626+02	\N	\N	\N	\N	\N	\N	f	
23430	02fc713e-9cc9-4ff8-be54-41e6d25a6321	Zvolen	Zvolen	3	0	2013-08-25 23:18:01.836986+02	\N	\N	\N	\N	\N	\N	f	
23422	045f74c1-7953-4c94-970e-d605e9c454de	Newark	Newark	3	0	2013-08-25 14:29:50.48099+02	\N	\N	\N	\N	\N	\N	f	
23423	248ce1d8-7020-47be-b150-4ba48f300929	Conargo	Conargo	3	0	2013-08-25 17:21:34.760204+02	\N	\N	\N	\N	\N	\N	f	
23531	bf86dbb7-b528-47ed-b0ff-b0fa88145c1e	Kiuruvesi	Kiuruvesi	3	0	2013-08-26 11:18:07.189577+02	\N	\N	\N	\N	\N	\N	f	
23431	fb353560-26de-4451-8e65-68eed6f905b9	Jyväskylä	Jyväskylä	3	0	2013-08-25 23:18:34.769357+02	\N	\N	\N	\N	\N	\N	f	
23603	b2372ccd-697b-4e0a-a12a-af289ce295eb	Děčín	Děčín	3	0	2013-08-26 17:18:26.143717+02	\N	\N	\N	\N	\N	\N	f	
23458	3e0b7cd4-4ed1-4f8e-82bd-b40b3da8dc33	Sastamala	Sastamala	3	0	2013-08-26 02:17:08.420854+02	\N	\N	\N	\N	\N	\N	f	
23602	e3001b04-081a-4b45-80cd-f56e7e7c3678	Tornaľa	Tornaľa	3	0	2013-08-26 14:46:32.175576+02	\N	\N	\N	\N	\N	\N	f	
23542	f58271d4-ae05-41ff-aecd-a355d7716bd1	Rajecké Teplice	Rajecké Teplice	3	0	2013-08-26 14:18:10.352713+02	\N	\N	\N	\N	\N	\N	f	
23586	52be6a90-38bf-46ed-886d-52ad1c8c0d06	Svit	Svit	3	0	2013-08-26 14:42:35.853671+02	\N	\N	\N	\N	\N	\N	f	
23638	0276a533-0763-47c7-956e-25e60f8e7537	Reading	Reading	3	0	2013-08-26 20:23:09.764431+02	\N	\N	\N	\N	\N	\N	f	
23643	d2405695-c393-4524-bbf3-e8b40c30f8de	Tidworth	Tidworth	3	0	2013-08-26 23:17:59.458409+02	\N	\N	\N	\N	\N	\N	f	
24691	81b98e31-6019-48a9-855a-4d317974abc6	Oakland	Oakland	3	0	2013-09-07 08:11:34.355102+02	\N	\N	\N	\N	\N	\N	f	
24780	6b1c54f6-6437-44e7-a4dc-b8f4cd06bb85	Webster, Iowa	Webster, Iowa	3	0	2013-09-07 08:33:07.67629+02	\N	\N	\N	\N	\N	\N	f	
25187	e173fe7f-48b9-4016-bdc0-92ab1893c660	Hopkinton	Hopkinton	3	0	2013-09-07 10:34:15.678245+02	\N	\N	\N	\N	\N	\N	f	
25209	6de6fa30-ac6a-4ef9-b3d3-cb018d060b75	Hornick	Hornick	3	0	2013-09-07 10:40:35.57202+02	\N	\N	\N	\N	\N	\N	f	
10785	36c9dea1-4a16-4399-b8e5-bba76b513138	Kizugawa	Kizugawa	3	0	2013-06-19 01:39:16.866624+02	\N	\N	\N	\N	\N	\N	f	
10786	62bd4f90-2449-47a4-9c34-299fede9839e	Miyama	Miyama	3	0	2013-06-19 01:39:31.716711+02	\N	\N	\N	\N	\N	\N	f	
10810	e1c7773d-5d61-403d-874e-cb3610f8c6fc	Matsumoto	Matsumoto	3	0	2013-06-19 23:24:18.050973+02	\N	\N	\N	\N	\N	\N	f	
10787	3dc6d420-6779-41a4-9c06-0888ae79b5a8	Miyawaka	Miyawaka	3	0	2013-06-19 01:39:47.078415+02	\N	\N	\N	\N	\N	\N	f	
10788	2cac1bb1-37cc-4e4f-ab70-cf0ebba016fe	Yufu	Yufu	3	0	2013-06-19 01:40:02.534525+02	\N	\N	\N	\N	\N	\N	f	
10825	0480f290-c1a8-42e9-9722-d0a917156168	Chigasaki City	Chigasaki City	3	0	2013-06-19 23:39:34.37921+02	\N	\N	\N	\N	\N	\N	f	
10789	c719c771-2845-4789-b5aa-2215e8249c3f	Kaagu	Kaagu	3	0	2013-06-19 01:40:03.785213+02	\N	\N	\N	\N	\N	\N	f	
10811	b9691e60-649e-4bce-bd8a-0d5896e79282	Numazu	Numazu	3	0	2013-06-19 23:26:40.780616+02	\N	\N	\N	\N	\N	\N	f	
10790	a95e57e1-8883-488e-8a24-3abe23bd86fd	Miyoshi	Miyoshi	3	0	2013-06-19 01:40:20.445484+02	\N	\N	\N	\N	\N	\N	f	
10791	1b455cf2-814b-4039-bb37-3aa5ece9c130	Minamishimabara	Minamishimabara	3	0	2013-06-19 01:40:38.056861+02	\N	\N	\N	\N	\N	\N	f	
10792	a070d9e4-6345-4119-a8be-74aa30ba3914	Unzen	Unzen	3	0	2013-06-19 01:41:14.581893+02	\N	\N	\N	\N	\N	\N	f	
10812	e111b58f-9d7c-4bbd-be04-288d233b7ed4	Okazaki	Okazaki	3	0	2013-06-19 23:27:00.778424+02	\N	\N	\N	\N	\N	\N	f	
10794	ed42cfb8-3629-44af-b8a6-f0ae83cf0dd6	Misaki	Misaki	3	0	2013-06-19 04:43:17.201476+02	\N	\N	\N	\N	\N	\N	f	
10795	01f2d1b5-5404-44cf-adc3-6a40ea3d2452	Kibichūō	Kibichūō	3	0	2013-06-19 04:43:35.573708+02	\N	\N	\N	\N	\N	\N	f	
13913	bb99431f-a654-4bfc-9363-a8cb4c265ee9	Paisco Loveno	Paisco Loveno	4	0	2013-07-21 19:41:02.531039+02	\N	\N	\N	\N	\N	\N	f	
10796	a386064c-619e-4ab3-8423-d0a73e0db62e	Aguni	Aguni	3	0	2013-06-19 04:44:19.505161+02	\N	\N	\N	\N	\N	\N	f	
10813	9097982d-c3bf-466a-be1f-3fa57996048e	Yokkaichi	Yokkaichi	3	0	2013-06-19 23:28:26.915005+02	\N	\N	\N	\N	\N	\N	f	
10797	5b6110ea-411a-4dc9-8c41-acfc8a2014d1	Kokubunji	Kokubunji	3	0	2013-06-19 04:57:26.598298+02	\N	\N	\N	\N	\N	\N	f	
10798	6a963067-0eaf-4638-ae56-f93f3424ab0d	Nakagawa	Nakagawa	3	0	2013-06-19 05:00:35.515069+02	\N	\N	\N	\N	\N	\N	f	
10799	88e16f88-5b1c-4920-9e57-bab54287cd7d	Paunküla	Paunküla	3	0	2013-06-19 15:55:58.483234+02	\N	\N	\N	\N	\N	\N	f	
10814	62eaed56-835e-44eb-b9d4-7c1d2904819a	Hakodate	Hakodate	3	0	2013-06-19 23:28:39.409147+02	\N	\N	\N	\N	\N	\N	f	
10800	75ab361a-9ef8-4b7e-9280-dd1f21755d3e	Novorossiysk	Novorossiysk	3	0	2013-06-19 16:18:20.765873+02	\N	\N	\N	\N	\N	\N	f	
10801	3f7cbda1-cc12-4274-a3bf-a5fd3854e0ac	Väinjärve	Väinjärve	3	0	2013-06-19 16:21:16.489026+02	\N	\N	\N	\N	\N	\N	f	
17399	372d1879-5df2-4798-8a8b-cb4d45b3fb80	Lozza	Lozza	4	0	2013-07-22 06:22:38.585911+02	\N	\N	\N	\N	\N	\N	f	
10802	2e3e559e-6bc9-48a0-bac1-03e377476b95	Seliküla	Seliküla	3	0	2013-06-19 16:26:09.862424+02	\N	\N	\N	\N	\N	\N	f	
10815	5e78c864-82fe-47fb-8835-1e7fe4dbcd58	Odawara City	Odawara City	3	0	2013-06-19 23:28:59.395895+02	\N	\N	\N	\N	\N	\N	f	
10803	c3d5c094-ea0c-423f-9369-fc3de4eb1ec7	Eisleben	Eisleben	3	0	2013-06-19 16:54:10.745563+02	\N	\N	\N	\N	\N	\N	f	
10804	5bba1a31-6092-4b48-bfd0-7de554086dd2	Terikeste	Terikeste	3	0	2013-06-19 16:57:33.949099+02	\N	\N	\N	\N	\N	\N	f	
10805	20424574-59ad-4059-846e-d9401558b4c7	Madona	Madona	3	0	2013-06-19 17:00:42.545153+02	\N	\N	\N	\N	\N	\N	f	
10816	9b029488-2f96-480d-bf14-df362e1c9f8e	Funabashi	Funabashi	3	0	2013-06-19 23:29:25.58622+02	\N	\N	\N	\N	\N	\N	f	
10806	7b104022-325b-413b-97c9-fa9eb85df3d0	Kuressaare	Kuressaare	3	0	2013-06-19 17:21:21.444635+02	\N	\N	\N	\N	\N	\N	f	
10807	c43bc81f-0dcf-4607-a15e-94f1edeac1ca	Akita	Akita	3	0	2013-06-19 23:19:29.753887+02	\N	\N	\N	\N	\N	\N	f	
10553	373bcb6f-04ce-47d9-baea-5f1446aa02b5	Kaavi	Kaavi	3	0	2013-06-20 02:00:31.802953+02	\N	\N	\N	\N	\N	\N	f	
10808	463cb60e-2682-4c46-99d4-e911eed8c79f	Yokosuka City	Yokosuka City	3	0	2013-06-19 23:22:48.612102+02	\N	\N	\N	\N	\N	\N	f	
10817	9988694d-2d44-42f2-ac79-b6ad65dbb58b	Gharrous	Gharrous	3	0	2013-06-19 23:30:44.748682+02	\N	\N	\N	\N	\N	\N	f	
10809	628d08e9-0d47-4bff-89a8-f58ce22cb246	Ponta Delgada	Ponta Delgada	3	0	2013-06-19 23:23:40.947506+02	\N	\N	\N	\N	\N	\N	f	
10818	11dd6f18-cf56-4cf6-af43-8f81690d50c2	Kashiwa	Kashiwa	3	0	2013-06-19 23:31:09.975085+02	\N	\N	\N	\N	\N	\N	f	
10819	b9ab7e94-21db-4d1d-b714-b115d90b4021	Fuji	Fuji	3	0	2013-06-19 23:31:38.660618+02	\N	\N	\N	\N	\N	\N	f	
10820	ecb7aae1-ad12-4309-8375-aec62ac06d75	Kiyose	Kiyose	3	0	2013-06-19 23:31:57.82712+02	\N	\N	\N	\N	\N	\N	f	
10821	2242bd6b-e08d-488b-a959-33491daf15fa	Yamato City	Yamato City	3	0	2013-06-19 23:33:26.773727+02	\N	\N	\N	\N	\N	\N	f	
10826	92618539-e19c-4a6d-9cc3-cd715c5ddd9c	Miyake	Miyake	3	0	2013-06-20 04:57:29.811155+02	\N	\N	\N	\N	\N	\N	f	
10822	f41a3023-1d55-47f3-8c52-d0f126bf5f39	Atsugi City	Atsugi City	3	0	2013-06-19 23:33:48.436243+02	\N	\N	\N	\N	\N	\N	f	
10823	d133c5f0-7893-45ac-abf2-a52fa17cee76	Hiratsuka City	Hiratsuka City	3	0	2013-06-19 23:36:19.417395+02	\N	\N	\N	\N	\N	\N	f	
10824	6085e605-0cb0-4680-966f-11c8e03c1a98	Rothenfels	Rothenfels	3	0	2013-06-19 23:39:17.365212+02	\N	\N	\N	\N	\N	\N	f	
10827	3ca0b395-64f1-4eb2-b9e4-62ac269a9c19	Chōfu	Chōfu	3	0	2013-06-20 05:05:37.08346+02	\N	\N	\N	\N	\N	\N	f	
10828	038eb4fe-6101-4a97-b74c-4c04fa89a044	Beniane	Beniane	3	0	2013-06-20 05:10:53.331572+02	\N	\N	\N	\N	\N	\N	f	
10829	6be8bb2d-b08c-47f3-88c3-264137a27ef5	Mascara, Algeria	Mascara, Algeria	3	0	2013-06-20 05:16:38.753555+02	\N	\N	\N	\N	\N	\N	f	
10836	a4efc739-ab76-4725-8971-0a4a70e27752	Fukaura	Fukaura	3	0	2013-06-20 18:20:28.670003+02	\N	\N	\N	\N	\N	\N	f	
10830	e7f5418c-25d7-4ccc-9b2b-6dd879533fed	Tōhoku	Tōhoku	3	0	2013-06-20 18:17:53.836698+02	\N	\N	\N	\N	\N	\N	f	
10831	d5d05bd7-9307-4153-8163-c85c040e2717	Aogashima	Aogashima	3	0	2013-06-20 18:18:09.585315+02	\N	\N	\N	\N	\N	\N	f	
10832	84587b64-0b54-41cb-8917-5a2580ac7c11	Yokohama	Yokohama	3	0	2013-06-20 18:18:44.68717+02	\N	\N	\N	\N	\N	\N	f	
10837	2cd3af2f-6f15-401f-b62c-1fe177153c9b	Ōwani	Ōwani	3	0	2013-06-20 18:20:42.056784+02	\N	\N	\N	\N	\N	\N	f	
10833	0cbcc7c8-64a3-4ed2-bbf7-a59ad6f3208b	Nanbu	Nanbu	3	0	2013-06-20 18:19:03.972416+02	\N	\N	\N	\N	\N	\N	f	
10834	00a63f71-c3f2-4b70-9134-00ec7377f0b6	Hiranai	Hiranai	3	0	2013-06-20 18:19:16.219511+02	\N	\N	\N	\N	\N	\N	f	
10842	24e37370-37da-4cf1-9a64-c171fae88b57	Takko	Takko	3	0	2013-06-20 18:22:17.828434+02	\N	\N	\N	\N	\N	\N	f	
10835	c7c93cec-4480-4566-a529-88e7f68596f9	Rokunohe	Rokunohe	3	0	2013-06-20 18:19:34.637373+02	\N	\N	\N	\N	\N	\N	f	
10838	3371db0e-0460-4f45-bb74-ad618f18037f	Nakadomari	Nakadomari	3	0	2013-06-20 18:20:59.301502+02	\N	\N	\N	\N	\N	\N	f	
10846	3074fc15-2609-4994-af90-39f11c8190d6	Oirase	Oirase	3	0	2013-06-20 18:23:13.562377+02	\N	\N	\N	\N	\N	\N	f	
10839	01853af2-c644-4b9d-b6d1-fb3559834601	Itayanagi	Itayanagi	3	0	2013-06-20 18:21:19.529921+02	\N	\N	\N	\N	\N	\N	f	
10843	d94f1701-11c8-4f23-9ca4-0bf4b8a0a885	Fujisaki	Fujisaki	3	0	2013-06-20 18:22:34.672634+02	\N	\N	\N	\N	\N	\N	f	
10840	cd177d12-928e-451f-b746-dcc089b431db	Sotogahama	Sotogahama	3	0	2013-06-20 18:21:35.357434+02	\N	\N	\N	\N	\N	\N	f	
10841	e334e517-25ae-419a-a097-360f24640fda	Ajigasawa	Ajigasawa	3	0	2013-06-20 18:21:55.044526+02	\N	\N	\N	\N	\N	\N	f	
10844	7c24b9e7-359f-439c-b272-9c75bbeb2e0b	Hashikami	Hashikami	3	0	2013-06-20 18:22:49.052036+02	\N	\N	\N	\N	\N	\N	f	
10851	3fb76364-11c3-41f7-b031-3e113f3d22e8	Akishima	Akishima	3	0	2013-06-20 18:30:57.543004+02	\N	\N	\N	\N	\N	\N	f	
10845	bbe3191d-4e0a-4a7f-b5e1-49d9b5efbd11	Shichinohe	Shichinohe	3	0	2013-06-20 18:23:01.382+02	\N	\N	\N	\N	\N	\N	f	
10847	79a9dd39-d796-428d-b8b9-462eb7abe460	Imabetsu	Imabetsu	3	0	2013-06-20 18:23:53.042257+02	\N	\N	\N	\N	\N	\N	f	
10850	fca89868-cb68-4396-9398-3ad7dee1942b	Ōma	Ōma	3	0	2013-06-20 18:24:29.884494+02	\N	\N	\N	\N	\N	\N	f	
10848	f0b8b3d5-7735-4053-9461-03a3ffe1bbea	Noheji	Noheji	3	0	2013-06-20 18:24:06.280666+02	\N	\N	\N	\N	\N	\N	f	
10849	189eb24a-e274-4ecc-ac67-d7579fa5ab17	Gonohe	Gonohe	3	0	2013-06-20 18:24:18.15945+02	\N	\N	\N	\N	\N	\N	f	
10852	51246b44-b80c-4b20-9b3c-e81aa4077a4a	Tsuruta	Tsuruta	3	0	2013-06-20 18:33:12.935928+02	\N	\N	\N	\N	\N	\N	f	
10853	cb2061a3-d307-4e88-b220-a372380aa9fb	Sannohe	Sannohe	3	0	2013-06-20 18:33:24.892125+02	\N	\N	\N	\N	\N	\N	f	
10854	73b84283-0e73-4217-ba3b-ae42d2014fd9	Daly City	Daly City	3	0	2013-06-20 18:38:21.317286+02	\N	\N	\N	\N	\N	\N	f	
10855	96281241-7703-44b4-8444-544a0f65d726	Centennial	Centennial	3	0	2013-06-20 18:39:01.810639+02	\N	\N	\N	\N	\N	\N	f	
10856	78ebec46-8da7-4e25-bfdb-a8bd5186e913	Burgos	Burgos	3	0	2013-06-20 18:40:16.87981+02	\N	\N	\N	\N	\N	\N	f	
10857	d7d579c2-78b0-49ab-ab86-d66878470f96	Sanyati	Sanyati	3	0	2013-06-20 18:43:00.751262+02	\N	\N	\N	\N	\N	\N	f	
10858	29f0ae1c-cecc-45d9-8d63-caa0233c8e48	Ōshima	Ōshima	3	0	2013-06-20 21:09:56.868001+02	\N	\N	\N	\N	\N	\N	f	
10859	fe1a0318-2d99-47ef-adb3-9b831885b739	Akiruno	Akiruno	3	0	2013-06-20 21:19:56.397785+02	\N	\N	\N	\N	\N	\N	f	
10879	c0132d3b-5555-4f18-a315-1d97f517313d	Hirata	Hirata	3	0	2013-06-21 07:11:21.64832+02	\N	\N	\N	\N	\N	\N	f	
10860	344cbcf6-d983-4acf-bd8f-da63e99f616e	Littleton	Littleton	3	0	2013-06-20 21:36:23.461078+02	\N	\N	\N	\N	\N	\N	f	
15603	6ca5bd42-dbd0-40e1-90bc-60dc257df668	San Bernardino Verbano	San Bernardino Verbano	4	0	2013-07-22 01:22:04.051574+02	\N	\N	\N	\N	\N	\N	f	
10864	431a085b-9f4c-4fbb-82de-2ca7ce735da8	Queens	Queens	5	0	2013-08-28 15:49:03.860763+02	\N	\N	\N	\N	\N	\N	f	
10906	b4be65e1-bbb8-47f0-b7c0-ab21db3333f6	Kosaka	Kosaka	3	0	2013-06-21 07:18:36.224522+02	\N	\N	\N	\N	\N	\N	f	
10865	a8c1d0e2-0837-454c-afa9-4190b3fe4d92	Staten Island	Staten Island	5	0	2013-08-28 15:49:07.899923+02	\N	\N	\N	\N	\N	\N	f	
10880	23f9123f-5556-4efe-ae49-405d14e7d798	Mishima	Mishima	3	0	2013-06-21 07:11:38.187133+02	\N	\N	\N	\N	\N	\N	f	
10896	1ca6f2d8-61a3-4694-bd5d-62e969b63a25	Hirao	Hirao	3	0	2013-06-21 07:15:45.291007+02	\N	\N	\N	\N	\N	\N	f	
10881	b46dad05-dd1f-45e5-88e6-bd7c98fe00cc	Ōtama	Ōtama	3	0	2013-06-21 07:11:54.859018+02	\N	\N	\N	\N	\N	\N	f	
10866	03cb1e93-b844-4d16-854c-6644bb633128	Niijima	Niijima	3	0	2013-06-21 04:45:47.489638+02	\N	\N	\N	\N	\N	\N	f	
10867	03f8cbe7-1981-47ec-b5d8-d9019b7c8e10	Higashimurayama	Higashimurayama	3	0	2013-06-21 04:55:58.303169+02	\N	\N	\N	\N	\N	\N	f	
10868	07defc9f-70ad-41ca-88ea-18f9ffc8f12b	Namie	Namie	3	0	2013-06-21 07:07:10.800814+02	\N	\N	\N	\N	\N	\N	f	
10882	1cf0a024-0f48-4843-ac87-537c5ce8679d	Samegawa	Samegawa	3	0	2013-06-21 07:12:14.250345+02	\N	\N	\N	\N	\N	\N	f	
10869	b1fb35b7-ad30-4228-a1fb-d13ab7d0fe1d	Tanagura	Tanagura	3	0	2013-06-21 07:08:14.624634+02	\N	\N	\N	\N	\N	\N	f	
10870	5d6b74a9-9a1c-46a3-8dcb-39ef36dabd84	Izumizaki	Izumizaki	3	0	2013-06-21 07:08:30.064919+02	\N	\N	\N	\N	\N	\N	f	
10871	8aec539e-d4e0-434a-9200-e1cbc7df4f47	Tobishima	Tobishima	3	0	2013-06-21 07:09:19.110136+02	\N	\N	\N	\N	\N	\N	f	
10883	7444daa2-efe2-4cf1-b4ff-6db59f2d1670	Gojōme	Gojōme	3	0	2013-06-21 07:12:32.704574+02	\N	\N	\N	\N	\N	\N	f	
10872	d2337ae2-1da0-400d-8fcf-601a4895788e	Ikawa	Ikawa	3	0	2013-06-21 07:09:40.877102+02	\N	\N	\N	\N	\N	\N	f	
10873	c66be282-5363-43c2-bbfc-7ce5203b3e00	Shinchi	Shinchi	3	0	2013-06-21 07:09:53.779562+02	\N	\N	\N	\N	\N	\N	f	
10897	8e743912-866a-46a9-b76b-5c109a7b8bd6	Ten'ei	Ten'ei	3	0	2013-06-21 07:16:00.287097+02	\N	\N	\N	\N	\N	\N	f	
10874	7036fbdb-7e4f-4f6a-aaa4-d23c9aeda0c4	Mitane	Mitane	3	0	2013-06-21 07:10:06.4196+02	\N	\N	\N	\N	\N	\N	f	
10884	30f24489-88aa-4d15-aec5-3883d1a833e6	Shōwa	Shōwa	3	0	2013-06-21 07:12:49.012816+02	\N	\N	\N	\N	\N	\N	f	
10875	7b8d726a-36a6-44ad-8724-632230ec9f59	Kagamiishi	Kagamiishi	3	0	2013-06-21 07:10:18.77445+02	\N	\N	\N	\N	\N	\N	f	
10876	a2973f75-a955-47a1-b5cb-e4af0c8f5f32	Kaneyama	Kaneyama	3	0	2013-06-21 07:10:30.912621+02	\N	\N	\N	\N	\N	\N	f	
10877	3785bbb9-1bef-4c2a-b709-2b2de4580617	Suō-Ōshima	Suō-Ōshima	3	0	2013-06-21 07:10:46.885324+02	\N	\N	\N	\N	\N	\N	f	
10885	28a4c5de-1304-41aa-ba84-ae852f04dffc	Yanaizu	Yanaizu	3	0	2013-06-21 07:13:01.986169+02	\N	\N	\N	\N	\N	\N	f	
10878	16c0d4ce-f2f5-4449-9e09-d4c3752396e6	Hachirōgata	Hachirōgata	3	0	2013-06-21 07:11:02.488317+02	\N	\N	\N	\N	\N	\N	f	
10913	12d4f190-c8f7-4298-995a-8727a79b9a42	Katsurao	Katsurao	3	0	2013-06-21 07:20:29.430942+02	\N	\N	\N	\N	\N	\N	f	
10886	8a63ab59-6647-4f63-97e8-0f0d64cb6f3d	Shimogō	Shimogō	3	0	2013-06-21 07:13:21.550999+02	\N	\N	\N	\N	\N	\N	f	
10898	d63c407f-3d4e-485a-9b4b-29f28ca9e0af	Higashinaruse	Higashinaruse	3	0	2013-06-21 07:16:13.093262+02	\N	\N	\N	\N	\N	\N	f	
10887	0ee0121c-d8c4-4c8e-ba2b-56c60245c140	Ishikawa	Ishikawa	3	0	2013-06-21 07:13:37.568752+02	\N	\N	\N	\N	\N	\N	f	
10888	1d1a878a-be3a-4e46-b2a0-6b3f5061f6bf	Kamikoani	Kamikoani	3	0	2013-06-21 07:13:52.501372+02	\N	\N	\N	\N	\N	\N	f	
10907	bd59593b-2445-4f26-adfb-19e7f328ca13	Nagawa	Nagawa	3	0	2013-06-21 07:18:54.322052+02	\N	\N	\N	\N	\N	\N	f	
10889	fcec0674-fb4a-43b3-95d9-984143302642	Tamakawa	Tamakawa	3	0	2013-06-21 07:14:05.113015+02	\N	\N	\N	\N	\N	\N	f	
10899	0e5f60b9-be50-44c7-870b-353d8cdcf85c	Happō	Happō	3	0	2013-06-21 07:16:31.089185+02	\N	\N	\N	\N	\N	\N	f	
10890	1cb48653-bc06-4ddf-89c8-95f1405bef1d	Yabuki	Yabuki	3	0	2013-06-21 07:14:17.530555+02	\N	\N	\N	\N	\N	\N	f	
10891	3fa91caa-2b41-497f-b119-e4a15439c1b8	Aizubange	Aizubange	3	0	2013-06-21 07:14:30.143846+02	\N	\N	\N	\N	\N	\N	f	
10892	69c19437-fd26-4cb0-9cb1-02fbb46be998	Kitashiobara	Kitashiobara	3	0	2013-06-21 07:14:43.00906+02	\N	\N	\N	\N	\N	\N	f	
10900	044d16af-3614-4821-bc88-ca90def7e20b	Fujisato	Fujisato	3	0	2013-06-21 07:16:43.272873+02	\N	\N	\N	\N	\N	\N	f	
10893	69e5bd4a-c4a2-453c-9651-e322b836bfca	Kōri	Kōri	3	0	2013-06-21 07:14:56.410144+02	\N	\N	\N	\N	\N	\N	f	
10894	2c7d18f7-4137-4798-baa0-7a9f5f23ef3e	Tabuse	Tabuse	3	0	2013-06-21 07:15:11.286701+02	\N	\N	\N	\N	\N	\N	f	
10895	ff617917-5c5d-455c-a89c-73248036cb76	Yugawa	Yugawa	3	0	2013-06-21 07:15:32.340496+02	\N	\N	\N	\N	\N	\N	f	
10908	7fa295cd-6332-49b9-afbc-0cc03c9be5a7	Kōzushima	Kōzushima	3	0	2013-06-21 07:19:12.076885+02	\N	\N	\N	\N	\N	\N	f	
10901	af92f767-9396-4c99-96be-86f3a407b596	Ono	Ono	3	0	2013-06-21 07:16:58.033177+02	\N	\N	\N	\N	\N	\N	f	
10902	a34c433b-efd7-4089-ac21-f8f4470dea04	Furudono	Furudono	3	0	2013-06-21 07:17:10.795293+02	\N	\N	\N	\N	\N	\N	f	
10921	9896fd8f-55ea-4e7b-9cda-d5d4f98362c4	Kōshū	Kōshū	3	0	2013-06-21 07:31:35.045788+02	\N	\N	\N	\N	\N	\N	f	
10903	b5080309-9193-4f60-84e5-410872403d2a	Kunimi	Kunimi	3	0	2013-06-21 07:17:24.926834+02	\N	\N	\N	\N	\N	\N	f	
10909	55cf3b9c-5939-437d-935f-50c172e41be6	Miharu	Miharu	3	0	2013-06-21 07:19:29.284738+02	\N	\N	\N	\N	\N	\N	f	
10904	34d803e1-f662-4051-ad5b-ef44ec4e0216	Asakawa	Asakawa	3	0	2013-06-21 07:17:38.153275+02	\N	\N	\N	\N	\N	\N	f	
10905	1429e850-bccb-4e40-82d9-c742f508c6fb	Hanawa	Hanawa	3	0	2013-06-21 07:17:51.349338+02	\N	\N	\N	\N	\N	\N	f	
10914	26761648-8359-43b1-9f36-d1f8d0be6995	Hirono	Hirono	3	0	2013-06-21 07:20:45.969099+02	\N	\N	\N	\N	\N	\N	f	
10910	b502d64d-f791-4c3d-bac9-8e2c3e27b5f8	Kawamata	Kawamata	3	0	2013-06-21 07:19:41.367499+02	\N	\N	\N	\N	\N	\N	f	
10918	a980eb6d-14af-486f-ab6f-1be55401f8bb	Waki	Waki	3	0	2013-06-21 07:21:50.186474+02	\N	\N	\N	\N	\N	\N	f	
10911	239e4710-6e41-4b98-9e5b-e9eb6158af95	Misato	Misato	3	0	2013-06-21 07:19:58.854419+02	\N	\N	\N	\N	\N	\N	f	
10915	11c2e90e-f705-4122-a2de-c4926dd8d15c	Kawauchi	Kawauchi	3	0	2013-06-21 07:20:57.761729+02	\N	\N	\N	\N	\N	\N	f	
10912	69cc9264-71a2-4102-9758-4b84763bea65	Abu	Abu	3	0	2013-06-21 07:20:10.771693+02	\N	\N	\N	\N	\N	\N	f	
10916	73b8aecc-8604-417e-ab6c-d74ee4c70944	Sumita	Sumita	3	0	2013-06-21 07:21:22.403394+02	\N	\N	\N	\N	\N	\N	f	
10919	33842a38-9d85-4494-8a54-2f731dbda347	Bandai	Bandai	3	0	2013-06-21 07:22:34.670624+02	\N	\N	\N	\N	\N	\N	f	
10917	6ff64265-5de9-4c76-9231-3ae2de68da0b	Naraha	Naraha	3	0	2013-06-21 07:21:37.487958+02	\N	\N	\N	\N	\N	\N	f	
10923	e69356c8-84f9-46d0-a24b-b63d8517d7b3	Hamura	Hamura	3	0	2013-06-21 07:33:07.500227+02	\N	\N	\N	\N	\N	\N	f	
10920	6923d969-3169-4323-9713-75e3f90eb7c3	Aizuwakamatsu	Aizuwakamatsu	3	0	2013-06-21 07:30:36.444551+02	\N	\N	\N	\N	\N	\N	f	
10922	8547624f-5b42-4044-9f2b-d28f6c936e3c	Kōriyama	Kōriyama	3	0	2013-06-21 07:32:32.780533+02	\N	\N	\N	\N	\N	\N	f	
10925	f50b40e0-a5a7-44f0-b5c4-1830e34c7a13	Nirasaki	Nirasaki	3	0	2013-06-21 07:34:24.642816+02	\N	\N	\N	\N	\N	\N	f	
10924	29144538-cd4a-4d83-aae0-659750a1688c	Iwaki	Iwaki	3	0	2013-06-21 07:33:34.233921+02	\N	\N	\N	\N	\N	\N	f	
10926	f8fd5023-bc15-4162-a5b8-ca62529f7c06	Miki	Miki	3	0	2013-06-21 07:34:59.183448+02	\N	\N	\N	\N	\N	\N	f	
10927	0cdee627-10b3-4f6d-9ae4-aa864093495c	Hanamaki	Hanamaki	3	0	2013-06-21 07:35:18.42492+02	\N	\N	\N	\N	\N	\N	f	
10928	b4030cc4-42f1-4f52-b48f-f354ed51b11b	Toyohashi	Toyohashi	3	0	2013-06-21 07:36:07.883944+02	\N	\N	\N	\N	\N	\N	f	
10929	24eb2174-b2f3-40b2-aa1b-274af4eb8b81	Nakajima	Nakajima	3	0	2013-06-21 07:37:09.478384+02	\N	\N	\N	\N	\N	\N	f	
10930	05c071f9-1ff4-4fd0-bb03-d7c3e1e9ac48	Ōkuma	Ōkuma	3	0	2013-06-21 07:37:52.162044+02	\N	\N	\N	\N	\N	\N	f	
10931	365f6bb9-451c-47b9-8f7c-5e93179d9c9e	Ama	Ama	3	0	2013-06-21 07:39:33.601136+02	\N	\N	\N	\N	\N	\N	f	
10932	02371393-c4fd-4383-9639-ffbd62bc8037	Kazuno	Kazuno	3	0	2013-06-21 07:40:51.509643+02	\N	\N	\N	\N	\N	\N	f	
10933	d8a257ce-a207-4fdf-adf7-2fbb8cac1398	Sakaiminato	Sakaiminato	3	0	2013-06-21 07:41:06.269417+02	\N	\N	\N	\N	\N	\N	f	
10934	dc62e88d-b8a4-43f6-afb8-3f7683c8ba4f	Hekinan	Hekinan	3	0	2013-06-21 07:41:18.61761+02	\N	\N	\N	\N	\N	\N	f	
13914	f50c55ea-8266-4ebf-8ed9-80075170cc39	Poviglio	Poviglio	4	0	2013-07-21 19:41:14.427632+02	\N	\N	\N	\N	\N	\N	f	
13918	1aaceb64-7333-4af1-a44c-4050220e25ec	Pian Camuno	Pian Camuno	4	0	2013-07-21 19:42:10.582643+02	\N	\N	\N	\N	\N	\N	f	
13920	102fcca3-c9c0-46b2-8edb-58eef4ef6061	Paspardo	Paspardo	4	0	2013-07-21 19:42:39.508666+02	\N	\N	\N	\N	\N	\N	f	
14495	3ef85e12-6771-41cf-8845-27c0f152f296	Ottiglio	Ottiglio	4	0	2013-07-21 21:51:00.405087+02	\N	\N	\N	\N	\N	\N	f	
15605	e001bcd6-433e-42ba-8d41-5633ae3ef91d	Ornavasso	Ornavasso	4	0	2013-07-22 01:22:31.906298+02	\N	\N	\N	\N	\N	\N	f	
15012	e563fe8d-58bb-4f50-8393-2604ad4de5bf	Verona	Verona	4	0	2013-07-21 23:36:50.37811+02	\N	\N	\N	\N	\N	\N	f	
15089	daf18d65-73ad-4e45-a13f-560e83ec2afe	Priola	Priola	4	0	2013-07-21 23:46:13.972226+02	\N	\N	\N	\N	\N	\N	f	
19760	13f1d028-c94e-4969-87bd-f1517f3282aa	Andrano	Andrano	4	0	2013-07-22 11:32:56.290611+02	\N	\N	\N	\N	\N	\N	f	
22431	03f131fc-6c8e-45c6-af58-d48e377ff5c7	Holtville	Holtville	3	0	2013-08-11 02:49:06.806619+02	\N	\N	\N	\N	\N	\N	f	
22751	e2a545a6-0675-41b5-a016-d73dfe91f55f	Militello Rosmarino	Militello Rosmarino	4	0	2013-08-14 17:38:22.353161+02	\N	\N	\N	\N	\N	\N	f	
16499	0181f9ef-1b39-4f59-88a5-201c96ecb116	Gonnesa	Gonnesa	4	0	2013-07-22 03:40:57.908079+02	\N	\N	\N	\N	\N	\N	f	
16583	ba8445a5-f7a6-4e01-a7ca-347bc115542c	Desulo	Desulo	4	0	2013-07-22 03:51:14.003184+02	\N	\N	\N	\N	\N	\N	f	
18408	7115c3fa-0293-4126-b704-f9fd185b3790	Turano Lodigiano	Turano Lodigiano	4	0	2013-07-22 08:25:19.272714+02	\N	\N	\N	\N	\N	\N	f	
17052	25e94a12-d3f4-413d-b087-b436d5a43b0b	Valpelline, Aosta Valley	Valpelline, Aosta Valley	4	0	2013-07-22 05:37:09.341693+02	\N	\N	\N	\N	\N	\N	f	
17072	a46d46cb-e8ea-4631-9cc6-96a424e00f7c	Altrei	Altrei	4	0	2013-07-22 05:39:42.857931+02	\N	\N	\N	\N	\N	\N	f	
19216	a9ec5401-5db4-43d4-b756-eb4ff88ac88b	Visone	Visone	4	0	2013-07-22 10:07:29.193503+02	\N	\N	\N	\N	\N	\N	f	
19764	2409547f-69f4-4ab5-b86c-ace42ce8295e	Burgio	Burgio	4	0	2013-07-22 11:33:20.436055+02	\N	\N	\N	\N	\N	\N	f	
22937	1e22d0a4-7110-4632-a6ea-08e0e28a6064	Grosse Pointe Woods	Grosse Pointe Woods	3	0	2013-08-20 14:38:00.309575+02	\N	\N	\N	\N	\N	\N	f	
19342	d61bd569-e871-4860-a7e7-b9282222911c	St. Martin in Passeier	St. Martin in Passeier	4	0	2013-07-22 10:22:58.406042+02	\N	\N	\N	\N	\N	\N	f	
19382	bd17a664-7e61-4468-9848-622b268cf771	Fresagrandinaria	Fresagrandinaria	4	0	2013-07-22 10:28:08.841746+02	\N	\N	\N	\N	\N	\N	f	
19786	969ed9b4-8e08-44e5-8a74-865d49bb34de	Cammarata	Cammarata	4	0	2013-07-22 11:36:06.331148+02	\N	\N	\N	\N	\N	\N	f	
19412	1d23c7bf-cb34-40d3-8a82-a3cb4d78e69d	Poggiofiorito	Poggiofiorito	4	0	2013-07-22 10:31:46.437988+02	\N	\N	\N	\N	\N	\N	f	
19421	2b02ded7-4562-4c87-83da-0c1dc7452312	Miglianico	Miglianico	4	0	2013-07-22 10:32:43.384574+02	\N	\N	\N	\N	\N	\N	f	
23237	03f6af5b-8b9a-4ecd-96e0-1dd3876970cb	Newport (city)	Newport (city)	3	0	2013-08-24 14:17:50.111219+02	\N	\N	\N	\N	\N	\N	f	
19428	6936bcc8-ee04-4fd8-a0ac-7bd74e02d875	Vasto	Vasto	4	0	2013-07-22 10:33:39.748567+02	\N	\N	\N	\N	\N	\N	f	
19820	bd622961-6f75-485d-bc22-c635cfaae232	Minervino di Lecce	Minervino di Lecce	4	0	2013-07-22 11:41:22.339198+02	\N	\N	\N	\N	\N	\N	f	
19452	56a9f717-20b2-4f71-b865-05ef8b926765	Corvara	Corvara	4	0	2013-07-22 10:37:02.639918+02	\N	\N	\N	\N	\N	\N	f	
19538	c960c023-48dd-4f41-9464-b15fa837f2a9	Controguerra	Controguerra	4	0	2013-07-22 10:47:12.0205+02	\N	\N	\N	\N	\N	\N	f	
23072	9d2d14ee-d508-4fcd-b09c-1a0cbdc6873b	Southaven, Mississippi	Southaven, Mississippi	3	0	2013-08-22 02:38:50.110173+02	\N	\N	\N	\N	\N	\N	f	
19598	8d97fbdb-316a-47f4-a049-47c1e6df44bc	Anzano di Puglia	Anzano di Puglia	4	0	2013-07-22 11:00:07.512178+02	\N	\N	\N	\N	\N	\N	f	
19840	586c8f02-b6ae-47b0-8fc9-9e9689da191a	Casola in Lunigiana	Casola in Lunigiana	4	0	2013-07-22 11:45:17.214239+02	\N	\N	\N	\N	\N	\N	f	
19602	54cddb9e-ed2e-4451-a120-2ea2ed87cb51	Biccari	Biccari	4	0	2013-07-22 11:00:59.606243+02	\N	\N	\N	\N	\N	\N	f	
20404	8c59bc21-3bea-4b4f-b309-8dc323f74b21	Lappano	Lappano	4	0	2013-07-22 23:48:03.233251+02	\N	\N	\N	\N	\N	\N	f	
23140	125b736e-1b42-4d36-9174-a698a0b7ea5f	Zimmerman	Zimmerman	3	0	2013-08-22 05:30:02.24269+02	\N	\N	\N	\N	\N	\N	f	
20533	aab1fa6c-b3af-490d-85e5-c618562a7244	Palizzi	Palizzi	4	0	2013-07-23 05:32:04.965278+02	\N	\N	\N	\N	\N	\N	f	
20576	e557d6d8-faee-48cd-acdb-0bf770e78b87	Seminara	Seminara	4	0	2013-07-23 05:42:12.18489+02	\N	\N	\N	\N	\N	\N	f	
23639	482c58cd-a99a-4915-a5ac-75dacfede646	Benešov	Benešov	3	0	2013-08-26 20:27:08.841771+02	\N	\N	\N	\N	\N	\N	f	
20589	f86ce81b-9812-43a7-a018-1038260aea15	Santa Cristina d'Aspromonte	Santa Cristina d'Aspromonte	4	0	2013-07-23 05:44:48.969984+02	\N	\N	\N	\N	\N	\N	f	
23157	38879476-2f10-4040-ad05-fc54d7323673	Blue Mountain	Blue Mountain	3	0	2013-08-22 05:34:30.829715+02	\N	\N	\N	\N	\N	\N	f	
20618	3707eb33-d2a7-43dd-b5a3-6227de1287e4	Sant'Onofrio	Sant'Onofrio	4	0	2013-07-23 05:50:48.666689+02	\N	\N	\N	\N	\N	\N	f	
20619	17bf3a86-8852-4aef-97c3-5aed7e714919	Calitri	Calitri	4	0	2013-07-23 05:51:00.522531+02	\N	\N	\N	\N	\N	\N	f	
23337	5e46ba26-ca2b-4e12-854a-45f3947a2491	Perry	Perry	3	0	2013-08-24 17:27:23.325113+02	\N	\N	\N	\N	\N	\N	f	
23186	76bfdecb-be1d-4af3-96d0-58020bf54b67	Wells	Wells	3	0	2013-08-22 08:21:48.827702+02	\N	\N	\N	\N	\N	\N	f	
23206	0f888199-ee8a-4bbb-bc26-f99f31bc39fb	Henrietta	Henrietta	3	0	2013-08-23 08:32:35.348111+02	\N	\N	\N	\N	\N	\N	f	
23459	a415cd26-d2f5-43b6-8c24-7b40033baa67	Mänttä-Vilppula	Mänttä-Vilppula	3	0	2013-08-26 02:17:56.989605+02	\N	\N	\N	\N	\N	\N	f	
23385	db755a5c-245d-4587-a99a-c5d7919239cb	Darlington	Darlington	3	0	2013-08-24 20:17:56.421924+02	\N	\N	\N	\N	\N	\N	f	
23208	82062546-e337-4045-a6fe-4076fe453fe6	Lordsburg, New Mexico	Lordsburg, New Mexico	3	0	2013-08-23 11:17:48.710083+02	\N	\N	\N	\N	\N	\N	f	
23227	1086b14e-b61b-4145-9a93-74b7d8c96068	Bayugan City	Bayugan City	3	0	2013-08-23 14:19:57.923731+02	\N	\N	\N	\N	\N	\N	f	
23230	a96874ba-77ff-4180-841d-f865df02ad71	Schwerin	Schwerin	3	0	2013-08-23 17:19:35.940745+02	\N	\N	\N	\N	\N	\N	f	
23393	0e309550-0894-4720-824e-6c93a52ab934	Marshfield	Marshfield	3	0	2013-08-24 20:22:01.954105+02	\N	\N	\N	\N	\N	\N	f	
23532	56b70770-06fe-40fb-8e49-d3113ee0e4b8	Kuopio	Kuopio	3	0	2013-08-26 11:19:31.591167+02	\N	\N	\N	\N	\N	\N	f	
23424	06f49c83-0ff8-4305-a3a1-7cf57578bc9d	Copan	Copan	3	0	2013-08-25 17:24:40.450741+02	\N	\N	\N	\N	\N	\N	f	
23426	6aa0edae-5c4e-4aa1-a8c5-b9b6e2d563bc	Belen, New Mexico	Belen, New Mexico	3	0	2013-08-25 20:31:21.58849+02	\N	\N	\N	\N	\N	\N	f	
24670	5689c0c6-4766-4249-8746-2a558a52aa8d	Mound City	Mound City	3	0	2013-09-07 08:06:48.018179+02	\N	\N	\N	\N	\N	\N	f	
23432	04de2627-fe45-411a-8ad4-78da39420ec6	Trenčín	Trenčín	3	0	2013-08-25 23:19:12.574166+02	\N	\N	\N	\N	\N	\N	f	
23644	9959a496-7d05-4d22-86a5-ee3a4fd68c38	Masterton	Masterton	3	0	2013-08-26 23:18:29.102694+02	\N	\N	\N	\N	\N	\N	f	
23543	29829589-059c-44e0-9f14-5efa2d2bd1e6	Medzev	Medzev	3	0	2013-08-26 14:18:34.275077+02	\N	\N	\N	\N	\N	\N	f	
23604	c8442a2f-53a8-4f6c-aaf7-ffc510cf0520	Chomutov	Chomutov	3	0	2013-08-26 17:18:48.216301+02	\N	\N	\N	\N	\N	\N	f	
24733	2cec2a8a-7f5e-4dbe-b348-de5599cfaef5	Ely	Ely	3	0	2013-09-07 08:20:00.02241+02	\N	\N	\N	\N	\N	\N	f	
24654	a1206bc1-fb03-4500-955b-5e87b13cbe72	Colona	Colona	3	0	2013-09-07 08:03:03.709053+02	\N	\N	\N	\N	\N	\N	f	
24678	957e4ce9-4a4e-469f-81ab-03f828cd1d39	Greenville	Greenville	3	0	2013-09-07 08:08:36.647465+02	\N	\N	\N	\N	\N	\N	f	
25208	a1057cc7-c59d-4fdd-907a-aeef87f37798	Jolley	Jolley	3	0	2013-09-07 10:40:16.843806+02	\N	\N	\N	\N	\N	\N	f	
25188	a0f0a962-8bc4-4e6b-a803-f9fc4e6ab502	Hubbard	Hubbard	3	0	2013-09-07 10:34:31.43781+02	\N	\N	\N	\N	\N	\N	f	
25758	7149c9e5-7a36-4b82-86ea-469185a90db6	Poplar Hills, Kentucky	Poplar Hills, Kentucky	3	0	2013-09-07 14:31:23.649064+02	\N	\N	\N	\N	\N	\N	f	
25767	967b9098-db0d-4d53-81ee-83717f390f2b	Nashville, Kansas	Nashville, Kansas	3	0	2013-09-07 14:33:40.385969+02	\N	\N	\N	\N	\N	\N	f	
26204	9407ddf1-8df5-433d-94a8-0a30eb186624	Sturgis, Kentucky	Sturgis, Kentucky	3	0	2013-09-07 20:44:38.562135+02	\N	\N	\N	\N	\N	\N	f	
26209	b1eb0396-369b-429e-9df1-734a8a7632cd	Brownsville	Brownsville	3	0	2013-09-07 20:46:00.680948+02	\N	\N	\N	\N	\N	\N	f	
26230	8682887f-4668-41d3-824d-259526ae99ab	Morganfield	Morganfield	3	0	2013-09-07 20:51:19.161083+02	\N	\N	\N	\N	\N	\N	f	
26528	087d7891-9668-4540-bb5a-b39db5325a7f	Portage, Indiana	Portage, Indiana	3	0	2013-09-08 00:58:45.294292+02	\N	\N	\N	\N	\N	\N	f	
26885	2c925f07-ab62-4016-8739-636f0f3c1aff	Taos	Taos	3	0	2013-09-08 03:52:00.418176+02	\N	\N	\N	\N	\N	\N	f	
10935	29d4bdb7-f466-4dca-a348-cd591d531544	Kai	Kai	3	0	2013-06-21 07:43:12.900228+02	\N	\N	\N	\N	\N	\N	f	
10936	3d2be73e-2d13-4674-b316-7867c6da8d25	Yanagawa, Fukuoka	Yanagawa, Fukuoka	3	0	2013-06-21 07:43:50.863481+02	\N	\N	\N	\N	\N	\N	f	
13915	dcb815c1-7ff3-4dc7-ab7a-0c9e07df299c	Vetto	Vetto	4	0	2013-07-21 19:41:29.010578+02	\N	\N	\N	\N	\N	\N	f	
14496	8ccc3388-b5e2-4854-bfd8-d4a03702a0ed	Monte Romano	Monte Romano	4	0	2013-07-21 21:51:15.628527+02	\N	\N	\N	\N	\N	\N	f	
15606	c81b8725-8ea4-4c9f-bc00-77a95e1da146	Toceno	Toceno	4	0	2013-07-22 01:22:45.466085+02	\N	\N	\N	\N	\N	\N	f	
14525	80e35895-97ee-4513-a2dc-4159215b4ca7	Sala Monferrato	Sala Monferrato	4	0	2013-07-21 21:57:37.149233+02	\N	\N	\N	\N	\N	\N	f	
15013	e97b9862-d520-4a6e-819e-d75a9f060956	Morozzo	Morozzo	4	0	2013-07-21 23:36:58.946931+02	\N	\N	\N	\N	\N	\N	f	
15106	8df0b2fb-e58b-4142-bf21-27ac450beeb8	Sale San Giovanni	Sale San Giovanni	4	0	2013-07-21 23:48:21.167941+02	\N	\N	\N	\N	\N	\N	f	
15635	d61f8185-9eff-49b2-b175-705631903276	Vogogna	Vogogna	4	0	2013-07-22 01:29:22.901533+02	\N	\N	\N	\N	\N	\N	f	
15169	87edccd4-346a-4ab8-99b5-45781918e5c3	Lisciano Niccone	Lisciano Niccone	4	0	2013-07-21 23:56:02.096464+02	\N	\N	\N	\N	\N	\N	f	
17403	ab7d6259-3333-45bc-b2e7-ee6c047e6f5c	Daverio	Daverio	4	0	2013-07-22 06:23:09.69966+02	\N	\N	\N	\N	\N	\N	f	
15661	daf2d2e8-144e-45a5-b789-ace927941668	Capena	Capena	4	0	2013-07-22 01:34:48.475362+02	\N	\N	\N	\N	\N	\N	f	
15674	6ecba5af-5928-4bbb-bafd-5aa92b7268a7	Ciciliano	Ciciliano	4	0	2013-07-22 01:37:38.278516+02	\N	\N	\N	\N	\N	\N	f	
22802	9b706389-c73b-43cf-b80f-ed452515a7eb	Castel di Lucio	Castel di Lucio	4	0	2013-08-14 17:50:38.78855+02	\N	\N	\N	\N	\N	\N	f	
15729	9f8d242a-bcd1-423b-8fdb-ae444513ce03	Olevano Romano	Olevano Romano	4	0	2013-07-22 01:50:01.657898+02	\N	\N	\N	\N	\N	\N	f	
18409	1bd07109-abbf-4e9e-aa51-e6054e1b0a2f	Nibionno	Nibionno	4	0	2013-07-22 08:25:22.120641+02	\N	\N	\N	\N	\N	\N	f	
15749	a1a2a248-bd3a-4d8e-bbec-92c03dbc8cc5	Albiano	Albiano	4	0	2013-07-22 01:54:15.023554+02	\N	\N	\N	\N	\N	\N	f	
16481	5fd9802f-6bd4-410b-878b-74864d79e91d	Sant'Anna Arresi	Sant'Anna Arresi	4	0	2013-07-22 03:39:02.566954+02	\N	\N	\N	\N	\N	\N	f	
19768	1a71a3bf-2ca2-4071-9271-89445aa5abbf	Gagliano del Capo	Gagliano del Capo	4	0	2013-07-22 11:33:58.607901+02	\N	\N	\N	\N	\N	\N	f	
16511	a1893787-c04a-47de-9d8a-de1f9efad1d1	Las Plassas	Las Plassas	4	0	2013-07-22 03:42:17.382377+02	\N	\N	\N	\N	\N	\N	f	
16520	45ab58ab-31c6-4bed-922e-f18cb83873ae	Arbus, Sardinia	Arbus, Sardinia	4	0	2013-07-22 03:43:09.770969+02	\N	\N	\N	\N	\N	\N	f	
16521	aac7a944-0180-47d7-b76a-7f03cc62e6f4	Villamar	Villamar	4	0	2013-07-22 03:43:34.556275+02	\N	\N	\N	\N	\N	\N	f	
16576	ab09fbd9-e0a1-49e2-a48e-3515f4df44cf	Casale sul Sile	Casale sul Sile	4	0	2013-07-22 03:50:27.373381+02	\N	\N	\N	\N	\N	\N	f	
18475	c8d5e600-1086-47ce-8c41-525682f7a8e6	Sant'Angelo Muxaro	Sant'Angelo Muxaro	4	0	2013-07-22 08:36:29.206614+02	\N	\N	\N	\N	\N	\N	f	
16586	b5c51983-dab9-4df6-a8c8-8969d78aa12c	Cappella Maggiore	Cappella Maggiore	4	0	2013-07-22 03:51:38.741993+02	\N	\N	\N	\N	\N	\N	f	
17054	d8196a88-7237-468a-a67e-dd7d394c1916	Perloz	Perloz	4	0	2013-07-22 05:37:23.166861+02	\N	\N	\N	\N	\N	\N	f	
20600	88901240-e32e-4272-b299-b8fe20d44595	Santo Stefano in Aspromonte	Santo Stefano in Aspromonte	4	0	2013-07-23 05:47:01.708867+02	\N	\N	\N	\N	\N	\N	f	
17058	2941e329-e2bf-4370-9b16-497d7a3f60c3	Rocca de' Giorgi	Rocca de' Giorgi	4	0	2013-07-22 05:37:50.201245+02	\N	\N	\N	\N	\N	\N	f	
18620	cc408ac2-60d0-405e-81c8-057d9b6ef4a6	Fonte	Fonte	4	0	2013-07-22 08:53:32.943752+02	\N	\N	\N	\N	\N	\N	f	
17162	9e70e55a-732d-4676-bb68-9cc1a5f5640d	Narbolia	Narbolia	4	0	2013-07-22 05:51:50.185853+02	\N	\N	\N	\N	\N	\N	f	
19781	d7ee5ef3-be52-460d-b5ae-161069d25fb2	Cavallino	Cavallino	4	0	2013-07-22 11:35:30.633398+02	\N	\N	\N	\N	\N	\N	f	
17191	6301e211-ed80-43c7-81d5-316ad4296be6	Pompu	Pompu	4	0	2013-07-22 05:55:50.315915+02	\N	\N	\N	\N	\N	\N	f	
18653	4d8c6b22-2e6a-4b75-8421-b66490a37337	Noale	Noale	4	0	2013-07-22 08:57:42.018925+02	\N	\N	\N	\N	\N	\N	f	
18664	9e081d7c-714a-452e-b901-75bd1292cdd3	Cerro Veronese	Cerro Veronese	4	0	2013-07-22 08:59:05.127926+02	\N	\N	\N	\N	\N	\N	f	
22938	578ebbf0-d685-4cc6-a8b4-0ad28b340e2c	Grosse Pointe Park	Grosse Pointe Park	3	0	2013-08-20 14:38:15.919948+02	\N	\N	\N	\N	\N	\N	f	
19219	d33b24e1-9b99-4c99-bbf5-9308bdf092a6	Calascio	Calascio	4	0	2013-07-22 10:07:55.601324+02	\N	\N	\N	\N	\N	\N	f	
19785	cda0f697-513a-4d72-852f-cf14290fe317	Casarano	Casarano	4	0	2013-07-22 11:35:55.292553+02	\N	\N	\N	\N	\N	\N	f	
19221	04c43372-4d4f-47d2-b244-afb69b6cd36d	Capestrano	Capestrano	4	0	2013-07-22 10:08:12.260719+02	\N	\N	\N	\N	\N	\N	f	
19789	288042cd-87e3-4889-b995-e2741cb7c2e1	Subbiano	Subbiano	4	0	2013-07-22 11:36:27.889787+02	\N	\N	\N	\N	\N	\N	f	
23209	1c9b4c44-7aab-482f-980f-1cc0de1ab0a7	Ponca City	Ponca City	3	0	2013-08-23 11:19:48.916851+02	\N	\N	\N	\N	\N	\N	f	
19850	13d7a184-84e4-4bee-a0f7-386e690c9a46	Taviano	Taviano	4	0	2013-07-22 11:46:31.921259+02	\N	\N	\N	\N	\N	\N	f	
19876	993739f5-0e7f-4dfc-8a78-4c8524114ef0	Policoro	Policoro	4	0	2013-07-22 11:49:28.899921+02	\N	\N	\N	\N	\N	\N	f	
23073	9acd8e7d-dafe-4b92-9178-b26baf092ac0	St. Charles, Missouri	St. Charles, Missouri	3	0	2013-08-22 02:39:09.66656+02	\N	\N	\N	\N	\N	\N	f	
20038	f80b9ad6-c099-4265-90c3-226e5848e626	Riolo Terme	Riolo Terme	4	0	2013-07-22 12:11:19.610929+02	\N	\N	\N	\N	\N	\N	f	
22434	8c18e117-1dce-49d8-8fa5-4803107d470a	Del Mar, California	Del Mar, California	3	0	2013-08-11 02:49:59.089526+02	\N	\N	\N	\N	\N	\N	f	
20406	7279ddab-afd3-4bfa-a7e7-29078aea87a4	Lungro	Lungro	4	0	2013-07-22 23:48:28.124075+02	\N	\N	\N	\N	\N	\N	f	
20409	313d7684-4ed1-4819-8bb8-125ae24d8bf1	Mottafollone	Mottafollone	4	0	2013-07-22 23:49:05.922052+02	\N	\N	\N	\N	\N	\N	f	
20534	398446dc-7b44-4b5a-a1bc-d758183921ed	Ferruzzano	Ferruzzano	4	0	2013-07-23 05:32:28.926952+02	\N	\N	\N	\N	\N	\N	f	
22447	f6d63a14-10f8-4bde-be69-b804f6dde9f8	Woodland	Woodland	3	0	2013-08-11 02:54:49.685075+02	\N	\N	\N	\N	\N	\N	f	
20585	1fbb115e-ad12-4c65-9abf-21ec7bf69145	Mileto	Mileto	4	0	2013-07-23 05:44:00.707972+02	\N	\N	\N	\N	\N	\N	f	
22752	dc53c9b3-9558-4952-82c6-18cebe07edc7	Castell'Umberto	Castell'Umberto	4	0	2013-08-14 17:38:38.596261+02	\N	\N	\N	\N	\N	\N	f	
23077	d5ca977b-0630-4f0a-b6a5-ee8843f26bfa	Stillwater	Stillwater	3	0	2013-08-22 02:41:23.759527+02	\N	\N	\N	\N	\N	\N	f	
22767	e4f9671d-8325-4186-8487-255c0e3001b7	Limina	Limina	4	0	2013-08-14 17:41:58.620914+02	\N	\N	\N	\N	\N	\N	f	
22792	a77ca394-8d79-4f14-aa8b-e01d113a673d	Tusa	Tusa	4	0	2013-08-14 17:47:50.54784+02	\N	\N	\N	\N	\N	\N	f	
23231	ece4d8e3-5f7d-4e45-b2de-15d280558f92	Tabaco City	Tabaco City	3	0	2013-08-23 17:19:59.511274+02	\N	\N	\N	\N	\N	\N	f	
23142	36a0753b-d49f-4094-8fa7-d66fa8a839bf	Morgan	Morgan	3	0	2013-08-22 05:30:28.449379+02	\N	\N	\N	\N	\N	\N	f	
23187	cd22d0ba-c79b-45b3-a8e0-617b240df5f0	Las Vegas	Las Vegas	3	0	2013-08-22 08:23:56.045928+02	\N	\N	\N	\N	\N	\N	f	
23223	bc4c23a5-f53a-4a43-aaa3-bb6bf89271c4	Stillwater	Stillwater	3	0	2013-08-23 11:34:48.490568+02	\N	\N	\N	\N	\N	\N	f	
23433	58a22387-9476-4ede-b0e2-7b35c354a1ef	Kouvola	Kouvola	3	0	2013-08-25 23:22:17.054531+02	\N	\N	\N	\N	\N	\N	f	
23228	853c2884-3d8a-436d-bdea-8e5798ad9dc2	Cabadbaran City	Cabadbaran City	3	0	2013-08-23 14:20:25.205239+02	\N	\N	\N	\N	\N	\N	f	
23238	9a04b4e3-a672-4186-bf96-40dd21f972c4	Alpine	Alpine	3	0	2013-08-24 14:18:49.771727+02	\N	\N	\N	\N	\N	\N	f	
23427	a661bac8-f1e5-42c2-8daa-cf3a327de46a	Heinola	Heinola	3	0	2013-08-25 20:32:03.705192+02	\N	\N	\N	\N	\N	\N	f	
23338	e49feff1-a44c-4f52-a103-19c56dc1d4cb	Spring City	Spring City	3	0	2013-08-24 17:27:51.632832+02	\N	\N	\N	\N	\N	\N	f	
23386	6e7e4a03-da39-46c3-b427-2711ee898975	Hudson	Hudson	3	0	2013-08-24 20:18:27.122121+02	\N	\N	\N	\N	\N	\N	f	
23460	f22faf0d-5fd8-4144-8268-3dbf4ef8f4af	Rovaniemi	Rovaniemi	3	0	2013-08-26 02:18:29.320149+02	\N	\N	\N	\N	\N	\N	f	
23466	1a5c396e-9626-4e36-83d4-d2cbf1395b8d	Zlaté Moravce	Zlaté Moravce	3	0	2013-08-26 02:23:51.762695+02	\N	\N	\N	\N	\N	\N	f	
23533	462deb71-2d7b-4e48-b8b2-9e69ebce0011	Joensuu	Joensuu	3	0	2013-08-26 11:20:23.483359+02	\N	\N	\N	\N	\N	\N	f	
23544	99bbd4c1-7234-420d-b8ff-ede676b73ed6	Šaštín-Stráže	Šaštín-Stráže	3	0	2013-08-26 14:19:07.833368+02	\N	\N	\N	\N	\N	\N	f	
23605	e683fd01-609d-40d1-9235-73a4eed6ff05	Jablonec nad Nisou	Jablonec nad Nisou	3	0	2013-08-26 17:19:09.010349+02	\N	\N	\N	\N	\N	\N	f	
23621	db4c483a-7e9b-4a27-a705-f44acd4cc2a4	Frýdek-Místek	Frýdek-Místek	3	0	2013-08-26 17:32:18.227248+02	\N	\N	\N	\N	\N	\N	f	
23640	30075929-e086-4ca7-868c-316ae92f522d	Fullerton	Fullerton	3	0	2013-08-26 20:27:41.444864+02	\N	\N	\N	\N	\N	\N	f	
10937	f2450651-4a9d-4108-9e15-8c2a26e5fef9	Yurihonjō	Yurihonjō	3	0	2013-06-21 07:44:25.74698+02	\N	\N	\N	\N	\N	\N	f	
10938	f412a832-06a8-423b-963e-29bcf6f33603	Kurayoshi	Kurayoshi	3	0	2013-06-21 07:45:22.82702+02	\N	\N	\N	\N	\N	\N	f	
10939	a7f4fdb3-a1e9-41dd-9db5-62d1820dba20	Katagami	Katagami	3	0	2013-06-21 07:45:41.691545+02	\N	\N	\N	\N	\N	\N	f	
13919	4a31b997-1585-4d86-b006-f59053d5bf91	Castellarano	Castellarano	4	0	2013-07-21 19:42:26.977054+02	\N	\N	\N	\N	\N	\N	f	
10940	6596bf75-8dac-426d-b13a-cc61483aab03	Fujiyoshida	Fujiyoshida	3	0	2013-06-21 07:45:56.032376+02	\N	\N	\N	\N	\N	\N	f	
10963	54b9c04e-f336-4196-9dee-11a97c15358b	Fuefuki	Fuefuki	3	0	2013-06-21 07:54:36.577756+02	\N	\N	\N	\N	\N	\N	f	
10964	976b27ba-7c17-4379-9826-45513bd228af	Mimasaka	Mimasaka	3	0	2013-06-21 07:55:00.923989+02	\N	\N	\N	\N	\N	\N	f	
13987	9f09177a-128c-4a9d-a7b8-dc333a806703	Sale Marasino	Sale Marasino	4	0	2013-07-21 19:57:51.419397+02	\N	\N	\N	\N	\N	\N	f	
15607	e336b0ea-ccd9-4fb0-aad2-b92bf5c45509	Vanzone con San Carlo	Vanzone con San Carlo	4	0	2013-07-22 01:22:58.477956+02	\N	\N	\N	\N	\N	\N	f	
14497	e335b226-8323-4a04-a1fb-0c9648206b6d	Ponzone	Ponzone	4	0	2013-07-21 21:51:31.465902+02	\N	\N	\N	\N	\N	\N	f	
15260	f145f0ff-147a-4435-991f-372909d18954	Trezzo Tinella	Trezzo Tinella	4	0	2013-07-22 00:06:55.600077+02	\N	\N	\N	\N	\N	\N	f	
15612	f30853b8-6021-4c07-b2b2-b31f016b1ff4	Massiola	Massiola	4	0	2013-07-22 01:24:15.834922+02	\N	\N	\N	\N	\N	\N	f	
23232	381ff35b-5723-4571-bffe-937bac13491e	Isabela City	Isabela City	3	0	2013-08-23 17:20:15.058668+02	\N	\N	\N	\N	\N	\N	f	
22757	2fc6acf5-6d03-4380-b2e3-ff1fa8d59c0e	Gallodoro	Gallodoro	4	0	2013-08-14 17:39:47.449743+02	\N	\N	\N	\N	\N	\N	f	
15625	404ae0e2-b422-4d4b-b3a1-ddacb1ac0b47	Premosello-Chiovenda	Premosello-Chiovenda	4	0	2013-07-22 01:27:15.197848+02	\N	\N	\N	\N	\N	\N	f	
15655	9711ebe4-6e67-4678-a393-0b029197a39c	Cervara di Roma	Cervara di Roma	4	0	2013-07-22 01:33:38.588523+02	\N	\N	\N	\N	\N	\N	f	
15656	f0158c1f-9dde-47af-b449-23206ebf4911	Storo	Storo	4	0	2013-07-22 01:33:50.178372+02	\N	\N	\N	\N	\N	\N	f	
17410	f89c4f05-dd77-4040-b90d-9f921493af9e	Vistarino	Vistarino	4	0	2013-07-22 06:23:52.57842+02	\N	\N	\N	\N	\N	\N	f	
16482	facc1390-08dc-47fa-93a5-6f35d75b91b8	Genuri	Genuri	4	0	2013-07-22 03:39:07.752764+02	\N	\N	\N	\N	\N	\N	f	
19769	69e02823-7d79-413d-a0d4-94a1bce90ab6	Cicognolo	Cicognolo	4	0	2013-07-22 11:34:02.920771+02	\N	\N	\N	\N	\N	\N	f	
16534	e62ceeeb-8cd4-448e-9e44-42a83582e2cd	Giovo	Giovo	4	0	2013-07-22 03:45:03.75404+02	\N	\N	\N	\N	\N	\N	f	
18413	21a7d4d7-74cb-433a-af14-0da0467c6251	Gessate	Gessate	4	0	2013-07-22 08:25:54.534379+02	\N	\N	\N	\N	\N	\N	f	
17063	c3ee388a-8ec9-487e-b1c0-3d191e9c08ec	Lillianes	Lillianes	4	0	2013-07-22 05:38:25.331018+02	\N	\N	\N	\N	\N	\N	f	
17171	f1e9d89e-3830-4f72-abcc-7a781de2defd	Ruinas	Ruinas	4	0	2013-07-22 05:53:05.054486+02	\N	\N	\N	\N	\N	\N	f	
19233	fdf328ec-5683-4d9d-bd43-efc600899013	Lucoli	Lucoli	4	0	2013-07-22 10:09:43.355634+02	\N	\N	\N	\N	\N	\N	f	
22804	842ee2d8-e45f-46ae-b138-e227d9305ff0	Itala, Sicily	Itala, Sicily	4	0	2013-08-14 17:51:21.398907+02	\N	\N	\N	\N	\N	\N	f	
19263	419c7779-b5f3-4c09-b9b8-00fd7afab5c3	Sante Marie	Sante Marie	4	0	2013-07-22 10:13:23.906419+02	\N	\N	\N	\N	\N	\N	f	
19889	586e3ab7-a2e4-4ea4-907b-8420689916aa	San Mauro Forte	San Mauro Forte	4	0	2013-07-22 11:51:15.990756+02	\N	\N	\N	\N	\N	\N	f	
19303	4d7839a5-4464-4263-a653-9186d3040b6d	Pratola Peligna	Pratola Peligna	4	0	2013-07-22 10:18:24.278527+02	\N	\N	\N	\N	\N	\N	f	
19381	27381541-e027-4f4b-8257-d3be6a19d3e9	Casalincontrada	Casalincontrada	4	0	2013-07-22 10:28:02.443539+02	\N	\N	\N	\N	\N	\N	f	
19892	0a51178d-78ef-4e3f-996f-ed2a4e67c20b	Zeri	Zeri	4	0	2013-07-22 11:51:35.413181+02	\N	\N	\N	\N	\N	\N	f	
19573	42041889-f97c-4c65-841d-93e7b6a180cf	Polignano a Mare	Polignano a Mare	4	0	2013-07-22 10:54:50.665577+02	\N	\N	\N	\N	\N	\N	f	
19603	a745fc39-b646-44ce-bd1e-f530543a84c6	Erchie	Erchie	4	0	2013-07-22 11:01:11.897766+02	\N	\N	\N	\N	\N	\N	f	
22940	44403c2f-37c6-4fb8-bfe6-5bdfb54ffe82	Ferrysburg, Michigan	Ferrysburg, Michigan	3	0	2013-08-20 14:39:04.842799+02	\N	\N	\N	\N	\N	\N	f	
20407	4eaa0329-cc9d-4fcf-952b-77d6b9a4e689	Pedace	Pedace	4	0	2013-07-22 23:48:40.602124+02	\N	\N	\N	\N	\N	\N	f	
20535	687f68d2-7f4b-4df4-8356-b19c38d03a2b	Monasterace	Monasterace	4	0	2013-07-23 05:32:54.199518+02	\N	\N	\N	\N	\N	\N	f	
23239	a045c6d3-892a-4a94-be51-78c1353d504d	Nephi	Nephi	3	0	2013-08-24 14:19:19.542586+02	\N	\N	\N	\N	\N	\N	f	
20537	92aa5387-6564-4059-b8de-18925bd5cfab	Roccella Ionica	Roccella Ionica	4	0	2013-07-23 05:33:42.501102+02	\N	\N	\N	\N	\N	\N	f	
22941	eb3a7e65-2638-4afa-8820-c134bb032517	Greenville, Michigan	Greenville, Michigan	3	0	2013-08-20 14:39:22.189764+02	\N	\N	\N	\N	\N	\N	f	
20578	db2a644d-966b-48fe-b982-593e3f83a43f	Capistrano, Calabria	Capistrano, Calabria	4	0	2013-07-23 05:42:36.431456+02	\N	\N	\N	\N	\N	\N	f	
20587	b7f3dfa4-5cb6-4373-8e10-182110d28161	Terranova Sappo Minulio	Terranova Sappo Minulio	4	0	2013-07-23 05:44:24.577696+02	\N	\N	\N	\N	\N	\N	f	
23076	b368b870-adfb-46f2-8644-dc629aba79b6	Wentzville	Wentzville	3	0	2013-08-22 02:40:55.974355+02	\N	\N	\N	\N	\N	\N	f	
23428	2613ce68-a2e8-41e6-b80d-37096558fb09	Haywards Heath	Haywards Heath	3	0	2013-08-25 20:32:52.960948+02	\N	\N	\N	\N	\N	\N	f	
23087	763c529c-a11d-4e5e-845e-d5c9c68fac0e	Charleston	Charleston	3	0	2013-08-22 02:44:27.407451+02	\N	\N	\N	\N	\N	\N	f	
22435	f1aa13b2-5155-4943-84d9-5417fa5bd0fb	Montebello	Montebello	3	0	2013-08-11 02:50:12.695509+02	\N	\N	\N	\N	\N	\N	f	
23242	825b8fa9-5e70-4078-8b7d-7498eddaeee8	Duchesne	Duchesne	3	0	2013-08-24 14:20:14.861437+02	\N	\N	\N	\N	\N	\N	f	
22753	1cef4a78-bf7a-4d72-8aa7-10ad0358cebc	Tripi	Tripi	4	0	2013-08-14 17:38:51.446405+02	\N	\N	\N	\N	\N	\N	f	
23143	e3aabab6-161b-4d47-8721-a86adc80836d	Wayzata	Wayzata	3	0	2013-08-22 05:30:41.320392+02	\N	\N	\N	\N	\N	\N	f	
23188	a1e179ba-d7a5-4f39-b839-94bac2e9b269	Reno	Reno	3	0	2013-08-22 08:28:21.531523+02	\N	\N	\N	\N	\N	\N	f	
23335	937ee8b5-9576-4e6b-bd3f-18d882e94ec2	Moroni	Moroni	3	0	2013-08-24 14:53:45.561821+02	\N	\N	\N	\N	\N	\N	f	
23210	4d240016-949b-4749-946c-744740065403	Harrah, Oklahoma	Harrah, Oklahoma	3	0	2013-08-23 11:24:46.538459+02	\N	\N	\N	\N	\N	\N	f	
23545	a3ceb7a2-917f-4e4a-a678-7b5cb0464169	Brezová pod Bradlom	Brezová pod Bradlom	3	0	2013-08-26 14:19:34.728959+02	\N	\N	\N	\N	\N	\N	f	
23434	638a94ea-ffa8-44c0-abf4-a0b6d030573b	Prievidza	Prievidza	3	0	2013-08-25 23:22:45.098388+02	\N	\N	\N	\N	\N	\N	f	
23339	86a7d1b9-2017-44c8-bf9e-78ddf2466bfa	La Verkin	La Verkin	3	0	2013-08-24 17:28:08.403458+02	\N	\N	\N	\N	\N	\N	f	
23368	72cfd552-4ec3-44d7-b762-fe119b8a723c	Escalante	Escalante	3	0	2013-08-24 17:35:38.49529+02	\N	\N	\N	\N	\N	\N	f	
23534	e4bd087b-4355-432f-8e3d-ed91a558340f	Suonenjoki	Suonenjoki	3	0	2013-08-26 11:25:23.248405+02	\N	\N	\N	\N	\N	\N	f	
23387	24f33e0a-17a6-4643-b5cb-ccaa65898557	Bear River	Bear River	3	0	2013-08-24 20:18:58.083304+02	\N	\N	\N	\N	\N	\N	f	
23461	2327ef73-0a24-453c-9651-515942465841	Detva	Detva	3	0	2013-08-26 02:19:17.048348+02	\N	\N	\N	\N	\N	\N	f	
23470	5e938024-cdc5-4312-ac7c-bb9e71cef187	Nová Dubnica	Nová Dubnica	3	0	2013-08-26 02:27:30.6627+02	\N	\N	\N	\N	\N	\N	f	
23641	d490df66-8c7e-478e-aaf8-c4b9ae13f86d	Santa Ana	Santa Ana	3	0	2013-08-26 20:28:01.201768+02	\N	\N	\N	\N	\N	\N	f	
23477	9206f1c5-b4af-4c15-99e5-8a9250fa7de6	Bytča	Bytča	3	0	2013-08-26 02:30:29.556592+02	\N	\N	\N	\N	\N	\N	f	
23645	e5382ff4-6699-45bd-aa01-d7b5a37b2d11	Dundalk	Dundalk	3	0	2013-08-26 23:22:11.926438+02	\N	\N	\N	\N	\N	\N	f	
23606	bed02f72-e8b0-4af3-8bad-54d018c152b7	Liberec	Liberec	3	0	2013-08-26 17:19:27.390669+02	\N	\N	\N	\N	\N	\N	f	
23646	c5446ccc-24aa-4110-8130-38c97b5d83da	Victoria	Victoria	3	0	2013-08-26 23:22:55.226934+02	\N	\N	\N	\N	\N	\N	f	
24659	a36b02e5-1959-42da-b082-effd80228926	Mount Carmel	Mount Carmel	3	0	2013-09-07 08:04:13.595608+02	\N	\N	\N	\N	\N	\N	f	
24693	edb86f6d-1404-4287-b5eb-08eec285a0d0	Waverly	Waverly	3	0	2013-09-07 08:12:01.715919+02	\N	\N	\N	\N	\N	\N	f	
24705	7acf3514-6bb7-487a-abca-1b9575d6022c	Greenfield	Greenfield	3	0	2013-09-07 08:14:52.440661+02	\N	\N	\N	\N	\N	\N	f	
25194	16e5323f-feb1-4a81-a11a-cc9a3dff7df7	Grand Junction	Grand Junction	3	0	2013-09-07 10:36:10.330638+02	\N	\N	\N	\N	\N	\N	f	
25202	55c9d1ea-d759-4e66-90ff-78cfb8ae083a	Kellerton	Kellerton	3	0	2013-09-07 10:38:17.243629+02	\N	\N	\N	\N	\N	\N	f	
25237	f5acf066-ea9d-44e5-8843-441a333949cd	Dunlap	Dunlap	3	0	2013-09-07 10:48:49.283941+02	\N	\N	\N	\N	\N	\N	f	
25254	129859ba-dd6f-4985-81e0-c677459564d8	Frederika	Frederika	3	0	2013-09-07 10:53:24.048812+02	\N	\N	\N	\N	\N	\N	f	
25257	cf968480-c030-4c9c-bbac-a3ff9433cef2	Halbur	Halbur	3	0	2013-09-07 10:54:12.43448+02	\N	\N	\N	\N	\N	\N	f	
10941	bb8f927c-0751-4aab-a418-2da49db65619	Tōno	Tōno	3	0	2013-06-21 07:46:09.798943+02	\N	\N	\N	\N	\N	\N	f	
10942	cc08961b-b32f-4b1f-9044-6677cb81a163	Kita-Akita	Kita-Akita	3	0	2013-06-21 07:46:28.283338+02	\N	\N	\N	\N	\N	\N	f	
10943	5f1acda9-4ee0-4681-8a62-4cf0966adf9e	Inawashiro	Inawashiro	3	0	2013-06-21 07:46:53.046284+02	\N	\N	\N	\N	\N	\N	f	
13921	4c8dd006-5e33-4571-8cfa-441f1206af12	Castelnovo di Sotto	Castelnovo di Sotto	4	0	2013-07-21 19:42:57.233602+02	\N	\N	\N	\N	\N	\N	f	
10944	98c80d87-87f7-4ae1-bfb1-d56008fb08c8	Chūō	Chūō	3	0	2013-06-21 07:47:04.999001+02	\N	\N	\N	\N	\N	\N	f	
10945	de59cd65-cbec-4df4-99a4-0a80ca2bcf0d	Iitate	Iitate	3	0	2013-06-21 07:47:21.845755+02	\N	\N	\N	\N	\N	\N	f	
10946	7c591d7e-a7e2-456b-b4b3-4365bf232516	Daisen	Daisen	3	0	2013-06-21 07:47:46.875658+02	\N	\N	\N	\N	\N	\N	f	
13930	64ce1fb5-878b-4205-94e7-0af9672d0b8e	Gattatico	Gattatico	4	0	2013-07-21 19:45:07.816965+02	\N	\N	\N	\N	\N	\N	f	
10947	8758c520-61eb-4cf6-a56f-f42214aa6097	Kitakami	Kitakami	3	0	2013-06-21 07:47:58.709337+02	\N	\N	\N	\N	\N	\N	f	
10968	80f077c3-f0d0-40c5-ad91-bda68ca82d5d	Niimi	Niimi	3	0	2013-06-21 07:56:11.699883+02	\N	\N	\N	\N	\N	\N	f	
15608	2e6aa48a-b5b3-4d01-8fa5-68f2c323976f	Varzo	Varzo	4	0	2013-07-22 01:23:14.112347+02	\N	\N	\N	\N	\N	\N	f	
13966	a66643a2-dd1e-417f-915d-77777984ed8c	Poncarale	Poncarale	4	0	2013-07-21 19:52:57.394597+02	\N	\N	\N	\N	\N	\N	f	
14498	dc578ac0-6257-4b58-a354-3ae5f72b1b74	Ozzano Monferrato	Ozzano Monferrato	4	0	2013-07-21 21:51:44.387783+02	\N	\N	\N	\N	\N	\N	f	
15018	4fff0888-cffa-4068-bb4b-f85e95fc8377	Portoscuso	Portoscuso	4	0	2013-07-21 23:37:34.451956+02	\N	\N	\N	\N	\N	\N	f	
15665	9ef5854b-e6f8-46a6-974e-cceaf976b184	Formello	Formello	4	0	2013-07-22 01:35:46.128384+02	\N	\N	\N	\N	\N	\N	f	
22755	491fa57b-922b-42ad-a71c-f7fa4bdd926f	Sant'Alessio Siculo	Sant'Alessio Siculo	4	0	2013-08-14 17:39:21.25525+02	\N	\N	\N	\N	\N	\N	f	
15054	6db6abcd-fd50-40f8-8656-0c484092030e	Paroldo	Paroldo	4	0	2013-07-21 23:42:06.622241+02	\N	\N	\N	\N	\N	\N	f	
17405	59182890-40a3-4f9d-a505-1e265b2bf1cc	Laveno-Mombello	Laveno-Mombello	4	0	2013-07-22 06:23:23.341482+02	\N	\N	\N	\N	\N	\N	f	
15679	8614f23c-5219-4fcf-a268-5257b44d69f3	Manziana	Manziana	4	0	2013-07-22 01:38:36.55483+02	\N	\N	\N	\N	\N	\N	f	
15194	ecd99de0-fae2-4417-8699-8a9c181da65b	San Michele Mondovì	San Michele Mondovì	4	0	2013-07-21 23:58:46.973892+02	\N	\N	\N	\N	\N	\N	f	
15199	4b5c1af5-0b67-477d-8097-82771db93999	San Damiano Macra	San Damiano Macra	4	0	2013-07-21 23:59:26.881342+02	\N	\N	\N	\N	\N	\N	f	
15215	4df63ea3-2a46-4a94-9ae6-fea92d0609d5	Serravalle Langhe	Serravalle Langhe	4	0	2013-07-22 00:01:31.951792+02	\N	\N	\N	\N	\N	\N	f	
16578	f7f55796-4507-411b-8fcf-08f5616fe04b	Casier	Casier	4	0	2013-07-22 03:50:39.772877+02	\N	\N	\N	\N	\N	\N	f	
17423	3f4c11b5-facb-4be7-ac4f-1884e0aa7aee	Castello Cabiaglio	Castello Cabiaglio	4	0	2013-07-22 06:25:24.855501+02	\N	\N	\N	\N	\N	\N	f	
17064	463b5857-d848-449e-886b-7340d5dc57c2	Roisan	Roisan	4	0	2013-07-22 05:38:36.944266+02	\N	\N	\N	\N	\N	\N	f	
17111	38ad7f63-cb09-43ef-a90a-794e5d73c6dc	Corvara	Corvara	4	0	2013-07-22 05:45:11.888321+02	\N	\N	\N	\N	\N	\N	f	
19771	93a29791-95af-49d1-ad8c-d983621d920d	Galbiate	Galbiate	4	0	2013-07-22 11:34:21.877108+02	\N	\N	\N	\N	\N	\N	f	
23234	787833fd-3e54-476c-a045-a93d8eb88b98	Balanga	Balanga	3	0	2013-08-23 17:20:51.308178+02	\N	\N	\N	\N	\N	\N	f	
17450	07351e49-8498-45a3-8b87-48d263ffb3ab	Badia Pavese	Badia Pavese	4	0	2013-07-22 06:29:09.761645+02	\N	\N	\N	\N	\N	\N	f	
17523	92da8a6c-bf1b-4d49-84d8-0106263f1f33	Pancarana	Pancarana	4	0	2013-07-22 06:37:56.001954+02	\N	\N	\N	\N	\N	\N	f	
17619	0ab373a9-3ba9-469b-962e-8e5b60f0b61b	Trichiana	Trichiana	4	0	2013-07-22 06:50:03.582938+02	\N	\N	\N	\N	\N	\N	f	
19772	ddaae572-3bff-4cb9-b337-d66c0af881a1	Campi Salentina	Campi Salentina	4	0	2013-07-22 11:34:27.647493+02	\N	\N	\N	\N	\N	\N	f	
22943	9c64f8ac-d258-46ed-8fdc-f8c99582c0dc	Sunrise	Sunrise	3	0	2013-08-20 14:42:05.565289+02	\N	\N	\N	\N	\N	\N	f	
18415	e754133a-85e6-47de-b49d-8ef668eb07a7	Santo Stefano Lodigiano	Santo Stefano Lodigiano	4	0	2013-07-22 08:26:12.847657+02	\N	\N	\N	\N	\N	\N	f	
19848	7eb4b597-9193-4efb-a9df-c75b2b5a4ea5	Vernole	Vernole	4	0	2013-07-22 11:46:16.045953+02	\N	\N	\N	\N	\N	\N	f	
19774	3e603c9c-7437-4133-9744-d9b63d0a385b	Maglie	Maglie	4	0	2013-07-22 11:34:42.346598+02	\N	\N	\N	\N	\N	\N	f	
18552	cee44f3b-d38f-480d-a03c-6e3b23fa2b6e	Mason Vicentino	Mason Vicentino	4	0	2013-07-22 08:45:18.778743+02	\N	\N	\N	\N	\N	\N	f	
19237	d75caee2-586f-4630-b8ba-1185d7c26e16	Luco dei Marsi	Luco dei Marsi	4	0	2013-07-22 10:10:11.338419+02	\N	\N	\N	\N	\N	\N	f	
19245	c8195b51-d21a-43fb-b887-13048183e2ba	Ortona dei Marsi	Ortona dei Marsi	4	0	2013-07-22 10:11:05.351682+02	\N	\N	\N	\N	\N	\N	f	
19775	e9de0b31-fd0c-4117-9adf-8068babadd90	Alessandria della Rocca	Alessandria della Rocca	4	0	2013-07-22 11:34:48.065431+02	\N	\N	\N	\N	\N	\N	f	
23546	57a98c84-1f89-4b5e-8922-9b3b70795b33	Turčianske Teplice	Turčianske Teplice	3	0	2013-08-26 14:19:57.894263+02	\N	\N	\N	\N	\N	\N	f	
19365	de319dba-dd50-42b6-b6a9-c05e28b659ee	Guardiagrele	Guardiagrele	4	0	2013-07-22 10:26:09.952987+02	\N	\N	\N	\N	\N	\N	f	
23079	61a73487-9bda-4b77-b4d9-6500d04100aa	Brooklyn Park	Brooklyn Park	3	0	2013-08-22 02:41:56.891556+02	\N	\N	\N	\N	\N	\N	f	
19798	9b7649d9-9002-4198-8467-09ec2a6d468b	Spongano	Spongano	4	0	2013-07-22 11:37:32.109786+02	\N	\N	\N	\N	\N	\N	f	
19864	97f1b2bb-40af-453e-bc88-cc143076ce5f	Bernalda	Bernalda	4	0	2013-07-22 11:48:13.358305+02	\N	\N	\N	\N	\N	\N	f	
19806	939c36d4-e334-448e-98c5-d4cc9e968332	San Donato di Lecce	San Donato di Lecce	4	0	2013-07-22 11:38:20.581845+02	\N	\N	\N	\N	\N	\N	f	
19819	2db36205-8972-4b67-b771-084a3278d08e	Palmariggi	Palmariggi	4	0	2013-07-22 11:41:10.354397+02	\N	\N	\N	\N	\N	\N	f	
22438	da7b5de7-40e4-46fd-830f-884673b1f0c3	Arvin, California	Arvin, California	3	0	2013-08-11 02:51:00.065483+02	\N	\N	\N	\N	\N	\N	f	
19823	5e3b7c52-8c21-4bce-9c2f-e2d165205fca	Montesano Salentino	Montesano Salentino	4	0	2013-07-22 11:41:59.583828+02	\N	\N	\N	\N	\N	\N	f	
19839	331b07ef-7dab-444e-acbf-eb539cd9d6d1	Racale	Racale	4	0	2013-07-22 11:45:16.321473+02	\N	\N	\N	\N	\N	\N	f	
20412	d6d4536b-36cc-4bb2-b4b6-6423f0180351	San Giovanni in Fiore	San Giovanni in Fiore	4	0	2013-07-22 23:49:54.957622+02	\N	\N	\N	\N	\N	\N	f	
20536	9b3bf476-678a-416a-95b0-2fc239b994fb	Rosarno	Rosarno	4	0	2013-07-23 05:33:17.927129+02	\N	\N	\N	\N	\N	\N	f	
23233	3bf22f32-fb26-4503-b299-c157fce583b5	Tanauan	Tanauan	3	0	2013-08-23 17:20:35.847758+02	\N	\N	\N	\N	\N	\N	f	
23144	dfc072e7-88c2-4bed-997b-dba85152a423	Pemberton	Pemberton	3	0	2013-08-22 05:30:58.817827+02	\N	\N	\N	\N	\N	\N	f	
23189	d320671d-d002-426c-b0b1-6a5955373015	Bellevue	Bellevue	3	0	2013-08-22 08:30:11.886855+02	\N	\N	\N	\N	\N	\N	f	
22440	28ad565f-b5d2-4e5d-ba78-e72f9eefaab1	Menlo Park	Menlo Park	3	0	2013-08-11 02:51:37.552421+02	\N	\N	\N	\N	\N	\N	f	
23358	f551c16e-179e-4e88-9dbf-0f8dc114d033	Fruit Heights	Fruit Heights	3	0	2013-08-24 17:33:07.840705+02	\N	\N	\N	\N	\N	\N	f	
23211	f67557c4-8706-4ae4-b1cb-e5ef75b79148	Del City, Oklahoma	Del City, Oklahoma	3	0	2013-08-23 11:26:21.128756+02	\N	\N	\N	\N	\N	\N	f	
23240	2e3a7bfa-2b6c-47a7-a36e-db706f964679	Herriman	Herriman	3	0	2013-08-24 14:19:37.389925+02	\N	\N	\N	\N	\N	\N	f	
23435	ca02a2a8-9816-4693-99d5-66913b49d724	Kokkola	Kokkola	3	0	2013-08-25 23:23:06.850431+02	\N	\N	\N	\N	\N	\N	f	
23340	8733dac4-6ff5-48a5-b103-5f30a6632b3e	South Ogden	South Ogden	3	0	2013-08-24 17:28:28.233014+02	\N	\N	\N	\N	\N	\N	f	
23388	40351cf6-b6de-4e17-b4e2-170b213c259c	Dayton	Dayton	3	0	2013-08-24 20:19:27.63121+02	\N	\N	\N	\N	\N	\N	f	
23429	008d39bf-59a2-4fd0-bd24-3aecec8d91ef	Orimattila	Orimattila	3	0	2013-08-25 20:33:24.849429+02	\N	\N	\N	\N	\N	\N	f	
23535	a62f5ab3-c6e2-4b1e-b35f-2d83cd20ab58	Kitee	Kitee	3	0	2013-08-26 11:28:25.370999+02	\N	\N	\N	\N	\N	\N	f	
23462	fafaf398-63aa-4eca-b2bc-f5b6b5cd3378	Jakobstad	Jakobstad	3	0	2013-08-26 02:20:33.709646+02	\N	\N	\N	\N	\N	\N	f	
23607	05e8cf65-7e18-43d4-b4a4-41c2260657ba	Kladno	Kladno	3	0	2013-08-26 17:20:07.237676+02	\N	\N	\N	\N	\N	\N	f	
23642	fdb57814-554b-4102-80dd-45b47bf5aaf0	Hacienda Heights	Hacienda Heights	3	0	2013-08-26 20:29:04.101954+02	\N	\N	\N	\N	\N	\N	f	
23647	3e3648e5-b88a-4076-988e-4835ca0b7588	Roskilde	Roskilde	3	0	2013-08-26 23:26:02.114465+02	\N	\N	\N	\N	\N	\N	f	
23655	8f736274-4a78-4599-aa7b-4350397c16f5	Kajaani	Kajaani	3	0	2013-08-27 02:20:27.137985+02	\N	\N	\N	\N	\N	\N	f	
23662	04d33839-a941-4d2f-9757-11eea98bc192	Bandu, Dashti	Bandu, Dashti	3	0	2013-08-27 05:26:51.379689+02	\N	\N	\N	\N	\N	\N	f	
23663	2605618e-218a-4a0d-8288-013c021f516e	Carrizo Springs	Carrizo Springs	3	0	2013-08-27 08:32:50.689258+02	\N	\N	\N	\N	\N	\N	f	
11706	8335e657-a23a-4882-915a-4604a2430590	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:41:21.669933+02	\N	\N	\N	\N	\N	\N	f	
11725	b4dd9ff6-2ad9-4eed-8529-50325dcc2dd2	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:43:10.114+02	\N	\N	\N	\N	\N	\N	f	
10948	7057e79a-33c3-49f3-909d-60cf2a25c88e	Setouchi	Setouchi	3	0	2013-06-21 07:48:10.74189+02	\N	\N	\N	\N	\N	\N	f	
13922	6392fbb6-aa6d-4c51-a9fb-75ff3c042f89	Novellara	Novellara	4	0	2013-07-21 19:43:15.415431+02	\N	\N	\N	\N	\N	\N	f	
10949	4782b77f-cb17-43f6-8bf6-a33c2762b855	Tsuruoka	Tsuruoka	3	0	2013-06-21 07:48:53.299684+02	\N	\N	\N	\N	\N	\N	f	
10950	49ea3ae3-aa19-4e7a-8165-8b45a9daf028	Tsuru	Tsuru	3	0	2013-06-21 07:49:16.462914+02	\N	\N	\N	\N	\N	\N	f	
10951	712e874d-f89f-4e5c-a25a-5b80bb2ae4f4	Nishigō	Nishigō	3	0	2013-06-21 07:49:46.176984+02	\N	\N	\N	\N	\N	\N	f	
14499	3a8b4caf-e2ff-49a0-a60e-57b2563a694c	Serravalle Scrivia	Serravalle Scrivia	4	0	2013-07-21 21:52:06.640313+02	\N	\N	\N	\N	\N	\N	f	
15609	110a5655-14af-4b93-81d6-16823130b16c	Quarna Sopra	Quarna Sopra	4	0	2013-07-22 01:23:27.21798+02	\N	\N	\N	\N	\N	\N	f	
23080	ae98ef8d-b6a1-4907-a264-e83a0a1e36fd	Red Wing	Red Wing	3	0	2013-08-22 02:42:09.852936+02	\N	\N	\N	\N	\N	\N	f	
16517	40095bbc-c865-4776-b4ff-75db5995e797	Tratalias	Tratalias	4	0	2013-07-22 03:42:56.128336+02	\N	\N	\N	\N	\N	\N	f	
23146	57399d82-2b92-495f-b022-0cdec07aafac	Rushford	Rushford	3	0	2013-08-22 05:31:24.60124+02	\N	\N	\N	\N	\N	\N	f	
16527	f4eda6c6-9e34-4a08-8d0e-fee82103aaf4	Setzu	Setzu	4	0	2013-07-22 03:44:14.644121+02	\N	\N	\N	\N	\N	\N	f	
23547	c1bcf790-ffc0-4051-bf9f-2d9987606fb5	Kráľovský Chlmec	Kráľovský Chlmec	3	0	2013-08-26 14:20:20.295295+02	\N	\N	\N	\N	\N	\N	f	
16560	c0a747c6-64e8-435e-8d35-7bd7e389055d	Ledro	Ledro	4	0	2013-07-22 03:48:20.552573+02	\N	\N	\N	\N	\N	\N	f	
18417	9bda1faa-c637-45ed-82e3-28bcfc4ad1ce	Melzo	Melzo	4	0	2013-07-22 08:26:25.53889+02	\N	\N	\N	\N	\N	\N	f	
23190	3f8d6488-70bb-49aa-b7d2-01c1a98e7f49	Lovelock, Nevada	Lovelock, Nevada	3	0	2013-08-22 08:30:33.665257+02	\N	\N	\N	\N	\N	\N	f	
17106	19c31119-120a-49f8-8e0e-bb29150b01fa	Kiens	Kiens	4	0	2013-07-22 05:44:25.7553+02	\N	\N	\N	\N	\N	\N	f	
19773	cbd240f5-2e74-434d-84c6-d545657afd87	Casteltermini	Casteltermini	4	0	2013-07-22 11:34:35.347984+02	\N	\N	\N	\N	\N	\N	f	
17140	f049b7dc-d9e6-42bc-a7c4-70f9abd17c37	Modolo	Modolo	4	0	2013-07-22 05:48:59.635763+02	\N	\N	\N	\N	\N	\N	f	
18425	ebd6773c-ba48-4db5-ad7a-4691ff3c3908	Grezzago	Grezzago	4	0	2013-07-22 08:27:26.724451+02	\N	\N	\N	\N	\N	\N	f	
17144	97d8f3c5-bb72-4c4c-b206-ea61556630d6	Busachi	Busachi	4	0	2013-07-22 05:49:28.609658+02	\N	\N	\N	\N	\N	\N	f	
18426	fe2d0869-5ea9-43cd-8d7f-668d9352ea88	Tavazzano con Villavesco	Tavazzano con Villavesco	4	0	2013-07-22 08:27:29.916769+02	\N	\N	\N	\N	\N	\N	f	
19238	147fca80-908d-45fe-aa1b-29e6a0ddb7a5	Collarmele	Collarmele	4	0	2013-07-22 10:10:17.830807+02	\N	\N	\N	\N	\N	\N	f	
19784	7664c1b9-7373-4c3e-87a0-2e4e80a54ae1	Comitini	Comitini	4	0	2013-07-22 11:35:53.905179+02	\N	\N	\N	\N	\N	\N	f	
19267	0ed7c380-f0e6-4bb0-92c4-5025d9b6c3bb	Giuliana, Sicily	Giuliana, Sicily	4	0	2013-07-22 10:13:57.667211+02	\N	\N	\N	\N	\N	\N	f	
19269	f28896e1-1e1b-4016-abdc-9342f362a33f	Tornimparte	Tornimparte	4	0	2013-07-22 10:14:13.476537+02	\N	\N	\N	\N	\N	\N	f	
23213	1453b7d3-54f9-4527-85ee-46bbf6ef66cd	Cache	Cache	3	0	2013-08-23 11:27:11.440554+02	\N	\N	\N	\N	\N	\N	f	
20413	bfe238f1-03e5-4894-b246-2e4a0ca877ef	Spezzano Piccolo	Spezzano Piccolo	4	0	2013-07-22 23:50:08.249613+02	\N	\N	\N	\N	\N	\N	f	
19495	4dc8a21a-31bb-4d1b-b06d-bfb10d562685	Colledara	Colledara	4	0	2013-07-22 10:41:59.372151+02	\N	\N	\N	\N	\N	\N	f	
25784	6c903f80-bbe0-4c4b-900c-9718d4175182	Alexander, Kansas	Alexander, Kansas	3	0	2013-09-07 14:37:56.701438+02	\N	\N	\N	\N	\N	\N	f	
19496	367d2697-f310-490c-ad6b-90274a68e09d	Bellante	Bellante	4	0	2013-07-22 10:42:11.865544+02	\N	\N	\N	\N	\N	\N	f	
20540	64d7bb3f-813a-47c8-a221-c221a39894bd	San Ferdinando	San Ferdinando	4	0	2013-07-23 05:34:32.288691+02	\N	\N	\N	\N	\N	\N	f	
19554	10193379-0dd9-46ef-a73c-78723af00880	Modugno	Modugno	4	0	2013-07-22 10:50:06.690532+02	\N	\N	\N	\N	\N	\N	f	
23608	a99b59f9-f506-4c1a-876c-43d8dda0ce0e	Opava	Opava	3	0	2013-08-26 17:20:28.473834+02	\N	\N	\N	\N	\N	\N	f	
19559	68a3860b-c96e-4914-a13a-70c7e80279a2	Bitetto	Bitetto	4	0	2013-07-22 10:51:12.415965+02	\N	\N	\N	\N	\N	\N	f	
23243	acbba976-77a0-46c7-8ec3-da83be8247de	Manti	Manti	3	0	2013-08-24 14:20:30.28047+02	\N	\N	\N	\N	\N	\N	f	
23255	a9165545-c7cb-48cc-8cf7-1e489bebcb68	Kanab	Kanab	3	0	2013-08-24 14:23:52.219906+02	\N	\N	\N	\N	\N	\N	f	
11729	e29d8a40-1835-4965-9e5e-560b012e22c3	Kiyota-ku	Kiyota-ku	5	0	2013-08-27 14:43:57.427652+02	\N	\N	\N	\N	\N	\N	f	
23341	9696fbba-b75b-4592-addb-396be23e4db6	Woods Cross	Woods Cross	3	0	2013-08-24 17:28:47.800426+02	\N	\N	\N	\N	\N	\N	f	
23634	35cc94c5-1fe8-467f-bb0f-b3c65d41f82f	Oulainen	Oulainen	3	0	2013-08-26 17:41:39.407652+02	\N	\N	\N	\N	\N	\N	f	
22443	87cdc3bd-9141-4f1b-a4f1-c51969f68019	Calexico	Calexico	3	0	2013-08-11 02:52:18.079446+02	\N	\N	\N	\N	\N	\N	f	
23389	0e1d668b-4389-4beb-b6fe-b4f04a152cfb	Cedarburg, Wisconsin	Cedarburg, Wisconsin	3	0	2013-08-24 20:19:46.779104+02	\N	\N	\N	\N	\N	\N	f	
22756	35f4a6b7-4de7-404f-bbb1-69fc066757e5	Valdina	Valdina	4	0	2013-08-14 17:39:34.500484+02	\N	\N	\N	\N	\N	\N	f	
22761	45cfbd0c-5ac5-4f94-a74c-bbd11f672afd	Mojo Alcantara	Mojo Alcantara	4	0	2013-08-14 17:40:40.527222+02	\N	\N	\N	\N	\N	\N	f	
22946	1c31e173-9f0a-40ea-8d06-541baa6c180e	Wyandotte, Michigan	Wyandotte, Michigan	3	0	2013-08-20 14:44:23.778342+02	\N	\N	\N	\N	\N	\N	f	
23436	29c781e5-64fa-4b66-8cde-d680e83d8178	Komárno	Komárno	3	0	2013-08-25 23:23:33.506957+02	\N	\N	\N	\N	\N	\N	f	
23463	e3889828-8b31-48f9-961e-25820d66b9fc	Kaskinen	Kaskinen	3	0	2013-08-26 02:21:00.553892+02	\N	\N	\N	\N	\N	\N	f	
23648	f7b78bbf-f15b-41fb-b035-b11dc3956acb	Ocean Township, Monmouth County, New Jersey	Ocean Township, Monmouth County, New Jersey	3	0	2013-08-26 23:27:06.432406+02	\N	\N	\N	\N	\N	\N	f	
23471	2ccb3a55-f089-4ce3-a728-e22006da3585	Trebišov	Trebišov	3	0	2013-08-26 02:28:01.958425+02	\N	\N	\N	\N	\N	\N	f	
23536	fddbb986-414e-4533-b43c-43cb9f304711	Lieksa	Lieksa	3	0	2013-08-26 11:30:10.519936+02	\N	\N	\N	\N	\N	\N	f	
24663	7fed0ea9-d1a9-4a54-a131-f45157ce0acd	Mounds	Mounds	3	0	2013-09-07 08:05:07.924663+02	\N	\N	\N	\N	\N	\N	f	
23656	95091e69-e48c-4709-90f2-6a8e6733e14e	Hounslow	Hounslow	3	0	2013-08-27 02:21:28.327099+02	\N	\N	\N	\N	\N	\N	f	
11878	6dcecc18-21ee-4292-8e97-e00e1875512b	Hanamigawa-ku	Hanamigawa-ku	5	0	2013-08-27 14:41:24.916026+02	\N	\N	\N	\N	\N	\N	f	
26530	2025859f-a49b-4c2b-a1f6-05d55b7736a8	Grinnell, Kansas	Grinnell, Kansas	3	0	2013-09-08 00:59:15.889081+02	\N	\N	\N	\N	\N	\N	f	
11715	5343fc99-35ee-4db6-ad00-72d99f5f7604	Hyōgo-ku	Hyōgo-ku	5	0	2013-08-27 14:43:14.099657+02	\N	\N	\N	\N	\N	\N	f	
25906	9e91d0cd-b5ce-4f0b-a0b8-941376ade54a	Goose Creek, Kentucky	Goose Creek, Kentucky	3	0	2013-09-07 15:10:08.014504+02	\N	\N	\N	\N	\N	\N	f	
24765	1c311d5b-4966-48c4-a39d-0870dc016226	Maxwell, Iowa	Maxwell, Iowa	3	0	2013-09-07 08:29:15.089245+02	\N	\N	\N	\N	\N	\N	f	
24820	3fdbd0ed-495d-46a6-9ecc-9b0122088d46	Afton	Afton	3	0	2013-09-07 08:43:55.31673+02	\N	\N	\N	\N	\N	\N	f	
25198	4d004607-7582-4bab-a861-d0a296bbd594	Gowrie	Gowrie	3	0	2013-09-07 10:37:12.623468+02	\N	\N	\N	\N	\N	\N	f	
25759	745cd838-3c44-4dc0-af78-adc7667ceecc	Camargo, Kentucky	Camargo, Kentucky	3	0	2013-09-07 14:31:42.191872+02	\N	\N	\N	\N	\N	\N	f	
26893	c441a51f-cd26-43b1-9054-bb1f4be44107	Richmond	Richmond	3	0	2013-09-08 03:53:57.567372+02	\N	\N	\N	\N	\N	\N	f	
26205	d0ed5049-4658-403f-a446-8de8db883aa0	Park	Park	3	0	2013-09-07 20:44:53.336909+02	\N	\N	\N	\N	\N	\N	f	
26886	e906acc9-ba2b-412f-a484-a57e6481179f	Steele	Steele	3	0	2013-09-08 03:52:15.074641+02	\N	\N	\N	\N	\N	\N	f	
26984	942ee6e9-8ca1-4a06-aa8c-3c18ca90ac56	Nevada	Nevada	3	0	2013-09-08 04:17:46.422045+02	\N	\N	\N	\N	\N	\N	f	
26897	8e4d52b0-c49d-4def-b410-214d73eba8e2	Ponca	Ponca	3	0	2013-09-08 03:54:57.576339+02	\N	\N	\N	\N	\N	\N	f	
27002	28993867-54cd-485b-bee1-d3516e3553ac	Portage Des Sioux	Portage Des Sioux	3	0	2013-09-08 04:22:09.372194+02	\N	\N	\N	\N	\N	\N	f	
27036	5ce363ec-a0a3-41ce-98d2-87dafa71b391	Salisbury	Salisbury	3	0	2013-09-08 04:30:39.19105+02	\N	\N	\N	\N	\N	\N	f	
27044	69881b31-e8a5-4c59-aa35-b3c8c558b983	Missouri City	Missouri City	3	0	2013-09-08 04:32:37.177966+02	\N	\N	\N	\N	\N	\N	f	
27072	19308a82-23f3-4a5f-9bd2-da7e6604dac9	Valentine	Valentine	3	0	2013-09-08 04:40:20.677131+02	\N	\N	\N	\N	\N	\N	f	
27298	3ec682e2-801e-4777-b637-ec044d4ebe7d	Karlsruhe, North Dakota	Karlsruhe, North Dakota	3	0	2013-09-08 07:20:44.656961+02	\N	\N	\N	\N	\N	\N	f	
27621	db1dd456-30b6-4930-9905-0b6a6980a2ae	Defiance	Defiance	3	0	2013-09-08 08:59:24.460902+02	\N	\N	\N	\N	\N	\N	f	
27979	374bf0df-a79a-4cee-ad57-a109f8af715b	Washington	Washington	3	0	2013-09-08 11:52:32.585733+02	\N	\N	\N	\N	\N	\N	f	
10952	9aa519ca-2690-47a8-9c5a-2f34665b1396	Nishiaizu	Nishiaizu	3	0	2013-06-21 07:50:14.248882+02	\N	\N	\N	\N	\N	\N	f	
10953	7a6893e0-9927-459d-a1a0-a1226ba12be5	Noshiro	Noshiro	3	0	2013-06-21 07:51:53.777032+02	\N	\N	\N	\N	\N	\N	f	
10954	465139a7-f20a-498c-a341-b1278b8fc90e	Hokuto	Hokuto	3	0	2013-06-21 07:52:13.975397+02	\N	\N	\N	\N	\N	\N	f	
13926	7965b8f6-151d-45ad-959b-2637124f63ef	Ligonchio	Ligonchio	4	0	2013-07-21 19:44:17.535379+02	\N	\N	\N	\N	\N	\N	f	
10955	77812629-0bed-45b8-aae2-8975e85eaa95	Minami-Alps	Minami-Alps	3	0	2013-06-21 07:52:25.788803+02	\N	\N	\N	\N	\N	\N	f	
10957	c1c83626-9831-4469-b07d-9c4647422972	Chikushino	Chikushino	3	0	2013-06-21 07:53:05.958482+02	\N	\N	\N	\N	\N	\N	f	
13945	4363623c-c0cc-4485-acbe-350fd070456a	Pertica Alta	Pertica Alta	4	0	2013-07-21 19:48:22.696162+02	\N	\N	\N	\N	\N	\N	f	
15614	188690c9-8f4a-41f9-82ee-8d79ae0c65d1	Trontano	Trontano	4	0	2013-07-22 01:24:43.415513+02	\N	\N	\N	\N	\N	\N	f	
14500	edec0932-c6ce-49d4-95cb-113fc1ac93b1	Castello-Molina di Fiemme	Castello-Molina di Fiemme	4	0	2013-07-21 21:52:19.687917+02	\N	\N	\N	\N	\N	\N	f	
14526	7fc25703-00b0-4c4c-a256-62e952188f4f	Valmacca	Valmacca	4	0	2013-07-21 21:57:49.499083+02	\N	\N	\N	\N	\N	\N	f	
15020	eb450c2a-e98d-4f92-9d99-70afdbbdf51f	Neive	Neive	4	0	2013-07-21 23:37:46.45029+02	\N	\N	\N	\N	\N	\N	f	
16538	ceec5f32-83cc-449c-9f1f-f948c5c8d31e	Samassi	Samassi	4	0	2013-07-22 03:45:29.052918+02	\N	\N	\N	\N	\N	\N	f	
15091	465f22a2-9d8b-4c34-bd8e-de31087c0a0c	Cantagallo	Cantagallo	4	0	2013-07-21 23:46:26.910884+02	\N	\N	\N	\N	\N	\N	f	
15155	7309ed8d-4921-4790-aa90-164a90dd3f18	Costacciaro	Costacciaro	4	0	2013-07-21 23:54:13.19338+02	\N	\N	\N	\N	\N	\N	f	
17409	6e2c72e6-1a83-4d30-b97b-e3cfd47485ab	Cantello	Cantello	4	0	2013-07-22 06:23:51.087564+02	\N	\N	\N	\N	\N	\N	f	
15157	86e04dd9-dec8-495e-a5a7-ebad640579e6	Roccavione	Roccavione	4	0	2013-07-21 23:54:25.11331+02	\N	\N	\N	\N	\N	\N	f	
16580	ea55da02-ed7b-4888-9c4f-e0e5f2d53adf	Chiarano	Chiarano	4	0	2013-07-22 03:50:54.601952+02	\N	\N	\N	\N	\N	\N	f	
16608	4fa609ca-fce1-4855-b508-a38942d93457	Lula, Sardinia	Lula, Sardinia	4	0	2013-07-22 03:54:25.648731+02	\N	\N	\N	\N	\N	\N	f	
16615	da0cf15e-ab7d-4bac-b9d2-49681f32fd33	Livo	Livo	4	0	2013-07-22 03:55:16.163347+02	\N	\N	\N	\N	\N	\N	f	
18419	f6c56683-a1e7-48b3-99fe-a7dd8569409e	Mandello del Lario	Mandello del Lario	4	0	2013-07-22 08:26:40.393029+02	\N	\N	\N	\N	\N	\N	f	
17067	67cb278c-91af-4dc1-8917-35adff1ebc2b	Montjovet	Montjovet	4	0	2013-07-22 05:38:52.290552+02	\N	\N	\N	\N	\N	\N	f	
23081	393e3573-d2cc-4264-b218-80cfcd5eb3dd	Picayune	Picayune	3	0	2013-08-22 02:42:32.324111+02	\N	\N	\N	\N	\N	\N	f	
19782	45ba1585-8304-4cf5-8b84-cc62d4f12ff0	Caltabellotta	Caltabellotta	4	0	2013-07-22 11:35:41.804558+02	\N	\N	\N	\N	\N	\N	f	
18438	dae53c61-e0dd-462c-b8b7-b68f93676b6a	San Rocco al Porto	San Rocco al Porto	4	0	2013-07-22 08:29:00.947096+02	\N	\N	\N	\N	\N	\N	f	
19240	30d15ad3-011f-4dff-a4ec-6ce5c03a1746	Castel di Ieri	Castel di Ieri	4	0	2013-07-22 10:10:32.441702+02	\N	\N	\N	\N	\N	\N	f	
19250	89e255b1-3889-4018-93e9-eb5877d2a71b	Gagliano Aterno	Gagliano Aterno	4	0	2013-07-22 10:11:39.484486+02	\N	\N	\N	\N	\N	\N	f	
19830	0b899337-a705-454d-91f8-8a801e05ac43	Matino	Matino	4	0	2013-07-22 11:43:53.515622+02	\N	\N	\N	\N	\N	\N	f	
19260	0b888d04-1fa0-42d0-b9d9-16f417079357	Ovindoli	Ovindoli	4	0	2013-07-22 10:12:55.316887+02	\N	\N	\N	\N	\N	\N	f	
19293	9610fa2f-c95f-4d9f-9f64-8e50a19729fa	Scoppito	Scoppito	4	0	2013-07-22 10:17:06.561063+02	\N	\N	\N	\N	\N	\N	f	
23265	445ff2f6-0ca1-4436-b70f-9fbbf89e5170	Dickson, Tennessee	Dickson, Tennessee	3	0	2013-08-24 14:31:26.609074+02	\N	\N	\N	\N	\N	\N	f	
19334	1591ec56-1dde-4c2e-bd8f-0ad2e9629b35	Tiers	Tiers	4	0	2013-07-22 10:22:02.823897+02	\N	\N	\N	\N	\N	\N	f	
19856	29537ed0-d49d-45ab-a6a8-80b9d5d771b0	Tiggiano	Tiggiano	4	0	2013-07-22 11:47:12.196702+02	\N	\N	\N	\N	\N	\N	f	
19377	f446d7d8-552e-4412-ba41-0e2779104956	Altino, Abruzzo	Altino, Abruzzo	4	0	2013-07-22 10:27:33.52002+02	\N	\N	\N	\N	\N	\N	f	
19378	b414f607-7488-48a6-921e-1eb6c92fd443	Lama dei Peligni	Lama dei Peligni	4	0	2013-07-22 10:27:41.845663+02	\N	\N	\N	\N	\N	\N	f	
23094	5eafd897-fdad-4d71-9f38-f0085a94fd2c	Centerville	Centerville	3	0	2013-08-22 02:46:10.981566+02	\N	\N	\N	\N	\N	\N	f	
19432	c74369c9-01da-4be4-bbd0-de99421c7cf7	Sant'Eusanio del Sangro	Sant'Eusanio del Sangro	4	0	2013-07-22 10:34:16.271528+02	\N	\N	\N	\N	\N	\N	f	
19859	0961d6ca-3e6d-4e05-97c2-066c1810c04e	Tuglie	Tuglie	4	0	2013-07-22 11:47:38.759822+02	\N	\N	\N	\N	\N	\N	f	
19449	2a661261-72cb-4ed4-a673-3d059e1a718d	Civitaquana	Civitaquana	4	0	2013-07-22 10:36:34.106132+02	\N	\N	\N	\N	\N	\N	f	
19462	f2966af8-db0e-4a5a-bd1a-dccf84cee946	Vicoli	Vicoli	4	0	2013-07-22 10:38:05.58527+02	\N	\N	\N	\N	\N	\N	f	
19478	987ef621-2cef-4b5b-a779-17b148889854	Bussi sul Tirino	Bussi sul Tirino	4	0	2013-07-22 10:39:58.93624+02	\N	\N	\N	\N	\N	\N	f	
19885	00ac192f-9108-47f1-9907-a43000b7b9f4	Tursi	Tursi	4	0	2013-07-22 11:50:44.381256+02	\N	\N	\N	\N	\N	\N	f	
19545	2665985b-cf73-42fe-b2be-b55a43c539b4	Tossicia	Tossicia	4	0	2013-07-22 10:48:04.418865+02	\N	\N	\N	\N	\N	\N	f	
19578	c8e9f459-fd6f-4589-a50a-a6eafdfbf8db	Deliceto	Deliceto	4	0	2013-07-22 10:56:06.800406+02	\N	\N	\N	\N	\N	\N	f	
20415	4c13b523-d11b-47ed-a5b6-2f2145f655ca	Spezzano della Sila	Spezzano della Sila	4	0	2013-07-22 23:50:33.337553+02	\N	\N	\N	\N	\N	\N	f	
23148	26bda6ed-de54-433f-ba6f-ed064e37026b	Lamberton	Lamberton	3	0	2013-08-22 05:31:55.436715+02	\N	\N	\N	\N	\N	\N	f	
20541	cae7864e-3283-425b-9289-e7d3ba79fbf2	Gioia Tauro	Gioia Tauro	4	0	2013-07-23 05:34:44.374139+02	\N	\N	\N	\N	\N	\N	f	
23464	9424e958-634c-4d21-a375-7c5ff6446280	Nokia	Nokia	3	0	2013-08-26 02:22:19.592393+02	\N	\N	\N	\N	\N	\N	f	
22444	9a4a30a4-4ced-4f2b-af48-e613d2cbe35f	Willows, California	Willows, California	3	0	2013-08-11 02:52:36.980053+02	\N	\N	\N	\N	\N	\N	f	
23191	a9790355-57eb-4b19-bec2-1d5a79e271b5	Caliente, Nevada	Caliente, Nevada	3	0	2013-08-22 08:31:13.501786+02	\N	\N	\N	\N	\N	\N	f	
22758	e7161c9f-9f77-4021-be62-cba7534bacbc	Ucria	Ucria	4	0	2013-08-14 17:40:00.78156+02	\N	\N	\N	\N	\N	\N	f	
22947	d4cbe126-971d-4ffb-9cd8-76971476e080	Essexville, Michigan	Essexville, Michigan	3	0	2013-08-20 14:44:50.478844+02	\N	\N	\N	\N	\N	\N	f	
23286	66896798-8ae5-4724-b596-1fd159838575	Orangeville	Orangeville	3	0	2013-08-24 14:41:01.047882+02	\N	\N	\N	\N	\N	\N	f	
23214	3fb8738a-30fe-4c98-891f-b82162f868c8	Warr Acres	Warr Acres	3	0	2013-08-23 11:27:28.278721+02	\N	\N	\N	\N	\N	\N	f	
23235	e6bc2060-80de-46c9-b3e3-229151255352	Lamitan City	Lamitan City	3	0	2013-08-23 17:21:08.866344+02	\N	\N	\N	\N	\N	\N	f	
23390	6132a963-40f8-4f29-8ca0-83aa5ddda797	Toledo	Toledo	3	0	2013-08-24 20:20:16.823558+02	\N	\N	\N	\N	\N	\N	f	
23244	f3ba1242-b557-4445-9c11-b5957d4bde4b	Castle Dale	Castle Dale	3	0	2013-08-24 14:20:48.56717+02	\N	\N	\N	\N	\N	\N	f	
23304	5363e36b-a443-45b1-82d8-deba2867d330	Sunnyside	Sunnyside	3	0	2013-08-24 14:45:46.253541+02	\N	\N	\N	\N	\N	\N	f	
23342	bdd66bf5-ec99-4cdd-9fa0-83a46b1b5856	Grantsville	Grantsville	3	0	2013-08-24 17:29:10.290016+02	\N	\N	\N	\N	\N	\N	f	
23379	031aa363-2974-4ccd-9b9d-1d4deadfb49b	Herreid, South Dakota	Herreid, South Dakota	3	0	2013-08-24 17:40:40.213234+02	\N	\N	\N	\N	\N	\N	f	
23437	9ca1531e-2ffc-4846-8ac2-c791e04b51ac	Imatra	Imatra	3	0	2013-08-25 23:23:55.632399+02	\N	\N	\N	\N	\N	\N	f	
23574	f942419b-baf1-49cd-afda-6bb4bda1d6a9	Spišská Belá	Spišská Belá	3	0	2013-08-26 14:37:30.310031+02	\N	\N	\N	\N	\N	\N	f	
23478	5323580e-47ba-4ad1-9812-c3768a901519	Kežmarok	Kežmarok	3	0	2013-08-26 02:31:25.30083+02	\N	\N	\N	\N	\N	\N	f	
23537	49992c1f-409e-47fa-a24f-0f2a0bbb3a7f	Nurmes	Nurmes	3	0	2013-08-26 11:30:33.416811+02	\N	\N	\N	\N	\N	\N	f	
23548	544bf23c-1724-4c00-b652-8c112dbb8e86	Turzovka	Turzovka	3	0	2013-08-26 14:21:50.904491+02	\N	\N	\N	\N	\N	\N	f	
23609	5adb4165-d0ac-4e86-91b5-6eb11f21f579	Zlín	Zlín	3	0	2013-08-26 17:21:11.977318+02	\N	\N	\N	\N	\N	\N	f	
23610	d847170a-501e-4503-8e52-c1302f3bd1d5	Hradec Králové	Hradec Králové	3	0	2013-08-26 17:21:30.329213+02	\N	\N	\N	\N	\N	\N	f	
23617	b14aae44-fdba-4a09-bcd2-3d454850e15e	Haapajärvi	Haapajärvi	3	0	2013-08-26 17:29:53.585962+02	\N	\N	\N	\N	\N	\N	f	
23649	49856c85-1b7c-4f46-a078-b01261a058ad	Nice	Nice	3	0	2013-08-26 23:27:51.572927+02	\N	\N	\N	\N	\N	\N	f	
23657	0c3c7c85-d0ef-4943-b3e9-305a99fd1fa8	Tornio	Tornio	3	0	2013-08-27 02:22:22.041821+02	\N	\N	\N	\N	\N	\N	f	
11876	85d3dda3-55d8-4a6f-8e53-d557702eb9b5	Wakaba-ku	Wakaba-ku	5	0	2013-08-27 14:41:25.317779+02	\N	\N	\N	\N	\N	\N	f	
11840	3aaaf016-48dc-44fe-b9b9-eb146a17267f	Nakahara-ku	Nakahara-ku	5	0	2013-08-27 14:46:40.910434+02	\N	\N	\N	\N	\N	\N	f	
24668	8779c0dd-eefe-4d19-acab-6f7870290a24	Gibson City	Gibson City	3	0	2013-09-07 08:06:21.014762+02	\N	\N	\N	\N	\N	\N	f	
10956	95babbe8-053c-4bc8-a79a-d4b73af8e2dd	Yamanashi	Yamanashi	3	0	2013-06-21 07:52:51.75097+02	\N	\N	\N	\N	\N	\N	f	
10958	36ff60a3-d7b0-46e0-81df-bfd84a59fac0	Katsuyama	Katsuyama	3	0	2013-06-21 07:53:26.688459+02	\N	\N	\N	\N	\N	\N	f	
13928	2023d3f5-7d5b-4a3e-a48e-3081b08474d0	Sant'Ilario d'Enza	Sant'Ilario d'Enza	4	0	2013-07-21 19:44:42.282166+02	\N	\N	\N	\N	\N	\N	f	
13932	8dd2e615-d521-4b46-9255-359861985109	Palazzolo sull'Oglio	Palazzolo sull'Oglio	4	0	2013-07-21 19:45:33.542739+02	\N	\N	\N	\N	\N	\N	f	
15616	09e717c3-2d61-4a5f-bb20-e5c1bdc672d4	Quarna Sotto	Quarna Sotto	4	0	2013-07-22 01:25:11.369489+02	\N	\N	\N	\N	\N	\N	f	
14501	9480b323-347e-4f30-9999-c05005cfad6d	San Cristoforo	San Cristoforo	4	0	2013-07-21 21:52:31.537714+02	\N	\N	\N	\N	\N	\N	f	
14568	ddece195-28c4-4201-99bc-360f895c8452	Castelletto Molina	Castelletto Molina	4	0	2013-07-21 22:07:15.493137+02	\N	\N	\N	\N	\N	\N	f	
19359	c9fc3a76-2d8d-476b-a193-e3a479abd65b	Fara San Martino	Fara San Martino	4	0	2013-07-22 10:25:17.715223+02	\N	\N	\N	\N	\N	\N	f	
23083	52817eb3-3375-4a4e-b415-187536a4334a	Branson, Missouri	Branson, Missouri	3	0	2013-08-22 02:43:00.226152+02	\N	\N	\N	\N	\N	\N	f	
15619	e8d5b88c-79f9-4c29-afa3-f1ab3ca1dce3	Montescheno	Montescheno	4	0	2013-07-22 01:25:51.920671+02	\N	\N	\N	\N	\N	\N	f	
15060	48b66250-0e14-4e12-bf6a-921c14750e36	Pezzolo Valle Uzzone	Pezzolo Valle Uzzone	4	0	2013-07-21 23:42:49.653695+02	\N	\N	\N	\N	\N	\N	f	
17412	73bdf418-8b51-469c-bc13-4cf1b80f46ce	Castelseprio	Castelseprio	4	0	2013-07-22 06:24:05.791113+02	\N	\N	\N	\N	\N	\N	f	
15161	53916843-d04c-4d48-9345-f23a64190d8c	Fiamignano	Fiamignano	4	0	2013-07-21 23:54:52.786751+02	\N	\N	\N	\N	\N	\N	f	
23273	e3d54e92-d793-4d80-b794-507da6d9611e	Emery, South Dakota	Emery, South Dakota	3	0	2013-08-24 14:35:17.450817+02	\N	\N	\N	\N	\N	\N	f	
15279	1812ffe1-4d0f-45a5-9238-c57f401be084	Villafalletto	Villafalletto	4	0	2013-07-22 00:09:30.88094+02	\N	\N	\N	\N	\N	\N	f	
15280	d3e48ee8-c1b0-4abb-ac12-fd197fbf85a1	Villanova Solaro	Villanova Solaro	4	0	2013-07-22 00:09:45.026185+02	\N	\N	\N	\N	\N	\N	f	
15292	e58743fd-f719-4856-9a57-769d79aca91b	Vignolo	Vignolo	4	0	2013-07-22 00:12:28.053124+02	\N	\N	\N	\N	\N	\N	f	
16590	f02ddab8-a39b-4854-9684-6924867c6a7f	Arcade	Arcade	4	0	2013-07-22 03:52:09.090157+02	\N	\N	\N	\N	\N	\N	f	
16613	ff7b8d82-48fa-4826-9b65-2ec0917ed183	Gadoni	Gadoni	4	0	2013-07-22 03:55:02.664414+02	\N	\N	\N	\N	\N	\N	f	
23149	12bd48d1-0b42-44f2-82ed-4eaa5ae43d03	Dodge Center	Dodge Center	3	0	2013-08-22 05:32:13.28487+02	\N	\N	\N	\N	\N	\N	f	
17068	a289acf6-371d-4b1a-b601-db73a78382ad	Torgnon	Torgnon	4	0	2013-07-22 05:39:06.305234+02	\N	\N	\N	\N	\N	\N	f	
17098	76823454-5986-46a0-92a3-500e5bc112eb	Kuens	Kuens	4	0	2013-07-22 05:43:23.25683+02	\N	\N	\N	\N	\N	\N	f	
17172	0b0003da-e1a1-4767-ba05-9d06eff6e136	Suni, Sardinia	Suni, Sardinia	4	0	2013-07-22 05:53:08.392614+02	\N	\N	\N	\N	\N	\N	f	
18446	1e491b33-b543-4a5d-afc1-edcef2563645	Dervio	Dervio	4	0	2013-07-22 08:30:00.003929+02	\N	\N	\N	\N	\N	\N	f	
19380	3c65cef2-5e8c-4ec0-9b4d-2d588cb003ba	Crecchio	Crecchio	4	0	2013-07-22 10:27:54.147343+02	\N	\N	\N	\N	\N	\N	f	
18463	48f50523-3bc2-4bec-9d1d-4c8f2f4fc8d2	Gazzuolo	Gazzuolo	4	0	2013-07-22 08:32:35.357506+02	\N	\N	\N	\N	\N	\N	f	
18501	ad7fac0a-540c-4089-82cb-f4489f5860a2	Menfi	Menfi	4	0	2013-07-22 08:39:13.667894+02	\N	\N	\N	\N	\N	\N	f	
18522	74d935ec-7cf6-45fd-be4f-32d74cf12cc9	Grisignano di Zocco	Grisignano di Zocco	4	0	2013-07-22 08:41:49.638805+02	\N	\N	\N	\N	\N	\N	f	
19389	4bc27274-5a58-4eb7-9c48-07bbb700a7d3	Canosa Sannita	Canosa Sannita	4	0	2013-07-22 10:28:53.930099+02	\N	\N	\N	\N	\N	\N	f	
18587	f71873b1-6b5d-4b58-9415-95cf7efca290	Orgiano	Orgiano	4	0	2013-07-22 08:49:24.339909+02	\N	\N	\N	\N	\N	\N	f	
18589	265744d6-cb4d-418d-94a0-9021d4e7cc64	Morgano	Morgano	4	0	2013-07-22 08:49:38.978898+02	\N	\N	\N	\N	\N	\N	f	
19792	556973ea-d98b-4490-8f3d-33fabbcbd67f	Calamonaci	Calamonaci	4	0	2013-07-22 11:36:45.074059+02	\N	\N	\N	\N	\N	\N	f	
19247	877f3859-646e-4b1b-9b21-667d8b38d5d1	Pacentro	Pacentro	4	0	2013-07-22 10:11:17.68672+02	\N	\N	\N	\N	\N	\N	f	
19429	ef8dc0ee-f776-4667-9d5b-d37c5a22842c	Rosello	Rosello	4	0	2013-07-22 10:33:43.685084+02	\N	\N	\N	\N	\N	\N	f	
19251	858e059c-66b1-4685-9b08-ef0e938ebb0e	Morino	Morino	4	0	2013-07-22 10:11:50.286951+02	\N	\N	\N	\N	\N	\N	f	
19259	7f6b417a-0b7a-4a35-bc9f-a9ddc0262394	Castel di Sangro	Castel di Sangro	4	0	2013-07-22 10:12:43.916248+02	\N	\N	\N	\N	\N	\N	f	
19276	74185212-22eb-47fc-ae74-9a49041f516f	Rocca Pia	Rocca Pia	4	0	2013-07-22 10:14:57.031343+02	\N	\N	\N	\N	\N	\N	f	
19809	583a072e-6da4-42b7-8946-be0abc20a0c5	Martano	Martano	4	0	2013-07-22 11:38:59.323334+02	\N	\N	\N	\N	\N	\N	f	
19321	15fc07e7-b409-4bd7-8d8b-201b6f14a8af	Niederdorf, South Tyrol	Niederdorf, South Tyrol	4	0	2013-07-22 10:20:39.929658+02	\N	\N	\N	\N	\N	\N	f	
22445	64fe25aa-90b6-4d4a-b0d6-9f5b616b1ecc	Hesperia	Hesperia	3	0	2013-08-11 02:52:52.063427+02	\N	\N	\N	\N	\N	\N	f	
19355	60b40e4d-0eaf-4a7e-8c81-06dba767333c	Borrello	Borrello	4	0	2013-07-22 10:24:45.812907+02	\N	\N	\N	\N	\N	\N	f	
20416	bbd479ce-7769-426f-8b0c-3e44ff727b6b	San Fili	San Fili	4	0	2013-07-22 23:50:45.814625+02	\N	\N	\N	\N	\N	\N	f	
20542	39a6cb3c-8170-4b7a-886a-9b83137787da	San Pietro di Caridà	San Pietro di Caridà	4	0	2013-07-23 05:34:59.546052+02	\N	\N	\N	\N	\N	\N	f	
23192	c2bc839d-73c5-487c-8b70-79e38649b678	Broken Bow, Nebraska	Broken Bow, Nebraska	3	0	2013-08-22 08:33:20.502112+02	\N	\N	\N	\N	\N	\N	f	
20551	e2e09180-5e93-45d2-8558-c34ca0e59a1f	Roccaforte del Greco	Roccaforte del Greco	4	0	2013-07-23 05:36:55.797218+02	\N	\N	\N	\N	\N	\N	f	
22759	d654de70-db9b-4e3b-9e86-19c56d3b38e5	Santa Domenica Vittoria	Santa Domenica Vittoria	4	0	2013-08-14 17:40:14.184403+02	\N	\N	\N	\N	\N	\N	f	
20597	33f6f4fe-25e4-4da7-ae22-14136e0c8c52	Francavilla Angitola	Francavilla Angitola	4	0	2013-07-23 05:46:24.92695+02	\N	\N	\N	\N	\N	\N	f	
20602	bfbffb95-c966-48fc-970a-0f5a80c35d6c	Pizzo, Calabria	Pizzo, Calabria	4	0	2013-07-23 05:47:26.698338+02	\N	\N	\N	\N	\N	\N	f	
23465	21ac4751-e1c9-48a5-b5d4-9161f086c2aa	Kemi	Kemi	3	0	2013-08-26 02:23:23.037758+02	\N	\N	\N	\N	\N	\N	f	
23194	9ad1c0b1-bca2-4f53-9da3-a40c01216f31	Burwell	Burwell	3	0	2013-08-22 08:34:26.243408+02	\N	\N	\N	\N	\N	\N	f	
23343	7aee13e9-e2b9-4b47-b4b2-4c2bd2eab30b	Nibley	Nibley	3	0	2013-08-24 17:29:34.050843+02	\N	\N	\N	\N	\N	\N	f	
23215	43dbf2d1-3c63-4cf3-a639-07ab4d701358	Allen	Allen	3	0	2013-08-23 11:27:48.556887+02	\N	\N	\N	\N	\N	\N	f	
22948	9f9d4e36-3db3-426e-be5d-aca75156e505	Coleman, Michigan	Coleman, Michigan	3	0	2013-08-20 14:45:06.233119+02	\N	\N	\N	\N	\N	\N	f	
22959	06563300-1e2f-4b3f-8693-4b2d6915a017	Farmington Hills	Farmington Hills	3	0	2013-08-20 14:54:34.396465+02	\N	\N	\N	\N	\N	\N	f	
23245	22b50f2c-dbd2-4d89-8d64-600a6c6ee5e3	Helper	Helper	3	0	2013-08-24 14:21:01.424382+02	\N	\N	\N	\N	\N	\N	f	
23391	87076244-c34d-44ac-ae0d-681d33d4fe71	Crandon, Wisconsin	Crandon, Wisconsin	3	0	2013-08-24 20:20:31.840161+02	\N	\N	\N	\N	\N	\N	f	
23538	db6449e5-9c20-48ca-9712-29449785eaf1	Varkaus	Varkaus	3	0	2013-08-26 11:31:00.279423+02	\N	\N	\N	\N	\N	\N	f	
23438	f37f3392-51d6-489e-9962-9babbe5e80c7	Košice	Košice	3	0	2013-08-25 23:26:52.73535+02	\N	\N	\N	\N	\N	\N	f	
23611	309b0ef0-13e9-4015-b35e-3a7de7e80f57	Jihlava	Jihlava	3	0	2013-08-26 17:21:55.386683+02	\N	\N	\N	\N	\N	\N	f	
23549	34c57dc7-39df-4c24-9080-5fcd53e0bc68	Čierna nad Tisou	Čierna nad Tisou	3	0	2013-08-26 14:24:11.117423+02	\N	\N	\N	\N	\N	\N	f	
23658	82d06beb-9ddb-4f9b-bc83-95fab1304289	Kingston upon Thames	Kingston upon Thames	3	0	2013-08-27 02:23:58.031262+02	\N	\N	\N	\N	\N	\N	f	
23650	3501ffa5-f3dd-4a11-97d8-cd47a1b6bfb8	Lviv	Lviv	3	0	2013-08-26 23:28:43.449886+02	\N	\N	\N	\N	\N	\N	f	
11875	3fc6de39-4e4b-4572-8b84-13b31b46eed1	Inage-ku	Inage-ku	5	0	2013-08-27 14:41:28.733862+02	\N	\N	\N	\N	\N	\N	f	
24671	d8ef243d-af8c-4c42-bac6-b40113908ad4	Pana	Pana	3	0	2013-09-07 08:07:01.531917+02	\N	\N	\N	\N	\N	\N	f	
24684	3045d638-0fe9-4023-a8b3-2098cf675c57	Peru	Peru	3	0	2013-09-07 08:09:58.419808+02	\N	\N	\N	\N	\N	\N	f	
24714	3a0197f4-6614-4d88-97f5-5d2b312026f8	Jacksonville	Jacksonville	3	0	2013-09-07 08:17:03.041165+02	\N	\N	\N	\N	\N	\N	f	
24737	0179ec89-5f4b-4284-bb13-6eb63143d033	Pella	Pella	3	0	2013-09-07 08:22:02.319416+02	\N	\N	\N	\N	\N	\N	f	
24738	ee80940f-84e8-4d35-895f-486c37d17637	Decorah	Decorah	3	0	2013-09-07 08:22:16.293449+02	\N	\N	\N	\N	\N	\N	f	
24745	2588df60-aa64-4cc6-a7c0-f6f6ddf77edd	Davis City, Iowa	Davis City, Iowa	3	0	2013-09-07 08:23:59.248316+02	\N	\N	\N	\N	\N	\N	f	
24787	d7c63313-083c-4a23-b61c-f9d62cda1079	Alta	Alta	3	0	2013-09-07 08:35:16.60626+02	\N	\N	\N	\N	\N	\N	f	
25200	0c67aa77-b71c-4494-b34e-ac29cdb30f1a	Jackson Junction	Jackson Junction	3	0	2013-09-07 10:37:45.606842+02	\N	\N	\N	\N	\N	\N	f	
10959	4959a5b4-4fdc-45cb-b646-61fa23c878f8	Nikaho	Nikaho	3	0	2013-06-21 07:53:38.573586+02	\N	\N	\N	\N	\N	\N	f	
10960	2c32901e-1b7d-44af-932d-33e8d78fbd11	Uenohara	Uenohara	3	0	2013-06-21 07:54:01.263575+02	\N	\N	\N	\N	\N	\N	f	
13929	e07612d4-2383-4b6a-8470-654f1188313b	Correggio, Emilia-Romagna	Correggio, Emilia-Romagna	4	0	2013-07-21 19:44:56.258198+02	\N	\N	\N	\N	\N	\N	f	
10961	b13b7d40-8391-4621-bf7b-b482ea42698f	Tamano	Tamano	3	0	2013-06-21 07:54:13.101539+02	\N	\N	\N	\N	\N	\N	f	
14502	f9f3c178-e0ae-415a-a6ee-4023f3d4b5ae	Sardigliano	Sardigliano	4	0	2013-07-21 21:52:43.689889+02	\N	\N	\N	\N	\N	\N	f	
14504	49177350-aa33-4919-adc3-46b4734a57a6	Solero	Solero	4	0	2013-07-21 21:53:08.172501+02	\N	\N	\N	\N	\N	\N	f	
15621	30701081-60bd-43e7-a500-09d7bd8ceed7	Seppiana	Seppiana	4	0	2013-07-22 01:26:22.518664+02	\N	\N	\N	\N	\N	\N	f	
15022	3dcafdd9-8786-412e-8c8b-6b9fbdf5e120	Narzole	Narzole	4	0	2013-07-21 23:38:02.697385+02	\N	\N	\N	\N	\N	\N	f	
23246	bf047577-8a31-42f3-a8bf-3e876a10f369	Morgan	Morgan	3	0	2013-08-24 14:21:14.49369+02	\N	\N	\N	\N	\N	\N	f	
17414	fb94c63c-8860-4060-a6b5-4a17076d236b	Copiano	Copiano	4	0	2013-07-22 06:24:18.514611+02	\N	\N	\N	\N	\N	\N	f	
15642	5642d5a3-732e-47b0-9558-b0f08eac26ea	Agosta, Lazio	Agosta, Lazio	4	0	2013-07-22 01:31:07.124544+02	\N	\N	\N	\N	\N	\N	f	
16550	5d0b67fa-674c-49ed-bdd5-3d8cfcea023c	Castellana Sicula	Castellana Sicula	4	0	2013-07-22 03:46:49.667914+02	\N	\N	\N	\N	\N	\N	f	
16570	a54e8230-4fe1-4efc-bc76-074bc68d9d3a	Asolo	Asolo	4	0	2013-07-22 03:49:37.197338+02	\N	\N	\N	\N	\N	\N	f	
18421	80ae7ea9-258f-47c5-aac9-d056f62a463f	Fombio	Fombio	4	0	2013-07-22 08:26:54.283107+02	\N	\N	\N	\N	\N	\N	f	
17076	48bda7dc-8138-4459-9812-5a6e660d7baf	Aldein	Aldein	4	0	2013-07-22 05:40:16.625252+02	\N	\N	\N	\N	\N	\N	f	
18478	4ee11099-2975-4491-92f3-3414c3c071d8	Alonte	Alonte	4	0	2013-07-22 08:36:43.936071+02	\N	\N	\N	\N	\N	\N	f	
19793	a574a1df-ffba-46d1-96da-0f4268bf6efa	Terranuova Bracciolini	Terranuova Bracciolini	4	0	2013-07-22 11:36:54.137014+02	\N	\N	\N	\N	\N	\N	f	
18527	afa03cfe-2c34-45ae-842c-f7fe504ca351	Monteviale	Monteviale	4	0	2013-07-22 08:42:19.05211+02	\N	\N	\N	\N	\N	\N	f	
19249	31ffc8d5-ed61-4c24-a63d-cc75774a3ba4	Massa d'Albe	Massa d'Albe	4	0	2013-07-22 10:11:31.250145+02	\N	\N	\N	\N	\N	\N	f	
23568	95d838d6-73f9-4d44-adab-dc28f4aa034e	Spišské Vlachy	Spišské Vlachy	3	0	2013-08-26 14:34:21.948346+02	\N	\N	\N	\N	\N	\N	f	
23278	f9e6e755-472b-4e1c-8c2c-215502c84924	Santaquin, Utah	Santaquin, Utah	3	0	2013-08-24 14:38:21.592048+02	\N	\N	\N	\N	\N	\N	f	
19814	e3f2c6dd-b3a2-4b2d-95e0-7445a8a334a3	Soleto	Soleto	4	0	2013-07-22 11:40:04.113147+02	\N	\N	\N	\N	\N	\N	f	
19314	c6b7e99c-4d33-4285-84af-3fc8fd7183e0	Villa Sant'Angelo	Villa Sant'Angelo	4	0	2013-07-22 10:19:35.531104+02	\N	\N	\N	\N	\N	\N	f	
19968	e87e28d4-63e2-40dc-9969-f8a4a3b92ed9	Trecchina	Trecchina	4	0	2013-07-22 12:01:34.312052+02	\N	\N	\N	\N	\N	\N	f	
20417	e9cc2599-f415-4933-ad96-7a9ac9b8e349	Torano Castello	Torano Castello	4	0	2013-07-22 23:50:58.546282+02	\N	\N	\N	\N	\N	\N	f	
23344	1acd35ca-7a40-4ada-a434-33f62959d9ab	Marriott-Slaterville	Marriott-Slaterville	3	0	2013-08-24 17:29:48.52094+02	\N	\N	\N	\N	\N	\N	f	
20543	fa825429-8dfc-42d6-8973-914c862bb49f	Gioiosa Ionica	Gioiosa Ionica	4	0	2013-07-23 05:35:11.614405+02	\N	\N	\N	\N	\N	\N	f	
20605	280f37cd-6c0d-4ebe-b267-729f8af3a6fa	Maierato	Maierato	4	0	2013-07-23 05:48:02.563284+02	\N	\N	\N	\N	\N	\N	f	
23351	8af8584a-313c-4d8e-ad7a-f4a04240e192	Eagle Mountain	Eagle Mountain	3	0	2013-08-24 17:31:28.49324+02	\N	\N	\N	\N	\N	\N	f	
22450	2daa3dde-bffd-4b7f-b1c5-2c15904bb1b7	Coronado	Coronado	3	0	2013-08-11 02:55:30.543788+02	\N	\N	\N	\N	\N	\N	f	
23572	fc5810de-c021-42d4-a750-72bbdee25347	Medzilaborce	Medzilaborce	3	0	2013-08-26 14:36:25.807681+02	\N	\N	\N	\N	\N	\N	f	
22453	3d628b22-a76b-4f15-9af1-0d6d6964dbe8	West Hollywood	West Hollywood	3	0	2013-08-11 02:56:19.115025+02	\N	\N	\N	\N	\N	\N	f	
23364	a69f8b95-1859-4c33-9108-69838352c7b8	West Haven	West Haven	3	0	2013-08-24 17:34:34.372541+02	\N	\N	\N	\N	\N	\N	f	
22455	3df4e060-b282-40a3-b132-0dc14c4cdb32	Montclair	Montclair	3	0	2013-08-11 02:56:48.251065+02	\N	\N	\N	\N	\N	\N	f	
22760	0b6880d4-51a0-450a-b2e3-acab2d6093a8	Fondachelli-Fantina	Fondachelli-Fantina	4	0	2013-08-14 17:40:27.297017+02	\N	\N	\N	\N	\N	\N	f	
22951	049e1c92-416b-410e-b683-840788ddaad4	East Lansing	East Lansing	3	0	2013-08-20 14:48:45.261058+02	\N	\N	\N	\N	\N	\N	f	
23392	2655b2e7-c68f-4b8a-8935-667f83fbec23	Watertown	Watertown	3	0	2013-08-24 20:20:56.129818+02	\N	\N	\N	\N	\N	\N	f	
23085	b5751917-29d5-4b51-9ae7-9c4c6868f96e	Eagan	Eagan	3	0	2013-08-22 02:43:44.447921+02	\N	\N	\N	\N	\N	\N	f	
23152	f312e2c7-ba3b-4599-b032-b04b652f4e6e	Gary	Gary	3	0	2013-08-22 05:33:00.985656+02	\N	\N	\N	\N	\N	\N	f	
27308	262ef312-5353-40b7-8184-5778cbdba48a	Beulah, North Dakota	Beulah, North Dakota	3	0	2013-09-08 07:24:11.156375+02	\N	\N	\N	\N	\N	\N	f	
23193	dbf50b93-2084-403f-b7da-7b518c35b943	Chadron	Chadron	3	0	2013-08-22 08:34:03.963455+02	\N	\N	\N	\N	\N	\N	f	
23439	5c639100-ca13-4102-bb22-7a92417534d5	Äänekoski	Äänekoski	3	0	2013-08-25 23:27:19.741576+02	\N	\N	\N	\N	\N	\N	f	
23216	ce35adc1-e0f0-4877-b8da-c1eeb47a1d47	Las Cruces	Las Cruces	3	0	2013-08-23 11:28:01.597056+02	\N	\N	\N	\N	\N	\N	f	
23590	754a6601-66c5-4366-8d4e-fa0ddb2dea3a	Podolínec	Podolínec	3	0	2013-08-26 14:43:32.473497+02	\N	\N	\N	\N	\N	\N	f	
23467	f2e0ef4d-7b77-4dce-872b-80f4242da5b5	Banská Štiavnica	Banská Štiavnica	3	0	2013-08-26 02:24:10.797422+02	\N	\N	\N	\N	\N	\N	f	
24771	05f84f68-9ced-4a79-809d-334991549a12	Deep River, Iowa	Deep River, Iowa	3	0	2013-09-07 08:30:51.463424+02	\N	\N	\N	\N	\N	\N	f	
23473	7d386d05-5913-4968-baa6-246c18757a80	Vráble	Vráble	3	0	2013-08-26 02:28:46.473057+02	\N	\N	\N	\N	\N	\N	f	
23612	ff8ffaf7-fa16-494f-bff8-5a5ac358e184	Mladá Boleslav	Mladá Boleslav	3	0	2013-08-26 17:22:41.099304+02	\N	\N	\N	\N	\N	\N	f	
23539	947f77ad-b90a-4cbc-8bc6-ad3b95326434	Iisalmi	Iisalmi	3	0	2013-08-26 11:31:31.716646+02	\N	\N	\N	\N	\N	\N	f	
23550	fe2d6057-249b-4e3c-b72d-eda3b3bb578a	Tlmače	Tlmače	3	0	2013-08-26 14:26:01.553822+02	\N	\N	\N	\N	\N	\N	f	
26531	d59babf5-d823-49b9-8152-c3912b1020e7	Ogallala, Nebraska	Ogallala, Nebraska	3	0	2013-09-08 00:59:32.778585+02	\N	\N	\N	\N	\N	\N	f	
23651	ca2d86ab-59f4-4b5f-abc8-7f49330c22df	Ajaccio	Ajaccio	3	0	2013-08-26 23:29:21.465993+02	\N	\N	\N	\N	\N	\N	f	
25204	cca19c4f-cc0b-4279-b0a6-08f0f4e6f510	Joice	Joice	3	0	2013-09-07 10:38:51.782367+02	\N	\N	\N	\N	\N	\N	f	
23659	e6a8e85d-c15d-4384-972a-5fa95feeab62	Kauhajoki	Kauhajoki	3	0	2013-08-27 02:29:36.538823+02	\N	\N	\N	\N	\N	\N	f	
11918	ac60c5a3-acee-4fe4-954f-1ecedd89bdc2	Midori-ku	Midori-ku	5	0	2013-08-27 14:41:30.273084+02	\N	\N	\N	\N	\N	\N	f	
24672	ea5318b6-6807-4413-9574-80b75ad78862	Bunker Hill	Bunker Hill	3	0	2013-09-07 08:07:14.953326+02	\N	\N	\N	\N	\N	\N	f	
26972	81574919-166f-4055-b675-6e0645b0dec5	Charlack	Charlack	3	0	2013-09-08 04:14:49.037891+02	\N	\N	\N	\N	\N	\N	f	
25762	5a4ea55b-513b-4acd-9763-ffe85d9599fb	Ransom, Kansas	Ransom, Kansas	3	0	2013-09-07 14:32:26.755798+02	\N	\N	\N	\N	\N	\N	f	
26538	b1742f74-942b-4895-b111-43869026ad62	Payette, Idaho	Payette, Idaho	3	0	2013-09-08 01:01:47.89864+02	\N	\N	\N	\N	\N	\N	f	
26206	8ede44e9-606a-4dd8-aabc-884782bbdd44	Coldstream, Kentucky	Coldstream, Kentucky	3	0	2013-09-07 20:45:14.679101+02	\N	\N	\N	\N	\N	\N	f	
26887	3975aa8a-48a2-4270-9789-7b3471b1824f	Perryville	Perryville	3	0	2013-09-08 03:52:30.888183+02	\N	\N	\N	\N	\N	\N	f	
27302	6e3d50cb-171d-4c36-a8e8-e330594d3c4e	Noonan, North Dakota	Noonan, North Dakota	3	0	2013-09-08 07:22:34.27481+02	\N	\N	\N	\N	\N	\N	f	
27299	e7ba5dcd-b0a7-4669-8ca8-1bbeeef57ab9	Drake, North Dakota	Drake, North Dakota	3	0	2013-09-08 07:21:09.645208+02	\N	\N	\N	\N	\N	\N	f	
27351	0a5bb1e9-ab27-4d9c-8a7b-2c79ac2b3ed7	Towner, North Dakota	Towner, North Dakota	3	0	2013-09-08 07:35:04.900022+02	\N	\N	\N	\N	\N	\N	f	
27622	92739b3e-e02e-4dcc-8b7a-94fbba300d60	McVille, North Dakota	McVille, North Dakota	3	0	2013-09-08 08:59:45.106929+02	\N	\N	\N	\N	\N	\N	f	
27677	bc8d7995-3dca-4318-ac90-c8d9a319ae80	Flint Hill	Flint Hill	3	0	2013-09-08 09:16:40.796812+02	\N	\N	\N	\N	\N	\N	f	
27980	7a91dee4-0599-451a-82b5-587f1f339037	Spirit Lake, Iowa	Spirit Lake, Iowa	3	0	2013-09-08 11:52:50.273233+02	\N	\N	\N	\N	\N	\N	f	
27987	d7d65238-6a8e-484e-a2be-c5f7c3c2af10	Warsaw	Warsaw	3	0	2013-09-08 11:54:46.600532+02	\N	\N	\N	\N	\N	\N	f	
28237	2c1827a5-8f92-4ea5-93b5-71c20baa1cd4	Titusville, Pennsylvania	Titusville, Pennsylvania	3	0	2013-09-08 15:03:00.442336+02	\N	\N	\N	\N	\N	\N	f	
28432	33aa4dc5-1e50-4c84-8740-de3ea600b690	Springfield	Springfield	3	0	2013-09-08 17:23:55.667315+02	\N	\N	\N	\N	\N	\N	f	
10962	a3235a0a-4b1e-45f0-aba3-12418a682253	Imizu	Imizu	3	0	2013-06-21 07:54:24.948128+02	\N	\N	\N	\N	\N	\N	f	
10965	0d41e97a-8764-440c-96ce-a7b30e1e8286	Ibara	Ibara	3	0	2013-06-21 07:55:19.333474+02	\N	\N	\N	\N	\N	\N	f	
10966	a109e33e-7fd5-43ed-9c64-28340b3951b6	Bizen	Bizen	3	0	2013-06-21 07:55:31.117299+02	\N	\N	\N	\N	\N	\N	f	
13936	1d219367-2ddc-494f-8f45-1a896b460fb9	Pavone del Mella	Pavone del Mella	4	0	2013-07-21 19:46:25.55367+02	\N	\N	\N	\N	\N	\N	f	
14503	a22a2105-8247-4bea-8b29-2628c6409630	Villalvernia	Villalvernia	4	0	2013-07-21 21:52:55.776207+02	\N	\N	\N	\N	\N	\N	f	
15626	c99b56f7-6d10-449d-9cb5-a75945a46207	Piedimulera	Piedimulera	4	0	2013-07-22 01:27:27.10765+02	\N	\N	\N	\N	\N	\N	f	
14675	42e7bbb1-5c3e-4471-a8e2-ec0561051d40	Vinchio	Vinchio	4	0	2013-07-21 22:31:10.333102+02	\N	\N	\N	\N	\N	\N	f	
14744	f9c2c8eb-9c8d-484d-94d7-496b00b5f441	Soprana	Soprana	4	0	2013-07-21 22:46:18.439894+02	\N	\N	\N	\N	\N	\N	f	
15024	d2b3486c-987e-4b1f-8e85-e3a52d014e68	Montezemolo	Montezemolo	4	0	2013-07-21 23:38:19.240423+02	\N	\N	\N	\N	\N	\N	f	
15627	90b98acb-7d39-4f85-a8f0-10f9b4f88232	Miazzina	Miazzina	4	0	2013-07-22 01:27:39.105964+02	\N	\N	\N	\N	\N	\N	f	
25763	9e877825-91ad-4aa6-8230-acd7dd590d85	Dorrance, Kansas	Dorrance, Kansas	3	0	2013-09-07 14:32:41.653825+02	\N	\N	\N	\N	\N	\N	f	
16573	a127ba0b-427a-4ff9-8c34-4c72d1e10fee	Possagno	Possagno	4	0	2013-07-22 03:50:01.854746+02	\N	\N	\N	\N	\N	\N	f	
17077	3c738a0d-1562-4ec1-92a5-8c88475177a9	Calvignano	Calvignano	4	0	2013-07-22 05:40:23.842783+02	\N	\N	\N	\N	\N	\N	f	
23247	28965bc4-b3d4-453a-b3e7-7cdefced4749	Riverdale	Riverdale	3	0	2013-08-24 14:21:33.415566+02	\N	\N	\N	\N	\N	\N	f	
17533	5be192e5-31e6-4f19-afcc-5cca44db275a	Cadrezzate	Cadrezzate	4	0	2013-07-22 06:39:03.142676+02	\N	\N	\N	\N	\N	\N	f	
19794	9b24b669-2487-4cd6-bd13-c20b954a7cfb	Cavacurta	Cavacurta	4	0	2013-07-22 11:36:57.125017+02	\N	\N	\N	\N	\N	\N	f	
17620	6a0311ac-eee5-4237-8500-9d29424c74cc	Caronno Varesino	Caronno Varesino	4	0	2013-07-22 06:50:08.266965+02	\N	\N	\N	\N	\N	\N	f	
17730	f69e3aa6-52b2-4ea7-8c4c-d52572b9059c	Langosco	Langosco	4	0	2013-07-22 07:03:34.473962+02	\N	\N	\N	\N	\N	\N	f	
23660	c6226e3d-af0f-41fb-9e57-0a84a32678e6	Lapua	Lapua	3	0	2013-08-27 02:29:58.560744+02	\N	\N	\N	\N	\N	\N	f	
19801	24a497a6-c221-4131-9eff-42919716673b	Zibido San Giacomo	Zibido San Giacomo	4	0	2013-07-22 11:37:47.787232+02	\N	\N	\N	\N	\N	\N	f	
18568	0557e4f6-f5e5-4ec5-9919-e0f53c57f698	Quinto di Treviso	Quinto di Treviso	4	0	2013-07-22 08:47:09.112301+02	\N	\N	\N	\N	\N	\N	f	
19266	8f0e5fc6-2c37-480b-8c6c-136f50bac7d6	Prezza, Abruzzo	Prezza, Abruzzo	4	0	2013-07-22 10:13:49.596858+02	\N	\N	\N	\N	\N	\N	f	
23267	54c5b089-a4a2-405d-ab23-669a497ea478	Alexandria, South Dakota	Alexandria, South Dakota	3	0	2013-08-24 14:32:20.799042+02	\N	\N	\N	\N	\N	\N	f	
19307	58ed6ece-dcbc-43e8-a8c9-f3ed5700afcc	Prata d'Ansidonia	Prata d'Ansidonia	4	0	2013-07-22 10:18:53.986355+02	\N	\N	\N	\N	\N	\N	f	
20040	132db20d-8426-461e-bcaf-9b5f597ad453	Bagnacavallo	Bagnacavallo	4	0	2013-07-22 12:11:33.293451+02	\N	\N	\N	\N	\N	\N	f	
19316	cb65b1f4-1aaf-4321-9f56-f79a90d5bffb	Imola	Imola	4	0	2013-07-22 10:19:47.961961+02	\N	\N	\N	\N	\N	\N	f	
19556	4b7e80aa-180d-4adf-aca5-8e019b301269	Grumo Appula	Grumo Appula	4	0	2013-07-22 10:50:33.392324+02	\N	\N	\N	\N	\N	\N	f	
20544	7482039f-718e-48bb-8ea4-f24d8b56cd50	Platì	Platì	4	0	2013-07-23 05:35:23.7273+02	\N	\N	\N	\N	\N	\N	f	
20580	4ff9ec31-80d3-42f6-8d69-3c558acfadee	Varapodio	Varapodio	4	0	2013-07-23 05:43:00.124249+02	\N	\N	\N	\N	\N	\N	f	
23345	a3d7f3ef-ec6b-43ca-96d8-315e184f6266	Toquerville	Toquerville	3	0	2013-08-24 17:30:03.975669+02	\N	\N	\N	\N	\N	\N	f	
20598	b8d85e05-7414-432f-af68-e34aa244dd8d	Gerocarne	Gerocarne	4	0	2013-07-23 05:46:36.874435+02	\N	\N	\N	\N	\N	\N	f	
23394	e504a976-00ac-49fe-a0f5-c75c1d09f216	Hartford	Hartford	3	0	2013-08-24 20:22:23.643662+02	\N	\N	\N	\N	\N	\N	f	
22457	f8f91db2-e40c-4043-aab4-3efcd1e6a49d	Newark	Newark	3	0	2013-08-11 02:57:16.866353+02	\N	\N	\N	\N	\N	\N	f	
22762	5198cddb-2885-4fb6-a294-bbb4bf98f837	Sant'Agata di Militello	Sant'Agata di Militello	4	0	2013-08-14 17:40:53.903057+02	\N	\N	\N	\N	\N	\N	f	
11880	addd832c-81d3-4d9d-9a26-093b89b99bc4	Mihama-ku	Mihama-ku	5	0	2013-08-27 14:41:32.495387+02	\N	\N	\N	\N	\N	\N	f	
22952	1b7e34c1-f049-45c3-855d-d78f683537e5	Bronson, Michigan	Bronson, Michigan	3	0	2013-08-20 14:49:17.853341+02	\N	\N	\N	\N	\N	\N	f	
23440	d051ba6e-8da9-4850-90e9-855957c27efe	Žilina	Žilina	3	0	2013-08-25 23:27:39.90132+02	\N	\N	\N	\N	\N	\N	f	
23089	13a6192e-790d-4d16-a338-3e2e5406c293	Butler	Butler	3	0	2013-08-22 02:44:57.571377+02	\N	\N	\N	\N	\N	\N	f	
23154	ddffa8dd-1c20-41a4-bebb-2f62ef862f74	St. Bonifacius, Minnesota	St. Bonifacius, Minnesota	3	0	2013-08-22 05:33:42.465429+02	\N	\N	\N	\N	\N	\N	f	
23160	c20d7a6a-523a-4ca3-938b-fde3f1371aa5	Lonsdale, Minnesota	Lonsdale, Minnesota	3	0	2013-08-22 05:35:13.744974+02	\N	\N	\N	\N	\N	\N	f	
23468	1dc9e3c2-ec5d-4c8b-b44d-8f8b294e0757	Levoča	Levoča	3	0	2013-08-26 02:26:15.777873+02	\N	\N	\N	\N	\N	\N	f	
23195	6fb92efc-dbc1-4e5d-b843-afaf5d623bc2	Papillion	Papillion	3	0	2013-08-22 08:34:58.763877+02	\N	\N	\N	\N	\N	\N	f	
23217	e54a69b3-1198-44b8-8595-6f80f3e5d604	Rio Rancho, New Mexico	Rio Rancho, New Mexico	3	0	2013-08-23 11:28:27.594815+02	\N	\N	\N	\N	\N	\N	f	
26888	0365df2c-48c7-4343-a8eb-82544cda92f0	Kimball	Kimball	3	0	2013-09-08 03:52:45.49973+02	\N	\N	\N	\N	\N	\N	f	
24680	4537d24d-ef00-4e00-acbc-c11a5eb51a55	Prospect Heights	Prospect Heights	3	0	2013-09-07 08:09:03.988689+02	\N	\N	\N	\N	\N	\N	f	
23551	f836a341-7766-43b3-bac3-5a0d11f6b6bb	Sobrance	Sobrance	3	0	2013-08-26 14:26:27.568354+02	\N	\N	\N	\N	\N	\N	f	
23594	54b30cee-e3a6-4bf5-939c-61dd2131b495	Hriňová	Hriňová	3	0	2013-08-26 14:44:26.993452+02	\N	\N	\N	\N	\N	\N	f	
25766	5bd96a8e-36bf-4538-9336-28f95ff60d1f	Hillview, Kentucky	Hillview, Kentucky	3	0	2013-09-07 14:33:26.030895+02	\N	\N	\N	\N	\N	\N	f	
23613	5d4d33e1-c17f-41d4-9f47-504375a59f80	Karviná	Karviná	3	0	2013-08-26 17:22:56.063087+02	\N	\N	\N	\N	\N	\N	f	
24685	f4d4c37a-f9d9-4413-aa76-760874a02604	Gillespie	Gillespie	3	0	2013-09-07 08:10:12.050384+02	\N	\N	\N	\N	\N	\N	f	
23652	116e3eb1-2b14-42c9-91a1-7a2510dcc4b3	Leeds	Leeds	3	0	2013-08-26 23:29:43.035394+02	\N	\N	\N	\N	\N	\N	f	
24773	da66e459-85d5-4ebb-aa3e-f0e4e27f9bbd	Grimes	Grimes	3	0	2013-09-07 08:31:20.273171+02	\N	\N	\N	\N	\N	\N	f	
24794	66688e6e-183a-4f07-896b-6158741ff97b	Archer	Archer	3	0	2013-09-07 08:37:17.31463+02	\N	\N	\N	\N	\N	\N	f	
26211	a665f75a-2043-4bb5-b886-4f2e617f221a	Fulton, Kentucky	Fulton, Kentucky	3	0	2013-09-07 20:46:31.028857+02	\N	\N	\N	\N	\N	\N	f	
25211	8505712c-121b-4cf6-bd16-906486e86d69	Harvey	Harvey	3	0	2013-09-07 10:41:21.44631+02	\N	\N	\N	\N	\N	\N	f	
27022	5f8256ec-2431-4819-8946-973b19d4c063	Olympian Village	Olympian Village	3	0	2013-09-08 04:27:09.217958+02	\N	\N	\N	\N	\N	\N	f	
26902	2b02337e-8414-4ac5-b6f8-a11d270adf66	Clear Lake, Iowa	Clear Lake, Iowa	3	0	2013-09-08 03:56:13.365226+02	\N	\N	\N	\N	\N	\N	f	
26535	df78b1eb-1247-4354-8401-c1ad4c20008c	Grand Mound, Iowa	Grand Mound, Iowa	3	0	2013-09-08 01:00:42.053521+02	\N	\N	\N	\N	\N	\N	f	
27398	65343196-231b-41d6-978b-165b523ba3de	Sibley, North Dakota	Sibley, North Dakota	3	0	2013-09-08 07:47:09.578664+02	\N	\N	\N	\N	\N	\N	f	
26937	e6b05c0f-1845-46fb-b07b-8de4d02c5e8c	Lake Lafayette	Lake Lafayette	3	0	2013-09-08 04:06:18.616747+02	\N	\N	\N	\N	\N	\N	f	
27352	4092b3a9-62a8-403b-a0ae-04700fec7d04	Washburn, North Dakota	Washburn, North Dakota	3	0	2013-09-08 07:35:28.634709+02	\N	\N	\N	\N	\N	\N	f	
27300	13fcd103-11fe-4ea4-bf87-2da2d6808c4c	Munich	Munich	3	0	2013-09-08 07:21:31.292218+02	\N	\N	\N	\N	\N	\N	f	
27627	9abce50b-263f-4bbf-81f4-564c8767a686	Carson, North Dakota	Carson, North Dakota	3	0	2013-09-08 09:01:06.171683+02	\N	\N	\N	\N	\N	\N	f	
27726	6475a23b-56d8-44fe-a3de-dd6b451d02de	Cleveland, Oklahoma	Cleveland, Oklahoma	3	0	2013-09-08 09:35:54.944883+02	\N	\N	\N	\N	\N	\N	f	
27984	97b85fa6-bd76-4c84-a7f5-3f38b6290658	Greensburg	Greensburg	3	0	2013-09-08 11:53:50.468283+02	\N	\N	\N	\N	\N	\N	f	
28238	d390d246-757e-40a2-990d-36ef7fc32bb7	Bamberg, South Carolina	Bamberg, South Carolina	3	0	2013-09-08 15:04:14.657742+02	\N	\N	\N	\N	\N	\N	f	
28675	e191630b-75dd-4356-8ca0-31b377f1726b	Hyrum	Hyrum	3	0	2013-09-08 23:18:18.377891+02	\N	\N	\N	\N	\N	\N	f	
28433	38263d33-2d35-417f-b637-afd3ba32ab62	Rockwood, Tennessee	Rockwood, Tennessee	3	0	2013-09-08 17:23:55.677001+02	\N	\N	\N	\N	\N	\N	f	
28892	b86b520a-794a-445c-b5b4-927043187133	Colfax	Colfax	3	0	2013-09-09 01:11:57.595877+02	\N	\N	\N	\N	\N	\N	f	
10967	c51af669-2549-427c-8c01-06f1962fefc6	Kasaoka	Kasaoka	3	0	2013-06-21 07:55:44.426+02	\N	\N	\N	\N	\N	\N	f	
10969	7c8e2bdf-6cfb-4d19-899b-784aad020e9e	Hachijō	Hachijō	3	0	2013-06-21 11:08:26.015398+02	\N	\N	\N	\N	\N	\N	f	
11002	dfb9373f-421c-40f5-a9a8-521e6c631b35	Chiryū	Chiryū	3	0	2013-06-22 05:56:00.904999+02	\N	\N	\N	\N	\N	\N	f	
10970	0e02d03b-8bb4-4d1d-a1a9-e4e391e21fab	Fussa	Fussa	3	0	2013-06-21 11:20:32.395397+02	\N	\N	\N	\N	\N	\N	f	
10986	f1c91a36-e8be-4dc8-90cf-ecd7de1b2b9d	Tomioka	Tomioka	3	0	2013-06-22 02:45:24.079119+02	\N	\N	\N	\N	\N	\N	f	
10971	6c6a147d-4c26-409c-9d26-543836ed57f8	Burbank	Burbank	3	0	2013-06-21 11:22:54.967898+02	\N	\N	\N	\N	\N	\N	f	
10972	ba01650f-1989-4869-9046-c8f39085a3c4	Palm Bay	Palm Bay	3	0	2013-06-21 11:31:51.129675+02	\N	\N	\N	\N	\N	\N	f	
10973	d8b83893-8d01-40bc-8307-807c85529575	Midland	Midland	3	0	2013-06-21 19:24:20.646405+02	\N	\N	\N	\N	\N	\N	f	
10987	b78a37ff-82c3-44b4-845a-a7b77f903410	Futaba	Futaba	3	0	2013-06-22 02:45:49.409423+02	\N	\N	\N	\N	\N	\N	f	
10974	8c3a9d95-f0c6-4f81-b729-5dfc6f0c3868	Mikurajima	Mikurajima	3	0	2013-06-21 19:25:24.912496+02	\N	\N	\N	\N	\N	\N	f	
10975	9b49b2a1-5751-484f-b5da-9782a3efb9bd	Higashikurume	Higashikurume	3	0	2013-06-21 19:37:33.526989+02	\N	\N	\N	\N	\N	\N	f	
11013	7312388e-525e-47ac-ac13-4243ce2a3a3f	Tōyako	Tōyako	3	0	2013-06-22 07:18:34.978118+02	\N	\N	\N	\N	\N	\N	f	
10976	de2275f8-7ca3-4d74-ba92-6d7072e25b36	Everett	Everett	3	0	2013-06-21 19:39:52.255701+02	\N	\N	\N	\N	\N	\N	f	
10988	6b86f36f-24c9-4e21-8dc9-d432c697d896	Setana	Setana	3	0	2013-06-22 02:46:34.482859+02	\N	\N	\N	\N	\N	\N	f	
10977	de3dd195-d01d-4b23-aee4-f840c697710e	Norwalk	Norwalk	3	0	2013-06-21 19:42:10.855056+02	\N	\N	\N	\N	\N	\N	f	
10978	3ce5706b-21e8-40a9-a4e9-c1770165614e	Antioch	Antioch	3	0	2013-06-21 19:42:24.861893+02	\N	\N	\N	\N	\N	\N	f	
11003	e2c12704-2dfa-4032-9b5d-bac6d8697d47	Aisai	Aisai	3	0	2013-06-22 05:58:59.961483+02	\N	\N	\N	\N	\N	\N	f	
10979	8668c961-70b2-4a7e-9fe0-8167f244629b	Bukwa	Bukwa	3	0	2013-06-21 19:42:44.988276+02	\N	\N	\N	\N	\N	\N	f	
10989	c31832f5-5ecd-473b-a235-29d4cc0c1ebd	Rebun	Rebun	3	0	2013-06-22 02:48:44.092538+02	\N	\N	\N	\N	\N	\N	f	
10980	e5800640-9df9-4703-932b-4419cf8a8473	Temecula	Temecula	3	0	2013-06-21 19:49:49.326+02	\N	\N	\N	\N	\N	\N	f	
10981	8981beb9-f5ae-4bce-80fe-32a57c1e490c	Kunitachi	Kunitachi	3	0	2013-06-21 20:54:39.438743+02	\N	\N	\N	\N	\N	\N	f	
10982	04e0b761-e229-4a7a-be21-3fb3134cfd63	Endingen am Kaiserstuhl	Endingen am Kaiserstuhl	3	0	2013-06-22 00:30:43.157809+02	\N	\N	\N	\N	\N	\N	f	
10990	e4ed885c-21ac-48ce-9c94-c7b71926c989	Nonoichi	Nonoichi	3	0	2013-06-22 02:49:53.875443+02	\N	\N	\N	\N	\N	\N	f	
10983	1bc92da6-daf5-4bb5-bfaa-f1610878c4d3	Coushatta	Coushatta	3	0	2013-06-22 00:34:21.847999+02	\N	\N	\N	\N	\N	\N	f	
10984	4e7464b6-e61e-4101-805f-77405ec2d683	Campti	Campti	3	0	2013-06-22 00:34:52.341005+02	\N	\N	\N	\N	\N	\N	f	
10985	2a1acdad-a3f4-4fff-a0a6-9990b97e8c61	Higashiyamato	Higashiyamato	3	0	2013-06-22 00:42:56.346567+02	\N	\N	\N	\N	\N	\N	f	
10192	5e4eac87-4d8e-49ab-a83f-91ede8789a3c	Makiivka	Makiivka	3	0	2013-06-22 02:00:23.713772+02	\N	\N	\N	\N	\N	\N	f	
10545	afc021d0-d86e-4e4d-bace-c0c0c53c9580	Samara	Samara	3	0	2013-06-22 02:00:23.939947+02	\N	\N	\N	\N	\N	\N	f	
10991	936b0155-a7f0-48dd-89e6-eb94b9f0610f	Assabu	Assabu	3	0	2013-06-22 02:50:26.840435+02	\N	\N	\N	\N	\N	\N	f	
11004	f3526088-54c6-4de1-b00a-10db0bf971f7	Yatomi	Yatomi	3	0	2013-06-22 06:01:12.88899+02	\N	\N	\N	\N	\N	\N	f	
10992	b56400a0-4843-4edd-97c7-b4e900604c46	Yakumo	Yakumo	3	0	2013-06-22 02:50:58.472016+02	\N	\N	\N	\N	\N	\N	f	
10993	aa6ae0d5-dc0d-4148-87d8-b9f7f867e4fe	Obihiro	Obihiro	3	0	2013-06-22 02:54:38.236758+02	\N	\N	\N	\N	\N	\N	f	
10994	ee7e621d-d8a5-405b-960a-54168f856207	Yawata	Yawata	3	0	2013-06-22 03:02:34.358246+02	\N	\N	\N	\N	\N	\N	f	
11005	e7275516-d97f-4876-aa68-1988b15351bd	Tahara	Tahara	3	0	2013-06-22 06:05:09.748543+02	\N	\N	\N	\N	\N	\N	f	
10995	7142b373-b2c7-4f22-96d4-b3e0e2597190	Fukuchiyama	Fukuchiyama	3	0	2013-06-22 03:05:33.092892+02	\N	\N	\N	\N	\N	\N	f	
10996	ba537b75-f47d-431a-bf7f-4e4a300f5144	Musashimurayama	Musashimurayama	3	0	2013-06-22 03:07:14.466781+02	\N	\N	\N	\N	\N	\N	f	
11014	a07349ce-34a9-4ded-891c-d17be2a175f3	Okushiri	Okushiri	3	0	2013-06-22 07:18:48.897485+02	\N	\N	\N	\N	\N	\N	f	
10997	701b06ca-b76e-4ea9-9c5d-20e9c939c50e	Emmendingen	Emmendingen	3	0	2013-06-22 03:09:47.118448+02	\N	\N	\N	\N	\N	\N	f	
11006	7b5764e1-5047-48be-8e7b-c6ff356ab5ee	Elzach	Elzach	3	0	2013-06-22 06:05:31.389408+02	\N	\N	\N	\N	\N	\N	f	
10998	c6ec286d-f57c-44f9-a495-1c22f16150c3	Owariasahi	Owariasahi	3	0	2013-06-22 03:14:02.169811+02	\N	\N	\N	\N	\N	\N	f	
10999	2bfc526f-0dae-44ad-a35a-db315a13678e	Fukagawa	Fukagawa	3	0	2013-06-22 03:17:02.528259+02	\N	\N	\N	\N	\N	\N	f	
11000	b6b6172d-ef19-4c02-92a4-44fa1c26a9cf	Imakane	Imakane	3	0	2013-06-22 03:19:04.472943+02	\N	\N	\N	\N	\N	\N	f	
11007	de2621d6-b0e8-43c3-8f9b-00eb96930e56	Kitanagoya	Kitanagoya	3	0	2013-06-22 06:07:43.178872+02	\N	\N	\N	\N	\N	\N	f	
11001	5f0d2b6f-25c4-4c27-8def-d4d33abb94f5	Miyoshi	Miyoshi	3	0	2013-06-22 05:45:25.929971+02	\N	\N	\N	\N	\N	\N	f	
11025	8e1bea02-f4e4-4371-8164-a0a869b5bf13	Naie	Naie	3	0	2013-06-22 07:24:19.032722+02	\N	\N	\N	\N	\N	\N	f	
11015	6cafe84d-a3bc-4d64-ad4e-a28fe07fcedd	Urahoro	Urahoro	3	0	2013-06-22 07:20:08.789528+02	\N	\N	\N	\N	\N	\N	f	
11008	be37c41e-b52e-486d-aa33-5d096d150eee	Iwakura	Iwakura	3	0	2013-06-22 06:09:00.608852+02	\N	\N	\N	\N	\N	\N	f	
11009	2f1eb1ea-f348-458c-9cdd-d4006c037fcb	Shinshiro	Shinshiro	3	0	2013-06-22 06:09:50.581883+02	\N	\N	\N	\N	\N	\N	f	
11021	d16e56fe-ce20-46c3-9a15-4e43e2f061da	Rausu	Rausu	3	0	2013-06-22 07:22:21.742879+02	\N	\N	\N	\N	\N	\N	f	
11010	cad16946-04d7-4607-b036-eeabff97118e	Toyoake	Toyoake	3	0	2013-06-22 06:12:45.118146+02	\N	\N	\N	\N	\N	\N	f	
11016	44229cde-e4e5-4875-bc06-264ae239446a	Teshikaga	Teshikaga	3	0	2013-06-22 07:20:23.285938+02	\N	\N	\N	\N	\N	\N	f	
11011	20776b0c-8715-4bec-ae22-dad32763cf0f	Takahama	Takahama	3	0	2013-06-22 06:12:57.139319+02	\N	\N	\N	\N	\N	\N	f	
11012	86391524-3c29-4992-8ac5-737b5e6ea9b2	Komae	Komae	3	0	2013-06-22 06:14:14.07857+02	\N	\N	\N	\N	\N	\N	f	
11017	f6b975ef-ad43-4757-b7a7-7876902dfbce	Niseko	Niseko	3	0	2013-06-22 07:20:54.880851+02	\N	\N	\N	\N	\N	\N	f	
11022	d081dfc7-d1ea-43f8-943e-0f3bb1c1174e	Shinhidaka	Shinhidaka	3	0	2013-06-22 07:22:35.761242+02	\N	\N	\N	\N	\N	\N	f	
11018	c699f051-311a-4f47-8681-58fd1350d134	Ōmu	Ōmu	3	0	2013-06-22 07:21:24.567844+02	\N	\N	\N	\N	\N	\N	f	
11019	3c6e1369-34bb-4f24-8d39-af07b412982e	Hamatonbetsu	Hamatonbetsu	3	0	2013-06-22 07:21:46.345254+02	\N	\N	\N	\N	\N	\N	f	
11028	2f1b83dc-15f4-48aa-bd22-1b46b07970ef	Ashoro	Ashoro	3	0	2013-06-22 08:18:18.834405+02	\N	\N	\N	\N	\N	\N	f	
11020	b2342f65-dd8f-460a-8d0c-b5b08b554758	Kenbuchi	Kenbuchi	3	0	2013-06-22 07:22:04.635482+02	\N	\N	\N	\N	\N	\N	f	
11026	4c653476-19c5-4fe4-8058-a26b00d2e1d0	Oshamambe	Oshamambe	3	0	2013-06-22 07:24:43.113233+02	\N	\N	\N	\N	\N	\N	f	
11023	744ff840-7359-488f-b111-7a6fc0d7890f	Enbetsu	Enbetsu	3	0	2013-06-22 07:23:18.303682+02	\N	\N	\N	\N	\N	\N	f	
11024	3b8ea743-2e76-4d63-a7dc-138726ad669a	Tōbetsu	Tōbetsu	3	0	2013-06-22 07:23:44.67894+02	\N	\N	\N	\N	\N	\N	f	
11030	2670fbc7-27af-4c72-94b8-29bf6fcb13d9	Mukawa	Mukawa	3	0	2013-06-22 08:18:47.444306+02	\N	\N	\N	\N	\N	\N	f	
11027	89ff086f-e961-4f7c-815c-05c7a7892904	Herbolzheim	Herbolzheim	3	0	2013-06-22 07:41:08.878312+02	\N	\N	\N	\N	\N	\N	f	
11029	c067a25d-9948-4e78-b586-2e78f8187d7d	Hamanaka	Hamanaka	3	0	2013-06-22 08:18:32.192187+02	\N	\N	\N	\N	\N	\N	f	
11032	e43c693c-2c00-4c24-9737-21607a7e0fa4	Ōzora	Ōzora	3	0	2013-06-22 08:19:52.863514+02	\N	\N	\N	\N	\N	\N	f	
11031	47b7f705-4f9d-48f2-adf6-2d414b5e5c33	Kutchan	Kutchan	3	0	2013-06-22 08:19:16.942981+02	\N	\N	\N	\N	\N	\N	f	
11033	692ec31f-45ee-4f74-937c-89db77683680	Nakatonbetsu	Nakatonbetsu	3	0	2013-06-22 08:20:06.262656+02	\N	\N	\N	\N	\N	\N	f	
11034	aa7ae834-c8ea-4056-84e9-020b73a100e6	Nakagawa	Nakagawa	3	0	2013-06-22 08:20:21.840792+02	\N	\N	\N	\N	\N	\N	f	
11035	9c334a11-1c5a-45ef-8068-5fb6e7931a24	Samani	Samani	3	0	2013-06-22 08:20:35.018687+02	\N	\N	\N	\N	\N	\N	f	
11037	c278fdd5-7c32-4cb7-8e44-48b3516e8b9e	Obira	Obira	3	0	2013-06-22 08:21:39.469951+02	\N	\N	\N	\N	\N	\N	f	
11038	77e6da04-5818-4217-ab01-bd84310e5830	Urausu	Urausu	3	0	2013-06-22 08:22:05.517156+02	\N	\N	\N	\N	\N	\N	f	
11039	0461b267-4af2-4558-9d90-931a86d9ca70	Shinshinotsu	Shinshinotsu	3	0	2013-06-22 08:22:23.651527+02	\N	\N	\N	\N	\N	\N	f	
11040	574ddcd5-368c-40e6-a871-f0b0acdf9ae5	Nemuro	Nemuro	3	0	2013-06-22 08:38:27.293509+02	\N	\N	\N	\N	\N	\N	f	
11041	a43e4828-037d-49c7-b8ee-ec5b91dc0b0b	Kenzingen	Kenzingen	3	0	2013-06-22 08:39:30.941735+02	\N	\N	\N	\N	\N	\N	f	
11042	2f555dfa-7864-47ef-a048-a077f5ed5fb0	Usa	Usa	3	0	2013-06-22 11:18:01.027949+02	\N	\N	\N	\N	\N	\N	f	
11066	bb5bd2ae-0b80-41f6-953b-a6dec5910a9e	Akaigawa	Akaigawa	3	0	2013-06-22 14:22:30.456986+02	\N	\N	\N	\N	\N	\N	f	
11043	df8e1e67-4045-46e0-99bc-47944dfd6142	Shiranuka	Shiranuka	3	0	2013-06-22 11:18:46.281099+02	\N	\N	\N	\N	\N	\N	f	
11044	8496d6b7-cc26-4df2-bce1-eded3ebbfa56	Rikubetsu	Rikubetsu	3	0	2013-06-22 11:19:02.665846+02	\N	\N	\N	\N	\N	\N	f	
11045	02ac7764-92f2-47be-a72c-78016cf90b9c	Toyotomi	Toyotomi	3	0	2013-06-22 11:20:03.529765+02	\N	\N	\N	\N	\N	\N	f	
11067	5e204029-c1db-4082-bbcd-9ce9d5c4c306	Atsuma	Atsuma	3	0	2013-06-22 14:22:46.942946+02	\N	\N	\N	\N	\N	\N	f	
11046	ea3f45e1-b354-4956-9d47-52fce0c58387	Bifuka	Bifuka	3	0	2013-06-22 11:20:18.165247+02	\N	\N	\N	\N	\N	\N	f	
11047	5010a672-7414-45f2-9d98-ae46d1ead67f	Sakurai	Sakurai	3	0	2013-06-22 11:20:46.580972+02	\N	\N	\N	\N	\N	\N	f	
11082	a0397144-fc07-4789-9a94-dcb91800c545	Chippubetsu	Chippubetsu	3	0	2013-06-22 17:22:14.950866+02	\N	\N	\N	\N	\N	\N	f	
11048	3ef11602-7396-4e0c-a979-28ade2174465	Takinoue	Takinoue	3	0	2013-06-22 11:21:34.345256+02	\N	\N	\N	\N	\N	\N	f	
11068	759913c4-dba3-456f-bcc3-153c2d1c8e36	Shosanbetsu	Shosanbetsu	3	0	2013-06-22 14:23:05.24404+02	\N	\N	\N	\N	\N	\N	f	
11049	83dbb566-6c97-4066-a5f2-1cd42f1e071d	Yoichi	Yoichi	3	0	2013-06-22 11:21:47.821565+02	\N	\N	\N	\N	\N	\N	f	
11050	8effb325-4d32-4b9a-8c99-dc6ad0b90c26	Shiraoi	Shiraoi	3	0	2013-06-22 11:22:01.438053+02	\N	\N	\N	\N	\N	\N	f	
11051	b1ca4229-2c3c-40f8-9966-b61d776ce8d4	Otobe	Otobe	3	0	2013-06-22 11:22:26.209222+02	\N	\N	\N	\N	\N	\N	f	
11069	521793ab-f139-4587-b58a-3b3225508ec1	Hidaka	Hidaka	3	0	2013-06-22 14:23:23.565967+02	\N	\N	\N	\N	\N	\N	f	
11052	bfe2d029-53db-4545-83d9-3aa92c6262d1	Tomamae	Tomamae	3	0	2013-06-22 11:22:41.423651+02	\N	\N	\N	\N	\N	\N	f	
11053	4b42e7ef-8f83-4c30-be55-20a50a29a401	Urakawa	Urakawa	3	0	2013-06-22 11:22:55.82472+02	\N	\N	\N	\N	\N	\N	f	
11098	9b367d4f-d4f4-484d-a48a-47854b870c89	Tsushima	Tsushima	3	0	2013-06-22 17:48:21.899559+02	\N	\N	\N	\N	\N	\N	f	
11054	cd885815-0603-44df-8bf2-84d78ead34f4	Naganuma	Naganuma	3	0	2013-06-22 11:23:09.232003+02	\N	\N	\N	\N	\N	\N	f	
11070	6e568c44-9eba-40e7-8fd0-aeef4b502a32	Kaminokuni	Kaminokuni	3	0	2013-06-22 14:23:40.952242+02	\N	\N	\N	\N	\N	\N	f	
11055	2c84c11f-468a-4e1a-9428-e30d9b8efe8b	Hamamatsu	Hamamatsu	3	0	2013-06-22 11:26:36.370385+02	\N	\N	\N	\N	\N	\N	f	
11056	42a5246e-e681-4ab8-9d1d-e7e6e068122b	Uji	Uji	3	0	2013-06-22 11:35:39.534072+02	\N	\N	\N	\N	\N	\N	f	
11083	b8619df7-1fac-48bd-aff1-632c330a4617	Niikappu	Niikappu	3	0	2013-06-22 17:22:29.196617+02	\N	\N	\N	\N	\N	\N	f	
11057	3a477280-b7f6-4273-8812-f25cdb81d830	Kamaishi	Kamaishi	3	0	2013-06-22 11:35:56.799772+02	\N	\N	\N	\N	\N	\N	f	
11071	f9fa5133-aa31-4d2e-920b-6e4d3c1411b7	Nanporo	Nanporo	3	0	2013-06-22 14:23:56.406478+02	\N	\N	\N	\N	\N	\N	f	
11058	0d6bb0ce-e049-4a38-9bb6-56e6b90f0df7	Betsukai	Betsukai	3	0	2013-06-22 11:43:25.115529+02	\N	\N	\N	\N	\N	\N	f	
11059	b4c41bfb-6f0c-4c52-aa51-98aca42cc992	Ishikari	Ishikari	3	0	2013-06-22 11:44:02.647743+02	\N	\N	\N	\N	\N	\N	f	
11060	6c9b210c-0465-4808-87f6-bf1a4e9eb15f	Hannan	Hannan	3	0	2013-06-22 11:47:07.147279+02	\N	\N	\N	\N	\N	\N	f	
11072	7fda641f-2b30-4031-9e50-624bd5aed5b0	Chitose	Chitose	3	0	2013-06-22 14:48:58.471518+02	\N	\N	\N	\N	\N	\N	f	
11062	5f367d26-78c7-4e6c-8ab2-db5003fcd7dc	Otofuke	Otofuke	3	0	2013-06-22 14:19:59.771341+02	\N	\N	\N	\N	\N	\N	f	
11092	2db9a0a5-3eb7-418a-8cd4-6a8bda9bebb3	Winston-Salem	Winston-Salem	3	0	2013-06-22 17:40:08.427176+02	\N	\N	\N	\N	\N	\N	f	
11073	90de1cff-ac0b-4207-83b3-a712bc8b629b	Tsurui	Tsurui	3	0	2013-06-22 17:18:23.309965+02	\N	\N	\N	\N	\N	\N	f	
11064	8d3f4523-2462-451f-b379-a59c9b46be07	Nishiokoppe	Nishiokoppe	3	0	2013-06-22 14:21:40.412122+02	\N	\N	\N	\N	\N	\N	f	
11065	c1aae3b1-7cf2-48cb-bf3f-2bd7553ffca1	Takasu	Takasu	3	0	2013-06-22 14:21:55.885205+02	\N	\N	\N	\N	\N	\N	f	
11084	52632858-cd3f-403b-80b9-475ff6db3496	Tokoname	Tokoname	3	0	2013-06-22 17:28:45.754737+02	\N	\N	\N	\N	\N	\N	f	
11074	e58f3467-e199-4fa3-8398-c31b4b373947	Honbetsu	Honbetsu	3	0	2013-06-22 17:19:19.5017+02	\N	\N	\N	\N	\N	\N	f	
11075	4ff4cfc9-0ce3-4adf-b944-3a0112e2c41a	Sarufutsu	Sarufutsu	3	0	2013-06-22 17:19:33.113522+02	\N	\N	\N	\N	\N	\N	f	
11076	f43d375c-e71d-401d-8041-7267b90785e9	Round Rock	Round Rock	3	0	2013-06-22 17:20:01.908418+02	\N	\N	\N	\N	\N	\N	f	
11085	338603a7-fb6b-4aea-b354-a07c5a26e83a	Anjō	Anjō	3	0	2013-06-22 17:33:11.500059+02	\N	\N	\N	\N	\N	\N	f	
11077	b4ca618a-dbbf-4d78-9fde-1cb3158efd8d	Kamikawa	Kamikawa	3	0	2013-06-22 17:20:40.395416+02	\N	\N	\N	\N	\N	\N	f	
11078	e9dc89e4-8d27-4ceb-a5f8-201706d1942b	Engaru	Engaru	3	0	2013-06-22 17:20:54.414886+02	\N	\N	\N	\N	\N	\N	f	
11079	a80be139-7261-4d4c-ae74-8bac61dfaed0	Iwanai	Iwanai	3	0	2013-06-22 17:21:20.189636+02	\N	\N	\N	\N	\N	\N	f	
11086	8095fc7c-78ca-4627-88d6-3628d581e23d	Nishio	Nishio	3	0	2013-06-22 17:34:43.867642+02	\N	\N	\N	\N	\N	\N	f	
11080	3c5b989c-bfdb-476d-9a23-c5032f440c44	Abira	Abira	3	0	2013-06-22 17:21:34.464644+02	\N	\N	\N	\N	\N	\N	f	
11093	35b1d7aa-56a0-4484-868b-aba69388fc59	Chita	Chita	3	0	2013-06-22 17:40:29.232192+02	\N	\N	\N	\N	\N	\N	f	
11081	f21f52d8-26ec-4385-bffc-8228c77e6d28	Teshio	Teshio	3	0	2013-06-22 17:21:52.192795+02	\N	\N	\N	\N	\N	\N	f	
11087	6de66fe1-cc89-46be-96fb-0f698d24cf28	Ōbu	Ōbu	3	0	2013-06-22 17:36:44.855809+02	\N	\N	\N	\N	\N	\N	f	
11088	b23542c6-935b-407a-b19c-3b49c48e1a9f	Toyokawa	Toyokawa	3	0	2013-06-22 17:37:04.027904+02	\N	\N	\N	\N	\N	\N	f	
11094	e5d38230-e4e0-4a05-9455-39940623ce7f	Seto	Seto	3	0	2013-06-22 17:40:56.241728+02	\N	\N	\N	\N	\N	\N	f	
11089	a76f986a-8a1e-45c8-bb0f-8eda881c1e2f	Kariya	Kariya	3	0	2013-06-22 17:37:17.922849+02	\N	\N	\N	\N	\N	\N	f	
11090	f174e921-ea9a-48dc-be11-e0fbbe268b85	Inazawa	Inazawa	3	0	2013-06-22 17:37:40.860705+02	\N	\N	\N	\N	\N	\N	f	
11099	01e96667-3626-4f87-9184-b85e59bacac7	Kōnan	Kōnan	3	0	2013-06-22 17:48:40.959031+02	\N	\N	\N	\N	\N	\N	f	
11091	0ccd6548-6350-4c90-9bcc-09ab9e052a07	Handa	Handa	3	0	2013-06-22 17:39:00.160143+02	\N	\N	\N	\N	\N	\N	f	
11095	07e8a4df-be4c-4173-8ef6-bca9420f00bd	Inuyama	Inuyama	3	0	2013-06-22 17:41:08.500322+02	\N	\N	\N	\N	\N	\N	f	
11105	684fd11b-cfdf-47d7-949e-2c5c49c4e265	Toyoura	Toyoura	3	0	2013-06-22 20:21:21.244612+02	\N	\N	\N	\N	\N	\N	f	
11096	aa6162b7-ae07-4606-bc4a-a4618ed6afdc	Gamagōri	Gamagōri	3	0	2013-06-22 17:45:13.6938+02	\N	\N	\N	\N	\N	\N	f	
11100	b54af7a6-ef1d-4853-9557-adc913f31ef1	Makubetsu	Makubetsu	3	0	2013-06-22 20:19:00.588279+02	\N	\N	\N	\N	\N	\N	f	
11097	022090e5-5dee-4492-9fb8-fe5b63b125dd	Eniwa	Eniwa	3	0	2013-06-22 17:46:02.375995+02	\N	\N	\N	\N	\N	\N	f	
11103	7b5cd1df-4332-4eb9-9f17-9a0f3e53faaa	Rishirifuji	Rishirifuji	3	0	2013-06-22 20:20:42.218867+02	\N	\N	\N	\N	\N	\N	f	
11101	435c75d5-8cfc-4165-bd7f-baaedaf0822a	Shibecha	Shibecha	3	0	2013-06-22 20:19:17.759111+02	\N	\N	\N	\N	\N	\N	f	
11102	5481a753-3c23-49ef-a652-590025b936f7	Okoppe	Okoppe	3	0	2013-06-22 20:20:14.031608+02	\N	\N	\N	\N	\N	\N	f	
11107	717b182f-06a4-4988-92d5-799ce9575f0f	Kamisunagawa	Kamisunagawa	3	0	2013-06-22 20:21:58.446907+02	\N	\N	\N	\N	\N	\N	f	
11104	cef908ca-76ea-40f1-8b2a-0859799fdce5	Kimobetsu	Kimobetsu	3	0	2013-06-22 20:20:59.337985+02	\N	\N	\N	\N	\N	\N	f	
11106	5429f187-7f72-4ccd-a363-a65338f54d11	Biei	Biei	3	0	2013-06-22 20:21:37.652713+02	\N	\N	\N	\N	\N	\N	f	
11108	0442ee13-3b41-449e-a576-5e1005cf1f9a	Haboro	Haboro	3	0	2013-06-22 20:22:12.440167+02	\N	\N	\N	\N	\N	\N	f	
11109	833090b6-7f4f-4ea0-9aa0-2a96c348bf5f	Lexington	Lexington	3	0	2013-06-22 20:25:15.372724+02	\N	\N	\N	\N	\N	\N	f	
11110	1081f4dd-3944-41dc-a270-d19e6f7b73f4	Erimo	Erimo	3	0	2013-06-22 20:25:52.685218+02	\N	\N	\N	\N	\N	\N	f	
11111	71b98143-6f5b-4f66-963e-f59d66cb55f2	Fairfield	Fairfield	3	0	2013-06-22 20:34:43.135615+02	\N	\N	\N	\N	\N	\N	f	
11112	1ba8f726-6c07-4ecc-b9ac-bd13195306dd	Ventura	Ventura	3	0	2013-06-22 20:38:40.236149+02	\N	\N	\N	\N	\N	\N	f	
11113	7fafba3d-8607-4a50-94f0-4b20a9afab84	Greensboro	Greensboro	3	0	2013-06-22 20:39:02.403805+02	\N	\N	\N	\N	\N	\N	f	
11114	9ce64c56-2d41-4122-96a2-9412cae31333	West Covina	West Covina	3	0	2013-06-22 20:39:24.108247+02	\N	\N	\N	\N	\N	\N	f	
11115	2d5345f2-e111-4339-b7b6-505a9a886ea3	Asheboro	Asheboro	3	0	2013-06-22 20:44:12.023297+02	\N	\N	\N	\N	\N	\N	f	
11116	33fd8384-b102-44fe-abeb-fcd65c324ce7	Fairfield	Fairfield	3	0	2013-06-22 20:44:48.567242+02	\N	\N	\N	\N	\N	\N	f	
15629	061c5c75-48bb-4a01-b999-ed532c2ddb68	Mergozzo	Mergozzo	4	0	2013-07-22 01:28:02.888843+02	\N	\N	\N	\N	\N	\N	f	
11117	264779d6-59a8-4fb6-8c43-5f39ce67ccd1	Basel	Basel	3	0	2013-06-22 20:45:29.367978+02	\N	\N	\N	\N	\N	\N	f	
11118	426eb20b-838d-43e7-911d-ba5826b8c19e	Murrieta	Murrieta	3	0	2013-06-22 20:47:28.007466+02	\N	\N	\N	\N	\N	\N	f	
11119	c4a3dda4-9686-4c95-8a2a-124c453fda02	Nishinoomote	Nishinoomote	3	0	2013-06-22 20:47:55.663638+02	\N	\N	\N	\N	\N	\N	f	
11158	1df06156-0598-43f5-bcda-14c98087e5b3	Shimukappu	Shimukappu	3	0	2013-06-23 05:20:52.578646+02	\N	\N	\N	\N	\N	\N	f	
11120	02895234-4c7f-479a-b1ca-51e0bf6e044b	Oisu	Oisu	3	0	2013-06-22 23:12:29.092442+02	\N	\N	\N	\N	\N	\N	f	
11143	6f60db32-1e4b-4ea6-ae48-a82d5d004915	Awa	Awa	3	0	2013-06-22 23:46:05.787082+02	\N	\N	\N	\N	\N	\N	f	
11121	e793fa9d-b991-441d-8236-d0a9d7ba3b23	Kaga	Kaga	3	0	2013-06-22 23:18:30.390871+02	\N	\N	\N	\N	\N	\N	f	
11122	90975632-c7ff-42b4-801d-0e2c50acc4cc	Kadena	Kadena	3	0	2013-06-22 23:19:02.861482+02	\N	\N	\N	\N	\N	\N	f	
11123	e1540bc1-98d0-44ce-b89e-95bb31f500de	Toyokoro	Toyokoro	3	0	2013-06-22 23:19:31.944532+02	\N	\N	\N	\N	\N	\N	f	
11144	54ea1cc9-5a5d-4bbc-9038-26ff6aa5539b	Kamo	Kamo	3	0	2013-06-22 23:48:32.504721+02	\N	\N	\N	\N	\N	\N	f	
11124	898bbb85-e368-4e32-97b9-05b9d62216cb	Yūbetsu	Yūbetsu	3	0	2013-06-22 23:20:26.743316+02	\N	\N	\N	\N	\N	\N	f	
11125	1e4d71e7-e6bb-482e-bd3d-c1ab1d5d7118	Kyōgoku	Kyōgoku	3	0	2013-06-22 23:20:52.115157+02	\N	\N	\N	\N	\N	\N	f	
11126	0a8eb9c7-5358-4341-b1cc-1079f9719574	Aibetsu	Aibetsu	3	0	2013-06-22 23:21:10.703766+02	\N	\N	\N	\N	\N	\N	f	
11145	fed7f954-b041-4bb7-a719-57354d9d0a35	Setouchi	Setouchi	3	0	2013-06-23 02:18:13.315999+02	\N	\N	\N	\N	\N	\N	f	
11127	fdcc5456-cfc6-4463-aa2d-7b8bfe7fa1a1	Rishiri	Rishiri	3	0	2013-06-22 23:21:26.996775+02	\N	\N	\N	\N	\N	\N	f	
11128	d915699f-ec2c-4410-8821-8cca84dff4ce	Hokuryū	Hokuryū	3	0	2013-06-22 23:21:47.053294+02	\N	\N	\N	\N	\N	\N	f	
11159	2f90825c-03f9-4005-8176-9a01b79feb01	Kuriyama	Kuriyama	3	0	2013-06-23 05:21:09.320834+02	\N	\N	\N	\N	\N	\N	f	
11129	63b3287c-f963-4f95-9efe-2bf8a130a152	Hirosaki	Hirosaki	3	0	2013-06-22 23:26:37.680733+02	\N	\N	\N	\N	\N	\N	f	
11146	f2d81613-6771-4707-b0c2-3eb0a35dc474	Shintoku	Shintoku	3	0	2013-06-23 02:19:11.996851+02	\N	\N	\N	\N	\N	\N	f	
11130	5f99d1e2-915b-4130-9c1a-4411e5452a10	Tsugaru	Tsugaru	3	0	2013-06-22 23:35:15.860859+02	\N	\N	\N	\N	\N	\N	f	
11131	12f83c01-4114-47fc-9f14-a9a412403e2b	Tomakomai	Tomakomai	3	0	2013-06-22 23:36:04.43916+02	\N	\N	\N	\N	\N	\N	f	
11132	c756c7fe-2f0b-4a6b-a34c-26d107eaafaa	Akkeshi	Akkeshi	3	0	2013-06-22 23:36:43.864477+02	\N	\N	\N	\N	\N	\N	f	
11147	80faf20e-ac8e-4d0b-b25a-1930cb39276c	Bihoro	Bihoro	3	0	2013-06-23 02:20:18.065957+02	\N	\N	\N	\N	\N	\N	f	
11133	6c7a01b1-7f18-4200-bf5c-f593c6ee0a3e	Naruto	Naruto	3	0	2013-06-22 23:37:42.062925+02	\N	\N	\N	\N	\N	\N	f	
11134	836531f2-5828-4964-aeb6-e35758d032b5	Goshogawara	Goshogawara	3	0	2013-06-22 23:38:56.040365+02	\N	\N	\N	\N	\N	\N	f	
11175	53e17b7c-06b0-41cb-822d-7ab17a007661	Kunneppu	Kunneppu	3	0	2013-06-23 11:21:36.757309+02	\N	\N	\N	\N	\N	\N	f	
11135	a51f3dad-28f0-4c32-a0de-1e90af1fbe0e	Kuroishi	Kuroishi	3	0	2013-06-22 23:39:08.147991+02	\N	\N	\N	\N	\N	\N	f	
11148	87adc8a6-5705-4880-a85c-97335e318803	Rankoshi	Rankoshi	3	0	2013-06-23 02:20:34.713606+02	\N	\N	\N	\N	\N	\N	f	
11136	5376140c-71ad-4bea-9859-49e59e7334ac	Kiyosu	Kiyosu	3	0	2013-06-22 23:39:27.308819+02	\N	\N	\N	\N	\N	\N	f	
11137	dbfed4bc-ce00-4004-84cd-4c0e73f56aa8	Towada	Towada	3	0	2013-06-22 23:42:53.408336+02	\N	\N	\N	\N	\N	\N	f	
11160	2daa3bf3-4612-4931-8e1e-1ade86032fbd	Tsubetsu	Tsubetsu	3	0	2013-06-23 05:21:25.023013+02	\N	\N	\N	\N	\N	\N	f	
11138	1b4cc6e2-e151-4a9a-8156-9ea782520bf2	Mitsuke	Mitsuke	3	0	2013-06-22 23:43:05.211415+02	\N	\N	\N	\N	\N	\N	f	
11149	397dfe9e-4c24-4758-8e92-95bace8e923b	Wassamu	Wassamu	3	0	2013-06-23 02:20:56.142592+02	\N	\N	\N	\N	\N	\N	f	
11139	3267261d-055e-48da-83f4-c6c60e1846dc	Uruma	Uruma	3	0	2013-06-22 23:43:55.781963+02	\N	\N	\N	\N	\N	\N	f	
11140	a2fc25dc-b0bd-4597-b5b4-530fd5faac90	Hirakawa	Hirakawa	3	0	2013-06-22 23:44:14.904059+02	\N	\N	\N	\N	\N	\N	f	
11141	efc34cd4-f714-4803-8133-57eaf4a669fe	Miyakojima	Miyakojima	3	0	2013-06-22 23:44:34.819193+02	\N	\N	\N	\N	\N	\N	f	
11169	1f9c399c-7760-4335-b500-ee8f159ef65a	Sōbetsu	Sōbetsu	3	0	2013-06-23 08:41:07.395802+02	\N	\N	\N	\N	\N	\N	f	
11142	d92adbb4-73da-4768-b8de-262322aa29de	Rumoi	Rumoi	3	0	2013-06-22 23:44:48.071632+02	\N	\N	\N	\N	\N	\N	f	
11150	3ada0c7b-e515-471e-8235-82feccc74d57	Uryū	Uryū	3	0	2013-06-23 02:21:09.649458+02	\N	\N	\N	\N	\N	\N	f	
11161	8c862399-9125-4c7e-93d7-e592e020b31a	Muroran	Muroran	3	0	2013-06-23 05:37:25.527781+02	\N	\N	\N	\N	\N	\N	f	
11151	7392605d-931e-4c43-b28b-2fcd66128962	Noboribetsu	Noboribetsu	3	0	2013-06-23 02:35:39.61655+02	\N	\N	\N	\N	\N	\N	f	
11152	44cdbd5f-4785-451f-9cf1-0b4808622cce	Mashike	Mashike	3	0	2013-06-23 02:42:06.070504+02	\N	\N	\N	\N	\N	\N	f	
11153	14007f1a-1d26-4e04-a73a-b4f9b8b30c46	Horonobe	Horonobe	3	0	2013-06-23 02:46:45.281378+02	\N	\N	\N	\N	\N	\N	f	
11162	583c957a-0041-4da6-8f59-24ea3d574928	Pueblo	Pueblo	3	0	2013-06-23 05:41:24.229898+02	\N	\N	\N	\N	\N	\N	f	
11154	2f69bc4e-4eae-4d16-95f1-60b8023809f2	Asakuchi	Asakuchi	3	0	2013-06-23 02:49:49.228701+02	\N	\N	\N	\N	\N	\N	f	
11155	b2f8838e-a5c9-4505-b6fb-a16257d2d145	Uken	Uken	3	0	2013-06-23 05:18:53.201588+02	\N	\N	\N	\N	\N	\N	f	
11156	9df27d9e-7c81-446e-9147-a9d8403fc619	Kamishihoro	Kamishihoro	3	0	2013-06-23 05:19:19.333466+02	\N	\N	\N	\N	\N	\N	f	
11163	055a3892-bdc4-4ab3-b3d5-d85736d84f25	Wadomari	Wadomari	3	0	2013-06-23 08:18:50.251952+02	\N	\N	\N	\N	\N	\N	f	
11157	55d750b2-be3b-4258-8a86-a67798b5ead5	Kyōwa	Kyōwa	3	0	2013-06-23 05:20:25.86698+02	\N	\N	\N	\N	\N	\N	f	
11170	ffa9ad2d-0add-41c7-a293-8ebe9f5fb558	Isen	Isen	3	0	2013-06-23 11:18:52.807039+02	\N	\N	\N	\N	\N	\N	f	
11164	1e02df4a-ee7e-41ed-883d-a7a3996188a3	Sarabetsu	Sarabetsu	3	0	2013-06-23 08:19:14.270219+02	\N	\N	\N	\N	\N	\N	f	
11179	0fed5ee0-123e-4d55-a80e-2fa430047689	Côte Saint-Luc	Côte Saint-Luc	3	0	2013-06-23 12:55:09.134394+02	\N	\N	\N	\N	\N	\N	f	
11165	640a5add-75b9-4c01-962e-0807c0f0d870	Makkari	Makkari	3	0	2013-06-23 08:20:24.413937+02	\N	\N	\N	\N	\N	\N	f	
11171	948ac959-0086-49e2-8de5-45669dad907b	Memuro	Memuro	3	0	2013-06-23 11:19:21.93701+02	\N	\N	\N	\N	\N	\N	f	
11166	78eabf2e-2d72-4c51-8914-6eb6b6233a0c	Kamifurano	Kamifurano	3	0	2013-06-23 08:20:47.597065+02	\N	\N	\N	\N	\N	\N	f	
11167	3ab7fe35-01ea-4679-adca-6c31caec88d6	Yuni	Yuni	3	0	2013-06-23 08:21:04.296659+02	\N	\N	\N	\N	\N	\N	f	
11176	3b4217e4-1f90-46a9-8a6c-cc5c936b85a7	Odessa	Odessa	3	0	2013-06-23 12:50:19.961676+02	\N	\N	\N	\N	\N	\N	f	
11168	47c7b970-0699-43a4-9fb9-45267f58b652	Shari	Shari	3	0	2013-06-23 08:21:28.969126+02	\N	\N	\N	\N	\N	\N	f	
11172	93bdace6-774e-460f-bbf0-438ba3d5e84d	Shimamaki	Shimamaki	3	0	2013-06-23 11:20:35.525643+02	\N	\N	\N	\N	\N	\N	f	
11173	a1252c67-fd50-4927-b155-d471dd2f81eb	Pippu	Pippu	3	0	2013-06-23 11:20:57.161224+02	\N	\N	\N	\N	\N	\N	f	
11177	0f2afd63-1006-471b-9355-e80c539c87d3	Richardson	Richardson	3	0	2013-06-23 12:51:23.461055+02	\N	\N	\N	\N	\N	\N	f	
11174	b5891d1b-ce4c-4458-bd07-6b2caac90d10	Tsukigata	Tsukigata	3	0	2013-06-23 11:21:14.483269+02	\N	\N	\N	\N	\N	\N	f	
11185	ef85639d-51f2-4039-b33b-0a3699840ec9	Kikai	Kikai	3	0	2013-06-23 14:18:58.802735+02	\N	\N	\N	\N	\N	\N	f	
11180	1c7bbad6-6fc9-4b8d-af05-e41f370e189d	Dollard-des-Ormeaux	Dollard-des-Ormeaux	3	0	2013-06-23 12:56:05.465389+02	\N	\N	\N	\N	\N	\N	f	
11178	405ef0f8-1ba4-428d-94ab-424136f5e4c6	Mount Royal	Mount Royal	3	0	2013-06-23 12:52:24.721127+02	\N	\N	\N	\N	\N	\N	f	
11182	75a76b7b-7e1d-4cbc-97d3-aa05bed7d0d9	Beaconsfield	Beaconsfield	3	0	2013-06-23 12:58:00.818762+02	\N	\N	\N	\N	\N	\N	f	
11181	4b1126f3-9f7f-4b90-a9d7-2fe5daf06b3c	Dorval	Dorval	3	0	2013-06-23 12:56:47.226498+02	\N	\N	\N	\N	\N	\N	f	
11184	6fd24f95-2859-4ee3-bb72-a30be9b2a2e8	North Charleston	North Charleston	3	0	2013-06-23 13:02:21.481436+02	\N	\N	\N	\N	\N	\N	f	
11183	a456946e-2203-4b43-b695-54d48d24eaf6	High Point	High Point	3	0	2013-06-23 13:01:13.587101+02	\N	\N	\N	\N	\N	\N	f	
11186	f0dbe0d0-1470-4fdf-bfca-24f2830d04d4	Nakasatsunai	Nakasatsunai	3	0	2013-06-23 14:19:18.546804+02	\N	\N	\N	\N	\N	\N	f	
11187	cfb48120-c6a1-4f67-b8a0-86ffd2eca14b	Rusutsu	Rusutsu	3	0	2013-06-23 14:20:27.341735+02	\N	\N	\N	\N	\N	\N	f	
11188	a113f500-9bf9-4b1f-9828-e99048250ad8	Higashikawa	Higashikawa	3	0	2013-06-23 14:20:47.727336+02	\N	\N	\N	\N	\N	\N	f	
11190	2dde9dce-2922-4d52-ba8f-0208fe1b0ac3	Saroma	Saroma	3	0	2013-06-23 14:21:21.514526+02	\N	\N	\N	\N	\N	\N	f	
11189	2f5cb93a-943b-45ce-82ff-f2209884f020	Numata	Numata	3	0	2013-06-23 14:21:01.807383+02	\N	\N	\N	\N	\N	\N	f	
11191	0624acb5-0e9f-480f-b162-2bb81f83f457	Mobridge	Mobridge	3	0	2013-06-23 14:29:27.020123+02	\N	\N	\N	\N	\N	\N	f	
11192	af2e9f39-851a-4732-9cbb-de49517f2239	Yoron	Yoron	3	0	2013-06-23 17:18:55.873882+02	\N	\N	\N	\N	\N	\N	f	
13938	ef843540-cf35-4147-8ecf-0fe5eb466ecc	Padenghe sul Garda	Padenghe sul Garda	4	0	2013-07-21 19:46:49.776906+02	\N	\N	\N	\N	\N	\N	f	
11193	8addddfc-8333-43f6-b67f-34869abcfef9	Hiroo	Hiroo	3	0	2013-06-23 17:19:21.302909+02	\N	\N	\N	\N	\N	\N	f	
11194	2f48296b-977a-4842-a5b2-dfe07e242da5	Higashikagura	Higashikagura	3	0	2013-06-23 17:20:35.934212+02	\N	\N	\N	\N	\N	\N	f	
11234	39209715-3aee-4ab4-a614-ebd0696b8e17	Nichinan	Nichinan	3	0	2013-06-24 11:18:43.157757+02	\N	\N	\N	\N	\N	\N	f	
11195	c77ac81e-1d7f-4bf1-aca4-4e47703a6694	Shintotsukawa	Shintotsukawa	3	0	2013-06-23 17:20:53.438256+02	\N	\N	\N	\N	\N	\N	f	
11219	d35619ea-6e3d-43d5-bdd5-27fe0bcb7d96	Shimokawa	Shimokawa	3	0	2013-06-24 05:29:47.185512+02	\N	\N	\N	\N	\N	\N	f	
11196	af906ae9-8c7f-4772-9cf2-7d086394ebc0	Oketo	Oketo	3	0	2013-06-23 17:21:17.657436+02	\N	\N	\N	\N	\N	\N	f	
11197	e8f20700-f735-48b2-bb62-0e509a4c83ea	Tomari	Tomari	3	0	2013-06-23 17:31:59.592998+02	\N	\N	\N	\N	\N	\N	f	
11198	c4ce7fa9-3241-463b-b51f-2634399b3daa	Tatsugō	Tatsugō	3	0	2013-06-23 20:19:07.63986+02	\N	\N	\N	\N	\N	\N	f	
11220	54c246fc-e3db-462f-8f84-b184354ac6c2	Rigaud	Rigaud	3	0	2013-06-24 05:34:01.06479+02	\N	\N	\N	\N	\N	\N	f	
11199	e6585781-beec-4408-bd7b-21049d11954f	Shihoro	Shihoro	3	0	2013-06-23 20:19:21.850996+02	\N	\N	\N	\N	\N	\N	f	
11200	5c326e4d-0479-45e3-b6af-375306805641	Horokanai	Horokanai	3	0	2013-06-23 20:20:40.164922+02	\N	\N	\N	\N	\N	\N	f	
11250	78d49931-4822-4771-b967-7d2dbe4146f1	Koshimizu	Koshimizu	3	0	2013-06-24 17:20:37.442992+02	\N	\N	\N	\N	\N	\N	f	
11201	a1a93885-3ab9-4340-a287-d18ca0053124	Kitami	Kitami	3	0	2013-06-23 20:31:00.156522+02	\N	\N	\N	\N	\N	\N	f	
11221	4b3675e8-e0e9-4df6-9ec1-11636071effe	Yamato	Yamato	3	0	2013-06-24 05:34:51.089607+02	\N	\N	\N	\N	\N	\N	f	
11202	76f9a60d-52d5-4c3d-bc39-b2092a0979d7	Akabira	Akabira	3	0	2013-06-23 20:35:22.296648+02	\N	\N	\N	\N	\N	\N	f	
11203	7de2fb86-e2f3-4d15-b817-16b441e50ce0	Furubira	Furubira	3	0	2013-06-23 20:38:12.323953+02	\N	\N	\N	\N	\N	\N	f	
11235	247fdb3f-e1ec-48b0-84e4-c95afb4a23c0	Nakafurano	Nakafurano	3	0	2013-06-24 11:40:15.817239+02	\N	\N	\N	\N	\N	\N	f	
11204	ef2deae5-713f-4ede-aac6-7ea09306342c	Shimizu	Shimizu	3	0	2013-06-23 23:19:05.640361+02	\N	\N	\N	\N	\N	\N	f	
11222	2b1efbf6-a885-4ec1-9d5a-629151b91cb3	Iwamizawa	Iwamizawa	3	0	2013-06-24 05:42:07.812888+02	\N	\N	\N	\N	\N	\N	f	
11205	b0fb312c-edce-42ff-b9a6-f263c7c92e26	Amagi	Amagi	3	0	2013-06-23 23:20:08.108777+02	\N	\N	\N	\N	\N	\N	f	
10204	5946abff-bcde-421c-8974-71873f5e45ab	Hōhoku, Yamaguchi	Hōhoku, Yamaguchi	3	0	2013-06-24 06:19:35.94505+02	\N	\N	\N	2005	2	13	t	
11206	c59bd626-9606-4e71-936d-0968c18de0b4	Minamifurano	Minamifurano	3	0	2013-06-23 23:20:36.772065+02	\N	\N	\N	\N	\N	\N	f	
11207	e50ad2d6-8071-4a9a-b559-69c9a5a82aee	Abashiri	Abashiri	3	0	2013-06-23 23:32:25.258581+02	\N	\N	\N	\N	\N	\N	f	
11208	fd9507e8-f216-48f1-bcf5-30cb146f0eaa	Sunagawa	Sunagawa	3	0	2013-06-23 23:37:29.756305+02	\N	\N	\N	\N	\N	\N	f	
11223	ba976716-4790-42d8-a03a-f4aa3a583f46	Taiji	Taiji	3	0	2013-06-24 08:17:19.273058+02	\N	\N	\N	\N	\N	\N	f	
11209	5f6c37fb-dda9-42de-9fbe-d8bdd1780992	Kamoenai	Kamoenai	3	0	2013-06-23 23:40:47.974843+02	\N	\N	\N	\N	\N	\N	f	
8129	963f0413-eda0-47a7-a394-0db91e4ef9cc	Karoon	Karoon	3	0	2013-06-24 01:39:42.859206+02	\N	\N	\N	\N	\N	\N	f	
11210	2c96ff05-be08-42f5-8888-9f26ae95e193	Tokunoshima	Tokunoshima	3	0	2013-06-24 02:20:00.827129+02	\N	\N	\N	\N	\N	\N	f	
11244	77200a2b-ecca-431a-9182-977afb0bd2fc	Nayoro	Nayoro	3	0	2013-06-24 15:32:13.467711+02	\N	\N	\N	\N	\N	\N	f	
11211	e7620257-e9da-437b-8cc0-2cfa45e95652	Ikeda	Ikeda	3	0	2013-06-24 02:20:38.253118+02	\N	\N	\N	\N	\N	\N	f	
11224	405d25b4-9f5f-40b2-8f05-44317e287d0b	Hino	Hino	3	0	2013-06-24 08:18:28.02079+02	\N	\N	\N	\N	\N	\N	f	
11212	8587a9bf-b5a6-40f9-9d8a-529df8a9df96	Tōma	Tōma	3	0	2013-06-24 02:21:01.433126+02	\N	\N	\N	\N	\N	\N	f	
11213	6e8c7b7c-ce5e-4c37-9a85-9fc33edc9bfa	Yūbari	Yūbari	3	0	2013-06-24 02:40:42.340764+02	\N	\N	\N	\N	\N	\N	f	
11236	a9f6128e-7474-48d6-a48a-aaf6cdc311e6	Bibai	Bibai	3	0	2013-06-24 11:43:36.855505+02	\N	\N	\N	\N	\N	\N	f	
11214	60bc3122-f291-4874-9956-07b307c5aa15	Monbetsu	Monbetsu	3	0	2013-06-24 02:41:55.931132+02	\N	\N	\N	\N	\N	\N	f	
11225	59fd7b1a-0a25-4c5b-947f-4281025c19ed	Hiezu	Hiezu	3	0	2013-06-24 08:19:21.271128+02	\N	\N	\N	\N	\N	\N	f	
11215	a2f449a7-48c4-4092-abed-dddba06dd61c	Wake	Wake	3	0	2013-06-24 05:18:06.172203+02	\N	\N	\N	\N	\N	\N	f	
11216	724fe97d-23af-4e33-a499-4bec9bc824a1	Kaiyō	Kaiyō	3	0	2013-06-24 05:19:08.304832+02	\N	\N	\N	\N	\N	\N	f	
11217	1deb58f4-b3d4-4e24-bb7d-cf2a6973b407	Yakushima	Yakushima	3	0	2013-06-24 05:20:28.005314+02	\N	\N	\N	\N	\N	\N	f	
11226	0ab3d70f-b931-481f-9050-37f4beb92fdc	Chibu	Chibu	3	0	2013-06-24 08:19:52.691541+02	\N	\N	\N	\N	\N	\N	f	
11218	dfc473b5-bc44-4e4e-97f2-787cb8853ded	Taiki	Taiki	3	0	2013-06-24 05:21:09.16538+02	\N	\N	\N	\N	\N	\N	f	
11227	105cf521-452a-48f0-aca4-038f21a187bd	Minabe	Minabe	3	0	2013-06-24 08:21:02.471759+02	\N	\N	\N	\N	\N	\N	f	
11237	76fd9523-dbd3-4d8c-ade8-276728813860	Kukruse	Kukruse	3	0	2013-06-24 14:09:48.885192+02	\N	\N	\N	\N	\N	\N	f	
11228	373624d5-0b50-4016-a0b2-b47cc570be4e	Shikaoi	Shikaoi	3	0	2013-06-24 08:21:51.686569+02	\N	\N	\N	\N	\N	\N	f	
11229	c3596772-c491-4fb7-919b-39f3e9fd21e4	Otoineppu	Otoineppu	3	0	2013-06-24 08:40:42.547987+02	\N	\N	\N	\N	\N	\N	f	
11230	86ecd379-c25f-486e-8239-6ee3c900a192	Ashibetsu	Ashibetsu	3	0	2013-06-24 08:43:03.128913+02	\N	\N	\N	\N	\N	\N	f	
11238	e40a280d-d3f7-4ae9-9edd-d444bb2694ae	Eureka	Eureka	3	0	2013-06-24 14:35:26.876394+02	\N	\N	\N	\N	\N	\N	f	
11231	2a205684-ba0d-44ae-8c8d-b7257830ce23	Kōfu	Kōfu	3	0	2013-06-24 09:25:34.920036+02	\N	\N	\N	\N	\N	\N	f	
11232	afabb08d-c32c-47b8-8ae4-91ccdaa97661	Hōki	Hōki	3	0	2013-06-24 09:34:03.088834+02	\N	\N	\N	\N	\N	\N	f	
11245	95d7c8a6-d7dc-4f79-8576-54bad0de8282	Takikawa	Takikawa	3	0	2013-06-24 15:32:51.819115+02	\N	\N	\N	\N	\N	\N	f	
11233	bd43f0cb-9aea-47c9-b9d3-3df7d5f0c7c4	Okinoshima	Okinoshima	3	0	2013-06-24 09:34:22.77407+02	\N	\N	\N	\N	\N	\N	f	
11254	48b04c09-0d97-4f72-8e68-9219c159a841	Schweinfurt	Schweinfurt	3	0	2013-06-24 20:34:50.994816+02	\N	\N	\N	\N	\N	\N	f	
11240	ee766c32-4f9c-436b-9d45-319349f48fac	Utashinai	Utashinai	3	0	2013-06-24 14:44:12.857378+02	\N	\N	\N	\N	\N	\N	f	
11246	471e0ac9-69ac-4e94-811d-fa8eec1e1c69	Moseushi	Moseushi	3	0	2013-06-24 15:34:42.974198+02	\N	\N	\N	\N	\N	\N	f	
11241	d3b0d5e4-8ae2-4080-b848-c13bf0c60842	Eureka	Eureka	3	0	2013-06-24 14:46:56.2779+02	\N	\N	\N	\N	\N	\N	f	
11242	5547eb2f-cf37-437e-b2cc-c3c799902772	Eureka	Eureka	3	0	2013-06-24 14:48:05.495828+02	\N	\N	\N	\N	\N	\N	f	
11251	e9805fe6-ecb4-47ee-ac93-7c68d0b1058f	Kuromatsunai	Kuromatsunai	3	0	2013-06-24 17:20:55.892004+02	\N	\N	\N	\N	\N	\N	f	
11243	4a47d964-31b3-4c9a-a457-d9dc9eb36d92	Trinidad	Trinidad	3	0	2013-06-24 14:48:44.618182+02	\N	\N	\N	\N	\N	\N	f	
11247	7dbb75f9-ca91-4d4a-be19-b30875837fd4	Eureka	Eureka	3	0	2013-06-24 15:36:06.380032+02	\N	\N	\N	\N	\N	\N	f	
11249	9bc5409c-1534-4489-8016-6babd94760cd	Biratori	Biratori	3	0	2013-06-24 17:20:14.224503+02	\N	\N	\N	\N	\N	\N	f	
11252	9359d12f-8553-4112-a437-e5fde4b4fd1f	Suttsu	Suttsu	3	0	2013-06-24 17:21:11.265383+02	\N	\N	\N	\N	\N	\N	f	
11255	379f5d7f-2415-4ec4-8b89-f401cbafcbaf	Várpalota	Várpalota	3	0	2013-06-24 23:26:38.029256+02	\N	\N	\N	\N	\N	\N	f	
11253	ed450c02-1787-4797-b650-285cb3efff8a	Kiyosato	Kiyosato	3	0	2013-06-24 17:21:30.708164+02	\N	\N	\N	\N	\N	\N	f	
11258	f5a9dc16-219c-4b5e-975a-24ed11cc69d5	Tura	Tura	3	0	2013-06-25 05:17:39.840413+02	\N	\N	\N	\N	\N	\N	f	
11256	f0463abf-0d3b-4be7-bb68-145e65311193	Würzburg	Würzburg	3	0	2013-06-24 23:32:04.352637+02	\N	\N	\N	\N	\N	\N	f	
11257	be9261e4-c8d1-49e6-acb2-3096c47ad4f8	Compton	Compton	3	0	2013-06-24 23:36:29.078254+02	\N	\N	\N	\N	\N	\N	f	
11259	fcb87f42-e0d0-46bb-b61c-7f5bf9428e29	Mándok	Mándok	3	0	2013-06-25 05:18:06.986834+02	\N	\N	\N	\N	\N	\N	f	
11262	45ce006c-69f8-4521-961c-263908174019	Sátoraljaújhely	Sátoraljaújhely	3	0	2013-06-25 05:19:22.138176+02	\N	\N	\N	\N	\N	\N	f	
11260	207a8de8-a79f-4755-935a-7b676bcbb4fe	Velence	Velence	3	0	2013-06-25 05:18:22.744049+02	\N	\N	\N	\N	\N	\N	f	
11261	edf71f46-2fae-4f83-b6b1-73a686b463cf	Lőrinci	Lőrinci	3	0	2013-06-25 05:18:44.422375+02	\N	\N	\N	\N	\N	\N	f	
11263	61074613-189f-498c-bf6e-fe80109451c7	Zalakaros	Zalakaros	3	0	2013-06-25 05:21:56.455492+02	\N	\N	\N	\N	\N	\N	f	
11264	74594860-1acb-485c-a831-9c54c9cf45e4	Sásd	Sásd	3	0	2013-06-25 05:22:56.475131+02	\N	\N	\N	\N	\N	\N	f	
11265	c6ab997b-0724-46ea-929f-4e27121a937b	Biharkeresztes	Biharkeresztes	3	0	2013-06-25 05:24:26.917532+02	\N	\N	\N	\N	\N	\N	f	
11266	d2069e81-3c21-4954-a12a-8f7324d034e1	Pétervására	Pétervására	3	0	2013-06-25 05:25:18.592448+02	\N	\N	\N	\N	\N	\N	f	
11267	7a2389ad-ed06-4d15-a5d2-c78ac2a1aba1	Sarkad, Hungary	Sarkad, Hungary	3	0	2013-06-25 05:25:44.379676+02	\N	\N	\N	\N	\N	\N	f	
13939	775e823c-e6b9-4e8d-acac-47d44fba483c	Ramiseto	Ramiseto	4	0	2013-07-21 19:47:03.117106+02	\N	\N	\N	\N	\N	\N	f	
14507	6b023ef7-d3d9-4d32-9bb1-4a84e32c6afe	Terruggia	Terruggia	4	0	2013-07-21 21:53:50.46776+02	\N	\N	\N	\N	\N	\N	f	
11268	cf3f9168-4b61-4d2c-97bb-60de250552b3	Baja	Baja	3	0	2013-06-25 05:28:07.908972+02	\N	\N	\N	\N	\N	\N	f	
11269	580b0b0d-5686-487f-a561-22a0e84ea85b	Zirc	Zirc	3	0	2013-06-25 05:28:29.419363+02	\N	\N	\N	\N	\N	\N	f	
11270	e4d3a674-60ae-4fdf-8062-3902e4f9627a	Ajka	Ajka	3	0	2013-06-25 05:28:49.49629+02	\N	\N	\N	\N	\N	\N	f	
13940	705b12a8-401d-4b7d-83f9-8ca8584509eb	Paderno Franciacorta	Paderno Franciacorta	4	0	2013-07-21 19:47:17.458519+02	\N	\N	\N	\N	\N	\N	f	
11271	d31fd66e-28a4-44e9-9b82-cdd404c1f91a	Vác	Vác	3	0	2013-06-25 05:29:07.055995+02	\N	\N	\N	\N	\N	\N	f	
11272	e083bee6-4531-47b9-aac5-36ded1c75541	Mosonmagyaróvár	Mosonmagyaróvár	3	0	2013-06-25 05:29:19.382681+02	\N	\N	\N	\N	\N	\N	f	
17420	181f4234-2004-428f-b3f7-58fdd947311d	Gerenzago	Gerenzago	4	0	2013-07-22 06:25:06.919619+02	\N	\N	\N	\N	\N	\N	f	
11273	87b1f637-a177-4015-b091-24b00c620865	Gödöllő	Gödöllő	3	0	2013-06-25 05:29:43.021412+02	\N	\N	\N	\N	\N	\N	f	
14508	b3cfb3c0-4a91-402f-bb34-be5176982a91	Riola Sardo	Riola Sardo	4	0	2013-07-21 21:54:02.722036+02	\N	\N	\N	\N	\N	\N	f	
11274	42052e23-8cc2-4702-b2d1-55ae7217c1bd	Pápa	Pápa	3	0	2013-06-25 05:30:20.872051+02	\N	\N	\N	\N	\N	\N	f	
11275	4d081218-a16e-479d-8595-5f68fe4f8905	Gyula	Gyula	3	0	2013-06-25 05:30:39.27469+02	\N	\N	\N	\N	\N	\N	f	
15630	18d6d6aa-dea5-4d41-9d20-522d4e84524e	Premia	Premia	4	0	2013-07-22 01:28:14.676946+02	\N	\N	\N	\N	\N	\N	f	
11281	2a3fabf6-d18b-4dc0-b978-451419c4f980	Jászapáti	Jászapáti	3	0	2013-06-25 05:33:57.901427+02	\N	\N	\N	\N	\N	\N	f	
11307	4ef4c1a3-2aee-4ff1-bdc1-98bf78f78bd7	Abaújszántó	Abaújszántó	3	0	2013-06-25 05:43:07.697736+02	\N	\N	\N	\N	\N	\N	f	
11341	800f0e7d-7b7d-4e20-a66a-e97b3dd92c6b	Jánoshalma	Jánoshalma	3	0	2013-06-25 05:56:10.390913+02	\N	\N	\N	\N	\N	\N	f	
11347	e7be594e-d064-410b-84d4-5e46b52bab2d	Dévaványa	Dévaványa	3	0	2013-06-25 05:58:28.123949+02	\N	\N	\N	\N	\N	\N	f	
15641	9d77fa2c-8c04-43a4-846f-84890ce32f81	Arsoli	Arsoli	4	0	2013-07-22 01:30:53.10514+02	\N	\N	\N	\N	\N	\N	f	
11351	b3106e8a-abe4-4e48-b072-546c995b7511	Sárbogárd	Sárbogárd	3	0	2013-06-25 05:59:43.563387+02	\N	\N	\N	\N	\N	\N	f	
11360	02ac42f9-6c6b-493c-8be5-428e44c84e6a	Komárom	Komárom	3	0	2013-06-25 06:02:29.733386+02	\N	\N	\N	\N	\N	\N	f	
19795	f6776ea6-758c-4615-ae94-0fbbd9af3698	Cianciana	Cianciana	4	0	2013-07-22 11:37:09.641494+02	\N	\N	\N	\N	\N	\N	f	
11362	886bcc95-c1c1-4ecf-bc87-9ccd7c46775b	Izsák, Hungary	Izsák, Hungary	3	0	2013-06-25 06:02:58.349086+02	\N	\N	\N	\N	\N	\N	f	
15673	7ecdacd9-c486-446e-83c6-df5e2107abcd	Grottaferrata	Grottaferrata	4	0	2013-07-22 01:37:24.283775+02	\N	\N	\N	\N	\N	\N	f	
11366	eddf8ec2-eb74-46e4-a654-9e72260c1f62	Tét	Tét	3	0	2013-06-25 06:03:54.419493+02	\N	\N	\N	\N	\N	\N	f	
11379	4a5d73ff-dedd-4183-aad1-4b9bf0ab1624	Csorvás	Csorvás	3	0	2013-06-25 06:07:20.375721+02	\N	\N	\N	\N	\N	\N	f	
18423	e2451fd0-9438-4dd1-b991-42f7bc775539	Soncino	Soncino	4	0	2013-07-22 08:27:08.771884+02	\N	\N	\N	\N	\N	\N	f	
11381	cb1c97b2-4128-441c-aa0a-e120e02de67c	Kalocsa	Kalocsa	3	0	2013-06-25 06:07:50.296568+02	\N	\N	\N	\N	\N	\N	f	
15734	73f75bf6-5c59-414a-b2bd-6f4048e36676	Rocca Canterano	Rocca Canterano	4	0	2013-07-22 01:51:01.765989+02	\N	\N	\N	\N	\N	\N	f	
11384	2848a570-6070-47ee-b5aa-984e5f1b56d6	Sümeg	Sümeg	3	0	2013-06-25 06:08:26.060642+02	\N	\N	\N	\N	\N	\N	f	
11388	44462777-3b81-4f04-9c0a-478d014940ec	Gyomaendrőd	Gyomaendrőd	3	0	2013-06-25 06:09:57.307888+02	\N	\N	\N	\N	\N	\N	f	
16577	f5400f10-eadd-498b-bca6-d62f9481932b	Bitti	Bitti	4	0	2013-07-22 03:50:31.990989+02	\N	\N	\N	\N	\N	\N	f	
17093	519e542d-30cf-4260-9485-c2d61406977e	Kastelruth	Kastelruth	4	0	2013-07-22 05:42:53.457526+02	\N	\N	\N	\N	\N	\N	f	
18429	f69b344f-e492-49ce-aadb-c6fe02cf526b	Lierna	Lierna	4	0	2013-07-22 08:27:56.009269+02	\N	\N	\N	\N	\N	\N	f	
17105	1832fc20-50ba-45cb-9e74-4bc9c418a090	Pfalzen	Pfalzen	4	0	2013-07-22 05:44:21.548733+02	\N	\N	\N	\N	\N	\N	f	
17192	ac8fae97-f9e9-446c-bd95-3d3b7497bfd2	Tresnuraghes	Tresnuraghes	4	0	2013-07-22 05:55:52.39176+02	\N	\N	\N	\N	\N	\N	f	
18479	f0d607e1-5a25-445c-949e-8edbf0ce4434	Realmonte	Realmonte	4	0	2013-07-22 08:36:53.862364+02	\N	\N	\N	\N	\N	\N	f	
19817	02d320f8-7be9-4fc7-a830-7a932a62f998	Nardò	Nardò	4	0	2013-07-22 11:40:43.512244+02	\N	\N	\N	\N	\N	\N	f	
18518	9da5f0fa-204f-4af9-a433-ff8f943fe9d7	Boschi Sant'Anna	Boschi Sant'Anna	4	0	2013-07-22 08:41:06.267655+02	\N	\N	\N	\N	\N	\N	f	
18537	b05c0db0-eb9c-479c-88e7-c13d281c4a4a	Montebello Vicentino	Montebello Vicentino	4	0	2013-07-22 08:43:31.940011+02	\N	\N	\N	\N	\N	\N	f	
22801	60e8d7e6-3253-4bce-a96a-4211deecf1de	Basicò	Basicò	4	0	2013-08-14 17:50:23.870328+02	\N	\N	\N	\N	\N	\N	f	
18590	1d0eea0f-dabf-41e5-8aff-d7558349d18a	Nanto	Nanto	4	0	2013-07-22 08:49:46.875283+02	\N	\N	\N	\N	\N	\N	f	
19946	68a48d45-15e3-4eb3-a3ca-a088bd2dd357	Maratea	Maratea	4	0	2013-07-22 11:58:22.905753+02	\N	\N	\N	\N	\N	\N	f	
19304	0a7bcc44-226f-45f2-90bc-776da775d098	Tione degli Abruzzi	Tione degli Abruzzi	4	0	2013-07-22 10:18:28.201449+02	\N	\N	\N	\N	\N	\N	f	
19387	273b1069-d99d-4caa-b61c-85a751a31447	Arielli	Arielli	4	0	2013-07-22 10:28:41.471422+02	\N	\N	\N	\N	\N	\N	f	
19948	5f81195a-f3ec-4d55-a1e8-24f599244ceb	Filiano	Filiano	4	0	2013-07-22 11:58:36.017706+02	\N	\N	\N	\N	\N	\N	f	
19416	4ffb22c5-51be-4fd9-b626-21f0b7984198	Tollo	Tollo	4	0	2013-07-22 10:32:10.956994+02	\N	\N	\N	\N	\N	\N	f	
19422	24701cee-0165-4771-8f6b-d45c724b465c	Paglieta	Paglieta	4	0	2013-07-22 10:32:54.488944+02	\N	\N	\N	\N	\N	\N	f	
22953	297549ee-37bb-46c8-b386-20092d860eef	Omer, Michigan	Omer, Michigan	3	0	2013-08-20 14:51:10.067204+02	\N	\N	\N	\N	\N	\N	f	
20545	4f308593-c4f4-496a-91d3-3eebb737d604	San Procopio	San Procopio	4	0	2013-07-23 05:35:40.480939+02	\N	\N	\N	\N	\N	\N	f	
20547	bc8059c4-6d08-4b08-9c3b-679bf8c5e34c	Maropati	Maropati	4	0	2013-07-23 05:36:04.573544+02	\N	\N	\N	\N	\N	\N	f	
20611	50509734-07ed-45e9-8581-72c3c60c0daa	Tropea	Tropea	4	0	2013-07-23 05:49:25.843365+02	\N	\N	\N	\N	\N	\N	f	
23090	74d45164-5973-47cf-8c15-3fbfee32ef7c	Ava	Ava	3	0	2013-08-22 02:45:15.786669+02	\N	\N	\N	\N	\N	\N	f	
23218	416de8e8-f0c3-4504-969f-a6defeeb6e39	Friendship	Friendship	3	0	2013-08-23 11:28:56.591258+02	\N	\N	\N	\N	\N	\N	f	
22763	8fa655c3-cb4b-4890-bd25-ecabb51b49e9	Saponara	Saponara	4	0	2013-08-14 17:41:06.864102+02	\N	\N	\N	\N	\N	\N	f	
23155	0bb9b5f9-b39b-44d4-87e1-8d390d290d81	St. Vincent	St. Vincent	3	0	2013-08-22 05:33:55.980289+02	\N	\N	\N	\N	\N	\N	f	
22782	60f879d2-4219-4eef-9df5-694a072a8db5	Mandanici	Mandanici	4	0	2013-08-14 17:45:33.349294+02	\N	\N	\N	\N	\N	\N	f	
23099	7f69cd38-2d1f-4861-9d06-d4c58dbee5e4	Sedalia	Sedalia	3	0	2013-08-22 02:47:49.284469+02	\N	\N	\N	\N	\N	\N	f	
23102	c35e53de-4ff8-4c63-b981-39d599d9bbdf	Cassville	Cassville	3	0	2013-08-22 02:48:28.0088+02	\N	\N	\N	\N	\N	\N	f	
23104	24327366-c2b2-4ee9-9d41-2be01eaef40f	Moorhead	Moorhead	3	0	2013-08-22 02:49:58.063033+02	\N	\N	\N	\N	\N	\N	f	
23327	bdcb31b7-aa44-4df1-87b6-1b623b654bab	Payson	Payson	3	0	2013-08-24 14:51:13.919895+02	\N	\N	\N	\N	\N	\N	f	
23196	37dfe491-bd84-4eaa-aa57-88f685ecd182	Blue Springs	Blue Springs	3	0	2013-08-22 08:35:25.529485+02	\N	\N	\N	\N	\N	\N	f	
23248	2abaf27c-f794-483d-95c7-2c2392889b74	Monticello	Monticello	3	0	2013-08-24 14:21:46.81277+02	\N	\N	\N	\N	\N	\N	f	
23441	8d89508b-aa45-4092-87c8-9499ff03888d	Trnava	Trnava	3	0	2013-08-25 23:28:00.899339+02	\N	\N	\N	\N	\N	\N	f	
23306	569f7201-e3f3-4614-8f60-c24682d5e91c	Uintah	Uintah	3	0	2013-08-24 14:46:24.777655+02	\N	\N	\N	\N	\N	\N	f	
23395	f843963d-e3e8-42e5-95e7-d40dc3201331	Gillett	Gillett	3	0	2013-08-24 20:22:46.54299+02	\N	\N	\N	\N	\N	\N	f	
23346	83250e38-2a71-4315-b91e-a9983defb9b1	Huntington	Huntington	3	0	2013-08-24 17:30:17.201111+02	\N	\N	\N	\N	\N	\N	f	
23369	406406ab-11da-46d8-8f32-f650c3f5dc8e	Monroe	Monroe	3	0	2013-08-24 17:35:54.814302+02	\N	\N	\N	\N	\N	\N	f	
23443	85caed41-c92d-4a7c-9e23-f849ca547349	Poprad	Poprad	3	0	2013-08-25 23:28:45.368817+02	\N	\N	\N	\N	\N	\N	f	
23469	f6112461-952d-4715-97fe-abbe25d3b801	Fiľakovo	Fiľakovo	3	0	2013-08-26 02:27:12.522701+02	\N	\N	\N	\N	\N	\N	f	
23541	2c5bfe8a-7722-4ce6-a990-6d030cb8b4b3	Juankoski	Juankoski	3	0	2013-08-26 11:36:27.386047+02	\N	\N	\N	\N	\N	\N	f	
23552	241228aa-0bfd-45f7-84d9-de8f245ca040	Svätý Jur	Svätý Jur	3	0	2013-08-26 14:27:17.578146+02	\N	\N	\N	\N	\N	\N	f	
23614	e1a9e5b0-37fb-4656-811c-a2e1a7a69825	Havířov	Havířov	3	0	2013-08-26 17:23:38.511602+02	\N	\N	\N	\N	\N	\N	f	
23653	3fe4f965-ff9e-49de-8597-b966d10464ca	Penarth	Penarth	3	0	2013-08-26 23:30:10.489728+02	\N	\N	\N	\N	\N	\N	f	
23661	ad14e564-c0c2-4940-8444-8a8e527edf92	Seinäjoki	Seinäjoki	3	0	2013-08-27 02:30:24.563294+02	\N	\N	\N	\N	\N	\N	f	
11739	27512c8e-2d46-4be5-bacb-556ea8e14912	Suma-ku	Suma-ku	5	0	2013-08-27 14:43:11.159434+02	\N	\N	\N	\N	\N	\N	f	
11276	f38abc91-8fa7-4eb2-b827-4212bf799a79	Cegléd	Cegléd	3	0	2013-06-25 05:30:51.258245+02	\N	\N	\N	\N	\N	\N	f	
11354	ad917156-38fa-43ea-86d2-5927c9eb9e65	Szentgotthárd	Szentgotthárd	3	0	2013-06-25 06:00:38.358919+02	\N	\N	\N	\N	\N	\N	f	
11386	67d256dd-13c5-47a8-a3f5-89a45247abef	Siklós	Siklós	3	0	2013-06-25 06:09:31.756059+02	\N	\N	\N	\N	\N	\N	f	
13942	7c7c2978-6321-4536-bf19-a1d9475d6916	Casina	Casina	4	0	2013-07-21 19:47:45.224569+02	\N	\N	\N	\N	\N	\N	f	
11387	af68d12b-c9b1-4165-affb-52abe6085385	Örkény	Örkény	3	0	2013-06-25 06:09:45.508787+02	\N	\N	\N	\N	\N	\N	f	
14509	6fd8f030-46f1-4541-9ad7-315f35e9ce55	Trisobbio	Trisobbio	4	0	2013-07-21 21:54:14.817342+02	\N	\N	\N	\N	\N	\N	f	
15631	cdf5bc91-2bfe-4b5d-b241-eeea9169c1d9	Montecrestese	Montecrestese	4	0	2013-07-22 01:28:28.75135+02	\N	\N	\N	\N	\N	\N	f	
14671	5d5a7a63-773f-43cc-8739-dde5e35b2cf2	Tarquinia	Tarquinia	4	0	2013-07-21 22:30:19.280153+02	\N	\N	\N	\N	\N	\N	f	
15026	97e9e2d9-a934-48c8-898d-e028d61a2f08	Nucetto	Nucetto	4	0	2013-07-21 23:38:35.656109+02	\N	\N	\N	\N	\N	\N	f	
15096	bc4a5cf7-d7b8-4043-8243-16bc6d95fa30	Prunetto	Prunetto	4	0	2013-07-21 23:47:00.187813+02	\N	\N	\N	\N	\N	\N	f	
15644	db4ebd75-1034-439e-9015-363363ee8b2c	Bellegra	Bellegra	4	0	2013-07-22 01:31:30.198843+02	\N	\N	\N	\N	\N	\N	f	
15128	a75a9ab6-e3c9-4252-b7ae-07bded26f633	Deruta	Deruta	4	0	2013-07-21 23:51:10.22318+02	\N	\N	\N	\N	\N	\N	f	
24701	104b6385-9af5-4ee2-91c3-54094c791e05	LaSalle	LaSalle	3	0	2013-09-07 08:13:56.907523+02	\N	\N	\N	\N	\N	\N	f	
17421	a70ca4a2-4945-4d6f-b43a-84364e15861a	Burago di Molgora	Burago di Molgora	4	0	2013-07-22 06:25:11.676785+02	\N	\N	\N	\N	\N	\N	f	
23219	cc9e5d1a-28bf-4ae2-8e36-190508072926	Norman	Norman	3	0	2013-08-23 11:29:30.284788+02	\N	\N	\N	\N	\N	\N	f	
15686	410c2dc3-992a-4393-81f8-c6061bee97f4	Monte Compatri	Monte Compatri	4	0	2013-07-22 01:40:01.551728+02	\N	\N	\N	\N	\N	\N	f	
15792	9b574912-40f5-4b0a-9468-5b46eaf0db13	Bocenago	Bocenago	4	0	2013-07-22 02:03:47.859103+02	\N	\N	\N	\N	\N	\N	f	
16581	588018e5-c4aa-4029-989a-0424cd8bab10	Birori	Birori	4	0	2013-07-22 03:51:00.195956+02	\N	\N	\N	\N	\N	\N	f	
17094	9a9d2276-179f-4585-a4d3-787f962a5466	Asuni	Asuni	4	0	2013-07-22 05:42:55.255381+02	\N	\N	\N	\N	\N	\N	f	
17110	d84dc492-949f-42c1-bade-5908d8e9a8fc	Aidomaggiore	Aidomaggiore	4	0	2013-07-22 05:45:00.295803+02	\N	\N	\N	\N	\N	\N	f	
19799	52c674b2-c64f-485e-bb5a-d1a0713ff629	Senago	Senago	4	0	2013-07-22 11:37:34.900755+02	\N	\N	\N	\N	\N	\N	f	
17130	ca5659de-4286-4a70-aee4-d9159c35f325	Flussio	Flussio	4	0	2013-07-22 05:47:45.918667+02	\N	\N	\N	\N	\N	\N	f	
19273	b6ffff31-8261-4f5d-86aa-7a910d674b88	Villetta Barrea	Villetta Barrea	4	0	2013-07-22 10:14:39.511694+02	\N	\N	\N	\N	\N	\N	f	
19302	7417ce12-72d0-44a8-9f9d-09207e48cab5	Tagliacozzo	Tagliacozzo	4	0	2013-07-22 10:18:14.503196+02	\N	\N	\N	\N	\N	\N	f	
23442	25cebce3-6349-4cf2-a08f-8965ee26faf5	Prešov	Prešov	3	0	2013-08-25 23:28:22.303768+02	\N	\N	\N	\N	\N	\N	f	
19374	243d0561-7229-4e50-9dfc-a20df8ec5b41	Gessopalena	Gessopalena	4	0	2013-07-22 10:27:16.49762+02	\N	\N	\N	\N	\N	\N	f	
19807	94f7931e-ba95-487f-8f8d-7b2e1825c449	Surbo	Surbo	4	0	2013-07-22 11:38:33.412719+02	\N	\N	\N	\N	\N	\N	f	
19424	a7c84b09-d951-44c6-b0c2-88a0b27a8d53	Torricella Peligna	Torricella Peligna	4	0	2013-07-22 10:33:10.394146+02	\N	\N	\N	\N	\N	\N	f	
19439	54ffec6e-dd52-47f6-ab79-ffdbf9e0866a	Palena, Abruzzo	Palena, Abruzzo	4	0	2013-07-22 10:35:07.478374+02	\N	\N	\N	\N	\N	\N	f	
22764	889d51fe-3a84-4dd0-bc1f-4b3a4482342e	Terme Vigliatore	Terme Vigliatore	4	0	2013-08-14 17:41:19.782835+02	\N	\N	\N	\N	\N	\N	f	
19813	fd6e0f00-6e40-4707-b1ec-930d97756311	Seclì	Seclì	4	0	2013-07-22 11:39:51.301685+02	\N	\N	\N	\N	\N	\N	f	
19822	c8bdf7f8-a2a3-41d9-91f1-6bd1c19bb596	Melpignano	Melpignano	4	0	2013-07-22 11:41:47.293817+02	\N	\N	\N	\N	\N	\N	f	
23249	598addba-d471-4f68-a860-848eef2bce9a	Riverton	Riverton	3	0	2013-08-24 14:22:01.15315+02	\N	\N	\N	\N	\N	\N	f	
19832	f872a212-bcce-4025-a1f3-1521ce6831eb	Salice Salentino	Salice Salentino	4	0	2013-07-22 11:44:10.394952+02	\N	\N	\N	\N	\N	\N	f	
22808	e67460aa-7b8f-43c7-8a17-de1c425797b5	Caronia	Caronia	4	0	2013-08-14 17:52:17.841745+02	\N	\N	\N	\N	\N	\N	f	
19857	0d537f99-69bc-44cb-8cdb-8f660515112f	Scorrano	Scorrano	4	0	2013-07-22 11:47:19.683879+02	\N	\N	\N	\N	\N	\N	f	
19914	ede7d064-3ec9-4636-b9e1-5d81b4014012	Campomaggiore	Campomaggiore	4	0	2013-07-22 11:54:41.909893+02	\N	\N	\N	\N	\N	\N	f	
19927	4abc7a2b-161f-47a1-b479-b12958249fc1	Marsico Nuovo	Marsico Nuovo	4	0	2013-07-22 11:56:02.643674+02	\N	\N	\N	\N	\N	\N	f	
22812	f1455127-5716-4ff7-9ff1-b98c993bb919	Pettineo	Pettineo	4	0	2013-08-14 17:53:15.837335+02	\N	\N	\N	\N	\N	\N	f	
22956	477ffd99-e0f6-45d6-969e-75352ab0fd6a	Sebastian	Sebastian	3	0	2013-08-20 14:53:15.659357+02	\N	\N	\N	\N	\N	\N	f	
20546	958f70d8-c470-461c-a19a-497accda28f1	Feroleto della Chiesa	Feroleto della Chiesa	4	0	2013-07-23 05:35:52.505317+02	\N	\N	\N	\N	\N	\N	f	
20561	b85f0d3d-80e3-4c69-9d92-40e2582c39be	Staiti	Staiti	4	0	2013-07-23 05:39:11.88665+02	\N	\N	\N	\N	\N	\N	f	
23277	42f02406-d151-44c6-ab3c-61e47ce07f0b	Warren	Warren	3	0	2013-08-24 14:37:54.644592+02	\N	\N	\N	\N	\N	\N	f	
20571	ff72fe53-966d-44ce-ab6b-00a8af0da201	Nardodipace	Nardodipace	4	0	2013-07-23 05:41:12.560129+02	\N	\N	\N	\N	\N	\N	f	
22961	5b67e1b0-b61e-4505-a42c-c6386bda7f89	Riviera Beach	Riviera Beach	3	0	2013-08-20 14:55:20.728832+02	\N	\N	\N	\N	\N	\N	f	
20622	320b0bb4-ec06-4dce-b771-13c066042bb8	Atripalda	Atripalda	4	0	2013-07-23 05:51:36.28374+02	\N	\N	\N	\N	\N	\N	f	
23654	9ce57cca-1da8-44a5-8053-8bed57162998	Tessenderlo	Tessenderlo	3	0	2013-08-26 23:32:55.88252+02	\N	\N	\N	\N	\N	\N	f	
23300	31c6ed0b-bc0b-446d-aa88-3181d600d874	Spanish Fork	Spanish Fork	3	0	2013-08-24 14:44:23.337867+02	\N	\N	\N	\N	\N	\N	f	
23091	c30b4152-a618-4995-b7ab-b8decb4b67d0	Eminence	Eminence	3	0	2013-08-22 02:45:28.396561+02	\N	\N	\N	\N	\N	\N	f	
23472	f40eb6c8-40b3-4881-85ef-8563aaf2f91c	Púchov	Púchov	3	0	2013-08-26 02:28:24.699413+02	\N	\N	\N	\N	\N	\N	f	
23095	0f4e9450-9e68-44c5-8d5e-1d5ce592a17a	Kinloch	Kinloch	3	0	2013-08-22 02:46:23.763793+02	\N	\N	\N	\N	\N	\N	f	
23312	417767d4-ac1d-446b-9c8b-b90630c7f046	West Point	West Point	3	0	2013-08-24 14:47:50.869296+02	\N	\N	\N	\N	\N	\N	f	
23158	811ac142-11c4-4ff8-88d6-a2567d886c16	Excelsior	Excelsior	3	0	2013-08-22 05:34:43.437839+02	\N	\N	\N	\N	\N	\N	f	
23197	12cc5b2e-411c-4f06-b70d-b1126274b497	Cambridge	Cambridge	3	0	2013-08-22 08:35:54.45859+02	\N	\N	\N	\N	\N	\N	f	
23347	8ac4e4d7-8f29-4545-9ee4-79fb265d7340	Lewiston	Lewiston	3	0	2013-08-24 17:30:30.329913+02	\N	\N	\N	\N	\N	\N	f	
23396	b9397220-7e47-48a5-a706-9ac0ff2e064d	Fox Lake	Fox Lake	3	0	2013-08-24 20:23:03.733948+02	\N	\N	\N	\N	\N	\N	f	
23553	983d440a-f899-47b2-b5aa-fab994f4461f	Sliač	Sliač	3	0	2013-08-26 14:27:49.736734+02	\N	\N	\N	\N	\N	\N	f	
23398	d61ef173-3b7c-44ba-932f-ae2de96a21d3	Osseo	Osseo	3	0	2013-08-24 20:23:36.31765+02	\N	\N	\N	\N	\N	\N	f	
23575	630f9c26-9bca-48e6-8616-e97dfe4d35aa	Vysoké Tatry	Vysoké Tatry	3	0	2013-08-26 14:37:56.61618+02	\N	\N	\N	\N	\N	\N	f	
11724	d92cffd1-7398-4449-9857-7b486ad18ce6	Nada-ku	Nada-ku	5	0	2013-08-27 14:43:11.336945+02	\N	\N	\N	\N	\N	\N	f	
23615	e1815640-9420-4141-8355-baeee3d878e8	Kuusamo	Kuusamo	3	0	2013-08-26 17:24:57.227411+02	\N	\N	\N	\N	\N	\N	f	
25214	8d0b0d06-7b1e-492e-8227-1195388a95fa	Huxley	Huxley	3	0	2013-09-07 10:42:13.310923+02	\N	\N	\N	\N	\N	\N	f	
24682	ab9c21a1-128b-4b3f-8995-b4f4dbec2ac1	Paris	Paris	3	0	2013-09-07 08:09:31.432422+02	\N	\N	\N	\N	\N	\N	f	
24779	afd2e96f-c7d8-4289-bdc1-439f6f22c510	Lakeside, Iowa	Lakeside, Iowa	3	0	2013-09-07 08:32:53.559167+02	\N	\N	\N	\N	\N	\N	f	
24732	bec74d55-363a-4892-9991-aa7f6489a1a6	California Junction	California Junction	3	0	2013-09-07 08:19:36.810211+02	\N	\N	\N	\N	\N	\N	f	
25764	9519a329-6003-41b5-81aa-29f82e5af659	Walnut, Kansas	Walnut, Kansas	3	0	2013-09-07 14:32:56.245513+02	\N	\N	\N	\N	\N	\N	f	
25785	70f93c6f-f5af-458d-ae7e-0d99c37a5efe	Grandview Plaza, Kansas	Grandview Plaza, Kansas	3	0	2013-09-07 14:38:11.372206+02	\N	\N	\N	\N	\N	\N	f	
25790	b4734771-b423-4cc1-a287-8f3e6c719c99	Buhler, Kansas	Buhler, Kansas	3	0	2013-09-07 14:39:26.373256+02	\N	\N	\N	\N	\N	\N	f	
26212	14b61be8-d860-4ac6-a85f-16cb05554577	Bedford, Kentucky	Bedford, Kentucky	3	0	2013-09-07 20:46:46.202039+02	\N	\N	\N	\N	\N	\N	f	
26299	827f5688-3f0c-4598-83c7-f9350c55dee7	Ulysses	Ulysses	3	0	2013-09-07 21:11:24.471164+02	\N	\N	\N	\N	\N	\N	f	
26537	e1ac0617-55bb-4562-806a-202fdef019c4	Mallard, Iowa	Mallard, Iowa	3	0	2013-09-08 01:01:25.807936+02	\N	\N	\N	\N	\N	\N	f	
26889	d22b9b5f-d8fd-4401-8e94-8e1e1bd14b2d	Manchester	Manchester	3	0	2013-09-08 03:53:00.091355+02	\N	\N	\N	\N	\N	\N	f	
26901	5580a34d-32b1-4f5a-8145-62c4b748ddd0	Maryville	Maryville	3	0	2013-09-08 03:55:58.898704+02	\N	\N	\N	\N	\N	\N	f	
11277	915959c4-0dd5-432b-a7e2-f8465290bfd8	Kazincbarcika	Kazincbarcika	3	0	2013-06-25 05:31:03.437818+02	\N	\N	\N	\N	\N	\N	f	
11278	96179def-fedb-4c13-8152-511aaa8f67fe	Kisköre	Kisköre	3	0	2013-06-25 05:31:45.414677+02	\N	\N	\N	\N	\N	\N	f	
11279	ffd43ea3-e266-4998-ae97-37ef6b398bcd	Tompa	Tompa	3	0	2013-06-25 05:32:06.065734+02	\N	\N	\N	\N	\N	\N	f	
14511	9f81691d-1a26-4c24-9848-1f9de91d553f	Tassarolo	Tassarolo	4	0	2013-07-21 21:54:39.245073+02	\N	\N	\N	\N	\N	\N	f	
13943	cc004a43-5449-43f1-9e2c-7d8cc2820229	Campagnola Emilia	Campagnola Emilia	4	0	2013-07-21 19:47:56.898376+02	\N	\N	\N	\N	\N	\N	f	
11280	b25df058-e680-4b41-8afa-81c360c777bf	Pécel	Pécel	3	0	2013-06-25 05:32:22.064274+02	\N	\N	\N	\N	\N	\N	f	
11282	58dfe014-b4e2-481a-a780-b88984961369	Makó	Makó	3	0	2013-06-25 05:34:11.164771+02	\N	\N	\N	\N	\N	\N	f	
11283	6cbe2d67-5fe6-4d77-b2ee-239edf147072	Polgár, Hungary	Polgár, Hungary	3	0	2013-06-25 05:34:27.882105+02	\N	\N	\N	\N	\N	\N	f	
14510	5ae9fbbe-970d-40db-af22-363daab45e6f	Sale	Sale	4	0	2013-07-21 21:54:27.066187+02	\N	\N	\N	\N	\N	\N	f	
11284	cd95021b-c0c6-4820-8812-fe4eed3bb91a	Siófok	Siófok	3	0	2013-06-25 05:35:28.651015+02	\N	\N	\N	\N	\N	\N	f	
11285	72ec15af-9219-485b-850c-c6b2b56298f0	Borsodnádasd	Borsodnádasd	3	0	2013-06-25 05:35:48.671776+02	\N	\N	\N	\N	\N	\N	f	
15632	e4461df4-c706-4766-8908-d4f4b8ed58a5	Oggebbio	Oggebbio	4	0	2013-07-22 01:28:40.536056+02	\N	\N	\N	\N	\N	\N	f	
11286	2b4a188c-76e5-4566-b40d-33168e08a8df	Záhony	Záhony	3	0	2013-06-25 05:36:03.079876+02	\N	\N	\N	\N	\N	\N	f	
14520	e7ef57a1-5d5d-4b9e-925e-5b3570598af8	Sant'Agata Fossili	Sant'Agata Fossili	4	0	2013-07-21 21:56:30.016206+02	\N	\N	\N	\N	\N	\N	f	
11287	690ea831-1038-4c85-89f2-67ae69541112	Kaba, Hungary	Kaba, Hungary	3	0	2013-06-25 05:36:22.024813+02	\N	\N	\N	\N	\N	\N	f	
11288	987947b7-672d-447a-a0e4-a1ee06b665fe	Hajdúdorog	Hajdúdorog	3	0	2013-06-25 05:36:47.7284+02	\N	\N	\N	\N	\N	\N	f	
11289	64c704cc-cc4a-408b-8dec-d157960cec55	Bélapátfalva	Bélapátfalva	3	0	2013-06-25 05:37:16.863527+02	\N	\N	\N	\N	\N	\N	f	
14586	3f2f4470-8564-425d-a7ce-fc3adc0f8f9c	Monale	Monale	4	0	2013-07-21 22:11:13.727973+02	\N	\N	\N	\N	\N	\N	f	
11296	052a251a-2aeb-4460-9db2-f7bb044325e5	Ócsa	Ócsa	3	0	2013-06-25 05:40:18.186671+02	\N	\N	\N	\N	\N	\N	f	
11327	a2307f50-8b9a-4881-b576-473836aca3f7	Alsómocsolád	Alsómocsolád	3	0	2013-06-25 05:50:02.375319+02	\N	\N	\N	\N	\N	\N	f	
11332	30b87e43-ef90-42d2-9aeb-ad3fab07e227	Mezőhegyes	Mezőhegyes	3	0	2013-06-25 05:53:38.110293+02	\N	\N	\N	\N	\N	\N	f	
23250	45c11ac3-4d2a-47a3-89e9-5a8065c8c88e	Fillmore	Fillmore	3	0	2013-08-24 14:22:14.712876+02	\N	\N	\N	\N	\N	\N	f	
11342	d23e1820-edb2-4eb6-8307-9cd9987a2927	Máriapócs	Máriapócs	3	0	2013-06-25 05:57:04.471575+02	\N	\N	\N	\N	\N	\N	f	
11344	13a774fe-4d56-4818-9e98-714d8f8e3af2	Albertirsa	Albertirsa	3	0	2013-06-25 05:57:33.521173+02	\N	\N	\N	\N	\N	\N	f	
22766	2cc797e2-1fd7-4156-adc4-945a20c964bc	Roccella Valdemone	Roccella Valdemone	4	0	2013-08-14 17:41:45.705702+02	\N	\N	\N	\N	\N	\N	f	
11345	6d92c7bc-e5c1-41b4-8578-1731f9844c3f	Őriszentpéter	Őriszentpéter	3	0	2013-06-25 05:57:52.672517+02	\N	\N	\N	\N	\N	\N	f	
15231	3a2040c1-b8e5-4735-a9c5-1c9ee6b2f388	Valloriate	Valloriate	4	0	2013-07-22 00:03:39.59145+02	\N	\N	\N	\N	\N	\N	f	
11353	7a16bb71-bba1-4ee8-8beb-673e5df16196	Újszász	Újszász	3	0	2013-06-25 06:00:25.149633+02	\N	\N	\N	\N	\N	\N	f	
11398	fe7479f7-bb1b-4c42-9109-171d819520c9	Aszód	Aszód	3	0	2013-06-25 06:12:25.778969+02	\N	\N	\N	\N	\N	\N	f	
17422	c23c08bf-df12-4db3-9561-4b846d67591a	Zoldo Alto	Zoldo Alto	4	0	2013-07-22 06:25:20.9516+02	\N	\N	\N	\N	\N	\N	f	
11412	72d971b4-e02c-42df-8178-16a0e67ad222	Badacsonytomaj	Badacsonytomaj	3	0	2013-06-25 06:15:48.218535+02	\N	\N	\N	\N	\N	\N	f	
17100	d740f715-447d-4eb8-bea9-3044e83a6cfc	Graun im Vinschgau	Graun im Vinschgau	4	0	2013-07-22 05:43:38.816127+02	\N	\N	\N	\N	\N	\N	f	
17129	6470a7c7-9711-4b15-ba8d-558e42b028ea	Magomadas	Magomadas	4	0	2013-07-22 05:47:35.272003+02	\N	\N	\N	\N	\N	\N	f	
17185	becc991a-c144-45b5-ba3d-a63cb5f02cc8	Sennariolo	Sennariolo	4	0	2013-07-22 05:54:57.198964+02	\N	\N	\N	\N	\N	\N	f	
19800	15072334-33a4-462f-b481-2a849ebf6b7d	Porto Cesareo	Porto Cesareo	4	0	2013-07-22 11:37:44.445588+02	\N	\N	\N	\N	\N	\N	f	
18603	c782ba15-ba4a-40bb-841a-2db617525eee	Castagnaro	Castagnaro	4	0	2013-07-22 08:51:23.765159+02	\N	\N	\N	\N	\N	\N	f	
19279	7e375877-b8ac-425b-bbab-05ef66fa5389	Sulmona	Sulmona	4	0	2013-07-22 10:15:26.436706+02	\N	\N	\N	\N	\N	\N	f	
22958	2b2504b5-2761-4607-9b25-ec691b0d306e	Troy	Troy	3	0	2013-08-20 14:54:06.465306+02	\N	\N	\N	\N	\N	\N	f	
19810	61b23695-5e7b-4281-bb0b-90f10f495a04	Presicce	Presicce	4	0	2013-07-22 11:39:12.207384+02	\N	\N	\N	\N	\N	\N	f	
19357	ad44c54b-c670-438a-856c-f6775e80116f	Giuliano Teatino	Giuliano Teatino	4	0	2013-07-22 10:25:01.067138+02	\N	\N	\N	\N	\N	\N	f	
23093	04ee2635-db19-446d-8f18-a297e858db10	Bridgeton	Bridgeton	3	0	2013-08-22 02:45:54.036014+02	\N	\N	\N	\N	\N	\N	f	
19834	edcadcf8-7fd0-4069-9971-4d1ae75ee250	Specchia	Specchia	4	0	2013-07-22 11:44:24.609772+02	\N	\N	\N	\N	\N	\N	f	
19388	4ad86f3f-a0cd-4f2b-bdc6-4b2f8bb54e8b	Cupello	Cupello	4	0	2013-07-22 10:28:46.863074+02	\N	\N	\N	\N	\N	\N	f	
19442	24c125b2-f94b-4565-9640-618084053f07	Torrevecchia Teatina	Torrevecchia Teatina	4	0	2013-07-22 10:35:33.668768+02	\N	\N	\N	\N	\N	\N	f	
23259	5760de5b-f804-4096-a7c7-a453b7cbe553	St. Albans (city)	St. Albans (city)	3	0	2013-08-24 14:26:19.552297+02	\N	\N	\N	\N	\N	\N	f	
19517	ced7f755-1821-4edd-8ea4-b2a6f102c4ca	Colonnella	Colonnella	4	0	2013-07-22 10:44:51.733508+02	\N	\N	\N	\N	\N	\N	f	
19837	7967df1e-c2d6-47a3-9d35-cb147c6ee8d8	Morciano di Leuca	Morciano di Leuca	4	0	2013-07-22 11:44:48.830697+02	\N	\N	\N	\N	\N	\N	f	
23162	5c843db9-59c5-46e6-9938-775afe9a995c	Lake St. Croix Beach	Lake St. Croix Beach	3	0	2013-08-22 05:35:54.870809+02	\N	\N	\N	\N	\N	\N	f	
20548	2a36341a-f934-45c6-bede-da9502e02e0e	Placanica	Placanica	4	0	2013-07-23 05:36:16.855721+02	\N	\N	\N	\N	\N	\N	f	
23198	40569746-0e28-4754-9bf0-f97b2ee0cd6e	Yerington	Yerington	3	0	2013-08-22 08:37:33.986465+02	\N	\N	\N	\N	\N	\N	f	
24686	39b85065-9a3b-4912-9280-f034051b9a70	Mount Sterling	Mount Sterling	3	0	2013-09-07 08:10:25.80233+02	\N	\N	\N	\N	\N	\N	f	
23220	c9245c94-0a4e-465d-a2d7-b18d04a34734	Alamogordo, New Mexico	Alamogordo, New Mexico	3	0	2013-08-23 11:30:05.715442+02	\N	\N	\N	\N	\N	\N	f	
22765	1e0a2c05-8aa6-4324-973a-430a64ccf952	San Fratello	San Fratello	4	0	2013-08-14 17:41:32.755562+02	\N	\N	\N	\N	\N	\N	f	
23263	719c0689-30b5-4ca7-937f-ba478e42366d	Vernon	Vernon	3	0	2013-08-24 14:30:44.656624+02	\N	\N	\N	\N	\N	\N	f	
23222	92ccd080-5360-42c4-874a-8dda0c2e9ed9	Las Vegas, New Mexico	Las Vegas, New Mexico	3	0	2013-08-23 11:32:44.507359+02	\N	\N	\N	\N	\N	\N	f	
23454	285d1820-3ff2-46e6-aaba-7d2bb04fb882	Keuruu	Keuruu	3	0	2013-08-25 23:36:05.663558+02	\N	\N	\N	\N	\N	\N	f	
23348	72e3da2c-3c2e-461c-8d87-5de60fb65903	Enoch	Enoch	3	0	2013-08-24 17:30:46.076103+02	\N	\N	\N	\N	\N	\N	f	
23616	0a4aa92d-3d9d-4451-8e8b-4ae1796f554c	Martin	Martin	3	0	2013-08-26 17:28:54.01952+02	\N	\N	\N	\N	\N	\N	f	
23397	91f990d2-a315-4af0-900b-0a238f253b8a	Shullsburg	Shullsburg	3	0	2013-08-24 20:23:17.91814+02	\N	\N	\N	\N	\N	\N	f	
23444	16316c7f-3b24-44f0-83f5-f0060dd6d55d	Nitra	Nitra	3	0	2013-08-25 23:28:59.450305+02	\N	\N	\N	\N	\N	\N	f	
23474	8f97352e-a9a8-4230-8043-bec21ffcdc23	Rožňava	Rožňava	3	0	2013-08-26 02:29:19.67137+02	\N	\N	\N	\N	\N	\N	f	
23554	d890ad1a-aa9e-4e30-a597-9f6a9d5aca93	Poltár	Poltár	3	0	2013-08-26 14:28:03.761384+02	\N	\N	\N	\N	\N	\N	f	
11721	ddaaa14d-cdcf-47eb-8ccb-d4e60134bd6e	Nagata-ku	Nagata-ku	5	0	2013-08-27 14:43:15.168366+02	\N	\N	\N	\N	\N	\N	f	
24796	c4134575-6f36-45e1-9926-384eafb49e8b	Johnston	Johnston	3	0	2013-09-07 08:37:48.455577+02	\N	\N	\N	\N	\N	\N	f	
24723	2be4d250-8d92-4c17-b8be-86eb699ea00c	Castalia	Castalia	3	0	2013-09-07 08:18:01.998187+02	\N	\N	\N	\N	\N	\N	f	
25215	4ac628a1-7c7b-4f14-819a-c31bd926ef8e	Lehigh	Lehigh	3	0	2013-09-07 10:42:35.848055+02	\N	\N	\N	\N	\N	\N	f	
25226	98c50581-b90d-413e-87e2-fec20ae3d804	Fayette	Fayette	3	0	2013-09-07 10:45:53.699764+02	\N	\N	\N	\N	\N	\N	f	
25262	b653951b-8142-43f4-a95a-33ad55520607	Dike	Dike	3	0	2013-09-07 10:55:33.120419+02	\N	\N	\N	\N	\N	\N	f	
25300	a9e80ea4-3f8e-437a-8572-74470a1f3d95	Dana	Dana	3	0	2013-09-07 11:05:52.027343+02	\N	\N	\N	\N	\N	\N	f	
25385	8a2348bc-e0ed-4f0f-89f7-33655f633ea6	Soldier, Kansas	Soldier, Kansas	3	0	2013-09-07 11:37:52.732361+02	\N	\N	\N	\N	\N	\N	f	
25765	d481189b-10b5-4542-ac37-75d3cb1f946d	Sylvia, Kansas	Sylvia, Kansas	3	0	2013-09-07 14:33:10.892677+02	\N	\N	\N	\N	\N	\N	f	
25911	a4df3c9e-3dcd-4f56-8c9e-b1a45f570bfd	Highland Heights, Kentucky	Highland Heights, Kentucky	3	0	2013-09-07 15:11:25.704951+02	\N	\N	\N	\N	\N	\N	f	
26214	62dd9d8f-886e-4225-a528-fa2ee6b6f3e8	Oak Hill	Oak Hill	3	0	2013-09-07 20:47:16.506924+02	\N	\N	\N	\N	\N	\N	f	
11290	b2d32ced-97a6-433f-a442-1fc90e3a1896	Pálháza	Pálháza	3	0	2013-06-25 05:37:35.218244+02	\N	\N	\N	\N	\N	\N	f	
11291	fd637c35-1dc0-451d-ba35-c5276c76581a	Bácsalmás	Bácsalmás	3	0	2013-06-25 05:37:47.588867+02	\N	\N	\N	\N	\N	\N	f	
11292	05067f5c-8fe9-47ad-9eac-aa60dfce8d98	Martfű	Martfű	3	0	2013-06-25 05:38:15.982147+02	\N	\N	\N	\N	\N	\N	f	
13944	8a0d172b-624f-4a60-accd-6c4b8f2381a0	Rubiera	Rubiera	4	0	2013-07-21 19:48:11.080277+02	\N	\N	\N	\N	\N	\N	f	
11293	e23c4b0f-e803-4418-8518-fdcdb7e49c3d	Kadarkút	Kadarkút	3	0	2013-06-25 05:38:36.696309+02	\N	\N	\N	\N	\N	\N	f	
11294	49854342-4b49-439b-85b3-fd634e98e9bd	Berhida	Berhida	3	0	2013-06-25 05:39:07.465668+02	\N	\N	\N	\N	\N	\N	f	
11295	904a9af3-053a-4509-acbf-5048c9d58c3b	Tiszavasvári	Tiszavasvári	3	0	2013-06-25 05:39:50.981299+02	\N	\N	\N	\N	\N	\N	f	
11302	ee88c672-6f49-410c-942f-acb9aba173d6	Répcelak	Répcelak	3	0	2013-06-25 05:41:42.202861+02	\N	\N	\N	\N	\N	\N	f	
11316	ed65252a-0ce6-4391-a2b9-f1fba9fa9c99	Felsőzsolca	Felsőzsolca	3	0	2013-06-25 05:46:24.323081+02	\N	\N	\N	\N	\N	\N	f	
15633	d9e1a52e-2932-4a1b-8524-b4fb9c6d37db	Trarego Viggiona	Trarego Viggiona	4	0	2013-07-22 01:28:53.37552+02	\N	\N	\N	\N	\N	\N	f	
11335	f1c9cb23-7447-47a7-a671-4b590c3acd9f	Balatonfűzfő	Balatonfűzfő	3	0	2013-06-25 05:54:32.889144+02	\N	\N	\N	\N	\N	\N	f	
11359	cb3c300a-79dd-4387-a388-6b73d9c9d4ae	Hatvan	Hatvan	3	0	2013-06-25 06:02:17.965871+02	\N	\N	\N	\N	\N	\N	f	
15258	f30d1b9f-016c-4aa9-bfd9-7585569eb5ac	Pietralunga	Pietralunga	4	0	2013-07-22 00:06:42.525931+02	\N	\N	\N	\N	\N	\N	f	
18718	259a46d7-f44f-466f-ab4d-9f1330422cf9	Lipomo	Lipomo	4	0	2013-07-22 09:06:01.926304+02	\N	\N	\N	\N	\N	\N	f	
15264	6872ccbc-a342-4460-835c-36edc1a669cd	Tarantasca	Tarantasca	4	0	2013-07-22 00:07:23.003646+02	\N	\N	\N	\N	\N	\N	f	
15688	aa45bebb-e744-4d6e-aa91-8366c7af25db	Jenne, Lazio	Jenne, Lazio	4	0	2013-07-22 01:40:27.31814+02	\N	\N	\N	\N	\N	\N	f	
17425	ac2fa42c-94fe-4563-b860-e710b555359b	Brebbia	Brebbia	4	0	2013-07-22 06:25:45.199601+02	\N	\N	\N	\N	\N	\N	f	
15707	3641a5be-e649-4da1-b2de-a8d198e3d7de	Palestrina	Palestrina	4	0	2013-07-22 01:45:11.90525+02	\N	\N	\N	\N	\N	\N	f	
16595	4c78375d-3220-45a9-9cf1-e7be3b736e3f	Cison di Valmarino	Cison di Valmarino	4	0	2013-07-22 03:52:51.05993+02	\N	\N	\N	\N	\N	\N	f	
17108	43d726ed-09f6-4b07-bc2d-1c4260a48cce	Neumarkt, South Tyrol	Neumarkt, South Tyrol	4	0	2013-07-22 05:44:42.070978+02	\N	\N	\N	\N	\N	\N	f	
17157	7b9821ff-260b-465d-aa60-9ac72ea55131	Geraci Siculo	Geraci Siculo	4	0	2013-07-22 05:51:07.04067+02	\N	\N	\N	\N	\N	\N	f	
17160	8344785c-8515-4c42-8336-db1d1f3a24e5	Norbello	Norbello	4	0	2013-07-22 05:51:35.983586+02	\N	\N	\N	\N	\N	\N	f	
17490	eec6ebe2-ec74-406a-bf5a-bffe8af1014f	Linarolo	Linarolo	4	0	2013-07-22 06:33:48.594873+02	\N	\N	\N	\N	\N	\N	f	
19298	c5ba4711-d9dc-48ac-a547-c19ab8b255bb	Ferentino	Ferentino	4	0	2013-07-22 10:17:44.745967+02	\N	\N	\N	\N	\N	\N	f	
17650	20a46490-ae58-436f-92d9-42fb770fee29	Corteolona	Corteolona	4	0	2013-07-22 06:53:38.60105+02	\N	\N	\N	\N	\N	\N	f	
18431	80d6ac29-2a23-4282-9ca3-f5fa429d2ef5	Cusano Milanino	Cusano Milanino	4	0	2013-07-22 08:28:08.845252+02	\N	\N	\N	\N	\N	\N	f	
18433	987f0a65-99bf-4377-bcec-ce5951e03d31	Lomagna	Lomagna	4	0	2013-07-22 08:28:23.084378+02	\N	\N	\N	\N	\N	\N	f	
19358	a022ed68-638f-4a97-9bb2-c7ffabd60629	Civitaluparella	Civitaluparella	4	0	2013-07-22 10:25:12.566588+02	\N	\N	\N	\N	\N	\N	f	
18440	d4793a45-a3ab-4f04-b36d-3cd656b91fc6	Trezzano sul Naviglio	Trezzano sul Naviglio	4	0	2013-07-22 08:29:15.783166+02	\N	\N	\N	\N	\N	\N	f	
18461	ff9e0be9-97fe-4593-b310-0707100c28b6	Bellano	Bellano	4	0	2013-07-22 08:32:22.872506+02	\N	\N	\N	\N	\N	\N	f	
19802	322f75f3-c9fa-4964-9e09-dc2a53346130	Nociglia	Nociglia	4	0	2013-07-22 11:37:56.48849+02	\N	\N	\N	\N	\N	\N	f	
18484	3175d883-1b6e-43ba-ad82-cb98245bc7af	Tonezza del Cimone	Tonezza del Cimone	4	0	2013-07-22 08:37:20.353063+02	\N	\N	\N	\N	\N	\N	f	
19363	f28d7c4b-6cde-42a3-83ca-14571abd6ea1	Furci	Furci	4	0	2013-07-22 10:25:51.191113+02	\N	\N	\N	\N	\N	\N	f	
18506	54c50f22-5735-492c-a22d-608238520b39	Lastebasse	Lastebasse	4	0	2013-07-22 08:39:42.882157+02	\N	\N	\N	\N	\N	\N	f	
18549	8fd4d99b-c6b4-4e06-8268-d4ec91886ffc	Piadena	Piadena	4	0	2013-07-22 08:44:53.110322+02	\N	\N	\N	\N	\N	\N	f	
18595	5d8109a2-de3f-4008-86ef-f3d951aa6156	Affi	Affi	4	0	2013-07-22 08:50:17.933798+02	\N	\N	\N	\N	\N	\N	f	
19522	1605bdbf-776b-4c3b-99ac-d10a9839e333	Bisenti	Bisenti	4	0	2013-07-22 10:45:24.436796+02	\N	\N	\N	\N	\N	\N	f	
18596	a9158bd7-f0cc-4a23-8545-a406db0b9645	Monte di Malo	Monte di Malo	4	0	2013-07-22 08:50:29.978693+02	\N	\N	\N	\N	\N	\N	f	
18690	c404bd57-91eb-4dbc-8719-d71ea764f700	Zimella	Zimella	4	0	2013-07-22 09:02:13.961685+02	\N	\N	\N	\N	\N	\N	f	
23475	9a8449e3-12b0-4434-b87b-94be73e99ae8	Liptovský Mikuláš	Liptovský Mikuláš	3	0	2013-08-26 02:29:45.446601+02	\N	\N	\N	\N	\N	\N	f	
18712	0fe009d7-f950-49eb-9f14-e6b5748ef009	Cremia	Cremia	4	0	2013-07-22 09:04:58.046331+02	\N	\N	\N	\N	\N	\N	f	
20025	f1a51787-8884-4772-99ac-dbffd52704bd	Romans d'Isonzo	Romans d'Isonzo	4	0	2013-07-22 12:09:19.473344+02	\N	\N	\N	\N	\N	\N	f	
19523	8207fce1-0c5d-41b1-8e4c-9f2ea3d0130f	Morro d'Oro	Morro d'Oro	4	0	2013-07-22 10:45:32.312494+02	\N	\N	\N	\N	\N	\N	f	
19569	bb5fe23e-80b4-4302-b07f-5d6565b9b6da	Bitritto	Bitritto	4	0	2013-07-22 10:53:48.4282+02	\N	\N	\N	\N	\N	\N	f	
23221	df16d978-5a47-4c91-a7c7-8a5758a58b62	Anadarko	Anadarko	3	0	2013-08-23 11:30:32.789609+02	\N	\N	\N	\N	\N	\N	f	
20549	69f7ae2e-d410-4971-b7db-2fb833574a74	Laureana di Borrello	Laureana di Borrello	4	0	2013-07-23 05:36:29.010545+02	\N	\N	\N	\N	\N	\N	f	
20588	40e1f1d0-9656-4b8b-aacb-3faa964f706d	Stignano	Stignano	4	0	2013-07-23 05:44:36.773072+02	\N	\N	\N	\N	\N	\N	f	
23251	4a871747-7edc-40ed-8362-8af0a4682b91	Honeyville	Honeyville	3	0	2013-08-24 14:22:36.672946+02	\N	\N	\N	\N	\N	\N	f	
22768	9768dd79-9d19-4bce-bc29-840f9c099e32	Pagliara	Pagliara	4	0	2013-08-14 17:42:25.254476+02	\N	\N	\N	\N	\N	\N	f	
22960	4c95ddf6-04b0-49fd-adb5-ad1f757e59d3	Weston	Weston	3	0	2013-08-20 14:54:54.49197+02	\N	\N	\N	\N	\N	\N	f	
23349	7dc3847c-a618-499b-bbd7-f2c932c70f59	Elk Ridge	Elk Ridge	3	0	2013-08-24 17:30:59.154636+02	\N	\N	\N	\N	\N	\N	f	
23096	2d3ce19a-c6a8-4a65-861e-46a74ee93af5	Bolivar	Bolivar	3	0	2013-08-22 02:46:41.365095+02	\N	\N	\N	\N	\N	\N	f	
23555	f6860063-5021-49f0-b518-bc3ea0b123a7	Nová Baňa	Nová Baňa	3	0	2013-08-26 14:28:49.886032+02	\N	\N	\N	\N	\N	\N	f	
23399	dbbb66cc-7b8d-4b76-863c-dabed92a004f	Middleton	Middleton	3	0	2013-08-24 20:23:59.426439+02	\N	\N	\N	\N	\N	\N	f	
23445	5a1c19e1-9260-403b-9e6a-00c646bdb367	Nové Zámky	Nové Zámky	3	0	2013-08-25 23:29:43.615035+02	\N	\N	\N	\N	\N	\N	f	
23631	b697317e-14ad-4ab4-a0ae-4115cd6ea6b6	Pudasjärvi	Pudasjärvi	3	0	2013-08-26 17:38:29.094619+02	\N	\N	\N	\N	\N	\N	f	
23618	beee889d-b589-4509-b6d8-7aaba8ebdc37	Pardubice	Pardubice	3	0	2013-08-26 17:30:52.933827+02	\N	\N	\N	\N	\N	\N	f	
24687	dfc7a19f-f1ba-4981-9de1-1cf094841a51	Zeigler	Zeigler	3	0	2013-09-07 08:10:39.605341+02	\N	\N	\N	\N	\N	\N	f	
23630	10d01282-4b05-49f5-8586-7c30b640f2c5	Brattleboro	Brattleboro	3	0	2013-08-26 17:38:13.966317+02	\N	\N	\N	\N	\N	\N	f	
11705	cc4bf5f4-0497-4d4f-98b2-b6c36b06c514	Kita-ku	Kita-ku	5	0	2013-08-27 14:43:15.336922+02	\N	\N	\N	\N	\N	\N	f	
24845	4f6f005b-b5bc-492b-8aaf-bba30a5ba48f	Barnes City, Iowa	Barnes City, Iowa	3	0	2013-09-07 08:50:01.683861+02	\N	\N	\N	\N	\N	\N	f	
24757	18a5007b-f450-4da0-a87c-4105e084add2	Hinton, Iowa	Hinton, Iowa	3	0	2013-09-07 08:26:54.945758+02	\N	\N	\N	\N	\N	\N	f	
25216	25095f05-fb20-4c0f-ad75-d2cd4053ae9b	Imogene	Imogene	3	0	2013-09-07 10:42:58.112161+02	\N	\N	\N	\N	\N	\N	f	
25217	6f94cd19-ce61-40bb-ab44-6433b8953887	Elliott	Elliott	3	0	2013-09-07 10:43:22.487845+02	\N	\N	\N	\N	\N	\N	f	
25218	cf549f15-da3c-47dd-9c3b-86c2e119d002	Farley	Farley	3	0	2013-09-07 10:43:41.299943+02	\N	\N	\N	\N	\N	\N	f	
25768	64316db1-4518-42fc-b0dc-b5e500c22160	Wellington, Kentucky	Wellington, Kentucky	3	0	2013-09-07 14:33:55.087967+02	\N	\N	\N	\N	\N	\N	f	
25799	827e2331-9d36-4df5-841f-7ad5c7a8c27a	Sharon Springs, Kansas	Sharon Springs, Kansas	3	0	2013-09-07 14:41:47.972736+02	\N	\N	\N	\N	\N	\N	f	
26215	5c64ee84-0469-4666-9598-b35a27849710	Kenton Vale, Kentucky	Kenton Vale, Kentucky	3	0	2013-09-07 20:47:32.690831+02	\N	\N	\N	\N	\N	\N	f	
26539	e7237905-d40e-4d7d-99cd-94251e56b2ee	West Union, Iowa	West Union, Iowa	3	0	2013-09-08 01:02:05.437879+02	\N	\N	\N	\N	\N	\N	f	
11297	c64560f6-f7cb-4cb9-b565-78291883200d	Jászberény	Jászberény	3	0	2013-06-25 05:40:30.068383+02	\N	\N	\N	\N	\N	\N	f	
11324	984e9921-c80b-488e-9d6e-10c4891a7aa2	Orosháza	Orosháza	3	0	2013-06-25 05:48:45.99554+02	\N	\N	\N	\N	\N	\N	f	
11298	5450c8e7-b106-44ce-b05f-50d100549195	Nagymaros	Nagymaros	3	0	2013-06-25 05:40:41.949697+02	\N	\N	\N	\N	\N	\N	f	
11299	58608699-8af9-4f3e-8d76-84575b376dfa	Maglód	Maglód	3	0	2013-06-25 05:40:54.258838+02	\N	\N	\N	\N	\N	\N	f	
11402	8fe477ab-d1d7-46c9-b913-067aec2a02bf	Budaörs	Budaörs	3	0	2013-06-25 06:13:24.181747+02	\N	\N	\N	\N	\N	\N	f	
11300	fc573ae5-11f4-4fef-bac4-2628280737ae	Bóly	Bóly	3	0	2013-06-25 05:41:11.940438+02	\N	\N	\N	\N	\N	\N	f	
11325	1eec8529-d22c-45d0-830a-fc9406c922b1	Kisbér	Kisbér	3	0	2013-06-25 05:49:38.321302+02	\N	\N	\N	\N	\N	\N	f	
11301	7057faac-93ee-4717-8b9e-5e6a2bcb060c	Tapolca	Tapolca	3	0	2013-06-25 05:41:30.092193+02	\N	\N	\N	\N	\N	\N	f	
11303	eda7d7a6-df4f-486b-881c-7bb09164546b	Füzesgyarmat	Füzesgyarmat	3	0	2013-06-25 05:41:54.414688+02	\N	\N	\N	\N	\N	\N	f	
11368	5415a073-8cf5-411a-abfd-03ca4c2ee40b	Gárdony	Gárdony	3	0	2013-06-25 06:04:32.394628+02	\N	\N	\N	\N	\N	\N	f	
11304	1f506916-97eb-4146-8d71-e9927260c7ca	Nagyatád	Nagyatád	3	0	2013-06-25 05:42:17.232121+02	\N	\N	\N	\N	\N	\N	f	
11326	d648722f-927e-438d-a2d6-aebdc20d90a3	Szob	Szob	3	0	2013-06-25 05:49:50.353219+02	\N	\N	\N	\N	\N	\N	f	
11305	d5bcf249-543f-4f2e-b603-bc6a361b6b83	Ózd	Ózd	3	0	2013-06-25 05:42:29.839558+02	\N	\N	\N	\N	\N	\N	f	
11306	8e16c63c-267c-4721-95d1-4abf747beb0a	Mezőcsát	Mezőcsát	3	0	2013-06-25 05:42:47.611981+02	\N	\N	\N	\N	\N	\N	f	
11308	7dbbc118-d53c-4026-af31-c417e9dbc8a1	Mohács	Mohács	3	0	2013-06-25 05:43:34.153815+02	\N	\N	\N	\N	\N	\N	f	
11328	21603583-a0c4-47b7-a425-9cec5fcf381f	Alsózsolca	Alsózsolca	3	0	2013-06-25 05:50:14.74185+02	\N	\N	\N	\N	\N	\N	f	
11309	3c12f71a-769f-427b-a5d6-5062adcc157d	Kiskunhalas	Kiskunhalas	3	0	2013-06-25 05:44:08.45453+02	\N	\N	\N	\N	\N	\N	f	
11310	d135994b-eec3-4853-97ce-98c85e119683	Tata	Tata	3	0	2013-06-25 05:44:20.355037+02	\N	\N	\N	\N	\N	\N	f	
11311	2a18e767-8303-4737-954f-021265dad011	Újfehértó	Újfehértó	3	0	2013-06-25 05:44:33.458797+02	\N	\N	\N	\N	\N	\N	f	
11329	c66db1a9-7cfc-436a-a2bd-10105d6778b1	Komló	Komló	3	0	2013-06-25 05:50:27.339858+02	\N	\N	\N	\N	\N	\N	f	
11312	4a117d82-c0b2-43cf-b5f6-f87338974eda	Abádszalók	Abádszalók	3	0	2013-06-25 05:44:53.018084+02	\N	\N	\N	\N	\N	\N	f	
11313	264cf061-87cc-4e3a-a99c-bd27f7e65d0a	Vecsés	Vecsés	3	0	2013-06-25 05:45:39.935077+02	\N	\N	\N	\N	\N	\N	f	
11370	43bd876a-9f71-43b4-9ba0-e45534ff765d	Ács	Ács	3	0	2013-06-25 06:05:03.016833+02	\N	\N	\N	\N	\N	\N	f	
11314	2ad2ba40-95ad-4414-b94a-743ae8322b29	Bicske	Bicske	3	0	2013-06-25 05:45:51.614963+02	\N	\N	\N	\N	\N	\N	f	
11330	3269ac2b-af58-48ca-aad2-193be97ef168	Abony	Abony	3	0	2013-06-25 05:51:41.802411+02	\N	\N	\N	\N	\N	\N	f	
11315	f1c879f2-cc0d-413d-acd5-ccdc182c0328	Adony	Adony	3	0	2013-06-25 05:46:12.606548+02	\N	\N	\N	\N	\N	\N	f	
11317	242076b9-feb8-458e-b439-7a14caa733d1	Tiszaújváros	Tiszaújváros	3	0	2013-06-25 05:46:43.35068+02	\N	\N	\N	\N	\N	\N	f	
11318	19479229-28a7-4935-95cd-8b01b84825d6	Nyíradony	Nyíradony	3	0	2013-06-25 05:46:56.99363+02	\N	\N	\N	\N	\N	\N	f	
11331	49951c2d-b018-48c4-b5f9-c0a951c52a23	Kiskunfélegyháza	Kiskunfélegyháza	3	0	2013-06-25 05:51:53.891018+02	\N	\N	\N	\N	\N	\N	f	
11319	aaec6a24-c5da-4c57-8999-7bd7ff5053e6	Szigetvár	Szigetvár	3	0	2013-06-25 05:47:09.113183+02	\N	\N	\N	\N	\N	\N	f	
11320	e7b1a1d8-c326-405b-96b9-67a2c75d0758	Kunszentmárton	Kunszentmárton	3	0	2013-06-25 05:47:32.224077+02	\N	\N	\N	\N	\N	\N	f	
11321	ae768d8c-fd5c-4d16-b524-0634eeab48bf	Szentes	Szentes	3	0	2013-06-25 05:47:44.044625+02	\N	\N	\N	\N	\N	\N	f	
11333	f487ef4a-172e-416c-b51d-a7662340e868	Kistarcsa	Kistarcsa	3	0	2013-06-25 05:53:55.882684+02	\N	\N	\N	\N	\N	\N	f	
11322	b81975da-1ba5-4a0e-955f-a04e4fb170ee	Zalaszentgrót	Zalaszentgrót	3	0	2013-06-25 05:47:55.747787+02	\N	\N	\N	\N	\N	\N	f	
11323	88e44254-8675-4c71-85d2-0b9a539aaf9f	Herend	Herend	3	0	2013-06-25 05:48:18.599316+02	\N	\N	\N	\N	\N	\N	f	
11373	53fbfcbc-f863-49a6-9b83-8c8450ef21d0	Törökbálint	Törökbálint	3	0	2013-06-25 06:05:40.570969+02	\N	\N	\N	\N	\N	\N	f	
11337	553240f0-c1b2-4b98-a510-fdd7c35e7e65	Keszthely	Keszthely	3	0	2013-06-25 05:55:02.713077+02	\N	\N	\N	\N	\N	\N	f	
11405	20a44738-dc57-48f6-9e73-a881d1c1672a	Kapuvár	Kapuvár	3	0	2013-06-25 06:14:19.159051+02	\N	\N	\N	\N	\N	\N	f	
11343	f4514bc7-4c76-4a4a-84db-988269838a86	Szentlőrinc	Szentlőrinc	3	0	2013-06-25 05:57:21.38334+02	\N	\N	\N	\N	\N	\N	f	
11377	30f7bcf5-6e34-4a29-9402-35ea5627dca9	Sárospatak	Sárospatak	3	0	2013-06-25 06:06:48.027136+02	\N	\N	\N	\N	\N	\N	f	
11350	26a932f0-6492-4e1a-a6b5-3d41bb3bf59a	Komádi	Komádi	3	0	2013-06-25 05:59:21.262335+02	\N	\N	\N	\N	\N	\N	f	
11352	96181a84-a9a5-4368-8133-98332b638202	Baktalórántháza	Baktalórántháza	3	0	2013-06-25 06:00:05.371195+02	\N	\N	\N	\N	\N	\N	f	
11355	67b80827-0a37-40ad-a396-7a87694ba6b1	Tamási	Tamási	3	0	2013-06-25 06:01:02.266277+02	\N	\N	\N	\N	\N	\N	f	
11378	5f06b248-411a-4cdc-a7cd-0baf62d3106c	Fertőd	Fertőd	3	0	2013-06-25 06:07:02.629441+02	\N	\N	\N	\N	\N	\N	f	
11361	96788e28-1a67-484a-9542-3ecfdbf53023	Jászfényszaru	Jászfényszaru	3	0	2013-06-25 06:02:43.826419+02	\N	\N	\N	\N	\N	\N	f	
11367	fbf6300e-df78-4e22-82e2-b046ad052fa5	Pásztó	Pásztó	3	0	2013-06-25 06:04:13.689822+02	\N	\N	\N	\N	\N	\N	f	
11380	501bf6b6-e9dc-45c5-8b6f-4cd827ba7d05	Kisvárda	Kisvárda	3	0	2013-06-25 06:07:32.078524+02	\N	\N	\N	\N	\N	\N	f	
11406	1fbf6bda-2600-4ee1-b6f7-b69c7a7d35f2	Derecske	Derecske	3	0	2013-06-25 06:14:31.794968+02	\N	\N	\N	\N	\N	\N	f	
11390	9bea437b-3db6-42df-b1d8-b7a83c066518	Dunavarsány	Dunavarsány	3	0	2013-06-25 06:10:31.999307+02	\N	\N	\N	\N	\N	\N	f	
11392	ebdacc82-3456-4638-b4c2-5a94f161bcd2	Paks	Paks	3	0	2013-06-25 06:11:01.706413+02	\N	\N	\N	\N	\N	\N	f	
13946	5e14e248-49fa-49da-ae6a-1449e6947f87	Collagna	Collagna	4	0	2013-07-21 19:48:34.757806+02	\N	\N	\N	\N	\N	\N	f	
11396	f3835705-72f9-4d23-bb88-e906d5521715	Monor	Monor	3	0	2013-06-25 06:11:55.573781+02	\N	\N	\N	\N	\N	\N	f	
11413	8d1e4b03-39fe-44d9-8b01-d65321b728a8	Balmazújváros	Balmazújváros	3	0	2013-06-25 06:16:02.812785+02	\N	\N	\N	\N	\N	\N	f	
11399	90412925-5a97-4567-8145-0ca42be31e94	Nyírbátor	Nyírbátor	3	0	2013-06-25 06:12:43.478001+02	\N	\N	\N	\N	\N	\N	f	
15115	f830567f-dbf4-4c52-bd2c-5911471aa8e1	Sambuco	Sambuco	4	0	2013-07-21 23:49:37.56333+02	\N	\N	\N	\N	\N	\N	f	
11415	502df0ad-2535-48bb-9623-1bdd04c08c13	Battonya	Battonya	3	0	2013-06-25 06:16:26.322723+02	\N	\N	\N	\N	\N	\N	f	
14512	fe49af13-c18d-4b34-93c0-4a906acbe6f5	Sarezzano	Sarezzano	4	0	2013-07-21 21:54:51.421884+02	\N	\N	\N	\N	\N	\N	f	
14549	3eba3705-ca59-4cd8-a7cb-fb72ca7e0d70	Casorzo	Casorzo	4	0	2013-07-21 22:03:27.506143+02	\N	\N	\N	\N	\N	\N	f	
14611	47975e9d-9e36-4090-89c8-7b3ef3447467	Mombaldone	Mombaldone	4	0	2013-07-21 22:16:52.916153+02	\N	\N	\N	\N	\N	\N	f	
14618	3e321748-fef5-44b1-8209-52fa49b98be2	San Giorgio Scarampi	San Giorgio Scarampi	4	0	2013-07-21 22:18:34.745522+02	\N	\N	\N	\N	\N	\N	f	
17109	e7f22faf-6cdc-4174-ab38-bced245ade40	Freienfeld	Freienfeld	4	0	2013-07-22 05:44:55.341423+02	\N	\N	\N	\N	\N	\N	f	
15634	325b9724-5b30-4859-8361-6d7f57b1b1d1	Villette	Villette	4	0	2013-07-22 01:29:11.046161+02	\N	\N	\N	\N	\N	\N	f	
16596	942f6eb7-bf78-43c4-83e4-ac1d4669c96a	Ollolai	Ollolai	4	0	2013-07-22 03:53:02.299302+02	\N	\N	\N	\N	\N	\N	f	
15671	e2ab5798-b32b-40ec-baf4-d9cb50464b6c	Civitella San Paolo	Civitella San Paolo	4	0	2013-07-22 01:37:00.910733+02	\N	\N	\N	\N	\N	\N	f	
17167	af4badca-f372-4f10-ac50-cc3446905578	Uras	Uras	4	0	2013-07-22 05:52:34.160201+02	\N	\N	\N	\N	\N	\N	f	
17427	b08e76fd-d316-431c-bc0a-b5dc7e8df744	Piuro	Piuro	4	0	2013-07-22 06:26:02.136689+02	\N	\N	\N	\N	\N	\N	f	
17454	10d98925-9f6e-49d0-8260-52ab6fb92c27	Bianzone	Bianzone	4	0	2013-07-22 06:29:38.776841+02	\N	\N	\N	\N	\N	\N	f	
17473	84785ec5-949e-4d3a-8fd9-f4eb1244d3b0	Mese	Mese	4	0	2013-07-22 06:31:55.566436+02	\N	\N	\N	\N	\N	\N	f	
17556	596d17ed-103d-4d76-a87c-430800efad18	Ardenno	Ardenno	4	0	2013-07-22 06:41:52.818309+02	\N	\N	\N	\N	\N	\N	f	
17660	e5dcfe3f-0eaa-4a23-bec4-8e38dc9e14f9	Ispra	Ispra	4	0	2013-07-22 06:54:48.212883+02	\N	\N	\N	\N	\N	\N	f	
17685	0f9946b3-a397-4f21-b9d9-a9ab105945f0	Samolaco	Samolaco	4	0	2013-07-22 06:58:14.252422+02	\N	\N	\N	\N	\N	\N	f	
11334	330030f4-1926-46d4-a2f7-9043157ccd65	Csepreg	Csepreg	3	0	2013-06-25 05:54:14.629214+02	\N	\N	\N	\N	\N	\N	f	
11425	875cfbde-3b90-4f74-91ff-d339599b1d55	Tiszakécske	Tiszakécske	3	0	2013-06-25 06:20:21.543194+02	\N	\N	\N	\N	\N	\N	f	
11336	9c4006f3-6c8b-480d-a99b-ae6a785192d7	Pilisvörösvár	Pilisvörösvár	3	0	2013-06-25 05:54:50.703613+02	\N	\N	\N	\N	\N	\N	f	
11391	2ff0dbd5-666e-4242-add8-4cb18b4954d8	Hajdúnánás	Hajdúnánás	3	0	2013-06-25 06:10:44.165154+02	\N	\N	\N	\N	\N	\N	f	
11338	aa9e425c-b34a-4b29-9c46-3be596bdda16	Vámospércs	Vámospércs	3	0	2013-06-25 05:55:20.766419+02	\N	\N	\N	\N	\N	\N	f	
11339	bdcc470d-4f77-48ff-943d-6175b0ca0780	Tiszaföldvár	Tiszaföldvár	3	0	2013-06-25 05:55:38.219867+02	\N	\N	\N	\N	\N	\N	f	
11416	25b78d43-c44d-4548-b146-e0df5de6d448	Balatonföldvár	Balatonföldvár	3	0	2013-06-25 06:16:38.476346+02	\N	\N	\N	\N	\N	\N	f	
11340	df22ff03-e5ae-4fd4-a048-a8b637917bbe	Dunakeszi	Dunakeszi	3	0	2013-06-25 05:55:58.122964+02	\N	\N	\N	\N	\N	\N	f	
11393	cb0c75bd-90a5-4902-a8b8-c37cc80afdef	Szigetszentmiklós	Szigetszentmiklós	3	0	2013-06-25 06:11:13.440573+02	\N	\N	\N	\N	\N	\N	f	
11346	4921768d-06cb-424e-b144-b2a21a8b7688	Tokaj	Tokaj	3	0	2013-06-25 05:58:12.666742+02	\N	\N	\N	\N	\N	\N	f	
11348	b7fdec41-7802-4e15-8638-1256ee4ded01	Fonyód	Fonyód	3	0	2013-06-25 05:58:49.100282+02	\N	\N	\N	\N	\N	\N	f	
11349	458a2f05-5233-4cfa-93c5-c7c8a01cc653	Szendrő	Szendrő	3	0	2013-06-25 05:59:06.982122+02	\N	\N	\N	\N	\N	\N	f	
11394	5d8ed11e-63b9-4246-b135-9ecb69b281a8	Békés	Békés	3	0	2013-06-25 06:11:25.655911+02	\N	\N	\N	\N	\N	\N	f	
11356	074028f6-57ae-4e73-810c-d3c41dbf83cd	Kőszeg	Kőszeg	3	0	2013-06-25 06:01:24.858072+02	\N	\N	\N	\N	\N	\N	f	
11357	de3b94c2-6ba8-4338-b64b-6748c10c115b	Dunavecse	Dunavecse	3	0	2013-06-25 06:01:36.922266+02	\N	\N	\N	\N	\N	\N	f	
11358	8384b54d-f20d-4038-b582-c27cf38ede0e	Tiszalök	Tiszalök	3	0	2013-06-25 06:01:51.466802+02	\N	\N	\N	\N	\N	\N	f	
11395	66923a52-3190-42a8-943f-807ce5d68748	Fehérgyarmat	Fehérgyarmat	3	0	2013-06-25 06:11:37.507401+02	\N	\N	\N	\N	\N	\N	f	
11363	bd9ec417-608d-4575-909a-265630a3191e	Kiskunmajsa	Kiskunmajsa	3	0	2013-06-25 06:03:11.607459+02	\N	\N	\N	\N	\N	\N	f	
11364	d37463b9-3625-41e0-8fea-3b55283b1d4c	Dombóvár	Dombóvár	3	0	2013-06-25 06:03:30.410517+02	\N	\N	\N	\N	\N	\N	f	
11417	0f87d92c-268b-4aac-8d1f-e58ea09d26d3	Balatonalmádi	Balatonalmádi	3	0	2013-06-25 06:16:50.231923+02	\N	\N	\N	\N	\N	\N	f	
11365	0791df8d-facb-458b-a54d-eb29bd762e00	Enying	Enying	3	0	2013-06-25 06:03:42.571977+02	\N	\N	\N	\N	\N	\N	f	
11397	0104f9ae-4b31-4677-b109-8a0745b1ac7e	Dorog	Dorog	3	0	2013-06-25 06:12:07.455707+02	\N	\N	\N	\N	\N	\N	f	
11369	3b48e20a-4614-421f-843f-e8564b47d063	Csongrád	Csongrád	3	0	2013-06-25 06:04:50.774816+02	\N	\N	\N	\N	\N	\N	f	
11371	d2611e57-08bf-41f1-b71f-214c020f9df1	Túrkeve	Túrkeve	3	0	2013-06-25 06:05:15.17949+02	\N	\N	\N	\N	\N	\N	f	
11372	7d39eb57-6e2b-4021-ad91-e6f9c09d3d6c	Kiskőrös	Kiskőrös	3	0	2013-06-25 06:05:28.649397+02	\N	\N	\N	\N	\N	\N	f	
11400	a92e4837-2d56-4709-9455-6d3e950cabe7	Karcag	Karcag	3	0	2013-06-25 06:12:57.819871+02	\N	\N	\N	\N	\N	\N	f	
11374	dedad87a-38d5-45e4-90ad-1fa978ff4134	Pannonhalma	Pannonhalma	3	0	2013-06-25 06:05:58.873103+02	\N	\N	\N	\N	\N	\N	f	
11375	93effc7c-5869-4138-bfe8-9611dccad8d0	Kenderes	Kenderes	3	0	2013-06-25 06:06:17.213089+02	\N	\N	\N	\N	\N	\N	f	
11376	9fd0b8c1-9564-4b81-885f-cb61c136d233	Villány	Villány	3	0	2013-06-25 06:06:28.91958+02	\N	\N	\N	\N	\N	\N	f	
11401	1092381e-260c-4aa4-8bae-e890bec19e87	Ráckeve	Ráckeve	3	0	2013-06-25 06:13:09.7397+02	\N	\N	\N	\N	\N	\N	f	
11382	83cb67d7-56f0-481d-a45b-1458222125ae	Balatonfüred	Balatonfüred	3	0	2013-06-25 06:08:02.089916+02	\N	\N	\N	\N	\N	\N	f	
11383	31d342ea-eb72-4096-b23c-36cf82345359	Mór	Mór	3	0	2013-06-25 06:08:13.942858+02	\N	\N	\N	\N	\N	\N	f	
11418	b1abc7b2-bfbb-45f1-b14e-8b0480111c2f	Berettyóújfalu	Berettyóújfalu	3	0	2013-06-25 06:17:11.729012+02	\N	\N	\N	\N	\N	\N	f	
11385	b6ad8c8d-2c9f-4ef4-accf-a45296520107	Hajdúböszörmény	Hajdúböszörmény	3	0	2013-06-25 06:08:38.165114+02	\N	\N	\N	\N	\N	\N	f	
11403	88d96ff9-6c2a-485b-b0d8-65c858260cfb	Balkány	Balkány	3	0	2013-06-25 06:13:36.259862+02	\N	\N	\N	\N	\N	\N	f	
11389	8643f70f-2d94-4bf7-802a-3893de398c00	Biatorbágy	Biatorbágy	3	0	2013-06-25 06:10:17.155964+02	\N	\N	\N	\N	\N	\N	f	
11404	92ba42bc-b1a1-4ed4-a6d0-3ece03621266	Nagykáta	Nagykáta	3	0	2013-06-25 06:13:55.165931+02	\N	\N	\N	\N	\N	\N	f	
11426	a544f624-00d6-4312-8a16-6a46cf4f7a1d	Tolna	Tolna	3	0	2013-06-25 06:20:40.986982+02	\N	\N	\N	\N	\N	\N	f	
11407	202dbf7b-f1be-4e32-925b-b05219a48bbb	Szigethalom	Szigethalom	3	0	2013-06-25 06:14:43.881016+02	\N	\N	\N	\N	\N	\N	f	
11419	4c13def5-1abf-4e4e-ac66-4fcaac4473d7	Hajdúszoboszló	Hajdúszoboszló	3	0	2013-06-25 06:18:58.382948+02	\N	\N	\N	\N	\N	\N	f	
11408	86460760-530b-4469-b40b-8e09ca72ef1e	Szeghalom	Szeghalom	3	0	2013-06-25 06:14:55.898438+02	\N	\N	\N	\N	\N	\N	f	
11409	5fc74c22-4666-45a0-96da-ce1d590e6985	Barcs	Barcs	3	0	2013-06-25 06:15:12.67363+02	\N	\N	\N	\N	\N	\N	f	
11410	2222dfc0-52bc-4151-bfa4-b50954b5d345	Balatonboglár	Balatonboglár	3	0	2013-06-25 06:15:24.518084+02	\N	\N	\N	\N	\N	\N	f	
11420	5ea5580a-9ec7-4d3a-9389-4b2e399d217a	Bonyhád	Bonyhád	3	0	2013-06-25 06:19:11.078509+02	\N	\N	\N	\N	\N	\N	f	
11411	7bf1226b-b7e1-4747-9020-0a9674404fde	Balassagyarmat	Balassagyarmat	3	0	2013-06-25 06:15:36.462213+02	\N	\N	\N	\N	\N	\N	f	
11414	e11188d6-394c-497b-aab0-3b5e22690118	Balatonlelle	Balatonlelle	3	0	2013-06-25 06:16:14.508149+02	\N	\N	\N	\N	\N	\N	f	
11421	3e606fa7-00ca-4146-be40-23a33f608dd0	Körmend	Körmend	3	0	2013-06-25 06:19:24.132346+02	\N	\N	\N	\N	\N	\N	f	
11427	6508f77d-cf03-453b-ab79-9587e4a97a32	Nagykálló	Nagykálló	3	0	2013-06-25 06:20:55.529516+02	\N	\N	\N	\N	\N	\N	f	
11422	1d9d8499-6e9c-4237-a70e-a50b464f44da	Nagykőrös	Nagykőrös	3	0	2013-06-25 06:19:36.431359+02	\N	\N	\N	\N	\N	\N	f	
11423	8d1b4c6c-855b-45b9-8e4c-2147a143f44a	Fót	Fót	3	0	2013-06-25 06:19:49.938242+02	\N	\N	\N	\N	\N	\N	f	
11432	862d7722-ac12-40a1-9203-1822f55e2331	Veresegyház	Veresegyház	3	0	2013-06-25 06:21:59.320604+02	\N	\N	\N	\N	\N	\N	f	
11424	426decd6-8a13-4bae-8759-fa85d0fe97a9	Törökszentmiklós	Törökszentmiklós	3	0	2013-06-25 06:20:09.513665+02	\N	\N	\N	\N	\N	\N	f	
11428	34afeed7-7ce3-4f0c-aa8d-db7bc3966315	Pécsvárad	Pécsvárad	3	0	2013-06-25 06:21:07.337149+02	\N	\N	\N	\N	\N	\N	f	
11440	7b70face-57c0-4986-8c43-30edccc55d79	Szarvas	Szarvas	3	0	2013-06-25 06:23:37.992383+02	\N	\N	\N	\N	\N	\N	f	
11429	eacc7b69-3f05-4bc6-b6a8-60a8420a9030	Lajosmizse	Lajosmizse	3	0	2013-06-25 06:21:19.439472+02	\N	\N	\N	\N	\N	\N	f	
11433	ad72a7eb-f8e5-4ad6-81c1-095f67c13312	Püspökladány	Püspökladány	3	0	2013-06-25 06:22:11.071055+02	\N	\N	\N	\N	\N	\N	f	
11430	ea58d84b-af1b-4ced-8b81-fb4dd1fd1bae	Sellye	Sellye	3	0	2013-06-25 06:21:34.064372+02	\N	\N	\N	\N	\N	\N	f	
11436	f6160c4f-7eb0-443a-97ce-55679b069e3a	Mátészalka	Mátészalka	3	0	2013-06-25 06:22:49.679215+02	\N	\N	\N	\N	\N	\N	f	
11431	7173c7cd-17ae-4164-b4a0-24a167e12b09	Gönc	Gönc	3	0	2013-06-25 06:21:47.144562+02	\N	\N	\N	\N	\N	\N	f	
11434	a0d81701-dd36-4c91-962d-a0a02ba9c6f9	Csorna	Csorna	3	0	2013-06-25 06:22:25.894601+02	\N	\N	\N	\N	\N	\N	f	
11438	e322ed78-bc5c-4e89-9442-e642e6978333	Mezőberény	Mezőberény	3	0	2013-06-25 06:23:13.702558+02	\N	\N	\N	\N	\N	\N	f	
11435	dc9a9f42-2f9d-4b03-9c93-7d609e85dd18	Pomáz	Pomáz	3	0	2013-06-25 06:22:37.745502+02	\N	\N	\N	\N	\N	\N	f	
11437	216cf7a1-4fe0-4933-9cd7-08a912b0c3be	Harkány	Harkány	3	0	2013-06-25 06:23:01.974446+02	\N	\N	\N	\N	\N	\N	f	
11439	f9c72b22-cb79-4fdd-8134-1a93048e5f49	Gyál	Gyál	3	0	2013-06-25 06:23:25.95847+02	\N	\N	\N	\N	\N	\N	f	
11441	8a69aaad-3c6a-4fe7-b856-b3854803f51b	Sárvár	Sárvár	3	0	2013-06-25 06:23:50.173141+02	\N	\N	\N	\N	\N	\N	f	
11442	2bd9bfab-f667-4c77-9c86-3493dcf52ffb	Marcali	Marcali	3	0	2013-06-25 06:24:02.166693+02	\N	\N	\N	\N	\N	\N	f	
11443	1b10d3e2-db56-4522-81a0-907329afc7e5	Edelény	Edelény	3	0	2013-06-25 06:24:14.066023+02	\N	\N	\N	\N	\N	\N	f	
11444	a0c34cc2-1e0a-4b68-8d10-afbecbb24c39	Celldömölk	Celldömölk	3	0	2013-06-25 06:24:26.30411+02	\N	\N	\N	\N	\N	\N	f	
11445	8ec7a89c-2dff-4f77-a61d-f7150d05fa5e	Oroszlány	Oroszlány	3	0	2013-06-25 06:24:37.982064+02	\N	\N	\N	\N	\N	\N	f	
11446	5194c76d-a080-4504-893b-fee55485d3fd	Kunszentmiklós	Kunszentmiklós	3	0	2013-06-25 06:24:49.730418+02	\N	\N	\N	\N	\N	\N	f	
11447	125d1ac9-0345-4169-b0b8-9edbaeed4ea6	Cigánd	Cigánd	3	0	2013-06-25 06:25:09.779742+02	\N	\N	\N	\N	\N	\N	f	
11448	ad7d907c-a2bd-42d6-9564-e0b21efc9f8d	Emőd	Emőd	3	0	2013-06-25 06:25:35.239241+02	\N	\N	\N	\N	\N	\N	f	
19804	f9cc821b-e957-4da7-84ec-ed3340abf1a8	Martignano	Martignano	4	0	2013-07-22 11:38:08.646762+02	\N	\N	\N	\N	\N	\N	f	
11449	3ca24b43-2975-48be-b08d-3e8367a6e3cc	Devecser	Devecser	3	0	2013-06-25 06:25:46.942478+02	\N	\N	\N	\N	\N	\N	f	
11450	90d1e588-cbb0-490b-aaa8-a8638cb627bd	Bátaszék	Bátaszék	3	0	2013-06-25 06:25:59.089802+02	\N	\N	\N	\N	\N	\N	f	
13947	2244ba6d-db72-4b64-8157-2cba5197525f	Canossa	Canossa	4	0	2013-07-21 19:48:46.354535+02	\N	\N	\N	\N	\N	\N	f	
15637	944761e0-6bb6-425b-ac06-5eb16967e449	Albenga	Albenga	4	0	2013-07-22 01:29:56.521213+02	\N	\N	\N	\N	\N	\N	f	
14513	f96d78ce-2e68-469b-8028-3e4858e3dec0	Villamiroglio	Villamiroglio	4	0	2013-07-21 21:55:03.636183+02	\N	\N	\N	\N	\N	\N	f	
15032	d067071b-1229-42d7-9926-36e07e51f542	Murello	Murello	4	0	2013-07-21 23:39:21.255521+02	\N	\N	\N	\N	\N	\N	f	
17428	c9caf6f7-7f70-499f-ba0d-9e1fc4753d8a	Mello	Mello	4	0	2013-07-22 06:26:07.444163+02	\N	\N	\N	\N	\N	\N	f	
15189	a6da9086-2600-4323-8380-5f1f90f29972	Sanfrè	Sanfrè	4	0	2013-07-21 23:58:16.622124+02	\N	\N	\N	\N	\N	\N	f	
15639	6192b0cf-8327-4383-8663-afda1c720d22	Arcinazzo Romano	Arcinazzo Romano	4	0	2013-07-22 01:30:29.788022+02	\N	\N	\N	\N	\N	\N	f	
24692	1a6842fa-5c7f-4d9d-bf76-1e8bd9f2c19a	Paxton	Paxton	3	0	2013-09-07 08:11:48.118154+02	\N	\N	\N	\N	\N	\N	f	
15666	fa5ba635-a018-42db-8cf3-f06f17f7287e	Magliano Romano	Magliano Romano	4	0	2013-07-22 01:36:00.715882+02	\N	\N	\N	\N	\N	\N	f	
15669	27cf7392-c53b-4861-8acb-fef33f490b9d	Lanuvio	Lanuvio	4	0	2013-07-22 01:36:36.398123+02	\N	\N	\N	\N	\N	\N	f	
17434	8d3342c9-ebc5-4cf0-9017-cbe5578026aa	Cuvio	Cuvio	4	0	2013-07-22 06:26:57.743574+02	\N	\N	\N	\N	\N	\N	f	
15684	aae59a80-f3d0-4439-b598-2c3259512c49	Mentana	Mentana	4	0	2013-07-22 01:39:38.171019+02	\N	\N	\N	\N	\N	\N	f	
15700	c51ae159-5285-4c45-93fe-af63ea9522bf	Montelanico	Montelanico	4	0	2013-07-22 01:43:19.137803+02	\N	\N	\N	\N	\N	\N	f	
15710	11915b0f-46a1-4788-8f38-6f3d9ac5db27	Nemi	Nemi	4	0	2013-07-22 01:45:52.51398+02	\N	\N	\N	\N	\N	\N	f	
23350	b77d8f32-1a54-4982-8a5d-8c7ca634c91b	Centerville	Centerville	3	0	2013-08-24 17:31:12.674913+02	\N	\N	\N	\N	\N	\N	f	
15711	d2670d92-9885-428e-a8c9-76487071654c	Rocca di Cave	Rocca di Cave	4	0	2013-07-22 01:46:04.295765+02	\N	\N	\N	\N	\N	\N	f	
15737	3c276f5b-142a-4efd-af4b-d12559db0323	Percile	Percile	4	0	2013-07-22 01:51:37.577641+02	\N	\N	\N	\N	\N	\N	f	
15739	9861eb43-f976-4e5f-88d0-4967c6fa2979	Riofreddo	Riofreddo	4	0	2013-07-22 01:52:01.438307+02	\N	\N	\N	\N	\N	\N	f	
19808	86353456-d6b8-4eee-b2f5-73194de53a8e	Poggiardo	Poggiardo	4	0	2013-07-22 11:38:45.944074+02	\N	\N	\N	\N	\N	\N	f	
16597	fdba3c00-a774-491e-a3e7-341759a870b2	Cessalto	Cessalto	4	0	2013-07-22 03:53:07.285825+02	\N	\N	\N	\N	\N	\N	f	
18536	889dea94-c275-4637-9c3c-0667b1ed87b6	Valli del Pasubio	Valli del Pasubio	4	0	2013-07-22 08:43:28.481391+02	\N	\N	\N	\N	\N	\N	f	
17112	44093e3f-b39a-4e28-9cf0-7cc1438a95f7	Albagiara	Albagiara	4	0	2013-07-22 05:45:13.832125+02	\N	\N	\N	\N	\N	\N	f	
17121	2777ec8e-b3a6-41c5-8129-18cdb5d0b4d4	Cuglieri	Cuglieri	4	0	2013-07-22 05:46:37.134839+02	\N	\N	\N	\N	\N	\N	f	
18577	28a855dc-ee58-47b1-8857-95723280750e	Pederobba	Pederobba	4	0	2013-07-22 08:48:11.241006+02	\N	\N	\N	\N	\N	\N	f	
23372	56bd2353-94bc-4c62-931a-b6ef1030609a	Midway	Midway	3	0	2013-08-24 17:37:08.119689+02	\N	\N	\N	\N	\N	\N	f	
19812	67b11af2-6c52-40d2-b684-7502f4483587	Muro Leccese	Muro Leccese	4	0	2013-07-22 11:39:38.374515+02	\N	\N	\N	\N	\N	\N	f	
19345	4409ccf6-8dbc-44d9-8018-d2a676612249	Villanders	Villanders	4	0	2013-07-22 10:23:16.997672+02	\N	\N	\N	\N	\N	\N	f	
19833	ad506e7d-0eed-4240-bdf4-735ff463e9bc	Patù	Patù	4	0	2013-07-22 11:44:17.763563+02	\N	\N	\N	\N	\N	\N	f	
20552	718a5fe7-04b6-4432-97c2-98388c22a717	Grotteria	Grotteria	4	0	2013-07-23 05:37:07.908045+02	\N	\N	\N	\N	\N	\N	f	
23400	6edf036a-8ef5-490f-85dd-05232b7dc546	Kaukauna	Kaukauna	3	0	2013-08-24 20:24:14.956928+02	\N	\N	\N	\N	\N	\N	f	
20569	cae9c327-b074-4a66-ae6d-fd6e557edf7e	Arena, Calabria	Arena, Calabria	4	0	2013-07-23 05:40:48.696367+02	\N	\N	\N	\N	\N	\N	f	
20612	acb831b4-2a36-4881-ad79-af76b29a476c	San Gregorio d'Ippona	San Gregorio d'Ippona	4	0	2013-07-23 05:49:37.895197+02	\N	\N	\N	\N	\N	\N	f	
24697	276f4270-6f03-4561-9b89-6c53b14ada91	Orient	Orient	3	0	2013-09-07 08:12:56.572196+02	\N	\N	\N	\N	\N	\N	f	
23446	09f04e76-eb92-4d20-a7d1-ba48f7edba09	Považská Bystrica	Považská Bystrica	3	0	2013-08-25 23:30:30.584351+02	\N	\N	\N	\N	\N	\N	f	
22769	028d536b-5e2b-4237-9304-04482b138037	Montalbano Elicona	Montalbano Elicona	4	0	2013-08-14 17:42:38.493486+02	\N	\N	\N	\N	\N	\N	f	
23448	bcf3b37b-e975-46ec-8f4d-44eb19d6581c	Michalovce	Michalovce	3	0	2013-08-25 23:32:12.214186+02	\N	\N	\N	\N	\N	\N	f	
22962	4f6d6ea6-a8cd-4163-b32f-877bb796050b	Brønnøysund	Brønnøysund	3	0	2013-08-20 14:55:37.575526+02	\N	\N	\N	\N	\N	\N	f	
23097	ebf72053-3211-4594-a91b-a4ec4bcf8560	Chesterfield	Chesterfield	3	0	2013-08-22 02:46:54.219877+02	\N	\N	\N	\N	\N	\N	f	
26540	db794326-500b-4827-86b0-e34f6689dc32	Blackshear, Georgia	Blackshear, Georgia	3	0	2013-09-08 01:02:33.906612+02	\N	\N	\N	\N	\N	\N	f	
23450	24239210-3526-4f9b-9b8f-67e68495f457	Spišská Nová Ves	Spišská Nová Ves	3	0	2013-08-25 23:32:55.564771+02	\N	\N	\N	\N	\N	\N	f	
23224	3a1fa803-c6f2-4576-b77b-2ac6dd67ae55	Edmond	Edmond	3	0	2013-08-23 11:35:13.775978+02	\N	\N	\N	\N	\N	\N	f	
23252	7ac29b9d-0d3c-4aea-8bc6-2b9ce710eb82	Harrisville	Harrisville	3	0	2013-08-24 14:22:52.795386+02	\N	\N	\N	\N	\N	\N	f	
25222	c61b6ca2-9de4-40a5-9241-d4bea433e37c	Vail	Vail	3	0	2013-09-07 10:44:46.839311+02	\N	\N	\N	\N	\N	\N	f	
23476	1cdad4fb-2615-40cc-ade7-94fb826a4979	Ružomberok	Ružomberok	3	0	2013-08-26 02:30:06.534221+02	\N	\N	\N	\N	\N	\N	f	
23556	849cf6ef-e1fc-4ef3-9f0e-8d5c0f7098e1	Bardejov	Bardejov	3	0	2013-08-26 14:29:04.029173+02	\N	\N	\N	\N	\N	\N	f	
23599	7e0d1841-899a-4de9-9ccb-31f4d09c2ce7	Krásno nad Kysucou	Krásno nad Kysucou	3	0	2013-08-26 14:45:51.707333+02	\N	\N	\N	\N	\N	\N	f	
25303	42e0c66c-61dc-4578-bcb6-51bba28a9937	Bronson	Bronson	3	0	2013-09-07 11:06:40.523057+02	\N	\N	\N	\N	\N	\N	f	
23619	39965a97-1571-47b2-a9cd-287cae265dcb	Karlovy Vary	Karlovy Vary	3	0	2013-08-26 17:31:18.220571+02	\N	\N	\N	\N	\N	\N	f	
11727	b8d5d9d5-3eea-4b9c-b21c-0271fe9ef38b	Kita-ku	Kita-ku	5	0	2013-08-27 14:43:56.484238+02	\N	\N	\N	\N	\N	\N	f	
27629	ca06a3b1-3737-4840-935f-0ae093507687	Butte, North Dakota	Butte, North Dakota	3	0	2013-09-08 09:01:42.346664+02	\N	\N	\N	\N	\N	\N	f	
26567	7215d8d1-0f37-412c-a7a2-e59ee409c1f6	Highland, Kansas	Highland, Kansas	3	0	2013-09-08 01:10:18.92778+02	\N	\N	\N	\N	\N	\N	f	
25308	d718c180-a126-4600-b573-8be07de4eb6e	Benton	Benton	3	0	2013-09-07 11:08:06.487351+02	\N	\N	\N	\N	\N	\N	f	
25771	169ac825-ed2e-4379-a712-29a0a84f6673	Vincent, Iowa	Vincent, Iowa	3	0	2013-09-07 14:34:43.730091+02	\N	\N	\N	\N	\N	\N	f	
26216	c3e430b6-4109-4db4-bc9c-251400358abf	Catlettsburg, Kentucky	Catlettsburg, Kentucky	3	0	2013-09-07 20:47:47.462896+02	\N	\N	\N	\N	\N	\N	f	
26891	40d5b00e-5fb8-4c8f-95f3-76f241bc9bc1	Hunnewell	Hunnewell	3	0	2013-09-08 03:53:27.957794+02	\N	\N	\N	\N	\N	\N	f	
28241	ce58b9f9-c289-4068-9a48-c9d6e15cc422	Anderson, South Carolina	Anderson, South Carolina	3	0	2013-09-08 15:34:21.64704+02	\N	\N	\N	\N	\N	\N	f	
27301	47336ad0-5586-4b94-afef-009dfdc6e075	Valley City, North Dakota	Valley City, North Dakota	3	0	2013-09-08 07:21:51.259526+02	\N	\N	\N	\N	\N	\N	f	
27676	3796f4ef-7cd5-479e-89ba-25af5c202ebe	Meta	Meta	3	0	2013-09-08 09:16:25.075751+02	\N	\N	\N	\N	\N	\N	f	
27989	8025f28d-d5b6-4ed4-ba0b-1c1dcdf0bceb	New Iberia	New Iberia	3	0	2013-09-08 11:55:14.22+02	\N	\N	\N	\N	\N	\N	f	
28456	650e7d6e-c5d0-4ed6-958e-a7f3e385fff2	Barry	Barry	3	0	2013-09-08 17:38:30.736264+02	\N	\N	\N	\N	\N	\N	f	
28434	0fa0a519-a201-4842-8804-57529ec244b8	Minor Hill, Tennessee	Minor Hill, Tennessee	3	0	2013-09-08 17:24:18.876549+02	\N	\N	\N	\N	\N	\N	f	
28676	e72171c7-7d65-461b-8855-d38e53404501	Marion	Marion	3	0	2013-09-08 23:18:56.563962+02	\N	\N	\N	\N	\N	\N	f	
28894	7445e212-2f00-42d2-bb97-cfdca27d1bc0	Chewelah	Chewelah	3	0	2013-09-09 01:12:27.444876+02	\N	\N	\N	\N	\N	\N	f	
28969	5dd92f3a-f4a7-4459-ad13-0d08dfb36641	Honey Grove	Honey Grove	3	0	2013-09-09 01:43:03.305382+02	\N	\N	\N	\N	\N	\N	f	
28982	2204e0bc-1ae2-4a6d-86b6-0fc7a946b898	Comanche	Comanche	3	0	2013-09-09 01:46:44.59869+02	\N	\N	\N	\N	\N	\N	f	
29057	1677bd1b-7740-4e9e-81b0-59508ea6730c	Sanderson	Sanderson	3	0	2013-09-09 02:09:21.167385+02	\N	\N	\N	\N	\N	\N	f	
29183	ece4bf0f-f4f4-4303-9de6-2e9f4c841f8b	Ovilla	Ovilla	3	0	2013-09-09 02:59:22.694152+02	\N	\N	\N	\N	\N	\N	f	
29309	f53d8328-847d-4e6d-bab7-e3e6ce2b4030	Columbus	Columbus	3	0	2013-09-09 05:23:35.651693+02	\N	\N	\N	\N	\N	\N	f	
29406	c433c7bd-a0fa-447f-a523-8bb3072b1483	Bernau bei Berlin	Bernau bei Berlin	3	0	2013-09-09 08:45:14.751411+02	\N	\N	\N	\N	\N	\N	f	
11451	349666ad-a961-4946-bce0-122429e01cd1	Nyergesújfalu	Nyergesújfalu	3	0	2013-06-25 06:26:11.313074+02	\N	\N	\N	\N	\N	\N	f	
11467	fd3419d5-0168-4e04-9315-fed5b900508c	Solt	Solt	3	0	2013-06-25 06:29:31.61199+02	\N	\N	\N	\N	\N	\N	f	
11468	e6b78c11-6348-4e31-b46d-4910739155bb	Csenger	Csenger	3	0	2013-06-25 06:29:43.612939+02	\N	\N	\N	\N	\N	\N	f	
13948	785e0d55-b9e0-4146-895e-94933bfde030	Scandiano	Scandiano	4	0	2013-07-21 19:48:59.195769+02	\N	\N	\N	\N	\N	\N	f	
13958	a272971b-11ce-451f-b748-d6fe7fe53b43	Misano Adriatico	Misano Adriatico	4	0	2013-07-21 19:51:12.46357+02	\N	\N	\N	\N	\N	\N	f	
15646	ab671f26-4238-4143-a6d9-84b9d507fdbb	Anguillara Sabazia	Anguillara Sabazia	4	0	2013-07-22 01:31:53.297722+02	\N	\N	\N	\N	\N	\N	f	
14514	153c122a-8973-4caf-bce3-3a4f0edb7ee9	San Giorgio Monferrato	San Giorgio Monferrato	4	0	2013-07-21 21:55:15.980423+02	\N	\N	\N	\N	\N	\N	f	
14534	e40afb2a-4b71-49b2-b3b6-af9342ffd12f	Rosignano Monferrato	Rosignano Monferrato	4	0	2013-07-21 21:59:32.477656+02	\N	\N	\N	\N	\N	\N	f	
14609	b53cc059-336c-438d-89e1-876567554132	Moncalvo	Moncalvo	4	0	2013-07-21 22:16:29.471137+02	\N	\N	\N	\N	\N	\N	f	
16603	f5692e7f-59e0-40df-b523-dbee032a9b91	Belvì	Belvì	4	0	2013-07-22 03:53:50.421153+02	\N	\N	\N	\N	\N	\N	f	
14615	97093523-65dd-4d3a-ae40-388accb6ea2e	Revigliasco d'Asti	Revigliasco d'Asti	4	0	2013-07-21 22:17:55.881933+02	\N	\N	\N	\N	\N	\N	f	
14617	5bab8ed5-34c3-4048-9a89-c385387680e0	Sessame	Sessame	4	0	2013-07-21 22:18:20.071963+02	\N	\N	\N	\N	\N	\N	f	
17429	d0b0d3de-a820-4452-970e-668bf7fbdf3e	Landriano	Landriano	4	0	2013-07-22 06:26:18.074029+02	\N	\N	\N	\N	\N	\N	f	
17113	58f714f7-4487-4af2-a264-72581911aafa	Bronzolo	Bronzolo	4	0	2013-07-22 05:45:26.816233+02	\N	\N	\N	\N	\N	\N	f	
23225	6e55f28a-02f7-4612-a2bf-b05c48548f2a	Checotah, Oklahoma	Checotah, Oklahoma	3	0	2013-08-23 11:35:54.363296+02	\N	\N	\N	\N	\N	\N	f	
17127	87ab4312-92c9-4364-88e0-97f1190f11bc	Fordongianus	Fordongianus	4	0	2013-07-22 05:47:21.505593+02	\N	\N	\N	\N	\N	\N	f	
25788	cd31b77d-281c-4bcd-825d-cf2d7ac0a9b6	Springlee, Kentucky	Springlee, Kentucky	3	0	2013-09-07 14:38:57.270903+02	\N	\N	\N	\N	\N	\N	f	
23253	5a24698a-25d8-498c-86f9-244ccd11a3ba	Roosevelt	Roosevelt	3	0	2013-08-24 14:23:07.442129+02	\N	\N	\N	\N	\N	\N	f	
17128	6cafc9fb-0613-47e7-8f55-a58d88def54e	Ollastra	Ollastra	4	0	2013-07-22 05:47:30.893915+02	\N	\N	\N	\N	\N	\N	f	
18434	8e679717-0cff-4e7c-8ce6-31141ffa44e7	Guardamiglio	Guardamiglio	4	0	2013-07-22 08:28:31.677434+02	\N	\N	\N	\N	\N	\N	f	
19816	b65b27c2-df78-4f2d-94a8-0cd14c4e3f48	Monteroni di Lecce	Monteroni di Lecce	4	0	2013-07-22 11:40:31.658236+02	\N	\N	\N	\N	\N	\N	f	
18520	83d642a5-9955-4c3c-b224-9bd0b63618ac	Montegaldella	Montegaldella	4	0	2013-07-22 08:41:34.074569+02	\N	\N	\N	\N	\N	\N	f	
18591	ba74b45e-9755-4fc9-8682-8740e7e738dd	Caldiero	Caldiero	4	0	2013-07-22 08:49:50.954084+02	\N	\N	\N	\N	\N	\N	f	
18593	9982e224-8c80-4cbe-ad6d-b3a3ea029e16	Vedelago	Vedelago	4	0	2013-07-22 08:50:03.100496+02	\N	\N	\N	\N	\N	\N	f	
19980	ac1beee8-ac0d-4d69-9222-6a34c9a11067	Sarconi	Sarconi	4	0	2013-07-22 12:03:15.70593+02	\N	\N	\N	\N	\N	\N	f	
19318	c7e0e8d2-a441-4627-9354-2e5bb050a3a5	Mühlwald	Mühlwald	4	0	2013-07-22 10:20:13.798259+02	\N	\N	\N	\N	\N	\N	f	
24789	0354f630-b692-4c85-aaf7-9d75e3f4e049	La Porte City	La Porte City	3	0	2013-09-07 08:35:55.65042+02	\N	\N	\N	\N	\N	\N	f	
23352	94a76f9f-1bf1-4419-9750-ee9f41a4f783	Daniel	Daniel	3	0	2013-08-24 17:31:41.602792+02	\N	\N	\N	\N	\N	\N	f	
23401	b30b2545-b2cc-4fd5-b7d4-1dc204bb2347	Fitchburg	Fitchburg	3	0	2013-08-24 20:24:30.497561+02	\N	\N	\N	\N	\N	\N	f	
19513	d2f26f74-e069-40ea-92d8-80b042987d0b	Castilenti	Castilenti	4	0	2013-07-22 10:44:26.334381+02	\N	\N	\N	\N	\N	\N	f	
19524	d7a4dac6-eaf0-48ac-81b0-8eb9dcb74af0	Castel Castagna	Castel Castagna	4	0	2013-07-22 10:45:37.542203+02	\N	\N	\N	\N	\N	\N	f	
15207	e97d224e-fd4a-4681-849e-e35a718b3ede	Santo Stefano Roero	Santo Stefano Roero	4	0	2013-07-22 15:01:29.819098+02	\N	\N	\N	\N	\N	\N	f	
19544	f678e916-aaea-4952-9304-cb2022f9c117	Castiglione Messer Raimondo	Castiglione Messer Raimondo	4	0	2013-07-22 10:47:51.960546+02	\N	\N	\N	\N	\N	\N	f	
19614	9f7906c4-b5d2-4660-92dc-cccb411c812a	Ischitella	Ischitella	4	0	2013-07-22 11:03:33.631579+02	\N	\N	\N	\N	\N	\N	f	
20553	b8be514f-63d2-4059-b54b-cb8e7e058d95	Roghudi	Roghudi	4	0	2013-07-23 05:37:22.32194+02	\N	\N	\N	\N	\N	\N	f	
23447	deb11a93-38dd-4262-930b-3fe75ece7426	Hamina	Hamina	3	0	2013-08-25 23:31:23.570782+02	\N	\N	\N	\N	\N	\N	f	
24792	4f678082-168f-4768-91c7-4d57dcc76eda	Ruthven	Ruthven	3	0	2013-09-07 08:36:43.139795+02	\N	\N	\N	\N	\N	\N	f	
23479	17e73169-5acd-4f67-854f-ae1312430af9	Čadca	Čadca	3	0	2013-08-26 02:31:47.178267+02	\N	\N	\N	\N	\N	\N	f	
23557	399d47d6-4bcc-473e-acd4-1e72123b48b6	Dobšiná	Dobšiná	3	0	2013-08-26 14:29:36.357701+02	\N	\N	\N	\N	\N	\N	f	
22770	88be6424-748c-4f9d-8504-d2277e607508	Spadafora	Spadafora	4	0	2013-08-14 17:42:51.50056+02	\N	\N	\N	\N	\N	\N	f	
22793	f1b725dd-39fd-49e5-8bbf-e82230a6efe6	Cesarò	Cesarò	4	0	2013-08-14 17:48:05.868353+02	\N	\N	\N	\N	\N	\N	f	
26217	6de52150-827d-4e96-bfe1-418c9b31d926	Burkesville, Kentucky	Burkesville, Kentucky	3	0	2013-09-07 20:48:01.91493+02	\N	\N	\N	\N	\N	\N	f	
23098	e0d9631b-f8ba-4669-834a-56ce27f2ae91	O'Fallon	O'Fallon	3	0	2013-08-22 02:47:07.204066+02	\N	\N	\N	\N	\N	\N	f	
23579	6130ebcf-b8fc-4604-9fbb-cd38f7cd9bf3	Kremnica	Kremnica	3	0	2013-08-26 14:39:33.890443+02	\N	\N	\N	\N	\N	\N	f	
23167	44d74233-aff8-4866-bd32-6ae95ddc03b6	Svea, Minnesota	Svea, Minnesota	3	0	2013-08-22 05:41:10.931027+02	\N	\N	\N	\N	\N	\N	f	
24821	eba9d6c6-08f1-4ed3-98eb-92379e6edd2f	Elkhart	Elkhart	3	0	2013-09-07 08:44:09.399248+02	\N	\N	\N	\N	\N	\N	f	
23173	7b794382-19d6-4adb-a66c-98b1f3ba71a3	Woodbury	Woodbury	3	0	2013-08-22 05:46:36.813393+02	\N	\N	\N	\N	\N	\N	f	
23620	bfaeca68-243c-47ed-9122-8de8ed87964e	Plzeň	Plzeň	3	0	2013-08-26 17:31:52.763217+02	\N	\N	\N	\N	\N	\N	f	
25791	c5f58172-54ad-4d09-b1b3-24fa724be3f4	Benton, Kentucky	Benton, Kentucky	3	0	2013-09-07 14:39:41.003993+02	\N	\N	\N	\N	\N	\N	f	
11730	ebcdbc04-759a-4caa-9cd0-5130e33c25f9	Higashi-ku	Higashi-ku	5	0	2013-08-27 14:43:57.691098+02	\N	\N	\N	\N	\N	\N	f	
24694	5d0f6f13-6535-41c6-a487-ff9b73923826	Warrenville	Warrenville	3	0	2013-09-07 08:12:15.572457+02	\N	\N	\N	\N	\N	\N	f	
25224	3701757b-3c93-46a8-8157-a7e6757f3570	Farnhamville	Farnhamville	3	0	2013-09-07 10:45:22.108101+02	\N	\N	\N	\N	\N	\N	f	
25772	576f6535-6cb4-490f-a5d1-97cbeebd6dba	Bison, Kansas	Bison, Kansas	3	0	2013-09-07 14:35:00.678567+02	\N	\N	\N	\N	\N	\N	f	
25792	e796c44b-43d7-4b1d-ae7e-055dd5b59d79	Larned, Kansas	Larned, Kansas	3	0	2013-09-07 14:39:55.3312+02	\N	\N	\N	\N	\N	\N	f	
25776	34ac2f1e-11e1-43fe-9c11-a47cdc68e91b	Mound Valley, Kansas	Mound Valley, Kansas	3	0	2013-09-07 14:35:59.412926+02	\N	\N	\N	\N	\N	\N	f	
26913	5d2ea151-d1cf-49dd-9671-6e4eb70c453b	Sullivan	Sullivan	3	0	2013-09-08 03:59:03.530621+02	\N	\N	\N	\N	\N	\N	f	
26541	f6207981-5706-46f7-9612-7c4f2f4c938e	Jamestown, Kansas	Jamestown, Kansas	3	0	2013-09-08 01:02:55.605374+02	\N	\N	\N	\N	\N	\N	f	
25796	90bb4656-b28d-4ce5-b6dd-c67afe1470eb	Sawyer, Kansas	Sawyer, Kansas	3	0	2013-09-07 14:41:00.551591+02	\N	\N	\N	\N	\N	\N	f	
26892	66c1448e-fb25-4b6c-93a5-19310af31d80	Grain Valley	Grain Valley	3	0	2013-09-08 03:53:42.622027+02	\N	\N	\N	\N	\N	\N	f	
26542	1946ddfa-8327-4546-86ab-91e90a71ec3e	West Monroe, Louisiana	West Monroe, Louisiana	3	0	2013-09-08 01:03:17.11026+02	\N	\N	\N	\N	\N	\N	f	
26910	633878e9-7928-4874-8bba-c9dd50636475	Bunker	Bunker	3	0	2013-09-08 03:58:18.015549+02	\N	\N	\N	\N	\N	\N	f	
27303	a14b8bdb-ed57-4bf7-86af-1a3fd8258dda	Clyde, Ohio	Clyde, Ohio	3	0	2013-09-08 07:23:01.228357+02	\N	\N	\N	\N	\N	\N	f	
26971	b597a83a-7dd6-4c70-ac62-9e6526dc6609	Plainview	Plainview	3	0	2013-09-08 04:14:35.190591+02	\N	\N	\N	\N	\N	\N	f	
27633	4015ac2b-3384-4cd9-81c3-52f06c830397	Pingree, North Dakota	Pingree, North Dakota	3	0	2013-09-08 09:03:02.619691+02	\N	\N	\N	\N	\N	\N	f	
27990	ac48c47f-fb64-44ac-881d-df5c41d1c464	Mount Dora	Mount Dora	3	0	2013-09-08 11:55:27.996031+02	\N	\N	\N	\N	\N	\N	f	
28000	cfa2fa39-a189-4542-912a-e18394548f6d	Clark Fork	Clark Fork	3	0	2013-09-08 11:57:52.964118+02	\N	\N	\N	\N	\N	\N	f	
28009	a62378c4-5469-4d67-bd89-4746ba8c25fc	Moraine	Moraine	3	0	2013-09-08 12:00:12.423022+02	\N	\N	\N	\N	\N	\N	f	
28242	8cbefdaa-bfdc-464d-a083-4489c9a4671b	Marion, South Carolina	Marion, South Carolina	3	0	2013-09-08 15:35:15.167661+02	\N	\N	\N	\N	\N	\N	f	
28435	9ad2d643-eecd-4205-b749-9e8111fcee81	Newport, Tennessee	Newport, Tennessee	3	0	2013-09-08 17:24:35.749381+02	\N	\N	\N	\N	\N	\N	f	
28677	7e8e67bb-897f-4cd4-b725-599d39333677	Lebanon	Lebanon	3	0	2013-09-08 23:19:11.523105+02	\N	\N	\N	\N	\N	\N	f	
11452	7ec7be13-3932-4d79-8843-96d445aa3e8d	Letenye	Letenye	3	0	2013-06-25 06:26:23.107009+02	\N	\N	\N	\N	\N	\N	f	
13949	5ab757ca-3dfd-4bd2-a1f1-cb9a585a0ad4	Roncadelle	Roncadelle	4	0	2013-07-21 19:49:24.062387+02	\N	\N	\N	\N	\N	\N	f	
11453	27c0d501-12f7-4b16-b626-bc10bce9cfc7	Lenti	Lenti	3	0	2013-06-25 06:26:34.919197+02	\N	\N	\N	\N	\N	\N	f	
11454	20c3a7c4-5a52-4bc5-999f-0173201ea169	Szerencs	Szerencs	3	0	2013-06-25 06:26:48.11564+02	\N	\N	\N	\N	\N	\N	f	
11455	01843f3a-67a9-43a1-b948-ddd927cd484f	Gyömrő	Gyömrő	3	0	2013-06-25 06:26:59.968494+02	\N	\N	\N	\N	\N	\N	f	
14515	63f25b30-4907-484c-90b9-06a46d2b0aad	Vignole Borbera	Vignole Borbera	4	0	2013-07-21 21:55:28.119329+02	\N	\N	\N	\N	\N	\N	f	
11456	37ded5d9-6779-4ae4-ae7d-2e4ec89c32a6	Bátonyterenye	Bátonyterenye	3	0	2013-06-25 06:27:12.287972+02	\N	\N	\N	\N	\N	\N	f	
11457	ab7f6783-1a7d-4479-bc23-3bb151693e52	Szécsény	Szécsény	3	0	2013-06-25 06:27:24.919813+02	\N	\N	\N	\N	\N	\N	f	
11458	de92335c-632c-4416-99cf-e15b9f8b353f	Ibrány	Ibrány	3	0	2013-06-25 06:27:37.179768+02	\N	\N	\N	\N	\N	\N	f	
14579	5037aa0c-c377-4ba3-b8da-f89ef30bbc1b	Castel Rocchero	Castel Rocchero	4	0	2013-07-21 22:09:32.310515+02	\N	\N	\N	\N	\N	\N	f	
11459	c6cbbfc1-87e8-41db-8562-9e16b15fb63a	Bábolna	Bábolna	3	0	2013-06-25 06:27:48.915155+02	\N	\N	\N	\N	\N	\N	f	
11460	c29bdc80-b026-46b5-888a-0eeff972a0b3	Dabas	Dabas	3	0	2013-06-25 06:28:00.889652+02	\N	\N	\N	\N	\N	\N	f	
15647	f6386bf6-a742-4904-af38-54618cd4c538	Artena	Artena	4	0	2013-07-22 01:32:04.979295+02	\N	\N	\N	\N	\N	\N	f	
11476	a51228d8-5a30-4ebc-ad92-9e3965a0c752	Kistelek	Kistelek	3	0	2013-06-25 06:31:20.36871+02	\N	\N	\N	\N	\N	\N	f	
15034	53f80300-023b-4374-b26a-6b96f1797177	Niella Tanaro	Niella Tanaro	4	0	2013-07-21 23:39:36.938215+02	\N	\N	\N	\N	\N	\N	f	
11490	eb010060-a8c6-4a11-8f1b-ec2202978ea2	Nyékládháza	Nyékládháza	3	0	2013-06-25 06:35:03.644601+02	\N	\N	\N	\N	\N	\N	f	
11491	6a5526a5-98c6-4795-9897-2daa017cb002	Hajdúsámson	Hajdúsámson	3	0	2013-06-25 06:35:18.133657+02	\N	\N	\N	\N	\N	\N	f	
11503	45529337-6e76-4ba6-b4f5-31f2123e3dd7	Kunhegyes	Kunhegyes	3	0	2013-06-25 06:38:34.814244+02	\N	\N	\N	\N	\N	\N	f	
15167	dd1f7c39-1062-4f1c-9542-2bcad93cb794	Monte Santa Maria Tiberina	Monte Santa Maria Tiberina	4	0	2013-07-21 23:55:49.426124+02	\N	\N	\N	\N	\N	\N	f	
22772	b64b27b1-6a50-4d73-9986-b8efc01a350d	Fiumedinisi	Fiumedinisi	4	0	2013-08-14 17:43:17.538314+02	\N	\N	\N	\N	\N	\N	f	
15672	46a4fd6a-f896-4bb7-b62f-5f29c785b81a	Mazzano Romano	Mazzano Romano	4	0	2013-07-22 01:37:12.618348+02	\N	\N	\N	\N	\N	\N	f	
17431	af4cc0d7-95c4-47ea-a122-ef2e9d982257	Villa di Chiavenna	Villa di Chiavenna	4	0	2013-07-22 06:26:32.632707+02	\N	\N	\N	\N	\N	\N	f	
15717	ba606a0a-0536-4976-82bc-c54e65088c69	Morlupo	Morlupo	4	0	2013-07-22 01:47:20.630029+02	\N	\N	\N	\N	\N	\N	f	
15740	eaf085a0-5ae5-4ad1-ae7a-671293950f56	Poli, Lazio	Poli, Lazio	4	0	2013-07-22 01:52:13.326725+02	\N	\N	\N	\N	\N	\N	f	
19398	db5a6739-df78-4022-8eba-c6eb2a3ff19a	Pretoro	Pretoro	4	0	2013-07-22 10:30:12.704093+02	\N	\N	\N	\N	\N	\N	f	
15746	9b6783fa-0cf1-49a1-be40-d3c4b6f045f4	Bene Lario	Bene Lario	4	0	2013-07-22 01:53:40.627961+02	\N	\N	\N	\N	\N	\N	f	
16604	cf47f536-9c07-4868-962f-651edd7d49f4	Noragugume	Noragugume	4	0	2013-07-22 03:53:59.320785+02	\N	\N	\N	\N	\N	\N	f	
16611	b1cd4e2b-5e96-4cb1-b49d-61af017f444a	Gavoi	Gavoi	4	0	2013-07-22 03:54:48.79431+02	\N	\N	\N	\N	\N	\N	f	
17116	9566edf5-e70a-4bbf-b259-12e002c169f4	Baressa	Baressa	4	0	2013-07-22 05:45:45.342784+02	\N	\N	\N	\N	\N	\N	f	
17579	3c3acdb3-c259-4fcb-8265-b4cdf03fb0c6	Chiavenna	Chiavenna	4	0	2013-07-22 06:45:03.821296+02	\N	\N	\N	\N	\N	\N	f	
17143	5e2b55ad-b57d-499a-bf6a-0487fe38ca1e	Genoni	Genoni	4	0	2013-07-22 05:49:18.627236+02	\N	\N	\N	\N	\N	\N	f	
20572	6fb75d55-0a2d-42f0-81bf-86ceb7bb5d11	Limbadi	Limbadi	4	0	2013-07-23 05:41:24.323451+02	\N	\N	\N	\N	\N	\N	f	
17737	8dc331b0-c069-4f07-80d2-71b045a4233f	Galliate Lombardo	Galliate Lombardo	4	0	2013-07-22 07:04:25.5071+02	\N	\N	\N	\N	\N	\N	f	
23168	74abc4e9-0a1b-459d-9f26-30aad6e550fb	St. Leo, Minnesota	St. Leo, Minnesota	3	0	2013-08-22 05:41:45.128592+02	\N	\N	\N	\N	\N	\N	f	
17738	10c1626b-a1a7-4362-a529-3d6860e38531	Luvinate	Luvinate	4	0	2013-07-22 07:04:26.151254+02	\N	\N	\N	\N	\N	\N	f	
19818	5ea6f3fb-55f7-4995-9d51-219096fa6a0c	Sanarica	Sanarica	4	0	2013-07-22 11:40:55.418204+02	\N	\N	\N	\N	\N	\N	f	
17744	72f627a1-ad05-4257-b775-a7326e0a998c	Caronno Pertusella	Caronno Pertusella	4	0	2013-07-22 07:05:30.1197+02	\N	\N	\N	\N	\N	\N	f	
17755	7f1e5ee7-8aca-4234-9c45-6339222942ac	Cislago	Cislago	4	0	2013-07-22 07:06:46.226796+02	\N	\N	\N	\N	\N	\N	f	
17768	895db9ed-884c-476c-9940-37a63bf06e47	Giussano	Giussano	4	0	2013-07-22 07:08:07.690154+02	\N	\N	\N	\N	\N	\N	f	
19827	c0a8cdc8-ce6f-406b-863b-c9e187690dc4	Surano	Surano	4	0	2013-07-22 11:43:00.588613+02	\N	\N	\N	\N	\N	\N	f	
17784	c8d3d4aa-d8b5-4ac2-bac4-1bbea4c2e78a	Seveso	Seveso	4	0	2013-07-22 07:09:56.074128+02	\N	\N	\N	\N	\N	\N	f	
18436	a460b952-68a6-47f0-ac9b-b8982107bdda	Castiraga Vidardo	Castiraga Vidardo	4	0	2013-07-22 08:28:47.084251+02	\N	\N	\N	\N	\N	\N	f	
22774	a6e24eb6-0da9-4b22-9ed2-0230e1dd8481	Librizzi	Librizzi	4	0	2013-08-14 17:43:43.927831+02	\N	\N	\N	\N	\N	\N	f	
18579	d7ffaf69-73ef-4538-b8a4-9c6ea1aeae00	Noventa Vicentina	Noventa Vicentina	4	0	2013-07-22 08:48:23.494281+02	\N	\N	\N	\N	\N	\N	f	
19926	d9cbb9eb-1cba-456b-aeed-9aea8c722959	Bella, Basilicata	Bella, Basilicata	4	0	2013-07-22 11:56:02.630178+02	\N	\N	\N	\N	\N	\N	f	
18580	019065ad-2d67-4f94-9aa4-65f1017205e6	Rossano Veneto	Rossano Veneto	4	0	2013-07-22 08:48:33.78669+02	\N	\N	\N	\N	\N	\N	f	
20573	ab27bae7-d885-4fd0-843e-78f6786d3af6	Stilo	Stilo	4	0	2013-07-23 05:41:36.487122+02	\N	\N	\N	\N	\N	\N	f	
19958	d7d6cc7f-2efa-40b0-a345-4c94acff3c00	Fardella, Basilicata	Fardella, Basilicata	4	0	2013-07-22 11:59:53.043482+02	\N	\N	\N	\N	\N	\N	f	
20044	dea5db6b-44b7-41de-806e-d80149a30827	Sant'Agata sul Santerno	Sant'Agata sul Santerno	4	0	2013-07-22 12:12:09.552738+02	\N	\N	\N	\N	\N	\N	f	
20554	829e7885-27dd-4250-ae42-3319b70b5082	Melito di Porto Salvo	Melito di Porto Salvo	4	0	2013-07-23 05:37:34.856134+02	\N	\N	\N	\N	\N	\N	f	
20593	6c89699b-f31c-4c59-84ab-88b7cfd6d220	Acquaro	Acquaro	4	0	2013-07-23 05:45:37.080576+02	\N	\N	\N	\N	\N	\N	f	
20559	40ff5de8-f663-4981-af7a-3390dce314d3	San Giorgio Morgeto	San Giorgio Morgeto	4	0	2013-07-23 05:38:35.423146+02	\N	\N	\N	\N	\N	\N	f	
22779	371235c8-8fc3-4550-b4b7-b2f1b54f8bec	Antillo	Antillo	4	0	2013-08-14 17:44:52.255401+02	\N	\N	\N	\N	\N	\N	f	
20596	740cf23e-cfce-42ce-b4ea-830974462cbe	Siderno	Siderno	4	0	2013-07-23 05:46:12.537171+02	\N	\N	\N	\N	\N	\N	f	
23101	f3ba6ec9-f601-439c-9988-25d789912c2b	Clayton	Clayton	3	0	2013-08-22 02:48:15.096816+02	\N	\N	\N	\N	\N	\N	f	
23172	66889f5e-d8e2-4518-a57c-96504f2cf80a	Springfield	Springfield	3	0	2013-08-22 05:44:29.997954+02	\N	\N	\N	\N	\N	\N	f	
23103	b0f66704-4980-4425-b670-df7988f3c93b	Maple Grove	Maple Grove	3	0	2013-08-22 02:49:45.199247+02	\N	\N	\N	\N	\N	\N	f	
23402	3bb914a5-8f7e-4b75-a857-98e50344f5d4	Mosinee	Mosinee	3	0	2013-08-24 20:24:44.24028+02	\N	\N	\N	\N	\N	\N	f	
23254	783bc788-ca8f-4d30-81a1-b59cf679fe67	Parowan	Parowan	3	0	2013-08-24 14:23:31.836309+02	\N	\N	\N	\N	\N	\N	f	
23353	832168a8-dc3c-4679-a97a-4978f61ee240	Santa Clara	Santa Clara	3	0	2013-08-24 17:31:55.824944+02	\N	\N	\N	\N	\N	\N	f	
23410	774500d6-1b4f-4e11-8c39-619fd0c1bfba	Wautoma, Wisconsin	Wautoma, Wisconsin	3	0	2013-08-24 20:35:38.843378+02	\N	\N	\N	\N	\N	\N	f	
23449	ceb119fb-5d11-4c9c-b605-20ebcdddc512	Riihimäki	Riihimäki	3	0	2013-08-25 23:32:26.004936+02	\N	\N	\N	\N	\N	\N	f	
23480	1d459ef3-6d86-4720-a7c6-ab8ea950a022	Kolárovo	Kolárovo	3	0	2013-08-26 02:32:22.462414+02	\N	\N	\N	\N	\N	\N	f	
23486	f1a2eea7-9e5f-4a34-9310-57fd712cb17d	Akaa	Akaa	3	0	2013-08-26 02:34:30.40085+02	\N	\N	\N	\N	\N	\N	f	
23558	3736d775-512c-4169-a31c-183530c31399	Liptovský Hrádok	Liptovský Hrádok	3	0	2013-08-26 14:30:38.224549+02	\N	\N	\N	\N	\N	\N	f	
23576	0ca25c4e-f4e7-47b6-aff5-777bb0f86e0a	Leopoldov	Leopoldov	3	0	2013-08-26 14:38:36.709244+02	\N	\N	\N	\N	\N	\N	f	
23582	4d453786-5f7c-4ed4-8c33-7e8ac94aa478	Vranov nad Topľou	Vranov nad Topľou	3	0	2013-08-26 14:41:35.931574+02	\N	\N	\N	\N	\N	\N	f	
23583	909d7c7c-193f-4253-8548-2cfb9e44fd1d	Vrútky	Vrútky	3	0	2013-08-26 14:41:49.765518+02	\N	\N	\N	\N	\N	\N	f	
23622	fa083fd0-a55d-4d32-a5c5-05de83523e30	Přerov	Přerov	3	0	2013-08-26 17:32:33.2581+02	\N	\N	\N	\N	\N	\N	f	
11735	f6079167-fb3f-43f4-965d-f317772159a6	Atsubetsu-ku	Atsubetsu-ku	5	0	2013-08-27 14:43:59.469317+02	\N	\N	\N	\N	\N	\N	f	
24696	46ec71db-bfef-4317-b1b0-601f4339e0d0	Benld	Benld	3	0	2013-09-07 08:12:42.921002+02	\N	\N	\N	\N	\N	\N	f	
11461	36685147-73a8-4e5c-b097-1e7ce786b43f	Kerekegyháza	Kerekegyháza	3	0	2013-06-25 06:28:12.892277+02	\N	\N	\N	\N	\N	\N	f	
11462	5c5ff968-b65e-4cec-8d1f-8c2fb6301461	Dunaharaszti	Dunaharaszti	3	0	2013-06-25 06:28:24.858005+02	\N	\N	\N	\N	\N	\N	f	
11463	ee6f30c6-ac32-4791-a623-ab0168020269	Soltvadkert	Soltvadkert	3	0	2013-06-25 06:28:36.857117+02	\N	\N	\N	\N	\N	\N	f	
13950	d749a15e-abb1-4116-b035-754163ffb6f6	Provaglio Val Sabbia	Provaglio Val Sabbia	4	0	2013-07-21 19:49:36.412612+02	\N	\N	\N	\N	\N	\N	f	
11465	3fda3d9a-92b6-4722-99ea-8e6e8b97f6d6	Mezőtúr	Mezőtúr	3	0	2013-06-25 06:29:07.981811+02	\N	\N	\N	\N	\N	\N	f	
11482	3d741406-fbc7-4a7e-b06b-a65ab7fcbc3e	Tiszafüred	Tiszafüred	3	0	2013-06-25 06:33:16.704585+02	\N	\N	\N	\N	\N	\N	f	
11489	e65b6623-d85c-405b-8287-001dceac8b27	Hajdúhadház	Hajdúhadház	3	0	2013-06-25 06:34:51.362209+02	\N	\N	\N	\N	\N	\N	f	
14516	33825ba1-017d-4752-a948-798b19d36b5e	Solonghello	Solonghello	4	0	2013-07-21 21:55:40.302455+02	\N	\N	\N	\N	\N	\N	f	
11505	c508de05-7e9c-4982-bf96-78dbd27a4f03	Lábatlan	Lábatlan	3	0	2013-06-25 06:39:03.514227+02	\N	\N	\N	\N	\N	\N	f	
11507	16a7b57f-3fb4-4309-bab2-33eab930b6f5	Nagybajom	Nagybajom	3	0	2013-06-25 06:39:27.030837+02	\N	\N	\N	\N	\N	\N	f	
15650	d5925cf7-2474-4e85-94ad-dd5764a4771e	Anticoli Corrado	Anticoli Corrado	4	0	2013-07-22 01:32:39.832015+02	\N	\N	\N	\N	\N	\N	f	
11508	2d80c8d1-5fdf-4051-9eff-46cf73b2f07b	Nagyecsed	Nagyecsed	3	0	2013-06-25 06:39:38.729215+02	\N	\N	\N	\N	\N	\N	f	
14538	4bb80a0c-2e50-421c-b9b0-6d8433678a58	Silvano d'Orba	Silvano d'Orba	4	0	2013-07-21 22:00:38.183674+02	\N	\N	\N	\N	\N	\N	f	
11510	403f0cf6-6269-451a-96a3-d19bbf1f2a56	Polgárdi	Polgárdi	3	0	2013-06-25 06:40:02.922532+02	\N	\N	\N	\N	\N	\N	f	
15036	0bba3c35-850c-4cd7-955e-f593763a505b	Niella Belbo	Niella Belbo	4	0	2013-07-21 23:39:50.965804+02	\N	\N	\N	\N	\N	\N	f	
23105	f3824e25-118d-45d3-9506-ca49b2fd89fa	Coon Rapids	Coon Rapids	3	0	2013-08-22 02:50:17.8215+02	\N	\N	\N	\N	\N	\N	f	
16606	2ff131a7-d5d8-4965-af93-afde458a2529	Mamoiada	Mamoiada	4	0	2013-07-22 03:54:12.806223+02	\N	\N	\N	\N	\N	\N	f	
17432	5f48436d-4252-494b-80c5-2fff6818e225	Villa di Tirano	Villa di Tirano	4	0	2013-07-22 06:26:44.182587+02	\N	\N	\N	\N	\N	\N	f	
16616	63987a44-476d-4548-8993-0c06f9bec66f	Orani, Sardinia	Orani, Sardinia	4	0	2013-07-22 03:55:25.602174+02	\N	\N	\N	\N	\N	\N	f	
17117	7ff22ef1-ba0e-4a1c-94f7-df8e796c85a9	Kurtinig an der Weinstraße	Kurtinig an der Weinstraße	4	0	2013-07-22 05:45:55.124775+02	\N	\N	\N	\N	\N	\N	f	
19620	9013d899-34ef-4c14-a1c1-238f60bca137	Rodi Garganico	Rodi Garganico	4	0	2013-07-22 11:05:26.75431+02	\N	\N	\N	\N	\N	\N	f	
17183	8128b3e6-6a2c-4c1d-85b0-66ab4dc4a875	Cinisi	Cinisi	4	0	2013-07-22 05:54:43.561242+02	\N	\N	\N	\N	\N	\N	f	
17545	9b01ed29-368a-4c72-b5ae-8931ce4ea84c	Albosaggia	Albosaggia	4	0	2013-07-22 06:40:28.567293+02	\N	\N	\N	\N	\N	\N	f	
19821	602e7950-4d3f-4ba5-bc9e-e210dd228ab5	Novoli	Novoli	4	0	2013-07-22 11:41:34.283682+02	\N	\N	\N	\N	\N	\N	f	
18437	952ed27c-0028-4615-acbf-b87b85f4a3f7	Gadesco-Pieve Delmona	Gadesco-Pieve Delmona	4	0	2013-07-22 08:28:51.096049+02	\N	\N	\N	\N	\N	\N	f	
19340	f1475db0-aaa4-4f8a-b2cf-3cc95d6df771	Truden im Naturpark	Truden im Naturpark	4	0	2013-07-22 10:22:44.40649+02	\N	\N	\N	\N	\N	\N	f	
23169	f525876d-c2db-4dcd-9250-ac39cced9e4e	Orono, Minnesota	Orono, Minnesota	3	0	2013-08-22 05:43:18.92113+02	\N	\N	\N	\N	\N	\N	f	
19386	134eb343-da8b-4bea-84e1-970065a770dc	Fossacesia	Fossacesia	4	0	2013-07-22 10:28:33.478115+02	\N	\N	\N	\N	\N	\N	f	
19835	52689e5d-c107-4e64-b03c-330fec33844d	Neviano	Neviano	4	0	2013-07-22 11:44:31.928034+02	\N	\N	\N	\N	\N	\N	f	
19418	6f49f5f3-122d-4cbb-ba88-5e310d5e7af7	Schiavi di Abruzzo	Schiavi di Abruzzo	4	0	2013-07-22 10:32:24.6321+02	\N	\N	\N	\N	\N	\N	f	
19420	601c4c89-249f-4b73-bc87-d5154db73cb1	Scerni	Scerni	4	0	2013-07-22 10:32:39.229656+02	\N	\N	\N	\N	\N	\N	f	
19844	58be7f05-94e6-41d0-bbe5-4e24f96f1805	Montignoso	Montignoso	4	0	2013-07-22 11:45:44.783618+02	\N	\N	\N	\N	\N	\N	f	
19445	9bade97f-9ce0-4bf5-9fec-73d599463f36	Rapino	Rapino	4	0	2013-07-22 10:35:50.992063+02	\N	\N	\N	\N	\N	\N	f	
19543	cfbd4f75-081f-47d3-b1f3-706e61d4d531	Penna Sant'Andrea	Penna Sant'Andrea	4	0	2013-07-22 10:47:50.954956+02	\N	\N	\N	\N	\N	\N	f	
23256	0158d3f0-6917-4754-8a08-8105bbb1ec35	Moab	Moab	3	0	2013-08-24 14:24:10.521872+02	\N	\N	\N	\N	\N	\N	f	
19546	09aa4040-c551-4555-a971-e4c9515784c7	Tortoreto	Tortoreto	4	0	2013-07-22 10:48:16.288183+02	\N	\N	\N	\N	\N	\N	f	
19863	c7900537-b127-4340-8e9b-d13c8b9fccba	Uggiano la Chiesa	Uggiano la Chiesa	4	0	2013-07-22 11:48:04.546994+02	\N	\N	\N	\N	\N	\N	f	
19548	d6cb1490-f80d-4c21-a091-8c43656a6e74	Castellana Grotte	Castellana Grotte	4	0	2013-07-22 10:48:50.898246+02	\N	\N	\N	\N	\N	\N	f	
19586	397ab1fd-1e68-4792-9d01-b3a331013b82	San Pietro Vernotico	San Pietro Vernotico	4	0	2013-07-22 10:57:45.568748+02	\N	\N	\N	\N	\N	\N	f	
24708	31e8cfaf-94b0-4575-a156-1d5da3b975bd	Herrin	Herrin	3	0	2013-09-07 08:15:35.877716+02	\N	\N	\N	\N	\N	\N	f	
19600	2b78b758-96ab-4d61-a1c1-6f69d9f22423	Casalvecchio di Puglia	Casalvecchio di Puglia	4	0	2013-07-22 11:00:31.941828+02	\N	\N	\N	\N	\N	\N	f	
20555	3994fb13-acca-449c-9e97-4f78c6abba00	Portigliola	Portigliola	4	0	2013-07-23 05:37:47.079776+02	\N	\N	\N	\N	\N	\N	f	
23559	628625bd-a4cc-4fb8-8143-06d1a3da5ad2	Tisovec	Tisovec	3	0	2013-08-26 14:31:12.596717+02	\N	\N	\N	\N	\N	\N	f	
20556	b08ca4cd-81af-4bef-9bf9-6314db743b30	Palmi	Palmi	4	0	2013-07-23 05:37:59.232601+02	\N	\N	\N	\N	\N	\N	f	
23354	2f1c2f2b-211d-4e09-84a4-510a27377037	Clearfield	Clearfield	3	0	2013-08-24 17:32:11.996889+02	\N	\N	\N	\N	\N	\N	f	
20574	bfd64405-b364-4693-9f50-2be0c971e03f	Drapia	Drapia	4	0	2013-07-23 05:41:48.548536+02	\N	\N	\N	\N	\N	\N	f	
20592	65dd036e-6eeb-4bfd-b9dd-e42f45ec1547	Jonadi	Jonadi	4	0	2013-07-23 05:45:25.037276+02	\N	\N	\N	\N	\N	\N	f	
23403	c8f8c7c3-5c38-4a6d-85e7-120b3913b137	Stoughton	Stoughton	3	0	2013-08-24 20:24:59.403183+02	\N	\N	\N	\N	\N	\N	f	
22773	852c1850-9883-4dfc-a590-4ee5a9021c83	Gioiosa Marea	Gioiosa Marea	4	0	2013-08-14 17:43:30.628253+02	\N	\N	\N	\N	\N	\N	f	
23593	59d21ebc-a02d-4df5-83a8-26acf5dd162e	Sečovce	Sečovce	3	0	2013-08-26 14:44:13.130029+02	\N	\N	\N	\N	\N	\N	f	
23409	fb1f06e5-5874-47d3-96cb-3d997275a526	Manitowoc, Wisconsin	Manitowoc, Wisconsin	3	0	2013-08-24 20:35:19.447902+02	\N	\N	\N	\N	\N	\N	f	
23451	7b96f9fc-f197-44c8-b721-b2d5c44106fd	Levice	Levice	3	0	2013-08-25 23:33:27.419802+02	\N	\N	\N	\N	\N	\N	f	
24718	994db57a-8085-4f2c-971b-bc69b4a055ad	Blue Island	Blue Island	3	0	2013-09-07 08:17:32.073319+02	\N	\N	\N	\N	\N	\N	f	
23481	6e9602ae-4755-4613-8040-e6231b676ddd	Nové Mesto nad Váhom	Nové Mesto nad Váhom	3	0	2013-08-26 02:32:43.172496+02	\N	\N	\N	\N	\N	\N	f	
23623	f4ee196b-4c6e-40d7-8750-a5be9eb357a6	Prostějov	Prostějov	3	0	2013-08-26 17:32:48.459037+02	\N	\N	\N	\N	\N	\N	f	
11703	bfdbb7a9-41f4-40c3-ab1b-993c68afaf76	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:45:01.690378+02	\N	\N	\N	\N	\N	\N	f	
24698	1125f237-b8ea-4040-9744-90c1ab48a323	New Boston	New Boston	3	0	2013-09-07 08:13:10.175878+02	\N	\N	\N	\N	\N	\N	f	
24786	c305dd86-e8b0-4808-a609-e79403b0e4da	Greenville	Greenville	3	0	2013-09-07 08:34:59.834889+02	\N	\N	\N	\N	\N	\N	f	
24722	64112b2c-bc44-4018-907a-396ab09a1cb1	Batavia	Batavia	3	0	2013-09-07 08:18:00.974466+02	\N	\N	\N	\N	\N	\N	f	
25251	b2f6ab23-bd8e-4cb8-a2d4-ac9b24f9a2fd	Dawson	Dawson	3	0	2013-09-07 10:52:35.861747+02	\N	\N	\N	\N	\N	\N	f	
24781	4306a12f-90ed-4238-9c10-4fa99e1d83f6	Nichols, Iowa	Nichols, Iowa	3	0	2013-09-07 08:33:27.543618+02	\N	\N	\N	\N	\N	\N	f	
25249	f00a52d6-720e-4260-9f50-cb2a0c1b9f6b	Farmington	Farmington	3	0	2013-09-07 10:52:03.608236+02	\N	\N	\N	\N	\N	\N	f	
24790	b185f6dd-9e4d-422b-8abc-a5a411fe9a9a	Sibley	Sibley	3	0	2013-09-07 08:36:12.180387+02	\N	\N	\N	\N	\N	\N	f	
25225	303f9766-f239-42bc-a954-40ca3ae6264b	Edgewood	Edgewood	3	0	2013-09-07 10:45:37.954027+02	\N	\N	\N	\N	\N	\N	f	
25774	6dd1c336-d19f-4426-9441-6b743820c4e2	Lakeview Heights, Kentucky	Lakeview Heights, Kentucky	3	0	2013-09-07 14:35:29.933021+02	\N	\N	\N	\N	\N	\N	f	
26218	1c5fb3b6-fdf6-4942-8284-e2b63593d3eb	Rochester	Rochester	3	0	2013-09-07 20:48:16.818636+02	\N	\N	\N	\N	\N	\N	f	
26301	ca0b890f-e9fa-440e-af9d-e2a78f59668a	Morning Sun, Iowa	Morning Sun, Iowa	3	0	2013-09-07 21:11:58.963035+02	\N	\N	\N	\N	\N	\N	f	
26543	89456a93-e84b-4440-922b-1fafe0987084	Westwood, Iowa	Westwood, Iowa	3	0	2013-09-08 01:03:37.332938+02	\N	\N	\N	\N	\N	\N	f	
26894	f1efc9ca-ee7b-4bcb-aa00-02feeb4d2597	Potosi	Potosi	3	0	2013-09-08 03:54:12.22217+02	\N	\N	\N	\N	\N	\N	f	
26934	1114b954-6ebc-41d7-878f-feb721a22a97	Bucklin	Bucklin	3	0	2013-09-08 04:05:30.55837+02	\N	\N	\N	\N	\N	\N	f	
26942	1a2883ea-b9fa-43c2-afe2-da48a399994b	Pawnee City	Pawnee City	3	0	2013-09-08 04:07:32.958125+02	\N	\N	\N	\N	\N	\N	f	
11464	96ae046a-a36d-4474-b07e-abc2832fa411	Szikszó	Szikszó	3	0	2013-06-25 06:28:48.933586+02	\N	\N	\N	\N	\N	\N	f	
11466	3f2aeab8-e1ac-4689-b7bc-e22402f75dc3	Kecel	Kecel	3	0	2013-06-25 06:29:19.777545+02	\N	\N	\N	\N	\N	\N	f	
11469	70c9ae12-17a3-4c72-8350-36ee0004b558	Csurgó	Csurgó	3	0	2013-06-25 06:29:55.701043+02	\N	\N	\N	\N	\N	\N	f	
13951	cc2babbe-ed56-46e7-9931-b89d10c27608	Sellero	Sellero	4	0	2013-07-21 19:49:48.461559+02	\N	\N	\N	\N	\N	\N	f	
11470	ece01cc2-d21a-4bf4-ae84-0724a2336625	Vésztő	Vésztő	3	0	2013-06-25 06:30:07.665727+02	\N	\N	\N	\N	\N	\N	f	
11471	f1858c88-d081-4456-985b-64f15f4bb0c2	Mezőkovácsháza	Mezőkovácsháza	3	0	2013-06-25 06:30:19.491152+02	\N	\N	\N	\N	\N	\N	f	
11472	89307e89-2423-441e-93f1-73093c2e6483	Sajószentpéter	Sajószentpéter	3	0	2013-06-25 06:30:31.357165+02	\N	\N	\N	\N	\N	\N	f	
13967	37363833-2708-4a3e-8a11-ae63d8b33f8d	Prevalle	Prevalle	4	0	2013-07-21 19:53:09.481628+02	\N	\N	\N	\N	\N	\N	f	
11473	a8da1d05-0af5-4a4d-995a-0eb1aa8ff8e4	Bük	Bük	3	0	2013-06-25 06:30:43.322186+02	\N	\N	\N	\N	\N	\N	f	
11481	e3cb0960-651a-4215-9813-6b86be1ff86c	Dombrád	Dombrád	3	0	2013-06-25 06:33:04.868744+02	\N	\N	\N	\N	\N	\N	f	
15652	480b207d-acde-453d-9499-527e3bf77198	Anzio	Anzio	4	0	2013-07-22 01:33:03.540981+02	\N	\N	\N	\N	\N	\N	f	
11487	18ffe2e7-0695-4a77-8d3a-66d630a03b6e	Zalalövő	Zalalövő	3	0	2013-06-25 06:34:24.663793+02	\N	\N	\N	\N	\N	\N	f	
14517	ed67890a-5df9-45c9-a560-678d8803fceb	Serralunga di Crea	Serralunga di Crea	4	0	2013-07-21 21:55:53.101631+02	\N	\N	\N	\N	\N	\N	f	
11496	57ebcef1-0f37-4c56-9603-68deec06fbe1	Putnok	Putnok	3	0	2013-06-25 06:36:35.929577+02	\N	\N	\N	\N	\N	\N	f	
11501	658902c2-38fa-4759-9f37-12f938ee339b	Téglás	Téglás	3	0	2013-06-25 06:37:46.601489+02	\N	\N	\N	\N	\N	\N	f	
11514	ca83189a-90b7-4220-a062-844a3cace874	Nyírlugos	Nyírlugos	3	0	2013-06-25 06:40:51.24375+02	\N	\N	\N	\N	\N	\N	f	
14519	facb3709-6035-4edb-90ba-97bb49e4ea77	Terzo	Terzo	4	0	2013-07-21 21:56:17.606661+02	\N	\N	\N	\N	\N	\N	f	
11516	d90eb360-d77c-45be-b967-9a57c9c9e329	Tótkomlós	Tótkomlós	3	0	2013-06-25 06:41:19.86406+02	\N	\N	\N	\N	\N	\N	f	
14575	377934df-6aca-467b-9f32-a48bc053b3a1	Antignano	Antignano	4	0	2013-07-21 22:08:44.012552+02	\N	\N	\N	\N	\N	\N	f	
15706	65a29fe6-ffb4-4b13-8e76-fc6e7d919b49	San Gregorio da Sassola	San Gregorio da Sassola	4	0	2013-07-22 01:44:55.577486+02	\N	\N	\N	\N	\N	\N	f	
15038	19a0c322-8c97-418e-8093-34f95a8ad4a8	Ostana	Ostana	4	0	2013-07-21 23:40:16.162664+02	\N	\N	\N	\N	\N	\N	f	
15163	0fbe0890-f1e3-46a7-a166-119cc641a8d0	Saliceto	Saliceto	4	0	2013-07-21 23:55:04.686537+02	\N	\N	\N	\N	\N	\N	f	
17433	cab72695-b5ff-4a3d-a7aa-913f885ac6fd	Zeccone	Zeccone	4	0	2013-07-22 06:26:47.110486+02	\N	\N	\N	\N	\N	\N	f	
15714	be485458-8dee-4357-8bb3-61c1dfaf92e7	San Cesareo	San Cesareo	4	0	2013-07-22 01:46:44.854237+02	\N	\N	\N	\N	\N	\N	f	
15730	c885f856-d64d-466b-9158-74a09022708b	Rignano Flaminio	Rignano Flaminio	4	0	2013-07-22 01:50:13.553611+02	\N	\N	\N	\N	\N	\N	f	
24730	04b093b0-597f-499f-aab8-c8c2dfaa77ae	Oakbrook Terrace	Oakbrook Terrace	3	0	2013-09-07 08:18:59.575545+02	\N	\N	\N	\N	\N	\N	f	
15824	32d99570-65cd-4f22-bfc1-1cf3111f7b1c	Borgo Vercelli	Borgo Vercelli	4	0	2013-07-22 02:11:01.302815+02	\N	\N	\N	\N	\N	\N	f	
18441	a8bde3ec-5b7d-4459-9384-4336545a7484	Assago	Assago	4	0	2013-07-22 08:29:17.361399+02	\N	\N	\N	\N	\N	\N	f	
15830	810bb79a-dc4c-45c0-b396-bb24c4036555	Asigliano Vercellese	Asigliano Vercellese	4	0	2013-07-22 02:12:11.110823+02	\N	\N	\N	\N	\N	\N	f	
15853	ab840b03-33d1-4f59-9dab-6d3e130d7e14	Ghislarengo	Ghislarengo	4	0	2013-07-22 02:17:12.084573+02	\N	\N	\N	\N	\N	\N	f	
19824	ca677de1-be92-4227-8cb9-1e77b57f91f2	Ortelle	Ortelle	4	0	2013-07-22 11:42:12.564753+02	\N	\N	\N	\N	\N	\N	f	
16609	f0b7883a-aa3e-4978-8704-90faa0e6db76	Atzara	Atzara	4	0	2013-07-22 03:54:35.354553+02	\N	\N	\N	\N	\N	\N	f	
19356	361ca001-9f82-494a-90eb-6bb63d2ca5f6	Capo d'Orlando	Capo d'Orlando	4	0	2013-07-22 10:24:59.161296+02	\N	\N	\N	\N	\N	\N	f	
16620	e6bafa8b-9a17-4f9c-9cb4-23dc148080db	Onifai	Onifai	4	0	2013-07-22 03:55:54.883765+02	\N	\N	\N	\N	\N	\N	f	
17120	1f463ce4-a6f2-4bc5-8c72-1911bfed039e	Ghilarza	Ghilarza	4	0	2013-07-22 05:46:22.456971+02	\N	\N	\N	\N	\N	\N	f	
23355	3b2b0763-f445-4997-a6b3-bbe1c412b939	North Ogden	North Ogden	3	0	2013-08-24 17:32:25.140684+02	\N	\N	\N	\N	\N	\N	f	
19838	27c29477-e989-4b6a-9554-317024fa18bb	Taurisano	Taurisano	4	0	2013-07-22 11:45:00.486871+02	\N	\N	\N	\N	\N	\N	f	
19902	0f7fd6f2-815d-4ca7-9694-b44c8e8709e9	San Giorgio Lucano	San Giorgio Lucano	4	0	2013-07-22 11:52:58.421058+02	\N	\N	\N	\N	\N	\N	f	
19919	0f1e30f2-a2a7-4ba3-98aa-d84f41d08324	Castelluccio Inferiore	Castelluccio Inferiore	4	0	2013-07-22 11:55:08.626+02	\N	\N	\N	\N	\N	\N	f	
23404	51d1282f-195a-4498-9c07-4ef56fa75848	Newport	Newport	3	0	2013-08-24 20:26:01.429376+02	\N	\N	\N	\N	\N	\N	f	
20557	ccf8f049-582f-4655-95cd-f8f9b5ac4a49	Martone	Martone	4	0	2013-07-23 05:38:11.329133+02	\N	\N	\N	\N	\N	\N	f	
20594	8aa62406-7f55-4ec6-91d0-219f819ff788	Filogaso	Filogaso	4	0	2013-07-23 05:45:48.876067+02	\N	\N	\N	\N	\N	\N	f	
22775	d75f72e8-0fa8-40e2-ab31-4c052094ea21	Nizza di Sicilia	Nizza di Sicilia	4	0	2013-08-14 17:43:56.782891+02	\N	\N	\N	\N	\N	\N	f	
23452	3338b5af-2a4d-4269-9574-d447305f144b	Humenné	Humenné	3	0	2013-08-25 23:33:44.165014+02	\N	\N	\N	\N	\N	\N	f	
23106	fea76573-d64e-4b59-bebd-e1332699e4ac	Elk River	Elk River	3	0	2013-08-22 02:50:30.707231+02	\N	\N	\N	\N	\N	\N	f	
23174	20eda842-0c62-44f8-8b43-cd82fe941d72	Woodland, Minnesota	Woodland, Minnesota	3	0	2013-08-22 05:47:08.243047+02	\N	\N	\N	\N	\N	\N	f	
24852	9c1a9c27-58e9-43ef-991b-dad9dd4f50cf	Ainsworth	Ainsworth	3	0	2013-09-07 08:51:43.120126+02	\N	\N	\N	\N	\N	\N	f	
23257	21f56cf7-65ad-4b05-b66d-566d9fc93c81	Elizabethton	Elizabethton	3	0	2013-08-24 14:24:38.45286+02	\N	\N	\N	\N	\N	\N	f	
23482	2668c7d4-e8cc-4171-bbfd-9aeb2f2c110c	Šamorín	Šamorín	3	0	2013-08-26 02:33:12.640035+02	\N	\N	\N	\N	\N	\N	f	
23281	dad3157d-85e9-4b3b-81ea-c2058951f7bb	Piedmont, South Dakota	Piedmont, South Dakota	3	0	2013-08-24 14:39:34.621502+02	\N	\N	\N	\N	\N	\N	f	
23487	caad0871-d96b-492f-b298-d5ffc7eae628	Sereď	Sereď	3	0	2013-08-26 02:34:57.125627+02	\N	\N	\N	\N	\N	\N	f	
23560	aa8e0467-c0cc-41eb-ba32-6b51eeb2fca2	Námestovo	Námestovo	3	0	2013-08-26 14:31:28.816715+02	\N	\N	\N	\N	\N	\N	f	
25228	14f6937c-206e-4094-92a8-b91be01cc964	Gilbertville	Gilbertville	3	0	2013-09-07 10:46:25.937521+02	\N	\N	\N	\N	\N	\N	f	
23624	637f0e8d-eed1-4190-aac7-4376c84cd232	Oulu	Oulu	3	0	2013-08-26 17:33:02.371703+02	\N	\N	\N	\N	\N	\N	f	
11711	a9ce7275-748a-4fba-8f1e-6f2150c2e439	Higashi-ku	Higashi-ku	5	0	2013-08-27 14:45:07.804004+02	\N	\N	\N	\N	\N	\N	f	
24702	d1fece68-52b8-4d73-bde4-deb50d2f63d7	Calumet City	Calumet City	3	0	2013-09-07 08:14:10.601624+02	\N	\N	\N	\N	\N	\N	f	
25277	0e3efc4f-8c9d-48f2-8e24-286aa0019206	Donnellson	Donnellson	3	0	2013-09-07 10:59:38.697274+02	\N	\N	\N	\N	\N	\N	f	
25231	f58c845c-59d7-411f-a634-14c7977ac6d9	Exira	Exira	3	0	2013-09-07 10:47:13.800555+02	\N	\N	\N	\N	\N	\N	f	
25390	3be32df8-d34f-41b9-875b-16c2adab5141	Solomon, Kansas	Solomon, Kansas	3	0	2013-09-07 11:39:00.238714+02	\N	\N	\N	\N	\N	\N	f	
25274	bf583536-5da9-4182-bbdc-42bbe3826a1f	Carpenter	Carpenter	3	0	2013-09-07 10:58:50.802272+02	\N	\N	\N	\N	\N	\N	f	
25329	d7843e5c-ec59-43e6-bf08-0f22c7edfd45	Hazard	Hazard	3	0	2013-09-07 11:20:48.434083+02	\N	\N	\N	\N	\N	\N	f	
25301	3f8a0735-3d7a-4141-bfbb-813b78684f3a	Craig	Craig	3	0	2013-09-07 11:06:08.184941+02	\N	\N	\N	\N	\N	\N	f	
25305	9763c261-6c41-4ea2-ae8a-5231168b0420	Britt	Britt	3	0	2013-09-07 11:07:12.956573+02	\N	\N	\N	\N	\N	\N	f	
25775	1e2a9971-ceb4-4e3c-a732-6055e4be26b1	St. Marys, Kansas	St. Marys, Kansas	3	0	2013-09-07 14:35:44.609486+02	\N	\N	\N	\N	\N	\N	f	
25852	fe971605-da73-4b0c-b405-7d76c2f36c0d	Kevil, Kentucky	Kevil, Kentucky	3	0	2013-09-07 14:56:22.623733+02	\N	\N	\N	\N	\N	\N	f	
26219	a0e5ee81-db9e-4612-8e3f-5d35b666e747	Winnfield, Louisiana	Winnfield, Louisiana	3	0	2013-09-07 20:48:31.868305+02	\N	\N	\N	\N	\N	\N	f	
26544	1cb285fc-f8c4-4875-84d6-d339ab07a971	Little Sioux, Iowa	Little Sioux, Iowa	3	0	2013-09-08 01:03:55.596856+02	\N	\N	\N	\N	\N	\N	f	
26589	4684924c-0411-40af-a996-6aff248b03a4	Fairview, Kansas	Fairview, Kansas	3	0	2013-09-08 01:15:58.73719+02	\N	\N	\N	\N	\N	\N	f	
26896	3fdd4bca-39ba-4409-b7e2-0a7e7b5db44b	Cleveland	Cleveland	3	0	2013-09-08 03:54:43.054461+02	\N	\N	\N	\N	\N	\N	f	
26929	6178f762-b8f0-47ef-8f17-75eb9ec8f744	Elmer	Elmer	3	0	2013-09-08 04:04:02.879837+02	\N	\N	\N	\N	\N	\N	f	
27304	f4cee187-e812-4f9c-9714-35c2a30686cc	Grafton, North Dakota	Grafton, North Dakota	3	0	2013-09-08 07:23:17.421164+02	\N	\N	\N	\N	\N	\N	f	
11474	73393507-1a16-48e9-b88e-fc05042a9c72	Ercsi	Ercsi	3	0	2013-06-25 06:30:55.623093+02	\N	\N	\N	\N	\N	\N	f	
13955	61272316-cb05-4af7-8ad8-302dc34b87f2	San Zeno Naviglio	San Zeno Naviglio	4	0	2013-07-21 19:50:35.907757+02	\N	\N	\N	\N	\N	\N	f	
14518	4382e726-d458-4d89-bb1c-1a049f7942ce	Voltaggio	Voltaggio	4	0	2013-07-21 21:56:05.442475+02	\N	\N	\N	\N	\N	\N	f	
15654	623efc0e-2108-494d-a373-edebebcddf9d	Canterano	Canterano	4	0	2013-07-22 01:33:27.02013+02	\N	\N	\N	\N	\N	\N	f	
14529	6780f3d2-4416-41ae-95e4-a7ab4c795695	Volpedo	Volpedo	4	0	2013-07-21 21:58:29.935443+02	\N	\N	\N	\N	\N	\N	f	
15045	2f7a44c5-bc4b-4bc2-abcb-dbd11b320204	Piozzo	Piozzo	4	0	2013-07-21 23:41:03.894414+02	\N	\N	\N	\N	\N	\N	f	
16610	e82ba4a4-7153-431d-85d3-738a5885487d	Macomer	Macomer	4	0	2013-07-22 03:54:40.563327+02	\N	\N	\N	\N	\N	\N	f	
15085	4c21b2e8-c65c-4023-990d-8d07f03dd9d5	Castel Ritaldi	Castel Ritaldi	4	0	2013-07-21 23:45:48.842572+02	\N	\N	\N	\N	\N	\N	f	
24707	45fb7863-0e1d-453d-beaf-4b3de56184ef	Vienna	Vienna	3	0	2013-09-07 08:15:20.942347+02	\N	\N	\N	\N	\N	\N	f	
23669	27170ecf-742e-4ec5-a421-446a0d60d661	Krong Kep	Krong Kep	3	0	2013-08-27 20:18:20.809158+02	\N	\N	\N	\N	\N	\N	f	
17125	3f811c54-c189-4db9-81e0-49c67a89ada3	Boroneddu	Boroneddu	4	0	2013-07-22 05:47:05.389911+02	\N	\N	\N	\N	\N	\N	f	
23698	9c607066-ceb6-4a78-a614-4c14a2b3ec35	Bremen	Bremen	3	0	2013-08-29 17:24:09.173681+02	\N	\N	\N	\N	\N	\N	f	
19825	95f2af1a-007d-49f9-b02c-015cfc813682	Melendugno	Melendugno	4	0	2013-07-22 11:42:26.98698+02	\N	\N	\N	\N	\N	\N	f	
17496	a8d1c65c-98df-4021-af04-4f4ae8fd7f6b	Sangiano	Sangiano	4	0	2013-07-22 06:34:30.929883+02	\N	\N	\N	\N	\N	\N	f	
23676	78be9ebf-f825-439a-b434-d1972edbe6fc	Santa Cruz	Santa Cruz	3	0	2013-08-27 23:19:13.791084+02	\N	\N	\N	\N	\N	\N	f	
17672	cb45d1cd-3917-4ea6-a1a4-01b4496b9dac	Spessa	Spessa	4	0	2013-07-22 06:56:28.18841+02	\N	\N	\N	\N	\N	\N	f	
20558	508b72a5-70a7-4d6d-8c27-f95c761f4484	Oppido Mamertina	Oppido Mamertina	4	0	2013-07-23 05:38:23.415283+02	\N	\N	\N	\N	\N	\N	f	
23677	43a1768a-d4bb-4434-987e-b1587e49735b	Jeonju	Jeonju	3	0	2013-08-28 02:26:29.592716+02	\N	\N	\N	\N	\N	\N	f	
17783	10a45ad2-e4c0-4644-908a-05e98e91f271	Castelveccana	Castelveccana	4	0	2013-07-22 07:09:50.491287+02	\N	\N	\N	\N	\N	\N	f	
18443	69c2a7f8-5741-4e7c-a946-39fdcb10456a	Sedriano	Sedriano	4	0	2013-07-22 08:29:30.986912+02	\N	\N	\N	\N	\N	\N	f	
23726	2d439e43-cefa-48ea-a909-922aa57f17de	Saarlouis	Saarlouis	3	0	2013-08-31 20:18:31.587406+02	\N	\N	\N	\N	\N	\N	f	
18564	8eed31b7-cd86-4856-b79e-f8a5377a3471	Monastier di Treviso	Monastier di Treviso	4	0	2013-07-22 08:46:38.442565+02	\N	\N	\N	\N	\N	\N	f	
23678	4c548f17-bb7b-41fa-b859-d6e33f4323b8	Tanjung Batu	Tanjung Batu	3	0	2013-08-28 05:18:19.942698+02	\N	\N	\N	\N	\N	\N	f	
19360	38b9fb6d-9abe-40be-9a3c-e61a0ddf6503	Celenza sul Trigno	Celenza sul Trigno	4	0	2013-07-22 10:25:24.695987+02	\N	\N	\N	\N	\N	\N	f	
19436	91808551-02fd-4f46-a36d-ae5bc8667b16	Treglio	Treglio	4	0	2013-07-22 10:34:45.320168+02	\N	\N	\N	\N	\N	\N	f	
23701	79b831db-f61c-4245-81f6-2f3e5cc44340	Brandenburg an der Havel	Brandenburg an der Havel	3	0	2013-08-29 20:26:32.326737+02	\N	\N	\N	\N	\N	\N	f	
23681	c551cddd-b763-41da-a78a-3102f89d4a89	Oranjestad	Oranjestad	3	0	2013-08-28 13:51:41.662117+02	\N	\N	\N	\N	\N	\N	f	
22776	34d7b067-4069-4c6a-84d4-7ff3fa5c4f17	Castelmola	Castelmola	4	0	2013-08-14 17:44:12.108245+02	\N	\N	\N	\N	\N	\N	f	
23108	bf084da3-c96d-4576-9429-26706c479eb8	Northfield	Northfield	3	0	2013-08-22 02:51:17.969214+02	\N	\N	\N	\N	\N	\N	f	
23175	58fdba19-aa24-430a-ae24-762d114b3bf3	Clever	Clever	3	0	2013-08-22 05:47:48.1985+02	\N	\N	\N	\N	\N	\N	f	
23683	1e6a9408-5df8-424e-adb3-5753d09b31f8	Rishon LeZion	Rishon LeZion	3	0	2013-08-28 14:24:37.997021+02	\N	\N	\N	\N	\N	\N	f	
23258	644ab517-5bff-401a-b0db-0745ccb38a3d	Mt. Juliet	Mt. Juliet	3	0	2013-08-24 14:25:23.400274+02	\N	\N	\N	\N	\N	\N	f	
23356	5d9b8aa6-0422-43ca-8716-3213b5645bf8	Oakley	Oakley	3	0	2013-08-24 17:32:41.281849+02	\N	\N	\N	\N	\N	\N	f	
11893	fd33f0bd-18b6-4fbd-af8b-3697732df220	Tsurumi-ku	Tsurumi-ku	5	0	2013-08-28 15:41:12.748941+02	\N	\N	\N	\N	\N	\N	f	
23405	f2866108-6c14-4582-8069-07d1e4e63958	Perry	Perry	3	0	2013-08-24 20:26:15.084486+02	\N	\N	\N	\N	\N	\N	f	
23453	f7406143-9928-40c1-b963-fb067f05e0c4	Jämsä	Jämsä	3	0	2013-08-25 23:35:26.723373+02	\N	\N	\N	\N	\N	\N	f	
23483	fe19a015-67b8-4c90-86f5-d59ba89a8f1a	Žiar nad Hronom	Žiar nad Hronom	3	0	2013-08-26 02:33:30.979297+02	\N	\N	\N	\N	\N	\N	f	
23691	06231e2f-36e2-41c3-8cf7-55f8db80b999	Rupa	Rupa	3	0	2013-08-28 17:18:14.21537+02	\N	\N	\N	\N	\N	\N	f	
23561	b4f168ad-2a41-4b9b-b490-7c00e7d963b8	Šahy	Šahy	3	0	2013-08-26 14:31:48.675987+02	\N	\N	\N	\N	\N	\N	f	
23625	00d32e92-b4a1-45d2-b904-6fbe47b5b93a	Raahe	Raahe	3	0	2013-08-26 17:34:54.318063+02	\N	\N	\N	\N	\N	\N	f	
23702	c780dbea-c3c2-4d82-b7ff-4e28ec2c9775	Santa Cruz do Xingu	Santa Cruz do Xingu	3	0	2013-08-29 23:21:10.253898+02	\N	\N	\N	\N	\N	\N	f	
23637	4e14392f-94bb-4444-9862-0a257814e717	Pyhäjärvi	Pyhäjärvi	3	0	2013-08-26 17:42:28.522895+02	\N	\N	\N	\N	\N	\N	f	
11793	250df502-c31d-4e26-940f-4fb1e3449261	Wakamatsu-ku	Wakamatsu-ku	5	0	2013-08-27 14:45:44.229659+02	\N	\N	\N	\N	\N	\N	f	
23664	a1d65304-6be2-4616-a2f8-1681e6e9e5e9	Dubrovnik	Dubrovnik	3	0	2013-08-27 17:19:17.077564+02	\N	\N	\N	\N	\N	\N	f	
23693	10bc9c95-e8c2-4391-be1f-7ce3b37ea995	Manaus	Manaus	3	0	2013-08-28 23:26:27.450071+02	\N	\N	\N	\N	\N	\N	f	
23695	85e6632e-0dd9-45c8-ae85-8a7ec6310e4a	Recife	Recife	3	0	2013-08-29 02:26:50.855875+02	\N	\N	\N	\N	\N	\N	f	
23704	d05ba0de-852d-415e-aaed-00ba82f3d6e5	Osage Beach	Osage Beach	3	0	2013-08-30 12:51:06.515999+02	\N	\N	\N	\N	\N	\N	f	
23696	bda83ca7-a69b-4cd3-a139-76ef0bc0903d	Cibodas	Cibodas	3	0	2013-08-29 05:18:01.714817+02	\N	\N	\N	\N	\N	\N	f	
23697	a90737e3-34a7-4df2-b858-027fa204ee61	Kirovohrad	Kirovohrad	3	0	2013-08-29 12:58:54.888323+02	\N	\N	\N	\N	\N	\N	f	
2230	b4c55385-d2ef-45bb-ba47-86adbecaeb01	Chişinău	Chişinău	3	0	2013-08-29 13:22:14.677136+02	\N	\N	\N	\N	\N	\N	f	
23763	8790782a-5784-498b-aa31-98305e23d265	Jülich	Jülich	3	0	2013-08-31 23:19:09.652726+02	\N	\N	\N	\N	\N	\N	f	
23712	a5305625-0c00-4a51-b9ff-afe1ec7e2204	Nové Město na Moravě	Nové Město na Moravě	3	0	2013-08-30 17:33:28.150316+02	\N	\N	\N	\N	\N	\N	f	
23714	df0c8ed7-db8a-4787-92b0-e726155149bc	Weiden in der Oberpfalz	Weiden in der Oberpfalz	3	0	2013-08-31 17:18:27.642362+02	\N	\N	\N	\N	\N	\N	f	
7582	c142b48f-6206-4619-b505-1c4308c66d8a	Homberg (Efze)	Homberg (Efze)	3	0	2013-08-31 18:08:40.126224+02	\N	\N	\N	\N	\N	\N	f	
23773	8e311a93-839d-4726-a6f7-a376e2f67fa2	Giengen	Giengen	3	0	2013-09-01 02:27:58.459916+02	\N	\N	\N	\N	\N	\N	f	
25234	a164260c-1d95-4a85-9be3-d8b832b76c25	Griswold	Griswold	3	0	2013-09-07 10:48:01.676263+02	\N	\N	\N	\N	\N	\N	f	
23774	b4af3917-e84e-498a-9bf1-ee6a4f82508d	Krasnoyarsk	Krasnoyarsk	3	0	2013-09-01 08:31:04.20764+02	\N	\N	\N	\N	\N	\N	f	
23775	181271ec-ee36-4845-a4c2-4ff257546a00	Gorna Oryahovitsa	Gorna Oryahovitsa	3	0	2013-09-01 14:18:00.80724+02	\N	\N	\N	\N	\N	\N	f	
25845	2b88d136-2d4f-47d2-9b89-664ef02381a6	Potwin, Kansas	Potwin, Kansas	3	0	2013-09-07 14:54:32.703383+02	\N	\N	\N	\N	\N	\N	f	
25777	8cb61cdd-5667-4bf6-865b-3853a524ebc7	Portis, Kansas	Portis, Kansas	3	0	2013-09-07 14:36:13.938594+02	\N	\N	\N	\N	\N	\N	f	
25346	0decad43-d619-4782-bd30-588f5dd411f6	Bertram	Bertram	3	0	2013-09-07 11:27:41.124066+02	\N	\N	\N	\N	\N	\N	f	
25358	a82f42f1-1d31-4049-aadf-26d186a76891	Buck Grove	Buck Grove	3	0	2013-09-07 11:31:18.292165+02	\N	\N	\N	\N	\N	\N	f	
25872	f750b17b-ac47-483e-afb5-97ff02f41c45	Southgate, Kentucky	Southgate, Kentucky	3	0	2013-09-07 15:01:23.16734+02	\N	\N	\N	\N	\N	\N	f	
26220	58b52b52-0f75-479c-a576-341abf5b9dc0	Woodbury, Kentucky	Woodbury, Kentucky	3	0	2013-09-07 20:48:45.168009+02	\N	\N	\N	\N	\N	\N	f	
26545	615bac92-3d0a-4e53-a95b-8d4637736247	Eubank, Kentucky	Eubank, Kentucky	3	0	2013-09-08 01:04:14.879893+02	\N	\N	\N	\N	\N	\N	f	
26899	8c4f013c-2142-43d4-8207-96fd7603c91d	Henderson	Henderson	3	0	2013-09-08 03:55:25.077515+02	\N	\N	\N	\N	\N	\N	f	
26940	d509cd9e-eb4d-4423-868c-828ad70f967d	Rexford, Kansas	Rexford, Kansas	3	0	2013-09-08 04:07:03.506383+02	\N	\N	\N	\N	\N	\N	f	
26946	a056906d-dc6e-40f1-a341-e3323f4b6de4	Essex, Missouri	Essex, Missouri	3	0	2013-09-08 04:08:29.211206+02	\N	\N	\N	\N	\N	\N	f	
26952	8160bed0-2a07-4b40-ba3b-5fbe71e7512e	Lake Winnebago	Lake Winnebago	3	0	2013-09-08 04:09:59.557164+02	\N	\N	\N	\N	\N	\N	f	
26958	0ee7418a-669b-4a6d-bda6-78fd3d82a636	Clifton Hill	Clifton Hill	3	0	2013-09-08 04:11:25.151821+02	\N	\N	\N	\N	\N	\N	f	
26959	d9fcb4ac-42dd-4310-8132-ff3989c0c29d	Gibbon	Gibbon	3	0	2013-09-08 04:11:40.352761+02	\N	\N	\N	\N	\N	\N	f	
11475	82617ae1-d034-4bce-ae25-9ace318ce869	Encs	Encs	3	0	2013-06-25 06:31:08.598622+02	\N	\N	\N	\N	\N	\N	f	
11477	4ca185b3-f1e2-4949-91ac-bced9283648d	Szabadszállás	Szabadszállás	3	0	2013-06-25 06:31:32.129291+02	\N	\N	\N	\N	\N	\N	f	
13956	0ab92873-6c3a-4197-8944-69938651eac4	Polpenazze del Garda	Polpenazze del Garda	4	0	2013-07-21 19:50:47.876238+02	\N	\N	\N	\N	\N	\N	f	
11478	da19f3d9-15b9-4ac5-8e5a-436e6864ec2e	Heves	Heves	3	0	2013-06-25 06:31:43.906115+02	\N	\N	\N	\N	\N	\N	f	
11486	d97ca99f-b97e-4ac0-8877-93a795c5ba4a	Jánossomorja	Jánossomorja	3	0	2013-06-25 06:34:11.852348+02	\N	\N	\N	\N	\N	\N	f	
11498	28c786cf-d1b1-41fc-a34d-9e257d1466d8	Füzesabony	Füzesabony	3	0	2013-06-25 06:37:03.286277+02	\N	\N	\N	\N	\N	\N	f	
13983	c92f05d3-96f0-4720-8c67-0cc84dcdddf8	Pontoglio	Pontoglio	4	0	2013-07-21 19:56:46.296705+02	\N	\N	\N	\N	\N	\N	f	
15657	ddd1bc1f-c488-4a77-8091-5a792c8596ca	Bracciano	Bracciano	4	0	2013-07-22 01:34:01.702427+02	\N	\N	\N	\N	\N	\N	f	
14521	4da8e683-f559-445a-a627-0289f46f2f01	San Sebastiano Curone	San Sebastiano Curone	4	0	2013-07-21 21:56:42.568086+02	\N	\N	\N	\N	\N	\N	f	
14533	f21bf873-8167-42a8-ae7a-f46163c5e3e5	Spigno Monferrato	Spigno Monferrato	4	0	2013-07-21 21:59:19.945058+02	\N	\N	\N	\N	\N	\N	f	
14613	f2d6f33f-0147-4433-9922-151c5e7d02dd	Incisa Scapaccino	Incisa Scapaccino	4	0	2013-07-21 22:17:18.299727+02	\N	\N	\N	\N	\N	\N	f	
16612	e492752f-adae-4b5b-9423-61a53b549d54	Oniferi	Oniferi	4	0	2013-07-22 03:54:53.420962+02	\N	\N	\N	\N	\N	\N	f	
14639	ddb407e9-6bcc-4335-ab19-79ffc122431a	Refrancore	Refrancore	4	0	2013-07-21 22:23:03.516109+02	\N	\N	\N	\N	\N	\N	f	
14658	1aa7b6bb-cb60-4671-93a0-4b25c1c9585a	Borriana	Borriana	4	0	2013-07-21 22:27:37.211357+02	\N	\N	\N	\N	\N	\N	f	
17436	a3da63b3-12a4-4422-827f-2c103fb80fed	Torre d'Isola	Torre d'Isola	4	0	2013-07-22 06:27:11.284861+02	\N	\N	\N	\N	\N	\N	f	
15040	87d51baa-53c6-486f-b6a8-0ecf1bcb0ef8	Pianfei	Pianfei	4	0	2013-07-21 23:40:29.371161+02	\N	\N	\N	\N	\N	\N	f	
17164	8f02e20c-d68b-4c51-8713-0e9ab0215597	Siapiccia	Siapiccia	4	0	2013-07-22 05:52:08.551977+02	\N	\N	\N	\N	\N	\N	f	
23679	ab91619b-9a48-47a3-8e55-ae0c2da8c0e5	Ura	Ura	3	0	2013-08-28 05:18:39.972006+02	\N	\N	\N	\N	\N	\N	f	
18444	9be72242-a13d-4af8-a55a-783226c1b15c	Turbigo	Turbigo	4	0	2013-07-22 08:29:44.772275+02	\N	\N	\N	\N	\N	\N	f	
19842	f4e47be6-d130-40b5-856d-c9e0c2e662df	Fivizzano	Fivizzano	4	0	2013-07-22 11:45:31.514129+02	\N	\N	\N	\N	\N	\N	f	
19361	99f7c182-5318-407e-8af4-5656575e360f	Lentella	Lentella	4	0	2013-07-22 10:25:32.348455+02	\N	\N	\N	\N	\N	\N	f	
23406	a94e7bfb-486d-4c6c-9269-6350014515a2	América, Buenos Aires Province	América, Buenos Aires Province	3	0	2013-08-24 20:30:09.999169+02	\N	\N	\N	\N	\N	\N	f	
19894	541a8c26-5349-438f-a757-18bbf58d8113	Garaguso	Garaguso	4	0	2013-07-22 11:51:54.864965+02	\N	\N	\N	\N	\N	\N	f	
19906	1a6f5919-3522-4a05-8d82-aac875e5252d	Acerenza	Acerenza	4	0	2013-07-22 11:53:30.438579+02	\N	\N	\N	\N	\N	\N	f	
240	525d4e18-3d00-31b9-a58b-a146a916de8f	[Worldwide]	[Worldwide]	\N	0	2013-08-28 13:55:07.839087+02	\N	\N	\N	\N	\N	\N	f	
23412	bf305647-60b0-43d1-a5bc-58ef111b8f65	Clintonville, Wisconsin	Clintonville, Wisconsin	3	0	2013-08-24 20:37:33.376285+02	\N	\N	\N	\N	\N	\N	f	
20560	508ac37b-d0a1-47d6-b243-00e3fa78c9f2	Nicotera	Nicotera	4	0	2013-07-23 05:39:00.158648+02	\N	\N	\N	\N	\N	\N	f	
20607	be27ac31-5262-474e-986c-ddb25e70ce5e	Caposele	Caposele	4	0	2013-07-23 05:48:38.071903+02	\N	\N	\N	\N	\N	\N	f	
23455	bc3a7af3-8a00-4449-91e6-2b4d0c54968c	Viitasaari	Viitasaari	3	0	2013-08-25 23:38:23.194883+02	\N	\N	\N	\N	\N	\N	f	
22777	686f7064-f585-4d44-9d09-3f123faea5b6	Tortorici	Tortorici	4	0	2013-08-14 17:44:25.217314+02	\N	\N	\N	\N	\N	\N	f	
23484	4388383a-2596-402d-b5e1-b5c464926515	Šaľa	Šaľa	3	0	2013-08-26 02:33:50.900877+02	\N	\N	\N	\N	\N	\N	f	
22806	2080ac4b-a812-4212-996d-b4b6972fd81c	Longi	Longi	4	0	2013-08-14 17:51:51.376293+02	\N	\N	\N	\N	\N	\N	f	
22807	532a7603-4217-40c0-98c6-b17300842bb9	Forza d'Agrò	Forza d'Agrò	4	0	2013-08-14 17:52:04.573046+02	\N	\N	\N	\N	\N	\N	f	
23684	3c620ce0-11e1-4dfc-b510-4143b165258f	Port-au-Prince	Port-au-Prince	3	0	2013-08-28 14:29:47.505254+02	\N	\N	\N	\N	\N	\N	f	
23176	0c845fff-fd8c-42c5-b725-0966a98849d9	Pleasant Hope	Pleasant Hope	3	0	2013-08-22 05:48:16.188324+02	\N	\N	\N	\N	\N	\N	f	
23562	a858e41c-0cc2-4f4a-b16f-53224b61961e	Želiezovce	Želiezovce	3	0	2013-08-26 14:32:01.195997+02	\N	\N	\N	\N	\N	\N	f	
23260	1916ac12-64b4-41c5-9f1d-e2912888ed8e	Chattanooga	Chattanooga	3	0	2013-08-24 14:26:49.030556+02	\N	\N	\N	\N	\N	\N	f	
23266	9052024b-2323-448b-9986-67ac66844ef8	Algood, Tennessee	Algood, Tennessee	3	0	2013-08-24 14:31:39.464841+02	\N	\N	\N	\N	\N	\N	f	
23297	ca50c794-12c0-42c7-8721-425d5e08c7d4	Myton	Myton	3	0	2013-08-24 14:43:30.218749+02	\N	\N	\N	\N	\N	\N	f	
23626	21dbd788-10dd-46c9-b55b-61531a7fc134	Ylivieska	Ylivieska	3	0	2013-08-26 17:35:35.5171+02	\N	\N	\N	\N	\N	\N	f	
23310	05028fe0-5150-4932-bfbe-ee9f253cab7f	Brigham City	Brigham City	3	0	2013-08-24 14:47:22.465569+02	\N	\N	\N	\N	\N	\N	f	
23328	074a44fa-0275-47c7-a50c-636b9a249424	Cottonwood Heights	Cottonwood Heights	3	0	2013-08-24 14:51:31.068581+02	\N	\N	\N	\N	\N	\N	f	
11897	1336b4ae-539f-4c80-bd40-3eb325c4eedd	Yodogawa-ku	Yodogawa-ku	5	0	2013-08-28 15:41:13.76678+02	\N	\N	\N	\N	\N	\N	f	
23357	02eb9044-2470-43b1-975e-21d05fbd62ac	Salina	Salina	3	0	2013-08-24 17:32:54.823407+02	\N	\N	\N	\N	\N	\N	f	
11794	7629d304-a2ab-484e-b265-a34806d7b369	Tobata-ku	Tobata-ku	5	0	2013-08-27 14:45:45.920263+02	\N	\N	\N	\N	\N	\N	f	
23727	97c3240f-de21-4917-9a77-3333a4ebccf2	Sankt Ingbert	Sankt Ingbert	3	0	2013-08-31 20:18:58.147881+02	\N	\N	\N	\N	\N	\N	f	
11733	df625a68-d83f-46f4-ab82-bda5157ad79f	Meitō-ku	Meitō-ku	5	0	2013-08-27 14:49:07.157944+02	\N	\N	\N	\N	\N	\N	f	
11890	90b4b6ef-d921-4eba-9256-309a402a0bd5	Minato-ku	Minato-ku	5	0	2013-08-28 15:41:35.298282+02	\N	\N	\N	\N	\N	\N	f	
23665	0e0bd129-37ce-453e-b84f-ef3098b8d26a	Abington Township	Abington Township	3	0	2013-08-27 17:22:39.655559+02	\N	\N	\N	\N	\N	\N	f	
23670	7dbd810e-befa-47c8-a77d-d7bb27408cf9	Limassol	Limassol	3	0	2013-08-27 20:20:02.974249+02	\N	\N	\N	\N	\N	\N	f	
23705	386a5e10-c750-4787-82e4-92ee13fb4a67	Sedona	Sedona	3	0	2013-08-30 12:53:14.043838+02	\N	\N	\N	\N	\N	\N	f	
23692	b5032f84-add5-4724-a418-a87d6c15dfbd	Resistencia	Resistencia	3	0	2013-08-28 17:27:04.256224+02	\N	\N	\N	\N	\N	\N	f	
23694	f9d6d8f6-41c7-46bf-85ad-61697021f41f	Belém	Belém	3	0	2013-08-28 23:27:18.200277+02	\N	\N	\N	\N	\N	\N	f	
23708	2d69e8a4-505c-416c-aed0-dc369592feaa	Mesquite	Mesquite	3	0	2013-08-30 12:55:04.556582+02	\N	\N	\N	\N	\N	\N	f	
23699	fea1ef70-09ff-4a91-a0f7-efdf91f580a6	Bremerhaven	Bremerhaven	3	0	2013-08-29 17:25:26.24479+02	\N	\N	\N	\N	\N	\N	f	
23703	d8064b41-311b-47f2-99bb-043b2a17adc6	Goiânia	Goiânia	3	0	2013-08-29 23:31:02.283889+02	\N	\N	\N	\N	\N	\N	f	
23764	1e3255cc-6a1a-4b2c-88f4-7ff9da033b4d	Xanten	Xanten	3	0	2013-08-31 23:19:37.295248+02	\N	\N	\N	\N	\N	\N	f	
23713	65425b14-4714-42e0-8144-1f0340673e9d	Bruntál	Bruntál	3	0	2013-08-30 17:34:05.738832+02	\N	\N	\N	\N	\N	\N	f	
23715	a9d81564-5aad-49c0-841d-4df424e6b371	Schwabach	Schwabach	3	0	2013-08-31 17:18:52.954152+02	\N	\N	\N	\N	\N	\N	f	
24784	b49b0636-53ad-45eb-b763-3385dc1bf4db	Geneva, Iowa	Geneva, Iowa	3	0	2013-09-07 08:34:26.256241+02	\N	\N	\N	\N	\N	\N	f	
23776	67cad53a-0546-417b-a3d3-51e49b1d2232	Blagoevgrad	Blagoevgrad	3	0	2013-09-01 14:19:51.389974+02	\N	\N	\N	\N	\N	\N	f	
24778	bd644d87-df37-4eeb-9363-cd25de332f94	Crescent, Iowa	Crescent, Iowa	3	0	2013-09-07 08:32:32.624819+02	\N	\N	\N	\N	\N	\N	f	
25238	5ec69c04-cfe7-4724-b4ab-3e6926f41f7c	Elk Run Heights	Elk Run Heights	3	0	2013-09-07 10:49:05.121524+02	\N	\N	\N	\N	\N	\N	f	
24818	83862503-8ab2-4828-bbec-250b52f6e46a	Runnells	Runnells	3	0	2013-09-07 08:43:26.421753+02	\N	\N	\N	\N	\N	\N	f	
25307	dd05feca-648d-47f8-8729-067b77e4fedd	Centralia	Centralia	3	0	2013-09-07 11:07:50.298905+02	\N	\N	\N	\N	\N	\N	f	
25323	ca938388-c9ab-46c8-b793-4263baf716ea	Olive Hill	Olive Hill	3	0	2013-09-07 11:19:05.128588+02	\N	\N	\N	\N	\N	\N	f	
25779	e2d38518-6d8b-4880-b361-3ec72c52f4a7	Holyrood, Kansas	Holyrood, Kansas	3	0	2013-09-07 14:36:43.330433+02	\N	\N	\N	\N	\N	\N	f	
25892	c0fb2e6b-4fff-4bee-82a9-f6b4ad7c6c00	Inman, Kansas	Inman, Kansas	3	0	2013-09-07 15:06:31.455923+02	\N	\N	\N	\N	\N	\N	f	
26222	e43a391a-8c3b-4ab6-a138-64c12fb78a9f	Earlington	Earlington	3	0	2013-09-07 20:49:19.981193+02	\N	\N	\N	\N	\N	\N	f	
26546	03aa5b14-2694-489b-8610-7a48a03bc17c	Marksville, Louisiana	Marksville, Louisiana	3	0	2013-09-08 01:04:32.52596+02	\N	\N	\N	\N	\N	\N	f	
11479	ccc0ac16-88ea-47b1-bee6-982ab1b7a7ca	Yarmouth, Nova Scotia	Yarmouth, Nova Scotia	3	0	2013-06-25 06:32:11.646184+02	\N	\N	\N	\N	\N	\N	f	
11480	d5aa89ea-0ab7-4e1a-bdb4-eecb6553129f	Demecser	Demecser	3	0	2013-06-25 06:32:52.648715+02	\N	\N	\N	\N	\N	\N	f	
11492	24cdf9a6-0f1b-437e-b454-43d2089c050c	Simontornya	Simontornya	3	0	2013-06-25 06:35:36.318699+02	\N	\N	\N	\N	\N	\N	f	
13957	f0d7f1f2-4de7-4037-9d36-32c6a8fa8138	Rudiano	Rudiano	4	0	2013-07-21 19:51:00.119997+02	\N	\N	\N	\N	\N	\N	f	
14522	479b4437-caa3-4a70-aec1-17fed191c8c8	Vignale Monferrato	Vignale Monferrato	4	0	2013-07-21 21:56:57.402019+02	\N	\N	\N	\N	\N	\N	f	
15658	8de7cf0b-e3cc-423d-a486-a018a0a8b4b3	Castelnuovo di Porto	Castelnuovo di Porto	4	0	2013-07-22 01:34:13.772981+02	\N	\N	\N	\N	\N	\N	f	
14663	61440ebd-4a10-4bf4-a5fd-e44c5ce27d09	Vejano	Vejano	4	0	2013-07-21 22:28:39.605436+02	\N	\N	\N	\N	\N	\N	f	
19404	a76b33ed-eff1-42fe-af81-cbfb13bc6eec	Orsogna	Orsogna	4	0	2013-07-22 10:30:53.525987+02	\N	\N	\N	\N	\N	\N	f	
15718	7fad7379-1f33-40f3-aa43-f2b8dab60be0	Rocca di Papa	Rocca di Papa	4	0	2013-07-22 01:47:33.125153+02	\N	\N	\N	\N	\N	\N	f	
17437	d675462e-0935-44d5-bc18-e48c18ea143b	Valle di Cadore	Valle di Cadore	4	0	2013-07-22 06:27:26.462332+02	\N	\N	\N	\N	\N	\N	f	
15731	b1abf096-228f-4c58-b260-b4cd40e1fc21	Ponzano Romano	Ponzano Romano	4	0	2013-07-22 01:50:25.722867+02	\N	\N	\N	\N	\N	\N	f	
15759	9518229b-767e-4a9f-a391-b7e59dd357c8	Beregazzo con Figliaro	Beregazzo con Figliaro	4	0	2013-07-22 01:56:18.783321+02	\N	\N	\N	\N	\N	\N	f	
15766	38f93c57-6ead-4b0f-abfd-4146425bed6f	Binago	Binago	4	0	2013-07-22 01:57:44.511756+02	\N	\N	\N	\N	\N	\N	f	
17495	7322e7b4-787f-41e1-9474-de5b8ede7785	Valeggio	Valeggio	4	0	2013-07-22 06:34:28.300227+02	\N	\N	\N	\N	\N	\N	f	
15875	577be872-c527-4909-b77b-0d5c20066db0	Postua	Postua	4	0	2013-07-22 02:23:04.266664+02	\N	\N	\N	\N	\N	\N	f	
16614	6033e3d7-a8f9-45f0-927c-b7d34f433656	Lei, Sardinia	Lei, Sardinia	4	0	2013-07-22 03:55:10.792264+02	\N	\N	\N	\N	\N	\N	f	
17141	684f0df8-677b-47e9-a87f-5a8a8a278dc2	Cabras, Sardinia	Cabras, Sardinia	4	0	2013-07-22 05:49:04.082129+02	\N	\N	\N	\N	\N	\N	f	
17497	5827613c-5c8a-47d8-86a0-0dd1b347948e	Caravate	Caravate	4	0	2013-07-22 06:34:42.192867+02	\N	\N	\N	\N	\N	\N	f	
22781	4c721139-12f2-4c06-bc21-a72280668a78	Torrenova	Torrenova	4	0	2013-08-14 17:45:20.49968+02	\N	\N	\N	\N	\N	\N	f	
19410	def834c1-54f5-46ea-a8e2-7a21cae807b5	San Martino sulla Marrucina	San Martino sulla Marrucina	4	0	2013-07-22 10:31:32.875544+02	\N	\N	\N	\N	\N	\N	f	
17522	efd72454-da42-42df-9b50-63af3e15b75f	Mezzago	Mezzago	4	0	2013-07-22 06:37:46.817099+02	\N	\N	\N	\N	\N	\N	f	
17562	ad62436a-d710-4767-85a5-bbefe7d4a082	Solbiate Olona	Solbiate Olona	4	0	2013-07-22 06:43:02.097852+02	\N	\N	\N	\N	\N	\N	f	
17584	80139dd4-34c0-40d3-a80a-ce56a5ae1c59	Canale d'Agordo	Canale d'Agordo	4	0	2013-07-22 06:45:38.270682+02	\N	\N	\N	\N	\N	\N	f	
19461	f298e487-6593-42c3-b1d9-dd6052732555	Montesilvano	Montesilvano	4	0	2013-07-22 10:38:03.747727+02	\N	\N	\N	\N	\N	\N	f	
17595	844f35bc-3295-4061-9019-034378c3c0eb	Sappada	Sappada	4	0	2013-07-22 06:47:01.166078+02	\N	\N	\N	\N	\N	\N	f	
17630	e371f349-ae12-467f-8690-b374ac19b9af	Sedico	Sedico	4	0	2013-07-22 06:51:16.633603+02	\N	\N	\N	\N	\N	\N	f	
19851	cac8e964-50f4-4cf2-8018-0e65abd41ed4	Squinzano	Squinzano	4	0	2013-07-22 11:46:41.768338+02	\N	\N	\N	\N	\N	\N	f	
17681	2637e8f0-05c7-453b-aab5-066c51404de3	Casteggio	Casteggio	4	0	2013-07-22 06:57:39.800453+02	\N	\N	\N	\N	\N	\N	f	
19486	590b0040-7160-44b9-b065-a0ddf3bd0497	Catignano	Catignano	4	0	2013-07-22 10:40:50.594031+02	\N	\N	\N	\N	\N	\N	f	
23566	5a9b543f-deff-4866-9351-fdf1a91c3c32	Dudince	Dudince	3	0	2013-08-26 14:33:55.508386+02	\N	\N	\N	\N	\N	\N	f	
17709	c45e1aec-3d7e-4aef-a19d-87c54e4588de	Sesto Calende	Sesto Calende	4	0	2013-07-22 07:01:16.832819+02	\N	\N	\N	\N	\N	\N	f	
22788	12dd73e8-6e8d-4765-b859-810bb1f3d861	Graniti	Graniti	4	0	2013-08-14 17:46:57.78017+02	\N	\N	\N	\N	\N	\N	f	
17713	c27771a7-e1a7-4b27-ae37-50815bad1189	Inarzo	Inarzo	4	0	2013-07-22 07:01:42.021346+02	\N	\N	\N	\N	\N	\N	f	
19861	b2badd63-4b4c-4278-8648-ed7956b8bc8a	Licciana Nardi	Licciana Nardi	4	0	2013-07-22 11:47:51.397752+02	\N	\N	\N	\N	\N	\N	f	
17734	b94d7f66-0a74-449b-b8e2-ace93637365d	Bastida de' Dossi	Bastida de' Dossi	4	0	2013-07-22 07:03:59.620135+02	\N	\N	\N	\N	\N	\N	f	
17763	82c3988b-0fd3-40d4-a92c-dcdb4de27fc1	Chies d'Alpago	Chies d'Alpago	4	0	2013-07-22 07:07:38.788289+02	\N	\N	\N	\N	\N	\N	f	
18445	4c914ae1-a562-41db-8459-42e2aaeb451f	Maleo	Maleo	4	0	2013-07-22 08:29:47.723688+02	\N	\N	\N	\N	\N	\N	f	
19941	c4ac7ea5-c089-4cf9-9e2f-12cef8f5d7be	Castelmezzano	Castelmezzano	4	0	2013-07-22 11:57:35.56457+02	\N	\N	\N	\N	\N	\N	f	
19366	2f1a40ca-37a9-4cdd-a6eb-895e398e9e42	Castelguidone	Castelguidone	4	0	2013-07-22 10:26:13.22368+02	\N	\N	\N	\N	\N	\N	f	
19403	99894544-f6a8-4039-880c-234ebc4bea47	Palmoli	Palmoli	4	0	2013-07-22 10:30:42.328906+02	\N	\N	\N	\N	\N	\N	f	
23407	52d020c0-5435-4699-a477-6b190ff6b859	Janesville, Wisconsin	Janesville, Wisconsin	3	0	2013-08-24 20:31:31.393634+02	\N	\N	\N	\N	\N	\N	f	
19953	6df1f2cf-895f-4870-b315-6d08c09c5c20	Maschito	Maschito	4	0	2013-07-22 11:59:10.80305+02	\N	\N	\N	\N	\N	\N	f	
22797	6b9aacd7-7ffe-41f4-9546-a4c9df59f911	Scaletta Zanclea	Scaletta Zanclea	4	0	2013-08-14 17:49:15.435577+02	\N	\N	\N	\N	\N	\N	f	
19954	7fe81ce4-b173-4cc4-bac9-70fe36c0aa1f	Balvano	Balvano	4	0	2013-07-22 11:59:22.53862+02	\N	\N	\N	\N	\N	\N	f	
20009	9b5205a9-be4a-47ed-8b6b-f3880ef26094	Viggiano	Viggiano	4	0	2013-07-22 12:07:13.311294+02	\N	\N	\N	\N	\N	\N	f	
20063	c9dba820-2a00-47ac-9052-1cb0c2d1187d	Meduno	Meduno	4	0	2013-07-22 12:14:46.134722+02	\N	\N	\N	\N	\N	\N	f	
23177	f4e6007a-10ea-4717-b70f-1fe2a12a5d92	Stewartsville	Stewartsville	3	0	2013-08-22 05:48:47.421021+02	\N	\N	\N	\N	\N	\N	f	
20562	184c3257-469b-4ff4-a361-da09b4820c48	Dinami	Dinami	4	0	2013-07-23 05:39:23.993926+02	\N	\N	\N	\N	\N	\N	f	
20604	3c6e53d6-ca47-4c6d-bf52-2a92e50ffadd	Parghelia	Parghelia	4	0	2013-07-23 05:47:50.743485+02	\N	\N	\N	\N	\N	\N	f	
23261	08ff041b-d1d9-444a-8843-d607de1b5d8e	Milan, Tennessee	Milan, Tennessee	3	0	2013-08-24 14:27:04.494008+02	\N	\N	\N	\N	\N	\N	f	
23456	37d900ce-893d-4fdc-8bb0-45a98792b3fa	Saarijärvi	Saarijärvi	3	0	2013-08-25 23:40:51.375501+02	\N	\N	\N	\N	\N	\N	f	
23296	d91d3aac-8fbd-4123-aa44-ccb4ff9af269	Naples	Naples	3	0	2013-08-24 14:43:14.576781+02	\N	\N	\N	\N	\N	\N	f	
23322	d27f3e9a-4b50-4112-b428-707fa4e2418b	Plain City	Plain City	3	0	2013-08-24 14:50:05.983373+02	\N	\N	\N	\N	\N	\N	f	
23359	e271dca7-e54c-4311-adab-54dbba558044	Highland	Highland	3	0	2013-08-24 17:33:20.970118+02	\N	\N	\N	\N	\N	\N	f	
23571	beb8fd38-aa99-422d-b7a6-a422075c6cfb	Giraltovce	Giraltovce	3	0	2013-08-26 14:35:36.711364+02	\N	\N	\N	\N	\N	\N	f	
23485	82169018-aff1-4087-af19-f5da94147168	Šurany	Šurany	3	0	2013-08-26 02:34:06.732216+02	\N	\N	\N	\N	\N	\N	f	
23563	bfa26230-1a63-42b5-810d-ebfeeb94d1ee	Nemšová	Nemšová	3	0	2013-08-26 14:32:16.658131+02	\N	\N	\N	\N	\N	\N	f	
23636	0df2043f-b70c-4abb-8ef1-daba9731b5b6	Třinec	Třinec	3	0	2013-08-26 17:42:04.682435+02	\N	\N	\N	\N	\N	\N	f	
23627	3b6cdfb6-c756-4aae-ac4f-cd91bd78acb2	Haapavesi	Haapavesi	3	0	2013-08-26 17:37:07.746428+02	\N	\N	\N	\N	\N	\N	f	
23680	7c7d3a1c-4798-426f-abb0-95443db25a34	Triunfo	Triunfo	3	0	2013-08-28 05:29:32.522368+02	\N	\N	\N	\N	\N	\N	f	
23629	e2643587-bc93-4057-9cac-58db1ebda0da	Ostrava	Ostrava	3	0	2013-08-26 17:37:42.364841+02	\N	\N	\N	\N	\N	\N	f	
23671	cb5a9ef9-5d6f-4839-b391-965634425a56	Redcliff	Redcliff	3	0	2013-08-27 20:28:57.045251+02	\N	\N	\N	\N	\N	\N	f	
11795	e9e6236e-dd2a-4aec-80b9-e1e77d41446c	Kokuraminami-ku	Kokuraminami-ku	5	0	2013-08-27 14:45:48.896715+02	\N	\N	\N	\N	\N	\N	f	
23666	4086d483-713e-47ac-ae82-e918c6dcbac2	Cann River	Cann River	3	0	2013-08-27 17:28:17.182728+02	\N	\N	\N	\N	\N	\N	f	
23682	fb56bd39-f5cf-4a3a-ad7d-f01e1f8731d9	Oranjestad	Oranjestad	3	0	2013-08-28 13:55:51.48735+02	\N	\N	\N	\N	\N	\N	f	
11894	039118fa-cca2-4a18-89c6-5e2b89fa64b8	Tennōji-ku	Tennōji-ku	5	0	2013-08-28 15:41:15.142952+02	\N	\N	\N	\N	\N	\N	f	
23700	8dc71e4e-8bf9-46c2-b30e-6692efde0ce2	Chashniki	Chashniki	3	0	2013-08-29 17:32:14.448019+02	\N	\N	\N	\N	\N	\N	f	
23706	8995a377-da74-40b6-ab76-b1f2d6eed01f	Birmingham	Birmingham	3	0	2013-08-30 12:53:44.81708+02	\N	\N	\N	\N	\N	\N	f	
23716	cf49f56f-de0c-4260-9ed4-3210c96d93af	Kaufbeuren	Kaufbeuren	3	0	2013-08-31 17:19:16.406181+02	\N	\N	\N	\N	\N	\N	f	
23728	8bf20491-b396-40a3-8368-523d8a46c39d	Zweibrücken	Zweibrücken	3	0	2013-08-31 20:19:56.182141+02	\N	\N	\N	\N	\N	\N	f	
23765	6e464ce2-8595-42cd-a81e-64b23fc04282	Übach-Palenberg	Übach-Palenberg	3	0	2013-08-31 23:22:18.98381+02	\N	\N	\N	\N	\N	\N	f	
11483	0725e04d-0c2a-4c40-97c0-1d6c0cf095e1	Kemecse	Kemecse	3	0	2013-06-25 06:33:34.545186+02	\N	\N	\N	\N	\N	\N	f	
11484	7967029d-5bde-45fb-bdd5-ea36153582d2	Rétság	Rétság	3	0	2013-06-25 06:33:46.559544+02	\N	\N	\N	\N	\N	\N	f	
11506	e44879d1-031b-4a8b-948e-380384f0b451	Jászárokszállás	Jászárokszállás	3	0	2013-06-25 06:39:15.280336+02	\N	\N	\N	\N	\N	\N	f	
13959	953f786b-0d31-4598-ba01-7965f2a36e80	Puegnago sul Garda	Puegnago sul Garda	4	0	2013-07-21 19:51:24.181343+02	\N	\N	\N	\N	\N	\N	f	
14003	e648ce1d-553d-4dc4-8038-0789811b21a2	Poggio Berni	Poggio Berni	4	0	2013-07-21 20:01:51.017846+02	\N	\N	\N	\N	\N	\N	f	
15662	4c5f0679-9aea-4533-8fce-b064b4405028	Ardea	Ardea	4	0	2013-07-22 01:35:00.056187+02	\N	\N	\N	\N	\N	\N	f	
14523	bde93e2e-3a61-464e-a8e8-a211d35625db	Volpeglino	Volpeglino	4	0	2013-07-21 21:57:10.017374+02	\N	\N	\N	\N	\N	\N	f	
14569	0914cc08-9fd7-4148-9414-c21cf8e18676	Aramengo	Aramengo	4	0	2013-07-21 22:07:27.403359+02	\N	\N	\N	\N	\N	\N	f	
15042	8a917e28-a075-47a4-9d63-07bbc4f8b9f9	Piasco	Piasco	4	0	2013-07-21 23:40:43.158124+02	\N	\N	\N	\N	\N	\N	f	
15668	722b2e40-8aa3-45aa-83b0-6218444f8740	Ciampino	Ciampino	4	0	2013-07-22 01:36:24.005917+02	\N	\N	\N	\N	\N	\N	f	
15049	53a954bd-fb4c-4448-88bf-1b2622531fca	Perlo	Perlo	4	0	2013-07-21 23:41:32.602195+02	\N	\N	\N	\N	\N	\N	f	
17440	640131b7-14ae-422a-936e-63f3f293b44d	Marnate	Marnate	4	0	2013-07-22 06:27:59.466289+02	\N	\N	\N	\N	\N	\N	f	
16619	de4e4735-bb8e-4dda-9bd0-7d806ae0ce7b	Galtellì	Galtellì	4	0	2013-07-22 03:55:46.13961+02	\N	\N	\N	\N	\N	\N	f	
23504	d6abda5b-0584-4f8a-a1ee-cb064eb554b9	Skalica	Skalica	3	0	2013-08-26 02:40:57.202746+02	\N	\N	\N	\N	\N	\N	f	
17452	df0a7c65-9bbc-4f3d-8d90-e2219457e817	Cervesina	Cervesina	4	0	2013-07-22 06:29:25.923896+02	\N	\N	\N	\N	\N	\N	f	
19852	07fc8320-fe7c-4142-b85d-35f9673e7e37	Mulazzo	Mulazzo	4	0	2013-07-22 11:46:46.829353+02	\N	\N	\N	\N	\N	\N	f	
26900	bda389b6-c593-4e1b-8ea9-045fb9248cf2	O'Neill	O'Neill	3	0	2013-09-08 03:55:39.19816+02	\N	\N	\N	\N	\N	\N	f	
23564	141d68b7-20d5-409a-bc29-1513a9e135d0	Žarnovica	Žarnovica	3	0	2013-08-26 14:32:29.136489+02	\N	\N	\N	\N	\N	\N	f	
17776	658016f2-8659-46df-be54-e91a5f286db7	Gallarate	Gallarate	4	0	2013-07-22 07:09:01.000661+02	\N	\N	\N	\N	\N	\N	f	
20016	8a9efd00-750a-4d77-86a6-fc546cd2b3ef	Casola Valsenio	Casola Valsenio	4	0	2013-07-22 12:08:12.572475+02	\N	\N	\N	\N	\N	\N	f	
18447	03567a0d-a3b6-46f0-b509-8627a55b73bb	Pieve Emanuele	Pieve Emanuele	4	0	2013-07-22 08:30:00.730457+02	\N	\N	\N	\N	\N	\N	f	
18454	1d06b90a-e525-4654-9cf2-c7e5e8b119b9	Cinisello Balsamo	Cinisello Balsamo	4	0	2013-07-22 08:31:26.127175+02	\N	\N	\N	\N	\N	\N	f	
23766	23cc5e77-9e75-485f-9d9f-5208b514aa15	Zwickau	Zwickau	3	0	2013-08-31 23:27:49.398369+02	\N	\N	\N	\N	\N	\N	f	
18488	04b74e8a-f09b-4a2e-9ff1-91d814eb62c8	Castel d'Azzano	Castel d'Azzano	4	0	2013-07-22 08:37:48.371626+02	\N	\N	\N	\N	\N	\N	f	
23628	9a2e1282-a72f-433e-b0df-eb03d4d08e8f	Olomouc	Olomouc	3	0	2013-08-26 17:37:20.270677+02	\N	\N	\N	\N	\N	\N	f	
19367	a1142d41-dd82-4eb4-ae59-d0219b8e7c24	Fara Filiorum Petri	Fara Filiorum Petri	4	0	2013-07-22 10:26:25.325873+02	\N	\N	\N	\N	\N	\N	f	
11819	68481a09-079f-498c-afb0-8fee66a35109	Saiwai-ku	Saiwai-ku	5	0	2013-08-27 14:46:36.764301+02	\N	\N	\N	\N	\N	\N	f	
19427	1ec75673-1eee-43e9-a251-4eef08749131	Montazzoli	Montazzoli	4	0	2013-07-22 10:33:28.96517+02	\N	\N	\N	\N	\N	\N	f	
17629	aeb4d5fa-d1a5-453a-a828-6575c9a8eb26	Limana	Limana	4	0	2013-07-22 15:01:27.204106+02	\N	\N	\N	\N	\N	\N	f	
23777	340a7c0c-978c-4672-8bde-4dad26483f22	Veliko Tarnovo	Veliko Tarnovo	3	0	2013-09-01 14:20:18.395944+02	\N	\N	\N	\N	\N	\N	f	
20563	620b87ea-c9e1-4a91-b7f1-8c52678dc9b8	Villa San Giovanni	Villa San Giovanni	4	0	2013-07-23 05:39:35.784347+02	\N	\N	\N	\N	\N	\N	f	
23667	b875686d-1a06-405d-b9d1-0643985b5fe0	Bay Village, Ohio	Bay Village, Ohio	3	0	2013-08-27 17:31:41.702293+02	\N	\N	\N	\N	\N	\N	f	
22783	d5577f44-692d-472f-b647-820ed17bba00	Galati Mamertino	Galati Mamertino	4	0	2013-08-14 17:45:46.85385+02	\N	\N	\N	\N	\N	\N	f	
23672	73e801b8-207b-458b-b3e2-978c5c72e68d	Turkistan	Turkistan	3	0	2013-08-27 20:31:48.587221+02	\N	\N	\N	\N	\N	\N	f	
23178	b7ed26bd-19ec-434d-8037-ed2dcf39099c	Bolckow	Bolckow	3	0	2013-08-22 05:49:06.673054+02	\N	\N	\N	\N	\N	\N	f	
23262	3e423647-5178-4abc-97a3-b8c68a830283	Lexington, Tennessee	Lexington, Tennessee	3	0	2013-08-24 14:28:30.96955+02	\N	\N	\N	\N	\N	\N	f	
25780	679767cc-2d2f-463f-9f00-94e491534ddc	Wetmore, Kansas	Wetmore, Kansas	3	0	2013-09-07 14:36:58.099681+02	\N	\N	\N	\N	\N	\N	f	
23360	8e2eb74f-1674-4073-aa2e-0b8e944d4176	South Weber	South Weber	3	0	2013-08-24 17:33:36.951449+02	\N	\N	\N	\N	\N	\N	f	
11925	1782ac47-8b67-4ae0-beea-cb41a9e26ad8	Suminoe-ku	Suminoe-ku	5	0	2013-08-28 15:41:17.226611+02	\N	\N	\N	\N	\N	\N	f	
23376	8b2f9a3f-ceb8-4e2f-9b6d-5a984bd98656	Layton, Utah	Layton, Utah	3	0	2013-08-24 17:38:44.340488+02	\N	\N	\N	\N	\N	\N	f	
23378	51abb405-077e-4073-a39e-82ed4bf197e3	South Jordan	South Jordan	3	0	2013-08-24 17:39:12.144101+02	\N	\N	\N	\N	\N	\N	f	
24709	87d94c21-c5ad-4a25-a5da-bf80cd2535fe	Monmouth	Monmouth	3	0	2013-09-07 08:15:50.398787+02	\N	\N	\N	\N	\N	\N	f	
23408	93a19709-ec3a-427d-9235-cf93407d3ce1	Menominee, Michigan	Menominee, Michigan	3	0	2013-08-24 20:32:11.729767+02	\N	\N	\N	\N	\N	\N	f	
11922	8af81381-4343-44be-8677-3039ed4856b6	Sumiyoshi-ku	Sumiyoshi-ku	5	0	2013-08-28 15:41:19.700126+02	\N	\N	\N	\N	\N	\N	f	
23457	7cd520de-89e3-4407-892f-827bdabdbc6d	Kannus	Kannus	3	0	2013-08-25 23:41:14.402378+02	\N	\N	\N	\N	\N	\N	f	
23488	dc1df620-86ef-466c-8dfb-4c60c4c7989d	Galanta	Galanta	3	0	2013-08-26 02:35:22.50501+02	\N	\N	\N	\N	\N	\N	f	
23707	05033b88-6221-4a57-bb6a-caf39703a4d5	Arvada	Arvada	3	0	2013-08-30 12:54:27.885635+02	\N	\N	\N	\N	\N	\N	f	
25242	51d48c41-40ef-4341-948e-c60f05fa82dd	Essex	Essex	3	0	2013-09-07 10:50:08.491289+02	\N	\N	\N	\N	\N	\N	f	
23717	12a6eaff-97c2-4c0c-a696-6252532bd7cf	Memmingen	Memmingen	3	0	2013-08-31 17:19:38.369837+02	\N	\N	\N	\N	\N	\N	f	
23729	f0443d46-4d09-4aeb-8f64-5faf08c62594	Dillingen	Dillingen	3	0	2013-08-31 20:20:16.019462+02	\N	\N	\N	\N	\N	\N	f	
23732	d433ec3e-b140-47a8-b7da-3062e69749a8	Magdeburg	Magdeburg	3	0	2013-08-31 20:21:34.977468+02	\N	\N	\N	\N	\N	\N	f	
26223	1c4021f6-da3c-4730-9822-325525af5077	Richlawn	Richlawn	3	0	2013-09-07 20:49:34.479007+02	\N	\N	\N	\N	\N	\N	f	
25296	34f3a50b-22b8-46f8-a852-dda9dc203fad	Fredericksburg	Fredericksburg	3	0	2013-09-07 11:04:46.48418+02	\N	\N	\N	\N	\N	\N	f	
25331	b1b2fd44-832a-4011-9ec1-f5244b88c9ad	Rolling Hills	Rolling Hills	3	0	2013-09-07 11:22:02.40013+02	\N	\N	\N	\N	\N	\N	f	
27077	6a7b33ff-7c43-438c-a011-607008e0cd59	Van Buren	Van Buren	3	0	2013-09-08 04:41:54.283725+02	\N	\N	\N	\N	\N	\N	f	
25336	e286fed6-42bf-43a6-abba-213858dea5c8	Glenview Hills, Kentucky	Glenview Hills, Kentucky	3	0	2013-09-07 11:23:31.158072+02	\N	\N	\N	\N	\N	\N	f	
26224	853cb366-6dfc-4ee6-a0cf-df8caa3f8b69	Prestonsburg	Prestonsburg	3	0	2013-09-07 20:49:49.088968+02	\N	\N	\N	\N	\N	\N	f	
26547	3d98c6cd-d4e1-46e5-974e-c45a9b8003b4	Ponchatoula, Louisiana	Ponchatoula, Louisiana	3	0	2013-09-08 01:04:46.361963+02	\N	\N	\N	\N	\N	\N	f	
26931	81b47c08-41e0-4f7e-a938-fff3c67ae648	Napoleon	Napoleon	3	0	2013-09-08 04:04:44.607607+02	\N	\N	\N	\N	\N	\N	f	
26578	004a13df-9677-4bf1-9bcc-c3332d2da959	Arnolds Park, Iowa	Arnolds Park, Iowa	3	0	2013-09-08 01:13:11.929016+02	\N	\N	\N	\N	\N	\N	f	
26999	c206df29-a1e0-458a-842b-7e66bb3f73ae	Red Lodge	Red Lodge	3	0	2013-09-08 04:21:26.76902+02	\N	\N	\N	\N	\N	\N	f	
26991	1affcdd0-2105-459c-9e50-d7444a461019	Weldon Spring	Weldon Spring	3	0	2013-09-08 04:19:26.187443+02	\N	\N	\N	\N	\N	\N	f	
27071	9bf28fac-923d-4c2b-a3b8-23f3187a39c7	Poplar	Poplar	3	0	2013-09-08 04:40:02.702039+02	\N	\N	\N	\N	\N	\N	f	
27011	7b3e054d-b29d-4a6f-97e6-32ba26301d65	Sidney	Sidney	3	0	2013-09-08 04:24:20.950215+02	\N	\N	\N	\N	\N	\N	f	
27305	d9df6c0f-afa8-484b-b850-cac51ca097db	Rugby, North Dakota	Rugby, North Dakota	3	0	2013-09-08 07:23:30.99006+02	\N	\N	\N	\N	\N	\N	f	
16623	dc155f05-f4eb-489b-8f0b-787525dfe8db	Olzai	Olzai	4	0	2013-07-22 03:56:23.644071+02	\N	\N	\N	\N	\N	\N	f	
27310	f7e84694-7e4a-4b20-bd7f-b425d461ac7e	New Rockford, North Dakota	New Rockford, North Dakota	3	0	2013-09-08 07:24:44.184051+02	\N	\N	\N	\N	\N	\N	f	
27399	432a94ee-0d66-4d49-bbce-9dd82dace377	Lankin, North Dakota	Lankin, North Dakota	3	0	2013-09-08 07:47:23.22329+02	\N	\N	\N	\N	\N	\N	f	
27635	58dd553b-6be0-4e1c-9c1c-f28d5e72ad9a	Delphos, Ohio	Delphos, Ohio	3	0	2013-09-08 09:03:48.533802+02	\N	\N	\N	\N	\N	\N	f	
27995	93c1e793-41ac-4262-aad2-f5ee209d2c42	Kenner, Louisiana	Kenner, Louisiana	3	0	2013-09-08 11:56:38.582835+02	\N	\N	\N	\N	\N	\N	f	
28035	54250bf7-9a02-40c2-a87d-ea8cf13a6d41	New Albin	New Albin	3	0	2013-09-08 12:07:11.074306+02	\N	\N	\N	\N	\N	\N	f	
11485	b14f00e6-f2c8-43ce-ad96-723a71130a1f	Létavértes	Létavértes	3	0	2013-06-25 06:33:58.374501+02	\N	\N	\N	\N	\N	\N	f	
13960	483dd686-c2e8-4d0a-80e2-8f70ccdedef3	Salò	Salò	4	0	2013-07-21 19:51:36.371262+02	\N	\N	\N	\N	\N	\N	f	
14524	ab3f9aba-fac6-4690-9b9c-b7768ea5e268	Villaromagnano	Villaromagnano	4	0	2013-07-21 21:57:23.353865+02	\N	\N	\N	\N	\N	\N	f	
14583	79033050-09a7-4b7b-9db3-95260bb5f9fd	Cisterna d'Asti	Cisterna d'Asti	4	0	2013-07-21 22:10:32.296107+02	\N	\N	\N	\N	\N	\N	f	
15663	7ffedd93-76f9-4626-99d4-d0525ce9d490	Campagnano di Roma	Campagnano di Roma	4	0	2013-07-22 01:35:11.73744+02	\N	\N	\N	\N	\N	\N	f	
15044	7bce028b-e73b-4150-b877-9ce7168431f8	Fratte Rosa	Fratte Rosa	4	0	2013-07-21 23:40:56.340689+02	\N	\N	\N	\N	\N	\N	f	
15330	ef51ffe9-42c0-46f4-b5c2-7ece2c8039b6	Lichfield	Lichfield	3	0	2013-07-22 00:21:27.689549+02	\N	\N	\N	\N	\N	\N	f	
15378	416be61e-4894-477b-821a-317bdaf841b7	Montecarlo, Tuscany	Montecarlo, Tuscany	4	0	2013-07-22 00:31:49.299768+02	\N	\N	\N	\N	\N	\N	f	
15677	e76f08ba-320b-4bb4-a702-ac474c1bf009	Filacciano	Filacciano	4	0	2013-07-22 01:38:13.185273+02	\N	\N	\N	\N	\N	\N	f	
17441	3b1bcafe-20e9-4ced-b064-8f859d8c0131	Marzio	Marzio	4	0	2013-07-22 06:28:10.270419+02	\N	\N	\N	\N	\N	\N	f	
16621	2f22b205-a812-44d2-b1c7-9ef1c180c9fa	Loculi	Loculi	4	0	2013-07-22 03:56:10.915299+02	\N	\N	\N	\N	\N	\N	f	
16650	1226837c-2224-4945-8952-5c87bd144250	Novaledo	Novaledo	4	0	2013-07-22 04:00:09.893898+02	\N	\N	\N	\N	\N	\N	f	
16734	982cad55-7797-46e9-8346-fa93f53d647a	Lardaro	Lardaro	4	0	2013-07-22 04:23:01.24589+02	\N	\N	\N	\N	\N	\N	f	
23718	94cf91c4-9ef4-4af9-b011-9d723e86c3c3	Ingolstadt	Ingolstadt	3	0	2013-08-31 17:27:10.455897+02	\N	\N	\N	\N	\N	\N	f	
17146	d1ff44da-fed6-4773-9181-d47bb323ac17	Bonarcado	Bonarcado	4	0	2013-07-22 05:49:44.175387+02	\N	\N	\N	\N	\N	\N	f	
19853	3d01e19c-a247-4b9a-adaa-755a09104a37	Santa Cesarea Terme	Santa Cesarea Terme	4	0	2013-07-22 11:46:53.917433+02	\N	\N	\N	\N	\N	\N	f	
17476	dab1e843-39b8-4cc3-a3ce-77f0cafa56df	Falcade	Falcade	4	0	2013-07-22 06:32:14.864352+02	\N	\N	\N	\N	\N	\N	f	
17549	7b84196f-ddc3-44fd-ba6c-40eb2abf47fd	Oliva Gessi	Oliva Gessi	4	0	2013-07-22 06:40:57.217635+02	\N	\N	\N	\N	\N	\N	f	
23565	57893513-fb35-416a-b416-169e391087e2	Ilava	Ilava	3	0	2013-08-26 14:33:15.640217+02	\N	\N	\N	\N	\N	\N	f	
17658	0a2d4acd-bae2-45f2-8618-b5d53644b767	Carnate	Carnate	4	0	2013-07-22 06:54:32.296931+02	\N	\N	\N	\N	\N	\N	f	
19858	f719c7d4-d1fb-4eca-8bb9-f3f01a5bd75f	Ugento	Ugento	4	0	2013-07-22 11:47:24.320273+02	\N	\N	\N	\N	\N	\N	f	
17666	6e63b505-2d5d-4ae7-825e-e4d2cf759fe7	Forno di Zoldo	Forno di Zoldo	4	0	2013-07-22 06:55:29.903393+02	\N	\N	\N	\N	\N	\N	f	
17667	a65cbcd7-1c95-4ce7-9ce6-8523edec0982	Vidigulfo	Vidigulfo	4	0	2013-07-22 06:55:30.342561+02	\N	\N	\N	\N	\N	\N	f	
17716	3bdbb48e-00f3-4844-97f2-cf6b5bb59790	Uboldo	Uboldo	4	0	2013-07-22 07:02:06.021793+02	\N	\N	\N	\N	\N	\N	f	
20033	5c4b22c3-c28a-4688-b93a-9f30cb2b2547	Mariano del Friuli	Mariano del Friuli	4	0	2013-07-22 12:10:34.792713+02	\N	\N	\N	\N	\N	\N	f	
18448	280a3362-4f30-49bb-850c-31f5556bae07	Cavenago d'Adda	Cavenago d'Adda	4	0	2013-07-22 08:30:34.38929+02	\N	\N	\N	\N	\N	\N	f	
23632	4249da92-f68f-405d-a0ce-f6e0a7b119b0	Kalajoki	Kalajoki	3	0	2013-08-26 17:38:59.496743+02	\N	\N	\N	\N	\N	\N	f	
19368	c8fdfcf8-2873-4c85-ae16-de7fe93140fd	Carunchio	Carunchio	4	0	2013-07-22 10:26:25.487399+02	\N	\N	\N	\N	\N	\N	f	
20564	d8467690-68a3-49cf-b7c6-01e2bc3970ba	Rombiolo	Rombiolo	4	0	2013-07-23 05:39:48.430727+02	\N	\N	\N	\N	\N	\N	f	
19402	c53f1100-eccf-4578-937b-41aa5adcb0cf	Vacri	Vacri	4	0	2013-07-22 10:30:38.878317+02	\N	\N	\N	\N	\N	\N	f	
19455	730939f9-71a8-496c-beef-9e50315af22f	Salle, Abruzzo	Salle, Abruzzo	4	0	2013-07-22 10:37:16.068803+02	\N	\N	\N	\N	\N	\N	f	
19456	1969e088-4aac-4643-931a-69e1d228d985	Pietranico	Pietranico	4	0	2013-07-22 10:37:28.317238+02	\N	\N	\N	\N	\N	\N	f	
20590	4d70edfb-4437-49c3-8607-20e450395983	Briatico	Briatico	4	0	2013-07-23 05:45:01.128909+02	\N	\N	\N	\N	\N	\N	f	
19504	d25e9c8d-61a0-4b15-9714-bbda739eda6b	Arsita	Arsita	4	0	2013-07-22 10:43:12.284954+02	\N	\N	\N	\N	\N	\N	f	
23767	e9fcf76b-556d-44b9-b88e-fa38982327ac	Unna	Unna	3	0	2013-08-31 23:28:09.306497+02	\N	\N	\N	\N	\N	\N	f	
19529	e16c6d2c-548b-4c7b-a346-d05e76ecce3b	Cermignano	Cermignano	4	0	2013-07-22 10:46:19.307336+02	\N	\N	\N	\N	\N	\N	f	
11820	31a588bb-c6e8-41e0-b81d-ac69b8d5bb0f	Tama-ku	Tama-ku	5	0	2013-08-27 14:46:42.783204+02	\N	\N	\N	\N	\N	\N	f	
19568	6084519a-9247-498b-ac75-3df602ac9ba5	Sammichele di Bari	Sammichele di Bari	4	0	2013-07-22 10:53:29.135097+02	\N	\N	\N	\N	\N	\N	f	
22785	65ad4ead-dd04-44a7-813b-eb7ef363f47b	Capri Leone	Capri Leone	4	0	2013-08-14 17:46:16.702488+02	\N	\N	\N	\N	\N	\N	f	
23721	48c83ee6-3a74-40a8-bbe0-f1ecaa0d0188	Rosenheim	Rosenheim	3	0	2013-08-31 17:29:25.090289+02	\N	\N	\N	\N	\N	\N	f	
23179	a7dc1f36-ecff-4dc0-a410-575a867d1593	Strafford	Strafford	3	0	2013-08-22 05:49:27.410131+02	\N	\N	\N	\N	\N	\N	f	
23668	c9c39cb4-c978-4a00-97ed-9f8831dab11d	Huntington, New York	Huntington, New York	3	0	2013-08-27 17:35:19.778179+02	\N	\N	\N	\N	\N	\N	f	
23264	8d2ad562-290f-440b-b610-6df497dfef95	Provo	Provo	3	0	2013-08-24 14:31:06.483143+02	\N	\N	\N	\N	\N	\N	f	
23299	aef6b952-4ca2-44aa-8c2c-5f6eb9d4706f	Tremonton	Tremonton	3	0	2013-08-24 14:44:05.680243+02	\N	\N	\N	\N	\N	\N	f	
23361	edded2d7-d25e-4e5f-ac22-9b2e13b85a7a	Bountiful	Bountiful	3	0	2013-08-24 17:33:50.981386+02	\N	\N	\N	\N	\N	\N	f	
23673	98352285-1ba8-49cb-bf36-7f3e2460816b	Qeqertarsuaq	Qeqertarsuaq	3	0	2013-08-27 20:32:07.217127+02	\N	\N	\N	\N	\N	\N	f	
23411	4251e680-315f-4bef-80be-a37cabfef255	Muskego, Wisconsin	Muskego, Wisconsin	3	0	2013-08-24 20:36:59.526921+02	\N	\N	\N	\N	\N	\N	f	
23489	52188bcb-a615-426b-9450-f1272f32e261	Dubnica nad Váhom	Dubnica nad Váhom	3	0	2013-08-26 02:35:38.691543+02	\N	\N	\N	\N	\N	\N	f	
23730	092d5ff2-a2d9-453c-aa5c-8a3812e6776f	Merzig	Merzig	3	0	2013-08-31 20:20:43.988969+02	\N	\N	\N	\N	\N	\N	f	
11913	575dbf01-c265-4ce6-9a36-20cd77e2daf2	Naniwa-ku	Naniwa-ku	5	0	2013-08-28 15:41:29.882944+02	\N	\N	\N	\N	\N	\N	f	
23686	8821263c-6b9d-4d33-9c4c-1d3fc44b42b2	Záhorská Ves	Záhorská Ves	3	0	2013-08-28 16:23:49.267891+02	\N	\N	\N	\N	\N	\N	f	
23709	9a0213db-7e4f-4bab-950b-4c4e77ddbc18	Beresford	Beresford	3	0	2013-08-30 12:55:39.448781+02	\N	\N	\N	\N	\N	\N	f	
23778	f5edc1b3-c8fe-4594-8f18-d9ff38fbc8fa	Batak	Batak	3	0	2013-09-01 14:20:39.079002+02	\N	\N	\N	\N	\N	\N	f	
23756	b0d4a4d9-9165-45d4-9fda-c97507b0e57c	Erkner	Erkner	3	0	2013-08-31 20:37:09.868194+02	\N	\N	\N	\N	\N	\N	f	
23757	26102033-3cea-4e7e-8ba0-aae3c39bbf23	Taunusstein	Taunusstein	3	0	2013-08-31 20:37:23.532148+02	\N	\N	\N	\N	\N	\N	f	
23762	2f44827f-94c9-44e0-8b89-0f14eeb509b0	Eberswalde	Eberswalde	3	0	2013-08-31 20:42:37.250605+02	\N	\N	\N	\N	\N	\N	f	
25781	8790fad8-05ef-433d-9c95-dfbcc7344fe9	Thayer, Kansas	Thayer, Kansas	3	0	2013-09-07 14:37:12.956482+02	\N	\N	\N	\N	\N	\N	f	
24710	85c43ce0-db52-4dc0-8be8-a69f20f3870e	Sandwich	Sandwich	3	0	2013-09-07 08:16:04.195306+02	\N	\N	\N	\N	\N	\N	f	
24858	bf005b97-7204-410f-bb47-ca0f9941138e	Graettinger	Graettinger	3	0	2013-09-07 08:53:09.672064+02	\N	\N	\N	\N	\N	\N	f	
27027	0c018584-ace8-4d01-bdac-4a3d3ef39cf0	Forsyth	Forsyth	3	0	2013-09-08 04:28:25.101043+02	\N	\N	\N	\N	\N	\N	f	
25243	c6fc2e08-b293-4dd1-b00e-f63e2ef2eb08	Dunkerton	Dunkerton	3	0	2013-09-07 10:50:24.999795+02	\N	\N	\N	\N	\N	\N	f	
26905	25aa9d85-cdce-418b-8f0c-9ce01c528b12	White Sulphur Springs	White Sulphur Springs	3	0	2013-09-08 03:57:01.309888+02	\N	\N	\N	\N	\N	\N	f	
26225	1e4430af-fba4-4df5-8381-b847429e5aa2	Lebanon Junction	Lebanon Junction	3	0	2013-09-07 20:50:03.901772+02	\N	\N	\N	\N	\N	\N	f	
26548	08b0dc60-6e14-48e2-afd0-7b69c8cea752	Elk Falls	Elk Falls	3	0	2013-09-08 01:05:02.398221+02	\N	\N	\N	\N	\N	\N	f	
27029	c43817b6-a8d6-4b19-9a71-431a2dd1c2a0	Pagedale	Pagedale	3	0	2013-09-08 04:28:54.038454+02	\N	\N	\N	\N	\N	\N	f	
27031	4cc528a6-bada-4ca0-a591-548d499ae572	Edina	Edina	3	0	2013-09-08 04:29:23.707626+02	\N	\N	\N	\N	\N	\N	f	
27037	9bd67ef9-6373-45bf-a459-c6c18f59e009	Vandalia	Vandalia	3	0	2013-09-08 04:30:54.346926+02	\N	\N	\N	\N	\N	\N	f	
27306	bde7457b-4b83-4103-b448-bb89887e4835	Crosby, North Dakota	Crosby, North Dakota	3	0	2013-09-08 07:23:44.33073+02	\N	\N	\N	\N	\N	\N	f	
27344	8dc0e618-5fa3-4103-b9e4-264418c88c91	LaMoure, North Dakota	LaMoure, North Dakota	3	0	2013-09-08 07:33:09.30031+02	\N	\N	\N	\N	\N	\N	f	
27379	25314f8b-a591-46d9-bec8-b6f6c7efaa5c	Bowman, North Dakota	Bowman, North Dakota	3	0	2013-09-08 07:42:33.903835+02	\N	\N	\N	\N	\N	\N	f	
15047	c89ea1f1-7099-4c43-997d-c2d9fffcae4b	Paesana	Paesana	4	0	2013-07-21 23:41:19.373397+02	\N	\N	\N	\N	\N	\N	f	
27381	a897a060-b776-4ad7-8488-8a23cdc25d33	Walhalla, North Dakota	Walhalla, North Dakota	3	0	2013-09-08 07:43:00.994676+02	\N	\N	\N	\N	\N	\N	f	
11488	82664327-1860-4ec2-8ae5-885f78828c78	Dunaföldvár	Dunaföldvár	3	0	2013-06-25 06:34:36.339795+02	\N	\N	\N	\N	\N	\N	f	
11493	0b1d990d-fdb9-48a5-baeb-4630a26483a0	Vásárosnamény	Vásárosnamény	3	0	2013-06-25 06:35:51.487401+02	\N	\N	\N	\N	\N	\N	f	
11494	cffea355-5ff1-43d8-ab1a-16a2810be204	Elek	Elek	3	0	2013-06-25 06:36:04.387333+02	\N	\N	\N	\N	\N	\N	f	
13964	f0f994d8-eaaf-41a8-bb8a-bf78d5b37190	Pontevico	Pontevico	4	0	2013-07-21 19:52:27.204142+02	\N	\N	\N	\N	\N	\N	f	
11495	c85e9a42-a416-4c0b-8693-1ea38375cda2	Kisújszállás	Kisújszállás	3	0	2013-06-25 06:36:17.692821+02	\N	\N	\N	\N	\N	\N	f	
11497	36284f84-2e8a-41bf-a214-b0b2f5e243e3	Körösladány	Körösladány	3	0	2013-06-25 06:36:50.818001+02	\N	\N	\N	\N	\N	\N	f	
11499	4a8a890c-ed89-4b31-b916-caecd6aa7d9c	Rakamaz	Rakamaz	3	0	2013-06-25 06:37:17.192948+02	\N	\N	\N	\N	\N	\N	f	
14527	458d3ea9-ac03-4e59-8e31-28f85d9d43e0	Ticineto	Ticineto	4	0	2013-07-21 21:58:02.991667+02	\N	\N	\N	\N	\N	\N	f	
11500	cad8be78-e951-440d-b56f-8510a42e6bd2	Tököl	Tököl	3	0	2013-06-25 06:37:34.722607+02	\N	\N	\N	\N	\N	\N	f	
11504	2cc9cd2b-2e7e-43cf-90df-2229c44dd62b	Nádudvar	Nádudvar	3	0	2013-06-25 06:38:51.678254+02	\N	\N	\N	\N	\N	\N	f	
15667	d0585312-cfd5-4fd4-b910-d9df6fe71965	Genazzano	Genazzano	4	0	2013-07-22 01:36:12.337798+02	\N	\N	\N	\N	\N	\N	f	
14541	d43687da-3c4b-4a39-aefe-f3f2a6402503	Tagliolo Monferrato	Tagliolo Monferrato	4	0	2013-07-21 22:01:30.998127+02	\N	\N	\N	\N	\N	\N	f	
14555	692b4a10-c059-4f5a-8bd9-02ae0c9591d5	San Lorenzo Nuovo	San Lorenzo Nuovo	4	0	2013-07-21 22:04:41.233+02	\N	\N	\N	\N	\N	\N	f	
14559	ae09e515-b300-4b99-b35e-047ea22291ca	Castell'Alfero	Castell'Alfero	4	0	2013-07-21 22:05:29.564074+02	\N	\N	\N	\N	\N	\N	f	
16622	278cb3b8-45ec-4d8f-b4bc-59b812753b57	Orgosolo	Orgosolo	4	0	2013-07-22 03:56:12.606625+02	\N	\N	\N	\N	\N	\N	f	
15046	f4266c2b-410f-442d-b49c-3d0839c5a61c	Pamparato	Pamparato	4	0	2013-07-21 23:41:09.353979+02	\N	\N	\N	\N	\N	\N	f	
15153	a8b29b8c-4c64-41cf-ade3-3b74fed61b1d	Sale delle Langhe	Sale delle Langhe	4	0	2013-07-21 23:53:59.693553+02	\N	\N	\N	\N	\N	\N	f	
17443	b1604377-d03a-40ce-9c6a-dcab77849baf	Lovero	Lovero	4	0	2013-07-22 06:28:24.719168+02	\N	\N	\N	\N	\N	\N	f	
16685	d1f5bedd-18bc-405a-93b3-02a1737c86e2	Ruffrè-Mendola	Ruffrè-Mendola	4	0	2013-07-22 04:09:12.081836+02	\N	\N	\N	\N	\N	\N	f	
15289	4a798357-7b3f-42d0-a584-fd8bc36758bf	Monterotondo Marittimo	Monterotondo Marittimo	4	0	2013-07-22 00:11:47.607416+02	\N	\N	\N	\N	\N	\N	f	
16712	ef4ab8ca-bd8d-4c6d-bd07-6d64f1559022	Telve di Sopra	Telve di Sopra	4	0	2013-07-22 04:16:33.805142+02	\N	\N	\N	\N	\N	\N	f	
16808	3be101ed-70de-4788-b8ac-3f95a1723c87	Alà dei Sardi	Alà dei Sardi	4	0	2013-07-22 04:41:58.114434+02	\N	\N	\N	\N	\N	\N	f	
17149	f85c094e-b445-41f7-a38e-d9b0657cc871	Gonnostramatza	Gonnostramatza	4	0	2013-07-22 05:50:02.754614+02	\N	\N	\N	\N	\N	\N	f	
19855	0ec7c9de-1929-4384-818e-68cd26ad81ca	San Pietro in Lama	San Pietro in Lama	4	0	2013-07-22 11:47:07.397176+02	\N	\N	\N	\N	\N	\N	f	
18449	f587dc2a-9a8c-4740-9e7a-d0ed4de6e9da	Imbersago	Imbersago	4	0	2013-07-22 08:30:38.97427+02	\N	\N	\N	\N	\N	\N	f	
18471	68e08bf8-89f8-43e5-bbc4-2e99b6b99a18	Santa Margherita di Belice	Santa Margherita di Belice	4	0	2013-07-22 08:36:04.005023+02	\N	\N	\N	\N	\N	\N	f	
23413	0e22a2a9-f868-46a7-9486-e93980eb6bdd	Ashland, Wisconsin	Ashland, Wisconsin	3	0	2013-08-24 20:38:04.068974+02	\N	\N	\N	\N	\N	\N	f	
18584	167ce8e7-d915-4ab2-8632-f507fc1de560	Angiari	Angiari	4	0	2013-07-22 08:49:00.370846+02	\N	\N	\N	\N	\N	\N	f	
19990	7f65bc84-88b7-4b21-a1bf-48e8014f4d4e	Oppido Lucano	Oppido Lucano	4	0	2013-07-22 12:04:31.834749+02	\N	\N	\N	\N	\N	\N	f	
18629	d6587a14-527c-46b8-aa8a-87e12d41117d	Musile di Piave	Musile di Piave	4	0	2013-07-22 08:54:41.986569+02	\N	\N	\N	\N	\N	\N	f	
18699	89afc473-e665-44c2-927a-cf44f9d9cd85	Avezzano	Avezzano	4	0	2013-07-22 09:03:14.117176+02	\N	\N	\N	\N	\N	\N	f	
18746	cb0963b8-2d63-4856-8f52-36827ba71fd8	Magreglio	Magreglio	4	0	2013-07-22 09:09:15.085495+02	\N	\N	\N	\N	\N	\N	f	
20565	800a0fe7-2095-470d-8af2-f8717e5f3543	Joppolo	Joppolo	4	0	2013-07-23 05:40:00.312697+02	\N	\N	\N	\N	\N	\N	f	
18747	5b1d961a-4127-4917-8074-eafa84d5ae00	Valsolda	Valsolda	4	0	2013-07-22 09:09:19.228182+02	\N	\N	\N	\N	\N	\N	f	
11899	1b0ca066-6228-4ca6-990d-18bdc3bf3577	Miyakojima-ku	Miyakojima-ku	5	0	2013-08-28 15:41:33.963109+02	\N	\N	\N	\N	\N	\N	f	
18752	63049979-3ca2-4b54-afb9-732140639771	Cucciago	Cucciago	4	0	2013-07-22 09:09:54.47259+02	\N	\N	\N	\N	\N	\N	f	
18753	41eccdf8-846e-46ea-8b9b-75a4f45c4668	Torno	Torno	4	0	2013-07-22 09:09:56.320848+02	\N	\N	\N	\N	\N	\N	f	
23415	90a7fe3e-4032-4f09-b09f-4bf814236c71	Brookfield, Wisconsin	Brookfield, Wisconsin	3	0	2013-08-24 20:40:46.660784+02	\N	\N	\N	\N	\N	\N	f	
19369	899873e9-eaa3-49e1-b1bd-6bdb62690516	Civitella Messer Raimondo	Civitella Messer Raimondo	4	0	2013-07-22 10:26:38.867953+02	\N	\N	\N	\N	\N	\N	f	
22786	cfe2e5f1-5fb1-4821-aeb0-538382f53cc2	Santa Lucia del Mela	Santa Lucia del Mela	4	0	2013-08-14 17:46:29.887463+02	\N	\N	\N	\N	\N	\N	f	
22811	23438a2e-7bdd-4cce-9d06-098d1a2d58c6	Venetico	Venetico	4	0	2013-08-14 17:53:02.696344+02	\N	\N	\N	\N	\N	\N	f	
24711	4413db0f-10d0-4c59-9709-7a18c0e8353e	O'Fallon	O'Fallon	3	0	2013-09-07 08:16:19.002695+02	\N	\N	\N	\N	\N	\N	f	
23180	53d26b21-57f7-4487-bc2d-94c4607bf872	St. Martin, Minnesota	St. Martin, Minnesota	3	0	2013-08-22 05:50:38.894227+02	\N	\N	\N	\N	\N	\N	f	
23490	2830457d-f557-4f74-87e5-2b39eb688a4e	Brezno	Brezno	3	0	2013-08-26 02:35:58.831153+02	\N	\N	\N	\N	\N	\N	f	
23181	846b8f98-1bca-4411-99d0-4b57594bc84e	Lakeville	Lakeville	3	0	2013-08-22 05:51:16.686876+02	\N	\N	\N	\N	\N	\N	f	
23268	8748a63e-2091-4e35-aff9-f7da22ea66e5	Gallatin, Tennessee	Gallatin, Tennessee	3	0	2013-08-24 14:33:07.542889+02	\N	\N	\N	\N	\N	\N	f	
23731	42c268aa-76e3-4ed5-a353-287eaa8fbfcd	Eisenhüttenstadt	Eisenhüttenstadt	3	0	2013-08-31 20:21:04.300112+02	\N	\N	\N	\N	\N	\N	f	
23316	47e77c70-0aaf-4b89-810e-22bf53a16cb7	Corinne	Corinne	3	0	2013-08-24 14:48:43.374307+02	\N	\N	\N	\N	\N	\N	f	
23362	30795623-8a98-4f59-bb91-ef048c3c25ca	Garland	Garland	3	0	2013-08-24 17:34:06.979793+02	\N	\N	\N	\N	\N	\N	f	
23567	04c0bc52-e75a-4b49-82a0-c03799c3095e	Trenčianske Teplice	Trenčianske Teplice	3	0	2013-08-26 14:34:08.059845+02	\N	\N	\N	\N	\N	\N	f	
15276	8d29d0be-2771-4324-874b-7196fc8a7a0e	Villar San Costanzo	Villar San Costanzo	4	0	2013-08-29 14:00:39.702264+02	\N	\N	\N	\N	\N	\N	f	
23633	e6088011-d986-4514-a354-2edd16a862f2	Cleveland	Cleveland	3	0	2013-08-26 17:39:55.980208+02	\N	\N	\N	\N	\N	\N	f	
11829	f92f773c-2cb0-4fba-b1bf-47eadb77b228	Minuma-ku	Minuma-ku	5	0	2013-08-27 14:48:01.978188+02	\N	\N	\N	\N	\N	\N	f	
23768	6d8bcc80-0921-459a-a5b7-0fd83988dedd	Gernsbach	Gernsbach	3	0	2013-08-31 23:29:26.048167+02	\N	\N	\N	\N	\N	\N	f	
23674	d2f6a6c4-c14e-4a18-8553-8b2c88069696	Cactus	Cactus	3	0	2013-08-27 20:34:52.998008+02	\N	\N	\N	\N	\N	\N	f	
23710	25f60c02-dbe8-414d-9f1a-18cb9f807865	Eagle Butte	Eagle Butte	3	0	2013-08-30 12:56:16.894929+02	\N	\N	\N	\N	\N	\N	f	
23719	8fa82d58-f57e-4c18-b720-13192afe9a8a	Erlangen	Erlangen	3	0	2013-08-31 17:27:41.894148+02	\N	\N	\N	\N	\N	\N	f	
25244	b9624167-a29f-4691-927f-0a92c3a73e22	Gladbrook	Gladbrook	3	0	2013-09-07 10:50:43.761598+02	\N	\N	\N	\N	\N	\N	f	
23779	c5791dbd-122a-4c22-a745-47994cd55ecc	Vidin	Vidin	3	0	2013-09-01 14:21:01.854611+02	\N	\N	\N	\N	\N	\N	f	
26906	373122c1-4700-4fc9-9a02-0658dee35dde	Keytesville	Keytesville	3	0	2013-09-08 03:57:16.220635+02	\N	\N	\N	\N	\N	\N	f	
26549	dbc6b041-5590-4f97-95d4-25082374efb8	Murphys Creek	Murphys Creek	3	0	2013-09-08 01:05:21.373029+02	\N	\N	\N	\N	\N	\N	f	
25786	1763659f-b467-47f1-87f8-b8b3d027ea81	St. Charles, Kentucky	St. Charles, Kentucky	3	0	2013-09-07 14:38:26.779498+02	\N	\N	\N	\N	\N	\N	f	
26226	9cbc9f55-a92a-4970-87dc-42d40d3e5ca5	Crestview	Crestview	3	0	2013-09-07 20:50:19.043917+02	\N	\N	\N	\N	\N	\N	f	
27312	78ead43c-b1b0-4d22-8f3c-817f5f364d17	Leonard, North Dakota	Leonard, North Dakota	3	0	2013-09-08 07:25:11.262797+02	\N	\N	\N	\N	\N	\N	f	
27322	350fa573-8d31-4ebb-a23e-f1407dbc1dd1	Marmarth, North Dakota	Marmarth, North Dakota	3	0	2013-09-08 07:27:36.981431+02	\N	\N	\N	\N	\N	\N	f	
27341	0f1e8171-55ca-4fed-8544-9bf0272c994b	Fairmount, North Dakota	Fairmount, North Dakota	3	0	2013-09-08 07:32:20.006414+02	\N	\N	\N	\N	\N	\N	f	
27366	8e1fb418-082c-4d8d-9067-01eeb51c240c	Deering, North Dakota	Deering, North Dakota	3	0	2013-09-08 07:39:26.690431+02	\N	\N	\N	\N	\N	\N	f	
27639	e2d818bd-e5b8-488f-a58b-89b9784caea5	Glenburn, North Dakota	Glenburn, North Dakota	3	0	2013-09-08 09:05:36.787709+02	\N	\N	\N	\N	\N	\N	f	
27385	d63d1aab-4623-4d78-8e01-37f9f315dea3	Reynolds, North Dakota	Reynolds, North Dakota	3	0	2013-09-08 07:44:00.168125+02	\N	\N	\N	\N	\N	\N	f	
11502	71ce4b87-e126-494e-bc18-c1f82c486724	Mindszent	Mindszent	3	0	2013-06-25 06:38:19.603071+02	\N	\N	\N	\N	\N	\N	f	
11535	6ddb84c8-2605-4d3d-833e-8c06f0cdc25d	Inakadate	Inakadate	3	0	2013-06-25 11:24:41.776139+02	\N	\N	\N	\N	\N	\N	f	
11509	64c2d16c-af56-4f13-93c6-dbfd60c8a214	Üllő	Üllő	3	0	2013-06-25 06:39:50.663925+02	\N	\N	\N	\N	\N	\N	f	
16625	604f894b-522d-4ceb-8ae6-0b4b99c47453	Lodè	Lodè	4	0	2013-07-22 03:56:37.708387+02	\N	\N	\N	\N	\N	\N	f	
11511	43507197-1cb8-4a61-a454-e40b05005dcd	Nyírtelek	Nyírtelek	3	0	2013-06-25 06:40:14.690564+02	\N	\N	\N	\N	\N	\N	f	
11512	a978c1fb-5cac-4af3-a9c4-09f75606abc8	Nagyhalász	Nagyhalász	3	0	2013-06-25 06:40:26.484004+02	\N	\N	\N	\N	\N	\N	f	
11536	1c462834-1de2-4304-ae47-d83cc451af0c	Rokkasho	Rokkasho	3	0	2013-06-25 11:24:55.785164+02	\N	\N	\N	\N	\N	\N	f	
11513	6811eb90-6e93-4215-99cd-577b17836220	Mezőkövesd	Mezőkövesd	3	0	2013-06-25 06:40:38.187388+02	\N	\N	\N	\N	\N	\N	f	
11515	0b73bf13-df72-4c6e-a08b-7b0fbf4a999f	Martonvásár	Martonvásár	3	0	2013-06-25 06:41:03.133791+02	\N	\N	\N	\N	\N	\N	f	
11517	952df6d0-74e8-4228-9752-14633f23cfd2	Kompolt	Kompolt	3	0	2013-06-25 06:41:31.610539+02	\N	\N	\N	\N	\N	\N	f	
11518	4712d5db-5c74-4844-b1fb-bed36c605b78	Tiszacsege	Tiszacsege	3	0	2013-06-25 06:42:38.629722+02	\N	\N	\N	\N	\N	\N	f	
11519	b12e3cbf-8609-4253-a1b3-7277cb51d619	Ōamishirasato	Ōamishirasato	3	0	2013-06-25 11:18:36.768863+02	\N	\N	\N	\N	\N	\N	f	
11551	9eba925e-d5a1-47fa-be2c-c98330d38d9b	Narashino	Narashino	3	0	2013-06-25 11:40:47.02094+02	\N	\N	\N	\N	\N	\N	f	
11520	98bcafd8-6242-4b7d-9696-1a803f6aeed1	Minamimaki	Minamimaki	3	0	2013-06-25 11:18:56.004851+02	\N	\N	\N	\N	\N	\N	f	
11538	27e681ee-84cf-426d-b8e5-65066d683cb8	Nabari	Nabari	3	0	2013-06-25 11:27:14.327899+02	\N	\N	\N	\N	\N	\N	f	
11521	d7ff6474-ca8a-45ac-a708-d6b62999ccdd	Ōharu	Ōharu	3	0	2013-06-25 11:19:18.097721+02	\N	\N	\N	\N	\N	\N	f	
11522	8a1b67ef-55a2-45dc-ba15-5513ced73d1c	Kasamatsu	Kasamatsu	3	0	2013-06-25 11:19:34.657202+02	\N	\N	\N	\N	\N	\N	f	
11523	ebcde60c-8340-4b48-b517-5413b5c174b9	Wanouchi	Wanouchi	3	0	2013-06-25 11:19:56.273367+02	\N	\N	\N	\N	\N	\N	f	
11539	ef6e08e3-4caa-4def-9ae6-d7c347e5c7df	Kamakura City	Kamakura City	3	0	2013-06-25 11:30:52.781673+02	\N	\N	\N	\N	\N	\N	f	
11524	7bc5f0ed-182c-47bb-8ee7-aa9878f4963e	Kanie	Kanie	3	0	2013-06-25 11:20:11.395046+02	\N	\N	\N	\N	\N	\N	f	
11525	d503df80-7e1e-4e8d-acc4-dc803691792d	Ichikawamisato	Ichikawamisato	3	0	2013-06-25 11:20:36.046768+02	\N	\N	\N	\N	\N	\N	f	
11526	07b8bda7-d742-4e70-9cd6-bee247bec39c	Kōta	Kōta	3	0	2013-06-25 11:21:48.295173+02	\N	\N	\N	\N	\N	\N	f	
11540	6265b725-2a70-4360-9284-7dfc8aaa9314	Asahikawa	Asahikawa	3	0	2013-06-25 11:31:05.770826+02	\N	\N	\N	\N	\N	\N	f	
11527	be765417-54cf-4187-87ae-2a24f939fc31	Iide	Iide	3	0	2013-06-25 11:22:13.223638+02	\N	\N	\N	\N	\N	\N	f	
11528	c6b5dfec-d153-46db-a372-044d9e1488d3	Kahoku	Kahoku	3	0	2013-06-25 11:22:27.832961+02	\N	\N	\N	\N	\N	\N	f	
11552	8bc95ba7-08e4-4e5c-97a0-be90d27a1408	Matsudo	Matsudo	3	0	2013-06-25 11:41:05.92427+02	\N	\N	\N	\N	\N	\N	f	
11529	749533e1-18fc-4f91-a092-60e153b354c7	Nishimeya	Nishimeya	3	0	2013-06-25 11:22:46.363996+02	\N	\N	\N	\N	\N	\N	f	
11541	20b38200-04e4-4dc0-ae72-a677332aa9f0	Suzuka	Suzuka	3	0	2013-06-25 11:31:55.18888+02	\N	\N	\N	\N	\N	\N	f	
11530	252f3edd-e113-4073-a7f3-01c247e1dacb	Yomogita	Yomogita	3	0	2013-06-25 11:23:04.609196+02	\N	\N	\N	\N	\N	\N	f	
11531	6aa85b99-1e8a-4715-a541-e425b07c98cf	Kazamaura	Kazamaura	3	0	2013-06-25 11:23:26.435648+02	\N	\N	\N	\N	\N	\N	f	
11532	c159cd81-be7f-47ab-b68d-d43ccb9115dc	Higashidōri	Higashidōri	3	0	2013-06-25 11:23:42.266587+02	\N	\N	\N	\N	\N	\N	f	
11542	4ce72efd-e3b8-4abb-a447-aa5e7808ee07	Ichihara	Ichihara	3	0	2013-06-25 11:32:14.473247+02	\N	\N	\N	\N	\N	\N	f	
11533	4aee8c73-3714-41fe-a2d7-76f67cb64495	Shakotan	Shakotan	3	0	2013-06-25 11:24:01.82589+02	\N	\N	\N	\N	\N	\N	f	
11534	23ec7118-139a-4c45-b715-5cd16017d88c	Sai	Sai	3	0	2013-06-25 11:24:28.301179+02	\N	\N	\N	\N	\N	\N	f	
11561	3d11565e-2bab-44c0-b3e9-bd8ed6c9937a	Kamagaya	Kamagaya	3	0	2013-06-25 11:44:48.281759+02	\N	\N	\N	\N	\N	\N	f	
11553	f2c01f1d-f8d2-4265-b813-ce907c8b58ec	Urayasu	Urayasu	3	0	2013-06-25 11:41:17.89018+02	\N	\N	\N	\N	\N	\N	f	
11543	f237bef1-db15-4bfb-9ec4-c53ff5f13257	Ichikawa	Ichikawa	3	0	2013-06-25 11:32:39.268728+02	\N	\N	\N	\N	\N	\N	f	
11544	e7b66025-8274-43b1-a6f4-7c68203565db	Zushi City	Zushi City	3	0	2013-06-25 11:34:42.416758+02	\N	\N	\N	\N	\N	\N	f	
11545	ae6fbc6e-8c5d-41e9-b216-dba27327ffe6	Otaru	Otaru	3	0	2013-06-25 11:35:42.90841+02	\N	\N	\N	\N	\N	\N	f	
11554	2c8e473a-c08c-4253-9744-b491a8c8e58e	Nagareyama	Nagareyama	3	0	2013-06-25 11:41:47.014504+02	\N	\N	\N	\N	\N	\N	f	
11546	f1ac8353-84dc-4179-89ee-a84bdf2cdfbb	Clearwater	Clearwater	3	0	2013-06-25 11:36:27.250422+02	\N	\N	\N	\N	\N	\N	f	
11547	bb7354ec-27c3-461b-a8c5-eb1a2032226b	Abiko	Abiko	3	0	2013-06-25 11:36:45.820579+02	\N	\N	\N	\N	\N	\N	f	
11567	4a195ad1-1772-46e1-b51c-c93706006663	Lowell	Lowell	3	0	2013-06-25 11:48:16.060593+02	\N	\N	\N	\N	\N	\N	f	
11548	c09e5ec3-eeeb-4497-bac2-b5bc66ae062e	Tōgō	Tōgō	3	0	2013-06-25 11:38:26.615646+02	\N	\N	\N	\N	\N	\N	f	
11555	4e2303ff-8b43-47d2-9ff9-77289713bede	Ise	Ise	3	0	2013-06-25 11:42:00.03866+02	\N	\N	\N	\N	\N	\N	f	
11549	4502ca6e-0924-475f-b5bc-db50b0ddcbb1	Wakkanai	Wakkanai	3	0	2013-06-25 11:38:48.125336+02	\N	\N	\N	\N	\N	\N	f	
11562	e79ac140-a548-4519-907e-891989221af5	Yotsukaidō	Yotsukaidō	3	0	2013-06-25 11:45:53.370208+02	\N	\N	\N	\N	\N	\N	f	
11550	7af10105-212f-43e5-a6c6-a48b782402c0	Inabe	Inabe	3	0	2013-06-25 11:39:50.207912+02	\N	\N	\N	\N	\N	\N	f	
11556	79889efc-f389-47d4-9ec9-ef4d3e52b22e	Shima	Shima	3	0	2013-06-25 11:42:27.989765+02	\N	\N	\N	\N	\N	\N	f	
11557	b5e32d87-3990-48c1-b6c7-a3d113fb423e	Kisarazu	Kisarazu	3	0	2013-06-25 11:42:39.987354+02	\N	\N	\N	\N	\N	\N	f	
11563	4b508bcc-81bc-497d-9df4-8bcc7e7f23a6	Shingō	Shingō	3	0	2013-06-25 11:46:27.587199+02	\N	\N	\N	\N	\N	\N	f	
11558	b19e46f0-6733-41fe-80f8-cc8cacca2cce	Fujisawa City	Fujisawa City	3	0	2013-06-25 11:44:04.287383+02	\N	\N	\N	\N	\N	\N	f	
11559	b3e2a0ed-6f29-43d1-857b-f9cc84bb506d	Iwata	Iwata	3	0	2013-06-25 11:44:16.2381+02	\N	\N	\N	\N	\N	\N	f	
11574	01c5d2d1-4961-4c36-9d17-c2a4461785ec	Shiroi	Shiroi	3	0	2013-06-25 11:50:40.853871+02	\N	\N	\N	\N	\N	\N	f	
11560	92158522-f03e-4884-8881-1672aae57a5a	Kamogawa	Kamogawa	3	0	2013-06-25 11:44:34.832194+02	\N	\N	\N	\N	\N	\N	f	
11568	9bc5844c-9e48-45d7-a3ca-26d3f9493c35	Fujinomiya	Fujinomiya	3	0	2013-06-25 11:48:45.904993+02	\N	\N	\N	\N	\N	\N	f	
11564	e9ad1c99-2e71-4dd1-ae6b-defd740dfdbe	Matsusaka	Matsusaka	3	0	2013-06-25 11:46:51.812892+02	\N	\N	\N	\N	\N	\N	f	
11565	d65f62d2-f1d8-4e9b-88a3-4a09614a545a	Iga	Iga	3	0	2013-06-25 11:47:04.968636+02	\N	\N	\N	\N	\N	\N	f	
11572	cba7f4ce-e9d7-48e8-ac01-7f8d21bb7a0d	Ebetsu	Ebetsu	3	0	2013-06-25 11:49:40.277717+02	\N	\N	\N	\N	\N	\N	f	
11566	f53ffcbc-6369-4ae4-980c-4c99ab3d86ca	Hadano City	Hadano City	3	0	2013-06-25 11:47:16.681868+02	\N	\N	\N	\N	\N	\N	f	
11569	0af5a831-0ced-47d4-8f83-7bb918e50043	Sakura	Sakura	3	0	2013-06-25 11:48:59.928804+02	\N	\N	\N	\N	\N	\N	f	
11570	23296088-5335-478f-bef7-d011bbd69de1	Futtsu	Futtsu	3	0	2013-06-25 11:49:12.257564+02	\N	\N	\N	\N	\N	\N	f	
11571	810cad32-c2a3-4aa8-adbd-4931b254c352	Kuwana	Kuwana	3	0	2013-06-25 11:49:27.041476+02	\N	\N	\N	\N	\N	\N	f	
11576	87210b1e-0102-41a8-8a65-86054a97104b	Shimada	Shimada	3	0	2013-06-25 11:53:14.203461+02	\N	\N	\N	\N	\N	\N	f	
11573	ece4bdb5-6bca-4969-a334-44f840792f29	Mobara	Mobara	3	0	2013-06-25 11:50:07.864257+02	\N	\N	\N	\N	\N	\N	f	
11575	d0d098a1-5093-495e-9dac-9828478a9d05	West Jordan	West Jordan	3	0	2013-06-25 11:51:03.90916+02	\N	\N	\N	\N	\N	\N	f	
11578	818f7dd2-87a7-4137-8e0c-f7b1b951fe41	Asahi	Asahi	3	0	2013-06-25 11:54:22.876723+02	\N	\N	\N	\N	\N	\N	f	
11577	76bb4e20-97f7-4d91-b88b-77cfd9b2a86f	Kimitsu	Kimitsu	3	0	2013-06-25 11:54:09.594005+02	\N	\N	\N	\N	\N	\N	f	
11579	b88a9283-8951-411a-b383-362c94260e1d	Tōgane	Tōgane	3	0	2013-06-25 11:54:34.76248+02	\N	\N	\N	\N	\N	\N	f	
11580	b3c2830a-eeff-4110-aa06-01351d75d8cc	Inzai	Inzai	3	0	2013-06-25 11:54:47.022542+02	\N	\N	\N	\N	\N	\N	f	
11581	06147e34-8ff5-4029-af91-960e1638ffaf	Tateyama	Tateyama	3	0	2013-06-25 11:55:16.634165+02	\N	\N	\N	\N	\N	\N	f	
11582	25cd2532-de4d-4505-a519-31f95c231bda	Kameyama	Kameyama	3	0	2013-06-25 11:55:28.412303+02	\N	\N	\N	\N	\N	\N	f	
11583	541e1c40-f2ef-41e9-84ef-5b251d83a398	Sodegaura	Sodegaura	3	0	2013-06-25 11:55:42.32385+02	\N	\N	\N	\N	\N	\N	f	
11584	0867e090-f0e5-4c37-a6d9-b4f131d9478f	Minamiashigara City	Minamiashigara City	3	0	2013-06-25 11:56:01.484081+02	\N	\N	\N	\N	\N	\N	f	
11585	de55c4ca-c7bb-48ba-b2da-d7f893706ada	Atami	Atami	3	0	2013-06-25 11:56:13.902266+02	\N	\N	\N	\N	\N	\N	f	
11586	003b36ab-18fc-4ad3-afe4-42de6c928ae6	Mishima	Mishima	3	0	2013-06-25 11:56:25.793823+02	\N	\N	\N	\N	\N	\N	f	
11587	3743b381-2cf8-4f35-a65c-1421bdde21c1	Shimoda	Shimoda	3	0	2013-06-25 11:56:37.640045+02	\N	\N	\N	\N	\N	\N	f	
13971	e4c2d8c1-df77-4cb6-8060-2771a93ec191	Morciano di Romagna	Morciano di Romagna	4	0	2013-07-21 19:53:59.139421+02	\N	\N	\N	\N	\N	\N	f	
13981	1ae95ecd-808f-4069-b1bc-954038fa3bc0	Coriano	Coriano	4	0	2013-07-21 19:56:09.874759+02	\N	\N	\N	\N	\N	\N	f	
15670	af7ba1dc-2023-4dee-8ea7-99218c94edee	Guidonia Montecelio	Guidonia Montecelio	4	0	2013-07-22 01:36:49.314822+02	\N	\N	\N	\N	\N	\N	f	
13984	ecafc965-8849-475d-80b9-98f3fb94be23	Saviore dell'Adamello	Saviore dell'Adamello	4	0	2013-07-21 19:57:04.651505+02	\N	\N	\N	\N	\N	\N	f	
14528	e78f3c46-5032-497a-b9e7-04dd04012c4b	San Salvatore Monferrato	San Salvatore Monferrato	4	0	2013-07-21 21:58:17.686825+02	\N	\N	\N	\N	\N	\N	f	
14584	e1ca64e1-cbd5-4191-af0d-e7d76ea1e6de	Cerreto d'Asti	Cerreto d'Asti	4	0	2013-07-21 22:10:43.857364+02	\N	\N	\N	\N	\N	\N	f	
15307	83f6122e-8c00-4c65-a0ca-e2574ff02e02	Mercatello sul Metauro	Mercatello sul Metauro	4	0	2013-07-22 00:16:15.053292+02	\N	\N	\N	\N	\N	\N	f	
17444	6cd5883f-e99c-40ed-8f94-ce4ac6ed31bd	Camparada	Camparada	4	0	2013-07-22 06:28:28.847605+02	\N	\N	\N	\N	\N	\N	f	
16647	71cf68f6-f866-4f61-af0d-6f37ce416194	Ortueri	Ortueri	4	0	2013-07-22 03:59:42.272415+02	\N	\N	\N	\N	\N	\N	f	
16705	3d6fd6c9-269b-4fbc-bf12-52f0aad95e97	Aragona	Aragona	4	0	2013-07-22 04:14:21.882361+02	\N	\N	\N	\N	\N	\N	f	
17151	c0211376-5d46-41ef-ad8a-19045fa27b01	Laconi	Laconi	4	0	2013-07-22 05:50:20.672124+02	\N	\N	\N	\N	\N	\N	f	
17507	572b22a8-9191-46f3-91a3-66f641968cf6	Menarola	Menarola	4	0	2013-07-22 06:36:04.846807+02	\N	\N	\N	\N	\N	\N	f	
19862	302da54b-ef33-4a8e-a13f-7e718ed3daa8	Calciano	Calciano	4	0	2013-07-22 11:48:00.443947+02	\N	\N	\N	\N	\N	\N	f	
23585	b95da7da-abb1-4aa8-9fe6-a97d37a8b301	Hnúšťa	Hnúšťa	3	0	2013-08-26 14:42:17.014304+02	\N	\N	\N	\N	\N	\N	f	
17632	fe5afc3d-cba3-41f4-a1ec-6b3699dba0ef	Gravellona Lomellina	Gravellona Lomellina	4	0	2013-07-22 06:51:32.730406+02	\N	\N	\N	\N	\N	\N	f	
19867	8ff1adb2-1010-4256-a823-e3722ed43cba	Filattiera	Filattiera	4	0	2013-07-22 11:48:31.624888+02	\N	\N	\N	\N	\N	\N	f	
18450	2f1582d7-1510-4baa-8c1a-51223e9f85fa	Settimo Milanese	Settimo Milanese	4	0	2013-07-22 08:30:56.416218+02	\N	\N	\N	\N	\N	\N	f	
19370	19c475d0-8e88-4a50-8402-c420fc8fef0b	Gamberale	Gamberale	4	0	2013-07-22 10:26:43.276022+02	\N	\N	\N	\N	\N	\N	f	
23591	1967812a-8c60-4e1b-b97a-3c665144f759	Veľký Šariš	Veľký Šariš	3	0	2013-08-26 14:43:46.320642+02	\N	\N	\N	\N	\N	\N	f	
20011	e85b7447-3a60-4ec0-b751-388a65d64e83	Vaglio Basilicata	Vaglio Basilicata	4	0	2013-07-22 12:07:27.318+02	\N	\N	\N	\N	\N	\N	f	
25835	5ac936cf-c2b1-4b0e-958f-ac83bcf17d2f	Freeport, Kansas	Freeport, Kansas	3	0	2013-09-07 14:52:04.724494+02	\N	\N	\N	\N	\N	\N	f	
20567	52790e1c-23ec-4eb8-b0ad-00af79a27ebc	Sinopoli	Sinopoli	4	0	2013-07-23 05:40:24.440615+02	\N	\N	\N	\N	\N	\N	f	
23635	4286d645-71e9-44e7-b7cb-959f9424e43c	Nivala	Nivala	3	0	2013-08-26 17:41:51.954363+02	\N	\N	\N	\N	\N	\N	f	
20583	a3360e9e-905d-49b3-8f39-7acb9aaf3517	Mongiana	Mongiana	4	0	2013-07-23 05:43:36.256743+02	\N	\N	\N	\N	\N	\N	f	
24748	0bcb549c-f8e9-419a-b789-8c13135ded77	Coburg	Coburg	3	0	2013-09-07 08:24:41.269112+02	\N	\N	\N	\N	\N	\N	f	
23675	d65cc7ed-304e-4194-8c6b-1028c4ef4de5	Tabarka	Tabarka	3	0	2013-08-27 20:35:39.567274+02	\N	\N	\N	\N	\N	\N	f	
22787	1ca3c72f-5078-45c3-8360-755efcfd72ea	Gaggi	Gaggi	4	0	2013-08-14 17:46:42.980001+02	\N	\N	\N	\N	\N	\N	f	
23182	d9d17b36-c5f6-4f8a-ac6d-30ba2fdc30b0	St. Louis Park	St. Louis Park	3	0	2013-08-22 05:51:43.953575+02	\N	\N	\N	\N	\N	\N	f	
11892	4458fb53-7d7c-49c9-b3f2-c4678c0cf6a4	Jōtō-ku	Jōtō-ku	5	0	2013-08-28 15:41:37.186739+02	\N	\N	\N	\N	\N	\N	f	
23269	025df2f5-9777-48a6-aa4d-63d7a5dc763b	Wendover, Utah	Wendover, Utah	3	0	2013-08-24 14:33:37.008933+02	\N	\N	\N	\N	\N	\N	f	
23321	1cbaf156-ba93-4108-b2b6-487ed52647e0	Willard	Willard	3	0	2013-08-24 14:49:52.691397+02	\N	\N	\N	\N	\N	\N	f	
23363	2f199c20-8930-4e22-8c21-a0985b4c5e37	Green River	Green River	3	0	2013-08-24 17:34:20.920594+02	\N	\N	\N	\N	\N	\N	f	
23711	14d5d980-e6f3-49c7-8b4f-f7eb6e5c28e9	Arlington	Arlington	3	0	2013-08-30 12:57:02.343432+02	\N	\N	\N	\N	\N	\N	f	
23414	0ffb4107-78b3-408f-8e11-2acac16c8e76	Wisconsin Dells	Wisconsin Dells	3	0	2013-08-24 20:40:17.460579+02	\N	\N	\N	\N	\N	\N	f	
23491	9c04f6bd-4993-48c2-9026-490f223751ac	Kysucké Nové Mesto	Kysucké Nové Mesto	3	0	2013-08-26 02:36:33.971018+02	\N	\N	\N	\N	\N	\N	f	
24772	b00e2184-0e2b-4adc-9b41-1533c5867870	Boone	Boone	3	0	2013-09-07 08:31:05.903757+02	\N	\N	\N	\N	\N	\N	f	
23494	40bdad6c-0815-4c2f-86c5-c4942a5a167e	Ylöjärvi	Ylöjärvi	3	0	2013-08-26 02:37:23.610964+02	\N	\N	\N	\N	\N	\N	f	
23720	b7960636-3648-4ca4-9328-d59d3f6562b7	Landshut	Landshut	3	0	2013-08-31 17:29:00.305166+02	\N	\N	\N	\N	\N	\N	f	
23569	31148e71-e69e-4dfc-8972-67e3cdd168e4	Spišské Podhradie	Spišské Podhradie	3	0	2013-08-26 14:34:41.568226+02	\N	\N	\N	\N	\N	\N	f	
26965	e7a758de-6c32-4ebc-91a4-b558ead27d3e	Pembroke, Georgia	Pembroke, Georgia	3	0	2013-09-08 04:13:08.036671+02	\N	\N	\N	\N	\N	\N	f	
23733	2207d9fc-f0a8-4fc3-b206-0b344787b3fa	Tubarão	Tubarão	3	0	2013-08-31 20:22:00.674453+02	\N	\N	\N	\N	\N	\N	f	
25245	d0cf8f8f-2e90-4cf1-b7f6-f8fd0750e58f	Gilman	Gilman	3	0	2013-09-07 10:50:59.735737+02	\N	\N	\N	\N	\N	\N	f	
23769	62ea8370-8d42-4d18-8f0a-56ef26da263d	Zülpich	Zülpich	3	0	2013-08-31 23:29:53.66288+02	\N	\N	\N	\N	\N	\N	f	
23780	c6536fb8-3359-438c-a0db-cc3d240e0ec0	Gabrovo	Gabrovo	3	0	2013-09-01 14:21:25.095315+02	\N	\N	\N	\N	\N	\N	f	
25887	77a4e6ed-b030-4ddb-9950-ae1e66e0307b	Eminence, Kentucky	Eminence, Kentucky	3	0	2013-09-07 15:05:16.7193+02	\N	\N	\N	\N	\N	\N	f	
24713	76b640ea-ca11-4f05-8da4-2ee9d31ade04	White Hall	White Hall	3	0	2013-09-07 08:16:48.159952+02	\N	\N	\N	\N	\N	\N	f	
24729	229d9fb1-4fda-4df9-941d-b8e414a069b9	Orange City	Orange City	3	0	2013-09-07 08:18:45.3273+02	\N	\N	\N	\N	\N	\N	f	
25789	afd6160e-b433-4a9d-a33f-9b5ea1a9470e	Enterprise, Kansas	Enterprise, Kansas	3	0	2013-09-07 14:39:11.727+02	\N	\N	\N	\N	\N	\N	f	
26609	50ca9e88-dce4-4171-9464-e30757bc1895	St. Charles, Iowa	St. Charles, Iowa	3	0	2013-09-08 01:21:03.844907+02	\N	\N	\N	\N	\N	\N	f	
25795	099de38b-8e80-4a2f-a174-5d394df0760e	Ramona, Kansas	Ramona, Kansas	3	0	2013-09-07 14:40:45.610687+02	\N	\N	\N	\N	\N	\N	f	
26229	55615b00-5edc-473f-bab8-652af6c26288	Benham	Benham	3	0	2013-09-07 20:51:04.089829+02	\N	\N	\N	\N	\N	\N	f	
25826	fd2bc5b4-5dc6-459e-8a5c-9ba05c1976ed	Crestview Hills, Kentucky	Crestview Hills, Kentucky	3	0	2013-09-07 14:49:45.62862+02	\N	\N	\N	\N	\N	\N	f	
26550	1c5f07f9-a50d-4055-8554-62fc554fd8b9	Luana, Iowa	Luana, Iowa	3	0	2013-09-08 01:05:40.298824+02	\N	\N	\N	\N	\N	\N	f	
26907	39ed3e1f-70ad-4730-ab50-cd64bfcc2aee	Exeter	Exeter	3	0	2013-09-08 03:57:32.414187+02	\N	\N	\N	\N	\N	\N	f	
26584	f0523a35-26a8-47dd-9389-44f4aeb9ce46	Huntington, Indiana	Huntington, Indiana	3	0	2013-09-08 01:14:42.847817+02	\N	\N	\N	\N	\N	\N	f	
27313	5e7af246-ebde-443d-915e-038ca3b5457f	Tappen, North Dakota	Tappen, North Dakota	3	0	2013-09-08 07:25:24.840059+02	\N	\N	\N	\N	\N	\N	f	
26925	fd50f98b-32d8-4264-9a43-54d56ca6443f	Oran	Oran	3	0	2013-09-08 04:02:50.709041+02	\N	\N	\N	\N	\N	\N	f	
26976	30bef557-58ae-4789-95ad-4df489ac9531	Hastings	Hastings	3	0	2013-09-08 04:15:50.924754+02	\N	\N	\N	\N	\N	\N	f	
27333	7e97aa29-7491-4ff7-bd08-4917b847e481	Sheyenne, North Dakota	Sheyenne, North Dakota	3	0	2013-09-08 07:30:24.957787+02	\N	\N	\N	\N	\N	\N	f	
27360	bdba916f-140e-4b6f-93b1-4072b7571fc8	Whiteville, North Carolina	Whiteville, North Carolina	3	0	2013-09-08 07:37:55.575947+02	\N	\N	\N	\N	\N	\N	f	
27415	ff6d912d-8712-4737-abe2-77ab4899735c	New Carlisle	New Carlisle	3	0	2013-09-08 07:51:30.333058+02	\N	\N	\N	\N	\N	\N	f	
27641	4ef94160-6d06-45e3-b3c4-ecf7bdb978d1	Bedford, Ohio	Bedford, Ohio	3	0	2013-09-08 09:07:17.134267+02	\N	\N	\N	\N	\N	\N	f	
27700	639380fd-619c-45e0-8599-32ed9873675c	Pryor Creek	Pryor Creek	3	0	2013-09-08 09:28:52.635745+02	\N	\N	\N	\N	\N	\N	f	
27729	21d669e9-89f9-496e-be86-9956168136d9	Dewey, Oklahoma	Dewey, Oklahoma	3	0	2013-09-08 09:36:40.579967+02	\N	\N	\N	\N	\N	\N	f	
27996	2b40b487-36b0-4e29-89be-47586024c24c	Dunedin	Dunedin	3	0	2013-09-08 11:56:52.315794+02	\N	\N	\N	\N	\N	\N	f	
28037	e52600a2-d9ce-4eab-b3c5-27a192005487	Stacyville	Stacyville	3	0	2013-09-08 12:08:01.750249+02	\N	\N	\N	\N	\N	\N	f	
28243	798ecb9e-dcf8-43a0-a20f-e653e7acc191	Pickens, South Carolina	Pickens, South Carolina	3	0	2013-09-08 15:37:18.892109+02	\N	\N	\N	\N	\N	\N	f	
28072	22fe2b37-4c75-41ad-86ce-793dd61e350b	Korenovsk	Korenovsk	3	0	2013-09-08 12:22:34.976155+02	\N	\N	\N	\N	\N	\N	f	
11588	408b5dd2-ac95-499f-8ab7-2bf801617005	Furano	Furano	3	0	2013-06-25 11:56:56.49545+02	\N	\N	\N	\N	\N	\N	f	
11589	27aad883-084e-4e0b-a6b4-d95f5f8d75e0	Tomisato	Tomisato	3	0	2013-06-25 11:57:33.932452+02	\N	\N	\N	\N	\N	\N	f	
11594	d97cdc26-9090-4ec3-a27f-d1fd3c139150	Kikugawa	Kikugawa	3	0	2013-06-25 11:59:06.648761+02	\N	\N	\N	\N	\N	\N	f	
13972	33166841-c2c6-43fd-ab03-b14fbf289a2c	Provaglio d'Iseo	Provaglio d'Iseo	4	0	2013-07-21 19:54:13.314934+02	\N	\N	\N	\N	\N	\N	f	
11596	23e7ab00-a626-4f2f-8687-1e65c127407b	Isehara City	Isehara City	3	0	2013-06-25 11:59:37.271213+02	\N	\N	\N	\N	\N	\N	f	
11604	55264cfd-2f1a-4e5c-89b0-7651cd46d205	Miura City	Miura City	3	0	2013-06-25 12:03:45.4884+02	\N	\N	\N	\N	\N	\N	f	
14530	debe9bbb-5e76-402f-9634-9b96b1675eca	Villadeati	Villadeati	4	0	2013-07-21 21:58:42.234639+02	\N	\N	\N	\N	\N	\N	f	
15675	86ed50e3-7b07-45cd-bbbf-adb5b394b8ad	Colleferro	Colleferro	4	0	2013-07-22 01:37:49.873346+02	\N	\N	\N	\N	\N	\N	f	
14577	580d9a68-5dad-4493-9be0-de418fcc00eb	Cave	Cave	4	0	2013-07-21 22:09:07.39857+02	\N	\N	\N	\N	\N	\N	f	
19530	8b275f3b-3038-4015-b416-3ee72bdedafe	Valle Castellana	Valle Castellana	4	0	2013-07-22 10:46:19.510655+02	\N	\N	\N	\N	\N	\N	f	
16624	64d50b52-df17-4131-94b6-a6f1c6ef0307	Orosei	Orosei	4	0	2013-07-22 03:56:25.720606+02	\N	\N	\N	\N	\N	\N	f	
23570	8afafb1b-8c20-4cae-a253-0da71135b714	Sládkovičovo	Sládkovičovo	3	0	2013-08-26 14:35:05.920476+02	\N	\N	\N	\N	\N	\N	f	
16670	5ec7cc44-1727-4f7d-9902-3a7b2859a35d	Revò	Revò	4	0	2013-07-22 04:05:26.448647+02	\N	\N	\N	\N	\N	\N	f	
16689	f3469fb1-b612-40b0-a9bd-574d010196e1	Sant'Orsola Terme	Sant'Orsola Terme	4	0	2013-07-22 04:10:09.712077+02	\N	\N	\N	\N	\N	\N	f	
17165	303dcab9-4615-4f8d-9c2c-4cebc9a71e16	Tinnura	Tinnura	4	0	2013-07-22 05:52:16.254392+02	\N	\N	\N	\N	\N	\N	f	
17449	74728efa-5c84-459a-9663-217eaa001064	Torricella Verzate	Torricella Verzate	4	0	2013-07-22 06:29:06.13588+02	\N	\N	\N	\N	\N	\N	f	
17173	a0d93ece-7951-4dfa-9a30-645df117a1a3	Seneghe	Seneghe	4	0	2013-07-22 05:53:18.926204+02	\N	\N	\N	\N	\N	\N	f	
17551	52103985-188d-446b-a5c0-ed134d008047	Robbio	Robbio	4	0	2013-07-22 06:41:18.502296+02	\N	\N	\N	\N	\N	\N	f	
19866	9ec7ca39-fbd5-4a65-82b6-d12d8ec2f6dd	Pontremoli	Pontremoli	4	0	2013-07-22 11:48:25.265553+02	\N	\N	\N	\N	\N	\N	f	
17563	757cb6df-ba26-4348-93f0-a527b811c191	Valdisotto	Valdisotto	4	0	2013-07-22 06:43:06.250675+02	\N	\N	\N	\N	\N	\N	f	
17564	eb0d666d-3ab8-4ec0-85c2-95c93ab9d2b6	Valdidentro	Valdidentro	4	0	2013-07-22 06:43:14.730334+02	\N	\N	\N	\N	\N	\N	f	
17640	19539c76-6df9-4c92-97cd-d3795d9559a4	Zinasco	Zinasco	4	0	2013-07-22 06:52:31.458552+02	\N	\N	\N	\N	\N	\N	f	
19868	29129a5b-7e91-4160-bb6b-bc754f98cc40	Montalbano Jonico	Montalbano Jonico	4	0	2013-07-22 11:48:38.362606+02	\N	\N	\N	\N	\N	\N	f	
17668	bdf646dc-9ab4-44d9-b2ff-0452ca74465c	Barbianello	Barbianello	4	0	2013-07-22 06:55:43.761035+02	\N	\N	\N	\N	\N	\N	f	
17710	34a1ce3a-863c-4476-9823-2ed24c64a8eb	Borca di Cadore	Borca di Cadore	4	0	2013-07-22 07:01:27.110912+02	\N	\N	\N	\N	\N	\N	f	
22789	abfd4af4-5f66-4c58-a109-15b82fd3eb87	Condrò	Condrò	4	0	2013-08-14 17:47:10.720022+02	\N	\N	\N	\N	\N	\N	f	
18451	f1a91eb5-fe42-414c-8723-72893fa43d21	Inzago	Inzago	4	0	2013-07-22 08:30:59.754326+02	\N	\N	\N	\N	\N	\N	f	
19874	d49b3205-4903-469b-9506-87c21d5ed277	Colobraro	Colobraro	4	0	2013-07-22 11:49:14.533438+02	\N	\N	\N	\N	\N	\N	f	
18464	8f075fbe-993b-441b-81b8-e9d803ac528b	Cazzano di Tramigna	Cazzano di Tramigna	4	0	2013-07-22 08:35:32.054814+02	\N	\N	\N	\N	\N	\N	f	
18599	ad7a2dfd-7e0c-450a-b8d5-40867e8e75aa	Tezze sul Brenta	Tezze sul Brenta	4	0	2013-07-22 08:50:55.334274+02	\N	\N	\N	\N	\N	\N	f	
18600	b11ad147-a321-42c3-9de3-17aba8241871	Creazzo	Creazzo	4	0	2013-07-22 08:50:59.473072+02	\N	\N	\N	\N	\N	\N	f	
19920	34b092e6-b4f3-4f01-8bef-1dfc92dac1b7	Lavello	Lavello	4	0	2013-07-22 11:55:20.119195+02	\N	\N	\N	\N	\N	\N	f	
18625	896a8ebf-b181-4fea-805b-927c27757ddb	Vidor	Vidor	4	0	2013-07-22 08:54:14.061427+02	\N	\N	\N	\N	\N	\N	f	
18637	17ee0477-c5f2-48a8-b936-f8c39a49de52	Villaverla	Villaverla	4	0	2013-07-22 08:55:48.600773+02	\N	\N	\N	\N	\N	\N	f	
24716	408211d6-0ea2-4ea3-8243-d2657179d92e	East Moline	East Moline	3	0	2013-09-07 08:17:17.854067+02	\N	\N	\N	\N	\N	\N	f	
19372	738bfc99-3c1f-4365-906b-4a21c1846577	Archi, Abruzzo	Archi, Abruzzo	4	0	2013-07-22 10:27:03.653581+02	\N	\N	\N	\N	\N	\N	f	
19924	04beeafb-5b02-4c76-a39b-ff61b6a10457	Episcopia	Episcopia	4	0	2013-07-22 11:55:48.872167+02	\N	\N	\N	\N	\N	\N	f	
19460	59019f67-8595-4420-9e64-52dfaaf4c06f	Spoltore	Spoltore	4	0	2013-07-22 10:37:52.190385+02	\N	\N	\N	\N	\N	\N	f	
19468	317e3ba3-fd11-4372-b15a-9ff0998610cf	Scafa	Scafa	4	0	2013-07-22 10:38:44.721241+02	\N	\N	\N	\N	\N	\N	f	
23183	d0bfb396-108e-4c75-ab01-ad262c6faf82	Ham Lake	Ham Lake	3	0	2013-08-22 05:51:57.070446+02	\N	\N	\N	\N	\N	\N	f	
20069	6feae64f-37b5-4db5-8120-22ab58dccfe0	Roveredo in Piano	Roveredo in Piano	4	0	2013-07-22 12:15:27.939618+02	\N	\N	\N	\N	\N	\N	f	
20575	14c91101-5f65-4cd9-b0d6-f2d4e58e1be3	Monterosso Calabro	Monterosso Calabro	4	0	2013-07-23 05:42:00.403739+02	\N	\N	\N	\N	\N	\N	f	
11915	e7ea0cfc-81a4-4443-88e4-f36012634dbb	Hirano-ku	Hirano-ku	5	0	2013-08-28 15:41:40.222278+02	\N	\N	\N	\N	\N	\N	f	
20623	744dc285-418c-4e86-a9f4-5ac5fc977acc	Sorianello	Sorianello	4	0	2013-07-23 08:29:06.825256+02	\N	\N	\N	\N	\N	\N	f	
23270	e1e3dc37-47b1-4b31-b936-3bc5590c595a	Barre	Barre	3	0	2013-08-24 14:34:05.841272+02	\N	\N	\N	\N	\N	\N	f	
20723	d71e6314-0b9e-468c-9a56-61bbffd6d4bc	Trevico	Trevico	4	0	2013-07-23 11:29:12.835392+02	\N	\N	\N	\N	\N	\N	f	
20823	e995ad26-3dd1-40ee-80c0-5f5ae29340bf	Villa Bartolomea	Villa Bartolomea	4	0	2013-07-23 14:29:16.475293+02	\N	\N	\N	\N	\N	\N	f	
20831	841dc4f2-7787-4151-9acc-f873cd0eb54c	Valguarnera Caropepe	Valguarnera Caropepe	4	0	2013-07-23 14:31:50.172346+02	\N	\N	\N	\N	\N	\N	f	
23722	f1271fec-4307-4a9c-b89d-aa2a7bede5ce	Bayreuth	Bayreuth	3	0	2013-08-31 17:29:45.191387+02	\N	\N	\N	\N	\N	\N	f	
23274	d4dcecd3-3b1d-4122-ab4f-277e72a6e6e2	Forest Hills, Tennessee	Forest Hills, Tennessee	3	0	2013-08-24 14:35:46.938153+02	\N	\N	\N	\N	\N	\N	f	
23365	e47ada90-7e1c-4462-8b4e-a8a791025fe9	Kamas	Kamas	3	0	2013-08-24 17:34:47.507857+02	\N	\N	\N	\N	\N	\N	f	
25246	8bcfa8e7-9613-409c-98b3-9a676c7eea7b	Gravity	Gravity	3	0	2013-09-07 10:51:15.589586+02	\N	\N	\N	\N	\N	\N	f	
23416	8048729a-92ed-4490-bd09-3b833bd86d58	La Crosse	La Crosse	3	0	2013-08-24 20:41:18.705345+02	\N	\N	\N	\N	\N	\N	f	
23734	dbdd7aff-9bf5-4084-98c3-722f27d7bb4d	Bielefeld	Bielefeld	3	0	2013-08-31 20:24:29.11858+02	\N	\N	\N	\N	\N	\N	f	
23492	d125bbd0-4062-4a97-b48c-96e1bab6543a	Tvrdošín	Tvrdošín	3	0	2013-08-26 02:36:48.058086+02	\N	\N	\N	\N	\N	\N	f	
24834	913866be-577d-4891-84ab-9beda3f18043	Sheffield	Sheffield	3	0	2013-09-07 08:47:17.069685+02	\N	\N	\N	\N	\N	\N	f	
23770	fa6e55b8-bb6e-4234-8b79-8b2fa5148071	Unterschleißheim	Unterschleißheim	3	0	2013-08-31 23:31:06.193956+02	\N	\N	\N	\N	\N	\N	f	
23781	6489196f-fcbb-4d51-a42c-4dc760302c2d	Targovishte	Targovishte	3	0	2013-09-01 14:21:50.344368+02	\N	\N	\N	\N	\N	\N	f	
25793	e53f99cf-fc28-408a-b01a-3c1a58a006d0	Brewster, Kansas	Brewster, Kansas	3	0	2013-09-07 14:40:10.810202+02	\N	\N	\N	\N	\N	\N	f	
24835	efbc62a9-8159-4d82-aa08-3d900c74418c	Burt	Burt	3	0	2013-09-07 08:47:31.678907+02	\N	\N	\N	\N	\N	\N	f	
24838	dd1d14e9-8c17-45cc-8ac4-5361b684daac	Wilton	Wilton	3	0	2013-09-07 08:48:15.104914+02	\N	\N	\N	\N	\N	\N	f	
26234	f3e72262-d983-45c2-89f5-0c19a992d6a6	Berea	Berea	3	0	2013-09-07 20:52:16.594526+02	\N	\N	\N	\N	\N	\N	f	
26231	2f69272f-ba1c-4891-a167-b9dc4197cd7c	South Carrollton	South Carrollton	3	0	2013-09-07 20:51:33.772577+02	\N	\N	\N	\N	\N	\N	f	
26551	a18ffc5f-4d70-460b-819c-8e2c7c92d3c7	Milo, Iowa	Milo, Iowa	3	0	2013-09-08 01:05:58.300044+02	\N	\N	\N	\N	\N	\N	f	
26908	00ce1ac1-0ffc-42c7-a5ee-795deeb61b9f	Parnell	Parnell	3	0	2013-09-08 03:57:47.008592+02	\N	\N	\N	\N	\N	\N	f	
26969	4a00d0ce-579f-4773-83e9-814e4d71c755	Platte City	Platte City	3	0	2013-09-08 04:14:07.070937+02	\N	\N	\N	\N	\N	\N	f	
27314	c9ee6daa-ec29-4f3e-8a0d-e21a7a24e6d4	Wolford, North Dakota	Wolford, North Dakota	3	0	2013-09-08 07:25:38.809723+02	\N	\N	\N	\N	\N	\N	f	
27642	315e285c-dfb7-4f45-914d-31b612574f75	Beachwood, Ohio	Beachwood, Ohio	3	0	2013-09-08 09:07:33.225876+02	\N	\N	\N	\N	\N	\N	f	
27645	b77105b0-6d55-4b7c-862d-ca410e8bb08b	Boise City	Boise City	3	0	2013-09-08 09:08:19.060293+02	\N	\N	\N	\N	\N	\N	f	
28004	2f01beea-d788-4bf9-a72f-1982ad37935a	Flatwoods	Flatwoods	3	0	2013-09-08 11:58:51.600074+02	\N	\N	\N	\N	\N	\N	f	
27646	098e8c87-f1e5-4292-b901-85a326ec480d	Belpre, Ohio	Belpre, Ohio	3	0	2013-09-08 09:08:35.56623+02	\N	\N	\N	\N	\N	\N	f	
11590	c6851b04-8412-460f-bfc3-22c9cbaa8aca	Chōshi	Chōshi	3	0	2013-06-25 11:57:52.984218+02	\N	\N	\N	\N	\N	\N	f	
11591	deae4819-5975-44f0-92e1-e89fadc9e65a	Izu	Izu	3	0	2013-06-25 11:58:12.167713+02	\N	\N	\N	\N	\N	\N	f	
11592	1a15a240-0d03-4776-962f-b2d9b2942a29	Yaizu	Yaizu	3	0	2013-06-25 11:58:24.158466+02	\N	\N	\N	\N	\N	\N	f	
13973	801e8a89-6ffc-407e-8e0e-c00f69c7d65b	Seniga	Seniga	4	0	2013-07-21 19:54:25.578855+02	\N	\N	\N	\N	\N	\N	f	
13985	cb7a3212-1d55-4239-bbb1-325500cede51	Pozzolengo	Pozzolengo	4	0	2013-07-21 19:57:21.058582+02	\N	\N	\N	\N	\N	\N	f	
15681	cce3ecaf-51a7-45e1-9554-59a0a775cee0	Montelibretti	Montelibretti	4	0	2013-07-22 01:39:02.776381+02	\N	\N	\N	\N	\N	\N	f	
14531	8f930a87-2c33-4b8c-8071-d52819c62bdb	Viguzzolo	Viguzzolo	4	0	2013-07-21 21:58:54.662949+02	\N	\N	\N	\N	\N	\N	f	
15058	6ccaf2fc-e055-41fa-aad0-c0ac464ad99b	Pagno	Pagno	4	0	2013-07-21 23:42:35.522443+02	\N	\N	\N	\N	\N	\N	f	
15708	d119e93d-5eef-4877-92bf-270e07c230c9	Palombara Sabina	Palombara Sabina	4	0	2013-07-22 01:45:28.175072+02	\N	\N	\N	\N	\N	\N	f	
23381	ffced61a-60ae-4cf5-852f-60b9263d04e0	Blunt, South Dakota	Blunt, South Dakota	3	0	2013-08-24 17:45:05.010899+02	\N	\N	\N	\N	\N	\N	f	
17447	0edf0c81-f29f-4cad-ab18-6c4728e6f4da	Dazio	Dazio	4	0	2013-07-22 06:28:51.093781+02	\N	\N	\N	\N	\N	\N	f	
15113	9e816f02-8590-4b33-a2d6-e039d8abc944	Roccaforte Mondovì	Roccaforte Mondovì	4	0	2013-07-21 23:49:20.29212+02	\N	\N	\N	\N	\N	\N	f	
15725	a910b626-6a01-428a-ac94-9543ca7f0e1a	Nerola	Nerola	4	0	2013-07-22 01:49:06.278552+02	\N	\N	\N	\N	\N	\N	f	
15745	08439400-26bf-42e1-8244-3467da8654e9	Avio	Avio	4	0	2013-07-22 01:53:28.698871+02	\N	\N	\N	\N	\N	\N	f	
15777	1f70d9f3-b1cd-4f23-a6e3-88d9736f9941	Bleggio Superiore	Bleggio Superiore	4	0	2013-07-22 02:00:06.500183+02	\N	\N	\N	\N	\N	\N	f	
18452	420ed6df-7936-49a6-95f4-65e0157916b3	Sordio	Sordio	4	0	2013-07-22 08:31:09.102778+02	\N	\N	\N	\N	\N	\N	f	
15778	5dde9b89-8c14-455d-aaaa-7167931a83db	Canzo	Canzo	4	0	2013-07-22 02:00:22.106507+02	\N	\N	\N	\N	\N	\N	f	
15861	309ee3b0-1e97-48c1-a60e-98eaef399410	Caresanablot	Caresanablot	4	0	2013-07-22 02:19:26.004391+02	\N	\N	\N	\N	\N	\N	f	
19870	2f9c014c-0add-4e8d-8578-51f4703bb20e	Podenzana	Podenzana	4	0	2013-07-22 11:48:50.36135+02	\N	\N	\N	\N	\N	\N	f	
18490	8fb1d980-4e9d-402e-94b9-6fc27925adb0	Foza	Foza	4	0	2013-07-22 08:38:00.440013+02	\N	\N	\N	\N	\N	\N	f	
16644	db7c7f91-2188-4b6d-90cd-e39c799e9d2f	Tiana, Sardinia	Tiana, Sardinia	4	0	2013-07-22 03:59:19.766877+02	\N	\N	\N	\N	\N	\N	f	
16749	88553c95-218c-470b-a9fe-01b341c1e863	Sanremo	Sanremo	4	0	2013-07-22 04:26:59.915117+02	\N	\N	\N	\N	\N	\N	f	
17166	8b8ddb5b-3fde-484f-8b36-0da9300279a9	San Nicolò d'Arcidano	San Nicolò d'Arcidano	4	0	2013-07-22 05:52:23.364108+02	\N	\N	\N	\N	\N	\N	f	
18505	f8cf6a82-2d1e-483f-94fc-f7ceabe3be94	Raffadali	Raffadali	4	0	2013-07-22 08:39:38.087422+02	\N	\N	\N	\N	\N	\N	f	
17168	c3c94f22-e50a-4ceb-ada9-0dac195fea18	Catanzaro	Catanzaro	4	0	2013-07-22 05:52:37.63375+02	\N	\N	\N	\N	\N	\N	f	
20867	694d624d-e466-4aac-bb14-4c130e787730	Lusiana	Lusiana	4	0	2013-07-23 14:40:01.962943+02	\N	\N	\N	\N	\N	\N	f	
19379	a9d63fb2-ffa5-4871-902e-2b6bd7270d05	Casacanditella	Casacanditella	4	0	2013-07-22 10:27:48.70859+02	\N	\N	\N	\N	\N	\N	f	
19879	63378953-13ce-4442-8475-957ffa77aa5b	Craco	Craco	4	0	2013-07-22 11:49:57.445792+02	\N	\N	\N	\N	\N	\N	f	
19408	7352a55a-68c7-4447-a198-90dbbc747e86	Lettopalena	Lettopalena	4	0	2013-07-22 10:31:18.19402+02	\N	\N	\N	\N	\N	\N	f	
20005	a9d770c0-ed4f-4e4c-819f-8008cd5d34a1	Pietrapertosa	Pietrapertosa	4	0	2013-07-22 12:06:22.137415+02	\N	\N	\N	\N	\N	\N	f	
20577	e1397258-f956-4b8c-9c96-8053a9574c79	Taurianova	Taurianova	4	0	2013-07-23 05:42:24.229067+02	\N	\N	\N	\N	\N	\N	f	
20872	09c412c8-85a3-48a4-9737-bd0b0f270aae	Arienzo	Arienzo	4	0	2013-07-23 14:41:32.026764+02	\N	\N	\N	\N	\N	\N	f	
20584	9dc43a46-af5a-46e3-a25c-840a7204bb3c	Serrata, Italy	Serrata, Italy	4	0	2013-07-23 05:43:48.510907+02	\N	\N	\N	\N	\N	\N	f	
23417	c99892da-1e20-4f6b-946e-6767748e2194	Chippewa Falls	Chippewa Falls	3	0	2013-08-24 20:41:43.34177+02	\N	\N	\N	\N	\N	\N	f	
20624	8c8c7953-fd67-49e1-9699-f496d15b79f7	Ariano Irpino	Ariano Irpino	4	0	2013-07-23 08:29:28.484476+02	\N	\N	\N	\N	\N	\N	f	
20724	043f9daf-229b-4b42-b7a8-87392d02d9ca	San Potito Ultra	San Potito Ultra	4	0	2013-07-23 11:29:34.688035+02	\N	\N	\N	\N	\N	\N	f	
23723	84b5640d-60b3-4710-b315-c349aa754302	Bamberg	Bamberg	3	0	2013-08-31 17:30:04.549122+02	\N	\N	\N	\N	\N	\N	f	
20738	af605a0e-61cd-4106-abb6-a8d15ae111c7	Bonea	Bonea	4	0	2013-07-23 11:32:59.757849+02	\N	\N	\N	\N	\N	\N	f	
20774	bfe43267-3897-4bad-a61e-9779feb31d3b	Pesco Sannita	Pesco Sannita	4	0	2013-07-23 11:41:34.284066+02	\N	\N	\N	\N	\N	\N	f	
23493	74c98dea-2d6f-4bec-9b2f-3bcb3728ac37	Stará Turá	Stará Turá	3	0	2013-08-26 02:37:00.518247+02	\N	\N	\N	\N	\N	\N	f	
20813	95f434ec-d5ff-4fb0-8bcf-5e36dc433b6f	Castel di Lama	Castel di Lama	4	0	2013-07-23 11:50:34.354777+02	\N	\N	\N	\N	\N	\N	f	
22790	63621bf2-81f3-4a09-80d0-0e9c07b4803a	Mistretta	Mistretta	4	0	2013-08-14 17:47:23.753123+02	\N	\N	\N	\N	\N	\N	f	
20824	446a3153-b6de-40c4-b1df-aefde2261576	Gagliano Castelferrato	Gagliano Castelferrato	4	0	2013-07-23 14:29:52.397171+02	\N	\N	\N	\N	\N	\N	f	
20837	f4ff2e91-a3fe-4880-8fbd-b2b216dacfb8	Offida	Offida	4	0	2013-07-23 14:33:08.205111+02	\N	\N	\N	\N	\N	\N	f	
20840	06e31da3-54b2-4e11-85f8-8028d84eed8b	Piazza Armerina	Piazza Armerina	4	0	2013-07-23 14:33:43.760338+02	\N	\N	\N	\N	\N	\N	f	
22810	5e141a8e-8aa7-4eca-a75f-62c139eb17c9	Savoca	Savoca	4	0	2013-08-14 17:52:45.995666+02	\N	\N	\N	\N	\N	\N	f	
23184	4d81dd62-104f-455e-a30a-0bf4bfff27e9	Richfield	Richfield	3	0	2013-08-22 05:52:16.302394+02	\N	\N	\N	\N	\N	\N	f	
23501	60505055-cc0b-4334-a32e-bd95bee53d58	Holíč	Holíč	3	0	2013-08-26 02:40:18.505742+02	\N	\N	\N	\N	\N	\N	f	
23271	e08d603b-d864-4751-8bf6-24c1d49b82ca	South Burlington	South Burlington	3	0	2013-08-24 14:34:25.271904+02	\N	\N	\N	\N	\N	\N	f	
23291	480b1795-ab08-426d-8d2a-a9ee00f0ed0b	American Fork, Utah	American Fork, Utah	3	0	2013-08-24 14:42:08.934718+02	\N	\N	\N	\N	\N	\N	f	
24717	db44add9-bd3c-4145-9c0e-833fc3dce6f1	Fort Atkinson	Fort Atkinson	3	0	2013-09-07 08:17:19.02572+02	\N	\N	\N	\N	\N	\N	f	
23366	0ae46271-69d0-4661-b473-cf672991d2d7	Clinton	Clinton	3	0	2013-08-24 17:35:04.900974+02	\N	\N	\N	\N	\N	\N	f	
23735	155cec4e-8d3f-4561-83f5-7e6e49a15206	Zoetermeer	Zoetermeer	3	0	2013-08-31 20:27:56.162589+02	\N	\N	\N	\N	\N	\N	f	
23573	d3c0d47a-4f14-4028-8be2-cd382325a383	Spišská Stará Ves	Spišská Stará Ves	3	0	2013-08-26 14:37:01.935446+02	\N	\N	\N	\N	\N	\N	f	
11898	38be23d9-799e-4949-95ff-78f3ed3a04c8	Ikuno-ku	Ikuno-ku	5	0	2013-08-28 15:41:41.50558+02	\N	\N	\N	\N	\N	\N	f	
25289	edba1480-8bbe-4b99-9144-a7e6f4f20c65	Callender	Callender	3	0	2013-09-07 11:02:53.219231+02	\N	\N	\N	\N	\N	\N	f	
23771	0fd73da2-618e-4e22-808f-8f6e56faa09f	Gerlingen	Gerlingen	3	0	2013-08-31 23:31:51.193792+02	\N	\N	\N	\N	\N	\N	f	
24747	d384eef2-49e2-49cb-8697-57cdfe658caa	Hazleton, Iowa	Hazleton, Iowa	3	0	2013-09-07 08:24:27.201062+02	\N	\N	\N	\N	\N	\N	f	
23782	8068f02e-4f6e-4919-905f-aecbd45e77eb	Pernik	Pernik	3	0	2013-09-01 14:22:03.654202+02	\N	\N	\N	\N	\N	\N	f	
24824	092f6f86-47c4-4fd3-b8b7-4a692a599d79	Elk Horn	Elk Horn	3	0	2013-09-07 08:44:52.590124+02	\N	\N	\N	\N	\N	\N	f	
25247	322c161d-1320-4eff-bb81-4876c5ecccfd	Earlville	Earlville	3	0	2013-09-07 10:51:31.600509+02	\N	\N	\N	\N	\N	\N	f	
26233	f9fff543-8b17-4fe2-8e70-934b777089bb	Creekside	Creekside	3	0	2013-09-07 20:52:02.053926+02	\N	\N	\N	\N	\N	\N	f	
25794	fbf0cb85-eeef-4f65-bdbf-21f4f0832cd3	Houston Acres, Kentucky	Houston Acres, Kentucky	3	0	2013-09-07 14:40:25.865453+02	\N	\N	\N	\N	\N	\N	f	
26248	e772a421-b58e-45eb-aa68-b2a267a817b5	Wurtland	Wurtland	3	0	2013-09-07 20:55:53.530149+02	\N	\N	\N	\N	\N	\N	f	
26261	2ab4e264-2964-47c7-baa3-82e68da83530	Hustonville	Hustonville	3	0	2013-09-07 20:59:14.839318+02	\N	\N	\N	\N	\N	\N	f	
26552	32ab15b1-8e26-4efc-a3b4-8fac458406ec	Keosauqua, Iowa	Keosauqua, Iowa	3	0	2013-09-08 01:06:16.300201+02	\N	\N	\N	\N	\N	\N	f	
26911	17aab764-4faf-470f-ae1e-a247949a8c53	Hartington	Hartington	3	0	2013-09-08 03:58:35.250788+02	\N	\N	\N	\N	\N	\N	f	
27315	f9143de8-d9e2-474a-b7d2-4982148d1608	New England, North Dakota	New England, North Dakota	3	0	2013-09-08 07:25:52.255339+02	\N	\N	\N	\N	\N	\N	f	
27316	cc5da6a7-7f17-4574-b64c-08a84c9cc9d2	Berthold, North Dakota	Berthold, North Dakota	3	0	2013-09-08 07:26:10.965111+02	\N	\N	\N	\N	\N	\N	f	
27317	3b315ec3-d596-4cc4-9537-e952308f155d	McHenry, North Dakota	McHenry, North Dakota	3	0	2013-09-08 07:26:24.329066+02	\N	\N	\N	\N	\N	\N	f	
11593	73376e61-5233-4e0e-9e3b-0b17c4e96c09	Itō	Itō	3	0	2013-06-25 11:58:48.565061+02	\N	\N	\N	\N	\N	\N	f	
13976	6561ed3c-5258-438b-a9db-cd5055b6d774	Ponte di Legno	Ponte di Legno	4	0	2013-07-21 19:55:00.925777+02	\N	\N	\N	\N	\N	\N	f	
14532	f936266f-80eb-406c-8015-64e9a2f75540	Tortona	Tortona	4	0	2013-07-21 21:59:07.444076+02	\N	\N	\N	\N	\N	\N	f	
15682	8452cca6-a71e-40bf-b429-8648e39f8637	Genzano di Roma	Genzano di Roma	4	0	2013-07-22 01:39:14.728065+02	\N	\N	\N	\N	\N	\N	f	
15051	d89ff105-a804-41b4-bc1d-ec8e7dff4777	Perletto	Perletto	4	0	2013-07-21 23:41:45.335644+02	\N	\N	\N	\N	\N	\N	f	
15249	3b405b83-b7cb-4ea0-903e-b94c81c5ae8e	Verduno	Verduno	4	0	2013-07-22 00:05:40.125322+02	\N	\N	\N	\N	\N	\N	f	
15254	bca1bc84-c8ea-4ad3-8238-7264f7c85dd4	Passignano sul Trasimeno	Passignano sul Trasimeno	4	0	2013-07-22 00:06:16.61429+02	\N	\N	\N	\N	\N	\N	f	
15722	d5e9289e-29fe-45f0-8f7f-ae71d5785c33	Montorio Romano	Montorio Romano	4	0	2013-07-22 01:48:29.734532+02	\N	\N	\N	\N	\N	\N	f	
17455	870d5a0a-362b-46fb-9da1-a3f1a53c466f	Corvino San Quirico	Corvino San Quirico	4	0	2013-07-22 06:29:55.175099+02	\N	\N	\N	\N	\N	\N	f	
15772	aa9b0e67-9614-47b9-99f6-3f0ca2f1877d	Bedollo	Bedollo	4	0	2013-07-22 01:58:55.89119+02	\N	\N	\N	\N	\N	\N	f	
15850	721adbfd-f2e5-4d06-b6ac-02d47ba4581c	Costanzana	Costanzana	4	0	2013-07-22 02:16:26.412263+02	\N	\N	\N	\N	\N	\N	f	
23367	dbdabe07-648e-40b1-9156-529f7c431dc3	Mendon	Mendon	3	0	2013-08-24 17:35:21.781906+02	\N	\N	\N	\N	\N	\N	f	
16626	7ed28c59-8a37-4523-bddc-254b4d5889b7	Torpè	Torpè	4	0	2013-07-22 03:56:43.508698+02	\N	\N	\N	\N	\N	\N	f	
17457	edb4ca36-c65b-4b80-8b6a-99fd4733876e	Borgo Priolo	Borgo Priolo	4	0	2013-07-22 06:30:08.976378+02	\N	\N	\N	\N	\N	\N	f	
16690	03c3aea7-e382-47e3-964a-1cfe15f2f5f0	Pozza di Fassa	Pozza di Fassa	4	0	2013-07-22 04:10:24.211632+02	\N	\N	\N	\N	\N	\N	f	
17177	91bbcdaf-2c79-4865-b0f5-9588caa67a60	Paulilatino	Paulilatino	4	0	2013-07-22 05:53:47.937518+02	\N	\N	\N	\N	\N	\N	f	
19871	74476fac-f2cd-4a83-b182-883dc40f3ba6	Argelato	Argelato	4	0	2013-07-22 11:48:55.479076+02	\N	\N	\N	\N	\N	\N	f	
17487	b342e30e-78ea-409f-aa5d-0afa4f108807	Gropello Cairoli	Gropello Cairoli	4	0	2013-07-22 06:33:34.518391+02	\N	\N	\N	\N	\N	\N	f	
17542	3850874b-ada3-46c4-b424-0b9353231a39	Rivamonte Agordino	Rivamonte Agordino	4	0	2013-07-22 06:40:02.170146+02	\N	\N	\N	\N	\N	\N	f	
17621	f2edde67-da05-4034-8b00-37269dba173e	Lorenzago di Cadore	Lorenzago di Cadore	4	0	2013-07-22 06:50:16.292182+02	\N	\N	\N	\N	\N	\N	f	
19973	3262b00c-9507-45ab-9faa-8916cf7c9fa6	Muro Lucano	Muro Lucano	4	0	2013-07-22 12:02:16.677928+02	\N	\N	\N	\N	\N	\N	f	
23783	7d993500-0f45-46fc-84f4-84d26b7f52d8	Vratsa	Vratsa	3	0	2013-09-01 14:22:27.408504+02	\N	\N	\N	\N	\N	\N	f	
17670	dcf2afe6-db6b-4c27-9f4f-d73eb7415ca7	Brusimpiano	Brusimpiano	4	0	2013-07-22 06:56:12.295447+02	\N	\N	\N	\N	\N	\N	f	
23418	4ef500d8-d622-45b1-8c1f-582790060d63	Waukesha	Waukesha	3	0	2013-08-24 20:42:16.310311+02	\N	\N	\N	\N	\N	\N	f	
20579	cb7d8851-3ea8-4410-8925-bc44b708bfac	Ricadi	Ricadi	4	0	2013-07-23 05:42:48.192521+02	\N	\N	\N	\N	\N	\N	f	
18453	6b9c6454-2a55-4040-8178-afce137ccec5	Sergnano	Sergnano	4	0	2013-07-22 08:31:16.251086+02	\N	\N	\N	\N	\N	\N	f	
18517	94c2b536-ce6a-4628-bd2a-b020889b8bab	Sciacca	Sciacca	4	0	2013-07-22 08:41:00.443859+02	\N	\N	\N	\N	\N	\N	f	
19383	e52e5f07-628e-4e8c-97f1-93c4122e9a67	Casalbordino	Casalbordino	4	0	2013-07-22 10:28:16.759908+02	\N	\N	\N	\N	\N	\N	f	
20625	f7c05334-0e8c-4232-afc6-324e13631f66	Vallelonga	Vallelonga	4	0	2013-07-23 08:29:48.713219+02	\N	\N	\N	\N	\N	\N	f	
23495	7a7628b0-9ff8-4647-b344-19e705e89b8b	Bánovce nad Bebravou	Bánovce nad Bebravou	3	0	2013-08-26 02:37:44.779938+02	\N	\N	\N	\N	\N	\N	f	
20659	044ea217-f10b-4c27-82e7-f1944843524f	Montemiletto	Montemiletto	4	0	2013-07-23 08:38:37.594104+02	\N	\N	\N	\N	\N	\N	f	
20692	181a3b1f-20ff-474d-9a9d-eab8bf0fd89a	San Michele di Serino	San Michele di Serino	4	0	2013-07-23 08:45:35.595058+02	\N	\N	\N	\N	\N	\N	f	
25342	fd614bb6-4340-4c8c-af91-49abc2ad9ce6	Bondurant	Bondurant	3	0	2013-09-07 11:26:15.760325+02	\N	\N	\N	\N	\N	\N	f	
20725	462119f1-09d2-4214-a1ae-7aa291e0a290	San Martino Valle Caudina	San Martino Valle Caudina	4	0	2013-07-23 11:29:48.396138+02	\N	\N	\N	\N	\N	\N	f	
23499	ecb8b759-bc5c-4e24-8372-ed5f640cc8fb	Stará Ľubovňa	Stará Ľubovňa	3	0	2013-08-26 02:39:34.458393+02	\N	\N	\N	\N	\N	\N	f	
20825	0c9dbde2-8dd7-40bc-bdba-b255337487c4	Catenanuova	Catenanuova	4	0	2013-07-23 14:30:15.971821+02	\N	\N	\N	\N	\N	\N	f	
20856	f436b846-fb82-4672-9835-747aefd9c650	Massignano	Massignano	4	0	2013-07-23 14:37:43.608259+02	\N	\N	\N	\N	\N	\N	f	
24720	9866923c-224d-45d7-b841-0f1c50504efa	Trenton	Trenton	3	0	2013-09-07 08:17:46.476165+02	\N	\N	\N	\N	\N	\N	f	
20862	08cc1bcf-8c3d-431b-8538-645be4847bdd	Comunanza	Comunanza	4	0	2013-07-23 14:38:57.430299+02	\N	\N	\N	\N	\N	\N	f	
23577	01977467-8fa0-49a6-b02e-07d0c112f4cd	Stropkov	Stropkov	3	0	2013-08-26 14:39:05.766554+02	\N	\N	\N	\N	\N	\N	f	
22791	253ac497-6dc9-43fd-aaab-e5a2ab35fed6	Rodì Milici	Rodì Milici	4	0	2013-08-14 17:47:37.350208+02	\N	\N	\N	\N	\N	\N	f	
11886	27ed14d0-26b7-4e07-a3a4-f87c9d70b964	Kita-ku	Kita-ku	5	0	2013-08-28 15:41:44.773284+02	\N	\N	\N	\N	\N	\N	f	
23272	c3a12679-b91b-4337-aa2d-61d32a9a0994	Colome, South Dakota	Colome, South Dakota	3	0	2013-08-24 14:34:41.645957+02	\N	\N	\N	\N	\N	\N	f	
23287	8dc265e4-75d1-45cc-8e34-3a5b7093cbb2	Ivins	Ivins	3	0	2013-08-24 14:41:13.941029+02	\N	\N	\N	\N	\N	\N	f	
24726	53728812-6ce7-42fc-b716-1ada00f7b255	Galena	Galena	3	0	2013-09-07 08:18:30.171138+02	\N	\N	\N	\N	\N	\N	f	
11917	5e0f24a7-7d77-4f6b-953a-da72a6c43b84	Chūō-ku	Chūō-ku	5	0	2013-08-28 15:42:02.760425+02	\N	\N	\N	\N	\N	\N	f	
23724	06f59e1d-ac91-4732-b10b-996663300a0c	Straubing	Straubing	3	0	2013-08-31 17:32:52.458529+02	\N	\N	\N	\N	\N	\N	f	
23736	e6634c87-3068-483d-ae68-e785b03ca9e3	Mönchengladbach	Mönchengladbach	3	0	2013-08-31 20:28:51.755907+02	\N	\N	\N	\N	\N	\N	f	
24739	cdb5d89d-7eb1-4dca-a1ac-8c9a622408de	Arlington	Arlington	3	0	2013-09-07 08:22:30.24713+02	\N	\N	\N	\N	\N	\N	f	
23772	33fa6710-2e4b-4abf-a340-0018282d198a	Furtwangen im Schwarzwald	Furtwangen im Schwarzwald	3	0	2013-08-31 23:34:02.497922+02	\N	\N	\N	\N	\N	\N	f	
25356	51f29345-d468-4581-ab2b-b1db889b088c	Boxholm	Boxholm	3	0	2013-09-07 11:30:44.702+02	\N	\N	\N	\N	\N	\N	f	
24758	be553a3b-c38b-444c-b4cc-01a24d5bd4b2	Hull, Iowa	Hull, Iowa	3	0	2013-09-07 08:27:19.711958+02	\N	\N	\N	\N	\N	\N	f	
26912	674132b6-8dbd-4b8a-a1bb-45e5b59d1ae1	Kearney	Kearney	3	0	2013-09-08 03:58:48.727379+02	\N	\N	\N	\N	\N	\N	f	
24842	0ba865d8-8656-4685-87de-ca10529c2eb8	Orient	Orient	3	0	2013-09-07 08:49:13.03144+02	\N	\N	\N	\N	\N	\N	f	
25797	ed23110e-0342-413f-871b-f14e798ce3af	Cadiz, Kentucky	Cadiz, Kentucky	3	0	2013-09-07 14:41:18.012139+02	\N	\N	\N	\N	\N	\N	f	
25250	ce1c2fbc-3da3-4eca-9c32-45930a092d99	Eldon	Eldon	3	0	2013-09-07 10:52:19.644927+02	\N	\N	\N	\N	\N	\N	f	
26553	ad072d34-be84-4ff4-9f69-b1aa2487e4f6	Winchester, Indiana	Winchester, Indiana	3	0	2013-09-08 01:06:33.406674+02	\N	\N	\N	\N	\N	\N	f	
25915	a59c5c28-757e-4c77-ba77-522de7463af8	Hazlehurst	Hazlehurst	3	0	2013-09-07 17:17:13.801043+02	\N	\N	\N	\N	\N	\N	f	
26581	146926d4-0929-4f56-9511-fd9317334056	Scottsville, Kentucky	Scottsville, Kentucky	3	0	2013-09-08 01:13:56.615184+02	\N	\N	\N	\N	\N	\N	f	
26236	5bbdcb57-e636-47df-a99c-923ed3908ba0	Joplin	Joplin	3	0	2013-09-07 20:52:47.830295+02	\N	\N	\N	\N	\N	\N	f	
26560	edae6b11-befa-4ca3-ac99-5a500b9f55a9	Atkins, Iowa	Atkins, Iowa	3	0	2013-09-08 01:08:23.78144+02	\N	\N	\N	\N	\N	\N	f	
26611	6b3ce96c-e32e-42fc-b53c-f580b32e38a8	Fremont, Iowa	Fremont, Iowa	3	0	2013-09-08 01:21:35.221978+02	\N	\N	\N	\N	\N	\N	f	
26586	46f3b333-e400-401b-9ccc-c8c61a46123d	Earlham, Iowa	Earlham, Iowa	3	0	2013-09-08 01:15:10.76028+02	\N	\N	\N	\N	\N	\N	f	
27019	91caa82f-d4d7-4880-8fa9-bd6455b04d4f	Gower	Gower	3	0	2013-09-08 04:26:23.186233+02	\N	\N	\N	\N	\N	\N	f	
27025	83a6e841-add3-4db5-ab3a-289537661dba	Senath	Senath	3	0	2013-09-08 04:27:54.465089+02	\N	\N	\N	\N	\N	\N	f	
27040	5a5e71cd-bf8f-4c8c-911e-3d23a5db1741	Lupus	Lupus	3	0	2013-09-08 04:31:38.983161+02	\N	\N	\N	\N	\N	\N	f	
27050	6f850725-1d95-400e-aff3-5d03e042035a	Newburg	Newburg	3	0	2013-09-08 04:34:08.975362+02	\N	\N	\N	\N	\N	\N	f	
27319	d4d68091-dc3f-4917-9a10-506b04d184ee	Manvel, North Dakota	Manvel, North Dakota	3	0	2013-09-08 07:26:51.064187+02	\N	\N	\N	\N	\N	\N	f	
27338	186e9af8-8de8-404e-b8e2-323d16ef08c1	Egeland, North Dakota	Egeland, North Dakota	3	0	2013-09-08 07:31:37.853177+02	\N	\N	\N	\N	\N	\N	f	
27374	36c7221b-a036-4448-a3dd-063431d810a8	Pisek, North Dakota	Pisek, North Dakota	3	0	2013-09-08 07:41:21.306227+02	\N	\N	\N	\N	\N	\N	f	
11595	2a545a2b-8bc3-4aff-a829-7787594ea1e6	Ebina City	Ebina City	3	0	2013-06-25 11:59:25.302485+02	\N	\N	\N	\N	\N	\N	f	
13980	d0a213f0-52ea-4fae-bbe8-dfc764e35733	Gemmano	Gemmano	4	0	2013-07-21 19:55:57.146504+02	\N	\N	\N	\N	\N	\N	f	
13996	a8b0cc18-4c77-4019-83ff-f7d62cd23f8e	Treviso Bresciano	Treviso Bresciano	4	0	2013-07-21 20:00:21.447854+02	\N	\N	\N	\N	\N	\N	f	
15683	7c3af357-fe90-4b6b-89c2-dcbcdc4e0226	Gerano	Gerano	4	0	2013-07-22 01:39:26.456168+02	\N	\N	\N	\N	\N	\N	f	
14536	1bd61019-f093-49a2-80f1-f933e6cb58a2	Villanova Monferrato	Villanova Monferrato	4	0	2013-07-21 22:00:06.817883+02	\N	\N	\N	\N	\N	\N	f	
14602	04ff3e8f-40b0-4b9f-a54c-c262f9d6a782	Cinaglio	Cinaglio	4	0	2013-07-21 22:14:56.645701+02	\N	\N	\N	\N	\N	\N	f	
15053	d8631404-1069-4297-805c-d1b58f841db3	Pocapaglia	Pocapaglia	4	0	2013-07-21 23:41:59.571589+02	\N	\N	\N	\N	\N	\N	f	
15735	99434d11-29d1-4246-b494-882f8fddb421	San Polo dei Cavalieri	San Polo dei Cavalieri	4	0	2013-07-22 01:51:13.688668+02	\N	\N	\N	\N	\N	\N	f	
15183	a24494c3-c02d-43a1-9654-93c4c94c475e	Savigliano	Savigliano	4	0	2013-07-21 23:57:34.595098+02	\N	\N	\N	\N	\N	\N	f	
15197	2be5ed70-90b1-4b72-a229-1444dfd6dc37	Santa Vittoria d'Alba	Santa Vittoria d'Alba	4	0	2013-07-21 23:59:13.298299+02	\N	\N	\N	\N	\N	\N	f	
17456	73022f40-4074-4ed8-be5e-4ad10787b08b	Taino	Taino	4	0	2013-07-22 06:29:56.47322+02	\N	\N	\N	\N	\N	\N	f	
15810	1c642ee0-4e86-4fb2-80f0-62156a96645a	Caslino d'Erba	Caslino d'Erba	4	0	2013-07-22 02:07:49.651007+02	\N	\N	\N	\N	\N	\N	f	
15978	c30e5f9a-b050-412d-8610-c6317e576f7e	Cavedine	Cavedine	4	0	2013-07-22 02:37:52.405667+02	\N	\N	\N	\N	\N	\N	f	
16627	34a66bc5-16ca-4f17-be17-040994eae9d9	Mezzana, Trentino	Mezzana, Trentino	4	0	2013-07-22 03:56:52.143469+02	\N	\N	\N	\N	\N	\N	f	
23282	e6a289df-2fbe-41ff-813e-85be17b9846f	Mount Pleasant	Mount Pleasant	3	0	2013-08-24 14:40:03.134438+02	\N	\N	\N	\N	\N	\N	f	
16633	672d683b-c42d-453b-9f1a-06fbccd1e4ca	Teti, Sardinia	Teti, Sardinia	4	0	2013-07-22 03:57:42.085923+02	\N	\N	\N	\N	\N	\N	f	
17179	c479bb79-8c11-48e4-b0ab-a03f39ad8673	Pau	Pau	4	0	2013-07-22 05:54:12.593427+02	\N	\N	\N	\N	\N	\N	f	
19872	d3c4ac45-2b63-4597-bc38-73864493bc82	Aliano	Aliano	4	0	2013-07-22 11:49:02.473068+02	\N	\N	\N	\N	\N	\N	f	
18455	4a6a4b30-c425-42bc-bb59-9c18d612a189	Genivolta	Genivolta	4	0	2013-07-22 08:31:31.524412+02	\N	\N	\N	\N	\N	\N	f	
25932	8f4fc848-a386-4e46-b322-355421d67579	Santa Bárbara	Santa Bárbara	3	0	2013-09-07 17:23:49.256371+02	\N	\N	\N	\N	\N	\N	f	
18474	a7f35954-c34f-42ae-8851-f800f3e7d529	Zovencedo	Zovencedo	4	0	2013-07-22 08:36:17.228398+02	\N	\N	\N	\N	\N	\N	f	
20599	ac88d5b5-3b99-4014-96ec-0ba8ddbab7d7	Filadelfia, Calabria	Filadelfia, Calabria	4	0	2013-07-23 05:46:49.62915+02	\N	\N	\N	\N	\N	\N	f	
18514	c53725f5-6dc8-4dbb-abcd-717ac50bd972	Zermeghedo	Zermeghedo	4	0	2013-07-22 08:40:37.6972+02	\N	\N	\N	\N	\N	\N	f	
18534	e870bac2-67f0-4633-bae4-f107437839e4	Cismon del Grappa	Cismon del Grappa	4	0	2013-07-22 08:43:16.386218+02	\N	\N	\N	\N	\N	\N	f	
23285	b1f0803b-93d4-4ffd-bcf0-9a0abeb93d7c	Washington	Washington	3	0	2013-08-24 14:40:46.820831+02	\N	\N	\N	\N	\N	\N	f	
18539	0613bf26-ff2a-4b50-8665-4e83a1565343	Trevignano	Trevignano	4	0	2013-07-22 08:43:46.305841+02	\N	\N	\N	\N	\N	\N	f	
20626	b532a8fa-18f5-4c9c-9777-fa93c93cbcdf	Treviso	Treviso	4	0	2013-07-23 08:30:04.231665+02	\N	\N	\N	\N	\N	\N	f	
19385	2c9ac08e-4a5b-4940-b706-f0dc5aafb9c2	Casalanguida	Casalanguida	4	0	2013-07-22 10:28:28.993753+02	\N	\N	\N	\N	\N	\N	f	
19444	a7853a67-3b7c-4a74-b019-4405a04327b8	San Giovanni Teatino	San Giovanni Teatino	4	0	2013-07-22 10:35:49.836413+02	\N	\N	\N	\N	\N	\N	f	
20726	e74d09c2-b002-4394-9cd2-a54da879a8ac	Senerchia	Senerchia	4	0	2013-07-23 11:30:04.047308+02	\N	\N	\N	\N	\N	\N	f	
23725	126010bb-a98a-4a89-ad4a-d3333e405bb6	Hof	Hof	3	0	2013-08-31 17:33:05.797032+02	\N	\N	\N	\N	\N	\N	f	
20746	9e84e8bb-60eb-4745-850e-c2440f1940b0	Circello	Circello	4	0	2013-07-23 11:34:34.727047+02	\N	\N	\N	\N	\N	\N	f	
23295	0bf1883c-7b5c-4563-b4f2-6a123bb7042a	Woodland Hills	Woodland Hills	3	0	2013-08-24 14:43:00.517911+02	\N	\N	\N	\N	\N	\N	f	
20826	144927bd-f24b-4dbe-9ef8-a046f614d671	Montegallo	Montegallo	4	0	2013-07-23 14:30:33.878961+02	\N	\N	\N	\N	\N	\N	f	
20838	5f13d753-2acc-499e-b36b-be003c92d062	Montedinove	Montedinove	4	0	2013-07-23 14:33:20.056337+02	\N	\N	\N	\N	\N	\N	f	
20866	13094e9e-ccb3-4fb5-9071-504b1fa30be6	Montefiore dell'Aso	Montefiore dell'Aso	4	0	2013-07-23 14:39:45.124676+02	\N	\N	\N	\N	\N	\N	f	
23370	059de6d0-ef2f-4bac-b243-7145faad9c5d	Washington Terrace	Washington Terrace	3	0	2013-08-24 17:36:22.819824+02	\N	\N	\N	\N	\N	\N	f	
20875	b56a79e9-957b-449a-848b-784984184b65	Carinola	Carinola	4	0	2013-07-23 14:42:07.874716+02	\N	\N	\N	\N	\N	\N	f	
25408	15f355ac-766b-4b0c-9a9e-d8fa0d7c6229	Mankato, Kansas	Mankato, Kansas	3	0	2013-09-07 11:43:13.946247+02	\N	\N	\N	\N	\N	\N	f	
23419	0f5eff4d-1aeb-4b48-ac0a-037fef6b18db	Alma, Wisconsin	Alma, Wisconsin	3	0	2013-08-24 20:44:07.055281+02	\N	\N	\N	\N	\N	\N	f	
22794	df6661c1-6c0f-45d1-a4c1-2b66c335d77a	Santo Stefano di Camastra	Santo Stefano di Camastra	4	0	2013-08-14 17:48:21.318706+02	\N	\N	\N	\N	\N	\N	f	
22796	9fd7f0ef-37b0-466b-a7a2-c0cfb6c53e9c	Torregrotta	Torregrotta	4	0	2013-08-14 17:48:57.393368+02	\N	\N	\N	\N	\N	\N	f	
23737	47cf7072-da93-4354-85ec-7852c338ec87	Gelsenkirchen	Gelsenkirchen	3	0	2013-08-31 20:29:26.192539+02	\N	\N	\N	\N	\N	\N	f	
23275	8e36e3d9-3e17-4da8-8457-d2cbb233539b	Etowah, Tennessee	Etowah, Tennessee	3	0	2013-08-24 14:36:48.016432+02	\N	\N	\N	\N	\N	\N	f	
23496	dcfd638a-54a4-4d8b-9c69-fa732235c930	Dolný Kubín	Dolný Kubín	3	0	2013-08-26 02:38:37.439653+02	\N	\N	\N	\N	\N	\N	f	
23280	700f6a16-0ab1-44ac-ba63-43125317861d	Enterprise	Enterprise	3	0	2013-08-24 14:39:05.36681+02	\N	\N	\N	\N	\N	\N	f	
23514	04bd1c24-3ac7-4bf9-abee-54a8a1ad12d5	Partizánske	Partizánske	3	0	2013-08-26 02:43:36.237489+02	\N	\N	\N	\N	\N	\N	f	
23578	2cc46bbd-62c4-497b-9ffe-ea4798909817	Krupina	Krupina	3	0	2013-08-26 14:39:18.446226+02	\N	\N	\N	\N	\N	\N	f	
23784	bdeb5ff3-923a-4176-86bf-212a574c1b25	Lovech	Lovech	3	0	2013-09-01 14:22:42.716791+02	\N	\N	\N	\N	\N	\N	f	
23592	81553bbd-e030-4e69-b31e-dac9299cd912	Lipany	Lipany	3	0	2013-08-26 14:44:00.606667+02	\N	\N	\N	\N	\N	\N	f	
11895	a601c493-4acf-416d-90ce-60986c2909a6	Higashiyodogawa-ku	Higashiyodogawa-ku	5	0	2013-08-28 15:41:49.406111+02	\N	\N	\N	\N	\N	\N	f	
25798	21d83bca-42a2-4b94-9fde-986dd416abf4	Cullison, Kansas	Cullison, Kansas	3	0	2013-09-07 14:41:32.113591+02	\N	\N	\N	\N	\N	\N	f	
24721	91f9dc23-5230-4dc6-b439-08d33e929ab0	Clarence	Clarence	3	0	2013-09-07 08:17:47.695594+02	\N	\N	\N	\N	\N	\N	f	
25252	4527e47b-3fe7-4713-923b-6ea739949f2a	Floris	Floris	3	0	2013-09-07 10:52:51.771879+02	\N	\N	\N	\N	\N	\N	f	
25313	0c0d7f1a-4884-4b52-961c-9e80ed272d7d	Casey	Casey	3	0	2013-09-07 11:09:25.347687+02	\N	\N	\N	\N	\N	\N	f	
25809	218b1190-b58f-4b50-b8c9-dcbe5f803fb7	Blackey, Kentucky	Blackey, Kentucky	3	0	2013-09-07 14:44:52.600324+02	\N	\N	\N	\N	\N	\N	f	
25964	1984920b-21f6-4008-ba78-0b3806db428a	Newton	Newton	3	0	2013-09-07 17:33:36.348933+02	\N	\N	\N	\N	\N	\N	f	
25916	552393c4-4c85-4596-b1c1-a0fd4d696e8c	Escanaba	Escanaba	3	0	2013-09-07 17:17:46.465447+02	\N	\N	\N	\N	\N	\N	f	
26031	7fed0f9b-8d40-473e-8a91-f8557a7f1e3f	Willowbrook	Willowbrook	3	0	2013-09-07 17:51:03.275378+02	\N	\N	\N	\N	\N	\N	f	
25980	c8e4ae6f-38bd-418d-9cf4-bf46dd7df03e	Gratz, Kentucky	Gratz, Kentucky	3	0	2013-09-07 17:37:44.71677+02	\N	\N	\N	\N	\N	\N	f	
26275	82e9335c-a12e-421c-bcc1-a14f83b27b39	Kennett, Missouri	Kennett, Missouri	3	0	2013-09-07 21:04:01.115128+02	\N	\N	\N	\N	\N	\N	f	
26238	bc8bd947-dcd9-4192-9825-66d187b2b569	Norbourne Estates, Kentucky	Norbourne Estates, Kentucky	3	0	2013-09-07 20:53:16.046521+02	\N	\N	\N	\N	\N	\N	f	
26554	4e7a6dd1-23fe-46c6-a674-0b6eb57659e3	Ashland, Kentucky	Ashland, Kentucky	3	0	2013-09-08 01:06:46.790159+02	\N	\N	\N	\N	\N	\N	f	
26587	86ea554c-3bbb-4aee-ac2c-49cab3515757	Helena, Georgia	Helena, Georgia	3	0	2013-09-08 01:15:27.962285+02	\N	\N	\N	\N	\N	\N	f	
27320	0623a3a9-b9de-4396-936c-8c52c29db216	Arnegard, North Dakota	Arnegard, North Dakota	3	0	2013-09-08 07:27:04.4762+02	\N	\N	\N	\N	\N	\N	f	
26914	2622ab2b-5545-49d4-8a3a-7da3439be0d9	Mountain Grove	Mountain Grove	3	0	2013-09-08 03:59:19.522002+02	\N	\N	\N	\N	\N	\N	f	
27643	e1a10ff2-8345-4b6d-86f0-54a1ff455991	Bellefontaine, Ohio	Bellefontaine, Ohio	3	0	2013-09-08 09:07:46.825905+02	\N	\N	\N	\N	\N	\N	f	
28244	10871565-c6b1-4c94-9538-8dd5a2c7531a	Easley, South Carolina	Easley, South Carolina	3	0	2013-09-08 15:37:37.639929+02	\N	\N	\N	\N	\N	\N	f	
28005	ad84b3b1-8711-4d01-89a3-057b2b9ac473	Two Harbors	Two Harbors	3	0	2013-09-08 11:59:07.211019+02	\N	\N	\N	\N	\N	\N	f	
11597	aed9f5ac-f7c1-4eab-aa48-cfb69d185483	Gotemba	Gotemba	3	0	2013-06-25 11:59:49.286364+02	\N	\N	\N	\N	\N	\N	f	
11598	f83d6b20-e59d-42e7-943b-47fa06afce18	Fujieda	Fujieda	3	0	2013-06-25 12:00:01.257609+02	\N	\N	\N	\N	\N	\N	f	
11599	2aa10008-cbab-4e1b-890a-6ce263ca8008	Takahata	Takahata	3	0	2013-06-25 12:00:55.310384+02	\N	\N	\N	\N	\N	\N	f	
13982	42d47b0a-9196-43ec-a2f0-9fcd7e3c97fc	San Felice del Benaco	San Felice del Benaco	4	0	2013-07-21 19:56:23.71646+02	\N	\N	\N	\N	\N	\N	f	
13990	5dcc2da9-313c-4575-9f2f-9fa311a0da01	Polaveno	Polaveno	4	0	2013-07-21 19:58:38.134617+02	\N	\N	\N	\N	\N	\N	f	
15685	6d5805e4-f7d4-47f4-aca4-29725fc8743d	Licenza	Licenza	4	0	2013-07-22 01:39:49.844977+02	\N	\N	\N	\N	\N	\N	f	
14537	8fcd9baa-6d94-4c97-8758-331f279ffe38	Valenza	Valenza	4	0	2013-07-21 22:00:23.025034+02	\N	\N	\N	\N	\N	\N	f	
14630	921c4ab5-d262-4f4b-a021-cbbbea2e8164	Valfenera	Valfenera	4	0	2013-07-21 22:21:03.621538+02	\N	\N	\N	\N	\N	\N	f	
23580	97369c5a-ed6c-4606-b4f0-05767e0aba9b	Hanušovce nad Topľou	Hanušovce nad Topľou	3	0	2013-08-26 14:39:55.52079+02	\N	\N	\N	\N	\N	\N	f	
15693	83866c1f-0ca6-471e-8ccd-411479f3927d	Mandela, Lazio	Mandela, Lazio	4	0	2013-07-22 01:41:36.965771+02	\N	\N	\N	\N	\N	\N	f	
15129	2d2c0360-b967-47bc-8070-1960ff954ce4	Foligno	Foligno	4	0	2013-07-21 23:51:21.141679+02	\N	\N	\N	\N	\N	\N	f	
17459	91d826b7-0cd5-4641-8c48-9d07eb7d5932	San Tomaso Agordino	San Tomaso Agordino	4	0	2013-07-22 06:30:21.547267+02	\N	\N	\N	\N	\N	\N	f	
15203	6a343c54-77ba-4339-af3e-4030a9cba75d	Magione	Magione	4	0	2013-07-21 23:59:55.263277+02	\N	\N	\N	\N	\N	\N	f	
15742	95431bdc-4e70-416a-be0a-4219acdd786c	Valmontone	Valmontone	4	0	2013-07-22 01:52:53.350187+02	\N	\N	\N	\N	\N	\N	f	
26032	a29cfbb7-9751-4122-97a1-abda3c724c91	Wakefield	Wakefield	3	0	2013-09-07 17:51:19.429317+02	\N	\N	\N	\N	\N	\N	f	
15748	c0a79400-c4be-4a30-a8f7-e0da5919fd2e	Aldeno	Aldeno	4	0	2013-07-22 01:54:03.49432+02	\N	\N	\N	\N	\N	\N	f	
11914	5b8d643e-743c-4f7a-b4f2-66d9052ab49a	Higashisumiyoshi-ku	Higashisumiyoshi-ku	5	0	2013-08-28 15:41:52.453876+02	\N	\N	\N	\N	\N	\N	f	
16628	2f953bf4-8487-4027-8488-41d423e6bbc9	Fonni	Fonni	4	0	2013-07-22 03:56:57.138726+02	\N	\N	\N	\N	\N	\N	f	
17671	f9180602-bfd9-4a44-887d-7842db8a9a8d	Grosio	Grosio	4	0	2013-07-22 06:56:17.0382+02	\N	\N	\N	\N	\N	\N	f	
17181	ed016d69-6bdc-4b4d-88de-ef6fe01a3370	Simaxis	Simaxis	4	0	2013-07-22 05:54:27.886587+02	\N	\N	\N	\N	\N	\N	f	
19875	6c29ac90-f834-46ad-9154-7a80a784bec7	Aulla	Aulla	4	0	2013-07-22 11:49:24.194803+02	\N	\N	\N	\N	\N	\N	f	
17702	1ce18e40-1bd7-4cf5-b368-2a54535d73bd	Valle Salimbene	Valle Salimbene	4	0	2013-07-22 07:00:31.104535+02	\N	\N	\N	\N	\N	\N	f	
17718	aa9f63c4-d60f-46b0-990c-763b1811c94b	Bovisio-Masciago	Bovisio-Masciago	4	0	2013-07-22 07:02:19.621065+02	\N	\N	\N	\N	\N	\N	f	
18456	dfe827c4-2b61-4441-8123-d8eb68ee8771	Morterone	Morterone	4	0	2013-07-22 08:31:43.798508+02	\N	\N	\N	\N	\N	\N	f	
20601	392cfbd2-3fb9-4faa-bd9a-f984d2437e1f	Brognaturo	Brognaturo	4	0	2013-07-23 05:47:14.871908+02	\N	\N	\N	\N	\N	\N	f	
19395	32461f4a-1ee1-4093-8947-99bcacbfa733	Pollutri	Pollutri	4	0	2013-07-22 10:29:48.048385+02	\N	\N	\N	\N	\N	\N	f	
23738	0c21d37f-adf5-4bdc-8ccc-be74713afcd8	Krefeld	Krefeld	3	0	2013-08-31 20:30:00.069301+02	\N	\N	\N	\N	\N	\N	f	
20627	b5949223-1141-4939-af1e-73d21857a791	Zambrone	Zambrone	4	0	2013-07-23 08:30:25.020628+02	\N	\N	\N	\N	\N	\N	f	
20668	2c18a41c-4abb-4f60-8654-973fbdcad1f7	Frigento	Frigento	4	0	2013-07-23 08:40:29.163411+02	\N	\N	\N	\N	\N	\N	f	
27648	9c4b60d2-61ac-453d-92af-8abf9cde3ca1	Bellbrook, Ohio	Bellbrook, Ohio	3	0	2013-09-08 09:09:04.372262+02	\N	\N	\N	\N	\N	\N	f	
20727	6a4080ae-d779-4447-885b-e70eff7558e1	Scampitella	Scampitella	4	0	2013-07-23 11:30:21.507537+02	\N	\N	\N	\N	\N	\N	f	
23785	d87f731f-4467-49d0-a493-70d8c5d3322f	Asenovgrad	Asenovgrad	3	0	2013-09-01 14:23:12.628016+02	\N	\N	\N	\N	\N	\N	f	
20827	0f21842b-bc9d-4d78-803f-e5a9d670bcd4	Spinetoli	Spinetoli	4	0	2013-07-23 14:30:48.587683+02	\N	\N	\N	\N	\N	\N	f	
20871	7514432a-0172-4c7c-95b9-368eaf95f11b	Caiazzo	Caiazzo	4	0	2013-07-23 14:41:20.266284+02	\N	\N	\N	\N	\N	\N	f	
26239	07405d64-0df8-47bb-b085-9cbdae858cf8	Park Hills	Park Hills	3	0	2013-09-07 20:53:33.386693+02	\N	\N	\N	\N	\N	\N	f	
24727	bcecee86-d1fa-4a57-967e-af24d33db4ae	Hancock	Hancock	3	0	2013-09-07 08:18:30.684736+02	\N	\N	\N	\N	\N	\N	f	
24768	265e3284-e4e8-4d45-ade3-116db68f5336	Elgin, Iowa	Elgin, Iowa	3	0	2013-09-07 08:29:57.450681+02	\N	\N	\N	\N	\N	\N	f	
22798	be5353f4-65eb-4812-8c75-34e6a8a18ffb	San Salvatore di Fitalia	San Salvatore di Fitalia	4	0	2013-08-14 17:49:33.590398+02	\N	\N	\N	\N	\N	\N	f	
23276	379ceea4-9e62-46be-add3-fa05b7f773a5	Allardt	Allardt	3	0	2013-08-24 14:37:26.246533+02	\N	\N	\N	\N	\N	\N	f	
23289	41a3fb0a-ae11-4f0f-9b16-c4c62be321cb	Kaysville	Kaysville	3	0	2013-08-24 14:41:41.831913+02	\N	\N	\N	\N	\N	\N	f	
25253	819111a2-820f-48a5-966e-d9bf12640476	Sioux Center	Sioux Center	3	0	2013-09-07 10:53:07.976482+02	\N	\N	\N	\N	\N	\N	f	
23371	be05bb31-d620-4901-b723-b9405fefd4e4	Richfield	Richfield	3	0	2013-08-24 17:36:44.96778+02	\N	\N	\N	\N	\N	\N	f	
23420	6575493f-96e9-460c-b036-ef696561d356	Sheboygan	Sheboygan	3	0	2013-08-24 20:44:47.034482+02	\N	\N	\N	\N	\N	\N	f	
26555	8feef9f5-0ee1-4c39-aab3-c2a91ea8e786	Nicholson, Georgia	Nicholson, Georgia	3	0	2013-09-08 01:07:06.924977+02	\N	\N	\N	\N	\N	\N	f	
23497	ebdc2cd8-18b9-43ac-a758-9b2bf7d88056	Štúrovo	Štúrovo	3	0	2013-08-26 02:38:57.340334+02	\N	\N	\N	\N	\N	\N	f	
25320	19d39e93-f3c5-4cb8-a86f-1c58caa00d5c	Ghent	Ghent	3	0	2013-09-07 11:18:15.186443+02	\N	\N	\N	\N	\N	\N	f	
25354	807069c4-2ba3-4e5e-86eb-3df6ddaeb781	Leawood	Leawood	3	0	2013-09-07 11:30:03.534551+02	\N	\N	\N	\N	\N	\N	f	
26557	f075c980-db16-48bb-bd4e-70eb518e77c1	Dresden, Kansas	Dresden, Kansas	3	0	2013-09-08 01:07:34.897985+02	\N	\N	\N	\N	\N	\N	f	
25800	dac89393-5fc7-43c8-a385-7d77d43cfe29	Clinton	Clinton	3	0	2013-09-07 14:42:07.200013+02	\N	\N	\N	\N	\N	\N	f	
25917	9dcb041d-6107-45e1-a447-be986dddfde5	Ypsilanti	Ypsilanti	3	0	2013-09-07 17:18:12.735214+02	\N	\N	\N	\N	\N	\N	f	
28006	4a66e076-d349-4b48-8531-fc7edfced9e5	Maplewood	Maplewood	3	0	2013-09-08 11:59:22.531633+02	\N	\N	\N	\N	\N	\N	f	
26915	815698f4-d7bd-4927-bea1-c27357789eae	Willow Springs	Willow Springs	3	0	2013-09-08 03:59:36.397965+02	\N	\N	\N	\N	\N	\N	f	
28929	316e2754-a0d5-46f6-9108-0fea534be0dd	Rio Vista	Rio Vista	3	0	2013-09-09 01:31:54.359242+02	\N	\N	\N	\N	\N	\N	f	
27035	7aa8149d-0ae7-4eda-8bc7-b912849ffa94	Holcomb	Holcomb	3	0	2013-09-08 04:30:24.118043+02	\N	\N	\N	\N	\N	\N	f	
28007	673890d3-32ef-4a4b-a973-e23549528797	Columbia	Columbia	3	0	2013-09-08 11:59:36.535695+02	\N	\N	\N	\N	\N	\N	f	
27321	7ca0e7f1-9eed-4d8e-9ca4-b0cde086d742	Jackson	Jackson	3	0	2013-09-08 07:27:23.405849+02	\N	\N	\N	\N	\N	\N	f	
28472	63781ad2-4b99-4d66-ad3b-bbdfa4ae5a97	Adrian	Adrian	3	0	2013-09-08 17:43:17.741851+02	\N	\N	\N	\N	\N	\N	f	
28081	0ce7fb23-494f-4a33-bb87-9c06e863ccf3	Reutov	Reutov	3	0	2013-09-08 12:25:15.482822+02	\N	\N	\N	\N	\N	\N	f	
28895	38df778d-9983-466f-9b35-9c7d62062fbf	Brier	Brier	3	0	2013-09-09 01:12:41.245654+02	\N	\N	\N	\N	\N	\N	f	
28245	28fa1f6b-a7e5-47e5-8f7d-f9b343f385c1	Liberty, South Carolina	Liberty, South Carolina	3	0	2013-09-08 15:38:30.522881+02	\N	\N	\N	\N	\N	\N	f	
28436	dc7173d4-7711-4bd8-9201-7387e3b1852f	Savannah, Tennessee	Savannah, Tennessee	3	0	2013-09-08 17:24:52.362305+02	\N	\N	\N	\N	\N	\N	f	
28678	36c03cfe-4f74-4c6d-b8de-01573b96479f	Milton	Milton	3	0	2013-09-08 23:21:01.923896+02	\N	\N	\N	\N	\N	\N	f	
28692	5feaee14-4c66-4e20-9398-ace732e44561	Mount Enterprise	Mount Enterprise	3	0	2013-09-08 23:32:11.169941+02	\N	\N	\N	\N	\N	\N	f	
28928	fec5911c-8ecc-4d54-bc36-869ce260a643	Rotan	Rotan	3	0	2013-09-09 01:31:37.921369+02	\N	\N	\N	\N	\N	\N	f	
28898	a205e544-38ac-4ab4-83ca-312f613eb89c	Deer Park	Deer Park	3	0	2013-09-09 01:13:23.060103+02	\N	\N	\N	\N	\N	\N	f	
29190	c62e3acd-1473-4ea7-a859-2a3986bf8118	Westlake	Westlake	3	0	2013-09-09 03:01:28.001792+02	\N	\N	\N	\N	\N	\N	f	
29310	43bceb22-e3da-4ab3-aef0-bb638cfa85d3	Berlin	Berlin	3	0	2013-09-09 05:23:49.220867+02	\N	\N	\N	\N	\N	\N	f	
29423	b21e4552-050d-4c0c-ac5a-031108eb0c47	Louisville	Louisville	3	0	2013-09-12 06:08:30.929222+02	\N	\N	\N	\N	\N	\N	f	
29407	73deedf3-5a5d-41b9-9f78-dc29a0369e98	Two Rivers, Wisconsin	Two Rivers, Wisconsin	3	0	2013-09-09 08:45:36.968885+02	\N	\N	\N	\N	\N	\N	f	
29534	5d14d8da-0ab7-4c64-bdca-089f9831c232	Ludlow	Ludlow	3	0	2013-09-29 08:38:28.411963+02	\N	\N	\N	\N	\N	\N	f	
29638	1d8bfd73-8b41-46ea-92ca-14a9d5907bb1	Gilsdorf	Gilsdorf	3	0	2013-10-11 20:17:56.506151+02	\N	\N	\N	\N	\N	\N	f	
11600	5ffda8d6-5bbf-4e65-b16d-9a6a6db876ba	Ayase City	Ayase City	3	0	2013-06-25 12:01:28.103273+02	\N	\N	\N	\N	\N	\N	f	
11601	2fd009fc-13ee-4b67-b766-1f9d5c372e48	Gresham	Gresham	3	0	2013-06-25 12:03:01.599312+02	\N	\N	\N	\N	\N	\N	f	
11602	fd056f4b-105c-4f5c-b786-2b602f18bf3b	Kumano	Kumano	3	0	2013-06-25 12:03:21.165799+02	\N	\N	\N	\N	\N	\N	f	
13986	d0489693-7c7e-42c5-82dd-b880f2a8408c	Rovato	Rovato	4	0	2013-07-21 19:57:36.320469+02	\N	\N	\N	\N	\N	\N	f	
14539	71fde3e8-239e-42f8-9dd5-a194f24df640	Rocchetta Ligure	Rocchetta Ligure	4	0	2013-07-21 22:00:51.88156+02	\N	\N	\N	\N	\N	\N	f	
15687	b4869f12-8739-432d-a67a-cd7f417835fe	Colonna, Lazio	Colonna, Lazio	4	0	2013-07-22 01:40:15.597993+02	\N	\N	\N	\N	\N	\N	f	
15056	421d6313-179f-436a-8b9d-9f55140388e3	Peveragno	Peveragno	4	0	2013-07-21 23:42:22.551311+02	\N	\N	\N	\N	\N	\N	f	
15137	7a7d0135-e0fd-46d6-b9cc-0b445ee67b12	Fossato di Vico	Fossato di Vico	4	0	2013-07-21 23:52:11.227642+02	\N	\N	\N	\N	\N	\N	f	
15723	78aae945-357a-40eb-a659-e3e18ed44a2b	Sant'Angelo Romano	Sant'Angelo Romano	4	0	2013-07-22 01:48:42.278804+02	\N	\N	\N	\N	\N	\N	f	
17461	5e539195-feea-4fdb-8606-9989a6e01de4	Tovo di Sant'Agata	Tovo di Sant'Agata	4	0	2013-07-22 06:30:35.114295+02	\N	\N	\N	\N	\N	\N	f	
15736	a82e1d1d-e8eb-4ef3-af51-4a8b0ccc29c6	Sambuci	Sambuci	4	0	2013-07-22 01:51:25.643401+02	\N	\N	\N	\N	\N	\N	f	
15754	8c62608b-b0ec-4d2b-8946-c3bb5b6989f6	Appiano Gentile	Appiano Gentile	4	0	2013-07-22 01:55:13.14543+02	\N	\N	\N	\N	\N	\N	f	
23373	21db206a-5a98-4328-b04f-1a42d0a62ed4	Coalville	Coalville	3	0	2013-08-24 17:37:28.244054+02	\N	\N	\N	\N	\N	\N	f	
15809	6d387f97-b771-4f76-b526-822c7d65823e	Carlazzo	Carlazzo	4	0	2013-07-22 02:07:37.420444+02	\N	\N	\N	\N	\N	\N	f	
17470	3aac19ab-eab4-4182-84aa-5c5890f9ec6d	San Zenone al Po	San Zenone al Po	4	0	2013-07-22 06:31:30.160996+02	\N	\N	\N	\N	\N	\N	f	
15892	f9298de5-e6a2-499f-bd12-50f55020f233	Prarolo	Prarolo	4	0	2013-07-22 02:26:38.064333+02	\N	\N	\N	\N	\N	\N	f	
19877	57b99819-f972-4e79-ad0d-9226c177da27	Veglie	Veglie	4	0	2013-07-22 11:49:40.149329+02	\N	\N	\N	\N	\N	\N	f	
15913	347a7685-64db-41f2-be99-cffb2d10ed01	Villarboit	Villarboit	4	0	2013-07-22 02:29:32.089001+02	\N	\N	\N	\N	\N	\N	f	
17515	4484ed5b-011a-4731-b039-c2f6a5c54c5e	Gela	Gela	4	0	2013-07-22 06:36:56.553544+02	\N	\N	\N	\N	\N	\N	f	
15925	a719cdbc-26c6-4dea-bbec-554761c4eaac	Levanto, Liguria	Levanto, Liguria	4	0	2013-07-22 02:31:03.737989+02	\N	\N	\N	\N	\N	\N	f	
15962	ee1e27a5-c33f-42b1-a5be-3368d632b8f9	Cavareno	Cavareno	4	0	2013-07-22 02:36:03.105675+02	\N	\N	\N	\N	\N	\N	f	
16629	9503f940-9c25-4927-b9a6-1f9ab69e171b	Mazzin	Mazzin	4	0	2013-07-22 03:57:05.94904+02	\N	\N	\N	\N	\N	\N	f	
17529	067f1b44-8c35-4dc7-8142-3cc4987f5a49	Agordo	Agordo	4	0	2013-07-22 06:38:37.26354+02	\N	\N	\N	\N	\N	\N	f	
16702	2879d5d8-b34a-463f-b9c8-83f41f33713e	Siror	Siror	4	0	2013-07-22 04:13:31.341607+02	\N	\N	\N	\N	\N	\N	f	
17187	0f7eb789-cc5f-43df-9d2d-0623abc6b031	Siamanna	Siamanna	4	0	2013-07-22 05:55:10.558473+02	\N	\N	\N	\N	\N	\N	f	
23792	1d185a5b-7ff0-4ca6-8677-ea4842755c2b	Rapperswil	Rapperswil	3	0	2013-09-02 08:28:59.341199+02	\N	\N	\N	\N	\N	\N	f	
18457	917824b3-5e61-4a7b-86e1-a5983436d9d9	Cremosano	Cremosano	4	0	2013-07-22 08:31:56.525783+02	\N	\N	\N	\N	\N	\N	f	
20603	c16b41fa-a6cc-45bc-a0cb-91deafebe557	Sant'Ilario dello Ionio	Sant'Ilario dello Ionio	4	0	2013-07-23 05:47:38.566037+02	\N	\N	\N	\N	\N	\N	f	
19396	e6e21043-dd2e-4952-b20e-7f20a318fd87	Pizzoferrato	Pizzoferrato	4	0	2013-07-22 10:29:59.763569+02	\N	\N	\N	\N	\N	\N	f	
19470	8088039c-bdfc-4808-b1c0-ad15f4f0a56a	Turrivalignani	Turrivalignani	4	0	2013-07-22 10:38:57.659667+02	\N	\N	\N	\N	\N	\N	f	
23374	72868e4a-def3-46d2-b2bc-2bd5bd0978b3	Klosterneuburg	Klosterneuburg	3	0	2013-08-24 17:37:52.302636+02	\N	\N	\N	\N	\N	\N	f	
19474	24fcf684-0d0a-46de-be5c-a4cbc1995b3d	Serramonacesca	Serramonacesca	4	0	2013-07-22 10:39:29.178211+02	\N	\N	\N	\N	\N	\N	f	
20628	58e852e1-a65d-41ea-8b7a-3f2918f798e5	Marzano Appio	Marzano Appio	4	0	2013-07-23 08:30:37.642097+02	\N	\N	\N	\N	\N	\N	f	
19526	6234e08e-e8e5-4c7c-a04d-3871392b0423	Corropoli	Corropoli	4	0	2013-07-22 10:45:53.697273+02	\N	\N	\N	\N	\N	\N	f	
20728	f6c4984d-d508-48b6-97a9-c24cc2d5e20b	Sant'Angelo dei Lombardi	Sant'Angelo dei Lombardi	4	0	2013-07-23 11:30:38.925032+02	\N	\N	\N	\N	\N	\N	f	
20744	cc8debde-d621-4792-ae9e-13979318fea8	Casalduni	Casalduni	4	0	2013-07-23 11:34:10.887607+02	\N	\N	\N	\N	\N	\N	f	
23421	c830636f-5ca9-4710-95b1-1c86d2b95563	West Bend	West Bend	3	0	2013-08-24 20:45:22.618498+02	\N	\N	\N	\N	\N	\N	f	
20828	4f385723-2bf4-4e8a-bb31-e1b2d416a3af	Montalto delle Marche	Montalto delle Marche	4	0	2013-07-23 14:31:05.614882+02	\N	\N	\N	\N	\N	\N	f	
22800	3b1a9199-212e-4b17-8726-5a7440b3cb65	Capizzi	Capizzi	4	0	2013-08-14 17:50:08.422255+02	\N	\N	\N	\N	\N	\N	f	
23498	a809c172-825d-42a2-ae16-819fad6d4108	Modra	Modra	3	0	2013-08-26 02:39:14.355155+02	\N	\N	\N	\N	\N	\N	f	
23279	00affdf8-21b4-4193-b2b7-377e9ef2e41e	Milford, Utah	Milford, Utah	3	0	2013-08-24 14:38:49.917022+02	\N	\N	\N	\N	\N	\N	f	
23283	45b121c4-bbb8-4b36-8176-1d636e86fd72	Farr West	Farr West	3	0	2013-08-24 14:40:17.235781+02	\N	\N	\N	\N	\N	\N	f	
23793	ba37b8d0-640d-4922-b282-a970893bc157	Vynohradiv	Vynohradiv	3	0	2013-09-03 14:29:19.392003+02	\N	\N	\N	\N	\N	\N	f	
23294	3ae4bfc5-f8b2-4984-9fb9-5f719e491d31	Mapleton	Mapleton	3	0	2013-08-24 14:42:47.612037+02	\N	\N	\N	\N	\N	\N	f	
23581	0e08356e-6aa1-4497-94c7-173780d976f7	Bojnice	Bojnice	3	0	2013-08-26 14:40:14.916658+02	\N	\N	\N	\N	\N	\N	f	
23326	9a4d6377-ef02-4485-80e8-dcf50fcd9d77	Ferron	Ferron	3	0	2013-08-24 14:51:00.742293+02	\N	\N	\N	\N	\N	\N	f	
23329	877c982b-8a3e-44eb-a3c6-a2487a83aac2	Draper	Draper	3	0	2013-08-24 14:51:50.881722+02	\N	\N	\N	\N	\N	\N	f	
23800	f8dafb64-9232-4491-b2e7-2ae7bcd9bcdc	Vindeln Municipality	Vindeln Municipality	4	0	2013-09-04 23:27:27.985096+02	\N	\N	\N	\N	\N	\N	f	
11924	433dfd42-83b4-4733-948b-053393384f48	Higashinari-ku	Higashinari-ku	5	0	2013-08-28 15:41:54.496896+02	\N	\N	\N	\N	\N	\N	f	
23794	d093c5ba-f15e-4f74-a3f8-10af464b6cef	Petrich	Petrich	3	0	2013-09-03 17:19:49.926761+02	\N	\N	\N	\N	\N	\N	f	
23739	eb1ff5ca-ce4f-44ee-b915-21976abc9ddf	Oberhausen	Oberhausen	3	0	2013-08-31 20:30:20.980369+02	\N	\N	\N	\N	\N	\N	f	
23786	f11e27ac-73c3-460b-aee1-5e38ae6db2f5	Aytos	Aytos	3	0	2013-09-01 14:28:35.309123+02	\N	\N	\N	\N	\N	\N	f	
23791	f3654312-5a91-4084-8d21-63f132d916ca	Abinsk	Abinsk	3	0	2013-09-01 17:18:59.193952+02	\N	\N	\N	\N	\N	\N	f	
23812	cd3fb045-f870-42c9-ba91-031576d76689	Treuchtlingen	Treuchtlingen	3	0	2013-09-05 20:24:17.462998+02	\N	\N	\N	\N	\N	\N	f	
23795	cc5bd08a-a051-40c2-b075-a23251e86d68	Trollhättan Municipality	Trollhättan Municipality	4	0	2013-09-03 17:25:47.061959+02	\N	\N	\N	\N	\N	\N	f	
23801	8a72c054-beed-41b0-ae4d-fd25185294c5	Nadzab	Nadzab	3	0	2013-09-05 05:25:54.699771+02	\N	\N	\N	\N	\N	\N	f	
23798	38378ccc-0f3e-4a10-854c-50a556112e36	Echo	Echo	3	0	2013-09-03 23:22:32.375342+02	\N	\N	\N	\N	\N	\N	f	
23799	1f71e8e5-fe03-4b7d-9d20-1e22d693cd40	Guama	Guama	3	0	2013-09-04 05:31:04.593894+02	\N	\N	\N	\N	\N	\N	f	
23802	f4364f20-e0d2-49f3-94b5-3cad70bc7949	Zwiesel	Zwiesel	3	0	2013-09-05 11:19:11.858867+02	\N	\N	\N	\N	\N	\N	f	
23820	b5ab99d3-1ab9-4f09-9533-74181ca32175	Ellwangen	Ellwangen	3	0	2013-09-06 11:19:11.524147+02	\N	\N	\N	\N	\N	\N	f	
23810	5f226492-2ff6-4ea3-8c04-e8d9c4de2a49	Wuppertal	Wuppertal	3	0	2013-09-05 14:21:47.697737+02	\N	\N	\N	\N	\N	\N	f	
23813	c97413ba-a802-4e55-9316-aea4d24ff802	Deggendorf	Deggendorf	3	0	2013-09-05 23:19:08.887371+02	\N	\N	\N	\N	\N	\N	f	
23817	0cab9cca-c643-45ab-9cb4-fbc03ad5f268	Lima	Lima	3	0	2013-09-06 05:29:03.725397+02	\N	\N	\N	\N	\N	\N	f	
23818	f1cde92b-2899-4e5e-a48f-3c5e7fb4647d	Marbach am Neckar	Marbach am Neckar	3	0	2013-09-06 08:28:33.127017+02	\N	\N	\N	\N	\N	\N	f	
23822	43802af4-e434-4d5b-9e83-28093fabf2c4	Ngcobo	Ngcobo	3	0	2013-09-06 20:17:50.772065+02	\N	\N	\N	\N	\N	\N	f	
23825	e77f381b-a885-4b7e-92a5-66f080d20a59	Sand City, California	Sand City, California	3	0	2013-09-06 20:23:47.299047+02	\N	\N	\N	\N	\N	\N	f	
23828	b624eae1-a590-412d-aa21-dcc06455a76c	Adrian, Missouri	Adrian, Missouri	3	0	2013-09-06 20:28:07.950914+02	\N	\N	\N	\N	\N	\N	f	
23913	18d67c4f-5a9f-4675-aa13-fa89489348cd	Albany, Missouri	Albany, Missouri	3	0	2013-09-06 20:54:04.368716+02	\N	\N	\N	\N	\N	\N	f	
23924	658bceda-f3e5-46b1-b818-a47c882b24c1	Fountain	Fountain	3	0	2013-09-06 23:17:06.60339+02	\N	\N	\N	\N	\N	\N	f	
24024	3265c81c-9a11-4d26-9151-4fc3143a56da	Cumming	Cumming	3	0	2013-09-07 02:17:01.236043+02	\N	\N	\N	\N	\N	\N	f	
24224	1d223248-427b-4322-be39-5342e09dbb6e	Auburn	Auburn	3	0	2013-09-07 05:17:56.053562+02	\N	\N	\N	\N	\N	\N	f	
25255	68f5ca84-066f-40f2-86f1-7616865ff84e	Dysart	Dysart	3	0	2013-09-07 10:53:40.101183+02	\N	\N	\N	\N	\N	\N	f	
11603	4d54f724-b16e-4349-8351-cc0e2483556d	Fukuroi	Fukuroi	3	0	2013-06-25 12:03:33.561866+02	\N	\N	\N	\N	\N	\N	f	
11605	f2b27808-4bde-4e4b-8e02-c8dcaef77a1c	Toba	Toba	3	0	2013-06-25 12:03:57.363906+02	\N	\N	\N	\N	\N	\N	f	
11613	ff11d47b-9e2c-4959-8fdc-4b263afb20dc	Makinohara	Makinohara	3	0	2013-06-25 12:06:21.525338+02	\N	\N	\N	\N	\N	\N	f	
13988	9f76a1a9-45a2-4d39-b995-0c1620c7ef8b	San Gervasio Bresciano	San Gervasio Bresciano	4	0	2013-07-21 19:58:09.057769+02	\N	\N	\N	\N	\N	\N	f	
14002	f367a7e0-181b-4cbb-ac03-93cf78b89102	Temù	Temù	4	0	2013-07-21 20:01:38.469736+02	\N	\N	\N	\N	\N	\N	f	
15689	45dfd8b4-6284-4029-bad7-73b39089fd2d	Fonte Nuova	Fonte Nuova	4	0	2013-07-22 01:40:39.414036+02	\N	\N	\N	\N	\N	\N	f	
14540	bcbbcbf8-e034-4d75-99af-6098d2f0bdb4	Stazzano	Stazzano	4	0	2013-07-21 22:01:10.790602+02	\N	\N	\N	\N	\N	\N	f	
14591	5520f797-39cc-4c0a-8aaf-818df389e752	Dusino San Michele	Dusino San Michele	4	0	2013-07-21 22:12:26.57214+02	\N	\N	\N	\N	\N	\N	f	
14607	7c5f57f1-d82b-4281-b281-d06080fd4fae	Coazzolo	Coazzolo	4	0	2013-07-21 22:16:05.413455+02	\N	\N	\N	\N	\N	\N	f	
15720	4116b4be-d47b-43b2-a2bf-5ccbf516126a	San Vito Romano	San Vito Romano	4	0	2013-07-22 01:47:56.748798+02	\N	\N	\N	\N	\N	\N	f	
15057	c4829002-d2ce-4707-b1d0-7108c0169ede	Pietraporzio	Pietraporzio	4	0	2013-07-21 23:42:26.508146+02	\N	\N	\N	\N	\N	\N	f	
15081	ec828da2-569a-4367-946e-b2ae6848eaa9	Carmignano	Carmignano	4	0	2013-07-21 23:45:25.073177+02	\N	\N	\N	\N	\N	\N	f	
15151	a4e9cb99-4be8-41e0-926a-0c6f0ab9e4ed	Roascio	Roascio	4	0	2013-07-21 23:53:46.299872+02	\N	\N	\N	\N	\N	\N	f	
15938	b7ef71ed-6aff-48ec-ab0d-b3343119fa32	Caldes	Caldes	4	0	2013-07-22 02:32:54.043019+02	\N	\N	\N	\N	\N	\N	f	
15165	506d44cf-28a9-46ae-aa99-2e7adcdeb03e	Scagnello	Scagnello	4	0	2013-07-21 23:55:35.896943+02	\N	\N	\N	\N	\N	\N	f	
23821	40745ee3-d7de-4d32-8ffb-febd283d380b	Zell am Harmersbach	Zell am Harmersbach	3	0	2013-09-06 11:20:11.2276+02	\N	\N	\N	\N	\N	\N	f	
23375	8855cfb6-ca0a-4e98-9df7-4c409fdde3a9	Sandy, Utah	Sandy, Utah	3	0	2013-08-24 17:38:25.950164+02	\N	\N	\N	\N	\N	\N	f	
15945	4dff618e-5037-4dc2-8da1-41a5f63fa128	Carano	Carano	4	0	2013-07-22 02:33:58.773407+02	\N	\N	\N	\N	\N	\N	f	
20739	bfe0f403-ac26-48f0-bdfb-1c4e20b6c16c	Durazzano	Durazzano	4	0	2013-07-23 11:33:11.696167+02	\N	\N	\N	\N	\N	\N	f	
15949	f1c94ec2-6180-49cd-be0e-2689f31beb7c	Castellaro	Castellaro	4	0	2013-07-22 02:34:22.479576+02	\N	\N	\N	\N	\N	\N	f	
15964	fc788da1-a948-4431-bed6-a657ea96ccd6	Campo Ligure	Campo Ligure	4	0	2013-07-22 02:36:17.359217+02	\N	\N	\N	\N	\N	\N	f	
15965	3a914ebd-7d50-4ad7-af9e-669e550a5ed6	Prizzi	Prizzi	4	0	2013-07-22 02:36:27.274616+02	\N	\N	\N	\N	\N	\N	f	
19878	8057b234-d189-4b50-97dd-6eabfa3648ce	Pisticci	Pisticci	4	0	2013-07-22 11:49:42.872272+02	\N	\N	\N	\N	\N	\N	f	
15983	ce118c6e-cd43-479a-b73f-884274b68014	Sant'Olcese	Sant'Olcese	4	0	2013-07-22 02:38:21.55801+02	\N	\N	\N	\N	\N	\N	f	
17525	008fd233-edd8-4ebd-8a5e-f825764ae59b	Usmate Velate	Usmate Velate	4	0	2013-07-22 06:38:10.797997+02	\N	\N	\N	\N	\N	\N	f	
16630	1e0d3b19-c7f8-49e9-a219-d4e40da4accb	Silanus, Sardinia	Silanus, Sardinia	4	0	2013-07-22 03:57:11.384534+02	\N	\N	\N	\N	\N	\N	f	
17188	3ee3f3c3-4c46-401d-b074-e24585aa0dc9	Tramatza	Tramatza	4	0	2013-07-22 05:55:18.33301+02	\N	\N	\N	\N	\N	\N	f	
18459	55cdd926-eb74-4488-bae6-554d35c159b7	Pianengo	Pianengo	4	0	2013-07-22 08:32:10.275918+02	\N	\N	\N	\N	\N	\N	f	
23796	7d2065a4-233f-492e-80c7-43773b6a2b86	Parvomay	Parvomay	3	0	2013-09-03 17:27:30.513582+02	\N	\N	\N	\N	\N	\N	f	
19945	9ae641b3-cc59-4d8d-9226-7fcf41fd9eee	Albano di Lucania	Albano di Lucania	4	0	2013-07-22 11:58:10.53908+02	\N	\N	\N	\N	\N	\N	f	
19415	d5ef2a35-181d-4d1e-a1d6-61a36be8610e	Pennadomo	Pennadomo	4	0	2013-07-22 10:32:02.945132+02	\N	\N	\N	\N	\N	\N	f	
23500	fc17c1dc-a62f-4ea7-aa76-bda77fa5c61b	Dunajská Streda	Dunajská Streda	3	0	2013-08-26 02:39:57.886572+02	\N	\N	\N	\N	\N	\N	f	
20002	aa8a8bc6-4e24-4b41-a925-efe8d6a9e576	San Costantino Albanese	San Costantino Albanese	4	0	2013-07-22 12:06:03.290857+02	\N	\N	\N	\N	\N	\N	f	
20745	1baff40c-3134-455c-ae8c-ef94c3488786	Apice	Apice	4	0	2013-07-23 11:34:22.90803+02	\N	\N	\N	\N	\N	\N	f	
20066	d3c7e754-c40b-4211-bfc2-32d975d86765	Andreis	Andreis	4	0	2013-07-22 12:15:01.675303+02	\N	\N	\N	\N	\N	\N	f	
20606	8bea15e6-23d1-4bd7-b343-33a7cc8c4cc0	Cessaniti	Cessaniti	4	0	2013-07-23 05:48:14.519691+02	\N	\N	\N	\N	\N	\N	f	
20629	7b110b75-5c84-4ab1-8f59-6689b93a2966	Zungri	Zungri	4	0	2013-07-23 08:30:52.709878+02	\N	\N	\N	\N	\N	\N	f	
20829	edbdf989-c634-4113-ae80-bc99fc445153	Sperlinga	Sperlinga	4	0	2013-07-23 14:31:22.974155+02	\N	\N	\N	\N	\N	\N	f	
20652	95333d97-f2c0-4e38-9dd8-4fe95c12493f	Cassano Irpino	Cassano Irpino	4	0	2013-07-23 08:37:02.919086+02	\N	\N	\N	\N	\N	\N	f	
20653	4292b938-2208-450b-90c9-22b38c4c22bc	Melito Irpino	Melito Irpino	4	0	2013-07-23 08:37:18.129079+02	\N	\N	\N	\N	\N	\N	f	
20707	c1732086-da44-4451-b3d9-25eadff210a4	Salza Irpina	Salza Irpina	4	0	2013-07-23 08:48:38.30669+02	\N	\N	\N	\N	\N	\N	f	
20832	89df65a7-10fe-495a-9750-062700ebd244	Ripatransone	Ripatransone	4	0	2013-07-23 14:32:09.030469+02	\N	\N	\N	\N	\N	\N	f	
20712	d0ca784c-05a9-44df-af91-04a63b91bf7b	Venticano	Venticano	4	0	2013-07-23 08:49:39.243024+02	\N	\N	\N	\N	\N	\N	f	
20718	90ac2d5b-2705-4aa3-b011-e376e79273ac	Serino	Serino	4	0	2013-07-23 08:50:52.950868+02	\N	\N	\N	\N	\N	\N	f	
23518	33b43dc0-c95d-4d38-89e8-81d902aa7f93	Närpes	Närpes	3	0	2013-08-26 02:44:46.685474+02	\N	\N	\N	\N	\N	\N	f	
20729	e793f76f-e7d9-49d4-a08f-57b7c5b0943e	Prata di Principato Ultra	Prata di Principato Ultra	4	0	2013-07-23 11:30:54.005009+02	\N	\N	\N	\N	\N	\N	f	
20882	fddf5abb-4d65-4aec-a719-4b23632d8b8c	Capriati a Volturno	Capriati a Volturno	4	0	2013-07-23 14:43:30.486044+02	\N	\N	\N	\N	\N	\N	f	
23584	db50ce86-5b8c-4930-9e1f-f91545b97464	Gelnica	Gelnica	3	0	2013-08-26 14:42:04.386073+02	\N	\N	\N	\N	\N	\N	f	
23803	e515b544-22d8-4943-9199-e5e424a062fd	Zeil am Main	Zeil am Main	3	0	2013-09-05 11:20:09.405048+02	\N	\N	\N	\N	\N	\N	f	
11920	cec33dfd-3a06-417a-8640-241c6cc1e5c0	Fukushima-ku	Fukushima-ku	5	0	2013-08-28 15:42:00.612446+02	\N	\N	\N	\N	\N	\N	f	
22803	bde81ed1-65ac-45c9-9a5c-3775cfffe4ca	Sëlva	Sëlva	4	0	2013-08-14 17:51:05.667595+02	\N	\N	\N	\N	\N	\N	f	
23284	a1e72c01-43df-4eae-9e17-1d384f23e6ce	West Bountiful	West Bountiful	3	0	2013-08-24 14:40:33.798261+02	\N	\N	\N	\N	\N	\N	f	
23740	16aea25a-b6a8-4011-a6d4-5bc0776a233b	Hagen	Hagen	3	0	2013-08-31 20:30:42.583839+02	\N	\N	\N	\N	\N	\N	f	
23811	4abbdafa-ac8a-4ee5-988c-ad31825e4677	Leakey	Leakey	3	0	2013-09-05 14:33:27.453814+02	\N	\N	\N	\N	\N	\N	f	
23787	4165de9d-1eee-4a9f-abf3-9aad09e31197	Balchik	Balchik	3	0	2013-09-01 14:29:40.003675+02	\N	\N	\N	\N	\N	\N	f	
23823	597e4642-6e2d-4d7f-a443-b416c4b08342	Sierra Madre, California	Sierra Madre, California	3	0	2013-09-06 20:19:37.432974+02	\N	\N	\N	\N	\N	\N	f	
23814	3086fa4c-3db1-4182-a30e-1b8bef8e850b	Günzburg	Günzburg	3	0	2013-09-05 23:27:37.558185+02	\N	\N	\N	\N	\N	\N	f	
23819	e34c155f-435c-4e42-8521-aaa61f750d7e	Uhingen	Uhingen	3	0	2013-09-06 08:30:33.678852+02	\N	\N	\N	\N	\N	\N	f	
24025	0de8d899-088f-4b6f-a74c-1ecf38ed6cbf	Hawthorne	Hawthorne	3	0	2013-09-07 02:17:19.453362+02	\N	\N	\N	\N	\N	\N	f	
23925	f0210155-c15a-4209-9e4b-e51788da98cf	Cañon City	Cañon City	3	0	2013-09-06 23:17:20.566288+02	\N	\N	\N	\N	\N	\N	f	
24735	e85673d4-0099-4c37-b7cd-ef86fff42756	Letts, Iowa	Letts, Iowa	3	0	2013-09-07 08:20:56.395507+02	\N	\N	\N	\N	\N	\N	f	
24049	e57b4ad7-70a7-4df8-a23c-09c36f7423a7	Gordon	Gordon	3	0	2013-09-07 02:24:11.597895+02	\N	\N	\N	\N	\N	\N	f	
24225	c5267c59-2728-4fc7-9dfb-afdfe6fbe8f2	Angola	Angola	3	0	2013-09-07 05:19:45.464919+02	\N	\N	\N	\N	\N	\N	f	
24231	828989ab-8cf6-48c4-a14c-6d5c3b2d98bb	Wewahitchka, Florida	Wewahitchka, Florida	3	0	2013-09-07 05:24:07.169986+02	\N	\N	\N	\N	\N	\N	f	
25258	dd87b5b8-80e7-4a02-b0de-e310d7b0cb4d	Dundee	Dundee	3	0	2013-09-07 10:54:28.315952+02	\N	\N	\N	\N	\N	\N	f	
25384	e75afe81-6ea7-4817-acc5-12e651621d8f	Lyndon, Kentucky	Lyndon, Kentucky	3	0	2013-09-07 11:37:38.886311+02	\N	\N	\N	\N	\N	\N	f	
25391	4835e4cc-2361-40e8-8262-55e07e281eb9	Marion, Kentucky	Marion, Kentucky	3	0	2013-09-07 11:39:13.639613+02	\N	\N	\N	\N	\N	\N	f	
25801	8b116c8c-29bb-41f0-919f-c7322f64a850	Bromley, Kentucky	Bromley, Kentucky	3	0	2013-09-07 14:42:20.69431+02	\N	\N	\N	\N	\N	\N	f	
25918	42e22e68-68c8-45bf-b67f-6551aa512342	Burton, Michigan	Burton, Michigan	3	0	2013-09-07 17:18:33.123181+02	\N	\N	\N	\N	\N	\N	f	
26242	556513aa-6470-4186-a050-ba7698740da5	Loretto	Loretto	3	0	2013-09-07 20:54:21.268513+02	\N	\N	\N	\N	\N	\N	f	
26556	51ac5440-aa2f-439c-abe3-7609746e5c3b	Carthage, Missouri	Carthage, Missouri	3	0	2013-09-08 01:07:21.367674+02	\N	\N	\N	\N	\N	\N	f	
11606	19c12ea4-82d6-4619-94b7-f1c54e160670	Kakegawa	Kakegawa	3	0	2013-06-25 12:04:16.862473+02	\N	\N	\N	\N	\N	\N	f	
13989	484ab7ac-00b3-4827-b6c9-f85dfd685df4	Remedello	Remedello	4	0	2013-07-21 19:58:24.596808+02	\N	\N	\N	\N	\N	\N	f	
14542	0d97cee6-fb53-463c-bc8f-8bbaf2605627	Treville	Treville	4	0	2013-07-21 22:01:44.923677+02	\N	\N	\N	\N	\N	\N	f	
15690	053ba8d0-27fd-415d-a29c-1da4c6ceb6e1	Labico	Labico	4	0	2013-07-22 01:40:55.19866+02	\N	\N	\N	\N	\N	\N	f	
14623	dc73b5ec-b49d-4d96-9a9a-6ce6d2cacb4c	Montiglio Monferrato	Montiglio Monferrato	4	0	2013-07-21 22:19:36.504865+02	\N	\N	\N	\N	\N	\N	f	
15059	d0a2899a-22c9-49ce-8510-27b84ca26e78	Piobesi d'Alba	Piobesi d'Alba	4	0	2013-07-21 23:42:40.805597+02	\N	\N	\N	\N	\N	\N	f	
23377	d6a9e5cb-8463-48c8-bb38-ab6be61bace2	West Valley City	West Valley City	3	0	2013-08-24 17:38:57.962134+02	\N	\N	\N	\N	\N	\N	f	
15694	be40066f-ced7-42a2-8bdf-b2e1a3062a5b	Cerveteri	Cerveteri	4	0	2013-07-22 01:41:50.098475+02	\N	\N	\N	\N	\N	\N	f	
15116	7e1e84ed-d59d-4c8e-ad6f-77c9554a3233	Giano dell'Umbria	Giano dell'Umbria	4	0	2013-07-21 23:49:40.292869+02	\N	\N	\N	\N	\N	\N	f	
17463	2d0e49dd-4dd7-4802-bccf-d903ee9e25ba	Corana	Corana	4	0	2013-07-22 06:30:49.56361+02	\N	\N	\N	\N	\N	\N	f	
15704	0fd55d43-d006-4383-8fa7-1d7396f74565	Rocca Priora	Rocca Priora	4	0	2013-07-22 01:44:28.967996+02	\N	\N	\N	\N	\N	\N	f	
16631	6c1192bc-0e00-4a37-be21-4fa6b615f125	Mezzano	Mezzano	4	0	2013-07-22 03:57:27.623827+02	\N	\N	\N	\N	\N	\N	f	
17189	55a9ed00-e0a9-4ecd-ba69-6c45d58cd6c6	Santu Lussurgiu	Santu Lussurgiu	4	0	2013-07-22 05:55:27.856981+02	\N	\N	\N	\N	\N	\N	f	
17471	d2766e52-0a28-4060-82ce-8a2e2f76cba2	Marchirolo	Marchirolo	4	0	2013-07-22 06:31:42.059282+02	\N	\N	\N	\N	\N	\N	f	
19880	7f629189-27cc-4b70-a673-e36c3addfc77	Fosdinovo	Fosdinovo	4	0	2013-07-22 11:49:58.408967+02	\N	\N	\N	\N	\N	\N	f	
17481	4fd1315d-3295-4d69-9c15-e1bf6404835b	Godiasco	Godiasco	4	0	2013-07-22 06:32:53.61818+02	\N	\N	\N	\N	\N	\N	f	
17514	bf420308-3b89-4632-95d3-d31e92c95b1b	Monticelli Pavese	Monticelli Pavese	4	0	2013-07-22 06:36:52.102209+02	\N	\N	\N	\N	\N	\N	f	
17518	bbf7a1a2-35c1-4cf2-b20e-224b40c8e408	Agra	Agra	4	0	2013-07-22 06:37:18.565828+02	\N	\N	\N	\N	\N	\N	f	
19938	87d9f31e-ba9c-4d0f-8e16-f148c07550bf	Laurenzana	Laurenzana	4	0	2013-07-22 11:57:19.766321+02	\N	\N	\N	\N	\N	\N	f	
17775	ecf67451-1451-4e83-9b74-57938c8eaa86	Casale Litta	Casale Litta	4	0	2013-07-22 07:08:58.132576+02	\N	\N	\N	\N	\N	\N	f	
17777	c486548b-3ff1-4587-b531-614dfdb4c82d	Vigevano	Vigevano	4	0	2013-07-22 07:09:13.186495+02	\N	\N	\N	\N	\N	\N	f	
23502	b04bd487-dd70-4c07-863c-46df48760d98	Kristinestad	Kristinestad	3	0	2013-08-26 02:40:31.207182+02	\N	\N	\N	\N	\N	\N	f	
18460	c0f595e2-1a72-4765-b765-f9f0b7a2b833	Gerre de' Caprioli	Gerre de' Caprioli	4	0	2013-07-22 08:32:14.49946+02	\N	\N	\N	\N	\N	\N	f	
20608	8ca8d40a-4830-408b-9682-555ddcff9cde	Stefanaconi	Stefanaconi	4	0	2013-07-23 05:48:49.963681+02	\N	\N	\N	\N	\N	\N	f	
19497	b6fe770b-8c4a-41a6-a744-cecdf42afd44	Rocca Santa Maria	Rocca Santa Maria	4	0	2013-07-22 10:42:19.768245+02	\N	\N	\N	\N	\N	\N	f	
23804	2f240929-a328-4d93-92ac-68df67f06983	Manchester	Manchester	3	0	2013-09-05 11:28:04.88148+02	\N	\N	\N	\N	\N	\N	f	
19527	fa8cbb23-77d8-4be6-b6b9-924c61400dcb	Cellino Attanasio	Cellino Attanasio	4	0	2013-07-22 10:46:05.079371+02	\N	\N	\N	\N	\N	\N	f	
20630	cc837387-eb0f-413b-b1bb-207c82ad2b10	Baiano, Campania	Baiano, Campania	4	0	2013-07-23 08:31:08.849577+02	\N	\N	\N	\N	\N	\N	f	
19555	b204842c-6f92-4719-a2e8-47a3f423cfd3	Conversano	Conversano	4	0	2013-07-22 10:50:21.486113+02	\N	\N	\N	\N	\N	\N	f	
19572	d1f58050-2140-48a4-82d8-40df2b95f2db	Sannicandro di Bari	Sannicandro di Bari	4	0	2013-07-22 10:54:36.110417+02	\N	\N	\N	\N	\N	\N	f	
23507	f3542049-e70e-4237-bc61-cf12d236dee4	Lučenec	Lučenec	3	0	2013-08-26 02:41:50.872949+02	\N	\N	\N	\N	\N	\N	f	
19613	58980cc7-0ac9-4d84-a524-3fcb9c15fc99	Accadia	Accadia	4	0	2013-07-22 11:03:21.419179+02	\N	\N	\N	\N	\N	\N	f	
20730	51b95997-c34e-474b-9383-c69a35025b27	Nusco	Nusco	4	0	2013-07-23 11:31:09.178667+02	\N	\N	\N	\N	\N	\N	f	
20770	f7054540-66de-4a54-9712-a9cd40eed57d	Cona, Veneto	Cona, Veneto	4	0	2013-07-23 11:40:29.596864+02	\N	\N	\N	\N	\N	\N	f	
20772	4f7b7255-87a4-4189-8861-ad288df86116	Cerreto Sannita	Cerreto Sannita	4	0	2013-07-23 11:40:53.631328+02	\N	\N	\N	\N	\N	\N	f	
23512	39da3705-dd04-4135-b31e-eea904eed0cb	Senec	Senec	3	0	2013-08-26 02:43:07.516544+02	\N	\N	\N	\N	\N	\N	f	
20830	a03a07fb-c925-4c3d-ba2a-6b21c2b2d530	Monsampolo del Tronto	Monsampolo del Tronto	4	0	2013-07-23 14:31:35.872271+02	\N	\N	\N	\N	\N	\N	f	
23587	33bebad5-18c6-4257-82a2-e3e1b7b4019f	Jelšava	Jelšava	3	0	2013-08-26 14:42:49.980025+02	\N	\N	\N	\N	\N	\N	f	
22805	7c87ef4c-67ed-4f44-9361-0bf304112a37	Mirto	Mirto	4	0	2013-08-14 17:51:34.888247+02	\N	\N	\N	\N	\N	\N	f	
22809	66fec733-4cbd-4cca-b91c-31c4a6bba0c3	Letojanni	Letojanni	4	0	2013-08-14 17:52:31.797705+02	\N	\N	\N	\N	\N	\N	f	
23815	6609225c-7d32-4fca-9389-e46d93fc2940	Krumbach	Krumbach	3	0	2013-09-05 23:28:04.981593+02	\N	\N	\N	\N	\N	\N	f	
23288	8ebe4de3-cd4c-4fc2-8702-954416cdd7e1	Vernon	Vernon	3	0	2013-08-24 14:41:29.051461+02	\N	\N	\N	\N	\N	\N	f	
23601	41df030a-567f-4e6f-bb7c-10403b48e18a	Modrý Kameň	Modrý Kameň	3	0	2013-08-26 14:46:18.784775+02	\N	\N	\N	\N	\N	\N	f	
23309	8c73c37d-2fe4-4763-8d7e-c4a421c3e30c	Ephraim	Ephraim	3	0	2013-08-24 14:47:06.208176+02	\N	\N	\N	\N	\N	\N	f	
23320	ebcdddd9-472f-4226-b8ba-643f22e54eaf	Park City	Park City	3	0	2013-08-24 14:49:39.582097+02	\N	\N	\N	\N	\N	\N	f	
24226	4f2b7bd5-a2d2-4492-9548-d8356ba55190	Bedford	Bedford	3	0	2013-09-07 05:20:20.758811+02	\N	\N	\N	\N	\N	\N	f	
11916	a65e96f0-7600-442c-b48e-ea695fb5c1ee	Asahi-ku	Asahi-ku	5	0	2013-08-28 15:42:01.615788+02	\N	\N	\N	\N	\N	\N	f	
23824	c3799089-5f00-4cfe-ad6b-6b7db7b9b4af	Marked Tree, Arkansas	Marked Tree, Arkansas	3	0	2013-09-06 20:20:14.247022+02	\N	\N	\N	\N	\N	\N	f	
23741	5716296f-8342-4bbb-bd40-a17fe258705b	Mülheim an der Ruhr	Mülheim an der Ruhr	3	0	2013-08-31 20:30:57.448658+02	\N	\N	\N	\N	\N	\N	f	
23788	dfee72fb-62e9-4dd0-bfb2-f63d7aadc8fa	Byala Slatina	Byala Slatina	3	0	2013-09-01 14:30:40.102947+02	\N	\N	\N	\N	\N	\N	f	
23797	b348e693-943d-4ebe-a7d6-64b771a35df9	Zlatitsa	Zlatitsa	3	0	2013-09-03 17:27:50.303054+02	\N	\N	\N	\N	\N	\N	f	
23926	1354dc4e-98f6-45f4-b9c3-2e59671e6920	Alamosa	Alamosa	3	0	2013-09-06 23:17:45.221159+02	\N	\N	\N	\N	\N	\N	f	
25959	427ed619-0b95-4174-ba41-bfda4803807c	Charleston	Charleston	3	0	2013-09-07 17:31:38.34828+02	\N	\N	\N	\N	\N	\N	f	
23934	ec706c84-55c1-46ad-84b3-c0b42b31f9b3	Akron	Akron	3	0	2013-09-06 23:20:54.88662+02	\N	\N	\N	\N	\N	\N	f	
24740	968445bc-10d1-4429-96c7-9d801514f6af	Jefferson	Jefferson	3	0	2013-09-07 08:22:44.173256+02	\N	\N	\N	\N	\N	\N	f	
23977	2dac7510-ab5e-4aa8-acf2-725ba0d74234	Garmdarreh	Garmdarreh	3	0	2013-09-06 23:36:23.987902+02	\N	\N	\N	\N	\N	\N	f	
25803	7807e1d6-2df1-4ef2-ae03-f83934afe2d0	Dover, Kentucky	Dover, Kentucky	3	0	2013-09-07 14:42:55.743522+02	\N	\N	\N	\N	\N	\N	f	
24026	f4f68103-0932-4a57-ae2d-317638ed12c6	Hampton	Hampton	3	0	2013-09-07 02:17:33.192719+02	\N	\N	\N	\N	\N	\N	f	
24815	3d9372e5-68fb-47f2-95e7-e37411264b78	Belle Plaine	Belle Plaine	3	0	2013-09-07 08:42:43.850389+02	\N	\N	\N	\N	\N	\N	f	
25876	cd438bd7-6879-4000-9a88-ff466d82f57e	Sebree, Kentucky	Sebree, Kentucky	3	0	2013-09-07 15:02:29.050637+02	\N	\N	\N	\N	\N	\N	f	
25259	c1bdd59b-5e65-47a1-9ebc-2e79346bac4a	Durant	Durant	3	0	2013-09-07 10:54:44.341249+02	\N	\N	\N	\N	\N	\N	f	
25853	904405a2-e9f0-4d3d-a528-1067ceddb740	Burr Oak, Kansas	Burr Oak, Kansas	3	0	2013-09-07 14:56:38.570038+02	\N	\N	\N	\N	\N	\N	f	
25958	b72944b0-6046-4888-b970-fef82c5e05d5	Hernando	Hernando	3	0	2013-09-07 17:31:24.908562+02	\N	\N	\N	\N	\N	\N	f	
25919	85d1cb7f-cd78-4d4c-9d2f-71613a0c4bac	Aberdeen	Aberdeen	3	0	2013-09-07 17:18:57.60904+02	\N	\N	\N	\N	\N	\N	f	
26243	9855e2de-784a-4133-8667-8ab71305c26a	Augusta	Augusta	3	0	2013-09-07 20:54:35.93247+02	\N	\N	\N	\N	\N	\N	f	
26558	a23b09bf-4ed1-443d-8b55-7338ca318049	Henderson, Kentucky	Henderson, Kentucky	3	0	2013-09-08 01:07:50.754365+02	\N	\N	\N	\N	\N	\N	f	
26592	91080178-f96a-424c-8cb8-67c64b703816	La Monte, Missouri	La Monte, Missouri	3	0	2013-09-08 01:16:42.203405+02	\N	\N	\N	\N	\N	\N	f	
26630	a3df033e-f457-4fa6-8c68-8982fcff6249	Opa-locka, Florida	Opa-locka, Florida	3	0	2013-09-08 01:47:10.868098+02	\N	\N	\N	\N	\N	\N	f	
26916	d63b2579-be7f-44ce-aaf2-d66fdb5697b9	Forsyth	Forsyth	3	0	2013-09-08 03:59:51.026978+02	\N	\N	\N	\N	\N	\N	f	
26647	b981d2fa-86a6-43d4-9bfc-7ac4569c17bc	Manhattan	Manhattan	3	0	2013-09-08 01:52:30.983027+02	\N	\N	\N	\N	\N	\N	f	
26998	193cb3e0-7843-4b5c-803c-513ed9459b11	Wyaconda	Wyaconda	3	0	2013-09-08 04:21:11.956633+02	\N	\N	\N	\N	\N	\N	f	
27014	6fec6acf-445e-4229-8d5c-4210b135741a	Purcell	Purcell	3	0	2013-09-08 04:25:07.065784+02	\N	\N	\N	\N	\N	\N	f	
11607	d83dda19-015a-428e-8088-f18c50bd9e55	Isumi	Isumi	3	0	2013-06-25 12:04:44.138+02	\N	\N	\N	\N	\N	\N	f	
13991	33a1a64f-7e48-41b8-a3e3-cdd451bbb98a	Sarezzo	Sarezzo	4	0	2013-07-21 19:58:52.720134+02	\N	\N	\N	\N	\N	\N	f	
14543	2db8e78a-e048-4d91-8bdb-1803a8cf06f0	Castelnuovo Belbo	Castelnuovo Belbo	4	0	2013-07-21 22:02:07.216263+02	\N	\N	\N	\N	\N	\N	f	
15691	2881a530-845c-4b77-aef8-716773542f75	Monte Porzio Catone	Monte Porzio Catone	4	0	2013-07-22 01:41:09.67415+02	\N	\N	\N	\N	\N	\N	f	
14551	6f4076a8-826d-4b36-974e-ea97c94a94e0	Piansano	Piansano	4	0	2013-07-21 22:03:50.804766+02	\N	\N	\N	\N	\N	\N	f	
14553	33684e9c-9a39-405f-ac30-4e42556628b8	Agliano Terme	Agliano Terme	4	0	2013-07-21 22:04:14.787072+02	\N	\N	\N	\N	\N	\N	f	
15062	30adf518-cc66-47f8-85c5-172c10b2aef0	Poggio a Caiano	Poggio a Caiano	4	0	2013-07-21 23:43:12.714381+02	\N	\N	\N	\N	\N	\N	f	
15712	9bf8e094-2e74-4486-9de9-c2b3e0835260	Subiaco	Subiaco	4	0	2013-07-22 01:46:16.219776+02	\N	\N	\N	\N	\N	\N	f	
23826	75191eec-f32f-44c4-b445-0550a6790476	Lavaca	Lavaca	3	0	2013-09-06 20:24:16.17846+02	\N	\N	\N	\N	\N	\N	f	
15779	2284ffca-e6da-4118-b141-47572083d63f	Brienno	Brienno	4	0	2013-07-22 02:00:36.16417+02	\N	\N	\N	\N	\N	\N	f	
16632	7aaa05ce-9fd3-403b-bf29-931ddf497457	Padergnone	Padergnone	4	0	2013-07-22 03:57:32.719313+02	\N	\N	\N	\N	\N	\N	f	
16753	e98a1ffb-3689-4976-aa72-074f8e4e4f06	Elini	Elini	4	0	2013-07-22 04:27:57.362356+02	\N	\N	\N	\N	\N	\N	f	
17503	d01a3bc2-25ae-41fa-894d-d69778f97628	Pietra de' Giorgi	Pietra de' Giorgi	4	0	2013-07-22 06:35:39.266246+02	\N	\N	\N	\N	\N	\N	f	
24059	a4156de6-6c2f-49ec-a689-f1d899175816	Kendrick	Kendrick	3	0	2013-09-07 02:27:01.882137+02	\N	\N	\N	\N	\N	\N	f	
19881	75ddc78b-e170-413b-93dc-8bf58bfba6b2	Grassano	Grassano	4	0	2013-07-22 11:50:09.334001+02	\N	\N	\N	\N	\N	\N	f	
17691	b56c0ed9-9bdd-466e-880f-ef843025530b	Leggiuno	Leggiuno	4	0	2013-07-22 06:58:54.071222+02	\N	\N	\N	\N	\N	\N	f	
17700	7ae24187-2ff6-46d7-9cb9-28bf8a52bed9	Bosnasco	Bosnasco	4	0	2013-07-22 07:00:17.621436+02	\N	\N	\N	\N	\N	\N	f	
20836	0bc1f801-3762-499c-9330-7b1e1bfe9734	Regalbuto	Regalbuto	4	0	2013-07-23 14:32:56.489976+02	\N	\N	\N	\N	\N	\N	f	
17711	ebf0aa85-9665-49c1-bf4a-2862b6aa6722	Mezzanino	Mezzanino	4	0	2013-07-22 07:01:29.087909+02	\N	\N	\N	\N	\N	\N	f	
19891	b50a1ebf-afa7-41f7-b93d-60df94a1a02c	Stigliano	Stigliano	4	0	2013-07-22 11:51:29.106843+02	\N	\N	\N	\N	\N	\N	f	
17749	8741ad9a-c7ec-48fa-b3d6-939c86d788f9	Bisuschio	Bisuschio	4	0	2013-07-22 07:06:06.52154+02	\N	\N	\N	\N	\N	\N	f	
17750	9e767e91-24bd-4392-8a11-059ab278d4a9	Saronno	Saronno	4	0	2013-07-22 07:06:09.08682+02	\N	\N	\N	\N	\N	\N	f	
17752	f9c20dbb-59da-4a2f-96ea-7fbe17f44174	Bressana Bottarone	Bressana Bottarone	4	0	2013-07-22 07:06:21.503449+02	\N	\N	\N	\N	\N	\N	f	
20001	3c1ff060-abe4-4e58-99a9-4dce1183dd09	Tolve	Tolve	4	0	2013-07-22 12:05:49.133716+02	\N	\N	\N	\N	\N	\N	f	
17767	3d032f1d-fc44-4bce-bdb0-f9e5bd98b21c	Casei Gerola	Casei Gerola	4	0	2013-07-22 07:08:04.098821+02	\N	\N	\N	\N	\N	\N	f	
18462	d0570e06-1d0a-49b4-ba2b-ff25233a2670	Castel Goffredo	Castel Goffredo	4	0	2013-07-22 08:32:27.047017+02	\N	\N	\N	\N	\N	\N	f	
11896	bd64d765-bc09-4001-99dd-2c6409c23cc5	Abeno-ku	Abeno-ku	5	0	2013-08-28 15:42:06.106202+02	\N	\N	\N	\N	\N	\N	f	
19414	0785789b-85fa-4cb3-922d-c140df651300	Tornareccio	Tornareccio	4	0	2013-07-22 10:31:58.547809+02	\N	\N	\N	\N	\N	\N	f	
20003	a9500d06-4675-41c2-802b-d7c4524092a6	Spinoso	Spinoso	4	0	2013-07-22 12:06:07.238514+02	\N	\N	\N	\N	\N	\N	f	
19437	2f7081d2-6835-4063-ab20-1ebff5fe6f58	Roccascalegna	Roccascalegna	4	0	2013-07-22 10:34:50.788423+02	\N	\N	\N	\N	\N	\N	f	
19503	4f9df654-d058-4423-a274-e2a5d4812d51	Torricella Sicura	Torricella Sicura	4	0	2013-07-22 10:43:02.461138+02	\N	\N	\N	\N	\N	\N	f	
20851	a2ebe7ce-cfc7-44d8-89c3-eee778d79fa8	Roccafluvione	Roccafluvione	4	0	2013-07-23 14:36:41.266563+02	\N	\N	\N	\N	\N	\N	f	
19566	b855da9e-5b73-42ea-8446-158514fa274e	Corato	Corato	4	0	2013-07-22 10:52:59.645481+02	\N	\N	\N	\N	\N	\N	f	
20610	7097f0ff-cd47-4ed3-87dc-ad3494e1ae7b	Calabritto	Calabritto	4	0	2013-07-23 05:49:14.083494+02	\N	\N	\N	\N	\N	\N	f	
19570	931932f7-5696-43bc-8f87-1ab55c254b6c	Giovinazzo	Giovinazzo	4	0	2013-07-22 10:54:03.073265+02	\N	\N	\N	\N	\N	\N	f	
20631	dfad5ee4-8fc5-42f8-8f62-6de1ca5ed919	Altavilla Irpina	Altavilla Irpina	4	0	2013-07-23 08:31:22.236118+02	\N	\N	\N	\N	\N	\N	f	
20634	efc0a9d4-be02-4400-8d62-0e9eee4c0b2b	Vazzano	Vazzano	4	0	2013-07-23 08:32:03.748698+02	\N	\N	\N	\N	\N	\N	f	
20886	45859e07-8f26-4544-82f1-f35d3dd1293f	Galluccio	Galluccio	4	0	2013-07-23 14:45:00.107287+02	\N	\N	\N	\N	\N	\N	f	
20650	bb338c2c-4957-4b9b-8510-e98a7373cc67	Cesinali	Cesinali	4	0	2013-07-23 08:36:26.417264+02	\N	\N	\N	\N	\N	\N	f	
23854	b8ca21b5-f52b-4398-8dd3-e1dadfad905e	Dover	Dover	3	0	2013-09-06 20:37:31.873473+02	\N	\N	\N	\N	\N	\N	f	
20731	dcb1c007-1558-4d14-9913-4e26c8a1423f	Fragneto l'Abate	Fragneto l'Abate	4	0	2013-07-23 11:31:34.566269+02	\N	\N	\N	\N	\N	\N	f	
23742	a66a5bd1-0e75-4ac9-a03d-b1755c7bc0a9	Herne	Herne	3	0	2013-08-31 20:31:13.693579+02	\N	\N	\N	\N	\N	\N	f	
20736	9a67d609-05c5-4281-8e35-1c5d6933d110	Chioggia	Chioggia	4	0	2013-07-23 11:32:35.961187+02	\N	\N	\N	\N	\N	\N	f	
20750	73050814-0026-4ff8-9875-1310fa9ae6aa	Colle Sannita	Colle Sannita	4	0	2013-07-23 11:35:23.035449+02	\N	\N	\N	\N	\N	\N	f	
20761	5bc8deb4-d573-4525-81b3-a575d1d13483	Ceppaloni	Ceppaloni	4	0	2013-07-23 11:37:53.915747+02	\N	\N	\N	\N	\N	\N	f	
23290	c460ee35-cc54-4ad4-94e6-4359149f698a	Smithfield	Smithfield	3	0	2013-08-24 14:41:54.699955+02	\N	\N	\N	\N	\N	\N	f	
20820	6ac6b627-d047-405c-b70a-54a88857f724	Moiano	Moiano	4	0	2013-07-23 11:52:01.892642+02	\N	\N	\N	\N	\N	\N	f	
20833	ff5828cc-8751-4f95-8162-52e52200df4e	Assoro	Assoro	4	0	2013-07-23 14:32:20.921626+02	\N	\N	\N	\N	\N	\N	f	
23380	47dda066-8169-400e-ac0e-4d07949d1c3c	Appleton	Appleton	3	0	2013-08-24 17:43:24.985278+02	\N	\N	\N	\N	\N	\N	f	
23744	e1118b38-3b6b-4e3b-a260-ba83a89eb09a	Göttingen	Göttingen	3	0	2013-08-31 20:31:53.802546+02	\N	\N	\N	\N	\N	\N	f	
23503	c5c786dc-ca91-4295-9985-3e7a4136e905	Pezinok	Pezinok	3	0	2013-08-26 02:40:44.670595+02	\N	\N	\N	\N	\N	\N	f	
23510	988132e8-e76d-47c4-a2a9-77e2ba14a9f7	Topoľčany	Topoľčany	3	0	2013-08-26 02:42:37.175381+02	\N	\N	\N	\N	\N	\N	f	
23588	a1858df5-6297-4166-b4de-b9f676a43397	Vrbové	Vrbové	3	0	2013-08-26 14:43:04.29599+02	\N	\N	\N	\N	\N	\N	f	
23927	740f008c-2810-426e-81e2-3ada58e0122e	Durango	Durango	3	0	2013-09-06 23:18:03.473205+02	\N	\N	\N	\N	\N	\N	f	
23789	37aa6228-d0fb-49c9-ab58-03e310d46a58	Belene	Belene	3	0	2013-09-01 14:30:53.30337+02	\N	\N	\N	\N	\N	\N	f	
23805	ae101c4c-6b9e-4122-aa4a-07227a0c8ba3	Ellingen	Ellingen	3	0	2013-09-05 11:28:37.379246+02	\N	\N	\N	\N	\N	\N	f	
24238	de1c7c70-b7ca-46d4-a16f-02c6e73533b1	Aragon, Georgia	Aragon, Georgia	3	0	2013-09-07 05:26:04.357262+02	\N	\N	\N	\N	\N	\N	f	
23816	8cecbb2f-d1db-44a0-99d5-829180cfda90	Zirndorf	Zirndorf	3	0	2013-09-05 23:30:12.787881+02	\N	\N	\N	\N	\N	\N	f	
24227	311ae415-04fb-426a-98ea-ca23758e1080	Berne	Berne	3	0	2013-09-07 05:20:42.33321+02	\N	\N	\N	\N	\N	\N	f	
24027	272cc803-2924-4ab8-8cd1-1bfacb9c0a3d	Newberry	Newberry	3	0	2013-09-07 02:17:48.015744+02	\N	\N	\N	\N	\N	\N	f	
24031	5760d59b-1323-495f-99b4-a8c28a91775e	Dawson	Dawson	3	0	2013-09-07 02:19:02.050112+02	\N	\N	\N	\N	\N	\N	f	
25260	501f60b8-ee9b-4921-948f-ebb76507db38	Duncombe	Duncombe	3	0	2013-09-07 10:55:00.457033+02	\N	\N	\N	\N	\N	\N	f	
24229	0909c2f4-6677-4b2a-b620-ab1bdd89e16b	Bicknell, Indiana	Bicknell, Indiana	3	0	2013-09-07 05:21:36.706775+02	\N	\N	\N	\N	\N	\N	f	
24741	a6d96e90-fdc2-4650-9009-e36e0850941c	Atalissa	Atalissa	3	0	2013-09-07 08:22:58.185627+02	\N	\N	\N	\N	\N	\N	f	
25805	57d5b6bd-bb68-468e-9ddb-a184d6fe3785	Russell Springs, Kansas	Russell Springs, Kansas	3	0	2013-09-07 14:43:36.431234+02	\N	\N	\N	\N	\N	\N	f	
25920	ea380f96-31d4-4bc8-926e-0d22326a4f03	Westfield	Westfield	3	0	2013-09-07 17:19:12.2532+02	\N	\N	\N	\N	\N	\N	f	
26245	48806bd0-7b2a-4df5-baf2-d46f4a5ca3b6	Green Spring	Green Spring	3	0	2013-09-07 20:55:07.29929+02	\N	\N	\N	\N	\N	\N	f	
26271	d3cc3f33-b404-419a-8f7e-13166cdf26ef	Valparaíso	Valparaíso	3	0	2013-09-07 21:02:24.336929+02	\N	\N	\N	\N	\N	\N	f	
26559	dbbd97ed-e1a9-4700-9547-5378a43211c5	Welton, Iowa	Welton, Iowa	3	0	2013-09-08 01:08:06.741521+02	\N	\N	\N	\N	\N	\N	f	
26917	efa436f6-37a2-4f0a-b0d5-981d975d535e	Wayne	Wayne	3	0	2013-09-08 04:00:08.147543+02	\N	\N	\N	\N	\N	\N	f	
26968	65dbf023-75d9-4712-8363-6e7351da6adb	Kimberling City	Kimberling City	3	0	2013-09-08 04:13:52.431593+02	\N	\N	\N	\N	\N	\N	f	
26985	7d09ff3b-cbe1-4279-a12e-5ae878814e64	Ralston	Ralston	3	0	2013-09-08 04:18:01.00652+02	\N	\N	\N	\N	\N	\N	f	
26989	fc7d680b-0826-4ef2-8c66-477ba99c57fc	Newtown	Newtown	3	0	2013-09-08 04:18:57.810529+02	\N	\N	\N	\N	\N	\N	f	
11608	7f73c936-9b2a-445a-beda-a4834dd5de92	Hokuto	Hokuto	3	0	2013-06-25 12:04:57.496383+02	\N	\N	\N	\N	\N	\N	f	
11609	64757006-81ac-4a70-968c-ee800460d4c1	Susono	Susono	3	0	2013-06-25 12:05:25.252575+02	\N	\N	\N	\N	\N	\N	f	
13994	dcb46e65-9642-4f2c-99d0-4f00ec3be74d	Tignale	Tignale	4	0	2013-07-21 19:59:50.199578+02	\N	\N	\N	\N	\N	\N	f	
11610	81c28b00-1917-47cf-aa33-ad81fe51530b	Owase	Owase	3	0	2013-06-25 12:05:37.141464+02	\N	\N	\N	\N	\N	\N	f	
11611	a439ff65-f13b-4ea8-9dfb-ae495159826c	Omaezaki	Omaezaki	3	0	2013-06-25 12:05:50.520529+02	\N	\N	\N	\N	\N	\N	f	
11612	af8e6d60-0e8f-4158-ac5b-d897447e2af2	Kosai	Kosai	3	0	2013-06-25 12:06:09.523901+02	\N	\N	\N	\N	\N	\N	f	
14544	09a94f80-50cc-4d2e-abb0-373719e45579	Camerano Casasco	Camerano Casasco	4	0	2013-07-21 22:02:24.109317+02	\N	\N	\N	\N	\N	\N	f	
11614	5860835c-0403-4a34-86c5-1c30e7a8100a	Sōsa	Sōsa	3	0	2013-06-25 12:06:47.78017+02	\N	\N	\N	\N	\N	\N	f	
11615	7352b4c1-f603-44c5-bf74-12ffaadc8f5c	Katori	Katori	3	0	2013-06-25 12:06:59.711575+02	\N	\N	\N	\N	\N	\N	f	
15692	2636078d-ae9a-4ad2-8c84-dff157f9f4ad	Marano Equo	Marano Equo	4	0	2013-07-22 01:41:22.267302+02	\N	\N	\N	\N	\N	\N	f	
11618	ef0c2ff1-974e-4186-8e05-347cdbdb1591	Sanmu	Sanmu	3	0	2013-06-25 12:07:58.297772+02	\N	\N	\N	\N	\N	\N	f	
14552	8142445d-fa88-4266-a8d7-f55d913d2c4b	Baldichieri d'Asti	Baldichieri d'Asti	4	0	2013-07-21 22:04:02.518974+02	\N	\N	\N	\N	\N	\N	f	
11620	57d83bfd-8acd-4385-a59c-1a6c0bd3c6a6	Nakanojō	Nakanojō	3	0	2013-06-25 12:10:41.138029+02	\N	\N	\N	\N	\N	\N	f	
14554	af8671c9-b1d8-40e1-afd8-fcb0e1ff681b	Cantarana	Cantarana	4	0	2013-07-21 22:04:26.459387+02	\N	\N	\N	\N	\N	\N	f	
15696	740bda77-9a32-4636-a1a7-b86c2176c378	Gavignano	Gavignano	4	0	2013-07-22 01:42:18.728849+02	\N	\N	\N	\N	\N	\N	f	
15069	36afa2af-66ab-4ca7-b17f-40daf2d6e18e	Orune	Orune	4	0	2013-07-21 23:44:00.517008+02	\N	\N	\N	\N	\N	\N	f	
15072	3e080858-3091-40ce-af4f-8ade53882bde	Cannara	Cannara	4	0	2013-07-21 23:44:19.048644+02	\N	\N	\N	\N	\N	\N	f	
17469	e7ebae22-670b-4093-8dec-3c78976c6bf7	Tronzano Lago Maggiore	Tronzano Lago Maggiore	4	0	2013-07-22 06:31:28.387979+02	\N	\N	\N	\N	\N	\N	f	
15201	77ad8e12-fd7f-4588-9c0e-72fca46986cc	Gubbio	Gubbio	4	0	2013-07-21 23:59:40.170044+02	\N	\N	\N	\N	\N	\N	f	
15799	5ae93cdf-e38f-44e9-a58c-b3c4a73d79cb	Colonno	Colonno	4	0	2013-07-22 02:05:28.656993+02	\N	\N	\N	\N	\N	\N	f	
15293	a48aee27-43cf-4a6e-971b-0d6d1d077b9d	Tuoro sul Trasimeno	Tuoro sul Trasimeno	4	0	2013-07-22 00:12:41.403715+02	\N	\N	\N	\N	\N	\N	f	
15826	6764b4e4-8f2d-4e8a-bf03-b0e730667063	Bianzè	Bianzè	4	0	2013-07-22 02:11:24.617998+02	\N	\N	\N	\N	\N	\N	f	
16634	f131f8b1-4ea6-47c8-b6b0-42e9a4c01e3e	Nago–Torbole	Nago–Torbole	4	0	2013-07-22 03:57:48.566089+02	\N	\N	\N	\N	\N	\N	f	
17499	221e8677-7a0b-41c9-8154-65a3f7a8e955	Rea	Rea	4	0	2013-07-22 06:35:00.476875+02	\N	\N	\N	\N	\N	\N	f	
17193	aa01ca6c-40ea-432c-8e51-b43319928544	Simala	Simala	4	0	2013-07-22 05:56:06.861171+02	\N	\N	\N	\N	\N	\N	f	
23790	8f2640ff-83a9-4462-8e11-28765571b306	Burgas	Burgas	3	0	2013-09-01 14:33:34.316028+02	\N	\N	\N	\N	\N	\N	f	
19882	78d97d6b-e4bb-4de4-9fa4-45da06f13e69	Montescaglioso	Montescaglioso	4	0	2013-07-22 11:50:25.387705+02	\N	\N	\N	\N	\N	\N	f	
17534	a1bc3cf0-6a7d-4c88-94c7-c612caae3208	Alleghe	Alleghe	4	0	2013-07-22 06:39:06.316368+02	\N	\N	\N	\N	\N	\N	f	
18465	429ab2be-7e6d-4a4d-a290-a6ffb4e0b05e	Cartigliano	Cartigliano	4	0	2013-07-22 08:35:34.476395+02	\N	\N	\N	\N	\N	\N	f	
23315	b8c36561-685a-4eb6-932b-af95bf7bd4a0	Hildale	Hildale	3	0	2013-08-24 14:48:30.38416+02	\N	\N	\N	\N	\N	\N	f	
18466	b1246242-a5ef-4403-bae3-d7c0a7102f12	Montan	Montan	4	0	2013-07-22 08:35:34.895636+02	\N	\N	\N	\N	\N	\N	f	
19912	18ef9825-69ad-47da-90de-0305d1910e10	Castronuovo di Sant'Andrea	Castronuovo di Sant'Andrea	4	0	2013-07-22 11:54:27.098562+02	\N	\N	\N	\N	\N	\N	f	
18645	613e000b-101b-4f9a-a5c4-f0beee6e27f1	Cavarzere	Cavarzere	4	0	2013-07-22 08:56:49.987739+02	\N	\N	\N	\N	\N	\N	f	
18650	27e61b26-33ea-4b72-98be-82080e8d5cab	Mirano	Mirano	4	0	2013-07-22 08:57:21.862062+02	\N	\N	\N	\N	\N	\N	f	
20732	fb1af536-e3ec-4502-aabd-0cc91f5b9884	Airola	Airola	4	0	2013-07-23 11:31:47.734029+02	\N	\N	\N	\N	\N	\N	f	
19425	2098786e-9eca-42a7-b5ca-6adc86064c87	Roccaspinalveti	Roccaspinalveti	4	0	2013-07-22 10:33:15.416572+02	\N	\N	\N	\N	\N	\N	f	
19918	444043ee-6356-4ddf-9b09-e7d7c3f4ec17	Latronico	Latronico	4	0	2013-07-22 11:55:08.155769+02	\N	\N	\N	\N	\N	\N	f	
19446	525e9f54-db90-4bcb-9e49-20abe5524a3d	San Salvo	San Salvo	4	0	2013-07-22 10:36:05.922889+02	\N	\N	\N	\N	\N	\N	f	
19487	35ac89c5-10db-41d5-ba1b-b44cfe04a364	Pianella	Pianella	4	0	2013-07-22 10:40:51.018072+02	\N	\N	\N	\N	\N	\N	f	
19921	4aa8ad45-24a3-452a-8abb-e59bbc519404	Brienza	Brienza	4	0	2013-07-22 11:55:23.58039+02	\N	\N	\N	\N	\N	\N	f	
19929	be0436dc-fdba-4e19-9e3c-bf6abf9bb645	Grumento Nova	Grumento Nova	4	0	2013-07-22 11:56:15.397218+02	\N	\N	\N	\N	\N	\N	f	
20749	bf18e72c-4b04-48a3-ac8c-121092b7dc7a	Calvi	Calvi	4	0	2013-07-23 11:35:11.047097+02	\N	\N	\N	\N	\N	\N	f	
19932	32a04e18-bbf6-4d78-a875-3407f84ee452	Chiaromonte	Chiaromonte	4	0	2013-07-22 11:56:40.78703+02	\N	\N	\N	\N	\N	\N	f	
23382	9bcf5f48-e3cb-4dba-a769-ba3d7aa15ccd	Franklin	Franklin	3	0	2013-08-24 17:45:55.629551+02	\N	\N	\N	\N	\N	\N	f	
20613	3055b8db-3b1d-4baa-a552-01ed3ed5ee0a	Andretta	Andretta	4	0	2013-07-23 05:49:49.742769+02	\N	\N	\N	\N	\N	\N	f	
20834	78641e6e-e57c-4bb5-940e-c123fe261411	Leonforte	Leonforte	4	0	2013-07-23 14:32:32.713584+02	\N	\N	\N	\N	\N	\N	f	
20632	c006ede5-f40b-441d-a08e-2cd0fb221048	Soriano Calabro	Soriano Calabro	4	0	2013-07-23 08:31:39.257054+02	\N	\N	\N	\N	\N	\N	f	
20644	06316f4b-4ef2-46b8-9a8e-a37a122dd629	Flumeri	Flumeri	4	0	2013-07-23 08:34:23.683435+02	\N	\N	\N	\N	\N	\N	f	
23857	3cb90b2f-2647-44ea-a88f-557b2ee91edd	Augusta	Augusta	3	0	2013-09-06 20:38:12.941671+02	\N	\N	\N	\N	\N	\N	f	
20719	82c6f6b8-d0ed-4bd9-8e18-f7b4e246026b	Sant'Angelo a Scala	Sant'Angelo a Scala	4	0	2013-07-23 08:51:05.049754+02	\N	\N	\N	\N	\N	\N	f	
23505	b56f406b-8f53-4dde-9bb0-9e854f3050ac	Veľký Krtíš	Veľký Krtíš	3	0	2013-08-26 02:41:16.208713+02	\N	\N	\N	\N	\N	\N	f	
23806	df76bb10-860d-47a9-96bd-a44745b24d96	Pappenheim	Pappenheim	3	0	2013-09-05 11:28:56.203166+02	\N	\N	\N	\N	\N	\N	f	
23292	ad1de140-6a4d-403c-a4d7-b0cdafb9d13e	Syracuse	Syracuse	3	0	2013-08-24 14:42:21.89929+02	\N	\N	\N	\N	\N	\N	f	
23589	1a2ab523-40b2-4542-be0b-b5a14bb79f0a	Hurbanovo	Hurbanovo	3	0	2013-08-26 14:43:18.455754+02	\N	\N	\N	\N	\N	\N	f	
23293	ac62e751-a510-4c66-b448-48893794b466	Midvale	Midvale	3	0	2013-08-24 14:42:34.770915+02	\N	\N	\N	\N	\N	\N	f	
23313	25816188-4f24-4b31-8140-9abd7d0a3899	Holladay	Holladay	3	0	2013-08-24 14:48:03.889193+02	\N	\N	\N	\N	\N	\N	f	
11818	30fca2f2-b854-4aaf-aea2-85afe6a9fa5a	Seya-ku	Seya-ku	5	0	2013-08-28 15:46:25.625246+02	\N	\N	\N	\N	\N	\N	f	
23743	d13414f3-879b-45ee-aade-3d9465c060ac	Leverkusen	Leverkusen	3	0	2013-08-31 20:31:37.269414+02	\N	\N	\N	\N	\N	\N	f	
23807	221cf0a7-25c7-44e5-bf9f-486936053a57	Gunzenhausen	Gunzenhausen	3	0	2013-09-05 11:29:09.848834+02	\N	\N	\N	\N	\N	\N	f	
23928	0fd00533-6c5e-4876-9cc6-f484eaa60b56	Cortez	Cortez	3	0	2013-09-06 23:18:16.932515+02	\N	\N	\N	\N	\N	\N	f	
23827	bdff1057-3921-476f-9533-d1744911d425	Perry	Perry	3	0	2013-09-06 20:27:27.369832+02	\N	\N	\N	\N	\N	\N	f	
24228	43954abb-da6c-4b29-89c5-feedbac21ebd	Austin, Indiana	Austin, Indiana	3	0	2013-09-07 05:21:06.415348+02	\N	\N	\N	\N	\N	\N	f	
24028	08ba7e75-7bb2-422b-ae9e-00145af3579f	Griffin	Griffin	3	0	2013-09-07 02:18:11.916377+02	\N	\N	\N	\N	\N	\N	f	
24742	c85ea653-02b3-4ad0-94ce-0fbfad38e6ee	Aredale	Aredale	3	0	2013-09-07 08:23:12.314699+02	\N	\N	\N	\N	\N	\N	f	
24320	d309a73b-3e9a-4dcd-9bfc-bce04ae00eeb	Hogansville, Georgia	Hogansville, Georgia	3	0	2013-09-07 05:46:02.059902+02	\N	\N	\N	\N	\N	\N	f	
24797	fd458465-b67b-4eb1-9c26-5a55458e8afe	Marcus	Marcus	3	0	2013-09-07 08:38:02.553987+02	\N	\N	\N	\N	\N	\N	f	
25261	008dee7d-6cd7-4ed8-9851-90fc2c1acd7e	Early	Early	3	0	2013-09-07 10:55:16.964642+02	\N	\N	\N	\N	\N	\N	f	
25334	addce8d2-1abe-49af-b080-4d1e47e6b670	Slaughters, Kentucky	Slaughters, Kentucky	3	0	2013-09-07 11:23:02.532008+02	\N	\N	\N	\N	\N	\N	f	
25347	4745b555-9e4a-4768-b74c-5945ae594177	Correctionville	Correctionville	3	0	2013-09-07 11:27:57.392654+02	\N	\N	\N	\N	\N	\N	f	
25806	30424851-017d-4589-9c97-274beb26f614	Rockport, Kentucky	Rockport, Kentucky	3	0	2013-09-07 14:43:51.255712+02	\N	\N	\N	\N	\N	\N	f	
25874	0478b415-0cfc-424e-bbaf-f756f8422003	Peabody, Kansas	Peabody, Kansas	3	0	2013-09-07 15:01:58.206982+02	\N	\N	\N	\N	\N	\N	f	
25921	507221c1-618b-4d22-b0f3-f4d91d634655	Coldwater, Michigan	Coldwater, Michigan	3	0	2013-09-07 17:19:35.408602+02	\N	\N	\N	\N	\N	\N	f	
11616	cb090585-a999-4959-860e-5cd254a20d9f	Izunokuni	Izunokuni	3	0	2013-06-25 12:07:26.371486+02	\N	\N	\N	\N	\N	\N	f	
11617	2e08862e-ca3a-48a5-b482-7b8b8908daab	Minamibōsō	Minamibōsō	3	0	2013-06-25 12:07:46.136168+02	\N	\N	\N	\N	\N	\N	f	
14004	60039ce0-a695-4c98-ade3-44843feb151e	Riccione	Riccione	4	0	2013-07-21 20:02:03.431835+02	\N	\N	\N	\N	\N	\N	f	
14545	fcafaca7-cc4a-41a0-ab9b-a104864c38e6	Castagnole delle Lanze	Castagnole delle Lanze	4	0	2013-07-21 22:02:41.074148+02	\N	\N	\N	\N	\N	\N	f	
15695	a722832b-d939-4f7b-b9d7-56d37a488713	Civitavecchia	Civitavecchia	4	0	2013-07-22 01:42:05.598771+02	\N	\N	\N	\N	\N	\N	f	
14556	acc1e532-2650-4123-beb0-9c907b526ca9	Calosso	Calosso	4	0	2013-07-21 22:04:53.180386+02	\N	\N	\N	\N	\N	\N	f	
14637	ce633ab9-a836-4fc6-94c2-d7a998a253ae	Rocca d'Arazzo	Rocca d'Arazzo	4	0	2013-07-21 22:22:39.557061+02	\N	\N	\N	\N	\N	\N	f	
14640	8e8866c9-bc88-49e7-a5f0-8ecf60a1ad1b	Montegrosso d'Asti	Montegrosso d'Asti	4	0	2013-07-21 22:23:16.162049+02	\N	\N	\N	\N	\N	\N	f	
15713	c3f07f2e-88e2-4c17-b375-82ba4bc339ad	Rocca Santo Stefano	Rocca Santo Stefano	4	0	2013-07-22 01:46:32.623655+02	\N	\N	\N	\N	\N	\N	f	
14661	482793b9-9cd5-436f-a9d8-0bf5f648d10b	Andorno Micca	Andorno Micca	4	0	2013-07-21 22:28:15.026118+02	\N	\N	\N	\N	\N	\N	f	
14687	8993a384-d0f5-4445-8a9e-e22d5eb84ba8	Miagliano	Miagliano	4	0	2013-07-21 22:33:41.304942+02	\N	\N	\N	\N	\N	\N	f	
17475	b1e8ba23-b87c-48ce-9b13-2f27c153f749	Cadegliano-Viconago	Cadegliano-Viconago	4	0	2013-07-22 06:32:10.198065+02	\N	\N	\N	\N	\N	\N	f	
14702	af1c749b-cf61-4aaa-98ec-9242fc119a88	Camandona	Camandona	4	0	2013-07-21 22:36:44.37545+02	\N	\N	\N	\N	\N	\N	f	
15747	9f9725ee-6f83-4aa3-b355-861b6cbe0811	Alserio	Alserio	4	0	2013-07-22 01:53:52.036038+02	\N	\N	\N	\N	\N	\N	f	
14725	ea45c5ab-d007-452d-82c2-629684aed8d4	Sostegno	Sostegno	4	0	2013-07-21 22:42:19.995044+02	\N	\N	\N	\N	\N	\N	f	
15064	5dee674e-b208-4cdf-bcc2-615294b09a95	Cascia	Cascia	4	0	2013-07-21 23:43:24.917328+02	\N	\N	\N	\N	\N	\N	f	
15083	72a83a96-301e-4823-b547-556081898296	Vernio	Vernio	4	0	2013-07-21 23:45:36.960088+02	\N	\N	\N	\N	\N	\N	f	
15774	ec3a2ebc-d518-41db-8e8d-754e705efa34	Blevio	Blevio	4	0	2013-07-22 01:59:30.453617+02	\N	\N	\N	\N	\N	\N	f	
15869	58c6d372-8475-42f4-88ec-b5dd4e5801bf	Rima San Giuseppe	Rima San Giuseppe	4	0	2013-07-22 02:21:38.708094+02	\N	\N	\N	\N	\N	\N	f	
18467	cf3de35c-1956-4d70-9632-8b4fe2a386e6	Mansuè	Mansuè	4	0	2013-07-22 08:35:46.666767+02	\N	\N	\N	\N	\N	\N	f	
16635	bfe1d1c5-ac42-4675-9d76-63088035b474	Sindia, Sardinia	Sindia, Sardinia	4	0	2013-07-22 03:57:59.106819+02	\N	\N	\N	\N	\N	\N	f	
17194	4e9ca365-72a2-49e2-aacd-9da32aca37f3	Ulà Tirso	Ulà Tirso	4	0	2013-07-22 05:56:14.619082+02	\N	\N	\N	\N	\N	\N	f	
19884	89483605-91ad-48b1-ab09-f8ce6364bedd	Accettura	Accettura	4	0	2013-07-22 11:50:38.458312+02	\N	\N	\N	\N	\N	\N	f	
18483	c376d2b2-9557-4351-b7d8-0c942bcac3da	Altavilla Milicia	Altavilla Milicia	4	0	2013-07-22 08:37:18.125086+02	\N	\N	\N	\N	\N	\N	f	
18586	ce708dda-0592-4ddd-abc6-5dba8a8275ab	Ponzano Veneto	Ponzano Veneto	4	0	2013-07-22 08:49:12.188801+02	\N	\N	\N	\N	\N	\N	f	
18597	feed4f67-ba21-40a5-946b-bcddb39dc616	Villorba	Villorba	4	0	2013-07-22 08:50:43.109761+02	\N	\N	\N	\N	\N	\N	f	
19907	e9251c7f-1a87-4afc-8bf8-8c3851177083	Cancellara	Cancellara	4	0	2013-07-22 11:53:49.557828+02	\N	\N	\N	\N	\N	\N	f	
18632	45722e28-5947-454d-8edd-f8787f83f365	Campolongo Maggiore	Campolongo Maggiore	4	0	2013-07-22 08:55:00.372075+02	\N	\N	\N	\N	\N	\N	f	
18678	6f36de11-88df-41fd-8a84-2c214e2fdc63	Conegliano	Conegliano	4	0	2013-07-22 09:00:46.020229+02	\N	\N	\N	\N	\N	\N	f	
23506	1e02d173-9751-4751-8da2-48a1eed9a379	Nykarleby	Nykarleby	3	0	2013-08-26 02:41:28.858012+02	\N	\N	\N	\N	\N	\N	f	
18735	df6903ea-9cb2-4040-8802-71ddcf336497	Arzignano	Arzignano	4	0	2013-07-22 09:07:57.081505+02	\N	\N	\N	\N	\N	\N	f	
20041	8b178f71-e3c3-4eed-9f1e-5a972603a18f	Farra d'Isonzo	Farra d'Isonzo	4	0	2013-07-22 12:11:42.303046+02	\N	\N	\N	\N	\N	\N	f	
19431	5567b3a9-d3ce-4a75-a918-a7ffb7331b2a	Roccamontepiano	Roccamontepiano	4	0	2013-07-22 10:34:02.914673+02	\N	\N	\N	\N	\N	\N	f	
20614	5282d2ee-230d-4d3c-902b-6dd10d91e1cf	Serra San Bruno	Serra San Bruno	4	0	2013-07-23 05:50:01.48616+02	\N	\N	\N	\N	\N	\N	f	
24029	096983bf-422a-4efb-aeb0-337a52330d69	Harlem	Harlem	3	0	2013-09-07 02:18:25.088467+02	\N	\N	\N	\N	\N	\N	f	
20633	239447a0-7b4e-4a11-b0f3-11254697c264	Bagnoli Irpino	Bagnoli Irpino	4	0	2013-07-23 08:31:51.544152+02	\N	\N	\N	\N	\N	\N	f	
23595	be45d036-b66b-453d-8cb6-c085ab97f105	Gbely	Gbely	3	0	2013-08-26 14:44:40.807797+02	\N	\N	\N	\N	\N	\N	f	
20733	1f7a51f0-a687-44df-8190-aa6c896d648d	Apollosa	Apollosa	4	0	2013-07-23 11:32:00.14431+02	\N	\N	\N	\N	\N	\N	f	
20835	f85a10de-24e7-4b0f-aa2e-4ccd0275ca84	Rotella	Rotella	4	0	2013-07-23 14:32:44.572581+02	\N	\N	\N	\N	\N	\N	f	
20884	af9a9989-c39b-480a-a565-e449e9070555	Ailano	Ailano	4	0	2013-07-23 14:43:59.956402+02	\N	\N	\N	\N	\N	\N	f	
11811	3a3224a9-f75d-4749-81d3-38b8ab1335b3	Naka-ku	Naka-ku	5	0	2013-08-28 15:46:25.927779+02	\N	\N	\N	\N	\N	\N	f	
23298	0fcc7c0d-eae9-4762-b3d5-b446f9771c93	Cedar Hills	Cedar Hills	3	0	2013-08-24 14:43:42.875832+02	\N	\N	\N	\N	\N	\N	f	
23301	247ddc9d-5682-4c31-88b5-8f70e6dc1613	North Salt Lake	North Salt Lake	3	0	2013-08-24 14:44:43.882549+02	\N	\N	\N	\N	\N	\N	f	
25263	af8d5f45-6392-4410-85bc-b128b04da494	Grand River	Grand River	3	0	2013-09-07 10:55:49.218378+02	\N	\N	\N	\N	\N	\N	f	
23318	1db2fad1-b42f-425c-b02d-d3ffa1104af0	Centerfield	Centerfield	3	0	2013-08-24 14:49:12.068326+02	\N	\N	\N	\N	\N	\N	f	
23745	d396388b-3d7c-42e3-96d2-16df964e8c07	Solingen	Solingen	3	0	2013-08-31 20:32:07.668257+02	\N	\N	\N	\N	\N	\N	f	
23331	f9392506-c8d1-4085-b0ab-8dfe33382062	Tooele	Tooele	3	0	2013-08-24 14:52:27.629214+02	\N	\N	\N	\N	\N	\N	f	
24062	c8cdee79-aa9b-48cf-ac5b-4cf89b0c7129	Peck	Peck	3	0	2013-09-07 02:27:48.925546+02	\N	\N	\N	\N	\N	\N	f	
23383	498eb1b2-e830-4855-bc14-211d94035099	Winooski	Winooski	3	0	2013-08-24 17:46:40.767272+02	\N	\N	\N	\N	\N	\N	f	
23808	7650ca45-7ed7-409a-9011-7143f374ea31	Höchstadt	Höchstadt	3	0	2013-09-05 11:29:34.285842+02	\N	\N	\N	\N	\N	\N	f	
24743	b8ec9f87-3053-4943-b5e2-1076be0734de	Fontanelle, Iowa	Fontanelle, Iowa	3	0	2013-09-07 08:23:31.034276+02	\N	\N	\N	\N	\N	\N	f	
23829	16c31504-080d-4d04-a0e6-9d255547ff48	Advance, Missouri	Advance, Missouri	3	0	2013-09-06 20:28:21.443401+02	\N	\N	\N	\N	\N	\N	f	
24230	5fceb28d-2848-44d5-ba26-11e59009964f	Wood River	Wood River	3	0	2013-09-07 05:21:59.624185+02	\N	\N	\N	\N	\N	\N	f	
23850	c5c35c3b-d031-4a53-925d-ca2c2ac38b70	Mount Ida	Mount Ida	3	0	2013-09-06 20:36:32.405826+02	\N	\N	\N	\N	\N	\N	f	
23929	69f3771d-cfaf-468a-a5ee-9a1d39509586	Wray	Wray	3	0	2013-09-06 23:18:30.205179+02	\N	\N	\N	\N	\N	\N	f	
24242	3e85925b-8d4f-48f5-8732-8ac231fda42a	Hoschton, Georgia	Hoschton, Georgia	3	0	2013-09-07 05:27:04.912624+02	\N	\N	\N	\N	\N	\N	f	
24255	c6645336-9abf-4a6b-b247-7b0a396d123f	Cairo	Cairo	3	0	2013-09-07 05:30:22.787035+02	\N	\N	\N	\N	\N	\N	f	
24269	b7e39d57-98ef-4ac7-8852-6edcbcb53b82	Monticello, Georgia	Monticello, Georgia	3	0	2013-09-07 05:33:41.612809+02	\N	\N	\N	\N	\N	\N	f	
24808	b10e8f46-1493-4632-9ac0-e94ab80430eb	McIntire, Iowa	McIntire, Iowa	3	0	2013-09-07 08:40:50.552712+02	\N	\N	\N	\N	\N	\N	f	
25268	cc7d6e97-41fd-4338-90d9-c1557f58c1c8	Madrid	Madrid	3	0	2013-09-07 10:57:14.301035+02	\N	\N	\N	\N	\N	\N	f	
25807	7bb3b846-8720-434e-9969-72a4e758ff4d	Fort Wright, Kentucky	Fort Wright, Kentucky	3	0	2013-09-07 14:44:10.90359+02	\N	\N	\N	\N	\N	\N	f	
25270	701ed0c5-3765-4e2d-a5b4-5b64c960e931	Cromwell	Cromwell	3	0	2013-09-07 10:57:46.274486+02	\N	\N	\N	\N	\N	\N	f	
25283	cb5b01a3-9e93-4117-a50c-259d93c100b4	Corwith	Corwith	3	0	2013-09-07 11:01:16.485927+02	\N	\N	\N	\N	\N	\N	f	
25922	c75b1d13-f9b2-43d9-81d4-9107d943db94	Deoghar	Deoghar	3	0	2013-09-07 17:19:59.438262+02	\N	\N	\N	\N	\N	\N	f	
26246	87a9b3da-9928-4251-b30c-60f8cd67d3bc	Brandenburg	Brandenburg	3	0	2013-09-07 20:55:22.056704+02	\N	\N	\N	\N	\N	\N	f	
26561	b100bf90-381b-460d-90ed-7fb8f96e9184	Spragueville, Iowa	Spragueville, Iowa	3	0	2013-09-08 01:08:40.786622+02	\N	\N	\N	\N	\N	\N	f	
26918	d6cb7562-4d33-48f3-a5e6-6754fe740d9d	St. Ann	St. Ann	3	0	2013-09-08 04:00:25.645169+02	\N	\N	\N	\N	\N	\N	f	
26927	0366d233-648c-4113-841f-b4a2b5d96004	New Florence	New Florence	3	0	2013-09-08 04:03:21.883722+02	\N	\N	\N	\N	\N	\N	f	
26935	a0ae489c-b138-40bb-b0f4-339daac28e0e	Long Pine	Long Pine	3	0	2013-09-08 04:05:50.797275+02	\N	\N	\N	\N	\N	\N	f	
26970	2a44b73b-ff5f-4486-a999-36c52fbc8981	Clarkson	Clarkson	3	0	2013-09-08 04:14:21.889367+02	\N	\N	\N	\N	\N	\N	f	
26986	ef264a09-e47f-4f34-b855-20bdeba53277	Osceola	Osceola	3	0	2013-09-08 04:18:14.825897+02	\N	\N	\N	\N	\N	\N	f	
11619	4c76c345-608a-4399-9767-02c5fb00802c	Nagakute	Nagakute	3	0	2013-06-25 12:08:54.103965+02	\N	\N	\N	\N	\N	\N	f	
11621	5222cbbc-0702-422c-90ba-237b78536460	Virpur	Virpur	3	0	2013-06-25 14:31:46.442251+02	\N	\N	\N	\N	\N	\N	f	
11645	0abb70ef-25e1-4650-b948-2585f498155c	Kawanehon	Kawanehon	3	0	2013-06-25 20:24:01.739064+02	\N	\N	\N	\N	\N	\N	f	
11622	67ecbae5-0842-406c-b564-8f54dd8de120	Vijapur	Vijapur	3	0	2013-06-25 17:27:50.366363+02	\N	\N	\N	\N	\N	\N	f	
11623	4e645c9c-ae39-4854-9bf3-e2bfaf357d76	Minamiise	Minamiise	3	0	2013-06-25 20:17:56.152904+02	\N	\N	\N	\N	\N	\N	f	
11624	ea7265f1-023d-49d5-a86f-075508516bb8	Yoshida	Yoshida	3	0	2013-06-25 20:18:45.510372+02	\N	\N	\N	\N	\N	\N	f	
11646	c25b8218-5454-482d-9a2a-20a14cdb25af	Matsuzaki	Matsuzaki	3	0	2013-06-25 20:24:13.919163+02	\N	\N	\N	\N	\N	\N	f	
11625	c77e6514-9abb-4e1f-a0ea-09a92a5a9769	Taketoyo	Taketoyo	3	0	2013-06-25 20:19:12.758777+02	\N	\N	\N	\N	\N	\N	f	
11626	cda67d07-b6bd-4547-a118-00edd4a276a7	Kihō	Kihō	3	0	2013-06-25 20:19:32.103908+02	\N	\N	\N	\N	\N	\N	f	
11661	1dff3c9b-d0a9-4cc4-818c-445f8af18cf1	Tamaki	Tamaki	3	0	2013-06-25 20:48:17.006909+02	\N	\N	\N	\N	\N	\N	f	
11627	da5e2808-b12d-4884-93fc-40536aa6e53f	Shimizu	Shimizu	3	0	2013-06-25 20:19:46.1576+02	\N	\N	\N	\N	\N	\N	f	
11647	3c41bc6f-f456-4ac5-837c-c2ed14cfaa61	Komono	Komono	3	0	2013-06-25 20:24:27.414282+02	\N	\N	\N	\N	\N	\N	f	
11628	9f6ed43d-81ac-458c-84a5-886c6be49fa3	Fusō	Fusō	3	0	2013-06-25 20:20:00.004221+02	\N	\N	\N	\N	\N	\N	f	
11629	c32270a4-53d2-4069-9700-430903974181	Taiki	Taiki	3	0	2013-06-25 20:20:12.573377+02	\N	\N	\N	\N	\N	\N	f	
11630	a5a358c9-f2fc-4ae2-8d32-7c74cc12bc01	Meiwa	Meiwa	3	0	2013-06-25 20:20:28.839236+02	\N	\N	\N	\N	\N	\N	f	
11648	47b9882a-840e-4e50-b122-b376b1c20908	Nagaizumi	Nagaizumi	3	0	2013-06-25 20:24:39.654442+02	\N	\N	\N	\N	\N	\N	f	
11631	44808475-b2ec-4743-8248-fcd669e81613	Minamichita	Minamichita	3	0	2013-06-25 20:20:49.781842+02	\N	\N	\N	\N	\N	\N	f	
11632	0182accd-9385-40da-bd2c-6e00d0e4f045	Kisosaki	Kisosaki	3	0	2013-06-25 20:21:03.73572+02	\N	\N	\N	\N	\N	\N	f	
11633	839c67fe-08d2-498d-bbb1-6954e9a5f96d	Taki	Taki	3	0	2013-06-25 20:21:16.309748+02	\N	\N	\N	\N	\N	\N	f	
11649	7a7a9b87-0705-4d11-bb88-59d5c7ff5729	Tōin	Tōin	3	0	2013-06-25 20:24:53.06274+02	\N	\N	\N	\N	\N	\N	f	
11634	94fa1161-72a4-4c0a-b283-53d4ab6cc6ee	Ōguchi	Ōguchi	3	0	2013-06-25 20:21:29.852382+02	\N	\N	\N	\N	\N	\N	f	
11635	12f906b6-8775-4a0b-b17e-f7c8fa88f127	Nishiizu	Nishiizu	3	0	2013-06-25 20:21:44.596516+02	\N	\N	\N	\N	\N	\N	f	
11662	b73ea65e-70bc-4955-928b-40020f930580	Asahi	Asahi	3	0	2013-06-25 20:48:51.55158+02	\N	\N	\N	\N	\N	\N	f	
11636	c1659333-a7ef-405b-8ab5-2c0bb148274d	Kannami	Kannami	3	0	2013-06-25 20:21:58.173058+02	\N	\N	\N	\N	\N	\N	f	
11650	c70bc251-bc59-4e8c-87c2-a6c563a6c3ed	Mori	Mori	3	0	2013-06-25 20:25:57.898473+02	\N	\N	\N	\N	\N	\N	f	
11637	07bfbc06-3ccc-4a34-bb4c-f2a51e734a76	Minamiizu	Minamiizu	3	0	2013-06-25 20:22:10.728415+02	\N	\N	\N	\N	\N	\N	f	
11638	08012962-3016-4b4f-8f95-ac5fe2798d5d	Kawazu	Kawazu	3	0	2013-06-25 20:22:24.290854+02	\N	\N	\N	\N	\N	\N	f	
11639	9c28974f-ae3a-4aff-9423-8e50b6cabe7e	Kihoku	Kihoku	3	0	2013-06-25 20:22:40.965707+02	\N	\N	\N	\N	\N	\N	f	
11651	7f928699-b912-498f-93b0-7eea0a71a0bf	Kawagoe	Kawagoe	3	0	2013-06-25 20:26:10.27548+02	\N	\N	\N	\N	\N	\N	f	
11640	05910396-c192-4ed8-a095-7d724a389683	Mihama	Mihama	3	0	2013-06-25 20:22:53.554438+02	\N	\N	\N	\N	\N	\N	f	
11641	8a47bbe8-23bc-4f8b-8cf2-db7f0da374cf	Agui	Agui	3	0	2013-06-25 20:23:06.242249+02	\N	\N	\N	\N	\N	\N	f	
11671	c7eee8c9-bfe1-4d3f-a584-63d285dd97ad	Ōi	Ōi	3	0	2013-06-26 08:18:47.659472+02	\N	\N	\N	\N	\N	\N	f	
11642	10cd2d48-72f2-4ec6-97d7-81da46dd8bf7	Mihama	Mihama	3	0	2013-06-25 20:23:18.590242+02	\N	\N	\N	\N	\N	\N	f	
11652	4f90cd1e-006a-41c3-9e87-620764f7b114	Shitara	Shitara	3	0	2013-06-25 20:26:32.735389+02	\N	\N	\N	\N	\N	\N	f	
11643	99f6cdae-4b65-4a94-b7e5-c1c4419a4850	Watarai	Watarai	3	0	2013-06-25 20:23:31.745438+02	\N	\N	\N	\N	\N	\N	f	
11644	a7e24766-6bb8-4606-9e2e-fd9683217c6e	Ōdai	Ōdai	3	0	2013-06-25 20:23:49.4992+02	\N	\N	\N	\N	\N	\N	f	
11663	25019dea-cd5f-4cb2-a68a-fc0c5512b152	Yachimata	Yachimata	3	0	2013-06-25 20:49:53.19531+02	\N	\N	\N	\N	\N	\N	f	
11653	88122db3-c69b-48ea-a034-5532caf7ed05	Tōei	Tōei	3	0	2013-06-25 20:27:02.603781+02	\N	\N	\N	\N	\N	\N	f	
11654	243f2d5a-334b-4e46-b85c-a7ca30025957	Toyone	Toyone	3	0	2013-06-25 20:28:30.393481+02	\N	\N	\N	\N	\N	\N	f	
11655	ee63df01-0f20-481c-8722-6225de44b17b	Antipolo	Antipolo	3	0	2013-06-25 20:29:24.435136+02	\N	\N	\N	\N	\N	\N	f	
11664	97f06f56-fa71-4238-9e80-fa33a19d4db1	Higashiura	Higashiura	3	0	2013-06-25 20:50:51.920993+02	\N	\N	\N	\N	\N	\N	f	
11656	fee1bb4b-540f-45b7-ba50-bf22f7a9b3f8	Taguig City	Taguig City	3	0	2013-06-25 20:29:36.336814+02	\N	\N	\N	\N	\N	\N	f	
11657	2068370a-822f-4478-97a2-5f6016c903fd	Cagayan de Oro	Cagayan de Oro	3	0	2013-06-25 20:29:48.208387+02	\N	\N	\N	\N	\N	\N	f	
11677	62e6bfb9-8891-4c0e-a847-830de16d059a	Minobu	Minobu	3	0	2013-06-26 08:20:36.436553+02	\N	\N	\N	\N	\N	\N	f	
11658	66e105c1-5f1e-4126-b1d0-dc50856e68cd	Rijeka	Rijeka	3	0	2013-06-25 20:30:00.176757+02	\N	\N	\N	\N	\N	\N	f	
11665	29546f14-064a-4c25-ae16-d09f36ff667a	Oyama	Oyama	3	0	2013-06-25 20:51:44.28689+02	\N	\N	\N	\N	\N	\N	f	
11659	cf9885d1-8979-4cfe-a355-792d00d43c31	Higashiizu	Higashiizu	3	0	2013-06-25 20:40:57.590783+02	\N	\N	\N	\N	\N	\N	f	
11672	4415d5cf-f059-46d8-abaf-ac04a391ff6e	Kaisei	Kaisei	3	0	2013-06-26 08:19:03.462466+02	\N	\N	\N	\N	\N	\N	f	
11660	e708cf2e-09c7-4d76-9a22-33214876b1b8	Uchinada	Uchinada	3	0	2013-06-25 20:44:15.099962+02	\N	\N	\N	\N	\N	\N	f	
11666	f063e6a0-9d75-471f-a7a2-cb8bde3b58e9	St. Peter	St. Peter	3	0	2013-06-25 23:24:49.801315+02	\N	\N	\N	\N	\N	\N	f	
11667	c59e4dd7-77a6-4950-afdb-9ec3add2419f	Karula	Karula	3	0	2013-06-26 01:39:40.867072+02	\N	\N	\N	\N	\N	\N	f	
11673	2101c8c5-2795-46ff-8462-e90c047c1239	Matsuda	Matsuda	3	0	2013-06-26 08:19:22.659316+02	\N	\N	\N	\N	\N	\N	f	
11668	7a1f2e83-387a-4e0a-a73c-1f2eadf57111	Eristvere	Eristvere	3	0	2013-06-26 01:54:10.512517+02	\N	\N	\N	\N	\N	\N	f	
11669	c7ee402c-0137-4931-a72e-a262796c0d16	Monpelye	Monpelye	3	0	2013-06-26 02:40:36.736207+02	\N	\N	\N	\N	\N	\N	f	
11684	ec67cee8-61ea-404e-bfd2-662927516b99	Nanbu	Nanbu	3	0	2013-06-26 08:22:14.069537+02	\N	\N	\N	\N	\N	\N	f	
11670	d6df9947-7436-4acc-a122-40c3ab1f2521	Fujikawaguchiko	Fujikawaguchiko	3	0	2013-06-26 08:16:43.00679+02	\N	\N	\N	\N	\N	\N	f	
11678	33343151-ca20-43bf-aceb-73e600ac78f3	Hayakawa	Hayakawa	3	0	2013-06-26 08:20:48.572254+02	\N	\N	\N	\N	\N	\N	f	
11674	68a18e23-6ee2-41d5-9d60-ee35483a498f	Manazuru	Manazuru	3	0	2013-06-26 08:19:39.332964+02	\N	\N	\N	\N	\N	\N	f	
11675	64242ea1-643b-436e-8038-42c27efc8f4c	Aikawa	Aikawa	3	0	2013-06-26 08:19:59.711276+02	\N	\N	\N	\N	\N	\N	f	
11682	3436f1e7-76f2-457f-b694-408ecea3d3e4	Dōshi	Dōshi	3	0	2013-06-26 08:21:42.315546+02	\N	\N	\N	\N	\N	\N	f	
11676	16055ed3-8c0d-4c07-8c92-89fb82d3b246	Nishikatsura	Nishikatsura	3	0	2013-06-26 08:20:17.673753+02	\N	\N	\N	\N	\N	\N	f	
11679	91cf15eb-cdc9-4e93-8962-1a6772ee23ce	Tabayama	Tabayama	3	0	2013-06-26 08:21:01.602933+02	\N	\N	\N	\N	\N	\N	f	
11680	9963ba1d-ed1a-468b-a630-57619f60d2d6	Shōwa	Shōwa	3	0	2013-06-26 08:21:17.887377+02	\N	\N	\N	\N	\N	\N	f	
11681	f9205580-4884-433b-a97f-d28cee59df07	Narusawa	Narusawa	3	0	2013-06-26 08:21:30.038596+02	\N	\N	\N	\N	\N	\N	f	
11686	d3a08688-a708-49d0-9b06-c5508d0071f8	Samukawa	Samukawa	3	0	2013-06-26 08:23:25.322463+02	\N	\N	\N	\N	\N	\N	f	
11683	4b997a0d-ce1a-43d6-aaad-164f074ed07c	Yamanakako	Yamanakako	3	0	2013-06-26 08:21:56.847352+02	\N	\N	\N	\N	\N	\N	f	
11685	b05dfd60-cec0-4a44-9fae-dec8f07db4d6	Kiyokawa	Kiyokawa	3	0	2013-06-26 08:23:11.723257+02	\N	\N	\N	\N	\N	\N	f	
11688	bb8791a9-69c8-4cf5-bc1b-326a42955a1c	Hayama	Hayama	3	0	2013-06-26 08:23:51.405196+02	\N	\N	\N	\N	\N	\N	f	
11687	07b72265-de0d-4963-80be-518861589935	Nakai	Nakai	3	0	2013-06-26 08:23:38.022964+02	\N	\N	\N	\N	\N	\N	f	
11689	3d2871dc-117b-48fe-99e3-b78ecbee6728	Oshino	Oshino	3	0	2013-06-26 08:24:15.530429+02	\N	\N	\N	\N	\N	\N	f	
11690	29d1158a-fa98-4899-a8c1-3031ae85040a	Fujikawa	Fujikawa	3	0	2013-06-26 08:24:39.137976+02	\N	\N	\N	\N	\N	\N	f	
11691	129f05a7-c039-4b50-a6d5-c1585daf0dfd	Ninomiya	Ninomiya	3	0	2013-06-26 08:24:58.408513+02	\N	\N	\N	\N	\N	\N	f	
11692	7ca97e51-54a1-4b5a-a6f9-3a00a27efcc7	Blackburn	Blackburn	3	0	2013-06-26 08:28:43.60556+02	\N	\N	\N	\N	\N	\N	f	
11693	7c13de0f-f35e-4cd5-b794-6a9ce0a66ec5	Kosuge	Kosuge	3	0	2013-06-26 08:37:37.238262+02	\N	\N	\N	\N	\N	\N	f	
11694	8f5ac50c-fd2b-42aa-ad5c-223c34077edb	Yamakita	Yamakita	3	0	2013-06-26 08:39:32.351915+02	\N	\N	\N	\N	\N	\N	f	
11695	1a7ce6b2-d62e-4317-882a-fcf59461bdaa	Ōiso	Ōiso	3	0	2013-06-26 08:40:14.052336+02	\N	\N	\N	\N	\N	\N	f	
11696	786badb1-8e84-48a4-8150-95ecb3266577	Yugawara	Yugawara	3	0	2013-06-26 08:43:52.959374+02	\N	\N	\N	\N	\N	\N	f	
11697	07ec522a-3615-4a9e-a225-c69e6b75cf8c	Hakone	Hakone	3	0	2013-06-26 08:47:14.600873+02	\N	\N	\N	\N	\N	\N	f	
11698	8b5d1efc-eec8-4bc8-be01-0a55532ae7e6	Romny	Romny	3	0	2013-06-26 11:15:53.184233+02	\N	\N	\N	\N	\N	\N	f	
11763	a338d9e9-a272-4832-8785-ded33a39c94b	Hakata-ku	Hakata-ku	5	0	2013-08-27 14:47:14.312437+02	\N	\N	\N	\N	\N	\N	f	
11699	ddafb3f6-7d54-417b-9f29-19f97ef1fa2c	Arava	Arava	3	0	2013-06-26 11:28:47.888505+02	\N	\N	\N	\N	\N	\N	f	
11714	ed11ee60-97bd-4d75-96e0-1244534d0c8e	Minami-ku	Minami-ku	5	0	2013-08-27 14:45:01.634407+02	\N	\N	\N	\N	\N	\N	f	
11700	01c1fb01-d677-42a6-9154-c5042b859407	Salme	Salme	3	0	2013-06-26 11:36:21.750008+02	\N	\N	\N	\N	\N	\N	f	
11701	4d934ed6-c693-495d-914a-3e13d663c463	Novoanninsky	Novoanninsky	3	0	2013-06-26 11:46:03.102987+02	\N	\N	\N	\N	\N	\N	f	
11709	927095e2-93d3-4bae-a7ea-948c033a86e1	Asao-ku	Asao-ku	5	0	2013-08-27 14:46:29.238714+02	\N	\N	\N	\N	\N	\N	f	
14005	c36a497f-c899-49c0-97e6-ad2ad1b89e9f	Vobarno	Vobarno	4	0	2013-07-21 20:02:14.931265+02	\N	\N	\N	\N	\N	\N	f	
11762	0e9a8820-72d2-430e-bdce-377060529d06	Chikusa-ku	Chikusa-ku	5	0	2013-08-27 14:49:18.811393+02	\N	\N	\N	\N	\N	\N	f	
11740	6cdbfe4d-eb25-441f-b9ad-3ed25f41d3b9	Toyohira-ku	Toyohira-ku	5	0	2013-08-27 14:44:03.632494+02	\N	\N	\N	\N	\N	\N	f	
14546	089eee78-1030-4d39-84f8-4ee9ad7aa7dd	Canelli	Canelli	4	0	2013-07-21 22:02:52.615409+02	\N	\N	\N	\N	\N	\N	f	
11726	3c3806cd-78d2-49b1-a498-ee40dee65a56	Teine-ku	Teine-ku	5	0	2013-08-27 14:43:53.413652+02	\N	\N	\N	\N	\N	\N	f	
11747	3bc4925e-c4f2-4b68-b112-ccbaa353c7bc	Fushimi-ku	Fushimi-ku	5	0	2013-08-28 15:44:28.305136+02	\N	\N	\N	\N	\N	\N	f	
11722	56b10079-af5f-45a4-8349-531c04550ea5	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:43:52.412527+02	\N	\N	\N	\N	\N	\N	f	
11718	8283df81-760a-4ecd-bded-b0d0577f2f6e	Tarumi-ku	Tarumi-ku	5	0	2013-08-27 14:43:20.915938+02	\N	\N	\N	\N	\N	\N	f	
11708	a9e4407d-8ccd-4921-96c4-794ee0751ae7	Kokurakita-ku	Kokurakita-ku	5	0	2013-08-27 14:45:36.882567+02	\N	\N	\N	\N	\N	\N	f	
11756	60b5a0b4-54df-40f3-978f-f411eaac2954	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:48:54.937805+02	\N	\N	\N	\N	\N	\N	f	
11717	7aa305d8-3ae1-4e82-91af-176899b7ac64	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:48:00.625719+02	\N	\N	\N	\N	\N	\N	f	
11702	be43fff4-67c7-41f9-a10b-b27f7d73b569	Kita-ku	Kita-ku	5	0	2013-08-27 14:44:50.830225+02	\N	\N	\N	\N	\N	\N	f	
11713	092301b4-2ae0-4164-bbc5-cded7142d87a	Sawara-ku	Sawara-ku	5	0	2013-08-27 14:47:24.378355+02	\N	\N	\N	\N	\N	\N	f	
11716	8b8985e3-bc91-440a-9bb4-b05ff3109d16	Minami-ku	Minami-ku	5	0	2013-08-27 14:47:49.359733+02	\N	\N	\N	\N	\N	\N	f	
11707	0f02934b-a395-4da4-aa97-92106af5f679	Naka-ku	Naka-ku	5	0	2013-08-27 14:45:02.855267+02	\N	\N	\N	\N	\N	\N	f	
11757	ebadd8ac-f4c7-40a6-9af9-7cdb605112a7	Higashi-ku	Higashi-ku	5	0	2013-08-27 14:47:15.627436+02	\N	\N	\N	\N	\N	\N	f	
11758	45213e1a-6cb0-4502-977f-b270b78921fe	Kita-ku	Kita-ku	5	0	2013-08-27 14:49:17.191822+02	\N	\N	\N	\N	\N	\N	f	
11723	8bf5d555-f306-4817-821c-24afae77979c	Tempaku-ku	Tempaku-ku	5	0	2013-08-27 14:48:31.113206+02	\N	\N	\N	\N	\N	\N	f	
11712	b38a3ba5-d6b1-4598-9d3a-ab74521ab394	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:44:04.71026+02	\N	\N	\N	\N	\N	\N	f	
11710	cc773594-5d50-4044-a986-27b3ad1b0c3f	Mihara-ku	Mihara-ku	5	0	2013-08-27 14:45:05.390975+02	\N	\N	\N	\N	\N	\N	f	
11732	515efb8c-8bf5-4d28-9bd1-c9eb1a8fe64d	Shōwa-ku	Shōwa-ku	5	0	2013-08-27 14:49:28.01677+02	\N	\N	\N	\N	\N	\N	f	
11761	6ac2e064-9e1f-41c6-8f7f-342a5290a81a	Mizuho-ku	Mizuho-ku	5	0	2013-08-27 14:49:01.067458+02	\N	\N	\N	\N	\N	\N	f	
11772	1ca6002b-ec6b-41a7-a76d-4c2935bfc456	Kōhoku-ku	Kōhoku-ku	5	0	2013-08-28 15:46:32.970644+02	\N	\N	\N	\N	\N	\N	f	
11737	f9fce2e8-c56b-42c6-a00b-87301701da72	Minami-ku	Minami-ku	5	0	2013-08-27 14:43:56.378009+02	\N	\N	\N	\N	\N	\N	f	
11736	05237f45-1399-4a48-b863-a36f271c86bc	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:47:25.788991+02	\N	\N	\N	\N	\N	\N	f	
15065	9aa9fed3-1f10-43aa-8a2e-c8bb31b460d3	Rittana	Rittana	4	0	2013-07-21 23:43:31.712839+02	\N	\N	\N	\N	\N	\N	f	
11742	77d095c0-8ffb-458d-8dd9-9cf942533e6c	Minami-ku	Minami-ku	5	0	2013-08-27 14:47:18.95915+02	\N	\N	\N	\N	\N	\N	f	
11748	2ab36b2c-e1f1-4cea-81cc-5ad09bad9e6e	Tako	Tako	3	0	2013-06-26 13:22:42.810158+02	\N	\N	\N	\N	\N	\N	f	
11734	cf7321f4-18ff-4854-89bb-13f9929987aa	Midori-ku	Midori-ku	5	0	2013-08-27 14:48:04.416754+02	\N	\N	\N	\N	\N	\N	f	
11720	1edd6347-3fe2-4699-a4fc-2572b86f78d6	Sakai-ku	Sakai-ku	5	0	2013-08-27 14:45:05.664242+02	\N	\N	\N	\N	\N	\N	f	
11731	a5071b5e-926b-45b6-967e-7ed9270c8256	Nakagawa-ku	Nakagawa-ku	5	0	2013-08-27 14:48:57.464274+02	\N	\N	\N	\N	\N	\N	f	
11746	40ceafe4-bfed-417d-87f8-9d7180986d50	Hodogaya-ku	Hodogaya-ku	5	0	2013-08-28 15:46:51.782867+02	\N	\N	\N	\N	\N	\N	f	
11741	8857b3d0-19dc-450d-88cf-0fb4aa5d4cec	Kōzaki	Kōzaki	3	0	2013-06-26 13:20:56.784262+02	\N	\N	\N	\N	\N	\N	f	
11759	4d4af2f2-1cb4-450c-87aa-812a2d8c6cad	Minato-ku	Minato-ku	5	0	2013-08-27 14:49:03.485015+02	\N	\N	\N	\N	\N	\N	f	
11754	ac66f477-968b-4fd7-b6c5-c8cea22a53c6	Kyonan	Kyonan	3	0	2013-06-26 13:24:03.124436+02	\N	\N	\N	\N	\N	\N	f	
11760	e67e95a4-5d23-4d62-95b0-a0c5a3f2c7a8	Naka-ku	Naka-ku	5	0	2013-08-27 14:48:58.939703+02	\N	\N	\N	\N	\N	\N	f	
11749	9942ebb1-1dc7-43b9-a641-35a5da3af010	Yokoshibahikari	Yokoshibahikari	3	0	2013-06-26 13:22:54.786299+02	\N	\N	\N	\N	\N	\N	f	
11743	bc923005-30a8-4219-8a7c-e82fc4cf4293	Sakae	Sakae	3	0	2013-06-26 13:21:34.450868+02	\N	\N	\N	\N	\N	\N	f	
11744	14d21f28-f0b5-4a16-82f7-df6200af1120	Chōsei	Chōsei	3	0	2013-06-26 13:21:47.768165+02	\N	\N	\N	\N	\N	\N	f	
11750	81357e38-9435-4962-8c84-18751e28e8a5	Chōnan	Chōnan	3	0	2013-06-26 13:23:06.825077+02	\N	\N	\N	\N	\N	\N	f	
11745	ea682c5f-3c23-4702-aca6-77bb38e107e6	Kujūkuri	Kujūkuri	3	0	2013-06-26 13:22:01.291804+02	\N	\N	\N	\N	\N	\N	f	
11755	a3ef8546-e916-4983-91d1-37fbcaf9251a	Shibayama	Shibayama	3	0	2013-06-26 13:24:15.640987+02	\N	\N	\N	\N	\N	\N	f	
11751	651edf34-2f7c-4c27-8347-861f9569f700	Shirako	Shirako	3	0	2013-06-26 13:23:18.975921+02	\N	\N	\N	\N	\N	\N	f	
11752	7e694faf-542b-41a8-bcfc-484c0af8929a	Nagara	Nagara	3	0	2013-06-26 13:23:36.163287+02	\N	\N	\N	\N	\N	\N	f	
11753	8124b895-3cd2-480d-a9e2-c4498dc42ffa	Ichinomiya	Ichinomiya	3	0	2013-06-26 13:23:49.204218+02	\N	\N	\N	\N	\N	\N	f	
11728	204367f3-a7ba-44d1-9a8b-aee8090c5589	Moriyama-ku	Moriyama-ku	5	0	2013-08-27 14:49:04.50228+02	\N	\N	\N	\N	\N	\N	f	
11738	de339953-4fc7-4087-b02f-31f1cd389b85	Midori-ku	Midori-ku	5	0	2013-08-27 14:49:05.776134+02	\N	\N	\N	\N	\N	\N	f	
11765	5ce224c2-6e56-4add-b24e-f7283b6683ee	Ōtaki	Ōtaki	3	0	2013-06-26 13:26:57.903457+02	\N	\N	\N	\N	\N	\N	f	
11764	83bd32b7-abf7-44d7-a398-ed08a6bac89c	Tōnoshō	Tōnoshō	3	0	2013-06-26 13:26:38.757621+02	\N	\N	\N	\N	\N	\N	f	
11766	fcb98dd4-3af9-461a-8f4e-3268dc26b40b	Shiriuchi	Shiriuchi	3	0	2013-06-26 13:27:30.372515+02	\N	\N	\N	\N	\N	\N	f	
11767	71c5029c-f23c-4d6f-965f-f5655eb3a923	Mori	Mori	3	0	2013-06-26 13:27:44.950988+02	\N	\N	\N	\N	\N	\N	f	
11768	2fb6ad80-6f25-438a-a110-06ebb07f35d5	Kikonai	Kikonai	3	0	2013-06-26 13:27:57.332667+02	\N	\N	\N	\N	\N	\N	f	
11769	12a8b5da-b746-456b-9868-efc79d74c635	Fukushima	Fukushima	3	0	2013-06-26 13:28:12.106154+02	\N	\N	\N	\N	\N	\N	f	
11770	7988c9d1-8b96-4915-a94d-5002dbe9d400	Niki	Niki	3	0	2013-06-26 13:28:28.184041+02	\N	\N	\N	\N	\N	\N	f	
11771	53d0597c-1a2b-46a8-bc98-bbe455ff0a74	Nanae	Nanae	3	0	2013-06-26 13:28:42.212439+02	\N	\N	\N	\N	\N	\N	f	
19886	fcc14b6e-9f4e-4025-8479-850753ddb07a	Gorgoglione	Gorgoglione	4	0	2013-07-22 11:50:50.66888+02	\N	\N	\N	\N	\N	\N	f	
11773	be466f69-e5b2-4f1e-9653-e7b576ddd120	Matsumae	Matsumae	3	0	2013-06-26 13:29:19.383645+02	\N	\N	\N	\N	\N	\N	f	
11792	357364f4-cf74-4a43-b893-44a16d117d51	Yahatahigashi-ku	Yahatahigashi-ku	5	0	2013-08-27 14:45:42.641749+02	\N	\N	\N	\N	\N	\N	f	
15697	1e26aaf2-a621-4352-a9b1-464bacc79607	Gallicano nel Lazio	Gallicano nel Lazio	4	0	2013-07-22 01:42:34.636743+02	\N	\N	\N	\N	\N	\N	f	
14006	01ee1b33-f573-4102-a75a-77207dd691ed	Sirmione	Sirmione	4	0	2013-07-21 20:02:27.38397+02	\N	\N	\N	\N	\N	\N	f	
14025	a25740ae-6152-4371-98da-0ca689685802	Villa Carcina	Villa Carcina	4	0	2013-07-21 20:06:41.372665+02	\N	\N	\N	\N	\N	\N	f	
17479	984b1330-235f-4f8b-92d0-c806f673f636	Vallada Agordina	Vallada Agordina	4	0	2013-07-22 06:32:39.903107+02	\N	\N	\N	\N	\N	\N	f	
14548	7f85eb82-a4aa-4f4c-b4d8-b298ce37c3ea	Bruno	Bruno	4	0	2013-07-21 22:03:15.975959+02	\N	\N	\N	\N	\N	\N	f	
15701	13861e09-8795-4840-9c41-684a73c1d775	Fiano Romano	Fiano Romano	4	0	2013-07-22 01:43:33.25159+02	\N	\N	\N	\N	\N	\N	f	
15066	3675149b-7c91-4add-a508-5673df9c69cd	Racconigi	Racconigi	4	0	2013-07-21 23:43:38.097955+02	\N	\N	\N	\N	\N	\N	f	
16636	0c60b6f5-c6e0-4d0d-acbd-2598f1cbb793	Pieve di Bono	Pieve di Bono	4	0	2013-07-22 03:58:11.914966+02	\N	\N	\N	\N	\N	\N	f	
17195	094a7f6b-54c1-493e-90b2-749e6ebb36e4	Senis	Senis	4	0	2013-07-22 05:56:21.423766+02	\N	\N	\N	\N	\N	\N	f	
17516	fb63b7ea-8d1e-40c1-886c-d0c2e2dc0fa7	Porto Valtravaglia	Porto Valtravaglia	4	0	2013-07-22 06:37:06.051601+02	\N	\N	\N	\N	\N	\N	f	
17231	f537fb4e-39f4-4388-bf89-9f69d65b28ba	Mara, Sardinia	Mara, Sardinia	4	0	2013-07-22 06:01:25.315242+02	\N	\N	\N	\N	\N	\N	f	
17599	910c9fb8-268a-4383-8594-2518926102b3	Azzate	Azzate	4	0	2013-07-22 06:47:31.059143+02	\N	\N	\N	\N	\N	\N	f	
19887	b16701c3-f080-4e7e-842f-a59717f6267d	Valsinni	Valsinni	4	0	2013-07-22 11:50:59.799408+02	\N	\N	\N	\N	\N	\N	f	
17539	6209e3dd-bbf1-4752-9f81-22c4bae79e6c	Busnago	Busnago	4	0	2013-07-22 06:39:47.681361+02	\N	\N	\N	\N	\N	\N	f	
17694	5655e98b-9b9d-4618-9a6a-c8eb129c5f74	Somma Lombardo	Somma Lombardo	4	0	2013-07-22 06:59:19.124817+02	\N	\N	\N	\N	\N	\N	f	
17747	106f1149-821d-45b4-828e-54988c06cd30	Grosotto	Grosotto	4	0	2013-07-22 07:05:54.349656+02	\N	\N	\N	\N	\N	\N	f	
20839	956c94c6-ab22-4046-a31b-ecb470274e1f	Nissoria	Nissoria	4	0	2013-07-23 14:33:31.877609+02	\N	\N	\N	\N	\N	\N	f	
17753	41188e6e-4460-4a00-83d6-789b9e1b3af9	Pedavena	Pedavena	4	0	2013-07-22 07:06:34.223854+02	\N	\N	\N	\N	\N	\N	f	
25281	d24b097d-4bfe-4a29-9550-e96b391d69b0	Clermont	Clermont	3	0	2013-09-07 11:00:44.094212+02	\N	\N	\N	\N	\N	\N	f	
17779	c913f7a4-6192-4d68-9967-5b615572a0de	Tirano	Tirano	4	0	2013-07-22 07:09:26.088779+02	\N	\N	\N	\N	\N	\N	f	
18468	3a320ad9-82e0-4b9f-b950-085ea71383e6	San Giovanni Gemini	San Giovanni Gemini	4	0	2013-07-22 08:35:49.688358+02	\N	\N	\N	\N	\N	\N	f	
18550	082ecf31-83b7-403c-8915-078e3429da26	Valdastico	Valdastico	4	0	2013-07-22 08:44:56.500822+02	\N	\N	\N	\N	\N	\N	f	
19930	b55a7ba0-8f0f-4241-a9d6-078f9caaf480	Armento	Armento	4	0	2013-07-22 11:56:28.592686+02	\N	\N	\N	\N	\N	\N	f	
18594	b8045e13-d7c4-4452-a13f-88d2b9ece805	Revine Lago	Revine Lago	4	0	2013-07-22 08:50:16.045111+02	\N	\N	\N	\N	\N	\N	f	
18614	b66f6289-3798-406f-8dee-e424725187b0	Castelnuovo del Garda	Castelnuovo del Garda	4	0	2013-07-22 08:52:50.058048+02	\N	\N	\N	\N	\N	\N	f	
11834	5ebf0afd-c194-4b42-abd0-7a4b89b12572	Nishi-ku	Nishi-ku	5	0	2013-08-28 15:46:27.235026+02	\N	\N	\N	\N	\N	\N	f	
18695	1cba4f12-8239-4908-9f11-b80895cbca73	Concordia Sagittaria	Concordia Sagittaria	4	0	2013-07-22 09:02:47.335136+02	\N	\N	\N	\N	\N	\N	f	
19936	a310b3ad-6790-460e-8afd-ba29c33b81e5	Banzi	Banzi	4	0	2013-07-22 11:57:06.416631+02	\N	\N	\N	\N	\N	\N	f	
19440	c0908b86-175d-4d66-a26c-3d4a7d29e2b4	San Giovanni Lipioni	San Giovanni Lipioni	4	0	2013-07-22 10:35:15.434247+02	\N	\N	\N	\N	\N	\N	f	
19564	02996ff7-73a4-46e5-aaf6-32d7b9cc92e4	Cassano delle Murge	Cassano delle Murge	4	0	2013-07-22 10:52:23.496004+02	\N	\N	\N	\N	\N	\N	f	
20844	23ba6af3-de33-4b9b-98d3-4f7dd8ac2031	Grottammare	Grottammare	4	0	2013-07-23 14:34:44.916837+02	\N	\N	\N	\N	\N	\N	f	
19574	57db25a9-bf0a-4994-a81b-124fef50ff4a	Santeramo in Colle	Santeramo in Colle	4	0	2013-07-22 10:55:02.428474+02	\N	\N	\N	\N	\N	\N	f	
19964	bef95493-eaa3-443b-b008-6ca1924477ff	Gallicchio	Gallicchio	4	0	2013-07-22 12:00:45.330335+02	\N	\N	\N	\N	\N	\N	f	
10862	261962ea-d8c2-4eaf-a80c-f14376ffadb0	Manhattan	Manhattan	5	0	2013-08-28 15:49:03.230143+02	\N	\N	\N	\N	\N	\N	f	
19966	d4fac820-1d05-4ef8-b872-adcba42cab4d	San Paolo Albanese	San Paolo Albanese	4	0	2013-07-22 12:01:17.406169+02	\N	\N	\N	\N	\N	\N	f	
20034	6fd09cbc-ba2c-4809-bfd7-54ac7b745610	Russi	Russi	4	0	2013-07-22 12:10:43.118377+02	\N	\N	\N	\N	\N	\N	f	
20615	78c94ade-446c-44cc-9334-d33a479e6d23	Cairano	Cairano	4	0	2013-07-23 05:50:13.301827+02	\N	\N	\N	\N	\N	\N	f	
23302	ac1f5367-ad8e-4464-b973-ee707c63a16b	Lindon	Lindon	3	0	2013-08-24 14:45:06.343354+02	\N	\N	\N	\N	\N	\N	f	
20635	1be6aa1b-5d0e-4a60-be5a-6fdc1d6a3c80	San Costantino Calabro	San Costantino Calabro	4	0	2013-07-23 08:32:15.646963+02	\N	\N	\N	\N	\N	\N	f	
20640	57e614d0-62a9-497c-b96c-79812173d23a	Spadola	Spadola	4	0	2013-07-23 08:33:18.21706+02	\N	\N	\N	\N	\N	\N	f	
23930	0c5d4f22-d9e0-4282-80d6-be6d0e13627f	La Junta	La Junta	3	0	2013-09-06 23:18:43.445333+02	\N	\N	\N	\N	\N	\N	f	
20662	5a599e39-35fa-42f4-992d-ec4d2dbe3be1	Chiusano di San Domenico	Chiusano di San Domenico	4	0	2013-07-23 08:39:15.405696+02	\N	\N	\N	\N	\N	\N	f	
23319	c33811f8-f1bd-4963-b2e6-941340725892	Bear River City	Bear River City	3	0	2013-08-24 14:49:25.099926+02	\N	\N	\N	\N	\N	\N	f	
20695	5488c482-9dc7-4969-9f53-01091f13a89c	Vallata	Vallata	4	0	2013-07-23 08:46:12.094874+02	\N	\N	\N	\N	\N	\N	f	
20734	960dc060-b161-4787-a751-522d0505dc10	Bucciano	Bucciano	4	0	2013-07-23 11:32:12.04522+02	\N	\N	\N	\N	\N	\N	f	
23746	fdd29bd1-0326-449b-a848-b96e3b1f336d	Remscheid	Remscheid	3	0	2013-08-31 20:32:29.706723+02	\N	\N	\N	\N	\N	\N	f	
23508	3ceeb5fe-0c73-4434-9a95-27a365d9b87b	Ikaalinen	Ikaalinen	3	0	2013-08-26 02:42:03.494226+02	\N	\N	\N	\N	\N	\N	f	
23596	75e7b6b4-a600-4d92-a355-6214dd3bff00	Strážske	Strážske	3	0	2013-08-26 14:44:56.494816+02	\N	\N	\N	\N	\N	\N	f	
23809	9e3ee7b7-d495-477b-b191-7fd0ec80c764	Uffenheim	Uffenheim	3	0	2013-09-05 11:30:11.399741+02	\N	\N	\N	\N	\N	\N	f	
11774	fc405aa9-0e12-430c-ac27-459c39909d40	Higashinada-ku	Higashinada-ku	5	0	2013-08-27 14:43:19.637564+02	\N	\N	\N	\N	\N	\N	f	
24278	c1de5f14-b790-4447-bc32-f3b1dc0f5ca1	Williston	Williston	3	0	2013-09-07 05:35:51.040787+02	\N	\N	\N	\N	\N	\N	f	
11779	78bb91af-196d-44c2-bb60-0d6ee41b3c79	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:43:19.960472+02	\N	\N	\N	\N	\N	\N	f	
24030	b5bd3f2d-e62d-4f93-80e8-73d95342e5cd	Vienna	Vienna	3	0	2013-09-07 02:18:48.882538+02	\N	\N	\N	\N	\N	\N	f	
23830	77cda81e-2985-4522-8f5e-31131c8f1fe4	Altenburg, Missouri	Altenburg, Missouri	3	0	2013-09-06 20:29:06.54685+02	\N	\N	\N	\N	\N	\N	f	
23866	e24dec0d-78e1-411f-bfc0-eac247cdc9ab	Ozan	Ozan	3	0	2013-09-06 20:40:23.723628+02	\N	\N	\N	\N	\N	\N	f	
23871	ba9b0fae-0b8b-47aa-a94f-55fc2002c632	Bakerhill	Bakerhill	3	0	2013-09-06 20:41:36.705991+02	\N	\N	\N	\N	\N	\N	f	
24232	d6f3f294-175b-40b1-8619-5ec53a7aeafe	Waco, Georgia	Waco, Georgia	3	0	2013-09-07 05:24:27.943975+02	\N	\N	\N	\N	\N	\N	f	
24744	fc62d087-882c-43d8-853f-3f1d3d14acdb	Riceville, Iowa	Riceville, Iowa	3	0	2013-09-07 08:23:45.234694+02	\N	\N	\N	\N	\N	\N	f	
24275	accbd039-dd6b-4491-9efd-1e1376e9f45a	Pinellas Park	Pinellas Park	3	0	2013-09-07 05:35:10.253609+02	\N	\N	\N	\N	\N	\N	f	
25812	10f54c50-2b55-46a4-a114-9840bd96b453	Emmett, Kansas	Emmett, Kansas	3	0	2013-09-07 14:45:49.35363+02	\N	\N	\N	\N	\N	\N	f	
25264	d434498d-8c04-4441-b4ae-36fe299abcb4	Garrison	Garrison	3	0	2013-09-07 10:56:05.068217+02	\N	\N	\N	\N	\N	\N	f	
25291	0c775d02-cce5-449c-9b5c-cb1421a422f6	Brayton	Brayton	3	0	2013-09-07 11:03:25.609709+02	\N	\N	\N	\N	\N	\N	f	
25857	54cd5e26-1931-422f-9d56-23fe77dd5971	Chapman, Kansas	Chapman, Kansas	3	0	2013-09-07 14:57:36.800582+02	\N	\N	\N	\N	\N	\N	f	
25923	7aee9669-9005-40f5-91ba-e6d6a7dca54b	Kentwood	Kentwood	3	0	2013-09-07 17:20:28.260292+02	\N	\N	\N	\N	\N	\N	f	
26249	659c8ed0-4fbd-4cbb-b857-2fab8b52e15c	Jeffersonville	Jeffersonville	3	0	2013-09-07 20:56:08.287756+02	\N	\N	\N	\N	\N	\N	f	
26562	2cb8634e-7894-475a-9ef2-40481755f0d3	Wiota, Iowa	Wiota, Iowa	3	0	2013-09-08 01:08:57.878458+02	\N	\N	\N	\N	\N	\N	f	
26919	894c6f1e-ccd7-4208-887f-29a0083a8540	La Russell	La Russell	3	0	2013-09-08 04:00:50.12411+02	\N	\N	\N	\N	\N	\N	f	
27323	d9a67fb5-0473-4e57-b3f5-86634020db82	Broadview Heights	Broadview Heights	3	0	2013-09-08 07:27:50.701882+02	\N	\N	\N	\N	\N	\N	f	
27059	b1b7b7bd-033c-49f6-94b0-f43338522282	Morley	Morley	3	0	2013-09-08 04:36:35.976986+02	\N	\N	\N	\N	\N	\N	f	
27335	5f16d93c-34c8-4ac0-905e-4ae26a4ca5d4	Gilby, North Dakota	Gilby, North Dakota	3	0	2013-09-08 07:30:51.873398+02	\N	\N	\N	\N	\N	\N	f	
11775	93d80bbd-48f0-499a-8cd0-c74e86a40eb0	Nakashibetsu	Nakashibetsu	3	0	2013-06-26 13:32:50.775793+02	\N	\N	\N	\N	\N	\N	f	
24032	f9e7d1d3-1dc2-495e-8a33-a4d3d12070c0	Irwinton	Irwinton	3	0	2013-09-07 02:19:15.503981+02	\N	\N	\N	\N	\N	\N	f	
14007	1fb4201a-0c7e-47bc-b163-58b3637d9eb2	Urago d'Oglio	Urago d'Oglio	4	0	2013-07-21 20:02:40.160101+02	\N	\N	\N	\N	\N	\N	f	
11778	2b771b96-751a-4c8a-9aa0-49dd840a7bb5	Onjuku	Onjuku	3	0	2013-06-26 13:34:07.98852+02	\N	\N	\N	\N	\N	\N	f	
10861	a71b0d32-7752-49e9-8594-2247ad6ac12c	Brooklyn	Brooklyn	5	0	2013-08-28 15:48:59.560012+02	\N	\N	\N	\N	\N	\N	f	
14550	b86803e9-ebfb-4e7a-98ed-51804564fec2	Proceno	Proceno	4	0	2013-07-21 22:03:39.156377+02	\N	\N	\N	\N	\N	\N	f	
11789	6ce432ab-d5c8-4ad4-8b3b-c2bfd40f85c5	Shikabe	Shikabe	3	0	2013-06-26 13:36:57.143602+02	\N	\N	\N	\N	\N	\N	f	
15698	82a5ed2d-fa7e-4c13-935a-0cc3730a2ff5	Monterotondo	Monterotondo	4	0	2013-07-22 01:42:52.535861+02	\N	\N	\N	\N	\N	\N	f	
14587	7250809b-f32c-4181-95de-a28eaea90371	Mombercelli	Mombercelli	4	0	2013-07-21 22:11:28.324555+02	\N	\N	\N	\N	\N	\N	f	
14703	432d798e-9c12-479e-b02e-bfd91b26daba	Camburzano	Camburzano	4	0	2013-07-21 22:36:56.110029+02	\N	\N	\N	\N	\N	\N	f	
15067	3adfc331-a611-4f8b-8ed3-bcdd67e5a31d	Pradleves	Pradleves	4	0	2013-07-21 23:43:47.439233+02	\N	\N	\N	\N	\N	\N	f	
15939	bce3da6c-6891-4214-bc6e-72b4edf86f94	Salorno	Salorno	4	0	2013-07-22 02:33:05.668181+02	\N	\N	\N	\N	\N	\N	f	
15070	84600e47-7ede-4cb8-bd27-b4e0eda50797	Montemurlo	Montemurlo	4	0	2013-07-21 23:44:05.03854+02	\N	\N	\N	\N	\N	\N	f	
17482	81c0e65b-8ada-4111-b148-bf8b3f8d36e7	Teglio	Teglio	4	0	2013-07-22 06:32:54.705093+02	\N	\N	\N	\N	\N	\N	f	
15940	0fe0971c-48c0-4996-a397-ad32646c05e0	Campodenno	Campodenno	4	0	2013-07-22 02:33:08.300896+02	\N	\N	\N	\N	\N	\N	f	
16637	cf312d43-bc85-4204-b776-0343bbf5169c	Carbonera	Carbonera	4	0	2013-07-22 03:58:16.477843+02	\N	\N	\N	\N	\N	\N	f	
16812	5f946e40-72c5-45f3-86bc-c56149c9a694	Casalserugo	Casalserugo	4	0	2013-07-22 04:43:05.227505+02	\N	\N	\N	\N	\N	\N	f	
17550	f409b119-fad3-4e7d-9eaf-50bbda7012b9	Montecalvo Versiggia	Montecalvo Versiggia	4	0	2013-07-22 06:40:58.226281+02	\N	\N	\N	\N	\N	\N	f	
16864	d4cdedcd-dc06-49c9-96bf-890d47e0f307	Piacenza d'Adige	Piacenza d'Adige	4	0	2013-07-22 04:56:23.788047+02	\N	\N	\N	\N	\N	\N	f	
23515	ec15c74e-719e-48d9-8030-0b4501c69a93	Hlohovec	Hlohovec	3	0	2013-08-26 02:43:53.400484+02	\N	\N	\N	\N	\N	\N	f	
17196	f6eea708-238c-40fd-abf7-937df48d2395	Villa Sant'Antonio	Villa Sant'Antonio	4	0	2013-07-22 05:56:31.449781+02	\N	\N	\N	\N	\N	\N	f	
19500	46f9d816-2e2d-4946-9360-4958f7193c17	Basciano	Basciano	4	0	2013-07-22 10:42:41.531127+02	\N	\N	\N	\N	\N	\N	f	
23747	80ce9ad8-cc6d-4a8f-80d2-155a9f41bc22	Moers	Moers	3	0	2013-08-31 20:32:45.333452+02	\N	\N	\N	\N	\N	\N	f	
17582	f9f94393-2462-423a-8326-99f2b08fe353	Chiesa in Valmalenco	Chiesa in Valmalenco	4	0	2013-07-22 06:45:25.576412+02	\N	\N	\N	\N	\N	\N	f	
17644	821e94b6-d5c9-47ba-a503-8c7aff5b5b94	San Gregorio nelle Alpi	San Gregorio nelle Alpi	4	0	2013-07-22 06:52:58.134338+02	\N	\N	\N	\N	\N	\N	f	
17659	c54610f0-4ed9-4e23-91da-5fc4863f0e2d	Caspoggio	Caspoggio	4	0	2013-07-22 06:54:36.729728+02	\N	\N	\N	\N	\N	\N	f	
19511	6561a12a-eb6c-482c-ba83-d0fe49218c00	Silvi	Silvi	4	0	2013-07-22 10:44:10.99943+02	\N	\N	\N	\N	\N	\N	f	
17722	e328b6d1-8bdf-4df5-8105-998628429616	Curiglia con Monteviasco	Curiglia con Monteviasco	4	0	2013-07-22 07:02:43.443559+02	\N	\N	\N	\N	\N	\N	f	
17725	6f5a3832-dc72-402d-ae3f-090ba04026c6	Gazzada Schianno	Gazzada Schianno	4	0	2013-07-22 07:03:04.627323+02	\N	\N	\N	\N	\N	\N	f	
19888	7acecfa9-1e6a-4a0b-8926-9e48ba5985a3	Cirigliano	Cirigliano	4	0	2013-07-22 11:51:05.349947+02	\N	\N	\N	\N	\N	\N	f	
17732	0559d0d6-b605-4709-952c-330f6890b575	Robecco Pavese	Robecco Pavese	4	0	2013-07-22 07:03:47.06702+02	\N	\N	\N	\N	\N	\N	f	
19592	47f6372d-4b9d-475e-b473-2b783f4df08c	Francavilla Fontana	Francavilla Fontana	4	0	2013-07-22 10:58:56.242294+02	\N	\N	\N	\N	\N	\N	f	
17733	df9be6bf-09d6-4a92-b90c-da662b5b6b32	Valganna	Valganna	4	0	2013-07-22 07:03:56.890493+02	\N	\N	\N	\N	\N	\N	f	
17757	fa898789-9827-4246-b67c-f4f49f65e820	Besano	Besano	4	0	2013-07-22 07:06:58.797239+02	\N	\N	\N	\N	\N	\N	f	
17760	d6a12561-9105-4b7b-a19a-877d3c30ec6e	Val di Nizza	Val di Nizza	4	0	2013-07-22 07:07:12.920922+02	\N	\N	\N	\N	\N	\N	f	
19624	b54ae333-e484-4c8e-ad7b-177d533961b2	Fragagnano	Fragagnano	4	0	2013-07-22 11:06:28.973045+02	\N	\N	\N	\N	\N	\N	f	
18469	c887e01d-3739-452e-a343-ca8847f0c534	Preganziol	Preganziol	4	0	2013-07-22 08:35:49.925945+02	\N	\N	\N	\N	\N	\N	f	
18555	05349438-f79e-48af-9912-59cb99b43323	Quinto Vicentino	Quinto Vicentino	4	0	2013-07-22 08:45:35.229892+02	\N	\N	\N	\N	\N	\N	f	
19904	b42b26a7-7696-4d87-a0e0-60f4f542aed8	Pomarico	Pomarico	4	0	2013-07-22 11:53:17.268277+02	\N	\N	\N	\N	\N	\N	f	
18578	58759cf2-8617-499c-bdd9-7c6cbf544e9a	Orsago	Orsago	4	0	2013-07-22 08:48:18.437818+02	\N	\N	\N	\N	\N	\N	f	
19441	f8453c98-a986-4d76-aa7b-0f70016ff44b	Perano	Perano	4	0	2013-07-22 10:35:20.970195+02	\N	\N	\N	\N	\N	\N	f	
20863	bd12f48c-4998-4d89-942a-f6f624544058	Venarotta	Venarotta	4	0	2013-07-23 14:39:09.254078+02	\N	\N	\N	\N	\N	\N	f	
19965	d7430e6c-5e6b-41fa-b046-0cc1b0eb643b	Montemilone	Montemilone	4	0	2013-07-22 12:01:01.767445+02	\N	\N	\N	\N	\N	\N	f	
11780	f943b595-798c-4b44-a168-1400dfd5507f	Kita-ku	Kita-ku	5	0	2013-08-27 14:42:32.668264+02	\N	\N	\N	\N	\N	\N	f	
20616	192f84ac-cdee-4edf-8aaa-66062ecf5f6d	Bisaccia	Bisaccia	4	0	2013-07-23 05:50:25.092529+02	\N	\N	\N	\N	\N	\N	f	
20636	6d344ab2-34a2-4b21-a867-447027aa6423	Simbario	Simbario	4	0	2013-07-23 08:32:27.789444+02	\N	\N	\N	\N	\N	\N	f	
20646	ee314e5c-6cba-4f52-9a69-05df89390dc9	Montella	Montella	4	0	2013-07-23 08:34:47.618838+02	\N	\N	\N	\N	\N	\N	f	
23303	e48b9f24-1eec-4b90-aea8-ff60bbfa253c	Bluffdale	Bluffdale	3	0	2013-08-24 14:45:24.285023+02	\N	\N	\N	\N	\N	\N	f	
20721	9b8fbb84-74e8-496e-9c94-a90b311c5d04	Pago del Vallo di Lauro	Pago del Vallo di Lauro	4	0	2013-07-23 08:51:30.962712+02	\N	\N	\N	\N	\N	\N	f	
20735	3042a153-3735-4e7a-873c-cc543ff294b8	Arpaia	Arpaia	4	0	2013-07-23 11:32:24.035667+02	\N	\N	\N	\N	\N	\N	f	
23831	07ae79a2-78b4-4019-b3f9-2f908a08dd32	San Marcos	San Marcos	3	0	2013-09-06 20:29:46.487168+02	\N	\N	\N	\N	\N	\N	f	
20841	525a4e78-ebdb-4ef9-a1db-bfa835030d39	Nicosia	Nicosia	4	0	2013-07-23 14:33:55.529361+02	\N	\N	\N	\N	\N	\N	f	
11786	fd652c2f-12b3-4d49-9620-e26695d7b4ad	Kōnan-ku	Kōnan-ku	5	0	2013-08-27 14:42:34.322498+02	\N	\N	\N	\N	\N	\N	f	
23509	5c0d0fba-73dc-4f10-8976-faa82cd371c0	Veľký Meder	Veľký Meder	3	0	2013-08-26 02:42:16.433419+02	\N	\N	\N	\N	\N	\N	f	
23597	6d9b7e62-9c86-443c-85d7-4593a6071d9b	Trstená	Trstená	3	0	2013-08-26 14:45:10.345345+02	\N	\N	\N	\N	\N	\N	f	
24233	88ff77c0-0d70-415d-aa58-8720bf814432	Brazil, Indiana	Brazil, Indiana	3	0	2013-09-07 05:24:45.155742+02	\N	\N	\N	\N	\N	\N	f	
23931	e51058dc-725c-49e1-83e9-f1ba1d571497	Shahr-e Jadid-e Hashtgerd	Shahr-e Jadid-e Hashtgerd	3	0	2013-09-06 23:19:07.856768+02	\N	\N	\N	\N	\N	\N	f	
11785	13a883e7-d51e-4a94-9807-c4049acaba28	Nishikan-ku	Nishikan-ku	5	0	2013-08-27 14:42:31.204274+02	\N	\N	\N	\N	\N	\N	f	
11777	9c969124-6978-4021-b57f-e3898857d358	Higashi-ku	Higashi-ku	5	0	2013-08-27 14:49:19.794702+02	\N	\N	\N	\N	\N	\N	f	
25297	24824dbf-0fbe-4fbe-923f-f4d2be3736e8	Danbury	Danbury	3	0	2013-09-07 11:05:02.495995+02	\N	\N	\N	\N	\N	\N	f	
24750	13ea468d-4fe6-4f54-a680-f4ce22f70c8e	Lowden, Iowa	Lowden, Iowa	3	0	2013-09-07 08:25:14.888501+02	\N	\N	\N	\N	\N	\N	f	
11776	4c469347-0277-4674-9d53-54d1282d4952	Ukyō-ku	Ukyō-ku	5	0	2013-08-28 15:44:19.085411+02	\N	\N	\N	\N	\N	\N	f	
25266	30de857b-afa1-4a31-ae39-3e2c6ff559b7	Coulter	Coulter	3	0	2013-09-07 10:56:42.10633+02	\N	\N	\N	\N	\N	\N	f	
24760	bdbc4b0c-1ed2-4be9-9a61-8a7a08de60fb	Arispe, Iowa	Arispe, Iowa	3	0	2013-09-07 08:27:57.290242+02	\N	\N	\N	\N	\N	\N	f	
24769	4d0c1036-0066-4fc3-85fe-e8fd4f620bdd	Dow City, Iowa	Dow City, Iowa	3	0	2013-09-07 08:30:11.438756+02	\N	\N	\N	\N	\N	\N	f	
25813	5834d422-887a-4a69-830e-e926b332c97f	Manchester	Manchester	3	0	2013-09-07 14:46:10.438478+02	\N	\N	\N	\N	\N	\N	f	
25819	acd5b167-0d81-48b7-9c95-cec773a608f7	River Bluff, Kentucky	River Bluff, Kentucky	3	0	2013-09-07 14:47:57.651989+02	\N	\N	\N	\N	\N	\N	f	
25913	ec663dbc-6299-46f7-8d4b-8c1379d8fb47	White Cloud, Kansas	White Cloud, Kansas	3	0	2013-09-07 15:11:56.118584+02	\N	\N	\N	\N	\N	\N	f	
25924	0094701e-646a-44de-af86-2d747536a3ec	Ferndale	Ferndale	3	0	2013-09-07 17:20:50.633998+02	\N	\N	\N	\N	\N	\N	f	
26251	1de1871f-5b0a-4b4d-8d21-1a0e46c7528e	Crossgate, Kentucky	Crossgate, Kentucky	3	0	2013-09-07 20:56:37.63721+02	\N	\N	\N	\N	\N	\N	f	
26563	344c7cc1-5501-4339-8fde-6063be8acb7a	Ingalls, Kansas	Ingalls, Kansas	3	0	2013-09-08 01:09:15.092246+02	\N	\N	\N	\N	\N	\N	f	
26920	dfeba009-bccd-40a7-a2b5-ce9083d46d20	Lake Annette	Lake Annette	3	0	2013-09-08 04:01:11.149461+02	\N	\N	\N	\N	\N	\N	f	
14008	d63bd475-b26a-47b7-a69f-ad0f02c68426	Tavernole sul Mella	Tavernole sul Mella	4	0	2013-07-21 20:02:52.8274+02	\N	\N	\N	\N	\N	\N	f	
14151	5e273a8d-59b1-4ae7-99b7-f26ff6a49483	Filottrano	Filottrano	4	0	2013-07-21 20:34:37.927581+02	\N	\N	\N	\N	\N	\N	f	
15699	35a2756c-bc84-4ff0-962c-cde7d4fd62d7	Marino, Lazio	Marino, Lazio	4	0	2013-07-22 01:43:06.479237+02	\N	\N	\N	\N	\N	\N	f	
14557	da415e03-19e8-4c37-ad6c-083e70815e8e	Sutri	Sutri	4	0	2013-07-21 22:05:05.083432+02	\N	\N	\N	\N	\N	\N	f	
14606	9592c6f6-7cdd-4cef-bb69-07ce40286bcf	Monastero Bormida	Monastero Bormida	4	0	2013-07-21 22:15:49.739316+02	\N	\N	\N	\N	\N	\N	f	
14625	9cc31eb2-70d0-44d2-b08c-abf1805b0a35	Portacomaro	Portacomaro	4	0	2013-07-21 22:20:00.858519+02	\N	\N	\N	\N	\N	\N	f	
15802	eb82e801-dc68-4a3c-a5de-7f613a187f3c	Civenna	Civenna	4	0	2013-07-22 02:06:06.641281+02	\N	\N	\N	\N	\N	\N	f	
14726	cb0ad0ec-ae85-47fa-a982-74e18b5cbbcf	Sandigliano	Sandigliano	4	0	2013-07-21 22:42:31.750483+02	\N	\N	\N	\N	\N	\N	f	
14736	9417c57c-5f0d-446b-a9ac-3753deef91a0	Strona	Strona	4	0	2013-07-21 22:44:37.469219+02	\N	\N	\N	\N	\N	\N	f	
17483	7e074c90-46ed-45a1-ae4d-50e992ca3db2	Cigognola	Cigognola	4	0	2013-07-22 06:33:06.128551+02	\N	\N	\N	\N	\N	\N	f	
23832	5708cbdb-cb6d-474a-bfc7-eaa0188969f8	Appleton City, Missouri	Appleton City, Missouri	3	0	2013-09-06 20:30:07.394458+02	\N	\N	\N	\N	\N	\N	f	
16638	8584a93e-7484-4c8b-93e0-6d35fb9da1f8	Siniscola	Siniscola	4	0	2013-07-22 03:58:31.449337+02	\N	\N	\N	\N	\N	\N	f	
15233	84abe4d4-b87c-43c6-b3f5-36f93958a4e1	Poggiodomo	Poggiodomo	4	0	2013-07-22 00:03:53.078045+02	\N	\N	\N	\N	\N	\N	f	
15304	422c3e3b-8d33-4fa0-90a4-e9cb78309ff8	Lunano	Lunano	4	0	2013-07-22 00:15:29.837819+02	\N	\N	\N	\N	\N	\N	f	
15310	8cf5cc59-909b-4981-a54b-c7eaaa43bbff	Monte Porzio	Monte Porzio	4	0	2013-07-22 00:16:59.262469+02	\N	\N	\N	\N	\N	\N	f	
16723	ee8995b7-2888-42e0-935a-0eeb75cc8e1a	Tesero	Tesero	4	0	2013-07-22 04:20:00.46004+02	\N	\N	\N	\N	\N	\N	f	
15341	54851b65-0e47-48a8-80c8-c270444af82e	Roseto degli Abruzzi	Roseto degli Abruzzi	4	0	2013-07-22 00:23:44.749518+02	\N	\N	\N	\N	\N	\N	f	
15389	20e711e1-5a7d-40dc-8bb7-9f78dc8ae920	Cameri	Cameri	4	0	2013-07-22 00:34:27.326539+02	\N	\N	\N	\N	\N	\N	f	
16769	2f98ecf8-ad74-41a2-a6a7-e03b03604932	Villagrande Strisaili	Villagrande Strisaili	4	0	2013-07-22 04:32:35.286367+02	\N	\N	\N	\N	\N	\N	f	
17485	8a5b6e6d-1370-496c-a3e6-05d2d9914d5c	Vigo di Cadore	Vigo di Cadore	4	0	2013-07-22 06:33:21.619869+02	\N	\N	\N	\N	\N	\N	f	
17197	58fe0751-0814-4eec-90eb-6abfe4415265	Santa Giusta	Santa Giusta	4	0	2013-07-22 05:56:37.354877+02	\N	\N	\N	\N	\N	\N	f	
19890	2147e437-b20f-4d17-8ab8-07bf6f8e920e	Miglionico	Miglionico	4	0	2013-07-22 11:51:19.937998+02	\N	\N	\N	\N	\N	\N	f	
17501	9af86e2c-5239-4f1a-b7bd-66ad106e46de	Chiuro	Chiuro	4	0	2013-07-22 06:35:26.648626+02	\N	\N	\N	\N	\N	\N	f	
23305	031fff4a-3f9e-40fb-a701-9b03779e879d	Farmington	Farmington	3	0	2013-08-24 14:46:03.657792+02	\N	\N	\N	\N	\N	\N	f	
17546	7ad29b95-3b7b-4a86-a219-4374f0f83439	Brugherio	Brugherio	4	0	2013-07-22 06:40:29.584743+02	\N	\N	\N	\N	\N	\N	f	
19939	678320ba-fc6d-4b06-9c71-a6f63ef06423	Castelsaraceno	Castelsaraceno	4	0	2013-07-22 11:57:19.78707+02	\N	\N	\N	\N	\N	\N	f	
17558	6b176e63-5af1-4e7f-91f0-189b8247400e	Albuzzano	Albuzzano	4	0	2013-07-22 06:42:07.895413+02	\N	\N	\N	\N	\N	\N	f	
17583	d0d274ef-00dd-4d50-94ed-a36d9378b4dc	Pino sulla Sponda del Lago Maggiore	Pino sulla Sponda del Lago Maggiore	4	0	2013-07-22 06:45:32.989217+02	\N	\N	\N	\N	\N	\N	f	
20842	b3139d7f-69ef-474e-89f1-5c635aa23c16	Montemonaco	Montemonaco	4	0	2013-07-23 14:34:07.284194+02	\N	\N	\N	\N	\N	\N	f	
18470	1b2ce1b0-179f-4538-9afa-2c2393b0fe06	Montegalda	Montegalda	4	0	2013-07-22 08:35:58.83678+02	\N	\N	\N	\N	\N	\N	f	
18507	1700e9c7-1261-4551-9f93-05b142a530cb	Welschnofen	Welschnofen	4	0	2013-07-22 08:39:50.113839+02	\N	\N	\N	\N	\N	\N	f	
18545	c7206de3-0b02-4296-83df-1ee02bf043e9	Grancona	Grancona	4	0	2013-07-22 08:44:28.704311+02	\N	\N	\N	\N	\N	\N	f	
20849	d50bef0e-499b-4010-8c39-f181d05082e1	Monteprandone	Monteprandone	4	0	2013-07-23 14:36:12.045522+02	\N	\N	\N	\N	\N	\N	f	
18548	827608ac-6e8c-41a9-8166-41fdd1e0ca44	Chiampo	Chiampo	4	0	2013-07-22 08:44:44.421051+02	\N	\N	\N	\N	\N	\N	f	
19448	196336e5-02b8-42f8-9618-9f3ced405a45	San Vito Chietino	San Vito Chietino	4	0	2013-07-22 10:36:20.769685+02	\N	\N	\N	\N	\N	\N	f	
19507	513d8f44-80b6-42ab-b1ba-4bb074822896	Pietracamela	Pietracamela	4	0	2013-07-22 10:43:41.106436+02	\N	\N	\N	\N	\N	\N	f	
20088	c41f494b-3c36-4737-8453-36e4b8c0e7c7	Casarsa della Delizia	Casarsa della Delizia	4	0	2013-07-22 15:01:31.273498+02	\N	\N	\N	\N	\N	\N	f	
19509	9f177587-071f-4a02-beb7-640d814c51da	Torano Nuovo	Torano Nuovo	4	0	2013-07-22 10:43:57.547683+02	\N	\N	\N	\N	\N	\N	f	
23511	5f003cb2-51e8-480a-b063-110cd76550c9	Kemijärvi	Kemijärvi	3	0	2013-08-26 02:42:50.759361+02	\N	\N	\N	\N	\N	\N	f	
20855	eee015f4-8d28-491e-8850-603de9c36868	Troina	Troina	4	0	2013-07-23 14:37:31.710067+02	\N	\N	\N	\N	\N	\N	f	
20617	84f26afe-00dc-4e0b-a775-5e4627e64bbd	Capriglia Irpina	Capriglia Irpina	4	0	2013-07-23 05:50:36.851242+02	\N	\N	\N	\N	\N	\N	f	
20637	526fcb3b-b05b-4a82-bacc-22e87e9bf3a8	Aquilonia	Aquilonia	4	0	2013-07-23 08:32:39.858976+02	\N	\N	\N	\N	\N	\N	f	
20737	bc711ee9-e0e6-45ea-972a-26c87fa30a07	Cusano Mutri	Cusano Mutri	4	0	2013-07-23 11:32:48.01394+02	\N	\N	\N	\N	\N	\N	f	
20868	e8aa395b-cf16-4e36-bb9f-8f5d95fb14d6	Cancello e Arnone	Cancello e Arnone	4	0	2013-07-23 14:40:44.374806+02	\N	\N	\N	\N	\N	\N	f	
20783	7c9dae67-27b3-4493-8a97-b3536dd08fd5	San Lupo	San Lupo	4	0	2013-07-23 11:43:25.302114+02	\N	\N	\N	\N	\N	\N	f	
20802	7c2b228a-1096-409b-8b65-766dabe13172	Reino	Reino	4	0	2013-07-23 11:47:13.120393+02	\N	\N	\N	\N	\N	\N	f	
24234	434587be-def2-4284-9e4a-a439fb4f5b92	Warner Robins	Warner Robins	3	0	2013-09-07 05:25:02.086751+02	\N	\N	\N	\N	\N	\N	f	
20822	4f0cc470-d8cd-4179-ad54-d6c3f7cceed7	Sanguinetto	Sanguinetto	4	0	2013-07-23 11:52:28.851691+02	\N	\N	\N	\N	\N	\N	f	
23598	2c5a8b3d-e081-4493-840a-ef43f7ff8957	Rajec	Rajec	3	0	2013-08-26 14:45:38.317912+02	\N	\N	\N	\N	\N	\N	f	
20883	d846073f-4f3d-443a-9c43-fc9fc1c00e60	Calvi Risorta	Calvi Risorta	4	0	2013-07-23 14:43:42.305314+02	\N	\N	\N	\N	\N	\N	f	
23852	f2433bbc-e12d-4420-8044-9b9c639373a8	Bono	Bono	3	0	2013-09-06 20:36:59.167147+02	\N	\N	\N	\N	\N	\N	f	
20919	0b4172be-edcd-4259-a2a5-c67c48466827	Cesa	Cesa	4	0	2013-07-23 14:52:16.167612+02	\N	\N	\N	\N	\N	\N	f	
11781	56ff088a-2883-4a3e-93ea-667b61d83fb3	Minami-ku	Minami-ku	5	0	2013-08-27 14:42:36.418487+02	\N	\N	\N	\N	\N	\N	f	
10863	eb4a386e-1178-4e3a-a371-30418dd6fd2e	The Bronx	Bronx, The	5	0	2013-08-28 15:49:01.923893+02	\N	\N	\N	\N	\N	\N	f	
23748	c1bd5de7-c55c-4cd6-800a-e59cca42604b	Bottrop	Bottrop	3	0	2013-08-31 20:33:03.715823+02	\N	\N	\N	\N	\N	\N	f	
25324	943117d5-2c96-4103-b366-87e7bae6c70c	Hickman	Hickman	3	0	2013-09-07 11:19:18.41058+02	\N	\N	\N	\N	\N	\N	f	
23932	267fe43d-4679-4b78-bb41-32ede05a8a76	Fruita	Fruita	3	0	2013-09-06 23:19:42.97013+02	\N	\N	\N	\N	\N	\N	f	
24752	4c9d9c79-480b-4a37-9a29-0d841a074036	Lisbon, Iowa	Lisbon, Iowa	3	0	2013-09-07 08:25:44.123124+02	\N	\N	\N	\N	\N	\N	f	
24033	e31b3165-6efc-45b3-b823-d54162f78d59	Alamo	Alamo	3	0	2013-09-07 02:19:28.748718+02	\N	\N	\N	\N	\N	\N	f	
24836	84c1c81d-2713-49f9-9179-db0578d34d99	Waukee	Waukee	3	0	2013-09-07 08:47:46.152359+02	\N	\N	\N	\N	\N	\N	f	
24830	33aefa09-17be-4548-9a12-3e50b73f788f	Chatsworth, Iowa	Chatsworth, Iowa	3	0	2013-09-07 08:46:19.537395+02	\N	\N	\N	\N	\N	\N	f	
25275	04f8f94d-0529-403e-9101-e11d33f72f3d	Clare	Clare	3	0	2013-09-07 10:59:06.765586+02	\N	\N	\N	\N	\N	\N	f	
24850	4203abd6-278d-4fe1-9ffc-7cfe90d7057f	Hartford	Hartford	3	0	2013-09-07 08:51:15.475498+02	\N	\N	\N	\N	\N	\N	f	
25373	44b878d5-cf48-4571-b6a2-874bf86071a6	Burdett, Kansas	Burdett, Kansas	3	0	2013-09-07 11:35:11.36955+02	\N	\N	\N	\N	\N	\N	f	
25383	933e738d-f2bc-43a0-b06e-f69b32f1ca21	Paxico, Kansas	Paxico, Kansas	3	0	2013-09-07 11:37:25.325875+02	\N	\N	\N	\N	\N	\N	f	
25814	1cb3c5ce-43ba-4712-8cf5-6a8fb06ca6f9	Robinson, Kansas	Robinson, Kansas	3	0	2013-09-07 14:46:34.702463+02	\N	\N	\N	\N	\N	\N	f	
25818	41557cad-8792-4047-8c95-570ebe42c895	Cawker City, Kansas	Cawker City, Kansas	3	0	2013-09-07 14:47:40.53219+02	\N	\N	\N	\N	\N	\N	f	
25864	363a5e7a-9b5b-49b6-bd48-a49bca8d8a20	Bellefonte, Kentucky	Bellefonte, Kentucky	3	0	2013-09-07 14:59:23.207713+02	\N	\N	\N	\N	\N	\N	f	
25925	e3b4b240-ded0-4110-8941-9e8be0bf5e00	Gautier	Gautier	3	0	2013-09-07 17:21:52.04452+02	\N	\N	\N	\N	\N	\N	f	
26252	0db7b2f2-2d2f-469e-ad76-896684a47be8	Oakland	Oakland	3	0	2013-09-07 20:56:52.324638+02	\N	\N	\N	\N	\N	\N	f	
25286	f20e4141-6e0c-415f-bf3a-4debe0f7389c	Dallas Center	Dallas Center	3	0	2013-09-07 11:02:05.177272+02	\N	\N	\N	\N	\N	\N	f	
14009	dab2dd42-d5d0-4896-a64f-8f802c3d6943	Verucchio	Verucchio	4	0	2013-07-21 20:03:05.207528+02	\N	\N	\N	\N	\N	\N	f	
14032	5eb7ecae-7d29-4cdf-8b08-3d48662550ec	Atina, Lazio	Atina, Lazio	4	0	2013-07-21 20:08:54.433084+02	\N	\N	\N	\N	\N	\N	f	
15703	b35855d5-5b8c-4c40-ac6c-a3d58ff4a4e0	Pisoniano	Pisoniano	4	0	2013-07-22 01:44:10.777011+02	\N	\N	\N	\N	\N	\N	f	
14558	20844b52-2b8c-43f4-a3b8-002aea5b9add	Ronciglione	Ronciglione	4	0	2013-07-21 22:05:17.135761+02	\N	\N	\N	\N	\N	\N	f	
15073	a5b44e4a-d57e-4271-96b7-848f9759f139	Rifreddo	Rifreddo	4	0	2013-07-21 23:44:27.530174+02	\N	\N	\N	\N	\N	\N	f	
15716	39db50a6-6c35-46f0-9794-162225c379fc	Moricone	Moricone	4	0	2013-07-22 01:47:08.725255+02	\N	\N	\N	\N	\N	\N	f	
23933	97cf3912-a6fb-4c31-9ec4-e99d6ce431bb	Cherry Hills Village	Cherry Hills Village	3	0	2013-09-06 23:20:07.340922+02	\N	\N	\N	\N	\N	\N	f	
15732	f34fc41c-7c34-4b96-b0de-86a7e1aac159	Sacrofano	Sacrofano	4	0	2013-07-22 01:50:37.92434+02	\N	\N	\N	\N	\N	\N	f	
16718	f64810c8-ae4b-45ac-8dbb-7af75e778c8b	Tione di Trento	Tione di Trento	4	0	2013-07-22 04:18:30.029886+02	\N	\N	\N	\N	\N	\N	f	
18472	e8743abc-e99c-4184-b6a7-37bf212e1803	Gambugliano	Gambugliano	4	0	2013-07-22 08:36:04.143273+02	\N	\N	\N	\N	\N	\N	f	
16720	72a66ed0-e279-4a44-8dd2-6583fa2f21f9	Tenna, Trentino	Tenna, Trentino	4	0	2013-07-22 04:19:08.300212+02	\N	\N	\N	\N	\N	\N	f	
16745	df3d20da-3d95-4495-bac8-28e5d9c02acb	Vigo Rendena	Vigo Rendena	4	0	2013-07-22 04:25:48.961492+02	\N	\N	\N	\N	\N	\N	f	
19893	aadb12ba-0258-46ef-a87d-0b7da71ab4cd	Abriola	Abriola	4	0	2013-07-22 11:51:51.428859+02	\N	\N	\N	\N	\N	\N	f	
16766	1487af35-49b0-4dde-9cf3-83cdd557319c	Perdasdefogu	Perdasdefogu	4	0	2013-07-22 04:31:45.213714+02	\N	\N	\N	\N	\N	\N	f	
18487	dc110da8-5334-49be-ad33-825b688dc96f	Porto Empedocle	Porto Empedocle	4	0	2013-07-22 08:37:42.512456+02	\N	\N	\N	\N	\N	\N	f	
16863	1de83174-65d5-4418-a34e-e6c3cb873d91	Vò	Vò	4	0	2013-07-22 04:56:08.967989+02	\N	\N	\N	\N	\N	\N	f	
17198	1381f079-0e66-4460-819c-8d9ecab30c5c	Terralba	Terralba	4	0	2013-07-22 05:56:45.969379+02	\N	\N	\N	\N	\N	\N	f	
17246	9c3f642c-8497-4ed5-a0e2-7a8123453f54	Montesegale	Montesegale	4	0	2013-07-22 06:03:11.051733+02	\N	\N	\N	\N	\N	\N	f	
18491	1d093026-3ab4-439c-bfbe-5bf02b5e6b92	Lucca Sicula	Lucca Sicula	4	0	2013-07-22 08:38:09.950325+02	\N	\N	\N	\N	\N	\N	f	
18499	1fa0b895-853c-4a6a-9233-4e7abca5bd23	Ribera	Ribera	4	0	2013-07-22 08:39:01.471326+02	\N	\N	\N	\N	\N	\N	f	
20620	6146c737-e00a-4a6f-af68-aefd0d83dbbf	Aiello del Sabato	Aiello del Sabato	4	0	2013-07-23 05:51:12.490975+02	\N	\N	\N	\N	\N	\N	f	
18531	8368e1cf-8be1-40ba-bf77-0203160a587d	Velo d'Astico	Velo d'Astico	4	0	2013-07-22 08:42:51.974312+02	\N	\N	\N	\N	\N	\N	f	
18532	1b6612ef-b069-48d6-9aca-60a71fab23ea	Portobuffolè	Portobuffolè	4	0	2013-07-22 08:43:03.678374+02	\N	\N	\N	\N	\N	\N	f	
23307	7dc6a2ab-9fca-4174-bd11-9b1d54cd47f6	South Salt Lake	South Salt Lake	3	0	2013-08-24 14:46:40.380021+02	\N	\N	\N	\N	\N	\N	f	
18540	d39b8990-8ef5-4295-bdb1-2509da443da1	Fara Vicentino	Fara Vicentino	4	0	2013-07-22 08:43:53.435627+02	\N	\N	\N	\N	\N	\N	f	
20638	58624f42-61ec-41c8-a11c-2c43eedc484a	San Nicola da Crissa	San Nicola da Crissa	4	0	2013-07-23 08:32:54.080361+02	\N	\N	\N	\N	\N	\N	f	
19450	a682b356-fbdf-4b66-a658-657a90546d83	Tufillo	Tufillo	4	0	2013-07-22 10:36:34.551897+02	\N	\N	\N	\N	\N	\N	f	
19454	52394faf-904a-4a45-bae7-59acd4ebc030	Carpineto della Nora	Carpineto della Nora	4	0	2013-07-22 10:37:15.961267+02	\N	\N	\N	\N	\N	\N	f	
19466	3a0b67af-b38b-48e4-8865-190d1eac87b6	Torre de' Passeri	Torre de' Passeri	4	0	2013-07-22 10:38:30.553086+02	\N	\N	\N	\N	\N	\N	f	
20643	1c7fb8c9-149a-4ebe-b9e7-39aa988c5a14	Lapio	Lapio	4	0	2013-07-23 08:34:11.893922+02	\N	\N	\N	\N	\N	\N	f	
19501	a1d66352-56ad-4044-b89c-267afc8bb1af	Montefino	Montefino	4	0	2013-07-22 10:42:48.794861+02	\N	\N	\N	\N	\N	\N	f	
19512	81e53843-4f61-40ff-afa5-5d0738d438d3	Campli	Campli	4	0	2013-07-22 10:44:14.036076+02	\N	\N	\N	\N	\N	\N	f	
24023	10707591-7aa1-46b8-b073-0353a1411e09	Tiburon	Tiburon	3	0	2013-09-06 23:56:46.332473+02	\N	\N	\N	\N	\N	\N	f	
20655	d5a08ed5-44f5-4e70-826c-b21190cb186c	Montemarano	Montemarano	4	0	2013-07-23 08:37:47.235014+02	\N	\N	\N	\N	\N	\N	f	
23330	bd5ada39-caa0-4850-b82f-de3072f12937	Saratoga Springs	Saratoga Springs	3	0	2013-08-24 14:52:08.423634+02	\N	\N	\N	\N	\N	\N	f	
20661	808fbab3-f51c-4593-a5ac-d2381cb1dcd7	Forino	Forino	4	0	2013-07-23 08:39:02.848764+02	\N	\N	\N	\N	\N	\N	f	
20740	a3f9dea0-f78b-4337-8dc3-5d21c709edca	Fragneto Monforte	Fragneto Monforte	4	0	2013-07-23 11:33:23.547254+02	\N	\N	\N	\N	\N	\N	f	
20759	b05a134f-0890-4e3e-8b36-f0787616dae1	Castelvenere	Castelvenere	4	0	2013-07-23 11:37:12.625941+02	\N	\N	\N	\N	\N	\N	f	
23513	b94d15e4-3354-42ab-b53c-ecee55c8fad5	Senica	Senica	3	0	2013-08-26 02:43:22.229714+02	\N	\N	\N	\N	\N	\N	f	
20821	0ff78715-110c-4799-9c09-ee0aefdadef7	Montefalcone di Val Fortore	Montefalcone di Val Fortore	4	0	2013-07-23 11:52:16.523066+02	\N	\N	\N	\N	\N	\N	f	
20843	f3acc8fe-42f1-46ec-a63c-ef1cfb4684c0	Cossignano	Cossignano	4	0	2013-07-23 14:34:20.589642+02	\N	\N	\N	\N	\N	\N	f	
25816	7ae2336b-25fc-462e-98c4-566cc3be47c2	Partridge, Kansas	Partridge, Kansas	3	0	2013-09-07 14:47:04.765751+02	\N	\N	\N	\N	\N	\N	f	
20891	95bbb2ba-bd27-4735-ba4d-76841c4ce31d	Conca della Campania	Conca della Campania	4	0	2013-07-23 14:46:28.164193+02	\N	\N	\N	\N	\N	\N	f	
23600	82bd89b8-4ef3-4a9b-9631-203045e884da	Nováky	Nováky	3	0	2013-08-26 14:46:04.458873+02	\N	\N	\N	\N	\N	\N	f	
20913	8230b709-297b-4e31-bf42-9a9177d512e5	Fontegreca	Fontegreca	4	0	2013-07-23 14:51:04.049205+02	\N	\N	\N	\N	\N	\N	f	
24034	278bcd09-9bcb-4290-9355-9c5cd8907625	Perry	Perry	3	0	2013-09-07 02:19:50.363377+02	\N	\N	\N	\N	\N	\N	f	
25290	d8da181b-a4e3-4186-83b1-f0190305ac30	Blairstown	Blairstown	3	0	2013-09-07 11:03:09.501367+02	\N	\N	\N	\N	\N	\N	f	
24235	27b4f950-cbee-411d-bb56-b188cec9d957	Beech Grove	Beech Grove	3	0	2013-09-07 05:25:21.290384+02	\N	\N	\N	\N	\N	\N	f	
11782	b601bf98-547c-4133-a292-6258b714257a	Higashi-ku	Higashi-ku	5	0	2013-08-27 14:42:33.726877+02	\N	\N	\N	\N	\N	\N	f	
4022	dbcfe24c-1c0b-4722-addf-28b8696e32f8	Merseyside	Merseyside	2	0	2013-08-28 15:50:38.983455+02	\N	\N	\N	\N	\N	\N	f	
23749	ecb7c22a-af2b-4ff6-8960-ca84b22016e7	Recklinghausen	Recklinghausen	3	0	2013-08-31 20:33:17.070136+02	\N	\N	\N	\N	\N	\N	f	
23833	925a04e2-d2f6-4a54-b5bc-55e976918229	Arnold, Missouri	Arnold, Missouri	3	0	2013-09-06 20:31:32.351984+02	\N	\N	\N	\N	\N	\N	f	
24754	2d90db7b-1c62-4684-8fb5-49d4c9af6be0	Crystal Lake, Iowa	Crystal Lake, Iowa	3	0	2013-09-07 08:26:12.247959+02	\N	\N	\N	\N	\N	\N	f	
25276	cec515d4-e54f-46e4-bbf3-c9fcc2f5d471	Decatur City	Decatur City	3	0	2013-09-07 10:59:22.727484+02	\N	\N	\N	\N	\N	\N	f	
25315	71037a28-6045-4965-8f34-3278b40c6c47	Radcliff	Radcliff	3	0	2013-09-07 11:16:56.939595+02	\N	\N	\N	\N	\N	\N	f	
25830	06d4f6e1-2f04-4b67-a7f4-e51d5213d426	Galesburg, Kansas	Galesburg, Kansas	3	0	2013-09-07 14:50:49.120821+02	\N	\N	\N	\N	\N	\N	f	
25326	62d456b3-8b4b-4ce9-a659-a89504805df4	St. Matthews	St. Matthews	3	0	2013-09-07 11:20:02.972138+02	\N	\N	\N	\N	\N	\N	f	
26253	fb18a6ae-5b60-4d03-899c-9c230a170e90	Mortons Gap	Mortons Gap	3	0	2013-09-07 20:57:07.176037+02	\N	\N	\N	\N	\N	\N	f	
25891	ce23182f-fe12-4c15-87ea-7ded4916112e	Elkhorn City, Kentucky	Elkhorn City, Kentucky	3	0	2013-09-07 15:06:16.600748+02	\N	\N	\N	\N	\N	\N	f	
25926	dcf29017-c1a4-415e-aeb9-1abfe239d321	Ocean Springs	Ocean Springs	3	0	2013-09-07 17:22:05.25678+02	\N	\N	\N	\N	\N	\N	f	
26564	e65ca031-e027-4093-b828-956b5547c8d1	Lancaster, Kansas	Lancaster, Kansas	3	0	2013-09-08 01:09:30.923589+02	\N	\N	\N	\N	\N	\N	f	
26591	6a3a1a94-25ff-48b5-a984-60b07162b9cb	Camdenton, Missouri	Camdenton, Missouri	3	0	2013-09-08 01:16:28.603224+02	\N	\N	\N	\N	\N	\N	f	
26595	8effae00-a68f-4de5-8050-a6a89bc33754	Slater, Missouri	Slater, Missouri	3	0	2013-09-08 01:17:31.517619+02	\N	\N	\N	\N	\N	\N	f	
26618	7f2de2cf-2192-45ae-8f79-6fbd4ae364e1	Ocean City, New Jersey	Ocean City, New Jersey	3	0	2013-09-08 01:35:32.612375+02	\N	\N	\N	\N	\N	\N	f	
26921	52d790b5-d780-44c3-8c64-2bca91a82008	East Lynne	East Lynne	3	0	2013-09-08 04:01:30.712092+02	\N	\N	\N	\N	\N	\N	f	
26922	b816e94e-099a-4799-af22-cafaa502d9a0	Reeds Spring	Reeds Spring	3	0	2013-09-08 04:01:47.715153+02	\N	\N	\N	\N	\N	\N	f	
26923	57b43bcf-1898-4dd2-91e8-4328579a5234	Diamond	Diamond	3	0	2013-09-08 04:02:08.923774+02	\N	\N	\N	\N	\N	\N	f	
26943	06b3bcbc-69e6-4f7b-859a-ed09d55d6f2d	Fair Play	Fair Play	3	0	2013-09-08 04:07:46.511907+02	\N	\N	\N	\N	\N	\N	f	
26963	fe2dd21d-35ae-482b-a38f-f32bfcbec0b8	Esbon, Kansas	Esbon, Kansas	3	0	2013-09-08 04:12:36.082569+02	\N	\N	\N	\N	\N	\N	f	
25927	7dff675a-e210-473d-99a6-f49787f7fa6f	Fulton	Fulton	3	0	2013-09-07 17:22:22.88242+02	\N	\N	\N	\N	\N	\N	f	
14010	d22f574e-8d01-4e05-b80c-65951cb5c3e6	Travagliato	Travagliato	4	0	2013-07-21 20:03:17.729162+02	\N	\N	\N	\N	\N	\N	f	
14560	1abb768f-1702-401e-a9ae-503d5fefcda9	Azzano d'Asti	Azzano d'Asti	4	0	2013-07-21 22:05:41.002347+02	\N	\N	\N	\N	\N	\N	f	
15705	18c29cd6-8a96-48c0-8426-8720bc935d30	Sant'Oreste	Sant'Oreste	4	0	2013-07-22 01:44:43.68035+02	\N	\N	\N	\N	\N	\N	f	
15074	965147a1-61bd-4ed0-a0cf-3465b3370103	Revello	Revello	4	0	2013-07-21 23:44:31.458832+02	\N	\N	\N	\N	\N	\N	f	
15075	7834ec41-118a-4d5e-b9bc-11558a57bc7f	Priero	Priero	4	0	2013-07-21 23:44:42.268806+02	\N	\N	\N	\N	\N	\N	f	
15111	11b26cdc-bd27-4436-b1e2-6b36008277ca	Salmour	Salmour	4	0	2013-07-21 23:49:06.06009+02	\N	\N	\N	\N	\N	\N	f	
16640	c1f7cf33-ddf6-4a99-873d-ca295ba9b894	Ovodda	Ovodda	4	0	2013-07-22 03:58:46.736445+02	\N	\N	\N	\N	\N	\N	f	
15225	a430ef66-d372-4d43-8cd6-66436861502b	Sant'Anatolia di Narco	Sant'Anatolia di Narco	4	0	2013-07-22 00:03:02.635534+02	\N	\N	\N	\N	\N	\N	f	
23834	be0283ff-1824-43a5-ab04-f62ebdea7e75	Zell im Wiesental	Zell im Wiesental	3	0	2013-09-06 20:31:53.024539+02	\N	\N	\N	\N	\N	\N	f	
17489	cfe39d71-74df-4aad-b1ce-c0da95b40148	Lonate Ceppino	Lonate Ceppino	4	0	2013-07-22 06:33:47.150005+02	\N	\N	\N	\N	\N	\N	f	
17199	6eb7e070-f4b1-4dfa-9662-298e061f284f	Siamaggiore	Siamaggiore	4	0	2013-07-22 05:56:57.113528+02	\N	\N	\N	\N	\N	\N	f	
17243	4cd71e67-88f3-4e87-a8ef-4bf54b9cb2be	Bono, Italy	Bono, Italy	4	0	2013-07-22 06:02:49.67969+02	\N	\N	\N	\N	\N	\N	f	
17528	b2187335-6151-446e-bba7-068fdf0334e2	Mezzana Bigli	Mezzana Bigli	4	0	2013-07-22 06:38:26.885487+02	\N	\N	\N	\N	\N	\N	f	
19895	7f9ead7d-811b-4c02-9858-d318168ab327	Scanzano Jonico	Scanzano Jonico	4	0	2013-07-22 11:52:07.458724+02	\N	\N	\N	\N	\N	\N	f	
17576	4a4977a2-f9b5-46c0-95cf-d0919eee7ac3	Domegge di Cadore	Domegge di Cadore	4	0	2013-07-22 06:44:37.830785+02	\N	\N	\N	\N	\N	\N	f	
17594	775df44c-b1a3-4b61-87bb-bf397a54c504	Comelico Superiore	Comelico Superiore	4	0	2013-07-22 06:46:50.509508+02	\N	\N	\N	\N	\N	\N	f	
17676	74b1eb92-4347-4739-bfa2-8b623d3624a3	Agrate Brianza	Agrate Brianza	4	0	2013-07-22 06:57:01.452932+02	\N	\N	\N	\N	\N	\N	f	
24236	a03cb141-12d2-4ad0-aeac-f5e8910d2434	Columbia City, Indiana	Columbia City, Indiana	3	0	2013-09-07 05:25:36.169773+02	\N	\N	\N	\N	\N	\N	f	
18473	abaaf15c-c4a7-43e0-8a50-59b65fcc8019	Montevago	Montevago	4	0	2013-07-22 08:36:17.027261+02	\N	\N	\N	\N	\N	\N	f	
18659	dd47c03c-93a9-4eb7-8e70-9e85db669f6e	Sarcedo	Sarcedo	4	0	2013-07-22 08:58:20.927608+02	\N	\N	\N	\N	\N	\N	f	
23308	461b7093-ccf0-4206-8a2d-f9b0b1a8d0ac	Millville	Millville	3	0	2013-08-24 14:46:53.514335+02	\N	\N	\N	\N	\N	\N	f	
23837	80110e53-c356-4023-a131-b9b99024f6d3	Stephens	Stephens	3	0	2013-09-06 20:33:20.051947+02	\N	\N	\N	\N	\N	\N	f	
20621	3b82ed08-490b-4af6-aa38-a2754c1b43fe	Spilinga	Spilinga	4	0	2013-07-23 05:51:24.246301+02	\N	\N	\N	\N	\N	\N	f	
18729	c9bb7d17-65aa-4dad-89f0-63a27af619eb	Schignano	Schignano	4	0	2013-07-22 09:07:14.630429+02	\N	\N	\N	\N	\N	\N	f	
18736	1661e7df-5bb9-4500-8cbd-adf294fc32a1	Garzeno	Garzeno	4	0	2013-07-22 09:08:09.357635+02	\N	\N	\N	\N	\N	\N	f	
19451	4c58c201-2776-479a-8c1b-2fa477a17cd4	Elice	Elice	4	0	2013-07-22 10:36:46.128026+02	\N	\N	\N	\N	\N	\N	f	
20639	f302a84d-fe20-4c73-89e6-4db5d66e8d4e	Zaccanopoli	Zaccanopoli	4	0	2013-07-23 08:33:06.263651+02	\N	\N	\N	\N	\N	\N	f	
19492	d343dcdb-b990-43d2-901b-ce897d017c56	Cappelle sul Tavo	Cappelle sul Tavo	4	0	2013-07-22 10:41:29.462066+02	\N	\N	\N	\N	\N	\N	f	
19499	33258357-adab-4b8f-b5fa-9685cdddab31	Montorio al Vomano	Montorio al Vomano	4	0	2013-07-22 10:42:32.812307+02	\N	\N	\N	\N	\N	\N	f	
19534	f48cfb0b-72ad-4436-b277-6c734622a975	Atri, Abruzzo	Atri, Abruzzo	4	0	2013-07-22 10:46:45.638141+02	\N	\N	\N	\N	\N	\N	f	
20669	f7c4db0e-4aac-4c08-bb1b-86f192d8c610	Monteforte Irpino	Monteforte Irpino	4	0	2013-07-23 08:40:41.265655+02	\N	\N	\N	\N	\N	\N	f	
19565	2b3a2b61-e4a0-4ed7-bde3-14ce6d2bb885	Capurso	Capurso	4	0	2013-07-22 10:52:42.495533+02	\N	\N	\N	\N	\N	\N	f	
20685	8b38874d-3cb0-404c-82af-97c816568a59	Pratola Serra	Pratola Serra	4	0	2013-07-23 08:44:10.695004+02	\N	\N	\N	\N	\N	\N	f	
20741	9163a469-30c8-4301-a555-245d0dd2b9d6	Dugenta	Dugenta	4	0	2013-07-23 11:33:35.377785+02	\N	\N	\N	\N	\N	\N	f	
20763	ca4a13ce-56e0-48b9-96bf-7788e8916456	Cautano	Cautano	4	0	2013-07-23 11:38:41.212338+02	\N	\N	\N	\N	\N	\N	f	
23530	04c7ff93-a24e-499b-97af-4f82efed067a	Orivesi	Orivesi	3	0	2013-08-26 02:49:52.239255+02	\N	\N	\N	\N	\N	\N	f	
20769	c6313010-a884-4b6c-a183-a7ebba1e1ff5	Castelpoto	Castelpoto	4	0	2013-07-23 11:40:17.417838+02	\N	\N	\N	\N	\N	\N	f	
23856	280b2d65-a133-4f2d-ac88-03423f7aabcc	Russellville	Russellville	3	0	2013-09-06 20:37:59.124816+02	\N	\N	\N	\N	\N	\N	f	
20786	a51035dd-a33f-4746-b959-85341b13788f	Pastrengo	Pastrengo	4	0	2013-07-23 11:44:01.398393+02	\N	\N	\N	\N	\N	\N	f	
20803	db94727f-6325-406f-bd62-6897c99f62fd	Paolisi	Paolisi	4	0	2013-07-23 11:47:25.115588+02	\N	\N	\N	\N	\N	\N	f	
11783	7b1751df-b212-45d0-87c8-5e19ce19fe05	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:42:27.397663+02	\N	\N	\N	\N	\N	\N	f	
20805	7f1ad75a-a8e7-42f2-8a73-4a1b94f9fb6d	Tocco Caudio	Tocco Caudio	4	0	2013-07-23 11:48:13.985598+02	\N	\N	\N	\N	\N	\N	f	
25282	db14b105-ea6e-47c8-9112-d774bd296e15	Conesville	Conesville	3	0	2013-09-07 11:01:00.154198+02	\N	\N	\N	\N	\N	\N	f	
20845	c88bc07e-d97a-4749-b506-324a253a63c0	Pietraperzia	Pietraperzia	4	0	2013-07-23 14:35:09.7165+02	\N	\N	\N	\N	\N	\N	f	
23878	ea9c3183-15bc-4e07-8545-1a9657417ed6	Albertville	Albertville	3	0	2013-09-06 20:43:21.109453+02	\N	\N	\N	\N	\N	\N	f	
24301	feb04f5c-2d3e-497b-b3e5-f9722269baf6	Lake Alfred	Lake Alfred	3	0	2013-09-07 05:41:13.178503+02	\N	\N	\N	\N	\N	\N	f	
23893	f0842067-c102-47ef-8e21-ebc38eff58db	Brighton	Brighton	3	0	2013-09-06 20:48:01.929302+02	\N	\N	\N	\N	\N	\N	f	
11787	d136a9f4-f8b1-4686-93e0-6a69eb5cb72c	Akiha-ku	Akiha-ku	5	0	2013-08-27 14:42:30.090439+02	\N	\N	\N	\N	\N	\N	f	
11784	a20549a9-4fa3-4a55-b951-2deda0caea14	Nishi-ku	Nishi-ku	5	0	2013-08-27 14:42:37.409478+02	\N	\N	\N	\N	\N	\N	f	
23935	8d268783-3e29-40e7-b4c4-f2d20cd73047	Ouray	Ouray	3	0	2013-09-06 23:21:42.523091+02	\N	\N	\N	\N	\N	\N	f	
23685	5b1e7af5-112c-40d2-af18-aeade9f53c2e	Moravany	Moravany	3	0	2013-08-28 16:20:10.780404+02	\N	\N	\N	\N	\N	\N	f	
23750	8b9c973b-7acf-43cf-b26f-9e939290effc	Neumünster	Neumünster	3	0	2013-08-31 20:34:18.310842+02	\N	\N	\N	\N	\N	\N	f	
24302	3c70e94f-908c-40ea-8b10-9693431af96d	Laurel Hill	Laurel Hill	3	0	2013-09-07 05:41:27.028998+02	\N	\N	\N	\N	\N	\N	f	
24035	e41430f2-5004-4d1f-af2e-e7fe8a41c39f	Darien, Georgia	Darien, Georgia	3	0	2013-09-07 02:20:17.323163+02	\N	\N	\N	\N	\N	\N	f	
24755	1595cb6c-2e55-4fdc-bb34-fff542a56374	Colesburg, Iowa	Colesburg, Iowa	3	0	2013-09-07 08:26:26.341872+02	\N	\N	\N	\N	\N	\N	f	
25345	5c5ec12a-dea9-402c-848b-7dd3dd4b2ca5	Brunsville	Brunsville	3	0	2013-09-07 11:27:21.105169+02	\N	\N	\N	\N	\N	\N	f	
25280	d6e21969-6c51-4a77-a5fe-21a49944354c	Cleghorn	Cleghorn	3	0	2013-09-07 11:00:27.884346+02	\N	\N	\N	\N	\N	\N	f	
26928	5bb4554e-fd20-4b09-80c5-07184dd1c3d1	Superior	Superior	3	0	2013-09-08 04:03:38.991852+02	\N	\N	\N	\N	\N	\N	f	
25817	99a929d6-7e79-46a4-a9c9-d35397c13ab4	Otis, Kansas	Otis, Kansas	3	0	2013-09-07 14:47:19.659909+02	\N	\N	\N	\N	\N	\N	f	
26565	31c5adc1-145d-4d79-a2cc-1cfa7ad739f1	Blythe, Georgia	Blythe, Georgia	3	0	2013-09-08 01:09:46.677224+02	\N	\N	\N	\N	\N	\N	f	
25984	7ae41f6a-e9f6-4e09-b82e-6cffabba47a2	Aurora, Kansas	Aurora, Kansas	3	0	2013-09-07 17:38:43.939097+02	\N	\N	\N	\N	\N	\N	f	
26254	17548b6b-a641-4a5a-8cf7-07660acf1c1d	Fordsville	Fordsville	3	0	2013-09-07 20:57:21.971208+02	\N	\N	\N	\N	\N	\N	f	
26936	4ce727cb-7b4b-465b-8fbf-4a231f54f5d9	Indianola	Indianola	3	0	2013-09-08 04:06:04.289387+02	\N	\N	\N	\N	\N	\N	f	
26977	28dfd136-35dc-430a-9adf-fb624baa19bb	Medicine Lake	Medicine Lake	3	0	2013-09-08 04:16:04.261965+02	\N	\N	\N	\N	\N	\N	f	
27324	d46edc6b-ec92-49b0-b0d4-f920810375e8	Clifford, North Dakota	Clifford, North Dakota	3	0	2013-09-08 07:28:04.174465+02	\N	\N	\N	\N	\N	\N	f	
27649	276e3c16-0ccf-4c3b-b831-0c2313983afd	Dickinson, North Dakota	Dickinson, North Dakota	3	0	2013-09-08 09:09:26.330593+02	\N	\N	\N	\N	\N	\N	f	
27685	ee0f3d37-66b7-437e-b01e-47d2a9c2c66b	Catoosa	Catoosa	3	0	2013-09-08 09:23:28.795862+02	\N	\N	\N	\N	\N	\N	f	
27691	592ced89-2d1b-4993-a99e-c031f4cdf431	Xenia	Xenia	3	0	2013-09-08 09:26:25.11553+02	\N	\N	\N	\N	\N	\N	f	
28008	84c7dcd1-7fbd-43b0-bfe0-46e4cff78f43	Notus	Notus	3	0	2013-09-08 11:59:51.631962+02	\N	\N	\N	\N	\N	\N	f	
11788	647bdff0-17cc-41d6-9ace-cadb26564b20	Mutsuzawa	Mutsuzawa	3	0	2013-06-26 13:36:37.763139+02	\N	\N	\N	\N	\N	\N	f	
14011	8ce92a52-fb24-4307-9cd2-59d15d96acde	Visano	Visano	4	0	2013-07-21 20:03:32.380662+02	\N	\N	\N	\N	\N	\N	f	
14019	f8f0ee9c-0ab7-42c4-9fe2-249893025493	Villachiara	Villachiara	4	0	2013-07-21 20:05:20.775077+02	\N	\N	\N	\N	\N	\N	f	
15709	d2662b4b-0b72-4763-9cb2-ce052cb362fd	Pomezia	Pomezia	4	0	2013-07-22 01:45:40.696197+02	\N	\N	\N	\N	\N	\N	f	
14040	6ee33b8e-843d-4822-8313-490bfda2e71c	Fontana Liri	Fontana Liri	4	0	2013-07-21 20:10:54.742168+02	\N	\N	\N	\N	\N	\N	f	
14105	97b76bb9-78a4-4bfa-bb07-b7204281e0cc	Vallerotonda	Vallerotonda	4	0	2013-07-21 20:24:18.36846+02	\N	\N	\N	\N	\N	\N	f	
14173	27ac5a77-9789-461b-a38a-ebe0ae5ce5be	Fondi	Fondi	4	0	2013-07-21 20:39:48.441642+02	\N	\N	\N	\N	\N	\N	f	
15828	fbd4a6d6-f31a-4d96-9041-2fac0a98d991	Campertogno	Campertogno	4	0	2013-07-22 02:11:47.805213+02	\N	\N	\N	\N	\N	\N	f	
14206	b3c4f4b8-1a4c-48e6-93db-e278dce26270	Pesaro	Pesaro	4	0	2013-07-21 20:46:35.126924+02	\N	\N	\N	\N	\N	\N	f	
14243	bcbb0697-d7d9-4bdb-85be-6f51e3a731cf	Iglesias	Iglesias	4	0	2013-07-21 20:54:32.286347+02	\N	\N	\N	\N	\N	\N	f	
17493	b76708c5-d1af-4c7d-b23c-9f1efec5c06e	Ranco	Ranco	4	0	2013-07-22 06:34:15.28132+02	\N	\N	\N	\N	\N	\N	f	
14561	0d4161d9-42e3-4557-9580-467699a11321	Castel Boglione	Castel Boglione	4	0	2013-07-21 22:05:53.206797+02	\N	\N	\N	\N	\N	\N	f	
15829	c3b0afda-5d34-4fdc-9e56-b9e5a5f839d4	Alice Castello	Alice Castello	4	0	2013-07-22 02:11:59.568329+02	\N	\N	\N	\N	\N	\N	f	
23874	c054f7b5-122b-4cef-9116-92b231d14314	Westover	Westover	3	0	2013-09-06 20:42:17.23872+02	\N	\N	\N	\N	\N	\N	f	
15844	b94eb1b5-7289-4b28-9a28-affe6ac27319	Cervatto	Cervatto	4	0	2013-07-22 02:15:08.315763+02	\N	\N	\N	\N	\N	\N	f	
16641	745e1054-0db0-4ac9-9edf-89022f0f7bf7	Orotelli	Orotelli	4	0	2013-07-22 03:58:50.3836+02	\N	\N	\N	\N	\N	\N	f	
17531	735e522f-bbf7-49a2-9048-5f59493ddfa2	Breme	Breme	4	0	2013-07-22 06:38:50.123755+02	\N	\N	\N	\N	\N	\N	f	
16701	83b6548a-e7a2-4b5d-a505-70d04d27ca79	Spormaggiore	Spormaggiore	4	0	2013-07-22 04:13:16.916517+02	\N	\N	\N	\N	\N	\N	f	
17200	195fae4e-b171-47a4-91c6-1d189e490f1c	Solarussa	Solarussa	4	0	2013-07-22 05:57:09.498973+02	\N	\N	\N	\N	\N	\N	f	
19896	8e40ef62-8d3f-433f-a3a7-9af39cb65dfa	Villafranca in Lunigiana	Villafranca in Lunigiana	4	0	2013-07-22 11:52:08.398015+02	\N	\N	\N	\N	\N	\N	f	
17227	32f0e6a9-ac6f-4f71-b97d-b328cc12c043	Olmedo	Olmedo	4	0	2013-07-22 06:00:55.117242+02	\N	\N	\N	\N	\N	\N	f	
17656	88961bc1-7c8a-4a1e-bf86-cb49a8effa55	Sant'Alessio con Vialone	Sant'Alessio con Vialone	4	0	2013-07-22 06:54:18.898849+02	\N	\N	\N	\N	\N	\N	f	
17675	f9d3ba1e-94c5-423b-9b50-fee4d73f66f8	Aicurzio	Aicurzio	4	0	2013-07-22 06:56:50.734969+02	\N	\N	\N	\N	\N	\N	f	
19900	5ca3fca0-591e-46bb-96ea-14f334c06c0c	Tricarico	Tricarico	4	0	2013-07-22 11:52:42.479871+02	\N	\N	\N	\N	\N	\N	f	
17704	500a7e04-7521-46e1-9d82-5d0d077c94b8	Mezzana Rabattone	Mezzana Rabattone	4	0	2013-07-22 07:00:44.577192+02	\N	\N	\N	\N	\N	\N	f	
18476	7659167e-8c33-4786-8975-8dcd1c33be90	Breganze	Breganze	4	0	2013-07-22 08:36:30.651555+02	\N	\N	\N	\N	\N	\N	f	
20846	2ebe9203-210b-4b54-a7da-0deb0df2a20e	Maltignano	Maltignano	4	0	2013-07-23 14:35:25.58901+02	\N	\N	\N	\N	\N	\N	f	
19453	57d9a0c2-c851-4daf-971b-237fe4bc9fcf	Villa Celiera	Villa Celiera	4	0	2013-07-22 10:37:02.821392+02	\N	\N	\N	\N	\N	\N	f	
19903	ab29ca63-10f3-4141-a34e-7a46c52e821b	Nova Siri	Nova Siri	4	0	2013-07-22 11:53:06.042252+02	\N	\N	\N	\N	\N	\N	f	
19473	e5a5a5e3-a0a1-43b1-9724-4222ad5d3761	Cugnoli	Cugnoli	4	0	2013-07-22 10:39:21.268558+02	\N	\N	\N	\N	\N	\N	f	
23919	68828dc8-d80e-4feb-bb59-71fbff532caf	Alba	Alba	3	0	2013-09-06 20:56:11.48837+02	\N	\N	\N	\N	\N	\N	f	
19916	a59bd2be-2aad-4356-a526-5f11c3b2e1f7	Brindisi Montagna	Brindisi Montagna	4	0	2013-07-22 11:54:54.453223+02	\N	\N	\N	\N	\N	\N	f	
20641	e8df184e-24dd-451c-b76a-0f47e5d98142	San Calogero	San Calogero	4	0	2013-07-23 08:33:30.524766+02	\N	\N	\N	\N	\N	\N	f	
20660	7c3a7564-e301-4b4a-9aa6-9e6348c3ba98	Montefredane	Montefredane	4	0	2013-07-23 08:38:50.108225+02	\N	\N	\N	\N	\N	\N	f	
25312	8adc5d85-0ec1-4f2c-99d5-8dee5c60a51a	Anita	Anita	3	0	2013-09-07 11:09:09.141519+02	\N	\N	\N	\N	\N	\N	f	
20666	4cfb3120-1336-4d5a-b9ca-33b383e9b20a	Castel Baronia	Castel Baronia	4	0	2013-07-23 08:40:03.70543+02	\N	\N	\N	\N	\N	\N	f	
23311	6579af21-10dd-44c0-b8b8-47d0e8dc200e	Murray	Murray	3	0	2013-08-24 14:47:37.823969+02	\N	\N	\N	\N	\N	\N	f	
20689	0c6da71a-5dda-47c0-b46e-d04befb8baf0	Taurano	Taurano	4	0	2013-07-23 08:44:59.47113+02	\N	\N	\N	\N	\N	\N	f	
20698	5b2b6dfb-27bc-42a2-b621-504c1fad2d32	Pietrastornina	Pietrastornina	4	0	2013-07-23 08:46:48.246011+02	\N	\N	\N	\N	\N	\N	f	
23936	b7fddf8a-d28a-4282-9dc6-131e40f8b01f	Casselberry, Florida	Casselberry, Florida	3	0	2013-09-06 23:22:05.637087+02	\N	\N	\N	\N	\N	\N	f	
20704	af881d5a-1fcc-4b3d-b524-527eb36fa8d8	Sant'Angelo all'Esca	Sant'Angelo all'Esca	4	0	2013-07-23 08:48:01.975553+02	\N	\N	\N	\N	\N	\N	f	
23325	31b31833-51df-4387-ad8c-11b877b0c1e2	Hurricane	Hurricane	3	0	2013-08-24 14:50:45.558221+02	\N	\N	\N	\N	\N	\N	f	
20742	7fe6ec41-fea6-4d07-97ae-0d125ffe97fe	Campoli del Monte Taburno	Campoli del Monte Taburno	4	0	2013-07-23 11:33:47.221374+02	\N	\N	\N	\N	\N	\N	f	
20753	65acd17a-54b0-438a-a1cb-c2a1db08f514	Foglianise	Foglianise	4	0	2013-07-23 11:36:00.089009+02	\N	\N	\N	\N	\N	\N	f	
20792	7c50069e-6443-4626-a99c-99b4deeb5351	San Giorgio La Molara	San Giorgio La Molara	4	0	2013-07-23 11:45:13.357091+02	\N	\N	\N	\N	\N	\N	f	
23516	b7ecdbd9-67a8-4c42-be6e-5bda96c0ea11	Snina	Snina	3	0	2013-08-26 02:44:10.086553+02	\N	\N	\N	\N	\N	\N	f	
24036	b32dd632-c23a-4f19-afa6-e3789b9bc5c3	Monroe	Monroe	3	0	2013-09-07 02:20:32.72695+02	\N	\N	\N	\N	\N	\N	f	
23687	1e7f9c6e-14f0-4b7b-867c-764878f55eff	Súľov-Hradná	Súľov-Hradná	3	0	2013-08-28 16:23:50.176638+02	\N	\N	\N	\N	\N	\N	f	
23751	d76dd98f-a942-4cc2-b9bc-886294138849	Wadern	Wadern	3	0	2013-08-31 20:35:38.265929+02	\N	\N	\N	\N	\N	\N	f	
26975	22a14b30-7f13-400e-8e9a-fd27746a436b	Leeton	Leeton	3	0	2013-09-08 04:15:30.597726+02	\N	\N	\N	\N	\N	\N	f	
23835	40d4afb5-6402-464e-91e6-b87608aca903	San Clemente, California	San Clemente, California	3	0	2013-09-06 20:32:28.895966+02	\N	\N	\N	\N	\N	\N	f	
25369	7a8b38c5-093c-4327-9a24-2d7988daf4e8	Wallingford, Iowa	Wallingford, Iowa	3	0	2013-09-07 11:34:04.456244+02	\N	\N	\N	\N	\N	\N	f	
24237	24b3a6d6-a765-4795-90fb-f305f0165703	Elkhart, Indiana	Elkhart, Indiana	3	0	2013-09-07 05:25:50.398645+02	\N	\N	\N	\N	\N	\N	f	
24764	20b8cb2f-8458-4ec8-82d6-797e1538e323	New Hampton, Iowa	New Hampton, Iowa	3	0	2013-09-07 08:28:59.754679+02	\N	\N	\N	\N	\N	\N	f	
25928	88d0ed45-c9bc-4511-ab58-6f461e8e0e48	Lucedale, Mississippi	Lucedale, Mississippi	3	0	2013-09-07 17:22:38.936927+02	\N	\N	\N	\N	\N	\N	f	
25284	2da5f17c-ca41-4031-b9e4-ba73ae9ce962	Calmar	Calmar	3	0	2013-09-07 11:01:32.649106+02	\N	\N	\N	\N	\N	\N	f	
25822	6f649012-dcb9-4cd8-9a0e-6180ef4f434e	Alma, Kansas	Alma, Kansas	3	0	2013-09-07 14:48:45.048258+02	\N	\N	\N	\N	\N	\N	f	
25825	1e49dfba-69cf-472d-9448-b722d7d4002f	Leesville, Louisiana	Leesville, Louisiana	3	0	2013-09-07 14:49:31.776288+02	\N	\N	\N	\N	\N	\N	f	
26309	7443ce64-84bc-4fdb-bbda-74278108ec2f	Weymouth	Weymouth	3	0	2013-09-07 21:14:22.150877+02	\N	\N	\N	\N	\N	\N	f	
25865	6972b9d1-90e3-4727-b8c3-e4ecaaec3609	Ogden, Kansas	Ogden, Kansas	3	0	2013-09-07 14:59:37.539395+02	\N	\N	\N	\N	\N	\N	f	
26257	71a8b116-0366-4779-94b1-ed6ae2b1a219	New Castle	New Castle	3	0	2013-09-07 20:58:11.788881+02	\N	\N	\N	\N	\N	\N	f	
26956	a000df2f-5c03-472c-bcde-8c15580f7217	Sutton	Sutton	3	0	2013-09-08 04:10:57.140241+02	\N	\N	\N	\N	\N	\N	f	
26566	88b42903-29f9-4604-bb1f-3788ce4c28ee	Garwin, Iowa	Garwin, Iowa	3	0	2013-09-08 01:10:01.150025+02	\N	\N	\N	\N	\N	\N	f	
26930	b5c570b7-d746-4246-a8ae-e0f88a2666b7	Monroe City	Monroe City	3	0	2013-09-08 04:04:23.885229+02	\N	\N	\N	\N	\N	\N	f	
27325	de2b97ba-859a-4d24-8ee2-37c60d4abe38	Loma, North Dakota	Loma, North Dakota	3	0	2013-09-08 07:28:17.651194+02	\N	\N	\N	\N	\N	\N	f	
27327	3c3d143f-8588-4005-852b-537985e58e33	Grano, North Dakota	Grano, North Dakota	3	0	2013-09-08 07:28:50.183094+02	\N	\N	\N	\N	\N	\N	f	
27382	156fdf9f-7235-44ca-9909-4834d0a61be2	South Heart, North Dakota	South Heart, North Dakota	3	0	2013-09-08 07:43:14.714519+02	\N	\N	\N	\N	\N	\N	f	
27384	2f0a5bf3-d93c-4292-af47-710fc8217825	Marion, North Dakota	Marion, North Dakota	3	0	2013-09-08 07:43:46.587847+02	\N	\N	\N	\N	\N	\N	f	
27386	795deedb-148f-4d9e-af89-14ee2dd56d6c	Hope, North Dakota	Hope, North Dakota	3	0	2013-09-08 07:44:13.808559+02	\N	\N	\N	\N	\N	\N	f	
27653	82b60644-fbec-4af8-b65a-342fa24e6412	Brook Park, Ohio	Brook Park, Ohio	3	0	2013-09-08 09:10:38.72205+02	\N	\N	\N	\N	\N	\N	f	
14012	85a01569-1b30-460d-9946-679e0c6fc3e1	Vione	Vione	4	0	2013-07-21 20:03:44.899025+02	\N	\N	\N	\N	\N	\N	f	
14165	8b46bc5c-6af3-4455-8f57-b49ed028358c	Monsano	Monsano	4	0	2013-07-21 20:37:54.597606+02	\N	\N	\N	\N	\N	\N	f	
15715	45558a61-7c7d-459c-8cf1-91fd3b63df55	Roccagiovine	Roccagiovine	4	0	2013-07-22 01:46:56.776379+02	\N	\N	\N	\N	\N	\N	f	
14178	6910173e-a5f5-499b-b227-a60d2dc31a19	Pontinia	Pontinia	4	0	2013-07-21 20:40:51.677219+02	\N	\N	\N	\N	\N	\N	f	
14562	2c74ee33-21e5-46d9-8dac-7eda710da586	Belveglio	Belveglio	4	0	2013-07-21 22:06:04.845006+02	\N	\N	\N	\N	\N	\N	f	
17498	383db2eb-9221-43de-be23-2483086c7be4	Faedo Valtellino	Faedo Valtellino	4	0	2013-07-22 06:34:55.571382+02	\N	\N	\N	\N	\N	\N	f	
15751	41dd293a-5275-4bd5-a841-b6f9d8b02d8c	Vicovaro	Vicovaro	4	0	2013-07-22 01:54:38.045361+02	\N	\N	\N	\N	\N	\N	f	
15753	3b24a09e-59ed-4e24-93c7-f07ee9d1cbb5	Alzate Brianza	Alzate Brianza	4	0	2013-07-22 01:55:01.576821+02	\N	\N	\N	\N	\N	\N	f	
15816	81874165-afde-4041-a269-d7b940202a93	Breguzzo	Breguzzo	4	0	2013-07-22 02:09:18.891926+02	\N	\N	\N	\N	\N	\N	f	
15834	4095ca0f-e177-44df-b5f1-5e817f3a7a0a	Albano Vercellese	Albano Vercellese	4	0	2013-07-22 02:13:01.372303+02	\N	\N	\N	\N	\N	\N	f	
15952	242e8d11-fac5-43c3-a41f-b2cc295f1fe7	Sterzing	Sterzing	4	0	2013-07-22 02:34:57.033777+02	\N	\N	\N	\N	\N	\N	f	
19897	1d0b4503-b1f6-4f38-9bdc-d873ce794a9c	Rotondella	Rotondella	4	0	2013-07-22 11:52:24.310711+02	\N	\N	\N	\N	\N	\N	f	
15954	3eaddf5a-e102-4063-ac87-d060b915a578	Colli a Volturno	Colli a Volturno	4	0	2013-07-22 02:35:09.467997+02	\N	\N	\N	\N	\N	\N	f	
23752	5266ee9b-bb3f-406f-8024-941b169e6b6c	Blieskastel	Blieskastel	3	0	2013-08-31 20:35:56.726474+02	\N	\N	\N	\N	\N	\N	f	
15984	cf393f7f-e84e-4a64-8877-5200cabf832a	Isola del Cantone	Isola del Cantone	4	0	2013-07-22 02:38:34.429842+02	\N	\N	\N	\N	\N	\N	f	
15987	6ed9b3f9-5657-47a0-95a5-a7c6da2cdf37	Vobbia	Vobbia	4	0	2013-07-22 02:38:49.336225+02	\N	\N	\N	\N	\N	\N	f	
16642	4b89cc6a-b35c-4a98-a153-15a51c7f41db	Mezzocorona	Mezzocorona	4	0	2013-07-22 03:59:02.402218+02	\N	\N	\N	\N	\N	\N	f	
17587	deadaef7-b6c1-4f76-8f37-cc8f1cc730f6	Venegono Inferiore	Venegono Inferiore	4	0	2013-07-22 06:46:03.867161+02	\N	\N	\N	\N	\N	\N	f	
16660	1f8efaa8-1eb3-4221-ad88-bb3e3561b0a2	Tonara	Tonara	4	0	2013-07-22 04:02:35.729573+02	\N	\N	\N	\N	\N	\N	f	
17201	8b0be457-93dd-4d69-97be-dbe81c1a64f6	Tadasuni	Tadasuni	4	0	2013-07-22 05:57:24.490153+02	\N	\N	\N	\N	\N	\N	f	
17242	0424016a-0f42-4571-8f36-abd7faa1702f	Ittireddu	Ittireddu	4	0	2013-07-22 06:02:39.7372+02	\N	\N	\N	\N	\N	\N	f	
18480	c792a8ff-c46e-4d2c-ba42-c26840edee31	Romano d'Ezzelino	Romano d'Ezzelino	4	0	2013-07-22 08:36:55.995456+02	\N	\N	\N	\N	\N	\N	f	
17244	ec6e9e7d-5933-4e38-84ef-f4fd7adec73c	Martis	Martis	4	0	2013-07-22 06:02:55.364882+02	\N	\N	\N	\N	\N	\N	f	
19981	c24b8b61-3afe-42f9-aa63-09a27e042ce3	San Chirico Raparo	San Chirico Raparo	4	0	2013-07-22 12:03:19.51978+02	\N	\N	\N	\N	\N	\N	f	
18504	68c7e496-293c-487c-a080-4a6a33f3cd46	Campolongo sul Brenta	Campolongo sul Brenta	4	0	2013-07-22 08:39:30.871976+02	\N	\N	\N	\N	\N	\N	f	
18519	19425fc5-2e3c-4244-b564-eea8e4ca7761	Pove del Grappa	Pove del Grappa	4	0	2013-07-22 08:41:21.47357+02	\N	\N	\N	\N	\N	\N	f	
26932	639e15fa-df93-4ec3-9c7e-0ce0b74ab5f6	Chaffee	Chaffee	3	0	2013-09-08 04:05:00.259291+02	\N	\N	\N	\N	\N	\N	f	
18538	604ce039-e043-4e4e-a307-815f0d60d879	Gambellara	Gambellara	4	0	2013-07-22 08:43:40.820406+02	\N	\N	\N	\N	\N	\N	f	
19994	1cecbaff-b533-4b5a-b704-976a404cb106	San Fele	San Fele	4	0	2013-07-22 12:05:00.963642+02	\N	\N	\N	\N	\N	\N	f	
19458	788d6000-13e2-4747-99fa-34d359fd9af7	Penne, Abruzzo	Penne, Abruzzo	4	0	2013-07-22 10:37:40.215528+02	\N	\N	\N	\N	\N	\N	f	
19472	2e82e923-f9e2-44ff-b1c9-9077bce1cc15	Nocciano	Nocciano	4	0	2013-07-22 10:39:13.083265+02	\N	\N	\N	\N	\N	\N	f	
23836	d5971af2-344c-4619-8434-cac1622ac3d5	Alton, Missouri	Alton, Missouri	3	0	2013-09-06 20:32:59.6376+02	\N	\N	\N	\N	\N	\N	f	
20042	849f85e7-95e4-4922-b301-908eb88fda9b	Conselice	Conselice	4	0	2013-07-22 12:11:49.532149+02	\N	\N	\N	\N	\N	\N	f	
20642	ac8af6a7-92e7-4d92-8b49-60fab8bf7060	Chianche	Chianche	4	0	2013-07-23 08:33:57.664109+02	\N	\N	\N	\N	\N	\N	f	
25824	bc12d0f9-e468-43d5-9116-f1c11a6b0a8c	Raymond, Kansas	Raymond, Kansas	3	0	2013-09-07 14:49:17.18897+02	\N	\N	\N	\N	\N	\N	f	
20743	4b11e3e8-bedd-450b-a326-34842f32e5bb	Arpaise	Arpaise	4	0	2013-07-23 11:33:59.042887+02	\N	\N	\N	\N	\N	\N	f	
23860	7adb39d9-89e1-407d-ac77-921fbd914b67	Bay	Bay	3	0	2013-09-06 20:38:54.095327+02	\N	\N	\N	\N	\N	\N	f	
20779	2e5287f8-98a3-4fbc-b6ae-ae2544bc71a4	Paduli	Paduli	4	0	2013-07-23 11:42:37.355483+02	\N	\N	\N	\N	\N	\N	f	
20847	6a3a8b38-a0b1-48c1-8c65-840a77d3378d	Colli del Tronto	Colli del Tronto	4	0	2013-07-23 14:35:42.488436+02	\N	\N	\N	\N	\N	\N	f	
23937	f2ea95eb-e4bf-4663-8a32-0d13101b2cf6	Davenport, Florida	Davenport, Florida	3	0	2013-09-06 23:22:37.956923+02	\N	\N	\N	\N	\N	\N	f	
23314	045a1cd2-8ac4-45c0-87da-74c047b5ceaf	Hooper	Hooper	3	0	2013-08-24 14:48:16.766108+02	\N	\N	\N	\N	\N	\N	f	
24037	09213eb2-c584-4fba-80ec-dacd9c534428	Waynesboro	Waynesboro	3	0	2013-09-07 02:20:53.912893+02	\N	\N	\N	\N	\N	\N	f	
23517	617494bc-cd4c-4fe4-b730-b1843422b33c	Stupava	Stupava	3	0	2013-08-26 02:44:34.018639+02	\N	\N	\N	\N	\N	\N	f	
25929	7d286e32-ee0e-4676-92ff-64ada38c9f8e	Marks, Mississippi	Marks, Mississippi	3	0	2013-09-07 17:22:57.793668+02	\N	\N	\N	\N	\N	\N	f	
11790	06f6b8e6-62b9-4fa0-82d9-4f5b4b667c4e	Nakamura-ku	Nakamura-ku	5	0	2013-08-27 14:48:56.296898+02	\N	\N	\N	\N	\N	\N	f	
23688	38d342c4-4353-42c3-bb7e-aba4bbbcce99	Liptovské Sliače	Liptovské Sliače	3	0	2013-08-28 16:26:06.067852+02	\N	\N	\N	\N	\N	\N	f	
24038	40dcee39-150d-47b6-a386-6d22dab8d366	McRae	McRae	3	0	2013-09-07 02:21:10.317228+02	\N	\N	\N	\N	\N	\N	f	
24239	601474e6-9176-4bde-acea-ef9936cb85e2	Villa Rica, Georgia	Villa Rica, Georgia	3	0	2013-09-07 05:26:18.24011+02	\N	\N	\N	\N	\N	\N	f	
25935	658db5ca-7af4-447c-886c-2741fe63a34d	Morton, Mississippi	Morton, Mississippi	3	0	2013-09-07 17:24:49.944038+02	\N	\N	\N	\N	\N	\N	f	
24766	1067a3b1-2351-4b60-badd-5922fdf1dd92	Kiron, Iowa	Kiron, Iowa	3	0	2013-09-07 08:29:29.279711+02	\N	\N	\N	\N	\N	\N	f	
27326	8f0f0ce6-965a-45a9-81f4-00c88d82b275	Luverne, North Dakota	Luverne, North Dakota	3	0	2013-09-08 07:28:31.468557+02	\N	\N	\N	\N	\N	\N	f	
25285	03d27f8b-0f13-4a5e-a4bb-c358f2c877a5	Brighton	Brighton	3	0	2013-09-07 11:01:48.839436+02	\N	\N	\N	\N	\N	\N	f	
26258	cc31db9f-2acf-481b-9853-c41627accfa0	Pleasureville	Pleasureville	3	0	2013-09-07 20:58:28.961804+02	\N	\N	\N	\N	\N	\N	f	
27657	3ebb10a4-914a-4ea4-8215-12a4b81d1af4	Bixby, Oklahoma	Bixby, Oklahoma	3	0	2013-09-08 09:11:39.979653+02	\N	\N	\N	\N	\N	\N	f	
26568	75b0be0c-0dcf-42c0-9c0c-c7cfe67d7f84	Colquitt, Georgia	Colquitt, Georgia	3	0	2013-09-08 01:10:34.621051+02	\N	\N	\N	\N	\N	\N	f	
27350	87f582df-a28b-44f8-aa24-508b7b143581	Germantown	Germantown	3	0	2013-09-08 07:34:42.423845+02	\N	\N	\N	\N	\N	\N	f	
28679	12c5fcaf-1f18-4907-a173-39ff71ce56bd	Rutland	Rutland	3	0	2013-09-08 23:23:48.699915+02	\N	\N	\N	\N	\N	\N	f	
27391	e630a0ff-1e4e-4465-8221-95d8b2a8ac8a	Northwood, North Dakota	Northwood, North Dakota	3	0	2013-09-08 07:45:22.034268+02	\N	\N	\N	\N	\N	\N	f	
28011	d3e75e42-696b-42df-ba72-9509f368d2bc	Mount Vernon	Mount Vernon	3	0	2013-09-08 12:00:42.122064+02	\N	\N	\N	\N	\N	\N	f	
28246	06acce33-91e6-4167-a65b-81dd84c6e16a	Manning, South Carolina	Manning, South Carolina	3	0	2013-09-08 15:38:55.863542+02	\N	\N	\N	\N	\N	\N	f	
28437	c8b40d63-0965-4c7c-b47b-530e2bd0ab0c	Jackson	Jackson	3	0	2013-09-08 17:24:55.944675+02	\N	\N	\N	\N	\N	\N	f	
28448	6e8fe3f8-eac2-4f6c-9566-71e60d0e392c	Red Bank, Tennessee	Red Bank, Tennessee	3	0	2013-09-08 17:29:18.579928+02	\N	\N	\N	\N	\N	\N	f	
28681	d1b98b74-9cf2-47f2-9f3e-dcd9e4ae1910	Mona	Mona	3	0	2013-09-08 23:25:53.050132+02	\N	\N	\N	\N	\N	\N	f	
28709	36f8d721-09e8-469d-b4a3-c363f35ef156	Hedley	Hedley	3	0	2013-09-08 23:36:36.398463+02	\N	\N	\N	\N	\N	\N	f	
28897	fea4e713-a708-41d4-826a-3c9a50f6497b	Davenport	Davenport	3	0	2013-09-09 01:13:09.090278+02	\N	\N	\N	\N	\N	\N	f	
29010	dd7a80f0-5fa0-4cd4-aa1e-21495b36e7aa	Weston	Weston	3	0	2013-09-09 01:55:42.672874+02	\N	\N	\N	\N	\N	\N	f	
29019	292777b3-05a6-4faa-80d3-200ed635f03d	Piney Point Village	Piney Point Village	3	0	2013-09-09 01:58:19.784761+02	\N	\N	\N	\N	\N	\N	f	
29195	ae8b5404-59e8-4e4b-92e0-98393df51803	Eustace	Eustace	3	0	2013-09-09 03:02:55.575993+02	\N	\N	\N	\N	\N	\N	f	
29022	cc56c91e-2ffb-4937-9464-6abc9a6104bd	Dean	Dean	3	0	2013-09-09 01:59:09.890278+02	\N	\N	\N	\N	\N	\N	f	
29311	d3cf3ed0-1940-44ba-a633-81af1e2a3a40	Evansville	Evansville	3	0	2013-09-09 05:24:02.752004+02	\N	\N	\N	\N	\N	\N	f	
11791	9061e15b-1bf8-4db5-88dd-50a52762cf96	Shisui	Shisui	3	0	2013-06-26 13:37:22.984993+02	\N	\N	\N	\N	\N	\N	f	
14013	36eb1ad3-aae6-4762-bea8-4d7baaae3da3	Santarcangelo di Romagna	Santarcangelo di Romagna	4	0	2013-07-21 20:04:00.07644+02	\N	\N	\N	\N	\N	\N	f	
14563	b5ed21f5-b486-4210-bfff-f62ed5e7ea13	Soriano nel Cimino	Soriano nel Cimino	4	0	2013-07-21 22:06:16.910144+02	\N	\N	\N	\N	\N	\N	f	
15719	e185341c-9ab9-42da-a832-4ab196cd41b2	Segni	Segni	4	0	2013-07-22 01:47:44.962529+02	\N	\N	\N	\N	\N	\N	f	
15756	e997cf6c-6500-4d03-8701-33e807f94896	Vallinfreda	Vallinfreda	4	0	2013-07-22 01:55:41.147854+02	\N	\N	\N	\N	\N	\N	f	
15762	40c0f832-1f1e-469f-ad2a-c40fbbf8bc3f	Albese con Cassano	Albese con Cassano	4	0	2013-07-22 01:56:56.179032+02	\N	\N	\N	\N	\N	\N	f	
15806	dc03f327-00d3-43ae-aba4-41d10980b437	Cavallasca	Cavallasca	4	0	2013-07-22 02:06:58.644943+02	\N	\N	\N	\N	\N	\N	f	
23938	09e28d82-02e7-4f43-a770-175afa8a2fbc	Villa Park, California	Villa Park, California	3	0	2013-09-06 23:23:49.455363+02	\N	\N	\N	\N	\N	\N	f	
15890	ec74c8fb-e22c-4fe0-8c61-0a989f2fdc07	Rovasenda	Rovasenda	4	0	2013-07-22 02:26:14.130276+02	\N	\N	\N	\N	\N	\N	f	
17509	68dc7d94-11b6-4d81-9d36-f947f18bff05	Clivio	Clivio	4	0	2013-07-22 06:36:17.947195+02	\N	\N	\N	\N	\N	\N	f	
16646	463811c8-e34e-4b94-90ad-940707d4750a	Pelugo	Pelugo	4	0	2013-07-22 03:59:37.802957+02	\N	\N	\N	\N	\N	\N	f	
19898	df51d7ab-d5c6-4f15-804b-882e491e0737	Ferrandina	Ferrandina	4	0	2013-07-22 11:52:25.982361+02	\N	\N	\N	\N	\N	\N	f	
17202	c8c232e2-3c15-4a0f-a157-fd591caa8dfd	Cargeghe	Cargeghe	4	0	2013-07-22 05:57:35.126523+02	\N	\N	\N	\N	\N	\N	f	
17537	9bd0ea34-95d7-4954-a6e0-83be8e662069	Besozzo	Besozzo	4	0	2013-07-22 06:39:32.365994+02	\N	\N	\N	\N	\N	\N	f	
17241	cf9b281d-05ba-4775-a476-472568672781	Ceretto Lomellina	Ceretto Lomellina	4	0	2013-07-22 06:02:36.327025+02	\N	\N	\N	\N	\N	\N	f	
17547	8f02ac38-f56f-466b-a846-44dc227245b2	Masciago Primo	Masciago Primo	4	0	2013-07-22 06:40:40.940626+02	\N	\N	\N	\N	\N	\N	f	
17577	407027d1-1a2c-4321-b6d1-648f0650b4ed	Novate Mezzola	Novate Mezzola	4	0	2013-07-22 06:44:50.114509+02	\N	\N	\N	\N	\N	\N	f	
19911	60cd4679-4cd6-4338-bbe7-6cb83b36f80b	Corleto Perticara	Corleto Perticara	4	0	2013-07-22 11:54:15.345606+02	\N	\N	\N	\N	\N	\N	f	
17680	e67d0555-fc0d-4411-bc56-369ce016b2a5	Montù Beccaria	Montù Beccaria	4	0	2013-07-22 06:57:33.25718+02	\N	\N	\N	\N	\N	\N	f	
18482	a8de0936-e078-4832-a21b-e1bef42363b3	Bressanvido	Bressanvido	4	0	2013-07-22 08:37:08.399215+02	\N	\N	\N	\N	\N	\N	f	
23981	53cc26b7-736c-48c2-8882-dbcaf2de3a06	Mohammadshahr	Mohammadshahr	3	0	2013-09-06 23:37:25.43725+02	\N	\N	\N	\N	\N	\N	f	
18553	735b5a24-c17f-4b9f-99a3-0dbf2865543f	Mossano	Mossano	4	0	2013-07-22 08:45:22.938624+02	\N	\N	\N	\N	\N	\N	f	
27045	61a949e5-e592-4603-a398-df1f651a5add	Wheeling	Wheeling	3	0	2013-09-08 04:32:52.321929+02	\N	\N	\N	\N	\N	\N	f	
19459	d601127a-5427-4c5e-9da6-132f38107863	Lettomanoppello	Lettomanoppello	4	0	2013-07-22 10:37:48.172765+02	\N	\N	\N	\N	\N	\N	f	
19480	4a2578ae-99fa-4c70-9b38-2e2be753cdc8	Popoli	Popoli	4	0	2013-07-22 10:40:11.184668+02	\N	\N	\N	\N	\N	\N	f	
19515	b6be9d0f-7631-4cf8-ba1d-25a8ed017487	Civitella del Tronto	Civitella del Tronto	4	0	2013-07-22 10:44:39.63161+02	\N	\N	\N	\N	\N	\N	f	
19942	26f6c102-b47a-4009-ad32-e268228a230b	Ginestra	Ginestra	4	0	2013-07-22 11:57:50.120456+02	\N	\N	\N	\N	\N	\N	f	
19561	c153551e-ff47-4f04-995e-072c3fa86459	Palo del Colle	Palo del Colle	4	0	2013-07-22 10:51:36.090496+02	\N	\N	\N	\N	\N	\N	f	
19571	49c2f8d9-e598-498a-b4a8-f4e287aa9b33	Binetto	Binetto	4	0	2013-07-22 10:54:22.999258+02	\N	\N	\N	\N	\N	\N	f	
19922	ed917e43-bca5-4aba-ab4b-a5ac1951f70f	Anzi	Anzi	4	0	2013-09-07 13:39:52.439036+02	\N	\N	\N	\N	\N	\N	f	
19635	0e088375-14a0-43cd-a059-1d4228840867	Serracapriola	Serracapriola	4	0	2013-07-22 11:08:50.068419+02	\N	\N	\N	\N	\N	\N	f	
20645	5d51bdfc-af7d-4139-bc78-646399641659	Morra De Sanctis	Morra De Sanctis	4	0	2013-07-23 08:34:35.498522+02	\N	\N	\N	\N	\N	\N	f	
23998	148f2074-f65d-4df4-a93e-9c5b5592ec28	Bristol, Florida	Bristol, Florida	3	0	2013-09-06 23:45:24.16895+02	\N	\N	\N	\N	\N	\N	f	
20747	df719bcc-492f-4ab7-aec4-ad61625a0381	Guardia Sanframondi	Guardia Sanframondi	4	0	2013-07-23 11:34:46.67424+02	\N	\N	\N	\N	\N	\N	f	
20848	f6ee2e7d-2dce-4837-87a0-6f8b3110c7d2	Cupra Marittima	Cupra Marittima	4	0	2013-07-23 14:35:59.860463+02	\N	\N	\N	\N	\N	\N	f	
24039	06f86a35-a161-4489-92e7-70d7359307ad	Wrightsville	Wrightsville	3	0	2013-09-07 02:21:25.912521+02	\N	\N	\N	\N	\N	\N	f	
26933	16006d58-73a8-40dd-b15f-cff36640b50a	Cole Camp	Cole Camp	3	0	2013-09-08 04:05:15.883407+02	\N	\N	\N	\N	\N	\N	f	
23317	dc2af813-7542-4cd7-b0ae-aa8ce6f4e88e	North Logan	North Logan	3	0	2013-08-24 14:48:56.437522+02	\N	\N	\N	\N	\N	\N	f	
24240	3975d52f-410b-4c3c-b6c7-746043156328	Covington, Indiana	Covington, Indiana	3	0	2013-09-07 05:26:32.889058+02	\N	\N	\N	\N	\N	\N	f	
23519	c0355222-ea77-4a2d-b5c2-f6bd1f4e2a90	Rimavská Sobota	Rimavská Sobota	3	0	2013-08-26 02:46:08.112247+02	\N	\N	\N	\N	\N	\N	f	
23689	dfeeb4a1-59cc-4eec-bc56-e56271c978f0	Veľké Kozmálovce	Veľké Kozmálovce	3	0	2013-08-28 16:27:09.24244+02	\N	\N	\N	\N	\N	\N	f	
25828	9ffa2fa3-c3eb-4b25-bf0a-a179ececf8cc	Kanorado, Kansas	Kanorado, Kansas	3	0	2013-09-07 14:50:19.677598+02	\N	\N	\N	\N	\N	\N	f	
23753	20c35286-03ff-4df7-bd18-906385165593	Lebach	Lebach	3	0	2013-08-31 20:36:24.816068+02	\N	\N	\N	\N	\N	\N	f	
23838	7d9defcc-bf2e-4933-9cd8-792c28517b2d	McCaskill	McCaskill	3	0	2013-09-06 20:33:33.694322+02	\N	\N	\N	\N	\N	\N	f	
24264	921fbf4a-2a3b-468f-b240-c341b9633e92	Doraville, Georgia	Doraville, Georgia	3	0	2013-09-07 05:32:29.505275+02	\N	\N	\N	\N	\N	\N	f	
24770	43ea90f8-b7a7-4378-8988-215441ca3434	Bouton, Iowa	Bouton, Iowa	3	0	2013-09-07 08:30:33.635207+02	\N	\N	\N	\N	\N	\N	f	
25930	91f54885-82f1-4c49-9336-35f2c3c48dc1	Viña del Mar	Viña del Mar	3	0	2013-09-07 17:23:15.618477+02	\N	\N	\N	\N	\N	\N	f	
25293	1ae41ec5-aab4-4ca9-b172-b92ae83bdf5e	Clutier	Clutier	3	0	2013-09-07 11:03:57.763888+02	\N	\N	\N	\N	\N	\N	f	
25337	4fc3ae7e-62c8-4001-864a-654d17a0058e	Hollow Creek, Kentucky	Hollow Creek, Kentucky	3	0	2013-09-07 11:23:49.479805+02	\N	\N	\N	\N	\N	\N	f	
26951	d4b4557d-053c-432f-b9df-323818fc131d	Fillmore	Fillmore	3	0	2013-09-08 04:09:44.98398+02	\N	\N	\N	\N	\N	\N	f	
26259	80d7f0ba-9655-4466-95a0-ff3006118a3d	Mount Vernon	Mount Vernon	3	0	2013-09-07 20:58:43.77787+02	\N	\N	\N	\N	\N	\N	f	
26311	92e25694-7800-4ef4-9cb7-3ec213ce9e23	Methuen	Methuen	3	0	2013-09-07 21:14:50.159441+02	\N	\N	\N	\N	\N	\N	f	
27659	f5fca749-400c-47a8-97ad-a9af25c15547	Voltaire, North Dakota	Voltaire, North Dakota	3	0	2013-09-08 09:12:07.579757+02	\N	\N	\N	\N	\N	\N	f	
26569	eeafbae6-2787-4964-a513-b4dfbab4ea96	Dover, Idaho	Dover, Idaho	3	0	2013-09-08 01:10:49.647076+02	\N	\N	\N	\N	\N	\N	f	
27081	577962e3-7a1e-43a3-ae75-bf2228ecb935	Oakland	Oakland	3	0	2013-09-08 04:43:06.980032+02	\N	\N	\N	\N	\N	\N	f	
26973	6afb117c-9d71-4666-9c39-938639c1fbde	Arapahoe	Arapahoe	3	0	2013-09-08 04:15:03.941246+02	\N	\N	\N	\N	\N	\N	f	
26974	465f0da7-57b9-4e0d-b593-af50851cb3c2	Auburn	Auburn	3	0	2013-09-08 04:15:17.186746+02	\N	\N	\N	\N	\N	\N	f	
28013	f4779ee0-ca10-47ca-8274-c6b0cdad7229	Superior	Superior	3	0	2013-09-08 12:01:13.338752+02	\N	\N	\N	\N	\N	\N	f	
27330	e9c0542f-5e7b-4d3e-bae7-d9f9dbc631d5	Brookville	Brookville	3	0	2013-09-08 07:29:35.716034+02	\N	\N	\N	\N	\N	\N	f	
27696	93641e64-0385-46d9-8c28-1202b5553c32	Prague, Oklahoma	Prague, Oklahoma	3	0	2013-09-08 09:27:48.524854+02	\N	\N	\N	\N	\N	\N	f	
28247	413e5c43-0810-417f-b639-030885926277	Landrum, South Carolina	Landrum, South Carolina	3	0	2013-09-08 15:39:09.663061+02	\N	\N	\N	\N	\N	\N	f	
28038	f11fe8d9-7470-4fba-86fd-620a22cd10a4	Columbiana	Columbiana	3	0	2013-09-08 12:08:24.99513+02	\N	\N	\N	\N	\N	\N	f	
28438	47f6bb0d-3b79-4713-a237-d06772b3db21	Ripley	Ripley	3	0	2013-09-08 17:25:21.505451+02	\N	\N	\N	\N	\N	\N	f	
28471	eac3f023-14fa-42ec-88fd-1f35d0efb5f1	Angus	Angus	3	0	2013-09-08 17:42:59.389827+02	\N	\N	\N	\N	\N	\N	f	
28680	c0458e16-cf9a-4489-92a1-35c85b838631	Vernal	Vernal	3	0	2013-09-08 23:25:33.900394+02	\N	\N	\N	\N	\N	\N	f	
28694	2795281f-6a14-4896-a8bc-75fed04a38cd	Silverton	Silverton	3	0	2013-09-08 23:32:41.846601+02	\N	\N	\N	\N	\N	\N	f	
28899	09b76a45-3fdb-4dbf-9334-ad818b5445a6	College Place	College Place	3	0	2013-09-09 01:13:37.026385+02	\N	\N	\N	\N	\N	\N	f	
28910	1c866089-4fc7-46b5-a78f-612d79bed367	George West	George West	3	0	2013-09-09 01:26:11.464623+02	\N	\N	\N	\N	\N	\N	f	
29196	65b58d36-5ad1-4aed-be96-05129ccd50f2	Hawkins	Hawkins	3	0	2013-09-09 03:03:13.514904+02	\N	\N	\N	\N	\N	\N	f	
29424	006a7990-688c-406b-b1a9-41308c5724a1	Schönebeck	Schönebeck	3	0	2013-09-12 08:19:08.338854+02	\N	\N	\N	\N	\N	\N	f	
29312	b43f6719-4901-435f-8ce5-25b12122a90b	Hillsboro	Hillsboro	3	0	2013-09-09 05:24:18.663188+02	\N	\N	\N	\N	\N	\N	f	
11808	c63ecc96-ba53-44e5-afbd-b8c3d91facdd	Kita-ku	Kita-ku	5	0	2013-08-28 15:47:36.37021+02	\N	\N	\N	\N	\N	\N	f	
11831	278932e9-baa6-4f27-bdf1-07b7724fe88a	Minami-ku	Minami-ku	5	0	2013-08-28 15:46:28.760969+02	\N	\N	\N	\N	\N	\N	f	
11842	06eaa9d4-99f9-4188-89a4-859a14fb0798	Ōmiya-ku	Ōmiya-ku	5	0	2013-08-27 14:48:10.715564+02	\N	\N	\N	\N	\N	\N	f	
11830	ddcfc23b-04ec-4e17-9a7e-72d89223f2b4	Urawa-ku	Urawa-ku	5	0	2013-08-27 14:47:57.900184+02	\N	\N	\N	\N	\N	\N	f	
11837	3a3a7e76-e076-4bcc-a069-320a3291b5be	Midori-ku	Midori-ku	5	0	2013-08-28 15:46:30.08788+02	\N	\N	\N	\N	\N	\N	f	
11797	bb57bfc7-8d27-404a-946c-d87014f83754	Kadrina	Kadrina	3	0	2013-06-26 13:39:56.117914+02	\N	\N	\N	\N	\N	\N	f	
11817	f74e5b82-1c56-432c-84ad-980b0c5aa4b3	Miyamae-ku	Miyamae-ku	5	0	2013-08-27 14:46:40.673348+02	\N	\N	\N	\N	\N	\N	f	
11843	c4055daf-3f70-44fc-b365-37ccbee7875b	Totsuka-ku	Totsuka-ku	5	0	2013-08-28 15:45:56.152496+02	\N	\N	\N	\N	\N	\N	f	
11826	3e7488be-8d83-4366-aeb1-dd0861d7b8bb	Minami-ku	Minami-ku	5	0	2013-08-27 14:49:04.453187+02	\N	\N	\N	\N	\N	\N	f	
11796	5dfc3d70-daa7-4a36-9f33-a8839dc931b5	Jōnan-ku	Jōnan-ku	5	0	2013-08-27 14:47:17.605676+02	\N	\N	\N	\N	\N	\N	f	
11823	18d40cd0-a85a-4468-b85e-c015553c5843	Minami-ku	Minami-ku	5	0	2013-08-28 15:48:31.252029+02	\N	\N	\N	\N	\N	\N	f	
11798	41aa3771-d10d-4b8e-8b7e-4adf227cfddb	Taihaku-ku	Taihaku-ku	5	0	2013-08-28 15:48:06.685333+02	\N	\N	\N	\N	\N	\N	f	
11801	8f132881-0217-4eff-826f-9781faf6f06a	Miyagino-ku	Miyagino-ku	5	0	2013-08-28 15:48:05.743289+02	\N	\N	\N	\N	\N	\N	f	
11836	181ab15e-7a36-427a-9306-7fdbb229af1a	Izumi-ku	Izumi-ku	5	0	2013-08-28 15:46:49.240041+02	\N	\N	\N	\N	\N	\N	f	
11802	867c9ed8-1957-4201-abde-7d1a008a290c	Aoba-ku	Aoba-ku	5	0	2013-08-28 15:48:05.339124+02	\N	\N	\N	\N	\N	\N	f	
11838	6fbd390b-a6c0-4130-9ca0-413fc7008012	Hamakita-ku	Hamakita-ku	5	0	2013-08-28 15:47:15.979455+02	\N	\N	\N	\N	\N	\N	f	
11828	c6f8a9fe-e807-4d81-ae41-4d3318b6a61e	Kōnan-ku	Kōnan-ku	5	0	2013-08-28 15:46:31.363228+02	\N	\N	\N	\N	\N	\N	f	
11821	e03e7962-b6c6-479e-8ab5-2388ea2354a2	Midori-ku	Midori-ku	5	0	2013-08-28 15:48:41.895783+02	\N	\N	\N	\N	\N	\N	f	
11849	6c7ec626-d3dd-4c3f-95f0-0cbd467f87eb	Nishi-ku	Nishi-ku	5	0	2013-08-28 15:44:54.095446+02	\N	\N	\N	\N	\N	\N	f	
11810	fbc3a051-7d22-41f0-95c2-e5eafb6f1bcb	Wakabayashi-ku	Wakabayashi-ku	5	0	2013-08-28 15:47:57.01463+02	\N	\N	\N	\N	\N	\N	f	
11822	e45b0c2f-c394-4928-a75b-bd9d6af6b30a	Chūō-ku	Chūō-ku	5	0	2013-08-28 15:48:40.038916+02	\N	\N	\N	\N	\N	\N	f	
11803	2077b63e-b800-42e8-8416-121240c96bef	Izumi-ku	Izumi-ku	5	0	2013-08-28 15:48:04.140601+02	\N	\N	\N	\N	\N	\N	f	
11815	d1db842d-f999-4f2c-b7e1-8df406babffa	Kanazawa-ku	Kanazawa-ku	5	0	2013-08-28 15:46:34.933054+02	\N	\N	\N	\N	\N	\N	f	
11805	a13d80c4-2c35-416d-8fbe-277c245e625b	Naka-ku	Naka-ku	5	0	2013-08-28 15:47:36.185803+02	\N	\N	\N	\N	\N	\N	f	
11799	d22b7707-0e6f-4666-aad4-33daf50281e0	Suruga-ku	Suruga-ku	5	0	2013-08-28 15:45:36.833363+02	\N	\N	\N	\N	\N	\N	f	
11835	70cf00fe-14cd-4542-b926-2c0220e12e9a	Aoba-ku	Aoba-ku	5	0	2013-08-28 15:46:56.066312+02	\N	\N	\N	\N	\N	\N	f	
11812	9aab73e7-9cf8-4fbf-bee4-d24e7d522e53	Minami-ku	Minami-ku	5	0	2013-08-28 15:47:34.950095+02	\N	\N	\N	\N	\N	\N	f	
11813	5693b59c-98c6-41c9-a183-aa4eae712ca7	Isogo-ku	Isogo-ku	5	0	2013-08-28 15:46:52.911218+02	\N	\N	\N	\N	\N	\N	f	
11804	331f6a4d-2f79-4c3f-97e9-e6c986e951f6	Kanagawa-ku	Kanagawa-ku	5	0	2013-08-28 15:46:40.916501+02	\N	\N	\N	\N	\N	\N	f	
11816	c79fccfb-61f2-4073-b798-67ce6647a6a8	Higashi-ku	Higashi-ku	5	0	2013-08-28 15:47:32.53497+02	\N	\N	\N	\N	\N	\N	f	
11814	4f89489b-acc5-4c10-ba9c-4c5eaa71e258	Nishi-ku	Nishi-ku	5	0	2013-08-28 15:47:33.547754+02	\N	\N	\N	\N	\N	\N	f	
11832	240a2c21-69da-4a55-8924-776c876cb0c5	Iwatsuki-ku	Iwatsuki-ku	5	0	2013-08-27 14:48:08.101287+02	\N	\N	\N	\N	\N	\N	f	
11841	2ae99ac2-2fb2-476c-8f42-e157bb2d6973	Chūō-ku	Chūō-ku	5	0	2013-08-28 15:45:08.067558+02	\N	\N	\N	\N	\N	\N	f	
11824	7256014f-faea-41b8-8134-0371ce3afaea	Aoi-ku	Aoi-ku	5	0	2013-08-28 15:45:34.968871+02	\N	\N	\N	\N	\N	\N	f	
11827	877ac4af-1a22-42b7-bed9-104448cc4a40	Asahi-ku	Asahi-ku	5	0	2013-08-28 15:46:53.371321+02	\N	\N	\N	\N	\N	\N	f	
14014	76f721b5-7244-4a6b-9f92-3a1f0a0284d5	Verolavecchia	Verolavecchia	4	0	2013-07-21 20:04:13.057381+02	\N	\N	\N	\N	\N	\N	f	
11847	f592ff5a-4e53-4275-9718-e777cb056ace	Kita-ku	Kita-ku	5	0	2013-08-28 15:45:08.353639+02	\N	\N	\N	\N	\N	\N	f	
11844	4afa720a-b980-4570-9a0b-525a0b14b78b	Kita-ku	Kita-ku	5	0	2013-08-27 14:48:05.757259+02	\N	\N	\N	\N	\N	\N	f	
11807	c930eb46-7d28-4e5a-9e96-097f0d73090f	Takatsu-ku	Takatsu-ku	5	0	2013-08-27 14:46:35.526172+02	\N	\N	\N	\N	\N	\N	f	
11846	25639a8d-a502-4f79-85e3-6463817fbd8d	Minami-ku	Minami-ku	5	0	2013-08-28 15:45:09.386108+02	\N	\N	\N	\N	\N	\N	f	
11851	4e27d2e8-1544-4378-a9a0-a38f4efbe4f4	Rapid City	Rapid City	3	0	2013-06-26 17:28:37.915763+02	\N	\N	\N	\N	\N	\N	f	
11806	d7452d0f-80ac-455a-b261-738a2d7e000e	Tsuzuki-ku	Tsuzuki-ku	5	0	2013-08-28 15:46:24.484338+02	\N	\N	\N	\N	\N	\N	f	
11800	22134822-c31a-48fa-819c-b92fce6e7042	Sakura-ku	Sakura-ku	5	0	2013-08-27 14:48:01.459537+02	\N	\N	\N	\N	\N	\N	f	
11848	8abdc07f-c648-412e-beb5-408206aea295	Higashi-ku	Higashi-ku	5	0	2013-08-28 15:45:09.516623+02	\N	\N	\N	\N	\N	\N	f	
11845	834a5779-ef3a-48dd-b7e1-2384331e8cbc	Shimizu-ku	Shimizu-ku	5	0	2013-08-28 15:45:32.493645+02	\N	\N	\N	\N	\N	\N	f	
11833	b8a07721-6a33-4db5-a575-ad35be008c29	Tsurumi-ku	Tsurumi-ku	5	0	2013-08-28 15:46:23.612796+02	\N	\N	\N	\N	\N	\N	f	
11825	9572cdd6-6374-4156-9d41-55f609ab5c11	Sakae-ku	Sakae-ku	5	0	2013-08-28 15:46:24.619083+02	\N	\N	\N	\N	\N	\N	f	
11855	e46dd197-c8ee-4cb1-8c4f-c81d4da62362	North Sioux City	North Sioux City	3	0	2013-06-26 17:36:29.816573+02	\N	\N	\N	\N	\N	\N	f	
11852	a8afd698-88bf-4283-ae9e-7df675aa7eb4	Box Elder	Box Elder	3	0	2013-06-26 17:29:02.197332+02	\N	\N	\N	\N	\N	\N	f	
11853	a451aa9f-9403-40c1-8045-ea340da3118f	Harrisburg	Harrisburg	3	0	2013-06-26 17:30:47.762765+02	\N	\N	\N	\N	\N	\N	f	
11854	1bbd8858-c007-46f0-b37d-16fc49e253cf	Deadwood	Deadwood	3	0	2013-06-26 17:33:58.244654+02	\N	\N	\N	\N	\N	\N	f	
11856	fc276cf4-fffb-41bf-9f99-608c02b6f211	Tea	Tea	3	0	2013-06-26 17:36:42.372862+02	\N	\N	\N	\N	\N	\N	f	
11859	607a3ecd-c1ee-4b73-9127-0a6465112f98	Lead	Lead	3	0	2013-06-26 17:43:53.659789+02	\N	\N	\N	\N	\N	\N	f	
11857	25b264c8-49ef-4613-8d3e-b7b2ddd8e29f	Chamberlain	Chamberlain	3	0	2013-06-26 17:39:27.469003+02	\N	\N	\N	\N	\N	\N	f	
11858	87340755-bfd5-48a4-aece-79aa1e7184a6	Spearfish	Spearfish	3	0	2013-06-26 17:42:47.151865+02	\N	\N	\N	\N	\N	\N	f	
11860	4f2460a0-660f-4fe5-b685-529681fa768a	Winner	Winner	3	0	2013-06-26 17:51:44.217347+02	\N	\N	\N	\N	\N	\N	f	
11861	3e865809-3147-465e-96c5-116c65a9440f	Hot Springs	Hot Springs	3	0	2013-06-26 17:52:11.241853+02	\N	\N	\N	\N	\N	\N	f	
11862	56045c4a-9ab7-483a-9526-3b1a1420fb85	Belle Fourche	Belle Fourche	3	0	2013-06-26 17:52:36.970699+02	\N	\N	\N	\N	\N	\N	f	
11863	3d673edc-16dd-4cb7-961b-16f34af8c105	Sturgis	Sturgis	3	0	2013-06-26 17:56:00.353023+02	\N	\N	\N	\N	\N	\N	f	
11864	71924d64-651a-41a8-a945-6d6ad9d57af4	Kolín	Kolín	3	0	2013-06-26 18:16:25.169525+02	\N	\N	\N	\N	\N	\N	f	
11865	36ec5319-8007-4e77-b90c-f12cd0cff386	Krompachy	Krompachy	3	0	2013-06-26 20:23:16.598259+02	\N	\N	\N	\N	\N	\N	f	
11866	a2c56a87-9969-4e13-b901-ff22fef81423	Custer	Custer	3	0	2013-06-26 23:17:35.629932+02	\N	\N	\N	\N	\N	\N	f	
11867	5e64766e-0ad1-40ee-8835-1baaa67b72bf	Fort Pierre	Fort Pierre	3	0	2013-06-26 23:26:01.285386+02	\N	\N	\N	\N	\N	\N	f	
11850	57267a5a-ff01-4ad6-b75b-fa46d444107b	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:48:09.197601+02	\N	\N	\N	\N	\N	\N	f	
11868	2d34deeb-a8b1-47b5-93c4-017d99f48d51	Webster	Webster	3	0	2013-06-26 23:29:36.112826+02	\N	\N	\N	\N	\N	\N	f	
11839	0e83019c-8156-41d0-8b75-366d2a4f69ce	Kawasaki-ku	Kawasaki-ku	5	0	2013-08-27 14:46:40.818525+02	\N	\N	\N	\N	\N	\N	f	
11869	aac77eda-858a-4608-bc9c-9efe547cdea6	Lennox	Lennox	3	0	2013-06-26 23:34:09.53175+02	\N	\N	\N	\N	\N	\N	f	
11928	0359ed1e-5ba2-4d4b-9304-7bc6005cefca	Bellflower	Bellflower	3	0	2013-06-27 17:45:02.157411+02	\N	\N	\N	\N	\N	\N	f	
11870	d0726b25-3dda-4517-be34-60170eb2c4a1	Summerset	Summerset	3	0	2013-06-26 23:34:42.994883+02	\N	\N	\N	\N	\N	\N	f	
11871	d439fa80-2835-4bf2-b515-f9e701c30ec8	Springfield	Springfield	3	0	2013-06-26 23:49:36.293519+02	\N	\N	\N	\N	\N	\N	f	
11909	bef440e5-6e12-4fe3-b2c6-75be53ed8ec9	Higashi-ku	Higashi-ku	5	0	2013-08-28 15:43:12.834346+02	\N	\N	\N	\N	\N	\N	f	
11882	9ae89a0d-9509-4e41-8654-c7b3d8a28ad6	Nishikyō-ku	Nishikyō-ku	5	0	2013-08-28 15:44:20.184945+02	\N	\N	\N	\N	\N	\N	f	
11904	ffda69fd-972a-4c00-8775-47a550733394	Asakita-ku	Asakita-ku	5	0	2013-08-28 15:43:36.132422+02	\N	\N	\N	\N	\N	\N	f	
11923	99ce9f3e-c998-425a-88e5-c7e5a2180cfe	Nishiyodogawa-ku	Nishiyodogawa-ku	5	0	2013-08-28 15:41:20.78615+02	\N	\N	\N	\N	\N	\N	f	
11900	a1fa30c9-dba9-4095-aa1c-9b8f7f18d02a	Taishō-ku	Taishō-ku	5	0	2013-08-28 15:42:22.514504+02	\N	\N	\N	\N	\N	\N	f	
11719	96fe8e71-3de2-4e4d-91a4-17d3e3cb63e2	Yahatanishi-ku	Yahatanishi-ku	5	0	2013-08-27 14:45:51.757847+02	\N	\N	\N	\N	\N	\N	f	
11887	b0c89a60-385f-49f6-abf6-0d931867f00b	Kamigyō-ku	Kamigyō-ku	5	0	2013-08-28 15:44:28.054424+02	\N	\N	\N	\N	\N	\N	f	
11906	c130b166-e49e-4870-949a-677337843207	Shiroishi-ku	Shiroishi-ku	5	0	2013-08-27 14:43:53.49915+02	\N	\N	\N	\N	\N	\N	f	
11873	d60063b6-ae46-46dc-9f19-f427ddd6a715	Moji-ku	Moji-ku	5	0	2013-08-27 14:45:47.062341+02	\N	\N	\N	\N	\N	\N	f	
11905	228ec65b-8b21-4095-b3b4-051273b98327	Naka-ku	Naka-ku	5	0	2013-08-28 15:43:27.655009+02	\N	\N	\N	\N	\N	\N	f	
11884	01950bd3-55ae-473b-a2a0-3e84a612cf0d	Chūō-ku	Chūō-ku	5	0	2013-08-27 14:47:13.048455+02	\N	\N	\N	\N	\N	\N	f	
11874	340bf823-5605-4185-aba1-78fa3958775a	Nakagyō-ku	Nakagyō-ku	5	0	2013-08-28 15:44:22.177956+02	\N	\N	\N	\N	\N	\N	f	
11879	1aea633b-144a-4b05-ab54-51886757cede	Yamashina-ku	Yamashina-ku	5	0	2013-08-28 15:44:29.841292+02	\N	\N	\N	\N	\N	\N	f	
11912	5e7c0a7a-0b54-4e4c-9201-ab65c5378818	Higashi-ku	Higashi-ku	5	0	2013-08-28 15:42:42.783502+02	\N	\N	\N	\N	\N	\N	f	
11889	52192b85-7bc7-4c52-a4ef-9fb4ee0d7ee0	Atsuta-ku	Atsuta-ku	5	0	2013-08-27 14:49:20.32066+02	\N	\N	\N	\N	\N	\N	f	
11901	32110774-ca8a-49e4-89e0-8a2c1274627c	Aki-ku	Aki-ku	5	0	2013-08-28 15:43:37.419026+02	\N	\N	\N	\N	\N	\N	f	
11809	df0dff11-5d6f-4c30-a6e8-873026e090fe	Tenryū-ku	Tenryū-ku	5	0	2013-08-28 15:47:31.261967+02	\N	\N	\N	\N	\N	\N	f	
11872	2f48fc84-65c5-4ef8-a3c9-9239f4ac3700	Minami-ku	Minami-ku	5	0	2013-08-28 15:42:54.314494+02	\N	\N	\N	\N	\N	\N	f	
11919	4634e16c-fcde-4dbc-beed-ec7cefc362c3	Konohana-ku	Konohana-ku	5	0	2013-08-28 15:40:53.434592+02	\N	\N	\N	\N	\N	\N	f	
11907	6e3266fa-f549-4381-8c43-ec73fda9bd3f	Nishi-ku	Nishi-ku	5	0	2013-08-28 15:43:34.609172+02	\N	\N	\N	\N	\N	\N	f	
11881	44b8ac93-0569-4d4c-a091-a0eb670a03eb	Minami-ku	Minami-ku	5	0	2013-08-28 15:44:25.740178+02	\N	\N	\N	\N	\N	\N	f	
11908	824c15b2-9aaf-4cfa-9e13-717885b93d77	Saeki-ku	Saeki-ku	5	0	2013-08-28 15:43:38.833415+02	\N	\N	\N	\N	\N	\N	f	
11902	69f44807-4383-4652-a93e-a5f93ff0c46c	Asaminami-ku	Asaminami-ku	5	0	2013-08-28 15:43:34.722073+02	\N	\N	\N	\N	\N	\N	f	
11911	9ffeab72-410a-47d9-a70a-af1f2eb08cd6	Kita-ku	Kita-ku	5	0	2013-08-28 15:42:58.003919+02	\N	\N	\N	\N	\N	\N	f	
11885	f2348b56-dea4-4e2c-8d7a-ae5fb688d5ad	Higashiyama-ku	Higashiyama-ku	5	0	2013-08-28 15:44:26.983586+02	\N	\N	\N	\N	\N	\N	f	
11888	6d31efc3-67f3-4ad7-82df-edd734129e59	Sakyō-ku	Sakyō-ku	5	0	2013-08-28 15:44:08.705952+02	\N	\N	\N	\N	\N	\N	f	
11921	11da6ec5-6e84-4eec-b1db-0c19abe591d2	Nishinari-ku	Nishinari-ku	5	0	2013-08-28 15:41:28.776769+02	\N	\N	\N	\N	\N	\N	f	
11883	ebcba906-2c8d-4624-a10f-77bbb483ac3c	Kita-ku	Kita-ku	5	0	2013-08-28 15:44:28.013882+02	\N	\N	\N	\N	\N	\N	f	
11903	1d403173-191a-4ee4-8c84-c7948225e5d9	Minami-ku	Minami-ku	5	0	2013-08-28 15:43:35.906429+02	\N	\N	\N	\N	\N	\N	f	
11877	2961d6e4-03ec-4e35-8190-f25ef66fa90c	Shimogyō-ku	Shimogyō-ku	5	0	2013-08-28 15:44:18.856502+02	\N	\N	\N	\N	\N	\N	f	
11910	a20ced92-3d4a-4079-b0bf-29a806b264b1	Naka-ku	Naka-ku	5	0	2013-08-28 15:42:59.208149+02	\N	\N	\N	\N	\N	\N	f	
11891	b5418158-9690-4f07-b34c-f7235f09bdaf	Nishi-ku	Nishi-ku	5	0	2013-08-28 15:41:29.675448+02	\N	\N	\N	\N	\N	\N	f	
11926	4c371e97-5b7f-4a2e-bf3e-98b33d769692	Oradea	Oradea	3	0	2013-06-27 16:58:11.779034+02	\N	\N	\N	\N	\N	\N	f	
11929	8fa3b261-67ac-4252-aff3-be9c01accb2d	Dover	Dover	3	0	2013-06-27 17:51:21.158723+02	\N	\N	\N	\N	\N	\N	f	
11927	0fb5ead0-4060-4069-820e-dc018b55245f	Macon	Macon	3	0	2013-06-27 17:39:04.438621+02	\N	\N	\N	\N	\N	\N	f	
11931	458aae64-c943-495f-b9f0-01a700f4f687	Palopo	Palopo	3	0	2013-06-27 23:21:23.435361+02	\N	\N	\N	\N	\N	\N	f	
11930	45b4f17c-b4ba-449b-bf78-3aac06bc201e	Faro	Faro	3	0	2013-06-27 23:16:39.025534+02	\N	\N	\N	\N	\N	\N	f	
11933	716cd487-48f0-40cd-8b7c-568fea0eb6e4	Harrismith	Harrismith	3	0	2013-06-27 23:22:57.962538+02	\N	\N	\N	\N	\N	\N	f	
11932	46d7e0b3-961e-4561-8bd5-0353c2f9f679	Pare-Pare	Pare-Pare	3	0	2013-06-27 23:21:38.164588+02	\N	\N	\N	\N	\N	\N	f	
11934	7bd2855d-bb24-408e-ba28-9ae97faeda7f	Detroit Lakes	Detroit Lakes	3	0	2013-06-27 23:25:16.193785+02	\N	\N	\N	\N	\N	\N	f	
11935	510fe318-e2bf-438f-93c5-a32b77d31a03	Hoopstad	Hoopstad	3	0	2013-06-27 23:27:14.102975+02	\N	\N	\N	\N	\N	\N	f	
11936	3ab495b7-c310-4d77-96fa-39d3ffbbc3c9	Dedemsvaart	Dedemsvaart	3	0	2013-06-27 23:32:02.650132+02	\N	\N	\N	\N	\N	\N	f	
11937	6c4f6378-4eec-4dea-a098-2b4a6daeeaf8	Pangkal Pinang	Pangkal Pinang	3	0	2013-06-27 23:46:52.765885+02	\N	\N	\N	\N	\N	\N	f	
11938	d790ca42-038a-4adb-b8c2-f2021465d4c6	Kiryat Ono	Kiryat Ono	3	0	2013-06-28 08:21:33.982334+02	\N	\N	\N	\N	\N	\N	f	
11939	841c52e6-b273-4cd1-a726-637f99f5ea52	Kalamazoo	Kalamazoo	3	0	2013-06-28 08:22:47.923581+02	\N	\N	\N	\N	\N	\N	f	
11940	1aac29e5-7e8c-4858-9f6b-481e3d759754	Kiryat Shmona	Kiryat Shmona	3	0	2013-06-28 08:33:44.912806+02	\N	\N	\N	\N	\N	\N	f	
15721	1f3d6444-31ad-4d58-ba96-9f79f579c1c8	Riano, Lazio	Riano, Lazio	4	0	2013-07-22 01:48:14.876285+02	\N	\N	\N	\N	\N	\N	f	
11941	daf8f7a3-cc18-4cb3-9b2b-2a255a1037cf	Knoxville	Knoxville	3	0	2013-06-28 08:50:33.379342+02	\N	\N	\N	\N	\N	\N	f	
17511	54a13a58-bdbe-4ffc-b35e-3583d1d73e55	Lomello	Lomello	4	0	2013-07-22 06:36:30.486489+02	\N	\N	\N	\N	\N	\N	f	
11942	27a1992b-046f-4775-a1fd-eba15719d2e6	Wadhwan	Wadhwan	3	0	2013-06-28 17:17:30.026364+02	\N	\N	\N	\N	\N	\N	f	
11943	9494b764-3ea7-4350-8584-dfc6effe3bb0	Wankaner	Wankaner	3	0	2013-06-28 17:26:24.075866+02	\N	\N	\N	\N	\N	\N	f	
14015	800d36a1-73fc-433f-88c5-d6daab679135	Torriana	Torriana	4	0	2013-07-21 20:04:25.89216+02	\N	\N	\N	\N	\N	\N	f	
11965	97539c8f-86da-44bf-8772-d434a8e2a5e5	Canton of Clervaux	Canton of Clervaux	2	0	2013-06-29 08:42:27.169177+02	\N	\N	\N	\N	\N	\N	f	
19899	50596d8d-fb78-4903-9bd8-6558cdeebca3	Grottole	Grottole	4	0	2013-07-22 11:52:38.302868+02	\N	\N	\N	\N	\N	\N	f	
11945	d26f9b26-7ee9-4a36-8e16-da2c5b661f95	Vadgam	Vadgam	3	0	2013-06-28 17:33:12.447278+02	\N	\N	\N	\N	\N	\N	f	
11979	6170a824-ce9d-48d7-b28f-9e493e220436	Saint Petersburg	Saint Petersburg	3	0	2013-06-29 17:37:52.368058+02	\N	\N	\N	\N	\N	\N	f	
11946	794bea6a-8daa-4066-b6d0-2595f11078e7	Volga	Volga	3	0	2013-06-28 17:41:54.587752+02	\N	\N	\N	\N	\N	\N	f	
11966	f83962a4-ddcf-44a6-9734-5f35dc4bd139	Canton of Luxembourg	Canton of Luxembourg	2	0	2013-06-29 08:42:38.878949+02	\N	\N	\N	\N	\N	\N	f	
11947	354c003c-8cef-4031-8031-3a96ed0d4761	Lafayette, California	Lafayette, California	3	0	2013-06-28 20:32:35.382606+02	\N	\N	\N	\N	\N	\N	f	
11948	f9d661cf-e153-4e7d-a7f0-447d984aee31	Okiep	Okiep	3	0	2013-06-28 23:16:39.593347+02	\N	\N	\N	\N	\N	\N	f	
11967	0c6cb6dd-9d2b-462d-842c-df62ef4ee97f	Canton of Remich	Canton of Remich	2	0	2013-06-29 08:42:51.008635+02	\N	\N	\N	\N	\N	\N	f	
11950	19bc1ef9-3436-47da-b1e1-a55dbc627f4d	Lafayette	Lafayette	3	0	2013-06-28 23:17:37.275942+02	\N	\N	\N	\N	\N	\N	f	
11951	e86721bb-9eef-4ebd-9d2f-cbcabc874c86	Mount Pleasant	Mount Pleasant	3	0	2013-06-28 23:38:59.160636+02	\N	\N	\N	\N	\N	\N	f	
11989	c8bb7168-762f-47b3-b71d-9b990bc75703	Bucyrus	Bucyrus	3	0	2013-06-30 05:34:11.444408+02	\N	\N	\N	\N	\N	\N	f	
11952	02d8643d-6486-49d2-af3d-f78a0c427068	Merewether	Merewether	3	0	2013-06-28 23:42:43.017021+02	\N	\N	\N	\N	\N	\N	f	
11968	d8c1181e-6397-4788-9d3d-d6b9993d5dd4	Canton of Diekirch	Canton of Diekirch	2	0	2013-06-29 08:43:02.471633+02	\N	\N	\N	\N	\N	\N	f	
11953	80e4a21e-98c2-47e2-9726-d7193eb1aa80	Lynnwood	Lynnwood	3	0	2013-06-28 23:47:01.853032+02	\N	\N	\N	\N	\N	\N	f	
10124	4551ede8-589a-4776-8120-bf43e53c927b	Lexington	Lexington	3	0	2013-06-29 01:00:21.242688+02	\N	\N	\N	\N	\N	\N	f	
11954	03a6d664-6d79-42e3-bb8a-c48aef1dcc2b	Bordeaux	Bordeaux	3	0	2013-06-29 01:24:19.28984+02	\N	\N	\N	\N	\N	\N	f	
11980	5c416f2c-bc03-4cfb-950e-0db11f364cbc	Freeman	Freeman	3	0	2013-06-29 20:29:20.062496+02	\N	\N	\N	\N	\N	\N	f	
11955	aa76cc13-ede5-4470-bab5-cdecc427b90d	Metz	Metz	3	0	2013-06-29 01:35:04.36554+02	\N	\N	\N	\N	\N	\N	f	
11969	128cb78a-3ff1-4beb-b71e-21e6f2f5d914	Canton of Echternach	Canton of Echternach	2	0	2013-06-29 08:43:33.947131+02	\N	\N	\N	\N	\N	\N	f	
11956	5ba5f79b-f851-4db4-99f4-c43fbcc0ae74	Parkston	Parkston	3	0	2013-06-29 02:27:02.652298+02	\N	\N	\N	\N	\N	\N	f	
11957	59dc4764-ee8f-40f0-b179-c0d2df009109	Wagner	Wagner	3	0	2013-06-29 02:29:04.678701+02	\N	\N	\N	\N	\N	\N	f	
11958	ebb6f5fe-878e-4515-8574-2895443fd810	Miller	Miller	3	0	2013-06-29 02:30:45.406322+02	\N	\N	\N	\N	\N	\N	f	
11970	b71bf062-ffb2-436a-911d-1d6d2351b893	Canton of Mersch	Canton of Mersch	2	0	2013-06-29 08:44:20.968814+02	\N	\N	\N	\N	\N	\N	f	
11959	5dd6a68d-cd00-4666-b4aa-4a92de354cb8	Lake Andes	Lake Andes	3	0	2013-06-29 05:29:15.776509+02	\N	\N	\N	\N	\N	\N	f	
11960	09d6a898-9d51-4dc4-8bdd-e5d5410b3cf5	Timber Lake	Timber Lake	3	0	2013-06-29 05:31:00.375593+02	\N	\N	\N	\N	\N	\N	f	
11961	a773bf53-b691-4a3e-8729-a5020ef48980	Groton	Groton	3	0	2013-06-29 05:33:44.374091+02	\N	\N	\N	\N	\N	\N	f	
11971	ed59556f-9b84-4635-b2ef-267a241d41e1	Canton of Redange	Canton of Redange	2	0	2013-06-29 08:46:47.716429+02	\N	\N	\N	\N	\N	\N	f	
11962	7177ad70-6fcb-4476-91ca-26db10ef18ff	Canton of Esch-sur-Alzette	Canton of Esch-sur-Alzette	2	0	2013-06-29 08:23:51.87178+02	\N	\N	\N	\N	\N	\N	f	
11963	935fe9fb-6f09-405b-9a04-ea3ca59f35f4	Canton of Capellen	Canton of Capellen	2	0	2013-06-29 08:35:31.50795+02	\N	\N	\N	\N	\N	\N	f	
11981	110b337a-8dbb-4267-a1b1-514e7c01bbdc	Cordero	Cordero	3	0	2013-06-29 20:33:02.68748+02	\N	\N	\N	\N	\N	\N	f	
11964	56067e88-2b95-4f7b-87a7-8705e109a90a	Canton of Wiltz	Canton of Wiltz	2	0	2013-06-29 08:39:03.458296+02	\N	\N	\N	\N	\N	\N	f	
11972	c8ae9efd-3830-4dd7-89f9-1ab7444f968b	Canton of Vianden	Canton of Vianden	2	0	2013-06-29 08:47:21.094465+02	\N	\N	\N	\N	\N	\N	f	
11973	f7cf7fd4-2f60-4a27-8686-33b55b67ad99	Southport	Southport	3	0	2013-06-29 11:16:40.35949+02	\N	\N	\N	\N	\N	\N	f	
11999	29b9f192-75cf-4f44-9d41-b848fd0ecdf3	Rogers, North Dakota	Rogers, North Dakota	3	0	2013-06-30 05:40:59.12475+02	\N	\N	\N	\N	\N	\N	f	
11974	394217fe-947f-4f97-9f1d-fecfa848db38	Zamboanga City	Zamboanga City	3	0	2013-06-29 11:22:25.751921+02	\N	\N	\N	\N	\N	\N	f	
11982	1c986ac1-1cbf-4c1b-9765-83995ff90777	New Salem	New Salem	3	0	2013-06-30 05:32:08.348748+02	\N	\N	\N	\N	\N	\N	f	
11975	ea88b2eb-48bf-4a9a-b379-cb7f5790b2ac	Rockingham	Rockingham	3	0	2013-06-29 11:42:15.550972+02	\N	\N	\N	\N	\N	\N	f	
11976	1f499cd3-bb9c-4e11-bf0f-258609ed379b	Waldkirch	Waldkirch	3	0	2013-06-29 14:37:42.150012+02	\N	\N	\N	\N	\N	\N	f	
11990	bc5dcfd1-17c9-4164-8ce4-3a1645742394	Alexander	Alexander	3	0	2013-06-30 05:34:27.706686+02	\N	\N	\N	\N	\N	\N	f	
11977	5287c367-e638-439b-b4cb-584077a409aa	Dupree	Dupree	3	0	2013-06-29 17:17:11.406348+02	\N	\N	\N	\N	\N	\N	f	
11983	8a0a719d-1ccd-4b6b-976a-7e0b3c8f2d71	Almont	Almont	3	0	2013-06-30 05:32:32.14932+02	\N	\N	\N	\N	\N	\N	f	
11978	9bde5498-9209-435b-b26a-64d796845f98	Salem	Salem	3	0	2013-06-29 17:27:49.836583+02	\N	\N	\N	\N	\N	\N	f	
11984	693dd842-8913-44b0-ace0-5b87c4527032	Haynes	Haynes	3	0	2013-06-30 05:32:50.284983+02	\N	\N	\N	\N	\N	\N	f	
11996	702f4c2b-beaa-4dc0-a3dd-dd3cd6eb553e	Kathryn	Kathryn	3	0	2013-06-30 05:35:47.993793+02	\N	\N	\N	\N	\N	\N	f	
11985	85c31bfd-c172-418d-892c-5dce896680bf	Flasher	Flasher	3	0	2013-06-30 05:33:04.342461+02	\N	\N	\N	\N	\N	\N	f	
11991	27285d0a-518f-492b-a6bf-94b1e4316f30	Oriska	Oriska	3	0	2013-06-30 05:34:45.300633+02	\N	\N	\N	\N	\N	\N	f	
11986	a6673906-a206-4d7a-834e-a9b970d31d48	Hebron	Hebron	3	0	2013-06-30 05:33:21.318299+02	\N	\N	\N	\N	\N	\N	f	
11987	ce4b13cd-f8c0-4c88-ad9c-d1ff1f7dd543	Alice	Alice	3	0	2013-06-30 05:33:37.985679+02	\N	\N	\N	\N	\N	\N	f	
11988	6c89a640-eb63-4824-ab14-4041f944827d	Glen Ullin	Glen Ullin	3	0	2013-06-30 05:33:54.794455+02	\N	\N	\N	\N	\N	\N	f	
11992	0daa6fb6-1663-4d66-acf9-7269e4e6d0d0	Hettinger	Hettinger	3	0	2013-06-30 05:35:01.616757+02	\N	\N	\N	\N	\N	\N	f	
11993	855e7fc3-b067-49cc-9540-c646b462bbbc	Litchville	Litchville	3	0	2013-06-30 05:35:13.111576+02	\N	\N	\N	\N	\N	\N	f	
11997	43c4d7e3-8566-415b-ac70-7b638e08b1fd	Nome	Nome	3	0	2013-06-30 05:35:59.53905+02	\N	\N	\N	\N	\N	\N	f	
11994	585cae33-8dfc-485e-abd1-5def99fa476f	Mandan	Mandan	3	0	2013-06-30 05:35:24.605375+02	\N	\N	\N	\N	\N	\N	f	
12001	2c31712d-b1cb-4581-a989-d9afef510103	Aarhus	Aarhus	3	0	2013-06-30 23:30:35.121432+02	\N	\N	\N	\N	\N	\N	f	
11995	e855675e-0e51-423d-a0b4-ac834a1a0daf	Leal	Leal	3	0	2013-06-30 05:35:36.278218+02	\N	\N	\N	\N	\N	\N	f	
12000	4273813f-edf1-4813-9e79-d06c37a11d63	Pillsbury, North Dakota	Pillsbury, North Dakota	3	0	2013-06-30 05:41:10.663181+02	\N	\N	\N	\N	\N	\N	f	
11998	c40d6dca-a5a7-4d46-890b-c20972fe38aa	Grand Forks, North Dakota	Grand Forks, North Dakota	3	0	2013-06-30 05:37:35.423683+02	\N	\N	\N	\N	\N	\N	f	
12003	2bfefd11-8be7-4c63-bf8d-1600ba27ab66	Lunawada	Lunawada	3	0	2013-07-01 11:28:13.835072+02	\N	\N	\N	\N	\N	\N	f	
12002	93fa1444-a03d-43e9-ad64-0dbe53ab9471	Ølstykke	Ølstykke	3	0	2013-06-30 23:33:13.479009+02	\N	\N	\N	\N	\N	\N	f	
12004	4b5e5c6c-3d42-4623-a4f8-7f1724a99df6	Lathi, Gujarat	Lathi, Gujarat	3	0	2013-07-01 11:35:11.013596+02	\N	\N	\N	\N	\N	\N	f	
12005	bcce4b7f-a487-451e-98ac-f053c0bbcb35	Limbdi	Limbdi	3	0	2013-07-01 11:42:37.45539+02	\N	\N	\N	\N	\N	\N	f	
12006	4a872441-73fa-453a-a23b-853af8349c89	Lakhpat	Lakhpat	3	0	2013-07-01 14:32:11.004476+02	\N	\N	\N	\N	\N	\N	f	
12007	15c5b88a-e1eb-46ca-9bdd-981a9568d373	Kemerovo	Kemerovo	3	0	2013-07-01 15:24:19.489271+02	\N	\N	\N	\N	\N	\N	f	
12008	6a00b07e-039a-4338-82d7-53703ada7c2e	Lohusuu	Lohusuu	3	0	2013-07-01 15:29:28.129359+02	\N	\N	\N	\N	\N	\N	f	
12009	ffe4ecb5-d6d5-4f1e-819a-557bcb33a23a	Radhanpur	Radhanpur	3	0	2013-07-02 11:26:21.332821+02	\N	\N	\N	\N	\N	\N	f	
12010	80a145fb-8a80-4b81-bcf6-6d90e88456b8	Škofja Loka	Škofja Loka	3	0	2013-07-02 17:22:02.124138+02	\N	\N	\N	\N	\N	\N	f	
12011	db5f5236-f196-42c8-a797-1eb168d5994a	Kolding	Kolding	3	0	2013-07-02 23:31:41.89842+02	\N	\N	\N	\N	\N	\N	f	
12012	500ed89b-f46d-4d59-ab38-9642976109b3	Spittal	Spittal	3	0	2013-07-03 11:16:54.301772+02	\N	\N	\N	\N	\N	\N	f	
12036	f806eafb-e687-495c-8ffb-2ccbcd12dd6b	Bison	Bison	3	0	2013-07-07 14:48:35.262073+02	\N	\N	\N	\N	\N	\N	f	
12013	fe36b412-ddd8-43b2-8e89-4f46e32de22c	Kõue	Kõue	3	0	2013-07-03 12:00:00.354582+02	\N	\N	\N	\N	\N	\N	f	
12014	972d279c-5802-41ed-be32-5d40c4de1f19	Pacific Grove	Pacific Grove	3	0	2013-07-03 16:52:21.579988+02	\N	\N	\N	\N	\N	\N	f	
12037	069c3369-6a57-4c68-a871-cb14cbde9035	Saint-Vallier	Saint-Vallier	3	0	2013-07-07 17:34:20.972726+02	\N	\N	\N	\N	\N	\N	f	
12017	6a5fd008-fd11-4894-a04f-ee0ecd914aff	Kodasema	Kodasema	3	0	2013-07-04 20:02:02.644227+02	\N	\N	\N	\N	\N	\N	f	
12018	16d0fece-5c5a-40f8-8cf1-20417c4badd2	Buldan	Buldan	3	0	2013-07-04 20:16:38.616511+02	\N	\N	\N	\N	\N	\N	f	
12038	69f554fe-3609-4327-87a5-63e5096bc5c7	Armagh	Armagh	3	0	2013-07-07 20:32:43.815293+02	\N	\N	\N	\N	\N	\N	f	
12019	9e12920e-3720-4a10-abf1-009d5c4e68cb	Kolga	Kolga	3	0	2013-07-04 20:21:09.78863+02	\N	\N	\N	\N	\N	\N	f	
12020	7fd2c5aa-cfb2-4f1b-ba2f-32957349f3ba	Montrose	Montrose	3	0	2013-07-05 08:51:29.97395+02	\N	\N	\N	\N	\N	\N	f	
12051	58b52893-6ac4-4c57-977b-fdec915fa35c	Mission	Mission	3	0	2013-07-08 11:29:23.698043+02	\N	\N	\N	\N	\N	\N	f	
12021	3c5a0506-d852-4e96-8d1e-d8126328f3be	New Orleans	New Orleans	3	0	2013-07-05 14:33:59.564208+02	\N	\N	\N	\N	\N	\N	f	
12039	b0f9a7cc-d1c1-482c-9e48-6ace2ab6383d	Cēsis	Cēsis	3	0	2013-07-08 00:04:36.850939+02	\N	\N	\N	\N	\N	\N	f	
12022	a3509fbd-621d-4ab0-bef6-cbf5ede3c48d	Rannapungerja	Rannapungerja	3	0	2013-07-05 17:34:47.150952+02	\N	\N	\N	\N	\N	\N	f	
12023	6f07df6f-f091-4a4a-b1c8-093794df4f1c	Pala	Pala	3	0	2013-07-05 17:37:04.126151+02	\N	\N	\N	\N	\N	\N	f	
12024	28e6f95b-84c4-4c84-8e18-0ea4bd74fb63	Tomioka	Tomioka	3	0	2013-07-06 05:18:24.232797+02	\N	\N	\N	\N	\N	\N	f	
12040	2f612940-4768-4f9b-b5b7-f6deb9aa81a3	Sault Ste. Marie	Sault Ste. Marie	3	0	2013-07-08 00:12:31.764251+02	\N	\N	\N	\N	\N	\N	f	
12025	34268a86-54ec-487d-afa3-1afe3266a382	Bergen	Bergen	3	0	2013-07-06 11:31:32.38339+02	\N	\N	\N	\N	\N	\N	f	
12026	9b6ae1a2-6e6b-4d46-a273-6d3e8622dcaf	Lowell, Michigan	Lowell, Michigan	3	0	2013-07-06 14:32:09.133351+02	\N	\N	\N	\N	\N	\N	f	
12027	ab6928e6-04e6-4c00-86c3-ffb7f66ca821	Flensburg	Flensburg	3	0	2013-07-06 17:34:56.372526+02	\N	\N	\N	\N	\N	\N	f	
12041	8b39e5e2-3978-47dc-a4c3-2c95096a0d34	Kushva	Kushva	3	0	2013-07-08 01:19:49.086159+02	\N	\N	\N	\N	\N	\N	f	
12028	58392a14-1c45-40b0-ad8d-6aef8323742b	McHenry	McHenry	3	0	2013-07-06 17:39:42.776214+02	\N	\N	\N	\N	\N	\N	f	
12029	0931744e-659a-4db0-ad13-daa4d00f9a41	Fort Collins	Fort Collins	3	0	2013-07-06 23:37:19.366218+02	\N	\N	\N	\N	\N	\N	f	
12052	a9ba46b4-8ba8-489e-b03c-b921aa1e0830	Clark	Clark	3	0	2013-07-08 11:32:45.801035+02	\N	\N	\N	\N	\N	\N	f	
12030	26d7f775-1bae-4551-9412-1ab9c61c4314	Lyon	Lyon	3	0	2013-07-07 03:27:18.298313+02	\N	\N	\N	\N	\N	\N	f	
12042	bb9372ee-5c12-4e70-bf13-f6d98ca721d7	Berdychiv	Berdychiv	3	0	2013-07-08 01:22:03.404016+02	\N	\N	\N	\N	\N	\N	f	
12031	9087f6ec-2f6e-4268-a816-50a8cb5ead2f	Platte	Platte	3	0	2013-07-07 14:25:44.984197+02	\N	\N	\N	\N	\N	\N	f	
12032	93a15ce7-f509-4d5d-bac8-6bcaff4bcddf	Clear Lake	Clear Lake	3	0	2013-07-07 14:27:13.158908+02	\N	\N	\N	\N	\N	\N	f	
12033	6a50e731-469a-4fa6-a640-97c9b10dfe32	Britton	Britton	3	0	2013-07-07 14:27:47.377772+02	\N	\N	\N	\N	\N	\N	f	
12043	13058d17-29bd-4fba-afc5-a8a97360d134	Märjamaa	Märjamaa	3	0	2013-07-08 01:56:56.861497+02	\N	\N	\N	\N	\N	\N	f	
12034	039077c3-fbab-4a24-8cff-de1814f16a6d	Gregory	Gregory	3	0	2013-07-07 14:28:20.186838+02	\N	\N	\N	\N	\N	\N	f	
12035	949db608-d1b3-4a85-8d34-4d533e7552d5	Lemmon	Lemmon	3	0	2013-07-07 14:34:28.152515+02	\N	\N	\N	\N	\N	\N	f	
12053	e5d996f2-bac6-4643-ad57-c7c97e1ba898	Tyndall	Tyndall	3	0	2013-07-08 14:30:52.34733+02	\N	\N	\N	\N	\N	\N	f	
12044	53f8b843-b567-422e-9e91-545387f03c99	Navikõ	Navikõ	3	0	2013-07-08 02:05:15.854023+02	\N	\N	\N	\N	\N	\N	f	
12045	2e4b2494-f376-419b-b090-9aa96cd55563	Lac-Mégantic	Lac-Mégantic	3	0	2013-07-08 02:20:59.177771+02	\N	\N	\N	\N	\N	\N	f	
12070	8c77669c-1093-409e-89a3-fb173ad6751c	Taibao	Taibao	3	0	2013-07-13 14:45:41.86+02	\N	\N	\N	\N	\N	\N	f	
12046	d8573f7a-4ee4-4a98-ba74-f639d0a9d7b1	Vyborg	Vyborg	3	0	2013-07-08 02:26:15.988913+02	\N	\N	\N	\N	\N	\N	f	
12054	340cff32-f82f-4979-ab42-1f8902d3ae13	Martin	Martin	3	0	2013-07-08 14:33:06.538549+02	\N	\N	\N	\N	\N	\N	f	
12047	6fd7f7a8-a3f0-4b36-a288-60b898a8fad9	Nurmijärvi	Nurmijärvi	3	0	2013-07-08 02:27:30.43635+02	\N	\N	\N	\N	\N	\N	f	
12048	9d60ee58-45dc-4f63-aba9-ee112f8e62b0	Graužiniai	Graužiniai	3	0	2013-07-08 02:57:44.220723+02	\N	\N	\N	\N	\N	\N	f	
12061	c4e854fe-ac78-43e8-ab30-418daee5898b	Gandevi	Gandevi	3	0	2013-07-11 20:42:48.790303+02	\N	\N	\N	\N	\N	\N	f	
12049	90f5e404-1e6c-4bee-92f4-c6939a2502c0	Saint-Paul-de-l'Île-aux-Noix	Saint-Paul-de-l'Île-aux-Noix	3	0	2013-07-08 05:34:09.496857+02	\N	\N	\N	\N	\N	\N	f	
15724	76c7d553-3d39-4755-894f-a1a91305a5e7	Roiate	Roiate	4	0	2013-07-22 01:48:54.389872+02	\N	\N	\N	\N	\N	\N	f	
12050	fa032745-5d3b-4da7-ba56-03189db56bd1	Aberdeen	Aberdeen	3	0	2013-07-08 08:32:23.576798+02	\N	\N	\N	\N	\N	\N	f	
12055	6685b8d2-4c47-4ed4-aa3d-5765e8436b5c	East Sioux Falls	East Sioux Falls	3	0	2013-07-08 14:39:43.706678+02	\N	\N	\N	\N	\N	\N	f	
12067	78778e4b-d13b-4f28-97bc-bc3fb354b2b0	Douliu	Douliu	3	0	2013-07-13 14:44:15.45994+02	\N	\N	\N	\N	\N	\N	f	
12056	0d7afe7f-f498-48dc-a8f4-c48e59e52e49	South Sioux Falls	South Sioux Falls	3	0	2013-07-08 14:44:39.891181+02	\N	\N	\N	\N	\N	\N	f	
12057	4dc3fa97-cf9b-43f0-bec9-fcc52d6215d5	Milwaukee	Milwaukee	3	0	2013-07-09 11:34:44.636978+02	\N	\N	\N	\N	\N	\N	f	
12058	4c34cabd-981f-470d-9210-4249a24eddef	Otterburn Park	Otterburn Park	3	0	2013-07-09 14:20:53.221108+02	\N	\N	\N	\N	\N	\N	f	
12062	38ca31c8-7152-41c1-90a8-ea780ff0158f	Zhongli	Zhongli	3	0	2013-07-13 14:23:06.052428+02	\N	\N	\N	\N	\N	\N	f	
12063	356e65bf-b10a-4491-9998-128c51e933a7	Changhua City	Changhua City	3	0	2013-07-13 14:26:07.41396+02	\N	\N	\N	\N	\N	\N	f	
12068	81ad10b4-af16-4b62-8a7b-f57687d9a128	Yilan City	Yilan City	3	0	2013-07-13 14:44:42.665409+02	\N	\N	\N	\N	\N	\N	f	
12064	9b3d5c5a-a835-401b-8628-3141cbeeeba1	Yangmei	Yangmei	3	0	2013-07-13 14:27:55.258577+02	\N	\N	\N	\N	\N	\N	f	
12065	0a20f507-7ad4-44d9-b850-e7d75068b472	Zhubei	Zhubei	3	0	2013-07-13 14:34:12.94691+02	\N	\N	\N	\N	\N	\N	f	
14016	77a927e8-3910-4ebd-b082-8059d9ccd305	Serle	Serle	4	0	2013-07-21 20:04:40.16786+02	\N	\N	\N	\N	\N	\N	f	
7948	16560d3e-358b-4869-8a6d-727db2ee7b69	Frankfurt am Main	Frankfurt am Main	3	0	2013-07-13 13:49:37.314159+02	\N	\N	\N	\N	\N	\N	f	
12071	9b391972-f5d2-4ddc-90c7-4f42c696ada5	Puzi	Puzi	3	0	2013-07-13 14:46:03.322523+02	\N	\N	\N	\N	\N	\N	f	
12069	b825cb1e-c362-4763-bad4-737fac5aa901	Baozhong	Baozhong	3	0	2013-07-13 14:45:22.987881+02	\N	\N	\N	\N	\N	\N	f	
12073	4ced2651-4286-404e-96f7-c030bb1dfd34	Miaoli City	Miaoli City	3	0	2013-07-13 14:46:36.744744+02	\N	\N	\N	\N	\N	\N	f	
12072	74e3f852-c0a0-46db-94b8-6c240772f815	Magong	Magong	3	0	2013-07-13 14:46:22.240537+02	\N	\N	\N	\N	\N	\N	f	
12074	8327da1a-9808-4bf2-b5f0-ee90d51ed271	Pingtung City	Pingtung City	3	0	2013-07-13 14:46:55.397314+02	\N	\N	\N	\N	\N	\N	f	
12075	82be468f-c501-4a48-93b1-b17040e614ce	Nantou City	Nantou City	3	0	2013-07-13 14:47:07.467302+02	\N	\N	\N	\N	\N	\N	f	
12076	284f8f7e-307f-47fe-820a-0ce67cf513a7	Taitung City	Taitung City	3	0	2013-07-13 14:47:21.862091+02	\N	\N	\N	\N	\N	\N	f	
12078	0e8ac5bf-ebc7-41d2-83e5-c8ca0538efd8	Hualien City	Hualien City	3	0	2013-07-13 14:47:45.949137+02	\N	\N	\N	\N	\N	\N	f	
12077	c05c4fb6-36ce-4e31-a758-2008d816a340	Taoyuan City	Taoyuan City	3	0	2013-07-13 14:47:33.767133+02	\N	\N	\N	\N	\N	\N	f	
12079	0b3036de-14ac-4152-a438-a6208ad927bb	Pingzhen	Pingzhen	3	0	2013-07-13 14:48:01.981252+02	\N	\N	\N	\N	\N	\N	f	
12080	b36312ec-3eb7-4f57-b2c2-3880018ded1c	Bade City	Bade City	3	0	2013-07-13 14:48:44.712198+02	\N	\N	\N	\N	\N	\N	f	
12066	2d60f848-38f8-4d8a-a976-8629145695f8	Frankfurt (Oder)	Frankfurt (Oder)	3	0	2013-07-13 15:02:42.865802+02	\N	\N	\N	\N	\N	\N	f	
12081	fb822a05-eb30-440c-bbd4-8c51af59f3ba	Körfez	Körfez	3	0	2013-07-13 17:32:03.278514+02	\N	\N	\N	\N	\N	\N	f	
12082	841a86f5-ed7a-482c-bc9f-80e2b88d59d4	Abdasa	Abdasa	3	0	2013-07-13 20:32:30.85272+02	\N	\N	\N	\N	\N	\N	f	
12083	0fb61b82-1bd7-43f2-91f0-3347a366e7d8	Chanasma	Chanasma	3	0	2013-07-13 20:47:16.676974+02	\N	\N	\N	\N	\N	\N	f	
12103	30bb4b9e-f257-4b3a-87f2-053e801d27f9	Shoufeng	Shoufeng	3	0	2013-07-14 08:47:22.466583+02	\N	\N	\N	\N	\N	\N	f	
12084	0abacf96-801b-4720-9ad0-6a3c7a90ba1a	Lille	Lille	3	0	2013-07-14 02:41:37.57649+02	\N	\N	\N	\N	\N	\N	f	
12085	c8c5ac3e-d19d-4f09-8999-6917d8a2b269	Château-Richer	Château-Richer	3	0	2013-07-14 05:21:05.928582+02	\N	\N	\N	\N	\N	\N	f	
12086	8e86f3ca-b3d0-4a59-b82e-a73c4988c7a0	Saint-Lambert-de-Lauzon, Quebec	Saint-Lambert-de-Lauzon, Quebec	3	0	2013-07-14 05:34:44.022153+02	\N	\N	\N	\N	\N	\N	f	
12104	bc4334cd-38e6-4527-9d58-de4bbd73a7df	Xiulin	Xiulin	3	0	2013-07-14 08:47:33.98448+02	\N	\N	\N	\N	\N	\N	f	
12087	5a818f13-b82a-4ac2-bfbf-016677c9b0f3	Chishang	Chishang	3	0	2013-07-14 08:18:22.984969+02	\N	\N	\N	\N	\N	\N	f	
12088	9cac92c1-c49f-4641-af80-c5e2864ae1c1	Danville	Danville	3	0	2013-07-14 08:21:29.765804+02	\N	\N	\N	\N	\N	\N	f	
12089	ea6ed8d0-fee6-43c5-afb6-9252a9b48663	Hukou	Hukou	3	0	2013-07-14 08:22:34.527272+02	\N	\N	\N	\N	\N	\N	f	
12105	c77ca498-ea97-42a8-8116-4e2014bcd9e4	Wujie	Wujie	3	0	2013-07-14 08:47:47.81897+02	\N	\N	\N	\N	\N	\N	f	
12090	1bffd135-2542-4148-ac1d-50d4c0ccb3e9	Dongshi, Yunlin	Dongshi, Yunlin	3	0	2013-07-14 08:32:25.407302+02	\N	\N	\N	\N	\N	\N	f	
12091	17a93ea5-fcea-491f-a9a9-2d4d87edee93	Dongshi, Chiayi	Dongshi, Chiayi	3	0	2013-07-14 08:33:10.341849+02	\N	\N	\N	\N	\N	\N	f	
12121	076242b8-3068-4493-b018-b81220ec489a	Fuli	Fuli	3	0	2013-07-14 08:50:58.134224+02	\N	\N	\N	\N	\N	\N	f	
12092	7c2d941d-870b-4ca5-bd65-810141c1ff3a	Berry, Quebec	Berry, Quebec	3	0	2013-07-14 08:34:52.337515+02	\N	\N	\N	\N	\N	\N	f	
12106	c86bb594-2804-4d83-9653-affb35d7f2ca	Zhuoxi	Zhuoxi	3	0	2013-07-14 08:47:59.172435+02	\N	\N	\N	\N	\N	\N	f	
12093	b51f88e3-1c49-438c-a9c2-9618683c1404	Xinyi	Xinyi	3	0	2013-07-14 08:38:51.720556+02	\N	\N	\N	\N	\N	\N	f	
12094	21439677-dd51-4dcc-80fc-c65998f9063c	Beigang, Yunlin	Beigang, Yunlin	3	0	2013-07-14 08:39:30.748242+02	\N	\N	\N	\N	\N	\N	f	
12095	9a784096-9575-42e1-bad6-8777d17ed23f	Tongluo	Tongluo	3	0	2013-07-14 08:45:23.285122+02	\N	\N	\N	\N	\N	\N	f	
12107	55b4b7a7-220d-4f0d-bccd-f60f79fcf127	Wang-an	Wang-an	3	0	2013-07-14 08:48:14.990299+02	\N	\N	\N	\N	\N	\N	f	
12096	555fb25c-c57c-4071-bc2a-d6d1b6fff9e3	Green Island	Green Island	3	0	2013-07-14 08:45:38.019489+02	\N	\N	\N	\N	\N	\N	f	
12097	d3fb475b-4e7e-473f-87ad-2915b68a1c2f	Su-ao	Su-ao	3	0	2013-07-14 08:45:56.138113+02	\N	\N	\N	\N	\N	\N	f	
12144	c4c0a434-aeb1-40d4-bf2e-76c8bface0b2	Ligang	Ligang	3	0	2013-07-14 08:55:22.58537+02	\N	\N	\N	\N	\N	\N	f	
12098	fe8d9445-6df7-454d-ac50-ecb0532fb3a3	Nan-ao	Nan-ao	3	0	2013-07-14 08:46:09.854911+02	\N	\N	\N	\N	\N	\N	f	
12108	7e3a6939-85a5-42a9-83be-b982538f4588	Mudan	Mudan	3	0	2013-07-14 08:48:26.30102+02	\N	\N	\N	\N	\N	\N	f	
12099	70184844-f537-4116-8ef1-38fcf71a5d1c	Jiaoxi	Jiaoxi	3	0	2013-07-14 08:46:25.388594+02	\N	\N	\N	\N	\N	\N	f	
12100	f4bd5d62-336f-4753-b270-ddf94510f644	Dasi	Dasi	3	0	2013-07-14 08:46:36.806865+02	\N	\N	\N	\N	\N	\N	f	
12122	90c12891-cc53-47e4-8192-04db7c17cb4b	Laiyi	Laiyi	3	0	2013-07-14 08:51:09.515018+02	\N	\N	\N	\N	\N	\N	f	
12101	c9c377d6-b15d-409c-a7ca-4133c7a734e0	Fangshan	Fangshan	3	0	2013-07-14 08:46:52.658881+02	\N	\N	\N	\N	\N	\N	f	
12109	233f8464-6ee5-45fa-8fd3-b10b52740004	Jhutian	Jhutian	3	0	2013-07-14 08:48:37.524629+02	\N	\N	\N	\N	\N	\N	f	
12102	2229225f-e97b-43bf-90f5-5e9b54584948	Toucheng	Toucheng	3	0	2013-07-14 08:47:11.059456+02	\N	\N	\N	\N	\N	\N	f	
12132	8445eff1-a1ac-4911-823e-10e753cc3017	Majia	Majia	3	0	2013-07-14 08:53:03.085175+02	\N	\N	\N	\N	\N	\N	f	
12110	a51182b7-b119-445b-9f08-101032251bd6	Wanluan	Wanluan	3	0	2013-07-14 08:48:53.337214+02	\N	\N	\N	\N	\N	\N	f	
12123	2134447e-3a33-46be-b45d-8dd39f13c56f	Changjhih	Changjhih	3	0	2013-07-14 08:51:20.830146+02	\N	\N	\N	\N	\N	\N	f	
12111	e271c9d4-f914-4871-9ab1-983540838c9d	Nanzhou	Nanzhou	3	0	2013-07-14 08:49:04.791264+02	\N	\N	\N	\N	\N	\N	f	
12112	3dbc7791-0cfc-48d8-9a1d-8c363be9dc0a	Guangfu	Guangfu	3	0	2013-07-14 08:49:16.030257+02	\N	\N	\N	\N	\N	\N	f	
12113	f326116a-ce0e-432f-9cd4-99c1ed33986f	Qimei	Qimei	3	0	2013-07-14 08:49:27.300008+02	\N	\N	\N	\N	\N	\N	f	
12124	e1d3ee8b-8d67-4c7c-94ad-91174c96386a	Luodong	Luodong	3	0	2013-07-14 08:51:32.265836+02	\N	\N	\N	\N	\N	\N	f	
12114	002fdc1d-ccad-4e36-9260-075339540927	Fangliao	Fangliao	3	0	2013-07-14 08:49:38.60501+02	\N	\N	\N	\N	\N	\N	f	
12115	48d9b0d7-4ec9-4804-811d-e35927a733f6	Ji'an	Ji'an	3	0	2013-07-14 08:49:49.961281+02	\N	\N	\N	\N	\N	\N	f	
12139	f28b3d84-d846-46ad-b03d-eb34317bd546	Dounan	Dounan	3	0	2013-07-14 08:54:25.868765+02	\N	\N	\N	\N	\N	\N	f	
12116	ec8444ad-8e52-4b7e-b0dd-a24e46e344c2	Shihzih	Shihzih	3	0	2013-07-14 08:50:01.21087+02	\N	\N	\N	\N	\N	\N	f	
12125	1ae0a225-4aa1-4c11-b5cf-9d34db0191dc	Dongshan	Dongshan	3	0	2013-07-14 08:51:43.664378+02	\N	\N	\N	\N	\N	\N	f	
12117	896f25eb-49a6-4df1-8ca0-8841341e9df0	Gaoshu	Gaoshu	3	0	2013-07-14 08:50:12.541457+02	\N	\N	\N	\N	\N	\N	f	
12118	a8eaf768-5489-41d5-bde6-224581bd72b2	Donggang	Donggang	3	0	2013-07-14 08:50:23.828491+02	\N	\N	\N	\N	\N	\N	f	
12133	b627562d-a4b2-4e96-9a85-341de6d3890e	Datong	Datong	3	0	2013-07-14 08:53:14.442886+02	\N	\N	\N	\N	\N	\N	f	
12119	7765181d-a651-4390-9112-ae73a3a201e3	Wanrong	Wanrong	3	0	2013-07-14 08:50:35.151803+02	\N	\N	\N	\N	\N	\N	f	
12120	8906204e-cd89-452d-b25e-f7ab360cedc0	Kanding	Kanding	3	0	2013-07-14 08:50:46.75406+02	\N	\N	\N	\N	\N	\N	f	
12126	02bc5ee8-baf0-40e7-bd3a-66c74f96d256	Yuanshan	Yuanshan	3	0	2013-07-14 08:51:55.053173+02	\N	\N	\N	\N	\N	\N	f	
12127	78ca1170-edab-4b41-9634-b1fa0505b902	Puli	Puli	3	0	2013-07-14 08:52:06.425522+02	\N	\N	\N	\N	\N	\N	f	
12134	d60613f4-0488-4099-9090-cbf61ed445e7	Xiluo	Xiluo	3	0	2013-07-14 08:53:29.32146+02	\N	\N	\N	\N	\N	\N	f	
12128	0c8f2247-3793-423e-bd32-cdb19d6c4375	Sanxing	Sanxing	3	0	2013-07-14 08:52:17.727399+02	\N	\N	\N	\N	\N	\N	f	
12129	ecf9c3aa-22a8-473f-98e1-1036507c1c08	Jiadong	Jiadong	3	0	2013-07-14 08:52:29.04347+02	\N	\N	\N	\N	\N	\N	f	
12130	01a93d2e-2efb-4b70-b2b6-feb9e1961cbe	Yanpu	Yanpu	3	0	2013-07-14 08:52:40.368323+02	\N	\N	\N	\N	\N	\N	f	
12140	09f119cd-adbe-4a15-b52b-18ddf62c7405	Yuchi	Yuchi	3	0	2013-07-14 08:54:37.134616+02	\N	\N	\N	\N	\N	\N	f	
12131	15df8003-7a90-444e-9950-82256f296bfd	Manzhou	Manzhou	3	0	2013-07-14 08:52:51.688805+02	\N	\N	\N	\N	\N	\N	f	
12135	9793c7e2-0de4-4535-a49e-55d6b04a7685	Xizhou	Xizhou	3	0	2013-07-14 08:53:40.602565+02	\N	\N	\N	\N	\N	\N	f	
12136	2ad92eab-4f76-4b72-81e5-b7628cac2e6b	Siyu	Siyu	3	0	2013-07-14 08:53:51.86263+02	\N	\N	\N	\N	\N	\N	f	
12137	b20dbcd4-6656-4c51-89d3-18ab2df75cc5	Guanshan	Guanshan	3	0	2013-07-14 08:54:03.219672+02	\N	\N	\N	\N	\N	\N	f	
12141	c9db8794-908b-4267-9ac3-e63fb343deea	Sihu	Sihu	3	0	2013-07-14 08:54:48.41567+02	\N	\N	\N	\N	\N	\N	f	
12138	933728c9-825f-4e30-9d38-931f2f65653e	Dacun	Dacun	3	0	2013-07-14 08:54:14.586165+02	\N	\N	\N	\N	\N	\N	f	
12145	ae549a38-482b-4b0a-9029-5df46a9bfcfb	Yuli	Yuli	3	0	2013-07-14 08:55:33.935614+02	\N	\N	\N	\N	\N	\N	f	
12142	92e2aefb-8af6-41a4-8752-5337bec014e9	Linnei	Linnei	3	0	2013-07-14 08:54:59.719959+02	\N	\N	\N	\N	\N	\N	f	
12143	8c26ce68-7bbf-467f-b719-2ad9160d37a6	Caotun	Caotun	3	0	2013-07-14 08:55:11.032572+02	\N	\N	\N	\N	\N	\N	f	
12148	6727e921-0e5e-489d-adf8-b6d120025cb1	Mailiao	Mailiao	3	0	2013-07-14 08:56:05.150166+02	\N	\N	\N	\N	\N	\N	f	
12146	0649f462-255d-451f-8161-b2a1e4468116	Fengbin	Fengbin	3	0	2013-07-14 08:55:45.261703+02	\N	\N	\N	\N	\N	\N	f	
12147	24cee10f-e14c-469a-b65b-07770b85cca2	Lanyu	Lanyu	3	0	2013-07-14 08:55:56.54036+02	\N	\N	\N	\N	\N	\N	f	
12151	a0281496-e873-418a-a097-3f50817cb142	Guoxing	Guoxing	3	0	2013-07-14 08:56:39.036079+02	\N	\N	\N	\N	\N	\N	f	
12149	12b7a645-63cb-4458-b4bc-f2fd2d8d18f3	Emei	Emei	3	0	2013-07-14 08:56:16.417113+02	\N	\N	\N	\N	\N	\N	f	
12150	b848e04e-0fb8-44fe-b36f-dd32271ab711	Tuku	Tuku	3	0	2013-07-14 08:56:27.720541+02	\N	\N	\N	\N	\N	\N	f	
12152	c6193bf7-3a54-46c9-ab80-505d482d3a1e	Linbian	Linbian	3	0	2013-07-14 08:56:50.330473+02	\N	\N	\N	\N	\N	\N	f	
12153	0b0e807f-59d7-4f30-9a4c-b041e231569d	Jiouru	Jiouru	3	0	2013-07-14 08:57:01.696589+02	\N	\N	\N	\N	\N	\N	f	
12154	cb041d93-7e3e-4a71-abb7-f46ddca4d57e	Husi	Husi	3	0	2013-07-14 08:57:13.0512+02	\N	\N	\N	\N	\N	\N	f	
12155	f997f244-bae7-48c3-a2bf-fa6d92fe6543	Sinpi	Sinpi	3	0	2013-07-14 08:57:24.38977+02	\N	\N	\N	\N	\N	\N	f	
12156	0edc70bd-4558-4aee-8686-675c17b64584	Chaojhou	Chaojhou	3	0	2013-07-14 08:57:35.783574+02	\N	\N	\N	\N	\N	\N	f	
12157	3793a2af-ffe0-4e9e-b018-9d6596161c13	Dapi	Dapi	3	0	2013-07-14 08:57:47.189526+02	\N	\N	\N	\N	\N	\N	f	
12158	cce581e6-3011-474e-9633-c4f10f195b9d	Taiwu	Taiwu	3	0	2013-07-14 08:57:58.496554+02	\N	\N	\N	\N	\N	\N	f	
12159	63ba769f-12bc-40bc-90cf-57b76814afeb	Zhushan	Zhushan	3	0	2013-07-14 08:58:09.863874+02	\N	\N	\N	\N	\N	\N	f	
12160	a4cd8f2d-ac5a-4746-887c-0d8426998007	Shuili	Shuili	3	0	2013-07-14 08:58:21.198944+02	\N	\N	\N	\N	\N	\N	f	
12161	c9192043-c926-4ee4-ae39-aaafffd7093b	Jiji	Jiji	3	0	2013-07-14 08:58:32.512699+02	\N	\N	\N	\N	\N	\N	f	
14017	05b2c166-459d-43b4-9c6c-689d4fb1ffcb	Saludecio	Saludecio	4	0	2013-07-21 20:04:53.42849+02	\N	\N	\N	\N	\N	\N	f	
15726	355aeb43-1fd7-446f-b4bb-eaad392341ff	Nettuno	Nettuno	4	0	2013-07-22 01:49:18.821791+02	\N	\N	\N	\N	\N	\N	f	
14047	d7ce5b7e-2739-4e27-8a62-ec6457e73770	Monte San Giovanni Campano	Monte San Giovanni Campano	4	0	2013-07-21 20:12:22.869465+02	\N	\N	\N	\N	\N	\N	f	
14564	cdee2266-8500-4264-b870-def412e74205	Albugnano	Albugnano	4	0	2013-07-21 22:06:29.153194+02	\N	\N	\N	\N	\N	\N	f	
15744	08dd5d70-fa31-4381-91b9-8d6c1ed9d456	Trevignano Romano	Trevignano Romano	4	0	2013-07-22 01:53:16.766642+02	\N	\N	\N	\N	\N	\N	f	
17519	0302df08-7822-428e-b0a1-b5b0b171bdfa	Tromello	Tromello	4	0	2013-07-22 06:37:25.959313+02	\N	\N	\N	\N	\N	\N	f	
15929	f7ea6ce6-a225-48aa-bbec-ba492b1816a7	Brez	Brez	4	0	2013-07-22 02:31:43.403934+02	\N	\N	\N	\N	\N	\N	f	
16645	d09a70a2-0e01-4e41-9ed8-97601e788fb0	Osidda	Osidda	4	0	2013-07-22 03:59:20.696683+02	\N	\N	\N	\N	\N	\N	f	
16708	5babc6f1-88e5-4808-8a1c-81aceed58d4f	Terlago	Terlago	4	0	2013-07-22 04:15:22.970635+02	\N	\N	\N	\N	\N	\N	f	
17543	8c4c7ed0-028b-43ba-b23c-d22279fea279	Rognano	Rognano	4	0	2013-07-22 06:40:15.734118+02	\N	\N	\N	\N	\N	\N	f	
16715	c03c13ee-54ff-469e-8a6c-79f8e6e80f6a	Torcegno	Torcegno	4	0	2013-07-22 04:17:34.205324+02	\N	\N	\N	\N	\N	\N	f	
17203	5c0aaf1e-720d-49c0-924a-693a0e3e45c3	Cheremule	Cheremule	4	0	2013-07-22 05:57:50.513499+02	\N	\N	\N	\N	\N	\N	f	
19901	b4addfa9-0bae-4bb2-b3c0-ed3ccf907eb5	Tresana	Tresana	4	0	2013-07-22 11:52:50.4233+02	\N	\N	\N	\N	\N	\N	f	
26260	b2f15204-e09e-4372-9ba7-ecc52c23727e	Stanton	Stanton	3	0	2013-09-07 20:58:58.888177+02	\N	\N	\N	\N	\N	\N	f	
17553	9bd8e9ac-4928-49c5-a1bd-98d00bfddecd	Monvalle	Monvalle	4	0	2013-07-22 06:41:35.395632+02	\N	\N	\N	\N	\N	\N	f	
18485	d5adad08-ae55-49bc-a11d-bfd5931c8733	Sambuca di Sicilia	Sambuca di Sicilia	4	0	2013-07-22 08:37:30.464815+02	\N	\N	\N	\N	\N	\N	f	
20922	47425814-fe6b-4a1c-b684-1dcdd4dfe969	Gricignano di Aversa	Gricignano di Aversa	4	0	2013-07-23 14:52:52.961677+02	\N	\N	\N	\N	\N	\N	f	
18509	4137653b-e54e-4ce4-abcb-76ea8eea534e	Villafranca Sicula	Villafranca Sicula	4	0	2013-07-22 08:40:02.328003+02	\N	\N	\N	\N	\N	\N	f	
19934	0b83cce7-fff1-484e-b59d-a12a7a1e485b	Guardia Perticara	Guardia Perticara	4	0	2013-07-22 11:56:53.777006+02	\N	\N	\N	\N	\N	\N	f	
19463	edab3309-ab32-440e-a51a-459dc33ae835	Caramanico Terme	Caramanico Terme	4	0	2013-07-22 10:38:17.821637+02	\N	\N	\N	\N	\N	\N	f	
19485	e44a21d4-dfc3-4692-8961-377278860512	Tocco da Casauria	Tocco da Casauria	4	0	2013-07-22 10:40:38.788766+02	\N	\N	\N	\N	\N	\N	f	
24241	33861b35-4ad1-4110-a170-1b795a4131aa	Hapeville, Georgia	Hapeville, Georgia	3	0	2013-09-07 05:26:51.653413+02	\N	\N	\N	\N	\N	\N	f	
19489	a9fa60f6-98f0-49c8-b349-f8006242cbbe	Picciano	Picciano	4	0	2013-07-22 10:41:03.014095+02	\N	\N	\N	\N	\N	\N	f	
19962	77fa083e-03e0-4420-842a-cff04b21eaff	Marsicovetere	Marsicovetere	4	0	2013-07-22 12:00:30.755874+02	\N	\N	\N	\N	\N	\N	f	
20070	f8fc4aca-7c4a-4c7f-89f7-05c9991b74f9	Brugnera	Brugnera	4	0	2013-07-22 12:15:28.705895+02	\N	\N	\N	\N	\N	\N	f	
20647	c949fdb7-2d1e-4435-a304-980342f8c766	Castelvetere sul Calore	Castelvetere sul Calore	4	0	2013-07-23 08:35:11.38989+02	\N	\N	\N	\N	\N	\N	f	
25829	21bde772-ecda-407c-b76c-178fb2f16efb	Randall, Kansas	Randall, Kansas	3	0	2013-09-07 14:50:34.397165+02	\N	\N	\N	\N	\N	\N	f	
20677	0064ce15-ff64-461c-8603-46a13548989f	Carife	Carife	4	0	2013-07-23 08:42:19.818038+02	\N	\N	\N	\N	\N	\N	f	
23323	ef1bc754-8e24-4301-83f0-8d92e34b507c	Pleasant View	Pleasant View	3	0	2013-08-24 14:50:19.321298+02	\N	\N	\N	\N	\N	\N	f	
20748	7f2bcb7b-87c9-4bcc-86bf-f325b60b2066	Faicchio	Faicchio	4	0	2013-07-23 11:34:59.114377+02	\N	\N	\N	\N	\N	\N	f	
20777	2ce2e5c1-8281-4488-b33a-f8871d6ab28a	San Martino Sannita	San Martino Sannita	4	0	2013-07-23 11:42:13.154249+02	\N	\N	\N	\N	\N	\N	f	
24246	f9d7c3a7-38d4-4e9d-ab41-433e7f42dff6	Blue Ridge, Georgia	Blue Ridge, Georgia	3	0	2013-09-07 05:28:06.454248+02	\N	\N	\N	\N	\N	\N	f	
20781	bc23ae61-bb4b-4b86-8c80-51c7df6ab252	Pietraroja	Pietraroja	4	0	2013-07-23 11:43:01.296865+02	\N	\N	\N	\N	\N	\N	f	
23520	7c555b1f-4916-4ec8-8463-02d83591eb60	Svidník	Svidník	3	0	2013-08-26 02:46:24.988214+02	\N	\N	\N	\N	\N	\N	f	
20796	1028b11a-0315-44b2-8f5b-4f75d0786d9e	Sassinoro	Sassinoro	4	0	2013-07-23 11:46:00.953707+02	\N	\N	\N	\N	\N	\N	f	
20799	0771d2f9-5624-41bc-9b6c-ad79d74777c9	Sant'Agata de' Goti	Sant'Agata de' Goti	4	0	2013-07-23 11:46:36.82957+02	\N	\N	\N	\N	\N	\N	f	
20810	e3062b69-ff62-4f33-9691-ba0299bba9a4	San Lorenzello	San Lorenzello	4	0	2013-07-23 11:49:52.169246+02	\N	\N	\N	\N	\N	\N	f	
23690	879a8479-68cd-4549-b28e-71da07b44772	Turany nad Ondavou	Turany nad Ondavou	3	0	2013-08-28 16:32:41.153787+02	\N	\N	\N	\N	\N	\N	f	
20819	6b7c6b4d-0a98-47f7-bc06-32015e62063a	Morcone	Morcone	4	0	2013-07-23 11:51:49.748049+02	\N	\N	\N	\N	\N	\N	f	
20850	9800b532-6552-4163-8360-d63419be0367	Centuripe	Centuripe	4	0	2013-07-23 14:36:26.665774+02	\N	\N	\N	\N	\N	\N	f	
20859	22d8d126-b9a8-4fb8-a735-dc146e7ba9f0	Force, Marche	Force, Marche	4	0	2013-07-23 14:38:19.243072+02	\N	\N	\N	\N	\N	\N	f	
24256	7d16e32e-e531-4d63-896d-27f90548cefc	Attica	Attica	3	0	2013-09-07 05:30:36.526479+02	\N	\N	\N	\N	\N	\N	f	
23754	48438567-3ea6-4cb2-bfe0-e88081c1ab61	Ottweiler	Ottweiler	3	0	2013-08-31 20:36:37.92386+02	\N	\N	\N	\N	\N	\N	f	
23839	f535d653-a8cf-4e72-9780-1a880288189e	Atkins	Atkins	3	0	2013-09-06 20:33:47.168149+02	\N	\N	\N	\N	\N	\N	f	
23939	35556d99-f66e-40fb-8b21-8daa0281e82f	Evans	Evans	3	0	2013-09-06 23:24:09.6901+02	\N	\N	\N	\N	\N	\N	f	
24774	1827d4ba-072c-4f53-9d64-2cfbe89ac000	Spillville	Spillville	3	0	2013-09-07 08:31:34.463224+02	\N	\N	\N	\N	\N	\N	f	
23950	5f73101b-e4b2-48e1-8d72-58f06dd13587	Crescent City	Crescent City	3	0	2013-09-06 23:27:41.089969+02	\N	\N	\N	\N	\N	\N	f	
25832	3013e2b0-d9d4-4e9e-bad7-c45e5fd10d36	Hope, Kansas	Hope, Kansas	3	0	2013-09-07 14:51:20.951747+02	\N	\N	\N	\N	\N	\N	f	
24040	5c851d98-d9b8-4d73-ae99-98ca5a4e69ba	Dunwoody	Dunwoody	3	0	2013-09-07 02:21:44.39353+02	\N	\N	\N	\N	\N	\N	f	
24067	d254a4ed-00c8-4d50-875e-75c18a8ee0ef	Elk River	Elk River	3	0	2013-09-07 02:29:12.15232+02	\N	\N	\N	\N	\N	\N	f	
24862	c1366702-14bc-46b7-a7c6-ae40d71bbfbb	Albion	Albion	3	0	2013-09-07 08:54:08.072156+02	\N	\N	\N	\N	\N	\N	f	
25931	c20a86aa-ea7f-419b-b1fe-d5f11270dbe7	Little Falls	Little Falls	3	0	2013-09-07 17:23:33.959644+02	\N	\N	\N	\N	\N	\N	f	
25306	1e0e99be-54f7-4b16-a404-219ea81a43f0	Bankston	Bankston	3	0	2013-09-07 11:07:34.188811+02	\N	\N	\N	\N	\N	\N	f	
26570	2bc22c18-8236-45b7-a868-8d8f699b7110	Marquette, Kansas	Marquette, Kansas	3	0	2013-09-08 01:11:03.399888+02	\N	\N	\N	\N	\N	\N	f	
26001	94006d6d-15f4-494c-9825-c13f9365048d	Silver Lake	Silver Lake	3	0	2013-09-07 17:43:09.020107+02	\N	\N	\N	\N	\N	\N	f	
26043	29e850c6-66ac-4e54-9009-34eb86bd7756	Mentor, Kentucky	Mentor, Kentucky	3	0	2013-09-07 17:54:21.419091+02	\N	\N	\N	\N	\N	\N	f	
27334	75e94a3b-e241-4e63-b9ef-4e134430dc5b	Casselton, North Dakota	Casselton, North Dakota	3	0	2013-09-08 07:30:38.48293+02	\N	\N	\N	\N	\N	\N	f	
27078	cd0f45a8-1443-4706-b81c-ea3cda330e02	Carterville	Carterville	3	0	2013-09-08 04:42:12.448659+02	\N	\N	\N	\N	\N	\N	f	
26938	c53eda6a-8b57-4505-9eaf-0022317729ec	Graham	Graham	3	0	2013-09-08 04:06:33.821094+02	\N	\N	\N	\N	\N	\N	f	
26944	5abc4a87-c219-4ba4-9415-a0f39a076970	Catron	Catron	3	0	2013-09-08 04:08:01.314907+02	\N	\N	\N	\N	\N	\N	f	
27660	6a9f5104-64a4-49c9-9e14-f2de5b11f5b3	Kirtland, Ohio	Kirtland, Ohio	3	0	2013-09-08 09:12:21.933373+02	\N	\N	\N	\N	\N	\N	f	
27342	998a9d32-3af4-4775-bdbd-a04d2840bc9e	Mohall, North Dakota	Mohall, North Dakota	3	0	2013-09-08 07:32:38.632988+02	\N	\N	\N	\N	\N	\N	f	
28015	7629f620-dbd5-4393-9623-af73d6fd1720	Lansing	Lansing	3	0	2013-09-08 12:01:40.483848+02	\N	\N	\N	\N	\N	\N	f	
28031	a3c0417f-0c65-4004-84ca-3fcc2a260016	University Heights	University Heights	3	0	2013-09-08 12:05:53.191281+02	\N	\N	\N	\N	\N	\N	f	
28248	6966b685-5958-49a2-8b63-4e457384761d	Simpsonville, South Carolina	Simpsonville, South Carolina	3	0	2013-09-08 15:39:44.807432+02	\N	\N	\N	\N	\N	\N	f	
28264	c6a1292d-ca97-4a30-a9c2-3995a71e622b	Dover	Dover	3	0	2013-09-08 16:31:31.597965+02	\N	\N	\N	\N	\N	\N	f	
28439	60530841-62c5-46e1-b40c-5ec7505747bd	Shelbyville, Tennessee	Shelbyville, Tennessee	3	0	2013-09-08 17:26:03.504757+02	\N	\N	\N	\N	\N	\N	f	
28682	249c4696-f49d-4f87-8998-a50d56361634	Morgan	Morgan	3	0	2013-09-08 23:29:32.038502+02	\N	\N	\N	\N	\N	\N	f	
28900	f3e1d235-51bf-4e9b-8fd6-b816e0d2b30b	Enumclaw	Enumclaw	3	0	2013-09-09 01:13:50.683696+02	\N	\N	\N	\N	\N	\N	f	
12162	fb89f4d7-f9ad-4bbc-b865-b8efc6117a22	Wandan	Wandan	3	0	2013-07-14 08:58:44.002162+02	\N	\N	\N	\N	\N	\N	f	
14018	fce5e9b0-140d-4255-91ed-f0137b34cceb	Trenzano	Trenzano	4	0	2013-07-21 20:05:07.98214+02	\N	\N	\N	\N	\N	\N	f	
14565	7871a052-ca7e-47a6-a8c2-202b4277f878	Bubbio	Bubbio	4	0	2013-07-21 22:06:40.768254+02	\N	\N	\N	\N	\N	\N	f	
15727	961792f7-10e7-4c3f-a43f-755a540db21a	Santa Marinella	Santa Marinella	4	0	2013-07-22 01:49:30.746959+02	\N	\N	\N	\N	\N	\N	f	
14614	fdd78332-07be-4598-b09b-f9e5f7dad705	Cortanze	Cortanze	4	0	2013-07-21 22:17:31.135956+02	\N	\N	\N	\N	\N	\N	f	
15087	80bc0ae8-b71a-4390-b457-5c99abbd13a6	Polonghera	Polonghera	4	0	2013-07-21 23:46:00.556405+02	\N	\N	\N	\N	\N	\N	f	
15095	5d1f8f33-8d75-43a4-9188-8d08413f85df	Citerna	Citerna	4	0	2013-07-21 23:46:50.739107+02	\N	\N	\N	\N	\N	\N	f	
26571	492cf361-9ae5-42bc-b8a9-82eb26f22e01	Williamsburg, Kentucky	Williamsburg, Kentucky	3	0	2013-09-08 01:11:19.442466+02	\N	\N	\N	\N	\N	\N	f	
17520	243d6abf-06a5-4fd0-b428-589229e01780	Albonese	Albonese	4	0	2013-07-22 06:37:31.797826+02	\N	\N	\N	\N	\N	\N	f	
15918	03e5ec11-188e-429b-81b0-f0e104400645	Scopa	Scopa	4	0	2013-07-22 02:30:10.39673+02	\N	\N	\N	\N	\N	\N	f	
16648	8c90d656-63c7-4d82-929e-76d93e3235ae	Nave San Rocco	Nave San Rocco	4	0	2013-07-22 03:59:54.31118+02	\N	\N	\N	\N	\N	\N	f	
23941	cbee6721-1e63-425a-b66d-36894d46d560	Las Animas, Colorado	Las Animas, Colorado	3	0	2013-09-06 23:24:46.070366+02	\N	\N	\N	\N	\N	\N	f	
16659	e9096882-897c-4180-8e16-c933abed800c	Ottana	Ottana	4	0	2013-07-22 04:02:16.384295+02	\N	\N	\N	\N	\N	\N	f	
17560	9ddbb6ab-91b7-449a-992e-e50ff82a5123	Luino	Luino	4	0	2013-07-22 06:42:48.732716+02	\N	\N	\N	\N	\N	\N	f	
17204	6af687d2-ef29-4665-aca7-67492800f781	Piantedo	Piantedo	4	0	2013-07-22 05:57:55.037921+02	\N	\N	\N	\N	\N	\N	f	
19905	ad7dc0b4-bf36-4d90-86b3-579decae5ff3	Irsina	Irsina	4	0	2013-07-22 11:53:18.110537+02	\N	\N	\N	\N	\N	\N	f	
18486	88cdd7d1-98ad-40bd-9741-7758b85f1185	Calvene	Calvene	4	0	2013-07-22 08:37:33.842231+02	\N	\N	\N	\N	\N	\N	f	
18559	e7f812d7-72aa-45e4-9a66-4d10a50b510f	Pojana Maggiore	Pojana Maggiore	4	0	2013-07-22 08:46:13.253336+02	\N	\N	\N	\N	\N	\N	f	
19467	5762b018-d361-4baf-8072-e20575d9739a	Castiglione a Casauria	Castiglione a Casauria	4	0	2013-07-22 10:38:41.387651+02	\N	\N	\N	\N	\N	\N	f	
19944	c8ee81eb-9e69-4a34-9d5d-39b6d7733aa8	Forenza	Forenza	4	0	2013-07-22 11:58:04.401878+02	\N	\N	\N	\N	\N	\N	f	
19475	dd8a136a-7634-47e9-ae73-7a435df1bff1	Brittoli	Brittoli	4	0	2013-07-22 10:39:34.47976+02	\N	\N	\N	\N	\N	\N	f	
19490	03d2eaf9-b4b5-4569-b87f-aa32f180f521	Città Sant'Angelo	Città Sant'Angelo	4	0	2013-07-22 10:41:15.896201+02	\N	\N	\N	\N	\N	\N	f	
25314	27abfbc5-a0a6-495c-a80f-7ffa0b840c51	Balltown	Balltown	3	0	2013-09-07 11:09:41.604846+02	\N	\N	\N	\N	\N	\N	f	
19502	ff710ee2-694b-4622-87d8-78aee0a7be58	Crognaleto	Crognaleto	4	0	2013-07-22 10:42:58.189972+02	\N	\N	\N	\N	\N	\N	f	
23945	542e1751-0fa2-4210-a05b-1c184e78ea03	Glendale	Glendale	3	0	2013-09-06 23:26:12.690175+02	\N	\N	\N	\N	\N	\N	f	
19594	b42e332d-70f0-4ce4-9466-ee759bf53540	Latiano	Latiano	4	0	2013-07-22 10:59:19.985696+02	\N	\N	\N	\N	\N	\N	f	
19988	7aed2526-3fb0-4e19-bb94-a3a10039b5b1	Rapone	Rapone	4	0	2013-07-22 12:04:17.651881+02	\N	\N	\N	\N	\N	\N	f	
20045	dbd4d996-4a5c-44bd-a74e-9e8c0b2d28f5	Fogliano Redipuglia	Fogliano Redipuglia	4	0	2013-07-22 12:12:13.14609+02	\N	\N	\N	\N	\N	\N	f	
24041	e233362e-57b7-4e3d-863c-899d1e82f5d8	Johns Creek	Johns Creek	3	0	2013-09-07 02:21:59.103289+02	\N	\N	\N	\N	\N	\N	f	
20648	dd9e9eab-13df-46a8-b0c1-1a2e492d2385	Cervinara	Cervinara	4	0	2013-07-23 08:35:39.162525+02	\N	\N	\N	\N	\N	\N	f	
20654	0fef7d4c-e43f-43ad-a455-28bd29817022	Montoro Superiore	Montoro Superiore	4	0	2013-07-23 08:37:32.263021+02	\N	\N	\N	\N	\N	\N	f	
20751	726324ac-74ce-4e3c-a37e-a964562cd8cb	Castelvetere in Val Fortore	Castelvetere in Val Fortore	4	0	2013-07-23 11:35:35.242438+02	\N	\N	\N	\N	\N	\N	f	
24243	90a220ad-17fc-4681-860c-07c45fa16e04	Jeffersonville, Georgia	Jeffersonville, Georgia	3	0	2013-09-07 05:27:23.172409+02	\N	\N	\N	\N	\N	\N	f	
20852	b6b58fad-e19e-4a75-9220-e09e495c4151	Aidone	Aidone	4	0	2013-07-23 14:36:53.937677+02	\N	\N	\N	\N	\N	\N	f	
25422	d2d5e60d-57ba-4b44-bdd7-0151d3e33314	Sardis, Kentucky	Sardis, Kentucky	3	0	2013-09-07 11:46:35.597298+02	\N	\N	\N	\N	\N	\N	f	
24267	d59caa4e-f973-49c6-9ec5-70dc321b6807	Kingston, Georgia	Kingston, Georgia	3	0	2013-09-07 05:33:10.090282+02	\N	\N	\N	\N	\N	\N	f	
23324	edaf8b3b-c491-4d40-b9c7-add9e7ebe650	Wellsville	Wellsville	3	0	2013-08-24 14:50:32.455129+02	\N	\N	\N	\N	\N	\N	f	
23521	6e836d60-5d36-4ac7-9af8-2632447632d2	Veľké Kapušany	Veľké Kapušany	3	0	2013-08-26 02:46:46.72742+02	\N	\N	\N	\N	\N	\N	f	
24295	387db951-7f35-4b8d-acf3-a8499cecc626	North Port	North Port	3	0	2013-09-07 05:39:48.752297+02	\N	\N	\N	\N	\N	\N	f	
23755	e50e86db-f91e-47cb-838f-5478e6129d1b	Peitz	Peitz	3	0	2013-08-31 20:36:56.788765+02	\N	\N	\N	\N	\N	\N	f	
23840	77328837-69fc-4af1-ac74-964e674972c8	Lake View	Lake View	3	0	2013-09-06 20:34:06.036999+02	\N	\N	\N	\N	\N	\N	f	
23940	f9190c1a-c5d9-4a5a-82ef-d281994274f3	Eagle Lake, Florida	Eagle Lake, Florida	3	0	2013-09-06 23:24:27.610545+02	\N	\N	\N	\N	\N	\N	f	
25831	5a54f736-f1e6-4565-b493-dc0ad1f4cda2	Hanson, Kentucky	Hanson, Kentucky	3	0	2013-09-07 14:51:06.777663+02	\N	\N	\N	\N	\N	\N	f	
24307	1b6f77ce-3da3-421a-a098-67a67fa6ae2c	St. Marks	St. Marks	3	0	2013-09-07 05:42:35.48586+02	\N	\N	\N	\N	\N	\N	f	
24317	9ce11b0b-1a02-403f-b330-6205c2da1c86	Nashville, Georgia	Nashville, Georgia	3	0	2013-09-07 05:45:02.275127+02	\N	\N	\N	\N	\N	\N	f	
26939	c689978e-9441-42a1-ac34-1a7f6938f0bd	Fullerton	Fullerton	3	0	2013-09-08 04:06:49.413042+02	\N	\N	\N	\N	\N	\N	f	
24775	15ce716a-46bb-4769-804a-76a571acf3ef	Garner	Garner	3	0	2013-09-07 08:31:49.951511+02	\N	\N	\N	\N	\N	\N	f	
25933	890d70ef-6812-4639-8efa-ddafb25a5fc8	Elko New Market	Elko New Market	3	0	2013-09-07 17:24:07.790361+02	\N	\N	\N	\N	\N	\N	f	
25309	069b6136-cfc9-425a-9403-6241d247e3cb	Valley Falls, Kansas	Valley Falls, Kansas	3	0	2013-09-07 11:08:23.077953+02	\N	\N	\N	\N	\N	\N	f	
25937	ade572c4-5885-4dc7-887f-20c4242cadc4	Canton	Canton	3	0	2013-09-07 17:25:22.247173+02	\N	\N	\N	\N	\N	\N	f	
28296	f79a1c34-c720-43e9-9c3d-2a8d972d99c3	Loretto, Tennessee	Loretto, Tennessee	3	0	2013-09-08 16:43:21.410637+02	\N	\N	\N	\N	\N	\N	f	
26262	ae74ff9f-b24b-4902-bf05-e6a018a15e4c	Mount Sterling	Mount Sterling	3	0	2013-09-07 20:59:30.348043+02	\N	\N	\N	\N	\N	\N	f	
27339	80751016-0ae5-4bf0-959b-cff004593a77	Brocket, North Dakota	Brocket, North Dakota	3	0	2013-09-08 07:31:51.440642+02	\N	\N	\N	\N	\N	\N	f	
26270	f987ce2f-f021-4809-8251-a5cd6e36f4e0	Greenwood	Greenwood	3	0	2013-09-07 21:02:05.521868+02	\N	\N	\N	\N	\N	\N	f	
27664	c382aeae-fd9e-423b-8082-a12c6852e937	Des Lacs, North Dakota	Des Lacs, North Dakota	3	0	2013-09-08 09:13:22.872831+02	\N	\N	\N	\N	\N	\N	f	
27376	d36d87c7-c46b-444c-8f70-01f4e90f5b59	Bergen, North Dakota	Bergen, North Dakota	3	0	2013-09-08 07:41:48.320274+02	\N	\N	\N	\N	\N	\N	f	
28016	f4940750-b493-4fc8-ba54-20c08b1b1b67	Callaway	Callaway	3	0	2013-09-08 12:01:56.598302+02	\N	\N	\N	\N	\N	\N	f	
27662	830bce3d-2f93-4d39-accf-4b33e944f5c1	Scranton, North Dakota	Scranton, North Dakota	3	0	2013-09-08 09:12:54.752442+02	\N	\N	\N	\N	\N	\N	f	
27730	1a1a0d75-615b-4fc5-b3f9-36c26fc355fc	Bridgeport, Oklahoma	Bridgeport, Oklahoma	3	0	2013-09-08 09:36:54.151092+02	\N	\N	\N	\N	\N	\N	f	
28265	db4bba62-6558-49e5-b8f3-aee40fe9aefa	Gatlinburg, Tennessee	Gatlinburg, Tennessee	3	0	2013-09-08 16:31:52.23016+02	\N	\N	\N	\N	\N	\N	f	
28250	25d07c40-f8e0-4f3a-97f4-5d862effccae	Lancaster, South Carolina	Lancaster, South Carolina	3	0	2013-09-08 15:40:53.107885+02	\N	\N	\N	\N	\N	\N	f	
28440	3a571a2e-57c2-4596-b967-0805765178d6	Pigeon Forge, Tennessee	Pigeon Forge, Tennessee	3	0	2013-09-08 17:26:42.300121+02	\N	\N	\N	\N	\N	\N	f	
28683	40d9469a-3cd2-4241-8ab1-53fd03cd3e5d	Beverly Hills	Beverly Hills	3	0	2013-09-08 23:29:47.572366+02	\N	\N	\N	\N	\N	\N	f	
28777	7d7a6483-5796-4443-a932-826bf411ceb5	Mustang Ridge	Mustang Ridge	3	0	2013-09-08 23:56:03.556706+02	\N	\N	\N	\N	\N	\N	f	
28901	b1ff9295-7f95-44da-af42-90e295c58a0c	Harrington	Harrington	3	0	2013-09-09 01:14:04.173257+02	\N	\N	\N	\N	\N	\N	f	
28930	712ddfbb-8a0c-408c-a9f4-e740921f7cae	Hubbard	Hubbard	3	0	2013-09-09 01:32:10.648539+02	\N	\N	\N	\N	\N	\N	f	
28937	581e9430-0e8c-43c4-93e1-a0c303ae070a	Sinton	Sinton	3	0	2013-09-09 01:34:05.5563+02	\N	\N	\N	\N	\N	\N	f	
28939	93a235cb-123e-446b-a387-25ffba2ace20	Lakewood Village	Lakewood Village	3	0	2013-09-09 01:34:38.82594+02	\N	\N	\N	\N	\N	\N	f	
28941	d47eb793-e06f-4c08-b190-c6ee048ea5c6	Tom Bean	Tom Bean	3	0	2013-09-09 01:35:11.925766+02	\N	\N	\N	\N	\N	\N	f	
12163	610d6785-f13d-4ecd-8398-fb446a9b49a4	Alishan	Alishan	3	0	2013-07-14 08:58:55.379857+02	\N	\N	\N	\N	\N	\N	f	
12164	df119b3a-9494-4c6b-90fa-e70e1e9dafe1	Ren-ai	Ren-ai	3	0	2013-07-14 08:59:06.647311+02	\N	\N	\N	\N	\N	\N	f	
14020	f39c736b-9064-4365-8db1-31cb2515f4fb	San Giovanni in Marignano	San Giovanni in Marignano	4	0	2013-07-21 20:05:34.474799+02	\N	\N	\N	\N	\N	\N	f	
12198	2d235ce3-a6de-4bf4-b4d4-61f40b5242e6	Zhuangwei	Zhuangwei	3	0	2013-07-14 09:06:59.762189+02	\N	\N	\N	\N	\N	\N	f	
14125	03a71e1f-adb7-48b9-aedb-f95b295e14be	San Marcello, Marche	San Marcello, Marche	4	0	2013-07-21 20:28:55.234454+02	\N	\N	\N	\N	\N	\N	f	
15728	f22bc206-bddc-4ea8-a0cd-79fde6197e01	Saracinesco	Saracinesco	4	0	2013-07-22 01:49:49.700674+02	\N	\N	\N	\N	\N	\N	f	
14156	06b1d948-a7ed-4ec5-a023-24c050325d9c	Maiolati Spontini	Maiolati Spontini	4	0	2013-07-21 20:35:48.010157+02	\N	\N	\N	\N	\N	\N	f	
14566	fbdd962b-2789-4dd4-82ef-98ee5a54d78a	Berzano di San Pietro	Berzano di San Pietro	4	0	2013-07-21 22:06:52.341129+02	\N	\N	\N	\N	\N	\N	f	
14599	b7fd9399-2c17-4a60-b253-e22ee9838020	Cortandone	Cortandone	4	0	2013-07-21 22:14:20.061359+02	\N	\N	\N	\N	\N	\N	f	
15752	727b2865-0190-493d-b2bb-0f7ba420a19b	Amblar	Amblar	4	0	2013-07-22 01:54:49.992586+02	\N	\N	\N	\N	\N	\N	f	
23841	b6c038b8-3903-4a17-9d1f-ba8cb1ecd245	St. Francis	St. Francis	3	0	2013-09-06 20:34:19.571299+02	\N	\N	\N	\N	\N	\N	f	
15313	53ca745a-9b09-4b2e-8f24-b81f26875f49	San Lorenzo in Campo	San Lorenzo in Campo	4	0	2013-07-22 00:17:49.451903+02	\N	\N	\N	\N	\N	\N	f	
17538	eba13d3b-c767-4921-81fe-f7f9f0bb4824	Rasura	Rasura	4	0	2013-07-22 06:39:35.89025+02	\N	\N	\N	\N	\N	\N	f	
15323	853783b4-7e61-4e42-a485-70a3d86413ab	Serrungarina	Serrungarina	4	0	2013-07-22 00:19:59.006119+02	\N	\N	\N	\N	\N	\N	f	
15784	363c305d-8615-424c-adb9-12edf6c89b87	Cadorago	Cadorago	4	0	2013-07-22 02:02:01.173904+02	\N	\N	\N	\N	\N	\N	f	
15860	e8717e4f-d679-45c3-a0e9-aee581bdfe9c	Cellio	Cellio	4	0	2013-07-22 02:19:09.935721+02	\N	\N	\N	\N	\N	\N	f	
15864	edb69523-9f42-44ac-a926-78f78220c691	Rassa	Rassa	4	0	2013-07-22 02:20:32.604231+02	\N	\N	\N	\N	\N	\N	f	
16649	38c74652-0d11-4611-99b1-34c471f63d45	Montagne	Montagne	4	0	2013-07-22 04:00:01.386973+02	\N	\N	\N	\N	\N	\N	f	
16682	7d5dd9f5-8b87-42a0-8b13-8fb014ffd789	Ragoli	Ragoli	4	0	2013-07-22 04:08:27.265577+02	\N	\N	\N	\N	\N	\N	f	
19910	a102a8f3-9873-4350-9d70-f087ed664910	Francavilla in Sinni	Francavilla in Sinni	4	0	2013-07-22 11:54:13.801763+02	\N	\N	\N	\N	\N	\N	f	
16694	d9dd9a8b-1251-4dab-ae33-8dacc7cbb0eb	Rabbi, Trentino	Rabbi, Trentino	4	0	2013-07-22 04:11:22.889122+02	\N	\N	\N	\N	\N	\N	f	
17655	b21c5a69-872d-4c9f-8ba4-434455f02e64	Origgio	Origgio	4	0	2013-07-22 06:54:07.736993+02	\N	\N	\N	\N	\N	\N	f	
17205	507be0c7-9a0b-455b-84ec-c0738a4be18b	Bagnaria	Bagnaria	4	0	2013-07-22 05:58:04.134641+02	\N	\N	\N	\N	\N	\N	f	
17664	13774438-7e00-4dff-bfb8-420c762fc3a4	Desio	Desio	4	0	2013-07-22 06:55:16.505263+02	\N	\N	\N	\N	\N	\N	f	
23942	b0551a49-9897-45a3-86aa-e9b8fe117ac8	Woodland Park	Woodland Park	3	0	2013-09-06 23:25:09.049424+02	\N	\N	\N	\N	\N	\N	f	
18489	ac3b2dee-4e3a-48d4-989a-7b7c3dd3b87a	Santo Stefano Quisquina	Santo Stefano Quisquina	4	0	2013-07-22 08:37:54.598812+02	\N	\N	\N	\N	\N	\N	f	
20000	796df1d5-f343-4ad8-a70d-083df67bd1e9	Nemoli	Nemoli	4	0	2013-07-22 12:05:48.021909+02	\N	\N	\N	\N	\N	\N	f	
19469	f2e9f658-9d31-47f6-b15f-b5099c8493c1	Villa Santa Maria	Villa Santa Maria	4	0	2013-07-22 10:38:55.669234+02	\N	\N	\N	\N	\N	\N	f	
19483	a4b7926e-daf0-4f6b-9bac-be7d6eaf7ec3	Manoppello	Manoppello	4	0	2013-07-22 10:40:26.32295+02	\N	\N	\N	\N	\N	\N	f	
19521	9032672f-c908-4644-9a1e-1434fa8cb995	Sant'Omero	Sant'Omero	4	0	2013-07-22 10:45:19.919988+02	\N	\N	\N	\N	\N	\N	f	
20006	d6fbdcd4-701e-4157-865a-21f8f9b502e6	Sant'Angelo Le Fratte	Sant'Angelo Le Fratte	4	0	2013-07-22 12:06:34.833595+02	\N	\N	\N	\N	\N	\N	f	
19539	51914c8f-322c-481c-a07c-5816512fd8e1	Mosciano Sant'Angelo	Mosciano Sant'Angelo	4	0	2013-07-22 10:47:23.327913+02	\N	\N	\N	\N	\N	\N	f	
19553	43c663fc-3aeb-4035-9c4f-5f98e3e03ad6	Locorotondo	Locorotondo	4	0	2013-07-22 10:49:54.86598+02	\N	\N	\N	\N	\N	\N	f	
25310	d14be7ea-2c02-44fa-baeb-a3b6f78c2c65	Alton	Alton	3	0	2013-09-07 11:08:36.624345+02	\N	\N	\N	\N	\N	\N	f	
20649	cf2c9980-b627-481d-ae89-6cd97b3091e0	Mugnano del Cardinale	Mugnano del Cardinale	4	0	2013-07-23 08:36:04.401499+02	\N	\N	\N	\N	\N	\N	f	
23964	9e8ed39c-5725-4c2e-a645-1c5809712d0b	Center Hill	Center Hill	3	0	2013-09-06 23:31:07.140618+02	\N	\N	\N	\N	\N	\N	f	
20656	79741542-9c6f-4279-ad5b-707cf0c918b4	Luogosano	Luogosano	4	0	2013-07-23 08:37:59.43848+02	\N	\N	\N	\N	\N	\N	f	
20752	5fc3e221-c064-4e64-9dd6-a14cbe99ac5d	Volturara Irpina	Volturara Irpina	4	0	2013-07-23 11:35:47.792076+02	\N	\N	\N	\N	\N	\N	f	
20853	2664f307-8480-491c-9ed9-a269a9c15827	Calascibetta	Calascibetta	4	0	2013-07-23 14:37:08.06477+02	\N	\N	\N	\N	\N	\N	f	
24042	1b185b60-8129-4d4c-a744-5225143c636c	Thomasville	Thomasville	3	0	2013-09-07 02:22:14.287697+02	\N	\N	\N	\N	\N	\N	f	
23332	1b03adc6-7685-4aa8-82d5-6968cfc99145	Price	Price	3	0	2013-08-24 14:52:48.927642+02	\N	\N	\N	\N	\N	\N	f	
24244	7e2264f0-5bf8-4a3e-aca4-2674026ed85c	Baxley, Georgia	Baxley, Georgia	3	0	2013-09-07 05:27:39.686603+02	\N	\N	\N	\N	\N	\N	f	
23522	8a3dcba1-11eb-4124-b726-07b92c4236ab	Handlová	Handlová	3	0	2013-08-26 02:47:04.588531+02	\N	\N	\N	\N	\N	\N	f	
23523	c906b516-b0c6-4d05-b3b0-06da254e9e7a	Sabinov	Sabinov	3	0	2013-08-26 02:47:18.520688+02	\N	\N	\N	\N	\N	\N	f	
25410	3b0c6110-b60c-43ef-8fba-c89e595ca54f	Corning, Kansas	Corning, Kansas	3	0	2013-09-07 11:43:40.989933+02	\N	\N	\N	\N	\N	\N	f	
23758	06f2f76c-f409-4b89-bacf-4d7a5d75941b	Sankt Wendel	Sankt Wendel	3	0	2013-08-31 20:37:40.516209+02	\N	\N	\N	\N	\N	\N	f	
24271	d0cee4da-5b7c-43c3-8797-b3b46ade6599	Gretna, Florida	Gretna, Florida	3	0	2013-09-07 05:34:08.590276+02	\N	\N	\N	\N	\N	\N	f	
25908	5fe30ae7-795f-4148-804a-6f380916141a	Lincolnville, Kansas	Lincolnville, Kansas	3	0	2013-09-07 15:10:37.44871+02	\N	\N	\N	\N	\N	\N	f	
24274	c898a808-32bd-4e27-a534-6a711e7531cc	Maitland	Maitland	3	0	2013-09-07 05:34:56.730613+02	\N	\N	\N	\N	\N	\N	f	
25465	2f9c75e1-85b3-458b-8e89-7303a475e9fa	Mildred	Mildred	3	0	2013-09-07 11:57:03.329824+02	\N	\N	\N	\N	\N	\N	f	
24293	92becfed-f328-4d7a-9ac7-486cb0b8e60a	Lake Buena Vista	Lake Buena Vista	3	0	2013-09-07 05:39:21.315608+02	\N	\N	\N	\N	\N	\N	f	
24776	87f01fd6-9cb3-41a8-9864-ab01ae90868e	Alvord	Alvord	3	0	2013-09-07 08:32:04.392555+02	\N	\N	\N	\N	\N	\N	f	
25833	84399495-4d9e-436e-981e-83f92178bb22	Willisburg, Kentucky	Willisburg, Kentucky	3	0	2013-09-07 14:51:36.17953+02	\N	\N	\N	\N	\N	\N	f	
25837	93e7ec9e-d25a-454d-ba31-38342cedb263	Blaine, Kentucky	Blaine, Kentucky	3	0	2013-09-07 14:52:34.275647+02	\N	\N	\N	\N	\N	\N	f	
26264	e5574dec-7a0a-4393-9b58-fd4ef87cea63	Coal Run Village	Coal Run Village	3	0	2013-09-07 21:00:01.463313+02	\N	\N	\N	\N	\N	\N	f	
25842	5e521a65-7a2e-4e2c-bb65-127b48744878	Elsmere, Kentucky	Elsmere, Kentucky	3	0	2013-09-07 14:53:46.912922+02	\N	\N	\N	\N	\N	\N	f	
25934	24791601-b53e-4b46-b89e-0e950ca53e0f	Carthage, Mississippi	Carthage, Mississippi	3	0	2013-09-07 17:24:31.67947+02	\N	\N	\N	\N	\N	\N	f	
26023	0637a5f3-ab2b-42b1-9bb9-00c2cc97fd89	North Newton, Kansas	North Newton, Kansas	3	0	2013-09-07 17:48:51.638867+02	\N	\N	\N	\N	\N	\N	f	
26941	0c626aee-a06a-4acb-af47-3b11e13f5bfa	Battle Creek	Battle Creek	3	0	2013-09-08 04:07:19.451858+02	\N	\N	\N	\N	\N	\N	f	
26572	29b9caf1-55f7-42a7-a9b8-5daf75d2e907	Carencro, Louisiana	Carencro, Louisiana	3	0	2013-09-08 01:11:34.307564+02	\N	\N	\N	\N	\N	\N	f	
26598	09cdc9d2-b71d-47f2-96d0-ba4832819b5a	Livermore, Kentucky	Livermore, Kentucky	3	0	2013-09-08 01:18:15.55915+02	\N	\N	\N	\N	\N	\N	f	
27340	ff9b3701-3d1b-4d24-a5a8-951bd04b51df	Bantry, North Dakota	Bantry, North Dakota	3	0	2013-09-08 07:32:06.33042+02	\N	\N	\N	\N	\N	\N	f	
27663	c83d9afb-e060-40ce-86a0-746d79403942	Wilmington, Ohio	Wilmington, Ohio	3	0	2013-09-08 09:13:09.323457+02	\N	\N	\N	\N	\N	\N	f	
28017	a7059bbb-bf40-499a-8d0f-b893d2e13a66	Gibson	Gibson	3	0	2013-09-08 12:02:11.026826+02	\N	\N	\N	\N	\N	\N	f	
28053	5054561c-f7af-4b88-8d19-9d1dbf7ae24a	Alexandrov	Alexandrov	3	0	2013-09-08 12:15:58.464407+02	\N	\N	\N	\N	\N	\N	f	
28055	cde9f992-320a-45f5-8dc6-02bdd503d3ee	Valday	Valday	3	0	2013-09-08 12:16:57.699393+02	\N	\N	\N	\N	\N	\N	f	
28251	62ec7890-250d-498f-b187-ab94514e79f0	Laurens, South Carolina	Laurens, South Carolina	3	0	2013-09-08 15:41:11.47353+02	\N	\N	\N	\N	\N	\N	f	
28266	262f4baa-bb27-453c-9b87-8a8b044052ec	Crossville	Crossville	3	0	2013-09-08 16:32:20.389181+02	\N	\N	\N	\N	\N	\N	f	
28684	e0c24589-489a-44db-b43d-d47f4d4d6720	Crowley	Crowley	3	0	2013-09-08 23:30:02.864901+02	\N	\N	\N	\N	\N	\N	f	
12165	713def83-5af6-4afc-bf5c-cba089a629b0	Liuqiu	Liuqiu	3	0	2013-07-14 08:59:18.015904+02	\N	\N	\N	\N	\N	\N	f	
12200	35efe89e-4f0e-4299-99a8-019b791d950e	Jinfeng	Jinfeng	3	0	2013-07-14 09:07:22.624934+02	\N	\N	\N	\N	\N	\N	f	
14021	1d1e94ec-ef9d-4f19-8bc2-23c6bbcbda19	Soiano del Lago	Soiano del Lago	4	0	2013-07-21 20:05:47.188339+02	\N	\N	\N	\N	\N	\N	f	
14230	e4aa1504-2383-48ef-9b4b-1d53b492a9be	Isernia	Isernia	4	0	2013-07-21 20:51:41.911223+02	\N	\N	\N	\N	\N	\N	f	
15733	f7727de1-77cc-42c9-a335-f7c7b592ff58	Roviano	Roviano	4	0	2013-07-22 01:50:49.829585+02	\N	\N	\N	\N	\N	\N	f	
14567	c1c05005-50aa-4d24-a004-fe93fadc006b	Calamandrana	Calamandrana	4	0	2013-07-21 22:07:03.909493+02	\N	\N	\N	\N	\N	\N	f	
14578	ec3a672e-af25-4430-8543-ffff15dc7c6e	Castelnuovo Don Bosco	Castelnuovo Don Bosco	4	0	2013-07-21 22:09:20.708571+02	\N	\N	\N	\N	\N	\N	f	
14596	e3187492-2664-404f-babd-f2077e9018c1	Cerro Tanaro	Cerro Tanaro	4	0	2013-07-21 22:13:38.863828+02	\N	\N	\N	\N	\N	\N	f	
15887	7f86fd5c-6827-4395-8af4-90686d300f21	Ronsecco	Ronsecco	4	0	2013-07-22 02:25:35.501428+02	\N	\N	\N	\N	\N	\N	f	
23524	6ee3d6ac-d0d9-401f-8a4f-32c7bba572d2	Malacky	Malacky	3	0	2013-08-26 02:47:35.894673+02	\N	\N	\N	\N	\N	\N	f	
15104	fc2dd29d-0a9d-4d9c-8104-05d23093db87	Rocca Cigliè	Rocca Cigliè	4	0	2013-07-21 23:48:08.295528+02	\N	\N	\N	\N	\N	\N	f	
17540	2713a75e-dd7b-4509-b50c-8ae6603d4115	Azzio	Azzio	4	0	2013-07-22 06:39:49.527879+02	\N	\N	\N	\N	\N	\N	f	
15205	144b067a-6c89-4324-b3c7-500a153151cd	Paciano	Paciano	4	0	2013-07-22 00:00:07.667895+02	\N	\N	\N	\N	\N	\N	f	
16651	8d9e932f-f15d-46a6-a991-5fe0c24e63c7	Monclassico	Monclassico	4	0	2013-07-22 04:00:15.491475+02	\N	\N	\N	\N	\N	\N	f	
15211	0ea70b58-b430-4853-a024-39fe45fbbdfe	Santo Stefano Belbo	Santo Stefano Belbo	4	0	2013-07-22 00:00:57.987821+02	\N	\N	\N	\N	\N	\N	f	
25364	8f9ebfcd-c18d-4498-8069-f5350b812e14	Perry, Kansas	Perry, Kansas	3	0	2013-09-07 11:32:52.401034+02	\N	\N	\N	\N	\N	\N	f	
23759	4112b0c1-3d87-425b-b30a-3ce7fb5101ae	Beeskow	Beeskow	3	0	2013-08-31 20:37:56.267802+02	\N	\N	\N	\N	\N	\N	f	
17609	80ae1aed-6c0d-46ce-a38b-b49d184e9813	Travedona-Monate	Travedona-Monate	4	0	2013-07-22 06:48:38.186619+02	\N	\N	\N	\N	\N	\N	f	
23842	798afd1f-e02e-4c6e-9569-edeb67ac2f5f	Holly Grove	Holly Grove	3	0	2013-09-06 20:34:33.734957+02	\N	\N	\N	\N	\N	\N	f	
17626	ca38f30e-1883-4379-90b1-ad2ab7c22d1e	Giussago	Giussago	4	0	2013-07-22 06:50:49.756335+02	\N	\N	\N	\N	\N	\N	f	
18492	f9570b7a-6362-40c1-8395-210af648c46c	Codognè	Codognè	4	0	2013-07-22 08:38:12.775847+02	\N	\N	\N	\N	\N	\N	f	
26945	23da1ec8-8b34-4478-b172-44e53c06e060	Genoa	Genoa	3	0	2013-09-08 04:08:15.940871+02	\N	\N	\N	\N	\N	\N	f	
19996	e3d36861-425f-4db5-8780-46558307798f	Rivello	Rivello	4	0	2013-07-22 12:05:17.009086+02	\N	\N	\N	\N	\N	\N	f	
18574	dafa596a-bdf2-4ab3-9cc3-5c40c0bdca8f	Monfumo	Monfumo	4	0	2013-07-22 08:47:50.591575+02	\N	\N	\N	\N	\N	\N	f	
18611	72819968-ff86-464d-86dc-d6efcb556332	Campiglia dei Berici	Campiglia dei Berici	4	0	2013-07-22 08:52:21.197344+02	\N	\N	\N	\N	\N	\N	f	
23943	fdb64cf0-4867-4444-a1c3-ea29f9a3e178	Rocky Ford	Rocky Ford	3	0	2013-09-06 23:25:40.892866+02	\N	\N	\N	\N	\N	\N	f	
18623	1fb1e9d5-eb73-45ea-89f2-72cd3cc12f94	Roana	Roana	4	0	2013-07-22 08:53:59.361528+02	\N	\N	\N	\N	\N	\N	f	
20032	fcb2f09b-05a1-4227-a5d3-aac626146d1d	Viggianello	Viggianello	4	0	2013-07-22 12:10:26.744369+02	\N	\N	\N	\N	\N	\N	f	
18640	3ea68de6-6d5f-4f1f-b8ed-39c065548a6d	Altavilla Vicentina	Altavilla Vicentina	4	0	2013-07-22 08:56:14.259242+02	\N	\N	\N	\N	\N	\N	f	
19476	3b6b501c-7962-4121-9492-7ee382e35375	Alanno	Alanno	4	0	2013-07-22 10:39:45.572977+02	\N	\N	\N	\N	\N	\N	f	
19484	e3dacdd9-c7ac-4914-ac22-5260bf34432c	Loreto Aprutino	Loreto Aprutino	4	0	2013-07-22 10:40:38.413309+02	\N	\N	\N	\N	\N	\N	f	
20651	b846f581-31b7-4060-8682-2ad524a16b56	Castelfranci	Castelfranci	4	0	2013-07-23 08:36:42.576839+02	\N	\N	\N	\N	\N	\N	f	
25398	b2c3bc38-af82-4287-8ac6-603f9f7bad69	Erlanger	Erlanger	3	0	2013-09-07 11:40:52.397795+02	\N	\N	\N	\N	\N	\N	f	
20754	8c9f5f63-e8dc-4fed-b22b-343862b6ac24	Buonalbergo	Buonalbergo	4	0	2013-07-23 11:36:11.890638+02	\N	\N	\N	\N	\N	\N	f	
24043	10b41118-b64f-40df-be59-24b14e60af71	Eastman, Georgia	Eastman, Georgia	3	0	2013-09-07 02:22:28.838884+02	\N	\N	\N	\N	\N	\N	f	
20784	da310892-f632-4938-b90c-7d209490bfa9	San Nazzaro	San Nazzaro	4	0	2013-07-23 11:43:37.305397+02	\N	\N	\N	\N	\N	\N	f	
20854	14db2d52-37de-4d84-99f1-b94fc58198f0	Agira	Agira	4	0	2013-07-23 14:37:19.885903+02	\N	\N	\N	\N	\N	\N	f	
20860	69be5b6c-d6b5-4c43-a050-d038edd9b7c6	Cerami	Cerami	4	0	2013-07-23 14:38:31.140741+02	\N	\N	\N	\N	\N	\N	f	
24245	eab7820e-0a74-4274-8e6d-11b7886acbc2	Sunny Side, Georgia	Sunny Side, Georgia	3	0	2013-09-07 05:27:53.073467+02	\N	\N	\N	\N	\N	\N	f	
20861	86781277-4bab-4f0c-8e3a-cfe4781efccf	Folignano	Folignano	4	0	2013-07-23 14:38:45.562105+02	\N	\N	\N	\N	\N	\N	f	
24298	b546a72d-224b-4004-82e3-31369a9577cb	Haines City	Haines City	3	0	2013-09-07 05:40:31.175506+02	\N	\N	\N	\N	\N	\N	f	
25402	522636e0-68d5-42e2-a3e4-f63b849fec13	Wayland, Iowa	Wayland, Iowa	3	0	2013-09-07 11:41:50.785995+02	\N	\N	\N	\N	\N	\N	f	
24319	d1d3aa9c-e96a-4cf2-960f-1065cfaa1fa0	Girard, Georgia	Girard, Georgia	3	0	2013-09-07 05:45:29.30348+02	\N	\N	\N	\N	\N	\N	f	
23333	7e52c506-353f-4c24-a31d-c1dfb2f30e30	Logan	Logan	3	0	2013-08-24 14:53:09.177165+02	\N	\N	\N	\N	\N	\N	f	
24782	65806517-b4bb-4a9d-b352-6e1f5d7c943d	Searsboro, Iowa	Searsboro, Iowa	3	0	2013-09-07 08:33:47.268047+02	\N	\N	\N	\N	\N	\N	f	
25834	425f2430-05ae-4902-9e0f-2caa28042357	Clay, Kentucky	Clay, Kentucky	3	0	2013-09-07 14:51:50.512054+02	\N	\N	\N	\N	\N	\N	f	
28052	151cf57e-0dea-4541-9bbf-dd13e75cae6d	Aprelevka	Aprelevka	3	0	2013-09-08 12:15:45.530161+02	\N	\N	\N	\N	\N	\N	f	
24844	42f34049-f3e4-4e85-b87e-18e18841b881	Buffalo Center	Buffalo Center	3	0	2013-09-07 08:49:47.158299+02	\N	\N	\N	\N	\N	\N	f	
25316	2e03c307-50f8-4be6-ac5d-dd0cdb758e35	Cynthiana	Cynthiana	3	0	2013-09-07 11:17:10.061846+02	\N	\N	\N	\N	\N	\N	f	
27007	252b178f-67a5-4cf7-80e6-e553f445afcd	Union Star	Union Star	3	0	2013-09-08 04:23:24.236005+02	\N	\N	\N	\N	\N	\N	f	
25902	5b95f6c0-3a0c-49f6-a182-b5f634de9940	Sedgwick, Kansas	Sedgwick, Kansas	3	0	2013-09-07 15:09:07.519013+02	\N	\N	\N	\N	\N	\N	f	
27343	82e4e7d2-0a70-447e-9825-47c27a5f8523	Wahpeton, North Dakota	Wahpeton, North Dakota	3	0	2013-09-08 07:32:54.637491+02	\N	\N	\N	\N	\N	\N	f	
25936	4c7416dd-743e-4c16-907f-e991469dccb6	Okolona, Mississippi	Okolona, Mississippi	3	0	2013-09-07 17:25:03.364866+02	\N	\N	\N	\N	\N	\N	f	
27008	9c7202af-6962-487b-9b70-01545bf8e622	Crofton	Crofton	3	0	2013-09-08 04:23:39.11585+02	\N	\N	\N	\N	\N	\N	f	
26265	d08b12a7-4476-4ee1-9a56-38129ff8bf92	McHenry	McHenry	3	0	2013-09-07 21:00:22.189911+02	\N	\N	\N	\N	\N	\N	f	
26573	c7b33463-05c6-44d9-b580-86d5f4c22bf5	Juliaetta, Idaho	Juliaetta, Idaho	3	0	2013-09-08 01:11:47.639318+02	\N	\N	\N	\N	\N	\N	f	
27672	53c1f604-1727-4dd4-bfe7-3d0664360742	St. Edward	St. Edward	3	0	2013-09-08 09:15:29.067892+02	\N	\N	\N	\N	\N	\N	f	
27013	504c7734-9edd-4b9c-a130-7a428e440ce1	Brandsville	Brandsville	3	0	2013-09-08 04:24:52.116472+02	\N	\N	\N	\N	\N	\N	f	
27345	ed22f18c-8516-4042-8e37-f300c86a02b4	Williston, North Dakota	Williston, North Dakota	3	0	2013-09-08 07:33:23.713475+02	\N	\N	\N	\N	\N	\N	f	
27015	8df41b2a-0bae-42eb-984a-db711eafef4a	Wellsville	Wellsville	3	0	2013-09-08 04:25:22.119629+02	\N	\N	\N	\N	\N	\N	f	
27665	009419c6-01bc-4e8a-978a-7017a342724b	Centrahoma, Oklahoma	Centrahoma, Oklahoma	3	0	2013-09-08 09:13:37.552682+02	\N	\N	\N	\N	\N	\N	f	
27671	f6b7802b-e917-47b3-a1d6-ce45cb81604a	West Plains	West Plains	3	0	2013-09-08 09:15:13.424503+02	\N	\N	\N	\N	\N	\N	f	
27680	f8a1e272-d16a-4051-bad9-2a791bf7eb0b	Wright City	Wright City	3	0	2013-09-08 09:17:25.674211+02	\N	\N	\N	\N	\N	\N	f	
27673	4fe1ac4f-2e5f-42d0-a9ac-f876917099e6	Williamsville	Williamsville	3	0	2013-09-08 09:15:42.597697+02	\N	\N	\N	\N	\N	\N	f	
28019	129aca16-2f0a-413f-8431-80c126b48305	Canal Fulton, Ohio	Canal Fulton, Ohio	3	0	2013-09-08 12:02:44.287287+02	\N	\N	\N	\N	\N	\N	f	
28252	b88f120a-2de1-4b2f-a2ac-3769a009b6f3	Loris, South Carolina	Loris, South Carolina	3	0	2013-09-08 15:41:37.918492+02	\N	\N	\N	\N	\N	\N	f	
28267	8a477ade-ad3a-4e87-b948-1bde5f827dde	Kingston	Kingston	3	0	2013-09-08 16:33:01.234486+02	\N	\N	\N	\N	\N	\N	f	
28271	af37875b-bf92-4400-ba92-c21e85bcfe78	Lebanon	Lebanon	3	0	2013-09-08 16:34:57.891203+02	\N	\N	\N	\N	\N	\N	f	
28323	a46d00ff-c8f4-4863-a876-ea443a9e7e7b	Red Boiling Springs, Tennessee	Red Boiling Springs, Tennessee	3	0	2013-09-08 16:50:33.963953+02	\N	\N	\N	\N	\N	\N	f	
28441	fac1994c-8adc-46fc-9cd4-02777ac53394	Sparta, Tennessee	Sparta, Tennessee	3	0	2013-09-08 17:26:55.944172+02	\N	\N	\N	\N	\N	\N	f	
28453	43bc44c3-e682-4509-9956-81c874a04e4d	Aubrey	Aubrey	3	0	2013-09-08 17:37:41.626782+02	\N	\N	\N	\N	\N	\N	f	
12166	01837203-3a15-4e56-8200-a4a58b4e64c9	Hengchun	Hengchun	3	0	2013-07-14 08:59:29.391781+02	\N	\N	\N	\N	\N	\N	f	
14022	f8bc83e0-ef74-4986-8505-91227c235b11	San Clemente, Emilia-Romagna	San Clemente, Emilia-Romagna	4	0	2013-07-21 20:05:59.962016+02	\N	\N	\N	\N	\N	\N	f	
14023	191ee98d-8295-40d8-89e1-f919a27d9185	Verolanuova	Verolanuova	4	0	2013-07-21 20:06:13.365024+02	\N	\N	\N	\N	\N	\N	f	
15738	66ad9bb6-f9c3-4cf5-b4bd-5a8de91b424f	Nazzano	Nazzano	4	0	2013-07-22 01:51:49.494691+02	\N	\N	\N	\N	\N	\N	f	
14570	7501850b-1954-4c37-981c-6dcb2e31a2f7	Castello di Annone	Castello di Annone	4	0	2013-07-21 22:07:40.890371+02	\N	\N	\N	\N	\N	\N	f	
15093	f5479bb1-9731-4c8b-b3c1-24558274b055	Vaiano	Vaiano	4	0	2013-07-21 23:46:38.878571+02	\N	\N	\N	\N	\N	\N	f	
15757	bbd60460-4b5f-47c2-be55-97b26d91d672	Vallepietra	Vallepietra	4	0	2013-07-22 01:55:53.570795+02	\N	\N	\N	\N	\N	\N	f	
15220	46a9a7f3-d78b-4e9e-8d59-f389a9805743	Hereford	Hereford	3	0	2013-07-22 00:02:03.563938+02	\N	\N	\N	\N	\N	\N	f	
17570	1237e671-95ae-44c7-995b-5551670bcb4f	Scaldasole	Scaldasole	4	0	2013-07-22 06:43:56.260657+02	\N	\N	\N	\N	\N	\N	f	
15767	e53c2836-00a4-4443-9dd6-9020df01b984	Arosio	Arosio	4	0	2013-07-22 01:57:56.064603+02	\N	\N	\N	\N	\N	\N	f	
15893	6a2038bc-1683-4a6f-b61f-c62ca5f48ac2	Mollia	Mollia	4	0	2013-07-22 02:26:50.838445+02	\N	\N	\N	\N	\N	\N	f	
16652	c0d6cfaa-f614-411a-a61e-eddfde13ce7d	Pergine Valsugana	Pergine Valsugana	4	0	2013-07-22 04:00:30.009192+02	\N	\N	\N	\N	\N	\N	f	
23843	64266bc1-3938-496b-afdd-f136e6226b7c	Washington	Washington	3	0	2013-09-06 20:34:47.336377+02	\N	\N	\N	\N	\N	\N	f	
17207	4b7e557a-a08a-4253-8d9f-e117a4cedc07	Cossoine	Cossoine	4	0	2013-07-22 05:58:24.588945+02	\N	\N	\N	\N	\N	\N	f	
17251	e870a50e-7d0c-43db-9911-a0bcc750f4a5	Bastida Pancarana	Bastida Pancarana	4	0	2013-07-22 06:03:46.499479+02	\N	\N	\N	\N	\N	\N	f	
18493	03130589-7c75-4f53-b5ef-0fbd7f25bd71	Naro	Naro	4	0	2013-07-22 08:38:22.761099+02	\N	\N	\N	\N	\N	\N	f	
18533	49457ff4-10b0-4d6b-b203-b3f17df14e62	Montecchio Precalcino	Montecchio Precalcino	4	0	2013-07-22 08:43:04.257051+02	\N	\N	\N	\N	\N	\N	f	
27667	95d3847e-6b92-419a-aebc-48a6d50756a1	Drumright, Oklahoma	Drumright, Oklahoma	3	0	2013-09-08 09:14:09.893776+02	\N	\N	\N	\N	\N	\N	f	
18556	e70d37a9-53f5-4e4e-ae36-35ec85fdf7d3	Zugliano	Zugliano	4	0	2013-07-22 08:45:47.77961+02	\N	\N	\N	\N	\N	\N	f	
23858	1863ebe5-9a3f-4168-b305-e9c92dd674c3	Lepanto	Lepanto	3	0	2013-09-06 20:38:26.487884+02	\N	\N	\N	\N	\N	\N	f	
19477	d95aabe7-449a-4959-a2b6-7c93ef0b3ce5	Collecorvino	Collecorvino	4	0	2013-07-22 10:39:46.733277+02	\N	\N	\N	\N	\N	\N	f	
19551	59e17a36-f319-455d-a6ed-b34315d2f7d8	Rutigliano	Rutigliano	4	0	2013-07-22 10:49:31.065989+02	\N	\N	\N	\N	\N	\N	f	
19576	1abf2310-95a3-420d-86e7-c660d3f272c1	Ascoli Satriano	Ascoli Satriano	4	0	2013-07-22 10:55:39.661235+02	\N	\N	\N	\N	\N	\N	f	
19989	f0e8d006-13d6-42b1-8f02-c01b431da678	Tito, Basilicata	Tito, Basilicata	4	0	2013-07-22 12:04:21.02868+02	\N	\N	\N	\N	\N	\N	f	
25343	72d1a979-2664-4985-98fb-705d4c322104	Aurelia	Aurelia	3	0	2013-09-07 11:26:41.572845+02	\N	\N	\N	\N	\N	\N	f	
20657	9de0ec21-e1e9-4709-bd58-f612753fae07	Grottaminarda	Grottaminarda	4	0	2013-07-23 08:38:11.268286+02	\N	\N	\N	\N	\N	\N	f	
23944	ddd5b3ee-d6e7-49a7-a75b-dd9857ee66e7	Garden City	Garden City	3	0	2013-09-06 23:25:59.139326+02	\N	\N	\N	\N	\N	\N	f	
20673	c981f57d-f7f6-412c-a82f-e0b71993baaa	Lacedonia	Lacedonia	4	0	2013-07-23 08:41:30.310434+02	\N	\N	\N	\N	\N	\N	f	
20687	cff59b4f-4294-4899-852e-c57a2a9bfd11	Quadrelle	Quadrelle	4	0	2013-07-23 08:44:34.694908+02	\N	\N	\N	\N	\N	\N	f	
20706	bc44d4b4-1125-44bd-9ee4-f39af4f4dcb9	Ospedaletto d'Alpinolo	Ospedaletto d'Alpinolo	4	0	2013-07-23 08:48:26.092385+02	\N	\N	\N	\N	\N	\N	f	
23960	5effa7b4-f076-4259-a193-33795b0d1d31	Chiefland	Chiefland	3	0	2013-09-06 23:30:07.914299+02	\N	\N	\N	\N	\N	\N	f	
20755	1f7f6749-188c-4398-9532-65ed4452241e	Castelpagano	Castelpagano	4	0	2013-07-23 11:36:24.85095+02	\N	\N	\N	\N	\N	\N	f	
20768	14ce42e7-2a73-4dba-b3f6-2208f81acc23	Baselice	Baselice	4	0	2013-07-23 11:40:02.630474+02	\N	\N	\N	\N	\N	\N	f	
26574	cfd7fdf9-b6c1-4ca7-a5b5-50544b5df7ff	Calamus, Iowa	Calamus, Iowa	3	0	2013-09-08 01:12:01.480137+02	\N	\N	\N	\N	\N	\N	f	
20857	a4362352-99e1-4e06-9fe6-575499fa5e28	Castorano	Castorano	4	0	2013-07-23 14:37:55.657089+02	\N	\N	\N	\N	\N	\N	f	
24044	6bccf92a-4e41-4ac2-8c99-a8fda230b331	Tennille	Tennille	3	0	2013-09-07 02:22:46.307711+02	\N	\N	\N	\N	\N	\N	f	
20864	9518decd-fe65-422f-8d60-d378a44d924a	Villarosa	Villarosa	4	0	2013-07-23 14:39:21.140123+02	\N	\N	\N	\N	\N	\N	f	
25352	69a8ddd1-5b80-4eb9-aee3-a7f46ab818b8	Cumberland	Cumberland	3	0	2013-09-07 11:29:26.083679+02	\N	\N	\N	\N	\N	\N	f	
24247	9cf48660-53af-4391-813d-e3d9e4ecf4bb	Hahira, Georgia	Hahira, Georgia	3	0	2013-09-07 05:28:19.875916+02	\N	\N	\N	\N	\N	\N	f	
23334	7ec986c1-380d-4862-8c1e-b50df1429379	Pleasant Grove	Pleasant Grove	3	0	2013-08-24 14:53:29.98035+02	\N	\N	\N	\N	\N	\N	f	
24265	aaee2f1b-54e7-465c-aae1-fb57d74e81b5	Lilburn, Georgia	Lilburn, Georgia	3	0	2013-09-07 05:32:43.212233+02	\N	\N	\N	\N	\N	\N	f	
23525	c0103ad1-07d0-464d-8983-825979f58018	Revúca	Revúca	3	0	2013-08-26 02:47:52.305254+02	\N	\N	\N	\N	\N	\N	f	
23760	d3593bdb-0261-4dfe-b711-0d97402bc935	Neunkirchen	Neunkirchen	3	0	2013-08-31 20:39:43.893032+02	\N	\N	\N	\N	\N	\N	f	
25836	04248b97-f636-4d53-aa1c-91cbcaedbb53	Lucas, Kansas	Lucas, Kansas	3	0	2013-09-07 14:52:19.559768+02	\N	\N	\N	\N	\N	\N	f	
24272	cc8a2e20-f89b-42b8-a16a-7f3531553f0c	Willacoochee, Georgia	Willacoochee, Georgia	3	0	2013-09-07 05:34:22.361212+02	\N	\N	\N	\N	\N	\N	f	
24323	6069ea10-f12c-41ee-a9a5-9befd7c0f8cc	Midville, Georgia	Midville, Georgia	3	0	2013-09-07 05:46:42.640431+02	\N	\N	\N	\N	\N	\N	f	
24783	b097ddc3-b9a2-4850-a734-a90371f4ae63	Pleasant Hill	Pleasant Hill	3	0	2013-09-07 08:34:02.865571+02	\N	\N	\N	\N	\N	\N	f	
26949	152dfb15-7762-4bb5-b1fe-7e704b59c092	Ewing	Ewing	3	0	2013-09-08 04:09:17.00666+02	\N	\N	\N	\N	\N	\N	f	
25317	e98210d8-c1d9-4a01-a461-5bee9c8d68e1	Goshen	Goshen	3	0	2013-09-07 11:17:28.053924+02	\N	\N	\N	\N	\N	\N	f	
25878	9611cbcf-9c76-4f5b-a8f9-441f3a1d5a65	Oak Grove, Kentucky	Oak Grove, Kentucky	3	0	2013-09-07 15:03:02.048649+02	\N	\N	\N	\N	\N	\N	f	
25880	3f560586-6295-4979-ad20-a320714f5ec6	Robards, Kentucky	Robards, Kentucky	3	0	2013-09-07 15:03:30.87009+02	\N	\N	\N	\N	\N	\N	f	
25938	7e575500-f95b-403a-9354-7b4b4b4de2dc	Pearl	Pearl	3	0	2013-09-07 17:25:36.776484+02	\N	\N	\N	\N	\N	\N	f	
27003	d7bf0542-34d0-4dcf-ae6a-b9a4d0c7a8d2	Pierce City	Pierce City	3	0	2013-09-08 04:22:24.662998+02	\N	\N	\N	\N	\N	\N	f	
26266	552eb707-ae24-42f8-9077-8b5b559bed8b	Pippa Passes	Pippa Passes	3	0	2013-09-07 21:00:39.136171+02	\N	\N	\N	\N	\N	\N	f	
28020	12fc884a-f25b-4627-b6b4-1227c3656b55	Low Moor	Low Moor	3	0	2013-09-08 12:02:59.344609+02	\N	\N	\N	\N	\N	\N	f	
27049	31cb60b1-ad06-48c3-954c-e31831e74924	Parkville	Parkville	3	0	2013-09-08 04:33:53.826252+02	\N	\N	\N	\N	\N	\N	f	
27346	2f3edd17-e5fd-474c-a241-07e9b3c2ccd7	Hazen, North Dakota	Hazen, North Dakota	3	0	2013-09-08 07:33:38.696666+02	\N	\N	\N	\N	\N	\N	f	
28268	2bc04e7f-f96e-4aa6-8001-43bb02bcff13	Colman, South Dakota	Colman, South Dakota	3	0	2013-09-08 16:33:16.538983+02	\N	\N	\N	\N	\N	\N	f	
28253	b68c5e75-9a6e-4e68-bdd1-42e5b9ed5aee	New Ellenton, South Carolina	New Ellenton, South Carolina	3	0	2013-09-08 15:41:55.121684+02	\N	\N	\N	\N	\N	\N	f	
28902	5d8c2976-5e53-41df-a2ad-453c49817c00	Asotin	Asotin	3	0	2013-09-09 01:15:13.711679+02	\N	\N	\N	\N	\N	\N	f	
28442	242438c1-de5b-4330-8aa4-3efeac03bec6	Sunbright, Tennessee	Sunbright, Tennessee	3	0	2013-09-08 17:27:14.873356+02	\N	\N	\N	\N	\N	\N	f	
28685	d506d85a-bd69-48ff-802a-e22ff2872a61	Meadowlakes	Meadowlakes	3	0	2013-09-08 23:30:18.180423+02	\N	\N	\N	\N	\N	\N	f	
28695	6fe1e0cb-892e-4722-980c-700172f44e98	Santa Clara	Santa Clara	3	0	2013-09-08 23:32:57.279596+02	\N	\N	\N	\N	\N	\N	f	
28923	00c733e5-165d-466a-9733-58756e1a9e28	Oglesby	Oglesby	3	0	2013-09-09 01:30:14.07547+02	\N	\N	\N	\N	\N	\N	f	
28931	a85652cb-9501-489c-a338-47d2f232dbdd	Clarksville City	Clarksville City	3	0	2013-09-09 01:32:26.941019+02	\N	\N	\N	\N	\N	\N	f	
28953	377788b5-4ee7-463c-823f-db3ebf9f7694	Little River-Academy	Little River-Academy	3	0	2013-09-09 01:38:31.019856+02	\N	\N	\N	\N	\N	\N	f	
28954	7d590072-7972-4eaf-aae8-7d3b9a295181	Post	Post	3	0	2013-09-09 01:38:47.772206+02	\N	\N	\N	\N	\N	\N	f	
29201	78957a76-636b-4701-ba41-a70164b4dbec	Ganado	Ganado	3	0	2013-09-09 03:04:42.948162+02	\N	\N	\N	\N	\N	\N	f	
28993	41f9ae85-8789-4d53-aad6-e3aae68bb4e1	Joshua	Joshua	3	0	2013-09-09 01:49:52.369314+02	\N	\N	\N	\N	\N	\N	f	
29313	d4eba7f7-885e-49b9-a39b-7ed80c5bbdf3	Delavan	Delavan	3	0	2013-09-09 05:24:32.281788+02	\N	\N	\N	\N	\N	\N	f	
12167	c52e3eb0-ab28-431b-9a1c-e21ee0649eb8	Lunbei	Lunbei	3	0	2013-07-14 08:59:40.734691+02	\N	\N	\N	\N	\N	\N	f	
12168	b74bc68e-d363-4c21-9669-6739a6078e79	Chenggong	Chenggong	3	0	2013-07-14 08:59:52.167137+02	\N	\N	\N	\N	\N	\N	f	
12172	d0bc19c1-e21f-49be-8e3b-7fb09b0eadab	Wutai	Wutai	3	0	2013-07-14 09:00:38.201451+02	\N	\N	\N	\N	\N	\N	f	
14024	8295af96-6612-4bed-8544-8fdcb373af9e	Vestone	Vestone	4	0	2013-07-21 20:06:26.016644+02	\N	\N	\N	\N	\N	\N	f	
12177	f167e1b5-21f2-4400-abf5-5054f20043e9	Mingjian	Mingjian	3	0	2013-07-14 09:01:35.662209+02	\N	\N	\N	\N	\N	\N	f	
12179	cc7b3908-78f0-4fc0-81db-161bef975307	Donghe	Donghe	3	0	2013-07-14 09:02:02.90615+02	\N	\N	\N	\N	\N	\N	f	
12203	b948636e-21d5-40e0-a141-707d7329c0fb	Jianshi	Jianshi	3	0	2013-07-14 09:08:04.093607+02	\N	\N	\N	\N	\N	\N	f	
14571	ec797fc3-f9e2-4452-969a-ddd1c6ab0804	Castagnole Monferrato	Castagnole Monferrato	4	0	2013-07-21 22:07:55.312058+02	\N	\N	\N	\N	\N	\N	f	
12204	4739aefb-8730-460f-a107-ba399ca14a98	Longtan, Taoyuan County	Longtan, Taoyuan County	3	0	2013-07-14 09:08:15.900861+02	\N	\N	\N	\N	\N	\N	f	
15743	48906a44-eb37-4f34-9d4c-8bd07b381848	Besenello	Besenello	4	0	2013-07-22 01:53:05.275831+02	\N	\N	\N	\N	\N	\N	f	
15750	2ab62529-031e-48a8-8cd6-80e3543e9f84	Ala	Ala	4	0	2013-07-22 01:54:26.522935+02	\N	\N	\N	\N	\N	\N	f	
17573	ba5397e5-8d2c-4cdf-a2bd-9576a479204f	Redavalle	Redavalle	4	0	2013-07-22 06:44:17.541007+02	\N	\N	\N	\N	\N	\N	f	
15775	77c1ab1b-fcbf-407b-aef0-24cb5d603b2c	Cagno	Cagno	4	0	2013-07-22 01:59:42.067916+02	\N	\N	\N	\N	\N	\N	f	
15881	35feb017-fba3-4c63-836a-1640a5e30d9f	Pezzana	Pezzana	4	0	2013-07-22 02:24:23.007562+02	\N	\N	\N	\N	\N	\N	f	
16653	392a8318-752c-4496-9793-9221bf095277	Mezzolombardo	Mezzolombardo	4	0	2013-07-22 04:00:40.77443+02	\N	\N	\N	\N	\N	\N	f	
17580	8b5da2c4-b6d8-49f6-9e25-55b24cfa8d46	Castellavazzo	Castellavazzo	4	0	2013-07-22 06:45:10.123777+02	\N	\N	\N	\N	\N	\N	f	
16658	d78d7063-b331-42d4-9a95-2371e4de498a	Nanno	Nanno	4	0	2013-07-22 04:01:56.804018+02	\N	\N	\N	\N	\N	\N	f	
16669	60f87c0f-76bf-4179-ba9d-b15e1d4be343	Rumo	Rumo	4	0	2013-07-22 04:05:10.93414+02	\N	\N	\N	\N	\N	\N	f	
19923	29100589-f365-45df-a057-da6943585705	Calvera	Calvera	4	0	2013-07-22 11:55:35.607243+02	\N	\N	\N	\N	\N	\N	f	
16790	24e9d83d-ced2-44ad-a20f-ec227ce848ee	Modica	Modica	4	0	2013-07-22 04:37:51.42207+02	\N	\N	\N	\N	\N	\N	f	
18494	9b204069-bc39-4837-814e-b412e24ff066	Castelgomberto	Castelgomberto	4	0	2013-07-22 08:38:26.158235+02	\N	\N	\N	\N	\N	\N	f	
16813	bd581e5e-68cc-47bc-89b2-19cd75ab12de	Correzzola	Correzzola	4	0	2013-07-22 04:43:18.699065+02	\N	\N	\N	\N	\N	\N	f	
17208	51868298-dc24-42d1-9945-bf46a97099da	Gemonio	Gemonio	4	0	2013-07-22 05:58:25.021436+02	\N	\N	\N	\N	\N	\N	f	
18557	69b50b9f-2739-474a-92ec-20b7c0da38c8	San Polo di Piave	San Polo di Piave	4	0	2013-07-22 08:46:00.457319+02	\N	\N	\N	\N	\N	\N	f	
23761	c5a10d06-ac5b-49df-8fc0-d2b5f0a8aec0	Homburg	Homburg	3	0	2013-08-31 20:40:10.502414+02	\N	\N	\N	\N	\N	\N	f	
19481	3899509f-f19c-4566-bb9e-0a4439017bea	Farindola	Farindola	4	0	2013-07-22 10:40:12.080941+02	\N	\N	\N	\N	\N	\N	f	
19535	26dcf72e-3d61-4529-9830-f8cadcaad043	Pineto	Pineto	4	0	2013-07-22 10:46:57.19233+02	\N	\N	\N	\N	\N	\N	f	
23844	eed4a18f-1f61-40d5-939f-86627ad74bf3	Delight	Delight	3	0	2013-09-06 20:35:05.455273+02	\N	\N	\N	\N	\N	\N	f	
19537	5b28d9ff-490c-406d-b7fe-fa4f436bfc0a	Nereto	Nereto	4	0	2013-07-22 10:47:10.254121+02	\N	\N	\N	\N	\N	\N	f	
19558	c5c62c5e-c7eb-45ec-8ba4-cf4a41dd0936	Alberobello	Alberobello	4	0	2013-07-22 10:50:58.169065+02	\N	\N	\N	\N	\N	\N	f	
19560	092fe2ba-4dae-42ac-b66f-098f2bd7cbd1	Ruvo di Puglia	Ruvo di Puglia	4	0	2013-07-22 10:51:24.359134+02	\N	\N	\N	\N	\N	\N	f	
24857	b9bdacde-cf68-42a0-a5df-0643324dfd3f	Hastings	Hastings	3	0	2013-09-07 08:52:55.270903+02	\N	\N	\N	\N	\N	\N	f	
19562	5a6f7cf5-b90c-4c9f-bcf8-80914f68bfdc	Noci	Noci	4	0	2013-07-22 10:51:55.83796+02	\N	\N	\N	\N	\N	\N	f	
20062	4022bfc4-a6ad-4f37-8403-36f301aaf570	Prata di Pordenone	Prata di Pordenone	4	0	2013-07-22 12:14:33.48609+02	\N	\N	\N	\N	\N	\N	f	
23946	00bc937a-f856-4ae6-be04-be8f8096b362	Coleman	Coleman	3	0	2013-09-06 23:26:41.629679+02	\N	\N	\N	\N	\N	\N	f	
24045	60d2659f-c99b-4eb8-80da-19af63ff8cfb	Waleska	Waleska	3	0	2013-09-07 02:23:01.125083+02	\N	\N	\N	\N	\N	\N	f	
20059	b8b4cbf0-8b70-43eb-b372-a3fed2d7b09b	San Floriano del Collio	San Floriano del Collio	4	0	2013-07-22 15:01:32.246127+02	\N	\N	\N	\N	\N	\N	f	
20658	bfc8d59c-e158-48f0-aa81-faf2457bc8fc	Mirabella Eclano	Mirabella Eclano	4	0	2013-07-23 08:38:25.726283+02	\N	\N	\N	\N	\N	\N	f	
27347	a96d8b53-81bf-4903-a503-2a02d7e499fa	Wing, North Dakota	Wing, North Dakota	3	0	2013-09-08 07:33:54.693491+02	\N	\N	\N	\N	\N	\N	f	
20756	6ab5b0b7-1aa5-4fe3-9d9d-0f18319a182a	Limatola	Limatola	4	0	2013-07-23 11:36:36.774959+02	\N	\N	\N	\N	\N	\N	f	
24052	2d7a4c1c-f188-4e0d-8cdc-28ae67db21de	St. Charles	St. Charles	3	0	2013-09-07 02:25:12.457587+02	\N	\N	\N	\N	\N	\N	f	
20858	9c59f333-bd83-4d81-9863-edc06a1603f2	Barrafranca	Barrafranca	4	0	2013-07-23 14:38:07.507425+02	\N	\N	\N	\N	\N	\N	f	
20888	d05e5201-9b54-42cb-b797-3f83de85be76	Giano Vetusto	Giano Vetusto	4	0	2013-07-23 14:45:48.767501+02	\N	\N	\N	\N	\N	\N	f	
25318	3754b60e-e303-43f3-ad0c-1df139b00cd5	Greensburg	Greensburg	3	0	2013-09-07 11:17:48.638629+02	\N	\N	\N	\N	\N	\N	f	
24248	a4ff9570-150a-4985-9746-8f9d83b7f9d9	Cobbtown, Georgia	Cobbtown, Georgia	3	0	2013-09-07 05:28:37.634507+02	\N	\N	\N	\N	\N	\N	f	
23526	87879483-f095-4115-be52-35a0159b01c1	Moldava nad Bodvou	Moldava nad Bodvou	3	0	2013-08-26 02:48:06.427034+02	\N	\N	\N	\N	\N	\N	f	
25939	2aecc5bd-1f4f-4ef9-883f-6b19e56c4c7a	Brandon	Brandon	3	0	2013-09-07 17:25:50.156059+02	\N	\N	\N	\N	\N	\N	f	
24785	4734e5db-984d-4f30-933a-b2423d7bc30b	Ledyard	Ledyard	3	0	2013-09-07 08:34:44.795183+02	\N	\N	\N	\N	\N	\N	f	
25428	4c6a5be2-8adb-4e5b-a66f-eef2d295f447	Atwood, Kansas	Atwood, Kansas	3	0	2013-09-07 11:48:01.038255+02	\N	\N	\N	\N	\N	\N	f	
24798	8e7daecc-a163-426d-9f58-07e38c4d35d4	Stanwood	Stanwood	3	0	2013-09-07 08:38:22.220642+02	\N	\N	\N	\N	\N	\N	f	
24802	92a39b3e-5f70-45d5-94a0-7b9e8391daf6	Abbyville, Kansas	Abbyville, Kansas	3	0	2013-09-07 08:39:22.454926+02	\N	\N	\N	\N	\N	\N	f	
24847	d24c0048-9633-470a-a1b4-091369a71f01	Calumet	Calumet	3	0	2013-09-07 08:50:32.036026+02	\N	\N	\N	\N	\N	\N	f	
26950	3afc43f0-9e7f-4708-93fc-01c5809eabea	Scribner	Scribner	3	0	2013-09-08 04:09:31.704878+02	\N	\N	\N	\N	\N	\N	f	
25839	032fce8d-1dc0-4455-b454-91dedcc9ebc2	West Liberty, Kentucky	West Liberty, Kentucky	3	0	2013-09-07 14:53:03.959094+02	\N	\N	\N	\N	\N	\N	f	
26268	5ea4e476-0376-4ba8-a287-ddb1bad16dc9	Pineville	Pineville	3	0	2013-09-07 21:01:18.763448+02	\N	\N	\N	\N	\N	\N	f	
25841	66fefb29-5135-4f7f-86b1-a3de43641eb9	Northfield, Kentucky	Northfield, Kentucky	3	0	2013-09-07 14:53:32.380855+02	\N	\N	\N	\N	\N	\N	f	
25901	179016ae-3a8a-4caf-928c-18e68008c428	Corinth, Kentucky	Corinth, Kentucky	3	0	2013-09-07 15:08:52.954696+02	\N	\N	\N	\N	\N	\N	f	
26575	925267e5-7f94-474d-bfee-519436d558a5	Conway, Missouri	Conway, Missouri	3	0	2013-09-08 01:12:20.539877+02	\N	\N	\N	\N	\N	\N	f	
27018	9d52a2b6-3eb1-4fc8-aaeb-a550cd516f6d	Grandview	Grandview	3	0	2013-09-08 04:26:08.342507+02	\N	\N	\N	\N	\N	\N	f	
26633	98f2594b-6626-4722-aa3a-8699ae832212	Durant	Durant	3	0	2013-09-08 01:48:31.003903+02	\N	\N	\N	\N	\N	\N	f	
27028	dffea108-fb4e-46fb-ac52-9f2b79a92b41	Coffey	Coffey	3	0	2013-09-08 04:28:39.039005+02	\N	\N	\N	\N	\N	\N	f	
27372	86ab2674-b045-4ca5-adbb-a979b6ba2668	Dwight, North Dakota	Dwight, North Dakota	3	0	2013-09-08 07:40:54.115853+02	\N	\N	\N	\N	\N	\N	f	
27674	ce7c540a-3edb-43b3-94b8-9490b47426fa	Elgin	Elgin	3	0	2013-09-08 09:15:58.317235+02	\N	\N	\N	\N	\N	\N	f	
28021	99b9f37f-48b5-49df-b732-f961b2146863	Fostoria	Fostoria	3	0	2013-09-08 12:03:17.478936+02	\N	\N	\N	\N	\N	\N	f	
28254	436f5016-7955-4a96-be64-150a9f66664e	Seneca, South Carolina	Seneca, South Carolina	3	0	2013-09-08 15:42:44.011435+02	\N	\N	\N	\N	\N	\N	f	
28269	ca34c143-6aeb-478e-8161-bf56c765a206	Kimball, South Dakota	Kimball, South Dakota	3	0	2013-09-08 16:33:36.443184+02	\N	\N	\N	\N	\N	\N	f	
28270	e0401b4e-fecb-4bcc-ab7c-79b910187b16	Harriman	Harriman	3	0	2013-09-08 16:34:16.511776+02	\N	\N	\N	\N	\N	\N	f	
28275	e95af4de-b84c-4762-9b79-d12e32969a6d	Wilmot, South Dakota	Wilmot, South Dakota	3	0	2013-09-08 16:36:49.467977+02	\N	\N	\N	\N	\N	\N	f	
28446	8adc7a19-fee8-49fb-983b-558e27d19791	Ridgetop, Tennessee	Ridgetop, Tennessee	3	0	2013-09-08 17:28:18.914129+02	\N	\N	\N	\N	\N	\N	f	
28686	2facc24b-8cdb-40c3-8bb6-8ccbc7e60d71	McLendon-Chisholm	McLendon-Chisholm	3	0	2013-09-08 23:30:34.377277+02	\N	\N	\N	\N	\N	\N	f	
28687	7e3412b9-49bf-4836-809c-d2d9d8508fd4	Ferris, Texas	Ferris, Texas	3	0	2013-09-08 23:30:54.322862+02	\N	\N	\N	\N	\N	\N	f	
12169	c6e548ea-c5bf-4117-a528-42aa468aa9e2	Taixi	Taixi	3	0	2013-07-14 09:00:03.528662+02	\N	\N	\N	\N	\N	\N	f	
12170	4007b730-66b7-458f-9cd8-55cfccb20608	Gukeng	Gukeng	3	0	2013-07-14 09:00:15.090962+02	\N	\N	\N	\N	\N	\N	f	
14026	82d738e0-2f85-4dac-90e8-fc1ac353debb	Anagni	Anagni	4	0	2013-07-21 20:07:03.606185+02	\N	\N	\N	\N	\N	\N	f	
12178	8fe9cdef-4a06-4ddf-abc3-6b852140ee92	Beipu	Beipu	3	0	2013-07-14 09:01:51.631696+02	\N	\N	\N	\N	\N	\N	f	
12182	a63e1f9a-d6cf-4edf-87ec-d441677aa218	Taimali	Taimali	3	0	2013-07-14 09:02:37.06262+02	\N	\N	\N	\N	\N	\N	f	
12183	e5237ad9-f0cd-4c50-b1e9-e9ff1130632f	Haiduan	Haiduan	3	0	2013-07-14 09:02:48.391615+02	\N	\N	\N	\N	\N	\N	f	
14084	661d09b8-4075-4361-815a-3a13ba4ce77d	Roccasecca	Roccasecca	4	0	2013-07-21 20:20:16.739694+02	\N	\N	\N	\N	\N	\N	f	
12187	ab3c3298-3789-4041-91aa-ed6634be9c14	Baisha	Baisha	3	0	2013-07-14 09:03:38.924834+02	\N	\N	\N	\N	\N	\N	f	
12189	f294b23b-1788-4ea1-8d7b-4b940e2ef5b5	Shuilin	Shuilin	3	0	2013-07-14 09:04:19.532554+02	\N	\N	\N	\N	\N	\N	f	
15758	964b1fa4-4e41-409d-85ee-1d74297c7309	Albiolo	Albiolo	4	0	2013-07-22 01:56:06.855807+02	\N	\N	\N	\N	\N	\N	f	
12208	77ed05f4-abab-4b25-9f44-885b166d853d	Toufen	Toufen	3	0	2013-07-14 09:09:07.663189+02	\N	\N	\N	\N	\N	\N	f	
14572	d16def0a-4013-425b-af04-f54416f930c0	Calliano	Calliano	4	0	2013-07-21 22:08:07.638059+02	\N	\N	\N	\N	\N	\N	f	
14666	5e02dc2e-20ee-469d-9b4b-f74e1e14f5cc	Vallerano	Vallerano	4	0	2013-07-21 22:29:16.171208+02	\N	\N	\N	\N	\N	\N	f	
14727	89c2084a-443a-4a9b-8fcb-e3b1f9eec191	Sala Biellese	Sala Biellese	4	0	2013-07-21 22:42:43.616968+02	\N	\N	\N	\N	\N	\N	f	
15765	42603885-14a4-4191-a420-f0cd73fbd1e8	Argegno	Argegno	4	0	2013-07-22 01:57:33.056865+02	\N	\N	\N	\N	\N	\N	f	
14739	239f0dd5-5338-4e0e-bae4-a4c479947018	Ponderano	Ponderano	4	0	2013-07-21 22:45:13.16013+02	\N	\N	\N	\N	\N	\N	f	
14767	bedfd909-3baf-47b4-9e0d-253075e5a293	Acceglio	Acceglio	4	0	2013-07-21 22:51:39.788686+02	\N	\N	\N	\N	\N	\N	f	
17574	ee40b682-aa32-4864-83d4-b1d6f5357ef1	Buguggiate	Buguggiate	4	0	2013-07-22 06:44:22.743051+02	\N	\N	\N	\N	\N	\N	f	
14771	fbccf04a-78c0-41dc-b009-ab332468e632	Barbaresco	Barbaresco	4	0	2013-07-21 22:52:37.051541+02	\N	\N	\N	\N	\N	\N	f	
15903	01387d61-215b-418c-969e-c9b90b1dd913	Villata	Villata	4	0	2013-07-22 02:28:28.554775+02	\N	\N	\N	\N	\N	\N	f	
14779	0991d069-dee6-4100-a8b2-19ac5f517101	Canale	Canale	4	0	2013-07-21 22:54:15.684665+02	\N	\N	\N	\N	\N	\N	f	
14781	9bbe8001-fc1b-4aac-8d5b-a03df53965e2	Bra	Bra	4	0	2013-07-21 22:54:39.07777+02	\N	\N	\N	\N	\N	\N	f	
14816	f3045d73-6a82-43cd-934d-42e75a5f73f6	Bologna	Bologna	4	0	2013-07-21 23:02:02.848612+02	\N	\N	\N	\N	\N	\N	f	
15907	6f81dd66-6009-41e3-a02d-205595c7b9a3	Serravalle Sesia	Serravalle Sesia	4	0	2013-07-22 02:28:55.500202+02	\N	\N	\N	\N	\N	\N	f	
15098	fbc422c8-0d44-47c5-ae09-728aa3532789	Prazzo	Prazzo	4	0	2013-07-21 23:47:14.531542+02	\N	\N	\N	\N	\N	\N	f	
15139	fa9d032b-8c24-4255-bead-a19b700979dd	Collazzone	Collazzone	4	0	2013-07-21 23:52:27.733808+02	\N	\N	\N	\N	\N	\N	f	
23845	534c34ef-5f85-459d-b0e2-4f56e4e92e17	Judsonia	Judsonia	3	0	2013-09-06 20:35:18.795932+02	\N	\N	\N	\N	\N	\N	f	
15181	4f01a758-6c0e-4a37-b618-46a0136d1504	Somano	Somano	4	0	2013-07-21 23:57:19.933053+02	\N	\N	\N	\N	\N	\N	f	
15182	3aa83b92-99fb-4ee7-b800-8a024b13c7a1	San Benedetto Belbo	San Benedetto Belbo	4	0	2013-07-21 23:57:20.418891+02	\N	\N	\N	\N	\N	\N	f	
18495	e6ebfec8-5a4b-4853-968b-07da28522cb1	Deutschnofen	Deutschnofen	4	0	2013-07-22 08:38:35.766521+02	\N	\N	\N	\N	\N	\N	f	
16050	7aaa4dc3-fb2d-41ef-af9a-5daa241ccb1b	Cinte Tesino	Cinte Tesino	4	0	2013-07-22 02:46:51.215056+02	\N	\N	\N	\N	\N	\N	f	
16654	45dd3bda-7e94-463e-b422-fb80cc401e99	Panchià	Panchià	4	0	2013-07-22 04:00:50.596567+02	\N	\N	\N	\N	\N	\N	f	
19928	29742bcb-3098-47ff-a025-0ea7ebeb80cf	Barile	Barile	4	0	2013-07-22 11:56:15.238033+02	\N	\N	\N	\N	\N	\N	f	
17209	adb30f9e-fe5e-4a02-8309-eafd70d43f53	Mazzo di Valtellina	Mazzo di Valtellina	4	0	2013-07-22 05:58:39.657794+02	\N	\N	\N	\N	\N	\N	f	
18521	4758f553-42fb-431d-9d16-52cb561a10db	Concamarise	Concamarise	4	0	2013-07-22 08:41:39.534847+02	\N	\N	\N	\N	\N	\N	f	
18541	2ddb5c87-5190-4ad1-a3f4-21fbfdf74154	Albaredo d'Adige	Albaredo d'Adige	4	0	2013-07-22 08:44:02.15976+02	\N	\N	\N	\N	\N	\N	f	
18543	8d80d0ab-c8d8-4128-a204-a1eff79aecf1	Montecchio Maggiore	Montecchio Maggiore	4	0	2013-07-22 08:44:16.566621+02	\N	\N	\N	\N	\N	\N	f	
19935	9fd1c2e8-0add-42ae-bcce-bdba699db6a2	Castelluccio Superiore	Castelluccio Superiore	4	0	2013-07-22 11:56:54.124612+02	\N	\N	\N	\N	\N	\N	f	
18546	7c12d6a4-4517-44c1-889d-f5a9b0097f5c	Grumolo delle Abbadesse	Grumolo delle Abbadesse	4	0	2013-07-22 08:44:32.204223+02	\N	\N	\N	\N	\N	\N	f	
19482	265c60ad-8a39-4c6f-888b-6eb589baa366	Roccamorice	Roccamorice	4	0	2013-07-22 10:40:25.457582+02	\N	\N	\N	\N	\N	\N	f	
25940	e288fbda-9a64-4de4-9b91-21cce1228e80	Kosciusko	Kosciusko	3	0	2013-09-07 17:26:08.543887+02	\N	\N	\N	\N	\N	\N	f	
20663	94bd80a9-4624-4a5b-8f55-b3cc624a31f2	Conza della Campania	Conza della Campania	4	0	2013-07-23 08:39:27.479273+02	\N	\N	\N	\N	\N	\N	f	
23947	c12083af-2322-4049-90f7-510c3a2807fc	Dacono, Colorado	Dacono, Colorado	3	0	2013-09-06 23:27:00.837204+02	\N	\N	\N	\N	\N	\N	f	
20664	80e89d4d-75f7-4e62-a928-3ec643b79d1a	Marzano di Nola	Marzano di Nola	4	0	2013-07-23 08:39:39.444042+02	\N	\N	\N	\N	\N	\N	f	
20757	36a3838e-a65a-406f-8331-3965f1522cde	Castelfranco in Miscano	Castelfranco in Miscano	4	0	2013-07-23 11:36:48.659928+02	\N	\N	\N	\N	\N	\N	f	
24788	6b813cd4-ad25-4f6c-ae20-295cbf37a6ef	Rockwell	Rockwell	3	0	2013-09-07 08:35:35.092509+02	\N	\N	\N	\N	\N	\N	f	
20865	8a551ae0-61e8-40bc-8261-09316fe6e364	Palmiano	Palmiano	4	0	2013-07-23 14:39:33.159995+02	\N	\N	\N	\N	\N	\N	f	
23951	8cb4bf58-afd1-463f-9abf-d9fc7716d991	Edgewood	Edgewood	3	0	2013-09-06 23:27:54.452097+02	\N	\N	\N	\N	\N	\N	f	
24046	8de49901-f1ba-48d3-a777-5ee7a324bf5e	Lilly, Georgia	Lilly, Georgia	3	0	2013-09-07 02:23:23.764706+02	\N	\N	\N	\N	\N	\N	f	
24057	361e7dae-0017-442a-87ef-13a5ec604ecf	Parker	Parker	3	0	2013-09-07 02:26:29.339681+02	\N	\N	\N	\N	\N	\N	f	
25319	f7d1f0c2-b568-447f-9b69-20b9d92ed20d	Lebanon	Lebanon	3	0	2013-09-07 11:18:01.776084+02	\N	\N	\N	\N	\N	\N	f	
23527	87407a89-56a4-49e0-8661-c2d9956b6da6	Myjava	Myjava	3	0	2013-08-26 02:48:25.340558+02	\N	\N	\N	\N	\N	\N	f	
24249	ddf7beaa-1f92-45ae-bcbd-4ae6d1613f1d	Claxton, Georgia	Claxton, Georgia	3	0	2013-09-07 05:28:53.518387+02	\N	\N	\N	\N	\N	\N	f	
24253	79fec4fe-3154-4570-b3e4-03b4a04d1eea	San Antonio, Florida	San Antonio, Florida	3	0	2013-09-07 05:29:51.405305+02	\N	\N	\N	\N	\N	\N	f	
26269	1074c79d-31aa-4f17-bd0f-1dc0a468fe8a	Allensville	Allensville	3	0	2013-09-07 21:01:35.833474+02	\N	\N	\N	\N	\N	\N	f	
25325	5ebd7df5-8bc8-41ba-9442-4dff934b6475	Lawrenceburg	Lawrenceburg	3	0	2013-09-07 11:19:39.538285+02	\N	\N	\N	\N	\N	\N	f	
25843	d99e9776-195d-46c2-9925-d439c048c702	Paradise, Kansas	Paradise, Kansas	3	0	2013-09-07 14:54:01.483898+02	\N	\N	\N	\N	\N	\N	f	
26964	d25a2121-5ecc-463d-a257-e2247324aeda	Hutchinson	Hutchinson	3	0	2013-09-08 04:12:52.17152+02	\N	\N	\N	\N	\N	\N	f	
26954	46993505-3b3b-4ecd-a8a3-ffb0638077e6	Kimmswick	Kimmswick	3	0	2013-09-08 04:10:29.185251+02	\N	\N	\N	\N	\N	\N	f	
26576	ce52f650-4eef-498f-83b8-fdd21f2e4a03	Ralston, Iowa	Ralston, Iowa	3	0	2013-09-08 01:12:34.328029+02	\N	\N	\N	\N	\N	\N	f	
26620	470556f0-e07d-4ac4-9fe3-67bdf257e4c4	Pleasantville, New Jersey	Pleasantville, New Jersey	3	0	2013-09-08 01:36:05.195488+02	\N	\N	\N	\N	\N	\N	f	
27678	ce04177e-7a1a-4e47-913f-8fd3987cf5e7	Bennington	Bennington	3	0	2013-09-08 09:16:56.384808+02	\N	\N	\N	\N	\N	\N	f	
27349	c35aab1d-331a-4eb5-94e2-5f6d094d86b4	Cavalier, North Dakota	Cavalier, North Dakota	3	0	2013-09-08 07:34:27.04299+02	\N	\N	\N	\N	\N	\N	f	
27688	d7230fb0-180b-4b5d-a623-b2a539cfadc7	Nicoma Park, Oklahoma	Nicoma Park, Oklahoma	3	0	2013-09-08 09:25:34.307174+02	\N	\N	\N	\N	\N	\N	f	
28023	25d90419-f35f-4733-9edc-7fe19db90b95	North Olmsted	North Olmsted	3	0	2013-09-08 12:03:45.365283+02	\N	\N	\N	\N	\N	\N	f	
28255	923b484f-5d47-4a1f-8221-65034a0c81da	North Augusta, South Carolina	North Augusta, South Carolina	3	0	2013-09-08 15:43:08.389135+02	\N	\N	\N	\N	\N	\N	f	
28272	95386aee-75fb-4b68-9684-c5d25072e2f0	Wallace	Wallace	3	0	2013-09-08 16:35:37.872614+02	\N	\N	\N	\N	\N	\N	f	
28285	2774247a-d5e4-4794-a2f9-bc7d77f93fec	Walhalla, South Carolina	Walhalla, South Carolina	3	0	2013-09-08 16:40:37.260171+02	\N	\N	\N	\N	\N	\N	f	
28449	3c916e9f-1103-46ba-863f-a8a23967077a	Townsend, Tennessee	Townsend, Tennessee	3	0	2013-09-08 17:29:59.577201+02	\N	\N	\N	\N	\N	\N	f	
28458	c8abf1c9-ad4b-4c6d-802f-e8d89c454e84	Balcones Heights	Balcones Heights	3	0	2013-09-08 17:39:10.880823+02	\N	\N	\N	\N	\N	\N	f	
12171	b69872d6-4bea-4b86-8680-50866a37ecb2	Chunrih	Chunrih	3	0	2013-07-14 09:00:26.76961+02	\N	\N	\N	\N	\N	\N	f	
12173	bfadfde2-6595-4715-9fd2-e21facbcfe30	Linluo	Linluo	3	0	2013-07-14 09:00:49.585196+02	\N	\N	\N	\N	\N	\N	f	
12174	f04f7616-410c-419c-b357-1b9816b3a82e	Yuanchang	Yuanchang	3	0	2013-07-14 09:01:01.542646+02	\N	\N	\N	\N	\N	\N	f	
14027	0d3f725a-ca8a-4023-95e3-cb7b78e158b0	Acquafondata	Acquafondata	4	0	2013-07-21 20:07:18.699548+02	\N	\N	\N	\N	\N	\N	f	
12175	2d037a3f-a97a-4584-8528-caa1dd4d554b	Huwei	Huwei	3	0	2013-07-14 09:01:12.952843+02	\N	\N	\N	\N	\N	\N	f	
12176	1cbec031-730e-4d03-949b-511931b82eef	Citong	Citong	3	0	2013-07-14 09:01:24.332198+02	\N	\N	\N	\N	\N	\N	f	
12180	2af2dc38-d26c-4fad-8efe-0863d6e6d383	Guishan	Guishan	3	0	2013-07-14 09:02:14.212634+02	\N	\N	\N	\N	\N	\N	f	
14110	f98b3311-429f-44ce-9f28-291b544047bf	Torre Cajetani	Torre Cajetani	4	0	2013-07-21 20:25:21.496633+02	\N	\N	\N	\N	\N	\N	f	
12181	84036c87-9683-4556-be94-30e5f2e016d1	Checheng	Checheng	3	0	2013-07-14 09:02:25.557109+02	\N	\N	\N	\N	\N	\N	f	
12186	cae7bde2-8dea-41a0-8b83-f92dc3b0068c	Xincheng	Xincheng	3	0	2013-07-14 09:03:27.398059+02	\N	\N	\N	\N	\N	\N	f	
15760	7d34a352-2892-47be-af77-e3b8ef729f65	Albavilla	Albavilla	4	0	2013-07-22 01:56:30.269168+02	\N	\N	\N	\N	\N	\N	f	
12188	d70dec48-2be3-4e8a-a853-01adfabc135f	Lugu	Lugu	3	0	2013-07-14 09:03:57.100045+02	\N	\N	\N	\N	\N	\N	f	
14573	4cc18a62-f9d1-4281-9ef2-fb99fb59e5b0	Cassinasco	Cassinasco	4	0	2013-07-21 22:08:20.122522+02	\N	\N	\N	\N	\N	\N	f	
12193	03720982-c535-47e5-abc1-6ee80ac16224	Luye	Luye	3	0	2013-07-14 09:05:50.884785+02	\N	\N	\N	\N	\N	\N	f	
14604	76ca1349-f4b8-4885-840f-5454a62abf81	Corsione	Corsione	4	0	2013-07-21 22:15:20.784135+02	\N	\N	\N	\N	\N	\N	f	
14700	e613b32e-c43a-486b-85d0-34cda3a541b7	Vignanello	Vignanello	4	0	2013-07-21 22:36:20.668062+02	\N	\N	\N	\N	\N	\N	f	
15764	1b6287af-6279-42bc-8b2b-c6f613f11dce	Barni	Barni	4	0	2013-07-22 01:57:21.58088+02	\N	\N	\N	\N	\N	\N	f	
23948	f92185d7-730b-4231-989f-87e0a31b0a10	Belle Isle	Belle Isle	3	0	2013-09-06 23:27:14.121026+02	\N	\N	\N	\N	\N	\N	f	
17575	9bb3a9f2-e1d7-4d2c-b042-e127b5e0a2e5	Induno Olona	Induno Olona	4	0	2013-07-22 06:44:36.927265+02	\N	\N	\N	\N	\N	\N	f	
15801	8172b805-377e-4108-bd9e-a8c23556e1a6	Castelmarte	Castelmarte	4	0	2013-07-22 02:05:52.518487+02	\N	\N	\N	\N	\N	\N	f	
15191	960f1f2e-a0fd-4dc0-a6ee-054f2b6bcec1	Sampeyre	Sampeyre	4	0	2013-07-21 23:58:31.369282+02	\N	\N	\N	\N	\N	\N	f	
25322	a8c1f138-defe-414e-9d0b-d0df57b01099	Taylorsville	Taylorsville	3	0	2013-09-07 11:18:51.917573+02	\N	\N	\N	\N	\N	\N	f	
15266	361e5e5d-2c67-440c-aee9-79c20574d4d8	Stroppo	Stroppo	4	0	2013-07-22 00:07:36.599365+02	\N	\N	\N	\N	\N	\N	f	
15992	8fd4bb11-6d75-4a39-8341-df250435df14	Crocefieschi	Crocefieschi	4	0	2013-07-22 02:39:28.4991+02	\N	\N	\N	\N	\N	\N	f	
15326	12d910a8-e807-49ac-8dda-9b3acc7aa376	Serra Sant'Abbondio	Serra Sant'Abbondio	4	0	2013-07-22 00:20:34.719793+02	\N	\N	\N	\N	\N	\N	f	
24047	0a44ebd0-3cd0-443d-80e1-f8cd30893254	Rochelle	Rochelle	3	0	2013-09-07 02:23:40.292722+02	\N	\N	\N	\N	\N	\N	f	
16655	de7a9e66-8010-464d-b681-96811eb7fb97	Pieve Tesino	Pieve Tesino	4	0	2013-07-22 04:01:07.440804+02	\N	\N	\N	\N	\N	\N	f	
18496	5cce0103-552e-406a-bac6-52c0dcef1a67	Nogarole Vicentino	Nogarole Vicentino	4	0	2013-07-22 08:38:38.357233+02	\N	\N	\N	\N	\N	\N	f	
16736	db3a9e7c-4193-4cab-854c-7c8085aa4b62	Villa Agnedo	Villa Agnedo	4	0	2013-07-22 04:23:31.73826+02	\N	\N	\N	\N	\N	\N	f	
17210	83ad5d40-ae0f-4d49-a554-3380ceda1085	Burgos, Sardinia	Burgos, Sardinia	4	0	2013-07-22 05:58:40.284122+02	\N	\N	\N	\N	\N	\N	f	
19940	453255a7-403f-4b13-b127-30e74cd33258	Moliterno	Moliterno	4	0	2013-07-22 11:57:33.244401+02	\N	\N	\N	\N	\N	\N	f	
18642	28765fe2-afef-42db-9b80-60b57109db6f	Conco	Conco	4	0	2013-07-22 08:56:26.393067+02	\N	\N	\N	\N	\N	\N	f	
19488	a96f9aca-3c79-46db-8021-f16edf573823	Abbateggio	Abbateggio	4	0	2013-07-22 10:41:02.576267+02	\N	\N	\N	\N	\N	\N	f	
19982	b222ed54-e640-4ddd-b3c3-b283fa931ae4	Vietri di Potenza	Vietri di Potenza	4	0	2013-07-22 12:03:32.309568+02	\N	\N	\N	\N	\N	\N	f	
20665	a76cdedc-0edd-4d1d-990c-75fb4398bc4f	Casalbore	Casalbore	4	0	2013-07-23 08:39:51.56104+02	\N	\N	\N	\N	\N	\N	f	
24250	f98e85bd-ffed-4ee8-8ac1-b59ac82decc6	Byromville, Georgia	Byromville, Georgia	3	0	2013-09-07 05:29:06.844158+02	\N	\N	\N	\N	\N	\N	f	
20758	732a0359-91b5-498a-91e7-753b9e6985c4	Ginestra degli Schiavoni	Ginestra degli Schiavoni	4	0	2013-07-23 11:37:00.729512+02	\N	\N	\N	\N	\N	\N	f	
20800	bdda64df-7861-4eeb-bb99-b01a89ec4457	Puglianello	Puglianello	4	0	2013-07-23 11:46:49.060367+02	\N	\N	\N	\N	\N	\N	f	
26577	310f3a03-8194-4bdf-b1df-2c2a190180e6	Atomic City, Idaho	Atomic City, Idaho	3	0	2013-09-08 01:12:56.975993+02	\N	\N	\N	\N	\N	\N	f	
20801	c80f01b2-9627-4b43-8043-609b6e047df1	San Leucio del Sannio	San Leucio del Sannio	4	0	2013-07-23 11:47:01.164985+02	\N	\N	\N	\N	\N	\N	f	
24252	fe637380-f01b-4de4-baad-60d76783e9d1	Carlton, Georgia	Carlton, Georgia	3	0	2013-09-07 05:29:33.640318+02	\N	\N	\N	\N	\N	\N	f	
20869	303f74bd-4eb7-4656-b3c6-5d2c3879dca6	Alife, Campania	Alife, Campania	4	0	2013-07-23 14:40:56.165876+02	\N	\N	\N	\N	\N	\N	f	
20876	edf797c1-a09d-45b4-ab64-0dfa5dca9e41	Caianello	Caianello	4	0	2013-07-23 14:42:19.605378+02	\N	\N	\N	\N	\N	\N	f	
25327	1a1a974c-396d-44ac-89cc-ea9053e922ba	Providence	Providence	3	0	2013-09-07 11:20:17.45955+02	\N	\N	\N	\N	\N	\N	f	
24336	fd796c80-be3a-4a88-a70b-08990a4d671b	Springfield	Springfield	3	0	2013-09-07 06:18:28.381212+02	\N	\N	\N	\N	\N	\N	f	
24341	a8d31fac-28f1-4707-bc60-c69ec6c7d720	Crawfordville, Georgia	Crawfordville, Georgia	3	0	2013-09-07 06:20:15.387402+02	\N	\N	\N	\N	\N	\N	f	
23528	a9ece855-400c-4d9c-a18a-1da6df99adf9	Virrat	Virrat	3	0	2013-08-26 02:49:10.143706+02	\N	\N	\N	\N	\N	\N	f	
23846	50d41b68-7bf2-4176-a945-91d0427a9595	Monette	Monette	3	0	2013-09-06 20:35:33.691034+02	\N	\N	\N	\N	\N	\N	f	
24791	00adcde0-29c9-424e-8d5c-2547bd6e9011	State Center	State Center	3	0	2013-09-07 08:36:26.506014+02	\N	\N	\N	\N	\N	\N	f	
25847	06d20631-6b40-4688-9d68-a4645b44a7c7	McCune, Kansas	McCune, Kansas	3	0	2013-09-07 14:55:01.942182+02	\N	\N	\N	\N	\N	\N	f	
24813	6b5fc27b-cfca-40ea-bc60-ea236eda7618	Lawton	Lawton	3	0	2013-09-07 08:42:10.37535+02	\N	\N	\N	\N	\N	\N	f	
24825	1f3936f9-b877-4a81-863a-109a0b20b63f	Webster City	Webster City	3	0	2013-09-07 08:45:06.774663+02	\N	\N	\N	\N	\N	\N	f	
25877	a74b851c-72d8-49db-82a3-3dc18e0a56c5	Ute, Iowa	Ute, Iowa	3	0	2013-09-07 15:02:44.753351+02	\N	\N	\N	\N	\N	\N	f	
26593	9374197c-1850-4431-bcf0-ebdfea8f6826	Columbus Junction, Iowa	Columbus Junction, Iowa	3	0	2013-09-08 01:16:55.944615+02	\N	\N	\N	\N	\N	\N	f	
25941	d92e3017-d55c-49f3-8fca-86241811962f	Booneville	Booneville	3	0	2013-09-07 17:26:21.864021+02	\N	\N	\N	\N	\N	\N	f	
26272	db21fb68-b457-4829-8b96-0313f3ffa4fa	Dedham, Iowa	Dedham, Iowa	3	0	2013-09-07 21:02:48.448576+02	\N	\N	\N	\N	\N	\N	f	
27354	82d7444f-4c3f-4975-b843-b6e5ea981259	Stanley	Stanley	3	0	2013-09-08 07:36:07.339589+02	\N	\N	\N	\N	\N	\N	f	
26961	c6bdc05d-2642-449a-a28e-5a100525cd66	Crete	Crete	3	0	2013-09-08 04:12:08.325843+02	\N	\N	\N	\N	\N	\N	f	
27752	0e0d15a3-c4b1-4711-b2bd-42b5d430f25f	Hominy, Oklahoma	Hominy, Oklahoma	3	0	2013-09-08 09:42:47.306838+02	\N	\N	\N	\N	\N	\N	f	
26992	cf75b517-1119-4b1d-a684-29b8f008ef34	Smyrna, Georgia	Smyrna, Georgia	3	0	2013-09-08 04:19:40.982421+02	\N	\N	\N	\N	\N	\N	f	
27679	845b18d0-fd63-4e72-8398-8ec98c668b5b	New Melle	New Melle	3	0	2013-09-08 09:17:10.110049+02	\N	\N	\N	\N	\N	\N	f	
27356	9571b5fa-2974-491b-8956-fd6a640de2a4	Burlington, North Dakota	Burlington, North Dakota	3	0	2013-09-08 07:36:43.266074+02	\N	\N	\N	\N	\N	\N	f	
27357	87def618-456e-468e-8144-e074b6194a57	Cando, North Dakota	Cando, North Dakota	3	0	2013-09-08 07:37:03.757054+02	\N	\N	\N	\N	\N	\N	f	
28024	268044cd-710f-4856-817c-2cb05113b2f0	Camanche	Camanche	3	0	2013-09-08 12:04:00.454287+02	\N	\N	\N	\N	\N	\N	f	
28256	d6196d86-799e-4c91-90a3-800dfc99bfcf	North Myrtle Beach, South Carolina	North Myrtle Beach, South Carolina	3	0	2013-09-08 15:43:25.958317+02	\N	\N	\N	\N	\N	\N	f	
28274	d61d4c31-f4de-4a69-8217-f41da97e1cf8	Jamestown, Tennessee	Jamestown, Tennessee	3	0	2013-09-08 16:36:35.49233+02	\N	\N	\N	\N	\N	\N	f	
28688	da28222f-800c-485c-b292-ca5b571d7da4	Poteet	Poteet	3	0	2013-09-08 23:31:09.67095+02	\N	\N	\N	\N	\N	\N	f	
28452	b2f8658a-983d-42f0-a1bd-c4d594cda576	Watertown, Tennessee	Watertown, Tennessee	3	0	2013-09-08 17:37:10.77406+02	\N	\N	\N	\N	\N	\N	f	
28729	39de2d0a-76fa-44e6-9222-3c2c4b922254	Cushing	Cushing	3	0	2013-09-08 23:42:04.717105+02	\N	\N	\N	\N	\N	\N	f	
12184	33db5c24-efe6-422f-a61d-fb008da635c6	Yuanli	Yuanli	3	0	2013-07-14 09:03:04.467834+02	\N	\N	\N	\N	\N	\N	f	
12185	916a4bb6-3405-4d63-8337-c5faf861f480	Sandimen	Sandimen	3	0	2013-07-14 09:03:15.992675+02	\N	\N	\N	\N	\N	\N	f	
12190	ed31d429-ed72-4a2a-ba64-ed3260e109f9	Changbin	Changbin	3	0	2013-07-14 09:04:45.597986+02	\N	\N	\N	\N	\N	\N	f	
14028	0ed7716c-3f83-4e54-a219-63262dac90dd	Arnara	Arnara	4	0	2013-07-21 20:07:39.343428+02	\N	\N	\N	\N	\N	\N	f	
12191	a3e572a2-cfa5-4720-8efc-fbf76e2d2fe4	Xinpu	Xinpu	3	0	2013-07-14 09:05:05.983488+02	\N	\N	\N	\N	\N	\N	f	
12192	fd44f462-1fe8-4d3e-b021-a5b4aa6bfd61	Guanyin	Guanyin	3	0	2013-07-14 09:05:30.444939+02	\N	\N	\N	\N	\N	\N	f	
12194	3ce89391-485b-4f4a-85eb-30578e061b61	Luzhu	Luzhu	3	0	2013-07-14 09:06:10.930362+02	\N	\N	\N	\N	\N	\N	f	
14576	fb90aa37-967a-4485-99c5-150ec0e1f0ba	Cellarengo	Cellarengo	4	0	2013-07-21 22:08:55.685682+02	\N	\N	\N	\N	\N	\N	f	
12195	e8a5d67c-b4f8-40de-9160-75f3e3313bec	Dawu	Dawu	3	0	2013-07-14 09:06:23.266758+02	\N	\N	\N	\N	\N	\N	f	
12196	0a3d5b41-651c-44bb-a498-394cb26a8607	Xinfeng	Xinfeng	3	0	2013-07-14 09:06:34.705275+02	\N	\N	\N	\N	\N	\N	f	
15761	fecbabea-f700-4ec0-b652-1f013dcc12ec	Tolfa	Tolfa	4	0	2013-07-22 01:56:44.202839+02	\N	\N	\N	\N	\N	\N	f	
12197	4be9413a-c6ff-48e0-add7-23b78e1e18fb	Beinan	Beinan	3	0	2013-07-14 09:06:48.354273+02	\N	\N	\N	\N	\N	\N	f	
14644	c234aa8a-768c-4cc3-8710-f57f67a1ce28	Piea	Piea	4	0	2013-07-21 22:24:04.942169+02	\N	\N	\N	\N	\N	\N	f	
12206	cf7a6d25-6345-44fb-bc68-0c97a7626c70	Xihu	Xihu	3	0	2013-07-14 09:08:42.718644+02	\N	\N	\N	\N	\N	\N	f	
15102	ece2c451-13b5-4048-9580-fa30e9cf08d2	Roaschia	Roaschia	4	0	2013-07-21 23:47:44.157547+02	\N	\N	\N	\N	\N	\N	f	
15241	f8c8ba67-70d8-4982-a36e-aeaaa8e42001	Valdieri	Valdieri	4	0	2013-07-22 00:04:46.761671+02	\N	\N	\N	\N	\N	\N	f	
15791	4c6438d7-fec1-48df-8b66-bc61eebaadaa	Bolbeno	Bolbeno	4	0	2013-07-22 02:03:32.884651+02	\N	\N	\N	\N	\N	\N	f	
15269	25250276-bb1e-4b56-adb5-c6535eae224d	Verzuolo	Verzuolo	4	0	2013-07-22 00:07:54.287692+02	\N	\N	\N	\N	\N	\N	f	
15357	d966a698-94c2-4183-9fb5-ad07f33dda77	Semproniano	Semproniano	4	0	2013-07-22 00:27:16.270794+02	\N	\N	\N	\N	\N	\N	f	
17578	d5698007-9282-40ad-bc63-0f51883e66b6	Puos d'Alpago	Puos d'Alpago	4	0	2013-07-22 06:44:54.389323+02	\N	\N	\N	\N	\N	\N	f	
15818	6af11f27-566a-448f-8277-2894aa2f81e9	Borgo Valsugana	Borgo Valsugana	4	0	2013-07-22 02:09:42.042355+02	\N	\N	\N	\N	\N	\N	f	
15835	8af233c2-30ae-43c0-87a9-9577d0f1d1f6	Boccioleto	Boccioleto	4	0	2013-07-22 02:13:14.007466+02	\N	\N	\N	\N	\N	\N	f	
23847	044208de-d843-4523-bd49-0957044e05ae	Nashville	Nashville	3	0	2013-09-06 20:35:46.869501+02	\N	\N	\N	\N	\N	\N	f	
15840	bd69532e-b956-458b-a3cb-56c5a7ada2b6	San Giovanni in Galdo	San Giovanni in Galdo	4	0	2013-07-22 02:14:20.885993+02	\N	\N	\N	\N	\N	\N	f	
17623	38b45b1b-7b00-414a-acc5-08acf7493b56	Ternate	Ternate	4	0	2013-07-22 06:50:29.981907+02	\N	\N	\N	\N	\N	\N	f	
15854	6a38acff-88f0-43c3-b4ae-e60203d480fc	Caresana	Caresana	4	0	2013-07-22 02:17:26.974715+02	\N	\N	\N	\N	\N	\N	f	
16656	7b90b6b6-18b9-43ad-91c3-9d101182a46d	Ossana	Ossana	4	0	2013-07-22 04:01:22.566512+02	\N	\N	\N	\N	\N	\N	f	
19943	14bedc5a-3b43-4892-9539-909145aae57f	Castelgrande, Basilicata	Castelgrande, Basilicata	4	0	2013-07-22 11:57:51.437942+02	\N	\N	\N	\N	\N	\N	f	
17211	5b50891a-416f-404a-9420-2c3b189b7b76	Benetutti	Benetutti	4	0	2013-07-22 05:58:55.292146+02	\N	\N	\N	\N	\N	\N	f	
24361	511653de-0080-4e76-b379-a8f9f14279bc	Montezuma, Georgia	Montezuma, Georgia	3	0	2013-09-07 06:26:13.14467+02	\N	\N	\N	\N	\N	\N	f	
23949	515e1673-a103-4ce7-99c0-0310711f3822	Fort Meade	Fort Meade	3	0	2013-09-06 23:27:27.675506+02	\N	\N	\N	\N	\N	\N	f	
17692	a4c3e066-4366-44aa-89d7-65d32ae66a5a	Roncello	Roncello	4	0	2013-07-22 06:59:06.411649+02	\N	\N	\N	\N	\N	\N	f	
20667	5b118bc0-1a3e-4cb4-bea3-d6124eebd1dc	Montaguto	Montaguto	4	0	2013-07-23 08:40:17.279655+02	\N	\N	\N	\N	\N	\N	f	
17781	c6cd057f-5cc6-4a7d-996b-fca548a8b9f2	Castione Andevenno	Castione Andevenno	4	0	2013-07-22 07:09:38.237217+02	\N	\N	\N	\N	\N	\N	f	
18497	02f6127a-036d-49f3-af59-136880b9e9d0	Palma di Montechiaro	Palma di Montechiaro	4	0	2013-07-22 08:38:48.192393+02	\N	\N	\N	\N	\N	\N	f	
24048	030627b3-790e-4b2e-a500-d5a01016bc63	Reidsville, Georgia	Reidsville, Georgia	3	0	2013-09-07 02:23:55.93027+02	\N	\N	\N	\N	\N	\N	f	
18516	452f056d-b175-4135-bf97-1d019a2d7777	Crespadoro	Crespadoro	4	0	2013-07-22 08:40:50.583671+02	\N	\N	\N	\N	\N	\N	f	
20690	17fc662b-0242-458c-af87-f8d45fa54033	San Sossio Baronia	San Sossio Baronia	4	0	2013-07-23 08:45:11.457839+02	\N	\N	\N	\N	\N	\N	f	
18530	6d926094-f959-4d8c-a3b0-f36a5397d25e	Badia Calavena	Badia Calavena	4	0	2013-07-22 08:42:49.404499+02	\N	\N	\N	\N	\N	\N	f	
19491	dfa4ada5-4adb-4a16-a755-a3cd7a519423	Sant'Eufemia a Maiella	Sant'Eufemia a Maiella	4	0	2013-07-22 10:41:21.311526+02	\N	\N	\N	\N	\N	\N	f	
19549	35244eb1-4b52-471f-9204-0b7ce8036b13	Poggiorsini	Poggiorsini	4	0	2013-07-22 10:49:02.621793+02	\N	\N	\N	\N	\N	\N	f	
20701	3ec46f87-7034-4651-a259-aa3c1456e7c8	Parolise	Parolise	4	0	2013-07-23 08:47:24.359204+02	\N	\N	\N	\N	\N	\N	f	
19629	3434f902-43c0-4457-ae6a-21a5ed3097a0	Ordona	Ordona	4	0	2013-07-22 11:07:39.191344+02	\N	\N	\N	\N	\N	\N	f	
19632	fb90ce2f-16ae-4ab6-abe1-a9ed9c5add8e	Vieste	Vieste	4	0	2013-07-22 11:08:14.435715+02	\N	\N	\N	\N	\N	\N	f	
25945	79226893-1000-493b-8987-4d80b15b63c5	Columbia	Columbia	3	0	2013-09-07 17:27:29.666247+02	\N	\N	\N	\N	\N	\N	f	
20760	ffa87911-d086-48bc-a6eb-7b04172bf06f	Sedini	Sedini	4	0	2013-07-23 11:37:27.729608+02	\N	\N	\N	\N	\N	\N	f	
24056	16a6aef8-e9af-432a-93a9-caed1369f499	Hollister	Hollister	3	0	2013-09-07 02:26:13.633652+02	\N	\N	\N	\N	\N	\N	f	
20793	1810cd18-27bf-4c99-95fb-fb1bf97caacc	Sant'Arcangelo Trimonte	Sant'Arcangelo Trimonte	4	0	2013-07-23 11:45:25.557388+02	\N	\N	\N	\N	\N	\N	f	
20870	39a9dfe3-fd78-4320-a8d5-560a37868745	Canegrate	Canegrate	4	0	2013-07-23 14:41:07.872226+02	\N	\N	\N	\N	\N	\N	f	
24793	2bfd1da1-155a-4bbd-8123-91d4b9ab1402	Jamaica	Jamaica	3	0	2013-09-07 08:36:57.714329+02	\N	\N	\N	\N	\N	\N	f	
24251	4c6720b8-5818-4d3a-a2df-658527ef805f	Braswell, Georgia	Braswell, Georgia	3	0	2013-09-07 05:29:20.240689+02	\N	\N	\N	\N	\N	\N	f	
23529	c807f18a-4a64-48c5-b602-f9ef9a52ef30	Parkano	Parkano	3	0	2013-08-26 02:49:36.842678+02	\N	\N	\N	\N	\N	\N	f	
25848	625c62ab-0bef-4a02-8b8f-36fdf9c299e5	Rolla, Kansas	Rolla, Kansas	3	0	2013-09-07 14:55:17.616537+02	\N	\N	\N	\N	\N	\N	f	
24262	d73ae104-647e-4e20-a3d1-bfd69548cc4e	Niceville, Florida	Niceville, Florida	3	0	2013-09-07 05:32:02.371252+02	\N	\N	\N	\N	\N	\N	f	
25328	d99f03fc-e3c1-48ae-b51a-df29cfd833ef	Irvine	Irvine	3	0	2013-09-07 11:20:33.311833+02	\N	\N	\N	\N	\N	\N	f	
24351	8c9123aa-562a-4f3f-9471-1001b0ccf457	Ray City, Georgia	Ray City, Georgia	3	0	2013-09-07 06:23:14.671834+02	\N	\N	\N	\N	\N	\N	f	
25459	4e8af165-f252-4702-a945-c2dfdd17016a	Monterey, Kentucky	Monterey, Kentucky	3	0	2013-09-07 11:55:23.624139+02	\N	\N	\N	\N	\N	\N	f	
25849	40d68bee-fc45-4afa-9834-8aae590f9a09	Barlow, Kentucky	Barlow, Kentucky	3	0	2013-09-07 14:55:32.765044+02	\N	\N	\N	\N	\N	\N	f	
25482	f24af8ea-3ae8-4e4f-8649-afcfc66bf294	Williamsburg, Iowa	Williamsburg, Iowa	3	0	2013-09-07 12:02:00.041589+02	\N	\N	\N	\N	\N	\N	f	
26295	bd0e83d6-756c-41d2-9e59-ddf24efdb84a	Indian Hills, Kentucky	Indian Hills, Kentucky	3	0	2013-09-07 21:10:27.687041+02	\N	\N	\N	\N	\N	\N	f	
25942	88e52574-e89c-4c6d-a4f0-104c4008f632	Fayette	Fayette	3	0	2013-09-07 17:26:35.343994+02	\N	\N	\N	\N	\N	\N	f	
26282	b99284c2-b978-424b-b3c4-d851f9b3eaf1	Houma, Louisiana	Houma, Louisiana	3	0	2013-09-07 21:06:08.165561+02	\N	\N	\N	\N	\N	\N	f	
26273	12505115-1fb2-40b8-9574-f568b67e131a	Blue Springs, Missouri	Blue Springs, Missouri	3	0	2013-09-07 21:03:16.062607+02	\N	\N	\N	\N	\N	\N	f	
26579	52f646b9-8a6c-423f-b034-fe81a7693323	Gretna, Louisiana	Gretna, Louisiana	3	0	2013-09-08 01:13:29.670523+02	\N	\N	\N	\N	\N	\N	f	
28827	4d585e19-e532-4b7c-8932-729bdd3e1036	Lipan	Lipan	3	0	2013-09-09 00:09:32.681454+02	\N	\N	\N	\N	\N	\N	f	
26606	888626f2-eefe-443f-b548-5419e4b7572c	Maize, Kansas	Maize, Kansas	3	0	2013-09-08 01:20:14.699069+02	\N	\N	\N	\N	\N	\N	f	
26966	5b870518-59a3-46ca-8d22-4fbf106ed0fb	Galt	Galt	3	0	2013-09-08 04:13:23.037638+02	\N	\N	\N	\N	\N	\N	f	
26981	fb71a595-b6bf-40e0-b0be-3976298a64d7	Brunswick, Missouri	Brunswick, Missouri	3	0	2013-09-08 04:17:01.946224+02	\N	\N	\N	\N	\N	\N	f	
27006	bc14d8dc-f1f3-4673-b05f-75614309d9db	Ravenwood	Ravenwood	3	0	2013-09-08 04:23:08.972679+02	\N	\N	\N	\N	\N	\N	f	
27358	864da700-5dfe-44d7-b386-4ab22f47ee04	Tioga, North Dakota	Tioga, North Dakota	3	0	2013-09-08 07:37:17.695774+02	\N	\N	\N	\N	\N	\N	f	
27392	2a3b201c-d445-45db-9852-b35ffe161f24	Forbes, North Dakota	Forbes, North Dakota	3	0	2013-09-08 07:45:42.190284+02	\N	\N	\N	\N	\N	\N	f	
12199	47c3f243-814f-49bb-b3e3-f804886d44fd	Erlun	Erlun	3	0	2013-07-14 09:07:11.204156+02	\N	\N	\N	\N	\N	\N	f	
12201	03cf044b-02c0-4431-a369-caed9bd4696f	Tongxiao	Tongxiao	3	0	2013-07-14 09:07:38.971989+02	\N	\N	\N	\N	\N	\N	f	
12202	ebe7f092-6b99-492c-baf0-064d363eff07	Ruisui	Ruisui	3	0	2013-07-14 09:07:50.414977+02	\N	\N	\N	\N	\N	\N	f	
14029	f6a82de4-8d84-4e86-a83c-d634146f4437	Alvito, Lazio	Alvito, Lazio	4	0	2013-07-21 20:07:59.11844+02	\N	\N	\N	\N	\N	\N	f	
12205	f09a4cc6-3115-4a0c-ac53-249c80e9a707	Yanping	Yanping	3	0	2013-07-14 09:08:27.217683+02	\N	\N	\N	\N	\N	\N	f	
12207	2585179b-d101-48ba-a74d-84befd416743	Zhongliao	Zhongliao	3	0	2013-07-14 09:08:56.33091+02	\N	\N	\N	\N	\N	\N	f	
12209	fcc9b59b-de3d-4adc-bfa2-2768e7a626e4	Tai-an	Tai-an	3	0	2013-07-14 09:09:19.111403+02	\N	\N	\N	\N	\N	\N	f	
14078	57cbbb6a-491a-4bf3-9e54-2b6faaaea232	Piglio	Piglio	4	0	2013-07-21 20:18:49.395287+02	\N	\N	\N	\N	\N	\N	f	
15763	e5230590-61e3-4e41-8abe-a82123cdb303	Bellagio	Bellagio	4	0	2013-07-22 01:57:07.617524+02	\N	\N	\N	\N	\N	\N	f	
14580	2947bda0-dcf3-46d9-a411-7fcb64dc9115	Celle Enomondo	Celle Enomondo	4	0	2013-07-21 22:09:44.671406+02	\N	\N	\N	\N	\N	\N	f	
14589	97afdd2f-5de0-44e2-9280-553884b9ffd5	Maretto	Maretto	4	0	2013-07-21 22:11:55.748055+02	\N	\N	\N	\N	\N	\N	f	
15103	13808f25-92f8-4937-88f3-68157ee10bcf	Fratta Todina	Fratta Todina	4	0	2013-07-21 23:47:54.110446+02	\N	\N	\N	\N	\N	\N	f	
15769	e28530b0-5edc-4095-ac51-32fd9cb88254	Asso	Asso	4	0	2013-07-22 01:58:19.183223+02	\N	\N	\N	\N	\N	\N	f	
17581	e1e68cac-8e41-4934-a670-63d56917285d	Morbegno	Morbegno	4	0	2013-07-22 06:45:16.719442+02	\N	\N	\N	\N	\N	\N	f	
16657	0e77d44c-6bc6-48a7-90fe-d5fe64c6c907	Ospedaletto, Trentino	Ospedaletto, Trentino	4	0	2013-07-22 04:01:37.532765+02	\N	\N	\N	\N	\N	\N	f	
16722	9fb669bc-b9f6-4e67-90ae-a1c1acece8ab	Telve	Telve	4	0	2013-07-22 04:19:42.521922+02	\N	\N	\N	\N	\N	\N	f	
20890	b42c5cea-7554-49eb-9925-a1f9d4b593b1	Maddaloni	Maddaloni	4	0	2013-07-23 14:46:16.238678+02	\N	\N	\N	\N	\N	\N	f	
17687	005eac21-a416-4dab-9999-7b6f2baeb9dd	Maccagno	Maccagno	4	0	2013-07-22 06:58:27.934965+02	\N	\N	\N	\N	\N	\N	f	
19947	bae99cfa-8342-46c5-82d9-f8582cc4b145	Atella, Basilicata	Atella, Basilicata	4	0	2013-07-22 11:58:25.049933+02	\N	\N	\N	\N	\N	\N	f	
18498	c4c86495-e24c-4eee-b351-08894cf33b74	Brendola	Brendola	4	0	2013-07-22 08:38:53.932014+02	\N	\N	\N	\N	\N	\N	f	
18510	2b16fbe5-8f4b-4418-9b51-2c52468e9e9e	San Pietro Mussolino	San Pietro Mussolino	4	0	2013-07-22 08:40:06.905884+02	\N	\N	\N	\N	\N	\N	f	
18513	3f156f5e-818e-4378-8e71-bab72b90aa67	Nals	Nals	4	0	2013-07-22 08:40:32.317631+02	\N	\N	\N	\N	\N	\N	f	
19957	a68a547d-b18f-4914-aa31-b8c2fcc1bcb5	Paterno	Paterno	4	0	2013-07-22 11:59:50.972682+02	\N	\N	\N	\N	\N	\N	f	
18551	be63e07f-979b-42a5-b81d-f612472db580	Mussolente	Mussolente	4	0	2013-07-22 08:45:05.74018+02	\N	\N	\N	\N	\N	\N	f	
18561	bfa9da34-d424-42f5-91a1-d47e1e8cd8cc	San Zenone degli Ezzelini	San Zenone degli Ezzelini	4	0	2013-07-22 08:46:25.373194+02	\N	\N	\N	\N	\N	\N	f	
18890	6ad6f321-cf3e-49ed-a234-46a01c1c28c3	Povegliano Veronese	Povegliano Veronese	4	0	2013-07-22 09:26:29.005454+02	\N	\N	\N	\N	\N	\N	f	
20021	84f96983-b6dd-42db-a94c-72f407fe661a	Medea	Medea	4	0	2013-07-22 12:08:44.02507+02	\N	\N	\N	\N	\N	\N	f	
18902	f3070cf9-bc1d-4fef-aec5-8c93cd3ce19f	Longone al Segrino	Longone al Segrino	4	0	2013-07-22 09:28:05.960361+02	\N	\N	\N	\N	\N	\N	f	
18919	033de296-0b16-4314-b1b8-9123785c22f6	Vallelunga Pratameno	Vallelunga Pratameno	4	0	2013-07-22 09:30:26.11824+02	\N	\N	\N	\N	\N	\N	f	
25943	695be08f-dcdd-449c-814e-b10defa01830	Crystal Springs	Crystal Springs	3	0	2013-09-07 17:27:02.68824+02	\N	\N	\N	\N	\N	\N	f	
18925	d325d526-d02f-4779-b9bf-577d018cc38e	Nicolosi	Nicolosi	4	0	2013-07-22 09:31:07.075333+02	\N	\N	\N	\N	\N	\N	f	
23848	f8ef2dd1-125e-4f99-8432-fe38e0f32b95	London	London	3	0	2013-09-06 20:36:00.190967+02	\N	\N	\N	\N	\N	\N	f	
19494	4bcac7d6-ed29-41b7-a100-d7d631edf418	San Valentino in Abruzzo Citeriore	San Valentino in Abruzzo Citeriore	4	0	2013-07-22 10:41:53.948177+02	\N	\N	\N	\N	\N	\N	f	
19498	6697b041-c31b-47c8-b10a-67672944a7a5	Fano Adriano	Fano Adriano	4	0	2013-07-22 10:42:25.359808+02	\N	\N	\N	\N	\N	\N	f	
23886	9e741ad4-7a80-42dc-b034-9a14443eded9	Hoxie	Hoxie	3	0	2013-09-06 20:45:58.729549+02	\N	\N	\N	\N	\N	\N	f	
23952	5e901824-c0c9-46a9-880d-8a67a3c4d389	Crestview	Crestview	3	0	2013-09-06 23:28:08.720542+02	\N	\N	\N	\N	\N	\N	f	
25955	962e71c0-cc30-4170-9420-a87b7fb746b2	Montrose	Montrose	3	0	2013-09-07 17:30:36.809192+02	\N	\N	\N	\N	\N	\N	f	
24050	d1cf7713-033f-434d-94a7-e2be174343cf	Oconee, Georgia	Oconee, Georgia	3	0	2013-09-07 02:24:33.898237+02	\N	\N	\N	\N	\N	\N	f	
18935	3568d0f5-a022-4124-884c-b1e1285f708f	Mascali	Mascali	4	0	2013-07-22 15:01:29.314692+02	\N	\N	\N	\N	\N	\N	f	
20670	99eb873c-07a8-4ca5-9a84-9d2d20c23d0d	Moschiano	Moschiano	4	0	2013-07-23 08:40:53.470464+02	\N	\N	\N	\N	\N	\N	f	
20710	94bfa85d-26da-4dc2-aa9f-ed69cf57b495	Rotondi	Rotondi	4	0	2013-07-23 08:49:14.652251+02	\N	\N	\N	\N	\N	\N	f	
24254	3e12b27a-fa19-4484-92d3-0bdaf96490b1	Le Claire	Le Claire	3	0	2013-09-07 05:30:04.825914+02	\N	\N	\N	\N	\N	\N	f	
20762	9fb292fb-3816-4a8c-ba55-bb9f61612744	Foiano di Val Fortore	Foiano di Val Fortore	4	0	2013-07-23 11:38:19.450452+02	\N	\N	\N	\N	\N	\N	f	
20766	dc596fdd-bc17-4f7d-b452-731f84b49559	Zungoli	Zungoli	4	0	2013-07-23 11:39:31.610186+02	\N	\N	\N	\N	\N	\N	f	
26277	af1ca15f-bbff-4ccd-97f1-9c2510d31a9a	Wheatland, Missouri	Wheatland, Missouri	3	0	2013-09-07 21:04:36.647973+02	\N	\N	\N	\N	\N	\N	f	
20873	688baddc-8c37-465a-b5cc-64a65479ec34	Casagiove	Casagiove	4	0	2013-07-23 14:41:44.337985+02	\N	\N	\N	\N	\N	\N	f	
24277	9a1925db-76d0-4b9a-81b6-3f2384192a86	Holly Hill	Holly Hill	3	0	2013-09-07 05:35:37.552441+02	\N	\N	\N	\N	\N	\N	f	
26988	c1547abd-962c-4087-88f2-f548217d1db9	Lewistown	Lewistown	3	0	2013-09-08 04:18:44.753854+02	\N	\N	\N	\N	\N	\N	f	
24800	fc7f97cb-1f02-4122-a2f9-2a13c385d8e9	Ringsted	Ringsted	3	0	2013-09-07 08:38:54.385154+02	\N	\N	\N	\N	\N	\N	f	
26292	3f78a217-3032-4fe9-8e89-7888999e7269	Dunavant, Kansas	Dunavant, Kansas	3	0	2013-09-07 21:09:29.547037+02	\N	\N	\N	\N	\N	\N	f	
25330	30f62ba6-dfd0-481e-b029-0d12ac3240d6	South Shore	South Shore	3	0	2013-09-07 11:21:43.65511+02	\N	\N	\N	\N	\N	\N	f	
25850	f509ee86-5ccb-48e9-ae2a-acf34275e23d	Eddyville, Kentucky	Eddyville, Kentucky	3	0	2013-09-07 14:55:47.978477+02	\N	\N	\N	\N	\N	\N	f	
28088	cdff8e07-adc4-44dc-ba1c-2c8f41fc7646	Scotts Mills	Scotts Mills	3	0	2013-09-08 12:27:28.899768+02	\N	\N	\N	\N	\N	\N	f	
26580	1dc19a70-4995-49b4-ae9b-4363274e469a	Bluffton, Indiana	Bluffton, Indiana	3	0	2013-09-08 01:13:43.081654+02	\N	\N	\N	\N	\N	\N	f	
28025	ecb5234f-5eb8-4d2c-be61-2745aa86b49a	Everglades	Everglades	3	0	2013-09-08 12:04:18.411034+02	\N	\N	\N	\N	\N	\N	f	
26967	8f62f813-da74-4a58-9954-243c568404db	Lohman	Lohman	3	0	2013-09-08 04:13:37.806052+02	\N	\N	\N	\N	\N	\N	f	
27048	9bf25f65-5413-43e2-9309-2fe846c8f304	Tipton	Tipton	3	0	2013-09-08 04:33:38.737339+02	\N	\N	\N	\N	\N	\N	f	
27359	79503e0c-7c36-431c-ae80-5c10930cce30	Minnewaukan, North Dakota	Minnewaukan, North Dakota	3	0	2013-09-08 07:37:39.533571+02	\N	\N	\N	\N	\N	\N	f	
27682	a74c1541-4003-48f6-9e86-6a0591135b76	Elk City	Elk City	3	0	2013-09-08 09:22:42.090285+02	\N	\N	\N	\N	\N	\N	f	
28457	76799cf2-db08-4453-b2a0-72c29b21b720	Barrett	Barrett	3	0	2013-09-08 17:38:54.363596+02	\N	\N	\N	\N	\N	\N	f	
28080	f5e2de03-3ccb-44b6-905b-1a9600466cb6	Severodvinsk	Severodvinsk	3	0	2013-09-08 12:24:50.732228+02	\N	\N	\N	\N	\N	\N	f	
28276	3368ae2d-ba1b-456b-92ea-9f1a67bf255e	Irene, South Dakota	Irene, South Dakota	3	0	2013-09-08 16:37:29.960903+02	\N	\N	\N	\N	\N	\N	f	
28257	7feef513-d428-4bb7-8705-ae21db26e788	Mullins, South Carolina	Mullins, South Carolina	3	0	2013-09-08 15:43:48.038213+02	\N	\N	\N	\N	\N	\N	f	
28689	abaab153-b954-4f24-be26-0f3a32c2e6f3	Webster	Webster	3	0	2013-09-08 23:31:24.868615+02	\N	\N	\N	\N	\N	\N	f	
28699	636cc55e-ea33-4673-95a6-53dd940866fa	Franklin	Franklin	3	0	2013-09-08 23:33:59.835005+02	\N	\N	\N	\N	\N	\N	f	
28721	d5f42513-88bd-4465-af59-ae39069633eb	Robert Lee	Robert Lee	3	0	2013-09-08 23:39:51.205621+02	\N	\N	\N	\N	\N	\N	f	
28726	21e93c91-807c-4247-91da-08e12dfe9f51	Schertz	Schertz	3	0	2013-09-08 23:41:14.093553+02	\N	\N	\N	\N	\N	\N	f	
28781	81d11862-0056-47fd-9c24-b913cc84ad0f	Santa Fe	Santa Fe	3	0	2013-09-08 23:57:06.920846+02	\N	\N	\N	\N	\N	\N	f	
28903	6f6711a8-6021-4d80-9880-d257e0026552	Bridgeport, Washington	Bridgeport, Washington	3	0	2013-09-09 01:17:46.800455+02	\N	\N	\N	\N	\N	\N	f	
28927	2659b3bb-a8b0-4ef4-be3a-f0606da2585b	Willis	Willis	3	0	2013-09-09 01:31:21.669033+02	\N	\N	\N	\N	\N	\N	f	
12210	0addda78-f31c-459d-a3db-13e3f776c973	Sanyi	Sanyi	3	0	2013-07-14 09:09:30.522701+02	\N	\N	\N	\N	\N	\N	f	
12235	fbd7d39e-d948-4061-8596-8653028ba4de	Sanwan	Sanwan	3	0	2013-07-14 09:14:23.697184+02	\N	\N	\N	\N	\N	\N	f	
12211	bbc43166-a633-4c5c-92d8-e9f7319274fd	Lucao	Lucao	3	0	2013-07-14 09:09:41.929645+02	\N	\N	\N	\N	\N	\N	f	
12212	b9f95707-5669-42ea-8ea3-131211333763	Wufeng	Wufeng	3	0	2013-07-14 09:09:53.314869+02	\N	\N	\N	\N	\N	\N	f	
12213	98ffc604-0ad7-404b-a25a-a475afb61212	Baoshan	Baoshan	3	0	2013-07-14 09:10:04.607966+02	\N	\N	\N	\N	\N	\N	f	
12236	2ac37441-aa72-4b6b-a691-33f003459dba	Touwu	Touwu	3	0	2013-07-14 09:14:35.041844+02	\N	\N	\N	\N	\N	\N	f	
12214	7f327748-7ace-425e-9576-dd2c05f70224	Puxin	Puxin	3	0	2013-07-14 09:10:15.972505+02	\N	\N	\N	\N	\N	\N	f	
12215	2bb812ef-eef2-40ab-bc30-f59c5f377563	Xikou	Xikou	3	0	2013-07-14 09:10:27.27932+02	\N	\N	\N	\N	\N	\N	f	
12251	5ff18cd3-f0e9-4dae-a3c6-428a7e3dc4b0	Fusing	Fusing	3	0	2013-07-14 09:17:48.651925+02	\N	\N	\N	\N	\N	\N	f	
12216	016806ad-d9cf-47d9-b604-7bcefc655c75	Hengshan	Hengshan	3	0	2013-07-14 09:10:38.560549+02	\N	\N	\N	\N	\N	\N	f	
12237	95184aa2-6f98-46fe-b4cb-d9a7019257e9	Fangyuan	Fangyuan	3	0	2013-07-14 09:14:50.999475+02	\N	\N	\N	\N	\N	\N	f	
12217	db47e8f6-9821-4e8c-b5d1-aa2728ad1ce1	Neipu	Neipu	3	0	2013-07-14 09:10:50.086842+02	\N	\N	\N	\N	\N	\N	f	
12218	42792dbf-b695-4062-8328-d9cc3745e7e5	Zhuolan	Zhuolan	3	0	2013-07-14 09:11:01.504906+02	\N	\N	\N	\N	\N	\N	f	
12219	069d5f33-110d-4f43-8ad6-7aebd373446d	Qionglin	Qionglin	3	0	2013-07-14 09:11:12.772721+02	\N	\N	\N	\N	\N	\N	f	
12238	c79d2444-85a8-4a85-b2a9-c20e9243e29c	Liujiao	Liujiao	3	0	2013-07-14 09:15:02.426921+02	\N	\N	\N	\N	\N	\N	f	
12220	6a11c98c-cf90-4b92-8828-c0bb72ff1f50	Sinwu	Sinwu	3	0	2013-07-14 09:11:24.213508+02	\N	\N	\N	\N	\N	\N	f	
12221	e7864842-864d-4d81-94df-4cb1c620c827	Sinyuan	Sinyuan	3	0	2013-07-14 09:11:35.532756+02	\N	\N	\N	\N	\N	\N	f	
12266	3ee35d5a-3e77-4f4b-819a-71b1e1844c54	Xilinhot	Xilinhot	3	0	2013-07-14 15:26:44.644148+02	\N	\N	\N	\N	\N	\N	f	
12222	38724325-46a3-4e78-adf1-e97faa62ab49	Dapu	Dapu	3	0	2013-07-14 09:11:46.938843+02	\N	\N	\N	\N	\N	\N	f	
12239	bd8d027f-eb2c-4b69-9632-3b8b6c64a316	Shengang	Shengang	3	0	2013-07-14 09:15:14.00887+02	\N	\N	\N	\N	\N	\N	f	
12223	aca8cde5-d7b7-40e4-b138-97572215afb1	Zhudong	Zhudong	3	0	2013-07-14 09:11:58.266968+02	\N	\N	\N	\N	\N	\N	f	
12224	9f37d4d8-fef4-4d00-bb0d-9291939e83ff	Dahu	Dahu	3	0	2013-07-14 09:12:09.612303+02	\N	\N	\N	\N	\N	\N	f	
12252	3a013347-50a8-47e9-9003-67cd779f1d17	Fenyuan	Fenyuan	3	0	2013-07-14 09:18:00.073595+02	\N	\N	\N	\N	\N	\N	f	
12225	cfc72328-218f-4a68-a88e-540737097aa1	Nanzhuang	Nanzhuang	3	0	2013-07-14 09:12:20.903824+02	\N	\N	\N	\N	\N	\N	f	
12240	3b101877-bc2e-47b3-939f-688cbc1d3d26	Budai	Budai	3	0	2013-07-14 09:15:28.538671+02	\N	\N	\N	\N	\N	\N	f	
12226	a5f63bd1-17a3-486e-b3f7-e20dcc6b09f0	Fenglin	Fenglin	3	0	2013-07-14 09:12:32.228122+02	\N	\N	\N	\N	\N	\N	f	
12227	859bd5bd-7a67-4d45-8042-f4df64a1fe81	Minxiong	Minxiong	3	0	2013-07-14 09:12:45.357863+02	\N	\N	\N	\N	\N	\N	f	
12228	fc4c5fed-47cc-41e5-b3d3-7c5d3b30d7cc	Shetou	Shetou	3	0	2013-07-14 09:12:56.643475+02	\N	\N	\N	\N	\N	\N	f	
12241	ef22f6f5-2443-4192-93f6-40f63eb2ccef	Shitan	Shitan	3	0	2013-07-14 09:15:40.773139+02	\N	\N	\N	\N	\N	\N	f	
12229	0cc601fb-9e27-4025-940f-7981603dfb0b	Zhunan	Zhunan	3	0	2013-07-14 09:13:07.950304+02	\N	\N	\N	\N	\N	\N	f	
12230	22816873-e086-46b0-9c52-a5fa24976063	Tianwei	Tianwei	3	0	2013-07-14 09:13:23.86135+02	\N	\N	\N	\N	\N	\N	f	
12262	4e8ae077-e234-4dbe-b25c-b04cb4fb5da7	Puyan	Puyan	3	0	2013-07-14 09:19:55.96631+02	\N	\N	\N	\N	\N	\N	f	
12231	8ab8c5a3-9df5-449f-90a9-de9991c1acfa	Yongjing	Yongjing	3	0	2013-07-14 09:13:35.895682+02	\N	\N	\N	\N	\N	\N	f	
12242	148c8937-7f5d-4587-a792-1ce7328d65b4	Gongguan	Gongguan	3	0	2013-07-14 09:15:52.26103+02	\N	\N	\N	\N	\N	\N	f	
12232	f26f3231-8d48-4b0c-aa96-0959cb631ee1	Guanxi	Guanxi	3	0	2013-07-14 09:13:48.938201+02	\N	\N	\N	\N	\N	\N	f	
12233	096e001d-2d24-44cc-9bfb-8589d308c376	Zaoqiao	Zaoqiao	3	0	2013-07-14 09:14:00.908+02	\N	\N	\N	\N	\N	\N	f	
12253	49be0d46-d678-4218-aa12-bf2433ee5d16	Ershui	Ershui	3	0	2013-07-14 09:18:11.776388+02	\N	\N	\N	\N	\N	\N	f	
12234	0d0e16c2-a91f-4c1c-8897-d345d618d536	Daren	Daren	3	0	2013-07-14 09:14:12.37637+02	\N	\N	\N	\N	\N	\N	f	
12243	8aa2ee78-008e-4d77-a950-f5556c02383a	Houlong	Houlong	3	0	2013-07-14 09:16:04.466664+02	\N	\N	\N	\N	\N	\N	f	
12244	6b4d5012-444b-4935-b396-f704311d7a9b	Fuxing	Fuxing	3	0	2013-07-14 09:16:24.669486+02	\N	\N	\N	\N	\N	\N	f	
12254	702f0eaf-2004-44f9-bb46-350682f74874	Huatan	Huatan	3	0	2013-07-14 09:18:23.328621+02	\N	\N	\N	\N	\N	\N	f	
12245	e53b1f64-6e34-4452-a4dd-f9b33b365f6f	Dacheng	Dacheng	3	0	2013-07-14 09:16:36.6904+02	\N	\N	\N	\N	\N	\N	f	
12246	e6d96439-6adc-45a4-ac1c-edfb86b91566	Yizhu	Yizhu	3	0	2013-07-14 09:16:48.60347+02	\N	\N	\N	\N	\N	\N	f	
12247	c4b707d8-47f9-424b-b2fa-7b0057986098	Xiushui	Xiushui	3	0	2013-07-14 09:17:00.030952+02	\N	\N	\N	\N	\N	\N	f	
12255	90674da8-3e2e-4e0b-a57e-d5ea597b9c6a	Zhongpu	Zhongpu	3	0	2013-07-14 09:18:34.942719+02	\N	\N	\N	\N	\N	\N	f	
12248	ad9072ae-8047-45f7-b9c3-6c43cc762ee1	Shuishang	Shuishang	3	0	2013-07-14 09:17:12.280683+02	\N	\N	\N	\N	\N	\N	f	
12249	c8822595-454b-4907-9077-1ecc714ef8ea	Dayuan	Dayuan	3	0	2013-07-14 09:17:23.693641+02	\N	\N	\N	\N	\N	\N	f	
12263	81aec869-7913-4eee-9100-024da9f1d179	Zhutang	Zhutang	3	0	2013-07-14 09:20:07.736546+02	\N	\N	\N	\N	\N	\N	f	
12250	54c938cc-62d3-4eab-84c8-04817e8aed2b	Meishan	Meishan	3	0	2013-07-14 09:17:37.147497+02	\N	\N	\N	\N	\N	\N	f	
12256	1e5d4fce-49c5-4e72-8d3d-5ac2da43194b	Fanlu	Fanlu	3	0	2013-07-14 09:18:46.718075+02	\N	\N	\N	\N	\N	\N	f	
12257	6a7a4984-eba6-4447-baa6-af87779751e8	Pitou	Pitou	3	0	2013-07-14 09:18:58.347184+02	\N	\N	\N	\N	\N	\N	f	
12258	407e7ed9-62b9-4576-ba4e-8f6b055e4b8f	Xingang	Xingang	3	0	2013-07-14 09:19:09.706629+02	\N	\N	\N	\N	\N	\N	f	
12264	b74d4c61-6873-4225-9967-a7fc62a14b60	Dalin	Dalin	3	0	2013-07-14 09:20:19.263737+02	\N	\N	\N	\N	\N	\N	f	
12259	194709e0-3d74-461e-8e46-6c1718be9896	Zhuqi	Zhuqi	3	0	2013-07-14 09:19:21.384442+02	\N	\N	\N	\N	\N	\N	f	
12260	f7a242ca-5c1d-49c0-b341-98e7f26cbb4c	Kouhu	Kouhu	3	0	2013-07-14 09:19:32.906435+02	\N	\N	\N	\N	\N	\N	f	
12267	89cc6d61-3ad8-411b-a928-1f2e5a135bec	Đồng Hới city‏‎	Đồng Hới city‏‎	3	0	2013-07-14 15:29:34.49408+02	\N	\N	\N	\N	\N	\N	f	
12261	4b2164ce-524b-4464-9af3-10fbeb6c7f01	Xianxi	Xianxi	3	0	2013-07-14 09:19:44.634549+02	\N	\N	\N	\N	\N	\N	f	
12265	7703c2e0-1082-4c8b-a3c1-88d3e9ffe523	Hoa Binh	Hoa Binh	3	0	2013-07-14 15:10:31.217287+02	\N	\N	\N	\N	\N	\N	f	
12271	03d4ab86-9202-48b0-a2e6-289e13f42ce3	Tân An	Tân An	3	0	2013-07-14 15:31:17.9715+02	\N	\N	\N	\N	\N	\N	f	
12268	1175a53f-8f2b-46a0-9c1c-615efdefea40	Phan Rang - Tháp Chàm	Phan Rang - Tháp Chàm	3	0	2013-07-14 15:29:53.221018+02	\N	\N	\N	\N	\N	\N	f	
12269	55c13368-d91c-43b8-bbbd-5eea48cd9960	Nha Trang	Nha Trang	3	0	2013-07-14 15:30:11.803616+02	\N	\N	\N	\N	\N	\N	f	
12270	0319598f-14cb-40a1-a0f6-90f62b34c959	Vung Tau	Vung Tau	3	0	2013-07-14 15:30:54.299377+02	\N	\N	\N	\N	\N	\N	f	
12274	07528277-e3eb-421e-adfb-fe610fcc09c9	Thái Nguyên	Thái Nguyên	3	0	2013-07-14 15:32:11.209625+02	\N	\N	\N	\N	\N	\N	f	
12272	957c9e0c-7cf7-485d-8e0d-49389027b76c	Phan Thiết	Phan Thiết	3	0	2013-07-14 15:31:32.007331+02	\N	\N	\N	\N	\N	\N	f	
12273	c15c5cc9-db0a-493d-9fa2-748eb590d51b	Cà Mau	Cà Mau	3	0	2013-07-14 15:31:46.581437+02	\N	\N	\N	\N	\N	\N	f	
12277	1fb1d053-c890-40b7-b602-5d4adf7df711	Long Xuyen	Long Xuyen	3	0	2013-07-14 15:33:09.381573+02	\N	\N	\N	\N	\N	\N	f	
12275	5af68505-7d71-4cf0-9037-59f921b3c0fb	Pleiku	Pleiku	3	0	2013-07-14 15:32:36.502042+02	\N	\N	\N	\N	\N	\N	f	
12276	c8a950b3-939f-4bc1-adc7-08e5a0fd8e5c	Mong Cai	Mong Cai	3	0	2013-07-14 15:32:57.374458+02	\N	\N	\N	\N	\N	\N	f	
12278	07ef547c-31ae-4658-bc92-ee508858b5e5	Lang Son	Lang Son	3	0	2013-07-14 15:33:20.92733+02	\N	\N	\N	\N	\N	\N	f	
12279	ac2739ca-db9a-4c1d-b0f8-c9b70f818db1	Bac Ninh	Bac Ninh	3	0	2013-07-14 15:33:32.349343+02	\N	\N	\N	\N	\N	\N	f	
12280	23974821-b2ce-4d40-8dd2-f0684ae44978	Sơn La	Sơn La	3	0	2013-07-14 15:33:43.659143+02	\N	\N	\N	\N	\N	\N	f	
12281	396453be-7996-4b82-bfc5-20a7a1c2953f	Lao Cai	Lao Cai	3	0	2013-07-14 15:33:55.127825+02	\N	\N	\N	\N	\N	\N	f	
12282	9530ffe7-9987-4586-b780-6923ac87fa9f	Sóc Trăng	Sóc Trăng	3	0	2013-07-14 15:34:06.781214+02	\N	\N	\N	\N	\N	\N	f	
12283	5ef632c9-57b4-4602-a094-f04db636bf8c	Dong Ha	Dong Ha	3	0	2013-07-14 15:34:20.591478+02	\N	\N	\N	\N	\N	\N	f	
12284	ebc9aefa-6e9a-4216-9fde-94a40cc753a0	Tuyen Quang	Tuyen Quang	3	0	2013-07-14 15:34:32.240118+02	\N	\N	\N	\N	\N	\N	f	
12285	1dc92226-1532-4043-adac-02954be83304	Mỹ Tho	Mỹ Tho	3	0	2013-07-14 15:34:53.71367+02	\N	\N	\N	\N	\N	\N	f	
12286	274842f1-908f-4b1d-b1d7-cc57b4a6f775	Ninh Binh	Ninh Binh	3	0	2013-07-14 15:35:05.442184+02	\N	\N	\N	\N	\N	\N	f	
14030	f2084e09-df1e-4d25-bdd9-4a1a27c50889	Busto Arsizio	Busto Arsizio	4	0	2013-07-21 20:08:16.542842+02	\N	\N	\N	\N	\N	\N	f	
12287	2083b64f-4942-4ca9-9d5f-53ab151946a2	Vinh	Vinh	3	0	2013-07-14 15:35:17.644632+02	\N	\N	\N	\N	\N	\N	f	
15768	b1ce81ca-e080-46ec-9260-773e96e5a587	Baselga di Pinè	Baselga di Pinè	4	0	2013-07-22 01:58:07.533211+02	\N	\N	\N	\N	\N	\N	f	
14115	b3ddf7d2-6823-40a9-b61e-bb587d11f315	Sant'Elia Fiumerapido	Sant'Elia Fiumerapido	4	0	2013-07-21 20:26:27.029713+02	\N	\N	\N	\N	\N	\N	f	
14153	aa34a215-8d35-4389-adb4-aa73deadacb3	Castelbellino	Castelbellino	4	0	2013-07-21 20:35:09.443129+02	\N	\N	\N	\N	\N	\N	f	
17585	a2fa6ebb-99af-4b71-9c1f-a10a1f36e9c6	Soverzene	Soverzene	4	0	2013-07-22 06:45:49.385339+02	\N	\N	\N	\N	\N	\N	f	
14581	334c31de-5c07-446d-844c-19f02394a8d1	Capriglio	Capriglio	4	0	2013-07-21 22:09:58.895959+02	\N	\N	\N	\N	\N	\N	f	
15822	06f950a9-fa25-4012-9d29-c9d149ed65a5	Alagna Valsesia	Alagna Valsesia	4	0	2013-07-22 02:10:38.113255+02	\N	\N	\N	\N	\N	\N	f	
14582	ec9baa2d-8578-4fda-b056-0f80ba165e68	Castelnuovo Calcea	Castelnuovo Calcea	4	0	2013-07-21 22:10:10.553018+02	\N	\N	\N	\N	\N	\N	f	
14592	ae54d777-cacb-4cbd-b7de-2c4164b9fd84	Ferrere	Ferrere	4	0	2013-07-21 22:12:41.714309+02	\N	\N	\N	\N	\N	\N	f	
15108	e0daec3e-052a-46b7-848a-23cd3a71ded9	Ruffia	Ruffia	4	0	2013-07-21 23:48:37.65981+02	\N	\N	\N	\N	\N	\N	f	
16661	cc6627f4-6bee-4bdf-af24-132a46427704	Palù del Fersina	Palù del Fersina	4	0	2013-07-22 04:02:52.121552+02	\N	\N	\N	\N	\N	\N	f	
19949	5b90101b-e2c8-4c29-996e-a1941c970f45	Carbone, Basilicata	Carbone, Basilicata	4	0	2013-07-22 11:58:41.039245+02	\N	\N	\N	\N	\N	\N	f	
16781	20e524db-ce09-4b64-9fed-d2b323d6d6d2	Calangianus	Calangianus	4	0	2013-07-22 04:35:38.309774+02	\N	\N	\N	\N	\N	\N	f	
18500	fe2e4071-efe4-4ac4-922e-086e86797a79	San Fior	San Fior	4	0	2013-07-22 08:39:06.217847+02	\N	\N	\N	\N	\N	\N	f	
16824	b9bbcf31-8902-49ad-b925-e6cccc1b3ce0	San Martino di Venezze	San Martino di Venezze	4	0	2013-07-22 04:46:04.366359+02	\N	\N	\N	\N	\N	\N	f	
17213	9880782f-72d7-4f67-879f-a5db5e5b3ece	Banari	Banari	4	0	2013-07-22 05:59:09.182896+02	\N	\N	\N	\N	\N	\N	f	
18508	ba794dbf-b38a-477b-85dc-4b2cb738dda1	Asigliano Veneto	Asigliano Veneto	4	0	2013-07-22 08:39:54.864761+02	\N	\N	\N	\N	\N	\N	f	
18523	0321d0dd-484e-42cd-a340-868153467ba4	Castegnero	Castegnero	4	0	2013-07-22 08:41:54.759234+02	\N	\N	\N	\N	\N	\N	f	
20004	e79cf693-de50-4cb0-bad6-80661d2ccbd1	Sasso di Castalda	Sasso di Castalda	4	0	2013-07-22 12:06:20.286835+02	\N	\N	\N	\N	\N	\N	f	
18524	4993a83b-96a2-4c0f-9888-bbd5e6bdc935	Bolzano Vicentino	Bolzano Vicentino	4	0	2013-07-22 08:42:04.720691+02	\N	\N	\N	\N	\N	\N	f	
18601	102a26e9-8071-4c10-bd5e-06c39aae6d5a	Zero Branco	Zero Branco	4	0	2013-07-22 08:51:07.581283+02	\N	\N	\N	\N	\N	\N	f	
25380	d4ecaadb-44b4-41c6-8164-ae2c04a64733	Wickliffe, Kentucky	Wickliffe, Kentucky	3	0	2013-09-07 11:36:45.433476+02	\N	\N	\N	\N	\N	\N	f	
18618	51fe05e5-e5d9-4a96-bee0-4101c259510d	Sandrigo	Sandrigo	4	0	2013-07-22 08:53:19.225655+02	\N	\N	\N	\N	\N	\N	f	
20026	f386109c-d47d-4fd2-bf5f-547af1a01a5a	Massa Lombarda	Massa Lombarda	4	0	2013-07-22 12:09:32.660773+02	\N	\N	\N	\N	\N	\N	f	
18634	cb007138-caf2-4bb8-91aa-04e312e5f83a	Volpago del Montello	Volpago del Montello	4	0	2013-07-22 08:55:16.277616+02	\N	\N	\N	\N	\N	\N	f	
18638	732d8aa8-6a5a-4508-9bfa-299422de1fd4	Camponogara	Camponogara	4	0	2013-07-22 08:56:02.482615+02	\N	\N	\N	\N	\N	\N	f	
24291	c8c6a9a7-4d5c-4b08-b5cc-dd11cb17c8d2	Mulberry	Mulberry	3	0	2013-09-07 05:38:54.194191+02	\N	\N	\N	\N	\N	\N	f	
20028	5f763d03-82d9-4178-88c6-244e697fd013	Fusignano	Fusignano	4	0	2013-07-22 12:09:49.420437+02	\N	\N	\N	\N	\N	\N	f	
19599	f03e0fbc-0c15-4b96-91fb-6d08e0b54eab	Cellino San Marco	Cellino San Marco	4	0	2013-07-22 11:00:19.78076+02	\N	\N	\N	\N	\N	\N	f	
20671	60680016-eab5-4f34-90ab-bf1a4b24bc21	Monteverde, Campania	Monteverde, Campania	4	0	2013-07-23 08:41:05.757165+02	\N	\N	\N	\N	\N	\N	f	
24297	f70fd8a0-ffe0-4408-88da-e2a3f066426a	Monticello	Monticello	3	0	2013-09-07 05:40:17.295563+02	\N	\N	\N	\N	\N	\N	f	
20674	26c0826f-3344-43ba-b610-bc8840396f1c	Manocalzati	Manocalzati	4	0	2013-07-23 08:41:42.415579+02	\N	\N	\N	\N	\N	\N	f	
20764	a0c3c6f6-bd78-4888-ad98-dc1b9f3595d7	Amorosi	Amorosi	4	0	2013-07-23 11:38:59.166213+02	\N	\N	\N	\N	\N	\N	f	
27023	91064e9a-6d11-46ac-b288-8eaa600e2d1c	Bland	Bland	3	0	2013-09-08 04:27:24.162979+02	\N	\N	\N	\N	\N	\N	f	
20874	91ecbd6c-d675-4568-817b-45c8f61572c6	Capua	Capua	4	0	2013-07-23 14:41:56.139092+02	\N	\N	\N	\N	\N	\N	f	
24803	8e8bdcc2-5a1b-42d3-b4f9-7a91dcff573e	Wahpeton	Wahpeton	3	0	2013-09-07 08:39:37.921969+02	\N	\N	\N	\N	\N	\N	f	
23849	23d54ae7-26c4-4cf0-9f1c-df9ceb8c3060	Rector	Rector	3	0	2013-09-06 20:36:18.866738+02	\N	\N	\N	\N	\N	\N	f	
25851	81abd81f-1e24-4eb5-bdd4-d1f9e286baec	Mayetta, Kansas	Mayetta, Kansas	3	0	2013-09-07 14:56:03.207829+02	\N	\N	\N	\N	\N	\N	f	
23953	0af708b5-4df9-45f6-9196-0f047cd0310e	Fellsmere	Fellsmere	3	0	2013-09-06 23:28:23.767607+02	\N	\N	\N	\N	\N	\N	f	
24814	587d6f50-8553-4b44-bbc7-507c951702f5	Alexander	Alexander	3	0	2013-09-07 08:42:29.592595+02	\N	\N	\N	\N	\N	\N	f	
24051	98c0bd50-a992-49eb-949c-982739cd694c	Resaca, Georgia	Resaca, Georgia	3	0	2013-09-07 02:24:50.258976+02	\N	\N	\N	\N	\N	\N	f	
24257	7903b76f-644b-4af9-a179-b6b37e5cc573	Avondale Estates, Georgia	Avondale Estates, Georgia	3	0	2013-09-07 05:30:49.77864+02	\N	\N	\N	\N	\N	\N	f	
24276	6f1f99ea-5411-48ec-8395-3ae334a556e7	Hull, Georgia	Hull, Georgia	3	0	2013-09-07 05:35:23.95633+02	\N	\N	\N	\N	\N	\N	f	
26582	33f3f48e-5c5b-4b64-998f-72da04a9cc66	Atchison, Kansas	Atchison, Kansas	3	0	2013-09-08 01:14:11.416326+02	\N	\N	\N	\N	\N	\N	f	
24283	9875b87e-9795-4818-98ae-2415996a141b	Pahokee	Pahokee	3	0	2013-09-07 05:37:00.1453+02	\N	\N	\N	\N	\N	\N	f	
24819	636a5e92-0469-4754-a38e-b2e27117a724	Rowley	Rowley	3	0	2013-09-07 08:43:40.858358+02	\N	\N	\N	\N	\N	\N	f	
25860	c7a3002d-5ceb-457f-8319-425a56a8ce1f	Lorraine, Kansas	Lorraine, Kansas	3	0	2013-09-07 14:58:23.023711+02	\N	\N	\N	\N	\N	\N	f	
24851	006b86d7-12db-46e5-b460-82860dcaed1c	Canton, Kansas	Canton, Kansas	3	0	2013-09-07 08:51:30.096251+02	\N	\N	\N	\N	\N	\N	f	
24864	a422a6a2-5a43-41d7-ba7e-e190a6ee958b	Coggon, Iowa	Coggon, Iowa	3	0	2013-09-07 08:54:37.004501+02	\N	\N	\N	\N	\N	\N	f	
25332	b9007142-b79a-497e-8352-99c3e84c905c	Newport	Newport	3	0	2013-09-07 11:22:30.553507+02	\N	\N	\N	\N	\N	\N	f	
25944	6fae375b-c29d-4d1e-b236-0bdadb7dc600	Louisville	Louisville	3	0	2013-09-07 17:27:16.200922+02	\N	\N	\N	\N	\N	\N	f	
26983	f4c1173d-cd96-41a2-ba02-4d4010f2db1a	Liberty	Liberty	3	0	2013-09-08 04:17:31.741973+02	\N	\N	\N	\N	\N	\N	f	
25953	1a2a3e21-380b-4e24-9806-5fe851d2a182	Cleveland	Cleveland	3	0	2013-09-07 17:29:44.132684+02	\N	\N	\N	\N	\N	\N	f	
26281	ebab79af-4561-4da7-9d4c-96f7eff18d3b	Fairmeade, Kentucky	Fairmeade, Kentucky	3	0	2013-09-07 21:05:53.467093+02	\N	\N	\N	\N	\N	\N	f	
26994	5fae9a01-f22f-4acb-8adf-f3c7f4831621	Lewistown	Lewistown	3	0	2013-09-08 04:20:12.961483+02	\N	\N	\N	\N	\N	\N	f	
27038	1a8b1954-9c60-45ca-a690-7ff04e20ab9e	Versailles, Kentucky	Versailles, Kentucky	3	0	2013-09-08 04:31:09.38426+02	\N	\N	\N	\N	\N	\N	f	
27020	ef97fcc3-4a63-4275-a6bd-62868b587c5f	Trimble	Trimble	3	0	2013-09-08 04:26:38.1952+02	\N	\N	\N	\N	\N	\N	f	
28027	e35e0819-2489-4dce-81fa-661ed41a2cf8	Napoleon, North Dakota	Napoleon, North Dakota	3	0	2013-09-08 12:04:49.735389+02	\N	\N	\N	\N	\N	\N	f	
27684	c6565026-1327-4879-94e8-b8cec71804a9	Holdenville	Holdenville	3	0	2013-09-08 09:23:10.16225+02	\N	\N	\N	\N	\N	\N	f	
27052	6676f6a7-9368-4ab7-86fd-bfd8c57756c8	Hebron	Hebron	3	0	2013-09-08 04:34:39.619553+02	\N	\N	\N	\N	\N	\N	f	
27362	5ddc0c17-23b3-485c-808d-8b7955c4a7eb	Cogswell, North Dakota	Cogswell, North Dakota	3	0	2013-09-08 07:38:23.097935+02	\N	\N	\N	\N	\N	\N	f	
28258	d19c003c-190e-4219-bebc-5bb1bc4ca4f9	Walterboro, South Carolina	Walterboro, South Carolina	3	0	2013-09-08 15:44:03.690007+02	\N	\N	\N	\N	\N	\N	f	
28277	dbcc83b9-7326-4c4b-ac5a-97f5e2e1ef36	Greenfield, Tennessee	Greenfield, Tennessee	3	0	2013-09-08 16:37:48.698158+02	\N	\N	\N	\N	\N	\N	f	
28280	cf659eec-f689-448f-aca1-16960f9430df	Covington, Tennessee	Covington, Tennessee	3	0	2013-09-08 16:38:29.933502+02	\N	\N	\N	\N	\N	\N	f	
28459	27878cbe-bd91-47f2-81c1-342d043d7f18	Aquilla	Aquilla	3	0	2013-09-08 17:39:31.28217+02	\N	\N	\N	\N	\N	\N	f	
28690	18ef572a-5236-4e68-aaaf-985ffe2f71d8	La Grange	La Grange	3	0	2013-09-08 23:31:40.158622+02	\N	\N	\N	\N	\N	\N	f	
28772	6674210e-30c4-4181-93bd-f080163c1ec7	La Vernia	La Vernia	3	0	2013-09-08 23:54:37.816047+02	\N	\N	\N	\N	\N	\N	f	
12288	5d890469-73ef-4d21-8304-a258bfec7c64	Hạ Long	Hạ Long	3	0	2013-07-14 15:35:29.175994+02	\N	\N	\N	\N	\N	\N	f	
12289	87d5e11a-3e42-4445-8831-bb02afaf0740	Tam Ky	Tam Ky	3	0	2013-07-14 15:35:41.025411+02	\N	\N	\N	\N	\N	\N	f	
12290	656c1e7c-aa99-4cf2-9d9d-705a928baadc	Qui Nhon	Qui Nhon	3	0	2013-07-14 15:35:52.614897+02	\N	\N	\N	\N	\N	\N	f	
14031	e0b2799c-94f9-4055-a182-6bb5f01591b6	Amaseno	Amaseno	4	0	2013-07-21 20:08:33.039204+02	\N	\N	\N	\N	\N	\N	f	
12291	fd74542c-257e-47c3-8c17-001cc4679b53	Tuy Hoa	Tuy Hoa	3	0	2013-07-14 15:36:04.190644+02	\N	\N	\N	\N	\N	\N	f	
12292	f6ecd7fa-fe17-4ae0-8a47-9a8ea291fc5a	Bảo Lộc	Bảo Lộc	3	0	2013-07-14 15:36:15.868568+02	\N	\N	\N	\N	\N	\N	f	
12293	9b516116-a09b-4fe4-b34a-34b156e4b452	Phu Ly	Phu Ly	3	0	2013-07-14 15:36:27.493673+02	\N	\N	\N	\N	\N	\N	f	
14055	3959f485-f8bb-476c-a594-42162d237763	Isola del Liri	Isola del Liri	4	0	2013-07-21 20:13:58.78495+02	\N	\N	\N	\N	\N	\N	f	
12294	98bd30b0-17bf-4a07-a294-899c14dbd28f	Ha Tinh	Ha Tinh	3	0	2013-07-14 15:36:39.024323+02	\N	\N	\N	\N	\N	\N	f	
12295	dd3d36ef-15c3-416d-916e-fd8aed0bf921	Quảng Ngãi	Quảng Ngãi	3	0	2013-07-14 15:36:50.638788+02	\N	\N	\N	\N	\N	\N	f	
15770	8c121dd9-b144-44e9-8aec-384365d18db5	Vivaro Romano	Vivaro Romano	4	0	2013-07-22 01:58:30.696012+02	\N	\N	\N	\N	\N	\N	f	
12296	77bdb2c6-f66b-4932-84a5-6890da461757	Ben Tre	Ben Tre	3	0	2013-07-14 15:37:10.521772+02	\N	\N	\N	\N	\N	\N	f	
14585	52bd9d13-e56b-468e-ae93-ffbd672d8029	Isola d'Asti	Isola d'Asti	4	0	2013-07-21 22:10:55.424026+02	\N	\N	\N	\N	\N	\N	f	
12297	60796238-56ce-4258-976a-afc4715beca3	Thái Bình	Thái Bình	3	0	2013-07-14 15:37:22.148799+02	\N	\N	\N	\N	\N	\N	f	
12298	9bba6a7a-ec68-474a-9eaf-37478f277ddb	Hưng Yên	Hưng Yên	3	0	2013-07-14 15:37:34.299139+02	\N	\N	\N	\N	\N	\N	f	
12305	fd3ac4f4-8bdc-4f22-9ac3-3ff98a66adc8	Trà Vinh	Trà Vinh	3	0	2013-07-14 15:38:55.618622+02	\N	\N	\N	\N	\N	\N	f	
14732	e025dab1-03e9-40bc-8eb0-75fd9db1e8bd	Torrazzo	Torrazzo	4	0	2013-07-21 22:43:46.447023+02	\N	\N	\N	\N	\N	\N	f	
14763	c193f924-a0b9-497b-9af0-4f3264b5b568	Barge	Barge	4	0	2013-07-21 22:50:42.228119+02	\N	\N	\N	\N	\N	\N	f	
15958	f4037eb9-b718-45e8-afcf-9032c295d91b	Castel Condino	Castel Condino	4	0	2013-07-22 02:35:34.688921+02	\N	\N	\N	\N	\N	\N	f	
17588	c0b8dc1c-6ca2-4808-87cb-2503bafa9725	Sondalo	Sondalo	4	0	2013-07-22 06:46:04.624549+02	\N	\N	\N	\N	\N	\N	f	
16662	d14aecbc-38b6-432c-82e9-ae75c700a94f	Nomi, Trentino	Nomi, Trentino	4	0	2013-07-22 04:03:08.373144+02	\N	\N	\N	\N	\N	\N	f	
24053	df2d29cf-7367-4d2b-9d93-f9244ada9316	Worley	Worley	3	0	2013-09-07 02:25:27.578828+02	\N	\N	\N	\N	\N	\N	f	
19950	790fc2e5-3115-468e-b407-822fd72c4da0	Genzano di Lucania	Genzano di Lucania	4	0	2013-07-22 11:58:51.628969+02	\N	\N	\N	\N	\N	\N	f	
25412	85a3783e-81a8-499a-8d59-c08620a867ee	Woodland Hills, Kentucky	Woodland Hills, Kentucky	3	0	2013-09-07 11:44:08.253147+02	\N	\N	\N	\N	\N	\N	f	
18502	d1a09577-eb18-4e78-b815-b6c9809794da	Godega di Sant'Urbano	Godega di Sant'Urbano	4	0	2013-07-22 08:39:18.76436+02	\N	\N	\N	\N	\N	\N	f	
24258	6b7837df-1897-439b-bb4d-0cb3b4a64278	Hagan, Georgia	Hagan, Georgia	3	0	2013-09-07 05:31:03.119609+02	\N	\N	\N	\N	\N	\N	f	
18547	306c98e0-0f01-4c45-bcc2-b56061846725	Montorso Vicentino	Montorso Vicentino	4	0	2013-07-22 08:44:40.988662+02	\N	\N	\N	\N	\N	\N	f	
20672	d53c9c73-3e6c-4666-b32d-20536deb2e70	Mercogliano	Mercogliano	4	0	2013-07-23 08:41:17.855537+02	\N	\N	\N	\N	\N	\N	f	
18654	a6338bdc-b0d1-40d6-9eb9-926f9a9163d1	Marano Vicentino	Marano Vicentino	4	0	2013-07-22 08:57:47.419587+02	\N	\N	\N	\N	\N	\N	f	
18717	12eb6022-e706-4697-86ec-d170a24027c3	Schio	Schio	4	0	2013-07-22 09:05:50.605017+02	\N	\N	\N	\N	\N	\N	f	
18730	98d204b5-60b6-4e97-9875-ce258454521a	San Germano dei Berici	San Germano dei Berici	4	0	2013-07-22 09:07:27.085786+02	\N	\N	\N	\N	\N	\N	f	
20765	4dbfd84e-6ba4-4457-893a-b889f9816981	Melizzano	Melizzano	4	0	2013-07-23 11:39:16.321191+02	\N	\N	\N	\N	\N	\N	f	
19508	5c2e935e-8b6d-47c8-8f34-80013aca3525	Giulianova	Giulianova	4	0	2013-07-22 10:43:47.130036+02	\N	\N	\N	\N	\N	\N	f	
19567	911c9bbc-f3cd-4dfa-9f0e-6b011ec994db	Casamassima	Casamassima	4	0	2013-07-22 10:53:14.601375+02	\N	\N	\N	\N	\N	\N	f	
19589	e2719c40-60e4-4f7e-aa6a-a75cf66d94ce	Castelluccio dei Sauri	Castelluccio dei Sauri	4	0	2013-07-22 10:58:20.932434+02	\N	\N	\N	\N	\N	\N	f	
20780	8bbaf904-0dc4-4c68-98c3-e73a0106e691	Acquasanta Terme	Acquasanta Terme	4	0	2013-07-23 11:42:49.459818+02	\N	\N	\N	\N	\N	\N	f	
24266	363041e2-50ea-4c6c-b81e-646a81c9f496	Danielsville, Georgia	Danielsville, Georgia	3	0	2013-09-07 05:32:56.730359+02	\N	\N	\N	\N	\N	\N	f	
20797	f5a9bc48-c685-4b37-b5d8-a49493046641	San Salvatore Telesino	San Salvatore Telesino	4	0	2013-07-23 11:46:13.162523+02	\N	\N	\N	\N	\N	\N	f	
20807	89ed6e79-f58a-46e3-bba4-5095bbed5efd	Telese Terme	Telese Terme	4	0	2013-07-23 11:48:59.787523+02	\N	\N	\N	\N	\N	\N	f	
27016	cca5428d-fab8-4d46-ab5f-b07df69f05b7	Westboro	Westboro	3	0	2013-09-08 04:25:37.890874+02	\N	\N	\N	\N	\N	\N	f	
20877	b9f92104-97a2-49dc-a382-b086216a8f2a	Baia e Latina	Baia e Latina	4	0	2013-07-23 14:42:31.344508+02	\N	\N	\N	\N	\N	\N	f	
24805	4d73415b-1a6c-49cd-b70a-da11e24cca97	Mount Ayr	Mount Ayr	3	0	2013-09-07 08:40:07.934991+02	\N	\N	\N	\N	\N	\N	f	
20905	f7b21e85-85c4-4775-91a1-1bc7da8c3dfe	Parete	Parete	4	0	2013-07-23 14:49:27.794767+02	\N	\N	\N	\N	\N	\N	f	
25854	69d3ede3-2cab-4f80-bbe0-3cbd7c32b274	Westwego, Louisiana	Westwego, Louisiana	3	0	2013-09-07 14:56:53.472907+02	\N	\N	\N	\N	\N	\N	f	
24807	de1083d3-a911-4cd3-a672-3b033bd2d7f3	Lone Rock	Lone Rock	3	0	2013-09-07 08:40:36.157093+02	\N	\N	\N	\N	\N	\N	f	
23851	feb3ea4f-097a-4451-8db7-5c2295347441	Weiner	Weiner	3	0	2013-09-06 20:36:45.688561+02	\N	\N	\N	\N	\N	\N	f	
23954	7d153c39-016d-45dc-8484-265a2ae896f3	Florida City	Florida City	3	0	2013-09-06 23:28:37.518835+02	\N	\N	\N	\N	\N	\N	f	
24822	6e6ab1f3-618f-4588-8584-7f7e22da6f38	Ashton	Ashton	3	0	2013-09-07 08:44:23.575259+02	\N	\N	\N	\N	\N	\N	f	
25946	1850ea5d-0ba7-450e-832a-e60e0f1ef247	Collins	Collins	3	0	2013-09-07 17:27:43.287271+02	\N	\N	\N	\N	\N	\N	f	
25333	e6d23fe1-5c6b-4555-918c-7a7ecabe1e33	Science Hill, Kentucky	Science Hill, Kentucky	3	0	2013-09-07 11:22:49.161106+02	\N	\N	\N	\N	\N	\N	f	
25344	0a8e6979-57e6-4de7-a871-14537226842e	Blencoe	Blencoe	3	0	2013-09-07 11:27:02.266041+02	\N	\N	\N	\N	\N	\N	f	
27686	e826e1ca-4e14-4e79-91e4-2336e9f03b4d	Westlake	Westlake	3	0	2013-09-08 09:24:13.97087+02	\N	\N	\N	\N	\N	\N	f	
26285	803468c6-270b-499b-bb88-0d127961a7a5	Rolfe, Iowa	Rolfe, Iowa	3	0	2013-09-07 21:07:09.795853+02	\N	\N	\N	\N	\N	\N	f	
27043	ec5b9c7d-e8f0-4ef5-ac4d-b58ddd8478e4	Weaubleau	Weaubleau	3	0	2013-09-08 04:32:22.335576+02	\N	\N	\N	\N	\N	\N	f	
26583	1f7ebd00-c2d9-4579-82f7-d1ad11b02f24	Augusta, Kansas	Augusta, Kansas	3	0	2013-09-08 01:14:27.142558+02	\N	\N	\N	\N	\N	\N	f	
26987	1457ea00-3079-452b-835d-bc8364571216	Browning	Browning	3	0	2013-09-08 04:18:30.128128+02	\N	\N	\N	\N	\N	\N	f	
27073	828bb7c3-b5d4-4b92-b4db-8708fc759221	Gilman City	Gilman City	3	0	2013-09-08 04:40:37.419121+02	\N	\N	\N	\N	\N	\N	f	
27363	1c1f08eb-a79e-4af6-bffb-8d8fde74576f	Mountain, North Dakota	Mountain, North Dakota	3	0	2013-09-08 07:38:36.632011+02	\N	\N	\N	\N	\N	\N	f	
27689	e77225d8-df32-4c1f-a1df-1cf0430e8594	Hugo	Hugo	3	0	2013-09-08 09:25:47.53975+02	\N	\N	\N	\N	\N	\N	f	
27715	ba0537a0-77a6-425c-b43c-83009e3bf6f2	Washington Court House, Ohio	Washington Court House, Ohio	3	0	2013-09-08 09:32:42.283604+02	\N	\N	\N	\N	\N	\N	f	
27718	3858d666-f25e-452d-a945-5d1ca4cdda62	Wetumka, Oklahoma	Wetumka, Oklahoma	3	0	2013-09-08 09:33:48.339257+02	\N	\N	\N	\N	\N	\N	f	
27761	7ac5b4a2-7b71-4500-a5c1-1bed93a07998	Perkins	Perkins	3	0	2013-09-08 09:45:00.075078+02	\N	\N	\N	\N	\N	\N	f	
27756	54d04828-92a3-414b-bb49-760d7a2fafc6	Davis	Davis	3	0	2013-09-08 09:43:48.287339+02	\N	\N	\N	\N	\N	\N	f	
28028	5c2e1f7c-1070-4549-a0fb-bd2fc612fb15	Alexandria	Alexandria	3	0	2013-09-08 12:05:05.503823+02	\N	\N	\N	\N	\N	\N	f	
28029	844f4600-98b3-485a-984f-768b2ab47341	Louisville	Louisville	3	0	2013-09-08 12:05:21.139678+02	\N	\N	\N	\N	\N	\N	f	
28259	df1d01ef-0e23-472b-b5db-9b014be3f4d1	Travelers Rest, South Carolina	Travelers Rest, South Carolina	3	0	2013-09-08 15:44:36.05596+02	\N	\N	\N	\N	\N	\N	f	
28273	601938b2-b475-4101-86e5-ff186292b032	Jellico, Tennessee	Jellico, Tennessee	3	0	2013-09-08 16:36:21.834249+02	\N	\N	\N	\N	\N	\N	f	
28278	160c3cf8-e80b-4015-9248-efa8e16b4f41	Mellette, South Dakota	Mellette, South Dakota	3	0	2013-09-08 16:38:02.062308+02	\N	\N	\N	\N	\N	\N	f	
28460	df4a8fa3-bae8-462a-b671-05f3f36e3e88	Arp	Arp	3	0	2013-09-08 17:39:47.015228+02	\N	\N	\N	\N	\N	\N	f	
28691	12c8525d-63a6-4758-a6ef-ee00d1cc1044	Eden	Eden	3	0	2013-09-08 23:31:55.629782+02	\N	\N	\N	\N	\N	\N	f	
12299	5c56e199-7f99-4c7f-b32a-404e9ce97632	Bắc Giang	Bắc Giang	3	0	2013-07-14 15:37:45.71242+02	\N	\N	\N	\N	\N	\N	f	
14033	07cbf99b-af6d-4c2b-a0e0-f85f07a6ef58	Acuto	Acuto	4	0	2013-07-21 20:09:09.139483+02	\N	\N	\N	\N	\N	\N	f	
14048	154e23f4-9660-4441-982b-1035ee67358d	Casalattico	Casalattico	4	0	2013-07-21 20:12:34.435812+02	\N	\N	\N	\N	\N	\N	f	
15771	c188d57b-6f69-431d-aa64-cab1f1bb0d0d	Torrita Tiberina	Torrita Tiberina	4	0	2013-07-22 01:58:43.913813+02	\N	\N	\N	\N	\N	\N	f	
14588	45e1c5bf-e543-47cc-b098-f2aa60a0b826	Mombaruzzo	Mombaruzzo	4	0	2013-07-21 22:11:41.402949+02	\N	\N	\N	\N	\N	\N	f	
14720	1a57ae1a-4a29-45b7-865b-31d6176e7c43	Roppolo	Roppolo	4	0	2013-07-21 22:41:16.111869+02	\N	\N	\N	\N	\N	\N	f	
14723	ac356eee-8d80-4f85-8cda-a6da6cb4bea0	Tavigliano	Tavigliano	4	0	2013-07-21 22:41:56.091863+02	\N	\N	\N	\N	\N	\N	f	
16663	c73c805e-7e0e-46b5-95d4-ecd773399410	Peio	Peio	4	0	2013-07-22 04:03:28.870202+02	\N	\N	\N	\N	\N	\N	f	
15317	fbef2353-d4e5-47f7-9183-8a4c78660fc1	Monteciccardo	Monteciccardo	4	0	2013-07-22 00:18:43.626826+02	\N	\N	\N	\N	\N	\N	f	
17590	7cc779ab-7655-4ad5-ac5b-a1c72004b0dd	Gavirate	Gavirate	4	0	2013-07-22 06:46:20.805023+02	\N	\N	\N	\N	\N	\N	f	
15366	d5aba12e-e713-4d06-a73e-dc8740840413	Careggine	Careggine	4	0	2013-07-22 00:29:21.236156+02	\N	\N	\N	\N	\N	\N	f	
16666	1b34c986-ecfa-4214-b7ce-a576df4eaa06	Sorgono	Sorgono	4	0	2013-07-22 04:04:18.594255+02	\N	\N	\N	\N	\N	\N	f	
15405	0651bcc2-7480-4ce6-ae34-9d8599020159	Seravezza	Seravezza	4	0	2013-07-22 00:38:12.414421+02	\N	\N	\N	\N	\N	\N	f	
17215	9a5f1520-eeb9-41fa-92f1-35415ca1555d	Villanova Truschedu	Villanova Truschedu	4	0	2013-07-22 05:59:24.441969+02	\N	\N	\N	\N	\N	\N	f	
19951	8ac0d3d6-4e01-43ce-ae8d-aaddf5668521	Baragiano	Baragiano	4	0	2013-07-22 11:58:53.688812+02	\N	\N	\N	\N	\N	\N	f	
17268	d5a1966e-ff91-42e5-ac79-5eb0c1ab2e7f	Tissi	Tissi	4	0	2013-07-22 06:06:11.741303+02	\N	\N	\N	\N	\N	\N	f	
17600	a79c8784-11e1-46d6-9530-d70c02fb308c	Correzzana	Correzzana	4	0	2013-07-22 06:47:31.131998+02	\N	\N	\N	\N	\N	\N	f	
23955	46c316c8-3fa6-44a2-b482-72138f29f35d	Bradenton Beach	Bradenton Beach	3	0	2013-09-06 23:28:51.045758+02	\N	\N	\N	\N	\N	\N	f	
17622	40c6c731-f2c2-4854-b817-8f507eb39a33	Castana	Castana	4	0	2013-07-22 06:50:24.232939+02	\N	\N	\N	\N	\N	\N	f	
19970	00aea1fd-3dd2-4f72-b110-4f25877b61e4	Satriano di Lucania	Satriano di Lucania	4	0	2013-07-22 12:01:53.82262+02	\N	\N	\N	\N	\N	\N	f	
18503	891349bf-1bef-4929-aee0-7f11ecd866a7	Auer	Auer	4	0	2013-07-22 08:39:25.759995+02	\N	\N	\N	\N	\N	\N	f	
18616	e13381bc-bbe1-4bdd-b558-a51326a984a6	Bussolengo	Bussolengo	4	0	2013-07-22 08:53:05.441901+02	\N	\N	\N	\N	\N	\N	f	
18670	6bab2bb6-5970-4489-bf60-1e5e0135fc4a	San Giovanni Ilarione	San Giovanni Ilarione	4	0	2013-07-22 08:59:42.966359+02	\N	\N	\N	\N	\N	\N	f	
20675	928b9ffe-601a-4433-b2f7-485677ba58e2	Guardia Lombardi	Guardia Lombardi	4	0	2013-07-23 08:41:55.762007+02	\N	\N	\N	\N	\N	\N	f	
18837	20e5ab01-62cd-4b09-8b62-06583afeb059	Parè	Parè	4	0	2013-07-22 09:20:05.51885+02	\N	\N	\N	\N	\N	\N	f	
18840	548bee39-f3fa-454c-93c0-2139e8ca31f3	Limido Comasco	Limido Comasco	4	0	2013-07-22 09:20:29.26194+02	\N	\N	\N	\N	\N	\N	f	
23957	f9b9531d-7ac4-472b-85ce-7bcf72ec5038	Belleair Beach	Belleair Beach	3	0	2013-09-06 23:29:21.819779+02	\N	\N	\N	\N	\N	\N	f	
20767	a0ab26f0-6f05-4a05-9bc4-39df5b9888b4	Forchia	Forchia	4	0	2013-07-23 11:39:43.929535+02	\N	\N	\N	\N	\N	\N	f	
18849	c3b6ce12-a7ba-4741-bc46-42e27f851595	Grandola ed Uniti	Grandola ed Uniti	4	0	2013-07-22 09:21:22.042226+02	\N	\N	\N	\N	\N	\N	f	
18879	b22e48f7-b43d-4262-ab92-053eb926e53f	Mezzane di Sotto	Mezzane di Sotto	4	0	2013-07-22 09:25:02.720136+02	\N	\N	\N	\N	\N	\N	f	
24827	9bdb4ea3-b5d0-48d1-a658-b32839935914	Crawfordsville	Crawfordsville	3	0	2013-09-07 08:45:35.454801+02	\N	\N	\N	\N	\N	\N	f	
18906	732a5a9f-df8a-46d6-9ec3-b6658b1eabc6	San Cataldo, Sicily	San Cataldo, Sicily	4	0	2013-07-22 09:28:37.404531+02	\N	\N	\N	\N	\N	\N	f	
20776	5e83fe86-d221-463e-828f-a299bdf3f557	Molinara	Molinara	4	0	2013-07-23 11:42:01.021364+02	\N	\N	\N	\N	\N	\N	f	
24054	865b822e-f8a6-4b1e-9400-4ab2c78ca05c	Reubens	Reubens	3	0	2013-09-07 02:25:43.005362+02	\N	\N	\N	\N	\N	\N	f	
19541	13c9a153-59b6-4846-a2cb-6b09108ffebf	Notaresco	Notaresco	4	0	2013-07-22 10:47:37.73941+02	\N	\N	\N	\N	\N	\N	f	
20791	5a1b92f9-6ea3-4d91-8d65-61d8ac062b87	San Nicola Manfredi	San Nicola Manfredi	4	0	2013-07-23 11:45:01.270611+02	\N	\N	\N	\N	\N	\N	f	
19542	78dc96d8-9c9d-4c51-b46e-ae995f8c0f75	Martinsicuro	Martinsicuro	4	0	2013-07-22 10:47:38.755275+02	\N	\N	\N	\N	\N	\N	f	
24259	f841ff87-7c1e-4cde-81c5-c35ae97c316d	Minneola, Florida	Minneola, Florida	3	0	2013-09-07 05:31:17.059889+02	\N	\N	\N	\N	\N	\N	f	
20878	81ed1af0-bfcd-4ef4-ba8d-117b3a503003	Alvignano	Alvignano	4	0	2013-07-23 14:42:43.040323+02	\N	\N	\N	\N	\N	\N	f	
25855	dd8e0ef2-3b26-4900-a38a-36585b49ac2e	Elmdale, Kansas	Elmdale, Kansas	3	0	2013-09-07 14:57:06.696873+02	\N	\N	\N	\N	\N	\N	f	
24261	d3a3a622-9f39-49cb-89ac-bd32f32beb82	Leslie, Georgia	Leslie, Georgia	3	0	2013-09-07 05:31:48.748015+02	\N	\N	\N	\N	\N	\N	f	
25335	23faefa2-4012-40cd-be65-ff97252b631f	Lewisport	Lewisport	3	0	2013-09-07 11:23:15.875885+02	\N	\N	\N	\N	\N	\N	f	
24263	a792c525-72da-41ee-a5b3-515cbea38121	Roberta, Georgia	Roberta, Georgia	3	0	2013-09-07 05:32:16.170952+02	\N	\N	\N	\N	\N	\N	f	
23853	36ed2ba6-fa4f-417a-9c75-59dbedf264b7	Marvell	Marvell	3	0	2013-09-06 20:37:18.346653+02	\N	\N	\N	\N	\N	\N	f	
23855	4e6c7254-bc97-47d8-b4ec-1673b9448c10	Corning	Corning	3	0	2013-09-06 20:37:45.410363+02	\N	\N	\N	\N	\N	\N	f	
23902	150ea2c8-3a74-4dfd-b519-808f7695ed13	Mayflower	Mayflower	3	0	2013-09-06 20:50:28.323611+02	\N	\N	\N	\N	\N	\N	f	
24282	af38526e-10a6-46e1-8809-ba0c6d19c10c	Wildwood	Wildwood	3	0	2013-09-07 05:36:45.650974+02	\N	\N	\N	\N	\N	\N	f	
24292	0c35bf1d-3c6d-4adb-a9ac-78e6033fe935	South Miami	South Miami	3	0	2013-09-07 05:39:07.841356+02	\N	\N	\N	\N	\N	\N	f	
25374	2f1806b6-1985-49e0-a268-e71f225aed31	Riverwood, Kentucky	Riverwood, Kentucky	3	0	2013-09-07 11:35:24.997304+02	\N	\N	\N	\N	\N	\N	f	
24315	05cedeca-d95c-4844-8dc7-beb096ef3646	Morgan, Georgia	Morgan, Georgia	3	0	2013-09-07 05:44:34.752441+02	\N	\N	\N	\N	\N	\N	f	
26604	38cf13e6-bcbf-4d38-a53e-6c788e74e4f6	Viburnum	Viburnum	3	0	2013-09-08 01:19:47.176128+02	\N	\N	\N	\N	\N	\N	f	
24809	bcf3a98d-45f8-4939-a6bd-e32dd131d16a	Lakota	Lakota	3	0	2013-09-07 08:41:07.537232+02	\N	\N	\N	\N	\N	\N	f	
25947	4f32f1b1-0cd0-4ec6-9a1b-b86c7bb1b470	Bay Springs	Bay Springs	3	0	2013-09-07 17:27:56.63569+02	\N	\N	\N	\N	\N	\N	f	
25426	5fe82d40-8307-47fb-8595-3457beb092a6	Nortonville, Kentucky	Nortonville, Kentucky	3	0	2013-09-07 11:47:34.280688+02	\N	\N	\N	\N	\N	\N	f	
25449	c95f2048-9758-4243-9c11-e33c21dda6d9	Blue Ridge Manor, Kentucky	Blue Ridge Manor, Kentucky	3	0	2013-09-07 11:52:59.604166+02	\N	\N	\N	\N	\N	\N	f	
26286	382e550a-9d03-45b5-b15d-ec1cf006af9f	Ainsworth, Nebraska	Ainsworth, Nebraska	3	0	2013-09-07 21:07:36.197054+02	\N	\N	\N	\N	\N	\N	f	
27079	e3b25c26-73d4-4152-87d9-b1e350d1cd59	Ashland	Ashland	3	0	2013-09-08 04:42:31.444149+02	\N	\N	\N	\N	\N	\N	f	
26585	ecec7fd2-ef26-4f27-b2ad-55345b959b44	Oak Hill, Florida	Oak Hill, Florida	3	0	2013-09-08 01:14:56.97616+02	\N	\N	\N	\N	\N	\N	f	
26990	3920e598-4947-4f81-a999-836a144ff9c6	Athol, Idaho	Athol, Idaho	3	0	2013-09-08 04:19:12.377172+02	\N	\N	\N	\N	\N	\N	f	
27033	1feea6d1-4f9e-44da-b1a9-43ec43090cf6	Osborn	Osborn	3	0	2013-09-08 04:29:53.402346+02	\N	\N	\N	\N	\N	\N	f	
27371	24d36fd5-d398-4602-a43d-a79f1754cf4d	Maddock, North Dakota	Maddock, North Dakota	3	0	2013-09-08 07:40:39.559426+02	\N	\N	\N	\N	\N	\N	f	
27365	f81ba972-f4e7-432a-bc42-07a6229efa54	Forman, North Dakota	Forman, North Dakota	3	0	2013-09-08 07:39:13.09296+02	\N	\N	\N	\N	\N	\N	f	
27375	d9993c89-2dd0-4113-a693-968b16098709	Bedford Heights, Ohio	Bedford Heights, Ohio	3	0	2013-09-08 07:41:34.946021+02	\N	\N	\N	\N	\N	\N	f	
27687	e3ea836c-d797-44ef-b50f-6d378cd24cb5	Zanesville, Ohio	Zanesville, Ohio	3	0	2013-09-08 09:24:35.115458+02	\N	\N	\N	\N	\N	\N	f	
28030	9794cb77-b0da-4030-a416-cda023638639	Crystal River	Crystal River	3	0	2013-09-08 12:05:34.846883+02	\N	\N	\N	\N	\N	\N	f	
28039	74983480-6b09-4a2d-94c7-006ba5f39cc7	Grandview	Grandview	3	0	2013-09-08 12:08:42.107474+02	\N	\N	\N	\N	\N	\N	f	
28260	23e63b83-ea9c-4f5a-ab76-9f20d340dd95	Wellford, South Carolina	Wellford, South Carolina	3	0	2013-09-08 15:46:43.953177+02	\N	\N	\N	\N	\N	\N	f	
28279	cefd27e9-1114-4c16-8002-96f3031286ca	Bristol, South Dakota	Bristol, South Dakota	3	0	2013-09-08 16:38:15.879134+02	\N	\N	\N	\N	\N	\N	f	
28288	f942cf4c-d1b6-4441-b19e-2b072847e0a3	Greenback, Tennessee	Greenback, Tennessee	3	0	2013-09-08 16:41:23.412878+02	\N	\N	\N	\N	\N	\N	f	
12300	5192242d-129c-4fcc-b8dd-5898bd308b23	Thanh Hóa	Thanh Hóa	3	0	2013-07-14 15:37:57.144216+02	\N	\N	\N	\N	\N	\N	f	
12301	b186c42e-670f-48a9-a5fa-abde83999bac	Huế	Huế	3	0	2013-07-14 15:38:08.844052+02	\N	\N	\N	\N	\N	\N	f	
14034	6e8023ee-24b5-47d2-9ce8-5b9d990895cb	Aquino	Aquino	4	0	2013-07-21 20:09:23.059919+02	\N	\N	\N	\N	\N	\N	f	
14035	7c86a657-8f7f-4f52-9142-d19e088568c3	Arpino	Arpino	4	0	2013-07-21 20:09:34.52211+02	\N	\N	\N	\N	\N	\N	f	
15773	075e6700-33a3-44ff-b0d6-17bae219264d	Anzano del Parco	Anzano del Parco	4	0	2013-07-22 01:59:09.130044+02	\N	\N	\N	\N	\N	\N	f	
14590	e60aadba-1250-4509-9d33-427e01aa579b	Grazzano Badoglio	Grazzano Badoglio	4	0	2013-07-21 22:12:11.944091+02	\N	\N	\N	\N	\N	\N	f	
15117	d1cdcf63-347c-4a5d-a34e-0c46c7c4db70	Gualdo Cattaneo	Gualdo Cattaneo	4	0	2013-07-21 23:49:54.644647+02	\N	\N	\N	\N	\N	\N	f	
15179	838a10f7-bfda-4937-b6bf-3f75106f0226	Norcia	Norcia	4	0	2013-07-21 23:57:06.568251+02	\N	\N	\N	\N	\N	\N	f	
15808	95798893-e723-4410-b569-af21b057b0d2	Cernobbio	Cernobbio	4	0	2013-07-22 02:07:22.009383+02	\N	\N	\N	\N	\N	\N	f	
15193	2564d387-5ed0-4db1-8ffc-8be0a4b0c45d	Sommariva del Bosco	Sommariva del Bosco	4	0	2013-07-21 23:58:44.584024+02	\N	\N	\N	\N	\N	\N	f	
15308	70298763-4b09-461c-9c58-aeb273ccc8ce	Mombaroccio	Mombaroccio	4	0	2013-07-22 00:16:30.93546+02	\N	\N	\N	\N	\N	\N	f	
17592	c0e05c0a-f807-4872-a3bf-de85d619d085	Nova Milanese	Nova Milanese	4	0	2013-07-22 06:46:36.006177+02	\N	\N	\N	\N	\N	\N	f	
15360	dc53d392-8dde-42ac-a839-26345af08419	Castiglione di Garfagnana	Castiglione di Garfagnana	4	0	2013-07-22 00:28:04.4667+02	\N	\N	\N	\N	\N	\N	f	
15814	2536ee51-5e37-47dd-8a1b-1d4622da1026	Sant'Elena Sannita	Sant'Elena Sannita	4	0	2013-07-22 02:08:50.581227+02	\N	\N	\N	\N	\N	\N	f	
15823	ba59e03e-1bda-4269-9adc-08736a4bca89	Breia	Breia	4	0	2013-07-22 02:10:49.697913+02	\N	\N	\N	\N	\N	\N	f	
24817	92d721ac-9d98-4b42-873a-c40f80f2c787	Luxemburg	Luxemburg	3	0	2013-09-07 08:43:12.255979+02	\N	\N	\N	\N	\N	\N	f	
16664	e7019268-a8be-4a5e-a2d2-cea982885e46	Molveno	Molveno	4	0	2013-07-22 04:03:46.969681+02	\N	\N	\N	\N	\N	\N	f	
18511	424cc813-7b91-447f-9eea-77b56372765c	Moos in Passeier	Moos in Passeier	4	0	2013-07-22 08:40:17.694707+02	\N	\N	\N	\N	\N	\N	f	
16674	6014ede8-7048-4bd4-8367-ef5a7afad5c7	Romallo	Romallo	4	0	2013-07-22 04:06:23.418397+02	\N	\N	\N	\N	\N	\N	f	
17217	c239c6d3-8131-45eb-8967-6e19df636831	Florinas	Florinas	4	0	2013-07-22 05:59:38.410261+02	\N	\N	\N	\N	\N	\N	f	
19952	26438dd8-64af-4bb2-a398-8c6a23c33668	Cersosimo	Cersosimo	4	0	2013-07-22 11:59:07.75822+02	\N	\N	\N	\N	\N	\N	f	
18567	3730514a-a58f-4413-8424-b10fd291a05a	Ormelle	Ormelle	4	0	2013-07-22 08:47:04.733007+02	\N	\N	\N	\N	\N	\N	f	
17265	e0c4c5bc-bbd5-43e7-a424-54f0bd07692e	Arena Po	Arena Po	4	0	2013-07-22 06:05:48.9757+02	\N	\N	\N	\N	\N	\N	f	
18613	9363a6e8-1332-411b-9b60-e01e81d19819	Arcugnano	Arcugnano	4	0	2013-07-22 08:52:47.11212+02	\N	\N	\N	\N	\N	\N	f	
25338	8ca8adcd-778d-4733-ab56-f85484ab4cca	Hunters Hollow, Kentucky	Hunters Hollow, Kentucky	3	0	2013-09-07 11:24:02.787163+02	\N	\N	\N	\N	\N	\N	f	
18626	ba573c65-1901-42b0-9ce3-3bc71f6c3971	Molvena	Molvena	4	0	2013-07-22 08:54:15.297819+02	\N	\N	\N	\N	\N	\N	f	
20676	3a26d172-9119-497b-a828-bed091b48a96	Montecalvo Irpino	Montecalvo Irpino	4	0	2013-07-23 08:42:07.904502+02	\N	\N	\N	\N	\N	\N	f	
19605	5295b773-639b-4fe9-9eea-2957c346cf14	Turi, Apulia	Turi, Apulia	4	0	2013-07-22 11:01:38.227999+02	\N	\N	\N	\N	\N	\N	f	
20682	6af6ff73-823b-4771-b874-bd228e2a4c04	Montoro Inferiore	Montoro Inferiore	4	0	2013-07-23 08:43:19.575647+02	\N	\N	\N	\N	\N	\N	f	
25366	78bacc80-76d4-4d12-aae2-e30eefe665a2	Wellington, Kansas	Wellington, Kansas	3	0	2013-09-07 11:33:21.295177+02	\N	\N	\N	\N	\N	\N	f	
20771	4596fa5b-d932-4c53-9e4f-66d7df81221a	Frasso Telesino	Frasso Telesino	4	0	2013-07-23 11:40:41.602607+02	\N	\N	\N	\N	\N	\N	f	
20879	e984c858-a31c-4f04-aa7a-8de259efc6cb	Capodrise	Capodrise	4	0	2013-07-23 14:42:54.868311+02	\N	\N	\N	\N	\N	\N	f	
28281	16bee1d9-d2be-4ca6-acb6-c6ca352a2f92	Marion, South Dakota	Marion, South Dakota	3	0	2013-09-08 16:38:43.52735+02	\N	\N	\N	\N	\N	\N	f	
25417	4d179185-f1b8-48ff-8ce0-0dffb3d19174	Sharpsburg, Kentucky	Sharpsburg, Kentucky	3	0	2013-09-07 11:45:27.45651+02	\N	\N	\N	\N	\N	\N	f	
23859	4f05a60c-d9cb-4c03-9ec2-9c69d50bb04e	Yellville	Yellville	3	0	2013-09-06 20:38:40.851747+02	\N	\N	\N	\N	\N	\N	f	
27069	f99fb75b-4963-44e1-84de-3f119f5caca1	Irondale	Irondale	3	0	2013-09-08 04:39:26.027844+02	\N	\N	\N	\N	\N	\N	f	
23956	edc9a639-55c0-4beb-9609-8493daf2c16b	Bushnell	Bushnell	3	0	2013-09-06 23:29:07.495224+02	\N	\N	\N	\N	\N	\N	f	
25856	11224641-5444-4a9d-afb4-9959345584da	Luray, Kansas	Luray, Kansas	3	0	2013-09-07 14:57:21.857835+02	\N	\N	\N	\N	\N	\N	f	
24055	8aca888f-f210-42e0-bc41-baa534e8e7b8	Tensed	Tensed	3	0	2013-09-07 02:25:58.644266+02	\N	\N	\N	\N	\N	\N	f	
24070	df4c13bc-28c6-4e2e-b72f-5ca310da4653	Albion	Albion	3	0	2013-09-07 02:30:00.333449+02	\N	\N	\N	\N	\N	\N	f	
24260	b781bb12-51c3-4cb2-b75f-95fbcb575436	Gibson, Georgia	Gibson, Georgia	3	0	2013-09-07 05:31:35.239003+02	\N	\N	\N	\N	\N	\N	f	
25948	4c6e86fb-c301-45f3-92bd-6f32ac007189	Lumberton	Lumberton	3	0	2013-09-07 17:28:14.978556+02	\N	\N	\N	\N	\N	\N	f	
24296	b844032d-d14b-4b88-ad34-f22c41d87a7f	Ocoee	Ocoee	3	0	2013-09-07 05:40:02.304771+02	\N	\N	\N	\N	\N	\N	f	
24318	e1ec269c-136f-43a7-8ced-898515f00520	Graham, Georgia	Graham, Georgia	3	0	2013-09-07 05:45:15.784445+02	\N	\N	\N	\N	\N	\N	f	
27763	bc59b3fb-4fa8-4576-9b9e-deee39202731	Colony	Colony	3	0	2013-09-08 09:45:27.207461+02	\N	\N	\N	\N	\N	\N	f	
24811	7c45101b-2a93-4591-a92f-aa10b106ba0d	Osceola	Osceola	3	0	2013-09-07 08:41:41.979445+02	\N	\N	\N	\N	\N	\N	f	
27367	7cad2093-33a1-4233-9e28-6c00ff31bd64	Gladstone, North Dakota	Gladstone, North Dakota	3	0	2013-09-08 07:39:40.202049+02	\N	\N	\N	\N	\N	\N	f	
26287	c76b14fb-2eee-473e-9294-21c8e95d2cf0	New Bloomfield, Missouri	New Bloomfield, Missouri	3	0	2013-09-07 21:07:53.275702+02	\N	\N	\N	\N	\N	\N	f	
26588	c428609d-b945-4bbb-9be4-3403adfa1895	New Haven, Indiana	New Haven, Indiana	3	0	2013-09-08 01:15:45.21738+02	\N	\N	\N	\N	\N	\N	f	
26993	bebed565-43a0-4de8-8378-0f0fdada15b2	Quasqueton, Iowa	Quasqueton, Iowa	3	0	2013-09-08 04:19:55.629514+02	\N	\N	\N	\N	\N	\N	f	
28462	fc6f8df9-d06c-4df5-a98a-26bfb07fbc2d	Bayou Vista	Bayou Vista	3	0	2013-09-08 17:40:16.36534+02	\N	\N	\N	\N	\N	\N	f	
26996	1c7967db-0f23-4728-91eb-78d78cde47c3	Verona	Verona	3	0	2013-09-08 04:20:42.497169+02	\N	\N	\N	\N	\N	\N	f	
27693	f7b70f08-156a-43f1-bad5-36cfe18dce79	Nichols Hills, Oklahoma	Nichols Hills, Oklahoma	3	0	2013-09-08 09:26:52.80525+02	\N	\N	\N	\N	\N	\N	f	
28032	8f9ccf06-e28b-4744-bac2-bae5bb44356a	Epworth	Epworth	3	0	2013-09-08 12:06:08.172526+02	\N	\N	\N	\N	\N	\N	f	
27725	49e399c4-1de2-4717-87bc-5f1c62daf2d5	Morris, Oklahoma	Morris, Oklahoma	3	0	2013-09-08 09:35:41.422159+02	\N	\N	\N	\N	\N	\N	f	
27733	b35a99d1-98a2-42d3-b729-6d85f9a8a27a	Hartshorne, Oklahoma	Hartshorne, Oklahoma	3	0	2013-09-08 09:37:45.228785+02	\N	\N	\N	\N	\N	\N	f	
28693	ac3e1530-0474-4b30-a080-17e194d823f7	Mountain City	Mountain City	3	0	2013-09-08 23:32:26.40461+02	\N	\N	\N	\N	\N	\N	f	
28067	5051d858-8d50-4a46-be21-01252826919f	Apsheronsk	Apsheronsk	3	0	2013-09-08 12:20:57.422496+02	\N	\N	\N	\N	\N	\N	f	
28261	de81a4cd-ec28-4493-9bfc-4b0e5b65a594	Ashton	Ashton	3	0	2013-09-08 15:47:48.421859+02	\N	\N	\N	\N	\N	\N	f	
28712	07fd1fc5-b48e-47c6-9945-0d341857d25a	Hutchins	Hutchins	3	0	2013-09-08 23:37:23.175023+02	\N	\N	\N	\N	\N	\N	f	
28707	1485eca1-2de9-4920-b457-24436261c184	Pineland	Pineland	3	0	2013-09-08 23:36:05.140238+02	\N	\N	\N	\N	\N	\N	f	
28775	873b4765-a872-4833-9704-bc16ea332b7a	Petrolia	Petrolia	3	0	2013-09-08 23:55:31.301934+02	\N	\N	\N	\N	\N	\N	f	
28719	a69e02cb-c72f-47a9-8b7e-3d59fc8960a4	Brazos Country	Brazos Country	3	0	2013-09-08 23:39:14.960059+02	\N	\N	\N	\N	\N	\N	f	
28783	cfddcd23-5309-4dad-852f-31ff17c55734	Lake Worth	Lake Worth	3	0	2013-09-08 23:57:38.340767+02	\N	\N	\N	\N	\N	\N	f	
28905	923e783f-ad3b-49aa-808f-cddf2e05fef6	Elma, Washington	Elma, Washington	3	0	2013-09-09 01:21:35.183665+02	\N	\N	\N	\N	\N	\N	f	
28809	0959192f-4859-4b29-9a7b-c30f59e2fe9c	Cedar Hill	Cedar Hill	3	0	2013-09-09 00:04:38.354892+02	\N	\N	\N	\N	\N	\N	f	
28957	ffcc549e-423e-4c98-aa58-3c8e0356d220	Socorro	Socorro	3	0	2013-09-09 01:39:37.094688+02	\N	\N	\N	\N	\N	\N	f	
29005	311109bd-0848-406c-aed2-4077e5ab859b	Riverside	Riverside	3	0	2013-09-09 01:53:49.880639+02	\N	\N	\N	\N	\N	\N	f	
29007	df482198-ce2c-427c-948f-48695cedd4a6	Diboll	Diboll	3	0	2013-09-09 01:54:37.264717+02	\N	\N	\N	\N	\N	\N	f	
29202	e448581e-38ad-4f12-bc81-bab6e06916a2	Eagle Pass	Eagle Pass	3	0	2013-09-09 03:05:00.641817+02	\N	\N	\N	\N	\N	\N	f	
29205	a549fbf3-16f9-4075-8672-0ae7d654fe3f	Tatum	Tatum	3	0	2013-09-09 03:05:54.568378+02	\N	\N	\N	\N	\N	\N	f	
12302	2d74795a-18f4-4e4d-bd66-f6ce6b1d7122	Kon Tum	Kon Tum	3	0	2013-07-14 15:38:21.239056+02	\N	\N	\N	\N	\N	\N	f	
12303	f428ec7a-b787-4313-9b98-ef2d5ee6e796	Hoi An	Hoi An	3	0	2013-07-14 15:38:32.674305+02	\N	\N	\N	\N	\N	\N	f	
12358	1d7801de-e437-45bf-8161-40728dd0d2eb	Ringsaker	Ringsaker	4	0	2013-07-15 03:31:37.51445+02	\N	\N	\N	\N	\N	\N	f	
12304	c546a491-7e45-4aed-a80d-ba15bc9f403d	Viet Tri	Viet Tri	3	0	2013-07-14 15:38:44.158235+02	\N	\N	\N	\N	\N	\N	f	
12324	c68ce10a-85e9-4813-94eb-f470e458643e	Sandefjord	Sandefjord	4	0	2013-07-15 03:23:45.521006+02	\N	\N	\N	\N	\N	\N	f	
12306	52167143-a888-45da-b58e-43232b168dc7	Rạch Giá	Rạch Giá	3	0	2013-07-14 15:39:07.051564+02	\N	\N	\N	\N	\N	\N	f	
12307	c7acee81-ee04-4d66-96a6-e4e5aa848896	Hải Dương	Hải Dương	3	0	2013-07-14 15:39:18.498242+02	\N	\N	\N	\N	\N	\N	f	
12340	f3c0cdd2-9d0e-4300-89a4-4a7b8338f0f2	Kristiansund	Kristiansund	4	0	2013-07-15 03:28:04.050158+02	\N	\N	\N	\N	\N	\N	f	
12308	cff49ae1-10a8-43e3-91b5-6864746f90ab	Nam Định	Nam Định	3	0	2013-07-14 15:42:45.524394+02	\N	\N	\N	\N	\N	\N	f	
12325	5dd4646b-b74e-4983-9cf5-6fd0855eb9d3	Leikanger	Leikanger	4	0	2013-07-15 03:24:00.422828+02	\N	\N	\N	\N	\N	\N	f	
12309	169e1844-e799-4931-86ab-a647a24172f6	Terrebonne	Terrebonne	3	0	2013-07-14 17:20:46.8569+02	\N	\N	\N	\N	\N	\N	f	
12310	e6bebed0-cd3d-47b1-8545-b019e746f93e	Tolnanémedi	Tolnanémedi	3	0	2013-07-14 17:28:20.401018+02	\N	\N	\N	\N	\N	\N	f	
12311	b10b2952-b9c2-4ec5-85e4-180e2742325b	Leonessa	Leonessa	3	0	2013-07-14 17:29:09.464308+02	\N	\N	\N	\N	\N	\N	f	
12326	55a1de2a-7cac-41d3-a1ce-191ce9098378	Horten	Horten	4	0	2013-07-15 03:24:19.040325+02	\N	\N	\N	\N	\N	\N	f	
12312	cb3b6ec7-aae1-4e91-a65f-2d07a8192dd0	Amman	Amman	3	0	2013-07-14 17:36:18.260514+02	\N	\N	\N	\N	\N	\N	f	
12313	85f13e3d-6817-4153-b417-e15080e6e56b	Karachi	Karachi	3	0	2013-07-14 17:48:59.206414+02	\N	\N	\N	\N	\N	\N	f	
12351	2a234ba4-7a53-4e47-8195-8f4746242f5e	Steinkjer	Steinkjer	4	0	2013-07-15 03:30:17.448168+02	\N	\N	\N	\N	\N	\N	f	
12314	4a9aeb42-3763-4234-8fb8-1167ac1dfdfe	Miami	Miami	3	0	2013-07-14 17:49:14.754948+02	\N	\N	\N	\N	\N	\N	f	
12327	b70d4ad6-9271-4ca7-9520-52614df8b616	Mandal	Mandal	4	0	2013-07-15 03:24:39.18872+02	\N	\N	\N	\N	\N	\N	f	
12315	d54ebb73-57e8-4ca3-b371-de5e150cea0d	Stratford, Quebec	Stratford, Quebec	3	0	2013-07-14 20:34:59.059267+02	\N	\N	\N	\N	\N	\N	f	
12316	5b059795-7d47-4cb5-a7d4-147afa05d03a	Molde	Molde	4	0	2013-07-15 03:21:49.533202+02	\N	\N	\N	\N	\N	\N	f	
12341	0ac2b15c-4031-43a7-83fb-238f8ac8e3ff	Haugesund	Haugesund	4	0	2013-07-15 03:28:15.423411+02	\N	\N	\N	\N	\N	\N	f	
12317	5b4cc11a-cb66-49b2-b7c1-ea204b52cd99	Vadsø	Vadsø	4	0	2013-07-15 03:22:06.896944+02	\N	\N	\N	\N	\N	\N	f	
12328	b4242580-fa5d-4449-9f26-376614833a6f	Moss	Moss	4	0	2013-07-15 03:25:00.441661+02	\N	\N	\N	\N	\N	\N	f	
12318	1604cda9-6e23-4d2f-84ba-4679b3fb7f4c	Lillehammer	Lillehammer	4	0	2013-07-15 03:22:21.947073+02	\N	\N	\N	\N	\N	\N	f	
12319	c02b20ba-fb21-413e-9298-7ff79e6ea2d2	Kongsberg	Kongsberg	4	0	2013-07-15 03:22:41.850075+02	\N	\N	\N	\N	\N	\N	f	
12320	76deb6c2-4f05-4493-9786-fd5bf64bfb2d	Odda	Odda	4	0	2013-07-15 03:22:53.914492+02	\N	\N	\N	\N	\N	\N	f	
12329	cbe98c7e-0e12-44e3-a4c5-4fe0d9aac049	Berlevåg	Berlevåg	4	0	2013-07-15 03:25:22.783463+02	\N	\N	\N	\N	\N	\N	f	
12321	f1dfefbf-c0db-4a82-9fce-ffd1775c4c49	Hitra	Hitra	4	0	2013-07-15 03:23:08.066756+02	\N	\N	\N	\N	\N	\N	f	
12322	181e1341-41cc-4e07-86c3-5403ccb01b90	Halden	Halden	4	0	2013-07-15 03:23:19.883605+02	\N	\N	\N	\N	\N	\N	f	
12323	d7916885-2577-4bcc-ae7b-52f2e93df949	Fredrikstad	Fredrikstad	4	0	2013-07-15 03:23:31.605124+02	\N	\N	\N	\N	\N	\N	f	
12342	6e3506d4-e52c-4dd7-9349-be397e1a537a	Eidsberg	Eidsberg	4	0	2013-07-15 03:28:33.359308+02	\N	\N	\N	\N	\N	\N	f	
12330	a3602409-9f2d-45e3-ac72-10cc054b28a6	Tønsberg	Tønsberg	4	0	2013-07-15 03:25:43.02198+02	\N	\N	\N	\N	\N	\N	f	
12331	8e05223a-3a5b-46f7-8acf-7f9862686923	Vardø	Vardø	4	0	2013-07-15 03:26:00.068852+02	\N	\N	\N	\N	\N	\N	f	
12332	dc5d66dd-0b5a-460e-bbb7-acbc1b030c94	Hammerfest	Hammerfest	4	0	2013-07-15 03:26:19.384601+02	\N	\N	\N	\N	\N	\N	f	
12343	b0cc7c50-6c08-4251-be8b-9341f6407fb4	Førde	Førde	4	0	2013-07-15 03:28:44.81228+02	\N	\N	\N	\N	\N	\N	f	
12333	622eeac1-4c63-4e24-b9ed-31778d224e1e	Askim	Askim	4	0	2013-07-15 03:26:34.190648+02	\N	\N	\N	\N	\N	\N	f	
12334	aae72e62-eec7-4bfd-8605-77b0eb20142c	Gjøvik	Gjøvik	4	0	2013-07-15 03:26:46.080396+02	\N	\N	\N	\N	\N	\N	f	
12352	8aac9adf-b807-4789-a26f-779dc756b415	Fitjar	Fitjar	4	0	2013-07-15 03:30:28.883167+02	\N	\N	\N	\N	\N	\N	f	
12335	d9f1276a-072b-44be-ae89-403dea530d38	Røros	Røros	4	0	2013-07-15 03:26:59.836159+02	\N	\N	\N	\N	\N	\N	f	
12344	a028096d-5afe-4b91-ad4f-603039c1eccb	Rømskog	Rømskog	4	0	2013-07-15 03:28:56.285783+02	\N	\N	\N	\N	\N	\N	f	
12336	c5b720e8-1a30-4650-be8c-5a116009bae6	Sarpsborg	Sarpsborg	4	0	2013-07-15 03:27:11.21998+02	\N	\N	\N	\N	\N	\N	f	
12337	55a79959-a6d1-4fa8-9d27-3039e9109c31	Elverum	Elverum	4	0	2013-07-15 03:27:22.673312+02	\N	\N	\N	\N	\N	\N	f	
12338	9d3bb65a-c137-4f22-a309-97bd0a8d206b	Kongsvinger	Kongsvinger	4	0	2013-07-15 03:27:36.496924+02	\N	\N	\N	\N	\N	\N	f	
12345	f9ea8135-e74b-4e80-93f4-c6a651d3d0c3	Nedre Eiker	Nedre Eiker	4	0	2013-07-15 03:29:07.812946+02	\N	\N	\N	\N	\N	\N	f	
12339	7798733a-6a5b-414e-893f-6035fe415931	Voss	Voss	4	0	2013-07-15 03:27:50.246857+02	\N	\N	\N	\N	\N	\N	f	
12368	de7d81af-a9a1-4581-b0d7-a5330de2ffa0	Ørsta	Ørsta	4	0	2013-07-15 03:35:33.227721+02	\N	\N	\N	\N	\N	\N	f	
12346	e3aaf339-7d6c-45b9-bdd6-4a0be623f0f2	Hasvik	Hasvik	4	0	2013-07-15 03:29:19.601018+02	\N	\N	\N	\N	\N	\N	f	
12353	533c5e1c-c4c3-4e07-ae7c-1116e279b9da	Høyanger	Høyanger	4	0	2013-07-15 03:30:40.253294+02	\N	\N	\N	\N	\N	\N	f	
12347	63f99844-d96b-4128-bc64-9d78cad36885	Måsøy	Måsøy	4	0	2013-07-15 03:29:31.017505+02	\N	\N	\N	\N	\N	\N	f	
12348	41103664-8c2e-4830-a89b-64a0d3304e4a	Andøy	Andøy	4	0	2013-07-15 03:29:42.659718+02	\N	\N	\N	\N	\N	\N	f	
12359	2181e436-39f2-4457-842b-b2b46d4396e5	Namsos	Namsos	4	0	2013-07-15 03:31:48.934734+02	\N	\N	\N	\N	\N	\N	f	
12349	05f85277-10ed-4884-a072-ced47517b760	Nesseby	Nesseby	4	0	2013-07-15 03:29:54.002701+02	\N	\N	\N	\N	\N	\N	f	
12354	e1befc4b-ea0b-4043-9246-33f745f0765d	Gamvik	Gamvik	4	0	2013-07-15 03:30:51.693482+02	\N	\N	\N	\N	\N	\N	f	
12350	23ef5f4b-398f-4ff4-8281-56417cbba984	Jondal	Jondal	4	0	2013-07-15 03:30:05.667901+02	\N	\N	\N	\N	\N	\N	f	
12355	9189e08b-a100-4adf-88fc-701569e79027	Ringerike	Ringerike	4	0	2013-07-15 03:31:03.105079+02	\N	\N	\N	\N	\N	\N	f	
12363	2a68d8eb-4e59-4858-b083-1ad7f21301b7	Oppdal	Oppdal	4	0	2013-07-15 03:32:35.09275+02	\N	\N	\N	\N	\N	\N	f	
12356	9ec30fd2-a956-4df9-b660-7845d7accaba	Brønnøy	Brønnøy	4	0	2013-07-15 03:31:14.55604+02	\N	\N	\N	\N	\N	\N	f	
12360	594fae25-a562-4661-b253-d19fe7506ba2	Vågå	Vågå	4	0	2013-07-15 03:32:00.548536+02	\N	\N	\N	\N	\N	\N	f	
12357	d839f90b-c6a8-4391-b68c-411e628e0990	Ål	Ål	4	0	2013-07-15 03:31:25.955037+02	\N	\N	\N	\N	\N	\N	f	
12366	f5a7b5e5-4aa0-4a34-b266-347cc4900a69	Skjervøy	Skjervøy	4	0	2013-07-15 03:34:11.723541+02	\N	\N	\N	\N	\N	\N	f	
12361	db53a239-6001-4d93-a3d6-63e03a37818f	Ballangen	Ballangen	4	0	2013-07-15 03:32:11.878755+02	\N	\N	\N	\N	\N	\N	f	
12364	39c00050-bb62-470b-856b-6f7e442926e0	Lindås	Lindås	4	0	2013-07-15 03:32:46.545807+02	\N	\N	\N	\N	\N	\N	f	
12362	d6a11619-3d1d-41d9-8065-5c20368b6e95	Bømlo	Bømlo	4	0	2013-07-15 03:32:23.510373+02	\N	\N	\N	\N	\N	\N	f	
12365	7ae658e4-54b5-4a54-adeb-d0ae6c07bc55	Øvre Eiker	Øvre Eiker	4	0	2013-07-15 03:32:57.957295+02	\N	\N	\N	\N	\N	\N	f	
12367	964b3939-0754-4ddc-8346-7f14edfad3f8	Røst	Røst	4	0	2013-07-15 03:34:22.975364+02	\N	\N	\N	\N	\N	\N	f	
12369	584f8dfb-7f90-4f6e-9013-ed4deabccd9d	Larvik	Larvik	4	0	2013-07-15 03:35:44.864429+02	\N	\N	\N	\N	\N	\N	f	
12370	355afb1a-34ac-4033-8a31-1cfa0899166c	Høylandet	Høylandet	4	0	2013-07-15 03:35:56.452492+02	\N	\N	\N	\N	\N	\N	f	
12372	9eb0729f-5957-49fa-8518-240ec381b5c3	Kvalsund	Kvalsund	4	0	2013-07-15 03:36:36.637672+02	\N	\N	\N	\N	\N	\N	f	
12371	e884fef2-197b-4f9d-81e0-e3c9a6596897	Skiptvet	Skiptvet	4	0	2013-07-15 03:36:09.296459+02	\N	\N	\N	\N	\N	\N	f	
12373	559d02e5-e88a-47fd-b204-94f15ce7dbab	Sande	Sande	4	0	2013-07-15 03:36:48.036352+02	\N	\N	\N	\N	\N	\N	f	
12374	804730eb-e881-46a6-b8d8-de29c8590c23	Karasjok	Karasjok	4	0	2013-07-15 03:36:59.371631+02	\N	\N	\N	\N	\N	\N	f	
12375	84222cf0-2ecf-44a2-ae14-8f28da661ce3	Gratangen	Gratangen	4	0	2013-07-15 03:37:10.891109+02	\N	\N	\N	\N	\N	\N	f	
12376	6db7e03c-6f46-4b6a-9937-1dcef2a3709a	Bien Hoa	Bien Hoa	3	0	2013-07-15 03:37:34.972462+02	\N	\N	\N	\N	\N	\N	f	
12377	50425ace-b877-4aa3-9cc7-406f041ac398	Fyresdal	Fyresdal	4	0	2013-07-15 03:37:46.348562+02	\N	\N	\N	\N	\N	\N	f	
12378	d6ed3ae1-508f-42cb-a5c2-cd2bd575ac08	Nøtterøy	Nøtterøy	4	0	2013-07-15 03:38:07.632148+02	\N	\N	\N	\N	\N	\N	f	
14036	78cd509d-0017-4395-a7fe-9705c410a5fb	Fumone	Fumone	4	0	2013-07-21 20:10:02.220932+02	\N	\N	\N	\N	\N	\N	f	
12397	a05ff6fd-311d-4e6f-aa2e-078cdf41b072	Kragerø	Kragerø	4	0	2013-07-15 03:42:10.634082+02	\N	\N	\N	\N	\N	\N	f	
12407	8bd9b44c-3b6c-4652-b830-204797952f41	Tromsø	Tromsø	4	0	2013-07-15 03:44:19.072653+02	\N	\N	\N	\N	\N	\N	f	
15776	c2e332c1-95c3-4a59-b67c-fe6605b93656	Bizzarone	Bizzarone	4	0	2013-07-22 01:59:53.614476+02	\N	\N	\N	\N	\N	\N	f	
12421	d62d8d72-0c63-44f1-9e03-6c6df8bb5a88	Ørland	Ørland	4	0	2013-07-15 03:48:06.239023+02	\N	\N	\N	\N	\N	\N	f	
14067	ca6047d5-53eb-4770-b2c9-f8d5a05edc2d	Castro dei Volsci	Castro dei Volsci	4	0	2013-07-21 20:16:32.96924+02	\N	\N	\N	\N	\N	\N	f	
12460	5ff0d741-bd99-446e-9fb4-fe3435e52ca7	Surnadal	Surnadal	4	0	2013-07-15 03:57:29.286192+02	\N	\N	\N	\N	\N	\N	f	
12465	eb6038b4-4746-4b42-96c5-1bf7fa61b50f	Nesset	Nesset	4	0	2013-07-15 03:58:26.92879+02	\N	\N	\N	\N	\N	\N	f	
12483	9bcdec31-a6b5-40ff-b6ee-c3538273f6aa	Hå	Hå	4	0	2013-07-15 04:01:54.378522+02	\N	\N	\N	\N	\N	\N	f	
14080	ff6e43fd-f9a6-42ad-96a9-d1266c9e7325	Ceccano	Ceccano	4	0	2013-07-21 20:19:27.696867+02	\N	\N	\N	\N	\N	\N	f	
12495	a4cd6a8e-82b4-40e6-afa7-d42c04a5f882	Fræna	Fræna	4	0	2013-07-15 04:04:11.770356+02	\N	\N	\N	\N	\N	\N	f	
12501	73819d73-580f-4906-9d14-18e641535e16	Tranøy	Tranøy	4	0	2013-07-15 04:05:21.379013+02	\N	\N	\N	\N	\N	\N	f	
12531	ccb92f0b-79be-4372-a02b-add9f101d38d	Etne	Etne	4	0	2013-07-15 04:12:04.406556+02	\N	\N	\N	\N	\N	\N	f	
14593	03817b3f-ea92-4a4d-b7c1-d8f8f31c10bf	Mongardino	Mongardino	4	0	2013-07-21 22:12:59.636277+02	\N	\N	\N	\N	\N	\N	f	
16665	99835d3e-76ec-4114-a90a-806b81ef5f74	Mori, Trentino	Mori, Trentino	4	0	2013-07-22 04:04:01.370694+02	\N	\N	\N	\N	\N	\N	f	
15119	ae276ed5-fa71-4092-aba4-b480606c5a9e	Roddino	Roddino	4	0	2013-07-21 23:50:06.507482+02	\N	\N	\N	\N	\N	\N	f	
17597	b9d79c05-6aef-4c0f-9000-ce1365b12ad1	Auronzo di Cadore	Auronzo di Cadore	4	0	2013-07-22 06:47:17.281184+02	\N	\N	\N	\N	\N	\N	f	
15127	fe61433c-3452-4545-85eb-4f023f453be2	Gualdo Tadino	Gualdo Tadino	4	0	2013-07-21 23:51:08.059338+02	\N	\N	\N	\N	\N	\N	f	
17218	81fd068a-bc98-47d7-ad4d-82c800cfb18c	Crosio della Valle	Crosio della Valle	4	0	2013-07-22 05:59:40.546903+02	\N	\N	\N	\N	\N	\N	f	
28033	fa7d3691-ae4a-4f35-8b98-83c0f6c17916	Galva	Galva	3	0	2013-09-08 12:06:28.653496+02	\N	\N	\N	\N	\N	\N	f	
24284	2a54433d-6fb5-4c03-a7c0-9925682c5dc8	Waldo	Waldo	3	0	2013-09-07 05:37:13.670248+02	\N	\N	\N	\N	\N	\N	f	
17261	29d7d5b6-55b7-4797-98cd-099e375f1850	Ossi, Sardinia	Ossi, Sardinia	4	0	2013-07-22 06:05:20.040531+02	\N	\N	\N	\N	\N	\N	f	
19955	547a6f40-4e09-4267-bf6c-6fac0cea09fc	Lagonegro	Lagonegro	4	0	2013-07-22 11:59:25.821773+02	\N	\N	\N	\N	\N	\N	f	
17652	0fd6ed81-1611-49d7-93ca-0f6766ccb59b	Farra d'Alpago	Farra d'Alpago	4	0	2013-07-22 06:53:51.745118+02	\N	\N	\N	\N	\N	\N	f	
17663	85ce6fc0-34c8-4ac3-a28f-5344fe821a47	Vergiate	Vergiate	4	0	2013-07-22 06:55:04.56699+02	\N	\N	\N	\N	\N	\N	f	
18512	b90bea93-4972-4531-a7cf-a083c7a5e6fa	Pozzoleone	Pozzoleone	4	0	2013-07-22 08:40:19.701558+02	\N	\N	\N	\N	\N	\N	f	
20678	37f92d47-d948-4b16-baaf-d6d2e29954e8	Fontanarosa	Fontanarosa	4	0	2013-07-23 08:42:31.697672+02	\N	\N	\N	\N	\N	\N	f	
19531	c03b0ab7-de6d-4ff1-a1b3-8e57f5d4f861	Castellalto	Castellalto	4	0	2013-07-22 10:46:31.477275+02	\N	\N	\N	\N	\N	\N	f	
19563	0f9d07e5-3c22-4dc9-b9a8-3e6492cf4b2e	Putignano	Putignano	4	0	2013-07-22 10:52:11.640766+02	\N	\N	\N	\N	\N	\N	f	
26018	bc6001e9-ef17-4780-b4b4-b74730ca8b1a	Norcatur, Kansas	Norcatur, Kansas	3	0	2013-09-07 17:47:32.540233+02	\N	\N	\N	\N	\N	\N	f	
19577	3e633a19-d044-4437-921a-b7360b8506bb	San Pancrazio Salentino	San Pancrazio Salentino	4	0	2013-07-22 10:55:52.494195+02	\N	\N	\N	\N	\N	\N	f	
20773	f6d415b2-ed18-4e2f-9534-3a4c94ac4fb7	Campolattaro	Campolattaro	4	0	2013-07-23 11:41:08.588+02	\N	\N	\N	\N	\N	\N	f	
24823	9e211ab7-1281-472b-bb3d-065e54eff4a1	Coralville	Coralville	3	0	2013-09-07 08:44:38.126621+02	\N	\N	\N	\N	\N	\N	f	
20880	d43fb238-1e4c-4aa2-bf22-cb764d869041	Camigliano	Camigliano	4	0	2013-07-23 14:43:06.651671+02	\N	\N	\N	\N	\N	\N	f	
20881	2aa0a255-d7cd-407e-a030-cf4d265cdbe1	Carinaro	Carinaro	4	0	2013-07-23 14:43:18.399774+02	\N	\N	\N	\N	\N	\N	f	
20895	4db391a8-3e42-4a66-ad34-9f82275b3f39	Casaluce	Casaluce	4	0	2013-07-23 14:47:24.768108+02	\N	\N	\N	\N	\N	\N	f	
24828	9a0231f0-b154-41c0-81c6-d396a9885606	Mitchellville	Mitchellville	3	0	2013-09-07 08:45:50.044012+02	\N	\N	\N	\N	\N	\N	f	
27004	ab1ce1b4-2ffb-4012-abd2-4ed7eae3621b	Moline Acres	Moline Acres	3	0	2013-09-08 04:22:39.382418+02	\N	\N	\N	\N	\N	\N	f	
24841	d77c9b20-88f7-4d99-8d9e-5d3debe1f209	Protivin	Protivin	3	0	2013-09-07 08:48:58.370019+02	\N	\N	\N	\N	\N	\N	f	
23861	dd80acf0-279d-42c8-8935-f756b4404ace	Perrytown	Perrytown	3	0	2013-09-06 20:39:13.181699+02	\N	\N	\N	\N	\N	\N	f	
23868	0fb31fea-5775-4019-803c-369b70068e06	Brinkley	Brinkley	3	0	2013-09-06 20:40:56.061469+02	\N	\N	\N	\N	\N	\N	f	
26065	5ceb279c-52d9-495e-93d8-28f03ac912c4	Frontenac, Kansas	Frontenac, Kansas	3	0	2013-09-07 18:01:10.474313+02	\N	\N	\N	\N	\N	\N	f	
23907	dc6ce979-2ccc-40bb-b14a-e366b2f4e132	San Marino	San Marino	3	0	2013-09-06 20:51:59.360602+02	\N	\N	\N	\N	\N	\N	f	
25339	dd97083d-c79e-47e8-90a2-6f5cef444fa8	Ryland Heights, Kentucky	Ryland Heights, Kentucky	3	0	2013-09-07 11:24:22.819257+02	\N	\N	\N	\N	\N	\N	f	
23958	a31de56d-32c7-488a-9ccb-176a4b9634c1	DeBary	DeBary	3	0	2013-09-06 23:29:35.347106+02	\N	\N	\N	\N	\N	\N	f	
24058	82e06940-40bd-4ee1-8cf8-09a5587cfa1f	East Hope	East Hope	3	0	2013-09-07 02:26:45.273343+02	\N	\N	\N	\N	\N	\N	f	
24063	3fe67268-0a4f-4185-9bdd-52428e2fdf37	Warm River	Warm River	3	0	2013-09-07 02:28:10.297196+02	\N	\N	\N	\N	\N	\N	f	
24268	d7fc6a6d-2af5-446a-b837-b9efaf0276ed	Canon, Georgia	Canon, Georgia	3	0	2013-09-07 05:33:23.45688+02	\N	\N	\N	\N	\N	\N	f	
25859	8c0e931d-c946-49b6-a85b-4ca72f124b59	Dycusburg, Kentucky	Dycusburg, Kentucky	3	0	2013-09-07 14:58:06.505839+02	\N	\N	\N	\N	\N	\N	f	
26070	f9a0f353-b433-4a7a-aba9-f87e409137c9	Warfield, Kentucky	Warfield, Kentucky	3	0	2013-09-07 18:02:25.134286+02	\N	\N	\N	\N	\N	\N	f	
25912	e7212786-538e-4b2b-ac9a-e2cb6a535b58	Merriam, Kansas	Merriam, Kansas	3	0	2013-09-07 15:11:40.54663+02	\N	\N	\N	\N	\N	\N	f	
25949	19a0dad1-348a-4ccb-a1d2-50ac7b968d15	Flowood	Flowood	3	0	2013-09-07 17:28:39.484002+02	\N	\N	\N	\N	\N	\N	f	
26289	52f735eb-e4a0-4668-9e27-562aca9a10bc	Wildwood, Missouri	Wildwood, Missouri	3	0	2013-09-07 21:08:36.204609+02	\N	\N	\N	\N	\N	\N	f	
27370	ef4d2271-29c9-4dba-8394-a2d2f2827b30	Courtenay, North Dakota	Courtenay, North Dakota	3	0	2013-09-08 07:40:26.193214+02	\N	\N	\N	\N	\N	\N	f	
26590	fc2f2e83-8edb-458c-85a1-4566735c7a14	Bliss, Idaho	Bliss, Idaho	3	0	2013-09-08 01:16:14.556313+02	\N	\N	\N	\N	\N	\N	f	
26995	489f4de2-7fed-40a0-9f76-efe4dc3414a6	Waco	Waco	3	0	2013-09-08 04:20:27.733177+02	\N	\N	\N	\N	\N	\N	f	
27390	fbac5738-9945-4d35-92cb-0e0a0bd66642	Grandview Heights, Ohio	Grandview Heights, Ohio	3	0	2013-09-08 07:45:08.626076+02	\N	\N	\N	\N	\N	\N	f	
27694	1ba9d0d8-7595-4da0-87e3-13db2b8c12f9	Bethany, Oklahoma	Bethany, Oklahoma	3	0	2013-09-08 09:27:11.537183+02	\N	\N	\N	\N	\N	\N	f	
28282	26009185-c666-4f48-a807-fba68fd5f284	Loudon, Tennessee	Loudon, Tennessee	3	0	2013-09-08 16:39:15.197553+02	\N	\N	\N	\N	\N	\N	f	
28041	eb2bb198-1b40-42da-b70f-c0589db273eb	St. Ansgar	St. Ansgar	3	0	2013-09-08 12:09:24.437369+02	\N	\N	\N	\N	\N	\N	f	
28047	2ce0da46-7ffb-46e8-8c59-9b74ea30b5f0	East Cleveland	East Cleveland	3	0	2013-09-08 12:11:23.405853+02	\N	\N	\N	\N	\N	\N	f	
28262	650e0a8e-d814-4960-a764-9c28f55dc96a	Avon, South Dakota	Avon, South Dakota	3	0	2013-09-08 15:48:09.470142+02	\N	\N	\N	\N	\N	\N	f	
28464	0846e1ad-70cc-47f6-a0ef-3a326a551412	Bertram	Bertram	3	0	2013-09-08 17:40:56.614741+02	\N	\N	\N	\N	\N	\N	f	
28696	151b9286-d81c-4810-82e7-717a42d07be5	Huntington	Huntington	3	0	2013-09-08 23:33:12.797921+02	\N	\N	\N	\N	\N	\N	f	
28744	ef9c101c-50e0-4a44-989d-2f7d7b2a0e8a	Sunrise Beach Village, Texas	Sunrise Beach Village, Texas	3	0	2013-09-08 23:47:08.545317+02	\N	\N	\N	\N	\N	\N	f	
28906	03d60e9d-35b5-46b6-b783-23cfd198fa1a	Bonney Lake, Washington	Bonney Lake, Washington	3	0	2013-09-09 01:21:55.221562+02	\N	\N	\N	\N	\N	\N	f	
28945	5aa72a64-fdf8-4ca7-8708-c740419c1da3	Wimberley	Wimberley	3	0	2013-09-09 01:36:18.437879+02	\N	\N	\N	\N	\N	\N	f	
28951	66fc44e7-0042-4c00-bb9f-3e1aec2f0b56	Spur	Spur	3	0	2013-09-09 01:37:57.667089+02	\N	\N	\N	\N	\N	\N	f	
28963	fa3d4d05-c21e-492b-a5a9-235aacff2dd7	Farwell	Farwell	3	0	2013-09-09 01:41:22.10535+02	\N	\N	\N	\N	\N	\N	f	
29210	02178e3b-2935-41db-b848-5a0e8c59a251	Lakewood	Lakewood	3	0	2013-09-09 03:07:26.607927+02	\N	\N	\N	\N	\N	\N	f	
12379	4bec6d29-62fd-41e8-9dd8-d198e869ef8e	Modalen	Modalen	4	0	2013-07-15 03:38:19.178967+02	\N	\N	\N	\N	\N	\N	f	
14037	d5bd3529-42ff-4436-9e60-81fa90f695d3	Campoli Appennino	Campoli Appennino	4	0	2013-07-21 20:10:18.532294+02	\N	\N	\N	\N	\N	\N	f	
14174	76cab6f8-83f0-4232-9d38-870c4f26292d	Aprilia, Lazio	Aprilia, Lazio	4	0	2013-07-21 20:40:00.186491+02	\N	\N	\N	\N	\N	\N	f	
15780	88b0740c-99e5-4d65-9253-99f4c1cdc6a8	Bregnano	Bregnano	4	0	2013-07-22 02:00:53.529068+02	\N	\N	\N	\N	\N	\N	f	
14594	0a85070a-9d3d-4afd-9d6d-2bb917befdbb	Loazzolo	Loazzolo	4	0	2013-07-21 22:13:11.929012+02	\N	\N	\N	\N	\N	\N	f	
15325	c02f2e6b-ac9d-497c-9f00-e4a3464a2a3a	Piagge	Piagge	4	0	2013-07-22 00:20:22.699131+02	\N	\N	\N	\N	\N	\N	f	
16667	10598c02-face-4086-bb9d-b98239d02644	Sarule	Sarule	4	0	2013-07-22 04:04:31.962769+02	\N	\N	\N	\N	\N	\N	f	
15384	4ac1c8b5-8ee6-4564-9f7e-e96b44286d78	Pietrasanta	Pietrasanta	4	0	2013-07-22 00:33:14.749674+02	\N	\N	\N	\N	\N	\N	f	
17601	43f2b11a-9c85-4927-a1a2-43e46d322377	La Valle Agordina	La Valle Agordina	4	0	2013-07-22 06:47:43.923175+02	\N	\N	\N	\N	\N	\N	f	
16668	a048539d-3a63-4f8b-bb6d-fec5aeeada80	Pomarolo	Pomarolo	4	0	2013-07-22 04:04:53.974196+02	\N	\N	\N	\N	\N	\N	f	
16747	748aeed4-0cd8-4a74-a01d-50ea84df6428	Cardedu	Cardedu	4	0	2013-07-22 04:26:30.107941+02	\N	\N	\N	\N	\N	\N	f	
24060	90c40db2-e6fb-445c-9ae1-cda2664a1295	Newdale	Newdale	3	0	2013-09-07 02:27:18.418489+02	\N	\N	\N	\N	\N	\N	f	
16815	07b406d7-e026-48e3-a74e-09e6be2cffa3	Merlara	Merlara	4	0	2013-07-22 04:43:44.969436+02	\N	\N	\N	\N	\N	\N	f	
18526	ef9a3d4d-c3c2-44eb-83e7-f9f68c7b0391	Barbarano Vicentino	Barbarano Vicentino	4	0	2013-07-22 08:42:18.725801+02	\N	\N	\N	\N	\N	\N	f	
17219	846dfa8c-b89e-41ca-84d2-80a3a3adf00c	Esporlatu	Esporlatu	4	0	2013-07-22 05:59:51.630559+02	\N	\N	\N	\N	\N	\N	f	
19956	54ae9457-48cc-4eab-883c-8a38ca6c4367	Lauria	Lauria	4	0	2013-07-22 11:59:39.710069+02	\N	\N	\N	\N	\N	\N	f	
18628	84722942-3894-4ea5-973f-97d55bba6098	Cassola	Cassola	4	0	2013-07-22 08:54:29.627352+02	\N	\N	\N	\N	\N	\N	f	
18651	0ed58143-66ca-4c4b-98f7-7dd389aa4890	Fiesso d'Artico	Fiesso d'Artico	4	0	2013-07-22 08:57:29.890858+02	\N	\N	\N	\N	\N	\N	f	
24270	95b30257-143b-4484-abf8-c42b98ad6506	Wrens, Georgia	Wrens, Georgia	3	0	2013-09-07 05:33:55.140793+02	\N	\N	\N	\N	\N	\N	f	
18655	1f7d3226-0b94-439e-98b0-2d90929f3706	Sovizzo	Sovizzo	4	0	2013-07-22 08:57:54.000146+02	\N	\N	\N	\N	\N	\N	f	
20679	f81c63c6-8ec6-46f5-aa93-23c73a70b271	Grottolella	Grottolella	4	0	2013-07-23 08:42:43.693225+02	\N	\N	\N	\N	\N	\N	f	
18660	7d2f53f7-8e45-473f-904f-56a833e1cccf	Bardolino	Bardolino	4	0	2013-07-22 08:58:25.419113+02	\N	\N	\N	\N	\N	\N	f	
18702	6b4bbe70-d3d9-40c3-a731-2515f67bcb5c	Lurago d'Erba	Lurago d'Erba	4	0	2013-07-22 09:03:40.3159+02	\N	\N	\N	\N	\N	\N	f	
18739	6d29f1a3-0e7b-4593-9492-85f6531930b4	Grandate	Grandate	4	0	2013-07-22 09:08:27.083615+02	\N	\N	\N	\N	\N	\N	f	
20686	20e7ce9f-0782-4a5a-bec0-981d577cc7a3	Vallesaccarda	Vallesaccarda	4	0	2013-07-23 08:44:22.694619+02	\N	\N	\N	\N	\N	\N	f	
18742	2b097b7a-966e-4414-a6f6-45597e255f4e	Tarzo	Tarzo	4	0	2013-07-22 09:08:47.413059+02	\N	\N	\N	\N	\N	\N	f	
24289	989c51f4-5485-4a4a-aa47-f734d36b41ac	South Bay	South Bay	3	0	2013-09-07 05:38:21.531071+02	\N	\N	\N	\N	\N	\N	f	
19533	f2f3c4e0-300b-4f36-a543-f82b2dedc818	Sant'Egidio alla Vibrata	Sant'Egidio alla Vibrata	4	0	2013-07-22 10:46:45.126342+02	\N	\N	\N	\N	\N	\N	f	
20694	f9366815-9323-4c40-90d9-86eeb3bc41ec	San Nicola Baronia	San Nicola Baronia	4	0	2013-07-23 08:45:59.956742+02	\N	\N	\N	\N	\N	\N	f	
19557	6636efda-69d8-4814-926b-bcaac38a6232	Adelfia	Adelfia	4	0	2013-07-22 10:50:45.18407+02	\N	\N	\N	\N	\N	\N	f	
19575	37b16f84-2b17-4b75-a69b-0f7fcd3e2d5f	Gravina in Puglia	Gravina in Puglia	4	0	2013-07-22 10:55:15.349143+02	\N	\N	\N	\N	\N	\N	f	
24826	90f5c43a-bdb6-431e-9b79-70f3400952ce	Polk City	Polk City	3	0	2013-09-07 08:45:21.070942+02	\N	\N	\N	\N	\N	\N	f	
20775	3558a550-076a-4887-9b58-721f35c205d7	San Giorgio del Sannio	San Giorgio del Sannio	4	0	2013-07-23 11:41:48.788542+02	\N	\N	\N	\N	\N	\N	f	
20790	74bf224e-4ae0-465c-938b-f9a82049aac1	Appignano del Tronto	Appignano del Tronto	4	0	2013-07-23 11:44:49.60935+02	\N	\N	\N	\N	\N	\N	f	
26603	95dba784-c8a6-47f1-b5dd-b5d2a6a8eff2	Urbana, Iowa	Urbana, Iowa	3	0	2013-09-08 01:19:30.065325+02	\N	\N	\N	\N	\N	\N	f	
20816	7fbfc51e-61b0-40a6-8ecc-f7b16d53eb36	Paupisi	Paupisi	4	0	2013-07-23 11:51:13.067219+02	\N	\N	\N	\N	\N	\N	f	
25340	833a61d6-fc91-434c-add1-424e08272adb	Hurstbourne, Kentucky	Hurstbourne, Kentucky	3	0	2013-09-07 11:24:36.237723+02	\N	\N	\N	\N	\N	\N	f	
20885	90c32b5c-91a9-43bf-98df-50aebed8e526	Bellona	Bellona	4	0	2013-07-23 14:44:27.347224+02	\N	\N	\N	\N	\N	\N	f	
25351	4f3f1c8f-2efc-46e6-bf75-bf2b12cc4458	Castana	Castana	3	0	2013-09-07 11:29:06.495958+02	\N	\N	\N	\N	\N	\N	f	
23862	961993d7-05e4-4168-ba5a-534ddc6e7beb	Wrightsville	Wrightsville	3	0	2013-09-06 20:39:27.354949+02	\N	\N	\N	\N	\N	\N	f	
23876	18d77f3a-0f67-4f4c-9057-4768047d74cf	Fulton	Fulton	3	0	2013-09-06 20:42:51.762646+02	\N	\N	\N	\N	\N	\N	f	
27395	fa3936d9-0899-4a1e-a4a9-3c1587893990	Bathgate, North Dakota	Bathgate, North Dakota	3	0	2013-09-08 07:46:23.580119+02	\N	\N	\N	\N	\N	\N	f	
23898	8f72a769-843d-499d-84ce-f0c2e59197b4	Wynne	Wynne	3	0	2013-09-06 20:49:22.354551+02	\N	\N	\N	\N	\N	\N	f	
25861	30fde34f-3435-454d-8beb-8e61f32896d9	Zenda, Kansas	Zenda, Kansas	3	0	2013-09-07 14:58:37.670157+02	\N	\N	\N	\N	\N	\N	f	
23959	13bc2e18-ea1e-4044-9eff-803fd934d577	Dade City	Dade City	3	0	2013-09-06 23:29:53.887674+02	\N	\N	\N	\N	\N	\N	f	
23965	89836f57-6568-4d8d-85db-60cd7d1692df	Tehama, California	Tehama, California	3	0	2013-09-06 23:31:29.486747+02	\N	\N	\N	\N	\N	\N	f	
26997	0b4a58bc-0143-4765-bd7d-27c6d754e0cc	Chillicothe	Chillicothe	3	0	2013-09-08 04:20:57.254427+02	\N	\N	\N	\N	\N	\N	f	
25867	f1e423a2-8fb6-4df1-8caf-2f120d674701	Culver, Kansas	Culver, Kansas	3	0	2013-09-07 15:00:06.956309+02	\N	\N	\N	\N	\N	\N	f	
25950	8ee2ef2b-3d09-4f0f-89ed-e186f5136344	Fenton, Michigan	Fenton, Michigan	3	0	2013-09-07 17:28:57.778027+02	\N	\N	\N	\N	\N	\N	f	
26290	c41cfe80-3d68-4632-9409-21cb9132beda	Plymouth Village, Kentucky	Plymouth Village, Kentucky	3	0	2013-09-07 21:08:58.473198+02	\N	\N	\N	\N	\N	\N	f	
26594	a884e586-65fb-45d4-a8a0-4a7ca0f48f0a	Washington, Missouri	Washington, Missouri	3	0	2013-09-08 01:17:13.252412+02	\N	\N	\N	\N	\N	\N	f	
27001	d4245f25-5c1c-4610-a3cc-7daa4f904cc5	Lake St. Louis	Lake St. Louis	3	0	2013-09-08 04:21:54.728454+02	\N	\N	\N	\N	\N	\N	f	
27397	8768c72e-38d2-4300-b26e-5890424e606e	Knox, North Dakota	Knox, North Dakota	3	0	2013-09-08 07:46:51.52446+02	\N	\N	\N	\N	\N	\N	f	
27032	c7f8ce83-ef12-4e67-aa50-c6e725af7208	Red Cloud	Red Cloud	3	0	2013-09-08 04:29:39.75103+02	\N	\N	\N	\N	\N	\N	f	
27373	f7a16a06-691a-4cdf-bab4-3938730ea364	Buffalo, North Dakota	Buffalo, North Dakota	3	0	2013-09-08 07:41:07.590721+02	\N	\N	\N	\N	\N	\N	f	
28034	bb0af2e9-6ae0-4c4f-b729-c8d6444d6380	Long Branch	Long Branch	3	0	2013-09-08 12:06:52.535207+02	\N	\N	\N	\N	\N	\N	f	
27695	e69f5c36-3d85-4bf6-ad4d-20619acf9c37	Worthington	Worthington	3	0	2013-09-08 09:27:30.000564+02	\N	\N	\N	\N	\N	\N	f	
28263	00ea0568-9c47-4df3-8042-a77952abfd8e	Egan, South Dakota	Egan, South Dakota	3	0	2013-09-08 15:50:44.724615+02	\N	\N	\N	\N	\N	\N	f	
27707	f842b275-a83f-4618-a74c-4c33537fabd0	Willowick, Ohio	Willowick, Ohio	3	0	2013-09-08 09:30:37.860872+02	\N	\N	\N	\N	\N	\N	f	
28062	3359bcae-f1f8-48f0-8e9f-173e9c750385	Kashira	Kashira	3	0	2013-09-08 12:19:11.637421+02	\N	\N	\N	\N	\N	\N	f	
28465	0fd94578-bc28-47de-8185-e90436b27c09	Appleby	Appleby	3	0	2013-09-08 17:41:13.147789+02	\N	\N	\N	\N	\N	\N	f	
28283	dd47aeb5-6c96-46a4-b416-0bf51c2fc45e	Decherd, Tennessee	Decherd, Tennessee	3	0	2013-09-08 16:39:34.778404+02	\N	\N	\N	\N	\N	\N	f	
28697	084803aa-c9fe-4345-a199-39f60699a7b4	Coleman	Coleman	3	0	2013-09-08 23:33:28.385395+02	\N	\N	\N	\N	\N	\N	f	
28703	e9f1359b-5516-4048-8cf2-13852dfdc08e	Mansfield	Mansfield	3	0	2013-09-08 23:35:02.36142+02	\N	\N	\N	\N	\N	\N	f	
28907	4a09d9a7-5c89-42bb-8e35-177ee31ca084	Battle Ground, Washington	Battle Ground, Washington	3	0	2013-09-09 01:23:25.03971+02	\N	\N	\N	\N	\N	\N	f	
28986	d312f601-ce33-4ea1-8659-c8a1bdb32b92	Chico	Chico	3	0	2013-09-09 01:47:54.611561+02	\N	\N	\N	\N	\N	\N	f	
29213	fc4ded12-fdc2-4704-9017-2ac6e5b1c881	Hoquiam	Hoquiam	3	0	2013-09-09 03:08:21.435141+02	\N	\N	\N	\N	\N	\N	f	
28999	74b0290a-e4fa-46c7-83a9-279ba5096f15	Lueders	Lueders	3	0	2013-09-09 01:51:36.899716+02	\N	\N	\N	\N	\N	\N	f	
29314	52c08e65-c363-4bc5-b695-04cb0361fe89	Buffalo City	Buffalo City	3	0	2013-09-09 05:24:46.5184+02	\N	\N	\N	\N	\N	\N	f	
29316	92b0811d-5eb4-4617-a9a0-c0df13e0ab37	Elroy	Elroy	3	0	2013-09-09 05:25:13.498316+02	\N	\N	\N	\N	\N	\N	f	
12380	400a1732-3a49-4ae5-b321-179d4ef80e09	Askøy	Askøy	4	0	2013-07-15 03:38:42.376547+02	\N	\N	\N	\N	\N	\N	f	
12381	d82bf2e6-e0af-42f8-baba-8b9ce3d7c4db	Stjørdal	Stjørdal	4	0	2013-07-15 03:38:53.734153+02	\N	\N	\N	\N	\N	\N	f	
12399	4a40eb32-d38a-457b-8ec8-874297df5dac	Tinn	Tinn	4	0	2013-07-15 03:42:34.024363+02	\N	\N	\N	\N	\N	\N	f	
14038	8308cfd9-ecb0-4ed7-8892-270af4395d64	Pofi	Pofi	4	0	2013-07-21 20:10:30.150974+02	\N	\N	\N	\N	\N	\N	f	
12430	de53be0f-b743-481c-aa84-8eecacfc555c	Marnardal	Marnardal	4	0	2013-07-15 03:50:59.908698+02	\N	\N	\N	\N	\N	\N	f	
12431	d216c003-e127-4c2f-b8d7-7b4c01b5f148	Leksvik	Leksvik	4	0	2013-07-15 03:51:19.294079+02	\N	\N	\N	\N	\N	\N	f	
12444	f186000a-79a3-40b7-ac02-1e8c9506b5fa	Råde	Råde	4	0	2013-07-15 03:54:18.590295+02	\N	\N	\N	\N	\N	\N	f	
14050	f7568652-f4a5-42e4-aaec-e0704e78aa6a	Fontechiari	Fontechiari	4	0	2013-07-21 20:12:57.597911+02	\N	\N	\N	\N	\N	\N	f	
12458	a5858aa9-bcc1-43f5-933b-5e24ad7d4b33	Lødingen	Lødingen	4	0	2013-07-15 03:57:06.465243+02	\N	\N	\N	\N	\N	\N	f	
12475	3702ed3e-73f5-480a-9e7d-e3215ec10c08	Bjugn	Bjugn	4	0	2013-07-15 04:00:22.206765+02	\N	\N	\N	\N	\N	\N	f	
15781	f9010c0f-0f8b-4734-aa5f-4737f712b35a	Bieno	Bieno	4	0	2013-07-22 02:01:12.383937+02	\N	\N	\N	\N	\N	\N	f	
14133	d901e5dd-34b3-4ab3-b290-86443b768b9e	Castelfidardo	Castelfidardo	4	0	2013-07-21 20:30:38.617708+02	\N	\N	\N	\N	\N	\N	f	
14221	83dd4a90-41fb-4770-8e93-2dc51f835f97	Barletta	Barletta	4	0	2013-07-21 20:49:53.211648+02	\N	\N	\N	\N	\N	\N	f	
14242	fe0ff126-06ef-4d06-88ab-699185555a7a	Taranto	Taranto	4	0	2013-07-21 20:54:08.822657+02	\N	\N	\N	\N	\N	\N	f	
16671	eed882cc-a571-4c9e-ad87-f28793b500a2	Prezzo	Prezzo	4	0	2013-07-22 04:05:42.419948+02	\N	\N	\N	\N	\N	\N	f	
14247	92607734-97d0-4720-a7e2-777210091a0f	Farnese, Lazio	Farnese, Lazio	4	0	2013-07-21 20:55:34.307746+02	\N	\N	\N	\N	\N	\N	f	
14260	29874a25-d709-4782-a67e-34ad0bd479e5	Selargius	Selargius	4	0	2013-07-21 20:58:41.826033+02	\N	\N	\N	\N	\N	\N	f	
17603	8b3f3fc3-80cb-45f3-acf6-a64ab30d7ef7	Sartirana Lomellina	Sartirana Lomellina	4	0	2013-07-22 06:47:59.088496+02	\N	\N	\N	\N	\N	\N	f	
14278	4bacf028-8160-460c-9c1e-5ba804703f7d	Calcata	Calcata	4	0	2013-07-21 21:03:13.191731+02	\N	\N	\N	\N	\N	\N	f	
17220	6b618b7d-984f-4a76-a6bb-93a9b31f3b25	Bottidda	Bottidda	4	0	2013-07-22 05:59:54.217066+02	\N	\N	\N	\N	\N	\N	f	
14595	5ca8cc48-b7cc-4e4b-b8b5-d53dc6a4f9cd	Chiusano d'Asti	Chiusano d'Asti	4	0	2013-07-21 22:13:26.387666+02	\N	\N	\N	\N	\N	\N	f	
17234	b6cf50bc-56de-4f6a-9537-73c6a81c54fe	Comerio	Comerio	4	0	2013-07-22 06:01:42.562317+02	\N	\N	\N	\N	\N	\N	f	
15145	30b000cb-2285-4d74-91a5-01fcdd874624	Rocca de' Baldi	Rocca de' Baldi	4	0	2013-07-21 23:53:07.580528+02	\N	\N	\N	\N	\N	\N	f	
24273	5a8724db-3f6f-4df5-b3d6-bf799e6d891a	South Daytona	South Daytona	3	0	2013-09-07 05:34:42.800698+02	\N	\N	\N	\N	\N	\N	f	
17245	dd61d181-b868-49c6-b2af-b302e3bb6d6d	Postalesio	Postalesio	4	0	2013-07-22 06:03:04.370709+02	\N	\N	\N	\N	\N	\N	f	
15209	137ab73d-a32f-4f1b-9dba-d5a9db60132a	Sanfront	Sanfront	4	0	2013-07-22 00:00:40.027669+02	\N	\N	\N	\N	\N	\N	f	
25387	07c0c024-c2a9-4c9c-9223-4ae4b2fd1bd9	Herndon, Kansas	Herndon, Kansas	3	0	2013-09-07 11:38:19.889935+02	\N	\N	\N	\N	\N	\N	f	
24294	00683546-aad0-4f21-b678-529ec0cf8890	Groveland	Groveland	3	0	2013-09-07 05:39:35.176354+02	\N	\N	\N	\N	\N	\N	f	
15229	6466aeb4-9f61-4006-af16-6ef2ae844953	Torresina	Torresina	4	0	2013-07-22 00:03:26.461125+02	\N	\N	\N	\N	\N	\N	f	
19960	0c1a00ad-926e-4be8-94a0-c03484bf2a42	Missanello	Missanello	4	0	2013-07-22 12:00:13.443605+02	\N	\N	\N	\N	\N	\N	f	
15270	d1818b39-5003-47f8-b626-aaf791fd3c79	Torre Mondovì	Torre Mondovì	4	0	2013-07-22 00:08:05.63386+02	\N	\N	\N	\N	\N	\N	f	
17662	02d9df59-57fb-44c5-b9de-d8371623267d	Mantello	Mantello	4	0	2013-07-22 06:55:03.154993+02	\N	\N	\N	\N	\N	\N	f	
17714	dcb61503-0610-47f8-b362-c99b27305cd1	Certosa di Pavia	Certosa di Pavia	4	0	2013-07-22 07:01:53.753199+02	\N	\N	\N	\N	\N	\N	f	
17751	94f684d5-da04-4b18-a324-4090084301d2	Gornate-Olona	Gornate-Olona	4	0	2013-07-22 07:06:18.920494+02	\N	\N	\N	\N	\N	\N	f	
20064	8709e1df-bf86-4802-8710-07175d7ab16a	Staranzano	Staranzano	4	0	2013-07-22 12:14:46.933933+02	\N	\N	\N	\N	\N	\N	f	
18528	9a62dad9-e4c6-431e-bc52-e66b6f0ab21e	Brentino Belluno	Brentino Belluno	4	0	2013-07-22 08:42:34.285882+02	\N	\N	\N	\N	\N	\N	f	
18535	a85dd4ec-7da4-4c4c-bfd2-5df8ce31ea53	Recoaro Terme	Recoaro Terme	4	0	2013-07-22 08:43:16.92212+02	\N	\N	\N	\N	\N	\N	f	
23863	b4fd5e2b-ae80-4579-8388-12b7d9cbf729	Emmet	Emmet	3	0	2013-09-06 20:39:41.528248+02	\N	\N	\N	\N	\N	\N	f	
18636	76b7e41b-e073-4b4d-8879-4241c8b4f1c8	Meolo	Meolo	4	0	2013-07-22 08:55:47.795786+02	\N	\N	\N	\N	\N	\N	f	
20680	3bfe1fb8-4a9f-4227-bd63-107dff8e5b71	Lioni	Lioni	4	0	2013-07-23 08:42:55.699925+02	\N	\N	\N	\N	\N	\N	f	
18644	055a4232-72f5-4fc9-a7c7-b283cba6ad73	Altissimo	Altissimo	4	0	2013-07-22 08:56:38.843464+02	\N	\N	\N	\N	\N	\N	f	
19550	e9c3ecef-eeb5-466e-b0b4-04a5613992b0	Acquaviva delle Fonti	Acquaviva delle Fonti	4	0	2013-07-22 10:49:16.580939+02	\N	\N	\N	\N	\N	\N	f	
19623	0fe6ca29-42a8-4891-a7a4-b95bac39b6d8	Panni	Panni	4	0	2013-07-22 11:06:14.761269+02	\N	\N	\N	\N	\N	\N	f	
20778	15915d87-4603-4a9b-821e-0d8e88d517b3	Vitulano	Vitulano	4	0	2013-07-23 11:42:25.230126+02	\N	\N	\N	\N	\N	\N	f	
19625	9fc354a0-832a-44ed-8561-a434e821fa5d	Manduria	Manduria	4	0	2013-07-22 11:06:40.967778+02	\N	\N	\N	\N	\N	\N	f	
24306	6a8bdb4e-336a-4423-8128-ecda8fd4440f	Lawtey	Lawtey	3	0	2013-09-07 05:42:21.878463+02	\N	\N	\N	\N	\N	\N	f	
20787	a6472a7c-0586-4ee3-9e10-14293e68ddd0	Pannarano	Pannarano	4	0	2013-07-23 11:44:13.603516+02	\N	\N	\N	\N	\N	\N	f	
23961	321c9e09-a93c-49cc-9ead-008570cacfc2	Belleair Bluffs	Belleair Bluffs	3	0	2013-09-06 23:30:24.845023+02	\N	\N	\N	\N	\N	\N	f	
20794	0d4c444e-9095-411f-af59-a7af8a9eb357	Arquata del Tronto	Arquata del Tronto	4	0	2013-07-23 11:45:37.511503+02	\N	\N	\N	\N	\N	\N	f	
20887	49acc1d5-4106-462b-b46c-cf41c285df2b	Mondragone	Mondragone	4	0	2013-07-23 14:45:26.351149+02	\N	\N	\N	\N	\N	\N	f	
25894	f26db8cc-83a2-4421-923a-06c392a6e667	Copeland, Kansas	Copeland, Kansas	3	0	2013-09-07 15:07:02.858931+02	\N	\N	\N	\N	\N	\N	f	
20902	52932114-7bf7-4234-9ad7-2cf23dbb9216	Cellole	Cellole	4	0	2013-07-23 14:48:52.079779+02	\N	\N	\N	\N	\N	\N	f	
25399	5b405654-cf77-4a45-a791-a786f4b15f79	Frenchburg, Kentucky	Frenchburg, Kentucky	3	0	2013-09-07 11:41:05.687214+02	\N	\N	\N	\N	\N	\N	f	
24308	d0d2c05a-63d8-484b-80c7-852a560ddd88	Rutledge, Georgia	Rutledge, Georgia	3	0	2013-09-07 05:42:49.278601+02	\N	\N	\N	\N	\N	\N	f	
24829	5d6d2555-0bda-4049-b407-b42bd8680a6e	Alta Vista	Alta Vista	3	0	2013-09-07 08:46:04.537639+02	\N	\N	\N	\N	\N	\N	f	
24061	2c54a310-1968-4350-b114-369ce9b2b4c5	Mud Lake	Mud Lake	3	0	2013-09-07 02:27:33.566633+02	\N	\N	\N	\N	\N	\N	f	
25341	87bcde5a-7c05-4191-baa9-cec177c92b52	Blairsburg	Blairsburg	3	0	2013-09-07 11:25:55.570575+02	\N	\N	\N	\N	\N	\N	f	
25862	c7a024bd-f630-4b4c-b969-fc6cc20e206b	Miltonvale, Kansas	Miltonvale, Kansas	3	0	2013-09-07 14:58:52.651222+02	\N	\N	\N	\N	\N	\N	f	
25870	f119d5d8-80e5-4c49-9a7c-10cff6810302	La Center, Kentucky	La Center, Kentucky	3	0	2013-09-07 15:00:54.942859+02	\N	\N	\N	\N	\N	\N	f	
25951	beb0eae1-40c3-4e94-b68f-a06d1ad8a089	Magnolia, Mississippi	Magnolia, Mississippi	3	0	2013-09-07 17:29:11.867564+02	\N	\N	\N	\N	\N	\N	f	
26294	665805d2-1c57-41d8-a561-06b397deb434	Pittsfield	Pittsfield	3	0	2013-09-07 21:10:07.744209+02	\N	\N	\N	\N	\N	\N	f	
26312	156ca867-6674-4bae-9be9-2b4a60ced500	Haverhill	Haverhill	3	0	2013-09-07 21:15:07.31885+02	\N	\N	\N	\N	\N	\N	f	
26596	0692f278-446f-4e4c-8b67-9fc759256eff	Franklin, Georgia	Franklin, Georgia	3	0	2013-09-08 01:17:45.223802+02	\N	\N	\N	\N	\N	\N	f	
26389	598e5ee1-07a7-4980-98ec-76a17fe79b10	Arcola	Arcola	3	0	2013-09-07 23:42:46.866596+02	\N	\N	\N	\N	\N	\N	f	
27000	71e7e74a-9c0b-4430-acd6-57b9c8289899	Sarcoxie	Sarcoxie	3	0	2013-09-08 04:21:40.03706+02	\N	\N	\N	\N	\N	\N	f	
27377	d32be40c-28aa-4d79-9d1a-81adf11fb554	Wishek, North Dakota	Wishek, North Dakota	3	0	2013-09-08 07:42:06.817381+02	\N	\N	\N	\N	\N	\N	f	
27070	b12f22a4-538a-4dd5-b6b1-e2936c0f632d	Warson Woods	Warson Woods	3	0	2013-09-08 04:39:45.44696+02	\N	\N	\N	\N	\N	\N	f	
27697	5fa6da9d-8571-4d83-8085-e3b8edfa1adc	Commerce	Commerce	3	0	2013-09-08 09:28:07.041008+02	\N	\N	\N	\N	\N	\N	f	
28036	fd94a860-4902-41ae-bff9-7a2b0918fb14	Dexter	Dexter	3	0	2013-09-08 12:07:38.548826+02	\N	\N	\N	\N	\N	\N	f	
28057	9d2197c7-8bbc-4a00-899f-63579ae42533	Golitsyno	Golitsyno	3	0	2013-09-08 12:17:38.088796+02	\N	\N	\N	\N	\N	\N	f	
28068	8fdd5893-9c47-45f7-b193-c703e397de47	Suzdal	Suzdal	3	0	2013-09-08 12:21:10.627735+02	\N	\N	\N	\N	\N	\N	f	
12382	342dcb66-a008-4165-b2cd-27a226d78288	Levanger	Levanger	4	0	2013-07-15 03:39:05.174954+02	\N	\N	\N	\N	\N	\N	f	
14039	56160de8-da30-46f5-846b-6d6c3b7c4be7	Collepardo	Collepardo	4	0	2013-07-21 20:10:42.128841+02	\N	\N	\N	\N	\N	\N	f	
14041	1db7f450-8656-4fd0-a53d-609ff9317fa9	Cervaro	Cervaro	4	0	2013-07-21 20:11:08.920613+02	\N	\N	\N	\N	\N	\N	f	
15782	a7a87a61-f65a-41a2-97a2-a0249fdf2c1b	Brunate	Brunate	4	0	2013-07-22 02:01:30.15284+02	\N	\N	\N	\N	\N	\N	f	
14597	7e2c5825-f30a-4b73-ad46-b906e7dd9125	Costigliole d'Asti	Costigliole d'Asti	4	0	2013-07-21 22:13:51.962197+02	\N	\N	\N	\N	\N	\N	f	
14729	fd9a238c-7f17-4fca-badf-36eef46dea63	Tollegno	Tollegno	4	0	2013-07-21 22:43:10.395578+02	\N	\N	\N	\N	\N	\N	f	
14774	3d3a1079-c4d8-4fe5-8ea4-e025e3d696dd	Bagnolo Piemonte	Bagnolo Piemonte	4	0	2013-07-21 22:53:14.405768+02	\N	\N	\N	\N	\N	\N	f	
15804	0904978c-42af-4c70-b3e6-f55f5b7c827c	Cirimido	Cirimido	4	0	2013-07-22 02:06:31.94905+02	\N	\N	\N	\N	\N	\N	f	
15125	0a6c1014-6865-4155-b3bf-3f92017107a4	Città della Pieve	Città della Pieve	4	0	2013-07-21 23:50:55.767479+02	\N	\N	\N	\N	\N	\N	f	
15878	48a7e022-7b7c-46f3-919d-54ded8edeb2b	Oldenico	Oldenico	4	0	2013-07-22 02:23:43.967657+02	\N	\N	\N	\N	\N	\N	f	
16672	42a2723f-bd1d-47b2-aa97-19669504a9e5	Romeno	Romeno	4	0	2013-07-22 04:05:56.565452+02	\N	\N	\N	\N	\N	\N	f	
16725	5f7cc133-21bd-4b35-bf52-80ae2a1da336	Valfloriana	Valfloriana	4	0	2013-07-22 04:20:38.323303+02	\N	\N	\N	\N	\N	\N	f	
18529	d912a6cb-7a4c-4dd8-b49b-ac16313c678c	Meduna di Livenza	Meduna di Livenza	4	0	2013-07-22 08:42:37.078431+02	\N	\N	\N	\N	\N	\N	f	
17221	60499a36-9af6-4d39-919b-ee36f4bfa5cf	Anela	Anela	4	0	2013-07-22 06:00:07.9704+02	\N	\N	\N	\N	\N	\N	f	
17235	c38d818d-76d3-49e3-943d-a350061f884d	Bonorva	Bonorva	4	0	2013-07-22 06:01:54.908987+02	\N	\N	\N	\N	\N	\N	f	
19961	91fc3743-70a4-4b9d-adfc-614453b3e431	Picerno	Picerno	4	0	2013-07-22 12:00:28.24648+02	\N	\N	\N	\N	\N	\N	f	
17274	d4ad419b-df2f-43ed-9d77-31f716d481e8	Tula, Sardinia	Tula, Sardinia	4	0	2013-07-22 06:06:52.481492+02	\N	\N	\N	\N	\N	\N	f	
18544	b1df7276-1aa3-4155-b70b-48b74904853f	Costabissara	Costabissara	4	0	2013-07-22 08:44:20.075152+02	\N	\N	\N	\N	\N	\N	f	
25863	f83e76cc-03cb-4a4c-bd9c-47a4d2d83006	Sabetha	Sabetha	3	0	2013-09-07 14:59:08.202595+02	\N	\N	\N	\N	\N	\N	f	
18639	cd09fdd7-775c-4a09-8a15-a10e082c4135	Enego	Enego	4	0	2013-07-22 08:56:06.742337+02	\N	\N	\N	\N	\N	\N	f	
20017	3528c788-78a6-4a76-a174-527ca8cc7bf0	Grado, Friuli-Venezia Giulia	Grado, Friuli-Venezia Giulia	4	0	2013-07-22 12:08:12.819081+02	\N	\N	\N	\N	\N	\N	f	
18689	9f6565df-6135-41c1-8c8f-1b5f3a7cc9bd	Drezzo	Drezzo	4	0	2013-07-22 09:02:03.072476+02	\N	\N	\N	\N	\N	\N	f	
18698	ff59ecf6-17f9-4aed-8c02-58bb19069ba4	Cordignano	Cordignano	4	0	2013-07-22 09:03:13.033708+02	\N	\N	\N	\N	\N	\N	f	
27387	77d49647-76cb-465e-8a6b-85a9de6e4e51	Aneta, North Dakota	Aneta, North Dakota	3	0	2013-09-08 07:44:27.393623+02	\N	\N	\N	\N	\N	\N	f	
20681	52c9d6f6-8048-4606-9213-cd79acb51e23	Montefusco	Montefusco	4	0	2013-07-23 08:43:07.615688+02	\N	\N	\N	\N	\N	\N	f	
18722	4264a9f5-bec1-4680-8260-bc6a01697b43	San Biagio di Callalta	San Biagio di Callalta	4	0	2013-07-22 09:06:29.092335+02	\N	\N	\N	\N	\N	\N	f	
18743	30d4a624-fa0f-43ab-8228-cf180c2cbe15	Caorle	Caorle	4	0	2013-07-22 09:08:52.805278+02	\N	\N	\N	\N	\N	\N	f	
25952	50de2e4b-4055-407d-95cf-7e12a87d2dbe	Baldwyn, Mississippi	Baldwyn, Mississippi	3	0	2013-09-07 17:29:25.814165+02	\N	\N	\N	\N	\N	\N	f	
19552	6e8d9c9f-e4fa-45f9-9d43-d67fbba22196	Mola di Bari	Mola di Bari	4	0	2013-07-22 10:49:43.095417+02	\N	\N	\N	\N	\N	\N	f	
20782	ce564bdd-aa9b-4569-91da-9ff11f238efa	San Bartolomeo in Galdo	San Bartolomeo in Galdo	4	0	2013-07-23 11:43:13.284273+02	\N	\N	\N	\N	\N	\N	f	
20889	5592e38e-249c-4839-aa79-8dcf1e6f010f	Grazzanise	Grazzanise	4	0	2013-07-23 14:46:03.06266+02	\N	\N	\N	\N	\N	\N	f	
26297	981076a2-a020-443d-9eea-994898de5015	Vilhelmina Municipality	Vilhelmina Municipality	4	0	2013-09-07 21:10:57.129551+02	\N	\N	\N	\N	\N	\N	f	
23864	32f9d96e-926d-4808-843b-7931b24dd123	Marshall	Marshall	3	0	2013-09-06 20:39:55.12812+02	\N	\N	\N	\N	\N	\N	f	
23962	b95887fd-a97a-44c4-8a0b-c9336ac2a0e8	Chipley	Chipley	3	0	2013-09-06 23:30:38.609537+02	\N	\N	\N	\N	\N	\N	f	
24064	092ec56b-756a-4d54-858d-9e4f4a2e1d45	State Line	State Line	3	0	2013-09-07 02:28:25.026946+02	\N	\N	\N	\N	\N	\N	f	
26316	6508b5c6-869f-41ac-8757-ea1ba75d1a1c	Minden, Nebraska	Minden, Nebraska	3	0	2013-09-07 23:18:55.917396+02	\N	\N	\N	\N	\N	\N	f	
24279	9449ddac-b706-46c5-a468-a86785730017	Umatilla	Umatilla	3	0	2013-09-07 05:36:04.722727+02	\N	\N	\N	\N	\N	\N	f	
24288	a14b7daf-c6a2-442e-8b2e-0e46039a972b	Winter Garden	Winter Garden	3	0	2013-09-07 05:38:07.857521+02	\N	\N	\N	\N	\N	\N	f	
27698	c7a2a80b-166e-4d90-b036-e47888903046	Marietta	Marietta	3	0	2013-09-08 09:28:20.421616+02	\N	\N	\N	\N	\N	\N	f	
24831	d666d7b9-38b1-4ea5-9c36-7d1c0737bdc2	Delta	Delta	3	0	2013-09-07 08:46:33.831069+02	\N	\N	\N	\N	\N	\N	f	
26357	8a497b46-bd6e-44cd-809a-c4626d948415	Cunningham, Kansas	Cunningham, Kansas	3	0	2013-09-07 23:34:29.573476+02	\N	\N	\N	\N	\N	\N	f	
25348	a0142ee6-2423-4f9e-b1b8-0e740caef137	Central City	Central City	3	0	2013-09-07 11:28:16.585919+02	\N	\N	\N	\N	\N	\N	f	
25394	8feae846-5a41-4e4b-966f-d8bd6da267e0	South Park View, Kentucky	South Park View, Kentucky	3	0	2013-09-07 11:39:58.578322+02	\N	\N	\N	\N	\N	\N	f	
28466	59038b2d-d021-4acf-8f83-c7e6961d2733	Balmorhea	Balmorhea	3	0	2013-09-08 17:41:35.718548+02	\N	\N	\N	\N	\N	\N	f	
26597	df829acb-142f-417a-9e2d-ea6bbce29f6b	Eudora, Kansas	Eudora, Kansas	3	0	2013-09-08 01:17:59.821614+02	\N	\N	\N	\N	\N	\N	f	
27793	3ed662dd-4f03-4316-b334-027ec926cdfc	Miami	Miami	3	0	2013-09-08 09:59:09.648089+02	\N	\N	\N	\N	\N	\N	f	
27005	6ab4eb03-e2ea-4aa5-9751-c775fd166276	Mokane	Mokane	3	0	2013-09-08 04:22:54.225855+02	\N	\N	\N	\N	\N	\N	f	
29640	15bf6817-484b-4e1a-925e-ba04a9b91d49	Diekirch	Diekirch	3	0	2013-10-11 20:20:48.220571+02	\N	\N	\N	\N	\N	\N	f	
27378	534fcca9-3434-4318-aa2e-d03a3d90dc84	Pembina, North Dakota	Pembina, North Dakota	3	0	2013-09-08 07:42:20.443088+02	\N	\N	\N	\N	\N	\N	f	
27797	198b00c0-4a29-4f95-a68e-be21404f96b5	New Hampton	New Hampton	3	0	2013-09-08 10:00:08.691274+02	\N	\N	\N	\N	\N	\N	f	
29215	93ae88ca-ba21-4de2-849a-be92be44b8fb	Westport	Westport	3	0	2013-09-09 04:06:35.752381+02	\N	\N	\N	\N	\N	\N	f	
28042	c363f121-6ad5-4af1-8775-b3bc0215754b	Fertile	Fertile	3	0	2013-09-08 12:09:46.239088+02	\N	\N	\N	\N	\N	\N	f	
28698	603ceba4-9de8-4300-b2fd-efda33d258a6	Kilgore	Kilgore	3	0	2013-09-08 23:33:43.823458+02	\N	\N	\N	\N	\N	\N	f	
28082	d7e1fdac-cd01-4345-9a76-692a68bfb451	Soltsy	Soltsy	3	0	2013-09-08 12:25:44.229445+02	\N	\N	\N	\N	\N	\N	f	
29050	6376202a-07b1-4be0-ae48-96eae517b9a3	Bovina	Bovina	3	0	2013-09-09 02:07:20.06625+02	\N	\N	\N	\N	\N	\N	f	
28284	3189032a-6a94-4544-8241-880c25a65b29	Madisonville, Tennessee	Madisonville, Tennessee	3	0	2013-09-08 16:40:04.363009+02	\N	\N	\N	\N	\N	\N	f	
28908	bfca9d3b-15d5-42ff-877f-a9de62708bf3	Justin	Justin	3	0	2013-09-09 01:25:36.852698+02	\N	\N	\N	\N	\N	\N	f	
29023	1911d846-afba-4f3f-b7b0-76768b013075	New London	New London	3	0	2013-09-09 01:59:26.577134+02	\N	\N	\N	\N	\N	\N	f	
29537	4d9b9935-f6db-4625-ae94-442f2861d06e	Craven Arms	Craven Arms	3	0	2013-09-29 08:39:14.786496+02	\N	\N	\N	\N	\N	\N	f	
29085	3db01b30-076f-4c22-803a-3a4fc6edb442	Mountlake Terrace	Mountlake Terrace	3	0	2013-09-09 02:21:23.93603+02	\N	\N	\N	\N	\N	\N	f	
29639	1413c987-6935-46fd-bdcc-884c6fd3c53e	Clemency	Clemency	3	0	2013-10-11 20:19:30.491644+02	\N	\N	\N	\N	\N	\N	f	
29317	80580e3d-e200-4995-8e31-ae5c314b8ede	Cornell	Cornell	3	0	2013-09-09 05:25:26.999803+02	\N	\N	\N	\N	\N	\N	f	
29425	3b66ce42-7e2e-46c5-ade7-8fface535fb0	Saint Kitts	Saint Kitts	2	0	2013-09-12 09:09:00.991946+02	\N	\N	\N	\N	\N	\N	f	
18711	22a05036-a662-403b-bd93-139f40c47370	San Bartolomeo Val Cavargna	San Bartolomeo Val Cavargna	4	0	2013-09-14 04:00:31.546749+02	\N	\N	\N	\N	\N	\N	f	
12383	254e665f-9533-4d86-9d50-752fa48e4110	Alstahaug	Alstahaug	4	0	2013-07-15 03:39:16.463011+02	\N	\N	\N	\N	\N	\N	f	
12384	b3bc4cd2-6c0e-401c-ad23-b0c93f6eb553	Gulen	Gulen	4	0	2013-07-15 03:39:27.759504+02	\N	\N	\N	\N	\N	\N	f	
12385	7c28013d-eb08-462b-ab22-50ce26d63208	Kviteseid	Kviteseid	4	0	2013-07-15 03:39:39.265335+02	\N	\N	\N	\N	\N	\N	f	
14042	64605c53-a7f5-4850-9f83-4cbb0546dc07	Giuliano di Roma	Giuliano di Roma	4	0	2013-07-21 20:11:20.450468+02	\N	\N	\N	\N	\N	\N	f	
12428	21e6173b-037f-4f10-be85-d4871a3bc3ca	Dien Bien Phu	Dien Bien Phu	3	0	2013-07-15 03:50:24.928116+02	\N	\N	\N	\N	\N	\N	f	
12478	d04609f2-ed24-4708-9ac7-2c086c09b9d4	Sørfold	Sørfold	4	0	2013-07-15 04:00:56.769782+02	\N	\N	\N	\N	\N	\N	f	
12497	24ddfbc2-8c37-4b15-9d8f-36155eaf6d10	Stord	Stord	4	0	2013-07-15 04:04:34.92249+02	\N	\N	\N	\N	\N	\N	f	
14152	0a927ff8-26f5-417f-a55d-54f0c496a09a	Montecarotto	Montecarotto	4	0	2013-07-21 20:34:56.552109+02	\N	\N	\N	\N	\N	\N	f	
12569	ab0090fe-b82a-4688-bab8-aa71343671ac	Rissa	Rissa	4	0	2013-07-15 04:19:54.190711+02	\N	\N	\N	\N	\N	\N	f	
12575	d66cb377-8746-46ae-b607-acd91f4f907b	Meland	Meland	4	0	2013-07-15 04:21:03.500919+02	\N	\N	\N	\N	\N	\N	f	
15783	d3af34f3-a8e6-478d-8c35-667f03b15351	Blessagno	Blessagno	4	0	2013-07-22 02:01:43.706683+02	\N	\N	\N	\N	\N	\N	f	
12576	bad1c10c-455a-4a9f-98e5-776e6b13e37e	Leirfjord	Leirfjord	4	0	2013-07-15 04:21:14.889542+02	\N	\N	\N	\N	\N	\N	f	
14598	908a9efd-3159-4248-ae7b-52136214f981	Cossombrato	Cossombrato	4	0	2013-07-21 22:14:08.159117+02	\N	\N	\N	\N	\N	\N	f	
12583	c05f436c-114e-4c64-8fa6-7b12c0912c22	Hattfjelldal	Hattfjelldal	4	0	2013-07-15 04:22:35.473532+02	\N	\N	\N	\N	\N	\N	f	
15131	09e0b06e-3bff-4176-ac7c-bbbacb78839f	Robilante	Robilante	4	0	2013-07-21 23:51:33.118924+02	\N	\N	\N	\N	\N	\N	f	
16673	2f2ff7dd-e2a5-4824-8283-ed140b05a32b	Scurelle	Scurelle	4	0	2013-07-22 04:06:09.553626+02	\N	\N	\N	\N	\N	\N	f	
15252	4edcfdd3-fb6d-4d19-9baf-1087132437c9	Vernante	Vernante	4	0	2013-07-22 00:06:03.201144+02	\N	\N	\N	\N	\N	\N	f	
15287	49a1d4f4-b62a-4f4d-85aa-254e6ff5f67b	Vottignasco	Vottignasco	4	0	2013-07-22 00:11:15.414614+02	\N	\N	\N	\N	\N	\N	f	
17610	2feb26d8-5904-4d85-996f-14e072415d7e	Caponago	Caponago	4	0	2013-07-22 06:48:38.816287+02	\N	\N	\N	\N	\N	\N	f	
17223	88e66bd7-a9b3-406c-beee-a64c3ed95737	Bultei	Bultei	4	0	2013-07-22 06:00:21.195792+02	\N	\N	\N	\N	\N	\N	f	
17624	f8dbb0e9-3761-479c-b3b0-1d9cc7375943	Pinarolo Po	Pinarolo Po	4	0	2013-07-22 06:50:37.143445+02	\N	\N	\N	\N	\N	\N	f	
19967	f9a03355-d5f1-4446-9d53-00610c719932	San Martino d'Agri	San Martino d'Agri	4	0	2013-07-22 12:01:19.011085+02	\N	\N	\N	\N	\N	\N	f	
18542	8af249e1-342b-478e-bd1d-d0ea069ecb1e	Camisano Vicentino	Camisano Vicentino	4	0	2013-07-22 08:44:05.723757+02	\N	\N	\N	\N	\N	\N	f	
18576	dfc5cb0f-ebbe-4385-a992-937008b22977	Resana	Resana	4	0	2013-07-22 08:48:02.889211+02	\N	\N	\N	\N	\N	\N	f	
24065	7fd2a5f1-43f1-4612-b36a-fcb80c991ac8	Crouch	Crouch	3	0	2013-09-07 02:28:40.041005+02	\N	\N	\N	\N	\N	\N	f	
18592	5da16a1b-385e-427a-a288-34185c7b46d2	Miane	Miane	4	0	2013-07-22 08:50:01.407351+02	\N	\N	\N	\N	\N	\N	f	
20093	069af98e-e5f9-4633-bbb5-ceadfc5dc625	Cordenons	Cordenons	4	0	2013-07-22 12:18:31.212273+02	\N	\N	\N	\N	\N	\N	f	
18607	6d7995fb-195b-4b8b-ac0b-dd31d7dbb13f	Spresiano	Spresiano	4	0	2013-07-22 08:51:52.69328+02	\N	\N	\N	\N	\N	\N	f	
19579	09ca444b-f91a-4ca5-86b1-4cb45061a0fb	Faeto	Faeto	4	0	2013-07-22 10:56:21.068137+02	\N	\N	\N	\N	\N	\N	f	
19593	7cacdd32-66a1-48b9-9b14-7e84cfc1b46b	Terlizzi	Terlizzi	4	0	2013-07-22 10:59:08.022075+02	\N	\N	\N	\N	\N	\N	f	
20096	9872a0ff-e652-4bfd-85b5-5b0a206fcdb0	Fiume Veneto	Fiume Veneto	4	0	2013-07-22 12:18:52.824928+02	\N	\N	\N	\N	\N	\N	f	
19608	ab7ee6d2-421c-4344-bd2d-d7aec58efd3e	Castelnuovo della Daunia	Castelnuovo della Daunia	4	0	2013-07-22 11:02:14.407149+02	\N	\N	\N	\N	\N	\N	f	
19609	d1b2cc82-2b0b-4c67-aff1-e5ff4a1bb169	Triggiano	Triggiano	4	0	2013-07-22 11:02:27.577477+02	\N	\N	\N	\N	\N	\N	f	
19610	6c6515ba-9415-45f6-9bc0-5c082343f63e	San Donaci	San Donaci	4	0	2013-07-22 11:02:39.450415+02	\N	\N	\N	\N	\N	\N	f	
20683	29b42225-92f5-4e90-99c3-791737219296	Domicella	Domicella	4	0	2013-07-23 08:43:32.084176+02	\N	\N	\N	\N	\N	\N	f	
19622	daa00826-a3c4-4f98-8960-765c89c00624	Avetrana	Avetrana	4	0	2013-07-22 11:06:01.094811+02	\N	\N	\N	\N	\N	\N	f	
24280	976d6885-fc12-4eca-afb8-f14b6db9ec8d	Tavares	Tavares	3	0	2013-09-07 05:36:18.282294+02	\N	\N	\N	\N	\N	\N	f	
20785	f4a7191c-d92b-4b1d-a59c-102725799d64	Pago Veiano	Pago Veiano	4	0	2013-07-23 11:43:49.273827+02	\N	\N	\N	\N	\N	\N	f	
20806	c82b7902-5366-4334-87e8-57e835044389	Pontelandolfo	Pontelandolfo	4	0	2013-07-23 11:48:38.277512+02	\N	\N	\N	\N	\N	\N	f	
26360	d608a8c1-d5c7-435e-b280-41b231407ae7	Galva	Galva	3	0	2013-09-07 23:35:15.584056+02	\N	\N	\N	\N	\N	\N	f	
20814	a9fe85e0-8ce8-49f7-88ee-2ee25418798a	Torrecuso	Torrecuso	4	0	2013-07-23 11:50:46.146244+02	\N	\N	\N	\N	\N	\N	f	
24832	a08062db-2c9b-4327-bbdc-db2dcca0959f	Leland	Leland	3	0	2013-09-07 08:46:48.154991+02	\N	\N	\N	\N	\N	\N	f	
20892	cc2e1b4f-e23f-4520-81e7-9042f01c4d83	Cervino, Campania	Cervino, Campania	4	0	2013-07-23 14:46:45.194324+02	\N	\N	\N	\N	\N	\N	f	
23865	ac7ba21b-1b61-42ed-ba31-6a1b5634d3e5	Black Rock	Black Rock	3	0	2013-09-06 20:40:08.743206+02	\N	\N	\N	\N	\N	\N	f	
25349	4cd0b73a-7c04-4da4-af21-762f21ac121d	Curlew	Curlew	3	0	2013-09-07 11:28:32.595235+02	\N	\N	\N	\N	\N	\N	f	
23880	29b3abe9-1ed8-4b95-81ab-846f2c42db31	Sherwood	Sherwood	3	0	2013-09-06 20:43:50.571671+02	\N	\N	\N	\N	\N	\N	f	
23963	03273082-6e5d-4f9d-b37c-1a6a91d5e754	Destin	Destin	3	0	2013-09-06 23:30:52.176875+02	\N	\N	\N	\N	\N	\N	f	
27058	86959679-27e9-45e8-8a0f-27fa17ab260d	Chappell	Chappell	3	0	2013-09-08 04:36:22.122281+02	\N	\N	\N	\N	\N	\N	f	
23990	ff95ff9e-aec4-49ee-8ddf-1e64914c74ae	Eshtehard	Eshtehard	3	0	2013-09-06 23:40:26.671562+02	\N	\N	\N	\N	\N	\N	f	
26393	b3e1ef45-4417-4073-a996-4301f07fa2fa	Northlake	Northlake	3	0	2013-09-07 23:43:52.683947+02	\N	\N	\N	\N	\N	\N	f	
25866	5e4684be-68f4-474c-b8e5-e92ad6ffac8c	Kuttawa, Kentucky	Kuttawa, Kentucky	3	0	2013-09-07 14:59:52.462755+02	\N	\N	\N	\N	\N	\N	f	
25954	6c8d5c0a-4c59-453a-8394-ea98879e8425	North River, North Dakota	North River, North Dakota	3	0	2013-09-07 17:30:18.366336+02	\N	\N	\N	\N	\N	\N	f	
26300	0384f284-0b93-49cf-a420-d5b3bba7df03	Rodman, Iowa	Rodman, Iowa	3	0	2013-09-07 21:11:40.667357+02	\N	\N	\N	\N	\N	\N	f	
26317	fae59f6c-2e12-4faf-86f7-e8cceb374578	Fairfield, Nebraska	Fairfield, Nebraska	3	0	2013-09-07 23:19:14.624367+02	\N	\N	\N	\N	\N	\N	f	
26394	dda84810-5424-4607-ba0f-14029061055d	Minonk	Minonk	3	0	2013-09-07 23:44:07.089272+02	\N	\N	\N	\N	\N	\N	f	
27383	6da57ac9-2291-4d18-ae7c-a55ec4997b41	Fessenden, North Dakota	Fessenden, North Dakota	3	0	2013-09-08 07:43:28.316018+02	\N	\N	\N	\N	\N	\N	f	
26599	62f86c74-d492-4f4e-819e-01a0993d5f7f	Aurora, Nebraska	Aurora, Nebraska	3	0	2013-09-08 01:18:30.913714+02	\N	\N	\N	\N	\N	\N	f	
27009	9e68cc62-6aca-43ee-811b-fa0cecf6ae3c	Grant	Grant	3	0	2013-09-08 04:23:52.539571+02	\N	\N	\N	\N	\N	\N	f	
28043	9e755ec4-fbec-444b-8875-2f5b771a8a81	Mitchell	Mitchell	3	0	2013-09-08 12:10:07.135729+02	\N	\N	\N	\N	\N	\N	f	
27699	490f9ba2-61b8-479b-b10b-bc4718615817	Sayre	Sayre	3	0	2013-09-08 09:28:33.762714+02	\N	\N	\N	\N	\N	\N	f	
28469	c5574a58-e005-4ede-9215-714a16091f84	Alice	Alice	3	0	2013-09-08 17:42:26.409339+02	\N	\N	\N	\N	\N	\N	f	
27731	c5c9773d-9109-44a7-9939-7c5a657313de	Grandfield, Oklahoma	Grandfield, Oklahoma	3	0	2013-09-08 09:37:08.199226+02	\N	\N	\N	\N	\N	\N	f	
28302	d01a89ff-9e82-420a-8a18-5af3db96701c	Erin, Tennessee	Erin, Tennessee	3	0	2013-09-08 16:44:50.4416+02	\N	\N	\N	\N	\N	\N	f	
28096	406e05bf-3a1b-40f7-927a-1b10a24b171c	Washougal	Washougal	3	0	2013-09-08 12:36:53.309449+02	\N	\N	\N	\N	\N	\N	f	
28286	05ff0a03-f581-42a9-be47-88ff2842f442	Elkton, Tennessee	Elkton, Tennessee	3	0	2013-09-08 16:40:50.667985+02	\N	\N	\N	\N	\N	\N	f	
28700	615e9cdb-0f40-4c06-b6a2-90f046805b0f	Lakeport	Lakeport	3	0	2013-09-08 23:34:15.254445+02	\N	\N	\N	\N	\N	\N	f	
28792	f93a2fc9-7a8a-4046-963b-a646f4724b53	Hawk Cove	Hawk Cove	3	0	2013-09-09 00:00:02.17463+02	\N	\N	\N	\N	\N	\N	f	
28846	fcb856e0-3060-4a51-abaf-274d26d9b6b5	Covington	Covington	3	0	2013-09-09 00:14:46.490028+02	\N	\N	\N	\N	\N	\N	f	
28909	b76bfcda-2ee3-4d52-a67c-9c0c18a32171	Latexo	Latexo	3	0	2013-09-09 01:25:53.078627+02	\N	\N	\N	\N	\N	\N	f	
29216	44551002-f3f7-427a-8067-4097d6c65a27	Sunnyside	Sunnyside	3	0	2013-09-09 04:07:13.705663+02	\N	\N	\N	\N	\N	\N	f	
29225	767fed4e-42a4-4290-8229-0394f710de1f	Wapato	Wapato	3	0	2013-09-09 04:10:44.404056+02	\N	\N	\N	\N	\N	\N	f	
29253	8bbb2f3e-e01c-4a32-80dc-54421866209c	Nitro, West Virginia	Nitro, West Virginia	3	0	2013-09-09 04:21:03.75729+02	\N	\N	\N	\N	\N	\N	f	
29319	2c41b2a5-2e3f-4e38-80e7-21e78c7fb357	Cumberland	Cumberland	3	0	2013-09-09 05:25:54.246648+02	\N	\N	\N	\N	\N	\N	f	
12386	e2e15c21-2520-4192-9c74-49ca1e5c4300	Nissedal	Nissedal	4	0	2013-07-15 03:39:50.793191+02	\N	\N	\N	\N	\N	\N	f	
12387	01affce3-374d-4dc6-9550-f372fcd0964b	Drangedal	Drangedal	4	0	2013-07-15 03:40:13.512546+02	\N	\N	\N	\N	\N	\N	f	
12388	3d843565-febb-436d-98d6-47d842a7c4a2	Vinje	Vinje	4	0	2013-07-15 03:40:24.978011+02	\N	\N	\N	\N	\N	\N	f	
14043	ffb1b9c3-b17a-4591-8ad0-7ffebb428afc	Piedimonte San Germano	Piedimonte San Germano	4	0	2013-07-21 20:11:32.211999+02	\N	\N	\N	\N	\N	\N	f	
12411	078d56e4-ff08-4bf6-be26-8d34ec0b2876	Sirdal	Sirdal	4	0	2013-07-15 03:45:13.765661+02	\N	\N	\N	\N	\N	\N	f	
12435	fe2866d6-12c9-4c3a-ac1f-0d90c1e311e5	Tana	Tana	4	0	2013-07-15 03:52:35.253825+02	\N	\N	\N	\N	\N	\N	f	
12459	cbc01df5-1bda-46e8-802e-aca01e96b491	Kvinnherad	Kvinnherad	4	0	2013-07-15 03:57:17.821599+02	\N	\N	\N	\N	\N	\N	f	
14094	6abcef5b-6a63-4ac0-90dc-cf2bccc30aad	San Giovanni Incarico	San Giovanni Incarico	4	0	2013-07-21 20:21:47.522113+02	\N	\N	\N	\N	\N	\N	f	
12469	df52d8d3-5059-4252-b420-31ba64e9ee35	Stordal	Stordal	4	0	2013-07-15 03:59:12.554682+02	\N	\N	\N	\N	\N	\N	f	
12473	ace586a9-7181-476c-97ac-2f5f29bbdfe4	Folldal	Folldal	4	0	2013-07-15 03:59:58.682374+02	\N	\N	\N	\N	\N	\N	f	
15785	64b87d85-5778-4a63-be78-7b41dda8b538	Bulgarograsso	Bulgarograsso	4	0	2013-07-22 02:02:13.851091+02	\N	\N	\N	\N	\N	\N	f	
12534	232dbf8b-f0cb-4508-8c6c-f72b45d70ec4	Beiarn	Beiarn	4	0	2013-07-15 04:12:49.288002+02	\N	\N	\N	\N	\N	\N	f	
14129	e6c594f8-35d7-4780-9804-03c40b1f1f4c	Osimo	Osimo	4	0	2013-07-21 20:29:43.908286+02	\N	\N	\N	\N	\N	\N	f	
12542	e311a130-2a16-4da5-b6a3-6928d8ef24e3	Tjøme	Tjøme	4	0	2013-07-15 04:14:33.389144+02	\N	\N	\N	\N	\N	\N	f	
12609	fb634df6-7515-41ef-b5a1-8c772f500655	Time	Time	4	0	2013-07-15 04:27:44.703082+02	\N	\N	\N	\N	\N	\N	f	
14600	bc4d2914-c125-4985-8bde-00dbfdc7b9ab	Cessole	Cessole	4	0	2013-07-21 22:14:31.849603+02	\N	\N	\N	\N	\N	\N	f	
14622	690c783b-70a8-4cc1-ab32-7c74d305be4c	Robella	Robella	4	0	2013-07-21 22:19:24.631785+02	\N	\N	\N	\N	\N	\N	f	
15811	108e15ae-540d-4e63-9408-e79185422d67	Casnate con Bernate	Casnate con Bernate	4	0	2013-07-22 02:08:02.722296+02	\N	\N	\N	\N	\N	\N	f	
15135	de238fa3-d7b9-49b6-99eb-74fafef62794	Città di Castello	Città di Castello	4	0	2013-07-21 23:51:59.333322+02	\N	\N	\N	\N	\N	\N	f	
17611	ee013b2d-483a-4c1f-a718-12ee415bdf97	Cazzago Brabbia	Cazzago Brabbia	4	0	2013-07-22 06:48:52.059594+02	\N	\N	\N	\N	\N	\N	f	
15827	0d2cdac5-8f35-44e0-8cef-2702770894b5	Balocco	Balocco	4	0	2013-07-22 02:11:36.173912+02	\N	\N	\N	\N	\N	\N	f	
15842	1074b753-7e39-41ac-81eb-1271051cdc2a	Carisio	Carisio	4	0	2013-07-22 02:14:44.636452+02	\N	\N	\N	\N	\N	\N	f	
24072	b921215a-6a9c-49a4-825f-4adff588d54c	Wardner	Wardner	3	0	2013-09-07 02:30:32.952177+02	\N	\N	\N	\N	\N	\N	f	
16018	536d7f86-172f-43f3-8de1-c766d302ea51	Neirone	Neirone	4	0	2013-07-22 02:42:53.776016+02	\N	\N	\N	\N	\N	\N	f	
17674	3006cd94-d7b5-4f58-bd2a-e039ad521d75	Lissone	Lissone	4	0	2013-07-22 06:56:44.911363+02	\N	\N	\N	\N	\N	\N	f	
16020	88b0f5f9-6b4e-4a3d-a988-160ad44799d3	Santo Stefano d'Aveto	Santo Stefano d'Aveto	4	0	2013-07-22 02:43:08.652416+02	\N	\N	\N	\N	\N	\N	f	
16675	227d7e91-445c-46eb-af29-d55ff0a4fe85	Sarnonico	Sarnonico	4	0	2013-07-22 04:06:43.031532+02	\N	\N	\N	\N	\N	\N	f	
19974	e5abc676-bf77-456c-a048-131497f5ebe4	San Chirico Nuovo	San Chirico Nuovo	4	0	2013-07-22 12:02:32.681015+02	\N	\N	\N	\N	\N	\N	f	
17773	62adca94-ea75-442e-aab8-8b7059ffec7b	Cencenighe Agordino	Cencenighe Agordino	4	0	2013-07-22 07:08:44.963003+02	\N	\N	\N	\N	\N	\N	f	
18558	1c04aff3-ba91-4f05-8a65-db462157e962	Arcole	Arcole	4	0	2013-07-22 08:46:01.073311+02	\N	\N	\N	\N	\N	\N	f	
19580	18fbc593-e533-4bb3-962f-ce24f30a566a	Fasano	Fasano	4	0	2013-07-22 10:56:32.744227+02	\N	\N	\N	\N	\N	\N	f	
20081	b6215bc1-aac2-461c-a8d8-09ec6cbfdb10	Castelnovo del Friuli	Castelnovo del Friuli	4	0	2013-07-22 12:16:54.788414+02	\N	\N	\N	\N	\N	\N	f	
19587	675835f5-158f-4f9f-a736-f85b204e5359	Carlantino	Carlantino	4	0	2013-07-22 10:57:57.210348+02	\N	\N	\N	\N	\N	\N	f	
19590	0d5aa124-1dc8-4d2e-a8f3-1d64125e1461	Chieuti	Chieuti	4	0	2013-07-22 10:58:32.580776+02	\N	\N	\N	\N	\N	\N	f	
24281	32d4fb74-231e-4f4a-8a12-cf97fc88554b	Gulfport	Gulfport	3	0	2013-09-07 05:36:31.824604+02	\N	\N	\N	\N	\N	\N	f	
20684	256289a0-e5a9-472c-b52e-08247d94775f	Summonte	Summonte	4	0	2013-07-23 08:43:57.110794+02	\N	\N	\N	\N	\N	\N	f	
20788	c9cddb23-2633-4b69-b191-1f4789e95ecc	Sant'Angelo a Cupolo	Sant'Angelo a Cupolo	4	0	2013-07-23 11:44:25.559186+02	\N	\N	\N	\N	\N	\N	f	
25956	75e597f9-d841-44af-bf1e-8efa180c90b1	Purvis	Purvis	3	0	2013-09-07 17:30:57.448542+02	\N	\N	\N	\N	\N	\N	f	
20808	8a0df47b-af1a-4008-b057-3c80ed89bc0c	Pietrelcina	Pietrelcina	4	0	2013-07-23 11:49:19.049229+02	\N	\N	\N	\N	\N	\N	f	
24305	121e4258-ee35-4def-bfde-01a88998c543	Vernon	Vernon	3	0	2013-09-07 05:42:08.098988+02	\N	\N	\N	\N	\N	\N	f	
20893	eb380bf3-55d2-48cd-8302-67497f246917	Francolise	Francolise	4	0	2013-07-23 14:47:00.475925+02	\N	\N	\N	\N	\N	\N	f	
20912	f4e913f6-be03-4749-9990-6c02584e45e6	Casapesenna	Casapesenna	4	0	2013-07-23 14:50:52.039225+02	\N	\N	\N	\N	\N	\N	f	
25371	8e75b9e9-59b9-464d-b77d-31ebdc65f728	Uniontown, Kentucky	Uniontown, Kentucky	3	0	2013-09-07 11:34:39.445947+02	\N	\N	\N	\N	\N	\N	f	
24340	aa1bdd52-9e70-4be1-b12b-b1a99d814223	Morven, Georgia	Morven, Georgia	3	0	2013-09-07 06:19:57.488908+02	\N	\N	\N	\N	\N	\N	f	
23867	a663fedb-5d8b-497e-bdfa-ccdbe9a67fc3	Perryville	Perryville	3	0	2013-09-06 20:40:36.937535+02	\N	\N	\N	\N	\N	\N	f	
23873	e0e9d78e-3c40-4275-9b7e-6d2648af6b59	Mena	Mena	3	0	2013-09-06 20:42:03.588246+02	\N	\N	\N	\N	\N	\N	f	
23966	f5f08743-02df-4177-bc3e-8cfe2d0f9b86	Edgewater, Volusia County	Edgewater, Volusia County	3	0	2013-09-06 23:31:53.056397+02	\N	\N	\N	\N	\N	\N	f	
25499	a2363ca4-0423-48a1-b49b-7e5226f74c3c	St. Regis Park, Kentucky	St. Regis Park, Kentucky	3	0	2013-09-07 12:06:16.387622+02	\N	\N	\N	\N	\N	\N	f	
24066	52cce31c-25ef-45a2-aaa0-fe92fe9f5ad4	Murtaugh	Murtaugh	3	0	2013-09-07 02:28:56.816672+02	\N	\N	\N	\N	\N	\N	f	
25389	486c75e9-182b-4578-b44a-a99048438603	Independence, Kentucky	Independence, Kentucky	3	0	2013-09-07 11:38:47.010005+02	\N	\N	\N	\N	\N	\N	f	
24353	ff3db1a2-d76c-4213-b6d1-78425327316f	Fort Gaines, Georgia	Fort Gaines, Georgia	3	0	2013-09-07 06:23:56.844013+02	\N	\N	\N	\N	\N	\N	f	
24833	23830cc7-0d8d-4900-b87f-c9379a5890cd	Eldridge	Eldridge	3	0	2013-09-07 08:47:02.684487+02	\N	\N	\N	\N	\N	\N	f	
24856	fb5f4ea0-ad2d-4d66-bb0f-b5400d8cbe07	Pierson	Pierson	3	0	2013-09-07 08:52:40.835606+02	\N	\N	\N	\N	\N	\N	f	
25350	acd3627f-aa30-4c0f-9315-19b8fe4b1fa3	Powhattan, Kansas	Powhattan, Kansas	3	0	2013-09-07 11:28:52.587343+02	\N	\N	\N	\N	\N	\N	f	
25456	25852361-2058-474d-9d75-623b27519c74	Florence, Kansas	Florence, Kansas	3	0	2013-09-07 11:54:39.863822+02	\N	\N	\N	\N	\N	\N	f	
25513	de475a36-76bd-44bc-8709-db59014f4c68	West Mineral, Kansas	West Mineral, Kansas	3	0	2013-09-07 12:10:03.578821+02	\N	\N	\N	\N	\N	\N	f	
25475	294d98fa-746e-4926-ab83-0f7876c76529	Parsons, Kansas	Parsons, Kansas	3	0	2013-09-07 12:00:12.730018+02	\N	\N	\N	\N	\N	\N	f	
25868	e3090edd-fc10-4666-8e33-a1b17ed13a4e	Sylvan Grove, Kansas	Sylvan Grove, Kansas	3	0	2013-09-07 15:00:22.969095+02	\N	\N	\N	\N	\N	\N	f	
26318	7339d6a7-3eca-4647-97f3-240ada205f37	Franklin, New Hampshire	Franklin, New Hampshire	3	0	2013-09-07 23:20:08.006892+02	\N	\N	\N	\N	\N	\N	f	
26005	30306bb2-3b21-418f-9b71-9037e3347859	Williamsburg, Kansas	Williamsburg, Kansas	3	0	2013-09-07 17:44:12.398298+02	\N	\N	\N	\N	\N	\N	f	
26302	7f681afd-16b9-4018-b934-8013fdd60d66	Wesley, Iowa	Wesley, Iowa	3	0	2013-09-07 21:12:22.175063+02	\N	\N	\N	\N	\N	\N	f	
26014	a71c2beb-f827-41b9-9aa2-201f724642e6	Gaylord	Gaylord	3	0	2013-09-07 17:46:31.644533+02	\N	\N	\N	\N	\N	\N	f	
26030	ff810b9d-af0e-4ba2-8140-6043c83cc614	Gem	Gem	3	0	2013-09-07 17:50:44.728409+02	\N	\N	\N	\N	\N	\N	f	
26600	1204c212-e671-4aa4-b10c-5658cb05d552	Campbellsville, Kentucky	Campbellsville, Kentucky	3	0	2013-09-08 01:18:44.557989+02	\N	\N	\N	\N	\N	\N	f	
27010	05d81b50-4e55-49e9-a895-1267b2112ec6	Warrensburg	Warrensburg	3	0	2013-09-08 04:24:06.079571+02	\N	\N	\N	\N	\N	\N	f	
27061	d043bbd6-4df1-4b30-8c1f-f916136a8647	Gainesville	Gainesville	3	0	2013-09-08 04:37:06.765015+02	\N	\N	\N	\N	\N	\N	f	
27389	7c52c45d-3ae2-4da9-8d61-a3fcd967ce6c	Kulm, North Dakota	Kulm, North Dakota	3	0	2013-09-08 07:44:54.660495+02	\N	\N	\N	\N	\N	\N	f	
27393	3395fdfe-5c47-493e-98cf-a758520ee4ea	Leith, North Dakota	Leith, North Dakota	3	0	2013-09-08 07:45:56.3401+02	\N	\N	\N	\N	\N	\N	f	
27401	f27c75f5-5f91-480c-8ff6-69cabbefac99	Conway, North Dakota	Conway, North Dakota	3	0	2013-09-08 07:47:51.368251+02	\N	\N	\N	\N	\N	\N	f	
27701	664c0528-2fb3-4117-b002-42f898a3179f	Cherokee	Cherokee	3	0	2013-09-08 09:29:06.049436+02	\N	\N	\N	\N	\N	\N	f	
12389	289e716f-c682-413c-a0b2-22c1dbebbaab	Kristiansand	Kristiansand	4	0	2013-07-15 03:40:36.47953+02	\N	\N	\N	\N	\N	\N	f	
12422	721555cb-9662-4c07-b573-b1493f10004c	Øygarden	Øygarden	4	0	2013-07-15 03:48:23.384845+02	\N	\N	\N	\N	\N	\N	f	
12450	5204ec07-1eab-4a81-bd40-401fe3c70c3f	Modum	Modum	4	0	2013-07-15 03:55:27.18011+02	\N	\N	\N	\N	\N	\N	f	
14044	8b724b21-148e-442c-b5c3-ef14a34e9d84	Castrocielo	Castrocielo	4	0	2013-07-21 20:11:45.100511+02	\N	\N	\N	\N	\N	\N	f	
12455	3ea02a44-6c99-479f-83bc-b64fd1829ccf	Meløy	Meløy	4	0	2013-07-15 03:56:24.132692+02	\N	\N	\N	\N	\N	\N	f	
12486	ba150282-c630-4a0d-afd8-6dd5f30a623e	Sauda	Sauda	4	0	2013-07-15 04:02:28.645749+02	\N	\N	\N	\N	\N	\N	f	
12491	3b04b78e-47c2-4f92-a7f9-94e963ae3d98	Gildeskål	Gildeskål	4	0	2013-07-15 04:03:25.622683+02	\N	\N	\N	\N	\N	\N	f	
14049	b8aecdda-0c4a-41d1-843e-83e45a5ee727	Ceprano	Ceprano	4	0	2013-07-21 20:12:46.10238+02	\N	\N	\N	\N	\N	\N	f	
15786	f03b706c-9ffc-43a4-8e7f-be12adbd36a2	Capiago Intimiano	Capiago Intimiano	4	0	2013-07-22 02:02:26.537434+02	\N	\N	\N	\N	\N	\N	f	
14079	4303adee-95bc-4a08-ac85-849e094f7800	Castelliri	Castelliri	4	0	2013-07-21 20:19:10.093442+02	\N	\N	\N	\N	\N	\N	f	
14601	c1b7fc34-bf40-45e8-aa98-43dcdef0a1af	Moncucco Torinese	Moncucco Torinese	4	0	2013-07-21 22:14:43.590621+02	\N	\N	\N	\N	\N	\N	f	
14646	3a0548ab-3391-4c35-a951-9b5d6a44af7f	Scurzolengo	Scurzolengo	4	0	2013-07-21 22:24:33.121581+02	\N	\N	\N	\N	\N	\N	f	
15788	31ab21dc-0bc0-4b0c-8c60-9f8f652f55b7	Bondo, Trentino	Bondo, Trentino	4	0	2013-07-22 02:02:55.245029+02	\N	\N	\N	\N	\N	\N	f	
14647	4661e07e-6d74-45ec-97f0-50272530e958	Montaldo Scarampi	Montaldo Scarampi	4	0	2013-07-21 22:24:45.181562+02	\N	\N	\N	\N	\N	\N	f	
24285	20844a45-027d-4112-80bb-7845a10da913	West Miami	West Miami	3	0	2013-09-07 05:37:27.266044+02	\N	\N	\N	\N	\N	\N	f	
15796	52ded342-52b8-4506-8f45-801ed0c865c3	Corrido, Lombardy	Corrido, Lombardy	4	0	2013-07-22 02:04:52.222086+02	\N	\N	\N	\N	\N	\N	f	
16676	d54ef3f3-64a3-40a5-96c9-4ae4dd3bfd5e	Sfruz	Sfruz	4	0	2013-07-22 04:06:59.685962+02	\N	\N	\N	\N	\N	\N	f	
28287	a23f3aee-5c2b-40b3-8594-5f5cbc348bec	Lake Norden, South Dakota	Lake Norden, South Dakota	3	0	2013-09-08 16:41:05.058581+02	\N	\N	\N	\N	\N	\N	f	
16714	31cb4743-b237-4793-874a-e1be5b78cb54	Vallarsa	Vallarsa	4	0	2013-07-22 04:17:18.903667+02	\N	\N	\N	\N	\N	\N	f	
17653	39c9f210-bfa3-4af0-8a90-08bc00018a01	Vellezzo Bellini	Vellezzo Bellini	4	0	2013-07-22 06:53:55.10079+02	\N	\N	\N	\N	\N	\N	f	
17225	01384fa2-0ea2-4b7a-8b9c-80b5df510993	Giave	Giave	4	0	2013-07-22 06:00:37.749766+02	\N	\N	\N	\N	\N	\N	f	
19976	24e46279-e051-4560-a0f5-aab03a76e892	Rionero in Vulture	Rionero in Vulture	4	0	2013-07-22 12:02:47.296175+02	\N	\N	\N	\N	\N	\N	f	
24310	b032e7bf-1a78-4e38-8f6b-97d681bd0d47	Live Oak	Live Oak	3	0	2013-09-07 05:43:16.981007+02	\N	\N	\N	\N	\N	\N	f	
17720	42cea374-7016-477a-9cdd-4728b5206b36	Dubino	Dubino	4	0	2013-07-22 07:02:31.418946+02	\N	\N	\N	\N	\N	\N	f	
17735	d5f0274a-3216-4fbf-bef5-6af6c206ca60	Fusine	Fusine	4	0	2013-07-22 07:04:09.592637+02	\N	\N	\N	\N	\N	\N	f	
19985	ca49e800-4a9f-4604-b766-66a9f7303c52	Teana	Teana	4	0	2013-07-22 12:03:48.53546+02	\N	\N	\N	\N	\N	\N	f	
26601	62243c4d-d4e8-44fb-82c3-48b00ed35e0c	Mount Vernon, Missouri	Mount Vernon, Missouri	3	0	2013-09-08 01:18:59.308787+02	\N	\N	\N	\N	\N	\N	f	
17762	0daaf859-0861-4d2c-b8ec-9efc99d455ac	Caiolo	Caiolo	4	0	2013-07-22 07:07:25.552633+02	\N	\N	\N	\N	\N	\N	f	
24837	8da291de-1e9b-42c1-9851-31baf56c81b6	Sheldahl	Sheldahl	3	0	2013-09-07 08:48:00.514489+02	\N	\N	\N	\N	\N	\N	f	
18563	eb732d6f-f66d-4059-8482-f9b36e55bb88	Colle Umberto	Colle Umberto	4	0	2013-07-22 08:46:37.578747+02	\N	\N	\N	\N	\N	\N	f	
20688	bf4de2c8-db6f-4f41-a809-ed199278ad6c	Pietradefusi	Pietradefusi	4	0	2013-07-23 08:44:46.836747+02	\N	\N	\N	\N	\N	\N	f	
18666	6046fd2b-b1e2-47f2-9223-1b6463b6bcdb	Casaleone	Casaleone	4	0	2013-07-22 08:59:17.128559+02	\N	\N	\N	\N	\N	\N	f	
18709	4af2f141-4083-4038-9ebf-70eb7a54e65a	Salzano	Salzano	4	0	2013-07-22 09:04:33.552568+02	\N	\N	\N	\N	\N	\N	f	
18719	71b90a27-190c-4876-9e72-ca4b0bef8e58	Jesolo	Jesolo	4	0	2013-07-22 09:06:03.454187+02	\N	\N	\N	\N	\N	\N	f	
20789	04b338ba-ffd0-4bbf-90c4-f6fb2ad25448	San Marco dei Cavoti	San Marco dei Cavoti	4	0	2013-07-23 11:44:37.564863+02	\N	\N	\N	\N	\N	\N	f	
18741	8d6bb767-2a18-47bd-b643-a9f7e5c9613d	San Michele al Tagliamento	San Michele al Tagliamento	4	0	2013-07-22 09:08:40.620946+02	\N	\N	\N	\N	\N	\N	f	
19581	ec19a566-25ad-4d49-9221-cc6958edce46	Toritto	Toritto	4	0	2013-07-22 10:56:46.764846+02	\N	\N	\N	\N	\N	\N	f	
19630	41aa6391-5748-49c4-8f1d-1bf6d4e45182	Isole Tremiti	Isole Tremiti	4	0	2013-07-22 11:07:51.002889+02	\N	\N	\N	\N	\N	\N	f	
20804	4c500a4e-987d-480b-af0d-473fbe17f5fa	Castignano	Castignano	4	0	2013-07-23 11:47:45.01301+02	\N	\N	\N	\N	\N	\N	f	
19638	bb42b39c-208f-4623-ae09-67c774d263cc	Lucera	Lucera	4	0	2013-07-22 11:09:25.58749+02	\N	\N	\N	\N	\N	\N	f	
24839	6b139225-c323-402e-9f4a-f0bf02ec8d0d	Weldon	Weldon	3	0	2013-09-07 08:48:29.464368+02	\N	\N	\N	\N	\N	\N	f	
20894	11922e56-321f-4747-9a4e-571ff7cbb975	Castel Campagnano	Castel Campagnano	4	0	2013-07-23 14:47:12.80322+02	\N	\N	\N	\N	\N	\N	f	
27396	c945bc90-0c07-4f4c-b45c-9ceab4b0c533	Richardton, North Dakota	Richardton, North Dakota	3	0	2013-09-08 07:46:37.531493+02	\N	\N	\N	\N	\N	\N	f	
25353	4b6feaf3-dbe3-4066-bf41-eb082397fd5b	Brooklyn	Brooklyn	3	0	2013-09-07 11:29:44.880466+02	\N	\N	\N	\N	\N	\N	f	
26602	37be0d76-4ae8-43f6-a3f3-927d73270853	Dolliver, Iowa	Dolliver, Iowa	3	0	2013-09-08 01:19:12.886961+02	\N	\N	\N	\N	\N	\N	f	
23869	132b263f-b2d1-45de-b7d3-e87d130550da	Grannis	Grannis	3	0	2013-09-06 20:41:09.594813+02	\N	\N	\N	\N	\N	\N	f	
25869	c658ec81-69d1-4375-a07b-9ff8f764159a	Olmitz, Kansas	Olmitz, Kansas	3	0	2013-09-07 15:00:39.893857+02	\N	\N	\N	\N	\N	\N	f	
23967	4930d301-9570-46f5-a044-2e7fc650e092	Monte Vista, Colorado	Monte Vista, Colorado	3	0	2013-09-06 23:32:38.951117+02	\N	\N	\N	\N	\N	\N	f	
24068	34aef71a-408f-45f3-98ee-104ef2e9f530	Castleford	Castleford	3	0	2013-09-07 02:29:27.383297+02	\N	\N	\N	\N	\N	\N	f	
27702	64114bc6-3185-4911-96a6-eb0697d1ca69	Mangum	Mangum	3	0	2013-09-08 09:29:19.653124+02	\N	\N	\N	\N	\N	\N	f	
25957	f72ba530-3f6a-4eab-867f-ef061988051b	Holly Springs	Holly Springs	3	0	2013-09-07 17:31:11.331439+02	\N	\N	\N	\N	\N	\N	f	
27012	bb97abd4-8528-456f-8088-bbe9a5d6dd90	Tekamah	Tekamah	3	0	2013-09-08 04:24:34.009012+02	\N	\N	\N	\N	\N	\N	f	
26303	83851271-2a5e-4245-9865-956e1b47e668	Rolling Fields, Kentucky	Rolling Fields, Kentucky	3	0	2013-09-07 21:12:39.140573+02	\N	\N	\N	\N	\N	\N	f	
26319	99946841-5062-461f-876f-b05f519dd9a7	Whitefish	Whitefish	3	0	2013-09-07 23:22:12.130576+02	\N	\N	\N	\N	\N	\N	f	
27017	ccf8d294-bed8-486f-bef5-e8505bb90661	Wyatt	Wyatt	3	0	2013-09-08 04:25:53.018402+02	\N	\N	\N	\N	\N	\N	f	
27024	80c7eba6-0fdf-4c65-991b-a519989140e0	Wheaton	Wheaton	3	0	2013-09-08 04:27:39.305516+02	\N	\N	\N	\N	\N	\N	f	
27735	ffbff10e-71e3-464b-a69c-7b5ea3fca3c2	Barnsdall, Oklahoma	Barnsdall, Oklahoma	3	0	2013-09-08 09:38:12.830245+02	\N	\N	\N	\N	\N	\N	f	
27080	a4242c37-876f-4c14-b1ac-80ce1f6e35b6	St. Martins	St. Martins	3	0	2013-09-08 04:42:49.048273+02	\N	\N	\N	\N	\N	\N	f	
28045	83b36261-9589-4dce-b16c-dac972277742	East Liverpool	East Liverpool	3	0	2013-09-08 12:10:46.578472+02	\N	\N	\N	\N	\N	\N	f	
28701	8a0a6b74-b6e1-49a4-817d-2557157ed400	Melissa	Melissa	3	0	2013-09-08 23:34:31.011053+02	\N	\N	\N	\N	\N	\N	f	
28470	36bdbc33-a917-4913-9b5c-9de6ec0f3731	Bardwell	Bardwell	3	0	2013-09-08 17:42:44.775377+02	\N	\N	\N	\N	\N	\N	f	
28942	3ca0f6f1-a6c1-4ce5-8b1d-e1473316f48e	Van	Van	3	0	2013-09-09 01:35:28.366713+02	\N	\N	\N	\N	\N	\N	f	
28911	bf9028b9-75ea-4c8a-a21b-309958ddb1a5	Chandler	Chandler	3	0	2013-09-09 01:26:30.089665+02	\N	\N	\N	\N	\N	\N	f	
28762	b51ff092-0632-4877-ba95-e72c4657c13e	Tulia	Tulia	3	0	2013-09-08 23:52:00.419574+02	\N	\N	\N	\N	\N	\N	f	
28989	3a5564f8-c149-453f-9a4a-cb4cecb9cea8	San Felipe	San Felipe	3	0	2013-09-09 01:48:45.303525+02	\N	\N	\N	\N	\N	\N	f	
29217	9a9a6f92-6050-48e4-b85b-ea535282b64f	Salem, West Virginia	Salem, West Virginia	3	0	2013-09-09 04:07:50.956557+02	\N	\N	\N	\N	\N	\N	f	
29321	b37c8bf1-faec-4263-93df-36b12396a0a8	Chetek	Chetek	3	0	2013-09-09 05:26:22.148573+02	\N	\N	\N	\N	\N	\N	f	
29426	6e716fc8-cc30-4a5e-a0a9-fe511728c664	Saint George Gingerland	Saint George Gingerland	2	0	2013-09-12 09:13:09.281737+02	\N	\N	\N	\N	\N	\N	f	
29540	f524e334-52da-4f0e-94e0-c970dbe04a76	Moriarty, New Mexico	Moriarty, New Mexico	3	0	2013-09-29 11:20:53.289645+02	\N	\N	\N	\N	\N	\N	f	
12390	0ddd185a-00cf-44bf-8efc-2e7c277e71cf	Porsgrunn	Porsgrunn	4	0	2013-07-15 03:40:47.880321+02	\N	\N	\N	\N	\N	\N	f	
12391	dea83c80-f177-47b1-84df-1d226e0638ad	Hjartdal	Hjartdal	4	0	2013-07-15 03:40:59.516451+02	\N	\N	\N	\N	\N	\N	f	
14045	cc45fa4c-550d-42fe-a3f9-53a1d31593a3	Pico, Lazio	Pico, Lazio	4	0	2013-07-21 20:11:59.524975+02	\N	\N	\N	\N	\N	\N	f	
14061	4fe3083f-b962-4641-9d3a-362946e9f3ff	Colle San Magno	Colle San Magno	4	0	2013-07-21 20:15:09.806993+02	\N	\N	\N	\N	\N	\N	f	
15787	e873272c-3f1b-47d2-9f68-fa62b0591d88	Cabiate	Cabiate	4	0	2013-07-22 02:02:42.382517+02	\N	\N	\N	\N	\N	\N	f	
14098	6a033e50-cb3a-481f-957e-a7419c5bc8d2	Vallecorsa	Vallecorsa	4	0	2013-07-21 20:22:43.044282+02	\N	\N	\N	\N	\N	\N	f	
14101	a2db59b5-70c4-4d18-8701-0fae0c96320b	Vico nel Lazio	Vico nel Lazio	4	0	2013-07-21 20:23:23.51257+02	\N	\N	\N	\N	\N	\N	f	
14179	6a22e403-1c37-4f89-8748-2e9bde4f411e	Castelforte	Castelforte	4	0	2013-07-21 20:41:03.410482+02	\N	\N	\N	\N	\N	\N	f	
15886	ce3343f7-4951-4e37-a685-1bc5317a5a38	Sabbia	Sabbia	4	0	2013-07-22 02:25:23.668593+02	\N	\N	\N	\N	\N	\N	f	
14190	2d98bd03-dfa5-484c-b97d-91f8c6dbce8f	Prossedi	Prossedi	4	0	2013-07-21 20:43:17.408085+02	\N	\N	\N	\N	\N	\N	f	
14603	762cfa8a-f92c-4818-9606-03a26704e411	Frinco	Frinco	4	0	2013-07-21 22:15:08.935772+02	\N	\N	\N	\N	\N	\N	f	
17613	e83494e8-d4b4-4c02-8d67-c201e3dd675c	Zerbolò	Zerbolò	4	0	2013-07-22 06:49:05.420034+02	\N	\N	\N	\N	\N	\N	f	
14676	cfab448c-0926-4169-be8f-fa863fd034af	Escalaplano	Escalaplano	4	0	2013-07-21 22:31:22.509886+02	\N	\N	\N	\N	\N	\N	f	
16677	547b185b-0c02-4537-a92c-a7d760ba89b5	Ronzone	Ronzone	4	0	2013-07-22 04:07:16.493761+02	\N	\N	\N	\N	\N	\N	f	
15237	c32a0435-4e82-4e62-98b8-b5c0493d462e	Preci	Preci	4	0	2013-07-22 00:04:19.675996+02	\N	\N	\N	\N	\N	\N	f	
24286	dad21fe0-c07e-4638-9b4d-3697fca74a54	Sunny Isles Beach	Sunny Isles Beach	3	0	2013-09-07 05:37:40.789116+02	\N	\N	\N	\N	\N	\N	f	
17226	a88442a4-2a0e-4ba7-8a23-07d1f5f41625	Pedesina	Pedesina	4	0	2013-07-22 06:00:38.738986+02	\N	\N	\N	\N	\N	\N	f	
15262	c1d482f6-f488-40e9-bf98-380f4e6ba16f	Valgrana	Valgrana	4	0	2013-07-22 00:07:09.079025+02	\N	\N	\N	\N	\N	\N	f	
15284	f6b4c8b7-cefb-420f-bc7a-df91ac0613cb	Spoleto	Spoleto	4	0	2013-07-22 00:10:37.682677+02	\N	\N	\N	\N	\N	\N	f	
15295	0c83f527-388d-4eb2-8665-92309b0f25e1	Vallo di Nera	Vallo di Nera	4	0	2013-07-22 00:13:15.667658+02	\N	\N	\N	\N	\N	\N	f	
17257	fec3829b-0f2c-4304-8495-7b6ce5e5aed4	Villa Verde	Villa Verde	4	0	2013-07-22 06:04:30.325341+02	\N	\N	\N	\N	\N	\N	f	
15430	8e55c8fc-6c3c-43b6-b7d8-47da9b5b3457	Cressa	Cressa	4	0	2013-07-22 00:43:28.540419+02	\N	\N	\N	\N	\N	\N	f	
26320	c9e6b778-7cd7-44c4-b3c0-d41a9d09ad9b	Louisville, Nebraska	Louisville, Nebraska	3	0	2013-09-07 23:22:35.06674+02	\N	\N	\N	\N	\N	\N	f	
19978	2b47c3d2-cab2-46bf-ad8b-7b5094bd8404	Terranova di Pollino	Terranova di Pollino	4	0	2013-07-22 12:03:02.341738+02	\N	\N	\N	\N	\N	\N	f	
24334	4ad3bef2-9847-4d61-a0ff-37f09a96af55	Lake Station	Lake Station	3	0	2013-09-07 06:17:34.052527+02	\N	\N	\N	\N	\N	\N	f	
18566	a8067cd3-98c4-442a-af8e-3601f859c23f	Ponte di Piave	Ponte di Piave	4	0	2013-07-22 08:46:53.706876+02	\N	\N	\N	\N	\N	\N	f	
18569	6be94fbf-d313-4065-9cb5-f26d86d8346a	Costermano	Costermano	4	0	2013-07-22 08:47:17.933075+02	\N	\N	\N	\N	\N	\N	f	
20691	df0d116b-face-40bc-8fdd-ed4d47250041	Sorbo Serpico	Sorbo Serpico	4	0	2013-07-23 08:45:23.566364+02	\N	\N	\N	\N	\N	\N	f	
18570	39147918-2044-453a-9e22-30f52dab6b53	Pieve di Soligo	Pieve di Soligo	4	0	2013-07-22 08:47:21.440611+02	\N	\N	\N	\N	\N	\N	f	
18571	72393aff-8834-40eb-817e-6e83ce7c7b1f	Loria	Loria	4	0	2013-07-22 08:47:30.009514+02	\N	\N	\N	\N	\N	\N	f	
19582	a2578e07-aede-4966-abdf-81532cf7abf3	Alberona	Alberona	4	0	2013-07-22 10:56:58.638547+02	\N	\N	\N	\N	\N	\N	f	
20702	1b0c9db5-e5dc-44e8-828f-196e7e4b25e5	Roccabascerana	Roccabascerana	4	0	2013-07-23 08:47:37.309383+02	\N	\N	\N	\N	\N	\N	f	
19596	803eac7e-033e-455a-a2a7-63787780a4d4	Cagnano Varano	Cagnano Varano	4	0	2013-07-22 10:59:43.580987+02	\N	\N	\N	\N	\N	\N	f	
19601	b0349b66-80ea-46f1-b392-302d1ef67929	San Michele Salentino	San Michele Salentino	4	0	2013-07-22 11:00:47.782352+02	\N	\N	\N	\N	\N	\N	f	
24840	e742d96f-4f27-4273-abc2-aa66f3d1b8fd	Iowa Falls	Iowa Falls	3	0	2013-09-07 08:48:43.752572+02	\N	\N	\N	\N	\N	\N	f	
20716	2f88e9f1-4c4b-4a52-b4ab-7cfeab11b6e5	Santa Paolina	Santa Paolina	4	0	2013-07-23 08:50:28.431277+02	\N	\N	\N	\N	\N	\N	f	
20795	e73daf51-b60f-4e36-aec1-388d3eef423b	Acquaviva Picena	Acquaviva Picena	4	0	2013-07-23 11:45:49.2031+02	\N	\N	\N	\N	\N	\N	f	
20896	018d6d21-8ce1-49e0-9bea-908e17fd1feb	Castel Volturno	Castel Volturno	4	0	2013-07-23 14:47:39.172059+02	\N	\N	\N	\N	\N	\N	f	
25355	17a029bc-85d4-4438-9103-3aec7454f68c	Clemons	Clemons	3	0	2013-09-07 11:30:26.040061+02	\N	\N	\N	\N	\N	\N	f	
26605	e1f01ac6-1214-4020-845c-32f326989e7d	Louisiana	Louisiana	3	0	2013-09-08 01:20:01.081264+02	\N	\N	\N	\N	\N	\N	f	
25437	cfcf0e72-03d4-413d-9771-e8cec8360402	Neosho Falls, Kansas	Neosho Falls, Kansas	3	0	2013-09-07 11:50:11.986111+02	\N	\N	\N	\N	\N	\N	f	
23870	94e76d0c-cddc-408b-98b3-404b627db581	McNeil	McNeil	3	0	2013-09-06 20:41:23.362391+02	\N	\N	\N	\N	\N	\N	f	
23904	f597af6a-2a33-4fb0-ac16-bbb8139149d5	Chidester	Chidester	3	0	2013-09-06 20:50:56.789913+02	\N	\N	\N	\N	\N	\N	f	
25871	8ee932b2-113a-4bc1-bfc4-06dc437d686a	Mandeville, Louisiana	Mandeville, Louisiana	3	0	2013-09-07 15:01:09.252603+02	\N	\N	\N	\N	\N	\N	f	
23968	30e7b82a-58a4-4ec0-a5d8-7bdd48df1552	Victor, Colorado	Victor, Colorado	3	0	2013-09-06 23:32:56.911327+02	\N	\N	\N	\N	\N	\N	f	
24069	cf50f702-9820-4e9c-838f-7843f6c7539c	Leadore	Leadore	3	0	2013-09-07 02:29:43.774946+02	\N	\N	\N	\N	\N	\N	f	
27760	e7afd37f-04e0-4f9a-85d1-43d5be3dd4e5	Wynnewood	Wynnewood	3	0	2013-09-08 09:44:46.48165+02	\N	\N	\N	\N	\N	\N	f	
25904	d0be8960-e1c9-4145-b5e0-f78a80d42746	South Hutchinson, Kansas	South Hutchinson, Kansas	3	0	2013-09-07 15:09:37.683899+02	\N	\N	\N	\N	\N	\N	f	
27021	0fd4031f-d56c-45ee-b1eb-e65b3f91f492	Paris	Paris	3	0	2013-09-08 04:26:53.784391+02	\N	\N	\N	\N	\N	\N	f	
25960	b054d174-e9e0-45db-846f-d2b33f7a1fbe	Marion	Marion	3	0	2013-09-07 17:32:11.269727+02	\N	\N	\N	\N	\N	\N	f	
26305	add185b9-7c27-4e7f-8d0c-84ce80906b3e	Ellisville, Mississippi	Ellisville, Mississippi	3	0	2013-09-07 21:13:09.708817+02	\N	\N	\N	\N	\N	\N	f	
27039	1f6bc5e9-64ad-4409-9ba1-ada174b98259	Miles City	Miles City	3	0	2013-09-08 04:31:25.259548+02	\N	\N	\N	\N	\N	\N	f	
27400	6d2d3625-751e-44f3-a2a2-1c7b305f390d	Horace, North Dakota	Horace, North Dakota	3	0	2013-09-08 07:47:37.30153+02	\N	\N	\N	\N	\N	\N	f	
28324	3522dced-fedf-4ba9-960d-19d3f4abd762	Bowdle, South Dakota	Bowdle, South Dakota	3	0	2013-09-08 16:50:47.503246+02	\N	\N	\N	\N	\N	\N	f	
27703	3546e8bd-4bfd-41a7-b2e0-2de62301c5cf	Healdton, Oklahoma	Healdton, Oklahoma	3	0	2013-09-08 09:29:37.831509+02	\N	\N	\N	\N	\N	\N	f	
27717	7710c176-8bb0-4664-981b-ea46b720b544	Wadsworth	Wadsworth	3	0	2013-09-08 09:33:34.465388+02	\N	\N	\N	\N	\N	\N	f	
28046	667ca2ae-e117-4cff-a6ae-76e846606478	Oakland	Oakland	3	0	2013-09-08 12:11:03.237289+02	\N	\N	\N	\N	\N	\N	f	
28706	44ad072c-ba32-4bba-bf27-608665ad2608	Winfield	Winfield	3	0	2013-09-08 23:35:49.456421+02	\N	\N	\N	\N	\N	\N	f	
28289	8211d6c1-caba-4930-a77b-c93a9d2bf1a3	Henderson, Tennessee	Henderson, Tennessee	3	0	2013-09-08 16:41:37.49355+02	\N	\N	\N	\N	\N	\N	f	
28473	e9a648b4-132e-433d-b1d0-e852a97ff34e	Bartlett	Bartlett	3	0	2013-09-08 17:43:37.284027+02	\N	\N	\N	\N	\N	\N	f	
28702	d9135d37-1fc8-40b1-9ad6-182a0977f5aa	Runaway Bay	Runaway Bay	3	0	2013-09-08 23:34:46.694179+02	\N	\N	\N	\N	\N	\N	f	
28739	aa67e33a-6c90-4cf5-8aca-0e0c2d49f439	Humble	Humble	3	0	2013-09-08 23:45:39.276218+02	\N	\N	\N	\N	\N	\N	f	
28718	c3d4cc39-b664-46f6-b994-c36a7b8acf80	Nocona	Nocona	3	0	2013-09-08 23:38:56.083059+02	\N	\N	\N	\N	\N	\N	f	
28913	6e3571b6-bf18-4298-bf38-69630baca841	Howardwick	Howardwick	3	0	2013-09-09 01:27:04.507525+02	\N	\N	\N	\N	\N	\N	f	
29218	f69c417b-bc7e-4a5c-b0a2-543afdb8944e	Woodland	Woodland	3	0	2013-09-09 04:08:04.957302+02	\N	\N	\N	\N	\N	\N	f	
29322	33f0b6e9-b3b7-43fe-8375-43de57075b9e	Adams	Adams	3	0	2013-09-09 05:26:35.777328+02	\N	\N	\N	\N	\N	\N	f	
29427	6e94fa30-0550-4573-b77e-94581474b8e0	Saint John Figtree	Saint John Figtree	2	0	2013-09-12 09:13:53.902757+02	\N	\N	\N	\N	\N	\N	f	
29541	c3164182-ce6f-4357-a50a-b564cd5b3b3e	Chascomús	Chascomús	3	0	2013-09-29 11:23:49.148181+02	\N	\N	\N	\N	\N	\N	f	
29641	b9f644d9-5a9e-44f4-a5b8-6e8d238081e1	Esch-sur-Alzette	Esch-sur-Alzette	3	0	2013-10-11 20:21:01.765431+02	\N	\N	\N	\N	\N	\N	f	
29653	e9a5e679-743d-4b0e-b98b-01c33db31f88	Hautcharage	Hautcharage	3	0	2013-10-11 20:29:35.292643+02	\N	\N	\N	\N	\N	\N	f	
12392	05f5f7eb-3795-4d4c-a411-a764d073f61b	Nome	Nome	4	0	2013-07-15 03:41:10.89631+02	\N	\N	\N	\N	\N	\N	f	
14046	2833884a-54bb-4ed8-8a5a-5cc9316ecc6e	Morolo	Morolo	4	0	2013-07-21 20:12:11.354212+02	\N	\N	\N	\N	\N	\N	f	
14605	04a81f4a-06e8-4232-bd56-f9b1cf1eacdc	Cunico	Cunico	4	0	2013-07-21 22:15:33.833688+02	\N	\N	\N	\N	\N	\N	f	
15789	6a3e4164-84c3-4c81-a7c7-a98bebcd3826	Carate Urio	Carate Urio	4	0	2013-07-22 02:03:07.947465+02	\N	\N	\N	\N	\N	\N	f	
14624	045c7db0-428c-421b-9b31-fd5db6f12d74	San Martino Alfieri	San Martino Alfieri	4	0	2013-07-21 22:19:48.882707+02	\N	\N	\N	\N	\N	\N	f	
14773	3d4a9be7-1bf1-4215-8d3b-665570fb3b2f	Beinette	Beinette	4	0	2013-07-21 22:53:02.555072+02	\N	\N	\N	\N	\N	\N	f	
14783	41a40522-43d1-402c-a635-f540f488a27c	Camo	Camo	4	0	2013-07-21 22:55:02.680855+02	\N	\N	\N	\N	\N	\N	f	
27055	29f0fe30-b0af-4971-a2ef-67a25d18a805	Livermore, Iowa	Livermore, Iowa	3	0	2013-09-08 04:35:30.7025+02	\N	\N	\N	\N	\N	\N	f	
15141	40058de8-9e18-45a6-9adb-8f1568c5a2d1	Rocchetta Belbo	Rocchetta Belbo	4	0	2013-07-21 23:52:40.483493+02	\N	\N	\N	\N	\N	\N	f	
25357	b08a7d15-ee07-4820-bd6b-a7bcf6f7c56c	New Cambria, Kansas	New Cambria, Kansas	3	0	2013-09-07 11:31:04.518145+02	\N	\N	\N	\N	\N	\N	f	
25875	ae1607e3-7dc0-49c4-98fe-5e320f775250	Benedict, Kansas	Benedict, Kansas	3	0	2013-09-07 15:02:13.537455+02	\N	\N	\N	\N	\N	\N	f	
16008	eb538c7a-4b7d-47c7-b3b1-2f2956666a6b	Torriglia	Torriglia	4	0	2013-07-22 02:41:30.717008+02	\N	\N	\N	\N	\N	\N	f	
16019	a85be109-206b-4092-b069-62137b20ef74	Orero	Orero	4	0	2013-07-22 02:43:06.79726+02	\N	\N	\N	\N	\N	\N	f	
16678	833de10a-2570-49b7-8e07-c67f7e7e6269	Preore	Preore	4	0	2013-07-22 04:07:31.500543+02	\N	\N	\N	\N	\N	\N	f	
16746	91b735b7-d42e-475b-bc61-589c3fba1d21	Castrofilippo	Castrofilippo	4	0	2013-07-22 04:26:17.156085+02	\N	\N	\N	\N	\N	\N	f	
19979	e72293a7-3551-41eb-980b-d1b81326242b	Palazzo San Gervasio	Palazzo San Gervasio	4	0	2013-07-22 12:03:03.913103+02	\N	\N	\N	\N	\N	\N	f	
16912	3b1d51f5-4f32-4743-a950-6c5a375015a2	Canda	Canda	4	0	2013-07-22 05:08:39.329848+02	\N	\N	\N	\N	\N	\N	f	
17719	3c94a37d-46ae-4c8b-9e24-760d07f32277	Santo Stefano di Cadore	Santo Stefano di Cadore	4	0	2013-07-22 07:02:23.914014+02	\N	\N	\N	\N	\N	\N	f	
17228	305b8968-3d8b-4840-9f5d-b341ebd307fd	Bornasco	Bornasco	4	0	2013-07-22 06:00:58.637876+02	\N	\N	\N	\N	\N	\N	f	
17232	11dec788-0f0f-470c-804e-5f5d61a70f39	Cardano al Campo	Cardano al Campo	4	0	2013-07-22 06:01:27.788932+02	\N	\N	\N	\N	\N	\N	f	
25961	441fa9ac-004f-4ee2-927b-e47da8473123	Briarwood, North Dakota	Briarwood, North Dakota	3	0	2013-09-07 17:32:41.990334+02	\N	\N	\N	\N	\N	\N	f	
18572	8ca397ee-c298-4fba-a7aa-04f053e468df	Paderno del Grappa	Paderno del Grappa	4	0	2013-07-22 08:47:34.701373+02	\N	\N	\N	\N	\N	\N	f	
20693	6bcb8d9d-751b-4b4e-ac8f-6f4b40884242	Solofra	Solofra	4	0	2013-07-23 08:45:47.791293+02	\N	\N	\N	\N	\N	\N	f	
19583	44d5e855-dc64-4acf-8908-643c2c47a783	Carovigno	Carovigno	4	0	2013-07-22 10:57:10.446279+02	\N	\N	\N	\N	\N	\N	f	
19584	6a69b26e-3f49-4c06-bf33-ad62885aea1d	Apricena	Apricena	4	0	2013-07-22 10:57:22.154948+02	\N	\N	\N	\N	\N	\N	f	
27066	6cc02321-a7e1-4418-824e-53a064347a2b	Hawarden, Iowa	Hawarden, Iowa	3	0	2013-09-08 04:38:29.3259+02	\N	\N	\N	\N	\N	\N	f	
20705	47c90a39-8c55-4c52-a346-1e17866fcae3	Torrioni	Torrioni	4	0	2013-07-23 08:48:13.990711+02	\N	\N	\N	\N	\N	\N	f	
26056	892312e5-ee0f-4c5c-958a-ce79913b6b8e	Labette	Labette	3	0	2013-09-07 17:58:31.645435+02	\N	\N	\N	\N	\N	\N	f	
20798	3889ba18-267b-4b49-9b44-17e82442691d	Carassai	Carassai	4	0	2013-07-23 11:46:25.070483+02	\N	\N	\N	\N	\N	\N	f	
20897	f01512a1-6b96-4ac2-a730-cdcaaa73839e	Frignano	Frignano	4	0	2013-07-23 14:47:51.127584+02	\N	\N	\N	\N	\N	\N	f	
27402	f4f0c3a6-d309-4b45-9935-c381e1095698	Dodge, North Dakota	Dodge, North Dakota	3	0	2013-09-08 07:48:05.289002+02	\N	\N	\N	\N	\N	\N	f	
20904	f621d837-ff85-480f-86b7-7fac08183b8f	Castel di Sasso	Castel di Sasso	4	0	2013-07-23 14:49:15.885713+02	\N	\N	\N	\N	\N	\N	f	
26094	f4624329-399a-4ccc-958f-95f1721ed5b4	Templeton, Iowa	Templeton, Iowa	3	0	2013-09-07 18:08:34.420803+02	\N	\N	\N	\N	\N	\N	f	
26306	cc65479d-bfe6-48ff-a8e9-7e96fc5465f3	Rowan, Iowa	Rowan, Iowa	3	0	2013-09-07 21:13:24.526942+02	\N	\N	\N	\N	\N	\N	f	
28322	0c047c4b-bfe2-4bab-a8c4-d129354d09eb	Lafayette, Tennessee	Lafayette, Tennessee	3	0	2013-09-08 16:50:20.100209+02	\N	\N	\N	\N	\N	\N	f	
26321	d7c683f0-3eb9-4785-b3da-b2e42357ac50	Nebraska City, Nebraska	Nebraska City, Nebraska	3	0	2013-09-07 23:22:58.685282+02	\N	\N	\N	\N	\N	\N	f	
23872	91ddf022-b315-43a5-8ae3-dca068bc6862	Leslie	Leslie	3	0	2013-09-06 20:41:49.990546+02	\N	\N	\N	\N	\N	\N	f	
27409	6401d6db-9f47-4b4e-9684-6fb85bd687e6	Benedict, North Dakota	Benedict, North Dakota	3	0	2013-09-08 07:49:47.060005+02	\N	\N	\N	\N	\N	\N	f	
23969	5386b590-fb06-4c61-994d-b4bd6d30745d	Fort Lupton	Fort Lupton	3	0	2013-09-06 23:33:16.898492+02	\N	\N	\N	\N	\N	\N	f	
26354	756bc1e7-a833-45b0-b145-d8ef46fa945d	Geneseo, Kansas	Geneseo, Kansas	3	0	2013-09-07 23:33:39.578742+02	\N	\N	\N	\N	\N	\N	f	
23975	b44fd0d8-c775-4ff3-ba91-5828839ccc13	Norwood	Norwood	3	0	2013-09-06 23:35:18.897038+02	\N	\N	\N	\N	\N	\N	f	
24071	de6a04c0-ab88-4c05-8425-ac44a519811b	Dietrich	Dietrich	3	0	2013-09-07 02:30:17.879118+02	\N	\N	\N	\N	\N	\N	f	
24287	03b105de-f02a-4bae-9e61-99c942dbfff2	Port Richey	Port Richey	3	0	2013-09-07 05:37:54.31281+02	\N	\N	\N	\N	\N	\N	f	
26607	f2b67473-e526-46d9-8219-40de95f73a8a	Summerfield, Kansas	Summerfield, Kansas	3	0	2013-09-08 01:20:30.73239+02	\N	\N	\N	\N	\N	\N	f	
24843	9e848153-c1e4-473f-a4ee-c491f5d2f559	North Liberty	North Liberty	3	0	2013-09-07 08:49:27.395149+02	\N	\N	\N	\N	\N	\N	f	
27026	6fb3df61-1fee-43c2-83bd-d93239eae362	Frankford	Frankford	3	0	2013-09-08 04:28:09.977857+02	\N	\N	\N	\N	\N	\N	f	
27054	cbe509cf-33f8-4877-a9fe-9eee1b8baa6d	Truesdale	Truesdale	3	0	2013-09-08 04:35:09.077657+02	\N	\N	\N	\N	\N	\N	f	
29219	a400d72c-9028-4931-b8d0-da6bb0be1b7f	Sultan	Sultan	3	0	2013-09-09 04:09:02.838167+02	\N	\N	\N	\N	\N	\N	f	
27704	adcdc9a8-eb68-4933-8edc-91edfefc5481	Warrensville Heights	Warrensville Heights	3	0	2013-09-08 09:29:51.438741+02	\N	\N	\N	\N	\N	\N	f	
28474	38ef26d3-9c42-4576-b4ac-9aaa1109c9a5	Kirby	Kirby	3	0	2013-09-08 20:17:10.176012+02	\N	\N	\N	\N	\N	\N	f	
28048	f0e5c782-8bd8-4edf-866c-80c904109129	Odebolt	Odebolt	3	0	2013-09-08 12:11:37.479841+02	\N	\N	\N	\N	\N	\N	f	
28077	8c80219f-4163-437e-b4fd-7fcd6f555ab2	Ozyory	Ozyory	3	0	2013-09-08 12:23:48.598599+02	\N	\N	\N	\N	\N	\N	f	
28290	6b0a4e9c-cec7-4438-bb19-cc07c24fcf12	Keystone, South Dakota	Keystone, South Dakota	3	0	2013-09-08 16:41:52.488997+02	\N	\N	\N	\N	\N	\N	f	
28704	5c11b02b-8b4c-4cc7-a255-dd64ebf01ad8	Prairie View	Prairie View	3	0	2013-09-08 23:35:17.732284+02	\N	\N	\N	\N	\N	\N	f	
28914	ee9453ea-c6dd-465d-a750-d699bd5fde41	Pearsall	Pearsall	3	0	2013-09-09 01:27:20.703089+02	\N	\N	\N	\N	\N	\N	f	
29249	8755106a-46f2-45e8-9c31-aa3ea15933f2	Sistersville, West Virginia	Sistersville, West Virginia	3	0	2013-09-09 04:19:41.115022+02	\N	\N	\N	\N	\N	\N	f	
28925	e28f8112-52a7-4401-88ab-46dc5f9f62a8	Groesbeck	Groesbeck	3	0	2013-09-09 01:30:49.221008+02	\N	\N	\N	\N	\N	\N	f	
29323	b268aca6-cfa6-467c-8ee2-e74a78e0cd08	Blair	Blair	3	0	2013-09-09 05:26:49.38595+02	\N	\N	\N	\N	\N	\N	f	
29548	f2284101-f884-4319-b623-abdecd896576	La Plata	La Plata	3	0	2013-09-29 11:27:09.198956+02	\N	\N	\N	\N	\N	\N	f	
29428	474d3790-d511-4dea-bb3c-5e1b949166c3	Saint Paul Charlestown	Saint Paul Charlestown	2	0	2013-09-12 09:14:29.870317+02	\N	\N	\N	\N	\N	\N	f	
29542	f7848e15-8bcf-4378-867f-7650ce5d0f0c	Allen	Allen	3	0	2013-09-29 11:24:23.695812+02	\N	\N	\N	\N	\N	\N	f	
29642	4ea5b9a3-a6d8-409a-b3a4-6438669d5b49	Dudelange	Dudelange	3	0	2013-10-11 20:21:17.286507+02	\N	\N	\N	\N	\N	\N	f	
12393	2293fb9d-6a6d-4aee-a730-266f08255144	Skien	Skien	4	0	2013-07-15 03:41:23.383632+02	\N	\N	\N	\N	\N	\N	f	
12394	d2300005-2c25-4e81-aef4-300c05350265	Notodden	Notodden	4	0	2013-07-15 03:41:35.381134+02	\N	\N	\N	\N	\N	\N	f	
14051	6c5afc26-0afd-4a6e-b85f-977ac58011c7	Rocca d'Arce	Rocca d'Arce	4	0	2013-07-21 20:13:10.872819+02	\N	\N	\N	\N	\N	\N	f	
12433	452e2eeb-5495-4b61-ad96-46eb0d945982	Agdenes	Agdenes	4	0	2013-07-15 03:51:52.685855+02	\N	\N	\N	\N	\N	\N	f	
12494	fce3ff1f-5c4b-4324-b081-9059e0f7f984	Granvin	Granvin	4	0	2013-07-15 04:04:00.156967+02	\N	\N	\N	\N	\N	\N	f	
12567	13cfeed9-ef5e-4624-a858-d529989b7329	Halsa	Halsa	4	0	2013-07-15 04:19:30.99509+02	\N	\N	\N	\N	\N	\N	f	
14220	3f426326-2abd-4777-a917-e326ce2bdc31	Carrara	Carrara	4	0	2013-07-21 20:49:41.539446+02	\N	\N	\N	\N	\N	\N	f	
12616	b7e278e0-0be4-4a0b-ba8b-f8e9c5cc8055	Steigen	Steigen	4	0	2013-07-15 04:29:05.844324+02	\N	\N	\N	\N	\N	\N	f	
12628	868512d1-4217-4ee1-ad02-b8b3b70ec2c0	Bardu	Bardu	4	0	2013-07-15 04:31:24.569239+02	\N	\N	\N	\N	\N	\N	f	
15790	c8c9cb18-40d7-4ab0-8f3d-a8fce2347c74	Campione d'Italia	Campione d'Italia	4	0	2013-07-22 02:03:20.917226+02	\N	\N	\N	\N	\N	\N	f	
14228	3e28831d-509a-423e-87a5-9f9ad818f7fd	Lucca	Lucca	4	0	2013-07-21 20:51:16.23759+02	\N	\N	\N	\N	\N	\N	f	
14608	de69dbf3-e5ba-4ae2-a471-6e339f6ef0b4	Cortiglione	Cortiglione	4	0	2013-07-21 22:16:17.640727+02	\N	\N	\N	\N	\N	\N	f	
14762	05d03d1d-86b3-490a-9c12-2a449b5ae085	Veglio	Veglio	4	0	2013-07-21 22:50:13.230696+02	\N	\N	\N	\N	\N	\N	f	
15934	158d381a-cb73-4bd3-b50d-d4ac4af872b5	Caldonazzo	Caldonazzo	4	0	2013-07-22 02:32:24.313734+02	\N	\N	\N	\N	\N	\N	f	
14797	efca89c0-335d-485f-a4c8-a0d45b6fdbaa	Cernusco sul Naviglio	Cernusco sul Naviglio	4	0	2013-07-21 22:57:56.176543+02	\N	\N	\N	\N	\N	\N	f	
23875	f32e12c0-fe0b-4a70-a603-710a9caadfa9	Jasper	Jasper	3	0	2013-09-06 20:42:30.515037+02	\N	\N	\N	\N	\N	\N	f	
15219	e1e6e9b4-1ce6-4f2b-b063-b814bf054762	Sommariva Perno	Sommariva Perno	4	0	2013-07-22 00:02:00.850178+02	\N	\N	\N	\N	\N	\N	f	
17615	a664c13c-3222-4fbe-a7f5-4d80457a4412	Tambre	Tambre	4	0	2013-07-22 06:49:18.176295+02	\N	\N	\N	\N	\N	\N	f	
15358	330e6e3c-fdf8-4049-a350-5be85212ea67	Seggiano	Seggiano	4	0	2013-07-22 00:27:27.930317+02	\N	\N	\N	\N	\N	\N	f	
15361	5e973772-8418-403e-bbea-b9d3ebbb8902	Giuncugnano	Giuncugnano	4	0	2013-07-22 00:28:17.377426+02	\N	\N	\N	\N	\N	\N	f	
15368	aba8a940-5379-461b-95fb-924f1ef93544	Minucciano	Minucciano	4	0	2013-07-22 00:29:44.452084+02	\N	\N	\N	\N	\N	\N	f	
15388	b1ac6bcd-6456-4f4f-9297-ca8acefd2a7e	Borgo Ticino	Borgo Ticino	4	0	2013-07-22 00:34:15.730822+02	\N	\N	\N	\N	\N	\N	f	
16036	a2e6bc92-5563-4285-ba35-f58c88d02634	Cimego	Cimego	4	0	2013-07-22 02:45:02.214498+02	\N	\N	\N	\N	\N	\N	f	
16054	dd85f5bf-a53b-486b-894f-3a6f57113829	Cimone	Cimone	4	0	2013-07-22 02:47:14.896323+02	\N	\N	\N	\N	\N	\N	f	
23970	0efd1e4c-2a62-4c3b-aa6d-4fe294414084	Holyoke	Holyoke	3	0	2013-09-06 23:33:38.352409+02	\N	\N	\N	\N	\N	\N	f	
16057	7369fd55-ce95-4b0f-a719-d696c06cf57d	Ceriana	Ceriana	4	0	2013-07-22 02:47:29.784145+02	\N	\N	\N	\N	\N	\N	f	
16679	5e11132d-27fd-46b2-b4bd-c99e5bf2df58	Roncegno Terme	Roncegno Terme	4	0	2013-07-22 04:07:45.068861+02	\N	\N	\N	\N	\N	\N	f	
19983	ff0bd07f-7fa9-4c83-b164-b6104eb7dcd7	Rapolla	Rapolla	4	0	2013-07-22 12:03:34.876861+02	\N	\N	\N	\N	\N	\N	f	
16683	b0ba885c-0b05-442b-804c-9612152838ac	San Lorenzo in Banale	San Lorenzo in Banale	4	0	2013-07-22 04:08:43.700137+02	\N	\N	\N	\N	\N	\N	f	
18573	2a6a0e99-0a36-4c6c-a318-6fe5068547a7	Brogliano	Brogliano	4	0	2013-07-22 08:47:41.915412+02	\N	\N	\N	\N	\N	\N	f	
16692	985f714b-0d89-4f1f-8409-fc3d902e1e2c	Praso	Praso	4	0	2013-07-22 04:10:52.045641+02	\N	\N	\N	\N	\N	\N	f	
16699	4052fe8c-f531-4284-b6dc-1f85f276ff6f	Spiazzo	Spiazzo	4	0	2013-07-22 04:12:46.364939+02	\N	\N	\N	\N	\N	\N	f	
16711	9a406602-cb13-4584-9c6e-cb3d8bdcf580	Valda	Valda	4	0	2013-07-22 04:16:12.794089+02	\N	\N	\N	\N	\N	\N	f	
18602	6e69436a-c440-4674-95a7-85e1bd10562b	Carrè	Carrè	4	0	2013-07-22 08:51:11.688757+02	\N	\N	\N	\N	\N	\N	f	
17229	956ce254-b70b-4cec-8842-76b7dc2f93d7	Illorai	Illorai	4	0	2013-07-22 06:01:12.258104+02	\N	\N	\N	\N	\N	\N	f	
18621	31c12290-0f24-41a2-8388-393619afd411	Gallio	Gallio	4	0	2013-07-22 08:53:42.392442+02	\N	\N	\N	\N	\N	\N	f	
19992	7a3d9d78-2433-4dad-9812-10bdb97853a2	Pietragalla	Pietragalla	4	0	2013-07-22 12:04:47.961505+02	\N	\N	\N	\N	\N	\N	f	
19585	49e96d73-1302-4e51-b2a5-06ce605c68d5	Celenza Valfortore	Celenza Valfortore	4	0	2013-07-22 10:57:33.771993+02	\N	\N	\N	\N	\N	\N	f	
19617	d3af40dd-0a64-4704-aa74-c348eb2baa1c	Carosino	Carosino	4	0	2013-07-22 11:04:35.265662+02	\N	\N	\N	\N	\N	\N	f	
23976	ae9ca8d8-8687-48a4-8452-4cb7a627b753	Wheatland, California	Wheatland, California	3	0	2013-09-06 23:35:55.407868+02	\N	\N	\N	\N	\N	\N	f	
19626	28410a5e-1eb9-4e6a-9a16-08c1b1b06c83	Monte Sant'Angelo	Monte Sant'Angelo	4	0	2013-07-22 11:06:57.717883+02	\N	\N	\N	\N	\N	\N	f	
19643	6119b582-dd3f-4281-844f-44c6c15b6090	San Nicandro Garganico	San Nicandro Garganico	4	0	2013-07-22 11:10:28.862067+02	\N	\N	\N	\N	\N	\N	f	
25372	711ef2df-6338-4e7e-9e7b-84b68e5c9b5e	Pomona, Kansas	Pomona, Kansas	3	0	2013-09-07 11:34:52.661738+02	\N	\N	\N	\N	\N	\N	f	
17689	3558cb17-2149-4b96-a03c-55a91cadc85c	Pieve Porto Morone	Pieve Porto Morone	4	0	2013-07-22 15:01:28.058857+02	\N	\N	\N	\N	\N	\N	f	
24073	a7037feb-cd02-4478-91c5-b4589291bf7c	Oldtown	Oldtown	3	0	2013-09-07 02:30:48.187308+02	\N	\N	\N	\N	\N	\N	f	
20696	22804794-b912-4dae-9bbb-83041600f852	Torre Le Nocelle	Torre Le Nocelle	4	0	2013-07-23 08:46:24.101432+02	\N	\N	\N	\N	\N	\N	f	
20809	1a0999f9-6c4d-4d25-a232-05739bea2c44	Ponte	Ponte	4	0	2013-07-23 11:49:34.36323+02	\N	\N	\N	\N	\N	\N	f	
20898	f99b4bee-b42a-498c-9b8d-4eca7d58d81e	Lusciano	Lusciano	4	0	2013-07-23 14:48:03.204721+02	\N	\N	\N	\N	\N	\N	f	
24078	fa79b576-cd0f-463d-aad6-dc6d89fa6038	Butte City	Butte City	3	0	2013-09-07 02:32:04.290277+02	\N	\N	\N	\N	\N	\N	f	
20901	c2bc93d0-4022-4011-82d0-b153c2e421fd	Curti, Campania	Curti, Campania	4	0	2013-07-23 14:48:39.76121+02	\N	\N	\N	\N	\N	\N	f	
25879	22713ef0-a711-418a-a3e4-40b56b7c5067	Lancaster, Kentucky	Lancaster, Kentucky	3	0	2013-09-07 15:03:16.49105+02	\N	\N	\N	\N	\N	\N	f	
24290	cd01df71-4540-49f5-b814-0f2834989cce	Temple Terrace	Temple Terrace	3	0	2013-09-07 05:38:35.013302+02	\N	\N	\N	\N	\N	\N	f	
24846	9e64b74d-8135-43d7-9c24-13ffe0a2fd7a	Anthon	Anthon	3	0	2013-09-07 08:50:16.301657+02	\N	\N	\N	\N	\N	\N	f	
26322	d38f334a-39b8-4589-aee5-299d3dc8fa9c	Fitchburg	Fitchburg	3	0	2013-09-07 23:25:07.86358+02	\N	\N	\N	\N	\N	\N	f	
25359	da2daa73-a1a4-4fef-ae1c-0631616d1af4	Hepler, Kansas	Hepler, Kansas	3	0	2013-09-07 11:31:34.584014+02	\N	\N	\N	\N	\N	\N	f	
25962	4f318461-8499-4c4d-a023-daec47e5bb46	Diamondhead, Mississippi	Diamondhead, Mississippi	3	0	2013-09-07 17:32:56.987002+02	\N	\N	\N	\N	\N	\N	f	
26310	db38b272-5385-451c-a406-104c6d7d4feb	Clinton, Mississippi	Clinton, Mississippi	3	0	2013-09-07 21:14:36.329547+02	\N	\N	\N	\N	\N	\N	f	
27030	b4231529-c4b8-4438-a301-f83b20bd6ba3	Rich Hill	Rich Hill	3	0	2013-09-08 04:29:08.980981+02	\N	\N	\N	\N	\N	\N	f	
26608	0d5b0476-b13f-42f1-a1d8-53dad26fde09	Danville, Iowa	Danville, Iowa	3	0	2013-09-08 01:20:46.495499+02	\N	\N	\N	\N	\N	\N	f	
27101	1e77bd84-bade-4b34-839d-2c8b8a347781	Lenoir, North Carolina	Lenoir, North Carolina	3	0	2013-09-08 05:23:37.332123+02	\N	\N	\N	\N	\N	\N	f	
26652	3723b003-18eb-446b-aa72-164de3f508d0	Pass Christian	Pass Christian	3	0	2013-09-08 01:53:41.727883+02	\N	\N	\N	\N	\N	\N	f	
27063	738dd103-e3ee-43db-a90e-23592c3001df	Normandy	Normandy	3	0	2013-09-08 04:37:41.735337+02	\N	\N	\N	\N	\N	\N	f	
27042	2c36f58a-577f-4cf8-982b-1a57783e7c20	Strasburg	Strasburg	3	0	2013-09-08 04:32:07.462703+02	\N	\N	\N	\N	\N	\N	f	
27057	9e68627f-7b4c-436e-805f-776160b67181	Augusta	Augusta	3	0	2013-09-08 04:36:04.203885+02	\N	\N	\N	\N	\N	\N	f	
27403	f2bc69a8-1543-479f-bcf5-66fd6bebd1fa	Mylo, North Dakota	Mylo, North Dakota	3	0	2013-09-08 07:48:19.113909+02	\N	\N	\N	\N	\N	\N	f	
27705	c2c55841-30e6-4d0f-9b40-672199a0a6ed	Heavener, Oklahoma	Heavener, Oklahoma	3	0	2013-09-08 09:30:05.267697+02	\N	\N	\N	\N	\N	\N	f	
27791	b3cd57e4-a806-45d5-81be-f41f5955c1bd	Craig	Craig	3	0	2013-09-08 09:58:33.305325+02	\N	\N	\N	\N	\N	\N	f	
27795	1950fa9d-38a6-4101-9d80-25920c08a15e	Chula	Chula	3	0	2013-09-08 09:59:39.023829+02	\N	\N	\N	\N	\N	\N	f	
28049	e2ef421f-90f0-44ff-a3f9-0b395072dc68	Dmitrov	Dmitrov	3	0	2013-09-08 12:14:46.717077+02	\N	\N	\N	\N	\N	\N	f	
28291	b05e1ab5-acbb-4832-8a60-c1fd5ec1efe6	Tripp, South Dakota	Tripp, South Dakota	3	0	2013-09-08 16:42:06.466263+02	\N	\N	\N	\N	\N	\N	f	
28475	7adb1cd3-e47b-4a3d-aa98-67e2d66e28d2	Redwater	Redwater	3	0	2013-09-08 20:17:31.33612+02	\N	\N	\N	\N	\N	\N	f	
12395	56fb5205-009d-4018-b784-313d99f8c136	Tokke	Tokke	4	0	2013-07-15 03:41:47.169589+02	\N	\N	\N	\N	\N	\N	f	
12396	49ec89f1-5480-490d-b023-fa50b803906e	Sauherad	Sauherad	4	0	2013-07-15 03:41:58.738467+02	\N	\N	\N	\N	\N	\N	f	
12398	2bb74e80-a87d-40c6-a330-e14419ae5813	Siljan	Siljan	4	0	2013-07-15 03:42:22.517352+02	\N	\N	\N	\N	\N	\N	f	
14052	e2f34e29-05ef-43c6-ad76-a67784788aba	Belmonte Castello	Belmonte Castello	4	0	2013-07-21 20:13:23.419871+02	\N	\N	\N	\N	\N	\N	f	
12410	a2b6d338-ea5d-4171-a6bc-868a93555983	Åmot	Åmot	4	0	2013-07-15 03:45:02.465838+02	\N	\N	\N	\N	\N	\N	f	
12415	1e1b08c6-72a8-48a4-99d4-f785f09f6eda	Åfjord	Åfjord	4	0	2013-07-15 03:45:59.500301+02	\N	\N	\N	\N	\N	\N	f	
12419	02fe51c4-03df-4719-bc2e-41178bf5092f	Ørskog	Ørskog	4	0	2013-07-15 03:47:28.862072+02	\N	\N	\N	\N	\N	\N	f	
14060	db764139-180a-41ca-b60c-0226c769181e	Fiuggi	Fiuggi	4	0	2013-07-21 20:14:57.958599+02	\N	\N	\N	\N	\N	\N	f	
12438	cb77a090-782c-4a9a-b6d1-e5c61f54e41b	Smøla	Smøla	4	0	2013-07-15 03:53:09.621142+02	\N	\N	\N	\N	\N	\N	f	
12448	9cbe12cb-1147-4a9a-b94b-d55111aa6a94	Fjell	Fjell	4	0	2013-07-15 03:55:04.27369+02	\N	\N	\N	\N	\N	\N	f	
15793	5b967378-9e2d-4763-be8d-50c121c92d99	Cerano d'Intelvi	Cerano d'Intelvi	4	0	2013-07-22 02:04:12.280728+02	\N	\N	\N	\N	\N	\N	f	
12516	b3fa4cc6-1136-403c-962a-506f68243093	Ringebu	Ringebu	4	0	2013-07-15 04:08:23.104627+02	\N	\N	\N	\N	\N	\N	f	
14610	a1afbfff-baab-433d-ba27-ddd820b757ff	Moasca	Moasca	4	0	2013-07-21 22:16:41.157706+02	\N	\N	\N	\N	\N	\N	f	
12530	097cc6b9-159e-4d2a-a422-647080f22256	Sandøy	Sandøy	4	0	2013-07-15 04:11:47.355969+02	\N	\N	\N	\N	\N	\N	f	
12557	4e61ccc1-83fe-4b10-a1c7-1b94aa03a32a	Lier	Lier	4	0	2013-07-15 04:17:36.148962+02	\N	\N	\N	\N	\N	\N	f	
12561	18086e8e-7104-430f-a293-42c36adb2f89	Samnanger	Samnanger	4	0	2013-07-15 04:18:22.054114+02	\N	\N	\N	\N	\N	\N	f	
14863	a408c937-e8a2-492f-a10a-7902d886655c	Casalgrasso	Casalgrasso	4	0	2013-07-21 23:13:51.979755+02	\N	\N	\N	\N	\N	\N	f	
12586	4daad656-48b1-42fb-8883-cafb690daa62	Sokndal	Sokndal	4	0	2013-07-15 04:23:09.87986+02	\N	\N	\N	\N	\N	\N	f	
15147	31b380bb-09e1-416f-ac81-1fa608aa2380	Rodello	Rodello	4	0	2013-07-21 23:53:20.745006+02	\N	\N	\N	\N	\N	\N	f	
15977	fe2152c2-6735-4627-8cc4-fec4b61d6b7b	Campomorone	Campomorone	4	0	2013-07-22 02:37:43.169019+02	\N	\N	\N	\N	\N	\N	f	
17617	2a1a2e4e-b531-4651-aee9-7ec50d8933bd	Livinallongo del Col di Lana	Livinallongo del Col di Lana	4	0	2013-07-22 06:49:31.306248+02	\N	\N	\N	\N	\N	\N	f	
16680	bf4bbe4f-8f10-4895-9aab-53889d0ab73f	Predazzo	Predazzo	4	0	2013-07-22 04:07:58.429868+02	\N	\N	\N	\N	\N	\N	f	
16866	a25a5f4b-a6ee-454a-8d69-32c715acb7b2	Villamarzana	Villamarzana	4	0	2013-07-22 04:56:56.274523+02	\N	\N	\N	\N	\N	\N	f	
17230	1abd0b1e-f542-4b23-b842-83ca07095559	Bulzi	Bulzi	4	0	2013-07-22 06:01:14.538213+02	\N	\N	\N	\N	\N	\N	f	
26323	87faf570-e254-4e3c-809f-e1b83eb72822	Peabody	Peabody	3	0	2013-09-07 23:25:23.022108+02	\N	\N	\N	\N	\N	\N	f	
19984	5af71919-4847-46d3-b071-2c33cf57ea8d	Noepoli	Noepoli	4	0	2013-07-22 12:03:48.011596+02	\N	\N	\N	\N	\N	\N	f	
17721	bd98c07b-3f40-432b-92b7-6b21ad22fc49	Canneto Pavese	Canneto Pavese	4	0	2013-07-22 07:02:36.642807+02	\N	\N	\N	\N	\N	\N	f	
17727	7837e7e3-f6aa-48f3-b27f-728c8c9af63e	Selva di Cadore	Selva di Cadore	4	0	2013-07-22 07:03:16.918262+02	\N	\N	\N	\N	\N	\N	f	
24299	09721ab6-0ef5-44b5-8b35-7f9b3e091fa2	Luthersville, Georgia	Luthersville, Georgia	3	0	2013-09-07 05:40:44.801653+02	\N	\N	\N	\N	\N	\N	f	
20048	ecf2d113-49b0-42b4-8497-acfe730ebffe	Dolegna del Collio	Dolegna del Collio	4	0	2013-07-22 12:12:50.751779+02	\N	\N	\N	\N	\N	\N	f	
17761	0f527560-161b-4643-a91a-7ec1b1d63877	Casorate Sempione	Casorate Sempione	4	0	2013-07-22 07:07:24.975217+02	\N	\N	\N	\N	\N	\N	f	
25511	67184013-9c96-4a7f-a182-fa07c777277b	Hickory Hill, Kentucky	Hickory Hill, Kentucky	3	0	2013-09-07 12:09:34.639822+02	\N	\N	\N	\N	\N	\N	f	
24339	ab0a4cab-40e3-40c5-bf43-cf8633c9aeaf	Mansfield, Georgia	Mansfield, Georgia	3	0	2013-09-07 06:19:41.451334+02	\N	\N	\N	\N	\N	\N	f	
18575	da8875b2-0260-4d3d-af0b-c6d5fa1bb1ac	Rosà	Rosà	4	0	2013-07-22 08:47:57.722726+02	\N	\N	\N	\N	\N	\N	f	
20697	1aeedcc5-28c3-48f1-a5a6-67556fac6674	Sant'Andrea di Conza	Sant'Andrea di Conza	4	0	2013-07-23 08:46:36.144962+02	\N	\N	\N	\N	\N	\N	f	
18643	aacdc483-b4e4-4448-b542-e37de2ece5e7	Schiavon	Schiavon	4	0	2013-07-22 08:56:36.151378+02	\N	\N	\N	\N	\N	\N	f	
18723	9dc9f64a-ec82-4969-b21f-e489f0343eb9	Senna Comasco	Senna Comasco	4	0	2013-07-22 09:06:33.108528+02	\N	\N	\N	\N	\N	\N	f	
19588	1c45d9e1-951f-4072-8980-ac31e92ed266	Valenzano	Valenzano	4	0	2013-07-22 10:58:08.980949+02	\N	\N	\N	\N	\N	\N	f	
20811	e5df822f-8fdf-4e2a-bd41-210b42b102ed	Solopaca	Solopaca	4	0	2013-07-23 11:50:07.116484+02	\N	\N	\N	\N	\N	\N	f	
19597	fab41b83-8b4b-4638-9e86-d72c603d3fa1	Casalnuovo Monterotaro	Casalnuovo Monterotaro	4	0	2013-07-22 10:59:55.361386+02	\N	\N	\N	\N	\N	\N	f	
19616	2edab16f-afc3-44a8-b6f3-a6b36c593e6a	Mesagne	Mesagne	4	0	2013-07-22 11:04:05.53528+02	\N	\N	\N	\N	\N	\N	f	
20899	bd59d30a-da6d-4cb3-a440-5a7c63398aff	Gioia Sannitica	Gioia Sannitica	4	0	2013-07-23 14:48:15.176756+02	\N	\N	\N	\N	\N	\N	f	
24354	178ba185-e8f9-4626-b066-e62cfee02949	Sharon	Sharon	3	0	2013-09-07 06:24:11.402429+02	\N	\N	\N	\N	\N	\N	f	
24848	39472207-cfaa-449e-9f8d-7ee7156781f1	Cylinder	Cylinder	3	0	2013-09-07 08:50:46.618903+02	\N	\N	\N	\N	\N	\N	f	
23877	b80c1d80-706d-4ba8-92b7-efe5bc49951f	Gurdon	Gurdon	3	0	2013-09-06 20:43:07.606188+02	\N	\N	\N	\N	\N	\N	f	
23971	e5b58798-d357-47b3-86b0-86a22606a11f	Sheridan	Sheridan	3	0	2013-09-06 23:34:00.199001+02	\N	\N	\N	\N	\N	\N	f	
25882	4b994ef4-2357-4865-a607-33a4e9fa4ed5	Cave City	Cave City	3	0	2013-09-07 15:04:00.630238+02	\N	\N	\N	\N	\N	\N	f	
24074	2af95a38-c680-4bf1-aec8-c174486bcaf6	Bovill	Bovill	3	0	2013-09-07 02:31:03.864426+02	\N	\N	\N	\N	\N	\N	f	
24097	145e2d8c-b006-4a2f-beab-9512a1419908	Iona	Iona	3	0	2013-09-07 02:37:13.41798+02	\N	\N	\N	\N	\N	\N	f	
24219	f43a7352-45f0-4e7e-9dae-13f7548faa43	Plant City, Florida	Plant City, Florida	3	0	2013-09-07 03:19:47.763579+02	\N	\N	\N	\N	\N	\N	f	
25963	e8962b15-e3ec-4f59-92b9-db83f92efa7d	South Lyon, Michigan	South Lyon, Michigan	3	0	2013-09-07 17:33:16.957142+02	\N	\N	\N	\N	\N	\N	f	
25360	b7e9e600-93c9-458a-ae39-e74b8de91c74	La Harpe	La Harpe	3	0	2013-09-07 11:31:47.966676+02	\N	\N	\N	\N	\N	\N	f	
25361	3f78e7ec-0d46-4226-96ce-3c5e0c6ef7f3	Delphos	Delphos	3	0	2013-09-07 11:32:01.32092+02	\N	\N	\N	\N	\N	\N	f	
26343	1986106c-9cb0-4368-b255-04a91e641a81	Iron Mountain, Michigan	Iron Mountain, Michigan	3	0	2013-09-07 23:30:45.120632+02	\N	\N	\N	\N	\N	\N	f	
26041	cebb918a-7e15-4345-aba1-5fa021ff7c8d	Worthington Hills, Kentucky	Worthington Hills, Kentucky	3	0	2013-09-07 17:53:40.169868+02	\N	\N	\N	\N	\N	\N	f	
26313	027c22df-d23a-49f9-826c-adb682265c45	Woburn	Woburn	3	0	2013-09-07 21:15:21.435871+02	\N	\N	\N	\N	\N	\N	f	
26612	dda7ee3a-b71d-4f1c-8dcc-ea2de196d645	Oliver, Georgia	Oliver, Georgia	3	0	2013-09-08 01:21:52.672177+02	\N	\N	\N	\N	\N	\N	f	
26379	46f44b66-32d6-4d89-bbda-143add117e92	Athens	Athens	3	0	2013-09-07 23:40:08.867124+02	\N	\N	\N	\N	\N	\N	f	
27412	faf7e4e6-1c50-40f2-8e4a-8030451cf790	Girard, Ohio	Girard, Ohio	3	0	2013-09-08 07:50:30.275863+02	\N	\N	\N	\N	\N	\N	f	
26610	08566bef-75f6-48a4-a9fe-fcb656943f10	Triplett, Missouri	Triplett, Missouri	3	0	2013-09-08 01:21:21.479306+02	\N	\N	\N	\N	\N	\N	f	
27404	1be7a6ac-1068-471b-9a65-77b25108b8b6	Martin, North Dakota	Martin, North Dakota	3	0	2013-09-08 07:48:32.826611+02	\N	\N	\N	\N	\N	\N	f	
27034	59b02574-1fe4-44cb-82ff-6fcce67ea90b	West Alton	West Alton	3	0	2013-09-08 04:30:08.543259+02	\N	\N	\N	\N	\N	\N	f	
27056	e7b149f0-4088-4ed9-9503-e755638eb4b0	Pleasant Hill	Pleasant Hill	3	0	2013-09-08 04:35:48.323221+02	\N	\N	\N	\N	\N	\N	f	
27706	95880070-9c30-405d-8b04-43971d9b4901	Whitehall, Ohio	Whitehall, Ohio	3	0	2013-09-08 09:30:23.859518+02	\N	\N	\N	\N	\N	\N	f	
27755	20b92594-4954-488a-83d7-7b29f0122a9a	The Village	The Village	3	0	2013-09-08 09:43:34.201531+02	\N	\N	\N	\N	\N	\N	f	
27802	359d2b2f-e381-447e-8259-b4838b8d9bb3	Sweet Springs	Sweet Springs	3	0	2013-09-08 10:01:31.929394+02	\N	\N	\N	\N	\N	\N	f	
27839	a4a31197-eac8-49ac-aa28-67cc50bce0e4	Byrnes Mill	Byrnes Mill	3	0	2013-09-08 10:11:19.996736+02	\N	\N	\N	\N	\N	\N	f	
27841	5181510b-f298-41ca-a807-e71d73db8426	Clarksburg	Clarksburg	3	0	2013-09-08 10:11:52.293174+02	\N	\N	\N	\N	\N	\N	f	
27863	00e1aae5-a184-4b4a-8c48-1fb99ba512a6	Sharon	Sharon	3	0	2013-09-08 10:17:33.974105+02	\N	\N	\N	\N	\N	\N	f	
27870	ffcbbda1-1466-4df3-a970-824300d2a960	Falls City	Falls City	3	0	2013-09-08 10:19:29.913403+02	\N	\N	\N	\N	\N	\N	f	
28058	3099990c-aed9-447a-8923-ae8833bd15c9	Voskresensk	Voskresensk	3	0	2013-09-08 12:17:54.133539+02	\N	\N	\N	\N	\N	\N	f	
12400	28bb20f8-e7cc-45ba-93d5-a79515ea8dc3	Seljord	Seljord	4	0	2013-07-15 03:42:45.546465+02	\N	\N	\N	\N	\N	\N	f	
12401	fd07dd33-6691-4247-948d-f4a2e6cb57d6	Stavanger	Stavanger	4	0	2013-07-15 03:43:05.452342+02	\N	\N	\N	\N	\N	\N	f	
12427	410d250a-65d6-4b4d-b20f-26d84dece1e7	Vĩnh Yên	Vĩnh Yên	3	0	2013-07-15 03:50:11.023945+02	\N	\N	\N	\N	\N	\N	f	
14053	5a444096-9ce9-4355-8b37-f41e620b49e7	Patrica	Patrica	4	0	2013-07-21 20:13:35.049902+02	\N	\N	\N	\N	\N	\N	f	
12432	d2c3b270-91e1-482a-a652-5c47c69a04f2	Bodø	Bodø	4	0	2013-07-15 03:51:41.135495+02	\N	\N	\N	\N	\N	\N	f	
12447	18e106b6-ac94-4a9c-b43b-b544a9cb10f2	Karmøy	Karmøy	4	0	2013-07-15 03:54:52.905339+02	\N	\N	\N	\N	\N	\N	f	
12480	126771a6-b4e1-4a01-bd09-ba5b97b2cc62	Rana	Rana	4	0	2013-07-15 04:01:19.88944+02	\N	\N	\N	\N	\N	\N	f	
14070	d29791b8-66aa-43c4-af67-5bfe07d356dd	Ripi	Ripi	4	0	2013-07-21 20:17:13.871521+02	\N	\N	\N	\N	\N	\N	f	
12590	cace2f3d-67bd-4876-921b-c5e75c287389	Målselv	Målselv	4	0	2013-07-15 04:23:56.140293+02	\N	\N	\N	\N	\N	\N	f	
12591	82637690-89fd-459e-ad93-18aa79305416	Hvaler	Hvaler	4	0	2013-07-15 04:24:07.547023+02	\N	\N	\N	\N	\N	\N	f	
15794	8a86d03b-a954-4098-a647-b234cb4af889	Carimate	Carimate	4	0	2013-07-22 02:04:26.256846+02	\N	\N	\N	\N	\N	\N	f	
14131	91cda121-bf3b-4003-8b6e-eae381e6ca17	Agugliano	Agugliano	4	0	2013-07-21 20:30:11.454472+02	\N	\N	\N	\N	\N	\N	f	
14612	8a55a087-05c9-4055-95e2-648085c274fa	Maranzana	Maranzana	4	0	2013-07-21 22:17:04.894361+02	\N	\N	\N	\N	\N	\N	f	
14713	d891161c-c37e-4046-9994-285b3e30acf3	Crevacuore	Crevacuore	4	0	2013-07-21 22:39:38.292224+02	\N	\N	\N	\N	\N	\N	f	
15843	2bfee2e7-053a-46a6-9c49-57cd72f0b02d	Cigliano	Cigliano	4	0	2013-07-22 02:14:56.649881+02	\N	\N	\N	\N	\N	\N	f	
14718	1a202d2c-007f-458b-a913-880423782063	Valdengo	Valdengo	4	0	2013-07-21 22:40:49.660451+02	\N	\N	\N	\N	\N	\N	f	
23972	dd164b74-37c1-417e-b77e-22e1d8aa4fc5	Lone Tree	Lone Tree	3	0	2013-09-06 23:34:17.128768+02	\N	\N	\N	\N	\N	\N	f	
15846	5764acc1-1fd4-4efe-aa04-ece759ccf449	Casanova Elvo	Casanova Elvo	4	0	2013-07-22 02:15:36.987733+02	\N	\N	\N	\N	\N	\N	f	
15858	3c2d569f-efcc-4486-a431-80eb78e80fa6	Fobello	Fobello	4	0	2013-07-22 02:18:35.885661+02	\N	\N	\N	\N	\N	\N	f	
15963	25c778fd-ce51-487f-87c3-037e19df19bd	Castelnuovo, Trentino	Castelnuovo, Trentino	4	0	2013-07-22 02:36:15.406851+02	\N	\N	\N	\N	\N	\N	f	
23974	9d154930-4cae-45a8-84d4-dfeabe1aee6d	Rifle, Colorado	Rifle, Colorado	3	0	2013-09-06 23:34:57.287943+02	\N	\N	\N	\N	\N	\N	f	
16681	2ba7fbc0-4e8b-4d43-ae77-8c4b98923400	Ronchi Valsugana	Ronchi Valsugana	4	0	2013-07-22 04:08:13.198783+02	\N	\N	\N	\N	\N	\N	f	
17233	4d33b5d3-d637-4934-8b56-7d04347584c1	Erula	Erula	4	0	2013-07-22 06:01:39.588231+02	\N	\N	\N	\N	\N	\N	f	
19986	0438a674-9b14-4b91-945b-cd20d2991e20	Montemurro	Montemurro	4	0	2013-07-22 12:04:01.791844+02	\N	\N	\N	\N	\N	\N	f	
17707	8007a603-eda8-4984-ae8e-8218ec43437f	Spriana	Spriana	4	0	2013-07-22 07:01:00.448925+02	\N	\N	\N	\N	\N	\N	f	
18581	c2a74edc-4a09-4014-a76a-089b2124c1af	Belfiore	Belfiore	4	0	2013-07-22 08:48:38.186979+02	\N	\N	\N	\N	\N	\N	f	
18833	846276b4-e588-4df7-820f-6101a4d9f25a	Fenegrò	Fenegrò	4	0	2013-07-22 09:19:38.155921+02	\N	\N	\N	\N	\N	\N	f	
19995	3f996bf1-d7a5-4f72-9837-8a4204a749f6	Ruvo del Monte	Ruvo del Monte	4	0	2013-07-22 12:05:05.991865+02	\N	\N	\N	\N	\N	\N	f	
18838	04f8ba52-ad9a-4773-8e25-6f962cc641e4	Porlezza	Porlezza	4	0	2013-07-22 09:20:15.594101+02	\N	\N	\N	\N	\N	\N	f	
18869	ae19a5a6-1812-40a1-8b19-43a9898e22ff	Roverchiara	Roverchiara	4	0	2013-07-22 09:23:53.127427+02	\N	\N	\N	\N	\N	\N	f	
27041	1df1bd53-bb91-4f54-8373-a62aa52406b9	Wood River	Wood River	3	0	2013-09-08 04:31:53.95045+02	\N	\N	\N	\N	\N	\N	f	
18959	0e1ec756-810c-415d-bf82-b0f6c7332bff	Minerbe	Minerbe	4	0	2013-07-22 09:34:49.537477+02	\N	\N	\N	\N	\N	\N	f	
24016	36bca23d-2524-4b99-a770-434f9ecb11d1	Burlington, Colorado	Burlington, Colorado	3	0	2013-09-06 23:52:56.16763+02	\N	\N	\N	\N	\N	\N	f	
19591	4cf0fc0e-360b-499e-96bb-50df939d6ca7	Ostuni	Ostuni	4	0	2013-07-22 10:58:44.552208+02	\N	\N	\N	\N	\N	\N	f	
20699	bfafb6fe-cf26-47f3-a9c7-339338621d85	Sirignano	Sirignano	4	0	2013-07-23 08:47:00.247124+02	\N	\N	\N	\N	\N	\N	f	
26027	8ece06fd-d9d9-4cfb-8719-b24eeaf394eb	Basehor	Basehor	3	0	2013-09-07 17:49:57.608131+02	\N	\N	\N	\N	\N	\N	f	
20708	491c6e65-34a1-446f-bda4-bd122030938a	Petruro Irpino	Petruro Irpino	4	0	2013-07-23 08:48:50.358588+02	\N	\N	\N	\N	\N	\N	f	
24075	d35b63c7-9666-418f-a300-ee348da6c8da	Swan Valley	Swan Valley	3	0	2013-09-07 02:31:18.406241+02	\N	\N	\N	\N	\N	\N	f	
20812	3ad821e1-416b-4186-8ef6-d60c0ce3fd57	San Lorenzo Maggiore	San Lorenzo Maggiore	4	0	2013-07-23 11:50:21.53575+02	\N	\N	\N	\N	\N	\N	f	
20900	ddc2e434-2ea8-4739-95b2-84a8db71dce7	Ciorlano	Ciorlano	4	0	2013-07-23 14:48:27.347096+02	\N	\N	\N	\N	\N	\N	f	
24300	8b8adc2f-dc1e-4fd7-a1c4-49bcd518dde2	Palmetto	Palmetto	3	0	2013-09-07 05:40:59.579134+02	\N	\N	\N	\N	\N	\N	f	
24849	3eaacc86-b927-4489-b3f9-154fc3a5e876	Albert City	Albert City	3	0	2013-09-07 08:51:01.145817+02	\N	\N	\N	\N	\N	\N	f	
23879	14624321-b5bc-41b4-b79a-021a0aaeb9fe	Bearden	Bearden	3	0	2013-09-06 20:43:36.685366+02	\N	\N	\N	\N	\N	\N	f	
23882	6af6124e-5c48-4f1a-b9dd-4c75f4995db7	Harrisburg	Harrisburg	3	0	2013-09-06 20:44:30.061147+02	\N	\N	\N	\N	\N	\N	f	
26096	c11ff3bd-3919-4b15-949e-a8e128a39c4a	Meadowview Estates, Kentucky	Meadowview Estates, Kentucky	3	0	2013-09-07 18:09:07.35009+02	\N	\N	\N	\N	\N	\N	f	
23883	ccd9b212-692e-42d0-acbf-e5299c614fbe	Luverne	Luverne	3	0	2013-09-06 20:44:56.546252+02	\N	\N	\N	\N	\N	\N	f	
24859	61cad00e-4528-4921-977c-956652189d59	Lockridge, Iowa	Lockridge, Iowa	3	0	2013-09-07 08:53:24.355583+02	\N	\N	\N	\N	\N	\N	f	
23903	b3299b45-9d31-43e4-90db-8a7b0b6dbaa8	Amity	Amity	3	0	2013-09-06 20:50:42.628035+02	\N	\N	\N	\N	\N	\N	f	
28059	bba1c63b-8866-4fee-99ab-4a59dff82505	Yegoryevsk	Yegoryevsk	3	0	2013-09-08 12:18:10.290526+02	\N	\N	\N	\N	\N	\N	f	
25362	85b415f7-dfe0-4c3b-8529-4ec4a177f5ec	Bennington, Kansas	Bennington, Kansas	3	0	2013-09-07 11:32:21.98991+02	\N	\N	\N	\N	\N	\N	f	
26314	fd9d354e-64b6-49af-b6ea-7388dda35593	Amesbury	Amesbury	3	0	2013-09-07 21:15:35.763533+02	\N	\N	\N	\N	\N	\N	f	
25883	af152328-21a3-42eb-9489-2ff1914ea7df	Linn, Kansas	Linn, Kansas	3	0	2013-09-07 15:04:16.434787+02	\N	\N	\N	\N	\N	\N	f	
27405	df72ac2d-e7a8-4754-846f-723ce4c43268	Balfour, North Dakota	Balfour, North Dakota	3	0	2013-09-08 07:48:46.760552+02	\N	\N	\N	\N	\N	\N	f	
25965	a9d4f89d-035b-4022-a350-257c21d46964	Osawatomie, Kansas	Osawatomie, Kansas	3	0	2013-09-07 17:33:49.92499+02	\N	\N	\N	\N	\N	\N	f	
26324	05dec85d-ae24-4901-8cfa-a653b1d7de36	Malta Bend, Missouri	Malta Bend, Missouri	3	0	2013-09-07 23:25:37.05307+02	\N	\N	\N	\N	\N	\N	f	
26613	9e0d80f6-245b-40b4-a352-5cb58f4740c1	Preston, Kansas	Preston, Kansas	3	0	2013-09-08 01:22:07.350777+02	\N	\N	\N	\N	\N	\N	f	
27709	34a87a6b-efc9-4dd5-895d-13b49b3a3b16	West Carrollton, Ohio	West Carrollton, Ohio	3	0	2013-09-08 09:31:11.801819+02	\N	\N	\N	\N	\N	\N	f	
28292	ad904f46-c91e-4c76-b1e7-4f4bad4a605b	Eagleville, Tennessee	Eagleville, Tennessee	3	0	2013-09-08 16:42:21.073932+02	\N	\N	\N	\N	\N	\N	f	
27759	59c3d6e5-685f-4ee4-ae28-7c2bd81addb8	Coweta	Coweta	3	0	2013-09-08 09:44:30.36739+02	\N	\N	\N	\N	\N	\N	f	
28556	f48ce96b-40bc-4945-93cc-bc51aaf52df3	Tomball	Tomball	3	0	2013-09-08 20:46:49.794736+02	\N	\N	\N	\N	\N	\N	f	
28312	8db6f9ff-1756-4dbf-b76c-830d38f7eb8b	Millington, Tennessee	Millington, Tennessee	3	0	2013-09-08 16:47:25.520995+02	\N	\N	\N	\N	\N	\N	f	
28476	c0aabad0-602e-48fb-a23f-ab7630a547e2	Asherton	Asherton	3	0	2013-09-08 20:17:46.093278+02	\N	\N	\N	\N	\N	\N	f	
28711	92ba45a7-f826-4cfd-be58-0fb2e27a3918	Thorndale	Thorndale	3	0	2013-09-08 23:37:07.627754+02	\N	\N	\N	\N	\N	\N	f	
28705	9b8d1c9c-4f1e-414e-a726-17d821a5ac95	Brackettville	Brackettville	3	0	2013-09-08 23:35:33.135959+02	\N	\N	\N	\N	\N	\N	f	
28915	3c478511-9548-43c7-ad7a-79e1ac01d4c2	Vernon	Vernon	3	0	2013-09-09 01:27:36.984477+02	\N	\N	\N	\N	\N	\N	f	
29220	080c5a6d-021f-4688-ae3a-f6b3e5c581ba	Tieton	Tieton	3	0	2013-09-09 04:09:17.065398+02	\N	\N	\N	\N	\N	\N	f	
29325	bdc65b46-0dc7-4977-852f-8cb88e64ab1c	Fort Atkinson	Fort Atkinson	3	0	2013-09-09 05:27:16.523688+02	\N	\N	\N	\N	\N	\N	f	
29429	44e29b32-65d5-4229-be71-1803463ff136	Saint Thomas Lowland	Saint Thomas Lowland	2	0	2013-09-12 09:15:58.4378+02	\N	\N	\N	\N	\N	\N	f	
29434	0e20e877-71e8-4444-97ff-7382bbbee822	Portishead	Portishead	3	0	2013-09-12 11:17:22.189313+02	\N	\N	\N	\N	\N	\N	f	
29441	1b7c5013-c9ce-4d04-b554-0b76289f5696	Širvintos	Širvintos	3	0	2013-09-12 14:00:22.823983+02	\N	\N	\N	\N	\N	\N	f	
29442	ef55273b-ac73-43fb-ac4c-dd6e092958a1	Hodgenville	Hodgenville	3	0	2013-09-12 14:24:26.231844+02	\N	\N	\N	\N	\N	\N	f	
12402	dc172a5a-7eb2-4405-ba96-bc7094d823ca	Gjesdal	Gjesdal	4	0	2013-07-15 03:43:16.702144+02	\N	\N	\N	\N	\N	\N	f	
12403	4c093436-be96-4317-a82f-733938485084	Trondheim	Trondheim	4	0	2013-07-15 03:43:28.084316+02	\N	\N	\N	\N	\N	\N	f	
12404	7f7dc180-8474-473a-9ca6-708a641bb91a	Hjelmeland	Hjelmeland	4	0	2013-07-15 03:43:39.977507+02	\N	\N	\N	\N	\N	\N	f	
12488	c8bd6a7e-fcbe-4088-8867-f5df003dd3b5	Klæbu	Klæbu	4	0	2013-07-15 04:02:51.454235+02	\N	\N	\N	\N	\N	\N	f	
12405	9a4c5491-2580-4e56-9a05-93db4a17d7c6	Yên Bái	Yên Bái	3	0	2013-07-15 03:43:56.059426+02	\N	\N	\N	\N	\N	\N	f	
12406	55896478-4dce-43bb-b26d-a88ea5e5702b	Grong	Grong	4	0	2013-07-15 03:44:07.574911+02	\N	\N	\N	\N	\N	\N	f	
12562	db7e5ea9-1748-49c6-9262-9e04271e6d50	Inderøy	Inderøy	4	0	2013-07-15 04:18:33.693679+02	\N	\N	\N	\N	\N	\N	f	
12408	4939a935-266b-441b-8624-2feb1cddb136	Dyrøy	Dyrøy	4	0	2013-07-15 03:44:30.368734+02	\N	\N	\N	\N	\N	\N	f	
12493	26953c64-ac0f-4d07-9342-ea0f0481a391	Averøy	Averøy	4	0	2013-07-15 04:03:48.58749+02	\N	\N	\N	\N	\N	\N	f	
12409	ebafe8b3-cb6a-4c37-96cf-519024feccde	Åseral	Åseral	4	0	2013-07-15 03:44:51.099677+02	\N	\N	\N	\N	\N	\N	f	
12412	c0086174-8b1c-4669-890c-2e618c337452	Sandnes	Sandnes	4	0	2013-07-15 03:45:25.178168+02	\N	\N	\N	\N	\N	\N	f	
12413	45a153b2-811d-4f33-ba70-64dacfc2b6a5	Drammen	Drammen	4	0	2013-07-15 03:45:36.606062+02	\N	\N	\N	\N	\N	\N	f	
12506	3fa4cb93-e9a9-442d-84dd-191521e5c5c6	Åsnes	Åsnes	4	0	2013-07-15 04:06:26.85448+02	\N	\N	\N	\N	\N	\N	f	
12414	f291cd9c-b6e2-4d4e-962b-5f14aea602ad	Årdal	Årdal	4	0	2013-07-15 03:45:48.149265+02	\N	\N	\N	\N	\N	\N	f	
12416	27696168-696a-4fdb-ae56-693bfc63df69	Øksnes	Øksnes	4	0	2013-07-15 03:46:20.665344+02	\N	\N	\N	\N	\N	\N	f	
12417	0e2aae14-1d8d-412d-a864-d8934083380a	Vik	Vik	4	0	2013-07-15 03:46:33.466923+02	\N	\N	\N	\N	\N	\N	f	
12507	02c3a57a-46ae-4037-9a97-38f08f1145d0	Hamarøy	Hamarøy	4	0	2013-07-15 04:06:38.420562+02	\N	\N	\N	\N	\N	\N	f	
12418	43dd434b-6ec9-4f9a-ad5c-00f798e49d9b	Øyer	Øyer	4	0	2013-07-15 03:47:04.309156+02	\N	\N	\N	\N	\N	\N	f	
12423	d342b248-65d4-438d-9057-9c29cdd3f3d1	Buôn Ma Thuột	Buôn Ma Thuột	3	0	2013-07-15 03:48:51.86523+02	\N	\N	\N	\N	\N	\N	f	
12570	5f80eec3-e302-4347-ab3c-8b86a8682b41	Hole	Hole	4	0	2013-07-15 04:20:05.671194+02	\N	\N	\N	\N	\N	\N	f	
12424	b8206808-16c7-476a-95cd-29d480f3475a	Øystre Slidre	Øystre Slidre	4	0	2013-07-15 03:49:06.849614+02	\N	\N	\N	\N	\N	\N	f	
12508	693fa9ff-3cf1-4d56-a2fa-c535490e67c8	Rødøy	Rødøy	4	0	2013-07-15 04:06:50.097168+02	\N	\N	\N	\N	\N	\N	f	
12426	cc2a78bd-c604-4f08-af0c-09417c292c24	Cao Lãnh	Cao Lãnh	3	0	2013-07-15 03:49:46.006355+02	\N	\N	\N	\N	\N	\N	f	
12434	87b9b99a-9479-4dab-a4b6-43140a21ef90	Nes	Nes	4	0	2013-07-15 03:52:23.771631+02	\N	\N	\N	\N	\N	\N	f	
12436	30175ff0-b21c-4903-83cc-6c11db979035	Porsanger	Porsanger	4	0	2013-07-15 03:52:46.70065+02	\N	\N	\N	\N	\N	\N	f	
12513	bdb086d7-2fe4-4931-afd6-e3760f98be16	Kvam	Kvam	4	0	2013-07-15 04:07:47.549674+02	\N	\N	\N	\N	\N	\N	f	
12449	923d4759-3e68-43bc-9175-615dbc28ca1e	Eidfjord	Eidfjord	4	0	2013-07-15 03:55:15.738828+02	\N	\N	\N	\N	\N	\N	f	
12452	d1568130-b5dc-4103-8b40-3459b0189927	Holmestrand	Holmestrand	4	0	2013-07-15 03:55:50.068724+02	\N	\N	\N	\N	\N	\N	f	
12607	0c13e7db-61a3-478d-8887-066305ead295	Bindal	Bindal	4	0	2013-07-15 04:27:21.26213+02	\N	\N	\N	\N	\N	\N	f	
12457	d4886009-feec-43f1-85e6-3892ee8f466f	Tysnes	Tysnes	4	0	2013-07-15 03:56:47.103987+02	\N	\N	\N	\N	\N	\N	f	
12521	7f46832a-80be-4c1d-9bf1-75b06a3a5f16	Ulvik	Ulvik	4	0	2013-07-15 04:09:20.717964+02	\N	\N	\N	\N	\N	\N	f	
12466	3fbc4561-0b66-4c05-9fb5-142be280bc17	Holtålen	Holtålen	4	0	2013-07-15 03:58:38.302385+02	\N	\N	\N	\N	\N	\N	f	
12468	a336be4a-72be-4836-8b5e-ebe24c770db8	Jølster	Jølster	4	0	2013-07-15 03:59:01.124316+02	\N	\N	\N	\N	\N	\N	f	
12572	6fd5a391-8e83-482e-b4b6-f2406b233455	Evenes	Evenes	4	0	2013-07-15 04:20:28.662625+02	\N	\N	\N	\N	\N	\N	f	
12479	bb709ec4-100c-4428-9c8e-0b9ecb46378b	Snillfjord	Snillfjord	4	0	2013-07-15 04:01:08.337663+02	\N	\N	\N	\N	\N	\N	f	
12481	6e3c07db-4cde-4bbc-ba12-599ffc72ac48	Nord-Aurdal	Nord-Aurdal	4	0	2013-07-15 04:01:31.374006+02	\N	\N	\N	\N	\N	\N	f	
12527	3e897f22-1b78-4d2f-9edc-43eec53464db	Vestnes	Vestnes	4	0	2013-07-15 04:10:51.645878+02	\N	\N	\N	\N	\N	\N	f	
12532	9c839b92-5355-4ae8-8b89-42bb44c6e6e0	Træna	Træna	4	0	2013-07-15 04:12:20.202482+02	\N	\N	\N	\N	\N	\N	f	
12578	99350ccb-44fe-47f2-b039-1f45feb4a3c0	Rindal	Rindal	4	0	2013-07-15 04:21:37.902198+02	\N	\N	\N	\N	\N	\N	f	
12540	292afd28-a3ee-4a02-91ae-498759737430	Alvdal	Alvdal	4	0	2013-07-15 04:14:10.276802+02	\N	\N	\N	\N	\N	\N	f	
12546	504df906-d062-4bfd-8310-1abd4e7321e4	Svelvik	Svelvik	4	0	2013-07-15 04:15:22.327592+02	\N	\N	\N	\N	\N	\N	f	
12637	bb926e59-02d9-418e-8b6b-0f599beb7175	Flora	Flora	4	0	2013-07-15 04:34:03.186418+02	\N	\N	\N	\N	\N	\N	f	
12548	e262749c-d6a3-40e2-85a2-574c5d8a2246	Trøgstad	Trøgstad	4	0	2013-07-15 04:15:45.203925+02	\N	\N	\N	\N	\N	\N	f	
12580	79c0f920-e943-4ac9-9f0d-cccf2f3cc210	Lom	Lom	4	0	2013-07-15 04:22:00.888925+02	\N	\N	\N	\N	\N	\N	f	
12549	8b9cf2d6-cf61-44a1-9fa8-d777c3befcd2	Etnedal	Etnedal	4	0	2013-07-15 04:15:56.552393+02	\N	\N	\N	\N	\N	\N	f	
12554	63b80683-2d46-4af3-8639-b9984ae39dab	Røyken	Røyken	4	0	2013-07-15 04:17:01.818056+02	\N	\N	\N	\N	\N	\N	f	
12608	aa8546f8-e86e-4db4-a76b-ff3b0a7ffae0	Tysvær	Tysvær	4	0	2013-07-15 04:27:33.048498+02	\N	\N	\N	\N	\N	\N	f	
12559	a6d2e0ef-f0ba-4410-abf6-31822cbf0f59	Hurum	Hurum	4	0	2013-07-15 04:17:59.051258+02	\N	\N	\N	\N	\N	\N	f	
12582	9340c7ba-9128-4128-a3b1-672854c6daab	Melhus	Melhus	4	0	2013-07-15 04:22:23.96285+02	\N	\N	\N	\N	\N	\N	f	
12587	54032e4c-cfcd-4e85-8f64-f577ae5e0f01	Engerdal	Engerdal	4	0	2013-07-15 04:23:21.338027+02	\N	\N	\N	\N	\N	\N	f	
12599	cd1918c0-b62c-4dd0-bd19-0eccedec4b2c	Farsund	Farsund	4	0	2013-07-15 04:25:47.481649+02	\N	\N	\N	\N	\N	\N	f	
12623	2ce1331f-bb5e-4a96-a659-4b72563289b7	Vaksdal	Vaksdal	4	0	2013-07-15 04:30:26.471057+02	\N	\N	\N	\N	\N	\N	f	
12600	61de4932-ce69-4d5c-907a-9bd04318e5f3	Vanylven	Vanylven	4	0	2013-07-15 04:25:58.93051+02	\N	\N	\N	\N	\N	\N	f	
12602	25a248ed-a6da-49db-9d32-93bfae315a49	Dønna	Dønna	4	0	2013-07-15 04:26:22.077938+02	\N	\N	\N	\N	\N	\N	f	
14054	d9eef228-3a56-4924-9a33-cd661809d154	Pignataro Interamna	Pignataro Interamna	4	0	2013-07-21 20:13:46.882189+02	\N	\N	\N	\N	\N	\N	f	
12603	b5783569-ede7-4188-adaa-6e6ea394c1f5	Ulstein	Ulstein	4	0	2013-07-15 04:26:33.812248+02	\N	\N	\N	\N	\N	\N	f	
12624	853e484f-7b1e-4384-9891-090a6dbde3ca	Vågan	Vågan	4	0	2013-07-15 04:30:38.030379+02	\N	\N	\N	\N	\N	\N	f	
12625	d7b7b1ee-f986-4fd4-ad67-e99ff6273cfb	Midtre Gauldal	Midtre Gauldal	4	0	2013-07-15 04:30:49.766292+02	\N	\N	\N	\N	\N	\N	f	
14619	3895ff0c-9ccd-4b90-92ad-3c0bd0bf55ed	Penango	Penango	4	0	2013-07-21 22:18:46.704885+02	\N	\N	\N	\N	\N	\N	f	
12631	1f868e37-2e75-4af9-8150-b8ddb9d52ef0	Snåsa	Snåsa	4	0	2013-07-15 04:32:08.252038+02	\N	\N	\N	\N	\N	\N	f	
15187	998c22d5-2bbf-47d6-a0b4-bbda2401ec85	Sinio	Sinio	4	0	2013-07-21 23:58:02.351185+02	\N	\N	\N	\N	\N	\N	f	
14620	bf19ce7d-8ef4-4a99-9d87-31b5a0ec17f9	Rocchetta Tanaro	Rocchetta Tanaro	4	0	2013-07-21 22:18:58.563553+02	\N	\N	\N	\N	\N	\N	f	
15297	5200e70d-5827-481e-82a3-a81709a2b68c	Monte Grimano	Monte Grimano	4	0	2013-07-22 00:13:48.307474+02	\N	\N	\N	\N	\N	\N	f	
15149	bf88afd4-934a-4fd3-a227-366f3ffbb4da	Corciano	Corciano	4	0	2013-07-21 23:53:34.555667+02	\N	\N	\N	\N	\N	\N	f	
15245	fb2e668a-9f2d-4aae-a7c9-24338f2674b1	Scheggino	Scheggino	4	0	2013-07-22 00:05:15.383451+02	\N	\N	\N	\N	\N	\N	f	
15299	f76071b5-a2e5-4035-a7c6-f432b5669861	Valfabbrica	Valfabbrica	4	0	2013-07-22 00:14:19.320013+02	\N	\N	\N	\N	\N	\N	f	
15795	11bb036a-510a-4f23-ba1d-695ba1ff2f38	Carbonate, Lombardy	Carbonate, Lombardy	4	0	2013-07-22 02:04:38.233915+02	\N	\N	\N	\N	\N	\N	f	
16684	5a37dcc5-5810-434e-832e-42aff46ffd6f	Roncone	Roncone	4	0	2013-07-22 04:08:58.975552+02	\N	\N	\N	\N	\N	\N	f	
16730	fe8db6ac-1563-4238-b39c-a00173abb212	Strembo	Strembo	4	0	2013-07-22 04:21:50.154617+02	\N	\N	\N	\N	\N	\N	f	
17236	317549ad-eeb3-419f-835f-61a5fe12ba30	Pizzale	Pizzale	4	0	2013-07-22 06:01:56.693401+02	\N	\N	\N	\N	\N	\N	f	
16773	4dc24a50-7dc2-4ac2-9202-fd5a592fbb8c	Aci Castello	Aci Castello	4	0	2013-07-22 04:33:35.259305+02	\N	\N	\N	\N	\N	\N	f	
17631	de239e07-a61f-4a3a-b8c1-0b7357d18b78	Varzi	Varzi	4	0	2013-07-22 06:51:22.382785+02	\N	\N	\N	\N	\N	\N	f	
18583	072c1e11-c577-43c9-8a03-f70f2544c55a	Bonavigo	Bonavigo	4	0	2013-07-22 08:48:52.613915+02	\N	\N	\N	\N	\N	\N	f	
18604	202b8211-2eed-477d-b9c8-0f838f72485f	Martellago	Martellago	4	0	2013-07-22 08:51:25.098356+02	\N	\N	\N	\N	\N	\N	f	
12420	b379da98-e882-4e93-8d6a-621a93a87fff	Østre Toten	Østre Toten	4	0	2013-07-15 03:47:46.238962+02	\N	\N	\N	\N	\N	\N	f	
12425	5f6515d7-3580-4fb3-b534-734ab9ad3e3d	Vinh Long	Vinh Long	3	0	2013-07-15 03:49:29.885468+02	\N	\N	\N	\N	\N	\N	f	
12429	e5b09d2a-8a58-47ce-b4b6-da8345bff9cf	Gloppen	Gloppen	4	0	2013-07-15 03:50:45.239295+02	\N	\N	\N	\N	\N	\N	f	
14056	22516e9c-1205-499f-bbab-e026d35bb164	Esperia	Esperia	4	0	2013-07-21 20:14:10.471077+02	\N	\N	\N	\N	\N	\N	f	
12437	680a0fb7-3c7d-45df-82d1-35b512a7dc5d	Flatanger	Flatanger	4	0	2013-07-15 03:52:58.08281+02	\N	\N	\N	\N	\N	\N	f	
12439	477dc9dc-d7cb-4759-8d5f-24eb12325068	Skodje	Skodje	4	0	2013-07-15 03:53:21.109317+02	\N	\N	\N	\N	\N	\N	f	
12440	9bfa258e-ce88-48a8-b3da-f2e79e8e6138	Hadsel	Hadsel	4	0	2013-07-15 03:53:32.571632+02	\N	\N	\N	\N	\N	\N	f	
14249	58e2d7f4-2a28-4c51-97bd-6251c82c706f	Syracuse, Sicily	Syracuse, Sicily	4	0	2013-07-21 20:56:04.01511+02	\N	\N	\N	\N	\N	\N	f	
12443	e42db6e8-fc63-47f6-8c95-7a4f4a7dcd14	Eigersund	Eigersund	4	0	2013-07-15 03:54:07.006596+02	\N	\N	\N	\N	\N	\N	f	
12453	dfffeff8-bdc8-49d4-ab93-87ab7606c5a9	Sørreisa	Sørreisa	4	0	2013-07-15 03:56:01.420252+02	\N	\N	\N	\N	\N	\N	f	
15797	dc5530df-9b89-45ba-a133-b5d6927047ed	Cavargna	Cavargna	4	0	2013-07-22 02:05:04.640443+02	\N	\N	\N	\N	\N	\N	f	
12456	33abfb27-edbd-43a8-90bb-dd572256d61a	Bø	Bø	4	0	2013-07-15 03:56:35.5942+02	\N	\N	\N	\N	\N	\N	f	
14621	c179e657-6a76-4351-83b7-2a2416ee1bbc	Tonengo	Tonengo	4	0	2013-07-21 22:19:11.473052+02	\N	\N	\N	\N	\N	\N	f	
12470	f3e3f385-cd04-4e6a-9c6d-0f5c1e3b8a7d	Stranda	Stranda	4	0	2013-07-15 03:59:23.962897+02	\N	\N	\N	\N	\N	\N	f	
12471	c6378c9b-3133-454e-8ef1-a6b0555e6612	Meldal	Meldal	4	0	2013-07-15 03:59:35.443518+02	\N	\N	\N	\N	\N	\N	f	
12472	07a16d4b-fbb2-4274-a257-bade3de75bbd	Suldal	Suldal	4	0	2013-07-15 03:59:47.014024+02	\N	\N	\N	\N	\N	\N	f	
14627	52ceaa05-74db-495b-a543-afb2bd23a58b	Roccaverano	Roccaverano	4	0	2013-07-21 22:20:27.746844+02	\N	\N	\N	\N	\N	\N	f	
12476	a2b7af5a-99c4-4141-a652-a63a4373a315	Nord-Odal	Nord-Odal	4	0	2013-07-15 04:00:33.662531+02	\N	\N	\N	\N	\N	\N	f	
12489	ec15135b-bd26-4fd3-bb75-7bf31f0be960	Hol	Hol	4	0	2013-07-15 04:03:02.85478+02	\N	\N	\N	\N	\N	\N	f	
19987	f0dd88fc-9dad-4188-8c2c-f7b8edc5e992	Tramutola	Tramutola	4	0	2013-07-22 12:04:05.094463+02	\N	\N	\N	\N	\N	\N	f	
12490	6c87e0ba-3115-4df3-aa70-d934bb46e9c3	Sunndal	Sunndal	4	0	2013-07-15 04:03:14.291958+02	\N	\N	\N	\N	\N	\N	f	
14656	9032c446-d473-428a-b0c1-30b7865524e5	Bioglio	Bioglio	4	0	2013-07-21 22:27:12.162234+02	\N	\N	\N	\N	\N	\N	f	
12509	982740dc-00e8-45bc-9978-068ef73997f2	Båtsfjord	Båtsfjord	4	0	2013-07-15 04:07:01.477953+02	\N	\N	\N	\N	\N	\N	f	
12518	1666348c-e42c-4706-b1e7-693947999963	Gausdal	Gausdal	4	0	2013-07-15 04:08:46.327628+02	\N	\N	\N	\N	\N	\N	f	
15851	39a7021e-4b4d-431f-8f53-ce0161967109	Carcoforo	Carcoforo	4	0	2013-07-22 02:16:41.931669+02	\N	\N	\N	\N	\N	\N	f	
12555	3536ac94-0d4a-4345-a500-a5c6f33aa5aa	Lunner	Lunner	4	0	2013-07-15 04:17:13.162826+02	\N	\N	\N	\N	\N	\N	f	
14696	b9a5c7be-865f-49f8-95c9-2963914036fc	Callabiana	Callabiana	4	0	2013-07-21 22:35:31.855852+02	\N	\N	\N	\N	\N	\N	f	
12558	1912f781-fefd-4fdd-9b8c-2a2b128bc93b	Tynset	Tynset	4	0	2013-07-15 04:17:47.700654+02	\N	\N	\N	\N	\N	\N	f	
12579	7f3e22fe-5b68-46db-8203-a17686026e98	Vega	Vega	4	0	2013-07-15 04:21:49.448258+02	\N	\N	\N	\N	\N	\N	f	
14743	e81a1ec7-d4da-420a-849d-c7eeb8bd9dcf	Ronco Biellese	Ronco Biellese	4	0	2013-07-21 22:46:01.544546+02	\N	\N	\N	\N	\N	\N	f	
17634	e23059a1-47ff-4d01-9e48-f35055218b91	Casorate Primo	Casorate Primo	4	0	2013-07-22 06:51:48.223417+02	\N	\N	\N	\N	\N	\N	f	
24076	2cbfbe84-41a3-486e-a116-853856b83ea5	Clifton	Clifton	3	0	2013-09-07 02:31:33.53373+02	\N	\N	\N	\N	\N	\N	f	
16686	4948d7a2-6418-438d-ac57-6fdba4dd8c4c	Samone, Trentino	Samone, Trentino	4	0	2013-07-22 04:09:25.680799+02	\N	\N	\N	\N	\N	\N	f	
15256	5d27d47a-836d-46d0-bfcd-b3965f079bf5	Torre San Giorgio	Torre San Giorgio	4	0	2013-07-22 00:06:28.818229+02	\N	\N	\N	\N	\N	\N	f	
17237	7b47e01a-f705-411a-a5c6-68f7501ca742	Villaurbana	Villaurbana	4	0	2013-07-22 06:02:08.814497+02	\N	\N	\N	\N	\N	\N	f	
17248	36aebbcf-c7b9-43c6-8abd-b81ff149e8cf	Laerru	Laerru	4	0	2013-07-22 06:03:24.933987+02	\N	\N	\N	\N	\N	\N	f	
17697	5e105e56-42e1-4119-851a-027284127162	Bormio	Bormio	4	0	2013-07-22 06:59:39.080342+02	\N	\N	\N	\N	\N	\N	f	
24404	6415f3ec-0353-4f25-8814-d23dce2b2ad7	Fort Valley, Georgia	Fort Valley, Georgia	3	0	2013-09-07 06:37:01.24514+02	\N	\N	\N	\N	\N	\N	f	
24303	914e299d-04cd-420f-a112-5e90ff786aa2	Springfield	Springfield	3	0	2013-09-07 05:41:40.645289+02	\N	\N	\N	\N	\N	\N	f	
20022	4dd69e50-3b98-4175-9066-eaf9aebe4beb	Faenza	Faenza	4	0	2013-07-22 12:08:56.964967+02	\N	\N	\N	\N	\N	\N	f	
17731	4f6fa4d1-d2af-4b40-b3d2-673c33177e19	Seren del Grappa	Seren del Grappa	4	0	2013-07-22 07:03:42.595007+02	\N	\N	\N	\N	\N	\N	f	
17741	3d9b8fc6-43cf-4412-ae74-7b78ff47b5a8	Samarate	Samarate	4	0	2013-07-22 07:05:15.569723+02	\N	\N	\N	\N	\N	\N	f	
17770	9dd4ef62-549d-49a1-a6ab-62a81b70487f	Biandronno	Biandronno	4	0	2013-07-22 07:08:19.752427+02	\N	\N	\N	\N	\N	\N	f	
20700	6b173c5d-68f4-4473-bbb4-6bd17859a38d	Teora	Teora	4	0	2013-07-23 08:47:12.305763+02	\N	\N	\N	\N	\N	\N	f	
18585	044474a8-8a90-4e51-ba66-474c37407e54	Caprino Veronese	Caprino Veronese	4	0	2013-07-22 08:49:07.990384+02	\N	\N	\N	\N	\N	\N	f	
18605	25402975-a625-4a13-9875-0be65a740bee	Susegana	Susegana	4	0	2013-07-22 08:51:37.327145+02	\N	\N	\N	\N	\N	\N	f	
18622	3cea28b4-bfca-41b0-9045-a2f7b178d714	Buttapietra	Buttapietra	4	0	2013-07-22 08:53:47.794987+02	\N	\N	\N	\N	\N	\N	f	
20815	12ad872b-51bc-44b9-a3bb-5d418ba691ab	Marano di Valpolicella	Marano di Valpolicella	4	0	2013-07-23 11:51:00.814293+02	\N	\N	\N	\N	\N	\N	f	
19595	c1ef57e4-aa91-4a2e-9bf7-c02cec47ecf4	Torre Santa Susanna	Torre Santa Susanna	4	0	2013-07-22 10:59:31.776327+02	\N	\N	\N	\N	\N	\N	f	
24312	32018538-1d3b-4f70-bd62-a6d46934cccc	Sweetwater, Miami-Dade County, Florida	Sweetwater, Miami-Dade County, Florida	3	0	2013-09-07 05:43:49.063562+02	\N	\N	\N	\N	\N	\N	f	
20903	dd22d18b-9900-427e-a9a1-dada93bc6ac9	Pastorano	Pastorano	4	0	2013-07-23 14:49:03.966276+02	\N	\N	\N	\N	\N	\N	f	
24349	c2a3fa10-28f6-440e-8f3a-39b1131c0560	Royston, Georgia	Royston, Georgia	3	0	2013-09-07 06:22:37.976668+02	\N	\N	\N	\N	\N	\N	f	
23881	5d5cd842-3bac-4a61-8cb9-80a567f97f13	Glenwood	Glenwood	3	0	2013-09-06 20:44:10.948765+02	\N	\N	\N	\N	\N	\N	f	
24853	8a4ee18c-f556-4beb-bb91-5eb2488db755	Garber, Iowa	Garber, Iowa	3	0	2013-09-07 08:51:57.598961+02	\N	\N	\N	\N	\N	\N	f	
23973	fda629cf-87fa-4f42-81ac-69bb5dd3353f	Elizabeth	Elizabeth	3	0	2013-09-06 23:34:37.295259+02	\N	\N	\N	\N	\N	\N	f	
24372	7a48148c-9dba-4525-8aa4-43e4e8bfc86c	Meigs, Georgia	Meigs, Georgia	3	0	2013-09-07 06:28:55.340639+02	\N	\N	\N	\N	\N	\N	f	
25477	1aad09c1-65d5-4404-8517-c7ed6a361961	Minneola, Kansas	Minneola, Kansas	3	0	2013-09-07 12:00:43.458057+02	\N	\N	\N	\N	\N	\N	f	
25363	f5efafc8-81e7-4700-a9d1-f4574e988596	Mockingbird Valley, Kentucky	Mockingbird Valley, Kentucky	3	0	2013-09-07 11:32:39.193728+02	\N	\N	\N	\N	\N	\N	f	
26325	6bd41069-e3f3-4921-8535-ad96c6bf14fd	Watertown	Watertown	3	0	2013-09-07 23:25:50.901262+02	\N	\N	\N	\N	\N	\N	f	
25423	0554a5e7-baf5-4faf-8264-6fbc2147d043	Strathmoor Manor, Kentucky	Strathmoor Manor, Kentucky	3	0	2013-09-07 11:46:49.000483+02	\N	\N	\N	\N	\N	\N	f	
25983	dc094b2e-7784-43eb-8336-83e2641ce3f4	Crofton, Kentucky	Crofton, Kentucky	3	0	2013-09-07 17:38:29.368846+02	\N	\N	\N	\N	\N	\N	f	
25884	66b6a41c-50e6-487c-9614-fe629ed25446	Long Island, Kansas	Long Island, Kansas	3	0	2013-09-07 15:04:31.449592+02	\N	\N	\N	\N	\N	\N	f	
25966	6c26d90d-6661-4297-afca-afb7c3004df9	Louisburg, Kansas	Louisburg, Kansas	3	0	2013-09-07 17:34:05.539592+02	\N	\N	\N	\N	\N	\N	f	
26381	727301ad-3f0d-4a71-9376-a9bf109b805b	Delmar, Iowa	Delmar, Iowa	3	0	2013-09-07 23:40:39.128577+02	\N	\N	\N	\N	\N	\N	f	
26614	fd8d9ef9-6946-4959-a658-7599261ba59e	Tarkio, Missouri	Tarkio, Missouri	3	0	2013-09-08 01:22:23.603507+02	\N	\N	\N	\N	\N	\N	f	
27046	f7327cd8-f96e-49fe-a5e5-3eb1b6ffae8f	Jackson	Jackson	3	0	2013-09-08 04:33:08.0454+02	\N	\N	\N	\N	\N	\N	f	
27076	25c45bbb-1ebb-411f-99af-06445c01ca1e	Harvard	Harvard	3	0	2013-09-08 04:41:41.119299+02	\N	\N	\N	\N	\N	\N	f	
27407	52ca140e-d410-490b-beaf-231376f846f1	Warwick, North Dakota	Warwick, North Dakota	3	0	2013-09-08 07:49:14.849168+02	\N	\N	\N	\N	\N	\N	f	
27710	9a3e8606-27b4-4223-907c-2a5109de8fac	Marlow, Oklahoma	Marlow, Oklahoma	3	0	2013-09-08 09:31:25.625808+02	\N	\N	\N	\N	\N	\N	f	
27724	47ae155b-e793-4039-9afb-f15ae06ead6b	Oilton, Oklahoma	Oilton, Oklahoma	3	0	2013-09-08 09:35:17.763863+02	\N	\N	\N	\N	\N	\N	f	
27881	3ffe9978-2048-4628-80d3-5799ef93f0d1	Humphrey	Humphrey	3	0	2013-09-08 10:22:34.491202+02	\N	\N	\N	\N	\N	\N	f	
12441	4878e9e9-00bc-47de-a3cd-bf72877374fe	Aremark	Aremark	4	0	2013-07-15 03:53:43.98795+02	\N	\N	\N	\N	\N	\N	f	
12442	c43b5472-80c6-4c77-8f52-9807a877444c	Austevoll	Austevoll	4	0	2013-07-15 03:53:55.548725+02	\N	\N	\N	\N	\N	\N	f	
12634	d60180bb-2f4a-4bbe-b468-0fbe38192bf7	Randaberg	Randaberg	4	0	2013-07-15 04:33:16.754475+02	\N	\N	\N	\N	\N	\N	f	
12445	a9ba654e-30e3-42ae-9dac-0703b6ca86ac	Lurøy	Lurøy	4	0	2013-07-15 03:54:30.180822+02	\N	\N	\N	\N	\N	\N	f	
12512	e1a8bedc-7686-43bc-ba9e-e6f9021d0fb6	Karlsøy	Karlsøy	4	0	2013-07-15 04:07:36.07414+02	\N	\N	\N	\N	\N	\N	f	
12446	35c212bb-0382-4c32-b93a-b4ff9d55610e	Rakkestad	Rakkestad	4	0	2013-07-15 03:54:41.469672+02	\N	\N	\N	\N	\N	\N	f	
12451	0b5cd6eb-8f40-4c50-bbbf-0ceed3a78708	Masfjorden	Masfjorden	4	0	2013-07-15 03:55:38.614565+02	\N	\N	\N	\N	\N	\N	f	
12592	b666a03a-d641-4030-865c-4d0e5d36f137	Kvinesdal	Kvinesdal	4	0	2013-07-15 04:24:19.046158+02	\N	\N	\N	\N	\N	\N	f	
12454	0864725d-df84-4e3c-b930-233fbfa3bdef	Rollag	Rollag	4	0	2013-07-15 03:56:12.750668+02	\N	\N	\N	\N	\N	\N	f	
12517	7b6bffb1-8616-446c-8f46-eb0a97f8f55b	Storfjord	Storfjord	4	0	2013-07-15 04:08:34.745961+02	\N	\N	\N	\N	\N	\N	f	
12461	098a0e94-43b9-45cc-8636-4f78fee1784e	Austrheim	Austrheim	4	0	2013-07-15 03:57:40.905828+02	\N	\N	\N	\N	\N	\N	f	
12462	0ad56d02-7a43-413c-bfce-a13c79b0e728	Trysil	Trysil	4	0	2013-07-15 03:57:52.461737+02	\N	\N	\N	\N	\N	\N	f	
12463	75a138ae-279b-4505-979a-c608bfc8b777	Osen	Osen	4	0	2013-07-15 03:58:03.868686+02	\N	\N	\N	\N	\N	\N	f	
12520	3b6f3314-6a5a-4045-a424-c53dcd3dc469	Tjeldsund	Tjeldsund	4	0	2013-07-15 04:09:09.255216+02	\N	\N	\N	\N	\N	\N	f	
12464	f320cb80-1fb3-4781-8447-bbb7dc738e26	Selje	Selje	4	0	2013-07-15 03:58:15.443052+02	\N	\N	\N	\N	\N	\N	f	
12467	7920cb9d-67e2-4a4d-b1f0-b749d57ce04d	Skjåk	Skjåk	4	0	2013-07-15 03:58:49.785979+02	\N	\N	\N	\N	\N	\N	f	
12474	a142fa30-d578-418c-92c0-ab7dd1849d6c	Sveio	Sveio	4	0	2013-07-15 04:00:10.435296+02	\N	\N	\N	\N	\N	\N	f	
12523	70a67abc-fc01-4426-8756-d8378f2ee8cb	Sør-Odal	Sør-Odal	4	0	2013-07-15 04:09:43.637426+02	\N	\N	\N	\N	\N	\N	f	
12477	45e332a0-f12a-45e8-85c7-7264650baebd	Ullensvang	Ullensvang	4	0	2013-07-15 04:00:45.299738+02	\N	\N	\N	\N	\N	\N	f	
12482	8484aaa4-0969-4b3f-aa28-492e6ad23296	Torsken	Torsken	4	0	2013-07-15 04:01:42.982327+02	\N	\N	\N	\N	\N	\N	f	
12593	b89f3afc-b637-46f6-b51a-c7cbbdcb6ed1	Lindesnes	Lindesnes	4	0	2013-07-15 04:24:30.575089+02	\N	\N	\N	\N	\N	\N	f	
12484	1879385e-9cb8-4f25-9ca5-8408e079aa91	Stange	Stange	4	0	2013-07-15 04:02:05.774162+02	\N	\N	\N	\N	\N	\N	f	
12529	744841ef-5dd2-4d76-a685-d5e0eae96e35	Jevnaker	Jevnaker	4	0	2013-07-15 04:11:31.841533+02	\N	\N	\N	\N	\N	\N	f	
12485	ecd00e7d-c68c-4206-ac26-a09cc292a9f7	Strand	Strand	4	0	2013-07-15 04:02:17.316774+02	\N	\N	\N	\N	\N	\N	f	
12487	e840cc72-9e58-4492-9b18-b911283547a6	Søndre Land	Søndre Land	4	0	2013-07-15 04:02:40.025031+02	\N	\N	\N	\N	\N	\N	f	
12492	b47164de-6706-4d40-b545-6083f1c8d18e	Bamble	Bamble	4	0	2013-07-15 04:03:37.013286+02	\N	\N	\N	\N	\N	\N	f	
12535	60501be9-c8b1-4ce7-987c-9f8114530767	Osterøy	Osterøy	4	0	2013-07-15 04:13:00.944721+02	\N	\N	\N	\N	\N	\N	f	
12496	021e51a1-78e6-4d86-a4dd-2b8cef3db60d	Stor-Elvdal	Stor-Elvdal	4	0	2013-07-15 04:04:23.418279+02	\N	\N	\N	\N	\N	\N	f	
12498	ecc63d92-69e2-483d-831b-7c15c7a187ef	Sør-Aurdal	Sør-Aurdal	4	0	2013-07-15 04:04:46.481623+02	\N	\N	\N	\N	\N	\N	f	
14057	27cfd124-1ff9-45d4-a04d-908306935612	Paliano	Paliano	4	0	2013-07-21 20:14:22.597408+02	\N	\N	\N	\N	\N	\N	f	
12499	0dbcb62d-0cfe-43a1-bac1-266f523297cf	Røyrvik	Røyrvik	4	0	2013-07-15 04:04:57.891344+02	\N	\N	\N	\N	\N	\N	f	
12536	6ce73690-dbf2-42d3-95ec-39051e230be9	Finnøy	Finnøy	4	0	2013-07-15 04:13:14.718242+02	\N	\N	\N	\N	\N	\N	f	
12500	d2438d0a-eeec-4162-8f63-01a322a33592	Fedje	Fedje	4	0	2013-07-15 04:05:09.467652+02	\N	\N	\N	\N	\N	\N	f	
12503	d61c3960-8ecb-4eb5-9990-c8f04fb64f4f	Frøya	Frøya	4	0	2013-07-15 04:05:44.513267+02	\N	\N	\N	\N	\N	\N	f	
12594	1f0d68d5-e44d-427c-a289-0b2fe7a7cca3	Rendalen	Rendalen	4	0	2013-07-15 04:24:42.144899+02	\N	\N	\N	\N	\N	\N	f	
12504	03523fd2-5921-49a6-a14e-0b14e853bb7c	Sykkylven	Sykkylven	4	0	2013-07-15 04:05:55.995222+02	\N	\N	\N	\N	\N	\N	f	
12505	9d9ff344-a46a-400d-84a6-b716b6efa3ef	Nordre Land	Nordre Land	4	0	2013-07-15 04:06:15.020899+02	\N	\N	\N	\N	\N	\N	f	
12544	9568ab4e-b1e9-4dc6-9ef9-1ce97850f657	Moskenes	Moskenes	4	0	2013-07-15 04:14:56.770844+02	\N	\N	\N	\N	\N	\N	f	
12545	9ae6e25d-5842-48d4-b3e6-bc8324481b0c	Dovre	Dovre	4	0	2013-07-15 04:15:08.579929+02	\N	\N	\N	\N	\N	\N	f	
12604	af799d39-f5a9-4b8f-85bd-496cd8eed892	Balestrand	Balestrand	4	0	2013-07-15 04:26:45.792564+02	\N	\N	\N	\N	\N	\N	f	
12547	77372c63-b00a-4d6a-b35e-e4654d423dc5	Meråker	Meråker	4	0	2013-07-15 04:15:33.755402+02	\N	\N	\N	\N	\N	\N	f	
12551	4b0297b3-7806-411a-ace4-29f38176d1ac	Hemne	Hemne	4	0	2013-07-15 04:16:26.866734+02	\N	\N	\N	\N	\N	\N	f	
16687	3c927b8a-84ab-4726-b61a-438352bb38b8	San Michele all'Adige	San Michele all'Adige	4	0	2013-07-22 04:09:40.57753+02	\N	\N	\N	\N	\N	\N	f	
12564	77210642-1b9d-44d3-9989-f59078b2caf3	Nord-Fron	Nord-Fron	4	0	2013-07-15 04:18:56.464455+02	\N	\N	\N	\N	\N	\N	f	
12605	4f322951-8330-4600-9b92-b4fd366ca96a	Gaular	Gaular	4	0	2013-07-15 04:26:57.204137+02	\N	\N	\N	\N	\N	\N	f	
12571	b9726444-bf17-460c-829c-8f14df6f7fe7	Vikna	Vikna	4	0	2013-07-15 04:20:17.051416+02	\N	\N	\N	\N	\N	\N	f	
12573	fa517373-9a6f-4f8b-8215-f9564be9411c	Sortland	Sortland	4	0	2013-07-15 04:20:40.34083+02	\N	\N	\N	\N	\N	\N	f	
14155	8ae4133e-21ba-4fc4-9979-ba4cb65e2a58	Falconara Marittima	Falconara Marittima	4	0	2013-07-21 20:35:36.031978+02	\N	\N	\N	\N	\N	\N	f	
12574	a1109a13-9d9b-4e3e-945a-ba5a5c383d28	Sør-Varanger	Sør-Varanger	4	0	2013-07-15 04:20:51.893879+02	\N	\N	\N	\N	\N	\N	f	
12606	e95ed6c5-e95f-4986-92b8-c0bf56a11d2e	Os	Os	4	0	2013-07-15 04:27:09.555195+02	\N	\N	\N	\N	\N	\N	f	
12615	3fe71ee7-ac8d-4e9d-87e9-f8ff11f43cd9	Tysfjord	Tysfjord	4	0	2013-07-15 04:28:53.903834+02	\N	\N	\N	\N	\N	\N	f	
15798	888c10ae-1754-42b9-9884-30cbd819ff1c	Claino con Osteno	Claino con Osteno	4	0	2013-07-22 02:05:16.852265+02	\N	\N	\N	\N	\N	\N	f	
12617	db303707-1b70-41d2-8271-745828ae65b6	Herøy	Herøy	4	0	2013-07-15 04:29:17.366467+02	\N	\N	\N	\N	\N	\N	f	
14162	d51cc145-2371-4cb2-9925-033c4f01c623	Camerano	Camerano	4	0	2013-07-21 20:37:12.443678+02	\N	\N	\N	\N	\N	\N	f	
12619	9d4ae14e-b6b1-4469-8c73-78f87498555d	Lierne	Lierne	4	0	2013-07-15 04:29:40.427687+02	\N	\N	\N	\N	\N	\N	f	
12629	d6f92eeb-2418-442f-9052-e1bbf3cbc2da	Namsskogan	Namsskogan	4	0	2013-07-15 04:31:36.205793+02	\N	\N	\N	\N	\N	\N	f	
14626	e4c3a1b7-b203-40e3-a862-67fc90ca7250	Passerano Marmorito	Passerano Marmorito	4	0	2013-07-21 22:20:13.304087+02	\N	\N	\N	\N	\N	\N	f	
16009	01827ea1-cc8a-4814-9d9a-dbd03eb53797	Santa Margherita Ligure	Santa Margherita Ligure	4	0	2013-07-22 02:41:31.569315+02	\N	\N	\N	\N	\N	\N	f	
16022	137cbd32-1c7d-41da-872e-90112ab475b6	Moneglia	Moneglia	4	0	2013-07-22 02:43:23.809301+02	\N	\N	\N	\N	\N	\N	f	
17239	7596b483-fbc9-410f-91d1-45a43f927e91	Ardara, Sardinia	Ardara, Sardinia	4	0	2013-07-22 06:02:22.718855+02	\N	\N	\N	\N	\N	\N	f	
16044	a63505dc-7f17-439a-b4d8-66e4246e9f7d	Cles	Cles	4	0	2013-07-22 02:46:12.20443+02	\N	\N	\N	\N	\N	\N	f	
16698	d9be3a00-8ec8-4eac-9fa3-c5db5d6bb197	Soraga	Soraga	4	0	2013-07-22 04:12:31.749271+02	\N	\N	\N	\N	\N	\N	f	
17638	9e3e7e2b-09fb-4451-b894-ee871b0ce53e	Cura Carpignano	Cura Carpignano	4	0	2013-07-22 06:52:18.12654+02	\N	\N	\N	\N	\N	\N	f	
19604	7b4fcf47-646a-452f-8f7f-3f5cbe8053fe	Cisternino	Cisternino	4	0	2013-07-22 11:01:26.406077+02	\N	\N	\N	\N	\N	\N	f	
19607	f48dc78d-436e-4f69-9f12-cde63eab91bf	Oria, Apulia	Oria, Apulia	4	0	2013-07-22 11:02:02.562432+02	\N	\N	\N	\N	\N	\N	f	
20020	8698ecd8-3b89-4473-bd1e-93ba261df081	Castel Bolognese	Castel Bolognese	4	0	2013-07-22 12:08:43.253116+02	\N	\N	\N	\N	\N	\N	f	
20703	128b97ce-8700-4371-8976-8489818af2e8	Torella dei Lombardi	Torella dei Lombardi	4	0	2013-07-23 08:47:49.67038+02	\N	\N	\N	\N	\N	\N	f	
20817	446b7aec-034a-4ab7-89b2-4b4566f6d5c8	Montesarchio	Montesarchio	4	0	2013-07-23 11:51:25.682118+02	\N	\N	\N	\N	\N	\N	f	
20906	bd526864-dc65-4f4b-af0a-51b12f1a8307	Marcianise	Marcianise	4	0	2013-07-23 14:49:40.200829+02	\N	\N	\N	\N	\N	\N	f	
12502	80764f8b-6cb4-4ba9-940b-02ace31e35a8	Forsand	Forsand	4	0	2013-07-15 04:05:33.044511+02	\N	\N	\N	\N	\N	\N	f	
12647	83651306-559b-46d3-97cb-6f1502f86955	Vevelstad	Vevelstad	4	0	2013-07-15 04:36:23.520346+02	\N	\N	\N	\N	\N	\N	f	
12510	e461a04c-0bcb-444d-90bf-c19b78af9ad0	Nes	Nes	4	0	2013-07-15 04:07:13.255898+02	\N	\N	\N	\N	\N	\N	f	
12568	4adbb3ae-8631-4616-a6df-292aebff21d8	Krødsherad	Krødsherad	4	0	2013-07-15 04:19:42.710655+02	\N	\N	\N	\N	\N	\N	f	
12511	c3f45ad3-f94a-414a-a823-0d7271638434	Vestre Toten	Vestre Toten	4	0	2013-07-15 04:07:24.630074+02	\N	\N	\N	\N	\N	\N	f	
12514	57d8500e-c04e-4188-a7b6-874cd8c19eb9	Rygge	Rygge	4	0	2013-07-15 04:07:59.408319+02	\N	\N	\N	\N	\N	\N	f	
12614	5e0078da-32c2-47eb-b79c-5cacfaeb46dd	Gáivuotna–Kåfjord	Gáivuotna–Kåfjord	4	0	2013-07-15 04:28:42.316662+02	\N	\N	\N	\N	\N	\N	f	
12515	26b21e77-52c2-48aa-8f17-e9f1b861bf6e	Rennebu	Rennebu	4	0	2013-07-15 04:08:10.924935+02	\N	\N	\N	\N	\N	\N	f	
12577	8d87ab5a-3ed7-498e-9b66-d453a2c3c89c	Radøy	Radøy	4	0	2013-07-15 04:21:26.33823+02	\N	\N	\N	\N	\N	\N	f	
12519	4f818c16-efa0-4815-af0a-f33a6b9b9b67	Sømna	Sømna	4	0	2013-07-15 04:08:57.837761+02	\N	\N	\N	\N	\N	\N	f	
12522	8426c1a1-6d38-4890-988a-cadee10e7408	Sigdal	Sigdal	4	0	2013-07-15 04:09:32.165017+02	\N	\N	\N	\N	\N	\N	f	
12524	e4a4be53-3b35-4cf9-9914-f953e72034c2	Balsfjord	Balsfjord	4	0	2013-07-15 04:09:55.170103+02	\N	\N	\N	\N	\N	\N	f	
12581	88107001-5228-4fb7-b87b-f26b5bc368fd	Lesja	Lesja	4	0	2013-07-15 04:22:12.437463+02	\N	\N	\N	\N	\N	\N	f	
12525	0a64fc36-0a66-4bdc-9df2-9e357d971ecb	Marker	Marker	4	0	2013-07-15 04:10:07.811674+02	\N	\N	\N	\N	\N	\N	f	
12526	6f9ce6d2-91b8-4905-94f6-886923811668	Fauske	Fauske	4	0	2013-07-15 04:10:29.565413+02	\N	\N	\N	\N	\N	\N	f	
12635	132fcabf-bf46-4937-b21b-7c414f58d3fc	Selbu	Selbu	4	0	2013-07-15 04:33:29.728012+02	\N	\N	\N	\N	\N	\N	f	
12528	952e9416-e390-4cba-bc4b-701c4ba2b24f	Sør-Fron	Sør-Fron	4	0	2013-07-15 04:11:11.981413+02	\N	\N	\N	\N	\N	\N	f	
12584	b3eaece3-c7f7-44d7-ab9c-9400ac75a23f	Loppa	Loppa	4	0	2013-07-15 04:22:46.933404+02	\N	\N	\N	\N	\N	\N	f	
12533	94613aba-36fd-4ef3-ad82-b9d1b46fcbc6	Værøy	Værøy	4	0	2013-07-15 04:12:37.771288+02	\N	\N	\N	\N	\N	\N	f	
12537	feb28bda-74c1-40bc-b022-1aa22488eb5a	Lebesby	Lebesby	4	0	2013-07-15 04:13:31.012304+02	\N	\N	\N	\N	\N	\N	f	
12618	994f73b5-fd2b-470c-9f47-e598ec3de023	Flekkefjord	Flekkefjord	4	0	2013-07-15 04:29:28.857885+02	\N	\N	\N	\N	\N	\N	f	
12538	266a0609-8368-4afb-975a-62331ae36c35	Solund	Solund	4	0	2013-07-15 04:13:47.140279+02	\N	\N	\N	\N	\N	\N	f	
12585	d81abc02-a6e6-48b2-9a94-fd8ff32cde87	Volda	Volda	4	0	2013-07-15 04:22:58.264888+02	\N	\N	\N	\N	\N	\N	f	
12539	3192d4e9-24e0-4c74-8654-59e0d161090a	Andebu	Andebu	4	0	2013-07-15 04:13:58.748717+02	\N	\N	\N	\N	\N	\N	f	
12541	b47df030-a2be-4367-b0ea-06b42abb9e34	Spydeberg	Spydeberg	4	0	2013-07-15 04:14:21.816382+02	\N	\N	\N	\N	\N	\N	f	
12543	f6c530fa-ee6b-4030-91ef-0f44f7ecaca8	Aurland	Aurland	4	0	2013-07-15 04:14:45.343986+02	\N	\N	\N	\N	\N	\N	f	
12588	385eee74-fc4d-4d04-b5e1-edfc4bfc275f	Løten	Løten	4	0	2013-07-15 04:23:32.875994+02	\N	\N	\N	\N	\N	\N	f	
12550	b88d8bdc-498c-4e82-96ea-a83fa76edce9	Kvænangen	Kvænangen	4	0	2013-07-15 04:16:15.510122+02	\N	\N	\N	\N	\N	\N	f	
12552	4b2ea005-af47-4697-8218-d492cb431ec5	Nærøy	Nærøy	4	0	2013-07-15 04:16:38.217085+02	\N	\N	\N	\N	\N	\N	f	
12553	159d47fd-5f76-4ea8-92b3-044a32d9ce53	Tingvoll	Tingvoll	4	0	2013-07-15 04:16:49.562677+02	\N	\N	\N	\N	\N	\N	f	
12589	3d73a7b1-f47a-441a-95eb-42936d7b562e	Grue	Grue	4	0	2013-07-15 04:23:44.557899+02	\N	\N	\N	\N	\N	\N	f	
12556	d261c656-d916-456c-9cc9-afa0d3aceca8	Hemnes	Hemnes	4	0	2013-07-15 04:17:24.731518+02	\N	\N	\N	\N	\N	\N	f	
12560	ce1288fd-6d65-4546-baa2-1937e47f1d83	Eidskog	Eidskog	4	0	2013-07-15 04:18:10.653165+02	\N	\N	\N	\N	\N	\N	f	
12620	9c4ab313-6106-451e-b737-313b5c6dbf62	Grane	Grane	4	0	2013-07-15 04:29:51.971307+02	\N	\N	\N	\N	\N	\N	f	
12563	18c7a5d9-64de-4c51-adc3-6802719a7530	Sola	Sola	4	0	2013-07-15 04:18:45.073208+02	\N	\N	\N	\N	\N	\N	f	
12595	c3195654-2806-4187-b0ba-9b0151fc525d	Vestre Slidre	Vestre Slidre	4	0	2013-07-15 04:24:53.523051+02	\N	\N	\N	\N	\N	\N	f	
12565	69174dc3-76dd-4203-b6bb-732355be635c	Lærdal	Lærdal	4	0	2013-07-15 04:19:07.885788+02	\N	\N	\N	\N	\N	\N	f	
12566	56fcf4fe-35e5-41c4-864d-779750ff2403	Midsund	Midsund	4	0	2013-07-15 04:19:19.563911+02	\N	\N	\N	\N	\N	\N	f	
12596	6b03c196-7345-4d01-871e-1b278243f2cb	Saltdal	Saltdal	4	0	2013-07-15 04:25:05.026685+02	\N	\N	\N	\N	\N	\N	f	
12643	e1782cd6-f18f-4a47-a0dd-ce7f5e34b4c1	Fosnes	Fosnes	4	0	2013-07-15 04:35:36.833088+02	\N	\N	\N	\N	\N	\N	f	
12597	53bac6e5-073e-4c45-81f8-7ba65d737fc8	Hægebostad	Hægebostad	4	0	2013-07-15 04:25:16.584076+02	\N	\N	\N	\N	\N	\N	f	
12621	576b4910-b22a-47ae-b5f1-4d1ee32fe08f	Herøy	Herøy	4	0	2013-07-15 04:30:03.46815+02	\N	\N	\N	\N	\N	\N	f	
12598	dd368108-5328-4702-a1d2-9e3a521f34ba	Ibestad	Ibestad	4	0	2013-07-15 04:25:28.347659+02	\N	\N	\N	\N	\N	\N	f	
12601	26f54847-0703-4188-9083-8a49ba3feaba	Gjemnes	Gjemnes	4	0	2013-07-15 04:26:10.652394+02	\N	\N	\N	\N	\N	\N	f	
12636	8bfc6596-c153-4ea0-948b-318a13ec9cf4	Eide	Eide	4	0	2013-07-15 04:33:50.494872+02	\N	\N	\N	\N	\N	\N	f	
12610	c43c7295-baea-4382-be9b-7ba97bb49c9a	Bjerkreim	Bjerkreim	4	0	2013-07-15 04:27:56.174068+02	\N	\N	\N	\N	\N	\N	f	
12622	bf929cb9-f93a-44e6-a13d-a91499259343	Bokn	Bokn	4	0	2013-07-15 04:30:15.024755+02	\N	\N	\N	\N	\N	\N	f	
12611	96c73ee4-e7df-4906-a153-af3dd40bddf1	Aukra	Aukra	4	0	2013-07-15 04:28:07.695467+02	\N	\N	\N	\N	\N	\N	f	
12612	43a106bd-04f1-4b35-a3a0-a78dcba9a342	Malvik	Malvik	4	0	2013-07-15 04:28:19.231116+02	\N	\N	\N	\N	\N	\N	f	
12613	13a70b52-5bea-4c25-8d41-124421fec954	Sogndal	Sogndal	4	0	2013-07-15 04:28:30.787184+02	\N	\N	\N	\N	\N	\N	f	
12626	70f832e9-82c3-4c43-9f66-0e852954e852	Skånland	Skånland	4	0	2013-07-15 04:31:01.23025+02	\N	\N	\N	\N	\N	\N	f	
12627	089b86c5-4276-4066-87c3-417efd8402b9	Frosta	Frosta	4	0	2013-07-15 04:31:12.761602+02	\N	\N	\N	\N	\N	\N	f	
12638	6aea38c1-2d8d-4531-94be-a2980ffc8d71	Giske	Giske	4	0	2013-07-15 04:34:26.7353+02	\N	\N	\N	\N	\N	\N	f	
12630	b59e61a9-c95e-4051-91c2-7569bffccd6c	Gol	Gol	4	0	2013-07-15 04:31:49.904219+02	\N	\N	\N	\N	\N	\N	f	
12632	33be71c1-d185-4a47-af96-6d6cd73be5fc	Fusa	Fusa	4	0	2013-07-15 04:32:32.763974+02	\N	\N	\N	\N	\N	\N	f	
12633	c95f2ba6-4d4a-43e9-829e-c759f42f8aae	Nore og Uvdal	Nore og Uvdal	4	0	2013-07-15 04:32:58.254644+02	\N	\N	\N	\N	\N	\N	f	
12639	dd610afa-fafb-4768-aeb5-c4b63859a9c1	Aure	Aure	4	0	2013-07-15 04:34:41.313478+02	\N	\N	\N	\N	\N	\N	f	
12644	5e0c2a5a-20f6-46f2-8578-3fcff37ec337	Kvitsøy	Kvitsøy	4	0	2013-07-15 04:35:48.409096+02	\N	\N	\N	\N	\N	\N	f	
12640	9f7b0d0e-aac4-40bd-9184-ea325a19c89d	Norddal	Norddal	4	0	2013-07-15 04:34:55.46119+02	\N	\N	\N	\N	\N	\N	f	
12641	0141ff9e-ca26-4ba3-9f1d-88a53936c76e	Våler	Våler	4	0	2013-07-15 04:35:10.462048+02	\N	\N	\N	\N	\N	\N	f	
12653	59543e47-198a-4c7a-9a05-5359526c8b2c	Rennesøy	Rennesøy	4	0	2013-07-15 04:37:38.339127+02	\N	\N	\N	\N	\N	\N	f	
12642	3e0f227e-3c2e-4238-af19-12ab154950d1	Nesna	Nesna	4	0	2013-07-15 04:35:22.474682+02	\N	\N	\N	\N	\N	\N	f	
12645	64613664-77d4-4e31-b304-998b8abd963e	Hornindal	Hornindal	4	0	2013-07-15 04:36:00.138509+02	\N	\N	\N	\N	\N	\N	f	
12648	6307005c-69a2-4936-a6ec-d5a6e1737663	Lyngen	Lyngen	4	0	2013-07-15 04:36:35.260978+02	\N	\N	\N	\N	\N	\N	f	
12646	429e256c-f1b1-4dc7-a50e-eca529e8bfbe	Hyllestad	Hyllestad	4	0	2013-07-15 04:36:12.047685+02	\N	\N	\N	\N	\N	\N	f	
12650	16b6cbb7-7512-4a28-9c32-1caecd179fed	Tydal	Tydal	4	0	2013-07-15 04:37:03.357031+02	\N	\N	\N	\N	\N	\N	f	
12649	384c5696-c85a-40dd-b107-027a53bd016a	Flakstad	Flakstad	4	0	2013-07-15 04:36:47.179475+02	\N	\N	\N	\N	\N	\N	f	
12652	b9f636eb-4358-4496-9763-ac5ea19bbce3	Hemsedal	Hemsedal	4	0	2013-07-15 04:37:26.732263+02	\N	\N	\N	\N	\N	\N	f	
12651	e4fce2b0-d3ed-4c16-a901-7b382b88a1a9	Hareid	Hareid	4	0	2013-07-15 04:37:15.045346+02	\N	\N	\N	\N	\N	\N	f	
12654	c4a6454a-dd15-4a13-a05e-13d5a8138b32	Fjaler	Fjaler	4	0	2013-07-15 04:37:49.879348+02	\N	\N	\N	\N	\N	\N	f	
12655	e8094078-86af-4fef-b509-0ef960801828	Nordreisa	Nordreisa	4	0	2013-07-15 04:38:01.284804+02	\N	\N	\N	\N	\N	\N	f	
12656	3a0f3020-a039-4208-a678-58f4b3fcc0cf	Leka	Leka	4	0	2013-07-15 04:38:20.117691+02	\N	\N	\N	\N	\N	\N	f	
12657	b12c5265-4d48-446f-9af1-c1ecc72421a1	Rauma	Rauma	4	0	2013-07-15 04:38:32.088439+02	\N	\N	\N	\N	\N	\N	f	
12658	c2690304-9b4b-4ee2-9359-f545c3c3d568	Verran	Verran	4	0	2013-07-15 04:38:43.698536+02	\N	\N	\N	\N	\N	\N	f	
12659	09d178d0-2ecd-4ed7-bf0e-72c085d11461	Bremanger	Bremanger	4	0	2013-07-15 04:38:55.372876+02	\N	\N	\N	\N	\N	\N	f	
12660	79a95731-0afd-4512-a5b2-9e209a38add0	Luster	Luster	4	0	2013-07-15 04:39:06.944681+02	\N	\N	\N	\N	\N	\N	f	
12661	6f089a28-e66f-481c-8770-332a447443cd	Våler	Våler	4	0	2013-07-15 04:39:18.577155+02	\N	\N	\N	\N	\N	\N	f	
12662	e24ce99a-886d-468b-ba51-1e5991c21cc8	Vang	Vang	4	0	2013-07-15 04:39:30.047601+02	\N	\N	\N	\N	\N	\N	f	
14058	05564c3e-c9b2-45bb-81fa-6e37a19dba10	Cassino	Cassino	4	0	2013-07-21 20:14:34.343171+02	\N	\N	\N	\N	\N	\N	f	
15800	14d3ee55-08a5-4ca7-a7cd-b645feb4cc54	Castiglione d'Intelvi	Castiglione d'Intelvi	4	0	2013-07-22 02:05:40.584736+02	\N	\N	\N	\N	\N	\N	f	
14111	4973125c-23f7-4ea3-b546-471f2424ab0c	Supino	Supino	4	0	2013-07-21 20:25:34.448086+02	\N	\N	\N	\N	\N	\N	f	
14158	adcb78b5-f4d2-441a-abde-52c91bd6952b	Cupramontana	Cupramontana	4	0	2013-07-21 20:36:20.88694+02	\N	\N	\N	\N	\N	\N	f	
14628	92be74a0-ea9d-49bd-a2fb-f96c7195d6b2	Vaglio Serra	Vaglio Serra	4	0	2013-07-21 22:20:39.81377+02	\N	\N	\N	\N	\N	\N	f	
15807	93e0ba15-5abf-4c24-9afc-191538fa93d2	Cermenate	Cermenate	4	0	2013-07-22 02:07:10.281157+02	\N	\N	\N	\N	\N	\N	f	
15159	b8c3c149-4041-46a5-999c-d5a634f1c112	Saluzzo	Saluzzo	4	0	2013-07-21 23:54:38.386505+02	\N	\N	\N	\N	\N	\N	f	
24304	78ae44e1-9bbe-43f6-99e0-b7a7337e65ec	Layton	Layton	3	0	2013-09-07 05:41:54.322663+02	\N	\N	\N	\N	\N	\N	f	
16688	4b4b0356-dd04-49fd-9c0d-57d63559916a	Ronzo-Chienis	Ronzo-Chienis	4	0	2013-07-22 04:09:56.062596+02	\N	\N	\N	\N	\N	\N	f	
16796	bb3ec0c8-a6d4-4ae6-b4d6-4a1af797f0ff	Triei	Triei	4	0	2013-07-22 04:39:13.220611+02	\N	\N	\N	\N	\N	\N	f	
16797	6162465b-6125-4cab-9783-34b700f0cfcc	Giarratana	Giarratana	4	0	2013-07-22 04:39:25.973878+02	\N	\N	\N	\N	\N	\N	f	
17647	61f18bdd-fe07-4451-bc4e-30ab9cab47aa	Cava Manara	Cava Manara	4	0	2013-07-22 06:53:14.285321+02	\N	\N	\N	\N	\N	\N	f	
16899	dcb9b860-77e0-438e-8e86-8ba63134d3f9	Cinto Euganeo	Cinto Euganeo	4	0	2013-07-22 05:04:50.755081+02	\N	\N	\N	\N	\N	\N	f	
17240	f3f91295-1fcb-4172-900f-e416efe6d1d8	Andalo Valtellino	Andalo Valtellino	4	0	2013-07-22 06:02:25.280352+02	\N	\N	\N	\N	\N	\N	f	
17648	f860d445-f204-4cab-a426-a19310180a1f	San Nicolò di Comelico	San Nicolò di Comelico	4	0	2013-07-22 06:53:24.102402+02	\N	\N	\N	\N	\N	\N	f	
17649	21e5f445-e72e-422f-8211-9190578b4e77	Ahrntal	Ahrntal	4	0	2013-07-22 06:53:29.540631+02	\N	\N	\N	\N	\N	\N	f	
18606	2c4189cf-9019-4206-be22-c57998d0a6fe	Giavera del Montello	Giavera del Montello	4	0	2013-07-22 08:51:37.452682+02	\N	\N	\N	\N	\N	\N	f	
18648	d2c3de4f-b314-4b76-b1c6-a6fe4d0cd96f	Gorgo al Monticano	Gorgo al Monticano	4	0	2013-07-22 08:57:06.124157+02	\N	\N	\N	\N	\N	\N	f	
20012	c3e4350e-33e1-4922-9043-b74d26a5fda6	Cotignola	Cotignola	4	0	2013-07-22 12:07:29.221061+02	\N	\N	\N	\N	\N	\N	f	
19606	bb249f5a-847e-4bd0-8cef-a3c548467c43	Castelluccio Valmaggiore	Castelluccio Valmaggiore	4	0	2013-07-22 11:01:50.759918+02	\N	\N	\N	\N	\N	\N	f	
19644	8428b39b-1611-4b18-84be-ae7158ad6478	Stornara	Stornara	4	0	2013-07-22 11:10:45.976263+02	\N	\N	\N	\N	\N	\N	f	
24854	bd37b5af-c83e-4106-a9ab-8240992b533b	Northboro	Northboro	3	0	2013-09-07 08:52:12.018194+02	\N	\N	\N	\N	\N	\N	f	
20065	a8b51e28-6aac-4136-9cee-82f4b26d0811	Montereale Valcellina	Montereale Valcellina	4	0	2013-07-22 12:15:01.664561+02	\N	\N	\N	\N	\N	\N	f	
27746	79ea03a6-8e15-4991-891b-802116330985	Medford	Medford	3	0	2013-09-08 09:41:14.797212+02	\N	\N	\N	\N	\N	\N	f	
25365	2acd01f7-19b2-48fd-86b1-080ea70cd662	Fort Mitchell, Kentucky	Fort Mitchell, Kentucky	3	0	2013-09-07 11:33:06.914653+02	\N	\N	\N	\N	\N	\N	f	
14089	7d386da1-58a9-49af-aad1-ac4695f4e9bf	Villa Latina	Villa Latina	4	0	2013-07-22 15:01:33.013696+02	\N	\N	\N	\N	\N	\N	f	
20709	7262a0cc-f464-4011-9646-d5596323f81a	Santa Lucia di Serino	Santa Lucia di Serino	4	0	2013-07-23 08:49:02.505635+02	\N	\N	\N	\N	\N	\N	f	
25885	da692c97-6409-4bd1-ba69-3812cca99c56	Nebo, Kentucky	Nebo, Kentucky	3	0	2013-09-07 15:04:46.745124+02	\N	\N	\N	\N	\N	\N	f	
20711	7e1a6d65-8924-4734-92d4-76c2899efca3	Rocca San Felice	Rocca San Felice	4	0	2013-07-23 08:49:26.781454+02	\N	\N	\N	\N	\N	\N	f	
25967	46315e07-e9f3-483e-a922-e938fdf65f0d	Maple Hill, Kansas	Maple Hill, Kansas	3	0	2013-09-07 17:34:20.781925+02	\N	\N	\N	\N	\N	\N	f	
20818	68cdb00d-3415-411c-a640-b9f4afeb03a6	Santa Croce del Sannio	Santa Croce del Sannio	4	0	2013-07-23 11:51:37.683294+02	\N	\N	\N	\N	\N	\N	f	
20907	66d9d383-39ed-427d-afca-31f4f2420d5f	Castello del Matese	Castello del Matese	4	0	2013-07-23 14:49:52.118575+02	\N	\N	\N	\N	\N	\N	f	
26326	fe38a4c2-e8e8-401f-8eb8-2be46f6df2e2	Melrose	Melrose	3	0	2013-09-07 23:26:04.545079+02	\N	\N	\N	\N	\N	\N	f	
27748	0682e205-1cec-49db-90d0-35d7fd59aff0	Seiling, Oklahoma	Seiling, Oklahoma	3	0	2013-09-08 09:41:42.130876+02	\N	\N	\N	\N	\N	\N	f	
23884	79ec19d8-95d7-4e0b-8186-22b22189e033	Beebe	Beebe	3	0	2013-09-06 20:45:21.406077+02	\N	\N	\N	\N	\N	\N	f	
26615	30b18b52-efa1-4c4a-b528-e764baf162b7	Hartville, Missouri	Hartville, Missouri	3	0	2013-09-08 01:22:42.593687+02	\N	\N	\N	\N	\N	\N	f	
23885	a01bdecf-b4ed-4992-ab20-9763cd5bc340	Calera	Calera	3	0	2013-09-06 20:45:38.727034+02	\N	\N	\N	\N	\N	\N	f	
23888	f57bcbc5-853c-48cf-8a82-749dc58493a8	Walnut Ridge	Walnut Ridge	3	0	2013-09-06 20:46:33.138151+02	\N	\N	\N	\N	\N	\N	f	
23978	34fd293a-ab47-41ff-a08e-41c3fe13ec5b	Chaharbagh	Chaharbagh	3	0	2013-09-06 23:36:38.102826+02	\N	\N	\N	\N	\N	\N	f	
28720	1d74b8b8-5db5-4fd4-b82f-7d9eebe4d3a8	Manor	Manor	3	0	2013-09-08 23:39:30.815533+02	\N	\N	\N	\N	\N	\N	f	
24077	f53dc3f2-fda5-4bdb-9a8f-8bb93387add0	White Bird	White Bird	3	0	2013-09-07 02:31:49.315405+02	\N	\N	\N	\N	\N	\N	f	
27047	b4ee2333-0795-4748-ba4a-16c166b4b145	Morehouse	Morehouse	3	0	2013-09-08 04:33:23.41511+02	\N	\N	\N	\N	\N	\N	f	
27774	ff77e095-f438-4f5e-9a26-644b36b17924	Ada	Ada	3	0	2013-09-08 09:48:30.392897+02	\N	\N	\N	\N	\N	\N	f	
27410	8eea88b8-2fb0-4cbb-af14-aacd53211eb7	Ludden, North Dakota	Ludden, North Dakota	3	0	2013-09-08 07:50:01.097638+02	\N	\N	\N	\N	\N	\N	f	
27822	19799b18-e1e4-4a04-9c5f-acb98cc39801	Smithville	Smithville	3	0	2013-09-08 10:06:48.697255+02	\N	\N	\N	\N	\N	\N	f	
27713	498b30e8-84f7-4061-a60a-6c6d451518fb	Perry	Perry	3	0	2013-09-08 09:32:10.97236+02	\N	\N	\N	\N	\N	\N	f	
27721	1f0d90dd-cd37-48ce-a4b6-99b482b76bef	Wellston	Wellston	3	0	2013-09-08 09:34:32.198893+02	\N	\N	\N	\N	\N	\N	f	
27728	3d90520f-df2a-4703-a368-c805009aef8b	Shidler, Oklahoma	Shidler, Oklahoma	3	0	2013-09-08 09:36:27.164516+02	\N	\N	\N	\N	\N	\N	f	
27828	e001c448-6af4-419e-a61e-4646930cc9f5	Downing	Downing	3	0	2013-09-08 10:08:31.486315+02	\N	\N	\N	\N	\N	\N	f	
28060	ab56c4d0-873a-4e1f-9dfc-2b55798e55c1	Istra	Istra	3	0	2013-09-08 12:18:32.68338+02	\N	\N	\N	\N	\N	\N	f	
28730	860124c2-11cd-4fd6-8e44-7f9f3194aa1e	Quitman	Quitman	3	0	2013-09-08 23:42:29.010863+02	\N	\N	\N	\N	\N	\N	f	
28293	6248751d-5865-4708-ada6-48bca3ea9e6f	Menno, South Dakota	Menno, South Dakota	3	0	2013-09-08 16:42:39.718719+02	\N	\N	\N	\N	\N	\N	f	
28477	e4b96369-7909-4c4f-b0d5-8677364cb81f	Krum	Krum	3	0	2013-09-08 20:18:00.650946+02	\N	\N	\N	\N	\N	\N	f	
28708	36ce9033-260a-4557-9518-882a2457cc4f	San Patricio	San Patricio	3	0	2013-09-08 23:36:20.514531+02	\N	\N	\N	\N	\N	\N	f	
29221	791e8d04-8521-46cb-9774-7f3931c392ad	Winlock	Winlock	3	0	2013-09-09 04:09:36.799179+02	\N	\N	\N	\N	\N	\N	f	
28752	fa4cfa76-0bae-46b4-8987-31598fc9ad18	Stockdale	Stockdale	3	0	2013-09-08 23:49:22.876963+02	\N	\N	\N	\N	\N	\N	f	
28916	dd1f5daf-20d1-434e-97fd-8d0e0a3812c9	Horizon City	Horizon City	3	0	2013-09-09 01:27:54.494916+02	\N	\N	\N	\N	\N	\N	f	
29326	5fc4dc76-3c7e-4605-a46f-a1d27fd60382	Greenwood	Greenwood	3	0	2013-09-09 05:27:30.154647+02	\N	\N	\N	\N	\N	\N	f	
28919	292ff48a-12fd-4795-91b1-9f3521263fc4	Mercedes	Mercedes	3	0	2013-09-09 01:28:53.607807+02	\N	\N	\N	\N	\N	\N	f	
29258	4bc81dfd-541d-4873-8e66-8b7303158e39	Keyser, West Virginia	Keyser, West Virginia	3	0	2013-09-09 04:23:00.96134+02	\N	\N	\N	\N	\N	\N	f	
29430	09e9274b-9b47-4eab-b2e5-611b1c12a5cb	Trinity Palmetto Point	Trinity Palmetto Point	2	0	2013-09-12 09:43:03.013376+02	\N	\N	\N	\N	\N	\N	f	
29329	1f80c66c-913b-4d5c-b784-1198dad804f7	Greenfield, Wisconsin	Greenfield, Wisconsin	3	0	2013-09-09 05:29:08.136587+02	\N	\N	\N	\N	\N	\N	f	
29435	279c5d9a-0165-493e-bed5-fc691be6a4e4	Norwich	Norwich	3	0	2013-09-12 11:18:11.881065+02	\N	\N	\N	\N	\N	\N	f	
29443	7f1aa115-e909-4da4-97db-2098bf5e8c8a	Biržai	Biržai	3	0	2013-09-12 14:51:00.783685+02	\N	\N	\N	\N	\N	\N	f	
29543	346b7e8c-fb6c-422a-8867-c065a59f0bd3	Rio Lucio, New Mexico	Rio Lucio, New Mexico	3	0	2013-09-29 11:24:40.049701+02	\N	\N	\N	\N	\N	\N	f	
29643	91789ba4-76b7-4e39-b9e9-7373cad092e8	Warken	Warken	3	0	2013-10-11 20:22:24.216205+02	\N	\N	\N	\N	\N	\N	f	
12663	042fb423-1f55-41f8-b694-18ed1689dbfc	Naustdal	Naustdal	4	0	2013-07-15 04:39:41.665798+02	\N	\N	\N	\N	\N	\N	f	
12664	d7a8c002-5a4e-452b-985e-c8b21c438236	Vefsn	Vefsn	4	0	2013-07-15 04:39:53.286401+02	\N	\N	\N	\N	\N	\N	f	
14059	a7959ea8-c8ef-48cd-82cf-b7cb0f7acce9	Pastena	Pastena	4	0	2013-07-21 20:14:46.092881+02	\N	\N	\N	\N	\N	\N	f	
12665	70944701-2cdb-46cc-9854-ef3f8f0929f7	Sande	Sande	4	0	2013-07-15 04:40:04.865281+02	\N	\N	\N	\N	\N	\N	f	
12666	21ec7030-f0c8-4dcf-9c60-9d29d1438081	Utsira	Utsira	4	0	2013-07-15 04:40:16.402155+02	\N	\N	\N	\N	\N	\N	f	
12667	443a3281-02aa-41fa-8e91-c6096787748c	Verdal	Verdal	4	0	2013-07-15 04:40:28.017535+02	\N	\N	\N	\N	\N	\N	f	
14068	513d9d9b-ffe6-4090-84ce-9fb447dfc4f3	Pontecorvo	Pontecorvo	4	0	2013-07-21 20:16:49.138299+02	\N	\N	\N	\N	\N	\N	f	
12669	8045a101-b271-4e8c-88f8-73af97ac447b	Namdalseid	Namdalseid	4	0	2013-07-15 04:40:50.782825+02	\N	\N	\N	\N	\N	\N	f	
12709	2e068d2e-f789-47f4-ad21-3f3ca2d0234f	Enebakk	Enebakk	4	0	2013-07-15 04:48:48.435495+02	\N	\N	\N	\N	\N	\N	f	
15803	f27e25ab-3521-4a25-a28d-e9cd7d412ff8	Cassina Rizzardi	Cassina Rizzardi	4	0	2013-07-22 02:06:19.419977+02	\N	\N	\N	\N	\N	\N	f	
12717	614fa70b-5a25-494e-9cbb-3a1957ec36e2	Oppegård	Oppegård	4	0	2013-07-15 04:50:30.038072+02	\N	\N	\N	\N	\N	\N	f	
14263	5a66cdba-9c43-4627-ab08-1fd8a87808fc	Zafferana Etnea	Zafferana Etnea	4	0	2013-07-21 20:59:18.868189+02	\N	\N	\N	\N	\N	\N	f	
12722	1ecb9cf7-7a94-471b-aec7-41f3ec919710	Vestby	Vestby	4	0	2013-07-15 04:51:28.21901+02	\N	\N	\N	\N	\N	\N	f	
12727	b2c159ab-6f79-49d7-bdaf-80c737560137	Kvæfjord	Kvæfjord	4	0	2013-07-15 04:52:50.014678+02	\N	\N	\N	\N	\N	\N	f	
12744	a8968e13-d6c1-41bb-b00c-f13cab6aac92	Flå	Flå	4	0	2013-07-15 05:00:09.519779+02	\N	\N	\N	\N	\N	\N	f	
14279	e9511144-3053-40cc-93b6-73a9afdf8be3	Cecina	Cecina	4	0	2013-07-21 21:03:24.716758+02	\N	\N	\N	\N	\N	\N	f	
14331	173a2205-4c81-40d0-94f1-2fc31ab60ae2	Monrupino	Monrupino	4	0	2013-07-21 21:14:09.922429+02	\N	\N	\N	\N	\N	\N	f	
15899	5b09795d-3e1a-4f9a-9b18-a07cc1c7198c	Tronzano Vercellese	Tronzano Vercellese	4	0	2013-07-22 02:28:03.171278+02	\N	\N	\N	\N	\N	\N	f	
14631	af9c552f-4e5a-4156-a259-0d89369ed36e	Serole	Serole	4	0	2013-07-21 22:21:17.188342+02	\N	\N	\N	\N	\N	\N	f	
15160	5a906b31-d5a0-4ac6-bcd0-ae0997701d8e	Roccasparvera	Roccasparvera	4	0	2013-07-21 23:54:42.145626+02	\N	\N	\N	\N	\N	\N	f	
17646	3c92d8ee-8a4d-408f-8263-8ae59ca79b5c	Santa Giuletta	Santa Giuletta	4	0	2013-07-22 06:53:10.694481+02	\N	\N	\N	\N	\N	\N	f	
15288	a68a44fb-2880-4832-8e83-29f3efd7eee6	Viola	Viola	4	0	2013-07-22 00:11:29.127858+02	\N	\N	\N	\N	\N	\N	f	
16042	4b19321b-4b3b-4509-b3c7-96074bbabda2	Borgomaro	Borgomaro	4	0	2013-07-22 02:45:49.427382+02	\N	\N	\N	\N	\N	\N	f	
15300	17862e32-9d20-43f8-9200-69064a79a03c	Monte Cerignone	Monte Cerignone	4	0	2013-07-22 00:14:34.156586+02	\N	\N	\N	\N	\N	\N	f	
16691	7edc0aca-8620-4c80-a6f9-0236430354e4	Sanzeno	Sanzeno	4	0	2013-07-22 04:10:37.849879+02	\N	\N	\N	\N	\N	\N	f	
25968	1b194e29-06bc-4c55-988a-1a1c5a306c01	Worthville, Kentucky	Worthville, Kentucky	3	0	2013-09-07 17:34:36.222245+02	\N	\N	\N	\N	\N	\N	f	
16843	ed4f5634-77e1-487f-acec-2884aaaeed78	Trebaseleghe	Trebaseleghe	4	0	2013-07-22 04:51:11.56147+02	\N	\N	\N	\N	\N	\N	f	
18609	b19f6981-283d-4dfa-8ed9-2a745fc1db69	Vazzola	Vazzola	4	0	2013-07-22 08:52:08.928643+02	\N	\N	\N	\N	\N	\N	f	
16870	f3a6ef9d-6085-44f1-b1c5-6419beda8b04	Pincara	Pincara	4	0	2013-07-22 04:58:00.146977+02	\N	\N	\N	\N	\N	\N	f	
17247	1dbbf91a-0efe-4aea-99ae-c3838ca94988	Borutta	Borutta	4	0	2013-07-22 06:03:17.655808+02	\N	\N	\N	\N	\N	\N	f	
19998	44f9501c-75f4-4d80-a640-abff392d2ceb	Roccanova	Roccanova	4	0	2013-07-22 12:05:33.983319+02	\N	\N	\N	\N	\N	\N	f	
19611	6faca95f-ff7a-4406-8a8f-3a9ec6d482b4	Celle di San Vito	Celle di San Vito	4	0	2013-07-22 11:02:53.563211+02	\N	\N	\N	\N	\N	\N	f	
19615	c374dfe6-5c69-4a71-b4ad-e4804713c4fd	Villa Castelli	Villa Castelli	4	0	2013-07-22 11:03:49.788213+02	\N	\N	\N	\N	\N	\N	f	
20713	7ce4ff52-6de9-4228-a156-e15ee9fbab5f	Paternopoli	Paternopoli	4	0	2013-07-23 08:49:51.292135+02	\N	\N	\N	\N	\N	\N	f	
26327	a34598e8-2be2-42f6-aa10-b07a511ae474	Eldon, Missouri	Eldon, Missouri	3	0	2013-09-07 23:26:19.051575+02	\N	\N	\N	\N	\N	\N	f	
20908	58561138-028f-44e6-9ab3-8ca825dac31a	Casapulla	Casapulla	4	0	2013-07-23 14:50:04.062206+02	\N	\N	\N	\N	\N	\N	f	
20921	367df911-c8d9-4f2a-b88a-0709f84c7448	Formicola	Formicola	4	0	2013-07-23 14:52:40.688159+02	\N	\N	\N	\N	\N	\N	f	
27849	4e60ef48-13af-4339-8bae-73cd5528d006	Clearmont	Clearmont	3	0	2013-09-08 10:13:55.092362+02	\N	\N	\N	\N	\N	\N	f	
26616	34331fb8-b1cc-4479-ac92-fe80ff209594	Bainbridge, Georgia	Bainbridge, Georgia	3	0	2013-09-08 01:22:56.425092+02	\N	\N	\N	\N	\N	\N	f	
23887	cde940ff-a476-46eb-afb8-e886d9940b78	Page	Page	3	0	2013-09-06 20:46:15.973293+02	\N	\N	\N	\N	\N	\N	f	
23901	8bd1ef18-af27-4507-841e-448464de1652	Blevins	Blevins	3	0	2013-09-06 20:50:14.815282+02	\N	\N	\N	\N	\N	\N	f	
28061	a2fa4d13-e1e7-4ff9-bfca-98e009cc5bbe	Lyubertsy	Lyubertsy	3	0	2013-09-08 12:18:47.538382+02	\N	\N	\N	\N	\N	\N	f	
23979	0cc7c54c-6490-4a5c-a6bd-0dd13ee7ba53	Mahdasht	Mahdasht	3	0	2013-09-06 23:36:52.220171+02	\N	\N	\N	\N	\N	\N	f	
27051	b906014b-8c89-438d-b10c-aa376a43451a	Rockaway Beach	Rockaway Beach	3	0	2013-09-08 04:34:24.463044+02	\N	\N	\N	\N	\N	\N	f	
24079	0f80aff8-93ce-424b-98e9-9a9340dc0135	Huetter	Huetter	3	0	2013-09-07 02:32:19.493865+02	\N	\N	\N	\N	\N	\N	f	
24309	ea8c60b1-5166-454d-a191-99e773dd6ff6	Longwood	Longwood	3	0	2013-09-07 05:43:03.390216+02	\N	\N	\N	\N	\N	\N	f	
24855	942f81c0-a61b-4eef-a2b5-6cd1206391ec	Defiance	Defiance	3	0	2013-09-07 08:52:26.540176+02	\N	\N	\N	\N	\N	\N	f	
27411	8a3f6e7d-552b-4cd0-9db3-241cab22c6c4	Douglas, North Dakota	Douglas, North Dakota	3	0	2013-09-08 07:50:16.173569+02	\N	\N	\N	\N	\N	\N	f	
25367	5c1cc5ba-5043-45b4-8ce5-e6467f6389f9	Bassett	Bassett	3	0	2013-09-07 11:33:34.829668+02	\N	\N	\N	\N	\N	\N	f	
25888	378474f7-a35d-4e38-ab29-b6b680891d58	Milton, Kentucky	Milton, Kentucky	3	0	2013-09-07 15:05:31.157352+02	\N	\N	\N	\N	\N	\N	f	
28582	cae91c2f-96d5-4c65-a11b-d8118026da29	Overton, Texas	Overton, Texas	3	0	2013-09-08 20:55:06.564212+02	\N	\N	\N	\N	\N	\N	f	
28294	d70addcf-67c6-499b-a50c-5a11b4400809	Wessington, South Dakota	Wessington, South Dakota	3	0	2013-09-08 16:42:53.969669+02	\N	\N	\N	\N	\N	\N	f	
27719	304cdd85-ab05-4edf-8c19-5590b85b0116	Willard	Willard	3	0	2013-09-08 09:34:01.872535+02	\N	\N	\N	\N	\N	\N	f	
27758	476f7755-2649-4e86-b635-faa90c17cc47	Blanchard	Blanchard	3	0	2013-09-08 09:44:15.373116+02	\N	\N	\N	\N	\N	\N	f	
28478	513e369c-a9cd-4baa-8d03-ceda31cf72bc	Natalia	Natalia	3	0	2013-09-08 20:18:17.692204+02	\N	\N	\N	\N	\N	\N	f	
28523	a388f432-2340-4056-85a5-ff4d6c8bd7a7	Delta	Delta	3	0	2013-09-08 20:37:20.444271+02	\N	\N	\N	\N	\N	\N	f	
28636	db78e14e-d2ec-4050-b565-1f273da60f82	Talco	Talco	3	0	2013-09-08 21:09:08.313638+02	\N	\N	\N	\N	\N	\N	f	
28534	e7e2336e-1154-4cd4-b0a1-853633d7707d	Callisburg, Texas	Callisburg, Texas	3	0	2013-09-08 20:40:23.03107+02	\N	\N	\N	\N	\N	\N	f	
28717	89bf9770-ed92-40eb-b736-cac0828aed8f	Llano	Llano	3	0	2013-09-08 23:38:40.577609+02	\N	\N	\N	\N	\N	\N	f	
28657	0d0b0796-8b94-4ef7-af2c-cb97a46c2fc1	El Cenizo	El Cenizo	3	0	2013-09-08 21:15:38.999412+02	\N	\N	\N	\N	\N	\N	f	
28710	adf92414-749d-41f7-a059-56495375e962	Cotulla	Cotulla	3	0	2013-09-08 23:36:51.887686+02	\N	\N	\N	\N	\N	\N	f	
29222	e183a729-aa62-4c34-a8d1-787805d05ff2	Woodway	Woodway	3	0	2013-09-09 04:09:58.013706+02	\N	\N	\N	\N	\N	\N	f	
28776	74238331-a9ab-4604-ace0-231ab5b8bc15	Scottsville	Scottsville	3	0	2013-09-08 23:55:47.514109+02	\N	\N	\N	\N	\N	\N	f	
28918	83a54f84-497c-49f7-bcca-aac862e7ab7c	Simonton	Simonton	3	0	2013-09-09 01:28:34.96979+02	\N	\N	\N	\N	\N	\N	f	
29243	5c4ec871-ee5d-4c57-973a-203c3c2c6967	Parsons, West Virginia	Parsons, West Virginia	3	0	2013-09-09 04:17:44.686302+02	\N	\N	\N	\N	\N	\N	f	
29327	b1238c2e-22aa-4d83-a5d4-8c21be762e56	Arcadia	Arcadia	3	0	2013-09-09 05:27:51.876325+02	\N	\N	\N	\N	\N	\N	f	
29431	660162c6-01cf-4e09-8b8b-9fdcce1decdc	Saint Paul Capisterre	Saint Paul Capisterre	2	0	2013-09-12 09:47:01.153503+02	\N	\N	\N	\N	\N	\N	f	
29436	931c44ef-ffcb-43b6-8c08-0dbe078ba9ae	Middleton	Middleton	3	0	2013-09-12 11:22:43.739116+02	\N	\N	\N	\N	\N	\N	f	
29444	87976cc5-747b-48f9-a789-0ef72f3dc45c	Šiauliai	Šiauliai	3	0	2013-09-12 17:08:34.772825+02	\N	\N	\N	\N	\N	\N	f	
29445	b52e6ca4-3dee-4826-bdec-752e0cda8540	Vievis	Vievis	3	0	2013-09-12 17:43:56.183254+02	\N	\N	\N	\N	\N	\N	f	
29446	56361125-6acb-4555-b8e8-0464397c6c4c	Viduklė	Viduklė	3	0	2013-09-12 18:16:14.665763+02	\N	\N	\N	\N	\N	\N	f	
29447	c45dab1e-8cb1-4ca3-af6c-0762c590f333	Hamilton	Hamilton	3	0	2013-09-12 20:18:05.811246+02	\N	\N	\N	\N	\N	\N	f	
12668	0fcdfc29-2429-4efe-a93d-cef7cc52d76a	Lardal	Lardal	4	0	2013-07-15 04:40:39.370151+02	\N	\N	\N	\N	\N	\N	f	
12670	d72f2b28-d99b-4292-bef1-d97ddb31be1e	Hof	Hof	4	0	2013-07-15 04:41:02.200134+02	\N	\N	\N	\N	\N	\N	f	
12684	2b1592fc-5fe0-4f00-87f9-53351e853536	Søgne	Søgne	4	0	2013-07-15 04:43:44.488832+02	\N	\N	\N	\N	\N	\N	f	
14062	53571f2b-70c9-4a83-9f5f-6147c3d30774	Posta Fibreno	Posta Fibreno	4	0	2013-07-21 20:15:22.31991+02	\N	\N	\N	\N	\N	\N	f	
12690	35604a14-65cb-4152-998c-fe72eef0df3e	Alingsås Municipality	Alingsås Municipality	4	0	2013-07-15 04:44:54.014861+02	\N	\N	\N	\N	\N	\N	f	
12712	69a5590e-fbc5-4dac-83ef-1fd1e5f2c73f	Ski	Ski	4	0	2013-07-15 04:49:33.029+02	\N	\N	\N	\N	\N	\N	f	
12720	1fb50255-5e79-4dfc-b754-db8a62d69645	Nesodden	Nesodden	4	0	2013-07-15 04:51:04.92686+02	\N	\N	\N	\N	\N	\N	f	
14120	24245bfa-2cc0-4fd0-b1dc-3a28380c9675	Colli sul Velino	Colli sul Velino	4	0	2013-07-21 20:27:38.341931+02	\N	\N	\N	\N	\N	\N	f	
12728	74fbed86-f493-4a55-9921-b5370f5185d9	Kautokeino	Kautokeino	4	0	2013-07-15 04:53:01.493817+02	\N	\N	\N	\N	\N	\N	f	
15805	004d4657-b796-41ee-9e27-67f4f4c72740	Casasco d'Intelvi	Casasco d'Intelvi	4	0	2013-07-22 02:06:43.661695+02	\N	\N	\N	\N	\N	\N	f	
14632	b0cb9482-b38b-43ac-a55d-518b9c91ddcb	San Marzano Oliveto	San Marzano Oliveto	4	0	2013-07-21 22:21:30.340862+02	\N	\N	\N	\N	\N	\N	f	
14681	f2de5404-2e18-4fa0-b547-6fedf7d2de9d	Cossato	Cossato	4	0	2013-07-21 22:32:30.775605+02	\N	\N	\N	\N	\N	\N	f	
14693	f73969af-2d46-46ca-b3e6-d8d1481340cd	Vitorchiano	Vitorchiano	4	0	2013-07-21 22:34:56.166252+02	\N	\N	\N	\N	\N	\N	f	
15820	9f53a2d2-7e32-4edc-a18a-4a250fd8f62c	Bosentino	Bosentino	4	0	2013-07-22 02:10:07.556498+02	\N	\N	\N	\N	\N	\N	f	
24314	f282f7fa-41c5-4722-b0ef-85f3e5ccd405	Lookout Mountain, Georgia	Lookout Mountain, Georgia	3	0	2013-09-07 05:44:16.541059+02	\N	\N	\N	\N	\N	\N	f	
17657	d82ef2d5-8045-4dbb-b0bf-83290d032d54	Limbiate	Limbiate	4	0	2013-07-22 06:54:22.773685+02	\N	\N	\N	\N	\N	\N	f	
15859	dd62fe66-b0e4-4e07-a16a-e70fe98c79c7	Lamporo	Lamporo	4	0	2013-07-22 02:18:53.702349+02	\N	\N	\N	\N	\N	\N	f	
15891	31474675-0e4b-475e-a886-3669d380f484	Lozzolo	Lozzolo	4	0	2013-07-22 02:26:26.149705+02	\N	\N	\N	\N	\N	\N	f	
15943	ebbd8b7b-4a9d-4c0f-bfcf-88a581bf3bd5	Natz-Schabs	Natz-Schabs	4	0	2013-07-22 02:33:36.683211+02	\N	\N	\N	\N	\N	\N	f	
17678	39f83cb2-5556-45e9-9c3d-c90bc593fc9d	Miradolo Terme	Miradolo Terme	4	0	2013-07-22 06:57:17.329349+02	\N	\N	\N	\N	\N	\N	f	
27068	513d5577-c8ea-4c22-92ca-6018ff2c12a4	Camden Point	Camden Point	3	0	2013-09-08 04:39:04.318196+02	\N	\N	\N	\N	\N	\N	f	
16693	466214c5-02e5-4bf5-82d5-7a26726945de	Segonzano	Segonzano	4	0	2013-07-22 04:11:06.328316+02	\N	\N	\N	\N	\N	\N	f	
19999	8a0b46d6-f337-4709-be4a-d78c0fe2c3ba	Senise	Senise	4	0	2013-07-22 12:05:35.704002+02	\N	\N	\N	\N	\N	\N	f	
17249	b55a64ea-6954-4d83-a958-1daf79faa3bc	Montagna in Valtellina	Montagna in Valtellina	4	0	2013-07-22 06:03:32.924147+02	\N	\N	\N	\N	\N	\N	f	
17682	c5b9af0f-052a-447c-9e05-f8e83869a552	Ottobiano	Ottobiano	4	0	2013-07-22 06:57:46.935809+02	\N	\N	\N	\N	\N	\N	f	
18612	366a5a10-fa96-4d0c-8bc8-942b45f2b296	Quarto d'Altino	Quarto d'Altino	4	0	2013-07-22 08:52:35.613513+02	\N	\N	\N	\N	\N	\N	f	
24324	0315dc9f-025c-4c08-8659-54e8d9228c5e	Greencastle	Greencastle	3	0	2013-09-07 06:11:40.169667+02	\N	\N	\N	\N	\N	\N	f	
18619	9bf20664-8509-4c8e-9c7d-174252dc23bb	Campagna Lupia	Campagna Lupia	4	0	2013-07-22 08:53:29.25127+02	\N	\N	\N	\N	\N	\N	f	
20714	bd9a3994-1a0d-4d05-936b-d8f6fac62678	Savignano Irpino	Savignano Irpino	4	0	2013-07-23 08:50:03.642637+02	\N	\N	\N	\N	\N	\N	f	
18641	d3f018a2-61b2-4743-a94f-ac8652312a88	Sarego	Sarego	4	0	2013-07-22 08:56:18.87802+02	\N	\N	\N	\N	\N	\N	f	
18685	78326471-ae99-4583-8203-3a746bf03841	Vercana	Vercana	4	0	2013-07-22 09:01:32.568157+02	\N	\N	\N	\N	\N	\N	f	
18716	63b01a66-050e-4034-8a55-3dee79f2424a	Lasnigo	Lasnigo	4	0	2013-07-22 09:05:46.72882+02	\N	\N	\N	\N	\N	\N	f	
20909	e85d65a3-e56d-4b34-9b02-a28522c6b1cc	Casal di Principe	Casal di Principe	4	0	2013-07-23 14:50:15.933766+02	\N	\N	\N	\N	\N	\N	f	
18751	6160dec5-9ca8-4b45-9bf0-0d2fdfd7b1a9	Nove	Nove	4	0	2013-07-22 09:09:43.984633+02	\N	\N	\N	\N	\N	\N	f	
26328	c3e20978-bb70-4756-acac-7bee68dc7f8a	Perry, Iowa	Perry, Iowa	3	0	2013-09-07 23:26:32.779349+02	\N	\N	\N	\N	\N	\N	f	
18775	f291f2a0-9c79-41b3-b74f-85013b925936	Prad am Stilfser Joch	Prad am Stilfser Joch	4	0	2013-07-22 09:12:42.731611+02	\N	\N	\N	\N	\N	\N	f	
24860	7346ea50-624a-4267-9a0c-6f3acb3753c5	Bedford	Bedford	3	0	2013-09-07 08:53:38.843457+02	\N	\N	\N	\N	\N	\N	f	
18835	76bb5ede-7f6d-45fe-9c33-5fcf842d9f9e	Domaso	Domaso	4	0	2013-07-22 09:19:51.791256+02	\N	\N	\N	\N	\N	\N	f	
18881	6990772c-9035-4794-aed6-ab67f889f140	Delia, Sicily	Delia, Sicily	4	0	2013-07-22 09:25:18.369257+02	\N	\N	\N	\N	\N	\N	f	
25368	e533b4c6-6afa-4ac6-b65d-4cb979b615f3	Grayson, Kentucky	Grayson, Kentucky	3	0	2013-09-07 11:33:51.006894+02	\N	\N	\N	\N	\N	\N	f	
19612	056720fa-4409-43d4-88cb-3542ce6a0bcd	Torchiarolo	Torchiarolo	4	0	2013-07-22 11:03:08.863457+02	\N	\N	\N	\N	\N	\N	f	
23889	d202d2bd-0c78-403e-b948-da8b9c5e144b	Murfreesboro, Arkansas	Murfreesboro, Arkansas	3	0	2013-09-06 20:46:52.159291+02	\N	\N	\N	\N	\N	\N	f	
23980	289098ad-528a-4e01-95b7-c7685b6d6834	Kuhsar	Kuhsar	3	0	2013-09-06 23:37:06.692822+02	\N	\N	\N	\N	\N	\N	f	
24080	e835bbc7-b917-4ab8-af1d-976ef84ae92d	Drummond	Drummond	3	0	2013-09-07 02:32:37.315956+02	\N	\N	\N	\N	\N	\N	f	
25438	08dc7358-6ff6-4099-80ee-2dc42875ba49	Walton, Kentucky	Walton, Kentucky	3	0	2013-09-07 11:50:26.328521+02	\N	\N	\N	\N	\N	\N	f	
24150	a7a9b223-1ff7-4cad-a979-c9cbadba2d08	McCammon	McCammon	3	0	2013-09-07 03:00:08.104891+02	\N	\N	\N	\N	\N	\N	f	
24180	b602b456-79ca-40ee-ae60-d8418294946b	Mullan	Mullan	3	0	2013-09-07 03:07:45.770501+02	\N	\N	\N	\N	\N	\N	f	
26359	1238b9a8-ded1-4450-97d6-f0c623b49073	Eupora, Mississippi	Eupora, Mississippi	3	0	2013-09-07 23:35:00.472603+02	\N	\N	\N	\N	\N	\N	f	
24311	f0d87c89-491c-4c9a-8359-134b6f4c9a3d	Graceville	Graceville	3	0	2013-09-07 05:43:30.694642+02	\N	\N	\N	\N	\N	\N	f	
25496	34eb025d-48da-4e45-b3ad-b285041f9ebf	Hoxie, Kansas	Hoxie, Kansas	3	0	2013-09-07 12:05:34.678177+02	\N	\N	\N	\N	\N	\N	f	
25890	c6970af8-1d7a-4dae-b8e8-02717b0e696d	Liberty, Kansas	Liberty, Kansas	3	0	2013-09-07 15:06:01.505033+02	\N	\N	\N	\N	\N	\N	f	
26391	a3e7d499-6949-420e-8e11-d3aa542d176a	Earlville	Earlville	3	0	2013-09-07 23:43:20.792117+02	\N	\N	\N	\N	\N	\N	f	
25969	b2921b84-b659-4196-9723-a2f51345259f	Union, Kentucky	Union, Kentucky	3	0	2013-09-07 17:34:50.573145+02	\N	\N	\N	\N	\N	\N	f	
27413	b598314b-a0a2-47a9-b7c1-03b0f77b5f97	Gardner, North Dakota	Gardner, North Dakota	3	0	2013-09-08 07:50:53.321655+02	\N	\N	\N	\N	\N	\N	f	
26617	4ee198fa-b553-4dd9-9b69-90f8a21d8be1	Linden, New Jersey	Linden, New Jersey	3	0	2013-09-08 01:35:09.094036+02	\N	\N	\N	\N	\N	\N	f	
27053	fdcf9956-a5d4-4ab4-8915-8ef16a061423	Raytown	Raytown	3	0	2013-09-08 04:34:53.295011+02	\N	\N	\N	\N	\N	\N	f	
28084	a0d53fee-4bc8-4e18-977d-2e60c53e02d8	Tsimlyansk	Tsimlyansk	3	0	2013-09-08 12:26:16.103915+02	\N	\N	\N	\N	\N	\N	f	
27720	ec66f8e4-2e6b-4385-aa38-431e4bf959ac	Westerville	Westerville	3	0	2013-09-08 09:34:18.347816+02	\N	\N	\N	\N	\N	\N	f	
28588	740630a7-c129-45da-a9d0-e27699404737	Schulenburg, Texas	Schulenburg, Texas	3	0	2013-09-08 20:56:36.523111+02	\N	\N	\N	\N	\N	\N	f	
28064	fc780671-0f09-409c-9bbb-dd898dc12ce2	Tikhvin	Tikhvin	3	0	2013-09-08 12:19:52.41476+02	\N	\N	\N	\N	\N	\N	f	
28519	77d8ca84-5485-485d-b662-f11281a379ef	Fairview	Fairview	3	0	2013-09-08 20:36:20.758554+02	\N	\N	\N	\N	\N	\N	f	
28295	ce5651bf-3c46-437c-8b11-c9b1ebe63ce1	York, South Carolina	York, South Carolina	3	0	2013-09-08 16:43:07.874644+02	\N	\N	\N	\N	\N	\N	f	
28479	45ec51cb-2ea4-415f-8a10-57cb46bc5d5a	Mineral Wells	Mineral Wells	3	0	2013-09-08 20:18:32.353221+02	\N	\N	\N	\N	\N	\N	f	
28592	617ff392-de25-4d81-9f79-f7d0c9e25617	Dripping Springs, Texas	Dripping Springs, Texas	3	0	2013-09-08 20:57:42.333024+02	\N	\N	\N	\N	\N	\N	f	
28713	f4193490-d03c-425f-857a-92731ead254d	Edna	Edna	3	0	2013-09-08 23:37:38.506382+02	\N	\N	\N	\N	\N	\N	f	
28920	4598a559-7b3d-4cf3-b0ad-afa41c524410	Clarendon	Clarendon	3	0	2013-09-09 01:29:16.417801+02	\N	\N	\N	\N	\N	\N	f	
28926	21d8047f-1b3b-47aa-8142-c5f7878e9230	Needville	Needville	3	0	2013-09-09 01:31:05.394416+02	\N	\N	\N	\N	\N	\N	f	
28962	cb4ac68b-5f2a-427e-b467-bd3de85adde3	Smithville	Smithville	3	0	2013-09-09 01:41:05.364317+02	\N	\N	\N	\N	\N	\N	f	
29060	81a59d10-081f-4e04-9a48-abc669cc53d4	Taft	Taft	3	0	2013-09-09 02:10:12.816555+02	\N	\N	\N	\N	\N	\N	f	
29223	c565ce46-3965-4214-8a65-ebfc425d164b	Warden	Warden	3	0	2013-09-09 04:10:12.089354+02	\N	\N	\N	\N	\N	\N	f	
12671	6ff6ca58-2541-4572-a737-d9967e4000ef	Bø	Bø	4	0	2013-07-15 04:41:13.545844+02	\N	\N	\N	\N	\N	\N	f	
12672	ae7df457-d92d-4c6c-82c6-d442456f982a	Vennesla	Vennesla	4	0	2013-07-15 04:41:24.943542+02	\N	\N	\N	\N	\N	\N	f	
12673	c6eba210-306a-44d4-bba9-23d8ab83f431	Vindafjord	Vindafjord	4	0	2013-07-15 04:41:36.581003+02	\N	\N	\N	\N	\N	\N	f	
14063	cebab391-dbda-4f5f-91bd-b0a8f21a57ad	Gallinaro	Gallinaro	4	0	2013-07-21 20:15:36.204523+02	\N	\N	\N	\N	\N	\N	f	
12689	9c6efb67-5677-4928-8dfa-3d9240038e1f	Vågsøy	Vågsøy	4	0	2013-07-15 04:44:42.321555+02	\N	\N	\N	\N	\N	\N	f	
14065	ea654226-e735-4e6a-8a8e-c8fea7a2bcb5	Casalvieri	Casalvieri	4	0	2013-07-21 20:16:04.407325+02	\N	\N	\N	\N	\N	\N	f	
15812	99f6f29f-a02d-4f54-abcb-23dcb1d0afcb	Castelnuovo Bozzente	Castelnuovo Bozzente	4	0	2013-07-22 02:08:15.213638+02	\N	\N	\N	\N	\N	\N	f	
14633	39697ee3-48b3-4e96-a504-e4722bf253bb	Settime	Settime	4	0	2013-07-21 22:21:42.705202+02	\N	\N	\N	\N	\N	\N	f	
14651	2f16ad6c-3330-446c-8e4e-5198478ccc75	Pino d'Asti	Pino d'Asti	4	0	2013-07-21 22:25:49.031929+02	\N	\N	\N	\N	\N	\N	f	
25898	11fe3337-0a1a-4e38-808b-d769097649a6	Pineville, Kentucky	Pineville, Kentucky	3	0	2013-09-07 15:08:08.618834+02	\N	\N	\N	\N	\N	\N	f	
16695	ba7f4362-ed70-493e-bba2-3412db0e99b9	Roverè della Luna	Roverè della Luna	4	0	2013-07-22 04:11:39.053327+02	\N	\N	\N	\N	\N	\N	f	
16794	9e7b3416-f2cd-4879-a12d-3f5ad5a6c429	Loiri Porto San Paolo	Loiri Porto San Paolo	4	0	2013-07-22 04:38:48.373734+02	\N	\N	\N	\N	\N	\N	f	
25903	63f7eaa7-fa11-4c29-a9e4-20233b9bd6ea	Parker, Kansas	Parker, Kansas	3	0	2013-09-07 15:09:22.592582+02	\N	\N	\N	\N	\N	\N	f	
17706	21b70b4a-56a6-43da-997d-d253068017eb	Zoppè di Cadore	Zoppè di Cadore	4	0	2013-07-22 07:00:58.709935+02	\N	\N	\N	\N	\N	\N	f	
20007	5472dd5c-4e11-466f-b11c-217dd29dd30b	Pignola	Pignola	4	0	2013-07-22 12:06:38.091345+02	\N	\N	\N	\N	\N	\N	f	
17708	c204f178-cec5-4cde-8ee4-b9dbac7ac365	Sospirolo	Sospirolo	4	0	2013-07-22 07:01:11.419829+02	\N	\N	\N	\N	\N	\N	f	
17728	a5483d50-59ff-43e2-a238-0b24f5c1e4b1	Rosasco	Rosasco	4	0	2013-07-22 07:03:20.851608+02	\N	\N	\N	\N	\N	\N	f	
17729	5f902bd2-35b2-45b3-bf07-6feb2d523950	Golferenzo	Golferenzo	4	0	2013-07-22 07:03:29.034646+02	\N	\N	\N	\N	\N	\N	f	
20715	c33f8e86-7d35-4340-aae5-1f0fb3f92032	Taurasi	Taurasi	4	0	2013-07-23 08:50:15.924015+02	\N	\N	\N	\N	\N	\N	f	
17771	f8657f22-7ebe-44ad-b737-2b919f53af84	Casatisma	Casatisma	4	0	2013-07-22 07:08:30.057249+02	\N	\N	\N	\N	\N	\N	f	
18615	8216a725-797a-42fd-9df3-06ae4cf5791c	Sarmede	Sarmede	4	0	2013-07-22 08:53:00.012387+02	\N	\N	\N	\N	\N	\N	f	
27833	7aecdb9c-3b6c-46a8-ac84-fcd871027905	West Point	West Point	3	0	2013-09-08 10:09:51.701137+02	\N	\N	\N	\N	\N	\N	f	
18671	197408c5-85e0-471b-8d68-8f047963e2e1	Negrar	Negrar	4	0	2013-07-22 08:59:46.894898+02	\N	\N	\N	\N	\N	\N	f	
20910	a668c61c-6171-48e9-8340-a1fad1d1cff3	Castel Morrone	Castel Morrone	4	0	2013-07-23 14:50:27.821506+02	\N	\N	\N	\N	\N	\N	f	
18755	9bf0f278-a1af-456f-a663-92df3bcd5618	Griante	Griante	4	0	2013-07-22 09:10:08.564919+02	\N	\N	\N	\N	\N	\N	f	
25970	fa7244bc-91bf-4d20-be50-c02c9a621700	Vining, Kansas	Vining, Kansas	3	0	2013-09-07 17:35:09.52429+02	\N	\N	\N	\N	\N	\N	f	
18769	ba15decd-aafd-4da6-9351-e33243440f2c	Montemezzo	Montemezzo	4	0	2013-07-22 09:12:02.406388+02	\N	\N	\N	\N	\N	\N	f	
18788	ef096bb4-3b29-4a01-8add-cb5bd099fc8d	Scorzè	Scorzè	4	0	2013-07-22 09:14:07.639649+02	\N	\N	\N	\N	\N	\N	f	
18844	1091d29b-71b7-432b-8069-0009484cd9c3	Cornuda	Cornuda	4	0	2013-07-22 09:20:54.193477+02	\N	\N	\N	\N	\N	\N	f	
18967	e8e11083-f952-4fa7-a974-b0f44ee894c2	Roveredo di Guà	Roveredo di Guà	4	0	2013-07-22 09:35:44.945158+02	\N	\N	\N	\N	\N	\N	f	
26329	19658acc-174b-40f2-bd75-6e697b856ae5	Randolph	Randolph	3	0	2013-09-07 23:26:52.052889+02	\N	\N	\N	\N	\N	\N	f	
19618	f525cafc-54bf-4236-88a9-999a9d162232	Grottaglie	Grottaglie	4	0	2013-07-22 11:04:54.469009+02	\N	\N	\N	\N	\N	\N	f	
23890	02bca9dc-3752-42f0-9329-fab6d30a7d1c	York	York	3	0	2013-09-06 20:47:08.772697+02	\N	\N	\N	\N	\N	\N	f	
19619	97a86507-0ac8-4311-93ad-fa7e2893693b	Roseto Valfortore	Roseto Valfortore	4	0	2013-07-22 11:05:14.78384+02	\N	\N	\N	\N	\N	\N	f	
19621	b9e02365-c2a5-4da1-b370-b07b8bd5f5df	Mattinata	Mattinata	4	0	2013-07-22 11:05:42.266288+02	\N	\N	\N	\N	\N	\N	f	
19634	190cc1de-f5fe-4e54-93ea-3d9dd2807136	Rocchetta Sant'Antonio	Rocchetta Sant'Antonio	4	0	2013-07-22 11:08:38.201914+02	\N	\N	\N	\N	\N	\N	f	
23982	05d6bc2f-a2a8-4167-a110-e539c47f2dcd	Kamal Shahr	Kamal Shahr	3	0	2013-09-06 23:37:44.183291+02	\N	\N	\N	\N	\N	\N	f	
28714	b8b56456-2e1f-41e6-89e1-7695fdb70a01	Iraan	Iraan	3	0	2013-09-08 23:37:54.193781+02	\N	\N	\N	\N	\N	\N	f	
24006	ba493d2f-b09b-47bb-8763-f870f9d0524c	Lakeland	Lakeland	3	0	2013-09-06 23:48:20.28816+02	\N	\N	\N	\N	\N	\N	f	
26344	f3a57f3b-274d-4bfe-ae00-8fbf245b4c85	Fruitland, Iowa	Fruitland, Iowa	3	0	2013-09-07 23:31:04.391717+02	\N	\N	\N	\N	\N	\N	f	
24081	dc10cb18-2856-41f6-b3a8-8c44af500a67	Stanley	Stanley	3	0	2013-09-07 02:32:51.833183+02	\N	\N	\N	\N	\N	\N	f	
24313	f85db68d-f46f-4c0a-9150-a2c7232bb8b8	Berkeley Lake, Georgia	Berkeley Lake, Georgia	3	0	2013-09-07 05:44:02.884007+02	\N	\N	\N	\N	\N	\N	f	
28066	af6a2197-64e6-4081-96a6-db5d4f955933	Kirovsk	Kirovsk	3	0	2013-09-08 12:20:24.41021+02	\N	\N	\N	\N	\N	\N	f	
24861	fc6d1b0d-9473-42b3-9813-1b5a86bed812	Bussey	Bussey	3	0	2013-09-07 08:53:53.474342+02	\N	\N	\N	\N	\N	\N	f	
26619	e1f9305e-97c7-4eb1-8acc-8929e017c7ee	Gloucester City, New Jersey	Gloucester City, New Jersey	3	0	2013-09-08 01:35:51.745761+02	\N	\N	\N	\N	\N	\N	f	
25370	e2b9f9d7-6566-4f0f-b9bf-b4a9f1ba15d0	Bagley	Bagley	3	0	2013-09-07 11:34:20.757732+02	\N	\N	\N	\N	\N	\N	f	
25893	f45887e4-cd2f-4186-ba04-1944cb537d8f	Winona, Kansas	Winona, Kansas	3	0	2013-09-07 15:06:47.580912+02	\N	\N	\N	\N	\N	\N	f	
27060	62a7c2b2-b483-4657-8343-9d228d9d415c	Homestown	Homestown	3	0	2013-09-08 04:36:51.519861+02	\N	\N	\N	\N	\N	\N	f	
28297	babb0b1b-0e72-4a4c-b201-a0bcfa8d89a2	Carthage, South Dakota	Carthage, South Dakota	3	0	2013-09-08 16:43:35.01894+02	\N	\N	\N	\N	\N	\N	f	
27417	26d352aa-449d-482b-88e7-480b18a0e3ec	Powell	Powell	3	0	2013-09-08 07:52:01.903968+02	\N	\N	\N	\N	\N	\N	f	
27723	57d88057-4eee-4956-b9f2-d6d0e085771f	Stroud, Oklahoma	Stroud, Oklahoma	3	0	2013-09-08 09:35:04.185781+02	\N	\N	\N	\N	\N	\N	f	
29053	bb3f4a4d-9254-4af5-9eb6-9e4c4ffaa616	Clarksville	Clarksville	3	0	2013-09-09 02:08:11.613229+02	\N	\N	\N	\N	\N	\N	f	
28480	9624bb3a-9958-420e-934a-b0544db28b2d	Ropesville	Ropesville	3	0	2013-09-08 20:18:47.213826+02	\N	\N	\N	\N	\N	\N	f	
28738	db954fa0-5ef9-4e58-87ec-a42efdeb0314	Cool	Cool	3	0	2013-09-08 23:45:20.164422+02	\N	\N	\N	\N	\N	\N	f	
28495	f59b2b7b-f49b-46e6-a510-aba13dcb23fa	Williston, Tennessee	Williston, Tennessee	3	0	2013-09-08 20:26:52.189152+02	\N	\N	\N	\N	\N	\N	f	
28539	0d9a9242-3da3-40e5-9626-e9d345d1bfb6	Follett, Texas	Follett, Texas	3	0	2013-09-08 20:42:01.715329+02	\N	\N	\N	\N	\N	\N	f	
28741	9e7df352-623d-4ee8-b4c1-5f689914ec55	Chester	Chester	3	0	2013-09-08 23:46:18.759023+02	\N	\N	\N	\N	\N	\N	f	
29432	ad0da1f9-5592-42aa-a902-45b8b4dd4e01	Saint Anne Sandy Point	Saint Anne Sandy Point	2	0	2013-09-12 09:50:29.803786+02	\N	\N	\N	\N	\N	\N	f	
28771	39ac3d16-55b4-4246-b1e8-745d63a0f0c5	Lovelady	Lovelady	3	0	2013-09-08 23:54:22.075365+02	\N	\N	\N	\N	\N	\N	f	
28922	8cf4c322-0acc-47b6-b4d8-15e3cefb4937	Fair Oaks Ranch	Fair Oaks Ranch	3	0	2013-09-09 01:29:51.66235+02	\N	\N	\N	\N	\N	\N	f	
29224	440f26a1-596b-4de5-87c8-28bc27894635	Tumwater	Tumwater	3	0	2013-09-09 04:10:30.161171+02	\N	\N	\N	\N	\N	\N	f	
29330	26aa03a1-6ae2-4567-938e-b911e33a33ca	Welch, West Virginia	Welch, West Virginia	3	0	2013-09-09 05:30:29.790537+02	\N	\N	\N	\N	\N	\N	f	
29437	24e33fde-8a17-47b6-8799-e6a424aff3cb	Hindley, Greater Manchester	Hindley, Greater Manchester	3	0	2013-09-12 11:23:56.163604+02	\N	\N	\N	\N	\N	\N	f	
29452	16a5db54-5bf4-4738-bc12-7da44eb76180	Silao	Silao	3	0	2013-09-13 02:20:48.140814+02	\N	\N	\N	\N	\N	\N	f	
29448	e4f1e288-92a0-4f36-8f0e-23397e261a99	Windsor	Windsor	3	0	2013-09-12 20:20:08.025969+02	\N	\N	\N	\N	\N	\N	f	
29544	4832dce6-9e50-43e4-9b08-18caf2b915a8	Idiazábal	Idiazábal	3	0	2013-09-29 11:25:39.347298+02	\N	\N	\N	\N	\N	\N	f	
29550	12d78df9-b058-4060-bf4e-2c7b206e3cca	Santa Rosa, New Mexico	Santa Rosa, New Mexico	3	0	2013-09-29 11:29:01.118476+02	\N	\N	\N	\N	\N	\N	f	
29644	5398c535-597a-4c17-aa71-abed11317e77	Stegen, Luxembourg	Stegen, Luxembourg	3	0	2013-10-11 20:23:07.599428+02	\N	\N	\N	\N	\N	\N	f	
29654	942eb3f9-41cf-45f1-be2f-2b0b149493fc	Weiswampach	Weiswampach	3	0	2013-10-11 20:31:23.651215+02	\N	\N	\N	\N	\N	\N	f	
29656	57dacaaa-b075-49fe-8005-c295210c9085	Bandarawela	Bandarawela	3	0	2013-10-11 20:32:40.411646+02	\N	\N	\N	\N	\N	\N	f	
12674	8ce01e48-e730-4ef7-b884-917b543775e4	Re	Re	4	0	2013-07-15 04:41:48.076344+02	\N	\N	\N	\N	\N	\N	f	
12675	00f923db-60dc-42c2-8d8f-6aeb8177fea5	Roan	Roan	4	0	2013-07-15 04:41:59.467451+02	\N	\N	\N	\N	\N	\N	f	
12676	8912514d-9064-4d4b-8323-ede6e4c96e49	Skaun	Skaun	4	0	2013-07-15 04:42:10.909304+02	\N	\N	\N	\N	\N	\N	f	
14064	2b6de874-5550-4321-9696-53e2139eba9c	Guarcino	Guarcino	4	0	2013-07-21 20:15:48.528488+02	\N	\N	\N	\N	\N	\N	f	
12678	3d5954ac-755b-415d-a65b-d5e86111e642	Klepp	Klepp	4	0	2013-07-15 04:42:33.947442+02	\N	\N	\N	\N	\N	\N	f	
12703	4bb0cf07-2cdf-4277-a639-9d8108c77d09	Asker	Asker	4	0	2013-07-15 04:47:39.602356+02	\N	\N	\N	\N	\N	\N	f	
12704	b0912442-048c-48b3-a41a-cd0a6f613cf3	Eidsvoll	Eidsvoll	4	0	2013-07-15 04:47:51.003591+02	\N	\N	\N	\N	\N	\N	f	
24359	9bdd2fd3-4c81-405d-b757-33d3e077c640	Newton, Georgia	Newton, Georgia	3	0	2013-09-07 06:25:39.656368+02	\N	\N	\N	\N	\N	\N	f	
12718	5c2eefe1-b156-4a3f-8df2-81dda72bcfc0	Lørenskog	Lørenskog	4	0	2013-07-15 04:50:41.516346+02	\N	\N	\N	\N	\N	\N	f	
12719	b5795d91-81ba-4f00-bb73-8e676ab5c538	Ullensaker	Ullensaker	4	0	2013-07-15 04:50:52.951551+02	\N	\N	\N	\N	\N	\N	f	
15813	2a89f7ad-41db-429a-99c6-bd277e08cb8f	Laives	Laives	4	0	2013-07-22 02:08:33.651472+02	\N	\N	\N	\N	\N	\N	f	
14211	f890fa2c-1728-4015-90a0-6d6f3fa45b4d	Fabriano	Fabriano	4	0	2013-07-21 20:47:34.383954+02	\N	\N	\N	\N	\N	\N	f	
14322	6cf54f23-2841-4bc0-bdc6-2c9792a1a8fd	Caselle Landi	Caselle Landi	4	0	2013-07-21 21:12:19.627343+02	\N	\N	\N	\N	\N	\N	f	
14329	91c754f6-2cdf-4f82-881d-8b72ee6d96de	Osnago	Osnago	4	0	2013-07-21 21:13:42.047389+02	\N	\N	\N	\N	\N	\N	f	
15836	73f9f018-4cce-4386-ab23-e0f1c3f87bd3	Borgo d'Ale	Borgo d'Ale	4	0	2013-07-22 02:13:25.647648+02	\N	\N	\N	\N	\N	\N	f	
14634	d1ffc269-4de9-4f4e-ba5c-1c2a11909bb0	Montechiaro d'Asti	Montechiaro d'Asti	4	0	2013-07-21 22:21:54.980935+02	\N	\N	\N	\N	\N	\N	f	
14638	34dcbb2e-6b35-476f-a76b-b91001561b1e	Olmo Gentile	Olmo Gentile	4	0	2013-07-21 22:22:51.546433+02	\N	\N	\N	\N	\N	\N	f	
17677	3ebc6b9c-5a5b-4111-ac4c-918ab0e2ea51	Albiate	Albiate	4	0	2013-07-22 06:57:07.587441+02	\N	\N	\N	\N	\N	\N	f	
15175	8b4bf700-ff77-4272-a16f-e8d74a2bc8b9	Massa Martana	Massa Martana	4	0	2013-07-21 23:56:40.352403+02	\N	\N	\N	\N	\N	\N	f	
16696	fc7c92fc-e1d2-4b16-b6a9-f99e692aa92c	Sover	Sover	4	0	2013-07-22 04:12:00.02835+02	\N	\N	\N	\N	\N	\N	f	
15243	ebe211b7-3435-49ad-b054-ed0f0d02c1d0	Venasca	Venasca	4	0	2013-07-22 00:05:00.406629+02	\N	\N	\N	\N	\N	\N	f	
15251	d5525d3c-9e0b-455d-8e53-10c6192f863c	Valmala, Italy	Valmala, Italy	4	0	2013-07-22 00:05:53.412603+02	\N	\N	\N	\N	\N	\N	f	
16719	bc43b83a-e31c-41b3-b0ad-cff96362b651	Tonadico	Tonadico	4	0	2013-07-22 04:18:51.650902+02	\N	\N	\N	\N	\N	\N	f	
28074	360192e6-833d-4d1b-94ac-27b024f7fdec	Ozherelye	Ozherelye	3	0	2013-09-08 12:23:06.777971+02	\N	\N	\N	\N	\N	\N	f	
16814	30d827fc-3c29-4531-8881-20797daaf614	Megliadino San Fidenzio	Megliadino San Fidenzio	4	0	2013-07-22 04:43:32.607874+02	\N	\N	\N	\N	\N	\N	f	
17739	0042849e-59ea-4a3c-b90f-6fe9c84a55eb	Bereguardo	Bereguardo	4	0	2013-07-22 07:05:02.632331+02	\N	\N	\N	\N	\N	\N	f	
24373	c063b0af-6e1d-4dc5-ae4a-9de958b020e9	Greenville	Greenville	3	0	2013-09-07 06:29:09.232979+02	\N	\N	\N	\N	\N	\N	f	
20008	c6bda42c-7d1b-4b75-9ff6-391bc3a1b9a6	Sant'Arcangelo	Sant'Arcangelo	4	0	2013-07-22 12:06:56.947626+02	\N	\N	\N	\N	\N	\N	f	
17746	094ee41e-dd50-4d17-a76e-d1e2807b70cb	Comabbio	Comabbio	4	0	2013-07-22 07:05:43.608689+02	\N	\N	\N	\N	\N	\N	f	
17748	f69fd7ea-1ecb-452c-8ca7-50d31a24db20	Varedo	Varedo	4	0	2013-07-22 07:05:55.884284+02	\N	\N	\N	\N	\N	\N	f	
26621	84a205e4-7d9c-4293-976d-78be6de2d80c	Garfield, New Jersey	Garfield, New Jersey	3	0	2013-09-08 01:36:18.427226+02	\N	\N	\N	\N	\N	\N	f	
18617	4e7cec0d-ec62-418b-9422-d10e3b881b8a	Rotzo	Rotzo	4	0	2013-07-22 08:53:13.611365+02	\N	\N	\N	\N	\N	\N	f	
24863	17d4efd9-d213-4155-85aa-629dcb39e219	Bevington	Bevington	3	0	2013-09-07 08:54:22.493183+02	\N	\N	\N	\N	\N	\N	f	
19627	023608ea-d57f-4c21-abe8-d5013325077d	Castellaneta	Castellaneta	4	0	2013-07-22 11:07:09.432593+02	\N	\N	\N	\N	\N	\N	f	
14091	6f85db8e-6348-405c-925d-b5e3c896ac88	Villa Santa Lucia	Villa Santa Lucia	4	0	2013-07-22 15:01:33.263021+02	\N	\N	\N	\N	\N	\N	f	
20717	0f291040-22fe-4b94-a5ea-fc0b50f61dbd	Sturno	Sturno	4	0	2013-07-23 08:50:40.750877+02	\N	\N	\N	\N	\N	\N	f	
25375	787ff9fd-f13d-4ffb-bf4c-0adc545bda24	Lost Springs, Kansas	Lost Springs, Kansas	3	0	2013-09-07 11:35:38.262196+02	\N	\N	\N	\N	\N	\N	f	
20911	e62a86de-ef60-4d88-8419-c332b879af3d	Dragoni	Dragoni	4	0	2013-07-23 14:50:39.913437+02	\N	\N	\N	\N	\N	\N	f	
25396	1da875ff-b17b-4286-8160-8b5f2e439c46	Monticello, Kentucky	Monticello, Kentucky	3	0	2013-09-07 11:40:25.305507+02	\N	\N	\N	\N	\N	\N	f	
23891	bf6286f3-0265-4e7a-86ac-fecbeee9d679	Piggott	Piggott	3	0	2013-09-06 20:47:30.384994+02	\N	\N	\N	\N	\N	\N	f	
23918	0166a741-6993-4182-a4fb-04381edb3f9e	Anderson	Anderson	3	0	2013-09-06 20:55:47.808455+02	\N	\N	\N	\N	\N	\N	f	
27062	c51c2bed-6522-4661-a3f5-bdc225879def	Hayti	Hayti	3	0	2013-09-08 04:37:23.798674+02	\N	\N	\N	\N	\N	\N	f	
23983	cf3a5151-2130-4bcb-a23b-9ba19a2fe3ef	Meshkin Dasht	Meshkin Dasht	3	0	2013-09-06 23:38:01.834668+02	\N	\N	\N	\N	\N	\N	f	
25895	380948fc-501c-4c8f-aabb-ca74d839c3a6	Evarts, Kentucky	Evarts, Kentucky	3	0	2013-09-07 15:07:17.906308+02	\N	\N	\N	\N	\N	\N	f	
24082	c6e7a1cf-3b7e-4a15-baf8-d224fdcd46c1	Arimo	Arimo	3	0	2013-09-07 02:33:07.106854+02	\N	\N	\N	\N	\N	\N	f	
24095	ad3f9caf-850d-4cf7-bb18-eea6cb71af3e	Hamer	Hamer	3	0	2013-09-07 02:36:32.191012+02	\N	\N	\N	\N	\N	\N	f	
24316	8a1a6761-93e1-4b82-b6dc-57966e771764	Pavo, Georgia	Pavo, Georgia	3	0	2013-09-07 05:44:48.696774+02	\N	\N	\N	\N	\N	\N	f	
25971	f19c89d4-b9c4-4fe5-8a4d-4ba54e3ee755	Norwich, Kansas	Norwich, Kansas	3	0	2013-09-07 17:35:24.767404+02	\N	\N	\N	\N	\N	\N	f	
24356	abd665be-6ac1-4a0f-8a9b-4cf141746250	Euharlee	Euharlee	3	0	2013-09-07 06:24:50.299904+02	\N	\N	\N	\N	\N	\N	f	
28778	9e6a13c7-f64f-4cea-8dde-faf5efe1b5ff	Willow Park	Willow Park	3	0	2013-09-08 23:56:19.443388+02	\N	\N	\N	\N	\N	\N	f	
27067	26811b4d-8340-4648-bb48-291bff09d696	McCook	McCook	3	0	2013-09-08 04:38:50.002805+02	\N	\N	\N	\N	\N	\N	f	
26011	07c1b05b-b9b4-454f-8ff9-64a12806c062	Fall River, Kansas	Fall River, Kansas	3	0	2013-09-07 17:45:45.893026+02	\N	\N	\N	\N	\N	\N	f	
26330	113db033-3f71-4169-a638-c1db2db63449	Hunnewell, Kansas	Hunnewell, Kansas	3	0	2013-09-07 23:27:11.04868+02	\N	\N	\N	\N	\N	\N	f	
28298	86ad0069-4b8d-4e36-b3a2-0ba83ab81faa	LaFollette, Tennessee	LaFollette, Tennessee	3	0	2013-09-08 16:43:48.741971+02	\N	\N	\N	\N	\N	\N	f	
27418	15bb2d79-474d-4691-b692-3258f71a35d0	Milford	Milford	3	0	2013-09-08 07:52:15.316735+02	\N	\N	\N	\N	\N	\N	f	
27727	ece9631b-0101-4434-9f5a-e1a506dae5c1	Comanche, Oklahoma	Comanche, Oklahoma	3	0	2013-09-08 09:36:08.550155+02	\N	\N	\N	\N	\N	\N	f	
28069	0958b455-754f-44fc-83e3-511633cf2637	Mozhaysk	Mozhaysk	3	0	2013-09-08 12:21:26.301165+02	\N	\N	\N	\N	\N	\N	f	
28481	bdd80c4d-3aa8-42ca-8360-a2b03dbd46b3	Jonestown	Jonestown	3	0	2013-09-08 20:19:36.434979+02	\N	\N	\N	\N	\N	\N	f	
28924	cdb02767-da93-4c60-9d2f-e44569daa258	Clarkston, Washington	Clarkston, Washington	3	0	2013-09-09 01:30:33.904093+02	\N	\N	\N	\N	\N	\N	f	
28715	b82df9b9-a067-4f1f-8f71-dfdee9cb462c	Southlake	Southlake	3	0	2013-09-08 23:38:09.760784+02	\N	\N	\N	\N	\N	\N	f	
29226	03a3ddcf-d8e2-4d20-8c74-dc4f06e19e4d	Tekoa	Tekoa	3	0	2013-09-09 04:10:59.536525+02	\N	\N	\N	\N	\N	\N	f	
29017	40a40fd9-d3ea-4404-abe8-2e4dd839bed7	Grandview	Grandview	3	0	2013-09-09 01:57:46.317232+02	\N	\N	\N	\N	\N	\N	f	
29059	76a5b2cc-7e13-42a5-acc6-3a5c1d646203	Omaha	Omaha	3	0	2013-09-09 02:09:55.602271+02	\N	\N	\N	\N	\N	\N	f	
29260	4fbe2292-8aeb-4305-bfb6-99ae694fafb9	Montgomery, West Virginia	Montgomery, West Virginia	3	0	2013-09-09 04:23:33.232986+02	\N	\N	\N	\N	\N	\N	f	
29331	36f7e502-b708-4467-90de-d677d4755d56	Brodhead, Wisconsin	Brodhead, Wisconsin	3	0	2013-09-09 05:34:49.577642+02	\N	\N	\N	\N	\N	\N	f	
29335	535c6eb6-c0ef-431f-a601-4ce3623e1a9e	Oak Creek	Oak Creek	3	0	2013-09-09 08:17:04.206881+02	\N	\N	\N	\N	\N	\N	f	
29433	62756a8f-8952-463d-8cf6-b0afbf78eeab	Saint George Basseterre	Saint George Basseterre	2	0	2013-09-12 09:51:14.176461+02	\N	\N	\N	\N	\N	\N	f	
29438	e74ad89c-82c9-45ba-859e-b64eb7ee1f5e	Basseterre	Basseterre	3	0	2013-09-12 11:24:29.142032+02	\N	\N	\N	\N	\N	\N	f	
29440	67948417-d826-4f14-b09b-18e93b30f616	Newport	Newport	3	0	2013-09-12 11:28:06.428383+02	\N	\N	\N	\N	\N	\N	f	
29449	16e3bb88-5eca-4eef-9314-9598295bce02	Barrie	Barrie	3	0	2013-09-12 20:23:39.50395+02	\N	\N	\N	\N	\N	\N	f	
29453	13c65560-9c1c-47f1-a476-37223e3fecc6	Muli, Gujarat	Muli, Gujarat	3	0	2013-09-13 17:22:31.876615+02	\N	\N	\N	\N	\N	\N	f	
22602	3fd19fae-7f24-4a62-8088-79273cf19148	Minori	Minori	4	0	2013-09-14 04:00:29.403252+02	\N	\N	\N	\N	\N	\N	f	
12677	d40943f6-930d-48cc-8a81-a055853c6193	Lenvik	Lenvik	4	0	2013-07-15 04:42:22.519739+02	\N	\N	\N	\N	\N	\N	f	
12721	184682d9-2ee2-40c9-b69a-2d93e3c84817	Rælingen	Rælingen	4	0	2013-07-15 04:51:16.424755+02	\N	\N	\N	\N	\N	\N	f	
14066	733cee1b-652d-4a6c-b633-321ec231d010	Broccostella	Broccostella	4	0	2013-07-21 20:16:20.730926+02	\N	\N	\N	\N	\N	\N	f	
14076	d107417f-3659-4b21-92cf-b840af98c506	City of St Albans	City of St Albans	3	0	2013-07-21 20:18:20.370491+02	\N	\N	\N	\N	\N	\N	f	
15815	f84ad3f1-14d0-43be-a85a-bf04f603e655	Bondone	Bondone	4	0	2013-07-22 02:09:04.639249+02	\N	\N	\N	\N	\N	\N	f	
14182	69c3aad3-90e8-48e7-8647-04f209d6cb7e	Roccasecca dei Volsci	Roccasecca dei Volsci	4	0	2013-07-21 20:41:41.988534+02	\N	\N	\N	\N	\N	\N	f	
14209	b92356fa-87ef-47dd-a47e-581149e0a676	Fano	Fano	4	0	2013-07-21 20:47:11.334578+02	\N	\N	\N	\N	\N	\N	f	
14342	950e2503-7021-4a52-9b57-646643f7b2bd	Casasco	Casasco	4	0	2013-07-21 21:17:02.675512+02	\N	\N	\N	\N	\N	\N	f	
16697	fdf802fb-41d6-4dfc-9e2c-64662048fe1b	Spera	Spera	4	0	2013-07-22 04:12:14.670689+02	\N	\N	\N	\N	\N	\N	f	
14635	523558f8-1dab-4d24-b886-d7b9cabebf62	Nizza Monferrato	Nizza Monferrato	4	0	2013-07-21 22:22:07.090025+02	\N	\N	\N	\N	\N	\N	f	
14776	52ed5814-80bc-4759-bc51-881ab45da580	Bernezzo	Bernezzo	4	0	2013-07-21 22:53:40.503233+02	\N	\N	\N	\N	\N	\N	f	
17679	5e066a43-1390-4ab9-a4f9-bc39660efa6e	Morazzone	Morazzone	4	0	2013-07-22 06:57:22.5217+02	\N	\N	\N	\N	\N	\N	f	
14784	23844f34-8faa-4990-a8ed-2bc3e3608d8d	Bagnasco	Bagnasco	4	0	2013-07-21 22:55:15.572294+02	\N	\N	\N	\N	\N	\N	f	
16700	0a85e9de-7a0b-460c-af03-ef8425854dd3	Melfi	Melfi	4	0	2013-07-22 04:13:00.442722+02	\N	\N	\N	\N	\N	\N	f	
14805	beec10c0-1888-4184-8675-193f5f568092	Tarvisio	Tarvisio	4	0	2013-07-21 22:59:42.316822+02	\N	\N	\N	\N	\N	\N	f	
15177	64a0b400-444e-41eb-976e-72924f5e082c	Montone	Montone	4	0	2013-07-21 23:56:53.473974+02	\N	\N	\N	\N	\N	\N	f	
17253	e791379d-e647-49ca-9344-0d6cce820983	Codrongianos	Codrongianos	4	0	2013-07-22 06:04:01.826637+02	\N	\N	\N	\N	\N	\N	f	
17699	d086745f-9d6e-43fe-8219-3da500c34876	Villasanta	Villasanta	4	0	2013-07-22 07:00:04.389813+02	\N	\N	\N	\N	\N	\N	f	
20010	7e943e62-1d68-4da2-bda4-5e6c9a57542f	San Severino Lucano	San Severino Lucano	4	0	2013-07-22 12:07:14.075137+02	\N	\N	\N	\N	\N	\N	f	
17701	7cac1613-72e5-4633-961b-5b9d7ae4f960	Montebello della Battaglia	Montebello della Battaglia	4	0	2013-07-22 07:00:19.54566+02	\N	\N	\N	\N	\N	\N	f	
17745	3bf2f49b-70e0-45ca-be1c-2ec1026050e5	Val Masino	Val Masino	4	0	2013-07-22 07:05:41.1386+02	\N	\N	\N	\N	\N	\N	f	
25376	dc695eea-4f10-48aa-8962-3539eae0d6f8	Bancroft, Kentucky	Bancroft, Kentucky	3	0	2013-09-07 11:35:51.618331+02	\N	\N	\N	\N	\N	\N	f	
17769	bff0c170-efc5-4778-a4d9-f9c8ad50496d	Verano Brianza	Verano Brianza	4	0	2013-07-22 07:08:16.531007+02	\N	\N	\N	\N	\N	\N	f	
20101	a8b9835d-4e7a-4c0b-8ab8-efd121bde6a9	Sequals	Sequals	4	0	2013-07-22 12:19:39.112866+02	\N	\N	\N	\N	\N	\N	f	
18624	31f8cb3e-4a1e-45d5-97c7-a136d253c3da	Caltrano	Caltrano	4	0	2013-07-22 08:53:59.631342+02	\N	\N	\N	\N	\N	\N	f	
19628	a09a125b-8a67-409b-89ea-ef2276c93288	Lizzano	Lizzano	4	0	2013-07-22 11:07:23.837119+02	\N	\N	\N	\N	\N	\N	f	
20720	aede0bb8-4f34-4881-97fb-cc41d6af263c	Santo Stefano del Sole	Santo Stefano del Sole	4	0	2013-07-23 08:51:17.611581+02	\N	\N	\N	\N	\N	\N	f	
20914	ae229d1b-999f-4a1d-9cec-e03bc4b528a3	Orta di Atella	Orta di Atella	4	0	2013-07-23 14:51:16.119379+02	\N	\N	\N	\N	\N	\N	f	
28299	7cfa7d10-1728-4b41-a450-db5b62eb256a	Fairview, Tennessee	Fairview, Tennessee	3	0	2013-09-08 16:44:02.340045+02	\N	\N	\N	\N	\N	\N	f	
25896	4c4df5eb-7e91-4889-917d-3d19bf99574d	Buffalo, Kansas	Buffalo, Kansas	3	0	2013-09-07 15:07:32.622485+02	\N	\N	\N	\N	\N	\N	f	
23892	04ce168e-28ba-43e1-a914-86d54988b638	Pea Ridge	Pea Ridge	3	0	2013-09-06 20:47:44.826184+02	\N	\N	\N	\N	\N	\N	f	
23908	8ce4a0e1-a127-4875-96a8-604c6cca856c	Union City	Union City	3	0	2013-09-06 20:52:13.941813+02	\N	\N	\N	\N	\N	\N	f	
27419	855adee4-6797-4563-aaf6-0021ac3c76f2	Ontario	Ontario	3	0	2013-09-08 07:52:31.658445+02	\N	\N	\N	\N	\N	\N	f	
23910	3230e753-990e-42d9-853c-99fe008e6431	Saratoga	Saratoga	3	0	2013-09-06 20:53:03.314212+02	\N	\N	\N	\N	\N	\N	f	
25972	89c76f7b-aaba-4945-90b6-91eba7a34a16	Vicco, Kentucky	Vicco, Kentucky	3	0	2013-09-07 17:35:42.179279+02	\N	\N	\N	\N	\N	\N	f	
23984	b2f5b071-4394-4fcb-8079-5955e58cb3ca	Tulelake, California	Tulelake, California	3	0	2013-09-06 23:38:33.81244+02	\N	\N	\N	\N	\N	\N	f	
24083	ac891178-e84a-4c9f-9ed7-6b8df0c1fc9b	Declo	Declo	3	0	2013-09-07 02:33:21.543246+02	\N	\N	\N	\N	\N	\N	f	
24133	a64169f1-5b59-4f4f-bb47-ca85b06b8a74	Georgetown	Georgetown	3	0	2013-09-07 02:56:15.897587+02	\N	\N	\N	\N	\N	\N	f	
26331	f3d0dba5-6f91-4ac9-b4b2-42d59e25cf67	Marlborough	Marlborough	3	0	2013-09-07 23:27:26.74485+02	\N	\N	\N	\N	\N	\N	f	
24144	e16f13cf-0098-4e81-9e64-d6148152a978	Dubois	Dubois	3	0	2013-09-07 02:58:45.197606+02	\N	\N	\N	\N	\N	\N	f	
24321	79b616b0-8bf1-4f3d-88b8-ba42f720f62d	Canton, Georgia	Canton, Georgia	3	0	2013-09-07 05:46:15.645595+02	\N	\N	\N	\N	\N	\N	f	
24865	615c4bf7-df9e-4e0c-a8cb-6c1a2f757080	Dayton	Dayton	3	0	2013-09-07 08:54:51.461344+02	\N	\N	\N	\N	\N	\N	f	
26333	629fe3be-7ce3-415d-8523-107551ff2f32	Millerton, Iowa	Millerton, Iowa	3	0	2013-09-07 23:28:00.991573+02	\N	\N	\N	\N	\N	\N	f	
24912	bd868dda-aa42-4ad8-bb0e-deb6040d2101	Ridgeway	Ridgeway	3	0	2013-09-07 09:06:42.389951+02	\N	\N	\N	\N	\N	\N	f	
27732	012b4333-69b1-40a9-a68d-a24b9dd2cf32	Tecumseh, Oklahoma	Tecumseh, Oklahoma	3	0	2013-09-08 09:37:28.512846+02	\N	\N	\N	\N	\N	\N	f	
24921	2b1c118f-bf91-4819-9bc7-3705d9022948	Rippey	Rippey	3	0	2013-09-07 09:08:56.421727+02	\N	\N	\N	\N	\N	\N	f	
26622	17b01526-12fd-4c3a-9282-f132d55b77f3	North Wildwood, New Jersey	North Wildwood, New Jersey	3	0	2013-09-08 01:36:31.752699+02	\N	\N	\N	\N	\N	\N	f	
26672	a79fc808-854d-4163-bff7-6c3b681ff00c	Goose Lake, Iowa	Goose Lake, Iowa	3	0	2013-09-08 01:58:48.614271+02	\N	\N	\N	\N	\N	\N	f	
27064	1c980111-6739-43d9-b531-1e9df7b64118	Madison	Madison	3	0	2013-09-08 04:37:57.109176+02	\N	\N	\N	\N	\N	\N	f	
28482	756142a2-dc61-4fab-a334-fe8bfc2b4382	Mount Pleasant	Mount Pleasant	3	0	2013-09-08 20:20:02.105026+02	\N	\N	\N	\N	\N	\N	f	
27075	5155d4a3-7a59-4c6c-82af-9bdd8dd4a97b	Country Club Hills	Country Club Hills	3	0	2013-09-08 04:41:22.80085+02	\N	\N	\N	\N	\N	\N	f	
27734	c0145a72-0954-40e5-97b0-df1472fb6deb	Mustang, Oklahoma	Mustang, Oklahoma	3	0	2013-09-08 09:37:58.969415+02	\N	\N	\N	\N	\N	\N	f	
28073	7305bc68-5607-459a-9f7c-7fce5513900d	Odintsovo	Odintsovo	3	0	2013-09-08 12:22:52.115486+02	\N	\N	\N	\N	\N	\N	f	
28716	cd880c31-bb97-4670-97ac-b2ed86ef0752	Penitas	Penitas	3	0	2013-09-08 23:38:25.175742+02	\N	\N	\N	\N	\N	\N	f	
28095	aa939834-b854-4691-81b0-d95749d1f3f6	Gusev	Gusev	3	0	2013-09-08 12:32:55.283788+02	\N	\N	\N	\N	\N	\N	f	
28933	12d45b23-9c42-4c20-850a-14effc941dcd	Memphis	Memphis	3	0	2013-09-09 01:32:59.564642+02	\N	\N	\N	\N	\N	\N	f	
28522	58d990e5-0f68-4e60-9b5b-c850a71fb702	Kennard, Texas	Kennard, Texas	3	0	2013-09-08 20:37:05.881401+02	\N	\N	\N	\N	\N	\N	f	
28538	bf9f523f-2fbf-4c4d-a21d-f06fd91aee84	Helotes, Texas	Helotes, Texas	3	0	2013-09-08 20:41:40.681277+02	\N	\N	\N	\N	\N	\N	f	
29332	1469ecea-0e7f-4103-9bbe-bd8c641d9e36	Horicon, Wisconsin	Horicon, Wisconsin	3	0	2013-09-09 05:35:16.824564+02	\N	\N	\N	\N	\N	\N	f	
28978	5baa0b2a-b7a4-4cd8-82c2-8d8837b4a2da	Galena Park	Galena Park	3	0	2013-09-09 01:45:37.529535+02	\N	\N	\N	\N	\N	\N	f	
29227	0c3d2955-6adf-40ca-9a55-853751f53cd8	Vader	Vader	3	0	2013-09-09 04:11:17.610322+02	\N	\N	\N	\N	\N	\N	f	
28980	d0d91c0d-ec34-4307-9b62-eca4bc9e85c0	Panorama Village	Panorama Village	3	0	2013-09-09 01:46:11.36378+02	\N	\N	\N	\N	\N	\N	f	
28998	dbc1ac27-5959-4844-b89f-13a21c0a953b	Robinson	Robinson	3	0	2013-09-09 01:51:16.985925+02	\N	\N	\N	\N	\N	\N	f	
29336	44de3f25-7936-4ffe-8c44-acd75f68a936	Rhinelander	Rhinelander	3	0	2013-09-09 08:17:32.458653+02	\N	\N	\N	\N	\N	\N	f	
29340	da9397ed-4e8a-45dd-843d-4ae74eaa6557	Juneau	Juneau	3	0	2013-09-09 08:19:01.037334+02	\N	\N	\N	\N	\N	\N	f	
29439	0cb919a3-283e-4fc8-948d-547f697c6b61	Batley	Batley	3	0	2013-09-12 11:27:32.76512+02	\N	\N	\N	\N	\N	\N	f	
29450	db3634e7-5414-41dd-be0b-68ae71798dcd	London	London	3	0	2013-09-12 20:27:38.303475+02	\N	\N	\N	\N	\N	\N	f	
29454	c0da8cf2-f2c2-4ae3-a8df-ad6736afa8c2	Mendarda	Mendarda	3	0	2013-09-13 17:22:51.881085+02	\N	\N	\N	\N	\N	\N	f	
21796	b1551107-422a-4d43-b90f-86aabd546a8a	San Giovanni del Dosso	San Giovanni del Dosso	4	0	2013-09-14 04:00:30.192591+02	\N	\N	\N	\N	\N	\N	f	
21793	f05a3a76-5fb8-49bb-bb64-66e5c76340c9	San Giacomo delle Segnate	San Giacomo delle Segnate	4	0	2013-09-14 04:00:30.582737+02	\N	\N	\N	\N	\N	\N	f	
12679	5882cf77-55ea-4f37-867e-0392f55a2ff5	Lavangen	Lavangen	4	0	2013-07-15 04:42:45.758022+02	\N	\N	\N	\N	\N	\N	f	
12680	b914ccb0-3349-4855-8024-0f0a4827a1d8	Audnedal	Audnedal	4	0	2013-07-15 04:42:58.510026+02	\N	\N	\N	\N	\N	\N	f	
12681	36cff89c-f20d-4c7b-8854-351fc33cb7f6	Orkdal	Orkdal	4	0	2013-07-15 04:43:09.92223+02	\N	\N	\N	\N	\N	\N	f	
14069	14d2ccae-b974-42bf-bed1-6556093e532a	Picinisco	Picinisco	4	0	2013-07-21 20:17:01.237519+02	\N	\N	\N	\N	\N	\N	f	
12708	152bc375-eaea-459e-bb47-9eee40031202	Gjerdrum	Gjerdrum	4	0	2013-07-15 04:48:36.915732+02	\N	\N	\N	\N	\N	\N	f	
14075	1067fdac-5de7-423c-82c1-a9e59ac97a67	Pescosolido	Pescosolido	4	0	2013-07-21 20:18:19.306896+02	\N	\N	\N	\N	\N	\N	f	
15817	b7f30a35-110a-48e6-adc1-1228867ef7e5	Bresimo	Bresimo	4	0	2013-07-22 02:09:30.408966+02	\N	\N	\N	\N	\N	\N	f	
14340	2bb10c02-a258-444a-a50b-392bbfe09c3b	Bassignana	Bassignana	4	0	2013-07-21 21:16:27.257518+02	\N	\N	\N	\N	\N	\N	f	
14636	39a3c0cf-6e66-4f9f-ae2d-b6473f3e367d	Quaranti	Quaranti	4	0	2013-07-21 22:22:19.083597+02	\N	\N	\N	\N	\N	\N	f	
14654	e664df3e-0f84-4c09-877b-58e0af7176fd	Piovà Massaia	Piovà Massaia	4	0	2013-07-21 22:26:32.34035+02	\N	\N	\N	\N	\N	\N	f	
15839	8f6a2e57-089f-45c0-87dc-f87166d69bc6	Civiasco	Civiasco	4	0	2013-07-22 02:14:09.356359+02	\N	\N	\N	\N	\N	\N	f	
15196	9d49d179-57a0-41c0-aa37-80f376dc2d2d	Monte Castello di Vibio	Monte Castello di Vibio	4	0	2013-07-21 23:59:02.052664+02	\N	\N	\N	\N	\N	\N	f	
17683	549b423a-ad6c-41b5-b2aa-12124477c78b	Besana in Brianza	Besana in Brianza	4	0	2013-07-22 06:57:57.781232+02	\N	\N	\N	\N	\N	\N	f	
15213	f156b168-2e64-4177-a13c-411bebc8b487	Serralunga d'Alba	Serralunga d'Alba	4	0	2013-07-22 00:01:14.887534+02	\N	\N	\N	\N	\N	\N	f	
16703	afb0b2e5-1c44-4599-90f8-e36ddc5b45cf	Smarano	Smarano	4	0	2013-07-22 04:13:46.598233+02	\N	\N	\N	\N	\N	\N	f	
15235	b810e10b-79d9-4e8e-936e-b63aef626221	Torre Bormida	Torre Bormida	4	0	2013-07-22 00:04:05.559604+02	\N	\N	\N	\N	\N	\N	f	
17254	a5fd1857-43c5-477c-9aa1-bf872b90fbed	Chiaramonti	Chiaramonti	4	0	2013-07-22 06:04:09.037165+02	\N	\N	\N	\N	\N	\N	f	
18630	2c305e81-ed0d-4eb5-bdcd-9ed6d7257c36	Fregona	Fregona	4	0	2013-07-22 08:54:44.570147+02	\N	\N	\N	\N	\N	\N	f	
20013	15232733-fe35-4802-8cd0-4e809930bdf5	Savoia di Lucania	Savoia di Lucania	4	0	2013-07-22 12:07:43.88545+02	\N	\N	\N	\N	\N	\N	f	
18635	3c42b7c4-190b-4fc5-bcf9-f60388dae6f4	Albettone	Albettone	4	0	2013-07-22 08:55:35.100526+02	\N	\N	\N	\N	\N	\N	f	
18652	81f2b213-94b0-4c73-a8ed-dd9838f69a80	Posina	Posina	4	0	2013-07-22 08:57:35.071563+02	\N	\N	\N	\N	\N	\N	f	
25432	5d38b42e-7513-4821-adda-eff0c7838bd4	Bushton, Kansas	Bushton, Kansas	3	0	2013-09-07 11:48:56.657896+02	\N	\N	\N	\N	\N	\N	f	
18704	1bca4ab5-40db-4959-9033-097f9f64a45f	Annone Veneto	Annone Veneto	4	0	2013-07-22 09:03:56.059134+02	\N	\N	\N	\N	\N	\N	f	
20722	6d6c920c-a630-4ad7-bf03-58ca69522212	San Mango sul Calore	San Mango sul Calore	4	0	2013-07-23 08:51:44.783547+02	\N	\N	\N	\N	\N	\N	f	
19631	08b1cd29-2f11-4ea4-9356-828233f81cdf	Faggiano	Faggiano	4	0	2013-07-22 11:08:02.774571+02	\N	\N	\N	\N	\N	\N	f	
20915	d6b7eb40-c5e1-4a7a-8740-cccc0fb80e09	Macerata Campania	Macerata Campania	4	0	2013-07-23 14:51:28.158937+02	\N	\N	\N	\N	\N	\N	f	
28308	da590694-3f91-4ccf-9de5-e3d9f0157c51	Presho, South Dakota	Presho, South Dakota	3	0	2013-09-08 16:46:27.89738+02	\N	\N	\N	\N	\N	\N	f	
20920	6899f532-3065-438c-ac95-07a945561912	Mignano Monte Lungo	Mignano Monte Lungo	4	0	2013-07-23 14:52:28.090562+02	\N	\N	\N	\N	\N	\N	f	
25897	5fa5497d-609c-40e2-8f92-1c544dcf6820	Bluff City, Kansas	Bluff City, Kansas	3	0	2013-09-07 15:07:47.622365+02	\N	\N	\N	\N	\N	\N	f	
23894	c0dc1a7e-ab3b-431a-b30c-bdc459b5cd38	Pocahontas	Pocahontas	3	0	2013-09-06 20:48:17.575697+02	\N	\N	\N	\N	\N	\N	f	
27459	8b1ce6f0-948f-4258-b268-89acbd4e7eee	Sharon, North Dakota	Sharon, North Dakota	3	0	2013-09-08 08:02:06.375354+02	\N	\N	\N	\N	\N	\N	f	
23985	b395114d-e99c-43ef-8457-59dca017215a	Brighton, Colorado	Brighton, Colorado	3	0	2013-09-06 23:39:00.487607+02	\N	\N	\N	\N	\N	\N	f	
25973	a938831e-27bf-473a-9288-403e98614161	Caneyville, Kentucky	Caneyville, Kentucky	3	0	2013-09-07 17:35:56.584041+02	\N	\N	\N	\N	\N	\N	f	
24084	8bf9138e-c429-4574-b514-3c8c0ddb9c31	Winchester	Winchester	3	0	2013-09-07 02:33:36.365445+02	\N	\N	\N	\N	\N	\N	f	
24093	6c52fdc8-a66a-4ca3-bd9b-81e409335cdb	Rockland	Rockland	3	0	2013-09-07 02:36:01.235121+02	\N	\N	\N	\N	\N	\N	f	
24123	4598caf9-88f1-4130-b5cd-e23e0a5c7b84	Soda Springs	Soda Springs	3	0	2013-09-07 02:45:39.314832+02	\N	\N	\N	\N	\N	\N	f	
26332	5fae8790-e34a-4f91-869c-bc2b904750f5	Cuba, Missouri	Cuba, Missouri	3	0	2013-09-07 23:27:46.908588+02	\N	\N	\N	\N	\N	\N	f	
24322	43e3125d-8380-45a7-af70-a274d5de8426	Woodbury, Georgia	Woodbury, Georgia	3	0	2013-09-07 05:46:29.110359+02	\N	\N	\N	\N	\N	\N	f	
24866	502a5b0d-f75f-44fb-8adf-0081498e74cd	Akron	Akron	3	0	2013-09-07 08:55:06.054124+02	\N	\N	\N	\N	\N	\N	f	
24961	e9a3f871-b6ad-4eec-838a-a3fb4d6c9477	Galva, Kansas	Galva, Kansas	3	0	2013-09-07 09:27:21.176948+02	\N	\N	\N	\N	\N	\N	f	
26623	cc0262bd-8bb5-4bde-a469-a48cc26cb697	Millville, New Jersey	Millville, New Jersey	3	0	2013-09-08 01:36:55.009672+02	\N	\N	\N	\N	\N	\N	f	
25377	be755172-89a8-4494-8d22-1f257fb7893b	Carrsville, Kentucky	Carrsville, Kentucky	3	0	2013-09-07 11:36:04.835056+02	\N	\N	\N	\N	\N	\N	f	
27737	84857bf8-c865-41ef-bdc9-3caf2dd1eca3	Weatherford, Oklahoma	Weatherford, Oklahoma	3	0	2013-09-08 09:38:47.21572+02	\N	\N	\N	\N	\N	\N	f	
25397	c8a0999f-38c7-4705-9a68-4bc54bc8ca25	Rantoul, Kansas	Rantoul, Kansas	3	0	2013-09-07 11:40:38.900552+02	\N	\N	\N	\N	\N	\N	f	
27065	0ea9859a-2cab-42de-8cbd-7f76e0458f28	Iberia	Iberia	3	0	2013-09-08 04:38:13.921794+02	\N	\N	\N	\N	\N	\N	f	
29333	3a0ddea5-a8af-4206-841d-1e29e7558737	Green Lake, Wisconsin	Green Lake, Wisconsin	3	0	2013-09-09 05:37:03.739446+02	\N	\N	\N	\N	\N	\N	f	
27420	50fdfdec-f47c-4513-af53-8ad30bf0fcb2	Englewood	Englewood	3	0	2013-09-08 07:52:45.101332+02	\N	\N	\N	\N	\N	\N	f	
27741	d4b8c928-9233-41a9-8563-fb8bc9d457de	Hooker, Oklahoma	Hooker, Oklahoma	3	0	2013-09-08 09:39:46.027855+02	\N	\N	\N	\N	\N	\N	f	
27429	a29ef4ce-9c4b-4e89-a1df-792af7e2f2b2	Garrison, North Dakota	Garrison, North Dakota	3	0	2013-09-08 07:54:53.461125+02	\N	\N	\N	\N	\N	\N	f	
28483	d45d231d-9e45-44be-851c-5430e94e9bc1	Frisco, Texas	Frisco, Texas	3	0	2013-09-08 20:20:16.515176+02	\N	\N	\N	\N	\N	\N	f	
27430	d3918b68-d240-4071-b0c5-0f9d3df91952	Velva, North Dakota	Velva, North Dakota	3	0	2013-09-08 07:55:07.140592+02	\N	\N	\N	\N	\N	\N	f	
28075	5e897c59-a9cd-4f97-9a08-c5502a17eaa2	Nizhnevartovsk	Nizhnevartovsk	3	0	2013-09-08 12:23:20.117771+02	\N	\N	\N	\N	\N	\N	f	
28970	ee16e66d-0377-4475-bdff-ff191400d62e	Hereford	Hereford	3	0	2013-09-09 01:43:21.000728+02	\N	\N	\N	\N	\N	\N	f	
28300	d5d6b025-1190-4feb-9967-d34ccfae0a3f	Finger, Tennessee	Finger, Tennessee	3	0	2013-09-08 16:44:21.30476+02	\N	\N	\N	\N	\N	\N	f	
28722	98c441de-c20b-4bb7-9842-9e8e8817c0bf	Scotland	Scotland	3	0	2013-09-08 23:40:06.771929+02	\N	\N	\N	\N	\N	\N	f	
28766	4f7496cf-80fa-48eb-b788-8606b83c876e	Tool	Tool	3	0	2013-09-08 23:53:03.398009+02	\N	\N	\N	\N	\N	\N	f	
28972	d3d3f4d1-ef47-4fa5-8edd-f3c687d58a15	Hallsburg	Hallsburg	3	0	2013-09-09 01:43:54.135341+02	\N	\N	\N	\N	\N	\N	f	
28934	888bccf2-bdd0-415a-b41f-2ca658273ecf	Sealy	Sealy	3	0	2013-09-09 01:33:15.852205+02	\N	\N	\N	\N	\N	\N	f	
29228	f26fa9c2-7667-43ac-ae16-fcc2637b6cb9	Union Gap	Union Gap	3	0	2013-09-09 04:11:32.234521+02	\N	\N	\N	\N	\N	\N	f	
29451	745d5359-2902-479d-b052-8c154b8f2648	Weatherford	Weatherford	3	0	2013-09-12 20:28:14.056204+02	\N	\N	\N	\N	\N	\N	f	
29337	e0e67e10-08b5-4b39-9977-575d21599d8f	Menomonie	Menomonie	3	0	2013-09-09 08:17:55.324532+02	\N	\N	\N	\N	\N	\N	f	
19761	74522218-4a3b-4f2d-bcfb-2dde5c75b81e	San Giovanni in Croce	San Giovanni in Croce	4	0	2013-09-14 04:00:33.177891+02	\N	\N	\N	\N	\N	\N	f	
19645	fac99480-da73-4ee2-bd69-4024c62835a2	Pietramontecorvino	Pietramontecorvino	4	0	2013-09-14 04:00:35.081113+02	\N	\N	\N	\N	\N	\N	f	
29545	67c4956c-1f65-477d-aec6-397d66c9c435	San Fernando del Valle de Catamarca	San Fernando del Valle de Catamarca	3	0	2013-09-29 11:26:20.656934+02	\N	\N	\N	\N	\N	\N	f	
29645	0e17b7eb-8f51-47a9-8389-33429bd75e74	Capellen	Capellen	3	0	2013-10-11 20:24:20.732696+02	\N	\N	\N	\N	\N	\N	f	
12682	629b2293-3bc9-4330-91c3-042e974a883b	Lyngdal	Lyngdal	4	0	2013-07-15 04:43:21.508606+02	\N	\N	\N	\N	\N	\N	f	
12683	8cf9a713-e35d-4127-9d01-9158a5185845	Overhalla	Overhalla	4	0	2013-07-15 04:43:32.909407+02	\N	\N	\N	\N	\N	\N	f	
12685	09e9270d-53e9-40f2-b783-ee9fcea731c7	Gran	Gran	4	0	2013-07-15 04:43:56.331536+02	\N	\N	\N	\N	\N	\N	f	
14071	5863f599-c94c-4036-9e6a-97715178011f	Boville Ernica	Boville Ernica	4	0	2013-07-21 20:17:27.144954+02	\N	\N	\N	\N	\N	\N	f	
12686	20a6ba29-902f-4f6b-b167-586d46779a89	Salangen	Salangen	4	0	2013-07-15 04:44:07.838915+02	\N	\N	\N	\N	\N	\N	f	
12687	d8289641-062c-4e2b-9199-5943bbc20bb2	Askvoll	Askvoll	4	0	2013-07-15 04:44:19.276018+02	\N	\N	\N	\N	\N	\N	f	
12698	0200879c-65fb-4cc9-bfa5-4987e613baa5	Lund	Lund	4	0	2013-07-15 04:46:34.622255+02	\N	\N	\N	\N	\N	\N	f	
14177	67d011b3-8fde-4ef5-986f-ad79f9411b8f	Gaeta	Gaeta	4	0	2013-07-21 20:40:39.213041+02	\N	\N	\N	\N	\N	\N	f	
12716	8cadf4f8-b387-4d70-94db-1c1e38f5c431	Skedsmo	Skedsmo	4	0	2013-07-15 04:50:18.569473+02	\N	\N	\N	\N	\N	\N	f	
12723	02834d41-0d99-4736-b17e-e2554c2ed323	Nittedal	Nittedal	4	0	2013-07-15 04:51:39.72938+02	\N	\N	\N	\N	\N	\N	f	
15819	85d82a5c-97eb-49fd-8af6-3c7b286d8731	Brentonico	Brentonico	4	0	2013-07-22 02:09:53.617367+02	\N	\N	\N	\N	\N	\N	f	
12733	455bfa0a-64cf-4e5f-9bc3-1e8810c4c015	Risør	Risør	4	0	2013-07-15 04:56:57.473993+02	\N	\N	\N	\N	\N	\N	f	
14205	88444d93-004d-44f3-91f5-a0fca9d99e5a	Ventotene	Ventotene	4	0	2013-07-21 20:46:23.562114+02	\N	\N	\N	\N	\N	\N	f	
14239	8830d233-2eb0-4638-8211-603dcbcb264a	Prato	Prato	4	0	2013-07-21 20:53:30.349575+02	\N	\N	\N	\N	\N	\N	f	
14641	fe2bea74-8241-4717-9ccc-6fb0d1a2bbf4	San Damiano d'Asti	San Damiano d'Asti	4	0	2013-07-21 22:23:28.57005+02	\N	\N	\N	\N	\N	\N	f	
16704	f4f773b1-55a5-4f39-a245-fa713adc162c	Abbasanta	Abbasanta	4	0	2013-07-22 04:14:00.87196+02	\N	\N	\N	\N	\N	\N	f	
14711	2c433dd7-e767-4bb7-952e-8784fffd6b80	Coggiola	Coggiola	4	0	2013-07-21 22:39:04.195772+02	\N	\N	\N	\N	\N	\N	f	
15195	a2b638f9-3d94-4234-a3fe-fa7524610383	Panicale	Panicale	4	0	2013-07-21 23:58:59.368881+02	\N	\N	\N	\N	\N	\N	f	
17695	132c224a-bd25-4538-a99f-fd082fc87cae	Rancio Valcuvia	Rancio Valcuvia	4	0	2013-07-22 06:59:25.80964+02	\N	\N	\N	\N	\N	\N	f	
15217	bf871578-be0a-40a0-af0c-7885b408604b	Sant'Albano Stura	Sant'Albano Stura	4	0	2013-07-22 00:01:46.840918+02	\N	\N	\N	\N	\N	\N	f	
16748	0201ae42-b477-42d5-9490-6bc83a1c22c5	Aosta	Aosta	4	0	2013-07-22 04:26:46.730118+02	\N	\N	\N	\N	\N	\N	f	
25900	21e5bc66-4234-4c1a-8c0b-bf0a50c32d05	New Haven, Kentucky	New Haven, Kentucky	3	0	2013-09-07 15:08:38.302326+02	\N	\N	\N	\N	\N	\N	f	
16848	bae911a3-013d-4971-8afd-b748fefb75fa	Ospedaletto Euganeo	Ospedaletto Euganeo	4	0	2013-07-22 04:52:23.561822+02	\N	\N	\N	\N	\N	\N	f	
17256	9babf935-2a01-453e-a72e-dc5c755b079f	Ittiri	Ittiri	4	0	2013-07-22 06:04:25.231918+02	\N	\N	\N	\N	\N	\N	f	
17698	bf41c179-3606-4228-b141-5a80fd81757c	Macherio	Macherio	4	0	2013-07-22 06:59:46.30156+02	\N	\N	\N	\N	\N	\N	f	
20014	59671afb-21fd-42dc-abad-b711a3e7a3d5	Bagnara di Romagna	Bagnara di Romagna	4	0	2013-07-22 12:07:45.76728+02	\N	\N	\N	\N	\N	\N	f	
17724	2b05a198-6d64-4eb5-9e2f-b28815927717	Lirio	Lirio	4	0	2013-07-22 07:02:55.652501+02	\N	\N	\N	\N	\N	\N	f	
17736	e74e69e7-e90e-4b8b-a7d4-c76a0e137b66	Forcola	Forcola	4	0	2013-07-22 07:04:12.490508+02	\N	\N	\N	\N	\N	\N	f	
17759	d6cb5769-3fa8-46a4-acf3-da2473e63354	Golasecca	Golasecca	4	0	2013-07-22 07:07:11.342534+02	\N	\N	\N	\N	\N	\N	f	
20047	897776c7-c929-4b6c-b4a3-0b82d342eb37	Azzano Decimo	Azzano Decimo	4	0	2013-07-22 12:12:40.349261+02	\N	\N	\N	\N	\N	\N	f	
18649	27db266f-360d-43fd-8f75-e1c75d8c0297	Arsiero	Arsiero	4	0	2013-07-22 08:57:16.244828+02	\N	\N	\N	\N	\N	\N	f	
19633	3780fd60-f46b-4f9e-be1c-41d745d0c51c	Vico del Gargano	Vico del Gargano	4	0	2013-07-22 11:08:26.38547+02	\N	\N	\N	\N	\N	\N	f	
25974	db14764a-c7f9-4471-aabe-4fc8f455c0a4	Westlake, Louisiana	Westlake, Louisiana	3	0	2013-09-07 17:36:11.820552+02	\N	\N	\N	\N	\N	\N	f	
20916	3f125a18-11e9-4c88-b3bf-9ca472ec5085	Liberi	Liberi	4	0	2013-07-23 14:51:40.193088+02	\N	\N	\N	\N	\N	\N	f	
23895	86b5d0d9-4d37-4033-bea3-1d0541449386	Lexa	Lexa	3	0	2013-09-06 20:48:34.472024+02	\N	\N	\N	\N	\N	\N	f	
25989	11084269-db4b-4f24-8627-85543f8f4497	Ville Platte	Ville Platte	3	0	2013-09-07 17:40:00.171498+02	\N	\N	\N	\N	\N	\N	f	
23986	5c867169-8a3e-4b1e-9548-fd9d01ee6ab4	Yreka, California	Yreka, California	3	0	2013-09-06 23:39:20.450426+02	\N	\N	\N	\N	\N	\N	f	
23988	68987b99-5e8f-44c5-9e94-0630ff724e12	Waterford, California	Waterford, California	3	0	2013-09-06 23:39:52.608713+02	\N	\N	\N	\N	\N	\N	f	
27421	d33b568c-b496-4eee-a3ca-821ffeee80eb	Ryder, North Dakota	Ryder, North Dakota	3	0	2013-09-08 07:52:58.641399+02	\N	\N	\N	\N	\N	\N	f	
24002	021a1d90-d3fb-4535-bf88-81055616063f	Hialeah Gardens, Florida	Hialeah Gardens, Florida	3	0	2013-09-06 23:47:05.130133+02	\N	\N	\N	\N	\N	\N	f	
26334	4aeacb9b-9f12-43f0-a9ee-46ecfca11b67	South English, Iowa	South English, Iowa	3	0	2013-09-07 23:28:19.798153+02	\N	\N	\N	\N	\N	\N	f	
24085	0d4e5341-9f02-4ab6-bd06-9881f6f76a4b	Onaway	Onaway	3	0	2013-09-07 02:33:50.837887+02	\N	\N	\N	\N	\N	\N	f	
24108	e9b0caf5-2fb4-47af-ac57-e2118c100531	Ririe	Ririe	3	0	2013-09-07 02:40:55.79216+02	\N	\N	\N	\N	\N	\N	f	
24325	f4827a49-29a7-4708-94a5-e72233921105	Lawrenceburg	Lawrenceburg	3	0	2013-09-07 06:12:08.221976+02	\N	\N	\N	\N	\N	\N	f	
26624	567cd067-6f9e-4370-8cca-af29061d695d	Northfield, New Jersey	Northfield, New Jersey	3	0	2013-09-08 01:37:08.221429+02	\N	\N	\N	\N	\N	\N	f	
24867	a7339c4d-79f9-4029-90dc-4ebf37731121	Auburn	Auburn	3	0	2013-09-07 08:55:20.475622+02	\N	\N	\N	\N	\N	\N	f	
25378	9e203992-3dd6-4e01-8f84-16baf6622042	Lewis, Kansas	Lewis, Kansas	3	0	2013-09-07 11:36:18.237413+02	\N	\N	\N	\N	\N	\N	f	
28076	dceff2e0-1c01-4585-849c-f18343b889b1	Novodvinsk	Novodvinsk	3	0	2013-09-08 12:23:33.144052+02	\N	\N	\N	\N	\N	\N	f	
27738	4cbc5fd8-5257-4879-81ec-acb47a9533dc	Collinsville, Oklahoma	Collinsville, Oklahoma	3	0	2013-09-08 09:39:05.371531+02	\N	\N	\N	\N	\N	\N	f	
26625	b021cf3e-964c-4df6-aa6b-78f1442dd223	Lambertville, New Jersey	Lambertville, New Jersey	3	0	2013-09-08 01:37:21.430175+02	\N	\N	\N	\N	\N	\N	f	
26626	59c99c3c-23aa-4ce8-b95c-efb4efe4a7a6	Port Republic, New Jersey	Port Republic, New Jersey	3	0	2013-09-08 01:37:34.713427+02	\N	\N	\N	\N	\N	\N	f	
27806	5e479ab8-7e9d-4bc2-b3fb-5154263b0f80	Greenville	Greenville	3	0	2013-09-08 10:02:37.547679+02	\N	\N	\N	\N	\N	\N	f	
27074	91228c85-3cff-4062-8838-132b4d59b812	Fleming	Fleming	3	0	2013-09-08 04:41:00.619401+02	\N	\N	\N	\N	\N	\N	f	
27776	fb1345c5-b3b5-45e9-abf6-0220c81b5d4f	Krebs, Oklahoma	Krebs, Oklahoma	3	0	2013-09-08 09:49:21.454791+02	\N	\N	\N	\N	\N	\N	f	
27800	be6cb349-79a5-48cb-bcad-3a3732ff920c	Battlefield	Battlefield	3	0	2013-09-08 10:00:58.309981+02	\N	\N	\N	\N	\N	\N	f	
28484	e254082c-c3fe-4144-af88-08b82f2ddaa4	Cottonwood, Kaufman County	Cottonwood, Kaufman County	3	0	2013-09-08 20:20:57.785653+02	\N	\N	\N	\N	\N	\N	f	
27803	9bd3c82c-0ef2-49a5-8c00-091286cc6219	Festus	Festus	3	0	2013-09-08 10:01:49.957477+02	\N	\N	\N	\N	\N	\N	f	
27856	ac24855d-b79b-444d-9fa3-1f2354b66e5f	Creighton	Creighton	3	0	2013-09-08 10:15:48.096383+02	\N	\N	\N	\N	\N	\N	f	
28301	40cbbc2d-0faf-4c2a-a1b5-35468e61c570	Bonesteel, South Dakota	Bonesteel, South Dakota	3	0	2013-09-08 16:44:36.412039+02	\N	\N	\N	\N	\N	\N	f	
27866	2e918508-e9bb-429b-8f56-4679cf3197ab	Lake Tapawingo	Lake Tapawingo	3	0	2013-09-08 10:18:25.303784+02	\N	\N	\N	\N	\N	\N	f	
28581	71d338eb-e85f-435d-878c-efb0ef0c562d	Olton, Texas	Olton, Texas	3	0	2013-09-08 20:54:45.240926+02	\N	\N	\N	\N	\N	\N	f	
28723	f816f19d-cbfc-439c-8835-aeaea6e13831	Haskell	Haskell	3	0	2013-09-08 23:40:25.230413+02	\N	\N	\N	\N	\N	\N	f	
28583	2c8a1505-b4df-4dc2-8051-b515d7a725c8	Toco, Texas	Toco, Texas	3	0	2013-09-08 20:55:21.331164+02	\N	\N	\N	\N	\N	\N	f	
28789	4f07ab7f-2832-4518-ac4f-030336d1da2b	Hemphill	Hemphill	3	0	2013-09-08 23:59:14.465111+02	\N	\N	\N	\N	\N	\N	f	
28798	27a15ec3-0a87-46a6-9563-cd26f82896c3	Olmos Park	Olmos Park	3	0	2013-09-09 00:01:41.953396+02	\N	\N	\N	\N	\N	\N	f	
28801	6fb4039e-d2d5-4cc7-926a-51c4438c501f	Seagoville	Seagoville	3	0	2013-09-09 00:02:29.929499+02	\N	\N	\N	\N	\N	\N	f	
28815	847c2429-141d-4a50-a5fb-efe3143678ff	Josephine	Josephine	3	0	2013-09-09 00:06:14.990267+02	\N	\N	\N	\N	\N	\N	f	
28816	a00eeca7-2aea-47d7-81a0-37d10538257a	Clyde	Clyde	3	0	2013-09-09 00:06:31.013747+02	\N	\N	\N	\N	\N	\N	f	
28935	a8fbd3cb-00a2-40d7-8a2d-27b23db3500e	Lucas	Lucas	3	0	2013-09-09 01:33:32.238748+02	\N	\N	\N	\N	\N	\N	f	
29029	ff48d93c-661b-4bde-aee5-fb324553115e	Hudson	Hudson	3	0	2013-09-09 02:01:11.392861+02	\N	\N	\N	\N	\N	\N	f	
29046	b92d777e-f78d-4c58-a3eb-1e69b9f70aed	Orchard	Orchard	3	0	2013-09-09 02:06:05.720164+02	\N	\N	\N	\N	\N	\N	f	
12688	46704160-9a2e-45c7-aabb-75be4ab0f5f2	Berg	Berg	4	0	2013-07-15 04:44:30.731698+02	\N	\N	\N	\N	\N	\N	f	
12692	85758e69-ff96-47c0-8953-322b081e9760	Vestvågøy	Vestvågøy	4	0	2013-07-15 04:45:25.174801+02	\N	\N	\N	\N	\N	\N	f	
12699	950b784f-70c7-4f19-afaa-b5ebdeecc57a	Sund	Sund	4	0	2013-07-15 04:46:46.175876+02	\N	\N	\N	\N	\N	\N	f	
14072	e1b6bbaa-14ab-41c6-912e-f240d5a0041d	Colfelice	Colfelice	4	0	2013-07-21 20:17:39.932886+02	\N	\N	\N	\N	\N	\N	f	
14073	dd1993b9-e7d5-4669-870d-25c18816405c	Castelnuovo Parano	Castelnuovo Parano	4	0	2013-07-21 20:17:52.230596+02	\N	\N	\N	\N	\N	\N	f	
15821	55e1caa4-3427-4404-8ad6-1e8d6776626e	Borgosesia	Borgosesia	4	0	2013-07-22 02:10:26.510673+02	\N	\N	\N	\N	\N	\N	f	
14108	90e6bcc4-a073-4e89-91ef-8234578a35a3	Viticuso	Viticuso	4	0	2013-07-21 20:24:55.128768+02	\N	\N	\N	\N	\N	\N	f	
14642	82157f12-322b-41f1-9f36-d49c22f4a01f	Tonco	Tonco	4	0	2013-07-21 22:23:40.684857+02	\N	\N	\N	\N	\N	\N	f	
28997	1802adca-1bac-4410-8563-e92cbe2edc79	Meadows Place	Meadows Place	3	0	2013-09-09 01:50:58.943279+02	\N	\N	\N	\N	\N	\N	f	
15223	95944cdf-2692-4e84-9cf5-c694d78a6390	Nocera Umbra	Nocera Umbra	4	0	2013-07-22 00:02:34.169358+02	\N	\N	\N	\N	\N	\N	f	
15324	e4db771e-fecf-4e40-8d4b-b7a3b0555313	Piobbico	Piobbico	4	0	2013-07-22 00:20:10.85046+02	\N	\N	\N	\N	\N	\N	f	
17712	ea033596-2e51-4418-93b8-bbe1bb749f28	Campospinoso	Campospinoso	4	0	2013-07-22 07:01:41.460649+02	\N	\N	\N	\N	\N	\N	f	
15920	b4abae31-19da-4682-ba60-fdde3bca2a00	Tricerro	Tricerro	4	0	2013-07-22 02:30:23.780243+02	\N	\N	\N	\N	\N	\N	f	
16706	9cc0e800-536d-460f-a9c4-76b1ed8fdba4	Sporminore	Sporminore	4	0	2013-07-22 04:14:42.067969+02	\N	\N	\N	\N	\N	\N	f	
25905	99bad565-d237-4d8c-b4e2-9fedf112e1a4	La Crosse, Kansas	La Crosse, Kansas	3	0	2013-09-07 15:09:52.69007+02	\N	\N	\N	\N	\N	\N	f	
17258	9bfc33a9-20fb-4f70-8e70-72a0f0c78fdb	Colorina	Colorina	4	0	2013-07-22 06:05:02.553558+02	\N	\N	\N	\N	\N	\N	f	
17723	bb7fde94-e4e5-4b77-91bb-e66193fd85e1	Cercino	Cercino	4	0	2013-07-22 07:02:50.167159+02	\N	\N	\N	\N	\N	\N	f	
20015	6b72c4f7-669d-40c6-a4cd-60fc009ff9f3	Brisighella	Brisighella	4	0	2013-07-22 12:07:58.540953+02	\N	\N	\N	\N	\N	\N	f	
17726	c9e07b3f-841a-41c8-a52e-ecf0ca622356	Sumirago	Sumirago	4	0	2013-07-22 07:03:08.489074+02	\N	\N	\N	\N	\N	\N	f	
17743	c526a303-b035-4f3d-84a2-7f1f4e107da2	Bernareggio	Bernareggio	4	0	2013-07-22 07:05:29.287993+02	\N	\N	\N	\N	\N	\N	f	
27166	ac0a097c-38e0-425f-80ac-a4fd88b43751	Beaver City	Beaver City	3	0	2013-09-08 05:46:28.794689+02	\N	\N	\N	\N	\N	\N	f	
20917	3b989179-5c9b-4874-8f39-7b3402bd406c	Letino	Letino	4	0	2013-07-23 14:51:52.125662+02	\N	\N	\N	\N	\N	\N	f	
17774	18c2edc3-a15b-496e-8e5b-09c1a154dfd3	Bascapè	Bascapè	4	0	2013-07-22 07:08:48.564161+02	\N	\N	\N	\N	\N	\N	f	
18656	4cc9bd54-5d9a-4357-87f1-60c3e5cf5e84	Montebelluna	Montebelluna	4	0	2013-07-22 08:57:59.630562+02	\N	\N	\N	\N	\N	\N	f	
25975	de119a93-56a8-4083-8064-c873e7bc1ca7	Mapleton, Kansas	Mapleton, Kansas	3	0	2013-09-07 17:36:26.061994+02	\N	\N	\N	\N	\N	\N	f	
18706	67073f41-9fac-4385-83e0-2363d4956648	Pramaggiore	Pramaggiore	4	0	2013-07-22 09:04:11.105948+02	\N	\N	\N	\N	\N	\N	f	
20918	101279d3-93a2-4cc8-9a98-86d434da7e15	Falciano del Massico	Falciano del Massico	4	0	2013-07-23 14:52:04.04818+02	\N	\N	\N	\N	\N	\N	f	
26028	67d32ec4-b04f-4ca7-a63e-5db6e4c8a6cd	Lake Quivira	Lake Quivira	3	0	2013-09-07 17:50:13.961809+02	\N	\N	\N	\N	\N	\N	f	
18957	f9761a86-74a9-489f-a2db-c192c848c6d7	Raddusa	Raddusa	4	0	2013-07-22 09:34:34.711218+02	\N	\N	\N	\N	\N	\N	f	
28724	24ef771b-2e65-4298-bafb-3d3a909f1ad3	Ingram	Ingram	3	0	2013-09-08 23:40:40.829046+02	\N	\N	\N	\N	\N	\N	f	
19636	ab68ee8c-792c-4b6b-82ac-c0f4240f67b4	Sant'Agata di Puglia	Sant'Agata di Puglia	4	0	2013-07-22 11:09:01.975689+02	\N	\N	\N	\N	\N	\N	f	
26091	73c7b56e-6507-4859-9edb-8e858837f5cb	Montezuma, Kansas	Montezuma, Kansas	3	0	2013-09-07 18:07:49.029948+02	\N	\N	\N	\N	\N	\N	f	
27422	2ef689cf-4925-4b3c-b7b7-0fa6dbdcb9a2	Forest Park	Forest Park	3	0	2013-09-08 07:53:12.544229+02	\N	\N	\N	\N	\N	\N	f	
23896	97308d01-552d-45e7-9773-63ea7e3bb912	Lonoke	Lonoke	3	0	2013-09-06 20:48:52.444152+02	\N	\N	\N	\N	\N	\N	f	
26335	05d7f842-b391-4b09-a73a-0a686b61a068	Lyndon, Kansas	Lyndon, Kansas	3	0	2013-09-07 23:28:36.969568+02	\N	\N	\N	\N	\N	\N	f	
23987	7c46e7df-4450-4eeb-883a-13ecd0e44c1c	Castle Pines North	Castle Pines North	3	0	2013-09-06 23:39:39.281626+02	\N	\N	\N	\N	\N	\N	f	
24086	763a7e06-0d75-4c10-a87b-6b38eaa22b39	Island Park	Island Park	3	0	2013-09-07 02:34:08.364611+02	\N	\N	\N	\N	\N	\N	f	
24326	c8922249-7cd2-448b-ab49-5cfcd878eb81	Logansport	Logansport	3	0	2013-09-07 06:12:28.940704+02	\N	\N	\N	\N	\N	\N	f	
26627	a3d3f582-3c6a-4e15-8a13-f3c2a4330cd7	Kópavogur	Kópavogur	3	0	2013-09-08 01:38:45.551573+02	\N	\N	\N	\N	\N	\N	f	
24362	5c159c57-fb32-416c-84ae-13a3723214d5	Cleveland, Georgia	Cleveland, Georgia	3	0	2013-09-07 06:26:26.692096+02	\N	\N	\N	\N	\N	\N	f	
24868	beeb7482-c141-431f-ad25-3c99190e539a	Granger	Granger	3	0	2013-09-07 08:55:35.074137+02	\N	\N	\N	\N	\N	\N	f	
24892	9817fe09-7774-4d0c-aa7b-19ed35f6cdb6	Ricketts	Ricketts	3	0	2013-09-07 09:01:40.581316+02	\N	\N	\N	\N	\N	\N	f	
27082	d37c77ff-d24c-4e52-8b6d-6b4e8907f472	Morganton, North Carolina	Morganton, North Carolina	3	0	2013-09-08 05:17:15.858419+02	\N	\N	\N	\N	\N	\N	f	
25379	96734074-8001-4870-bd3a-ff3c47168812	Elgin, Kansas	Elgin, Kansas	3	0	2013-09-07 11:36:31.7298+02	\N	\N	\N	\N	\N	\N	f	
27740	ac19f2c1-09b3-41c9-a40f-950949eb5702	Thomas, Oklahoma	Thomas, Oklahoma	3	0	2013-09-08 09:39:32.516958+02	\N	\N	\N	\N	\N	\N	f	
25420	75667cec-a6eb-454a-afb6-8378c22c0c85	Argonia, Kansas	Argonia, Kansas	3	0	2013-09-07 11:46:08.077095+02	\N	\N	\N	\N	\N	\N	f	
27093	e1dd152f-0bc4-44c6-bf1a-1308fa6e27c0	Boiling Springs, North Carolina	Boiling Springs, North Carolina	3	0	2013-09-08 05:21:47.009084+02	\N	\N	\N	\N	\N	\N	f	
28818	82ec0f8a-ba46-46fe-99ff-87fb58f63154	Roby	Roby	3	0	2013-09-09 00:07:03.033575+02	\N	\N	\N	\N	\N	\N	f	
27107	62fade1d-381f-4970-8019-48c13d57a0f1	Havelock, North Carolina	Havelock, North Carolina	3	0	2013-09-08 05:24:57.167588+02	\N	\N	\N	\N	\N	\N	f	
27844	a52aa448-7772-44e8-8276-b7f2a7164a0e	Troy	Troy	3	0	2013-09-08 10:12:38.046342+02	\N	\N	\N	\N	\N	\N	f	
28735	51973ead-fe73-4d6b-94ff-91f4cb126c58	West Tawakoni	West Tawakoni	3	0	2013-09-08 23:44:14.961919+02	\N	\N	\N	\N	\N	\N	f	
27867	d13f3a1d-68ed-40c3-9daf-90e9fea476f5	Burnside, Kentucky	Burnside, Kentucky	3	0	2013-09-08 10:18:42.625135+02	\N	\N	\N	\N	\N	\N	f	
28078	5950755a-3b16-4eb8-ae1c-24238bf41f37	Ostrogozhsk	Ostrogozhsk	3	0	2013-09-08 12:24:10.907405+02	\N	\N	\N	\N	\N	\N	f	
28303	f1640d55-39db-45a0-a40c-518a0864868d	Crump, Tennessee	Crump, Tennessee	3	0	2013-09-08 16:45:10.617769+02	\N	\N	\N	\N	\N	\N	f	
28485	f4fb22ba-1d36-40ee-a650-ecce0c71bd1e	Robstown	Robstown	3	0	2013-09-08 20:22:08.710096+02	\N	\N	\N	\N	\N	\N	f	
28740	10764add-70d2-42d7-8d8e-df005d2abb51	Shallowater	Shallowater	3	0	2013-09-08 23:45:59.684232+02	\N	\N	\N	\N	\N	\N	f	
28791	a5cfaafe-22e7-41e9-a906-5eab5ea06301	Shiner	Shiner	3	0	2013-09-08 23:59:46.282428+02	\N	\N	\N	\N	\N	\N	f	
28870	e292ac27-12f7-4df2-a505-9580b9fb3389	Newcastle	Newcastle	3	0	2013-09-09 00:21:27.254523+02	\N	\N	\N	\N	\N	\N	f	
28808	7ea67368-b366-4a7f-8643-5156d54053ed	Texhoma	Texhoma	3	0	2013-09-09 00:04:22.446394+02	\N	\N	\N	\N	\N	\N	f	
29338	2d5aa731-ed66-4e5d-9042-bbbbfbab6e44	Whitehall	Whitehall	3	0	2013-09-09 08:18:22.859587+02	\N	\N	\N	\N	\N	\N	f	
28936	095041cd-636d-4e1f-8a61-4747b22d68c6	Detroit	Detroit	3	0	2013-09-09 01:33:48.894228+02	\N	\N	\N	\N	\N	\N	f	
29334	e2bf8b4f-7cbb-44a2-b4e9-82fa59553e48	Surt	Surt	2	0	2013-09-09 06:25:01.887058+02	\N	\N	\N	\N	\N	\N	f	
29006	829618a6-96c3-4b47-bbc6-c8602ac7adec	Heath	Heath	3	0	2013-09-09 01:54:11.447032+02	\N	\N	\N	\N	\N	\N	f	
29229	c7ad07b3-0c06-48f0-a6c2-24ac0fcf2036	Toledo	Toledo	3	0	2013-09-09 04:11:46.274083+02	\N	\N	\N	\N	\N	\N	f	
29455	d66425c4-587b-4cf4-924b-547d5dfbd95a	Collierville	Collierville	3	0	2013-09-15 20:20:26.310271+02	\N	\N	\N	\N	\N	\N	f	
29456	e719c351-cb0d-4fab-a537-9ceda91f3f54	Malpur	Malpur	3	0	2013-09-16 11:21:43.643126+02	\N	\N	\N	\N	\N	\N	f	
29457	5ebcfca4-f422-43e4-bd01-fee1329c4042	Matar	Matar	3	0	2013-09-16 14:22:32.283872+02	\N	\N	\N	\N	\N	\N	f	
29459	6cfaa7af-8b96-4740-9780-ffc7f3c58977	Luleå	Luleå	3	0	2013-09-16 17:22:18.250385+02	\N	\N	\N	\N	\N	\N	f	
29460	b77e8b4b-0b8e-4537-bd0f-93d3d4064f86	Alcácer do Sal	Alcácer do Sal	3	0	2013-09-16 20:26:44.323933+02	\N	\N	\N	\N	\N	\N	f	
29461	bd9f5e5d-ea8c-4055-a580-9b1e91d3020b	Mahalapye	Mahalapye	3	0	2013-09-17 02:19:46.366322+02	\N	\N	\N	\N	\N	\N	f	
29462	cfebc17c-2bf4-47ba-bd06-10419d0cdb7a	Carmi	Carmi	3	0	2013-09-17 23:24:29.422392+02	\N	\N	\N	\N	\N	\N	f	
12691	26b47679-9c58-4e07-95ca-3d278f6dade5	Haram	Haram	4	0	2013-07-15 04:45:05.504147+02	\N	\N	\N	\N	\N	\N	f	
12693	baeb046a-ffb0-4a8d-9839-29fd19511526	Songdalen	Songdalen	4	0	2013-07-15 04:45:37.173306+02	\N	\N	\N	\N	\N	\N	f	
12694	3142f939-9221-4e34-9a36-cd257a771a72	Os	Os	4	0	2013-07-15 04:45:48.662377+02	\N	\N	\N	\N	\N	\N	f	
14074	711f948e-9cbb-4cd3-93fb-94bf6db2b1c4	Falvaterra	Falvaterra	4	0	2013-07-21 20:18:05.100509+02	\N	\N	\N	\N	\N	\N	f	
12695	60010741-26b1-4cd8-8553-786cf51aa562	Tolga	Tolga	4	0	2013-07-15 04:46:00.03661+02	\N	\N	\N	\N	\N	\N	f	
12696	61a88ed2-5ffa-4fb6-9726-a1d1a4780acd	Sel	Sel	4	0	2013-07-15 04:46:11.525728+02	\N	\N	\N	\N	\N	\N	f	
12697	48850792-b7b2-436d-aacc-7a936e65e7da	Stryn	Stryn	4	0	2013-07-15 04:46:23.158405+02	\N	\N	\N	\N	\N	\N	f	
14195	205c6b64-63e5-4cbb-97de-5d90cae2ce2b	Rocca Massima	Rocca Massima	4	0	2013-07-21 20:44:17.494341+02	\N	\N	\N	\N	\N	\N	f	
12700	df0d45bc-3f79-41e7-94c5-f71104751cac	Sula	Sula	4	0	2013-07-15 04:46:57.6236+02	\N	\N	\N	\N	\N	\N	f	
12701	f8f7c3ff-082e-47a7-b180-910042907522	Ås	Ås	4	0	2013-07-15 04:47:16.644181+02	\N	\N	\N	\N	\N	\N	f	
15825	9a66aa24-1b8b-43f5-85fa-be17d46c21ae	Buronzo	Buronzo	4	0	2013-07-22 02:11:13.014815+02	\N	\N	\N	\N	\N	\N	f	
12702	280a4d00-f302-4fb0-86e1-3ac7c46c77b8	Fet	Fet	4	0	2013-07-15 04:47:28.002231+02	\N	\N	\N	\N	\N	\N	f	
14643	afc314ca-c83f-46fb-98b5-98a4c095f863	Vesime	Vesime	4	0	2013-07-21 22:23:52.893939+02	\N	\N	\N	\N	\N	\N	f	
12705	7a09db6e-0187-4243-b248-cecb0f43f8c6	Aurskog-Høland	Aurskog-Høland	4	0	2013-07-15 04:48:02.358134+02	\N	\N	\N	\N	\N	\N	f	
12706	e1aee30b-ede5-4d41-b479-4a9b39004a5b	Bærum	Bærum	4	0	2013-07-15 04:48:13.797519+02	\N	\N	\N	\N	\N	\N	f	
12707	0770c948-2863-423f-8c2e-c420b8412342	Frogn	Frogn	4	0	2013-07-15 04:48:25.079905+02	\N	\N	\N	\N	\N	\N	f	
14645	b48610f4-4aeb-4a24-842f-ec1f09ba0d20	Montemagno	Montemagno	4	0	2013-07-21 22:24:16.962115+02	\N	\N	\N	\N	\N	\N	f	
12710	21c4aa27-cdfa-477a-9b89-f2aa4c96b27f	Stokke	Stokke	4	0	2013-07-15 04:48:59.824684+02	\N	\N	\N	\N	\N	\N	f	
12711	60b16975-5c58-4456-b657-45f5955b194a	Nannestad	Nannestad	4	0	2013-07-15 04:49:21.258038+02	\N	\N	\N	\N	\N	\N	f	
12713	18eac6b5-6c2e-42a5-9312-752b54deadb9	Hurdal	Hurdal	4	0	2013-07-15 04:49:44.363508+02	\N	\N	\N	\N	\N	\N	f	
14650	b493ab49-ff11-4e00-94da-9b6514255aef	San Paolo Solbrito	San Paolo Solbrito	4	0	2013-07-21 22:25:29.324588+02	\N	\N	\N	\N	\N	\N	f	
12714	7c6649f2-7a78-4250-8e33-8e8f2a154216	Arendal	Arendal	4	0	2013-07-15 04:49:55.799642+02	\N	\N	\N	\N	\N	\N	f	
12724	aaf29009-8ba7-4df2-b6bc-0af3dc47b96e	Harstad	Harstad	4	0	2013-07-15 04:52:07.042556+02	\N	\N	\N	\N	\N	\N	f	
15901	19b855fc-454c-4ccb-b933-4f927fb26479	Eppan an der Weinstraße	Eppan an der Weinstraße	4	0	2013-07-22 02:28:16.213931+02	\N	\N	\N	\N	\N	\N	f	
12731	60b4dee0-babc-4d71-aaef-7da953863174	Birkenes	Birkenes	4	0	2013-07-15 04:56:15.359479+02	\N	\N	\N	\N	\N	\N	f	
12735	cf2a1f7c-5e79-41a1-83bc-5b80e731665b	Bykle	Bykle	4	0	2013-07-15 04:57:34.440052+02	\N	\N	\N	\N	\N	\N	f	
12739	8072ba8b-a9db-4063-ab3d-13e1bcbb0902	Åmli	Åmli	4	0	2013-07-15 04:58:44.97683+02	\N	\N	\N	\N	\N	\N	f	
12740	d5de479c-782e-4538-adae-8903d1b76b01	Lillesand	Lillesand	4	0	2013-07-15 04:58:56.392115+02	\N	\N	\N	\N	\N	\N	f	
24390	b21cc86c-699a-4e29-b6e1-622cd0905f15	Ligonier, Indiana	Ligonier, Indiana	3	0	2013-09-07 06:33:32.500212+02	\N	\N	\N	\N	\N	\N	f	
12742	7c037944-1c34-403e-ab07-debacca42b25	Tvedestrand	Tvedestrand	4	0	2013-07-15 04:59:29.423134+02	\N	\N	\N	\N	\N	\N	f	
12743	fdfb900c-78dc-45d8-8f33-938ea6e65ffe	Grimstad	Grimstad	4	0	2013-07-15 04:59:43.388215+02	\N	\N	\N	\N	\N	\N	f	
17765	6e884c24-0e05-44aa-bff2-a72915adeb40	Talamona	Talamona	4	0	2013-07-22 07:07:52.077788+02	\N	\N	\N	\N	\N	\N	f	
23897	09c7cf56-1a44-4be3-bc3d-596800dd36f3	Trumann	Trumann	3	0	2013-09-06 20:49:06.024176+02	\N	\N	\N	\N	\N	\N	f	
12745	68753554-a453-4554-8326-880114a39629	Flesberg	Flesberg	4	0	2013-07-15 05:00:21.708237+02	\N	\N	\N	\N	\N	\N	f	
16001	44bf79fa-f9f5-493a-8d8f-9bcf8366145b	Partschins	Partschins	4	0	2013-07-22 02:40:33.967861+02	\N	\N	\N	\N	\N	\N	f	
15268	c71ae7ae-c1d6-46f0-a06a-21ffc91f7ec0	Scheggia e Pascelupo	Scheggia e Pascelupo	4	0	2013-07-22 00:07:51.471709+02	\N	\N	\N	\N	\N	\N	f	
16015	afe5fc5b-38d9-4170-9076-3ceed4881dce	Mezzanego	Mezzanego	4	0	2013-07-22 02:42:39.60611+02	\N	\N	\N	\N	\N	\N	f	
23989	10963d5a-b034-4b84-a9e1-9830a2a2403d	Nazarabad	Nazarabad	3	0	2013-09-06 23:40:08.551999+02	\N	\N	\N	\N	\N	\N	f	
16707	3a902a10-4bb3-4270-bcf6-4d77c81192a5	Stenico	Stenico	4	0	2013-07-22 04:14:57.612984+02	\N	\N	\N	\N	\N	\N	f	
18658	8b10ce2b-dd80-48c8-a901-073516637e3b	Riese Pio X	Riese Pio X	4	0	2013-07-22 08:58:11.928241+02	\N	\N	\N	\N	\N	\N	f	
16721	d630d17d-1efc-43b6-b752-e651e336bfca	Strigno	Strigno	4	0	2013-07-22 04:19:24.086509+02	\N	\N	\N	\N	\N	\N	f	
16744	15e675fb-0706-481a-b543-39e14b9eec85	Vervò	Vervò	4	0	2013-07-22 04:25:32.439719+02	\N	\N	\N	\N	\N	\N	f	
20018	0c73e6b5-b1b3-4998-b1a1-a6a6c9fe8aad	Mossa	Mossa	4	0	2013-07-22 12:08:26.371052+02	\N	\N	\N	\N	\N	\N	f	
17260	b7192a15-e724-4cae-81a8-923bce74c22e	Thiesi	Thiesi	4	0	2013-07-22 06:05:16.609315+02	\N	\N	\N	\N	\N	\N	f	
18669	67251fee-977b-4aef-9a46-25a9e893430c	Sossano	Sossano	4	0	2013-07-22 08:59:34.551171+02	\N	\N	\N	\N	\N	\N	f	
18675	bf62efd2-b4e0-483b-afba-8f7cab566bfd	Santorso	Santorso	4	0	2013-07-22 09:00:12.968074+02	\N	\N	\N	\N	\N	\N	f	
21139	4968a92c-fb75-4450-846d-f263266090a3	Angri	Angri	4	0	2013-07-23 23:36:39.696625+02	\N	\N	\N	\N	\N	\N	f	
19637	884b1b89-3838-4cb1-88e4-2940c93de67c	Poggio Imperiale	Poggio Imperiale	4	0	2013-07-22 11:09:13.744544+02	\N	\N	\N	\N	\N	\N	f	
3871	806b9b3b-5daf-4eaa-807d-7a2a29cde0da	Leicester	Leicester	3	0	2013-07-23 16:25:15.854469+02	\N	\N	\N	\N	\N	\N	f	
3974	8116b732-9872-4493-9f5d-7413cbb70194	Peterborough	Peterborough	3	0	2013-07-23 16:49:32.720978+02	\N	\N	\N	\N	\N	\N	f	
20923	7dd29531-e089-4b0b-9db1-e442786f8123	Gallo Matese	Gallo Matese	4	0	2013-07-23 17:29:56.254709+02	\N	\N	\N	\N	\N	\N	f	
21390	065e79c7-574c-48af-9cb3-5d3717caf438	Monteriggioni	Monteriggioni	4	0	2013-07-24 05:51:22.892517+02	\N	\N	\N	\N	\N	\N	f	
21023	58e27fd0-ef7c-4163-a9d2-0f6dbf34041e	Hill City	Hill City	3	0	2013-07-23 20:23:11.725623+02	\N	\N	\N	\N	\N	\N	f	
21223	d67845bc-395d-4de5-ace8-5d92cc1d00a9	Roscigno	Roscigno	4	0	2013-07-24 02:33:26.556175+02	\N	\N	\N	\N	\N	\N	f	
21060	d408d528-6532-47f5-9ef9-ab1481bad9d8	San Gennaro Vesuviano	San Gennaro Vesuviano	4	0	2013-07-23 20:42:16.224724+02	\N	\N	\N	\N	\N	\N	f	
21123	2ba91894-77db-4c5d-a732-e27016b00ddf	Banff	Banff	3	0	2013-07-23 23:30:48.243257+02	\N	\N	\N	\N	\N	\N	f	
21135	be92baab-5239-4014-b240-3e2562272463	Campora	Campora	4	0	2013-07-23 23:35:48.458972+02	\N	\N	\N	\N	\N	\N	f	
21234	974df17a-f6c0-4994-819d-d93235b1a6a1	Sapri	Sapri	4	0	2013-07-24 02:35:59.615684+02	\N	\N	\N	\N	\N	\N	f	
21402	db8f663b-bbf7-460c-ba68-368c9743c06d	Monticiano	Monticiano	4	0	2013-07-24 05:53:48.687096+02	\N	\N	\N	\N	\N	\N	f	
21323	ab8aee2e-4311-4ce8-bf9f-71778369f96a	Gaohu	Gaohu	3	0	2013-07-24 05:25:16.260117+02	\N	\N	\N	\N	\N	\N	f	
21395	d1f7e6b5-f1b7-4f2c-a2cd-0d76930137c7	Caluso	Caluso	4	0	2013-07-24 05:52:23.535156+02	\N	\N	\N	\N	\N	\N	f	
21324	d027475d-b26c-411c-9d9f-080979f0733d	Pieve Torina	Pieve Torina	4	0	2013-07-24 05:32:59.139407+02	\N	\N	\N	\N	\N	\N	f	
21401	b7d4096d-f5e3-459b-8845-8bbd99b9b602	Piancastagnaio	Piancastagnaio	4	0	2013-07-24 05:53:36.735112+02	\N	\N	\N	\N	\N	\N	f	
21523	2b86ed61-6905-4e37-8dc9-de1a8aaef17e	Anzola dell'Emilia	Anzola dell'Emilia	4	0	2013-07-24 11:34:16.252366+02	\N	\N	\N	\N	\N	\N	f	
21423	d40ea837-0b64-4ad5-b551-dc2e27188a18	Trequanda	Trequanda	4	0	2013-07-24 08:33:38.064903+02	\N	\N	\N	\N	\N	\N	f	
24327	65033e78-84a3-4129-b79b-96261c98343b	Lawrence	Lawrence	3	0	2013-09-07 06:14:00.797752+02	\N	\N	\N	\N	\N	\N	f	
24087	2086883b-6fe6-4756-b475-cb83134036d9	Hope (Idaho)	Hope (Idaho)	3	0	2013-09-07 02:34:25.346946+02	\N	\N	\N	\N	\N	\N	f	
24401	adf98c52-675b-4f15-988f-8c33f140c218	Butler, Georgia	Butler, Georgia	3	0	2013-09-07 06:36:15.296058+02	\N	\N	\N	\N	\N	\N	f	
24869	8e8bcc5d-5d32-43e2-995d-27a11f010ac3	Allerton	Allerton	3	0	2013-09-07 08:55:49.768558+02	\N	\N	\N	\N	\N	\N	f	
24919	a024742e-bf80-4112-a20d-367dd0382576	Sandyville	Sandyville	3	0	2013-09-07 09:08:26.812466+02	\N	\N	\N	\N	\N	\N	f	
24983	fac7e5ab-41da-4f64-95ad-0c1206a3c81b	Garnett	Garnett	3	0	2013-09-07 09:32:30.861649+02	\N	\N	\N	\N	\N	\N	f	
24995	796a69c3-d9f7-459f-a211-ee37a93ba924	Moorland	Moorland	3	0	2013-09-07 09:35:58.819379+02	\N	\N	\N	\N	\N	\N	f	
24996	4b3bb575-e000-48e9-a9f8-16fa43d0a650	Remsen	Remsen	3	0	2013-09-07 09:36:13.803251+02	\N	\N	\N	\N	\N	\N	f	
25381	e659083e-75c0-4739-aa46-50e0f3d4cafd	Jamestown, Kentucky	Jamestown, Kentucky	3	0	2013-09-07 11:36:58.636194+02	\N	\N	\N	\N	\N	\N	f	
12715	3e7d87f7-f14c-4d29-94cb-ba3211b67d58	Sørum	Sørum	4	0	2013-07-15 04:50:07.118915+02	\N	\N	\N	\N	\N	\N	f	
12725	dc6f0697-52cf-41f2-876f-a2b54e2860f6	Ålesund	Ålesund	4	0	2013-07-15 04:52:18.485686+02	\N	\N	\N	\N	\N	\N	f	
12729	c2dfc1d4-7480-4936-8c03-63fea6ffb7c2	Alta	Alta	4	0	2013-07-15 04:53:21.020932+02	\N	\N	\N	\N	\N	\N	f	
14077	8a1bf5f8-5cb2-4bdd-a7f4-9ebbf6beae06	Coreno Ausonio	Coreno Ausonio	4	0	2013-07-21 20:18:34.030966+02	\N	\N	\N	\N	\N	\N	f	
14648	802dcfb2-2a5f-4ac5-a081-bd0070eacfac	Roatto	Roatto	4	0	2013-07-21 22:24:57.770288+02	\N	\N	\N	\N	\N	\N	f	
15831	90e479ea-d779-42d0-97ba-6907748c5faa	Arborio	Arborio	4	0	2013-07-22 02:12:23.664933+02	\N	\N	\N	\N	\N	\N	f	
14866	b0596b11-c8fe-4157-b19b-9556e0040108	Castellar, Piedmont	Castellar, Piedmont	4	0	2013-07-21 23:14:28.036217+02	\N	\N	\N	\N	\N	\N	f	
15221	8ae3adf4-9e3f-4fc3-8f9c-77f0d678b1c1	Marsciano	Marsciano	4	0	2013-07-22 00:02:18.941971+02	\N	\N	\N	\N	\N	\N	f	
24130	7925423b-bb3e-4585-8a59-7ae0c213113b	Oakley	Oakley	3	0	2013-09-07 02:55:34.994228+02	\N	\N	\N	\N	\N	\N	f	
15857	4b6c611a-0e12-4b19-bdba-581d332a9144	Guardabosone	Guardabosone	4	0	2013-07-22 02:18:17.729577+02	\N	\N	\N	\N	\N	\N	f	
15239	464fb496-1dce-4ab3-b106-de8d8734dca2	San Giustino	San Giustino	4	0	2013-07-22 00:04:34.049803+02	\N	\N	\N	\N	\N	\N	f	
17772	281a2450-0b9b-4c1a-bb0d-ca9907d2088d	Frascarolo	Frascarolo	4	0	2013-07-22 07:08:34.688104+02	\N	\N	\N	\N	\N	\N	f	
15883	804b5c2b-12c3-4256-b862-180599bd67c1	Sali Vercellese	Sali Vercellese	4	0	2013-07-22 02:24:47.244967+02	\N	\N	\N	\N	\N	\N	f	
15888	e14fed96-0a7c-41c4-9949-2ffa5536aebf	Palazzolo Vercellese	Palazzolo Vercellese	4	0	2013-07-22 02:25:48.260429+02	\N	\N	\N	\N	\N	\N	f	
21524	f0d83995-f078-4162-9701-b5491d53e013	Borgo Tossignano	Borgo Tossignano	4	0	2013-07-24 11:34:39.222469+02	\N	\N	\N	\N	\N	\N	f	
18663	654ffb87-c051-4fcc-ad3f-357e7a9e77c6	Spinea	Spinea	4	0	2013-07-22 08:58:51.563129+02	\N	\N	\N	\N	\N	\N	f	
24972	ceece251-98e3-408a-9f42-eacb7a2aefb8	Horace, Kansas	Horace, Kansas	3	0	2013-09-07 09:29:55.416117+02	\N	\N	\N	\N	\N	\N	f	
15974	2b92845d-bf02-4682-9fed-f2b049525ff0	Montebruno	Montebruno	4	0	2013-07-22 02:37:27.690979+02	\N	\N	\N	\N	\N	\N	f	
20019	3c1ea17f-7f4f-469d-8f25-a847f72a86cb	Cervia	Cervia	4	0	2013-07-22 12:08:26.770663+02	\N	\N	\N	\N	\N	\N	f	
16709	d88004c2-419e-4d5c-8c51-a1c90cd05a26	Tenno, Trentino	Tenno, Trentino	4	0	2013-07-22 04:15:38.704742+02	\N	\N	\N	\N	\N	\N	f	
18674	b9629e5d-3a5e-4a4e-a46d-c24ead4d2153	Sernaglia della Battaglia	Sernaglia della Battaglia	4	0	2013-07-22 09:00:09.157463+02	\N	\N	\N	\N	\N	\N	f	
16784	58bcb1aa-ade9-436c-a4d0-8f198dfda1e2	Scicli	Scicli	4	0	2013-07-22 04:36:23.269563+02	\N	\N	\N	\N	\N	\N	f	
17262	df90cafa-17da-4a22-9502-90a5ef3b67f9	Castello dell'Acqua	Castello dell'Acqua	4	0	2013-07-22 06:05:29.944341+02	\N	\N	\N	\N	\N	\N	f	
19639	435ed5b7-750f-4f5e-9c9a-3a43d183acb9	Peschici	Peschici	4	0	2013-07-22 11:09:37.376734+02	\N	\N	\N	\N	\N	\N	f	
19640	ae91c75a-f454-45d5-82e0-2f9e72573f59	Zapponeta	Zapponeta	4	0	2013-07-22 11:09:51.429682+02	\N	\N	\N	\N	\N	\N	f	
20094	bc804e49-b048-4828-850b-17d7f41f2fc4	Polcenigo	Polcenigo	4	0	2013-07-22 12:18:38.584283+02	\N	\N	\N	\N	\N	\N	f	
19641	ad7d2ccb-2ca5-41a9-a764-82807a1eca97	San Marco in Lamis	San Marco in Lamis	4	0	2013-07-22 11:10:04.198353+02	\N	\N	\N	\N	\N	\N	f	
24153	3a141794-ad25-4017-a274-acb19b41cce2	Ponderay	Ponderay	3	0	2013-09-07 03:00:51.157205+02	\N	\N	\N	\N	\N	\N	f	
20924	2015b943-7368-49c7-a31a-473686eb041a	Santa Maria Capua Vetere	Santa Maria Capua Vetere	4	0	2013-07-23 17:30:37.413526+02	\N	\N	\N	\N	\N	\N	f	
21527	58dbaef0-adfa-456c-91a6-8d0c2b2b0593	Castello d'Argile	Castello d'Argile	4	0	2013-07-24 11:35:35.398367+02	\N	\N	\N	\N	\N	\N	f	
21024	46e56131-9eee-422e-838b-8ece7c1e37e3	Ipswich	Ipswich	3	0	2013-07-23 20:26:29.825888+02	\N	\N	\N	\N	\N	\N	f	
21124	62f0e81e-ce1c-438d-8936-733583c9dc60	Campagna	Campagna	4	0	2013-07-23 23:33:34.567223+02	\N	\N	\N	\N	\N	\N	f	
12781	6696b7a4-693d-4392-81b4-60916aeac21c	Palma	Palma	3	0	2013-07-15 14:32:55.201705+02	\N	\N	\N	\N	\N	\N	f	
21224	fbd7b65c-b7c9-418c-b961-d529a92c2be9	Sant'Angelo a Fasanella	Sant'Angelo a Fasanella	4	0	2013-07-24 02:33:44.239253+02	\N	\N	\N	\N	\N	\N	f	
21606	5c28c4c0-67f7-459b-b058-9c8588475ffd	Serrapetrona	Serrapetrona	4	0	2013-07-24 11:54:03.155144+02	\N	\N	\N	\N	\N	\N	f	
21245	cff3a964-ebdd-4a9a-a769-a468e6a093da	Roccapiemonte	Roccapiemonte	4	0	2013-07-24 02:38:22.645473+02	\N	\N	\N	\N	\N	\N	f	
21305	6816ef9b-9169-4e38-9654-9471ce15f07e	Matelica	Matelica	4	0	2013-07-24 02:51:57.715364+02	\N	\N	\N	\N	\N	\N	f	
24328	35b6bb5e-ae09-4ce2-9ae3-6dd3a7a062f6	Jonesboro, Indiana	Jonesboro, Indiana	3	0	2013-09-07 06:15:38.925514+02	\N	\N	\N	\N	\N	\N	f	
21307	74c4221f-153b-4f05-bcb1-0d127dc44c58	Palazzuolo sul Senio	Palazzuolo sul Senio	4	0	2013-07-24 02:52:21.661811+02	\N	\N	\N	\N	\N	\N	f	
21325	7167d948-88d4-4c93-94d3-d637b1455940	San Ginesio	San Ginesio	4	0	2013-07-24 05:33:20.415751+02	\N	\N	\N	\N	\N	\N	f	
21328	04acb559-7cc2-4164-bb60-77af4d5b8e79	Poggio San Vicino	Poggio San Vicino	4	0	2013-07-24 05:34:28.165367+02	\N	\N	\N	\N	\N	\N	f	
26336	ec5460a3-db1f-442e-b0b2-fb9fe439598a	San Antonio, Chile	San Antonio, Chile	3	0	2013-09-07 23:28:54.18573+02	\N	\N	\N	\N	\N	\N	f	
21424	e65736a8-dfc9-4c84-8ed1-2c7c27bdbfc8	Caselle Torinese	Caselle Torinese	4	0	2013-07-24 08:34:03.201232+02	\N	\N	\N	\N	\N	\N	f	
23899	1a93515b-18db-47dd-82aa-fdffc22e085b	Hickory Ridge	Hickory Ridge	3	0	2013-09-06 20:49:42.142963+02	\N	\N	\N	\N	\N	\N	f	
21503	25d2507c-3236-4229-bdaa-0831b2c7d50c	Lessolo	Lessolo	4	0	2013-07-24 08:54:04.928356+02	\N	\N	\N	\N	\N	\N	f	
24364	a4e92514-1e8d-47b5-8fe3-edc24ce188e1	Lithonia, Georgia	Lithonia, Georgia	3	0	2013-09-07 06:26:57.888863+02	\N	\N	\N	\N	\N	\N	f	
23991	6419378f-1e4f-44be-80af-83d68eb49461	Asara	Asara	3	0	2013-09-06 23:40:40.673888+02	\N	\N	\N	\N	\N	\N	f	
25018	5f5b0c66-b070-44f3-9996-a968e5f03983	Palo	Palo	3	0	2013-09-07 09:42:02.497347+02	\N	\N	\N	\N	\N	\N	f	
24010	ffc2d10b-25c0-4502-a96b-c40f9186abca	Atlantis, Florida	Atlantis, Florida	3	0	2013-09-06 23:49:45.983135+02	\N	\N	\N	\N	\N	\N	f	
24088	0cf72165-c69b-4e94-9435-eb82d3c2feab	Irwin	Irwin	3	0	2013-09-07 02:34:40.238945+02	\N	\N	\N	\N	\N	\N	f	
24127	d84ea621-3520-412a-9c83-8dd98bebac6b	Roberts	Roberts	3	0	2013-09-07 02:54:54.337477+02	\N	\N	\N	\N	\N	\N	f	
25382	4967f8f6-3033-4b5e-8386-d7a59410455d	Lone Elm, Kansas	Lone Elm, Kansas	3	0	2013-09-07 11:37:11.842579+02	\N	\N	\N	\N	\N	\N	f	
24870	3553f49b-348f-44a0-860f-fa512559607b	Toledo	Toledo	3	0	2013-09-07 08:56:04.165264+02	\N	\N	\N	\N	\N	\N	f	
24871	51617c55-a807-41d8-8bf8-970675c92075	Tipton	Tipton	3	0	2013-09-07 08:56:23.811521+02	\N	\N	\N	\N	\N	\N	f	
26628	09dddc54-f5cf-4b55-90d8-18955797a12c	Linwood, New Jersey	Linwood, New Jersey	3	0	2013-09-08 01:43:16.546234+02	\N	\N	\N	\N	\N	\N	f	
26362	4ae84875-239c-427f-be6c-c2bc9e1e3936	Mount Vernon	Mount Vernon	3	0	2013-09-07 23:35:45.660916+02	\N	\N	\N	\N	\N	\N	f	
25907	3590fc33-d09a-4064-bd96-be3b50efca75	Louisa, Kentucky	Louisa, Kentucky	3	0	2013-09-07 15:10:22.910446+02	\N	\N	\N	\N	\N	\N	f	
25976	59690724-e6a5-466a-8232-c19490465707	Martin, Kentucky	Martin, Kentucky	3	0	2013-09-07 17:36:43.061178+02	\N	\N	\N	\N	\N	\N	f	
27117	e91d447b-a8dd-4450-a789-0d6ee1f8aa2e	Clinton, North Carolina	Clinton, North Carolina	3	0	2013-09-08 05:29:38.218964+02	\N	\N	\N	\N	\N	\N	f	
26367	7834f1f4-457b-4fd5-aa19-55746ddbd00b	Weston, Missouri	Weston, Missouri	3	0	2013-09-07 23:37:03.999884+02	\N	\N	\N	\N	\N	\N	f	
27088	6dd9c4ba-9548-4a74-ab19-3d62e14be360	Kings Mountain, North Carolina	Kings Mountain, North Carolina	3	0	2013-09-08 05:19:55.437671+02	\N	\N	\N	\N	\N	\N	f	
27083	b83e743c-3750-4e6a-84c2-cd1d3da07e51	Monroe, North Carolina	Monroe, North Carolina	3	0	2013-09-08 05:17:31.533249+02	\N	\N	\N	\N	\N	\N	f	
27120	706c2a2e-ca19-4981-8647-c254e2515fd8	Thomasville, North Carolina	Thomasville, North Carolina	3	0	2013-09-08 05:32:46.457038+02	\N	\N	\N	\N	\N	\N	f	
27161	5b91ded8-533c-4f34-b2c4-c4c2403a6abd	Crane	Crane	3	0	2013-09-08 05:45:06.362429+02	\N	\N	\N	\N	\N	\N	f	
27423	1d124dc8-b11f-4477-934a-d63607d4ca4a	Starkweather, North Dakota	Starkweather, North Dakota	3	0	2013-09-08 07:53:26.286412+02	\N	\N	\N	\N	\N	\N	f	
27435	ee3d40ab-a31e-4c99-8e9c-cf23751053cc	Mercer, North Dakota	Mercer, North Dakota	3	0	2013-09-08 07:56:16.885589+02	\N	\N	\N	\N	\N	\N	f	
27456	06c244da-3024-4172-b886-9d3b2047b42e	New Town, North Dakota	New Town, North Dakota	3	0	2013-09-08 08:01:22.883099+02	\N	\N	\N	\N	\N	\N	f	
27479	cc931543-edc3-470d-9c12-ea792d4ab1ca	Hazelton, North Dakota	Hazelton, North Dakota	3	0	2013-09-08 08:07:02.862309+02	\N	\N	\N	\N	\N	\N	f	
27742	7bbb722f-a090-4130-a4a6-c78f8f2e5f8d	Owasso, Oklahoma	Owasso, Oklahoma	3	0	2013-09-08 09:40:04.167082+02	\N	\N	\N	\N	\N	\N	f	
12726	a978530d-beb0-4dfd-a0e8-ced233b680f4	Nordkapp	Nordkapp	4	0	2013-07-15 04:52:30.031304+02	\N	\N	\N	\N	\N	\N	f	
14081	b552e969-bc0d-41c6-b8c3-49084b4c0ee2	San Biagio Saracinisco	San Biagio Saracinisco	4	0	2013-07-21 20:19:40.112747+02	\N	\N	\N	\N	\N	\N	f	
14096	31ab8934-2027-479b-ad0c-5a2e3b74af03	San Donato Val di Comino	San Donato Val di Comino	4	0	2013-07-21 20:22:12.505754+02	\N	\N	\N	\N	\N	\N	f	
15832	17fa42d1-51d2-4fb9-87af-945c1226a57a	Balmuccia	Balmuccia	4	0	2013-07-22 02:12:35.263521+02	\N	\N	\N	\N	\N	\N	f	
14148	01da74ec-b5e2-43f0-84a3-eb6eba8609ae	Ripe, Marche	Ripe, Marche	4	0	2013-07-21 20:33:47.452975+02	\N	\N	\N	\N	\N	\N	f	
14649	100b9726-68e0-4b5b-8891-9e61a774ccfa	Montabone	Montabone	4	0	2013-07-21 22:25:14.053205+02	\N	\N	\N	\N	\N	\N	f	
15227	bd46f9f1-31a4-4d58-bb71-18e7adaacf61	Piegaro	Piegaro	4	0	2013-07-22 00:03:14.641637+02	\N	\N	\N	\N	\N	\N	f	
16021	65c695de-3e99-4e45-a8f0-baa7f79707f6	Coreglia Ligure	Coreglia Ligure	4	0	2013-07-22 02:43:22.865449+02	\N	\N	\N	\N	\N	\N	f	
17785	d4e05ea2-74b4-4632-809b-c26f69733a7c	Angera	Angera	4	0	2013-07-22 07:10:05.323684+02	\N	\N	\N	\N	\N	\N	f	
16710	15772c8f-9fa6-4f72-ac79-deba981c9812	Tres, Trentino	Tres, Trentino	4	0	2013-07-22 04:15:53.167568+02	\N	\N	\N	\N	\N	\N	f	
21444	41e2b8c5-b731-49f3-baa3-9001408ac398	Cesana Torinese	Cesana Torinese	4	0	2013-07-24 08:39:15.660372+02	\N	\N	\N	\N	\N	\N	f	
17263	3834e665-3c72-4df1-8267-364741253b34	Nulvi	Nulvi	4	0	2013-07-22 06:05:35.474307+02	\N	\N	\N	\N	\N	\N	f	
17789	57484cf7-33fe-4e64-bc66-00f6bc0dcb2e	Bedero Valcuvia	Bedero Valcuvia	4	0	2013-07-22 07:10:32.687681+02	\N	\N	\N	\N	\N	\N	f	
20023	61b67dcf-eee8-4329-b0bc-42d1f3f6b6eb	Ronchi dei Legionari	Ronchi dei Legionari	4	0	2013-07-22 12:09:03.671267+02	\N	\N	\N	\N	\N	\N	f	
17793	44080f56-8f9f-4935-b745-1cfc2620263c	Garlasco	Garlasco	4	0	2013-07-22 07:10:58.611552+02	\N	\N	\N	\N	\N	\N	f	
17800	edb98da0-ba02-4130-a97f-5c9fd78cf785	Rocca Susella	Rocca Susella	4	0	2013-07-22 07:12:11.999074+02	\N	\N	\N	\N	\N	\N	f	
20925	9d694af6-db11-44f6-b091-081a595d81e5	Pratella	Pratella	4	0	2013-07-23 17:31:03.394801+02	\N	\N	\N	\N	\N	\N	f	
17905	aad6883b-035d-4b12-a913-8b8a8ed0498d	Semiana	Semiana	4	0	2013-07-22 07:24:39.437653+02	\N	\N	\N	\N	\N	\N	f	
17921	5c22e06e-9108-4801-8f15-f35d81428cc0	Montescano	Montescano	4	0	2013-07-22 07:26:37.759854+02	\N	\N	\N	\N	\N	\N	f	
24365	898f34e5-c92e-4e66-8fe6-d673a7ae614a	Ellaville, Georgia	Ellaville, Georgia	3	0	2013-09-07 06:27:11.291379+02	\N	\N	\N	\N	\N	\N	f	
18665	86782c8b-9f6a-43b0-93b1-59d30750521b	Lazise	Lazise	4	0	2013-07-22 08:59:05.571541+02	\N	\N	\N	\N	\N	\N	f	
21025	e86d2a0f-72d2-42d2-abe1-866107cc3d3c	Comiziano	Comiziano	4	0	2013-07-23 20:32:35.51004+02	\N	\N	\N	\N	\N	\N	f	
18672	7f52161a-ac35-4aa2-8d5b-15d4a90e21ba	Asiago	Asiago	4	0	2013-07-22 08:59:55.359997+02	\N	\N	\N	\N	\N	\N	f	
18679	ac49c78e-8a87-4592-b90d-9b6063262cbe	Aielli	Aielli	4	0	2013-07-22 09:00:49.028585+02	\N	\N	\N	\N	\N	\N	f	
21525	de355b30-4772-4a85-9589-bb45e3f26c4a	Budrio	Budrio	4	0	2013-07-24 11:35:02.061836+02	\N	\N	\N	\N	\N	\N	f	
18731	1e4971db-2236-48be-baca-6aea7bbd185d	Lurago Marinone	Lurago Marinone	4	0	2013-07-22 09:07:28.244139+02	\N	\N	\N	\N	\N	\N	f	
21082	11679bd2-5b2f-4293-9278-e550297b6687	San Vitaliano	San Vitaliano	4	0	2013-07-23 20:48:04.089171+02	\N	\N	\N	\N	\N	\N	f	
19642	896f8b8f-6464-4dc9-96f6-f8434d4b9c35	San Marco la Catola	San Marco la Catola	4	0	2013-07-22 11:10:16.875091+02	\N	\N	\N	\N	\N	\N	f	
21105	291aacaa-9bea-4727-812b-0c73ea09aa09	Gualdo, Marche	Gualdo, Marche	4	0	2013-07-23 20:53:43.924012+02	\N	\N	\N	\N	\N	\N	f	
21125	56b7a652-0b59-46b2-ae62-68f5ff133024	Atena Lucana	Atena Lucana	4	0	2013-07-23 23:33:46.87729+02	\N	\N	\N	\N	\N	\N	f	
21526	3ac288f8-f316-4d63-930d-de5cdaa1c893	Montaldo Torinese	Montaldo Torinese	4	0	2013-07-24 11:35:18.984504+02	\N	\N	\N	\N	\N	\N	f	
21129	99dd0fd6-1bae-49d9-af50-23d255d9e6cb	Altavilla Silentina	Altavilla Silentina	4	0	2013-07-23 23:34:36.242707+02	\N	\N	\N	\N	\N	\N	f	
26036	639e3ab1-3b64-4eca-bedb-de42fe43034c	Colwich	Colwich	3	0	2013-09-07 17:52:20.797424+02	\N	\N	\N	\N	\N	\N	f	
21225	2b716392-aab7-46a7-9d93-88bc4a79dbc4	Ricigliano	Ricigliano	4	0	2013-07-24 02:33:56.973174+02	\N	\N	\N	\N	\N	\N	f	
24371	800d4606-5fe9-4ddd-9022-b192281d5df8	Centerville, Georgia	Centerville, Georgia	3	0	2013-09-07 06:28:41.80457+02	\N	\N	\N	\N	\N	\N	f	
21243	0eff7ab1-db53-4114-b182-22e73df8cae8	Santomenna	Santomenna	4	0	2013-07-24 02:37:57.347869+02	\N	\N	\N	\N	\N	\N	f	
21260	d241c065-b8df-4058-88fb-714809fe0beb	Capraia e Limite	Capraia e Limite	4	0	2013-07-24 02:41:41.015833+02	\N	\N	\N	\N	\N	\N	f	
21326	087156e3-b94a-43fb-812c-98d27ce450b1	Vergato	Vergato	4	0	2013-07-24 05:33:42.573156+02	\N	\N	\N	\N	\N	\N	f	
23900	0031486d-f30e-4e1b-bea9-2cba6ecc3924	Oakhaven	Oakhaven	3	0	2013-09-06 20:49:55.948876+02	\N	\N	\N	\N	\N	\N	f	
21391	cbe0663c-0197-45ed-b4a8-92352e9ecb3c	Campiglione-Fenile	Campiglione-Fenile	4	0	2013-07-24 05:51:34.927881+02	\N	\N	\N	\N	\N	\N	f	
21394	fccb9d8f-67f5-4552-b2f8-09462c765958	San Gimignano	San Gimignano	4	0	2013-07-24 05:52:11.512342+02	\N	\N	\N	\N	\N	\N	f	
21425	c89727d1-4994-4ea0-bd57-f5055898efc4	Cantoira	Cantoira	4	0	2013-07-24 08:34:19.293396+02	\N	\N	\N	\N	\N	\N	f	
24872	eaab091f-e35e-43e0-ad85-3c72c566d31a	Steamboat Rock	Steamboat Rock	3	0	2013-09-07 08:56:38.68031+02	\N	\N	\N	\N	\N	\N	f	
23992	56c39ff6-f1c6-443b-987a-9e4af56d1e55	Homestead, Florida	Homestead, Florida	3	0	2013-09-06 23:41:32.493344+02	\N	\N	\N	\N	\N	\N	f	
24089	545ed9cf-863f-4a79-b9ca-c54efc4f1519	Donnelly	Donnelly	3	0	2013-09-07 02:34:55.323002+02	\N	\N	\N	\N	\N	\N	f	
27217	ebe750c6-4755-44ca-9e40-94160b110a67	Levasy	Levasy	3	0	2013-09-08 06:00:47.953719+02	\N	\N	\N	\N	\N	\N	f	
24329	5d216467-6fe1-46f6-8b32-8a6d004bd939	Greendale, Indiana	Greendale, Indiana	3	0	2013-09-07 06:15:57.268534+02	\N	\N	\N	\N	\N	\N	f	
25386	c22b5b52-6489-4368-915f-68133ad96605	Garfield, Kansas	Garfield, Kansas	3	0	2013-09-07 11:38:06.438773+02	\N	\N	\N	\N	\N	\N	f	
24332	befd9ec9-2b28-4462-96ce-36ec08fc8519	La Porte	La Porte	3	0	2013-09-07 06:16:47.47798+02	\N	\N	\N	\N	\N	\N	f	
26337	67e3fe9d-6972-4275-a6d2-f96f0031a7eb	Benton, Kansas	Benton, Kansas	3	0	2013-09-07 23:29:07.496363+02	\N	\N	\N	\N	\N	\N	f	
24346	1ad0e8a0-bb2d-4516-a626-4b9517331ebe	Rebecca, Georgia	Rebecca, Georgia	3	0	2013-09-07 06:21:31.529542+02	\N	\N	\N	\N	\N	\N	f	
25909	25254f48-a6c6-48cd-b2bc-2ab5bc87006f	McLouth, Kansas	McLouth, Kansas	3	0	2013-09-07 15:10:54.479071+02	\N	\N	\N	\N	\N	\N	f	
27105	366dc155-7267-40ec-8e34-0cbdfed66188	Northwest, North Carolina	Northwest, North Carolina	3	0	2013-09-08 05:24:30.495432+02	\N	\N	\N	\N	\N	\N	f	
25977	d04e9308-75f3-4391-b041-e47defb55648	Madison	Madison	3	0	2013-09-07 17:36:58.616534+02	\N	\N	\N	\N	\N	\N	f	
26629	34edf7ad-b775-4daa-80d3-a11cfa4b368f	Bordertown	Bordertown	3	0	2013-09-08 01:45:40.362913+02	\N	\N	\N	\N	\N	\N	f	
27084	c8b0f4b4-270e-4904-84b9-d0b9ef7be3cc	Dunn, North Carolina	Dunn, North Carolina	3	0	2013-09-08 05:17:44.523961+02	\N	\N	\N	\N	\N	\N	f	
27156	4854604a-7f40-48a4-b53d-935c0d4ce6e6	Bella Villa	Bella Villa	3	0	2013-09-08 05:43:48.691866+02	\N	\N	\N	\N	\N	\N	f	
27099	1b6dd9a8-519c-4e36-853a-9db16180e1f9	Oxford, North Carolina	Oxford, North Carolina	3	0	2013-09-08 05:23:10.886905+02	\N	\N	\N	\N	\N	\N	f	
27130	d2e75599-1bb6-4ca7-874b-acbc22e42057	Benton	Benton	3	0	2013-09-08 05:37:10.607299+02	\N	\N	\N	\N	\N	\N	f	
27184	ebb5471e-2d5e-4a7b-9d2f-a53919d64b52	Licking	Licking	3	0	2013-09-08 05:51:19.763171+02	\N	\N	\N	\N	\N	\N	f	
27441	f349b07c-4c45-46c0-8132-a72dfc398f7d	Perth, North Dakota	Perth, North Dakota	3	0	2013-09-08 07:57:46.209413+02	\N	\N	\N	\N	\N	\N	f	
27424	23adc931-1d22-4bd0-bc27-ed25adb70d49	Northwood	Northwood	3	0	2013-09-08 07:53:39.965637+02	\N	\N	\N	\N	\N	\N	f	
27743	cea3518e-af45-4ccd-9a18-7ddfb5c82b5e	Konawa, Oklahoma	Konawa, Oklahoma	3	0	2013-09-08 09:40:17.997089+02	\N	\N	\N	\N	\N	\N	f	
27777	ec2126f0-99c3-4202-ba90-2ff470dea29b	Elgin, Oklahoma	Elgin, Oklahoma	3	0	2013-09-08 09:49:58.895821+02	\N	\N	\N	\N	\N	\N	f	
27782	9d3d8a4c-3a75-472e-bc2e-ae84b810e51b	Shawnee	Shawnee	3	0	2013-09-08 09:54:48.85296+02	\N	\N	\N	\N	\N	\N	f	
27857	31681ee2-c828-4d09-8a50-e16c67b627fd	Huntleigh	Huntleigh	3	0	2013-09-08 10:16:04.384691+02	\N	\N	\N	\N	\N	\N	f	
28079	cf10c2ad-b28f-40a5-a9de-5be3e91941f5	Petrozavodsk	Petrozavodsk	3	0	2013-09-08 12:24:37.103583+02	\N	\N	\N	\N	\N	\N	f	
28304	29349170-df28-4f85-916c-2b8346ff4f59	Gettysburg, South Dakota	Gettysburg, South Dakota	3	0	2013-09-08 16:45:25.227176+02	\N	\N	\N	\N	\N	\N	f	
28320	1358c4cc-1f0e-4b5f-b5f8-358617a1b99e	Dunlap, Tennessee	Dunlap, Tennessee	3	0	2013-09-08 16:49:52.175587+02	\N	\N	\N	\N	\N	\N	f	
12730	96088991-8e3f-46f0-884c-9972e673ddb9	Gjerstad	Gjerstad	4	0	2013-07-15 04:56:02.494897+02	\N	\N	\N	\N	\N	\N	f	
12732	078fc09a-ea2c-4f7c-a828-0c242cfabab6	Evje og Hornnes	Evje og Hornnes	4	0	2013-07-15 04:56:31.059784+02	\N	\N	\N	\N	\N	\N	f	
12776	0641d55d-9fcb-48be-92c7-0a5273ab58bc	Sofia	Sofia	3	0	2013-07-15 14:26:38.069126+02	\N	\N	\N	\N	\N	\N	f	
12734	030810fe-7cae-410f-99b7-e999ed5b26b4	Bygland	Bygland	4	0	2013-07-15 04:57:19.361349+02	\N	\N	\N	\N	\N	\N	f	
12763	d51ec240-be10-47aa-930a-7429b0834e01	Split	Split	3	0	2013-07-15 07:14:37.429627+02	\N	\N	\N	\N	\N	\N	f	
12736	103d8acf-e3a7-4591-a649-76f9827fffa0	Iveland	Iveland	4	0	2013-07-15 04:57:58.288759+02	\N	\N	\N	\N	\N	\N	f	
12737	a6f9e1a7-1df6-40ad-9e7c-d8d875f2d475	Valle	Valle	4	0	2013-07-15 04:58:12.74825+02	\N	\N	\N	\N	\N	\N	f	
12738	6dfea724-4840-472a-8fe3-06b283a49956	Vegårshei	Vegårshei	4	0	2013-07-15 04:58:25.475998+02	\N	\N	\N	\N	\N	\N	f	
12764	35eecdc4-78ea-4d43-af50-1026af5bec55	Tab	Tab	3	0	2013-07-15 07:21:23.726151+02	\N	\N	\N	\N	\N	\N	f	
12741	8aa6a9dc-e4b6-4591-bfaa-ae9991a0957a	Froland	Froland	4	0	2013-07-15 04:59:12.941443+02	\N	\N	\N	\N	\N	\N	f	
12746	38f164ad-63e9-46a4-9307-01045ea6cb9b	Kinmen County	Kinmen County	2	0	2013-07-15 05:42:58.907072+02	\N	\N	\N	\N	\N	\N	f	
12747	f850b7b1-6fcf-4af9-a2aa-d9c38eb66034	Lienchiang County	Lienchiang County	2	0	2013-07-15 05:43:06.146759+02	\N	\N	\N	\N	\N	\N	f	
12765	e5af1ee4-9e18-49ba-9af8-a78ea9de821d	Fortaleza	Fortaleza	3	0	2013-07-15 07:22:51.740551+02	\N	\N	\N	\N	\N	\N	f	
12748	7cbb3e29-1268-4c17-bbd0-40487cd8482e	Eid	Eid	4	0	2013-07-15 05:47:49.636481+02	\N	\N	\N	\N	\N	\N	f	
12749	91a24126-c012-467e-a969-8b77f57f478f	Canton of Grevenmacher	Canton of Grevenmacher	2	0	2013-07-15 05:54:04.830447+02	\N	\N	\N	\N	\N	\N	f	
12777	5c253919-3b81-463b-a5dc-887b6773d3e7	Toledo	Toledo	3	0	2013-07-15 14:28:37.729561+02	\N	\N	\N	\N	\N	\N	f	
12750	02f29a80-b966-4f83-883e-a01ce8156318	Podgorica	Podgorica	3	0	2013-07-15 06:29:37.207156+02	\N	\N	\N	\N	\N	\N	f	
12766	bfbcf45d-5c3b-4331-bfcb-6341209cd5ec	Bridgeport	Bridgeport	3	0	2013-07-15 07:23:39.784314+02	\N	\N	\N	\N	\N	\N	f	
12751	fc617bbb-6cae-4e33-ae25-bf5a6cb7d7d5	Kharkiv	Kharkiv	3	0	2013-07-15 06:45:47.060172+02	\N	\N	\N	\N	\N	\N	f	
12752	b17c3bca-56c5-4888-9821-e706b66ec5b6	Jincheng	Jincheng	3	0	2013-07-15 06:49:57.693464+02	\N	\N	\N	\N	\N	\N	f	
12753	9bfc664b-3425-4f42-9189-4d4edb73a1c6	Nangan	Nangan	3	0	2013-07-15 06:50:18.720356+02	\N	\N	\N	\N	\N	\N	f	
12767	13a88f48-8755-44d7-9323-771710279036	Cali	Cali	3	0	2013-07-15 07:24:06.512896+02	\N	\N	\N	\N	\N	\N	f	
12754	ad6fd5e1-796d-4b1b-a242-9f142083de80	Dongyin, Lienchiang	Dongyin, Lienchiang	3	0	2013-07-15 06:50:36.166524+02	\N	\N	\N	\N	\N	\N	f	
12755	f91a420c-f32c-43a3-9eb2-495a90156e13	Jinsha	Jinsha	3	0	2013-07-15 06:51:00.713843+02	\N	\N	\N	\N	\N	\N	f	
12756	3fd5766d-14db-4893-a664-b5005f48dba0	Lieyu	Lieyu	3	0	2013-07-15 06:51:14.488558+02	\N	\N	\N	\N	\N	\N	f	
12757	f9c2a46f-6fe0-46de-91da-4af1877dc674	Wuqiu	Wuqiu	3	0	2013-07-15 06:51:31.581004+02	\N	\N	\N	\N	\N	\N	f	
12768	d1a85b29-1983-44fa-a511-68bc4be0b603	Sneek	Sneek	3	0	2013-07-15 08:22:43.930197+02	\N	\N	\N	\N	\N	\N	f	
12758	11dabfc9-20f3-4883-9725-426681ed99cf	Jinhu	Jinhu	3	0	2013-07-15 06:51:43.836379+02	\N	\N	\N	\N	\N	\N	f	
12759	a2deb973-912b-401f-a0ec-9535977d947f	Juguang	Juguang	3	0	2013-07-15 06:51:58.247862+02	\N	\N	\N	\N	\N	\N	f	
12778	4e08aa8a-2570-4316-8bcd-a3a10488afd2	Córdoba	Córdoba	3	0	2013-07-15 14:29:04.367513+02	\N	\N	\N	\N	\N	\N	f	
12760	bb49f3a5-e8a0-440a-a630-962181042825	Beigan	Beigan	3	0	2013-07-15 06:52:14.678212+02	\N	\N	\N	\N	\N	\N	f	
12769	9469bbff-23d3-4884-8b48-9fc0d94efeed	Linz	Linz	3	0	2013-07-15 08:26:47.98312+02	\N	\N	\N	\N	\N	\N	f	
12761	a33c1609-fcfc-4c74-9de6-1d8d53a0d1b5	Jinning	Jinning	3	0	2013-07-15 06:52:28.436797+02	\N	\N	\N	\N	\N	\N	f	
12762	1876749b-4a07-495b-8b57-9dde0ac39c24	Athens	Athens	3	0	2013-07-15 07:14:04.151112+02	\N	\N	\N	\N	\N	\N	f	
12786	7a3e384a-108f-4ba9-b5d7-e519e6e225e3	Jerez de la Frontera	Jerez de la Frontera	3	0	2013-07-15 17:18:52.593902+02	\N	\N	\N	\N	\N	\N	f	
12770	5180b00d-93c2-4a7e-aa17-18fa03956a56	Kaunas	Kaunas	3	0	2013-07-15 08:27:07.217735+02	\N	\N	\N	\N	\N	\N	f	
12779	f42c1e2a-b7db-4acf-9742-1889b9c6d530	A Coruña	A Coruña	3	0	2013-07-15 14:32:16.810014+02	\N	\N	\N	\N	\N	\N	f	
12771	5af5cff3-6613-45e2-b9b9-9a4941a2bc53	Ape	Ape	3	0	2013-07-15 08:29:32.082257+02	\N	\N	\N	\N	\N	\N	f	
12772	7db370e8-c46d-4a52-8770-6eef2bb5e24d	Aloja	Aloja	3	0	2013-07-15 08:30:02.42726+02	\N	\N	\N	\N	\N	\N	f	
12773	6a632174-1e13-49c6-9a2a-82d7641a6929	Patras	Patras	3	0	2013-07-15 11:17:47.57285+02	\N	\N	\N	\N	\N	\N	f	
12780	66ae1ad4-d9df-4213-9447-14eb1298700d	Granada	Granada	3	0	2013-07-15 14:32:37.765568+02	\N	\N	\N	\N	\N	\N	f	
12774	5e90c62e-4d26-43ee-80d3-d28f770bdca7	Švenčionys	Švenčionys	3	0	2013-07-15 11:18:11.759399+02	\N	\N	\N	\N	\N	\N	f	
12775	6ffd89a2-f54b-4b16-8a4f-610eec4d57ec	Latifiya	Latifiya	3	0	2013-07-15 11:25:02.030685+02	\N	\N	\N	\N	\N	\N	f	
12787	bf8b2b1f-4620-4547-9213-74f730c2bbb7	Huelva	Huelva	3	0	2013-07-15 17:19:04.159925+02	\N	\N	\N	\N	\N	\N	f	
12782	a3ed30dc-6e11-4813-b63c-c7220ffa7d88	San Sebastián	San Sebastián	3	0	2013-07-15 17:17:13.401601+02	\N	\N	\N	\N	\N	\N	f	
12793	1a848448-8b2b-446f-a6e3-c41920c88f82	Tarragona	Tarragona	3	0	2013-07-15 17:20:43.138168+02	\N	\N	\N	\N	\N	\N	f	
12783	5dbbac19-7924-4c22-9798-3209dc0c5071	Las Palmas de Gran Canaria	Las Palmas de Gran Canaria	3	0	2013-07-15 17:17:43.105362+02	\N	\N	\N	\N	\N	\N	f	
12788	41799b1d-556b-40a5-867d-4e42eb892651	Teruel	Teruel	3	0	2013-07-15 17:19:32.3813+02	\N	\N	\N	\N	\N	\N	f	
12784	cf5c5911-f6bd-4362-90b7-be953abb699d	Guadalajara	Guadalajara	3	0	2013-07-15 17:17:56.006548+02	\N	\N	\N	\N	\N	\N	f	
12785	a0ad70a3-4b46-451a-9f18-6f76e7798112	Huesca	Huesca	3	0	2013-07-15 17:18:24.832486+02	\N	\N	\N	\N	\N	\N	f	
12797	9e0459b7-5309-42b4-b2fd-0733025d36c8	Jaén	Jaén	3	0	2013-07-15 17:21:54.050603+02	\N	\N	\N	\N	\N	\N	f	
12789	ce2620ad-7d54-4c89-83fb-d0ac025a3a9a	Vitoria-Gasteiz	Vitoria-Gasteiz	3	0	2013-07-15 17:19:48.363868+02	\N	\N	\N	\N	\N	\N	f	
12794	bf54fbad-a2c9-48ce-838b-bfb2af775760	Castellón de la Plana	Castellón de la Plana	3	0	2013-07-15 17:20:54.37484+02	\N	\N	\N	\N	\N	\N	f	
12790	e7b3c78c-7324-45bb-80af-46ed49609b7a	Mérida	Mérida	3	0	2013-07-15 17:20:02.36601+02	\N	\N	\N	\N	\N	\N	f	
12791	6428c971-6d0b-4749-bf77-5f22fb89b04b	Cuenca	Cuenca	3	0	2013-07-15 17:20:19.248809+02	\N	\N	\N	\N	\N	\N	f	
12792	b9fdb300-da3e-4cbe-b6c0-e475285c25ca	Albacete	Albacete	3	0	2013-07-15 17:20:30.99802+02	\N	\N	\N	\N	\N	\N	f	
12795	93be1b23-2025-496e-8638-32ab85f1a4a8	Lleida	Lleida	3	0	2013-07-15 17:21:06.793365+02	\N	\N	\N	\N	\N	\N	f	
12798	af1f4a89-739c-4394-882a-0a3ca17b77e4	Badajoz	Badajoz	3	0	2013-07-15 17:22:05.491086+02	\N	\N	\N	\N	\N	\N	f	
12796	7d81af08-6760-4557-b9bd-fbff1b34b68f	Cáceres	Cáceres	3	0	2013-07-15 17:21:42.711824+02	\N	\N	\N	\N	\N	\N	f	
12801	a6b9cdf0-e460-4ce1-ac2c-bb6dc75d4ceb	Cádiz	Cádiz	3	0	2013-07-15 17:22:44.04568+02	\N	\N	\N	\N	\N	\N	f	
12799	91849d7e-ab8a-4978-a9d1-369b25ad75c1	Salamanca	Salamanca	3	0	2013-07-15 17:22:21.564629+02	\N	\N	\N	\N	\N	\N	f	
12805	de0887be-1d85-42cf-89a2-1f0d1cad434f	Guadix	Guadix	3	0	2013-07-15 17:28:43.108239+02	\N	\N	\N	\N	\N	\N	f	
12800	2e672517-8cee-4440-a1f8-5cf10b7390f3	Zamora	Zamora	3	0	2013-07-15 17:22:32.745213+02	\N	\N	\N	\N	\N	\N	f	
12804	69e012c7-90b0-48a6-bcf1-6a4185363fd9	Plasencia	Plasencia	3	0	2013-07-15 17:28:10.444963+02	\N	\N	\N	\N	\N	\N	f	
12802	f089fba4-d315-47a7-9148-d733bb917eb3	Cartagena	Cartagena	3	0	2013-07-15 17:23:05.904363+02	\N	\N	\N	\N	\N	\N	f	
12803	6f6e5910-1ca8-499a-9819-8f711e16de0f	Motril	Motril	3	0	2013-07-15 17:25:57.193635+02	\N	\N	\N	\N	\N	\N	f	
12806	5d674ef6-1c1a-4505-832e-8c1ab22d11fe	Tudela	Tudela	3	0	2013-07-15 17:28:58.547998+02	\N	\N	\N	\N	\N	\N	f	
12807	31ddac54-cba3-4eff-98a4-10ce45e0c709	Loja	Loja	3	0	2013-07-15 17:31:12.186112+02	\N	\N	\N	\N	\N	\N	f	
12808	2e0dac75-37a6-4295-8eb9-dd8e46da24ab	Astorga	Astorga	3	0	2013-07-15 17:32:17.836435+02	\N	\N	\N	\N	\N	\N	f	
12809	7a7cd1a3-b4c6-4f7c-9e20-1086ac117b4e	Marbella	Marbella	3	0	2013-07-15 17:32:58.624131+02	\N	\N	\N	\N	\N	\N	f	
12810	dfd9a768-5849-4b10-b805-7c546467bb5b	Orihuela	Orihuela	3	0	2013-07-15 17:33:25.553386+02	\N	\N	\N	\N	\N	\N	f	
12811	17f6611e-7086-480f-b00e-b652ccec1990	Port Mahon	Port Mahon	3	0	2013-07-15 17:33:55.279985+02	\N	\N	\N	\N	\N	\N	f	
12812	19632fe4-b741-4ec7-9002-270561c53cbe	Mojácar	Mojácar	3	0	2013-07-15 17:34:06.703191+02	\N	\N	\N	\N	\N	\N	f	
12813	f5236f13-6003-49e1-8776-8f165ebd6496	Palos de la Frontera	Palos de la Frontera	3	0	2013-07-15 17:35:34.333227+02	\N	\N	\N	\N	\N	\N	f	
12814	b18f7702-2f22-40cd-94e6-b40884e604b8	Arrecife	Arrecife	3	0	2013-07-15 17:35:50.212038+02	\N	\N	\N	\N	\N	\N	f	
12815	cb37d2dd-cff3-41a7-9c5d-ac207040db93	Estella-Lizarra	Estella-Lizarra	3	0	2013-07-15 17:36:03.98675+02	\N	\N	\N	\N	\N	\N	f	
15833	35ac61e3-f378-4075-b60b-d46d0864230f	Lavarone	Lavarone	4	0	2013-07-22 02:12:49.536916+02	\N	\N	\N	\N	\N	\N	f	
12816	1745e73b-a202-43bd-8e59-223ea9907bdc	Martos	Martos	3	0	2013-07-15 17:36:33.318209+02	\N	\N	\N	\N	\N	\N	f	
14652	109e8218-be7b-4d9d-95c4-ce5f4594e3b0	Rocchetta Palafea	Rocchetta Palafea	4	0	2013-07-21 22:26:05.628355+02	\N	\N	\N	\N	\N	\N	f	
12818	a411c77b-cf6e-420c-b257-448235e6310c	Tafalla	Tafalla	3	0	2013-07-15 17:38:39.404636+02	\N	\N	\N	\N	\N	\N	f	
12819	4d0d03ca-d282-4dc7-ab9e-26563d4bbac4	Sangüesa	Sangüesa	3	0	2013-07-15 17:38:58.045249+02	\N	\N	\N	\N	\N	\N	f	
14734	eabc1880-d5da-4129-8c8e-4fffb2c7a3c6	Sagliano Micca	Sagliano Micca	4	0	2013-07-21 22:44:12.085864+02	\N	\N	\N	\N	\N	\N	f	
14760	8ce6a88f-c3fe-44ef-9c0e-69458426db64	Verrone	Verrone	4	0	2013-07-21 22:49:46.033857+02	\N	\N	\N	\N	\N	\N	f	
16713	bd4bddc9-36b0-4ab3-a6c9-35c7f15e74f0	Terzolas	Terzolas	4	0	2013-07-22 04:16:57.002823+02	\N	\N	\N	\N	\N	\N	f	
14819	da4ead7c-2aac-4ec3-8a4e-1b341d3be8e7	Cinigiano	Cinigiano	4	0	2013-07-21 23:02:39.949089+02	\N	\N	\N	\N	\N	\N	f	
25914	e6c85a2a-05d5-4780-a571-c964cef627ba	Kirwin, Kansas	Kirwin, Kansas	3	0	2013-09-07 15:12:11.383307+02	\N	\N	\N	\N	\N	\N	f	
20024	db1505a3-e4e7-4be2-adba-041a36e1ddd1	Solarolo	Solarolo	4	0	2013-07-22 12:09:12.86714+02	\N	\N	\N	\N	\N	\N	f	
15318	8dd81452-c374-4a7b-9c7d-6e282b489847	Sant'Ippolito	Sant'Ippolito	4	0	2013-07-22 00:18:55.679813+02	\N	\N	\N	\N	\N	\N	f	
17264	5790febc-b161-46dd-b4a5-163b0eb046ce	Viddalba	Viddalba	4	0	2013-07-22 06:05:43.699815+02	\N	\N	\N	\N	\N	\N	f	
17275	5b06ad4b-75c0-48f9-8fef-3e9711414eac	Santa Maria Coghinas	Santa Maria Coghinas	4	0	2013-07-22 06:07:00.857784+02	\N	\N	\N	\N	\N	\N	f	
24902	67afb070-6041-4cae-a2e3-ef2cb618b58a	Rockwell City	Rockwell City	3	0	2013-09-07 09:04:09.314496+02	\N	\N	\N	\N	\N	\N	f	
17795	585aad7e-6871-49a2-9c16-1706fa00feb8	Colle Santa Lucia	Colle Santa Lucia	4	0	2013-07-22 07:11:13.157665+02	\N	\N	\N	\N	\N	\N	f	
21439	b06d1ddc-9c48-4dd6-a2e4-aa45d87defb1	Chianocco	Chianocco	4	0	2013-07-24 08:38:07.496748+02	\N	\N	\N	\N	\N	\N	f	
17856	9a94862d-521b-4e66-82f0-b596be60d6a8	Marcignago	Marcignago	4	0	2013-07-22 07:18:45.739562+02	\N	\N	\N	\N	\N	\N	f	
18667	943d7318-b5d6-4996-bbbc-b17ddaa95807	Pianiga	Pianiga	4	0	2013-07-22 08:59:22.334135+02	\N	\N	\N	\N	\N	\N	f	
18680	39a459e2-a8aa-4c2f-802f-4c819f02be76	Ateleta	Ateleta	4	0	2013-07-22 09:01:01.087158+02	\N	\N	\N	\N	\N	\N	f	
14082	50748900-982e-46b5-9f64-a218c18bd06f	Filettino	Filettino	4	0	2013-07-22 15:01:32.490079+02	\N	\N	\N	\N	\N	\N	f	
18683	3632cd4b-32a5-4e44-bc73-8e0c98a7289d	Tremezzo	Tremezzo	4	0	2013-07-22 09:01:15.452106+02	\N	\N	\N	\N	\N	\N	f	
18684	0b748456-f627-4148-91f7-88ce69079fca	Portogruaro	Portogruaro	4	0	2013-07-22 09:01:30.317394+02	\N	\N	\N	\N	\N	\N	f	
21441	02b2ad39-ec74-4463-a53d-2a357f5692a2	Castiglione Torinese	Castiglione Torinese	4	0	2013-07-24 08:38:36.083959+02	\N	\N	\N	\N	\N	\N	f	
18687	4e05f73b-59c6-407f-bf8d-2cc2e143b378	Fumane	Fumane	4	0	2013-07-22 09:01:48.024648+02	\N	\N	\N	\N	\N	\N	f	
20926	23e2fac2-571b-44a0-a7a5-2419f2095d60	Pontelatone	Pontelatone	4	0	2013-07-23 17:31:28.182066+02	\N	\N	\N	\N	\N	\N	f	
18693	6c6d5faa-1e58-4957-b250-22a7f80c31e8	San Pietro di Morubio	San Pietro di Morubio	4	0	2013-07-22 09:02:34.263039+02	\N	\N	\N	\N	\N	\N	f	
20975	dcc53548-12ed-4a6d-b63b-5f17a74b0ad0	Bergamo	Bergamo	4	0	2013-07-23 17:42:56.380832+02	\N	\N	\N	\N	\N	\N	f	
25014	04b5e4e0-f466-4276-9416-fcfb2a2ceb1e	Mount Sterling	Mount Sterling	3	0	2013-09-07 09:41:02.183631+02	\N	\N	\N	\N	\N	\N	f	
21026	ceecb045-d13e-4726-a5ee-add58b9f5e3a	Ottaviano	Ottaviano	4	0	2013-07-23 20:33:01.888992+02	\N	\N	\N	\N	\N	\N	f	
21528	b80f5d6a-01a8-420c-9eee-ab46d05af104	Crevalcore	Crevalcore	4	0	2013-07-24 11:35:49.82214+02	\N	\N	\N	\N	\N	\N	f	
21126	f037e6d9-1c1d-4670-8708-c3abc0487700	Bellizzi	Bellizzi	4	0	2013-07-23 23:33:59.64254+02	\N	\N	\N	\N	\N	\N	f	
21175	82454264-8891-47a6-82e9-275db862411b	Ispani	Ispani	4	0	2013-07-23 23:44:55.89719+02	\N	\N	\N	\N	\N	\N	f	
26374	268681d1-6290-4d74-af7a-9d02f2f8e5c8	La Harpe	La Harpe	3	0	2013-09-07 23:38:48.930554+02	\N	\N	\N	\N	\N	\N	f	
21226	8339ab43-c86f-4fe6-a923-a143f03f20f4	Sassano	Sassano	4	0	2013-07-24 02:34:13.055783+02	\N	\N	\N	\N	\N	\N	f	
21297	cd59b256-0aac-4d99-b354-e8cfd68fa4d9	Vicchio	Vicchio	4	0	2013-07-24 02:50:20.665958+02	\N	\N	\N	\N	\N	\N	f	
25388	5ceec0cf-0e24-4fbb-b4de-ff5f655c504c	Plevna, Kansas	Plevna, Kansas	3	0	2013-09-07 11:38:33.463293+02	\N	\N	\N	\N	\N	\N	f	
21313	68d2ab5b-0ce9-40e6-8769-415fc23144e7	Fucecchio	Fucecchio	4	0	2013-07-24 02:53:36.990974+02	\N	\N	\N	\N	\N	\N	f	
23905	eafac688-6582-4bb9-8d74-605d0c139648	Solvang	Solvang	3	0	2013-09-06 20:51:21.841336+02	\N	\N	\N	\N	\N	\N	f	
21316	cf0323b8-72c3-4d3d-9615-b28e30699686	Montelupone	Montelupone	4	0	2013-07-24 02:54:13.761586+02	\N	\N	\N	\N	\N	\N	f	
21327	c2a9b485-b617-4c59-8a73-d81089572cdb	Bol	Bol	3	0	2013-07-24 05:34:01.78479+02	\N	\N	\N	\N	\N	\N	f	
21355	7b9edeee-2128-4f2b-985d-0e0009638186	Castellina in Chianti	Castellina in Chianti	4	0	2013-07-24 05:42:12.219674+02	\N	\N	\N	\N	\N	\N	f	
23993	775c2189-6b36-479f-a44d-beb32d52836f	Rush	Rush	3	0	2013-09-06 23:42:43.295085+02	\N	\N	\N	\N	\N	\N	f	
21426	a97d03e0-c9ef-4b5d-97c5-9732371bc96a	Sarteano	Sarteano	4	0	2013-07-24 08:34:41.018003+02	\N	\N	\N	\N	\N	\N	f	
25978	e4033ada-119e-4af2-8d03-5603a3d20cca	Hunter, Kansas	Hunter, Kansas	3	0	2013-09-07 17:37:13.691161+02	\N	\N	\N	\N	\N	\N	f	
24090	ebf5ce79-7c0f-4bf6-b723-8cd9caaad005	Bloomington	Bloomington	3	0	2013-09-07 02:35:11.199523+02	\N	\N	\N	\N	\N	\N	f	
25404	d6e79fd2-1af1-447b-87db-045f31392aae	Haven, Kansas	Haven, Kansas	3	0	2013-09-07 11:42:20.216371+02	\N	\N	\N	\N	\N	\N	f	
24330	049299ba-20e1-45ee-beba-4e01752dcf13	Huntingburg, Indiana	Huntingburg, Indiana	3	0	2013-09-07 06:16:14.983823+02	\N	\N	\N	\N	\N	\N	f	
24873	d4612540-b7c8-48f8-a13b-082201f41938	Woolstock	Woolstock	3	0	2013-09-07 08:56:53.411966+02	\N	\N	\N	\N	\N	\N	f	
25505	fee914e4-77ba-4f02-9778-36af26bb7e47	Sun City, Kansas	Sun City, Kansas	3	0	2013-09-07 12:07:55.112293+02	\N	\N	\N	\N	\N	\N	f	
25910	59d6becd-df0b-44d4-b09f-570cc042bc12	Roeland Park, Kansas	Roeland Park, Kansas	3	0	2013-09-07 15:11:10.540013+02	\N	\N	\N	\N	\N	\N	f	
26061	caeba850-b0a2-48fd-adbe-26b3fd25ecd1	Olsburg	Olsburg	3	0	2013-09-07 17:59:58.854271+02	\N	\N	\N	\N	\N	\N	f	
26631	83a820d0-0986-44e9-8267-7e3eef5738dc	Plattsburg, Missouri	Plattsburg, Missouri	3	0	2013-09-08 01:47:25.998991+02	\N	\N	\N	\N	\N	\N	f	
26338	c1569044-eda5-4eb4-8bab-3225ea555a74	Old Brownsboro Place, Kentucky	Old Brownsboro Place, Kentucky	3	0	2013-09-07 23:29:23.113517+02	\N	\N	\N	\N	\N	\N	f	
27425	a2004f88-41ab-4d1f-b79a-de2cc5ce300b	Abercrombie, North Dakota	Abercrombie, North Dakota	3	0	2013-09-08 07:53:57.974943+02	\N	\N	\N	\N	\N	\N	f	
27085	a26f2355-2bcf-4e57-8d16-7653d53f01bf	Concord, North Carolina	Concord, North Carolina	3	0	2013-09-08 05:18:05.72261+02	\N	\N	\N	\N	\N	\N	f	
27463	53110dd6-30f5-42e7-a2f1-efd8c2374267	Goodrich, North Dakota	Goodrich, North Dakota	3	0	2013-09-08 08:03:12.006585+02	\N	\N	\N	\N	\N	\N	f	
27437	f46e0d7d-2f39-4d6d-97f7-4759676c348a	Hankinson, North Dakota	Hankinson, North Dakota	3	0	2013-09-08 07:56:45.044949+02	\N	\N	\N	\N	\N	\N	f	
27529	459594cb-631e-429b-8481-cba858ff7faa	Edmore, North Dakota	Edmore, North Dakota	3	0	2013-09-08 08:33:32.771023+02	\N	\N	\N	\N	\N	\N	f	
28083	bf629e60-d333-4517-b373-fd5901023c35	Staraya Russa	Staraya Russa	3	0	2013-09-08 12:26:00.139604+02	\N	\N	\N	\N	\N	\N	f	
27745	4d4250ec-1ec1-43f2-9cbe-79264cd3b3c3	Bristow, Oklahoma	Bristow, Oklahoma	3	0	2013-09-08 09:41:01.068505+02	\N	\N	\N	\N	\N	\N	f	
28093	cb95b33b-c444-4f01-b9f5-e9f1355b02d9	Neman	Neman	3	0	2013-09-08 12:32:26.309672+02	\N	\N	\N	\N	\N	\N	f	
28486	666134db-74b4-44a4-b448-f59138c6e471	Argyle, Texas	Argyle, Texas	3	0	2013-09-08 20:23:02.821799+02	\N	\N	\N	\N	\N	\N	f	
28305	de5bb4c2-994f-4be5-b4bd-a6d3ef711ced	Elkton, South Dakota	Elkton, South Dakota	3	0	2013-09-08 16:45:39.290035+02	\N	\N	\N	\N	\N	\N	f	
28542	e4dfce4e-1c73-4cd3-90ff-bef222463ab1	Progreso, Texas	Progreso, Texas	3	0	2013-09-08 20:43:07.334124+02	\N	\N	\N	\N	\N	\N	f	
28602	80353e69-2789-4aad-bb89-d77d95d38b40	Blanco	Blanco	3	0	2013-09-08 21:00:24.788899+02	\N	\N	\N	\N	\N	\N	f	
12817	2ea53585-f828-42e5-a958-8918ba5d5ae6	Villanueva de la Serena	Villanueva de la Serena	3	0	2013-07-15 17:36:44.47604+02	\N	\N	\N	\N	\N	\N	f	
12836	ce210b2a-386f-49d1-a926-773a95a04356	Partille Municipality	Partille Municipality	4	0	2013-07-16 11:21:06.134315+02	\N	\N	\N	\N	\N	\N	f	
12820	247627d9-a4c7-4517-bffe-325e45e9d188	Olite	Olite	3	0	2013-07-15 17:39:10.138598+02	\N	\N	\N	\N	\N	\N	f	
12821	caaa5815-e990-48ee-91da-7bab6bce7cb3	Viana	Viana	3	0	2013-07-15 17:39:41.861876+02	\N	\N	\N	\N	\N	\N	f	
12849	b7130a47-3273-4c61-871a-b79d3a7113e9	Burlöv Municipality	Burlöv Municipality	4	0	2013-07-16 11:25:05.742105+02	\N	\N	\N	\N	\N	\N	f	
12822	0d7eed30-3bc8-4047-8058-b49897cf9f81	Cascante	Cascante	3	0	2013-07-15 17:42:41.619666+02	\N	\N	\N	\N	\N	\N	f	
12837	7f8895e7-782f-4e61-b73e-337da225772e	Salem municipality	Salem municipality	4	0	2013-07-16 11:21:20.131845+02	\N	\N	\N	\N	\N	\N	f	
12823	51964d61-b23d-4198-91b8-53e447042f26	Ourense	Ourense	3	0	2013-07-15 17:43:11.918939+02	\N	\N	\N	\N	\N	\N	f	
12824	4ccfed06-b073-49bb-b52a-012a16c0a6da	Fairview Alpha	Fairview Alpha	3	0	2013-07-16 02:27:35.541452+02	\N	\N	\N	\N	\N	\N	f	
9621	00bf87e6-877e-4ee3-b435-984d3abb0aee	Tilburg	Tilburg	3	0	2013-07-16 06:00:24.018185+02	\N	\N	\N	\N	\N	\N	f	
12825	5547fe29-26aa-43be-abb6-6b8124fb340e	Solna municipality	Solna municipality	4	0	2013-07-16 11:17:29.21089+02	\N	\N	\N	\N	\N	\N	f	
12838	fe43cb74-cc5f-4075-b92a-ab272066d09b	Dorotea Municipality	Dorotea Municipality	4	0	2013-07-16 11:21:37.227685+02	\N	\N	\N	\N	\N	\N	f	
12826	3c5be384-3193-4de8-98fb-4a55fc935b29	Eslöv Municipality	Eslöv Municipality	4	0	2013-07-16 11:18:08.119755+02	\N	\N	\N	\N	\N	\N	f	
12827	c965b538-1875-4dab-879a-3ac51fc13c8f	Upplands-Bro municipality	Upplands-Bro municipality	4	0	2013-07-16 11:18:33.514393+02	\N	\N	\N	\N	\N	\N	f	
12828	2205627e-9554-4eb0-b523-3b885b0fa3e0	Tyresö municipality	Tyresö municipality	4	0	2013-07-16 11:18:51.672419+02	\N	\N	\N	\N	\N	\N	f	
12839	4a3c951a-caca-43c5-86ba-f4883887acbf	Säter Municipality	Säter Municipality	4	0	2013-07-16 11:21:49.060998+02	\N	\N	\N	\N	\N	\N	f	
12829	f100856d-cdaf-41aa-ac46-7bc9b8d647ea	Karlskrona Municipality	Karlskrona Municipality	4	0	2013-07-16 11:19:13.640182+02	\N	\N	\N	\N	\N	\N	f	
12830	16ccc540-ec8b-46c6-b25c-093bd4b38533	Botkyrka municipality	Botkyrka municipality	4	0	2013-07-16 11:19:32.986433+02	\N	\N	\N	\N	\N	\N	f	
12850	94985aec-f7a1-4fda-af9f-2855a32e5097	Åstorp Municipality	Åstorp Municipality	4	0	2013-07-16 11:26:50.879931+02	\N	\N	\N	\N	\N	\N	f	
12831	d44882c0-a6a9-474f-b62a-d813a442f4b5	Danderyd municipality	Danderyd municipality	4	0	2013-07-16 11:19:47.851915+02	\N	\N	\N	\N	\N	\N	f	
12840	8855dd58-7f4c-4248-90ef-9663ee187d92	Söderhamn Municipality	Söderhamn Municipality	4	0	2013-07-16 11:22:06.146935+02	\N	\N	\N	\N	\N	\N	f	
12832	d09d33d6-4837-4897-ac9a-6ab459c1856a	Haninge municipality	Haninge municipality	4	0	2013-07-16 11:20:02.20359+02	\N	\N	\N	\N	\N	\N	f	
12833	9fb60137-ffee-413e-88b1-715490e0acf3	Österåker municipality	Österåker municipality	4	0	2013-07-16 11:20:18.920172+02	\N	\N	\N	\N	\N	\N	f	
12834	06a66225-b9b1-4b3d-aece-601a2986e917	Kalix Municipality	Kalix Municipality	4	0	2013-07-16 11:20:34.872708+02	\N	\N	\N	\N	\N	\N	f	
12841	254abeb4-abd1-40cb-97e3-d92022048b1f	Odsherred municipality	Odsherred municipality	4	0	2013-07-16 11:22:17.487413+02	\N	\N	\N	\N	\N	\N	f	
12835	05910e60-00e8-4228-ac18-64767a69e5ba	Älvdalen Municipality	Älvdalen Municipality	4	0	2013-07-16 11:20:54.662068+02	\N	\N	\N	\N	\N	\N	f	
12867	4f968e2d-6f10-4a92-96f5-5134883f7d0e	Norrtälje municipality	Norrtälje municipality	4	0	2013-07-16 11:31:57.024845+02	\N	\N	\N	\N	\N	\N	f	
12851	17c010b3-38d7-4d15-8901-f21887d1f9b2	Kalundborg Municipality	Kalundborg Municipality	4	0	2013-07-16 11:27:15.869243+02	\N	\N	\N	\N	\N	\N	f	
12842	3f954a04-eb78-4fb0-9595-3f70d90503f5	Sandviken Municipality	Sandviken Municipality	4	0	2013-07-16 11:22:34.197068+02	\N	\N	\N	\N	\N	\N	f	
12843	1406150c-f20f-4796-9ea0-2ad178d32cf8	Herlev Municipality	Herlev Municipality	4	0	2013-07-16 11:23:19.397802+02	\N	\N	\N	\N	\N	\N	f	
12858	b6150d07-e769-436d-ba85-6585de70c060	Middelfart Municipality	Middelfart Municipality	4	0	2013-07-16 11:29:05.830425+02	\N	\N	\N	\N	\N	\N	f	
12844	fa0d75a7-944a-462f-be57-62f57249f13e	Luleå Municipality	Luleå Municipality	4	0	2013-07-16 11:23:44.006123+02	\N	\N	\N	\N	\N	\N	f	
12852	dc6c2a2d-d078-4a8c-b7e0-7a8b99fc626b	Nordfyn Municipality	Nordfyn Municipality	4	0	2013-07-16 11:27:36.631037+02	\N	\N	\N	\N	\N	\N	f	
12845	884d3b2b-8dcf-4dc0-a3bd-2e3b301c3e02	Varberg Municipality	Varberg Municipality	4	0	2013-07-16 11:23:59.869219+02	\N	\N	\N	\N	\N	\N	f	
12846	28317a92-87d5-4fdd-b2b8-eaf8def65711	Alvesta Municipality	Alvesta Municipality	4	0	2013-07-16 11:24:16.436486+02	\N	\N	\N	\N	\N	\N	f	
12847	ca8458e6-a8a2-4e46-a6a0-9aa6509499b1	Vordingborg Municipality	Vordingborg Municipality	4	0	2013-07-16 11:24:32.591103+02	\N	\N	\N	\N	\N	\N	f	
12853	52f0a206-9072-4a32-a209-db721b8606c1	Glostrup Municipality	Glostrup Municipality	4	0	2013-07-16 11:27:56.889344+02	\N	\N	\N	\N	\N	\N	f	
12848	38bd20a0-085f-4ec4-807b-15046255aab4	Pajala Municipality	Pajala Municipality	4	0	2013-07-16 11:24:49.480722+02	\N	\N	\N	\N	\N	\N	f	
12863	933118b5-462d-4d72-bb9a-3b0f3c0d90d8	Odense Municipality	Odense Municipality	4	0	2013-07-16 11:30:54.836377+02	\N	\N	\N	\N	\N	\N	f	
12859	7f8adf7e-30a1-461a-8672-00abb5667ef9	Aabenraa Municipality	Aabenraa Municipality	4	0	2013-07-16 11:29:37.082066+02	\N	\N	\N	\N	\N	\N	f	
12854	f41dc54b-8b5f-4a84-a4e5-e290cd2d49b0	Ærø Municipality	Ærø Municipality	4	0	2013-07-16 11:28:09.554217+02	\N	\N	\N	\N	\N	\N	f	
12855	4e8fa629-d9dc-41bf-a8cd-d29f8e2f4420	Sønderborg Municipality	Sønderborg Municipality	4	0	2013-07-16 11:28:20.974864+02	\N	\N	\N	\N	\N	\N	f	
12856	686da3c0-9e28-417e-84eb-6ea12a2a88ee	Kolding Municipality	Kolding Municipality	4	0	2013-07-16 11:28:32.400734+02	\N	\N	\N	\N	\N	\N	f	
12857	4963f5ee-ff00-413e-8559-fbfe827f6220	Härnösand Municipality	Härnösand Municipality	4	0	2013-07-16 11:28:44.017611+02	\N	\N	\N	\N	\N	\N	f	
12860	9eb3809a-a9a2-4cb7-85df-baa00438121d	Vejen Municipality	Vejen Municipality	4	0	2013-07-16 11:29:59.884026+02	\N	\N	\N	\N	\N	\N	f	
12864	32e59cd6-8a91-453c-aa8b-8c9a61e7ebca	Sorø	Sorø	4	0	2013-07-16 11:31:10.073168+02	\N	\N	\N	\N	\N	\N	f	
12861	551ea6d3-5e7f-4a38-a759-7b91d7daa2d7	Haderslev Municipality	Haderslev Municipality	4	0	2013-07-16 11:30:20.801632+02	\N	\N	\N	\N	\N	\N	f	
12862	2a126b46-8d2c-4028-aaf7-67961ce27a1d	Svendborg Municipality	Svendborg Municipality	4	0	2013-07-16 11:30:38.508285+02	\N	\N	\N	\N	\N	\N	f	
12865	716d450f-e2c2-49ff-96d0-ed7ec7ae620d	Varde Municipality	Varde Municipality	4	0	2013-07-16 11:31:22.328226+02	\N	\N	\N	\N	\N	\N	f	
12868	5d6f9f69-11e4-40c5-b826-21b8fe700014	Sigtuna municipality	Sigtuna municipality	4	0	2013-07-16 11:32:27.742767+02	\N	\N	\N	\N	\N	\N	f	
12866	9adb3721-13ad-4004-b4d2-3633dae0385f	Fredericia Municipality	Fredericia Municipality	4	0	2013-07-16 11:31:36.796789+02	\N	\N	\N	\N	\N	\N	f	
12872	0229f078-27cd-4ad2-9565-de83cbc1b1c1	Aarhus Municipality	Aarhus Municipality	4	0	2013-07-16 11:34:41.475814+02	\N	\N	\N	\N	\N	\N	f	
12871	60b68af7-0e24-465c-ac5d-af885ea8a51d	Hillerød Municipality	Hillerød Municipality	4	0	2013-07-16 11:33:17.330776+02	\N	\N	\N	\N	\N	\N	f	
12869	458621d4-bb18-4125-a870-1bf2f48973d2	Hällefors Municipality	Hällefors Municipality	4	0	2013-07-16 11:32:47.854965+02	\N	\N	\N	\N	\N	\N	f	
12870	55ce8247-7d75-42b7-806a-495c6957a0ba	Sollefteå Municipality	Sollefteå Municipality	4	0	2013-07-16 11:33:03.564242+02	\N	\N	\N	\N	\N	\N	f	
12873	8d73fc52-bc3b-4d73-8350-bb006ef86dba	Gnesta Municipality	Gnesta Municipality	4	0	2013-07-16 11:34:53.053811+02	\N	\N	\N	\N	\N	\N	f	
12874	68f07de3-6153-473f-bc03-925c3b33767d	Markaryd Municipality	Markaryd Municipality	4	0	2013-07-16 11:35:11.008279+02	\N	\N	\N	\N	\N	\N	f	
12875	5632a26f-bb5a-4d3d-8b3a-4a43de8c9f7b	Vingåker Municipality	Vingåker Municipality	4	0	2013-07-16 11:36:06.597856+02	\N	\N	\N	\N	\N	\N	f	
12876	6893b554-777c-4f0e-87f8-7a57ccbe495b	Ängelholm Municipality	Ängelholm Municipality	4	0	2013-07-16 11:36:30.38813+02	\N	\N	\N	\N	\N	\N	f	
12877	d21b9956-ec0c-4c71-b8d3-e2fafb62f47b	Älvsbyn Municipality	Älvsbyn Municipality	4	0	2013-07-16 11:36:41.96421+02	\N	\N	\N	\N	\N	\N	f	
12878	9b47ba2c-19b6-4f77-96d1-d73c5de4c224	Älmhult Municipality	Älmhult Municipality	4	0	2013-07-16 11:36:53.493714+02	\N	\N	\N	\N	\N	\N	f	
12879	59270063-551f-4742-9da9-b49afc47eb85	Ballerup Municipality	Ballerup Municipality	4	0	2013-07-16 11:37:12.491254+02	\N	\N	\N	\N	\N	\N	f	
12880	eb3ee637-796f-405c-a2e7-0f7280febaa8	Bornholm Regional Municipality	Bornholm Regional Municipality	4	0	2013-07-16 11:37:27.940904+02	\N	\N	\N	\N	\N	\N	f	
12892	0ab5b5ba-1409-4cea-af60-c00c804893d8	Flen Municipality	Flen Municipality	4	0	2013-07-16 11:40:34.21365+02	\N	\N	\N	\N	\N	\N	f	
15837	1c9c9a25-444b-48fc-a9f7-1fec7becf4ad	San Biagio della Cima	San Biagio della Cima	4	0	2013-07-22 02:13:37.261217+02	\N	\N	\N	\N	\N	\N	f	
12904	639ab4ee-c02a-405b-86d8-ecaf5a0c58d5	Örnsköldsvik Municipality	Örnsköldsvik Municipality	4	0	2013-07-16 11:44:11.572442+02	\N	\N	\N	\N	\N	\N	f	
14145	4b380f74-eec0-439f-a38f-966e2260e7f8	Cerreto d'Esi	Cerreto d'Esi	4	0	2013-07-21 20:33:05.901117+02	\N	\N	\N	\N	\N	\N	f	
12974	e59f836b-0c16-4be8-8a67-de618eed1602	Rebild Municipality	Rebild Municipality	4	0	2013-07-16 12:01:11.034734+02	\N	\N	\N	\N	\N	\N	f	
13016	2527503e-ff75-4ea3-82d3-d43057c42fc1	Morsø Municipality	Morsø Municipality	4	0	2013-07-16 12:10:35.204818+02	\N	\N	\N	\N	\N	\N	f	
13060	94da49af-58ab-43ac-ad5b-10c61912bc06	Ovanåker Municipality	Ovanåker Municipality	4	0	2013-07-16 12:20:22.814139+02	\N	\N	\N	\N	\N	\N	f	
14653	76b0e29b-5fb3-427a-84e5-7a2b5ce0a32e	Moransengo	Moransengo	4	0	2013-07-21 22:26:18.956821+02	\N	\N	\N	\N	\N	\N	f	
13065	00c5d6d8-04bf-45e2-a66d-7cf80d61903e	Struer Municipality	Struer Municipality	4	0	2013-07-16 12:21:19.916501+02	\N	\N	\N	\N	\N	\N	f	
17787	b3390d39-322b-4401-8852-ebf89ca6e0fb	Ferrera Erbognone	Ferrera Erbognone	4	0	2013-07-22 07:10:20.338871+02	\N	\N	\N	\N	\N	\N	f	
15247	7135102a-0dd4-4020-8454-ba6c5ac28c21	Sellano	Sellano	4	0	2013-07-22 00:05:27.7429+02	\N	\N	\N	\N	\N	\N	f	
15838	fe6f483a-aa6b-4905-b36e-6f35726d4465	Greggio	Greggio	4	0	2013-07-22 02:13:57.407161+02	\N	\N	\N	\N	\N	\N	f	
15845	a5508051-ecca-4720-a05c-07fa447099ad	Desana	Desana	4	0	2013-07-22 02:15:22.357716+02	\N	\N	\N	\N	\N	\N	f	
20027	1bddee72-5b4b-48d4-8421-55b392c110dd	Doberdò del Lago	Doberdò del Lago	4	0	2013-07-22 12:09:41.621915+02	\N	\N	\N	\N	\N	\N	f	
16716	d9f76fe0-ca1b-4d4e-8417-975a109d9964	Taio	Taio	4	0	2013-07-22 04:17:51.617841+02	\N	\N	\N	\N	\N	\N	f	
17809	7b051715-3e30-47a3-adf4-df93c2545636	Cavaria con Premezzo	Cavaria con Premezzo	4	0	2013-07-22 07:13:21.984603+02	\N	\N	\N	\N	\N	\N	f	
16760	bb4b44e7-ce8d-4b04-bfc5-bcd8618e112b	Lotzorai	Lotzorai	4	0	2013-07-22 04:29:46.11626+02	\N	\N	\N	\N	\N	\N	f	
17266	6471b374-8a08-47d9-8c0b-501146c9220c	Nule	Nule	4	0	2013-07-22 06:05:58.955235+02	\N	\N	\N	\N	\N	\N	f	
21366	030e84d0-b1bf-46c4-be71-a5bb596ea3e7	Casole d'Elsa	Casole d'Elsa	4	0	2013-07-24 05:44:52.368766+02	\N	\N	\N	\N	\N	\N	f	
17849	55437d9e-6fc7-40c9-9512-8b0cf39a60be	Broni	Broni	4	0	2013-07-22 07:17:59.597491+02	\N	\N	\N	\N	\N	\N	f	
18668	550bccf8-c7a2-4e9c-8e8a-efde4b7e978c	Crespano del Grappa	Crespano del Grappa	4	0	2013-07-22 08:59:30.370222+02	\N	\N	\N	\N	\N	\N	f	
18692	fbc457a1-b3e4-437e-94a9-7fcc0b6776d2	Alfedena	Alfedena	4	0	2013-07-22 09:02:30.808679+02	\N	\N	\N	\N	\N	\N	f	
20927	f91a6015-0faf-46c4-8362-0e9aeccd7de9	Santa Maria la Fossa	Santa Maria la Fossa	4	0	2013-07-23 17:31:48.592364+02	\N	\N	\N	\N	\N	\N	f	
18808	9ccc3f73-64da-48aa-975e-8895518eef53	Lonigo	Lonigo	4	0	2013-07-22 09:16:33.474972+02	\N	\N	\N	\N	\N	\N	f	
18873	55d04e6d-e1ba-4fc0-8e96-3648cefeb506	Niscemi	Niscemi	4	0	2013-07-22 09:24:23.848873+02	\N	\N	\N	\N	\N	\N	f	
23994	17470dbf-72e8-47e9-b00f-91cca15c013a	Atlantic Beach, Florida	Atlantic Beach, Florida	3	0	2013-09-06 23:44:03.820562+02	\N	\N	\N	\N	\N	\N	f	
18887	6bd870de-e101-4312-8c1b-723e99ef8151	Pusiano	Pusiano	4	0	2013-07-22 09:26:09.895689+02	\N	\N	\N	\N	\N	\N	f	
20983	81e2aca1-3be8-4926-bbe3-07ccf946bede	Padua	Padua	4	0	2013-07-23 17:45:20.624763+02	\N	\N	\N	\N	\N	\N	f	
18888	9302a865-877a-4e49-bd5d-65e9ab9ee624	Riesi	Riesi	4	0	2013-07-22 09:26:12.456074+02	\N	\N	\N	\N	\N	\N	f	
18894	9c41d6ca-9e98-4fb1-b478-39cb2bd7f173	Campofranco	Campofranco	4	0	2013-07-22 09:27:04.117732+02	\N	\N	\N	\N	\N	\N	f	
21427	bd2855ca-f911-4119-96ed-76c89f1922be	Carmagnola	Carmagnola	4	0	2013-07-24 08:34:59.075917+02	\N	\N	\N	\N	\N	\N	f	
18895	d8183d76-287c-481a-b9ca-0ab1721b960d	Pigra	Pigra	4	0	2013-07-22 09:27:06.331927+02	\N	\N	\N	\N	\N	\N	f	
20990	acae38b3-e987-404e-b4db-c29ad3323c70	Gorizia	Gorizia	4	0	2013-07-23 17:47:12.359187+02	\N	\N	\N	\N	\N	\N	f	
21027	2b78113e-942c-49c0-978d-02276c948435	Melito di Napoli	Melito di Napoli	4	0	2013-07-23 20:33:19.383128+02	\N	\N	\N	\N	\N	\N	f	
21127	116a0413-63d9-4722-9fb7-423ac95a66b9	Atrani	Atrani	4	0	2013-07-23 23:34:12.035892+02	\N	\N	\N	\N	\N	\N	f	
21453	05f84bad-0a91-495c-b7e7-5d1eb0fee18b	Chivasso	Chivasso	4	0	2013-07-24 08:41:20.909749+02	\N	\N	\N	\N	\N	\N	f	
21151	462ef02d-c61f-4b56-835c-1f3c177eddc8	Mercato San Severino	Mercato San Severino	4	0	2013-07-23 23:39:16.306277+02	\N	\N	\N	\N	\N	\N	f	
21161	c1711475-d9ca-4fe8-9df9-d81776c8c8f4	Castelnuovo di Conza	Castelnuovo di Conza	4	0	2013-07-23 23:41:18.004593+02	\N	\N	\N	\N	\N	\N	f	
24883	bd9fd7b9-7407-413d-8b2c-977a37543be7	Russell	Russell	3	0	2013-09-07 08:59:25.388385+02	\N	\N	\N	\N	\N	\N	f	
21227	1b5f2b73-fdc3-403e-9948-2eba396d5837	Sacco	Sacco	4	0	2013-07-24 02:34:25.692886+02	\N	\N	\N	\N	\N	\N	f	
24091	ed7b8007-6560-4d3d-b251-335ad0c62e12	Stites	Stites	3	0	2013-09-07 02:35:26.229346+02	\N	\N	\N	\N	\N	\N	f	
21329	d7b1a75c-593f-4cd0-b02e-1649df79903f	Porto Recanati	Porto Recanati	4	0	2013-07-24 05:34:55.080963+02	\N	\N	\N	\N	\N	\N	f	
21343	38788ffb-4f8c-49ba-8d2c-e327a0c4e18d	Alice Superiore	Alice Superiore	4	0	2013-07-24 05:39:17.151052+02	\N	\N	\N	\N	\N	\N	f	
21359	69d9dd6c-0570-4374-898b-3c57c34239eb	Bobbio Pellice	Bobbio Pellice	4	0	2013-07-24 05:43:16.432145+02	\N	\N	\N	\N	\N	\N	f	
24094	03498aa4-5a41-40e1-b6d6-68cc20a974d5	Lost River	Lost River	3	0	2013-09-07 02:36:16.738306+02	\N	\N	\N	\N	\N	\N	f	
21529	ea36a6ca-70e7-4fe8-84f0-d4fbec85e1d2	Castenaso	Castenaso	4	0	2013-07-24 11:36:02.54593+02	\N	\N	\N	\N	\N	\N	f	
21538	4d7f4ec3-1fc0-45d1-b7ad-ed164d481257	Mercenasco	Mercenasco	4	0	2013-07-24 11:38:05.741881+02	\N	\N	\N	\N	\N	\N	f	
24990	9bbcae99-6c78-4caf-ab10-0d66a391c06b	Rock Valley	Rock Valley	3	0	2013-09-07 09:34:31.917754+02	\N	\N	\N	\N	\N	\N	f	
23906	51b97ef5-3287-4ff6-a5bd-008069d171b8	South Pasadena	South Pasadena	3	0	2013-09-06 20:51:44.128854+02	\N	\N	\N	\N	\N	\N	f	
24923	dfc17ee0-5a48-4165-bfd3-a4a45bc95978	Springbrook	Springbrook	3	0	2013-09-07 09:09:27.385079+02	\N	\N	\N	\N	\N	\N	f	
24331	56103952-5b1e-462c-81b8-3a40fbde055b	Frankfort	Frankfort	3	0	2013-09-07 06:16:32.932807+02	\N	\N	\N	\N	\N	\N	f	
24333	a97d0d33-8924-494e-8827-40bdee362cd6	Mount Vernon, Indiana	Mount Vernon, Indiana	3	0	2013-09-07 06:17:20.978683+02	\N	\N	\N	\N	\N	\N	f	
24874	118675ce-82f5-45c3-95dc-b2571141363d	Tama	Tama	3	0	2013-09-07 08:57:08.235505+02	\N	\N	\N	\N	\N	\N	f	
24939	95ba16e7-4efa-4037-8fa4-ffe603d5d051	Cuba	Cuba	3	0	2013-09-07 09:20:51.934479+02	\N	\N	\N	\N	\N	\N	f	
27809	eed96566-0e7d-4da4-9080-5207cb8f2ee6	Duenweg	Duenweg	3	0	2013-09-08 10:03:27.678989+02	\N	\N	\N	\N	\N	\N	f	
25392	1f4ee5e0-4ef6-4b8e-866f-52d4f7ad3439	Burgin, Kentucky	Burgin, Kentucky	3	0	2013-09-07 11:39:32.108486+02	\N	\N	\N	\N	\N	\N	f	
24975	a69074e9-6f68-4f3f-9e47-199346eab4e9	Belpre, Kansas	Belpre, Kansas	3	0	2013-09-07 09:30:35.210493+02	\N	\N	\N	\N	\N	\N	f	
26045	9d4eb954-0691-4936-9319-3891b32b5d65	Whitewater	Whitewater	3	0	2013-09-07 17:55:01.923452+02	\N	\N	\N	\N	\N	\N	f	
25979	6144ffbc-f7a8-423a-911a-00afe87a9f86	Upton, Kentucky	Upton, Kentucky	3	0	2013-09-07 17:37:29.079874+02	\N	\N	\N	\N	\N	\N	f	
25407	171beb2e-a71b-4461-826d-c6cf77b9a903	Lynch, Kentucky	Lynch, Kentucky	3	0	2013-09-07 11:43:00.361429+02	\N	\N	\N	\N	\N	\N	f	
25425	717973fc-56a5-4290-b53e-ff317ff268e2	Crestwood, Kentucky	Crestwood, Kentucky	3	0	2013-09-07 11:47:20.94389+02	\N	\N	\N	\N	\N	\N	f	
26046	094eb00e-5158-4060-8f33-bb092fd6d653	Pleasanton	Pleasanton	3	0	2013-09-07 17:55:27.743807+02	\N	\N	\N	\N	\N	\N	f	
26110	9057b9d4-5f01-4ece-bb0c-ec2c31bb350e	Russell Springs, Kentucky	Russell Springs, Kentucky	3	0	2013-09-07 18:12:51.813031+02	\N	\N	\N	\N	\N	\N	f	
26339	17e6bcab-1614-4806-a000-c145ca726d69	Sparta, Kentucky	Sparta, Kentucky	3	0	2013-09-07 23:29:38.496149+02	\N	\N	\N	\N	\N	\N	f	
26387	ca347898-37ef-4dc8-b120-0fd3fa5d1fc1	Carthage	Carthage	3	0	2013-09-07 23:42:14.637515+02	\N	\N	\N	\N	\N	\N	f	
26632	bfc38a9a-a5e7-4365-9384-7c5e25c209e7	Belzoni, Mississippi	Belzoni, Mississippi	3	0	2013-09-08 01:47:44.856663+02	\N	\N	\N	\N	\N	\N	f	
27086	53b80912-d9a2-4489-8d97-9fb4d1a2cf81	Eden, North Carolina	Eden, North Carolina	3	0	2013-09-08 05:18:38.301448+02	\N	\N	\N	\N	\N	\N	f	
12881	3cc35a2e-567b-4b3c-8a53-3a00443fc301	Gagnef Municipality	Gagnef Municipality	4	0	2013-07-16 11:37:48.576958+02	\N	\N	\N	\N	\N	\N	f	
14085	5cfd7de8-5f41-457b-ab00-82b4e0b96cb7	Ausonia, Lazio	Ausonia, Lazio	4	0	2013-07-21 20:20:21.233303+02	\N	\N	\N	\N	\N	\N	f	
14231	a489a7ca-d420-46af-934b-11953caaa408	Benevento	Benevento	4	0	2013-07-21 20:51:53.423407+02	\N	\N	\N	\N	\N	\N	f	
15841	3d06fd9a-49be-45ce-82ab-59bf05bd67e8	Collobiano	Collobiano	4	0	2013-07-22 02:14:32.489499+02	\N	\N	\N	\N	\N	\N	f	
14233	8150997d-bde4-4a8e-8f75-9bba5baa11e7	Andria	Andria	4	0	2013-07-21 20:52:16.696128+02	\N	\N	\N	\N	\N	\N	f	
14281	1df2788a-2970-4122-9ef8-41b82fa2cce8	Caprarola	Caprarola	4	0	2013-07-21 21:03:49.135323+02	\N	\N	\N	\N	\N	\N	f	
14655	a36624ba-a1c2-40f3-8378-b973c2a132b6	Villa San Secondo	Villa San Secondo	4	0	2013-07-21 22:26:57.517945+02	\N	\N	\N	\N	\N	\N	f	
16717	6378e1e6-6f0b-42fe-ba92-356a733a49bb	Brione	Brione	4	0	2013-07-22 04:18:12.369192+02	\N	\N	\N	\N	\N	\N	f	
14692	a4bed2b6-a06b-44cd-8ca3-f095747e4673	Muzzano, Piedmont	Muzzano, Piedmont	4	0	2013-07-21 22:34:44.396179+02	\N	\N	\N	\N	\N	\N	f	
14715	6cc00fb5-8577-4a0d-974c-379ec2648d96	Curino	Curino	4	0	2013-07-21 22:40:02.701941+02	\N	\N	\N	\N	\N	\N	f	
24335	0cf76d36-7a5d-4bf2-b3ca-902f918fecc5	Knox, Indiana	Knox, Indiana	3	0	2013-09-07 06:18:11.080667+02	\N	\N	\N	\N	\N	\N	f	
17269	8575da8e-728a-4dd7-bbff-e041ed318062	Pozzomaggiore	Pozzomaggiore	4	0	2013-07-22 06:06:14.281306+02	\N	\N	\N	\N	\N	\N	f	
15373	0f98304b-a203-4012-ba26-fa938873eaca	Gallicano	Gallicano	4	0	2013-07-22 00:30:46.087148+02	\N	\N	\N	\N	\N	\N	f	
21388	a7335510-6c13-4ef9-8657-60be6740a3d3	Radda in Chianti	Radda in Chianti	4	0	2013-07-24 05:50:58.084274+02	\N	\N	\N	\N	\N	\N	f	
17816	1cbe9679-1325-4b2b-b4af-27c52fc50daf	Romagnese	Romagnese	4	0	2013-07-22 07:14:09.337808+02	\N	\N	\N	\N	\N	\N	f	
20029	f1cb81f7-9377-44e9-bba6-1f0398133281	Cormons	Cormons	4	0	2013-07-22 12:09:58.186568+02	\N	\N	\N	\N	\N	\N	f	
18673	0d37b87b-63bb-4133-83be-bf5da8064d7a	Villaga	Villaga	4	0	2013-07-22 08:59:59.344149+02	\N	\N	\N	\N	\N	\N	f	
18676	e85e27db-b615-4807-ae69-d761648274e3	Veronella	Veronella	4	0	2013-07-22 09:00:22.684494+02	\N	\N	\N	\N	\N	\N	f	
20031	c9af2d43-4fb1-45ff-8190-d84a68fdb847	Monfalcone	Monfalcone	4	0	2013-07-22 12:10:16.96727+02	\N	\N	\N	\N	\N	\N	f	
18696	c8d590fa-2007-4871-a651-6b47ba3beff4	Acciano	Acciano	4	0	2013-07-22 09:02:57.396855+02	\N	\N	\N	\N	\N	\N	f	
27112	16343c95-010e-47e5-8d49-940b7fc02749	Shelby, North Carolina	Shelby, North Carolina	3	0	2013-09-08 05:26:10.038337+02	\N	\N	\N	\N	\N	\N	f	
20073	c9a3658d-d4f4-4d56-9c71-44f43af9bfc9	Claut	Claut	4	0	2013-07-22 12:15:55.461801+02	\N	\N	\N	\N	\N	\N	f	
21392	39dee3ec-fa90-4e9b-b13a-877e75c907ff	Poggibonsi	Poggibonsi	4	0	2013-07-24 05:51:47.439803+02	\N	\N	\N	\N	\N	\N	f	
20928	20f6166f-6d42-4c76-a6ba-45e97c677251	Teano	Teano	4	0	2013-07-23 17:32:03.929703+02	\N	\N	\N	\N	\N	\N	f	
21028	0d3ba44e-9bd0-4899-bd19-cbee80c97d60	Marano di Napoli	Marano di Napoli	4	0	2013-07-23 20:33:37.015364+02	\N	\N	\N	\N	\N	\N	f	
24352	d4e7ba0c-7bd9-4bc7-8d2c-26cbe0cb61df	Grantville, Georgia	Grantville, Georgia	3	0	2013-09-07 06:23:34.559929+02	\N	\N	\N	\N	\N	\N	f	
21128	35c7da63-dac7-4273-ad5a-6d942acd035a	Calvanico	Calvanico	4	0	2013-07-23 23:34:24.15837+02	\N	\N	\N	\N	\N	\N	f	
21428	2614a463-9b3b-423b-b05c-fb895bf63b73	Cantalupa	Cantalupa	4	0	2013-07-24 08:35:12.358866+02	\N	\N	\N	\N	\N	\N	f	
21162	343bfe8a-1994-450d-867c-20c20d9c6710	Corbara	Corbara	4	0	2013-07-23 23:41:30.081787+02	\N	\N	\N	\N	\N	\N	f	
21173	3036f0b1-37c7-4b6d-b7e7-54a5f979bd09	Cicerale	Cicerale	4	0	2013-07-23 23:44:22.639351+02	\N	\N	\N	\N	\N	\N	f	
21228	c3adcb9d-5cc1-435b-8fbc-04c954ad52b9	Sarno	Sarno	4	0	2013-07-24 02:34:38.420377+02	\N	\N	\N	\N	\N	\N	f	
21470	494d2f2f-aa61-487f-9857-837a95cc8765	Exilles	Exilles	4	0	2013-07-24 08:45:13.476646+02	\N	\N	\N	\N	\N	\N	f	
21240	c20515ac-f587-4231-a702-8b893a7e117c	Roccagloriosa	Roccagloriosa	4	0	2013-07-24 02:37:18.979695+02	\N	\N	\N	\N	\N	\N	f	
21241	443621ba-98d6-4e5d-bc8d-f39326113637	San Mauro Cilento	San Mauro Cilento	4	0	2013-07-24 02:37:31.907631+02	\N	\N	\N	\N	\N	\N	f	
26639	add0fc7d-92ca-41d9-8ab8-9d71e9223775	Battle Creek, Iowa	Battle Creek, Iowa	3	0	2013-09-08 01:50:14.902+02	\N	\N	\N	\N	\N	\N	f	
21247	8d97649c-5d41-4e6a-8f24-fa573744b426	San Mauro la Bruca	San Mauro la Bruca	4	0	2013-07-24 02:38:47.872745+02	\N	\N	\N	\N	\N	\N	f	
21530	5fafcc80-7190-4855-a11d-6333f415b27e	Castel di Casio	Castel di Casio	4	0	2013-07-24 11:36:17.73161+02	\N	\N	\N	\N	\N	\N	f	
21276	647dee0a-3e01-4800-9048-362f2ee56c05	Serramezzana	Serramezzana	4	0	2013-07-24 02:45:43.580459+02	\N	\N	\N	\N	\N	\N	f	
24875	44803ce4-4fb5-4833-a9c4-4017e12f4bb2	Swea City	Swea City	3	0	2013-09-07 08:57:23.314381+02	\N	\N	\N	\N	\N	\N	f	
21279	cc04c78e-dc92-49ae-8cdd-295daa51dbae	Scandicci	Scandicci	4	0	2013-07-24 02:46:35.252903+02	\N	\N	\N	\N	\N	\N	f	
21330	acbfcfe7-0a48-44e0-8fc7-315f34d44aab	Potenza Picena	Potenza Picena	4	0	2013-07-24 05:35:21.120636+02	\N	\N	\N	\N	\N	\N	f	
21385	c08df261-12c0-4e34-a52f-25055e980277	Castelnuovo Berardenga	Castelnuovo Berardenga	4	0	2013-07-24 05:50:09.006408+02	\N	\N	\N	\N	\N	\N	f	
24956	0586792a-954e-432d-8050-3be9af3fa3c7	Atlanta, Kansas	Atlanta, Kansas	3	0	2013-09-07 09:26:13.243246+02	\N	\N	\N	\N	\N	\N	f	
25393	c1e2ca09-8dfc-473e-986b-a23cc5fc7deb	Fort Thomas	Fort Thomas	3	0	2013-09-07 11:39:45.339902+02	\N	\N	\N	\N	\N	\N	f	
23909	03b32277-051a-4fc4-801a-c8c9f83a8f4d	Tustin	Tustin	3	0	2013-09-06 20:52:44.043104+02	\N	\N	\N	\N	\N	\N	f	
23995	bf84792a-5803-48a2-b967-ada349d3b3fb	Jacob City, Florida	Jacob City, Florida	3	0	2013-09-06 23:44:22.725131+02	\N	\N	\N	\N	\N	\N	f	
27087	fb49d7f6-33f1-4c14-9a8a-4935836a35e4	Henderson, North Carolina	Henderson, North Carolina	3	0	2013-09-08 05:18:51.766776+02	\N	\N	\N	\N	\N	\N	f	
24092	ce6c7f55-19b1-42f9-994b-f3917f79187f	Ferdinand	Ferdinand	3	0	2013-09-07 02:35:45.680122+02	\N	\N	\N	\N	\N	\N	f	
25476	012e48bf-ce6b-4198-ade7-09bd2ae70700	Lakeside Park, Kentucky	Lakeside Park, Kentucky	3	0	2013-09-07 12:00:29.084414+02	\N	\N	\N	\N	\N	\N	f	
25981	1b99f80a-075d-49f7-976b-763b907e6ae7	Stafford, Kansas	Stafford, Kansas	3	0	2013-09-07 17:37:59.037995+02	\N	\N	\N	\N	\N	\N	f	
27438	eeda708c-d441-42d8-986c-fdad7b5d6b28	Underwood, North Dakota	Underwood, North Dakota	3	0	2013-09-08 07:57:03.78925+02	\N	\N	\N	\N	\N	\N	f	
26340	d63d4759-b14a-4e0a-a9f3-72ae51a21a31	Le Mars, Iowa	Le Mars, Iowa	3	0	2013-09-07 23:29:53.772995+02	\N	\N	\N	\N	\N	\N	f	
27142	16053c37-1912-48af-8a68-955ea7761039	Richland	Richland	3	0	2013-09-08 05:40:12.568191+02	\N	\N	\N	\N	\N	\N	f	
26634	c0b7a6ee-89ad-4361-9ea2-b836beacdc8a	Magee	Magee	3	0	2013-09-08 01:48:50.605275+02	\N	\N	\N	\N	\N	\N	f	
27102	c2883580-e0a0-4a8d-a683-7d8fbfc3a22a	Saluda, North Carolina	Saluda, North Carolina	3	0	2013-09-08 05:23:50.5903+02	\N	\N	\N	\N	\N	\N	f	
27104	07b61aa6-8b64-4adb-9335-c7d3342885c2	Salisbury, North Carolina	Salisbury, North Carolina	3	0	2013-09-08 05:24:17.331897+02	\N	\N	\N	\N	\N	\N	f	
27747	54b31981-343a-4b4f-b4a6-a0d1f1cf95b1	Yale, Oklahoma	Yale, Oklahoma	3	0	2013-09-08 09:41:28.561059+02	\N	\N	\N	\N	\N	\N	f	
27426	d1aa41a4-6a80-4e35-b093-30a26ebddac6	Fort Yates, North Dakota	Fort Yates, North Dakota	3	0	2013-09-08 07:54:11.669018+02	\N	\N	\N	\N	\N	\N	f	
27808	e4194bf6-f8b0-46d2-b52b-6b76dab31a4c	Dearborn	Dearborn	3	0	2013-09-08 10:03:11.93004+02	\N	\N	\N	\N	\N	\N	f	
27780	5b03e19e-3a06-4c5d-b4ab-ee9b88dfd398	Erick, Oklahoma	Erick, Oklahoma	3	0	2013-09-08 09:52:16.601511+02	\N	\N	\N	\N	\N	\N	f	
28085	093dff40-31bc-42ff-a670-190c0eca741b	Shatura	Shatura	3	0	2013-09-08 12:26:38.143623+02	\N	\N	\N	\N	\N	\N	f	
28306	5ef18942-6705-48fc-aac6-88ba86bbdf3a	Crab Orchard, Tennessee	Crab Orchard, Tennessee	3	0	2013-09-08 16:45:53.42698+02	\N	\N	\N	\N	\N	\N	f	
28487	d699b6ec-85f2-4d15-abd7-1b88d6c8f4f6	Grapevine	Grapevine	3	0	2013-09-08 20:23:31.71452+02	\N	\N	\N	\N	\N	\N	f	
28725	a1391392-91da-4066-b97b-ee6396d67e26	Whitehouse	Whitehouse	3	0	2013-09-08 23:40:56.93798+02	\N	\N	\N	\N	\N	\N	f	
28938	5e2ef56e-325d-4999-8e78-5e7f6d1e7603	Kempner	Kempner	3	0	2013-09-09 01:34:21.879851+02	\N	\N	\N	\N	\N	\N	f	
28961	b05c2fed-57a2-468b-a0a1-4463e1872bee	Hamlin	Hamlin	3	0	2013-09-09 01:40:43.497316+02	\N	\N	\N	\N	\N	\N	f	
28977	e7a83fbd-63d1-4e9f-b244-8184e3e507d8	Old River-Winfree	Old River-Winfree	3	0	2013-09-09 01:45:20.952379+02	\N	\N	\N	\N	\N	\N	f	
29000	ac05d324-606c-43c2-81b7-167577674f65	De Leon	De Leon	3	0	2013-09-09 01:51:57.25471+02	\N	\N	\N	\N	\N	\N	f	
29004	f8084b70-d39a-4b93-abc6-1183ecdbc24f	Stephenville	Stephenville	3	0	2013-09-09 01:53:26.046485+02	\N	\N	\N	\N	\N	\N	f	
12882	7594a56d-72da-4cf5-a718-29f7be5e259c	Höör Municipality	Höör Municipality	4	0	2013-07-16 11:38:04.293134+02	\N	\N	\N	\N	\N	\N	f	
12883	315d4f35-84b6-4525-a26e-6e1751a0d4e4	Mjölby Municipality	Mjölby Municipality	4	0	2013-07-16 11:38:19.469295+02	\N	\N	\N	\N	\N	\N	f	
12891	575752d0-1eb3-4f50-9eb8-fdc62e883f14	Assens Municipality	Assens Municipality	4	0	2013-07-16 11:40:16.711152+02	\N	\N	\N	\N	\N	\N	f	
21429	12f7bbf4-5861-4ee4-a493-46ec4c98ae5d	Carema	Carema	4	0	2013-07-24 08:35:33.308267+02	\N	\N	\N	\N	\N	\N	f	
12895	f48558c0-e81c-4428-b97d-d92e085801e8	Vejle	Vejle	4	0	2013-07-16 11:41:49.464373+02	\N	\N	\N	\N	\N	\N	f	
12914	8cdd9b1d-be2a-4983-8529-f364b73b8402	Tønder Municipality	Tønder Municipality	4	0	2013-07-16 11:46:19.869782+02	\N	\N	\N	\N	\N	\N	f	
12957	2bce8928-1239-4754-970e-f671f11b2233	Solrød Municipality	Solrød Municipality	4	0	2013-07-16 11:57:54.828728+02	\N	\N	\N	\N	\N	\N	f	
14657	b933986b-b47d-4d79-8a5c-1df8880e2fc8	Lincoln	Lincoln	3	0	2013-07-21 22:27:24.574273+02	\N	\N	\N	\N	\N	\N	f	
12980	e8fe7bbd-9c8e-4225-b710-b8c47e1b29a5	Høje-Taastrup Municipality	Høje-Taastrup Municipality	4	0	2013-07-16 12:02:19.975398+02	\N	\N	\N	\N	\N	\N	f	
12998	97c06683-2216-4dd2-b844-1e0b879c1341	Ringsted Municipality	Ringsted Municipality	4	0	2013-07-16 12:07:07.073174+02	\N	\N	\N	\N	\N	\N	f	
15847	69b65da4-7967-4a31-99be-7c83d1aecaee	Crescentino	Crescentino	4	0	2013-07-22 02:15:49.19033+02	\N	\N	\N	\N	\N	\N	f	
13072	e21be05a-398b-4b4f-8504-bbff5ee09736	Olofström Municipality	Olofström Municipality	4	0	2013-07-16 12:22:40.283894+02	\N	\N	\N	\N	\N	\N	f	
14678	dcb1d139-692b-4495-9195-3d7b23cdf4dc	Magnano	Magnano	4	0	2013-07-21 22:31:55.393098+02	\N	\N	\N	\N	\N	\N	f	
14691	c0b38cbd-a3fa-45b6-ad6e-3fe430919f3d	Masserano	Masserano	4	0	2013-07-21 22:34:32.41804+02	\N	\N	\N	\N	\N	\N	f	
14695	0aaa91d3-fb40-4a99-a7ca-488cf95ecd5a	Mezzana Mortigliengo	Mezzana Mortigliengo	4	0	2013-07-21 22:35:19.779661+02	\N	\N	\N	\N	\N	\N	f	
15848	4dd52590-7107-4351-9442-a76846ecb1fb	Formigliana	Formigliana	4	0	2013-07-22 02:16:01.955991+02	\N	\N	\N	\N	\N	\N	f	
15272	2b780a00-a7d6-4d02-95fb-e44811f7befe	Treiso	Treiso	4	0	2013-07-22 00:08:19.49838+02	\N	\N	\N	\N	\N	\N	f	
24472	10001840-5703-4514-a77f-1b3b5d2a3886	Franklin Springs, Georgia	Franklin Springs, Georgia	3	0	2013-09-07 06:53:37.099546+02	\N	\N	\N	\N	\N	\N	f	
17790	82bbed16-86c8-464e-9227-1fbbcd338a6b	Cozzo	Cozzo	4	0	2013-07-22 07:10:33.749608+02	\N	\N	\N	\N	\N	\N	f	
15283	4adc82d1-1c37-4757-928d-1722433e8d08	Trevi	Trevi	4	0	2013-07-22 00:10:25.667652+02	\N	\N	\N	\N	\N	\N	f	
16724	17466723-9c5c-4ac2-b051-dc286684e33a	Trambileno	Trambileno	4	0	2013-07-22 04:20:16.825521+02	\N	\N	\N	\N	\N	\N	f	
15371	ecafedb3-bcf7-4e6e-af55-5257a35cc2d5	Forte dei Marmi	Forte dei Marmi	4	0	2013-07-22 00:30:19.303596+02	\N	\N	\N	\N	\N	\N	f	
15377	53dec053-06cd-4676-a7d5-2d70feec63ca	Borgo a Mozzano	Borgo a Mozzano	4	0	2013-07-22 00:31:32.937978+02	\N	\N	\N	\N	\N	\N	f	
16762	ce239aee-0e9a-4577-bfe3-5ac99748c5d8	Palau	Palau	4	0	2013-07-22 04:30:18.768605+02	\N	\N	\N	\N	\N	\N	f	
17270	c31d1a93-3b9d-4905-94c7-6755865bedc3	Gambarana	Gambarana	4	0	2013-07-22 06:06:26.759058+02	\N	\N	\N	\N	\N	\N	f	
17878	a5de3e04-a0e7-430a-97b8-8e7fb8576a9f	San Pietro di Cadore	San Pietro di Cadore	4	0	2013-07-22 07:21:31.577383+02	\N	\N	\N	\N	\N	\N	f	
20030	7b4cd8de-0b38-43fd-859c-32231e38385a	Lugo	Lugo	4	0	2013-07-22 12:10:07.804113+02	\N	\N	\N	\N	\N	\N	f	
24407	55ff693d-6376-4e99-87fb-fe0fb6ff0f65	Hayden Lake, Idaho	Hayden Lake, Idaho	3	0	2013-09-07 06:37:43.637113+02	\N	\N	\N	\N	\N	\N	f	
17989	be7eff2a-cc17-4f9b-ac89-933bf661b789	Viadana	Viadana	4	0	2013-07-22 07:34:38.367095+02	\N	\N	\N	\N	\N	\N	f	
20061	3f6046e2-3274-4cee-a62e-58600a17e2cf	San Pier d'Isonzo	San Pier d'Isonzo	4	0	2013-07-22 12:14:31.385271+02	\N	\N	\N	\N	\N	\N	f	
18677	35186bc7-9aa4-4298-b5fa-065767888d67	Segusino	Segusino	4	0	2013-07-22 09:00:36.054868+02	\N	\N	\N	\N	\N	\N	f	
21531	d3b0c326-64cc-40fb-a6ef-fe6ced370b3e	Castel d'Aiano	Castel d'Aiano	4	0	2013-07-24 11:36:34.369049+02	\N	\N	\N	\N	\N	\N	f	
24429	426ffc9c-0624-44ff-a8c3-604a2bff426c	Flemington, Georgia	Flemington, Georgia	3	0	2013-09-07 06:43:05.15063+02	\N	\N	\N	\N	\N	\N	f	
25395	a8c54280-ba38-4390-9d6b-a80d22d0ce18	Attica, Kansas	Attica, Kansas	3	0	2013-09-07 11:40:11.844736+02	\N	\N	\N	\N	\N	\N	f	
14086	e9f3f1ef-5fa0-4a44-9a1f-b6e999f3f81f	Santopadre	Santopadre	4	0	2013-07-22 15:01:32.770918+02	\N	\N	\N	\N	\N	\N	f	
20929	1417fd2b-c1a3-42e2-a3ae-4a11ca4cdefe	San Pietro Infine	San Pietro Infine	4	0	2013-07-23 17:32:19.482155+02	\N	\N	\N	\N	\N	\N	f	
24437	dc57f43c-4b0c-4503-9b7c-e2da0a222937	Marshallville, Georgia	Marshallville, Georgia	3	0	2013-09-07 06:44:57.132846+02	\N	\N	\N	\N	\N	\N	f	
21029	0a1ba5cf-b72a-4845-acf9-a60174ff58f2	Mugnano di Napoli	Mugnano di Napoli	4	0	2013-07-23 20:33:55.617253+02	\N	\N	\N	\N	\N	\N	f	
23911	42845f6c-566d-4fe0-8ce8-765d380807ed	Amoret, Missouri	Amoret, Missouri	3	0	2013-09-06 20:53:32.026804+02	\N	\N	\N	\N	\N	\N	f	
21130	2a8ae038-dd7f-4bb9-9f95-de4eac335d4c	Capaccio	Capaccio	4	0	2013-07-23 23:34:48.503372+02	\N	\N	\N	\N	\N	\N	f	
21229	9c16fe37-f1ed-45b4-a5e3-2d2b80b7ea3b	Sant'Arsenio	Sant'Arsenio	4	0	2013-07-24 02:34:52.049864+02	\N	\N	\N	\N	\N	\N	f	
21256	914581e9-d3b8-47af-a23a-900fb5167312	Cerreto Guidi	Cerreto Guidi	4	0	2013-07-24 02:40:51.366275+02	\N	\N	\N	\N	\N	\N	f	
23996	2de13f6e-5a28-44f9-87b4-42beeed740dc	Clermont, Florida	Clermont, Florida	3	0	2013-09-06 23:44:42.496902+02	\N	\N	\N	\N	\N	\N	f	
21318	3af892c0-fa02-46c2-bd01-6aab35002dcf	Petriolo	Petriolo	4	0	2013-07-24 02:54:47.240976+02	\N	\N	\N	\N	\N	\N	f	
21331	13ae77d3-1c19-46b7-8e2e-67311c120e9f	Ripe San Ginesio	Ripe San Ginesio	4	0	2013-07-24 05:35:41.903535+02	\N	\N	\N	\N	\N	\N	f	
24473	6128b8fc-41ed-4538-9dcd-55c45c205453	Climax, Georgia	Climax, Georgia	3	0	2013-09-07 06:53:51.191323+02	\N	\N	\N	\N	\N	\N	f	
21344	379e5b4e-e71d-44c2-adf9-ced72dd72286	Alpignano	Alpignano	4	0	2013-07-24 05:39:32.501049+02	\N	\N	\N	\N	\N	\N	f	
24449	bd43d544-742b-4e02-8682-e5f0f71e25f1	Elizabeth	Elizabeth	3	0	2013-09-07 06:47:52.691945+02	\N	\N	\N	\N	\N	\N	f	
24096	2453678b-7842-4766-b6d9-dcdbc47b139d	Harrison	Harrison	3	0	2013-09-07 02:36:52.055846+02	\N	\N	\N	\N	\N	\N	f	
24337	734297e0-ef57-4ded-89d3-c576736cdb1d	Cordele, Georgia	Cordele, Georgia	3	0	2013-09-07 06:18:41.773847+02	\N	\N	\N	\N	\N	\N	f	
24367	89607862-d656-4d12-8ffc-e642cc94f521	Cochran, Georgia	Cochran, Georgia	3	0	2013-09-07 06:27:40.417946+02	\N	\N	\N	\N	\N	\N	f	
24452	fc316403-d848-4443-aade-130793090d76	Thomson, Georgia	Thomson, Georgia	3	0	2013-09-07 06:48:43.904952+02	\N	\N	\N	\N	\N	\N	f	
24460	6f767815-577e-4d83-a6ed-06b7b4da9d87	Young Harris, Georgia	Young Harris, Georgia	3	0	2013-09-07 06:50:42.016577+02	\N	\N	\N	\N	\N	\N	f	
26636	cc4dcb0d-7d33-4906-8edf-1fe54d68341b	Ballwin, Missouri	Ballwin, Missouri	3	0	2013-09-08 01:49:31.808326+02	\N	\N	\N	\N	\N	\N	f	
24485	0f45992b-6235-4b66-9da8-198b667c3ca0	Sycamore, Georgia	Sycamore, Georgia	3	0	2013-09-07 06:56:46.478369+02	\N	\N	\N	\N	\N	\N	f	
25418	5ec02deb-70f2-431e-a472-a634f921f081	Leon, Kansas	Leon, Kansas	3	0	2013-09-07 11:45:40.778986+02	\N	\N	\N	\N	\N	\N	f	
24876	b448a1df-f70d-4bc7-b317-bac652f4b14b	Sioux Rapids	Sioux Rapids	3	0	2013-09-07 08:57:43.098708+02	\N	\N	\N	\N	\N	\N	f	
25986	5e090262-ec2c-4e3e-af66-3d171c0ffc41	Osage City	Osage City	3	0	2013-09-07 17:39:14.397177+02	\N	\N	\N	\N	\N	\N	f	
25982	02e68075-f11c-4af8-9743-6b89a2dfd212	Durham, Kansas	Durham, Kansas	3	0	2013-09-07 17:38:13.969161+02	\N	\N	\N	\N	\N	\N	f	
26635	283d41c8-7be5-4f90-87b4-51787fd6d433	Bellevue, Iowa	Bellevue, Iowa	3	0	2013-09-08 01:49:14.443901+02	\N	\N	\N	\N	\N	\N	f	
26341	7b1aa031-b313-452e-bc7a-808f8709d9c9	Mosby, Missouri	Mosby, Missouri	3	0	2013-09-07 23:30:13.54491+02	\N	\N	\N	\N	\N	\N	f	
27089	1bbc99cb-f67c-4ddf-90c9-f80f8b0196f7	Cherryville, North Carolina	Cherryville, North Carolina	3	0	2013-09-08 05:20:23.539566+02	\N	\N	\N	\N	\N	\N	f	
27427	28f9c879-7468-4094-88da-299e401d9904	Hatton, North Dakota	Hatton, North Dakota	3	0	2013-09-08 07:54:25.923586+02	\N	\N	\N	\N	\N	\N	f	
27749	a3a37e2c-92bf-4b54-8a31-ee864b4a9c34	Kaw City, Oklahoma	Kaw City, Oklahoma	3	0	2013-09-08 09:42:04.293422+02	\N	\N	\N	\N	\N	\N	f	
27751	5b490896-a965-4142-94b5-65f480756a6e	Lindsay, Oklahoma	Lindsay, Oklahoma	3	0	2013-09-08 09:42:33.775805+02	\N	\N	\N	\N	\N	\N	f	
27775	2fb4e7f2-d08e-4fbc-b8ea-5f22b70a46d0	Clinton, Oklahoma	Clinton, Oklahoma	3	0	2013-09-08 09:48:57.505537+02	\N	\N	\N	\N	\N	\N	f	
27813	a1a91903-5123-40a8-91da-08d5c54f3e18	Ellington	Ellington	3	0	2013-09-08 10:04:31.346935+02	\N	\N	\N	\N	\N	\N	f	
27821	1a4010e9-b863-4fc2-8929-4d0e199cfa67	Osmond	Osmond	3	0	2013-09-08 10:06:34.824692+02	\N	\N	\N	\N	\N	\N	f	
12884	c7892a29-c02d-420e-9b11-bd9f910e938a	Bengtsfors Municipality	Bengtsfors Municipality	4	0	2013-07-16 11:38:34.824725+02	\N	\N	\N	\N	\N	\N	f	
12885	be2cef2f-abd4-4014-adee-80b506827e32	Åmål Municipality	Åmål Municipality	4	0	2013-07-16 11:38:50.614453+02	\N	\N	\N	\N	\N	\N	f	
12886	23ee36ba-8281-4b1c-9879-68c701dbdefc	Ånge Municipality	Ånge Municipality	4	0	2013-07-16 11:39:01.909687+02	\N	\N	\N	\N	\N	\N	f	
12887	d7c1ce92-fb51-4abb-bab7-56a6a0caa1ce	Åsele Municipality	Åsele Municipality	4	0	2013-07-16 11:39:13.350565+02	\N	\N	\N	\N	\N	\N	f	
12888	4479bb25-778d-4cc5-9e6c-560172a4da0f	Åre Municipality	Åre Municipality	4	0	2013-07-16 11:39:24.871348+02	\N	\N	\N	\N	\N	\N	f	
12889	9df4de43-5488-44f2-ae81-985cc3732e04	Åtvidaberg Municipality	Åtvidaberg Municipality	4	0	2013-07-16 11:39:36.307807+02	\N	\N	\N	\N	\N	\N	f	
14202	c4622932-8bb4-4da0-9223-a80d1b30faf2	Sabaudia	Sabaudia	4	0	2013-07-21 20:45:40.81531+02	\N	\N	\N	\N	\N	\N	f	
12890	96d853c7-62ae-4c65-8de5-56a3dd8c9014	Årjäng Municipality	Årjäng Municipality	4	0	2013-07-16 11:40:01.553455+02	\N	\N	\N	\N	\N	\N	f	
12893	e5ed313a-0b53-4c18-865d-d870f772d7bb	Billund Municipality	Billund Municipality	4	0	2013-07-16 11:41:02.923791+02	\N	\N	\N	\N	\N	\N	f	
15849	173ee012-3e76-4f09-a12a-5fd275863520	Cravagliana	Cravagliana	4	0	2013-07-22 02:16:14.36677+02	\N	\N	\N	\N	\N	\N	f	
12911	3a807ead-61ad-4d70-b4a4-bc0e63e3394b	Övertorneå Municipality	Övertorneå Municipality	4	0	2013-07-16 11:45:38.529267+02	\N	\N	\N	\N	\N	\N	f	
14659	6f2f731a-5b0c-4a93-8277-025d11bc9d8d	Tessennano	Tessennano	4	0	2013-07-21 22:27:49.010388+02	\N	\N	\N	\N	\N	\N	f	
12930	16df85d7-270f-4813-8c56-c6ccd51e6de5	Arboga Municipality	Arboga Municipality	4	0	2013-07-16 11:50:36.876224+02	\N	\N	\N	\N	\N	\N	f	
12933	d92ad78b-5173-4ed2-ad56-e49710f4b227	Fagersta Municipality	Fagersta Municipality	4	0	2013-07-16 11:51:22.374952+02	\N	\N	\N	\N	\N	\N	f	
12935	284314fe-d3c2-4f9d-85db-8845a24507ed	Helsingborg Municipality	Helsingborg Municipality	4	0	2013-07-16 11:52:18.977632+02	\N	\N	\N	\N	\N	\N	f	
12941	e757e2a3-506e-4937-8e79-dc07fff4c397	Albertslund Municipality	Albertslund Municipality	4	0	2013-07-16 11:54:31.496979+02	\N	\N	\N	\N	\N	\N	f	
12953	9198b593-b9db-4d5e-9427-5d09791eac4b	Kristianstad Municipality	Kristianstad Municipality	4	0	2013-07-16 11:57:08.478663+02	\N	\N	\N	\N	\N	\N	f	
18762	cb37ba9c-15cc-4705-9202-9e0b228c6f5f	Montano Lucino	Montano Lucino	4	0	2013-07-22 09:11:13.420623+02	\N	\N	\N	\N	\N	\N	f	
12965	178efd4c-50e3-482b-b0dc-a1f2d0bcefb3	Avesta Municipality	Avesta Municipality	4	0	2013-07-16 11:59:24.215247+02	\N	\N	\N	\N	\N	\N	f	
15278	05febd0e-c419-4529-8b05-f141dbeafda6	Todi	Todi	4	0	2013-07-22 00:09:17.894928+02	\N	\N	\N	\N	\N	\N	f	
12983	8d5034e9-4f24-4f17-b571-6952e3770794	Upplands Väsby municipality	Upplands Väsby municipality	4	0	2013-07-16 12:03:09.840803+02	\N	\N	\N	\N	\N	\N	f	
16726	c9208a15-698e-49c3-8683-1b0c9f8ba19d	Terres	Terres	4	0	2013-07-22 04:20:52.57003+02	\N	\N	\N	\N	\N	\N	f	
12984	14305cd9-3a7a-4999-af00-a36a10b063b6	Gentofte Municipality	Gentofte Municipality	4	0	2013-07-16 12:03:36.989097+02	\N	\N	\N	\N	\N	\N	f	
12996	1c7e8d8f-4a91-460e-83fa-efc8c885684f	Dals-Ed Municipality	Dals-Ed Municipality	4	0	2013-07-16 12:06:41.707861+02	\N	\N	\N	\N	\N	\N	f	
17791	b14a5412-298a-4475-ac8e-922084cf7bab	Cuasso al Monte	Cuasso al Monte	4	0	2013-07-22 07:10:46.235825+02	\N	\N	\N	\N	\N	\N	f	
13069	753f76d8-2b91-4c04-a3ea-63f83983bd0f	Halmstad Municipality	Halmstad Municipality	4	0	2013-07-16 12:22:05.819219+02	\N	\N	\N	\N	\N	\N	f	
16727	75cc468a-8ad0-4789-a3bf-bb175831800a	Ton, Trentino	Ton, Trentino	4	0	2013-07-22 04:21:06.08739+02	\N	\N	\N	\N	\N	\N	f	
13074	54aafda9-4728-48a2-a4eb-18e611e93434	Svalöv Municipality	Svalöv Municipality	4	0	2013-07-16 12:23:03.153027+02	\N	\N	\N	\N	\N	\N	f	
16826	46b606fd-6549-49eb-8b34-69aacf933804	Lusia	Lusia	4	0	2013-07-22 04:46:46.38095+02	\N	\N	\N	\N	\N	\N	f	
16865	b0074af1-5cd5-4542-b0e9-7c67cbba19db	Vigodarzere	Vigodarzere	4	0	2013-07-22 04:56:36.883399+02	\N	\N	\N	\N	\N	\N	f	
17825	51525568-b24d-451d-be7f-314564769293	Zeme	Zeme	4	0	2013-07-22 07:15:16.95747+02	\N	\N	\N	\N	\N	\N	f	
16946	05eb41b7-af0b-4e54-9290-8312933c2122	Tribano	Tribano	4	0	2013-07-22 05:17:18.216908+02	\N	\N	\N	\N	\N	\N	f	
17272	05328257-58e6-4be8-a598-d1535d19cf01	Pattada	Pattada	4	0	2013-07-22 06:06:39.389205+02	\N	\N	\N	\N	\N	\N	f	
17854	ff83a89a-031e-41f5-bb76-0d8c0b52036c	Ornago	Ornago	4	0	2013-07-22 07:18:33.657655+02	\N	\N	\N	\N	\N	\N	f	
18792	a3550aae-401e-441f-bffb-690f6f82ad65	Mezzegra	Mezzegra	4	0	2013-07-22 09:14:32.839705+02	\N	\N	\N	\N	\N	\N	f	
17868	42649122-52fe-4f1d-bebd-736f1d23f87b	Filighera	Filighera	4	0	2013-07-22 07:20:24.649995+02	\N	\N	\N	\N	\N	\N	f	
21030	01c87f06-4a4b-4577-8a87-0b41520400a9	Lacco Ameno	Lacco Ameno	4	0	2013-07-23 20:34:11.152207+02	\N	\N	\N	\N	\N	\N	f	
18005	2cb03e76-ae84-4d38-aff9-ca923d8dc54d	Bulciago	Bulciago	4	0	2013-07-22 07:36:20.678425+02	\N	\N	\N	\N	\N	\N	f	
18793	169399b6-3108-4f5a-be6c-ba62309cfefb	Pianello del Lario	Pianello del Lario	4	0	2013-07-22 09:14:39.085253+02	\N	\N	\N	\N	\N	\N	f	
18016	f251c682-0b43-404b-a583-570707b5c38e	Mairago	Mairago	4	0	2013-07-22 07:37:37.162418+02	\N	\N	\N	\N	\N	\N	f	
20035	736ec8c3-97a5-451b-8cea-c68ef14d1d2e	Capriva del Friuli	Capriva del Friuli	4	0	2013-07-22 12:10:49.658284+02	\N	\N	\N	\N	\N	\N	f	
18681	d72a7504-08ec-4d9f-beec-cc2e59e5480b	Montecchia di Crosara	Montecchia di Crosara	4	0	2013-07-22 09:01:01.251344+02	\N	\N	\N	\N	\N	\N	f	
18813	2f241a58-fa65-4734-80ae-8c6f8d15da23	Menaggio	Menaggio	4	0	2013-07-22 09:17:20.312488+02	\N	\N	\N	\N	\N	\N	f	
18705	12f2da60-2897-4bb6-b855-fb678531c3b0	Torri di Quartesolo	Torri di Quartesolo	4	0	2013-07-22 09:04:01.0318+02	\N	\N	\N	\N	\N	\N	f	
20948	2ed8a07e-2476-46d0-934a-13bbd02a025e	San Nicola la Strada	San Nicola la Strada	4	0	2013-07-23 17:36:29.222145+02	\N	\N	\N	\N	\N	\N	f	
20051	d652d504-3432-488b-a8d6-9b941136d98c	Frisanco	Frisanco	4	0	2013-07-22 12:13:21.196304+02	\N	\N	\N	\N	\N	\N	f	
18861	daea5a74-03c3-450a-b965-e78bcb80b654	Povegliano	Povegliano	4	0	2013-07-22 09:22:49.226252+02	\N	\N	\N	\N	\N	\N	f	
18886	3491608b-0611-45a4-9077-66dff13d451d	Santa Caterina Villarmosa	Santa Caterina Villarmosa	4	0	2013-07-22 09:25:57.310132+02	\N	\N	\N	\N	\N	\N	f	
20055	9748b22b-bb2d-4fea-b3fa-70c3f0fd1afc	Arba, Friuli-Venezia Giulia	Arba, Friuli-Venezia Giulia	4	0	2013-07-22 12:13:48.436945+02	\N	\N	\N	\N	\N	\N	f	
21141	0c209878-4eb6-49f4-8aca-69abd1c9ee82	Buonabitacolo	Buonabitacolo	4	0	2013-07-23 23:37:03.89671+02	\N	\N	\N	\N	\N	\N	f	
20930	a331ed9e-0da6-4a95-a955-a793f546e9dd	Pietramelara	Pietramelara	4	0	2013-07-23 17:32:34.357688+02	\N	\N	\N	\N	\N	\N	f	
21007	56fd1a04-d00e-471c-8081-15eb236a7dac	Brusciano	Brusciano	4	0	2013-07-23 17:50:53.686035+02	\N	\N	\N	\N	\N	\N	f	
21131	292d2f94-636a-4ece-8f44-0c3c94b327d1	Bellosguardo	Bellosguardo	4	0	2013-07-23 23:35:00.526968+02	\N	\N	\N	\N	\N	\N	f	
21230	a5a737f8-0dc7-484b-b91f-24558fda2bbb	San Marzano sul Sarno	San Marzano sul Sarno	4	0	2013-07-24 02:35:04.783269+02	\N	\N	\N	\N	\N	\N	f	
21274	83f4a530-a6f9-43b4-95bd-e1e8ef5931f6	Calenzano	Calenzano	4	0	2013-07-24 02:45:15.087157+02	\N	\N	\N	\N	\N	\N	f	
21332	4807dec0-95ec-4ebb-8be5-578a7c5e044b	Pollenza	Pollenza	4	0	2013-07-24 05:35:58.587932+02	\N	\N	\N	\N	\N	\N	f	
21430	02b7fbec-6875-49c4-938d-30d1979cd8db	Sovicille	Sovicille	4	0	2013-07-24 08:35:48.497021+02	\N	\N	\N	\N	\N	\N	f	
21432	2c58268a-953b-46f8-b186-d96b3c820bfd	Wessington Springs	Wessington Springs	3	0	2013-07-24 08:36:19.871211+02	\N	\N	\N	\N	\N	\N	f	
21451	ef5a5099-2268-4419-932f-7bfbd1048e9a	Castagnole Piemonte	Castagnole Piemonte	4	0	2013-07-24 08:40:47.567188+02	\N	\N	\N	\N	\N	\N	f	
21457	b02dc791-d483-42d3-8a2d-e4af53f897d5	Chiomonte	Chiomonte	4	0	2013-07-24 08:42:13.61552+02	\N	\N	\N	\N	\N	\N	f	
21471	01cc3fa6-6010-4d03-8ee8-afafe99550ae	Cuceglio	Cuceglio	4	0	2013-07-24 08:45:27.512495+02	\N	\N	\N	\N	\N	\N	f	
21532	42f63c04-f182-4fe9-be03-ff1427f1f9c8	Castel del Rio	Castel del Rio	4	0	2013-07-24 11:36:46.306641+02	\N	\N	\N	\N	\N	\N	f	
12894	c50a7681-dad3-4422-bcec-af3fbebbd33d	Faaborg-Midtfyn Municipality	Faaborg-Midtfyn Municipality	4	0	2013-07-16 11:41:23.451346+02	\N	\N	\N	\N	\N	\N	f	
12896	9dfd7fc3-bff9-405f-83f0-d2b3434e3b2c	Värnamo Municipality	Värnamo Municipality	4	0	2013-07-16 11:42:10.605526+02	\N	\N	\N	\N	\N	\N	f	
12897	c753ea5e-e493-42e5-b8e0-5c20527ff73c	Tårnby Municipality	Tårnby Municipality	4	0	2013-07-16 11:42:26.2603+02	\N	\N	\N	\N	\N	\N	f	
12899	bd4a4de2-a21d-493b-b10e-f99b82949271	Örebro Municipality	Örebro Municipality	4	0	2013-07-16 11:43:07.882553+02	\N	\N	\N	\N	\N	\N	f	
15305	b97873f5-72d8-46ca-8efb-25cfa3247236	Mondolfo	Mondolfo	4	0	2013-07-22 00:15:47.874996+02	\N	\N	\N	\N	\N	\N	f	
12912	33480958-d51b-4fab-9c2f-23ee63a5af9b	Östra Göinge Municipality	Östra Göinge Municipality	4	0	2013-07-16 11:45:50.029492+02	\N	\N	\N	\N	\N	\N	f	
12949	62edd2fa-1226-4b6b-91ce-040a5de345c1	Sotenäs Municipality	Sotenäs Municipality	4	0	2013-07-16 11:56:22.192731+02	\N	\N	\N	\N	\N	\N	f	
14660	d7f2c4e1-02f1-4d78-ac73-361a9cf35c61	Brusnengo	Brusnengo	4	0	2013-07-21 22:28:00.983756+02	\N	\N	\N	\N	\N	\N	f	
15852	bf425af2-6d90-47e3-b90e-ad2ef0e156a2	Fontanetto Po	Fontanetto Po	4	0	2013-07-22 02:16:57.321924+02	\N	\N	\N	\N	\N	\N	f	
14664	48552d72-6f88-4203-91fe-cb21798894d6	Biella	Biella	4	0	2013-07-21 22:28:51.552163+02	\N	\N	\N	\N	\N	\N	f	
14721	90554a2a-1a12-49ea-b724-ef661b637605	Pollone	Pollone	4	0	2013-07-21 22:41:28.162684+02	\N	\N	\N	\N	\N	\N	f	
14722	bcd4a078-5ece-49fd-b7bc-7d4b6cf04733	San Paolo Cervo	San Paolo Cervo	4	0	2013-07-21 22:41:42.887727+02	\N	\N	\N	\N	\N	\N	f	
15933	04616291-d437-4c4b-a166-174554b04f16	Bruneck	Bruneck	4	0	2013-07-22 02:32:11.318221+02	\N	\N	\N	\N	\N	\N	f	
15274	ec4aadc3-8e10-4028-b515-2a79c8fdfc4f	Trinità	Trinità	4	0	2013-07-22 00:08:33.045489+02	\N	\N	\N	\N	\N	\N	f	
29049	7c670468-d6f4-4232-8b65-e00cd661d540	Seven Points	Seven Points	3	0	2013-09-09 02:07:02.807738+02	\N	\N	\N	\N	\N	\N	f	
15953	6812517a-98cc-4be5-8afa-5bbf4db35612	Kurtatsch an der Weinstraße	Kurtatsch an der Weinstraße	4	0	2013-07-22 02:34:58.372615+02	\N	\N	\N	\N	\N	\N	f	
16728	7cc455aa-15bd-436a-9a96-a9355dbf45b2	Varena, Trentino	Varena, Trentino	4	0	2013-07-22 04:21:19.335021+02	\N	\N	\N	\N	\N	\N	f	
23997	309c4635-c4c8-42c9-b5d0-cfc10fb059cf	Ganyesa	Ganyesa	3	0	2013-09-06 23:45:05.087019+02	\N	\N	\N	\N	\N	\N	f	
17819	6a1cbd1f-6116-4e8b-874d-be042710a30f	Lungavilla	Lungavilla	4	0	2013-07-22 07:14:35.549356+02	\N	\N	\N	\N	\N	\N	f	
20036	0bbfc0a8-6592-495d-901d-b0fb07a4b3fe	Alfonsine	Alfonsine	4	0	2013-07-22 12:11:01.977555+02	\N	\N	\N	\N	\N	\N	f	
17906	2d03df99-55b1-4075-b069-1d3d8516e3b5	Cortina d'Ampezzo	Cortina d'Ampezzo	4	0	2013-07-22 07:24:44.173505+02	\N	\N	\N	\N	\N	\N	f	
26388	05852656-bcf0-4b2c-8cc3-11927f58950d	Lanark	Lanark	3	0	2013-09-07 23:42:29.706529+02	\N	\N	\N	\N	\N	\N	f	
18682	4ae3471e-ef2d-484e-9b47-a7bc071eaf15	Sormano	Sormano	4	0	2013-07-22 09:01:15.138423+02	\N	\N	\N	\N	\N	\N	f	
24098	418e1662-c647-4191-a560-f978027c2649	Mackay	Mackay	3	0	2013-09-07 02:37:33.119917+02	\N	\N	\N	\N	\N	\N	f	
20931	8e01b1b8-af6c-45b3-a252-afddf2f5c5af	Sant'Arpino	Sant'Arpino	4	0	2013-07-23 17:32:48.936053+02	\N	\N	\N	\N	\N	\N	f	
21031	f33645a6-80cd-4b5c-be33-add4935dde71	Piano di Sorrento	Piano di Sorrento	4	0	2013-07-23 20:34:25.755134+02	\N	\N	\N	\N	\N	\N	f	
21038	7c83759a-cc8c-4d2b-9f15-9d12850ca84d	Forio	Forio	4	0	2013-07-23 20:36:13.207903+02	\N	\N	\N	\N	\N	\N	f	
24116	58fd21bf-c832-447c-bd04-1a49e6e5ba37	Filer	Filer	3	0	2013-09-07 02:43:42.678126+02	\N	\N	\N	\N	\N	\N	f	
21132	033081df-cb55-4827-9175-845cd5b588f4	Castel San Giorgio	Castel San Giorgio	4	0	2013-07-23 23:35:12.484097+02	\N	\N	\N	\N	\N	\N	f	
21231	0da0c457-52b8-482c-bdf5-cf8291533f09	Salento, Campania	Salento, Campania	4	0	2013-07-24 02:35:17.459293+02	\N	\N	\N	\N	\N	\N	f	
27815	9e110cc4-ce94-48ea-8ae6-bf9b2f099c30	Mansfield	Mansfield	3	0	2013-09-08 10:05:03.360591+02	\N	\N	\N	\N	\N	\N	f	
21304	ed61b5f4-e488-4e33-95c0-34f0a2188cca	Fiesole	Fiesole	4	0	2013-07-24 02:51:45.631628+02	\N	\N	\N	\N	\N	\N	f	
24338	2d182d55-a0f2-493b-9055-1ff6c1bf20eb	Elwood, Indiana	Elwood, Indiana	3	0	2013-09-07 06:19:09.767159+02	\N	\N	\N	\N	\N	\N	f	
21333	8bb48ad6-8556-46bc-8ff1-8d298e1c977e	Muccia	Muccia	4	0	2013-07-24 05:36:15.451577+02	\N	\N	\N	\N	\N	\N	f	
21342	14045b51-f168-4783-bbd3-615a2140a31e	Albiano d'Ivrea	Albiano d'Ivrea	4	0	2013-07-24 05:39:02.863123+02	\N	\N	\N	\N	\N	\N	f	
26637	31696130-2cee-43bd-9cd9-20a332c2754d	Baker, Louisiana	Baker, Louisiana	3	0	2013-09-08 01:49:45.630293+02	\N	\N	\N	\N	\N	\N	f	
21362	6ef45afe-546e-40c8-9151-a27a42f3b27e	Bollengo	Bollengo	4	0	2013-07-24 05:43:56.105204+02	\N	\N	\N	\N	\N	\N	f	
24426	4349ab2e-1013-448d-923a-c3d806044c1a	Sparta, Georgia	Sparta, Georgia	3	0	2013-09-07 06:42:19.099102+02	\N	\N	\N	\N	\N	\N	f	
21431	30025eb1-40d9-499f-9cb9-8bbd3c34caa8	Caselette	Caselette	4	0	2013-07-24 08:36:00.913281+02	\N	\N	\N	\N	\N	\N	f	
21533	aed4e6ac-f5a2-4079-9c3d-40e3cd288ec7	Castel Guelfo di Bologna	Castel Guelfo di Bologna	4	0	2013-07-24 11:36:58.41705+02	\N	\N	\N	\N	\N	\N	f	
21577	96f72730-fdb0-4aa3-a5d9-ea2f49dbbcbc	Loiano	Loiano	4	0	2013-07-24 11:47:35.12285+02	\N	\N	\N	\N	\N	\N	f	
24442	1c206613-0855-4f47-943d-3cef6788794c	Grovetown, Georgia	Grovetown, Georgia	3	0	2013-09-07 06:46:10.296028+02	\N	\N	\N	\N	\N	\N	f	
23912	08a7bce4-e118-482d-8f6d-f96e1e76872b	Annapolis, Missouri	Annapolis, Missouri	3	0	2013-09-06 20:53:46.265458+02	\N	\N	\N	\N	\N	\N	f	
27090	f4bb9afc-2a65-4beb-9e21-92f456dd9831	Roxboro, North Carolina	Roxboro, North Carolina	3	0	2013-09-08 05:20:41.82972+02	\N	\N	\N	\N	\N	\N	f	
24877	2ea3ef04-4ef7-4e04-921d-aa2fd487baca	Somers	Somers	3	0	2013-09-07 08:57:57.787893+02	\N	\N	\N	\N	\N	\N	f	
25400	66562eb0-acfe-4360-b2c9-1ab25d800295	Bradfordsville, Kentucky	Bradfordsville, Kentucky	3	0	2013-09-07 11:41:18.987829+02	\N	\N	\N	\N	\N	\N	f	
28727	b30df408-fb6f-4a72-aacf-8f9b9587ed0a	Fairfield	Fairfield	3	0	2013-09-08 23:41:30.585073+02	\N	\N	\N	\N	\N	\N	f	
25985	79d1a90f-df83-4535-8167-4799a0d3cd16	Bucklin, Kansas	Bucklin, Kansas	3	0	2013-09-07 17:38:59.277157+02	\N	\N	\N	\N	\N	\N	f	
27428	e914ebef-291f-4ffb-af3b-4fae4af8a38f	Wimbledon, North Dakota	Wimbledon, North Dakota	3	0	2013-09-08 07:54:39.782673+02	\N	\N	\N	\N	\N	\N	f	
26342	06490825-9deb-477a-b4ea-868d1618b7a6	Randolph, Kansas	Randolph, Kansas	3	0	2013-09-07 23:30:27.594207+02	\N	\N	\N	\N	\N	\N	f	
28086	2b96b108-c32b-46fc-b825-755d1557e859	Engels	Engels	3	0	2013-09-08 12:26:54.476425+02	\N	\N	\N	\N	\N	\N	f	
27750	726ab89f-53a3-446b-99c0-e0b3d0d6b7ce	Piedmont	Piedmont	3	0	2013-09-08 09:42:17.908889+02	\N	\N	\N	\N	\N	\N	f	
27783	f4863bd1-9c75-47b1-bf34-3e6b8ab30d56	Lone Grove, Oklahoma	Lone Grove, Oklahoma	3	0	2013-09-08 09:55:29.068125+02	\N	\N	\N	\N	\N	\N	f	
27786	6954369e-4c70-4cb6-afdb-03f456593259	Moscow Mills	Moscow Mills	3	0	2013-09-08 09:57:08.971712+02	\N	\N	\N	\N	\N	\N	f	
28307	62ee38ec-4638-4e0f-830b-32bfa132ea71	Conde, South Dakota	Conde, South Dakota	3	0	2013-09-08 16:46:08.011254+02	\N	\N	\N	\N	\N	\N	f	
28488	840b23a7-2064-4ff1-8040-c8698eaae4c0	Woodland Mills, Tennessee	Woodland Mills, Tennessee	3	0	2013-09-08 20:24:02.911762+02	\N	\N	\N	\N	\N	\N	f	
28940	cf75441c-51fe-40db-8a01-b42f2147234a	Wake Village	Wake Village	3	0	2013-09-09 01:34:55.360523+02	\N	\N	\N	\N	\N	\N	f	
28498	32e605df-6001-40d0-b43a-c212afca8c5b	Palm Valley, Cameron County, Texas	Palm Valley, Cameron County, Texas	3	0	2013-09-08 20:28:37.325144+02	\N	\N	\N	\N	\N	\N	f	
28728	5d7797a5-5425-4b12-ac1e-3eed9e8554b2	Stanton	Stanton	3	0	2013-09-08 23:41:46.905845+02	\N	\N	\N	\N	\N	\N	f	
28782	a72ce834-64e8-4436-be37-2d298ba3bd91	Livingston	Livingston	3	0	2013-09-08 23:57:22.472937+02	\N	\N	\N	\N	\N	\N	f	
29045	aef8ee4a-10f8-4f8b-bd57-d65a1b2f5e01	Fayetteville	Fayetteville	3	0	2013-09-09 02:05:48.56968+02	\N	\N	\N	\N	\N	\N	f	
28960	1ccdfd6a-1c14-4f60-9e7f-df6f2fc252b6	Sullivan City	Sullivan City	3	0	2013-09-09 01:40:27.077091+02	\N	\N	\N	\N	\N	\N	f	
29081	47331dcd-8aac-47e4-a8a8-e0ecf3213aaf	Pomeroy	Pomeroy	3	0	2013-09-09 02:19:33.712574+02	\N	\N	\N	\N	\N	\N	f	
29230	36352bfa-2851-4b5c-8419-d5d863e52b74	Yelm	Yelm	3	0	2013-09-09 04:12:00.16397+02	\N	\N	\N	\N	\N	\N	f	
29094	4477a1de-962b-4b5c-9577-19d352496e73	Lake Stevens	Lake Stevens	3	0	2013-09-09 02:23:32.014082+02	\N	\N	\N	\N	\N	\N	f	
29259	bcaaf0bd-7271-4612-b908-b8308ab77917	Petersburg, West Virginia	Petersburg, West Virginia	3	0	2013-09-09 04:23:15.817796+02	\N	\N	\N	\N	\N	\N	f	
29339	0496d31b-51cb-45e8-9618-3d700e1733e9	New Berlin	New Berlin	3	0	2013-09-09 08:18:41.964979+02	\N	\N	\N	\N	\N	\N	f	
29463	153f5e62-2111-4c9e-9d4b-4c0b039bdf4f	Strasbourg	Strasbourg	3	0	2013-09-18 11:25:10.530921+02	\N	\N	\N	\N	\N	\N	f	
29458	87dac17f-7cd5-47e6-8997-688e77d07af9	Mansa	Mansa	3	0	2013-09-16 14:25:35.768361+02	\N	\N	\N	\N	\N	\N	f	
12898	5b640fa7-e65f-428f-8123-d037a983030a	Nora Municipality	Nora Municipality	4	0	2013-07-16 11:42:48.020882+02	\N	\N	\N	\N	\N	\N	f	
14256	18f59a49-e8bc-4db4-8f49-7175562d396a	Enna	Enna	4	0	2013-07-21 20:57:47.289681+02	\N	\N	\N	\N	\N	\N	f	
12901	60ea7da2-7596-4240-8078-2b095c8d68bb	Örkelljunga Municipality	Örkelljunga Municipality	4	0	2013-07-16 11:43:34.426254+02	\N	\N	\N	\N	\N	\N	f	
12916	2c29ae78-d15c-4a2a-9e60-35b657279745	Västerås Municipality	Västerås Municipality	4	0	2013-07-16 11:47:08.499685+02	\N	\N	\N	\N	\N	\N	f	
26345	ac188dc1-0110-4956-afac-b339244a2e96	Countryside	Countryside	3	0	2013-09-07 23:31:27.210865+02	\N	\N	\N	\N	\N	\N	f	
14346	d112351f-8bad-4d1e-9287-50bdcf1500f4	Balzola	Balzola	4	0	2013-07-21 21:17:57.076645+02	\N	\N	\N	\N	\N	\N	f	
15855	26db9232-45ca-4973-8cfb-4fe9080c45a3	Crova	Crova	4	0	2013-07-22 02:17:42.279997+02	\N	\N	\N	\N	\N	\N	f	
14662	5f9deebc-03fb-45e2-a122-dd56caa5eea8	Tuscania	Tuscania	4	0	2013-07-21 22:28:26.804392+02	\N	\N	\N	\N	\N	\N	f	
15281	6c01a8f7-c443-491e-9ab9-381ff6ab96c3	Vezza d'Alba	Vezza d'Alba	4	0	2013-07-22 00:09:58.327397+02	\N	\N	\N	\N	\N	\N	f	
16729	895f81de-978f-4bb0-9ef8-87d2f4f16745	Terragnolo	Terragnolo	4	0	2013-07-22 04:21:35.208315+02	\N	\N	\N	\N	\N	\N	f	
17794	df842e42-61f5-4669-a510-5891ccd29130	Mortara	Mortara	4	0	2013-07-22 07:10:59.212795+02	\N	\N	\N	\N	\N	\N	f	
21534	6e995745-6e6d-4dfd-80ec-47682fe44836	Moncenisio	Moncenisio	4	0	2013-07-24 11:37:10.432727+02	\N	\N	\N	\N	\N	\N	f	
24399	af361602-7f18-49b6-b0cd-4d92a9e834f8	LaFayette, Georgia	LaFayette, Georgia	3	0	2013-09-07 06:35:43.55296+02	\N	\N	\N	\N	\N	\N	f	
20037	27adcccf-8d37-414e-9c0e-414fa3eebd5e	Sagrado	Sagrado	4	0	2013-07-22 12:11:11.267163+02	\N	\N	\N	\N	\N	\N	f	
18686	de0cb124-0560-4e3e-88df-5e3438ad63f3	Anversa degli Abruzzi	Anversa degli Abruzzi	4	0	2013-07-22 09:01:45.028504+02	\N	\N	\N	\N	\N	\N	f	
18688	d3e04b4f-6fec-4acc-90e5-531b9bee0834	Malo	Malo	4	0	2013-07-22 09:01:58.992071+02	\N	\N	\N	\N	\N	\N	f	
18701	597df324-35de-4271-a537-8d31f9ed3472	Santa Maria di Sala	Santa Maria di Sala	4	0	2013-07-22 09:03:28.258293+02	\N	\N	\N	\N	\N	\N	f	
18714	45f05ab7-ac5e-4988-9149-bc1924bb1461	Figino Serenza	Figino Serenza	4	0	2013-07-22 09:05:14.594522+02	\N	\N	\N	\N	\N	\N	f	
20932	b79245ec-6cf7-461f-9bb6-0f3ee8c7f66c	Sant'Angelo d'Alife	Sant'Angelo d'Alife	4	0	2013-07-23 17:33:01.848716+02	\N	\N	\N	\N	\N	\N	f	
18750	5c7f4254-f4ee-4d16-89fc-39b9efb874ae	Gera Lario	Gera Lario	4	0	2013-07-22 09:09:40.038117+02	\N	\N	\N	\N	\N	\N	f	
18875	e7ae60e7-0bba-4d57-b144-2e4109da177d	Serradifalco	Serradifalco	4	0	2013-07-22 09:24:37.114362+02	\N	\N	\N	\N	\N	\N	f	
21604	29da1024-ae84-4b29-937b-3a2fb85f7565	Adrara San Rocco	Adrara San Rocco	4	0	2013-07-24 11:53:36.027637+02	\N	\N	\N	\N	\N	\N	f	
18914	2e434267-ec81-437c-a98b-de797543ed7f	Marianopoli	Marianopoli	4	0	2013-07-22 09:29:29.451234+02	\N	\N	\N	\N	\N	\N	f	
20968	928a832b-1aaa-4f9d-a9b4-54f47ee25cbb	Moena	Moena	4	0	2013-07-23 17:41:01.146763+02	\N	\N	\N	\N	\N	\N	f	
18940	f08ce7ed-7363-4c55-b68a-530567410f05	Malcesine	Malcesine	4	0	2013-07-22 09:32:34.679746+02	\N	\N	\N	\N	\N	\N	f	
18951	b5aa6b22-9a97-466d-9346-b5b982d70f69	Misterbianco	Misterbianco	4	0	2013-07-22 09:33:53.28752+02	\N	\N	\N	\N	\N	\N	f	
18991	e41b0bbb-0969-49cb-a7e6-dab52b9fc678	Fossalta di Portogruaro	Fossalta di Portogruaro	4	0	2013-07-22 09:39:01.869918+02	\N	\N	\N	\N	\N	\N	f	
20971	571179fe-afa2-4377-8c14-3639f188d39f	Vercelli	Vercelli	4	0	2013-07-23 17:41:40.473299+02	\N	\N	\N	\N	\N	\N	f	
19021	37d889ff-7d4f-4527-90ed-f37d88209471	Ceggia	Ceggia	4	0	2013-07-22 09:42:47.447032+02	\N	\N	\N	\N	\N	\N	f	
21032	fec9450d-b610-4f04-a420-b0531c618ca7	Portici	Portici	4	0	2013-07-23 20:34:42.088749+02	\N	\N	\N	\N	\N	\N	f	
24878	dbb26aa0-60b9-4a6b-bb5a-75dd1ebb8451	Shell Rock	Shell Rock	3	0	2013-09-07 08:58:12.307443+02	\N	\N	\N	\N	\N	\N	f	
21036	9a11dd2a-fc9b-486a-89f6-9f60baa850e6	Cicciano	Cicciano	4	0	2013-07-23 20:35:45.656063+02	\N	\N	\N	\N	\N	\N	f	
23914	f11b94fd-c328-4aaf-ab4f-770f3c7c446a	Rolling Hills Estates	Rolling Hills Estates	3	0	2013-09-06 20:54:25.965291+02	\N	\N	\N	\N	\N	\N	f	
21057	779e9052-84cf-4609-b820-e18b55350b1f	Castello di Cisterna	Castello di Cisterna	4	0	2013-07-23 20:41:02.569828+02	\N	\N	\N	\N	\N	\N	f	
21133	eaf0a187-5bf3-435b-b5d7-9a23773d0574	Camerota	Camerota	4	0	2013-07-23 23:35:24.512907+02	\N	\N	\N	\N	\N	\N	f	
21232	24113233-021e-4da3-b23d-745888bb5406	Rofrano	Rofrano	4	0	2013-07-24 02:35:33.572776+02	\N	\N	\N	\N	\N	\N	f	
23999	16577ab4-a3a0-4ca2-ad52-6e899a31153c	Thornton, Colorado	Thornton, Colorado	3	0	2013-09-06 23:46:00.675704+02	\N	\N	\N	\N	\N	\N	f	
21254	35c6d3d4-e87f-4d0d-bc75-368e2ed903b6	Certaldo	Certaldo	4	0	2013-07-24 02:40:26.868107+02	\N	\N	\N	\N	\N	\N	f	
21269	549d246c-ee3b-4562-821d-b365c1959164	Barberino di Mugello	Barberino di Mugello	4	0	2013-07-24 02:43:44.20173+02	\N	\N	\N	\N	\N	\N	f	
21288	efcc8178-bf98-4bd4-8ef6-fb09ea0b15db	Montecassiano	Montecassiano	4	0	2013-07-24 02:48:28.9395+02	\N	\N	\N	\N	\N	\N	f	
24099	4ce1a931-2a53-4ef5-8980-48085c577dcc	Greenleaf	Greenleaf	3	0	2013-09-07 02:37:48.028051+02	\N	\N	\N	\N	\N	\N	f	
21334	4d558386-2880-4247-bbc3-351df76a3c88	Reggio Calabria	Reggio Calabria	4	0	2013-07-24 05:36:41.772437+02	\N	\N	\N	\N	\N	\N	f	
21433	8be9c7ac-728d-4ce0-a3a2-518085738663	Cascinette d'Ivrea	Cascinette d'Ivrea	4	0	2013-07-24 08:36:32.518646+02	\N	\N	\N	\N	\N	\N	f	
24946	d484ebce-afd4-4d75-ad90-de70271987ec	West Branch	West Branch	3	0	2013-09-07 09:23:45.678972+02	\N	\N	\N	\N	\N	\N	f	
24105	12811eab-ae28-4a67-9cbd-2e3a08527bb7	Kimberly	Kimberly	3	0	2013-09-07 02:39:54.122139+02	\N	\N	\N	\N	\N	\N	f	
25401	052d39c0-4be9-4e06-938b-a006bc38a963	Edna, Kansas	Edna, Kansas	3	0	2013-09-07 11:41:32.36255+02	\N	\N	\N	\N	\N	\N	f	
24342	6355861e-ba73-4d79-8fd6-3c845da05a8d	Monticello, Indiana	Monticello, Indiana	3	0	2013-09-07 06:20:29.026681+02	\N	\N	\N	\N	\N	\N	f	
24383	99444619-d8b6-49c8-8a05-5902525901b2	Patterson, Georgia	Patterson, Georgia	3	0	2013-09-07 06:31:48.221727+02	\N	\N	\N	\N	\N	\N	f	
26369	e3cb88db-c753-4323-a6fe-a2ff0b022bba	Steelville, Missouri	Steelville, Missouri	3	0	2013-09-07 23:37:33.874636+02	\N	\N	\N	\N	\N	\N	f	
24384	0725752d-0916-4b10-9f9a-3c667a6f1ae0	Charlestown, Indiana	Charlestown, Indiana	3	0	2013-09-07 06:32:05.451465+02	\N	\N	\N	\N	\N	\N	f	
25493	312665ac-27b2-4f4c-81b8-3a87418ccda2	Woodburn, Iowa	Woodburn, Iowa	3	0	2013-09-07 12:04:49.645996+02	\N	\N	\N	\N	\N	\N	f	
25987	f99535ac-e618-41f8-9e71-d433da7f05ca	Udall, Kansas	Udall, Kansas	3	0	2013-09-07 17:39:29.634373+02	\N	\N	\N	\N	\N	\N	f	
27182	e8083f58-1137-4c99-b8d3-df94c7af87ea	Macks Creek	Macks Creek	3	0	2013-09-08 05:50:48.516037+02	\N	\N	\N	\N	\N	\N	f	
26088	a8ce4e6f-99d5-4b52-bb12-99965e27e15a	Youngsville	Youngsville	3	0	2013-09-07 18:07:04.476057+02	\N	\N	\N	\N	\N	\N	f	
26638	021575f2-7c3a-4fe8-916a-ae45eb8cf162	Bayard, Nebraska	Bayard, Nebraska	3	0	2013-09-08 01:50:01.572615+02	\N	\N	\N	\N	\N	\N	f	
27091	944d164f-2661-4edb-adc4-d48b0fb19adc	Laurinburg, North Carolina	Laurinburg, North Carolina	3	0	2013-09-08 05:20:55.057581+02	\N	\N	\N	\N	\N	\N	f	
27431	844c0187-2487-45f5-af09-ee619c9a4eac	Hamberg, North Dakota	Hamberg, North Dakota	3	0	2013-09-08 07:55:20.955005+02	\N	\N	\N	\N	\N	\N	f	
27440	b257984c-1986-4ffd-a81a-daa9398e47df	Fredonia, North Dakota	Fredonia, North Dakota	3	0	2013-09-08 07:57:32.284985+02	\N	\N	\N	\N	\N	\N	f	
27753	5e2ebe25-6bb2-448f-833f-27686eda921c	Blackwell, Oklahoma	Blackwell, Oklahoma	3	0	2013-09-08 09:43:00.869914+02	\N	\N	\N	\N	\N	\N	f	
27819	8fa379db-c6df-4e03-8b37-d4d9771c5ec5	Miner	Miner	3	0	2013-09-08 10:06:02.944953+02	\N	\N	\N	\N	\N	\N	f	
27764	a7192396-0b09-4d51-8ffa-845a3b583fd5	Cedar Valley	Cedar Valley	3	0	2013-09-08 09:45:40.847762+02	\N	\N	\N	\N	\N	\N	f	
28087	391b74c8-b0bf-4786-9fc5-010d3c3fdeeb	Ertil	Ertil	3	0	2013-09-08 12:27:10.554179+02	\N	\N	\N	\N	\N	\N	f	
28309	7d0e55ef-6671-48db-b8a5-7a65455faf83	Willow Lake, South Dakota	Willow Lake, South Dakota	3	0	2013-09-08 16:46:42.250134+02	\N	\N	\N	\N	\N	\N	f	
28489	9d7f1f04-b215-48e4-9235-a24b504c599b	Watauga, Tennessee	Watauga, Tennessee	3	0	2013-09-08 20:24:31.340185+02	\N	\N	\N	\N	\N	\N	f	
28731	84fe060b-f784-4015-8eb1-59d8c1aabd8e	Chillicothe	Chillicothe	3	0	2013-09-08 23:42:54.369849+02	\N	\N	\N	\N	\N	\N	f	
28750	3071afb6-e1b7-49d8-b57b-7b13a42a544b	San Perlita	San Perlita	3	0	2013-09-08 23:48:49.395645+02	\N	\N	\N	\N	\N	\N	f	
28760	648fd36e-4ef6-4366-a7da-2dff88a6f3c4	Moran	Moran	3	0	2013-09-08 23:51:29.151214+02	\N	\N	\N	\N	\N	\N	f	
28787	fa8d08f3-3581-4d2f-9ab4-4bee14b8c5ab	Big Wells	Big Wells	3	0	2013-09-08 23:58:42.225007+02	\N	\N	\N	\N	\N	\N	f	
28944	18d6650e-85a6-479e-bb02-203354d5cc6f	Lone Star	Lone Star	3	0	2013-09-09 01:36:01.661066+02	\N	\N	\N	\N	\N	\N	f	
12900	e1f15120-2df2-4861-bfb6-d9d111e7fe90	Ödeshög Municipality	Ödeshög Municipality	4	0	2013-07-16 11:43:22.334182+02	\N	\N	\N	\N	\N	\N	f	
12902	c60cbd08-8c2b-4126-a77a-e37ccafd5a21	Hudiksvall Municipality	Hudiksvall Municipality	4	0	2013-07-16 11:43:46.102019+02	\N	\N	\N	\N	\N	\N	f	
12903	08ef1fe5-8aff-46a9-9b38-47f7e43735cf	Öckerö Municipality	Öckerö Municipality	4	0	2013-07-16 11:43:57.589073+02	\N	\N	\N	\N	\N	\N	f	
12944	f70e6a03-d30f-474f-b615-48b90ea2164f	Huddinge municipality	Huddinge municipality	4	0	2013-07-16 11:55:08.497886+02	\N	\N	\N	\N	\N	\N	f	
12958	d32875d5-560e-42f0-b34d-e29402bb0732	Hylte Municipality	Hylte Municipality	4	0	2013-07-16 11:58:06.198475+02	\N	\N	\N	\N	\N	\N	f	
15856	ee9acfcd-cc7a-49ec-b58b-0172cefb3166	Gattinara	Gattinara	4	0	2013-07-22 02:18:00.785129+02	\N	\N	\N	\N	\N	\N	f	
12961	e655425e-9229-4dde-987d-c32222c63baa	Læsø Municipality	Læsø Municipality	4	0	2013-07-16 11:58:41.179139+02	\N	\N	\N	\N	\N	\N	f	
14267	cd8b19df-d0b7-43f4-9129-4eefe556d60a	Suvereto	Suvereto	4	0	2013-07-21 21:00:05.503359+02	\N	\N	\N	\N	\N	\N	f	
12977	b78c0030-fc15-420a-842e-ba1f7b7f7f3f	Linköping Municipality	Linköping Municipality	4	0	2013-07-16 12:01:45.470337+02	\N	\N	\N	\N	\N	\N	f	
13066	818094ae-2128-4537-b8fd-03a85d132afc	Hörby Municipality	Hörby Municipality	4	0	2013-07-16 12:21:31.222513+02	\N	\N	\N	\N	\N	\N	f	
13071	9a5b7685-6adc-4b77-b9f6-ab967f10c257	Timrå Municipality	Timrå Municipality	4	0	2013-07-16 12:22:28.815656+02	\N	\N	\N	\N	\N	\N	f	
14665	bc8323bc-8b9b-4d55-9635-512377d9d338	Durham	Durham	3	0	2013-07-21 22:29:03.182129+02	\N	\N	\N	\N	\N	\N	f	
14782	139854b8-55a1-4cd6-b17e-141f083e4cff	Bastia Mondovì	Bastia Mondovì	4	0	2013-07-21 22:54:51.004079+02	\N	\N	\N	\N	\N	\N	f	
16045	ff6eeea0-6977-415b-8d38-89ee00712d5e	Carpasio	Carpasio	4	0	2013-07-22 02:46:14.860943+02	\N	\N	\N	\N	\N	\N	f	
15282	2acda004-f51c-4f8a-a6a8-cf0a5ffca9a0	Torgiano	Torgiano	4	0	2013-07-22 00:10:12.265793+02	\N	\N	\N	\N	\N	\N	f	
17796	b7d3c02f-efbd-40f1-9240-731caba8e389	Dorno	Dorno	4	0	2013-07-22 07:11:13.639579+02	\N	\N	\N	\N	\N	\N	f	
16731	26a26f93-4fa6-46d2-bd76-e19e36a16d11	Tassullo	Tassullo	4	0	2013-07-22 04:22:06.819993+02	\N	\N	\N	\N	\N	\N	f	
21335	ba0a8994-80bd-4dda-913e-c42de5adc5cc	Lanciano	Lanciano	4	0	2013-07-24 05:37:05.044769+02	\N	\N	\N	\N	\N	\N	f	
17929	77c8e257-cfb5-4b72-a967-9bee1a657648	Torre de' Picenardi	Torre de' Picenardi	4	0	2013-07-22 07:27:49.730953+02	\N	\N	\N	\N	\N	\N	f	
20039	3926bf7c-5f50-49e9-9fa6-aa8422ab998c	Gradisca d'Isonzo	Gradisca d'Isonzo	4	0	2013-07-22 12:11:25.597047+02	\N	\N	\N	\N	\N	\N	f	
17968	3c558229-61ec-49b7-83f8-0cb1989d0c0a	Algund	Algund	4	0	2013-07-22 07:32:11.565485+02	\N	\N	\N	\N	\N	\N	f	
18067	af959590-a5cf-4654-9704-ae539c435486	Salerano sul Lambro	Salerano sul Lambro	4	0	2013-07-22 07:44:03.875604+02	\N	\N	\N	\N	\N	\N	f	
24019	eb293905-1abe-4d72-abf4-f55b7427fe25	Cape Canaveral, Florida	Cape Canaveral, Florida	3	0	2013-09-06 23:54:39.693018+02	\N	\N	\N	\N	\N	\N	f	
18078	e4270862-ff9e-4d39-8bb3-6afd64dbf0db	Cormano	Cormano	4	0	2013-07-22 07:45:15.451918+02	\N	\N	\N	\N	\N	\N	f	
21434	0a85f3a2-1a77-4771-88f6-0ed2e8e464e7	Castagneto Po	Castagneto Po	4	0	2013-07-24 08:36:45.354174+02	\N	\N	\N	\N	\N	\N	f	
18691	eb54ccfc-5048-4cfb-b8a8-d40150541e22	Laino	Laino	4	0	2013-07-22 09:02:21.075699+02	\N	\N	\N	\N	\N	\N	f	
14092	ad04ad33-ff4d-4f87-9cd8-149b2a3db756	Strangolagalli	Strangolagalli	4	0	2013-07-22 15:00:58.872133+02	\N	\N	\N	\N	\N	\N	f	
18694	1d2c175e-eab7-4316-8451-9c29c42a77dc	Isola Vicentina	Isola Vicentina	4	0	2013-07-22 09:02:45.083054+02	\N	\N	\N	\N	\N	\N	f	
18708	34829ddc-25b7-4a56-9689-0ce6a8d9b961	San Nazzaro Val Cavargna	San Nazzaro Val Cavargna	4	0	2013-07-22 09:04:23.289637+02	\N	\N	\N	\N	\N	\N	f	
18737	33066860-5a38-4d2b-bd83-ab7c0b70cb39	Villa Guardia	Villa Guardia	4	0	2013-07-22 09:08:10.254788+02	\N	\N	\N	\N	\N	\N	f	
20933	3ce01cdb-278c-4b42-8619-2c210e879fd2	Rocchetta e Croce	Rocchetta e Croce	4	0	2013-07-23 17:33:13.987021+02	\N	\N	\N	\N	\N	\N	f	
20978	d11e6f73-ac27-4b70-9116-4b05649b33ab	Lodi, Lombardy	Lodi, Lombardy	4	0	2013-07-23 17:44:03.962645+02	\N	\N	\N	\N	\N	\N	f	
21500	54ffe581-def2-4a49-9ecc-8bb440d79009	La Cassa	La Cassa	4	0	2013-07-24 08:53:17.110592+02	\N	\N	\N	\N	\N	\N	f	
21033	ab866b40-535f-4556-8dd5-b4aee875b8e3	Pollena Trocchia	Pollena Trocchia	4	0	2013-07-23 20:34:55.438077+02	\N	\N	\N	\N	\N	\N	f	
21108	525b1caa-c530-4c6e-bf82-6e2b11968872	Fiuminata	Fiuminata	4	0	2013-07-23 20:54:25.975336+02	\N	\N	\N	\N	\N	\N	f	
25988	36ac7581-7e64-47a9-8510-2a01b79beebc	Blue Mound, Kansas	Blue Mound, Kansas	3	0	2013-09-07 17:39:44.868858+02	\N	\N	\N	\N	\N	\N	f	
21134	13865864-f3bd-4b63-b2db-a10f8ff40238	Bracigliano	Bracigliano	4	0	2013-07-23 23:35:36.549395+02	\N	\N	\N	\N	\N	\N	f	
21535	2174761f-4da9-4904-a331-f5dbedc4346c	Castello di Serravalle	Castello di Serravalle	4	0	2013-07-24 11:37:26.085184+02	\N	\N	\N	\N	\N	\N	f	
21211	41c5c19a-3af9-4b76-8b25-858228ed5e9e	Oliveto Citra	Oliveto Citra	4	0	2013-07-23 23:52:42.770221+02	\N	\N	\N	\N	\N	\N	f	
21218	0ecce6a4-bf5a-4b30-ba56-e11659ecbb99	San Valentino Torio	San Valentino Torio	4	0	2013-07-23 23:54:22.05465+02	\N	\N	\N	\N	\N	\N	f	
24100	a893c882-fd90-4b34-b846-3261acd9448b	Weston	Weston	3	0	2013-09-07 02:38:02.976599+02	\N	\N	\N	\N	\N	\N	f	
21233	c7057a8c-bcbd-49fd-ac44-e359453da997	San Mango Piemonte	San Mango Piemonte	4	0	2013-07-24 02:35:46.193551+02	\N	\N	\N	\N	\N	\N	f	
21588	cf9c5b4e-cfec-40ef-a73b-35c7dac6bbda	Bondeno	Bondeno	4	0	2013-07-24 11:50:04.648537+02	\N	\N	\N	\N	\N	\N	f	
21261	47d5ad55-3b7d-48c8-bb61-a1f7f29cdba4	Sessa Cilento	Sessa Cilento	4	0	2013-07-24 02:41:52.828097+02	\N	\N	\N	\N	\N	\N	f	
21273	c8ae26bf-acca-47c4-93d8-ae431db2d9d5	Serre, Campania	Serre, Campania	4	0	2013-07-24 02:45:02.382823+02	\N	\N	\N	\N	\N	\N	f	
21621	24806e04-18b7-4299-9e42-8e9c86ae51b8	Sant'Agata Bolognese	Sant'Agata Bolognese	4	0	2013-07-24 11:57:53.967856+02	\N	\N	\N	\N	\N	\N	f	
23915	437d49ed-8777-4c0f-aa2f-429bd4725a49	Allendale	Allendale	3	0	2013-09-06 20:54:49.443112+02	\N	\N	\N	\N	\N	\N	f	
24343	010e907a-93df-4792-b8a3-3ad9ad6ebeba	Jakin, Georgia	Jakin, Georgia	3	0	2013-09-07 06:20:46.558634+02	\N	\N	\N	\N	\N	\N	f	
24000	8c5d2fd1-8fb8-43f9-8b75-94cfd428b797	Fort Pierce	Fort Pierce	3	0	2013-09-06 23:46:20.74575+02	\N	\N	\N	\N	\N	\N	f	
24013	0bcdffd7-3d5a-4d85-bde5-690cc4716142	Loveland	Loveland	3	0	2013-09-06 23:51:50.07405+02	\N	\N	\N	\N	\N	\N	f	
26650	7282d373-ddd7-4692-b695-00e2d1b03314	Verona	Verona	3	0	2013-09-08 01:53:14.54503+02	\N	\N	\N	\N	\N	\N	f	
24879	18634f32-4eb6-484d-b6f2-4c5ee31137ab	Raymond	Raymond	3	0	2013-09-07 08:58:27.071118+02	\N	\N	\N	\N	\N	\N	f	
26067	8b56eecb-0d24-496e-869a-06eb4b3a3cbe	Forest Hills, Kentucky	Forest Hills, Kentucky	3	0	2013-09-07 18:01:40.116402+02	\N	\N	\N	\N	\N	\N	f	
25403	32c9d9a2-cf90-4741-83ff-2f34f3922588	Shively	Shively	3	0	2013-09-07 11:42:06.958774+02	\N	\N	\N	\N	\N	\N	f	
25406	564293ff-4072-49d6-a7e7-3fc04b5dbc18	Hazel	Hazel	3	0	2013-09-07 11:42:47.08626+02	\N	\N	\N	\N	\N	\N	f	
26640	58fd5682-225f-454a-82f6-dc8750dc5a26	Bellefontaine Neighbors, Missouri	Bellefontaine Neighbors, Missouri	3	0	2013-09-08 01:50:32.5771+02	\N	\N	\N	\N	\N	\N	f	
26346	76eee5f6-631a-437b-b070-fdc9428fec7e	Agawam	Agawam	3	0	2013-09-07 23:31:42.72849+02	\N	\N	\N	\N	\N	\N	f	
26370	95d52b93-e0ab-4234-aa7a-0addc7eb3a89	Marseilles	Marseilles	3	0	2013-09-07 23:37:47.697786+02	\N	\N	\N	\N	\N	\N	f	
27136	27ee7c0f-62f7-48ec-87fb-8788e9543556	Memphis	Memphis	3	0	2013-09-08 05:38:42.041692+02	\N	\N	\N	\N	\N	\N	f	
27092	aadf903b-960e-49b5-9e80-083a65f552ce	Hamlet, North Carolina	Hamlet, North Carolina	3	0	2013-09-08 05:21:08.292765+02	\N	\N	\N	\N	\N	\N	f	
27185	3905d6d6-8548-49c4-96bd-bf861004dc8d	Lyons	Lyons	3	0	2013-09-08 05:51:35.569407+02	\N	\N	\N	\N	\N	\N	f	
27432	6f04c51a-bd3c-48fa-82f8-1879754456b8	Reile's Acres, North Dakota	Reile's Acres, North Dakota	3	0	2013-09-08 07:55:35.215738+02	\N	\N	\N	\N	\N	\N	f	
27455	1c695663-294d-46a0-8dff-7a2c0cc92610	Epping, North Dakota	Epping, North Dakota	3	0	2013-09-08 08:01:08.838544+02	\N	\N	\N	\N	\N	\N	f	
27754	a36aabe6-c2fb-4b9d-9e8a-26885be6802e	Watonga	Watonga	3	0	2013-09-08 09:43:14.399406+02	\N	\N	\N	\N	\N	\N	f	
27790	03e6c6f2-a163-467b-9041-fabfbe9bbaad	Peru	Peru	3	0	2013-09-08 09:58:19.58883+02	\N	\N	\N	\N	\N	\N	f	
27832	c6707cce-acba-496b-a034-f4d6d4d4dfef	Glendale	Glendale	3	0	2013-09-08 10:09:35.644649+02	\N	\N	\N	\N	\N	\N	f	
28089	8d9d0076-c54c-46b6-950b-8b4d0d46af03	Pskov	Pskov	3	0	2013-09-08 12:28:08.274793+02	\N	\N	\N	\N	\N	\N	f	
28310	6850c8ad-67c0-4337-8b5b-1b9eef3bbc41	Corsica, South Dakota	Corsica, South Dakota	3	0	2013-09-08 16:46:55.886253+02	\N	\N	\N	\N	\N	\N	f	
12905	8dbfaeac-120b-43c2-9983-f326f4735025	Nyborg municipality	Nyborg municipality	4	0	2013-07-16 11:44:29.674102+02	\N	\N	\N	\N	\N	\N	f	
12906	2d655a87-3ff3-49f5-9af5-be8bc30d4e1e	Järfälla municipality	Järfälla municipality	4	0	2013-07-16 11:44:41.293312+02	\N	\N	\N	\N	\N	\N	f	
12907	7f65311e-c215-439e-b98c-eac8cfd7a626	Överkalix Municipality	Överkalix Municipality	4	0	2013-07-16 11:44:52.766457+02	\N	\N	\N	\N	\N	\N	f	
12908	ab74ad43-af86-4741-9ec8-98e948721711	Frederiksberg	Frederiksberg	4	0	2013-07-16 11:45:04.254797+02	\N	\N	\N	\N	\N	\N	f	
24001	b8f1b78d-3d3b-44ef-a671-b9909db214cc	Auburndale, Florida	Auburndale, Florida	3	0	2013-09-06 23:46:42.585+02	\N	\N	\N	\N	\N	\N	f	
12909	04137791-8fed-465d-b170-61464b5d7bfd	Östersund Municipality	Östersund Municipality	4	0	2013-07-16 11:45:15.656357+02	\N	\N	\N	\N	\N	\N	f	
12924	921aef62-6f7a-40b7-8469-e3a24e3a185f	Norberg Municipality	Norberg Municipality	4	0	2013-07-16 11:49:04.489218+02	\N	\N	\N	\N	\N	\N	f	
15862	b3d3629d-fdbb-4a0e-9278-3520921212fc	Quarona	Quarona	4	0	2013-07-22 02:20:00.352118+02	\N	\N	\N	\N	\N	\N	f	
12928	cd248860-bd2c-4d2c-ad25-ead411303e45	Hjo Municipality	Hjo Municipality	4	0	2013-07-16 11:50:12.699695+02	\N	\N	\N	\N	\N	\N	f	
14667	f78730d7-37d5-4330-8534-435e20becbdd	Villafranca d'Asti	Villafranca d'Asti	4	0	2013-07-21 22:29:28.279151+02	\N	\N	\N	\N	\N	\N	f	
12947	3810e2b7-5657-4829-a83c-a28d8609f447	Gribskov Municipality	Gribskov Municipality	4	0	2013-07-16 11:55:43.670789+02	\N	\N	\N	\N	\N	\N	f	
12948	8ee08d54-bd41-498a-974c-d9624552504f	Värmdö municipality	Värmdö municipality	4	0	2013-07-16 11:56:00.561952+02	\N	\N	\N	\N	\N	\N	f	
12952	0c6f41f9-4139-4058-9ca1-ecdae54e8fa6	Vännäs Municipality	Vännäs Municipality	4	0	2013-07-16 11:56:56.907487+02	\N	\N	\N	\N	\N	\N	f	
15285	1efbe936-6891-4551-bfee-e1d84ae0d741	Spello	Spello	4	0	2013-07-22 00:10:49.9137+02	\N	\N	\N	\N	\N	\N	f	
13018	9d8e0e6a-04a3-442c-8966-f65bac768205	Tranemo Municipality	Tranemo Municipality	4	0	2013-07-16 12:10:58.52768+02	\N	\N	\N	\N	\N	\N	f	
13025	9ea9aca8-6903-42a7-b9e4-cd5d2b001d40	Lerum Municipality	Lerum Municipality	4	0	2013-07-16 12:12:18.68471+02	\N	\N	\N	\N	\N	\N	f	
15286	bee1899a-52a4-4d79-8b3b-b2bb648a0b01	Villanova Mondovì	Villanova Mondovì	4	0	2013-07-22 00:11:01.892766+02	\N	\N	\N	\N	\N	\N	f	
16732	8af5acff-9cc6-43a4-bb27-6d8d7bbf18b0	Transacqua	Transacqua	4	0	2013-07-22 04:22:24.296626+02	\N	\N	\N	\N	\N	\N	f	
17797	99226771-9416-4f3e-8319-556af5de9ee8	Livigno	Livigno	4	0	2013-07-22 07:11:27.921596+02	\N	\N	\N	\N	\N	\N	f	
17821	621f69fa-8b76-4315-aa00-0c5723072a20	Torre de' Negri	Torre de' Negri	4	0	2013-07-22 07:14:48.346315+02	\N	\N	\N	\N	\N	\N	f	
20043	8f7c3693-c435-4689-bfb0-f5ec6afa61bd	San Canzian d'Isonzo	San Canzian d'Isonzo	4	0	2013-07-22 12:11:56.006452+02	\N	\N	\N	\N	\N	\N	f	
18700	40b0bd9b-6af4-4406-aaf9-1e5a6c8db302	Gazzo Veronese	Gazzo Veronese	4	0	2013-07-22 09:03:27.324927+02	\N	\N	\N	\N	\N	\N	f	
20934	3ccaf1c2-41a1-43ce-bb36-c49698ebe6eb	Pietravairano	Pietravairano	4	0	2013-07-23 17:33:28.894187+02	\N	\N	\N	\N	\N	\N	f	
24021	0755ff96-3b99-409d-981d-b2a0a073a830	Stanton	Stanton	3	0	2013-09-06 23:56:10.123174+02	\N	\N	\N	\N	\N	\N	f	
20941	19093026-248c-44ca-981b-082af88af970	Roccaromana	Roccaromana	4	0	2013-07-23 17:35:00.676077+02	\N	\N	\N	\N	\N	\N	f	
21034	e2c792f0-0e38-427b-ab78-265877ef36bb	Mariglianella	Mariglianella	4	0	2013-07-23 20:35:09.472159+02	\N	\N	\N	\N	\N	\N	f	
26063	711de3ae-23f3-4b14-ad5d-debebf393ecd	Denison	Denison	3	0	2013-09-07 18:00:32.155294+02	\N	\N	\N	\N	\N	\N	f	
21136	d4f7ce35-5705-4142-9c5c-6f69386bb059	Caselle in Pittari	Caselle in Pittari	4	0	2013-07-23 23:36:03.152496+02	\N	\N	\N	\N	\N	\N	f	
24101	64bd7804-f11a-4553-83a9-febd812e3b5d	Rigby	Rigby	3	0	2013-09-07 02:38:26.299862+02	\N	\N	\N	\N	\N	\N	f	
21235	33040ff8-0577-4d75-8c67-9b120f4bc6fb	Sanza	Sanza	4	0	2013-07-24 02:36:12.449256+02	\N	\N	\N	\N	\N	\N	f	
21248	087a2dfb-50dd-46b5-a545-642b715013b4	Bagno a Ripoli	Bagno a Ripoli	4	0	2013-07-24 02:39:11.29306+02	\N	\N	\N	\N	\N	\N	f	
21249	2ae9d6ac-37ce-4b05-b13b-2cf84d982a7c	Tortorella	Tortorella	4	0	2013-07-24 02:39:23.487802+02	\N	\N	\N	\N	\N	\N	f	
24344	d5a57ac7-e6ec-41f4-8e8e-666834484ecf	Leary	Leary	3	0	2013-09-07 06:21:00.138712+02	\N	\N	\N	\N	\N	\N	f	
21286	a0cf5319-4883-4862-a0b8-2c91516948e3	Figline Valdarno	Figline Valdarno	4	0	2013-07-24 02:48:05.061092+02	\N	\N	\N	\N	\N	\N	f	
21336	95c7e23f-7346-4460-9b88-ede7f1925f64	Sassuolo	Sassuolo	4	0	2013-07-24 05:37:18.943524+02	\N	\N	\N	\N	\N	\N	f	
27433	ca9bda2e-33d0-42b8-b0d2-740b2ac99921	Frontier, North Dakota	Frontier, North Dakota	3	0	2013-09-08 07:55:49.159873+02	\N	\N	\N	\N	\N	\N	f	
21435	1c4957e1-8ac6-4d80-8a9b-0b8cda30294e	Candiolo	Candiolo	4	0	2013-07-24 08:37:02.388291+02	\N	\N	\N	\N	\N	\N	f	
24880	25ff18a2-2fe1-40b4-a15d-64eb0b099126	Salix	Salix	3	0	2013-09-07 08:58:41.749592+02	\N	\N	\N	\N	\N	\N	f	
21486	9025f895-5164-480a-913e-583c0015720e	Gassino Torinese	Gassino Torinese	4	0	2013-07-24 08:50:09.321945+02	\N	\N	\N	\N	\N	\N	f	
21536	16683931-52e5-4330-a3c5-86605b5f9f86	Calderara di Reno	Calderara di Reno	4	0	2013-07-24 11:37:37.957204+02	\N	\N	\N	\N	\N	\N	f	
26069	fac3f23c-06be-4495-8c75-30741dcca2b4	Logan, Kansas	Logan, Kansas	3	0	2013-09-07 18:02:09.39705+02	\N	\N	\N	\N	\N	\N	f	
23916	5a04a45b-69e7-4d62-8eba-8920fe90fa2c	Rolling Hills	Rolling Hills	3	0	2013-09-06 20:55:15.076645+02	\N	\N	\N	\N	\N	\N	f	
25405	c76ea806-a573-4791-b2de-642d28336924	Meadow Vale, Kentucky	Meadow Vale, Kentucky	3	0	2013-09-07 11:42:33.824947+02	\N	\N	\N	\N	\N	\N	f	
25429	fcba8700-d110-4fa3-8b91-5d72a3d3efd0	Briarwood, Kentucky	Briarwood, Kentucky	3	0	2013-09-07 11:48:14.787929+02	\N	\N	\N	\N	\N	\N	f	
26347	3b8948ed-a3ee-4abe-b3c3-8d987dea65f9	Country Club Hills	Country Club Hills	3	0	2013-09-07 23:31:57.419153+02	\N	\N	\N	\N	\N	\N	f	
25990	4ee64f2c-29da-4dcc-a1d0-91d093791924	Midway, Kentucky	Midway, Kentucky	3	0	2013-09-07 17:40:13.765743+02	\N	\N	\N	\N	\N	\N	f	
26006	f04bd47c-8976-4438-b62e-2d898293acee	Eastborough	Eastborough	3	0	2013-09-07 17:44:28.101244+02	\N	\N	\N	\N	\N	\N	f	
27812	dc09928c-657b-4ff2-a403-e62c332802ae	Town and Country	Town and Country	3	0	2013-09-08 10:04:15.224702+02	\N	\N	\N	\N	\N	\N	f	
26022	81902dee-22a3-4bc0-9365-216203452db7	Hanover	Hanover	3	0	2013-09-07 17:48:36.266405+02	\N	\N	\N	\N	\N	\N	f	
26641	08518b2a-e1fb-4e39-8e72-b09e907de4e9	Bastrop, Louisiana	Bastrop, Louisiana	3	0	2013-09-08 01:50:46.601033+02	\N	\N	\N	\N	\N	\N	f	
27466	a3ddd512-129c-489f-9bd5-d074cffec3f5	Seven Hills	Seven Hills	3	0	2013-09-08 08:03:54.022168+02	\N	\N	\N	\N	\N	\N	f	
27094	df2cfcc6-2303-4dcf-9a54-5f8b01008f5b	Marion, North Carolina	Marion, North Carolina	3	0	2013-09-08 05:22:05.05882+02	\N	\N	\N	\N	\N	\N	f	
27123	b088aa7d-110d-499d-a2bc-6c4e0f6b0a32	Ashley, North Dakota	Ashley, North Dakota	3	0	2013-09-08 05:33:38.29109+02	\N	\N	\N	\N	\N	\N	f	
27471	cb14f270-1586-48b5-97db-2801d84623bf	Hague, North Dakota	Hague, North Dakota	3	0	2013-09-08 08:05:03.647454+02	\N	\N	\N	\N	\N	\N	f	
28156	bda3ebda-6ab5-4f20-9044-cd1ee64b1740	Krasnozavodsk	Krasnozavodsk	3	0	2013-09-08 14:35:07.484412+02	\N	\N	\N	\N	\N	\N	f	
27757	b8726128-3bd6-4125-8b67-37f414d475f2	Grove	Grove	3	0	2013-09-08 09:44:01.82168+02	\N	\N	\N	\N	\N	\N	f	
28091	d5929583-ce0a-4135-8308-ad31c3489220	Belgorod	Belgorod	3	0	2013-09-08 12:30:20.40801+02	\N	\N	\N	\N	\N	\N	f	
28311	9b3b5764-60cb-4dbd-9bc3-3f3076aacd8b	New Underwood, South Dakota	New Underwood, South Dakota	3	0	2013-09-08 16:47:09.533491+02	\N	\N	\N	\N	\N	\N	f	
28097	64a58e82-7b6c-4f06-9d23-5a998b561ef4	Meadville	Meadville	3	0	2013-09-08 14:17:08.985078+02	\N	\N	\N	\N	\N	\N	f	
28490	1ad54dc9-e4ce-4d25-b5ad-753e2aa0f1e0	Winchester, Tennessee	Winchester, Tennessee	3	0	2013-09-08 20:25:13.891476+02	\N	\N	\N	\N	\N	\N	f	
28491	6329fdbe-1870-430e-a356-2a511d4d98a7	Ravenna, Texas	Ravenna, Texas	3	0	2013-09-08 20:25:32.908981+02	\N	\N	\N	\N	\N	\N	f	
28509	a02c0e89-7596-438f-8361-dd04051ed547	Abernathy, Texas	Abernathy, Texas	3	0	2013-09-08 20:32:46.656288+02	\N	\N	\N	\N	\N	\N	f	
28570	a5c02cc9-3847-41dc-b9e8-ba1a9658813a	Benjamin, Texas	Benjamin, Texas	3	0	2013-09-08 20:51:40.265879+02	\N	\N	\N	\N	\N	\N	f	
28732	42fe3a65-1c4f-4a7f-90e9-c3af99d8192e	Falls City	Falls City	3	0	2013-09-08 23:43:16.673222+02	\N	\N	\N	\N	\N	\N	f	
28764	0ec9fe00-8c1c-40da-be81-6c2f07497499	Celeste	Celeste	3	0	2013-09-08 23:52:32.049183+02	\N	\N	\N	\N	\N	\N	f	
28947	0ea7258c-9683-46b6-9266-b569c06c3ee9	Universal City	Universal City	3	0	2013-09-09 01:36:51.486338+02	\N	\N	\N	\N	\N	\N	f	
28992	c407bd54-650f-47cd-be5a-077e3612f8ca	Winnie	Winnie	3	0	2013-09-09 01:49:35.649076+02	\N	\N	\N	\N	\N	\N	f	
29036	a9124fe1-045e-4de2-934f-fbb8b4e2e008	Rhome	Rhome	3	0	2013-09-09 02:03:13.794431+02	\N	\N	\N	\N	\N	\N	f	
12910	e2453f7a-b25a-418a-a6aa-7da97101c35a	Aalborg Municipality	Aalborg Municipality	4	0	2013-07-16 11:45:27.129812+02	\N	\N	\N	\N	\N	\N	f	
12913	3110b2bd-aafe-4637-8499-4b25ffc5aa4b	Lidingö municipality	Lidingö municipality	4	0	2013-07-16 11:46:08.32909+02	\N	\N	\N	\N	\N	\N	f	
12915	34b6f359-c7fb-489d-a1d2-198f8654a32e	Rockville	Rockville	3	0	2013-07-16 11:46:44.067492+02	\N	\N	\N	\N	\N	\N	f	
14095	3f596712-6b54-45b8-8a95-44eb809e16a4	San Giorgio a Liri	San Giorgio a Liri	4	0	2013-07-21 20:21:59.570564+02	\N	\N	\N	\N	\N	\N	f	
12917	43f2aa3b-7a7e-434a-ba09-b4c09d32eaad	Surahammar Municipality	Surahammar Municipality	4	0	2013-07-16 11:47:19.921005+02	\N	\N	\N	\N	\N	\N	f	
12960	da8cfd7e-8528-4348-93c6-7d0169c425ef	Forshaga Municipality	Forshaga Municipality	4	0	2013-07-16 11:58:29.571395+02	\N	\N	\N	\N	\N	\N	f	
12991	1aa7b54b-e497-4788-9d4f-fa7d7480dba9	Skövde Municipality	Skövde Municipality	4	0	2013-07-16 12:05:37.87647+02	\N	\N	\N	\N	\N	\N	f	
14244	c62c9981-1293-4be8-959f-85d5bdd07d52	Olbia	Olbia	4	0	2013-07-21 20:54:48.502868+02	\N	\N	\N	\N	\N	\N	f	
13023	1246c4e0-0358-4475-8fcb-d9adb6ea086e	Munkfors Municipality	Munkfors Municipality	4	0	2013-07-16 12:11:55.662097+02	\N	\N	\N	\N	\N	\N	f	
13052	c545dd08-609e-4cc5-a4cb-65d6d1f9f597	Mullsjö Municipality	Mullsjö Municipality	4	0	2013-07-16 12:18:50.582549+02	\N	\N	\N	\N	\N	\N	f	
15863	7d8cc7de-3e39-4fe5-aea6-6de8c8428f2a	Salasco	Salasco	4	0	2013-07-22 02:20:14.785143+02	\N	\N	\N	\N	\N	\N	f	
13055	4023f98f-bf15-44fd-beef-b79f303c55c9	Knivsta Municipality	Knivsta Municipality	4	0	2013-07-16 12:19:25.320677+02	\N	\N	\N	\N	\N	\N	f	
13059	f70ade3e-9f48-4ad4-95bd-29e349481fa4	Rättvik Municipality	Rättvik Municipality	4	0	2013-07-16 12:20:11.211454+02	\N	\N	\N	\N	\N	\N	f	
14668	b70d1245-3122-4fcd-baeb-bc016af94700	Valentano	Valentano	4	0	2013-07-21 22:29:40.298+02	\N	\N	\N	\N	\N	\N	f	
18803	f2fda6c7-665b-4592-8963-7028086fc469	Oltrona di San Mamette	Oltrona di San Mamette	4	0	2013-07-22 09:15:55.754063+02	\N	\N	\N	\N	\N	\N	f	
14731	6382fe20-57ae-4da5-8587-a5b9f18b274e	Quaregna	Quaregna	4	0	2013-07-21 22:43:34.571323+02	\N	\N	\N	\N	\N	\N	f	
15928	77645d4b-5d96-4054-aa16-5cf393354568	Calliano, Trentino	Calliano, Trentino	4	0	2013-07-22 02:31:36.371586+02	\N	\N	\N	\N	\N	\N	f	
14833	0ebe2c1b-f49e-4144-be01-1f146ee6e8b3	Catania	Catania	4	0	2013-07-21 23:06:06.086762+02	\N	\N	\N	\N	\N	\N	f	
15290	b48d37dc-6bb9-4ff0-8226-52447befd2d6	Vinadio	Vinadio	4	0	2013-07-22 00:11:59.328788+02	\N	\N	\N	\N	\N	\N	f	
17798	21c15aa7-b437-4f00-ab8b-cac8c3e17766	Germignaga	Germignaga	4	0	2013-07-22 07:11:31.907232+02	\N	\N	\N	\N	\N	\N	f	
15328	a6a7625a-cce3-41f6-bc2b-f259418f3b03	Monreale	Monreale	4	0	2013-07-22 00:21:02.578983+02	\N	\N	\N	\N	\N	\N	f	
15356	3ad6902c-aaa0-487b-97d3-b04f445fdce3	Sorano	Sorano	4	0	2013-07-22 00:27:04.679031+02	\N	\N	\N	\N	\N	\N	f	
16004	bd99e7d0-9e6f-4d98-8530-ba02b32552ae	Avegno, Liguria	Avegno, Liguria	4	0	2013-07-22 02:40:59.906742+02	\N	\N	\N	\N	\N	\N	f	
16010	d9c7de15-7672-4565-ae03-f063f6fa8b6a	Recco	Recco	4	0	2013-07-22 02:41:45.880893+02	\N	\N	\N	\N	\N	\N	f	
17803	1b57cf87-69f8-407e-ab68-ee6ca6d9e155	Rocca Pietore	Rocca Pietore	4	0	2013-07-22 07:12:37.534715+02	\N	\N	\N	\N	\N	\N	f	
16733	ec5ffd72-8bd9-4be0-bced-2a34fc3dcc34	Vermiglio	Vermiglio	4	0	2013-07-22 04:22:45.908448+02	\N	\N	\N	\N	\N	\N	f	
16830	97c44896-7ff7-42d5-b9ee-f2e321560ac6	Villanova del Ghebbo	Villanova del Ghebbo	4	0	2013-07-22 04:47:50.996147+02	\N	\N	\N	\N	\N	\N	f	
18826	de498fbc-3fbb-447d-90eb-739b59cd90ae	Velo Veronese	Velo Veronese	4	0	2013-07-22 09:18:56.944746+02	\N	\N	\N	\N	\N	\N	f	
17936	d92e66f0-b41c-4a86-b16c-0a3fe2be8175	Casalromano	Casalromano	4	0	2013-07-22 07:28:34.320835+02	\N	\N	\N	\N	\N	\N	f	
17951	edbe6954-3116-42b0-a5bb-098b439700cd	Ponti sul Mincio	Ponti sul Mincio	4	0	2013-07-22 07:30:13.403008+02	\N	\N	\N	\N	\N	\N	f	
21002	2d54f0e3-ce00-4d22-99fc-1209bbec1e51	Anacapri	Anacapri	4	0	2013-07-23 17:49:51.931003+02	\N	\N	\N	\N	\N	\N	f	
17952	f819de71-364a-48ba-971b-9976d529c2e2	Motteggiana	Motteggiana	4	0	2013-07-22 07:30:24.449944+02	\N	\N	\N	\N	\N	\N	f	
18846	48b1f094-2e6a-4bdf-ae9e-89c014b45b09	San Fermo della Battaglia	San Fermo della Battaglia	4	0	2013-07-22 09:21:06.347272+02	\N	\N	\N	\N	\N	\N	f	
18014	9526b961-9833-450a-b6e2-15035a635fab	Codogno	Codogno	4	0	2013-07-22 07:37:25.249422+02	\N	\N	\N	\N	\N	\N	f	
23917	ea96de1b-043c-4941-886c-9e4ba4e43536	Amsterdam	Amsterdam	3	0	2013-09-06 20:55:29.976231+02	\N	\N	\N	\N	\N	\N	f	
20046	a87b9bc0-6d70-4425-a2ed-deea2f2a7c34	Moraro	Moraro	4	0	2013-07-22 12:12:31.879995+02	\N	\N	\N	\N	\N	\N	f	
18707	4b268e20-a23f-43e1-aced-10a7d7301781	Silea	Silea	4	0	2013-07-22 09:04:15.767527+02	\N	\N	\N	\N	\N	\N	f	
18905	526cf939-f783-4eb2-aa0f-7934bbb11f0c	Maslianico	Maslianico	4	0	2013-07-22 09:28:24.733991+02	\N	\N	\N	\N	\N	\N	f	
18786	d0e1077f-13e6-4028-8e9a-d55ce282b03f	Moltrasio	Moltrasio	4	0	2013-07-22 09:13:55.205027+02	\N	\N	\N	\N	\N	\N	f	
18787	ac124129-de15-4ec5-899c-1a61a8668839	Solagna	Solagna	4	0	2013-07-22 09:13:58.266607+02	\N	\N	\N	\N	\N	\N	f	
18799	8ab21777-c7a4-4d67-94f9-03cac00ccfa2	Prettau	Prettau	4	0	2013-07-22 09:15:29.812598+02	\N	\N	\N	\N	\N	\N	f	
19016	59540f4a-d62c-4263-a5be-3a5f531ceee4	San Giovanni la Punta	San Giovanni la Punta	4	0	2013-07-22 09:41:56.255859+02	\N	\N	\N	\N	\N	\N	f	
20067	712ef05a-ccee-41bf-97ec-35cab9bf868b	Fontanafredda	Fontanafredda	4	0	2013-07-22 12:15:14.743454+02	\N	\N	\N	\N	\N	\N	f	
19018	9da18fb1-ddda-4c50-95aa-101daebbac84	Cologna Veneta	Cologna Veneta	4	0	2013-07-22 09:42:22.926698+02	\N	\N	\N	\N	\N	\N	f	
19022	6f3cc76c-f965-46f1-b035-fdbbff69c381	Pantelleria	Pantelleria	4	0	2013-07-22 09:42:51.105194+02	\N	\N	\N	\N	\N	\N	f	
21236	c2419dca-0a6a-470b-98b0-9b9793f02a31	Sant'Egidio del Monte Albino	Sant'Egidio del Monte Albino	4	0	2013-07-24 02:36:25.024685+02	\N	\N	\N	\N	\N	\N	f	
20072	8b4ce23d-eeda-418f-a733-cd8181638e14	Sesto al Reghena	Sesto al Reghena	4	0	2013-07-22 12:15:44.478908+02	\N	\N	\N	\N	\N	\N	f	
20085	8157aeb0-045d-4832-80ba-adb3f7364fbc	Cavasso Nuovo	Cavasso Nuovo	4	0	2013-07-22 15:01:26.943054+02	\N	\N	\N	\N	\N	\N	f	
20084	8514a078-3c6d-4390-bd51-3af5874cb7d6	Maniago	Maniago	4	0	2013-07-22 12:17:17.123539+02	\N	\N	\N	\N	\N	\N	f	
21035	94565ea8-3dcb-4698-a55d-0cf4a86db338	Gragnano	Gragnano	4	0	2013-07-23 20:35:28.619335+02	\N	\N	\N	\N	\N	\N	f	
20097	f2bfede3-360e-48c5-8bbd-d487e7b1091b	San Martino al Tagliamento	San Martino al Tagliamento	4	0	2013-07-22 12:19:05.576717+02	\N	\N	\N	\N	\N	\N	f	
20935	18f15ca0-acfb-4a22-a188-97c0800a3b64	San Tammaro	San Tammaro	4	0	2013-07-23 17:33:41.258002+02	\N	\N	\N	\N	\N	\N	f	
21137	881687b4-1402-487e-b14f-d12e70b85800	Ascea	Ascea	4	0	2013-07-23 23:36:15.136247+02	\N	\N	\N	\N	\N	\N	f	
20943	6304e7aa-6adb-4f0c-b03d-6fb4894677f9	Raviscanina	Raviscanina	4	0	2013-07-23 17:35:25.323675+02	\N	\N	\N	\N	\N	\N	f	
21337	43e7d7b7-1bd4-4555-98ff-130c0f7e02f8	La Spezia	La Spezia	4	0	2013-07-24 05:37:37.011366+02	\N	\N	\N	\N	\N	\N	f	
21271	28c15bd9-6c1b-477d-ada9-fdd4ff84ac9d	Tramonti, Campania	Tramonti, Campania	4	0	2013-07-24 02:44:31.203742+02	\N	\N	\N	\N	\N	\N	f	
21376	5cf6053b-ef96-4499-a37e-6813f0c707c6	Buonconvento	Buonconvento	4	0	2013-07-24 05:47:56.999207+02	\N	\N	\N	\N	\N	\N	f	
21436	29fffc55-7bcb-423b-9730-6fa1a5f99d25	Caprie	Caprie	4	0	2013-07-24 08:37:15.641308+02	\N	\N	\N	\N	\N	\N	f	
21467	4052d087-ee3a-44c9-a0ed-095eb62a78e6	Claviere	Claviere	4	0	2013-07-24 08:44:26.268457+02	\N	\N	\N	\N	\N	\N	f	
21537	a1e0a9ec-335c-46d8-9d43-e4cb46fa66f5	Mombello di Torino	Mombello di Torino	4	0	2013-07-24 11:37:52.570389+02	\N	\N	\N	\N	\N	\N	f	
21502	02199f6b-de33-4fdd-9c1c-2aeb8a98fc00	Lusernetta	Lusernetta	4	0	2013-07-24 08:53:51.805093+02	\N	\N	\N	\N	\N	\N	f	
24003	8e41e272-a44d-49e0-973c-e2fff0ef06be	Fruitland Park, Florida	Fruitland Park, Florida	3	0	2013-09-06 23:47:26.305963+02	\N	\N	\N	\N	\N	\N	f	
24102	ab6c17e2-1c12-4d9a-a3c4-65c36b929c8a	Deary	Deary	3	0	2013-09-07 02:38:47.213383+02	\N	\N	\N	\N	\N	\N	f	
24345	fb3c22e2-d2c6-4395-82a2-553cb95691e1	Gillsville, Georgia	Gillsville, Georgia	3	0	2013-09-07 06:21:18.029913+02	\N	\N	\N	\N	\N	\N	f	
24409	2357ea4f-4cef-4eb2-b735-cad3f592a4ed	Senoia, Georgia	Senoia, Georgia	3	0	2013-09-07 06:38:10.887925+02	\N	\N	\N	\N	\N	\N	f	
24448	3e010e14-0ad7-46ab-88fc-4ddc5e591c2f	Colbert, Georgia	Colbert, Georgia	3	0	2013-09-07 06:47:38.342259+02	\N	\N	\N	\N	\N	\N	f	
24881	bc159761-32da-4c73-9c34-980a6092efb6	Redfield	Redfield	3	0	2013-09-07 08:58:56.300834+02	\N	\N	\N	\N	\N	\N	f	
24986	3bb7d5fa-ffd9-49c0-a84a-b1c8f291df21	Plover	Plover	3	0	2013-09-07 09:33:17.818846+02	\N	\N	\N	\N	\N	\N	f	
12918	bce5a425-a474-4244-8084-3f3c2d7786db	Orust Municipality	Orust Municipality	4	0	2013-07-16 11:47:32.918317+02	\N	\N	\N	\N	\N	\N	f	
12919	b826971a-3258-4471-ab20-00cfb7f62b9c	Sala Municipality	Sala Municipality	4	0	2013-07-16 11:48:02.408385+02	\N	\N	\N	\N	\N	\N	f	
13006	d8f0805d-80d7-4de2-b3a7-a0e5994d285e	Herrljunga Municipality	Herrljunga Municipality	4	0	2013-07-16 12:08:39.935623+02	\N	\N	\N	\N	\N	\N	f	
12920	625869cc-dbb5-4aca-883d-2ed4a4a8bec0	Gotland Municipality	Gotland Municipality	4	0	2013-07-16 11:48:15.661857+02	\N	\N	\N	\N	\N	\N	f	
12921	fc81493a-3735-4237-bc99-9f8337206935	Skinnskatteberg Municipality	Skinnskatteberg Municipality	4	0	2013-07-16 11:48:27.089701+02	\N	\N	\N	\N	\N	\N	f	
12922	e8484131-228d-48e1-9d48-1fa7d7e23741	Ulricehamn Municipality	Ulricehamn Municipality	4	0	2013-07-16 11:48:41.587884+02	\N	\N	\N	\N	\N	\N	f	
13008	dfe9640d-0da6-46fe-b64e-bf64399573ef	Viborg Municipality	Viborg Municipality	4	0	2013-07-16 12:09:02.960221+02	\N	\N	\N	\N	\N	\N	f	
12923	6986a6e2-a8ba-4f84-b6ff-bee3a7858942	Bjurholm Municipality	Bjurholm Municipality	4	0	2013-07-16 11:48:52.969463+02	\N	\N	\N	\N	\N	\N	f	
12925	c96bbddf-285d-4d0e-a0e6-4c24ffe3d42f	Munkedal Municipality	Munkedal Municipality	4	0	2013-07-16 11:49:25.557271+02	\N	\N	\N	\N	\N	\N	f	
14097	d8a90684-70df-4766-a298-145157505fd4	San Vittore del Lazio	San Vittore del Lazio	4	0	2013-07-21 20:22:25.420866+02	\N	\N	\N	\N	\N	\N	f	
12926	50bd6bf4-fae6-4552-8d3f-3543a0191c2d	Köping Municipality	Köping Municipality	4	0	2013-07-16 11:49:43.662607+02	\N	\N	\N	\N	\N	\N	f	
13015	ecd0c7e2-b32f-4018-b37f-f2ed96d6666e	Svenljunga Municipality	Svenljunga Municipality	4	0	2013-07-16 12:10:23.519243+02	\N	\N	\N	\N	\N	\N	f	
12936	4474169d-c358-4e68-8813-b5bdcc2f9e10	Laholm Municipality	Laholm Municipality	4	0	2013-07-16 11:52:47.086736+02	\N	\N	\N	\N	\N	\N	f	
12939	9dc77ec1-6b95-4f23-93f5-6e69eb0d3a5f	Gällivare Municipality	Gällivare Municipality	4	0	2013-07-16 11:54:02.871429+02	\N	\N	\N	\N	\N	\N	f	
12942	06928fa1-36b0-4a9c-ac1d-23d3b1f7bf14	Ekerö municipality	Ekerö municipality	4	0	2013-07-16 11:54:42.995939+02	\N	\N	\N	\N	\N	\N	f	
13027	da7737ca-f1b4-445c-b636-5f0f2cc7dc79	Tjörn Municipality	Tjörn Municipality	4	0	2013-07-16 12:12:41.834666+02	\N	\N	\N	\N	\N	\N	f	
12954	c88cfdc3-7035-437f-874b-ec4ef8d88184	Härryda Municipality	Härryda Municipality	4	0	2013-07-16 11:57:20.085744+02	\N	\N	\N	\N	\N	\N	f	
12956	5d55ef3b-4484-48a1-9237-6bd8ccefca23	Kil Municipality	Kil Municipality	4	0	2013-07-16 11:57:43.062227+02	\N	\N	\N	\N	\N	\N	f	
12964	947432ce-6f64-4022-badc-9d25bc99c3d7	Strömstad Municipality	Strömstad Municipality	4	0	2013-07-16 11:59:12.56719+02	\N	\N	\N	\N	\N	\N	f	
13029	f9953f49-dabb-4770-b226-bda27f840adf	Falun Municipality	Falun Municipality	4	0	2013-07-16 12:13:04.913201+02	\N	\N	\N	\N	\N	\N	f	
12969	1fd25fd9-620c-4b0d-a7b8-1c71a0c1a2d2	Karlstad Municipality	Karlstad Municipality	4	0	2013-07-16 12:00:10.278919+02	\N	\N	\N	\N	\N	\N	f	
12979	8bb57a4c-d01c-4385-bbf2-9d8a23087509	Odder Municipality	Odder Municipality	4	0	2013-07-16 12:02:08.574435+02	\N	\N	\N	\N	\N	\N	f	
14107	29833dd4-7188-4672-86a7-745056ec28a1	Trevi nel Lazio	Trevi nel Lazio	4	0	2013-07-21 20:24:42.375618+02	\N	\N	\N	\N	\N	\N	f	
12986	3496149f-25d6-4083-a14a-c51d761bedbd	Jammerbugt Municipality	Jammerbugt Municipality	4	0	2013-07-16 12:04:24.433241+02	\N	\N	\N	\N	\N	\N	f	
13036	b08f1936-48fc-447f-ab05-5907f048b1d9	Malung-Sälen Municipality	Malung-Sälen Municipality	4	0	2013-07-16 12:14:52.650136+02	\N	\N	\N	\N	\N	\N	f	
12989	d0a132d4-055a-4854-bc80-a556a4bb8a55	Vansbro Municipality	Vansbro Municipality	4	0	2013-07-16 12:05:09.975493+02	\N	\N	\N	\N	\N	\N	f	
12992	913190a2-064d-409d-9aa3-61da773f13d4	Strängnäs Municipality	Strängnäs Municipality	4	0	2013-07-16 12:05:49.485021+02	\N	\N	\N	\N	\N	\N	f	
13003	a8d22f3b-4a5c-43f6-b4c6-beb88612488a	Habo Municipality	Habo Municipality	4	0	2013-07-16 12:08:05.467285+02	\N	\N	\N	\N	\N	\N	f	
13062	75635d69-5266-40a0-9131-6baa1078b9ba	Nynäshamn municipality	Nynäshamn municipality	4	0	2013-07-16 12:20:45.54261+02	\N	\N	\N	\N	\N	\N	f	
15865	78e4f1f2-8d98-49bb-a2ba-907e916c9ba9	Livorno Ferraris	Livorno Ferraris	4	0	2013-07-22 02:20:45.573315+02	\N	\N	\N	\N	\N	\N	f	
14669	fd434710-9827-41b8-9905-b7d8d1304c58	Benna	Benna	4	0	2013-07-21 22:29:55.334316+02	\N	\N	\N	\N	\N	\N	f	
15291	89dfe2c0-2677-4e69-8459-21bc0b015ba1	Vicoforte	Vicoforte	4	0	2013-07-22 00:12:14.599398+02	\N	\N	\N	\N	\N	\N	f	
15343	c30fe6cd-470d-44b3-9169-b00644285d95	Rapallo	Rapallo	4	0	2013-07-22 00:24:14.426518+02	\N	\N	\N	\N	\N	\N	f	
15866	94a25577-1a51-487a-9f9a-d031538c20f2	San Giacomo Vercellese	San Giacomo Vercellese	4	0	2013-07-22 02:20:58.484936+02	\N	\N	\N	\N	\N	\N	f	
17799	5ce3c665-9b03-4053-84eb-6c23cf29ed13	Seregno	Seregno	4	0	2013-07-22 07:11:42.537446+02	\N	\N	\N	\N	\N	\N	f	
16735	c9bdbba0-5c21-40bf-a8b9-c3c4bb4f4be5	Vigo di Fassa	Vigo di Fassa	4	0	2013-07-22 04:23:15.869651+02	\N	\N	\N	\N	\N	\N	f	
16832	f2e73ceb-5653-47a5-9d1d-bb259bc8b6af	Lendinara	Lendinara	4	0	2013-07-22 04:48:18.63887+02	\N	\N	\N	\N	\N	\N	f	
16891	ddcfea4a-fe9c-4370-a98c-f798c4f3635c	Villafranca Padovana	Villafranca Padovana	4	0	2013-07-22 05:03:02.641337+02	\N	\N	\N	\N	\N	\N	f	
17805	3f95d39a-1443-420f-89be-a80219006355	Torre d'Arese	Torre d'Arese	4	0	2013-07-22 07:12:53.843459+02	\N	\N	\N	\N	\N	\N	f	
16948	340fd0c3-a9b5-4dbc-9069-039512729c6c	Saonara	Saonara	4	0	2013-07-22 05:17:45.240862+02	\N	\N	\N	\N	\N	\N	f	
18814	8a858777-519f-4c9c-9b3b-121a90b1431a	Luisago	Luisago	4	0	2013-07-22 09:17:22.414952+02	\N	\N	\N	\N	\N	\N	f	
17860	683e8063-03f8-4445-a485-b07caac0a9c3	Rogolo	Rogolo	4	0	2013-07-22 07:19:14.179589+02	\N	\N	\N	\N	\N	\N	f	
17876	bf871854-5c4b-4588-a6f4-2e9e71e426cc	San Genesio ed Uniti	San Genesio ed Uniti	4	0	2013-07-22 07:21:18.588807+02	\N	\N	\N	\N	\N	\N	f	
18818	17246234-c5c4-410f-8e15-866d8a3a9ac0	Vestenanova	Vestenanova	4	0	2013-07-22 09:17:49.796757+02	\N	\N	\N	\N	\N	\N	f	
23920	6e838edb-b1ad-4bbd-9f78-bf44b9110562	Anniston	Anniston	3	0	2013-09-06 20:56:34.517361+02	\N	\N	\N	\N	\N	\N	f	
18710	9aad5220-a875-4064-baa9-6c644b71182d	San Stino di Livenza	San Stino di Livenza	4	0	2013-07-22 09:04:44.259703+02	\N	\N	\N	\N	\N	\N	f	
18733	762f9f80-b8f7-42ca-9f35-878afc8f9f32	Bovolone	Bovolone	4	0	2013-07-22 09:07:43.550855+02	\N	\N	\N	\N	\N	\N	f	
18910	324dedb5-5f02-4ab9-b5a8-9eb93a734f69	Bompensiere	Bompensiere	4	0	2013-07-22 09:29:05.391631+02	\N	\N	\N	\N	\N	\N	f	
18836	ad4a6094-8425-4bc8-b007-6150a1bd1d37	Roncade	Roncade	4	0	2013-07-22 09:20:03.322324+02	\N	\N	\N	\N	\N	\N	f	
18877	700dd05d-4a90-4ab2-9a44-0e99070666b1	Mussomeli	Mussomeli	4	0	2013-07-22 09:24:50.356594+02	\N	\N	\N	\N	\N	\N	f	
20936	30d04c1a-a902-45dd-8d09-b0a088a32df8	San Prisco	San Prisco	4	0	2013-07-23 17:33:56.420002+02	\N	\N	\N	\N	\N	\N	f	
20049	dc822ff0-5a26-4610-8c1c-b44e7f60f06f	Arzene	Arzene	4	0	2013-07-22 12:12:54.523023+02	\N	\N	\N	\N	\N	\N	f	
18949	3657d52d-9117-46b3-9eb6-510c89c3a1df	Mirabella Imbaccari	Mirabella Imbaccari	4	0	2013-07-22 09:33:39.113367+02	\N	\N	\N	\N	\N	\N	f	
20079	2f43bd50-bada-4c10-a2a5-2c585c046b0c	Savogna d'Isonzo	Savogna d'Isonzo	4	0	2013-07-22 12:16:39.72745+02	\N	\N	\N	\N	\N	\N	f	
21138	d3fb217e-d90c-4baf-8684-066d8be836cc	Albanella	Albanella	4	0	2013-07-23 23:36:27.093568+02	\N	\N	\N	\N	\N	\N	f	
21037	385380cc-4359-48d3-8cff-8a92e9fca6fd	Cimitile	Cimitile	4	0	2013-07-23 20:35:59.473324+02	\N	\N	\N	\N	\N	\N	f	
20937	e37cac7d-3b32-4e2b-ba0c-5dab32b47a75	Sparanise	Sparanise	4	0	2013-07-23 17:34:08.932702+02	\N	\N	\N	\N	\N	\N	f	
21237	47593530-bf96-4bec-962e-1e0254a957e9	Roccadaspide	Roccadaspide	4	0	2013-07-24 02:36:40.550772+02	\N	\N	\N	\N	\N	\N	f	
21263	69ab059e-51b3-4d2b-99a7-52727e756e90	Barberino Val d'Elsa	Barberino Val d'Elsa	4	0	2013-07-24 02:42:18.180678+02	\N	\N	\N	\N	\N	\N	f	
21338	2544b196-e627-40b5-b7ad-3a98bf7d7e48	Andezeno	Andezeno	4	0	2013-07-24 05:37:58.489105+02	\N	\N	\N	\N	\N	\N	f	
21437	a35319b4-df03-4e5b-ad8f-4537b68fe0bf	Casalborgone	Casalborgone	4	0	2013-07-24 08:37:28.917071+02	\N	\N	\N	\N	\N	\N	f	
21449	576d0ee1-034a-4efd-891e-df72f7f34235	Castellamonte	Castellamonte	4	0	2013-07-24 08:40:21.463301+02	\N	\N	\N	\N	\N	\N	f	
21539	1dc90a77-92ae-430f-a201-a888f88d23d8	Casalfiumanese	Casalfiumanese	4	0	2013-07-24 11:38:19.044971+02	\N	\N	\N	\N	\N	\N	f	
24004	ab190f70-34e5-47e6-97ee-644bc5f619ca	Apalachicola, Florida	Apalachicola, Florida	3	0	2013-09-06 23:47:46.479345+02	\N	\N	\N	\N	\N	\N	f	
24103	71e8e22b-6e58-47fb-9296-faecfcad5307	Ucon	Ucon	3	0	2013-09-07 02:39:09.920773+02	\N	\N	\N	\N	\N	\N	f	
24347	ad7b68f7-179e-431f-baac-6dd2aca15800	Omega, Georgia	Omega, Georgia	3	0	2013-09-07 06:21:53.603651+02	\N	\N	\N	\N	\N	\N	f	
12927	4cfd2f8e-d238-40eb-aac6-88dcf49679f1	Lomma Municipality	Lomma Municipality	4	0	2013-07-16 11:50:01.217432+02	\N	\N	\N	\N	\N	\N	f	
12929	aac81998-da4e-49cd-916b-b7d402b4c191	Skellefteå Municipality	Skellefteå Municipality	4	0	2013-07-16 11:50:25.436463+02	\N	\N	\N	\N	\N	\N	f	
12931	417163c1-916c-40d5-98d1-cdd9d2bbcca7	Mariestad Municipality	Mariestad Municipality	4	0	2013-07-16 11:50:49.564072+02	\N	\N	\N	\N	\N	\N	f	
14099	240bd92c-afb3-499f-9e35-b58cbea6f4e3	Trivigliano	Trivigliano	4	0	2013-07-21 20:22:57.861485+02	\N	\N	\N	\N	\N	\N	f	
12932	0db9dbfa-3535-43e6-88ab-7bb085e1d006	Hallstahammar Municipality	Hallstahammar Municipality	4	0	2013-07-16 11:51:10.993184+02	\N	\N	\N	\N	\N	\N	f	
12938	0ef62cf1-e053-442f-ac9e-01522183507e	Gladsaxe Municipality	Gladsaxe Municipality	4	0	2013-07-16 11:53:23.839401+02	\N	\N	\N	\N	\N	\N	f	
12943	b1863d4a-0334-460e-8e28-a316120d062a	Täby municipality	Täby municipality	4	0	2013-07-16 11:54:54.666002+02	\N	\N	\N	\N	\N	\N	f	
14224	74e2908a-6dca-46d8-8fd5-688ce1b1aa2b	Reggio Emilia	Reggio Emilia	4	0	2013-07-21 20:50:29.013642+02	\N	\N	\N	\N	\N	\N	f	
12946	8b08cfbb-1f23-4468-931d-18c56380a29d	Lyngby-Taarbæk Municipality	Lyngby-Taarbæk Municipality	4	0	2013-07-16 11:55:32.182149+02	\N	\N	\N	\N	\N	\N	f	
12962	00631372-67fa-482c-b959-98afcbb44041	Eda Municipality	Eda Municipality	4	0	2013-07-16 11:58:49.773498+02	\N	\N	\N	\N	\N	\N	f	
15867	40a9c624-f00c-4551-8e03-131bc85bd485	Riva Valdobbia	Riva Valdobbia	4	0	2013-07-22 02:21:13.891789+02	\N	\N	\N	\N	\N	\N	f	
12968	3eb6db31-11de-4c2c-948c-d356fbc523b5	Karlsborg Municipality	Karlsborg Municipality	4	0	2013-07-16 11:59:58.740677+02	\N	\N	\N	\N	\N	\N	f	
14316	86e68d32-e6a9-4b0a-930b-5385b108de7b	Grotte di Castro	Grotte di Castro	4	0	2013-07-21 21:10:52.836994+02	\N	\N	\N	\N	\N	\N	f	
12970	23a58d9f-bd28-4f8a-9bee-f2d30444a0d8	Ale Municipality	Ale Municipality	4	0	2013-07-16 12:00:22.173404+02	\N	\N	\N	\N	\N	\N	f	
12971	c92fe54e-3222-40c2-a65c-60ce773845ce	Kungsbacka Municipality	Kungsbacka Municipality	4	0	2013-07-16 12:00:36.049699+02	\N	\N	\N	\N	\N	\N	f	
13017	86260f7d-916c-4c59-aa16-45a72617294b	Essunga Municipality	Essunga Municipality	4	0	2013-07-16 12:10:46.564033+02	\N	\N	\N	\N	\N	\N	f	
14670	0c8ab553-07dc-4480-ac18-45803820aa68	Vigliano d'Asti	Vigliano d'Asti	4	0	2013-07-21 22:30:07.10092+02	\N	\N	\N	\N	\N	\N	f	
13032	4ba621d3-46d8-4b29-8c46-d2338f600b23	Töreboda Municipality	Töreboda Municipality	4	0	2013-07-16 12:13:39.934324+02	\N	\N	\N	\N	\N	\N	f	
13033	06f004dc-83e7-4662-a9b1-09707e84429e	Oskarshamn Municipality	Oskarshamn Municipality	4	0	2013-07-16 12:13:59.208772+02	\N	\N	\N	\N	\N	\N	f	
13048	cc33ad7a-3e13-4905-be43-0735e9e0d2eb	Simrishamn Municipality	Simrishamn Municipality	4	0	2013-07-16 12:18:02.367088+02	\N	\N	\N	\N	\N	\N	f	
14694	29b1f4bf-464a-4cec-818c-432f5d945d72	Mosso, Piedmont	Mosso, Piedmont	4	0	2013-07-21 22:35:08.078273+02	\N	\N	\N	\N	\N	\N	f	
13067	87dbc04c-8167-4c29-b2ee-ff948f7f4b0d	Perstorp Municipality	Perstorp Municipality	4	0	2013-07-16 12:21:42.756448+02	\N	\N	\N	\N	\N	\N	f	
13076	a6825a05-cf7a-4789-8219-6ecde0586768	Storfors Municipality	Storfors Municipality	4	0	2013-07-16 12:23:32.861548+02	\N	\N	\N	\N	\N	\N	f	
15988	7ecc5054-ae3c-4b86-9c0c-73ce417cc50b	Cavalese	Cavalese	4	0	2013-07-22 02:39:02.420558+02	\N	\N	\N	\N	\N	\N	f	
15294	c6531e1a-a85f-40f7-996d-44145bd110fe	Macerata Feltria	Macerata Feltria	4	0	2013-07-22 00:13:02.52421+02	\N	\N	\N	\N	\N	\N	f	
17801	6c0eeddd-1155-4aa2-8898-cab068d22542	Costa de' Nobili	Costa de' Nobili	4	0	2013-07-22 07:12:17.777005+02	\N	\N	\N	\N	\N	\N	f	
15995	7482dd31-c859-4b80-8702-f22d7da950a4	Pieve Ligure	Pieve Ligure	4	0	2013-07-22 02:39:51.316177+02	\N	\N	\N	\N	\N	\N	f	
21153	bea26dc9-60bf-4265-a539-71253c98ad79	Ceraso	Ceraso	4	0	2013-07-23 23:39:40.986957+02	\N	\N	\N	\N	\N	\N	f	
16038	36177eb4-203f-4e8e-8891-8ab5f98d4ab0	Camporosso	Camporosso	4	0	2013-07-22 02:45:25.580615+02	\N	\N	\N	\N	\N	\N	f	
17818	81dc8dab-25c3-488c-862a-4756d75fea8a	Oggiona con Santo Stefano	Oggiona con Santo Stefano	4	0	2013-07-22 07:14:23.586299+02	\N	\N	\N	\N	\N	\N	f	
16737	b4f59d5a-f1fd-40e2-9775-ba1e691f13fe	Vezzano, Trentino	Vezzano, Trentino	4	0	2013-07-22 04:23:46.958821+02	\N	\N	\N	\N	\N	\N	f	
20050	a16a6c34-ca60-4497-99b8-1bfc506d8621	Cimolais	Cimolais	4	0	2013-07-22 12:13:07.701447+02	\N	\N	\N	\N	\N	\N	f	
24882	27a76590-bce3-431e-9581-534d966d6ed9	Riverton	Riverton	3	0	2013-09-07 08:59:10.936323+02	\N	\N	\N	\N	\N	\N	f	
18713	289b6440-b530-42c5-afbd-2692be0a928b	San Vendemiano	San Vendemiano	4	0	2013-07-22 09:04:59.041169+02	\N	\N	\N	\N	\N	\N	f	
20091	7d5419ad-a2f3-4121-98be-dfe7345cf896	Cordovado	Cordovado	4	0	2013-07-22 12:18:12.651552+02	\N	\N	\N	\N	\N	\N	f	
21174	f5fbee05-fca5-4f6c-b31d-2d8ea283951b	Celle di Bulgheria	Celle di Bulgheria	4	0	2013-07-23 23:44:40.652438+02	\N	\N	\N	\N	\N	\N	f	
20100	b4953ec2-d70a-41e0-9032-ba095cd59eb0	Arta Terme	Arta Terme	4	0	2013-07-22 12:19:38.198398+02	\N	\N	\N	\N	\N	\N	f	
20938	46a5e631-c96e-4adf-9371-51f114224cd5	San Felice a Cancello	San Felice a Cancello	4	0	2013-07-23 17:34:21.16866+02	\N	\N	\N	\N	\N	\N	f	
20969	b37b896a-2838-46b1-a4e6-419f2b491caf	Novara	Novara	4	0	2013-07-23 17:41:14.146015+02	\N	\N	\N	\N	\N	\N	f	
21182	9349ab21-1e2a-451c-86c0-d6407c19d158	Eboli	Eboli	4	0	2013-07-23 23:46:30.643007+02	\N	\N	\N	\N	\N	\N	f	
21008	bc49617e-7b66-4a40-8e2c-831b38c935f8	Acerra	Acerra	4	0	2013-07-23 17:51:06.210047+02	\N	\N	\N	\N	\N	\N	f	
21039	c8086a5b-8e96-4efe-bce9-0e61b1791f07	Pomigliano d'Arco	Pomigliano d'Arco	4	0	2013-07-23 20:36:27.249234+02	\N	\N	\N	\N	\N	\N	f	
21438	ba8271b4-cef6-4b24-840f-babb4a9037fe	Ceres, Piedmont	Ceres, Piedmont	4	0	2013-07-24 08:37:54.339682+02	\N	\N	\N	\N	\N	\N	f	
21053	911caa07-bbe4-4e1f-bca8-a715a6200809	Frattamaggiore	Frattamaggiore	4	0	2013-07-23 20:39:52.062018+02	\N	\N	\N	\N	\N	\N	f	
21238	38e8a63e-b181-468d-9613-39850574d302	Sala Consilina	Sala Consilina	4	0	2013-07-24 02:36:53.11926+02	\N	\N	\N	\N	\N	\N	f	
21140	7ecac89b-8238-4da6-ada7-94607b851f2d	Battipaglia	Battipaglia	4	0	2013-07-23 23:36:51.759256+02	\N	\N	\N	\N	\N	\N	f	
21149	311d484c-54ed-4f46-8f0c-795367bdcb33	Giffoni Sei Casali	Giffoni Sei Casali	4	0	2013-07-23 23:38:52.261928+02	\N	\N	\N	\N	\N	\N	f	
24348	b26afb73-1006-4bf9-a5be-e4a1a2872886	Lovejoy, Georgia	Lovejoy, Georgia	3	0	2013-09-07 06:22:11.636049+02	\N	\N	\N	\N	\N	\N	f	
21257	80b68939-7600-426d-b487-c48a89433d3d	Teggiano	Teggiano	4	0	2013-07-24 02:41:03.400837+02	\N	\N	\N	\N	\N	\N	f	
23921	0501c827-d688-404a-ba62-4e1bb551bb03	Archie	Archie	3	0	2013-09-06 20:56:52.777299+02	\N	\N	\N	\N	\N	\N	f	
21339	2ce5bb93-e439-4eee-a6c2-a19e2017a310	Ala di Stura	Ala di Stura	4	0	2013-07-24 05:38:13.823217+02	\N	\N	\N	\N	\N	\N	f	
21357	75dda48f-8917-4fa6-9e02-2b39e09b037e	Brusasco	Brusasco	4	0	2013-07-24 05:42:47.45932+02	\N	\N	\N	\N	\N	\N	f	
21510	2d7ee425-d10e-45b2-94f7-f52c77d6eb35	Lugnacco	Lugnacco	4	0	2013-07-24 08:55:37.836167+02	\N	\N	\N	\N	\N	\N	f	
21540	1e50a1d0-6d29-4981-9dfe-100fdbe7ebee	Casalecchio di Reno	Casalecchio di Reno	4	0	2013-07-24 11:38:31.24724+02	\N	\N	\N	\N	\N	\N	f	
24391	600c457f-950e-42d0-a1ce-b80a1fa01857	Molena, Georgia	Molena, Georgia	3	0	2013-09-07 06:33:45.824968+02	\N	\N	\N	\N	\N	\N	f	
24369	2fc8ab0b-dde8-4788-b4dc-47df78ea867e	Kingsland, Georgia	Kingsland, Georgia	3	0	2013-09-07 06:28:09.947241+02	\N	\N	\N	\N	\N	\N	f	
24005	aadae6af-521b-4cf7-bfc3-1cfb4f0c0797	Leesburg	Leesburg	3	0	2013-09-06 23:48:06.626621+02	\N	\N	\N	\N	\N	\N	f	
24104	16c019e0-5678-4ac5-84aa-76fed3742ea8	Wilder	Wilder	3	0	2013-09-07 02:39:32.224603+02	\N	\N	\N	\N	\N	\N	f	
24451	6daba32f-1067-4e2a-bc8f-c5fbd33d3a73	Pine Lake, Georgia	Pine Lake, Georgia	3	0	2013-09-07 06:48:25.272451+02	\N	\N	\N	\N	\N	\N	f	
24432	e99dab6e-fa94-4499-b757-fd1c9a7015d4	Norman Park, Georgia	Norman Park, Georgia	3	0	2013-09-07 06:43:47.345448+02	\N	\N	\N	\N	\N	\N	f	
25409	57991502-0aa2-451c-8063-4c22327a6a90	Ewing, Kentucky	Ewing, Kentucky	3	0	2013-09-07 11:43:27.541499+02	\N	\N	\N	\N	\N	\N	f	
25991	60dabb54-ce98-40da-8931-6e3ef688b61c	Alta Vista, Kansas	Alta Vista, Kansas	3	0	2013-09-07 17:40:29.053092+02	\N	\N	\N	\N	\N	\N	f	
26048	a1a01de7-7031-4f9d-8dad-17933de9780a	White City	White City	3	0	2013-09-07 17:56:11.082958+02	\N	\N	\N	\N	\N	\N	f	
26050	d43bbb99-22bb-4d1c-870a-e3177aacdbf2	Claflin	Claflin	3	0	2013-09-07 17:56:49.768168+02	\N	\N	\N	\N	\N	\N	f	
26083	77d7328a-d5fa-4436-bd40-13693d667364	Strathmoor Village, Kentucky	Strathmoor Village, Kentucky	3	0	2013-09-07 18:05:47.430191+02	\N	\N	\N	\N	\N	\N	f	
26348	eec81e69-8042-4e63-a301-f001a1efc8f8	Palos Hills	Palos Hills	3	0	2013-09-07 23:32:12.208379+02	\N	\N	\N	\N	\N	\N	f	
26642	2ae1a6f7-2709-4213-9692-b3ecf1dbe7d7	Bettendorf, Iowa	Bettendorf, Iowa	3	0	2013-09-08 01:51:08.120046+02	\N	\N	\N	\N	\N	\N	f	
12934	a6cc8f6d-dc77-4835-b720-cc265e09b328	Kungsör Municipality	Kungsör Municipality	4	0	2013-07-16 11:51:36.194465+02	\N	\N	\N	\N	\N	\N	f	
12967	d003ddf1-84fe-4d34-a3fc-b11af78eddac	Storuman Municipality	Storuman Municipality	4	0	2013-07-16 11:59:47.248949+02	\N	\N	\N	\N	\N	\N	f	
14100	c7496c86-8810-482a-838b-9db26d3596ec	Sant'Apollinare	Sant'Apollinare	4	0	2013-07-21 20:23:10.665159+02	\N	\N	\N	\N	\N	\N	f	
14142	8ee15a15-7621-4de3-93bb-c12799b38802	Poggio San Marcello	Poggio San Marcello	4	0	2013-07-21 20:32:28.661654+02	\N	\N	\N	\N	\N	\N	f	
15868	9bdeacd5-e16d-4f94-a08a-d006eb99ed87	Olgiate Olona	Olgiate Olona	4	0	2013-07-22 02:21:26.399371+02	\N	\N	\N	\N	\N	\N	f	
14218	f0ebc708-9670-4af5-8350-c2842976a466	Vibo Valentia	Vibo Valentia	4	0	2013-07-21 20:49:17.650284+02	\N	\N	\N	\N	\N	\N	f	
14223	e7648428-8092-4c4d-9588-bf64c373af16	Massa	Massa	4	0	2013-07-21 20:50:16.21045+02	\N	\N	\N	\N	\N	\N	f	
14234	b08a8637-2fc6-4b06-adde-3ea76cf290ed	Pistoia	Pistoia	4	0	2013-07-21 20:52:28.284079+02	\N	\N	\N	\N	\N	\N	f	
16738	821259e1-7a1e-4b05-b40e-dd8b0e241714	Villa Lagarina	Villa Lagarina	4	0	2013-07-22 04:24:01.780092+02	\N	\N	\N	\N	\N	\N	f	
14235	a44290f3-1b16-4d64-965e-454c8dc92f42	Arezzo	Arezzo	4	0	2013-07-21 20:52:39.935384+02	\N	\N	\N	\N	\N	\N	f	
14672	c5c456f7-988e-4f3e-af4d-c827efe00bd1	Vetralla	Vetralla	4	0	2013-07-21 22:30:33.945713+02	\N	\N	\N	\N	\N	\N	f	
25411	a7a6e909-eadd-4d9a-91e1-285fce8b1c46	Nickerson, Kansas	Nickerson, Kansas	3	0	2013-09-07 11:43:54.528873+02	\N	\N	\N	\N	\N	\N	f	
15298	3a168b3a-5100-48c1-a919-73e800727869	Mondavio	Mondavio	4	0	2013-07-22 00:14:05.375692+02	\N	\N	\N	\N	\N	\N	f	
16777	1b7939ef-308e-439b-b43d-a5986501e23a	Aglientu	Aglientu	4	0	2013-07-22 04:34:31.049645+02	\N	\N	\N	\N	\N	\N	f	
15302	369253dd-a18d-4bfe-b5c7-8bb61f65f8c9	Gradara	Gradara	4	0	2013-07-22 00:15:04.191807+02	\N	\N	\N	\N	\N	\N	f	
17829	83e0a52c-910a-4165-86c5-66b8c757b2f8	Brunello	Brunello	4	0	2013-07-22 07:15:46.99303+02	\N	\N	\N	\N	\N	\N	f	
20052	fee87309-0aea-426a-893e-feacf70c9bdc	Budoia	Budoia	4	0	2013-07-22 12:13:23.245786+02	\N	\N	\N	\N	\N	\N	f	
17917	8de1db23-64d8-4fd4-8da0-51512f6c3f85	Lazzate	Lazzate	4	0	2013-07-22 07:26:07.088578+02	\N	\N	\N	\N	\N	\N	f	
17937	9dcf5a6d-0476-4c6b-b4b7-84d91e92e7ff	Glurns	Glurns	4	0	2013-07-22 07:28:46.499655+02	\N	\N	\N	\N	\N	\N	f	
18002	9262bf3f-15e9-476e-babc-9b2fbcc0d997	Borgofranco sul Po	Borgofranco sul Po	4	0	2013-07-22 07:36:02.143811+02	\N	\N	\N	\N	\N	\N	f	
20939	f79eb2c1-f3e3-45f0-a191-5484660c0986	Roccamonfina	Roccamonfina	4	0	2013-07-23 17:34:33.404973+02	\N	\N	\N	\N	\N	\N	f	
18011	cc06c81e-8aa0-4d4d-8004-9536ac4893d3	Cervignano d'Adda	Cervignano d'Adda	4	0	2013-07-22 07:37:02.446311+02	\N	\N	\N	\N	\N	\N	f	
18024	2ddfa4b3-129e-4ac2-8eb8-31dee654feed	Ticengo	Ticengo	4	0	2013-07-22 07:38:25.787824+02	\N	\N	\N	\N	\N	\N	f	
21553	e855427e-2ada-4ce7-91fd-47c6e523f392	Sant'Angelo in Pontano	Sant'Angelo in Pontano	4	0	2013-07-24 11:41:29.68379+02	\N	\N	\N	\N	\N	\N	f	
18715	cd0d61a9-593a-43fa-b3ef-13f6c0bfc4e1	Solbiate	Solbiate	4	0	2013-07-22 09:05:28.317552+02	\N	\N	\N	\N	\N	\N	f	
20940	e3cc9594-7d63-40ae-8d87-ed21e030bf35	San Gregorio Matese	San Gregorio Matese	4	0	2013-07-23 17:34:45.715505+02	\N	\N	\N	\N	\N	\N	f	
18726	8420ea86-b164-4f5c-874e-9b09bdd79397	Trissino	Trissino	4	0	2013-07-22 09:06:58.528747+02	\N	\N	\N	\N	\N	\N	f	
18734	614111ff-3aad-4ef6-a247-321b14fcf2cb	Fossalta di Piave	Fossalta di Piave	4	0	2013-07-22 09:07:56.005984+02	\N	\N	\N	\N	\N	\N	f	
25491	1bb506e9-2d85-45f4-9cc0-9c3e202895cc	Muscotah, Kansas	Muscotah, Kansas	3	0	2013-09-07 12:04:18.501015+02	\N	\N	\N	\N	\N	\N	f	
20945	c8264b3a-25c3-403d-a7ad-25a43f2a747d	Recale	Recale	4	0	2013-07-23 17:35:50.529505+02	\N	\N	\N	\N	\N	\N	f	
18805	202df2c3-c131-4139-918a-cf5671c15b93	Ritten	Ritten	4	0	2013-07-22 09:16:13.476424+02	\N	\N	\N	\N	\N	\N	f	
27150	c7b84d8a-36d6-4500-b0f1-65e9f94bb394	Rock Hill	Rock Hill	3	0	2013-09-08 05:42:16.676549+02	\N	\N	\N	\N	\N	\N	f	
18866	01c5aa69-10a1-4441-87ca-72d610c74f70	Pressana	Pressana	4	0	2013-07-22 09:23:28.539416+02	\N	\N	\N	\N	\N	\N	f	
20965	798156b3-aa3b-4837-93eb-c4d6fcb1dbb0	Valle di Maddaloni	Valle di Maddaloni	4	0	2013-07-23 17:40:09.320803+02	\N	\N	\N	\N	\N	\N	f	
25992	42b04b1c-cd2c-4ae3-a961-f2edcdc7174c	Allen, Kansas	Allen, Kansas	3	0	2013-09-07 17:40:44.160837+02	\N	\N	\N	\N	\N	\N	f	
21040	35b8c02d-aa56-4d58-9968-fe038df6aea8	Poggiomarino	Poggiomarino	4	0	2013-07-23 20:36:41.449458+02	\N	\N	\N	\N	\N	\N	f	
21045	01d4b850-1008-4fb4-be52-f611d1fe7274	Qualiano	Qualiano	4	0	2013-07-23 20:38:01.375994+02	\N	\N	\N	\N	\N	\N	f	
21048	5a1abb17-31d8-4d52-ae3f-53454a935556	Nola	Nola	4	0	2013-07-23 20:38:41.382455+02	\N	\N	\N	\N	\N	\N	f	
23922	daab399f-dddc-4afd-9c38-0bba441266c2	Alborz	Alborz	2	0	2013-09-06 20:58:17.445519+02	\N	\N	\N	\N	\N	\N	f	
21142	cf57b10b-20f1-4995-a27b-b0d43b9af20b	Casal Velino	Casal Velino	4	0	2013-07-23 23:37:15.798241+02	\N	\N	\N	\N	\N	\N	f	
21239	f0bd91e1-4415-42c0-9469-d95a99a98dc7	San Gregorio Magno	San Gregorio Magno	4	0	2013-07-24 02:37:06.28215+02	\N	\N	\N	\N	\N	\N	f	
21340	9a027055-d700-43c3-83d4-33a4f5a1d8c8	Val della Torre	Val della Torre	4	0	2013-07-24 05:38:30.487114+02	\N	\N	\N	\N	\N	\N	f	
24007	92e3f692-3f00-476d-80f0-2e1876e54255	Delta, Colorado	Delta, Colorado	3	0	2013-09-06 23:48:38.690877+02	\N	\N	\N	\N	\N	\N	f	
21440	7bb07021-9af3-465f-a6e9-aafe898efe18	Chialamberto	Chialamberto	4	0	2013-07-24 08:38:20.544012+02	\N	\N	\N	\N	\N	\N	f	
25999	4fae6941-6dff-4ac2-b04b-aa3d77ad7d54	McFarland	McFarland	3	0	2013-09-07 17:42:38.622387+02	\N	\N	\N	\N	\N	\N	f	
21541	6c455a13-2a9c-4900-b8e6-371c1244d00b	Castiglione dei Pepoli	Castiglione dei Pepoli	4	0	2013-07-24 11:38:43.298613+02	\N	\N	\N	\N	\N	\N	f	
24106	9bf5e2dc-58ba-4c5f-8916-76d9f2c178d8	Sugar City	Sugar City	3	0	2013-09-07 02:40:17.711464+02	\N	\N	\N	\N	\N	\N	f	
27513	6fcf039a-2496-4a63-b639-bf46bfa46f9b	Verona, North Dakota	Verona, North Dakota	3	0	2013-09-08 08:29:34.441434+02	\N	\N	\N	\N	\N	\N	f	
24350	d00dfe98-01d0-478e-8e03-2ed4b4362dd6	Hiram, Georgia	Hiram, Georgia	3	0	2013-09-07 06:22:59.656413+02	\N	\N	\N	\N	\N	\N	f	
26349	1def44a2-3b7e-4584-b16d-fc0a67beaeb6	Cambridge, Kansas	Cambridge, Kansas	3	0	2013-09-07 23:32:26.901359+02	\N	\N	\N	\N	\N	\N	f	
24884	2f856aef-ab7f-4c1e-af45-096f9bb645a2	Riverdale	Riverdale	3	0	2013-09-07 08:59:40.524441+02	\N	\N	\N	\N	\N	\N	f	
27434	0db693d4-add0-4c60-99dd-61a642ef21a7	Sentinel Butte, North Dakota	Sentinel Butte, North Dakota	3	0	2013-09-08 07:56:02.881414+02	\N	\N	\N	\N	\N	\N	f	
26643	129cbad9-945a-4f47-b7b6-385913a3e209	Berger, Missouri	Berger, Missouri	3	0	2013-09-08 01:51:26.244273+02	\N	\N	\N	\N	\N	\N	f	
27095	830d60d2-bcad-4392-9ac0-56e76930cacc	Trinity, North Carolina	Trinity, North Carolina	3	0	2013-09-08 05:22:18.312551+02	\N	\N	\N	\N	\N	\N	f	
27762	b4f4778a-cf7e-4688-8891-623593826913	Garber	Garber	3	0	2013-09-08 09:45:13.648772+02	\N	\N	\N	\N	\N	\N	f	
27445	4b274621-30a7-4665-961e-84665a329293	Braddock, North Dakota	Braddock, North Dakota	3	0	2013-09-08 07:58:42.56692+02	\N	\N	\N	\N	\N	\N	f	
27482	f26ddcdc-cff4-42f5-8278-3e4beb64ff86	Newton Falls	Newton Falls	3	0	2013-09-08 08:16:58.14984+02	\N	\N	\N	\N	\N	\N	f	
28190	9425cf9f-8166-4069-bf36-e46f249cd21c	Salsk	Salsk	3	0	2013-09-08 14:45:43.268722+02	\N	\N	\N	\N	\N	\N	f	
27766	01d1ac41-cc6b-499e-b130-189218c0dad5	Pawnee	Pawnee	3	0	2013-09-08 09:46:08.743692+02	\N	\N	\N	\N	\N	\N	f	
28092	712f00f0-65e2-4334-9daa-741e2e5d2265	Grozny	Grozny	3	0	2013-09-08 12:31:59.90021+02	\N	\N	\N	\N	\N	\N	f	
28098	d510febb-8202-40be-a0f7-1efa6a576230	Lebanon	Lebanon	3	0	2013-09-08 14:17:32.441986+02	\N	\N	\N	\N	\N	\N	f	
28313	151d258c-5fcf-4b9e-a991-0b6ec54c2a56	Lakesite, Tennessee	Lakesite, Tennessee	3	0	2013-09-08 16:48:03.857955+02	\N	\N	\N	\N	\N	\N	f	
28492	3622cef7-f364-4beb-b8c2-83fcfe92c4c2	Waverly, Tennessee	Waverly, Tennessee	3	0	2013-09-08 20:25:47.985044+02	\N	\N	\N	\N	\N	\N	f	
28544	740c926b-2ccd-4b6f-ba13-583e28e876d8	Malakoff, Texas	Malakoff, Texas	3	0	2013-09-08 20:43:43.51771+02	\N	\N	\N	\N	\N	\N	f	
28618	6a1448cd-c407-419a-8b09-a80fc188b171	Edom	Edom	3	0	2013-09-08 21:04:30.205347+02	\N	\N	\N	\N	\N	\N	f	
28733	b1b4252d-cf57-4a9f-9463-abee59def651	Royse City	Royse City	3	0	2013-09-08 23:43:38.474286+02	\N	\N	\N	\N	\N	\N	f	
28756	a0fa2598-b251-4df5-8517-face8a7c03cd	Browndell	Browndell	3	0	2013-09-08 23:50:25.842289+02	\N	\N	\N	\N	\N	\N	f	
28758	bf7f3e87-0ca0-4a70-901f-b58dd3b51bbe	Lott	Lott	3	0	2013-09-08 23:50:57.783707+02	\N	\N	\N	\N	\N	\N	f	
28948	e781dd6c-04c7-413d-9206-fee1f01d19b6	Wheeler	Wheeler	3	0	2013-09-09 01:37:07.895221+02	\N	\N	\N	\N	\N	\N	f	
29082	26da86fd-c6e5-4fdf-8c6e-96ff1212ebe7	Roslyn	Roslyn	3	0	2013-09-09 02:20:41.949965+02	\N	\N	\N	\N	\N	\N	f	
29231	cde47da8-eede-4cd5-a1b3-d2b9413d7c63	Waitsburg	Waitsburg	3	0	2013-09-09 04:12:14.22856+02	\N	\N	\N	\N	\N	\N	f	
12937	b657d7e4-94e6-48a4-8998-4d7a036db78a	Brøndby Municipality	Brøndby Municipality	4	0	2013-07-16 11:53:04.940942+02	\N	\N	\N	\N	\N	\N	f	
14102	ac0256b1-af7f-4df6-a79c-067e04884236	Vallemaio	Vallemaio	4	0	2013-07-21 20:23:37.927266+02	\N	\N	\N	\N	\N	\N	f	
14106	135698c9-99d6-43bb-a4ae-9dc5659b9da0	Terelle	Terelle	4	0	2013-07-21 20:24:30.316762+02	\N	\N	\N	\N	\N	\N	f	
15870	71b74e14-1c8c-4764-95f1-cbc10f93c2ab	Rimasco	Rimasco	4	0	2013-07-22 02:21:54.512523+02	\N	\N	\N	\N	\N	\N	f	
14117	e116d507-dd89-49da-8f63-f182dff402cc	Sant'Andrea del Garigliano	Sant'Andrea del Garigliano	4	0	2013-07-21 20:26:53.068883+02	\N	\N	\N	\N	\N	\N	f	
14140	90e454f0-18e6-46d6-b1aa-f1583542e868	Santa Maria Nuova, Marche	Santa Maria Nuova, Marche	4	0	2013-07-21 20:32:01.315701+02	\N	\N	\N	\N	\N	\N	f	
14673	ad32f678-da44-4f14-9088-1fe36c37bfb0	Vasanello	Vasanello	4	0	2013-07-21 22:30:45.982486+02	\N	\N	\N	\N	\N	\N	f	
16739	832f91c3-d019-41eb-a1b1-4214b67158af	Villa Rendena	Villa Rendena	4	0	2013-07-22 04:24:16.578689+02	\N	\N	\N	\N	\N	\N	f	
14741	66d65af8-fb2b-4091-bc7e-250045811f1d	Selve Marcone	Selve Marcone	4	0	2013-07-21 22:45:36.852694+02	\N	\N	\N	\N	\N	\N	f	
14838	a6288d34-30da-443e-8c95-8afe85f2bbe8	Albano Laziale	Albano Laziale	4	0	2013-07-21 23:07:10.032384+02	\N	\N	\N	\N	\N	\N	f	
17804	288d4c49-6933-4103-baaf-60d8aa1766dc	Albizzate	Albizzate	4	0	2013-07-22 07:12:41.829858+02	\N	\N	\N	\N	\N	\N	f	
15301	0f60404d-ffd1-4ea6-a829-0dfc3ca1562a	Valtopina	Valtopina	4	0	2013-07-22 00:14:48.092434+02	\N	\N	\N	\N	\N	\N	f	
16783	9d8d8155-09e3-446a-8614-5abea954bd32	Monti, Sardinia	Monti, Sardinia	4	0	2013-07-22 04:36:06.161549+02	\N	\N	\N	\N	\N	\N	f	
15311	9e229cbc-829a-4f56-8510-3b665848f789	Isola del Piano	Isola del Piano	4	0	2013-07-22 00:17:13.617375+02	\N	\N	\N	\N	\N	\N	f	
15321	c2ad7fba-c403-4bf4-acdd-dd54e8287a35	Montecopiolo	Montecopiolo	4	0	2013-07-22 00:19:33.28704+02	\N	\N	\N	\N	\N	\N	f	
16793	d7cb8e58-0eeb-40a6-ad02-16837611ac51	Badesi	Badesi	4	0	2013-07-22 04:38:33.525049+02	\N	\N	\N	\N	\N	\N	f	
16909	efaa11f6-f96a-4b79-ad22-eb92eb41d98e	Montagnana	Montagnana	4	0	2013-07-22 05:07:53.126814+02	\N	\N	\N	\N	\N	\N	f	
17874	698d1d56-e84b-435b-92be-147f209e19ce	Taibon Agordino	Taibon Agordino	4	0	2013-07-22 07:21:05.896891+02	\N	\N	\N	\N	\N	\N	f	
16949	d783945c-77ba-46ed-ab8e-97b50d6728b7	Villa del Conte	Villa del Conte	4	0	2013-07-22 05:18:02.625559+02	\N	\N	\N	\N	\N	\N	f	
16962	93b3ec70-c665-4ebc-82a8-52f538af0f45	Fratta Polesine	Fratta Polesine	4	0	2013-07-22 05:21:12.379292+02	\N	\N	\N	\N	\N	\N	f	
20053	5758010d-fb26-4780-a978-2e313b3a044e	Clauzetto	Clauzetto	4	0	2013-07-22 12:13:36.12223+02	\N	\N	\N	\N	\N	\N	f	
18724	3d3dfc1e-6e5a-4653-b2d6-034f27bf845f	Laglio	Laglio	4	0	2013-07-22 09:06:44.776732+02	\N	\N	\N	\N	\N	\N	f	
18771	fefd9437-1133-45d6-a3c8-b868b31b67dd	Lugo di Vicenza	Lugo di Vicenza	4	0	2013-07-22 09:12:14.700888+02	\N	\N	\N	\N	\N	\N	f	
18796	f5b413b5-0831-438a-8f25-e3a328b48115	Lezzeno	Lezzeno	4	0	2013-07-22 09:15:00.993213+02	\N	\N	\N	\N	\N	\N	f	
21341	7eeb5182-86f4-41aa-b725-06bc783b6528	Agliè	Agliè	4	0	2013-07-24 05:38:46.910915+02	\N	\N	\N	\N	\N	\N	f	
18807	0939ffb4-7986-4127-bab6-d2c4ae9977b5	Zelbio	Zelbio	4	0	2013-07-22 09:16:27.041984+02	\N	\N	\N	\N	\N	\N	f	
20942	63e3f5d5-c5d2-4fd3-bb6a-58785370a874	Piana di Monte Verna	Piana di Monte Verna	4	0	2013-07-23 17:35:12.969867+02	\N	\N	\N	\N	\N	\N	f	
18891	f2466f3d-d1ac-4db2-b510-266973d3f40f	Guanzate	Guanzate	4	0	2013-07-22 09:26:40.309821+02	\N	\N	\N	\N	\N	\N	f	
18892	68839016-de76-4f99-bae0-93f864c1b591	Montedoro	Montedoro	4	0	2013-07-22 09:26:48.054405+02	\N	\N	\N	\N	\N	\N	f	
18916	60b5d738-8f8a-4ccc-afb7-53bb037914aa	Salizzole	Salizzole	4	0	2013-07-22 09:29:41.387787+02	\N	\N	\N	\N	\N	\N	f	
20985	6ff24e99-b81f-44d9-b576-fedca4c31c4b	Rovigo	Rovigo	4	0	2013-07-23 17:46:00.375804+02	\N	\N	\N	\N	\N	\N	f	
25431	051aee6d-af07-4562-9253-40cabc7a9337	Hebron Estates, Kentucky	Hebron Estates, Kentucky	3	0	2013-09-07 11:48:41.810495+02	\N	\N	\N	\N	\N	\N	f	
21367	dbc1a918-b483-43d9-b756-614acfdcc9ab	Bricherasio	Bricherasio	4	0	2013-07-24 05:45:08.145306+02	\N	\N	\N	\N	\N	\N	f	
21041	3abaf94f-956b-4486-9a1d-baa241b0efa2	Monte di Procida	Monte di Procida	4	0	2013-07-23 20:36:56.354267+02	\N	\N	\N	\N	\N	\N	f	
21143	8b158481-8860-45e6-8bc4-00e5524e47fa	Buccino	Buccino	4	0	2013-07-23 23:37:27.763097+02	\N	\N	\N	\N	\N	\N	f	
24008	7623d41e-b7ba-4aed-a3d0-2aa98f881fde	LaBelle	LaBelle	3	0	2013-09-06 23:49:03.433445+02	\N	\N	\N	\N	\N	\N	f	
21147	45549e3e-37bc-44bf-98d6-53ee6b855f69	Castiglione del Genovesi	Castiglione del Genovesi	4	0	2013-07-23 23:38:28.163059+02	\N	\N	\N	\N	\N	\N	f	
21384	000ed91e-756d-47c1-a3a9-b98f4f87e4bb	Borgiallo	Borgiallo	4	0	2013-07-24 05:49:55.321629+02	\N	\N	\N	\N	\N	\N	f	
21195	d192cb6f-f93d-4f58-a22d-d6bfef982142	Pollica	Pollica	4	0	2013-07-23 23:49:26.540022+02	\N	\N	\N	\N	\N	\N	f	
21212	7113ead8-35e7-4c94-aefc-ebcfa8edf315	Pontecagnano Faiano	Pontecagnano Faiano	4	0	2013-07-23 23:52:55.018542+02	\N	\N	\N	\N	\N	\N	f	
24885	7d12eee8-fe14-4bc5-b1ad-7b59f115ab1e	Yorktown	Yorktown	3	0	2013-09-07 08:59:55.448481+02	\N	\N	\N	\N	\N	\N	f	
21242	bb53845c-59d2-4ef3-b6de-2b1d57dcedec	San Cipriano Picentino	San Cipriano Picentino	4	0	2013-07-24 02:37:44.737541+02	\N	\N	\N	\N	\N	\N	f	
24107	73476eaa-b240-4586-b9cc-6e169d127256	Eden	Eden	3	0	2013-09-07 02:40:39.187568+02	\N	\N	\N	\N	\N	\N	f	
21306	4fc02e5c-3acc-47d5-abbe-c6a2f68432d8	Monte San Giusto	Monte San Giusto	4	0	2013-07-24 02:52:09.560241+02	\N	\N	\N	\N	\N	\N	f	
21322	cb785392-4914-44e9-82e8-957a96a2c476	Penna San Giovanni	Penna San Giovanni	4	0	2013-07-24 02:55:35.61446+02	\N	\N	\N	\N	\N	\N	f	
21442	51dab5af-a36b-46fb-aab9-411b6eb0b15c	Ceresole Reale	Ceresole Reale	4	0	2013-07-24 08:38:49.568372+02	\N	\N	\N	\N	\N	\N	f	
21542	680fceba-4d7f-42e3-b0e5-a71233832012	Moncalieri	Moncalieri	4	0	2013-07-24 11:38:55.241178+02	\N	\N	\N	\N	\N	\N	f	
24172	ac8f6259-8898-4cd7-9fa1-945d497f8e0a	Parma	Parma	3	0	2013-09-07 03:05:37.7755+02	\N	\N	\N	\N	\N	\N	f	
21551	570d811a-61d7-49d5-930c-c0e86edc0367	Mompantero	Mompantero	4	0	2013-07-24 11:40:53.238686+02	\N	\N	\N	\N	\N	\N	f	
23923	6a1dccb5-0a56-4be0-97ad-fad586fff64f	Sejong	Sejong	3	0	2013-09-06 21:05:33.777974+02	\N	\N	\N	\N	\N	\N	f	
24985	3ced5cd1-17cf-4e57-be41-4fe34563525f	Fredonia	Fredonia	3	0	2013-09-07 09:32:58.423313+02	\N	\N	\N	\N	\N	\N	f	
24355	8bbb6481-e22c-4bdf-9768-02cabec64221	Decatur, Indiana	Decatur, Indiana	3	0	2013-09-07 06:24:33.214909+02	\N	\N	\N	\N	\N	\N	f	
24389	e5523ab0-05d7-472e-b3c1-53074999cad7	Comer, Georgia	Comer, Georgia	3	0	2013-09-07 06:33:18.703429+02	\N	\N	\N	\N	\N	\N	f	
24446	b6a200de-be17-4f9b-be5b-27a998d79b16	Ambrose, Georgia	Ambrose, Georgia	3	0	2013-09-07 06:47:10.308815+02	\N	\N	\N	\N	\N	\N	f	
25005	fc933cb4-08e6-48a7-90ff-542015f90f96	Mount Auburn	Mount Auburn	3	0	2013-09-07 09:38:47.172676+02	\N	\N	\N	\N	\N	\N	f	
25487	a0e7838e-7675-4b34-8ca4-16aa7bb2ea29	Berkley, Iowa	Berkley, Iowa	3	0	2013-09-07 12:03:19.199077+02	\N	\N	\N	\N	\N	\N	f	
25413	c112ea74-1ded-4b9f-befd-3d8df1469a3c	Kingsley, Kentucky	Kingsley, Kentucky	3	0	2013-09-07 11:44:21.558817+02	\N	\N	\N	\N	\N	\N	f	
26350	d0d201c9-e8ff-4b5e-9630-ecde21392add	Monticello	Monticello	3	0	2013-09-07 23:32:42.63468+02	\N	\N	\N	\N	\N	\N	f	
26029	44f32e0a-8f27-4c54-b90a-d5dd107ca1db	Netawaka	Netawaka	3	0	2013-09-07 17:50:29.461393+02	\N	\N	\N	\N	\N	\N	f	
25503	284484ea-5ead-46a2-bcf0-203d392f9fce	Burden, Kansas	Burden, Kansas	3	0	2013-09-07 12:07:20.261636+02	\N	\N	\N	\N	\N	\N	f	
25993	6a8bf2ed-5979-46eb-958f-90eb61701894	Winnsboro, Louisiana	Winnsboro, Louisiana	3	0	2013-09-07 17:41:01.428738+02	\N	\N	\N	\N	\N	\N	f	
26644	91eb876e-2650-4b12-b415-07ef4abf2cd9	Fulton	Fulton	3	0	2013-09-08 01:51:40.695862+02	\N	\N	\N	\N	\N	\N	f	
26646	6de0466e-ae59-4cd6-8228-1e0987eefbc3	Lyon	Lyon	3	0	2013-09-08 01:52:17.284357+02	\N	\N	\N	\N	\N	\N	f	
27096	e55ecfd6-b982-4cf7-b767-a989448d9341	Sanford, North Carolina	Sanford, North Carolina	3	0	2013-09-08 05:22:31.507916+02	\N	\N	\N	\N	\N	\N	f	
27436	632eeceb-d17b-462b-a074-303865e831a2	Kenmare, North Dakota	Kenmare, North Dakota	3	0	2013-09-08 07:56:31.053388+02	\N	\N	\N	\N	\N	\N	f	
27474	d3eaf28c-e5b5-4e36-a467-84bff80ef694	Powers Lake, North Dakota	Powers Lake, North Dakota	3	0	2013-09-08 08:05:45.438543+02	\N	\N	\N	\N	\N	\N	f	
27504	d547409d-91fc-4648-a999-dc987d657191	Buxton, North Dakota	Buxton, North Dakota	3	0	2013-09-08 08:27:04.216882+02	\N	\N	\N	\N	\N	\N	f	
27765	ca6a7132-081f-4301-887f-00ecf6cc580c	Noble	Noble	3	0	2013-09-08 09:45:54.663472+02	\N	\N	\N	\N	\N	\N	f	
12940	070f1167-d815-48b5-ab4b-4d144130ab0f	Arjeplog Municipality	Arjeplog Municipality	4	0	2013-07-16 11:54:16.865783+02	\N	\N	\N	\N	\N	\N	f	
12950	f7cb2062-6d69-4ca9-8ccc-462d3a722959	Skara Municipality	Skara Municipality	4	0	2013-07-16 11:56:33.872622+02	\N	\N	\N	\N	\N	\N	f	
14103	acac2780-2452-4ee5-8215-f278b01dc7df	Villa Santo Stefano	Villa Santo Stefano	4	0	2013-07-21 20:23:52.813449+02	\N	\N	\N	\N	\N	\N	f	
14128	e379317b-1dfc-450f-a7aa-c64776f4936f	Polverigi	Polverigi	4	0	2013-07-21 20:29:32.349787+02	\N	\N	\N	\N	\N	\N	f	
15871	55e343e3-34fd-4dfc-8171-70f04b58d867	Lignana	Lignana	4	0	2013-07-22 02:22:10.190099+02	\N	\N	\N	\N	\N	\N	f	
14189	7f46cee2-9bd5-4199-bb55-86e90a346cae	Staffolo	Staffolo	4	0	2013-07-21 20:43:05.686424+02	\N	\N	\N	\N	\N	\N	f	
14198	4361e613-29f1-4d2b-82c8-3f534a4d4a6e	Serra San Quirico	Serra San Quirico	4	0	2013-07-21 20:44:52.715554+02	\N	\N	\N	\N	\N	\N	f	
14674	42e19c25-458e-4f60-be53-9d9ff97108fb	Viarigi	Viarigi	4	0	2013-07-21 22:30:57.973319+02	\N	\N	\N	\N	\N	\N	f	
15880	f44b4078-809f-468c-b012-ea6444e33418	Saluggia	Saluggia	4	0	2013-07-22 02:24:10.383166+02	\N	\N	\N	\N	\N	\N	f	
14707	4a6c109c-fffe-4305-bfe1-4825ebe66d95	Crosa	Crosa	4	0	2013-07-21 22:38:03.259489+02	\N	\N	\N	\N	\N	\N	f	
15303	1f9d14bc-00e8-4b0b-81be-6ab7aa2573b3	Gabicce Mare	Gabicce Mare	4	0	2013-07-22 00:15:18.070207+02	\N	\N	\N	\N	\N	\N	f	
17807	4a162791-4fbc-4002-8627-39b81c723911	Torre Beretti e Castellaro	Torre Beretti e Castellaro	4	0	2013-07-22 07:13:07.826086+02	\N	\N	\N	\N	\N	\N	f	
15889	380ace66-0fbd-4f22-ad82-b94c50481ee7	Motta de' Conti	Motta de' Conti	4	0	2013-07-22 02:26:00.620243+02	\N	\N	\N	\N	\N	\N	f	
15896	08626b6e-b5a1-4dd5-9c09-10d454218b65	Stroppiana	Stroppiana	4	0	2013-07-22 02:27:37.637528+02	\N	\N	\N	\N	\N	\N	f	
25636	db5a5107-79c7-48db-95b6-b2bfa84bfb18	Oswego	Oswego	3	0	2013-09-07 13:18:26.861402+02	\N	\N	\N	\N	\N	\N	f	
15932	484ffa1a-f942-49bf-8c0d-80ca06cf0791	Campitello di Fassa	Campitello di Fassa	4	0	2013-07-22 02:32:08.758126+02	\N	\N	\N	\N	\N	\N	f	
17811	048e3cd5-3959-42ad-b50a-62f9dd6fd5db	Valle Lomellina	Valle Lomellina	4	0	2013-07-22 07:13:37.990504+02	\N	\N	\N	\N	\N	\N	f	
24109	cad36aa1-2db6-4981-9604-e8747ed17c39	Driggs	Driggs	3	0	2013-09-07 02:41:13.296594+02	\N	\N	\N	\N	\N	\N	f	
15955	19cb776f-9c8e-41de-9133-7d541625e3a9	Airole	Airole	4	0	2013-07-22 02:35:10.868299+02	\N	\N	\N	\N	\N	\N	f	
20054	b7f7488c-a6ca-417e-bc97-964e2fd33b49	Fanna	Fanna	4	0	2013-07-22 12:13:37.228573+02	\N	\N	\N	\N	\N	\N	f	
16007	be1b3da8-c8d6-43ee-b0f9-c8089dd27ffd	Uscio	Uscio	4	0	2013-07-22 02:41:19.680554+02	\N	\N	\N	\N	\N	\N	f	
17930	89fd34ac-0b0b-4db6-9b4c-2cb380c103d7	Pasturo	Pasturo	4	0	2013-07-22 07:27:56.055109+02	\N	\N	\N	\N	\N	\N	f	
16740	135cc620-2d1d-4547-b5a6-0025369f8993	Volano	Volano	4	0	2013-07-22 04:24:31.967063+02	\N	\N	\N	\N	\N	\N	f	
16779	3a589ddb-d928-4449-b2f7-462d40731375	La Maddalena	La Maddalena	4	0	2013-07-22 04:35:01.644209+02	\N	\N	\N	\N	\N	\N	f	
16892	ca3d1334-54e5-4e68-a5cd-268dd8873cef	Castelbaldo	Castelbaldo	4	0	2013-07-22 05:03:15.220356+02	\N	\N	\N	\N	\N	\N	f	
18728	c9e22511-f117-46d2-8bcc-2a3f60109aa9	Uggiate-Trevano	Uggiate-Trevano	4	0	2013-07-22 09:07:12.921839+02	\N	\N	\N	\N	\N	\N	f	
16947	831a3d9c-4bb1-43a4-9458-0c8bb449fbb8	Sant'Elena	Sant'Elena	4	0	2013-07-22 05:17:31.895677+02	\N	\N	\N	\N	\N	\N	f	
18732	4e8f844f-b3b6-4778-8439-1b0db90faba7	Faggeto Lario	Faggeto Lario	4	0	2013-07-22 09:07:41.921322+02	\N	\N	\N	\N	\N	\N	f	
20944	14325daa-2af3-492a-a52a-3de975162326	Portico di Caserta	Portico di Caserta	4	0	2013-07-23 17:35:37.970162+02	\N	\N	\N	\N	\N	\N	f	
21042	88ee1e48-4fbf-4964-9064-37861d6f32b0	Ischia	Ischia	4	0	2013-07-23 20:37:10.850846+02	\N	\N	\N	\N	\N	\N	f	
24357	06cfa4b6-3a92-473b-82ca-e0b1f67ea60b	Dacula, Georgia	Dacula, Georgia	3	0	2013-09-07 06:25:09.234457+02	\N	\N	\N	\N	\N	\N	f	
21144	91e4f8a0-41a1-4f65-ae79-2799b0e39274	Auletta	Auletta	4	0	2013-07-23 23:37:40.121339+02	\N	\N	\N	\N	\N	\N	f	
21244	43cfae01-364e-4c68-8620-1b9196e33f22	Romagnano al Monte	Romagnano al Monte	4	0	2013-07-24 02:38:10.05691+02	\N	\N	\N	\N	\N	\N	f	
27097	2989db6b-1094-4823-aefb-190e5d0c77d0	Creedmoor, North Carolina	Creedmoor, North Carolina	3	0	2013-09-08 05:22:44.643889+02	\N	\N	\N	\N	\N	\N	f	
21255	363dcf84-94cb-4251-a681-118cb61df4f0	Stio	Stio	4	0	2013-07-24 02:40:38.811947+02	\N	\N	\N	\N	\N	\N	f	
24886	14618bd3-bbec-4ab1-bdad-2325c3e5e810	St. Marys	St. Marys	3	0	2013-09-07 09:00:10.505424+02	\N	\N	\N	\N	\N	\N	f	
21266	3603ef35-9851-4a89-9f22-77bf92425591	Castelfiorentino	Castelfiorentino	4	0	2013-07-24 02:42:55.36013+02	\N	\N	\N	\N	\N	\N	f	
21345	55341eac-183c-4ce8-8136-80a821f137d1	Andrate	Andrate	4	0	2013-07-24 05:39:46.276214+02	\N	\N	\N	\N	\N	\N	f	
25645	8ac66228-5949-49ad-9826-c9d4c2f59d34	Bridgewater	Bridgewater	3	0	2013-09-07 13:20:46.419738+02	\N	\N	\N	\N	\N	\N	f	
21443	1faaf5b2-1ab0-4472-89ae-c2defbd6aa05	Chiaverano	Chiaverano	4	0	2013-07-24 08:39:02.726201+02	\N	\N	\N	\N	\N	\N	f	
25414	645199f4-9c68-45b3-858a-2564a1be7175	Thornton, Iowa	Thornton, Iowa	3	0	2013-09-07 11:44:34.936599+02	\N	\N	\N	\N	\N	\N	f	
21543	83a72675-7420-41f2-a405-42cdb04d19d0	Mazzè	Mazzè	4	0	2013-07-24 11:39:08.384662+02	\N	\N	\N	\N	\N	\N	f	
21593	f4983887-152a-47cd-a643-2e911fa624de	Averara	Averara	4	0	2013-07-24 11:51:08.808867+02	\N	\N	\N	\N	\N	\N	f	
21596	7fa8bcfb-e249-4c06-b7c0-ee226c87ab52	Almenno San Salvatore	Almenno San Salvatore	4	0	2013-07-24 11:51:50.388731+02	\N	\N	\N	\N	\N	\N	f	
25424	e08b331a-c46a-4383-8a88-8d29be205478	Dighton, Kansas	Dighton, Kansas	3	0	2013-09-07 11:47:02.503519+02	\N	\N	\N	\N	\N	\N	f	
24009	2d39d05b-830a-4722-85fd-7d7a91a1d905	Gulf Breeze, Florida	Gulf Breeze, Florida	3	0	2013-09-06 23:49:21.377488+02	\N	\N	\N	\N	\N	\N	f	
26106	d15faa0d-71f3-479e-9711-18e8253a9783	Salem, Kentucky	Salem, Kentucky	3	0	2013-09-07 18:11:53.388294+02	\N	\N	\N	\N	\N	\N	f	
25515	9e2d9eb0-5ac3-4dea-beed-5fcbbf2486f1	Bunkie, Louisiana	Bunkie, Louisiana	3	0	2013-09-07 12:43:13.893795+02	\N	\N	\N	\N	\N	\N	f	
25673	28a07587-0c71-4333-baa2-90d34a5f418d	University Heights	University Heights	3	0	2013-09-07 13:28:16.640214+02	\N	\N	\N	\N	\N	\N	f	
25520	6ee00449-a9f8-4e07-8202-85e8b15ec120	Crowley	Crowley	3	0	2013-09-07 12:44:38.299826+02	\N	\N	\N	\N	\N	\N	f	
25617	9a588881-9ea7-4390-a595-9d8c086e0b55	De Soto	De Soto	3	0	2013-09-07 13:13:26.07151+02	\N	\N	\N	\N	\N	\N	f	
25619	559a3d71-d8f1-44c8-bfd9-b1ab97f7f0d2	Westfield	Westfield	3	0	2013-09-07 13:13:57.321584+02	\N	\N	\N	\N	\N	\N	f	
26670	cb1bf3fa-267b-4e2b-b52b-25c4a6724a18	Edmundson, Missouri	Edmundson, Missouri	3	0	2013-09-08 01:58:15.117342+02	\N	\N	\N	\N	\N	\N	f	
25994	febfefdd-d75c-4803-bc01-f17e948b7ade	Falmouth, Kentucky	Falmouth, Kentucky	3	0	2013-09-07 17:41:14.921804+02	\N	\N	\N	\N	\N	\N	f	
26351	e5c76096-90cd-4ae5-8cce-c9e6952f6000	Elmo, Missouri	Elmo, Missouri	3	0	2013-09-07 23:32:57.183628+02	\N	\N	\N	\N	\N	\N	f	
25996	f799a275-f074-48be-b0a5-cc9d155c850f	Glen Elder	Glen Elder	3	0	2013-09-07 17:41:50.506182+02	\N	\N	\N	\N	\N	\N	f	
26089	3d2c7187-ed32-4e4d-a36e-dcc303961e41	Green	Green	3	0	2013-09-07 18:07:18.054003+02	\N	\N	\N	\N	\N	\N	f	
26645	9bcadfea-1374-4db5-9f75-918754ab7815	Bern, Kansas	Bern, Kansas	3	0	2013-09-08 01:51:54.958061+02	\N	\N	\N	\N	\N	\N	f	
26663	9abc5bce-6415-4383-8dea-07bdcba4c6ed	Black Jack	Black Jack	3	0	2013-09-08 01:56:21.545949+02	\N	\N	\N	\N	\N	\N	f	
26735	7d489ee3-e82d-40b7-ab69-f5e691246846	Green Ridge	Green Ridge	3	0	2013-09-08 02:41:03.74805+02	\N	\N	\N	\N	\N	\N	f	
27119	68377b76-fc86-456e-b352-f48f1e19d4c7	Archdale, North Carolina	Archdale, North Carolina	3	0	2013-09-08 05:32:33.270912+02	\N	\N	\N	\N	\N	\N	f	
27114	091c63cf-1c52-4c56-9164-98e6ce84a2c6	Randleman, North Carolina	Randleman, North Carolina	3	0	2013-09-08 05:26:37.660856+02	\N	\N	\N	\N	\N	\N	f	
27171	39961ce9-db97-4cd3-b2c3-4c84aab7b64a	Jamesport	Jamesport	3	0	2013-09-08 05:47:45.902304+02	\N	\N	\N	\N	\N	\N	f	
27199	1f832b01-8196-41c9-a3af-aac6c8945bf8	Wakefield	Wakefield	3	0	2013-09-08 05:55:12.372757+02	\N	\N	\N	\N	\N	\N	f	
27439	f479e50a-a185-4ad1-acfb-5e56f3fb6a3d	Makoti, North Dakota	Makoti, North Dakota	3	0	2013-09-08 07:57:18.176665+02	\N	\N	\N	\N	\N	\N	f	
27767	465d24d4-be1b-4265-9eee-eb60e8696d38	Broken Bow	Broken Bow	3	0	2013-09-08 09:46:22.231816+02	\N	\N	\N	\N	\N	\N	f	
27823	4f09a53a-237f-45eb-86a1-7ba107bd80d8	Camden	Camden	3	0	2013-09-08 10:07:11.113568+02	\N	\N	\N	\N	\N	\N	f	
28099	d6e1815c-43c4-43b5-800b-5c383ede0c9f	Volokolamsk	Volokolamsk	3	0	2013-09-08 14:17:55.318458+02	\N	\N	\N	\N	\N	\N	f	
28314	df278ee7-d5d3-4af0-adc6-ce228a42e00c	White River, South Dakota	White River, South Dakota	3	0	2013-09-08 16:48:17.182696+02	\N	\N	\N	\N	\N	\N	f	
12945	38ae7549-ece5-4924-83b0-56bf54548aa2	Fanø Municipality	Fanø Municipality	4	0	2013-07-16 11:55:20.451957+02	\N	\N	\N	\N	\N	\N	f	
13013	6ef4d1ca-910c-43e3-827b-e55bd6821265	Grums Municipality	Grums Municipality	4	0	2013-07-16 12:10:00.424677+02	\N	\N	\N	\N	\N	\N	f	
12951	4ed61e7c-bf96-4f24-a589-a10c8e7e9526	Arvidsjaur Municipality	Arvidsjaur Municipality	4	0	2013-07-16 11:56:45.377339+02	\N	\N	\N	\N	\N	\N	f	
12997	4d49892f-5515-4523-9e6d-a6b8084b6e70	Vallentuna municipality	Vallentuna municipality	4	0	2013-07-16 12:06:53.17622+02	\N	\N	\N	\N	\N	\N	f	
12955	f7036c67-080f-4533-9879-1be13408fe7f	Allerød Municipality	Allerød Municipality	4	0	2013-07-16 11:57:31.565538+02	\N	\N	\N	\N	\N	\N	f	
12959	3c43ae2f-e338-41d5-acf2-5db138ddfbd0	Sunne Municipality	Sunne Municipality	4	0	2013-07-16 11:58:17.774854+02	\N	\N	\N	\N	\N	\N	f	
12963	cf0a98f0-4605-444e-8119-7cd63790f271	Hammarö Municipality	Hammarö Municipality	4	0	2013-07-16 11:59:01.180747+02	\N	\N	\N	\N	\N	\N	f	
12999	3ce11db0-bcee-4f80-8c81-cf782c437cb8	Mellerud Municipality	Mellerud Municipality	4	0	2013-07-16 12:07:19.321609+02	\N	\N	\N	\N	\N	\N	f	
12966	a3ce5b3c-56a0-40d2-a6e1-8c89df7f11ff	Mark Municipality	Mark Municipality	4	0	2013-07-16 11:59:35.709629+02	\N	\N	\N	\N	\N	\N	f	
12972	3e4a7f02-60f4-4070-88b8-45d3ab0abc11	Färgelanda Municipality	Färgelanda Municipality	4	0	2013-07-16 12:00:48.075362+02	\N	\N	\N	\N	\N	\N	f	
13028	1e20dc63-e870-477e-aa68-5777a6697e97	Lysekil Municipality	Lysekil Municipality	4	0	2013-07-16 12:12:53.473316+02	\N	\N	\N	\N	\N	\N	f	
12973	7fda9700-5c29-407b-a5f6-ff62676844e3	Nyköping Municipality	Nyköping Municipality	4	0	2013-07-16 12:00:59.568027+02	\N	\N	\N	\N	\N	\N	f	
13000	524fdf31-bc89-4253-a343-267570d92b98	Furesø Municipality	Furesø Municipality	4	0	2013-07-16 12:07:30.764421+02	\N	\N	\N	\N	\N	\N	f	
12975	63652ad7-9520-47a9-b13e-ecfa496a0b65	Kiruna Municipality	Kiruna Municipality	4	0	2013-07-16 12:01:22.324329+02	\N	\N	\N	\N	\N	\N	f	
12976	c4ea6011-7b91-444a-a972-c2206e6ce01f	Nykvarn municipality	Nykvarn municipality	4	0	2013-07-16 12:01:33.900724+02	\N	\N	\N	\N	\N	\N	f	
13014	f750907a-7d17-4f28-b6ae-f8dcf96e72c4	Eskilstuna Municipality	Eskilstuna Municipality	4	0	2013-07-16 12:10:11.953627+02	\N	\N	\N	\N	\N	\N	f	
12978	e9158f6b-609c-49bd-8e83-59e35582f65f	Båstad	Båstad	4	0	2013-07-16 12:01:56.918841+02	\N	\N	\N	\N	\N	\N	f	
13001	6e544510-4665-40cd-ad34-6ba4dd400565	Aneby Municipality	Aneby Municipality	4	0	2013-07-16 12:07:42.268805+02	\N	\N	\N	\N	\N	\N	f	
12981	4a1afad7-efaa-4a5e-98be-0947857f59cc	Vaxholm municipality	Vaxholm municipality	4	0	2013-07-16 12:02:31.463896+02	\N	\N	\N	\N	\N	\N	f	
12982	1a01e6f9-8be9-4a20-83fa-fd6ec39bd512	Växjö Municipality	Växjö Municipality	4	0	2013-07-16 12:02:47.602272+02	\N	\N	\N	\N	\N	\N	f	
12985	72aa36ab-f83c-48ab-891a-92adae18dfd1	Falköping Municipality	Falköping Municipality	4	0	2013-07-16 12:04:05.919209+02	\N	\N	\N	\N	\N	\N	f	
13002	89a7bfce-50b7-49f1-90f8-ab4335663e97	Grästorp Municipality	Grästorp Municipality	4	0	2013-07-16 12:07:53.698608+02	\N	\N	\N	\N	\N	\N	f	
12987	fd63d66b-bbf2-46cc-8e5b-274c9ec1c8b1	Rødovre Municipality	Rødovre Municipality	4	0	2013-07-16 12:04:37.300473+02	\N	\N	\N	\N	\N	\N	f	
12988	c20e6ef3-af60-4f04-8f14-9d5e35f5909b	Fredensborg Municipality	Fredensborg Municipality	4	0	2013-07-16 12:04:53.11725+02	\N	\N	\N	\N	\N	\N	f	
12990	2f431cb3-42b3-40cf-9ce1-d1542ae832be	Bollebygd Municipality	Bollebygd Municipality	4	0	2013-07-16 12:05:21.482937+02	\N	\N	\N	\N	\N	\N	f	
13004	325c7f3f-dda9-4888-b2dc-54d2e0d424e3	Sorsele Municipality	Sorsele Municipality	4	0	2013-07-16 12:08:17.054308+02	\N	\N	\N	\N	\N	\N	f	
12993	a78a38b3-af5a-4d4f-a831-6826ab811ded	Filipstad Municipality	Filipstad Municipality	4	0	2013-07-16 12:06:03.645251+02	\N	\N	\N	\N	\N	\N	f	
12994	1825501b-c1ef-421a-b6d3-e97d2f98cff7	Lemvig Municipality	Lemvig Municipality	4	0	2013-07-16 12:06:15.29961+02	\N	\N	\N	\N	\N	\N	f	
13019	652ae0d5-11ab-4f78-881b-8a5bc5e93474	Ludvika Municipality	Ludvika Municipality	4	0	2013-07-16 12:11:09.994713+02	\N	\N	\N	\N	\N	\N	f	
12995	a2910a02-4cb1-4e59-b4e1-fad5ce170d4f	Ishøj Municipality	Ishøj Municipality	4	0	2013-07-16 12:06:27.031717+02	\N	\N	\N	\N	\N	\N	f	
13005	6e980f0e-091a-4853-8e28-455bce6dfdd0	Gullspång Municipality	Gullspång Municipality	4	0	2013-07-16 12:08:28.475907+02	\N	\N	\N	\N	\N	\N	f	
13007	317c84bb-9541-4b46-a692-10629a7bef1c	Finspång Municipality	Finspång Municipality	4	0	2013-07-16 12:08:51.462847+02	\N	\N	\N	\N	\N	\N	f	
13009	d065a8e7-9eae-4fb1-81df-74cd3771acf7	Frederikshavn Municipality	Frederikshavn Municipality	4	0	2013-07-16 12:09:14.347558+02	\N	\N	\N	\N	\N	\N	f	
13020	9d40cda3-3aae-45fb-802f-b164f3d6054f	Stevns Municipality	Stevns Municipality	4	0	2013-07-16 12:11:21.401641+02	\N	\N	\N	\N	\N	\N	f	
13010	c3d8b958-1a49-4035-ad90-45a5e49d2d76	Uddevalla Municipality	Uddevalla Municipality	4	0	2013-07-16 12:09:25.810682+02	\N	\N	\N	\N	\N	\N	f	
13011	2d2d5d64-940a-40c0-8c91-3a83cf3a7ac0	Tidaholm Municipality	Tidaholm Municipality	4	0	2013-07-16 12:09:37.2446+02	\N	\N	\N	\N	\N	\N	f	
13030	7a493f61-b695-47e4-9ceb-225898cbab94	Vara Municipality	Vara Municipality	4	0	2013-07-16 12:13:16.547108+02	\N	\N	\N	\N	\N	\N	f	
13012	5dd4d831-babf-47a3-86c7-b3a1383662df	Malå Municipality	Malå Municipality	4	0	2013-07-16 12:09:48.760618+02	\N	\N	\N	\N	\N	\N	f	
13021	f51e8aa3-df6e-49e0-985d-8203713f10a4	Borlänge Municipality	Borlänge Municipality	4	0	2013-07-16 12:11:32.859382+02	\N	\N	\N	\N	\N	\N	f	
13022	9548cdd3-c115-4cea-9bcb-4253cb220717	Holbæk Municipality	Holbæk Municipality	4	0	2013-07-16 12:11:44.170958+02	\N	\N	\N	\N	\N	\N	f	
13031	b18a3deb-b4bc-450f-9996-4fcf4b3abc0c	Tibro Municipality	Tibro Municipality	4	0	2013-07-16 12:13:28.251994+02	\N	\N	\N	\N	\N	\N	f	
13024	7d24f1cd-b7e8-4dca-ae8d-7bcebbc9e6a2	Landskrona Municipality	Landskrona Municipality	4	0	2013-07-16 12:12:07.096352+02	\N	\N	\N	\N	\N	\N	f	
13026	2427be30-9734-4c8d-b72f-8ef8ad78e025	Skive Municipality	Skive Municipality	4	0	2013-07-16 12:12:30.132112+02	\N	\N	\N	\N	\N	\N	f	
13038	c7e6ee11-e487-4fd3-8f0c-dd1656f9b284	Staffanstorp Municipality	Staffanstorp Municipality	4	0	2013-07-16 12:15:37.615988+02	\N	\N	\N	\N	\N	\N	f	
13034	733ad723-f870-4c57-a9bc-01c529203ef8	Bräcke Municipality	Bräcke Municipality	4	0	2013-07-16 12:14:10.592671+02	\N	\N	\N	\N	\N	\N	f	
13035	98034f84-2921-4078-af44-7094e457b8ee	Mora Municipality	Mora Municipality	4	0	2013-07-16 12:14:28.093363+02	\N	\N	\N	\N	\N	\N	f	
13041	01ab680f-721b-4e0d-a0cb-4254c6c031b2	Ljungby Municipality	Ljungby Municipality	4	0	2013-07-16 12:16:25.179078+02	\N	\N	\N	\N	\N	\N	f	
13037	a0433fb0-e2cf-4c14-9de3-8d734e1a8585	Køge Municipality	Køge Municipality	4	0	2013-07-16 12:15:17.807927+02	\N	\N	\N	\N	\N	\N	f	
13039	c4400e7a-22ce-43f8-a425-6fd2f03e55ff	Kumla Municipality	Kumla Municipality	4	0	2013-07-16 12:15:57.118676+02	\N	\N	\N	\N	\N	\N	f	
13044	1c2dcf41-e768-4d55-b8d2-a114064506b5	Smedjebacken Municipality	Smedjebacken Municipality	4	0	2013-07-16 12:17:03.435088+02	\N	\N	\N	\N	\N	\N	f	
13040	47760af2-4dbb-4bad-8855-f079bdefb8a5	Klippan Municipality	Klippan Municipality	4	0	2013-07-16 12:16:12.089281+02	\N	\N	\N	\N	\N	\N	f	
13042	fcda3715-d830-4901-8ecd-9ca06b670d02	Malmö Municipality	Malmö Municipality	4	0	2013-07-16 12:16:39.087945+02	\N	\N	\N	\N	\N	\N	f	
13043	2bf82a82-54cb-4943-b860-a5c24158b6aa	Faxe Municipality	Faxe Municipality	4	0	2013-07-16 12:16:50.973172+02	\N	\N	\N	\N	\N	\N	f	
13045	4219cc7d-f613-49aa-ab17-7d28ed7afa04	Greve Municipality	Greve Municipality	4	0	2013-07-16 12:17:15.218667+02	\N	\N	\N	\N	\N	\N	f	
13046	881cee1e-a3c1-477f-8fae-5992761a08e1	Frederikssund Municipality	Frederikssund Municipality	4	0	2013-07-16 12:17:34.053752+02	\N	\N	\N	\N	\N	\N	f	
13047	4aa40f23-d7cd-43fa-9f54-07fcc41918be	Jönköping Municipality	Jönköping Municipality	4	0	2013-07-16 12:17:48.242448+02	\N	\N	\N	\N	\N	\N	f	
13049	de95e0af-822c-47e4-a432-a95030323a4e	Norrköping Municipality	Norrköping Municipality	4	0	2013-07-16 12:18:13.722195+02	\N	\N	\N	\N	\N	\N	f	
13050	c7545614-c52f-49f3-9ff4-ec62a3ccccee	Vetlanda Municipality	Vetlanda Municipality	4	0	2013-07-16 12:18:25.035452+02	\N	\N	\N	\N	\N	\N	f	
13051	e5a07689-7f9e-4af5-9790-e9c0664e2382	Trosa Municipality	Trosa Municipality	4	0	2013-07-16 12:18:39.111776+02	\N	\N	\N	\N	\N	\N	f	
13053	e193c932-caca-4c59-97c6-c3f3aa229ade	Osby Municipality	Osby Municipality	4	0	2013-07-16 12:19:02.370197+02	\N	\N	\N	\N	\N	\N	f	
13054	16673ff1-ab9b-41d7-b5c7-ef761aef8cc4	Orsa Municipality	Orsa Municipality	4	0	2013-07-16 12:19:13.852464+02	\N	\N	\N	\N	\N	\N	f	
13056	c2edb754-82d7-4a03-a1be-8c20a829f1e1	Copenhagen Municipality	Copenhagen Municipality	4	0	2013-07-16 12:19:36.845307+02	\N	\N	\N	\N	\N	\N	f	
14104	eb7586d1-a488-4575-8a0e-90e7384963ee	Torrice	Torrice	4	0	2013-07-21 20:24:06.481801+02	\N	\N	\N	\N	\N	\N	f	
15872	ac14d960-3ad3-4857-87a6-da2da249b235	Rimella	Rimella	4	0	2013-07-22 02:22:24.078202+02	\N	\N	\N	\N	\N	\N	f	
14677	6f4375cf-7a52-4425-85c6-d7e79ea1f254	Ailoche	Ailoche	4	0	2013-07-21 22:31:34.203383+02	\N	\N	\N	\N	\N	\N	f	
14827	6b144bad-f243-4a79-9448-e377eab97f80	Cagli	Cagli	4	0	2013-07-21 23:04:41.763593+02	\N	\N	\N	\N	\N	\N	f	
17808	a8814b49-5cd9-4d45-b803-8093209ed1b6	Menconico	Menconico	4	0	2013-07-22 07:13:09.948453+02	\N	\N	\N	\N	\N	\N	f	
15306	1dd44962-0451-44bc-b002-df14e3173b6d	Frontino, Marche	Frontino, Marche	4	0	2013-07-22 00:16:02.603322+02	\N	\N	\N	\N	\N	\N	f	
15312	fd2ad7d8-a91b-42be-af04-04e0257c0c0f	Mercatino Conca	Mercatino Conca	4	0	2013-07-22 00:17:25.364418+02	\N	\N	\N	\N	\N	\N	f	
15336	3ece226c-0d9a-4d02-a81f-bea80c334d59	Sassocorvaro	Sassocorvaro	4	0	2013-07-22 00:22:41.240552+02	\N	\N	\N	\N	\N	\N	f	
15337	18fe1947-4446-48af-b3b4-61e55a2ba6d6	Pietrarubbia	Pietrarubbia	4	0	2013-07-22 00:22:53.175529+02	\N	\N	\N	\N	\N	\N	f	
15930	352b9c16-2e45-4799-9dd3-81d2b496e6b5	Capriana	Capriana	4	0	2013-07-22 02:31:50.626861+02	\N	\N	\N	\N	\N	\N	f	
15344	36a8127f-414c-45b6-b142-e019de89287b	Montieri	Montieri	4	0	2013-07-22 00:24:38.438878+02	\N	\N	\N	\N	\N	\N	f	
15345	6ce6827b-9f81-4197-8402-22c947700c21	Roccalbegna	Roccalbegna	4	0	2013-07-22 00:24:51.168849+02	\N	\N	\N	\N	\N	\N	f	
20056	a2880c04-6835-4d24-9056-ab6349a32333	San Quirino	San Quirino	4	0	2013-07-22 12:13:49.734992+02	\N	\N	\N	\N	\N	\N	f	
15982	0d34066d-d671-4408-83ed-1051f8bd2c57	Ronco Scrivia	Ronco Scrivia	4	0	2013-07-22 02:38:19.950593+02	\N	\N	\N	\N	\N	\N	f	
17827	c2d0b4b8-fa84-4254-9ab5-37d2613ba5b5	Bema	Bema	4	0	2013-07-22 07:15:34.303234+02	\N	\N	\N	\N	\N	\N	f	
15985	1aa2a33f-a30f-41af-960b-495f8f25b548	Tiglieto	Tiglieto	4	0	2013-07-22 02:38:36.365322+02	\N	\N	\N	\N	\N	\N	f	
16029	e27c01ca-53e3-4d13-aead-985ada2191b4	Castiglione Chiavarese	Castiglione Chiavarese	4	0	2013-07-22 02:44:14.839522+02	\N	\N	\N	\N	\N	\N	f	
16037	ed4cedd0-17fb-4ba9-a687-eb857fe1ff79	Centa San Nicolò	Centa San Nicolò	4	0	2013-07-22 02:45:18.021134+02	\N	\N	\N	\N	\N	\N	f	
17866	e9c645d7-fc4e-4d58-a9a5-91fcd044d4de	Gargazon	Gargazon	4	0	2013-07-22 07:20:12.494481+02	\N	\N	\N	\N	\N	\N	f	
16049	7e6fbb87-7482-4481-a44c-ea0e7a17d0b2	Parma	Parma	4	0	2013-07-22 02:46:39.28357+02	\N	\N	\N	\N	\N	\N	f	
16741	498ecf1b-9cd5-4c88-81a9-a3d0da27e6a6	Vattaro	Vattaro	4	0	2013-07-22 04:24:46.843316+02	\N	\N	\N	\N	\N	\N	f	
24110	d84c32e5-19b9-4fc6-8d1c-698ef644c357	Rathdrum	Rathdrum	3	0	2013-09-07 02:41:29.955928+02	\N	\N	\N	\N	\N	\N	f	
17870	d9f1c505-2c90-4666-a303-16a0e6bf169a	Cecima	Cecima	4	0	2013-07-22 07:20:41.114607+02	\N	\N	\N	\N	\N	\N	f	
20057	fad94f6e-68c5-4553-afe7-7b66c4f732b6	Erto e Casso	Erto e Casso	4	0	2013-07-22 12:14:03.219701+02	\N	\N	\N	\N	\N	\N	f	
18007	6841741a-9eb6-4fbc-b7ce-b5b4c689a18e	Boffalora d'Adda	Boffalora d'Adda	4	0	2013-07-22 07:36:32.343506+02	\N	\N	\N	\N	\N	\N	f	
21346	931df056-78ce-4f9d-b2d9-4a3d2f71ac32	Alpette	Alpette	4	0	2013-07-24 05:39:59.220693+02	\N	\N	\N	\N	\N	\N	f	
18738	e96f7617-6d77-4064-be63-b5583dd9083d	Tavernerio	Tavernerio	4	0	2013-07-22 09:08:22.497636+02	\N	\N	\N	\N	\N	\N	f	
20946	6bb8b53e-9091-4150-b22e-e5d1fd16c79c	Succivo	Succivo	4	0	2013-07-23 17:36:02.918429+02	\N	\N	\N	\N	\N	\N	f	
18763	4d8466a0-6bd3-4d57-be36-9e323cad5481	Maser	Maser	4	0	2013-07-22 09:11:22.972115+02	\N	\N	\N	\N	\N	\N	f	
18790	7530358a-6b80-4900-8fec-a48d19a25ddc	Ponte Lambro	Ponte Lambro	4	0	2013-07-22 09:14:19.975537+02	\N	\N	\N	\N	\N	\N	f	
18806	f6a071bf-b3bc-4149-9cd0-f73ad346524a	Pognana Lario	Pognana Lario	4	0	2013-07-22 09:16:19.729436+02	\N	\N	\N	\N	\N	\N	f	
21010	4d1dd4f4-f2d3-476e-b5d3-4278c2ff8068	Boscotrecase	Boscotrecase	4	0	2013-07-23 17:51:30.152918+02	\N	\N	\N	\N	\N	\N	f	
18809	8e297663-2b98-480e-bd42-24bc19538c0f	Ratschings	Ratschings	4	0	2013-07-22 09:16:39.442412+02	\N	\N	\N	\N	\N	\N	f	
18815	b1475be2-a4d8-4616-8515-f480858de56e	Ramponio Verna	Ramponio Verna	4	0	2013-07-22 09:17:32.649188+02	\N	\N	\N	\N	\N	\N	f	
25415	15dcc1e6-7656-4819-9d34-1950cab72ccc	Pioneer Village, Kentucky	Pioneer Village, Kentucky	3	0	2013-09-07 11:44:52.715433+02	\N	\N	\N	\N	\N	\N	f	
18855	c71d0d2b-ab86-48c5-b453-7e16d0c8e236	Dolcè	Dolcè	4	0	2013-07-22 09:22:02.673873+02	\N	\N	\N	\N	\N	\N	f	
21043	c8cc775f-9488-4e41-8619-98fce840ff50	Ercolano	Ercolano	4	0	2013-07-23 20:37:27.034412+02	\N	\N	\N	\N	\N	\N	f	
18860	91468ba8-57e6-41ea-8da1-70fb5da505b8	Sala Comacina	Sala Comacina	4	0	2013-07-22 09:22:40.501772+02	\N	\N	\N	\N	\N	\N	f	
18867	016ea329-3f61-469f-95a5-d0f17f939644	Vittorio Veneto	Vittorio Veneto	4	0	2013-07-22 09:23:36.216904+02	\N	\N	\N	\N	\N	\N	f	
21445	9df9c6f8-a43a-4ee4-8fa7-326c23ad5cd7	Cavagnolo	Cavagnolo	4	0	2013-07-24 08:39:28.981734+02	\N	\N	\N	\N	\N	\N	f	
18876	abede976-5564-4592-916b-96e708751fb5	Valbrona	Valbrona	4	0	2013-07-22 09:24:45.692614+02	\N	\N	\N	\N	\N	\N	f	
21051	54471274-e9a3-4c76-acb5-5ca932ecf9e7	Procida	Procida	4	0	2013-07-23 20:39:23.53922+02	\N	\N	\N	\N	\N	\N	f	
18995	22127db8-fdab-4cab-a809-33b0408d80ba	Randazzo	Randazzo	4	0	2013-07-22 09:39:33.590735+02	\N	\N	\N	\N	\N	\N	f	
21145	ba6c6fd2-26f9-43ec-9fad-b338989126c6	Castellabate	Castellabate	4	0	2013-07-23 23:38:04.147531+02	\N	\N	\N	\N	\N	\N	f	
24118	d64ad6a0-b97b-4068-aeda-99272fab87bf	Gooding	Gooding	3	0	2013-09-07 02:44:18.376301+02	\N	\N	\N	\N	\N	\N	f	
21246	6b9c59c9-dd54-42ad-ab32-e3e8a7cafe21	San Giovanni a Piro	San Giovanni a Piro	4	0	2013-07-24 02:38:35.120897+02	\N	\N	\N	\N	\N	\N	f	
21511	42a8580f-071a-421d-b5e5-122fbe868b91	Lombriasco	Lombriasco	4	0	2013-07-24 08:55:50.984273+02	\N	\N	\N	\N	\N	\N	f	
21258	1e431fd0-05db-4c56-aefa-259f1eddeb95	Campi Bisenzio	Campi Bisenzio	4	0	2013-07-24 02:41:15.931284+02	\N	\N	\N	\N	\N	\N	f	
21298	0d1d1d36-e6c7-4f16-b777-d721a71e3fe2	Impruneta	Impruneta	4	0	2013-07-24 02:50:32.862125+02	\N	\N	\N	\N	\N	\N	f	
21315	7fa9b02f-ee6e-4f31-9186-83fdef064c28	Tavarnelle Val di Pesa	Tavarnelle Val di Pesa	4	0	2013-07-24 02:54:01.177952+02	\N	\N	\N	\N	\N	\N	f	
21544	2036c7b1-a5ea-4fc3-9536-930688c24d18	Castel Maggiore	Castel Maggiore	4	0	2013-07-24 11:39:23.853678+02	\N	\N	\N	\N	\N	\N	f	
24368	331e0868-c0cc-4a49-b956-0335b01c2349	Fargo, Georgia	Fargo, Georgia	3	0	2013-09-07 06:27:56.316266+02	\N	\N	\N	\N	\N	\N	f	
21561	e8867f4a-3fbd-4f56-8ad0-957a0d9ea068	Urbisaglia	Urbisaglia	4	0	2013-07-24 11:43:43.486955+02	\N	\N	\N	\N	\N	\N	f	
24213	eb144030-e20b-4dd0-9246-61560b400d9a	White Plains, Georgia	White Plains, Georgia	3	0	2013-09-07 03:17:52.892793+02	\N	\N	\N	\N	\N	\N	f	
24011	146fed62-2442-49ed-a097-5bd67522d04d	Avon Park, Florida	Avon Park, Florida	3	0	2013-09-06 23:50:09.250822+02	\N	\N	\N	\N	\N	\N	f	
24358	7bd4ec81-e583-4a78-ab5e-f8a99aafe1a4	Avera, Georgia	Avera, Georgia	3	0	2013-09-07 06:25:26.248369+02	\N	\N	\N	\N	\N	\N	f	
24887	0a7fc0d8-bb3b-4425-a017-715674557e9d	Seymour	Seymour	3	0	2013-09-07 09:00:26.722829+02	\N	\N	\N	\N	\N	\N	f	
24360	104de7dc-1f8e-4bb3-9c55-7865a5ccb4e3	Lake Butler, Union County, Florida	Lake Butler, Union County, Florida	3	0	2013-09-07 06:25:58.763263+02	\N	\N	\N	\N	\N	\N	f	
24376	f914fcd9-15d2-4ed3-a482-a34f35a79215	Warwick, Georgia	Warwick, Georgia	3	0	2013-09-07 06:29:49.778612+02	\N	\N	\N	\N	\N	\N	f	
24890	f77c9eaa-c18a-4ab2-b797-86023f0345ed	Sanborn	Sanborn	3	0	2013-09-07 09:01:11.185422+02	\N	\N	\N	\N	\N	\N	f	
25454	e590df64-3874-4dd5-877c-1c4b37c0ac07	Bassett	Bassett	3	0	2013-09-07 11:54:12.240215+02	\N	\N	\N	\N	\N	\N	f	
25433	5ad0326e-f809-4176-8576-36fc89b8fcd0	Ventura, Iowa	Ventura, Iowa	3	0	2013-09-07 11:49:10.288599+02	\N	\N	\N	\N	\N	\N	f	
25460	ecb97243-b428-4d5d-bff4-3044377a154c	Willard, Kansas	Willard, Kansas	3	0	2013-09-07 11:55:38.992842+02	\N	\N	\N	\N	\N	\N	f	
25517	18385a31-5acb-45e5-9fc4-347c1b8d5ed9	Morgan City	Morgan City	3	0	2013-09-07 12:43:52.340005+02	\N	\N	\N	\N	\N	\N	f	
25625	69b61463-274c-4d5b-bf59-417c193d0017	Yetter	Yetter	3	0	2013-09-07 13:15:28.293004+02	\N	\N	\N	\N	\N	\N	f	
25995	7998bfe1-1b2d-481d-9f87-e3c0aec9a145	Edgerton, Kansas	Edgerton, Kansas	3	0	2013-09-07 17:41:33.974862+02	\N	\N	\N	\N	\N	\N	f	
26078	98739583-5e73-4baf-8bd9-0d8accddf646	Elma, Iowa	Elma, Iowa	3	0	2013-09-07 18:04:25.206092+02	\N	\N	\N	\N	\N	\N	f	
26352	73519223-8a46-4c41-8cb4-320176b449d5	Lawrenceville	Lawrenceville	3	0	2013-09-07 23:33:11.056639+02	\N	\N	\N	\N	\N	\N	f	
26397	d366a071-ce81-49b5-9fff-e2de21cc43f3	Lebanon	Lebanon	3	0	2013-09-07 23:57:34.756769+02	\N	\N	\N	\N	\N	\N	f	
13057	92e64422-4341-4229-9348-530b1850a817	Vimmerby Municipality	Vimmerby Municipality	4	0	2013-07-16 12:19:48.32053+02	\N	\N	\N	\N	\N	\N	f	
13058	d9156ba3-38b1-420b-9fc0-bfcb84d06221	Sjöbo Municipality	Sjöbo Municipality	4	0	2013-07-16 12:19:59.860177+02	\N	\N	\N	\N	\N	\N	f	
13061	13bdcbb4-54bf-4c75-9112-c9123c6a4e66	Trelleborg Municipality	Trelleborg Municipality	4	0	2013-07-16 12:20:34.132852+02	\N	\N	\N	\N	\N	\N	f	
14109	1034a343-a11f-4ecb-9233-688284ac57ba	Vicalvi	Vicalvi	4	0	2013-07-21 20:25:09.342915+02	\N	\N	\N	\N	\N	\N	f	
14679	332d04ca-3c86-45b3-af31-36ef914cf5f6	Dorzano	Dorzano	4	0	2013-07-21 22:32:06.992492+02	\N	\N	\N	\N	\N	\N	f	
15873	791a223b-0ecf-476b-aac1-8dd0daaed67c	Pila	Pila	4	0	2013-07-22 02:22:37.940342+02	\N	\N	\N	\N	\N	\N	f	
14685	a0aed49c-77f6-490e-8655-e60d5b4e5158	Donato, Piedmont	Donato, Piedmont	4	0	2013-07-21 22:33:17.917611+02	\N	\N	\N	\N	\N	\N	f	
15309	53da1475-33dc-4773-a5d8-bdb874297116	Umbertide	Umbertide	4	0	2013-07-22 00:16:42.649628+02	\N	\N	\N	\N	\N	\N	f	
15354	0166a655-e162-4481-8b49-24cc67e20335	Massa Marittima	Massa Marittima	4	0	2013-07-22 00:26:36.087368+02	\N	\N	\N	\N	\N	\N	f	
15882	87e0daf1-aa02-4423-9c16-6e85bc5a4d04	Rive	Rive	4	0	2013-07-22 02:24:35.058671+02	\N	\N	\N	\N	\N	\N	f	
15372	eb596922-94f4-4001-9ffb-f0cbabd32402	Altopascio	Altopascio	4	0	2013-07-22 00:30:33.806814+02	\N	\N	\N	\N	\N	\N	f	
15444	eda2a901-89a6-4dfa-b6ee-23901b6830a9	Casaprota	Casaprota	4	0	2013-07-22 00:46:50.599723+02	\N	\N	\N	\N	\N	\N	f	
15898	2a8ca36f-da7d-472e-9bcb-bc7b56cfcca7	Varallo Sesia	Varallo Sesia	4	0	2013-07-22 02:27:51.097683+02	\N	\N	\N	\N	\N	\N	f	
18889	f13448da-2a18-4c7e-9e4d-0118f63bdae4	Mozzate	Mozzate	4	0	2013-07-22 09:26:23.768246+02	\N	\N	\N	\N	\N	\N	f	
15941	aef41180-93e7-4b9b-a436-aa0f515e491d	Giardinello	Giardinello	4	0	2013-07-22 02:33:22.322743+02	\N	\N	\N	\N	\N	\N	f	
17813	b620a1a1-9792-46a0-8661-5f333c5e002b	Cibiana di Cadore	Cibiana di Cadore	4	0	2013-07-22 07:13:51.814144+02	\N	\N	\N	\N	\N	\N	f	
16040	245b405d-d783-448f-898f-13fc6ad7ddde	Castel Vittorio	Castel Vittorio	4	0	2013-07-22 02:45:37.570408+02	\N	\N	\N	\N	\N	\N	f	
16742	6c7f8fe2-539d-44c3-a049-594df711dc46	Montallegro	Montallegro	4	0	2013-07-22 04:25:00.980606+02	\N	\N	\N	\N	\N	\N	f	
16820	e708d7b4-44f2-4c2b-a70e-91b496b9f0eb	San Giorgio delle Pertiche	San Giorgio delle Pertiche	4	0	2013-07-22 04:44:53.647416+02	\N	\N	\N	\N	\N	\N	f	
17823	cc585144-2305-4ae9-9237-f39e472dd6d7	Lardirago	Lardirago	4	0	2013-07-22 07:15:01.931137+02	\N	\N	\N	\N	\N	\N	f	
16839	4d81081c-305b-49f1-96d0-e63e161c1e03	Barbona	Barbona	4	0	2013-07-22 04:50:18.106798+02	\N	\N	\N	\N	\N	\N	f	
16851	dd2715a0-bb9b-4921-a98d-ea706b152093	Pontecchio Polesine	Pontecchio Polesine	4	0	2013-07-22 04:53:06.538151+02	\N	\N	\N	\N	\N	\N	f	
24020	3df73760-88ca-4db6-ade6-427ecfd8e954	Woodside	Woodside	3	0	2013-09-06 23:55:55.640089+02	\N	\N	\N	\N	\N	\N	f	
18893	32e78a2b-c2b4-4929-9b08-9e842e67916d	Dosso del Liro	Dosso del Liro	4	0	2013-07-22 09:26:52.994702+02	\N	\N	\N	\N	\N	\N	f	
17986	6afe5971-76f4-466f-898c-d78d03b143cc	Bigarello	Bigarello	4	0	2013-07-22 07:34:21.376869+02	\N	\N	\N	\N	\N	\N	f	
18061	ed510962-eca9-4ba9-b55f-75dd2ce16d14	Marudo	Marudo	4	0	2013-07-22 07:43:18.690937+02	\N	\N	\N	\N	\N	\N	f	
20058	9068565b-42de-4b6d-b9ab-23e95e47f02e	Pasiano di Pordenone	Pasiano di Pordenone	4	0	2013-07-22 12:14:04.185381+02	\N	\N	\N	\N	\N	\N	f	
18740	efa13c5b-d095-4e14-beee-78c7247a7958	Cinto Caomaggiore	Cinto Caomaggiore	4	0	2013-07-22 09:08:35.206895+02	\N	\N	\N	\N	\N	\N	f	
18954	58db5e8f-2a1f-4cc9-84f0-f3159d7b061b	Mascalucia	Mascalucia	4	0	2013-07-22 09:34:19.816032+02	\N	\N	\N	\N	\N	\N	f	
18745	9f3a5266-3cdb-42ce-aa82-f968f26c4f06	Nervesa della Battaglia	Nervesa della Battaglia	4	0	2013-07-22 09:09:07.154292+02	\N	\N	\N	\N	\N	\N	f	
18756	3494fa42-2ae4-4849-8dd5-f10ef7bc8d29	Refrontolo	Refrontolo	4	0	2013-07-22 09:10:20.284503+02	\N	\N	\N	\N	\N	\N	f	
18773	4c1a2fef-0640-4353-a948-6dd1c8c7b96e	Sant'Anna d'Alfaedo	Sant'Anna d'Alfaedo	4	0	2013-07-22 09:12:29.269457+02	\N	\N	\N	\N	\N	\N	f	
18969	5a2c6036-0402-4efe-b5c8-a9dc51184b32	Viagrande	Viagrande	4	0	2013-07-22 09:36:09.05399+02	\N	\N	\N	\N	\N	\N	f	
18841	3c7a99d4-b911-4988-84b1-911cdc1812bb	Garda	Garda	4	0	2013-07-22 09:20:31.508837+02	\N	\N	\N	\N	\N	\N	f	
18856	0400c8f1-7642-4f08-af34-e6fcf222bd5b	Villafranca di Verona	Villafranca di Verona	4	0	2013-07-22 09:22:13.827105+02	\N	\N	\N	\N	\N	\N	f	
21252	33cff725-75f0-49b5-98db-fcaf8e7dab43	Torraca	Torraca	4	0	2013-07-24 02:40:01.321734+02	\N	\N	\N	\N	\N	\N	f	
18858	26831da6-efda-41a9-b494-7977054023df	Sant'Ambrogio di Valpolicella	Sant'Ambrogio di Valpolicella	4	0	2013-07-22 09:22:27.362744+02	\N	\N	\N	\N	\N	\N	f	
24888	760d93fc-e1d3-4c62-81f3-607990dd32d6	Rhodes	Rhodes	3	0	2013-09-07 09:00:41.669321+02	\N	\N	\N	\N	\N	\N	f	
18862	8d6a7825-69fb-4ec7-83ce-c90df7db5459	Sorgà	Sorgà	4	0	2013-07-22 09:22:55.588082+02	\N	\N	\N	\N	\N	\N	f	
20068	9f27ce5f-cd0d-4ca8-97db-f3b35bcd42f8	San Lorenzo Isontino	San Lorenzo Isontino	4	0	2013-07-22 12:15:15.127703+02	\N	\N	\N	\N	\N	\N	f	
18868	fba29871-5047-4efd-b711-a13b2f90c9c3	Veleso	Veleso	4	0	2013-07-22 09:23:40.592474+02	\N	\N	\N	\N	\N	\N	f	
20074	3b1bdf80-2d0f-443a-9330-550e7d241f07	San Vito al Tagliamento	San Vito al Tagliamento	4	0	2013-07-22 12:15:58.914726+02	\N	\N	\N	\N	\N	\N	f	
21454	ab386209-103d-4c36-a1bb-3e5bba8e2077	Cintano	Cintano	4	0	2013-07-24 08:41:33.92187+02	\N	\N	\N	\N	\N	\N	f	
20947	8fc0191c-b009-4808-8738-132e44715f7d	Ruviano	Ruviano	4	0	2013-07-23 17:36:15.718138+02	\N	\N	\N	\N	\N	\N	f	
21280	10e64f7d-ff91-4999-af91-6e5991dbbc19	Lastra a Signa	Lastra a Signa	4	0	2013-07-24 02:46:49.670254+02	\N	\N	\N	\N	\N	\N	f	
21044	d8bda501-f0e4-498b-ab33-9b20ec463819	Pozzuoli	Pozzuoli	4	0	2013-07-23 20:37:46.004072+02	\N	\N	\N	\N	\N	\N	f	
21064	e16f4a88-6490-435a-ab1a-a22b0db4a679	Sant'Agnello	Sant'Agnello	4	0	2013-07-23 20:43:41.277597+02	\N	\N	\N	\N	\N	\N	f	
21146	64f1bcaa-61c0-4c90-abbc-08a67b28c98f	Cetara	Cetara	4	0	2013-07-23 23:38:16.203678+02	\N	\N	\N	\N	\N	\N	f	
24111	3a0c3554-b33c-4c00-b5bb-f1a2eb34ce47	Glenns Ferry	Glenns Ferry	3	0	2013-09-07 02:41:51.714269+02	\N	\N	\N	\N	\N	\N	f	
21250	0ec73a55-5b4f-4970-a027-f0434c0e7a5c	Torchiara	Torchiara	4	0	2013-07-24 02:39:36.145388+02	\N	\N	\N	\N	\N	\N	f	
21300	eee78e5e-f552-409b-b0e0-2979bc90d39b	Pelago	Pelago	4	0	2013-07-24 02:50:57.089309+02	\N	\N	\N	\N	\N	\N	f	
21545	d252c76e-1bd0-438c-afef-85f19e3f4af2	Meugliano	Meugliano	4	0	2013-07-24 11:39:35.859347+02	\N	\N	\N	\N	\N	\N	f	
21347	cc9ecddb-5c29-476f-a813-8d1c421f966e	Almese	Almese	4	0	2013-07-24 05:40:12.602031+02	\N	\N	\N	\N	\N	\N	f	
24363	2648922c-a1ca-48e4-940f-d3c84afc599d	Ashburn, Georgia	Ashburn, Georgia	3	0	2013-09-07 06:26:44.450816+02	\N	\N	\N	\N	\N	\N	f	
21446	84f852ba-3d51-4899-bf6f-c303233c07b4	Cavour	Cavour	4	0	2013-07-24 08:39:42.073515+02	\N	\N	\N	\N	\N	\N	f	
24386	ca946370-d879-47b3-bbd4-b131235b2518	Shellman, Georgia	Shellman, Georgia	3	0	2013-09-07 06:32:32.538026+02	\N	\N	\N	\N	\N	\N	f	
25470	055e9762-6385-47f9-9ff6-e1f017859ca9	Ravenna	Ravenna	3	0	2013-09-07 11:58:39.884122+02	\N	\N	\N	\N	\N	\N	f	
24012	e4601b3a-7e20-41f0-9818-875061ecdc69	Belleview, Florida	Belleview, Florida	3	0	2013-09-06 23:51:22.392311+02	\N	\N	\N	\N	\N	\N	f	
25416	84488bb8-509d-4b2e-86b4-efda9a3c69f9	Harcourt, Iowa	Harcourt, Iowa	3	0	2013-09-07 11:45:06.15913+02	\N	\N	\N	\N	\N	\N	f	
25452	f0d0db86-7b0c-430e-906c-a9c6a0836602	Humboldt	Humboldt	3	0	2013-09-07 11:53:44.96458+02	\N	\N	\N	\N	\N	\N	f	
25997	a1a0e76e-6d8f-4cef-82a6-db903a0d52a6	Morrill, Kansas	Morrill, Kansas	3	0	2013-09-07 17:42:06.689794+02	\N	\N	\N	\N	\N	\N	f	
25519	204aa394-a39a-4afb-9eb2-e0eea7cd57c8	Hammond	Hammond	3	0	2013-09-07 12:44:19.618968+02	\N	\N	\N	\N	\N	\N	f	
26353	0813bd4a-6a8c-4968-ab4a-059f35d328bb	Dallas City	Dallas City	3	0	2013-09-07 23:33:25.460931+02	\N	\N	\N	\N	\N	\N	f	
26372	0331d2cc-6911-4aa0-bfd4-ab7523939b8f	Salem, Iowa	Salem, Iowa	3	0	2013-09-07 23:38:17.305738+02	\N	\N	\N	\N	\N	\N	f	
26648	a88baf29-974f-4f06-abc0-6baace85fb44	Cape Girardeau	Cape Girardeau	3	0	2013-09-08 01:52:47.168717+02	\N	\N	\N	\N	\N	\N	f	
26376	7cb88f8e-6835-4bd7-a4c0-6e1031d2632d	Marquette, Iowa	Marquette, Iowa	3	0	2013-09-07 23:39:18.200801+02	\N	\N	\N	\N	\N	\N	f	
26773	2f7e57f0-1da7-4f6a-b4a5-99f33a455603	Bloomfield	Bloomfield	3	0	2013-09-08 02:50:13.978724+02	\N	\N	\N	\N	\N	\N	f	
27098	fa6b3096-5261-4aae-8a4f-6b44a36748f0	Claremont, North Carolina	Claremont, North Carolina	3	0	2013-09-08 05:22:57.754632+02	\N	\N	\N	\N	\N	\N	f	
27129	01f2db3f-712c-42bd-8775-9d57487794e5	Cayuga, North Dakota	Cayuga, North Dakota	3	0	2013-09-08 05:36:47.177405+02	\N	\N	\N	\N	\N	\N	f	
13063	2b1a9f0d-6ea2-41bd-a44e-470d41c6b5e2	Tranås Municipality	Tranås Municipality	4	0	2013-07-16 12:20:56.92391+02	\N	\N	\N	\N	\N	\N	f	
13064	e118225c-1b4b-4544-842f-60e01cd67ade	Sundsvall Municipality	Sundsvall Municipality	4	0	2013-07-16 12:21:08.414111+02	\N	\N	\N	\N	\N	\N	f	
14112	9dc7e993-c651-4b46-bff4-80c801aa1733	Sora, Lazio	Sora, Lazio	4	0	2013-07-21 20:25:46.465708+02	\N	\N	\N	\N	\N	\N	f	
14127	783dc549-5a47-4afd-bf04-87392594b590	Corinaldo	Corinaldo	4	0	2013-07-21 20:29:20.914381+02	\N	\N	\N	\N	\N	\N	f	
15874	823c0f84-21cb-4f38-bb47-3e78212bbd8c	Pertengo	Pertengo	4	0	2013-07-22 02:22:50.618137+02	\N	\N	\N	\N	\N	\N	f	
14132	6813beaa-75ed-4fe6-b7bf-f97855589ca0	Castelplanio	Castelplanio	4	0	2013-07-21 20:30:26.782291+02	\N	\N	\N	\N	\N	\N	f	
14680	30db1094-66a0-4304-9903-b4399deeebf4	Graglia	Graglia	4	0	2013-07-21 22:32:19.178403+02	\N	\N	\N	\N	\N	\N	f	
14757	154d6ca4-a19b-4933-ac18-95f0efb2cc92	Viverone	Viverone	4	0	2013-07-21 22:49:07.146419+02	\N	\N	\N	\N	\N	\N	f	
16743	eb4e142e-8b27-4627-891a-0c14daaa2ca9	Vigolo Vattaro	Vigolo Vattaro	4	0	2013-07-22 04:25:15.832719+02	\N	\N	\N	\N	\N	\N	f	
14768	be29a5c5-452f-4c34-9e97-96d9ba7cd1c3	Belvedere Langhe	Belvedere Langhe	4	0	2013-07-21 22:51:54.598685+02	\N	\N	\N	\N	\N	\N	f	
14785	7f186d0c-6cdf-4ac0-9619-c101759618f2	Busca	Busca	4	0	2013-07-21 22:55:27.167152+02	\N	\N	\N	\N	\N	\N	f	
14803	f3fd16d9-d206-420b-8e2c-01acd172e0d4	Sant'Elia a Pianisi	Sant'Elia a Pianisi	4	0	2013-07-21 22:59:12.795607+02	\N	\N	\N	\N	\N	\N	f	
16789	95cd0f3b-24b5-4bdb-965f-cee772185044	Trinità d'Agultu e Vignola	Trinità d'Agultu e Vignola	4	0	2013-07-22 04:37:36.928593+02	\N	\N	\N	\N	\N	\N	f	
15314	d373f3d8-9949-437a-8ca9-2fff1295c534	San Giorgio di Pesaro	San Giorgio di Pesaro	4	0	2013-07-22 00:18:05.030845+02	\N	\N	\N	\N	\N	\N	f	
15316	47a6861a-5678-4b6a-a3a5-d1bf6d464010	Montemaggiore al Metauro	Montemaggiore al Metauro	4	0	2013-07-22 00:18:31.558169+02	\N	\N	\N	\N	\N	\N	f	
15327	1b432a26-09b1-42f5-a183-2c85f94a286e	Sassofeltrio	Sassofeltrio	4	0	2013-07-22 00:20:49.514023+02	\N	\N	\N	\N	\N	\N	f	
16876	c463fc7a-ca8e-48ba-8ac8-8fc3a24eb61c	Tombolo	Tombolo	4	0	2013-07-22 04:59:21.229102+02	\N	\N	\N	\N	\N	\N	f	
15340	898cfd48-8e8d-499b-848a-299ce7e0289d	Tavoleto	Tavoleto	4	0	2013-07-22 00:23:28.282615+02	\N	\N	\N	\N	\N	\N	f	
21348	2b205d70-bf2f-4763-887b-5f490979f237	Airasca	Airasca	4	0	2013-07-24 05:40:25.289367+02	\N	\N	\N	\N	\N	\N	f	
15346	cf0c22b2-f442-43ab-8aaf-2a614393cc68	Roccastrada	Roccastrada	4	0	2013-07-22 00:25:02.849667+02	\N	\N	\N	\N	\N	\N	f	
17932	2c42fd02-5bfa-4ab6-978f-fb7924a40904	Gaggiano	Gaggiano	4	0	2013-07-22 07:28:09.023912+02	\N	\N	\N	\N	\N	\N	f	
15363	1146f2b7-30c0-42be-8b6b-d9733f4ac582	Camaiore	Camaiore	4	0	2013-07-22 00:28:45.64119+02	\N	\N	\N	\N	\N	\N	f	
15376	dbd67cda-45cb-4c29-a63d-66d90b49934a	Bagni di Lucca	Bagni di Lucca	4	0	2013-07-22 00:31:21.178886+02	\N	\N	\N	\N	\N	\N	f	
20071	ccaf89b9-9637-465b-ba5c-f779fd0919e4	Villesse	Villesse	4	0	2013-07-22 12:15:42.54181+02	\N	\N	\N	\N	\N	\N	f	
17943	defc4b47-15f1-4684-bad1-09fbac1930de	Carugate	Carugate	4	0	2013-07-22 07:29:22.302278+02	\N	\N	\N	\N	\N	\N	f	
18744	41c19f20-c62b-4308-b8b2-18cceec36b47	Teglio Veneto	Teglio Veneto	4	0	2013-07-22 09:08:59.846137+02	\N	\N	\N	\N	\N	\N	f	
25685	0af6ce72-e80d-4334-a600-7260250090de	Volga	Volga	3	0	2013-09-07 13:31:56.14063+02	\N	\N	\N	\N	\N	\N	f	
20103	bc033668-5cc3-4cd2-b7b6-88324e5fa591	Spilimbergo	Spilimbergo	4	0	2013-07-22 13:01:54.810165+02	\N	\N	\N	\N	\N	\N	f	
18852	0a6b8c74-f797-4f03-82a6-47c7cc1acde3	Montorfano	Montorfano	4	0	2013-07-22 09:21:48.41768+02	\N	\N	\N	\N	\N	\N	f	
18864	3ea43b18-9713-474e-b8c3-1f5a97eac520	Ronco all'Adige	Ronco all'Adige	4	0	2013-07-22 09:23:08.918402+02	\N	\N	\N	\N	\N	\N	f	
18865	4c26210e-44ec-43ce-9084-8fb0167a81fc	San Donà di Piave	San Donà di Piave	4	0	2013-07-22 09:23:23.941235+02	\N	\N	\N	\N	\N	\N	f	
20113	1154e1c5-7dc2-4008-abc8-8129b17d686d	Cercivento	Cercivento	4	0	2013-07-22 14:28:59.058891+02	\N	\N	\N	\N	\N	\N	f	
24909	f92491bb-a0bb-4b95-b0a7-17294c0049a7	Silver City	Silver City	3	0	2013-09-07 09:05:54.601326+02	\N	\N	\N	\N	\N	\N	f	
19002	66c79470-bd7b-463d-85a8-f74b220d1932	Agugliaro	Agugliaro	4	0	2013-07-22 09:40:17.759876+02	\N	\N	\N	\N	\N	\N	f	
21360	549ec3d6-c2d8-48a6-8604-4dc8ae7c0c70	Bruzolo	Bruzolo	4	0	2013-07-24 05:43:29.533188+02	\N	\N	\N	\N	\N	\N	f	
20123	7d9ecedd-fdcd-455d-8d0b-c83c003162db	Forni di Sotto	Forni di Sotto	4	0	2013-07-22 17:29:16.701138+02	\N	\N	\N	\N	\N	\N	f	
20949	91d94c86-c79a-4465-ae64-7e25babf8a63	Prata Sannita	Prata Sannita	4	0	2013-07-23 17:36:41.826368+02	\N	\N	\N	\N	\N	\N	f	
20997	e813127a-6aa5-4454-9892-4ab6b4c900d6	Castellammare di Stabia	Castellammare di Stabia	4	0	2013-07-23 17:48:42.512704+02	\N	\N	\N	\N	\N	\N	f	
21386	7903ecd1-16af-44b0-bf51-1d8fef80493f	Balangero	Balangero	4	0	2013-07-24 05:50:21.706847+02	\N	\N	\N	\N	\N	\N	f	
21046	80e10feb-2c9a-40ef-828d-b29f6b8872bc	Frattaminore	Frattaminore	4	0	2013-07-23 20:38:15.2085+02	\N	\N	\N	\N	\N	\N	f	
21148	ca3a358d-e937-4db8-bac8-68f1061631b9	Lustra, Campania	Lustra, Campania	4	0	2013-07-23 23:38:40.196985+02	\N	\N	\N	\N	\N	\N	f	
24014	45515dce-6be7-4fbb-af60-f77e5ed78f55	Black Hawk, Colorado	Black Hawk, Colorado	3	0	2013-09-06 23:52:12.74053+02	\N	\N	\N	\N	\N	\N	f	
21152	5c4179c5-4b43-4c8e-a311-778f7877bc3f	Laviano	Laviano	4	0	2013-07-23 23:39:28.877476+02	\N	\N	\N	\N	\N	\N	f	
21447	30bc2bbd-3e3f-4bd0-ba2b-8b5af7cdc45a	Chieri	Chieri	4	0	2013-07-24 08:39:55.418811+02	\N	\N	\N	\N	\N	\N	f	
21251	060e5a11-c874-4921-986f-35adcd98dc70	Valva, Campania	Valva, Campania	4	0	2013-07-24 02:39:48.779102+02	\N	\N	\N	\N	\N	\N	f	
21275	26bc6925-8a5e-4a59-879c-fa271e82f704	Vibonati	Vibonati	4	0	2013-07-24 02:45:30.64767+02	\N	\N	\N	\N	\N	\N	f	
25614	23c69635-1acf-4368-ae4b-beb685462ed1	Herington	Herington	3	0	2013-09-07 13:12:40.388512+02	\N	\N	\N	\N	\N	\N	f	
21512	7fb95a29-f8df-4b81-abbd-a3a692ba4585	Lemie	Lemie	4	0	2013-07-24 08:56:04.069752+02	\N	\N	\N	\N	\N	\N	f	
24112	1ccd5b1a-2c97-4693-80b5-77a63b4a58a8	Malad City	Malad City	3	0	2013-09-07 02:42:17.843727+02	\N	\N	\N	\N	\N	\N	f	
21514	5e1c4202-2391-437e-91ef-8131f28501d9	Baricella	Baricella	4	0	2013-07-24 08:56:29.96373+02	\N	\N	\N	\N	\N	\N	f	
21515	4cf28b3b-5a78-4390-8b74-3ffc32649bf4	Lombardore	Lombardore	4	0	2013-07-24 08:56:41.90987+02	\N	\N	\N	\N	\N	\N	f	
25419	47ab1da6-66ee-435c-aafe-11ac9c0634ef	Rossville, Kansas	Rossville, Kansas	3	0	2013-09-07 11:45:54.373507+02	\N	\N	\N	\N	\N	\N	f	
21546	18dd811c-695c-49d3-92e1-a9180c066433	Castel San Pietro Terme	Castel San Pietro Terme	4	0	2013-07-24 11:39:49.197591+02	\N	\N	\N	\N	\N	\N	f	
25521	aaf30f98-664f-48a4-b55a-8c379ac94d0d	Eunice	Eunice	3	0	2013-09-07 12:45:09.488663+02	\N	\N	\N	\N	\N	\N	f	
24366	6afdfabd-8589-4887-b3fb-3042658b4838	Emerson, Georgia	Emerson, Georgia	3	0	2013-09-07 06:27:24.847708+02	\N	\N	\N	\N	\N	\N	f	
24889	cbb137f9-9de1-48cc-954d-5cc73eccf69b	Shannon City	Shannon City	3	0	2013-09-07 09:00:56.359932+02	\N	\N	\N	\N	\N	\N	f	
25658	0412481c-7f48-4dd5-b336-bbee9dc5e7ea	Courtland, Kansas	Courtland, Kansas	3	0	2013-09-07 13:24:19.231125+02	\N	\N	\N	\N	\N	\N	f	
25607	e0d4b372-37d6-447d-b4c4-1d2d04d5a403	Williamson	Williamson	3	0	2013-09-07 13:10:57.362688+02	\N	\N	\N	\N	\N	\N	f	
26355	0e034169-38a0-4322-98f9-2cc1b20f6ff6	Beattie, Kansas	Beattie, Kansas	3	0	2013-09-07 23:33:55.444254+02	\N	\N	\N	\N	\N	\N	f	
25678	54f3c704-6b36-4441-a071-1347d81f76ea	Sutherland	Sutherland	3	0	2013-09-07 13:29:40.068764+02	\N	\N	\N	\N	\N	\N	f	
25998	a021939d-e5a2-4c5d-af02-e099955efa20	Collyer	Collyer	3	0	2013-09-07 17:42:22.032859+02	\N	\N	\N	\N	\N	\N	f	
26649	43dca0bb-3644-409b-a1ff-7a91aca61422	Olive Branch	Olive Branch	3	0	2013-09-08 01:53:00.985926+02	\N	\N	\N	\N	\N	\N	f	
26656	e2106f86-b19f-48b4-b336-71a7d2e53a29	Byram	Byram	3	0	2013-09-08 01:54:36.66959+02	\N	\N	\N	\N	\N	\N	f	
27100	9fc851b8-3ad0-4f4c-8830-eda8c5fffee3	Roanoke Rapids, North Carolina	Roanoke Rapids, North Carolina	3	0	2013-09-08 05:23:24.069657+02	\N	\N	\N	\N	\N	\N	f	
27442	820812e4-6908-432d-9cf8-1a36ccbba0f3	Michigan City, North Dakota	Michigan City, North Dakota	3	0	2013-09-08 07:58:00.206124+02	\N	\N	\N	\N	\N	\N	f	
27473	c64adc14-cb54-4dc5-a28d-3987c90e8db7	Fairlawn	Fairlawn	3	0	2013-09-08 08:05:31.941274+02	\N	\N	\N	\N	\N	\N	f	
27481	772cb831-9071-4b88-8010-8ce5ba5817dd	Ross, North Dakota	Ross, North Dakota	3	0	2013-09-08 08:07:30.947869+02	\N	\N	\N	\N	\N	\N	f	
27768	d7ff4151-94db-4270-b7f5-177430d64f3d	Tuttle	Tuttle	3	0	2013-09-08 09:46:37.122661+02	\N	\N	\N	\N	\N	\N	f	
27553	9bb2b342-766c-4bc7-a61d-e96e5aa71d98	Havana, North Dakota	Havana, North Dakota	3	0	2013-09-08 08:39:28.480197+02	\N	\N	\N	\N	\N	\N	f	
13068	4d260b3c-c42d-4a2d-b765-3de57ad414ca	Sollentuna Municipality	Sollentuna Municipality	4	0	2013-07-16 12:21:54.184179+02	\N	\N	\N	\N	\N	\N	f	
14113	41d2ef6a-7102-47a7-879b-001f65488b94	Sant'Ambrogio sul Garigliano	Sant'Ambrogio sul Garigliano	4	0	2013-07-21 20:25:59.878787+02	\N	\N	\N	\N	\N	\N	f	
14171	1be47e29-31ab-4e77-9755-986703acef74	Sermoneta	Sermoneta	4	0	2013-07-21 20:39:20.814192+02	\N	\N	\N	\N	\N	\N	f	
15876	9710ad24-963c-4a17-8538-b956bad53d80	Lenta	Lenta	4	0	2013-07-22 02:23:17.712102+02	\N	\N	\N	\N	\N	\N	f	
14253	8a00716d-e05a-4cb3-915e-c7de7fc99f99	Caltanissetta	Caltanissetta	4	0	2013-07-21 20:57:04.829156+02	\N	\N	\N	\N	\N	\N	f	
14682	210b0fe9-8e3b-49a6-a7e0-ae79ccc19c12	Pettinengo	Pettinengo	4	0	2013-07-21 22:32:42.806001+02	\N	\N	\N	\N	\N	\N	f	
15315	71b0651b-cca0-4423-a2b7-dcf96a412c02	Piandimeleto	Piandimeleto	4	0	2013-07-22 00:18:17.425588+02	\N	\N	\N	\N	\N	\N	f	
16750	a2a20664-9519-4e3e-8bad-859c91fd0203	Cattolica Eraclea	Cattolica Eraclea	4	0	2013-07-22 04:27:12.730897+02	\N	\N	\N	\N	\N	\N	f	
15431	35bffc80-97f7-4722-b154-f5a140bc1415	Castellazzo Novarese	Castellazzo Novarese	4	0	2013-07-22 00:43:40.493206+02	\N	\N	\N	\N	\N	\N	f	
16855	1062c9af-7e12-4fd8-b5f1-d1368d3b901e	Stanghella	Stanghella	4	0	2013-07-22 04:54:00.698209+02	\N	\N	\N	\N	\N	\N	f	
18748	d004f49a-bd54-4fc9-a7d4-ff0b25f156e8	Vigonovo	Vigonovo	4	0	2013-07-22 09:09:27.502466+02	\N	\N	\N	\N	\N	\N	f	
21550	fc4747df-8a7a-461e-8619-7e8c958c9e86	Mezzenile	Mezzenile	4	0	2013-07-24 11:40:39.617902+02	\N	\N	\N	\N	\N	\N	f	
20104	04f61cc4-b6d9-4bc7-b7c2-0ef866fce08a	Tramonti di Sotto	Tramonti di Sotto	4	0	2013-07-22 13:02:17.492376+02	\N	\N	\N	\N	\N	\N	f	
25600	a5c72917-4fff-4941-9985-f6b531008a91	Whiting	Whiting	3	0	2013-09-07 13:09:01.698784+02	\N	\N	\N	\N	\N	\N	f	
20114	ac4c088e-8eb6-4e10-afa4-e0b1175d2f2e	Buttrio	Buttrio	4	0	2013-07-22 14:29:24.631929+02	\N	\N	\N	\N	\N	\N	f	
24015	e8710deb-1cad-42ff-8007-afd3053402d0	Largo	Largo	3	0	2013-09-06 23:52:38.126725+02	\N	\N	\N	\N	\N	\N	f	
20075	13137741-6f1e-423a-9804-194426926be5	Turriaco	Turriaco	4	0	2013-07-22 15:01:32.028516+02	\N	\N	\N	\N	\N	\N	f	
28493	72646a8f-3083-4e7c-ab46-feac63705aa3	Farmersville, Texas	Farmersville, Texas	3	0	2013-09-08 20:26:02.50204+02	\N	\N	\N	\N	\N	\N	f	
20124	83d04ffc-8c20-4acc-9e95-a631c2a54ef2	Gemona del Friuli	Gemona del Friuli	4	0	2013-07-22 17:29:38.081211+02	\N	\N	\N	\N	\N	\N	f	
24113	b4575ce4-bd0e-43bd-bca0-a1d9ce1bc0ed	Fairfield	Fairfield	3	0	2013-09-07 02:42:40.709178+02	\N	\N	\N	\N	\N	\N	f	
20147	40686da2-70a7-40e4-93c3-ad93eaabff0b	Bicinicco	Bicinicco	4	0	2013-07-22 17:34:43.321166+02	\N	\N	\N	\N	\N	\N	f	
20203	d91725d7-eeb9-43bd-88d4-a80e9c8ff5fc	Ruda	Ruda	4	0	2013-07-22 17:47:49.45785+02	\N	\N	\N	\N	\N	\N	f	
26000	c7722c18-c676-484c-a1c9-f86c49f7e589	Coyville	Coyville	3	0	2013-09-07 17:42:53.814954+02	\N	\N	\N	\N	\N	\N	f	
20214	c60ea019-1875-4a78-9057-ecbdf1a3ccbb	Talmassons	Talmassons	4	0	2013-07-22 17:50:53.051095+02	\N	\N	\N	\N	\N	\N	f	
24370	84c337d1-329a-4543-9b46-b6e86acc9800	Rincon, Georgia	Rincon, Georgia	3	0	2013-09-07 06:28:23.516152+02	\N	\N	\N	\N	\N	\N	f	
20950	f1e2fcc0-0cb5-4162-97f3-c4bd399a2179	Presenzano	Presenzano	4	0	2013-07-23 17:36:53.946935+02	\N	\N	\N	\N	\N	\N	f	
21047	6e36c2f1-fa81-4eaa-9190-95b4285d44ae	Grumo Nevano	Grumo Nevano	4	0	2013-07-23 20:38:28.183326+02	\N	\N	\N	\N	\N	\N	f	
21071	b0f19517-a9db-41f0-a2eb-042a40c0b47b	Sant'Anastasia	Sant'Anastasia	4	0	2013-07-23 20:45:26.77288+02	\N	\N	\N	\N	\N	\N	f	
24891	c72d95b8-cab7-4f28-a9ec-2377453e46ea	Renwick	Renwick	3	0	2013-09-07 09:01:25.744538+02	\N	\N	\N	\N	\N	\N	f	
21150	dc039b25-9260-476f-a5c9-8d5694b313a7	Castelnuovo Cilento	Castelnuovo Cilento	4	0	2013-07-23 23:39:04.280048+02	\N	\N	\N	\N	\N	\N	f	
21253	adfd4580-7aff-474b-8782-25216c033f20	Sicignano degli Alburni	Sicignano degli Alburni	4	0	2013-07-24 02:40:14.124611+02	\N	\N	\N	\N	\N	\N	f	
27769	e3aa6466-21f2-468a-83d0-14d079d6d8f3	Blackburn	Blackburn	3	0	2013-09-08 09:46:51.379334+02	\N	\N	\N	\N	\N	\N	f	
21299	9406ddec-fb5d-4f31-a17c-50865949e518	Marradi	Marradi	4	0	2013-07-24 02:50:45.051836+02	\N	\N	\N	\N	\N	\N	f	
25421	255b5ce4-2b49-4b89-bca0-ff1c674ee952	Clay City, Kentucky	Clay City, Kentucky	3	0	2013-09-07 11:46:21.609864+02	\N	\N	\N	\N	\N	\N	f	
21320	dd0a7ea3-e3a8-4b01-b510-4368316e76ea	Pioraco	Pioraco	4	0	2013-07-24 02:55:11.051919+02	\N	\N	\N	\N	\N	\N	f	
21349	c7fc94f9-52b4-478a-8352-f2c92906d414	Angrogna	Angrogna	4	0	2013-07-24 05:40:51.186443+02	\N	\N	\N	\N	\N	\N	f	
26356	341407c0-a678-4b2b-ae8b-850e17ca2d07	Pisgah, Iowa	Pisgah, Iowa	3	0	2013-09-07 23:34:11.976133+02	\N	\N	\N	\N	\N	\N	f	
21448	9e2d5f49-bc2d-4fe4-9cc4-a375890c94ed	Castelnuovo Nigra	Castelnuovo Nigra	4	0	2013-07-24 08:40:08.600983+02	\N	\N	\N	\N	\N	\N	f	
21547	71827754-2f75-4604-b37e-788dce8ce963	Camugnano	Camugnano	4	0	2013-07-24 11:40:01.190953+02	\N	\N	\N	\N	\N	\N	f	
25469	bb4109f9-5bc8-44f5-9a2a-7387a4c66d52	Pewee Valley, Kentucky	Pewee Valley, Kentucky	3	0	2013-09-07 11:58:20.037463+02	\N	\N	\N	\N	\N	\N	f	
25522	0017e981-8d68-4c7c-ac14-b17f3b1341b7	Mansfield	Mansfield	3	0	2013-09-07 12:45:32.124533+02	\N	\N	\N	\N	\N	\N	f	
26651	47a31f02-8746-4e96-9907-366aa55b2ed2	Itta Bena	Itta Bena	3	0	2013-09-08 01:53:28.307256+02	\N	\N	\N	\N	\N	\N	f	
25532	ae800d43-a492-4d15-b7cd-32f0015ecf38	St. Martinville, Louisiana	St. Martinville, Louisiana	3	0	2013-09-07 12:49:24.779514+02	\N	\N	\N	\N	\N	\N	f	
25551	a977c6f8-71f3-4e54-979a-db77e418279e	Tipton, Kansas	Tipton, Kansas	3	0	2013-09-07 12:55:28.420416+02	\N	\N	\N	\N	\N	\N	f	
25589	0d56fde3-1680-4984-af2d-b56378b04215	Circleville, Kansas	Circleville, Kansas	3	0	2013-09-07 13:06:01.684446+02	\N	\N	\N	\N	\N	\N	f	
27773	91941721-84fa-4b88-889d-355fc8e37702	Dover	Dover	3	0	2013-09-08 09:47:56.239902+02	\N	\N	\N	\N	\N	\N	f	
26744	56bc383d-0b27-4548-b200-e62f6490bb51	North Bend	North Bend	3	0	2013-09-08 02:43:10.137746+02	\N	\N	\N	\N	\N	\N	f	
27103	1a3114fb-70f7-4be1-ab01-541e62980faa	Lowell, North Carolina	Lowell, North Carolina	3	0	2013-09-08 05:24:04.083204+02	\N	\N	\N	\N	\N	\N	f	
27443	a359cf8f-ff0b-4bf1-bd1c-b778a2982364	Lehr, North Dakota	Lehr, North Dakota	3	0	2013-09-08 07:58:14.43015+02	\N	\N	\N	\N	\N	\N	f	
28507	0fdd6d07-d9f4-42c7-b6e0-ddc1e1037fbd	Springtown, Texas	Springtown, Texas	3	0	2013-09-08 20:31:56.608792+02	\N	\N	\N	\N	\N	\N	f	
27574	aa977c64-d754-4636-8443-de3dcec36296	Bisbee, North Dakota	Bisbee, North Dakota	3	0	2013-09-08 08:44:53.462124+02	\N	\N	\N	\N	\N	\N	f	
27789	3e5683bf-f1cc-43e5-8591-97ff77961818	Dardenne Prairie	Dardenne Prairie	3	0	2013-09-08 09:58:02.356249+02	\N	\N	\N	\N	\N	\N	f	
27810	1313ebd0-43a0-4586-8dc6-e2d34076a06b	St. Mary	St. Mary	3	0	2013-09-08 10:03:43.514437+02	\N	\N	\N	\N	\N	\N	f	
28100	65924e57-68b3-47f5-bed1-d2956352e87f	Barysh	Barysh	3	0	2013-09-08 14:18:19.708025+02	\N	\N	\N	\N	\N	\N	f	
28315	f9753402-8626-4dfe-8d98-81c443697a39	Iroquois, South Dakota	Iroquois, South Dakota	3	0	2013-09-08 16:48:31.926917+02	\N	\N	\N	\N	\N	\N	f	
28624	9fd66700-ac17-44d7-abcf-6e4b6e81a113	Mart	Mart	3	0	2013-09-08 21:06:01.550607+02	\N	\N	\N	\N	\N	\N	f	
28530	df4e04ca-d84d-4484-9971-fa50086bdb58	Escobares, Texas	Escobares, Texas	3	0	2013-09-08 20:39:24.914514+02	\N	\N	\N	\N	\N	\N	f	
28734	545a9dad-0e6c-405c-8dbd-baa30e471827	Columbus	Columbus	3	0	2013-09-08 23:43:58.767457+02	\N	\N	\N	\N	\N	\N	f	
28607	e7dc6d8d-73c7-4584-aa96-1e1feec49966	Graford	Graford	3	0	2013-09-08 21:01:40.899627+02	\N	\N	\N	\N	\N	\N	f	
28634	3cde23b7-480b-409b-85d1-e78d72362fc2	Winters	Winters	3	0	2013-09-08 21:08:36.618013+02	\N	\N	\N	\N	\N	\N	f	
28794	f13a74c8-9cef-4128-8a80-f611755e28f3	Orange Grove	Orange Grove	3	0	2013-09-09 00:00:37.953375+02	\N	\N	\N	\N	\N	\N	f	
28968	ab20546e-ee23-44d7-b2c0-f62c5cda2b12	Seadrift	Seadrift	3	0	2013-09-09 01:42:46.67031+02	\N	\N	\N	\N	\N	\N	f	
28949	519f1db6-1e66-4658-b6ad-4620e05ee378	Cisco	Cisco	3	0	2013-09-09 01:37:24.468256+02	\N	\N	\N	\N	\N	\N	f	
28973	8e1acbb3-1b0f-4690-8d54-f5909f492f0a	La Ward	La Ward	3	0	2013-09-09 01:44:10.92923+02	\N	\N	\N	\N	\N	\N	f	
29026	c7ecff95-2516-438f-be57-e713517d7293	Granjeno	Granjeno	3	0	2013-09-09 02:00:20.361572+02	\N	\N	\N	\N	\N	\N	f	
29042	f77a0416-f94b-4af8-846c-ab9a7b6c011e	Tolar	Tolar	3	0	2013-09-09 02:04:56.321963+02	\N	\N	\N	\N	\N	\N	f	
29232	9d744670-2a60-47d6-b095-42024862c25d	University Place	University Place	3	0	2013-09-09 04:12:28.121624+02	\N	\N	\N	\N	\N	\N	f	
14116	97f0f7f3-8927-4f11-baad-2a8c5cc9861e	Sgurgola	Sgurgola	4	0	2013-07-21 20:26:41.146583+02	\N	\N	\N	\N	\N	\N	f	
29242	44305bc3-99e6-4c91-8af9-8cc701b8ec14	Follansbee, West Virginia	Follansbee, West Virginia	3	0	2013-09-09 04:17:28.715761+02	\N	\N	\N	\N	\N	\N	f	
29341	822632a9-2b78-4309-a81a-5180ed2eee33	Hurley	Hurley	3	0	2013-09-09 08:19:15.450773+02	\N	\N	\N	\N	\N	\N	f	
29359	beb735f9-d057-4b46-91ea-6c77455c55cd	Owen	Owen	3	0	2013-09-09 08:26:14.489669+02	\N	\N	\N	\N	\N	\N	f	
13070	cb42cf1e-d9c3-4eb6-a976-85913bfd133b	Lund Municipality	Lund Municipality	4	0	2013-07-16 12:22:17.417174+02	\N	\N	\N	\N	\N	\N	f	
14114	ebc6bcf1-0e22-41c7-be38-8f80aecfee10	Serrone	Serrone	4	0	2013-07-21 20:26:12.862945+02	\N	\N	\N	\N	\N	\N	f	
14683	7589fecd-35e4-4f95-874d-16f3506d17c8	Mongrando	Mongrando	4	0	2013-07-21 22:32:54.576537+02	\N	\N	\N	\N	\N	\N	f	
15877	c1568f46-aa9f-4fe8-8fad-dcb0dda04ab7	Piode	Piode	4	0	2013-07-22 02:23:30.605986+02	\N	\N	\N	\N	\N	\N	f	
14690	554e2749-fdde-447b-99d0-e92094bf58ef	Massazza	Massazza	4	0	2013-07-21 22:34:20.677531+02	\N	\N	\N	\N	\N	\N	f	
15319	2c9400bb-b10f-4e53-b80e-d3d50f64089d	Pergola, Marche	Pergola, Marche	4	0	2013-07-22 00:19:09.719258+02	\N	\N	\N	\N	\N	\N	f	
15916	e70f7648-07bf-4734-9c3a-d58ab17edc1f	Valduggia	Valduggia	4	0	2013-07-22 02:29:55.961452+02	\N	\N	\N	\N	\N	\N	f	
17815	e702297f-a892-4d99-8a59-d0932e68ed54	Lamon	Lamon	4	0	2013-07-22 07:14:07.423598+02	\N	\N	\N	\N	\N	\N	f	
16039	210469bc-58fc-4855-a5cb-9bae74149ea7	Siculiana	Siculiana	4	0	2013-07-22 02:45:30.152884+02	\N	\N	\N	\N	\N	\N	f	
16751	3dcb377b-922f-416d-a19a-7a9da95ea444	Gairo, Sardinia	Gairo, Sardinia	4	0	2013-07-22 04:27:27.149986+02	\N	\N	\N	\N	\N	\N	f	
21513	db25b551-b736-4e55-990b-278924468546	Bentivoglio	Bentivoglio	4	0	2013-07-24 08:56:17.486243+02	\N	\N	\N	\N	\N	\N	f	
18749	69052652-5b4c-4abf-8068-6e70590f3edf	Stra	Stra	4	0	2013-07-22 09:09:31.558219+02	\N	\N	\N	\N	\N	\N	f	
24922	07ab0154-e1d7-4c5d-b793-007f7ad0aeee	Kingsley, Iowa	Kingsley, Iowa	3	0	2013-09-07 09:09:11.225113+02	\N	\N	\N	\N	\N	\N	f	
20098	c2256257-d073-4c2e-8efe-b5343724680f	Aquileia	Aquileia	4	0	2013-07-22 12:19:21.036255+02	\N	\N	\N	\N	\N	\N	f	
21519	28b8ddff-1495-4e55-89d4-dfc984fa23a1	Marentino	Marentino	4	0	2013-07-24 08:57:33.614342+02	\N	\N	\N	\N	\N	\N	f	
20105	63b62a7d-54d6-47e5-9cc7-071e7e13d043	Tramonti di Sopra	Tramonti di Sopra	4	0	2013-07-22 13:02:51.822495+02	\N	\N	\N	\N	\N	\N	f	
20115	5b567a96-c1fc-4cbd-bccd-66b0aca103fe	Vivaro	Vivaro	4	0	2013-07-22 14:29:45.49637+02	\N	\N	\N	\N	\N	\N	f	
21548	33fcf43f-a3c1-46f0-8d83-b11a09b07d57	Meana di Susa	Meana di Susa	4	0	2013-07-24 11:40:13.155557+02	\N	\N	\N	\N	\N	\N	f	
27146	ad379f69-2398-4ee2-b36c-329688cd2f2b	Fisk	Fisk	3	0	2013-09-08 05:41:15.91957+02	\N	\N	\N	\N	\N	\N	f	
20077	d0e05a86-4ea8-4d80-93cb-e080f549aded	Aviano	Aviano	4	0	2013-07-22 15:01:31.600548+02	\N	\N	\N	\N	\N	\N	f	
21601	41619430-5ca9-4c74-a5f5-f48d651403cc	Albano Sant'Alessandro	Albano Sant'Alessandro	4	0	2013-07-24 11:52:57.413206+02	\N	\N	\N	\N	\N	\N	f	
20125	4d1366c6-43b8-4853-a193-ea031b2420a4	Dignano	Dignano	4	0	2013-07-22 17:29:59.026618+02	\N	\N	\N	\N	\N	\N	f	
20132	b9a494ea-f8b6-4f30-8bf4-f563c0d3fb1e	Campolongo Tapogliano	Campolongo Tapogliano	4	0	2013-07-22 17:31:39.186739+02	\N	\N	\N	\N	\N	\N	f	
25000	da5b7572-e182-4f9e-8f82-344740b5d154	Monona	Monona	3	0	2013-09-07 09:37:32.069359+02	\N	\N	\N	\N	\N	\N	f	
20144	7b262c2e-bb94-4ea1-910e-a3f5941a6fe8	Comeglians	Comeglians	4	0	2013-07-22 17:34:06.943939+02	\N	\N	\N	\N	\N	\N	f	
21607	265862d9-b1fc-4d07-abd5-ea6bb7a87d33	Arcene	Arcene	4	0	2013-07-24 11:54:15.921283+02	\N	\N	\N	\N	\N	\N	f	
20197	323a6ca7-b20f-46e8-bb4a-a7f1b99331e9	Palazzolo dello Stella	Palazzolo dello Stella	4	0	2013-07-22 17:46:23.472332+02	\N	\N	\N	\N	\N	\N	f	
20951	22eecd01-b717-48ef-b8e0-0336183a4288	San Potito Sannitico	San Potito Sannitico	4	0	2013-07-23 17:37:06.458155+02	\N	\N	\N	\N	\N	\N	f	
21049	c516f108-0615-4765-9164-76701b29b2d8	Crispano	Crispano	4	0	2013-07-23 20:38:55.507997+02	\N	\N	\N	\N	\N	\N	f	
21610	a737f16f-f6d5-4479-a768-3b8651d5b259	Sala Bolognese	Sala Bolognese	4	0	2013-07-24 11:54:58.267663+02	\N	\N	\N	\N	\N	\N	f	
21052	1c3e75a2-65cb-4de7-9b37-7ca4946859ee	Casoria	Casoria	4	0	2013-07-23 20:39:37.371701+02	\N	\N	\N	\N	\N	\N	f	
21154	b4fe4d5a-bad9-4df2-a8ae-3319c1982a92	Felitto	Felitto	4	0	2013-07-23 23:39:53.080067+02	\N	\N	\N	\N	\N	\N	f	
26358	63b803c7-5f2c-49b7-a919-703b4995ff2e	Linneus, Missouri	Linneus, Missouri	3	0	2013-09-07 23:34:45.516237+02	\N	\N	\N	\N	\N	\N	f	
21259	37aa05ab-1039-4605-acce-965614f1d7cf	Torre Orsaia	Torre Orsaia	4	0	2013-07-24 02:41:28.063802+02	\N	\N	\N	\N	\N	\N	f	
24017	45530833-1707-43a9-a410-c9cf36c65a88	Milton	Milton	3	0	2013-09-06 23:53:58.966095+02	\N	\N	\N	\N	\N	\N	f	
21268	179856fe-785a-43ca-abab-13bc8d0d70d2	Vietri sul Mare	Vietri sul Mare	4	0	2013-07-24 02:43:24.120809+02	\N	\N	\N	\N	\N	\N	f	
21301	e226c7be-ced5-4bc9-8855-14a97ef8e9ff	Dicomano	Dicomano	4	0	2013-07-24 02:51:09.420459+02	\N	\N	\N	\N	\N	\N	f	
25427	ccb2037e-fdbf-4301-9fd8-f0cc84d206e2	Sonora, Kentucky	Sonora, Kentucky	3	0	2013-09-07 11:47:47.700797+02	\N	\N	\N	\N	\N	\N	f	
21350	d6a8bf15-ed10-4864-95aa-97eef6d1484b	Barone Canavese	Barone Canavese	4	0	2013-07-24 05:41:04.078692+02	\N	\N	\N	\N	\N	\N	f	
24114	a8a76014-9f22-4972-a93b-c54f0f31dad7	Franklin	Franklin	3	0	2013-09-07 02:43:04.760895+02	\N	\N	\N	\N	\N	\N	f	
21450	cf6ae7f2-29c3-4210-8e14-4d73ed788755	Cercenasco	Cercenasco	4	0	2013-07-24 08:40:34.467724+02	\N	\N	\N	\N	\N	\N	f	
24131	167548f8-a75a-4a12-9e88-8687cecadce3	Acequia	Acequia	3	0	2013-09-07 02:55:48.731256+02	\N	\N	\N	\N	\N	\N	f	
25448	c76df252-8a65-4655-b352-818b76596e7e	Easton, Kansas	Easton, Kansas	3	0	2013-09-07 11:52:45.983913+02	\N	\N	\N	\N	\N	\N	f	
24134	813fb63e-c25d-48ba-a9e3-40c8ec08677e	Victor	Victor	3	0	2013-09-07 02:56:29.449257+02	\N	\N	\N	\N	\N	\N	f	
24143	d7e27fa1-a3b1-4301-937b-503be591f335	Dayton	Dayton	3	0	2013-09-07 02:58:31.683116+02	\N	\N	\N	\N	\N	\N	f	
24374	1b15a9b9-208e-4f18-a3e2-9ebddbaae56a	Ringgold, Georgia	Ringgold, Georgia	3	0	2013-09-07 06:29:22.710902+02	\N	\N	\N	\N	\N	\N	f	
25525	083dbc77-cc2c-4567-b04d-2823f95e93fb	Water Valley, Kentucky	Water Valley, Kentucky	3	0	2013-09-07 12:47:20.127629+02	\N	\N	\N	\N	\N	\N	f	
24893	dd4a3dae-22f4-4b95-bebb-1e5184b13c57	St. Lucas	St. Lucas	3	0	2013-09-07 09:01:55.150883+02	\N	\N	\N	\N	\N	\N	f	
26413	6dc620a1-bb23-4970-9a00-6549f66c1a57	Woodston, Kansas	Woodston, Kansas	3	0	2013-09-08 00:02:37.87804+02	\N	\N	\N	\N	\N	\N	f	
25579	38353143-f8ee-4de1-8c67-cba78fe56850	Thornhill, Kentucky	Thornhill, Kentucky	3	0	2013-09-07 13:03:26.329133+02	\N	\N	\N	\N	\N	\N	f	
26002	ac82accb-5386-4759-ad79-d73c47f06fb6	Severy	Severy	3	0	2013-09-07 17:43:24.601571+02	\N	\N	\N	\N	\N	\N	f	
26653	be57acff-9776-42e1-ae80-2e7e4146927b	Hammond	Hammond	3	0	2013-09-08 01:53:55.41487+02	\N	\N	\N	\N	\N	\N	f	
26107	65d00361-5e62-41e6-a276-54770e0d598d	Broeck Pointe, Kentucky	Broeck Pointe, Kentucky	3	0	2013-09-07 18:12:08.07197+02	\N	\N	\N	\N	\N	\N	f	
27203	6a829a94-87df-422a-9c5f-8facc3514782	Reeds	Reeds	3	0	2013-09-08 05:56:20.183338+02	\N	\N	\N	\N	\N	\N	f	
26699	543e42c1-6de6-4328-af82-03db96dee575	De Kalb, Missouri	De Kalb, Missouri	3	0	2013-09-08 02:31:34.898201+02	\N	\N	\N	\N	\N	\N	f	
27106	09597121-ceb9-454d-9238-3f8010748d88	Robbins, North Carolina	Robbins, North Carolina	3	0	2013-09-08 05:24:44.085484+02	\N	\N	\N	\N	\N	\N	f	
27469	789fc862-1b13-4b13-bef4-f60f59ee79d3	Leeds	Leeds	3	0	2013-09-08 08:04:35.44048+02	\N	\N	\N	\N	\N	\N	f	
27444	42835f04-56d1-47b0-b9a3-b2e43f03178d	Hurdsfield, North Dakota	Hurdsfield, North Dakota	3	0	2013-09-08 07:58:28.566556+02	\N	\N	\N	\N	\N	\N	f	
27826	4ee7317d-81a5-48f7-8b4e-3788bc04849e	Seligman	Seligman	3	0	2013-09-08 10:07:59.049912+02	\N	\N	\N	\N	\N	\N	f	
27461	e8fe6864-4671-4933-8718-3ce9f0975814	Riverdale, North Dakota	Riverdale, North Dakota	3	0	2013-09-08 08:02:44.468938+02	\N	\N	\N	\N	\N	\N	f	
27770	a7bee6a0-6a3c-4f71-8926-ab7f6b2908cc	Geary	Geary	3	0	2013-09-08 09:47:06.168059+02	\N	\N	\N	\N	\N	\N	f	
27785	d9183575-0a40-44da-9345-528de728f22e	Wellston	Wellston	3	0	2013-09-08 09:56:50.703519+02	\N	\N	\N	\N	\N	\N	f	
27852	53b02e20-39f2-4140-b8a1-e9449acced04	Breckenridge Hills	Breckenridge Hills	3	0	2013-09-08 10:14:43.326982+02	\N	\N	\N	\N	\N	\N	f	
27855	1b2c9d59-2169-4b16-8c11-d42cbc066ed2	Leadington	Leadington	3	0	2013-09-08 10:15:31.978369+02	\N	\N	\N	\N	\N	\N	f	
28101	95be5be5-37b3-40ee-b330-c25426e10c7e	Boguchar	Boguchar	3	0	2013-09-08 14:18:44.860685+02	\N	\N	\N	\N	\N	\N	f	
28116	ee9e553d-f3fe-4c8d-b28a-0a612f288446	Monessen	Monessen	3	0	2013-09-08 14:22:31.402686+02	\N	\N	\N	\N	\N	\N	f	
28204	c88488c6-ff34-45d4-aad5-e6318554b0ec	Tikhoretsk	Tikhoretsk	3	0	2013-09-08 14:49:45.358882+02	\N	\N	\N	\N	\N	\N	f	
28316	0ebd6193-e5cb-4e9d-978f-7764803ba477	Goodlettsville	Goodlettsville	3	0	2013-09-08 16:48:49.44372+02	\N	\N	\N	\N	\N	\N	f	
28494	b0021b48-c300-467f-a4e6-4afc9d4b56f2	Littlefield, Texas	Littlefield, Texas	3	0	2013-09-08 20:26:20.415587+02	\N	\N	\N	\N	\N	\N	f	
28736	c238c923-459d-4340-887c-81542f3f2a63	Dalworthington Gardens	Dalworthington Gardens	3	0	2013-09-08 23:44:34.373537+02	\N	\N	\N	\N	\N	\N	f	
13073	c74e4111-077a-4534-be23-457b55dc0ff8	Höganäs Municipality	Höganäs Municipality	4	0	2013-07-16 12:22:51.520722+02	\N	\N	\N	\N	\N	\N	f	
14334	c2cb8e58-5c2b-4205-87bb-d82eca6b3794	Gloucester	Gloucester	3	0	2013-07-21 21:14:50.220911+02	\N	\N	\N	\N	\N	\N	f	
15879	e86e57bc-0d95-4f53-820e-981be18149b8	San Germano Vercellese	San Germano Vercellese	4	0	2013-07-22 02:23:56.738945+02	\N	\N	\N	\N	\N	\N	f	
14684	c6533142-ec36-4151-bfb5-05ad24f021d2	Casapinta	Casapinta	4	0	2013-07-21 22:33:06.314308+02	\N	\N	\N	\N	\N	\N	f	
14749	3a684d2c-e961-429f-be77-88ae4322daf8	Elva	Elva	4	0	2013-07-21 22:47:26.628705+02	\N	\N	\N	\N	\N	\N	f	
15320	11c0a5ec-96d4-4bf5-9e03-b8824ec0280f	Orciano di Pesaro	Orciano di Pesaro	4	0	2013-07-22 00:19:21.433987+02	\N	\N	\N	\N	\N	\N	f	
16752	8f99e9e4-354c-4c9b-98d9-a41120d5a05c	Baunei	Baunei	4	0	2013-07-22 04:27:40.975483+02	\N	\N	\N	\N	\N	\N	f	
15367	e500124d-944f-4910-8113-9752a08c9602	Camporgiano	Camporgiano	4	0	2013-07-22 00:29:32.913583+02	\N	\N	\N	\N	\N	\N	f	
17817	c7ff3d9b-9894-439d-85f2-87662da41e20	Gosaldo	Gosaldo	4	0	2013-07-22 07:14:20.011865+02	\N	\N	\N	\N	\N	\N	f	
16755	b3111efb-088f-40a1-8885-179114cfb4f0	Trento	Trento	4	0	2013-07-22 04:28:23.081198+02	\N	\N	\N	\N	\N	\N	f	
16772	15a18f75-4379-4eb5-84a4-f59347f1f596	Oschiri	Oschiri	4	0	2013-07-22 04:33:20.325258+02	\N	\N	\N	\N	\N	\N	f	
16844	d211ec70-6de8-44a7-9c13-bd3127b2736d	San Pietro Viminario	San Pietro Viminario	4	0	2013-07-22 04:51:26.731883+02	\N	\N	\N	\N	\N	\N	f	
17826	8abb2d36-53f0-43ef-a8b6-64a3b2f0e336	Piateda	Piateda	4	0	2013-07-22 07:15:21.672138+02	\N	\N	\N	\N	\N	\N	f	
21351	7466369c-7af2-441e-ae24-94b9dcdf3aed	Azeglio	Azeglio	4	0	2013-07-24 05:41:16.578069+02	\N	\N	\N	\N	\N	\N	f	
17855	42e7ec9b-dc9a-497c-9128-2da1f0ae66fc	Lesmo	Lesmo	4	0	2013-07-22 07:18:40.428221+02	\N	\N	\N	\N	\N	\N	f	
17946	439c858c-32e2-430f-95e0-49a1c625360c	Lüsen	Lüsen	4	0	2013-07-22 07:29:46.146215+02	\N	\N	\N	\N	\N	\N	f	
20083	83ae4960-1575-419e-b6b6-f1fef1fd019e	Caneva	Caneva	4	0	2013-07-22 12:17:09.896429+02	\N	\N	\N	\N	\N	\N	f	
17992	41ee3f7d-26fb-4785-86f7-8e67d3b8b2b0	Casalpusterlengo	Casalpusterlengo	4	0	2013-07-22 07:35:00.275551+02	\N	\N	\N	\N	\N	\N	f	
18754	474b74f9-65d3-4e6c-b115-610ab8d365de	Veniano	Veniano	4	0	2013-07-22 09:10:07.930476+02	\N	\N	\N	\N	\N	\N	f	
24916	6f9d3fdb-1a85-4518-8666-9a467dfee65d	Soldier	Soldier	3	0	2013-09-07 09:07:42.505244+02	\N	\N	\N	\N	\N	\N	f	
18884	90ffc869-92d2-4f9c-8b2d-0faf3514d621	Resuttano	Resuttano	4	0	2013-07-22 09:25:43.509599+02	\N	\N	\N	\N	\N	\N	f	
20089	add11ebd-010e-4c2e-9900-420be851c08c	Chions	Chions	4	0	2013-07-22 12:17:55.478028+02	\N	\N	\N	\N	\N	\N	f	
18898	647c0490-39d7-46ae-abc4-ad6c53a970eb	Paese	Paese	4	0	2013-07-22 09:27:33.977761+02	\N	\N	\N	\N	\N	\N	f	
19009	531a2f60-5743-4b64-9710-13abddd43721	Motta di Livenza	Motta di Livenza	4	0	2013-07-22 09:41:11.352552+02	\N	\N	\N	\N	\N	\N	f	
21452	7d98a8f2-ab7c-48b3-b4a4-320336f2904b	Chiesanuova	Chiesanuova	4	0	2013-07-24 08:41:00.461202+02	\N	\N	\N	\N	\N	\N	f	
20106	bedd8678-d1bd-4000-ae3b-66aed928e33d	Dogna	Dogna	4	0	2013-07-22 13:03:39.227973+02	\N	\N	\N	\N	\N	\N	f	
20116	a49b947c-920c-421d-b6af-0d151552ec82	Vito d'Asio	Vito d'Asio	4	0	2013-07-22 14:30:04.990792+02	\N	\N	\N	\N	\N	\N	f	
21463	9a2a5622-e504-43ae-894a-04e740b76215	Colleretto Castelnuovo	Colleretto Castelnuovo	4	0	2013-07-24 08:43:34.294959+02	\N	\N	\N	\N	\N	\N	f	
20126	655f2997-24e0-4319-b508-3f69b744e1ce	Fagagna	Fagagna	4	0	2013-07-22 17:30:13.850886+02	\N	\N	\N	\N	\N	\N	f	
20145	8c93e23b-65e2-4cf1-a3f6-0f86d9229f51	Campoformido	Campoformido	4	0	2013-07-22 17:34:19.408871+02	\N	\N	\N	\N	\N	\N	f	
26003	f281c55d-c3ac-420a-843e-42fca2249b10	Natoma	Natoma	3	0	2013-09-07 17:43:39.654008+02	\N	\N	\N	\N	\N	\N	f	
20159	a268dac5-ffa5-4976-bab2-72e3e434d77e	Palmanova	Palmanova	4	0	2013-07-22 17:37:21.973371+02	\N	\N	\N	\N	\N	\N	f	
21475	99cfa7f7-cb1b-4477-8b46-0e53669d3a95	Cossano Canavese	Cossano Canavese	4	0	2013-07-24 08:46:21.920982+02	\N	\N	\N	\N	\N	\N	f	
20204	8f876fc8-b15a-4627-9fc3-33d469560312	Venzone	Venzone	4	0	2013-07-22 17:48:01.718483+02	\N	\N	\N	\N	\N	\N	f	
20952	f4f36d2a-4e67-476f-9d1d-a3fb82752513	Teverola	Teverola	4	0	2013-07-23 17:37:18.712707+02	\N	\N	\N	\N	\N	\N	f	
25430	91293502-4fd5-4a4d-b02c-beab9814bdae	Bunker Hill, Kansas	Bunker Hill, Kansas	3	0	2013-09-07 11:48:28.14969+02	\N	\N	\N	\N	\N	\N	f	
21050	31df1716-c354-44c5-ac09-dc1ead0e846c	Lettere	Lettere	4	0	2013-07-23 20:39:09.248708+02	\N	\N	\N	\N	\N	\N	f	
21549	6388b6a2-c8b6-477d-ba1a-cf749def7964	Monastero di Lanzo	Monastero di Lanzo	4	0	2013-07-24 11:40:26.379623+02	\N	\N	\N	\N	\N	\N	f	
21087	ab249c62-f585-468d-8f7e-06bdda5314b6	San Paolo Bel Sito	San Paolo Bel Sito	4	0	2013-07-23 20:49:12.694452+02	\N	\N	\N	\N	\N	\N	f	
21155	2accbad1-4496-4358-a69c-50000ab3599d	Montano Antilia	Montano Antilia	4	0	2013-07-23 23:40:05.165804+02	\N	\N	\N	\N	\N	\N	f	
21262	396961f0-14fb-447c-82bf-43c5ba70003e	Stella Cilento	Stella Cilento	4	0	2013-07-24 02:42:05.247521+02	\N	\N	\N	\N	\N	\N	f	
21277	9edc1018-a1a8-490b-807e-a1246c30ac25	Monte San Martino	Monte San Martino	4	0	2013-07-24 02:46:11.367728+02	\N	\N	\N	\N	\N	\N	f	
24018	9534f725-34ef-403d-8538-9478fc64da60	Armstrong	Armstrong	3	0	2013-09-06 23:54:26.248716+02	\N	\N	\N	\N	\N	\N	f	
25472	ead5c953-2f1b-4791-8f7a-273ac7345e26	Hollenberg, Kansas	Hollenberg, Kansas	3	0	2013-09-07 11:59:21.566485+02	\N	\N	\N	\N	\N	\N	f	
24115	a4dcfb2d-0a55-4117-a518-de54d75e6435	Riggins	Riggins	3	0	2013-09-07 02:43:26.434031+02	\N	\N	\N	\N	\N	\N	f	
24375	ace2df3b-c467-4f13-9887-d515fa9bc7fe	Port Wentworth, Georgia	Port Wentworth, Georgia	3	0	2013-09-07 06:29:36.18331+02	\N	\N	\N	\N	\N	\N	f	
27771	19c531ff-290d-4d0a-802b-1a6581e14e02	Summit	Summit	3	0	2013-09-08 09:47:27.55933+02	\N	\N	\N	\N	\N	\N	f	
24894	1cbcf8e1-809b-46fa-8d36-45556cdae89c	Smithland	Smithland	3	0	2013-09-07 09:02:09.774032+02	\N	\N	\N	\N	\N	\N	f	
26361	8404f3f5-e80a-4c76-890a-e7dd8e2c850d	Roodhouse	Roodhouse	3	0	2013-09-07 23:35:30.643846+02	\N	\N	\N	\N	\N	\N	f	
24895	863705d6-0632-4e2b-9a3b-f606abe8360d	Sloan	Sloan	3	0	2013-09-07 09:02:24.411275+02	\N	\N	\N	\N	\N	\N	f	
25494	0af12596-b53b-484f-9e26-f060eb9c6352	Linwood, Kansas	Linwood, Kansas	3	0	2013-09-07 12:05:06.601015+02	\N	\N	\N	\N	\N	\N	f	
25497	0dc61db0-4afd-42d8-b09c-93fea970eab6	Middletown, Kentucky	Middletown, Kentucky	3	0	2013-09-07 12:05:48.549619+02	\N	\N	\N	\N	\N	\N	f	
27174	b13345e9-966e-44da-bd89-ea8c6e8c69af	Naylor	Naylor	3	0	2013-09-08 05:48:36.556031+02	\N	\N	\N	\N	\N	\N	f	
25526	4832c15a-64e2-4d28-8dec-1879fa674040	Port Allen, Louisiana	Port Allen, Louisiana	3	0	2013-09-07 12:47:33.944944+02	\N	\N	\N	\N	\N	\N	f	
26654	a3016454-9930-4eee-8d63-824adbefe3e2	Mound Bayou	Mound Bayou	3	0	2013-09-08 01:54:09.334595+02	\N	\N	\N	\N	\N	\N	f	
27108	978c1652-c1a6-43ef-bb23-fa55e2dd12e1	Polkville, North Carolina	Polkville, North Carolina	3	0	2013-09-08 05:25:11.780744+02	\N	\N	\N	\N	\N	\N	f	
27450	75a295e3-413c-4e47-acc3-cb7cb119f42c	Crystal, North Dakota	Crystal, North Dakota	3	0	2013-09-08 07:59:54.846343+02	\N	\N	\N	\N	\N	\N	f	
27160	2aca5729-3b16-419b-87e1-975f1536d540	Fairfax, Missouri	Fairfax, Missouri	3	0	2013-09-08 05:44:50.53961+02	\N	\N	\N	\N	\N	\N	f	
27446	3ecf6dde-b4ce-4a34-b448-bce42b915e01	Enderlin, North Dakota	Enderlin, North Dakota	3	0	2013-09-08 07:58:56.905871+02	\N	\N	\N	\N	\N	\N	f	
27472	cc6d3c47-6473-4a20-aefd-d0fe92a0c9c8	Harrison	Harrison	3	0	2013-09-08 08:05:18.235479+02	\N	\N	\N	\N	\N	\N	f	
28121	c4461845-b82e-4542-abcf-460117b970d5	Hermitage	Hermitage	3	0	2013-09-08 14:23:40.95441+02	\N	\N	\N	\N	\N	\N	f	
28102	746be174-1f92-4fdf-bd31-3780ec2a8fa7	Bobrov	Bobrov	3	0	2013-09-08 14:19:00.627453+02	\N	\N	\N	\N	\N	\N	f	
28122	a0191803-4786-441c-b1ee-7fecf5ee1b07	Vereya	Vereya	3	0	2013-09-08 14:24:04.634884+02	\N	\N	\N	\N	\N	\N	f	
28181	78e71c49-ebf1-4a50-93b2-8255c5edbdc3	Onega	Onega	3	0	2013-09-08 14:42:42.120281+02	\N	\N	\N	\N	\N	\N	f	
28317	4759ca8b-34e7-4785-add5-14de87e3829e	Armour, South Dakota	Armour, South Dakota	3	0	2013-09-08 16:49:03.002347+02	\N	\N	\N	\N	\N	\N	f	
28496	35307acf-aba0-4ca7-9df6-b9398d873a8f	Winnipeg	Winnipeg	3	0	2013-09-08 20:27:16.076255+02	\N	\N	\N	\N	\N	\N	f	
28532	71ae8c71-5ecf-42c6-93eb-3ffc0a6a39b1	Roman Forest, Texas	Roman Forest, Texas	3	0	2013-09-08 20:39:54.022995+02	\N	\N	\N	\N	\N	\N	f	
28578	8bf66e31-3094-4457-8d20-0d0013e0f4e2	Woodcreek, Texas	Woodcreek, Texas	3	0	2013-09-08 20:53:57.911186+02	\N	\N	\N	\N	\N	\N	f	
28619	70f26008-41ba-4c77-8b88-ad76181240fc	Blue Mound	Blue Mound	3	0	2013-09-08 21:04:45.079258+02	\N	\N	\N	\N	\N	\N	f	
13075	bbaceadd-5358-4300-a74d-2fb1d115cbc9	Oxelösund Municipality	Oxelösund Municipality	4	0	2013-07-16 12:23:21.471031+02	\N	\N	\N	\N	\N	\N	f	
13077	80e5d577-bd4e-435c-86de-909c76a74a58	Stockholm municipality	Stockholm municipality	4	0	2013-07-16 12:23:44.696969+02	\N	\N	\N	\N	\N	\N	f	
13078	fdd85dc0-19b2-43d2-b74e-f73cf7a3a59e	Hässleholm Municipality	Hässleholm Municipality	4	0	2013-07-16 12:23:56.169217+02	\N	\N	\N	\N	\N	\N	f	
13096	15098057-af6d-4725-9056-04445d9c4f51	Gislaved Municipality	Gislaved Municipality	4	0	2013-07-16 12:28:24.008663+02	\N	\N	\N	\N	\N	\N	f	
13079	0350a83d-14cf-40ce-8fb3-f598c38a2e77	Naestved Municipality	Naestved Municipality	4	0	2013-07-16 12:24:08.683417+02	\N	\N	\N	\N	\N	\N	f	
13080	2c353274-bfda-4726-b390-959e1cdcfa89	Norsjö Municipality	Norsjö Municipality	4	0	2013-07-16 12:24:20.184759+02	\N	\N	\N	\N	\N	\N	f	
13115	a5f7df31-9dca-40db-828d-ea7de2d62f81	Lilla Edet Municipality	Lilla Edet Municipality	4	0	2013-07-16 12:32:24.836217+02	\N	\N	\N	\N	\N	\N	f	
13081	97bc9c31-d4e1-4d44-8881-a02241476aa0	Umeå Municipality	Umeå Municipality	4	0	2013-07-16 12:24:31.61149+02	\N	\N	\N	\N	\N	\N	f	
13097	98617fe8-e2ef-44dd-802b-acfe0c88310f	Falkenberg Municipality	Falkenberg Municipality	4	0	2013-07-16 12:28:35.84852+02	\N	\N	\N	\N	\N	\N	f	
13082	77827fa8-1551-4a9c-a78a-292e0552d845	Norddjurs Municipality	Norddjurs Municipality	4	0	2013-07-16 12:24:43.049667+02	\N	\N	\N	\N	\N	\N	f	
13083	da52d598-8118-4d47-b0a6-75b931e3ce94	Langeland Municipality	Langeland Municipality	4	0	2013-07-16 12:24:54.518399+02	\N	\N	\N	\N	\N	\N	f	
13108	8337ad96-6669-45cd-8b42-e675aade7c5c	Haparanda Municipality	Haparanda Municipality	4	0	2013-07-16 12:30:59.406558+02	\N	\N	\N	\N	\N	\N	f	
13084	ae1c3ca5-99bd-4519-9f4e-c0c00fff65bf	Silkeborg Municipality	Silkeborg Municipality	4	0	2013-07-16 12:25:05.984891+02	\N	\N	\N	\N	\N	\N	f	
13098	2931c10f-8ef5-4314-82a2-27ab2ff1d37e	Egedal Municipality	Egedal Municipality	4	0	2013-07-16 12:28:49.854539+02	\N	\N	\N	\N	\N	\N	f	
13085	aed5f61b-6017-4fa7-a13f-f073e1ba3a63	Kalmar Municipality	Kalmar Municipality	4	0	2013-07-16 12:25:17.509589+02	\N	\N	\N	\N	\N	\N	f	
13086	99e6b580-a507-4cad-9c75-cff822d97264	Herning Municipality	Herning Municipality	4	0	2013-07-16 12:25:28.920358+02	\N	\N	\N	\N	\N	\N	f	
13087	5d4f7430-b983-4871-a324-fa998404fa23	Ystad Municipality	Ystad Municipality	4	0	2013-07-16 12:25:40.3085+02	\N	\N	\N	\N	\N	\N	f	
13099	a75a3964-2d0b-49e0-9c78-3229f356855a	Katrineholm Municipality	Katrineholm Municipality	4	0	2013-07-16 12:29:01.738519+02	\N	\N	\N	\N	\N	\N	f	
13088	f51fc3ef-e87e-42d2-b3d4-2e1ee6362ba9	Nässjö Municipality	Nässjö Municipality	4	0	2013-07-16 12:25:51.988216+02	\N	\N	\N	\N	\N	\N	f	
13089	0a6fdcca-f657-4750-a769-90b3a96a1916	Sävsjö Municipality	Sävsjö Municipality	4	0	2013-07-16 12:26:03.728685+02	\N	\N	\N	\N	\N	\N	f	
13090	7c208953-82b3-47fc-8d98-511d0d73cc9d	Robertsfors Municipality	Robertsfors Municipality	4	0	2013-07-16 12:26:26.652631+02	\N	\N	\N	\N	\N	\N	f	
13100	31e6639a-2fbc-49b5-a71c-64590b7a25a3	Ockelbo Municipality	Ockelbo Municipality	4	0	2013-07-16 12:29:13.368412+02	\N	\N	\N	\N	\N	\N	f	
13091	fda35711-fefc-4b30-80c7-d1080b6dff66	Lejre	Lejre	4	0	2013-07-16 12:26:52.690659+02	\N	\N	\N	\N	\N	\N	f	
13092	1e97029b-9eab-46b5-b303-e0e6c1f25be2	Holstebro Municipality	Holstebro Municipality	4	0	2013-07-16 12:27:11.774652+02	\N	\N	\N	\N	\N	\N	f	
13109	d70a5956-31e5-4d88-ae31-fc6f151e9656	Mölndal Municipality	Mölndal Municipality	4	0	2013-07-16 12:31:10.948788+02	\N	\N	\N	\N	\N	\N	f	
13093	e7b630b6-6667-4801-93c6-7e196bc7d4f3	Hedemora Municipality	Hedemora Municipality	4	0	2013-07-16 12:27:33.922922+02	\N	\N	\N	\N	\N	\N	f	
13101	1959f3c5-2085-4d72-82d8-0244d8ec2f7d	Piteå Municipality	Piteå Municipality	4	0	2013-07-16 12:29:27.290366+02	\N	\N	\N	\N	\N	\N	f	
13094	50b95f27-b812-4ee2-90f3-d8d24a95a5ec	Motala Municipality	Motala Municipality	4	0	2013-07-16 12:27:49.126588+02	\N	\N	\N	\N	\N	\N	f	
13095	642265e2-88bf-4c78-b8ca-26c624a2850e	Hallsberg Municipality	Hallsberg Municipality	4	0	2013-07-16 12:28:06.444086+02	\N	\N	\N	\N	\N	\N	f	
13102	f46c6f12-76c2-4686-8a95-ba28900f03b0	Halsnæs Municipality	Halsnæs Municipality	4	0	2013-07-16 12:29:41.159225+02	\N	\N	\N	\N	\N	\N	f	
13110	caa2960f-bc94-485d-b34f-ef64f48bd113	Borgholm Municipality	Borgholm Municipality	4	0	2013-07-16 12:31:24.744055+02	\N	\N	\N	\N	\N	\N	f	
13103	79c4a392-eadb-459c-821a-1b79be0374d0	Helsingør Municipality	Helsingør Municipality	4	0	2013-07-16 12:30:02.57262+02	\N	\N	\N	\N	\N	\N	f	
13104	f0f06f6d-33cc-4c40-8f35-d0c46c1da8cc	Enköping Municipality	Enköping Municipality	4	0	2013-07-16 12:30:14.177639+02	\N	\N	\N	\N	\N	\N	f	
13116	85977d04-3704-4e38-8772-d0e361ff4940	Kungälv Municipality	Kungälv Municipality	4	0	2013-07-16 12:32:36.556087+02	\N	\N	\N	\N	\N	\N	f	
13105	14d37125-ed0f-4486-889a-08465a9e95cb	Högsby Municipality	Högsby Municipality	4	0	2013-07-16 12:30:25.352442+02	\N	\N	\N	\N	\N	\N	f	
13111	e8cf1ff0-5401-4f7d-a487-69f9cff7277a	Boxholm Municipality	Boxholm Municipality	4	0	2013-07-16 12:31:36.348335+02	\N	\N	\N	\N	\N	\N	f	
13106	c03f76d5-e6ac-44ab-b08c-ba4f08383144	Tierp Municipality	Tierp Municipality	4	0	2013-07-16 12:30:36.592914+02	\N	\N	\N	\N	\N	\N	f	
13107	dfe2bdb3-143f-490c-a312-a8f1f1531a53	Vesthimmerland Municipality	Vesthimmerland Municipality	4	0	2013-07-16 12:30:47.97016+02	\N	\N	\N	\N	\N	\N	f	
13112	c27f6eb3-63bf-458a-9b8f-c9e70dd7bae2	Bjuv Municipality	Bjuv Municipality	4	0	2013-07-16 12:31:47.823568+02	\N	\N	\N	\N	\N	\N	f	
13117	94261154-edaa-40eb-9741-8a9687a3ac8a	Tanum Municipality	Tanum Municipality	4	0	2013-07-16 12:32:48.283851+02	\N	\N	\N	\N	\N	\N	f	
13113	509eb494-bf4e-4a1f-b94f-f6ccb592a45d	Emmaboda Municipality	Emmaboda Municipality	4	0	2013-07-16 12:31:59.306268+02	\N	\N	\N	\N	\N	\N	f	
13114	2c0f6a59-7a78-4911-8e99-5d4c7ae53bc2	Stenungsund Municipality	Stenungsund Municipality	4	0	2013-07-16 12:32:11.065002+02	\N	\N	\N	\N	\N	\N	f	
13121	c2627bed-ae69-4180-8d89-d1e087a710e1	Rudersdal Municipality	Rudersdal Municipality	4	0	2013-07-16 12:33:33.9346+02	\N	\N	\N	\N	\N	\N	f	
13118	60151516-5af0-4a45-ac16-ca50d37ee3a1	Karlshamn Municipality	Karlshamn Municipality	4	0	2013-07-16 12:32:59.858415+02	\N	\N	\N	\N	\N	\N	f	
13124	d2e1a221-4ae6-406c-80ad-b32a9044f2e0	Arvika Municipality	Arvika Municipality	4	0	2013-07-16 12:34:09.356698+02	\N	\N	\N	\N	\N	\N	f	
13119	15cab531-e1bd-42ec-9274-10184d50e4f6	Degerfors Municipality	Degerfors Municipality	4	0	2013-07-16 12:33:11.214549+02	\N	\N	\N	\N	\N	\N	f	
13120	aab00de7-40d2-4139-b081-2750f21603e3	Brønderslev Municipality	Brønderslev Municipality	4	0	2013-07-16 12:33:22.646575+02	\N	\N	\N	\N	\N	\N	f	
13122	74f154d5-609b-43e6-b918-785e7bc0a844	Boden Municipality	Boden Municipality	4	0	2013-07-16 12:33:45.413726+02	\N	\N	\N	\N	\N	\N	f	
13129	3b7e570a-f4de-457b-be66-ae7508962149	Lessebo Municipality	Lessebo Municipality	4	0	2013-07-16 12:35:07.085096+02	\N	\N	\N	\N	\N	\N	f	
13123	028ea669-9f8b-4d1b-94c7-731a569b944a	Götene Municipality	Götene Municipality	4	0	2013-07-16 12:33:57.813719+02	\N	\N	\N	\N	\N	\N	f	
13125	8d48d664-b0d4-463e-b568-a0dc40620f87	Vårgårda Municipality	Vårgårda Municipality	4	0	2013-07-16 12:34:20.84981+02	\N	\N	\N	\N	\N	\N	f	
13128	6c7440f6-8def-4b9a-87e6-c997c2a54316	Gnosjö Municipality	Gnosjö Municipality	4	0	2013-07-16 12:34:55.349867+02	\N	\N	\N	\N	\N	\N	f	
13126	33c0d6c4-1c60-4458-8ce1-9f87f70896d6	Torsby Municipality	Torsby Municipality	4	0	2013-07-16 12:34:32.481223+02	\N	\N	\N	\N	\N	\N	f	
13127	8e3afea7-68fc-4563-a14f-18a738ea899c	Gävle Municipality	Gävle Municipality	4	0	2013-07-16 12:34:43.769746+02	\N	\N	\N	\N	\N	\N	f	
13130	b611f057-8892-424c-aa23-7959defda96b	Guldborgsund Municipality	Guldborgsund Municipality	4	0	2013-07-16 12:35:18.568164+02	\N	\N	\N	\N	\N	\N	f	
13131	27320d87-2f54-4da1-952c-d61a3198f2ce	Roskilde Municipality	Roskilde Municipality	4	0	2013-07-16 12:35:30.401932+02	\N	\N	\N	\N	\N	\N	f	
13132	67c65c0f-b928-4cf5-9e99-2bd5c188aaf5	Säffle Municipality	Säffle Municipality	4	0	2013-07-16 12:35:41.763724+02	\N	\N	\N	\N	\N	\N	f	
13133	8466c654-5a39-4428-b675-f7523735af79	Håbo Municipality	Håbo Municipality	4	0	2013-07-16 12:35:53.197864+02	\N	\N	\N	\N	\N	\N	f	
13134	632ae83b-213c-4c0f-b543-3253598b82c5	Leksand Municipality	Leksand Municipality	4	0	2013-07-16 12:36:04.518444+02	\N	\N	\N	\N	\N	\N	f	
13135	e33f350b-986f-4e91-92d1-c2c681e96f43	Askersund Municipality	Askersund Municipality	4	0	2013-07-16 12:36:15.867493+02	\N	\N	\N	\N	\N	\N	f	
13284	7635668e-a86a-4251-a1a4-867e56001062	Maranello	Maranello	4	0	2013-07-21 17:21:57.520057+02	\N	\N	\N	\N	\N	\N	f	
13297	d7ee8637-8972-41e7-b0ac-89fae49c2b75	Montese	Montese	4	0	2013-07-21 17:24:43.361673+02	\N	\N	\N	\N	\N	\N	f	
13136	bdc1dcde-1974-4260-b57f-e878c4f827a8	Hagfors Municipality	Hagfors Municipality	4	0	2013-07-16 12:36:27.255327+02	\N	\N	\N	\N	\N	\N	f	
13177	01eadfe8-cacf-44a2-a067-4e96de6f54e5	Lekeberg Municipality	Lekeberg Municipality	4	0	2013-07-16 12:45:47.330363+02	\N	\N	\N	\N	\N	\N	f	
13178	291c6271-4b1f-46d5-83e4-50e28cfc4c6d	Hultsfred Municipality	Hultsfred Municipality	4	0	2013-07-16 12:45:58.697115+02	\N	\N	\N	\N	\N	\N	f	
14118	caacc9fc-c706-4ca7-8600-5285b5c440d6	Settefrati	Settefrati	4	0	2013-07-21 20:27:07.472245+02	\N	\N	\N	\N	\N	\N	f	
13206	581adce1-ce41-499a-b3b5-01cd93b54f2e	Dragør Municipality	Dragør Municipality	4	0	2013-07-16 12:56:01.085499+02	\N	\N	\N	\N	\N	\N	f	
14141	2db3ccb5-c8b6-4021-bb7a-e6b36663d233	Pietracatella	Pietracatella	4	0	2013-07-21 20:32:15.2223+02	\N	\N	\N	\N	\N	\N	f	
15884	f089f231-89c3-485a-8733-21df883826cb	Olcenengo	Olcenengo	4	0	2013-07-22 02:24:59.505422+02	\N	\N	\N	\N	\N	\N	f	
14686	71154925-fa86-4abe-90a8-a7f9e3fc1fe2	Netro, Piedmont	Netro, Piedmont	4	0	2013-07-21 22:33:29.51072+02	\N	\N	\N	\N	\N	\N	f	
14717	5c545fa0-0efe-48dd-9936-9ce951a717de	Piedicavallo	Piedicavallo	4	0	2013-07-21 22:40:34.984155+02	\N	\N	\N	\N	\N	\N	f	
14735	6b3d3ab5-2e6e-4282-85f3-a84a02e6aeb2	Portula	Portula	4	0	2013-07-21 22:44:24.970334+02	\N	\N	\N	\N	\N	\N	f	
15322	84fe31fe-4593-4584-9dcf-2d1cd174b3be	Montelabbate	Montelabbate	4	0	2013-07-22 00:19:45.139441+02	\N	\N	\N	\N	\N	\N	f	
17820	3957013e-2f0d-4119-b5cd-47835641392e	Tradate	Tradate	4	0	2013-07-22 07:14:37.301994+02	\N	\N	\N	\N	\N	\N	f	
15927	7591c2a5-8788-4ee0-be5e-c6cc3cf494f7	Calceranica al Lago	Calceranica al Lago	4	0	2013-07-22 02:31:31.301139+02	\N	\N	\N	\N	\N	\N	f	
16024	562cbea6-a084-4c5e-bec4-f1dc6ad2199c	Lorsica	Lorsica	4	0	2013-07-22 02:43:39.659612+02	\N	\N	\N	\N	\N	\N	f	
17835	57fdfe44-9dad-4ff9-838c-ad25706d7d72	Lentiai	Lentiai	4	0	2013-07-22 07:16:30.363424+02	\N	\N	\N	\N	\N	\N	f	
16033	7dd22c45-f236-42e7-9eb9-930ce8e3c91b	Rezzoaglio	Rezzoaglio	4	0	2013-07-22 02:44:38.925492+02	\N	\N	\N	\N	\N	\N	f	
16035	a3164715-9b3b-4f9c-844a-a1987a21edeb	Leivi	Leivi	4	0	2013-07-22 02:45:00.733449+02	\N	\N	\N	\N	\N	\N	f	
19010	c5778731-a04a-42c9-8a0a-b5abfb0966d4	Vizzini	Vizzini	4	0	2013-07-22 09:41:17.293409+02	\N	\N	\N	\N	\N	\N	f	
16754	82219197-176e-4e8d-88bf-acb251218bf2	Osini	Osini	4	0	2013-07-22 04:28:10.557368+02	\N	\N	\N	\N	\N	\N	f	
17850	0e20a3ea-3fc4-4a13-8be3-795520ca8eb1	San Damiano al Colle	San Damiano al Colle	4	0	2013-07-22 07:18:06.6117+02	\N	\N	\N	\N	\N	\N	f	
16806	98110ecc-563e-4b85-9a31-560260dd239a	Seui	Seui	4	0	2013-07-22 04:41:28.390811+02	\N	\N	\N	\N	\N	\N	f	
16905	85fb7de5-4ba0-41e9-b88d-e33ab9060842	Abano Terme	Abano Terme	4	0	2013-07-22 05:06:38.806715+02	\N	\N	\N	\N	\N	\N	f	
17978	3fe20998-eef2-4868-93d3-974a24d0108f	Morimondo	Morimondo	4	0	2013-07-22 07:33:13.685177+02	\N	\N	\N	\N	\N	\N	f	
17993	0baf0832-6e6f-4f30-9a93-8f828b5b9f5c	Monzambano	Monzambano	4	0	2013-07-22 07:35:03.667697+02	\N	\N	\N	\N	\N	\N	f	
17998	d023d9b9-1d18-4536-ad4d-f96f5e2cf6df	Ospedaletto Lodigiano	Ospedaletto Lodigiano	4	0	2013-07-22 07:35:38.371268+02	\N	\N	\N	\N	\N	\N	f	
20080	14dccf49-9a90-45ed-835c-e26511f1be19	San Giorgio della Richinvelda	San Giorgio della Richinvelda	4	0	2013-07-22 12:16:42.979417+02	\N	\N	\N	\N	\N	\N	f	
18017	9e3c6fe5-1cd6-40f7-aa95-38a309ce4adc	San Zenone al Lambro	San Zenone al Lambro	4	0	2013-07-22 07:37:39.478944+02	\N	\N	\N	\N	\N	\N	f	
18758	88eb8ebb-de63-430a-9b85-500a7a380619	Lurate Caccivio	Lurate Caccivio	4	0	2013-07-22 09:10:33.136924+02	\N	\N	\N	\N	\N	\N	f	
21504	4678a549-6040-4c71-b0e9-30c435f2c4fd	Lusigliè	Lusigliè	4	0	2013-07-24 08:54:18.048815+02	\N	\N	\N	\N	\N	\N	f	
18760	af7b3749-6b2f-4726-b15e-7382460e032c	Valmorea	Valmorea	4	0	2013-07-22 09:10:52.336826+02	\N	\N	\N	\N	\N	\N	f	
20107	930327ec-defa-4797-a4d1-de1ca8517656	Chiopris-Viscone	Chiopris-Viscone	4	0	2013-07-22 13:03:59.077032+02	\N	\N	\N	\N	\N	\N	f	
18774	a8065c84-7371-4305-b593-7c97b04ef03b	Faloppio	Faloppio	4	0	2013-07-22 09:12:32.834539+02	\N	\N	\N	\N	\N	\N	f	
18820	2c54dc32-7b1f-4d20-a72f-d2b2564d8121	Pedemonte	Pedemonte	4	0	2013-07-22 09:18:15.639435+02	\N	\N	\N	\N	\N	\N	f	
21264	98046fcd-6634-42a0-84e4-f7acdb394ac3	Vallo della Lucania	Vallo della Lucania	4	0	2013-07-24 02:42:30.074452+02	\N	\N	\N	\N	\N	\N	f	
20117	5005c96a-99cd-4553-b70e-6f94dbe3a363	Amaro, Friuli	Amaro, Friuli	4	0	2013-07-22 14:30:19.922213+02	\N	\N	\N	\N	\N	\N	f	
18831	6b598c0c-7c9c-4f8c-b614-4bc5c661c24d	Cusino	Cusino	4	0	2013-07-22 09:19:24.772534+02	\N	\N	\N	\N	\N	\N	f	
18832	b3842c15-5b55-4f71-9b64-d382ca348fe6	Mühlbach	Mühlbach	4	0	2013-07-22 09:19:37.555194+02	\N	\N	\N	\N	\N	\N	f	
18863	720f42b6-553c-460f-bbf5-3a3c3297a820	Gravedona ed Uniti	Gravedona ed Uniti	4	0	2013-07-22 09:23:01.413345+02	\N	\N	\N	\N	\N	\N	f	
20127	fabe0145-4419-4e61-98cd-4a581ecab969	Carlino	Carlino	4	0	2013-07-22 17:30:29.26532+02	\N	\N	\N	\N	\N	\N	f	
20953	370c60cf-85bb-49b9-864c-cc6fc90c228d	Rocca d'Evandro	Rocca d'Evandro	4	0	2013-07-23 17:37:31.009126+02	\N	\N	\N	\N	\N	\N	f	
21317	5346658e-5239-4235-987a-9c1862609f90	Londa, Tuscany	Londa, Tuscany	4	0	2013-07-24 02:54:26.028297+02	\N	\N	\N	\N	\N	\N	f	
20955	3d59ff14-bee3-4918-8a6c-f4115a9a3c7d	Pignataro Maggiore	Pignataro Maggiore	4	0	2013-07-23 17:37:55.842719+02	\N	\N	\N	\N	\N	\N	f	
20958	43caf001-b050-45a6-8fd2-1a64d6365955	Riardo	Riardo	4	0	2013-07-23 17:38:32.542891+02	\N	\N	\N	\N	\N	\N	f	
21054	ee4abb55-3e84-4355-a701-cfcf14cfafb5	Giugliano in Campania	Giugliano in Campania	4	0	2013-07-23 20:40:09.468953+02	\N	\N	\N	\N	\N	\N	f	
21552	9f4f6983-8142-49d6-b6aa-e5c2ab955388	Crespellano	Crespellano	4	0	2013-07-24 11:41:06.40848+02	\N	\N	\N	\N	\N	\N	f	
21156	b7c6f481-83e1-4cee-9d6c-12db8a057399	Centola	Centola	4	0	2013-07-23 23:40:17.182446+02	\N	\N	\N	\N	\N	\N	f	
21352	3ed8450f-cbc4-481a-a27e-f6fc4c82a38e	Bibiana, Piedmont	Bibiana, Piedmont	4	0	2013-07-24 05:41:29.734856+02	\N	\N	\N	\N	\N	\N	f	
21455	7d15d83a-e069-41c2-b5e8-82396ad8bdd0	Corio	Corio	4	0	2013-07-24 08:41:46.907239+02	\N	\N	\N	\N	\N	\N	f	
21497	302abe8a-92f9-4d11-be49-cdc5d8c53099	Lauriano	Lauriano	4	0	2013-07-24 08:52:37.52469+02	\N	\N	\N	\N	\N	\N	f	
21571	497703eb-832d-43c7-864a-96f3f5219253	Fontanelice	Fontanelice	4	0	2013-07-24 11:46:16.373521+02	\N	\N	\N	\N	\N	\N	f	
21723	c7f079cf-dec2-414d-90f2-112e1f732105	Douglas	Douglas	3	0	2013-07-24 23:44:06.278351+02	\N	\N	\N	\N	\N	\N	f	
21585	02559c06-6b7a-45bc-8980-fdff8b2ae7dd	Montanaro	Montanaro	4	0	2013-07-24 11:49:15.044435+02	\N	\N	\N	\N	\N	\N	f	
21733	4cf2b04e-cf2d-4a7c-8430-2da4f2aa8b19	Madison	Madison	3	0	2013-07-25 11:22:10.641195+02	\N	\N	\N	\N	\N	\N	f	
21725	c7e49663-c2d0-4d2e-b184-87eaf432d66d	Zahlé	Zahlé	3	0	2013-07-25 02:26:37.280558+02	\N	\N	\N	\N	\N	\N	f	
21737	534b3a78-5745-4583-b6f8-544178f207a0	Three Rivers	Three Rivers	3	0	2013-07-25 17:24:46.043+02	\N	\N	\N	\N	\N	\N	f	
21736	2ba933bd-9f6f-45df-91de-7a65ea140d0d	Alpha	Alpha	3	0	2013-07-25 14:23:28.376027+02	\N	\N	\N	\N	\N	\N	f	
3781	ae69de84-fe07-4cc3-8fab-6a2b201ca270	Harare	Harare	3	0	2013-07-26 00:40:03.704278+02	\N	\N	\N	\N	\N	\N	f	
21738	10ef853c-b4b3-4ef7-9f8d-4a44911083f2	Cerro Colorado	Cerro Colorado	3	0	2013-07-26 17:18:01.379761+02	\N	\N	\N	\N	\N	\N	f	
21739	3236aafe-42fb-44d7-8813-11acfe9cb51f	Capacho Viejo	Capacho Viejo	3	0	2013-07-27 20:26:08.257593+02	\N	\N	\N	\N	\N	\N	f	
13137	f3cede47-c555-47d0-8a4c-461c4e69cc97	Vellinge Municipality	Vellinge Municipality	4	0	2013-07-16 12:36:38.678512+02	\N	\N	\N	\N	\N	\N	f	
13138	d1923a30-8e19-4dd8-9331-edb726193f68	Valdemarsvik Municipality	Valdemarsvik Municipality	4	0	2013-07-16 12:36:50.377178+02	\N	\N	\N	\N	\N	\N	f	
13160	24469718-d2f3-4a45-8f91-0fa24ef565e4	Ljusnarsberg Municipality	Ljusnarsberg Municipality	4	0	2013-07-16 12:42:28.477098+02	\N	\N	\N	\N	\N	\N	f	
14119	9625d3a5-228c-41f8-ae4c-20db643b3e6b	Termoli	Termoli	4	0	2013-07-21 20:27:25.364572+02	\N	\N	\N	\N	\N	\N	f	
13169	9f83a0d7-c57d-43a1-b690-6ca5843a5b17	Samsø Municipality	Samsø Municipality	4	0	2013-07-16 12:44:12.948773+02	\N	\N	\N	\N	\N	\N	f	
13170	393d9cf4-bcab-4b31-ad4d-90176dd4fa87	Randers Municipality	Randers Municipality	4	0	2013-07-16 12:44:24.505122+02	\N	\N	\N	\N	\N	\N	f	
13182	f37919e8-9b3b-49ca-80ce-b7439f9eba70	Tomelilla Municipality	Tomelilla Municipality	4	0	2013-07-16 12:46:52.543049+02	\N	\N	\N	\N	\N	\N	f	
14157	843039d2-7cb5-4c8e-b106-e568ca0d16c4	Belvedere Ostrense	Belvedere Ostrense	4	0	2013-07-21 20:36:04.459327+02	\N	\N	\N	\N	\N	\N	f	
13190	233c0f51-c028-41de-afcd-9ced8b98b3ac	Vadstena Municipality	Vadstena Municipality	4	0	2013-07-16 12:48:26.075792+02	\N	\N	\N	\N	\N	\N	f	
13193	99737c50-b8f1-4bd4-96ba-c28a353fe435	Östhammar Municipality	Östhammar Municipality	4	0	2013-07-16 12:49:54.299224+02	\N	\N	\N	\N	\N	\N	f	
15885	809db7be-c4d0-4699-917a-c6f9759bef53	Moncrivello	Moncrivello	4	0	2013-07-22 02:25:11.313962+02	\N	\N	\N	\N	\N	\N	f	
13196	427316ce-3caa-4727-9490-bd8695dc9162	Kerteminde Municipality	Kerteminde Municipality	4	0	2013-07-16 12:51:20.254994+02	\N	\N	\N	\N	\N	\N	f	
14358	9bcb15d3-c852-452c-bf04-ead668620239	Borghetto di Borbera	Borghetto di Borbera	4	0	2013-07-21 21:20:31.169911+02	\N	\N	\N	\N	\N	\N	f	
14688	b0b7e23d-a213-46e9-baa6-d1500bd3e274	Meda	Meda	4	0	2013-07-21 22:33:53.432007+02	\N	\N	\N	\N	\N	\N	f	
15329	ea3199af-a296-4d9f-a5df-3868b31906e3	Sant'Angelo in Lizzola	Sant'Angelo in Lizzola	4	0	2013-07-22 00:21:14.214614+02	\N	\N	\N	\N	\N	\N	f	
16756	86a1f23c-9df0-4c28-8f8f-d153c3032162	Arzana	Arzana	4	0	2013-07-22 04:28:38.563763+02	\N	\N	\N	\N	\N	\N	f	
17822	e23ef462-bdb4-42f7-a844-e10849dde095	Civo	Civo	4	0	2013-07-22 07:14:54.105001+02	\N	\N	\N	\N	\N	\N	f	
16767	3aa15448-1940-41a1-ba69-089b1c7a50a4	Sant'Antonio di Gallura	Sant'Antonio di Gallura	4	0	2013-07-22 04:32:00.804824+02	\N	\N	\N	\N	\N	\N	f	
21461	15d3531a-9cd6-4064-9c97-b73db4be0b9d	Chiusa di San Michele	Chiusa di San Michele	4	0	2013-07-24 08:43:08.117515+02	\N	\N	\N	\N	\N	\N	f	
17837	7088a351-283c-4d4e-a12f-4a2a316e9023	Albaredo per San Marco	Albaredo per San Marco	4	0	2013-07-22 07:16:42.404055+02	\N	\N	\N	\N	\N	\N	f	
20082	f296f958-6f2d-432d-ae27-cb69f6c39a4c	Pravisdomini	Pravisdomini	4	0	2013-07-22 12:17:00.112212+02	\N	\N	\N	\N	\N	\N	f	
17934	fc77b4b6-f3e2-4526-a301-5106bd1291f7	Laurein	Laurein	4	0	2013-07-22 07:28:21.926636+02	\N	\N	\N	\N	\N	\N	f	
20108	0b0dbe68-4c91-4c7f-a9f2-ff40284f0685	Cavazzo Carnico	Cavazzo Carnico	4	0	2013-07-22 13:04:16.834822+02	\N	\N	\N	\N	\N	\N	f	
18759	02985eee-4206-448f-9dfc-47410c97e67a	Vertemate con Minoprio	Vertemate con Minoprio	4	0	2013-07-22 09:10:33.620224+02	\N	\N	\N	\N	\N	\N	f	
21465	c03c6518-83f2-4111-b871-a04374ff9ef8	Colleretto Giacosa	Colleretto Giacosa	4	0	2013-07-24 08:44:00.153232+02	\N	\N	\N	\N	\N	\N	f	
18926	7879cf40-5d45-4cb8-a2d8-fe4285ca4d49	Castiglione di Sicilia	Castiglione di Sicilia	4	0	2013-07-22 09:31:09.051486+02	\N	\N	\N	\N	\N	\N	f	
20118	4bf848aa-7255-46b1-a801-28184e6930f8	Coseano	Coseano	4	0	2013-07-22 14:30:35.39203+02	\N	\N	\N	\N	\N	\N	f	
21554	61a773a8-ad6d-490b-8dd3-7146350823d1	Minerbio	Minerbio	4	0	2013-07-24 11:41:41.697136+02	\N	\N	\N	\N	\N	\N	f	
17925	e4b38f7c-5c41-4f49-9c30-ad92593b5548	Porto Mantovano	Porto Mantovano	4	0	2013-07-22 15:01:30.668903+02	\N	\N	\N	\N	\N	\N	f	
20128	fb1e80bc-45e1-4e69-8bd5-c5382d36d2b9	Basiliano	Basiliano	4	0	2013-07-22 17:30:42.337268+02	\N	\N	\N	\N	\N	\N	f	
21624	26b6a010-7fc6-493b-824f-c45df39d3b30	Centerville	Centerville	3	0	2013-07-24 14:23:08.117014+02	\N	\N	\N	\N	\N	\N	f	
20954	868b3be2-4905-45ab-a0b5-59879a244315	San Marcellino	San Marcellino	4	0	2013-07-23 17:37:43.215216+02	\N	\N	\N	\N	\N	\N	f	
21055	3dde4962-44aa-4735-8aee-8b5873e077f9	Massa di Somma	Massa di Somma	4	0	2013-07-23 20:40:26.878199+02	\N	\N	\N	\N	\N	\N	f	
21157	043d5419-d65b-4994-94af-1bf08fb05746	Furore	Furore	4	0	2013-07-23 23:40:29.46944+02	\N	\N	\N	\N	\N	\N	f	
21724	93f59a17-f834-42ef-9bf1-f3a48d287b2b	Willemstad	Willemstad	3	0	2013-07-24 23:52:14.604814+02	\N	\N	\N	\N	\N	\N	f	
21171	080bdef3-4bad-4b6c-8aad-7b93c04a5ddf	Maiori	Maiori	4	0	2013-07-23 23:43:55.145749+02	\N	\N	\N	\N	\N	\N	f	
21265	70cd34b9-a993-4d3f-892d-6e7d145dabf2	Valle dell'Angelo	Valle dell'Angelo	4	0	2013-07-24 02:42:42.689494+02	\N	\N	\N	\N	\N	\N	f	
21353	7a75a2d6-9154-4bfb-8234-58572fda2200	Buriasco	Buriasco	4	0	2013-07-24 05:41:45.095158+02	\N	\N	\N	\N	\N	\N	f	
21726	4425b2b5-1d26-43a2-b58c-06fcd774084d	Panama City	Panama City	3	0	2013-07-25 02:28:05.928382+02	\N	\N	\N	\N	\N	\N	f	
21456	b9070b08-1be1-4250-a0f3-b6ec97445ffe	Coazze	Coazze	4	0	2013-07-24 08:42:00.728937+02	\N	\N	\N	\N	\N	\N	f	
21734	3b4181d9-6885-4c8a-b417-cc711cc48e8f	Luokan	Luokan	3	0	2013-07-25 11:26:51.302799+02	\N	\N	\N	\N	\N	\N	f	
21740	75b2cd21-c829-443d-9160-a9772ce50e97	Hercules	Hercules	3	0	2013-07-27 20:33:44.051877+02	\N	\N	\N	\N	\N	\N	f	
13139	94d29858-c914-4b0d-91aa-66eb946d121f	Kristinehamn Municipality	Kristinehamn Municipality	4	0	2013-07-16 12:37:02.130649+02	\N	\N	\N	\N	\N	\N	f	
13140	b18a456f-71e5-4300-a61d-36cbf9591194	Vänersborg Municipality	Vänersborg Municipality	4	0	2013-07-16 12:37:14.114402+02	\N	\N	\N	\N	\N	\N	f	
13153	d3d33462-9c2d-448a-a2c5-38f902af8722	Jokkmokk Municipality	Jokkmokk Municipality	4	0	2013-07-16 12:41:07.016739+02	\N	\N	\N	\N	\N	\N	f	
14121	4d7d4470-ffaf-4316-baf9-985339b04b12	Diano San Pietro	Diano San Pietro	4	0	2013-07-21 20:27:49.913002+02	\N	\N	\N	\N	\N	\N	f	
14147	8e28643c-701c-4109-978c-aaa6df9f107d	Ostra, Marche	Ostra, Marche	4	0	2013-07-21 20:33:30.218988+02	\N	\N	\N	\N	\N	\N	f	
15894	386da8d5-7cfa-4c01-bc19-3822b9b62175	Quinto Vercellese	Quinto Vercellese	4	0	2013-07-22 02:27:03.821676+02	\N	\N	\N	\N	\N	\N	f	
14204	4ed64c62-764b-4e37-a3f5-6dcfc9c5bb9b	Chieti	Chieti	4	0	2013-07-21 20:46:11.853676+02	\N	\N	\N	\N	\N	\N	f	
14689	77af9ce8-025c-43bd-aa4d-6b73ac35eae6	Occhieppo Inferiore	Occhieppo Inferiore	4	0	2013-07-21 22:34:09.096701+02	\N	\N	\N	\N	\N	\N	f	
15331	2ef3bf9b-fd50-45a2-b9db-4b5379483a81	Petriano	Petriano	4	0	2013-07-22 00:21:42.387121+02	\N	\N	\N	\N	\N	\N	f	
15895	1b5fa9a9-70a5-4d36-8e5d-94b4af6dd754	Roasio	Roasio	4	0	2013-07-22 02:27:15.953832+02	\N	\N	\N	\N	\N	\N	f	
15342	debef59f-15b5-4ba3-a0a5-3ac0e2769e1c	Linguaglossa	Linguaglossa	4	0	2013-07-22 00:24:02.723492+02	\N	\N	\N	\N	\N	\N	f	
15385	8705fb7a-74b5-4ee4-8444-74c0ec9d37d0	Porcari	Porcari	4	0	2013-07-22 00:33:26.357413+02	\N	\N	\N	\N	\N	\N	f	
17824	9d2dfb33-3cc1-4985-82d4-8ca4ffe071ed	Roncaro	Roncaro	4	0	2013-07-22 07:15:07.895876+02	\N	\N	\N	\N	\N	\N	f	
15960	d2ea7109-fbc2-4a5f-85f0-0ded9ec138b0	Masone	Masone	4	0	2013-07-22 02:35:50.825562+02	\N	\N	\N	\N	\N	\N	f	
15994	39a171a3-0149-4729-9f5b-1797b948a6f0	Fascia, Liguria	Fascia, Liguria	4	0	2013-07-22 02:39:47.23388+02	\N	\N	\N	\N	\N	\N	f	
21354	3bb28d79-f715-4009-8762-8a577130916e	Balme	Balme	4	0	2013-07-24 05:41:58.79225+02	\N	\N	\N	\N	\N	\N	f	
16757	1e730b91-dbf1-4cac-8ec5-eb642d4d6d70	Bari Sardo	Bari Sardo	4	0	2013-07-22 04:28:54.349615+02	\N	\N	\N	\N	\N	\N	f	
17831	d731201f-88fa-4694-8704-f7d8ea2f9bc8	Chignolo Po	Chignolo Po	4	0	2013-07-22 07:16:03.112072+02	\N	\N	\N	\N	\N	\N	f	
16829	3552967e-d0fe-4d17-845e-20817d566281	Fontaniva	Fontaniva	4	0	2013-07-22 04:47:36.648566+02	\N	\N	\N	\N	\N	\N	f	
17857	fb133c73-ce07-4acf-96fe-f306e38d0f49	Carbonara al Ticino	Carbonara al Ticino	4	0	2013-07-22 07:18:52.447159+02	\N	\N	\N	\N	\N	\N	f	
24483	69846b91-e293-472d-acbf-e72ce3b60b48	East Point, Georgia	East Point, Georgia	3	0	2013-09-07 06:56:18.301322+02	\N	\N	\N	\N	\N	\N	f	
17891	f610703e-8d07-47ed-8bfa-e489d9225edf	Arsiè	Arsiè	4	0	2013-07-22 07:23:01.303913+02	\N	\N	\N	\N	\N	\N	f	
21356	b1439396-f201-405d-9fc6-57b07061938a	Borgomasino	Borgomasino	4	0	2013-07-24 05:42:25.240072+02	\N	\N	\N	\N	\N	\N	f	
18761	d5023eaa-5528-4465-91ad-1966b4d79325	Sorico	Sorico	4	0	2013-07-22 09:10:59.337739+02	\N	\N	\N	\N	\N	\N	f	
18780	a48756f6-63f6-483d-8472-659891ac3d0f	Olgiate Comasco	Olgiate Comasco	4	0	2013-07-22 09:13:11.395925+02	\N	\N	\N	\N	\N	\N	f	
18822	f126e914-2149-4deb-93b4-3a3131fc61b2	San Zeno di Montagna	San Zeno di Montagna	4	0	2013-07-22 09:18:29.102895+02	\N	\N	\N	\N	\N	\N	f	
20119	0737adce-9ee8-4e7f-9615-55b4ac652521	Corno di Rosazzo	Corno di Rosazzo	4	0	2013-07-22 14:30:52.509351+02	\N	\N	\N	\N	\N	\N	f	
18939	da488374-0be5-47bb-aef9-3cb6574e7862	Sommatino	Sommatino	4	0	2013-07-22 09:32:33.580346+02	\N	\N	\N	\N	\N	\N	f	
24896	ff7f6a30-9a3f-4f79-9fbd-25633ed95341	Sherrill	Sherrill	3	0	2013-09-07 09:02:39.148267+02	\N	\N	\N	\N	\N	\N	f	
18965	49e00087-c77a-4853-b9b4-687fa326f4a2	Soave	Soave	4	0	2013-07-22 09:35:29.2432+02	\N	\N	\N	\N	\N	\N	f	
20129	d91d9972-eef5-44c3-a5ab-4d5cc80c1a3c	Vajont	Vajont	4	0	2013-07-22 17:30:59.69747+02	\N	\N	\N	\N	\N	\N	f	
21458	a472d13a-afd8-4141-a690-a64e96f8a9a1	Coassolo Torinese	Coassolo Torinese	4	0	2013-07-24 08:42:29.064185+02	\N	\N	\N	\N	\N	\N	f	
20135	ce565a8d-502a-4391-8785-d4123802370f	Castions di Strada	Castions di Strada	4	0	2013-07-22 17:32:18.228203+02	\N	\N	\N	\N	\N	\N	f	
20163	435b4498-aa5b-43a5-a0b0-a66ae1c971a1	Montenars	Montenars	4	0	2013-07-22 17:38:10.944517+02	\N	\N	\N	\N	\N	\N	f	
20199	c6d99873-ef2a-4cfe-abef-33ef42ba863a	Povoletto	Povoletto	4	0	2013-07-22 17:46:47.7011+02	\N	\N	\N	\N	\N	\N	f	
21555	9a8d051e-9615-442e-af8b-8ecb0eaaa948	Monterenzio	Monterenzio	4	0	2013-07-24 11:41:53.631064+02	\N	\N	\N	\N	\N	\N	f	
20956	e62b857c-7006-4247-895e-0eca0d7a8236	San Marco Evangelista	San Marco Evangelista	4	0	2013-07-23 17:38:08.154726+02	\N	\N	\N	\N	\N	\N	f	
21056	c809366a-fc4e-4a45-be5b-fbfee0ce2872	Cercola	Cercola	4	0	2013-07-23 20:40:47.015054+02	\N	\N	\N	\N	\N	\N	f	
25446	7a57e794-20f4-4be1-8791-a08e9ace1659	Whitesburg, Kentucky	Whitesburg, Kentucky	3	0	2013-09-07 11:52:18.683977+02	\N	\N	\N	\N	\N	\N	f	
21083	7cac8a1f-5c88-4650-b940-9c146cfe6a0f	Sorrento	Sorrento	4	0	2013-07-23 20:48:19.090462+02	\N	\N	\N	\N	\N	\N	f	
21556	e726099a-3970-4586-90cf-d40fefe5659f	Granarolo dell'Emilia	Granarolo dell'Emilia	4	0	2013-07-24 11:42:05.513554+02	\N	\N	\N	\N	\N	\N	f	
21158	46e7020b-2ec7-48ef-8b4c-fcaf0b2d4f8f	Corleto Monforte	Corleto Monforte	4	0	2013-07-23 23:40:41.530159+02	\N	\N	\N	\N	\N	\N	f	
21267	b9bc4821-82b1-44f6-a1e5-b72c31a86117	Siano	Siano	4	0	2013-07-24 02:43:07.30974+02	\N	\N	\N	\N	\N	\N	f	
20109	ad40a2e0-c527-416e-b10f-62c6c3acec12	Artegna	Artegna	4	0	2013-08-29 14:00:39.117259+02	\N	\N	\N	\N	\N	\N	f	
21625	06b725f2-ca02-4bbd-9ae7-c8c4b7ede2c6	Wall	Wall	3	0	2013-07-24 14:23:49.707343+02	\N	\N	\N	\N	\N	\N	f	
24918	6205a542-cb7d-4065-bcb5-938d752bd9e4	Randall	Randall	3	0	2013-09-07 09:08:11.998565+02	\N	\N	\N	\N	\N	\N	f	
21727	2b287948-7399-46a9-8ee1-df3341cfa278	Bridgetown	Bridgetown	3	0	2013-07-25 02:28:44.247026+02	\N	\N	\N	\N	\N	\N	f	
24022	c13f6ca8-5b0c-4610-8606-d7fc8b0f601d	San Jacinto	San Jacinto	3	0	2013-09-06 23:56:31.360921+02	\N	\N	\N	\N	\N	\N	f	
21735	32cfbe45-14a5-40ae-acac-ec878486a6a6	Madison	Madison	3	0	2013-07-25 11:27:22.843145+02	\N	\N	\N	\N	\N	\N	f	
24938	45fe3eb7-1b99-4bd2-a0f2-cb802fa124c5	Hays	Hays	3	0	2013-09-07 09:20:25.596334+02	\N	\N	\N	\N	\N	\N	f	
24117	50dfcbfb-d384-4676-9909-5c66e9e65a46	Plummer	Plummer	3	0	2013-09-07 02:44:03.87166+02	\N	\N	\N	\N	\N	\N	f	
25669	cd9e52cb-5258-41cb-9904-9cb76749d7c2	Fontana, Kansas	Fontana, Kansas	3	0	2013-09-07 13:27:10.157207+02	\N	\N	\N	\N	\N	\N	f	
24377	b777380c-ad6d-4570-a454-c64285b85dbc	Winder, Georgia	Winder, Georgia	3	0	2013-09-07 06:30:07.907352+02	\N	\N	\N	\N	\N	\N	f	
25527	828513d6-7278-45c0-b1b7-ac52c40af2dd	Watterson Park, Kentucky	Watterson Park, Kentucky	3	0	2013-09-07 12:47:57.115364+02	\N	\N	\N	\N	\N	\N	f	
24992	6ec569b9-80b9-4abd-bffd-862eb264235d	Robins	Robins	3	0	2013-09-07 09:35:09.263339+02	\N	\N	\N	\N	\N	\N	f	
21848	b2b93a04-6a2d-487c-a367-e5177949d1a5	Oakwood	Oakwood	3	0	2013-08-03 05:25:32.515725+02	\N	\N	\N	\N	\N	\N	f	
25434	ab8326ff-067c-44d5-9a14-00e3d8b631fe	Millersburg, Kentucky	Millersburg, Kentucky	3	0	2013-09-07 11:49:26.566396+02	\N	\N	\N	\N	\N	\N	f	
26655	35da652c-5d31-4c03-acec-b6668de1f5b4	Amory	Amory	3	0	2013-09-08 01:54:22.917472+02	\N	\N	\N	\N	\N	\N	f	
25656	8f39fdfe-4789-42e9-9db6-83b079799d10	Greenleaf, Kansas	Greenleaf, Kansas	3	0	2013-09-07 13:23:42.157511+02	\N	\N	\N	\N	\N	\N	f	
26004	bad5369c-59c2-486c-bef6-119d2d371970	Humboldt, Iowa	Humboldt, Iowa	3	0	2013-09-07 17:43:55.343108+02	\N	\N	\N	\N	\N	\N	f	
26363	adeb5e47-5a8c-407c-adf0-be4823cc10a9	Markham	Markham	3	0	2013-09-07 23:36:05.56393+02	\N	\N	\N	\N	\N	\N	f	
27188	ccc6434c-9767-4c2f-a336-ef92fcf6213c	New London	New London	3	0	2013-09-08 05:52:20.394301+02	\N	\N	\N	\N	\N	\N	f	
27109	e837be8f-efe1-471c-8e23-1113ad91198e	Brevard, North Carolina	Brevard, North Carolina	3	0	2013-09-08 05:25:25.256749+02	\N	\N	\N	\N	\N	\N	f	
27447	2bd098ae-b6c9-4bda-8617-18216b489067	Parshall, North Dakota	Parshall, North Dakota	3	0	2013-09-08 07:59:11.571608+02	\N	\N	\N	\N	\N	\N	f	
27772	1b1d84a4-30a0-44ff-be9c-8b11b2236451	Sparks	Sparks	3	0	2013-09-08 09:47:41.150146+02	\N	\N	\N	\N	\N	\N	f	
27836	54e6db77-1e84-4921-80f5-7a57906fde70	Bragg City	Bragg City	3	0	2013-09-08 10:10:33.283889+02	\N	\N	\N	\N	\N	\N	f	
28103	c2861601-f867-4913-aa2d-5cf8356311e1	Belaya Kholunitsa	Belaya Kholunitsa	3	0	2013-09-08 14:19:16.574692+02	\N	\N	\N	\N	\N	\N	f	
28318	2cb3f000-4aca-4234-bd36-4ffb2b2a69f9	Lenoir City, Tennessee	Lenoir City, Tennessee	3	0	2013-09-08 16:49:19.936886+02	\N	\N	\N	\N	\N	\N	f	
28737	0c3a1ab2-bfbe-430e-9bc6-9915686fddc3	Lowry Crossing	Lowry Crossing	3	0	2013-09-08 23:44:59.195909+02	\N	\N	\N	\N	\N	\N	f	
28497	478a63ee-7dd5-4509-b8e9-972b9bebb561	Waynesboro, Tennessee	Waynesboro, Tennessee	3	0	2013-09-08 20:27:42.655575+02	\N	\N	\N	\N	\N	\N	f	
13141	13b815a9-eb9a-4b7d-89cc-f4b376673025	Karlskoga Municipality	Karlskoga Municipality	4	0	2013-07-16 12:37:26.671208+02	\N	\N	\N	\N	\N	\N	f	
14122	52c93529-4b81-4a99-9f72-a3d9fea7b976	Luserna	Luserna	4	0	2013-07-21 20:28:01.474861+02	\N	\N	\N	\N	\N	\N	f	
14321	6472ce57-3dd0-4b57-964a-4daea592ca76	Cellere	Cellere	4	0	2013-07-21 21:11:54.71886+02	\N	\N	\N	\N	\N	\N	f	
15905	9272bc18-f914-4000-925d-7dae7ce21ebb	Vocca	Vocca	4	0	2013-07-22 02:28:43.417324+02	\N	\N	\N	\N	\N	\N	f	
14697	dc86aa52-33fe-4d88-bc4c-05b9e0aae510	Villa San Giovanni in Tuscia	Villa San Giovanni in Tuscia	4	0	2013-07-21 22:35:43.576838+02	\N	\N	\N	\N	\N	\N	f	
15332	c330b59e-0780-4faa-b53e-a0dc0adca9c5	Saltara	Saltara	4	0	2013-07-22 00:21:54.097439+02	\N	\N	\N	\N	\N	\N	f	
15333	9fe31760-d300-469f-b118-a478608544b4	Montefelcino	Montefelcino	4	0	2013-07-22 00:22:05.89532+02	\N	\N	\N	\N	\N	\N	f	
15909	b1540b4c-a749-42b8-902f-4a2d5411e3ec	Trino	Trino	4	0	2013-07-22 02:29:07.697157+02	\N	\N	\N	\N	\N	\N	f	
17828	2c9ea262-bc75-400d-874b-51103ceb10ee	Renate	Renate	4	0	2013-07-22 07:15:37.187728+02	\N	\N	\N	\N	\N	\N	f	
15922	b1b350e0-d25d-47c1-bb51-2a93d49425b8	Sarntal	Sarntal	4	0	2013-07-22 02:30:45.49356+02	\N	\N	\N	\N	\N	\N	f	
16758	2f8f0231-69ba-47e6-90ae-9dca8f011df3	Acate	Acate	4	0	2013-07-22 04:29:10.209874+02	\N	\N	\N	\N	\N	\N	f	
16942	e17ead7b-aae2-4ab9-978e-99890102722a	Ceregnano	Ceregnano	4	0	2013-07-22 05:16:18.474131+02	\N	\N	\N	\N	\N	\N	f	
20090	51c1d2fc-88d6-43c1-8ba8-8c76e4198853	Sacile	Sacile	4	0	2013-07-22 12:18:01.901266+02	\N	\N	\N	\N	\N	\N	f	
17915	10d2bfa2-b233-4fe7-9a01-826ff8e6546d	Lavena Ponte Tresa	Lavena Ponte Tresa	4	0	2013-07-22 07:25:53.692149+02	\N	\N	\N	\N	\N	\N	f	
21755	04f1c4e4-b653-43b3-b4fd-b77372acc133	Pottsville	Pottsville	3	0	2013-07-28 20:17:34.809255+02	\N	\N	\N	\N	\N	\N	f	
18765	7a4bc4c1-5201-4b24-a5df-19e2b84002df	Locate Varesino	Locate Varesino	4	0	2013-07-22 09:11:35.669413+02	\N	\N	\N	\N	\N	\N	f	
20110	0c7a7efc-3e19-42ea-a60d-b2fe0fe71a66	Forni di Sopra	Forni di Sopra	4	0	2013-07-22 13:04:43.522387+02	\N	\N	\N	\N	\N	\N	f	
18955	94b8a4f5-a7b7-497d-a673-27568f0a0713	Palagonia	Palagonia	4	0	2013-07-22 09:34:21.051137+02	\N	\N	\N	\N	\N	\N	f	
18964	1e01c64d-44f5-4a7b-8e3c-11f3acd2781b	Camporotondo Etneo	Camporotondo Etneo	4	0	2013-07-22 09:35:28.424877+02	\N	\N	\N	\N	\N	\N	f	
21459	fe2ded00-584d-40d8-9c9f-5d0c5fe31d94	Cirié	Cirié	4	0	2013-07-24 08:42:42.03254+02	\N	\N	\N	\N	\N	\N	f	
20120	66030119-595d-4756-9ca2-6e8d7495f3f4	Codroipo	Codroipo	4	0	2013-07-22 14:31:09.226373+02	\N	\N	\N	\N	\N	\N	f	
20130	aeb157be-b37c-488a-970c-a67bfd9cb3c1	Cassacco	Cassacco	4	0	2013-07-22 17:31:14.053076+02	\N	\N	\N	\N	\N	\N	f	
20137	0ee1bc16-a33d-4003-b2f1-d39dbe98b8cc	Bertiolo	Bertiolo	4	0	2013-07-22 17:32:42.350481+02	\N	\N	\N	\N	\N	\N	f	
21468	da6965cb-a636-4731-9249-5e43dd5c1db3	Fenestrelle	Fenestrelle	4	0	2013-07-24 08:44:47.335761+02	\N	\N	\N	\N	\N	\N	f	
20208	b0c1cfa3-85ff-4b1c-87dc-851f115590b6	Trivignano Udinese	Trivignano Udinese	4	0	2013-07-22 17:48:50.743745+02	\N	\N	\N	\N	\N	\N	f	
20957	9a2be547-415f-48fa-b3b1-8eea9bf44bf9	Santa Maria a Vico	Santa Maria a Vico	4	0	2013-07-23 17:38:20.274158+02	\N	\N	\N	\N	\N	\N	f	
20973	1f296d91-0203-4c4c-9e25-60f93455f13c	Alessandria	Alessandria	4	0	2013-07-23 17:42:10.34821+02	\N	\N	\N	\N	\N	\N	f	
21557	64bb1f21-03bf-417f-96da-9f06ecdee637	Granaglione	Granaglione	4	0	2013-07-24 11:42:17.630567+02	\N	\N	\N	\N	\N	\N	f	
21058	085f64a6-f5db-4469-9a86-3ba040bf364a	Roccarainola	Roccarainola	4	0	2013-07-23 20:41:27.917867+02	\N	\N	\N	\N	\N	\N	f	
21070	bf66295b-562d-4c20-94b9-77822d315170	Tufino	Tufino	4	0	2013-07-23 20:45:12.685044+02	\N	\N	\N	\N	\N	\N	f	
21759	5c8036e3-e96b-4c59-b920-8eaa939a16f8	Anacortes, Washington	Anacortes, Washington	3	0	2013-07-29 02:28:21.65406+02	\N	\N	\N	\N	\N	\N	f	
21159	1b99c327-c706-4a17-8bf1-b33ee52619e6	Giungano	Giungano	4	0	2013-07-23 23:40:53.56193+02	\N	\N	\N	\N	\N	\N	f	
21563	fd95a5bd-489d-483c-a342-8995f7bd65ec	Monteveglio	Monteveglio	4	0	2013-07-24 11:44:22.802745+02	\N	\N	\N	\N	\N	\N	f	
21160	a56f98db-c071-46d0-b2a0-6439e0dfe506	Laureana Cilento	Laureana Cilento	4	0	2013-07-23 23:41:05.898462+02	\N	\N	\N	\N	\N	\N	f	
21164	607c938a-91d5-4c1e-ac88-f74d707221bf	Monte San Giacomo	Monte San Giacomo	4	0	2013-07-23 23:41:54.464527+02	\N	\N	\N	\N	\N	\N	f	
21270	2a2d1a1e-1ed0-4648-86c3-4f9bb10c1319	Borgo San Lorenzo	Borgo San Lorenzo	4	0	2013-07-24 02:44:09.261482+02	\N	\N	\N	\N	\N	\N	f	
21616	f0eb9134-51e0-4054-9e4e-7f70e82af209	Arzago d'Adda	Arzago d'Adda	4	0	2013-07-24 11:56:15.152546+02	\N	\N	\N	\N	\N	\N	f	
21282	a431d1f9-f1b7-471d-9a0f-6ec25f141333	Reggello	Reggello	4	0	2013-07-24 02:47:16.971+02	\N	\N	\N	\N	\N	\N	f	
21815	f3a5221d-2930-4705-8248-00f2ec8a89ae	Floe, West Virginia	Floe, West Virginia	3	0	2013-08-01 17:28:11.843331+02	\N	\N	\N	\N	\N	\N	f	
21358	4e0efd45-6f87-41b2-97b2-c950a2031658	Borgaro Torinese	Borgaro Torinese	4	0	2013-07-24 05:43:02.981955+02	\N	\N	\N	\N	\N	\N	f	
21761	ef6729d4-618d-400c-bf37-0ac9f1422db5	Leavenworth	Leavenworth	3	0	2013-07-29 05:17:36.59639+02	\N	\N	\N	\N	\N	\N	f	
21626	9a783f80-751e-4c67-aca3-c0e50c698aba	Worthing	Worthing	3	0	2013-07-24 14:24:49.238088+02	\N	\N	\N	\N	\N	\N	f	
21728	cf31eb04-27c0-4157-95b4-4290588a4246	Medina	Medina	3	0	2013-07-25 02:29:06.28251+02	\N	\N	\N	\N	\N	\N	f	
21798	ed9b244b-3f3f-4b99-a4ce-d431c0bb9ae7	Jefferson	Jefferson	3	0	2013-07-31 02:36:15.053973+02	\N	\N	\N	\N	\N	\N	f	
21788	3b21c428-db47-4ba1-9d84-9c62cc978d2d	Rufus	Rufus	3	0	2013-07-29 11:26:26.955098+02	\N	\N	\N	\N	\N	\N	f	
21741	4e91a42e-3a4b-433c-87bf-929a0476073a	Redoak	Redoak	3	0	2013-07-28 08:18:16.331109+02	\N	\N	\N	\N	\N	\N	f	
21742	38d9155c-85d4-4563-afae-46991635c280	Shenandoah	Shenandoah	3	0	2013-07-28 14:18:01.111235+02	\N	\N	\N	\N	\N	\N	f	
21743	8404cda5-06dc-4fc7-b326-5fd27d289699	Ketchikan	Ketchikan	3	0	2013-07-28 17:27:23.311954+02	\N	\N	\N	\N	\N	\N	f	
21789	da3fdf9d-b7be-43e2-a9f3-e9b1bd773bfb	Cleto	Cleto	4	0	2013-07-29 14:28:53.225213+02	\N	\N	\N	\N	\N	\N	f	
21799	e70cfe3b-4436-436e-927c-76d7dcaa8de8	Tetonia	Tetonia	3	0	2013-07-31 05:18:31.230031+02	\N	\N	\N	\N	\N	\N	f	
21790	833137fd-12ee-4b44-b64b-9b27b21df17b	Votkinsk	Votkinsk	3	0	2013-07-29 23:18:11.501721+02	\N	\N	\N	\N	\N	\N	f	
21817	87f17971-fdd6-42b1-aecb-b4b9794243e6	Florence	Florence	3	0	2013-08-01 20:23:16.098128+02	\N	\N	\N	\N	\N	\N	f	
21807	43e678b4-891e-4d36-9706-710a3c37364d	Pittston	Pittston	3	0	2013-08-01 02:18:11.944324+02	\N	\N	\N	\N	\N	\N	f	
21811	fafcc6b4-997e-4c09-b740-9b24e4193d85	Huntington, West Virginia	Huntington, West Virginia	3	0	2013-08-01 08:23:41.646049+02	\N	\N	\N	\N	\N	\N	f	
21822	365f1c6c-1cd5-489c-b449-d4281d837e4d	Tanis	Tanis	3	0	2013-08-02 08:21:43.678487+02	\N	\N	\N	\N	\N	\N	f	
21820	0408224a-4271-494c-ad50-542d16dddfd7	Henderson	Henderson	3	0	2013-08-02 02:23:00.251699+02	\N	\N	\N	\N	\N	\N	f	
21829	17413925-fe6b-4760-8d20-ed0d5194c13e	Frostburg, Maryland	Frostburg, Maryland	3	0	2013-08-02 11:27:09.540541+02	\N	\N	\N	\N	\N	\N	f	
21821	b7931d5b-8b7e-4c0e-8b60-766377147375	Salem, New Jersey	Salem, New Jersey	3	0	2013-08-02 05:17:43.953532+02	\N	\N	\N	\N	\N	\N	f	
4563	c0448520-84ef-441e-9320-cd7fd21004c3	Jakarta	Jakarta	2	0	2013-08-02 09:28:22.318087+02	\N	\N	\N	\N	\N	\N	f	
21844	a52cacad-3afe-4412-86cf-41f3f1156a3d	Clifton	Clifton	3	0	2013-08-02 14:18:27.110073+02	\N	\N	\N	\N	\N	\N	f	
21847	12738838-8883-4972-bbbd-975a1b484bb9	Shenandoah	Shenandoah	3	0	2013-08-02 17:18:25.306428+02	\N	\N	\N	\N	\N	\N	f	
21850	494494a3-e401-40a1-a04b-9b13091ad1ce	Freital	Freital	3	0	2013-08-03 20:29:44.629108+02	\N	\N	\N	\N	\N	\N	f	
21851	b8dbe1c8-f114-41f4-8061-a640136a64b5	Eppingen	Eppingen	3	0	2013-08-03 23:28:45.466896+02	\N	\N	\N	\N	\N	\N	f	
21854	6738a4f0-effa-4da5-aaf5-4df8c4845644	Esslingen am Neckar	Esslingen am Neckar	3	0	2013-08-04 02:27:29.376183+02	\N	\N	\N	\N	\N	\N	f	
21855	d305268d-16ed-49f7-b23f-8bb184ed1359	České Budějovice	České Budějovice	3	0	2013-08-04 13:46:19.162554+02	\N	\N	\N	\N	\N	\N	f	
21856	ac1adf73-a067-4a44-9263-848c38a614bc	Ettenheim	Ettenheim	3	0	2013-08-04 20:28:42.881239+02	\N	\N	\N	\N	\N	\N	f	
21861	37ddaa04-5888-4125-8a69-2bc640eadb7f	Geisingen	Geisingen	3	0	2013-08-04 23:28:51.897309+02	\N	\N	\N	\N	\N	\N	f	
21849	86fbdd3c-aaac-4aed-916a-b361f7e1a8de	Napoli	Napoli	3	0	2013-08-19 17:32:07.294688+02	\N	\N	\N	\N	\N	\N	f	
13142	193b1478-4842-4fba-ae25-f3ba9ccb52bb	Hjørring Municipality	Hjørring Municipality	4	0	2013-07-16 12:37:54.728904+02	\N	\N	\N	\N	\N	\N	f	
13192	bdc8ad90-9438-4b11-a514-257f3f4c5f5e	Uppsala Municipality	Uppsala Municipality	4	0	2013-07-16 12:49:42.600113+02	\N	\N	\N	\N	\N	\N	f	
14123	a96c69aa-dff3-4972-9e30-582af1a471f7	Carloforte	Carloforte	4	0	2013-07-21 20:28:16.200161+02	\N	\N	\N	\N	\N	\N	f	
14143	40158c06-8f9d-40c4-9014-f5755379a3ba	Offagna	Offagna	4	0	2013-07-21 20:32:40.957531+02	\N	\N	\N	\N	\N	\N	f	
14698	2383b63f-0c4d-490a-bd06-768db6847d80	Occhieppo Superiore	Occhieppo Superiore	4	0	2013-07-21 22:35:55.508801+02	\N	\N	\N	\N	\N	\N	f	
15334	5f2e316a-43e4-4a00-9417-51368b333d60	San Costanzo	San Costanzo	4	0	2013-07-22 00:22:17.630834+02	\N	\N	\N	\N	\N	\N	f	
15959	f6082f1f-a37b-488d-98ad-8935bf4f032e	Carzano	Carzano	4	0	2013-07-22 02:35:49.601293+02	\N	\N	\N	\N	\N	\N	f	
17830	9acf1d83-0e92-475c-a9f9-82eecda85839	Alagna	Alagna	4	0	2013-07-22 07:15:54.306475+02	\N	\N	\N	\N	\N	\N	f	
16031	b3f9980b-5ada-48ee-a454-2b5134006e3e	Borzonasca	Borzonasca	4	0	2013-07-22 02:44:26.993908+02	\N	\N	\N	\N	\N	\N	f	
16759	ce10aed8-6663-43d9-acd5-05d79679eaa4	Ilbono	Ilbono	4	0	2013-07-22 04:29:29.289905+02	\N	\N	\N	\N	\N	\N	f	
16823	ef48264a-0141-49b0-a2a1-20c8843004e9	Ponso	Ponso	4	0	2013-07-22 04:45:49.629075+02	\N	\N	\N	\N	\N	\N	f	
17842	9b81b498-2669-4ff1-b243-68d205c64638	Prata Camportaccio	Prata Camportaccio	4	0	2013-07-22 07:17:15.668757+02	\N	\N	\N	\N	\N	\N	f	
18952	e4c80a8e-cd37-4966-871d-1dfd5a7883db	Villalba, Sicily	Villalba, Sicily	4	0	2013-07-22 09:34:00.208945+02	\N	\N	\N	\N	\N	\N	f	
21800	b449d156-9ae2-44b6-8c1e-1459ff06aeae	Grangeville	Grangeville	3	0	2013-07-31 05:19:07.504364+02	\N	\N	\N	\N	\N	\N	f	
17869	eb39c299-b31a-4d04-8268-eca80e9cd013	Valverde	Valverde	4	0	2013-07-22 07:20:30.882287+02	\N	\N	\N	\N	\N	\N	f	
21558	0420253c-d383-4202-91f6-511043feacb1	Lizzano in Belvedere	Lizzano in Belvedere	4	0	2013-07-24 11:42:34.100715+02	\N	\N	\N	\N	\N	\N	f	
21756	cfd5c2ba-9ad1-48ea-9bc7-d704e835eef6	Sunbury	Sunbury	3	0	2013-07-28 20:18:13.885508+02	\N	\N	\N	\N	\N	\N	f	
18987	6753dd88-054d-4ee5-9f3e-f984b2b516ac	San Gregorio di Catania	San Gregorio di Catania	4	0	2013-07-22 09:38:29.928407+02	\N	\N	\N	\N	\N	\N	f	
17883	b51ed0d2-2d7c-4d1e-a14c-516f28ba609a	Bregano	Bregano	4	0	2013-07-22 07:22:02.628682+02	\N	\N	\N	\N	\N	\N	f	
20092	c96c58a4-a507-41fe-941e-dd1715350ef0	Pinzano al Tagliamento	Pinzano al Tagliamento	4	0	2013-07-22 12:18:15.711064+02	\N	\N	\N	\N	\N	\N	f	
17888	1dd51c79-ccee-4408-8849-07369d0bd2f8	Dumenza	Dumenza	4	0	2013-07-22 07:22:43.086116+02	\N	\N	\N	\N	\N	\N	f	
18012	48c3d14f-80ce-4231-bfea-84fc25925596	Canneto sull'Oglio	Canneto sull'Oglio	4	0	2013-07-22 07:37:13.247468+02	\N	\N	\N	\N	\N	\N	f	
21170	562edb8a-9f8b-4c18-86d5-ac5b2b19a4a1	Cuccaro Vetere	Cuccaro Vetere	4	0	2013-07-23 23:43:34.275447+02	\N	\N	\N	\N	\N	\N	f	
20111	c41eb321-4ee9-450b-ba98-6226ff89dbe0	Valvasone	Valvasone	4	0	2013-07-22 13:04:55.567832+02	\N	\N	\N	\N	\N	\N	f	
18770	88e368ba-30d0-4438-8872-4bff98f9dc10	Orsenigo	Orsenigo	4	0	2013-07-22 09:12:07.254865+02	\N	\N	\N	\N	\N	\N	f	
18781	3c22be56-56e1-4287-9b07-9368a2154421	Monguzzo	Monguzzo	4	0	2013-07-22 09:13:21.27837+02	\N	\N	\N	\N	\N	\N	f	
20112	75eec979-d2b2-40fa-b8fb-4f83601c6503	Flaibano	Flaibano	4	0	2013-07-22 13:05:07.878004+02	\N	\N	\N	\N	\N	\N	f	
18795	d241e465-dedd-4e01-8252-4bec796932e7	Valdobbiadene	Valdobbiadene	4	0	2013-07-22 09:14:55.822289+02	\N	\N	\N	\N	\N	\N	f	
18810	2ab570d4-bf90-40a7-9a82-30fe8aa65a3f	Proveis	Proveis	4	0	2013-07-22 09:16:52.233695+02	\N	\N	\N	\N	\N	\N	f	
20121	f9a61741-5b5d-4cd3-aeac-1c06690d2477	Colloredo di Monte Albano	Colloredo di Monte Albano	4	0	2013-07-22 14:31:24.179831+02	\N	\N	\N	\N	\N	\N	f	
18828	66497a5e-cfd7-4566-a8ef-273a37e4008c	Ponna	Ponna	4	0	2013-07-22 09:19:09.050114+02	\N	\N	\N	\N	\N	\N	f	
21760	7df66310-3a71-472a-ae67-4c5c3b8a2fd3	Bremerton	Bremerton	3	0	2013-07-29 02:31:47.120551+02	\N	\N	\N	\N	\N	\N	f	
21176	413edae8-d59b-47c6-a312-61bd0c547ee8	Fisciano	Fisciano	4	0	2013-07-23 23:45:10.726411+02	\N	\N	\N	\N	\N	\N	f	
18842	36d8503b-c709-49cc-ae77-21c561c5143b	Riffian, South Tyrol	Riffian, South Tyrol	4	0	2013-07-22 09:20:41.810902+02	\N	\N	\N	\N	\N	\N	f	
20131	db9cf236-cbda-4953-b25b-1b3a0872c744	Attimis	Attimis	4	0	2013-07-22 17:31:26.795967+02	\N	\N	\N	\N	\N	\N	f	
20138	559c8f54-5877-4b47-a1e3-e407a0af7088	Forni Avoltri	Forni Avoltri	4	0	2013-07-22 17:32:54.288966+02	\N	\N	\N	\N	\N	\N	f	
20196	a3328020-5b18-43a0-b69d-4fc8d7c61906	Moruzzo	Moruzzo	4	0	2013-07-22 17:46:11.108316+02	\N	\N	\N	\N	\N	\N	f	
21272	d1bbae3b-ce7d-4fcc-879f-3581ee2807e8	Trentinara	Trentinara	4	0	2013-07-24 02:44:48.89881+02	\N	\N	\N	\N	\N	\N	f	
20959	854bfd3e-f739-46df-ae21-89e81fad5408	San Cipriano d'Aversa	San Cipriano d'Aversa	4	0	2013-07-23 17:38:44.872918+02	\N	\N	\N	\N	\N	\N	f	
20994	f59492ce-ee63-4b41-b94c-11984ea03f77	Ascoli Piceno	Ascoli Piceno	4	0	2013-07-23 17:48:00.905392+02	\N	\N	\N	\N	\N	\N	f	
21569	b8ef803f-973c-48d1-8b4e-941ec9200106	Monteu da Po	Monteu da Po	4	0	2013-07-24 11:45:51.310655+02	\N	\N	\N	\N	\N	\N	f	
21059	3e3ffa65-48ad-42d2-8488-564f915d31f3	Marigliano	Marigliano	4	0	2013-07-23 20:41:56.165145+02	\N	\N	\N	\N	\N	\N	f	
21285	2b9d60e7-60f8-4591-9c87-7378516b009b	San Piero a Sieve	San Piero a Sieve	4	0	2013-07-24 02:47:52.97108+02	\N	\N	\N	\N	\N	\N	f	
21163	3a001e4c-6496-4e34-93f9-a3b5a4e151fb	Conca dei Marini	Conca dei Marini	4	0	2013-07-23 23:41:42.402929+02	\N	\N	\N	\N	\N	\N	f	
21361	b2dd8549-4d35-4f9f-bf4f-191104eda629	Bosconero	Bosconero	4	0	2013-07-24 05:43:43.23246+02	\N	\N	\N	\N	\N	\N	f	
21460	fb26bca9-0077-4402-9cbc-6abeb70a8485	Collegno	Collegno	4	0	2013-07-24 08:42:55.047181+02	\N	\N	\N	\N	\N	\N	f	
21590	ba9d1396-d844-4509-84ae-939a5a5ead71	Sasso Marconi	Sasso Marconi	4	0	2013-07-24 11:50:29.917721+02	\N	\N	\N	\N	\N	\N	f	
21469	c15b144a-c9b9-44b4-b471-6ad4cf508d41	Forno Canavese	Forno Canavese	4	0	2013-07-24 08:45:00.352874+02	\N	\N	\N	\N	\N	\N	f	
21744	27f4b9bc-daa6-41cc-9bb5-34d76e4e17d4	Nushagak, Alaska	Nushagak, Alaska	3	0	2013-07-28 17:28:19.118673+02	\N	\N	\N	\N	\N	\N	f	
21808	3a7cf754-9ae4-4a02-8b5d-95529bebeb1d	Hazleton	Hazleton	3	0	2013-08-01 02:18:43.877481+02	\N	\N	\N	\N	\N	\N	f	
21627	80f74caf-353b-4286-a053-d6c4eb27fde8	Whitewood	Whitewood	3	0	2013-07-24 14:26:33.192464+02	\N	\N	\N	\N	\N	\N	f	
21762	741abfc1-b4e5-49c1-b988-f732a5afde5c	Edmonds	Edmonds	3	0	2013-07-29 05:18:06.096984+02	\N	\N	\N	\N	\N	\N	f	
21729	1d9b2b8d-824b-406f-b6c0-02a9ccd312b8	Beirut	Beirut	3	0	2013-07-25 02:29:26.440725+02	\N	\N	\N	\N	\N	\N	f	
21818	5f39536f-a80a-420f-b98e-cfb9b8dfc1e8	Tulare	Tulare	3	0	2013-08-01 20:30:43.66132+02	\N	\N	\N	\N	\N	\N	f	
21812	32e188b3-12b7-4ad4-b105-7aecb7808ca7	Parkersburg, West Virginia	Parkersburg, West Virginia	3	0	2013-08-01 08:26:36.656232+02	\N	\N	\N	\N	\N	\N	f	
21832	259ae664-d71c-4829-a7a4-2a438fd4faed	Takoma Park	Takoma Park	3	0	2013-08-02 11:32:24.818049+02	\N	\N	\N	\N	\N	\N	f	
21816	33e5826e-5bbd-40f0-9c03-d0620d6e22df	Dodson	Dodson	3	0	2013-08-01 17:35:31.856503+02	\N	\N	\N	\N	\N	\N	f	
21823	acf1321f-e016-4b28-b16e-23bf75643040	Harrington	Harrington	3	0	2013-08-02 08:30:59.395688+02	\N	\N	\N	\N	\N	\N	f	
26657	b4bc23bc-ec55-4873-823f-3807872c2e63	Indianola	Indianola	3	0	2013-09-08 01:54:50.262926+02	\N	\N	\N	\N	\N	\N	f	
21830	1cecf17b-61fd-449a-9e4b-5c17fee43a12	College Park, Maryland	College Park, Maryland	3	0	2013-08-02 11:31:23.137847+02	\N	\N	\N	\N	\N	\N	f	
21839	61e300a7-88a1-4e65-b445-54a2f3cdc640	Milton	Milton	3	0	2013-08-02 11:34:34.102288+02	\N	\N	\N	\N	\N	\N	f	
21845	a60d8a39-0c04-4d69-aa29-bf268bf16fd4	Dayton	Dayton	3	0	2013-08-02 14:18:48.921344+02	\N	\N	\N	\N	\N	\N	f	
21852	1802d00b-4e88-4e7d-9ed7-ca7480883dc6	Engen	Engen	3	0	2013-08-03 23:29:15.83399+02	\N	\N	\N	\N	\N	\N	f	
21857	df8a53ec-c07c-431a-a6e8-9f0def77bcfd	Aliquippa, Pennsylvania	Aliquippa, Pennsylvania	3	0	2013-08-04 20:30:32.692647+02	\N	\N	\N	\N	\N	\N	f	
21864	66ff9bf9-8470-449c-9061-c009fd91d87c	Stow	Stow	3	0	2013-08-05 05:17:14.289252+02	\N	\N	\N	\N	\N	\N	f	
21862	ed43d9d8-8b54-4d73-8edd-f4a24966c0e7	Gengenbach	Gengenbach	3	0	2013-08-04 23:29:18.094321+02	\N	\N	\N	\N	\N	\N	f	
21865	acf1a438-4d0d-4634-b957-8c35a02ba819	Munroe Falls	Munroe Falls	3	0	2013-08-05 05:23:23.862979+02	\N	\N	\N	\N	\N	\N	f	
24378	f309b7a2-ead2-4fce-8bff-3a409140081f	Mount Zion, Georgia	Mount Zion, Georgia	3	0	2013-09-07 06:30:21.619609+02	\N	\N	\N	\N	\N	\N	f	
24119	751d7fb9-6802-4039-8232-fd8b4938b93b	Nezperce	Nezperce	3	0	2013-09-07 02:44:34.423489+02	\N	\N	\N	\N	\N	\N	f	
24480	5bb33aab-33ad-4793-8343-166f83e72d49	Chickamauga, Georgia	Chickamauga, Georgia	3	0	2013-09-07 06:55:36.382481+02	\N	\N	\N	\N	\N	\N	f	
24897	158e9bc8-e352-46a5-8d04-a89547cd2c9e	Spring Hill	Spring Hill	3	0	2013-09-07 09:02:53.840615+02	\N	\N	\N	\N	\N	\N	f	
13143	1fe75db1-24a4-4dee-b571-999a2a96a36a	Ringkøbing-Skjern Municipality	Ringkøbing-Skjern Municipality	4	0	2013-07-16 12:38:29.361184+02	\N	\N	\N	\N	\N	\N	f	
13144	fc50ba28-534a-4b90-b97e-5715ec87107f	Eksjö Municipality	Eksjö Municipality	4	0	2013-07-16 12:38:50.436556+02	\N	\N	\N	\N	\N	\N	f	
13168	366bfb92-1076-4a88-99f0-4a5cc61bd3e9	Laxå Municipality	Laxå Municipality	4	0	2013-07-16 12:44:01.52991+02	\N	\N	\N	\N	\N	\N	f	
14124	25bb18d7-97ba-4cda-98c6-fed907927977	Latera	Latera	4	0	2013-07-21 20:28:27.799859+02	\N	\N	\N	\N	\N	\N	f	
13175	5efdf5bb-5ca7-482a-b4c0-444eac38e4e6	Nybro Municipality	Nybro Municipality	4	0	2013-07-16 12:45:24.030113+02	\N	\N	\N	\N	\N	\N	f	
14699	42cd266a-62ad-4235-9cf8-6079cd6da109	Castelletto Cervo	Castelletto Cervo	4	0	2013-07-21 22:36:08.870846+02	\N	\N	\N	\N	\N	\N	f	
21819	7a00eea0-0f3a-4e85-8955-028894e21b2a	Florence	Florence	3	0	2013-08-01 20:36:39.726059+02	\N	\N	\N	\N	\N	\N	f	
14714	8fd4fab9-7a9f-4094-aa02-e64d1f53e174	Gifflenga	Gifflenga	4	0	2013-07-21 22:39:50.857624+02	\N	\N	\N	\N	\N	\N	f	
14802	314bd7d4-6e30-436d-842c-3cf533ac1883	Pesche	Pesche	4	0	2013-07-21 22:58:59.885505+02	\N	\N	\N	\N	\N	\N	f	
15335	225e1fcf-0020-4dbe-b24f-bab675b68c24	Tavullia	Tavullia	4	0	2013-07-22 00:22:29.46859+02	\N	\N	\N	\N	\N	\N	f	
16761	da790244-e653-4f14-900f-d6e28eec93e0	Badia, South Tyrol	Badia, South Tyrol	4	0	2013-07-22 04:30:00.935314+02	\N	\N	\N	\N	\N	\N	f	
15394	01a0450b-7dbe-4d14-88db-9b87105e156a	Borgomanero	Borgomanero	4	0	2013-07-22 00:35:41.554793+02	\N	\N	\N	\N	\N	\N	f	
17832	2492cef0-d18c-4ea8-9a78-66e18e184c80	Pieve d'Alpago	Pieve d'Alpago	4	0	2013-07-22 07:16:08.435097+02	\N	\N	\N	\N	\N	\N	f	
15399	e803ee68-2172-4fda-8ff8-c44dfbb592e7	Bogogno	Bogogno	4	0	2013-07-22 00:36:55.063575+02	\N	\N	\N	\N	\N	\N	f	
15422	1d456953-dcb8-4327-b795-aace3a92081d	Cavaglio d'Agogna	Cavaglio d'Agogna	4	0	2013-07-22 00:41:54.460049+02	\N	\N	\N	\N	\N	\N	f	
15441	3c0269cb-a00c-4770-b56c-ab8448d0844e	Belmonte in Sabina	Belmonte in Sabina	4	0	2013-07-22 00:46:12.726684+02	\N	\N	\N	\N	\N	\N	f	
17833	02bfe170-0710-46b7-8b31-fa62db276d76	Sannazzaro de' Burgondi	Sannazzaro de' Burgondi	4	0	2013-07-22 07:16:17.081155+02	\N	\N	\N	\N	\N	\N	f	
18848	0ec0d4d0-0101-481d-9425-d7a6350a0398	Fino Mornasco	Fino Mornasco	4	0	2013-07-22 09:21:18.862189+02	\N	\N	\N	\N	\N	\N	f	
17892	efecef7d-1578-4e25-9f20-790422d3953c	Galliavola	Galliavola	4	0	2013-07-22 07:23:10.661074+02	\N	\N	\N	\N	\N	\N	f	
17922	6cd8f687-ab68-4b9d-b6d5-97def999e0be	Cosio Valtellino	Cosio Valtellino	4	0	2013-07-22 07:26:37.794558+02	\N	\N	\N	\N	\N	\N	f	
17966	df1acc0b-76ac-4ed1-88df-fc19e2421a59	Marcallo con Casone	Marcallo con Casone	4	0	2013-07-22 07:31:59.628372+02	\N	\N	\N	\N	\N	\N	f	
21745	8ebf5341-a10f-422a-bd6c-cba0f6abcb46	Alakanuk	Alakanuk	3	0	2013-07-28 17:32:09.786447+02	\N	\N	\N	\N	\N	\N	f	
17994	50bdd2fb-e29e-4909-b6df-9376f64af9b8	Garbagnate Milanese	Garbagnate Milanese	4	0	2013-07-22 07:35:12.236205+02	\N	\N	\N	\N	\N	\N	f	
18767	d33d2ed3-0377-4dfb-8475-a14ae58a074a	Plesio	Plesio	4	0	2013-07-22 09:11:48.501078+02	\N	\N	\N	\N	\N	\N	f	
20095	4911158b-abbb-4766-85dd-fa5cdc6526a8	Barcis	Barcis	4	0	2013-07-22 12:18:45.954611+02	\N	\N	\N	\N	\N	\N	f	
18857	255d690e-4027-4916-bd6e-0e11517a4464	Rodeneck	Rodeneck	4	0	2013-07-22 09:22:16.83168+02	\N	\N	\N	\N	\N	\N	f	
18782	beafc455-ca21-4ad1-89f8-e8e5f2bd8a6e	Waidbruck	Waidbruck	4	0	2013-07-22 09:13:27.074015+02	\N	\N	\N	\N	\N	\N	f	
21801	13d0aec9-00bf-484b-baf2-20f97eff7760	Ketchum	Ketchum	3	0	2013-07-31 05:19:38.989737+02	\N	\N	\N	\N	\N	\N	f	
18791	7a56a908-91b7-4570-b43f-ad40498fdadd	Rezzago	Rezzago	4	0	2013-07-22 09:14:22.814869+02	\N	\N	\N	\N	\N	\N	f	
19014	03b28716-8362-473b-a4a7-c50869aec37d	Isola Rizza	Isola Rizza	4	0	2013-07-22 09:41:42.331142+02	\N	\N	\N	\N	\N	\N	f	
18804	4af0b961-305f-48ea-b880-255dacb4dccb	Turate	Turate	4	0	2013-07-22 09:16:00.194014+02	\N	\N	\N	\N	\N	\N	f	
18812	57e76960-c9d1-4877-93fb-b515b555d3cd	Pellio Intelvi	Pellio Intelvi	4	0	2013-07-22 09:17:06.052861+02	\N	\N	\N	\N	\N	\N	f	
18817	d48a09bd-17ff-4b3e-bf83-377e970eda4e	Mariano Comense	Mariano Comense	4	0	2013-07-22 09:17:48.2909+02	\N	\N	\N	\N	\N	\N	f	
19023	ddc49e8f-cf6c-4c20-949d-57c14603e31d	Dueville	Dueville	4	0	2013-07-22 09:42:59.908458+02	\N	\N	\N	\N	\N	\N	f	
21757	280717f4-653f-4283-bc65-a3751ab2d71d	Shamokin	Shamokin	3	0	2013-07-28 20:18:27.6624+02	\N	\N	\N	\N	\N	\N	f	
18830	588a9b46-64e2-4be4-90c1-ca0a838a9fd4	Jenesien	Jenesien	4	0	2013-07-22 09:19:24.411131+02	\N	\N	\N	\N	\N	\N	f	
20122	ffd15df1-dfd7-43de-985f-00c48eb841b4	Cividale del Friuli	Cividale del Friuli	4	0	2013-07-22 14:31:36.359095+02	\N	\N	\N	\N	\N	\N	f	
18834	772b558a-0e60-4c5e-8259-523049817afb	Innichen	Innichen	4	0	2013-07-22 09:19:49.944262+02	\N	\N	\N	\N	\N	\N	f	
21363	fdf9c176-cfab-4ebc-b571-b498d836d792	Asciano	Asciano	4	0	2013-07-24 05:44:10.09047+02	\N	\N	\N	\N	\N	\N	f	
20133	c4a81a0d-5054-4b07-a663-66a1b66b8954	Ampezzo	Ampezzo	4	0	2013-07-22 17:31:51.467827+02	\N	\N	\N	\N	\N	\N	f	
20139	17bce530-27f1-4f2d-aea6-f4c390ac3ce8	Forgaria nel Friuli	Forgaria nel Friuli	4	0	2013-07-22 17:33:06.446293+02	\N	\N	\N	\N	\N	\N	f	
20222	79bd361e-a8f0-405d-aaaf-3ece7bac4b3e	San Giorgio di Nogaro	San Giorgio di Nogaro	4	0	2013-07-22 17:52:51.111865+02	\N	\N	\N	\N	\N	\N	f	
21462	c9d4a067-a4bd-4bb6-b025-27b63d52b144	Condove	Condove	4	0	2013-07-24 08:43:21.204128+02	\N	\N	\N	\N	\N	\N	f	
20960	d77e8ee7-ddcd-4510-be77-6813ef8753bc	Piedimonte Matese	Piedimonte Matese	4	0	2013-07-23 17:38:57.303433+02	\N	\N	\N	\N	\N	\N	f	
21061	612a337d-8181-44bf-bc97-d10908996f34	Liveri	Liveri	4	0	2013-07-23 20:42:42.593721+02	\N	\N	\N	\N	\N	\N	f	
21720	9f6ec71d-9abb-4df4-921a-191e407470c6	Bonate Sopra	Bonate Sopra	4	0	2013-07-24 15:02:29.97495+02	\N	\N	\N	\N	\N	\N	f	
21165	d20ad69d-377c-4652-b72d-e08553f44ce7	Montecorvino Pugliano	Montecorvino Pugliano	4	0	2013-07-23 23:42:06.702352+02	\N	\N	\N	\N	\N	\N	f	
21278	5b2bb814-91c9-4ffe-b5c8-e053d18788d7	Incisa in Val d'Arno	Incisa in Val d'Arno	4	0	2013-07-24 02:46:23.404167+02	\N	\N	\N	\N	\N	\N	f	
21559	c1858f03-06ab-4f69-ab88-5e99e8cc77a0	Sefro	Sefro	4	0	2013-07-24 11:42:56.889516+02	\N	\N	\N	\N	\N	\N	f	
21583	ae64613a-7f02-4a9c-b79a-7d9cc5034b1e	Montalenghe	Montalenghe	4	0	2013-07-24 11:48:49.892428+02	\N	\N	\N	\N	\N	\N	f	
21730	da989cee-e18b-452f-8c68-e8b415d34fb6	Jeddah	Jeddah	3	0	2013-07-25 02:29:43.43216+02	\N	\N	\N	\N	\N	\N	f	
21628	18932d29-a494-4ddc-bd39-e7e80607d436	Pierrefonds	Pierrefonds	3	0	2013-07-24 14:27:01.551185+02	\N	\N	\N	\N	\N	\N	f	
21763	d4673336-032c-46f6-aa9e-be1c7aa13c39	Moses Lake	Moses Lake	3	0	2013-07-29 05:18:30.752608+02	\N	\N	\N	\N	\N	\N	f	
21642	3a1baa28-4275-4793-9735-02507d571666	Osasco	Osasco	4	0	2013-07-24 14:40:15.258101+02	\N	\N	\N	\N	\N	\N	f	
21768	2ed24562-0ff9-435e-8140-5557484249f6	Sedro-Woolley	Sedro-Woolley	3	0	2013-07-29 05:20:37.386327+02	\N	\N	\N	\N	\N	\N	f	
21809	8f7ad699-af8a-465c-a0db-35db24962b30	Nanticoke	Nanticoke	3	0	2013-08-01 02:19:10.106816+02	\N	\N	\N	\N	\N	\N	f	
21831	b9e3274f-3a41-45fb-ba69-fe8ee68db6ad	Hyattsville	Hyattsville	3	0	2013-08-02 11:32:06.951818+02	\N	\N	\N	\N	\N	\N	f	
21813	f3958430-4a71-4041-9fc9-8d66cfc46f4f	Elkins, West Virginia	Elkins, West Virginia	3	0	2013-08-01 08:33:45.803358+02	\N	\N	\N	\N	\N	\N	f	
21824	b1e3e0c9-05ab-41af-b9a8-9281b5659b22	Delaware City	Delaware City	3	0	2013-08-02 08:31:12.583832+02	\N	\N	\N	\N	\N	\N	f	
21853	44a476e0-8fc3-4c91-819c-30713cb87f80	Eppelheim	Eppelheim	3	0	2013-08-03 23:33:12.256317+02	\N	\N	\N	\N	\N	\N	f	
21846	51c06af8-c225-4cdd-86b6-2e13ef9cab48	Madison	Madison	3	0	2013-08-02 14:19:11.39395+02	\N	\N	\N	\N	\N	\N	f	
21858	3a32407a-5a05-4fec-9b90-1dc10b062478	Barberton, Ohio	Barberton, Ohio	3	0	2013-08-04 20:33:03.049276+02	\N	\N	\N	\N	\N	\N	f	
21863	ab892d01-2c7c-4ba3-be9b-42c9578be589	Geislingen	Geislingen	3	0	2013-08-04 23:30:01.40926+02	\N	\N	\N	\N	\N	\N	f	
21866	c1784920-6609-4809-8a6b-f4fcccfdebf0	Blandburg, Pennsylvania	Blandburg, Pennsylvania	3	0	2013-08-05 05:29:04.687469+02	\N	\N	\N	\N	\N	\N	f	
21870	fb97a1ce-b82c-467d-a306-77cd6bba813d	Butler, Pennsylvania	Butler, Pennsylvania	3	0	2013-08-05 08:17:24.977691+02	\N	\N	\N	\N	\N	\N	f	
21893	3de5d8d3-75e6-4eda-a616-926aa79c70aa	Vandalia, Ohio	Vandalia, Ohio	3	0	2013-08-05 11:27:45.773319+02	\N	\N	\N	\N	\N	\N	f	
21896	05db174f-dff7-4a42-ad34-645ec24c54bf	Vermilion	Vermilion	3	0	2013-08-05 17:23:47.994216+02	\N	\N	\N	\N	\N	\N	f	
21898	14273dc2-6178-4956-8972-535c90b441d8	Lock Haven	Lock Haven	3	0	2013-08-05 20:18:01.791229+02	\N	\N	\N	\N	\N	\N	f	
13145	08156d67-c937-452c-ae40-d3828937242a	Tingsryd Municipality	Tingsryd Municipality	4	0	2013-07-16 12:39:12.533788+02	\N	\N	\N	\N	\N	\N	f	
13179	02a9b73c-f58e-4b4f-9c60-319753f2b9f0	Hørsholm Municipality	Hørsholm Municipality	4	0	2013-07-16 12:46:10.658831+02	\N	\N	\N	\N	\N	\N	f	
14126	f9494964-6774-425b-8f91-54932fd3598d	Monterado	Monterado	4	0	2013-07-21 20:29:07.702338+02	\N	\N	\N	\N	\N	\N	f	
14344	b4931a8c-5a55-400a-a794-9f1b04d66baa	Carpeneto	Carpeneto	4	0	2013-07-21 21:17:28.857087+02	\N	\N	\N	\N	\N	\N	f	
15911	09f770cb-b768-4fcd-a0aa-3d32089790ac	Scopello	Scopello	4	0	2013-07-22 02:29:19.80293+02	\N	\N	\N	\N	\N	\N	f	
14359	1bda9360-4d86-4b77-b5c4-975f5b24826e	Camagna Monferrato	Camagna Monferrato	4	0	2013-07-21 21:20:42.639354+02	\N	\N	\N	\N	\N	\N	f	
14701	fd2a7421-92be-40c9-904e-91b1f6a94b1b	Cerrione	Cerrione	4	0	2013-07-21 22:36:32.627089+02	\N	\N	\N	\N	\N	\N	f	
15338	86649320-b2c7-41a5-ae06-f1442d80bcc2	Montecalvo in Foglia	Montecalvo in Foglia	4	0	2013-07-22 00:23:04.910632+02	\N	\N	\N	\N	\N	\N	f	
15961	14d30c4f-4885-487a-8638-33f8fc750afb	Mele	Mele	4	0	2013-07-22 02:36:03.01634+02	\N	\N	\N	\N	\N	\N	f	
15383	73a4dc28-7ee5-4dd1-8239-38c07f0d65e1	Piazza al Serchio	Piazza al Serchio	4	0	2013-07-22 00:32:57.738159+02	\N	\N	\N	\N	\N	\N	f	
16023	9fd3d5bd-5d43-4ab7-b9d8-2c264495979a	Cicagna	Cicagna	4	0	2013-07-22 02:43:36.959484+02	\N	\N	\N	\N	\N	\N	f	
16763	96460ddf-0cf7-414b-a5c1-b545c7a0306e	Loceri	Loceri	4	0	2013-07-22 04:30:35.635526+02	\N	\N	\N	\N	\N	\N	f	
21464	41a59da3-123d-4be1-9e36-7d28a61af203	Ciconio	Ciconio	4	0	2013-07-24 08:43:47.268031+02	\N	\N	\N	\N	\N	\N	f	
16803	278cc0f0-be9f-461e-b8c8-44e902bd3e52	Luras	Luras	4	0	2013-07-22 04:40:45.997647+02	\N	\N	\N	\N	\N	\N	f	
21833	573f404f-956f-434b-b7cc-c4cc30d95dd0	Glenarden	Glenarden	3	0	2013-08-02 11:32:52.029689+02	\N	\N	\N	\N	\N	\N	f	
16817	eceb95e8-ef65-42a6-b7bd-d51df5069fa7	Saletto	Saletto	4	0	2013-07-22 04:44:12.065242+02	\N	\N	\N	\N	\N	\N	f	
16818	1f0ff362-66d1-4ce3-b7b8-a0493909728d	Arzergrande	Arzergrande	4	0	2013-07-22 04:44:24.377683+02	\N	\N	\N	\N	\N	\N	f	
20099	f2ebc57b-92c5-4f13-ab20-3a948840baa2	Porcia, Friuli-Venezia Giulia	Porcia, Friuli-Venezia Giulia	4	0	2013-07-22 12:19:21.182746+02	\N	\N	\N	\N	\N	\N	f	
17935	56ad8598-c6cb-43b7-95a7-99114721dea9	Corte Palasio	Corte Palasio	4	0	2013-07-22 07:28:33.675636+02	\N	\N	\N	\N	\N	\N	f	
17940	87896e3f-13c5-4025-ba7c-9f0c376b4a6d	Corte de' Cortesi con Cignone	Corte de' Cortesi con Cignone	4	0	2013-07-22 07:29:06.682627+02	\N	\N	\N	\N	\N	\N	f	
18772	d438dce5-47ec-4f73-9b7b-36a678de26a5	Plaus	Plaus	4	0	2013-07-22 09:12:20.710333+02	\N	\N	\N	\N	\N	\N	f	
18784	493adcbf-0e2e-4ec6-a33a-782689670972	Rovello Porro	Rovello Porro	4	0	2013-07-22 09:13:40.713933+02	\N	\N	\N	\N	\N	\N	f	
14906	14461a41-9bca-4de5-9bf8-01d94995e899	Faule	Faule	4	0	2013-07-22 15:01:33.720418+02	\N	\N	\N	\N	\N	\N	f	
18789	e2efc68c-a99a-4d0b-a79e-77f03bf67bad	Marcon	Marcon	4	0	2013-07-22 09:14:10.59458+02	\N	\N	\N	\N	\N	\N	f	
18816	e9f97f06-363c-4099-87cc-b88f28ca30a0	Ossuccio	Ossuccio	4	0	2013-07-22 09:17:35.088644+02	\N	\N	\N	\N	\N	\N	f	
21775	51e7ad82-c711-4be7-b7ce-ed313413e5d8	Ritzville	Ritzville	3	0	2013-07-29 05:22:20.267039+02	\N	\N	\N	\N	\N	\N	f	
18850	a988f4cd-8c7a-47d8-8161-3fd55bba56fd	Ronago	Ronago	4	0	2013-07-22 09:21:31.367251+02	\N	\N	\N	\N	\N	\N	f	
14909	158eedc5-f0db-47cc-8b7c-fb555216a219	Genola	Genola	4	0	2013-07-22 15:01:33.983873+02	\N	\N	\N	\N	\N	\N	f	
18854	769b6284-6127-4946-be7d-bf1c7ac765b5	San Fedele Intelvi	San Fedele Intelvi	4	0	2013-07-22 09:22:00.964608+02	\N	\N	\N	\N	\N	\N	f	
18899	bc7b78d7-c85b-4013-bf5a-bf9a8683e2e8	Pianezze	Pianezze	4	0	2013-07-22 09:27:38.733203+02	\N	\N	\N	\N	\N	\N	f	
14911	9888f576-f27a-44d1-a013-da50447cb84d	Gambasca	Gambasca	4	0	2013-07-22 15:01:34.227825+02	\N	\N	\N	\N	\N	\N	f	
19008	dd8ba3a9-decb-47ec-a8d6-d03eff6c97a0	Trecastagni	Trecastagni	4	0	2013-07-22 09:41:00.458749+02	\N	\N	\N	\N	\N	\N	f	
21496	a0235a51-42c5-4b3e-891f-b7fb5bd86e38	Grugliasco	Grugliasco	4	0	2013-07-24 08:52:24.346258+02	\N	\N	\N	\N	\N	\N	f	
19017	17606a6c-bc7a-4fbb-81a3-461799f2a285	Monteforte d'Alpone	Monteforte d'Alpone	4	0	2013-07-22 09:42:04.785141+02	\N	\N	\N	\N	\N	\N	f	
14912	35a36810-97bc-445d-ab72-b3c3fee4fdd9	Frassino	Frassino	4	0	2013-07-22 15:01:34.476216+02	\N	\N	\N	\N	\N	\N	f	
20134	e9fc06b5-3f12-45a8-9464-0ac696d1affb	Travesio	Travesio	4	0	2013-07-22 17:32:05.930651+02	\N	\N	\N	\N	\N	\N	f	
20961	2be3f448-f079-4730-9cdd-d7fa552db3fd	Vitulazio	Vitulazio	4	0	2013-07-23 17:39:19.575125+02	\N	\N	\N	\N	\N	\N	f	
21560	326d230b-68f0-49d2-abda-250787e2af1a	Monte San Pietro	Monte San Pietro	4	0	2013-07-24 11:43:19.431911+02	\N	\N	\N	\N	\N	\N	f	
21062	1b3cb359-dfc0-40fa-a9f4-b28a5b0d789b	Quarto, Campania	Quarto, Campania	4	0	2013-07-23 20:43:01.353752+02	\N	\N	\N	\N	\N	\N	f	
21166	3287cd22-2274-4556-83e4-29421994a908	Colliano	Colliano	4	0	2013-07-23 23:42:19.702649+02	\N	\N	\N	\N	\N	\N	f	
21281	c3562471-feff-4ea6-a448-abddacdacf1e	Rignano sull'Arno	Rignano sull'Arno	4	0	2013-07-24 02:47:04.679889+02	\N	\N	\N	\N	\N	\N	f	
21629	05187c5e-f492-4014-9998-c945f6c90f14	Scotland	Scotland	3	0	2013-07-24 14:28:39.522487+02	\N	\N	\N	\N	\N	\N	f	
21287	00d0501b-04b7-4107-a946-c35cd2b869f4	Gambassi Terme	Gambassi Terme	4	0	2013-07-24 02:48:16.956348+02	\N	\N	\N	\N	\N	\N	f	
21364	7bffeaf8-31dd-452d-bb05-9e76754acfcb	Borgofranco d'Ivrea	Borgofranco d'Ivrea	4	0	2013-07-24 05:44:23.565877+02	\N	\N	\N	\N	\N	\N	f	
21873	0ce9fc4b-9547-4c9e-ae6c-2fc577492b18	Huber Heights, Ohio	Huber Heights, Ohio	3	0	2013-08-05 08:22:12.832685+02	\N	\N	\N	\N	\N	\N	f	
21731	d07c1bbc-94ab-492f-8320-29e4e55218db	Osh	Osh	3	0	2013-07-25 02:30:35.242+02	\N	\N	\N	\N	\N	\N	f	
21802	df79c84d-f2ab-4c0c-a2d2-63fb193e7cec	Potlatch	Potlatch	3	0	2013-07-31 05:20:03.313672+02	\N	\N	\N	\N	\N	\N	f	
21859	89d948bc-4e2c-404e-9176-ec2785de34dd	Gaildorf	Gaildorf	3	0	2013-08-04 20:33:33.905455+02	\N	\N	\N	\N	\N	\N	f	
21810	7a8da20d-4d2e-4882-b020-37d61761c2e5	Wilkes-Barre	Wilkes-Barre	3	0	2013-08-01 02:33:03.357173+02	\N	\N	\N	\N	\N	\N	f	
21746	fe83999e-9ce4-46bb-9d26-f7067ac92195	Homer	Homer	3	0	2013-07-28 17:32:41.159298+02	\N	\N	\N	\N	\N	\N	f	
21758	c2e1b74d-d22f-4488-8718-a28eb06bb0a6	Gatchina	Gatchina	3	0	2013-07-28 20:31:34.350634+02	\N	\N	\N	\N	\N	\N	f	
21764	35a8e89c-dc7c-417b-a17a-12577132273a	Arlington	Arlington	3	0	2013-07-29 05:18:50.39027+02	\N	\N	\N	\N	\N	\N	f	
21814	3ec6806f-63a1-4489-82a3-3b4e2f2e4279	Kenova, West Virginia	Kenova, West Virginia	3	0	2013-08-01 08:34:32.81898+02	\N	\N	\N	\N	\N	\N	f	
21867	b6ed5de9-41a9-4669-885f-d6e60965e7ec	Bradford, Pennsylvania	Bradford, Pennsylvania	3	0	2013-08-05 05:31:51.527998+02	\N	\N	\N	\N	\N	\N	f	
21825	cdc3e3f8-9040-431c-af1d-029a1f3da783	Lewes	Lewes	3	0	2013-08-02 08:31:24.764275+02	\N	\N	\N	\N	\N	\N	f	
21899	09d25071-6b47-4865-a6e0-eab5291177d9	Nappanee	Nappanee	3	0	2013-08-05 23:17:24.850736+02	\N	\N	\N	\N	\N	\N	f	
21894	8e0f61f1-7433-43db-af20-eb58078c6a0a	Enders, Pennsylvania	Enders, Pennsylvania	3	0	2013-08-05 11:28:50.598992+02	\N	\N	\N	\N	\N	\N	f	
21871	1fcd02f9-f162-4ae0-bad5-8d242f2a8882	South Euclid, Ohio	South Euclid, Ohio	3	0	2013-08-05 08:20:12.177578+02	\N	\N	\N	\N	\N	\N	f	
21897	64452985-13b0-43f9-8fc8-5ad8c378dde5	Greensburg, Pennsylvania	Greensburg, Pennsylvania	3	0	2013-08-05 17:31:25.767469+02	\N	\N	\N	\N	\N	\N	f	
24379	cd68ff0b-8f74-4847-90ed-bb3cced1291a	Santa Claus, Georgia	Santa Claus, Georgia	3	0	2013-09-07 06:30:35.215928+02	\N	\N	\N	\N	\N	\N	f	
24120	9183028e-aa48-4a0a-b917-385f7354e3a2	Lapwai	Lapwai	3	0	2013-09-07 02:44:54.273614+02	\N	\N	\N	\N	\N	\N	f	
24121	c05071ed-8361-4329-9c54-ec2bb648b1dd	Homedale	Homedale	3	0	2013-09-07 02:45:07.896592+02	\N	\N	\N	\N	\N	\N	f	
24898	4b95ef97-5973-45f2-b7e4-a73656f1d0d2	St. Olaf	St. Olaf	3	0	2013-09-07 09:03:08.74563+02	\N	\N	\N	\N	\N	\N	f	
25435	c62ba0d1-3748-4a83-8ed3-341067aa9a84	Dry Ridge, Kentucky	Dry Ridge, Kentucky	3	0	2013-09-07 11:49:39.92995+02	\N	\N	\N	\N	\N	\N	f	
25528	d6f00cbf-7501-4e64-95f9-e7a1b80570dd	Wildwood, Kentucky	Wildwood, Kentucky	3	0	2013-09-07 12:48:10.823899+02	\N	\N	\N	\N	\N	\N	f	
25540	7ad62362-2319-4aad-93e4-67bcd979c19d	Whitesville, Kentucky	Whitesville, Kentucky	3	0	2013-09-07 12:52:41.454512+02	\N	\N	\N	\N	\N	\N	f	
26007	adbd5322-1761-4f62-b432-1de8e7e3aaa4	Olivet	Olivet	3	0	2013-09-07 17:44:43.545039+02	\N	\N	\N	\N	\N	\N	f	
26364	3d5408ac-156f-4707-aef1-5588517898da	Minidoka, Idaho	Minidoka, Idaho	3	0	2013-09-07 23:36:19.858841+02	\N	\N	\N	\N	\N	\N	f	
13146	6eacb1ce-5552-4221-a6b1-aa098ace7383	Ronneby Municipality	Ronneby Municipality	4	0	2013-07-16 12:39:27.548222+02	\N	\N	\N	\N	\N	\N	f	
14130	810689aa-e499-4c71-ae51-9de8d2ae71f3	Chiaravalle, Marche	Chiaravalle, Marche	4	0	2013-07-21 20:29:55.421217+02	\N	\N	\N	\N	\N	\N	f	
13148	c0e93a31-b0df-4424-9a4c-94c6ee1fcdc7	Bromölla Municipality	Bromölla Municipality	4	0	2013-07-16 12:40:00.668106+02	\N	\N	\N	\N	\N	\N	f	
14181	73ab0cd4-e576-4d82-aadb-5e2fbf4f753e	Sonnino	Sonnino	4	0	2013-07-21 20:41:29.977446+02	\N	\N	\N	\N	\N	\N	f	
14266	53298891-be7a-4cf7-92dc-835dcb0d6ba7	Monteflavio	Monteflavio	4	0	2013-07-21 20:59:53.698926+02	\N	\N	\N	\N	\N	\N	f	
15914	82ed4b48-dc69-439f-907f-1ed30c168d36	Santhià	Santhià	4	0	2013-07-22 02:29:41.675191+02	\N	\N	\N	\N	\N	\N	f	
14704	d2bb020c-15d5-4b92-9f03-532e27b9f04e	Caprile	Caprile	4	0	2013-07-21 22:37:12.458536+02	\N	\N	\N	\N	\N	\N	f	
14716	10d501ef-acb6-4fa7-b66d-196c7e9e32b9	Gaglianico	Gaglianico	4	0	2013-07-21 22:40:14.778199+02	\N	\N	\N	\N	\N	\N	f	
14764	85c56f94-06dc-4354-984c-c8d3f9177a20	Aisone	Aisone	4	0	2013-07-21 22:50:56.622359+02	\N	\N	\N	\N	\N	\N	f	
16043	998694e3-af2f-42a8-ba7c-030de9729ae8	Borghetto d'Arroscia	Borghetto d'Arroscia	4	0	2013-07-22 02:46:02.955473+02	\N	\N	\N	\N	\N	\N	f	
14795	3f77cb77-fa1e-4cf3-9098-4d6a34bc498b	Benevello	Benevello	4	0	2013-07-21 22:57:26.878313+02	\N	\N	\N	\N	\N	\N	f	
15339	6eb0d878-ea72-4060-8b22-df1d6c4a869a	Peglio	Peglio	4	0	2013-07-22 00:23:16.610153+02	\N	\N	\N	\N	\N	\N	f	
17838	0543e883-e512-47c5-a3e6-fd294729dcc9	Poggiridenti	Poggiridenti	4	0	2013-07-22 07:16:48.569504+02	\N	\N	\N	\N	\N	\N	f	
15353	3de8b037-aca5-443e-9544-c42740f8efe0	Manciano	Manciano	4	0	2013-07-22 00:26:24.424952+02	\N	\N	\N	\N	\N	\N	f	
16058	e2a39a4c-d56e-4525-9a86-20a21b3f7731	Badalucco	Badalucco	4	0	2013-07-22 02:47:41.116665+02	\N	\N	\N	\N	\N	\N	f	
15407	0e670aad-c5a8-4941-8240-213b5ed6c838	Borgolavezzaro	Borgolavezzaro	4	0	2013-07-22 00:38:35.555393+02	\N	\N	\N	\N	\N	\N	f	
16059	75949ed3-aab8-44bd-8a66-2bc28f70d7a8	Civezzano	Civezzano	4	0	2013-07-22 02:47:42.454303+02	\N	\N	\N	\N	\N	\N	f	
21466	5b6d5bb4-6e0b-47df-a78a-a5f3f9441629	Cinzano	Cinzano	4	0	2013-07-24 08:44:13.164926+02	\N	\N	\N	\N	\N	\N	f	
16764	b375ecd7-bfca-4997-9d27-ef178fdebbd9	Girasole	Girasole	4	0	2013-07-22 04:30:55.187562+02	\N	\N	\N	\N	\N	\N	f	
17862	5c305f2a-88a1-4c52-a4d8-0ffe38256648	Brissago-Valtravaglia	Brissago-Valtravaglia	4	0	2013-07-22 07:19:26.380163+02	\N	\N	\N	\N	\N	\N	f	
16770	e0705dc5-b39e-4262-9c05-59533f75fea8	Luogosanto	Luogosanto	4	0	2013-07-22 04:32:50.002539+02	\N	\N	\N	\N	\N	\N	f	
20136	2eb61d42-1d23-4c05-b88e-2c72f23b2462	Bagnaria Arsa	Bagnaria Arsa	4	0	2013-07-22 17:32:30.21018+02	\N	\N	\N	\N	\N	\N	f	
21860	1b304294-1808-4c9b-8674-04ebab4f312c	Gammertingen	Gammertingen	3	0	2013-08-04 20:33:49.197737+02	\N	\N	\N	\N	\N	\N	f	
17962	6e2ec153-8e9b-4487-9157-a71f5b0b996e	Azzanello	Azzanello	4	0	2013-07-22 07:31:32.878826+02	\N	\N	\N	\N	\N	\N	f	
17991	3d7ac312-ec9d-4806-848b-6a71089ffff6	Terranova dei Passerini	Terranova dei Passerini	4	0	2013-07-22 07:34:50.505768+02	\N	\N	\N	\N	\N	\N	f	
20962	5f84ca92-0f9f-498e-9d4f-5f0bd0c812fd	Valle Agricola	Valle Agricola	4	0	2013-07-23 17:39:32.011041+02	\N	\N	\N	\N	\N	\N	f	
18032	f736a15b-3f2f-4105-a76d-f457837465dc	Solaro	Solaro	4	0	2013-07-22 07:39:16.84308+02	\N	\N	\N	\N	\N	\N	f	
18777	6f520bd7-54fa-4467-82dd-2e620c5be04b	Rodero	Rodero	4	0	2013-07-22 09:12:55.794857+02	\N	\N	\N	\N	\N	\N	f	
21063	9e475666-a4bc-4b2d-a98a-309708ae1a00	Pimonte	Pimonte	4	0	2013-07-23 20:43:14.736058+02	\N	\N	\N	\N	\N	\N	f	
18797	0b23da22-a321-402a-9fae-020bfefe8f16	Proserpio	Proserpio	4	0	2013-07-22 09:15:11.613644+02	\N	\N	\N	\N	\N	\N	f	
18798	f5f7ba0b-69e8-47f9-8d97-b1aed2c56e82	Torre di Mosto	Torre di Mosto	4	0	2013-07-22 09:15:14.136478+02	\N	\N	\N	\N	\N	\N	f	
21562	ff03ecef-5041-47e4-b8da-f66c362b853c	Nichelino	Nichelino	4	0	2013-07-24 11:44:04.129096+02	\N	\N	\N	\N	\N	\N	f	
18853	2ed3bbb4-0aa6-4621-ac11-f6d015d507f6	Bevilacqua	Bevilacqua	4	0	2013-07-22 09:21:49.604892+02	\N	\N	\N	\N	\N	\N	f	
21167	a4eccde0-0b1d-4c54-a7fc-eeecee1565ed	Contursi Terme	Contursi Terme	4	0	2013-07-23 23:42:32.298815+02	\N	\N	\N	\N	\N	\N	f	
18878	05d89c29-6c39-4786-bf06-6092c0d5498d	Lomazzo	Lomazzo	4	0	2013-07-22 09:25:01.625407+02	\N	\N	\N	\N	\N	\N	f	
18911	ecefb08f-9eb6-4969-a1b5-5cc4c35cd8d9	Palù	Palù	4	0	2013-07-22 09:29:11.18987+02	\N	\N	\N	\N	\N	\N	f	
18945	88ad9af6-b817-4690-977f-b476616f14bd	Roncà	Roncà	4	0	2013-07-22 09:33:14.185605+02	\N	\N	\N	\N	\N	\N	f	
21177	f6641a7e-75e1-4f9f-b401-69558a20af43	Gioi	Gioi	4	0	2013-07-23 23:45:22.97973+02	\N	\N	\N	\N	\N	\N	f	
18961	327ff093-5967-464b-9a31-01433ca739e0	Mozzecane	Mozzecane	4	0	2013-07-22 09:35:02.07415+02	\N	\N	\N	\N	\N	\N	f	
18978	d4dd60f3-9c7f-49af-a5e7-c3f7e5dc7f2e	Gruaro	Gruaro	4	0	2013-07-22 09:37:22.122115+02	\N	\N	\N	\N	\N	\N	f	
21283	ebdffd00-ae8b-47a4-8b50-82b665e93f26	Montelupo Fiorentino	Montelupo Fiorentino	4	0	2013-07-24 02:47:28.827653+02	\N	\N	\N	\N	\N	\N	f	
21564	1c43ef26-8fc8-4eff-b7fe-3f903e71f98a	Porretta Terme	Porretta Terme	4	0	2013-07-24 11:44:41.88001+02	\N	\N	\N	\N	\N	\N	f	
21293	03320c6d-ce01-496e-a076-4dcbfbf67715	Firenzuola	Firenzuola	4	0	2013-07-24 02:49:29.39736+02	\N	\N	\N	\N	\N	\N	f	
21294	4a9913d4-9933-4865-99a0-625f472d3d77	Greve in Chianti	Greve in Chianti	4	0	2013-07-24 02:49:44.600279+02	\N	\N	\N	\N	\N	\N	f	
21747	00e1f398-f7d8-421c-bca7-3baee7e72286	Nightmute	Nightmute	3	0	2013-07-28 17:33:09.756516+02	\N	\N	\N	\N	\N	\N	f	
21296	1644e04b-1439-4bc2-8ee4-0ef5d69e272c	Monte Cavallo	Monte Cavallo	4	0	2013-07-24 02:50:08.467452+02	\N	\N	\N	\N	\N	\N	f	
21630	0a095ffa-0df3-4b46-8734-d0cab42f8980	Leola	Leola	3	0	2013-07-24 14:33:49.116155+02	\N	\N	\N	\N	\N	\N	f	
21365	00c22dbe-c252-447d-95f0-b29be313f856	Arignano	Arignano	4	0	2013-07-24 05:44:37.61924+02	\N	\N	\N	\N	\N	\N	f	
21803	a6da921e-27cb-4ae5-914b-37e4ff7ff15a	Bellevue	Bellevue	3	0	2013-07-31 05:23:37.379996+02	\N	\N	\N	\N	\N	\N	f	
21672	e8d9403c-07c2-45f6-aa7f-583c1afe1f8c	Pinerolo	Pinerolo	4	0	2013-07-24 14:48:33.125222+02	\N	\N	\N	\N	\N	\N	f	
21765	62350aa4-081e-4a25-8318-7ef2e17cd97b	Blaine	Blaine	3	0	2013-07-29 05:19:27.27532+02	\N	\N	\N	\N	\N	\N	f	
21713	8e3223d7-74fc-4ab6-908e-1f242333287a	Savignano sul Rubicone	Savignano sul Rubicone	4	0	2013-07-24 15:00:53.838983+02	\N	\N	\N	\N	\N	\N	f	
21732	ef32892c-a969-42fb-ba59-7f4786ba593f	Vientiane	Vientiane	3	0	2013-07-25 02:36:53.36529+02	\N	\N	\N	\N	\N	\N	f	
24380	7941aa41-1ffa-4080-9e2f-c7c12bcb8b50	Summerville, Georgia	Summerville, Georgia	3	0	2013-09-07 06:30:55.935063+02	\N	\N	\N	\N	\N	\N	f	
21826	85cf837e-d57d-429c-89d3-1572ab30ca40	Seaford	Seaford	3	0	2013-08-02 08:31:37.020134+02	\N	\N	\N	\N	\N	\N	f	
21776	2c15c347-79f6-4099-b0d7-259e7248e926	George	George	3	0	2013-07-29 05:22:42.189927+02	\N	\N	\N	\N	\N	\N	f	
21868	5a4f9f9c-0038-40d7-9695-4d4f896aeb35	Arnold, Pennsylvania	Arnold, Pennsylvania	3	0	2013-08-05 05:35:49.125485+02	\N	\N	\N	\N	\N	\N	f	
21786	3b397a6b-aed0-445f-be0e-5a0e4ca5de66	Kelso	Kelso	3	0	2013-07-29 05:39:08.933975+02	\N	\N	\N	\N	\N	\N	f	
21834	b8e78b87-f0f4-4426-bd45-cef1e402e49a	Seat Pleasant	Seat Pleasant	3	0	2013-08-02 11:33:13.448038+02	\N	\N	\N	\N	\N	\N	f	
21895	ede85861-4bba-4200-ad9c-ff1b2f45697d	Wapakoneta	Wapakoneta	3	0	2013-08-05 11:29:18.386128+02	\N	\N	\N	\N	\N	\N	f	
21872	3402ebe3-b2ea-49b2-8123-9ad837cc0aef	Canfield	Canfield	3	0	2013-08-05 08:20:48.038793+02	\N	\N	\N	\N	\N	\N	f	
24122	24eb8ebe-db5c-4a83-98ed-4083987ad963	Pinehurst	Pinehurst	3	0	2013-09-07 02:45:24.881752+02	\N	\N	\N	\N	\N	\N	f	
21900	91aec7dc-d91d-43af-928a-f50c39e91618	New Kensington	New Kensington	3	0	2013-08-05 23:18:22.480371+02	\N	\N	\N	\N	\N	\N	f	
24899	1567a238-e027-4bef-a42e-c366234ed647	Sabula	Sabula	3	0	2013-09-07 09:03:23.344403+02	\N	\N	\N	\N	\N	\N	f	
24398	0e6a6d22-23b7-4d34-b497-b73d69ce64ad	Pearson, Georgia	Pearson, Georgia	3	0	2013-09-07 06:35:28.054693+02	\N	\N	\N	\N	\N	\N	f	
24928	a7f6cb1c-b6f0-4f96-add0-edb3ecbc29dc	Williams	Williams	3	0	2013-09-07 09:17:11.066034+02	\N	\N	\N	\N	\N	\N	f	
25436	124e9399-a195-4501-99c4-486d8d95fbcb	West Buechel, Kentucky	West Buechel, Kentucky	3	0	2013-09-07 11:49:53.425969+02	\N	\N	\N	\N	\N	\N	f	
25518	ed54b959-aaaa-4f7d-bb6e-34addd2ddf12	Covington	Covington	3	0	2013-09-07 12:44:06.419003+02	\N	\N	\N	\N	\N	\N	f	
25530	545bcdd9-281d-4dd1-86d8-b806a596ea74	Woodburn, Kentucky	Woodburn, Kentucky	3	0	2013-09-07 12:48:52.646149+02	\N	\N	\N	\N	\N	\N	f	
26008	4ebdd3b4-075b-4920-98c2-1f7655f3786d	Toronto	Toronto	3	0	2013-09-07 17:44:58.842324+02	\N	\N	\N	\N	\N	\N	f	
13147	06755f39-c191-496f-918c-6ce9d88c8eb2	Favrskov Municipality	Favrskov Municipality	4	0	2013-07-16 12:39:48.190353+02	\N	\N	\N	\N	\N	\N	f	
14134	27f14987-06e4-4e66-8284-7e0d8a496c61	Ostra Vetere	Ostra Vetere	4	0	2013-07-21 20:30:50.15994+02	\N	\N	\N	\N	\N	\N	f	
13149	a0afe217-a2f0-4122-8333-d1da35a56c92	Uppvidinge Municipality	Uppvidinge Municipality	4	0	2013-07-16 12:40:15.151681+02	\N	\N	\N	\N	\N	\N	f	
13167	8dc5d990-9f12-4e34-9e63-64be677ac58c	Kinda Municipality	Kinda Municipality	4	0	2013-07-16 12:43:49.884241+02	\N	\N	\N	\N	\N	\N	f	
13180	182d5c47-665f-479b-a826-6f66c055d01f	Kramfors Municipality	Kramfors Municipality	4	0	2013-07-16 12:46:23.40031+02	\N	\N	\N	\N	\N	\N	f	
14135	f5123af4-7bc7-47a6-bd8c-f33a15f5b075	Monte Roberto	Monte Roberto	4	0	2013-07-21 20:31:02.218493+02	\N	\N	\N	\N	\N	\N	f	
13199	e2c8ac9b-42b4-4850-9f4c-14e15b2ac00a	Esbjerg Municipality	Esbjerg Municipality	4	0	2013-07-16 12:52:28.273401+02	\N	\N	\N	\N	\N	\N	f	
14705	3def2495-fc6e-443b-99c5-b738c84af3ec	Cerreto Castello	Cerreto Castello	4	0	2013-07-21 22:37:27.163143+02	\N	\N	\N	\N	\N	\N	f	
14777	8041cb71-40ef-43ed-8b2e-1f0a303a99f5	Bosia	Bosia	4	0	2013-07-21 22:53:52.095312+02	\N	\N	\N	\N	\N	\N	f	
15347	d76ffb78-2c15-436b-816c-5f1a4f784a50	Magliano in Toscana	Magliano in Toscana	4	0	2013-07-22 00:25:14.457813+02	\N	\N	\N	\N	\N	\N	f	
15396	628d222a-8fbd-42a9-be49-59d4845fe068	Barengo	Barengo	4	0	2013-07-22 00:36:13.730251+02	\N	\N	\N	\N	\N	\N	f	
15981	25644def-fb4a-4e00-81f7-75371a759dea	Serra Riccò	Serra Riccò	4	0	2013-07-22 02:38:08.011906+02	\N	\N	\N	\N	\N	\N	f	
15420	9c3a8c78-922d-42d7-8585-439b75dc9b70	Comignago	Comignago	4	0	2013-07-22 00:41:31.22889+02	\N	\N	\N	\N	\N	\N	f	
17839	7d39cf49-b2c8-4977-98d7-56094901cf4b	Trivolzio	Trivolzio	4	0	2013-07-22 07:16:54.449638+02	\N	\N	\N	\N	\N	\N	f	
16006	69678d7c-01d6-4452-9de9-6a39207aa6ea	Bogliasco	Bogliasco	4	0	2013-07-22 02:41:15.697114+02	\N	\N	\N	\N	\N	\N	f	
16765	10462110-4f24-4a50-b07f-feaba09dc39f	Jerzu	Jerzu	4	0	2013-07-22 04:31:14.460704+02	\N	\N	\N	\N	\N	\N	f	
17846	5f0537d5-aa15-4b40-a955-5a68a5554530	Palestro	Palestro	4	0	2013-07-22 07:17:40.118828+02	\N	\N	\N	\N	\N	\N	f	
24381	01c62c92-0d50-4622-a102-422cba268060	Albany	Albany	3	0	2013-09-07 06:31:12.160428+02	\N	\N	\N	\N	\N	\N	f	
17847	5a5a57f3-d9a7-419f-9390-10050c8d9b01	Danta di Cadore	Danta di Cadore	4	0	2013-07-22 07:17:47.256984+02	\N	\N	\N	\N	\N	\N	f	
20140	db807739-12c7-4c09-a324-03f9cef1bb0d	Buja	Buja	4	0	2013-07-22 17:33:18.53047+02	\N	\N	\N	\N	\N	\N	f	
17864	892d9a7b-5b45-40ee-a709-4a521eeb6170	Borgoratto Mormorolo	Borgoratto Mormorolo	4	0	2013-07-22 07:19:59.647465+02	\N	\N	\N	\N	\N	\N	f	
17898	da144288-6879-456f-b8ef-c5848af0250d	Arsago Seprio	Arsago Seprio	4	0	2013-07-22 07:23:48.164909+02	\N	\N	\N	\N	\N	\N	f	
21368	d06c8275-7b50-4726-aa4b-8609fd738589	Busano	Busano	4	0	2013-07-24 05:45:32.48869+02	\N	\N	\N	\N	\N	\N	f	
20143	1a5526d1-1418-43d0-aa7d-639bc56a4575	Faedis	Faedis	4	0	2013-07-22 17:33:54.855858+02	\N	\N	\N	\N	\N	\N	f	
18779	d80114aa-9dd1-4408-ba43-be87ef987db5	Ferrara di Monte Baldo	Ferrara di Monte Baldo	4	0	2013-07-22 09:13:08.076026+02	\N	\N	\N	\N	\N	\N	f	
18811	c5b4b8c5-2521-416f-b774-4e5c9d595f21	Lambrugo	Lambrugo	4	0	2013-07-22 09:16:54.432234+02	\N	\N	\N	\N	\N	\N	f	
21691	ca9f3ba8-17d2-4c3c-805a-892d65969f75	Civitella di Romagna	Civitella di Romagna	4	0	2013-07-24 14:54:59.775744+02	\N	\N	\N	\N	\N	\N	f	
18883	8ff8ef23-af0d-49aa-be04-543f23902c86	Nogara	Nogara	4	0	2013-07-22 09:25:30.942875+02	\N	\N	\N	\N	\N	\N	f	
20158	c9d57972-c3c1-494a-9644-1a1ff314ac61	Latisana	Latisana	4	0	2013-07-22 17:37:09.879925+02	\N	\N	\N	\N	\N	\N	f	
19001	64236909-c1ba-473a-a62b-308e1667cbeb	Ragalna	Ragalna	4	0	2013-07-22 09:40:12.290439+02	\N	\N	\N	\N	\N	\N	f	
21472	40bfbb54-0a5a-43f9-8ed3-50b0fb24eaca	Favria	Favria	4	0	2013-07-24 08:45:42.560647+02	\N	\N	\N	\N	\N	\N	f	
20161	b7b76de7-6b99-4a13-97cf-8c3efe757afa	Pagnacco	Pagnacco	4	0	2013-07-22 17:37:46.33811+02	\N	\N	\N	\N	\N	\N	f	
20183	5521d1dc-0af8-4982-8fa2-9ca3f68d6042	Ragogna	Ragogna	4	0	2013-07-22 17:43:31.09827+02	\N	\N	\N	\N	\N	\N	f	
21827	bdebc36f-9138-4397-a3df-bf8d206204c4	Rehoboth Beach	Rehoboth Beach	3	0	2013-08-02 08:31:52.33883+02	\N	\N	\N	\N	\N	\N	f	
20211	47132b70-33fd-4363-87d9-ae26c699d4a0	Tolmezzo	Tolmezzo	4	0	2013-07-22 17:49:42.382563+02	\N	\N	\N	\N	\N	\N	f	
21565	beb1d6ef-d170-4a12-8e55-b82b230b1c7d	Treia	Treia	4	0	2013-07-24 11:44:57.957999+02	\N	\N	\N	\N	\N	\N	f	
20963	7f7c90fa-d963-4f9e-a26e-9ce1fe5f3a4e	Trentola-Ducenta	Trentola-Ducenta	4	0	2013-07-23 17:39:44.73112+02	\N	\N	\N	\N	\N	\N	f	
21065	875a8201-0685-406a-9e52-987a7d4a6f44	Trecase	Trecase	4	0	2013-07-23 20:43:59.098808+02	\N	\N	\N	\N	\N	\N	f	
21081	8d7e6e2b-f5c2-4185-89d1-4318ac8bda49	Striano	Striano	4	0	2013-07-23 20:47:50.989391+02	\N	\N	\N	\N	\N	\N	f	
21570	ba935828-109e-4598-8ce3-6bb5c6467631	Molinella	Molinella	4	0	2013-07-24 11:46:04.487179+02	\N	\N	\N	\N	\N	\N	f	
21169	d45e7a3b-0b20-498e-8bff-9f45515eaf5d	Castelcivita	Castelcivita	4	0	2013-07-23 23:43:05.824951+02	\N	\N	\N	\N	\N	\N	f	
21284	74e735f5-cf59-487b-a789-60854a718933	Montecosaro	Montecosaro	4	0	2013-07-24 02:47:41.049831+02	\N	\N	\N	\N	\N	\N	f	
21748	0e270d32-e661-4fb3-838a-22b4dbfb244c	Fairbanks	Fairbanks	3	0	2013-07-28 17:33:35.508643+02	\N	\N	\N	\N	\N	\N	f	
21290	619634e1-9d1d-49ff-a01f-78c649c7d23f	Montespertoli	Montespertoli	4	0	2013-07-24 02:48:52.864919+02	\N	\N	\N	\N	\N	\N	f	
21292	c6e8363f-5fe1-46f6-85be-f344cd31db5f	Mogliano	Mogliano	4	0	2013-07-24 02:49:17.406352+02	\N	\N	\N	\N	\N	\N	f	
21901	acba2b85-f882-43b6-af82-e1c1a0b4c78f	West Lafayette, Indiana	West Lafayette, Indiana	3	0	2013-08-05 23:19:55.998622+02	\N	\N	\N	\N	\N	\N	f	
21311	c95a94cd-48d3-4949-bd12-60ec93a6decf	Vinci, Tuscany	Vinci, Tuscany	4	0	2013-07-24 02:53:09.853117+02	\N	\N	\N	\N	\N	\N	f	
21766	fbd3eb81-8468-4c03-8f40-ef13ea2fb655	Brewster	Brewster	3	0	2013-07-29 05:20:05.75525+02	\N	\N	\N	\N	\N	\N	f	
21619	1ecc99ed-f70d-41a2-9c3f-329175486689	Algua	Algua	4	0	2013-07-24 11:57:00.872585+02	\N	\N	\N	\N	\N	\N	f	
21631	0b815197-4927-445c-b456-c13e43555a8d	Eureka	Eureka	3	0	2013-07-24 14:34:58.603931+02	\N	\N	\N	\N	\N	\N	f	
21835	6aeb5e04-e59c-4c8c-b3ba-7480f62cccef	New Carrollton	New Carrollton	3	0	2013-08-02 11:33:31.289974+02	\N	\N	\N	\N	\N	\N	f	
21651	f67900f3-8aaf-4b7b-b253-a05c990de0cc	Portomaggiore	Portomaggiore	4	0	2013-07-24 14:43:11.982991+02	\N	\N	\N	\N	\N	\N	f	
21770	72dd6408-4f1f-4789-8d0a-60eec0709037	Camas	Camas	3	0	2013-07-29 05:21:04.566912+02	\N	\N	\N	\N	\N	\N	f	
21782	b2e95fec-fe7c-4ea1-a011-d5c82d82a08a	Zillah, Washington	Zillah, Washington	3	0	2013-07-29 05:36:18.454629+02	\N	\N	\N	\N	\N	\N	f	
21797	fbc96457-6f43-4f7d-9b11-c6c73d6e80e1	Richmond	Richmond	3	0	2013-07-30 23:33:14.872007+02	\N	\N	\N	\N	\N	\N	f	
21804	861cfc0a-1407-4f33-b44f-fd8df9d37498	Pocatello	Pocatello	3	0	2013-07-31 05:28:04.316512+02	\N	\N	\N	\N	\N	\N	f	
21869	b0086ef3-0771-4fd4-9316-d7eff521efe9	Ravenna	Ravenna	3	0	2013-08-05 05:37:42.648552+02	\N	\N	\N	\N	\N	\N	f	
24124	e04d1d47-184d-4015-a4d9-f18b33811b02	Dixon	Dixon	3	0	2013-09-07 02:51:48.669174+02	\N	\N	\N	\N	\N	\N	f	
21874	521261a6-d1c2-4ac4-8539-d89107c1f516	Cortland	Cortland	3	0	2013-08-05 08:23:43.062357+02	\N	\N	\N	\N	\N	\N	f	
24502	5616da80-c20d-4315-b58a-ff586d5da6d3	Morrow	Morrow	3	0	2013-09-07 07:01:46.399773+02	\N	\N	\N	\N	\N	\N	f	
24128	fa1af1b2-6b2a-4bda-bd20-cc828dd7e8d3	Bellevue	Bellevue	3	0	2013-09-07 02:55:08.094927+02	\N	\N	\N	\N	\N	\N	f	
24462	ba5984e1-bca6-4073-8074-a83a8a0f2bf1	Sylvester, Georgia	Sylvester, Georgia	3	0	2013-09-07 06:51:10.081918+02	\N	\N	\N	\N	\N	\N	f	
24900	ab7ba9be-d36b-4e89-b709-a95fb9ec54b0	Rose Hill	Rose Hill	3	0	2013-09-07 09:03:39.831404+02	\N	\N	\N	\N	\N	\N	f	
24503	84bcfca5-213d-4dd1-8155-961e121aa0e3	Stapleton	Stapleton	3	0	2013-09-07 07:02:04.868348+02	\N	\N	\N	\N	\N	\N	f	
24969	9de741b9-04bc-476f-b342-9d65297b0ec5	Manchester	Manchester	3	0	2013-09-07 09:29:15.702888+02	\N	\N	\N	\N	\N	\N	f	
25439	4694ea70-ebc3-4afe-af88-95ed677453fb	Morganville, Kansas	Morganville, Kansas	3	0	2013-09-07 11:50:39.736182+02	\N	\N	\N	\N	\N	\N	f	
25531	9fe9436b-5ea5-4f26-b2b3-e34bac14f015	Plaquemine, Louisiana	Plaquemine, Louisiana	3	0	2013-09-07 12:49:11.622406+02	\N	\N	\N	\N	\N	\N	f	
25535	7bf73e2e-81fc-45b3-bf68-a177e81df0ec	Belfast	Belfast	3	0	2013-09-07 12:50:29.472174+02	\N	\N	\N	\N	\N	\N	f	
25541	d0a6bb7e-19c5-4bb4-9eff-30e0d3db41da	Thompson, Iowa	Thompson, Iowa	3	0	2013-09-07 12:52:55.361685+02	\N	\N	\N	\N	\N	\N	f	
25557	4b3c4afe-acd4-41ba-b684-f74a67d82014	Sandy Hook, Kentucky	Sandy Hook, Kentucky	3	0	2013-09-07 12:57:02.562906+02	\N	\N	\N	\N	\N	\N	f	
25571	7a559310-80f5-4bbd-9e5c-4ea86070d7b2	Stout, Iowa	Stout, Iowa	3	0	2013-09-07 13:01:22.165955+02	\N	\N	\N	\N	\N	\N	f	
13150	30f4599d-87d1-40c5-968c-37517feab502	Vallensbæk Municipality	Vallensbæk Municipality	4	0	2013-07-16 12:40:27.36992+02	\N	\N	\N	\N	\N	\N	f	
13166	7e716ed9-33ed-4dde-812e-bfd9c65b10f6	Lidköping Municipality	Lidköping Municipality	4	0	2013-07-16 12:43:37.867205+02	\N	\N	\N	\N	\N	\N	f	
14136	f4671dae-68f9-4c83-ad51-9caa65e987ed	Sassoferrato	Sassoferrato	4	0	2013-07-21 20:31:14.083411+02	\N	\N	\N	\N	\N	\N	f	
14706	5d1a4a6f-4625-4c63-b05f-0a21c996027d	Mottalciata	Mottalciata	4	0	2013-07-21 22:37:46.717298+02	\N	\N	\N	\N	\N	\N	f	
15923	8b751365-f879-45d3-8fca-0390de493974	Pachino	Pachino	4	0	2013-07-22 02:30:51.931515+02	\N	\N	\N	\N	\N	\N	f	
14724	d4f49cb4-d459-4526-a677-13cb0c84f7e6	Piatto	Piatto	4	0	2013-07-21 22:42:08.118933+02	\N	\N	\N	\N	\N	\N	f	
15348	3330166b-5a07-4b17-8612-4b40a9bbd058	Orbetello	Orbetello	4	0	2013-07-22 00:25:26.061412+02	\N	\N	\N	\N	\N	\N	f	
15350	27bf30b2-944a-40b9-b8b4-8572e7c26b03	Santa Fiora	Santa Fiora	4	0	2013-07-22 00:25:49.501286+02	\N	\N	\N	\N	\N	\N	f	
16768	67a9926f-8f3c-473c-a993-60b22342ab6d	Bortigiadas	Bortigiadas	4	0	2013-07-22 04:32:19.380973+02	\N	\N	\N	\N	\N	\N	f	
15390	e401cf33-0472-4681-9138-85cfa08686f8	Bellinzago Novarese	Bellinzago Novarese	4	0	2013-07-22 00:34:45.316543+02	\N	\N	\N	\N	\N	\N	f	
17840	ba74c76d-f613-4eb4-8301-bcd26334f20b	Cassano Valcuvia	Cassano Valcuvia	4	0	2013-07-22 07:17:01.883737+02	\N	\N	\N	\N	\N	\N	f	
25440	4c402b93-ca90-43bc-8c89-09529665d380	Bushong, Kansas	Bushong, Kansas	3	0	2013-09-07 11:50:53.312484+02	\N	\N	\N	\N	\N	\N	f	
18794	376ad353-16cb-4223-8609-7c3d9565f216	Gironico	Gironico	4	0	2013-07-22 09:14:48.681841+02	\N	\N	\N	\N	\N	\N	f	
20141	418069b9-a796-4dae-b274-59b2a495f7ba	Enemonzo	Enemonzo	4	0	2013-07-22 17:33:30.603328+02	\N	\N	\N	\N	\N	\N	f	
18801	480d68b7-24f5-4b92-be52-73e7138aa1ed	Burgstall, South Tyrol	Burgstall, South Tyrol	4	0	2013-07-22 09:15:42.752453+02	\N	\N	\N	\N	\N	\N	f	
21828	d54ef79e-103f-40c1-851c-b2246a6adfd5	New Castle	New Castle	3	0	2013-08-02 08:32:04.842967+02	\N	\N	\N	\N	\N	\N	f	
18824	739cdc3f-38c0-441e-8b13-6556b8b674c2	Noventa di Piave	Noventa di Piave	4	0	2013-07-22 09:18:41.772784+02	\N	\N	\N	\N	\N	\N	f	
20964	e801e08f-1191-45a9-ad5c-aeeed3fd73ef	Vairano Patenora	Vairano Patenora	4	0	2013-07-23 17:39:56.993824+02	\N	\N	\N	\N	\N	\N	f	
18900	d9a82f41-f1ca-4b56-8866-936499462ed0	Novedrate	Novedrate	4	0	2013-07-22 09:27:51.793585+02	\N	\N	\N	\N	\N	\N	f	
18912	b838e57b-a403-40a1-8175-a51c510fcdfd	Mazzarino	Mazzarino	4	0	2013-07-22 09:29:17.545414+02	\N	\N	\N	\N	\N	\N	f	
24392	62e44739-7bfc-48db-947e-68d84d15ed1b	Chamblee, Georgia	Chamblee, Georgia	3	0	2013-09-07 06:34:05.389171+02	\N	\N	\N	\N	\N	\N	f	
18989	46872a06-854b-467a-bfab-c20afbd4df1a	San Bonifacio	San Bonifacio	4	0	2013-07-22 09:38:47.44344+02	\N	\N	\N	\N	\N	\N	f	
20974	f728bae0-98ec-4910-8cc1-1221c131e94d	Sondrio	Sondrio	4	0	2013-07-23 17:42:36.511784+02	\N	\N	\N	\N	\N	\N	f	
21836	6ea8131a-2f91-4359-80c0-7eed70cb1a0c	Mount Rainier	Mount Rainier	3	0	2013-08-02 11:33:47.517173+02	\N	\N	\N	\N	\N	\N	f	
21066	814f5e75-1993-4d56-b6d3-02a5759c13c0	Saviano	Saviano	4	0	2013-07-23 20:44:18.285167+02	\N	\N	\N	\N	\N	\N	f	
21172	fe394039-cc55-4757-abc2-054116d17cab	Magliano Vetere	Magliano Vetere	4	0	2013-07-23 23:44:08.911312+02	\N	\N	\N	\N	\N	\N	f	
21289	7bb90054-8b8d-4621-b2bc-e1f4d339b8f8	Signa	Signa	4	0	2013-07-24 02:48:40.851228+02	\N	\N	\N	\N	\N	\N	f	
21875	570e8581-f2f1-4cc5-aeef-b2dac32b42c4	Cambridge, Ohio	Cambridge, Ohio	3	0	2013-08-05 08:25:40.604939+02	\N	\N	\N	\N	\N	\N	f	
21369	84606dff-f695-4a6f-82ea-c90221b23851	Banchette	Banchette	4	0	2013-07-24 05:45:47.811389+02	\N	\N	\N	\N	\N	\N	f	
21473	1010e26a-589d-473e-b37c-2cc07b503abe	Fiorano Canavese	Fiorano Canavese	4	0	2013-07-24 08:45:55.677709+02	\N	\N	\N	\N	\N	\N	f	
21566	32b3f15b-4dc2-4e94-9e76-d23557d01dea	Tolentino	Tolentino	4	0	2013-07-24 11:45:12.301874+02	\N	\N	\N	\N	\N	\N	f	
21888	0774291e-88c0-4dd2-b4ed-6652708acd4c	Lebanon	Lebanon	3	0	2013-08-05 08:39:57.50034+02	\N	\N	\N	\N	\N	\N	f	
21568	fb8b6c07-306f-4d75-9614-ab9166a39150	Sarnano	Sarnano	4	0	2013-07-24 11:45:39.07718+02	\N	\N	\N	\N	\N	\N	f	
21632	51da4f0a-17bb-4b04-a9cd-a65a34bfbdc3	Alzano Lombardo	Alzano Lombardo	4	0	2013-07-24 14:37:52.444569+02	\N	\N	\N	\N	\N	\N	f	
24397	6fbead91-274c-4a18-b5cb-9a75cdc56508	Bloomingdale, Georgia	Bloomingdale, Georgia	3	0	2013-09-07 06:35:14.096919+02	\N	\N	\N	\N	\N	\N	f	
21658	277d5839-aee4-4547-a5b8-ecb238b694c4	Pancalieri	Pancalieri	4	0	2013-07-24 14:45:01.830607+02	\N	\N	\N	\N	\N	\N	f	
21902	dcf01a02-bd1f-4922-a29b-389458e440dc	Greenwood	Greenwood	3	0	2013-08-05 23:20:19.993275+02	\N	\N	\N	\N	\N	\N	f	
21716	1e395925-9af4-4290-8520-7ee60bd4a7df	Boltiere	Boltiere	4	0	2013-07-24 15:01:37.572475+02	\N	\N	\N	\N	\N	\N	f	
21749	f2039960-cac1-4635-afd9-e366d2faca8c	Gambell	Gambell	3	0	2013-07-28 17:34:00.101524+02	\N	\N	\N	\N	\N	\N	f	
21904	3add7807-b5c8-4885-9bb8-1af1e83e6d14	Mitchell, Indiana	Mitchell, Indiana	3	0	2013-08-05 23:25:34.782821+02	\N	\N	\N	\N	\N	\N	f	
21767	be1eac93-9b88-41e0-8975-e8a20507b682	Gold Bar	Gold Bar	3	0	2013-07-29 05:20:20.588553+02	\N	\N	\N	\N	\N	\N	f	
21805	859b8f82-3206-4998-8939-2b5f57580c31	Twin Falls, Idaho	Twin Falls, Idaho	3	0	2013-07-31 05:31:24.820812+02	\N	\N	\N	\N	\N	\N	f	
27124	cbc732c9-a653-4b39-b2c2-6c04c5641df0	Argusville, North Dakota	Argusville, North Dakota	3	0	2013-09-08 05:33:58.465091+02	\N	\N	\N	\N	\N	\N	f	
24125	109cd2c0-e142-4c75-acde-4b4c4b7e8096	Crest Hill	Crest Hill	3	0	2013-09-07 02:52:10.491095+02	\N	\N	\N	\N	\N	\N	f	
24411	a7850715-f7ae-46e7-b7a3-d360ad201de3	North Vernon, Indiana	North Vernon, Indiana	3	0	2013-09-07 06:38:38.985338+02	\N	\N	\N	\N	\N	\N	f	
24139	c25941f8-2e71-4a58-be2b-efe3914b7181	Bancroft	Bancroft	3	0	2013-09-07 02:57:37.304287+02	\N	\N	\N	\N	\N	\N	f	
24152	f57ad4c9-aa52-42c9-a79a-942c679f13f9	Pierce	Pierce	3	0	2013-09-07 03:00:36.592283+02	\N	\N	\N	\N	\N	\N	f	
25533	dfb65987-2f38-4251-9cb7-f39e7740b47a	Tallulah, Louisiana	Tallulah, Louisiana	3	0	2013-09-07 12:49:42.996888+02	\N	\N	\N	\N	\N	\N	f	
24214	9db3df6f-8889-4300-a9f6-b816f052639a	Uvalda, Georgia	Uvalda, Georgia	3	0	2013-09-07 03:18:15.051482+02	\N	\N	\N	\N	\N	\N	f	
24901	01165980-5670-4df3-83c0-6a45383ab426	Slater	Slater	3	0	2013-09-07 09:03:54.424684+02	\N	\N	\N	\N	\N	\N	f	
24382	5f882bb1-5f11-482f-baba-66f2365cb43c	Homerville, Georgia	Homerville, Georgia	3	0	2013-09-07 06:31:32.755077+02	\N	\N	\N	\N	\N	\N	f	
25008	143676cf-2212-4e54-bdc9-c6ec1ef53e76	Plainfield	Plainfield	3	0	2013-09-07 09:39:32.179421+02	\N	\N	\N	\N	\N	\N	f	
26658	37c6a169-dce7-44e6-91a3-fc5edfbde994	Brashear, Missouri	Brashear, Missouri	3	0	2013-09-08 01:55:11.097238+02	\N	\N	\N	\N	\N	\N	f	
25009	3c735996-ac3e-4468-98ae-fedb9b4e753b	Olds	Olds	3	0	2013-09-07 09:39:47.2+02	\N	\N	\N	\N	\N	\N	f	
26009	9d9c2710-c003-4eae-9b32-97fcd53ead35	Hudson	Hudson	3	0	2013-09-07 17:45:13.883905+02	\N	\N	\N	\N	\N	\N	f	
25033	90bae9f0-e8ae-4d98-98a4-f25fc49b5496	Rake	Rake	3	0	2013-09-07 09:45:49.023004+02	\N	\N	\N	\N	\N	\N	f	
26365	e731bd3f-445e-46d2-b2c5-811a1c2467f0	Elmhurst	Elmhurst	3	0	2013-09-07 23:36:34.126231+02	\N	\N	\N	\N	\N	\N	f	
26662	81415aec-e191-4b6e-a688-d07cec1ea5f6	Ridgeland	Ridgeland	3	0	2013-09-08 01:56:07.942084+02	\N	\N	\N	\N	\N	\N	f	
26375	9eda1642-43ec-402f-9029-f8ffb6a4d121	Witt	Witt	3	0	2013-09-07 23:39:03.662729+02	\N	\N	\N	\N	\N	\N	f	
27110	d1870a37-76eb-4907-b603-929cc9dffefb	Boiling Spring Lakes, North Carolina	Boiling Spring Lakes, North Carolina	3	0	2013-09-08 05:25:38.887704+02	\N	\N	\N	\N	\N	\N	f	
27448	d1d031f1-aa08-4575-8653-f1f82ed66ff8	Flaxton, North Dakota	Flaxton, North Dakota	3	0	2013-09-08 07:59:25.745359+02	\N	\N	\N	\N	\N	\N	f	
27170	7a96f259-a8d0-4762-a14a-f5e28790ae36	Chamois	Chamois	3	0	2013-09-08 05:47:28.769046+02	\N	\N	\N	\N	\N	\N	f	
27778	bb2ed76d-d057-48cd-a8ea-314088cf86d6	Hollis	Hollis	3	0	2013-09-08 09:50:47.183073+02	\N	\N	\N	\N	\N	\N	f	
27818	1823c276-8982-4edb-95f1-413d6e813845	Seward	Seward	3	0	2013-09-08 10:05:49.320687+02	\N	\N	\N	\N	\N	\N	f	
27840	e5b55781-4b74-4374-b537-283d119b2c6e	Goodman	Goodman	3	0	2013-09-08 10:11:35.904581+02	\N	\N	\N	\N	\N	\N	f	
28104	e96c582c-a541-47a5-841e-667c8bc58094	Johnstown	Johnstown	3	0	2013-09-08 14:19:38.253877+02	\N	\N	\N	\N	\N	\N	f	
28150	1d5a3e1c-68e2-4a53-8199-c950ad6b5e93	Lyuban	Lyuban	3	0	2013-09-08 14:33:21.060441+02	\N	\N	\N	\N	\N	\N	f	
28174	3f5d2434-4db4-4380-bb38-b6a2013dbe23	Noginsk	Noginsk	3	0	2013-09-08 14:40:47.240402+02	\N	\N	\N	\N	\N	\N	f	
28192	35571a0e-9268-4ed8-9676-0ecc7c6fc371	Sengiley	Sengiley	3	0	2013-09-08 14:46:20.026465+02	\N	\N	\N	\N	\N	\N	f	
28319	2e78a6ae-98b3-4b81-b591-f2195cf6773b	Iron City, Tennessee	Iron City, Tennessee	3	0	2013-09-08 16:49:38.490121+02	\N	\N	\N	\N	\N	\N	f	
13151	04e1392b-53af-4788-bd06-e23806571b7b	Mariagerfjord Municipality	Mariagerfjord Municipality	4	0	2013-07-16 12:40:43.641684+02	\N	\N	\N	\N	\N	\N	f	
13152	8f8a5efc-23e9-42f1-a9c8-1b7a87a917b0	Skurup Municipality	Skurup Municipality	4	0	2013-07-16 12:40:55.22722+02	\N	\N	\N	\N	\N	\N	f	
13158	2e14f13b-dda6-45d6-aff4-40cc7f638aa1	Härjedalen Municipality	Härjedalen Municipality	4	0	2013-07-16 12:42:05.639914+02	\N	\N	\N	\N	\N	\N	f	
14137	3e0c0745-48a6-4642-8095-d594bd1a3a92	San Paolo di Jesi	San Paolo di Jesi	4	0	2013-07-21 20:31:25.597454+02	\N	\N	\N	\N	\N	\N	f	
13171	4f29bf5b-0061-42ec-a2b4-62568f530a39	Sölvesborg Municipality	Sölvesborg Municipality	4	0	2013-07-16 12:44:35.976391+02	\N	\N	\N	\N	\N	\N	f	
13205	4aee35a7-d55b-4bf6-8337-c8810537c96c	Berg Municipality	Berg Municipality	4	0	2013-07-16 12:55:49.569957+02	\N	\N	\N	\N	\N	\N	f	
14139	a3f30423-725d-4379-8eb1-115c9db1c30e	Morro d'Alba	Morro d'Alba	4	0	2013-07-21 20:31:49.789498+02	\N	\N	\N	\N	\N	\N	f	
15926	0c83d36f-d031-4f31-9bac-bfefe3149fa9	Urtijëi	Urtijëi	4	0	2013-07-22 02:31:16.348223+02	\N	\N	\N	\N	\N	\N	f	
14219	44e37bc2-a0f3-4d33-a69a-189bb6f71283	Foggia	Foggia	4	0	2013-07-21 20:49:29.983157+02	\N	\N	\N	\N	\N	\N	f	
14708	36477bfc-85db-40c5-814d-aa7699d912d6	Candelo	Candelo	4	0	2013-07-21 22:38:15.696103+02	\N	\N	\N	\N	\N	\N	f	
15349	386381e6-e443-40c7-9ce6-e5cd480d4de2	Pitigliano	Pitigliano	4	0	2013-07-22 00:25:37.650781+02	\N	\N	\N	\N	\N	\N	f	
15972	3421580a-a428-4d47-a170-f4dafa73ba47	Fontanigorda	Fontanigorda	4	0	2013-07-22 02:37:15.987358+02	\N	\N	\N	\N	\N	\N	f	
15413	9ea08223-5e47-41cd-800d-377067b68fa2	Villa Basilica	Villa Basilica	4	0	2013-07-22 00:40:04.383887+02	\N	\N	\N	\N	\N	\N	f	
17843	9be20422-3a36-4021-a2e3-4c3f84f8231c	Madesimo	Madesimo	4	0	2013-07-22 07:17:21.124694+02	\N	\N	\N	\N	\N	\N	f	
15986	35e27d11-e59a-4e5b-a5b1-ec8e916cf333	Rossiglione	Rossiglione	4	0	2013-07-22 02:38:49.194287+02	\N	\N	\N	\N	\N	\N	f	
16771	49bb5ff5-43d5-4339-af97-eab20e76786e	Santa Croce Camerina	Santa Croce Camerina	4	0	2013-07-22 04:33:03.40193+02	\N	\N	\N	\N	\N	\N	f	
21321	13240732-c925-4cf1-8991-5b21cc045957	Pievebovigliana	Pievebovigliana	4	0	2013-07-24 02:55:23.531402+02	\N	\N	\N	\N	\N	\N	f	
16792	727ba1ee-e3c8-4bcf-8112-1760563c21ac	Padru	Padru	4	0	2013-07-22 04:38:20.1785+02	\N	\N	\N	\N	\N	\N	f	
20142	f5ca939e-df3b-417a-883b-ae3a849e6515	Zoppola	Zoppola	4	0	2013-07-22 17:33:42.604585+02	\N	\N	\N	\N	\N	\N	f	
18055	86c7906f-a876-4756-819d-ecb46946d7ee	Magnacavallo	Magnacavallo	4	0	2013-07-22 07:42:37.360472+02	\N	\N	\N	\N	\N	\N	f	
21916	d3a7fc70-2721-4a3e-a0ed-38fad0a9dba4	Laurel	Laurel	3	0	2013-08-06 02:27:19.657663+02	\N	\N	\N	\N	\N	\N	f	
18819	75f112fc-5909-46f9-b8e4-083a21199a77	Mareno di Piave	Mareno di Piave	4	0	2013-07-22 09:18:02.017191+02	\N	\N	\N	\N	\N	\N	f	
20194	0807c75d-f59b-44cd-93fe-6027112a1c6e	Martignacco	Martignacco	4	0	2013-07-22 17:45:46.876531+02	\N	\N	\N	\N	\N	\N	f	
21068	812cbb26-d678-4e51-a331-3424c00ddfe4	Visciano	Visciano	4	0	2013-07-23 20:44:45.650044+02	\N	\N	\N	\N	\N	\N	f	
18896	158e99cb-1641-4631-a403-3456cb12332c	Butera, Sicily	Butera, Sicily	4	0	2013-07-22 09:27:18.656844+02	\N	\N	\N	\N	\N	\N	f	
18917	0314adb1-8ba9-44e9-9b6b-dd46eee8b3ea	Licodia Eubea	Licodia Eubea	4	0	2013-07-22 09:30:13.9328+02	\N	\N	\N	\N	\N	\N	f	
20209	21c0160d-a312-4761-ac91-dbf836b151f8	Sutrio	Sutrio	4	0	2013-07-22 17:49:06.042414+02	\N	\N	\N	\N	\N	\N	f	
21370	7be449f4-bc17-42a9-ab04-5895583effbd	Burolo	Burolo	4	0	2013-07-24 05:46:06.232188+02	\N	\N	\N	\N	\N	\N	f	
20966	f50524a7-3672-4bbe-91bb-af25b867f6a2	Tora e Piccilli	Tora e Piccilli	4	0	2013-07-23 17:40:21.481468+02	\N	\N	\N	\N	\N	\N	f	
20972	c60a04e4-e5b4-403c-83c6-01797eaa8d38	Asti	Asti	4	0	2013-07-23 17:41:57.544507+02	\N	\N	\N	\N	\N	\N	f	
20993	9b661df6-fc1a-48fc-ad74-11d248a90b2d	Pordenone	Pordenone	4	0	2013-07-23 17:47:48.744565+02	\N	\N	\N	\N	\N	\N	f	
21474	ba7e95c8-4c04-434b-b375-7f3d380894c2	Frassinetto	Frassinetto	4	0	2013-07-24 08:46:08.664644+02	\N	\N	\N	\N	\N	\N	f	
21004	a6f646f9-cd50-465d-af09-e916905a76f4	Boscoreale	Boscoreale	4	0	2013-07-23 17:50:16.031286+02	\N	\N	\N	\N	\N	\N	f	
21067	3d95f038-ed96-4b4d-b013-3f054758f37b	Sant'Antimo	Sant'Antimo	4	0	2013-07-23 20:44:32.865215+02	\N	\N	\N	\N	\N	\N	f	
21750	9a922f76-232b-45c9-bfab-a5789b07d2d4	Shishmaref	Shishmaref	3	0	2013-07-28 17:34:22.435895+02	\N	\N	\N	\N	\N	\N	f	
21096	f5e52a3b-c58e-4c3b-9e49-5ce80f299440	Loro Piceno	Loro Piceno	4	0	2013-07-23 20:51:22.900135+02	\N	\N	\N	\N	\N	\N	f	
21567	e92858dc-7f3a-46e0-af16-14b1ce117851	Serravalle di Chienti	Serravalle di Chienti	4	0	2013-07-24 11:45:26.951506+02	\N	\N	\N	\N	\N	\N	f	
21178	cec1b74b-49bb-4740-81cc-bb48b74bf697	Laurino	Laurino	4	0	2013-07-23 23:45:36.833545+02	\N	\N	\N	\N	\N	\N	f	
21184	bd231539-15a9-4f40-a642-b89a0229ff42	Moio della Civitella	Moio della Civitella	4	0	2013-07-23 23:46:55.352658+02	\N	\N	\N	\N	\N	\N	f	
21291	4a215fb7-ec45-4263-88ab-d85c69000592	Scarperia	Scarperia	4	0	2013-07-24 02:49:05.375756+02	\N	\N	\N	\N	\N	\N	f	
21917	606b0327-bfcb-46ad-876c-b38d14ce615e	Adams, Oregon	Adams, Oregon	3	0	2013-08-06 08:23:47.804558+02	\N	\N	\N	\N	\N	\N	f	
21302	a6337386-14b1-4e72-aba7-ff5b8326326d	Montaione	Montaione	4	0	2013-07-24 02:51:21.775721+02	\N	\N	\N	\N	\N	\N	f	
21769	9f172920-97d3-4002-ad9f-e6ef01e7bc83	Rainier	Rainier	3	0	2013-07-29 05:20:51.842605+02	\N	\N	\N	\N	\N	\N	f	
21319	8ca15f3b-aa0c-43a3-a0bc-2fc1e9acf405	Recanati	Recanati	4	0	2013-07-24 02:54:59.143061+02	\N	\N	\N	\N	\N	\N	f	
21579	69a35c94-2f97-4436-afaa-76dc29663cbf	Marzabotto	Marzabotto	4	0	2013-07-24 11:47:59.015344+02	\N	\N	\N	\N	\N	\N	f	
21806	fa1a77a8-6067-4f6b-b206-58c8b4c87298	Sandpoint	Sandpoint	3	0	2013-07-31 05:35:29.717552+02	\N	\N	\N	\N	\N	\N	f	
21580	75178e5a-9625-48ba-b8fd-4b26203d5caa	Pieve di Cento	Pieve di Cento	4	0	2013-07-24 11:48:11.709793+02	\N	\N	\N	\N	\N	\N	f	
21633	48eaed3a-00ca-4fd3-85f8-fb9ee88aa1ae	Argenta, Emilia–Romagna	Argenta, Emilia–Romagna	4	0	2013-07-24 14:38:08.7725+02	\N	\N	\N	\N	\N	\N	f	
21975	0ad25df4-d937-4891-88f0-76406e97f465	Filderstadt	Filderstadt	3	0	2013-08-06 23:31:20.153212+02	\N	\N	\N	\N	\N	\N	f	
21922	2fa44418-cb93-4f19-b221-3c28055c534f	La Grande	La Grande	3	0	2013-08-06 11:19:18.910975+02	\N	\N	\N	\N	\N	\N	f	
21837	335f4563-412c-4be8-a472-94f5ccc85e1a	Bowie	Bowie	3	0	2013-08-02 11:34:05.46268+02	\N	\N	\N	\N	\N	\N	f	
21944	8d722ad7-4d39-414a-8dec-0b0f0be96bb5	Gardena, North Dakota	Gardena, North Dakota	3	0	2013-08-06 11:31:38.748117+02	\N	\N	\N	\N	\N	\N	f	
21876	a55188f6-e976-499b-97b2-735985458216	Dayton	Dayton	3	0	2013-08-05 08:28:07.914566+02	\N	\N	\N	\N	\N	\N	f	
21903	c843d922-ccea-41f4-9ccb-a45f5861cd46	Greensburg	Greensburg	3	0	2013-08-05 23:22:41.160805+02	\N	\N	\N	\N	\N	\N	f	
21998	4c1068f7-cbc3-4dae-bdb2-696f80eedd40	Kalona	Kalona	3	0	2013-08-07 14:17:09.645575+02	\N	\N	\N	\N	\N	\N	f	
21961	a71ee09d-2d9e-4022-814d-477e601ca9af	Wallowa, Oregon	Wallowa, Oregon	3	0	2013-08-06 14:22:22.853965+02	\N	\N	\N	\N	\N	\N	f	
21972	c43cbd0f-4b0b-4c4c-b3ae-902b681f7266	Alcester	Alcester	3	0	2013-08-06 17:22:02.95033+02	\N	\N	\N	\N	\N	\N	f	
21976	9b01989e-9872-4a53-8f8b-c7d2be24ee84	Saint-Pascal	Saint-Pascal	3	0	2013-08-07 11:18:37.909822+02	\N	\N	\N	\N	\N	\N	f	
24436	d0410bd1-b8e6-4a70-bac5-2a2fc9a95f1b	Lake City, Georgia	Lake City, Georgia	3	0	2013-09-07 06:44:43.338862+02	\N	\N	\N	\N	\N	\N	f	
21985	e6de8950-cfb1-4765-b0cc-af137f2c54c9	Richelieu	Richelieu	3	0	2013-08-07 11:21:21.552393+02	\N	\N	\N	\N	\N	\N	f	
24126	1c1b9445-25a2-4a6d-9266-7fc5c731f64d	Fulton	Fulton	3	0	2013-09-07 02:52:44.169817+02	\N	\N	\N	\N	\N	\N	f	
24385	6f6e51a0-3bab-491a-9cd5-e21664339635	Woodville, Georgia	Woodville, Georgia	3	0	2013-09-07 06:32:18.502288+02	\N	\N	\N	\N	\N	\N	f	
24403	f7667c31-e848-44c0-8937-d45d0dfb2343	Meansville, Georgia	Meansville, Georgia	3	0	2013-09-07 06:36:47.607322+02	\N	\N	\N	\N	\N	\N	f	
24443	2a8c97c7-b63a-4aad-8eff-46ed8cae262f	Locust Grove, Georgia	Locust Grove, Georgia	3	0	2013-09-07 06:46:24.160683+02	\N	\N	\N	\N	\N	\N	f	
24512	1afc119b-c060-43f5-80a5-a70268f68013	Flovilla	Flovilla	3	0	2013-09-07 07:04:31.879632+02	\N	\N	\N	\N	\N	\N	f	
24903	1fed63ce-c57c-4514-a363-85aa7c2f632b	Rudd	Rudd	3	0	2013-09-07 09:04:24.058477+02	\N	\N	\N	\N	\N	\N	f	
24944	f2f169a6-ce0e-44f7-9fb2-155ad895d4ce	Emporia	Emporia	3	0	2013-09-07 09:23:01.49835+02	\N	\N	\N	\N	\N	\N	f	
25441	91586f82-2741-4042-9500-7401608d3811	Badger, Iowa	Badger, Iowa	3	0	2013-09-07 11:51:06.93206+02	\N	\N	\N	\N	\N	\N	f	
25451	8ec53063-85b9-4524-a5d8-baca1e0622e5	Carlton, Kansas	Carlton, Kansas	3	0	2013-09-07 11:53:26.717321+02	\N	\N	\N	\N	\N	\N	f	
25455	38d63e10-d690-4bae-ada3-22ff85156821	Kincaid	Kincaid	3	0	2013-09-07 11:54:26.04657+02	\N	\N	\N	\N	\N	\N	f	
28950	c86dd69c-05c5-48bd-b258-74d3500fc05b	Portland	Portland	3	0	2013-09-09 01:37:41.04595+02	\N	\N	\N	\N	\N	\N	f	
28321	c49f2be9-3e25-4d63-9e8e-7a938fb9cb3d	Luttrell	Luttrell	3	0	2013-09-08 16:50:06.654347+02	\N	\N	\N	\N	\N	\N	f	
13154	f0557b32-e110-4865-a6ba-09a9b122aaad	Nordanstig Municipality	Nordanstig Municipality	4	0	2013-07-16 12:41:18.488862+02	\N	\N	\N	\N	\N	\N	f	
14138	2ec834a3-1c7f-4de8-87e3-f462121fe94b	Castelleone di Suasa	Castelleone di Suasa	4	0	2013-07-21 20:31:38.186622+02	\N	\N	\N	\N	\N	\N	f	
14169	e2c381b3-235b-436e-9927-2d49c7ed7072	Senigallia	Senigallia	4	0	2013-07-21 20:38:55.045093+02	\N	\N	\N	\N	\N	\N	f	
15931	22a496d8-5c7c-4743-ab27-e2bc0ebaa68c	Caderzone	Caderzone	4	0	2013-07-22 02:31:55.230789+02	\N	\N	\N	\N	\N	\N	f	
14170	56bcd254-404d-45e2-b35c-cbe61ba34d0d	Cori, Lazio	Cori, Lazio	4	0	2013-07-21 20:39:06.966205+02	\N	\N	\N	\N	\N	\N	f	
14277	a736bb1a-a553-437f-8971-7e41b2a1d2a2	Capoliveri	Capoliveri	4	0	2013-07-21 21:03:01.561087+02	\N	\N	\N	\N	\N	\N	f	
14375	fbbe030e-c496-4f1a-9297-623d63db682b	Alluvioni Cambiò	Alluvioni Cambiò	4	0	2013-07-21 21:23:59.000024+02	\N	\N	\N	\N	\N	\N	f	
15950	09f309e0-5f28-4871-88b5-4c95d9884ba1	Carisolo	Carisolo	4	0	2013-07-22 02:34:32.726708+02	\N	\N	\N	\N	\N	\N	f	
14709	3c2c819c-f861-4b8c-8b3c-38ebe55a637b	Lessona	Lessona	4	0	2013-07-21 22:38:32.519845+02	\N	\N	\N	\N	\N	\N	f	
14710	312155c0-2cad-4bbc-a003-75b326c0cc71	Cavaglià	Cavaglià	4	0	2013-07-21 22:38:49.129671+02	\N	\N	\N	\N	\N	\N	f	
21962	a799e39e-a95d-482d-9102-730698d437c6	North Powder, Oregon	North Powder, Oregon	3	0	2013-08-06 14:24:07.786603+02	\N	\N	\N	\N	\N	\N	f	
14754	e94db5bc-d807-4982-9621-50c8e732f9fa	Zumaglia	Zumaglia	4	0	2013-07-21 22:48:29.805094+02	\N	\N	\N	\N	\N	\N	f	
16774	28543b2b-61e1-459e-8dd9-36b61a2c9911	Ussassai	Ussassai	4	0	2013-07-22 04:33:48.256801+02	\N	\N	\N	\N	\N	\N	f	
14808	575a665f-cbaa-4a89-ba5d-18040f0e57f2	Bidonì	Bidonì	4	0	2013-07-21 23:00:20.945931+02	\N	\N	\N	\N	\N	\N	f	
14811	84e4c83d-a8d5-4201-9442-2f98e902f3ac	Arcidosso	Arcidosso	4	0	2013-07-21 23:00:56.092362+02	\N	\N	\N	\N	\N	\N	f	
14843	815077fa-a614-4c01-8a45-b0e0c7e9dc00	Cardè	Cardè	4	0	2013-07-21 23:08:28.337434+02	\N	\N	\N	\N	\N	\N	f	
16917	c4c5eae2-c246-4fe3-a437-c5ca154e3f39	Galliera Veneta	Galliera Veneta	4	0	2013-07-22 05:09:52.038754+02	\N	\N	\N	\N	\N	\N	f	
15351	1e6105f7-3492-42a2-a8bd-9bdbe92d09e6	Scarlino	Scarlino	4	0	2013-07-22 00:26:01.057476+02	\N	\N	\N	\N	\N	\N	f	
18859	cb880f96-0229-482f-9cb2-5908c30c45ac	Dolo	Dolo	4	0	2013-07-22 09:22:36.326921+02	\N	\N	\N	\N	\N	\N	f	
20146	d7ade0eb-3fb1-49b9-8572-1f8f710d4e22	Fiumicello	Fiumicello	4	0	2013-07-22 17:34:31.355167+02	\N	\N	\N	\N	\N	\N	f	
18872	a5a3a3c4-bfd3-4954-a96a-33daed67a34f	Lenno	Lenno	4	0	2013-07-22 09:24:19.020435+02	\N	\N	\N	\N	\N	\N	f	
18897	07bbbf5a-164c-4d38-b0c1-763057341f93	Rovellasca	Rovellasca	4	0	2013-07-22 09:27:23.207982+02	\N	\N	\N	\N	\N	\N	f	
21641	0c0156c3-9705-49b5-8369-9959fa50cbdf	None	None	4	0	2013-07-24 14:40:01.600493+02	\N	\N	\N	\N	\N	\N	f	
20173	89576ca2-5021-408d-bb9e-6ffc9ca79d60	Preone	Preone	4	0	2013-07-22 17:41:14.432918+02	\N	\N	\N	\N	\N	\N	f	
24387	e1a194a6-e61f-4352-9f11-309955121e4d	Statham, Georgia	Statham, Georgia	3	0	2013-09-07 06:32:50.810182+02	\N	\N	\N	\N	\N	\N	f	
20215	9881f0f6-d2bb-4bfb-93d2-97863ff3d5d0	Zuglio	Zuglio	4	0	2013-07-22 17:51:09.249218+02	\N	\N	\N	\N	\N	\N	f	
20967	3f047d27-7414-4920-b3e7-da66bcd8fae6	Villa di Briano	Villa di Briano	4	0	2013-07-23 17:40:34.069265+02	\N	\N	\N	\N	\N	\N	f	
21973	6235666f-877a-4b6a-9746-f54e189336ff	Highmore	Highmore	3	0	2013-08-06 17:23:46.048294+02	\N	\N	\N	\N	\N	\N	f	
21751	38ad2033-2454-4262-83d4-97a3638dc59a	Anaktuvuk Pass	Anaktuvuk Pass	3	0	2013-07-28 17:34:36.693133+02	\N	\N	\N	\N	\N	\N	f	
21179	0c834c61-2763-4add-a569-f6ace3331b3e	Futani	Futani	4	0	2013-07-23 23:45:51.424192+02	\N	\N	\N	\N	\N	\N	f	
21185	342c506e-ddf0-4b0a-ae9f-dfe1d90533a2	Omignano	Omignano	4	0	2013-07-23 23:47:20.450412+02	\N	\N	\N	\N	\N	\N	f	
21295	15e8c133-630d-43ed-b43e-15288ff908ec	Montefano	Montefano	4	0	2013-07-24 02:49:56.642865+02	\N	\N	\N	\N	\N	\N	f	
21771	2c8971ee-d4dc-4302-8fa1-e4d3856da99d	Ferndale	Ferndale	3	0	2013-07-29 05:21:19.2217+02	\N	\N	\N	\N	\N	\N	f	
21371	6bf898d4-e412-48b0-bb0d-0be24cb53f3c	Borgone Susa	Borgone Susa	4	0	2013-07-24 05:46:22.036388+02	\N	\N	\N	\N	\N	\N	f	
21373	21bf5c48-44b7-4f00-a75f-509696ae826f	Baldissero Canavese	Baldissero Canavese	4	0	2013-07-24 05:46:59.39747+02	\N	\N	\N	\N	\N	\N	f	
21476	5f882058-ab3d-4916-b928-64c790fc066a	Feletto	Feletto	4	0	2013-07-24 08:46:39.436275+02	\N	\N	\N	\N	\N	\N	f	
21838	ea304583-566a-4940-81e7-9372d1bceac1	Fruitland	Fruitland	3	0	2013-08-02 11:34:22.029978+02	\N	\N	\N	\N	\N	\N	f	
21572	70c51a8b-5dcf-4f73-b066-50da914c9288	Moriondo Torinese	Moriondo Torinese	4	0	2013-07-24 11:46:30.637079+02	\N	\N	\N	\N	\N	\N	f	
21576	8908cfa8-e846-44c5-b133-a0364961dc06	Montalto Dora	Montalto Dora	4	0	2013-07-24 11:47:22.002018+02	\N	\N	\N	\N	\N	\N	f	
21977	f58c2f92-42b8-40e0-92db-c3a2f1ca81d3	Sept-Îles	Sept-Îles	3	0	2013-08-07 11:19:03.220248+02	\N	\N	\N	\N	\N	\N	f	
21603	7c68ec76-7719-4810-8108-2d1d16f5ed2f	Formignana	Formignana	4	0	2013-07-24 11:53:23.635879+02	\N	\N	\N	\N	\N	\N	f	
21877	05aa9b71-b3a8-419f-a1cb-0658e7e1a9da	Cashtown, Pennsylvania	Cashtown, Pennsylvania	3	0	2013-08-05 08:29:44.971065+02	\N	\N	\N	\N	\N	\N	f	
21612	6c35caf5-0a1e-4bd4-b4eb-54f86bb5fe0a	Visso	Visso	4	0	2013-07-24 11:55:22.356639+02	\N	\N	\N	\N	\N	\N	f	
21634	9c3090ed-745f-48d4-bb7d-3b0ee5528f9e	Savigno	Savigno	4	0	2013-07-24 14:38:21.115705+02	\N	\N	\N	\N	\N	\N	f	
21905	87ac8428-db6d-47c2-bd8b-771394b1bb6b	Montpelier, Indiana	Montpelier, Indiana	3	0	2013-08-05 23:26:58.474797+02	\N	\N	\N	\N	\N	\N	f	
21918	2cc145c6-aa37-4326-b81b-842be44860a4	Boardman, Oregon	Boardman, Oregon	3	0	2013-08-06 08:25:11.647261+02	\N	\N	\N	\N	\N	\N	f	
21990	06ac3154-6432-4a78-8622-f25210560245	Asbestos	Asbestos	3	0	2013-08-07 11:33:16.100501+02	\N	\N	\N	\N	\N	\N	f	
21923	049961a0-1008-4619-bd18-477c8e608c78	Gladstone	Gladstone	3	0	2013-08-06 11:20:04.857993+02	\N	\N	\N	\N	\N	\N	f	
21928	dcbaac4e-2e23-46a2-9a3f-9dab2f9b515c	Westhope, North Dakota	Westhope, North Dakota	3	0	2013-08-06 11:23:45.334985+02	\N	\N	\N	\N	\N	\N	f	
24904	cca44011-64cb-4305-8459-33e925a077a3	Stanley	Stanley	3	0	2013-09-07 09:04:38.914614+02	\N	\N	\N	\N	\N	\N	f	
21999	d1d463ef-21ae-4e20-847f-01462e7340e0	Cambridge	Cambridge	3	0	2013-08-07 14:17:35.071997+02	\N	\N	\N	\N	\N	\N	f	
26010	765f25b5-65be-4790-b814-4e50b4f84312	Langdon Place, Kentucky	Langdon Place, Kentucky	3	0	2013-09-07 17:45:31.134649+02	\N	\N	\N	\N	\N	\N	f	
24129	f42dadbe-443f-4105-8e48-8e6625863294	Shoshone	Shoshone	3	0	2013-09-07 02:55:21.584079+02	\N	\N	\N	\N	\N	\N	f	
25442	ed02a393-3dd7-4bb0-a685-14a999a5b1ed	Taylor Mill, Kentucky	Taylor Mill, Kentucky	3	0	2013-09-07 11:51:24.335568+02	\N	\N	\N	\N	\N	\N	f	
24137	a92cc7de-b1c1-48fa-a091-d8f51382741e	Arco	Arco	3	0	2013-09-07 02:57:10.225642+02	\N	\N	\N	\N	\N	\N	f	
25534	0eb9cbba-15a4-46d5-871e-7ee184aae982	Jeanerette, Louisiana	Jeanerette, Louisiana	3	0	2013-09-07 12:50:10.563267+02	\N	\N	\N	\N	\N	\N	f	
26673	150a0b37-e243-4dfd-9cd3-614eccf5a01c	Lakeland, Georgia	Lakeland, Georgia	3	0	2013-09-08 01:59:09.905363+02	\N	\N	\N	\N	\N	\N	f	
25537	28f2bef0-4743-4d86-851e-41b6911fd8a7	Wilson, Kansas	Wilson, Kansas	3	0	2013-09-07 12:51:54.454003+02	\N	\N	\N	\N	\N	\N	f	
26020	8c695343-b9f6-4080-801e-f505477b51c3	South Haven	South Haven	3	0	2013-09-07 17:48:04.65002+02	\N	\N	\N	\N	\N	\N	f	
26366	8febedb7-6cb3-4b28-8ddb-2e2013f587fb	Johnston City	Johnston City	3	0	2013-09-07 23:36:48.754448+02	\N	\N	\N	\N	\N	\N	f	
26659	3f43a5d9-14fe-4d85-8273-605d8e6ff331	Bossier City	Bossier City	3	0	2013-09-08 01:55:25.040614+02	\N	\N	\N	\N	\N	\N	f	
27111	89258fc7-e36f-4f56-b5b3-177a29811495	Lincolnton, North Carolina	Lincolnton, North Carolina	3	0	2013-09-08 05:25:56.819167+02	\N	\N	\N	\N	\N	\N	f	
27143	8bdac869-1738-407e-8d15-74ec78073bd7	Avondale	Avondale	3	0	2013-09-08 05:40:27.83106+02	\N	\N	\N	\N	\N	\N	f	
27449	a4713f04-9c34-4aed-bb1c-1189d1b9e8ea	Inkster, North Dakota	Inkster, North Dakota	3	0	2013-09-08 07:59:40.399154+02	\N	\N	\N	\N	\N	\N	f	
27779	569d619f-9f18-4a6d-853d-c11df211d02d	Snyder, Oklahoma	Snyder, Oklahoma	3	0	2013-09-08 09:51:46.171619+02	\N	\N	\N	\N	\N	\N	f	
27788	e14b7251-a991-469f-81c0-fecb24f9b1bf	Plains, Kansas	Plains, Kansas	3	0	2013-09-08 09:57:45.898759+02	\N	\N	\N	\N	\N	\N	f	
27862	741abc0f-81e4-441b-aab4-825f61bcf3ee	Fort Calhoun	Fort Calhoun	3	0	2013-09-08 10:17:20.411589+02	\N	\N	\N	\N	\N	\N	f	
27869	b99f982f-2d18-42c8-b4f5-55045fd2923e	La Grange	La Grange	3	0	2013-09-08 10:19:13.871696+02	\N	\N	\N	\N	\N	\N	f	
28105	7149b747-0864-4053-b859-64c8798f9c0a	Beaver Falls	Beaver Falls	3	0	2013-09-08 14:19:51.734906+02	\N	\N	\N	\N	\N	\N	f	
28124	e9183336-5bc8-475b-aa16-04bb76503a71	Velsk	Velsk	3	0	2013-09-08 14:24:37.727156+02	\N	\N	\N	\N	\N	\N	f	
13155	5d0414c0-d3d7-42d4-87b2-4d22de8dad48	Krokom Municipality	Krokom Municipality	4	0	2013-07-16 12:41:30.690707+02	\N	\N	\N	\N	\N	\N	f	
13156	fc3cc000-ecf2-4925-ae49-2f6a342cd243	Nordmaling Municipality	Nordmaling Municipality	4	0	2013-07-16 12:41:42.069568+02	\N	\N	\N	\N	\N	\N	f	
13157	b4988242-f598-44f3-ba2a-42f41cc89be0	Kävlinge Municipality	Kävlinge Municipality	4	0	2013-07-16 12:41:54.045682+02	\N	\N	\N	\N	\N	\N	f	
14144	cdc9b396-dd26-46a6-9034-bcbb4c1b0622	Rosora	Rosora	4	0	2013-07-21 20:32:52.58377+02	\N	\N	\N	\N	\N	\N	f	
13159	07492527-73ee-4b7f-aa24-ee5ef99cad45	Ragunda Municipality	Ragunda Municipality	4	0	2013-07-16 12:42:17.08304+02	\N	\N	\N	\N	\N	\N	f	
13161	4fd56085-448e-48ac-929f-bf003dd4e41d	Mörbylånga Municipality	Mörbylånga Municipality	4	0	2013-07-16 12:42:40.125945+02	\N	\N	\N	\N	\N	\N	f	
13164	a09a9f3a-1d67-4e6c-a315-2d6316736db4	Syddjurs Municipality	Syddjurs Municipality	4	0	2013-07-16 12:43:14.815034+02	\N	\N	\N	\N	\N	\N	f	
14290	32f58068-259e-4b0f-ba2e-fa86196eea1c	Bagnoregio	Bagnoregio	4	0	2013-07-21 21:05:34.359642+02	\N	\N	\N	\N	\N	\N	f	
15935	1da4029f-4fff-4601-9c7b-02cacd577e3a	Calavino	Calavino	4	0	2013-07-22 02:32:25.608044+02	\N	\N	\N	\N	\N	\N	f	
14298	cb0f5e3f-956e-4920-8b28-75842fb4eab7	San Vincenzo, Tuscany	San Vincenzo, Tuscany	4	0	2013-07-21 21:07:08.097018+02	\N	\N	\N	\N	\N	\N	f	
14301	c40b14b1-7463-4275-aa32-b6b49a80cf7d	Portoferraio	Portoferraio	4	0	2013-07-21 21:07:43.018404+02	\N	\N	\N	\N	\N	\N	f	
14712	2eb83fc3-1a9c-4992-98e3-9980c402e8a8	Campiglia Cervo	Campiglia Cervo	4	0	2013-07-21 22:39:19.38567+02	\N	\N	\N	\N	\N	\N	f	
15936	e3db1460-616f-42ec-a112-d36bdb46f4e2	Canal San Bovo	Canal San Bovo	4	0	2013-07-22 02:32:41.032039+02	\N	\N	\N	\N	\N	\N	f	
15352	4e9d056c-9a5d-4b55-97ce-b8f51c50ff3a	Scansano	Scansano	4	0	2013-07-22 00:26:12.705377+02	\N	\N	\N	\N	\N	\N	f	
17845	451a07e5-32e4-4c4a-8d43-b25a3d373e18	Zavattarello	Zavattarello	4	0	2013-07-22 07:17:33.307561+02	\N	\N	\N	\N	\N	\N	f	
15970	ea52be83-f139-4cec-af62-310ee2ad6039	Rondanina	Rondanina	4	0	2013-07-22 02:37:01.87619+02	\N	\N	\N	\N	\N	\N	f	
16002	00bc19ff-bb98-40bf-9be5-ef440469624a	Chiavari	Chiavari	4	0	2013-07-22 02:40:45.780208+02	\N	\N	\N	\N	\N	\N	f	
24179	4b83d515-5599-4e48-b49b-92ec8fcc7219	Helen, Georgia	Helen, Georgia	3	0	2013-09-07 03:07:28.820738+02	\N	\N	\N	\N	\N	\N	f	
16003	1426e76a-f2ef-4935-b5b0-b24057ec16bd	Sori, Liguria	Sori, Liguria	4	0	2013-07-22 02:40:48.197281+02	\N	\N	\N	\N	\N	\N	f	
18870	312bb5cb-8bb1-4b53-aa00-b4fa2c9a76da	Sona	Sona	4	0	2013-07-22 09:23:54.314395+02	\N	\N	\N	\N	\N	\N	f	
16034	6e2a1d6b-0928-4a64-9c55-a1dbbe284bb7	San Colombano Certénoli	San Colombano Certénoli	4	0	2013-07-22 02:44:45.714692+02	\N	\N	\N	\N	\N	\N	f	
16052	1b43a9fb-ae3c-41fe-b8b5-ed32468488bb	Bordighera	Bordighera	4	0	2013-07-22 02:47:03.224448+02	\N	\N	\N	\N	\N	\N	f	
20148	bf7f103e-d73f-4a06-a204-72b6541aa822	Cervignano del Friuli	Cervignano del Friuli	4	0	2013-07-22 17:34:55.340225+02	\N	\N	\N	\N	\N	\N	f	
16775	5997bc94-1572-49d9-a1ad-1b845dc425f0	Acquaviva Platani	Acquaviva Platani	4	0	2013-07-22 04:34:01.923584+02	\N	\N	\N	\N	\N	\N	f	
18946	5a97b6ac-c1ac-4953-8029-efd3466cb66c	Castel di Iudica	Castel di Iudica	4	0	2013-07-22 09:33:16.88422+02	\N	\N	\N	\N	\N	\N	f	
21663	3afbcd57-a7a1-43e2-90ab-6e75604c01e1	Pecco	Pecco	4	0	2013-07-24 14:46:19.787928+02	\N	\N	\N	\N	\N	\N	f	
20165	08578d41-84f4-4a92-8da6-dbc7d403627d	Lauco	Lauco	4	0	2013-07-22 17:38:35.250062+02	\N	\N	\N	\N	\N	\N	f	
20172	9bb3eefd-129e-433c-a8b1-cd095ad5e55d	Moggio Udinese	Moggio Udinese	4	0	2013-07-22 17:40:55.485909+02	\N	\N	\N	\N	\N	\N	f	
21974	a32b502d-42a3-437f-9844-ecaad58e9633	Philip	Philip	3	0	2013-08-06 17:31:13.785461+02	\N	\N	\N	\N	\N	\N	f	
20970	c5831d8e-d564-4355-9155-fef2e521f261	Cuneo	Cuneo	4	0	2013-07-23 17:41:26.555657+02	\N	\N	\N	\N	\N	\N	f	
21752	313954e3-9c89-4ce9-8e85-709c62705a4c	Seward	Seward	3	0	2013-07-28 17:34:58.744741+02	\N	\N	\N	\N	\N	\N	f	
21478	e495531b-0df2-4d79-a870-c075621bc400	Cuorgnè	Cuorgnè	4	0	2013-07-24 08:47:26.948317+02	\N	\N	\N	\N	\N	\N	f	
21069	1469b42a-5e33-4c4c-8688-a7d99d56e1f9	San Giuseppe Vesuviano	San Giuseppe Vesuviano	4	0	2013-07-23 20:44:59.915733+02	\N	\N	\N	\N	\N	\N	f	
21180	77611316-484a-4ef2-866b-d5094221c51c	Montecorice	Montecorice	4	0	2013-07-23 23:46:06.241496+02	\N	\N	\N	\N	\N	\N	f	
21303	e4b72d82-9e73-43e8-a2bf-53b7a51765fd	Morrovalle	Morrovalle	4	0	2013-07-24 02:51:33.635269+02	\N	\N	\N	\N	\N	\N	f	
21772	751ba8a5-e338-401f-a7b3-99fe6dd10f8d	Edgewood	Edgewood	3	0	2013-07-29 05:21:36.214413+02	\N	\N	\N	\N	\N	\N	f	
21372	04678a3a-9dba-432d-9651-81eaad4da21a	Abbadia San Salvatore	Abbadia San Salvatore	4	0	2013-07-24 05:46:40.538041+02	\N	\N	\N	\N	\N	\N	f	
21411	16d0be9d-09a2-4819-8a7c-5a57ff81acad	Cambiano	Cambiano	4	0	2013-07-24 05:55:37.994971+02	\N	\N	\N	\N	\N	\N	f	
21477	c4794675-b53e-44f6-98b6-f09edd7a6d0d	Fiano	Fiano	4	0	2013-07-24 08:47:03.437176+02	\N	\N	\N	\N	\N	\N	f	
21840	7e6c456a-36ae-4560-bc38-a4ce7680ff27	Pocomoke City	Pocomoke City	3	0	2013-08-02 11:34:50.455392+02	\N	\N	\N	\N	\N	\N	f	
21573	b58f8e2f-95a5-4470-b67a-d7982142b224	Dozza	Dozza	4	0	2013-07-24 11:46:43.707721+02	\N	\N	\N	\N	\N	\N	f	
21575	8f90fea8-a316-41fd-ac68-14ab5c3fdb08	Galliera	Galliera	4	0	2013-07-24 11:47:10.087596+02	\N	\N	\N	\N	\N	\N	f	
21978	4f0344f5-c4b2-42d4-a0cd-45b890811961	La Prairie	La Prairie	3	0	2013-08-07 11:19:22.780561+02	\N	\N	\N	\N	\N	\N	f	
21581	56e3ac54-8e0b-4297-9784-bea1e32c0337	Grizzana Morandi	Grizzana Morandi	4	0	2013-07-24 11:48:23.674491+02	\N	\N	\N	\N	\N	\N	f	
21878	999ef5bb-bd67-4d5b-8da1-d92a7cf4e825	Mentor, Ohio	Mentor, Ohio	3	0	2013-08-05 08:30:54.390388+02	\N	\N	\N	\N	\N	\N	f	
21635	05363653-ea0a-4495-b9be-c2347214858f	San Giorgio di Piano	San Giorgio di Piano	4	0	2013-07-24 14:38:33.385703+02	\N	\N	\N	\N	\N	\N	f	
21906	dd370be3-aaea-4832-a847-b283c34f5eeb	Batesville, Indiana	Batesville, Indiana	3	0	2013-08-05 23:27:56.045879+02	\N	\N	\N	\N	\N	\N	f	
21919	47bd9657-aa57-43e1-8d35-fd4b1dc9d70c	Athena, Oregon	Athena, Oregon	3	0	2013-08-06 08:25:42.254577+02	\N	\N	\N	\N	\N	\N	f	
22000	8918112f-93ec-45f1-a01a-1c90a5f23bf0	Norwalk	Norwalk	3	0	2013-08-07 14:18:41.698384+02	\N	\N	\N	\N	\N	\N	f	
21924	fff4d06c-696e-4ea1-81eb-7da50df141db	Lonerock, Oregon	Lonerock, Oregon	3	0	2013-08-06 11:20:51.642491+02	\N	\N	\N	\N	\N	\N	f	
21963	a7fcd1e9-d7e2-4fcf-a25c-8286daed6ba8	Summerville, Oregon	Summerville, Oregon	3	0	2013-08-06 14:25:19.983294+02	\N	\N	\N	\N	\N	\N	f	
24196	08976346-062e-4999-81bb-5d2cb78426cb	Cornelia, Georgia	Cornelia, Georgia	3	0	2013-09-07 03:12:22.224625+02	\N	\N	\N	\N	\N	\N	f	
22002	ade0d02d-62ef-4ebd-98d8-0ac352b95897	Mason City	Mason City	3	0	2013-08-07 14:20:00.458142+02	\N	\N	\N	\N	\N	\N	f	
25536	002d11c3-c63a-4ae1-ad32-0fb6ef0c9b8c	Treynor, Iowa	Treynor, Iowa	3	0	2013-09-07 12:51:37.81812+02	\N	\N	\N	\N	\N	\N	f	
24132	21c67d3c-fff9-4560-81d1-619cad6e3634	Hansen	Hansen	3	0	2013-09-07 02:56:02.179927+02	\N	\N	\N	\N	\N	\N	f	
24905	dd66ab0e-e59a-4369-ac99-e9df185af2f0	Shelby	Shelby	3	0	2013-09-07 09:04:54.347415+02	\N	\N	\N	\N	\N	\N	f	
24148	6844123b-6e2c-4a5a-bd5a-079615f5dc8b	Teton	Teton	3	0	2013-09-07 02:59:39.91259+02	\N	\N	\N	\N	\N	\N	f	
24388	98ac034c-3609-4cb8-8fb6-90320ff12e0e	Baconton, Georgia	Baconton, Georgia	3	0	2013-09-07 06:33:04.858235+02	\N	\N	\N	\N	\N	\N	f	
25582	430dc822-b243-4c99-bbbd-e43dd8e4e558	Leonardville, Kansas	Leonardville, Kansas	3	0	2013-09-07 13:04:11.109959+02	\N	\N	\N	\N	\N	\N	f	
25443	92a6774f-eeab-4c24-b921-fc5b78d90286	Harveyville, Kansas	Harveyville, Kansas	3	0	2013-09-07 11:51:37.8711+02	\N	\N	\N	\N	\N	\N	f	
25570	c946d671-1649-4988-ad05-6940304400d3	Jetmore, Kansas	Jetmore, Kansas	3	0	2013-09-07 13:01:05.012639+02	\N	\N	\N	\N	\N	\N	f	
26012	9b3082c0-76d4-4861-a48d-a76106be0e32	Kensington	Kensington	3	0	2013-09-07 17:46:01.211693+02	\N	\N	\N	\N	\N	\N	f	
26079	2abc291a-84e5-4ae3-9b8e-5f30d8d3e6ac	Flemingsburg, Kentucky	Flemingsburg, Kentucky	3	0	2013-09-07 18:04:41.804759+02	\N	\N	\N	\N	\N	\N	f	
26080	0d62fa07-505c-45f8-84a2-96d939b67ffe	Russell, Kentucky	Russell, Kentucky	3	0	2013-09-07 18:04:57.011947+02	\N	\N	\N	\N	\N	\N	f	
26084	dbfdb6f3-7912-4673-9cf6-d28b6926fe4b	Cold Spring, Kentucky	Cold Spring, Kentucky	3	0	2013-09-07 18:06:02.884384+02	\N	\N	\N	\N	\N	\N	f	
26368	4fa4e326-069d-4c62-8347-06bf3a0eeade	Palos Heights	Palos Heights	3	0	2013-09-07 23:37:18.837937+02	\N	\N	\N	\N	\N	\N	f	
26660	d8104559-4fa5-4b55-80cc-bf64293103ec	Bremen, Kentucky	Bremen, Kentucky	3	0	2013-09-08 01:55:39.48402+02	\N	\N	\N	\N	\N	\N	f	
26702	d05d7899-27f5-4276-9641-9197ac64701e	Forest, Mississippi	Forest, Mississippi	3	0	2013-09-08 02:32:26.070051+02	\N	\N	\N	\N	\N	\N	f	
26706	9d377cd9-74a6-4a98-bc0c-0c9033cb554d	Fulton, Kansas	Fulton, Kansas	3	0	2013-09-08 02:33:27.00765+02	\N	\N	\N	\N	\N	\N	f	
13162	370234ee-5a91-45a8-b08c-f19f11635a54	Västervik Municipality	Västervik Municipality	4	0	2013-07-16 12:42:51.687141+02	\N	\N	\N	\N	\N	\N	f	
13163	7409726d-d383-4ea7-8943-eaecc9d25c22	Strömsund Municipality	Strömsund Municipality	4	0	2013-07-16 12:43:03.109625+02	\N	\N	\N	\N	\N	\N	f	
13176	1dd34d4c-8c30-48c5-bc3b-37a2cb7424a7	Ljusdal Municipality	Ljusdal Municipality	4	0	2013-07-16 12:45:35.666012+02	\N	\N	\N	\N	\N	\N	f	
14146	468b1a0b-df3e-4c66-a268-abb7248eb13e	Numana	Numana	4	0	2013-07-21 20:33:17.632047+02	\N	\N	\N	\N	\N	\N	f	
13198	ef3d5697-5784-4a84-99df-23f339cc062e	Bollnäs Municipality	Bollnäs Municipality	4	0	2013-07-16 12:52:08.709663+02	\N	\N	\N	\N	\N	\N	f	
14237	d0c9de57-1765-48c8-9738-9eab0658a403	Exeter	Exeter	3	0	2013-07-21 20:53:03.419351+02	\N	\N	\N	\N	\N	\N	f	
15937	abed1adf-7df3-47b2-8b03-dd4d9619c8cd	Sexten	Sexten	4	0	2013-07-22 02:32:42.012369+02	\N	\N	\N	\N	\N	\N	f	
14719	5a80e68a-5db3-424f-a767-f30d93638eed	Sordevolo	Sordevolo	4	0	2013-07-21 22:41:01.695206+02	\N	\N	\N	\N	\N	\N	f	
14780	d1e6234e-81c1-402b-afc4-31b0378eb2c6	Borgomale	Borgomale	4	0	2013-07-21 22:54:27.250299+02	\N	\N	\N	\N	\N	\N	f	
15355	c1464a3c-4188-42b4-9844-8577d2520241	Monte Argentario	Monte Argentario	4	0	2013-07-22 00:26:47.654936+02	\N	\N	\N	\N	\N	\N	f	
15980	20c1c5fd-d29c-45f2-954d-ea8f474f4067	Bargagli	Bargagli	4	0	2013-07-22 02:38:07.205075+02	\N	\N	\N	\N	\N	\N	f	
17852	caa7b807-fe11-4728-9781-fd2ec4968137	Zerbo	Zerbo	4	0	2013-07-22 07:18:20.757217+02	\N	\N	\N	\N	\N	\N	f	
16061	5de69218-6b4d-4745-ab6d-2f04f4906e54	Cervo, Liguria	Cervo, Liguria	4	0	2013-07-22 02:47:54.305503+02	\N	\N	\N	\N	\N	\N	f	
16776	71155c49-2ddc-43b9-b171-0f4acbaa98b5	Telti	Telti	4	0	2013-07-22 04:34:16.685098+02	\N	\N	\N	\N	\N	\N	f	
16791	cb0f6d26-37b5-44c5-8a8f-ab3dd837be19	Urzulei	Urzulei	4	0	2013-07-22 04:38:04.401135+02	\N	\N	\N	\N	\N	\N	f	
17858	c7e9fb02-7d92-416e-b045-bc4c3746a007	San Cipriano Po	San Cipriano Po	4	0	2013-07-22 07:18:59.819716+02	\N	\N	\N	\N	\N	\N	f	
16904	d796352e-e6f3-4874-94b1-89452afe6aba	Adria	Adria	4	0	2013-07-22 05:06:21.574667+02	\N	\N	\N	\N	\N	\N	f	
20149	f407562d-879a-4e6f-816f-145f699147d4	Drenchia	Drenchia	4	0	2013-07-22 17:35:07.622391+02	\N	\N	\N	\N	\N	\N	f	
17880	a50f86fa-94aa-4397-8d1e-60a6ed46085c	Gais, South Tyrol	Gais, South Tyrol	4	0	2013-07-22 07:21:46.977741+02	\N	\N	\N	\N	\N	\N	f	
17913	21d9660a-183a-4b87-a062-ebc31e74a18e	Cittiglio	Cittiglio	4	0	2013-07-22 07:25:37.05951+02	\N	\N	\N	\N	\N	\N	f	
21753	3a8b4f80-e39e-48b4-833a-cb084b2eb501	Kodiak	Kodiak	3	0	2013-07-28 17:35:16.42823+02	\N	\N	\N	\N	\N	\N	f	
20182	85632b14-1734-4696-96f2-7d13e70be1d9	Raveo	Raveo	4	0	2013-07-22 17:43:18.966461+02	\N	\N	\N	\N	\N	\N	f	
18871	709fa3c4-d86f-4233-922c-afc61c26cf33	Musso	Musso	4	0	2013-07-22 09:24:05.249518+02	\N	\N	\N	\N	\N	\N	f	
18983	2a6fc7b9-cea8-4267-8e3a-d0d982123159	Cavallino-Treporti	Cavallino-Treporti	4	0	2013-07-22 09:38:02.341895+02	\N	\N	\N	\N	\N	\N	f	
22001	354649aa-9f59-401a-95d8-2d091c90a3ad	Stratford	Stratford	3	0	2013-08-07 14:19:18.16332+02	\N	\N	\N	\N	\N	\N	f	
20202	37d4ed07-a43f-4fcf-9a4a-ef8278d97125	Socchieve	Socchieve	4	0	2013-07-22 17:47:36.878203+02	\N	\N	\N	\N	\N	\N	f	
21773	48068aac-f2b3-4d10-99b0-5dabba1c81a9	Kettle Falls	Kettle Falls	3	0	2013-07-29 05:21:48.144628+02	\N	\N	\N	\N	\N	\N	f	
20976	aa8e48ca-1759-41cf-90c2-e11c74ac742a	Pavia	Pavia	4	0	2013-07-23 17:43:20.672991+02	\N	\N	\N	\N	\N	\N	f	
21377	d11020db-c096-4195-a900-ead7fa89ff17	Brosso	Brosso	4	0	2013-07-24 05:48:09.789547+02	\N	\N	\N	\N	\N	\N	f	
21072	b14c30ed-58bf-4584-9557-3e5d06b0d33c	San Sebastiano al Vesuvio	San Sebastiano al Vesuvio	4	0	2013-07-23 20:45:41.035972+02	\N	\N	\N	\N	\N	\N	f	
21117	95f4caaa-a805-4ba2-a09b-87b971ec1b03	Amalfi	Amalfi	4	0	2013-07-23 20:58:19.088407+02	\N	\N	\N	\N	\N	\N	f	
21841	44229610-d828-42b5-973d-30f9f58710e6	Newport	Newport	3	0	2013-08-02 11:35:05.964443+02	\N	\N	\N	\N	\N	\N	f	
21181	408286b1-f28f-4488-a68f-d46c00d0b5b0	Controne	Controne	4	0	2013-07-23 23:46:18.388913+02	\N	\N	\N	\N	\N	\N	f	
21216	0516f017-1dfd-43fd-9ba3-7100a9aa2cdc	Salvitelle	Salvitelle	4	0	2013-07-23 23:53:57.409142+02	\N	\N	\N	\N	\N	\N	f	
21308	7d1ab8c3-7c4c-475e-8ad0-5b5ef952f066	San Casciano in Val di Pesa	San Casciano in Val di Pesa	4	0	2013-07-24 02:52:33.582985+02	\N	\N	\N	\N	\N	\N	f	
21879	65b7270c-a0fc-4688-893c-58761376d484	Niles, Ohio	Niles, Ohio	3	0	2013-08-05 08:31:16.832493+02	\N	\N	\N	\N	\N	\N	f	
21374	e1cf49ee-4cc8-4059-9638-8cfe3dc71f5c	Avigliana	Avigliana	4	0	2013-07-24 05:47:18.942328+02	\N	\N	\N	\N	\N	\N	f	
22008	43ac143c-91b2-4807-8e38-902b1bbce974	Story City, Iowa	Story City, Iowa	3	0	2013-08-07 14:22:40.776975+02	\N	\N	\N	\N	\N	\N	f	
21574	c2285697-92a4-468e-a17b-0e9971411ef6	Malalbergo	Malalbergo	4	0	2013-07-24 11:46:55.894578+02	\N	\N	\N	\N	\N	\N	f	
21907	a634371f-b335-40b4-ad36-ac9f424b1585	Evansville	Evansville	3	0	2013-08-05 23:30:31.317203+02	\N	\N	\N	\N	\N	\N	f	
21586	eecf6055-8555-4986-9bd4-f2811db9682e	Gaggio Montano	Gaggio Montano	4	0	2013-07-24 11:49:28.44729+02	\N	\N	\N	\N	\N	\N	f	
21636	703c3cd8-7738-46a0-ac9c-236087debb3b	Ardesio	Ardesio	4	0	2013-07-24 14:38:48.584078+02	\N	\N	\N	\N	\N	\N	f	
21652	4ab1d8d9-824f-47e7-a712-f9079e1b2c8b	Oglianico	Oglianico	4	0	2013-07-24 14:43:30.131271+02	\N	\N	\N	\N	\N	\N	f	
21920	158ded5a-ac41-42fb-9c58-87d879daeadd	Ashland, Oregon	Ashland, Oregon	3	0	2013-08-06 08:28:34.550928+02	\N	\N	\N	\N	\N	\N	f	
25502	d7aeee21-99d4-474f-8cc2-a8ac9c7f7166	Broad Fields, Kentucky	Broad Fields, Kentucky	3	0	2013-09-07 12:07:01.584943+02	\N	\N	\N	\N	\N	\N	f	
21925	0eda8614-7cb0-4ed4-a1cd-a143d9327bb6	Missoula	Missoula	3	0	2013-08-06 11:21:15.801008+02	\N	\N	\N	\N	\N	\N	f	
24135	3b192992-e4e7-4b49-ad2c-5e88b1621faf	Salmon	Salmon	3	0	2013-09-07 02:56:42.856358+02	\N	\N	\N	\N	\N	\N	f	
21964	2ecdc8b5-7053-4e78-bf97-5227357d7688	Weston, Oregon	Weston, Oregon	3	0	2013-08-06 14:25:49.222496+02	\N	\N	\N	\N	\N	\N	f	
21969	2e699c19-1cf5-4a7f-9457-423032e08675	Pilot Rock, Oregon	Pilot Rock, Oregon	3	0	2013-08-06 14:33:53.34606+02	\N	\N	\N	\N	\N	\N	f	
21979	b55663e5-dfb9-48d3-a897-0b03c8a4457e	Boisbriand	Boisbriand	3	0	2013-08-07 11:19:44.796196+02	\N	\N	\N	\N	\N	\N	f	
24136	54ef8fc7-26ca-4880-93de-3061c06a5191	Osburn	Osburn	3	0	2013-09-07 02:56:56.632706+02	\N	\N	\N	\N	\N	\N	f	
25512	1efba58b-3199-4754-8a02-085d9ed91b08	Graymoor-Devondale, Kentucky	Graymoor-Devondale, Kentucky	3	0	2013-09-07 12:09:49.592326+02	\N	\N	\N	\N	\N	\N	f	
24393	de450efe-6012-4010-a5d1-716948d28237	De Soto, Georgia	De Soto, Georgia	3	0	2013-09-07 06:34:19.382939+02	\N	\N	\N	\N	\N	\N	f	
25506	eeafa40a-7ee1-412c-a46a-8aa70ffb30c1	Barnes, Kansas	Barnes, Kansas	3	0	2013-09-07 12:08:09.03641+02	\N	\N	\N	\N	\N	\N	f	
24906	ec6d68ea-8da1-4455-84f3-6b8c1c758778	Schleswig	Schleswig	3	0	2013-09-07 09:05:09.736561+02	\N	\N	\N	\N	\N	\N	f	
25444	65b2b60d-16d3-4177-82f8-36010fe5bc2c	Altoona, Kansas	Altoona, Kansas	3	0	2013-09-07 11:51:51.496173+02	\N	\N	\N	\N	\N	\N	f	
26035	cec1c3d5-cff1-4c1b-a6db-5c3f669e0f08	Mount Washington, Kentucky	Mount Washington, Kentucky	3	0	2013-09-07 17:52:06.238314+02	\N	\N	\N	\N	\N	\N	f	
25507	1c555886-cb2c-4bba-8735-45317fdf11e4	Westgate, Iowa	Westgate, Iowa	3	0	2013-09-07 12:08:23.33863+02	\N	\N	\N	\N	\N	\N	f	
25538	6975844d-6f63-4e60-b926-14ecdea37ad9	Irvington, Kentucky	Irvington, Kentucky	3	0	2013-09-07 12:52:08.669694+02	\N	\N	\N	\N	\N	\N	f	
26013	4737ce90-1154-48bc-82e1-0ed9d7acb752	Caldwell, Kansas	Caldwell, Kansas	3	0	2013-09-07 17:46:16.311579+02	\N	\N	\N	\N	\N	\N	f	
25547	1af80ec5-dd32-49f9-9e02-f79f3623a347	Sadieville, Kentucky	Sadieville, Kentucky	3	0	2013-09-07 12:54:24.370953+02	\N	\N	\N	\N	\N	\N	f	
25564	546ade2b-4bb0-478d-8f2f-1c97187a9a0d	Longton, Kansas	Longton, Kansas	3	0	2013-09-07 12:59:12.933612+02	\N	\N	\N	\N	\N	\N	f	
26371	e2256ef6-b091-4bf8-99e6-84006d19daf5	Darien	Darien	3	0	2013-09-07 23:38:02.936547+02	\N	\N	\N	\N	\N	\N	f	
26377	fbaf67cc-9e61-47a7-be91-6bfc3c120bfe	Bristow, Iowa	Bristow, Iowa	3	0	2013-09-07 23:39:37.226887+02	\N	\N	\N	\N	\N	\N	f	
26661	1f4e11c9-8bcb-48e5-af97-342a388b30d5	Pascagoula	Pascagoula	3	0	2013-09-08 01:55:54.546283+02	\N	\N	\N	\N	\N	\N	f	
27113	250f4a78-6b53-4010-9f10-17c8a82aa2fa	Locust, North Carolina	Locust, North Carolina	3	0	2013-09-08 05:26:23.849773+02	\N	\N	\N	\N	\N	\N	f	
27451	226360bc-bedc-4ed5-9dc1-f4cd8f43fc82	Monango, North Dakota	Monango, North Dakota	3	0	2013-09-08 08:00:11.059353+02	\N	\N	\N	\N	\N	\N	f	
27588	a72e8793-6f24-4f6d-b212-0c567a79a5a9	Sanborn, North Dakota	Sanborn, North Dakota	3	0	2013-09-08 08:50:11.735279+02	\N	\N	\N	\N	\N	\N	f	
27781	9f2b46ed-343f-45ab-a9c8-4a47da14684d	Jay	Jay	3	0	2013-09-08 09:52:54.156776+02	\N	\N	\N	\N	\N	\N	f	
13165	30def727-bc41-4be6-9788-3b7cf1f120d2	Mönsterås Municipality	Mönsterås Municipality	4	0	2013-07-16 12:43:26.339318+02	\N	\N	\N	\N	\N	\N	f	
13172	9585af8e-4967-41c0-88e7-abfef504734d	Ikast-Brande Municipality	Ikast-Brande Municipality	4	0	2013-07-16 12:44:47.534601+02	\N	\N	\N	\N	\N	\N	f	
13173	77123b75-6459-4e86-b50d-c276ee3c961e	Hvidovre Municipality	Hvidovre Municipality	4	0	2013-07-16 12:44:59.767195+02	\N	\N	\N	\N	\N	\N	f	
14149	278e3b53-04d1-48dd-9fe0-93441619e1d3	Dambel	Dambel	4	0	2013-07-21 20:34:02.15716+02	\N	\N	\N	\N	\N	\N	f	
13174	3773ba08-c680-4d74-a29c-8074c986e316	Horsens Municipality	Horsens Municipality	4	0	2013-07-16 12:45:12.662864+02	\N	\N	\N	\N	\N	\N	f	
14728	67bc9cbc-98d7-4c29-8337-b5c9f586f085	Quittengo	Quittengo	4	0	2013-07-21 22:42:55.653236+02	\N	\N	\N	\N	\N	\N	f	
15947	e7c17f1f-716b-4fcf-87ed-b38b0420c99a	Villnöß	Villnöß	4	0	2013-07-22 02:34:10.744705+02	\N	\N	\N	\N	\N	\N	f	
14730	0d70b562-7bc0-48b0-a870-020a9fef4ac7	Salussola	Salussola	4	0	2013-07-21 22:43:22.312477+02	\N	\N	\N	\N	\N	\N	f	
15359	4a00e991-476a-4f43-9255-98991bb42fc2	Castelnuovo di Garfagnana	Castelnuovo di Garfagnana	4	0	2013-07-22 00:27:52.69806+02	\N	\N	\N	\N	\N	\N	f	
15381	19488da1-bd20-47f3-a0c9-258a31ee466b	Molazzana	Molazzana	4	0	2013-07-22 00:32:25.662246+02	\N	\N	\N	\N	\N	\N	f	
15999	932f8e78-da28-49cf-8bf5-05c77697ac76	Camogli	Camogli	4	0	2013-07-22 02:40:18.186453+02	\N	\N	\N	\N	\N	\N	f	
21980	b0453c8a-a190-47d5-b885-647e64cf4872	Saint-Césaire	Saint-Césaire	3	0	2013-08-07 11:20:04.394278+02	\N	\N	\N	\N	\N	\N	f	
16017	73bd30de-e2e2-4a03-a77a-2dce8fc64c31	Ne, Liguria	Ne, Liguria	4	0	2013-07-22 02:42:53.591856+02	\N	\N	\N	\N	\N	\N	f	
16026	e6f5fa6a-8313-4d83-97d6-2c7b917efd3b	Lumarzo	Lumarzo	4	0	2013-07-22 02:43:51.861186+02	\N	\N	\N	\N	\N	\N	f	
16778	adcff63e-323c-475a-bf16-2258a4bd298e	Monterosso Almo	Monterosso Almo	4	0	2013-07-22 04:34:47.020342+02	\N	\N	\N	\N	\N	\N	f	
17954	884d64b7-3e6b-41ea-b7e7-2763d8a371b7	Latsch	Latsch	4	0	2013-07-22 07:30:39.905725+02	\N	\N	\N	\N	\N	\N	f	
16787	bad9772b-82ea-41c4-9012-55983c5a2227	Golfo Aranci	Golfo Aranci	4	0	2013-07-22 04:37:08.830652+02	\N	\N	\N	\N	\N	\N	f	
16799	392a8dd2-76bb-4607-ba9d-54d029071e5c	Ancona	Ancona	4	0	2013-07-22 04:39:51.918681+02	\N	\N	\N	\N	\N	\N	f	
20150	4b315b40-98e6-4b36-866e-31c99e46a4dc	Aiello del Friuli	Aiello del Friuli	4	0	2013-07-22 17:35:19.590631+02	\N	\N	\N	\N	\N	\N	f	
16807	5dbfc672-3fc4-4dbc-a7b2-3614400e398a	Aci Catena	Aci Catena	4	0	2013-07-22 04:41:41.448373+02	\N	\N	\N	\N	\N	\N	f	
18874	02e61deb-3757-4d79-a266-8095c5bc8a9c	Lanzo d'Intelvi	Lanzo d'Intelvi	4	0	2013-07-22 09:24:31.84863+02	\N	\N	\N	\N	\N	\N	f	
16819	2ad4de73-94a7-420b-8b2a-1ba4ef2b28a4	Loreggia	Loreggia	4	0	2013-07-22 04:44:40.454446+02	\N	\N	\N	\N	\N	\N	f	
18921	040a5ab5-4d03-4dd2-bc84-ac1f8f40ccc4	Fiumefreddo di Sicilia	Fiumefreddo di Sicilia	4	0	2013-07-22 09:30:38.166345+02	\N	\N	\N	\N	\N	\N	f	
21695	546d3ca1-0a96-4b85-a555-23fa124bd059	Bedulita	Bedulita	4	0	2013-07-24 14:55:59.185835+02	\N	\N	\N	\N	\N	\N	f	
20977	ded76b11-821d-4c57-a2d1-64f9a933f468	Monza	Monza	4	0	2013-07-23 17:43:48.570244+02	\N	\N	\N	\N	\N	\N	f	
20987	de390b4b-c286-4971-a54b-a56f729d3cfd	Belluno	Belluno	4	0	2013-07-23 17:46:27.659725+02	\N	\N	\N	\N	\N	\N	f	
20991	ff8b7937-f59d-40b6-952e-eed6d77d3241	Empoli	Empoli	4	0	2013-07-23 17:47:24.308204+02	\N	\N	\N	\N	\N	\N	f	
22003	8ab281c4-96cb-444f-91ce-8418ac6c3fc1	Manchester	Manchester	3	0	2013-08-07 14:21:03.992839+02	\N	\N	\N	\N	\N	\N	f	
21005	eb872f75-c28c-42e5-950d-73ea461a423f	Camposano	Camposano	4	0	2013-07-23 17:50:29.077937+02	\N	\N	\N	\N	\N	\N	f	
21754	ce0a3bc3-d6b3-424a-9368-a88706e8571a	Petersburg	Petersburg	3	0	2013-07-28 17:35:34.313302+02	\N	\N	\N	\N	\N	\N	f	
21073	48dc2efc-743d-4644-b66a-768b8db026e9	Santa Maria la Carità	Santa Maria la Carità	4	0	2013-07-23 20:45:54.891464+02	\N	\N	\N	\N	\N	\N	f	
21777	9d5ae15a-f1d4-4b84-8a89-b8e1cf3a1aec	Spokane	Spokane	3	0	2013-07-29 05:23:54.60937+02	\N	\N	\N	\N	\N	\N	f	
21183	77da357b-351a-4f3e-936d-3ebd0d7e09cf	Giffoni Valle Piana	Giffoni Valle Piana	4	0	2013-07-23 23:46:42.829718+02	\N	\N	\N	\N	\N	\N	f	
21205	1d4667f8-794a-4578-ad25-eb81fe211e8d	Olevano sul Tusciano	Olevano sul Tusciano	4	0	2013-07-23 23:51:29.421845+02	\N	\N	\N	\N	\N	\N	f	
21774	4ea30d50-5542-48ef-93a5-2176bdf443a9	Mabton	Mabton	3	0	2013-07-29 05:22:07.536581+02	\N	\N	\N	\N	\N	\N	f	
21309	65b2bc27-4f00-4100-8d8a-17b5b9bc2d8e	Pontassieve	Pontassieve	4	0	2013-07-24 02:52:45.609507+02	\N	\N	\N	\N	\N	\N	f	
21375	ac14e69d-8875-48c5-b864-430c9e239da0	Barbania	Barbania	4	0	2013-07-24 05:47:39.338959+02	\N	\N	\N	\N	\N	\N	f	
21479	59991629-0799-4fdf-97c8-b1ecce71b028	Foglizzo	Foglizzo	4	0	2013-07-24 08:47:49.848776+02	\N	\N	\N	\N	\N	\N	f	
21842	4b870e27-28ba-4bee-b609-e2c6d177881e	District Heights	District Heights	3	0	2013-08-02 11:35:21.204237+02	\N	\N	\N	\N	\N	\N	f	
21485	c2dcf219-d0a3-4479-9265-fd4a09190095	Frossasco	Frossasco	4	0	2013-07-24 08:49:53.059504+02	\N	\N	\N	\N	\N	\N	f	
21578	130c415b-f38d-4368-aa85-3ba97a05000a	Monzuno	Monzuno	4	0	2013-07-24 11:47:47.13239+02	\N	\N	\N	\N	\N	\N	f	
24138	3b2c5323-fd1c-4dbf-9f66-d620660e0301	Smelterville	Smelterville	3	0	2013-09-07 02:57:23.684952+02	\N	\N	\N	\N	\N	\N	f	
21582	7ccec538-c78a-4cc5-9cad-8827aa84ece4	Mordano	Mordano	4	0	2013-07-24 11:48:37.980498+02	\N	\N	\N	\N	\N	\N	f	
21880	e673008e-0ea2-419d-84a3-4b5a2964d7e9	Portsmouth, Ohio	Portsmouth, Ohio	3	0	2013-08-05 08:32:58.152501+02	\N	\N	\N	\N	\N	\N	f	
21637	d0f1b036-d36f-4b85-ae22-affef8ede43c	Migliarino	Migliarino	4	0	2013-07-24 14:39:10.458414+02	\N	\N	\N	\N	\N	\N	f	
21908	02a161e3-03fb-4547-b231-08cf027a8394	Carmel, Indiana	Carmel, Indiana	3	0	2013-08-05 23:31:57.813046+02	\N	\N	\N	\N	\N	\N	f	
25458	85679140-4eb4-4cbe-9ea4-40564cf5cf96	West Liberty, Iowa	West Liberty, Iowa	3	0	2013-09-07 11:55:06.952719+02	\N	\N	\N	\N	\N	\N	f	
21921	ad581eec-e0af-472d-ab06-9b43eb6dbcda	Choteau	Choteau	3	0	2013-08-06 08:35:47.927676+02	\N	\N	\N	\N	\N	\N	f	
24394	b8fb4b0f-670b-4bc7-ac45-2ffc84897ac0	Ideal, Georgia	Ideal, Georgia	3	0	2013-09-07 06:34:32.889911+02	\N	\N	\N	\N	\N	\N	f	
21926	8fc85679-8047-4ef3-a99e-5f9e9bf11011	Hermiston, Oregon	Hermiston, Oregon	3	0	2013-08-06 11:21:50.608042+02	\N	\N	\N	\N	\N	\N	f	
21965	8f831076-d981-44ee-9a20-85d5a1b1aac0	Union, Oregon	Union, Oregon	3	0	2013-08-06 14:26:10.069837+02	\N	\N	\N	\N	\N	\N	f	
26015	4cb08e6a-7f5e-46e1-aa37-5555ffe10067	Vermillion, Kansas	Vermillion, Kansas	3	0	2013-09-07 17:46:46.800528+02	\N	\N	\N	\N	\N	\N	f	
24907	63ed4a5c-17d2-4a9e-9ead-836c8e2a0688	St. Paul	St. Paul	3	0	2013-09-07 09:05:24.490092+02	\N	\N	\N	\N	\N	\N	f	
25542	bcd67bfa-886a-4642-a0ec-c2b4cbd97508	Edwardsville, Kansas	Edwardsville, Kansas	3	0	2013-09-07 12:53:12.206511+02	\N	\N	\N	\N	\N	\N	f	
24924	11743e74-fb86-48d2-8bb7-785d601bb9fb	Rock Falls	Rock Falls	3	0	2013-09-07 09:15:43.691844+02	\N	\N	\N	\N	\N	\N	f	
25445	a19232c3-c0a2-490e-bd17-2b475adc7086	Beaver Dam, Kentucky	Beaver Dam, Kentucky	3	0	2013-09-07 11:52:05.124628+02	\N	\N	\N	\N	\N	\N	f	
26671	06fcb400-a86b-46e0-8235-cbbed9f5d40b	West Des Moines	West Des Moines	3	0	2013-09-08 01:58:29.081897+02	\N	\N	\N	\N	\N	\N	f	
25560	2d78c1c4-dfa6-44ef-850a-f6febeff18a3	Hamilton, Kansas	Hamilton, Kansas	3	0	2013-09-07 12:57:58.099174+02	\N	\N	\N	\N	\N	\N	f	
26373	0ca840d4-aa2e-4ee8-99a6-6a74b6e65a25	Nason	Nason	3	0	2013-09-07 23:38:34.509266+02	\N	\N	\N	\N	\N	\N	f	
26664	d52f6ceb-91cb-4bb0-8470-b062dd6aea05	Bonner Springs, Kansas	Bonner Springs, Kansas	3	0	2013-09-08 01:56:35.438824+02	\N	\N	\N	\N	\N	\N	f	
27452	202be4a6-9e34-44b6-828c-8fc6d3bb8289	Balta, North Dakota	Balta, North Dakota	3	0	2013-09-08 08:00:26.244238+02	\N	\N	\N	\N	\N	\N	f	
27115	31be94e4-7752-4a18-9591-7e2a9e09137f	Lumberton, North Carolina	Lumberton, North Carolina	3	0	2013-09-08 05:26:50.75944+02	\N	\N	\N	\N	\N	\N	f	
27475	d8eff3a6-7696-4b07-bb27-841975d6b527	Taylor, North Dakota	Taylor, North Dakota	3	0	2013-09-08 08:06:04.746637+02	\N	\N	\N	\N	\N	\N	f	
28106	e3b44e2c-7184-4c8f-b377-d9a4dee65762	Semiluki	Semiluki	3	0	2013-09-08 14:20:07.690723+02	\N	\N	\N	\N	\N	\N	f	
27784	7395d922-c198-475b-b964-f33005c12e73	Tishomingo	Tishomingo	3	0	2013-09-08 09:55:59.938788+02	\N	\N	\N	\N	\N	\N	f	
28499	9ba8fd8e-7ffe-43d2-839a-cffe48b8e69a	Mission, Texas	Mission, Texas	3	0	2013-09-08 20:29:02.880075+02	\N	\N	\N	\N	\N	\N	f	
28325	2180486f-2f94-4169-a97b-dd06ef404161	White, South Dakota	White, South Dakota	3	0	2013-09-08 16:51:01.210039+02	\N	\N	\N	\N	\N	\N	f	
28568	f0a03ad0-ae3b-4a66-8446-fe25602ba677	Bay City, Texas	Bay City, Texas	3	0	2013-09-08 20:50:59.447276+02	\N	\N	\N	\N	\N	\N	f	
28633	40021ab1-e169-497b-b6e3-4787d84725dd	Reklaw	Reklaw	3	0	2013-09-08 21:08:21.387895+02	\N	\N	\N	\N	\N	\N	f	
28955	4dd18df2-5c7f-4a03-b13f-babe00527893	Gallatin	Gallatin	3	0	2013-09-09 01:39:04.213364+02	\N	\N	\N	\N	\N	\N	f	
28742	8680aaf9-b127-443d-8d9d-99013f8db536	Goldthwaite	Goldthwaite	3	0	2013-09-08 23:46:34.357752+02	\N	\N	\N	\N	\N	\N	f	
13181	aead5bd4-ba11-40cf-8df5-2c67286e3ae3	Lindesberg Municipality	Lindesberg Municipality	4	0	2013-07-16 12:46:35.399749+02	\N	\N	\N	\N	\N	\N	f	
13183	97baca86-0ffd-4695-a942-af279cbb42ac	Söderköping Municipality	Söderköping Municipality	4	0	2013-07-16 12:47:04.012386+02	\N	\N	\N	\N	\N	\N	f	
14150	50ae16f3-3dab-4459-ba94-0b487500c175	Genga, Marche	Genga, Marche	4	0	2013-07-21 20:34:18.364805+02	\N	\N	\N	\N	\N	\N	f	
14265	dbc63fe3-8642-4781-8b0d-09d85c94af61	Zambana	Zambana	4	0	2013-07-21 20:59:42.104165+02	\N	\N	\N	\N	\N	\N	f	
15956	68a8ca77-31d4-43a5-9912-b6a3cc4580ea	Castello Tesino	Castello Tesino	4	0	2013-07-22 02:35:22.513663+02	\N	\N	\N	\N	\N	\N	f	
14733	59cf033b-3b0c-43a2-a331-25aafad58488	Rosazza	Rosazza	4	0	2013-07-21 22:43:59.727348+02	\N	\N	\N	\N	\N	\N	f	
14753	d9ee712a-977e-471c-a1c5-06101f9844f2	Bellino	Bellino	4	0	2013-07-21 22:48:18.063155+02	\N	\N	\N	\N	\N	\N	f	
14791	9e079d97-3177-4999-9ac8-7dc97ef6cf61	Briga Alta	Briga Alta	4	0	2013-07-21 22:56:39.825245+02	\N	\N	\N	\N	\N	\N	f	
16011	b4e18e40-b561-4028-bb21-22502098c3da	Casarza Ligure	Casarza Ligure	4	0	2013-07-22 02:42:06.224373+02	\N	\N	\N	\N	\N	\N	f	
14847	26be03ed-bc29-4354-8ee6-525779674c0d	Cava de' Tirreni	Cava de' Tirreni	4	0	2013-07-21 23:09:37.532817+02	\N	\N	\N	\N	\N	\N	f	
15362	ede706cc-d484-4a45-aa34-a33d75dbb876	Fabbriche di Vallico	Fabbriche di Vallico	4	0	2013-07-22 00:28:34.094418+02	\N	\N	\N	\N	\N	\N	f	
17867	cb76a863-388d-4688-9cea-473213e7486e	Malgesso	Malgesso	4	0	2013-07-22 07:20:18.022487+02	\N	\N	\N	\N	\N	\N	f	
15370	e929d1ba-47d3-4873-8938-b92b87669350	Coreglia Antelminelli	Coreglia Antelminelli	4	0	2013-07-22 00:30:07.64866+02	\N	\N	\N	\N	\N	\N	f	
24980	bcab8aa9-4a02-4a0f-9952-73d4f6c18ff8	Melvern, Kansas	Melvern, Kansas	3	0	2013-09-07 09:31:46.152137+02	\N	\N	\N	\N	\N	\N	f	
15375	9ed0c1ea-f17e-420d-9dc8-c308d9bbc2d8	Fosciandora	Fosciandora	4	0	2013-07-22 00:31:09.363414+02	\N	\N	\N	\N	\N	\N	f	
15432	231d78cd-9ce3-41ea-8c81-d7dc8460b77f	Fontaneto d'Agogna	Fontaneto d'Agogna	4	0	2013-07-22 00:43:57.075091+02	\N	\N	\N	\N	\N	\N	f	
16028	ed95ab7c-9369-4b4c-98ad-661d92c123e1	Favale di Malvaro	Favale di Malvaro	4	0	2013-07-22 02:44:05.088337+02	\N	\N	\N	\N	\N	\N	f	
16780	73ae34f3-7bb5-481c-8780-9a3e607d44a1	Budoni	Budoni	4	0	2013-07-22 04:35:21.166395+02	\N	\N	\N	\N	\N	\N	f	
21966	9d7fde5e-115a-4f7b-9505-3f1bcabe485b	Stanfield, Oregon	Stanfield, Oregon	3	0	2013-08-06 14:26:32.497784+02	\N	\N	\N	\N	\N	\N	f	
20151	89fd7e2f-71f5-48ed-95d9-bf709f08ce59	Camino al Tagliamento	Camino al Tagliamento	4	0	2013-07-22 17:35:31.832076+02	\N	\N	\N	\N	\N	\N	f	
17924	28b72488-2c0a-4442-a828-fc648a5ee68b	Casalmoro	Casalmoro	4	0	2013-07-22 07:27:12.284865+02	\N	\N	\N	\N	\N	\N	f	
18880	8fe999d6-edcb-4c78-83b4-353de57480d5	Zanè	Zanè	4	0	2013-07-22 09:25:14.275284+02	\N	\N	\N	\N	\N	\N	f	
18904	7a758cf0-31b8-4d26-b000-ff2c27d0f3db	Oppeano	Oppeano	4	0	2013-07-22 09:28:21.931099+02	\N	\N	\N	\N	\N	\N	f	
20171	ca30bf2c-94ee-4c55-9ebb-5b715e4a00e6	Ravascletto	Ravascletto	4	0	2013-07-22 17:40:39.704158+02	\N	\N	\N	\N	\N	\N	f	
21717	4c0787e7-3463-46b9-87ce-5059b8094f0f	Bottanuco	Bottanuco	4	0	2013-07-24 15:01:50.516275+02	\N	\N	\N	\N	\N	\N	f	
20176	ad0d406e-fb03-4fa0-88de-dec274659829	Grimacco	Grimacco	4	0	2013-07-22 17:41:52.75523+02	\N	\N	\N	\N	\N	\N	f	
20184	5ba8923d-6460-405a-9a5e-0c31e84aa02b	Mortegliano	Mortegliano	4	0	2013-07-22 17:43:43.274939+02	\N	\N	\N	\N	\N	\N	f	
20979	2c8d19f6-bbc2-4097-8afa-e7055545a3f6	Brescia	Brescia	4	0	2013-07-23 17:44:20.567266+02	\N	\N	\N	\N	\N	\N	f	
21721	604c5a4b-a2a9-4f11-8d32-ee7542cf9d03	Bracca	Bracca	4	0	2013-07-24 15:02:43.395006+02	\N	\N	\N	\N	\N	\N	f	
21074	34b1ba45-a559-4292-a95b-13c9f8c0dab0	San Giorgio a Cremano	San Giorgio a Cremano	4	0	2013-07-23 20:46:09.416304+02	\N	\N	\N	\N	\N	\N	f	
21981	04de8472-f6ef-4d02-a5f0-1bb1195383a5	Thetford Mines	Thetford Mines	3	0	2013-08-07 11:20:24.213431+02	\N	\N	\N	\N	\N	\N	f	
21080	a18ea13b-d38b-4b67-960c-1a5d8e796026	Scisciano	Scisciano	4	0	2013-07-23 20:47:36.550957+02	\N	\N	\N	\N	\N	\N	f	
21186	dc9aa34e-fb08-4249-a8a4-884443502c1f	Orria	Orria	4	0	2013-07-23 23:47:32.677218+02	\N	\N	\N	\N	\N	\N	f	
21310	eba47588-778c-4a4c-b8d1-4dee448b04ea	Sesto Fiorentino	Sesto Fiorentino	4	0	2013-07-24 02:52:57.584905+02	\N	\N	\N	\N	\N	\N	f	
21480	360976bc-6faa-42be-8df8-ce604713a873	Druento	Druento	4	0	2013-07-24 08:48:19.845876+02	\N	\N	\N	\N	\N	\N	f	
21487	52d6e019-41d8-4bd9-8cca-6643b2558c87	Germagnano	Germagnano	4	0	2013-07-24 08:50:22.344288+02	\N	\N	\N	\N	\N	\N	f	
22004	ebc1fc3c-0003-42af-91f7-b382cd054512	Newton	Newton	3	0	2013-08-07 14:21:17.656026+02	\N	\N	\N	\N	\N	\N	f	
21584	8ee2364f-4d13-424c-b7e7-b571669d7563	San Severino Marche	San Severino Marche	4	0	2013-07-24 11:49:02.991259+02	\N	\N	\N	\N	\N	\N	f	
21783	dd514727-337b-44f6-8fe3-9256abe8127e	Port Angeles	Port Angeles	3	0	2013-07-29 05:38:11.85906+02	\N	\N	\N	\N	\N	\N	f	
21638	3a71e3f5-7aa5-47fa-9054-3cb99d3830eb	Vigarano Mainarda	Vigarano Mainarda	4	0	2013-07-24 14:39:22.533176+02	\N	\N	\N	\N	\N	\N	f	
21648	70a89177-0416-428d-ac1c-2d55c69e074d	Masi Torello	Masi Torello	4	0	2013-07-24 14:42:12.392592+02	\N	\N	\N	\N	\N	\N	f	
25447	6b61dfb4-403a-4c3e-a73b-e8be9cda0edc	McDonald, Kansas	McDonald, Kansas	3	0	2013-09-07 11:52:32.235201+02	\N	\N	\N	\N	\N	\N	f	
21843	7d1aa7f5-a282-4804-868b-869f9eab2114	Greenwood	Greenwood	3	0	2013-08-02 11:35:36.021676+02	\N	\N	\N	\N	\N	\N	f	
24140	4709bccf-a6df-4cb2-b6f3-748aba53588f	Middleton	Middleton	3	0	2013-09-07 02:57:50.855+02	\N	\N	\N	\N	\N	\N	f	
21881	75ccb6f2-b7ef-4ae6-a9e6-9a60f8110823	Athens, Ohio	Athens, Ohio	3	0	2013-08-05 08:33:29.410213+02	\N	\N	\N	\N	\N	\N	f	
21909	ad215db7-25d3-4db9-8ded-72bcdebe778d	Clinton, Indiana	Clinton, Indiana	3	0	2013-08-05 23:32:10.59995+02	\N	\N	\N	\N	\N	\N	f	
21927	fc2c9f48-f2d6-40b9-b628-ceb9c1a21a60	Newburg, North Dakota	Newburg, North Dakota	3	0	2013-08-06 11:23:24.832953+02	\N	\N	\N	\N	\N	\N	f	
24395	da3b3060-3606-4e6f-b0d5-f4aa346dfcb3	Clarkesville, Georgia	Clarkesville, Georgia	3	0	2013-09-07 06:34:46.499777+02	\N	\N	\N	\N	\N	\N	f	
26016	e18b2da1-fec7-4a0b-aafe-2aee0a190c73	Alden	Alden	3	0	2013-09-07 17:47:01.935085+02	\N	\N	\N	\N	\N	\N	f	
24424	b43e16c3-f5e8-4aff-80ec-0f2e4d08037b	Hawkinsville, Georgia	Hawkinsville, Georgia	3	0	2013-09-07 06:41:46.896602+02	\N	\N	\N	\N	\N	\N	f	
25461	7882a4cc-1f80-4223-9931-52615f8e72e3	Savonburg	Savonburg	3	0	2013-09-07 11:55:55.090369+02	\N	\N	\N	\N	\N	\N	f	
24908	c456a9e1-8a7a-4c57-bbd3-68f808a71475	Scranton	Scranton	3	0	2013-09-07 09:05:39.188874+02	\N	\N	\N	\N	\N	\N	f	
26077	66197357-046d-4d1b-b381-c90d6cec37eb	Edgewood, Kentucky	Edgewood, Kentucky	3	0	2013-09-07 18:04:10.694+02	\N	\N	\N	\N	\N	\N	f	
25543	c8f80776-d961-45db-998b-e5cf867f8a20	Waldron, Kansas	Waldron, Kansas	3	0	2013-09-07 12:53:26.818054+02	\N	\N	\N	\N	\N	\N	f	
26019	145af39d-1868-4088-ba08-21652e247338	Damar	Damar	3	0	2013-09-07 17:47:49.352827+02	\N	\N	\N	\N	\N	\N	f	
25602	1b9387ad-79e3-4794-aafe-b2f027d37d57	Woodward	Woodward	3	0	2013-09-07 13:09:32.94942+02	\N	\N	\N	\N	\N	\N	f	
26040	312bb362-46e8-4815-bdca-bf5d2a371e84	Walton	Walton	3	0	2013-09-07 17:53:24.580812+02	\N	\N	\N	\N	\N	\N	f	
26034	810b333c-bfa3-4548-aa26-57c967393811	Bazine	Bazine	3	0	2013-09-07 17:51:50.47891+02	\N	\N	\N	\N	\N	\N	f	
26039	cc43d23f-7bf8-4e11-891b-9635f667ee26	Delphos	Delphos	3	0	2013-09-07 17:53:08.767488+02	\N	\N	\N	\N	\N	\N	f	
26378	362a7475-5d36-47b5-b434-e0b418aa9b3c	Rock Falls	Rock Falls	3	0	2013-09-07 23:39:54.317969+02	\N	\N	\N	\N	\N	\N	f	
26665	40d81092-36fc-42c3-865d-d2231280c05f	Petal	Petal	3	0	2013-09-08 01:56:51.391206+02	\N	\N	\N	\N	\N	\N	f	
26667	1a355944-f590-4b98-b945-42315401f9c6	Ireton, Iowa	Ireton, Iowa	3	0	2013-09-08 01:57:26.790759+02	\N	\N	\N	\N	\N	\N	f	
27116	f291c3b7-25a0-49e7-ac60-92d693f3d2b4	Rockingham, North Carolina	Rockingham, North Carolina	3	0	2013-09-08 05:27:03.869264+02	\N	\N	\N	\N	\N	\N	f	
27138	f3e0c9e7-ea12-4f94-bd43-86407852a077	Garden City	Garden City	3	0	2013-09-08 05:39:12.670122+02	\N	\N	\N	\N	\N	\N	f	
27453	0b4c1df8-cb8a-4f1e-89ef-917aeecae0a3	Petersburg, North Dakota	Petersburg, North Dakota	3	0	2013-09-08 08:00:40.313045+02	\N	\N	\N	\N	\N	\N	f	
27468	36de0751-3f58-4366-a4a9-b920f6a3dfbb	Hoople, North Dakota	Hoople, North Dakota	3	0	2013-09-08 08:04:21.275652+02	\N	\N	\N	\N	\N	\N	f	
27787	da652288-7768-4155-b536-94aa9232b972	Ironton	Ironton	3	0	2013-09-08 09:57:27.068513+02	\N	\N	\N	\N	\N	\N	f	
27834	2f721ad6-b365-4e9a-ae58-ec0b354d8f02	Friend	Friend	3	0	2013-09-08 10:10:05.788126+02	\N	\N	\N	\N	\N	\N	f	
13184	7c3fa05e-9540-4517-ab53-4aee52ae02de	Ydre Municipality	Ydre Municipality	4	0	2013-07-16 12:47:15.80633+02	\N	\N	\N	\N	\N	\N	f	
13185	71e17f1c-9b19-4afb-9bbf-144284c76eea	Torsås Municipality	Torsås Municipality	4	0	2013-07-16 12:47:27.745109+02	\N	\N	\N	\N	\N	\N	f	
13186	e3081b2d-443a-4bb9-b305-370ba191c6cf	Södertälje municipality	Södertälje municipality	4	0	2013-07-16 12:47:39.35907+02	\N	\N	\N	\N	\N	\N	f	
14154	71ac65f8-88ba-418a-b87f-bb5dcb5b69a3	Barbara, Marche	Barbara, Marche	4	0	2013-07-21 20:35:21.468227+02	\N	\N	\N	\N	\N	\N	f	
13187	fd5259cd-1825-45e6-b672-363dbc982cb5	Hedensted Municipality	Hedensted Municipality	4	0	2013-07-16 12:47:50.764181+02	\N	\N	\N	\N	\N	\N	f	
13188	3bd9db69-464f-4ff6-b395-b7d3ac8a72b4	Heby Municipality	Heby Municipality	4	0	2013-07-16 12:48:02.804778+02	\N	\N	\N	\N	\N	\N	f	
13194	09bc1c59-6995-4775-9288-8ca9b014fa5a	Vaggeryd Municipality	Vaggeryd Municipality	4	0	2013-07-16 12:50:22.253905+02	\N	\N	\N	\N	\N	\N	f	
14161	20556c80-0597-4772-82ba-2d9700577c41	Camerata Picena	Camerata Picena	4	0	2013-07-21 20:36:59.536508+02	\N	\N	\N	\N	\N	\N	f	
15957	c9d5b945-7a81-4b93-840f-6ba13d20535a	Naturns	Naturns	4	0	2013-07-22 02:35:25.676837+02	\N	\N	\N	\N	\N	\N	f	
14187	0ba45f18-ec61-4827-9611-cb2632bd4ddb	Maenza	Maenza	4	0	2013-07-21 20:42:42.135992+02	\N	\N	\N	\N	\N	\N	f	
14268	059efc1e-33e7-41ae-9736-4f089428d526	Feltre	Feltre	4	0	2013-07-21 21:00:17.965776+02	\N	\N	\N	\N	\N	\N	f	
14737	60499a0a-08cd-4340-8cb1-7fdd45b2e99c	Trivero	Trivero	4	0	2013-07-21 22:44:49.302305+02	\N	\N	\N	\N	\N	\N	f	
15996	3532cb8f-446b-4cc4-ad2a-61c0dd144392	Propata	Propata	4	0	2013-07-22 02:39:59.711196+02	\N	\N	\N	\N	\N	\N	f	
15364	d00e75b6-0c9a-4653-ad30-9f7878c5f642	Capannori	Capannori	4	0	2013-07-22 00:28:58.248856+02	\N	\N	\N	\N	\N	\N	f	
15379	d301f0dd-ee81-4899-9454-aec526ad2865	Zoagli	Zoagli	4	0	2013-07-22 00:32:00.866868+02	\N	\N	\N	\N	\N	\N	f	
15403	958d67bb-a581-49ff-a262-809c05d8dd7c	Ameno	Ameno	4	0	2013-07-22 00:37:48.682899+02	\N	\N	\N	\N	\N	\N	f	
16782	f0422cf4-6e11-4351-a614-8218e4ddd260	Talana	Talana	4	0	2013-07-22 04:35:51.420062+02	\N	\N	\N	\N	\N	\N	f	
16801	72c92058-a42b-4996-891b-3bd6261e04c4	Berchidda	Berchidda	4	0	2013-07-22 04:40:19.240698+02	\N	\N	\N	\N	\N	\N	f	
21587	49572b32-0e47-4283-bcd6-009bff76a3f6	Monghidoro	Monghidoro	4	0	2013-07-24 11:49:40.468307+02	\N	\N	\N	\N	\N	\N	f	
24396	4c8e764b-960e-4ff1-9eae-b6e416e26409	Coolidge, Georgia	Coolidge, Georgia	3	0	2013-09-07 06:35:00.441815+02	\N	\N	\N	\N	\N	\N	f	
20152	695c532b-18ad-4912-af9e-15d27bcd1e21	Chiusaforte	Chiusaforte	4	0	2013-07-22 17:35:43.791007+02	\N	\N	\N	\N	\N	\N	f	
17901	186e0f8b-e482-4759-a828-3f763c0768e7	Pieve di Cadore	Pieve di Cadore	4	0	2013-07-22 07:24:11.557877+02	\N	\N	\N	\N	\N	\N	f	
17927	13c1fa30-952a-45c7-b912-18874e7561bf	San Donato Milanese	San Donato Milanese	4	0	2013-07-22 07:27:37.162876+02	\N	\N	\N	\N	\N	\N	f	
17933	fe817f2c-2280-4fbe-a650-293f320f5dcc	Pozzaglio ed Uniti	Pozzaglio ed Uniti	4	0	2013-07-22 07:28:20.945636+02	\N	\N	\N	\N	\N	\N	f	
20980	8887d0f8-1d69-47b4-b386-114ca8393dff	Lecco	Lecco	4	0	2013-07-23 17:44:36.719838+02	\N	\N	\N	\N	\N	\N	f	
21967	f830df13-9bf9-44db-886f-602e7d9c58af	Umatilla, Oregon	Umatilla, Oregon	3	0	2013-08-06 14:27:58.194645+02	\N	\N	\N	\N	\N	\N	f	
18034	f3ee42c9-73e8-4a5b-aa7c-9ec95029735d	Corno Giovine	Corno Giovine	4	0	2013-07-22 07:39:33.410728+02	\N	\N	\N	\N	\N	\N	f	
18041	43ca578d-5683-45d7-90fc-6395b7f5e904	Borghetto Lodigiano	Borghetto Lodigiano	4	0	2013-07-22 07:40:48.115311+02	\N	\N	\N	\N	\N	\N	f	
20988	5541aa53-fa80-4ece-ba7c-4f94f51abce3	Ripon	Ripon	3	0	2013-07-23 17:46:48.392402+02	\N	\N	\N	\N	\N	\N	f	
18082	a3a6eed1-8900-420d-be7b-d808a6b99ce0	Pantigliate	Pantigliate	4	0	2013-07-22 07:45:43.417551+02	\N	\N	\N	\N	\N	\N	f	
18083	58275e0e-2b2d-4c6d-8347-696f369d23d2	Camairago	Camairago	4	0	2013-07-22 07:45:49.157691+02	\N	\N	\N	\N	\N	\N	f	
21605	6cd85955-9de1-4250-ba45-9b4600dbb1aa	Almè	Almè	4	0	2013-07-24 11:53:49.479398+02	\N	\N	\N	\N	\N	\N	f	
18140	8be52c85-b6d1-4088-8338-91241ad11683	Cappella de' Picenardi	Cappella de' Picenardi	4	0	2013-07-22 07:52:16.187974+02	\N	\N	\N	\N	\N	\N	f	
21075	f73710f0-0e77-4fe4-a948-e7a3ffc025fb	Serrara Fontana	Serrara Fontana	4	0	2013-07-23 20:46:22.662304+02	\N	\N	\N	\N	\N	\N	f	
18145	2d88ced6-9f11-44e0-8314-66934e086560	Lacchiarella	Lacchiarella	4	0	2013-07-22 07:52:46.365905+02	\N	\N	\N	\N	\N	\N	f	
18882	f019ded2-2301-4fbc-b944-c0908f6cca07	Merone	Merone	4	0	2013-07-22 09:25:27.978944+02	\N	\N	\N	\N	\N	\N	f	
21187	c1b403a2-c71c-43ac-992a-8d6cb04ae20a	Novi Velia	Novi Velia	4	0	2013-07-23 23:47:44.793521+02	\N	\N	\N	\N	\N	\N	f	
21196	976dfec5-69a5-4e99-bae6-781424c9bd2a	Pertosa	Pertosa	4	0	2013-07-23 23:49:38.671817+02	\N	\N	\N	\N	\N	\N	f	
21639	58536853-6eaa-4c96-9ec7-fc6b3989cc5a	Ostellato	Ostellato	4	0	2013-07-24 14:39:34.775508+02	\N	\N	\N	\N	\N	\N	f	
21220	936f624d-b677-4451-b08e-e53074c6fdba	Scala, Campania	Scala, Campania	4	0	2013-07-23 23:54:46.764728+02	\N	\N	\N	\N	\N	\N	f	
21982	1fcce45b-d0a6-46c8-ba07-156e75e33870	Sherbrooke	Sherbrooke	3	0	2013-08-07 11:20:37.706334+02	\N	\N	\N	\N	\N	\N	f	
21312	ed9295d5-21c8-464f-a4d9-96af30e3cac3	Rufina	Rufina	4	0	2013-07-24 02:53:24.91131+02	\N	\N	\N	\N	\N	\N	f	
21378	aba1428c-d1fd-42c4-92b9-8971608e58fd	Bairo	Bairo	4	0	2013-07-24 05:48:22.833409+02	\N	\N	\N	\N	\N	\N	f	
24911	89827292-e9b7-4b40-85df-d30d3c2cb572	Sharpsburg	Sharpsburg	3	0	2013-09-07 09:06:24.175732+02	\N	\N	\N	\N	\N	\N	f	
21421	edcf6996-a034-4de5-8bbb-bd48060fcdd1	Carignano	Carignano	4	0	2013-07-24 05:57:52.419419+02	\N	\N	\N	\N	\N	\N	f	
21481	435bb91c-bf39-4e42-a0c3-11c3d3d5ac84	Cumiana	Cumiana	4	0	2013-07-24 08:48:38.577566+02	\N	\N	\N	\N	\N	\N	f	
22005	56a04166-98dd-43cd-9f5f-19cf9d7348ab	Adel, Iowa	Adel, Iowa	3	0	2013-08-07 14:21:33.269887+02	\N	\N	\N	\N	\N	\N	f	
21501	a62de5a8-8016-4329-a2da-25bc14bbde17	Ivrea	Ivrea	4	0	2013-07-24 08:53:30.103128+02	\N	\N	\N	\N	\N	\N	f	
21778	e18ac23e-2816-4918-a8b5-9881196aef8a	Forks, Washington	Forks, Washington	3	0	2013-07-29 05:27:20.372248+02	\N	\N	\N	\N	\N	\N	f	
24423	652aa8ef-3a8d-4e6f-88fb-ef305d055227	Clarkston, Georgia	Clarkston, Georgia	3	0	2013-09-07 06:41:28.52787+02	\N	\N	\N	\N	\N	\N	f	
21882	7e6c7351-358d-4de9-b129-935959d32d44	Bryan, Ohio	Bryan, Ohio	3	0	2013-08-05 08:33:49.659144+02	\N	\N	\N	\N	\N	\N	f	
22010	65d39890-db59-48b7-821f-3a05219748be	Buckeye, Iowa	Buckeye, Iowa	3	0	2013-08-07 14:23:42.304261+02	\N	\N	\N	\N	\N	\N	f	
21910	f134a96b-bd26-4d55-bab2-cf940ff726a6	Vincennes, Indiana	Vincennes, Indiana	3	0	2013-08-05 23:33:15.374193+02	\N	\N	\N	\N	\N	\N	f	
21929	3591af8e-7ed1-4bb0-931a-b293eaca119c	Maxbass, North Dakota	Maxbass, North Dakota	3	0	2013-08-06 11:24:09.67821+02	\N	\N	\N	\N	\N	\N	f	
24141	0663b875-99b7-4e93-a0fa-54a63f3cae98	Paul	Paul	3	0	2013-09-07 02:58:04.48107+02	\N	\N	\N	\N	\N	\N	f	
24431	9300fd5d-3b0a-4705-8f38-dc4650e4699e	Offerman, Georgia	Offerman, Georgia	3	0	2013-09-07 06:43:33.176333+02	\N	\N	\N	\N	\N	\N	f	
25450	9cfa3f6a-9b66-4ddd-97a0-f9ba025aaeb2	Stark, Kansas	Stark, Kansas	3	0	2013-09-07 11:53:13.029337+02	\N	\N	\N	\N	\N	\N	f	
24910	87685e22-939e-49f3-a5da-35e0f586578d	Roland	Roland	3	0	2013-09-07 09:06:09.36552+02	\N	\N	\N	\N	\N	\N	f	
25544	c8e16202-1f6a-42c0-a458-3b38c0bf7d3c	Maryhill Estates, Kentucky	Maryhill Estates, Kentucky	3	0	2013-09-07 12:53:41.586165+02	\N	\N	\N	\N	\N	\N	f	
25587	d2027ab1-1a5f-4236-bc34-4d39109078c8	Spring Valley, Kentucky	Spring Valley, Kentucky	3	0	2013-09-07 13:05:31.218935+02	\N	\N	\N	\N	\N	\N	f	
25629	e4a242ff-c411-4592-bfa2-736c55d38fb4	Whitten	Whitten	3	0	2013-09-07 13:16:31.951175+02	\N	\N	\N	\N	\N	\N	f	
26017	c0d80728-b571-4b8d-b945-8679e03aec0c	Burns	Burns	3	0	2013-09-07 17:47:17.255722+02	\N	\N	\N	\N	\N	\N	f	
25660	6a59c99b-348e-4af6-936d-fc25aaf490fb	Tennant	Tennant	3	0	2013-09-07 13:24:51.128111+02	\N	\N	\N	\N	\N	\N	f	
26380	5d983ee0-1f85-4ecd-aeb2-abd1db742f3e	Oneida	Oneida	3	0	2013-09-07 23:40:23.783622+02	\N	\N	\N	\N	\N	\N	f	
26666	7276e01c-a860-4652-9dc1-1ef52a65c17a	Blair, Nebraska	Blair, Nebraska	3	0	2013-09-08 01:57:08.245771+02	\N	\N	\N	\N	\N	\N	f	
27118	a727c1a6-5b3b-48cd-9971-2c59b30443aa	Raeford, North Carolina	Raeford, North Carolina	3	0	2013-09-08 05:31:34.4223+02	\N	\N	\N	\N	\N	\N	f	
27132	4bc49fd8-3789-4e46-951c-b0cb0fbe31e6	Bates City	Bates City	3	0	2013-09-08 05:37:41.09456+02	\N	\N	\N	\N	\N	\N	f	
27227	116b4d64-2990-4b85-916e-6ef6e42c48b0	Morrisville	Morrisville	3	0	2013-09-08 06:03:36.279299+02	\N	\N	\N	\N	\N	\N	f	
27454	d57137cd-595e-44ce-a18c-a0068e44b5ad	Grenora, North Dakota	Grenora, North Dakota	3	0	2013-09-08 08:00:54.485331+02	\N	\N	\N	\N	\N	\N	f	
28107	11b48b13-e074-4301-8eba-c6d0ee798ea0	Uryupinsk	Uryupinsk	3	0	2013-09-08 14:20:20.862875+02	\N	\N	\N	\N	\N	\N	f	
27792	15199c50-7e2a-4d4f-9565-0fce3f56e525	Sidney	Sidney	3	0	2013-09-08 09:58:55.017875+02	\N	\N	\N	\N	\N	\N	f	
13189	d6c7bdd2-314f-4e5b-8650-4594424dad19	Svedala Municipality	Svedala Municipality	4	0	2013-07-16 12:48:14.442016+02	\N	\N	\N	\N	\N	\N	f	
14159	0b1ab8b1-2938-460e-a3a6-6ba5e257a050	Monte San Vito	Monte San Vito	4	0	2013-07-21 20:36:33.966258+02	\N	\N	\N	\N	\N	\N	f	
13191	822ee328-9a6d-4a3f-adfa-f3049facab9c	Gothenburg Municipality	Gothenburg Municipality	4	0	2013-07-16 12:48:42.827748+02	\N	\N	\N	\N	\N	\N	f	
13201	e1f32e2c-6062-4d1f-8521-fe5e86026aa7	Cambridge	Cambridge	3	0	2013-07-16 12:53:26.0645+02	\N	\N	\N	\N	\N	\N	f	
14738	39af3b27-4028-4524-8bd1-220280b55cc4	Pralungo	Pralungo	4	0	2013-07-21 22:45:01.133557+02	\N	\N	\N	\N	\N	\N	f	
15365	76ed96e2-50c8-4b51-aee1-827fbd0d6583	Barga	Barga	4	0	2013-07-22 00:29:09.785446+02	\N	\N	\N	\N	\N	\N	f	
15966	39d90da1-f02d-4e67-bd5a-5659bf84a9d2	Mignanego	Mignanego	4	0	2013-07-22 02:36:31.392605+02	\N	\N	\N	\N	\N	\N	f	
15386	c9750965-6e49-473f-a914-01ae9325aa50	Pieve Fosciana	Pieve Fosciana	4	0	2013-07-22 00:33:39.438145+02	\N	\N	\N	\N	\N	\N	f	
15975	c308b312-5bb0-4f7d-b714-9886c8357edc	Cogoleto	Cogoleto	4	0	2013-07-22 02:37:31.030639+02	\N	\N	\N	\N	\N	\N	f	
17872	9efb6c0c-ddc2-4ea6-8438-7a604d8869ee	Aprica	Aprica	4	0	2013-07-22 07:20:53.783274+02	\N	\N	\N	\N	\N	\N	f	
15976	b0e58f79-325c-4b9f-8fab-b72fd7b51267	Valbrevenna	Valbrevenna	4	0	2013-07-22 02:37:40.632642+02	\N	\N	\N	\N	\N	\N	f	
16005	ec6a3382-625b-4ecd-8f08-b35cb6406e9a	Lavagna	Lavagna	4	0	2013-07-22 02:41:02.408059+02	\N	\N	\N	\N	\N	\N	f	
27490	837f873f-7fe7-42f8-baf5-70153b9d5dc2	North Ridgeville	North Ridgeville	3	0	2013-09-08 08:19:18.675196+02	\N	\N	\N	\N	\N	\N	f	
16014	832a0cd8-a19a-47b5-ac7a-523f20d59475	Cembra	Cembra	4	0	2013-07-22 02:42:24.941757+02	\N	\N	\N	\N	\N	\N	f	
18885	15ad9bcd-170a-4823-a155-8808dfce36e0	Eupilio	Eupilio	4	0	2013-07-22 09:25:45.653014+02	\N	\N	\N	\N	\N	\N	f	
16041	f49b0024-00a4-4a77-9cb3-4c51d797b8c4	Tribogna	Tribogna	4	0	2013-07-22 02:45:41.830294+02	\N	\N	\N	\N	\N	\N	f	
20153	04bed6ed-925e-44dd-8e01-15ab830c6609	Bordano	Bordano	4	0	2013-07-22 17:35:56.024802+02	\N	\N	\N	\N	\N	\N	f	
16047	ab4e0ada-a7c7-42f0-adf1-fd1645829167	Aurigo	Aurigo	4	0	2013-07-22 02:46:27.20516+02	\N	\N	\N	\N	\N	\N	f	
16785	10df94a1-7e0e-449e-a88c-66e50da87ac0	Tertenia	Tertenia	4	0	2013-07-22 04:36:37.548589+02	\N	\N	\N	\N	\N	\N	f	
21930	6d8eb1af-1ef9-4617-ab0f-4b3b88d5d858	Helix, Oregon	Helix, Oregon	3	0	2013-08-06 11:24:22.935987+02	\N	\N	\N	\N	\N	\N	f	
20981	17be3971-9d7f-4376-89d8-dc0e4a6db8b1	Cremona	Cremona	4	0	2013-07-23 17:44:51.851972+02	\N	\N	\N	\N	\N	\N	f	
21076	7750c2f3-097b-478c-9df6-c16b2e067801	Sant'Antonio Abate	Sant'Antonio Abate	4	0	2013-07-23 20:46:38.072207+02	\N	\N	\N	\N	\N	\N	f	
26021	f4366423-79d2-49f3-b24b-15e4c235fd4b	Manter	Manter	3	0	2013-09-07 17:48:20.950271+02	\N	\N	\N	\N	\N	\N	f	
21118	c7b9e5f4-e0cd-4b3e-b244-f8fedef5efaa	Caggiano	Caggiano	4	0	2013-07-23 20:58:32.830397+02	\N	\N	\N	\N	\N	\N	f	
21968	68de5244-1d89-47f7-82f5-eb79b1046c76	Shady Cove	Shady Cove	3	0	2013-08-06 14:28:56.923023+02	\N	\N	\N	\N	\N	\N	f	
21188	4c5e0e5a-6e68-40c2-bfcf-55d12173b862	Piaggine	Piaggine	4	0	2013-07-23 23:47:57.072037+02	\N	\N	\N	\N	\N	\N	f	
21314	6d3ade94-d75d-448d-8ff9-174f8879d039	San Godenzo	San Godenzo	4	0	2013-07-24 02:53:48.997224+02	\N	\N	\N	\N	\N	\N	f	
21379	d910e2a6-d1dd-4368-ab36-703562fbc976	Beinasco	Beinasco	4	0	2013-07-24 05:48:35.745802+02	\N	\N	\N	\N	\N	\N	f	
21983	7c7df67a-d3f7-4059-9d8a-ac8499859cd9	Saint-Hyacinthe	Saint-Hyacinthe	3	0	2013-08-07 11:20:52.126448+02	\N	\N	\N	\N	\N	\N	f	
21482	4bf961cc-4ec5-4b09-aacd-03a4e8ad8e51	Inverso Pinasca	Inverso Pinasca	4	0	2013-07-24 08:49:02.364227+02	\N	\N	\N	\N	\N	\N	f	
21484	911170f1-4d0b-419b-a421-79037d5d2a0f	Garzigliana	Garzigliana	4	0	2013-07-24 08:49:32.398588+02	\N	\N	\N	\N	\N	\N	f	
21589	f8f8a8e9-21cf-4838-8d84-2d5ebb16cc19	Azzone	Azzone	4	0	2013-07-24 11:50:16.94198+02	\N	\N	\N	\N	\N	\N	f	
22006	322bd4d1-1893-4470-95a1-c5fcd96ab504	Anamosa	Anamosa	3	0	2013-08-07 14:21:46.036429+02	\N	\N	\N	\N	\N	\N	f	
21611	c4df939f-5fdd-438f-a449-2d0fb6a7570e	Goro, Emilia–Romagna	Goro, Emilia–Romagna	4	0	2013-07-24 11:55:10.435751+02	\N	\N	\N	\N	\N	\N	f	
21640	cec8c18b-5c98-43ac-ba3a-cb87517554f9	Massa Fiscaglia	Massa Fiscaglia	4	0	2013-07-24 14:39:48.634605+02	\N	\N	\N	\N	\N	\N	f	
26382	3e7f3aea-a3cb-45b2-80cb-fb9896c7ff31	Fredericktown, Missouri	Fredericktown, Missouri	3	0	2013-09-07 23:40:57.711875+02	\N	\N	\N	\N	\N	\N	f	
21779	a640b45c-c173-49b1-8030-973603e895b5	Aberdeen	Aberdeen	3	0	2013-07-29 05:27:52.492855+02	\N	\N	\N	\N	\N	\N	f	
24142	4f239d37-7ab4-414f-a42e-5a942446e3e4	Heyburn	Heyburn	3	0	2013-09-07 02:58:18.090073+02	\N	\N	\N	\N	\N	\N	f	
21883	c3e7871b-ba98-4b52-b26e-7041e188e3f7	Avon, Ohio	Avon, Ohio	3	0	2013-08-05 08:34:11.698872+02	\N	\N	\N	\N	\N	\N	f	
21886	422e328c-0e46-40bd-b5a5-28d9912f7051	Middletown	Middletown	3	0	2013-08-05 08:39:27.298395+02	\N	\N	\N	\N	\N	\N	f	
21889	63fea4b5-9559-4531-a6a5-be934276ec3b	Oberlin	Oberlin	3	0	2013-08-05 08:40:15.377993+02	\N	\N	\N	\N	\N	\N	f	
24400	62e2e8ce-9eef-4c67-a15b-af784186276d	Arlington, Georgia	Arlington, Georgia	3	0	2013-09-07 06:36:01.500818+02	\N	\N	\N	\N	\N	\N	f	
21911	d4fd88fe-4345-4907-98da-f0148cdcc2e3	Valparaiso	Valparaiso	3	0	2013-08-05 23:36:24.897755+02	\N	\N	\N	\N	\N	\N	f	
24913	532139c7-f916-4689-93f7-e2294479b4c1	Schaller	Schaller	3	0	2013-09-07 09:06:58.146059+02	\N	\N	\N	\N	\N	\N	f	
26668	0cb875d7-7bd9-4563-aacb-e18d8a156ed1	Bridgeton, New Jersey	Bridgeton, New Jersey	3	0	2013-09-08 01:57:45.186958+02	\N	\N	\N	\N	\N	\N	f	
25453	190f1d5b-0fa7-4c69-936e-8a8e5b17b07c	Elsmore	Elsmore	3	0	2013-09-07 11:53:58.638513+02	\N	\N	\N	\N	\N	\N	f	
25516	cd53fbfd-6c13-491d-bc78-6d173b2b2c64	Thibodaux	Thibodaux	3	0	2013-09-07 12:43:33.563524+02	\N	\N	\N	\N	\N	\N	f	
27532	4936341f-9366-4d19-8772-2ff6bde72f9a	Glenfield, North Dakota	Glenfield, North Dakota	3	0	2013-09-08 08:34:16.249303+02	\N	\N	\N	\N	\N	\N	f	
25545	5f0f276c-5330-4771-9467-59335a3087b1	Campton, Kentucky	Campton, Kentucky	3	0	2013-09-07 12:53:55.450864+02	\N	\N	\N	\N	\N	\N	f	
27121	e3629ac4-6988-43cc-8629-6e8a7ef6a684	Southport, North Carolina	Southport, North Carolina	3	0	2013-09-08 05:33:00.898813+02	\N	\N	\N	\N	\N	\N	f	
25549	bcf1922b-c183-45fc-833a-4c0f355a4783	West Chester, Iowa	West Chester, Iowa	3	0	2013-09-07 12:54:57.374409+02	\N	\N	\N	\N	\N	\N	f	
27126	896cea48-5015-483c-8219-a8f4e4767aec	Belmont, North Carolina	Belmont, North Carolina	3	0	2013-09-08 05:35:30.658442+02	\N	\N	\N	\N	\N	\N	f	
27457	82130cc8-94f2-4126-9bd5-d35514d867be	Wales	Wales	3	0	2013-09-08 08:01:37.519245+02	\N	\N	\N	\N	\N	\N	f	
27838	babfe61b-bd3c-489f-93d6-5f4364309e1e	Ethel	Ethel	3	0	2013-09-08 10:11:03.852147+02	\N	\N	\N	\N	\N	\N	f	
27794	0e944e7d-274b-4b31-97f9-f9da21f6e7f3	Hooper	Hooper	3	0	2013-09-08 09:59:25.239565+02	\N	\N	\N	\N	\N	\N	f	
27804	f60e3ebe-e9ca-4a7b-9822-690754c34774	Hermann	Hermann	3	0	2013-09-08 10:02:05.606132+02	\N	\N	\N	\N	\N	\N	f	
28500	11fc99d4-af68-46c9-aae5-cc6a09ddb318	Conroe, Texas	Conroe, Texas	3	0	2013-09-08 20:29:37.524618+02	\N	\N	\N	\N	\N	\N	f	
27805	d90b2140-5e77-454f-979b-3e832b6b0f84	Dudley	Dudley	3	0	2013-09-08 10:02:21.770099+02	\N	\N	\N	\N	\N	\N	f	
28326	62b96b8d-2179-4482-beb0-410e224e675e	Niota, Tennessee	Niota, Tennessee	3	0	2013-09-08 16:51:14.900954+02	\N	\N	\N	\N	\N	\N	f	
28108	c78e4214-ade5-4f87-b1fe-a606529e8f8f	Duquesne	Duquesne	3	0	2013-09-08 14:20:34.147284+02	\N	\N	\N	\N	\N	\N	f	
28188	0ca8ba9d-61df-4fa2-ab1a-a98168422b6c	Rossosh	Rossosh	3	0	2013-09-08 14:45:09.975478+02	\N	\N	\N	\N	\N	\N	f	
28743	a51cd259-91ac-45f6-8f28-a3070ea08dda	Lometa	Lometa	3	0	2013-09-08 23:46:50.642877+02	\N	\N	\N	\N	\N	\N	f	
28569	5106d85f-15b0-47da-83f0-af917220bbd1	Baird, Texas	Baird, Texas	3	0	2013-09-08 20:51:14.205395+02	\N	\N	\N	\N	\N	\N	f	
28805	43bd9bb9-da4d-4eb5-b643-0f5eae006f1d	Dell City	Dell City	3	0	2013-09-09 00:03:34.128527+02	\N	\N	\N	\N	\N	\N	f	
28956	f72214d0-045a-4a14-809a-242b528b6e94	Gatesville	Gatesville	3	0	2013-09-09 01:39:20.610416+02	\N	\N	\N	\N	\N	\N	f	
28995	fec6ff24-6a43-466a-a49e-1e859b7300d9	Hidalgo	Hidalgo	3	0	2013-09-09 01:50:25.763555+02	\N	\N	\N	\N	\N	\N	f	
29043	2c5b6c74-b698-44de-bd11-d8d95d984c2b	Granger	Granger	3	0	2013-09-09 02:05:13.951262+02	\N	\N	\N	\N	\N	\N	f	
29044	749551e6-2134-40b2-b9da-2a25181adab4	Sadler	Sadler	3	0	2013-09-09 02:05:31.151135+02	\N	\N	\N	\N	\N	\N	f	
29069	d6412864-95d2-4b8d-b5af-955241125b3f	Murchison	Murchison	3	0	2013-09-09 02:12:48.972167+02	\N	\N	\N	\N	\N	\N	f	
29233	e162492d-2fce-4168-a2dc-91eaf6e4a420	Kingwood, West Virginia	Kingwood, West Virginia	3	0	2013-09-09 04:13:26.651175+02	\N	\N	\N	\N	\N	\N	f	
29342	4b2fefc1-c6dc-4079-98da-483768725326	Ripon	Ripon	3	0	2013-09-09 08:19:39.905012+02	\N	\N	\N	\N	\N	\N	f	
13195	ef99aa46-f024-4a40-b2fd-d5784a057d0d	Älvkarleby Municipality	Älvkarleby Municipality	4	0	2013-07-16 12:50:47.401069+02	\N	\N	\N	\N	\N	\N	f	
14160	3f27afaf-4f5c-420a-80af-92892cb4ab6a	Arcevia	Arcevia	4	0	2013-07-21 20:36:47.454298+02	\N	\N	\N	\N	\N	\N	f	
14180	36093f5f-24b3-403f-bd86-95376c08d3d3	Barrali	Barrali	4	0	2013-07-21 20:41:15.289012+02	\N	\N	\N	\N	\N	\N	f	
15967	b0b29304-f75d-4259-a4f1-aa9ae20c1a8c	Castelfondo	Castelfondo	4	0	2013-07-22 02:36:38.750989+02	\N	\N	\N	\N	\N	\N	f	
14304	a14b09ad-6fe0-48ee-9bad-5369ab16b76e	Rio Marina	Rio Marina	4	0	2013-07-21 21:08:18.845904+02	\N	\N	\N	\N	\N	\N	f	
14740	5be43ce0-51fe-4517-b198-3304f7e3d478	Pray	Pray	4	0	2013-07-21 22:45:24.964519+02	\N	\N	\N	\N	\N	\N	f	
15369	4ff39a0b-31eb-477c-a0b2-5c8b3092f066	Favignana	Favignana	4	0	2013-07-22 00:29:56.00238+02	\N	\N	\N	\N	\N	\N	f	
15968	c6377dca-9480-4460-9b2e-34626703572d	Busalla	Busalla	4	0	2013-07-22 02:36:42.893521+02	\N	\N	\N	\N	\N	\N	f	
15969	7e3fc534-ffb3-488f-ab6d-8ff172480e0e	Cavedago	Cavedago	4	0	2013-07-22 02:36:55.187263+02	\N	\N	\N	\N	\N	\N	f	
15971	a0e64363-b675-4d28-bb9b-4ed3bb48704d	Arenzano	Arenzano	4	0	2013-07-22 02:37:07.522466+02	\N	\N	\N	\N	\N	\N	f	
21706	bb116087-874b-4868-b88f-54624429cf16	Tredozio	Tredozio	4	0	2013-07-24 14:58:38.614079+02	\N	\N	\N	\N	\N	\N	f	
15979	27012e70-4a4c-4e5c-bb1b-4e079d9bddf7	Casella	Casella	4	0	2013-07-22 02:37:56.397246+02	\N	\N	\N	\N	\N	\N	f	
22007	7afe97a1-3f3d-4d1f-9622-b62e5bbabc45	Onawa	Onawa	3	0	2013-08-07 14:22:15.160883+02	\N	\N	\N	\N	\N	\N	f	
15989	4e77ab46-dda1-452c-98a7-93d158b17242	Montoggio	Montoggio	4	0	2013-07-22 02:39:03.653464+02	\N	\N	\N	\N	\N	\N	f	
16025	ab6f23f0-c16b-4c8c-a9e4-3c7d87f13385	Cogorno	Cogorno	4	0	2013-07-22 02:43:50.425765+02	\N	\N	\N	\N	\N	\N	f	
20154	5f32e983-44a0-4dcc-b258-6ad88b6ec3d1	Pocenia	Pocenia	4	0	2013-07-22 17:36:21.588336+02	\N	\N	\N	\N	\N	\N	f	
16027	f0e4ea98-ac81-41c4-9336-0a215b61af5b	Carasco	Carasco	4	0	2013-07-22 02:44:02.940039+02	\N	\N	\N	\N	\N	\N	f	
17944	5b276ad0-6e29-4576-bf67-b2a98cca5e55	Malagnino	Malagnino	4	0	2013-07-22 07:29:34.388439+02	\N	\N	\N	\N	\N	\N	f	
16053	1fe78de6-11af-4e35-82f9-1cf2bcccf270	Daiano	Daiano	4	0	2013-07-22 02:47:04.662874+02	\N	\N	\N	\N	\N	\N	f	
16056	6024a80a-ae11-488b-a650-515d4a2ff148	Aquila d'Arroscia	Aquila d'Arroscia	4	0	2013-07-22 02:47:26.906026+02	\N	\N	\N	\N	\N	\N	f	
16786	0b96aaf7-2015-4d2b-bc0a-ee0da82def51	Santa Teresa Gallura	Santa Teresa Gallura	4	0	2013-07-22 04:36:52.602683+02	\N	\N	\N	\N	\N	\N	f	
18043	8c0f315b-1222-455d-9ef6-c19a4bcf6e28	Marcaria	Marcaria	4	0	2013-07-22 07:41:07.931449+02	\N	\N	\N	\N	\N	\N	f	
20175	14f6215d-a514-4298-bece-7e66a3571d0b	Premariacco	Premariacco	4	0	2013-07-22 17:41:39.704108+02	\N	\N	\N	\N	\N	\N	f	
27796	436e4d4c-b85e-46c2-99b2-0cf27ed32da3	Superior	Superior	3	0	2013-09-08 09:59:54.705869+02	\N	\N	\N	\N	\N	\N	f	
19000	55f76d38-62ee-4b8c-9ee1-23054f398759	Sommacampagna	Sommacampagna	4	0	2013-07-22 09:40:04.90579+02	\N	\N	\N	\N	\N	\N	f	
24145	79551b4f-d52e-4167-bb64-4b9b55284913	Cascade	Cascade	3	0	2013-09-07 02:58:58.981446+02	\N	\N	\N	\N	\N	\N	f	
19025	6a031a99-eda2-47c3-91e7-8cdccce82a59	Monticello Conte Otto	Monticello Conte Otto	4	0	2013-07-22 09:43:15.992946+02	\N	\N	\N	\N	\N	\N	f	
20982	7da8cc16-f936-45c8-9eff-f3bed0e7577a	Varese	Varese	4	0	2013-07-23 17:45:07.655929+02	\N	\N	\N	\N	\N	\N	f	
21718	fb1df530-4d5b-4f50-996b-91c9ea1cb11b	Brembate	Brembate	4	0	2013-07-24 15:02:03.629233+02	\N	\N	\N	\N	\N	\N	f	
20989	e13cd364-6670-4976-84f4-3a306b52a2d5	Cesena	Cesena	4	0	2013-07-23 17:47:00.488947+02	\N	\N	\N	\N	\N	\N	f	
21001	226d27f6-f2f8-499c-951b-39e39cd2edfd	Casavatore	Casavatore	4	0	2013-07-23 17:49:39.739663+02	\N	\N	\N	\N	\N	\N	f	
26383	42407180-383d-40a9-9ef1-550e5b00eff0	Sesser	Sesser	3	0	2013-09-07 23:41:11.549745+02	\N	\N	\N	\N	\N	\N	f	
21077	dfcc7048-67d0-49a7-b6cf-9da78782345e	Somma Vesuviana	Somma Vesuviana	4	0	2013-07-23 20:46:54.762244+02	\N	\N	\N	\N	\N	\N	f	
24402	085ceb84-5fc6-45ec-bfb3-a213f4c702c9	Lyons, Georgia	Lyons, Georgia	3	0	2013-09-07 06:36:29.209054+02	\N	\N	\N	\N	\N	\N	f	
21116	2c029657-4ae9-4277-aad2-71796bed16dc	Casaletto Spartano	Casaletto Spartano	4	0	2013-07-23 20:58:04.927295+02	\N	\N	\N	\N	\N	\N	f	
21189	d2f528a0-c80e-4f43-8b13-57a3aecf314f	Prignano Cilento	Prignano Cilento	4	0	2013-07-23 23:48:09.297035+02	\N	\N	\N	\N	\N	\N	f	
21200	7c374449-334a-4b9f-a2cb-884bc2531c7c	Nocera Superiore	Nocera Superiore	4	0	2013-07-23 23:50:27.949303+02	\N	\N	\N	\N	\N	\N	f	
21380	c2990481-466a-4e9c-b437-f9e10f12ae3b	Bardonecchia	Bardonecchia	4	0	2013-07-24 05:48:48.703279+02	\N	\N	\N	\N	\N	\N	f	
21780	79e732a7-6e6a-4c7c-97a5-2849203661d7	Chehalis, Washington	Chehalis, Washington	3	0	2013-07-29 05:29:17.003185+02	\N	\N	\N	\N	\N	\N	f	
21483	ef85a6c6-cd0c-4d0d-9e17-176a70398ee4	Grosso	Grosso	4	0	2013-07-24 08:49:16.406877+02	\N	\N	\N	\N	\N	\N	f	
21591	538d16a5-9190-4d21-8e27-e45e0631c8ee	Copparo	Copparo	4	0	2013-07-24 11:50:43.229919+02	\N	\N	\N	\N	\N	\N	f	
24914	6451c7ee-bd9d-4c51-966e-f64f9021ad72	Springville	Springville	3	0	2013-09-07 09:07:12.878044+02	\N	\N	\N	\N	\N	\N	f	
21643	1ee3e792-e963-4cd5-a3d1-8122b2fd8bf7	Mesola	Mesola	4	0	2013-07-24 14:40:29.752839+02	\N	\N	\N	\N	\N	\N	f	
21884	2a8db3bb-3715-44ec-a134-c7de80c3fe9d	Kettering	Kettering	3	0	2013-08-05 08:35:58.188675+02	\N	\N	\N	\N	\N	\N	f	
21690	80cce71f-16a4-4506-92f6-b917edd88a7d	Borghi	Borghi	4	0	2013-07-24 14:54:47.737537+02	\N	\N	\N	\N	\N	\N	f	
27133	d753e8dd-a66d-44b6-9f40-daf908ff6a72	Clarksdale	Clarksdale	3	0	2013-09-08 05:37:56.451331+02	\N	\N	\N	\N	\N	\N	f	
21912	db18cd2f-ce46-46b3-a1dd-7e264de08528	Kokomo	Kokomo	3	0	2013-08-05 23:36:47.855198+02	\N	\N	\N	\N	\N	\N	f	
25457	31041ed4-60de-4da0-bcb5-7ba42f4de20e	Manor Creek, Kentucky	Manor Creek, Kentucky	3	0	2013-09-07 11:54:53.583081+02	\N	\N	\N	\N	\N	\N	f	
21931	65b182a0-3086-47fe-9b62-7a615e623bf8	Irrigon, Oregon	Irrigon, Oregon	3	0	2013-08-06 11:24:57.763857+02	\N	\N	\N	\N	\N	\N	f	
21970	e2bf2fd9-c022-448f-975f-72fc92f14e05	Pendleton	Pendleton	3	0	2013-08-06 14:36:39.947472+02	\N	\N	\N	\N	\N	\N	f	
26669	19b00e3c-9e04-4f5f-af60-c954e00d4b06	St. Marys, Georgia	St. Marys, Georgia	3	0	2013-09-08 01:57:58.938572+02	\N	\N	\N	\N	\N	\N	f	
21984	880c2896-cb06-4468-83da-3d4b0569eb24	Châteauguay	Châteauguay	3	0	2013-08-07 11:21:05.721755+02	\N	\N	\N	\N	\N	\N	f	
25546	3e889238-f385-4a2a-9ac7-fb99ffd9118d	California, Kentucky	California, Kentucky	3	0	2013-09-07 12:54:10.390084+02	\N	\N	\N	\N	\N	\N	f	
25630	36d2fa31-686a-4784-b90e-41a73c98395a	Gardner	Gardner	3	0	2013-09-07 13:16:48.786988+02	\N	\N	\N	\N	\N	\N	f	
26024	4726850f-5523-4281-8bed-4d5d61e5a6cb	Bellemeade, Kentucky	Bellemeade, Kentucky	3	0	2013-09-07 17:49:07.251852+02	\N	\N	\N	\N	\N	\N	f	
27122	83e7c81b-dddd-40a5-9880-cf6a0975b69a	Hendersonville	Hendersonville	3	0	2013-09-08 05:33:19.540663+02	\N	\N	\N	\N	\N	\N	f	
27176	449964e8-9acd-42a3-947e-1d872857de5c	Kidder	Kidder	3	0	2013-09-08 05:49:08.718711+02	\N	\N	\N	\N	\N	\N	f	
27128	0ada8491-d1c4-4927-bc39-65bd6dfc6a00	Mebane, North Carolina	Mebane, North Carolina	3	0	2013-09-08 05:36:28.29952+02	\N	\N	\N	\N	\N	\N	f	
27458	6e598b25-d50b-43b5-a6dd-8280feada018	Upham, North Dakota	Upham, North Dakota	3	0	2013-09-08 08:01:51.953347+02	\N	\N	\N	\N	\N	\N	f	
27873	9f6db2c8-fdaf-4e11-903c-0e4dfb032ef3	Barnard	Barnard	3	0	2013-09-08 10:20:17.478771+02	\N	\N	\N	\N	\N	\N	f	
28175	83cb35a6-761e-4ebd-9d59-00e034cc2aa6	Novokubansk	Novokubansk	3	0	2013-09-08 14:41:03.628162+02	\N	\N	\N	\N	\N	\N	f	
28109	55be61d2-1560-4c7b-a25d-c25f8038e746	Corry	Corry	3	0	2013-09-08 14:20:49.243869+02	\N	\N	\N	\N	\N	\N	f	
28147	d61b1655-cb57-4e86-8240-f2dbe29d83c5	Podporozhye	Podporozhye	3	0	2013-09-08 14:32:36.50619+02	\N	\N	\N	\N	\N	\N	f	
28327	761feb7a-bbc7-448c-b319-754ec004cf2e	Gilt Edge, Tennessee	Gilt Edge, Tennessee	3	0	2013-09-08 16:51:30.399201+02	\N	\N	\N	\N	\N	\N	f	
28345	09096e52-4ef9-4182-b0c3-98deca8da83b	Hosmer, South Dakota	Hosmer, South Dakota	3	0	2013-09-08 16:56:19.726497+02	\N	\N	\N	\N	\N	\N	f	
28374	524307ff-dba6-4b8e-a396-c363c2b040d8	Jefferson, South Dakota	Jefferson, South Dakota	3	0	2013-09-08 17:03:57.753806+02	\N	\N	\N	\N	\N	\N	f	
28501	e72a3bf2-4f3d-4a87-8633-991da46fc1ba	Forest Hill	Forest Hill	3	0	2013-09-08 20:30:02.156791+02	\N	\N	\N	\N	\N	\N	f	
28537	57a5a74a-3699-452c-bd6b-03c295c1bff4	Anson, Texas	Anson, Texas	3	0	2013-09-08 20:41:21.008786+02	\N	\N	\N	\N	\N	\N	f	
28637	75e306fe-6fa4-4c6b-a01d-2379f6b0775e	Point Blank	Point Blank	3	0	2013-09-08 21:09:28.158341+02	\N	\N	\N	\N	\N	\N	f	
28745	d98fbf27-3b54-4c6f-bfe8-460196889dcd	Menard	Menard	3	0	2013-09-08 23:47:26.983022+02	\N	\N	\N	\N	\N	\N	f	
28784	25613797-bf43-475b-977f-d380c27c4ce9	Ore City	Ore City	3	0	2013-09-08 23:57:54.142299+02	\N	\N	\N	\N	\N	\N	f	
13197	015bbc51-3f79-480a-91f2-c737f2615d10	Hofors Municipality	Hofors Municipality	4	0	2013-07-16 12:51:48.822501+02	\N	\N	\N	\N	\N	\N	f	
13200	8b5f6fa7-43a2-49b7-9aec-9d4866430b58	Lolland Municipality	Lolland Municipality	4	0	2013-07-16 12:52:53.095254+02	\N	\N	\N	\N	\N	\N	f	
13202	054c7df0-85b1-4e1c-a9cd-78b30b942ea0	Westminster	Westminster	3	0	2013-07-16 12:53:40.090534+02	\N	\N	\N	\N	\N	\N	f	
14163	767d6940-9c1a-4b6e-aca0-112d0529620e	Montemarciano	Montemarciano	4	0	2013-07-21 20:37:24.877801+02	\N	\N	\N	\N	\N	\N	f	
13203	23e69285-d20a-451d-a9d2-450c3dd87256	Skanderborg Municipality	Skanderborg Municipality	4	0	2013-07-16 12:54:01.294766+02	\N	\N	\N	\N	\N	\N	f	
14742	1a2d944b-cf0b-4770-9c78-0ceba450cb0b	Ternengo	Ternengo	4	0	2013-07-21 22:45:49.478525+02	\N	\N	\N	\N	\N	\N	f	
15973	817bf729-4a80-422e-b706-feeff29e9eea	Palermo	Palermo	4	0	2013-07-22 02:37:19.326617+02	\N	\N	\N	\N	\N	\N	f	
15374	f0243d29-fd1e-46a5-8f6a-3a59f1c26637	Massarosa	Massarosa	4	0	2013-07-22 00:30:57.81416+02	\N	\N	\N	\N	\N	\N	f	
16788	53eaa6d3-4858-4a2c-960a-1619b0ff5596	Ulassai	Ulassai	4	0	2013-07-22 04:37:24.666252+02	\N	\N	\N	\N	\N	\N	f	
17881	76f76873-fc41-4d8a-b54e-db318914dc39	Calalzo di Cadore	Calalzo di Cadore	4	0	2013-07-22 07:21:49.458319+02	\N	\N	\N	\N	\N	\N	f	
21986	b5e0675a-c3a1-471c-9997-7443a831152a	Baie-James	Baie-James	3	0	2013-08-07 11:22:54.188605+02	\N	\N	\N	\N	\N	\N	f	
20155	3ebe8892-09ff-4be3-9aa4-52fd870ac7c4	Gonars	Gonars	4	0	2013-07-22 17:36:33.699194+02	\N	\N	\N	\N	\N	\N	f	
18907	e147f56e-e489-4c00-b050-c77791825b2b	Trezzone	Trezzone	4	0	2013-07-22 09:28:38.613392+02	\N	\N	\N	\N	\N	\N	f	
18908	eb5cf0f2-33ec-4090-ab6d-45b96ea884ec	Farra di Soligo	Farra di Soligo	4	0	2013-07-22 09:28:52.54943+02	\N	\N	\N	\N	\N	\N	f	
18988	4966709b-6a26-414f-b786-009414e86a89	Vigasio	Vigasio	4	0	2013-07-22 09:38:43.144725+02	\N	\N	\N	\N	\N	\N	f	
20198	7dda8d30-c36d-4cfb-9638-8e4c9b19df4e	Mereto di Tomba	Mereto di Tomba	4	0	2013-07-22 17:46:35.585684+02	\N	\N	\N	\N	\N	\N	f	
20984	eb173fb0-4c4f-4971-9f8a-185b700f4544	Bolzano	Bolzano	4	0	2013-07-23 17:45:45.54816+02	\N	\N	\N	\N	\N	\N	f	
22009	113b6045-635d-4537-93a6-e57f610ac774	Farmersburg, Iowa	Farmersburg, Iowa	3	0	2013-08-07 14:23:11.745705+02	\N	\N	\N	\N	\N	\N	f	
21078	d3b27129-0bfa-4540-9cd2-c2fe46e067a1	Torre del Greco	Torre del Greco	4	0	2013-07-23 20:47:08.757864+02	\N	\N	\N	\N	\N	\N	f	
21190	3ccc8d85-3ffa-46d5-90e7-d75018c8882c	Montesano sulla Marcellana	Montesano sulla Marcellana	4	0	2013-07-23 23:48:21.418326+02	\N	\N	\N	\N	\N	\N	f	
25498	d0103f75-8577-45e4-9e28-699f861c1777	Offerle, Kansas	Offerle, Kansas	3	0	2013-09-07 12:06:02.592902+02	\N	\N	\N	\N	\N	\N	f	
21381	a92bc830-b8a8-4295-9e03-9040afee3651	Brandizzo	Brandizzo	4	0	2013-07-24 05:49:01.711999+02	\N	\N	\N	\N	\N	\N	f	
24146	f3c4b6df-11ec-4082-b07a-5580c6e71ccd	Fruitland	Fruitland	3	0	2013-09-07 02:59:12.511832+02	\N	\N	\N	\N	\N	\N	f	
21396	05f55a74-0f7b-47e1-b2fe-80a1195fc980	Colle di Val d'Elsa	Colle di Val d'Elsa	4	0	2013-07-24 05:52:36.175491+02	\N	\N	\N	\N	\N	\N	f	
21408	478a2451-1760-4ce2-8399-27e277ee14f7	San Casciano dei Bagni	San Casciano dei Bagni	4	0	2013-07-24 05:55:01.465003+02	\N	\N	\N	\N	\N	\N	f	
21488	6d8828a3-22f7-4bd0-908d-625843accaea	Isolabella	Isolabella	4	0	2013-07-24 08:50:35.536524+02	\N	\N	\N	\N	\N	\N	f	
24181	de6d8341-e500-4c43-b663-29f957ca189b	Washington	Washington	3	0	2013-09-07 03:08:10.187421+02	\N	\N	\N	\N	\N	\N	f	
21491	97c7eddb-609a-4ba3-a5b2-95dfd534933e	Ingria	Ingria	4	0	2013-07-24 08:51:17.767599+02	\N	\N	\N	\N	\N	\N	f	
21592	b06fd5c2-4928-451e-a5e8-ac45f6d41aeb	San Lazzaro di Savena	San Lazzaro di Savena	4	0	2013-07-24 11:50:56.308582+02	\N	\N	\N	\N	\N	\N	f	
28110	f0c2771f-45bc-4b56-848f-7f24eff66b4b	Jeannette	Jeannette	3	0	2013-09-08 14:21:10.15311+02	\N	\N	\N	\N	\N	\N	f	
21644	6f4d79b2-76b5-40fd-82c9-f8411f4e876b	Tresigallo	Tresigallo	4	0	2013-07-24 14:40:42.263822+02	\N	\N	\N	\N	\N	\N	f	
24202	ddd0b137-f315-4554-80b0-bf1140aaf6ee	Jasper, Florida	Jasper, Florida	3	0	2013-09-07 03:13:58.199279+02	\N	\N	\N	\N	\N	\N	f	
21781	51b5fa18-9ef5-4c8b-a53e-284aa5fc1306	Ocean Shores	Ocean Shores	3	0	2013-07-29 05:32:05.672204+02	\N	\N	\N	\N	\N	\N	f	
25548	f11754f1-ca61-4870-8c23-ac99c34ebfd9	Columbus	Columbus	3	0	2013-09-07 12:54:38.356021+02	\N	\N	\N	\N	\N	\N	f	
21885	6f2eeada-54c1-4ee1-a161-67b9354c3c6b	Lima	Lima	3	0	2013-08-05 08:39:06.778471+02	\N	\N	\N	\N	\N	\N	f	
24405	2ba2909e-9cb2-4158-acd6-fd9739db2b2a	Clayton, Georgia	Clayton, Georgia	3	0	2013-09-07 06:37:15.068293+02	\N	\N	\N	\N	\N	\N	f	
21913	ee56c269-8e4e-4f9b-950b-ffa598229b35	Muncie	Muncie	3	0	2013-08-05 23:37:16.541035+02	\N	\N	\N	\N	\N	\N	f	
21932	9de1b5c0-95f8-4a1f-9939-4e0754914b3d	Lexington, Oregon	Lexington, Oregon	3	0	2013-08-06 11:25:27.756426+02	\N	\N	\N	\N	\N	\N	f	
21971	0060b721-58e2-433a-aaf7-3cc3c4250bed	Ukiah	Ukiah	3	0	2013-08-06 14:39:56.92247+02	\N	\N	\N	\N	\N	\N	f	
24915	723bc3e1-5729-4904-89aa-19aa4111a771	Reasnor	Reasnor	3	0	2013-09-07 09:07:27.643924+02	\N	\N	\N	\N	\N	\N	f	
27152	5c2cfc4c-5e85-4892-beb9-f5df715b08f6	Des Peres	Des Peres	3	0	2013-09-08 05:42:47.017453+02	\N	\N	\N	\N	\N	\N	f	
24954	62c15dc8-db5e-404a-951b-d1a58df956a8	Belle Plaine, Kansas	Belle Plaine, Kansas	3	0	2013-09-07 09:25:41.893568+02	\N	\N	\N	\N	\N	\N	f	
26025	5248cbc7-4628-4279-9343-344747ad279b	Dearing	Dearing	3	0	2013-09-07 17:49:21.72097+02	\N	\N	\N	\N	\N	\N	f	
25462	0ed7d4ac-ea9c-4e29-91b3-1be15ae11d8f	Arkansas City, Kansas	Arkansas City, Kansas	3	0	2013-09-07 11:56:08.790738+02	\N	\N	\N	\N	\N	\N	f	
25464	c44e1962-c6cf-4a70-873e-b4aa3ece2528	Deerfield, Kansas	Deerfield, Kansas	3	0	2013-09-07 11:56:47.257099+02	\N	\N	\N	\N	\N	\N	f	
25474	acaffe63-2bb1-4a35-bed0-4a0fe122ebff	Waverly	Waverly	3	0	2013-09-07 11:59:58.833578+02	\N	\N	\N	\N	\N	\N	f	
25488	3fd25029-70c6-42dd-9b32-7eeed52881f1	Reserve, Kansas	Reserve, Kansas	3	0	2013-09-07 12:03:35.510036+02	\N	\N	\N	\N	\N	\N	f	
26098	495922a4-91eb-4957-b4a2-487b7feb695a	Heritage Creek, Kentucky	Heritage Creek, Kentucky	3	0	2013-09-07 18:09:39.490296+02	\N	\N	\N	\N	\N	\N	f	
27460	562c2cad-fa54-4d78-9bcc-df49d0509309	Dickey, North Dakota	Dickey, North Dakota	3	0	2013-09-08 08:02:25.415009+02	\N	\N	\N	\N	\N	\N	f	
26384	c956d093-29cc-4add-a169-38b277f2eeec	Braidwood	Braidwood	3	0	2013-09-07 23:41:26.423139+02	\N	\N	\N	\N	\N	\N	f	
26674	aba8b568-edeb-44c3-942f-f795de3104d4	Lebanon, Indiana	Lebanon, Indiana	3	0	2013-09-08 01:59:25.842982+02	\N	\N	\N	\N	\N	\N	f	
28502	f4838a5d-acb5-4414-8e5b-42c0f7876aab	Hurst	Hurst	3	0	2013-09-08 20:30:21.020662+02	\N	\N	\N	\N	\N	\N	f	
27125	f2715e38-1bc5-4b83-8250-82ffe6d298e5	Amenia, North Dakota	Amenia, North Dakota	3	0	2013-09-08 05:34:19.364848+02	\N	\N	\N	\N	\N	\N	f	
28328	90fcf089-3206-4e4e-918a-cfe94613087b	Big Stone City, South Dakota	Big Stone City, South Dakota	3	0	2013-09-08 16:51:44.296786+02	\N	\N	\N	\N	\N	\N	f	
27523	aa07f7ba-c5fc-4d2d-96dc-76b67f6d7638	Lignite, North Dakota	Lignite, North Dakota	3	0	2013-09-08 08:32:06.582542+02	\N	\N	\N	\N	\N	\N	f	
27798	87a84e7b-f530-4992-803e-42139c76c9b5	Clay Center	Clay Center	3	0	2013-09-08 10:00:25.078528+02	\N	\N	\N	\N	\N	\N	f	
28958	4056f4c1-b83b-44e6-aa0a-77e74572b902	Terrell	Terrell	3	0	2013-09-09 01:39:53.619244+02	\N	\N	\N	\N	\N	\N	f	
28366	76c2c899-2623-4c03-be59-8b1127ecb412	Waubay, South Dakota	Waubay, South Dakota	3	0	2013-09-08 17:01:46.786491+02	\N	\N	\N	\N	\N	\N	f	
28746	2844a22a-1a76-47c9-b824-bb9f8a6eb918	Staples	Staples	3	0	2013-09-08 23:47:42.71722+02	\N	\N	\N	\N	\N	\N	f	
28754	cb26082b-092c-4566-8b4b-823990d20aae	Groveton	Groveton	3	0	2013-09-08 23:49:54.285842+02	\N	\N	\N	\N	\N	\N	f	
28988	a6be23f1-593a-4b09-84ec-40a5a96d7b65	Mobile City	Mobile City	3	0	2013-09-09 01:48:28.72018+02	\N	\N	\N	\N	\N	\N	f	
28959	df029292-5004-4a73-a022-a3f27a4da648	Encinal	Encinal	3	0	2013-09-09 01:40:10.103928+02	\N	\N	\N	\N	\N	\N	f	
29234	8fd08475-ddb2-40aa-ac79-b0fb0921c040	Mannington, West Virginia	Mannington, West Virginia	3	0	2013-09-09 04:13:53.594741+02	\N	\N	\N	\N	\N	\N	f	
29343	879401dc-019c-4fc1-8cd5-d378150be3b5	South Milwaukee	South Milwaukee	3	0	2013-09-09 08:19:59.129057+02	\N	\N	\N	\N	\N	\N	f	
29389	0d6b381d-c9b3-4169-83bd-8c3c7dcbb6df	Seymour	Seymour	3	0	2013-09-09 08:33:27.892423+02	\N	\N	\N	\N	\N	\N	f	
29546	1420ce10-868e-4347-ac9c-b439b86bc0cd	Córdoba	Córdoba	3	0	2013-09-29 11:26:37.421318+02	\N	\N	\N	\N	\N	\N	f	
29464	c90321c3-c9a3-4f2a-a455-037a95e648e3	Holešov	Holešov	3	0	2013-09-18 11:27:21.949465+02	\N	\N	\N	\N	\N	\N	f	
29646	e9fbbdeb-dc14-44f0-a835-7d9f07f37279	Kleinbettingen	Kleinbettingen	3	0	2013-10-11 20:24:42.111698+02	\N	\N	\N	\N	\N	\N	f	
13204	308eda4c-149c-4b7b-af13-35367322d891	Thisted Municipality	Thisted Municipality	4	0	2013-07-16 12:54:12.519082+02	\N	\N	\N	\N	\N	\N	f	
13207	aca96fb2-ce0f-4e79-a574-7a6fc96d99c0	Borås (comuna)	Borås (comuna)	4	0	2013-07-16 12:56:36.858417+02	\N	\N	\N	\N	\N	\N	f	
14164	5dd5c17e-a9d8-4889-b947-af5ab5f574ac	Mergo	Mergo	4	0	2013-07-21 20:37:39.393231+02	\N	\N	\N	\N	\N	\N	f	
14185	ac5b5495-eed7-4447-9861-a35cd3a116b4	Itri	Itri	4	0	2013-07-21 20:42:17.731798+02	\N	\N	\N	\N	\N	\N	f	
15990	99beaefe-b6f2-43af-b826-357e1ff5b8b2	Ceranesi	Ceranesi	4	0	2013-07-22 02:39:14.401472+02	\N	\N	\N	\N	\N	\N	f	
14201	6e03876e-242b-4d4d-a96d-f49305047861	San Felice Circeo	San Felice Circeo	4	0	2013-07-21 20:45:28.556257+02	\N	\N	\N	\N	\N	\N	f	
14258	cdc4c5bd-652a-4155-8daa-f42187f22446	Tempio Pausania	Tempio Pausania	4	0	2013-07-21 20:58:10.867672+02	\N	\N	\N	\N	\N	\N	f	
18257	68e8fdd6-9ebf-4d4b-a193-9eb2d165d47b	Torre de' Busi	Torre de' Busi	4	0	2013-07-22 08:06:06.711261+02	\N	\N	\N	\N	\N	\N	f	
14333	ee526583-693b-47c7-b5fe-c1f3308467e6	Credaro	Credaro	4	0	2013-07-21 21:14:37.239892+02	\N	\N	\N	\N	\N	\N	f	
16795	fb6a3075-7cd9-41a1-aaa2-ccf9bbc87325	Aggius	Aggius	4	0	2013-07-22 04:39:01.17973+02	\N	\N	\N	\N	\N	\N	f	
14745	0305383f-aab6-41b3-bda0-4bb32d6c8375	Pontechianale	Pontechianale	4	0	2013-07-21 22:46:38.865571+02	\N	\N	\N	\N	\N	\N	f	
17882	bbcccd08-1aaf-47f9-944e-4e3222439051	Ponte Nizza	Ponte Nizza	4	0	2013-07-22 07:21:58.958079+02	\N	\N	\N	\N	\N	\N	f	
14794	5fc550e3-243c-49a3-b01e-6287721944ef	Battifollo	Battifollo	4	0	2013-07-21 22:57:14.924254+02	\N	\N	\N	\N	\N	\N	f	
14807	cf6466b9-1e1a-47da-b9ce-65944700399a	Campagnatico	Campagnatico	4	0	2013-07-21 23:00:07.815626+02	\N	\N	\N	\N	\N	\N	f	
14812	c33d0fa7-d77d-4ef4-9299-ee01ca9d270f	Porto Venere	Porto Venere	4	0	2013-07-21 23:01:07.828594+02	\N	\N	\N	\N	\N	\N	f	
17886	85e4c3ef-3d2d-42e9-8626-290d9b464d4a	Rovescala	Rovescala	4	0	2013-07-22 07:22:27.662742+02	\N	\N	\N	\N	\N	\N	f	
14824	dd434471-bcf6-4efc-b3d2-679c66963c33	Cartoceto	Cartoceto	4	0	2013-07-21 23:03:54.567237+02	\N	\N	\N	\N	\N	\N	f	
14835	89665404-2e7e-4ac3-8c85-6cf4e2f1d308	Fermignano	Fermignano	4	0	2013-07-21 23:06:34.817685+02	\N	\N	\N	\N	\N	\N	f	
17887	16b7e695-635b-44b3-98c1-4235a927bef3	Viggiù	Viggiù	4	0	2013-07-22 07:22:29.11159+02	\N	\N	\N	\N	\N	\N	f	
21887	b2c174bb-50b4-446d-80ac-ad685915d4be	Chardon	Chardon	3	0	2013-08-05 08:39:45.167117+02	\N	\N	\N	\N	\N	\N	f	
14944	fc023f36-3fb6-4962-8a6c-fd622cbe31d7	Lagnasco	Lagnasco	4	0	2013-07-21 23:28:45.753438+02	\N	\N	\N	\N	\N	\N	f	
18263	9f97937c-0b27-4ddf-9daf-606f01b7e84a	Introzzo	Introzzo	4	0	2013-07-22 08:06:45.861315+02	\N	\N	\N	\N	\N	\N	f	
14949	05eeafe0-f32f-4dc6-9d3e-ec36d774f066	Lisio	Lisio	4	0	2013-07-21 23:29:22.696374+02	\N	\N	\N	\N	\N	\N	f	
14964	3949aa30-ad7d-42e6-91e6-a88db42134d3	Levice	Levice	4	0	2013-07-21 23:31:08.772627+02	\N	\N	\N	\N	\N	\N	f	
14972	84e6f225-c219-43ee-8190-38a66c0af2bc	Monastero di Vasco	Monastero di Vasco	4	0	2013-07-21 23:32:16.929596+02	\N	\N	\N	\N	\N	\N	f	
15380	c504de1e-163a-4ecd-8461-99bebd254398	Pescaglia	Pescaglia	4	0	2013-07-22 00:32:12.532042+02	\N	\N	\N	\N	\N	\N	f	
17900	56cfc2b8-58a9-49be-b5bd-5e1ead7be1fd	Pieve del Cairo	Pieve del Cairo	4	0	2013-07-22 07:24:01.997744+02	\N	\N	\N	\N	\N	\N	f	
15393	d61c6452-732b-4d22-953f-b25c2257d61f	Bolzano Novarese	Bolzano Novarese	4	0	2013-07-22 00:35:27.950026+02	\N	\N	\N	\N	\N	\N	f	
15445	353486f5-c1a7-47e3-8077-77d1a47aa14e	Antrodoco	Antrodoco	4	0	2013-07-22 00:47:03.401391+02	\N	\N	\N	\N	\N	\N	f	
17931	0be7d942-23e6-4c24-88ac-24369e395663	Villimpenta	Villimpenta	4	0	2013-07-22 07:28:07.844574+02	\N	\N	\N	\N	\N	\N	f	
18913	d91cfa20-0283-4783-ba1c-ca443041b012	Inverigo	Inverigo	4	0	2013-07-22 09:29:23.537638+02	\N	\N	\N	\N	\N	\N	f	
18087	ed10118d-31ec-4c02-a47a-7df8995b4cdb	Gazoldo degli Ippoliti	Gazoldo degli Ippoliti	4	0	2013-07-22 07:46:14.587968+02	\N	\N	\N	\N	\N	\N	f	
18146	87ffa038-8e79-4ec2-bb91-06fcd66820e0	Casaletto Vaprio	Casaletto Vaprio	4	0	2013-07-22 07:52:56.33865+02	\N	\N	\N	\N	\N	\N	f	
20156	76146485-003c-4bea-9021-d80056e6cf34	Prato Carnico	Prato Carnico	4	0	2013-07-22 17:36:45.840331+02	\N	\N	\N	\N	\N	\N	f	
18151	e1928810-ad85-46c6-8136-7c9c8172ae00	Moscazzano	Moscazzano	4	0	2013-07-22 07:53:27.144836+02	\N	\N	\N	\N	\N	\N	f	
18915	59d69134-cece-44a4-93bf-c68d13faf1e3	Peschiera del Garda	Peschiera del Garda	4	0	2013-07-22 09:29:39.888619+02	\N	\N	\N	\N	\N	\N	f	
18153	cd7ac262-2f2d-4f53-a27b-c2b7c2358123	Scafati	Scafati	4	0	2013-07-22 07:53:39.470613+02	\N	\N	\N	\N	\N	\N	f	
18185	bb7472ce-3e3b-44ff-9fa9-2cbbd55a12b9	Offanengo	Offanengo	4	0	2013-07-22 07:57:50.243462+02	\N	\N	\N	\N	\N	\N	f	
18186	145a3bc2-dc0b-4ee7-ab18-60f8f9cf8964	Carpiano	Carpiano	4	0	2013-07-22 07:58:00.577452+02	\N	\N	\N	\N	\N	\N	f	
18924	03f18f85-b693-4ebf-9eb6-57269e0af8ae	Isola della Scala	Isola della Scala	4	0	2013-07-22 09:30:53.830153+02	\N	\N	\N	\N	\N	\N	f	
18201	d3f38702-0600-4e42-bc17-b0e05d84e8d3	Boffalora sopra Ticino	Boffalora sopra Ticino	4	0	2013-07-22 07:59:46.536617+02	\N	\N	\N	\N	\N	\N	f	
18226	d8958f7d-f122-4134-8724-6fafd262798a	Sustinente	Sustinente	4	0	2013-07-22 08:02:42.107977+02	\N	\N	\N	\N	\N	\N	f	
21594	d8ebc6b5-995a-4814-98e8-aa47a7ff76b9	Ussita	Ussita	4	0	2013-07-24 11:51:23.132602+02	\N	\N	\N	\N	\N	\N	f	
20986	bd96ff73-4ebf-4989-b3bc-ca17463d3a73	Vicenza	Vicenza	4	0	2013-07-23 17:46:15.112145+02	\N	\N	\N	\N	\N	\N	f	
21914	0216e117-25b5-4923-862c-72980bc3238f	Crown Point, Indiana	Crown Point, Indiana	3	0	2013-08-05 23:38:12.010491+02	\N	\N	\N	\N	\N	\N	f	
18937	c672aa56-7caa-4140-81f9-f432387d29b8	Piedimonte Etneo	Piedimonte Etneo	4	0	2013-07-22 09:32:20.622468+02	\N	\N	\N	\N	\N	\N	f	
21079	5556468f-4a19-45de-8aeb-628a7810f60c	Torre Annunziata	Torre Annunziata	4	0	2013-07-23 20:47:22.885491+02	\N	\N	\N	\N	\N	\N	f	
21112	6b117c9c-1248-4127-9bc1-5a438fec3cb9	Castel San Lorenzo	Castel San Lorenzo	4	0	2013-07-23 20:57:03.096201+02	\N	\N	\N	\N	\N	\N	f	
21595	87f9ed0b-faa2-4dc1-9d5a-23fc1d64538f	Azzano San Paolo	Azzano San Paolo	4	0	2013-07-24 11:51:36.251663+02	\N	\N	\N	\N	\N	\N	f	
21191	9b3f6621-ac18-41df-b720-58a4b86703cb	Positano	Positano	4	0	2013-07-23 23:48:34.887298+02	\N	\N	\N	\N	\N	\N	f	
21382	f51de996-e1d5-4635-aed8-bd32759b3b60	Bruino	Bruino	4	0	2013-07-24 05:49:14.979371+02	\N	\N	\N	\N	\N	\N	f	
21987	30586102-fef7-4b60-98e4-7763672c11fc	Adelaide	Adelaide	3	0	2013-08-07 11:31:25.609199+02	\N	\N	\N	\N	\N	\N	f	
21489	0505f97f-03e5-42cd-b16d-791e0da9196a	La Loggia	La Loggia	4	0	2013-07-24 08:50:48.718665+02	\N	\N	\N	\N	\N	\N	f	
21614	aafc5d04-6080-4bb4-9d7e-76fb7e749685	Aviatico	Aviatico	4	0	2013-07-24 11:55:48.271774+02	\N	\N	\N	\N	\N	\N	f	
21933	1d06af88-d421-42f5-941f-c91953e8df05	Overly, North Dakota	Overly, North Dakota	3	0	2013-08-06 11:25:52.420745+02	\N	\N	\N	\N	\N	\N	f	
21645	2829be4c-2cc2-4cab-8cda-02a857d6c878	Reggiolo	Reggiolo	4	0	2013-07-24 14:40:58.038189+02	\N	\N	\N	\N	\N	\N	f	
21683	6855d46b-5753-4f5d-9f05-dcd3b506f44e	Bagno di Romagna	Bagno di Romagna	4	0	2013-07-24 14:53:23.911763+02	\N	\N	\N	\N	\N	\N	f	
21784	b83bd8ff-6283-4d67-8a9f-52f52d1f5fbd	Mount Vernon	Mount Vernon	3	0	2013-07-29 05:38:37.534321+02	\N	\N	\N	\N	\N	\N	f	
21938	f26169a9-af9c-436c-ba61-4ce3d22e9867	Imbler, Oregon	Imbler, Oregon	3	0	2013-08-06 11:29:06.745982+02	\N	\N	\N	\N	\N	\N	f	
22011	d451b57e-20c8-4a65-a7c6-2da734f8163a	Clive, Iowa	Clive, Iowa	3	0	2013-08-07 14:24:08.628622+02	\N	\N	\N	\N	\N	\N	f	
24147	22dac3c3-3df5-46a9-b328-6580fea02dfb	Spencer	Spencer	3	0	2013-09-07 02:59:26.243452+02	\N	\N	\N	\N	\N	\N	f	
24200	7ebec8d3-09d1-4566-95e3-5cb1fe2dbdf1	Arcade, Georgia	Arcade, Georgia	3	0	2013-09-07 03:13:24.207003+02	\N	\N	\N	\N	\N	\N	f	
24406	9a85d16d-31be-4a55-91e9-71289dbbc919	Varnell, Georgia	Varnell, Georgia	3	0	2013-09-07 06:37:28.732575+02	\N	\N	\N	\N	\N	\N	f	
24917	4e54e2e3-5de7-49b5-9504-3064248716a0	Sageville	Sageville	3	0	2013-09-07 09:07:57.244148+02	\N	\N	\N	\N	\N	\N	f	
25463	a3e679bb-184e-4214-9526-23d5bb88b905	Colony	Colony	3	0	2013-09-07 11:56:28.860074+02	\N	\N	\N	\N	\N	\N	f	
25550	4f6266a3-64f1-4c93-b28f-06d6a7740430	Carrollton, Kentucky	Carrollton, Kentucky	3	0	2013-09-07 12:55:14.523437+02	\N	\N	\N	\N	\N	\N	f	
25565	9c583196-d640-4bfd-be58-22b0cbdc65e9	Tescott, Kansas	Tescott, Kansas	3	0	2013-09-07 12:59:35.762367+02	\N	\N	\N	\N	\N	\N	f	
25574	aebc083d-1c44-4a45-9267-14e27684ef9c	Muldraugh, Kentucky	Muldraugh, Kentucky	3	0	2013-09-07 13:02:14.056099+02	\N	\N	\N	\N	\N	\N	f	
25637	f0a58500-2ac9-4856-8221-d743847604f1	West Point, Kentucky	West Point, Kentucky	3	0	2013-09-07 13:18:41.274528+02	\N	\N	\N	\N	\N	\N	f	
25650	0367b4a1-e43f-4e63-b2a8-31ad79f6f555	Van Wert	Van Wert	3	0	2013-09-07 13:22:06.868067+02	\N	\N	\N	\N	\N	\N	f	
13208	2af803be-dccc-48d1-8a9c-0c315837935e	Nacka municipality	Nacka municipality	4	0	2013-07-16 12:57:15.935835+02	\N	\N	\N	\N	\N	\N	f	
13209	7adf6601-bb66-4f89-88d3-e089a1050393	Lycksele Municipality	Lycksele Municipality	4	0	2013-07-16 12:57:27.765547+02	\N	\N	\N	\N	\N	\N	f	
13210	e0299916-eef8-4eee-8311-718ea441f902	Sundbyberg municipality	Sundbyberg municipality	4	0	2013-07-16 12:58:55.400565+02	\N	\N	\N	\N	\N	\N	f	
13232	ebeb1919-1b4a-4f0d-95a1-7a5e53f553eb	Munkebo	Munkebo	3	0	2013-07-18 08:21:26.132167+02	\N	\N	\N	\N	\N	\N	f	
13211	1fd9ef96-5e49-4155-8470-2321755c6cf3	Bosilegrad	Bosilegrad	3	0	2013-07-17 02:22:55.326618+02	\N	\N	\N	\N	\N	\N	f	
13212	222c38fa-5668-4f67-98c4-f619f0670cf8	Vladičin Han	Vladičin Han	3	0	2013-07-17 02:31:06.608+02	\N	\N	\N	\N	\N	\N	f	
13213	a940eaea-7b4c-413f-9a2b-4be1a5833b3d	Juba	Juba	3	0	2013-07-17 17:20:36.196006+02	\N	\N	\N	\N	\N	\N	f	
13233	55e4cc23-e0d4-46ec-a4e5-a8b3f38cf24a	Hørsholm	Hørsholm	3	0	2013-07-18 08:22:28.165555+02	\N	\N	\N	\N	\N	\N	f	
13214	06947da0-561a-417d-acf7-656bb9bb53b6	Khabarovsk	Khabarovsk	3	0	2013-07-17 17:27:10.386548+02	\N	\N	\N	\N	\N	\N	f	
13215	70d83ae8-9858-4fc3-8a65-3c81cedbe14a	Larkhall	Larkhall	3	0	2013-07-17 23:16:55.993051+02	\N	\N	\N	\N	\N	\N	f	
13247	9aacf338-539e-470b-abd6-4ba1a2fcf9db	Jona	Jona	3	0	2013-07-18 08:33:48.132214+02	\N	\N	\N	\N	\N	\N	f	
13216	64abaf4f-769c-4268-af90-cebc8885531d	City of Winchester	City of Winchester	3	0	2013-07-17 23:17:36.390432+02	\N	\N	\N	\N	\N	\N	f	
13234	9bb7b525-606d-4dc1-ac6f-4d6cee0dd92b	Edessa	Edessa	3	0	2013-07-18 08:22:53.350978+02	\N	\N	\N	\N	\N	\N	f	
13217	833b4fc9-abe8-4b23-9c55-516a60e5a7bb	Peshawar	Peshawar	3	0	2013-07-17 23:17:57.75846+02	\N	\N	\N	\N	\N	\N	f	
13218	e27eacd2-af22-4b62-8742-37a88a40e02b	Tena	Tena	3	0	2013-07-17 23:19:15.323963+02	\N	\N	\N	\N	\N	\N	f	
13219	7ab363df-ec7d-4a26-90f2-51aadd65fc4a	Khartoum	Khartoum	3	0	2013-07-17 23:21:27.360451+02	\N	\N	\N	\N	\N	\N	f	
13235	cadab571-5d70-45d7-9e1d-843f6cb78bb5	Vilnius	Vilnius	3	0	2013-07-18 08:23:29.654831+02	\N	\N	\N	\N	\N	\N	f	
13220	9f08cfee-a784-4411-943c-9cbebf0a7dce	Kabo	Kabo	3	0	2013-07-17 23:24:32.251239+02	\N	\N	\N	\N	\N	\N	f	
13221	25afdc64-72b2-4c08-9e82-1a9463e2026b	Mora	Mora	3	0	2013-07-17 23:26:06.614012+02	\N	\N	\N	\N	\N	\N	f	
13222	36c046cd-69a0-439b-a4e6-5d71c9a4aae5	Guittena	Guittena	3	0	2013-07-17 23:26:53.116551+02	\N	\N	\N	\N	\N	\N	f	
13236	3d1edf58-ef3e-439f-8a14-4d07592d06f2	Goumenissa	Goumenissa	3	0	2013-07-18 08:25:02.460413+02	\N	\N	\N	\N	\N	\N	f	
13223	cc409b57-dc77-42b0-b899-b9f98a5e80c0	Siddhara	Siddhara	3	0	2013-07-17 23:27:35.863455+02	\N	\N	\N	\N	\N	\N	f	
13224	e1b5a7e3-31fd-4ed9-bff8-96cfc044c824	Colombo	Colombo	3	0	2013-07-17 23:27:58.433095+02	\N	\N	\N	\N	\N	\N	f	
13248	8c29fba3-7ffd-4b9c-8c84-a9435016c796	Werdenberg	Werdenberg	3	0	2013-07-18 08:34:08.835165+02	\N	\N	\N	\N	\N	\N	f	
13225	311ce77a-605b-4ca6-9b3b-c3f4ddfcbf01	Dakar	Dakar	3	0	2013-07-17 23:28:21.257892+02	\N	\N	\N	\N	\N	\N	f	
13237	a85ff631-4b29-4c10-8534-6f3a5b157050	Slagelse	Slagelse	4	0	2013-07-18 08:28:02.642904+02	\N	\N	\N	\N	\N	\N	f	
13226	725210c4-3f89-4f49-a508-794e92f700ef	Damascus	Damascus	3	0	2013-07-17 23:28:32.867063+02	\N	\N	\N	\N	\N	\N	f	
13227	e5c3eaae-6e9d-468a-8d1d-0a1431f05d27	Al-Alani	Al-Alani	3	0	2013-07-17 23:29:19.201059+02	\N	\N	\N	\N	\N	\N	f	
13228	12aad820-62cb-4e97-8587-8e1565dc7843	Beaufort	Beaufort	3	0	2013-07-17 23:33:23.015217+02	\N	\N	\N	\N	\N	\N	f	
13238	d6993665-291a-4e6f-a5b7-99a5b3e34e4d	Valkeakoski	Valkeakoski	3	0	2013-07-18 08:28:34.968071+02	\N	\N	\N	\N	\N	\N	f	
13229	f1221edb-09b7-4a16-8083-fbab09b37d7c	Georgetown	Georgetown	3	0	2013-07-18 08:17:26.512808+02	\N	\N	\N	\N	\N	\N	f	
13230	b157fc94-202b-4999-b841-fade08e9fca8	Livingston	Livingston	3	0	2013-07-18 08:18:01.872315+02	\N	\N	\N	\N	\N	\N	f	
13257	cae770b2-685b-4db7-8bad-bf64da54188b	Bangor	Bangor	3	0	2013-07-19 14:23:48.438917+02	\N	\N	\N	\N	\N	\N	f	
13231	007030fa-da44-4a06-80a2-5cc5bb420ca1	Kotka	Kotka	3	0	2013-07-18 08:20:20.222615+02	\N	\N	\N	\N	\N	\N	f	
13249	2d85645d-51c3-45bd-b0ef-95adc20bf7c9	Yeremes	Yeremes	3	0	2013-07-18 08:35:45.543845+02	\N	\N	\N	\N	\N	\N	f	
13239	5c799c89-94f3-4591-a08c-c2a3faa30c8e	Slagelse	Slagelse	3	0	2013-07-18 08:29:06.372368+02	\N	\N	\N	\N	\N	\N	f	
13240	72c98e5a-a528-49e8-9680-6a99eb6a490a	Roseau	Roseau	3	0	2013-07-18 08:29:33.483567+02	\N	\N	\N	\N	\N	\N	f	
13241	eac95d36-21f5-410f-80ed-ade6bc32267e	St. John's	St. John's	3	0	2013-07-18 08:29:47.277237+02	\N	\N	\N	\N	\N	\N	f	
13250	e5e89291-652d-4245-b2ac-84a2e20ba506	Florida	Florida	3	0	2013-07-18 08:36:11.881538+02	\N	\N	\N	\N	\N	\N	f	
13242	9c53d687-19a8-4fe2-a7e7-c241cebdf267	Ararat	Ararat	3	0	2013-07-18 08:30:17.572328+02	\N	\N	\N	\N	\N	\N	f	
13243	bcad4d14-ffa4-4e33-aef8-17138d73043f	Castries	Castries	3	0	2013-07-18 08:30:36.649967+02	\N	\N	\N	\N	\N	\N	f	
13263	fd7f909d-58e8-4012-9eef-680c2696e446	Brembilla	Brembilla	4	0	2013-07-21 17:17:38.579934+02	\N	\N	\N	\N	\N	\N	f	
13244	f0767593-4287-43a1-96e7-54fbb8cfc505	St. George's	St. George's	3	0	2013-07-18 08:30:48.174286+02	\N	\N	\N	\N	\N	\N	f	
13251	adc65594-1bb7-4e25-8978-38279bf4059d	Pasing	Pasing	3	0	2013-07-18 17:24:11.948084+02	\N	\N	\N	\N	\N	\N	f	
13245	6ab5ffb9-ce25-49d2-aefa-ae55a3d397a9	Piraeus	Piraeus	3	0	2013-07-18 08:32:49.61371+02	\N	\N	\N	\N	\N	\N	f	
13258	37575df3-6327-4964-b23c-eac843a263b1	Newry	Newry	3	0	2013-07-19 14:25:49.835369+02	\N	\N	\N	\N	\N	\N	f	
13246	814839ec-f9dc-4771-85a4-4581248cacee	Vanadzor	Vanadzor	3	0	2013-07-18 08:33:19.126507+02	\N	\N	\N	\N	\N	\N	f	
13252	d46bfbc9-a5ae-437c-b641-f9e413dc1cc3	Inverness	Inverness	3	0	2013-07-19 14:18:33.874688+02	\N	\N	\N	\N	\N	\N	f	
13253	51d31600-8881-4175-a2f4-d25e08f767d1	Londonderry	Londonderry	3	0	2013-07-19 14:18:45.804268+02	\N	\N	\N	\N	\N	\N	f	
13259	8471f6e7-3385-4423-b8a9-4893494fd44c	St Asaph	St Asaph	3	0	2013-07-19 14:29:11.655238+02	\N	\N	\N	\N	\N	\N	f	
13254	533290c1-18d5-4c3d-bda9-2142e6e533cc	Lisburn	Lisburn	3	0	2013-07-19 14:19:22.313288+02	\N	\N	\N	\N	\N	\N	f	
13255	b2038f59-92ba-4520-8e9f-b006b7e50aa9	Stirling	Stirling	3	0	2013-07-19 14:19:33.999933+02	\N	\N	\N	\N	\N	\N	f	
13256	d9eaa7c1-2801-4732-8780-b37a383a33dc	Armagh	Armagh	3	0	2013-07-19 14:21:06.502013+02	\N	\N	\N	\N	\N	\N	f	
13264	13c32937-68ed-44f6-8450-dbb227e326a7	Fanano	Fanano	4	0	2013-07-21 17:17:55.908261+02	\N	\N	\N	\N	\N	\N	f	
13260	eaeae80e-6468-45d2-bdfb-ff1b329b51e2	St Davids	St Davids	3	0	2013-07-19 14:30:21.841246+02	\N	\N	\N	\N	\N	\N	f	
13261	cab8a5a5-cafe-45c1-9526-5d6dead522d2	Jetpur, Navagadh	Jetpur, Navagadh	3	0	2013-07-20 23:32:29.618416+02	\N	\N	\N	\N	\N	\N	f	
13268	44cf4cff-f9a5-4a92-964e-37c6e71c8f81	Brignano Gera d'Adda	Brignano Gera d'Adda	4	0	2013-07-21 17:18:47.683979+02	\N	\N	\N	\N	\N	\N	f	
13262	e4b84acb-9602-4d24-b69f-06f11d96179d	Castelfranco Emilia	Castelfranco Emilia	4	0	2013-07-21 17:17:17.635949+02	\N	\N	\N	\N	\N	\N	f	
13265	0af1f59b-fb7e-42cb-ba02-ad9cc7de4833	Finale Emilia	Finale Emilia	4	0	2013-07-21 17:18:09.984013+02	\N	\N	\N	\N	\N	\N	f	
13266	fd4410a9-cd11-4f11-b2c1-e9405e48f5eb	Medolla	Medolla	4	0	2013-07-21 17:18:23.939271+02	\N	\N	\N	\N	\N	\N	f	
13270	f3487e8a-624e-4809-a03f-ad038fe06fbe	Frassinoro	Frassinoro	4	0	2013-07-21 17:19:15.74587+02	\N	\N	\N	\N	\N	\N	f	
13267	4b1c5499-3757-4210-b1da-2e515f77a882	Fiorano Modenese	Fiorano Modenese	4	0	2013-07-21 17:18:35.717891+02	\N	\N	\N	\N	\N	\N	f	
13269	0be72672-db31-444b-b93a-665a8da77f01	Cavezzo	Cavezzo	4	0	2013-07-21 17:19:01.839282+02	\N	\N	\N	\N	\N	\N	f	
13272	cf4e7718-0b85-4813-a534-e3d3bf0197ad	Brusaporto	Brusaporto	4	0	2013-07-21 17:19:38.680701+02	\N	\N	\N	\N	\N	\N	f	
13271	48bcf48d-4b14-4ed9-94ed-ebddf13c810b	Castelvetro di Modena	Castelvetro di Modena	4	0	2013-07-21 17:19:27.223565+02	\N	\N	\N	\N	\N	\N	f	
13273	21e999e6-0510-4231-9a12-7325d8fb2be4	Lama Mocogno	Lama Mocogno	4	0	2013-07-21 17:19:50.269412+02	\N	\N	\N	\N	\N	\N	f	
13274	c9616bd3-28e4-48ac-a2d9-08c37213b045	Bastiglia	Bastiglia	4	0	2013-07-21 17:20:01.858633+02	\N	\N	\N	\N	\N	\N	f	
13275	942d58f7-d0a3-4235-9989-31a7616f3574	Formigine	Formigine	4	0	2013-07-21 17:20:13.589942+02	\N	\N	\N	\N	\N	\N	f	
13276	db0f91fb-fb7f-4a0b-8db9-6349b26d3268	Camposanto	Camposanto	4	0	2013-07-21 17:20:25.232704+02	\N	\N	\N	\N	\N	\N	f	
13277	029c2ca9-6fbd-4beb-bb43-da864386fc3e	Campogalliano	Campogalliano	4	0	2013-07-21 17:20:36.69055+02	\N	\N	\N	\N	\N	\N	f	
13278	37ab5ef9-131f-43ea-a487-1da4bc83ccbc	Concordia sulla Secchia	Concordia sulla Secchia	4	0	2013-07-21 17:20:48.495006+02	\N	\N	\N	\N	\N	\N	f	
13279	7e5aa462-2519-4eee-a216-e59686f56122	Carpi, Emilia-Romagna	Carpi, Emilia-Romagna	4	0	2013-07-21 17:20:59.957323+02	\N	\N	\N	\N	\N	\N	f	
13280	c156f625-f1dd-4b85-8b70-b1d06054182b	Bomporto	Bomporto	4	0	2013-07-21 17:21:11.355779+02	\N	\N	\N	\N	\N	\N	f	
13281	9583949c-73da-45ba-bc7b-5fe53a97c7fa	Marano sul Panaro	Marano sul Panaro	4	0	2013-07-21 17:21:22.972993+02	\N	\N	\N	\N	\N	\N	f	
13410	bd89a82f-0b20-489e-b33b-476638990ee9	Filago	Filago	4	0	2013-07-21 17:49:13.093562+02	\N	\N	\N	\N	\N	\N	f	
13282	1e9eef14-12d9-43b9-826f-9328721264ae	Mirandola	Mirandola	4	0	2013-07-21 17:21:34.637576+02	\N	\N	\N	\N	\N	\N	f	
13283	572ccf21-36c9-4d89-bb43-b3d9663ada31	Fiumalbo	Fiumalbo	4	0	2013-07-21 17:21:46.050752+02	\N	\N	\N	\N	\N	\N	f	
13285	db3b91eb-a95d-4191-881c-86df65e08114	Castelnuovo Rangone	Castelnuovo Rangone	4	0	2013-07-21 17:22:08.992282+02	\N	\N	\N	\N	\N	\N	f	
13427	d9f65ba6-bc75-45f2-a112-7fd47df10df0	Lallio	Lallio	4	0	2013-07-21 17:52:48.097016+02	\N	\N	\N	\N	\N	\N	f	
13286	d7a1d78a-2122-4b4e-a858-1818d11d6446	Brumano	Brumano	4	0	2013-07-21 17:22:20.783266+02	\N	\N	\N	\N	\N	\N	f	
13287	15553054-3b0f-4a17-b875-90ff2c10ebee	Guiglia	Guiglia	4	0	2013-07-21 17:22:32.140195+02	\N	\N	\N	\N	\N	\N	f	
14166	eb80f5b0-1430-4da7-bde3-f273eba0d809	Castel Colonna	Castel Colonna	4	0	2013-07-21 20:38:06.484484+02	\N	\N	\N	\N	\N	\N	f	
13288	24f21c91-0f24-419f-bd0f-3e9f4588f2ef	Pievepelago	Pievepelago	4	0	2013-07-21 17:22:55.879783+02	\N	\N	\N	\N	\N	\N	f	
13428	d740293e-31d1-40ee-b61f-5237f9a4d35b	Fonteno	Fonteno	4	0	2013-07-21 17:53:02.542665+02	\N	\N	\N	\N	\N	\N	f	
13289	fdf50786-7f58-42d1-ad20-2435d7f4b1f7	Casirate d'Adda	Casirate d'Adda	4	0	2013-07-21 17:23:08.11261+02	\N	\N	\N	\N	\N	\N	f	
13290	5833ff1a-8697-4f5d-b944-dae9a31d46ab	Calcinate	Calcinate	4	0	2013-07-21 17:23:19.618773+02	\N	\N	\N	\N	\N	\N	f	
13291	fdc7e31b-9bbe-442c-91d2-4a26d2012a6a	Palagano	Palagano	4	0	2013-07-21 17:23:32.3985+02	\N	\N	\N	\N	\N	\N	f	
13441	ea26d132-be1b-4ea1-9bae-ec4e9abad9f0	Foppolo	Foppolo	4	0	2013-07-21 17:56:07.46174+02	\N	\N	\N	\N	\N	\N	f	
13292	9195b3e9-e93c-4d49-bdc7-4656af39fa70	Capriate San Gervasio	Capriate San Gervasio	4	0	2013-07-21 17:23:43.859048+02	\N	\N	\N	\N	\N	\N	f	
13293	b07a3519-8e56-49ae-becc-1e678a7e6739	Ravarino	Ravarino	4	0	2013-07-21 17:23:56.636784+02	\N	\N	\N	\N	\N	\N	f	
15991	1f8c3b42-68e5-420d-8073-f734d557be31	Savignone	Savignone	4	0	2013-07-22 02:39:18.837063+02	\N	\N	\N	\N	\N	\N	f	
13294	92710da2-af8e-4d99-bbbe-643f3ba7bf36	Castelli Calepio	Castelli Calepio	4	0	2013-07-21 17:24:08.17471+02	\N	\N	\N	\N	\N	\N	f	
13449	585c1032-9f53-42d7-be31-375309614fb7	Nembro	Nembro	4	0	2013-07-21 17:58:10.602418+02	\N	\N	\N	\N	\N	\N	f	
13296	01fc4182-30cc-4eb5-8f21-5c789a4bc5e4	Sestola	Sestola	4	0	2013-07-21 17:24:31.07663+02	\N	\N	\N	\N	\N	\N	f	
14291	7fc3209e-f57e-406e-b98c-fcbb5816be5d	Sassetta, Tuscany	Sassetta, Tuscany	4	0	2013-07-21 21:05:46.307268+02	\N	\N	\N	\N	\N	\N	f	
13304	89b71a1c-4420-4fae-8ba9-3e794549e822	Montecreto	Montecreto	4	0	2013-07-21 17:26:08.875332+02	\N	\N	\N	\N	\N	\N	f	
13312	cf90aaa4-15c7-4828-bb25-b5557a7d4d65	Montefiorino	Montefiorino	4	0	2013-07-21 17:27:45.471041+02	\N	\N	\N	\N	\N	\N	f	
13319	54cd9a64-3a36-47ee-9983-7b8edaa3829b	Nonantola	Nonantola	4	0	2013-07-21 17:29:14.497902+02	\N	\N	\N	\N	\N	\N	f	
14746	8e72c39b-0408-4417-9b19-9df89b7bb313	Argentera	Argentera	4	0	2013-07-21 22:46:50.934741+02	\N	\N	\N	\N	\N	\N	f	
13323	cfd63e96-35e8-409f-a8a0-57ac39123bce	Prignano sulla Secchia	Prignano sulla Secchia	4	0	2013-07-21 17:30:07.709367+02	\N	\N	\N	\N	\N	\N	f	
13339	c2e01c22-243e-49ad-be68-e011a9152919	Cisano Bergamasco	Cisano Bergamasco	4	0	2013-07-21 17:34:08.323619+02	\N	\N	\N	\N	\N	\N	f	
13354	1367bc5d-a0cf-4451-9bf2-b81db34f6251	Costa di Serina	Costa di Serina	4	0	2013-07-21 17:37:30.219244+02	\N	\N	\N	\N	\N	\N	f	
15382	c6cda667-19f4-4520-a3fd-6e80a003fd57	San Romano in Garfagnana	San Romano in Garfagnana	4	0	2013-07-22 00:32:43.737656+02	\N	\N	\N	\N	\N	\N	f	
13371	28ead8eb-c653-4dc6-ba80-7a74d287efd3	Calestano	Calestano	4	0	2013-07-21 17:41:10.808412+02	\N	\N	\N	\N	\N	\N	f	
22012	fe7cc591-ad2e-424f-990a-26b89da0ec46	Bonaparte, Iowa	Bonaparte, Iowa	3	0	2013-08-07 14:24:30.610856+02	\N	\N	\N	\N	\N	\N	f	
13397	43f8e48d-fa13-4178-9da8-98cdb683f7ea	Zibello	Zibello	4	0	2013-07-21 17:46:28.906293+02	\N	\N	\N	\N	\N	\N	f	
13404	3b690605-fcd7-45d4-839d-24fddc8883df	Dalmine	Dalmine	4	0	2013-07-21 17:47:57.45253+02	\N	\N	\N	\N	\N	\N	f	
17884	6c931fb2-ba94-4e65-82d8-604171a33ffd	San Martino Siccomario	San Martino Siccomario	4	0	2013-07-22 07:22:14.637819+02	\N	\N	\N	\N	\N	\N	f	
16798	f76fa0e7-2dc0-4f43-83f6-bba543c80a08	Chiaramonte Gulfi	Chiaramonte Gulfi	4	0	2013-07-22 04:39:38.969033+02	\N	\N	\N	\N	\N	\N	f	
17899	4fea49b9-f292-426c-8b17-ca0fac848825	Ceriano Laghetto	Ceriano Laghetto	4	0	2013-07-22 07:23:55.938083+02	\N	\N	\N	\N	\N	\N	f	
20157	460cd006-7d3c-4093-ae8a-028de8c8049f	Marano Lagunare	Marano Lagunare	4	0	2013-07-22 17:36:57.922246+02	\N	\N	\N	\N	\N	\N	f	
17904	b15082ae-aae8-46aa-8b23-ad51af214e22	Villanterio	Villanterio	4	0	2013-07-22 07:24:29.151232+02	\N	\N	\N	\N	\N	\N	f	
17907	202cf04b-496b-43be-b328-a8a2b7bf538b	Tresivio	Tresivio	4	0	2013-07-22 07:24:52.510648+02	\N	\N	\N	\N	\N	\N	f	
17963	1c8dd887-dd38-4e5f-8984-80c99d704bc7	Cornaredo	Cornaredo	4	0	2013-07-22 07:31:33.718168+02	\N	\N	\N	\N	\N	\N	f	
20992	7b28f2d5-f622-4053-adbe-2538d8050591	Cittadella	Cittadella	4	0	2013-07-23 17:47:36.372877+02	\N	\N	\N	\N	\N	\N	f	
17980	a7538fc1-c8ff-49bc-b5cf-62172b79b80b	Bellinzago Lombardo	Bellinzago Lombardo	4	0	2013-07-22 07:33:26.845997+02	\N	\N	\N	\N	\N	\N	f	
21915	24e033d4-7f78-4483-ad4b-6f1250d20050	Mishawaka	Mishawaka	3	0	2013-08-05 23:40:44.752357+02	\N	\N	\N	\N	\N	\N	f	
21597	07e685f7-ec74-4b4d-b23c-c50d6d292ded	Almenno San Bartolomeo	Almenno San Bartolomeo	4	0	2013-07-24 11:52:03.729601+02	\N	\N	\N	\N	\N	\N	f	
21084	ca7b64d2-08f8-435a-88f3-ee768b6e4e09	Terzigno	Terzigno	4	0	2013-07-23 20:48:32.269978+02	\N	\N	\N	\N	\N	\N	f	
18972	36a60eae-962d-409d-ba33-099eb77ed496	Santa Maria di Licodia	Santa Maria di Licodia	4	0	2013-07-22 09:36:37.803798+02	\N	\N	\N	\N	\N	\N	f	
18990	d4bc5075-6456-4a6c-b2fe-7794807601ca	Salgareda	Salgareda	4	0	2013-07-22 09:38:57.455043+02	\N	\N	\N	\N	\N	\N	f	
21192	00ea8414-b6ac-4563-a868-688bac6eca02	Pellezzano	Pellezzano	4	0	2013-07-23 23:48:47.819113+02	\N	\N	\N	\N	\N	\N	f	
21207	84638461-82ea-4865-b904-004e5b084981	Petina, Campania	Petina, Campania	4	0	2013-07-23 23:51:53.889311+02	\N	\N	\N	\N	\N	\N	f	
21646	2f88bcc9-2527-4dce-8bf7-32cdae9766cb	Orbassano	Orbassano	4	0	2013-07-24 14:41:12.667502+02	\N	\N	\N	\N	\N	\N	f	
21383	b7f22ddd-c364-4e05-986f-dc71c999c06c	Brozolo	Brozolo	4	0	2013-07-24 05:49:40.534698+02	\N	\N	\N	\N	\N	\N	f	
21490	478a75e2-0d81-4b72-8450-f0dac59bfaf0	Lanzo Torinese	Lanzo Torinese	4	0	2013-07-24 08:51:04.124402+02	\N	\N	\N	\N	\N	\N	f	
21785	a5ca9050-55c1-4a0f-b744-59ada5e74e9e	Centralia	Centralia	3	0	2013-07-29 05:38:53.894641+02	\N	\N	\N	\N	\N	\N	f	
21661	9189ab91-15c2-4725-9345-3d3dbceefdc5	Pavarolo	Pavarolo	4	0	2013-07-24 14:45:47.846697+02	\N	\N	\N	\N	\N	\N	f	
21682	61c7369d-8d14-43a2-91e9-0f553c051e6d	Gambettola	Gambettola	4	0	2013-07-24 14:53:11.915385+02	\N	\N	\N	\N	\N	\N	f	
21934	c484037e-01ec-41af-8606-a70bee2451ba	Echo, Oregon	Echo, Oregon	3	0	2013-08-06 11:27:16.409013+02	\N	\N	\N	\N	\N	\N	f	
24149	21b589d9-2515-4cfa-9652-864cf9d96c53	Hazelton	Hazelton	3	0	2013-09-07 02:59:53.835312+02	\N	\N	\N	\N	\N	\N	f	
21988	e10a383d-16ee-439e-b5ae-a0e671f28012	Akridge, Georgia	Akridge, Georgia	3	0	2013-08-07 11:31:57.221667+02	\N	\N	\N	\N	\N	\N	f	
21890	dcc2bcfc-356b-46a1-b1dc-10773fd20470	Marysville	Marysville	3	0	2013-08-05 08:40:32.729408+02	\N	\N	\N	\N	\N	\N	f	
22075	2d399ea4-224e-4c51-9b12-a7c031078e90	Baxter	Baxter	3	0	2013-08-07 14:40:05.557527+02	\N	\N	\N	\N	\N	\N	f	
24920	ffdaef87-31a2-415a-96d6-5ebc7b4c8cdf	Rutland	Rutland	3	0	2013-09-07 09:08:41.606217+02	\N	\N	\N	\N	\N	\N	f	
24408	16c62abe-9533-4617-8742-12313c853d85	Menlo, Georgia	Menlo, Georgia	3	0	2013-09-07 06:37:57.207744+02	\N	\N	\N	\N	\N	\N	f	
25466	67f564db-7716-4238-b2c1-78fe3387424b	Smiths Grove, Kentucky	Smiths Grove, Kentucky	3	0	2013-09-07 11:57:18.16727+02	\N	\N	\N	\N	\N	\N	f	
25552	650f152a-c157-433b-b2c0-2c01fa517be8	Woodlawn, Kentucky	Woodlawn, Kentucky	3	0	2013-09-07 12:55:45.820625+02	\N	\N	\N	\N	\N	\N	f	
25556	09369e3c-6852-4ba7-a969-80c56226a4c2	Sacramento, Kentucky	Sacramento, Kentucky	3	0	2013-09-07 12:56:46.733792+02	\N	\N	\N	\N	\N	\N	f	
25592	0cf1ab59-97ff-476a-956f-93cda3b1a380	Leoti, Kansas	Leoti, Kansas	3	0	2013-09-07 13:06:49.797212+02	\N	\N	\N	\N	\N	\N	f	
25606	24e917c5-c7f6-4489-99f7-1ac999b42ae3	Cottonwood Falls	Cottonwood Falls	3	0	2013-09-07 13:10:42.931796+02	\N	\N	\N	\N	\N	\N	f	
26026	66c07020-d0a0-431e-b737-dbdfc63fe401	Winchester	Winchester	3	0	2013-09-07 17:49:41.967284+02	\N	\N	\N	\N	\N	\N	f	
13295	46035867-ac71-4cb7-8c2f-323cc43d507e	Carobbio degli Angeli	Carobbio degli Angeli	4	0	2013-07-21 17:24:19.558658+02	\N	\N	\N	\N	\N	\N	f	
13329	9b8f0c57-877a-4061-bc30-652c91de3ca4	Polinago	Polinago	4	0	2013-07-21 17:31:41.557824+02	\N	\N	\N	\N	\N	\N	f	
13345	cc02d4b5-50fe-4101-9074-96a763e736e1	Corna Imagna	Corna Imagna	4	0	2013-07-21 17:35:35.971168+02	\N	\N	\N	\N	\N	\N	f	
14167	dda5018e-a721-4635-accd-8b89159511ff	Bassiano	Bassiano	4	0	2013-07-21 20:38:29.358386+02	\N	\N	\N	\N	\N	\N	f	
13349	25175194-f405-4ed7-8b4a-69bf1fee1a1f	Colzate	Colzate	4	0	2013-07-21 17:36:25.619952+02	\N	\N	\N	\N	\N	\N	f	
13380	f3eab825-8bc5-4917-a9b5-5ab524d90685	Colorno	Colorno	4	0	2013-07-21 17:42:59.671727+02	\N	\N	\N	\N	\N	\N	f	
13416	3debbc65-ff73-4254-944e-e6cf7fb6b700	Lurano	Lurano	4	0	2013-07-21 17:50:34.368876+02	\N	\N	\N	\N	\N	\N	f	
14747	b79c5e72-b32f-43f6-83c2-0951aaf2c8bd	Villanova Biellese	Villanova Biellese	4	0	2013-07-21 22:47:02.608055+02	\N	\N	\N	\N	\N	\N	f	
13500	4edca1e2-572c-49da-9976-fcd3b162ae80	Terno d'Isola	Terno d'Isola	4	0	2013-07-21 18:09:08.128177+02	\N	\N	\N	\N	\N	\N	f	
15993	8d226efd-a45f-45de-8ea0-e0f4561898d6	Gorreto	Gorreto	4	0	2013-07-22 02:39:30.721501+02	\N	\N	\N	\N	\N	\N	f	
15387	b97141c4-710e-491e-9e41-8aed8d60e006	Agrate Conturbia	Agrate Conturbia	4	0	2013-07-22 00:33:53.688255+02	\N	\N	\N	\N	\N	\N	f	
15439	f16476ad-9f71-4dbf-8bff-6c59afc95620	Cantalice	Cantalice	4	0	2013-07-22 00:45:48.525074+02	\N	\N	\N	\N	\N	\N	f	
15997	572b211f-77fa-43fe-98fc-ba7cd69a5a4d	Rovegno	Rovegno	4	0	2013-07-22 02:40:03.018503+02	\N	\N	\N	\N	\N	\N	f	
17890	e7d7c4cb-5661-42fb-bc7d-bd93a8e7fe24	Suardi	Suardi	4	0	2013-07-22 07:22:56.136696+02	\N	\N	\N	\N	\N	\N	f	
16800	a0e86025-6ff5-4bd4-988f-a09f61acf202	Buddusò	Buddusò	4	0	2013-07-22 04:40:06.248236+02	\N	\N	\N	\N	\N	\N	f	
16821	1dc13b28-7c6f-4f14-ae24-1e38b01686cd	Pettorazza Grimani	Pettorazza Grimani	4	0	2013-07-22 04:45:09.899809+02	\N	\N	\N	\N	\N	\N	f	
17894	a373f00f-a1a3-461d-9edf-bd7b55bcb19f	San Vito di Cadore	San Vito di Cadore	4	0	2013-07-22 07:23:23.557873+02	\N	\N	\N	\N	\N	\N	f	
20160	e3aef3ee-042e-4806-9815-39b633fd5fab	Pavia di Udine	Pavia di Udine	4	0	2013-07-22 17:37:33.974532+02	\N	\N	\N	\N	\N	\N	f	
17902	16d8851c-f35b-4145-853e-f05dd6dae9e9	Travacò Siccomario	Travacò Siccomario	4	0	2013-07-22 07:24:16.072366+02	\N	\N	\N	\N	\N	\N	f	
18923	7b9e84eb-cd5d-4dff-ad7b-0cafb77f8ada	Calatabiano	Calatabiano	4	0	2013-07-22 09:30:50.189171+02	\N	\N	\N	\N	\N	\N	f	
24925	673500c3-9450-4ef5-a0d1-47684d4b1925	Hugoton	Hugoton	3	0	2013-09-07 09:16:08.221329+02	\N	\N	\N	\N	\N	\N	f	
20166	ef3d46f0-6541-4a07-804b-1c930336da99	Ovaro	Ovaro	4	0	2013-07-22 17:38:49.635094+02	\N	\N	\N	\N	\N	\N	f	
21787	05e836b7-926a-404e-990c-cfd361959b41	Spokane Valley	Spokane Valley	3	0	2013-07-29 05:42:22.005595+02	\N	\N	\N	\N	\N	\N	f	
20174	4f338634-3416-49c4-9692-d7f11497f1bc	Reana del Rojale	Reana del Rojale	4	0	2013-07-22 17:41:27.458286+02	\N	\N	\N	\N	\N	\N	f	
20995	a7e825b2-d9ee-4bef-b985-f62fbc2acc7e	Crotone	Crotone	4	0	2013-07-23 17:48:13.028717+02	\N	\N	\N	\N	\N	\N	f	
20998	99d06d29-6bba-4d56-8632-32e2bcfca480	Grosseto	Grosseto	4	0	2013-07-23 17:48:54.8039+02	\N	\N	\N	\N	\N	\N	f	
21891	8823111d-c1e5-468a-8231-d41d6d26dd7c	Perrysburg	Perrysburg	3	0	2013-08-05 08:40:54.986396+02	\N	\N	\N	\N	\N	\N	f	
21085	1f0d8c84-eca8-4d52-9175-62d77f25eef6	Volla, Campania	Volla, Campania	4	0	2013-07-23 20:48:46.201659+02	\N	\N	\N	\N	\N	\N	f	
21193	5f05b30e-fc5d-4a4c-ae1f-f5ce3cc508eb	Ottati	Ottati	4	0	2013-07-23 23:49:01.429581+02	\N	\N	\N	\N	\N	\N	f	
21209	1be0249a-77a3-4c08-a944-f96f47d4c56a	Perdifumo	Perdifumo	4	0	2013-07-23 23:52:18.3804+02	\N	\N	\N	\N	\N	\N	f	
21935	d5898b72-4c88-484b-8e2f-e8b06b137003	Columbus	Columbus	3	0	2013-08-06 11:27:44.006878+02	\N	\N	\N	\N	\N	\N	f	
21210	4078e0cb-5c77-49f2-a7e9-1bc6a661da84	Pisciotta	Pisciotta	4	0	2013-07-23 23:52:30.555515+02	\N	\N	\N	\N	\N	\N	f	
21387	a03c4f62-a0fb-4a82-9d94-610fcb0b9169	Castiglione d'Orcia	Castiglione d'Orcia	4	0	2013-07-24 05:50:45.510258+02	\N	\N	\N	\N	\N	\N	f	
25467	9b9e180d-1238-4b83-b418-550a9bdbda72	Smithfield, Kentucky	Smithfield, Kentucky	3	0	2013-09-07 11:57:39.898825+02	\N	\N	\N	\N	\N	\N	f	
21406	d2353a71-a64e-4d7a-bd7c-e74e2c1ca33c	Montepulciano	Montepulciano	4	0	2013-07-24 05:54:37.472239+02	\N	\N	\N	\N	\N	\N	f	
21989	374ae0ff-9e12-4deb-b67f-ac27f211faab	Branchville, Georgia	Branchville, Georgia	3	0	2013-08-07 11:32:43.781051+02	\N	\N	\N	\N	\N	\N	f	
21492	cd64c3b3-c46e-4ac3-8937-cb34755eb809	Groscavallo	Groscavallo	4	0	2013-07-24 08:51:31.397952+02	\N	\N	\N	\N	\N	\N	f	
21506	b94240c2-0e32-41d2-bb18-317deecc7d9e	Luserna San Giovanni	Luserna San Giovanni	4	0	2013-07-24 08:54:44.418706+02	\N	\N	\N	\N	\N	\N	f	
21598	be73788f-6f11-41e8-af3d-4a90f27b787c	San Giovanni in Persiceto	San Giovanni in Persiceto	4	0	2013-07-24 11:52:16.835208+02	\N	\N	\N	\N	\N	\N	f	
22013	01fd8f5f-be24-458e-baec-d166f82addb8	Goldfield, Iowa	Goldfield, Iowa	3	0	2013-08-07 14:24:54.235784+02	\N	\N	\N	\N	\N	\N	f	
21620	fd794512-600c-4c0a-9d45-a34ee3e781da	Ambivere	Ambivere	4	0	2013-07-24 11:57:24.996839+02	\N	\N	\N	\N	\N	\N	f	
26385	b3350c8b-ddfb-4745-8065-944d60ce1bae	Charter Oak, Iowa	Charter Oak, Iowa	3	0	2013-09-07 23:41:42.010687+02	\N	\N	\N	\N	\N	\N	f	
21647	5babe276-fe4a-44de-be35-b4a584afa36b	Sant'Agostino	Sant'Agostino	4	0	2013-07-24 14:41:44.247683+02	\N	\N	\N	\N	\N	\N	f	
25553	b4dee7d7-3c0d-4f8b-ac22-c1bf37f29534	Waterville, Kansas	Waterville, Kansas	3	0	2013-09-07 12:56:00.444246+02	\N	\N	\N	\N	\N	\N	f	
24151	bc573a7d-f731-4fe2-86e8-f3126aaf3d9a	Hailey	Hailey	3	0	2013-09-07 03:00:22.68146+02	\N	\N	\N	\N	\N	\N	f	
24410	257d03da-9a2c-4033-96cd-5f6f224e19cd	Norcross, Georgia	Norcross, Georgia	3	0	2013-09-07 06:38:24.973075+02	\N	\N	\N	\N	\N	\N	f	
24425	8adcd9c5-56ed-4135-99cb-b9a9521c10ed	Garden City, Georgia	Garden City, Georgia	3	0	2013-09-07 06:42:00.834486+02	\N	\N	\N	\N	\N	\N	f	
25572	b126bdf5-7db8-4f45-bff1-b8dab180a05c	Byers, Kansas	Byers, Kansas	3	0	2013-09-07 13:01:41.746788+02	\N	\N	\N	\N	\N	\N	f	
24433	09776468-7821-483f-ad26-a5a4769d9c8c	Wadley, Georgia	Wadley, Georgia	3	0	2013-09-07 06:44:01.246891+02	\N	\N	\N	\N	\N	\N	f	
27807	1ecb7cb2-514b-4d3b-8d57-c7de28439d88	Lawson	Lawson	3	0	2013-09-08 10:02:56.073596+02	\N	\N	\N	\N	\N	\N	f	
26675	c29a5900-88da-4b21-bcc8-08db5addf204	Nixa, Missouri	Nixa, Missouri	3	0	2013-09-08 01:59:47.341623+02	\N	\N	\N	\N	\N	\N	f	
25626	6383df43-8428-4a53-83ef-8dd2cb3dcfc4	West Okoboji	West Okoboji	3	0	2013-09-07 13:15:45.154079+02	\N	\N	\N	\N	\N	\N	f	
25649	6188301d-003f-4a8c-921f-d54ab47b5e5d	Scott City	Scott City	3	0	2013-09-07 13:21:52.327153+02	\N	\N	\N	\N	\N	\N	f	
27799	3e61f5af-f520-44ba-804e-b2f69d6e79b5	Kirksville	Kirksville	3	0	2013-09-08 10:00:39.106248+02	\N	\N	\N	\N	\N	\N	f	
26033	36c05b8b-430c-4442-ad86-729f3851c11d	Coats	Coats	3	0	2013-09-07 17:51:35.005317+02	\N	\N	\N	\N	\N	\N	f	
27127	d7c48748-529b-4165-8f45-975b168216a1	Berlin	Berlin	3	0	2013-09-08 05:35:44.328272+02	\N	\N	\N	\N	\N	\N	f	
27151	02dac8a7-f75a-4be2-8678-644f64b201a2	Sturgeon	Sturgeon	3	0	2013-09-08 05:42:31.939004+02	\N	\N	\N	\N	\N	\N	f	
27462	0964237d-a77b-49b7-80b5-8b6acde95540	Lyndhurst	Lyndhurst	3	0	2013-09-08 08:02:58.578688+02	\N	\N	\N	\N	\N	\N	f	
28329	b0860481-5bee-4301-866a-d98408345737	Doland, South Dakota	Doland, South Dakota	3	0	2013-09-08 16:51:58.927044+02	\N	\N	\N	\N	\N	\N	f	
27801	0a444a4b-14a7-4cde-9602-c302a78c21c3	Stanberry	Stanberry	3	0	2013-09-08 10:01:15.7286+02	\N	\N	\N	\N	\N	\N	f	
28111	a256d9a0-17ef-45dd-a1c4-652972b2cb28	Warren	Warren	3	0	2013-09-08 14:21:23.550491+02	\N	\N	\N	\N	\N	\N	f	
28747	c318bb0a-5e17-4375-8d55-1644a2010076	Ector	Ector	3	0	2013-09-08 23:47:58.189893+02	\N	\N	\N	\N	\N	\N	f	
28503	399e72d0-1792-4cd3-907f-a6b6ad38ff74	Everman	Everman	3	0	2013-09-08 20:30:37.362844+02	\N	\N	\N	\N	\N	\N	f	
28964	43885cf0-d73d-4329-a06d-eec27e88fbab	Red Lick	Red Lick	3	0	2013-09-09 01:41:39.249236+02	\N	\N	\N	\N	\N	\N	f	
29001	3d0229c8-977d-49f1-96f8-8359f4c569c2	Warren City	Warren City	3	0	2013-09-09 01:52:18.227555+02	\N	\N	\N	\N	\N	\N	f	
29055	f2df07e7-9594-448a-9bb0-ee33aecf0473	Devine	Devine	3	0	2013-09-09 02:08:46.293342+02	\N	\N	\N	\N	\N	\N	f	
29067	ab68ea27-fe10-4129-918a-e3314dbea79d	Mingus	Mingus	3	0	2013-09-09 02:12:13.984701+02	\N	\N	\N	\N	\N	\N	f	
29235	116d2774-587c-40c9-b2be-6467980c8735	Hinton, West Virginia	Hinton, West Virginia	3	0	2013-09-09 04:14:24.655409+02	\N	\N	\N	\N	\N	\N	f	
29250	639e8325-b697-424f-b388-9ecaa3145668	Mullens, West Virginia	Mullens, West Virginia	3	0	2013-09-09 04:20:08.776302+02	\N	\N	\N	\N	\N	\N	f	
29344	5b31d579-8d38-4021-b86c-d9a31e69f32e	Sturgeon Bay	Sturgeon Bay	3	0	2013-09-09 08:20:22.061189+02	\N	\N	\N	\N	\N	\N	f	
13298	c57017ae-8ea1-4731-8312-37438b387d59	Canonica d'Adda	Canonica d'Adda	4	0	2013-07-21 17:24:55.22695+02	\N	\N	\N	\N	\N	\N	f	
14750	83ab2380-f518-493c-8f02-437ef99210ee	Zimone	Zimone	4	0	2013-07-21 22:47:41.183522+02	\N	\N	\N	\N	\N	\N	f	
13311	5eab091e-e596-4055-97fe-c172f9a1f8c4	Spilamberto	Spilamberto	4	0	2013-07-21 17:27:33.729962+02	\N	\N	\N	\N	\N	\N	f	
14168	6ca48681-ef3d-4ff2-9728-12e70e5d59ea	Minturno	Minturno	4	0	2013-07-21 20:38:41.215544+02	\N	\N	\N	\N	\N	\N	f	
13497	9a83aeb6-c7c7-4ade-819d-4ccaf3cb51e2	Riva di Solto	Riva di Solto	4	0	2013-07-21 18:08:29.765628+02	\N	\N	\N	\N	\N	\N	f	
15998	bd6a85f8-5fba-4901-bfc6-33599df5a913	Davagna	Davagna	4	0	2013-07-22 02:40:11.964947+02	\N	\N	\N	\N	\N	\N	f	
14748	0c0fe881-ce71-4c3d-833a-6fcbe3ad4c61	Vigliano Biellese	Vigliano Biellese	4	0	2013-07-21 22:47:14.651582+02	\N	\N	\N	\N	\N	\N	f	
14787	8ec3b517-4c46-400a-bf40-445ba3b58db9	Bonvicino	Bonvicino	4	0	2013-07-21 22:55:50.414799+02	\N	\N	\N	\N	\N	\N	f	
14826	e04b289a-8b15-4d72-8965-76e959dd9e84	Auditore	Auditore	4	0	2013-07-21 23:04:25.737193+02	\N	\N	\N	\N	\N	\N	f	
16802	5975f431-51af-4ccc-b61d-0642d61760e7	Aci Sant'Antonio	Aci Sant'Antonio	4	0	2013-07-22 04:40:32.252206+02	\N	\N	\N	\N	\N	\N	f	
14839	dc968c2b-2c70-4c32-b66b-09b5677cb4cc	Zerfaliu	Zerfaliu	4	0	2013-07-21 23:07:32.149548+02	\N	\N	\N	\N	\N	\N	f	
15391	d32577af-1ddc-4ee2-903e-3376e2c601dd	Briga Novarese	Briga Novarese	4	0	2013-07-22 00:34:57.963172+02	\N	\N	\N	\N	\N	\N	f	
15427	93a2cd36-3a6b-4167-acb2-d878e3da4c29	Tuenno	Tuenno	4	0	2013-07-22 00:42:53.020737+02	\N	\N	\N	\N	\N	\N	f	
16920	04cde3fa-06ff-47fb-875e-2450489d02f7	Arquà Petrarca	Arquà Petrarca	4	0	2013-07-22 05:10:52.672445+02	\N	\N	\N	\N	\N	\N	f	
15443	17fdd7fd-87c5-4f82-aa3b-cf7931840fa1	Castel di Tora	Castel di Tora	4	0	2013-07-22 00:46:38.967793+02	\N	\N	\N	\N	\N	\N	f	
17896	fa42af38-7bd1-4830-90d8-a3f9e4137b17	Malnate	Malnate	4	0	2013-07-22 07:23:35.69224+02	\N	\N	\N	\N	\N	\N	f	
16924	d7cbef41-c4f6-4e38-9c96-585a5d799b7a	Salara	Salara	4	0	2013-07-22 05:11:48.720023+02	\N	\N	\N	\N	\N	\N	f	
24461	f1a49134-cae5-4f8e-97bc-dfe39387141a	Lavonia, Georgia	Lavonia, Georgia	3	0	2013-09-07 06:50:55.998841+02	\N	\N	\N	\N	\N	\N	f	
17911	e3489614-bdf5-4139-a2ad-4c55a4e55817	Mede	Mede	4	0	2013-07-22 07:25:21.424233+02	\N	\N	\N	\N	\N	\N	f	
20162	8b85df4a-ac83-4cd4-b232-ddee0ab068f2	Ligosullo	Ligosullo	4	0	2013-07-22 17:37:58.504706+02	\N	\N	\N	\N	\N	\N	f	
17948	959061ef-71ab-4c0a-a592-c4719ab071eb	Quistello	Quistello	4	0	2013-07-22 07:29:59.323047+02	\N	\N	\N	\N	\N	\N	f	
18027	6663f783-81a4-4b08-867e-10ecac319cc7	Pegognaga	Pegognaga	4	0	2013-07-22 07:38:42.674804+02	\N	\N	\N	\N	\N	\N	f	
21669	566ee859-98eb-43aa-a93a-f08a9ac8376c	Pianezza	Pianezza	4	0	2013-07-24 14:47:45.758784+02	\N	\N	\N	\N	\N	\N	f	
18029	c4eb6984-fc3c-4bc5-82df-d7ddad3c385d	Revere	Revere	4	0	2013-07-22 07:38:57.963969+02	\N	\N	\N	\N	\N	\N	f	
20164	51c74011-3ecc-43bd-b8d3-f2248a1009cf	Porpetto	Porpetto	4	0	2013-07-22 17:38:22.887253+02	\N	\N	\N	\N	\N	\N	f	
18075	f5314cbd-ff50-402a-a872-80cb0ec37c51	San Giorgio di Mantova	San Giorgio di Mantova	4	0	2013-07-22 07:45:00.158538+02	\N	\N	\N	\N	\N	\N	f	
18210	1171e851-9518-406a-bdb3-957db45e243e	Parlasco	Parlasco	4	0	2013-07-22 08:00:40.934062+02	\N	\N	\N	\N	\N	\N	f	
20996	8f4dfbc0-a3a7-4591-b4b8-61e0bdbe11fe	Meeniyan, Victoria	Meeniyan, Victoria	3	0	2013-07-23 17:48:30.404498+02	\N	\N	\N	\N	\N	\N	f	
18216	2c2ebb2c-25e4-4758-8a16-dffb42ed0bbf	Vermezzo	Vermezzo	4	0	2013-07-22 08:01:20.338084+02	\N	\N	\N	\N	\N	\N	f	
18258	5e4a5783-868f-4efd-87eb-e99be877b69c	Tremenico	Tremenico	4	0	2013-07-22 08:06:15.115402+02	\N	\N	\N	\N	\N	\N	f	
25562	0e7635a8-ba97-42e9-a13a-b510d7fe0afc	Victoria, Kansas	Victoria, Kansas	3	0	2013-09-07 12:58:36.511696+02	\N	\N	\N	\N	\N	\N	f	
24926	9172434d-5640-4a78-b2bd-f7290e5fec05	Coldwater	Coldwater	3	0	2013-09-07 09:16:25.657247+02	\N	\N	\N	\N	\N	\N	f	
21006	e22f046a-1e75-4fb5-b4de-b3af19c7bef1	Caivano	Caivano	4	0	2013-07-23 17:50:41.331653+02	\N	\N	\N	\N	\N	\N	f	
18927	4ccc2506-a097-41d8-87b9-fc0d081ad1de	Biancavilla	Biancavilla	4	0	2013-07-22 09:31:20.598135+02	\N	\N	\N	\N	\N	\N	f	
21685	7916be2b-9ecd-497c-833e-e1b2d67a4452	Longiano	Longiano	4	0	2013-07-24 14:53:47.76096+02	\N	\N	\N	\N	\N	\N	f	
21086	37e1fb2f-7764-4b31-a209-e471e70e3878	Villaricca	Villaricca	4	0	2013-07-23 20:48:59.346701+02	\N	\N	\N	\N	\N	\N	f	
21194	571ef6b9-4c19-4246-8cc7-a6f138e59348	Palomonte	Palomonte	4	0	2013-07-23 23:49:14.100187+02	\N	\N	\N	\N	\N	\N	f	
21221	492f77b3-622b-4128-aff0-10bb4fb21184	San Rufo	San Rufo	4	0	2013-07-23 23:54:59.054584+02	\N	\N	\N	\N	\N	\N	f	
21389	e2ab4638-572c-4cbe-9406-a00333de2ad1	Monteroni d'Arbia	Monteroni d'Arbia	4	0	2013-07-24 05:51:10.457163+02	\N	\N	\N	\N	\N	\N	f	
24937	db57a18b-9680-4fd5-b0d5-6b7f34354609	Great Bend	Great Bend	3	0	2013-09-07 09:20:12.186224+02	\N	\N	\N	\N	\N	\N	f	
21493	396a210c-0d16-49f5-8cac-f6e9830ed24e	Givoletto	Givoletto	4	0	2013-07-24 08:51:44.899138+02	\N	\N	\N	\N	\N	\N	f	
21892	86993370-d0d7-4827-af6e-1ca0a037e413	Sidney	Sidney	3	0	2013-08-05 08:41:07.263767+02	\N	\N	\N	\N	\N	\N	f	
21498	a876a9c4-1df9-4ee5-975d-c89cdb89091e	Giaveno	Giaveno	4	0	2013-07-24 08:52:50.87807+02	\N	\N	\N	\N	\N	\N	f	
21599	29feec88-61cb-4446-b174-a47b98f712cb	Codigoro	Codigoro	4	0	2013-07-24 11:52:29.767855+02	\N	\N	\N	\N	\N	\N	f	
21615	d22620cf-b731-4e62-a545-40ea555a824d	Comacchio	Comacchio	4	0	2013-07-24 11:56:01.752191+02	\N	\N	\N	\N	\N	\N	f	
21936	2a61dc3b-7db8-4d22-9fa0-ed812e0481ce	Ione, Oregon	Ione, Oregon	3	0	2013-08-06 11:28:16.200963+02	\N	\N	\N	\N	\N	\N	f	
21649	7bd3b016-5002-4afa-a221-da431676fb2f	Oulx	Oulx	4	0	2013-07-24 14:42:35.243871+02	\N	\N	\N	\N	\N	\N	f	
21660	316382ba-8850-4809-b148-7b2b3d985c73	Palazzo Canavese	Palazzo Canavese	4	0	2013-07-24 14:45:30.266921+02	\N	\N	\N	\N	\N	\N	f	
21991	fa8c2c27-7004-4086-a26e-26d55b94d2d7	Berwyn	Berwyn	3	0	2013-08-07 11:35:17.256036+02	\N	\N	\N	\N	\N	\N	f	
24967	28f52758-8256-4694-8afc-2e8f8ac0d0da	Barnard, Kansas	Barnard, Kansas	3	0	2013-09-07 09:28:44.479239+02	\N	\N	\N	\N	\N	\N	f	
22014	4dc9bb76-e1e3-44c8-ac87-6945135942cb	Audubon	Audubon	3	0	2013-08-07 14:25:12.570302+02	\N	\N	\N	\N	\N	\N	f	
24154	bc0ae51e-796d-456e-879f-499220418bed	St. Maries	St. Maries	3	0	2013-09-07 03:01:05.333157+02	\N	\N	\N	\N	\N	\N	f	
26037	cb12ad33-d02d-4e46-b364-2891ee596e00	Penalosa	Penalosa	3	0	2013-09-07 17:52:37.554058+02	\N	\N	\N	\N	\N	\N	f	
24412	5c9886c7-917d-4b13-bcd9-6066a738e428	Whigham, Georgia	Whigham, Georgia	3	0	2013-09-07 06:38:51.997514+02	\N	\N	\N	\N	\N	\N	f	
25468	420eab30-7cdf-4cf5-a832-bfdce22a364f	Raceland, Kentucky	Raceland, Kentucky	3	0	2013-09-07 11:58:01.141041+02	\N	\N	\N	\N	\N	\N	f	
27464	3aa4fe4a-5632-4ecb-ac29-3f71b65a59b5	Milton, North Dakota	Milton, North Dakota	3	0	2013-09-08 08:03:26.208993+02	\N	\N	\N	\N	\N	\N	f	
25554	217d67b2-13f6-4116-896c-5f3647bd4172	Washington, Kansas	Washington, Kansas	3	0	2013-09-07 12:56:15.815216+02	\N	\N	\N	\N	\N	\N	f	
27131	a03937b9-7f08-4987-9188-fda74f1ce043	Drexel	Drexel	3	0	2013-09-08 05:37:25.894605+02	\N	\N	\N	\N	\N	\N	f	
26049	aa5b4f65-6a49-410f-b07b-0c343f901888	Reading	Reading	3	0	2013-09-07 17:56:31.463252+02	\N	\N	\N	\N	\N	\N	f	
26386	77bc9786-bbe6-4084-a7f7-b5045bf771a6	Venice	Venice	3	0	2013-09-07 23:42:00.229685+02	\N	\N	\N	\N	\N	\N	f	
26676	e1a68341-8ba1-4f06-862f-c387b6fbc664	Neligh, Nebraska	Neligh, Nebraska	3	0	2013-09-08 02:00:11.284124+02	\N	\N	\N	\N	\N	\N	f	
27248	4f51bd5e-f992-418a-83dc-41e076e1ec2c	Kirkwood	Kirkwood	3	0	2013-09-08 06:09:07.69768+02	\N	\N	\N	\N	\N	\N	f	
27817	efa53f95-f579-4b8e-b162-741b86bc9650	Holts Summit	Holts Summit	3	0	2013-09-08 10:05:33.46534+02	\N	\N	\N	\N	\N	\N	f	
27811	926b640e-3f05-43c1-9c40-47d51bff82bd	Webb City	Webb City	3	0	2013-09-08 10:03:59.397891+02	\N	\N	\N	\N	\N	\N	f	
28112	7e39f504-383a-44ba-bd7a-a5ea4cb885a9	Sharon	Sharon	3	0	2013-09-08 14:21:36.98451+02	\N	\N	\N	\N	\N	\N	f	
28132	516df22d-d120-4073-8e52-2a6aaf653206	Dno	Dno	3	0	2013-09-08 14:27:38.768583+02	\N	\N	\N	\N	\N	\N	f	
28205	5be81179-3545-4f7a-b778-6a41dd25e08e	Tuapse	Tuapse	3	0	2013-09-08 14:50:00.947543+02	\N	\N	\N	\N	\N	\N	f	
28330	7fc2560f-0218-4129-8d20-b7e7ea13cb24	Gary, South Dakota	Gary, South Dakota	3	0	2013-09-08 16:52:14.008551+02	\N	\N	\N	\N	\N	\N	f	
28463	b617a1f0-3654-4bc5-8e76-0e7c7656f24a	Beckville	Beckville	3	0	2013-09-08 17:40:36.727571+02	\N	\N	\N	\N	\N	\N	f	
28504	9d20346c-8b86-4613-aa71-b4cc973fc22a	Keller	Keller	3	0	2013-09-08 20:30:51.818282+02	\N	\N	\N	\N	\N	\N	f	
28748	7fbb8174-c42a-4fdb-95d5-d1232c6bb991	Mathis	Mathis	3	0	2013-09-08 23:48:17.680696+02	\N	\N	\N	\N	\N	\N	f	
28795	7cae9680-9981-4686-b615-c4fd497484c7	Pecan Gap	Pecan Gap	3	0	2013-09-09 00:00:53.95329+02	\N	\N	\N	\N	\N	\N	f	
28800	7a7af98e-d309-4945-96d2-5e5d0a809739	Bunker Hill Village	Bunker Hill Village	3	0	2013-09-09 00:02:13.859057+02	\N	\N	\N	\N	\N	\N	f	
13299	ac356dec-6236-49a5-bad2-1afa4fe0ccf0	Soliera	Soliera	4	0	2013-07-21 17:25:06.623523+02	\N	\N	\N	\N	\N	\N	f	
14172	b9192710-a589-499c-8d53-439966b3869b	Santi Cosma e Damiano, Lazio	Santi Cosma e Damiano, Lazio	4	0	2013-07-21 20:39:33.957067+02	\N	\N	\N	\N	\N	\N	f	
14175	97a97a1e-0744-4419-b8bd-019ba008b37f	Formia	Formia	4	0	2013-07-21 20:40:12.010893+02	\N	\N	\N	\N	\N	\N	f	
16000	5c945711-15de-437a-a198-1509f69a4319	Cavizzana	Cavizzana	4	0	2013-07-22 02:40:31.585446+02	\N	\N	\N	\N	\N	\N	f	
14238	7ec78378-9f83-4d97-a6dd-e0b5aaef6b5b	Latina	Latina	4	0	2013-07-21 20:53:17.920591+02	\N	\N	\N	\N	\N	\N	f	
14347	6c56acc1-6d52-4a0d-a897-90cf0074540b	Avolasca	Avolasca	4	0	2013-07-21 21:18:11.106222+02	\N	\N	\N	\N	\N	\N	f	
16013	6ec3b46a-1cb7-48a1-a49a-d6523b2d7eda	Mocònesi	Mocònesi	4	0	2013-07-22 02:42:23.780404+02	\N	\N	\N	\N	\N	\N	f	
14752	29f1676b-73d1-40f9-b28c-a7658148adfa	Zubiena	Zubiena	4	0	2013-07-21 22:48:05.977553+02	\N	\N	\N	\N	\N	\N	f	
15392	9bd8b006-d3c2-425a-aebf-cafb60927860	Agnone	Agnone	4	0	2013-07-22 00:35:13.875278+02	\N	\N	\N	\N	\N	\N	f	
17903	2b6077b2-6017-4b0f-8620-c313bef9af93	Santa Maria della Versa	Santa Maria della Versa	4	0	2013-07-22 07:24:25.231078+02	\N	\N	\N	\N	\N	\N	f	
15395	d578e2c3-c110-4b69-a939-dd810da2602c	Ripabottoni	Ripabottoni	4	0	2013-07-22 00:35:57.557846+02	\N	\N	\N	\N	\N	\N	f	
16804	5bfbe953-d650-4ea4-976a-593229c555a7	Aci Bonaccorsi	Aci Bonaccorsi	4	0	2013-07-22 04:40:59.100053+02	\N	\N	\N	\N	\N	\N	f	
15412	820e604b-0847-44ab-95e9-fcf15e7d6521	Carpignano Sesia	Carpignano Sesia	4	0	2013-07-22 00:39:48.584464+02	\N	\N	\N	\N	\N	\N	f	
16883	9d81767d-28aa-434e-9391-178707caf867	San Pietro in Gu	San Pietro in Gu	4	0	2013-07-22 05:01:08.886174+02	\N	\N	\N	\N	\N	\N	f	
16975	211653d0-ba81-4cc1-a5fe-4663f653e1f6	Ayas, Aosta Valley	Ayas, Aosta Valley	4	0	2013-07-22 05:24:42.87644+02	\N	\N	\N	\N	\N	\N	f	
17908	798981b3-ff5d-4bf8-9416-42d0f69ca1f7	Muggiò	Muggiò	4	0	2013-07-22 07:24:56.454735+02	\N	\N	\N	\N	\N	\N	f	
20167	970106f8-5b72-4026-85b1-3897d358e63f	Lignano Sabbiadoro	Lignano Sabbiadoro	4	0	2013-07-22 17:39:06.397208+02	\N	\N	\N	\N	\N	\N	f	
18929	c4b5a352-647f-4f57-8005-20e486e03a4c	Giarre	Giarre	4	0	2013-07-22 09:31:32.62355+02	\N	\N	\N	\N	\N	\N	f	
18943	1045d0a8-9bde-4c55-80c4-5c383ac05f0e	Paternò	Paternò	4	0	2013-07-22 09:33:01.566196+02	\N	\N	\N	\N	\N	\N	f	
24155	1b2b34a0-8755-49d8-b454-bc0fec8c57ad	Lewisville	Lewisville	3	0	2013-09-07 03:01:19.288529+02	\N	\N	\N	\N	\N	\N	f	
20178	a8408533-08e3-4247-9bf9-1c56926cfc4e	Muzzana del Turgnano	Muzzana del Turgnano	4	0	2013-07-22 17:42:22.329499+02	\N	\N	\N	\N	\N	\N	f	
20999	4fd86d77-1677-4278-a787-7b6f8f5d1989	Casola di Napoli	Casola di Napoli	4	0	2013-07-23 17:49:15.627435+02	\N	\N	\N	\N	\N	\N	f	
24183	09950f21-7dc5-46c1-80df-5e88d27789a4	Soperton	Soperton	3	0	2013-09-07 03:08:50.303221+02	\N	\N	\N	\N	\N	\N	f	
21088	8c10964b-b566-432e-b687-794a9dcc16f5	Vico Equense	Vico Equense	4	0	2013-07-23 20:49:26.053877+02	\N	\N	\N	\N	\N	\N	f	
21197	3ca45bab-8fc4-4813-b1ef-424ccb644fa4	Morigerati	Morigerati	4	0	2013-07-23 23:49:50.971074+02	\N	\N	\N	\N	\N	\N	f	
26038	5625807e-8868-4bfa-b923-f95dfac9e5d0	Frankfort	Frankfort	3	0	2013-09-07 17:52:53.015818+02	\N	\N	\N	\N	\N	\N	f	
21393	a05d36ba-3f88-43e9-9fbf-ee9a25dc966d	Gaiole in Chianti	Gaiole in Chianti	4	0	2013-07-24 05:51:59.412962+02	\N	\N	\N	\N	\N	\N	f	
24413	0648d502-501a-4b05-9138-81ff00ca9685	Donalsonville, Georgia	Donalsonville, Georgia	3	0	2013-09-07 06:39:05.884886+02	\N	\N	\N	\N	\N	\N	f	
21400	5b107886-9355-4579-b779-126359cd86e6	Chiusdino	Chiusdino	4	0	2013-07-24 05:53:24.520811+02	\N	\N	\N	\N	\N	\N	f	
21415	7800fecf-70ac-4ef5-abda-b93bd3cc4ff2	Murlo	Murlo	4	0	2013-07-24 05:56:26.882017+02	\N	\N	\N	\N	\N	\N	f	
21494	aeda2ab2-1d5e-4a76-8387-9f9e1868a909	Front	Front	4	0	2013-07-24 08:51:57.900918+02	\N	\N	\N	\N	\N	\N	f	
24439	4cc112ae-ae91-4ac1-80b8-6d98fa20f7fb	Vidalia, Georgia	Vidalia, Georgia	3	0	2013-09-07 06:45:24.789264+02	\N	\N	\N	\N	\N	\N	f	
21495	8edce738-ba3e-48a9-abc7-e80551d93b8d	Gravere	Gravere	4	0	2013-07-24 08:52:10.945021+02	\N	\N	\N	\N	\N	\N	f	
21600	77e2470c-faa4-4384-8618-65e78a9e8109	Nomaglio	Nomaglio	4	0	2013-07-24 11:52:42.116392+02	\N	\N	\N	\N	\N	\N	f	
28113	2054d267-c62c-46a9-b092-b187475f85bf	Lower Burrell	Lower Burrell	3	0	2013-09-08 14:21:51.111983+02	\N	\N	\N	\N	\N	\N	f	
21650	eb37fab1-a977-4a67-a8e5-c17572dc1546	Novalesa	Novalesa	4	0	2013-07-24 14:42:54.176506+02	\N	\N	\N	\N	\N	\N	f	
24927	3c063d15-07a4-450e-8d48-4d6bab791d88	Wall Lake	Wall Lake	3	0	2013-09-07 09:16:47.237504+02	\N	\N	\N	\N	\N	\N	f	
26390	fccca33e-f3df-468c-b0f7-02e0de5b6e1d	Spring Valley	Spring Valley	3	0	2013-09-07 23:43:04.212612+02	\N	\N	\N	\N	\N	\N	f	
21937	44a55189-1e12-4768-9ad7-3e370887e468	Lostine, Oregon	Lostine, Oregon	3	0	2013-08-06 11:28:47.176002+02	\N	\N	\N	\N	\N	\N	f	
25471	d6501407-74ce-4977-8b93-85585a844382	Lenora, Kansas	Lenora, Kansas	3	0	2013-09-07 11:59:00.289386+02	\N	\N	\N	\N	\N	\N	f	
21992	8453e2f0-1d69-442e-8644-0d6febbfa514	Burlington, Iowa	Burlington, Iowa	3	0	2013-08-07 11:35:37.215568+02	\N	\N	\N	\N	\N	\N	f	
22015	e71d43a8-e10f-4c81-a0d3-381865f39400	Centerville	Centerville	3	0	2013-08-07 14:25:25.837158+02	\N	\N	\N	\N	\N	\N	f	
27279	35a1f5db-02fd-4df2-ba11-284c614d4c26	Fair Grove	Fair Grove	3	0	2013-09-08 06:17:16.692988+02	\N	\N	\N	\N	\N	\N	f	
25473	b190c8dd-84e6-4a3e-80c1-933ddefdbafd	Meriden, Kansas	Meriden, Kansas	3	0	2013-09-07 11:59:40.872804+02	\N	\N	\N	\N	\N	\N	f	
26677	e526fb3b-e425-454f-a9ac-beb7babadfb9	Bridgeport, Nebraska	Bridgeport, Nebraska	3	0	2013-09-08 02:00:36.589795+02	\N	\N	\N	\N	\N	\N	f	
25484	2c60f903-8d60-4b1d-9fb8-345a78cddd07	Isabel, Kansas	Isabel, Kansas	3	0	2013-09-07 12:02:29.689373+02	\N	\N	\N	\N	\N	\N	f	
25555	dcac77c8-3246-47dd-82a5-792ccfe1c390	Plainville, Kansas	Plainville, Kansas	3	0	2013-09-07 12:56:30.685797+02	\N	\N	\N	\N	\N	\N	f	
25581	a09d47fc-05a0-442e-a4ef-1d6587923a70	Lovilia, Iowa	Lovilia, Iowa	3	0	2013-09-07 13:03:54.675923+02	\N	\N	\N	\N	\N	\N	f	
26768	b2271daa-338f-4c73-97a9-22f0ce9d46a6	Aspinwall, Iowa	Aspinwall, Iowa	3	0	2013-09-08 02:48:59.273016+02	\N	\N	\N	\N	\N	\N	f	
27465	b8853732-d66a-443f-a07a-93a01d6eedd8	Norton	Norton	3	0	2013-09-08 08:03:40.34027+02	\N	\N	\N	\N	\N	\N	f	
27134	7c0a2fad-5664-4f94-9a13-69234fee92fb	Kahoka	Kahoka	3	0	2013-09-08 05:38:11.513797+02	\N	\N	\N	\N	\N	\N	f	
27137	3881719e-9990-4710-950c-d15217422d6a	Hillsboro	Hillsboro	3	0	2013-09-08 05:38:57.347651+02	\N	\N	\N	\N	\N	\N	f	
28990	76e48d02-8c1e-4e21-854e-636ffde4989b	Pleasanton	Pleasanton	3	0	2013-09-09 01:49:01.886216+02	\N	\N	\N	\N	\N	\N	f	
27144	08eea38b-f786-4844-b527-0332be140959	Moberly	Moberly	3	0	2013-09-08 05:40:44.111963+02	\N	\N	\N	\N	\N	\N	f	
28127	7803f7e1-d296-4c86-802c-ebe86445a3fd	Gryazovets	Gryazovets	3	0	2013-09-08 14:25:42.888193+02	\N	\N	\N	\N	\N	\N	f	
27814	10a9476c-3f8b-48ba-a539-feda57139f5a	Canalou	Canalou	3	0	2013-09-08 10:04:47.436515+02	\N	\N	\N	\N	\N	\N	f	
27850	f0b567b9-bd55-40bb-9a41-4f7020bafa21	Ashland	Ashland	3	0	2013-09-08 10:14:11.295763+02	\N	\N	\N	\N	\N	\N	f	
28505	f86ca806-e8cd-4843-85c4-6d37580cf850	Agua Dulce, Nueces County	Agua Dulce, Nueces County	3	0	2013-09-08 20:31:07.92925+02	\N	\N	\N	\N	\N	\N	f	
28749	f76e9e67-95d0-4fd0-aae0-87f2becb529d	Crockett	Crockett	3	0	2013-09-08 23:48:33.690336+02	\N	\N	\N	\N	\N	\N	f	
28331	d66222a9-f4be-45de-b7ff-8374f2bb1a4f	Bridgewater, South Dakota	Bridgewater, South Dakota	3	0	2013-09-08 16:52:27.932688+02	\N	\N	\N	\N	\N	\N	f	
28966	e6b43bc5-2d5c-4646-9fe1-0ac5a9d0e0cf	Kendleton	Kendleton	3	0	2013-09-09 01:42:12.649908+02	\N	\N	\N	\N	\N	\N	f	
29008	c79cfdcc-6f22-47e3-aed1-97cf1717d4fa	Leary	Leary	3	0	2013-09-09 01:54:54.277255+02	\N	\N	\N	\N	\N	\N	f	
29236	b779f26d-5552-4f42-8474-46ad97a08109	Ravenswood, West Virginia	Ravenswood, West Virginia	3	0	2013-09-09 04:14:37.8615+02	\N	\N	\N	\N	\N	\N	f	
29238	3af5e2d2-ff03-4d48-9d6a-5c3513aad346	Smithers, West Virginia	Smithers, West Virginia	3	0	2013-09-09 04:15:45.044024+02	\N	\N	\N	\N	\N	\N	f	
29244	ecf21a26-bfc1-464d-94a4-b67f57ae3ea5	Gary, West Virginia	Gary, West Virginia	3	0	2013-09-09 04:17:57.94413+02	\N	\N	\N	\N	\N	\N	f	
29247	8f9e10dc-1549-4761-95f2-b4c513415d99	South Charleston, West Virginia	South Charleston, West Virginia	3	0	2013-09-09 04:18:55.148036+02	\N	\N	\N	\N	\N	\N	f	
29257	53836162-d604-4714-91d8-c2beafebb14f	McMechen, West Virginia	McMechen, West Virginia	3	0	2013-09-09 04:22:44.001903+02	\N	\N	\N	\N	\N	\N	f	
29345	96135633-5f5f-4eb3-a838-e1dd0b351acb	Platteville	Platteville	3	0	2013-09-09 08:20:39.61901+02	\N	\N	\N	\N	\N	\N	f	
13300	aa6ae899-ac63-42c7-9306-77d55b48452c	Caprino Bergamasco	Caprino Bergamasco	4	0	2013-07-21 17:25:18.163098+02	\N	\N	\N	\N	\N	\N	f	
13301	44f50b5b-73ca-4584-8859-6ef5b974bc3f	Pavullo nel Frignano	Pavullo nel Frignano	4	0	2013-07-21 17:25:29.702037+02	\N	\N	\N	\N	\N	\N	f	
13302	ad141d59-7235-4ccf-bcc3-3da2321ea9b7	San Cesario sul Panaro	San Cesario sul Panaro	4	0	2013-07-21 17:25:44.249452+02	\N	\N	\N	\N	\N	\N	f	
14176	4bfb12a4-a4de-454c-b5bd-6c9b0da65e9f	Monte San Biagio	Monte San Biagio	4	0	2013-07-21 20:40:24.253615+02	\N	\N	\N	\N	\N	\N	f	
13303	6970ea51-5eb3-49cd-a0af-8737d72b0756	Serramazzoni	Serramazzoni	4	0	2013-07-21 17:25:57.157596+02	\N	\N	\N	\N	\N	\N	f	
13305	48cfbd34-0efa-4d38-a0fc-86ae86e7ab0b	Castione della Presolana	Castione della Presolana	4	0	2013-07-21 17:26:20.442508+02	\N	\N	\N	\N	\N	\N	f	
13306	8aaa130a-dad6-41cb-a103-26a8f9405334	Calusco d'Adda	Calusco d'Adda	4	0	2013-07-21 17:26:31.877511+02	\N	\N	\N	\N	\N	\N	f	
14751	592a9875-d64c-49eb-a053-ba372d7193ce	Valle Mosso	Valle Mosso	4	0	2013-07-21 22:47:53.26278+02	\N	\N	\N	\N	\N	\N	f	
13308	509f5149-8cba-45d1-b83f-40200eb82976	Savignano sul Panaro	Savignano sul Panaro	4	0	2013-07-21 17:26:58.781142+02	\N	\N	\N	\N	\N	\N	f	
13341	e62950d8-3030-450b-875e-24f7aad62c7b	Cividate al Piano	Cividate al Piano	4	0	2013-07-21 17:34:38.709362+02	\N	\N	\N	\N	\N	\N	f	
16046	45277768-cf60-48d3-b19b-45136d5a340b	Chiusavecchia	Chiusavecchia	4	0	2013-07-22 02:46:24.533866+02	\N	\N	\N	\N	\N	\N	f	
13352	e4821305-5eff-40d3-b424-69e83a71383c	Costa Valle Imagna	Costa Valle Imagna	4	0	2013-07-21 17:37:06.715643+02	\N	\N	\N	\N	\N	\N	f	
14796	12cda315-6fb5-41e1-8d64-893b7d67fd6c	Briaglia	Briaglia	4	0	2013-07-21 22:57:38.579253+02	\N	\N	\N	\N	\N	\N	f	
13353	73ac6c4e-19ab-4d7f-8598-75469b5b888c	Cornalba	Cornalba	4	0	2013-07-21 17:37:18.473458+02	\N	\N	\N	\N	\N	\N	f	
13357	ec5e669f-2e1e-4539-8541-85ebe9e1637e	Corniglio	Corniglio	4	0	2013-07-21 17:38:23.183246+02	\N	\N	\N	\N	\N	\N	f	
13370	90ed60ac-40c3-4201-a028-aaa1b11d849f	Bardi, Emilia-Romagna	Bardi, Emilia-Romagna	4	0	2013-07-21 17:40:59.274586+02	\N	\N	\N	\N	\N	\N	f	
14820	990f19b3-d948-40d0-ba05-48b65cfd313d	Gavorrano	Gavorrano	4	0	2013-07-21 23:02:51.659567+02	\N	\N	\N	\N	\N	\N	f	
13372	72c05e5d-6e7e-420a-87f9-cbc94cd6a2c9	Borgo Val di Taro	Borgo Val di Taro	4	0	2013-07-21 17:41:22.485585+02	\N	\N	\N	\N	\N	\N	f	
13377	1283c866-0c12-4e1a-8d5c-1e34cb0fee56	Compiano	Compiano	4	0	2013-07-21 17:42:24.10749+02	\N	\N	\N	\N	\N	\N	f	
13382	47d4ec05-c6af-418e-aee5-06c6fdb4b2fd	Entratico	Entratico	4	0	2013-07-21 17:43:33.090491+02	\N	\N	\N	\N	\N	\N	f	
14856	476b79e9-d618-4263-9191-d0357a9b1034	Fiumicino	Fiumicino	4	0	2013-07-21 23:11:48.627155+02	\N	\N	\N	\N	\N	\N	f	
13385	ea804372-b386-4807-927c-4660043befd0	Palanzano	Palanzano	4	0	2013-07-21 17:44:08.104926+02	\N	\N	\N	\N	\N	\N	f	
13420	b6b35c90-f412-46c7-979c-bbf22fb3f0d3	Leffe, Lombardy	Leffe, Lombardy	4	0	2013-07-21 17:51:22.217082+02	\N	\N	\N	\N	\N	\N	f	
16048	806ea813-9d8f-4c15-a608-6015d9096e94	Costarainera	Costarainera	4	0	2013-07-22 02:46:38.701912+02	\N	\N	\N	\N	\N	\N	f	
13421	c4726c5b-4a05-4d92-9c88-5b2dfbe79cda	Grone	Grone	4	0	2013-07-21 17:51:34.111533+02	\N	\N	\N	\N	\N	\N	f	
15397	3857848e-ce3b-4cd0-86dc-7a01477843cf	Caltignaga	Caltignaga	4	0	2013-07-22 00:36:28.955596+02	\N	\N	\N	\N	\N	\N	f	
13425	4771c978-0ded-4627-8a46-0c1a4369672b	Grumello del Monte	Grumello del Monte	4	0	2013-07-21 17:52:23.081364+02	\N	\N	\N	\N	\N	\N	f	
15408	ef250090-9a49-49ac-bae5-e62c5e642c48	Viareggio	Viareggio	4	0	2013-07-22 00:38:56.336937+02	\N	\N	\N	\N	\N	\N	f	
17909	1a7c5519-3963-458b-b539-7691bdc56c63	Ponte nelle Alpi	Ponte nelle Alpi	4	0	2013-07-22 07:25:06.063206+02	\N	\N	\N	\N	\N	\N	f	
16805	392eead9-577e-4574-8e21-30a93edc5cd5	Pozzallo	Pozzallo	4	0	2013-07-22 04:41:14.575362+02	\N	\N	\N	\N	\N	\N	f	
22016	b03afdc3-0506-4867-a35d-0d514cd50f11	Harlan, Iowa	Harlan, Iowa	3	0	2013-08-07 14:25:48.462396+02	\N	\N	\N	\N	\N	\N	f	
17965	656ef333-d0b7-42aa-a9b7-94e0addb2b90	Casalmaggiore	Casalmaggiore	4	0	2013-07-22 07:31:48.027201+02	\N	\N	\N	\N	\N	\N	f	
20168	6ae20abf-30f9-4120-9798-7d9e44f758f0	Paularo	Paularo	4	0	2013-07-22 17:39:34.945117+02	\N	\N	\N	\N	\N	\N	f	
17977	bd0e1bb1-52b0-4de3-a2e1-4f22a1aa928b	Lajen	Lajen	4	0	2013-07-22 07:33:02.742527+02	\N	\N	\N	\N	\N	\N	f	
18931	99d434a8-d0eb-44ec-b2a0-e598c39d7949	Belpasso	Belpasso	4	0	2013-07-22 09:31:44.481175+02	\N	\N	\N	\N	\N	\N	f	
21000	af6e1327-c28c-4ff7-88e5-3a765536fa85	Casamarciano	Casamarciano	4	0	2013-07-23 17:49:27.919709+02	\N	\N	\N	\N	\N	\N	f	
21089	54e696a2-865a-4491-b80a-b741aa8eb0aa	Castelraimondo	Castelraimondo	4	0	2013-07-23 20:49:48.327837+02	\N	\N	\N	\N	\N	\N	f	
24156	bff0bd45-1f9b-4970-bd40-8c5775e0a651	Inkom	Inkom	3	0	2013-09-07 03:01:33.356848+02	\N	\N	\N	\N	\N	\N	f	
21198	0b054073-ac88-4ef4-9b43-d4cb251a3990	Nocera Inferiore	Nocera Inferiore	4	0	2013-07-23 23:50:03.325323+02	\N	\N	\N	\N	\N	\N	f	
21397	f288f1f9-164a-423f-8604-8baeedc07a32	Rapolano Terme	Rapolano Terme	4	0	2013-07-24 05:52:48.136447+02	\N	\N	\N	\N	\N	\N	f	
24929	1116e3fa-2043-44a6-ad80-5b62f3290ae0	Walcott	Walcott	3	0	2013-09-07 09:17:32.429726+02	\N	\N	\N	\N	\N	\N	f	
21499	bfa9607a-4b36-4226-b7bc-618baaae841b	Issiglio	Issiglio	4	0	2013-07-24 08:53:04.068608+02	\N	\N	\N	\N	\N	\N	f	
24414	9d05efbd-122a-41df-9b3b-1a84d1e400e5	Toccoa, Georgia	Toccoa, Georgia	3	0	2013-09-07 06:39:19.921701+02	\N	\N	\N	\N	\N	\N	f	
21602	997a632c-b018-4661-be9a-c21d961c090f	San Pietro in Casale	San Pietro in Casale	4	0	2013-07-24 11:53:11.218407+02	\N	\N	\N	\N	\N	\N	f	
21653	0ab1600a-97ea-4710-a90d-fdba827fe404	Poggio Renatico	Poggio Renatico	4	0	2013-07-24 14:43:45.531371+02	\N	\N	\N	\N	\N	\N	f	
21939	a16e1815-6d3d-426c-8a97-16b07675dfbe	Milton-Freewater, Oregon	Milton-Freewater, Oregon	3	0	2013-08-06 11:29:33.795221+02	\N	\N	\N	\N	\N	\N	f	
24420	cbb4d8a7-a576-42ce-af1f-16b3894b7ae0	Buena Vista, Georgia	Buena Vista, Georgia	3	0	2013-09-07 06:40:47.05088+02	\N	\N	\N	\N	\N	\N	f	
21993	6b8d56c4-ab2c-4c21-ae2f-04a2be15dcc7	Alburnett, Iowa	Alburnett, Iowa	3	0	2013-08-07 11:41:01.70859+02	\N	\N	\N	\N	\N	\N	f	
26042	7bf812f3-6c63-4668-88e4-530a66a40a9d	Radium	Radium	3	0	2013-09-07 17:54:00.450183+02	\N	\N	\N	\N	\N	\N	f	
24940	493f4fa6-dd94-4cf5-b21d-d1afa55b3353	Belvue	Belvue	3	0	2013-09-07 09:21:17.285679+02	\N	\N	\N	\N	\N	\N	f	
24428	0a2daf4f-ef08-4bd6-a192-8ffb41d5dc95	Mount Vernon, Georgia	Mount Vernon, Georgia	3	0	2013-09-07 06:42:46.955019+02	\N	\N	\N	\N	\N	\N	f	
24434	a78879b0-01e3-4bde-b09e-67dd6d9ddca6	Commerce, Georgia	Commerce, Georgia	3	0	2013-09-07 06:44:15.136146+02	\N	\N	\N	\N	\N	\N	f	
25635	030f7d99-ac60-4ebc-8da5-1979ec44a723	Walford	Walford	3	0	2013-09-07 13:18:10.136855+02	\N	\N	\N	\N	\N	\N	f	
24438	68f8fbe1-e9a9-47b2-bcd4-dd9720756cd1	Ty Ty, Georgia	Ty Ty, Georgia	3	0	2013-09-07 06:45:10.946009+02	\N	\N	\N	\N	\N	\N	f	
25478	4d9ea180-1f08-4ea9-ae96-8e9cd5bab8c8	Elk City	Elk City	3	0	2013-09-07 12:00:57.779093+02	\N	\N	\N	\N	\N	\N	f	
25539	c336f840-57b9-4afb-baee-c816d58bc554	Mulvane, Kansas	Mulvane, Kansas	3	0	2013-09-07 12:52:22.442247+02	\N	\N	\N	\N	\N	\N	f	
25558	8db978d8-5d97-4114-ba77-d936ac6e056b	Selden, Kansas	Selden, Kansas	3	0	2013-09-07 12:57:21.588771+02	\N	\N	\N	\N	\N	\N	f	
26410	fe4f7e76-65d9-4dd3-be59-278a484ad118	Craigmont, Idaho	Craigmont, Idaho	3	0	2013-09-08 00:01:54.228976+02	\N	\N	\N	\N	\N	\N	f	
25674	35886aed-02bf-47e9-867f-c6b72cd52c6c	Van Horne	Van Horne	3	0	2013-09-07 13:28:33.63552+02	\N	\N	\N	\N	\N	\N	f	
26392	6f730642-04e6-4f27-b3f9-22b4672de0da	Wolf Point	Wolf Point	3	0	2013-09-07 23:43:38.601823+02	\N	\N	\N	\N	\N	\N	f	
27135	160b3500-6ab7-4248-8bd5-ade99963ff1e	Westphalia	Westphalia	3	0	2013-09-08 05:38:26.824185+02	\N	\N	\N	\N	\N	\N	f	
26678	2fc45f67-f74a-46b4-b090-765dec2a80a7	Lorimor, Iowa	Lorimor, Iowa	3	0	2013-09-08 02:00:55.987691+02	\N	\N	\N	\N	\N	\N	f	
27140	948e1045-ac45-489e-a82a-f71a23148b22	Dixon	Dixon	3	0	2013-09-08 05:39:42.615053+02	\N	\N	\N	\N	\N	\N	f	
27467	95d09d26-30ce-44c3-b06b-a9edc867393a	New Albany	New Albany	3	0	2013-09-08 08:04:07.921291+02	\N	\N	\N	\N	\N	\N	f	
27533	3e1fd58f-c4eb-4d2c-9911-60c961a9cee8	Jud, North Dakota	Jud, North Dakota	3	0	2013-09-08 08:34:30.83681+02	\N	\N	\N	\N	\N	\N	f	
27816	5a4e1616-ffaa-483f-983e-cdd8b4ebc028	Plattsmouth	Plattsmouth	3	0	2013-09-08 10:05:19.7656+02	\N	\N	\N	\N	\N	\N	f	
28114	47bd6bee-d7fc-459c-9f49-020cabed58a0	New Castle	New Castle	3	0	2013-09-08 14:22:04.429004+02	\N	\N	\N	\N	\N	\N	f	
28137	a620c469-74cc-40b9-972c-6ee5009b30b1	Kalach, Voronezh Oblast	Kalach, Voronezh Oblast	3	0	2013-09-08 14:29:26.95696+02	\N	\N	\N	\N	\N	\N	f	
28142	ab8a0502-5a6d-4eb0-be21-a76a6327061f	Luza	Luza	3	0	2013-09-08 14:31:02.735601+02	\N	\N	\N	\N	\N	\N	f	
13307	831332e5-f861-4e0f-adce-6ff00f30051f	Capizzone	Capizzone	4	0	2013-07-21 17:26:46.737816+02	\N	\N	\N	\N	\N	\N	f	
13309	c6101ed2-bc8b-4705-a2e7-484ead0c1381	Casazza	Casazza	4	0	2013-07-21 17:27:10.291487+02	\N	\N	\N	\N	\N	\N	f	
13310	2e2e0625-4ad9-42f7-9c90-c5976851b592	Caravaggio, Lombardy	Caravaggio, Lombardy	4	0	2013-07-21 17:27:22.056846+02	\N	\N	\N	\N	\N	\N	f	
14183	7cb3dc0a-3bf3-41b6-9540-0723450ada62	Spigno Saturnia	Spigno Saturnia	4	0	2013-07-21 20:41:53.58048+02	\N	\N	\N	\N	\N	\N	f	
13313	5dd374bc-797b-45f9-a7c6-80da8be8f766	Calvenzano	Calvenzano	4	0	2013-07-21 17:27:57.330835+02	\N	\N	\N	\N	\N	\N	f	
13318	e255baec-de6a-41a7-b865-84057e46fce5	Zocca	Zocca	4	0	2013-07-21 17:29:02.020637+02	\N	\N	\N	\N	\N	\N	f	
13328	71a30f4e-4538-4a4f-8e76-25b5958a09ea	San Felice sul Panaro	San Felice sul Panaro	4	0	2013-07-21 17:31:28.301994+02	\N	\N	\N	\N	\N	\N	f	
14264	a0c756c0-b001-4bc1-b17e-7c9fbe47b3cd	Castellanza	Castellanza	4	0	2013-07-21 20:59:30.536563+02	\N	\N	\N	\N	\N	\N	f	
13330	382f7575-9986-489c-8225-38d594c139ab	Cassiglio	Cassiglio	4	0	2013-07-21 17:31:53.317051+02	\N	\N	\N	\N	\N	\N	f	
13336	987268a4-bb50-46d3-91ce-8cc4689ca165	Cazzano Sant'Andrea	Cazzano Sant'Andrea	4	0	2013-07-21 17:33:31.029517+02	\N	\N	\N	\N	\N	\N	f	
13338	8841ae09-e6f0-4438-9ced-19098db404fd	Chignolo d'Isola	Chignolo d'Isola	4	0	2013-07-21 17:33:55.066226+02	\N	\N	\N	\N	\N	\N	f	
14755	8406c76c-4b35-4643-a768-2c587349ab14	Vallanzengo	Vallanzengo	4	0	2013-07-21 22:48:42.2509+02	\N	\N	\N	\N	\N	\N	f	
13392	0c84373b-752a-4166-aef4-206e079db8bf	Terenzo	Terenzo	4	0	2013-07-21 17:45:30.673097+02	\N	\N	\N	\N	\N	\N	f	
13456	3ac41c32-70dc-4234-8568-6d0432c0ae73	Monasterolo del Castello	Monasterolo del Castello	4	0	2013-07-21 17:59:40.264361+02	\N	\N	\N	\N	\N	\N	f	
14756	bc45fec7-f1a0-49c0-9857-be27689bc4af	Villa del Bosco	Villa del Bosco	4	0	2013-07-21 22:48:54.96163+02	\N	\N	\N	\N	\N	\N	f	
15398	a9ba7ede-9d12-4956-9452-4b448988b210	Biandrate	Biandrate	4	0	2013-07-22 00:36:42.843479+02	\N	\N	\N	\N	\N	\N	f	
16809	5ff3d3bf-d7d9-45e8-b0af-23720d85670e	Comiso	Comiso	4	0	2013-07-22 04:42:11.382289+02	\N	\N	\N	\N	\N	\N	f	
17910	ba82a08a-711e-44b1-81f7-a1a33b526ec8	Cassolnovo	Cassolnovo	4	0	2013-07-22 07:25:08.532281+02	\N	\N	\N	\N	\N	\N	f	
16825	215f267b-19a1-4a1e-8c0a-321c27148e80	Polesella	Polesella	4	0	2013-07-22 04:46:26.153187+02	\N	\N	\N	\N	\N	\N	f	
16859	a6c8ef96-f3ce-4340-b9c2-8aa59ae3fbdb	Vighizzolo d'Este	Vighizzolo d'Este	4	0	2013-07-22 04:55:11.93816+02	\N	\N	\N	\N	\N	\N	f	
17923	74ed0fd3-9ba0-408c-8c83-50c154d4629c	Verrua Po	Verrua Po	4	0	2013-07-22 07:26:50.82264+02	\N	\N	\N	\N	\N	\N	f	
20169	da63bb4b-7c21-4c35-a2ab-71258342a4b5	Paluzza	Paluzza	4	0	2013-07-22 17:40:02.366662+02	\N	\N	\N	\N	\N	\N	f	
24455	2aebeb36-937a-4ad0-a39c-20d753ca6146	Pendergrass, Georgia	Pendergrass, Georgia	3	0	2013-09-07 06:49:25.689963+02	\N	\N	\N	\N	\N	\N	f	
17999	a7b7d233-4818-41e6-90ea-5aec1050a38a	Carbonara di Po	Carbonara di Po	4	0	2013-07-22 07:35:41.783688+02	\N	\N	\N	\N	\N	\N	f	
22067	3027041f-28bc-4b34-b835-b9583243a12f	Jesup	Jesup	3	0	2013-08-07 14:38:09.616678+02	\N	\N	\N	\N	\N	\N	f	
18045	3323f6ad-4bf6-49a4-900c-89cf11be4781	Commessaggio	Commessaggio	4	0	2013-07-22 07:41:22.381593+02	\N	\N	\N	\N	\N	\N	f	
21003	aaad64e6-f912-4215-8e87-0252240325f3	Agerola	Agerola	4	0	2013-07-23 17:50:03.740089+02	\N	\N	\N	\N	\N	\N	f	
18053	a3b4c410-a58f-4b9f-a8af-8288a351d685	Dosolo	Dosolo	4	0	2013-07-22 07:42:22.664874+02	\N	\N	\N	\N	\N	\N	f	
18065	a6f15129-38ed-4a82-8ff2-9f1be41550d8	Castelbelforte	Castelbelforte	4	0	2013-07-22 07:43:50.908276+02	\N	\N	\N	\N	\N	\N	f	
21940	69c665fc-0228-4f02-a2b0-ea6cc6acf38c	Antler, North Dakota	Antler, North Dakota	3	0	2013-08-06 11:29:57.48125+02	\N	\N	\N	\N	\N	\N	f	
18110	11f30f73-d6ca-4640-9435-8a17b0f266a9	Mediglia	Mediglia	4	0	2013-07-22 07:49:02.293059+02	\N	\N	\N	\N	\N	\N	f	
21090	9cc6efe3-fae5-4d64-bdfa-397c60c583aa	Acquacanina	Acquacanina	4	0	2013-07-23 20:50:02.075718+02	\N	\N	\N	\N	\N	\N	f	
18136	fea7161d-18b7-4ac7-9450-883e1c74cd59	Veroli	Veroli	4	0	2013-07-22 07:51:50.692684+02	\N	\N	\N	\N	\N	\N	f	
18155	e66fbade-f825-439c-ae92-fb17f7fe9949	Suzzara	Suzzara	4	0	2013-07-22 07:53:51.567123+02	\N	\N	\N	\N	\N	\N	f	
26044	e10cc60c-92b3-48bf-ba51-fe2087591570	Caney	Caney	3	0	2013-09-07 17:54:40.92635+02	\N	\N	\N	\N	\N	\N	f	
21199	d25f0d23-2002-451d-823f-93495dce7a38	Polla	Polla	4	0	2013-07-23 23:50:15.439692+02	\N	\N	\N	\N	\N	\N	f	
18948	6bc264e7-5b83-4480-b379-9ebd64e962fc	Roverè Veronese	Roverè Veronese	4	0	2013-07-22 09:33:32.244107+02	\N	\N	\N	\N	\N	\N	f	
18970	45c1b671-d7f0-4efb-bd77-f813726ebb6d	Erbè	Erbè	4	0	2013-07-22 09:36:10.443631+02	\N	\N	\N	\N	\N	\N	f	
24516	5b75ab0a-92c5-4ab6-a7ab-af4ea8ac4e78	Union City	Union City	3	0	2013-09-07 07:05:39.069059+02	\N	\N	\N	\N	\N	\N	f	
21398	b60226a9-e173-487a-8e8f-bc2d2f8063e5	San Quirico d'Orcia	San Quirico d'Orcia	4	0	2013-07-24 05:53:00.081916+02	\N	\N	\N	\N	\N	\N	f	
21994	5195c5e2-143c-4062-b09a-bbfde16672dd	Buffalo, Iowa	Buffalo, Iowa	3	0	2013-08-07 11:41:45.182704+02	\N	\N	\N	\N	\N	\N	f	
21417	6128cae0-d3c3-46b6-8075-f770a3063b87	Cafasse	Cafasse	4	0	2013-07-24 05:56:50.88317+02	\N	\N	\N	\N	\N	\N	f	
21420	3f08369c-6adc-416d-8070-39ae4519a411	Caravino	Caravino	4	0	2013-07-24 05:57:39.00921+02	\N	\N	\N	\N	\N	\N	f	
25585	ae369bb4-de69-434e-be02-ca276efd65ec	Hartford, Kansas	Hartford, Kansas	3	0	2013-09-07 13:04:59.228782+02	\N	\N	\N	\N	\N	\N	f	
21505	42c7057b-7d64-4263-8a12-d1c88ceb88ac	Locana	Locana	4	0	2013-07-24 08:54:31.342082+02	\N	\N	\N	\N	\N	\N	f	
22017	c792dda2-3163-45ba-a820-4976c7d93d95	Corydon	Corydon	3	0	2013-08-07 14:26:05.410247+02	\N	\N	\N	\N	\N	\N	f	
21608	07ec32c8-fd9a-45d3-8321-a83e2213fb59	Antegnate	Antegnate	4	0	2013-07-24 11:54:30.440331+02	\N	\N	\N	\N	\N	\N	f	
21654	2a5587ed-b402-4757-93c6-942f0b7c046a	Migliaro	Migliaro	4	0	2013-07-24 14:43:58.561017+02	\N	\N	\N	\N	\N	\N	f	
24930	7a0f7dbc-31e6-43af-ad1d-2bb22ddbf939	Westphalia	Westphalia	3	0	2013-09-07 09:17:59.437826+02	\N	\N	\N	\N	\N	\N	f	
25032	b03c2767-6898-4805-bd05-8925faa270ba	Palmer	Palmer	3	0	2013-09-07 09:45:34.002269+02	\N	\N	\N	\N	\N	\N	f	
24157	104d8cc6-16a8-4d19-915f-7c04fb3ae170	Genesee	Genesee	3	0	2013-09-07 03:01:47.426425+02	\N	\N	\N	\N	\N	\N	f	
24174	a868d5f9-45ef-4805-a8e7-d8e0e3458326	Carey	Carey	3	0	2013-09-07 03:06:06.694893+02	\N	\N	\N	\N	\N	\N	f	
25092	6f8826ff-2a31-4364-aa72-de807914aedd	Yale	Yale	3	0	2013-09-07 10:02:23.650858+02	\N	\N	\N	\N	\N	\N	f	
24415	162d7500-53e3-43ee-8188-82595c3fff51	Jasonville, Indiana	Jasonville, Indiana	3	0	2013-09-07 06:39:38.128491+02	\N	\N	\N	\N	\N	\N	f	
25590	fb7f2737-d436-43a3-b57a-51aa0774f84e	Drakesville	Drakesville	3	0	2013-09-07 13:06:16.194374+02	\N	\N	\N	\N	\N	\N	f	
25479	653dc186-d035-4029-800a-0a1a51c370c4	Cassoday, Kansas	Cassoday, Kansas	3	0	2013-09-07 12:01:11.657343+02	\N	\N	\N	\N	\N	\N	f	
26713	b15ca139-03d9-4304-b9fd-8d2894c089ea	Fairfield	Fairfield	3	0	2013-09-08 02:35:15.571497+02	\N	\N	\N	\N	\N	\N	f	
25559	bef9ad59-3203-44b9-af02-717db4cccf08	White Plains, Kentucky	White Plains, Kentucky	3	0	2013-09-07 12:57:37.067927+02	\N	\N	\N	\N	\N	\N	f	
26395	87ad65d6-c167-4b76-8e49-1e6efeef1845	Madison	Madison	3	0	2013-09-07 23:44:21.947257+02	\N	\N	\N	\N	\N	\N	f	
25595	bca77aa0-a615-442c-a62d-4a868fb17b92	Seneca Gardens, Kentucky	Seneca Gardens, Kentucky	3	0	2013-09-07 13:07:42.580631+02	\N	\N	\N	\N	\N	\N	f	
26802	f106247b-e060-491f-85bd-074976f3a009	Linn Creek	Linn Creek	3	0	2013-09-08 02:57:42.714435+02	\N	\N	\N	\N	\N	\N	f	
26679	9bc6cf04-a4ba-4e85-bd84-5cfab1f5cef7	Hazelton, Kansas	Hazelton, Kansas	3	0	2013-09-08 02:01:18.87989+02	\N	\N	\N	\N	\N	\N	f	
26737	47a757c9-cb1d-476c-b0a5-364c96c2368a	Palmyra	Palmyra	3	0	2013-09-08 02:41:32.362611+02	\N	\N	\N	\N	\N	\N	f	
27470	f2f3e468-2d57-4916-b110-dd8561069142	Mount Healthy	Mount Healthy	3	0	2013-09-08 08:04:49.798056+02	\N	\N	\N	\N	\N	\N	f	
27139	922dbb72-c98c-462d-a412-80d18c4318fb	Doniphan	Doniphan	3	0	2013-09-08 05:39:27.639881+02	\N	\N	\N	\N	\N	\N	f	
27820	f57559e6-7ca6-4ebd-a762-340cc395734f	Glenaire	Glenaire	3	0	2013-09-08 10:06:18.845234+02	\N	\N	\N	\N	\N	\N	f	
28115	e6b4c313-b7c9-4516-9610-eca4e11c71f4	Franklin	Franklin	3	0	2013-09-08 14:22:17.98379+02	\N	\N	\N	\N	\N	\N	f	
28151	fef93eaa-2b3c-43b4-8d99-65c996c1abbd	Svetogorsk	Svetogorsk	3	0	2013-09-08 14:33:35.380543+02	\N	\N	\N	\N	\N	\N	f	
28332	ac3f7253-33f4-4a24-85a1-9e6fe9414072	East Ridge, Tennessee	East Ridge, Tennessee	3	0	2013-09-08 16:52:56.655899+02	\N	\N	\N	\N	\N	\N	f	
28420	7ef865e8-8b7f-4248-a8e4-fcf0f41f5e97	Medon, Tennessee	Medon, Tennessee	3	0	2013-09-08 17:19:12.94677+02	\N	\N	\N	\N	\N	\N	f	
28506	70469c65-f914-4553-8fa0-21cbaa6448c8	Kyle, Texas	Kyle, Texas	3	0	2013-09-08 20:31:38.581245+02	\N	\N	\N	\N	\N	\N	f	
28526	7202cd33-e68e-4b0a-a60a-4399eb64342d	East Carbon	East Carbon	3	0	2013-09-08 20:38:02.182243+02	\N	\N	\N	\N	\N	\N	f	
13314	ed0b0c89-0fee-4c80-9c73-11751d1b9b13	Camerata Cornello	Camerata Cornello	4	0	2013-07-21 17:28:08.868089+02	\N	\N	\N	\N	\N	\N	f	
13315	d8f8a42c-dd46-4070-81f6-7c67c685e53e	San Prospero	San Prospero	4	0	2013-07-21 17:28:20.294892+02	\N	\N	\N	\N	\N	\N	f	
13333	52767da9-898d-4043-9389-bd6e853c6ee1	Cerete	Cerete	4	0	2013-07-21 17:32:48.712376+02	\N	\N	\N	\N	\N	\N	f	
14184	c6a77afd-dd34-4e4d-b216-912fcd46e3f6	Cisterna di Latina	Cisterna di Latina	4	0	2013-07-21 20:42:05.244296+02	\N	\N	\N	\N	\N	\N	f	
13458	dd244de9-f4d9-4e84-a211-c61ad7dc559c	Mezzoldo	Mezzoldo	4	0	2013-07-21 18:00:04.37382+02	\N	\N	\N	\N	\N	\N	f	
13494	9dd30727-9311-4a51-b510-3524b1b3faf0	Songavazzo	Songavazzo	4	0	2013-07-21 18:07:53.107372+02	\N	\N	\N	\N	\N	\N	f	
13519	2a6cd250-a549-44e4-ae6e-5cb4e7e217e5	Torre de' Roveri	Torre de' Roveri	4	0	2013-07-21 18:13:18.789566+02	\N	\N	\N	\N	\N	\N	f	
14192	1fd14151-105d-499a-bf91-40668d6142ff	Ponza, Lazio	Ponza, Lazio	4	0	2013-07-21 20:43:42.020314+02	\N	\N	\N	\N	\N	\N	f	
13523	5a11338f-891d-4f3d-a464-9d3f647fdf9e	Torre Pallavicina	Torre Pallavicina	4	0	2013-07-21 18:14:07.375372+02	\N	\N	\N	\N	\N	\N	f	
16060	cc157bbf-4825-4757-b6e0-d2a877d35c6c	Cis, Trentino	Cis, Trentino	4	0	2013-07-22 02:47:52.677437+02	\N	\N	\N	\N	\N	\N	f	
14758	dde53423-b401-4cc0-b9cb-2578eaaff915	Valle San Nicolao	Valle San Nicolao	4	0	2013-07-21 22:49:19.123725+02	\N	\N	\N	\N	\N	\N	f	
14759	34726342-d88a-4c2f-a44b-4ad0954aa5e5	Castelmagno	Castelmagno	4	0	2013-07-21 22:49:34.238275+02	\N	\N	\N	\N	\N	\N	f	
14772	e8dca034-6ccf-43e8-8790-833781e46deb	Arguello	Arguello	4	0	2013-07-21 22:52:48.620122+02	\N	\N	\N	\N	\N	\N	f	
16810	c8255ca8-4b7e-44f9-8c38-cd1f9c11d340	Ispica	Ispica	4	0	2013-07-22 04:42:23.917378+02	\N	\N	\N	\N	\N	\N	f	
14810	1ed4ee78-6d70-4485-abaf-cb6ef3fe6fa5	Vimercate	Vimercate	4	0	2013-07-21 23:00:44.626418+02	\N	\N	\N	\N	\N	\N	f	
15400	ba543cf0-b09e-4d8f-b9f0-2d7dbc36ead4	Armeno	Armeno	4	0	2013-07-22 00:37:11.746947+02	\N	\N	\N	\N	\N	\N	f	
17919	8665b2d6-0482-4478-a719-b29a4a981c5f	Stradella	Stradella	4	0	2013-07-22 07:26:22.150072+02	\N	\N	\N	\N	\N	\N	f	
15435	c50402de-9c7e-45d6-b449-d06f4b027f24	Castel Sant'Angelo, Lazio	Castel Sant'Angelo, Lazio	4	0	2013-07-22 00:45:02.082817+02	\N	\N	\N	\N	\N	\N	f	
16827	ad991074-8968-4378-90fc-c42969e013e5	Perugia	Perugia	4	0	2013-07-22 04:47:03.607167+02	\N	\N	\N	\N	\N	\N	f	
16846	5e2899da-5adc-4a4e-ba97-18570295d2e5	Polverara	Polverara	4	0	2013-07-22 04:51:58.582177+02	\N	\N	\N	\N	\N	\N	f	
16887	d2e41cdf-1c4b-4ee4-9019-d4354489e896	Montegrotto Terme	Montegrotto Terme	4	0	2013-07-22 05:02:08.556443+02	\N	\N	\N	\N	\N	\N	f	
18933	867548bc-bcbd-453d-b44f-82064f2093af	Mazzarrone	Mazzarrone	4	0	2013-07-22 09:31:56.417471+02	\N	\N	\N	\N	\N	\N	f	
16903	d9bb8f33-27dd-4a37-81da-73ddf1ab9a0d	Piombino Dese	Piombino Dese	4	0	2013-07-22 05:06:06.078682+02	\N	\N	\N	\N	\N	\N	f	
16987	4aab16fc-6278-401f-ad09-2951c16e3aff	Pietraferrazzana	Pietraferrazzana	4	0	2013-07-22 05:27:56.260739+02	\N	\N	\N	\N	\N	\N	f	
20170	1daf20fe-9873-4771-bba7-cad7344efc64	Magnano in Riviera	Magnano in Riviera	4	0	2013-07-22 17:40:23.677662+02	\N	\N	\N	\N	\N	\N	f	
18986	392a12eb-52a1-41fb-a95b-fcb1b88b352d	Mogliano Veneto	Mogliano Veneto	4	0	2013-07-22 09:38:28.365509+02	\N	\N	\N	\N	\N	\N	f	
18998	312926d9-d217-4c2c-8bb9-f19e1a67b2ef	Piovene Rocchette	Piovene Rocchette	4	0	2013-07-22 09:39:52.071709+02	\N	\N	\N	\N	\N	\N	f	
20179	03a0cf6a-d467-4708-bca5-9607296e0d8c	Osoppo	Osoppo	4	0	2013-07-22 17:42:37.805565+02	\N	\N	\N	\N	\N	\N	f	
26683	7139179d-eef9-4b99-b845-39047ad49b3c	Vineland	Vineland	3	0	2013-09-08 02:18:49.10734+02	\N	\N	\N	\N	\N	\N	f	
21941	8f4a9ee4-0014-4533-9e07-840c029ee172	Island City, Oregon	Island City, Oregon	3	0	2013-08-06 11:30:33.781422+02	\N	\N	\N	\N	\N	\N	f	
20180	effe2fa2-ec39-4802-a6ca-c1d2840397b3	Moimacco	Moimacco	4	0	2013-07-22 17:42:54.778089+02	\N	\N	\N	\N	\N	\N	f	
20191	3612ade6-3f98-4326-8091-d1d8fd8e637e	Lestizza	Lestizza	4	0	2013-07-22 17:45:09.896689+02	\N	\N	\N	\N	\N	\N	f	
24932	41105345-8fb5-4124-ba28-45f4a6d81ce6	Toronto	Toronto	3	0	2013-09-07 09:18:36.037857+02	\N	\N	\N	\N	\N	\N	f	
21009	922e288b-2fff-491d-a2c3-d34cdd17f031	Casandrino	Casandrino	4	0	2013-07-23 17:51:18.186005+02	\N	\N	\N	\N	\N	\N	f	
21958	26456cd8-a296-4915-8a5d-0ab833d4b3dc	Lakota, North Dakota	Lakota, North Dakota	3	0	2013-08-06 11:41:54.059604+02	\N	\N	\N	\N	\N	\N	f	
21091	2058150c-70d6-4b03-9cc2-59d4a2054e72	Esanatoglia	Esanatoglia	4	0	2013-07-23 20:50:15.572851+02	\N	\N	\N	\N	\N	\N	f	
21201	70597c73-cc92-4c70-8f90-f9222e7938cd	Perito	Perito	4	0	2013-07-23 23:50:40.273064+02	\N	\N	\N	\N	\N	\N	f	
21206	6850f491-2ca3-4603-af21-9b201d0d82c3	Pagani, Campania	Pagani, Campania	4	0	2013-07-23 23:51:41.662454+02	\N	\N	\N	\N	\N	\N	f	
21995	abb14ccb-b1a3-4307-b407-faa7c5f69a4d	Chariton	Chariton	3	0	2013-08-07 11:42:56.721364+02	\N	\N	\N	\N	\N	\N	f	
21399	a720d50b-f910-41a2-9f1e-e7a3ada19dbf	Candia Canavese	Candia Canavese	4	0	2013-07-24 05:53:11.947195+02	\N	\N	\N	\N	\N	\N	f	
21507	710d4097-07cb-4189-b3ee-5bbb7bf39808	Mathi	Mathi	4	0	2013-07-24 08:54:57.802198+02	\N	\N	\N	\N	\N	\N	f	
21508	88995ccb-e9f9-4f08-b529-789f5ed3f5dc	Mattie	Mattie	4	0	2013-07-24 08:55:11.472853+02	\N	\N	\N	\N	\N	\N	f	
22018	c736f144-9871-40f3-9654-e78181f00417	Wapello, Iowa	Wapello, Iowa	3	0	2013-08-07 14:26:18.421791+02	\N	\N	\N	\N	\N	\N	f	
21609	f711cb2c-e628-4d18-a845-8cae0f5f9eec	Zola Predosa	Zola Predosa	4	0	2013-07-24 11:54:45.038931+02	\N	\N	\N	\N	\N	\N	f	
21655	2c9f46d2-d1ec-40f6-87a4-8d7550645c4a	Orio Canavese	Orio Canavese	4	0	2013-07-24 14:44:15.473248+02	\N	\N	\N	\N	\N	\N	f	
25068	80d97996-d512-494d-96ad-02cf2bf5f1e6	Middletown	Middletown	3	0	2013-09-07 09:54:55.345611+02	\N	\N	\N	\N	\N	\N	f	
21674	6ebf776c-35ed-46fd-b694-ea8d56c2c091	Pino Torinese	Pino Torinese	4	0	2013-07-24 14:49:00.060021+02	\N	\N	\N	\N	\N	\N	f	
24158	09579100-faec-4081-a5ed-663dae6ca5b5	Marsing	Marsing	3	0	2013-09-07 03:02:01.438968+02	\N	\N	\N	\N	\N	\N	f	
25598	44dd834c-6a88-4ab3-9705-3c545f20199f	Harahan, Louisiana	Harahan, Louisiana	3	0	2013-09-07 13:08:24.562945+02	\N	\N	\N	\N	\N	\N	f	
24161	56982bb2-159d-4049-9e64-c21250db0e06	Jerome	Jerome	3	0	2013-09-07 03:02:46.9751+02	\N	\N	\N	\N	\N	\N	f	
25071	ba516825-cf9a-4393-b71e-625df7654281	Ossian	Ossian	3	0	2013-09-07 09:55:56.482988+02	\N	\N	\N	\N	\N	\N	f	
24416	108ad3c4-ba88-47e8-8c69-3e16d52bedd3	Coleman, Georgia	Coleman, Georgia	3	0	2013-09-07 06:39:51.288305+02	\N	\N	\N	\N	\N	\N	f	
24931	b6d2f4b3-07df-4c07-b1e9-a9b6bc66cb3e	Erie	Erie	3	0	2013-09-07 09:18:18.858267+02	\N	\N	\N	\N	\N	\N	f	
25480	6f73475d-cc3a-4474-ab6f-d5782ef5c16f	Strong City, Kansas	Strong City, Kansas	3	0	2013-09-07 12:01:25.692027+02	\N	\N	\N	\N	\N	\N	f	
25561	2ec1b390-920d-4f03-8686-e26c5014238e	Overbrook, Kansas	Overbrook, Kansas	3	0	2013-09-07 12:58:18.695994+02	\N	\N	\N	\N	\N	\N	f	
26680	cd33e0f7-9f6f-4495-94f5-dfc0249f140a	De Kalb, Missouri	De Kalb, Missouri	3	0	2013-09-08 02:01:35.64688+02	\N	\N	\N	\N	\N	\N	f	
25583	94963842-2198-49b7-9971-f641fe1a4888	Bird City, Kansas	Bird City, Kansas	3	0	2013-09-07 13:04:30.081759+02	\N	\N	\N	\N	\N	\N	f	
26047	612f4cec-04e0-451d-b2f4-b1036cffc0bb	Mount Olivet, Kentucky	Mount Olivet, Kentucky	3	0	2013-09-07 17:55:51.87654+02	\N	\N	\N	\N	\N	\N	f	
26396	6a7a1693-d947-4d6f-bdea-b795220053b0	Madison	Madison	3	0	2013-09-07 23:57:04.007117+02	\N	\N	\N	\N	\N	\N	f	
27141	08e0c447-88f1-4ecd-b285-5702aa00fde4	Herculaneum	Herculaneum	3	0	2013-09-08 05:39:57.575698+02	\N	\N	\N	\N	\N	\N	f	
27480	8abaf6f7-f9ff-497d-8e81-ba873ec64092	Milnor, North Dakota	Milnor, North Dakota	3	0	2013-09-08 08:07:16.99139+02	\N	\N	\N	\N	\N	\N	f	
27149	9b407e8a-fa33-4140-a01c-9b8a2bb60cfc	Riverside	Riverside	3	0	2013-09-08 05:42:01.508613+02	\N	\N	\N	\N	\N	\N	f	
27476	c0605e0f-2675-4923-866b-3b88a875611f	Sarles, North Dakota	Sarles, North Dakota	3	0	2013-09-08 08:06:19.47434+02	\N	\N	\N	\N	\N	\N	f	
27487	59fbb490-c0f6-4fc0-8d30-7066cbb16951	Rittman	Rittman	3	0	2013-09-08 08:18:21.338801+02	\N	\N	\N	\N	\N	\N	f	
27495	7d7b1590-6da1-46df-be84-2e0e45aa802a	Pickerington	Pickerington	3	0	2013-09-08 08:22:31.976038+02	\N	\N	\N	\N	\N	\N	f	
27563	7a1a1682-60a3-47f4-99c4-b610fb5567b8	Harwood, North Dakota	Harwood, North Dakota	3	0	2013-09-08 08:41:55.035654+02	\N	\N	\N	\N	\N	\N	f	
27824	d2b675c3-32c4-4fad-9576-5436a511521f	Parma	Parma	3	0	2013-09-08 10:07:26.997471+02	\N	\N	\N	\N	\N	\N	f	
28117	976ebec4-696f-42d4-8fe0-88137869a7d1	DuBois	DuBois	3	0	2013-09-08 14:22:45.095437+02	\N	\N	\N	\N	\N	\N	f	
28333	e61bc56c-1558-4505-8bb3-027e0d1148d7	Louisville, Tennessee	Louisville, Tennessee	3	0	2013-09-08 16:53:10.516981+02	\N	\N	\N	\N	\N	\N	f	
28508	4b50fc48-5001-433a-b87e-3ea59045116f	Yorkville, Tennessee	Yorkville, Tennessee	3	0	2013-09-08 20:32:21.235881+02	\N	\N	\N	\N	\N	\N	f	
28971	b4de9287-d608-4373-8b37-6c7613bf5a5f	Crosbyton	Crosbyton	3	0	2013-09-09 01:43:37.668921+02	\N	\N	\N	\N	\N	\N	f	
13316	e9c04844-2a27-491e-8188-eb2f50b61a3b	Novi di Modena	Novi di Modena	4	0	2013-07-21 17:28:34.856999+02	\N	\N	\N	\N	\N	\N	f	
13317	3bcbc241-7888-4d45-81b2-73457d09d683	Carona, Lombardy	Carona, Lombardy	4	0	2013-07-21 17:28:47.695083+02	\N	\N	\N	\N	\N	\N	f	
13320	3538a71e-567b-4f24-9a36-3f2b2263bd08	Riolunato	Riolunato	4	0	2013-07-21 17:29:26.382987+02	\N	\N	\N	\N	\N	\N	f	
14186	d0781d23-f8c4-4af7-8f09-475b821e41b4	Priverno	Priverno	4	0	2013-07-21 20:42:29.552566+02	\N	\N	\N	\N	\N	\N	f	
13321	ba90826c-4a24-4542-a80f-325445b17e8c	Carvico	Carvico	4	0	2013-07-21 17:29:41.092224+02	\N	\N	\N	\N	\N	\N	f	
13322	318dbcf8-2909-4d96-b771-88e42e71df26	Castel Rozzone	Castel Rozzone	4	0	2013-07-21 17:29:53.701056+02	\N	\N	\N	\N	\N	\N	f	
13324	8f370b37-7539-4ad8-b805-0f01818d2639	Vignola	Vignola	4	0	2013-07-21 17:30:24.246368+02	\N	\N	\N	\N	\N	\N	f	
14245	7ca24155-ee5f-42af-8a55-4290a47940e7	Tortolì	Tortolì	4	0	2013-07-21 20:55:06.711139+02	\N	\N	\N	\N	\N	\N	f	
13325	0c4e3930-165e-4554-bdbf-10b1fb4b3e04	Casnigo	Casnigo	4	0	2013-07-21 17:30:38.982727+02	\N	\N	\N	\N	\N	\N	f	
13346	ede59b56-5348-4aa5-960c-128c3fd09222	Comun Nuovo	Comun Nuovo	4	0	2013-07-21 17:35:48.447107+02	\N	\N	\N	\N	\N	\N	f	
16062	6ae0ccd6-5032-4fac-824d-faf2a27348f1	Caravonica	Caravonica	4	0	2013-07-22 02:48:05.117323+02	\N	\N	\N	\N	\N	\N	f	
13381	6deeec16-5c21-472e-9fc9-ece84f3942df	Fidenza	Fidenza	4	0	2013-07-21 17:43:11.768974+02	\N	\N	\N	\N	\N	\N	f	
14350	9f23c0bf-c047-4b52-a62a-391f3dce089d	Casaleggio Boiro	Casaleggio Boiro	4	0	2013-07-21 21:18:54.231471+02	\N	\N	\N	\N	\N	\N	f	
13389	764f2de2-2ce6-48cc-ad82-f3b2256f3c8d	Fiorano al Serio	Fiorano al Serio	4	0	2013-07-21 17:44:55.328318+02	\N	\N	\N	\N	\N	\N	f	
13477	988d0b67-e9b4-46f1-9ab9-7c06f7f6b7c8	Piazzatorre	Piazzatorre	4	0	2013-07-21 18:04:13.090153+02	\N	\N	\N	\N	\N	\N	f	
13479	399299db-cb23-4127-b8d1-4a31207e04a7	Ponte Nossa	Ponte Nossa	4	0	2013-07-21 18:04:37.150016+02	\N	\N	\N	\N	\N	\N	f	
14761	10ad61fd-a73b-4db7-8f6d-be468e853351	Sillano	Sillano	4	0	2013-07-21 22:49:58.985132+02	\N	\N	\N	\N	\N	\N	f	
13484	fa47bd76-765e-48d2-bd22-17a3e6dd3afa	Ponte San Pietro	Ponte San Pietro	4	0	2013-07-21 18:05:38.399234+02	\N	\N	\N	\N	\N	\N	f	
13492	60893c53-5e23-497c-a97c-283f8c2cb06e	Rogno	Rogno	4	0	2013-07-21 18:07:28.723722+02	\N	\N	\N	\N	\N	\N	f	
13496	84fbf5af-b41d-45e7-9834-562dddcb6ffe	Sarnico	Sarnico	4	0	2013-07-21 18:08:17.529534+02	\N	\N	\N	\N	\N	\N	f	
15401	089a4f38-99f5-468f-bde8-784b7da32587	Boca	Boca	4	0	2013-07-22 00:37:25.496625+02	\N	\N	\N	\N	\N	\N	f	
13501	c136c537-1cc6-43ad-adb9-37700c7c7e65	Treviglio	Treviglio	4	0	2013-07-21 18:09:20.340154+02	\N	\N	\N	\N	\N	\N	f	
16811	51a4a9a0-8521-480b-bee7-1e8e96710427	Vittoria, Sicily	Vittoria, Sicily	4	0	2013-07-22 04:42:37.532319+02	\N	\N	\N	\N	\N	\N	f	
13525	dcf75d9e-ae57-4e7d-8d5e-b91e69e6a858	Selvino	Selvino	4	0	2013-07-21 18:14:32.164453+02	\N	\N	\N	\N	\N	\N	f	
17939	70890ddf-49e8-4838-80cd-064f52ceb8dc	Pieve di Coriano	Pieve di Coriano	4	0	2013-07-22 07:28:58.417104+02	\N	\N	\N	\N	\N	\N	f	
17964	839649ee-005d-4222-b79a-777b2a6de897	Pieve d'Olmi	Pieve d'Olmi	4	0	2013-07-22 07:31:46.756654+02	\N	\N	\N	\N	\N	\N	f	
20177	0eafcd66-6dc4-4c2b-b8d4-085e6feec2c1	Pozzuolo del Friuli	Pozzuolo del Friuli	4	0	2013-07-22 17:42:07.617635+02	\N	\N	\N	\N	\N	\N	f	
26681	4f8b498f-de44-4d27-b86e-149431f4c570	Summit	Summit	3	0	2013-09-08 02:17:01.645549+02	\N	\N	\N	\N	\N	\N	f	
24456	cd149aea-d765-4963-8d6b-34f695902b4d	Union Point, Georgia	Union Point, Georgia	3	0	2013-09-07 06:49:39.887973+02	\N	\N	\N	\N	\N	\N	f	
21011	0376c831-3c8f-4683-9c77-aabe2a66e16c	Afragola	Afragola	4	0	2013-07-23 17:51:42.113361+02	\N	\N	\N	\N	\N	\N	f	
21092	d45005cf-21cf-416c-bbcf-5bcac133e90b	Cingoli	Cingoli	4	0	2013-07-23 20:50:29.268632+02	\N	\N	\N	\N	\N	\N	f	
21202	1feaf3ed-cdf0-43fb-8430-903e88503104	Praiano	Praiano	4	0	2013-07-23 23:50:52.528926+02	\N	\N	\N	\N	\N	\N	f	
24933	91968a87-1ed4-462f-a6c7-c905c41e41d4	Downs	Downs	3	0	2013-09-07 09:18:59.221694+02	\N	\N	\N	\N	\N	\N	f	
21403	0d93c144-ebc0-4d24-9082-332e7b176a43	Chianciano Terme	Chianciano Terme	4	0	2013-07-24 05:54:00.653823+02	\N	\N	\N	\N	\N	\N	f	
21509	9d2a0557-26bf-4bba-b32c-026334f6c31e	Levone	Levone	4	0	2013-07-24 08:55:24.772143+02	\N	\N	\N	\N	\N	\N	f	
28450	ddd3c289-865f-49fb-8404-c5b503151885	White House, Tennessee	White House, Tennessee	3	0	2013-09-08 17:31:14.679055+02	\N	\N	\N	\N	\N	\N	f	
21613	5ece2556-5551-4923-a0d8-972a868a388a	San Benedetto Val di Sambro	San Benedetto Val di Sambro	4	0	2013-07-24 11:55:35.426526+02	\N	\N	\N	\N	\N	\N	f	
25481	763f4995-8920-4004-afa9-bc0d49e7e820	Elkton, Kentucky	Elkton, Kentucky	3	0	2013-09-07 12:01:42.226162+02	\N	\N	\N	\N	\N	\N	f	
21656	35634e76-fbc1-485f-87bc-4f36125205b3	Voghiera	Voghiera	4	0	2013-07-24 14:44:29.042556+02	\N	\N	\N	\N	\N	\N	f	
27145	eb8ba034-db12-448e-a622-a6e185dbf66f	Crestwood	Crestwood	3	0	2013-09-08 05:41:00.694452+02	\N	\N	\N	\N	\N	\N	f	
21942	204723f9-e0d6-4d42-b214-1495188a5b65	St. John, North Dakota	St. John, North Dakota	3	0	2013-08-06 11:31:00.887384+02	\N	\N	\N	\N	\N	\N	f	
25523	20a6eb2c-e1f2-447d-b784-5daa0384fb88	Kaplan, Louisiana	Kaplan, Louisiana	3	0	2013-09-07 12:46:42.965905+02	\N	\N	\N	\N	\N	\N	f	
21996	98afe757-8d77-4c99-8bd8-b210a96f8c33	Cascade	Cascade	3	0	2013-08-07 11:43:20.581253+02	\N	\N	\N	\N	\N	\N	f	
22019	3ebbf435-4cde-4a62-b7cb-bfa326c752d2	Marengo	Marengo	3	0	2013-08-07 14:26:35.014278+02	\N	\N	\N	\N	\N	\N	f	
24159	c3b1449d-9947-49e3-ab1f-84e2f163a3a9	Weippe	Weippe	3	0	2013-09-07 03:02:16.824135+02	\N	\N	\N	\N	\N	\N	f	
24417	34d2e6a5-9ba0-457d-a482-707d484b453a	Guyton, Georgia	Guyton, Georgia	3	0	2013-09-07 06:40:05.253623+02	\N	\N	\N	\N	\N	\N	f	
25524	8018758b-96ef-4435-b9d6-a60605a0a82a	Wingo	Wingo	3	0	2013-09-07 12:47:00.518793+02	\N	\N	\N	\N	\N	\N	f	
27477	7868a112-6c2e-49a7-b2ff-091aa7f42723	Streeter, North Dakota	Streeter, North Dakota	3	0	2013-09-08 08:06:33.794558+02	\N	\N	\N	\N	\N	\N	f	
25563	f952c09a-28d7-4236-b8b6-40587763ed35	Neodesha, Kansas	Neodesha, Kansas	3	0	2013-09-07 12:58:57.249929+02	\N	\N	\N	\N	\N	\N	f	
26051	d7d6c4fb-f77d-4fae-a3f9-90ec193f97ed	Rush Center	Rush Center	3	0	2013-09-07 17:57:05.207327+02	\N	\N	\N	\N	\N	\N	f	
26398	f1b9ab28-947b-48ad-b53c-94db63f247e7	Canton	Canton	3	0	2013-09-07 23:57:54.86532+02	\N	\N	\N	\N	\N	\N	f	
28510	1d074785-700b-4ba6-9d3c-7e73a93b712a	Bear Creek	Bear Creek	3	0	2013-09-08 20:33:01.728997+02	\N	\N	\N	\N	\N	\N	f	
27825	6ec6410e-a18a-461e-8cc6-d362b0bf508c	Wardell	Wardell	3	0	2013-09-08 10:07:43.097673+02	\N	\N	\N	\N	\N	\N	f	
28118	68e1c76f-7725-4278-9a7b-86806ceeb3e1	Clairton	Clairton	3	0	2013-09-08 14:22:58.268819+02	\N	\N	\N	\N	\N	\N	f	
28334	2881224f-20ce-494d-a52d-98884b5bf3ae	Roscoe, South Dakota	Roscoe, South Dakota	3	0	2013-09-08 16:53:24.801226+02	\N	\N	\N	\N	\N	\N	f	
28802	4d4fb8b1-72b1-4833-b8e5-3da7c8e5d417	Shenandoah	Shenandoah	3	0	2013-09-09 00:02:45.801229+02	\N	\N	\N	\N	\N	\N	f	
28520	fe7b5f6a-4a98-4118-9c29-edd270cd739b	Ames, Texas	Ames, Texas	3	0	2013-09-08 20:36:34.786125+02	\N	\N	\N	\N	\N	\N	f	
28751	cef0440b-ec4d-408c-9990-de023827be80	Grey Forest	Grey Forest	3	0	2013-09-08 23:49:07.373009+02	\N	\N	\N	\N	\N	\N	f	
28753	89bda9b8-4bf9-4c24-81a1-8c6917775960	Hawley	Hawley	3	0	2013-09-08 23:49:38.500249+02	\N	\N	\N	\N	\N	\N	f	
28985	b3be48a4-d4fc-4a20-bf81-d0a745668d93	Liberty	Liberty	3	0	2013-09-09 01:47:37.933406+02	\N	\N	\N	\N	\N	\N	f	
28863	1a7258d0-d374-4df9-95b2-156819e83274	Rio Bravo	Rio Bravo	3	0	2013-09-09 00:19:26.833959+02	\N	\N	\N	\N	\N	\N	f	
28974	80260321-5e88-469c-a7fd-1a3f4e4d00a6	Woodway	Woodway	3	0	2013-09-09 01:44:27.515424+02	\N	\N	\N	\N	\N	\N	f	
29237	6ab72967-283a-4e97-b4a0-57a962c4eb83	Marmet, West Virginia	Marmet, West Virginia	3	0	2013-09-09 04:15:15.358487+02	\N	\N	\N	\N	\N	\N	f	
29032	f910b807-22e6-4c08-97de-9436a7e55bed	Lorenzo	Lorenzo	3	0	2013-09-09 02:02:02.650579+02	\N	\N	\N	\N	\N	\N	f	
29465	ab2c630f-fafd-4b5e-aa45-be6a63d930b7	Groton	Groton	3	0	2013-09-19 08:17:29.283249+02	\N	\N	\N	\N	\N	\N	f	
29346	bb4a79e1-71ce-4fb3-ab7e-83296867bea2	Zwenkau	Zwenkau	3	0	2013-09-09 08:21:17.093747+02	\N	\N	\N	\N	\N	\N	f	
29547	d810c2b7-88c4-40fd-89bd-2b26baa766f6	San Juan, Argentina	San Juan, Argentina	3	0	2013-09-29 11:26:54.426047+02	\N	\N	\N	\N	\N	\N	f	
29551	7115c5f8-479b-4378-b462-543368a0b669	Adrogué	Adrogué	3	0	2013-09-29 11:29:48.929484+02	\N	\N	\N	\N	\N	\N	f	
29647	11bec00a-00d7-4a66-ad1c-71e26356f90f	Moestroff	Moestroff	3	0	2013-10-11 20:26:21.008428+02	\N	\N	\N	\N	\N	\N	f	
13326	d8800ca1-334d-4abc-954a-12788d7937ba	San Possidonio	San Possidonio	4	0	2013-07-21 17:30:56.277225+02	\N	\N	\N	\N	\N	\N	f	
13364	56979138-7a0a-4e96-8a6e-26fb0b947f90	Fontanellato	Fontanellato	4	0	2013-07-21 17:39:47.068249+02	\N	\N	\N	\N	\N	\N	f	
13327	dabef828-8f98-411d-8e00-9a98a3d58fe0	Calcio, Lombardy	Calcio, Lombardy	4	0	2013-07-21 17:31:12.03384+02	\N	\N	\N	\N	\N	\N	f	
13331	b49c5a96-00d7-4ae1-8727-f1fddc9b46b7	Cene	Cene	4	0	2013-07-21 17:32:14.633239+02	\N	\N	\N	\N	\N	\N	f	
13332	f1738580-3ef1-499c-9534-368c024217a8	Cenate Sotto	Cenate Sotto	4	0	2013-07-21 17:32:28.607694+02	\N	\N	\N	\N	\N	\N	f	
13365	a2b445e8-321d-4049-8b75-93bd4a1ad0ed	Collecchio	Collecchio	4	0	2013-07-21 17:40:00.466347+02	\N	\N	\N	\N	\N	\N	f	
13334	ce8ed05f-1b8d-4ea5-9137-58ca61214b38	Chiuduno	Chiuduno	4	0	2013-07-21 17:33:05.998888+02	\N	\N	\N	\N	\N	\N	f	
13335	d4cbf2f3-0ae6-41c9-8670-a7d39992a8b8	Castro, Lombardy	Castro, Lombardy	4	0	2013-07-21 17:33:19.275703+02	\N	\N	\N	\N	\N	\N	f	
13387	453ab41e-9479-42aa-90af-972430d5f407	Tornolo	Tornolo	4	0	2013-07-21 17:44:31.501116+02	\N	\N	\N	\N	\N	\N	f	
13337	65626d5d-ee69-437c-8660-d7ee03ae3c37	Cenate Sopra	Cenate Sopra	4	0	2013-07-21 17:33:42.919601+02	\N	\N	\N	\N	\N	\N	f	
13366	8a5fa679-0586-4457-a3c6-782b39287577	Fontevivo	Fontevivo	4	0	2013-07-21 17:40:12.576206+02	\N	\N	\N	\N	\N	\N	f	
13340	1c2d4dde-5958-4be0-bbb4-9b02b70fe9c1	Colere	Colere	4	0	2013-07-21 17:34:22.322544+02	\N	\N	\N	\N	\N	\N	f	
13342	57790b63-e999-46d7-a955-d6d4c6a7e402	Cavernago	Cavernago	4	0	2013-07-21 17:34:50.249735+02	\N	\N	\N	\N	\N	\N	f	
13343	5cb603e8-cc8d-41cb-9ffe-32d235ed03a4	Ciserano	Ciserano	4	0	2013-07-21 17:35:02.563716+02	\N	\N	\N	\N	\N	\N	f	
13367	1ff44e8f-fe8f-44c7-8098-f867aca7a15c	Noceto	Noceto	4	0	2013-07-21 17:40:24.186232+02	\N	\N	\N	\N	\N	\N	f	
13344	edf71b7e-a7b0-4035-95b6-07bfb3893637	Clusone	Clusone	4	0	2013-07-21 17:35:16.544922+02	\N	\N	\N	\N	\N	\N	f	
13347	25c7db83-40c7-4015-9a6c-a8177e1ab926	Cologno al Serio	Cologno al Serio	4	0	2013-07-21 17:36:02.391022+02	\N	\N	\N	\N	\N	\N	f	
13348	8c5ec9e2-cf4e-4aed-8340-5802c472c535	Covo	Covo	4	0	2013-07-21 17:36:14.005091+02	\N	\N	\N	\N	\N	\N	f	
13368	0c864239-7b43-481e-8a4d-698942532b22	Albareto	Albareto	4	0	2013-07-21 17:40:35.649912+02	\N	\N	\N	\N	\N	\N	f	
13350	4a0e0a31-6e4d-4cb4-a2ac-74853111ab45	Cortenuova	Cortenuova	4	0	2013-07-21 17:36:37.532655+02	\N	\N	\N	\N	\N	\N	f	
13351	0acf41e4-1bd5-44e8-a7cb-04205d5f0bea	Costa Volpino	Costa Volpino	4	0	2013-07-21 17:36:55.052081+02	\N	\N	\N	\N	\N	\N	f	
13388	f370e93c-e3a0-41d8-84f2-0f025771b4ec	Polesine Parmense	Polesine Parmense	4	0	2013-07-21 17:44:43.40683+02	\N	\N	\N	\N	\N	\N	f	
13355	cd42f451-67bd-4261-acd9-d0ef98dbaf50	Costa di Mezzate	Costa di Mezzate	4	0	2013-07-21 17:37:44.693316+02	\N	\N	\N	\N	\N	\N	f	
13369	a94f3c96-6ecf-4594-a077-e2cec60e2323	Fornovo di Taro	Fornovo di Taro	4	0	2013-07-21 17:40:47.791367+02	\N	\N	\N	\N	\N	\N	f	
13356	eb839cfe-9c41-4c19-a386-96d24a0bfdde	Cusio, Lombardy	Cusio, Lombardy	4	0	2013-07-21 17:38:05.366139+02	\N	\N	\N	\N	\N	\N	f	
13358	23f51dad-4f7a-4b5f-8e2a-8a4cf9207ecd	Berceto	Berceto	4	0	2013-07-21 17:38:34.692298+02	\N	\N	\N	\N	\N	\N	f	
13359	5126d04a-e4d2-4f25-9f67-e8913faf4d95	Medesano	Medesano	4	0	2013-07-21 17:38:46.924446+02	\N	\N	\N	\N	\N	\N	f	
13373	f5a5e5f9-60c0-4b17-9329-4622e33d4d03	Neviano degli Arduini	Neviano degli Arduini	4	0	2013-07-21 17:41:34.316385+02	\N	\N	\N	\N	\N	\N	f	
13360	56e8baa8-bf92-45e8-9ec2-d985a38bfd2b	Langhirano	Langhirano	4	0	2013-07-21 17:38:58.533393+02	\N	\N	\N	\N	\N	\N	f	
13361	9a4a0364-a661-489d-af15-62e0638f2842	Curno	Curno	4	0	2013-07-21 17:39:10.081132+02	\N	\N	\N	\N	\N	\N	f	
13399	dfb1bb86-2ba9-4394-bf30-31d1d7fbb1ab	Salsomaggiore Terme	Salsomaggiore Terme	4	0	2013-07-21 17:46:53.378964+02	\N	\N	\N	\N	\N	\N	f	
13362	ac937b03-dc26-4d45-a4af-0863c53573c6	Bore, Emilia-Romagna	Bore, Emilia-Romagna	4	0	2013-07-21 17:39:22.937345+02	\N	\N	\N	\N	\N	\N	f	
13374	95cc90ba-3e69-4dbe-87bc-9c0113412dec	Montechiarugolo	Montechiarugolo	4	0	2013-07-21 17:41:48.217646+02	\N	\N	\N	\N	\N	\N	f	
13363	84d89ab5-e6af-49e7-99bb-b3ffdc4e1821	Bedonia	Bedonia	4	0	2013-07-21 17:39:35.4188+02	\N	\N	\N	\N	\N	\N	f	
13390	c05ed8fc-49ae-48a1-93aa-7442f238c13a	Solignano	Solignano	4	0	2013-07-21 17:45:06.930448+02	\N	\N	\N	\N	\N	\N	f	
13375	5fadb3b8-33aa-46de-ae71-cf308d918faf	Busseto	Busseto	4	0	2013-07-21 17:42:00.379987+02	\N	\N	\N	\N	\N	\N	f	
13376	d4348603-a709-4c75-9001-eed01ea63e52	Felino	Felino	4	0	2013-07-21 17:42:12.214227+02	\N	\N	\N	\N	\N	\N	f	
13378	f5f08ea4-0cc5-44d0-8367-704800a4e95d	Monchio delle Corti	Monchio delle Corti	4	0	2013-07-21 17:42:36.381488+02	\N	\N	\N	\N	\N	\N	f	
13391	0cb32350-e975-4b8f-96ca-e8dd7c705f3d	San Secondo Parmense	San Secondo Parmense	4	0	2013-07-21 17:45:18.656558+02	\N	\N	\N	\N	\N	\N	f	
13379	ceec01de-a469-46d5-aa93-82f872a6df79	Lesignano de' Bagni	Lesignano de' Bagni	4	0	2013-07-21 17:42:47.991417+02	\N	\N	\N	\N	\N	\N	f	
13383	e0ca5bbe-b618-4a6b-bc51-db40be9deb40	Trecasali	Trecasali	4	0	2013-07-21 17:43:44.814243+02	\N	\N	\N	\N	\N	\N	f	
13409	2002fd4a-4337-4a4b-8494-274bb1601fca	Varsi	Varsi	4	0	2013-07-21 17:48:58.530135+02	\N	\N	\N	\N	\N	\N	f	
13384	9c22b8c3-a98e-4f9a-a877-3460d5ab0115	Soragna	Soragna	4	0	2013-07-21 17:43:56.346139+02	\N	\N	\N	\N	\N	\N	f	
13400	6147a61c-9056-4ba1-92cf-fef2feac78dc	Dossena	Dossena	4	0	2013-07-21 17:47:05.028404+02	\N	\N	\N	\N	\N	\N	f	
13386	27f47f6b-0b4d-41c0-b50c-37eaadd529d8	Sala Baganza	Sala Baganza	4	0	2013-07-21 17:44:19.972438+02	\N	\N	\N	\N	\N	\N	f	
13393	51ad488c-8983-4824-8c94-f5c715ee36a8	Roccabianca	Roccabianca	4	0	2013-07-21 17:45:42.298984+02	\N	\N	\N	\N	\N	\N	f	
13394	6b8f4abb-308e-415e-b2cd-67b8e0246195	Torrile	Torrile	4	0	2013-07-21 17:45:53.97662+02	\N	\N	\N	\N	\N	\N	f	
13406	3ad1ee5a-ec1c-40cd-ba18-bb00a05147d9	Varano de' Melegari	Varano de' Melegari	4	0	2013-07-21 17:48:22.922732+02	\N	\N	\N	\N	\N	\N	f	
13395	f907004e-ec7c-43a0-8b88-7b2280972782	Fara Olivana con Sola	Fara Olivana con Sola	4	0	2013-07-21 17:46:05.544825+02	\N	\N	\N	\N	\N	\N	f	
13401	4f42205d-bf89-4b3b-b64c-dedec583c755	Pellegrino Parmense	Pellegrino Parmense	4	0	2013-07-21 17:47:16.717802+02	\N	\N	\N	\N	\N	\N	f	
13396	1310ee14-2a00-4b81-b233-c226bc43b233	Sorbolo	Sorbolo	4	0	2013-07-21 17:46:17.300081+02	\N	\N	\N	\N	\N	\N	f	
13398	18379bd9-cd8a-444b-823d-61330c285ee3	Valmozzola	Valmozzola	4	0	2013-07-21 17:46:41.881632+02	\N	\N	\N	\N	\N	\N	f	
13402	8aaf6968-1ee5-4ae4-85b8-aed6fc130df0	Sissa	Sissa	4	0	2013-07-21 17:47:30.769722+02	\N	\N	\N	\N	\N	\N	f	
13407	4ec8fea5-f55e-4ec6-9b94-b139633a20b9	Tizzano Val Parma	Tizzano Val Parma	4	0	2013-07-21 17:48:34.610886+02	\N	\N	\N	\N	\N	\N	f	
13403	8aa8d594-4b7c-45ce-8ae2-80496aac2521	Endine Gaiano	Endine Gaiano	4	0	2013-07-21 17:47:45.670264+02	\N	\N	\N	\N	\N	\N	f	
13415	8b2ad919-d549-4671-b3af-e92cdcdda6c7	Luzzana	Luzzana	4	0	2013-07-21 17:50:22.519576+02	\N	\N	\N	\N	\N	\N	f	
13405	29e6a9ae-84f7-422f-bd79-15ee9154d307	Fino del Monte	Fino del Monte	4	0	2013-07-21 17:48:11.16514+02	\N	\N	\N	\N	\N	\N	f	
13411	2eea1f36-ea7d-436d-8826-81a8b497db4e	Fara Gera d'Adda	Fara Gera d'Adda	4	0	2013-07-21 17:49:24.960192+02	\N	\N	\N	\N	\N	\N	f	
13408	cb39ec44-44d5-4e5f-9fde-f18288b08646	Traversetolo	Traversetolo	4	0	2013-07-21 17:48:46.343783+02	\N	\N	\N	\N	\N	\N	f	
13413	96b125ca-71b5-4e99-954f-374641d9a3d6	Ghisalba	Ghisalba	4	0	2013-07-21 17:49:58.746605+02	\N	\N	\N	\N	\N	\N	f	
13412	d9d12f11-0126-4553-a541-2b4ca3e0f265	Lenna, Lombardy	Lenna, Lombardy	4	0	2013-07-21 17:49:46.973464+02	\N	\N	\N	\N	\N	\N	f	
13414	cd39bd44-b3c8-496b-aa63-969592a5b46c	Gandellino	Gandellino	4	0	2013-07-21 17:50:10.678399+02	\N	\N	\N	\N	\N	\N	f	
13417	17e5a194-356c-41bc-b23e-006bc8d9b527	Gaverina Terme	Gaverina Terme	4	0	2013-07-21 17:50:46.700798+02	\N	\N	\N	\N	\N	\N	f	
13418	3cf1d259-8c4b-4d57-9ef1-178f0257b468	Fuipiano Valle Imagna	Fuipiano Valle Imagna	4	0	2013-07-21 17:50:58.570265+02	\N	\N	\N	\N	\N	\N	f	
13419	5667e056-6e12-49f8-98f4-bf0f909eacd8	Isso, Lombardy	Isso, Lombardy	4	0	2013-07-21 17:51:10.286135+02	\N	\N	\N	\N	\N	\N	f	
13422	5728a338-f092-4905-8f26-b6b6a95372ec	Gorno	Gorno	4	0	2013-07-21 17:51:46.004491+02	\N	\N	\N	\N	\N	\N	f	
13423	f0c64406-6593-4c89-afa4-7ab96144d477	Gandosso	Gandosso	4	0	2013-07-21 17:51:58.051471+02	\N	\N	\N	\N	\N	\N	f	
13424	3de608fb-e6e7-467c-a3f1-065334bf05cc	Lovere	Lovere	4	0	2013-07-21 17:52:10.02293+02	\N	\N	\N	\N	\N	\N	f	
13426	9d1e2cb8-fb58-4acf-88e9-d6e592441607	Gerosa	Gerosa	4	0	2013-07-21 17:52:36.166517+02	\N	\N	\N	\N	\N	\N	f	
13429	f4f76d86-57f8-49c5-9a5b-b7c31b6f00b0	Grassobbio	Grassobbio	4	0	2013-07-21 17:53:14.125415+02	\N	\N	\N	\N	\N	\N	f	
13431	a259a204-3235-4768-9367-623eaa6e2a24	Gazzaniga	Gazzaniga	4	0	2013-07-21 17:53:44.416414+02	\N	\N	\N	\N	\N	\N	f	
13430	f648f88f-89b7-4ab4-82bb-69711bf508d8	Fontanella, Lombardy	Fontanella, Lombardy	4	0	2013-07-21 17:53:25.986967+02	\N	\N	\N	\N	\N	\N	f	
13509	1d523ddf-c7fe-48e6-91fa-eb6812c9c117	Romano di Lombardia	Romano di Lombardia	4	0	2013-07-21 18:11:06.626495+02	\N	\N	\N	\N	\N	\N	f	
14188	2948bdec-723e-4486-abe3-154662dd946d	Serra de' Conti	Serra de' Conti	4	0	2013-07-21 20:42:53.808094+02	\N	\N	\N	\N	\N	\N	f	
14207	3f9075cc-8324-4ee5-aedf-8d65db6e07a0	Teramo	Teramo	4	0	2013-07-21 20:46:46.669641+02	\N	\N	\N	\N	\N	\N	f	
16063	40ed0411-4a24-4a4f-9b8c-448640fa0ef3	Chiusanico	Chiusanico	4	0	2013-07-22 02:48:08.391615+02	\N	\N	\N	\N	\N	\N	f	
14765	e97b9aec-c819-4687-b841-c1163b6d4f06	Borgo San Dalmazzo	Borgo San Dalmazzo	4	0	2013-07-21 22:51:13.017087+02	\N	\N	\N	\N	\N	\N	f	
14806	27537c13-f064-464b-a944-f239ae955934	Castel del Piano	Castel del Piano	4	0	2013-07-21 22:59:56.179348+02	\N	\N	\N	\N	\N	\N	f	
15402	2668f064-3e3a-4723-b912-ab39c690ab7b	Stazzema	Stazzema	4	0	2013-07-22 00:37:37.118511+02	\N	\N	\N	\N	\N	\N	f	
16103	997ded30-5957-4fd4-8e8b-679640e6fb17	Bagheria	Bagheria	4	0	2013-07-22 02:53:23.082057+02	\N	\N	\N	\N	\N	\N	f	
17942	a9d02ed0-fa3c-4706-aca6-f846e567de62	Sant'Angelo Lodigiano	Sant'Angelo Lodigiano	4	0	2013-07-22 07:29:22.192561+02	\N	\N	\N	\N	\N	\N	f	
16108	5ce9f7ed-3f15-4c87-99f5-f2a3b713a60b	Triora	Triora	4	0	2013-07-22 02:54:15.041357+02	\N	\N	\N	\N	\N	\N	f	
16117	4bab2083-1814-45f6-a31f-e649e7c526ef	Pignone	Pignone	4	0	2013-07-22 02:55:10.794114+02	\N	\N	\N	\N	\N	\N	f	
16816	e9c534c3-9952-4b98-b9e6-08c96f97fe69	Candiana	Candiana	4	0	2013-07-22 04:43:59.451527+02	\N	\N	\N	\N	\N	\N	f	
17949	0d2fba06-c27a-47e8-82af-db740f2560fa	Montanaso Lombardo	Montanaso Lombardo	4	0	2013-07-22 07:30:01.53852+02	\N	\N	\N	\N	\N	\N	f	
20181	c78f828d-540e-4be9-b3fb-5a1c673fa779	Majano	Majano	4	0	2013-07-22 17:43:06.793568+02	\N	\N	\N	\N	\N	\N	f	
17956	b0aeafd7-8e13-4134-aa9d-8ce81f35d80d	Truccazzano	Truccazzano	4	0	2013-07-22 07:30:52.166778+02	\N	\N	\N	\N	\N	\N	f	
17958	a8531b4a-1d93-42fd-b011-e1d1709a58ab	Lana	Lana	4	0	2013-07-22 07:31:07.195047+02	\N	\N	\N	\N	\N	\N	f	
18003	c0b6f298-e5d2-46cf-b860-eeb0f228698b	Rodigo	Rodigo	4	0	2013-07-22 07:36:07.585934+02	\N	\N	\N	\N	\N	\N	f	
21012	13959a55-e5ed-4556-9a0e-551769fd0988	Carbonara di Nola	Carbonara di Nola	4	0	2013-07-23 17:51:54.114107+02	\N	\N	\N	\N	\N	\N	f	
18006	9bfc3963-084c-4273-8414-e18f66fad201	Roverbella	Roverbella	4	0	2013-07-22 07:36:31.74118+02	\N	\N	\N	\N	\N	\N	f	
18938	8b482674-e426-4db1-b56c-78996b6858ca	Caltagirone	Caltagirone	4	0	2013-07-22 09:32:22.371116+02	\N	\N	\N	\N	\N	\N	f	
24160	644a10ec-55f7-4080-80ba-2247f7af1400	Kootenai	Kootenai	3	0	2013-09-07 03:02:32.072631+02	\N	\N	\N	\N	\N	\N	f	
18979	4cd3b074-afb4-4922-985b-17bfbd3a8011	Erbezzo	Erbezzo	4	0	2013-07-22 09:37:34.469314+02	\N	\N	\N	\N	\N	\N	f	
21093	ebffb549-5903-437a-8340-9fc0198b2989	Colmurano	Colmurano	4	0	2013-07-23 20:50:42.751657+02	\N	\N	\N	\N	\N	\N	f	
18981	a2d59533-ab79-4e32-9fa2-da82870df715	San Michele di Ganzaria	San Michele di Ganzaria	4	0	2013-07-22 09:37:50.28866+02	\N	\N	\N	\N	\N	\N	f	
21203	2967f013-09b4-4435-8751-b84d3a8216b3	Padula	Padula	4	0	2013-07-23 23:51:04.912431+02	\N	\N	\N	\N	\N	\N	f	
26682	059371d7-8140-40c0-b94d-94aff20d95b0	Sea Isle City, New Jersey	Sea Isle City, New Jersey	3	0	2013-09-08 02:17:41.931461+02	\N	\N	\N	\N	\N	\N	f	
21404	11a21e69-a54b-4337-bfdd-6ac27ea48920	Buttigliera Alta	Buttigliera Alta	4	0	2013-07-24 05:54:12.645737+02	\N	\N	\N	\N	\N	\N	f	
24418	056e2582-98f7-4a17-bd8f-76d44097df28	Plainville, Georgia	Plainville, Georgia	3	0	2013-09-07 06:40:19.426777+02	\N	\N	\N	\N	\N	\N	f	
21419	0526fcf6-cfbc-44e8-b4ff-67fe32252104	Torrita di Siena	Torrita di Siena	4	0	2013-07-24 05:57:23.709941+02	\N	\N	\N	\N	\N	\N	f	
21516	8fc824b3-0188-4c4a-b1a0-435615f6b8c8	Bazzano	Bazzano	4	0	2013-07-24 08:56:55.021173+02	\N	\N	\N	\N	\N	\N	f	
25483	66ab404b-2e55-42f5-9565-de931a7d5955	Spring Mill, Kentucky	Spring Mill, Kentucky	3	0	2013-09-07 12:02:16.35564+02	\N	\N	\N	\N	\N	\N	f	
21617	28eaee8c-ade7-4095-8011-d550bc741b66	Lagosanto	Lagosanto	4	0	2013-07-24 11:56:29.163572+02	\N	\N	\N	\N	\N	\N	f	
24422	8d04b79d-a002-456e-837a-77d7b150ba03	Lincolnton, Georgia	Lincolnton, Georgia	3	0	2013-09-07 06:41:14.71215+02	\N	\N	\N	\N	\N	\N	f	
21657	a80e6d0c-7f7f-404c-ba53-31952d867aeb	Osasio	Osasio	4	0	2013-07-24 14:44:43.766415+02	\N	\N	\N	\N	\N	\N	f	
21670	d34d1579-baf7-4977-830a-d9ed8f62d674	Perrero	Perrero	4	0	2013-07-24 14:47:59.649922+02	\N	\N	\N	\N	\N	\N	f	
21943	50c50d92-9538-4cd2-b4db-b098b63aeb35	Canton City, North Dakota	Canton City, North Dakota	3	0	2013-08-06 11:31:13.878046+02	\N	\N	\N	\N	\N	\N	f	
24934	be6599cb-e285-49ca-ba82-f3861251ad26	Elbing	Elbing	3	0	2013-09-07 09:19:16.239016+02	\N	\N	\N	\N	\N	\N	f	
21997	e217a0f0-5579-4ada-97d4-b7968b168c34	Charlotte	Charlotte	3	0	2013-08-07 11:43:35.945138+02	\N	\N	\N	\N	\N	\N	f	
22020	240d82b8-9abe-4df5-b136-2829373b175d	Sac City	Sac City	3	0	2013-08-07 14:26:47.990631+02	\N	\N	\N	\N	\N	\N	f	
22049	ec1fe59e-b75e-43e0-9ef0-7145c8489b47	Webb	Webb	3	0	2013-08-07 14:33:46.304683+02	\N	\N	\N	\N	\N	\N	f	
24936	4a96c18e-93b8-49e3-87f8-a1199963a3c7	Galena	Galena	3	0	2013-09-07 09:19:47.954205+02	\N	\N	\N	\N	\N	\N	f	
22060	46c986b1-50b4-4984-b48c-4b49d5bb7b8d	Numa	Numa	3	0	2013-08-07 14:36:25.945396+02	\N	\N	\N	\N	\N	\N	f	
25566	e10aba39-bb6b-4b9e-8c95-2726fd8d8ec9	Woodbine, Kansas	Woodbine, Kansas	3	0	2013-09-07 12:59:49.892113+02	\N	\N	\N	\N	\N	\N	f	
24960	9745ae22-07ef-45bc-8350-6a39f60816b1	Unionville, Iowa	Unionville, Iowa	3	0	2013-09-07 09:27:06.015414+02	\N	\N	\N	\N	\N	\N	f	
25021	197cc01b-fb87-4f98-8926-f1d7a772c644	New Sharon	New Sharon	3	0	2013-09-07 09:42:47.5092+02	\N	\N	\N	\N	\N	\N	f	
27169	37b7126d-5e5c-4eda-929a-39439c58083e	Benkelman	Benkelman	3	0	2013-09-08 05:47:15.429718+02	\N	\N	\N	\N	\N	\N	f	
25065	3afc5492-3afd-491c-b217-b70e0e738aeb	New Market	New Market	3	0	2013-09-07 09:54:08.943763+02	\N	\N	\N	\N	\N	\N	f	
25624	c5f3b74d-4674-4b1c-b704-6250d4b2380d	What Cheer	What Cheer	3	0	2013-09-07 13:15:11.247366+02	\N	\N	\N	\N	\N	\N	f	
25076	6d512f52-8e3e-4ba0-b8ec-cc119716d337	Panama	Panama	3	0	2013-09-07 09:57:38.596522+02	\N	\N	\N	\N	\N	\N	f	
26717	0546487a-45f2-4590-8c29-f3f281e10783	Fountain Run, Kentucky	Fountain Run, Kentucky	3	0	2013-09-08 02:36:24.241328+02	\N	\N	\N	\N	\N	\N	f	
25088	d712d0d2-70ca-4619-a45d-2ca4408da0fa	Martelle	Martelle	3	0	2013-09-07 10:01:21.811908+02	\N	\N	\N	\N	\N	\N	f	
26052	b2d26492-a461-4c66-aac8-eaa3a692cc19	Protection	Protection	3	0	2013-09-07 17:57:23.672619+02	\N	\N	\N	\N	\N	\N	f	
26399	bac40488-d53e-4bf7-a6de-849421c0335a	Russellville, Missouri	Russellville, Missouri	3	0	2013-09-07 23:58:21.67103+02	\N	\N	\N	\N	\N	\N	f	
27147	b7b3a0d6-d4ea-4051-b5b6-a5d8d2f2d1e9	Blackburn	Blackburn	3	0	2013-09-08 05:41:31.012432+02	\N	\N	\N	\N	\N	\N	f	
27478	d4fc0395-904c-4c29-b71a-532b79f36479	New Franklin	New Franklin	3	0	2013-09-08 08:06:48.988469+02	\N	\N	\N	\N	\N	\N	f	
27157	a82f9734-69c0-44ef-9c9d-19d79a8f6ce3	Overland	Overland	3	0	2013-09-08 05:44:04.86869+02	\N	\N	\N	\N	\N	\N	f	
27512	c1625e76-4551-4032-9a0a-ec3f9d5d42b1	Spiritwood Lake, North Dakota	Spiritwood Lake, North Dakota	3	0	2013-09-08 08:29:16.286324+02	\N	\N	\N	\N	\N	\N	f	
27551	9419886a-e4b3-412d-8ff6-3e0704ddb32e	St. Thomas, North Dakota	St. Thomas, North Dakota	3	0	2013-09-08 08:38:58.746188+02	\N	\N	\N	\N	\N	\N	f	
27827	9d76f690-7c35-4cf9-b9d7-1024eef68483	Pacific	Pacific	3	0	2013-09-08 10:08:15.153507+02	\N	\N	\N	\N	\N	\N	f	
28335	ab1da806-f574-4724-bd19-1ba2a094170f	Hecla, South Dakota	Hecla, South Dakota	3	0	2013-09-08 16:53:38.931404+02	\N	\N	\N	\N	\N	\N	f	
28119	ab8ec2ea-5798-47cf-b4b4-f18a50f35069	Parker	Parker	3	0	2013-09-08 14:23:12.302614+02	\N	\N	\N	\N	\N	\N	f	
28511	9926bc3f-5216-421d-a742-57b516016aba	Buda, Texas	Buda, Texas	3	0	2013-09-08 20:33:41.187135+02	\N	\N	\N	\N	\N	\N	f	
28549	c6684bcd-973c-4214-86d7-57806c52ff72	Sachse	Sachse	3	0	2013-09-08 20:44:58.689151+02	\N	\N	\N	\N	\N	\N	f	
28617	6c5f06bc-ccc6-4fac-b164-ba23e3584780	Waskom	Waskom	3	0	2013-09-08 21:04:14.92187+02	\N	\N	\N	\N	\N	\N	f	
28755	7991879c-873f-48e6-bc0f-ab8f6d8b3856	Corinth	Corinth	3	0	2013-09-08 23:50:10.173034+02	\N	\N	\N	\N	\N	\N	f	
28976	72297641-0f0a-4df5-be11-7de8b5572393	Live Oak	Live Oak	3	0	2013-09-09 01:45:04.031207+02	\N	\N	\N	\N	\N	\N	f	
28984	f9a1eb9b-bd10-4295-ba28-0956264d7094	Noonday	Noonday	3	0	2013-09-09 01:47:18.11925+02	\N	\N	\N	\N	\N	\N	f	
28987	5749b770-90ec-42e7-8f01-8a51909596ae	Rollingwood	Rollingwood	3	0	2013-09-09 01:48:11.987517+02	\N	\N	\N	\N	\N	\N	f	
13432	99d42526-53b1-411f-8583-8b78d4302cf4	Foresto Sparso	Foresto Sparso	4	0	2013-07-21 17:53:56.327592+02	\N	\N	\N	\N	\N	\N	f	
13450	029a0598-0c9c-49b1-ac2d-50256c589f1a	Mornico al Serio	Mornico al Serio	4	0	2013-07-21 17:58:25.562954+02	\N	\N	\N	\N	\N	\N	f	
14191	e3bd9195-9fca-4d9c-8938-7786343413ee	Sirolo	Sirolo	4	0	2013-07-21 20:43:28.942835+02	\N	\N	\N	\N	\N	\N	f	
14232	80aeac7a-7019-4fc9-8865-f42487359ba7	Imperia	Imperia	4	0	2013-07-21 20:52:05.01052+02	\N	\N	\N	\N	\N	\N	f	
16064	aa9448ce-f281-46a3-b392-e8855968078e	Armo	Armo	4	0	2013-07-22 02:48:17.897775+02	\N	\N	\N	\N	\N	\N	f	
14252	a2eaa4cc-48ab-478b-a27e-73c23d1721f2	Sassari	Sassari	4	0	2013-07-21 20:56:50.137279+02	\N	\N	\N	\N	\N	\N	f	
14302	eeb14e62-a00a-40ab-a4cc-888700678afc	Capodimonte	Capodimonte	4	0	2013-07-21 21:07:55.23406+02	\N	\N	\N	\N	\N	\N	f	
14325	b56f7d13-cda0-49cb-8cbf-1b012e0f7aee	Bordolano	Bordolano	4	0	2013-07-21 21:12:54.764269+02	\N	\N	\N	\N	\N	\N	f	
16161	f8204ee4-06fb-4ce0-a27f-312c8caea093	Calizzano	Calizzano	4	0	2013-07-22 03:00:24.513228+02	\N	\N	\N	\N	\N	\N	f	
14766	0f205ef7-0e93-471b-b2a0-45835c223286	Bergolo	Bergolo	4	0	2013-07-21 22:51:25.016823+02	\N	\N	\N	\N	\N	\N	f	
14798	3d832a89-7bab-49f9-989b-ee3b16122057	Alatri	Alatri	4	0	2013-07-21 22:58:07.62731+02	\N	\N	\N	\N	\N	\N	f	
17950	9f445253-7abb-4a21-ad81-45e29fc14210	La Val	La Val	4	0	2013-07-22 07:30:12.497995+02	\N	\N	\N	\N	\N	\N	f	
14841	7405b56d-0858-42e5-81d4-37449040f5e7	Caprauna	Caprauna	4	0	2013-07-21 23:08:03.678255+02	\N	\N	\N	\N	\N	\N	f	
16822	9a3386f9-9570-4d91-8a95-0860c407cdc4	Pernumia	Pernumia	4	0	2013-07-22 04:45:29.306578+02	\N	\N	\N	\N	\N	\N	f	
15404	6e3b224e-296f-485d-bbd5-c118bea285ea	Briona	Briona	4	0	2013-07-22 00:38:00.261733+02	\N	\N	\N	\N	\N	\N	f	
15425	75a79654-cc3f-4d58-a9e4-d6d3bc90aa9f	Casalvolone	Casalvolone	4	0	2013-07-22 00:42:29.33173+02	\N	\N	\N	\N	\N	\N	f	
16860	38f1251c-711d-4524-860e-1fad27f8853f	Campo San Martino	Campo San Martino	4	0	2013-07-22 04:55:27.516304+02	\N	\N	\N	\N	\N	\N	f	
26400	dcc23a7b-0fd0-4f33-ae6d-8b010d81d3b8	Colwell, Iowa	Colwell, Iowa	3	0	2013-09-07 23:58:45.272304+02	\N	\N	\N	\N	\N	\N	f	
17973	3faa4cff-c44b-4e4e-bb63-e62544735c25	Poggio Rusco	Poggio Rusco	4	0	2013-07-22 07:32:36.943618+02	\N	\N	\N	\N	\N	\N	f	
20185	e7fe0490-4403-4f54-b236-480aa36f8fbe	Pasian di Prato	Pasian di Prato	4	0	2013-07-22 17:43:55.775658+02	\N	\N	\N	\N	\N	\N	f	
18057	49a7e249-3e7f-4775-b096-a6ea59f8a7fc	Crespiatica	Crespiatica	4	0	2013-07-22 07:42:50.483625+02	\N	\N	\N	\N	\N	\N	f	
18941	473dacae-8d2a-4eea-b7f0-ef123854760e	Sutera	Sutera	4	0	2013-07-22 09:32:49.574141+02	\N	\N	\N	\N	\N	\N	f	
24454	34bad03a-4ed9-4260-8570-7a41ecdf86e7	Twin City, Georgia	Twin City, Georgia	3	0	2013-09-07 06:49:11.845861+02	\N	\N	\N	\N	\N	\N	f	
18944	ab2ba41c-805b-4095-80ef-1a13a455dff4	Grammichele	Grammichele	4	0	2013-07-22 09:33:04.565368+02	\N	\N	\N	\N	\N	\N	f	
21013	bedc7587-ff0a-4b5b-9c2a-d4c7094a0115	Casamicciola Terme	Casamicciola Terme	4	0	2013-07-23 17:52:07.476162+02	\N	\N	\N	\N	\N	\N	f	
18953	bcf3fd27-6635-4fbd-aab5-77b07069fefb	Pedara	Pedara	4	0	2013-07-22 09:34:06.712705+02	\N	\N	\N	\N	\N	\N	f	
21017	40a0f959-64f4-451c-bb0f-c7b3a0caabba	Cardito	Cardito	4	0	2013-07-23 17:52:56.658211+02	\N	\N	\N	\N	\N	\N	f	
21094	178080ec-cd97-4e44-8e94-15d0f3f16343	Caldarola	Caldarola	4	0	2013-07-23 20:50:55.743424+02	\N	\N	\N	\N	\N	\N	f	
24521	2d9ff08b-bb43-4168-9e2d-b75a38e9de97	Tunnel Hill	Tunnel Hill	3	0	2013-09-07 07:06:50.888891+02	\N	\N	\N	\N	\N	\N	f	
21204	0683d00c-f527-416d-a216-c0c3ec47f18c	Postiglione	Postiglione	4	0	2013-07-23 23:51:17.176484+02	\N	\N	\N	\N	\N	\N	f	
21405	c8f5cc4a-61b5-4891-802d-5fc596e8acb2	Cetona	Cetona	4	0	2013-07-24 05:54:25.523376+02	\N	\N	\N	\N	\N	\N	f	
26746	461b5c10-cd2c-4d06-8bc3-fa7493d24689	Cozad	Cozad	3	0	2013-09-08 02:43:38.852869+02	\N	\N	\N	\N	\N	\N	f	
21517	104ac661-3be7-4c4d-bb44-f3c2e89a10c4	Massello	Massello	4	0	2013-07-24 08:57:07.245069+02	\N	\N	\N	\N	\N	\N	f	
24935	a90b0813-76b2-4635-b12c-4ba5079a218b	Earlton	Earlton	3	0	2013-09-07 09:19:33.238517+02	\N	\N	\N	\N	\N	\N	f	
21618	a2c53478-a63a-4612-b089-cb102f343a79	Noasca	Noasca	4	0	2013-07-24 11:56:42.99907+02	\N	\N	\N	\N	\N	\N	f	
21659	fa364dd2-5d2b-4d13-a125-9c1fc2f20374	Ozegna	Ozegna	4	0	2013-07-24 14:45:16.257811+02	\N	\N	\N	\N	\N	\N	f	
26401	12081713-7fd1-4fa5-9161-1a2a3b3edc76	Wayland, Missouri	Wayland, Missouri	3	0	2013-09-07 23:59:05.381305+02	\N	\N	\N	\N	\N	\N	f	
21945	9624ab93-7707-4133-b40e-5482df85709e	Kramer, North Dakota	Kramer, North Dakota	3	0	2013-08-06 11:31:51.783957+02	\N	\N	\N	\N	\N	\N	f	
25055	e3b52668-b9d7-4438-b745-d6050d657786	Ocheyedan	Ocheyedan	3	0	2013-09-07 09:51:32.433416+02	\N	\N	\N	\N	\N	\N	f	
22021	b498442d-833a-4632-85f0-91ebb2f98f0f	Grinnell	Grinnell	3	0	2013-08-07 14:27:01.259792+02	\N	\N	\N	\N	\N	\N	f	
24162	efe16194-f91c-40e3-9a30-007735e100ba	Spirit Lake	Spirit Lake	3	0	2013-09-07 03:03:00.636336+02	\N	\N	\N	\N	\N	\N	f	
24217	698d757d-ac6b-4081-9beb-7d7943a91a4b	Fernandina Beach, Florida	Fernandina Beach, Florida	3	0	2013-09-07 03:19:12.507098+02	\N	\N	\N	\N	\N	\N	f	
25056	97facc5d-c3c4-404c-b7d7-03ec5d4b4a43	Moravia	Moravia	3	0	2013-09-07 09:51:50.121903+02	\N	\N	\N	\N	\N	\N	f	
24419	11225720-9cad-47a3-b603-c6c4125fecd9	Gray, Georgia	Gray, Georgia	3	0	2013-09-07 06:40:33.168145+02	\N	\N	\N	\N	\N	\N	f	
24435	b3e7f7a7-d89e-4e60-9ef3-f6f430e9059e	Milner, Georgia	Milner, Georgia	3	0	2013-09-07 06:44:29.309392+02	\N	\N	\N	\N	\N	\N	f	
25112	5d4d2a3b-ee66-44c7-885d-0387fa1c8c0e	Marysville	Marysville	3	0	2013-09-07 10:07:38.607656+02	\N	\N	\N	\N	\N	\N	f	
26416	df51a8f9-8589-4641-a59d-4d0a4b68c2c9	Broxton, Georgia	Broxton, Georgia	3	0	2013-09-08 00:03:34.242976+02	\N	\N	\N	\N	\N	\N	f	
25485	6f233258-e50a-47a2-9da4-152e0f4ff3d3	McCracken, Kansas	McCracken, Kansas	3	0	2013-09-07 12:02:50.996801+02	\N	\N	\N	\N	\N	\N	f	
25486	84ceb570-efbd-4c6b-830f-0617c29a2dea	Waldo, Kansas	Waldo, Kansas	3	0	2013-09-07 12:03:04.977303+02	\N	\N	\N	\N	\N	\N	f	
25567	ce1504a3-6c89-460f-8b9e-6a064057e881	McPherson	McPherson	3	0	2013-09-07 13:00:13.753095+02	\N	\N	\N	\N	\N	\N	f	
26053	5ffe3d9b-5c6f-4871-b561-21bab949e086	Palco	Palco	3	0	2013-09-07 17:57:38.953074+02	\N	\N	\N	\N	\N	\N	f	
26798	69a4887a-0b09-4ca1-8bbb-88122b77e38a	Iron Mountain Lake	Iron Mountain Lake	3	0	2013-09-08 02:56:36.758666+02	\N	\N	\N	\N	\N	\N	f	
26698	33f640c0-8a00-44a9-8626-a13e5845f189	Wheatland, Iowa	Wheatland, Iowa	3	0	2013-09-08 02:31:17.21071+02	\N	\N	\N	\N	\N	\N	f	
26716	d571e79f-ea9a-4d8d-9ba6-5a10ffbfa21b	Lake View, Iowa	Lake View, Iowa	3	0	2013-09-08 02:36:06.372492+02	\N	\N	\N	\N	\N	\N	f	
27483	7b22c315-05fc-482c-9e1e-aae5d06991d6	Logan	Logan	3	0	2013-09-08 08:17:13.144955+02	\N	\N	\N	\N	\N	\N	f	
27148	cc592ace-f1c2-4023-9938-2a2158307449	Bagnell	Bagnell	3	0	2013-09-08 05:41:46.160326+02	\N	\N	\N	\N	\N	\N	f	
27831	3f0b3761-a7c7-4d27-87b8-f1a1c86f33ad	Grandin	Grandin	3	0	2013-09-08 10:09:19.544436+02	\N	\N	\N	\N	\N	\N	f	
27164	10305f67-bcf8-49be-8c3d-aaee283fd234	Winchester	Winchester	3	0	2013-09-08 05:45:53.158578+02	\N	\N	\N	\N	\N	\N	f	
27829	69b4f1a6-a228-4ff7-9cdd-1f11efd462fe	Hume	Hume	3	0	2013-09-08 10:08:47.483277+02	\N	\N	\N	\N	\N	\N	f	
27167	0c9743d1-fc3c-47a2-bbe2-12aea0002f13	Knox City	Knox City	3	0	2013-09-08 05:46:43.094323+02	\N	\N	\N	\N	\N	\N	f	
27540	5d733b1e-9190-45e7-ac19-00e1aa066cd3	Selfridge, North Dakota	Selfridge, North Dakota	3	0	2013-09-08 08:36:14.634545+02	\N	\N	\N	\N	\N	\N	f	
28200	2136df53-4f93-489e-b5d9-8e60ed1a3636	Taldom	Taldom	3	0	2013-09-08 14:48:40.928133+02	\N	\N	\N	\N	\N	\N	f	
28120	28f7694a-a470-4759-ae17-d33be190f972	Oil City	Oil City	3	0	2013-09-08 14:23:27.522303+02	\N	\N	\N	\N	\N	\N	f	
28336	2302a593-2374-4dc7-869e-29854b5aa02d	Parsons, Tennessee	Parsons, Tennessee	3	0	2013-09-08 16:53:53.157607+02	\N	\N	\N	\N	\N	\N	f	
28343	eed956a8-4c95-4871-9bc9-75c48b0c26ec	Mount Vernon, South Dakota	Mount Vernon, South Dakota	3	0	2013-09-08 16:55:41.295336+02	\N	\N	\N	\N	\N	\N	f	
28370	67afabe3-2dcb-4f1d-aff2-cd3da36348b2	Murdo, South Dakota	Murdo, South Dakota	3	0	2013-09-08 17:02:49.540518+02	\N	\N	\N	\N	\N	\N	f	
28757	b4b3130e-7b11-4d57-85d2-ab20d5776128	Junction	Junction	3	0	2013-09-08 23:50:41.885193+02	\N	\N	\N	\N	\N	\N	f	
28512	0455c003-09eb-4c52-be04-0f8515a8f703	Falfurrias, Texas	Falfurrias, Texas	3	0	2013-09-08 20:33:59.595502+02	\N	\N	\N	\N	\N	\N	f	
28759	20da0c8a-12c1-4b34-8712-756eb60312a5	Madisonville	Madisonville	3	0	2013-09-08 23:51:13.50296+02	\N	\N	\N	\N	\N	\N	f	
28767	22a86843-cced-4317-88dd-76ed40adb859	Wolfforth	Wolfforth	3	0	2013-09-08 23:53:18.97247+02	\N	\N	\N	\N	\N	\N	f	
13433	8abd207b-6744-44f8-9e34-2053eeb0f1ae	Gandino	Gandino	4	0	2013-07-21 17:54:10.681444+02	\N	\N	\N	\N	\N	\N	f	
13451	70a19b10-3525-45a3-beb0-1e6eb6c74e8a	Mozzanica	Mozzanica	4	0	2013-07-21 17:58:38.064671+02	\N	\N	\N	\N	\N	\N	f	
13490	a812467d-6e36-4599-ba73-23eb5f226f54	Pianico	Pianico	4	0	2013-07-21 18:06:52.90178+02	\N	\N	\N	\N	\N	\N	f	
14193	1611e1d7-cb43-4cdb-bde4-55b52a646a3d	Lenola, Lazio	Lenola, Lazio	4	0	2013-07-21 20:43:54.167531+02	\N	\N	\N	\N	\N	\N	f	
14769	03628e7b-27f8-44c5-a644-baa57b34466b	Baldissero d'Alba	Baldissero d'Alba	4	0	2013-07-21 22:52:08.615914+02	\N	\N	\N	\N	\N	\N	f	
16065	4dc4b55e-e02d-4bd6-a7ae-ef593b86a4ef	Cesio	Cesio	4	0	2013-07-22 02:48:22.241896+02	\N	\N	\N	\N	\N	\N	f	
14792	f54c9fc1-9b60-4183-9a44-14e246eb907b	Camerana	Camerana	4	0	2013-07-21 22:56:51.489265+02	\N	\N	\N	\N	\N	\N	f	
14825	1db75047-839b-4751-bd0b-f39eaa433b8f	Acqualagna	Acqualagna	4	0	2013-07-21 23:04:11.042056+02	\N	\N	\N	\N	\N	\N	f	
14860	04e16516-7560-433b-8f55-f21a9a659b26	Augusta	Augusta	4	0	2013-07-21 23:12:55.377602+02	\N	\N	\N	\N	\N	\N	f	
16828	de79c5a4-a063-47e4-9ad6-786fc521fff9	Loreo	Loreo	4	0	2013-07-22 04:47:20.614336+02	\N	\N	\N	\N	\N	\N	f	
14873	07467a55-4e00-4461-b0b3-bea07fe1eddf	Castino	Castino	4	0	2013-07-21 23:16:17.592064+02	\N	\N	\N	\N	\N	\N	f	
14880	6d6f57ee-5487-49be-8f5f-8857bca3231c	Castellino Tanaro	Castellino Tanaro	4	0	2013-07-21 23:18:13.844328+02	\N	\N	\N	\N	\N	\N	f	
17953	5401893b-8ebd-4ac4-9aa2-dd6bf014aafc	Robecco d'Oglio	Robecco d'Oglio	4	0	2013-07-22 07:30:26.180272+02	\N	\N	\N	\N	\N	\N	f	
15406	fa3665ec-2985-4604-9608-2ea326c570bb	Arona, Piedmont	Arona, Piedmont	4	0	2013-07-22 00:38:24.022224+02	\N	\N	\N	\N	\N	\N	f	
16971	473ed844-e019-4b51-9ea6-d78dff20e575	Jovençan	Jovençan	4	0	2013-07-22 05:23:44.84698+02	\N	\N	\N	\N	\N	\N	f	
16996	e92a2735-5cb9-49d6-a9bf-c01d40777692	Challand-Saint-Victor	Challand-Saint-Victor	4	0	2013-07-22 05:29:56.390924+02	\N	\N	\N	\N	\N	\N	f	
24163	68a25312-a40a-4bf3-9483-cbe338fdf954	Troy	Troy	3	0	2013-09-07 03:03:14.540975+02	\N	\N	\N	\N	\N	\N	f	
17000	9e93174c-5846-4c3a-87bb-12cf7598ad82	Challand-Saint-Anselme	Challand-Saint-Anselme	4	0	2013-07-22 05:30:32.534765+02	\N	\N	\N	\N	\N	\N	f	
20186	4095f6bb-c991-4b89-82ec-60b3732d00ec	Lusevera	Lusevera	4	0	2013-07-22 17:44:08.08814+02	\N	\N	\N	\N	\N	\N	f	
26054	af5a5f2b-ad5f-4a08-bb17-542ddb535f59	Hanston	Hanston	3	0	2013-09-07 17:57:58.82075+02	\N	\N	\N	\N	\N	\N	f	
20187	a51b740f-f3b7-4561-9e8a-df806bf5c9a3	Pulfero	Pulfero	4	0	2013-07-22 17:44:20.305683+02	\N	\N	\N	\N	\N	\N	f	
24421	8e53fba5-2fd1-472c-a304-410de4a39a0a	Lake Park, Georgia	Lake Park, Georgia	3	0	2013-09-07 06:41:00.834492+02	\N	\N	\N	\N	\N	\N	f	
20193	3441aa22-bc78-48b2-b109-60fbbb36b761	Manzano, Friuli	Manzano, Friuli	4	0	2013-07-22 17:45:34.678749+02	\N	\N	\N	\N	\N	\N	f	
20200	3e95fe7c-8338-44b6-881c-06a0b479f4db	Malborghetto Valbruna	Malborghetto Valbruna	4	0	2013-07-22 17:47:00.144769+02	\N	\N	\N	\N	\N	\N	f	
21014	10fbff0e-c142-47a5-a437-ee5b6ac765ee	Bacoli	Bacoli	4	0	2013-07-23 17:52:19.597157+02	\N	\N	\N	\N	\N	\N	f	
24457	34967d62-8e7b-429a-a77d-ac3a54a4df6e	Winterville, Georgia	Winterville, Georgia	3	0	2013-09-07 06:49:54.163067+02	\N	\N	\N	\N	\N	\N	f	
21095	001783f5-41cb-4379-b573-8559e73e0e24	Cessapalombo	Cessapalombo	4	0	2013-07-23 20:51:09.948463+02	\N	\N	\N	\N	\N	\N	f	
21208	ca8bebac-b24b-4783-9da3-71bd38eed3d0	Ogliastro Cilento	Ogliastro Cilento	4	0	2013-07-23 23:52:06.116561+02	\N	\N	\N	\N	\N	\N	f	
21407	3c9ad8ee-dc1c-406b-8be4-b31450548c37	Radicofani	Radicofani	4	0	2013-07-24 05:54:49.471431+02	\N	\N	\N	\N	\N	\N	f	
24941	636733a5-ffeb-4cdb-9d6d-928b1da4e099	Derby	Derby	3	0	2013-09-07 09:21:39.923356+02	\N	\N	\N	\N	\N	\N	f	
21409	254c07e8-3b3f-4093-8ea4-6cbab0cdd615	Chiusi	Chiusi	4	0	2013-07-24 05:55:13.622462+02	\N	\N	\N	\N	\N	\N	f	
21518	fbcc3c49-ce01-4f81-bbbd-b2772a710caa	Maglione	Maglione	4	0	2013-07-24 08:57:20.465023+02	\N	\N	\N	\N	\N	\N	f	
26092	f5f519a1-6b66-406a-8b48-03c4c8634357	Scott	Scott	3	0	2013-09-07 18:08:05.940664+02	\N	\N	\N	\N	\N	\N	f	
21622	317cc230-2f84-490c-8470-ccda46322edb	Nole	Nole	4	0	2013-07-24 11:58:18.528856+02	\N	\N	\N	\N	\N	\N	f	
24993	595e7801-4a51-4eed-8a89-23940c1af485	Rickardsville	Rickardsville	3	0	2013-09-07 09:35:24.174029+02	\N	\N	\N	\N	\N	\N	f	
21662	c003fedc-81cf-4222-a4af-302bb16e148c	Parella	Parella	4	0	2013-07-24 14:46:01.327603+02	\N	\N	\N	\N	\N	\N	f	
21703	cba9b516-b54c-4536-87e2-d78610d3875a	Predappio	Predappio	4	0	2013-07-24 14:57:42.47477+02	\N	\N	\N	\N	\N	\N	f	
25012	a381322c-ecf3-4f85-bde1-0bfcb116a2c0	New Liberty	New Liberty	3	0	2013-09-07 09:40:32.302294+02	\N	\N	\N	\N	\N	\N	f	
21946	8802874f-3a78-4b76-b554-7f509e750165	Willow City, North Dakota	Willow City, North Dakota	3	0	2013-08-06 11:32:04.430239+02	\N	\N	\N	\N	\N	\N	f	
22022	1dc47d8d-312a-4924-9532-a09698198663	Le Roy, Iowa	Le Roy, Iowa	3	0	2013-08-07 14:27:15.357885+02	\N	\N	\N	\N	\N	\N	f	
27484	b7d40f69-7dd5-46da-883a-47e095bd0933	New Philadelphia	New Philadelphia	3	0	2013-09-08 08:17:26.578878+02	\N	\N	\N	\N	\N	\N	f	
22052	453a8b08-71f5-4d53-beac-5140947863c9	Scarville	Scarville	3	0	2013-08-07 14:34:30.586066+02	\N	\N	\N	\N	\N	\N	f	
26402	68dd4fd0-3ef1-424c-bd2a-5755a7c1bc73	Freeman, Missouri	Freeman, Missouri	3	0	2013-09-07 23:59:23.170083+02	\N	\N	\N	\N	\N	\N	f	
25016	4167a830-7e91-4a11-be95-c627dad613a8	Pioneer	Pioneer	3	0	2013-09-07 09:41:32.172505+02	\N	\N	\N	\N	\N	\N	f	
25050	9a51cbde-d413-4fe9-9129-cad911075ee1	Pomeroy	Pomeroy	3	0	2013-09-07 09:50:12.428147+02	\N	\N	\N	\N	\N	\N	f	
27173	3c21aa73-e3c5-4f72-aedd-c6cdfc0c1989	Glenwood, Iowa	Glenwood, Iowa	3	0	2013-09-08 05:48:17.408343+02	\N	\N	\N	\N	\N	\N	f	
25122	0fc352d5-a88c-4baa-8303-2e54a0a0bb8c	Grant	Grant	3	0	2013-09-07 10:10:21.15858+02	\N	\N	\N	\N	\N	\N	f	
26684	c7b2d6f2-c5c2-42fe-9810-48c31e031cbb	Ballarat	Ballarat	3	0	2013-09-08 02:19:38.378018+02	\N	\N	\N	\N	\N	\N	f	
25489	2e326896-ccdd-439f-91c4-60c5f229c357	St. John, Kansas	St. John, Kansas	3	0	2013-09-07 12:03:50.545163+02	\N	\N	\N	\N	\N	\N	f	
25568	c0cefbf9-e7bf-4275-83ec-f973e282e942	Wayland, Kentucky	Wayland, Kentucky	3	0	2013-09-07 13:00:28.500231+02	\N	\N	\N	\N	\N	\N	f	
26704	447e99a2-8873-4f71-a977-4b304f947858	Rushville, Nebraska	Rushville, Nebraska	3	0	2013-09-08 02:32:56.226641+02	\N	\N	\N	\N	\N	\N	f	
27187	07749833-5692-43a4-a8c8-e19e2c11c5fb	Rock Port	Rock Port	3	0	2013-09-08 05:52:04.791427+02	\N	\N	\N	\N	\N	\N	f	
26742	1dc7e291-9831-40b5-a8bb-22ce6ee78cf0	La Belle	La Belle	3	0	2013-09-08 02:42:41.592265+02	\N	\N	\N	\N	\N	\N	f	
27153	a7a02691-5d21-4aeb-9334-74c09d939686	Hornersville	Hornersville	3	0	2013-09-08 05:43:02.119062+02	\N	\N	\N	\N	\N	\N	f	
28123	08738c29-f78f-45bf-a1eb-02d120772af3	Buturlinovka	Buturlinovka	3	0	2013-09-08 14:24:20.819816+02	\N	\N	\N	\N	\N	\N	f	
27172	3247b7ce-9799-4918-b131-b2df58f188e3	Mountain View	Mountain View	3	0	2013-09-08 05:48:01.389655+02	\N	\N	\N	\N	\N	\N	f	
27528	a7970a05-9fa1-4126-82fc-6774299001f2	Dawson, North Dakota	Dawson, North Dakota	3	0	2013-09-08 08:33:18.500197+02	\N	\N	\N	\N	\N	\N	f	
27206	fd8a6cd2-dc61-475b-b444-c6b5a77200c7	Northmoor	Northmoor	3	0	2013-09-08 05:57:07.475656+02	\N	\N	\N	\N	\N	\N	f	
27216	9d19bacc-8f22-4316-8378-3984f8c19010	Clarkton	Clarkton	3	0	2013-09-08 06:00:28.966585+02	\N	\N	\N	\N	\N	\N	f	
28178	648e9d01-63f4-4290-9336-59b261d2c238	Okulovka	Okulovka	3	0	2013-09-08 14:41:56.391787+02	\N	\N	\N	\N	\N	\N	f	
27830	0c73135a-0e3f-4919-966b-74c58b73a961	Fayette	Fayette	3	0	2013-09-08 10:09:03.520434+02	\N	\N	\N	\N	\N	\N	f	
28125	be70abd2-5089-462d-8e0b-12ae2ca0eb06	Velizh	Velizh	3	0	2013-09-08 14:24:54.915415+02	\N	\N	\N	\N	\N	\N	f	
28354	969709e1-4b08-4aa9-a407-7b70c0a038ec	Geddes, South Dakota	Geddes, South Dakota	3	0	2013-09-08 16:58:38.689266+02	\N	\N	\N	\N	\N	\N	f	
28337	d216705d-d1df-4add-b34b-fb4b4477380d	Westminster	Westminster	3	0	2013-09-08 16:54:06.871415+02	\N	\N	\N	\N	\N	\N	f	
28375	8a9de12e-f161-413f-bd1b-a495f6528811	Selby, South Dakota	Selby, South Dakota	3	0	2013-09-08 17:04:16.39771+02	\N	\N	\N	\N	\N	\N	f	
28455	eb02b3da-f931-4f20-9167-2933141c5766	Bailey	Bailey	3	0	2013-09-08 17:38:11.981218+02	\N	\N	\N	\N	\N	\N	f	
28513	3d7a592e-ffea-4db2-9099-cb424fae5c60	Karnes City, Texas	Karnes City, Texas	3	0	2013-09-08 20:34:35.997518+02	\N	\N	\N	\N	\N	\N	f	
28579	b656a19c-bc97-415b-b702-d3b12d58385a	San Angelo	San Angelo	3	0	2013-09-08 20:54:14.994565+02	\N	\N	\N	\N	\N	\N	f	
28761	820a9c7b-b22b-4d63-a7a2-974e53cef3ed	Gunter	Gunter	3	0	2013-09-08 23:51:44.868617+02	\N	\N	\N	\N	\N	\N	f	
28979	ec1439e0-7f87-482a-bd6a-a06077d16627	Weinert	Weinert	3	0	2013-09-09 01:45:54.132289+02	\N	\N	\N	\N	\N	\N	f	
28786	42b32ad1-6a44-47eb-a734-f19799303af6	Southmayd	Southmayd	3	0	2013-09-08 23:58:25.913615+02	\N	\N	\N	\N	\N	\N	f	
13434	c2e88a16-281a-48a4-bc6b-e33e3a60fd30	Locatello	Locatello	4	0	2013-07-21 17:54:25.601265+02	\N	\N	\N	\N	\N	\N	f	
13461	f29552b4-7d69-430f-9805-8f5588437fc0	Pognano	Pognano	4	0	2013-07-21 18:00:50.897067+02	\N	\N	\N	\N	\N	\N	f	
13470	04ab2510-8039-4a71-8441-41db0d2a30f2	Pagazzano	Pagazzano	4	0	2013-07-21 18:02:45.447523+02	\N	\N	\N	\N	\N	\N	f	
14194	137c71f3-e095-4938-886a-e6c4c9f8f652	Roccagorga	Roccagorga	4	0	2013-07-21 20:44:05.891366+02	\N	\N	\N	\N	\N	\N	f	
13480	139f5651-8c70-4dcf-89af-a1ff59cc6233	Ponteranica	Ponteranica	4	0	2013-07-21 18:04:49.146201+02	\N	\N	\N	\N	\N	\N	f	
13485	9b4920c1-3339-4eca-84e3-84fba3cb3d25	Presezzo	Presezzo	4	0	2013-07-21 18:05:50.534699+02	\N	\N	\N	\N	\N	\N	f	
14770	c7ca896a-ae27-4c70-9f98-b189540f4504	Bossolasco	Bossolasco	4	0	2013-07-21 22:52:22.660952+02	\N	\N	\N	\N	\N	\N	f	
16066	06c87780-5d56-43a6-9d93-47ef2346e408	Bajardo	Bajardo	4	0	2013-07-22 02:48:30.986157+02	\N	\N	\N	\N	\N	\N	f	
14793	54afe305-7466-4d09-98e9-f561fb90d190	Brossasco	Brossasco	4	0	2013-07-21 22:57:03.270988+02	\N	\N	\N	\N	\N	\N	f	
14809	00f089b6-02c3-4757-9d7a-2e4475406a8d	Capalbio	Capalbio	4	0	2013-07-21 23:00:32.986321+02	\N	\N	\N	\N	\N	\N	f	
14870	39fae805-a9a7-4e59-abda-9d1d68c3fedc	Cavallerleone	Cavallerleone	4	0	2013-07-21 23:15:28.71396+02	\N	\N	\N	\N	\N	\N	f	
16831	7a7721df-42b6-482e-9091-f1cbfc0b0760	Pozzonovo	Pozzonovo	4	0	2013-07-22 04:48:06.068857+02	\N	\N	\N	\N	\N	\N	f	
15409	890a53f5-b2e8-4c46-b11a-a473e810873f	Castelletto sopra Ticino	Castelletto sopra Ticino	4	0	2013-07-22 00:39:10.37482+02	\N	\N	\N	\N	\N	\N	f	
17957	e7eb5d8d-74bd-4337-a760-9de37986bf67	Casaloldo	Casaloldo	4	0	2013-07-22 07:30:56.334426+02	\N	\N	\N	\N	\N	\N	f	
15421	049d03cf-a68f-4a0e-8931-819fef5c52e5	Pozzilli	Pozzilli	4	0	2013-07-22 00:41:42.920124+02	\N	\N	\N	\N	\N	\N	f	
17972	41d3a2b0-b552-45e3-9326-2310a56e051b	Sirtori	Sirtori	4	0	2013-07-22 07:32:36.244261+02	\N	\N	\N	\N	\N	\N	f	
20188	c0e205ef-aae4-4fb3-ae4e-ae691c7f4543	Precenicco	Precenicco	4	0	2013-07-22 17:44:32.48857+02	\N	\N	\N	\N	\N	\N	f	
17985	d99fa026-0e3d-4b17-b820-85557a3a25cc	Quingentole	Quingentole	4	0	2013-07-22 07:34:10.451403+02	\N	\N	\N	\N	\N	\N	f	
18071	c86b46d0-abbe-43cf-a62d-7b83c39ad70d	Noviglio	Noviglio	4	0	2013-07-22 07:44:31.92345+02	\N	\N	\N	\N	\N	\N	f	
24942	f8d9601d-52be-4be1-af45-951881101384	West Burlington	West Burlington	3	0	2013-09-07 09:22:11.222704+02	\N	\N	\N	\N	\N	\N	f	
18077	14ec0eb1-9dc6-4336-9138-d1f529c538c2	Borgo San Giovanni	Borgo San Giovanni	4	0	2013-07-22 07:45:12.23641+02	\N	\N	\N	\N	\N	\N	f	
21015	9e614d08-7c80-463d-b381-6d72dd998c25	Capri, Campania	Capri, Campania	4	0	2013-07-23 17:52:31.974574+02	\N	\N	\N	\N	\N	\N	f	
18947	349dc993-73f6-44de-9f7b-cab5e3b3a269	San Giovanni Lupatoto	San Giovanni Lupatoto	4	0	2013-07-22 09:33:26.748815+02	\N	\N	\N	\N	\N	\N	f	
28769	5d48e901-3380-43fa-b052-743f11984c79	Grand Saline	Grand Saline	3	0	2013-09-08 23:53:50.274241+02	\N	\N	\N	\N	\N	\N	f	
18956	bfd7e0f7-98dd-4738-b29e-d0eb4069729f	Militello in Val di Catania	Militello in Val di Catania	4	0	2013-07-22 09:34:31.918551+02	\N	\N	\N	\N	\N	\N	f	
21097	0bdabbe1-1382-439f-9643-72abd9f5df21	Fiastra	Fiastra	4	0	2013-07-23 20:51:36.723928+02	\N	\N	\N	\N	\N	\N	f	
18993	28b33003-15f7-4b3f-a8af-b0240f6aa817	Riposto	Riposto	4	0	2013-07-22 09:39:16.606175+02	\N	\N	\N	\N	\N	\N	f	
19007	aa1b9f08-b999-4a93-baf7-da7ac47a7056	Gaiarine	Gaiarine	4	0	2013-07-22 09:40:56.548323+02	\N	\N	\N	\N	\N	\N	f	
25490	c9381680-5ef8-44fc-ad74-d07fe2d76cf0	Paola, Kansas	Paola, Kansas	3	0	2013-09-07 12:04:04.800852+02	\N	\N	\N	\N	\N	\N	f	
21213	5aa7b7c5-6fc5-40e5-b988-568c4062ea4f	Monteforte Cilento	Monteforte Cilento	4	0	2013-07-23 23:53:08.082644+02	\N	\N	\N	\N	\N	\N	f	
21410	1ab13b2d-7133-48f1-97d8-580bdb94d2a0	Montalcino	Montalcino	4	0	2013-07-24 05:55:25.917115+02	\N	\N	\N	\N	\N	\N	f	
28126	442671df-e6b9-436f-9732-f031ea9e9d82	Vidnoye	Vidnoye	3	0	2013-09-08 14:25:24.494337+02	\N	\N	\N	\N	\N	\N	f	
21520	77398f5e-269d-4f6b-af74-9d6f6be5fa44	Leinì	Leinì	4	0	2013-07-24 08:57:46.681711+02	\N	\N	\N	\N	\N	\N	f	
25569	c65bd611-55ee-4ec9-b291-855e36b437c0	Longford, Kansas	Longford, Kansas	3	0	2013-09-07 13:00:44.873406+02	\N	\N	\N	\N	\N	\N	f	
21664	13edbc1f-3991-4768-bc02-72eb95d95c43	Perosa Canavese	Perosa Canavese	4	0	2013-07-24 14:46:33.106641+02	\N	\N	\N	\N	\N	\N	f	
21679	8dc15b2c-d949-4dce-901e-b3b780e5dfbd	Modigliana	Modigliana	4	0	2013-07-24 14:52:35.641391+02	\N	\N	\N	\N	\N	\N	f	
26055	e632917e-d5d9-4619-a896-602c9999f79b	Tyro	Tyro	3	0	2013-09-07 17:58:15.767829+02	\N	\N	\N	\N	\N	\N	f	
21947	80e9b090-5423-4d88-ba86-a43b18a3327c	Souris, North Dakota	Souris, North Dakota	3	0	2013-08-06 11:32:17.952376+02	\N	\N	\N	\N	\N	\N	f	
22023	e3fdccc4-87c7-488f-9ab3-cb9452d6bff7	Spencer	Spencer	3	0	2013-08-07 14:27:28.643319+02	\N	\N	\N	\N	\N	\N	f	
22026	223bc0ca-0be5-4aef-9fa6-b30e1662cbe2	Pocahontas	Pocahontas	3	0	2013-08-07 14:28:15.00118+02	\N	\N	\N	\N	\N	\N	f	
26403	ed20fa69-5a65-4c7b-b4fa-ab9d1936021b	Roswell, Georgia	Roswell, Georgia	3	0	2013-09-07 23:59:42.317523+02	\N	\N	\N	\N	\N	\N	f	
22038	26e5d3ff-8a55-49a3-b340-33b0ce719590	Bloomfield	Bloomfield	3	0	2013-08-07 14:31:06.689214+02	\N	\N	\N	\N	\N	\N	f	
24164	881f0900-ebbd-4942-be85-b184a3683589	Challis	Challis	3	0	2013-09-07 03:03:30.694975+02	\N	\N	\N	\N	\N	\N	f	
28338	694a45f6-70a0-4be7-b86a-105159129d34	Faith, South Dakota	Faith, South Dakota	3	0	2013-09-08 16:54:23.953288+02	\N	\N	\N	\N	\N	\N	f	
24427	0d895932-ab16-4a9a-af4a-ee29c3b088a9	Dublin	Dublin	3	0	2013-09-07 06:42:32.83332+02	\N	\N	\N	\N	\N	\N	f	
26685	f8af676c-5fde-4c04-9dd2-1398621852b4	Garden Plain, Kansas	Garden Plain, Kansas	3	0	2013-09-08 02:27:31.086018+02	\N	\N	\N	\N	\N	\N	f	
27154	e1bd79cb-df21-41e7-8af2-bd1588d55a65	Lincoln	Lincoln	3	0	2013-09-08 05:43:18.268151+02	\N	\N	\N	\N	\N	\N	f	
27485	44bd712a-d505-40eb-90fe-ee86faa7550a	Reynoldsburg	Reynoldsburg	3	0	2013-09-08 08:17:46.227855+02	\N	\N	\N	\N	\N	\N	f	
28344	7ec04f3e-b51e-4ebd-8a70-a6307c272f27	Humboldt, Tennessee	Humboldt, Tennessee	3	0	2013-09-08 16:56:04.975091+02	\N	\N	\N	\N	\N	\N	f	
27489	6654412e-a5cc-4150-a0ad-30fd82fbd9ed	Tallmadge	Tallmadge	3	0	2013-09-08 08:19:02.3839+02	\N	\N	\N	\N	\N	\N	f	
28826	56746e3d-08fe-4210-a72e-eab0870e2e8f	La Villa	La Villa	3	0	2013-09-09 00:09:16.173407+02	\N	\N	\N	\N	\N	\N	f	
27835	f5931594-0845-4212-abbf-b480243c4672	Harlowton	Harlowton	3	0	2013-09-08 10:10:19.575665+02	\N	\N	\N	\N	\N	\N	f	
28981	4c64a00c-13ec-4b1c-b0dc-619567072d6d	Sour Lake	Sour Lake	3	0	2013-09-09 01:46:27.84376+02	\N	\N	\N	\N	\N	\N	f	
28514	ee2a17f2-0cd2-427f-a659-148fea2d2d41	Port Neches, Texas	Port Neches, Texas	3	0	2013-09-08 20:34:52.987374+02	\N	\N	\N	\N	\N	\N	f	
29239	04e488be-f934-4157-99f0-8f023de320cd	Thomas, West Virginia	Thomas, West Virginia	3	0	2013-09-09 04:16:13.318743+02	\N	\N	\N	\N	\N	\N	f	
28763	3a1a6893-934f-4ee4-aca8-b9984b96dcc3	La Grulla	La Grulla	3	0	2013-09-08 23:52:15.96732+02	\N	\N	\N	\N	\N	\N	f	
29466	50db5946-452d-4656-b79d-932803e7e616	Mandal (tehsil)	Mandal (tehsil)	3	0	2013-09-19 14:22:32.537783+02	\N	\N	\N	\N	\N	\N	f	
29347	2735b534-a2dd-4e89-9c91-33f03bdbc0df	Welkite	Welkite	3	0	2013-09-09 08:21:40.591061+02	\N	\N	\N	\N	\N	\N	f	
29549	43e67341-d6d9-4901-9fa1-978ea6ea9664	Mar del Plata	Mar del Plata	3	0	2013-09-29 11:27:58.175993+02	\N	\N	\N	\N	\N	\N	f	
29379	b765f29d-d5a8-4471-a154-0e4d139f1f75	Reedsburg	Reedsburg	3	0	2013-09-09 08:31:05.682275+02	\N	\N	\N	\N	\N	\N	f	
29474	dc1de64c-f43f-426c-8d88-bd8714afe6cc	Stockton	Stockton	3	0	2013-09-22 02:20:50.797951+02	\N	\N	\N	\N	\N	\N	f	
29471	98d004ac-b5ff-42d4-8603-8142b24e9f36	Toledo	Toledo	3	0	2013-09-21 20:22:08.853727+02	\N	\N	\N	\N	\N	\N	f	
29473	5d747603-6779-4411-982e-b3f417197c8d	Calumet	Calumet	3	0	2013-09-21 23:19:20.216442+02	\N	\N	\N	\N	\N	\N	f	
29648	4c5bc762-e14e-4e62-a8d6-ade0703f33dd	Sprinkange	Sprinkange	3	0	2013-10-11 20:26:50.355861+02	\N	\N	\N	\N	\N	\N	f	
13435	87469a0b-525a-47a3-8930-7a6b027c68d5	Gorlago	Gorlago	4	0	2013-07-21 17:54:44.111931+02	\N	\N	\N	\N	\N	\N	f	
13459	a628cffb-d899-4945-b816-791c501bf626	Pradalunga	Pradalunga	4	0	2013-07-21 18:00:26.548844+02	\N	\N	\N	\N	\N	\N	f	
14196	88bfca4c-96dd-4bfd-a00a-12829767a015	Terracina	Terracina	4	0	2013-07-21 20:44:28.98131+02	\N	\N	\N	\N	\N	\N	f	
14775	759bc688-9011-4497-b414-976c06012d98	Brondello	Brondello	4	0	2013-07-21 22:53:28.691025+02	\N	\N	\N	\N	\N	\N	f	
16067	29295407-5f74-454e-82cc-0f2ee7d6ea4f	Civezza	Civezza	4	0	2013-07-22 02:48:35.682617+02	\N	\N	\N	\N	\N	\N	f	
14815	29b5a91e-26d8-474c-8e88-bd71f650f879	Velletri	Velletri	4	0	2013-07-21 23:01:51.273531+02	\N	\N	\N	\N	\N	\N	f	
24430	b29b20cb-b840-48c6-a09f-ee486ea1cbcb	Austell, Georgia	Austell, Georgia	3	0	2013-09-07 06:43:18.892698+02	\N	\N	\N	\N	\N	\N	f	
15410	5f97d314-fd7a-47e6-8122-d11fb4de4b27	Villa Collemandina	Villa Collemandina	4	0	2013-07-22 00:39:22.156123+02	\N	\N	\N	\N	\N	\N	f	
16153	d3d1e5a8-e86e-458b-b96f-ee5b5d4cfe98	Don, Trentino	Don, Trentino	4	0	2013-07-22 02:59:26.307821+02	\N	\N	\N	\N	\N	\N	f	
17960	8605a43f-485f-49f2-af55-082fd6b3d89f	Ricengo	Ricengo	4	0	2013-07-22 07:31:20.331717+02	\N	\N	\N	\N	\N	\N	f	
16833	c024caaa-1e3a-4b19-aa07-6b0fac27fd40	Conselve	Conselve	4	0	2013-07-22 04:48:38.260983+02	\N	\N	\N	\N	\N	\N	f	
16890	bd7493ff-f543-4030-bb80-7e4ad04aa114	Sant'Angelo di Piove di Sacco	Sant'Angelo di Piove di Sacco	4	0	2013-07-22 05:02:49.533381+02	\N	\N	\N	\N	\N	\N	f	
17996	44e8298d-792a-4304-9f82-ddcb44c04032	Abbadia Cerreto	Abbadia Cerreto	4	0	2013-07-22 07:35:25.290679+02	\N	\N	\N	\N	\N	\N	f	
20189	94a3adc8-4b3d-4cae-bea1-437465b26804	Pontebba	Pontebba	4	0	2013-07-22 17:44:45.659104+02	\N	\N	\N	\N	\N	\N	f	
18037	8188feca-2a04-4dd6-8ee8-b5d36f64858d	Cavriana	Cavriana	4	0	2013-07-22 07:39:50.265545+02	\N	\N	\N	\N	\N	\N	f	
18088	197f36a4-6129-479e-8d36-240ad067369c	San Colombano al Lambro	San Colombano al Lambro	4	0	2013-07-22 07:46:21.446481+02	\N	\N	\N	\N	\N	\N	f	
24943	615926d5-246d-4507-bd36-ce24fd915b49	Sheldon	Sheldon	3	0	2013-09-07 09:22:46.618035+02	\N	\N	\N	\N	\N	\N	f	
18092	36e123c9-dd6f-4177-bd7a-4d8394ab20a1	Medole	Medole	4	0	2013-07-22 07:46:52.848529+02	\N	\N	\N	\N	\N	\N	f	
21016	0b27c956-0f0b-4f00-82c4-4f5b1acb8558	Barano d'Ischia	Barano d'Ischia	4	0	2013-07-23 17:52:44.333753+02	\N	\N	\N	\N	\N	\N	f	
18114	c097a29d-a86f-4972-a962-e38c542eaed8	Pogliano Milanese	Pogliano Milanese	4	0	2013-07-22 07:49:26.93826+02	\N	\N	\N	\N	\N	\N	f	
26424	1b4aeb6a-2d5a-40df-a1bc-49f086308edd	Fleming-Neon, Kentucky	Fleming-Neon, Kentucky	3	0	2013-09-08 00:30:41.546154+02	\N	\N	\N	\N	\N	\N	f	
18122	ecd68442-4d02-47cc-b111-4a8a66005d2a	Cassina de' Pecchi	Cassina de' Pecchi	4	0	2013-07-22 07:50:16.679652+02	\N	\N	\N	\N	\N	\N	f	
21098	f6a37a56-05e1-4785-99df-0a346d763edb	Fiordimonte	Fiordimonte	4	0	2013-07-23 20:51:51.989302+02	\N	\N	\N	\N	\N	\N	f	
25002	73e05812-10bb-4485-b981-e79d79ca3881	Oto	Oto	3	0	2013-09-07 09:38:02.085869+02	\N	\N	\N	\N	\N	\N	f	
18950	eb1412a9-802b-4393-9715-78acf672128e	Maletto	Maletto	4	0	2013-07-22 09:33:45.705048+02	\N	\N	\N	\N	\N	\N	f	
18968	b7a84941-8535-4feb-953e-eb4faaca67be	Mineo	Mineo	4	0	2013-07-22 09:35:57.298998+02	\N	\N	\N	\N	\N	\N	f	
21214	4f58d012-fe5f-4cd7-bf6a-369c9d516973	Montecorvino Rovella	Montecorvino Rovella	4	0	2013-07-23 23:53:20.410658+02	\N	\N	\N	\N	\N	\N	f	
18973	b2f01911-6095-4081-9fe6-833d48b72dd1	Cerea	Cerea	4	0	2013-07-22 09:36:39.763737+02	\N	\N	\N	\N	\N	\N	f	
18976	8e6c1e0a-a122-4f09-b723-8fde155a2e86	Eraclea	Eraclea	4	0	2013-07-22 09:37:06.827925+02	\N	\N	\N	\N	\N	\N	f	
18997	58859407-dbb3-4297-92e0-2b29abb21e86	Tremestieri Etneo	Tremestieri Etneo	4	0	2013-07-22 09:39:46.968717+02	\N	\N	\N	\N	\N	\N	f	
21412	b8d8b712-0ad4-4282-859c-51e67edbe1f3	Bussoleno	Bussoleno	4	0	2013-07-24 05:55:50.581941+02	\N	\N	\N	\N	\N	\N	f	
19003	a7e3888a-437d-48c8-b303-2074113bfbb0	Lavagno	Lavagno	4	0	2013-07-22 09:40:30.447563+02	\N	\N	\N	\N	\N	\N	f	
19027	4c8b6049-3ab4-43dc-b89f-d952aea5d7a8	Valderice	Valderice	4	0	2013-07-22 09:43:30.064394+02	\N	\N	\N	\N	\N	\N	f	
25057	5f4ecda3-000b-4905-97a2-f5edd39f47b7	Otho	Otho	3	0	2013-09-07 09:52:05.592952+02	\N	\N	\N	\N	\N	\N	f	
21521	916a354d-1fa5-481a-bd92-41d76dacabf5	Macello	Macello	4	0	2013-07-24 08:57:59.856605+02	\N	\N	\N	\N	\N	\N	f	
21665	b935477b-9f5d-4c2e-8509-980bdbbc971a	Pecetto Torinese	Pecetto Torinese	4	0	2013-07-24 14:46:46.627034+02	\N	\N	\N	\N	\N	\N	f	
25058	c223f212-8f74-471e-94c4-6eaf5dda088b	Milton	Milton	3	0	2013-09-07 09:52:20.697525+02	\N	\N	\N	\N	\N	\N	f	
26686	534361d5-ad61-4a9c-b680-5abf074ae233	St. Cloud, Florida	St. Cloud, Florida	3	0	2013-09-08 02:27:53.742305+02	\N	\N	\N	\N	\N	\N	f	
25492	75f76d17-bf27-48e4-b9b9-e950ceec5969	Stockport, Iowa	Stockport, Iowa	3	0	2013-09-07 12:04:32.420209+02	\N	\N	\N	\N	\N	\N	f	
21948	579aa80e-7328-4228-8a95-56f909accc13	Landa, North Dakota	Landa, North Dakota	3	0	2013-08-06 11:32:40.716277+02	\N	\N	\N	\N	\N	\N	f	
22024	12acbd1e-33d3-4597-b448-c0d1d100e396	Oelwein	Oelwein	3	0	2013-08-07 14:27:41.552716+02	\N	\N	\N	\N	\N	\N	f	
24165	43ebb2fd-1429-4a85-bab7-609864ea5cc7	Hauser	Hauser	3	0	2013-09-07 03:03:49.954955+02	\N	\N	\N	\N	\N	\N	f	
25573	7dba2ca9-6472-44fd-9968-bdf25e7ee759	Speed, Kansas	Speed, Kansas	3	0	2013-09-07 13:01:57.271199+02	\N	\N	\N	\N	\N	\N	f	
24175	ab2d75a3-dc52-48db-85e8-873ac2befa75	Clayton	Clayton	3	0	2013-09-07 03:06:20.759605+02	\N	\N	\N	\N	\N	\N	f	
27511	954dabd7-52e1-4da8-8077-0f24ca49c45d	Galesburg, North Dakota	Galesburg, North Dakota	3	0	2013-09-08 08:29:00.129948+02	\N	\N	\N	\N	\N	\N	f	
26752	64ba0210-f8db-4dcf-8f8e-7f0628f96303	Clark	Clark	3	0	2013-09-08 02:45:04.407367+02	\N	\N	\N	\N	\N	\N	f	
26057	2225492f-cd65-48a3-85de-13b0e7fd6110	Harper	Harper	3	0	2013-09-07 17:58:52.05349+02	\N	\N	\N	\N	\N	\N	f	
26095	02b57e91-5ab1-42d3-b0ca-b21b09b49d17	Druid Hills, Kentucky	Druid Hills, Kentucky	3	0	2013-09-07 18:08:52.056119+02	\N	\N	\N	\N	\N	\N	f	
26404	b6024313-00e6-456f-83b2-003c33db740a	Timken, Kansas	Timken, Kansas	3	0	2013-09-08 00:00:00.152563+02	\N	\N	\N	\N	\N	\N	f	
27155	3ad71383-ab1c-4e05-bbab-0a8a7267cf6f	Washburn	Washburn	3	0	2013-09-08 05:43:33.392825+02	\N	\N	\N	\N	\N	\N	f	
27837	0f50a692-fdac-4ea5-893f-ca9299b229b2	Shelby	Shelby	3	0	2013-09-08 10:10:50.312302+02	\N	\N	\N	\N	\N	\N	f	
27178	037a4dca-4657-46ff-86be-11a1dec8d4f7	Lone Jack	Lone Jack	3	0	2013-09-08 05:49:40.306011+02	\N	\N	\N	\N	\N	\N	f	
27530	93b7e074-8679-4a5c-8a46-08ccab96d317	Grace City, North Dakota	Grace City, North Dakota	3	0	2013-09-08 08:33:47.291756+02	\N	\N	\N	\N	\N	\N	f	
27486	dadbe874-f8c3-454a-aa9b-c02abf8cbcc0	Rocky River	Rocky River	3	0	2013-09-08 08:18:06.911532+02	\N	\N	\N	\N	\N	\N	f	
27497	07cd5c61-6c48-410b-a633-9970d71c5dc0	Tipp City	Tipp City	3	0	2013-09-08 08:24:17.599765+02	\N	\N	\N	\N	\N	\N	f	
28339	07003076-9994-4a3e-b3f9-f93009bb84a7	Lewisburg, Tennessee	Lewisburg, Tennessee	3	0	2013-09-08 16:54:37.984791+02	\N	\N	\N	\N	\N	\N	f	
27552	88a698ac-77c7-445d-a65d-bcf6f7949bf3	Neche, North Dakota	Neche, North Dakota	3	0	2013-09-08 08:39:13.143777+02	\N	\N	\N	\N	\N	\N	f	
28128	d2e8f15c-9828-4afa-bd44-79fb22976552	Vyazniki	Vyazniki	3	0	2013-09-08 14:26:00.805375+02	\N	\N	\N	\N	\N	\N	f	
28129	d3206e86-49ff-400d-b900-e730aa79bc07	Gorodovikovsk	Gorodovikovsk	3	0	2013-09-08 14:26:24.155151+02	\N	\N	\N	\N	\N	\N	f	
28518	5dcdb703-2329-4c99-af74-7bbeff01cebc	Fountain Green	Fountain Green	3	0	2013-09-08 20:36:04.385682+02	\N	\N	\N	\N	\N	\N	f	
28515	2b05c559-fd80-41fa-a8d5-83bbd6dbf0d2	Nevada, Texas	Nevada, Texas	3	0	2013-09-08 20:35:07.968321+02	\N	\N	\N	\N	\N	\N	f	
28765	b3ed687b-0cae-46c5-8e1f-5ffa622cec80	Morgan's Point Resort	Morgan's Point Resort	3	0	2013-09-08 23:52:47.642539+02	\N	\N	\N	\N	\N	\N	f	
28779	e9d18a11-43a9-4f4e-a5e3-ec6d6e006510	DeKalb	DeKalb	3	0	2013-09-08 23:56:35.338808+02	\N	\N	\N	\N	\N	\N	f	
28796	705f1919-cbad-4ca3-b21f-79f455defcac	Tuscola	Tuscola	3	0	2013-09-09 00:01:10.040422+02	\N	\N	\N	\N	\N	\N	f	
28822	4e504892-c636-4ded-8f94-7242c6ac9ff7	Goodlow	Goodlow	3	0	2013-09-09 00:08:11.737984+02	\N	\N	\N	\N	\N	\N	f	
28824	6c446ebb-76f3-4d43-b87c-68412edfe24d	Oak Ridge North	Oak Ridge North	3	0	2013-09-09 00:08:44.184424+02	\N	\N	\N	\N	\N	\N	f	
28832	47ba3a39-982f-4f25-8b52-124bb2ff7a7e	Nash	Nash	3	0	2013-09-09 00:10:53.54972+02	\N	\N	\N	\N	\N	\N	f	
28842	01119a41-6045-4972-8645-a440a932c9ad	Friona	Friona	3	0	2013-09-09 00:13:37.948822+02	\N	\N	\N	\N	\N	\N	f	
28994	1bf2ee84-55e2-4402-8cd9-95463f022552	New Berlin	New Berlin	3	0	2013-09-09 01:50:09.212755+02	\N	\N	\N	\N	\N	\N	f	
29040	333177e5-531b-456f-a85f-95d0dab1b51b	Nordheim	Nordheim	3	0	2013-09-09 02:04:22.327303+02	\N	\N	\N	\N	\N	\N	f	
13436	92912c33-15cd-4bf6-b8cf-1a01f012832d	Gorle	Gorle	4	0	2013-07-21 17:54:58.114412+02	\N	\N	\N	\N	\N	\N	f	
14197	1d094c1f-9a39-4bf1-b904-9eec1c195860	Norma, Lazio	Norma, Lazio	4	0	2013-07-21 20:44:40.96489+02	\N	\N	\N	\N	\N	\N	f	
14778	b23fb4d5-b5c4-425c-b855-4f88135b8d85	Barolo	Barolo	4	0	2013-07-21 22:54:03.879429+02	\N	\N	\N	\N	\N	\N	f	
16068	51cf723d-1ae4-458c-bb10-a7def855aaa9	Apricale	Apricale	4	0	2013-07-22 02:48:46.059394+02	\N	\N	\N	\N	\N	\N	f	
14804	67b1d329-8e2a-482a-8595-86f4b0752238	Sagama	Sagama	4	0	2013-07-21 22:59:24.273003+02	\N	\N	\N	\N	\N	\N	f	
14814	a239c04b-a639-497c-b1ad-c5e7409fe247	Castiglione della Pescaia	Castiglione della Pescaia	4	0	2013-07-21 23:01:37.390111+02	\N	\N	\N	\N	\N	\N	f	
14852	d19180a8-b66d-49a1-b4b9-adc67c0cdc25	Manfredonia	Manfredonia	4	0	2013-07-21 23:10:49.415542+02	\N	\N	\N	\N	\N	\N	f	
16834	d7103d54-4b33-41c6-be2d-f77cc74ec1ed	Cartura	Cartura	4	0	2013-07-22 04:48:56.849273+02	\N	\N	\N	\N	\N	\N	f	
14957	771cbd03-ace6-4b7b-8347-30ed361fdc56	Marmora	Marmora	4	0	2013-07-21 23:30:22.628224+02	\N	\N	\N	\N	\N	\N	f	
25495	89536cc6-4a7a-4d82-858d-6280679694e9	Brooksville, Kentucky	Brooksville, Kentucky	3	0	2013-09-07 12:05:21.114962+02	\N	\N	\N	\N	\N	\N	f	
24166	8aa999fd-7803-426b-80ed-62fa15cc7386	Priest River	Priest River	3	0	2013-09-07 03:04:04.957662+02	\N	\N	\N	\N	\N	\N	f	
15411	8b57ed27-9765-442a-b677-e06b86249d3a	Casaleggio Novara	Casaleggio Novara	4	0	2013-07-22 00:39:33.91376+02	\N	\N	\N	\N	\N	\N	f	
16930	d46d0e0c-3263-4cfc-a967-92604cf8caba	Codevigo	Codevigo	4	0	2013-07-22 05:13:16.787068+02	\N	\N	\N	\N	\N	\N	f	
15434	d321015b-d190-4c4a-8f1a-a4931e1c3696	Amatrice	Amatrice	4	0	2013-07-22 00:44:50.26825+02	\N	\N	\N	\N	\N	\N	f	
17990	ea8cfe14-bfae-4659-bfdd-20a0c7083415	Calvatone	Calvatone	4	0	2013-07-22 07:34:47.221577+02	\N	\N	\N	\N	\N	\N	f	
20190	84bed414-2e5e-42c7-8263-039356b2796a	Prepotto	Prepotto	4	0	2013-07-22 17:44:57.833036+02	\N	\N	\N	\N	\N	\N	f	
18022	3d976c10-c74c-4454-adfd-29a17a5d67d7	Trezzano Rosa	Trezzano Rosa	4	0	2013-07-22 07:38:14.024517+02	\N	\N	\N	\N	\N	\N	f	
18023	542ee13a-3aea-4232-bfc1-5e829e0ca6f0	Rivarolo Mantovano	Rivarolo Mantovano	4	0	2013-07-22 07:38:17.320722+02	\N	\N	\N	\N	\N	\N	f	
18038	c98d03d3-941f-4b7f-b679-cd74dafe5860	Castelnuovo Bocca d'Adda	Castelnuovo Bocca d'Adda	4	0	2013-07-22 07:40:03.335656+02	\N	\N	\N	\N	\N	\N	f	
20195	c8c8621e-853c-4d1b-947d-f96a331cd61f	Nimis	Nimis	4	0	2013-07-22 17:45:58.975992+02	\N	\N	\N	\N	\N	\N	f	
18089	d4666a0c-f12f-4e4d-bd0f-9128c03de724	Cornegliano Laudense	Cornegliano Laudense	4	0	2013-07-22 07:46:26.891709+02	\N	\N	\N	\N	\N	\N	f	
18162	ce33db62-2da1-4089-b5b8-8f9fdd87aaaf	Ello	Ello	4	0	2013-07-22 07:54:51.503582+02	\N	\N	\N	\N	\N	\N	f	
24440	8d09ef9b-8dab-4c18-99f4-896a0b187548	Pelham, Georgia	Pelham, Georgia	3	0	2013-09-07 06:45:43.17608+02	\N	\N	\N	\N	\N	\N	f	
18958	973adbb9-6125-4813-9726-3f41e13c70bd	Maniace	Maniace	4	0	2013-07-22 09:34:45.44617+02	\N	\N	\N	\N	\N	\N	f	
20210	b0564da7-93c9-44d9-b07a-c543629f22aa	Villa Santina	Villa Santina	4	0	2013-07-22 17:49:19.086174+02	\N	\N	\N	\N	\N	\N	f	
18977	ba6062a1-3491-421f-a6fb-bad141efa360	Scordia	Scordia	4	0	2013-07-22 09:37:19.17105+02	\N	\N	\N	\N	\N	\N	f	
21018	b84f0b21-bddc-4258-8219-4ff2b7159083	Calvizzano	Calvizzano	4	0	2013-07-23 17:53:08.81471+02	\N	\N	\N	\N	\N	\N	f	
27488	360d05b9-a5cb-46d5-ae9d-fd25df8c8476	Monroe	Monroe	3	0	2013-09-08 08:18:45.411163+02	\N	\N	\N	\N	\N	\N	f	
21021	60311803-e46f-4f17-9cd6-2add4cb5f9c2	Vezza d'Oglio	Vezza d'Oglio	4	0	2013-07-23 17:53:44.976499+02	\N	\N	\N	\N	\N	\N	f	
24477	a07d6020-83d7-46fa-b1d9-706d92e6bf9b	Marion, Indiana	Marion, Indiana	3	0	2013-09-07 06:54:48.629595+02	\N	\N	\N	\N	\N	\N	f	
21099	3549a75b-89ad-4dc3-a499-56edde1f62a0	Camporotondo di Fiastrone	Camporotondo di Fiastrone	4	0	2013-07-23 20:52:07.089337+02	\N	\N	\N	\N	\N	\N	f	
21215	7379a502-d4a6-4baf-8b5c-9ac38541c58d	San Pietro al Tanagro	San Pietro al Tanagro	4	0	2013-07-23 23:53:45.1218+02	\N	\N	\N	\N	\N	\N	f	
25500	1632a8e8-83ef-4413-b5b6-09750c24f9cf	Anchorage, Kentucky	Anchorage, Kentucky	3	0	2013-09-07 12:06:34.21757+02	\N	\N	\N	\N	\N	\N	f	
21413	55ccf88c-3a55-4615-ad2d-e657d4548007	Pienza	Pienza	4	0	2013-07-24 05:56:03.153687+02	\N	\N	\N	\N	\N	\N	f	
24493	180c0f3c-a7b4-436d-b804-2577bf6e61c6	Metropolis, Illinois	Metropolis, Illinois	3	0	2013-09-07 06:58:50.752792+02	\N	\N	\N	\N	\N	\N	f	
21414	c40081b6-e766-4165-ad32-1bcd75d8e0d2	San Giovanni d'Asso	San Giovanni d'Asso	4	0	2013-07-24 05:56:15.007979+02	\N	\N	\N	\N	\N	\N	f	
21522	122521e5-5706-455b-bb0e-bd9157bd9034	Loranzè	Loranzè	4	0	2013-07-24 08:58:13.042002+02	\N	\N	\N	\N	\N	\N	f	
21666	ac345221-94e0-4a20-a0bf-6f1e80d8fdd3	Pavone Canavese	Pavone Canavese	4	0	2013-07-24 14:47:00.143344+02	\N	\N	\N	\N	\N	\N	f	
24945	6feac5e1-7f8c-4c71-905d-0c4103e4e474	Leavenworth	Leavenworth	3	0	2013-09-07 09:23:27.066935+02	\N	\N	\N	\N	\N	\N	f	
21708	88e9076a-6d9a-4097-90e6-0f948de59757	San Mauro Pascoli	San Mauro Pascoli	4	0	2013-07-24 14:59:26.737704+02	\N	\N	\N	\N	\N	\N	f	
26099	10bcde91-cc83-4a65-8c80-1215fcb2403d	Mission, Kansas	Mission, Kansas	3	0	2013-09-07 18:09:58.92653+02	\N	\N	\N	\N	\N	\N	f	
24962	d712890d-8063-4857-8e2c-dcbbd56e9908	Halstead, Kansas	Halstead, Kansas	3	0	2013-09-07 09:27:38.82414+02	\N	\N	\N	\N	\N	\N	f	
21949	f958239d-55ce-4412-86ce-3164cf798c6d	Cove, Oregon	Cove, Oregon	3	0	2013-08-06 11:33:07.206921+02	\N	\N	\N	\N	\N	\N	f	
22025	99e80c29-c54d-4aed-85ba-e090cf66fefb	Northwood	Northwood	3	0	2013-08-07 14:27:59.605612+02	\N	\N	\N	\N	\N	\N	f	
25575	adf614ef-b527-4860-8579-a5a3551a33e1	Middlesboro, Kentucky	Middlesboro, Kentucky	3	0	2013-09-07 13:02:27.813625+02	\N	\N	\N	\N	\N	\N	f	
24974	bc451d71-abf7-4ae6-86b8-90c0fbfaeef1	Anthony, Kansas	Anthony, Kansas	3	0	2013-09-07 09:30:21.695925+02	\N	\N	\N	\N	\N	\N	f	
25001	29eff421-a21b-4e6c-b254-e7c32c9febc0	Paullina	Paullina	3	0	2013-09-07 09:37:47.134008+02	\N	\N	\N	\N	\N	\N	f	
25096	d2b3ea7a-eef4-4f9a-b42b-182a07c0800e	Lohrville	Lohrville	3	0	2013-09-07 10:03:27.870926+02	\N	\N	\N	\N	\N	\N	f	
25648	b04d3897-6226-4b64-80ac-4c195bd70ebd	Victor	Victor	3	0	2013-09-07 13:21:35.407093+02	\N	\N	\N	\N	\N	\N	f	
25123	868bb662-16e9-4602-902a-110339c92b91	Colby	Colby	3	0	2013-09-07 10:10:36.761865+02	\N	\N	\N	\N	\N	\N	f	
26405	3d293f1c-4a28-4ab9-af0c-92c2c8302621	Clayton, Kansas	Clayton, Kansas	3	0	2013-09-08 00:00:22.271413+02	\N	\N	\N	\N	\N	\N	f	
25666	bd785fc4-d17d-49f2-aab3-04d712a27d2e	Centralia, Kansas	Centralia, Kansas	3	0	2013-09-07 13:26:24.131287+02	\N	\N	\N	\N	\N	\N	f	
25679	2085f274-670a-47ab-8808-da6377300750	Struble	Struble	3	0	2013-09-07 13:29:59.333229+02	\N	\N	\N	\N	\N	\N	f	
28130	c2f675f7-80c1-4f57-8334-26bbc2853315	Gorbatov	Gorbatov	3	0	2013-09-08 14:26:45.27109+02	\N	\N	\N	\N	\N	\N	f	
26058	f25f784b-b655-4e6d-94ca-28b3e4ac63b1	Liebenthal	Liebenthal	3	0	2013-09-07 17:59:07.395364+02	\N	\N	\N	\N	\N	\N	f	
26687	c288cd9e-dae9-40a9-a321-0815ba88ccaf	Lava Hot Springs, Idaho	Lava Hot Springs, Idaho	3	0	2013-09-08 02:28:08.109473+02	\N	\N	\N	\N	\N	\N	f	
27500	ec79159c-0dbd-4a0f-89fa-b8d1fafbefd9	St. Bernard	St. Bernard	3	0	2013-09-08 08:25:52.054621+02	\N	\N	\N	\N	\N	\N	f	
27158	fe8b911a-b754-4fa8-9db7-b07a3ba627c1	Billings	Billings	3	0	2013-09-08 05:44:20.005186+02	\N	\N	\N	\N	\N	\N	f	
28768	68d73701-3ba2-44c6-b66c-399b9327f3af	The Colony	The Colony	3	0	2013-09-08 23:53:34.544496+02	\N	\N	\N	\N	\N	\N	f	
27842	0db21381-466b-4070-bcc8-d252e7f2afe3	Geneva, Nebraska	Geneva, Nebraska	3	0	2013-09-08 10:12:08.557664+02	\N	\N	\N	\N	\N	\N	f	
28516	58c1c14a-5c6d-4cda-9180-3c39ca7396d7	Alvin, Texas	Alvin, Texas	3	0	2013-09-08 20:35:22.754188+02	\N	\N	\N	\N	\N	\N	f	
28340	aa95d205-113a-4572-b979-eddc2dcb1381	Cross Plains, Tennessee	Cross Plains, Tennessee	3	0	2013-09-08 16:54:52.754407+02	\N	\N	\N	\N	\N	\N	f	
29002	b4752f3f-a8d3-4a48-a80f-658f5af78211	Progreso Lakes	Progreso Lakes	3	0	2013-09-09 01:52:39.421544+02	\N	\N	\N	\N	\N	\N	f	
29003	3e77395c-a47c-4742-a24b-765fc56174e7	East Tawakoni	East Tawakoni	3	0	2013-09-09 01:53:06.660546+02	\N	\N	\N	\N	\N	\N	f	
29013	68c951e0-a5ea-4752-8d35-0ae19baa8c4c	Sweetwater	Sweetwater	3	0	2013-09-09 01:56:36.20955+02	\N	\N	\N	\N	\N	\N	f	
29025	4144779f-069a-4760-8031-46b1a67dffea	Pecan Hill	Pecan Hill	3	0	2013-09-09 01:59:59.783721+02	\N	\N	\N	\N	\N	\N	f	
29072	c3d468ac-64e5-4a53-8d2d-39cfda6820c6	Point	Point	3	0	2013-09-09 02:13:41.639198+02	\N	\N	\N	\N	\N	\N	f	
29240	60477f75-59d6-4fb1-a405-be5517bc1ffe	Charles Town, West Virginia	Charles Town, West Virginia	3	0	2013-09-09 04:16:43.538982+02	\N	\N	\N	\N	\N	\N	f	
29348	5870b4f7-3c3b-4d8c-8823-57f71b9b47bd	Prescott, Wisconsin	Prescott, Wisconsin	3	0	2013-09-09 08:22:11.704133+02	\N	\N	\N	\N	\N	\N	f	
13437	e5c9c9ae-efe0-47a7-a174-f04f56bdde4a	Gromo	Gromo	4	0	2013-07-21 17:55:12.087535+02	\N	\N	\N	\N	\N	\N	f	
13438	90d90a54-f354-4a20-9c16-2fb7a68c44e6	Levate	Levate	4	0	2013-07-21 17:55:26.502379+02	\N	\N	\N	\N	\N	\N	f	
14199	3ed1a6e5-a92b-41fb-9583-42ba3fe40d4f	Sperlonga	Sperlonga	4	0	2013-07-21 20:45:04.67314+02	\N	\N	\N	\N	\N	\N	f	
13508	2a6dfb49-dac2-4354-83ce-c1a0fd9e7116	Santa Brigida	Santa Brigida	4	0	2013-07-21 18:10:51.375897+02	\N	\N	\N	\N	\N	\N	f	
14786	4a66ff14-4b06-4edc-9224-9a12a3d1b10b	Albaretto della Torre	Albaretto della Torre	4	0	2013-07-21 22:55:38.779504+02	\N	\N	\N	\N	\N	\N	f	
16069	41a43025-a1a7-4a5c-8fdd-12c2d1ccb3e4	Cipressa	Cipressa	4	0	2013-07-22 02:48:50.502182+02	\N	\N	\N	\N	\N	\N	f	
14901	c9e371ef-2a32-4cbd-90e1-3e315cbc0e7f	Frabosa Sottana	Frabosa Sottana	4	0	2013-07-21 23:23:22.176276+02	\N	\N	\N	\N	\N	\N	f	
14903	de174430-ee6e-4fba-9521-de537c4b1acd	Diano d'Alba	Diano d'Alba	4	0	2013-07-21 23:23:44.894232+02	\N	\N	\N	\N	\N	\N	f	
24207	8c6ba16a-0294-45b9-b831-8351e5e44bea	Byron, Georgia	Byron, Georgia	3	0	2013-09-07 03:15:33.557947+02	\N	\N	\N	\N	\N	\N	f	
16093	04b250c7-5a4b-4c12-8f60-6677a41c5d8a	Santo Stefano al Mare	Santo Stefano al Mare	4	0	2013-07-22 02:51:50.500213+02	\N	\N	\N	\N	\N	\N	f	
15414	5e56ae1d-1ac7-442a-93da-e0220f6286f7	Cavaglietto	Cavaglietto	4	0	2013-07-22 00:40:16.00959+02	\N	\N	\N	\N	\N	\N	f	
17967	d0874d27-8fd1-4e63-b219-9c4bbbd5f145	Dovera	Dovera	4	0	2013-07-22 07:31:59.847266+02	\N	\N	\N	\N	\N	\N	f	
16126	c2b191bf-0fbc-4f3f-8f63-8d68f9b9dcf9	Cunevo	Cunevo	4	0	2013-07-22 02:56:16.880752+02	\N	\N	\N	\N	\N	\N	f	
26406	0caf1ee3-946e-4734-9918-a5cbe5afb06b	Coin, Iowa	Coin, Iowa	3	0	2013-09-08 00:00:41.314269+02	\N	\N	\N	\N	\N	\N	f	
16835	a1db429b-de31-4095-8318-5769f6456078	Papozze	Papozze	4	0	2013-07-22 04:49:17.952551+02	\N	\N	\N	\N	\N	\N	f	
18020	0aca4d32-b6f4-4ffa-8237-ef268a54ecc8	Villa Cortese	Villa Cortese	4	0	2013-07-22 07:38:02.198405+02	\N	\N	\N	\N	\N	\N	f	
16838	ffa702e6-1577-4e22-b0be-27a0eb8e525b	Porto Tolle	Porto Tolle	4	0	2013-07-22 04:50:04.421692+02	\N	\N	\N	\N	\N	\N	f	
16879	23081137-1563-4adf-8f4f-5c13be62a1e9	Giacciano con Baruchella	Giacciano con Baruchella	4	0	2013-07-22 05:00:08.304887+02	\N	\N	\N	\N	\N	\N	f	
24441	c71425fc-f9b7-4636-a02c-9d0e51bb4831	Loogootee	Loogootee	3	0	2013-09-07 06:45:57.193459+02	\N	\N	\N	\N	\N	\N	f	
17092	ee53dddd-ec70-4cec-8c4c-c25ca41136c9	Völs am Schlern	Völs am Schlern	4	0	2013-07-22 05:42:39.379194+02	\N	\N	\N	\N	\N	\N	f	
18157	a89864e1-f9fd-49ad-89bf-93daacd49003	Capergnanica	Capergnanica	4	0	2013-07-22 07:54:04.06753+02	\N	\N	\N	\N	\N	\N	f	
17148	8f0eec25-3179-45f4-9380-6b3b1bb045e9	Curcuris	Curcuris	4	0	2013-07-22 05:49:58.472965+02	\N	\N	\N	\N	\N	\N	f	
20192	0afe02b8-45e7-4554-855b-398ec488f672	Pradamano	Pradamano	4	0	2013-07-22 17:45:22.442863+02	\N	\N	\N	\N	\N	\N	f	
18255	0572ca7c-3594-4519-a683-53286dfafcab	Zelo Surrigone	Zelo Surrigone	4	0	2013-07-22 08:05:52.690902+02	\N	\N	\N	\N	\N	\N	f	
18368	ba7d53fe-0ca6-42e4-941b-0cc436daae10	Basiglio	Basiglio	4	0	2013-07-22 08:19:59.700333+02	\N	\N	\N	\N	\N	\N	f	
18397	7d6fa14b-5145-4bde-88ee-2e5e46bf1cb9	Graffignana	Graffignana	4	0	2013-07-22 08:23:54.129196+02	\N	\N	\N	\N	\N	\N	f	
21019	779b202d-88dc-4d3a-8b8e-34eb59f072d5	Casalnuovo di Napoli	Casalnuovo di Napoli	4	0	2013-07-23 17:53:20.760293+02	\N	\N	\N	\N	\N	\N	f	
18960	7819b6aa-2930-417d-aec3-abe25f89ab74	Selva di Progno	Selva di Progno	4	0	2013-07-22 09:34:57.707107+02	\N	\N	\N	\N	\N	\N	f	
21100	711b114c-0280-461a-9a7f-32500bee0acc	Apiro	Apiro	4	0	2013-07-23 20:52:21.720088+02	\N	\N	\N	\N	\N	\N	f	
24445	9469c7d7-8d04-47dc-a5d1-0c99b26ca0f5	Rockmart, Georgia	Rockmart, Georgia	3	0	2013-09-07 06:46:52.000127+02	\N	\N	\N	\N	\N	\N	f	
21114	b880399b-d73f-44b5-bda1-afc76ec88ff3	Appignano	Appignano	4	0	2013-07-23 20:57:32.051677+02	\N	\N	\N	\N	\N	\N	f	
21217	af7baa8e-5e73-46a8-8334-0a10ecd892a8	Ravello	Ravello	4	0	2013-07-23 23:54:09.782553+02	\N	\N	\N	\N	\N	\N	f	
27843	9fbd5edd-7324-4a53-8ef5-6a9f139be90d	Gideon	Gideon	3	0	2013-09-08 10:12:22.068015+02	\N	\N	\N	\N	\N	\N	f	
21416	2c0c15c3-07c5-432f-947b-ed3dd723f7d0	Radicondoli	Radicondoli	4	0	2013-07-24 05:56:38.879289+02	\N	\N	\N	\N	\N	\N	f	
24947	04c2f15a-3d49-49c2-be72-75a0236e0408	Junction City	Junction City	3	0	2013-09-07 09:24:00.503751+02	\N	\N	\N	\N	\N	\N	f	
21667	18d6b7c8-8dc6-4c95-935a-7defaa9b24e5	Perosa Argentina	Perosa Argentina	4	0	2013-07-24 14:47:13.657899+02	\N	\N	\N	\N	\N	\N	f	
21688	88fd3960-5656-4914-a062-ca02a1b3eedf	Gatteo	Gatteo	4	0	2013-07-24 14:54:23.942862+02	\N	\N	\N	\N	\N	\N	f	
26688	e6ae0179-5c13-487e-a66b-e60f8a5c5de7	Breda, Iowa	Breda, Iowa	3	0	2013-09-08 02:28:24.812044+02	\N	\N	\N	\N	\N	\N	f	
21689	1b88c7f1-2322-4dbd-a757-78a0fbec7fec	Portico e San Benedetto	Portico e San Benedetto	4	0	2013-07-24 14:54:35.839621+02	\N	\N	\N	\N	\N	\N	f	
24963	3612d61b-c898-4179-9799-c408a630020a	Brookville, Kansas	Brookville, Kansas	3	0	2013-09-07 09:27:52.041623+02	\N	\N	\N	\N	\N	\N	f	
21693	0dcf8aa0-39ad-4789-be4f-e91f36436561	Berbenno	Berbenno	4	0	2013-07-24 14:55:31.845723+02	\N	\N	\N	\N	\N	\N	f	
21950	c7f6e2d3-578f-470a-bed7-60a01e9cb6ea	Elgin, Oregon	Elgin, Oregon	3	0	2013-08-06 11:34:33.538227+02	\N	\N	\N	\N	\N	\N	f	
25501	7d92c150-51db-40b3-8d9d-ba895c6a88e9	Viola, Kansas	Viola, Kansas	3	0	2013-09-07 12:06:47.772399+02	\N	\N	\N	\N	\N	\N	f	
22027	1c26c728-7837-487a-bab1-4c14014cdd1a	Sigourney	Sigourney	3	0	2013-08-07 14:28:30.069943+02	\N	\N	\N	\N	\N	\N	f	
27491	0b801922-183c-47eb-a225-c8bc3cd464f5	Reading	Reading	3	0	2013-09-08 08:21:03.44922+02	\N	\N	\N	\N	\N	\N	f	
24167	82a3b68b-8925-4f10-a92c-8500eafd94d3	Ashton	Ashton	3	0	2013-09-07 03:04:19.116448+02	\N	\N	\N	\N	\N	\N	f	
26697	68704ce3-edc2-4abe-be73-bc47dd5108c7	Firth, Idaho	Firth, Idaho	3	0	2013-09-08 02:31:00.486353+02	\N	\N	\N	\N	\N	\N	f	
25576	1e3fc3e0-f271-4653-82e6-96bf4f0ea428	Grand Rivers, Kentucky	Grand Rivers, Kentucky	3	0	2013-09-07 13:02:41.676689+02	\N	\N	\N	\N	\N	\N	f	
25677	e98d0533-5569-4c15-8b1c-c44d0b2c0031	Turin	Turin	3	0	2013-09-07 13:29:21.787259+02	\N	\N	\N	\N	\N	\N	f	
26756	4b0e7e5c-83e1-405b-9d6a-bee1b53de1ec	Vienna	Vienna	3	0	2013-09-08 02:46:04.916111+02	\N	\N	\N	\N	\N	\N	f	
26059	a41ddcf4-d6ee-4cbc-a6ab-f9f3fd0b006d	Bartlett	Bartlett	3	0	2013-09-07 17:59:27.620919+02	\N	\N	\N	\N	\N	\N	f	
27493	98f7c620-a336-4e36-983f-94d902dbd27c	Upper Arlington	Upper Arlington	3	0	2013-09-08 08:22:00.221407+02	\N	\N	\N	\N	\N	\N	f	
26763	785bef42-ec49-4816-b624-dd8f0e888049	Humansville	Humansville	3	0	2013-09-08 02:47:47.669995+02	\N	\N	\N	\N	\N	\N	f	
26781	c50bc32b-6c82-4241-88d3-db835102736b	Harris	Harris	3	0	2013-09-08 02:52:20.045012+02	\N	\N	\N	\N	\N	\N	f	
28173	f339e0ff-f194-441c-8e12-cdfcaa441eb7	Nizhniye Sergi	Nizhniye Sergi	3	0	2013-09-08 14:40:31.271172+02	\N	\N	\N	\N	\N	\N	f	
27159	429a6e3b-003c-4f04-9932-97009cfa8e36	Galena	Galena	3	0	2013-09-08 05:44:35.275205+02	\N	\N	\N	\N	\N	\N	f	
27550	6e5d6c1c-b388-4979-826b-7ad13c7cd3b0	Hannaford, North Dakota	Hannaford, North Dakota	3	0	2013-09-08 08:38:43.637129+02	\N	\N	\N	\N	\N	\N	f	
27874	4e5dd5e2-bbff-4cfc-9bdd-27c7610008da	Farmington	Farmington	3	0	2013-09-08 10:20:36.311311+02	\N	\N	\N	\N	\N	\N	f	
27608	879550b1-907f-46ec-b2eb-2b8e58638c5b	Gackle, North Dakota	Gackle, North Dakota	3	0	2013-09-08 08:56:04.756268+02	\N	\N	\N	\N	\N	\N	f	
28361	7f04da8e-edce-486d-bb85-e67b9ed50f3c	Spencer, South Dakota	Spencer, South Dakota	3	0	2013-09-08 17:00:36.689867+02	\N	\N	\N	\N	\N	\N	f	
28131	69bd89fe-2ccc-4bc9-8a48-64c2a05aee0f	Dedovsk	Dedovsk	3	0	2013-09-08 14:27:14.641315+02	\N	\N	\N	\N	\N	\N	f	
28341	3bb327df-7cec-453d-a03c-0b8b90792226	White Lake, South Dakota	White Lake, South Dakota	3	0	2013-09-08 16:55:06.865483+02	\N	\N	\N	\N	\N	\N	f	
28517	e4244ba9-03f4-4bdf-9942-5c8aebbfc886	Temple, Texas	Temple, Texas	3	0	2013-09-08 20:35:42.08741+02	\N	\N	\N	\N	\N	\N	f	
28560	b61c7475-9689-43bf-83b8-b933d250db57	Atlanta, Texas	Atlanta, Texas	3	0	2013-09-08 20:48:01.497895+02	\N	\N	\N	\N	\N	\N	f	
28567	4c5b9756-6bcd-4ea5-9ac4-6b079a4661e5	Gladewater, Texas	Gladewater, Texas	3	0	2013-09-08 20:49:54.57758+02	\N	\N	\N	\N	\N	\N	f	
28628	7fdd3019-7e84-457a-a8b8-316fb0b3f0d4	Hallsville	Hallsville	3	0	2013-09-08 21:07:03.053101+02	\N	\N	\N	\N	\N	\N	f	
28770	77b5ff09-90e8-4539-9ec7-b2678d2ad3df	Dickinson	Dickinson	3	0	2013-09-08 23:54:06.261056+02	\N	\N	\N	\N	\N	\N	f	
28788	352cb52c-9ada-4339-bcba-013f51490002	Devers	Devers	3	0	2013-09-08 23:58:58.439335+02	\N	\N	\N	\N	\N	\N	f	
29011	58368af7-f184-4aa6-97d1-b036a93244fc	Jayton	Jayton	3	0	2013-09-09 01:56:02.986172+02	\N	\N	\N	\N	\N	\N	f	
29014	3af4197c-a588-476f-89d2-e7deda76ebc1	Wallis	Wallis	3	0	2013-09-09 01:56:52.932031+02	\N	\N	\N	\N	\N	\N	f	
13439	73f22394-6476-4c0a-9e34-415ee981f212	Isola di Fondra	Isola di Fondra	4	0	2013-07-21 17:55:39.107449+02	\N	\N	\N	\N	\N	\N	f	
13515	a2b763dc-8c2f-4066-95d1-233b583a0dd2	Solto Collina	Solto Collina	4	0	2013-07-21 18:12:27.275963+02	\N	\N	\N	\N	\N	\N	f	
14200	b260b9e9-6080-40be-9383-ce31523f60c2	Sezze	Sezze	4	0	2013-07-21 20:45:16.467225+02	\N	\N	\N	\N	\N	\N	f	
14294	030cc1c0-2c0f-44e7-99a4-255957631659	Collesalvetti	Collesalvetti	4	0	2013-07-21 21:06:21.575758+02	\N	\N	\N	\N	\N	\N	f	
16070	3c52a36e-a07d-455f-983c-850ed2f346c8	Cosio di Arroscia	Cosio di Arroscia	4	0	2013-07-22 02:49:05.063672+02	\N	\N	\N	\N	\N	\N	f	
14788	7a121c7e-18b6-4a33-884f-4bcf34f745a3	Boves	Boves	4	0	2013-07-21 22:56:04.722846+02	\N	\N	\N	\N	\N	\N	f	
14789	2d22d0db-0c8f-4321-b0e4-ce38eb773eba	Bene Vagienna	Bene Vagienna	4	0	2013-07-21 22:56:16.504929+02	\N	\N	\N	\N	\N	\N	f	
14800	cf3c8110-2191-48b9-a90a-4e005c5321f6	Brixen	Brixen	4	0	2013-07-21 22:58:31.407696+02	\N	\N	\N	\N	\N	\N	f	
16074	266a043e-86ab-4902-a10a-23cbc3ed2806	Lucinasco	Lucinasco	4	0	2013-07-22 02:49:40.558516+02	\N	\N	\N	\N	\N	\N	f	
14801	23c3b9f2-3e44-48e3-90a9-610859033c25	Arzachena	Arzachena	4	0	2013-07-21 22:58:48.116183+02	\N	\N	\N	\N	\N	\N	f	
14813	216fc17d-1bc6-4e81-8553-f0f33d5ca0ba	Civitella Paganico	Civitella Paganico	4	0	2013-07-21 23:01:25.892657+02	\N	\N	\N	\N	\N	\N	f	
28797	b14876e9-9f58-4f75-ba0f-00479709971a	Richwood	Richwood	3	0	2013-09-09 00:01:26.123998+02	\N	\N	\N	\N	\N	\N	f	
14817	4d31985a-2203-451e-aa8f-0826576da63a	Follonica	Follonica	4	0	2013-07-21 23:02:14.466167+02	\N	\N	\N	\N	\N	\N	f	
16836	9cdaf5ce-0808-432c-aee8-dbbec111f3b6	Piove di Sacco	Piove di Sacco	4	0	2013-07-22 04:49:32.783655+02	\N	\N	\N	\N	\N	\N	f	
24532	873e4700-5f18-462d-80d9-06707bd52bc7	Whiting	Whiting	3	0	2013-09-07 07:27:43.763267+02	\N	\N	\N	\N	\N	\N	f	
15415	104fb887-1628-4aa8-973e-6857fb665ee5	Casalbeltrame	Casalbeltrame	4	0	2013-07-22 00:40:28.367834+02	\N	\N	\N	\N	\N	\N	f	
16974	4b20115c-9925-4e7b-b24e-ab8c66c9930a	Campobasso	Campobasso	4	0	2013-07-22 05:24:27.91716+02	\N	\N	\N	\N	\N	\N	f	
16999	cd127494-f8dd-44ab-aa95-4499b35ccaac	Fénis	Fénis	4	0	2013-07-22 05:30:27.380751+02	\N	\N	\N	\N	\N	\N	f	
26407	c6753d0d-8501-4547-ba32-7399a676614e	Parkland, Florida	Parkland, Florida	3	0	2013-09-08 00:01:01.092169+02	\N	\N	\N	\N	\N	\N	f	
17088	aa04329f-f075-43e8-aab1-6ccbd0301db1	Brenner	Brenner	4	0	2013-07-22 05:42:02.403036+02	\N	\N	\N	\N	\N	\N	f	
20201	c654ed2b-f6f0-45c1-a341-955178332b3e	Tavagnacco	Tavagnacco	4	0	2013-07-22 17:47:24.604156+02	\N	\N	\N	\N	\N	\N	f	
18962	1a45d387-38a4-4eba-947f-75e929577b51	Gravina di Catania	Gravina di Catania	4	0	2013-07-22 09:35:10.624765+02	\N	\N	\N	\N	\N	\N	f	
24948	ce6bd410-2d66-40f1-a5e8-db831cd90d80	Ellsworth, Kansas	Ellsworth, Kansas	3	0	2013-09-07 09:24:13.601382+02	\N	\N	\N	\N	\N	\N	f	
20223	a0493ee8-c6f1-4e1d-bc70-920cfcf66e8a	San Vito di Fagagna	San Vito di Fagagna	4	0	2013-07-22 20:29:00.478998+02	\N	\N	\N	\N	\N	\N	f	
21020	c1aaef0e-17b0-4f5c-90f0-37e497769add	Arzano	Arzano	4	0	2013-07-23 17:53:32.895235+02	\N	\N	\N	\N	\N	\N	f	
21101	7d25933f-1a14-419e-bf1e-b661165635b9	Belforte del Chienti	Belforte del Chienti	4	0	2013-07-23 20:52:34.695006+02	\N	\N	\N	\N	\N	\N	f	
24955	e6061191-e819-4e52-b25f-d35eec8a9863	Athol, Kansas	Athol, Kansas	3	0	2013-09-07 09:25:55.143377+02	\N	\N	\N	\N	\N	\N	f	
21119	1adb2b93-ac0e-4bcc-b1a8-ffbc9cc61589	Agropoli	Agropoli	4	0	2013-07-23 20:58:45.772336+02	\N	\N	\N	\N	\N	\N	f	
21219	d9abe8e6-00b4-4a43-8a32-390a7e8939c9	Rutino	Rutino	4	0	2013-07-23 23:54:34.467736+02	\N	\N	\N	\N	\N	\N	f	
27845	a6455bf4-8ff2-4a16-8198-18ff01710283	Pilot Grove	Pilot Grove	3	0	2013-09-08 10:12:51.21512+02	\N	\N	\N	\N	\N	\N	f	
21418	70440318-e29f-4e80-9322-550390cf51e8	Sinalunga	Sinalunga	4	0	2013-07-24 05:57:11.681013+02	\N	\N	\N	\N	\N	\N	f	
24966	f8f4304f-bcf3-47fe-b5ac-8b1ed390473d	Everest, Kansas	Everest, Kansas	3	0	2013-09-07 09:28:31.321619+02	\N	\N	\N	\N	\N	\N	f	
21668	f9240d54-59cb-4c4f-9227-3c173440e884	Pessinetto	Pessinetto	4	0	2013-07-24 14:47:32.198939+02	\N	\N	\N	\N	\N	\N	f	
26414	3e530058-b660-40e7-b449-7925c7d150c6	Campbell, Missouri	Campbell, Missouri	3	0	2013-09-08 00:03:04.095667+02	\N	\N	\N	\N	\N	\N	f	
25046	883683e2-24cc-4360-aad5-470f17a72928	Mondamin	Mondamin	3	0	2013-09-07 09:49:11.634083+02	\N	\N	\N	\N	\N	\N	f	
21951	aca66984-0371-4cbd-bf62-7e629af42d28	Lansford, North Dakota	Lansford, North Dakota	3	0	2013-08-06 11:35:33.312124+02	\N	\N	\N	\N	\N	\N	f	
21959	a99c5ab1-07ce-41a9-b1cd-222cad059d2c	Oregon City	Oregon City	3	0	2013-08-06 11:44:22.468482+02	\N	\N	\N	\N	\N	\N	f	
25084	f6e199f4-ed7c-450e-a6f2-32016dc58f4a	Massena	Massena	3	0	2013-09-07 10:00:12.367669+02	\N	\N	\N	\N	\N	\N	f	
22028	a77eb198-a204-4188-8d1c-607202f9a6b4	Montezuma	Montezuma	3	0	2013-08-07 14:28:44.223223+02	\N	\N	\N	\N	\N	\N	f	
24168	bed99636-6840-4df2-bcd7-f39ba9c16203	Basalt	Basalt	3	0	2013-09-07 03:04:40.050075+02	\N	\N	\N	\N	\N	\N	f	
24444	f7788a76-1715-423f-8d28-ccfde20e5d76	Demorest, Georgia	Demorest, Georgia	3	0	2013-09-07 06:46:38.136095+02	\N	\N	\N	\N	\N	\N	f	
25504	4ca6d1d4-7c49-4a71-afca-75e7089d3f2f	Tingley, Iowa	Tingley, Iowa	3	0	2013-09-07 12:07:38.860755+02	\N	\N	\N	\N	\N	\N	f	
24510	877542f5-d021-449a-b112-f1ee42a70a7e	Powder Springs	Powder Springs	3	0	2013-09-07 07:03:58.808436+02	\N	\N	\N	\N	\N	\N	f	
26463	e019418f-06e8-4619-b6c1-47787403f93e	Attapulgus, Georgia	Attapulgus, Georgia	3	0	2013-09-08 00:41:22.108595+02	\N	\N	\N	\N	\N	\N	f	
25508	90888d0d-10dc-4acd-8ac6-bc2e0593c129	Vining, Iowa	Vining, Iowa	3	0	2013-09-07 12:08:42.208949+02	\N	\N	\N	\N	\N	\N	f	
25577	75b65128-9395-4968-af63-62ce734a16a7	Hoyt, Kansas	Hoyt, Kansas	3	0	2013-09-07 13:02:55.639551+02	\N	\N	\N	\N	\N	\N	f	
28521	62ed4f06-e83c-418b-af0d-89e97d0de47d	Holliday, Texas	Holliday, Texas	3	0	2013-09-08 20:36:50.985148+02	\N	\N	\N	\N	\N	\N	f	
25599	76d9ed8a-f27f-4294-8c11-ebfa061c01b9	Goessel, Kansas	Goessel, Kansas	3	0	2013-09-07 13:08:37.686526+02	\N	\N	\N	\N	\N	\N	f	
26689	d8e273ff-6c28-441c-8ff3-337633dbe534	Scotland	Scotland	3	0	2013-09-08 02:28:44.862785+02	\N	\N	\N	\N	\N	\N	f	
26060	d86484de-25db-4d3f-96e7-27616cfc986d	Meadowbrook Farm, Kentucky	Meadowbrook Farm, Kentucky	3	0	2013-09-07 17:59:42.901384+02	\N	\N	\N	\N	\N	\N	f	
27846	aefea841-e4b5-4698-ac41-a983fc14a39c	Fairview	Fairview	3	0	2013-09-08 10:13:07.64564+02	\N	\N	\N	\N	\N	\N	f	
26709	9f466f19-3f47-4a0b-acc0-622b0f400d08	Richfield, Idaho	Richfield, Idaho	3	0	2013-09-08 02:34:11.752537+02	\N	\N	\N	\N	\N	\N	f	
27162	60c70cb2-580f-4387-bdce-cc5fbb3bcf71	Atlanta	Atlanta	3	0	2013-09-08 05:45:21.579364+02	\N	\N	\N	\N	\N	\N	f	
27492	072be4c5-636d-41e6-b783-67ab9db649aa	Upper Sandusky	Upper Sandusky	3	0	2013-09-08 08:21:27.866886+02	\N	\N	\N	\N	\N	\N	f	
28133	17dfef99-0a91-40d8-9015-a993d3e0fabc	Zernograd	Zernograd	3	0	2013-09-08 14:28:02.439207+02	\N	\N	\N	\N	\N	\N	f	
28159	4f1de175-d9ba-4575-9be6-c2a9b67d387b	Malmyzh	Malmyzh	3	0	2013-09-08 14:36:16.896749+02	\N	\N	\N	\N	\N	\N	f	
28524	017b1eba-a913-4e41-8a40-d4055bd7780f	Hyde Park	Hyde Park	3	0	2013-09-08 20:37:34.273248+02	\N	\N	\N	\N	\N	\N	f	
28342	8d317a1e-f9f3-4ec7-8127-2f8e8c41a90f	Cowan, Tennessee	Cowan, Tennessee	3	0	2013-09-08 16:55:21.501546+02	\N	\N	\N	\N	\N	\N	f	
29012	498470a7-e1d3-4803-8c91-0fd2a78a6f39	Log Cabin	Log Cabin	3	0	2013-09-09 01:56:19.553124+02	\N	\N	\N	\N	\N	\N	f	
28773	4bb6dd86-66f7-4dcf-8ba0-def12db4da04	Troy	Troy	3	0	2013-09-08 23:54:53.677289+02	\N	\N	\N	\N	\N	\N	f	
28821	edc86f6e-516e-472c-a8a6-301cdcb0c60a	Carmine	Carmine	3	0	2013-09-09 00:07:55.819167+02	\N	\N	\N	\N	\N	\N	f	
29016	2eee65b1-15a7-4b40-a4cd-29bf71fda87a	Maypearl	Maypearl	3	0	2013-09-09 01:57:29.474995+02	\N	\N	\N	\N	\N	\N	f	
29015	abff6146-f36d-4a14-8b71-6505d7a20527	Wilmer	Wilmer	3	0	2013-09-09 01:57:11.472448+02	\N	\N	\N	\N	\N	\N	f	
29020	6b603757-051d-49f8-8093-cf94da5fd65b	Manvel	Manvel	3	0	2013-09-09 01:58:36.364135+02	\N	\N	\N	\N	\N	\N	f	
29068	55aa77ae-fcdc-48ef-86f9-89c9bd0b7702	Roxton	Roxton	3	0	2013-09-09 02:12:31.31399+02	\N	\N	\N	\N	\N	\N	f	
29139	537277d8-aefa-4d4e-9ed6-809475011437	Hitchcock	Hitchcock	3	0	2013-09-09 02:46:05.418659+02	\N	\N	\N	\N	\N	\N	f	
29241	2be256bf-a22a-4559-a952-bfcc4512205d	Bridgeport, West Virginia	Bridgeport, West Virginia	3	0	2013-09-09 04:17:08.971769+02	\N	\N	\N	\N	\N	\N	f	
29142	61ec3897-46c8-49e6-9a6b-9cfab04d38c5	Parker	Parker	3	0	2013-09-09 02:47:06.227612+02	\N	\N	\N	\N	\N	\N	f	
29349	172d4d18-c6bc-48cf-8253-53cf98e5a2fa	Montreal	Montreal	3	0	2013-09-09 08:23:19.640689+02	\N	\N	\N	\N	\N	\N	f	
29468	352f15db-43ee-440f-b09e-47ac89096788	Mahudha	Mahudha	3	0	2013-09-20 14:22:29.530654+02	\N	\N	\N	\N	\N	\N	f	
29472	04d1a6fb-18d4-4d53-9e56-50278b06d25a	Laakirchen	Laakirchen	3	0	2013-09-21 20:22:36.815974+02	\N	\N	\N	\N	\N	\N	f	
13440	ac278ca2-645d-4591-96bc-87758bd1c48a	Fornovo San Giovanni	Fornovo San Giovanni	4	0	2013-07-21 17:55:51.327048+02	\N	\N	\N	\N	\N	\N	f	
13442	2479ee64-71d8-4161-865b-c6ab5806de2d	Mozzo	Mozzo	4	0	2013-07-21 17:56:29.115611+02	\N	\N	\N	\N	\N	\N	f	
13446	8c971b86-ef20-4897-b49a-c46fcd755d29	Morengo	Morengo	4	0	2013-07-21 17:57:26.746316+02	\N	\N	\N	\N	\N	\N	f	
14203	4592c032-ba61-4c80-848d-7d14011828ee	Campodimele	Campodimele	4	0	2013-07-21 20:45:52.51715+02	\N	\N	\N	\N	\N	\N	f	
14790	1754c42c-b004-4f05-86fb-97deed38b7b0	Alto	Alto	4	0	2013-07-21 22:56:28.207036+02	\N	\N	\N	\N	\N	\N	f	
16071	867e97d2-631e-411f-81d2-1d506378fa99	Molini di Triora	Molini di Triora	4	0	2013-07-22 02:49:11.641673+02	\N	\N	\N	\N	\N	\N	f	
14930	73c2c8bc-9e41-4004-8202-73c230b7691c	Grinzane Cavour	Grinzane Cavour	4	0	2013-07-21 23:27:04.214138+02	\N	\N	\N	\N	\N	\N	f	
24447	8cc02030-2e8f-44a9-a0bc-e7d6b67d7bd4	Keysville, Georgia	Keysville, Georgia	3	0	2013-09-07 06:47:24.498136+02	\N	\N	\N	\N	\N	\N	f	
15416	082c0f2a-b194-4859-b431-92b6b872bd3f	Vergemoli	Vergemoli	4	0	2013-07-22 00:40:40.233473+02	\N	\N	\N	\N	\N	\N	f	
16098	f37f1518-3ae2-43d6-915e-b34223ceb148	Montalto Ligure	Montalto Ligure	4	0	2013-07-22 02:52:39.53885+02	\N	\N	\N	\N	\N	\N	f	
17970	ca48b0b9-67d5-43c1-9f36-2ef72fcf10eb	Laas	Laas	4	0	2013-07-22 07:32:24.13734+02	\N	\N	\N	\N	\N	\N	f	
16133	592be3ac-f5bb-431a-a73e-efa8b7179518	Vallecrosia	Vallecrosia	4	0	2013-07-22 02:56:55.34856+02	\N	\N	\N	\N	\N	\N	f	
16135	0c79a50e-23a6-44aa-90a6-837eece9ff71	Vernazza	Vernazza	4	0	2013-07-22 02:57:11.41652+02	\N	\N	\N	\N	\N	\N	f	
16145	8fc9efb9-f73c-4bdf-9c9b-cca694229e8a	Daone	Daone	4	0	2013-07-22 02:58:17.676458+02	\N	\N	\N	\N	\N	\N	f	
17979	95008cc9-fa49-4f52-a350-b850b8b55515	Persico Dosimo	Persico Dosimo	4	0	2013-07-22 07:33:14.763442+02	\N	\N	\N	\N	\N	\N	f	
16837	ed1894e7-41c8-4a40-90c6-4e53a1319082	Villa Estense	Villa Estense	4	0	2013-07-22 04:49:48.711641+02	\N	\N	\N	\N	\N	\N	f	
16841	97f56c99-17ed-46ae-be49-7c54a11e44d4	Casale di Scodosia	Casale di Scodosia	4	0	2013-07-22 04:50:43.910621+02	\N	\N	\N	\N	\N	\N	f	
20205	1c209a14-fc42-4b76-8d73-54c0cc9f715f	Teor	Teor	4	0	2013-07-22 17:48:14.138534+02	\N	\N	\N	\N	\N	\N	f	
16847	b3cc16c7-4ebd-4b35-9c56-6177bc3dda3e	Taglio di Po	Taglio di Po	4	0	2013-07-22 04:52:11.18426+02	\N	\N	\N	\N	\N	\N	f	
27494	270e94e8-8d21-4495-9bc7-a60abf53ae88	Port Clinton	Port Clinton	3	0	2013-09-08 08:22:15.710141+02	\N	\N	\N	\N	\N	\N	f	
16853	c8cb1770-d4f3-4b0a-9b29-ab153123f416	San Martino di Lupari	San Martino di Lupari	4	0	2013-07-22 04:53:33.881372+02	\N	\N	\N	\N	\N	\N	f	
16885	85af14fb-3c74-420a-8011-db1945d06a9a	Agna	Agna	4	0	2013-07-22 05:01:39.348965+02	\N	\N	\N	\N	\N	\N	f	
16898	c9cbbbb4-8a85-48c4-b2b8-988294200297	Galzignano Terme	Galzignano Terme	4	0	2013-07-22 05:04:37.975265+02	\N	\N	\N	\N	\N	\N	f	
18116	bd8a074f-3d75-4051-af81-1ef6a87f4bd5	Nosate	Nosate	4	0	2013-07-22 07:49:39.016887+02	\N	\N	\N	\N	\N	\N	f	
24949	74e5072f-f83f-4462-b528-49f14d44f21f	Havana, Kansas	Havana, Kansas	3	0	2013-09-07 09:24:34.421201+02	\N	\N	\N	\N	\N	\N	f	
18154	9718ac70-aa73-4241-b601-79aa20ede633	Gudo Visconti	Gudo Visconti	4	0	2013-07-22 07:53:48.245798+02	\N	\N	\N	\N	\N	\N	f	
20206	7aac57da-d0db-4628-a444-020e29565afa	Verzegnis	Verzegnis	4	0	2013-07-22 17:48:26.381751+02	\N	\N	\N	\N	\N	\N	f	
18963	05d36487-0d95-4787-be9f-31ef89ff35f5	Motta Sant'Anastasia	Motta Sant'Anastasia	4	0	2013-07-22 09:35:17.084984+02	\N	\N	\N	\N	\N	\N	f	
19020	86dc842d-856d-4726-b3a6-ed4b5a5e1d52	Torrebelvicino	Torrebelvicino	4	0	2013-07-22 09:42:37.699013+02	\N	\N	\N	\N	\N	\N	f	
20224	7d2abb9f-b72a-40ae-b4b5-6764710dfc46	San Leonardo	San Leonardo	4	0	2013-07-22 20:29:16.912909+02	\N	\N	\N	\N	\N	\N	f	
26408	9348b3e8-7d2a-42fe-bfe1-7eeb56912edd	Richfield, Kansas	Richfield, Kansas	3	0	2013-09-08 00:01:19.346131+02	\N	\N	\N	\N	\N	\N	f	
21022	a17d726b-c5ea-4f4d-9bc6-991fd57b1e5b	Massa Lubrense	Massa Lubrense	4	0	2013-07-23 17:54:10.934007+02	\N	\N	\N	\N	\N	\N	f	
24973	11fbad03-341e-4475-89d3-7be7cff41bc9	Kanopolis, Kansas	Kanopolis, Kansas	3	0	2013-09-07 09:30:08.549822+02	\N	\N	\N	\N	\N	\N	f	
21102	966036df-e1c2-4201-b063-58769f380179	Bolognola	Bolognola	4	0	2013-07-23 20:52:47.883542+02	\N	\N	\N	\N	\N	\N	f	
21222	4442ebcf-a274-4878-bbf7-0ee9ebf9851f	Santa Marina	Santa Marina	4	0	2013-07-23 23:55:11.323094+02	\N	\N	\N	\N	\N	\N	f	
21422	6be826fd-923d-46e8-b119-7fb563bd495a	Canischio	Canischio	4	0	2013-07-24 05:58:10.815915+02	\N	\N	\N	\N	\N	\N	f	
25064	58326867-6fb3-440c-918b-ff176b9d57d6	Mediapolis	Mediapolis	3	0	2013-09-07 09:53:53.688244+02	\N	\N	\N	\N	\N	\N	f	
21671	448e15ef-36ab-44ca-ae36-810a6964ed82	Pertusio	Pertusio	4	0	2013-07-24 14:48:13.280605+02	\N	\N	\N	\N	\N	\N	f	
27163	ac447fe4-1541-414d-b3df-297e8e7031be	Linn	Linn	3	0	2013-09-08 05:45:37.64001+02	\N	\N	\N	\N	\N	\N	f	
25509	3218038d-e9df-406f-931f-64fc51d32aed	Gas, Kansas	Gas, Kansas	3	0	2013-09-07 12:08:59.61003+02	\N	\N	\N	\N	\N	\N	f	
21952	4f268e40-63db-4201-b143-59511e4d14a0	Yaak	Yaak	3	0	2013-08-06 11:36:12.990234+02	\N	\N	\N	\N	\N	\N	f	
22029	30d8acaf-0d5f-4222-b7d1-577464bd9f47	Fenton	Fenton	3	0	2013-08-07 14:28:57.871432+02	\N	\N	\N	\N	\N	\N	f	
26453	f3e1ff59-5224-4285-b3b4-4b52a055c281	Doolittle, Missouri	Doolittle, Missouri	3	0	2013-09-08 00:38:44.866322+02	\N	\N	\N	\N	\N	\N	f	
22046	e9371667-8999-46fa-b391-ecb6c832db41	Hephzibah, Georgia	Hephzibah, Georgia	3	0	2013-08-07 14:33:02.734963+02	\N	\N	\N	\N	\N	\N	f	
25578	9b613531-9a32-4cee-96ca-316917aef8fd	Plantation, Kentucky	Plantation, Kentucky	3	0	2013-09-07 13:03:12.180514+02	\N	\N	\N	\N	\N	\N	f	
24169	be939ddb-bc1b-4180-92a6-3c7be09af2a9	Culdesac	Culdesac	3	0	2013-09-07 03:04:54.015639+02	\N	\N	\N	\N	\N	\N	f	
24192	12738fbd-7ea1-4687-b0bf-c5f92a3afe7e	Riceboro, Georgia	Riceboro, Georgia	3	0	2013-09-07 03:11:17.23702+02	\N	\N	\N	\N	\N	\N	f	
25597	62a71e17-6e31-46fd-b394-12283d74c860	Glenview, Kentucky	Glenview, Kentucky	3	0	2013-09-07 13:08:10.887492+02	\N	\N	\N	\N	\N	\N	f	
26690	3d218b5e-d758-4f76-914e-a89aaa297b8c	Oyens, Iowa	Oyens, Iowa	3	0	2013-09-08 02:28:59.864805+02	\N	\N	\N	\N	\N	\N	f	
25605	54065a0a-f980-47f4-98eb-936214f735e5	Westside	Westside	3	0	2013-09-07 13:10:25.869456+02	\N	\N	\N	\N	\N	\N	f	
25623	a4fea295-4a03-468b-93fd-7cd638997d80	Kingman	Kingman	3	0	2013-09-07 13:14:56.818956+02	\N	\N	\N	\N	\N	\N	f	
26062	06efef0d-8f69-4821-a111-db10862b2266	Delia	Delia	3	0	2013-09-07 18:00:16.351877+02	\N	\N	\N	\N	\N	\N	f	
26731	5b289310-9486-4660-822c-eb4111f321f9	Lexington, Mississippi	Lexington, Mississippi	3	0	2013-09-08 02:40:02.243978+02	\N	\N	\N	\N	\N	\N	f	
27224	620386c4-593d-44e8-b006-19ef9eee027e	Crawford	Crawford	3	0	2013-09-08 06:02:53.023176+02	\N	\N	\N	\N	\N	\N	f	
26777	b050234f-d7f6-4d9d-8d90-a403d7245b3a	Thayer	Thayer	3	0	2013-09-08 02:51:20.656027+02	\N	\N	\N	\N	\N	\N	f	
26791	7854c1cf-e721-4cee-b86b-0154d2d530fa	Kingsville	Kingsville	3	0	2013-09-08 02:54:48.158224+02	\N	\N	\N	\N	\N	\N	f	
27225	b8cbe29b-976e-4b9f-9fd8-6743f467b213	Valley	Valley	3	0	2013-09-08 06:03:07.214576+02	\N	\N	\N	\N	\N	\N	f	
27502	910c7d1e-edbb-4902-b729-414a99b6478e	Cathay, North Dakota	Cathay, North Dakota	3	0	2013-09-08 08:26:32.12978+02	\N	\N	\N	\N	\N	\N	f	
27276	d73bd202-6dfb-46f1-b9bf-1cf301679f2d	Marston	Marston	3	0	2013-09-08 06:16:28.82234+02	\N	\N	\N	\N	\N	\N	f	
27879	36c02e74-4285-4246-a5e8-4ac5951253b9	McFall	McFall	3	0	2013-09-08 10:21:58.881257+02	\N	\N	\N	\N	\N	\N	f	
27514	3248d9c8-257b-4504-a78c-93aa8efc486d	Montpelier, North Dakota	Montpelier, North Dakota	3	0	2013-09-08 08:29:49.037959+02	\N	\N	\N	\N	\N	\N	f	
27847	0f3a085f-0ea8-41a1-b2dd-1b67d54c5876	Deshler	Deshler	3	0	2013-09-08 10:13:23.839358+02	\N	\N	\N	\N	\N	\N	f	
28134	2b97588f-6254-42e1-a5d7-5595aaaf1f3b	Ivdel	Ivdel	3	0	2013-09-08 14:28:19.09727+02	\N	\N	\N	\N	\N	\N	f	
28346	45160d1b-7e53-42ba-904e-c5691b9c7ee7	Faulkton, South Dakota	Faulkton, South Dakota	3	0	2013-09-08 16:56:36.685532+02	\N	\N	\N	\N	\N	\N	f	
28400	e1257d9a-17f1-49bf-ba5e-928d858fa1de	Mitchellville	Mitchellville	3	0	2013-09-08 17:11:43.254869+02	\N	\N	\N	\N	\N	\N	f	
28424	80cfeaee-9ece-4665-bf4b-217103215e44	Tusculum	Tusculum	3	0	2013-09-08 17:20:12.653817+02	\N	\N	\N	\N	\N	\N	f	
28525	29afc448-aa6a-49f7-be0a-ea8511d804d9	Beaver	Beaver	3	0	2013-09-08 20:37:48.30353+02	\N	\N	\N	\N	\N	\N	f	
28774	6c4d55f5-7f2c-40f9-82ba-0f8703fda495	Windcrest	Windcrest	3	0	2013-09-08 23:55:15.031638+02	\N	\N	\N	\N	\N	\N	f	
29018	8ab5f689-3e4b-4233-b34b-c8125c83aaf5	Rockdale	Rockdale	3	0	2013-09-09 01:58:03.068196+02	\N	\N	\N	\N	\N	\N	f	
29047	ff55ad6d-301e-48fa-bdce-d603322de6a0	Todd Mission	Todd Mission	3	0	2013-09-09 02:06:23.193201+02	\N	\N	\N	\N	\N	\N	f	
29048	46c2c2d9-d3b7-4150-9f74-e13f58063828	Iredell	Iredell	3	0	2013-09-09 02:06:40.26681+02	\N	\N	\N	\N	\N	\N	f	
13443	8da7f819-bbdb-4783-976b-466a76535f3a	Misano di Gera d'Adda	Misano di Gera d'Adda	4	0	2013-07-21 17:56:41.443448+02	\N	\N	\N	\N	\N	\N	f	
14208	c09fe658-7788-430e-9351-e4cafb49e62a	Iesi	Iesi	4	0	2013-07-21 20:46:59.565752+02	\N	\N	\N	\N	\N	\N	f	
14280	2a78d49b-a5a1-4d0a-8358-5b02bfceb2fa	Castagneto Carducci	Castagneto Carducci	4	0	2013-07-21 21:03:36.249117+02	\N	\N	\N	\N	\N	\N	f	
16072	fa293152-6906-4ce5-abbb-a9ab173f01c4	Cloz	Cloz	4	0	2013-07-22 02:49:27.195573+02	\N	\N	\N	\N	\N	\N	f	
14382	5b79769b-2f99-4131-bf82-f601ec54ef5e	Denice	Denice	4	0	2013-07-21 21:25:34.63704+02	\N	\N	\N	\N	\N	\N	f	
14799	2471d6b2-e337-4fe6-adec-71e30d4db156	Zeddiani	Zeddiani	4	0	2013-07-21 22:58:19.800726+02	\N	\N	\N	\N	\N	\N	f	
14831	c77672f5-f66e-4692-85bf-4da33e9535c5	Borgo Pace	Borgo Pace	4	0	2013-07-21 23:05:40.998753+02	\N	\N	\N	\N	\N	\N	f	
16091	2967f1d0-a5d1-4d26-b067-0475b720582b	San Lorenzo al Mare	San Lorenzo al Mare	4	0	2013-07-22 02:51:36.01114+02	\N	\N	\N	\N	\N	\N	f	
15417	f1ea3523-ae21-4da7-aa13-b7008aca9b05	Fara Novarese	Fara Novarese	4	0	2013-07-22 00:40:52.645157+02	\N	\N	\N	\N	\N	\N	f	
15446	0cbdbced-bb46-4a8f-a296-13c5fc5c2d04	Casperia	Casperia	4	0	2013-07-22 00:47:14.988738+02	\N	\N	\N	\N	\N	\N	f	
17974	f0b47634-92af-41cc-9aa6-293f94eb68df	Mulazzano	Mulazzano	4	0	2013-07-22 07:32:48.793119+02	\N	\N	\N	\N	\N	\N	f	
16112	78f8e6af-1aa7-404f-a4d2-a63314038c9b	Terzorio	Terzorio	4	0	2013-07-22 02:54:42.109349+02	\N	\N	\N	\N	\N	\N	f	
16141	6d1bf3da-89a2-4bae-a945-cae749a0b662	Rocchetta di Vara	Rocchetta di Vara	4	0	2013-07-22 02:57:52.652071+02	\N	\N	\N	\N	\N	\N	f	
24450	65de234b-2a8f-4a09-aa4e-26f49204ff9f	Lumpkin	Lumpkin	3	0	2013-09-07 06:48:05.818261+02	\N	\N	\N	\N	\N	\N	f	
16840	e41a89fa-d7ce-4ada-8590-344432ce4c78	Rosolina	Rosolina	4	0	2013-07-22 04:50:31.434858+02	\N	\N	\N	\N	\N	\N	f	
20207	1e395d66-a180-4e5d-9acb-968322838c20	Varmo	Varmo	4	0	2013-07-22 17:48:38.576897+02	\N	\N	\N	\N	\N	\N	f	
24453	af28a40d-4c03-4db8-99d5-8fa924fba05c	Vidette, Georgia	Vidette, Georgia	3	0	2013-09-07 06:48:57.885969+02	\N	\N	\N	\N	\N	\N	f	
18101	c6ed5205-8cd4-4a92-b7c8-287b0cbeb8bf	Redondesco	Redondesco	4	0	2013-07-22 07:47:43.886368+02	\N	\N	\N	\N	\N	\N	f	
18112	d033bdef-4fd9-4a46-ba54-6d0405e8efca	Ozzero	Ozzero	4	0	2013-07-22 07:49:14.712412+02	\N	\N	\N	\N	\N	\N	f	
20225	5bec4c78-8cef-4bc3-895c-6ffddd83099d	Tricesimo	Tricesimo	4	0	2013-07-22 20:29:36.19554+02	\N	\N	\N	\N	\N	\N	f	
18206	9ea915ae-878b-425e-853f-8d11ab8bad97	Robecco sul Naviglio	Robecco sul Naviglio	4	0	2013-07-22 08:00:14.788569+02	\N	\N	\N	\N	\N	\N	f	
24546	a9e1c7bd-aa7b-4f99-a056-a2af663e7a02	Garfield	Garfield	3	0	2013-09-07 07:34:58.920392+02	\N	\N	\N	\N	\N	\N	f	
20226	779abfe1-3ee3-4ae3-ab55-bbe7764ca116	Treppo Grande	Treppo Grande	4	0	2013-07-22 20:29:49.091877+02	\N	\N	\N	\N	\N	\N	f	
26691	2aebd1ab-3868-4ada-a877-9f961483d523	Lucas, Iowa	Lucas, Iowa	3	0	2013-09-08 02:29:19.918251+02	\N	\N	\N	\N	\N	\N	f	
18966	874c4258-f08d-455c-aac1-3caeb0cf2d25	Rivoli Veronese	Rivoli Veronese	4	0	2013-07-22 09:35:42.343466+02	\N	\N	\N	\N	\N	\N	f	
24950	ef9ee26b-469f-4cd1-95b5-11d145772422	Goff, Kansas	Goff, Kansas	3	0	2013-09-07 09:24:47.424828+02	\N	\N	\N	\N	\N	\N	f	
20233	04208a51-75a0-45bc-b3c2-8d7d609b8f74	Visco, Friuli	Visco, Friuli	4	0	2013-07-22 20:31:27.115845+02	\N	\N	\N	\N	\N	\N	f	
21103	5a29219e-60a0-46b8-a533-ad9f5db8e44c	Carpanzano	Carpanzano	4	0	2013-07-23 20:53:03.227551+02	\N	\N	\N	\N	\N	\N	f	
21673	39f78b66-d053-426e-bd2f-c317cfe6b012	Piobesi Torinese	Piobesi Torinese	4	0	2013-07-24 14:48:46.559911+02	\N	\N	\N	\N	\N	\N	f	
24951	ba3ee792-f8a2-45fa-8af6-dc850afb968c	Auburn, Kansas	Auburn, Kansas	3	0	2013-09-07 09:25:00.657102+02	\N	\N	\N	\N	\N	\N	f	
21677	f2863ce0-b189-42f9-9e38-7b833f0d074b	Galeata	Galeata	4	0	2013-07-24 14:52:08.942302+02	\N	\N	\N	\N	\N	\N	f	
21719	0f8b4dcd-501a-49f1-b26f-c737ea43f62d	Barzana	Barzana	4	0	2013-07-24 15:02:16.700115+02	\N	\N	\N	\N	\N	\N	f	
28572	f5b7b118-c539-497c-8f35-e4a9f21d00d3	Texarkana	Texarkana	3	0	2013-09-08 20:52:15.801425+02	\N	\N	\N	\N	\N	\N	f	
25003	098ebfb3-ca46-4e9d-bf8f-e62abac75740	Morley	Morley	3	0	2013-09-07 09:38:17.115543+02	\N	\N	\N	\N	\N	\N	f	
27165	e3909415-efd1-42eb-b8b0-3b5fceceb5d9	Yutan	Yutan	3	0	2013-09-08 05:46:13.794054+02	\N	\N	\N	\N	\N	\N	f	
25052	756ca646-f977-472c-a6e1-628346da1bf8	Melvin	Melvin	3	0	2013-09-07 09:50:44.37492+02	\N	\N	\N	\N	\N	\N	f	
21953	eca0514c-51da-4166-9755-854f9b809ca9	Alsen, North Dakota	Alsen, North Dakota	3	0	2013-08-06 11:38:00.89691+02	\N	\N	\N	\N	\N	\N	f	
25510	11e04d72-6c1d-4e37-b8a8-ad3a8baf1671	Clyde, Kansas	Clyde, Kansas	3	0	2013-09-07 12:09:13.729866+02	\N	\N	\N	\N	\N	\N	f	
21954	4f2e3df4-ddcd-44e4-baf0-b6574489e8ac	Bottineau, North Dakota	Bottineau, North Dakota	3	0	2013-08-06 11:38:37.826873+02	\N	\N	\N	\N	\N	\N	f	
25580	0d7a04a1-f2ad-4002-9175-be6e86aaaecf	Chetopa, Kansas	Chetopa, Kansas	3	0	2013-09-07 13:03:39.916757+02	\N	\N	\N	\N	\N	\N	f	
22030	c29da9e1-8e48-4095-a749-310eebc8b44c	Sidney	Sidney	3	0	2013-08-07 14:29:13.720507+02	\N	\N	\N	\N	\N	\N	f	
24170	d80afaba-a042-421a-8d01-faf2ab9dccff	Dalton Gardens	Dalton Gardens	3	0	2013-09-07 03:05:07.977014+02	\N	\N	\N	\N	\N	\N	f	
28157	806a0b46-34cb-45e7-9b18-749d3fee6930	Lagan	Lagan	3	0	2013-09-08 14:35:23.723027+02	\N	\N	\N	\N	\N	\N	f	
27496	dc0556a9-a965-4e04-9120-2f74afbdf45e	Trotwood, Ohio	Trotwood, Ohio	3	0	2013-09-08 08:23:02.832244+02	\N	\N	\N	\N	\N	\N	f	
26064	bd72a92e-eea9-4496-bb1b-4476e47a13e3	Republic	Republic	3	0	2013-09-07 18:00:49.952925+02	\N	\N	\N	\N	\N	\N	f	
26113	06dc013a-969b-4ef6-8213-f5eab0e4779f	Bloomfield, Kentucky	Bloomfield, Kentucky	3	0	2013-09-07 18:13:42.805021+02	\N	\N	\N	\N	\N	\N	f	
26409	a8b17ec1-cb55-4a5d-ade7-87afc9b33ad1	Carbon, Iowa	Carbon, Iowa	3	0	2013-09-08 00:01:35.97273+02	\N	\N	\N	\N	\N	\N	f	
26411	ad82eed1-dbf5-4c25-b28e-b92eb960d9b9	Schell City, Missouri	Schell City, Missouri	3	0	2013-09-08 00:02:08.133067+02	\N	\N	\N	\N	\N	\N	f	
27614	5aa883c0-13ed-47ec-8691-9a269d6154fe	Ardmore	Ardmore	3	0	2013-09-08 08:57:40.113052+02	\N	\N	\N	\N	\N	\N	f	
28208	875e077f-eaa7-4008-819f-878cb886f03a	Khimki	Khimki	3	0	2013-09-08 14:50:51.64395+02	\N	\N	\N	\N	\N	\N	f	
27651	0fda59cf-fe0f-4844-bf74-abd8d6dee316	Brecksville, Ohio	Brecksville, Ohio	3	0	2013-09-08 09:10:02.663936+02	\N	\N	\N	\N	\N	\N	f	
27848	930f50a1-65bb-4f0f-8cb5-9d624d0973db	Asbury	Asbury	3	0	2013-09-08 10:13:37.359936+02	\N	\N	\N	\N	\N	\N	f	
27851	639b4a8e-13a6-406a-99bf-4aedd98e5424	Mindenmines	Mindenmines	3	0	2013-09-08 10:14:27.314617+02	\N	\N	\N	\N	\N	\N	f	
29037	e50a7fc0-8ba8-44a9-8323-e995246e3264	Floresville	Floresville	3	0	2013-09-09 02:03:30.888505+02	\N	\N	\N	\N	\N	\N	f	
28135	268edad9-b8c4-43a9-a14b-1aae6f6bac75	Zlynka	Zlynka	3	0	2013-09-08 14:28:38.041913+02	\N	\N	\N	\N	\N	\N	f	
28626	655596bc-528b-49c5-854a-4636aa0ed65c	McGregor	McGregor	3	0	2013-09-08 21:06:33.045251+02	\N	\N	\N	\N	\N	\N	f	
28347	4bd5e1ec-ecda-43fb-8103-60f6657d9217	Onida, South Dakota	Onida, South Dakota	3	0	2013-09-08 16:56:50.468743+02	\N	\N	\N	\N	\N	\N	f	
28527	714ca7ea-bfd9-4ac8-8de0-d6ef8496d3ca	Sandy Point, Texas	Sandy Point, Texas	3	0	2013-09-08 20:38:25.360754+02	\N	\N	\N	\N	\N	\N	f	
28843	b4734400-dd16-4db2-b7f9-34c9dea64e2a	Lincoln Park	Lincoln Park	3	0	2013-09-09 00:13:54.275546+02	\N	\N	\N	\N	\N	\N	f	
28780	e3e59259-264e-4a9c-ad36-a5dcdf673702	Pampa	Pampa	3	0	2013-09-08 23:56:51.127366+02	\N	\N	\N	\N	\N	\N	f	
28817	6416714f-b910-4b1d-9636-7d63b0048696	Keene	Keene	3	0	2013-09-09 00:06:47.131613+02	\N	\N	\N	\N	\N	\N	f	
29021	f3b86d7e-8fc2-424a-a42c-7eebf5acc221	Lorena	Lorena	3	0	2013-09-09 01:58:52.938013+02	\N	\N	\N	\N	\N	\N	f	
29062	51960f50-8b87-4ee3-bc5e-ace68bc5bcac	Onalaska	Onalaska	3	0	2013-09-09 02:10:47.499137+02	\N	\N	\N	\N	\N	\N	f	
29054	66f445ad-6e8c-4228-9585-5c7b7487a114	Hardin	Hardin	3	0	2013-09-09 02:08:28.869009+02	\N	\N	\N	\N	\N	\N	f	
29065	605eb3d4-d4f7-43e9-ba96-a7101d448152	Rosebud	Rosebud	3	0	2013-09-09 02:11:39.419449+02	\N	\N	\N	\N	\N	\N	f	
29066	ae7440f5-e847-458f-afb2-154e3c3b1288	Chireno	Chireno	3	0	2013-09-09 02:11:56.657728+02	\N	\N	\N	\N	\N	\N	f	
13444	3f14e002-10e1-4839-bb76-d9afbe8ed98a	Madone	Madone	4	0	2013-07-21 17:56:56.677484+02	\N	\N	\N	\N	\N	\N	f	
13488	7b321d2b-bf3e-4848-911f-1c93e0bd6475	Oneta, Lombardy	Oneta, Lombardy	4	0	2013-07-21 18:06:27.403818+02	\N	\N	\N	\N	\N	\N	f	
14210	529e2953-732c-48e4-aa28-f83db38d2587	Macerata	Macerata	4	0	2013-07-21 20:47:22.739346+02	\N	\N	\N	\N	\N	\N	f	
14214	21eb4d69-9a18-4e8a-a22d-c22e52e2494b	Frosinone	Frosinone	4	0	2013-07-21 20:48:26.348329+02	\N	\N	\N	\N	\N	\N	f	
16073	e0db3b2e-77dc-4a2d-ad72-f1fcd359ce65	Riva Ligure	Riva Ligure	4	0	2013-07-22 02:49:33.707019+02	\N	\N	\N	\N	\N	\N	f	
14236	875846c0-bbd2-477c-aa8a-b60f25161083	Matera	Matera	4	0	2013-07-21 20:52:52.021026+02	\N	\N	\N	\N	\N	\N	f	
14323	9eb85d57-7eec-4cfe-b9d5-e8fdf26b8822	Massimino	Massimino	4	0	2013-07-21 21:12:31.283563+02	\N	\N	\N	\N	\N	\N	f	
24952	62a62dc9-f945-4d1e-8ebd-1cd9ca58128f	Worthington, Iowa	Worthington, Iowa	3	0	2013-09-07 09:25:13.901794+02	\N	\N	\N	\N	\N	\N	f	
14351	c839b85c-55ba-489f-aec4-ba36ccc6ca67	Capriata d'Orba	Capriata d'Orba	4	0	2013-07-21 21:19:05.658323+02	\N	\N	\N	\N	\N	\N	f	
16078	9371c7fb-855a-4ba9-9f6e-4c7bcf57237e	Diano Arentino	Diano Arentino	4	0	2013-07-22 02:50:07.612899+02	\N	\N	\N	\N	\N	\N	f	
14818	6e11785f-3b28-4c15-b7f5-9d63006d93ef	Cagliari	Cagliari	4	0	2013-07-21 23:02:26.034952+02	\N	\N	\N	\N	\N	\N	f	
17975	2e65ae20-4204-44dd-b800-8e39d9f8d5d5	Margreid an der Weinstraße	Margreid an der Weinstraße	4	0	2013-07-22 07:32:50.429766+02	\N	\N	\N	\N	\N	\N	f	
16088	7f023c02-aabd-4521-a623-60a27757a79d	Pornassio	Pornassio	4	0	2013-07-22 02:51:18.206718+02	\N	\N	\N	\N	\N	\N	f	
15418	ed3ce2dd-62d9-4af7-b59f-424f25aa346d	Divignano	Divignano	4	0	2013-07-22 00:41:06.811847+02	\N	\N	\N	\N	\N	\N	f	
15426	12aca32d-f0c2-4758-8860-6b96eedbb70c	Colazza	Colazza	4	0	2013-07-22 00:42:41.082622+02	\N	\N	\N	\N	\N	\N	f	
15448	0a49731d-30a8-43fa-9368-81c5529a40b1	Collalto Sabino	Collalto Sabino	4	0	2013-07-22 00:47:46.070273+02	\N	\N	\N	\N	\N	\N	f	
16150	bc3236d3-0ad0-47e5-8b59-c8ddf1772044	Vasia	Vasia	4	0	2013-07-22 02:58:48.695115+02	\N	\N	\N	\N	\N	\N	f	
25514	4756b7e0-34c1-4e3f-a268-31981971a902	Virgil, Kansas	Virgil, Kansas	3	0	2013-09-07 12:10:19.188827+02	\N	\N	\N	\N	\N	\N	f	
16842	3ca8a326-ec6f-4a3d-a28f-dcc58617eb47	Urbana	Urbana	4	0	2013-07-22 04:50:57.656053+02	\N	\N	\N	\N	\N	\N	f	
18000	d91c3837-bf05-4a6a-bacd-62e258dd6502	Monticello Brianza	Monticello Brianza	4	0	2013-07-22 07:35:50.290694+02	\N	\N	\N	\N	\N	\N	f	
18028	4c6f1ea6-5c5c-4abc-904f-6f1da68e1f62	Asola	Asola	4	0	2013-07-22 07:38:51.761376+02	\N	\N	\N	\N	\N	\N	f	
18971	6fa94486-67b0-4965-ac46-03508b55b13f	San Pietro in Cariano	San Pietro in Cariano	4	0	2013-07-22 09:36:21.130042+02	\N	\N	\N	\N	\N	\N	f	
25529	bc52640e-5c69-4bd0-9797-fc26e9798e12	DeQuincy, Louisiana	DeQuincy, Louisiana	3	0	2013-09-07 12:48:29.94969+02	\N	\N	\N	\N	\N	\N	f	
18992	29d0a1a5-2ee4-4a23-b32c-e7ea47a95f94	Legnago	Legnago	4	0	2013-07-22 09:39:12.218465+02	\N	\N	\N	\N	\N	\N	f	
14918	ce89c7b2-e4ad-4437-93d1-396e82be3990	Fossano	Fossano	4	0	2013-07-22 15:01:34.775318+02	\N	\N	\N	\N	\N	\N	f	
26434	e6ed32ca-8199-4344-9649-a51435970af8	Independence, Iowa	Independence, Iowa	3	0	2013-09-08 00:33:29.052275+02	\N	\N	\N	\N	\N	\N	f	
25584	492f7d36-ded2-4c8f-ac8c-c6b7d2159d1f	Utica, Kansas	Utica, Kansas	3	0	2013-09-07 13:04:44.847795+02	\N	\N	\N	\N	\N	\N	f	
14921	e4055899-c563-4164-8fab-13c8684dc120	Farigliano	Farigliano	4	0	2013-07-22 15:01:34.997404+02	\N	\N	\N	\N	\N	\N	f	
20212	703495cf-01bc-4ee9-b6d7-975e94ad101f	Resiutta	Resiutta	4	0	2013-07-22 17:50:08.016874+02	\N	\N	\N	\N	\N	\N	f	
20227	24f3ec5c-9b2a-4b65-901c-9199a31afe64	Torviscosa	Torviscosa	4	0	2013-07-22 20:30:01.632575+02	\N	\N	\N	\N	\N	\N	f	
25586	6f64803e-f28f-4d51-a7d2-71ec1d1b9c29	Baldwin	Baldwin	3	0	2013-09-07 13:05:14.27968+02	\N	\N	\N	\N	\N	\N	f	
21104	90b17a23-408e-476c-a5a6-a8f0fa2d1bde	Castelsantangelo sul Nera	Castelsantangelo sul Nera	4	0	2013-07-23 20:53:20.718772+02	\N	\N	\N	\N	\N	\N	f	
21675	6451a82e-715e-4094-b340-ea693b5bac80	Pinasca	Pinasca	4	0	2013-07-24 14:49:13.949815+02	\N	\N	\N	\N	\N	\N	f	
27554	b1ed176f-d6d0-47e9-85c8-053f709bb1e5	Colfax, North Dakota	Colfax, North Dakota	3	0	2013-09-08 08:39:42.797652+02	\N	\N	\N	\N	\N	\N	f	
21699	2c35b99c-ab0b-4556-8574-3dd3d497f3f2	Verghereto	Verghereto	4	0	2013-07-24 14:56:52.249703+02	\N	\N	\N	\N	\N	\N	f	
25591	d87bc904-1277-492e-977f-069b5057ed73	Fowler, Kansas	Fowler, Kansas	3	0	2013-09-07 13:06:33.145364+02	\N	\N	\N	\N	\N	\N	f	
21955	a36f172d-d67b-46d5-87a4-6f9dc4eb82d7	Enterprise, Oregon	Enterprise, Oregon	3	0	2013-08-06 11:39:10.535481+02	\N	\N	\N	\N	\N	\N	f	
22031	3f864596-4dbd-4616-a3d1-f7e708aa6735	Royal	Royal	3	0	2013-08-07 14:29:26.61686+02	\N	\N	\N	\N	\N	\N	f	
26503	f629154b-a72d-4100-8da1-3efa7c69b1fc	Elberon, Iowa	Elberon, Iowa	3	0	2013-09-08 00:52:06.038134+02	\N	\N	\N	\N	\N	\N	f	
24171	cedd7534-372c-4bf7-b2f2-1181ae010300	Brookhaven	Brookhaven	3	0	2013-09-07 03:05:22.281923+02	\N	\N	\N	\N	\N	\N	f	
25594	cea02f57-e6b9-4442-9eed-9a78650e018f	Woodlawn Park, Kentucky	Woodlawn Park, Kentucky	3	0	2013-09-07 13:07:19.212697+02	\N	\N	\N	\N	\N	\N	f	
24458	10dc6c21-a7bb-41bd-bd55-17bf983e2fef	Buchanan, Georgia	Buchanan, Georgia	3	0	2013-09-07 06:50:13.254128+02	\N	\N	\N	\N	\N	\N	f	
24495	a2abcd5d-90d0-4d32-b913-b5d7c39f8312	Norwood, Georgia	Norwood, Georgia	3	0	2013-09-07 06:59:22.921454+02	\N	\N	\N	\N	\N	\N	f	
24506	5b30fc4a-5ad5-4a94-9d3e-758eae27a6bd	Kendallville	Kendallville	3	0	2013-09-07 07:02:57.351583+02	\N	\N	\N	\N	\N	\N	f	
26066	09704393-b411-486b-b0fa-1aa5e5df02fd	Clinton, Kentucky	Clinton, Kentucky	3	0	2013-09-07 18:01:25.742589+02	\N	\N	\N	\N	\N	\N	f	
26692	053bf585-4121-4995-9aa3-91e2c040ee7a	Pinehurst, Georgia	Pinehurst, Georgia	3	0	2013-09-08 02:29:37.51165+02	\N	\N	\N	\N	\N	\N	f	
26072	4abe91a2-e77b-4cea-9658-8b3eb85561f4	North Middletown, Kentucky	North Middletown, Kentucky	3	0	2013-09-07 18:02:55.08004+02	\N	\N	\N	\N	\N	\N	f	
26412	754a33ae-7ec1-4e6a-911a-f49265c7a409	Rolling Meadows	Rolling Meadows	3	0	2013-09-08 00:02:23.201869+02	\N	\N	\N	\N	\N	\N	f	
27598	47c4871f-bb83-460e-a8ef-38e0e0419699	Shelby, Ohio	Shelby, Ohio	3	0	2013-09-08 08:52:55.334304+02	\N	\N	\N	\N	\N	\N	f	
26712	0fb2de27-7181-446c-bb54-773ecf1cfc21	Whiting, Kansas	Whiting, Kansas	3	0	2013-09-08 02:34:59.286848+02	\N	\N	\N	\N	\N	\N	f	
27168	017cdf11-bf83-484b-a5b7-a932f45faf28	Syracuse	Syracuse	3	0	2013-09-08 05:46:59.455376+02	\N	\N	\N	\N	\N	\N	f	
28349	5790dbe8-cfc3-4908-a018-84e58abcf4e3	Lawrenceburg, Tennessee	Lawrenceburg, Tennessee	3	0	2013-09-08 16:57:23.041817+02	\N	\N	\N	\N	\N	\N	f	
27498	485f2e71-bc70-4fa1-84c8-1642b0c8207d	Sheffield Lake, Ohio	Sheffield Lake, Ohio	3	0	2013-09-08 08:24:41.624079+02	\N	\N	\N	\N	\N	\N	f	
27853	3e97e2fa-267d-46b8-aa25-ee5b72f49595	Henrietta	Henrietta	3	0	2013-09-08 10:14:59.975571+02	\N	\N	\N	\N	\N	\N	f	
28136	78a42920-ad40-48aa-845f-20faa435deab	Kambarka	Kambarka	3	0	2013-09-08 14:29:10.00002+02	\N	\N	\N	\N	\N	\N	f	
28574	ed7d5aee-4f80-4771-8f05-7f004bcce746	Longview	Longview	3	0	2013-09-08 20:52:45.381843+02	\N	\N	\N	\N	\N	\N	f	
28348	956fcd5b-27d1-4c9f-a250-8e7b83ccb206	Parkers Crossroads, Tennessee	Parkers Crossroads, Tennessee	3	0	2013-09-08 16:57:05.958617+02	\N	\N	\N	\N	\N	\N	f	
28528	190590b5-af20-499d-905f-c34d75c0e2b5	La Joya, Texas	La Joya, Texas	3	0	2013-09-08 20:38:47.834939+02	\N	\N	\N	\N	\N	\N	f	
28571	321b7095-5419-425f-8fd1-b2fb57ab9b39	Bedford, Texas	Bedford, Texas	3	0	2013-09-08 20:51:54.950642+02	\N	\N	\N	\N	\N	\N	f	
28629	7b1044d0-82fd-4d80-b857-f26929f1d881	Blue Ridge	Blue Ridge	3	0	2013-09-08 21:07:20.864486+02	\N	\N	\N	\N	\N	\N	f	
28785	dad9c4f3-45f2-48f7-9a84-26a23c4e9215	White Oak	White Oak	3	0	2013-09-08 23:58:10.029694+02	\N	\N	\N	\N	\N	\N	f	
29024	add704e5-144d-4eb4-8535-be5faec88123	Lake Bridgeport	Lake Bridgeport	3	0	2013-09-09 01:59:43.100579+02	\N	\N	\N	\N	\N	\N	f	
29038	a07e0f0b-0e4a-4252-8f99-7325418101a6	Cameron	Cameron	3	0	2013-09-09 02:03:47.998927+02	\N	\N	\N	\N	\N	\N	f	
29041	3ef44b25-0af3-46fd-b37f-51700701ec56	Muenster	Muenster	3	0	2013-09-09 02:04:39.246605+02	\N	\N	\N	\N	\N	\N	f	
29064	a553573a-8c1f-422f-8995-2efa5757c25c	Rising Star	Rising Star	3	0	2013-09-09 02:11:22.245594+02	\N	\N	\N	\N	\N	\N	f	
29245	2ee9b0ee-2e8a-4515-8024-d0bfc679a789	War, West Virginia	War, West Virginia	3	0	2013-09-09 04:18:18.40025+02	\N	\N	\N	\N	\N	\N	f	
29350	853d5519-785f-400a-a831-2a92b0730895	Manawa	Manawa	3	0	2013-09-09 08:23:50.818643+02	\N	\N	\N	\N	\N	\N	f	
29475	f6b02590-c5bb-47b7-a07b-d035fe7c5cc0	Stockton	Stockton	3	0	2013-09-22 02:21:36.06072+02	\N	\N	\N	\N	\N	\N	f	
29469	59b15ed6-250f-41c8-b33e-f2ac1c7e3ef9	Kralendijk	Kralendijk	3	0	2013-09-20 14:23:23.838885+02	\N	\N	\N	\N	\N	\N	f	
13445	2fb56d79-0507-4aff-adef-cccf20a5a72e	Moio de' Calvi	Moio de' Calvi	4	0	2013-07-21 17:57:12.5583+02	\N	\N	\N	\N	\N	\N	f	
14212	ad065e96-5b13-4278-8b70-c07a97aeaf7f	San Benedetto del Tronto	San Benedetto del Tronto	4	0	2013-07-21 20:47:46.658436+02	\N	\N	\N	\N	\N	\N	f	
14821	73e3224d-95e1-400f-8245-291abe6f8008	Barchi, Marche	Barchi, Marche	4	0	2013-07-21 23:03:11.426871+02	\N	\N	\N	\N	\N	\N	f	
16075	ed38cce5-197a-4e31-9c5c-692b630318ea	Rocchetta Nervina	Rocchetta Nervina	4	0	2013-07-22 02:49:45.869559+02	\N	\N	\N	\N	\N	\N	f	
15419	3288e572-4067-49a9-8c16-986d8ad0b26d	Cavallirio	Cavallirio	4	0	2013-07-22 00:41:18.80534+02	\N	\N	\N	\N	\N	\N	f	
16084	b8213cb1-7762-427a-a248-8cc42e400076	Diano Marina	Diano Marina	4	0	2013-07-22 02:50:50.456051+02	\N	\N	\N	\N	\N	\N	f	
17976	267bc929-4b79-4629-a6d0-cb7cbd15f541	Oliveto Lario	Oliveto Lario	4	0	2013-07-22 07:33:00.826984+02	\N	\N	\N	\N	\N	\N	f	
16845	48afd938-2111-4320-8210-71c6dab125cb	Megliadino San Vitale	Megliadino San Vitale	4	0	2013-07-22 04:51:43.763053+02	\N	\N	\N	\N	\N	\N	f	
24979	6366e725-7fc9-4477-9f20-3fd7dce723b5	Eskridge, Kansas	Eskridge, Kansas	3	0	2013-09-07 09:31:32.972338+02	\N	\N	\N	\N	\N	\N	f	
18004	7f03bef5-23c0-406e-8bfb-c5f1fad6bafc	Castel d'Ario	Castel d'Ario	4	0	2013-07-22 07:36:19.777527+02	\N	\N	\N	\N	\N	\N	f	
20213	94ad0ba3-42f4-4dd2-a995-573a625d1fd0	Torreano	Torreano	4	0	2013-07-22 17:50:29.907303+02	\N	\N	\N	\N	\N	\N	f	
18030	db2fd0d6-5449-4659-bcba-d5acbcbac4a5	Bertonico	Bertonico	4	0	2013-07-22 07:39:03.631044+02	\N	\N	\N	\N	\N	\N	f	
25588	df7517f1-3cd6-4bae-9752-71542bf4117a	Sergeant Bluff	Sergeant Bluff	3	0	2013-09-07 13:05:44.990193+02	\N	\N	\N	\N	\N	\N	f	
20219	961c866b-8977-4037-9a28-0ee4fc4ad958	Taipana	Taipana	4	0	2013-07-22 17:52:10.632717+02	\N	\N	\N	\N	\N	\N	f	
18177	7cc64564-a060-42b9-86cc-f3d5a229f4bf	Premana	Premana	4	0	2013-07-22 07:56:56.547568+02	\N	\N	\N	\N	\N	\N	f	
18184	cac98d89-fb6a-4c0b-b8c7-9506b6ee4bb4	Primaluna	Primaluna	4	0	2013-07-22 07:57:43.434958+02	\N	\N	\N	\N	\N	\N	f	
18252	e065377f-d053-46e3-a3d2-05a1497defdc	Parabiago	Parabiago	4	0	2013-07-22 08:05:35.853434+02	\N	\N	\N	\N	\N	\N	f	
20228	9abe2294-c57f-4774-9920-eba551b1a303	Savogna	Savogna	4	0	2013-07-22 20:30:17.080238+02	\N	\N	\N	\N	\N	\N	f	
18280	7e191e2a-73c4-476b-9888-bc9d01205239	Barzio	Barzio	4	0	2013-07-22 08:08:51.872174+02	\N	\N	\N	\N	\N	\N	f	
27854	c64a18a9-f4f5-472e-9493-bed38339e129	Valley Park	Valley Park	3	0	2013-09-08 10:15:15.858977+02	\N	\N	\N	\N	\N	\N	f	
26068	8f5a3200-fe14-46c7-ac62-17a2356a7cb4	Windy Hills, Kentucky	Windy Hills, Kentucky	3	0	2013-09-07 18:01:54.470851+02	\N	\N	\N	\N	\N	\N	f	
21106	3b6ec510-3b6d-4c0f-b470-52c0f5f26f8f	Gagliole	Gagliole	4	0	2013-07-23 20:53:59.218721+02	\N	\N	\N	\N	\N	\N	f	
18974	0632d209-341e-49b9-b6cd-887daf2d2c2a	San Pietro Clarenza	San Pietro Clarenza	4	0	2013-07-22 09:36:52.963549+02	\N	\N	\N	\N	\N	\N	f	
21676	be75602e-2b1b-493d-8031-88b291b2ede9	Mercato Saraceno	Mercato Saraceno	4	0	2013-07-24 14:51:56.99509+02	\N	\N	\N	\N	\N	\N	f	
26415	a6a9a0dc-8940-48c3-a362-5799138428e6	Perryville, Kentucky	Perryville, Kentucky	3	0	2013-09-08 00:03:18.525305+02	\N	\N	\N	\N	\N	\N	f	
26693	c4e3f6f5-cab1-4d03-ac47-4cc700a46ba7	Willis, Kansas	Willis, Kansas	3	0	2013-09-08 02:29:52.61788+02	\N	\N	\N	\N	\N	\N	f	
21956	33e50ece-d289-4b6a-8d00-940d514f762b	Dunseith, North Dakota	Dunseith, North Dakota	3	0	2013-08-06 11:39:32.293641+02	\N	\N	\N	\N	\N	\N	f	
28138	cdc7bfc3-0fe1-449b-9ea3-46e4f802dcd1	Kandalaksha	Kandalaksha	3	0	2013-09-08 14:29:40.040617+02	\N	\N	\N	\N	\N	\N	f	
22032	afa5f45f-794c-4f62-af20-56efeb8bf755	Dickens	Dickens	3	0	2013-08-07 14:29:44.697711+02	\N	\N	\N	\N	\N	\N	f	
26703	577ec748-b68c-43c9-a301-660c1d49481e	Rozel, Kansas	Rozel, Kansas	3	0	2013-09-08 02:32:39.937753+02	\N	\N	\N	\N	\N	\N	f	
22033	77ae72e2-71ff-4766-adc0-0b3de4bf003f	Vinton	Vinton	3	0	2013-08-07 14:29:58.103702+02	\N	\N	\N	\N	\N	\N	f	
22076	634ba877-f082-4b95-ae70-091f6250fc21	Evansdale	Evansdale	3	0	2013-08-07 14:40:19.364553+02	\N	\N	\N	\N	\N	\N	f	
24173	059c909e-1209-45c0-83d1-828b7c158715	Warrenton, Georgia	Warrenton, Georgia	3	0	2013-09-07 03:05:52.32363+02	\N	\N	\N	\N	\N	\N	f	
26720	aada83e1-64e6-4142-946d-0d4076727e8a	Grenola, Kansas	Grenola, Kansas	3	0	2013-09-08 02:37:09.651604+02	\N	\N	\N	\N	\N	\N	f	
26090	6de77be0-63c7-4b0b-aa05-7b197be99d1c	Denton	Denton	3	0	2013-09-07 18:07:33.589108+02	\N	\N	\N	\N	\N	\N	f	
24459	b9dd66e8-1872-4226-9b76-5e2e9aa794e5	Metter, Georgia	Metter, Georgia	3	0	2013-09-07 06:50:28.048204+02	\N	\N	\N	\N	\N	\N	f	
24554	69a504b1-8a63-4267-8c81-d72d99cd5bfa	Robinson, Illinois	Robinson, Illinois	3	0	2013-09-07 07:37:23.375174+02	\N	\N	\N	\N	\N	\N	f	
29027	03f5dcf6-9872-497e-a0bc-8b07257930a2	Cottonwood Shores	Cottonwood Shores	3	0	2013-09-09 02:00:37.416391+02	\N	\N	\N	\N	\N	\N	f	
24618	bd41fd01-d179-4fde-98c6-7d78845327c8	Girard	Girard	3	0	2013-09-07 07:53:41.386132+02	\N	\N	\N	\N	\N	\N	f	
26741	a9e0c974-7208-4cb7-9ad9-3cc5d9a160f4	Crystal	Crystal	3	0	2013-09-08 02:42:27.478021+02	\N	\N	\N	\N	\N	\N	f	
24953	7379a79b-135b-49f7-a6d9-7a3d7479f889	Lehigh, Kansas	Lehigh, Kansas	3	0	2013-09-07 09:25:28.880879+02	\N	\N	\N	\N	\N	\N	f	
28153	d18d5a3b-7591-427a-9b01-a90f370953c7	Sosnovy Bor	Sosnovy Bor	3	0	2013-09-08 14:34:10.665526+02	\N	\N	\N	\N	\N	\N	f	
26766	0784872b-327b-4b7c-8914-f2ef981d7e28	Easton	Easton	3	0	2013-09-08 02:48:30.62071+02	\N	\N	\N	\N	\N	\N	f	
26767	78846575-c23e-4ece-ab0f-4e9205d7fd2c	Curryville	Curryville	3	0	2013-09-08 02:48:44.939863+02	\N	\N	\N	\N	\N	\N	f	
28180	50410f82-60ae-4df7-ad80-4c1b99efc649	Pavlovsk	Pavlovsk	3	0	2013-09-08 14:42:28.778326+02	\N	\N	\N	\N	\N	\N	f	
27175	4b33a1f2-c0b5-4392-bff5-03c861bfbf1d	Alma	Alma	3	0	2013-09-08 05:48:51.862201+02	\N	\N	\N	\N	\N	\N	f	
27499	65d40acb-8bc1-4148-ae55-66b0eabc82bb	Union	Union	3	0	2013-09-08 08:25:27.962658+02	\N	\N	\N	\N	\N	\N	f	
29248	47ffcfe5-97da-4694-9aea-11ec90942157	Romney, West Virginia	Romney, West Virginia	3	0	2013-09-09 04:19:20.87069+02	\N	\N	\N	\N	\N	\N	f	
28350	bf1473e1-9f84-4148-b4ce-fc990b71eced	Plainview, Tennessee	Plainview, Tennessee	3	0	2013-09-08 16:57:36.929764+02	\N	\N	\N	\N	\N	\N	f	
29034	f73f8aeb-61af-441d-9954-d6c81adbcc84	DeSoto	DeSoto	3	0	2013-09-09 02:02:39.652346+02	\N	\N	\N	\N	\N	\N	f	
28529	34103ade-eece-4e58-9d30-e32b1b077c45	Lockhart, Texas	Lockhart, Texas	3	0	2013-09-08 20:39:10.075526+02	\N	\N	\N	\N	\N	\N	f	
28600	6eb6b772-278c-4105-9bcc-6cef2c60480b	Frost	Frost	3	0	2013-09-08 20:59:53.851919+02	\N	\N	\N	\N	\N	\N	f	
28790	6637ce47-e1eb-4de0-be0b-0d22e75c1fed	Three Rivers	Three Rivers	3	0	2013-09-08 23:59:30.326626+02	\N	\N	\N	\N	\N	\N	f	
29087	3a4049b2-86fb-42a2-acc6-6988ba97768d	Mattawa	Mattawa	3	0	2013-09-09 02:21:51.786247+02	\N	\N	\N	\N	\N	\N	f	
28810	7d505461-68e8-467e-94f3-6cedc79abc42	Naples	Naples	3	0	2013-09-09 00:04:54.181737+02	\N	\N	\N	\N	\N	\N	f	
29039	edbafbeb-55a6-4e80-9df0-fdd7bd066add	Roscoe	Roscoe	3	0	2013-09-09 02:04:05.066055+02	\N	\N	\N	\N	\N	\N	f	
29052	caf41ad6-7444-4e63-a6e1-9b9ab737921f	Sanger	Sanger	3	0	2013-09-09 02:07:54.540824+02	\N	\N	\N	\N	\N	\N	f	
29075	b01dddeb-5054-47e0-9dc0-437fd7fc9152	Oroville	Oroville	3	0	2013-09-09 02:17:33.546758+02	\N	\N	\N	\N	\N	\N	f	
29246	7547de88-e182-4fea-8ce6-d620d76c22f9	Stonewood, West Virginia	Stonewood, West Virginia	3	0	2013-09-09 04:18:37.794351+02	\N	\N	\N	\N	\N	\N	f	
29351	89342c8d-7bd4-413e-920d-9513fe08a444	Mauston	Mauston	3	0	2013-09-09 08:24:10.349981+02	\N	\N	\N	\N	\N	\N	f	
29470	bcf9c7dd-2347-4c20-b194-7da030e43d5e	The Bottom	The Bottom	3	0	2013-09-20 14:24:33.231695+02	\N	\N	\N	\N	\N	\N	f	
29476	00ea7e63-8b00-4a99-89bb-569d9be2b4ab	Stockton	Stockton	3	0	2013-09-22 02:24:17.381814+02	\N	\N	\N	\N	\N	\N	f	
29552	047929b6-ad85-47a8-aea3-134f0cb3b830	Sunchales, Santa Fe	Sunchales, Santa Fe	3	0	2013-09-29 14:23:09.642659+02	\N	\N	\N	\N	\N	\N	f	
29649	affd22f5-c342-4a10-a2e9-d1a9f357175c	Fingig	Fingig	3	0	2013-10-11 20:27:27.953588+02	\N	\N	\N	\N	\N	\N	f	
13447	94ee96de-f781-433e-a9a7-b4aaa9cb2678	Oltressenda Alta	Oltressenda Alta	4	0	2013-07-21 17:57:41.602024+02	\N	\N	\N	\N	\N	\N	f	
13448	cf7a2578-a560-427d-868d-2949b1a540e2	Olmo al Brembo	Olmo al Brembo	4	0	2013-07-21 17:57:58.735226+02	\N	\N	\N	\N	\N	\N	f	
13503	1f0c5070-b535-4d88-804a-8359c5ced141	Rovetta	Rovetta	4	0	2013-07-21 18:09:44.653434+02	\N	\N	\N	\N	\N	\N	f	
14213	c0e84491-404e-4d01-a734-fb3eb04597a6	Piacenza	Piacenza	4	0	2013-07-21 20:48:11.05748+02	\N	\N	\N	\N	\N	\N	f	
14327	49bf4e3f-4bb6-4e74-afb5-937795954c31	Sospiro	Sospiro	4	0	2013-07-21 21:13:18.038078+02	\N	\N	\N	\N	\N	\N	f	
16076	088fd038-27e5-4613-8d3d-b7dd5e61d648	Dolcedo	Dolcedo	4	0	2013-07-22 02:49:54.449843+02	\N	\N	\N	\N	\N	\N	f	
14822	646c4ef1-40d3-43c1-b213-25c7b70d489a	Carpegna	Carpegna	4	0	2013-07-21 23:03:25.992603+02	\N	\N	\N	\N	\N	\N	f	
15423	9b4d848a-9def-47e7-84d2-bc57f5007b45	Vagli Sotto	Vagli Sotto	4	0	2013-07-22 00:42:05.982022+02	\N	\N	\N	\N	\N	\N	f	
24489	bdece92d-57c0-49ca-8e4e-0d584f4c9a2f	Hartford City, Indiana	Hartford City, Indiana	3	0	2013-09-07 06:57:53.510478+02	\N	\N	\N	\N	\N	\N	f	
16106	bcecfdb2-9d81-40b2-b73c-4f611f4ea1cd	Carro	Carro	4	0	2013-07-22 02:53:58.663992+02	\N	\N	\N	\N	\N	\N	f	
17981	76804e33-064c-44d7-8c93-dd84a597cfe8	Castiglione d'Adda	Castiglione d'Adda	4	0	2013-07-22 07:33:27.899427+02	\N	\N	\N	\N	\N	\N	f	
16140	372f74db-c626-472b-b3ba-5ed2f646fd97	Taggia	Taggia	4	0	2013-07-22 02:57:46.732284+02	\N	\N	\N	\N	\N	\N	f	
16849	45ef58fd-5b35-4621-a940-ea0247194a62	Boara Pisani	Boara Pisani	4	0	2013-07-22 04:52:36.002016+02	\N	\N	\N	\N	\N	\N	f	
17988	62fdcfec-5edd-4204-a95a-fc67e451c19b	Montevecchia	Montevecchia	4	0	2013-07-22 07:34:34.359797+02	\N	\N	\N	\N	\N	\N	f	
16921	dae25e76-2875-4ee4-b3a8-e83669de288c	Pontelongo	Pontelongo	4	0	2013-07-22 05:11:09.121591+02	\N	\N	\N	\N	\N	\N	f	
16993	3737b33a-25f6-4566-bf86-16c07c19baf5	Brissogne	Brissogne	4	0	2013-07-22 05:29:36.716501+02	\N	\N	\N	\N	\N	\N	f	
24957	e6f365e9-2c22-44a5-b007-21ab6bcf0649	Hillsboro, Kansas	Hillsboro, Kansas	3	0	2013-09-07 09:26:26.547337+02	\N	\N	\N	\N	\N	\N	f	
17032	74409174-e801-41bf-ac46-6625b000454c	La Salle, Aosta Valley	La Salle, Aosta Valley	4	0	2013-07-22 05:34:47.101765+02	\N	\N	\N	\N	\N	\N	f	
18001	5fb9e978-a5cb-439b-a8ef-1304cb385301	Roncoferraro	Roncoferraro	4	0	2013-07-22 07:35:54.746523+02	\N	\N	\N	\N	\N	\N	f	
17048	6190cd3e-ead7-456a-a4d4-1d03144c5e0d	Ollomont	Ollomont	4	0	2013-07-22 05:36:41.680014+02	\N	\N	\N	\N	\N	\N	f	
18036	0907906e-bf2b-48ef-9c15-1c5a4fd5a961	Lodi Vecchio	Lodi Vecchio	4	0	2013-07-22 07:39:49.380956+02	\N	\N	\N	\N	\N	\N	f	
16166	a2f66281-2451-4fcb-afff-e8c49c742d91	Celle Ligure	Celle Ligure	4	0	2013-07-22 15:01:28.35223+02	\N	\N	\N	\N	\N	\N	f	
28139	59df395c-750f-413d-8ccd-5a8dd2590a03	Inza	Inza	3	0	2013-09-08 14:29:57.097122+02	\N	\N	\N	\N	\N	\N	f	
24971	7a80ecdf-20d9-45d2-9e40-0ab83c2e13e4	Hesston, Kansas	Hesston, Kansas	3	0	2013-09-07 09:29:42.023237+02	\N	\N	\N	\N	\N	\N	f	
18149	656facc8-dabd-432d-87b6-8717446fac0d	Pieve San Giacomo	Pieve San Giacomo	4	0	2013-07-22 07:53:12.787629+02	\N	\N	\N	\N	\N	\N	f	
20216	479bd81e-e9dc-4599-8d4f-89c393c0a50d	San Vito al Torre	San Vito al Torre	4	0	2013-07-22 17:51:27.236188+02	\N	\N	\N	\N	\N	\N	f	
18223	1b451d0f-4f4b-467e-9f31-16698a4e8b81	Rovagnate	Rovagnate	4	0	2013-07-22 08:02:05.4327+02	\N	\N	\N	\N	\N	\N	f	
18266	73052db2-6982-41ad-ac06-23b11673db85	Robbiate	Robbiate	4	0	2013-07-22 08:07:10.065377+02	\N	\N	\N	\N	\N	\N	f	
26776	5540fd00-76af-44c9-993c-5aa7d388d26a	Park Hills	Park Hills	3	0	2013-09-08 02:51:05.874981+02	\N	\N	\N	\N	\N	\N	f	
18313	21d23332-8d0a-498d-a8f8-7f2122c304fe	Bosisio Parini	Bosisio Parini	4	0	2013-07-22 08:12:59.66272+02	\N	\N	\N	\N	\N	\N	f	
20229	0cd8eecd-4f78-47d2-b041-b295fe6f4580	Rive d'Arcano	Rive d'Arcano	4	0	2013-07-22 20:30:34.400498+02	\N	\N	\N	\N	\N	\N	f	
18975	781e20d6-2129-4ff5-a940-3614571b8cac	Pescantina	Pescantina	4	0	2013-07-22 09:37:00.992246+02	\N	\N	\N	\N	\N	\N	f	
25593	bb0de4ee-0fc1-4c59-a660-45f20b5d0068	Latimer, Kansas	Latimer, Kansas	3	0	2013-09-07 13:07:03.924992+02	\N	\N	\N	\N	\N	\N	f	
20296	4a736359-407e-4d37-a25e-53f4eaaf06c4	Amantea	Amantea	4	0	2013-07-22 20:45:39.536374+02	\N	\N	\N	\N	\N	\N	f	
21107	3bc6f0d5-bbac-4285-8552-f5bfebf179a9	Corridonia	Corridonia	4	0	2013-07-23 20:54:12.540606+02	\N	\N	\N	\N	\N	\N	f	
21678	ffb47600-f64d-418e-9676-797d70532c4e	Forlimpopoli	Forlimpopoli	4	0	2013-07-24 14:52:23.631977+02	\N	\N	\N	\N	\N	\N	f	
25596	28b5c50b-44db-4f8d-89f2-7d8fca2eb45b	Onaga, Kansas	Onaga, Kansas	3	0	2013-09-07 13:07:56.530364+02	\N	\N	\N	\N	\N	\N	f	
27501	17af8d5c-bdaa-4630-8f68-5793d9bb5372	Centerville, Montgomery County	Centerville, Montgomery County	3	0	2013-09-08 08:26:18.415748+02	\N	\N	\N	\N	\N	\N	f	
21957	9812ceb5-fd4d-4ffb-b5f5-3ffa0b23718b	Heppner, Oregon	Heppner, Oregon	3	0	2013-08-06 11:40:16.788706+02	\N	\N	\N	\N	\N	\N	f	
25608	97da5e71-d027-42c6-8af8-48a1420adec6	Marion	Marion	3	0	2013-09-07 13:11:14.054506+02	\N	\N	\N	\N	\N	\N	f	
22034	c100c944-be7f-4987-b5a6-3da21b144513	New Hartford	New Hartford	3	0	2013-08-07 14:30:13.526367+02	\N	\N	\N	\N	\N	\N	f	
24176	2d91e0cc-e995-4eb0-bd95-3c2dd8bc8a77	Shelley	Shelley	3	0	2013-09-07 03:06:34.557833+02	\N	\N	\N	\N	\N	\N	f	
27177	cbfdff12-b1c9-45fd-a976-769d6c3055f0	Brookfield	Brookfield	3	0	2013-09-08 05:49:24.822199+02	\N	\N	\N	\N	\N	\N	f	
24178	dfc48a03-2c63-485c-9dad-83a0a813fe2f	Fernan Lake Village	Fernan Lake Village	3	0	2013-09-07 03:07:02.581586+02	\N	\N	\N	\N	\N	\N	f	
26071	408a19b9-9373-49e6-8c04-f8f2d9eae101	Hawesville, Kentucky	Hawesville, Kentucky	3	0	2013-09-07 18:02:40.721962+02	\N	\N	\N	\N	\N	\N	f	
24463	5ecb57fd-4ccb-4751-80ce-dfe416c0a305	Tallapoosa, Georgia	Tallapoosa, Georgia	3	0	2013-09-07 06:51:24.086193+02	\N	\N	\N	\N	\N	\N	f	
27193	53c3ad68-ec42-4ab9-83f6-98d89dcef8be	Holden	Holden	3	0	2013-09-08 05:53:41.870951+02	\N	\N	\N	\N	\N	\N	f	
26417	d3388d4e-3df4-4870-b00e-d2bebce9285b	Beverly, New Jersey	Beverly, New Jersey	3	0	2013-09-08 00:22:16.22163+02	\N	\N	\N	\N	\N	\N	f	
26694	904504e8-521f-4839-bf0a-aa4d621cdd26	Clarinda, Iowa	Clarinda, Iowa	3	0	2013-09-08 02:30:11.47444+02	\N	\N	\N	\N	\N	\N	f	
27858	5d7f6fce-1de9-4b2d-aa7e-ff1f60b7c945	Chester	Chester	3	0	2013-09-08 10:16:20.325451+02	\N	\N	\N	\N	\N	\N	f	
27215	6b76ab39-e1c6-4d9b-b093-8d6ed8751fca	Sargent	Sargent	3	0	2013-09-08 06:00:07.33026+02	\N	\N	\N	\N	\N	\N	f	
27229	7219227e-b080-4574-96e9-58112d981aa1	Crystal City	Crystal City	3	0	2013-09-08 06:04:07.797084+02	\N	\N	\N	\N	\N	\N	f	
28828	b10aeb76-a8ee-46f3-ac28-33b65955acb1	Crystal City	Crystal City	3	0	2013-09-09 00:09:48.792111+02	\N	\N	\N	\N	\N	\N	f	
27249	27ce8dfb-5150-4199-a950-d5ecb6353471	Wisner	Wisner	3	0	2013-09-08 06:09:23.545698+02	\N	\N	\N	\N	\N	\N	f	
27882	2880bf31-7b10-42a2-98ac-c845e4f1cbe8	Wilson, Oklahoma	Wilson, Oklahoma	3	0	2013-09-08 11:18:57.253606+02	\N	\N	\N	\N	\N	\N	f	
28169	4c558b92-fe34-4509-846b-549d1a333ad8	Kropotkin	Kropotkin	3	0	2013-09-08 14:39:16.698777+02	\N	\N	\N	\N	\N	\N	f	
27885	19108ff9-4cfa-4ec6-9564-17fb0556c14a	Nyssa, Oregon	Nyssa, Oregon	3	0	2013-09-08 11:20:53.979962+02	\N	\N	\N	\N	\N	\N	f	
28445	4cee5919-dc72-473d-84bf-49101db6febf	St. Joseph, Tennessee	St. Joseph, Tennessee	3	0	2013-09-08 17:28:04.754247+02	\N	\N	\N	\N	\N	\N	f	
28351	02dedfd4-7050-4580-8ad3-ced99788fdd7	Mount Pleasant, Tennessee	Mount Pleasant, Tennessee	3	0	2013-09-08 16:57:51.112483+02	\N	\N	\N	\N	\N	\N	f	
28793	9205a543-29b0-476f-85ed-b196b274c333	Somerset	Somerset	3	0	2013-09-09 00:00:21.430881+02	\N	\N	\N	\N	\N	\N	f	
28531	d60b9ab0-fb32-4540-9020-c259fc43460a	Denison, Texas	Denison, Texas	3	0	2013-09-08 20:39:39.639348+02	\N	\N	\N	\N	\N	\N	f	
29030	ae61c843-8724-4b7e-90d0-4165bc7dc11d	Burleson	Burleson	3	0	2013-09-09 02:01:28.495104+02	\N	\N	\N	\N	\N	\N	f	
29051	efe8a267-ce68-473d-bb88-5b2ee7abf9ba	Quitaque	Quitaque	3	0	2013-09-09 02:07:37.36577+02	\N	\N	\N	\N	\N	\N	f	
29125	778dfc9e-3162-4571-9179-882dc2de970f	Port Orchard, Washington	Port Orchard, Washington	3	0	2013-09-09 02:40:11.387656+02	\N	\N	\N	\N	\N	\N	f	
29251	de300211-e02f-4fbf-b510-2fcc7a46ea0a	Dunbar, West Virginia	Dunbar, West Virginia	3	0	2013-09-09 04:20:26.373946+02	\N	\N	\N	\N	\N	\N	f	
29352	8ce7441f-6345-42e4-9ff7-c09846e8311e	Merrill	Merrill	3	0	2013-09-09 08:24:27.032537+02	\N	\N	\N	\N	\N	\N	f	
29394	bffea74e-09ce-4732-af80-a3312f2c586e	Portage, Wisconsin	Portage, Wisconsin	3	0	2013-09-09 08:37:39.732678+02	\N	\N	\N	\N	\N	\N	f	
29477	32d43538-d636-462d-a524-aaeea72962b8	Nørager	Nørager	3	0	2013-09-22 14:19:27.624656+02	\N	\N	\N	\N	\N	\N	f	
29478	87f7a0cc-e373-45bc-9a87-79c903dc89aa	Arco	Arco	3	0	2013-09-22 17:22:07.548641+02	\N	\N	\N	\N	\N	\N	f	
13452	58462cd5-a306-48aa-b2b6-c9bd20f4ed3f	Montello, Lombardy	Montello, Lombardy	4	0	2013-07-21 17:58:51.335232+02	\N	\N	\N	\N	\N	\N	f	
13486	76279f59-4ab0-45ce-815e-f2b437625e5a	Ranica	Ranica	4	0	2013-07-21 18:06:03.274594+02	\N	\N	\N	\N	\N	\N	f	
13510	af43ffb5-fa57-436b-a9e6-8c22774132f6	San Pellegrino Terme	San Pellegrino Terme	4	0	2013-07-21 18:11:18.819873+02	\N	\N	\N	\N	\N	\N	f	
14215	243a869e-a821-48aa-90cb-5f0e7c9ec620	Rimini	Rimini	4	0	2013-07-21 20:48:38.847308+02	\N	\N	\N	\N	\N	\N	f	
14261	250e57eb-1ff0-46de-af87-ee7790db22d0	Zagarolo	Zagarolo	4	0	2013-07-21 20:58:55.637667+02	\N	\N	\N	\N	\N	\N	f	
16077	730c2ebe-a5bc-4f42-9e7e-5b00d5bb1f9a	Perinaldo	Perinaldo	4	0	2013-07-22 02:49:58.61152+02	\N	\N	\N	\N	\N	\N	f	
14274	d1e24161-cb25-4a04-a258-0c01a3610e93	Rosignano Marittimo	Rosignano Marittimo	4	0	2013-07-21 21:02:20.376478+02	\N	\N	\N	\N	\N	\N	f	
14314	c26f498c-ef9d-44f6-99a6-b3d9474e5638	Civita Castellana	Civita Castellana	4	0	2013-07-21 21:10:29.647594+02	\N	\N	\N	\N	\N	\N	f	
14318	3be3f9bd-6f56-4479-bd2e-b7e4f63a9046	Novi Ligure	Novi Ligure	4	0	2013-07-21 21:11:16.304387+02	\N	\N	\N	\N	\N	\N	f	
16099	0f784547-6b88-4bfc-8db2-430c3bdfcd73	Pontedassio	Pontedassio	4	0	2013-07-22 02:52:49.081838+02	\N	\N	\N	\N	\N	\N	f	
14823	6e4f0741-f0e6-46f3-9910-59b947e670b8	Belforte all'Isauro	Belforte all'Isauro	4	0	2013-07-21 23:03:42.544205+02	\N	\N	\N	\N	\N	\N	f	
14849	9797fbca-48a8-4d8e-a998-4f512c0131ec	Cerignola	Cerignola	4	0	2013-07-21 23:10:06.564629+02	\N	\N	\N	\N	\N	\N	f	
17982	54b989af-f6c2-4212-b9fc-1ca77a00eb2a	Sueglio	Sueglio	4	0	2013-07-22 07:33:41.241372+02	\N	\N	\N	\N	\N	\N	f	
15424	d34c311b-1a78-4a81-9acb-1e6d7f233b84	Casalino	Casalino	4	0	2013-07-22 00:42:17.667107+02	\N	\N	\N	\N	\N	\N	f	
16104	487a33ad-6ff4-4aae-bcc2-d8d589d86300	Vallebona	Vallebona	4	0	2013-07-22 02:53:39.466831+02	\N	\N	\N	\N	\N	\N	f	
16129	8c714f14-446d-46ff-b351-a8fa19aa9b98	Ameglia	Ameglia	4	0	2013-07-22 02:56:30.60849+02	\N	\N	\N	\N	\N	\N	f	
28533	d39b5793-7007-4b10-80a7-194c4dd2c40a	New Waverly, Texas	New Waverly, Texas	3	0	2013-09-08 20:40:08.397127+02	\N	\N	\N	\N	\N	\N	f	
16850	fbab9103-7fe5-45cd-aef8-612d1e4b21b3	Rubano	Rubano	4	0	2013-07-22 04:52:52.337681+02	\N	\N	\N	\N	\N	\N	f	
18984	acd9c1b0-ed3c-495b-b1cb-2656702864cf	Nogarole Rocca	Nogarole Rocca	4	0	2013-07-22 09:38:13.443665+02	\N	\N	\N	\N	\N	\N	f	
16872	68d3d338-819d-4bb1-94b0-97db32280dfe	Grantorto	Grantorto	4	0	2013-07-22 04:58:27.3263+02	\N	\N	\N	\N	\N	\N	f	
20217	782a3b5e-92de-47db-b62c-8eaf30197e1e	Resia, Friuli	Resia, Friuli	4	0	2013-07-22 17:51:44.134744+02	\N	\N	\N	\N	\N	\N	f	
16880	68a88378-13c5-4fc3-b5e5-69744ce43ce5	Saccolongo	Saccolongo	4	0	2013-07-22 05:00:26.015791+02	\N	\N	\N	\N	\N	\N	f	
25601	63fb23d8-a434-4d21-89c2-f6aeb2c4923c	Conway Springs, Kansas	Conway Springs, Kansas	3	0	2013-09-07 13:09:18.142711+02	\N	\N	\N	\N	\N	\N	f	
20230	ea1fcaec-d5be-4308-864a-526361a5b28b	Tarcento	Tarcento	4	0	2013-07-22 20:30:49.551219+02	\N	\N	\N	\N	\N	\N	f	
21109	fac845ca-8f69-4160-8129-504f39acd906	Camerino	Camerino	4	0	2013-07-23 20:54:38.966265+02	\N	\N	\N	\N	\N	\N	f	
27503	71f1e046-344e-44e4-b7b2-90cb51b9051f	North College Hill	North College Hill	3	0	2013-09-08 08:26:47.851058+02	\N	\N	\N	\N	\N	\N	f	
21680	4556e66a-362d-4410-ae9c-817c82420425	Meldola	Meldola	4	0	2013-07-24 14:52:47.677953+02	\N	\N	\N	\N	\N	\N	f	
25618	16368abb-2bbc-4585-bbaa-4983038830cb	Woden	Woden	3	0	2013-09-07 13:13:40.546146+02	\N	\N	\N	\N	\N	\N	f	
21960	de95ae22-4299-4950-8b6f-0495817e83f2	Plentywood	Plentywood	3	0	2013-08-06 11:46:19.090398+02	\N	\N	\N	\N	\N	\N	f	
22035	cc2defae-6898-46c0-8ae9-f6503b2de7c3	Fairfield	Fairfield	3	0	2013-08-07 14:30:26.571012+02	\N	\N	\N	\N	\N	\N	f	
22051	967978b7-5d58-40f0-8974-a51e645d909c	Rinard	Rinard	3	0	2013-08-07 14:34:17.257569+02	\N	\N	\N	\N	\N	\N	f	
26073	0297853e-fcde-4aa6-897b-b1ba7c621f54	Gorham, Kansas	Gorham, Kansas	3	0	2013-09-07 18:03:09.878797+02	\N	\N	\N	\N	\N	\N	f	
24177	678bc9d8-cae2-45f8-8e7a-c3b3fed1a246	Wendell	Wendell	3	0	2013-09-07 03:06:48.714638+02	\N	\N	\N	\N	\N	\N	f	
24464	ec799662-8eee-49e3-854b-cecc3e28e61d	Temple, Georgia	Temple, Georgia	3	0	2013-09-07 06:51:38.166977+02	\N	\N	\N	\N	\N	\N	f	
24552	c99fa61b-a15d-435d-90fc-3cf50a25884e	Moore, Idaho	Moore, Idaho	3	0	2013-09-07 07:36:55.263215+02	\N	\N	\N	\N	\N	\N	f	
26111	523a70ec-2bce-443b-a1f0-b7f8b4bea6f1	Osborne, Kansas	Osborne, Kansas	3	0	2013-09-07 18:13:06.626254+02	\N	\N	\N	\N	\N	\N	f	
24591	45ed910f-937f-4542-b0b8-a455c829b705	Knoxville	Knoxville	3	0	2013-09-07 07:47:36.459626+02	\N	\N	\N	\N	\N	\N	f	
24958	1f05058b-3465-47e2-b8c5-ae992b5466d5	Grainfield, Kansas	Grainfield, Kansas	3	0	2013-09-07 09:26:39.851843+02	\N	\N	\N	\N	\N	\N	f	
27557	a09e9d91-b861-4933-be0c-3f9a23a78486	Oxbow, North Dakota	Oxbow, North Dakota	3	0	2013-09-08 08:40:27.967473+02	\N	\N	\N	\N	\N	\N	f	
24977	e3722acf-8aa0-4753-8d2a-2d5d150bd918	Greeley, Kansas	Greeley, Kansas	3	0	2013-09-07 09:31:06.584127+02	\N	\N	\N	\N	\N	\N	f	
26418	e0cde1bd-a0ea-40c1-ba42-c46442818fac	Bordentown, New Jersey	Bordentown, New Jersey	3	0	2013-09-08 00:22:41.303168+02	\N	\N	\N	\N	\N	\N	f	
24989	07e7105f-0bf0-4a43-ab35-cee9b4ed6a34	Richland	Richland	3	0	2013-09-07 09:34:12.509873+02	\N	\N	\N	\N	\N	\N	f	
25047	515131b9-dc54-4b4f-af97-618051b11096	Morrison	Morrison	3	0	2013-09-07 09:49:26.762862+02	\N	\N	\N	\N	\N	\N	f	
25111	ca73911c-248b-4431-811a-55e227ebc10b	Linden	Linden	3	0	2013-09-07 10:07:22.928743+02	\N	\N	\N	\N	\N	\N	f	
26695	dd0fd264-7edf-4be3-aa90-02817d831ca0	Weir, Kansas	Weir, Kansas	3	0	2013-09-08 02:30:29.266449+02	\N	\N	\N	\N	\N	\N	f	
28599	b676bb27-5e58-45ed-b1e4-1dd4f258b858	Benavides	Benavides	3	0	2013-09-08 20:59:38.034115+02	\N	\N	\N	\N	\N	\N	f	
26725	29fdcd81-040a-4744-8f00-2465570f2128	Jasper	Jasper	3	0	2013-09-08 02:38:25.385789+02	\N	\N	\N	\N	\N	\N	f	
27859	f5f365b9-b433-4129-bf2d-6d426b75bcd7	Cainsville	Cainsville	3	0	2013-09-08 10:16:33.833212+02	\N	\N	\N	\N	\N	\N	f	
26755	c88bc873-a6cc-4fc5-b949-af0f12917414	Durango, Iowa	Durango, Iowa	3	0	2013-09-08 02:45:47.375139+02	\N	\N	\N	\N	\N	\N	f	
27179	342a0cde-8da6-4f22-9ee4-ae7314c7a17e	Lathrop	Lathrop	3	0	2013-09-08 05:50:00.437369+02	\N	\N	\N	\N	\N	\N	f	
28548	b1a3efe9-8cc3-4c8e-86f0-90839d9a1ed6	Wink, Texas	Wink, Texas	3	0	2013-09-08 20:44:42.538771+02	\N	\N	\N	\N	\N	\N	f	
27192	812ab703-d86e-441a-bd6f-120c052a979b	Pierce	Pierce	3	0	2013-09-08 05:53:25.343486+02	\N	\N	\N	\N	\N	\N	f	
27883	edce6857-1821-4a92-afce-1843af73d2cf	Walters	Walters	3	0	2013-09-08 11:19:26.2649+02	\N	\N	\N	\N	\N	\N	f	
28140	dc41f210-3a20-4823-9e54-d68fa2864fc1	Kadnikov	Kadnikov	3	0	2013-09-08 14:30:15.904236+02	\N	\N	\N	\N	\N	\N	f	
28352	b522cf40-8ee7-47cb-9df9-48e758d49931	Friendsville, Tennessee	Friendsville, Tennessee	3	0	2013-09-08 16:58:04.748042+02	\N	\N	\N	\N	\N	\N	f	
28867	eb483a46-50aa-4ce6-a737-06351078bce7	Waelder	Waelder	3	0	2013-09-09 00:20:36.501823+02	\N	\N	\N	\N	\N	\N	f	
28565	8d34f876-8777-4471-9845-30f4d725a514	Gonzales	Gonzales	3	0	2013-09-08 20:49:19.744235+02	\N	\N	\N	\N	\N	\N	f	
28603	e7b5a7cf-28bf-4295-8b47-927f692475a6	Utopia	Utopia	3	0	2013-09-08 21:00:39.649137+02	\N	\N	\N	\N	\N	\N	f	
28586	a19040a1-4f96-4011-b007-35b23b175921	Granite Shoals, Texas	Granite Shoals, Texas	3	0	2013-09-08 20:56:06.948604+02	\N	\N	\N	\N	\N	\N	f	
29033	9dfc3160-1de6-4684-bf82-171ae29dd422	Colmesneil	Colmesneil	3	0	2013-09-09 02:02:22.321845+02	\N	\N	\N	\N	\N	\N	f	
28799	b3da0d62-d2a5-4db0-a1ac-ae88c67a292e	Seven Oaks	Seven Oaks	3	0	2013-09-09 00:01:57.949797+02	\N	\N	\N	\N	\N	\N	f	
29031	5ab78e44-d6cf-4152-82e6-bddc775bf251	Groves	Groves	3	0	2013-09-09 02:01:45.561574+02	\N	\N	\N	\N	\N	\N	f	
28872	4d4780fb-cae7-4909-89fc-5122d1bd3125	Coldspring	Coldspring	3	0	2013-09-09 00:22:13.509107+02	\N	\N	\N	\N	\N	\N	f	
29252	b44e6b65-956a-4eca-a586-af1773edcf10	Walla Walla, Washington	Walla Walla, Washington	3	0	2013-09-09 04:20:48.178251+02	\N	\N	\N	\N	\N	\N	f	
29479	6e62ed51-eb7f-456b-8ed4-fe6f9864c664	Hampton	Hampton	3	0	2013-09-22 20:22:03.606105+02	\N	\N	\N	\N	\N	\N	f	
29353	ee6b39aa-4933-453e-96c8-5300d3bdc8aa	Mellen	Mellen	3	0	2013-09-09 08:24:46.067952+02	\N	\N	\N	\N	\N	\N	f	
29553	9fb9a08d-6a9f-4e6e-98b2-34e3b0bb0239	Rafaela	Rafaela	3	0	2013-09-29 14:23:35.941251+02	\N	\N	\N	\N	\N	\N	f	
29558	ffc85246-df5d-4f28-8899-66a10119bbe9	José Mármol	José Mármol	3	0	2013-09-29 14:30:01.796425+02	\N	\N	\N	\N	\N	\N	f	
29650	65f36f78-c428-4455-95b3-581d123693a2	Linger, Luxembourg	Linger, Luxembourg	3	0	2013-10-11 20:27:42.54876+02	\N	\N	\N	\N	\N	\N	f	
13453	16b65f68-7d89-4d18-93b6-809a91bddc96	Oltre il Colle	Oltre il Colle	4	0	2013-07-21 17:59:04.18379+02	\N	\N	\N	\N	\N	\N	f	
13464	6fcabde9-5a65-4758-90e1-2f6fd3c62a4b	Piario	Piario	4	0	2013-07-21 18:01:29.802231+02	\N	\N	\N	\N	\N	\N	f	
14216	c4348542-56ef-4c0f-9e60-610f6e2bc939	Trani	Trani	4	0	2013-07-21 20:48:54.114841+02	\N	\N	\N	\N	\N	\N	f	
14275	f579bed5-4453-4b48-9bb1-62d5370326b8	Capraia	Capraia	4	0	2013-07-21 21:02:34.370354+02	\N	\N	\N	\N	\N	\N	f	
16079	c9c7f4b3-7373-463f-ae7a-b281d3baa718	Ospedaletti	Ospedaletti	4	0	2013-07-22 02:50:10.505306+02	\N	\N	\N	\N	\N	\N	f	
14408	13af7e8e-3d75-4d4a-9af7-796aaa674469	Castellania	Castellania	4	0	2013-07-21 21:30:52.02139+02	\N	\N	\N	\N	\N	\N	f	
14828	1c6584dc-10c3-4b3a-8bfe-7528791a595e	Caserta	Caserta	4	0	2013-07-21 23:04:58.50016+02	\N	\N	\N	\N	\N	\N	f	
15428	4795dc08-5e06-4fb3-98f1-231bfbfe2239	Dormelletto	Dormelletto	4	0	2013-07-22 00:43:04.542375+02	\N	\N	\N	\N	\N	\N	f	
16115	7a814481-6974-4de5-bf2d-4a8e5bf59d55	Riccò del Golfo di Spezia	Riccò del Golfo di Spezia	4	0	2013-07-22 02:54:57.576709+02	\N	\N	\N	\N	\N	\N	f	
17983	75db2120-ae93-4cac-a949-4eb8b6b48ad3	Verderio Inferiore	Verderio Inferiore	4	0	2013-07-22 07:33:54.380032+02	\N	\N	\N	\N	\N	\N	f	
16160	c6334d60-8b58-4e01-99f0-37ec31f6083e	Dimaro	Dimaro	4	0	2013-07-22 03:00:12.091231+02	\N	\N	\N	\N	\N	\N	f	
16852	808e0ae6-8f45-4a26-9d4b-2741f1e2dd77	Bagnoli di Sopra	Bagnoli di Sopra	4	0	2013-07-22 04:53:20.276897+02	\N	\N	\N	\N	\N	\N	f	
20218	b4841c6f-7631-4b1b-b3fe-1da570ecc333	Terzo d'Aquileia	Terzo d'Aquileia	4	0	2013-07-22 17:51:57.159646+02	\N	\N	\N	\N	\N	\N	f	
18100	a5fb5c88-57c9-4087-aa11-fd9acc62c87e	Olmeneta	Olmeneta	4	0	2013-07-22 07:47:41.371855+02	\N	\N	\N	\N	\N	\N	f	
25026	7fd1bce2-f0e5-4326-a4ed-d9def7b98b67	Prescott	Prescott	3	0	2013-09-07 09:44:03.46341+02	\N	\N	\N	\N	\N	\N	f	
27637	8304d1c5-3592-4b35-8e1a-54d96743fb9e	Lisbon, North Dakota	Lisbon, North Dakota	3	0	2013-09-08 09:04:29.039112+02	\N	\N	\N	\N	\N	\N	f	
20231	40ab653f-c3a6-480a-aa9b-09ebb2cb53ad	Rigolato	Rigolato	4	0	2013-07-22 20:31:01.884392+02	\N	\N	\N	\N	\N	\N	f	
18230	74e08597-ea99-47fa-831d-5d3bff0c1088	Casorezzo	Casorezzo	4	0	2013-07-22 08:03:08.888321+02	\N	\N	\N	\N	\N	\N	f	
18302	eb56e889-d048-4d6d-bb31-77a4bbc2cb30	Vittuone	Vittuone	4	0	2013-07-22 08:11:44.048433+02	\N	\N	\N	\N	\N	\N	f	
25091	c3db0503-228f-45e2-b7e0-dbf32cd36a8f	Lamont	Lamont	3	0	2013-09-07 10:02:08.130891+02	\N	\N	\N	\N	\N	\N	f	
18310	55f7063b-3472-449f-bf6e-2a7a914658ef	San Vittore Olona	San Vittore Olona	4	0	2013-07-22 08:12:37.348488+02	\N	\N	\N	\N	\N	\N	f	
20257	eab79031-a374-4860-b566-b07045865254	Jacurso	Jacurso	4	0	2013-07-22 20:36:55.370826+02	\N	\N	\N	\N	\N	\N	f	
18372	25cf5e81-887d-42d8-b254-e5354f791787	Spineda	Spineda	4	0	2013-07-22 08:20:30.912464+02	\N	\N	\N	\N	\N	\N	f	
18390	a5c0a0a6-cd40-45a2-a7a0-0958e5853208	San Benedetto Po	San Benedetto Po	4	0	2013-07-22 08:22:55.606758+02	\N	\N	\N	\N	\N	\N	f	
18999	ec847d38-661c-4b53-8e4b-14ad77f2c334	Santa Venerina	Santa Venerina	4	0	2013-07-22 09:39:59.722271+02	\N	\N	\N	\N	\N	\N	f	
21110	e63a9df6-fd54-433c-aa11-fe7b3a00533e	Supetar	Supetar	3	0	2013-07-23 20:55:12.880704+02	\N	\N	\N	\N	\N	\N	f	
26519	b3d36df9-a874-46c7-95ce-efb2cafc4485	Beaver, Iowa	Beaver, Iowa	3	0	2013-09-08 00:56:13.055615+02	\N	\N	\N	\N	\N	\N	f	
21681	001bfa86-8755-4026-8df9-ac79ccf69008	Cesenatico	Cesenatico	4	0	2013-07-24 14:52:59.806489+02	\N	\N	\N	\N	\N	\N	f	
25603	9b3cd43b-3a12-42bf-b161-3a3128ab5e8b	Winfield	Winfield	3	0	2013-09-07 13:09:49.445674+02	\N	\N	\N	\N	\N	\N	f	
25604	bbe480d7-21f9-42bd-945d-2e8aad545ba2	Cedar Vale, Kansas	Cedar Vale, Kansas	3	0	2013-09-07 13:10:05.965798+02	\N	\N	\N	\N	\N	\N	f	
22036	21d56d15-398c-4958-9aab-a4f32086330b	Fostoria	Fostoria	3	0	2013-08-07 14:30:40.206762+02	\N	\N	\N	\N	\N	\N	f	
24182	84865b7a-b9ec-4643-8338-f3dc5fd402e4	Zebulon, Georgia	Zebulon, Georgia	3	0	2013-09-07 03:08:24.423432+02	\N	\N	\N	\N	\N	\N	f	
24212	2c021269-9d72-4034-8483-aedd01d9cd50	Blakely, Georgia	Blakely, Georgia	3	0	2013-09-07 03:17:36.266063+02	\N	\N	\N	\N	\N	\N	f	
25644	b5fcddcc-460c-409c-bb24-ee8a56986ad6	Webber, Kansas	Webber, Kansas	3	0	2013-09-07 13:20:32.116528+02	\N	\N	\N	\N	\N	\N	f	
24465	93ceb9f0-306c-40a4-9759-6f87e25d3439	Chatsworth, Georgia	Chatsworth, Georgia	3	0	2013-09-07 06:51:52.312733+02	\N	\N	\N	\N	\N	\N	f	
24479	e7e574a9-e345-4f15-8bb4-2ac3a67f0c19	Delphi, Indiana	Delphi, Indiana	3	0	2013-09-07 06:55:22.029202+02	\N	\N	\N	\N	\N	\N	f	
26696	8d3cbbf8-112b-43fc-95fb-fdec0b4e5ecd	Hampton, Georgia	Hampton, Georgia	3	0	2013-09-08 02:30:45.354918+02	\N	\N	\N	\N	\N	\N	f	
24498	58b53261-63aa-4feb-a639-8bc6120a595c	Rockport	Rockport	3	0	2013-09-07 07:00:27.188305+02	\N	\N	\N	\N	\N	\N	f	
26074	31dab578-d291-469c-a21f-a4f0fcfafe8e	Prospect, Kentucky	Prospect, Kentucky	3	0	2013-09-07 18:03:25.357406+02	\N	\N	\N	\N	\N	\N	f	
24509	b2cd1c40-36c8-4863-a198-ae9a360e91e2	Butler	Butler	3	0	2013-09-07 07:03:45.569227+02	\N	\N	\N	\N	\N	\N	f	
24535	6e5b5e05-3eee-4bd6-ae9f-60d160edfc53	Ayrshire, Iowa	Ayrshire, Iowa	3	0	2013-09-07 07:30:40.930152+02	\N	\N	\N	\N	\N	\N	f	
24959	74bb460d-6da3-4ba1-8416-d56e105f9ba4	Lincoln Center, Kansas	Lincoln Center, Kansas	3	0	2013-09-07 09:26:52.931864+02	\N	\N	\N	\N	\N	\N	f	
28803	bb15e317-584f-45d8-b398-93f9ad1d8a43	Rowlett	Rowlett	3	0	2013-09-09 00:03:01.645902+02	\N	\N	\N	\N	\N	\N	f	
29080	7e39a44d-58c1-4098-a590-fd48d396a890	Moxee	Moxee	3	0	2013-09-09 02:19:17.552478+02	\N	\N	\N	\N	\N	\N	f	
26087	0526d42e-4eb2-4797-9993-cd6073dbe3ea	Louisville	Louisville	3	0	2013-09-07 18:06:48.05832+02	\N	\N	\N	\N	\N	\N	f	
27180	ff0dcdc1-7a8e-47cc-880b-732374fcdb24	Middletown	Middletown	3	0	2013-09-08 05:50:16.628634+02	\N	\N	\N	\N	\N	\N	f	
26419	eba0f404-419e-4aef-bb02-e48dc44f749d	Burlington, New Jersey	Burlington, New Jersey	3	0	2013-09-08 00:23:25.949221+02	\N	\N	\N	\N	\N	\N	f	
26509	6e1b1c87-10eb-4bd8-bdf4-67ec55de491a	Stockton, Iowa	Stockton, Iowa	3	0	2013-09-08 00:53:37.568616+02	\N	\N	\N	\N	\N	\N	f	
27658	321bf648-233a-4dd5-b181-664dd7206f21	Turtle Lake, North Dakota	Turtle Lake, North Dakota	3	0	2013-09-08 09:11:53.159475+02	\N	\N	\N	\N	\N	\N	f	
26510	1b9d689c-fadf-4e33-b7bd-7e52e8cd6da6	Ashland, Kansas	Ashland, Kansas	3	0	2013-09-08 00:53:54.87969+02	\N	\N	\N	\N	\N	\N	f	
27274	4045cba0-b2e8-40f2-b8fb-1ae2180c7e90	Mayview	Mayview	3	0	2013-09-08 06:15:56.020101+02	\N	\N	\N	\N	\N	\N	f	
28141	409df9bb-6f8b-43c5-bf07-742eebaba23f	Karachev	Karachev	3	0	2013-09-08 14:30:43.941116+02	\N	\N	\N	\N	\N	\N	f	
27505	ae3b9d68-f990-4574-88e0-390e960fa206	Ray, North Dakota	Ray, North Dakota	3	0	2013-09-08 08:27:21.495646+02	\N	\N	\N	\N	\N	\N	f	
27860	1b17814c-e6fb-4371-9cdb-b177855dd4c4	Northwoods	Northwoods	3	0	2013-09-08 10:16:49.819355+02	\N	\N	\N	\N	\N	\N	f	
27575	74543075-e971-4f28-bc78-84bd1138081c	Brunswick, Ohio	Brunswick, Ohio	3	0	2013-09-08 08:45:14.369713+02	\N	\N	\N	\N	\N	\N	f	
27884	f6f4e7a6-2b2b-4139-b010-63b3b1690afd	Yukon	Yukon	3	0	2013-09-08 11:19:45.319819+02	\N	\N	\N	\N	\N	\N	f	
28353	d5171337-6909-447e-ba40-0ac933a797a7	Munford, Tennessee	Munford, Tennessee	3	0	2013-09-08 16:58:18.236583+02	\N	\N	\N	\N	\N	\N	f	
27896	f5f7169e-1ee5-4c59-8df9-275dda8fd5dd	Kingston	Kingston	3	0	2013-09-08 11:29:23.857235+02	\N	\N	\N	\N	\N	\N	f	
29138	fb23ffdb-07ab-4d59-b93f-52107ca66e26	Selma, Texas	Selma, Texas	3	0	2013-09-09 02:45:45.411756+02	\N	\N	\N	\N	\N	\N	f	
28535	30d4156b-206f-4123-a0ce-bcf49e7554ac	Winnsboro, Texas	Winnsboro, Texas	3	0	2013-09-08 20:40:45.024915+02	\N	\N	\N	\N	\N	\N	f	
29035	263d029e-41e2-4e09-b98a-7fef50ab674a	San Benito	San Benito	3	0	2013-09-09 02:02:56.647282+02	\N	\N	\N	\N	\N	\N	f	
29254	8edabb7f-1249-4f48-848b-188000e3cfd7	Richwood, West Virginia	Richwood, West Virginia	3	0	2013-09-09 04:21:45.947135+02	\N	\N	\N	\N	\N	\N	f	
29181	a128185d-c4fb-4531-bf93-3044797674e2	Castroville	Castroville	3	0	2013-09-09 02:58:47.258993+02	\N	\N	\N	\N	\N	\N	f	
29354	f9798b87-222a-42f9-825f-1db6a95d1c5d	New Lisbon	New Lisbon	3	0	2013-09-09 08:25:02.576388+02	\N	\N	\N	\N	\N	\N	f	
29480	272f06f0-9186-4f2c-9c7e-27f838e61989	Bad Salzuflen	Bad Salzuflen	3	0	2013-09-22 20:23:59.162146+02	\N	\N	\N	\N	\N	\N	f	
29554	4bc6517a-f4bf-4cb5-95cb-ddaebd482654	Pehuajó	Pehuajó	3	0	2013-09-29 14:24:32.99845+02	\N	\N	\N	\N	\N	\N	f	
29651	e3f6a46c-4344-41f0-b6b8-e5b6a9f9bb4a	Holzem	Holzem	3	0	2013-10-11 20:28:23.50261+02	\N	\N	\N	\N	\N	\N	f	
13454	8b2e8569-2b65-46c7-b89d-dd80e853f4cb	Medolago	Medolago	4	0	2013-07-21 17:59:15.99111+02	\N	\N	\N	\N	\N	\N	f	
13489	f1aeea86-6561-4833-b406-aaf7cc8a8a4a	Pedrengo	Pedrengo	4	0	2013-07-21 18:06:40.753037+02	\N	\N	\N	\N	\N	\N	f	
14217	dda200c6-ca9c-4be0-94c1-dd57b3e3823d	Merano	Merano	4	0	2013-07-21 20:49:06.227652+02	\N	\N	\N	\N	\N	\N	f	
14307	8f28c32d-f02c-4447-acd2-0a3d7ce4319c	Porto Azzurro	Porto Azzurro	4	0	2013-07-21 21:08:54.255803+02	\N	\N	\N	\N	\N	\N	f	
16080	91ba979a-0520-407b-adcb-5acec43d93f5	Montegrosso Pian Latte	Montegrosso Pian Latte	4	0	2013-07-22 02:50:20.07126+02	\N	\N	\N	\N	\N	\N	f	
14449	828d3be5-cd28-4744-91ec-37f4c22918e7	Mombello Monferrato	Mombello Monferrato	4	0	2013-07-21 21:40:10.536956+02	\N	\N	\N	\N	\N	\N	f	
14829	ede808e3-d313-4abc-a7e4-407cef099e78	Cantiano	Cantiano	4	0	2013-07-21 23:05:15.425186+02	\N	\N	\N	\N	\N	\N	f	
15429	e08991c0-65a0-4247-98ae-7fc4e4066359	Cureggio	Cureggio	4	0	2013-07-22 00:43:16.661562+02	\N	\N	\N	\N	\N	\N	f	
16130	23450bbf-a589-4cd9-8d6e-cdb7536f60fa	Pescara	Pescara	4	0	2013-07-22 02:56:42.078907+02	\N	\N	\N	\N	\N	\N	f	
17984	22aec633-c2ab-49eb-904c-c3027d913e9f	Sesto ed Uniti	Sesto ed Uniti	4	0	2013-07-22 07:34:07.529233+02	\N	\N	\N	\N	\N	\N	f	
16159	8ec5f7a0-993e-4b3b-acb2-61fda2014520	Loano	Loano	4	0	2013-07-22 03:00:09.667839+02	\N	\N	\N	\N	\N	\N	f	
16854	f42e19cd-fca0-47ef-a8f8-3a04ab1652d8	Villanova di Camposampiero	Villanova di Camposampiero	4	0	2013-07-22 04:53:46.836588+02	\N	\N	\N	\N	\N	\N	f	
18010	0ae0e813-b790-485d-a341-afb6a434b865	Monte Cremasco	Monte Cremasco	4	0	2013-07-22 07:36:59.087862+02	\N	\N	\N	\N	\N	\N	f	
20220	1325736a-61ae-444d-a8da-e75ed380acfc	Trasaghis	Trasaghis	4	0	2013-07-22 17:52:25.550162+02	\N	\N	\N	\N	\N	\N	f	
27886	2a6f6ae6-0186-4ec8-bad2-0c6bbd306e1a	Medford	Medford	3	0	2013-09-08 11:25:58.081539+02	\N	\N	\N	\N	\N	\N	f	
19004	40d10d33-a7c5-485f-a6e3-4d1f7f00832b	San Martino Buon Albergo	San Martino Buon Albergo	4	0	2013-07-22 09:40:31.275728+02	\N	\N	\N	\N	\N	\N	f	
26420	e0686820-a44d-496d-b46f-4165c3cfd11a	Akureyri	Akureyri	3	0	2013-09-08 00:27:08.625092+02	\N	\N	\N	\N	\N	\N	f	
19006	740c6414-12ff-4fd4-be11-d73831f1c964	Grezzana	Grezzana	4	0	2013-07-22 09:40:46.856114+02	\N	\N	\N	\N	\N	\N	f	
20221	898fc1d4-c99e-4ca8-b686-1e77effa554b	Treppo Carnico	Treppo Carnico	4	0	2013-07-22 17:52:38.584483+02	\N	\N	\N	\N	\N	\N	f	
20232	c0aa3011-928e-4813-86a8-42402e380d50	Sauris	Sauris	4	0	2013-07-22 20:31:14.658706+02	\N	\N	\N	\N	\N	\N	f	
21111	95f61987-b27a-46a3-a1e7-2d9cd454977a	Alfano	Alfano	4	0	2013-07-23 20:56:48.363375+02	\N	\N	\N	\N	\N	\N	f	
26443	c5c72565-1b2b-4c8f-a914-2594de175e2c	Jewell, Kansas	Jewell, Kansas	3	0	2013-09-08 00:35:53.915541+02	\N	\N	\N	\N	\N	\N	f	
21684	cfd37c03-9e4a-4a04-bb7c-11d77c30b313	Bertinoro	Bertinoro	4	0	2013-07-24 14:53:35.793392+02	\N	\N	\N	\N	\N	\N	f	
21711	59b93e8b-7749-416c-a52e-81d32420935e	Bonate Sotto	Bonate Sotto	4	0	2013-07-24 15:00:19.861218+02	\N	\N	\N	\N	\N	\N	f	
26502	aa48aa55-6d64-4f05-a6c6-011d873b0e6d	Guttenberg, Iowa	Guttenberg, Iowa	3	0	2013-09-08 00:51:48.840563+02	\N	\N	\N	\N	\N	\N	f	
22037	6a53f7b6-a3e3-4fbb-af91-1000baeeb1d1	Cresco	Cresco	3	0	2013-08-07 14:30:53.620912+02	\N	\N	\N	\N	\N	\N	f	
24184	7e85588e-ec4e-4f83-bdf1-c0a557c47f3f	Granite City	Granite City	3	0	2013-09-07 03:09:04.3326+02	\N	\N	\N	\N	\N	\N	f	
27897	e6f65656-1064-4e03-ab30-3855db82a945	Cut Bank	Cut Bank	3	0	2013-09-08 11:29:48.86088+02	\N	\N	\N	\N	\N	\N	f	
24190	82f6ade1-189d-401e-85fc-c594d916ef71	Carrollton, Georgia	Carrollton, Georgia	3	0	2013-09-07 03:10:50.124396+02	\N	\N	\N	\N	\N	\N	f	
26508	77f903a9-d62f-45a8-b117-66e0c50a69e8	Mayfield, Kansas	Mayfield, Kansas	3	0	2013-09-08 00:53:21.626744+02	\N	\N	\N	\N	\N	\N	f	
24466	decce155-a964-4c8e-ab04-e12525deb1ad	Boonville, Indiana	Boonville, Indiana	3	0	2013-09-07 06:52:06.391317+02	\N	\N	\N	\N	\N	\N	f	
24500	7a7683d3-ce58-4687-9538-05391f67889e	Pitts	Pitts	3	0	2013-09-07 07:01:11.073494+02	\N	\N	\N	\N	\N	\N	f	
24517	b5b4dc07-5bbb-445e-a40e-bc20b455df96	Fairmount	Fairmount	3	0	2013-09-07 07:05:53.572251+02	\N	\N	\N	\N	\N	\N	f	
26700	2c574f8d-f349-4b82-b487-bb0c6c42f690	Philadelphia, Mississippi	Philadelphia, Mississippi	3	0	2013-09-08 02:31:54.612125+02	\N	\N	\N	\N	\N	\N	f	
24964	4a7dd275-8fc0-42b1-a814-8744031f71ad	Haviland, Kansas	Haviland, Kansas	3	0	2013-09-07 09:28:05.086085+02	\N	\N	\N	\N	\N	\N	f	
25609	3dac49c3-35c0-4f45-bd80-5abccc73b643	Howard	Howard	3	0	2013-09-07 13:11:29.066735+02	\N	\N	\N	\N	\N	\N	f	
25620	9b8dc401-4215-46aa-96aa-54fe797f4cc1	Pawnee Rock	Pawnee Rock	3	0	2013-09-07 13:14:14.103343+02	\N	\N	\N	\N	\N	\N	f	
26738	a6451b55-476c-4935-9212-16c544b56d64	Albion	Albion	3	0	2013-09-08 02:41:46.643383+02	\N	\N	\N	\N	\N	\N	f	
25638	f7a5a0d1-83bb-400c-b4d4-a3d69ae6e6c7	Willey	Willey	3	0	2013-09-07 13:18:55.252827+02	\N	\N	\N	\N	\N	\N	f	
27906	b73155f4-fd88-474c-81b4-be9ad647c09d	Marble Hill	Marble Hill	3	0	2013-09-08 11:32:40.05063+02	\N	\N	\N	\N	\N	\N	f	
26075	3eb167be-2b32-46e4-bbe0-ef77cc93cbe2	Greenup, Kentucky	Greenup, Kentucky	3	0	2013-09-07 18:03:41.170835+02	\N	\N	\N	\N	\N	\N	f	
27181	48a7691e-8f7c-4831-8c53-46a08032b0e0	Summersville	Summersville	3	0	2013-09-08 05:50:32.87567+02	\N	\N	\N	\N	\N	\N	f	
28536	d1642ef6-d1e2-4f66-80f7-df5f3acbf5d8	Kirbyville	Kirbyville	3	0	2013-09-08 20:40:59.531326+02	\N	\N	\N	\N	\N	\N	f	
27506	47528a0e-e652-4eaa-b19b-5479f992c851	Struthers	Struthers	3	0	2013-09-08 08:27:35.511937+02	\N	\N	\N	\N	\N	\N	f	
28143	74518832-fbf1-41f2-acce-5a1eac136dc7	Novaya Ladoga	Novaya Ladoga	3	0	2013-09-08 14:31:33.71512+02	\N	\N	\N	\N	\N	\N	f	
27567	21eadeea-a5ac-4976-abab-0274358deb02	Mapleton, North Dakota	Mapleton, North Dakota	3	0	2013-09-08 08:43:00.412703+02	\N	\N	\N	\N	\N	\N	f	
27861	f96b54d6-955e-4480-beda-23c9026c9dc5	Ronan	Ronan	3	0	2013-09-08 10:17:07.025672+02	\N	\N	\N	\N	\N	\N	f	
29482	76f03c39-e700-4306-810b-0282b13ff4d9	Wheta	Wheta	3	0	2013-09-22 23:18:40.689139+02	\N	\N	\N	\N	\N	\N	f	
28197	17308efc-f721-425f-b465-ae53cf8b73b1	Stupino	Stupino	3	0	2013-09-08 14:47:47.596996+02	\N	\N	\N	\N	\N	\N	f	
28551	b1f3fa5a-f5b0-4370-a7bc-da07e0cb49fd	Stinnett, Texas	Stinnett, Texas	3	0	2013-09-08 20:45:34.900537+02	\N	\N	\N	\N	\N	\N	f	
28355	3116505c-8af9-4a9a-a1f3-a40dfa03c521	Frankfort, South Dakota	Frankfort, South Dakota	3	0	2013-09-08 16:58:53.96901+02	\N	\N	\N	\N	\N	\N	f	
28383	9597d0b3-2f05-4bad-8f91-c2dba9462e0f	Rockford, Tennessee	Rockford, Tennessee	3	0	2013-09-08 17:06:57.961798+02	\N	\N	\N	\N	\N	\N	f	
29061	6d80f330-1141-47c2-9dcb-6715346424a5	Briaroaks	Briaroaks	3	0	2013-09-09 02:10:30.269096+02	\N	\N	\N	\N	\N	\N	f	
28411	f34662f0-cc81-449d-a2d1-67bc5ccdb2e2	Grand Junction	Grand Junction	3	0	2013-09-08 17:14:24.345671+02	\N	\N	\N	\N	\N	\N	f	
28804	35c5e26f-80ad-4246-8448-74c8e1fa7a0b	O'Brien	O'Brien	3	0	2013-09-09 00:03:18.03933+02	\N	\N	\N	\N	\N	\N	f	
29355	dbe3fab4-7a5f-409d-aae2-2eab5946b162	Stanley	Stanley	3	0	2013-09-09 08:25:16.499749+02	\N	\N	\N	\N	\N	\N	f	
28871	06abe6b6-59dc-4ac6-a772-b274ff2caff0	Valentine	Valentine	3	0	2013-09-09 00:21:50.294773+02	\N	\N	\N	\N	\N	\N	f	
29056	805c47e2-b9f7-451a-9209-fc5ed5e3aadb	Spring Valley Village	Spring Valley Village	3	0	2013-09-09 02:09:03.378735+02	\N	\N	\N	\N	\N	\N	f	
29086	43c5f49c-736a-4333-a945-89de9eb26e7c	Millwood	Millwood	3	0	2013-09-09 02:21:37.941315+02	\N	\N	\N	\N	\N	\N	f	
29255	23fd44c1-01b3-4dfd-8559-50b89b0826a0	Logan, West Virginia	Logan, West Virginia	3	0	2013-09-09 04:22:13.569784+02	\N	\N	\N	\N	\N	\N	f	
29481	13cfea0f-3847-4abd-9fc4-e87f1834dc78	Hampton	Hampton	3	0	2013-09-22 20:27:45.170041+02	\N	\N	\N	\N	\N	\N	f	
29484	649ce05b-6c83-4268-9b72-83616e6b78d5	Arhavi	Arhavi	3	0	2013-09-24 14:25:08.89611+02	\N	\N	\N	\N	\N	\N	f	
29483	cb6abdb8-7064-413a-9d8d-51b085fe17a9	Torrance	Torrance	3	0	2013-09-23 02:23:56.025916+02	\N	\N	\N	\N	\N	\N	f	
29485	b2d82279-aac6-41bf-b038-1c9c6e0cdb0b	Artvin	Artvin	3	0	2013-09-24 17:20:19.099049+02	\N	\N	\N	\N	\N	\N	f	
29486	5ed270eb-3f22-4117-996c-46ac2aea921f	Levelland	Levelland	3	0	2013-09-25 08:27:00.726569+02	\N	\N	\N	\N	\N	\N	f	
29487	66a9a838-49b7-4f66-b99c-88eac01cd6d1	Wang Fen	Wang Fen	3	0	2013-09-25 17:25:42.340033+02	\N	\N	\N	\N	\N	\N	f	
29488	2e2887ec-1b87-4fc5-93ea-47803cca6ead	Granbury	Granbury	3	0	2013-09-25 23:26:54.088941+02	\N	\N	\N	\N	\N	\N	f	
29489	a78db3a4-ced5-421e-b5f3-9954ef06ca1b	Volar, Afghanistan	Volar, Afghanistan	3	0	2013-09-26 08:25:35.946833+02	\N	\N	\N	\N	\N	\N	f	
29490	a7b70d72-1dec-40a2-8cc9-fadf6b90c0e0	Kremmen	Kremmen	3	0	2013-09-27 02:24:44.357832+02	\N	\N	\N	\N	\N	\N	f	
29491	d2b03a09-4e5a-4282-83be-42a37a736569	Wokingham	Wokingham	3	0	2013-09-29 08:17:10.749397+02	\N	\N	\N	\N	\N	\N	f	
29502	344cf629-4e97-45db-9f61-ca3d3089e5d4	Redhill	Redhill	3	0	2013-09-29 08:23:15.410845+02	\N	\N	\N	\N	\N	\N	f	
13455	8166d1d5-2d88-4295-99cc-01519581230e	Mapello	Mapello	4	0	2013-07-21 17:59:28.268549+02	\N	\N	\N	\N	\N	\N	f	
13457	66a71e98-881b-46e9-b378-8e4dd4d4af05	Martinengo	Martinengo	4	0	2013-07-21 17:59:52.385894+02	\N	\N	\N	\N	\N	\N	f	
14222	8b9ac218-b36d-466d-bfe5-bcdbdfc41168	Lecce	Lecce	4	0	2013-07-21 20:50:04.817163+02	\N	\N	\N	\N	\N	\N	f	
13481	0a351cae-d47d-4cbc-bf95-c4016f72cc05	Palazzago	Palazzago	4	0	2013-07-21 18:05:01.596387+02	\N	\N	\N	\N	\N	\N	f	
14830	a6a91268-86e3-4df8-95ab-68f6442441b8	Urbania	Urbania	4	0	2013-07-21 23:05:28.455431+02	\N	\N	\N	\N	\N	\N	f	
16081	9e996afe-f887-4d4e-a977-f3484457a443	Prelà	Prelà	4	0	2013-07-22 02:50:23.495177+02	\N	\N	\N	\N	\N	\N	f	
14978	536e4c00-df13-42a5-971c-a26b62b183cb	Montelupo Albese	Montelupo Albese	4	0	2013-07-21 23:32:57.138126+02	\N	\N	\N	\N	\N	\N	f	
15433	36dee9fe-ed3e-4201-b0dd-01e975a6c767	Ascrea	Ascrea	4	0	2013-07-22 00:44:38.63632+02	\N	\N	\N	\N	\N	\N	f	
15440	af4ebc93-d400-4e87-8746-9662b9b1a396	Borgorose	Borgorose	4	0	2013-07-22 00:46:01.18897+02	\N	\N	\N	\N	\N	\N	f	
27507	90b4da63-daa4-4a8b-ae1d-60c1d59a1998	Forest River, North Dakota	Forest River, North Dakota	3	0	2013-09-08 08:28:00.416995+02	\N	\N	\N	\N	\N	\N	f	
17987	d1135d8e-4545-470a-ba54-df19e457da78	Ossago Lodigiano	Ossago Lodigiano	4	0	2013-07-22 07:34:25.349058+02	\N	\N	\N	\N	\N	\N	f	
16856	c1b4f4ed-2fa5-4046-b868-24945cb4d834	Noventa Padovana	Noventa Padovana	4	0	2013-07-22 04:54:15.957607+02	\N	\N	\N	\N	\N	\N	f	
16935	5ac7a93d-f4ba-4543-9d87-21bb530e815e	Masi	Masi	4	0	2013-07-22 05:14:40.340756+02	\N	\N	\N	\N	\N	\N	f	
24965	4a72c1cf-aad5-4417-a3d9-0a665e971c9c	Ford, Kansas	Ford, Kansas	3	0	2013-09-07 09:28:18.160507+02	\N	\N	\N	\N	\N	\N	f	
16959	5cdefaa7-2b72-44f4-9ca3-cde8fbb5a80a	Ceneselli	Ceneselli	4	0	2013-07-22 05:20:28.128285+02	\N	\N	\N	\N	\N	\N	f	
18009	30403869-615f-4755-9ea6-373b25cbc1c0	Cornovecchio	Cornovecchio	4	0	2013-07-22 07:36:47.194305+02	\N	\N	\N	\N	\N	\N	f	
16960	7dd59f0c-192b-4d3d-9bed-29729a42ce1d	Gavello	Gavello	4	0	2013-07-22 05:20:43.167064+02	\N	\N	\N	\N	\N	\N	f	
16966	0132e9a5-f5b9-4376-9265-ec3d19084f93	Camposampiero	Camposampiero	4	0	2013-07-22 05:22:12.327632+02	\N	\N	\N	\N	\N	\N	f	
19005	137b24d6-d6c3-4a72-a8d7-32f110e2c35d	Valeggio sul Mincio	Valeggio sul Mincio	4	0	2013-07-22 09:40:42.781553+02	\N	\N	\N	\N	\N	\N	f	
24970	6bc9a4de-ed4a-46ca-ba81-cff37c5541f8	Bogue, Kansas	Bogue, Kansas	3	0	2013-09-07 09:29:28.841976+02	\N	\N	\N	\N	\N	\N	f	
19026	1211e060-bbd1-45a7-abdd-3bc8b0d03bbe	Crocetta del Montello	Crocetta del Montello	4	0	2013-07-22 09:43:17.46327+02	\N	\N	\N	\N	\N	\N	f	
17046	09080545-2aac-4bef-a2a6-c2b3a8863aa3	Rhêmes-Saint-Georges	Rhêmes-Saint-Georges	4	0	2013-07-22 15:01:35.231035+02	\N	\N	\N	\N	\N	\N	f	
20234	2158fdc0-cfc4-4d9d-ad35-b2d47a6c4c73	Ronchis	Ronchis	4	0	2013-07-22 20:31:39.587543+02	\N	\N	\N	\N	\N	\N	f	
28154	6623f948-71ee-417d-933b-9d12ef970db0	Kirs	Kirs	3	0	2013-09-08 14:34:26.359558+02	\N	\N	\N	\N	\N	\N	f	
21113	d13e3b03-89e1-4967-8d04-08c189f269ef	Baronissi	Baronissi	4	0	2013-07-23 20:57:17.005985+02	\N	\N	\N	\N	\N	\N	f	
25610	25b678c0-6906-4c24-9a4b-4cca4f6ed49d	Mound City	Mound City	3	0	2013-09-07 13:11:43.306955+02	\N	\N	\N	\N	\N	\N	f	
21686	1fd495db-c801-48bd-9afa-484776e8c95b	Dovadola	Dovadola	4	0	2013-07-24 14:53:59.823856+02	\N	\N	\N	\N	\N	\N	f	
21698	0122dc8f-075d-4e0d-b018-79943bfd0a39	Bossico	Bossico	4	0	2013-07-24 14:56:38.835355+02	\N	\N	\N	\N	\N	\N	f	
27555	40683097-3928-4d8d-8e1b-27aa3869b371	Pekin, North Dakota	Pekin, North Dakota	3	0	2013-09-08 08:39:57.094528+02	\N	\N	\N	\N	\N	\N	f	
25615	64490c45-f855-477c-9152-15e25affce5b	Woodbine	Woodbine	3	0	2013-09-07 13:12:54.99545+02	\N	\N	\N	\N	\N	\N	f	
22039	67da0e45-8ebd-4489-a3fe-a0d51378375f	Forest City	Forest City	3	0	2013-08-07 14:31:19.6712+02	\N	\N	\N	\N	\N	\N	f	
24185	4fa57519-b657-43c3-bfcc-882b68cd7fb2	Quitman	Quitman	3	0	2013-09-07 03:09:20.297499+02	\N	\N	\N	\N	\N	\N	f	
24199	ed68f032-d6d7-4869-9d1c-3cf92b6ecb08	Lake Helen	Lake Helen	3	0	2013-09-07 03:13:08.779493+02	\N	\N	\N	\N	\N	\N	f	
25643	62e07a5a-49bf-4f0c-8981-3179f3c44e6c	Ness City	Ness City	3	0	2013-09-07 13:20:17.333206+02	\N	\N	\N	\N	\N	\N	f	
24467	7751d98b-04ac-4857-8f2b-13ef4b3e1843	Hoboken, Georgia	Hoboken, Georgia	3	0	2013-09-07 06:52:19.671794+02	\N	\N	\N	\N	\N	\N	f	
24481	a377a89f-abe9-4dfd-94d9-26700aedb19e	Albion	Albion	3	0	2013-09-07 06:55:50.761914+02	\N	\N	\N	\N	\N	\N	f	
27892	3ac90a80-3f2e-477f-a98f-0bdbac87bbe1	Monett	Monett	3	0	2013-09-08 11:28:08.431006+02	\N	\N	\N	\N	\N	\N	f	
24487	98ed1bfd-e23c-486e-acf1-2fbed2d92be1	Manassas, Georgia	Manassas, Georgia	3	0	2013-09-07 06:57:24.777912+02	\N	\N	\N	\N	\N	\N	f	
26076	27b1688d-d60b-4287-b6ed-899301467426	Salt Lick, Kentucky	Salt Lick, Kentucky	3	0	2013-09-07 18:03:56.172304+02	\N	\N	\N	\N	\N	\N	f	
24527	5a17b603-55cc-4673-b8ef-d45693b1bf7e	Road Town	Road Town	3	0	2013-09-07 07:24:59.497548+02	\N	\N	\N	\N	\N	\N	f	
24531	b7bd87f1-7aa3-4bd8-b404-0d4458500149	Washington	Washington	3	0	2013-09-07 07:27:29.045178+02	\N	\N	\N	\N	\N	\N	f	
27623	3dcea048-f9a4-43ab-a220-0b4f36aefede	Great Bend, North Dakota	Great Bend, North Dakota	3	0	2013-09-08 09:00:00.995006+02	\N	\N	\N	\N	\N	\N	f	
24538	a3a23aac-d75c-4d9b-9391-d5262730af8b	Rushville, Indiana	Rushville, Indiana	3	0	2013-09-07 07:31:55.009784+02	\N	\N	\N	\N	\N	\N	f	
24539	3d903536-5060-4899-896a-4b1873c2ccf8	Woodburn, Indiana	Woodburn, Indiana	3	0	2013-09-07 07:32:08.163037+02	\N	\N	\N	\N	\N	\N	f	
26421	da02ec1f-9d49-41bd-a564-50cd220613c8	Almena, Kansas	Almena, Kansas	3	0	2013-09-08 00:29:50.383828+02	\N	\N	\N	\N	\N	\N	f	
26701	c89f9994-4561-4c91-b6e8-8d47a7186fbe	Wellman, Iowa	Wellman, Iowa	3	0	2013-09-08 02:32:08.403755+02	\N	\N	\N	\N	\N	\N	f	
27632	bb894bf3-59e3-4180-a45d-180ccfc37a45	Norwood, Ohio	Norwood, Ohio	3	0	2013-09-08 09:02:42.659874+02	\N	\N	\N	\N	\N	\N	f	
26726	6153b3b4-c712-44ff-a3f1-82ac6137177e	Lawler, Iowa	Lawler, Iowa	3	0	2013-09-08 02:38:39.519242+02	\N	\N	\N	\N	\N	\N	f	
27183	528cd510-cc2b-4d6d-b248-8ac82d3cad58	Marshfield	Marshfield	3	0	2013-09-08 05:51:04.278444+02	\N	\N	\N	\N	\N	\N	f	
27931	a8c6880d-3ada-4915-82c2-927425a85dd1	Winterset	Winterset	3	0	2013-09-08 11:40:14.622864+02	\N	\N	\N	\N	\N	\N	f	
27681	46eab720-7664-48cb-b027-7d55f8824624	Lancaster	Lancaster	3	0	2013-09-08 09:17:41.579576+02	\N	\N	\N	\N	\N	\N	f	
27864	1cad9d3c-0390-4169-bbf8-5a006c01dafe	Barnett	Barnett	3	0	2013-09-08 10:17:50.071148+02	\N	\N	\N	\N	\N	\N	f	
28547	e6f776b7-0892-4704-9bc8-f086a21f6624	New Boston, Texas	New Boston, Texas	3	0	2013-09-08 20:44:27.810666+02	\N	\N	\N	\N	\N	\N	f	
27887	113d1d2b-7f6e-4bf3-84c0-aef1d936e4a3	Worthington, Kentucky	Worthington, Kentucky	3	0	2013-09-08 11:26:46.959615+02	\N	\N	\N	\N	\N	\N	f	
27983	f265b80c-e446-440f-b636-16ba184bf4f4	Grand Junction	Grand Junction	3	0	2013-09-08 11:53:36.633148+02	\N	\N	\N	\N	\N	\N	f	
28356	258f6a1f-d52f-4649-b57f-001768657ecb	Medina, Tennessee	Medina, Tennessee	3	0	2013-09-08 16:59:09.070603+02	\N	\N	\N	\N	\N	\N	f	
28144	fc7765b0-e03b-470c-bc68-ddd6cb7b4adc	Slantsy	Slantsy	3	0	2013-09-08 14:31:50.217825+02	\N	\N	\N	\N	\N	\N	f	
28146	e5f96f35-edf5-4eaf-a8fd-1a8474a33753	Boksitogorsk	Boksitogorsk	3	0	2013-09-08 14:32:20.245396+02	\N	\N	\N	\N	\N	\N	f	
28642	3b1ab43b-6982-4347-bd65-0e7a5b543baf	Spofford	Spofford	3	0	2013-09-08 21:11:02.844814+02	\N	\N	\N	\N	\N	\N	f	
28540	cb912a4a-7edb-4a7d-9036-89cd146c2b75	San Juan, Texas	San Juan, Texas	3	0	2013-09-08 20:42:16.503697+02	\N	\N	\N	\N	\N	\N	f	
28584	ac61f4d7-353d-494d-84e4-7df6875a6d5b	Oak Point, Texas	Oak Point, Texas	3	0	2013-09-08 20:55:36.801863+02	\N	\N	\N	\N	\N	\N	f	
28862	487b72a2-3253-47c8-bdce-0965b34126d1	Red Oak	Red Oak	3	0	2013-09-09 00:19:10.142581+02	\N	\N	\N	\N	\N	\N	f	
28806	688867ce-6740-4c69-87b3-b734ab0b8f24	Miles	Miles	3	0	2013-09-09 00:03:50.267958+02	\N	\N	\N	\N	\N	\N	f	
29058	446a2e92-1a4d-42a8-b42e-1cd60e968d7e	Electra	Electra	3	0	2013-09-09 02:09:38.445814+02	\N	\N	\N	\N	\N	\N	f	
29103	d2462ef2-8b0a-4a62-b30d-fd1d0396b7fb	Pateros	Pateros	3	0	2013-09-09 02:25:39.963666+02	\N	\N	\N	\N	\N	\N	f	
29135	9a1a1ae0-1f59-43d5-85c6-97c2ffa3a7db	Talty	Talty	3	0	2013-09-09 02:44:40.705906+02	\N	\N	\N	\N	\N	\N	f	
29256	39211087-b0be-483a-a753-85c8be845168	Moundsville, West Virginia	Moundsville, West Virginia	3	0	2013-09-09 04:22:30.375593+02	\N	\N	\N	\N	\N	\N	f	
29356	d386800b-0f94-400d-88f4-ba6073262008	Milton	Milton	3	0	2013-09-09 08:25:30.520179+02	\N	\N	\N	\N	\N	\N	f	
29365	a362965e-932e-465e-930b-4df2bf877840	Richland Center	Richland Center	3	0	2013-09-09 08:27:42.885343+02	\N	\N	\N	\N	\N	\N	f	
29492	49bee00a-b7b7-4161-bbcf-853b4531aeee	Tewkesbury	Tewkesbury	3	0	2013-09-29 08:17:25.66304+02	\N	\N	\N	\N	\N	\N	f	
29555	eedaf2ac-22d5-46d0-ba41-adca69cbd400	Azul	Azul	3	0	2013-09-29 14:26:14.117998+02	\N	\N	\N	\N	\N	\N	f	
29495	ee32a8f8-fe0b-4573-8037-dc713c2532b5	Sale	Sale	3	0	2013-09-29 08:18:29.246485+02	\N	\N	\N	\N	\N	\N	f	
13460	bc4f2f02-5f0f-4cb5-8204-fa501e66b300	Osio Sotto	Osio Sotto	4	0	2013-07-21 18:00:38.982542+02	\N	\N	\N	\N	\N	\N	f	
13462	ceb0e868-6a80-4b9f-baa7-379a3376aeb9	Piazzolo	Piazzolo	4	0	2013-07-21 18:01:02.906186+02	\N	\N	\N	\N	\N	\N	f	
13474	87d1c0f4-1b6f-4de9-b06e-c18c6caf76cd	Predore	Predore	4	0	2013-07-21 18:03:36.918831+02	\N	\N	\N	\N	\N	\N	f	
14225	2ab4ff39-f6a3-4c64-9b13-0945414003eb	Avellino	Avellino	4	0	2013-07-21 20:50:41.059406+02	\N	\N	\N	\N	\N	\N	f	
13478	f8b73d4c-1aa0-4274-8ac4-7ce04cf33a30	Pontida	Pontida	4	0	2013-07-21 18:04:25.131843+02	\N	\N	\N	\N	\N	\N	f	
13482	60ef2c44-28c7-4fe3-ba87-e0a68e1f7ebd	Ornica	Ornica	4	0	2013-07-21 18:05:14.284925+02	\N	\N	\N	\N	\N	\N	f	
14229	cfc97b1d-32a6-4e2a-b413-c090032e5c4d	Cosenza	Cosenza	4	0	2013-07-21 20:51:28.176036+02	\N	\N	\N	\N	\N	\N	f	
16082	3386d719-0982-4a90-9aac-b77c1423ea60	Dolceacqua	Dolceacqua	4	0	2013-07-22 02:50:33.255674+02	\N	\N	\N	\N	\N	\N	f	
14832	7092e37a-ac06-48d5-a99c-cd5c76056c38	Colbordolo	Colbordolo	4	0	2013-07-21 23:05:54.033755+02	\N	\N	\N	\N	\N	\N	f	
15436	f87a790b-549e-48cb-bbf7-8e200a32c0a4	Borgo Velino	Borgo Velino	4	0	2013-07-22 00:45:13.655377+02	\N	\N	\N	\N	\N	\N	f	
16085	08e8daff-f88b-4875-a05c-1170535765db	Pompeiana	Pompeiana	4	0	2013-07-22 02:50:51.946836+02	\N	\N	\N	\N	\N	\N	f	
17997	18b42682-6533-4dc2-abb1-fd7de0b8fab8	Piubega	Piubega	4	0	2013-07-22 07:35:29.834415+02	\N	\N	\N	\N	\N	\N	f	
16096	984e4a7f-d533-4188-a685-7e67ee160f56	Olivetta San Michele	Olivetta San Michele	4	0	2013-07-22 02:52:21.85968+02	\N	\N	\N	\N	\N	\N	f	
16857	d554763a-d785-4ae5-aeb6-5e6f15f0e4df	Borgoricco	Borgoricco	4	0	2013-07-22 04:54:29.475449+02	\N	\N	\N	\N	\N	\N	f	
16858	9e4a2f1a-34a9-4872-a56c-1accf143c23c	Curtarolo	Curtarolo	4	0	2013-07-22 04:54:54.068643+02	\N	\N	\N	\N	\N	\N	f	
18059	4760266e-2868-4ab9-a67b-6101a170a351	Casarile	Casarile	4	0	2013-07-22 07:43:02.672574+02	\N	\N	\N	\N	\N	\N	f	
16862	75e2bf8b-17af-47e4-8374-4706fd2a8a5c	Santa Margherita d'Adige	Santa Margherita d'Adige	4	0	2013-07-22 04:55:56.327647+02	\N	\N	\N	\N	\N	\N	f	
16938	f54bb8c3-b2ca-48cc-93ba-74da12c9fe1f	Allein	Allein	4	0	2013-07-22 05:15:21.746721+02	\N	\N	\N	\N	\N	\N	f	
20235	709ce311-e518-474a-bcd6-664160d8ed0f	Rivignano	Rivignano	4	0	2013-07-22 20:31:52.757654+02	\N	\N	\N	\N	\N	\N	f	
16985	c3235778-ee5e-4d11-bc4b-6ce55dc02766	Aymavilles	Aymavilles	4	0	2013-07-22 05:27:17.536515+02	\N	\N	\N	\N	\N	\N	f	
18156	e171a2b2-5e93-4757-bb3f-3c2d8cb33f38	Castelvisconti	Castelvisconti	4	0	2013-07-22 07:54:01.598434+02	\N	\N	\N	\N	\N	\N	f	
25017	8a709341-5f88-4bed-8771-c42c457ee25c	Plymouth	Plymouth	3	0	2013-09-07 09:41:47.543294+02	\N	\N	\N	\N	\N	\N	f	
18173	12614a49-96da-470b-9842-b7700b9a0b4e	Castello di Brianza	Castello di Brianza	4	0	2013-07-22 07:56:24.260997+02	\N	\N	\N	\N	\N	\N	f	
21115	e6bd0b68-1241-49f3-9dae-1a96182576ab	Acerno	Acerno	4	0	2013-07-23 20:57:50.785894+02	\N	\N	\N	\N	\N	\N	f	
18236	9941aa37-8d00-44e5-9e0b-212529e54d47	Formigara	Formigara	4	0	2013-07-22 08:03:47.094317+02	\N	\N	\N	\N	\N	\N	f	
18387	a765b54b-ddde-42cb-bac2-28226790f5d6	Vailate	Vailate	4	0	2013-07-22 08:22:20.218013+02	\N	\N	\N	\N	\N	\N	f	
18395	fdb29608-2407-45db-9eb8-5c199449ebb1	Cesano Boscone	Cesano Boscone	4	0	2013-07-22 08:23:40.521649+02	\N	\N	\N	\N	\N	\N	f	
21687	984bc898-5134-4f6a-bf3b-4f0ea4680b9d	Montiano	Montiano	4	0	2013-07-24 14:54:12.046184+02	\N	\N	\N	\N	\N	\N	f	
19011	7d27dd07-c37a-49ba-94b0-46131d115e58	Caldogno	Caldogno	4	0	2013-07-22 09:41:24.815346+02	\N	\N	\N	\N	\N	\N	f	
19024	51135fcb-7e4c-4304-8a0c-42d04f77be41	Campobello di Mazara	Campobello di Mazara	4	0	2013-07-22 09:43:05.561203+02	\N	\N	\N	\N	\N	\N	f	
19031	96a77520-b559-4ada-a047-c6af26d5909e	Gibellina	Gibellina	4	0	2013-07-22 09:43:54.733705+02	\N	\N	\N	\N	\N	\N	f	
25027	d4100097-9d4b-435c-8c69-05dc71032a3a	Owasa	Owasa	3	0	2013-09-07 09:44:18.448653+02	\N	\N	\N	\N	\N	\N	f	
22040	72c854b7-b500-4b14-92f2-f5aa03948580	Everly	Everly	3	0	2013-08-07 14:31:32.629619+02	\N	\N	\N	\N	\N	\N	f	
24186	01c9ca07-7077-4365-ab49-a0cbaa4c9465	Jonesboro, Georgia	Jonesboro, Georgia	3	0	2013-09-07 03:09:34.688969+02	\N	\N	\N	\N	\N	\N	f	
26705	45013400-4388-4084-a62c-ab53a5bd25d1	Tampa	Tampa	3	0	2013-09-08 02:33:10.802105+02	\N	\N	\N	\N	\N	\N	f	
24468	f96dfad0-7aab-40e4-88c9-eeb971086cc7	Woodstock	Woodstock	3	0	2013-09-07 06:52:33.823452+02	\N	\N	\N	\N	\N	\N	f	
25031	8828be47-c080-4619-a488-88bb7a14a88b	Paton	Paton	3	0	2013-09-07 09:45:18.756375+02	\N	\N	\N	\N	\N	\N	f	
24471	73209868-e06d-412f-9630-267ca5793c23	Doerun, Georgia	Doerun, Georgia	3	0	2013-09-07 06:53:22.733647+02	\N	\N	\N	\N	\N	\N	f	
24474	1e8b0eb4-e5b2-4bee-b018-d258cff58632	Nicholls, Georgia	Nicholls, Georgia	3	0	2013-09-07 06:54:05.646476+02	\N	\N	\N	\N	\N	\N	f	
24478	d76a31b5-07a7-4702-ae93-3a7d5d00f770	Unadilla, Georgia	Unadilla, Georgia	3	0	2013-09-07 06:55:07.004435+02	\N	\N	\N	\N	\N	\N	f	
25045	64cc8d0b-0525-45b6-8541-86e73886a8d0	Plano	Plano	3	0	2013-09-07 09:48:56.384889+02	\N	\N	\N	\N	\N	\N	f	
24968	1576c9bf-167e-4b1d-8557-6f6536cfe002	Galatia, Kansas	Galatia, Kansas	3	0	2013-09-07 09:29:02.625189+02	\N	\N	\N	\N	\N	\N	f	
24978	eec275fb-820f-4569-a76e-70b3264723de	Clay Center	Clay Center	3	0	2013-09-07 09:31:19.729561+02	\N	\N	\N	\N	\N	\N	f	
27205	66effc72-bf1b-4515-9d96-8ddf5f5110f5	Shrewsbury	Shrewsbury	3	0	2013-09-08 05:56:50.074899+02	\N	\N	\N	\N	\N	\N	f	
24999	d2cad99c-7ac1-4e31-a477-57791b8d412d	Prairieburg	Prairieburg	3	0	2013-09-07 09:37:17.123562+02	\N	\N	\N	\N	\N	\N	f	
26711	b18680ef-06aa-4903-83c0-a1d33f692c35	Clayton, Iowa	Clayton, Iowa	3	0	2013-09-08 02:34:41.757152+02	\N	\N	\N	\N	\N	\N	f	
25010	6ce64ee6-67db-4bf7-a06d-58aca07fe2cc	Radcliffe	Radcliffe	3	0	2013-09-07 09:40:02.261465+02	\N	\N	\N	\N	\N	\N	f	
25110	04937be2-99b9-48a2-8872-cde81f927305	Matlock	Matlock	3	0	2013-09-07 10:07:07.470669+02	\N	\N	\N	\N	\N	\N	f	
25611	6d9e1113-7c75-4a83-8e8f-e33c524ac924	Lecompton	Lecompton	3	0	2013-09-07 13:11:57.552381+02	\N	\N	\N	\N	\N	\N	f	
25671	53ad364d-8ad7-4e2b-a657-e6e47e105439	Collins	Collins	3	0	2013-09-07 13:27:44.71106+02	\N	\N	\N	\N	\N	\N	f	
26729	a5a4ce64-a93f-4e34-b1b2-64ef4067621f	Polk City, Florida	Polk City, Florida	3	0	2013-09-08 02:39:32.050007+02	\N	\N	\N	\N	\N	\N	f	
25676	8b90a190-869b-4604-a345-49c6e52d477a	Truro	Truro	3	0	2013-09-07 13:29:04.747223+02	\N	\N	\N	\N	\N	\N	f	
26081	d4191e19-3c3d-47f9-9a84-d968c26c6f6e	Brodhead, Kentucky	Brodhead, Kentucky	3	0	2013-09-07 18:05:12.712864+02	\N	\N	\N	\N	\N	\N	f	
27524	0b275cee-8650-48ad-a55e-e262cd25822e	Elgin, North Dakota	Elgin, North Dakota	3	0	2013-09-08 08:32:20.885207+02	\N	\N	\N	\N	\N	\N	f	
26422	69ea5018-3de6-4ec0-b4f9-821aa32a9d7a	Randolph, Iowa	Randolph, Iowa	3	0	2013-09-08 00:30:07.01565+02	\N	\N	\N	\N	\N	\N	f	
27236	e917eaf7-0da2-419e-9caf-a5776c2c55df	Hollister	Hollister	3	0	2013-09-08 06:06:05.784942+02	\N	\N	\N	\N	\N	\N	f	
26733	81859b8d-3a42-4b23-8c21-7c23ed292997	Ellisville	Ellisville	3	0	2013-09-08 02:40:35.718536+02	\N	\N	\N	\N	\N	\N	f	
27186	b469b68d-d6d1-449b-afed-b434f2941aa3	Sheldon	Sheldon	3	0	2013-09-08 05:51:49.359842+02	\N	\N	\N	\N	\N	\N	f	
27522	f7b87954-d8a4-40e2-b9f8-ed06e0eb8bbe	Mooreton, North Dakota	Mooreton, North Dakota	3	0	2013-09-08 08:31:47.523655+02	\N	\N	\N	\N	\N	\N	f	
27508	0e62b29c-8639-4255-8a53-29463ffb7117	Carpio, North Dakota	Carpio, North Dakota	3	0	2013-09-08 08:28:14.327683+02	\N	\N	\N	\N	\N	\N	f	
27517	f587bdf3-0aba-402c-8441-fbaf6014435f	Adams, North Dakota	Adams, North Dakota	3	0	2013-09-08 08:30:32.477643+02	\N	\N	\N	\N	\N	\N	f	
27888	97f3f1f9-06da-408d-bcdd-23c037ec4b48	Risco	Risco	3	0	2013-09-08 11:27:02.042241+02	\N	\N	\N	\N	\N	\N	f	
27877	3e7eaef3-7d54-4310-a49c-a22489c799f8	Gladstone	Gladstone	3	0	2013-09-08 10:21:25.075578+02	\N	\N	\N	\N	\N	\N	f	
27865	7a195124-ce18-44dd-8d6c-2abb94f9d24e	Loup City	Loup City	3	0	2013-09-08 10:18:06.603306+02	\N	\N	\N	\N	\N	\N	f	
27907	3f7b3ce5-966c-45e4-a851-b97bdc4920a2	Waucoma, Iowa	Waucoma, Iowa	3	0	2013-09-08 11:33:05.255869+02	\N	\N	\N	\N	\N	\N	f	
27910	a13b069c-e620-49d8-9d50-e908b24106a8	Centertown, Kentucky	Centertown, Kentucky	3	0	2013-09-08 11:33:59.54289+02	\N	\N	\N	\N	\N	\N	f	
28145	c74a6da4-4aa4-4d89-a4ff-7143b7717ace	Nikolskoye	Nikolskoye	3	0	2013-09-08 14:32:05.948259+02	\N	\N	\N	\N	\N	\N	f	
28357	8efdbd2c-2e51-44db-b915-f675662d6c0a	Lake Preston, South Dakota	Lake Preston, South Dakota	3	0	2013-09-08 16:59:23.580021+02	\N	\N	\N	\N	\N	\N	f	
28404	f0e4e8c8-1a85-44d0-8c22-0af031af68fa	Canistota, South Dakota	Canistota, South Dakota	3	0	2013-09-08 17:12:39.741613+02	\N	\N	\N	\N	\N	\N	f	
28541	efb9f160-2194-40fc-949b-4c5f1d7e0101	Bishop, Texas	Bishop, Texas	3	0	2013-09-08 20:42:32.756647+02	\N	\N	\N	\N	\N	\N	f	
28807	498aa6f3-3395-4b4b-9a20-7806773863cc	Hondo	Hondo	3	0	2013-09-09 00:04:06.464042+02	\N	\N	\N	\N	\N	\N	f	
13463	0a659075-c0e2-4767-bbd3-e0e90927534a	Pontirolo Nuovo	Pontirolo Nuovo	4	0	2013-07-21 18:01:14.898088+02	\N	\N	\N	\N	\N	\N	f	
13465	c4901338-8cf7-4802-80bf-dd7df8fb56eb	Piazza Brembana	Piazza Brembana	4	0	2013-07-21 18:01:42.937786+02	\N	\N	\N	\N	\N	\N	f	
13466	003472a5-f308-44ff-b1f5-bacbc07506a8	Parzanica	Parzanica	4	0	2013-07-21 18:01:54.933452+02	\N	\N	\N	\N	\N	\N	f	
14226	3a385259-5254-4655-b11b-51aaa58a2860	Ferrara	Ferrara	4	0	2013-07-21 20:50:52.772252+02	\N	\N	\N	\N	\N	\N	f	
13467	99f3acee-18a1-474e-b367-fd9f835234e9	Onore	Onore	4	0	2013-07-21 18:02:07.133575+02	\N	\N	\N	\N	\N	\N	f	
13468	646a56d7-5e9c-4d81-98d1-7ad2fdfeb5b0	Orio al Serio	Orio al Serio	4	0	2013-07-21 18:02:20.21221+02	\N	\N	\N	\N	\N	\N	f	
13469	e018c845-d00e-4b02-b2c5-734cd6d0e554	Palosco	Palosco	4	0	2013-07-21 18:02:33.535983+02	\N	\N	\N	\N	\N	\N	f	
14276	ace3fefe-3a58-4d22-bb5d-f70cab8b0f37	Capranica	Capranica	4	0	2013-07-21 21:02:47.041468+02	\N	\N	\N	\N	\N	\N	f	
13471	5776d0a7-c654-4ac8-b4c5-2185f9956e51	Peia	Peia	4	0	2013-07-21 18:03:00.048409+02	\N	\N	\N	\N	\N	\N	f	
13472	90d69d2e-950c-4945-b39d-5f4d8f9121aa	Paladina	Paladina	4	0	2013-07-21 18:03:12.181051+02	\N	\N	\N	\N	\N	\N	f	
16083	86a71d23-bcc9-4110-9561-a00bc694d700	San Bartolomeo al Mare	San Bartolomeo al Mare	4	0	2013-07-22 02:50:37.794684+02	\N	\N	\N	\N	\N	\N	f	
13473	8341cdd4-544b-404e-ad39-28cacd780344	Premolo	Premolo	4	0	2013-07-21 18:03:24.796436+02	\N	\N	\N	\N	\N	\N	f	
14320	3d623c13-6e3d-46db-a38c-b92b4e8d93b8	Faleria	Faleria	4	0	2013-07-21 21:11:40.297775+02	\N	\N	\N	\N	\N	\N	f	
13476	ad144a0e-a98d-4bfc-9360-777f5fa079cc	Osio Sopra	Osio Sopra	4	0	2013-07-21 18:04:01.165944+02	\N	\N	\N	\N	\N	\N	f	
13505	dedf5ff0-3a91-4ad1-929b-aaf9713e5d24	Sedrina	Sedrina	4	0	2013-07-21 18:10:12.092991+02	\N	\N	\N	\N	\N	\N	f	
14834	1c1dd422-640e-4fd1-9322-57455eb49938	Apecchio	Apecchio	4	0	2013-07-21 23:06:17.884569+02	\N	\N	\N	\N	\N	\N	f	
15437	e489c02f-7ba1-4e96-b1d1-d696a434795f	Cantalupo in Sabina	Cantalupo in Sabina	4	0	2013-07-22 00:45:25.231073+02	\N	\N	\N	\N	\N	\N	f	
16196	341f4132-e801-47b2-8e18-fb955096d5b0	Bardineto	Bardineto	4	0	2013-07-22 03:04:25.067188+02	\N	\N	\N	\N	\N	\N	f	
18008	9f5a475c-59d6-4d16-b79e-58c72bab8e80	Pieve Fissiraga	Pieve Fissiraga	4	0	2013-07-22 07:36:43.716717+02	\N	\N	\N	\N	\N	\N	f	
16861	00a6e6e0-3c9a-4696-85ed-5d7ac383e27b	Mestrino	Mestrino	4	0	2013-07-22 04:55:41.53716+02	\N	\N	\N	\N	\N	\N	f	
16950	058197da-2992-4eae-b7e5-c9a94bc75c78	Brugine	Brugine	4	0	2013-07-22 05:18:15.684703+02	\N	\N	\N	\N	\N	\N	f	
28811	abeab792-2698-4832-91be-2bb4771a3fde	Bryson	Bryson	3	0	2013-09-09 00:05:10.970523+02	\N	\N	\N	\N	\N	\N	f	
17029	ab9f8751-e284-4218-8248-a068b56ab9c5	Verrès	Verrès	4	0	2013-07-22 05:34:23.794606+02	\N	\N	\N	\N	\N	\N	f	
18070	e5b2a638-a3e6-4386-b8f8-23b733d75f5a	Ceresara	Ceresara	4	0	2013-07-22 07:44:20.796065+02	\N	\N	\N	\N	\N	\N	f	
20236	4b5ff985-8cb7-49fd-8ac4-707cb8f0a16f	Villa Vicentina	Villa Vicentina	4	0	2013-07-22 20:32:06.118576+02	\N	\N	\N	\N	\N	\N	f	
19012	dd9d3e29-876b-42a3-b049-61449edf761f	Ramacca	Ramacca	4	0	2013-07-22 09:41:29.788841+02	\N	\N	\N	\N	\N	\N	f	
25646	8c5ac162-72f9-4bf4-93ec-7183961a38f9	Fairview, Kenton County, Kentucky	Fairview, Kenton County, Kentucky	3	0	2013-09-07 13:21:03.918397+02	\N	\N	\N	\N	\N	\N	f	
20271	a1f2dc5e-1526-4643-9b39-1093306eea36	Cenadi	Cenadi	4	0	2013-07-22 20:40:20.394151+02	\N	\N	\N	\N	\N	\N	f	
21120	9c8a62e7-959b-4f23-9a97-ad89e4acbbc2	Casalbuono	Casalbuono	4	0	2013-07-23 20:59:00.532274+02	\N	\N	\N	\N	\N	\N	f	
27509	7ed99ae1-91e9-4f3e-8ec9-c8e2a64bb0d4	Edinburg, North Dakota	Edinburg, North Dakota	3	0	2013-09-08 08:28:29.431819+02	\N	\N	\N	\N	\N	\N	f	
21692	5b55ee66-e569-4eb5-811b-91159cc5a72f	Castrocaro Terme e Terra del Sole	Castrocaro Terme e Terra del Sole	4	0	2013-07-24 14:55:11.742887+02	\N	\N	\N	\N	\N	\N	f	
26082	8695f089-2cf9-4747-be56-278807071034	Belleville	Belleville	3	0	2013-09-07 18:05:27.214201+02	\N	\N	\N	\N	\N	\N	f	
22041	e5e5972f-9981-4501-9631-39f1f9795a89	Aplington	Aplington	3	0	2013-08-07 14:31:46.723003+02	\N	\N	\N	\N	\N	\N	f	
24187	4c48cf6f-4e19-45ee-ac3e-8b0c8c26cff8	Doral	Doral	3	0	2013-09-07 03:09:53.449402+02	\N	\N	\N	\N	\N	\N	f	
24206	33d18229-53e3-45e8-9a44-b41ec11feb11	Richland, Georgia	Richland, Georgia	3	0	2013-09-07 03:15:07.647937+02	\N	\N	\N	\N	\N	\N	f	
26105	9bf0b067-4aba-458b-8750-78c859171c06	Hamlin, Kansas	Hamlin, Kansas	3	0	2013-09-07 18:11:37.731709+02	\N	\N	\N	\N	\N	\N	f	
24469	e1b5a2d8-b241-41fb-94fc-20ca5836112a	Camilla, Georgia	Camilla, Georgia	3	0	2013-09-07 06:52:53.551207+02	\N	\N	\N	\N	\N	\N	f	
24504	ba274a6b-6078-432d-b35f-c33d26b03e0b	Rensselaer	Rensselaer	3	0	2013-09-07 07:02:24.856225+02	\N	\N	\N	\N	\N	\N	f	
27913	643b0c02-53f4-4898-bf4c-7f0558057f75	Gruver, Iowa	Gruver, Iowa	3	0	2013-09-08 11:34:54.687215+02	\N	\N	\N	\N	\N	\N	f	
24514	31d64c3a-6369-4531-a33c-d14c9bcc9248	East Ellijay	East Ellijay	3	0	2013-09-07 07:05:03.345497+02	\N	\N	\N	\N	\N	\N	f	
26423	1cb352ba-5879-4771-bf37-f27a8ce715b3	Havelock, Iowa	Havelock, Iowa	3	0	2013-09-08 00:30:24.043224+02	\N	\N	\N	\N	\N	\N	f	
24515	3fe12153-fe1f-4ab9-b839-438c29900753	East Dublin	East Dublin	3	0	2013-09-07 07:05:24.167673+02	\N	\N	\N	\N	\N	\N	f	
24976	463b81b1-ed7b-4935-9105-1ef68c4e363a	Independence	Independence	3	0	2013-09-07 09:30:48.532741+02	\N	\N	\N	\N	\N	\N	f	
27535	7cb94835-0ff6-4b33-8d8a-1cb23addca15	White Earth, North Dakota	White Earth, North Dakota	3	0	2013-09-08 08:35:01.444225+02	\N	\N	\N	\N	\N	\N	f	
25612	232039c4-4d38-4fd5-9259-ceab7ec3166a	Girard	Girard	3	0	2013-09-07 13:12:11.798707+02	\N	\N	\N	\N	\N	\N	f	
26707	a03f0c01-c42a-466c-8f6b-3d1d7267e91f	Bogard, Missouri	Bogard, Missouri	3	0	2013-09-08 02:33:43.269551+02	\N	\N	\N	\N	\N	\N	f	
25631	6edf83da-da36-4032-97a1-19c42ed20153	Parkerville, Kansas	Parkerville, Kansas	3	0	2013-09-07 13:17:07.951126+02	\N	\N	\N	\N	\N	\N	f	
26794	5f8c8b4a-10ce-4dba-b149-75191897898e	Cowgill	Cowgill	3	0	2013-09-08 02:55:34.706378+02	\N	\N	\N	\N	\N	\N	f	
26801	27d77a60-43bd-4d32-b828-0098a76be081	Carl Junction	Carl Junction	3	0	2013-09-08 02:57:22.109273+02	\N	\N	\N	\N	\N	\N	f	
27868	e8828abe-b59f-43d3-84ab-a9b7d35fc5cb	Portageville	Portageville	3	0	2013-09-08 10:18:57.712517+02	\N	\N	\N	\N	\N	\N	f	
27189	36fe33a3-5cfe-4d44-9273-5032f0852176	Auxvasse	Auxvasse	3	0	2013-09-08 05:52:36.189148+02	\N	\N	\N	\N	\N	\N	f	
27190	18b50ebc-e1cd-487b-82f0-5015d91ad4fe	Crystal Lake Park	Crystal Lake Park	3	0	2013-09-08 05:52:51.94987+02	\N	\N	\N	\N	\N	\N	f	
28358	a5b6aa28-a0f6-4d92-8889-55bea7d391d3	Plankinton, South Dakota	Plankinton, South Dakota	3	0	2013-09-08 16:59:41.087329+02	\N	\N	\N	\N	\N	\N	f	
27889	d4aa82bf-84ae-4a53-8be4-7991d70ac679	Chilhowee	Chilhowee	3	0	2013-09-08 11:27:18.192018+02	\N	\N	\N	\N	\N	\N	f	
27943	d3d96d9d-f544-4c0b-ad46-2e04cd722288	Pontotoc	Pontotoc	3	0	2013-09-08 11:43:16.444177+02	\N	\N	\N	\N	\N	\N	f	
27891	8d2696cc-a510-4a3a-b4f1-869038f0ff61	Puxico	Puxico	3	0	2013-09-08 11:27:50.926327+02	\N	\N	\N	\N	\N	\N	f	
27894	ca138175-5470-4076-bb25-fdc7c44eb7a9	Hallsville	Hallsville	3	0	2013-09-08 11:28:43.960614+02	\N	\N	\N	\N	\N	\N	f	
27944	336cf559-0b4d-47ff-ad61-1652025494d3	Conyers	Conyers	3	0	2013-09-08 11:43:30.747145+02	\N	\N	\N	\N	\N	\N	f	
28148	62783309-bc47-4b4d-9327-2c8843e18c37	Vsevolozhsk	Vsevolozhsk	3	0	2013-09-08 14:32:52.307944+02	\N	\N	\N	\N	\N	\N	f	
28543	75f04e85-73d9-48ec-85fb-691693283a7c	Lone Oak, Texas	Lone Oak, Texas	3	0	2013-09-08 20:43:21.772821+02	\N	\N	\N	\N	\N	\N	f	
29063	fd588bdd-1509-4289-9845-c7c0cf6f8471	Goldsmith	Goldsmith	3	0	2013-09-09 02:11:04.800736+02	\N	\N	\N	\N	\N	\N	f	
28812	3c818bb0-28c9-4d85-b97d-4a949b8a6efd	Golinda	Golinda	3	0	2013-09-09 00:05:27.126964+02	\N	\N	\N	\N	\N	\N	f	
29146	31127d0e-fccc-4ad1-acdc-9d9b6dca9dbd	Stafford	Stafford	3	0	2013-09-09 02:48:20.236528+02	\N	\N	\N	\N	\N	\N	f	
29151	f542be70-8d43-40c4-893a-b8160eb79329	Weston Lakes	Weston Lakes	3	0	2013-09-09 02:49:51.360587+02	\N	\N	\N	\N	\N	\N	f	
29357	a4e23911-bade-4546-931c-cefc151b350b	Phillips	Phillips	3	0	2013-09-09 08:25:46.720565+02	\N	\N	\N	\N	\N	\N	f	
29261	ff7de5b1-8347-4953-a4ed-2854c37881c1	Benwood, West Virginia	Benwood, West Virginia	3	0	2013-09-09 04:23:48.657995+02	\N	\N	\N	\N	\N	\N	f	
29384	277711c3-ffbc-492c-a069-5e1a3c94d0b1	Weyauwega	Weyauwega	3	0	2013-09-09 08:32:16.026027+02	\N	\N	\N	\N	\N	\N	f	
29493	352162fb-ea85-4f9b-8541-b9a0b4708b5f	Oswestry	Oswestry	3	0	2013-09-29 08:17:46.069883+02	\N	\N	\N	\N	\N	\N	f	
29497	1c505917-5b75-4760-a3df-130e676e2aaa	Spalding	Spalding	3	0	2013-09-29 08:19:33.200196+02	\N	\N	\N	\N	\N	\N	f	
29538	832e624d-d680-4f1f-9190-796bbd31b120	Bridgnorth	Bridgnorth	3	0	2013-09-29 08:39:35.121021+02	\N	\N	\N	\N	\N	\N	f	
13475	ee7b6924-7816-4354-b2ef-4111d3580fb8	Pumenengo	Pumenengo	4	0	2013-07-21 18:03:49.000615+02	\N	\N	\N	\N	\N	\N	f	
13483	bec63214-a297-452a-b803-9b10435f7464	Ranzanico	Ranzanico	4	0	2013-07-21 18:05:26.267875+02	\N	\N	\N	\N	\N	\N	f	
13495	1cf1f247-4438-446a-ae98-204510196311	Tavernola Bergamasca	Tavernola Bergamasca	4	0	2013-07-21 18:08:05.284748+02	\N	\N	\N	\N	\N	\N	f	
14227	c8f3d45d-8fc9-4dde-b740-9d7598772f6b	Civitanova Marche	Civitanova Marche	4	0	2013-07-21 20:51:04.259323+02	\N	\N	\N	\N	\N	\N	f	
14836	08bdcef3-3e68-4b9c-bafa-cd0c370a63eb	Fossombrone	Fossombrone	4	0	2013-07-21 23:06:46.495252+02	\N	\N	\N	\N	\N	\N	f	
16086	3eb4895c-8872-445a-ade1-3592bb8ef217	Isolabona	Isolabona	4	0	2013-07-22 02:51:02.199506+02	\N	\N	\N	\N	\N	\N	f	
14855	e4335e4a-3371-4dba-8fff-134dca024830	Altamura	Altamura	4	0	2013-07-21 23:11:31.799504+02	\N	\N	\N	\N	\N	\N	f	
15438	9055e636-ce95-400e-bc10-e7e88c04d2c7	Accumoli	Accumoli	4	0	2013-07-22 00:45:36.700707+02	\N	\N	\N	\N	\N	\N	f	
15442	2be5fadf-a2fa-4e76-a71f-d8c8cd550c2e	Borbona	Borbona	4	0	2013-07-22 00:46:24.391088+02	\N	\N	\N	\N	\N	\N	f	
16867	3612c2af-205f-452b-bb19-0d8f29030358	Lozzo Atestino	Lozzo Atestino	4	0	2013-07-22 04:57:14.982487+02	\N	\N	\N	\N	\N	\N	f	
26085	09afcb0d-61c2-4d0f-8502-3aa74c3f88fa	Park City, Kansas	Park City, Kansas	3	0	2013-09-07 18:06:18.767232+02	\N	\N	\N	\N	\N	\N	f	
18033	ba72c1b5-c18f-45fa-ad54-31a4482b3975	Comazzo	Comazzo	4	0	2013-07-22 07:39:25.623356+02	\N	\N	\N	\N	\N	\N	f	
20237	010edaad-3d48-43c8-9f15-4c6341a11253	Remanzacco	Remanzacco	4	0	2013-07-22 20:32:18.551903+02	\N	\N	\N	\N	\N	\N	f	
26115	f2074fe4-2345-45b3-9538-151cd51b464f	Union	Union	3	0	2013-09-07 20:17:04.286442+02	\N	\N	\N	\N	\N	\N	f	
18189	d87e3247-c055-4acc-9546-6c7cbd25bf20	Busto Garolfo	Busto Garolfo	4	0	2013-07-22 07:58:23.153952+02	\N	\N	\N	\N	\N	\N	f	
20262	6e4434cb-69e7-4d3e-bb8f-7326de64ae9b	Davoli	Davoli	4	0	2013-07-22 20:38:23.831434+02	\N	\N	\N	\N	\N	\N	f	
28193	d78f8c4a-d1b5-47bf-bf18-07924c44b115	Slavyansk-na-Kubani	Slavyansk-na-Kubani	3	0	2013-09-08 14:46:37.230548+02	\N	\N	\N	\N	\N	\N	f	
18214	f66b4243-5f0e-4adb-aa49-5753d3b82eca	Bussero	Bussero	4	0	2013-07-22 08:01:08.197347+02	\N	\N	\N	\N	\N	\N	f	
26425	5631431d-1c6c-4de9-88f4-cf7afd31f86d	Chillicothe, Iowa	Chillicothe, Iowa	3	0	2013-09-08 00:30:56.689172+02	\N	\N	\N	\N	\N	\N	f	
18232	58e325c2-b4d9-4878-b50a-822bdfe5b979	Cappella Cantone	Cappella Cantone	4	0	2013-07-22 08:03:22.72033+02	\N	\N	\N	\N	\N	\N	f	
21121	0e523fe8-9508-4f2f-a5a4-222043960a48	Aquara	Aquara	4	0	2013-07-23 20:59:13.36963+02	\N	\N	\N	\N	\N	\N	f	
18244	91fd9e80-0f87-4f44-815f-d20313b6a0d4	Ca' d'Andrea	Ca' d'Andrea	4	0	2013-07-22 08:04:40.669087+02	\N	\N	\N	\N	\N	\N	f	
18364	32590f2c-144a-42b9-ac9a-1d65e7e564d0	Fiesco	Fiesco	4	0	2013-07-22 08:19:24.265294+02	\N	\N	\N	\N	\N	\N	f	
19013	60d5e818-57ab-4f22-ba0d-d1f663cb1425	Cavaion Veronese	Cavaion Veronese	4	0	2013-07-22 09:41:39.667315+02	\N	\N	\N	\N	\N	\N	f	
21694	64b2e71d-db0a-49ef-ac68-f493d5e7c0a1	Bagnatica	Bagnatica	4	0	2013-07-24 14:55:46.202453+02	\N	\N	\N	\N	\N	\N	f	
27624	1dc2aa8e-e2fd-47f9-a3dd-1106816d27f6	Galion, Ohio	Galion, Ohio	3	0	2013-09-08 09:00:16.084788+02	\N	\N	\N	\N	\N	\N	f	
21697	ee68e7f9-49db-4bf1-ab1b-bd823abb66a9	Brembate di Sopra	Brembate di Sopra	4	0	2013-07-24 14:56:25.874204+02	\N	\N	\N	\N	\N	\N	f	
26446	2943e1a5-62aa-40c8-b03d-07a5f2d37436	Kismet, Kansas	Kismet, Kansas	3	0	2013-09-08 00:36:50.080936+02	\N	\N	\N	\N	\N	\N	f	
26708	5ac74084-f546-4e48-8793-d64f446dc712	Pineville, Missouri	Pineville, Missouri	3	0	2013-09-08 02:33:57.634388+02	\N	\N	\N	\N	\N	\N	f	
22042	f770c526-004f-47b9-a3b1-bdd5cfb1aa78	Gillett Grove	Gillett Grove	3	0	2013-08-07 14:32:04.59947+02	\N	\N	\N	\N	\N	\N	f	
24470	986f7326-1720-44ee-a0f4-1b2bd6e74a48	Hartwell	Hartwell	3	0	2013-09-07 06:53:07.867923+02	\N	\N	\N	\N	\N	\N	f	
24482	915a5576-b30c-4160-93cd-e1185cebb6ac	Smithville, Georgia	Smithville, Georgia	3	0	2013-09-07 06:56:03.83378+02	\N	\N	\N	\N	\N	\N	f	
26764	35081942-8d6a-44a9-875f-ff867a9b12b0	Blackwater	Blackwater	3	0	2013-09-08 02:48:02.005673+02	\N	\N	\N	\N	\N	\N	f	
24491	22f9b42f-eb74-4329-93a7-cd75e1082b76	Walthourville, Georgia	Walthourville, Georgia	3	0	2013-09-07 06:58:22.735455+02	\N	\N	\N	\N	\N	\N	f	
24559	8e509dbf-4cee-405d-ba69-f10d8aba6678	College Park, Georgia	College Park, Georgia	3	0	2013-09-07 07:38:43.763007+02	\N	\N	\N	\N	\N	\N	f	
27871	9854d529-f20c-4065-a8ed-1920b2d1ce73	Cottleville	Cottleville	3	0	2013-09-08 10:19:45.806119+02	\N	\N	\N	\N	\N	\N	f	
24981	dbe3028e-b3de-4322-8e85-b7892425d6f9	Concordia	Concordia	3	0	2013-09-07 09:31:59.358977+02	\N	\N	\N	\N	\N	\N	f	
27191	2e8008e4-3399-4520-bc77-349297205fca	Piedmont	Piedmont	3	0	2013-09-08 05:53:07.573496+02	\N	\N	\N	\N	\N	\N	f	
24998	42f98ded-adc5-4629-97e1-b685ecaff14f	Promise City	Promise City	3	0	2013-09-07 09:37:02.144688+02	\N	\N	\N	\N	\N	\N	f	
25613	63263955-08ce-4411-99aa-698a018db17e	Gove City	Gove City	3	0	2013-09-07 13:12:26.173237+02	\N	\N	\N	\N	\N	\N	f	
27510	0afb09a2-be09-46a4-8914-0aa4093f10e2	Medina, North Dakota	Medina, North Dakota	3	0	2013-09-08 08:28:43.693992+02	\N	\N	\N	\N	\N	\N	f	
27878	5764248e-7148-4f75-b9cb-8244f54f3809	St. Robert	St. Robert	3	0	2013-09-08 10:21:41.139937+02	\N	\N	\N	\N	\N	\N	f	
27561	cf8b4ddf-a88e-428f-bc77-dd7b6325a919	Springbrook, North Dakota	Springbrook, North Dakota	3	0	2013-09-08 08:41:25.825267+02	\N	\N	\N	\N	\N	\N	f	
27577	618e81b1-66a0-41d8-923a-9ee9b5bdcb83	Osnabrock, North Dakota	Osnabrock, North Dakota	3	0	2013-09-08 08:46:02.886268+02	\N	\N	\N	\N	\N	\N	f	
28359	63407e52-9f0e-4176-bac9-a7c2994fb8bc	Gallaway, Tennessee	Gallaway, Tennessee	3	0	2013-09-08 16:59:58.020939+02	\N	\N	\N	\N	\N	\N	f	
27604	a894d754-b40d-4c7e-92fa-36cf29b42264	Grove City, Ohio	Grove City, Ohio	3	0	2013-09-08 08:54:49.780677+02	\N	\N	\N	\N	\N	\N	f	
27890	83928c17-d17c-45ea-8427-82506f056a38	Belton	Belton	3	0	2013-09-08 11:27:34.536057+02	\N	\N	\N	\N	\N	\N	f	
28149	c7fd94c7-abf2-4033-aa1d-8a0d28d701b5	Kamennogorsk	Kamennogorsk	3	0	2013-09-08 14:33:08.092183+02	\N	\N	\N	\N	\N	\N	f	
28545	481dff5e-2fd6-4a87-8160-ecfc505ea2d9	Wills Point, Texas	Wills Point, Texas	3	0	2013-09-08 20:43:58.634772+02	\N	\N	\N	\N	\N	\N	f	
28162	f8abf62a-941c-4071-b555-83f320ae94c5	Belorechensk	Belorechensk	3	0	2013-09-08 14:37:05.524993+02	\N	\N	\N	\N	\N	\N	f	
28845	69a130e2-895f-479c-916d-8764b9ba86de	Rule	Rule	3	0	2013-09-09 00:14:27.587692+02	\N	\N	\N	\N	\N	\N	f	
28813	a4370e1a-bdf5-477b-a7e2-ef99489403f8	Waller	Waller	3	0	2013-09-09 00:05:43.042385+02	\N	\N	\N	\N	\N	\N	f	
29358	4fa43728-bc82-4693-b93f-812159277162	Niagara	Niagara	3	0	2013-09-09 08:26:00.558805+02	\N	\N	\N	\N	\N	\N	f	
28837	9ef4ae4c-f95f-4431-ba22-1c050d387762	Woodbranch	Woodbranch	3	0	2013-09-09 00:12:15.398809+02	\N	\N	\N	\N	\N	\N	f	
29262	1867ff1c-280a-4164-8d17-d94e34ab65fb	New Martinsville, West Virginia	New Martinsville, West Virginia	3	0	2013-09-09 04:24:08.048533+02	\N	\N	\N	\N	\N	\N	f	
29070	f2a42620-2ba2-44e5-868b-b37a6cebecc1	Edcouch	Edcouch	3	0	2013-09-09 02:13:06.693402+02	\N	\N	\N	\N	\N	\N	f	
29494	6588269c-b549-4a09-98fe-99bd57741cfc	Ilkley	Ilkley	3	0	2013-09-29 08:18:12.99238+02	\N	\N	\N	\N	\N	\N	f	
29127	42e2c940-b2e5-4986-9cda-f29b2d85d783	Lacey, Washington	Lacey, Washington	3	0	2013-09-09 02:40:50.764263+02	\N	\N	\N	\N	\N	\N	f	
18063	911a7bdf-d1d6-4f23-a3a7-889831ffc4b4	San Martino dall'Argine	San Martino dall'Argine	4	0	2013-09-14 04:00:31.149703+02	\N	\N	\N	\N	\N	\N	f	
29556	2d23bfd3-e8e3-41a2-b6e2-9333ec289fed	Market Rasen	Market Rasen	3	0	2013-09-29 14:27:53.116375+02	\N	\N	\N	\N	\N	\N	f	
29652	7a0c0621-ea93-4ba2-89ec-2bd40d0b6645	Schouweiler	Schouweiler	3	0	2013-10-11 20:29:04.037194+02	\N	\N	\N	\N	\N	\N	f	
13487	1643b0a7-d7d2-4c61-997b-7979e9698faa	Parre	Parre	4	0	2013-07-21 18:06:15.349293+02	\N	\N	\N	\N	\N	\N	f	
14240	48be05a3-27cf-4cae-94d0-ec63abb6eeb3	Viterbo	Viterbo	4	0	2013-07-21 20:53:44.829917+02	\N	\N	\N	\N	\N	\N	f	
14251	2b280994-4811-48c6-bb8f-cb7f14d7cd96	Nuoro	Nuoro	4	0	2013-07-21 20:56:33.337187+02	\N	\N	\N	\N	\N	\N	f	
16087	290d5eba-fd9b-4a3a-a82f-66e8768942be	Pieve di Teco	Pieve di Teco	4	0	2013-07-22 02:51:03.711148+02	\N	\N	\N	\N	\N	\N	f	
14837	5a93e105-dddc-414e-87bc-07d7fe3ba0d5	Frascati	Frascati	4	0	2013-07-21 23:06:58.254061+02	\N	\N	\N	\N	\N	\N	f	
14842	504abb84-e4c3-4053-9742-892aeb193781	Caraglio	Caraglio	4	0	2013-07-21 23:08:15.711894+02	\N	\N	\N	\N	\N	\N	f	
15447	2d70b840-8d0a-4310-945d-4f77218555cc	Cittareale	Cittareale	4	0	2013-07-22 00:47:34.107363+02	\N	\N	\N	\N	\N	\N	f	
16118	1682ed38-df31-4d4c-b42e-f3fdb57eb6f0	Monterosso al Mare	Monterosso al Mare	4	0	2013-07-22 02:55:26.875495+02	\N	\N	\N	\N	\N	\N	f	
18018	ba016420-372e-48fc-aaf4-0834208cd09c	Abbadia Lariana	Abbadia Lariana	4	0	2013-07-22 07:37:50.21368+02	\N	\N	\N	\N	\N	\N	f	
16121	aaf218d9-c5c4-4987-a67c-81bfdcf546d7	Castelnuovo Magra	Castelnuovo Magra	4	0	2013-07-22 02:55:42.587648+02	\N	\N	\N	\N	\N	\N	f	
16146	32917249-9657-43c0-a43f-661eb732362f	Beverino	Beverino	4	0	2013-07-22 02:58:24.75776+02	\N	\N	\N	\N	\N	\N	f	
25616	79690384-377b-4d39-954d-64adbf343153	Columbus	Columbus	3	0	2013-09-07 13:13:11.848766+02	\N	\N	\N	\N	\N	\N	f	
16868	15df368a-0580-4174-89c3-449a3152f4fd	San Giorgio in Bosco	San Giorgio in Bosco	4	0	2013-07-22 04:57:32.531557+02	\N	\N	\N	\N	\N	\N	f	
18031	714bcc60-1abb-411f-937b-8c709af08ca0	Borgoforte	Borgoforte	4	0	2013-07-22 07:39:11.184394+02	\N	\N	\N	\N	\N	\N	f	
20238	af5a0de1-14ae-4850-93b3-4edf10d6e156	Sedegliano	Sedegliano	4	0	2013-07-22 20:32:31.023456+02	\N	\N	\N	\N	\N	\N	f	
18047	5f0def46-0b19-491b-a9ad-1ff1aeac852f	Bagnolo San Vito	Bagnolo San Vito	4	0	2013-07-22 07:41:41.111399+02	\N	\N	\N	\N	\N	\N	f	
18064	8bd5264c-f792-40bf-b941-13fa944772cb	Brembio	Brembio	4	0	2013-07-22 07:43:35.838877+02	\N	\N	\N	\N	\N	\N	f	
18069	42f07d8b-860a-4ebc-a9f1-f341250db246	Massalengo	Massalengo	4	0	2013-07-22 07:44:15.984662+02	\N	\N	\N	\N	\N	\N	f	
20240	bd544040-066e-40ac-baaf-b37763baf769	Santa Maria la Longa	Santa Maria la Longa	4	0	2013-07-22 20:32:55.889279+02	\N	\N	\N	\N	\N	\N	f	
18081	55996a13-653b-459e-a1d0-7c10f5068849	Guidizzolo	Guidizzolo	4	0	2013-07-22 07:45:36.732928+02	\N	\N	\N	\N	\N	\N	f	
27515	cc9930d9-4708-43ce-8d81-1ac4f1103f20	Buchanan, North Dakota	Buchanan, North Dakota	3	0	2013-09-08 08:30:03.232852+02	\N	\N	\N	\N	\N	\N	f	
26086	e318cb70-4de7-41e2-a045-2643b4dc3b4c	Algonac	Algonac	3	0	2013-09-07 18:06:34.253248+02	\N	\N	\N	\N	\N	\N	f	
18340	22100ce2-0f48-46f8-ae8e-726cdfcefa2f	Grumello Cremonese ed Uniti	Grumello Cremonese ed Uniti	4	0	2013-07-22 08:16:26.090685+02	\N	\N	\N	\N	\N	\N	f	
20273	9295e260-4c33-49cd-8899-52861e345cf0	Martirano	Martirano	4	0	2013-07-22 20:40:44.373624+02	\N	\N	\N	\N	\N	\N	f	
18341	73e212ee-313b-44d9-a476-3344b5314ffe	Bernate Ticino	Bernate Ticino	4	0	2013-07-22 08:16:27.384737+02	\N	\N	\N	\N	\N	\N	f	
18376	4a679924-c18e-451b-8ca6-65995e9fe799	Corbetta	Corbetta	4	0	2013-07-22 08:21:01.870743+02	\N	\N	\N	\N	\N	\N	f	
20310	57342ae6-0252-4e9a-b20b-3338bc5db368	Albi, Calabria	Albi, Calabria	4	0	2013-07-22 20:48:29.011317+02	\N	\N	\N	\N	\N	\N	f	
19015	db193ebb-f312-429c-a4ad-697c253f13c4	Oderzo	Oderzo	4	0	2013-07-22 09:41:52.449215+02	\N	\N	\N	\N	\N	\N	f	
26116	2c76181c-b814-4b3a-b001-9ab5f9746e59	Franklin	Franklin	3	0	2013-09-07 20:17:21.406537+02	\N	\N	\N	\N	\N	\N	f	
20313	11d9d0b8-5a2d-437f-9484-0bc22a215a27	Platania	Platania	4	0	2013-07-22 20:49:04.832977+02	\N	\N	\N	\N	\N	\N	f	
21122	357ca753-4bd0-4581-b59a-06bed8c49c16	Cannalonga	Cannalonga	4	0	2013-07-23 20:59:26.331475+02	\N	\N	\N	\N	\N	\N	f	
21696	71aa386b-cb17-4f4d-bc2a-18b767c2fb40	Berzo San Fermo	Berzo San Fermo	4	0	2013-07-24 14:56:12.675853+02	\N	\N	\N	\N	\N	\N	f	
26194	d2530a33-40fc-4571-9ab9-cac02c5d778f	New Strawn	New Strawn	3	0	2013-09-07 20:41:56.289802+02	\N	\N	\N	\N	\N	\N	f	
21710	d8a3116f-685a-4e10-8221-42ee3e918fee	Bianzano	Bianzano	4	0	2013-07-24 15:00:05.184561+02	\N	\N	\N	\N	\N	\N	f	
27544	435571a6-6950-4afa-a7bc-8fc149d3818c	Hamilton, North Dakota	Hamilton, North Dakota	3	0	2013-09-08 08:37:13.7149+02	\N	\N	\N	\N	\N	\N	f	
26426	1f6ad7f3-bf97-475f-a831-ac6e9bcb332d	Waynesville, Missouri	Waynesville, Missouri	3	0	2013-09-08 00:31:14.790258+02	\N	\N	\N	\N	\N	\N	f	
22043	81688060-4823-473a-95cc-873996b41be2	Hampton	Hampton	3	0	2013-08-07 14:32:17.605541+02	\N	\N	\N	\N	\N	\N	f	
22077	7a7947da-64fd-4e9b-908d-dd1e02e5520d	Galt	Galt	3	0	2013-08-07 14:40:32.809559+02	\N	\N	\N	\N	\N	\N	f	
22079	867b934b-675c-4d08-99a2-4525d517723e	Coon Rapids	Coon Rapids	3	0	2013-08-07 14:41:03.781553+02	\N	\N	\N	\N	\N	\N	f	
26710	11a456d5-db6a-4b29-bd8f-c3fe84341a76	Wilder, Kentucky	Wilder, Kentucky	3	0	2013-09-08 02:34:26.467559+02	\N	\N	\N	\N	\N	\N	f	
24188	1bd9c59d-3532-4851-9eb5-980a4e9e39af	Oviedo	Oviedo	3	0	2013-09-07 03:10:15.963928+02	\N	\N	\N	\N	\N	\N	f	
24475	bb06914c-c08a-4a08-82df-a8fb82f4c630	Millen, Georgia	Millen, Georgia	3	0	2013-09-07 06:54:20.000211+02	\N	\N	\N	\N	\N	\N	f	
28381	57a38569-3786-4949-b5f7-58a22bc8165b	South Pittsburg, Tennessee	South Pittsburg, Tennessee	3	0	2013-09-08 17:06:23.186404+02	\N	\N	\N	\N	\N	\N	f	
24982	620acd72-ac81-4ab1-9927-22b63be1f668	Iola	Iola	3	0	2013-09-07 09:32:12.722836+02	\N	\N	\N	\N	\N	\N	f	
27636	c921c254-cfc0-47b3-b748-c8c9f7a33d85	Elliott, North Dakota	Elliott, North Dakota	3	0	2013-09-08 09:04:10.858807+02	\N	\N	\N	\N	\N	\N	f	
26758	a525f131-7176-4c27-a75a-022a395d5832	Mount Hope, Kansas	Mount Hope, Kansas	3	0	2013-09-08 02:46:32.724851+02	\N	\N	\N	\N	\N	\N	f	
27194	0b2f7b1a-3628-40a3-b559-225c130c0658	Humboldt	Humboldt	3	0	2013-09-08 05:53:57.703771+02	\N	\N	\N	\N	\N	\N	f	
28152	e078efbc-b582-4057-9c0c-e0679fd14fe2	Syasstroy	Syasstroy	3	0	2013-09-08 14:33:57.586012+02	\N	\N	\N	\N	\N	\N	f	
27213	49c888a8-dbf1-4573-a78d-018dc4b7d9dd	Randolph	Randolph	3	0	2013-09-08 05:59:28.780689+02	\N	\N	\N	\N	\N	\N	f	
27683	25c1695b-ec3f-4685-b742-d390cfbd1c57	Cushing	Cushing	3	0	2013-09-08 09:22:56.869495+02	\N	\N	\N	\N	\N	\N	f	
27259	166823c4-ed40-40c3-8c9e-04de2516c17f	Gerald	Gerald	3	0	2013-09-08 06:12:05.18984+02	\N	\N	\N	\N	\N	\N	f	
27872	48236f5c-edeb-4951-a1b4-0da6ad5c1e6b	Ravenna	Ravenna	3	0	2013-09-08 10:20:03.290361+02	\N	\N	\N	\N	\N	\N	f	
28158	88cac6c7-5c8b-4ba4-8b03-6b9c2c97c6ee	Kubinka	Kubinka	3	0	2013-09-08 14:35:39.822715+02	\N	\N	\N	\N	\N	\N	f	
27880	b3d59aa1-c494-4a8a-a287-a328b51c4aac	Oakland	Oakland	3	0	2013-09-08 10:22:15.568139+02	\N	\N	\N	\N	\N	\N	f	
29077	a4491d79-0044-4ede-8e51-e1a309391ebc	Morton	Morton	3	0	2013-09-09 02:18:09.779502+02	\N	\N	\N	\N	\N	\N	f	
27893	d0693e33-0570-4d33-bd83-40dc75597dd1	Southwest City	Southwest City	3	0	2013-09-08 11:28:24.750399+02	\N	\N	\N	\N	\N	\N	f	
28546	9c0a7d5d-9610-4edb-bb3c-5804ed4be9be	La Feria	La Feria	3	0	2013-09-08 20:44:13.154035+02	\N	\N	\N	\N	\N	\N	f	
28360	60070013-07b5-47a7-af24-e70183ba869e	Philadelphia, Tennessee	Philadelphia, Tennessee	3	0	2013-09-08 17:00:17.657413+02	\N	\N	\N	\N	\N	\N	f	
28814	87983715-1de5-4c67-999f-f797549f9ee8	Hart	Hart	3	0	2013-09-09 00:05:58.889581+02	\N	\N	\N	\N	\N	\N	f	
28632	f42217a8-2d10-4e01-ad95-c155d8cc96b4	Rose Hill Acres	Rose Hill Acres	3	0	2013-09-08 21:08:06.398134+02	\N	\N	\N	\N	\N	\N	f	
28859	0bf51d79-59db-4e1c-a250-026615712324	Graham	Graham	3	0	2013-09-09 00:18:18.572584+02	\N	\N	\N	\N	\N	\N	f	
29071	558c331d-5f39-4ae1-bf05-ce8e1d9c9871	Forsan	Forsan	3	0	2013-09-09 02:13:24.081214+02	\N	\N	\N	\N	\N	\N	f	
29099	42d8c333-ce64-4286-8d32-6f89d8b7b8b0	Palouse	Palouse	3	0	2013-09-09 02:24:42.52189+02	\N	\N	\N	\N	\N	\N	f	
29136	78d87b09-5113-4272-aaaf-d42b74c2f317	Stowell	Stowell	3	0	2013-09-09 02:45:06.733846+02	\N	\N	\N	\N	\N	\N	f	
29152	4ddba7f5-1b38-4672-9744-784fe688c9c6	Marquez	Marquez	3	0	2013-09-09 02:50:09.833335+02	\N	\N	\N	\N	\N	\N	f	
29263	af018741-e20c-4a6a-9222-75fd05c5bdef	Ronceverte, West Virginia	Ronceverte, West Virginia	3	0	2013-09-09 04:24:23.815309+02	\N	\N	\N	\N	\N	\N	f	
29360	49dfd8aa-ad99-4a0b-9532-40ec121f7db4	Sparta	Sparta	3	0	2013-09-09 08:26:28.056848+02	\N	\N	\N	\N	\N	\N	f	
29368	91de6b2b-0c3b-46f1-8e85-c5ab0e23e14c	Park Falls	Park Falls	3	0	2013-09-09 08:28:23.759641+02	\N	\N	\N	\N	\N	\N	f	
29496	39558a32-af09-4c02-9315-d36032a16a01	Washington, Tyne and Wear	Washington, Tyne and Wear	3	0	2013-09-29 08:18:45.156791+02	\N	\N	\N	\N	\N	\N	f	
29498	4381bbae-e3e1-495a-961d-dfc3971deb04	Cinderford	Cinderford	3	0	2013-09-29 08:19:55.910496+02	\N	\N	\N	\N	\N	\N	f	
13491	1beeab65-3fa4-46cb-a2f7-a48a1afcaae0	Rota d'Imagna	Rota d'Imagna	4	0	2013-07-21 18:07:16.631112+02	\N	\N	\N	\N	\N	\N	f	
14241	b5710647-5c14-4f72-b2d8-9a49b7d7a508	Rieti	Rieti	4	0	2013-07-21 20:53:56.457+02	\N	\N	\N	\N	\N	\N	f	
14271	40b3b7c2-0991-481a-84d5-deabe7d0c854	Bibbona	Bibbona	4	0	2013-07-21 21:01:31.240176+02	\N	\N	\N	\N	\N	\N	f	
16089	36459b49-1b14-4a2e-92d3-2b1ab114b8ff	Condino	Condino	4	0	2013-07-22 02:51:19.232864+02	\N	\N	\N	\N	\N	\N	f	
14840	b064f8b7-37ea-4619-aeaf-ba80d3670818	Ventimiglia	Ventimiglia	4	0	2013-07-21 23:07:46.406731+02	\N	\N	\N	\N	\N	\N	f	
16092	f86a339b-84c2-439f-b322-2c1b769c6dc1	Diano Castello	Diano Castello	4	0	2013-07-22 02:51:42.234788+02	\N	\N	\N	\N	\N	\N	f	
18026	a8f22a82-568b-4468-a7e1-337316055a55	Cusago	Cusago	4	0	2013-07-22 07:38:38.887667+02	\N	\N	\N	\N	\N	\N	f	
16102	796739a0-acd9-4a2b-a9ea-9c483f76ef36	Pietrabruna	Pietrabruna	4	0	2013-07-22 02:53:22.602147+02	\N	\N	\N	\N	\N	\N	f	
27253	2a2b0d4b-5d31-4024-a688-8981a031a5e7	Hazelwood	Hazelwood	3	0	2013-09-08 06:10:24.148685+02	\N	\N	\N	\N	\N	\N	f	
16156	49532c72-49b8-44ae-ae67-ee328e80542f	Bormida, Liguria	Bormida, Liguria	4	0	2013-07-22 02:59:43.237709+02	\N	\N	\N	\N	\N	\N	f	
26093	d5aff269-d914-45d3-99e7-37023957dcdb	Hyden, Kentucky	Hyden, Kentucky	3	0	2013-09-07 18:08:19.375542+02	\N	\N	\N	\N	\N	\N	f	
16869	baa65116-537a-4c47-bba9-c65336062f67	Rovolon	Rovolon	4	0	2013-07-22 04:57:46.554614+02	\N	\N	\N	\N	\N	\N	f	
20239	4848640b-6874-467d-ad7e-f13a6bc7a16c	San Giovanni al Natisone	San Giovanni al Natisone	4	0	2013-07-22 20:32:43.499768+02	\N	\N	\N	\N	\N	\N	f	
18049	01b65b90-68b9-438e-89b8-a22cc6071585	Schivenoglia	Schivenoglia	4	0	2013-07-22 07:41:57.949977+02	\N	\N	\N	\N	\N	\N	f	
18090	5cce5c87-23fc-4785-a9b9-d86a4d11a3ca	Airuno	Airuno	4	0	2013-07-22 07:46:38.07336+02	\N	\N	\N	\N	\N	\N	f	
18096	2b627b17-ab30-458a-a373-31368739dace	Cerro al Lambro	Cerro al Lambro	4	0	2013-07-22 07:47:17.043211+02	\N	\N	\N	\N	\N	\N	f	
21700	573cf4ba-9874-4ebb-94d4-b528262df925	Rocca San Casciano	Rocca San Casciano	4	0	2013-07-24 14:57:04.211365+02	\N	\N	\N	\N	\N	\N	f	
18102	a94265fd-3d28-484a-921e-442fb1272df3	Orio Litta	Orio Litta	4	0	2013-07-22 07:47:56.804122+02	\N	\N	\N	\N	\N	\N	f	
26117	f4e26fac-b7dd-4885-808d-2d69343a3da0	Ruleville, Mississippi	Ruleville, Mississippi	3	0	2013-09-07 20:18:07.483567+02	\N	\N	\N	\N	\N	\N	f	
18307	8186df84-47fc-4cd6-be00-71d77f6c13c6	Corte de' Frati	Corte de' Frati	4	0	2013-07-22 08:12:16.600944+02	\N	\N	\N	\N	\N	\N	f	
21712	c78505fb-d2dd-451d-b33a-c6df64dc92bc	Roncofreddo	Roncofreddo	4	0	2013-07-24 15:00:37.040352+02	\N	\N	\N	\N	\N	\N	f	
18330	ae9aac41-ea05-4b3c-9f6e-c03f238a1922	Paullo	Paullo	4	0	2013-07-22 08:15:17.662159+02	\N	\N	\N	\N	\N	\N	f	
19019	eff51d59-3483-4a41-a2f9-9885265f5f4a	Petrosino	Petrosino	4	0	2013-07-22 09:42:25.128871+02	\N	\N	\N	\N	\N	\N	f	
21714	888497bd-6055-47cd-9e72-7ae7e3c7a425	Blello	Blello	4	0	2013-07-24 15:01:11.153681+02	\N	\N	\N	\N	\N	\N	f	
26119	19a61f67-86e3-4438-ad4c-4511ecb087cc	Mexico	Mexico	3	0	2013-09-07 20:19:44.133265+02	\N	\N	\N	\N	\N	\N	f	
26164	70704e55-ac7f-404c-9daf-3cdf251caa56	Crab Orchard, Kentucky	Crab Orchard, Kentucky	3	0	2013-09-07 20:34:05.669584+02	\N	\N	\N	\N	\N	\N	f	
27257	e35e0172-928f-43f0-9280-a5ebfd0b14ba	Princeton	Princeton	3	0	2013-09-08 06:11:33.122388+02	\N	\N	\N	\N	\N	\N	f	
22044	fb0047d8-fa44-498a-b98c-67f71e4ba077	Exline	Exline	3	0	2013-08-07 14:32:30.779588+02	\N	\N	\N	\N	\N	\N	f	
26191	c1a1e6b8-5e1d-465b-942e-51bc113fd24a	Fort Benton	Fort Benton	3	0	2013-09-07 20:41:11.537155+02	\N	\N	\N	\N	\N	\N	f	
22097	6ee149f0-cc21-4433-a7d4-adc17d5d7c7a	Allison, Iowa	Allison, Iowa	3	0	2013-08-07 14:51:05.056559+02	\N	\N	\N	\N	\N	\N	f	
24189	8c90cd4b-c08d-4285-9f37-1aef7e311140	Forsyth, Georgia	Forsyth, Georgia	3	0	2013-09-07 03:10:30.781273+02	\N	\N	\N	\N	\N	\N	f	
24476	3efe25df-9504-4e32-be6b-69de5ce4d077	Trenton	Trenton	3	0	2013-09-07 06:54:34.046343+02	\N	\N	\N	\N	\N	\N	f	
26427	600faa5a-3055-4759-8c0a-b44bfd5ceb8d	Shaw	Shaw	3	0	2013-09-08 00:31:29.865257+02	\N	\N	\N	\N	\N	\N	f	
24519	8585a4a9-3b6f-42c7-b2fe-d9cd78ffd628	Forest Park	Forest Park	3	0	2013-09-07 07:06:21.816399+02	\N	\N	\N	\N	\N	\N	f	
24520	9b440666-e320-43c0-82e4-42e50913c114	Fairburn	Fairburn	3	0	2013-09-07 07:06:36.823764+02	\N	\N	\N	\N	\N	\N	f	
29264	4b8ceb1b-9269-441c-a770-33f566967007	Chester, West Virginia	Chester, West Virginia	3	0	2013-09-09 04:24:37.254862+02	\N	\N	\N	\N	\N	\N	f	
24541	8c0380f4-25c4-4bcb-b62f-03b7b7c823bd	Union City, Indiana	Union City, Indiana	3	0	2013-09-07 07:32:53.60013+02	\N	\N	\N	\N	\N	\N	f	
26714	33932887-2543-49b2-abf4-27e21c993fbf	Monroe, Louisiana	Monroe, Louisiana	3	0	2013-09-08 02:35:36.180563+02	\N	\N	\N	\N	\N	\N	f	
24984	356b23f7-d9e5-4eac-b3cb-c9de724ee59b	Moline, Kansas	Moline, Kansas	3	0	2013-09-07 09:32:45.27897+02	\N	\N	\N	\N	\N	\N	f	
25621	91cb17bf-6ed0-469b-a656-f395990c921e	Johnson City	Johnson City	3	0	2013-09-07 13:14:28.3249+02	\N	\N	\N	\N	\N	\N	f	
27264	25148f34-8fc5-4c6b-8117-d54f882a0672	McKittrick	McKittrick	3	0	2013-09-08 06:13:22.012202+02	\N	\N	\N	\N	\N	\N	f	
25628	c3610e75-a2d2-4520-8312-e6a9e7a14c70	Lebo	Lebo	3	0	2013-09-07 13:16:17.397768+02	\N	\N	\N	\N	\N	\N	f	
25664	32a07919-4295-4927-a48a-bbe5ca217705	Truesdale	Truesdale	3	0	2013-09-07 13:25:50.568606+02	\N	\N	\N	\N	\N	\N	f	
26724	4d1da73a-1510-4bde-b84c-656fb089617e	Marceline, Missouri	Marceline, Missouri	3	0	2013-09-08 02:38:11.20909+02	\N	\N	\N	\N	\N	\N	f	
28550	32fe19c6-1810-49ef-a136-59136ce56178	Jacksonville, Texas	Jacksonville, Texas	3	0	2013-09-08 20:45:20.326778+02	\N	\N	\N	\N	\N	\N	f	
26772	22cd4c48-be6d-41c3-a296-68dca2586687	St. Paul, Nebraska	St. Paul, Nebraska	3	0	2013-09-08 02:50:00.557809+02	\N	\N	\N	\N	\N	\N	f	
27516	07e152ba-1a26-4503-ac13-e9ec372e4a78	Kensal, North Dakota	Kensal, North Dakota	3	0	2013-09-08 08:30:18.055504+02	\N	\N	\N	\N	\N	\N	f	
27195	8ce5d06d-0ee8-4bbb-8528-01ed093dcf74	Tecumseh	Tecumseh	3	0	2013-09-08 05:54:12.00629+02	\N	\N	\N	\N	\N	\N	f	
27209	fe795d4d-9625-4e3f-8ac4-ff0a3018794a	Harrisonville	Harrisonville	3	0	2013-09-08 05:58:12.653211+02	\N	\N	\N	\N	\N	\N	f	
27875	9997ec03-61ba-47ad-a6c9-89327760b127	Neelyville	Neelyville	3	0	2013-09-08 10:20:52.477221+02	\N	\N	\N	\N	\N	\N	f	
28598	70c204d7-e6e9-44b7-823e-0742bd067f5b	Troup	Troup	3	0	2013-09-08 20:59:22.95271+02	\N	\N	\N	\N	\N	\N	f	
27895	6d2b6be3-8831-460b-93d4-4dc4c8f3478b	Hayti Heights	Hayti Heights	3	0	2013-09-08 11:29:05.127859+02	\N	\N	\N	\N	\N	\N	f	
28155	625ca870-2d0e-425a-9db2-d61277c02b06	Konstantinovsk	Konstantinovsk	3	0	2013-09-08 14:34:42.806529+02	\N	\N	\N	\N	\N	\N	f	
28362	66337de2-78ff-447b-a9c1-7f0ef315a091	Delmont, South Dakota	Delmont, South Dakota	3	0	2013-09-08 17:00:50.540631+02	\N	\N	\N	\N	\N	\N	f	
29361	a0893d42-2c1a-4e5b-91f3-b362ba477706	Princeton	Princeton	3	0	2013-09-09 08:26:42.263582+02	\N	\N	\N	\N	\N	\N	f	
28819	5f290f57-9601-40bb-8e4b-51cf6efb6d1b	Ross	Ross	3	0	2013-09-09 00:07:23.739368+02	\N	\N	\N	\N	\N	\N	f	
29073	33ac1085-f875-4873-8924-83eddaf5026b	Sansom Park	Sansom Park	3	0	2013-09-09 02:13:59.24007+02	\N	\N	\N	\N	\N	\N	f	
29557	1c7b69a5-112d-4a13-85cd-1dc16ceec970	Pergamino	Pergamino	3	0	2013-09-29 14:29:40.931392+02	\N	\N	\N	\N	\N	\N	f	
29393	49b1cf1e-780f-47fe-bb1d-8247dbdcfdae	St. Francis	St. Francis	3	0	2013-09-09 08:36:09.88134+02	\N	\N	\N	\N	\N	\N	f	
29499	5df1d232-8813-466e-bf9f-f6f536e67ab6	Newlyn	Newlyn	3	0	2013-09-29 08:20:23.31024+02	\N	\N	\N	\N	\N	\N	f	
29569	76659c8a-54c8-4fab-af10-c92a8d6d3f25	Las Parejas, Santa Fe	Las Parejas, Santa Fe	3	0	2013-09-29 23:28:25.893235+02	\N	\N	\N	\N	\N	\N	f	
29562	1d976d7a-23a7-4bbc-af31-b9b2e32aa714	Chilecito	Chilecito	3	0	2013-09-29 17:17:56.17811+02	\N	\N	\N	\N	\N	\N	f	
29567	f23f275d-4a40-494a-9bf8-4b9a0ec6ee95	Santa Ana	Santa Ana	3	0	2013-09-29 20:21:34.082285+02	\N	\N	\N	\N	\N	\N	f	
29570	5d42d263-cd11-4d04-929a-c76a7a09f924	Minnetonka Beach	Minnetonka Beach	3	0	2013-09-30 05:22:07.324354+02	\N	\N	\N	\N	\N	\N	f	
5089	a03385a0-da43-41f9-bbfc-741b949c2e0c	Chennai	Chennai	3	0	2013-09-30 10:28:41.299794+02	\N	\N	\N	\N	\N	\N	f	
29574	03082fd2-94bf-436f-97be-47d1ac74d523	Saint-Léonard-d'Aston	Saint-Léonard-d'Aston	3	0	2013-09-30 08:22:59.268772+02	\N	\N	\N	\N	\N	\N	f	
2492	76c77b6c-f1e1-4a58-8fe1-01a7efadd1f7	T’bilisi	T’bilisi	3	0	2013-09-30 15:35:09.565855+02	\N	\N	\N	\N	\N	\N	f	
29581	766dac08-140e-41fb-83fe-5634ba42377b	Fergana	Fergana	3	0	2013-09-30 14:25:05.112712+02	\N	\N	\N	\N	\N	\N	f	
9348	0ebd027a-a481-4f70-b450-95e51290954a	Kuressaare	Kuressaare	3	0	2013-09-30 16:20:40.997314+02	\N	\N	\N	\N	\N	\N	f	
3813	f0b226db-8e22-40e6-9a53-d839cfec6228	Cardiff	Cardiff	3	0	2013-09-30 19:26:07.559949+02	\N	\N	\N	\N	\N	\N	f	
29584	68c9de2d-cea6-42e4-b765-b852979e289f	Falcon Heights	Falcon Heights	3	0	2013-09-30 20:17:10.601598+02	\N	\N	\N	\N	\N	\N	f	
13493	525acd59-d5a7-421a-8924-9d232ef3e9cf	Sovere	Sovere	4	0	2013-07-21 18:07:40.962761+02	\N	\N	\N	\N	\N	\N	f	
13498	69442f8f-4d79-4549-a311-2470264ed49a	Trescore Balneario	Trescore Balneario	4	0	2013-07-21 18:08:42.142838+02	\N	\N	\N	\N	\N	\N	f	
13499	a03a65d1-ba8c-4e3f-871d-9d4f965fdafa	Roncola	Roncola	4	0	2013-07-21 18:08:54.602058+02	\N	\N	\N	\N	\N	\N	f	
14246	011255d6-695e-4403-ba88-e306b9600642	Carbonia	Carbonia	4	0	2013-07-21 20:55:18.522695+02	\N	\N	\N	\N	\N	\N	f	
13502	c809ea58-aaf0-4389-aea2-6a801dabcddc	Suisio	Suisio	4	0	2013-07-21 18:09:32.53102+02	\N	\N	\N	\N	\N	\N	f	
13504	2a9f431d-4859-4f26-b288-4d7c90a17e71	Ubiale Clanezzo	Ubiale Clanezzo	4	0	2013-07-21 18:09:58.183526+02	\N	\N	\N	\N	\N	\N	f	
13524	ffb345f1-e7c1-4f77-9da0-c0257bfce389	Roncobello	Roncobello	4	0	2013-07-21 18:14:20.007089+02	\N	\N	\N	\N	\N	\N	f	
14844	e05fa8af-3c66-47e9-af37-55c5ec7f90b6	Caramagna Piemonte	Caramagna Piemonte	4	0	2013-07-21 23:08:43.216031+02	\N	\N	\N	\N	\N	\N	f	
13526	f6a616cc-2ed5-4009-8e43-c036d24d6fb7	Spinone al Lago	Spinone al Lago	4	0	2013-07-21 18:14:44.728947+02	\N	\N	\N	\N	\N	\N	f	
16090	9a521836-78e6-47e4-98ec-8791b629a6a3	Comano Terme	Comano Terme	4	0	2013-07-22 02:51:30.190386+02	\N	\N	\N	\N	\N	\N	f	
14868	0cf651fc-60a3-41c8-8e55-8d9448a85b2e	Castiglione Tinella	Castiglione Tinella	4	0	2013-07-21 23:14:55.733517+02	\N	\N	\N	\N	\N	\N	f	
16109	37d46787-92f9-4306-8470-bf7ed7953692	Ortonovo	Ortonovo	4	0	2013-07-22 02:54:16.502943+02	\N	\N	\N	\N	\N	\N	f	
16110	2e20fb05-cc74-480c-8990-bcd2ec413c44	Brugnato	Brugnato	4	0	2013-07-22 02:54:27.301846+02	\N	\N	\N	\N	\N	\N	f	
16114	55f744cd-d85a-479b-b78a-c2475505fcf9	Villa Faraldi	Villa Faraldi	4	0	2013-07-22 02:54:55.898024+02	\N	\N	\N	\N	\N	\N	f	
25113	d24002b0-106b-428b-9686-9bc9a8a50ac9	Meriden	Meriden	3	0	2013-09-07 10:07:54.19363+02	\N	\N	\N	\N	\N	\N	f	
16116	de075636-a751-425e-952a-e9e0b9dd1c41	Borghetto di Vara	Borghetto di Vara	4	0	2013-07-22 02:55:09.163709+02	\N	\N	\N	\N	\N	\N	f	
18084	a609f63b-a5e0-43ea-a6b4-15cac473decb	Serravalle a Po	Serravalle a Po	4	0	2013-07-22 07:45:56.690998+02	\N	\N	\N	\N	\N	\N	f	
16871	3e3649fd-7250-4e2e-ace6-bfe87023fc14	Granze	Granze	4	0	2013-07-22 04:58:12.575125+02	\N	\N	\N	\N	\N	\N	f	
20241	bdb44756-6530-413a-a284-420ba6c82206	San Pietro al Natisone	San Pietro al Natisone	4	0	2013-07-22 20:33:08.271349+02	\N	\N	\N	\N	\N	\N	f	
18183	7c373314-e69e-4c4d-839c-5a57bdf96112	Molteno	Molteno	4	0	2013-07-22 07:57:34.816796+02	\N	\N	\N	\N	\N	\N	f	
18197	ba322ab2-2e35-4462-9df7-197c2f7872f9	Missaglia	Missaglia	4	0	2013-07-22 07:59:19.750573+02	\N	\N	\N	\N	\N	\N	f	
18267	35132ddb-5f15-4cd0-ac9a-3a127665e80e	San Martino del Lago	San Martino del Lago	4	0	2013-07-22 08:07:11.798093+02	\N	\N	\N	\N	\N	\N	f	
20315	880fd849-aa51-474a-afa9-0f058b200c30	Sellia Marina	Sellia Marina	4	0	2013-07-22 20:49:28.876568+02	\N	\N	\N	\N	\N	\N	f	
26722	f9ae0f3f-4c22-42f1-958d-3769719368ff	St. Paul, Kansas	St. Paul, Kansas	3	0	2013-09-08 02:37:40.056194+02	\N	\N	\N	\N	\N	\N	f	
18331	1c225ac8-f3d4-4808-aed3-dd48f687c4c1	Isola Dovarese	Isola Dovarese	4	0	2013-07-22 08:15:20.315076+02	\N	\N	\N	\N	\N	\N	f	
25622	813d7deb-07d1-4b27-8b1f-f449cbff9e33	Kinsley	Kinsley	3	0	2013-09-07 13:14:42.623083+02	\N	\N	\N	\N	\N	\N	f	
21701	a8a09439-e493-42f0-ba5c-066e9fc70f49	Branzi	Branzi	4	0	2013-07-24 14:57:16.212673+02	\N	\N	\N	\N	\N	\N	f	
25681	3186deae-6f74-46ba-9fde-d2d4c0ad10af	Stanhope	Stanhope	3	0	2013-09-07 13:30:32.962242+02	\N	\N	\N	\N	\N	\N	f	
27518	05c22816-6fe5-43d0-a424-6aa267a5d81b	Ardoch, North Dakota	Ardoch, North Dakota	3	0	2013-09-08 08:30:49.238586+02	\N	\N	\N	\N	\N	\N	f	
22045	cefd6868-d627-4b5c-ac79-5c807c49e513	Peterson	Peterson	3	0	2013-08-07 14:32:43.895765+02	\N	\N	\N	\N	\N	\N	f	
26097	299a85a6-18ed-43b0-a109-ecd258747c35	Jackson, Kentucky	Jackson, Kentucky	3	0	2013-09-07 18:09:23.286305+02	\N	\N	\N	\N	\N	\N	f	
24191	c1737087-74de-4399-8ca3-bb7a673a1091	Arnoldsville, Georgia	Arnoldsville, Georgia	3	0	2013-09-07 03:11:03.773005+02	\N	\N	\N	\N	\N	\N	f	
24484	94e80ee8-7e84-4d90-abd1-1c95181fc26a	Louisville, Georgia	Louisville, Georgia	3	0	2013-09-07 06:56:32.446271+02	\N	\N	\N	\N	\N	\N	f	
26740	e7addb33-905d-47bf-91c6-3157c5441f8d	Stanton	Stanton	3	0	2013-09-08 02:42:13.709605+02	\N	\N	\N	\N	\N	\N	f	
24507	5ea66904-ba20-4c3a-99fc-a0927258905d	Milton	Milton	3	0	2013-09-07 07:03:11.108815+02	\N	\N	\N	\N	\N	\N	f	
26101	aa69b71f-3e87-47b9-a550-b12ea11e46e2	Fincastle, Kentucky	Fincastle, Kentucky	3	0	2013-09-07 18:10:31.959667+02	\N	\N	\N	\N	\N	\N	f	
24528	5bf83a74-f9fd-45ee-af2a-9face88afb9b	Oakland City, Indiana	Oakland City, Indiana	3	0	2013-09-07 07:25:16.043418+02	\N	\N	\N	\N	\N	\N	f	
24562	30e54665-de5f-47ac-8594-a54445e0ec3e	Carlisle, Iowa	Carlisle, Iowa	3	0	2013-09-07 07:39:25.461474+02	\N	\N	\N	\N	\N	\N	f	
24564	3350ac89-8bba-4e97-8ab9-dc0a8b5308ad	Agency, Iowa	Agency, Iowa	3	0	2013-09-07 07:40:23.689939+02	\N	\N	\N	\N	\N	\N	f	
26118	f757f6f2-6cf4-42d0-aa3d-0b42417761ea	Howardville, Missouri	Howardville, Missouri	3	0	2013-09-07 20:18:29.845699+02	\N	\N	\N	\N	\N	\N	f	
24987	1ead61d0-f262-4d99-9952-9ba26c63decd	Randalia	Randalia	3	0	2013-09-07 09:33:32.684983+02	\N	\N	\N	\N	\N	\N	f	
25054	7cbf7a1f-8b73-40f6-9632-693a66db12f6	Lidderdale	Lidderdale	3	0	2013-09-07 09:51:15.125871+02	\N	\N	\N	\N	\N	\N	f	
25104	1179f701-d3ff-4542-8aa9-3cebcbcba714	Larrabee	Larrabee	3	0	2013-09-07 10:05:33.782786+02	\N	\N	\N	\N	\N	\N	f	
26428	755f06cf-818e-4d54-bbb9-71d68c9fd969	Neosho Rapids, Kansas	Neosho Rapids, Kansas	3	0	2013-09-08 00:31:44.867131+02	\N	\N	\N	\N	\N	\N	f	
26751	274712da-82d5-4d66-a519-d09827d58659	Claremont, New Hampshire	Claremont, New Hampshire	3	0	2013-09-08 02:44:50.997848+02	\N	\N	\N	\N	\N	\N	f	
26429	6cf470e0-d11d-44b7-8e49-878f19572a9b	Grace, Idaho	Grace, Idaho	3	0	2013-09-08 00:32:09.340319+02	\N	\N	\N	\N	\N	\N	f	
26522	2be95d9e-0fb6-4a94-a5b5-e3cb1c8ba2cb	Columbia Falls	Columbia Falls	3	0	2013-09-08 00:56:59.797395+02	\N	\N	\N	\N	\N	\N	f	
26715	907c2686-d9bd-49e8-8438-69aa458cd45a	Glade, Kansas	Glade, Kansas	3	0	2013-09-08 02:35:49.950193+02	\N	\N	\N	\N	\N	\N	f	
26779	2bc443fa-ba56-424e-a9ff-b7a213e5afc9	Urich	Urich	3	0	2013-09-08 02:51:50.664866+02	\N	\N	\N	\N	\N	\N	f	
27876	9a0be0f2-3c3c-4bd6-b496-8e0d918bc2a6	Ozark	Ozark	3	0	2013-09-08 10:21:08.976843+02	\N	\N	\N	\N	\N	\N	f	
26815	66f1c2bb-3b57-4e9e-a417-02105b53fff5	Greentop	Greentop	3	0	2013-09-08 03:01:35.222027+02	\N	\N	\N	\N	\N	\N	f	
27196	73a83478-45e4-4f40-85bf-974129ff7fbc	Boonville	Boonville	3	0	2013-09-08 05:54:25.67415+02	\N	\N	\N	\N	\N	\N	f	
28371	34c2abc8-8408-44c2-af49-2f532dd12f1e	Trenton, Tennessee	Trenton, Tennessee	3	0	2013-09-08 17:03:03.776258+02	\N	\N	\N	\N	\N	\N	f	
27260	7db5d8cd-0c64-4f11-81fb-b97a737be532	Oshkosh	Oshkosh	3	0	2013-09-08 06:12:20.838075+02	\N	\N	\N	\N	\N	\N	f	
27898	489f6aac-8a3c-4c3d-a0b6-2ae9e234083b	Stromsburg	Stromsburg	3	0	2013-09-08 11:30:05.090025+02	\N	\N	\N	\N	\N	\N	f	
28160	94780d5f-a8bb-42c0-9323-f6d4c1d95fd9	Temryuk	Temryuk	3	0	2013-09-08 14:36:32.573209+02	\N	\N	\N	\N	\N	\N	f	
28559	b02fa01a-9e5a-442d-bdc5-e5189f2da13b	Newark, Texas	Newark, Texas	3	0	2013-09-08 20:47:40.628415+02	\N	\N	\N	\N	\N	\N	f	
28363	430cc5a1-19a9-4803-be5b-b4d624d01d24	Ducktown, Tennessee	Ducktown, Tennessee	3	0	2013-09-08 17:01:04.448474+02	\N	\N	\N	\N	\N	\N	f	
28552	e0d4bded-8917-4533-8985-5fc016d35979	Dickens, Texas	Dickens, Texas	3	0	2013-09-08 20:45:50.162062+02	\N	\N	\N	\N	\N	\N	f	
28557	9b20963a-0f00-43b2-9016-a9e8bc5a0918	Weimar, Texas	Weimar, Texas	3	0	2013-09-08 20:47:04.555499+02	\N	\N	\N	\N	\N	\N	f	
28597	5a1a8f90-c406-464c-b9c5-e76b22976e4c	Wixon Valley	Wixon Valley	3	0	2013-09-08 20:59:07.372154+02	\N	\N	\N	\N	\N	\N	f	
28577	8a35af5c-a4ae-42fa-a46d-c5ec2185b7be	Breckenridge, Texas	Breckenridge, Texas	3	0	2013-09-08 20:53:37.325205+02	\N	\N	\N	\N	\N	\N	f	
28609	0f7e9667-c244-4481-bbed-680f3edfdcae	Bevil Oaks	Bevil Oaks	3	0	2013-09-08 21:02:10.790624+02	\N	\N	\N	\N	\N	\N	f	
28615	e955fbc2-db6d-4fd0-a1d2-0ba005342a72	Los Ybanez	Los Ybanez	3	0	2013-09-08 21:03:44.906203+02	\N	\N	\N	\N	\N	\N	f	
28622	eb7dcc35-6eec-474d-83ee-926765231783	Freer	Freer	3	0	2013-09-08 21:05:30.992775+02	\N	\N	\N	\N	\N	\N	f	
28635	4ca1fed8-9752-4ccf-8e9e-97d89114c556	White Settlement	White Settlement	3	0	2013-09-08 21:08:52.085067+02	\N	\N	\N	\N	\N	\N	f	
28667	e550af97-8e04-425e-b2af-9666284324e5	Bellevue	Bellevue	3	0	2013-09-08 21:18:16.10332+02	\N	\N	\N	\N	\N	\N	f	
28670	dc60faff-0895-445d-8e6d-6385208ca3ed	Taylor Lake Village	Taylor Lake Village	3	0	2013-09-08 21:19:02.077111+02	\N	\N	\N	\N	\N	\N	f	
28820	1caafb65-6824-4c69-bb5c-c1e4f0f7ed41	Novice	Novice	3	0	2013-09-09 00:07:39.906188+02	\N	\N	\N	\N	\N	\N	f	
13506	05fa92d0-9906-4ae1-bc9c-5c80738c7823	Schilpario	Schilpario	4	0	2013-07-21 18:10:24.613471+02	\N	\N	\N	\N	\N	\N	f	
13507	d8496fa9-4552-4151-a70a-5eed46760cb3	Strozza	Strozza	4	0	2013-07-21 18:10:38.857683+02	\N	\N	\N	\N	\N	\N	f	
14248	bfad0a17-d371-450a-a07e-46437bf98264	Oristano	Oristano	4	0	2013-07-21 20:55:49.630602+02	\N	\N	\N	\N	\N	\N	f	
14845	0b4a45a9-dd37-4471-8152-a59998755475	Ustica	Ustica	4	0	2013-07-21 23:08:55.071457+02	\N	\N	\N	\N	\N	\N	f	
16094	0c113da7-35ad-4ed7-b7f9-53ebf05e3ed7	Commezzadura	Commezzadura	4	0	2013-07-22 02:51:58.917864+02	\N	\N	\N	\N	\N	\N	f	
16119	e5ba23c7-1ba0-4648-8312-363d1d0eabaa	Seborga	Seborga	4	0	2013-07-22 02:55:29.708235+02	\N	\N	\N	\N	\N	\N	f	
18039	a0b475c6-9949-4a1d-af39-72780b97effd	Castellucchio	Castellucchio	4	0	2013-07-22 07:40:07.251969+02	\N	\N	\N	\N	\N	\N	f	
16128	96aeece5-c5c6-45b5-be63-5d82bb3846e1	Varese Ligure	Varese Ligure	4	0	2013-07-22 02:56:29.121811+02	\N	\N	\N	\N	\N	\N	f	
16873	81a89a1c-c8cf-47ae-b0d0-f48bfc32f44f	Bagnolo di Po	Bagnolo di Po	4	0	2013-07-22 04:58:40.007729+02	\N	\N	\N	\N	\N	\N	f	
27197	830d051a-55a1-4546-a156-7996d52eaaf5	Centralia	Centralia	3	0	2013-09-08 05:54:41.201872+02	\N	\N	\N	\N	\N	\N	f	
20242	91219523-2a28-4555-8ff7-8e71bea2d605	Stregna	Stregna	4	0	2013-07-22 20:33:20.604295+02	\N	\N	\N	\N	\N	\N	f	
19029	08070ecd-52c2-48c8-9da1-55c83c9cf4a9	Santa Ninfa	Santa Ninfa	4	0	2013-07-22 09:43:42.746439+02	\N	\N	\N	\N	\N	\N	f	
29163	557b32d2-4567-4adf-915b-4f788aa4576e	Whitesboro	Whitesboro	3	0	2013-09-09 02:53:27.342349+02	\N	\N	\N	\N	\N	\N	f	
20243	16a40f72-73cd-4e53-8ede-1b1b283e8f85	San Daniele del Friuli	San Daniele del Friuli	4	0	2013-07-22 20:33:33.017427+02	\N	\N	\N	\N	\N	\N	f	
27519	902c7e8c-d072-4041-b765-3bba4d0ba844	Minto, North Dakota	Minto, North Dakota	3	0	2013-09-08 08:31:03.561739+02	\N	\N	\N	\N	\N	\N	f	
21702	c1f054dd-1f5d-4852-b2a8-aff63f96a4ab	Borgo di Terzo	Borgo di Terzo	4	0	2013-07-24 14:57:29.247419+02	\N	\N	\N	\N	\N	\N	f	
28564	88153bde-d734-4daa-89af-1a5d31f192cf	Miami, Texas	Miami, Texas	3	0	2013-09-08 20:49:02.292723+02	\N	\N	\N	\N	\N	\N	f	
22047	bb4b6901-8dbd-4b88-8353-563290656c6a	Hiawatha	Hiawatha	3	0	2013-08-07 14:33:15.405931+02	\N	\N	\N	\N	\N	\N	f	
27573	724b7e7a-0e44-48ec-aeba-e61d783932b0	Regent, North Dakota	Regent, North Dakota	3	0	2013-09-08 08:44:38.604608+02	\N	\N	\N	\N	\N	\N	f	
24193	e3966274-26a3-4e91-98d4-7fc8890b9167	Waverly Hall, Georgia	Waverly Hall, Georgia	3	0	2013-09-07 03:11:32.347647+02	\N	\N	\N	\N	\N	\N	f	
24486	8302a066-f114-4e6d-b9e8-00601c8e40b4	Dudley, Georgia	Dudley, Georgia	3	0	2013-09-07 06:57:08.992797+02	\N	\N	\N	\N	\N	\N	f	
24492	1e36e2c0-af6b-4d7c-a4d1-bd46df9260da	Hamilton	Hamilton	3	0	2013-09-07 06:58:38.187044+02	\N	\N	\N	\N	\N	\N	f	
27625	edcbe427-9c8b-4843-b9bf-70e7963b1edb	Mott, North Dakota	Mott, North Dakota	3	0	2013-09-08 09:00:30.85299+02	\N	\N	\N	\N	\N	\N	f	
24522	b4fb6e5d-47ca-4642-8228-ad806a91b87d	Fort Oglethorpe	Fort Oglethorpe	3	0	2013-09-07 07:07:05.618492+02	\N	\N	\N	\N	\N	\N	f	
24523	e5de5bf2-ca19-419a-ab8b-4eb1cd8e6f9c	Payne	Payne	3	0	2013-09-07 07:07:19.793529+02	\N	\N	\N	\N	\N	\N	f	
24988	45d192a8-7d39-4c12-8d85-ceb24cc76619	Popejoy	Popejoy	3	0	2013-09-07 09:33:47.497441+02	\N	\N	\N	\N	\N	\N	f	
27899	46ab23de-843b-4fd7-9277-350211b13586	Flordell Hills	Flordell Hills	3	0	2013-09-08 11:30:28.866493+02	\N	\N	\N	\N	\N	\N	f	
25037	f5b395a9-6e5c-40d9-88f5-84df667fbbf0	Linn Grove	Linn Grove	3	0	2013-09-07 09:46:55.372235+02	\N	\N	\N	\N	\N	\N	f	
25059	8ed398e5-2fa6-46e0-980e-52f6f9f56e64	Merrill	Merrill	3	0	2013-09-07 09:52:35.917756+02	\N	\N	\N	\N	\N	\N	f	
28575	4c26d6f0-ac98-45db-8512-1be43e482de0	Uvalde	Uvalde	3	0	2013-09-08 20:53:00.034868+02	\N	\N	\N	\N	\N	\N	f	
25627	5b279231-ffc2-4dd8-b25a-759908134ec9	Cimarron	Cimarron	3	0	2013-09-07 13:16:02.667102+02	\N	\N	\N	\N	\N	\N	f	
27923	fccd2d13-17d1-4a29-b500-2480d3754a22	D'Iberville	D'Iberville	3	0	2013-09-08 11:37:50.899921+02	\N	\N	\N	\N	\N	\N	f	
26100	36c9a2d9-9960-4009-a3c4-dc29faf4c72e	Tompkinsville, Kentucky	Tompkinsville, Kentucky	3	0	2013-09-07 18:10:14.986433+02	\N	\N	\N	\N	\N	\N	f	
26430	4a611955-b8af-423d-9603-4a8902ebb9d8	Moran, Kansas	Moran, Kansas	3	0	2013-09-08 00:32:23.165377+02	\N	\N	\N	\N	\N	\N	f	
27988	20fd31b8-549b-45e7-b71b-92e4279277db	Okmulgee	Okmulgee	3	0	2013-09-08 11:55:00.3363+02	\N	\N	\N	\N	\N	\N	f	
26718	3d53492a-6404-4ec3-84e4-97f21f1ab3fc	Peru, Kansas	Peru, Kansas	3	0	2013-09-08 02:36:39.576272+02	\N	\N	\N	\N	\N	\N	f	
26771	e0052ea0-6d84-4317-8f46-10c26a5cc17b	Fenton	Fenton	3	0	2013-09-08 02:49:45.858173+02	\N	\N	\N	\N	\N	\N	f	
29362	25421d5c-fe2b-4d08-8220-f31d1e3a6f15	Verona	Verona	3	0	2013-09-09 08:26:55.887649+02	\N	\N	\N	\N	\N	\N	f	
28610	41968f1c-0ddc-4d84-8ab4-daf6987129e9	Cumby	Cumby	3	0	2013-09-08 21:02:26.740832+02	\N	\N	\N	\N	\N	\N	f	
28161	8fd68167-7656-4e8a-84a8-2786dffb7549	Malaya Vishera	Malaya Vishera	3	0	2013-09-08 14:36:48.250595+02	\N	\N	\N	\N	\N	\N	f	
28823	f3c7c3c6-7dee-48bf-9442-c523a4d2ae2b	Hedwig Village	Hedwig Village	3	0	2013-09-09 00:08:27.961391+02	\N	\N	\N	\N	\N	\N	f	
28364	1879e124-82e9-483b-81b8-88726a9586bf	Orlinda, Tennessee	Orlinda, Tennessee	3	0	2013-09-08 17:01:18.733036+02	\N	\N	\N	\N	\N	\N	f	
28387	9a34547d-b3d6-4bde-b958-a0f6e71697b8	Montrose, South Dakota	Montrose, South Dakota	3	0	2013-09-08 17:08:19.405915+02	\N	\N	\N	\N	\N	\N	f	
29170	2acb2463-9eab-426c-a9e1-e911f0fb551a	Stamford	Stamford	3	0	2013-09-09 02:55:31.106706+02	\N	\N	\N	\N	\N	\N	f	
28390	10e37a78-f52b-4fba-824a-c7fad05f666f	Friendship, Tennessee	Friendship, Tennessee	3	0	2013-09-08 17:09:04.467094+02	\N	\N	\N	\N	\N	\N	f	
29074	2989eddc-b102-4e9a-a954-d7f3d513a0d7	Republic	Republic	3	0	2013-09-09 02:17:13.319628+02	\N	\N	\N	\N	\N	\N	f	
28553	ef3dcced-5b21-4186-98a1-6bb34ee69e1c	Eldorado, Texas	Eldorado, Texas	3	0	2013-09-08 20:46:05.232777+02	\N	\N	\N	\N	\N	\N	f	
29089	d8250f78-c8d4-403c-a346-e7ef0f2af9f3	Mukilteo	Mukilteo	3	0	2013-09-09 02:22:21.435999+02	\N	\N	\N	\N	\N	\N	f	
29128	cb8134b1-514c-499b-a232-f27723d019fd	Marysville, Washington	Marysville, Washington	3	0	2013-09-09 02:41:06.189784+02	\N	\N	\N	\N	\N	\N	f	
29171	25d1c7e0-9c9d-43bc-bbf7-629ec2d76345	Walnut Springs	Walnut Springs	3	0	2013-09-09 02:55:48.536819+02	\N	\N	\N	\N	\N	\N	f	
29148	f437ce08-274f-476d-bb8d-ff4ae42c8e04	Gorman	Gorman	3	0	2013-09-09 02:48:58.789957+02	\N	\N	\N	\N	\N	\N	f	
29161	2aea635f-deb6-4843-9d73-4ee5d603b96a	Hillsboro	Hillsboro	3	0	2013-09-09 02:52:52.629329+02	\N	\N	\N	\N	\N	\N	f	
29396	f871c114-cf5f-41ec-81de-ce704d6c8933	San Salvador	San Salvador	3	0	2013-09-09 08:38:40.487125+02	\N	\N	\N	\N	\N	\N	f	
29206	ef7f0835-82d7-4f7e-9bdb-06d564d47078	Early	Early	3	0	2013-09-09 03:06:12.947848+02	\N	\N	\N	\N	\N	\N	f	
29265	41c34504-20f4-4290-a971-1b654da311cb	Ripley, West Virginia	Ripley, West Virginia	3	0	2013-09-09 04:25:01.95047+02	\N	\N	\N	\N	\N	\N	f	
29563	74d0b00a-0de4-4575-8be3-c115084babd1	Chickerell	Chickerell	3	0	2013-09-29 17:23:04.393216+02	\N	\N	\N	\N	\N	\N	f	
29500	4e5ab14e-e948-4c96-89c1-10b11614d5cc	Hucknall	Hucknall	3	0	2013-09-29 08:22:05.187173+02	\N	\N	\N	\N	\N	\N	f	
29589	778d0331-7074-4571-84b3-5edb7fafecd6	Braga	Braga	3	0	2013-09-30 23:28:15.938945+02	\N	\N	\N	\N	\N	\N	f	
29559	4787ff9e-f537-438e-8d85-35d0f22f2ed8	San Francisco	San Francisco	3	0	2013-09-29 14:30:21.856393+02	\N	\N	\N	\N	\N	\N	f	
29575	4bd998cf-bb05-4e5d-94ae-f81873a90636	Aston-Jonction, Quebec	Aston-Jonction, Quebec	3	0	2013-09-30 08:24:02.586123+02	\N	\N	\N	\N	\N	\N	f	
29568	b7e2ccd4-eeba-4696-b8e9-cc2bc554f85d	Santa Clara	Santa Clara	3	0	2013-09-29 20:21:57.085409+02	\N	\N	\N	\N	\N	\N	f	
29571	0113e7c9-9e7d-41f7-b2ff-35e858cf1221	New Hope	New Hope	3	0	2013-09-30 05:27:51.614378+02	\N	\N	\N	\N	\N	\N	f	
29582	05167861-93ef-41f2-8275-ac6fbb67fe67	Alatskivi	Alatskivi	3	0	2013-09-30 15:36:58.767748+02	\N	\N	\N	\N	\N	\N	f	
29585	045fa9d7-c914-48fb-9cd9-dbfbc94b6e37	Lauderdale	Lauderdale	3	0	2013-09-30 20:19:06.919422+02	\N	\N	\N	\N	\N	\N	f	
29655	fc35a3a9-8354-4fc8-bf3b-7df30f861507	Dippach	Dippach	3	0	2013-10-11 20:31:53.389989+02	\N	\N	\N	\N	\N	\N	f	
29657	898c28dd-0bc9-4b99-a9e2-5d9f39ab9ae6	Hagen, Luxembourg	Hagen, Luxembourg	3	0	2013-10-11 20:34:25.080978+02	\N	\N	\N	\N	\N	\N	f	
13511	c8aef210-86d2-42dd-885e-6e8176ab233d	Sorisole	Sorisole	4	0	2013-07-21 18:11:33.300757+02	\N	\N	\N	\N	\N	\N	f	
13518	06356c8f-8db7-47ae-8e98-583b7cc2488e	Spirano	Spirano	4	0	2013-07-21 18:13:06.437087+02	\N	\N	\N	\N	\N	\N	f	
14250	ece8412e-3090-4c0a-a434-f61bab22e32c	Trapani	Trapani	4	0	2013-07-21 20:56:21.776064+02	\N	\N	\N	\N	\N	\N	f	
14282	41f358fb-55dc-4607-8393-00baa9275a03	Acquapendente	Acquapendente	4	0	2013-07-21 21:04:00.537307+02	\N	\N	\N	\N	\N	\N	f	
16095	d6cf1fa3-6910-49fa-9f49-1413938c037d	Rezzo	Rezzo	4	0	2013-07-22 02:52:13.108147+02	\N	\N	\N	\N	\N	\N	f	
14293	a3b57a27-2622-47a8-bf43-789e054b6d20	Tivoli	Tivoli	4	0	2013-07-21 21:06:09.390381+02	\N	\N	\N	\N	\N	\N	f	
14317	6e56b540-09a9-47ca-8c0d-700cb12716f0	Fabrica di Roma	Fabrica di Roma	4	0	2013-07-21 21:11:04.611825+02	\N	\N	\N	\N	\N	\N	f	
14339	a68b2348-5b9f-4409-aaa3-74ef09638bd6	Alzano Scrivia	Alzano Scrivia	4	0	2013-07-21 21:16:15.398276+02	\N	\N	\N	\N	\N	\N	f	
16105	e8a7b803-1be1-493d-a26c-4d92bf43fc10	Vezzano Ligure	Vezzano Ligure	4	0	2013-07-22 02:53:52.637079+02	\N	\N	\N	\N	\N	\N	f	
14371	4761f331-dcb2-498d-be38-3235ba39a5b5	Cabella Ligure	Cabella Ligure	4	0	2013-07-21 21:23:12.513541+02	\N	\N	\N	\N	\N	\N	f	
14846	d7a64b6e-3732-4b06-a621-faa1b37ec23f	Canosio	Canosio	4	0	2013-07-21 23:09:06.817527+02	\N	\N	\N	\N	\N	\N	f	
18051	f5635a1e-ae6f-42a0-b0ab-6bb9646c5a78	Sermide	Sermide	4	0	2013-07-22 07:42:10.066673+02	\N	\N	\N	\N	\N	\N	f	
16874	3857498e-ba55-4fd7-85d9-72281570da26	Guarda Veneta	Guarda Veneta	4	0	2013-07-22 04:58:53.152549+02	\N	\N	\N	\N	\N	\N	f	
16955	0f719d9e-6ade-4b9a-9eb0-e6750ba81871	Arnad	Arnad	4	0	2013-07-22 05:19:27.891046+02	\N	\N	\N	\N	\N	\N	f	
26120	0dbafb5c-52f2-4825-a924-76bbf69536f1	Eva Valley	Eva Valley	3	0	2013-09-07 20:20:00.68962+02	\N	\N	\N	\N	\N	\N	f	
16976	c71f9750-c21e-487c-a1a3-9977fd830a78	Gaby	Gaby	4	0	2013-07-22 05:25:01.426997+02	\N	\N	\N	\N	\N	\N	f	
24543	da2411bb-38a4-47f0-a8fa-c5efeb68a1ef	McCaysville	McCaysville	3	0	2013-09-07 07:34:09.599443+02	\N	\N	\N	\N	\N	\N	f	
17002	5f9d9e42-3891-4211-a39e-efbdcbb2790a	Courmayeur	Courmayeur	4	0	2013-07-22 05:30:46.602308+02	\N	\N	\N	\N	\N	\N	f	
20244	512c15e0-7b85-407e-a913-a66ef7655231	Conflenti	Conflenti	4	0	2013-07-22 20:33:58.649133+02	\N	\N	\N	\N	\N	\N	f	
18072	f4271acf-d36f-491d-bf7a-9ebc4a4eaf62	Caselle Lurani	Caselle Lurani	4	0	2013-07-22 07:44:36.080878+02	\N	\N	\N	\N	\N	\N	f	
18080	378d343c-11d5-440b-91c7-080628f8db38	Acquanegra Cremonese	Acquanegra Cremonese	4	0	2013-07-22 07:45:31.298964+02	\N	\N	\N	\N	\N	\N	f	
18130	e78d95fd-4bee-4dac-8653-4de686426b70	Rivarolo del Re ed Uniti	Rivarolo del Re ed Uniti	4	0	2013-07-22 07:51:09.877724+02	\N	\N	\N	\N	\N	\N	f	
21704	fe5fecc2-cfa2-4af5-9632-b78ac56a6df5	Sogliano al Rubicone	Sogliano al Rubicone	4	0	2013-07-24 14:57:57.611912+02	\N	\N	\N	\N	\N	\N	f	
18142	5ce864bf-3f14-4a7c-b46c-43de0f8d0033	Casatenovo	Casatenovo	4	0	2013-07-22 07:52:28.488725+02	\N	\N	\N	\N	\N	\N	f	
24556	b3ba950a-8de9-4976-9c99-73641ad1f737	Morrison, Illinois	Morrison, Illinois	3	0	2013-09-07 07:37:52.696032+02	\N	\N	\N	\N	\N	\N	f	
18181	8d114e5a-cb8c-4c6d-be63-ee4c4d9eb15b	Pandino	Pandino	4	0	2013-07-22 07:57:22.102257+02	\N	\N	\N	\N	\N	\N	f	
21709	5fb39023-34db-4d92-8af4-8d9c1c50702e	Barbata	Barbata	4	0	2013-07-24 14:59:45.302588+02	\N	\N	\N	\N	\N	\N	f	
18199	29438356-fac0-418f-bd81-526cb06c72c5	Rescaldina	Rescaldina	4	0	2013-07-22 07:59:33.547397+02	\N	\N	\N	\N	\N	\N	f	
27991	f43df908-ce56-4cd0-885f-3b9608ea1a8b	Bucyrus	Bucyrus	3	0	2013-09-08 11:55:42.168633+02	\N	\N	\N	\N	\N	\N	f	
24991	a6cd41e8-24e6-48a6-9936-5ff7dafeab74	Pleasant Plain	Pleasant Plain	3	0	2013-09-07 09:34:51.143511+02	\N	\N	\N	\N	\N	\N	f	
26431	05947015-b655-4fc8-9884-95b1e7610b68	Olathe	Olathe	3	0	2013-09-08 00:32:38.932842+02	\N	\N	\N	\N	\N	\N	f	
25024	4cbd80aa-ab4c-44b2-9db5-37eb4755695a	Nemaha	Nemaha	3	0	2013-09-07 09:43:33.223794+02	\N	\N	\N	\N	\N	\N	f	
25038	aa856f3a-0e18-41fc-a539-af0b699dce24	McCausland	McCausland	3	0	2013-09-07 09:47:10.471091+02	\N	\N	\N	\N	\N	\N	f	
19033	11c4e405-1941-4ffd-a03a-4ae6135709a6	Cogollo del Cengio	Cogollo del Cengio	4	0	2013-07-22 09:44:07.625697+02	\N	\N	\N	\N	\N	\N	f	
19061	82e79c07-7f6b-4fdb-b7d8-64ea8587e91f	Buseto Palizzolo	Buseto Palizzolo	4	0	2013-07-22 09:47:26.229992+02	\N	\N	\N	\N	\N	\N	f	
19099	f9684ae9-c1f6-4aa0-8fd0-d6dca2d4c5ba	Avola	Avola	4	0	2013-07-22 09:52:24.823654+02	\N	\N	\N	\N	\N	\N	f	
27266	d34721c4-80a8-43af-b42e-e6f867c40078	Marionville	Marionville	3	0	2013-09-08 06:13:52.611113+02	\N	\N	\N	\N	\N	\N	f	
19129	126fa52a-fc07-4e9c-a610-4d265a7a7566	Marineo	Marineo	4	0	2013-07-22 09:55:57.146577+02	\N	\N	\N	\N	\N	\N	f	
22048	3677ba0a-a19d-4be6-91b0-4dc1e31cd90d	Alden	Alden	3	0	2013-08-07 14:33:28.393769+02	\N	\N	\N	\N	\N	\N	f	
25098	1f50c661-a054-44c0-82f3-ba23c58b522d	Liscomb	Liscomb	3	0	2013-09-07 10:03:58.985474+02	\N	\N	\N	\N	\N	\N	f	
24194	71241880-4af4-443c-89a0-d209dcd0d290	St. Augustine Beach, Florida	St. Augustine Beach, Florida	3	0	2013-09-07 03:11:50.526972+02	\N	\N	\N	\N	\N	\N	f	
24488	a1f11715-2a92-45b5-84a9-8e76deb14ba5	Jesup, Georgia	Jesup, Georgia	3	0	2013-09-07 06:57:39.011147+02	\N	\N	\N	\N	\N	\N	f	
26719	76c92338-78c2-49a2-b9fd-1c6fa62a1b0e	Jasper, Missouri	Jasper, Missouri	3	0	2013-09-08 02:36:55.714985+02	\N	\N	\N	\N	\N	\N	f	
24490	15ae6124-c9e8-4fdb-99f7-d6b95f0f9a13	Abbeville, Georgia	Abbeville, Georgia	3	0	2013-09-07 06:58:06.747745+02	\N	\N	\N	\N	\N	\N	f	
25106	d23253f3-9c59-4532-a247-495cdb749b08	Manson	Manson	3	0	2013-09-07 10:06:05.182045+02	\N	\N	\N	\N	\N	\N	f	
24534	c2885b44-4837-4b99-9dd6-b7a37916a46e	Petersburg, Indiana	Petersburg, Indiana	3	0	2013-09-07 07:29:48.286682+02	\N	\N	\N	\N	\N	\N	f	
24537	ab7a2a16-be9c-47ad-8d13-6878d878ed39	Cruz Bay	Cruz Bay	3	0	2013-09-07 07:31:34.453532+02	\N	\N	\N	\N	\N	\N	f	
25632	bef741e8-aa49-4a79-bf1f-b69b2b04128d	Manning	Manning	3	0	2013-09-07 13:17:22.42757+02	\N	\N	\N	\N	\N	\N	f	
25670	2b37ae31-3432-47e2-a545-7b6a51e0ecf4	Tabor	Tabor	3	0	2013-09-07 13:27:27.704848+02	\N	\N	\N	\N	\N	\N	f	
26799	f17b3906-6ffb-4a4c-9fdf-828c0a238315	Seneca	Seneca	3	0	2013-09-08 02:56:51.263538+02	\N	\N	\N	\N	\N	\N	f	
26102	2c4cc6fb-6fb1-4c36-80d4-d211fc6d7c1a	Crescent Springs, Kentucky	Crescent Springs, Kentucky	3	0	2013-09-07 18:10:46.630926+02	\N	\N	\N	\N	\N	\N	f	
27520	1033d722-6f54-4b4b-8847-273978e4b3d1	Tolley, North Dakota	Tolley, North Dakota	3	0	2013-09-08 08:31:17.621735+02	\N	\N	\N	\N	\N	\N	f	
26814	8a3ae0a8-950d-459c-ad75-2ece2b734760	Ridgeway	Ridgeway	3	0	2013-09-08 03:01:17.609626+02	\N	\N	\N	\N	\N	\N	f	
27198	9b35f1f9-0e61-43cf-b0b1-45fed76857bf	Greencastle	Greencastle	3	0	2013-09-08 05:54:56.689668+02	\N	\N	\N	\N	\N	\N	f	
28365	d5b382e3-846c-417e-8bc7-d820042de5da	McIntosh, South Dakota	McIntosh, South Dakota	3	0	2013-09-08 17:01:32.690861+02	\N	\N	\N	\N	\N	\N	f	
27252	00963861-c505-4e96-8732-8fbb5d6c04c4	Highlandville	Highlandville	3	0	2013-09-08 06:10:08.600251+02	\N	\N	\N	\N	\N	\N	f	
27900	df466282-b618-444e-84bb-5022c0124292	Regan, North Dakota	Regan, North Dakota	3	0	2013-09-08 11:30:49.188819+02	\N	\N	\N	\N	\N	\N	f	
28163	21859651-ed52-4a62-81bb-7d0dec1ace7c	Liski	Liski	3	0	2013-09-08 14:37:22.304963+02	\N	\N	\N	\N	\N	\N	f	
27967	8fc2f532-148d-46a7-82b0-d74ab6849cd5	Craig	Craig	3	0	2013-09-08 11:49:37.797582+02	\N	\N	\N	\N	\N	\N	f	
28414	e37b895e-09f2-450d-a986-1d1757286213	Harrogate	Harrogate	3	0	2013-09-08 17:15:33.180877+02	\N	\N	\N	\N	\N	\N	f	
28166	8e5b74d1-787a-41fe-97d7-5a7a227354c6	Mikhaylov	Mikhaylov	3	0	2013-09-08 14:38:20.860693+02	\N	\N	\N	\N	\N	\N	f	
28395	dc871675-5cf1-4256-86b9-fb160e4617e1	McLaughlin, South Dakota	McLaughlin, South Dakota	3	0	2013-09-08 17:10:30.961534+02	\N	\N	\N	\N	\N	\N	f	
28554	343387c0-7606-4389-8817-21a9114c4a37	Henderson	Henderson	3	0	2013-09-08 20:46:20.158558+02	\N	\N	\N	\N	\N	\N	f	
28593	3eaf2ef7-f98b-4201-a7e9-5410f7b8b3d6	Crowell, Texas	Crowell, Texas	3	0	2013-09-08 20:57:57.333578+02	\N	\N	\N	\N	\N	\N	f	
28825	a7a1f232-65e3-4c83-99fe-c7fee0fc5ef8	Commerce	Commerce	3	0	2013-09-09 00:09:00.193397+02	\N	\N	\N	\N	\N	\N	f	
29076	e8723cb4-e91c-442c-b7a1-1bce12e1b52d	Kittitas	Kittitas	3	0	2013-09-09 02:17:55.424644+02	\N	\N	\N	\N	\N	\N	f	
29097	056c0753-2bb0-49bb-890e-35f7aa141f57	Othello	Othello	3	0	2013-09-09 02:24:14.17139+02	\N	\N	\N	\N	\N	\N	f	
29109	b210f42c-cfe0-42f9-aeb5-d4ddf611f873	Rock Island	Rock Island	3	0	2013-09-09 02:27:13.600704+02	\N	\N	\N	\N	\N	\N	f	
29160	ec558bf0-952d-4771-b5ec-6ee5114bce55	Milano	Milano	3	0	2013-09-09 02:52:34.849817+02	\N	\N	\N	\N	\N	\N	f	
29164	b792a091-e692-4647-bbf8-1bc3b0bde305	Star Harbor	Star Harbor	3	0	2013-09-09 02:53:44.782632+02	\N	\N	\N	\N	\N	\N	f	
13512	bc6ed53b-c0bd-4a13-9d07-f421a24f8ac2	San Paolo d'Argon	San Paolo d'Argon	4	0	2013-07-21 18:11:47.028481+02	\N	\N	\N	\N	\N	\N	f	
13513	1911e086-671b-4546-8b81-95fd2426b4fe	Telgate	Telgate	4	0	2013-07-21 18:12:02.540884+02	\N	\N	\N	\N	\N	\N	f	
13522	714587db-68d7-4638-9753-1760b26790ed	Sotto il Monte Giovanni XXIII	Sotto il Monte Giovanni XXIII	4	0	2013-07-21 18:13:55.194098+02	\N	\N	\N	\N	\N	\N	f	
14254	c6abd6fe-b41a-4caa-b240-9329e4c95f74	Ragusa	Ragusa	4	0	2013-07-21 20:57:23.318677+02	\N	\N	\N	\N	\N	\N	f	
14259	c9e0c1ee-3c59-4dbd-94ac-4b6c2409d348	Sanluri	Sanluri	4	0	2013-07-21 20:58:22.375811+02	\N	\N	\N	\N	\N	\N	f	
16097	2c8ab391-1cae-4446-b03f-20516899be9e	Ranzo	Ranzo	4	0	2013-07-22 02:52:33.105153+02	\N	\N	\N	\N	\N	\N	f	
14338	09e03f39-b7ba-4233-91bd-1dfc7bfb9809	Sgonico	Sgonico	4	0	2013-07-21 21:15:51.537794+02	\N	\N	\N	\N	\N	\N	f	
14848	9e493420-7381-4fd5-b2f8-5b857825530d	San Severo	San Severo	4	0	2013-07-21 23:09:49.237583+02	\N	\N	\N	\N	\N	\N	f	
16875	2108de13-4e4b-4348-ac7c-deaccfde5ac2	Maserà di Padova	Maserà di Padova	4	0	2013-07-22 04:59:05.876794+02	\N	\N	\N	\N	\N	\N	f	
26121	7af3e7c5-c3ea-4863-ab40-e5fcc3ad23bb	Adelaide River	Adelaide River	3	0	2013-09-07 20:20:23.134681+02	\N	\N	\N	\N	\N	\N	f	
19034	ad230922-f218-47de-bfed-fb8fee582845	Castellammare del Golfo	Castellammare del Golfo	4	0	2013-07-22 09:44:13.266821+02	\N	\N	\N	\N	\N	\N	f	
20245	8e001c01-38d5-4b59-bec1-050ea4e8712d	Montepaone	Montepaone	4	0	2013-07-22 20:34:10.935346+02	\N	\N	\N	\N	\N	\N	f	
19195	03e24c03-0544-4c5a-91b0-f2afa6e18381	San Cipirello	San Cipirello	4	0	2013-07-22 10:04:35.78943+02	\N	\N	\N	\N	\N	\N	f	
20253	c6bf04ae-55df-4dcb-b882-487388174ae4	Decollatura	Decollatura	4	0	2013-07-22 20:35:45.573225+02	\N	\N	\N	\N	\N	\N	f	
29150	92d6fe27-f650-484e-93d0-f63714a702c9	Pilot Point	Pilot Point	3	0	2013-09-09 02:49:33.734677+02	\N	\N	\N	\N	\N	\N	f	
20264	b937b79f-b4f8-4bde-973c-e0f566c0da6a	Martirano Lombardo	Martirano Lombardo	4	0	2013-07-22 20:38:52.297359+02	\N	\N	\N	\N	\N	\N	f	
26203	787a8d1a-4b60-43a4-a8ad-f16057e308b7	Huron	Huron	3	0	2013-09-07 20:44:23.022589+02	\N	\N	\N	\N	\N	\N	f	
20308	e7b89096-484d-47ee-93e7-61584e370a61	San Sostene	San Sostene	4	0	2013-07-22 20:48:04.977616+02	\N	\N	\N	\N	\N	\N	f	
21705	a4e719b5-a591-4113-a632-62543bc1bd3b	Premilcuore	Premilcuore	4	0	2013-07-24 14:58:15.09014+02	\N	\N	\N	\N	\N	\N	f	
28555	05cbb80b-4be2-4cee-8d6e-3555808e60ca	Sudan, Texas	Sudan, Texas	3	0	2013-09-08 20:46:34.92497+02	\N	\N	\N	\N	\N	\N	f	
26237	88426a77-1361-4160-8efc-6221bef1b5c4	Smithland	Smithland	3	0	2013-09-07 20:53:01.403799+02	\N	\N	\N	\N	\N	\N	f	
22050	8c127ed3-b993-45ac-bcbd-4aef72b69168	Solon	Solon	3	0	2013-08-07 14:33:59.637613+02	\N	\N	\N	\N	\N	\N	f	
22089	a88fb482-f2cd-4ca7-bc55-c1029e9e57a2	Lester	Lester	3	0	2013-08-07 14:45:27.706724+02	\N	\N	\N	\N	\N	\N	f	
24195	0a2287e5-5b0f-42d2-b7ac-cdac24807416	Auburn, Georgia	Auburn, Georgia	3	0	2013-09-07 03:12:08.678254+02	\N	\N	\N	\N	\N	\N	f	
26247	2c05720c-3262-44e6-88a9-86ddcedfd566	Villa Hills	Villa Hills	3	0	2013-09-07 20:55:38.159202+02	\N	\N	\N	\N	\N	\N	f	
24205	0a5e82c6-3f02-4fe1-8daf-06ad482236de	Oglethorpe, Georgia	Oglethorpe, Georgia	3	0	2013-09-07 03:14:44.81126+02	\N	\N	\N	\N	\N	\N	f	
24494	6912abbb-c26a-48ae-8eea-ac16c6eb04ec	Moultrie, Georgia	Moultrie, Georgia	3	0	2013-09-07 06:59:03.847188+02	\N	\N	\N	\N	\N	\N	f	
24548	f25f6a18-875b-4b52-bd5e-5465c8572366	Adel, Georgia	Adel, Georgia	3	0	2013-09-07 07:35:46.04971+02	\N	\N	\N	\N	\N	\N	f	
26432	b72c59d6-f8aa-487f-99e8-767a0aaf20bb	Haddam, Kansas	Haddam, Kansas	3	0	2013-09-08 00:32:55.477256+02	\N	\N	\N	\N	\N	\N	f	
24586	88f38706-514b-4d74-b92d-6ed2f82dcee0	Venice	Venice	3	0	2013-09-07 07:46:20.834535+02	\N	\N	\N	\N	\N	\N	f	
24994	5ed04934-cfc2-43db-8679-f333269e6675	Redding	Redding	3	0	2013-09-07 09:35:41.190184+02	\N	\N	\N	\N	\N	\N	f	
28580	61b9caaa-4b8a-47f3-9dff-4eff92517ef6	Idalou, Texas	Idalou, Texas	3	0	2013-09-08 20:54:30.318113+02	\N	\N	\N	\N	\N	\N	f	
25011	2bae5736-a906-4930-95f7-0bc2c8837010	Moorhead	Moorhead	3	0	2013-09-07 09:40:17.132797+02	\N	\N	\N	\N	\N	\N	f	
26721	c2f79d15-7434-4179-831a-8dd90913503a	Webster Groves, Missouri	Webster Groves, Missouri	3	0	2013-09-08 02:37:25.851416+02	\N	\N	\N	\N	\N	\N	f	
25633	ba31dcb5-ceaf-4b9c-a799-527205153ce3	Dexter, Kansas	Dexter, Kansas	3	0	2013-09-07 13:17:39.099195+02	\N	\N	\N	\N	\N	\N	f	
25634	28156888-04f1-450f-b3b9-9dc6ff07aab0	Swan	Swan	3	0	2013-09-07 13:17:53.566687+02	\N	\N	\N	\N	\N	\N	f	
25642	b6585690-371d-449e-8cfb-690dff01e258	Barnum	Barnum	3	0	2013-09-07 13:20:00.579627+02	\N	\N	\N	\N	\N	\N	f	
27200	cc649521-f97b-4ead-a643-33f503f9ac69	Tallapoosa	Tallapoosa	3	0	2013-09-08 05:55:31.0758+02	\N	\N	\N	\N	\N	\N	f	
26103	fde90a25-a746-42e6-89fb-91a636ee0986	Sycamore, Kentucky	Sycamore, Kentucky	3	0	2013-09-07 18:11:01.183933+02	\N	\N	\N	\N	\N	\N	f	
29363	b9bd76f7-7e5a-44e3-ad3c-8035dacd9372	Waupaca	Waupaca	3	0	2013-09-09 08:27:09.927673+02	\N	\N	\N	\N	\N	\N	f	
27521	8e485fd6-94d8-422a-90fd-301ea8797c1c	Fairdale, North Dakota	Fairdale, North Dakota	3	0	2013-09-08 08:31:33.292975+02	\N	\N	\N	\N	\N	\N	f	
28651	0b6ebf91-9e3a-4f4d-8a42-b956bd0c9269	East Mountain	East Mountain	3	0	2013-09-08 21:13:48.728352+02	\N	\N	\N	\N	\N	\N	f	
27562	54ab968f-ce32-4f7b-a354-f3d8a2157a77	Gascoyne, North Dakota	Gascoyne, North Dakota	3	0	2013-09-08 08:41:40.373896+02	\N	\N	\N	\N	\N	\N	f	
27901	4222b62f-c051-4813-8eae-77aaff46b7a1	Lawrenceville, Georgia	Lawrenceville, Georgia	3	0	2013-09-08 11:31:10.545603+02	\N	\N	\N	\N	\N	\N	f	
29173	8464bff9-8191-453e-a1fd-3f522f345650	Shavano Park	Shavano Park	3	0	2013-09-09 02:56:23.543342+02	\N	\N	\N	\N	\N	\N	f	
28164	2c8dfbf3-5787-4d74-bc50-7fc40211ef07	Mezen	Mezen	3	0	2013-09-08 14:37:38.236007+02	\N	\N	\N	\N	\N	\N	f	
28367	2c3c2ea4-fb4f-43dd-b418-7984b500bb29	McEwen, Tennessee	McEwen, Tennessee	3	0	2013-09-08 17:02:00.573901+02	\N	\N	\N	\N	\N	\N	f	
28829	1a8584c4-1d01-4210-97b3-2efb6e8391c7	Nolanville	Nolanville	3	0	2013-09-09 00:10:04.832854+02	\N	\N	\N	\N	\N	\N	f	
29078	1f28a264-959d-4ada-8e5c-af38f9d79bd4	Mossyrock	Mossyrock	3	0	2013-09-09 02:18:23.635745+02	\N	\N	\N	\N	\N	\N	f	
29177	4fea4158-8270-4609-8231-0b3e1a180fc9	Caldwell	Caldwell	3	0	2013-09-09 02:57:39.722061+02	\N	\N	\N	\N	\N	\N	f	
29114	b08cc173-5d65-4a09-a679-db78775c5bab	Orting	Orting	3	0	2013-09-09 02:28:27.880027+02	\N	\N	\N	\N	\N	\N	f	
29122	502ea9b2-6e81-49d9-aa2e-79c6a9d6757f	McCleary, Washington	McCleary, Washington	3	0	2013-09-09 02:37:45.193289+02	\N	\N	\N	\N	\N	\N	f	
29372	c1383017-77d1-4050-b9c1-9b627db858d0	Mondovi	Mondovi	3	0	2013-09-09 08:29:20.277202+02	\N	\N	\N	\N	\N	\N	f	
29186	ac104a12-72ca-4cbe-a3b6-fcfc223aa572	Stratford	Stratford	3	0	2013-09-09 03:00:16.771043+02	\N	\N	\N	\N	\N	\N	f	
29266	e948182f-abdf-4f61-be38-9c3adca21032	New Cumberland, West Virginia	New Cumberland, West Virginia	3	0	2013-09-09 04:25:19.661832+02	\N	\N	\N	\N	\N	\N	f	
29282	3b1b8102-3be8-4157-bd31-b32347fbe8ad	Ranson, West Virginia	Ranson, West Virginia	3	0	2013-09-09 04:29:23.21514+02	\N	\N	\N	\N	\N	\N	f	
29564	a7f86e10-4821-4248-8eb4-e420c6185a94	Villa Tulumba	Villa Tulumba	3	0	2013-09-29 17:24:24.665433+02	\N	\N	\N	\N	\N	\N	f	
29560	8b221084-a50a-4757-b247-a0fed1d5a0fc	Skegness	Skegness	3	0	2013-09-29 14:30:52.037647+02	\N	\N	\N	\N	\N	\N	f	
29501	c46bb59e-b8c4-43fd-a77f-8255755d79de	Whiston	Whiston	3	0	2013-09-29 08:22:52.627932+02	\N	\N	\N	\N	\N	\N	f	
29539	0161913a-0245-4d4e-984c-23475c582421	Ellesmere, Shropshire	Ellesmere, Shropshire	3	0	2013-09-29 08:40:35.724957+02	\N	\N	\N	\N	\N	\N	f	
29576	d3d04e04-dac5-41cb-b645-f9f0390702dc	La Visitation-de-Yamaska, Quebec	La Visitation-de-Yamaska, Quebec	3	0	2013-09-30 08:24:26.775639+02	\N	\N	\N	\N	\N	\N	f	
29572	ccdb2d64-cef1-4e3b-9c07-5feb997a2224	Golden Valley	Golden Valley	3	0	2013-09-30 05:28:41.989531+02	\N	\N	\N	\N	\N	\N	f	
29583	34b903b2-9c0d-4de8-a8f2-f5676b0fb4a3	Luunja	Luunja	3	0	2013-09-30 15:40:30.232758+02	\N	\N	\N	\N	\N	\N	f	
29586	cce84d31-81ca-4dd3-97e1-7e1d34bea1e1	Little Canada	Little Canada	3	0	2013-09-30 20:21:34.489338+02	\N	\N	\N	\N	\N	\N	f	
29590	08287577-ad2c-43e2-8bb8-9a118cbe7d40	Milaca	Milaca	3	0	2013-10-01 20:22:15.274487+02	\N	\N	\N	\N	\N	\N	f	
809	72ac17ca-9a6b-415b-9fcc-5d1a8e7afeee	București	București	3	0	2013-10-02 10:53:46.698501+02	\N	\N	\N	\N	\N	\N	f	
29593	9a1332a4-81ba-466a-8bbc-650f2072f19f	Saratov	Saratov	3	0	2013-10-02 10:18:49.348827+02	\N	\N	\N	\N	\N	\N	f	
7957	9b9dd8cc-0ed0-4b29-8b50-90c1a61e16ae	Nuremberg	Nuremberg	3	0	2013-10-03 14:21:40.910067+02	\N	\N	\N	\N	\N	\N	f	
29595	4b4e6389-fc1f-488e-8a7a-96f289f0cc05	Columbia Heights	Columbia Heights	3	0	2013-10-04 02:21:26.905003+02	\N	\N	\N	\N	\N	\N	f	
29596	c3042195-6125-4f34-92df-ecc0c47d812a	Fridley	Fridley	3	0	2013-10-04 02:29:29.894683+02	\N	\N	\N	\N	\N	\N	f	
13514	c62e18fa-6ce9-4fb3-83e2-d7f44888916c	Scanzorosciate	Scanzorosciate	4	0	2013-07-21 18:12:15.102881+02	\N	\N	\N	\N	\N	\N	f	
13560	b0ca751e-8edd-497b-88c7-54bf1727a61e	Ribordone	Ribordone	4	0	2013-07-21 18:23:11.651978+02	\N	\N	\N	\N	\N	\N	f	
13516	f355781e-6289-4fe4-bfcd-d0728cbeb96b	Taleggio, Lombardy	Taleggio, Lombardy	4	0	2013-07-21 18:12:41.742156+02	\N	\N	\N	\N	\N	\N	f	
13545	71c061ea-1b07-4841-afa1-0aa16b1bfce2	Villa d'Adda	Villa d'Adda	4	0	2013-07-21 18:19:40.284182+02	\N	\N	\N	\N	\N	\N	f	
13517	33b728c1-d3fe-46e5-b73a-ca2bdb1fdfcf	San Giovanni Bianco	San Giovanni Bianco	4	0	2013-07-21 18:12:54.057543+02	\N	\N	\N	\N	\N	\N	f	
13520	d3b3d964-1f1d-4207-bfa6-635e805eb062	Treviolo	Treviolo	4	0	2013-07-21 18:13:30.988373+02	\N	\N	\N	\N	\N	\N	f	
13521	4ec605bf-8f3f-4596-ac30-df2a9278af49	Torre Boldone	Torre Boldone	4	0	2013-07-21 18:13:43.074308+02	\N	\N	\N	\N	\N	\N	f	
13546	f8ca0bfc-aaf9-4402-9617-2a227052f215	Valnegra	Valnegra	4	0	2013-07-21 18:19:55.114434+02	\N	\N	\N	\N	\N	\N	f	
13527	6616d68f-e260-47f5-8caa-32e3b3ac678f	Urgnano	Urgnano	4	0	2013-07-21 18:14:58.317851+02	\N	\N	\N	\N	\N	\N	f	
13528	c766ddcf-6456-4ffc-af70-c57589bf6f4a	Seriate	Seriate	4	0	2013-07-21 18:15:16.723002+02	\N	\N	\N	\N	\N	\N	f	
13529	2d1e6b9d-33fe-428b-b02b-b1f0b9cb3d19	Sant'Omobono Terme	Sant'Omobono Terme	4	0	2013-07-21 18:15:29.586791+02	\N	\N	\N	\N	\N	\N	f	
13547	744341f3-6464-480c-b893-e04405cc3f4c	Viadanica	Viadanica	4	0	2013-07-21 18:20:08.590263+02	\N	\N	\N	\N	\N	\N	f	
13530	15b4ed45-14a2-48ef-89d1-32ca8c55820b	Serina, Lombardy	Serina, Lombardy	4	0	2013-07-21 18:15:42.185586+02	\N	\N	\N	\N	\N	\N	f	
13531	21672482-065f-45cf-975d-862617f08255	Solza	Solza	4	0	2013-07-21 18:16:00.076982+02	\N	\N	\N	\N	\N	\N	f	
13561	0101938e-973e-4a9b-a776-dbea3a5ef1d3	Quincinetto	Quincinetto	4	0	2013-07-21 18:23:23.119411+02	\N	\N	\N	\N	\N	\N	f	
13532	bc1d70c3-bfa8-46c1-b669-ad749a081b16	Stezzano	Stezzano	4	0	2013-07-21 18:16:13.752522+02	\N	\N	\N	\N	\N	\N	f	
13548	92f71bef-9bb6-4b95-8cda-6bcaae324a05	Zandobbio	Zandobbio	4	0	2013-07-21 18:20:23.389469+02	\N	\N	\N	\N	\N	\N	f	
13533	90d2626a-9ff9-42ef-892c-710886141bb3	Vigano San Martino	Vigano San Martino	4	0	2013-07-21 18:16:37.946488+02	\N	\N	\N	\N	\N	\N	f	
13534	5260a24b-b1f9-429d-893e-b92d620456c1	Villa di Serio	Villa di Serio	4	0	2013-07-21 18:16:54.837022+02	\N	\N	\N	\N	\N	\N	f	
13535	01c9b5be-3260-4a83-ab2d-401b13f63ca7	Villa d'Almè	Villa d'Almè	4	0	2013-07-21 18:17:12.412066+02	\N	\N	\N	\N	\N	\N	f	
13549	1e6e323b-c640-4bb8-9a7a-07ede699aadf	Valsecca	Valsecca	4	0	2013-07-21 18:20:36.814848+02	\N	\N	\N	\N	\N	\N	f	
13536	0b2d5ffe-29c4-4b0f-a2a9-0a9236c1f352	Zogno	Zogno	4	0	2013-07-21 18:17:26.424948+02	\N	\N	\N	\N	\N	\N	f	
13537	bb292e18-5664-4316-91ab-2c02b1f029c7	Verdello	Verdello	4	0	2013-07-21 18:17:41.869426+02	\N	\N	\N	\N	\N	\N	f	
13570	3c66dd51-375e-418a-8cfd-235c9e9b4593	Rivarolo Canavese	Rivarolo Canavese	4	0	2013-07-21 18:25:13.95755+02	\N	\N	\N	\N	\N	\N	f	
13538	325bcab4-0404-49df-8491-43410fbe094c	Zanica	Zanica	4	0	2013-07-21 18:17:58.008094+02	\N	\N	\N	\N	\N	\N	f	
13550	3c5d7fc8-8e9f-4643-a737-fc7abc1f700a	Vigolo	Vigolo	4	0	2013-07-21 18:20:50.095867+02	\N	\N	\N	\N	\N	\N	f	
13539	2359c7ee-f586-4cae-9263-de249da473a1	Villa d'Ogna	Villa d'Ogna	4	0	2013-07-21 18:18:11.311196+02	\N	\N	\N	\N	\N	\N	f	
13540	93e66212-0be0-4942-a9a0-52f38b8016f2	Vilminore di Scalve	Vilminore di Scalve	4	0	2013-07-21 18:18:23.682955+02	\N	\N	\N	\N	\N	\N	f	
13562	f9bac653-b850-4cfb-87cc-458ff930c9b1	Piscina	Piscina	4	0	2013-07-21 18:23:36.314001+02	\N	\N	\N	\N	\N	\N	f	
13541	bf743bbb-3d3b-4455-8ff1-98d60943f6df	Valgoglio	Valgoglio	4	0	2013-07-21 18:18:38.660616+02	\N	\N	\N	\N	\N	\N	f	
13551	1a753ae8-de8e-476a-81a1-fb0b5cf6f562	Piossasco	Piossasco	4	0	2013-07-21 18:21:03.008185+02	\N	\N	\N	\N	\N	\N	f	
13542	c28effca-533d-4789-bb16-b4401b577fbe	Valbondione	Valbondione	4	0	2013-07-21 18:18:52.016462+02	\N	\N	\N	\N	\N	\N	f	
13543	f104b404-9d6a-4355-b164-96173e7620f1	Villongo	Villongo	4	0	2013-07-21 18:19:05.225176+02	\N	\N	\N	\N	\N	\N	f	
13544	bc3ad7d4-ba14-40ee-bfa5-d8b978df7893	Vedeseta	Vedeseta	4	0	2013-07-21 18:19:24.311684+02	\N	\N	\N	\N	\N	\N	f	
13552	2fcde89f-6a73-4077-8794-746fbfeecc38	Valbrembo	Valbrembo	4	0	2013-07-21 18:21:14.824209+02	\N	\N	\N	\N	\N	\N	f	
13553	c3c9a42b-781a-4697-b8f1-e278b073b314	Valtorta, Lombardy	Valtorta, Lombardy	4	0	2013-07-21 18:21:27.784044+02	\N	\N	\N	\N	\N	\N	f	
13563	8c153c7c-440c-4715-a223-e5e377caf7ea	Piverone	Piverone	4	0	2013-07-21 18:23:51.212146+02	\N	\N	\N	\N	\N	\N	f	
13554	8329c29a-3c1f-4641-bdb9-c4ac7ffbbab5	Vertova	Vertova	4	0	2013-07-21 18:21:40.709147+02	\N	\N	\N	\N	\N	\N	f	
13555	402a0cea-1dae-4fba-bd75-28b482cb9d9f	Verdellino	Verdellino	4	0	2013-07-21 18:21:55.89783+02	\N	\N	\N	\N	\N	\N	f	
13580	a3f52cde-7e31-4f7d-979f-0b32c4c9dfb8	Riva presso Chieri	Riva presso Chieri	4	0	2013-07-21 18:27:13.503619+02	\N	\N	\N	\N	\N	\N	f	
13556	113526d6-eecd-4ed9-9e01-bf2048046371	Valleve	Valleve	4	0	2013-07-21 18:22:09.088213+02	\N	\N	\N	\N	\N	\N	f	
13564	1cfb3dae-ade6-4318-bc3a-2f4644aaf945	Quagliuzzo	Quagliuzzo	4	0	2013-07-21 18:24:03.384745+02	\N	\N	\N	\N	\N	\N	f	
13557	2347cb8d-1bb4-4e07-8824-b7d4c710b74e	Rivara	Rivara	4	0	2013-07-21 18:22:32.537872+02	\N	\N	\N	\N	\N	\N	f	
13558	c27b2c69-a972-4a6c-ba23-c41a242f7f92	Pont-Canavese	Pont-Canavese	4	0	2013-07-21 18:22:44.015506+02	\N	\N	\N	\N	\N	\N	f	
13571	42918afa-aefc-4970-9e65-c1ce8f44b9af	Porte	Porte	4	0	2013-07-21 18:25:28.115455+02	\N	\N	\N	\N	\N	\N	f	
13559	d3d1c5b1-c805-40a5-af9f-2a9ded28d198	Rivarossa	Rivarossa	4	0	2013-07-21 18:22:59.509625+02	\N	\N	\N	\N	\N	\N	f	
13565	b9b11e2c-05e4-44aa-a9fa-5f08855cbf48	Prarostino	Prarostino	4	0	2013-07-21 18:24:15.79192+02	\N	\N	\N	\N	\N	\N	f	
13577	39c62227-bab6-47a3-8496-4dffadbac752	Pramollo	Pramollo	4	0	2013-07-21 18:26:37.887832+02	\N	\N	\N	\N	\N	\N	f	
13566	e063afbf-40de-4319-b05e-31c927be7c10	Pratiglione	Pratiglione	4	0	2013-07-21 18:24:27.308143+02	\N	\N	\N	\N	\N	\N	f	
13572	95984356-cd52-44da-8f95-b6d937736bd1	Reano	Reano	4	0	2013-07-21 18:25:40.103637+02	\N	\N	\N	\N	\N	\N	f	
13567	6aadede1-7c92-4074-97de-713da04d8125	Prali	Prali	4	0	2013-07-21 18:24:38.957173+02	\N	\N	\N	\N	\N	\N	f	
13568	e77ba7cf-cd9b-4375-9866-643bea9bffd2	Pomaretto	Pomaretto	4	0	2013-07-21 18:24:50.586263+02	\N	\N	\N	\N	\N	\N	f	
13569	e249e8d6-0937-4c2f-811f-d25ddbabc858	Pragelato	Pragelato	4	0	2013-07-21 18:25:02.46899+02	\N	\N	\N	\N	\N	\N	f	
13573	63299e40-3383-41c1-9a89-4381b965f06d	Quassolo	Quassolo	4	0	2013-07-21 18:25:51.580849+02	\N	\N	\N	\N	\N	\N	f	
13574	609564b8-daaa-4fa3-bd1a-dd9012434734	Prascorsano	Prascorsano	4	0	2013-07-21 18:26:03.088038+02	\N	\N	\N	\N	\N	\N	f	
13578	ffe2566a-4c3a-4a73-b0c8-e9d2a1aa2d18	Pralormo	Pralormo	4	0	2013-07-21 18:26:49.414324+02	\N	\N	\N	\N	\N	\N	f	
13575	51309dee-1afc-4ce3-9dca-c126d133711c	Rivalba	Rivalba	4	0	2013-07-21 18:26:14.889665+02	\N	\N	\N	\N	\N	\N	f	
13586	7c6bafd2-ede8-4b20-b014-1cc9578fdcdd	Romano Canavese	Romano Canavese	4	0	2013-07-21 18:28:30.80064+02	\N	\N	\N	\N	\N	\N	f	
13576	141577bf-0e5f-4ccb-8eb1-46b1920fa3bd	Poirino	Poirino	4	0	2013-07-21 18:26:26.384825+02	\N	\N	\N	\N	\N	\N	f	
13581	ea942679-dae3-4ad9-84b3-647ce5b080e9	Rueglio	Rueglio	4	0	2013-07-21 18:27:32.42779+02	\N	\N	\N	\N	\N	\N	f	
13579	6b22b821-f008-4a08-99bf-dfcc973bf97a	Rivalta di Torino	Rivalta di Torino	4	0	2013-07-21 18:27:00.985747+02	\N	\N	\N	\N	\N	\N	f	
13583	88bc9be0-2040-4b8d-8014-b3b068e1dad3	Salza di Pinerolo	Salza di Pinerolo	4	0	2013-07-21 18:27:55.763487+02	\N	\N	\N	\N	\N	\N	f	
13582	e5d8f9a2-7789-4c0e-9d52-d795b64f14a5	Rubiana	Rubiana	4	0	2013-07-21 18:27:44.062719+02	\N	\N	\N	\N	\N	\N	f	
13585	57aecf5c-791f-436c-b568-8f495a475346	Rosta	Rosta	4	0	2013-07-21 18:28:19.131388+02	\N	\N	\N	\N	\N	\N	f	
13584	bd4d828e-73a1-4350-af6f-bba7575498bf	Rocca Canavese	Rocca Canavese	4	0	2013-07-21 18:28:07.488927+02	\N	\N	\N	\N	\N	\N	f	
13587	7a69075b-1314-4f48-a837-16e257263787	Rorà	Rorà	4	0	2013-07-21 18:28:42.451531+02	\N	\N	\N	\N	\N	\N	f	
13588	3fdd9132-d2cc-479b-949a-02c38e6647f6	Rondissone	Rondissone	4	0	2013-07-21 18:28:54.11519+02	\N	\N	\N	\N	\N	\N	f	
13589	6a953125-025d-4fec-a5c2-fd2504b0d7fb	Salassa	Salassa	4	0	2013-07-21 18:29:05.607634+02	\N	\N	\N	\N	\N	\N	f	
13590	4a8f3017-d26d-435d-b029-7bf4bc33f5cc	Rivoli	Rivoli	4	0	2013-07-21 18:29:17.389191+02	\N	\N	\N	\N	\N	\N	f	
13591	9196c215-5644-4a4b-85d5-21d0848a8092	Salbertrand	Salbertrand	4	0	2013-07-21 18:29:29.109446+02	\N	\N	\N	\N	\N	\N	f	
13592	ef05a4d8-e240-406a-b2fe-0ec2681e4f07	Robassomero	Robassomero	4	0	2013-07-21 18:29:40.688779+02	\N	\N	\N	\N	\N	\N	f	
13593	6011c39c-be6d-4dff-8c51-90fec6cd7ceb	Ronco Canavese	Ronco Canavese	4	0	2013-07-21 18:29:52.250412+02	\N	\N	\N	\N	\N	\N	f	
13594	7eb386da-460f-45fd-9ee9-a2ce4d04a97b	Roure	Roure	4	0	2013-07-21 18:30:03.822328+02	\N	\N	\N	\N	\N	\N	f	
13595	0de52e7c-2140-4b5b-b3da-6b4af7592990	Roletto	Roletto	4	0	2013-07-21 18:30:15.460274+02	\N	\N	\N	\N	\N	\N	f	
13596	28822410-743d-4b64-a869-0a1a2b55c367	Salerano Canavese	Salerano Canavese	4	0	2013-07-21 18:30:27.292117+02	\N	\N	\N	\N	\N	\N	f	
13597	9246a019-e79e-4ca6-8b2b-374fc91aee4f	San Gillio	San Gillio	4	0	2013-07-21 18:30:51.923314+02	\N	\N	\N	\N	\N	\N	f	
14255	9c7199b0-c851-4c93-830a-2bcd90672799	Villacidro	Villacidro	4	0	2013-07-21 20:57:34.880712+02	\N	\N	\N	\N	\N	\N	f	
13598	6139ead7-49e1-4cb0-a3f6-7926e17cb703	San Carlo Canavese	San Carlo Canavese	4	0	2013-07-21 18:31:06.478473+02	\N	\N	\N	\N	\N	\N	f	
13627	b9064f02-d2f5-439f-a80a-25dd1906a523	San Benigno Canavese	San Benigno Canavese	4	0	2013-07-21 18:37:05.22455+02	\N	\N	\N	\N	\N	\N	f	
16100	fad63f44-b624-4bfc-858b-041015c1fe47	Mendatica	Mendatica	4	0	2013-07-22 02:52:55.731487+02	\N	\N	\N	\N	\N	\N	f	
13632	e353ab59-4a98-4eac-ace8-d3bf9a555eb2	Cutigliano	Cutigliano	4	0	2013-07-21 18:38:14.824648+02	\N	\N	\N	\N	\N	\N	f	
14296	dfaf301c-e57d-4627-b6cd-929eab4ec513	Blera	Blera	4	0	2013-07-21 21:06:45.033976+02	\N	\N	\N	\N	\N	\N	f	
13634	4c31e1bd-e4bd-4955-911b-4bed95a1c087	Monsummano Terme	Monsummano Terme	4	0	2013-07-21 18:38:48.468134+02	\N	\N	\N	\N	\N	\N	f	
13635	45e249e7-b664-4c51-a3ea-01e5bf643a04	Montale	Montale	4	0	2013-07-21 18:39:01.976878+02	\N	\N	\N	\N	\N	\N	f	
14850	84633c16-eaf3-461c-b9dc-7e1615329225	Aversa	Aversa	4	0	2013-07-21 23:10:18.636797+02	\N	\N	\N	\N	\N	\N	f	
14889	5ee90b63-f4df-408e-9081-145fc298696e	Cervasca	Cervasca	4	0	2013-07-21 23:20:31.916982+02	\N	\N	\N	\N	\N	\N	f	
14926	e985a098-f828-4913-bcb2-485ded0143c6	Garessio	Garessio	4	0	2013-07-21 23:26:29.326327+02	\N	\N	\N	\N	\N	\N	f	
16877	e5346004-43a7-4fdf-b06f-918583ccc137	Teolo	Teolo	4	0	2013-07-22 04:59:37.688363+02	\N	\N	\N	\N	\N	\N	f	
14939	7a0e69c1-5cf2-48c1-90aa-cb5a36e65b97	Lequio Tanaro	Lequio Tanaro	4	0	2013-07-21 23:28:09.527119+02	\N	\N	\N	\N	\N	\N	f	
16886	b05dc4c1-8c54-4ca5-bf27-0c3bc12335a3	Volpara	Volpara	4	0	2013-07-22 05:01:52.57374+02	\N	\N	\N	\N	\N	\N	f	
16968	a2582550-775b-4997-9d46-081c7b1b2b64	Santa Giustina in Colle	Santa Giustina in Colle	4	0	2013-07-22 05:22:41.929695+02	\N	\N	\N	\N	\N	\N	f	
16995	672c1184-2835-4293-8eac-3e86be860c7b	Hône	Hône	4	0	2013-07-22 05:29:52.905674+02	\N	\N	\N	\N	\N	\N	f	
20246	6dcbbe91-7d34-4aeb-ab54-0deb8c99241b	Falerna	Falerna	4	0	2013-07-22 20:34:22.722968+02	\N	\N	\N	\N	\N	\N	f	
18132	7510cdde-634a-42ae-bf42-4bb175d49645	Corsico	Corsico	4	0	2013-07-22 07:51:25.150638+02	\N	\N	\N	\N	\N	\N	f	
18134	b00636fb-0dd6-4861-9d67-80b16641e30e	Dresano	Dresano	4	0	2013-07-22 07:51:37.123605+02	\N	\N	\N	\N	\N	\N	f	
19035	6b9869fc-6526-4a45-a52a-1b4875f71194	Follina	Follina	4	0	2013-07-22 09:44:20.430817+02	\N	\N	\N	\N	\N	\N	f	
25663	b13b0ae5-67f6-43ab-9a40-925e2871dc25	St. George, Kansas	St. George, Kansas	3	0	2013-09-07 13:25:36.050137+02	\N	\N	\N	\N	\N	\N	f	
19053	e14b2bab-bc2d-46ca-bdcd-33e3cbb9178f	Alcamo	Alcamo	4	0	2013-07-22 09:46:19.919106+02	\N	\N	\N	\N	\N	\N	f	
21707	2aa452f7-06bb-4c59-af0c-27fd94b173fd	Sarsina	Sarsina	4	0	2013-07-24 14:59:01.813192+02	\N	\N	\N	\N	\N	\N	f	
19071	880482e2-7f63-49b0-90c7-b89d23e7db41	Illasi	Illasi	4	0	2013-07-22 09:48:57.358424+02	\N	\N	\N	\N	\N	\N	f	
19096	9c38087a-b32a-47e4-9c68-f7c5fb21a55a	Trabia	Trabia	4	0	2013-07-22 09:52:07.446076+02	\N	\N	\N	\N	\N	\N	f	
27902	3643f09f-b49a-487b-b507-11c0c6ca8c47	Hills and Dales, Kentucky	Hills and Dales, Kentucky	3	0	2013-09-08 11:31:25.904286+02	\N	\N	\N	\N	\N	\N	f	
19101	4d75da23-6d6f-4873-b7a8-cab13a36d01e	Cassaro	Cassaro	4	0	2013-07-22 09:52:37.037434+02	\N	\N	\N	\N	\N	\N	f	
19113	5594efe8-71b6-43a7-8507-f504830eca98	Ventimiglia di Sicilia	Ventimiglia di Sicilia	4	0	2013-07-22 09:54:05.231624+02	\N	\N	\N	\N	\N	\N	f	
26104	00b66101-dd96-48ac-a52d-a24708746633	Varina, Iowa	Varina, Iowa	3	0	2013-09-07 18:11:20.832633+02	\N	\N	\N	\N	\N	\N	f	
19197	67a04ec3-b9ca-4a4d-a694-3a5a602d56a7	Villabate	Villabate	4	0	2013-07-22 10:04:48.377576+02	\N	\N	\N	\N	\N	\N	f	
22053	702fd4d0-b529-4d06-add1-97c18d83f38d	Rockford	Rockford	3	0	2013-08-07 14:34:44.306698+02	\N	\N	\N	\N	\N	\N	f	
19198	7cae832b-b17e-4960-829c-302aa78f223e	Barete	Barete	4	0	2013-07-22 10:05:05.451739+02	\N	\N	\N	\N	\N	\N	f	
22094	ba21b05c-812f-430a-b41b-a6297767f6c5	Blockton	Blockton	3	0	2013-08-07 14:47:31.452855+02	\N	\N	\N	\N	\N	\N	f	
27525	6a8521a3-731b-4b51-96df-1ac0e2dda429	Wyndmere, North Dakota	Wyndmere, North Dakota	3	0	2013-09-08 08:32:35.029689+02	\N	\N	\N	\N	\N	\N	f	
24496	e8d323fc-839e-482b-aac4-dc088de7d5d0	Culloden	Culloden	3	0	2013-09-07 06:59:49.168606+02	\N	\N	\N	\N	\N	\N	f	
26122	744cdb8c-db68-4ca2-9144-10c7acfd3534	Raymond	Raymond	3	0	2013-09-07 20:20:41.769944+02	\N	\N	\N	\N	\N	\N	f	
24568	93261886-83c1-4ed4-9428-72f8cbdb6d5f	Anderson, Indiana	Anderson, Indiana	3	0	2013-09-07 07:41:40.947261+02	\N	\N	\N	\N	\N	\N	f	
24579	78e17b05-21f6-4eac-b549-f27f06cbf4e4	Grand View, Idaho	Grand View, Idaho	3	0	2013-09-07 07:44:32.948168+02	\N	\N	\N	\N	\N	\N	f	
24997	f2dbb96c-f27a-45f6-8edc-d8761f994728	Rathbun	Rathbun	3	0	2013-09-07 09:36:28.603562+02	\N	\N	\N	\N	\N	\N	f	
26433	3b74e6ae-09fd-48dd-8256-9ce8fc4147d8	Cherokee, Iowa	Cherokee, Iowa	3	0	2013-09-08 00:33:11.787868+02	\N	\N	\N	\N	\N	\N	f	
25093	82396119-3d8f-42f2-9e8e-98da64151ba2	Meservey	Meservey	3	0	2013-09-07 10:02:39.145613+02	\N	\N	\N	\N	\N	\N	f	
25102	1ca36100-d9e1-4196-a39d-bdf6d14293a6	Lambs Grove	Lambs Grove	3	0	2013-09-07 10:05:01.164455+02	\N	\N	\N	\N	\N	\N	f	
25639	7b5e3131-be3a-42b1-b1d5-becffe86c2b8	Traer	Traer	3	0	2013-09-07 13:19:11.91296+02	\N	\N	\N	\N	\N	\N	f	
27534	63a0f113-cc99-439b-bca5-ed621c5d797a	Mantador, North Dakota	Mantador, North Dakota	3	0	2013-09-08 08:34:47.129518+02	\N	\N	\N	\N	\N	\N	f	
25659	74d0797e-f690-409c-8064-1a0848508bf0	Walnut	Walnut	3	0	2013-09-07 13:24:34.231168+02	\N	\N	\N	\N	\N	\N	f	
26444	461eb3b4-d797-4d0b-a3d6-f0edc63ae155	Menan, Idaho	Menan, Idaho	3	0	2013-09-08 00:36:11.420811+02	\N	\N	\N	\N	\N	\N	f	
26723	9f0570b5-f47e-4f99-863f-ab89c9775fdd	Dillard, Georgia	Dillard, Georgia	3	0	2013-09-08 02:37:56.155808+02	\N	\N	\N	\N	\N	\N	f	
28399	9aed0db9-7840-468c-b397-6a4ee781c4f9	Hurley, South Dakota	Hurley, South Dakota	3	0	2013-09-08 17:11:29.484413+02	\N	\N	\N	\N	\N	\N	f	
27201	b465e56e-6750-4254-9cf7-f7933632da28	Troy	Troy	3	0	2013-09-08 05:55:47.147919+02	\N	\N	\N	\N	\N	\N	f	
27981	84260a25-36f5-472d-b655-b506c3b6a7d4	Dublin	Dublin	3	0	2013-09-08 11:53:07.985778+02	\N	\N	\N	\N	\N	\N	f	
27220	25822f2c-934f-4c2d-99f9-e5a777e41e83	Delta	Delta	3	0	2013-09-08 06:01:41.161684+02	\N	\N	\N	\N	\N	\N	f	
27631	02ca5f06-3059-4606-bba2-a587e1d27062	Ruso, North Dakota	Ruso, North Dakota	3	0	2013-09-08 09:02:25.195512+02	\N	\N	\N	\N	\N	\N	f	
27655	9b7285d1-f383-4074-ad2c-29793ac159da	Salem, Ohio	Salem, Ohio	3	0	2013-09-08 09:11:06.866137+02	\N	\N	\N	\N	\N	\N	f	
28210	328c95bc-1d96-4b1b-95a5-aa3f3628f092	Clemson, South Carolina	Clemson, South Carolina	3	0	2013-09-08 14:51:27.970015+02	\N	\N	\N	\N	\N	\N	f	
28044	d202a18f-9aaa-4a5e-9765-69d19a47d4a5	Orchard	Orchard	3	0	2013-09-08 12:10:25.988884+02	\N	\N	\N	\N	\N	\N	f	
28380	7d547aa9-cf48-4992-bcfb-1738e1a11920	Jefferson City, Tennessee	Jefferson City, Tennessee	3	0	2013-09-08 17:06:04.613122+02	\N	\N	\N	\N	\N	\N	f	
28165	acd14323-c552-4033-b405-b7e02ef83302	Ramenskoye	Ramenskoye	3	0	2013-09-08 14:38:01.898862+02	\N	\N	\N	\N	\N	\N	f	
28368	3a9f6ed9-3eb8-4d0d-8c65-7586b7ae4190	New Johnsonville, Tennessee	New Johnsonville, Tennessee	3	0	2013-09-08 17:02:14.334738+02	\N	\N	\N	\N	\N	\N	f	
28412	4c4ba642-c801-431d-b9d7-25f0364d624f	Oak Hill	Oak Hill	3	0	2013-09-08 17:14:38.260592+02	\N	\N	\N	\N	\N	\N	f	
28447	49d8c52a-4e8f-444e-bca0-2db787333de9	South Fulton, Tennessee	South Fulton, Tennessee	3	0	2013-09-08 17:28:37.2354+02	\N	\N	\N	\N	\N	\N	f	
28558	bbdfd4ac-49af-46aa-b220-9a0f728bb3f8	Giddings, Texas	Giddings, Texas	3	0	2013-09-08 20:47:25.917344+02	\N	\N	\N	\N	\N	\N	f	
28563	829ec95d-be87-4df9-9c6f-d72410a982d0	Midlothian, Texas	Midlothian, Texas	3	0	2013-09-08 20:48:47.521828+02	\N	\N	\N	\N	\N	\N	f	
28654	f50c8384-1cd2-447f-b034-608f0c9ead12	Tye	Tye	3	0	2013-09-08 21:14:51.180489+02	\N	\N	\N	\N	\N	\N	f	
28830	93235c51-972c-4af7-8a6e-f1885d8da6e7	Rice	Rice	3	0	2013-09-09 00:10:20.693387+02	\N	\N	\N	\N	\N	\N	f	
28849	a6151b8d-1214-4952-b926-1a18303b4e52	St. Jo	St. Jo	3	0	2013-09-09 00:15:34.811075+02	\N	\N	\N	\N	\N	\N	f	
29079	a59e7870-179a-47e5-bd2b-7b77bad5bc84	Monroe	Monroe	3	0	2013-09-09 02:18:54.910149+02	\N	\N	\N	\N	\N	\N	f	
13599	2d0e9c50-b755-4506-a768-12be5a0198a7	Quarrata	Quarrata	4	0	2013-07-21 18:31:18.102245+02	\N	\N	\N	\N	\N	\N	f	
13613	a3438dd7-59ea-4fcb-9d88-ba962711ed93	Piteglio	Piteglio	4	0	2013-07-21 18:34:13.714959+02	\N	\N	\N	\N	\N	\N	f	
14257	d99fb482-163a-42a9-86bc-a9f2a9e5cddb	Lanusei	Lanusei	4	0	2013-07-21 20:57:59.317559+02	\N	\N	\N	\N	\N	\N	f	
14851	99aac936-c341-49bd-8f72-754dcb5119ee	Bitonto	Bitonto	4	0	2013-07-21 23:10:30.232199+02	\N	\N	\N	\N	\N	\N	f	
16101	8298a82e-43fb-482a-819e-9dc6a78304ef	Pigna, Liguria	Pigna, Liguria	4	0	2013-07-22 02:53:07.223681+02	\N	\N	\N	\N	\N	\N	f	
16152	9d46742e-17c8-4d4f-add2-0337c274dc0f	Ceriale	Ceriale	4	0	2013-07-22 02:59:17.980577+02	\N	\N	\N	\N	\N	\N	f	
18068	d3ed6ac6-0ede-450e-b5b8-6b71de4e79bf	Villa Poma	Villa Poma	4	0	2013-07-22 07:44:06.357474+02	\N	\N	\N	\N	\N	\N	f	
16182	6d3aa248-fe74-4a8c-84fa-3947927a1467	Cisano sul Neva	Cisano sul Neva	4	0	2013-07-22 03:02:36.946629+02	\N	\N	\N	\N	\N	\N	f	
16193	9f8aea8b-86c4-478a-afb1-b255d083a8dc	Laigueglia	Laigueglia	4	0	2013-07-22 03:04:03.342255+02	\N	\N	\N	\N	\N	\N	f	
26108	37cdd1cf-c9be-4383-bcb6-99508b017867	Fredonia, Kentucky	Fredonia, Kentucky	3	0	2013-09-07 18:12:22.688278+02	\N	\N	\N	\N	\N	\N	f	
16878	8763fd69-0cd4-407e-97ce-df1957b0a98f	Due Carrare	Due Carrare	4	0	2013-07-22 04:59:51.724493+02	\N	\N	\N	\N	\N	\N	f	
18091	6efbac28-093c-47ed-96b1-0956521ce066	Livraga	Livraga	4	0	2013-07-22 07:46:41.059129+02	\N	\N	\N	\N	\N	\N	f	
16889	374c5c0f-990c-429f-9727-12126128be76	Cervarese Santa Croce	Cervarese Santa Croce	4	0	2013-07-22 05:02:36.359907+02	\N	\N	\N	\N	\N	\N	f	
20247	34fc880c-96bc-4ffa-a5e9-9911f75b7e8b	Carlopoli	Carlopoli	4	0	2013-07-22 20:34:34.531531+02	\N	\N	\N	\N	\N	\N	f	
18144	f6c4e00b-a0f8-44d9-9a15-bfa9b3279163	Cortenova	Cortenova	4	0	2013-07-22 07:52:41.883121+02	\N	\N	\N	\N	\N	\N	f	
19037	42c2033a-de94-4d04-bc20-a3b76f7a9b06	Mazara del Vallo	Mazara del Vallo	4	0	2013-07-22 09:44:34.280772+02	\N	\N	\N	\N	\N	\N	f	
20278	133b7d8b-09a7-4c07-ae1f-667b8529054e	Motta Santa Lucia	Motta Santa Lucia	4	0	2013-07-22 20:41:49.978237+02	\N	\N	\N	\N	\N	\N	f	
19169	51389524-93ef-4272-8e81-d707ac9b72bb	Cellamare	Cellamare	4	0	2013-07-22 10:01:38.799698+02	\N	\N	\N	\N	\N	\N	f	
19274	418f4022-611a-4196-b6ec-577703a73ec9	San Benedetto in Perillis	San Benedetto in Perillis	4	0	2013-07-22 10:14:43.452997+02	\N	\N	\N	\N	\N	\N	f	
26123	d267abb6-d99b-4843-8cb0-6e41c0cc2e8f	Bulman	Bulman	3	0	2013-09-07 20:21:01.658079+02	\N	\N	\N	\N	\N	\N	f	
19281	3ff9dce9-a31c-430c-8bd6-e495d71eee67	Raiano	Raiano	4	0	2013-07-22 10:15:40.040644+02	\N	\N	\N	\N	\N	\N	f	
20288	629f09d6-fc0f-4ef8-9e63-1883bdfead3a	Cicala	Cicala	4	0	2013-07-22 20:43:50.186446+02	\N	\N	\N	\N	\N	\N	f	
20289	be3eb3e0-d8d3-4615-a9ed-4815a355a3cc	Montauro	Montauro	4	0	2013-07-22 20:44:02.637346+02	\N	\N	\N	\N	\N	\N	f	
28369	5744a40a-56bf-4c49-8b23-cb6d9d5b3d0d	Dyer, Tennessee	Dyer, Tennessee	3	0	2013-09-08 17:02:30.020823+02	\N	\N	\N	\N	\N	\N	f	
21715	d2121bd0-9b9c-440b-9e2b-9cc17589e43b	Bolgare	Bolgare	4	0	2013-07-24 15:01:24.186059+02	\N	\N	\N	\N	\N	\N	f	
26125	ad37531d-5de1-4b0b-8833-148d009d551c	Minjilang	Minjilang	3	0	2013-09-07 20:21:32.484362+02	\N	\N	\N	\N	\N	\N	f	
22054	b9068515-c65c-4bb2-89e6-09b37b9ad59c	Montrose	Montrose	3	0	2013-08-07 14:35:02.103464+02	\N	\N	\N	\N	\N	\N	f	
26175	39c81b85-150e-4239-9041-d936a74a925b	Duquesne, Missouri	Duquesne, Missouri	3	0	2013-09-07 20:37:01.086305+02	\N	\N	\N	\N	\N	\N	f	
22084	f4be4a0d-bf20-4280-b0cf-0a3434dba062	Boyden	Boyden	3	0	2013-08-07 14:42:14.248412+02	\N	\N	\N	\N	\N	\N	f	
24197	6dbd5ed6-c058-4d54-84f2-dc35995c0014	Elberton, Georgia	Elberton, Georgia	3	0	2013-09-07 03:12:36.058354+02	\N	\N	\N	\N	\N	\N	f	
29267	4293a51b-3e23-4a80-8df4-cdb01914dfe4	Weston, West Virginia	Weston, West Virginia	3	0	2013-09-09 04:25:34.316962+02	\N	\N	\N	\N	\N	\N	f	
24497	9b6a0c3e-057c-4aab-9bd1-96d0fb8a9114	Cannelton	Cannelton	3	0	2013-09-07 07:00:07.660295+02	\N	\N	\N	\N	\N	\N	f	
26435	5582bbfa-c456-48b4-bb56-19c020577aff	Keswick, Iowa	Keswick, Iowa	3	0	2013-09-08 00:33:47.464652+02	\N	\N	\N	\N	\N	\N	f	
24604	2236f68e-4c58-448f-81a8-a85da9f7126a	Carrollton	Carrollton	3	0	2013-09-07 07:50:35.297871+02	\N	\N	\N	\N	\N	\N	f	
25004	154cd169-0618-47da-a93b-74660d64f5c2	Patterson	Patterson	3	0	2013-09-07 09:38:32.215836+02	\N	\N	\N	\N	\N	\N	f	
28406	1ecfdfcf-31b6-41a9-9f46-5132329ef04a	Pikeville, Tennessee	Pikeville, Tennessee	3	0	2013-09-08 17:13:10.045758+02	\N	\N	\N	\N	\N	\N	f	
25041	e8ed31df-1448-41b1-a06a-967791b94da0	Moville	Moville	3	0	2013-09-07 09:47:55.878912+02	\N	\N	\N	\N	\N	\N	f	
26727	2dcc8fb7-ee98-4797-9dbf-5cc7295a41cc	Panorama Park, Iowa	Panorama Park, Iowa	3	0	2013-09-08 02:38:57.740365+02	\N	\N	\N	\N	\N	\N	f	
25044	df403b40-ab1d-47fb-abb4-2140dc5d70d6	Portsmouth	Portsmouth	3	0	2013-09-07 09:48:41.289934+02	\N	\N	\N	\N	\N	\N	f	
25078	0e5080a9-159c-475e-beff-e369fb5ac3ce	Keystone	Keystone	3	0	2013-09-07 09:58:25.599306+02	\N	\N	\N	\N	\N	\N	f	
25118	c4fbe8e5-dff3-4f9d-a750-3481f62aa8da	Lake Mills	Lake Mills	3	0	2013-09-07 10:09:12.267345+02	\N	\N	\N	\N	\N	\N	f	
27202	07e46295-2bad-42aa-b4af-6cf47d7e1619	Creighton	Creighton	3	0	2013-09-08 05:56:03.120133+02	\N	\N	\N	\N	\N	\N	f	
25640	8b359907-1dbb-4b19-80cb-713bf41730a0	Thornburg	Thornburg	3	0	2013-09-07 13:19:28.979485+02	\N	\N	\N	\N	\N	\N	f	
28831	25b3e029-3ff5-4002-8ba3-88303143b704	Liberty Hill	Liberty Hill	3	0	2013-09-09 00:10:37.120934+02	\N	\N	\N	\N	\N	\N	f	
27207	787576ad-e0c9-442d-91fe-93d03cccef75	Sparta	Sparta	3	0	2013-09-08 05:57:29.047706+02	\N	\N	\N	\N	\N	\N	f	
28561	c3907bd0-9097-4394-a642-c4fa18782330	Dimmitt, Texas	Dimmitt, Texas	3	0	2013-09-08 20:48:17.612272+02	\N	\N	\N	\N	\N	\N	f	
27526	2242358e-55c2-40d4-ab2b-3042e0b03ae6	Lidgerwood, North Dakota	Lidgerwood, North Dakota	3	0	2013-09-08 08:32:49.617232+02	\N	\N	\N	\N	\N	\N	f	
27903	9e73664a-af66-4c57-a723-8512b0e31588	Fordville, North Dakota	Fordville, North Dakota	3	0	2013-09-08 11:31:44.981105+02	\N	\N	\N	\N	\N	\N	f	
28167	f77abe31-09b3-45a1-9327-b45a4d64c70b	Mikhaylovsk	Mikhaylovsk	3	0	2013-09-08 14:38:37.789354+02	\N	\N	\N	\N	\N	\N	f	
28591	63299e04-1700-4e85-81d5-fe3c7189a288	Creedmoor, Texas	Creedmoor, Texas	3	0	2013-09-08 20:57:27.274554+02	\N	\N	\N	\N	\N	\N	f	
28873	e2f07321-dc97-4f56-8004-fa1b7ad28868	West Columbia	West Columbia	3	0	2013-09-09 00:22:34.28227+02	\N	\N	\N	\N	\N	\N	f	
28608	0f0776d0-b41a-494c-8e1f-c4cf4c25015f	Kress	Kress	3	0	2013-09-08 21:01:55.910738+02	\N	\N	\N	\N	\N	\N	f	
28645	185cb25f-d48b-411a-a4be-89970070a362	Dilley	Dilley	3	0	2013-09-08 21:11:58.848983+02	\N	\N	\N	\N	\N	\N	f	
29503	40c3c5b9-fbd2-44d1-86a2-22866410bb3c	Eunice	Eunice	3	0	2013-09-29 08:24:00.657438+02	\N	\N	\N	\N	\N	\N	f	
28647	1151d890-2fc9-4800-b7d3-091b20c61afb	Wharton	Wharton	3	0	2013-09-08 21:12:40.064567+02	\N	\N	\N	\N	\N	\N	f	
29270	78329080-de6e-494b-b813-325b1d00cf89	Keystone, West Virginia	Keystone, West Virginia	3	0	2013-09-09 04:26:15.250911+02	\N	\N	\N	\N	\N	\N	f	
29083	39c376c3-6017-4f8f-aced-3a73d313a7f4	Napavine	Napavine	3	0	2013-09-09 02:20:55.944585+02	\N	\N	\N	\N	\N	\N	f	
29118	655398a2-3b17-42b9-9bd7-fbdc935dd735	Sprague	Sprague	3	0	2013-09-09 02:33:22.452958+02	\N	\N	\N	\N	\N	\N	f	
29565	54553a23-f709-47ae-85f6-cfb746d24615	Beaminster	Beaminster	3	0	2013-09-29 17:28:57.597789+02	\N	\N	\N	\N	\N	\N	f	
29364	42e0016c-e91a-4882-bf3e-926990b043d8	Rice Lake	Rice Lake	3	0	2013-09-09 08:27:29.000179+02	\N	\N	\N	\N	\N	\N	f	
29561	b07df47b-dcff-4ef7-8c24-e54ad49f5f8e	Río Cuarto	Río Cuarto	3	0	2013-09-29 14:31:12.34763+02	\N	\N	\N	\N	\N	\N	f	
29577	358e3d60-77ca-41ef-8ee5-0b9fca9e86a3	Saint-François-du-Lac, Quebec	Saint-François-du-Lac, Quebec	3	0	2013-09-30 08:25:03.70313+02	\N	\N	\N	\N	\N	\N	f	
29573	f4e6a2d2-f14c-4a70-95d4-f295bb5b728f	Champlin	Champlin	3	0	2013-09-30 05:29:50.945283+02	\N	\N	\N	\N	\N	\N	f	
29587	b7b51aa2-9c93-40dd-bcf7-91dcc703b15e	White Bear Lake	White Bear Lake	3	0	2013-09-30 20:22:36.675168+02	\N	\N	\N	\N	\N	\N	f	
29591	83024be8-984d-439f-8111-9a282b0657f3	Åsgårdstrand	Åsgårdstrand	3	0	2013-10-01 20:23:41.403532+02	\N	\N	\N	\N	\N	\N	f	
29597	ef483774-cb98-4f7f-b30a-aab66646070c	Big Lake	Big Lake	3	0	2013-10-04 17:21:16.596757+02	\N	\N	\N	\N	\N	\N	f	
29594	a6592324-51e8-4465-a031-8a181e249b51	Bhanvad	Bhanvad	3	0	2013-10-03 14:26:37.901603+02	\N	\N	\N	\N	\N	\N	f	
29658	296c3487-6e93-484d-8254-ed0fcd08d123	Ettelbruck	Ettelbruck	3	0	2013-10-11 20:34:47.939746+02	\N	\N	\N	\N	\N	\N	f	
13600	1e253e85-9dea-4ac3-9d2c-2817cacaac3f	Pieve a Nievole	Pieve a Nievole	4	0	2013-07-21 18:31:30.262179+02	\N	\N	\N	\N	\N	\N	f	
13601	2132e457-8e1f-412e-9f4a-5bbb379644a6	Borgonovo Val Tidone	Borgonovo Val Tidone	4	0	2013-07-21 18:31:45.374+02	\N	\N	\N	\N	\N	\N	f	
13602	19e548a1-3c60-41f2-87bf-f6b3d47bbfd8	San Germano Chisone	San Germano Chisone	4	0	2013-07-21 18:31:58.282978+02	\N	\N	\N	\N	\N	\N	f	
14262	5e27763f-9567-4b8d-ac62-d8e5f18b32d1	Genoa	Genoa	4	0	2013-07-21 20:59:07.419957+02	\N	\N	\N	\N	\N	\N	f	
13603	ddc21ff0-1d57-4394-a6e2-5b2b146a9f6f	Alseno	Alseno	4	0	2013-07-21 18:32:10.802055+02	\N	\N	\N	\N	\N	\N	f	
13604	36d9876d-38e9-49b4-9024-16055a9e1778	Pescia	Pescia	4	0	2013-07-21 18:32:23.15633+02	\N	\N	\N	\N	\N	\N	f	
13605	de149557-62b3-4485-843f-d1f31296cced	San Didero	San Didero	4	0	2013-07-21 18:32:34.521142+02	\N	\N	\N	\N	\N	\N	f	
14415	9f7a08c4-b526-4da6-a7f4-b9c90c96180c	Cavatore	Cavatore	4	0	2013-07-21 21:32:29.969793+02	\N	\N	\N	\N	\N	\N	f	
13608	c6cecfca-ba8a-4876-8393-307eb8587ca6	Agliana	Agliana	4	0	2013-07-21 18:33:10.203061+02	\N	\N	\N	\N	\N	\N	f	
16111	8ebc525a-d5ab-4a3a-8362-7f898bf4661b	Lerici	Lerici	4	0	2013-07-22 02:54:31.95931+02	\N	\N	\N	\N	\N	\N	f	
14428	e5e12807-9790-4e1b-a44e-c4f8a481edfb	Masio	Masio	4	0	2013-07-21 21:35:48.401944+02	\N	\N	\N	\N	\N	\N	f	
14853	0e83a5e2-1d73-4f44-8b46-d90b5229c1a1	Erice	Erice	4	0	2013-07-21 23:11:01.464771+02	\N	\N	\N	\N	\N	\N	f	
16218	6571b7d2-4829-4482-8b45-db85b97432cb	Varazze	Varazze	4	0	2013-07-22 03:07:09.762055+02	\N	\N	\N	\N	\N	\N	f	
18073	fb6b644e-b726-495c-bf8d-884588008949	Pomponesco	Pomponesco	4	0	2013-07-22 07:44:47.850819+02	\N	\N	\N	\N	\N	\N	f	
16881	b7935829-23c7-482a-8c41-3fa64a804ffb	Ponte San Nicolò	Ponte San Nicolò	4	0	2013-07-22 05:00:40.525805+02	\N	\N	\N	\N	\N	\N	f	
16908	bb0d8246-1b2d-4f93-8def-6a93e0b80cdf	Arre	Arre	4	0	2013-07-22 05:07:29.832108+02	\N	\N	\N	\N	\N	\N	f	
26109	cc8499fd-fa14-473f-822b-8962c0082c6f	Hollyvilla, Kentucky	Hollyvilla, Kentucky	3	0	2013-09-07 18:12:37.279273+02	\N	\N	\N	\N	\N	\N	f	
18074	ac43248d-3991-47b7-bc1d-c2a84566efdf	Marmirolo	Marmirolo	4	0	2013-07-22 07:44:48.124642+02	\N	\N	\N	\N	\N	\N	f	
20248	868c22a2-eb84-458a-becc-db52c2a5c8a7	Nocera Terinese	Nocera Terinese	4	0	2013-07-22 20:34:46.319165+02	\N	\N	\N	\N	\N	\N	f	
18158	4a279960-6549-4e28-949a-9d6dda586dd7	Calvignasco	Calvignasco	4	0	2013-07-22 07:54:17.337055+02	\N	\N	\N	\N	\N	\N	f	
18249	93ae3381-50ef-44e7-940b-3929492570a9	Ripalta Arpina	Ripalta Arpina	4	0	2013-07-22 08:05:09.678731+02	\N	\N	\N	\N	\N	\N	f	
18292	61dc3a90-8533-49c5-91b6-8f130b869c0c	Perego	Perego	4	0	2013-07-22 08:10:31.795009+02	\N	\N	\N	\N	\N	\N	f	
20286	2a5e0cfb-0282-4b6a-addb-e9427df99416	Feroleto Antico	Feroleto Antico	4	0	2013-07-22 20:43:26.307571+02	\N	\N	\N	\N	\N	\N	f	
18323	3674a4ee-8feb-48be-a265-5256a4905557	Cesana Brianza	Cesana Brianza	4	0	2013-07-22 08:14:04.593929+02	\N	\N	\N	\N	\N	\N	f	
26124	4cdbde4c-46d6-469b-bda0-b7c544f0b4cd	Larrimah	Larrimah	3	0	2013-09-07 20:21:17.917018+02	\N	\N	\N	\N	\N	\N	f	
20305	12d0542a-5d7b-40bb-b965-80b3485c7328	Albidona	Albidona	4	0	2013-07-22 20:47:27.307695+02	\N	\N	\N	\N	\N	\N	f	
21722	b3486900-7c72-4c99-9a1e-b80f0ef68499	Bariano	Bariano	4	0	2013-07-24 15:02:56.478067+02	\N	\N	\N	\N	\N	\N	f	
26436	2eea54df-2e39-4251-ab5a-684d8525b44a	Mendenhall, Mississippi	Mendenhall, Mississippi	3	0	2013-09-08 00:34:04.95255+02	\N	\N	\N	\N	\N	\N	f	
22055	32dc9f9d-84d6-47fb-8e5a-85a58dc5a7f1	Monroe	Monroe	3	0	2013-08-07 14:35:15.440137+02	\N	\N	\N	\N	\N	\N	f	
26728	d6693cae-31df-4cfc-9568-c461e7381824	Wilsey, Kansas	Wilsey, Kansas	3	0	2013-09-08 02:39:15.652932+02	\N	\N	\N	\N	\N	\N	f	
22068	b9b6d585-e203-4aa3-9eed-4492701c6a19	Maloy	Maloy	3	0	2013-08-07 14:38:22.749199+02	\N	\N	\N	\N	\N	\N	f	
24198	de56321f-9fbb-4c38-84e6-d27cec63cf6f	Daisy, Georgia	Daisy, Georgia	3	0	2013-09-07 03:12:54.269717+02	\N	\N	\N	\N	\N	\N	f	
28216	f893f27f-b9ca-4dea-b581-d7b67c3453f8	Mytishchi	Mytishchi	3	0	2013-09-08 14:53:58.807335+02	\N	\N	\N	\N	\N	\N	f	
24499	e8a218fc-83b5-4b2c-830a-e3c8122c5c21	Sparks	Sparks	3	0	2013-09-07 07:00:43.653548+02	\N	\N	\N	\N	\N	\N	f	
27204	dde92544-9fa1-4f47-a511-b19170eeaf35	Polson	Polson	3	0	2013-09-08 05:56:36.664539+02	\N	\N	\N	\N	\N	\N	f	
24505	26b479fb-c8a0-48eb-a391-938efe0c7414	Grayson	Grayson	3	0	2013-09-07 07:02:41.940326+02	\N	\N	\N	\N	\N	\N	f	
24518	7d6f437d-861b-4446-a907-7aa72a328f1f	Cave Spring	Cave Spring	3	0	2013-09-07 07:06:07.588743+02	\N	\N	\N	\N	\N	\N	f	
24545	d756eb65-46b4-4233-ace5-e83c3c03ae68	Davisboro	Davisboro	3	0	2013-09-07 07:34:44.688352+02	\N	\N	\N	\N	\N	\N	f	
27527	3be5df65-f089-4187-bf19-d2753c42b958	Fullerton, North Dakota	Fullerton, North Dakota	3	0	2013-09-08 08:33:04.213281+02	\N	\N	\N	\N	\N	\N	f	
25006	bc0d0c94-983b-4e9e-8e1d-f1481bce8334	Monmouth	Monmouth	3	0	2013-09-07 09:39:02.435733+02	\N	\N	\N	\N	\N	\N	f	
25090	a57a9e85-ca97-44e3-b2d1-62c467f5063d	Little Rock	Little Rock	3	0	2013-09-07 10:01:52.804194+02	\N	\N	\N	\N	\N	\N	f	
28585	691ee96b-4571-4653-81ee-2f42581efd51	Kermit, Texas	Kermit, Texas	3	0	2013-09-08 20:55:51.739803+02	\N	\N	\N	\N	\N	\N	f	
25641	ec0540d5-d846-4473-9326-ac2c06669abf	Beloit	Beloit	3	0	2013-09-07 13:19:46.02001+02	\N	\N	\N	\N	\N	\N	f	
27545	f6b0f808-8708-4150-ad15-2015b4e6153d	Lawton, North Dakota	Lawton, North Dakota	3	0	2013-09-08 08:37:28.189922+02	\N	\N	\N	\N	\N	\N	f	
25654	f046c511-12d7-448c-a647-bca3b67398e9	Union	Union	3	0	2013-09-07 13:23:08.828314+02	\N	\N	\N	\N	\N	\N	f	
28223	67d759e4-3ab1-42eb-b313-c8513a1275b6	Chesnee, South Carolina	Chesnee, South Carolina	3	0	2013-09-08 14:57:14.258721+02	\N	\N	\N	\N	\N	\N	f	
27904	337b7df0-781d-498c-8437-6b6882e9865f	Matthews	Matthews	3	0	2013-09-08 11:31:59.896769+02	\N	\N	\N	\N	\N	\N	f	
28168	f06b32e8-89a8-4372-909c-bf592cbc9bb0	Labinsk	Labinsk	3	0	2013-09-08 14:39:01.010183+02	\N	\N	\N	\N	\N	\N	f	
28372	96a1a05a-e071-4e2c-9ca4-aa7870b1bd59	Millersville, Tennessee	Millersville, Tennessee	3	0	2013-09-08 17:03:17.731889+02	\N	\N	\N	\N	\N	\N	f	
28171	618f3197-ee91-4386-a0c7-0dac65d93d06	Kurganinsk	Kurganinsk	3	0	2013-09-08 14:39:48.495502+02	\N	\N	\N	\N	\N	\N	f	
29129	b854d0dd-e180-41a5-ab50-94dc7afa9d2d	Queen City	Queen City	3	0	2013-09-09 02:42:12.372685+02	\N	\N	\N	\N	\N	\N	f	
28179	62200a12-e642-4ffb-ba94-a63698bb2a5a	Nyandoma	Nyandoma	3	0	2013-09-08 14:42:13.195901+02	\N	\N	\N	\N	\N	\N	f	
28589	2ef4d90c-96f0-4303-b55c-0a902626ff97	Silsbee, Texas	Silsbee, Texas	3	0	2013-09-08 20:56:56.636879+02	\N	\N	\N	\N	\N	\N	f	
28379	2ec89909-adc3-4285-8953-567f7750126e	Hohenwald, Tennessee	Hohenwald, Tennessee	3	0	2013-09-08 17:05:36.837764+02	\N	\N	\N	\N	\N	\N	f	
28454	4b2c6497-8e92-4e54-b0af-99818353bfb4	Arcola	Arcola	3	0	2013-09-08 17:37:55.92141+02	\N	\N	\N	\N	\N	\N	f	
28562	79d12bc6-83d1-4fe1-a9d7-25c49db64182	Bellaire, Texas	Bellaire, Texas	3	0	2013-09-08 20:48:32.846747+02	\N	\N	\N	\N	\N	\N	f	
28869	dc742d4d-de64-457d-9c39-3bfa67106ac2	Missouri City	Missouri City	3	0	2013-09-09 00:21:09.94064+02	\N	\N	\N	\N	\N	\N	f	
28833	5ed67293-86af-464b-aaca-919a492e8c4d	Pecos	Pecos	3	0	2013-09-09 00:11:10.169815+02	\N	\N	\N	\N	\N	\N	f	
28861	cc401c59-c223-45bc-b472-dad2ba4af079	Rio Hondo	Rio Hondo	3	0	2013-09-09 00:18:51.387957+02	\N	\N	\N	\N	\N	\N	f	
28864	7840d24d-7c74-4dfd-bc8d-01215af44bfb	Snook	Snook	3	0	2013-09-09 00:19:43.080337+02	\N	\N	\N	\N	\N	\N	f	
29366	4ca46d7c-a4f6-4f59-92c2-3aa66f225ff9	Neillsville	Neillsville	3	0	2013-09-09 08:27:56.493819+02	\N	\N	\N	\N	\N	\N	f	
29084	3cb2cf46-0b53-4ecd-9c2d-4dd427493619	Kahlotus	Kahlotus	3	0	2013-09-09 02:21:10.018707+02	\N	\N	\N	\N	\N	\N	f	
29268	21dcd933-9cfb-4eb1-85d4-d514106cbd60	Ceredo, West Virginia	Ceredo, West Virginia	3	0	2013-09-09 04:25:47.921453+02	\N	\N	\N	\N	\N	\N	f	
29192	0e3ef106-0260-4594-9465-510c215e1a9b	Goodrich	Goodrich	3	0	2013-09-09 03:02:03.119788+02	\N	\N	\N	\N	\N	\N	f	
29276	eebe0a7d-a76a-4ef6-b3dc-2c22fbe9877f	Pennsboro, West Virginia	Pennsboro, West Virginia	3	0	2013-09-09 04:27:44.399058+02	\N	\N	\N	\N	\N	\N	f	
29504	f0290811-40dc-4146-b0bd-fa223885ff02	Hatfield	Hatfield	3	0	2013-09-29 08:24:29.558952+02	\N	\N	\N	\N	\N	\N	f	
29510	3ea148b7-6d75-4499-8e6f-9d31c92cbfd2	Clun	Clun	3	0	2013-09-29 08:26:24.361473+02	\N	\N	\N	\N	\N	\N	f	
29566	a22ac398-0283-4d30-99f2-dbb4a0d64e55	Rufino	Rufino	3	0	2013-09-29 17:29:59.907967+02	\N	\N	\N	\N	\N	\N	f	
13631	9944fb14-6d7c-4fc5-a64f-b1d575d794f3	Besenzone	Besenzone	4	0	2013-07-21 18:38:00.492545+02	\N	\N	\N	\N	\N	\N	f	
29578	62160a95-d445-4da7-b297-83fb42dddfb4	Saint-Elphège, Quebec	Saint-Elphège, Quebec	3	0	2013-09-30 08:25:21.806481+02	\N	\N	\N	\N	\N	\N	f	
29588	51d8aed9-a622-4a24-bc35-b913b42b653d	Roseville	Roseville	3	0	2013-09-30 20:30:33.295844+02	\N	\N	\N	\N	\N	\N	f	
29592	f9ede212-a0a0-4f1c-9e98-9f276496ee22	Foley	Foley	3	0	2013-10-01 20:29:47.98027+02	\N	\N	\N	\N	\N	\N	f	
13606	bb77e7c8-1758-440d-9bbb-e4537e61bdaa	Caorso	Caorso	4	0	2013-07-21 18:32:46.129592+02	\N	\N	\N	\N	\N	\N	f	
14269	a4e8e802-0ad2-4d46-b112-192b7235d32c	Pellizzano	Pellizzano	4	0	2013-07-21 21:00:31.597551+02	\N	\N	\N	\N	\N	\N	f	
14270	6f850074-4073-4e20-af12-f27f7e0c6004	Cineto Romano	Cineto Romano	4	0	2013-07-21 21:00:44.884583+02	\N	\N	\N	\N	\N	\N	f	
28566	d455bf17-47e6-4dda-a04e-f5925edfb543	Riesel, Texas	Riesel, Texas	3	0	2013-09-08 20:49:39.615225+02	\N	\N	\N	\N	\N	\N	f	
14360	9723800d-e2a8-490e-bf91-b60e1c96ec53	Carezzano	Carezzano	4	0	2013-07-21 21:20:54.111031+02	\N	\N	\N	\N	\N	\N	f	
14441	65ae889a-29c7-4cde-8ab1-0d6a7bb18e7b	Merana	Merana	4	0	2013-07-21 21:38:34.080608+02	\N	\N	\N	\N	\N	\N	f	
14854	0713bb75-45a7-42a6-8208-a7adcef988fd	Acireale	Acireale	4	0	2013-07-21 23:11:19.006096+02	\N	\N	\N	\N	\N	\N	f	
16192	3cd13b2a-2fd2-4677-bf66-74c14444b4ae	Denno	Denno	4	0	2013-07-22 03:03:55.165438+02	\N	\N	\N	\N	\N	\N	f	
14902	16412dd2-9fac-4749-895f-dbe432a2d743	Lona-Lases	Lona-Lases	4	0	2013-07-21 23:23:35.419953+02	\N	\N	\N	\N	\N	\N	f	
14934	b4d5c534-8b08-4fa5-987e-02b1ed0f7895	Lesegno	Lesegno	4	0	2013-07-21 23:27:32.8267+02	\N	\N	\N	\N	\N	\N	f	
18076	fca69002-7eac-4045-aaad-a49efa2df2f3	Felonica	Felonica	4	0	2013-07-22 07:45:01.313625+02	\N	\N	\N	\N	\N	\N	f	
16882	a2dec3c9-007d-43b2-b79e-f9f15d6a4745	Gazzo	Gazzo	4	0	2013-07-22 05:00:56.141904+02	\N	\N	\N	\N	\N	\N	f	
26730	2ff569a2-b7cd-4955-9311-5c92b0136e7c	Harrodsburg, Kentucky	Harrodsburg, Kentucky	3	0	2013-09-08 02:39:46.735367+02	\N	\N	\N	\N	\N	\N	f	
18139	908bd04f-c7f3-4e4d-a430-df73f9e72215	Pregnana Milanese	Pregnana Milanese	4	0	2013-07-22 07:52:08.927734+02	\N	\N	\N	\N	\N	\N	f	
20249	42aa43e8-4924-48b7-b5cf-481d7328ef43	Girifalco	Girifalco	4	0	2013-07-22 20:34:58.266312+02	\N	\N	\N	\N	\N	\N	f	
18143	6914980e-31aa-4357-9187-bf9470c53d01	Margno	Margno	4	0	2013-07-22 07:52:33.18712+02	\N	\N	\N	\N	\N	\N	f	
18147	91d901f0-bb81-4788-8a85-d23fb32b1d86	Carenno	Carenno	4	0	2013-07-22 07:52:58.52034+02	\N	\N	\N	\N	\N	\N	f	
18163	7e2f85db-f44c-4024-b4ab-d7c39d2f2eb5	Cambiago	Cambiago	4	0	2013-07-22 07:54:56.430601+02	\N	\N	\N	\N	\N	\N	f	
20251	2f4e8566-29a5-4ea2-b612-81f52d03baad	Amato	Amato	4	0	2013-07-22 20:35:21.979167+02	\N	\N	\N	\N	\N	\N	f	
19039	86c47277-3b8d-41c2-9c83-b503c7d5093f	Salemi	Salemi	4	0	2013-07-22 09:44:46.628625+02	\N	\N	\N	\N	\N	\N	f	
19083	ad756f10-b80c-4ab5-baf2-8da6ca142e59	Francofonte	Francofonte	4	0	2013-07-22 09:50:43.290831+02	\N	\N	\N	\N	\N	\N	f	
27905	e7e8418a-b69b-4720-85d5-2bae0aebd9d0	Foristell	Foristell	3	0	2013-09-08 11:32:21.065477+02	\N	\N	\N	\N	\N	\N	f	
20261	820582f2-85a9-4558-82b3-d5b585daa2de	Lamezia Terme	Lamezia Terme	4	0	2013-07-22 20:38:05.939195+02	\N	\N	\N	\N	\N	\N	f	
26747	1d15bb86-b34b-4d7e-ab4c-c07c6f7abcc4	Franklin	Franklin	3	0	2013-09-08 02:43:52.580411+02	\N	\N	\N	\N	\N	\N	f	
20263	341d030f-2866-4cb9-9eb0-bec7d7a2e139	Cardinale	Cardinale	4	0	2013-07-22 20:38:40.333918+02	\N	\N	\N	\N	\N	\N	f	
22056	167874a0-538e-4091-8b23-1713290f57a4	Orleans	Orleans	3	0	2013-08-07 14:35:28.717667+02	\N	\N	\N	\N	\N	\N	f	
26753	f7db43df-3df9-4699-8755-681d4c029378	Bevier	Bevier	3	0	2013-09-08 02:45:18.571943+02	\N	\N	\N	\N	\N	\N	f	
24201	a06260af-bd6d-4e8b-8960-8834618fd933	Freeport, Florida	Freeport, Florida	3	0	2013-09-07 03:13:43.120684+02	\N	\N	\N	\N	\N	\N	f	
24501	7d4b104e-96db-4863-a697-4e87c5674a4b	Lula	Lula	3	0	2013-09-07 07:01:28.075044+02	\N	\N	\N	\N	\N	\N	f	
24622	b4f88756-f40a-44a1-b6e6-ca4169cdd9a6	Red Bud	Red Bud	3	0	2013-09-07 07:54:38.591217+02	\N	\N	\N	\N	\N	\N	f	
26754	cf22a386-5aeb-4561-98ef-818353ef9b6f	Houstonia	Houstonia	3	0	2013-09-08 02:45:33.159488+02	\N	\N	\N	\N	\N	\N	f	
25007	b383208b-5f26-4e82-b6a7-00ec41ac54cd	Panora	Panora	3	0	2013-09-07 09:39:17.302366+02	\N	\N	\N	\N	\N	\N	f	
25015	b87d3a95-cba7-4efe-999a-1ebf448b2e1a	Nodaway	Nodaway	3	0	2013-09-07 09:41:17.183936+02	\N	\N	\N	\N	\N	\N	f	
27909	d5f38c63-5f01-46c3-aa8a-d768fa82e81f	Lexington, Georgia	Lexington, Georgia	3	0	2013-09-08 11:33:41.831312+02	\N	\N	\N	\N	\N	\N	f	
25647	3f925046-7c4b-4316-a0d8-ae993fa4753f	Agenda	Agenda	3	0	2013-09-07 13:21:21.254929+02	\N	\N	\N	\N	\N	\N	f	
26803	2d6b50b4-1283-41c1-b881-ae6a914e42d3	Gilliam	Gilliam	3	0	2013-09-08 02:58:05.732847+02	\N	\N	\N	\N	\N	\N	f	
25657	e343068c-8d91-4d78-9e67-04104b041d2c	Clio	Clio	3	0	2013-09-07 13:24:02.052318+02	\N	\N	\N	\N	\N	\N	f	
26112	4300f08f-08fd-4604-a86b-86d21058daf9	Glasco, Kansas	Glasco, Kansas	3	0	2013-09-07 18:13:22.195346+02	\N	\N	\N	\N	\N	\N	f	
26126	a10d397d-7982-420c-adc9-727852de1cc4	Imanpa	Imanpa	3	0	2013-09-07 20:21:50.482566+02	\N	\N	\N	\N	\N	\N	f	
27208	83bbec81-9aee-41a6-8885-7ef595775856	Clarkson Valley	Clarkson Valley	3	0	2013-09-08 05:57:48.113172+02	\N	\N	\N	\N	\N	\N	f	
26154	204e188d-640e-48a6-a37c-370be738e8cc	Blanchard	Blanchard	3	0	2013-09-07 20:30:31.442484+02	\N	\N	\N	\N	\N	\N	f	
26213	89526c19-f430-4b03-84e8-ea5d65d5532f	Orchard Grass Hills, Kentucky	Orchard Grass Hills, Kentucky	3	0	2013-09-07 20:47:01.8859+02	\N	\N	\N	\N	\N	\N	f	
29101	df619a80-5b55-437f-97b0-fd375bfbf34a	Prescott	Prescott	3	0	2013-09-09 02:25:11.127538+02	\N	\N	\N	\N	\N	\N	f	
26437	9cd4d30c-0f31-430e-89cc-c0c0da6bdc8d	Unionville, Missouri	Unionville, Missouri	3	0	2013-09-08 00:34:18.692237+02	\N	\N	\N	\N	\N	\N	f	
27214	25e32fd7-a1e1-4740-ba28-36a21181ecea	Pleasant Valley	Pleasant Valley	3	0	2013-09-08 05:59:45.530985+02	\N	\N	\N	\N	\N	\N	f	
27917	470994b2-6ed3-4a93-9e52-2b4a9d3d52da	Silverton, Ohio	Silverton, Ohio	3	0	2013-09-08 11:36:04.072986+02	\N	\N	\N	\N	\N	\N	f	
27246	e2ccad01-464b-472f-a6fb-90d017b83b81	Marthasville	Marthasville	3	0	2013-09-08 06:08:35.492377+02	\N	\N	\N	\N	\N	\N	f	
27265	72b3e4a5-1d94-4a6d-826a-081a4bc72a3c	Waverly	Waverly	3	0	2013-09-08 06:13:37.702833+02	\N	\N	\N	\N	\N	\N	f	
28672	8478394c-9cd3-4f11-8ab5-0be10b44b4d4	Clear Lake Shores	Clear Lake Shores	3	0	2013-09-08 21:19:32.782848+02	\N	\N	\N	\N	\N	\N	f	
27531	e2f93871-484e-4dad-8aca-242b6dfc24b4	Tuttle, North Dakota	Tuttle, North Dakota	3	0	2013-09-08 08:34:01.748298+02	\N	\N	\N	\N	\N	\N	f	
27948	f87ad541-091e-4a0e-b676-218b7c3f9ce8	Denison	Denison	3	0	2013-09-08 11:44:38.253941+02	\N	\N	\N	\N	\N	\N	f	
27548	029db40e-0cfd-4df4-bdaf-9156b1179d65	Sherwood, North Dakota	Sherwood, North Dakota	3	0	2013-09-08 08:38:14.627674+02	\N	\N	\N	\N	\N	\N	f	
28170	f2759087-77c2-47ea-b513-c0b25ad57273	Gulkevichi	Gulkevichi	3	0	2013-09-08 14:39:32.610965+02	\N	\N	\N	\N	\N	\N	f	
28177	df89fb36-0482-496a-bf10-f63fb9006a5f	Peresvet	Peresvet	3	0	2013-09-08 14:41:41.894897+02	\N	\N	\N	\N	\N	\N	f	
28834	9a30ad2d-1a54-4178-83e8-b1deb63e7c3b	Weir	Weir	3	0	2013-09-09 00:11:26.606451+02	\N	\N	\N	\N	\N	\N	f	
28373	47fb71e4-6071-4a3c-842f-d6cfd67fdec7	Kadoka, South Dakota	Kadoka, South Dakota	3	0	2013-09-08 17:03:32.98818+02	\N	\N	\N	\N	\N	\N	f	
29598	305fc2ae-68f9-4da9-89fa-b7452af52078	Staples	Staples	3	0	2013-10-05 02:23:07.842553+02	\N	\N	\N	\N	\N	\N	f	
29123	d1d839e4-a904-42f6-8091-4ce1a85c45a7	Liberty Lake, Washington	Liberty Lake, Washington	3	0	2013-09-09 02:39:28.331357+02	\N	\N	\N	\N	\N	\N	f	
28882	9465f8ee-b225-4804-828e-6b4b58afb4d7	Buckley	Buckley	3	0	2013-09-09 01:09:01.36549+02	\N	\N	\N	\N	\N	\N	f	
29088	85252634-6f33-47d6-9914-cce3e15231f0	Okanogan	Okanogan	3	0	2013-09-09 02:22:07.407061+02	\N	\N	\N	\N	\N	\N	f	
29367	033bb4c3-d4d7-443e-87a2-5282e07c0641	New London	New London	3	0	2013-09-09 08:28:10.103134+02	\N	\N	\N	\N	\N	\N	f	
29269	6a3df25b-7bd1-4b9c-9622-2655822b17d4	Belmont, West Virginia	Belmont, West Virginia	3	0	2013-09-09 04:26:01.773401+02	\N	\N	\N	\N	\N	\N	f	
29505	d9b87f72-ca2c-482c-80f0-c382622ecd69	Welwyn Garden City	Welwyn Garden City	3	0	2013-09-29 08:24:44.615406+02	\N	\N	\N	\N	\N	\N	f	
29376	f7781ca5-8846-41f9-9c26-ab8fa50afe0d	Lodi	Lodi	3	0	2013-09-09 08:30:15.490088+02	\N	\N	\N	\N	\N	\N	f	
29579	7b48dcd0-60bf-4704-a41c-23f3a51c39ad	Saint-Zéphirin-de-Courval, Quebec	Saint-Zéphirin-de-Courval, Quebec	3	0	2013-09-30 08:25:44.798994+02	\N	\N	\N	\N	\N	\N	f	
29659	7ac9dfbc-1ff8-4158-9de7-e91573f7ec8e	Clervaux	Clervaux	3	0	2013-10-11 20:36:55.027049+02	\N	\N	\N	\N	\N	\N	f	
29664	c3530d70-6f34-4146-891a-81ef7243d628	Watson Lake	Watson Lake	3	0	2013-10-11 23:17:54.926657+02	\N	\N	\N	\N	\N	\N	f	
29668	40e43adc-ce17-485e-a229-d8759d6cabbc	Worksop	Worksop	3	0	2013-10-12 17:24:06.96332+02	\N	\N	\N	\N	\N	\N	f	
29669	a41cb508-3a8a-412d-bec2-2a059349351f	Soledade	Soledade	3	0	2013-10-12 23:20:48.313727+02	\N	\N	\N	\N	\N	\N	f	
3500	7430dfff-05a6-48c4-83af-2721740586fa	Port Louis	Port Louis	3	0	2013-10-13 03:23:03.325358+02	\N	\N	\N	\N	\N	\N	f	
11537	95af2ed4-964c-4b34-806d-1432b3dd13ee	Zama	Zama	3	0	2013-10-13 17:19:38.092731+02	\N	\N	\N	\N	\N	\N	f	
13607	3154b4aa-49c4-47a4-987c-b63837ce3a87	San Giorio di Susa	San Giorio di Susa	4	0	2013-07-21 18:32:58.560222+02	\N	\N	\N	\N	\N	\N	f	
13609	d555a9ba-ec9a-4263-be5c-b7016a6c6608	San Giusto Canavese	San Giusto Canavese	4	0	2013-07-21 18:33:21.730253+02	\N	\N	\N	\N	\N	\N	f	
14272	8433fcf7-1dc6-4139-8216-be0015d2ff7c	Campo nell'Elba	Campo nell'Elba	4	0	2013-07-21 21:01:42.688917+02	\N	\N	\N	\N	\N	\N	f	
13664	94b0a7fd-7059-4c3e-b37b-e02baf5f49b6	Monticelli d'Ongina	Monticelli d'Ongina	4	0	2013-07-21 18:45:36.81284+02	\N	\N	\N	\N	\N	\N	f	
14857	71263479-b6c6-45c2-aa2b-31b56fc5f408	Sestri Levante	Sestri Levante	4	0	2013-07-21 23:12:13.18213+02	\N	\N	\N	\N	\N	\N	f	
16120	13725029-2739-45ac-8ba2-3753fbfac1c3	Riomaggiore	Riomaggiore	4	0	2013-07-22 02:55:38.890491+02	\N	\N	\N	\N	\N	\N	f	
16123	5c2e288a-4794-4d7a-8903-defc3ae104f1	Soldano, Liguria	Soldano, Liguria	4	0	2013-07-22 02:55:54.247192+02	\N	\N	\N	\N	\N	\N	f	
18079	b927595f-cfe8-438b-aa25-04619b4ea666	Casaletto Lodigiano	Casaletto Lodigiano	4	0	2013-07-22 07:45:24.819236+02	\N	\N	\N	\N	\N	\N	f	
16134	4545631c-c405-405c-9c46-0ee1a2212ed0	Coredo	Coredo	4	0	2013-07-22 02:57:10.793984+02	\N	\N	\N	\N	\N	\N	f	
26280	02ec81e2-c7c9-4c14-acb3-7db03626dc1b	Golden City, Missouri	Golden City, Missouri	3	0	2013-09-07 21:05:39.266595+02	\N	\N	\N	\N	\N	\N	f	
16175	06a894c5-26de-48c4-b8ef-66496a11e0cf	Dego	Dego	4	0	2013-07-22 03:01:52.788318+02	\N	\N	\N	\N	\N	\N	f	
18120	4e0680b4-5404-4a94-8392-cc963d921c05	Crandola Valsassina	Crandola Valsassina	4	0	2013-07-22 07:50:04.284547+02	\N	\N	\N	\N	\N	\N	f	
16179	36560932-ac44-43e5-af25-fc095df8e920	Millesimo	Millesimo	4	0	2013-07-22 03:02:19.246384+02	\N	\N	\N	\N	\N	\N	f	
27240	df0d53b3-aa0d-4027-b891-3bd6bef60b88	Bosworth	Bosworth	3	0	2013-09-08 06:07:07.510994+02	\N	\N	\N	\N	\N	\N	f	
20250	0a03f99c-8b5e-4cfa-9a9b-dbf0b051a26b	Cropani	Cropani	4	0	2013-07-22 20:35:10.191833+02	\N	\N	\N	\N	\N	\N	f	
16289	6e75ab7b-68a0-4ce4-92f1-264bb66bc22c	Ferrazzano	Ferrazzano	4	0	2013-07-22 03:15:42.399788+02	\N	\N	\N	\N	\N	\N	f	
18131	56258d31-a732-49e3-85ab-b91e1c3b56d0	Ripalta Guerina	Ripalta Guerina	4	0	2013-07-22 07:51:13.17556+02	\N	\N	\N	\N	\N	\N	f	
16884	c8a43090-f705-4225-a369-b93ee5ac2b23	Porto Viro	Porto Viro	4	0	2013-07-22 05:01:22.977706+02	\N	\N	\N	\N	\N	\N	f	
16918	cdcd1955-471d-42bc-b642-c4bf4b957ba8	Albignasego	Albignasego	4	0	2013-07-22 05:10:16.593897+02	\N	\N	\N	\N	\N	\N	f	
18141	b9f47a46-5981-4d79-9dee-6fca3c3b073f	Pozzo d'Adda	Pozzo d'Adda	4	0	2013-07-22 07:52:21.092297+02	\N	\N	\N	\N	\N	\N	f	
26438	3f527791-3126-4344-b930-77875df1f2c8	East Chicago, Indiana	East Chicago, Indiana	3	0	2013-09-08 00:34:32.980202+02	\N	\N	\N	\N	\N	\N	f	
20287	df97cd8e-8d55-4c36-b9f6-ffa93417f51a	Caraffa di Catanzaro	Caraffa di Catanzaro	4	0	2013-07-22 20:43:38.257787+02	\N	\N	\N	\N	\N	\N	f	
19077	107fe496-6823-40be-8f19-dc9a953b800e	Noto	Noto	4	0	2013-07-22 09:49:45.874187+02	\N	\N	\N	\N	\N	\N	f	
26495	b0a7913b-94be-4a90-82d8-132d8346f31e	Algona, Iowa	Algona, Iowa	3	0	2013-09-08 00:49:52.424141+02	\N	\N	\N	\N	\N	\N	f	
22057	eea54d3f-d0f8-41db-9092-019b84b4e345	Ottosen	Ottosen	3	0	2013-08-07 14:35:41.863886+02	\N	\N	\N	\N	\N	\N	f	
26507	9872043a-f7f7-45b0-ba97-cb309459ca1c	Lineville, Iowa	Lineville, Iowa	3	0	2013-09-08 00:53:04.347368+02	\N	\N	\N	\N	\N	\N	f	
24203	d9b93316-7cb9-47ef-a7f7-dbbcda9790a2	Fanning Springs, Florida	Fanning Springs, Florida	3	0	2013-09-07 03:14:12.861962+02	\N	\N	\N	\N	\N	\N	f	
24508	248ab54c-7eb0-433f-83c7-ad4a8f46045f	Dunkirk	Dunkirk	3	0	2013-09-07 07:03:29.975842+02	\N	\N	\N	\N	\N	\N	f	
27536	e0347949-c844-45b6-b38e-b6a8ad067a1b	Binford, North Dakota	Binford, North Dakota	3	0	2013-09-08 08:35:15.893702+02	\N	\N	\N	\N	\N	\N	f	
24513	1b19534b-8810-4965-9663-df4af9680f6b	Remerton	Remerton	3	0	2013-09-07 07:04:46.011126+02	\N	\N	\N	\N	\N	\N	f	
26732	68dda934-a2c4-4b66-9536-c9e6e950bf4e	Liberty, Mississippi	Liberty, Mississippi	3	0	2013-09-08 02:40:16.322132+02	\N	\N	\N	\N	\N	\N	f	
25013	853ec01d-c53c-4ad7-8813-b34c02aef153	Montour	Montour	3	0	2013-09-07 09:40:47.225385+02	\N	\N	\N	\N	\N	\N	f	
25100	5de3c573-a03d-4426-8577-495e86121109	Martinsburg	Martinsburg	3	0	2013-09-07 10:04:29.963328+02	\N	\N	\N	\N	\N	\N	f	
25651	5c6ccfe0-2933-451f-8834-25df492361f0	Waterville	Waterville	3	0	2013-09-07 13:22:23.817432+02	\N	\N	\N	\N	\N	\N	f	
26734	7e7e06f5-c34d-442c-ad55-9f391b7a431b	Hurdland	Hurdland	3	0	2013-09-08 02:40:49.745804+02	\N	\N	\N	\N	\N	\N	f	
26114	6e0390f1-5944-44b2-863c-712173d0d92c	Americus, Kansas	Americus, Kansas	3	0	2013-09-07 18:13:57.728374+02	\N	\N	\N	\N	\N	\N	f	
26127	e6062096-6447-4907-978a-3142c3c5bf69	Aputula	Aputula	3	0	2013-09-07 20:22:16.090382+02	\N	\N	\N	\N	\N	\N	f	
26165	b2f30bc3-4019-49c9-a2a5-1b346325aa32	Dawson Springs, Kentucky	Dawson Springs, Kentucky	3	0	2013-09-07 20:34:20.792321+02	\N	\N	\N	\N	\N	\N	f	
26739	fbdc9253-9339-4269-a450-c72feaf4b507	Curtis	Curtis	3	0	2013-09-08 02:42:00.306608+02	\N	\N	\N	\N	\N	\N	f	
26263	2add115c-96e3-403c-9ae7-53c8759feda3	Loyall	Loyall	3	0	2013-09-07 20:59:45.825921+02	\N	\N	\N	\N	\N	\N	f	
27556	14750c53-0ea7-4318-b7a9-01a686dbc28f	Pettibone, North Dakota	Pettibone, North Dakota	3	0	2013-09-08 08:40:13.406168+02	\N	\N	\N	\N	\N	\N	f	
26824	b294401e-e532-4d61-83d6-1e0d2ece7956	Rosebud	Rosebud	3	0	2013-09-08 03:04:03.024843+02	\N	\N	\N	\N	\N	\N	f	
28573	29125f97-bf5e-4060-b9c4-14917496ed14	Big Spring, Texas	Big Spring, Texas	3	0	2013-09-08 20:52:30.487848+02	\N	\N	\N	\N	\N	\N	f	
26842	5eb84705-8765-4e99-bc6c-f710cc5847ea	Perry	Perry	3	0	2013-09-08 03:08:29.344098+02	\N	\N	\N	\N	\N	\N	f	
27572	425e5d8f-8567-49c3-8f37-ee632ff561e5	Golva, North Dakota	Golva, North Dakota	3	0	2013-09-08 08:44:18.144466+02	\N	\N	\N	\N	\N	\N	f	
26855	7c1ab104-6e03-431c-a7ab-3bfd7d50fc61	Winona	Winona	3	0	2013-09-08 03:11:40.582636+02	\N	\N	\N	\N	\N	\N	f	
27210	205e924b-a659-4af8-8071-eb71a628b99e	Peculiar	Peculiar	3	0	2013-09-08 05:58:29.126166+02	\N	\N	\N	\N	\N	\N	f	
29090	212582f1-7184-4f07-89d8-178407c3a067	North Bonneville	North Bonneville	3	0	2013-09-09 02:22:35.339735+02	\N	\N	\N	\N	\N	\N	f	
27908	e8c575ac-032f-4477-b982-f5c34728bb59	Oldsmar, Florida	Oldsmar, Florida	3	0	2013-09-08 11:33:25.216426+02	\N	\N	\N	\N	\N	\N	f	
28590	b6c838af-9aff-4676-adcf-7e9417fd98a4	Odem, Texas	Odem, Texas	3	0	2013-09-08 20:57:11.89324+02	\N	\N	\N	\N	\N	\N	f	
28172	68c9225d-68c3-4545-8d9f-0d999e1f63cb	Neftegorsk	Neftegorsk	3	0	2013-09-08 14:40:16.776138+02	\N	\N	\N	\N	\N	\N	f	
28376	a91586a3-a6cb-4bb6-a113-c7eb47f07bfb	Woonsocket, South Dakota	Woonsocket, South Dakota	3	0	2013-09-08 17:04:39.991139+02	\N	\N	\N	\N	\N	\N	f	
29271	2d57a708-935b-4f37-8da4-1b9bf0b2ceb2	Madison, West Virginia	Madison, West Virginia	3	0	2013-09-09 04:26:29.046862+02	\N	\N	\N	\N	\N	\N	f	
28640	e3064257-2284-4db7-ab36-346643838400	Leona	Leona	3	0	2013-09-08 21:10:18.555083+02	\N	\N	\N	\N	\N	\N	f	
29119	5c7f84b6-14c5-4fbf-b350-b003e9ed072b	Stevenson, Washington	Stevenson, Washington	3	0	2013-09-09 02:35:36.057801+02	\N	\N	\N	\N	\N	\N	f	
28835	e8646d61-1657-4e06-9beb-dddf4ee9ec7b	Sunset Valley	Sunset Valley	3	0	2013-09-09 00:11:42.955488+02	\N	\N	\N	\N	\N	\N	f	
29133	72fc5002-e342-4d01-a25f-9f1bd219ec59	Rio Grande City	Rio Grande City	3	0	2013-09-09 02:43:50.682956+02	\N	\N	\N	\N	\N	\N	f	
29277	4d80ee82-8a58-49a5-8fd6-504137682de7	Glen Dale, West Virginia	Glen Dale, West Virginia	3	0	2013-09-09 04:27:57.833873+02	\N	\N	\N	\N	\N	\N	f	
29275	ca190a52-0d1d-441c-95ad-20296ae5ca97	St. Albans, West Virginia	St. Albans, West Virginia	3	0	2013-09-09 04:27:30.760589+02	\N	\N	\N	\N	\N	\N	f	
29369	211d6b2f-b764-4c02-a6c0-fb6718316c12	Marion	Marion	3	0	2013-09-09 08:28:38.001095+02	\N	\N	\N	\N	\N	\N	f	
29370	85a61e7a-266c-4f9b-96ab-88284054c3a9	Viroqua	Viroqua	3	0	2013-09-09 08:28:51.785413+02	\N	\N	\N	\N	\N	\N	f	
29506	a4c18aa9-914b-4a89-b489-c4f3b5a4f14e	Bishop's Stortford	Bishop's Stortford	3	0	2013-09-29 08:25:05.345085+02	\N	\N	\N	\N	\N	\N	f	
29580	9f91a691-a4cf-47bf-9bb5-9eb0721792d3	Sainte-Monique, Centre-du-Québec, Quebec	Sainte-Monique, Centre-du-Québec, Quebec	3	0	2013-09-30 08:26:16.792144+02	\N	\N	\N	\N	\N	\N	f	
29599	3744a96d-1d27-4818-ac0b-251bd8ec71fa	Dommoc	Dommoc	3	0	2013-10-06 05:25:35.720833+02	\N	\N	\N	\N	\N	\N	f	
29600	134f3347-a89d-4000-951f-0648b7a2721d	Boteå landskommun	Boteå landskommun	4	0	2013-10-06 11:17:47.77582+02	\N	\N	\N	\N	\N	\N	f	
29603	fae4ffe0-a769-4752-9375-d4fa4b95f1c4	Lorch	Lorch	3	0	2013-10-06 14:25:48.371604+02	\N	\N	\N	\N	\N	\N	f	
29604	c45e7da0-bedc-4b05-9a8c-09912298a646	Pinson	Pinson	3	0	2013-10-06 23:27:36.561305+02	\N	\N	\N	\N	\N	\N	f	
13610	b0ff1cb4-c24d-4745-9e02-2ec8d2d7a40f	Farini, Emilia-Romagna	Farini, Emilia-Romagna	4	0	2013-07-21 18:33:34.030044+02	\N	\N	\N	\N	\N	\N	f	
14273	ce9a3a72-a33e-4177-bc17-5125ca7f17bb	Campiglia Marittima	Campiglia Marittima	4	0	2013-07-21 21:01:55.884862+02	\N	\N	\N	\N	\N	\N	f	
14381	579ff0a4-dfb2-411d-95ca-cf5b3d15b0c7	Cassinelle	Cassinelle	4	0	2013-07-21 21:25:22.242803+02	\N	\N	\N	\N	\N	\N	f	
16122	63bfaa33-c8fe-448c-8c6d-126030d123ea	Santo Stefano di Magra	Santo Stefano di Magra	4	0	2013-07-22 02:55:52.771848+02	\N	\N	\N	\N	\N	\N	f	
14858	016af406-3aea-4851-a0cc-f28bf7e0717a	Riva del Garda	Riva del Garda	4	0	2013-07-21 23:12:28.471286+02	\N	\N	\N	\N	\N	\N	f	
14862	2536b2fe-ddd3-4063-91bd-82e7a2c1256f	Ziano di Fiemme	Ziano di Fiemme	4	0	2013-07-21 23:13:32.183522+02	\N	\N	\N	\N	\N	\N	f	
16155	e65b4174-a721-47bb-9321-b90402b7e66c	Erli	Erli	4	0	2013-07-22 02:59:41.026284+02	\N	\N	\N	\N	\N	\N	f	
18086	72ffd1ed-cd22-414f-a714-a1fbecc3ea14	Colturano	Colturano	4	0	2013-07-22 07:46:09.282855+02	\N	\N	\N	\N	\N	\N	f	
16202	4709425e-6467-493e-b112-46e68ab3fe61	Garlenda	Garlenda	4	0	2013-07-22 03:05:13.136503+02	\N	\N	\N	\N	\N	\N	f	
16228	4f1e8282-ae86-4daf-ba98-864c849ff2fc	Drena	Drena	4	0	2013-07-22 03:08:13.262199+02	\N	\N	\N	\N	\N	\N	f	
29091	e7e18204-b7f6-4631-abca-3cec101b72f8	Mill Creek	Mill Creek	3	0	2013-09-09 02:22:49.821247+02	\N	\N	\N	\N	\N	\N	f	
16888	bf4a2e00-fdb4-470d-a1b8-fe0f7becbcfa	Villanova Marchesana	Villanova Marchesana	4	0	2013-07-22 05:02:22.34969+02	\N	\N	\N	\N	\N	\N	f	
18108	981162d2-6c5a-4c7e-935a-0c38a4d10839	Cella Dati	Cella Dati	4	0	2013-07-22 07:48:50.521489+02	\N	\N	\N	\N	\N	\N	f	
20252	910a8271-f48d-4e0b-8934-45a2c78ec2ca	Cerva	Cerva	4	0	2013-07-22 20:35:33.779863+02	\N	\N	\N	\N	\N	\N	f	
19041	dbaca5e0-7690-4ca8-9d33-2512a1f889df	Mira	Mira	4	0	2013-07-22 09:44:58.492334+02	\N	\N	\N	\N	\N	\N	f	
27559	d32e4e2e-057b-4f6a-8bd9-8fe412ea3d9a	Hannah, North Dakota	Hannah, North Dakota	3	0	2013-09-08 08:40:57.026566+02	\N	\N	\N	\N	\N	\N	f	
20293	b35fecea-4e6d-4721-a036-913fecbfc9e8	Settingiano	Settingiano	4	0	2013-07-22 20:45:02.107823+02	\N	\N	\N	\N	\N	\N	f	
22058	1058e985-5236-4577-b031-fe9ea214b969	Postville	Postville	3	0	2013-08-07 14:35:54.839113+02	\N	\N	\N	\N	\N	\N	f	
24204	919f6d6e-cb50-48ea-812a-56a0d016b8d2	Oakwood, Georgia	Oakwood, Georgia	3	0	2013-09-07 03:14:29.217377+02	\N	\N	\N	\N	\N	\N	f	
27911	f48eb146-a8f4-40c0-8904-12fb63ae1488	Alleman, Iowa	Alleman, Iowa	3	0	2013-09-08 11:34:17.996019+02	\N	\N	\N	\N	\N	\N	f	
24511	49b32a9e-a2f0-4a57-857e-fcd50b274a6b	Stockbridge	Stockbridge	3	0	2013-09-07 07:04:17.835907+02	\N	\N	\N	\N	\N	\N	f	
25019	0a85ba63-e400-4a08-97f0-c6d7b51e6bed	Parnell	Parnell	3	0	2013-09-07 09:42:17.587767+02	\N	\N	\N	\N	\N	\N	f	
29601	78ecfcb7-fb5e-418a-9f30-e0cf0f38dd54	Gudmundrå landskommun	Gudmundrå landskommun	4	0	2013-10-06 11:18:07.613854+02	\N	\N	\N	\N	\N	\N	f	
25030	4f9251ec-6d0f-419b-8839-f6cead1cc9c2	New Providence	New Providence	3	0	2013-09-07 09:45:03.638535+02	\N	\N	\N	\N	\N	\N	f	
27998	17d0f334-d8ff-433e-bc4f-a170231cfd5a	Lost Nation	Lost Nation	3	0	2013-09-08 11:57:20.357478+02	\N	\N	\N	\N	\N	\N	f	
25034	d19347d9-ffcf-4792-b089-01afcfe83158	Lytton	Lytton	3	0	2013-09-07 09:46:09.392483+02	\N	\N	\N	\N	\N	\N	f	
25101	c71fed4c-9678-4d6c-9d55-45202e5eaebb	Lone Tree	Lone Tree	3	0	2013-09-07 10:04:45.525519+02	\N	\N	\N	\N	\N	\N	f	
29100	65286f17-ba7d-41d7-9403-b0f1ceb36908	Lynden	Lynden	3	0	2013-09-09 02:24:56.998257+02	\N	\N	\N	\N	\N	\N	f	
25652	2ee42e00-e091-44e0-a582-615d4c47404c	Alton	Alton	3	0	2013-09-07 13:22:40.78108+02	\N	\N	\N	\N	\N	\N	f	
28002	5a5cfd9b-713f-4000-9a29-ff0bde3f05fc	Laconia, New Hampshire	Laconia, New Hampshire	3	0	2013-09-08 11:58:20.888356+02	\N	\N	\N	\N	\N	\N	f	
26128	6b543cf1-2139-46cc-b169-383d797b8d71	Harts Range	Harts Range	3	0	2013-09-07 20:22:32.54248+02	\N	\N	\N	\N	\N	\N	f	
26183	2599889c-317b-4cb3-90a1-af6e50dfc495	Narka	Narka	3	0	2013-09-07 20:39:07.086837+02	\N	\N	\N	\N	\N	\N	f	
26439	7794bc47-c8fc-432b-acd8-838a345b8a2a	Elwood, Kansas	Elwood, Kansas	3	0	2013-09-08 00:34:46.850572+02	\N	\N	\N	\N	\N	\N	f	
28176	15f27a9f-9f7a-49b7-808f-80f0168fdfbc	Novokhopyorsk	Novokhopyorsk	3	0	2013-09-08 14:41:19.561775+02	\N	\N	\N	\N	\N	\N	f	
26486	46471292-7127-4ed4-af14-ee74f4f4cf48	St. Donatus, Iowa	St. Donatus, Iowa	3	0	2013-09-08 00:47:21.373969+02	\N	\N	\N	\N	\N	\N	f	
26494	d249e90b-8768-41fa-a35a-35b0d6482180	El Dorado, Kansas	El Dorado, Kansas	3	0	2013-09-08 00:49:35.016816+02	\N	\N	\N	\N	\N	\N	f	
26736	f81dfdfb-55db-4d09-ae9e-9adc7429a720	Safety Harbor, Florida	Safety Harbor, Florida	3	0	2013-09-08 02:41:18.123008+02	\N	\N	\N	\N	\N	\N	f	
28377	bc0e7637-9cc5-449b-a8e0-e08d1d8487e3	Burke, South Dakota	Burke, South Dakota	3	0	2013-09-08 17:04:57.512347+02	\N	\N	\N	\N	\N	\N	f	
27211	f71b4d8a-a1d0-4534-9445-53c64b683f77	Mound City	Mound City	3	0	2013-09-08 05:58:49.3059+02	\N	\N	\N	\N	\N	\N	f	
27537	56805bda-59b9-4602-9a2a-f3448322b3df	Belfield, North Dakota	Belfield, North Dakota	3	0	2013-09-08 08:35:30.652634+02	\N	\N	\N	\N	\N	\N	f	
29207	e8c7131f-8943-4feb-95c1-182668a0cdf1	Mertzon	Mertzon	3	0	2013-09-09 03:06:30.570476+02	\N	\N	\N	\N	\N	\N	f	
28576	0d3cb6c8-85ef-401d-aec4-295f0a7455eb	Texas City	Texas City	3	0	2013-09-08 20:53:22.583078+02	\N	\N	\N	\N	\N	\N	f	
28596	eca97d62-5161-4395-b22e-8e4cc99614a2	Sun Valley	Sun Valley	3	0	2013-09-08 20:58:47.325199+02	\N	\N	\N	\N	\N	\N	f	
28621	a9fbd100-4605-4702-b395-aa61952d8b2e	Patton Village	Patton Village	3	0	2013-09-08 21:05:16.021477+02	\N	\N	\N	\N	\N	\N	f	
29208	560afa0c-ef4b-41a1-b383-9fa71e525ef5	Wilson	Wilson	3	0	2013-09-09 03:06:48.370179+02	\N	\N	\N	\N	\N	\N	f	
28625	1148c9a9-ecbe-43a4-82b6-a8680a030260	Charlotte	Charlotte	3	0	2013-09-08 21:06:18.052062+02	\N	\N	\N	\N	\N	\N	f	
28836	3e2acaa1-fda2-43c4-9b6c-a4585f36a3f1	Westbrook	Westbrook	3	0	2013-09-09 00:11:59.04232+02	\N	\N	\N	\N	\N	\N	f	
29605	88420597-157a-44d5-97e5-4be3dc14f56e	Cullman	Cullman	3	0	2013-10-06 23:28:02.422384+02	\N	\N	\N	\N	\N	\N	f	
29606	0b218800-787c-4cd9-b7d2-3386cabfd565	Spanish Town	Spanish Town	3	0	2013-10-07 02:28:49.601214+02	\N	\N	\N	\N	\N	\N	f	
29272	f935f4ff-2321-4bb5-b6ba-31500fbf7412	Spencer, West Virginia	Spencer, West Virginia	3	0	2013-09-09 04:26:42.458578+02	\N	\N	\N	\N	\N	\N	f	
29371	98b14df4-0e84-4229-8a37-deafd30d7407	Loyal	Loyal	3	0	2013-09-09 08:29:05.872275+02	\N	\N	\N	\N	\N	\N	f	
29507	f5923e91-2e33-423d-b276-e7df71fdd712	Milton Keynes	Milton Keynes	3	0	2013-09-29 08:25:36.179201+02	\N	\N	\N	\N	\N	\N	f	
3492	48a87d81-a910-464b-a7f8-e3751ae8e24c	Beau Bassin-Rose Hill	Beau Bassin-Rose Hill	3	0	2013-10-13 03:23:56.742251+02	\N	\N	\N	\N	\N	\N	f	
29536	a29456e0-c35e-44fe-b4c7-86fa5ba45321	Bloomfield, New Mexico	Bloomfield, New Mexico	3	0	2013-09-29 08:39:01.069487+02	\N	\N	\N	\N	\N	\N	f	
29672	efb9729c-e12c-4dfa-9947-8de3e5da93de	Waltham, Quebec	Waltham, Quebec	3	0	2013-10-13 23:28:56.7229+02	\N	\N	\N	\N	\N	\N	f	
29660	0c7a2845-1ca0-4089-b053-00b67de88602	Mamer	Mamer	3	0	2013-10-11 20:37:31.719936+02	\N	\N	\N	\N	\N	\N	f	
29665	d374ef79-ec63-43c1-8fa2-da62cbfcc3ed	Conrad	Conrad	3	0	2013-10-11 23:18:45.807996+02	\N	\N	\N	\N	\N	\N	f	
29670	b620f1aa-0d4e-4ea5-8318-890e519d17fe	Beelitz	Beelitz	3	0	2013-10-12 23:28:47.198933+02	\N	\N	\N	\N	\N	\N	f	
13611	779cdcad-26f3-4b66-99d8-bceb49749dcb	Corte Brugnatella	Corte Brugnatella	4	0	2013-07-21 18:33:46.806082+02	\N	\N	\N	\N	\N	\N	f	
13612	38295681-8fdb-4a70-970d-cded5a6150f5	Samone	Samone	4	0	2013-07-21 18:34:01.739713+02	\N	\N	\N	\N	\N	\N	f	
14283	34ef2672-e517-458d-999b-07fb4e5244d6	Marciana	Marciana	4	0	2013-07-21 21:04:12.081431+02	\N	\N	\N	\N	\N	\N	f	
14335	4378e488-8a05-48e8-a58f-26e165c568f8	Duino-Aurisina	Duino-Aurisina	4	0	2013-07-21 21:15:04.728161+02	\N	\N	\N	\N	\N	\N	f	
16124	cca4edcb-fbfa-4054-bd05-78c3f09eb5b6	Framura	Framura	4	0	2013-07-22 02:56:05.196122+02	\N	\N	\N	\N	\N	\N	f	
14859	44ba3f3a-9edb-48c5-b7c5-66c86e5a7b92	Rasen-Antholz	Rasen-Antholz	4	0	2013-07-21 23:12:41.188217+02	\N	\N	\N	\N	\N	\N	f	
14888	f3d2d737-ca92-4d99-96a2-6e7a39c67a43	Cissone	Cissone	4	0	2013-07-21 23:20:19.391167+02	\N	\N	\N	\N	\N	\N	f	
14915	3933ad0d-fa28-47e4-9bb4-d54f11b59a08	Dogliani	Dogliani	4	0	2013-07-21 23:25:13.291887+02	\N	\N	\N	\N	\N	\N	f	
16136	4e40d30e-48c6-4f8e-9e42-eac9626c3bde	Vessalico	Vessalico	4	0	2013-07-22 02:57:22.938981+02	\N	\N	\N	\N	\N	\N	f	
14941	8b717c57-4aa9-4293-9369-2e8e788fd56b	Carrodano	Carrodano	4	0	2013-07-21 23:28:25.954339+02	\N	\N	\N	\N	\N	\N	f	
14984	2613c98a-6769-4ee9-a8f9-46c752e6158a	Monasterolo di Savigliano	Monasterolo di Savigliano	4	0	2013-07-21 23:33:36.28295+02	\N	\N	\N	\N	\N	\N	f	
18094	745540dc-d9b7-4acb-8419-6b29bd105300	San Fiorano	San Fiorano	4	0	2013-07-22 07:47:05.043357+02	\N	\N	\N	\N	\N	\N	f	
16138	96578012-767a-4104-934e-ba27a1368041	Arcola, Liguria	Arcola, Liguria	4	0	2013-07-22 02:57:34.943264+02	\N	\N	\N	\N	\N	\N	f	
16893	df3673fa-695a-4d00-bd1a-20328989f1be	Piazzola sul Brenta	Piazzola sul Brenta	4	0	2013-07-22 05:03:27.895484+02	\N	\N	\N	\N	\N	\N	f	
16963	2620b582-a4ac-4ee6-a27b-a64260bd1d70	Ariano nel Polesine	Ariano nel Polesine	4	0	2013-07-22 05:21:28.100877+02	\N	\N	\N	\N	\N	\N	f	
18128	b4ea280d-df75-4e47-ad4b-e306c47d8ab3	Torricella del Pizzo	Torricella del Pizzo	4	0	2013-07-22 07:50:57.754434+02	\N	\N	\N	\N	\N	\N	f	
17071	b366e789-e1f0-47a5-b90b-24b1f9f2ff42	Ravanusa	Ravanusa	4	0	2013-07-22 05:39:37.327964+02	\N	\N	\N	\N	\N	\N	f	
20254	1295816a-5582-421e-9e65-385e856c75fe	Chiaravalle Centrale	Chiaravalle Centrale	4	0	2013-07-22 20:35:57.402779+02	\N	\N	\N	\N	\N	\N	f	
18152	76a7506f-0e12-42c6-99f6-b44c9666d650	Santa Maria Hoè	Santa Maria Hoè	4	0	2013-07-22 07:53:33.988604+02	\N	\N	\N	\N	\N	\N	f	
18195	96cfdeda-51c9-4945-96de-fd24217eebfa	Ossona	Ossona	4	0	2013-07-22 07:59:07.209229+02	\N	\N	\N	\N	\N	\N	f	
26743	7ec61513-c57a-427b-8215-7ad34db4281a	Buckner	Buckner	3	0	2013-09-08 02:42:55.815014+02	\N	\N	\N	\N	\N	\N	f	
20255	8f6293c6-671f-4386-b3cb-e8e9049cb636	Amaroni	Amaroni	4	0	2013-07-22 20:36:14.153185+02	\N	\N	\N	\N	\N	\N	f	
19042	f494288d-7342-4071-9d1d-026212c05011	Cornedo Vicentino	Cornedo Vicentino	4	0	2013-07-22 09:45:12.087624+02	\N	\N	\N	\N	\N	\N	f	
20290	553be82e-a30a-4104-a5f5-d4a79d63d6c6	Sorbo San Basile	Sorbo San Basile	4	0	2013-07-22 20:44:26.345415+02	\N	\N	\N	\N	\N	\N	f	
26778	4c3902e1-4550-4519-b4e5-00071f90066d	Sylvania, Georgia	Sylvania, Georgia	3	0	2013-09-08 02:51:35.260327+02	\N	\N	\N	\N	\N	\N	f	
27652	b100655c-10c2-4988-b151-ded4b5aa1a2e	Esmond, North Dakota	Esmond, North Dakota	3	0	2013-09-08 09:10:21.98167+02	\N	\N	\N	\N	\N	\N	f	
22059	d42ccaf6-aefb-4e69-b635-df5362776982	Osterdock	Osterdock	3	0	2013-08-07 14:36:12.701826+02	\N	\N	\N	\N	\N	\N	f	
26784	ace6ea2b-8e97-49c9-ad12-085498672be5	De Witt	De Witt	3	0	2013-09-08 02:53:03.392097+02	\N	\N	\N	\N	\N	\N	f	
24208	238b2fe8-a4b9-488b-80fd-c9c4f639d974	Marianna, Florida	Marianna, Florida	3	0	2013-09-07 03:15:53.236927+02	\N	\N	\N	\N	\N	\N	f	
24524	8f789fea-2edf-4d71-9221-d106ca033415	Westfield	Westfield	3	0	2013-09-07 07:22:42.81236+02	\N	\N	\N	\N	\N	\N	f	
25020	fbc2bbe9-3fca-4476-a9f2-8ebc717c59a8	Oakland Acres	Oakland Acres	3	0	2013-09-07 09:42:32.468248+02	\N	\N	\N	\N	\N	\N	f	
26839	10940c9f-2ff3-4e6e-82bc-72f0fd892614	Tracy	Tracy	3	0	2013-09-08 03:07:45.338916+02	\N	\N	\N	\N	\N	\N	f	
25039	99f05155-0d37-4cc2-b7c5-423faaf95b0b	Pleasantville	Pleasantville	3	0	2013-09-07 09:47:25.665751+02	\N	\N	\N	\N	\N	\N	f	
25095	2def8964-0821-4314-94cb-683358c7787a	Lacona	Lacona	3	0	2013-09-07 10:03:09.904917+02	\N	\N	\N	\N	\N	\N	f	
25201	afa1f25f-cc75-4a67-8d15-f6b304e9f843	Holy Cross	Holy Cross	3	0	2013-09-07 10:38:01.535438+02	\N	\N	\N	\N	\N	\N	f	
26841	9ca39a57-3bd7-42d7-9904-1c3b6dcac7dd	Old Monroe	Old Monroe	3	0	2013-09-08 03:08:14.740733+02	\N	\N	\N	\N	\N	\N	f	
25653	67889553-84de-4460-82fb-181ed354156b	Springhill, Louisiana	Springhill, Louisiana	3	0	2013-09-07 13:22:55.45305+02	\N	\N	\N	\N	\N	\N	f	
26129	b09f73af-e0ea-4e4c-804d-6c8aeb2da758	Humpty Doo	Humpty Doo	3	0	2013-09-07 20:22:49.442891+02	\N	\N	\N	\N	\N	\N	f	
27912	b75c8bb9-5432-4596-a9c0-11a19444f004	Murray Hill, Kentucky	Murray Hill, Kentucky	3	0	2013-09-08 11:34:35.748863+02	\N	\N	\N	\N	\N	\N	f	
26207	e76eb869-5cd9-4ec6-aa54-6cbb2fd2fcbd	Kingsford, Michigan	Kingsford, Michigan	3	0	2013-09-07 20:45:31.0582+02	\N	\N	\N	\N	\N	\N	f	
26440	06d88a8f-75ea-4756-935c-3f4747c4d3f5	Albert, Kansas	Albert, Kansas	3	0	2013-09-08 00:35:03.228359+02	\N	\N	\N	\N	\N	\N	f	
26872	9a817c51-21a2-40d1-b808-1943902d59dc	Glennville, Georgia	Glennville, Georgia	3	0	2013-09-08 03:15:51.369607+02	\N	\N	\N	\N	\N	\N	f	
28630	2995f665-3666-4ef7-aa4e-1b9737e2d9bb	Dayton Lakes	Dayton Lakes	3	0	2013-09-08 21:07:36.09142+02	\N	\N	\N	\N	\N	\N	f	
26880	7dc7679a-9792-4e98-85df-e1c550712173	Shelbyville	Shelbyville	3	0	2013-09-08 03:17:48.676323+02	\N	\N	\N	\N	\N	\N	f	
28182	83358003-a481-40bf-8856-08d53c3cf560	Povorino	Povorino	3	0	2013-09-08 14:43:04.683209+02	\N	\N	\N	\N	\N	\N	f	
27212	d14082a1-36c5-4583-9bba-482fa5b4756b	Liberal	Liberal	3	0	2013-09-08 05:59:07.311863+02	\N	\N	\N	\N	\N	\N	f	
27538	a8da81c4-a9f7-479c-adf1-09ae85e80f61	Pick City, North Dakota	Pick City, North Dakota	3	0	2013-09-08 08:35:45.074532+02	\N	\N	\N	\N	\N	\N	f	
28838	80402b69-4c71-411a-8d3a-1552259e1968	Jewett	Jewett	3	0	2013-09-09 00:12:31.895753+02	\N	\N	\N	\N	\N	\N	f	
27618	e0bda040-18fb-496d-abdf-788ad20f5eb3	Rolla, North Dakota	Rolla, North Dakota	3	0	2013-09-08 08:58:40.591827+02	\N	\N	\N	\N	\N	\N	f	
28378	9f0e9e27-2bdd-42cd-af43-4a0e2462021f	Woodruff, South Carolina	Woodruff, South Carolina	3	0	2013-09-08 17:05:16.690011+02	\N	\N	\N	\N	\N	\N	f	
29273	82bc9f32-0c78-4888-a01e-76e32c251124	Westover, West Virginia	Westover, West Virginia	3	0	2013-09-09 04:26:56.822658+02	\N	\N	\N	\N	\N	\N	f	
28587	84a2384a-4131-4ce1-bb78-d68e4736ac75	LaCoste, Texas	LaCoste, Texas	3	0	2013-09-08 20:56:21.770573+02	\N	\N	\N	\N	\N	\N	f	
28627	818b1bfb-0f0f-4ec5-a6f6-1196e95b6c52	Savoy	Savoy	3	0	2013-09-08 21:06:47.959273+02	\N	\N	\N	\N	\N	\N	f	
29092	bab76d69-ebde-4050-a137-86ecad44fb72	Raymond	Raymond	3	0	2013-09-09 02:23:03.755018+02	\N	\N	\N	\N	\N	\N	f	
29519	e304f5d7-c6f3-49bb-9577-b4e1bda08ef3	Kington, Herefordshire	Kington, Herefordshire	3	0	2013-09-29 08:30:16.328977+02	\N	\N	\N	\N	\N	\N	f	
29131	6a8f26bc-fdb9-4e48-8abd-d59c4b9681da	Caddo Mills	Caddo Mills	3	0	2013-09-09 02:43:02.375087+02	\N	\N	\N	\N	\N	\N	f	
29373	b52fb4ba-f79a-4a81-8cf1-12c7b91dd981	Monona	Monona	3	0	2013-09-09 08:29:33.936743+02	\N	\N	\N	\N	\N	\N	f	
29162	2ab30831-40b8-4037-bfe5-21a34b4d5ac0	Byers	Byers	3	0	2013-09-09 02:53:09.931612+02	\N	\N	\N	\N	\N	\N	f	
29508	fb4623e6-2117-4e59-b8b6-790621dcf995	Cheltenham	Cheltenham	3	0	2013-09-29 08:25:49.536353+02	\N	\N	\N	\N	\N	\N	f	
29602	2341dccc-7eb9-49b4-bf78-126f11184b31	Arjeplogs landskommun	Arjeplogs landskommun	4	0	2013-10-06 11:18:25.162255+02	\N	\N	\N	\N	\N	\N	f	
29608	70296046-eec6-4c0f-a2c1-874894a03608	Birobidzhan	Birobidzhan	3	0	2013-10-08 11:27:12.075393+02	\N	\N	\N	\N	\N	\N	f	
29607	03a2d681-c063-4113-8a1a-4b97a1f01f12	Mellau	Mellau	3	0	2013-10-07 23:27:10.493627+02	\N	\N	\N	\N	\N	\N	f	
29609	380f2170-b4a4-4a4b-af06-fed0448671e2	Peshtigo	Peshtigo	3	0	2013-10-09 02:17:33.940695+02	\N	\N	\N	\N	\N	\N	f	
29610	84761212-0369-44a1-bd9e-a8918892955d	Afton	Afton	3	0	2013-10-09 23:26:44.523957+02	\N	\N	\N	\N	\N	\N	f	
29611	eaf46b45-fd1e-4bfe-b7bb-0abe6839561a	Becker	Becker	3	0	2013-10-10 02:23:02.560378+02	\N	\N	\N	\N	\N	\N	f	
29612	732b1781-35c9-45ce-87d0-a579e173f84e	Pratteln	Pratteln	3	0	2013-10-10 05:26:34.764283+02	\N	\N	\N	\N	\N	\N	f	
29613	2f869c36-79ec-4ca5-b8c1-77c9579dafa5	City of Canterbury	City of Canterbury	3	0	2013-10-10 20:18:08.234976+02	\N	\N	\N	\N	\N	\N	f	
29616	dd9cbdc5-103d-4acf-8387-97789960f3dd	Port Townsend	Port Townsend	3	0	2013-10-11 05:17:11.433005+02	\N	\N	\N	\N	\N	\N	f	
29617	dbb7e9ab-6d08-49a1-a046-300e57a680b4	Cambridge	Cambridge	3	0	2013-10-11 05:17:57.009361+02	\N	\N	\N	\N	\N	\N	f	
29618	f5f6900f-8be1-4e85-9a3d-c8116535ab32	Oboyan	Oboyan	3	0	2013-10-11 11:26:56.363151+02	\N	\N	\N	\N	\N	\N	f	
13614	6e4871b1-2322-4dcb-8c1e-ba96fedfdcd4	Cerignale	Cerignale	4	0	2013-07-21 18:34:25.26511+02	\N	\N	\N	\N	\N	\N	f	
13615	21a78cf4-ac4d-46f5-a480-e5a778841c20	Larciano	Larciano	4	0	2013-07-21 18:34:36.828328+02	\N	\N	\N	\N	\N	\N	f	
13653	f0db4655-131d-4ecd-b1d4-cf8411c34dc5	Gazzola	Gazzola	4	0	2013-07-21 18:43:17.084985+02	\N	\N	\N	\N	\N	\N	f	
14284	f33e5115-284f-466f-a54a-b91fdc25c2f0	Bomarzo	Bomarzo	4	0	2013-07-21 21:04:23.622246+02	\N	\N	\N	\N	\N	\N	f	
14861	8bca3b67-24b4-45b3-912a-1aba2070c417	Carrù	Carrù	4	0	2013-07-21 23:13:07.194149+02	\N	\N	\N	\N	\N	\N	f	
16125	45a44480-13bd-41ea-afd3-e2d857b04fb6	Follo, Liguria	Follo, Liguria	4	0	2013-07-22 02:56:06.443897+02	\N	\N	\N	\N	\N	\N	f	
16894	2b597c81-4e08-4ea4-b4a2-dd70e4459f93	Veggiano	Veggiano	4	0	2013-07-22 05:03:41.176088+02	\N	\N	\N	\N	\N	\N	f	
18097	d8ffc0ad-b57f-4dd4-8269-7ab9dda5df36	Valera Fratta	Valera Fratta	4	0	2013-07-22 07:47:19.516118+02	\N	\N	\N	\N	\N	\N	f	
16901	767cf412-2834-46ef-9e9b-9db360b46b6a	Cadoneghe	Cadoneghe	4	0	2013-07-22 05:05:36.389992+02	\N	\N	\N	\N	\N	\N	f	
16957	965c656a-1fbc-4f4a-8dfe-4663e06eb684	Corbola	Corbola	4	0	2013-07-22 05:19:56.364041+02	\N	\N	\N	\N	\N	\N	f	
18106	d47129d9-ee98-4e24-8c6e-db2c9fe1c4a8	Casaletto Ceredano	Casaletto Ceredano	4	0	2013-07-22 07:48:36.592879+02	\N	\N	\N	\N	\N	\N	f	
20256	c1180e95-58a9-485f-95d8-21dbb4585ef4	Borgia, Calabria	Borgia, Calabria	4	0	2013-07-22 20:36:34.971002+02	\N	\N	\N	\N	\N	\N	f	
26534	b3aa369d-a5e6-495d-aef2-d60a8a2274db	Edmonton, Kentucky	Edmonton, Kentucky	3	0	2013-09-08 01:00:23.364515+02	\N	\N	\N	\N	\N	\N	f	
20317	c0de20e8-e5ed-471b-af6a-ec2e5bcf5737	Luzzara	Luzzara	4	0	2013-07-22 20:49:53.349096+02	\N	\N	\N	\N	\N	\N	f	
26745	8a3ce155-eea5-4111-926a-f40ee486639c	New Franklin	New Franklin	3	0	2013-09-08 02:43:23.842865+02	\N	\N	\N	\N	\N	\N	f	
22061	adeee032-7459-4d1a-915e-2289e34d0241	Princeton	Princeton	3	0	2013-08-07 14:36:39.782873+02	\N	\N	\N	\N	\N	\N	f	
22069	7baafe32-60da-4161-a272-a31029dce543	Greene	Greene	3	0	2013-08-07 14:38:40.929642+02	\N	\N	\N	\N	\N	\N	f	
27953	d3eb23b1-df54-4056-9aec-5f3c920f5277	Springfield	Springfield	3	0	2013-09-08 11:46:03.875354+02	\N	\N	\N	\N	\N	\N	f	
22087	311b82c4-a536-41d2-a1d7-57f10fafd8b7	Terril, Iowa	Terril, Iowa	3	0	2013-08-07 14:43:01.019626+02	\N	\N	\N	\N	\N	\N	f	
26748	68a8fe0a-8f96-4e96-9378-a1bd3ba868e6	Baring	Baring	3	0	2013-09-08 02:44:05.928596+02	\N	\N	\N	\N	\N	\N	f	
24211	fc6296d6-ab8c-4a30-88cc-c85339c3be63	Holly Springs, Georgia	Holly Springs, Georgia	3	0	2013-09-07 03:17:19.801496+02	\N	\N	\N	\N	\N	\N	f	
24222	c0b896c6-bea7-49b5-a67c-6cb9ee07916b	Sopchoppy, Florida	Sopchoppy, Florida	3	0	2013-09-07 03:20:41.944352+02	\N	\N	\N	\N	\N	\N	f	
24525	da0c20d0-25ab-4aa1-992f-81d74e359ede	Noblesville	Noblesville	3	0	2013-09-07 07:24:26.699541+02	\N	\N	\N	\N	\N	\N	f	
26775	42bc9f2d-d2b8-4604-94f1-1b9e661f64e8	Skidmore	Skidmore	3	0	2013-09-08 02:50:51.443566+02	\N	\N	\N	\N	\N	\N	f	
24544	4c3a3bf3-d3a4-4412-ac5a-20da3e9a95bc	Higgston	Higgston	3	0	2013-09-07 07:34:25.915436+02	\N	\N	\N	\N	\N	\N	f	
25022	56e5dea9-767d-4eb7-8de7-8e2ef7985501	Nora Springs	Nora Springs	3	0	2013-09-07 09:43:02.996135+02	\N	\N	\N	\N	\N	\N	f	
28662	45db23d0-61b9-46fd-b381-2634bd5d4ef0	Southside Place	Southside Place	3	0	2013-09-08 21:16:55.270483+02	\N	\N	\N	\N	\N	\N	f	
25069	56dfb0dc-3309-4165-b5f5-0f92ea30074c	Neola	Neola	3	0	2013-09-07 09:55:15.266254+02	\N	\N	\N	\N	\N	\N	f	
27218	7c154ccc-30b0-46fa-ba77-819b6257ab94	Beverly Hills	Beverly Hills	3	0	2013-09-08 06:01:07.324878+02	\N	\N	\N	\N	\N	\N	f	
25119	ee533886-df86-417a-bd92-8a1ca1c44bb9	Maurice	Maurice	3	0	2013-09-07 10:09:27.72608+02	\N	\N	\N	\N	\N	\N	f	
25655	5e99a359-3b57-4d0f-8f78-8bf3c2624185	Swaledale	Swaledale	3	0	2013-09-07 13:23:25.526043+02	\N	\N	\N	\N	\N	\N	f	
28183	097c2de1-112b-4445-a6f5-f671a65163ee	Pechory	Pechory	3	0	2013-09-08 14:43:20.401156+02	\N	\N	\N	\N	\N	\N	f	
26130	d0a75c32-d044-4939-a384-53b319f3f138	Mandorah	Mandorah	3	0	2013-09-07 20:23:08.588623+02	\N	\N	\N	\N	\N	\N	f	
27278	b83d4cc8-2ead-4208-8ec7-3417ef808e5f	Frohna	Frohna	3	0	2013-09-08 06:17:00.519083+02	\N	\N	\N	\N	\N	\N	f	
26155	f1b44512-3b4b-4b48-a46c-a84f6b0bf229	Shelby	Shelby	3	0	2013-09-07 20:30:52.232092+02	\N	\N	\N	\N	\N	\N	f	
26441	e385be02-353a-4195-adc0-c0f44ef97e25	Iuka, Kansas	Iuka, Kansas	3	0	2013-09-08 00:35:19.718473+02	\N	\N	\N	\N	\N	\N	f	
26477	86001ad4-93fb-407c-9b82-e733798ef773	Grünsfeld	Grünsfeld	3	0	2013-09-08 00:45:00.966281+02	\N	\N	\N	\N	\N	\N	f	
27539	ac50ba2a-de4b-460b-9e36-39cbb33a9223	Tolna, North Dakota	Tolna, North Dakota	3	0	2013-09-08 08:35:59.346944+02	\N	\N	\N	\N	\N	\N	f	
26484	dafac40b-1208-476c-a0d5-b63abffeb4a1	Winfield, Kansas	Winfield, Kansas	3	0	2013-09-08 00:46:47.943745+02	\N	\N	\N	\N	\N	\N	f	
27616	ef0b83cc-d59f-4c41-b37d-170c2908752c	Harvey, North Dakota	Harvey, North Dakota	3	0	2013-09-08 08:58:10.716359+02	\N	\N	\N	\N	\N	\N	f	
28382	91171517-afce-4254-a2d3-dcdccc33f3de	Ramer, Tennessee	Ramer, Tennessee	3	0	2013-09-08 17:06:38.455236+02	\N	\N	\N	\N	\N	\N	f	
27638	c487fbce-6741-41a6-a80b-baccf5829dad	Avon Lake, Ohio	Avon Lake, Ohio	3	0	2013-09-08 09:05:15.703741+02	\N	\N	\N	\N	\N	\N	f	
27914	4fe100a4-b953-487b-8d12-276a733b15d9	Long Grove, Iowa	Long Grove, Iowa	3	0	2013-09-08 11:35:12.90656+02	\N	\N	\N	\N	\N	\N	f	
27918	8fde751f-0d9d-49aa-a08c-b355531b1841	Edge Hill, Georgia	Edge Hill, Georgia	3	0	2013-09-08 11:36:22.565653+02	\N	\N	\N	\N	\N	\N	f	
28839	69f9e904-6448-455d-b6be-b7bd056bddbb	Garrison	Garrison	3	0	2013-09-09 00:12:48.276689+02	\N	\N	\N	\N	\N	\N	f	
27922	40b1291c-0c55-474b-805a-b9f960ede626	Loraine, North Dakota	Loraine, North Dakota	3	0	2013-09-08 11:37:32.024939+02	\N	\N	\N	\N	\N	\N	f	
28386	838690a4-75a7-4c44-b013-0d9304c77c27	Ridgeside, Tennessee	Ridgeside, Tennessee	3	0	2013-09-08 17:07:59.522718+02	\N	\N	\N	\N	\N	\N	f	
28594	125bf60b-1b62-4acb-a103-57b655b35dcd	Highland Haven	Highland Haven	3	0	2013-09-08 20:58:17.165055+02	\N	\N	\N	\N	\N	\N	f	
29203	d632dc6e-a88a-4811-b120-abff5deccc54	Kerens	Kerens	3	0	2013-09-09 03:05:19.064787+02	\N	\N	\N	\N	\N	\N	f	
28601	04c49965-3fc0-4520-9ab4-ebd582108b2c	Ranger	Ranger	3	0	2013-09-08 21:00:09.190733+02	\N	\N	\N	\N	\N	\N	f	
29093	b401df3b-5bf8-44db-93dd-77fa6ced3af4	Poulsbo	Poulsbo	3	0	2013-09-09 02:23:17.663463+02	\N	\N	\N	\N	\N	\N	f	
28613	4bc92fbf-dcad-438f-860e-886c8a05f131	Crandall	Crandall	3	0	2013-09-08 21:03:12.560126+02	\N	\N	\N	\N	\N	\N	f	
29111	f505387a-80a9-4e8b-a3ad-fe6424954ed3	Quincy	Quincy	3	0	2013-09-09 02:27:44.79382+02	\N	\N	\N	\N	\N	\N	f	
29147	0ab5fed7-7b88-40cf-98a1-00bfbfa20e32	West University Place	West University Place	3	0	2013-09-09 02:48:37.530789+02	\N	\N	\N	\N	\N	\N	f	
29374	61c60338-c67c-4e8d-8cc2-b33ef9a754f6	Waterloo	Waterloo	3	0	2013-09-09 08:29:47.703527+02	\N	\N	\N	\N	\N	\N	f	
29182	fbe63145-2987-48c2-87c9-eb9107061d43	Coppell	Coppell	3	0	2013-09-09 02:59:04.961679+02	\N	\N	\N	\N	\N	\N	f	
29204	a60dd8ac-34f7-4e48-ad54-33cd64e3f1f6	Trinity	Trinity	3	0	2013-09-09 03:05:36.646062+02	\N	\N	\N	\N	\N	\N	f	
29274	ec4225e9-4426-46a9-8f34-f8c785902345	Williamstown, West Virginia	Williamstown, West Virginia	3	0	2013-09-09 04:27:10.506876+02	\N	\N	\N	\N	\N	\N	f	
29512	4e9d1d81-f355-4ff8-b14f-b148cd8b64fb	Dudley	Dudley	3	0	2013-09-29 08:27:00.333583+02	\N	\N	\N	\N	\N	\N	f	
29397	e377febd-2c99-462b-9eb9-1acdd8cb8d5e	Washburn	Washburn	3	0	2013-09-09 08:39:30.940297+02	\N	\N	\N	\N	\N	\N	f	
29509	8a317f11-3baf-4548-acf6-8a79a28c787a	Ross-on-Wye	Ross-on-Wye	3	0	2013-09-29 08:26:04.128563+02	\N	\N	\N	\N	\N	\N	f	
29614	b51c6df4-286f-46f4-9219-84d6b6445765	Ely	Ely	3	0	2013-10-10 20:22:11.032698+02	\N	\N	\N	\N	\N	\N	f	
29619	c3bfeea2-d0a3-47fb-9518-da24c743c781	Nuweiba	Nuweiba	3	0	2013-10-11 14:17:22.759271+02	\N	\N	\N	\N	\N	\N	f	
29627	d234e172-1b5d-4dd8-8be9-770f47388d40	Mahmoudiyah, Egypt	Mahmoudiyah, Egypt	3	0	2013-10-11 14:22:57.6299+02	\N	\N	\N	\N	\N	\N	f	
29661	64c3fbaa-a63c-436a-9765-72a6a2d721f5	Bascharage	Bascharage	3	0	2013-10-11 20:37:58.617318+02	\N	\N	\N	\N	\N	\N	f	
29666	40802084-89a0-49ba-9199-35bc3d8a327a	Cikuya	Cikuya	3	0	2013-10-11 23:19:47.572634+02	\N	\N	\N	\N	\N	\N	f	
29671	77d5b660-fa12-4181-ba28-b57c689f5d20	Aparecida	Aparecida	3	0	2013-10-12 23:29:48.969572+02	\N	\N	\N	\N	\N	\N	f	
3494	be92a015-d6c6-44ac-b73d-605cb49d7e1c	Curepipe	Curepipe	3	0	2013-10-13 03:24:00.317899+02	\N	\N	\N	\N	\N	\N	f	
7304	48a7d649-71b8-4b5e-82f2-234e53879a9a	Kawasaki	Kawasaki	3	0	2013-10-14 03:30:23.472855+02	\N	\N	\N	\N	\N	\N	f	
29673	14bf8f35-87fe-4544-b861-00a64307e1f1	Hillsborough	Hillsborough	3	0	2013-10-14 05:22:53.363399+02	\N	\N	\N	\N	\N	\N	f	
29674	38f17a6f-ee34-48d9-b284-d53d98164d60	[space]	[space]	\N	0	2013-10-14 06:07:00.476856+02	\N	\N	\N	\N	\N	\N	f	
13616	a29eb979-894c-444d-b1ed-013dd8b7a3da	Buggiano	Buggiano	4	0	2013-07-21 18:34:50.725403+02	\N	\N	\N	\N	\N	\N	f	
14285	abeaf287-7573-46a1-9a3a-cc4a66fc0626	Castiglione in Teverina	Castiglione in Teverina	4	0	2013-07-21 21:04:35.117847+02	\N	\N	\N	\N	\N	\N	f	
14377	42ca943d-2545-414b-ab81-35d7bf7b3e11	Bosio	Bosio	4	0	2013-07-21 21:24:22.245665+02	\N	\N	\N	\N	\N	\N	f	
16127	cab0f379-35eb-458e-aac8-068ad4d72950	Croviana	Croviana	4	0	2013-07-22 02:56:18.32762+02	\N	\N	\N	\N	\N	\N	f	
14864	c4a5f33f-79ad-44a2-86eb-2929e6784076	Castelletto Stura	Castelletto Stura	4	0	2013-07-21 23:14:04.199648+02	\N	\N	\N	\N	\N	\N	f	
27219	7b18462b-a63e-45ff-b229-fa7c735f8639	Birch Tree	Birch Tree	3	0	2013-09-08 06:01:25.592512+02	\N	\N	\N	\N	\N	\N	f	
16172	4e080978-1a0d-4fbf-bd44-a686c6b5e964	Borgio Verezzi	Borgio Verezzi	4	0	2013-07-22 03:01:30.533325+02	\N	\N	\N	\N	\N	\N	f	
18098	e9abde46-5f3f-4976-b18a-c695986b135c	Novate Milanese	Novate Milanese	4	0	2013-07-22 07:47:29.326034+02	\N	\N	\N	\N	\N	\N	f	
16895	aea50685-3269-4fdd-b951-7c997f51ae9d	Campodoro	Campodoro	4	0	2013-07-22 05:03:55.222141+02	\N	\N	\N	\N	\N	\N	f	
17114	98a60ecd-3cc8-4d2b-a9f9-bde6d657bb16	Arborea	Arborea	4	0	2013-07-22 05:45:28.400121+02	\N	\N	\N	\N	\N	\N	f	
18107	4f1727c6-e966-4ab9-a343-a4bcc0fcf75e	Colle Brianza	Colle Brianza	4	0	2013-07-22 07:48:38.589555+02	\N	\N	\N	\N	\N	\N	f	
28407	9fad1d14-2b6c-47dc-a6d4-de0755bdf975	Three Way, Tennessee	Three Way, Tennessee	3	0	2013-09-08 17:13:24.237554+02	\N	\N	\N	\N	\N	\N	f	
18129	29457bb5-5d81-4a29-9677-586601a15246	Quintano	Quintano	4	0	2013-07-22 07:50:59.940741+02	\N	\N	\N	\N	\N	\N	f	
20258	745e251c-121b-4a49-b742-f5fb7a82b4af	Fossato Serralta	Fossato Serralta	4	0	2013-07-22 20:37:14.279178+02	\N	\N	\N	\N	\N	\N	f	
27243	75674c15-b62f-484a-996e-b60f720e5720	Desloge	Desloge	3	0	2013-09-08 06:07:52.605815+02	\N	\N	\N	\N	\N	\N	f	
18178	c97f180e-d5f0-48ff-a194-780475762290	Vizzolo Predabissi	Vizzolo Predabissi	4	0	2013-07-22 07:57:03.154103+02	\N	\N	\N	\N	\N	\N	f	
18179	fcc2588a-05a7-4c98-a08b-cb415bea6dc3	Gonzaga	Gonzaga	4	0	2013-07-22 07:57:08.709151+02	\N	\N	\N	\N	\N	\N	f	
28595	f18795fe-5f8e-4cf0-9c8d-309eeba649b2	Somerville, Texas	Somerville, Texas	3	0	2013-09-08 20:58:32.302571+02	\N	\N	\N	\N	\N	\N	f	
18211	b85968a6-7a95-466f-95d3-24809f353bbf	Cremella	Cremella	4	0	2013-07-22 08:00:50.319674+02	\N	\N	\N	\N	\N	\N	f	
22062	a278ceac-9cb3-4127-a0d9-ccc3cbcf83f7	Leighton	Leighton	3	0	2013-08-07 14:36:57.739856+02	\N	\N	\N	\N	\N	\N	f	
18242	9ff3d24c-1b4f-448b-b888-8135d76e4e90	Vestreno	Vestreno	4	0	2013-07-22 08:04:26.124802+02	\N	\N	\N	\N	\N	\N	f	
19044	a47b1e35-fc28-4462-959a-9e0750cd1d67	San Vito Lo Capo	San Vito Lo Capo	4	0	2013-07-22 09:45:24.626019+02	\N	\N	\N	\N	\N	\N	f	
27261	482aaae3-e1ee-4a10-a8f0-7cdcb4f5b321	Montgomery City	Montgomery City	3	0	2013-09-08 06:12:34.688068+02	\N	\N	\N	\N	\N	\N	f	
24209	f86f9a31-7af5-4e40-b7c9-6eadaac63793	Bellville, Georgia	Bellville, Georgia	3	0	2013-09-07 03:16:12.825068+02	\N	\N	\N	\N	\N	\N	f	
24526	718c5dbf-0324-4ad5-a4dc-1848b8a1dc2a	New Albany	New Albany	3	0	2013-09-07 07:24:46.357562+02	\N	\N	\N	\N	\N	\N	f	
24605	64cc4ad5-b1d1-4036-be91-21287d206e69	Marion	Marion	3	0	2013-09-07 07:50:48.496655+02	\N	\N	\N	\N	\N	\N	f	
27541	d9f2209a-2a6b-4dd2-8b7b-a8e180c5a01c	Drayton, North Dakota	Drayton, North Dakota	3	0	2013-09-08 08:36:29.812567+02	\N	\N	\N	\N	\N	\N	f	
24653	2a2578a6-306e-4208-8791-bb8478c87ed7	Grand Tower	Grand Tower	3	0	2013-09-07 08:02:47.153248+02	\N	\N	\N	\N	\N	\N	f	
25023	61ac5954-1c60-4212-9be3-5bc1d5069d51	New London	New London	3	0	2013-09-07 09:43:17.922155+02	\N	\N	\N	\N	\N	\N	f	
29165	d7630c90-891b-4a2c-be6d-67a9e7098ad8	Hughes Springs	Hughes Springs	3	0	2013-09-09 02:54:03.267032+02	\N	\N	\N	\N	\N	\N	f	
25040	a83e143d-cc2c-44ea-b8b6-ee9f139f9938	Minburn	Minburn	3	0	2013-09-07 09:47:40.871502+02	\N	\N	\N	\N	\N	\N	f	
27542	1736dcee-b77d-48c0-92f9-f9c0ec82cd56	Max, North Dakota	Max, North Dakota	3	0	2013-09-08 08:36:44.581908+02	\N	\N	\N	\N	\N	\N	f	
25048	20d84b40-f710-49af-8885-5ad2026cf028	Pilot Mound	Pilot Mound	3	0	2013-09-07 09:49:42.043415+02	\N	\N	\N	\N	\N	\N	f	
25661	84fd6ff2-0a5a-4ee1-92c8-57e02d81737f	Mackville, Kentucky	Mackville, Kentucky	3	0	2013-09-07 13:25:08.05237+02	\N	\N	\N	\N	\N	\N	f	
28840	0fc4f11e-c212-464e-9899-c33a4671cda4	Pelican Bay	Pelican Bay	3	0	2013-09-09 00:13:04.475649+02	\N	\N	\N	\N	\N	\N	f	
26131	532c9172-a43b-4f9b-83cd-345b46e5160d	Kalkarindji	Kalkarindji	3	0	2013-09-07 20:23:24.146791+02	\N	\N	\N	\N	\N	\N	f	
27915	d415b93a-3f2b-488b-aebe-4e098b129686	Berry, Kentucky	Berry, Kentucky	3	0	2013-09-08 11:35:34.366081+02	\N	\N	\N	\N	\N	\N	f	
26442	329ebbfa-9504-4a7e-bdb9-61e1e3f93114	Manilla, Iowa	Manilla, Iowa	3	0	2013-09-08 00:35:36.398022+02	\N	\N	\N	\N	\N	\N	f	
26749	9a59fe84-33da-4082-b834-c70c38cc45da	Stanford, Kentucky	Stanford, Kentucky	3	0	2013-09-08 02:44:19.812533+02	\N	\N	\N	\N	\N	\N	f	
26750	c5f73e6e-681e-4295-b462-78a1c65ee214	Holcomb, Kansas	Holcomb, Kansas	3	0	2013-09-08 02:44:34.862413+02	\N	\N	\N	\N	\N	\N	f	
27929	19d01bb0-3a51-46c5-a16e-e781b16264fc	Franklin	Franklin	3	0	2013-09-08 11:39:47.201856+02	\N	\N	\N	\N	\N	\N	f	
26765	fb32629d-2c1d-44f6-aae4-5f0186b781d2	Forest City	Forest City	3	0	2013-09-08 02:48:16.345809+02	\N	\N	\N	\N	\N	\N	f	
28853	5b93ebdf-8e81-4298-94a8-a9ae0c92d68a	Cove	Cove	3	0	2013-09-09 00:16:39.695997+02	\N	\N	\N	\N	\N	\N	f	
27941	f953a15b-7d94-41da-8731-2212a6d02876	Oskaloosa	Oskaloosa	3	0	2013-09-08 11:42:44.964713+02	\N	\N	\N	\N	\N	\N	f	
27954	0c6f2daf-4b98-4777-bd99-f932b1501b15	Laura	Laura	3	0	2013-09-08 11:46:19.024254+02	\N	\N	\N	\N	\N	\N	f	
28184	4c521712-54ab-4231-a479-4d53ed59833b	Slyudyanka	Slyudyanka	3	0	2013-09-08 14:43:36.226243+02	\N	\N	\N	\N	\N	\N	f	
29095	d951712f-f96b-45cd-b22d-5e0544038518	Nooksack	Nooksack	3	0	2013-09-09 02:23:45.933748+02	\N	\N	\N	\N	\N	\N	f	
28384	2bee75a9-4f36-4bae-a823-d2cc0dd3a1fd	Pleasant View, Tennessee	Pleasant View, Tennessee	3	0	2013-09-08 17:07:15.866262+02	\N	\N	\N	\N	\N	\N	f	
29197	e2e64572-3c26-4584-be8a-b7c00c393be5	New Fairview	New Fairview	3	0	2013-09-09 03:03:31.504311+02	\N	\N	\N	\N	\N	\N	f	
29107	57a89477-e3c0-4fb0-9720-97d7240a30be	Newport	Newport	3	0	2013-09-09 02:26:37.844044+02	\N	\N	\N	\N	\N	\N	f	
29115	3f689a8b-ac2e-49b2-a126-1cc015be55c4	Puyallup, Washington	Puyallup, Washington	3	0	2013-09-09 02:30:02.801455+02	\N	\N	\N	\N	\N	\N	f	
29214	66af4ffb-a2ef-4295-97ff-3a079df8b8bf	Hewitt	Hewitt	3	0	2013-09-09 03:08:38.451269+02	\N	\N	\N	\N	\N	\N	f	
29116	c563474d-baf3-48bd-bb71-319107b7bc32	Stanwood	Stanwood	3	0	2013-09-09 02:32:53.232055+02	\N	\N	\N	\N	\N	\N	f	
29511	0f77e4af-2b27-458a-83d5-e337293e71af	Maidstone	Maidstone	3	0	2013-09-29 08:26:44.526749+02	\N	\N	\N	\N	\N	\N	f	
29278	56395d48-3996-40fb-9b9d-a4d4098d9b55	St. Marys, West Virginia	St. Marys, West Virginia	3	0	2013-09-09 04:28:11.427624+02	\N	\N	\N	\N	\N	\N	f	
29375	51f7873b-ec17-4b7f-9704-8a9ce1274ad1	Shell Lake	Shell Lake	3	0	2013-09-09 08:30:01.710582+02	\N	\N	\N	\N	\N	\N	f	
29615	93bc6dc8-a649-4bae-ab93-2dcadfbaf9f3	Soham	Soham	3	0	2013-10-10 20:22:33.739382+02	\N	\N	\N	\N	\N	\N	f	
29524	aff42b9d-a3ec-4b26-9cbf-6e1d23a7cb90	Berkeley	Berkeley	3	0	2013-09-29 08:33:54.538736+02	\N	\N	\N	\N	\N	\N	f	
3502	e8cce351-aa6b-405f-ba57-2aa0ef864a3c	Quatre Bornes	Quatre Bornes	3	0	2013-10-13 03:24:04.289671+02	\N	\N	\N	\N	\N	\N	f	
29530	35bc9aef-9503-4be5-913d-1a8916f3f8a8	Market Harborough	Market Harborough	3	0	2013-09-29 08:36:23.253176+02	\N	\N	\N	\N	\N	\N	f	
29667	1cab01e8-44c0-4795-8028-f9054542d383	Parish, New York	Parish, New York	3	0	2013-10-11 23:28:20.873999+02	\N	\N	\N	\N	\N	\N	f	
29620	7048ba53-f81d-4866-a42b-df5a61357065	Porto Amboim	Porto Amboim	3	0	2013-10-11 14:17:42.592811+02	\N	\N	\N	\N	\N	\N	f	
29662	599c5c6b-f678-4c53-b262-b2aa557ac031	Medernach	Medernach	3	0	2013-10-11 20:38:30.222701+02	\N	\N	\N	\N	\N	\N	f	
29675	72749c92-cb21-4963-a567-564737802316	Rostov	Rostov	3	0	2013-10-14 11:21:46.272284+02	\N	\N	\N	\N	\N	\N	f	
13617	ef0c5546-3af4-4174-8f61-9cf0ef31953b	Castell'Arquato	Castell'Arquato	4	0	2013-07-21 18:35:02.859778+02	\N	\N	\N	\N	\N	\N	f	
13618	4f71c049-a896-4856-9efb-05dcdd6d5946	Castel San Giovanni	Castel San Giovanni	4	0	2013-07-21 18:35:14.328023+02	\N	\N	\N	\N	\N	\N	f	
14286	5d7fabf2-042f-495d-9dd1-09b78398e9de	Canepina	Canepina	4	0	2013-07-21 21:04:46.542106+02	\N	\N	\N	\N	\N	\N	f	
13619	9bb9db95-987f-4b7d-8866-2ec6c6565745	San Colombano Belmonte	San Colombano Belmonte	4	0	2013-07-21 18:35:26.095454+02	\N	\N	\N	\N	\N	\N	f	
13642	333fc338-13f8-46e5-a534-ad9a04f40065	Rottofreno	Rottofreno	4	0	2013-07-21 18:40:53.971913+02	\N	\N	\N	\N	\N	\N	f	
13663	d3ae49e3-9058-4321-be8f-456c3872875f	Ottone, Emilia-Romagna	Ottone, Emilia-Romagna	4	0	2013-07-21 18:45:25.227284+02	\N	\N	\N	\N	\N	\N	f	
14369	d5f15649-d8fd-46af-95f5-043510c3b24e	Carrosio	Carrosio	4	0	2013-07-21 21:22:44.990841+02	\N	\N	\N	\N	\N	\N	f	
16131	d3b7a7df-4103-40b7-89bc-3c4e1e8cafc8	Bolano	Bolano	4	0	2013-07-22 02:56:43.648248+02	\N	\N	\N	\N	\N	\N	f	
14385	23da8c79-757e-43b4-a8ea-742aea2cf002	Cerrina Monferrato	Cerrina Monferrato	4	0	2013-07-21 21:26:10.06121+02	\N	\N	\N	\N	\N	\N	f	
14387	c0c6bb27-a29d-49e1-b1ee-5486df214300	Francavilla Bisio	Francavilla Bisio	4	0	2013-07-21 21:26:33.538558+02	\N	\N	\N	\N	\N	\N	f	
14865	eba511be-0851-4288-8034-8927f5423b99	Castiglione Falletto	Castiglione Falletto	4	0	2013-07-21 23:14:16.142002+02	\N	\N	\N	\N	\N	\N	f	
16149	0031a85d-2f2b-4e9f-818c-5b987036f0e8	Alassio	Alassio	4	0	2013-07-22 02:58:42.976959+02	\N	\N	\N	\N	\N	\N	f	
14896	0a81aaef-a544-449a-ac8e-051e2d9e2726	Cortemilia	Cortemilia	4	0	2013-07-21 23:22:07.920267+02	\N	\N	\N	\N	\N	\N	f	
18099	dc61e7d3-ed7d-4d1e-bb7a-a1963eeb0b33	Cremeno	Cremeno	4	0	2013-07-22 07:47:31.791242+02	\N	\N	\N	\N	\N	\N	f	
16170	fe3876cb-2deb-45ff-97d5-e740756ad837	Balestrino	Balestrino	4	0	2013-07-22 03:01:15.370371+02	\N	\N	\N	\N	\N	\N	f	
16184	924ed2ae-c766-496d-b51d-bf3fecedaeea	Arnasco	Arnasco	4	0	2013-07-22 03:02:49.886915+02	\N	\N	\N	\N	\N	\N	f	
16185	e0f58bbc-1a60-415b-85ef-e5438e364cb0	Bergeggi	Bergeggi	4	0	2013-07-22 03:03:05.663016+02	\N	\N	\N	\N	\N	\N	f	
18103	b4e0a270-1425-4957-98f6-a802ae93938e	Pozzuolo Martesana	Pozzuolo Martesana	4	0	2013-07-22 07:48:10.027369+02	\N	\N	\N	\N	\N	\N	f	
16896	d296baed-c7a5-4406-9dcc-61f5e831347e	Limena	Limena	4	0	2013-07-22 05:04:10.299511+02	\N	\N	\N	\N	\N	\N	f	
17050	2cb3137a-c1d9-48c1-8041-c6fcd208fa1b	Saint-Marcel, Aosta Valley	Saint-Marcel, Aosta Valley	4	0	2013-07-22 05:36:55.225793+02	\N	\N	\N	\N	\N	\N	f	
20259	3aa449fb-4466-415f-8931-be51653df8f8	Badolato	Badolato	4	0	2013-07-22 20:37:35.438887+02	\N	\N	\N	\N	\N	\N	f	
17104	a6ea1e70-fcc0-4744-bbed-e49940c46c37	Bessude	Bessude	4	0	2013-07-22 05:44:12.20079+02	\N	\N	\N	\N	\N	\N	f	
18105	08882b47-de57-4837-961c-9e565f5ec74c	Dorio	Dorio	4	0	2013-07-22 07:48:26.185066+02	\N	\N	\N	\N	\N	\N	f	
18150	1c5f5d13-cfa1-41b2-a114-968a45c0f619	Solarolo Rainerio	Solarolo Rainerio	4	0	2013-07-22 07:53:21.46016+02	\N	\N	\N	\N	\N	\N	f	
26244	875f8a7a-c690-41b5-9c3a-41d0f741b88a	Sanders	Sanders	3	0	2013-09-07 20:54:52.005836+02	\N	\N	\N	\N	\N	\N	f	
22063	55a62228-69e5-4584-b4ea-ff96be217e89	Whittemore	Whittemore	3	0	2013-08-07 14:37:11.848244+02	\N	\N	\N	\N	\N	\N	f	
27576	2ce081fe-f37a-4ef0-9a13-b85ec2b5caf4	Green	Green	3	0	2013-09-08 08:45:34.643209+02	\N	\N	\N	\N	\N	\N	f	
24210	4dc4ac20-2288-4bb5-b8a7-3c679209b16b	Homeland, Georgia	Homeland, Georgia	3	0	2013-09-07 03:17:02.281476+02	\N	\N	\N	\N	\N	\N	f	
26279	cca1638a-a366-4a12-9cab-c59ab4f30dd1	Qulin	Qulin	3	0	2013-09-07 21:05:22.347877+02	\N	\N	\N	\N	\N	\N	f	
24529	9a874f6e-7e83-41e9-9a4e-85d41bbcfdf5	Rising Sun, Indiana	Rising Sun, Indiana	3	0	2013-09-07 07:26:02.220726+02	\N	\N	\N	\N	\N	\N	f	
24581	20bedce4-1965-4e3c-82e3-d757e14538f3	Diagonal, Iowa	Diagonal, Iowa	3	0	2013-09-07 07:45:00.054131+02	\N	\N	\N	\N	\N	\N	f	
24600	cd41789f-6cf5-4522-bdb1-cbbee75a1359	Yorkville	Yorkville	3	0	2013-09-07 07:49:40.965491+02	\N	\N	\N	\N	\N	\N	f	
26283	88a59397-7821-4a47-9f8d-4dc87535b8b8	Wheaton, Kansas	Wheaton, Kansas	3	0	2013-09-07 21:06:22.84545+02	\N	\N	\N	\N	\N	\N	f	
24628	132832d0-1632-4232-8509-79f79ab75a1b	Newton	Newton	3	0	2013-09-07 07:56:03.417174+02	\N	\N	\N	\N	\N	\N	f	
24666	7f000000-f9a6-40b7-92fd-f71fe0697a29	Delavan	Delavan	3	0	2013-09-07 08:05:49.025722+02	\N	\N	\N	\N	\N	\N	f	
29377	d0d04e2d-8121-4ff1-9019-ed91e2083f86	Thorp	Thorp	3	0	2013-09-09 08:30:37.893076+02	\N	\N	\N	\N	\N	\N	f	
24677	3f7a6f75-fc3e-4639-b773-9e35544cb3b7	Aledo	Aledo	3	0	2013-09-07 08:08:22.996926+02	\N	\N	\N	\N	\N	\N	f	
26445	27d49d88-047d-4066-b2dd-40ee8ce38802	Garnavillo, Iowa	Garnavillo, Iowa	3	0	2013-09-08 00:36:32.780844+02	\N	\N	\N	\N	\N	\N	f	
25025	eff5462c-0579-418c-b347-aac6a38a1054	Newell	Newell	3	0	2013-09-07 09:43:48.402361+02	\N	\N	\N	\N	\N	\N	f	
25036	e44dd3cd-a235-40a3-b045-952e8b1120d4	Prairie City	Prairie City	3	0	2013-09-07 09:46:39.881037+02	\N	\N	\N	\N	\N	\N	f	
27916	9960e4cb-c1fe-4581-9a60-2fb074d50b49	Durant	Durant	3	0	2013-09-08 11:35:49.650674+02	\N	\N	\N	\N	\N	\N	f	
25662	4d8ccc74-7d6a-49e0-bcc7-c9cb1abcdfa3	Shepherdsville, Kentucky	Shepherdsville, Kentucky	3	0	2013-09-07 13:25:22.168841+02	\N	\N	\N	\N	\N	\N	f	
26757	6266a9a8-7c89-48e1-b88a-13a683452064	Edgar	Edgar	3	0	2013-09-08 02:46:19.308947+02	\N	\N	\N	\N	\N	\N	f	
26132	1d8d7544-c082-4bcf-b229-6a42c236e563	Barunga	Barunga	3	0	2013-09-07 20:23:41.315433+02	\N	\N	\N	\N	\N	\N	f	
26227	8bbaaf17-8018-4917-b423-839ce43114f9	Wheatcroft	Wheatcroft	3	0	2013-09-07 20:50:34.868202+02	\N	\N	\N	\N	\N	\N	f	
28841	a870ca00-dcec-4327-9c83-8f7f5526c52e	New Summerfield	New Summerfield	3	0	2013-09-09 00:13:20.778962+02	\N	\N	\N	\N	\N	\N	f	
26812	01d6262c-ad87-4408-864d-075ab1db333a	Bertrand	Bertrand	3	0	2013-09-08 03:00:46.032303+02	\N	\N	\N	\N	\N	\N	f	
27919	fba29de7-aa31-44b9-9077-54d0d9dda5e8	Ogden, Iowa	Ogden, Iowa	3	0	2013-09-08 11:36:44.938847+02	\N	\N	\N	\N	\N	\N	f	
27221	a5e0a32d-238f-412f-b1b3-d5b5b426cfd0	Washta, Iowa	Washta, Iowa	3	0	2013-09-08 06:01:58.090941+02	\N	\N	\N	\N	\N	\N	f	
27237	65a4f5f0-c9cf-43c7-9b3f-f15d2e03c618	Brownington	Brownington	3	0	2013-09-08 06:06:21.456128+02	\N	\N	\N	\N	\N	\N	f	
27543	f0039f21-a470-41d6-989e-2c97c5ca7b5a	Fortuna, North Dakota	Fortuna, North Dakota	3	0	2013-09-08 08:36:59.183756+02	\N	\N	\N	\N	\N	\N	f	
28054	656933b4-eb4c-436e-a476-eb544501f04b	Khadyzhensk	Khadyzhensk	3	0	2013-09-08 12:16:33.215021+02	\N	\N	\N	\N	\N	\N	f	
28185	eb2cc417-5f6b-4101-b50a-2d55925865f9	Proletarsk	Proletarsk	3	0	2013-09-08 14:43:59.040188+02	\N	\N	\N	\N	\N	\N	f	
29096	39f044c9-f61f-40a0-9561-17dfc3d6b3ff	La Center	La Center	3	0	2013-09-09 02:24:00.105815+02	\N	\N	\N	\N	\N	\N	f	
28385	7029ca0c-dffc-43a7-b3d7-946201a8ba0f	Martin, Tennessee	Martin, Tennessee	3	0	2013-09-08 17:07:36.592161+02	\N	\N	\N	\N	\N	\N	f	
29621	eb394064-7c90-4703-8943-868f95520303	River Cess	River Cess	3	0	2013-10-11 14:18:23.943118+02	\N	\N	\N	\N	\N	\N	f	
28604	274faf6c-0c7b-49bc-844b-881f58ad074f	Roanoke	Roanoke	3	0	2013-09-08 21:00:54.687875+02	\N	\N	\N	\N	\N	\N	f	
29402	2e73cce5-5719-4830-8753-ed31525e6711	Jema	Jema	3	0	2013-09-09 08:42:22.833288+02	\N	\N	\N	\N	\N	\N	f	
29279	82c3ed37-c6ef-4310-837a-2b3edfffeef0	Shinnston, West Virginia	Shinnston, West Virginia	3	0	2013-09-09 04:28:24.987498+02	\N	\N	\N	\N	\N	\N	f	
29676	392d04fd-4339-45b1-8da0-7479f2a194bf	Husum	Husum	3	0	2013-10-14 14:32:29.592564+02	\N	\N	\N	\N	\N	\N	f	
29513	7ffa73ca-3e98-4ff5-b519-d7358493b10f	Rotherham	Rotherham	3	0	2013-09-29 08:27:21.337633+02	\N	\N	\N	\N	\N	\N	f	
3506	d223b806-3c6e-4786-95f1-702a82974150	Vacoas-Phoenix	Vacoas-Phoenix	3	0	2013-10-13 03:24:07.508455+02	\N	\N	\N	\N	\N	\N	f	
29663	0b5c6f93-1ddf-48ea-bfe6-07849b984f86	Steinfort	Steinfort	3	0	2013-10-11 20:38:56.606745+02	\N	\N	\N	\N	\N	\N	f	
13620	fcc07cf0-09c6-4717-a2a2-ce17411d96be	Calendasco	Calendasco	4	0	2013-07-21 18:35:37.758183+02	\N	\N	\N	\N	\N	\N	f	
13621	86b88295-42dd-45e9-a814-9b7878f8b844	Coli, Emilia-Romagna	Coli, Emilia-Romagna	4	0	2013-07-21 18:35:50.007283+02	\N	\N	\N	\N	\N	\N	f	
13622	8e4bf72d-e77a-49c8-9ed1-879996425d67	Cadeo	Cadeo	4	0	2013-07-21 18:36:01.930057+02	\N	\N	\N	\N	\N	\N	f	
14287	5db84d1c-d11b-40cf-b55e-5b1cf51d341a	Bolsena	Bolsena	4	0	2013-07-21 21:04:59.212838+02	\N	\N	\N	\N	\N	\N	f	
13623	85c0eef1-9dc9-4879-bdab-98df1f609725	Lamporecchio	Lamporecchio	4	0	2013-07-21 18:36:14.720802+02	\N	\N	\N	\N	\N	\N	f	
13624	d2b1088e-1903-4b91-82d7-a7fd9b43cd3e	Bettola	Bettola	4	0	2013-07-21 18:36:29.190397+02	\N	\N	\N	\N	\N	\N	f	
13625	5ad2abdf-0401-4fb2-aa0a-c936c6bd99be	Abetone	Abetone	4	0	2013-07-21 18:36:40.776115+02	\N	\N	\N	\N	\N	\N	f	
14355	f2118591-21bf-4ee2-91bf-261e54582df0	Bosco Marengo	Bosco Marengo	4	0	2013-07-21 21:19:55.862979+02	\N	\N	\N	\N	\N	\N	f	
13626	445ef074-fcad-421b-8dfa-2b83f65dcdf5	Caminata	Caminata	4	0	2013-07-21 18:36:52.803628+02	\N	\N	\N	\N	\N	\N	f	
13628	4460a551-ec53-4fbc-ac24-25ddec2fc440	Cortemaggiore	Cortemaggiore	4	0	2013-07-21 18:37:18.995636+02	\N	\N	\N	\N	\N	\N	f	
16132	2f9e3fc2-6569-4f11-a84f-f00145fb525b	Darè	Darè	4	0	2013-07-22 02:56:53.836692+02	\N	\N	\N	\N	\N	\N	f	
13629	e3db18c7-2c42-4b88-a927-2caf3c9240fc	San Francesco al Campo	San Francesco al Campo	4	0	2013-07-21 18:37:32.082858+02	\N	\N	\N	\N	\N	\N	f	
14867	e0e4a3b5-9c43-4970-b77d-f3530ffaba3d	Celle di Macra	Celle di Macra	4	0	2013-07-21 23:14:41.160477+02	\N	\N	\N	\N	\N	\N	f	
13643	3d3e8108-1cbe-461e-99e5-dd3104029a8b	Gossolengo	Gossolengo	4	0	2013-07-21 18:41:08.693364+02	\N	\N	\N	\N	\N	\N	f	
13650	51b8997e-9e39-457e-b117-5ec45e52d706	Sant'Ambrogio di Torino	Sant'Ambrogio di Torino	4	0	2013-07-21 18:42:41.805852+02	\N	\N	\N	\N	\N	\N	f	
13655	e2fbc546-ddd6-4726-9e37-da569b9e6a51	Santena	Santena	4	0	2013-07-21 18:43:43.460085+02	\N	\N	\N	\N	\N	\N	f	
13658	3bc05f18-b21a-4a90-8a42-95d90a5dc322	Podenzano	Podenzano	4	0	2013-07-21 18:44:21.703679+02	\N	\N	\N	\N	\N	\N	f	
13679	5406579b-4b51-4523-855e-5abe78d445af	San Pietro Val Lemina	San Pietro Val Lemina	4	0	2013-07-21 18:48:34.564743+02	\N	\N	\N	\N	\N	\N	f	
18104	e983a9f4-c03b-423b-8da2-4d7d9224e1de	Casargo	Casargo	4	0	2013-07-22 07:48:13.161616+02	\N	\N	\N	\N	\N	\N	f	
13681	d2ff2d42-3631-4425-86e6-bdd91df73bc6	Chianni	Chianni	4	0	2013-07-21 18:49:11.726232+02	\N	\N	\N	\N	\N	\N	f	
16897	e518145f-0465-4569-b692-adff9837c82a	Bosaro	Bosaro	4	0	2013-07-22 05:04:25.126865+02	\N	\N	\N	\N	\N	\N	f	
13683	d0a73b82-8b01-411a-92b9-568fcce07c3e	Castelfranco di Sotto	Castelfranco di Sotto	4	0	2013-07-21 18:49:35.799957+02	\N	\N	\N	\N	\N	\N	f	
16915	8407cbc7-bca3-4159-8646-08a0b23cd814	Bergantino	Bergantino	4	0	2013-07-22 05:09:22.3623+02	\N	\N	\N	\N	\N	\N	f	
25061	bc4dd208-3b6c-44df-9d33-ea890111a49f	North English	North English	3	0	2013-09-07 09:53:06.505437+02	\N	\N	\N	\N	\N	\N	f	
16990	c2952052-ecaf-4c7c-8b2d-b475481d7cce	Introd	Introd	4	0	2013-07-22 05:28:48.496514+02	\N	\N	\N	\N	\N	\N	f	
17023	c6d39020-ca48-44b0-a367-9f31f54f5e73	Saint-Denis, Aosta Valley	Saint-Denis, Aosta Valley	4	0	2013-07-22 05:33:43.139986+02	\N	\N	\N	\N	\N	\N	f	
20260	a2a09d7c-c569-4080-b42d-04568f72367d	Cortale	Cortale	4	0	2013-07-22 20:37:52.739247+02	\N	\N	\N	\N	\N	\N	f	
18209	c736b740-9f99-4cea-942f-9d0ac86966c0	Inveruno	Inveruno	4	0	2013-07-22 08:00:36.994513+02	\N	\N	\N	\N	\N	\N	f	
26447	4478e897-45cd-42cf-b094-9dbb97615e5a	Redfield, Kansas	Redfield, Kansas	3	0	2013-09-08 00:37:06.110879+02	\N	\N	\N	\N	\N	\N	f	
25079	470e8e5f-808a-466d-9c3e-c7edc12c3705	Kirkville	Kirkville	3	0	2013-09-07 09:58:43.661918+02	\N	\N	\N	\N	\N	\N	f	
18246	d56e66f2-c191-4bcd-8a09-29fa1916232f	Vaprio d'Adda	Vaprio d'Adda	4	0	2013-07-22 08:04:54.311212+02	\N	\N	\N	\N	\N	\N	f	
20274	fde8977a-1700-4b77-bc22-aa4ec6e81191	Belcastro	Belcastro	4	0	2013-07-22 20:40:59.188354+02	\N	\N	\N	\N	\N	\N	f	
18378	73f095df-f71a-4c24-b21f-ff2c2d64b129	Izano	Izano	4	0	2013-07-22 08:21:18.11128+02	\N	\N	\N	\N	\N	\N	f	
19046	efc42cb9-963f-4274-80a0-762e74eb2c2f	San Vito di Leguzzano	San Vito di Leguzzano	4	0	2013-07-22 09:45:37.479815+02	\N	\N	\N	\N	\N	\N	f	
25103	6855751f-b611-406d-81cc-5927aef8bc58	La Motte	La Motte	3	0	2013-09-07 10:05:17.936335+02	\N	\N	\N	\N	\N	\N	f	
28388	f7002718-07eb-4d3e-8c43-08c4cbc0abc4	Sweetwater, Tennessee	Sweetwater, Tennessee	3	0	2013-09-08 17:08:33.966897+02	\N	\N	\N	\N	\N	\N	f	
25152	1fe6e9ff-f630-47be-bd9b-991f0171e3cc	Wathena, Kansas	Wathena, Kansas	3	0	2013-09-07 10:24:46.340585+02	\N	\N	\N	\N	\N	\N	f	
22064	4ee51789-ab5f-43ae-83c9-a0aa6e9c0e85	Larchwood	Larchwood	3	0	2013-08-07 14:37:25.245431+02	\N	\N	\N	\N	\N	\N	f	
22088	81804ded-223c-4e41-95d2-08090f345877	Colo, Iowa	Colo, Iowa	3	0	2013-08-07 14:43:48.646377+02	\N	\N	\N	\N	\N	\N	f	
26492	82963f22-8ac1-4751-934c-6265c1127063	Sumner, Missouri	Sumner, Missouri	3	0	2013-09-08 00:49:04.211044+02	\N	\N	\N	\N	\N	\N	f	
24215	b448d204-e197-48a4-9875-b79fc27705da	Collins, Georgia	Collins, Georgia	3	0	2013-09-07 03:18:33.411846+02	\N	\N	\N	\N	\N	\N	f	
25169	f1aff4ff-5302-4093-9df3-275deb76b742	Tribune, Kansas	Tribune, Kansas	3	0	2013-09-07 10:28:48.544135+02	\N	\N	\N	\N	\N	\N	f	
24530	7ff17687-38cf-475e-a026-a88b572d5a46	Seymour	Seymour	3	0	2013-09-07 07:27:11.11199+02	\N	\N	\N	\N	\N	\N	f	
24549	19e3aeb4-5a8c-4abb-80d7-4d34e55a3a9e	Mountain Park	Mountain Park	3	0	2013-09-07 07:36:00.34291+02	\N	\N	\N	\N	\N	\N	f	
24644	7042c211-cd61-48a9-9f91-e030dbf312d1	Petersburg	Petersburg	3	0	2013-09-07 08:00:25.799776+02	\N	\N	\N	\N	\N	\N	f	
25170	21a80194-a1de-448b-ae5e-3a5f9a7c84f2	Crittenden, Kentucky	Crittenden, Kentucky	3	0	2013-09-07 10:29:02.254157+02	\N	\N	\N	\N	\N	\N	f	
24662	9f1e7df1-eba5-49d4-b65d-00fae0d432e2	Auburn	Auburn	3	0	2013-09-07 08:04:54.216674+02	\N	\N	\N	\N	\N	\N	f	
25028	2bb44709-61a6-4242-9f0e-e26dda3a6a46	Preston	Preston	3	0	2013-09-07 09:44:33.510147+02	\N	\N	\N	\N	\N	\N	f	
27634	c1f34692-0c00-483a-b2d4-0b85e4b386ee	Greenville	Greenville	3	0	2013-09-08 09:03:27.732429+02	\N	\N	\N	\N	\N	\N	f	
25665	5c79705e-b79f-4358-b53e-4f2568d7c60a	Swisher	Swisher	3	0	2013-09-07 13:26:07.355889+02	\N	\N	\N	\N	\N	\N	f	
26513	8ead25b6-2287-4ad0-9a0e-956937e2be33	Wahoo, Nebraska	Wahoo, Nebraska	3	0	2013-09-08 00:54:44.44637+02	\N	\N	\N	\N	\N	\N	f	
26133	6caf0406-e4cc-45e1-ad72-f182ccfb00f3	Stapleton	Stapleton	3	0	2013-09-07 20:24:02.788058+02	\N	\N	\N	\N	\N	\N	f	
26308	2c5ad5fa-814a-4422-af73-f39d4b30edf0	Eldora, Iowa	Eldora, Iowa	3	0	2013-09-07 21:13:58.399402+02	\N	\N	\N	\N	\N	\N	f	
26759	b4a53f09-9815-4769-8e3f-98fe739d86a7	Greenfield	Greenfield	3	0	2013-09-08 02:46:48.921693+02	\N	\N	\N	\N	\N	\N	f	
28186	3df37ad2-b230-495b-a552-548da2d6bba6	Primorsko-Akhtarsk	Primorsko-Akhtarsk	3	0	2013-09-08 14:44:15.199014+02	\N	\N	\N	\N	\N	\N	f	
27222	c93f2f19-b8b8-4a16-b360-498796be0252	Clifton, Kansas	Clifton, Kansas	3	0	2013-09-08 06:02:15.459437+02	\N	\N	\N	\N	\N	\N	f	
27546	61c81d07-710c-43fd-a857-4b669dea854d	Walcott, North Dakota	Walcott, North Dakota	3	0	2013-09-08 08:37:43.489292+02	\N	\N	\N	\N	\N	\N	f	
27920	d77dc819-2fbe-40af-b92f-a33df45ec129	Axtell, Kansas	Axtell, Kansas	3	0	2013-09-08 11:37:02.266389+02	\N	\N	\N	\N	\N	\N	f	
27949	66418bd1-e3ba-4114-acc0-87b321acc7f7	Shawnee	Shawnee	3	0	2013-09-08 11:44:56.603281+02	\N	\N	\N	\N	\N	\N	f	
28212	dc15a32e-bd21-4098-a0ed-70115db8777f	Folly Beach, South Carolina	Folly Beach, South Carolina	3	0	2013-09-08 14:51:55.393323+02	\N	\N	\N	\N	\N	\N	f	
28461	4bc5fa52-e0a0-4189-b214-9abcc69ddcca	Barstow	Barstow	3	0	2013-09-08 17:40:01.289002+02	\N	\N	\N	\N	\N	\N	f	
28844	d90cce8e-68ea-413a-930a-72330101fc96	Mobeetie	Mobeetie	3	0	2013-09-09 00:14:10.955685+02	\N	\N	\N	\N	\N	\N	f	
28605	e8e16487-0973-4254-984b-cef09e1be751	Blackwell	Blackwell	3	0	2013-09-08 21:01:09.584696+02	\N	\N	\N	\N	\N	\N	f	
29098	5a369f0b-6c85-41d7-87a2-d0d4b9b89e9e	Ridgefield	Ridgefield	3	0	2013-09-09 02:24:28.379161+02	\N	\N	\N	\N	\N	\N	f	
29143	b28599b6-2599-45c4-8a1e-44ac8b041a19	Krugerville	Krugerville	3	0	2013-09-09 02:47:24.171701+02	\N	\N	\N	\N	\N	\N	f	
29212	b60011a4-3908-4502-9c6e-7828723cd449	Oak Harbor	Oak Harbor	3	0	2013-09-09 03:08:07.379511+02	\N	\N	\N	\N	\N	\N	f	
29280	d726e1f7-1912-45a8-9c99-c53dc521e080	Hurricane	Hurricane	3	0	2013-09-09 04:28:38.177959+02	\N	\N	\N	\N	\N	\N	f	
29380	824f9867-1c70-4f50-82b3-1574cf022c2d	Markesan	Markesan	3	0	2013-09-09 08:31:20.821067+02	\N	\N	\N	\N	\N	\N	f	
29514	c0041908-6e03-4349-a4d4-27ace2d35dc1	Gateshead	Gateshead	3	0	2013-09-29 08:27:34.834387+02	\N	\N	\N	\N	\N	\N	f	
29622	f0659e2c-0cbb-4a1e-b7cf-b2665731899c	Port Elizabeth	Port Elizabeth	3	0	2013-10-11 14:18:59.869685+02	\N	\N	\N	\N	\N	\N	f	
13630	f4710d3f-68a9-4507-955c-16792277d60c	Massa e Cozzile	Massa e Cozzile	4	0	2013-07-21 18:37:47.298081+02	\N	\N	\N	\N	\N	\N	f	
13633	57ad0693-b6b0-4504-b463-c4b26048c99c	Carpaneto Piacentino	Carpaneto Piacentino	4	0	2013-07-21 18:38:31.192126+02	\N	\N	\N	\N	\N	\N	f	
13636	3662dac1-d945-455e-9928-4a08361b12a8	Chiesina Uzzanese	Chiesina Uzzanese	4	0	2013-07-21 18:39:13.780723+02	\N	\N	\N	\N	\N	\N	f	
14288	dceb3ef5-ae7d-488c-9088-4d78621bcd75	Sarzana	Sarzana	4	0	2013-07-21 21:05:11.27275+02	\N	\N	\N	\N	\N	\N	f	
13637	5f7119d6-07b0-4bff-9c1c-14a9c99ee40c	Castelvetro Piacentino	Castelvetro Piacentino	4	0	2013-07-21 18:39:30.516832+02	\N	\N	\N	\N	\N	\N	f	
13638	a210ccd6-d859-495a-94a2-aa62bd0ed01b	Marliana	Marliana	4	0	2013-07-21 18:39:46.26435+02	\N	\N	\N	\N	\N	\N	f	
13659	09a993df-960b-4587-aaa4-943718d4c44b	Morfasso	Morfasso	4	0	2013-07-21 18:44:33.337774+02	\N	\N	\N	\N	\N	\N	f	
14410	b6202ea4-9657-4576-972f-8e2226e3350d	Castelletto Merli	Castelletto Merli	4	0	2013-07-21 21:31:19.334776+02	\N	\N	\N	\N	\N	\N	f	
13696	f819560f-4969-487a-8c32-2da71aaf8a62	Vernasca	Vernasca	4	0	2013-07-21 18:52:18.437839+02	\N	\N	\N	\N	\N	\N	f	
16137	a5c4d2a6-8cf4-4966-84ae-9527cf4439b9	Sesta Godano	Sesta Godano	4	0	2013-07-22 02:57:25.478042+02	\N	\N	\N	\N	\N	\N	f	
14869	2a49e32f-2fe3-4246-99f1-d98ef0531c91	Cavallermaggiore	Cavallermaggiore	4	0	2013-07-21 23:15:11.877118+02	\N	\N	\N	\N	\N	\N	f	
16139	a7142c0c-a149-4de5-83ea-e995ffe81f5f	Maissana	Maissana	4	0	2013-07-22 02:57:38.283649+02	\N	\N	\N	\N	\N	\N	f	
18111	a5a30879-1090-4a65-87b2-a76ffd0da05f	San Daniele Po	San Daniele Po	4	0	2013-07-22 07:49:03.726119+02	\N	\N	\N	\N	\N	\N	f	
16900	6709cf3f-9d9a-4976-8e72-fe5aa0d05eb9	Baone	Baone	4	0	2013-07-22 05:05:09.65539+02	\N	\N	\N	\N	\N	\N	f	
16926	809b5f11-47c0-4349-924e-c9471e757980	Trecenta	Trecenta	4	0	2013-07-22 05:12:15.839905+02	\N	\N	\N	\N	\N	\N	f	
25067	1cabc08d-684a-4943-ab58-98eab35b8a44	Mingo	Mingo	3	0	2013-09-07 09:54:39.819918+02	\N	\N	\N	\N	\N	\N	f	
16927	43dca977-275b-47ff-8548-493a2a80381a	Bovolenta	Bovolenta	4	0	2013-07-22 05:12:31.300412+02	\N	\N	\N	\N	\N	\N	f	
27234	36a6e7d7-72c9-48c9-9e97-10eea8ef4046	Holt	Holt	3	0	2013-09-08 06:05:36.296591+02	\N	\N	\N	\N	\N	\N	f	
17103	2d40b39c-3dc4-4619-9dff-08e23aff2b20	Assolo	Assolo	4	0	2013-07-22 05:44:06.10188+02	\N	\N	\N	\N	\N	\N	f	
20265	505f2a88-64e5-4560-b16a-f7d252389c0a	Maida, Calabria	Maida, Calabria	4	0	2013-07-22 20:39:09.139623+02	\N	\N	\N	\N	\N	\N	f	
25134	3b8acd8e-128f-4217-aa6c-9bda7fda5bfe	Kiowa	Kiowa	3	0	2013-09-07 10:19:07.762129+02	\N	\N	\N	\N	\N	\N	f	
19052	71c1bf64-a88a-4e68-a395-6e7472f91f6b	Castelvetrano	Castelvetrano	4	0	2013-07-22 09:46:18.108615+02	\N	\N	\N	\N	\N	\N	f	
19059	b8b34689-654e-4f9c-8e01-5dae9fb1a57d	Santa Lucia di Piave	Santa Lucia di Piave	4	0	2013-07-22 09:47:13.153718+02	\N	\N	\N	\N	\N	\N	f	
20272	eff5be80-d3c3-4756-9acb-c654816e56dc	Curinga	Curinga	4	0	2013-07-22 20:40:32.347836+02	\N	\N	\N	\N	\N	\N	f	
25667	a94394e6-3b28-4315-9d08-190280923dba	Walker	Walker	3	0	2013-09-07 13:26:38.90762+02	\N	\N	\N	\N	\N	\N	f	
19115	0bc29ade-dfaf-4706-9d06-d63a6b6cbc5a	Campofiorito	Campofiorito	4	0	2013-07-22 09:54:19.704554+02	\N	\N	\N	\N	\N	\N	f	
19186	68e272b6-91ac-4ba8-b1d7-09343f08656c	Ficarazzi	Ficarazzi	4	0	2013-07-22 10:03:38.458841+02	\N	\N	\N	\N	\N	\N	f	
19196	940e997a-3c74-4813-8b08-f6b373f0df66	Balestrate	Balestrate	4	0	2013-07-22 10:04:44.432645+02	\N	\N	\N	\N	\N	\N	f	
26134	1901745f-2083-4a44-ae65-33328d3e6e1f	Ti Tree	Ti Tree	3	0	2013-09-07 20:24:19.158382+02	\N	\N	\N	\N	\N	\N	f	
19329	8d61037c-1f48-456d-bffc-d6adc6a7ac34	St. Lorenzen	St. Lorenzen	4	0	2013-07-22 10:21:30.501461+02	\N	\N	\N	\N	\N	\N	f	
22065	abb0f3cd-f2f2-4b3a-823f-3b3586233403	West Bend	West Bend	3	0	2013-08-07 14:37:38.506003+02	\N	\N	\N	\N	\N	\N	f	
27547	25bcecd3-b672-4a6e-8127-c4ff29d65da2	Bowdon, North Dakota	Bowdon, North Dakota	3	0	2013-09-08 08:37:57.879656+02	\N	\N	\N	\N	\N	\N	f	
24216	32a44f27-281b-4a13-9659-14e353db0670	Jefferson, Georgia	Jefferson, Georgia	3	0	2013-09-07 03:18:57.37082+02	\N	\N	\N	\N	\N	\N	f	
26278	f9df5ddb-d19b-43da-a20c-f86a0acc0560	Barbourmeade, Kentucky	Barbourmeade, Kentucky	3	0	2013-09-07 21:04:54.886079+02	\N	\N	\N	\N	\N	\N	f	
24218	4477363f-dd31-460a-8174-55ed87f52506	Gumbranch, Georgia	Gumbranch, Georgia	3	0	2013-09-07 03:19:30.594285+02	\N	\N	\N	\N	\N	\N	f	
24533	00dfb2ff-6acd-477e-821e-08044fdcb37f	Scottsburg, Indiana	Scottsburg, Indiana	3	0	2013-09-07 07:29:26.199244+02	\N	\N	\N	\N	\N	\N	f	
24536	e75bb24c-1285-4e72-b237-13d641314f37	Southport, Indiana	Southport, Indiana	3	0	2013-09-07 07:31:01.935446+02	\N	\N	\N	\N	\N	\N	f	
26448	9e75fab3-893b-4d39-a1a0-908591dc2ea6	Glenview Manor, Kentucky	Glenview Manor, Kentucky	3	0	2013-09-08 00:37:21.94553+02	\N	\N	\N	\N	\N	\N	f	
24542	1632ee5d-0d6b-470e-bfc3-f5f830e31a4f	Sullivan, Indiana	Sullivan, Indiana	3	0	2013-09-07 07:33:16.634988+02	\N	\N	\N	\N	\N	\N	f	
24547	e058d484-f8a1-440a-9f82-d3508f261132	North Chicago, Illinois	North Chicago, Illinois	3	0	2013-09-07 07:35:21.073237+02	\N	\N	\N	\N	\N	\N	f	
29198	1eb78a29-11e3-416f-9059-8913ee63b774	Teague	Teague	3	0	2013-09-09 03:03:49.415504+02	\N	\N	\N	\N	\N	\N	f	
25029	481a3f7f-4c0a-4c7d-ab8a-4e5c3d43a346	Packwood	Packwood	3	0	2013-09-07 09:44:48.424603+02	\N	\N	\N	\N	\N	\N	f	
26449	67ac896b-0067-4008-9f5c-2a105fa3659e	Norwood, Kentucky	Norwood, Kentucky	3	0	2013-09-08 00:37:36.946853+02	\N	\N	\N	\N	\N	\N	f	
25062	5d14f378-5a62-4836-a996-1b184fa2876d	Millersburg	Millersburg	3	0	2013-09-07 09:53:21.932067+02	\N	\N	\N	\N	\N	\N	f	
27921	f567b16b-cc65-4cc5-8a5b-ae50b62b346e	Jeffersonville, Indiana	Jeffersonville, Indiana	3	0	2013-09-08 11:37:18.251514+02	\N	\N	\N	\N	\N	\N	f	
26760	fd42938e-24d0-4943-a14e-717bbeebcd39	Riley, Kansas	Riley, Kansas	3	0	2013-09-08 02:47:03.169855+02	\N	\N	\N	\N	\N	\N	f	
28606	1510e26b-8fe9-40a7-a8da-6bd7716ec98d	Hutto	Hutto	3	0	2013-09-08 21:01:25.089274+02	\N	\N	\N	\N	\N	\N	f	
26761	92dc2123-aad5-44b5-8e2b-460f1662798d	Lowry City	Lowry City	3	0	2013-09-08 02:47:19.321745+02	\N	\N	\N	\N	\N	\N	f	
27958	f9fcb91b-c763-4f72-8243-49e694e34f6b	New Hope	New Hope	3	0	2013-09-08 11:47:18.462489+02	\N	\N	\N	\N	\N	\N	f	
27223	f1c0e860-964a-42c8-a562-ab9d855ae5ba	St. Francis, Kansas	St. Francis, Kansas	3	0	2013-09-08 06:02:34.063535+02	\N	\N	\N	\N	\N	\N	f	
29102	9a8a672a-84b9-4ab2-b1c3-da294444048c	Oakville	Oakville	3	0	2013-09-09 02:25:25.767935+02	\N	\N	\N	\N	\N	\N	f	
27971	b145b3e8-2b18-4a68-8825-71da4b0a5435	Cambridge	Cambridge	3	0	2013-09-08 11:50:34.031745+02	\N	\N	\N	\N	\N	\N	f	
28847	fa22271a-9914-46d3-adc3-4ecbb16c2b80	Blossom	Blossom	3	0	2013-09-09 00:15:02.598229+02	\N	\N	\N	\N	\N	\N	f	
28187	fe2d7267-44c0-41e2-8236-de6d9d72b1a4	Primorsk	Primorsk	3	0	2013-09-08 14:44:31.050032+02	\N	\N	\N	\N	\N	\N	f	
28389	20050463-d4b6-458c-acd1-a072bb84a5bf	Norris, Tennessee	Norris, Tennessee	3	0	2013-09-08 17:08:47.590446+02	\N	\N	\N	\N	\N	\N	f	
28866	7ba99f39-421f-431d-afe5-4f7ca7433a22	Gregory	Gregory	3	0	2013-09-09 00:20:20.21295+02	\N	\N	\N	\N	\N	\N	f	
29104	f7ad6f72-6054-4aef-a9ed-18d1c6a17573	Snohomish	Snohomish	3	0	2013-09-09 02:25:54.165243+02	\N	\N	\N	\N	\N	\N	f	
28876	17a25469-eff4-4554-aacd-4bb87de1f551	Grandview	Grandview	3	0	2013-09-09 01:06:54.225159+02	\N	\N	\N	\N	\N	\N	f	
29281	83b9dc50-e70a-4fab-904c-063270e719d8	Oak Hill, West Virginia	Oak Hill, West Virginia	3	0	2013-09-09 04:29:08.2525+02	\N	\N	\N	\N	\N	\N	f	
29155	d9d7bddc-7e28-492e-86e4-a19fa1b53c08	Munday	Munday	3	0	2013-09-09 02:51:07.646739+02	\N	\N	\N	\N	\N	\N	f	
29381	476af624-f7a2-493c-ab00-66b0918fce98	Plymouth	Plymouth	3	0	2013-09-09 08:31:34.558888+02	\N	\N	\N	\N	\N	\N	f	
29211	a70426c8-fa73-4577-8399-7c4afd8eedba	Toppenish	Toppenish	3	0	2013-09-09 03:07:47.0206+02	\N	\N	\N	\N	\N	\N	f	
29515	6f106006-b03f-43ec-a5e8-0e6cd29dc8bb	Stourport-on-Severn	Stourport-on-Severn	3	0	2013-09-29 08:28:26.488655+02	\N	\N	\N	\N	\N	\N	f	
29623	28ac856c-2ef4-47ae-a8cf-61b3d2e91232	Douala	Douala	3	0	2013-10-11 14:19:24.419815+02	\N	\N	\N	\N	\N	\N	f	
29625	5eed5728-8752-427a-8018-b92f9b20aa5b	Saldanha	Saldanha	3	0	2013-10-11 14:21:26.186036+02	\N	\N	\N	\N	\N	\N	f	
26315	48302611-bb89-4a4f-97b4-1b92ae653e9a	Lishui	Lishui	3	0	2013-10-11 21:00:46.810268+02	\N	\N	\N	\N	\N	\N	f	
29677	9f3c5ca2-7da9-4b33-9d2c-158690bc6533	Weitra	Weitra	3	0	2013-10-14 14:45:32.480243+02	\N	\N	\N	\N	\N	\N	f	
13639	f862f6bb-e03a-4941-a94d-90a402daa4cf	San Giorgio Canavese	San Giorgio Canavese	4	0	2013-07-21 18:40:02.442902+02	\N	\N	\N	\N	\N	\N	f	
14289	bc1fb659-4a74-41d1-9733-8cedb5379fa8	Arlena di Castro	Arlena di Castro	4	0	2013-07-21 21:05:22.852099+02	\N	\N	\N	\N	\N	\N	f	
14391	a71c199f-1fa4-4bb0-a9f4-25caf8e37407	Frugarolo	Frugarolo	4	0	2013-07-21 21:27:21.756089+02	\N	\N	\N	\N	\N	\N	f	
16142	62f2be27-526d-4d23-bac4-740ef96019aa	Deiva Marina	Deiva Marina	4	0	2013-07-22 02:57:58.858913+02	\N	\N	\N	\N	\N	\N	f	
14401	e0a4d31c-e0eb-4c03-a9fa-f0b911cdef25	Frascaro	Frascaro	4	0	2013-07-21 21:29:29.209982+02	\N	\N	\N	\N	\N	\N	f	
14454	bc4465da-f77d-4a3b-9fa5-4dcd604c0e56	Monleale	Monleale	4	0	2013-07-21 21:41:15.312528+02	\N	\N	\N	\N	\N	\N	f	
14871	040311bf-2409-47f6-b9d2-1abdeb92b3a1	Cartignano	Cartignano	4	0	2013-07-21 23:15:45.65615+02	\N	\N	\N	\N	\N	\N	f	
16177	8eb0234c-639e-402f-9d7c-c8cc43a38862	Finale Ligure	Finale Ligure	4	0	2013-07-22 03:02:04.900554+02	\N	\N	\N	\N	\N	\N	f	
18113	268b5329-084a-4d9c-bb25-80682ed1f492	Castelleone	Castelleone	4	0	2013-07-22 07:49:17.083576+02	\N	\N	\N	\N	\N	\N	f	
16210	8ec058be-65d5-4d45-aabc-747220d97b23	Osiglia	Osiglia	4	0	2013-07-22 03:06:20.162164+02	\N	\N	\N	\N	\N	\N	f	
16256	b8ef246c-cfaa-4cf5-ad5f-29e0ebf90c8c	Bojano	Bojano	4	0	2013-07-22 03:11:41.732+02	\N	\N	\N	\N	\N	\N	f	
16902	8bb5d36d-e169-428d-ae12-143ea76c5760	Stienta	Stienta	4	0	2013-07-22 05:05:51.44081+02	\N	\N	\N	\N	\N	\N	f	
18148	c6ffacde-1d4a-4885-8e19-ba6764aa5fd4	Derovere	Derovere	4	0	2013-07-22 07:53:09.544966+02	\N	\N	\N	\N	\N	\N	f	
16906	b6362912-4de4-435f-b771-826a9e1c6d7a	Gaiba	Gaiba	4	0	2013-07-22 05:06:54.890667+02	\N	\N	\N	\N	\N	\N	f	
26810	05754d10-3cdc-4d49-be9c-bbf27b6aa256	Marquand, Missouri	Marquand, Missouri	3	0	2013-09-08 03:00:13.588834+02	\N	\N	\N	\N	\N	\N	f	
20266	551b2bc4-e4e1-470f-8e65-58c0532b5bc3	Gimigliano	Gimigliano	4	0	2013-07-22 20:39:21.101661+02	\N	\N	\N	\N	\N	\N	f	
17089	a7fee744-2770-456e-ac44-8a06992300d2	Romana, Sardinia	Romana, Sardinia	4	0	2013-07-22 05:42:19.030454+02	\N	\N	\N	\N	\N	\N	f	
18188	f97900cd-69d2-4869-9521-39d928e71e0e	Masate	Masate	4	0	2013-07-22 07:58:14.706704+02	\N	\N	\N	\N	\N	\N	f	
18190	5590f8f2-9aa6-43b5-8fd6-d2a42fb6c573	Rodano	Rodano	4	0	2013-07-22 07:58:27.906222+02	\N	\N	\N	\N	\N	\N	f	
18203	64cf12a4-eec9-4667-b98f-aac8326dafbd	Costa Masnaga	Costa Masnaga	4	0	2013-07-22 07:59:58.876623+02	\N	\N	\N	\N	\N	\N	f	
18317	91adf88b-9531-4a30-927a-315c1057fc00	Abbiategrasso	Abbiategrasso	4	0	2013-07-22 08:13:27.556811+02	\N	\N	\N	\N	\N	\N	f	
22066	8817f49f-8b99-4a04-b715-1db9056376a7	Missouri Valley	Missouri Valley	3	0	2013-08-07 14:37:51.817682+02	\N	\N	\N	\N	\N	\N	f	
18338	b1d9a355-f0f4-4529-bc5a-ba35a1f78b50	Albairate	Albairate	4	0	2013-07-22 08:16:11.973669+02	\N	\N	\N	\N	\N	\N	f	
18358	d9b4b497-cd38-4acd-9b9a-63a70beecf9a	Colico	Colico	4	0	2013-07-22 08:18:32.345279+02	\N	\N	\N	\N	\N	\N	f	
26857	0a4d6fb4-f033-4041-9074-ea8c26c7b0d5	Lakeside	Lakeside	3	0	2013-09-08 03:12:09.81109+02	\N	\N	\N	\N	\N	\N	f	
18359	0b8e9ff9-1f18-4543-b9ab-1285ec5cec2c	Arconate	Arconate	4	0	2013-07-22 08:18:36.826083+02	\N	\N	\N	\N	\N	\N	f	
24220	7f94e9f1-4365-44e9-8cc5-fd07762dec57	Poulan, Georgia	Poulan, Georgia	3	0	2013-09-07 03:20:07.997702+02	\N	\N	\N	\N	\N	\N	f	
19048	46142cf9-a7bf-43ed-965a-a6c6f481e261	Marsala	Marsala	4	0	2013-07-22 09:45:49.808734+02	\N	\N	\N	\N	\N	\N	f	
24540	89c618f9-15b9-41fb-a8b4-e29b9e8c3648	Tell City, Indiana	Tell City, Indiana	3	0	2013-09-07 07:32:25.782376+02	\N	\N	\N	\N	\N	\N	f	
28206	bef4af8d-aea0-4863-bb75-454dd161cee5	Ust-Kut	Ust-Kut	3	0	2013-09-08 14:50:23.94923+02	\N	\N	\N	\N	\N	\N	f	
25035	ecc68956-451d-48b0-aafd-b8bf801de9c5	Olin	Olin	3	0	2013-09-07 09:46:24.672158+02	\N	\N	\N	\N	\N	\N	f	
27226	867b99bb-450f-4fd9-8928-53041d99a79a	Dexter	Dexter	3	0	2013-09-08 06:03:20.761728+02	\N	\N	\N	\N	\N	\N	f	
25105	f367168b-d447-46e6-b57e-882229a29fe7	Marne	Marne	3	0	2013-09-07 10:05:49.317164+02	\N	\N	\N	\N	\N	\N	f	
25668	e9d07ebb-1d52-4033-a0dd-ae2f00782d3f	Lane	Lane	3	0	2013-09-07 13:26:55.707946+02	\N	\N	\N	\N	\N	\N	f	
26135	cea3bd68-e13c-4fc6-824e-9e4f741a0d8a	Renner Springs	Renner Springs	3	0	2013-09-07 20:24:32.228769+02	\N	\N	\N	\N	\N	\N	f	
27267	389676eb-80a9-4a11-86bb-f7b4ecc849ce	New Haven	New Haven	3	0	2013-09-08 06:14:08.377686+02	\N	\N	\N	\N	\N	\N	f	
26150	8e735812-487c-4c66-886b-51fe9950a423	Rosedale, Mississippi	Rosedale, Mississippi	3	0	2013-09-07 20:28:47.923643+02	\N	\N	\N	\N	\N	\N	f	
26188	2f13c47d-ca1a-40af-aadd-a25c1604e5eb	Severance	Severance	3	0	2013-09-07 20:40:25.041529+02	\N	\N	\N	\N	\N	\N	f	
29113	ff92bf38-1217-45f7-b433-2ed5a0d925f6	Milton	Milton	3	0	2013-09-09 02:28:13.79987+02	\N	\N	\N	\N	\N	\N	f	
26189	89a339ae-10d6-43ad-9851-cab446c71e67	Dwight	Dwight	3	0	2013-09-07 20:40:40.476618+02	\N	\N	\N	\N	\N	\N	f	
27270	b0093fb2-67b4-41e7-971f-d7370b22d4ce	Cool Valley	Cool Valley	3	0	2013-09-08 06:14:55.781292+02	\N	\N	\N	\N	\N	\N	f	
26450	114d957c-b4d9-427e-a936-333407a8174d	Preston, Idaho	Preston, Idaho	3	0	2013-09-08 00:37:53.053967+02	\N	\N	\N	\N	\N	\N	f	
26762	90654af5-51b1-4e27-abbf-c6096b830bcb	Caruthersville	Caruthersville	3	0	2013-09-08 02:47:33.462716+02	\N	\N	\N	\N	\N	\N	f	
28391	68ccc796-f109-4daa-83a2-dd1d73291def	McKenzie, Tennessee	McKenzie, Tennessee	3	0	2013-09-08 17:09:21.663462+02	\N	\N	\N	\N	\N	\N	f	
26769	369bb371-3ead-458c-b7c5-4164bda51900	Otterville	Otterville	3	0	2013-09-08 02:49:17.090492+02	\N	\N	\N	\N	\N	\N	f	
27549	fdbc404c-8ddb-4108-82ae-89bac4544a89	Kindred, North Dakota	Kindred, North Dakota	3	0	2013-09-08 08:38:29.111716+02	\N	\N	\N	\N	\N	\N	f	
27924	be86a93d-78fe-45f5-b209-8bf984bdf28f	Solon, Ohio	Solon, Ohio	3	0	2013-09-08 11:38:05.098309+02	\N	\N	\N	\N	\N	\N	f	
28022	00fa5303-e729-4534-8c4f-8ce0336b07d0	Brush, Colorado	Brush, Colorado	3	0	2013-09-08 12:03:31.563428+02	\N	\N	\N	\N	\N	\N	f	
28611	1de8b8d1-83c9-4561-b373-d693a6f68f5c	Wolfe City	Wolfe City	3	0	2013-09-08 21:02:42.133145+02	\N	\N	\N	\N	\N	\N	f	
28189	b934e7bf-5334-41ed-a9d7-324bef24d6d9	Sebezh	Sebezh	3	0	2013-09-08 14:45:25.960003+02	\N	\N	\N	\N	\N	\N	f	
28194	bc85ae2e-38aa-487e-82c5-6ab13a101185	Sergiyev Posad	Sergiyev Posad	3	0	2013-09-08 14:46:52.895092+02	\N	\N	\N	\N	\N	\N	f	
29283	79213b97-0495-4582-8462-92f644a432b2	Altoona, Wisconsin	Altoona, Wisconsin	3	0	2013-09-09 04:30:50.5749+02	\N	\N	\N	\N	\N	\N	f	
28658	55b1910b-cc4f-4943-abc4-16032806ec38	Nome	Nome	3	0	2013-09-08 21:15:54.64087+02	\N	\N	\N	\N	\N	\N	f	
28848	7bf2504f-04a3-4bd7-b9df-65863ec263d4	Cranfills Gap	Cranfills Gap	3	0	2013-09-09 00:15:18.690875+02	\N	\N	\N	\N	\N	\N	f	
29516	18233586-f5a8-4cfd-8415-4b1f6d760d74	Bishop's Castle	Bishop's Castle	3	0	2013-09-29 08:29:05.335354+02	\N	\N	\N	\N	\N	\N	f	
29105	6190bb16-9750-43b6-89b6-065e4de5c341	Ruston	Ruston	3	0	2013-09-09 02:26:08.722192+02	\N	\N	\N	\N	\N	\N	f	
29293	8514378a-f153-467e-a110-d200a6d341ad	Chilton	Chilton	3	0	2013-09-09 05:17:18.549279+02	\N	\N	\N	\N	\N	\N	f	
29318	56b16c7e-6dae-4bad-8678-a04774e2d8d5	Edgerton	Edgerton	3	0	2013-09-09 05:25:40.694653+02	\N	\N	\N	\N	\N	\N	f	
29624	2a086cf8-e045-4828-ae42-e5fe7e18c4b1	Suez	Suez	3	0	2013-10-11 14:19:47.297041+02	\N	\N	\N	\N	\N	\N	f	
29382	58dc6203-0ab9-45a7-b305-3ccb026e8dd2	Schofield	Schofield	3	0	2013-09-09 08:31:48.406346+02	\N	\N	\N	\N	\N	\N	f	
3493	fce7d401-11e1-4b56-a8df-724dfc7b1fe0	Cargados Carajos Shoals	Cargados Carajos Shoals	2	0	2013-10-13 03:25:21.748896+02	\N	\N	\N	\N	\N	\N	f	
29531	338e2a89-1256-45c8-a59c-bedb8d8f533b	Chesterfield	Chesterfield	3	0	2013-09-29 08:37:37.756698+02	\N	\N	\N	\N	\N	\N	f	
29678	b6144b89-f7b8-48ba-b961-791097ffac7a	Udby	Udby	3	0	2013-10-14 14:59:17.182721+02	\N	\N	\N	\N	\N	\N	f	
13640	8bca1d71-4e06-44e5-afb9-766aac7245d8	Agazzano	Agazzano	4	0	2013-07-21 18:40:14.411715+02	\N	\N	\N	\N	\N	\N	f	
14292	067cf774-7dc6-4d8b-a89b-b4f737d223a3	Castel Sant'Elia	Castel Sant'Elia	4	0	2013-07-21 21:05:57.928936+02	\N	\N	\N	\N	\N	\N	f	
14432	5fea4a8e-7023-4d72-b162-551eec989e76	Murisengo	Murisengo	4	0	2013-07-21 21:36:36.092842+02	\N	\N	\N	\N	\N	\N	f	
16144	5a13daf5-47a3-43cf-95b7-7c09e3f4f18f	Calice al Cornoviglio	Calice al Cornoviglio	4	0	2013-07-22 02:58:13.057433+02	\N	\N	\N	\N	\N	\N	f	
14443	ef3bf5dc-ef41-4ca3-aff3-52ae5eb79d46	Montaldo Bormida	Montaldo Bormida	4	0	2013-07-21 21:38:57.415174+02	\N	\N	\N	\N	\N	\N	f	
14872	612ec518-f075-4eb1-b8d3-1daa96eb441d	Castelletto Uzzone	Castelletto Uzzone	4	0	2013-07-21 23:16:04.256956+02	\N	\N	\N	\N	\N	\N	f	
16190	1248fab1-0a5e-41b2-bcd8-89f771837c9f	Noli	Noli	4	0	2013-07-22 03:03:38.063414+02	\N	\N	\N	\N	\N	\N	f	
18118	b1b72f2c-0b2a-45c6-bac8-b47ae30e8655	Barzanò	Barzanò	4	0	2013-07-22 07:49:52.385969+02	\N	\N	\N	\N	\N	\N	f	
16907	13a00bb4-93e8-457f-82d8-a67a55a9cc29	Badia Polesine	Badia Polesine	4	0	2013-07-22 05:07:11.697235+02	\N	\N	\N	\N	\N	\N	f	
16913	4bb5f6a0-f4fd-4c50-89e0-08d707970922	Castelmassa	Castelmassa	4	0	2013-07-22 05:08:53.145632+02	\N	\N	\N	\N	\N	\N	f	
28026	a80453e2-aa35-4268-aee2-aca99d69dee0	Piqua	Piqua	3	0	2013-09-08 12:04:34.970901+02	\N	\N	\N	\N	\N	\N	f	
20267	93ba33c8-5235-4c03-bfdf-5864b9774277	Olivadi	Olivadi	4	0	2013-07-22 20:39:32.871928+02	\N	\N	\N	\N	\N	\N	f	
19079	cf170074-b226-41d5-af0e-90bd76eaf95c	San Mauro di Saline	San Mauro di Saline	4	0	2013-07-22 09:49:59.240556+02	\N	\N	\N	\N	\N	\N	f	
26208	a89b3666-b84c-49ae-b1ee-13c55fd1e6c6	Princeton, Kentucky	Princeton, Kentucky	3	0	2013-09-07 20:45:46.001227+02	\N	\N	\N	\N	\N	\N	f	
19128	b0e3cdd1-13a8-4d76-888f-e7b80f3d27fa	Baucina	Baucina	4	0	2013-07-22 09:55:56.534593+02	\N	\N	\N	\N	\N	\N	f	
19170	1f9914e4-0b8c-4789-b0ce-07ce74de52e3	Campofelice di Roccella	Campofelice di Roccella	4	0	2013-07-22 10:01:42.578613+02	\N	\N	\N	\N	\N	\N	f	
19176	df0bb78d-ecd1-4cdc-89ba-1383d7c5527e	Villa Literno	Villa Literno	4	0	2013-07-22 10:02:30.720622+02	\N	\N	\N	\N	\N	\N	f	
22070	1afbce5d-99ad-4bb4-900a-c5541cdd0d63	Harper	Harper	3	0	2013-08-07 14:38:54.068063+02	\N	\N	\N	\N	\N	\N	f	
19183	1c66f64f-4c3a-42c0-9a79-557404b4e436	Capaci	Capaci	4	0	2013-07-22 10:03:11.180325+02	\N	\N	\N	\N	\N	\N	f	
27230	c959b4b6-bbe1-4140-a104-15b897c48fbf	Edgerton	Edgerton	3	0	2013-09-08 06:04:26.58553+02	\N	\N	\N	\N	\N	\N	f	
24221	d6bf10c2-c351-4f7d-855c-2cda4e1dd8e9	Woodland, Georgia	Woodland, Georgia	3	0	2013-09-07 03:20:24.561618+02	\N	\N	\N	\N	\N	\N	f	
26451	5d931ba9-df75-4a4a-b5a0-cd408c071748	Shelbyville, Indiana	Shelbyville, Indiana	3	0	2013-09-08 00:38:13.287925+02	\N	\N	\N	\N	\N	\N	f	
24550	71f906a6-0c57-4a96-a0e6-f9948d0447df	Ackworth, Iowa	Ackworth, Iowa	3	0	2013-09-07 07:36:19.055609+02	\N	\N	\N	\N	\N	\N	f	
24557	1088753f-ddcf-487d-83d6-6ccd951c6303	American Falls, Idaho	American Falls, Idaho	3	0	2013-09-07 07:38:06.065086+02	\N	\N	\N	\N	\N	\N	f	
24561	ccee0a14-c328-43fd-8023-6effdeba584d	Hometown, Illinois	Hometown, Illinois	3	0	2013-09-07 07:39:12.377072+02	\N	\N	\N	\N	\N	\N	f	
26454	e1de7308-93dc-4b9c-ac6e-ebef642a3140	Sublette, Kansas	Sublette, Kansas	3	0	2013-09-08 00:38:58.715281+02	\N	\N	\N	\N	\N	\N	f	
24683	445e03ed-cd2a-4c39-91aa-abf4f977d372	Shelbyville	Shelbyville	3	0	2013-09-07 08:09:44.909719+02	\N	\N	\N	\N	\N	\N	f	
24751	bce296a7-2c72-4769-ab20-cd562d9e550f	North Washington, Iowa	North Washington, Iowa	3	0	2013-09-07 08:25:29.691147+02	\N	\N	\N	\N	\N	\N	f	
24756	75e3c255-c5fb-4fbe-817e-93f2b8e9aec8	Bancroft, Iowa	Bancroft, Iowa	3	0	2013-09-07 08:26:40.156313+02	\N	\N	\N	\N	\N	\N	f	
26518	45ca6803-f0b2-454c-9c31-915eb4be6e31	Gainesville, Georgia	Gainesville, Georgia	3	0	2013-09-08 00:55:58.247739+02	\N	\N	\N	\N	\N	\N	f	
25042	c2fedcb7-c569-44dc-ae03-68a5e67799a3	Newhall	Newhall	3	0	2013-09-07 09:48:11.043368+02	\N	\N	\N	\N	\N	\N	f	
25190	79829cc1-d3cf-467c-9472-d68a057b6fdd	Hospers	Hospers	3	0	2013-09-07 10:35:03.53123+02	\N	\N	\N	\N	\N	\N	f	
27558	cf11956f-ad6a-4b26-a52d-404fb79a5eef	Rolette, North Dakota	Rolette, North Dakota	3	0	2013-09-08 08:40:42.747431+02	\N	\N	\N	\N	\N	\N	f	
25672	6fb46a0e-2f34-46b2-ad3b-f0ad8019b680	Jennings	Jennings	3	0	2013-09-07 13:28:01.459228+02	\N	\N	\N	\N	\N	\N	f	
26529	e9f4fcf5-8679-4593-b74f-8dc40c5bc0e4	Arcadia, Kansas	Arcadia, Kansas	3	0	2013-09-08 00:58:58.902665+02	\N	\N	\N	\N	\N	\N	f	
26136	a103dfb2-eeb5-4702-94bd-7c0f5a047d81	Yulara	Yulara	3	0	2013-09-07 20:24:45.503005+02	\N	\N	\N	\N	\N	\N	f	
26137	9e932035-b7a0-45b8-86b9-8a0eb1ad9294	Darlington, Missouri	Darlington, Missouri	3	0	2013-09-07 20:25:01.646274+02	\N	\N	\N	\N	\N	\N	f	
26162	c323c6fc-e8eb-46e4-a25b-510ab2c88329	Republic, Missouri	Republic, Missouri	3	0	2013-09-07 20:33:18.615849+02	\N	\N	\N	\N	\N	\N	f	
28850	635f1416-0351-45ef-8c87-31b37669129b	Jolly	Jolly	3	0	2013-09-09 00:15:50.852968+02	\N	\N	\N	\N	\N	\N	f	
26168	b60c6c33-93a4-48e8-873f-5f464f9711fb	Schoenchen, Kansas	Schoenchen, Kansas	3	0	2013-09-07 20:35:08.881098+02	\N	\N	\N	\N	\N	\N	f	
26533	e773b5bc-40dd-4cae-84f4-5f60c805da07	Harpers Ferry, Iowa	Harpers Ferry, Iowa	3	0	2013-09-08 01:00:04.802254+02	\N	\N	\N	\N	\N	\N	f	
27591	56feed03-b85f-4f35-a66e-71c3cb0c623f	Rocklake, North Dakota	Rocklake, North Dakota	3	0	2013-09-08 08:51:09.344979+02	\N	\N	\N	\N	\N	\N	f	
26770	513f6cf5-aa96-4831-bf20-5b7fe8964de8	De Soto	De Soto	3	0	2013-09-08 02:49:31.483542+02	\N	\N	\N	\N	\N	\N	f	
26774	b95689a1-8cdb-438d-94b9-a44f8d8cc201	Luzerne, Iowa	Luzerne, Iowa	3	0	2013-09-08 02:50:33.79727+02	\N	\N	\N	\N	\N	\N	f	
28191	813e8e15-94ba-482d-a3a3-394f59235110	Svirsk	Svirsk	3	0	2013-09-08 14:45:56.388114+02	\N	\N	\N	\N	\N	\N	f	
26783	6d56a763-8a0e-478b-aef7-ae88a17f0736	La Plata	La Plata	3	0	2013-09-08 02:52:49.117357+02	\N	\N	\N	\N	\N	\N	f	
27593	f1ffe732-f406-4679-95d3-76759ecc29d2	Nekoma, North Dakota	Nekoma, North Dakota	3	0	2013-09-08 08:51:38.48666+02	\N	\N	\N	\N	\N	\N	f	
27228	1da92070-1abc-411d-8d5b-1a11bfd66d54	St. Peters	St. Peters	3	0	2013-09-08 06:03:51.812137+02	\N	\N	\N	\N	\N	\N	f	
27650	28b8f1a6-d75b-4a12-9dc4-f54ac8893f8a	Conneaut, Ohio	Conneaut, Ohio	3	0	2013-09-08 09:09:48.877315+02	\N	\N	\N	\N	\N	\N	f	
27925	a1215bc8-1a74-4c43-a2b1-e43212fb2b24	Palermo, North Dakota	Palermo, North Dakota	3	0	2013-09-08 11:38:19.596167+02	\N	\N	\N	\N	\N	\N	f	
28392	2423eec8-0262-423a-a64c-0660966d2bdf	New Hope, Tennessee	New Hope, Tennessee	3	0	2013-09-08 17:09:35.648358+02	\N	\N	\N	\N	\N	\N	f	
28012	51506851-a577-4f58-80e8-dd7a33827e0a	Tipton	Tipton	3	0	2013-09-08 12:00:59.133511+02	\N	\N	\N	\N	\N	\N	f	
29106	2059e4cf-3ef1-4a3c-a460-6bd800416215	Spangle	Spangle	3	0	2013-09-09 02:26:23.793261+02	\N	\N	\N	\N	\N	\N	f	
28612	97d5beec-051a-4cf9-ab57-44615115f99c	Itasca	Itasca	3	0	2013-09-08 21:02:57.500202+02	\N	\N	\N	\N	\N	\N	f	
28623	d9a632ca-cdd1-4b45-ac1c-56b5d8716c14	Deport	Deport	3	0	2013-09-08 21:05:46.058154+02	\N	\N	\N	\N	\N	\N	f	
29383	1261242f-37c7-47c1-a6ed-a9db91a42293	Whitewater	Whitewater	3	0	2013-09-09 08:32:02.184481+02	\N	\N	\N	\N	\N	\N	f	
29294	656e1a6e-e20f-4d90-a72d-1f71e60a1202	Burlington, Wisconsin	Burlington, Wisconsin	3	0	2013-09-09 05:17:41.963327+02	\N	\N	\N	\N	\N	\N	f	
29158	94ee1505-e8b0-4170-a3cd-ed30611aafe3	McCamey	McCamey	3	0	2013-09-09 02:51:59.945812+02	\N	\N	\N	\N	\N	\N	f	
29284	10137cb0-13c4-43ca-b1e7-701da023b43a	Cameron, West Virginia	Cameron, West Virginia	3	0	2013-09-09 04:31:31.333037+02	\N	\N	\N	\N	\N	\N	f	
29523	275ef656-7b3c-4779-bd44-5050b29d2ed4	Leominster	Leominster	3	0	2013-09-29 08:33:20.386982+02	\N	\N	\N	\N	\N	\N	f	
29517	2d3cd571-c002-470a-8fbd-91fd641e47ba	Wendover	Wendover	3	0	2013-09-29 08:29:40.130795+02	\N	\N	\N	\N	\N	\N	f	
29626	ce3ef1eb-9b4d-494e-ac4d-d5a46150bea4	Toamasina	Toamasina	3	0	2013-10-11 14:22:07.009638+02	\N	\N	\N	\N	\N	\N	f	
13641	04b61f14-7d63-4d07-9de0-d5d688a2246e	Sauze di Cesana	Sauze di Cesana	4	0	2013-07-21 18:40:42.199859+02	\N	\N	\N	\N	\N	\N	f	
13644	f2c388d0-46d0-4afe-9af9-326679a9b894	Ponte dell'Olio	Ponte dell'Olio	4	0	2013-07-21 18:41:23.896017+02	\N	\N	\N	\N	\N	\N	f	
13645	ab73b9d6-997c-4086-a6d8-43bb65b25493	Pontenure	Pontenure	4	0	2013-07-21 18:41:38.017458+02	\N	\N	\N	\N	\N	\N	f	
14295	0b69e6b6-f710-42a7-8ed1-1a3dee9e1352	Carbognano	Carbognano	4	0	2013-07-21 21:06:33.543784+02	\N	\N	\N	\N	\N	\N	f	
13646	d56b39c6-8aee-4c3e-8d81-98350f76445d	Ferriere	Ferriere	4	0	2013-07-21 18:41:49.681162+02	\N	\N	\N	\N	\N	\N	f	
13647	14d30baa-1735-4b07-a160-572666808b20	San Mauro Torinese	San Mauro Torinese	4	0	2013-07-21 18:42:04.103995+02	\N	\N	\N	\N	\N	\N	f	
13648	3bad8be5-cdba-4859-85ec-e03b8e786be3	San Sebastiano da Po	San Sebastiano da Po	4	0	2013-07-21 18:42:17.258599+02	\N	\N	\N	\N	\N	\N	f	
14874	464867e8-642d-4d64-a032-10f6b58e2263	Castellinaldo	Castellinaldo	4	0	2013-07-21 23:16:37.424228+02	\N	\N	\N	\N	\N	\N	f	
13649	e232c818-18f3-43ed-99e9-c0df73e09ec4	Fiorenzuola d'Arda	Fiorenzuola d'Arda	4	0	2013-07-21 18:42:29.073129+02	\N	\N	\N	\N	\N	\N	f	
13651	abdd8efc-58b6-4726-9fb4-927006941625	Pecorara	Pecorara	4	0	2013-07-21 18:42:53.578039+02	\N	\N	\N	\N	\N	\N	f	
16148	e71ea82b-84cf-4b03-8511-afa74b39f49a	Bonassola	Bonassola	4	0	2013-07-22 02:58:36.688032+02	\N	\N	\N	\N	\N	\N	f	
13652	1603eb8a-3e7b-4e76-8f80-68e03fb8f4d0	Uzzano	Uzzano	4	0	2013-07-21 18:43:05.528847+02	\N	\N	\N	\N	\N	\N	f	
14938	152bd9a9-8e7a-4570-abef-bdd149bb7943	Bastia Umbra	Bastia Umbra	4	0	2013-07-21 23:27:57.323826+02	\N	\N	\N	\N	\N	\N	f	
13654	e2b15e5f-9420-4edb-b547-7af3ec0cb438	Sambuca Pistoiese	Sambuca Pistoiese	4	0	2013-07-21 18:43:29.009097+02	\N	\N	\N	\N	\N	\N	f	
13667	2045806d-cba1-4109-b585-03310b916202	Gragnano Trebbiense	Gragnano Trebbiense	4	0	2013-07-21 18:46:13.217369+02	\N	\N	\N	\N	\N	\N	f	
13692	3d82f79f-2797-41db-96d3-db95c25708b4	Crespina	Crespina	4	0	2013-07-21 18:51:24.838397+02	\N	\N	\N	\N	\N	\N	f	
13701	432cb8cf-64f4-416d-a038-62b18be26551	Vigolzone	Vigolzone	4	0	2013-07-21 18:53:25.257229+02	\N	\N	\N	\N	\N	\N	f	
16910	b428bfba-6001-47d4-99b9-a950d804540e	Occhiobello	Occhiobello	4	0	2013-07-22 05:08:09.161553+02	\N	\N	\N	\N	\N	\N	f	
18119	2f49660d-3c87-4834-8690-d5fd63e1e807	Civate	Civate	4	0	2013-07-22 07:49:54.314333+02	\N	\N	\N	\N	\N	\N	f	
16931	1207c201-4a4b-4364-b87f-0e9dd32c4245	Calto	Calto	4	0	2013-07-22 05:13:32.894263+02	\N	\N	\N	\N	\N	\N	f	
16972	ef5b3899-192e-4f25-ab52-8ee42c6d8262	Châtillon, Aosta Valley	Châtillon, Aosta Valley	4	0	2013-07-22 05:23:58.563909+02	\N	\N	\N	\N	\N	\N	f	
26195	20918879-4516-4799-ab2e-9f51aace5b20	Horton	Horton	3	0	2013-09-07 20:42:13.57651+02	\N	\N	\N	\N	\N	\N	f	
17134	36dc9b1b-31f8-4a8c-a4f9-ba6f4e690d7b	Nughedu Santa Vittoria	Nughedu Santa Vittoria	4	0	2013-07-22 05:48:13.412306+02	\N	\N	\N	\N	\N	\N	f	
19050	66d7dee6-6a3a-4ba3-a318-19f6e69cc4f6	Terrazzo	Terrazzo	4	0	2013-07-22 09:46:02.034301+02	\N	\N	\N	\N	\N	\N	f	
17138	0b173450-80db-4624-a175-ec41baf40d27	City of Preston	City of Preston	3	0	2013-07-22 05:48:44.796675+02	\N	\N	\N	\N	\N	\N	f	
20268	93125e14-7984-4fb4-9f1f-19b17ae00d9a	Miglierina	Miglierina	4	0	2013-07-22 20:39:44.741637+02	\N	\N	\N	\N	\N	\N	f	
19057	ee71b1f2-8e62-42f5-9018-71ee4b35c441	Salaparuta	Salaparuta	4	0	2013-07-22 09:46:57.219393+02	\N	\N	\N	\N	\N	\N	f	
20306	37c99631-666e-48ee-adc4-66ef67348678	Stalettì	Stalettì	4	0	2013-07-22 20:47:39.653332+02	\N	\N	\N	\N	\N	\N	f	
27560	8c59dfb3-3a8a-452f-84f1-bb3e4c149b82	Golden Valley, North Dakota	Golden Valley, North Dakota	3	0	2013-09-08 08:41:11.513349+02	\N	\N	\N	\N	\N	\N	f	
26198	dda3781a-70c5-42f3-aad8-4fcaa625689d	LeRoy	LeRoy	3	0	2013-09-07 20:43:02.833002+02	\N	\N	\N	\N	\N	\N	f	
22071	cc3a1e07-540d-4645-8eb1-1a70392a0cec	Humeston	Humeston	3	0	2013-08-07 14:39:08.080894+02	\N	\N	\N	\N	\N	\N	f	
24223	9f1ded43-63b0-4ed8-b60e-0b603455fdd4	Glenwood, Georgia	Glenwood, Georgia	3	0	2013-09-07 03:21:01.522436+02	\N	\N	\N	\N	\N	\N	f	
26250	cd5a0940-84fd-4b09-a402-d9e77db6fc98	Bonnieville	Bonnieville	3	0	2013-09-07 20:56:22.981478+02	\N	\N	\N	\N	\N	\N	f	
24551	3fa7be15-f6df-472d-8c68-12acdfb4d489	Adairsville, Georgia	Adairsville, Georgia	3	0	2013-09-07 07:36:32.782837+02	\N	\N	\N	\N	\N	\N	f	
24660	5acdf412-cd25-4b5e-ad36-d2ba225cb548	Sparta	Sparta	3	0	2013-09-07 08:04:26.983557+02	\N	\N	\N	\N	\N	\N	f	
28653	a34f7aa9-368f-4c83-9ce5-67e3ada77eae	Hempstead	Hempstead	3	0	2013-09-08 21:14:32.759039+02	\N	\N	\N	\N	\N	\N	f	
24667	60bac9a7-5a11-4602-88fb-8b230d01b750	Litchfield	Litchfield	3	0	2013-09-07 08:06:07.606655+02	\N	\N	\N	\N	\N	\N	f	
26256	13193bfb-1873-42e2-abcc-9b5c334cccf6	Zachary	Zachary	3	0	2013-09-07 20:57:58.124371+02	\N	\N	\N	\N	\N	\N	f	
25043	ace00b6e-f0aa-417d-b5a4-b898aef231a6	Menlo	Menlo	3	0	2013-09-07 09:48:26.172935+02	\N	\N	\N	\N	\N	\N	f	
25049	946cb251-16ec-485f-ad35-2b8cd81e12a6	Martensdale	Martensdale	3	0	2013-09-07 09:49:57.237914+02	\N	\N	\N	\N	\N	\N	f	
27605	bfcc2f7f-e2c4-46a1-8cc3-44c294105a68	Rutland, North Dakota	Rutland, North Dakota	3	0	2013-09-08 08:55:13.335664+02	\N	\N	\N	\N	\N	\N	f	
25085	abe0a8d8-f2f4-412f-9a12-c6f303b27f89	Lanesboro	Lanesboro	3	0	2013-09-07 10:00:31.196181+02	\N	\N	\N	\N	\N	\N	f	
26452	232ada47-5484-4145-881d-f69ea6f2f912	Underwood, Iowa	Underwood, Iowa	3	0	2013-09-08 00:38:27.031267+02	\N	\N	\N	\N	\N	\N	f	
25675	0cdcb5f3-bf50-41d1-8d81-5eb6c25543c7	Raywick, Kentucky	Raywick, Kentucky	3	0	2013-09-07 13:28:50.864516+02	\N	\N	\N	\N	\N	\N	f	
26138	622b1814-f6f6-48db-b78f-87ee1161aaca	Yuendumu	Yuendumu	3	0	2013-09-07 20:25:15.033243+02	\N	\N	\N	\N	\N	\N	f	
26180	5550cc2c-b3c5-48ed-b8fb-e69820079975	Tonganoxie	Tonganoxie	3	0	2013-09-07 20:38:20.903431+02	\N	\N	\N	\N	\N	\N	f	
28202	7dbf1dec-0c93-4f54-bb30-71226384cd5a	Timashyovsk	Timashyovsk	3	0	2013-09-08 14:49:12.734466+02	\N	\N	\N	\N	\N	\N	f	
26780	388c4aae-d819-46ae-9a98-5ac08708164f	Laddonia	Laddonia	3	0	2013-09-08 02:52:05.305932+02	\N	\N	\N	\N	\N	\N	f	
27926	2f34a47c-f8fc-4a2e-bde2-51975828477f	Westwood Hills, Kansas	Westwood Hills, Kansas	3	0	2013-09-08 11:38:34.215376+02	\N	\N	\N	\N	\N	\N	f	
26845	b51314ce-fdc3-40f9-a76e-f44abbee0cdf	Mercer	Mercer	3	0	2013-09-08 03:09:12.868284+02	\N	\N	\N	\N	\N	\N	f	
26858	41d4d49f-d255-45e5-9e80-8f9f16d263e9	Miller	Miller	3	0	2013-09-08 03:12:24.338562+02	\N	\N	\N	\N	\N	\N	f	
27231	d5472a5f-06fb-4c16-856a-19913bc89797	Clarence	Clarence	3	0	2013-09-08 06:04:43.219683+02	\N	\N	\N	\N	\N	\N	f	
27985	5655e814-c866-48fe-8087-b431e706521a	Jenkins	Jenkins	3	0	2013-09-08 11:54:12.543239+02	\N	\N	\N	\N	\N	\N	f	
28018	bab0dd3a-124b-446d-868c-4c326fa625b4	St. Clairsville	St. Clairsville	3	0	2013-09-08 12:02:28.621831+02	\N	\N	\N	\N	\N	\N	f	
29108	b5283a75-6a1f-4200-84c1-acaa954f5ce0	Roy	Roy	3	0	2013-09-09 02:26:59.539643+02	\N	\N	\N	\N	\N	\N	f	
28195	be191a77-5104-4708-b193-5c56f34cf659	Sevsk	Sevsk	3	0	2013-09-08 14:47:08.757358+02	\N	\N	\N	\N	\N	\N	f	
28393	d57b27a3-b9c4-471e-b69f-7e7956967853	Bruce, South Dakota	Bruce, South Dakota	3	0	2013-09-08 17:09:52.359155+02	\N	\N	\N	\N	\N	\N	f	
28851	f8b1ef79-b877-4f12-8eed-ea28ff661949	Kenedy	Kenedy	3	0	2013-09-09 00:16:07.281733+02	\N	\N	\N	\N	\N	\N	f	
28614	6c73ac38-d399-47fb-be42-0786678c3708	Uncertain	Uncertain	3	0	2013-09-08 21:03:30.037886+02	\N	\N	\N	\N	\N	\N	f	
29194	0a3f045b-3048-4bfd-b62d-097fcf069d75	Mason	Mason	3	0	2013-09-09 03:02:38.049414+02	\N	\N	\N	\N	\N	\N	f	
28852	8f4e35fa-079a-4bb0-804d-4680aba77279	Union Grove	Union Grove	3	0	2013-09-09 00:16:23.438412+02	\N	\N	\N	\N	\N	\N	f	
29179	e9ad42b7-3781-4eb7-85af-40d9f0882f01	Pullman	Pullman	3	0	2013-09-09 02:58:15.181677+02	\N	\N	\N	\N	\N	\N	f	
29285	b94ff881-193c-4cfb-b324-5e5c851921b1	Pleasant Valley, West Virginia	Pleasant Valley, West Virginia	3	0	2013-09-09 04:31:51.920173+02	\N	\N	\N	\N	\N	\N	f	
29295	02ffe8a9-3c81-4352-9d9b-1d0b9d5d4cda	Elkhorn	Elkhorn	3	0	2013-09-09 05:18:07.393518+02	\N	\N	\N	\N	\N	\N	f	
29385	04cf48d7-0e5c-43c1-b9f1-3b7820e0f75e	Mayville	Mayville	3	0	2013-09-09 08:32:29.998858+02	\N	\N	\N	\N	\N	\N	f	
29388	576be72d-ad6a-46a1-8867-3129ad6411ab	Westby	Westby	3	0	2013-09-09 08:33:11.389141+02	\N	\N	\N	\N	\N	\N	f	
29518	2dd3eaa8-0628-4078-a07c-61d7908ad1be	Oundle	Oundle	3	0	2013-09-29 08:29:58.231855+02	\N	\N	\N	\N	\N	\N	f	
29628	e6d3e2e8-f91e-4585-827c-e1fd2c5ac57a	East London	East London	3	0	2013-10-11 14:24:03.832111+02	\N	\N	\N	\N	\N	\N	f	
1746	ee49f6bd-15a3-4ad2-b657-2e5d391e115a	Lənkəran	Lənkəran	3	0	2013-10-13 03:31:27.717476+02	\N	\N	\N	\N	\N	\N	f	
13656	7ade4c5f-c688-437a-b868-bb338dc7471f	San Secondo di Pinerolo	San Secondo di Pinerolo	4	0	2013-07-21 18:43:58.38889+02	\N	\N	\N	\N	\N	\N	f	
13657	3b97b3ab-3e22-431c-b8ba-dcd5248acbbb	Gropparello	Gropparello	4	0	2013-07-21 18:44:10.049998+02	\N	\N	\N	\N	\N	\N	f	
13660	6a1fdcfb-eb8c-45dd-b387-9ff759e22fd6	Lugagnano Val d'Arda	Lugagnano Val d'Arda	4	0	2013-07-21 18:44:45.021738+02	\N	\N	\N	\N	\N	\N	f	
14297	b04cd23b-c686-4d7c-bd2d-e2cab2bd14e6	Canino	Canino	4	0	2013-07-21 21:06:56.578301+02	\N	\N	\N	\N	\N	\N	f	
13661	98bb733d-a8da-4c1d-b673-5d3fa26c8852	San Raffaele Cimena	San Raffaele Cimena	4	0	2013-07-21 18:44:58.886278+02	\N	\N	\N	\N	\N	\N	f	
13662	b5eb5bd8-0a68-49be-a870-e776dece71d3	San Giorgio Piacentino	San Giorgio Piacentino	4	0	2013-07-21 18:45:10.774318+02	\N	\N	\N	\N	\N	\N	f	
13676	95762e85-6ef9-4051-b51e-0e9de82c0f5f	Piozzano	Piozzano	4	0	2013-07-21 18:47:59.053243+02	\N	\N	\N	\N	\N	\N	f	
14478	a4880f30-8501-4253-813f-4448e15ee5a1	Ovada	Ovada	4	0	2013-07-21 21:46:45.783483+02	\N	\N	\N	\N	\N	\N	f	
13695	604f7bd0-d00e-4c2d-a04d-43317cdfd361	Settimo Vittone	Settimo Vittone	4	0	2013-07-21 18:52:04.466692+02	\N	\N	\N	\N	\N	\N	f	
16154	93a1d510-5d66-4270-bdc5-af5b37083c91	Castelbianco	Castelbianco	4	0	2013-07-22 02:59:30.376574+02	\N	\N	\N	\N	\N	\N	f	
14875	e2be1979-64b0-42ad-a423-3d223f045b04	Ceresole Alba	Ceresole Alba	4	0	2013-07-21 23:16:52.226148+02	\N	\N	\N	\N	\N	\N	f	
14916	79e50b7a-4fc4-4a7e-97be-d08c4a45151d	Carugo	Carugo	4	0	2013-07-21 23:25:25.667177+02	\N	\N	\N	\N	\N	\N	f	
14945	f815f1cc-7eba-4cc7-9b2f-e15b9b52395f	Bettona	Bettona	4	0	2013-07-21 23:28:55.762009+02	\N	\N	\N	\N	\N	\N	f	
16173	bac9c136-58fd-4c4b-8433-968b5aeff776	Mallare	Mallare	4	0	2013-07-22 03:01:39.792898+02	\N	\N	\N	\N	\N	\N	f	
14954	9ffa061a-3e13-4560-89b0-430ca09baee3	Limone Piemonte	Limone Piemonte	4	0	2013-07-21 23:29:59.892222+02	\N	\N	\N	\N	\N	\N	f	
18124	300f6a3a-a9f6-409c-88db-87cc83eb31da	Vimodrone	Vimodrone	4	0	2013-07-22 07:50:31.153867+02	\N	\N	\N	\N	\N	\N	f	
16198	02789164-ac9b-48c1-a96f-caec22123ac7	Albisola Superiore	Albisola Superiore	4	0	2013-07-22 03:04:41.403907+02	\N	\N	\N	\N	\N	\N	f	
16911	8a15f42f-660d-4b0d-ad37-6df194e8b9b9	Terrassa Padovana	Terrassa Padovana	4	0	2013-07-22 05:08:23.18603+02	\N	\N	\N	\N	\N	\N	f	
29286	88aec6fa-563b-4c54-ae23-65881f122f7e	Buckhannon, West Virginia	Buckhannon, West Virginia	3	0	2013-09-09 04:32:45.447283+02	\N	\N	\N	\N	\N	\N	f	
17056	c8bddce1-0360-41d1-91ed-7bcc2a98aa71	Verrayes	Verrayes	4	0	2013-07-22 05:37:37.274506+02	\N	\N	\N	\N	\N	\N	f	
19051	6226280b-b6e5-420d-b53f-096c8cb90251	Vita, Sicily	Vita, Sicily	4	0	2013-07-22 09:46:06.568875+02	\N	\N	\N	\N	\N	\N	f	
17119	369686dd-4f4a-4f5a-bf3b-3819fc74ec6d	Bauladu	Bauladu	4	0	2013-07-22 05:46:14.790622+02	\N	\N	\N	\N	\N	\N	f	
20269	a5394a15-008f-40f2-bb6d-6215474d9061	Guardavalle	Guardavalle	4	0	2013-07-22 20:39:56.554801+02	\N	\N	\N	\N	\N	\N	f	
19073	880395de-56ad-4fb4-84b8-9d12f10b85de	Torri del Benaco	Torri del Benaco	4	0	2013-07-22 09:49:13.814436+02	\N	\N	\N	\N	\N	\N	f	
19081	fc8d7c9b-25fc-436a-ac74-a6f052947285	Corleone	Corleone	4	0	2013-07-22 09:50:13.042865+02	\N	\N	\N	\N	\N	\N	f	
27232	31879481-d7a2-42a7-8647-f69579a775ee	Corder	Corder	3	0	2013-09-08 06:05:02.86344+02	\N	\N	\N	\N	\N	\N	f	
20300	5d5e120b-b7de-43b5-b721-a8da4c5e7f6b	Vallefiorita	Vallefiorita	4	0	2013-07-22 20:46:26.932014+02	\N	\N	\N	\N	\N	\N	f	
22072	2710023d-a7a0-4aaa-914d-a80edf36d13a	Bayard	Bayard	3	0	2013-08-07 14:39:25.918576+02	\N	\N	\N	\N	\N	\N	f	
28854	de3ac985-775a-4793-a59f-77ffdeb9a73b	Higgins	Higgins	3	0	2013-09-09 00:16:55.715198+02	\N	\N	\N	\N	\N	\N	f	
24553	f3123097-067d-4843-8d7c-d814dc6e5141	White, Georgia	White, Georgia	3	0	2013-09-07 07:37:08.740201+02	\N	\N	\N	\N	\N	\N	f	
27564	27747f98-a100-407a-b8a4-b4fbab81623c	Edgeley, North Dakota	Edgeley, North Dakota	3	0	2013-09-08 08:42:09.50245+02	\N	\N	\N	\N	\N	\N	f	
24724	c9bf4822-c2e1-4c4f-a5a7-6da1b1d65991	Graf, Iowa	Graf, Iowa	3	0	2013-09-07 08:18:15.267693+02	\N	\N	\N	\N	\N	\N	f	
25051	79a21bc2-df2f-46c7-ab7d-ae4fd6365297	Ollie	Ollie	3	0	2013-09-07 09:50:29.166603+02	\N	\N	\N	\N	\N	\N	f	
25680	8776c3d3-5fa7-4d5f-b552-02887e24c0ea	Dumont	Dumont	3	0	2013-09-07 13:30:16.160078+02	\N	\N	\N	\N	\N	\N	f	
27565	04c14421-2d07-40c7-82e2-46cc282510fc	Davenport, North Dakota	Davenport, North Dakota	3	0	2013-09-08 08:42:29.284633+02	\N	\N	\N	\N	\N	\N	f	
26139	380e07f2-3c1a-402c-840c-8412d5b70242	Roper Bar	Roper Bar	3	0	2013-09-07 20:25:27.925481+02	\N	\N	\N	\N	\N	\N	f	
26151	a627a975-87e4-4fd8-a1ce-e5b4ae224e60	Quitman	Quitman	3	0	2013-09-07 20:29:01.117052+02	\N	\N	\N	\N	\N	\N	f	
26455	101b51d1-ef59-4f38-8339-16962bc3ae94	Knob Noster, Missouri	Knob Noster, Missouri	3	0	2013-09-08 00:39:14.573051+02	\N	\N	\N	\N	\N	\N	f	
27597	40567930-6df8-4002-87a0-1479447e392e	Thompson, North Dakota	Thompson, North Dakota	3	0	2013-09-08 08:52:40.905783+02	\N	\N	\N	\N	\N	\N	f	
26782	94d2a1db-c372-4337-8e24-3023165133bf	Everton	Everton	3	0	2013-09-08 02:52:34.414023+02	\N	\N	\N	\N	\N	\N	f	
26811	e511a5c4-1500-40ea-98d5-8f0d01d75461	Rogersville	Rogersville	3	0	2013-09-08 03:00:29.597886+02	\N	\N	\N	\N	\N	\N	f	
29110	3da9a741-d3ae-46a5-b5b3-0c9bc1917584	Mesa	Mesa	3	0	2013-09-09 02:27:30.336238+02	\N	\N	\N	\N	\N	\N	f	
26827	0bcf3e18-bdbd-49fd-b926-38b2c5ae1137	Prairie Home	Prairie Home	3	0	2013-09-08 03:04:46.653623+02	\N	\N	\N	\N	\N	\N	f	
27927	be006b11-4231-4bac-af57-66a0d224a849	Madison	Madison	3	0	2013-09-08 11:38:50.327677+02	\N	\N	\N	\N	\N	\N	f	
26831	9e945d54-02cb-4505-8d5a-73c49a10189f	Wilber	Wilber	3	0	2013-09-08 03:05:47.076732+02	\N	\N	\N	\N	\N	\N	f	
26838	3118696e-4b5d-45a0-b3df-632ba6b6f8e3	Sheridan	Sheridan	3	0	2013-09-08 03:07:30.753312+02	\N	\N	\N	\N	\N	\N	f	
27940	04873d68-db2c-476f-a4b0-668132993549	Rochester	Rochester	3	0	2013-09-08 11:42:31.876622+02	\N	\N	\N	\N	\N	\N	f	
28196	b7f42dc3-a1be-4aa5-8bf2-a035c48f7425	Surazh	Surazh	3	0	2013-09-08 14:47:32.128253+02	\N	\N	\N	\N	\N	\N	f	
29157	70820ede-2d71-4a2f-a33e-81c4e28365ba	Huxley	Huxley	3	0	2013-09-09 02:51:42.548292+02	\N	\N	\N	\N	\N	\N	f	
28394	ccc3ca76-2dc0-48e1-b16d-edb2ae9b51e2	Edgemont, South Dakota	Edgemont, South Dakota	3	0	2013-09-08 17:10:16.734358+02	\N	\N	\N	\N	\N	\N	f	
28616	b3761174-3a09-4816-b2a9-ed7154b432d1	Palacios	Palacios	3	0	2013-09-08 21:03:59.76452+02	\N	\N	\N	\N	\N	\N	f	
29296	50622f1d-920d-4b84-ad6b-c5652535d1dc	Fountain City, Wisconsin	Fountain City, Wisconsin	3	0	2013-09-09 05:19:43.866967+02	\N	\N	\N	\N	\N	\N	f	
29169	3d4896fd-ee41-4f00-bf37-ab315ff4b062	Horseshoe Bay	Horseshoe Bay	3	0	2013-09-09 02:55:13.618676+02	\N	\N	\N	\N	\N	\N	f	
29175	5b8747c8-379e-4eaa-bb88-1a0d2736266c	Gruver	Gruver	3	0	2013-09-09 02:56:59.281142+02	\N	\N	\N	\N	\N	\N	f	
29193	5bb2abf8-0fc4-492a-a1d8-1cf8aca71603	Moore Station	Moore Station	3	0	2013-09-09 03:02:20.617118+02	\N	\N	\N	\N	\N	\N	f	
29629	91fb463e-ab24-4589-9ad8-5b47bd900ac2	Buchanan, Liberia	Buchanan, Liberia	3	0	2013-10-11 14:26:03.113236+02	\N	\N	\N	\N	\N	\N	f	
29386	f5e82c3e-8ea2-4669-b4a9-aee17ab7d74e	Waupun	Waupun	3	0	2013-09-09 08:32:43.731449+02	\N	\N	\N	\N	\N	\N	f	
29520	6672a2d2-ed84-4596-8e89-673f32de478e	Portishead and North Weston	Portishead and North Weston	3	0	2013-09-29 08:31:49.452407+02	\N	\N	\N	\N	\N	\N	f	
1785	1d32a33d-e025-486e-8867-ba2723a73c4a	Yevlax	Yevlax	3	0	2013-10-13 03:31:43.828989+02	\N	\N	\N	\N	\N	\N	f	
13665	8328fbfa-3784-4a8a-ae28-0936f04b5ce5	San Ponso	San Ponso	4	0	2013-07-21 18:45:48.456997+02	\N	\N	\N	\N	\N	\N	f	
13666	03ddcf0b-2563-40ea-aaa5-8610ea0a2fff	Sant'Antonino di Susa	Sant'Antonino di Susa	4	0	2013-07-21 18:46:00.988836+02	\N	\N	\N	\N	\N	\N	f	
13668	6b641bff-d002-412a-a24a-2dbd52bff3c6	San Maurizio Canavese	San Maurizio Canavese	4	0	2013-07-21 18:46:24.79525+02	\N	\N	\N	\N	\N	\N	f	
14299	edd1bf81-ac4a-4666-988c-921c90f1a2db	Barbarano Romano	Barbarano Romano	4	0	2013-07-21 21:07:19.632511+02	\N	\N	\N	\N	\N	\N	f	
14300	cde256b6-d329-4fd5-bbec-2c100aee8ad8	Piombino	Piombino	4	0	2013-07-21 21:07:31.213847+02	\N	\N	\N	\N	\N	\N	f	
16157	9274ddc1-b8df-453a-b579-587bd6ad7775	Castelvecchio di Rocca Barbena	Castelvecchio di Rocca Barbena	4	0	2013-07-22 02:59:56.362825+02	\N	\N	\N	\N	\N	\N	f	
14341	165a3ec7-8e6e-4196-922a-c3d44c8082b4	Carentino	Carentino	4	0	2013-07-21 21:16:44.202097+02	\N	\N	\N	\N	\N	\N	f	
14356	4a66449b-9624-4c04-9c06-b0c63ea5d178	Carbonara Scrivia	Carbonara Scrivia	4	0	2013-07-21 21:20:07.365831+02	\N	\N	\N	\N	\N	\N	f	
14465	fa6ba80c-60ef-4f22-9229-6828ec2e5a14	Ricaldone	Ricaldone	4	0	2013-07-21 21:43:49.88069+02	\N	\N	\N	\N	\N	\N	f	
16222	ea38d91d-0b49-4f5a-8909-cc6acbc611e5	Testico	Testico	4	0	2013-07-22 03:07:36.532804+02	\N	\N	\N	\N	\N	\N	f	
14876	ae5738bf-8345-4302-a20f-173100574fd1	Centallo	Centallo	4	0	2013-07-21 23:17:08.996138+02	\N	\N	\N	\N	\N	\N	f	
14878	563b11ed-9874-4055-a7b0-d53b5c5025bc	Castagnito	Castagnito	4	0	2013-07-21 23:17:42.328729+02	\N	\N	\N	\N	\N	\N	f	
18126	3da4c7f1-5514-4a79-8ea5-97266da4ad32	Motta Baluffi	Motta Baluffi	4	0	2013-07-22 07:50:45.955869+02	\N	\N	\N	\N	\N	\N	f	
16273	6a3124c2-2ea5-4e84-9c93-f49115975596	Montecilfone	Montecilfone	4	0	2013-07-22 03:13:39.234682+02	\N	\N	\N	\N	\N	\N	f	
16351	5684d364-4802-4561-ad6d-e92506efa01e	Poggio Sannita	Poggio Sannita	4	0	2013-07-22 03:23:05.419204+02	\N	\N	\N	\N	\N	\N	f	
27233	e668768a-afb0-4aeb-b659-b4f95cfcd36a	Lake Waukomis	Lake Waukomis	3	0	2013-09-08 06:05:19.065496+02	\N	\N	\N	\N	\N	\N	f	
16914	b89120b8-f582-45a6-ba73-5c9f950b9e63	Monselice	Monselice	4	0	2013-07-22 05:09:06.701697+02	\N	\N	\N	\N	\N	\N	f	
20270	ed810894-ce4b-43e1-9c6a-692b044ff6c2	Argusto	Argusto	4	0	2013-07-22 20:40:08.52263+02	\N	\N	\N	\N	\N	\N	f	
28665	02aa9781-d1cc-4e81-82b9-0363bc22994f	Lake Jackson	Lake Jackson	3	0	2013-09-08 21:17:42.91475+02	\N	\N	\N	\N	\N	\N	f	
27269	71f50c4f-c4ca-476d-822a-0f27a68cd4bb	Meadville	Meadville	3	0	2013-09-08 06:14:39.94901+02	\N	\N	\N	\N	\N	\N	f	
18239	11113f78-cef7-4f93-9bc9-a40f069c026e	Percha	Percha	4	0	2013-07-22 08:04:05.580117+02	\N	\N	\N	\N	\N	\N	f	
18241	4f449a97-c151-4550-bc61-3a2fb1a28e77	Salvirola	Salvirola	4	0	2013-07-22 08:04:19.145562+02	\N	\N	\N	\N	\N	\N	f	
27566	d13a8a2f-b667-4ca4-85a6-2aa2190140f4	Halliday, North Dakota	Halliday, North Dakota	3	0	2013-09-08 08:42:43.932452+02	\N	\N	\N	\N	\N	\N	f	
26862	f8e5992d-8d49-4fe7-8d04-f303b61d7b54	Roundup	Roundup	3	0	2013-09-08 03:13:28.963534+02	\N	\N	\N	\N	\N	\N	f	
18362	cfa10915-d0a7-4369-865c-ec945efce542	Castiglione delle Stiviere	Castiglione delle Stiviere	4	0	2013-07-22 08:19:02.937702+02	\N	\N	\N	\N	\N	\N	f	
19054	d774b59b-9be5-423e-923c-63851fa4c095	Custonaci	Custonaci	4	0	2013-07-22 09:46:31.133917+02	\N	\N	\N	\N	\N	\N	f	
22073	c3ba1dd4-797f-4e5c-acbc-0453951a484a	Chelsea	Chelsea	3	0	2013-08-07 14:39:39.200282+02	\N	\N	\N	\N	\N	\N	f	
19232	7d3da7ea-5c52-472e-8242-8260cf8e4d3d	Introdacqua	Introdacqua	4	0	2013-07-22 10:09:40.946331+02	\N	\N	\N	\N	\N	\N	f	
24555	faeeb02b-4900-4226-9076-a296067220fb	McCall, Idaho	McCall, Idaho	3	0	2013-09-07 07:37:39.271369+02	\N	\N	\N	\N	\N	\N	f	
27600	4415af88-608b-4098-8459-244433906c58	York, North Dakota	York, North Dakota	3	0	2013-09-08 08:53:42.45546+02	\N	\N	\N	\N	\N	\N	f	
25053	4e95832e-d525-41f3-976d-0a7819f09e3f	Moulton	Moulton	3	0	2013-09-07 09:50:59.720562+02	\N	\N	\N	\N	\N	\N	f	
25116	937725f6-e97f-42cc-be64-fdb672d5fa34	Masonville	Masonville	3	0	2013-09-07 10:08:40.77061+02	\N	\N	\N	\N	\N	\N	f	
28855	e24de066-ca11-49ba-b610-23fa7a6fd687	Marion	Marion	3	0	2013-09-09 00:17:12.026537+02	\N	\N	\N	\N	\N	\N	f	
25150	ff6f7e8c-9029-4a6c-aafd-8eaa75905c2d	Munden, Kansas	Munden, Kansas	3	0	2013-09-07 10:24:14.79625+02	\N	\N	\N	\N	\N	\N	f	
27620	f3d44837-39e7-464b-b367-a3c6897a1303	Hilliard, Ohio	Hilliard, Ohio	3	0	2013-09-08 08:59:09.521915+02	\N	\N	\N	\N	\N	\N	f	
25153	0cb693f2-09b6-48bd-9d55-0516fa1fe2f4	Buckhorn, Kentucky	Buckhorn, Kentucky	3	0	2013-09-07 10:25:00.048256+02	\N	\N	\N	\N	\N	\N	f	
25682	428b6301-8c5e-41d0-b1ed-b08897e77910	Thurman	Thurman	3	0	2013-09-07 13:30:52.287552+02	\N	\N	\N	\N	\N	\N	f	
26140	beabaabf-80a0-4ae7-90c0-47cf4b3ab40a	Mutitjulu	Mutitjulu	3	0	2013-09-07 20:25:40.925917+02	\N	\N	\N	\N	\N	\N	f	
27928	6299a3f8-516c-4cfb-b904-a69a02884ffd	Stanton, Iowa	Stanton, Iowa	3	0	2013-09-08 11:39:08.040927+02	\N	\N	\N	\N	\N	\N	f	
26197	d97a9d47-9c93-4da2-9674-83e837086a1b	Douglass	Douglass	3	0	2013-09-07 20:42:47.141869+02	\N	\N	\N	\N	\N	\N	f	
26456	2e0ce5c4-8550-47b2-b303-23fc57438770	Oakville, Iowa	Oakville, Iowa	3	0	2013-09-08 00:39:31.480332+02	\N	\N	\N	\N	\N	\N	f	
1763	00d833b8-b243-4759-b303-034e9de7106d	Şəki	Şəki	3	0	2013-10-13 03:31:59.693397+02	\N	\N	\N	\N	\N	\N	f	
26785	8b365879-4be1-48b8-87ec-ac0a1f9309af	Maysville	Maysville	3	0	2013-09-08 02:53:17.930847+02	\N	\N	\N	\N	\N	\N	f	
28198	715d0eab-1182-424e-8c9d-d5655b70d8c5	Solvychegodsk	Solvychegodsk	3	0	2013-09-08 14:48:03.52986+02	\N	\N	\N	\N	\N	\N	f	
26807	023f8f48-6574-48b4-ac94-e91cf89dbef9	King City	King City	3	0	2013-09-08 02:59:15.959572+02	\N	\N	\N	\N	\N	\N	f	
28858	633f26c6-9ff6-4d35-97e0-b1382b9726fe	Wellman	Wellman	3	0	2013-09-09 00:18:01.718789+02	\N	\N	\N	\N	\N	\N	f	
28396	dbe0d874-7a36-4929-9c8e-f8a97daba3e1	Guthrie	Guthrie	3	0	2013-09-08 17:10:44.766446+02	\N	\N	\N	\N	\N	\N	f	
29521	5fb7a28e-47cc-4319-9111-a251798b1ada	Lydney	Lydney	3	0	2013-09-29 08:32:45.447194+02	\N	\N	\N	\N	\N	\N	f	
28620	7c88a65a-8ebe-4cb5-8eb6-971c89049681	Richland Hills	Richland Hills	3	0	2013-09-08 21:05:00.453389+02	\N	\N	\N	\N	\N	\N	f	
29112	75cf3e3c-ffad-4415-b6f0-42563351c95b	Kalama	Kalama	3	0	2013-09-09 02:27:59.224164+02	\N	\N	\N	\N	\N	\N	f	
28649	8b0252f9-aba0-46f7-82f8-d4fb70f39a29	Driscoll	Driscoll	3	0	2013-09-08 21:13:11.891584+02	\N	\N	\N	\N	\N	\N	f	
29287	064720ce-996a-450f-952c-a34255ab2ccb	Lewisburg, West Virginia	Lewisburg, West Virginia	3	0	2013-09-09 04:33:21.621208+02	\N	\N	\N	\N	\N	\N	f	
29522	e4c43b7a-2f64-4362-bab5-687faa56b71d	Yeovil	Yeovil	3	0	2013-09-29 08:33:07.030723+02	\N	\N	\N	\N	\N	\N	f	
29297	a0309e23-f50e-44dd-8bb6-f78fc1944062	Franklin, Milwaukee County, Wisconsin	Franklin, Milwaukee County, Wisconsin	3	0	2013-09-09 05:20:13.563425+02	\N	\N	\N	\N	\N	\N	f	
29387	7b8718ee-3eef-486f-a242-6bfa149cd7e8	Pittsville	Pittsville	3	0	2013-09-09 08:32:57.601376+02	\N	\N	\N	\N	\N	\N	f	
29630	41289827-3bd4-49e5-9167-a968cf38f43d	Freetown	Freetown	3	0	2013-10-11 14:27:13.038402+02	\N	\N	\N	\N	\N	\N	f	
29631	9cb34398-63c4-453e-91eb-0d52b36d62f7	Accra	Accra	3	0	2013-10-11 14:27:31.039298+02	\N	\N	\N	\N	\N	\N	f	
13669	ed1e47a1-8a0d-4272-a34b-4cee52e6ad93	Pianello Val Tidone	Pianello Val Tidone	4	0	2013-07-21 18:46:36.858512+02	\N	\N	\N	\N	\N	\N	f	
13670	846e4577-90b8-4a2c-ac18-ab85ea657575	Sauze d'Oulx	Sauze d'Oulx	4	0	2013-07-21 18:46:48.397496+02	\N	\N	\N	\N	\N	\N	f	
13671	98a015c9-eb6f-4eff-b7ee-9d89ee2994e2	Serravalle Pistoiese	Serravalle Pistoiese	4	0	2013-07-21 18:47:00.182727+02	\N	\N	\N	\N	\N	\N	f	
14303	b8257ffb-515d-4145-b304-59032b95b4eb	Rio nell'Elba	Rio nell'Elba	4	0	2013-07-21 21:08:07.087167+02	\N	\N	\N	\N	\N	\N	f	
13672	58e9572d-75d0-4a0f-999b-b44acd28c687	San Pietro in Cerro	San Pietro in Cerro	4	0	2013-07-21 18:47:11.808603+02	\N	\N	\N	\N	\N	\N	f	
13673	f1476a03-18a6-493d-bb39-f75dba50f85d	San Marcello Pistoiese	San Marcello Pistoiese	4	0	2013-07-21 18:47:23.435697+02	\N	\N	\N	\N	\N	\N	f	
13674	b259e649-b684-4419-95ab-b9710efc078d	Nibbiano	Nibbiano	4	0	2013-07-21 18:47:34.999392+02	\N	\N	\N	\N	\N	\N	f	
14427	ab2b7d80-cf73-46d7-b51d-b0626a06bbc7	Momperone	Momperone	4	0	2013-07-21 21:35:32.656289+02	\N	\N	\N	\N	\N	\N	f	
13675	bb7b1f0b-a793-44ca-9492-e196d7d27aed	Rivergaro	Rivergaro	4	0	2013-07-21 18:47:47.006323+02	\N	\N	\N	\N	\N	\N	f	
13677	982b9b39-86ce-4fe3-9b98-c99ecfd9bbc8	Sangano	Sangano	4	0	2013-07-21 18:48:10.686677+02	\N	\N	\N	\N	\N	\N	f	
16163	fcf6717b-ca83-48e0-a70d-974fdd4dc642	Calice Ligure	Calice Ligure	4	0	2013-07-22 03:00:36.548552+02	\N	\N	\N	\N	\N	\N	f	
13678	6211d52e-fd47-403a-8389-194e3eeb27fb	San Martino Canavese	San Martino Canavese	4	0	2013-07-21 18:48:22.406104+02	\N	\N	\N	\N	\N	\N	f	
14877	7333e57f-80d3-4aa9-9cd9-abfd9f5b1658	Castelnuovo di Ceva	Castelnuovo di Ceva	4	0	2013-07-21 23:17:26.367395+02	\N	\N	\N	\N	\N	\N	f	
13680	2345412b-e19a-48c4-b4ef-e2e4cee37fb1	Torre Canavese	Torre Canavese	4	0	2013-07-21 18:48:59.962931+02	\N	\N	\N	\N	\N	\N	f	
13682	9617be5a-bc5e-40db-89a5-4efeb25c9a72	Bientina	Bientina	4	0	2013-07-21 18:49:24.032232+02	\N	\N	\N	\N	\N	\N	f	
13684	d0e93667-c9c6-4524-a06d-ba53cd77117b	Buti	Buti	4	0	2013-07-21 18:49:47.335198+02	\N	\N	\N	\N	\N	\N	f	
14894	a02bfcc9-d6f7-4c13-ae79-02dc749ca1ef	Corneliano d'Alba	Corneliano d'Alba	4	0	2013-07-21 23:21:41.646486+02	\N	\N	\N	\N	\N	\N	f	
13685	c5a9e2c8-167a-4e0a-bc6c-1b67886d69ab	Calci	Calci	4	0	2013-07-21 18:49:58.878808+02	\N	\N	\N	\N	\N	\N	f	
13686	df0a4bb8-21d3-40be-9a5b-ac6a77f2a537	Ziano Piacentino	Ziano Piacentino	4	0	2013-07-21 18:50:10.649777+02	\N	\N	\N	\N	\N	\N	f	
13687	e731a40c-c0f3-4c92-80c2-4e5d3410ad83	Trana	Trana	4	0	2013-07-21 18:50:22.580424+02	\N	\N	\N	\N	\N	\N	f	
14898	c68086b5-959e-440e-9e37-3b7c99b3b5ad	Gaiola	Gaiola	4	0	2013-07-21 23:22:43.547156+02	\N	\N	\N	\N	\N	\N	f	
13688	f79e7b2e-6375-484e-be9e-d1cc8bb0b84f	Fauglia	Fauglia	4	0	2013-07-21 18:50:34.575804+02	\N	\N	\N	\N	\N	\N	f	
13689	702e9699-177c-40d5-945d-549a3e9fd58b	Casale Marittimo	Casale Marittimo	4	0	2013-07-21 18:50:47.686611+02	\N	\N	\N	\N	\N	\N	f	
13690	fa05b467-0ad3-489d-af32-3f0a3dd0f43a	Lari, Tuscany	Lari, Tuscany	4	0	2013-07-21 18:50:59.776977+02	\N	\N	\N	\N	\N	\N	f	
26792	0b5e7a6d-3807-4d4a-a529-d87c084eb430	Elsberry	Elsberry	3	0	2013-09-08 02:55:02.927574+02	\N	\N	\N	\N	\N	\N	f	
13691	b7ffae74-3822-4b0e-94bb-615f6cd206ee	Settimo Rottaro	Settimo Rottaro	4	0	2013-07-21 18:51:13.058048+02	\N	\N	\N	\N	\N	\N	f	
16267	0b7002b5-bae5-4170-a413-5d31cabcfbfe	Montorio nei Frentani	Montorio nei Frentani	4	0	2013-07-22 03:12:59.025691+02	\N	\N	\N	\N	\N	\N	f	
13702	6c746026-ebc1-4a31-a8a2-a23f4382abf4	Settimo Torinese	Settimo Torinese	4	0	2013-07-21 18:53:38.712316+02	\N	\N	\N	\N	\N	\N	f	
16425	d4263e04-930e-4b35-8110-340e70e79db7	Castiadas	Castiadas	4	0	2013-07-22 03:31:53.602172+02	\N	\N	\N	\N	\N	\N	f	
19069	03e29d43-09b9-4730-8fa1-014fbe94cba8	Sant'Andrea Apostolo dello Ionio	Sant'Andrea Apostolo dello Ionio	4	0	2013-07-22 09:48:42.470856+02	\N	\N	\N	\N	\N	\N	f	
25182	40dda350-ceb1-431c-b427-805155d66240	Hudson	Hudson	3	0	2013-09-07 10:32:57.613941+02	\N	\N	\N	\N	\N	\N	f	
18137	5e9ff3b8-d2e4-4e71-b113-41fdee272571	Martignana di Po	Martignana di Po	4	0	2013-07-22 07:51:51.193249+02	\N	\N	\N	\N	\N	\N	f	
16470	26727616-f9fc-4a21-bc34-f3f4fe0cbc3e	Villaputzu	Villaputzu	4	0	2013-07-22 03:37:25.680361+02	\N	\N	\N	\N	\N	\N	f	
16475	f1f3a588-facf-44bb-81c2-706a3eae9ed9	Sinnai	Sinnai	4	0	2013-07-22 03:38:03.608093+02	\N	\N	\N	\N	\N	\N	f	
16494	77e6248f-0ea4-4c78-a9df-9515005e130e	Folgaria	Folgaria	4	0	2013-07-22 03:40:24.529708+02	\N	\N	\N	\N	\N	\N	f	
18160	ac0ad4e8-9c06-4365-b74a-5c8b6de68a91	Rosate	Rosate	4	0	2013-07-22 07:54:33.123173+02	\N	\N	\N	\N	\N	\N	f	
16505	f571de02-3370-42b4-ab8e-c2861dbdbd6a	Fiera di Primiero	Fiera di Primiero	4	0	2013-07-22 03:41:37.500344+02	\N	\N	\N	\N	\N	\N	f	
16607	ff53caad-0964-4fee-bf4e-1adce04cb778	Aritzo	Aritzo	4	0	2013-07-22 03:54:21.401748+02	\N	\N	\N	\N	\N	\N	f	
20275	c0874f23-9825-417b-b1a1-673f6f2dbcc5	Marcedusa	Marcedusa	4	0	2013-07-22 20:41:11.903249+02	\N	\N	\N	\N	\N	\N	f	
16916	0c4c5c9e-d36c-4a49-a3ee-1013eb5837d5	Massanzago	Massanzago	4	0	2013-07-22 05:09:36.554985+02	\N	\N	\N	\N	\N	\N	f	
18191	193ba8d8-8180-4158-9aa0-34a045463870	Magnago	Magnago	4	0	2013-07-22 07:58:37.72135+02	\N	\N	\N	\N	\N	\N	f	
25683	6efd9789-1e48-478c-9f1c-8612b997768b	Tiffin	Tiffin	3	0	2013-09-07 13:31:14.726797+02	\N	\N	\N	\N	\N	\N	f	
26141	d7f9c265-56f7-4dee-9d37-3c6ec8ad1173	Newcastle Waters	Newcastle Waters	3	0	2013-09-07 20:25:54.251854+02	\N	\N	\N	\N	\N	\N	f	
18256	7b5f57d6-3d3c-49bf-96cc-2ce81e85a4a0	Gabbioneta-Binanuova	Gabbioneta-Binanuova	4	0	2013-07-22 08:06:01.843426+02	\N	\N	\N	\N	\N	\N	f	
18283	dcea7708-adb7-4db5-8664-09159aee9297	Martell	Martell	4	0	2013-07-22 08:09:19.63796+02	\N	\N	\N	\N	\N	\N	f	
26797	322bcbec-cbea-4c8e-a452-47b6c545b428	Burlington Junction	Burlington Junction	3	0	2013-09-08 02:56:22.279203+02	\N	\N	\N	\N	\N	\N	f	
18284	203c509b-5ed0-4a02-b074-7f95381ecda9	Casalmorano	Casalmorano	4	0	2013-07-22 08:09:33.447705+02	\N	\N	\N	\N	\N	\N	f	
19055	7215ce3c-f14b-46d2-be11-c034e1c333ca	Partanna	Partanna	4	0	2013-07-22 09:46:39.551619+02	\N	\N	\N	\N	\N	\N	f	
26457	e07d5902-93e9-4a65-8186-ae7f1de67846	Wilmore, Kansas	Wilmore, Kansas	3	0	2013-09-08 00:39:48.895874+02	\N	\N	\N	\N	\N	\N	f	
22074	effe097d-5914-4c76-9f34-7c9cf6cb8711	Bradgate	Bradgate	3	0	2013-08-07 14:39:52.147977+02	\N	\N	\N	\N	\N	\N	f	
24558	fe82d092-aee8-4e46-89f5-fb4a7f8007c8	Adrian, Georgia	Adrian, Georgia	3	0	2013-09-07 07:38:19.473575+02	\N	\N	\N	\N	\N	\N	f	
24642	1d454662-fd78-4118-bf1d-097398d11911	Marshall	Marshall	3	0	2013-09-07 07:59:50.574552+02	\N	\N	\N	\N	\N	\N	f	
25060	cefe19b4-5aff-4fab-999a-0815cc487d86	Monticello	Monticello	3	0	2013-09-07 09:52:51.206302+02	\N	\N	\N	\N	\N	\N	f	
26786	cdae3df8-a8a5-4e03-a6e9-64aa9deb6222	Maplewood	Maplewood	3	0	2013-09-08 02:53:32.999564+02	\N	\N	\N	\N	\N	\N	f	
26800	6cdb4881-838e-442d-8ace-75661f31c9e8	Lockwood	Lockwood	3	0	2013-09-08 02:57:06.111597+02	\N	\N	\N	\N	\N	\N	f	
27235	d659c680-7a7f-42e9-8781-1be13cac61d9	Imperial	Imperial	3	0	2013-09-08 06:05:52.109629+02	\N	\N	\N	\N	\N	\N	f	
26804	57ac0121-8df7-4b0f-9e46-26d955a1d236	Cross Timbers	Cross Timbers	3	0	2013-09-08 02:58:21.863722+02	\N	\N	\N	\N	\N	\N	f	
27255	1341b187-5d9e-457b-bb88-ede18d9cb993	Bunceton	Bunceton	3	0	2013-09-08 06:11:03.546535+02	\N	\N	\N	\N	\N	\N	f	
27251	e5060f96-1cfd-42df-9414-1b7021da74d2	Conception Junction	Conception Junction	3	0	2013-09-08 06:09:53.001128+02	\N	\N	\N	\N	\N	\N	f	
27568	561936e1-88a9-4588-a6ca-f06a246e010d	Coleharbor, North Dakota	Coleharbor, North Dakota	3	0	2013-09-08 08:43:18.129346+02	\N	\N	\N	\N	\N	\N	f	
27281	88444d88-5e24-49b0-b526-1afe61d8880b	Hurley	Hurley	3	0	2013-09-08 06:17:48.502884+02	\N	\N	\N	\N	\N	\N	f	
27666	e450f706-bd67-4de5-9481-ef2338b2460f	Wickliffe, Ohio	Wickliffe, Ohio	3	0	2013-09-08 09:13:56.184856+02	\N	\N	\N	\N	\N	\N	f	
27930	5bd25c4e-a962-4784-8213-70243b36c7a2	Buhl	Buhl	3	0	2013-09-08 11:40:00.580846+02	\N	\N	\N	\N	\N	\N	f	
27947	1fb6752a-eae6-4791-9a3e-2a01c96bbe4d	Fort Madison	Fort Madison	3	0	2013-09-08 11:44:19.48856+02	\N	\N	\N	\N	\N	\N	f	
28199	403f3bdc-7356-4e01-b893-3685c826b0f0	Staraya Kupavna	Staraya Kupavna	3	0	2013-09-08 14:48:17.808278+02	\N	\N	\N	\N	\N	\N	f	
28397	de02a680-62c9-4ddd-9c39-cdd309093a4a	Bryant, South Dakota	Bryant, South Dakota	3	0	2013-09-08 17:11:00.813954+02	\N	\N	\N	\N	\N	\N	f	
28631	efb08b05-4973-4af3-8f1e-b97119588859	Elsa	Elsa	3	0	2013-09-08 21:07:51.307082+02	\N	\N	\N	\N	\N	\N	f	
28856	41936f39-d1a7-49ed-b2b6-429a8137f463	Danbury	Danbury	3	0	2013-09-09 00:17:29.224307+02	\N	\N	\N	\N	\N	\N	f	
28890	69820ab5-44c7-435a-b7f3-47fb7dad404a	Grand Coulee	Grand Coulee	3	0	2013-09-09 01:11:21.007492+02	\N	\N	\N	\N	\N	\N	f	
13693	59b7ddd8-1a1a-4aed-96ee-f86623f2e81c	Strambino	Strambino	4	0	2013-07-21 18:51:37.580834+02	\N	\N	\N	\N	\N	\N	f	
13694	f133b88d-d238-4197-830a-10c3c66ca2c6	Strambinello	Strambinello	4	0	2013-07-21 18:51:49.387201+02	\N	\N	\N	\N	\N	\N	f	
14305	9295876a-c0f0-43a0-b131-c78ffba5f9da	Marciana Marina	Marciana Marina	4	0	2013-07-21 21:08:30.723347+02	\N	\N	\N	\N	\N	\N	f	
14372	c69490e6-5d41-4667-af9c-1fa690d0fa65	Basaluzzo	Basaluzzo	4	0	2013-07-21 21:23:24.12844+02	\N	\N	\N	\N	\N	\N	f	
14879	daeed148-2124-4a01-ae35-af77f410dd79	Casteldelfino	Casteldelfino	4	0	2013-07-21 23:17:57.557364+02	\N	\N	\N	\N	\N	\N	f	
16176	45b262c6-3e75-4421-9986-f20b9426aa85	Cengio	Cengio	4	0	2013-07-22 03:01:58.42675+02	\N	\N	\N	\N	\N	\N	f	
18138	a12ce0f9-47c7-4d28-9ea6-9a6710ed1cfc	Cassinetta di Lugagnano	Cassinetta di Lugagnano	4	0	2013-07-22 07:52:04.189197+02	\N	\N	\N	\N	\N	\N	f	
16194	522647bf-a709-4182-bc2b-432d30efb373	Altare	Altare	4	0	2013-07-22 03:04:10.018298+02	\N	\N	\N	\N	\N	\N	f	
27579	d2707ecd-43d4-4903-87b1-8e2322169c70	Pepper Pike	Pepper Pike	3	0	2013-09-08 08:46:37.961337+02	\N	\N	\N	\N	\N	\N	f	
16503	9993bf2e-3003-4334-9418-acf9578b38a4	Fai della Paganella	Fai della Paganella	4	0	2013-07-22 03:41:25.162484+02	\N	\N	\N	\N	\N	\N	f	
18248	2e80c008-e937-43aa-b497-75335eb7c9e6	Viganò	Viganò	4	0	2013-07-22 08:05:07.681159+02	\N	\N	\N	\N	\N	\N	f	
29298	5c1c9e90-2846-478a-9a10-c7543b8c6f22	Colby	Colby	3	0	2013-09-09 05:20:53.381209+02	\N	\N	\N	\N	\N	\N	f	
16919	3367f370-ce76-4b60-80f9-92180918697c	Anguillara Veneta	Anguillara Veneta	4	0	2013-07-22 05:10:32.80114+02	\N	\N	\N	\N	\N	\N	f	
20276	65ec31f4-4b87-4266-9e8b-ac63053e1032	Botricello	Botricello	4	0	2013-07-22 20:41:23.828165+02	\N	\N	\N	\N	\N	\N	f	
17060	f656f53f-b1d2-4acf-8bfd-e727dc29c00b	Pontboset	Pontboset	4	0	2013-07-22 05:38:08.622685+02	\N	\N	\N	\N	\N	\N	f	
27583	f4b0b148-e4a4-4309-8f6d-d2bc4b775352	Mayville, North Dakota	Mayville, North Dakota	3	0	2013-09-08 08:48:26.215083+02	\N	\N	\N	\N	\N	\N	f	
27932	1d829209-80d1-450a-ad5b-c6e77323cab3	Murray	Murray	3	0	2013-09-08 11:40:38.633278+02	\N	\N	\N	\N	\N	\N	f	
22078	08499cf1-ccb6-4ec4-ab70-c2b3e91d5a4c	Colfax	Colfax	3	0	2013-08-07 14:40:50.372132+02	\N	\N	\N	\N	\N	\N	f	
28201	a7ce432f-2ca4-4271-b6eb-71c4cb773c75	Trubchevsk	Trubchevsk	3	0	2013-09-08 14:48:56.979086+02	\N	\N	\N	\N	\N	\N	f	
24560	c3c3670c-234d-4295-8c05-53c3ae452432	Peru, Indiana	Peru, Indiana	3	0	2013-09-07 07:38:57.953244+02	\N	\N	\N	\N	\N	\N	f	
25063	9d7a9187-423f-4348-9655-c087487f7b17	Mechanicsville	Mechanicsville	3	0	2013-09-07 09:53:37.128915+02	\N	\N	\N	\N	\N	\N	f	
29390	dca4efe0-5009-4ad1-b696-daa141365ce7	Kiel	Kiel	3	0	2013-09-09 08:33:41.825828+02	\N	\N	\N	\N	\N	\N	f	
25117	e552b9ed-d532-4ad4-9de9-f7a662476ea5	Miles	Miles	3	0	2013-09-07 10:08:56.47053+02	\N	\N	\N	\N	\N	\N	f	
28236	213c6f1e-6066-4c28-ba71-5afe52c70ebd	Kommunar	Kommunar	3	0	2013-09-08 15:02:41.458615+02	\N	\N	\N	\N	\N	\N	f	
25189	78710484-7df3-4aa6-b028-6952be0e1717	Houghton	Houghton	3	0	2013-09-07 10:34:47.041668+02	\N	\N	\N	\N	\N	\N	f	
25684	6fae7b36-a6e7-4d34-b578-4390edcd3b6e	Leona, Kansas	Leona, Kansas	3	0	2013-09-07 13:31:36.650097+02	\N	\N	\N	\N	\N	\N	f	
26142	95db227f-ecd9-47cf-8293-5fcd4e00c743	Burnett Heads, Queensland	Burnett Heads, Queensland	3	0	2013-09-07 20:26:12.335939+02	\N	\N	\N	\N	\N	\N	f	
26458	ec9d7043-530a-46b2-8669-e6c84860592f	Libertyville, Iowa	Libertyville, Iowa	3	0	2013-09-08 00:40:05.800635+02	\N	\N	\N	\N	\N	\N	f	
28398	8c0a3ca0-d76f-4577-8a6f-9e0300a3b010	Oldham, South Dakota	Oldham, South Dakota	3	0	2013-09-08 17:11:15.409426+02	\N	\N	\N	\N	\N	\N	f	
26787	0a3bc57b-0a8c-447e-9b73-2c645808b716	Branson West	Branson West	3	0	2013-09-08 02:53:47.654853+02	\N	\N	\N	\N	\N	\N	f	
26788	18e6774d-dff7-4891-92e2-7674d3a1d8db	Greendale	Greendale	3	0	2013-09-08 02:54:02.791992+02	\N	\N	\N	\N	\N	\N	f	
26832	4e6abc50-bad3-4d99-a0f7-40c5b13d8754	New Cambria	New Cambria	3	0	2013-09-08 03:06:00.96485+02	\N	\N	\N	\N	\N	\N	f	
28638	1d6458df-6ef3-41b4-b1f2-28a7fc23c86a	Edgewood	Edgewood	3	0	2013-09-08 21:09:43.638874+02	\N	\N	\N	\N	\N	\N	f	
26835	5b396e4b-9817-47a2-8d23-b21743b2a7fc	Rockville	Rockville	3	0	2013-09-08 03:06:47.961332+02	\N	\N	\N	\N	\N	\N	f	
26876	3363a5a5-c47d-4f47-be20-589a9b541a84	Marshall	Marshall	3	0	2013-09-08 03:16:50.829132+02	\N	\N	\N	\N	\N	\N	f	
29525	fbb9920c-73ea-49e6-9e55-6cba40502aa5	Margate	Margate	3	0	2013-09-29 08:34:28.607022+02	\N	\N	\N	\N	\N	\N	f	
27238	98f4976b-6ce1-4a13-ae5e-acf7fbc022f6	Green Park	Green Park	3	0	2013-09-08 06:06:37.86921+02	\N	\N	\N	\N	\N	\N	f	
28660	caa25285-ded7-4b56-a9a5-0ea394b35c24	Uhland	Uhland	3	0	2013-09-08 21:16:24.811733+02	\N	\N	\N	\N	\N	\N	f	
27569	53ddc1fa-3ca8-46b5-932b-e8019e2ca267	Calvin, North Dakota	Calvin, North Dakota	3	0	2013-09-08 08:43:33.693497+02	\N	\N	\N	\N	\N	\N	f	
28857	092689bd-ef1f-401e-88e3-2728cd616b7c	Sundown	Sundown	3	0	2013-09-09 00:17:45.38372+02	\N	\N	\N	\N	\N	\N	f	
29117	91065e83-0310-460a-a6a4-5f00730d2e1a	Royal City	Royal City	3	0	2013-09-09 02:33:07.340954+02	\N	\N	\N	\N	\N	\N	f	
29121	c782b158-e9d8-4e0b-9a62-5547c8c026f1	Tenino	Tenino	3	0	2013-09-09 02:37:06.341756+02	\N	\N	\N	\N	\N	\N	f	
29130	d9ee110c-8fa4-4b61-9c1a-a6a35eaf57fd	Ingleside	Ingleside	3	0	2013-09-09 02:42:39.691811+02	\N	\N	\N	\N	\N	\N	f	
29526	c8aa0eee-88d3-49da-8103-edd35a79e3b1	Whitchurch, Shropshire	Whitchurch, Shropshire	3	0	2013-09-29 08:34:48.99306+02	\N	\N	\N	\N	\N	\N	f	
29134	8286ac34-f624-4572-92a5-84cbf7842328	Bruceville-Eddy	Bruceville-Eddy	3	0	2013-09-09 02:44:14.754271+02	\N	\N	\N	\N	\N	\N	f	
29288	e3eec48b-4b2f-413d-a60e-477feb663880	Vienna, West Virginia	Vienna, West Virginia	3	0	2013-09-09 04:33:37.829386+02	\N	\N	\N	\N	\N	\N	f	
29632	0f3d139d-3021-450e-a1ba-5ad320011030	Malabo	Malabo	3	0	2013-10-11 14:27:50.821154+02	\N	\N	\N	\N	\N	\N	f	
13697	b7cf479b-76a7-499c-a7b4-95a593c8aa2f	Montescudaio	Montescudaio	4	0	2013-07-21 18:52:32.360931+02	\N	\N	\N	\N	\N	\N	f	
14306	4a90915b-6bec-4456-ab93-e9cb7f8af427	Bassano Romano	Bassano Romano	4	0	2013-07-21 21:08:42.617156+02	\N	\N	\N	\N	\N	\N	f	
14378	c981a69a-fb09-4a3f-874d-12b193ecda7f	Camino	Camino	4	0	2013-07-21 21:24:33.942852+02	\N	\N	\N	\N	\N	\N	f	
14881	5c1a6ec0-7c9d-4f68-86f3-a6ff34b40ec6	Zignago	Zignago	4	0	2013-07-21 23:18:38.486871+02	\N	\N	\N	\N	\N	\N	f	
29149	ee35d47f-f6e2-4899-add9-aaa9fd279a97	Linden	Linden	3	0	2013-09-09 02:49:16.287361+02	\N	\N	\N	\N	\N	\N	f	
16169	5a4b9b1f-37f3-48c3-9661-962a3c256335	Cosseria	Cosseria	4	0	2013-07-22 03:01:13.576226+02	\N	\N	\N	\N	\N	\N	f	
18161	d3b2c85e-6b1a-4b1b-8779-a162752b51e2	Cingia de' Botti	Cingia de' Botti	4	0	2013-07-22 07:54:40.199305+02	\N	\N	\N	\N	\N	\N	f	
16239	77106aa0-0aab-4328-b871-de5aee9af766	Tovo San Giacomo	Tovo San Giacomo	4	0	2013-07-22 03:09:28.178381+02	\N	\N	\N	\N	\N	\N	f	
27933	5070b50f-448a-4144-acad-61a5c982bd0b	Paris	Paris	3	0	2013-09-08 11:40:53.813+02	\N	\N	\N	\N	\N	\N	f	
16389	79f398d6-80b4-4a38-a430-ed91dbfb9ac2	Scapoli	Scapoli	4	0	2013-07-22 03:27:47.667541+02	\N	\N	\N	\N	\N	\N	f	
18176	07d8990a-4446-43f4-ba36-77eefac27ba1	Cerro Maggiore	Cerro Maggiore	4	0	2013-07-22 07:56:50.743484+02	\N	\N	\N	\N	\N	\N	f	
16448	df88e60f-9416-41b8-b0c1-0b98fc86487d	San Vito	San Vito	4	0	2013-07-22 03:34:43.97215+02	\N	\N	\N	\N	\N	\N	f	
16493	0c87ba02-4c97-43eb-8542-7362beab13d5	Faedo	Faedo	4	0	2013-07-22 03:40:21.794353+02	\N	\N	\N	\N	\N	\N	f	
16572	f2e73b4a-d398-480b-8d2c-8e6401ac082d	Altivole	Altivole	4	0	2013-07-22 03:49:49.620972+02	\N	\N	\N	\N	\N	\N	f	
18268	81939a75-4ea0-45c4-b04d-b087938b6ca2	Tornata	Tornata	4	0	2013-07-22 08:07:22.378791+02	\N	\N	\N	\N	\N	\N	f	
16922	26a38fcb-dc18-4951-9d29-b171d022721b	Melara	Melara	4	0	2013-07-22 05:11:22.160646+02	\N	\N	\N	\N	\N	\N	f	
16964	16b33cac-4288-4359-ba53-ed4444486707	L'Aquila	L'Aquila	4	0	2013-07-22 05:21:42.13857+02	\N	\N	\N	\N	\N	\N	f	
20277	10ba8faa-e208-4aec-8e2e-1f57e92ea1ad	Isca sullo Ionio	Isca sullo Ionio	4	0	2013-07-22 20:41:38.09812+02	\N	\N	\N	\N	\N	\N	f	
27972	a3baba0d-4bb2-477f-a1ee-0ccd47153f63	Madisonville	Madisonville	3	0	2013-09-08 11:50:48.273678+02	\N	\N	\N	\N	\N	\N	f	
20280	45add8e4-f9a6-4a47-94e7-a248e83d7d84	Magisano	Magisano	4	0	2013-07-22 20:42:13.727698+02	\N	\N	\N	\N	\N	\N	f	
20309	1768fa31-16b2-44e8-8764-4c0ada3b944d	Altilia	Altilia	4	0	2013-07-22 20:48:17.001259+02	\N	\N	\N	\N	\N	\N	f	
27974	05748a56-d340-4023-97fa-c00e16837728	Emmetsburg	Emmetsburg	3	0	2013-09-08 11:51:19.017379+02	\N	\N	\N	\N	\N	\N	f	
22080	07d6d6a8-eeaf-4be1-bef2-1166335f49ae	Clarksville	Clarksville	3	0	2013-08-07 14:41:21.654776+02	\N	\N	\N	\N	\N	\N	f	
29200	5bea28dc-8f7d-499e-a265-eb6894062c32	Brownsboro	Brownsboro	3	0	2013-09-09 03:04:25.223574+02	\N	\N	\N	\N	\N	\N	f	
22081	6e2f80a6-b24f-43b0-a466-94cbb2cf691e	Bernard	Bernard	3	0	2013-08-07 14:41:34.74877+02	\N	\N	\N	\N	\N	\N	f	
28203	eda185d6-65bc-45e5-8638-43a5cad5f12a	Unecha	Unecha	3	0	2013-09-08 14:49:28.651731+02	\N	\N	\N	\N	\N	\N	f	
24563	28ce2565-8dfa-48b3-a32e-f28422a75e72	Amboy	Amboy	3	0	2013-09-07 07:40:07.533774+02	\N	\N	\N	\N	\N	\N	f	
25066	1c33eeb1-52b2-4464-bfde-2c0ebd9f4324	Mount Union	Mount Union	3	0	2013-09-07 09:54:24.466869+02	\N	\N	\N	\N	\N	\N	f	
25686	6facd54a-472d-4117-8095-85edef1c6b31	Calhoun, Kentucky	Calhoun, Kentucky	3	0	2013-09-07 13:32:26.05142+02	\N	\N	\N	\N	\N	\N	f	
28226	46072f61-d53e-414b-955a-1cf13aed5610	Greenwood, South Carolina	Greenwood, South Carolina	3	0	2013-09-08 14:59:03.070407+02	\N	\N	\N	\N	\N	\N	f	
26143	c8aeb7e0-57ea-4650-b0bc-daeda4f6ae6f	Pleasanton, Iowa	Pleasanton, Iowa	3	0	2013-09-07 20:26:32.802931+02	\N	\N	\N	\N	\N	\N	f	
26459	0b5b762d-eeef-416b-8585-b1d54c886094	Palm Coast, Florida	Palm Coast, Florida	3	0	2013-09-08 00:40:23.021608+02	\N	\N	\N	\N	\N	\N	f	
26474	9dabd7a7-24f9-4151-be17-b9ba880aa251	Malcom, Iowa	Malcom, Iowa	3	0	2013-09-08 00:44:13.577937+02	\N	\N	\N	\N	\N	\N	f	
28401	3fc25bd9-7eca-4b82-8cf1-5bd3f16fbe9a	Lobelville	Lobelville	3	0	2013-09-08 17:11:56.935366+02	\N	\N	\N	\N	\N	\N	f	
26789	a3724431-e6c8-41c5-a725-c08a830207ec	Oronogo	Oronogo	3	0	2013-09-08 02:54:17.446933+02	\N	\N	\N	\N	\N	\N	f	
26793	d8c423a0-ff1e-4c95-85ee-e5439e84151c	Willard	Willard	3	0	2013-09-08 02:55:17.532681+02	\N	\N	\N	\N	\N	\N	f	
29289	1536fd8f-58f9-4b80-afb7-5d5249b52d7b	Mount Hope, West Virginia	Mount Hope, West Virginia	3	0	2013-09-09 04:33:56.643805+02	\N	\N	\N	\N	\N	\N	f	
26816	ece16a56-599a-44ba-a442-3101a49d4a8c	Lake Lotawana	Lake Lotawana	3	0	2013-09-08 03:01:50.485948+02	\N	\N	\N	\N	\N	\N	f	
28423	91af0efb-ad5f-4f9d-bf1d-72807d2b0030	Johnson City	Johnson City	3	0	2013-09-08 17:20:03.447284+02	\N	\N	\N	\N	\N	\N	f	
27239	ed761ec5-d890-49f9-a9bc-7963c31d4d31	Hickman	Hickman	3	0	2013-09-08 06:06:53.724096+02	\N	\N	\N	\N	\N	\N	f	
27570	c0af6b0d-054e-4834-80ee-89ce64c2c974	Ayr, North Dakota	Ayr, North Dakota	3	0	2013-09-08 08:43:48.756876+02	\N	\N	\N	\N	\N	\N	f	
28467	70f1569e-1c45-4737-a3da-e2d8f570b650	Beasley	Beasley	3	0	2013-09-08 17:41:51.601369+02	\N	\N	\N	\N	\N	\N	f	
29299	d38c7923-2296-41fd-9006-0067d340b7b1	Cudahy	Cudahy	3	0	2013-09-09 05:21:09.44591+02	\N	\N	\N	\N	\N	\N	f	
28639	88c6451b-5236-43e1-8db9-85216217d137	Goree	Goree	3	0	2013-09-08 21:09:59.371972+02	\N	\N	\N	\N	\N	\N	f	
28860	89fe85dc-9161-451a-8709-50c0cdf5d2b9	Sabinal	Sabinal	3	0	2013-09-09 00:18:35.027612+02	\N	\N	\N	\N	\N	\N	f	
29120	1fd742b5-9ffc-455d-b653-9231fedabfc9	Soap Lake, Washington	Soap Lake, Washington	3	0	2013-09-09 02:36:25.885997+02	\N	\N	\N	\N	\N	\N	f	
29391	6dececde-9dd4-48b7-8558-d75a544814ee	Sirte	Sirte	3	0	2013-09-09 08:34:11.262763+02	\N	\N	\N	\N	\N	\N	f	
29527	b3041626-33d0-4890-879c-97a28205778d	Ashford, Surrey	Ashford, Surrey	3	0	2013-09-29 08:35:20.812676+02	\N	\N	\N	\N	\N	\N	f	
29633	91c01e7e-c0c5-463a-a8d3-1eba77e1fdff	Luanda	Luanda	3	0	2013-10-11 14:28:06.04214+02	\N	\N	\N	\N	\N	\N	f	
13698	2982d1b8-8eff-451c-8813-04c2e3ba1429	Tavagnasco	Tavagnasco	4	0	2013-07-21 18:52:45.551825+02	\N	\N	\N	\N	\N	\N	f	
13699	29dfc258-1eb1-41b5-b871-063df550fc57	Sciolze	Sciolze	4	0	2013-07-21 18:52:59.684078+02	\N	\N	\N	\N	\N	\N	f	
13700	67f3ef13-1b3b-48fc-97c7-b65d4d0611a4	Travo	Travo	4	0	2013-07-21 18:53:13.001347+02	\N	\N	\N	\N	\N	\N	f	
14308	1b00f1ed-91e8-424c-9714-4b1235026527	Bassano in Teverina	Bassano in Teverina	4	0	2013-07-21 21:09:05.923856+02	\N	\N	\N	\N	\N	\N	f	
14328	5f4f35b9-4fcf-48a3-8342-eaf4ecfad17e	Muggia	Muggia	4	0	2013-07-21 21:13:30.111065+02	\N	\N	\N	\N	\N	\N	f	
16167	4a3b3771-73cb-41f0-866b-af44ad227aac	Casanova Lerrone	Casanova Lerrone	4	0	2013-07-22 03:01:01.862914+02	\N	\N	\N	\N	\N	\N	f	
14362	5f491410-295a-482f-9256-d7c6006f3cd2	Bergamasco	Bergamasco	4	0	2013-07-21 21:21:17.217447+02	\N	\N	\N	\N	\N	\N	f	
14383	80e41679-fe2f-42ac-81ae-17a1ee03e18e	Gremiasco	Gremiasco	4	0	2013-07-21 21:25:46.715966+02	\N	\N	\N	\N	\N	\N	f	
14882	29a1d768-01d4-4512-9052-f18d5c556f6a	Cossano Belbo	Cossano Belbo	4	0	2013-07-21 23:18:54.675824+02	\N	\N	\N	\N	\N	\N	f	
18164	789be853-4724-433c-8016-2fd4b482d888	Malgrate	Malgrate	4	0	2013-07-22 07:55:25.610813+02	\N	\N	\N	\N	\N	\N	f	
16171	0b2cf539-320d-4e88-8d86-4faf5322dc5f	Mioglia	Mioglia	4	0	2013-07-22 03:01:27.707073+02	\N	\N	\N	\N	\N	\N	f	
26284	03766a1f-d966-4c95-91cf-9d2bd2ceccfd	Goodell, Iowa	Goodell, Iowa	3	0	2013-09-07 21:06:40.697671+02	\N	\N	\N	\N	\N	\N	f	
16224	83dd5b0e-bbc3-44cf-ac51-f28b699ea827	Vendone	Vendone	4	0	2013-07-22 03:07:48.949011+02	\N	\N	\N	\N	\N	\N	f	
18299	b203fb8c-9a1e-4fab-a650-69307183d729	Erve	Erve	4	0	2013-07-22 08:11:23.549434+02	\N	\N	\N	\N	\N	\N	f	
16246	e9ae8f18-40c5-4035-9389-2bc72ce9e437	Vezzi Portio	Vezzi Portio	4	0	2013-07-22 03:10:17.737533+02	\N	\N	\N	\N	\N	\N	f	
16255	4406466f-f3f6-47d6-8ee7-5542d0d8a20c	Gambatesa	Gambatesa	4	0	2013-07-22 03:11:39.577279+02	\N	\N	\N	\N	\N	\N	f	
20279	bdda262f-f45e-49f6-97e9-3d0802ec52e9	Gasperina	Gasperina	4	0	2013-07-22 20:42:01.850493+02	\N	\N	\N	\N	\N	\N	f	
16313	1e22d504-e424-46e7-a5fd-fa9092263b76	San Giuliano di Puglia	San Giuliano di Puglia	4	0	2013-07-22 03:18:48.336046+02	\N	\N	\N	\N	\N	\N	f	
18369	4fafd5bd-b34b-4c67-abb9-7100bbfaa6e3	Valmadrera	Valmadrera	4	0	2013-07-22 08:20:02.247095+02	\N	\N	\N	\N	\N	\N	f	
16347	c55076a3-156c-408d-a985-723e3500dd83	Pescopennataro	Pescopennataro	4	0	2013-07-22 03:22:33.918419+02	\N	\N	\N	\N	\N	\N	f	
16374	b260ecae-5752-4ff6-8ab5-c379c3eaf9cf	Pizzone, Molise	Pizzone, Molise	4	0	2013-07-22 03:25:30.342403+02	\N	\N	\N	\N	\N	\N	f	
28207	17c87bc4-1786-4361-9429-4685b7f93792	Khotkovo	Khotkovo	3	0	2013-09-08 14:50:38.48777+02	\N	\N	\N	\N	\N	\N	f	
16387	9de7535e-8fe6-4e6a-8f44-03fb463f9d0e	Sant'Agapito	Sant'Agapito	4	0	2013-07-22 03:27:32.205493+02	\N	\N	\N	\N	\N	\N	f	
26460	d3ca1070-dd27-4f88-968b-3812419c09a7	Lakeshire, Missouri	Lakeshire, Missouri	3	0	2013-09-08 00:40:36.960723+02	\N	\N	\N	\N	\N	\N	f	
16401	2ad52104-fa87-4606-906e-3df04cc8e635	Guasila	Guasila	4	0	2013-07-22 03:29:23.812447+02	\N	\N	\N	\N	\N	\N	f	
16404	5512a969-b4f7-40d6-bd00-2cb09e1b7a15	Ballao	Ballao	4	0	2013-07-22 03:29:47.072565+02	\N	\N	\N	\N	\N	\N	f	
26790	2f2c44d7-5669-4822-978d-7185277118ad	Scott City	Scott City	3	0	2013-09-08 02:54:33.350191+02	\N	\N	\N	\N	\N	\N	f	
16408	87ff35e4-7d47-4561-8fb1-66751b323569	Orroli	Orroli	4	0	2013-07-22 03:30:10.796939+02	\N	\N	\N	\N	\N	\N	f	
29780	af3cb5c8-cf3d-4fbf-8eec-ad63c6ee6fca	St Neots	St Neots	3	0	2013-10-15 05:22:12.947382+02	\N	\N	\N	\N	\N	\N	f	
16540	becec53a-c233-4fa1-8f4b-3e5c228593c2	Garniga Terme	Garniga Terme	4	0	2013-07-22 03:45:42.670581+02	\N	\N	\N	\N	\N	\N	f	
19140	33a99f82-c674-4864-8e7d-a3ade0226881	Misilmeri	Misilmeri	4	0	2013-07-22 09:57:21.098356+02	\N	\N	\N	\N	\N	\N	f	
16563	739200a4-0c5e-417c-9ff1-2983929fd30a	Imer	Imer	4	0	2013-07-22 03:48:48.536944+02	\N	\N	\N	\N	\N	\N	f	
26859	82f655b4-959d-4464-9daf-dc8043632277	Niangua	Niangua	3	0	2013-09-08 03:12:39.017039+02	\N	\N	\N	\N	\N	\N	f	
16923	e8162b02-7e42-4193-874a-137582131769	Vescovana	Vescovana	4	0	2013-07-22 05:11:35.105661+02	\N	\N	\N	\N	\N	\N	f	
28240	f4408e56-b169-450a-aefe-9f22bee03a0c	Denmark	Denmark	3	0	2013-09-08 15:05:17.165766+02	\N	\N	\N	\N	\N	\N	f	
27241	4dea0a9c-772c-463d-abe6-f8895be6d6bd	Higbee	Higbee	3	0	2013-09-08 06:07:23.412303+02	\N	\N	\N	\N	\N	\N	f	
22082	94e9817e-0bc0-4513-b8d4-cb4f2b3211cf	Andrew	Andrew	3	0	2013-08-07 14:41:47.995824+02	\N	\N	\N	\N	\N	\N	f	
22083	148c6b0a-36ee-48ba-a66c-7b5ed9716db1	Beaconsfield, Iowa	Beaconsfield, Iowa	3	0	2013-08-07 14:42:01.252158+02	\N	\N	\N	\N	\N	\N	f	
24565	02b0aa71-19f4-4b3f-8808-c9d64e958311	Aurora, Indiana	Aurora, Indiana	3	0	2013-09-07 07:40:38.519016+02	\N	\N	\N	\N	\N	\N	f	
27571	ecdf46f3-a1b7-4cd1-b287-601fb303b824	Hunter, North Dakota	Hunter, North Dakota	3	0	2013-09-08 08:44:03.477324+02	\N	\N	\N	\N	\N	\N	f	
25070	45a81e18-577a-4e80-b8c7-dd72a8dc63f8	Millville	Millville	3	0	2013-09-07 09:55:37.517675+02	\N	\N	\N	\N	\N	\N	f	
25087	afe77e18-a7c4-4c92-bea1-8e91a513bfa1	Maysville	Maysville	3	0	2013-09-07 10:01:06.028448+02	\N	\N	\N	\N	\N	\N	f	
28888	8aae8016-eac4-4a71-b938-7005c083bd82	Granite Falls	Granite Falls	3	0	2013-09-09 01:10:53.637916+02	\N	\N	\N	\N	\N	\N	f	
25144	f03dcd6b-a9d9-414e-8ba2-8fde567dd382	Spearville, Kansas	Spearville, Kansas	3	0	2013-09-07 10:22:47.922624+02	\N	\N	\N	\N	\N	\N	f	
27610	0fd6dc4f-7a72-426e-8d26-2ec641703640	Calio, North Dakota	Calio, North Dakota	3	0	2013-09-08 08:56:36.079888+02	\N	\N	\N	\N	\N	\N	f	
25687	74391bcd-53f1-45ae-872d-5ede5acbd362	Munfordville, Kentucky	Munfordville, Kentucky	3	0	2013-09-07 13:32:42.017669+02	\N	\N	\N	\N	\N	\N	f	
26144	79f2d54e-b3fc-4ba4-9e55-22f5718f8a73	Powersville, Missouri	Powersville, Missouri	3	0	2013-09-07 20:27:00.922308+02	\N	\N	\N	\N	\N	\N	f	
28402	e735ff82-a8f2-408f-bffc-30584eaf5acd	Central City, South Dakota	Central City, South Dakota	3	0	2013-09-08 17:12:10.606097+02	\N	\N	\N	\N	\N	\N	f	
27934	c33aa057-3b85-4687-b4fe-6419505a927b	Orofino	Orofino	3	0	2013-09-08 11:41:07.629945+02	\N	\N	\N	\N	\N	\N	f	
27936	dfb0fb2d-10d0-4706-b676-5468e9ec27ae	New Castle	New Castle	3	0	2013-09-08 11:41:34.995705+02	\N	\N	\N	\N	\N	\N	f	
27962	91813bc2-b25c-4e77-a474-a3f3f2187291	Greenwood	Greenwood	3	0	2013-09-08 11:48:20.67366+02	\N	\N	\N	\N	\N	\N	f	
28641	7e9e2217-b42e-497f-8a7c-164fbe8371b8	Smiley	Smiley	3	0	2013-09-08 21:10:39.605208+02	\N	\N	\N	\N	\N	\N	f	
29166	6e1e5caf-53fe-4a70-bd17-2c078771e007	Plainview	Plainview	3	0	2013-09-09 02:54:20.963146+02	\N	\N	\N	\N	\N	\N	f	
28865	9cb3362c-ad4e-4a82-8c30-3c2e395e34cc	Cedar Park	Cedar Park	3	0	2013-09-09 00:20:04.176662+02	\N	\N	\N	\N	\N	\N	f	
28912	2960bdbf-e2c1-4900-8076-7379d18946cd	Trenton	Trenton	3	0	2013-09-09 01:26:47.258041+02	\N	\N	\N	\N	\N	\N	f	
28874	e0a7ea3a-8f41-46d4-8fd9-05b93fdc6f54	Castle Rock	Castle Rock	3	0	2013-09-09 01:06:01.770087+02	\N	\N	\N	\N	\N	\N	f	
29153	502a6b47-d71b-4ea7-9a44-0597950374e5	Mineola	Mineola	3	0	2013-09-09 02:50:29.596737+02	\N	\N	\N	\N	\N	\N	f	
28875	9e27937c-dec2-4c38-b1fd-83e524f77bad	Cheney	Cheney	3	0	2013-09-09 01:06:39.76908+02	\N	\N	\N	\N	\N	\N	f	
29124	be50bfd4-fdad-43ca-8f94-fe204f6d7d10	Selah, Washington	Selah, Washington	3	0	2013-09-09 02:39:57.271345+02	\N	\N	\N	\N	\N	\N	f	
29140	6327244c-dedd-4812-a343-45323cc5d15a	Strawn	Strawn	3	0	2013-09-09 02:46:25.097922+02	\N	\N	\N	\N	\N	\N	f	
29300	9587399b-c61d-4cbd-855e-c652b09b7651	Eagle River	Eagle River	3	0	2013-09-09 05:21:23.204259+02	\N	\N	\N	\N	\N	\N	f	
29159	618ab209-b8bb-4d6d-978e-9c0d4f85dae3	Nixon	Nixon	3	0	2013-09-09 02:52:17.315704+02	\N	\N	\N	\N	\N	\N	f	
29290	65813c7e-f1ee-4061-95ce-a282973d6d26	Barron, Wisconsin	Barron, Wisconsin	3	0	2013-09-09 04:35:10.574083+02	\N	\N	\N	\N	\N	\N	f	
29392	84272531-5ecb-4de4-86cf-db824ddb02e7	Pewaukee, Wisconsin	Pewaukee, Wisconsin	3	0	2013-09-09 08:35:55.990406+02	\N	\N	\N	\N	\N	\N	f	
29398	340beb22-1071-4dbf-b8cb-3d55be8436b0	Sheboygan Falls, Wisconsin	Sheboygan Falls, Wisconsin	3	0	2013-09-09 08:40:41.20806+02	\N	\N	\N	\N	\N	\N	f	
29528	48753f96-d08f-4696-b90f-1880e5a74b96	Morpeth	Morpeth	3	0	2013-09-29 08:35:39.553327+02	\N	\N	\N	\N	\N	\N	f	
29634	fc88617d-a654-45c6-9eab-fec443b3b30d	Cabinda	Cabinda	3	0	2013-10-11 14:28:43.418118+02	\N	\N	\N	\N	\N	\N	f	
29679	b898b755-09e3-42b2-9596-701eddb02e7f	Alcoutim	Alcoutim	3	0	2013-10-14 23:19:44.82338+02	\N	\N	\N	\N	\N	\N	f	
29680	e8115601-0e58-4953-90a2-366a235f2780	Constância Municipality	Constância Municipality	3	0	2013-10-14 23:20:11.924618+02	\N	\N	\N	\N	\N	\N	f	
29688	5ebb6cf1-a95d-4855-b116-240580e87f30	Penacova	Penacova	3	0	2013-10-14 23:22:53.88594+02	\N	\N	\N	\N	\N	\N	f	
29681	60ad8091-66a4-4683-ae74-c6041e4fc80c	Chamusca Municipality	Chamusca Municipality	3	0	2013-10-14 23:20:35.299527+02	\N	\N	\N	\N	\N	\N	f	
29682	e26ae6bf-2105-4c42-84f5-2fec427b1d46	Saco	Saco	3	0	2013-10-14 23:20:55.43364+02	\N	\N	\N	\N	\N	\N	f	
29693	a6132d02-a265-4631-b9e8-1af9358f319f	Mourão Municipality	Mourão Municipality	3	0	2013-10-14 23:24:06.342963+02	\N	\N	\N	\N	\N	\N	f	
29683	211e2855-b94b-47ad-a67d-64fb11ce968f	Sernancelhe Municipality	Sernancelhe Municipality	3	0	2013-10-14 23:21:11.633442+02	\N	\N	\N	\N	\N	\N	f	
29689	12a9ff71-d596-4ae7-9ada-67b0814f9fbc	Sesimbra Municipality	Sesimbra Municipality	3	0	2013-10-14 23:23:09.837287+02	\N	\N	\N	\N	\N	\N	f	
29684	2a0a021e-fbac-4f9b-ad54-7b38a3fe8757	Springhill, Nova Scotia	Springhill, Nova Scotia	3	0	2013-10-14 23:21:34.412857+02	\N	\N	\N	\N	\N	\N	f	
29685	3c0f92cb-4490-412c-9021-8092cd2d1a2c	Coruche	Coruche	3	0	2013-10-14 23:21:50.24674+02	\N	\N	\N	\N	\N	\N	f	
29686	09a354ad-8496-4f03-9eac-c4ad0ddd9c1c	Mira	Mira	3	0	2013-10-14 23:22:18.073005+02	\N	\N	\N	\N	\N	\N	f	
29700	42c1ef39-bc6e-4bd9-b0ed-ef9be4ec9444	Qualicum Beach	Qualicum Beach	3	0	2013-10-14 23:25:57.039773+02	\N	\N	\N	\N	\N	\N	f	
29687	2225207c-f80c-4be7-9005-3cb7128b33b1	Sabrosa	Sabrosa	3	0	2013-10-14 23:22:37.998457+02	\N	\N	\N	\N	\N	\N	f	
29690	2cb4119f-9d39-491a-a8c7-420237ed69db	Daysland	Daysland	3	0	2013-10-14 23:23:23.285501+02	\N	\N	\N	\N	\N	\N	f	
29694	6f2a7fc9-1da2-4357-a095-9e790c6683f8	Greater Napanee	Greater Napanee	3	0	2013-10-14 23:24:20.517892+02	\N	\N	\N	\N	\N	\N	f	
29691	22ebf96d-b877-4f4b-a736-d559e1840406	Vila Pouca de Aguiar Municipality	Vila Pouca de Aguiar Municipality	3	0	2013-10-14 23:23:36.751324+02	\N	\N	\N	\N	\N	\N	f	
29692	a6384500-0de2-47e0-8476-075ebbb41ae5	Sexsmith	Sexsmith	3	0	2013-10-14 23:23:52.665678+02	\N	\N	\N	\N	\N	\N	f	
29697	54e2bdaf-bd26-4d18-ab5e-364de934307e	Killam	Killam	3	0	2013-10-14 23:25:03.932144+02	\N	\N	\N	\N	\N	\N	f	
29695	37bc8d99-2371-4bef-9043-5b8e9385c6f2	Mesão Frio	Mesão Frio	3	0	2013-10-14 23:24:33.861029+02	\N	\N	\N	\N	\N	\N	f	
29699	d90ac796-ec00-4449-a058-a58e3868b3c7	São João da Pesqueira Municipality	São João da Pesqueira Municipality	3	0	2013-10-14 23:25:43.985157+02	\N	\N	\N	\N	\N	\N	f	
29696	95ee2d99-13db-4338-bf5c-3a1a1da5d18e	Santa Marta de Penaguião	Santa Marta de Penaguião	3	0	2013-10-14 23:24:50.556629+02	\N	\N	\N	\N	\N	\N	f	
29698	f0d2d77e-466a-45d2-b240-14679936ce9b	Westlock	Westlock	3	0	2013-10-14 23:25:17.181423+02	\N	\N	\N	\N	\N	\N	f	
29701	d58ecdd1-fed8-4bc4-8d4d-c34f2d42203f	Tabuaço	Tabuaço	3	0	2013-10-14 23:26:10.280732+02	\N	\N	\N	\N	\N	\N	f	
29702	ddc567a0-ecae-4133-855c-969932bd38b9	Castanheira de Pera	Castanheira de Pera	3	0	2013-10-14 23:26:36.567036+02	\N	\N	\N	\N	\N	\N	f	
29703	3d2fd031-cc25-4ad0-acd8-236dded133ce	Vouzela	Vouzela	3	0	2013-10-14 23:26:52.835142+02	\N	\N	\N	\N	\N	\N	f	
29704	356c814f-80ef-4941-8803-00140233d638	Porto de Mós	Porto de Mós	3	0	2013-10-14 23:27:06.058444+02	\N	\N	\N	\N	\N	\N	f	
29705	b992e366-cb74-4ade-8e5e-c096afb636df	Vila Viçosa	Vila Viçosa	3	0	2013-10-14 23:27:19.162024+02	\N	\N	\N	\N	\N	\N	f	
29706	38294f27-fdc3-45fb-a8bd-d3fa8a526688	Mação Municipality	Mação Municipality	3	0	2013-10-14 23:27:32.484659+02	\N	\N	\N	\N	\N	\N	f	
29707	dfe2f53c-ae91-4ee6-983d-ed4b64e8295e	Golegã Municipality	Golegã Municipality	3	0	2013-10-14 23:27:48.991211+02	\N	\N	\N	\N	\N	\N	f	
29708	2ab4bca1-0e52-4522-bd75-6e54b6f0cd92	Carnaxide	Carnaxide	3	0	2013-10-14 23:28:04.688591+02	\N	\N	\N	\N	\N	\N	f	
29709	ba44bc48-51f0-467a-989a-216e807f92a6	Redcliff	Redcliff	3	0	2013-10-14 23:28:20.221662+02	\N	\N	\N	\N	\N	\N	f	
29710	e2f840a0-917c-4514-93c3-b94273cd9818	Drayton Valley	Drayton Valley	3	0	2013-10-14 23:28:54.359958+02	\N	\N	\N	\N	\N	\N	f	
29733	ccc2db0b-410e-4768-ba4d-374c3e544a6d	Digby, Nova Scotia	Digby, Nova Scotia	3	0	2013-10-14 23:35:57.798951+02	\N	\N	\N	\N	\N	\N	f	
29741	1e6310ab-4802-4465-b6b3-f157b400a2c7	Churchbridge	Churchbridge	3	0	2013-10-14 23:39:01.273115+02	\N	\N	\N	\N	\N	\N	f	
29711	f32cb7c1-f007-4450-9069-887bc467ed21	Red Lake	Red Lake	3	0	2013-10-14 23:29:07.627304+02	\N	\N	\N	\N	\N	\N	f	
29712	d59208f1-8d23-4594-b9e3-c7a3aba8b83d	Golden, British Columbia	Golden, British Columbia	3	0	2013-10-14 23:29:21.14159+02	\N	\N	\N	\N	\N	\N	f	
29713	5dab04d9-dbbb-465a-8f23-a01dafb43f8a	Escoural	Escoural	3	0	2013-10-14 23:29:38.690559+02	\N	\N	\N	\N	\N	\N	f	
29714	dfd21c7e-543d-488e-b1f3-602d8a16330c	Viana do Alentejo	Viana do Alentejo	3	0	2013-10-14 23:29:52.198245+02	\N	\N	\N	\N	\N	\N	f	
29715	19bd728c-52bb-4ef7-b68e-4f0eb8a8a4f8	Princeton, British Columbia	Princeton, British Columbia	3	0	2013-10-14 23:30:05.523577+02	\N	\N	\N	\N	\N	\N	f	
29716	56b05677-8700-413d-98c7-869950a9bd15	Strathmore	Strathmore	3	0	2013-10-14 23:30:18.583686+02	\N	\N	\N	\N	\N	\N	f	
29717	5ad90620-107f-496d-a938-c0a24fcc3394	Salvaterra de Magos Municipality	Salvaterra de Magos Municipality	3	0	2013-10-14 23:31:13.665453+02	\N	\N	\N	\N	\N	\N	f	
29729	bbcc6470-a32f-43b5-9d50-e6722f923b5e	Gillam	Gillam	3	0	2013-10-14 23:34:40.914702+02	\N	\N	\N	\N	\N	\N	f	
29745	da92b761-1223-4156-8f3f-5c2b9aecebb2	Craik	Craik	3	0	2013-10-14 23:39:55.618144+02	\N	\N	\N	\N	\N	\N	f	
29761	68d3e86b-a101-4903-89bd-5eb95693164f	Petawawa	Petawawa	3	0	2013-10-14 23:44:29.153752+02	\N	\N	\N	\N	\N	\N	f	
29718	a48c94db-1251-4f68-986e-1dc65f30ebe7	Mondim da Beira	Mondim da Beira	3	0	2013-10-14 23:31:57.76952+02	\N	\N	\N	\N	\N	\N	f	
29728	fdbc3781-762c-4c01-8226-eaae6b076b82	Gilbert Plains	Gilbert Plains	3	0	2013-10-14 23:34:27.616605+02	\N	\N	\N	\N	\N	\N	f	
29719	6fdd4450-b150-4943-a77c-3b2fceb638ca	Carnduff	Carnduff	3	0	2013-10-14 23:32:11.548504+02	\N	\N	\N	\N	\N	\N	f	
29720	3c242351-6c6d-4d42-b84c-840a23f40685	Carlyle	Carlyle	3	0	2013-10-14 23:32:24.976641+02	\N	\N	\N	\N	\N	\N	f	
29721	e72d39b8-105e-4431-b0e0-0f58d257703c	Cochrane, Alberta	Cochrane, Alberta	3	0	2013-10-14 23:32:38.150265+02	\N	\N	\N	\N	\N	\N	f	
29722	424e134c-49bd-445d-812e-5df1bb0b8054	Lunenburg	Lunenburg	3	0	2013-10-14 23:32:54.453003+02	\N	\N	\N	\N	\N	\N	f	
29723	3531bce4-573c-4a17-9841-4dae36c6a9c1	Canora	Canora	3	0	2013-10-14 23:33:07.510191+02	\N	\N	\N	\N	\N	\N	f	
29724	ab11bdda-d534-4ce4-9444-d1d7c29bc087	Central Butte	Central Butte	3	0	2013-10-14 23:33:31.422442+02	\N	\N	\N	\N	\N	\N	f	
29725	817e8057-c2c8-4a13-ab3f-5243ea3eb77e	Choiceland	Choiceland	3	0	2013-10-14 23:33:45.886705+02	\N	\N	\N	\N	\N	\N	f	
29726	efb7f39e-aa80-4bb1-b7a5-1da5a73aace3	Carrot River	Carrot River	3	0	2013-10-14 23:33:59.526705+02	\N	\N	\N	\N	\N	\N	f	
29727	71cc61fb-9583-439f-8c3b-e5dbbdcd47e5	Winnipeg Beach	Winnipeg Beach	3	0	2013-10-14 23:34:13.547605+02	\N	\N	\N	\N	\N	\N	f	
29730	4d4e54e2-e63c-4104-99d7-79b8c075d85b	Creston, British Columbia	Creston, British Columbia	3	0	2013-10-14 23:34:54.450434+02	\N	\N	\N	\N	\N	\N	f	
29732	3fcae0e0-11fb-47cb-8438-80b38b717741	Gananoque	Gananoque	3	0	2013-10-14 23:35:41.225138+02	\N	\N	\N	\N	\N	\N	f	
29734	dd64756a-5326-4426-a803-f62fa7fd9f2b	Vegreville	Vegreville	3	0	2013-10-14 23:36:20.898514+02	\N	\N	\N	\N	\N	\N	f	
29735	828ccea0-a85e-414e-92f4-59e9e3b5bdf9	Vila Nova de Milfontes	Vila Nova de Milfontes	3	0	2013-10-14 23:36:45.019525+02	\N	\N	\N	\N	\N	\N	f	
29753	2b056bea-31a7-4f7d-90b0-41954d0790cd	Dundurn	Dundurn	3	0	2013-10-14 23:42:02.332099+02	\N	\N	\N	\N	\N	\N	f	
29767	6bcfe6a7-f529-4613-9baa-e634d0e481da	Eatonia	Eatonia	3	0	2013-10-14 23:46:15.63224+02	\N	\N	\N	\N	\N	\N	f	
29731	831c023e-177f-4174-aa64-8aecfc7368f2	Gibsons, British Columbia	Gibsons, British Columbia	3	0	2013-10-14 23:35:08.250996+02	\N	\N	\N	\N	\N	\N	f	
29736	374e6cd2-de12-46a7-9ac6-95132b286a2a	Marathon, Ontario	Marathon, Ontario	3	0	2013-10-14 23:37:19.229925+02	\N	\N	\N	\N	\N	\N	f	
29737	2d341855-3e0d-4257-8cfa-009816e3ac85	Entradas	Entradas	3	0	2013-10-14 23:37:49.494613+02	\N	\N	\N	\N	\N	\N	f	
29738	5d868e61-ae88-47a9-b2e2-0f3aeea40a39	Santa Bárbara de Padrões	Santa Bárbara de Padrões	3	0	2013-10-14 23:38:11.284005+02	\N	\N	\N	\N	\N	\N	f	
29759	9735e47b-c22c-409b-a0c7-682c608d59c8	Delisle	Delisle	3	0	2013-10-14 23:43:31.205144+02	\N	\N	\N	\N	\N	\N	f	
29762	09f45367-0d9f-484c-9095-b5b4fb06c60a	Fânzeres	Fânzeres	3	0	2013-10-14 23:44:42.449929+02	\N	\N	\N	\N	\N	\N	f	
29739	abe1f7f1-f520-4f28-86cc-08bc554d1ed5	Colonsay	Colonsay	3	0	2013-10-14 23:38:24.695883+02	\N	\N	\N	\N	\N	\N	f	
29740	463e53fa-3ef9-4784-8ae3-df6209bf55b7	Cupar	Cupar	3	0	2013-10-14 23:38:48.037537+02	\N	\N	\N	\N	\N	\N	f	
29742	849f8d81-b4ec-47df-8003-eb2bd9909eb7	Condeixa-a-Nova Municipality	Condeixa-a-Nova Municipality	3	0	2013-10-14 23:39:14.783186+02	\N	\N	\N	\N	\N	\N	f	
29756	28b8e5f4-1f20-4077-8712-4560c914e0c1	Duck Lake	Duck Lake	3	0	2013-10-14 23:42:46.215125+02	\N	\N	\N	\N	\N	\N	f	
29743	927f224f-6d55-433f-ab7a-d1e87883ecae	Cudworth	Cudworth	3	0	2013-10-14 23:39:28.126992+02	\N	\N	\N	\N	\N	\N	f	
29744	e0381725-6909-479b-bcf0-8c9156d5543d	Ste. Anne	Ste. Anne	3	0	2013-10-14 23:39:42.424834+02	\N	\N	\N	\N	\N	\N	f	
29746	9ee45200-491c-408e-b987-58d7f9c95603	Creighton	Creighton	3	0	2013-10-14 23:40:08.905861+02	\N	\N	\N	\N	\N	\N	f	
29747	9c18841d-4af8-4ed8-951b-5388c1c9ceba	Ste. Rose du Lac	Ste. Rose du Lac	3	0	2013-10-14 23:40:21.973877+02	\N	\N	\N	\N	\N	\N	f	
29748	8cd36a53-9816-46f9-b8b7-2409901882ba	Almonte, Ontario	Almonte, Ontario	3	0	2013-10-14 23:40:35.246089+02	\N	\N	\N	\N	\N	\N	f	
29764	c83f4a62-5336-4390-97fe-0daa8de55d22	Serzedo, Vila Nova de Gaia	Serzedo, Vila Nova de Gaia	3	0	2013-10-14 23:45:35.837889+02	\N	\N	\N	\N	\N	\N	f	
29749	a364e028-4f1a-45e6-b46a-d4fed5aac288	Rivers	Rivers	3	0	2013-10-14 23:40:48.656085+02	\N	\N	\N	\N	\N	\N	f	
29750	d06a9ec3-9997-445c-9ec3-b15ed4bef60f	Coronach	Coronach	3	0	2013-10-14 23:41:02.000835+02	\N	\N	\N	\N	\N	\N	f	
29751	74f0021c-fc05-41cd-aca1-365062784963	Melres	Melres	3	0	2013-10-14 23:41:31.78937+02	\N	\N	\N	\N	\N	\N	f	
29752	ee1d31f4-27d9-4144-80d0-ca1a6bd101c2	Dalmeny	Dalmeny	3	0	2013-10-14 23:41:44.847431+02	\N	\N	\N	\N	\N	\N	f	
29754	096306cf-aa37-4cee-9649-5b7b7ede2b3a	LaSalle	LaSalle	3	0	2013-10-14 23:42:15.825329+02	\N	\N	\N	\N	\N	\N	f	
29755	f50eee7b-a387-44da-9747-1cbb6f6d2f81	Eston	Eston	3	0	2013-10-14 23:42:29.385794+02	\N	\N	\N	\N	\N	\N	f	
29757	b8483f24-36a3-49c5-86bd-a3add6f67dbb	Cut Knife	Cut Knife	3	0	2013-10-14 23:43:03.252118+02	\N	\N	\N	\N	\N	\N	f	
29773	967d6011-092a-47ee-b16c-f7a1b839a431	Slave Lake	Slave Lake	3	0	2013-10-14 23:50:03.162005+02	\N	\N	\N	\N	\N	\N	f	
29758	71e26d74-09a0-4b98-96a4-3cdfb64f49b3	Davidson	Davidson	3	0	2013-10-14 23:43:17.477312+02	\N	\N	\N	\N	\N	\N	f	
29787	88995c71-cc29-49e4-8f6f-e4e2c5901b7f	Stony Plain	Stony Plain	3	0	2013-10-15 05:33:07.207588+02	\N	\N	\N	\N	\N	\N	f	
29760	b36ebe78-3903-4b30-b3d0-de9c6cf6a852	Frazão	Frazão	3	0	2013-10-14 23:44:16.129372+02	\N	\N	\N	\N	\N	\N	f	
29763	42033fa4-8664-4e4e-9825-a4ee26b1a14e	Stoney Creek	Stoney Creek	3	0	2013-10-14 23:44:58.056613+02	\N	\N	\N	\N	\N	\N	f	
29765	2dabf8ad-2b28-4bba-bb6d-7fc825600fa9	Eastend	Eastend	3	0	2013-10-14 23:45:49.098526+02	\N	\N	\N	\N	\N	\N	f	
29788	f0af721d-c5d5-4ac2-ae5d-25ed351d1374	Mora Municipality, Portugal	Mora Municipality, Portugal	3	0	2013-10-15 05:33:21.321863+02	\N	\N	\N	\N	\N	\N	f	
29766	3e0a2466-1756-45ab-a2b7-10d545f34ede	Pilot Mound	Pilot Mound	3	0	2013-10-14 23:46:02.408575+02	\N	\N	\N	\N	\N	\N	f	
29768	14dfdee0-4317-4fd9-96a9-181b517ff0c2	Elrose	Elrose	3	0	2013-10-14 23:46:28.901792+02	\N	\N	\N	\N	\N	\N	f	
29810	251fd0c7-3a82-44ee-9a11-dfa4de8d24f9	Nokomis	Nokomis	3	0	2013-10-15 05:40:33.299641+02	\N	\N	\N	\N	\N	\N	f	
29769	ff076637-ee92-47d6-afa2-26dd39b07e46	Grande Cache	Grande Cache	3	0	2013-10-14 23:47:01.695143+02	\N	\N	\N	\N	\N	\N	f	
29789	86cd41f1-a703-4edf-bdc3-2e5023756054	Vulcan	Vulcan	3	0	2013-10-15 05:33:35.214032+02	\N	\N	\N	\N	\N	\N	f	
29770	aeda35f9-6fbb-4c67-a876-44295a504a53	Hanover, Ontario	Hanover, Ontario	3	0	2013-10-14 23:48:12.235541+02	\N	\N	\N	\N	\N	\N	f	
29771	f23e0249-e1e4-4a9c-b010-540a37f73aff	Roblin	Roblin	3	0	2013-10-14 23:49:36.378182+02	\N	\N	\N	\N	\N	\N	f	
29802	af4a0876-af61-4ac2-81e5-48668861a96d	São Félix da Marinha	São Félix da Marinha	3	0	2013-10-15 05:37:09.059592+02	\N	\N	\N	\N	\N	\N	f	
29772	8bc9185e-c3af-4f56-9d5a-483d6678034d	Vila Nova de Cerveira Municipality	Vila Nova de Cerveira Municipality	3	0	2013-10-14 23:49:49.970526+02	\N	\N	\N	\N	\N	\N	f	
29790	a2e8b4b8-81d4-4e37-bbfc-cb7cf7ca6f01	Two Hills	Two Hills	3	0	2013-10-15 05:33:49.30179+02	\N	\N	\N	\N	\N	\N	f	
29774	a6733b27-d004-4974-8acb-0def80cd5d75	Valleyview	Valleyview	3	0	2013-10-14 23:50:36.025625+02	\N	\N	\N	\N	\N	\N	f	
29775	8e7bf35b-5034-4678-baf1-a132c6ca31d6	Rocky Mountain House	Rocky Mountain House	3	0	2013-10-14 23:50:53.140991+02	\N	\N	\N	\N	\N	\N	f	
29776	8a46c2dd-8bc0-4293-ab38-f84f3d8db82f	Fairview	Fairview	3	0	2013-10-14 23:51:23.272539+02	\N	\N	\N	\N	\N	\N	f	
29791	89451bc4-35a0-422b-a884-5eac450ef74a	Morinville	Morinville	3	0	2013-10-15 05:34:02.729524+02	\N	\N	\N	\N	\N	\N	f	
29777	4012f998-b7d3-498d-9295-47117f1e427d	Santo Isidoro	Santo Isidoro	3	0	2013-10-14 23:51:56.025718+02	\N	\N	\N	\N	\N	\N	f	
29778	9a506214-e97b-471b-a998-2ddb57475c32	Sedgewick	Sedgewick	3	0	2013-10-14 23:52:15.797159+02	\N	\N	\N	\N	\N	\N	f	
29779	e3629e79-e7f7-48cb-aa0d-a641a7adef75	South Portland	South Portland	3	0	2013-10-15 05:19:43.01348+02	\N	\N	\N	\N	\N	\N	f	
29792	846adbd2-424c-4bfd-8206-6be418ce3d35	Claresholm	Claresholm	3	0	2013-10-15 05:34:17.230003+02	\N	\N	\N	\N	\N	\N	f	
29781	4bb09ecf-651f-4b1a-976a-56336439c029	Godmanchester	Godmanchester	3	0	2013-10-15 05:28:43.347435+02	\N	\N	\N	\N	\N	\N	f	
29803	d93e07f5-b093-48ea-a837-2f5bc79d6fd6	Lanigan	Lanigan	3	0	2013-10-15 05:37:36.404601+02	\N	\N	\N	\N	\N	\N	f	
29782	54513aae-f348-4c68-8142-90297abca141	High Prairie	High Prairie	3	0	2013-10-15 05:31:16.420947+02	\N	\N	\N	\N	\N	\N	f	
29793	133ae745-c9f2-4575-aaee-4b7eb46203cc	Falher	Falher	3	0	2013-10-15 05:34:30.990668+02	\N	\N	\N	\N	\N	\N	f	
29783	5f5a66e1-7354-4581-8893-43abdb089876	Cardston	Cardston	3	0	2013-10-15 05:31:35.6009+02	\N	\N	\N	\N	\N	\N	f	
29784	9d3c2eba-c83f-4571-9802-e5fa6b9e893b	Didsbury	Didsbury	3	0	2013-10-15 05:31:49.690456+02	\N	\N	\N	\N	\N	\N	f	
29785	72ea1786-f69b-41df-b0bb-583fcae38479	Lamont	Lamont	3	0	2013-10-15 05:32:03.308501+02	\N	\N	\N	\N	\N	\N	f	
29794	7d9e0e40-fea2-4ebf-b628-0173dd305014	St. Paul	St. Paul	3	0	2013-10-15 05:34:44.488389+02	\N	\N	\N	\N	\N	\N	f	
29786	5131ecc2-84d2-4d7c-a6bc-cb7b6ca7fb7b	Three Hills	Three Hills	3	0	2013-10-15 05:32:16.908705+02	\N	\N	\N	\N	\N	\N	f	
29821	d30efb40-2149-453f-bc50-39d683a93e81	Bengough	Bengough	3	0	2013-10-15 05:43:48.945313+02	\N	\N	\N	\N	\N	\N	f	
29804	bff426e8-e1d1-44a5-bb51-f390ba16f9ba	Lever, Portugal	Lever, Portugal	3	0	2013-10-15 05:37:49.932159+02	\N	\N	\N	\N	\N	\N	f	
29795	9cb95f67-36f5-4faf-bd8c-22084207513b	Provost	Provost	3	0	2013-10-15 05:34:57.742415+02	\N	\N	\N	\N	\N	\N	f	
29796	a3907bf0-815f-46d3-8973-0ef92e5ad2f4	Smoky Lake	Smoky Lake	3	0	2013-10-15 05:35:11.158944+02	\N	\N	\N	\N	\N	\N	f	
29811	c7b4d092-ebff-4d79-a13e-79cc5fbcf68e	McLennan	McLennan	3	0	2013-10-15 05:40:55.175134+02	\N	\N	\N	\N	\N	\N	f	
29797	e68a5b6c-1eda-4d99-b7d5-b940b9a2be64	Spirit River	Spirit River	3	0	2013-10-15 05:35:30.343464+02	\N	\N	\N	\N	\N	\N	f	
29805	24a7c335-0b58-4a60-8616-3dab80f5a423	Langenburg	Langenburg	3	0	2013-10-15 05:38:02.92039+02	\N	\N	\N	\N	\N	\N	f	
29798	b56b34e0-cd20-493c-97db-d1083da1512b	Stettler	Stettler	3	0	2013-10-15 05:35:43.754849+02	\N	\N	\N	\N	\N	\N	f	
29799	36c14a42-68a6-4cfc-8cb6-14d67a1d1548	Pincher Creek	Pincher Creek	3	0	2013-10-15 05:35:57.072488+02	\N	\N	\N	\N	\N	\N	f	
29800	ffb0849f-f271-47ef-9706-d842bc2ec706	Nanton	Nanton	3	0	2013-10-15 05:36:10.77664+02	\N	\N	\N	\N	\N	\N	f	
29817	8e6c2009-ee56-4a41-8a86-40396600f634	Bienfait	Bienfait	3	0	2013-10-15 05:42:49.662089+02	\N	\N	\N	\N	\N	\N	f	
29801	4610f06e-a4ea-4916-85db-d8448ac9c0b3	Peace River	Peace River	3	0	2013-10-15 05:36:24.279078+02	\N	\N	\N	\N	\N	\N	f	
29806	a02943ec-8b9d-497e-b11f-dc10b1173af5	Lakeshore, Ontario	Lakeshore, Ontario	3	0	2013-10-15 05:38:17.005997+02	\N	\N	\N	\N	\N	\N	f	
29812	174200f1-251f-47cf-a300-fa4c6efaabd4	Sintra	Sintra	3	0	2013-10-15 05:41:21.089529+02	\N	\N	\N	\N	\N	\N	f	
29807	1c9d1af9-940a-40c1-a28a-9236f323ad2d	Bancroft, Ontario	Bancroft, Ontario	3	0	2013-10-15 05:38:53.650245+02	\N	\N	\N	\N	\N	\N	f	
29808	adafd91a-175f-48b5-84ad-68a7b60a9ac9	Mulgrave, Nova Scotia	Mulgrave, Nova Scotia	3	0	2013-10-15 05:39:48.000358+02	\N	\N	\N	\N	\N	\N	f	
29809	35a53c9c-d92a-4269-a187-8d46b98f45d1	Fort Qu'Appelle	Fort Qu'Appelle	3	0	2013-10-15 05:40:16.294625+02	\N	\N	\N	\N	\N	\N	f	
29813	05b77673-fd2d-42e9-a6b4-05adb8048c73	Mahone Bay	Mahone Bay	3	0	2013-10-15 05:41:37.179749+02	\N	\N	\N	\N	\N	\N	f	
29818	8b896e2b-f7c9-4b4d-8ee5-c4e2a564ae83	Marazion	Marazion	3	0	2013-10-15 05:43:06.151579+02	\N	\N	\N	\N	\N	\N	f	
29814	1b9c11c4-8b2f-4f3e-bd25-728d78049a2e	Balgonie	Balgonie	3	0	2013-10-15 05:41:50.897537+02	\N	\N	\N	\N	\N	\N	f	
29815	0563fd6f-dc7b-4b4a-bb3f-2dff0161cf55	Lemberg	Lemberg	3	0	2013-10-15 05:42:06.883832+02	\N	\N	\N	\N	\N	\N	f	
29827	5d59f398-337a-4294-aa79-c8d79abc5f05	Carstairs	Carstairs	3	0	2013-10-15 05:45:09.716181+02	\N	\N	\N	\N	\N	\N	f	
29816	95774d5e-e5f8-43c0-a86d-ccf98ed7424c	Blaine Lake	Blaine Lake	3	0	2013-10-15 05:42:33.629829+02	\N	\N	\N	\N	\N	\N	f	
29819	b0327557-8a3d-48ce-8249-1075332c1bf1	Bruce Mines	Bruce Mines	3	0	2013-10-15 05:43:19.742547+02	\N	\N	\N	\N	\N	\N	f	
29822	5e07c799-0588-460c-8f9a-bdcc068b173e	Birch Hills	Birch Hills	3	0	2013-10-15 05:44:02.252788+02	\N	\N	\N	\N	\N	\N	f	
29820	4f46fc4a-ad74-42a6-89a0-2b9f23fdbe2a	Bredenbury	Bredenbury	3	0	2013-10-15 05:43:33.143274+02	\N	\N	\N	\N	\N	\N	f	
29824	134a06a3-3e6e-4ca2-8203-1ebf8d430d4c	Milk River	Milk River	3	0	2013-10-15 05:44:29.058316+02	\N	\N	\N	\N	\N	\N	f	
29823	4a2701f6-3824-4a28-8a50-3a3caf6662cc	Balcarres	Balcarres	3	0	2013-10-15 05:44:15.516071+02	\N	\N	\N	\N	\N	\N	f	
29826	6c88070e-1c9f-450e-967f-d4a957f279ea	Moosomin	Moosomin	3	0	2013-10-15 05:44:55.553244+02	\N	\N	\N	\N	\N	\N	f	
29825	13c46d58-d515-4f45-95d0-25c44c5e6f83	Big River	Big River	3	0	2013-10-15 05:44:42.261611+02	\N	\N	\N	\N	\N	\N	f	
29828	be4a90f1-caf7-4b2f-b142-788119b1270d	Kerrobert	Kerrobert	3	0	2013-10-15 05:45:36.978791+02	\N	\N	\N	\N	\N	\N	f	
29829	093d0e24-b886-4fe6-9d24-7865044db91b	Lashburn	Lashburn	3	0	2013-10-15 05:45:50.353586+02	\N	\N	\N	\N	\N	\N	f	
29830	0eb7ada8-bcb9-470c-a0a0-1ef28e54ac41	Maple Creek	Maple Creek	3	0	2013-10-15 05:46:03.945676+02	\N	\N	\N	\N	\N	\N	f	
29831	a4ab343a-5303-4d1f-8dbd-ef7b8040ab43	Maidstone	Maidstone	3	0	2013-10-15 05:46:17.728161+02	\N	\N	\N	\N	\N	\N	f	
29832	7bbb8531-e79c-4b6d-9cbc-02bb03d5688e	Govan	Govan	3	0	2013-10-15 05:46:30.982639+02	\N	\N	\N	\N	\N	\N	f	
29833	797354b3-7d2e-409c-a046-3f612f12b917	Luseland	Luseland	3	0	2013-10-15 05:46:44.655633+02	\N	\N	\N	\N	\N	\N	f	
29834	40f4e3d3-92c2-4bcb-9621-952bd2e615c7	Langham	Langham	3	0	2013-10-15 05:46:57.745032+02	\N	\N	\N	\N	\N	\N	f	
29835	e5e3c4ab-b856-43e5-8ea7-a9192e9b0957	Milestone	Milestone	3	0	2013-10-15 05:47:11.305785+02	\N	\N	\N	\N	\N	\N	f	
29836	1af275bb-8baa-4efd-82d3-051992996318	Midale	Midale	3	0	2013-10-15 05:47:24.821829+02	\N	\N	\N	\N	\N	\N	f	
29837	43a21847-d7e4-4689-81cf-7a889e3890c4	Francis	Francis	3	0	2013-10-15 05:47:38.067336+02	\N	\N	\N	\N	\N	\N	f	
29838	05c50ce2-ef2c-4117-8c8d-266e9d4fc1e2	Hanley	Hanley	3	0	2013-10-15 05:47:51.314137+02	\N	\N	\N	\N	\N	\N	f	
29840	cd3f1be5-30a0-4ae7-a7a5-6322bfe3b8e4	Lampman	Lampman	3	0	2013-10-15 05:48:17.990282+02	\N	\N	\N	\N	\N	\N	f	
29852	11aaff77-3d94-44f3-b539-c8bae8987427	Kelvington	Kelvington	3	0	2013-10-15 05:50:59.620784+02	\N	\N	\N	\N	\N	\N	f	
29857	053f2d2e-ed9c-463c-a797-b79d415ced6d	Hudson Bay	Hudson Bay	3	0	2013-10-15 05:52:07.178163+02	\N	\N	\N	\N	\N	\N	f	
29858	adbdcead-fa8d-404a-acdd-aa6bcc193a33	Kindersley	Kindersley	3	0	2013-10-15 05:52:20.563979+02	\N	\N	\N	\N	\N	\N	f	
29873	8e96a755-1b9e-4f57-b199-ca5d0f19c453	Nipawin	Nipawin	3	0	2013-10-15 05:55:47.677387+02	\N	\N	\N	\N	\N	\N	f	
29839	84da548c-b5f2-4e2f-84cd-e5d705d80857	Lumsden	Lumsden	3	0	2013-10-15 05:48:04.604075+02	\N	\N	\N	\N	\N	\N	f	
29864	d099c798-f272-481d-8a27-b812595c2ce1	Unity	Unity	3	0	2013-10-15 05:53:46.363325+02	\N	\N	\N	\N	\N	\N	f	
29877	fd6d4253-8ddf-401e-89a4-c20bc639f07c	Mossbank	Mossbank	3	0	2013-10-15 05:56:41.734396+02	\N	\N	\N	\N	\N	\N	f	
29841	eeee1628-3a68-4672-b640-123e3e5dce8c	Grenfell	Grenfell	3	0	2013-10-15 05:48:31.243677+02	\N	\N	\N	\N	\N	\N	f	
29842	0528a887-907a-48bb-97b6-68faa0c3bc4e	Indian Head	Indian Head	3	0	2013-10-15 05:48:44.771514+02	\N	\N	\N	\N	\N	\N	f	
29843	a65755d6-e5fd-4000-a84f-00cec069f246	Marshall	Marshall	3	0	2013-10-15 05:48:57.971313+02	\N	\N	\N	\N	\N	\N	f	
29862	6ed0effd-c862-498f-98f3-396dad4a2d5f	Spiritwood	Spiritwood	3	0	2013-10-15 05:53:19.448869+02	\N	\N	\N	\N	\N	\N	f	
29844	102da326-f678-468b-a233-493386c6e0c1	Leroy	Leroy	3	0	2013-10-15 05:49:11.517665+02	\N	\N	\N	\N	\N	\N	f	
29845	66cfa6bd-2193-4ab5-aac7-1297fbeccd0c	Hafford	Hafford	3	0	2013-10-15 05:49:25.251894+02	\N	\N	\N	\N	\N	\N	f	
29856	18c592e4-3080-4fd7-a848-44190697a876	Kipling	Kipling	3	0	2013-10-15 05:51:53.47622+02	\N	\N	\N	\N	\N	\N	f	
29869	5b8d056a-d917-449e-8226-55b0bceabd1f	Ogema	Ogema	3	0	2013-10-15 05:54:53.633029+02	\N	\N	\N	\N	\N	\N	f	
29846	62c5d36b-8188-4fc3-8a8b-8c00fa2f185d	Gull Lake	Gull Lake	3	0	2013-10-15 05:49:38.491567+02	\N	\N	\N	\N	\N	\N	f	
29847	dab437b0-b6d8-4dc5-a750-5eda8a5d2f60	Arganil	Arganil	3	0	2013-10-15 05:49:53.211006+02	\N	\N	\N	\N	\N	\N	f	
29848	dae14abd-2127-4f3e-b021-f20bb26ecd5b	Lafleche	Lafleche	3	0	2013-10-15 05:50:06.439279+02	\N	\N	\N	\N	\N	\N	f	
29863	483bd1d0-2083-41b6-b1f1-75852971b663	Scott	Scott	3	0	2013-10-15 05:53:32.884701+02	\N	\N	\N	\N	\N	\N	f	
29867	1a35e791-ef63-4ee7-a358-5324ad779e06	Strasbourg	Strasbourg	3	0	2013-10-15 05:54:26.799744+02	\N	\N	\N	\N	\N	\N	f	
29849	4057c150-71a7-4a95-bb20-745c0812b156	Kyle	Kyle	3	0	2013-10-15 05:50:19.814674+02	\N	\N	\N	\N	\N	\N	f	
29850	ed47eefe-b760-4817-860d-d45b7f7e0254	Hague	Hague	3	0	2013-10-15 05:50:33.086613+02	\N	\N	\N	\N	\N	\N	f	
29851	73151553-b048-4c75-bb45-fb599764bf17	Kinistino	Kinistino	3	0	2013-10-15 05:50:46.309374+02	\N	\N	\N	\N	\N	\N	f	
29871	4b39e78b-28b3-4c39-a67a-cf3339c4f828	Tisdale	Tisdale	3	0	2013-10-15 05:55:20.786129+02	\N	\N	\N	\N	\N	\N	f	
29875	e393283e-c3e6-4da9-9a7b-4efe548c405f	Shellbrook	Shellbrook	3	0	2013-10-15 05:56:14.684843+02	\N	\N	\N	\N	\N	\N	f	
29853	9b96a00c-41ec-4fe8-8936-bdac435f9c9d	Fleming	Fleming	3	0	2013-10-15 05:51:13.243078+02	\N	\N	\N	\N	\N	\N	f	
29854	6a7a92c0-3bbb-4f3a-8100-d449261a203c	Millet	Millet	3	0	2013-10-15 05:51:26.585944+02	\N	\N	\N	\N	\N	\N	f	
29855	331c8f4c-47ae-48d1-9d8c-b91c75bd740c	Leader	Leader	3	0	2013-10-15 05:51:39.822573+02	\N	\N	\N	\N	\N	\N	f	
29859	14768aac-a828-446f-9b28-d00fe7390239	Macklin	Macklin	3	0	2013-10-15 05:52:34.21321+02	\N	\N	\N	\N	\N	\N	f	
29860	98d4bc9d-8d88-436d-9d0e-75784b1179d5	Herbert	Herbert	3	0	2013-10-15 05:52:47.659672+02	\N	\N	\N	\N	\N	\N	f	
29865	d92910d7-4f0e-45ff-887d-66d35c761602	Turtleford	Turtleford	3	0	2013-10-15 05:53:59.685727+02	\N	\N	\N	\N	\N	\N	f	
29861	9b38dfe9-1e4b-4192-986c-87d846ea4e03	Ituna	Ituna	3	0	2013-10-15 05:53:01.144217+02	\N	\N	\N	\N	\N	\N	f	
29866	1a911d8c-dc9b-4d29-96f8-a4111e226090	Porcupine Plain	Porcupine Plain	3	0	2013-10-15 05:54:13.227621+02	\N	\N	\N	\N	\N	\N	f	
29874	9a5fa070-cd2d-410e-87cc-e60e2fb718a9	St. Walburg	St. Walburg	3	0	2013-10-15 05:56:01.198439+02	\N	\N	\N	\N	\N	\N	f	
29868	6cfbb568-9c73-448a-bf94-8af33d203b0c	Qu'Appelle	Qu'Appelle	3	0	2013-10-15 05:54:40.181836+02	\N	\N	\N	\N	\N	\N	f	
29870	ba151152-a9ac-449a-b799-0d27aaf79d4e	Southey	Southey	3	0	2013-10-15 05:55:07.246293+02	\N	\N	\N	\N	\N	\N	f	
29872	feccebbc-117c-4aea-a492-9fb4d10ad469	Saltcoats	Saltcoats	3	0	2013-10-15 05:55:34.244926+02	\N	\N	\N	\N	\N	\N	f	
29876	bd44ecc3-fc32-4d2f-a47f-b021ba0bb1ac	Naicam	Naicam	3	0	2013-10-15 05:56:28.08554+02	\N	\N	\N	\N	\N	\N	f	
29878	59a2c0a2-c248-43d4-b756-9f9486be0f91	Springside	Springside	3	0	2013-10-15 05:56:55.10934+02	\N	\N	\N	\N	\N	\N	f	
29902	a779c0b0-c566-4725-bb55-4197523962b9	Vonda	Vonda	3	0	2013-10-15 08:38:35.717953+02	\N	\N	\N	\N	\N	\N	f	
29879	3f00934c-6e2b-4aaa-8d16-7eea8ee3ff86	Rose Valley	Rose Valley	3	0	2013-10-15 08:32:09.434978+02	\N	\N	\N	\N	\N	\N	f	
29880	50f6cd33-6f7d-42fe-914f-f58dd4dce3d6	Preeceville	Preeceville	3	0	2013-10-15 08:32:23.908585+02	\N	\N	\N	\N	\N	\N	f	
29927	8eeac0a5-70fc-4339-801d-82733e9b906e	Sylvan Lake	Sylvan Lake	3	0	2013-10-15 08:46:25.598641+02	\N	\N	\N	\N	\N	\N	f	
29881	3fc96ba6-96a4-4453-ac4d-65535ba73438	Osler	Osler	3	0	2013-10-15 08:32:38.5732+02	\N	\N	\N	\N	\N	\N	f	
29903	dd609618-0e3a-4d5c-9c21-2d40a6df7c8b	Outlook	Outlook	3	0	2013-10-15 08:38:49.4623+02	\N	\N	\N	\N	\N	\N	f	
29882	5609ab22-5457-4eed-ae92-a94cb9425131	Wakaw	Wakaw	3	0	2013-10-15 08:32:52.548922+02	\N	\N	\N	\N	\N	\N	f	
29883	8ae56986-d9ab-4d48-a2b0-fee80aa7da39	Radville	Radville	3	0	2013-10-15 08:33:06.364338+02	\N	\N	\N	\N	\N	\N	f	
29918	b4481e21-789a-427d-8769-ebd4e54d7465	Willow Bunch	Willow Bunch	3	0	2013-10-15 08:42:24.617465+02	\N	\N	\N	\N	\N	\N	f	
29884	6357f92a-87c9-4a3b-acaa-31134f0a5b79	Sturgis	Sturgis	3	0	2013-10-15 08:33:21.873661+02	\N	\N	\N	\N	\N	\N	f	
29904	2cad5974-d112-4a14-8bd5-c25c8f32c41c	Wadena	Wadena	3	0	2013-10-15 08:39:05.311568+02	\N	\N	\N	\N	\N	\N	f	
29885	bbecd120-47d0-4aef-a55d-a9f9fbf60aac	Rosthern	Rosthern	3	0	2013-10-15 08:33:44.242685+02	\N	\N	\N	\N	\N	\N	f	
29886	669f3f33-f953-4748-9b15-a1b7c09fd705	Sintaluta	Sintaluta	3	0	2013-10-15 08:34:05.602059+02	\N	\N	\N	\N	\N	\N	f	
29887	369bfcb0-8d5d-4dce-af51-1827d37e0ebb	Redvers	Redvers	3	0	2013-10-15 08:34:28.518777+02	\N	\N	\N	\N	\N	\N	f	
29905	1ad9bfd5-9b22-467a-866f-8b3aa01b2129	Rockglen	Rockglen	3	0	2013-10-15 08:39:18.648924+02	\N	\N	\N	\N	\N	\N	f	
29888	6fb89894-2d54-4b74-b371-c16264573e3c	Ponteix	Ponteix	3	0	2013-10-15 08:34:54.741386+02	\N	\N	\N	\N	\N	\N	f	
29889	ef0cae2b-65ef-40cf-9ac2-079f14e16509	Radisson	Radisson	3	0	2013-10-15 08:35:10.686089+02	\N	\N	\N	\N	\N	\N	f	
29890	cb383290-70c6-44a9-99e9-cedb380f20a6	Morse	Morse	3	0	2013-10-15 08:35:30.099615+02	\N	\N	\N	\N	\N	\N	f	
29906	580babfd-a8c2-431e-8959-120a66326cc6	Zealandia	Zealandia	3	0	2013-10-15 08:39:39.864931+02	\N	\N	\N	\N	\N	\N	f	
29891	2f49bd20-4071-40ed-842a-c60a96424a81	Norquay	Norquay	3	0	2013-10-15 08:35:46.399279+02	\N	\N	\N	\N	\N	\N	f	
29892	be3c7421-9a55-48f5-890a-1f4db03cc6d7	Pilot Butte	Pilot Butte	3	0	2013-10-15 08:36:03.383201+02	\N	\N	\N	\N	\N	\N	f	
29919	e3243110-4ec2-413c-bce1-4405634aa47f	Granum	Granum	3	0	2013-10-15 08:42:47.714624+02	\N	\N	\N	\N	\N	\N	f	
29893	dac86ad7-f0f3-4bc8-997d-d1c7bf208f9b	St. Brieux	St. Brieux	3	0	2013-10-15 08:36:22.168312+02	\N	\N	\N	\N	\N	\N	f	
29907	cb33270b-e1b8-4505-86d6-12f381b5c2e7	Wilkie	Wilkie	3	0	2013-10-15 08:39:53.495639+02	\N	\N	\N	\N	\N	\N	f	
29894	b77e5f57-fb4e-456e-8f34-67a291b663fc	Regina Beach	Regina Beach	3	0	2013-10-15 08:36:38.101995+02	\N	\N	\N	\N	\N	\N	f	
29895	fc53e372-ed21-4cea-98d8-23b670baa845	Oxbow	Oxbow	3	0	2013-10-15 08:36:52.12648+02	\N	\N	\N	\N	\N	\N	f	
29896	1103a798-ce2e-46d7-ad3e-b8742748d6a7	Rocanville	Rocanville	3	0	2013-10-15 08:37:10.985227+02	\N	\N	\N	\N	\N	\N	f	
29908	c0d4fcd3-b7b3-444f-a882-13c3ded79c13	Yellow Grass	Yellow Grass	3	0	2013-10-15 08:40:06.815325+02	\N	\N	\N	\N	\N	\N	f	
29897	baa06f3f-e106-4940-a3fd-62f1090c704c	Shaunavon	Shaunavon	3	0	2013-10-15 08:37:24.677077+02	\N	\N	\N	\N	\N	\N	f	
29898	39f51d1f-0bba-4e48-a96c-6222bbab2f2c	Star City	Star City	3	0	2013-10-15 08:37:40.627014+02	\N	\N	\N	\N	\N	\N	f	
29899	c76cfe64-00b0-431e-bdce-41379098afa4	Rouleau	Rouleau	3	0	2013-10-15 08:37:54.307378+02	\N	\N	\N	\N	\N	\N	f	
29909	4f442133-b7e5-4c0d-b86d-19ccb6725a50	Whitewood	Whitewood	3	0	2013-10-15 08:40:20.577787+02	\N	\N	\N	\N	\N	\N	f	
29900	f14b487f-77be-4b25-9dfd-7a456beefa65	Raymore	Raymore	3	0	2013-10-15 08:38:07.9822+02	\N	\N	\N	\N	\N	\N	f	
29901	5fd163ca-6a06-4028-a9ed-57342705d5f9	Rosetown	Rosetown	3	0	2013-10-15 08:38:21.429568+02	\N	\N	\N	\N	\N	\N	f	
29920	993412f7-6fb4-43dc-97f9-17ca52a82eec	Smiths Falls	Smiths Falls	3	0	2013-10-15 08:43:08.68849+02	\N	\N	\N	\N	\N	\N	f	
29910	2e5ca08f-34e5-4599-8f4c-d7989fbcf09a	White City	White City	3	0	2013-10-15 08:40:34.302041+02	\N	\N	\N	\N	\N	\N	f	
29928	b60da6d7-7991-47c1-b66d-730321c5e9aa	Paderne, Albufeira	Paderne, Albufeira	3	0	2013-10-15 08:46:48.123345+02	\N	\N	\N	\N	\N	\N	f	
29911	2fc4c58c-1b6a-4410-860e-a7e402937d86	Wapella	Wapella	3	0	2013-10-15 08:40:48.111486+02	\N	\N	\N	\N	\N	\N	f	
29921	671e564a-9928-45d2-a88e-e0ce83c29e03	Moita dos Ferreiros	Moita dos Ferreiros	3	0	2013-10-15 08:43:25.033715+02	\N	\N	\N	\N	\N	\N	f	
29912	2fbe90a7-54f6-488e-8be1-0ab868f073d5	Watrous	Watrous	3	0	2013-10-15 08:41:01.861583+02	\N	\N	\N	\N	\N	\N	f	
29913	d1580cdf-188c-4707-8463-260c896303af	Wawota	Wawota	3	0	2013-10-15 08:41:15.763048+02	\N	\N	\N	\N	\N	\N	f	
29914	79337ee4-eaac-4346-b750-1fee705e449e	Wolseley	Wolseley	3	0	2013-10-15 08:41:29.421805+02	\N	\N	\N	\N	\N	\N	f	
29922	3e1b06fc-1824-4df0-995f-3292c9c31072	Oromocto	Oromocto	3	0	2013-10-15 08:44:11.136872+02	\N	\N	\N	\N	\N	\N	f	
29915	93a0c7a4-1124-42c6-ab55-002cf58c540c	Watson	Watson	3	0	2013-10-15 08:41:43.171018+02	\N	\N	\N	\N	\N	\N	f	
29916	d9ca1da0-32cc-4344-a53b-364b7e11d7ac	Waldheim	Waldheim	3	0	2013-10-15 08:41:56.826281+02	\N	\N	\N	\N	\N	\N	f	
29933	17e9fa60-1641-4063-bfb6-d255675ab211	São Marcos da Ataboeira	São Marcos da Ataboeira	3	0	2013-10-15 08:48:10.838055+02	\N	\N	\N	\N	\N	\N	f	
29917	b0d25121-5e0f-4759-82cc-e27e533ff031	Wynyard	Wynyard	3	0	2013-10-15 08:42:10.477043+02	\N	\N	\N	\N	\N	\N	f	
29923	36e546e7-5890-4391-afea-469a640422aa	Beresford, New Brunswick	Beresford, New Brunswick	3	0	2013-10-15 08:44:59.784567+02	\N	\N	\N	\N	\N	\N	f	
29929	937c9590-8eba-432d-b28c-1b354971507f	Perosinho	Perosinho	3	0	2013-10-15 08:47:11.010683+02	\N	\N	\N	\N	\N	\N	f	
29924	0febaece-e26f-4fe5-801a-1fbace2962ee	Grand Bay–Westfield	Grand Bay–Westfield	3	0	2013-10-15 08:45:22.238261+02	\N	\N	\N	\N	\N	\N	f	
29925	32aec8aa-5bb8-4267-a253-c02819271e91	Riba de Ave	Riba de Ave	3	0	2013-10-15 08:45:40.55411+02	\N	\N	\N	\N	\N	\N	f	
29926	b342048d-e50d-413d-b9af-167e8e0d24ac	Irricana	Irricana	3	0	2013-10-15 08:45:53.910902+02	\N	\N	\N	\N	\N	\N	f	
29937	840c3cdd-a0bf-4b44-8966-7520e2548d83	Devon, Alberta	Devon, Alberta	3	0	2013-10-15 08:49:16.35869+02	\N	\N	\N	\N	\N	\N	f	
29930	b3c3b1f8-4da0-4a8a-b12f-b7561660d6fc	Lamèque	Lamèque	3	0	2013-10-15 08:47:25.812342+02	\N	\N	\N	\N	\N	\N	f	
29934	50490aba-e34a-45ca-887a-748caf03bbe3	Elk Point	Elk Point	3	0	2013-10-15 08:48:35.53339+02	\N	\N	\N	\N	\N	\N	f	
29931	05faac7d-030f-4b5b-b723-4b76086346db	Scarborough	Scarborough	3	0	2013-10-15 08:47:39.416244+02	\N	\N	\N	\N	\N	\N	f	
29932	b9b32e8f-7a4b-4adc-ac74-0297c86df08d	Vila do Bispo Municipality	Vila do Bispo Municipality	3	0	2013-10-15 08:47:52.535861+02	\N	\N	\N	\N	\N	\N	f	
29935	6b3deeb8-e914-423d-b0bc-d17b6fa6eb11	Port McNeill	Port McNeill	3	0	2013-10-15 08:48:49.637774+02	\N	\N	\N	\N	\N	\N	f	
29942	634d3f5d-bdec-44b4-ae34-4fada2364523	Tofield	Tofield	3	0	2013-10-15 08:50:45.988034+02	\N	\N	\N	\N	\N	\N	f	
29936	0197a505-d351-475f-9e6d-eda15a83a235	Edmonton	Edmonton	3	0	2013-10-15 08:49:02.949706+02	\N	\N	\N	\N	\N	\N	f	
29938	7ba9a091-724b-4d65-9024-640e27ec0050	Clarenville	Clarenville	3	0	2013-10-15 08:49:34.465211+02	\N	\N	\N	\N	\N	\N	f	
29941	d236b2ac-e019-49af-b766-8d3c27a39154	Renfrew, Ontario	Renfrew, Ontario	3	0	2013-10-15 08:50:22.416448+02	\N	\N	\N	\N	\N	\N	f	
29939	9327dc24-3664-4283-8540-faeda7dd387e	Fort Macleod	Fort Macleod	3	0	2013-10-15 08:49:56.010026+02	\N	\N	\N	\N	\N	\N	f	
29940	33e725d5-48ee-416a-b8a2-b62fe3136a9f	Sandim	Sandim	3	0	2013-10-15 08:50:09.357823+02	\N	\N	\N	\N	\N	\N	f	
29943	f2855648-5890-4942-b248-f8ca0d5e2a89	Regina	Regina	3	0	2013-10-15 08:51:01.348563+02	\N	\N	\N	\N	\N	\N	f	
29944	59fe86b4-63de-475a-a64d-cfa9171647fa	Kensington, Prince Edward Island	Kensington, Prince Edward Island	3	0	2013-10-15 08:51:16.765654+02	\N	\N	\N	\N	\N	\N	f	
29945	90392f44-7b01-478a-818f-c57b5814a9cb	Rates	Rates	3	0	2013-10-15 08:51:33.334571+02	\N	\N	\N	\N	\N	\N	f	
29946	c67a81c8-78bd-48fe-9319-bc0c4046fdc2	Young	Young	3	0	2013-10-15 08:52:12.297519+02	\N	\N	\N	\N	\N	\N	f	
29947	d09ae2f1-7bad-476a-a00d-c12244b0dfda	Minto, Ontario	Minto, Ontario	3	0	2013-10-15 08:52:31.27004+02	\N	\N	\N	\N	\N	\N	f	
29948	cfb31f6d-b0b1-4f3f-8c77-a5c2b1127cf9	Legal	Legal	3	0	2013-10-15 08:52:58.576078+02	\N	\N	\N	\N	\N	\N	f	
29949	82cbce31-5752-4c73-b4e1-7895770a0c78	Porto Moniz	Porto Moniz	3	0	2013-10-15 08:53:11.928147+02	\N	\N	\N	\N	\N	\N	f	
29950	1ef62acd-94b3-4af9-97e2-48e417889b42	Casével	Casével	3	0	2013-10-15 08:54:06.514865+02	\N	\N	\N	\N	\N	\N	f	
29951	8b2ac9ae-b2c2-4249-a101-7e4120da88c1	Calvão	Calvão	3	0	2013-10-15 08:54:24.04992+02	\N	\N	\N	\N	\N	\N	f	
29952	2e4eaac1-9dea-480e-a84e-21ee8d46c9f3	Hearst	Hearst	3	0	2013-10-15 08:54:51.296015+02	\N	\N	\N	\N	\N	\N	f	
29964	089f1590-c1e4-4513-b663-27a2e5800938	Clarke's Beach	Clarke's Beach	3	0	2013-10-15 08:59:31.782124+02	\N	\N	\N	\N	\N	\N	f	
29977	aa424513-eaa1-49a2-ae6e-0fa91f6534e5	Wörgl	Wörgl	3	0	2013-10-15 09:03:40.033815+02	\N	\N	\N	\N	\N	\N	f	
29953	d1faaa11-bc7b-403e-922c-dd0f5d45761b	Sopo	Sopo	3	0	2013-10-15 08:55:28.545392+02	\N	\N	\N	\N	\N	\N	f	
29954	4fa7e297-51a7-480d-93e3-d078474ce825	Crossfield, Alberta	Crossfield, Alberta	3	0	2013-10-15 08:55:55.096125+02	\N	\N	\N	\N	\N	\N	f	
29955	c27f0ba5-b1b1-4d65-9323-add08abc99a0	Oyen	Oyen	3	0	2013-10-15 08:56:19.995674+02	\N	\N	\N	\N	\N	\N	f	
29956	1f88b435-55a3-4c70-ac82-6336a030cb7c	Berwick, Nova Scotia	Berwick, Nova Scotia	3	0	2013-10-15 08:56:46.504007+02	\N	\N	\N	\N	\N	\N	f	
29957	9410c492-e65d-4b21-bab8-45d1765212d0	Whittlesey	Whittlesey	3	0	2013-10-15 08:57:17.396195+02	\N	\N	\N	\N	\N	\N	f	
29958	c3452354-0aed-40a9-88f5-ec11d61962d2	Mayerthorpe	Mayerthorpe	3	0	2013-10-15 08:57:42.976721+02	\N	\N	\N	\N	\N	\N	f	
29959	97df4dcf-c1cc-4e79-a28a-ba0e6250becb	Eckville	Eckville	3	0	2013-10-15 08:58:10.489886+02	\N	\N	\N	\N	\N	\N	f	
29960	ca030aa4-f9cf-4e6c-9540-64e4ba258157	Mundare	Mundare	3	0	2013-10-15 08:58:27.016898+02	\N	\N	\N	\N	\N	\N	f	
29961	a6b7d9a6-ef73-458d-94f5-727492d81d4b	Perth, Ontario	Perth, Ontario	3	0	2013-10-15 08:58:47.830166+02	\N	\N	\N	\N	\N	\N	f	
29962	71c5f2c8-5123-4232-ba6e-09995f01aba5	Saint-Quentin, New Brunswick	Saint-Quentin, New Brunswick	3	0	2013-10-15 08:59:01.071236+02	\N	\N	\N	\N	\N	\N	f	
29963	bd9e66e6-e7e5-4784-9022-169c4fd247b1	Prescott	Prescott	3	0	2013-10-15 08:59:18.469169+02	\N	\N	\N	\N	\N	\N	f	
29965	65ef231d-e4f9-447e-8704-aeb2cdfe1982	Morris	Morris	3	0	2013-10-15 08:59:57.300363+02	\N	\N	\N	\N	\N	\N	f	
29966	7f52207c-3b56-4391-87f1-5e7d926f3fdd	Neepawa	Neepawa	3	0	2013-10-15 09:00:10.68227+02	\N	\N	\N	\N	\N	\N	f	
29967	93faa326-7dac-4968-b8a0-2ae948951c99	Rossburn	Rossburn	3	0	2013-10-15 09:00:23.92521+02	\N	\N	\N	\N	\N	\N	f	
29969	0b88a627-38ab-420e-b28a-986186c4a1b2	Águas Santas	Águas Santas	3	0	2013-10-15 09:01:18.041573+02	\N	\N	\N	\N	\N	\N	f	
29970	e28c3532-b488-40e5-b083-6450276871ea	Rainbow Lake	Rainbow Lake	3	0	2013-10-15 09:01:31.275038+02	\N	\N	\N	\N	\N	\N	f	
29972	80026d9a-8277-4626-af0e-d87df5f4c51f	Ribeira Brava, Madeira	Ribeira Brava, Madeira	3	0	2013-10-15 09:02:06.050801+02	\N	\N	\N	\N	\N	\N	f	
29968	5cc47df8-7584-4db8-aecd-058eeed77f0d	Carman	Carman	3	0	2013-10-15 09:00:40.010932+02	\N	\N	\N	\N	\N	\N	f	
29971	ae334efa-936d-4eea-949c-3f5a0d3c7129	View Royal	View Royal	3	0	2013-10-15 09:01:52.84843+02	\N	\N	\N	\N	\N	\N	f	
29973	cf38f473-b05e-4006-91b1-974af69da37b	Bruderheim	Bruderheim	3	0	2013-10-15 09:02:21.513639+02	\N	\N	\N	\N	\N	\N	f	
29974	3dd20840-c57b-4ead-b31d-420018b13f18	Beaumont	Beaumont	3	0	2013-10-15 09:02:50.211855+02	\N	\N	\N	\N	\N	\N	f	
29976	6d1b0e97-5ebe-4314-ae78-bc9affb84119	St. Marys	St. Marys	3	0	2013-10-15 09:03:22.799069+02	\N	\N	\N	\N	\N	\N	f	
29978	92779715-169b-4ea9-9b71-afb69426599e	Santa Maria de Lamas	Santa Maria de Lamas	3	0	2013-10-15 09:04:12.097662+02	\N	\N	\N	\N	\N	\N	f	
29979	53a7b964-7f91-4af6-834e-a7ecef2b0f09	Broby Municipality	Broby Municipality	4	0	2013-10-15 11:21:46.50108+02	\N	\N	\N	\N	\N	\N	f	
30013	e351b57c-9b9f-4045-ab3d-754816333e0e	Rapid City	Rapid City	3	0	2013-10-15 11:40:55.255309+02	\N	\N	\N	\N	\N	\N	f	
29980	abfddf79-5e3d-4e83-9f4c-66a2c93f4d69	North River, Newfoundland and Labrador	North River, Newfoundland and Labrador	3	0	2013-10-15 11:28:29.88192+02	\N	\N	\N	\N	\N	\N	f	
30000	efb28917-0dd0-4bdc-858a-12cbdfdf713d	Niverville	Niverville	3	0	2013-10-15 11:37:54.955763+02	\N	\N	\N	\N	\N	\N	f	
29981	d52e1ca5-42aa-4416-a617-e079f0371b21	Peterview	Peterview	3	0	2013-10-15 11:29:10.692817+02	\N	\N	\N	\N	\N	\N	f	
29982	3f768dae-1e91-4a5b-9397-905ece2170a5	Point of Bay	Point of Bay	3	0	2013-10-15 11:29:41.735607+02	\N	\N	\N	\N	\N	\N	f	
29983	56e99948-c838-4d27-a54a-5565ad124142	Massey Drive	Massey Drive	3	0	2013-10-15 11:30:25.181415+02	\N	\N	\N	\N	\N	\N	f	
30001	a364fd6b-1ce3-41fb-a27e-345aa0d4af2e	La Ronge, Saskatchewan	La Ronge, Saskatchewan	3	0	2013-10-15 11:38:07.958651+02	\N	\N	\N	\N	\N	\N	f	
29984	08f9cc31-e916-4fc8-ad29-418a5ae1fd58	St. Anthony, Newfoundland and Labrador	St. Anthony, Newfoundland and Labrador	3	0	2013-10-15 11:31:53.854242+02	\N	\N	\N	\N	\N	\N	f	
29985	2edc8879-c015-48c5-ac07-e73e7461b6e4	Calmar	Calmar	3	0	2013-10-15 11:33:50.619374+02	\N	\N	\N	\N	\N	\N	f	
30022	e78814d1-0eec-417e-b7f8-d660ed454bde	Belleoram	Belleoram	3	0	2013-10-15 11:43:01.862708+02	\N	\N	\N	\N	\N	\N	f	
29986	e05dfa83-7342-4783-b294-c4019dc9a9b6	Killarney	Killarney	3	0	2013-10-15 11:34:05.567908+02	\N	\N	\N	\N	\N	\N	f	
30002	3f092e86-3873-470c-a00f-858ce629fd4e	Mozelos	Mozelos	3	0	2013-10-15 11:38:21.442696+02	\N	\N	\N	\N	\N	\N	f	
29987	94f616a6-0f3e-4b4b-a79a-1c6c920ee8f1	Placentia, Newfoundland and Labrador	Placentia, Newfoundland and Labrador	3	0	2013-10-15 11:34:20.481747+02	\N	\N	\N	\N	\N	\N	f	
29988	d1645db4-4b92-4e5b-8b13-01c8d9af875e	Santo Antão	Santo Antão	3	0	2013-10-15 11:34:45.589415+02	\N	\N	\N	\N	\N	\N	f	
30014	2d74c2c7-3610-4182-82ad-f0ff2022fd10	Appleton, Newfoundland and Labrador	Appleton, Newfoundland and Labrador	3	0	2013-10-15 11:41:08.28112+02	\N	\N	\N	\N	\N	\N	f	
29989	59dd5398-95fc-4238-8827-119cbea8f83f	Deer Lake, Newfoundland and Labrador	Deer Lake, Newfoundland and Labrador	3	0	2013-10-15 11:34:59.931859+02	\N	\N	\N	\N	\N	\N	f	
30003	5949077c-b501-4486-8dab-210898c4d93d	Gretna	Gretna	3	0	2013-10-15 11:38:35.726449+02	\N	\N	\N	\N	\N	\N	f	
29990	3349ad16-77e3-4d50-a2f5-67a920460f6d	Coaldale	Coaldale	3	0	2013-10-15 11:35:13.015113+02	\N	\N	\N	\N	\N	\N	f	
29991	3685be74-1329-414b-a8c7-d7ab9cd1384a	Porches	Porches	3	0	2013-10-15 11:35:27.966216+02	\N	\N	\N	\N	\N	\N	f	
29992	f6cd7ae9-14c7-481f-b235-18083da4733e	Gibbons	Gibbons	3	0	2013-10-15 11:35:40.913364+02	\N	\N	\N	\N	\N	\N	f	
30004	5336ee20-494d-49a8-9d17-87f60b95a646	Treherne	Treherne	3	0	2013-10-15 11:38:53.885537+02	\N	\N	\N	\N	\N	\N	f	
29993	43c891d0-3d7a-4757-8bd2-f5d3085cefea	Lagoa	Lagoa	3	0	2013-10-15 11:35:56.840427+02	\N	\N	\N	\N	\N	\N	f	
29994	aa20e7db-bd6c-4712-9bce-a5b3aa3deecb	Cascais	Cascais	3	0	2013-10-15 11:36:16.574814+02	\N	\N	\N	\N	\N	\N	f	
29995	510b95fe-d5f7-4167-86ce-a2619bfbe015	Vilamoura	Vilamoura	3	0	2013-10-15 11:36:32.17737+02	\N	\N	\N	\N	\N	\N	f	
30005	aa39347c-f15d-4fc0-9d9f-ee3d2d9778cf	Minitonas	Minitonas	3	0	2013-10-15 11:39:06.858224+02	\N	\N	\N	\N	\N	\N	f	
29996	6d21d67a-b264-41b9-96df-f916d848bfea	Santa Luzia	Santa Luzia	3	0	2013-10-15 11:36:50.721236+02	\N	\N	\N	\N	\N	\N	f	
29997	8ee2f62b-7f7f-4821-b895-bf6894a2be6b	Óbidos	Óbidos	3	0	2013-10-15 11:37:10.313244+02	\N	\N	\N	\N	\N	\N	f	
30015	d83fc091-beb0-43d0-88f1-9d94746b0b74	Hardisty	Hardisty	3	0	2013-10-15 11:41:23.092027+02	\N	\N	\N	\N	\N	\N	f	
29998	9100bd7a-3675-4139-8ff4-1183b871e20d	Wabush	Wabush	3	0	2013-10-15 11:37:23.224638+02	\N	\N	\N	\N	\N	\N	f	
29999	7b28ea07-ac77-440b-aeb9-ce884d6fdeb4	Blackfalds	Blackfalds	3	0	2013-10-15 11:37:36.244541+02	\N	\N	\N	\N	\N	\N	f	
30006	f04d3ba2-fda9-467d-b4e6-786326b4a4d1	Red Bay, Newfoundland and Labrador	Red Bay, Newfoundland and Labrador	3	0	2013-10-15 11:39:19.979536+02	\N	\N	\N	\N	\N	\N	f	
30027	2ab043e6-6480-4626-bf74-b34b29360cbb	Beachside, Newfoundland and Labrador	Beachside, Newfoundland and Labrador	3	0	2013-10-15 11:44:14.361532+02	\N	\N	\N	\N	\N	\N	f	
30007	6cb9e231-307c-4af9-8bf5-8b447aebe6d3	Lac du Bonnet	Lac du Bonnet	3	0	2013-10-15 11:39:32.933325+02	\N	\N	\N	\N	\N	\N	f	
30016	713ec365-cc4c-45c3-aab2-1ad9127dda78	Minnedosa	Minnedosa	3	0	2013-10-15 11:41:36.265707+02	\N	\N	\N	\N	\N	\N	f	
30008	d57bacf6-94f0-40d5-ad0a-27eb5eef039d	Albany	Albany	3	0	2013-10-15 11:39:46.037402+02	\N	\N	\N	\N	\N	\N	f	
30009	d232881d-3fb1-4b67-a993-44611accfa3b	Aquaforte	Aquaforte	3	0	2013-10-15 11:40:01.99738+02	\N	\N	\N	\N	\N	\N	f	
30023	0eb9ddc5-b398-4bf9-aba9-84578fee74f1	Avondale, Newfoundland and Labrador	Avondale, Newfoundland and Labrador	3	0	2013-10-15 11:43:14.835442+02	\N	\N	\N	\N	\N	\N	f	
30010	d0eaec35-9195-481c-8eea-22feb0926ad7	Admirals Beach	Admirals Beach	3	0	2013-10-15 11:40:15.963034+02	\N	\N	\N	\N	\N	\N	f	
30017	bebf0550-a1f2-4e7c-8b8c-63f4ee9ac314	Russell	Russell	3	0	2013-10-15 11:41:49.233288+02	\N	\N	\N	\N	\N	\N	f	
30011	3638dca7-e297-470c-a4e9-7f25283ac708	Powerview-Pine Falls	Powerview-Pine Falls	3	0	2013-10-15 11:40:29.006151+02	\N	\N	\N	\N	\N	\N	f	
30012	92d0ce66-184b-4e5b-90ca-7b8d9bb5098c	Powassan	Powassan	3	0	2013-10-15 11:40:42.084505+02	\N	\N	\N	\N	\N	\N	f	
30018	ec1a2ef8-58d2-4770-afe4-d0d922338b9c	Hamiota	Hamiota	3	0	2013-10-15 11:42:02.243648+02	\N	\N	\N	\N	\N	\N	f	
30024	b4d823df-3d75-46e6-ac6e-8c8649e5ede6	Baie Verte, Newfoundland and Labrador	Baie Verte, Newfoundland and Labrador	3	0	2013-10-15 11:43:27.970194+02	\N	\N	\N	\N	\N	\N	f	
30019	27811ea9-58d9-4322-a851-6466edb6c321	Anchor Point, Newfoundland and Labrador	Anchor Point, Newfoundland and Labrador	3	0	2013-10-15 11:42:15.177851+02	\N	\N	\N	\N	\N	\N	f	
30020	f9ee8474-75a1-4e2c-a4f9-cd03e98626ce	Bay L'Argent	Bay L'Argent	3	0	2013-10-15 11:42:34.449239+02	\N	\N	\N	\N	\N	\N	f	
30031	7687a014-a255-409c-ae49-f8a4d20983c8	Baine Harbour	Baine Harbour	3	0	2013-10-15 11:45:09.962996+02	\N	\N	\N	\N	\N	\N	f	
30021	f403f701-e035-4f81-ab3e-52b2c30dee3f	Bay de Verde	Bay de Verde	3	0	2013-10-15 11:42:48.891044+02	\N	\N	\N	\N	\N	\N	f	
30028	1a0a7028-58d8-4152-b16e-43d9084097aa	Bellburns	Bellburns	3	0	2013-10-15 11:44:28.108042+02	\N	\N	\N	\N	\N	\N	f	
30025	2a9927f4-fddc-45d6-be11-496716e47dd3	Aylmer, Ontario	Aylmer, Ontario	3	0	2013-10-15 11:43:44.178534+02	\N	\N	\N	\N	\N	\N	f	
30026	e30b8eae-3897-439a-bb78-39994553871a	Bay Roberts	Bay Roberts	3	0	2013-10-15 11:43:58.643374+02	\N	\N	\N	\N	\N	\N	f	
30034	a2063a56-e516-4cba-bf72-e5825e4694ee	Brent's Cove	Brent's Cove	3	0	2013-10-15 11:46:01.036842+02	\N	\N	\N	\N	\N	\N	f	
30029	35c94a9a-a669-47de-944e-275becedfe42	Baytona	Baytona	3	0	2013-10-15 11:44:43.825639+02	\N	\N	\N	\N	\N	\N	f	
30032	87c0dbb5-f55a-4059-821c-20c7c17e04a3	Bay Bulls	Bay Bulls	3	0	2013-10-15 11:45:23.277049+02	\N	\N	\N	\N	\N	\N	f	
30030	620c180a-ec20-4802-b12d-a78e6254179b	Bide Arm	Bide Arm	3	0	2013-10-15 11:44:56.996281+02	\N	\N	\N	\N	\N	\N	f	
30037	31131ef6-d92b-4c04-8dd9-7ee294ff6662	Brockton, Ontario	Brockton, Ontario	3	0	2013-10-15 11:47:10.945666+02	\N	\N	\N	\N	\N	\N	f	
30033	944b6b03-8525-497d-a2cd-cb5ac901ccee	Bauline	Bauline	3	0	2013-10-15 11:45:36.327888+02	\N	\N	\N	\N	\N	\N	f	
30036	4f4d6bc1-5804-4352-b74e-ce614893938f	Turner Valley	Turner Valley	3	0	2013-10-15 11:46:46.510078+02	\N	\N	\N	\N	\N	\N	f	
30035	efb31e46-60a9-448b-8b13-b782e34261cb	Brighton	Brighton	3	0	2013-10-15 11:46:27.786549+02	\N	\N	\N	\N	\N	\N	f	
30038	82b8f82b-4a04-4fea-a8d9-dcbd776fa1d4	Bishop's Cove	Bishop's Cove	3	0	2013-10-15 11:47:33.490545+02	\N	\N	\N	\N	\N	\N	f	
30039	7e8134b5-d24b-4279-9375-26fabd8f98b5	Brighton, Newfoundland and Labrador	Brighton, Newfoundland and Labrador	3	0	2013-10-15 11:47:55.31745+02	\N	\N	\N	\N	\N	\N	f	
30040	68187d62-4bc7-4fd0-8dc5-877b79a70a17	Cape Broyle	Cape Broyle	3	0	2013-10-15 11:48:15.332434+02	\N	\N	\N	\N	\N	\N	f	
30041	a6056770-3751-4d81-9a6f-647f31923fd2	Buchans	Buchans	3	0	2013-10-15 11:48:34.315057+02	\N	\N	\N	\N	\N	\N	f	
30042	d7213f17-f82b-4983-85d6-f476ea444664	Botwood	Botwood	3	0	2013-10-15 11:48:49.736247+02	\N	\N	\N	\N	\N	\N	f	
30043	6349dbc4-f77d-4f93-ad7b-c3a34ee152aa	Burgeo	Burgeo	3	0	2013-10-15 11:49:05.608954+02	\N	\N	\N	\N	\N	\N	f	
30044	cc5676c4-10e7-42b4-97d2-4ed2dc3c66ab	Bryant's Cove	Bryant's Cove	3	0	2013-10-15 11:49:20.496157+02	\N	\N	\N	\N	\N	\N	f	
30154	83d6f702-9b06-498b-87bc-ea9645021da0	Paris	Paris	3	0	2013-10-15 14:53:54.04755+02	\N	\N	\N	\N	\N	\N	f	
30250	010312dc-f835-40a8-be6f-f3c379ec00ba	Parrsboro	Parrsboro	3	0	2013-10-15 17:56:07.080801+02	\N	\N	\N	\N	\N	\N	f	
30045	b9a4f240-5ef8-46c9-a2b1-c40bd8d828fe	Brigus	Brigus	3	0	2013-10-15 11:49:34.394808+02	\N	\N	\N	\N	\N	\N	f	
30046	f32cee63-2a47-40f1-ba4b-7e4392b205ab	Bird Cove	Bird Cove	3	0	2013-10-15 11:49:48.060915+02	\N	\N	\N	\N	\N	\N	f	
30062	3515780c-afbf-43eb-904b-5721a6b924a3	Chapel Arm	Chapel Arm	3	0	2013-10-15 11:53:37.965283+02	\N	\N	\N	\N	\N	\N	f	
30047	c4a7e946-6068-47a2-96d6-b9e75b1d5aa8	Bowmanville	Bowmanville	3	0	2013-10-15 11:50:07.704965+02	\N	\N	\N	\N	\N	\N	f	
30048	b520f9db-648a-44eb-bdfa-98874e8f231e	Burlington, Newfoundland and Labrador	Burlington, Newfoundland and Labrador	3	0	2013-10-15 11:50:21.11323+02	\N	\N	\N	\N	\N	\N	f	
30057	09ed3f15-3985-4770-9323-417be6e289d1	Burnt Islands, Newfoundland and Labrador	Burnt Islands, Newfoundland and Labrador	3	0	2013-10-15 11:52:22.712463+02	\N	\N	\N	\N	\N	\N	f	
30061	43332b68-a4c7-41e6-8a8c-270b31dfd558	Gore Bay	Gore Bay	3	0	2013-10-15 11:53:24.74297+02	\N	\N	\N	\N	\N	\N	f	
30076	abb4db01-3d1c-46e4-b3a3-786dcf0d5ae7	Cook's Harbour	Cook's Harbour	3	0	2013-10-15 11:56:56.520609+02	\N	\N	\N	\N	\N	\N	f	
30049	430d24eb-46b1-4896-b2ff-ee16e68dba50	Onoway	Onoway	3	0	2013-10-15 11:50:36.877397+02	\N	\N	\N	\N	\N	\N	f	
30068	15726880-2c3f-43ce-b733-4adb13fa9ee5	Carbonear	Carbonear	3	0	2013-10-15 11:55:04.821963+02	\N	\N	\N	\N	\N	\N	f	
30050	d8d9dbc8-91a2-4513-853e-ae19a2fc7d9c	Cape St. George, Newfoundland and Labrador	Cape St. George, Newfoundland and Labrador	3	0	2013-10-15 11:50:50.162435+02	\N	\N	\N	\N	\N	\N	f	
30059	21797f15-4e57-473a-a115-35e138319e7c	Wasaga Beach	Wasaga Beach	3	0	2013-10-15 11:52:54.937463+02	\N	\N	\N	\N	\N	\N	f	
30051	71d6dc8f-c508-488a-b45a-df30ed93cc25	Bonavista, Newfoundland and Labrador	Bonavista, Newfoundland and Labrador	3	0	2013-10-15 11:51:03.341688+02	\N	\N	\N	\N	\N	\N	f	
30052	605cc6eb-eb95-4755-b635-0c72e7255973	Campbellton, Newfoundland and Labrador	Campbellton, Newfoundland and Labrador	3	0	2013-10-15 11:51:16.507263+02	\N	\N	\N	\N	\N	\N	f	
30053	0b1ed804-dc2c-4f52-b0c0-26f501d422a2	Birchy Bay	Birchy Bay	3	0	2013-10-15 11:51:29.742785+02	\N	\N	\N	\N	\N	\N	f	
30054	08e33620-8f07-428b-84e1-cfe38c4eec3c	Grand-Mère, Quebec	Grand-Mère, Quebec	3	0	2013-10-15 11:51:42.951715+02	\N	\N	\N	\N	\N	\N	f	
30055	6fe6cc01-8215-46b9-9751-35f29e092027	Borden-Carleton	Borden-Carleton	3	0	2013-10-15 11:51:56.522553+02	\N	\N	\N	\N	\N	\N	f	
30056	8e69c87f-97bb-4c3f-887a-0bc9e6b2fb23	Burin, Newfoundland and Labrador	Burin, Newfoundland and Labrador	3	0	2013-10-15 11:52:09.423524+02	\N	\N	\N	\N	\N	\N	f	
30071	4b41f0e2-8bfb-477c-8463-9f50e47efac2	Cupids	Cupids	3	0	2013-10-15 11:55:46.431469+02	\N	\N	\N	\N	\N	\N	f	
30058	290a11ca-48a2-4b68-9fb4-37f3e7474d84	Branch, Newfoundland and Labrador	Branch, Newfoundland and Labrador	3	0	2013-10-15 11:52:36.163562+02	\N	\N	\N	\N	\N	\N	f	
30060	e1bab514-56bf-4324-b5d6-694b852ec621	Cox's Cove	Cox's Cove	3	0	2013-10-15 11:53:09.631267+02	\N	\N	\N	\N	\N	\N	f	
30063	55c480df-2e90-4f21-99e0-d91473f0204a	Cartwright, Newfoundland and Labrador	Cartwright, Newfoundland and Labrador	3	0	2013-10-15 11:53:53.905268+02	\N	\N	\N	\N	\N	\N	f	
30064	7f54a310-a6df-4c12-aa5e-d602d302efec	Change Islands	Change Islands	3	0	2013-10-15 11:54:10.447835+02	\N	\N	\N	\N	\N	\N	f	
30065	cca2020d-122e-4fbf-9e0f-3df659d2d4c4	Centreville-Wareham-Trinity	Centreville-Wareham-Trinity	3	0	2013-10-15 11:54:23.89193+02	\N	\N	\N	\N	\N	\N	f	
30066	ffd412bc-3ea5-4b83-aecf-d9f8bd654ab8	Conception Harbour	Conception Harbour	3	0	2013-10-15 11:54:37.992039+02	\N	\N	\N	\N	\N	\N	f	
30067	f1d744cb-4ba3-4c69-a4ef-ac711c44e7a1	Mississippi Mills	Mississippi Mills	3	0	2013-10-15 11:54:51.292159+02	\N	\N	\N	\N	\N	\N	f	
30069	a6d69107-f96a-48ee-98c0-e1c5abf8521c	Coachman's Cove	Coachman's Cove	3	0	2013-10-15 11:55:19.493452+02	\N	\N	\N	\N	\N	\N	f	
30070	5cfbd8b7-cede-4209-bc68-43ade1874f80	Cottlesville	Cottlesville	3	0	2013-10-15 11:55:32.841816+02	\N	\N	\N	\N	\N	\N	f	
30072	019f9b20-5517-4ccf-b5b8-edd24890cf17	São Vicente	São Vicente	3	0	2013-10-15 11:55:59.707763+02	\N	\N	\N	\N	\N	\N	f	
30073	029732b9-5601-4f68-ae1b-df1dcf725af8	Carmanville	Carmanville	3	0	2013-10-15 11:56:15.731659+02	\N	\N	\N	\N	\N	\N	f	
30074	06f3234a-6ce4-4139-9fcf-51b4217fc33a	Cow Head	Cow Head	3	0	2013-10-15 11:56:29.483908+02	\N	\N	\N	\N	\N	\N	f	
30075	d9a4d785-ae0c-40b8-b94f-dfe0fe38ed2d	Champney's West	Champney's West	3	0	2013-10-15 11:56:42.783627+02	\N	\N	\N	\N	\N	\N	f	
30077	1feed4ce-5431-46db-9a2b-38d477367f7b	Cormack, Newfoundland and Labrador	Cormack, Newfoundland and Labrador	3	0	2013-10-15 11:57:10.067704+02	\N	\N	\N	\N	\N	\N	f	
30078	1893e546-7951-4858-a319-fdcc1cf9d9b8	Chance Cove	Chance Cove	3	0	2013-10-15 11:57:23.792878+02	\N	\N	\N	\N	\N	\N	f	
30118	014bf7df-c86a-4165-90ab-3d25746e7e21	Glenburnie-Birchy Head-Shoal Brook	Glenburnie-Birchy Head-Shoal Brook	3	0	2013-10-15 14:45:06.292532+02	\N	\N	\N	\N	\N	\N	f	
30097	163b5e07-ddaf-40f4-92a5-d415e73d61a6	Norris Arm	Norris Arm	3	0	2013-10-15 14:25:49.567411+02	\N	\N	\N	\N	\N	\N	f	
30080	fac48037-4806-445c-8295-f8255380e65f	Slangerup	Slangerup	3	0	2013-10-15 12:18:12.773557+02	\N	\N	\N	\N	\N	\N	f	
30081	6f40e420-a0fa-436b-9a20-0b9d14a71d79	Channel-Port aux Basques	Channel-Port aux Basques	3	0	2013-10-15 14:18:11.189963+02	\N	\N	\N	\N	\N	\N	f	
30109	053af2a7-2350-4ee9-a7f8-152cba096a54	Manitou	Manitou	3	0	2013-10-15 14:42:57.893673+02	\N	\N	\N	\N	\N	\N	f	
30082	c1367ee6-b47a-4c43-9d61-a47fa432c8c1	Come By Chance, Newfoundland and Labrador	Come By Chance, Newfoundland and Labrador	3	0	2013-10-15 14:19:44.54874+02	\N	\N	\N	\N	\N	\N	f	
30098	9820edae-5016-474b-969c-4908e3fc4c1e	New-Wes-Valley	New-Wes-Valley	3	0	2013-10-15 14:26:03.287627+02	\N	\N	\N	\N	\N	\N	f	
30083	f39844b4-727f-46b2-8cf7-a53b6126ca12	Hopedale, Newfoundland and Labrador	Hopedale, Newfoundland and Labrador	3	0	2013-10-15 14:20:36.634769+02	\N	\N	\N	\N	\N	\N	f	
30084	f759bbc5-6621-443f-94f2-68bea98b87c7	Happy Valley-Goose Bay	Happy Valley-Goose Bay	3	0	2013-10-15 14:21:09.879333+02	\N	\N	\N	\N	\N	\N	f	
30085	4e58395a-3227-46ed-a00b-6221e2fe4664	Triton, Newfoundland and Labrador	Triton, Newfoundland and Labrador	3	0	2013-10-15 14:22:53.112651+02	\N	\N	\N	\N	\N	\N	f	
30099	a3d97820-80e5-46b6-bfb9-95b4797163ce	McIvers	McIvers	3	0	2013-10-15 14:26:16.879114+02	\N	\N	\N	\N	\N	\N	f	
30086	5086fd37-6de3-437b-b1ae-025e69208ca2	Mount Moriah, Newfoundland and Labrador	Mount Moriah, Newfoundland and Labrador	3	0	2013-10-15 14:23:17.972511+02	\N	\N	\N	\N	\N	\N	f	
30087	a73d4d57-69ca-43b0-979f-44f3b20dd98e	Lark Harbour	Lark Harbour	3	0	2013-10-15 14:23:31.648087+02	\N	\N	\N	\N	\N	\N	f	
30088	1c80a6ac-5967-43e5-a731-6538cf58638f	Norman's Cove-Long Cove	Norman's Cove-Long Cove	3	0	2013-10-15 14:23:46.031494+02	\N	\N	\N	\N	\N	\N	f	
30100	6e143e0b-c2c1-447c-8980-554b36a4b011	Victoria, Newfoundland and Labrador	Victoria, Newfoundland and Labrador	3	0	2013-10-15 14:26:37.382431+02	\N	\N	\N	\N	\N	\N	f	
30089	b7239eb6-833b-4a9b-82fa-73f9e9279d69	Heart's Content, Newfoundland and Labrador	Heart's Content, Newfoundland and Labrador	3	0	2013-10-15 14:24:00.735409+02	\N	\N	\N	\N	\N	\N	f	
30090	b1edc8ec-f2f9-4383-ac6a-acbeadf8d11e	Long Harbour-Mount Arlington Heights	Long Harbour-Mount Arlington Heights	3	0	2013-10-15 14:24:14.594771+02	\N	\N	\N	\N	\N	\N	f	
30110	4633d175-4407-476a-af88-a90c315e1616	Englehart	Englehart	3	0	2013-10-15 14:43:11.127154+02	\N	\N	\N	\N	\N	\N	f	
30091	bc2135bc-d50e-4d9d-a6ee-1eb936c7a195	Little Burnt Bay	Little Burnt Bay	3	0	2013-10-15 14:24:28.340536+02	\N	\N	\N	\N	\N	\N	f	
30101	49478afd-1595-438c-84d4-d4e93ed253e4	Toslow	Toslow	3	0	2013-10-15 14:26:56.051184+02	\N	\N	\N	\N	\N	\N	f	
30092	de05609f-691e-402b-b6b9-1ca3b5bd6bcd	New Perlican	New Perlican	3	0	2013-10-15 14:24:41.710522+02	\N	\N	\N	\N	\N	\N	f	
30093	c2b5b98f-0a5f-4361-950b-5d42e73c6557	Happy Adventure	Happy Adventure	3	0	2013-10-15 14:24:55.398057+02	\N	\N	\N	\N	\N	\N	f	
30094	c9f8e853-228e-4b88-993d-1b34ab2146c6	Harbour Main-Chapel's Cove-Lakeview	Harbour Main-Chapel's Cove-Lakeview	3	0	2013-10-15 14:25:08.803288+02	\N	\N	\N	\N	\N	\N	f	
30102	c4ff660c-1f04-4d33-a798-f64c6521a5ed	Rigolet	Rigolet	3	0	2013-10-15 14:27:12.9688+02	\N	\N	\N	\N	\N	\N	f	
30095	9e64653e-6d7a-4459-830b-9cf3cac783c6	La Scie	La Scie	3	0	2013-10-15 14:25:22.453143+02	\N	\N	\N	\N	\N	\N	f	
30128	e93f0655-9433-4115-bebc-62c319826c1b	Sobral Pichorro	Sobral Pichorro	3	0	2013-10-15 14:47:42.766707+02	\N	\N	\N	\N	\N	\N	f	
30096	54f79eca-6bdd-4e6e-bd93-fb9e7d459f39	Main Brook	Main Brook	3	0	2013-10-15 14:25:35.94511+02	\N	\N	\N	\N	\N	\N	f	
30111	b0dd87d6-7e90-40cf-88b2-6a4bd88c88ec	English Harbour East	English Harbour East	3	0	2013-10-15 14:43:25.664388+02	\N	\N	\N	\N	\N	\N	f	
30103	b9058075-38c9-47d8-920b-1a0dba6b6edb	Twillingate	Twillingate	3	0	2013-10-15 14:28:53.053192+02	\N	\N	\N	\N	\N	\N	f	
30104	92742ea2-b7ed-46ca-b9ef-8f8b110066a7	L'Anse-au-Clair	L'Anse-au-Clair	3	0	2013-10-15 14:30:26.446675+02	\N	\N	\N	\N	\N	\N	f	
30119	43602353-93b0-4b70-bdf7-e89401739b3e	Fortune, Newfoundland and Labrador	Fortune, Newfoundland and Labrador	3	0	2013-10-15 14:45:20.006905+02	\N	\N	\N	\N	\N	\N	f	
30105	01f947f5-ba94-45cb-bb33-3da5166d71a1	Colinet, Newfoundland and Labrador	Colinet, Newfoundland and Labrador	3	0	2013-10-15 14:41:56.051936+02	\N	\N	\N	\N	\N	\N	f	
30112	e9228b66-f8d1-4062-ac7a-1d503edf54ee	MacGregor	MacGregor	3	0	2013-10-15 14:43:39.18325+02	\N	\N	\N	\N	\N	\N	f	
30106	29c316f7-1d93-42c2-a301-e820c16132f0	Charlottetown, Labrador, Newfoundland and Labrador	Charlottetown, Labrador, Newfoundland and Labrador	3	0	2013-10-15 14:42:09.655769+02	\N	\N	\N	\N	\N	\N	f	
30107	0112527a-6e95-4454-8559-02b4318af7b7	Comfort Cove-Newstead	Comfort Cove-Newstead	3	0	2013-10-15 14:42:23.265309+02	\N	\N	\N	\N	\N	\N	f	
30108	3e7239ea-16bc-4407-89d3-20352d7fb448	Conche, Newfoundland and Labrador	Conche, Newfoundland and Labrador	3	0	2013-10-15 14:42:36.771539+02	\N	\N	\N	\N	\N	\N	f	
30113	08d244e0-395d-4c18-a6bb-17989a1fe9dc	Fermeuse	Fermeuse	3	0	2013-10-15 14:43:53.941992+02	\N	\N	\N	\N	\N	\N	f	
30124	e9934f58-9fb9-477c-809d-beb962dc9419	Erickson	Erickson	3	0	2013-10-15 14:46:38.400493+02	\N	\N	\N	\N	\N	\N	f	
30114	cbd81f47-eb14-41c5-90f5-7a16f64b2075	Grand le Pierre	Grand le Pierre	3	0	2013-10-15 14:44:07.470768+02	\N	\N	\N	\N	\N	\N	f	
30120	0bb667cc-beb3-466e-b3ac-30fb7dfcbe72	North Perth	North Perth	3	0	2013-10-15 14:45:36.652311+02	\N	\N	\N	\N	\N	\N	f	
30115	f086585a-c638-4ad4-a12e-01725ffdaec7	Melita	Melita	3	0	2013-10-15 14:44:21.230352+02	\N	\N	\N	\N	\N	\N	f	
30116	da107370-c32d-49f5-af86-70ee4415a2ed	Gambo, Newfoundland and Labrador	Gambo, Newfoundland and Labrador	3	0	2013-10-15 14:44:34.709682+02	\N	\N	\N	\N	\N	\N	f	
30117	5250e7e5-d06c-4ffd-9c8a-2a19a114457b	Kingsville	Kingsville	3	0	2013-10-15 14:44:48.54555+02	\N	\N	\N	\N	\N	\N	f	
30121	497fc299-bf9f-4d54-af61-1067555b044b	Grand Bank	Grand Bank	3	0	2013-10-15 14:45:52.760294+02	\N	\N	\N	\N	\N	\N	f	
30125	da3a9829-f3d8-47d8-a730-e982a59e0c5b	Smooth Rock Falls	Smooth Rock Falls	3	0	2013-10-15 14:46:51.680274+02	\N	\N	\N	\N	\N	\N	f	
30122	f23c157c-3f29-45c6-ba2d-14250f778cdb	Petrolia	Petrolia	3	0	2013-10-15 14:46:06.612776+02	\N	\N	\N	\N	\N	\N	f	
30123	f4088771-3fb1-4f6b-a012-986a4372fc9b	Tecumseh	Tecumseh	3	0	2013-10-15 14:46:24.914677+02	\N	\N	\N	\N	\N	\N	f	
30126	3b2b46ae-dc86-4461-a8f2-20c917055977	French River	French River	3	0	2013-10-15 14:47:05.154826+02	\N	\N	\N	\N	\N	\N	f	
30129	3610b2c4-cb9b-4707-acb0-45db9eadf81d	Little Bay East	Little Bay East	3	0	2013-10-15 14:47:56.488405+02	\N	\N	\N	\N	\N	\N	f	
30127	4a22c0d3-a3fc-41bf-9c5a-a01754991215	Forteau	Forteau	3	0	2013-10-15 14:47:21.733223+02	\N	\N	\N	\N	\N	\N	f	
30130	ca489c99-a7dc-48d1-9af3-7950b3482f2a	Oxford, Nova Scotia	Oxford, Nova Scotia	3	0	2013-10-15 14:48:11.61297+02	\N	\N	\N	\N	\N	\N	f	
30131	3d17876d-479e-4353-8c66-28f6ef3bf9d1	Lac-à-la-Tortue, Quebec	Lac-à-la-Tortue, Quebec	3	0	2013-10-15 14:48:26.927568+02	\N	\N	\N	\N	\N	\N	f	
30133	5845e6f7-aea1-4162-8b2b-c69ad42abf34	Sundre	Sundre	3	0	2013-10-15 14:48:54.817049+02	\N	\N	\N	\N	\N	\N	f	
30132	956b37a4-c128-4fb7-930c-77af0db070e0	L'Anse-au-Loup	L'Anse-au-Loup	3	0	2013-10-15 14:48:40.793701+02	\N	\N	\N	\N	\N	\N	f	
30134	e1e04e1d-b1dc-4dc3-b976-0adf4a234e32	Kippens	Kippens	3	0	2013-10-15 14:49:09.621646+02	\N	\N	\N	\N	\N	\N	f	
30135	04cb2a57-8c0d-4e35-a0d8-013e00239821	Emerson	Emerson	3	0	2013-10-15 14:49:23.262936+02	\N	\N	\N	\N	\N	\N	f	
30136	256dbc50-6a68-42ab-bc2e-3278fe92c4b0	Lamaline	Lamaline	3	0	2013-10-15 14:49:39.03659+02	\N	\N	\N	\N	\N	\N	f	
30137	3fe92f0c-364e-4205-bf5f-e17c4979ce93	Frederikssund	Frederikssund	3	0	2013-10-15 14:49:52.612599+02	\N	\N	\N	\N	\N	\N	f	
30138	05e48b69-4d70-41d0-820f-ab219db10822	St. Charles	St. Charles	3	0	2013-10-15 14:50:05.797232+02	\N	\N	\N	\N	\N	\N	f	
30139	667d0265-17dd-4cae-811f-8dd4f6580412	Harbour Grace	Harbour Grace	3	0	2013-10-15 14:50:19.263618+02	\N	\N	\N	\N	\N	\N	f	
30140	6ba8aa5e-813d-4ea4-b085-621a524fd5f5	Iroquois Falls	Iroquois Falls	3	0	2013-10-15 14:50:32.980326+02	\N	\N	\N	\N	\N	\N	f	
30141	fa1783b0-b2e3-45e1-aa27-4bc5d73d6591	Deep River	Deep River	3	0	2013-10-15 14:50:46.516301+02	\N	\N	\N	\N	\N	\N	f	
30142	37a5b6a8-6fae-40fd-b53d-c96254f16a89	Lewin's Cove	Lewin's Cove	3	0	2013-10-15 14:51:00.131454+02	\N	\N	\N	\N	\N	\N	f	
30143	52c1e445-9467-45cd-b0fd-e80bb9411932	Plympton–Wyoming	Plympton–Wyoming	3	0	2013-10-15 14:51:15.149186+02	\N	\N	\N	\N	\N	\N	f	
30144	8deedec9-05aa-4d5e-8d96-d5a54d30ed10	Harbour Breton	Harbour Breton	3	0	2013-10-15 14:51:28.417228+02	\N	\N	\N	\N	\N	\N	f	
30145	3e3a13f0-2816-47fe-9c1e-2de27d8d593c	Laurentian Hills	Laurentian Hills	3	0	2013-10-15 14:51:42.010524+02	\N	\N	\N	\N	\N	\N	f	
30174	9b28d2d6-389b-4053-8f23-2678ccf0945c	Ramea	Ramea	3	0	2013-10-15 14:58:41.998402+02	\N	\N	\N	\N	\N	\N	f	
30146	746bce24-b185-47cc-93ae-692088e978d1	Lawn, Newfoundland and Labrador	Lawn, Newfoundland and Labrador	3	0	2013-10-15 14:51:55.59674+02	\N	\N	\N	\N	\N	\N	f	
30147	23ec0a5f-12ff-47e1-a9e4-822931e46846	Lord's Cove	Lord's Cove	3	0	2013-10-15 14:52:09.27204+02	\N	\N	\N	\N	\N	\N	f	
30148	2ac2a29b-ed2a-4fc6-b369-daf002358f9d	Bon Accord	Bon Accord	3	0	2013-10-15 14:52:29.021991+02	\N	\N	\N	\N	\N	\N	f	
30149	bf702ea7-6d78-4ef1-a1c7-872b93c76e60	Wabana, Newfoundland and Labrador	Wabana, Newfoundland and Labrador	3	0	2013-10-15 14:52:43.87481+02	\N	\N	\N	\N	\N	\N	f	
30150	e95aa09e-3afa-4059-8f27-73922d8ee1ba	Sever do Vouga Municipality	Sever do Vouga Municipality	3	0	2013-10-15 14:52:57.815923+02	\N	\N	\N	\N	\N	\N	f	
30151	5c10aca8-9131-44f0-a448-949d54dcaadd	Aguada de Cima	Aguada de Cima	3	0	2013-10-15 14:53:13.047355+02	\N	\N	\N	\N	\N	\N	f	
30152	77090ef4-18b0-4911-b7fc-17fc563eb600	Whitbourne, Newfoundland and Labrador	Whitbourne, Newfoundland and Labrador	3	0	2013-10-15 14:53:26.300043+02	\N	\N	\N	\N	\N	\N	f	
30153	737294e8-eb3e-421c-b4d9-648270d7a3f8	Parker's Cove, Newfoundland and Labrador	Parker's Cove, Newfoundland and Labrador	3	0	2013-10-15 14:53:40.373707+02	\N	\N	\N	\N	\N	\N	f	
30155	c0572193-268e-4c73-bdf4-f61e0620094e	Middleton, Nova Scotia	Middleton, Nova Scotia	3	0	2013-10-15 14:54:07.740215+02	\N	\N	\N	\N	\N	\N	f	
30156	06518609-3ef3-4447-adf4-23fcaca46f70	Petty Harbour-Maddox Cove	Petty Harbour-Maddox Cove	3	0	2013-10-15 14:54:21.05441+02	\N	\N	\N	\N	\N	\N	f	
30157	27dae173-354f-470a-be00-1b0b4f3767bc	Makkovik	Makkovik	3	0	2013-10-15 14:54:34.787825+02	\N	\N	\N	\N	\N	\N	f	
30158	6b5e404b-b079-4f33-b9e8-21a27fa922f6	Caxias	Caxias	3	0	2013-10-15 14:54:48.900725+02	\N	\N	\N	\N	\N	\N	f	
30159	c5d5dcfe-c682-4cce-b110-f9c31eb0efdf	Nain, Newfoundland and Labrador	Nain, Newfoundland and Labrador	3	0	2013-10-15 14:55:01.969954+02	\N	\N	\N	\N	\N	\N	f	
30165	aedcc673-2d51-4390-a159-f3c43704411d	Pouch Cove	Pouch Cove	3	0	2013-10-15 14:56:30.790841+02	\N	\N	\N	\N	\N	\N	f	
30167	465b9c14-4da4-40a9-aca4-90ae8d8f9ba6	Acton, Ontario	Acton, Ontario	3	0	2013-10-15 14:56:58.524727+02	\N	\N	\N	\N	\N	\N	f	
30168	84298175-607d-4ec7-8e52-44f7d6c9e29e	Saint-Gérard-des-Laurentides, Quebec	Saint-Gérard-des-Laurentides, Quebec	3	0	2013-10-15 14:57:12.131279+02	\N	\N	\N	\N	\N	\N	f	
30160	d5784463-f980-435b-828b-e63704897d3c	Oliver, British Columbia	Oliver, British Columbia	3	0	2013-10-15 14:55:16.710523+02	\N	\N	\N	\N	\N	\N	f	
30161	595877a5-f32a-447a-83d1-30b4f3dd14b0	Marystown	Marystown	3	0	2013-10-15 14:55:30.053305+02	\N	\N	\N	\N	\N	\N	f	
30371	9b6dd2af-9ce3-463b-9b17-34839614dde0	Redwater	Redwater	3	0	2013-10-15 21:05:35.419237+02	\N	\N	\N	\N	\N	\N	f	
30162	1a9f7d5e-e045-401f-87c9-3126725fc489	Mary's Harbour	Mary's Harbour	3	0	2013-10-15 14:55:43.705247+02	\N	\N	\N	\N	\N	\N	f	
30163	6e43d2b5-9dfc-4fe0-8199-a7cf625269fd	Pasadena, Newfoundland and Labrador	Pasadena, Newfoundland and Labrador	3	0	2013-10-15 14:55:57.640315+02	\N	\N	\N	\N	\N	\N	f	
30164	3a3736aa-f3e4-4e19-9521-ab20189cb9e3	Norris Point	Norris Point	3	0	2013-10-15 14:56:11.351668+02	\N	\N	\N	\N	\N	\N	f	
30166	b3c4af22-4ab1-49a8-98d7-8966f1784594	Rayside-Balfour	Rayside-Balfour	3	0	2013-10-15 14:56:45.017436+02	\N	\N	\N	\N	\N	\N	f	
30169	76ff439d-73a8-41e6-bc6b-476da3a3428f	Rocky Harbour, Newfoundland and Labrador	Rocky Harbour, Newfoundland and Labrador	3	0	2013-10-15 14:57:26.342258+02	\N	\N	\N	\N	\N	\N	f	
30170	09a58f4c-f904-467c-a7bb-5852d0d83537	Port au Port East	Port au Port East	3	0	2013-10-15 14:57:46.991925+02	\N	\N	\N	\N	\N	\N	f	
30171	2834b2f0-28e8-41d6-857b-cfaa3e413f6e	Saint-Georges, Shawinigan	Saint-Georges, Shawinigan	3	0	2013-10-15 14:58:00.720031+02	\N	\N	\N	\N	\N	\N	f	
30172	800e38f4-6257-4d94-994a-7d6358cf97ce	Red Harbour	Red Harbour	3	0	2013-10-15 14:58:14.70901+02	\N	\N	\N	\N	\N	\N	f	
30173	2dc87ea9-a2d4-42cb-936d-034167df7f8b	Richibucto	Richibucto	3	0	2013-10-15 14:58:28.430902+02	\N	\N	\N	\N	\N	\N	f	
30175	643e6c15-1d01-4e31-9870-99fba77a0e84	Saint-Jean-des-Piles, Quebec	Saint-Jean-des-Piles, Quebec	3	0	2013-10-15 14:58:55.631328+02	\N	\N	\N	\N	\N	\N	f	
30176	1f4ca65a-b78f-49e6-b578-cf1c545f361f	Rushoon	Rushoon	3	0	2013-10-15 14:59:11.468807+02	\N	\N	\N	\N	\N	\N	f	
30178	56b6889c-7111-4cc7-a05d-bf69604646c9	St. George, New Brunswick	St. George, New Brunswick	3	0	2013-10-15 14:59:39.122146+02	\N	\N	\N	\N	\N	\N	f	
30177	f91e1c0d-7730-417b-958b-a7a49678a08a	Sally's Cove	Sally's Cove	3	0	2013-10-15 14:59:25.360303+02	\N	\N	\N	\N	\N	\N	f	
30179	1cd2ffdb-b684-4e82-9473-f5d97a82ce09	Port au Choix	Port au Choix	3	0	2013-10-15 14:59:52.5856+02	\N	\N	\N	\N	\N	\N	f	
30180	02d0a50d-cfaa-4908-bb60-eed14cf4735c	Trout River, Newfoundland and Labrador	Trout River, Newfoundland and Labrador	3	0	2013-10-15 15:00:12.8365+02	\N	\N	\N	\N	\N	\N	f	
30181	1812b70c-f8e9-4d25-b969-b896cd2b8d2a	St. Pauls, Newfoundland and Labrador	St. Pauls, Newfoundland and Labrador	3	0	2013-10-15 17:38:36.441149+02	\N	\N	\N	\N	\N	\N	f	
30199	eadfb657-26fa-4e3b-9a6b-622c108e4cb7	Saugeen Shores	Saugeen Shores	3	0	2013-10-15 17:43:06.557753+02	\N	\N	\N	\N	\N	\N	f	
30182	14328840-7c70-465a-a6da-150540f1dc60	Terrenceville	Terrenceville	3	0	2013-10-15 17:38:55.102341+02	\N	\N	\N	\N	\N	\N	f	
30183	1ef19cbd-f0bd-490b-aabe-99bd920492f4	Stavely	Stavely	3	0	2013-10-15 17:39:10.5529+02	\N	\N	\N	\N	\N	\N	f	
30212	d142ba78-f2f4-479b-8011-fe00224598f9	Sidney, British Columbia	Sidney, British Columbia	3	0	2013-10-15 17:46:23.063746+02	\N	\N	\N	\N	\N	\N	f	
30184	facfd558-aa79-4c81-b986-a12dfc5905e9	Trent Hills	Trent Hills	3	0	2013-10-15 17:39:24.897771+02	\N	\N	\N	\N	\N	\N	f	
30200	1c07f31c-dfba-4cdb-b895-866a0c36780f	New Tecumseth	New Tecumseth	3	0	2013-10-15 17:43:20.578719+02	\N	\N	\N	\N	\N	\N	f	
30185	1d0d26b0-5fa3-4a09-935e-ef6c6c108d2c	Greenstone	Greenstone	3	0	2013-10-15 17:39:38.491891+02	\N	\N	\N	\N	\N	\N	f	
30186	f883ec44-2076-45cb-8b3c-8636f71fff00	South Bruce Peninsula	South Bruce Peninsula	3	0	2013-10-15 17:39:55.075232+02	\N	\N	\N	\N	\N	\N	f	
30187	4a1e1f86-47a4-4e64-a27c-96e0dfe774b5	Lambton Shores	Lambton Shores	3	0	2013-10-15 17:40:08.859967+02	\N	\N	\N	\N	\N	\N	f	
30201	c9410deb-e03c-4cc7-b56b-b1877473a02c	Innisfil	Innisfil	3	0	2013-10-15 17:43:34.433024+02	\N	\N	\N	\N	\N	\N	f	
30188	6f220160-509e-4b06-b937-36054b3d8060	Westville, Nova Scotia	Westville, Nova Scotia	3	0	2013-10-15 17:40:22.394464+02	\N	\N	\N	\N	\N	\N	f	
30189	fc8f6160-64fa-458c-8165-f87a7114a659	Kincardine	Kincardine	3	0	2013-10-15 17:40:36.517681+02	\N	\N	\N	\N	\N	\N	f	
30222	54132b0b-4062-43ba-a44c-0297431d9ba6	South Huron	South Huron	3	0	2013-10-15 17:48:55.447666+02	\N	\N	\N	\N	\N	\N	f	
30190	4549316a-74f2-4386-8aed-88c2aafb283c	Viking	Viking	3	0	2013-10-15 17:40:50.322369+02	\N	\N	\N	\N	\N	\N	f	
30202	0a23255c-613c-4a3c-870b-77369acb709f	Meaford	Meaford	3	0	2013-10-15 17:43:51.539008+02	\N	\N	\N	\N	\N	\N	f	
30191	17e0cd30-553d-458b-903c-6edc1080eb98	St. Alban's, Newfoundland and Labrador	St. Alban's, Newfoundland and Labrador	3	0	2013-10-15 17:41:05.123347+02	\N	\N	\N	\N	\N	\N	f	
30192	7d9b8645-df0f-4008-91dc-2b1231f08817	Bradford West Gwillimbury	Bradford West Gwillimbury	3	0	2013-10-15 17:41:22.292937+02	\N	\N	\N	\N	\N	\N	f	
30213	3e372404-1435-4c75-b178-c87b4d9a1caa	Snow Lake	Snow Lake	3	0	2013-10-15 17:46:36.793243+02	\N	\N	\N	\N	\N	\N	f	
30193	744e46d7-e706-49ad-93f6-4122106f6e22	St. Lawrence, Newfoundland and Labrador	St. Lawrence, Newfoundland and Labrador	3	0	2013-10-15 17:41:36.158522+02	\N	\N	\N	\N	\N	\N	f	
30203	3a77dbf5-d49e-462b-b1dc-238be535d497	St. Bernard's-Jacques Fontaine	St. Bernard's-Jacques Fontaine	3	0	2013-10-15 17:44:06.051502+02	\N	\N	\N	\N	\N	\N	f	
30194	d1d953f1-a261-4528-8cdb-a1cd9bf2b92e	Shawinigan-Sud, Quebec	Shawinigan-Sud, Quebec	3	0	2013-10-15 17:41:53.996551+02	\N	\N	\N	\N	\N	\N	f	
30195	afd77e00-29b3-4e37-b48a-93b488705d7b	Spanish	Spanish	3	0	2013-10-15 17:42:08.089068+02	\N	\N	\N	\N	\N	\N	f	
30196	6f8b2aa3-65c1-40d3-8f4c-dae826706853	Woody Point, Newfoundland and Labrador	Woody Point, Newfoundland and Labrador	3	0	2013-10-15 17:42:24.875343+02	\N	\N	\N	\N	\N	\N	f	
30204	92f49bea-e223-4596-b7b0-8cd47b60c0a4	Barrancos Municipality	Barrancos Municipality	3	0	2013-10-15 17:44:27.15873+02	\N	\N	\N	\N	\N	\N	f	
30197	9fd2c146-9a9f-4806-a92f-b8498a2492a0	Huron East	Huron East	3	0	2013-10-15 17:42:39.042862+02	\N	\N	\N	\N	\N	\N	f	
30198	b36454e6-ffad-4823-93a7-00fe321a3d44	Trenton, Nova Scotia	Trenton, Nova Scotia	3	0	2013-10-15 17:42:53.072798+02	\N	\N	\N	\N	\N	\N	f	
30214	ac88ca98-b74e-4349-8630-06efe8bbba37	Amherstburg	Amherstburg	3	0	2013-10-15 17:46:49.97869+02	\N	\N	\N	\N	\N	\N	f	
30205	7d32d490-258d-491e-9ecd-b97da8a99805	Imperial	Imperial	3	0	2013-10-15 17:44:40.479254+02	\N	\N	\N	\N	\N	\N	f	
30206	bfe52acd-814c-4bca-9539-7ffb68618288	Bishop's Falls	Bishop's Falls	3	0	2013-10-15 17:44:54.371427+02	\N	\N	\N	\N	\N	\N	f	
30228	ecaf7847-5eb4-4480-9ebb-5c48f0ebf2d4	Pelham	Pelham	3	0	2013-10-15 17:50:31.75584+02	\N	\N	\N	\N	\N	\N	f	
30207	2e674c13-6160-4499-93a1-3ea1ca54d23a	Murtosa Municipality	Murtosa Municipality	3	0	2013-10-15 17:45:09.340141+02	\N	\N	\N	\N	\N	\N	f	
30215	c4714763-e815-4251-b077-f4e57347706d	Castelo de Paiva	Castelo de Paiva	3	0	2013-10-15 17:47:03.762796+02	\N	\N	\N	\N	\N	\N	f	
30208	419e329c-a2a3-42b2-9984-e28296615bf7	Miranda do Corvo	Miranda do Corvo	3	0	2013-10-15 17:45:23.29897+02	\N	\N	\N	\N	\N	\N	f	
30209	038d342a-0676-444c-a1d3-7245cc32b165	Grand Rapids	Grand Rapids	3	0	2013-10-15 17:45:42.340101+02	\N	\N	\N	\N	\N	\N	f	
30223	6b07657a-8b03-4bd3-ad14-f2fc379e72b4	High Level	High Level	3	0	2013-10-15 17:49:15.765085+02	\N	\N	\N	\N	\N	\N	f	
30210	f34e60c5-8ec7-425c-a2f1-d45233df19ce	Vermilion	Vermilion	3	0	2013-10-15 17:45:55.635294+02	\N	\N	\N	\N	\N	\N	f	
30216	a4ad8b7c-a466-44ff-86b0-73e0168b8bee	Bowden	Bowden	3	0	2013-10-15 17:47:18.256907+02	\N	\N	\N	\N	\N	\N	f	
30211	fe21935e-0c4d-49d5-8706-3986daf418a6	Plum Coulee	Plum Coulee	3	0	2013-10-15 17:46:09.594212+02	\N	\N	\N	\N	\N	\N	f	
30217	c27f563b-3051-4ae8-a737-3517114de28f	Penhold	Penhold	3	0	2013-10-15 17:47:32.307807+02	\N	\N	\N	\N	\N	\N	f	
30218	ec788e36-1efd-4921-b283-716a7d33a483	Old Orchard Beach	Old Orchard Beach	3	0	2013-10-15 17:47:45.784138+02	\N	\N	\N	\N	\N	\N	f	
30224	98fb8f29-4d80-4dca-876e-0d35af661381	São João de Vêr	São João de Vêr	3	0	2013-10-15 17:49:29.239947+02	\N	\N	\N	\N	\N	\N	f	
30219	e6c1f8c1-6b89-4daf-b175-3e720031718a	Altona	Altona	3	0	2013-10-15 17:48:07.524527+02	\N	\N	\N	\N	\N	\N	f	
30220	b459e1a2-17be-4e09-83ed-9bdb1afd6fdb	Lynn Lake	Lynn Lake	3	0	2013-10-15 17:48:21.171514+02	\N	\N	\N	\N	\N	\N	f	
30232	8e168faa-81ee-4a05-82db-402218b8e77b	Alvite	Alvite	3	0	2013-10-15 17:51:33.876537+02	\N	\N	\N	\N	\N	\N	f	
30221	f1bf89c1-9d5b-4943-ad17-501e2372b91f	Grandview	Grandview	3	0	2013-10-15 17:48:35.023888+02	\N	\N	\N	\N	\N	\N	f	
30225	370563bb-fb3b-47de-83df-af8e230d4f34	Leaf Rapids	Leaf Rapids	3	0	2013-10-15 17:49:44.773622+02	\N	\N	\N	\N	\N	\N	f	
30229	0367f60a-718a-40b5-b010-821c4d7d161d	Alvaiázere	Alvaiázere	3	0	2013-10-15 17:50:48.464736+02	\N	\N	\N	\N	\N	\N	f	
30226	a936970b-2b76-4143-baa2-37ea3f61fc53	Vila Nova de Poiares	Vila Nova de Poiares	3	0	2013-10-15 17:49:58.171792+02	\N	\N	\N	\N	\N	\N	f	
30227	8f1e71eb-2caf-4f96-b832-7ce8904da505	Góis Municipality	Góis Municipality	3	0	2013-10-15 17:50:11.692074+02	\N	\N	\N	\N	\N	\N	f	
30230	f73ab92b-728c-43de-ae3c-ce99eb2f3107	Montemor-o-Velho	Montemor-o-Velho	3	0	2013-10-15 17:51:05.205964+02	\N	\N	\N	\N	\N	\N	f	
30231	5251d1b8-2cf6-4960-8c9a-346e07f1293c	Amherst, Nova Scotia	Amherst, Nova Scotia	3	0	2013-10-15 17:51:18.388373+02	\N	\N	\N	\N	\N	\N	f	
30233	76857e60-cb07-4e28-b432-1421cb7fde1f	Lincoln	Lincoln	3	0	2013-10-15 17:51:48.05927+02	\N	\N	\N	\N	\N	\N	f	
30234	984ed874-302b-4732-bd93-a16b47d0e0df	Picture Butte	Picture Butte	3	0	2013-10-15 17:52:03.468019+02	\N	\N	\N	\N	\N	\N	f	
30235	28d6b858-a712-4072-9509-f574b8a0127b	Bridgewater, Nova Scotia	Bridgewater, Nova Scotia	3	0	2013-10-15 17:52:22.495683+02	\N	\N	\N	\N	\N	\N	f	
30237	51e12c0f-8242-4c85-93f5-26c8703add74	Latchford	Latchford	3	0	2013-10-15 17:52:49.900687+02	\N	\N	\N	\N	\N	\N	f	
30236	6ef942c9-2c76-4fd0-9c9f-58afe66bbff1	Shelburne	Shelburne	3	0	2013-10-15 17:52:36.049021+02	\N	\N	\N	\N	\N	\N	f	
30238	eba4a25b-8385-49d1-836f-39124ce5dbd1	Bluewater	Bluewater	3	0	2013-10-15 17:53:03.716091+02	\N	\N	\N	\N	\N	\N	f	
30239	7f270d91-6253-4fe8-9959-e5529c567c94	The Blue Mountains	The Blue Mountains	3	0	2013-10-15 17:53:18.69137+02	\N	\N	\N	\N	\N	\N	f	
30240	7009ec76-17b0-4a79-96c7-eb4b48225183	Blind River	Blind River	3	0	2013-10-15 17:53:32.333675+02	\N	\N	\N	\N	\N	\N	f	
30241	0e66984b-222e-410d-acfd-6395bbe8cf2f	Kearney	Kearney	3	0	2013-10-15 17:53:46.370016+02	\N	\N	\N	\N	\N	\N	f	
30242	3136c5c5-bd23-484f-9f75-39a515fd6efd	Northeastern Manitoulin and the Islands	Northeastern Manitoulin and the Islands	3	0	2013-10-15 17:54:01.00141+02	\N	\N	\N	\N	\N	\N	f	
30243	3b67a15b-6620-418c-bf85-44bac49196b4	Markstay-Warren	Markstay-Warren	3	0	2013-10-15 17:54:14.707907+02	\N	\N	\N	\N	\N	\N	f	
30245	cb3e53ff-4b8e-4864-95b9-1eba1c5c4678	Ancaster	Ancaster	3	0	2013-10-15 17:54:49.514901+02	\N	\N	\N	\N	\N	\N	f	
30244	fd34087f-66f7-426c-81a2-272224ab2687	Beverly, Alberta	Beverly, Alberta	3	0	2013-10-15 17:54:35.654571+02	\N	\N	\N	\N	\N	\N	f	
30246	f5fb6b27-47be-4c72-bb77-189630a9d0d6	Souris	Souris	3	0	2013-10-15 17:55:03.526413+02	\N	\N	\N	\N	\N	\N	f	
30247	8ed0edd5-5a66-4fe9-a86e-4b1e40a17e8c	Swan River	Swan River	3	0	2013-10-15 17:55:17.007589+02	\N	\N	\N	\N	\N	\N	f	
30248	10accd63-4f36-42e7-a03f-f4c3d2c8d82d	Ponte de Lima	Ponte de Lima	3	0	2013-10-15 17:55:31.403617+02	\N	\N	\N	\N	\N	\N	f	
30249	dd09f8e3-77f6-44de-99ea-2becf134a608	Arcos de Valdevez	Arcos de Valdevez	3	0	2013-10-15 17:55:47.2063+02	\N	\N	\N	\N	\N	\N	f	
30251	2728c4d7-f422-4595-ad9c-8c3ce0560515	Nazaré	Nazaré	3	0	2013-10-15 17:56:21.647382+02	\N	\N	\N	\N	\N	\N	f	
30253	a9352876-c1e1-403e-a8ff-077c795759ab	Blairmore, Alberta	Blairmore, Alberta	3	0	2013-10-15 17:56:51.410872+02	\N	\N	\N	\N	\N	\N	f	
30252	61153fbe-bccd-488b-8e27-70d53f1e059b	Capreol	Capreol	3	0	2013-10-15 17:56:35.065327+02	\N	\N	\N	\N	\N	\N	f	
30254	4b5b281b-f599-4867-b302-227812cace9c	Coalhurst	Coalhurst	3	0	2013-10-15 17:57:04.879978+02	\N	\N	\N	\N	\N	\N	f	
30255	6844906f-2287-4d3b-b69e-976664889f2c	Conne, Fortune Bay	Conne, Fortune Bay	3	0	2013-10-15 17:57:25.34341+02	\N	\N	\N	\N	\N	\N	f	
30256	dac4edad-c591-4553-848d-1b7342ffa134	Trochu	Trochu	3	0	2013-10-15 17:57:39.138329+02	\N	\N	\N	\N	\N	\N	f	
30257	4ff571d0-29a3-45db-90b9-3c02093bf901	Colliers, Newfoundland and Labrador	Colliers, Newfoundland and Labrador	3	0	2013-10-15 17:57:55.885762+02	\N	\N	\N	\N	\N	\N	f	
30258	9ec76dac-55ca-43b7-ad05-73b045d19cf1	Coleman	Coleman	3	0	2013-10-15 17:58:15.927024+02	\N	\N	\N	\N	\N	\N	f	
30259	d8aef070-1b18-43f3-9440-6b6abed6d683	Cynthia, Alberta	Cynthia, Alberta	3	0	2013-10-15 17:58:38.113024+02	\N	\N	\N	\N	\N	\N	f	
30260	64a4a19f-2ca8-4814-b7b1-f42cd069677d	Crow Head	Crow Head	3	0	2013-10-15 17:58:55.935301+02	\N	\N	\N	\N	\N	\N	f	
30261	af3d645d-9038-4d31-bc49-b818dc25ee71	Dover, Newfoundland and Labrador	Dover, Newfoundland and Labrador	3	0	2013-10-15 17:59:12.19908+02	\N	\N	\N	\N	\N	\N	f	
30262	3799a765-ae8f-46a5-af57-39b2b644fb6b	Ourique Municipality	Ourique Municipality	3	0	2013-10-15 17:59:36.201789+02	\N	\N	\N	\N	\N	\N	f	
30263	3ea8d492-ab7b-41cb-8b31-46d919913ade	Celorico da Beira Municipality	Celorico da Beira Municipality	3	0	2013-10-15 17:59:55.761996+02	\N	\N	\N	\N	\N	\N	f	
30264	f101d461-3397-4f89-92c9-6cd444d20e57	Daniel's Harbour	Daniel's Harbour	3	0	2013-10-15 18:00:15.504464+02	\N	\N	\N	\N	\N	\N	f	
30267	9be3cab0-0c46-4242-bb57-b0e26c01a49a	Diamond City, Alberta	Diamond City, Alberta	3	0	2013-10-15 18:01:09.714261+02	\N	\N	\N	\N	\N	\N	f	
30276	38a89a7f-ae8f-4ac9-8700-608fced651ee	Vimioso Municipality	Vimioso Municipality	3	0	2013-10-15 18:03:32.317162+02	\N	\N	\N	\N	\N	\N	f	
30279	5f1c72f6-5af0-41e7-b655-1a473e62ed96	Vieira do Minho Municipality	Vieira do Minho Municipality	3	0	2013-10-15 18:04:11.649725+02	\N	\N	\N	\N	\N	\N	f	
30265	b0b0c48b-0969-463e-a8a5-7f79c9c4c480	Cymric, Saskatchewan	Cymric, Saskatchewan	3	0	2013-10-15 18:00:30.49398+02	\N	\N	\N	\N	\N	\N	f	
30266	b02fd8f1-3d9c-491c-a404-4a86da41776d	Duntara	Duntara	3	0	2013-10-15 18:00:50.624998+02	\N	\N	\N	\N	\N	\N	f	
30268	2b43be61-908d-4840-b915-b9031e419d1a	Dalhousie, New Brunswick	Dalhousie, New Brunswick	3	0	2013-10-15 18:01:26.09454+02	\N	\N	\N	\N	\N	\N	f	
30269	392c041b-691e-4e87-a867-baedfe6c3ec9	Arnprior	Arnprior	3	0	2013-10-15 18:01:48.915982+02	\N	\N	\N	\N	\N	\N	f	
30273	8712ed01-d49f-41a9-80e4-daee8bc76456	Embree, Newfoundland and Labrador	Embree, Newfoundland and Labrador	3	0	2013-10-15 18:02:44.043583+02	\N	\N	\N	\N	\N	\N	f	
30274	1a4c4b85-f912-4a7a-be71-218109725e6b	Fergus, Ontario	Fergus, Ontario	3	0	2013-10-15 18:02:58.226777+02	\N	\N	\N	\N	\N	\N	f	
30270	252d848a-f6ad-4dea-b10d-4669cedcc30c	Elliston, Newfoundland and Labrador	Elliston, Newfoundland and Labrador	3	0	2013-10-15 18:02:02.487769+02	\N	\N	\N	\N	\N	\N	f	
30271	511726ad-c3da-4854-871a-c8eee670a732	Eastport, Newfoundland and Labrador	Eastport, Newfoundland and Labrador	3	0	2013-10-15 18:02:16.643738+02	\N	\N	\N	\N	\N	\N	f	
30272	b7477f68-846d-448c-af3a-519e1c70b8bf	Soure Municipality, Portugal	Soure Municipality, Portugal	3	0	2013-10-15 18:02:30.8592+02	\N	\N	\N	\N	\N	\N	f	
30275	40f1a583-0bac-42f1-b820-45c9f2d65467	Englee	Englee	3	0	2013-10-15 18:03:11.737022+02	\N	\N	\N	\N	\N	\N	f	
30277	f9910997-ceda-424f-a1da-6070860b7f62	Serpa Municipality	Serpa Municipality	3	0	2013-10-15 18:03:45.463639+02	\N	\N	\N	\N	\N	\N	f	
30278	78db1bfe-59c3-47be-bf26-4362cbc676ea	Carrazeda de Ansiães Municipality	Carrazeda de Ansiães Municipality	3	0	2013-10-15 18:03:58.634639+02	\N	\N	\N	\N	\N	\N	f	
30311	b13de856-e886-4fcd-bb5e-0ce8b7487443	Ansião	Ansião	3	0	2013-10-15 20:49:59.862665+02	\N	\N	\N	\N	\N	\N	f	
30280	b402630e-4fad-4779-b6bd-d95253295841	Vidigueira Municipality	Vidigueira Municipality	3	0	2013-10-15 18:04:24.987514+02	\N	\N	\N	\N	\N	\N	f	
30298	e510b99f-dcab-41e2-816d-0b19a7f87cbe	Flower's Cove	Flower's Cove	3	0	2013-10-15 20:46:57.6541+02	\N	\N	\N	\N	\N	\N	f	
30281	9f816185-e0b6-49ac-98db-65b209c8737b	Blumenau	Blumenau	3	0	2013-10-15 20:22:59.55782+02	\N	\N	\N	\N	\N	\N	f	
30282	538b32cc-0b9c-4cfe-bca6-ec4e330262b8	Fox Cove-Mortier	Fox Cove-Mortier	3	0	2013-10-15 20:43:07.094205+02	\N	\N	\N	\N	\N	\N	f	
30283	6ada7f24-5d47-4a93-af78-5daa8557f79a	Fox Creek	Fox Creek	3	0	2013-10-15 20:43:25.117686+02	\N	\N	\N	\N	\N	\N	f	
30299	53476640-ebdb-4fd8-9e23-3571d75b5944	Terras de Bouro Municipality	Terras de Bouro Municipality	3	0	2013-10-15 20:47:11.419778+02	\N	\N	\N	\N	\N	\N	f	
30284	c9747573-1ebf-451f-9101-22c61143701d	Flatrock, Newfoundland and Labrador	Flatrock, Newfoundland and Labrador	3	0	2013-10-15 20:43:39.754823+02	\N	\N	\N	\N	\N	\N	f	
30285	8ca69964-59a1-490e-868a-d111efefc470	Fogo, Newfoundland and Labrador	Fogo, Newfoundland and Labrador	3	0	2013-10-15 20:43:54.284006+02	\N	\N	\N	\N	\N	\N	f	
30286	d7d7de69-30af-49d7-8da8-17e48d93639e	Fleur de Lys, Newfoundland and Labrador	Fleur de Lys, Newfoundland and Labrador	3	0	2013-10-15 20:44:10.653892+02	\N	\N	\N	\N	\N	\N	f	
30300	c8e0e25f-5f7d-4284-a607-f369c1861a34	Mogadouro	Mogadouro	3	0	2013-10-15 20:47:24.978868+02	\N	\N	\N	\N	\N	\N	f	
30287	f5168076-7e51-4cb7-9af0-7db6f06cd102	Castro Verde Municipality	Castro Verde Municipality	3	0	2013-10-15 20:44:24.490314+02	\N	\N	\N	\N	\N	\N	f	
30288	a1d2ec99-824a-41f3-acbf-8aab10e32a9b	Cabeceiras de Basto Municipality	Cabeceiras de Basto Municipality	3	0	2013-10-15 20:44:37.510712+02	\N	\N	\N	\N	\N	\N	f	
30312	76521a47-ed99-41c4-9c01-8f7913f5e3cc	Annapolis Royal	Annapolis Royal	3	0	2013-10-15 20:50:14.997865+02	\N	\N	\N	\N	\N	\N	f	
30289	7d80daa9-d175-43c8-a5d0-acccb17fcd1d	Odemira Municipality	Odemira Municipality	3	0	2013-10-15 20:44:50.954533+02	\N	\N	\N	\N	\N	\N	f	
30301	048f3781-3b6b-478f-afe1-4c563af0c1ad	Fafe Municipality	Fafe Municipality	3	0	2013-10-15 20:47:38.276647+02	\N	\N	\N	\N	\N	\N	f	
30290	81d46abd-c86d-4b3b-9790-d596eb951ca7	Foam Lake	Foam Lake	3	0	2013-10-15 20:45:04.751612+02	\N	\N	\N	\N	\N	\N	f	
30291	0039ee19-9ff6-41fe-a2df-8c745f5bd0b2	Celorico de Basto	Celorico de Basto	3	0	2013-10-15 20:45:21.063586+02	\N	\N	\N	\N	\N	\N	f	
30292	470eb464-99eb-439f-958c-4a2c835eeaf3	Vinhais	Vinhais	3	0	2013-10-15 20:45:34.294593+02	\N	\N	\N	\N	\N	\N	f	
30302	09b4dba4-c579-428b-a451-b4349021ab89	Gillams	Gillams	3	0	2013-10-15 20:47:57.80046+02	\N	\N	\N	\N	\N	\N	f	
30293	07e7830e-b112-4472-9c0d-91dd8ba638cc	Mértola Municipality	Mértola Municipality	3	0	2013-10-15 20:45:47.514333+02	\N	\N	\N	\N	\N	\N	f	
30294	def88e6e-84f4-4874-96d8-18b79c5caf69	Vila Verde Municipality	Vila Verde Municipality	3	0	2013-10-15 20:46:02.088836+02	\N	\N	\N	\N	\N	\N	f	
30295	e3b83188-812a-469a-bb15-f65878895210	Flamborough, Ontario	Flamborough, Ontario	3	0	2013-10-15 20:46:16.537206+02	\N	\N	\N	\N	\N	\N	f	
30303	41e42a78-8a04-41cd-b6b0-5841ae8c7248	Gaskiers-Point La Haye	Gaskiers-Point La Haye	3	0	2013-10-15 20:48:11.493556+02	\N	\N	\N	\N	\N	\N	f	
30296	5becccb8-65bb-4821-b970-153d50dcec4d	Fogo Island, Newfoundland and Labrador	Fogo Island, Newfoundland and Labrador	3	0	2013-10-15 20:46:30.197345+02	\N	\N	\N	\N	\N	\N	f	
30297	a90e017e-ab88-40a6-9e28-c12572cd9c55	Fox Harbour, Newfoundland and Labrador	Fox Harbour, Newfoundland and Labrador	3	0	2013-10-15 20:46:44.026708+02	\N	\N	\N	\N	\N	\N	f	
30313	6c6a6dc6-de82-4537-a989-98d4781c6330	Vizela Municipality	Vizela Municipality	3	0	2013-10-15 20:50:28.278602+02	\N	\N	\N	\N	\N	\N	f	
30304	df750dc8-9bd4-4827-ba1e-a6112a1cac76	Hant's Harbour	Hant's Harbour	3	0	2013-10-15 20:48:25.307853+02	\N	\N	\N	\N	\N	\N	f	
30305	2b2c3645-e11d-4daf-9e96-1a05e70978cf	Armamar Municipality	Armamar Municipality	3	0	2013-10-15 20:48:38.97338+02	\N	\N	\N	\N	\N	\N	f	
30320	0308ce98-866d-4eea-bea1-234b15b33775	Hampden, Newfoundland and Labrador	Hampden, Newfoundland and Labrador	3	0	2013-10-15 20:52:09.114088+02	\N	\N	\N	\N	\N	\N	f	
30306	29c871e9-d90e-4be2-8a3c-693a3f777ef4	Cuba Municipality	Cuba Municipality	3	0	2013-10-15 20:48:52.010122+02	\N	\N	\N	\N	\N	\N	f	
30314	368dd8a5-6d82-4a76-a528-6fe8b4965175	Greenspond	Greenspond	3	0	2013-10-15 20:50:42.778548+02	\N	\N	\N	\N	\N	\N	f	
30307	1baed7a3-05cf-4417-a655-082d189b611b	Heart's Desire, Newfoundland and Labrador	Heart's Desire, Newfoundland and Labrador	3	0	2013-10-15 20:49:05.127483+02	\N	\N	\N	\N	\N	\N	f	
30308	016a8c0e-582f-44be-9322-c46a60dd14c9	Glovertown	Glovertown	3	0	2013-10-15 20:49:19.011537+02	\N	\N	\N	\N	\N	\N	f	
30309	3beb9164-c175-458d-8003-fb8c7d364820	Grimshaw	Grimshaw	3	0	2013-10-15 20:49:32.759035+02	\N	\N	\N	\N	\N	\N	f	
30315	2514f8b3-aefa-4494-9519-5bcf86e8c7f0	Glenwood, Newfoundland and Labrador	Glenwood, Newfoundland and Labrador	3	0	2013-10-15 20:50:58.328815+02	\N	\N	\N	\N	\N	\N	f	
30310	6eea36c7-fec3-40a5-bec8-6f6d4c8fcc7e	Heart's Delight-Islington	Heart's Delight-Islington	3	0	2013-10-15 20:49:46.203853+02	\N	\N	\N	\N	\N	\N	f	
30324	f90e08ef-754f-4559-bd8b-6c564f4500f1	Hare Bay, Newfoundland and Labrador	Hare Bay, Newfoundland and Labrador	3	0	2013-10-15 20:53:07.38609+02	\N	\N	\N	\N	\N	\N	f	
30321	66539ff0-8402-423f-8bf8-aedf894667fe	Gleichen, Alberta	Gleichen, Alberta	3	0	2013-10-15 20:52:25.524992+02	\N	\N	\N	\N	\N	\N	f	
30316	c68bb5a1-0ad3-4ee2-8348-07e8f1e4c83d	Esposende	Esposende	3	0	2013-10-15 20:51:12.131578+02	\N	\N	\N	\N	\N	\N	f	
30317	8875bbd8-6646-40d6-ac1b-58e7f3437e07	Gaultois	Gaultois	3	0	2013-10-15 20:51:27.783156+02	\N	\N	\N	\N	\N	\N	f	
30318	5771344e-f8d6-4a39-9229-9d9fdaa9b7bb	Grand Centre, Alberta	Grand Centre, Alberta	3	0	2013-10-15 20:51:41.852732+02	\N	\N	\N	\N	\N	\N	f	
30328	74d7066e-344d-44cf-b77d-f172015e037a	Hermitage-Sandyville	Hermitage-Sandyville	3	0	2013-10-15 20:54:11.688138+02	\N	\N	\N	\N	\N	\N	f	
30319	7514ad19-8478-4dfc-950d-76d797bf34ba	Garnish, Newfoundland and Labrador	Garnish, Newfoundland and Labrador	3	0	2013-10-15 20:51:55.241201+02	\N	\N	\N	\N	\N	\N	f	
30322	cd383553-e10f-4f2a-a858-e3bb8f940426	Goose Cove East	Goose Cove East	3	0	2013-10-15 20:52:40.53544+02	\N	\N	\N	\N	\N	\N	f	
30325	e40e2715-031a-436d-9388-e7a7c3203364	Gallants	Gallants	3	0	2013-10-15 20:53:21.469074+02	\N	\N	\N	\N	\N	\N	f	
30323	14c6b80f-4ff4-4d9b-b1ab-d0ab2c579599	Ferreira do Alentejo Municipality	Ferreira do Alentejo Municipality	3	0	2013-10-15 20:52:54.27624+02	\N	\N	\N	\N	\N	\N	f	
30326	8d42a381-c2ff-490f-a5fc-4273f80fd468	Benavente Municipality	Benavente Municipality	3	0	2013-10-15 20:53:41.76608+02	\N	\N	\N	\N	\N	\N	f	
30333	1d731d72-cca2-4b63-ab3e-d6232e2b836a	Portel Municipality, Portugal	Portel Municipality, Portugal	3	0	2013-10-15 20:55:46.56343+02	\N	\N	\N	\N	\N	\N	f	
30327	1a08d8f7-2e5e-4fbb-a9ad-eee6ac6b5edb	Arcola	Arcola	3	0	2013-10-15 20:53:55.533829+02	\N	\N	\N	\N	\N	\N	f	
30329	8a9d3f7c-3885-4e9e-bcd3-e2f8177d466b	Bow Island	Bow Island	3	0	2013-10-15 20:54:25.401527+02	\N	\N	\N	\N	\N	\N	f	
30332	3a0aceb4-e65f-4973-b3ae-f70776225660	Arborg	Arborg	3	0	2013-10-15 20:55:19.754993+02	\N	\N	\N	\N	\N	\N	f	
30330	7b885d54-8598-48f7-9a7c-e19ee7f28bb0	Penela Municipality, Portugal	Penela Municipality, Portugal	3	0	2013-10-15 20:54:44.866599+02	\N	\N	\N	\N	\N	\N	f	
30331	9e376a17-21fc-44d0-8ec4-61f7448765e9	Holyrood	Holyrood	3	0	2013-10-15 20:55:05.532025+02	\N	\N	\N	\N	\N	\N	f	
30334	a9907ff1-2478-495c-b4cc-4b94eec7803a	Howley, Newfoundland and Labrador	Howley, Newfoundland and Labrador	3	0	2013-10-15 20:56:00.040656+02	\N	\N	\N	\N	\N	\N	f	
30335	46abc4a4-0402-4819-aa9a-b72b01a1fa41	Alcochete Municipality	Alcochete Municipality	3	0	2013-10-15 20:56:20.574599+02	\N	\N	\N	\N	\N	\N	f	
30336	353f32c2-9bb1-4513-b1ec-d9678d28d43b	Humber Arm South	Humber Arm South	3	0	2013-10-15 20:56:33.624931+02	\N	\N	\N	\N	\N	\N	f	
30337	ce5529fe-5637-4773-9fb7-2236dd2ea5b0	Stoughton	Stoughton	3	0	2013-10-15 20:56:47.402668+02	\N	\N	\N	\N	\N	\N	f	
30338	71528ee3-227c-4e7b-a47b-d21df846cc37	Deseronto	Deseronto	3	0	2013-10-15 20:57:02.545872+02	\N	\N	\N	\N	\N	\N	f	
30339	c023e139-3e51-4b3f-a01e-82af556d572e	Indian Bay	Indian Bay	3	0	2013-10-15 20:57:15.980973+02	\N	\N	\N	\N	\N	\N	f	
30340	6ef959d2-1766-433a-b9fd-42c61cc2c02e	Hughes Brook	Hughes Brook	3	0	2013-10-15 20:57:29.716867+02	\N	\N	\N	\N	\N	\N	f	
30341	5dd75cc1-cebe-47fb-a3d6-a33643da1a05	Jasper Place, Alberta	Jasper Place, Alberta	3	0	2013-10-15 20:57:49.153349+02	\N	\N	\N	\N	\N	\N	f	
30342	a87683f8-9dd4-4a01-b811-61c7c512ef46	Jackson's Arm	Jackson's Arm	3	0	2013-10-15 20:58:02.631806+02	\N	\N	\N	\N	\N	\N	f	
30343	6dcb4c80-0c94-489d-9be7-6f77360a77a7	Dundas	Dundas	3	0	2013-10-15 20:58:16.475979+02	\N	\N	\N	\N	\N	\N	f	
30344	99957f3a-c65e-4554-9204-9a0fbbcf3817	Irvine, Alberta	Irvine, Alberta	3	0	2013-10-15 20:58:31.669319+02	\N	\N	\N	\N	\N	\N	f	
30345	8a860228-068c-4c83-a6e1-a4d2af2fc30b	Isle aux Morts	Isle aux Morts	3	0	2013-10-15 20:58:45.272513+02	\N	\N	\N	\N	\N	\N	f	
30366	75a5c06d-51df-43c4-aa3a-62b311399bc5	Point May	Point May	3	0	2013-10-15 21:04:20.969267+02	\N	\N	\N	\N	\N	\N	f	
30346	41fa5602-1fce-418a-a838-bb0f48f12afa	Irishtown-Summerside	Irishtown-Summerside	3	0	2013-10-15 20:58:59.352767+02	\N	\N	\N	\N	\N	\N	f	
30347	3e2d574d-5040-4512-9d63-3fe2bb46473b	Port Hope	Port Hope	3	0	2013-10-15 20:59:13.292072+02	\N	\N	\N	\N	\N	\N	f	
30348	3a68993f-9bba-4d63-baee-61a4c8c2964d	Battleford	Battleford	3	0	2013-10-15 20:59:26.748555+02	\N	\N	\N	\N	\N	\N	f	
30349	aafee6aa-68fd-492e-9e67-af33830ef5a2	Magrath	Magrath	3	0	2013-10-15 20:59:40.425814+02	\N	\N	\N	\N	\N	\N	f	
30364	b18cd4be-41e2-440f-805d-70bc886fbb1e	Fornos de Algodres Municipality	Fornos de Algodres Municipality	3	0	2013-10-15 21:03:39.116947+02	\N	\N	\N	\N	\N	\N	f	
30350	f372b029-e4b6-4e63-a874-0d322a7e3291	Aberdeen	Aberdeen	3	0	2013-10-15 20:59:53.971595+02	\N	\N	\N	\N	\N	\N	f	
30379	ec3df1a6-ed89-43b0-b087-85ca31611a41	Meadows, Newfoundland and Labrador	Meadows, Newfoundland and Labrador	3	0	2013-10-15 21:07:36.213819+02	\N	\N	\N	\N	\N	\N	f	
30351	d00637b5-fbcf-4164-aa54-9ea5669d1b9f	Windsor	Windsor	3	0	2013-10-15 21:00:09.807796+02	\N	\N	\N	\N	\N	\N	f	
30352	ce0a5d7d-7e62-452f-86c3-746189f646e8	Joe Batt's Arm-Barr'd Islands-Shoal Bay	Joe Batt's Arm-Barr'd Islands-Shoal Bay	3	0	2013-10-15 21:00:24.70389+02	\N	\N	\N	\N	\N	\N	f	
30372	6bdd0a95-a15f-4311-8abd-e86e75850fce	Lodge Bay, Newfoundland and Labrador	Lodge Bay, Newfoundland and Labrador	3	0	2013-10-15 21:05:48.973601+02	\N	\N	\N	\N	\N	\N	f	
30353	b29133aa-61a4-4e8e-9057-80efb7589265	Almeida, Portugal	Almeida, Portugal	3	0	2013-10-15 21:00:38.750751+02	\N	\N	\N	\N	\N	\N	f	
30354	6583c427-7fb8-447e-9867-811ad3cfa4f2	Gladstone	Gladstone	3	0	2013-10-15 21:00:58.127355+02	\N	\N	\N	\N	\N	\N	f	
30355	d3482857-52d6-4ef0-a935-5417d2f74ae8	Keels, Newfoundland and Labrador	Keels, Newfoundland and Labrador	3	0	2013-10-15 21:01:12.333703+02	\N	\N	\N	\N	\N	\N	f	
30373	e1df3e95-efa6-4b6f-8aba-27059d63ed34	Little Catalina	Little Catalina	3	0	2013-10-15 21:06:03.496938+02	\N	\N	\N	\N	\N	\N	f	
30356	966f26c2-891e-4af1-b80f-ac2fe32029dd	Sardoal Municipality	Sardoal Municipality	3	0	2013-10-15 21:01:29.192666+02	\N	\N	\N	\N	\N	\N	f	
30357	ca7ad480-d675-4fe9-8206-38f7eabf2cbf	King's Point	King's Point	3	0	2013-10-15 21:01:49.262526+02	\N	\N	\N	\N	\N	\N	f	
30358	b93cf507-1046-4009-98e4-03f369753753	Lake Cowichan	Lake Cowichan	3	0	2013-10-15 21:02:03.198687+02	\N	\N	\N	\N	\N	\N	f	
30359	96f0fb01-bedf-49c5-a286-8fa725908a10	Figueira de Castelo Rodrigo Municipality	Figueira de Castelo Rodrigo Municipality	3	0	2013-10-15 21:02:16.308956+02	\N	\N	\N	\N	\N	\N	f	
30370	fc8fb8a4-c653-46d6-841d-602a2a7247ff	Lodgepole, Alberta	Lodgepole, Alberta	3	0	2013-10-15 21:05:21.664186+02	\N	\N	\N	\N	\N	\N	f	
30360	09f7c035-7980-4cb0-8c2b-d8ad0da8bb66	Mões	Mões	3	0	2013-10-15 21:02:31.334961+02	\N	\N	\N	\N	\N	\N	f	
30361	e9f911db-3839-4131-8a61-c88a091a2a3d	King's Cove	King's Cove	3	0	2013-10-15 21:02:50.342519+02	\N	\N	\N	\N	\N	\N	f	
30362	8dcb0f5e-a5e1-468e-a341-6aa38411505a	Leading Tickles	Leading Tickles	3	0	2013-10-15 21:03:08.106782+02	\N	\N	\N	\N	\N	\N	f	
30375	c46db543-b987-443c-ac55-29cbac5fd290	Lourdes, Newfoundland and Labrador	Lourdes, Newfoundland and Labrador	3	0	2013-10-15 21:06:37.954226+02	\N	\N	\N	\N	\N	\N	f	
30363	0c16aa5e-e9da-4aad-aeec-a9bf16c6aee6	Lewisporte	Lewisporte	3	0	2013-10-15 21:03:23.596337+02	\N	\N	\N	\N	\N	\N	f	
30365	d7c7bf58-47e2-4ecd-8b15-4b2f7a301a81	Carcavelos	Carcavelos	3	0	2013-10-15 21:04:00.634219+02	\N	\N	\N	\N	\N	\N	f	
30367	c0114aef-7da4-4154-933f-49b35abe087f	Hantsport	Hantsport	3	0	2013-10-15 21:04:39.148361+02	\N	\N	\N	\N	\N	\N	f	
30368	087557a4-66f7-4b64-af93-34d597dd3d01	Olival	Olival	3	0	2013-10-15 21:04:53.467036+02	\N	\N	\N	\N	\N	\N	f	
30369	2a38df2b-5212-41ee-b497-adfbe16d902c	Logy Bay-Middle Cove-Outer Cove	Logy Bay-Middle Cove-Outer Cove	3	0	2013-10-15 21:05:07.527093+02	\N	\N	\N	\N	\N	\N	f	
30376	a8b5e768-560e-40af-b332-d9c644bb5eaa	Lumsden, Newfoundland and Labrador	Lumsden, Newfoundland and Labrador	3	0	2013-10-15 21:06:52.143978+02	\N	\N	\N	\N	\N	\N	f	
30374	0335e7bf-b76f-46de-b8c9-5ac3f352c6e4	Little Bay Islands	Little Bay Islands	3	0	2013-10-15 21:06:18.090203+02	\N	\N	\N	\N	\N	\N	f	
30377	7f86b25b-f095-45dd-bc31-41e65ed5a97c	Millertown	Millertown	3	0	2013-10-15 21:07:06.716362+02	\N	\N	\N	\N	\N	\N	f	
30410	4fed85b6-45fc-48fe-ad8e-ec21fececb73	Pool's Cove	Pool's Cove	3	0	2013-10-15 23:53:20.89857+02	\N	\N	\N	\N	\N	\N	f	
30378	896971f9-d8b0-4ade-8626-7e4fec23cb12	Phil Campbell	Phil Campbell	3	0	2013-10-15 21:07:22.392647+02	\N	\N	\N	\N	\N	\N	f	
30398	b05621a9-381d-4f6a-93a5-20aa90cc8f02	Northern Arm	Northern Arm	3	0	2013-10-15 23:50:21.956637+02	\N	\N	\N	\N	\N	\N	f	
30380	62b07faf-23b8-4d52-a9aa-009e767bfda2	Figueiró dos Vinhos Municipality	Figueiró dos Vinhos Municipality	3	0	2013-10-15 21:07:50.451941+02	\N	\N	\N	\N	\N	\N	f	
30381	9d01feda-18b1-4216-a172-8cd46878b519	Red Deer	Red Deer	3	0	2013-10-15 23:31:32.004041+02	\N	\N	\N	\N	\N	\N	f	
30382	d8cfc4d7-f39f-410a-a60e-9f8d24cb2d81	Medicine Hat	Medicine Hat	3	0	2013-10-15 23:39:54.841764+02	\N	\N	\N	\N	\N	\N	f	
30399	beca4bc9-cad2-42f5-8a35-333ecaf7f281	Arborfield	Arborfield	3	0	2013-10-15 23:50:36.577891+02	\N	\N	\N	\N	\N	\N	f	
30383	4d0167f7-cca0-4498-9091-4491069afb00	Ananyiv	Ananyiv	3	0	2013-10-15 23:41:37.919233+02	\N	\N	\N	\N	\N	\N	f	
30384	d8103ccf-1c70-4440-8661-575df9e414d6	Middle Arm, Baie Verte Peninsula, Newfoundland and Labrador	Middle Arm, Baie Verte Peninsula, Newfoundland and Labrador	3	0	2013-10-15 23:46:49.066505+02	\N	\N	\N	\N	\N	\N	f	
30428	b51189c0-ed97-4ce3-80a1-538bd3a5b466	Red Head Cove, Newfoundland and Labrador	Red Head Cove, Newfoundland and Labrador	3	0	2013-10-15 23:58:22.939728+02	\N	\N	\N	\N	\N	\N	f	
30385	f632b2e8-44ca-4b66-a719-276e41a45936	Miles Cove	Miles Cove	3	0	2013-10-15 23:47:06.166862+02	\N	\N	\N	\N	\N	\N	f	
30400	b093166b-db51-40df-bfa3-8f8d1d857b51	Assiniboia	Assiniboia	3	0	2013-10-15 23:50:50.372911+02	\N	\N	\N	\N	\N	\N	f	
30386	885ffad7-87c2-4d75-9912-d15d28efe532	Lushes Bight-Beaumont-Beaumont North	Lushes Bight-Beaumont-Beaumont North	3	0	2013-10-15 23:47:20.538024+02	\N	\N	\N	\N	\N	\N	f	
30387	ea56ccb6-da7d-490f-9578-976756e114e1	Asquith	Asquith	3	0	2013-10-15 23:47:42.254425+02	\N	\N	\N	\N	\N	\N	f	
30411	425b0976-ea8e-4cce-8dbf-e0206f4ae160	Alijó Municipality	Alijó Municipality	3	0	2013-10-15 23:53:36.847794+02	\N	\N	\N	\N	\N	\N	f	
30388	c4756020-6c71-4304-b40c-1c71d7cb9962	Arraiolos	Arraiolos	3	0	2013-10-15 23:47:56.976318+02	\N	\N	\N	\N	\N	\N	f	
30401	00c30834-f638-4824-b995-563a2de04f51	Mount Carmel-Mitchells Brook-St. Catherines	Mount Carmel-Mitchells Brook-St. Catherines	3	0	2013-10-15 23:51:04.148709+02	\N	\N	\N	\N	\N	\N	f	
30389	d781bffa-9369-48ba-8010-77ff0ce324f4	Allan	Allan	3	0	2013-10-15 23:48:10.317545+02	\N	\N	\N	\N	\N	\N	f	
30390	079249ef-5686-4c1d-91db-f7264aedb097	Nipper's Harbour	Nipper's Harbour	3	0	2013-10-15 23:48:25.389169+02	\N	\N	\N	\N	\N	\N	f	
30391	75707e85-04ec-4018-9081-2465cb442c8a	Alameda	Alameda	3	0	2013-10-15 23:48:40.020433+02	\N	\N	\N	\N	\N	\N	f	
30402	10084aad-84bd-4c9a-b992-9c64ce209949	Musgravetown	Musgravetown	3	0	2013-10-15 23:51:18.434885+02	\N	\N	\N	\N	\N	\N	f	
30392	3b00ef81-caef-420f-87bc-3cf575ac6c36	Morrisville, Newfoundland and Labrador	Morrisville, Newfoundland and Labrador	3	0	2013-10-15 23:48:53.797943+02	\N	\N	\N	\N	\N	\N	f	
30393	cc9e05f7-629f-484d-87bd-200ed9e46d51	Arruda dos Vinhos	Arruda dos Vinhos	3	0	2013-10-15 23:49:09.207726+02	\N	\N	\N	\N	\N	\N	f	
30419	f413a99d-29f6-4513-9d73-b8ac4c05485a	Port Hope Simpson	Port Hope Simpson	3	0	2013-10-15 23:56:02.7635+02	\N	\N	\N	\N	\N	\N	f	
30394	09a5baed-db7f-4bae-8088-a4019936f51a	Nelas	Nelas	3	0	2013-10-15 23:49:22.916264+02	\N	\N	\N	\N	\N	\N	f	
30403	5b0c7fff-cd98-41fb-b993-0f753f0083b1	Ming's Bight	Ming's Bight	3	0	2013-10-15 23:51:33.021313+02	\N	\N	\N	\N	\N	\N	f	
30395	8321a6b0-d693-4734-a1db-7a5e0bb8de2f	Milltown-Head of Bay d'Espoir	Milltown-Head of Bay d'Espoir	3	0	2013-10-15 23:49:36.080372+02	\N	\N	\N	\N	\N	\N	f	
30396	12c68d68-3f09-4478-b5e5-fef80692e5dd	North West River	North West River	3	0	2013-10-15 23:49:53.088417+02	\N	\N	\N	\N	\N	\N	f	
30412	3ecdfa68-99a4-4914-982a-c1406a4ad4d4	Pambrun, Saskatchewan	Pambrun, Saskatchewan	3	0	2013-10-15 23:53:53.162695+02	\N	\N	\N	\N	\N	\N	f	
30397	c795734c-b3e0-47d4-baf8-08c2eba51145	Musgrave Harbour	Musgrave Harbour	3	0	2013-10-15 23:50:07.624238+02	\N	\N	\N	\N	\N	\N	f	
30404	263327d5-ec0a-4dab-b4f7-4824a25a66f0	Arnold's Cove	Arnold's Cove	3	0	2013-10-15 23:51:47.075882+02	\N	\N	\N	\N	\N	\N	f	
30405	50ad8446-bfa2-45f3-8136-04a7fad494d4	Old Perlican	Old Perlican	3	0	2013-10-15 23:52:06.20773+02	\N	\N	\N	\N	\N	\N	f	
30413	19766134-400d-4c9c-82e0-c964d03b8c6b	Paradise, Newfoundland and Labrador	Paradise, Newfoundland and Labrador	3	0	2013-10-15 23:54:10.50812+02	\N	\N	\N	\N	\N	\N	f	
30406	0d086031-3b64-4a3b-a9d0-56ad448c8167	Portugal Cove-St. Philip's	Portugal Cove-St. Philip's	3	0	2013-10-15 23:52:20.429224+02	\N	\N	\N	\N	\N	\N	f	
30407	008c647d-0276-401e-9af1-c1ae9274d497	Port au Port West-Aguathuna-Felix Cove	Port au Port West-Aguathuna-Felix Cove	3	0	2013-10-15 23:52:35.811942+02	\N	\N	\N	\N	\N	\N	f	
30425	56ace213-7f83-4b5e-9294-d5c9032fa813	Point Lance	Point Lance	3	0	2013-10-15 23:57:32.409365+02	\N	\N	\N	\N	\N	\N	f	
30408	fe47f466-e380-4fc7-8d35-abdbc6268863	Point au Gaul	Point au Gaul	3	0	2013-10-15 23:52:50.205117+02	\N	\N	\N	\N	\N	\N	f	
30414	90dece94-c0db-498d-89c5-64b44d250ee2	Portugal Cove South	Portugal Cove South	3	0	2013-10-15 23:54:28.32688+02	\N	\N	\N	\N	\N	\N	f	
30409	84ec887f-95e1-4b11-bde4-72c37a1585fd	Parson's Pond	Parson's Pond	3	0	2013-10-15 23:53:04.581035+02	\N	\N	\N	\N	\N	\N	f	
30420	25d68554-742c-46ad-a9ad-96c3afdf4223	Point Leamington	Point Leamington	3	0	2013-10-15 23:56:17.393817+02	\N	\N	\N	\N	\N	\N	f	
30415	7108ec66-5807-4d3d-bc33-d01caf7aba61	Port Saunders	Port Saunders	3	0	2013-10-15 23:54:52.036114+02	\N	\N	\N	\N	\N	\N	f	
30416	557d321c-a25c-46d1-9125-73fa5340a582	Port Anson	Port Anson	3	0	2013-10-15 23:55:11.837523+02	\N	\N	\N	\N	\N	\N	f	
30421	c003dfa4-3c71-4b8d-a80b-0489b92a02e2	Port Blandford	Port Blandford	3	0	2013-10-15 23:56:34.294537+02	\N	\N	\N	\N	\N	\N	f	
30417	2702593f-ad72-4611-b492-79e1bd0fa5b3	Pilley's Island	Pilley's Island	3	0	2013-10-15 23:55:29.581744+02	\N	\N	\N	\N	\N	\N	f	
30418	dac0d7f6-3f3b-4810-99e1-730105d5708f	Pinware	Pinware	3	0	2013-10-15 23:55:47.513603+02	\N	\N	\N	\N	\N	\N	f	
30542	5e9182f5-9127-4bf9-9a9a-4b11c423ae22	Sagres	Sagres	3	0	2013-10-16 03:08:58.776857+02	\N	\N	\N	\N	\N	\N	f	
30422	9fbb7e3d-ea52-40d2-a73c-c681e2c22d42	Postville, Newfoundland and Labrador	Postville, Newfoundland and Labrador	3	0	2013-10-15 23:56:48.98558+02	\N	\N	\N	\N	\N	\N	f	
30426	6e42ab88-68a1-4575-86cd-a5b6f7747462	River of Ponds	River of Ponds	3	0	2013-10-15 23:57:51.615849+02	\N	\N	\N	\N	\N	\N	f	
30423	1557513f-a7bb-4049-b91e-f370ffc337bb	Port Kirwan	Port Kirwan	3	0	2013-10-15 23:57:03.792303+02	\N	\N	\N	\N	\N	\N	f	
30424	bd9176fd-8d60-43e3-a69f-277abe58dcfa	Pacquet	Pacquet	3	0	2013-10-15 23:57:18.363385+02	\N	\N	\N	\N	\N	\N	f	
30430	09c3809c-4308-467f-b943-7ec1a607ae33	Alberton, Prince Edward Island	Alberton, Prince Edward Island	3	0	2013-10-15 23:58:51.945319+02	\N	\N	\N	\N	\N	\N	f	
30427	3f3199e5-90c8-4b88-b0d9-8405f2c2d1aa	Salvage, Newfoundland and Labrador	Salvage, Newfoundland and Labrador	3	0	2013-10-15 23:58:08.400561+02	\N	\N	\N	\N	\N	\N	f	
30429	2295986c-c425-459e-9411-827c4938b890	Roddickton-Bide Arm	Roddickton-Bide Arm	3	0	2013-10-15 23:58:37.483968+02	\N	\N	\N	\N	\N	\N	f	
30431	5d043b0a-36ca-421d-9f54-9f92a18ed130	Rose Blanche-Harbour le Cou	Rose Blanche-Harbour le Cou	3	0	2013-10-15 23:59:07.430691+02	\N	\N	\N	\N	\N	\N	f	
30432	d88753b6-708d-4f9f-8a89-64f749b27a67	Rencontre East	Rencontre East	3	0	2013-10-15 23:59:21.766726+02	\N	\N	\N	\N	\N	\N	f	
30433	4fb94838-6437-4fe6-9dcd-b84ae3d72070	Sandringham, Newfoundland and Labrador	Sandringham, Newfoundland and Labrador	3	0	2013-10-15 23:59:36.099373+02	\N	\N	\N	\N	\N	\N	f	
30434	0d613772-02ad-4775-8ce3-2601ae5b21d5	Riverhead, Newfoundland and Labrador	Riverhead, Newfoundland and Labrador	3	0	2013-10-15 23:59:50.355026+02	\N	\N	\N	\N	\N	\N	f	
30435	9982eb9c-da6b-4f48-a97d-ba2fb678ff15	Roddickton	Roddickton	3	0	2013-10-16 00:00:04.727987+02	\N	\N	\N	\N	\N	\N	f	
30436	357b39db-82a3-4665-a0b3-5589163e826a	Reidville, Newfoundland and Labrador	Reidville, Newfoundland and Labrador	3	0	2013-10-16 00:00:19.277507+02	\N	\N	\N	\N	\N	\N	f	
30437	e1be91b2-562d-4869-9397-533347525229	Renews-Cappahayden	Renews-Cappahayden	3	0	2013-10-16 00:00:35.370806+02	\N	\N	\N	\N	\N	\N	f	
30438	e608f465-d232-4056-b748-68f77055b88b	Rimbey	Rimbey	3	0	2013-10-16 00:00:50.188701+02	\N	\N	\N	\N	\N	\N	f	
30439	05e14675-7baf-4b8a-bf6f-5701a61ab8d6	Robert's Arm	Robert's Arm	3	0	2013-10-16 00:01:04.286068+02	\N	\N	\N	\N	\N	\N	f	
30469	5f6db21c-b6ed-44d9-bd5d-2b9bd9cf9ffb	St. Joseph's, Newfoundland and Labrador	St. Joseph's, Newfoundland and Labrador	3	0	2013-10-16 00:08:37.373996+02	\N	\N	\N	\N	\N	\N	f	
30440	78e8c7bc-f6d3-4134-ba93-38111512d4be	Esterhazy	Esterhazy	3	0	2013-10-16 00:01:18.79354+02	\N	\N	\N	\N	\N	\N	f	
30441	f235f459-7a1e-4bf0-adeb-599cbce57e06	Loriga	Loriga	3	0	2013-10-16 00:01:36.281069+02	\N	\N	\N	\N	\N	\N	f	
30442	48472caf-bf31-4c4b-aaa3-523bb9f70533	Salmon Cove	Salmon Cove	3	0	2013-10-16 00:01:49.477809+02	\N	\N	\N	\N	\N	\N	f	
30443	5684810e-ceb6-4e95-bbae-dff5748e2722	Raleigh, Newfoundland and Labrador	Raleigh, Newfoundland and Labrador	3	0	2013-10-16 00:02:04.318967+02	\N	\N	\N	\N	\N	\N	f	
30444	d328afdc-f5ec-4256-9e65-8e5caad334e8	South Brook, Newfoundland and Labrador	South Brook, Newfoundland and Labrador	3	0	2013-10-16 00:02:24.5151+02	\N	\N	\N	\N	\N	\N	f	
30445	66bc29fc-e8e2-46a1-a68f-fc6efc7631ce	Savage Cove-Sandy Cove	Savage Cove-Sandy Cove	3	0	2013-10-16 00:02:40.215845+02	\N	\N	\N	\N	\N	\N	f	
30446	454a0024-fca2-43ba-934e-627d08023571	Small Point-Adam's Cove-Blackhead-Broad Cove	Small Point-Adam's Cove-Blackhead-Broad Cove	3	0	2013-10-16 00:02:55.054012+02	\N	\N	\N	\N	\N	\N	f	
30447	2d5aff5a-a4a8-4998-9d23-10d1281a196e	Seal Cove, White Bay, Newfoundland and Labrador	Seal Cove, White Bay, Newfoundland and Labrador	3	0	2013-10-16 00:03:10.974929+02	\N	\N	\N	\N	\N	\N	f	
30448	e8fa9268-4089-4443-927d-df5bf8b0f337	Seldom-Little Seldom	Seldom-Little Seldom	3	0	2013-10-16 00:03:25.627413+02	\N	\N	\N	\N	\N	\N	f	
30449	36fed313-ffe7-4ecd-ab70-e85bde2f2b45	Seal Cove, Fortune Bay, Newfoundland and Labrador	Seal Cove, Fortune Bay, Newfoundland and Labrador	3	0	2013-10-16 00:03:40.296884+02	\N	\N	\N	\N	\N	\N	f	
30451	e1249d78-470e-4beb-b450-2c9a82b9ae4c	Hanna	Hanna	3	0	2013-10-16 00:04:10.141058+02	\N	\N	\N	\N	\N	\N	f	
30456	b5858c43-9c7a-4c32-ad9b-54990039ab3d	Peso da Régua Municipality	Peso da Régua Municipality	3	0	2013-10-16 00:05:27.913084+02	\N	\N	\N	\N	\N	\N	f	
30457	f17b54b8-5b53-4452-b345-152b68dbf656	Summerford, Newfoundland and Labrador	Summerford, Newfoundland and Labrador	3	0	2013-10-16 00:05:42.738177+02	\N	\N	\N	\N	\N	\N	f	
30459	7cf1b8aa-cae9-4d2c-aedd-c88ae87fe3d8	Spaniard's Bay, Newfoundland and Labrador	Spaniard's Bay, Newfoundland and Labrador	3	0	2013-10-16 00:06:10.968319+02	\N	\N	\N	\N	\N	\N	f	
30460	a2f57d26-961c-43f6-b7bf-ec66041a5e8e	Stephenville Crossing	Stephenville Crossing	3	0	2013-10-16 00:06:25.730147+02	\N	\N	\N	\N	\N	\N	f	
30462	31419637-a839-4a45-be88-c60c92c37186	St. Shott's, Newfoundland and Labrador	St. Shott's, Newfoundland and Labrador	3	0	2013-10-16 00:06:55.627456+02	\N	\N	\N	\N	\N	\N	f	
30472	80ebaae0-4866-4022-ad51-ceb52ec2656c	Hartney	Hartney	3	0	2013-10-16 00:09:20.968672+02	\N	\N	\N	\N	\N	\N	f	
30474	2b77b4b0-0300-4676-9909-27086327593b	Oak Lake	Oak Lake	3	0	2013-10-16 00:09:49.11941+02	\N	\N	\N	\N	\N	\N	f	
30476	e46b0087-e6d9-455b-87e4-42d8800b8f55	St. Bride's, Newfoundland and Labrador	St. Bride's, Newfoundland and Labrador	3	0	2013-10-16 00:10:18.507506+02	\N	\N	\N	\N	\N	\N	f	
30450	d325503b-e438-4a3b-a644-f101426b3676	Vilar Formoso	Vilar Formoso	3	0	2013-10-16 00:03:56.596938+02	\N	\N	\N	\N	\N	\N	f	
30452	9b1720f5-2663-4e09-a195-96e7f2d76312	St. Vincent's-St. Stephen's-Peter's River	St. Vincent's-St. Stephen's-Peter's River	3	0	2013-10-16 00:04:29.213517+02	\N	\N	\N	\N	\N	\N	f	
30465	076250a8-3b6d-4118-8b7f-39d9b320e108	St. Brendan's, Newfoundland and Labrador	St. Brendan's, Newfoundland and Labrador	3	0	2013-10-16 00:07:38.296869+02	\N	\N	\N	\N	\N	\N	f	
30473	7f8ad1ad-ae9c-4bd7-90ec-b4a9dfa8cb3a	Sunnyside, Newfoundland and Labrador	Sunnyside, Newfoundland and Labrador	3	0	2013-10-16 00:09:34.802505+02	\N	\N	\N	\N	\N	\N	f	
30477	61ba5786-54ef-4134-a15a-cd76f0096f5c	Labrador City	Labrador City	3	0	2013-10-16 00:10:32.861696+02	\N	\N	\N	\N	\N	\N	f	
30453	3fde1e30-d2b3-47cf-83fc-4aa636deb376	St. Jacques-Coomb's Cove	St. Jacques-Coomb's Cove	3	0	2013-10-16 00:04:43.900223+02	\N	\N	\N	\N	\N	\N	f	
30454	de0ee16b-e3e2-4346-9100-780a4bffd113	Calheta	Calheta	3	0	2013-10-16 00:04:58.510579+02	\N	\N	\N	\N	\N	\N	f	
30455	9bf03d5c-5d8b-4a2a-ae39-b0b2fbb26b7a	South River, Newfoundland and Labrador	South River, Newfoundland and Labrador	3	0	2013-10-16 00:05:12.722497+02	\N	\N	\N	\N	\N	\N	f	
30458	dd73715e-61df-4ca0-aab7-7012c00603c6	Carberry	Carberry	3	0	2013-10-16 00:05:57.278821+02	\N	\N	\N	\N	\N	\N	f	
30461	a332d222-413f-4597-b1c2-7f5a8f3acb40	Steady Brook	Steady Brook	3	0	2013-10-16 00:06:40.64253+02	\N	\N	\N	\N	\N	\N	f	
30468	0c0f29a9-d33e-4c5a-b2c4-e7accf931cad	St. Anne's, Newfoundland and Labrador	St. Anne's, Newfoundland and Labrador	3	0	2013-10-16 00:08:22.633177+02	\N	\N	\N	\N	\N	\N	f	
30463	cdfa3677-fb96-49a0-9817-d845cceda65d	Springdale, Newfoundland and Labrador	Springdale, Newfoundland and Labrador	3	0	2013-10-16 00:07:10.121378+02	\N	\N	\N	\N	\N	\N	f	
30464	629b920a-604b-4fbc-a70d-5d08acc8a98d	Beausejour	Beausejour	3	0	2013-10-16 00:07:24.523261+02	\N	\N	\N	\N	\N	\N	f	
30466	9e55671c-76fc-4d72-a300-c88372e3db9b	St. George's, Newfoundland and Labrador	St. George's, Newfoundland and Labrador	3	0	2013-10-16 00:07:52.616636+02	\N	\N	\N	\N	\N	\N	f	
30467	dbd8db8c-e6df-4b1f-a0fa-d0d86912f3c4	St. Lewis, Newfoundland and Labrador	St. Lewis, Newfoundland and Labrador	3	0	2013-10-16 00:08:07.065412+02	\N	\N	\N	\N	\N	\N	f	
30470	88529894-0bf1-42b6-aafa-fcc997d495c7	Virden	Virden	3	0	2013-10-16 00:08:51.767414+02	\N	\N	\N	\N	\N	\N	f	
30471	1b8058ec-9b64-4c61-8e39-c7c1cf5386b6	Montalegre Municipality	Montalegre Municipality	3	0	2013-10-16 00:09:07.730899+02	\N	\N	\N	\N	\N	\N	f	
30495	68f1f81e-d554-4db9-98f1-13612dc91130	Walden, Ontario	Walden, Ontario	3	0	2013-10-16 02:55:50.659613+02	\N	\N	\N	\N	\N	\N	f	
30475	22b62fbc-1cf8-40bf-9018-84f6fb934d2f	St. Julien's, Newfoundland and Labrador	St. Julien's, Newfoundland and Labrador	3	0	2013-10-16 00:10:03.662755+02	\N	\N	\N	\N	\N	\N	f	
30478	ab2c45a5-3885-4722-9c3b-98768736d6a1	Southern Harbour	Southern Harbour	3	0	2013-10-16 00:10:47.751493+02	\N	\N	\N	\N	\N	\N	f	
30479	26d88a29-f0eb-4b54-9b90-b932f6fc2fdf	St. Lunaire-Griquet	St. Lunaire-Griquet	3	0	2013-10-16 00:11:09.20502+02	\N	\N	\N	\N	\N	\N	f	
30496	6d222513-390b-434b-af90-b7cca17fd6b7	Carregal do Sal	Carregal do Sal	3	0	2013-10-16 02:56:11.062001+02	\N	\N	\N	\N	\N	\N	f	
30480	7d67c32c-6f87-468f-8c19-4242b1fef23e	St. Mary's, Newfoundland and Labrador	St. Mary's, Newfoundland and Labrador	3	0	2013-10-16 00:11:24.063673+02	\N	\N	\N	\N	\N	\N	f	
30481	92c02afa-9c24-43df-87c0-e6b4bcc6b313	Bassano	Bassano	3	0	2013-10-16 02:50:52.490314+02	\N	\N	\N	\N	\N	\N	f	
12015	77bf0f8d-cecc-4338-bd3a-bcf96ea33cf8	Neenah	Neenah	3	0	2013-10-16 22:36:15.675373+02	\N	\N	\N	\N	\N	\N	f	city
30482	37bf2500-5029-402a-8ae4-5e24861ed9cb	Penalva do Castelo Municipality, Portugal	Penalva do Castelo Municipality, Portugal	3	0	2013-10-16 02:51:22.982894+02	\N	\N	\N	\N	\N	\N	f	
30483	d5ac2a7d-1b4c-4d54-bab7-386ae9f717c0	Tilt Cove	Tilt Cove	3	0	2013-10-16 02:51:45.170365+02	\N	\N	\N	\N	\N	\N	f	
30484	4c39ca70-c958-4cd5-8816-754c182cc4d6	Terra Nova, Newfoundland and Labrador	Terra Nova, Newfoundland and Labrador	3	0	2013-10-16 02:52:03.901351+02	\N	\N	\N	\N	\N	\N	f	
30485	8e1e5da9-29c2-4cc3-9137-649a489bef3e	Trepassey	Trepassey	3	0	2013-10-16 02:52:19.823934+02	\N	\N	\N	\N	\N	\N	f	
30486	4b7a52a1-a055-4d9b-a0e5-0162392dadc6	Trafalgar Township	Trafalgar Township	3	0	2013-10-16 02:52:38.784341+02	\N	\N	\N	\N	\N	\N	f	
30487	6ab2d770-b4c1-4d08-95b4-b94a9822b224	Traytown	Traytown	3	0	2013-10-16 02:52:56.032979+02	\N	\N	\N	\N	\N	\N	f	
30488	54e21afc-9f73-42d9-849f-dc0ee2e5fdd0	Trinity, Newfoundland and Labrador	Trinity, Newfoundland and Labrador	3	0	2013-10-16 02:53:13.709749+02	\N	\N	\N	\N	\N	\N	f	
30489	89c3329d-940c-4feb-bbdd-90c2b10a6fdf	Torbay, Newfoundland and Labrador	Torbay, Newfoundland and Labrador	3	0	2013-10-16 02:53:28.556185+02	\N	\N	\N	\N	\N	\N	f	
30490	2e7e2520-856e-427c-8db7-49766335931e	Trinity Bay North	Trinity Bay North	3	0	2013-10-16 02:53:46.65866+02	\N	\N	\N	\N	\N	\N	f	
30491	67ebccb3-2131-4a45-b2dd-16e82dc47a51	Tilting, Newfoundland and Labrador	Tilting, Newfoundland and Labrador	3	0	2013-10-16 02:54:08.045563+02	\N	\N	\N	\N	\N	\N	f	
30492	f002e21e-fc2d-486e-8161-94bb71911a79	Avô	Avô	3	0	2013-10-16 02:54:32.917893+02	\N	\N	\N	\N	\N	\N	f	
30493	e873301c-1819-40c6-9fd3-cf7b5ea7dd3f	Upper Island Cove	Upper Island Cove	3	0	2013-10-16 02:54:51.943004+02	\N	\N	\N	\N	\N	\N	f	
30494	d183ffda-74fe-4312-88e5-8142263ee482	Vauxhall	Vauxhall	3	0	2013-10-16 02:55:06.727322+02	\N	\N	\N	\N	\N	\N	f	
30497	7cb42b8f-a3be-4488-8e12-70d97b2af67e	West St. Modeste	West St. Modeste	3	0	2013-10-16 02:56:32.186162+02	\N	\N	\N	\N	\N	\N	f	
30498	dcf5bb24-3eb4-4652-9017-c965e9b72af8	Boaz	Boaz	3	0	2013-10-16 02:56:48.174684+02	\N	\N	\N	\N	\N	\N	f	
30499	ee4a7eec-3c94-4bf0-81cf-60fc8b72a9f7	Wembley	Wembley	3	0	2013-10-16 02:57:01.752031+02	\N	\N	\N	\N	\N	\N	f	
30500	1e15a88e-cc97-43f4-81c6-f728af5094b7	Whiteway, Newfoundland and Labrador	Whiteway, Newfoundland and Labrador	3	0	2013-10-16 02:57:22.37452+02	\N	\N	\N	\N	\N	\N	f	
30501	64e2cc21-725d-4f34-b058-458a02eb4ce4	Badger, Newfoundland and Labrador	Badger, Newfoundland and Labrador	3	0	2013-10-16 02:57:38.693158+02	\N	\N	\N	\N	\N	\N	f	
30502	1309a136-6216-4cd1-b932-5d766385fbe9	Westport, Newfoundland and Labrador	Westport, Newfoundland and Labrador	3	0	2013-10-16 02:57:53.833758+02	\N	\N	\N	\N	\N	\N	f	
30503	73649fb2-11bf-4666-b727-ce53f61a9c9e	Winter, Saskatchewan	Winter, Saskatchewan	3	0	2013-10-16 02:58:23.61473+02	\N	\N	\N	\N	\N	\N	f	
30504	4d2ed7ae-0174-48c5-8dc7-6839dfcb8740	Witless Bay, Newfoundland and Labrador	Witless Bay, Newfoundland and Labrador	3	0	2013-10-16 02:58:40.24247+02	\N	\N	\N	\N	\N	\N	f	
30505	7c9587d0-24f6-49be-9fe3-78029fc87e9f	Winterland, Newfoundland and Labrador	Winterland, Newfoundland and Labrador	3	0	2013-10-16 02:58:57.933828+02	\N	\N	\N	\N	\N	\N	f	
30509	67d7f1ee-eb6f-4069-b798-588ed503f805	Barrhead	Barrhead	3	0	2013-10-16 02:59:56.315161+02	\N	\N	\N	\N	\N	\N	f	
30518	1d5b6fa9-36ac-485e-aec0-370e75d80cc4	Jægerspris	Jægerspris	3	0	2013-10-16 03:02:23.760127+02	\N	\N	\N	\N	\N	\N	f	
30538	69036364-9ba8-4d5b-91e0-e1a6dd993ce2	Bonnyville	Bonnyville	3	0	2013-10-16 03:07:53.510512+02	\N	\N	\N	\N	\N	\N	f	
30540	58e8f4b9-7613-428a-9844-0f9a864ee3f4	Bombarral	Bombarral	3	0	2013-10-16 03:08:22.08879+02	\N	\N	\N	\N	\N	\N	f	
30506	4c71fb15-3e9c-46d2-9d90-0f1e39bd786e	Bashaw	Bashaw	3	0	2013-10-16 02:59:12.564281+02	\N	\N	\N	\N	\N	\N	f	
30507	83243236-c240-4938-a219-2f2d84ee2ce3	Beaverlodge	Beaverlodge	3	0	2013-10-16 02:59:26.517677+02	\N	\N	\N	\N	\N	\N	f	
30508	d7f537c9-f0e7-4811-8cea-711fd6356b00	Woodstock, Newfoundland and Labrador	Woodstock, Newfoundland and Labrador	3	0	2013-10-16 02:59:40.459679+02	\N	\N	\N	\N	\N	\N	f	
30514	95250bca-3b96-49df-99c5-af470417b6cc	Bentley	Bentley	3	0	2013-10-16 03:01:16.11597+02	\N	\N	\N	\N	\N	\N	f	
30554	f3447638-4ad4-4797-acd8-aaf85cf2cf46	Manning	Manning	3	0	2013-10-16 03:12:22.94956+02	\N	\N	\N	\N	\N	\N	f	
30567	5b3dd8e4-6ee7-4a9d-b978-5fed877cfa4a	Grândola Municipality	Grândola Municipality	3	0	2013-10-16 03:16:15.703806+02	\N	\N	\N	\N	\N	\N	f	
30510	c1d2d207-904d-4c65-a80a-deac7496ad28	Wynndel	Wynndel	3	0	2013-10-16 03:00:10.551445+02	\N	\N	\N	\N	\N	\N	f	
30549	7fb16c6d-8559-447b-8a95-bfb60c62ca85	Gravenhurst	Gravenhurst	3	0	2013-10-16 03:10:54.007686+02	\N	\N	\N	\N	\N	\N	f	
30511	15c34b8d-d761-4a96-b9d2-fef7ed230705	York Harbour	York Harbour	3	0	2013-10-16 03:00:24.367217+02	\N	\N	\N	\N	\N	\N	f	
30512	3d9fff91-766a-4f11-bf52-671ce68cb65e	Winterton, Newfoundland and Labrador	Winterton, Newfoundland and Labrador	3	0	2013-10-16 03:00:39.418897+02	\N	\N	\N	\N	\N	\N	f	
30513	2f5fb947-afee-4e7f-b217-f6acb1000377	Batalha, Portugal	Batalha, Portugal	3	0	2013-10-16 03:00:54.16432+02	\N	\N	\N	\N	\N	\N	f	
30515	0404b501-980b-4060-b54c-328e035f3dc8	Wainwright	Wainwright	3	0	2013-10-16 03:01:30.139338+02	\N	\N	\N	\N	\N	\N	f	
30516	fb22fe04-1181-4601-b568-6bca60722c0b	Bruno	Bruno	3	0	2013-10-16 03:01:55.179815+02	\N	\N	\N	\N	\N	\N	f	
30517	743134b9-7443-49c0-93e9-710811df52ba	Cabri	Cabri	3	0	2013-10-16 03:02:09.531134+02	\N	\N	\N	\N	\N	\N	f	
30525	0bb12ddf-8018-4f1f-ab62-8c6c8b752e98	Castro Daire Municipality	Castro Daire Municipality	3	0	2013-10-16 03:04:17.708641+02	\N	\N	\N	\N	\N	\N	f	
30557	a4aa0717-90ff-4c8c-ac30-f729983e1a4c	Cesar, Portugal	Cesar, Portugal	3	0	2013-10-16 03:13:17.180766+02	\N	\N	\N	\N	\N	\N	f	
30575	7352c8c0-5aa3-42ca-b615-8f02415986ad	Reguengos de Monsaraz	Reguengos de Monsaraz	3	0	2013-10-16 03:19:01.092882+02	\N	\N	\N	\N	\N	\N	f	
30519	a11490c4-eeb8-4ace-a8b7-86e865a40930	Burstall	Burstall	3	0	2013-10-16 03:02:38.493211+02	\N	\N	\N	\N	\N	\N	f	
30520	58e008e3-1ce7-4c28-b04a-2df3ceb4a9f6	Broadview	Broadview	3	0	2013-10-16 03:02:52.751753+02	\N	\N	\N	\N	\N	\N	f	
30521	787be888-b594-4a3a-b900-32d8261686f7	Palmela Municipality	Palmela Municipality	3	0	2013-10-16 03:03:07.672178+02	\N	\N	\N	\N	\N	\N	f	
30522	d73cf449-821d-42cd-835e-95085ef2feb7	Biggar	Biggar	3	0	2013-10-16 03:03:33.176708+02	\N	\N	\N	\N	\N	\N	f	
30528	e879a4ed-7db1-4d99-bdfa-bf5906b8eedd	Mortágua	Mortágua	3	0	2013-10-16 03:05:04.045799+02	\N	\N	\N	\N	\N	\N	f	
30548	948af80c-b6e2-4d19-bac4-a3801faa784b	Mondim de Basto Municipality	Mondim de Basto Municipality	3	0	2013-10-16 03:10:38.725177+02	\N	\N	\N	\N	\N	\N	f	
30551	542eb923-3b0f-472d-9ce8-496bdeb8355e	Ponta do Sol	Ponta do Sol	3	0	2013-10-16 03:11:31.331624+02	\N	\N	\N	\N	\N	\N	f	
30523	37685a8f-e135-41f6-97d3-734600f2cd2e	Cinfães Municipality	Cinfães Municipality	3	0	2013-10-16 03:03:47.672594+02	\N	\N	\N	\N	\N	\N	f	
30524	8195d570-02bb-4975-a7f1-867b7676e9f5	Santa Comba Dão	Santa Comba Dão	3	0	2013-10-16 03:04:02.709339+02	\N	\N	\N	\N	\N	\N	f	
30526	f9d44b89-1a66-4e36-b380-d8a4bed21999	Penedono Municipality	Penedono Municipality	3	0	2013-10-16 03:04:32.577502+02	\N	\N	\N	\N	\N	\N	f	
30527	856afdb2-89ab-422a-b252-2f54a063ebc3	Black Diamond	Black Diamond	3	0	2013-10-16 03:04:47.766151+02	\N	\N	\N	\N	\N	\N	f	
30529	3879f633-8958-4b4e-8525-6d7961eedfb0	Teulon	Teulon	3	0	2013-10-16 03:05:18.069754+02	\N	\N	\N	\N	\N	\N	f	
30530	b8bce9a9-c098-47c7-b2fd-9cf401cc3ff4	Boissevain	Boissevain	3	0	2013-10-16 03:05:33.475663+02	\N	\N	\N	\N	\N	\N	f	
30531	5ad45e79-d7c4-488f-86d5-84558f48a1fc	Oliveira de Frades	Oliveira de Frades	3	0	2013-10-16 03:05:52.082487+02	\N	\N	\N	\N	\N	\N	f	
30532	f7e29599-1266-450c-8e32-40cc5c0de699	Moimenta da Beira Municipality	Moimenta da Beira Municipality	3	0	2013-10-16 03:06:12.463505+02	\N	\N	\N	\N	\N	\N	f	
30533	f83e1324-d67f-4311-bac7-bf3568b1d095	Deloraine	Deloraine	3	0	2013-10-16 03:06:28.832578+02	\N	\N	\N	\N	\N	\N	f	
30534	5689fe2d-60a2-4b84-ac15-0d47d6ed325a	Resende	Resende	3	0	2013-10-16 03:06:44.704272+02	\N	\N	\N	\N	\N	\N	f	
30535	7a0772db-f312-4cfd-b5cb-fdd6f3103354	Birtle	Birtle	3	0	2013-10-16 03:07:01.643421+02	\N	\N	\N	\N	\N	\N	f	
30536	687cf608-e0a1-4fc8-92c8-aa3ea7862aee	Bridgetown, Nova Scotia	Bridgetown, Nova Scotia	3	0	2013-10-16 03:07:25.244488+02	\N	\N	\N	\N	\N	\N	f	
30553	a87a6351-accd-4599-a291-08d09eaadf28	St. Andrews, New Brunswick	St. Andrews, New Brunswick	3	0	2013-10-16 03:12:08.290362+02	\N	\N	\N	\N	\N	\N	f	
30565	75b74152-167b-4c48-953c-ac78fdc45257	Lousada	Lousada	3	0	2013-10-16 03:15:40.077603+02	\N	\N	\N	\N	\N	\N	f	
30572	7b227d31-f6a5-4a64-b65b-58c9f4fc56f8	Alenquer Municipality	Alenquer Municipality	3	0	2013-10-16 03:18:09.776899+02	\N	\N	\N	\N	\N	\N	f	
30537	138f1e7e-4270-4566-ae40-df533a7995e0	Boticas Municipality	Boticas Municipality	3	0	2013-10-16 03:07:39.774166+02	\N	\N	\N	\N	\N	\N	f	
30539	b1b15ed1-b307-47ab-bc35-dee5a7e31eae	Borba Municipality, Portugal	Borba Municipality, Portugal	3	0	2013-10-16 03:08:08.260914+02	\N	\N	\N	\N	\N	\N	f	
30541	674e7a74-296d-480f-b96d-e49c51dc8da5	Canelas, Vila Nova de Gaia	Canelas, Vila Nova de Gaia	3	0	2013-10-16 03:08:37.066153+02	\N	\N	\N	\N	\N	\N	f	
30543	22cdaf8d-ef63-4369-8493-bfa2f6a44fa8	Sátão Municipality, Portugal	Sátão Municipality, Portugal	3	0	2013-10-16 03:09:12.855924+02	\N	\N	\N	\N	\N	\N	f	
30544	084e4ae7-f205-47bf-bb16-5e48b3bf7645	Sousel	Sousel	3	0	2013-10-16 03:09:29.993798+02	\N	\N	\N	\N	\N	\N	f	
30545	f4df557e-ac20-45a3-87ce-edfd88adc25e	Ferryland	Ferryland	3	0	2013-10-16 03:09:47.879532+02	\N	\N	\N	\N	\N	\N	f	
30546	3c8cacab-e654-4632-8b52-2b7dc2eb6e03	Swan Hills	Swan Hills	3	0	2013-10-16 03:10:03.28132+02	\N	\N	\N	\N	\N	\N	f	
30547	4198406b-e198-40f6-9f27-a7cb3b8eee85	Moita Municipality	Moita Municipality	3	0	2013-10-16 03:10:25.186655+02	\N	\N	\N	\N	\N	\N	f	
30550	254ca1c7-705f-4eed-9ee1-e8fdbb6f70e1	Dildo, Newfoundland and Labrador	Dildo, Newfoundland and Labrador	3	0	2013-10-16 03:11:15.243372+02	\N	\N	\N	\N	\N	\N	f	
30552	dcf90c3b-873b-4a97-9fa8-218da30e80a1	Monchique Municipality	Monchique Municipality	3	0	2013-10-16 03:11:51.365155+02	\N	\N	\N	\N	\N	\N	f	
30555	6265ca3f-c39a-4071-90ec-9f723b5e6bb0	Saco	Saco	3	0	2013-10-16 03:12:43.526146+02	\N	\N	\N	\N	\N	\N	f	
30556	a8d00137-71bf-434a-916d-5cd810e4be77	Quispamsis	Quispamsis	3	0	2013-10-16 03:12:57.207916+02	\N	\N	\N	\N	\N	\N	f	
30558	ab3ae4b3-9039-4179-a323-456f087e03e4	Coronation	Coronation	3	0	2013-10-16 03:13:37.552069+02	\N	\N	\N	\N	\N	\N	f	
30559	fb8cf2c3-b9bc-4ad8-9bb2-7e7110bca914	Sussex, New Brunswick	Sussex, New Brunswick	3	0	2013-10-16 03:13:52.615314+02	\N	\N	\N	\N	\N	\N	f	
30560	832bda2f-d607-4219-bf9c-1927d044a545	Lac La Biche	Lac La Biche	3	0	2013-10-16 03:14:06.524899+02	\N	\N	\N	\N	\N	\N	f	
30561	7482163d-cf51-43ed-b2a8-f8fe8557dea7	Saint-Léonard, New Brunswick	Saint-Léonard, New Brunswick	3	0	2013-10-16 03:14:27.541716+02	\N	\N	\N	\N	\N	\N	f	
30562	640f1ef4-c2ab-43ad-a6a1-68a6efde4d2d	Lagoa Municipality	Lagoa Municipality	3	0	2013-10-16 03:14:43.424211+02	\N	\N	\N	\N	\N	\N	f	
30577	5777619b-9b9e-42af-a839-68290cd797d5	Vila Velha de Ródão Municipality	Vila Velha de Ródão Municipality	3	0	2013-10-16 03:19:43.756857+02	\N	\N	\N	\N	\N	\N	f	
10114	e05f3832-543d-4288-8567-fd82553c8806	Tosa	Tosa	3	0	2013-10-16 22:30:51.186159+02	\N	\N	\N	\N	\N	\N	f	town
30563	b8960578-9eaa-448b-8b35-267a09f2f82c	Castor	Castor	3	0	2013-10-16 03:14:56.763033+02	\N	\N	\N	\N	\N	\N	f	
30589	b2bc1294-77be-4c7b-af93-9868b83b1f34	Auckland	Auckland	3	0	2013-10-16 11:40:10.079829+02	\N	\N	\N	\N	\N	\N	f	
30564	4fd50b94-c244-4dd6-86c1-81cff6b6d3db	Lourinhã Municipality	Lourinhã Municipality	3	0	2013-10-16 03:15:20.493136+02	\N	\N	\N	\N	\N	\N	f	
30566	5f47a83d-1a6c-49b4-99ce-8ca9a5e580e6	Mafra	Mafra	3	0	2013-10-16 03:15:57.665332+02	\N	\N	\N	\N	\N	\N	f	
22153	02eb1691-303b-465a-91e1-4ffb7d281b55	Lafayette	Lafayette	3	0	2013-10-16 22:01:05.048897+02	\N	\N	\N	\N	\N	\N	f	
30568	5008a064-34ef-4dd3-bfd0-c6afb2536145	Manteigas Municipality	Manteigas Municipality	3	0	2013-10-16 03:16:37.302415+02	\N	\N	\N	\N	\N	\N	f	
30079	4033e068-1d57-4aa3-87b5-0f3bfe8a8167	Odense	Odense	3	0	2013-10-16 13:00:52.599714+02	\N	\N	\N	\N	\N	\N	f	
30569	118e0bed-074e-4a80-aa51-7906b21cb031	Aljezur	Aljezur	3	0	2013-10-16 03:17:00.06008+02	\N	\N	\N	\N	\N	\N	f	
30570	1749cdeb-faa8-44bd-895e-2977b1b1c216	Castro Marim Municipality	Castro Marim Municipality	3	0	2013-10-16 03:17:22.794045+02	\N	\N	\N	\N	\N	\N	f	
30571	8d1e8153-4a80-4d15-83ef-103a5639a9ea	Cadaval	Cadaval	3	0	2013-10-16 03:17:48.53429+02	\N	\N	\N	\N	\N	\N	f	
30573	49994c9b-7b7c-48ed-ac69-f10e9ff3a126	São Brás de Alportel Municipality	São Brás de Alportel Municipality	3	0	2013-10-16 03:18:27.036543+02	\N	\N	\N	\N	\N	\N	f	
30574	9a3f2743-a566-4c71-9d9b-3b0c8c5bd546	Kamsack	Kamsack	3	0	2013-10-16 03:18:42.900012+02	\N	\N	\N	\N	\N	\N	f	
12060	371e8983-5a73-4d2a-8bc2-3367a762c621	Gariadhar	Gariadhar	3	0	2013-10-16 22:01:05.715431+02	\N	\N	\N	\N	\N	\N	f	
30576	88cd35c4-8eb4-432c-bf58-20b237a7cc9b	Tábua Municipality	Tábua Municipality	3	0	2013-10-16 03:19:18.0717+02	\N	\N	\N	\N	\N	\N	f	
30578	43c593d2-2a29-4fc5-bfb4-49b0dd6d9711	Kentville	Kentville	3	0	2013-10-16 03:19:58.033444+02	\N	\N	\N	\N	\N	\N	f	
10588	4755e653-e717-4f62-a92f-34bd2f20d926	Matsukawa	Matsukawa	3	0	2013-10-16 14:16:02.021353+02	\N	\N	\N	\N	\N	\N	f	village
30579	c2176a61-9c5c-4477-9af2-322e9b590701	Campo Maior	Campo Maior	3	0	2013-10-16 03:20:15.21789+02	\N	\N	\N	\N	\N	\N	f	
11239	2388977d-e013-4650-a14b-216a11720942	Shibetsu	Shibetsu	3	0	2013-10-16 22:32:56.767985+02	\N	\N	\N	\N	\N	\N	f	city
30580	4a06fd32-c0a4-4ed7-a489-230122d31f60	Gravelbourg	Gravelbourg	3	0	2013-10-16 03:20:29.640274+02	\N	\N	\N	\N	\N	\N	f	
10064	f7aa751c-a4ac-4a1b-b23e-9778e8da3063	Tosa	Tosa	3	0	2013-10-16 22:30:53.235275+02	\N	\N	\N	\N	\N	\N	f	city
30581	57293274-0353-4aef-8352-3d9509141862	Charleville-Mézières	Charleville-Mézières	3	0	2013-10-16 05:41:09.637583+02	\N	\N	\N	\N	\N	\N	f	
10373	0c3dfdda-a910-485b-977a-c45b5fcad051	Matsukawa	Matsukawa	3	0	2013-10-16 14:16:30.724036+02	\N	\N	\N	\N	\N	\N	f	town
30582	71fa3cba-a917-4398-9147-fb725851ad04	Ferreira do Zêzere Municipality	Ferreira do Zêzere Municipality	3	0	2013-10-16 05:53:46.140993+02	\N	\N	\N	\N	\N	\N	f	
30583	109e6bde-4782-4804-8064-7b80769225d0	Vila Nova da Barquinha	Vila Nova da Barquinha	3	0	2013-10-16 05:53:59.937941+02	\N	\N	\N	\N	\N	\N	f	
22291	cd316c35-768b-4c0d-afe9-bf9f84e4ad74	Camden	Camden	3	0	2013-10-16 22:01:06.045942+02	\N	\N	\N	\N	\N	\N	f	
30584	bcef7fc1-75b8-4eab-9231-a71f2a65316b	Olds	Olds	3	0	2013-10-16 05:54:18.184235+02	\N	\N	\N	\N	\N	\N	f	
30585	fd077106-827c-4d95-877f-2b9b9ddf5f19	Chestermere	Chestermere	3	0	2013-10-16 05:54:39.896257+02	\N	\N	\N	\N	\N	\N	f	
30586	a4e19ca8-3078-4181-a884-5a99694a9f7b	Thessalon	Thessalon	3	0	2013-10-16 05:54:53.241221+02	\N	\N	\N	\N	\N	\N	f	
10319	87ecf67c-be91-4422-ba40-732d6ca7cfd3	Echizen	Echizen	3	0	2013-10-16 14:17:18.537773+02	\N	\N	\N	\N	\N	\N	f	town
30587	2df03f4d-b897-43b3-bf4b-406086b4f122	Redondo Municipality	Redondo Municipality	3	0	2013-10-16 05:55:07.164626+02	\N	\N	\N	\N	\N	\N	f	
30588	59310202-804d-41b1-8060-8fadb8a5c200	San Manuel, Arizona	San Manuel, Arizona	3	0	2013-10-16 11:34:49.548537+02	\N	\N	\N	\N	\N	\N	f	
8031	2de30436-df3a-4a53-858f-ff0988cf62ac	Kempsey	Kempsey	3	0	2013-10-16 22:01:06.458004+02	\N	\N	\N	\N	\N	\N	f	
6149	db38f397-5ac0-4401-9825-a50ec0896c59	Echizen	Echizen	3	0	2013-10-16 14:18:27.672181+02	\N	\N	\N	\N	\N	\N	f	city
10779	030f016b-7902-4a3f-ac28-c6c1acffe35b	Misato	Misato	3	0	2013-10-16 22:31:26.582855+02	\N	\N	\N	\N	\N	\N	f	town
30590	36809adf-f7e9-468d-b2fe-3dbefcbf63f2	Braunau am Inn	Braunau am Inn	3	0	2013-10-16 14:20:14.861364+02	\N	\N	\N	\N	\N	\N	f	
30591	1e1817be-921c-4b44-bf2d-998ba664cb77	Malsch	Malsch	3	0	2013-10-16 14:52:53.554932+02	\N	\N	\N	\N	\N	\N	f	
8077	ea958d2b-2c24-425e-933a-ed85ded06d0f	Glen Innes	Glen Innes	3	0	2013-10-16 22:01:06.764938+02	\N	\N	\N	\N	\N	\N	f	
30592	2ab1eab6-1bdb-47bb-a0e1-c03b2b215e43	Avesta	Avesta	3	0	2013-10-16 14:53:26.84509+02	\N	\N	\N	\N	\N	\N	f	
11036	80a8cf1d-2e8a-48da-8415-3a42e6f5c8be	Esashi	Esashi	3	0	2013-10-16 22:34:22.885061+02	\N	\N	\N	\N	\N	\N	f	Hiyama
6113	cd9d24fd-5a47-4276-9ff6-ad67a4bf8865	Misato	Misato	3	0	2013-10-16 22:31:27.773633+02	\N	\N	\N	\N	\N	\N	f	city
8645	4f9d08a0-95b7-496d-977c-829d420664ec	Bellingen	Bellingen	3	0	2013-10-16 22:01:07.005236+02	\N	\N	\N	\N	\N	\N	f	
10371	eff56bc7-f22a-48f4-8c04-80bfd644d2e2	Kiso	Kiso	3	0	2013-10-16 15:30:31.79092+02	\N	\N	\N	\N	\N	\N	f	village
10565	56b8bc8c-21ed-4b17-87f2-74954442da9d	Shimanto, Kōchi	Shimanto, Kōchi	3	0	2013-10-16 22:31:35.655239+02	\N	\N	\N	\N	\N	\N	f	town
7412	788f10da-912f-413b-a2b9-0b0d623ac6da	Griffith	Griffith	3	0	2013-10-16 22:01:07.313299+02	\N	\N	\N	\N	\N	\N	f	
10625	c4441690-d90f-4e28-9b26-99cc68aba567	Kiso	Kiso	3	0	2013-10-16 16:37:50.201042+02	\N	\N	\N	\N	\N	\N	f	town
10306	e6e3fa70-86d6-49a5-8e5d-b430d2e7ad21	Fuchū	Fuchū	3	0	2013-10-16 22:33:04.379047+02	\N	\N	\N	\N	\N	\N	f	town
10645	b9c8892f-0136-4cee-8ca4-ea196ecb7976	Shimanto	Shimanto	3	0	2013-10-16 22:31:38.10644+02	\N	\N	\N	\N	\N	\N	f	city
8042	821a053a-15df-4c21-860f-2442be0bcee2	Forster, New South Wales	Forster, New South Wales	3	0	2013-10-16 22:01:07.64049+02	\N	\N	\N	\N	\N	\N	f	
8911	1a547b01-d880-49a5-b159-3b4c5bddccc0	Holbrook	Holbrook	3	0	2013-10-16 22:01:07.929343+02	\N	\N	\N	\N	\N	\N	f	
11061	bf47cb09-8a8c-4373-b818-2120bd449d22	Kushiro	Kushiro	3	0	2013-10-16 22:31:47.71548+02	\N	\N	\N	\N	\N	\N	f	town
5949	c74e36ef-5044-4ec7-abe6-4d847519f3dd	Fuchū	Fuchū	3	0	2013-10-16 22:33:06.606668+02	\N	\N	\N	\N	\N	\N	f	city
5636	1a4c766a-7b2e-4b36-ab02-c63340ae5aeb	Kushiro	Kushiro	3	0	2013-10-16 22:31:48.787623+02	\N	\N	\N	\N	\N	\N	f	city
11248	e5a9776e-28bb-430f-90ef-cfff22cb5a82	Shibetsu	Shibetsu	3	0	2013-10-16 22:32:54.95618+02	\N	\N	\N	\N	\N	\N	f	town
22222	bbb01406-347d-45ee-9813-91feb3ad822a	Reno	Reno	3	0	2013-10-16 22:35:30.031226+02	\N	\N	\N	\N	\N	\N	f	Parker County
10312	70f70cf6-5ac9-4f5c-a186-d9c9bbb18370	Shirakawa	Shirakawa	3	0	2013-10-16 22:33:19.97565+02	\N	\N	\N	\N	\N	\N	f	village
22223	4cb69891-59a8-44c0-8a88-fbfdaa651997	Reno	Reno	3	0	2013-10-16 22:35:41.553832+02	\N	\N	\N	\N	\N	\N	f	Lamar County
10282	af7ea01c-edcb-4200-bc8d-97a557ac07ad	Shirakawa	Shirakawa	3	0	2013-10-16 22:33:20.546878+02	\N	\N	\N	\N	\N	\N	f	town
11063	4eed23b9-48ed-461d-af5a-749f530cf6a7	Esashi	Esashi	3	0	2013-10-16 22:34:13.003787+02	\N	\N	\N	\N	\N	\N	f	Sōya
8727	5cca5200-eaad-493f-a605-19509bc64a5f	Menasha	Menasha	3	0	2013-10-16 22:36:40.744083+02	\N	\N	\N	\N	\N	\N	f	town
12016	14f0308f-b2ba-4ce9-ae34-de745e320196	Neenah	Neenah	3	0	2013-10-16 22:36:17.791721+02	\N	\N	\N	\N	\N	\N	f	town
8274	8d816373-cafc-4129-99a4-d8835416d769	Holland	Holland	3	0	2013-10-16 22:37:53.768943+02	\N	\N	\N	\N	\N	\N	f	Brown County
29378	4f312a6a-2a07-431d-ad0c-b4d8d7b57c50	Menasha	Menasha	3	0	2013-10-16 22:36:37.82668+02	\N	\N	\N	\N	\N	\N	f	city
8178	f4e43564-2573-451d-a0c6-973a802c9ceb	Holland	Holland	3	0	2013-10-16 22:38:06.509574+02	\N	\N	\N	\N	\N	\N	f	Sheboygan County
8289	53ce0744-1524-4ba4-bd44-aa31d522b528	Holland	Holland	3	0	2013-10-16 22:38:16.102994+02	\N	\N	\N	\N	\N	\N	f	La Crosse County
23166	e7a20a1e-8956-435e-9d83-d37af24af994	St. Anthony	St. Anthony	3	0	2013-10-16 22:40:03.043416+02	\N	\N	\N	\N	\N	\N	f	Stearns County
23165	50831f33-49fc-442d-b9df-861604061e4d	St. Anthony, Minnesota	St. Anthony, Minnesota	3	0	2013-10-16 22:41:14.313339+02	\N	\N	\N	\N	\N	\N	f	Hennepin County, Ramsey County
29467	abfcaafb-4f98-4433-8f10-bf5605b20a64	Mahuva	Mahuva	3	0	2013-10-16 22:41:58.731879+02	\N	\N	\N	\N	\N	\N	f	Bhavnagar
9480	a0710e89-fa35-4159-94e6-e88299c16cfd	Mahuva	Mahuva	3	0	2013-10-16 22:42:10.81773+02	\N	\N	\N	\N	\N	\N	f	Surat
8295	450ab261-daea-4c5d-b01b-c5c7aca9ec09	Jalalabad	Jalalabad	3	0	2013-10-16 22:42:53.045643+02	\N	\N	\N	\N	\N	\N	f	Shahjahanpur
8236	4d550062-20a4-4d42-b4c4-64e2829cd436	Jalalabad	Jalalabad	3	0	2013-10-16 22:43:00.818254+02	\N	\N	\N	\N	\N	\N	f	Muzaffarnagar
616	3dddb678-c1db-45f8-9007-3013502b2bc7	Capital Region of Denmark	Capital Region of Denmark	2	0	2013-10-17 23:58:25.987014+02	2007	1	1	\N	\N	\N	f	
8278	3ec81f44-abb7-4c62-aa30-463fb3390e2b	Jalalabad	Jalalabad	3	0	2013-10-16 22:43:10.496195+02	\N	\N	\N	\N	\N	\N	f	Bijnor
2658	00ddca52-f4f6-48bd-a54e-7221fccfcffb	Vientiane	Vientiane	2	0	2013-10-16 22:44:06.722054+02	\N	\N	\N	\N	\N	\N	f	province
30611	b141b27b-e057-4c29-8534-8ccd08c0848e	Tejn	Tejn	3	0	2013-10-18 11:23:45.461621+02	\N	\N	\N	\N	\N	\N	f	
2659	a6f59e75-12ad-4dbe-8d83-86d417abd553	Vientiane	Vientiane	2	0	2013-10-16 22:44:15.911127+02	\N	\N	\N	\N	\N	\N	f	prefecture
614	2e725477-4471-4569-8e12-8d8ba5ba2d53	Central Denmark Region	Central Denmark Region	2	0	2013-10-17 23:58:26.159858+02	2007	1	1	\N	\N	\N	f	
30593	4f198fa0-b054-4d76-9cd3-222b60500c2b	Shawano	Shawano	3	0	2013-10-16 23:19:11.840739+02	\N	\N	\N	\N	\N	\N	f	
30594	a31c7ec8-7649-4642-966d-b10caa668926	Nazca	Nazca	3	0	2013-10-17 05:23:23.972794+02	\N	\N	\N	\N	\N	\N	f	
30624	f28db098-de95-47e0-a4cb-3b44241d0c7e	Kingsbury	Kingsbury	3	0	2013-10-18 20:20:39.031393+02	\N	\N	\N	\N	\N	\N	f	
30595	7dfd58d9-5511-4977-9b86-11a616631edd	Watford	Watford	3	0	2013-10-17 20:26:18.591519+02	\N	\N	\N	\N	\N	\N	f	
613	e1d068a6-d2c5-4dbb-8c37-1d1407097934	North Denmark Region	North Denmark Region	2	0	2013-10-17 23:58:26.64901+02	2007	1	1	\N	\N	\N	f	
30596	bb3b280a-14f6-4d14-9662-23958e9cc17e	Næsbjerg	Næsbjerg	3	0	2013-10-17 23:42:10.021993+02	\N	\N	\N	\N	\N	\N	f	
30612	d424b144-8c6f-435d-b783-3c452881a8e1	Allinge-Sandvig	Allinge-Sandvig	3	0	2013-10-18 11:25:45.296092+02	\N	\N	\N	\N	\N	\N	f	
30597	7a45cd90-c607-4699-99d3-8333bdf8b13e	Sønderho	Sønderho	3	0	2013-10-17 23:49:29.358365+02	\N	\N	\N	\N	\N	\N	f	
30598	07729032-554c-4ddd-8baf-e4b3316cb110	Nordby	Nordby	3	0	2013-10-17 23:49:48.870822+02	\N	\N	\N	\N	\N	\N	f	
617	7d490078-4542-411d-aece-709afee04256	Region Zealand	Region Zealand	2	0	2013-10-17 23:58:27.443512+02	2007	1	1	\N	\N	\N	f	
30613	e97d11d4-06c2-43b0-8932-6a1673befd1b	Aakirkeby	Aakirkeby	3	0	2013-10-18 11:27:20.723777+02	\N	\N	\N	\N	\N	\N	f	
30599	546a43db-1f9a-46b3-b1b4-54cb4836c3d3	Ribe	Ribe	3	0	2013-10-17 23:56:22.310073+02	\N	\N	\N	\N	\N	\N	f	
615	c99aceb6-1023-4316-8483-fac31dcd1d7c	Region of Southern Denmark	Region of Southern Denmark	2	0	2013-10-17 23:58:31.152669+02	2007	1	1	\N	\N	\N	f	
30600	ed97bdc0-6326-447c-9fbe-9d4399dfc3d0	Weilheim in Oberbayern	Weilheim in Oberbayern	3	0	2013-10-18 02:49:10.539712+02	\N	\N	\N	\N	\N	\N	f	
30601	b3cb9848-1440-4c2b-b258-f849f8a9d50a	Belfast	Belfast	3	0	2013-10-18 05:18:27.642432+02	\N	\N	\N	\N	\N	\N	f	
30614	80eab222-88e6-4b5b-be86-a43479b0834c	Svaneke	Svaneke	3	0	2013-10-18 11:31:43.187785+02	\N	\N	\N	\N	\N	\N	f	
30602	fcf6b666-70ed-46f1-8408-383c83df50a6	Charlottenburg	Charlottenburg	3	0	2013-10-18 05:21:12.294047+02	\N	\N	\N	\N	\N	\N	f	
30625	55f61093-4e56-4951-97d2-c6ded8710a06	Brest	Brest	3	0	2013-10-18 23:18:51.758809+02	\N	\N	\N	\N	\N	\N	f	
30603	e165b74e-2a92-4b75-b913-4af0bdffca93	Schöneberg	Schöneberg	3	0	2013-10-18 05:28:28.038481+02	\N	\N	\N	\N	\N	\N	f	
30615	806fed9d-434b-4f2c-a49b-53df5ce262f5	Nexø	Nexø	3	0	2013-10-18 11:32:16.366889+02	\N	\N	\N	\N	\N	\N	f	
30616	eb99681d-243f-4c7d-ac6a-2beacffdb8ba	Rønne	Rønne	3	0	2013-10-18 11:32:57.947074+02	\N	\N	\N	\N	\N	\N	f	
30604	4923fd2d-90c7-47c1-ae5c-776fd08ad957	San Carlos, Chile	San Carlos, Chile	3	0	2013-10-18 08:29:39.321459+02	\N	\N	\N	\N	\N	\N	f	
30617	bdbeda9d-4b5e-4b7d-8bb7-0bdecbc8d323	Hasle	Hasle	3	0	2013-10-18 11:35:33.233602+02	\N	\N	\N	\N	\N	\N	f	
30605	5a89e4a9-3a01-44e8-8f95-9f1e0a2a5290	Handsworth, West Midlands	Handsworth, West Midlands	3	0	2013-10-18 08:30:04.195216+02	\N	\N	\N	\N	\N	\N	f	
30606	e40c612d-82f1-4a6d-b6f9-72aa80965dd7	Moseley	Moseley	3	0	2013-10-18 08:31:47.450472+02	\N	\N	\N	\N	\N	\N	f	
30626	aff4b7dd-2302-4ef1-b371-06b4e8a29e64	Douarnenez	Douarnenez	3	0	2013-10-18 23:25:46.031867+02	\N	\N	\N	\N	\N	\N	f	
30607	06d62fba-1d57-4978-a9d9-5908915ee37f	Shard End	Shard End	3	0	2013-10-18 08:32:19.446951+02	\N	\N	\N	\N	\N	\N	f	
30618	a1234176-baa5-477b-99bc-75a7733ed3eb	Nyker	Nyker	3	0	2013-10-18 11:36:25.286216+02	\N	\N	\N	\N	\N	\N	f	
30608	00399ac2-84e6-49bf-8aab-ef6d5648f832	Sparkhill	Sparkhill	3	0	2013-10-18 08:32:41.568037+02	\N	\N	\N	\N	\N	\N	f	
30609	978a6af1-daf7-457c-abb6-76454b5e6c46	Snogebæk	Snogebæk	3	0	2013-10-18 11:17:26.809734+02	\N	\N	\N	\N	\N	\N	f	
30610	d5018c3d-268f-445e-92d8-21b3fa84b383	Gudhjem	Gudhjem	3	0	2013-10-18 11:20:26.245361+02	\N	\N	\N	\N	\N	\N	f	
7710	89bbbab6-72de-43eb-81ba-e620ab207008	Munich	Munich	3	0	2013-10-18 12:38:25.96665+02	\N	\N	\N	\N	\N	\N	f	
30619	afc9ae5f-bb3a-4ae0-85a4-8be73c70c494	Ollerup	Ollerup	3	0	2013-10-18 14:27:46.453884+02	\N	\N	\N	\N	\N	\N	f	
30627	c27bcc02-5e9d-41c6-93de-92e35d35b5c8	Biaroza	Biaroza	3	0	2013-10-18 23:33:43.472995+02	\N	\N	\N	\N	\N	\N	f	
30620	e815db74-f1aa-4fbc-a78c-f3e76f53409e	Marseille	Marseille	3	0	2013-10-18 17:25:11.800767+02	\N	\N	\N	\N	\N	\N	f	
30621	fccb5d35-6b08-4c73-87a3-8d6e276dbbef	Aars	Aars	3	0	2013-10-18 17:27:46.545424+02	\N	\N	\N	\N	\N	\N	f	
30622	a208c046-3ecc-4306-98b9-8b4a3bf668b9	Yate	Yate	3	0	2013-10-18 20:17:56.149381+02	\N	\N	\N	\N	\N	\N	f	
30628	d4ebec07-af34-41d9-bfb8-d54d2a384481	Prestwich	Prestwich	3	0	2013-10-19 02:17:24.174238+02	\N	\N	\N	\N	\N	\N	f	
30623	906f9eea-233b-4178-8160-dbffad8a0a29	Batu	Batu	3	0	2013-10-18 20:19:10.430512+02	\N	\N	\N	\N	\N	\N	f	
\.


--
-- Data for Name: area_alias; Type: TABLE DATA; Schema: public; Owner: -
--

COPY area_alias (id, area, name, locale, edits_pending, last_updated, type, sort_name, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, primary_for_locale, ended) FROM stdin;
14	221	UK	\N	0	2013-05-16 13:06:19.67235+02	3	UK	\N	\N	\N	\N	\N	\N	f	f
17	176	Russian Federation	en	0	2013-05-20 01:03:37.464377+02	2	Russian Federation	\N	\N	\N	\N	\N	\N	f	f
18	176	Russia	en	0	2013-05-20 01:03:56.367979+02	1	Russia	\N	\N	\N	\N	\N	\N	f	f
29	222	USA	\N	0	2013-06-15 20:06:39.59323+02	3	USA	\N	\N	\N	\N	\N	\N	f	f
483	14	Oostenrijk	nl	0	2013-05-27 14:35:38.476692+02	\N	Oostenrijk	\N	\N	\N	\N	\N	\N	t	f
835	73	France	en	0	2013-05-27 14:50:14.805927+02	\N	France	\N	\N	\N	\N	\N	\N	t	f
839	73	France	fr	0	2013-05-27 14:50:23.68575+02	\N	France	\N	\N	\N	\N	\N	\N	t	f
118	153	Nuova Zelanda	it	0	2013-05-27 14:21:12.119917+02	\N	Nuova Zelanda	\N	\N	\N	\N	\N	\N	t	f
119	153	ニュージーランド	ja	0	2013-05-27 14:21:14.401141+02	\N	ニュージーランド	\N	\N	\N	\N	\N	\N	t	f
89	13	Australien	de	0	2013-05-27 14:19:58.391025+02	\N	Australien	\N	\N	\N	\N	\N	\N	t	f
90	13	Αυστραλία	el	0	2013-05-27 14:20:00.56901+02	\N	Αυστραλία	\N	\N	\N	\N	\N	\N	t	f
91	13	Australia	en	0	2013-05-27 14:20:02.91681+02	\N	Australia	\N	\N	\N	\N	\N	\N	t	f
92	13	Australia	es	0	2013-05-27 14:20:06.40017+02	\N	Australia	\N	\N	\N	\N	\N	\N	t	f
93	13	Austraalia	et	0	2013-05-27 14:20:11.004493+02	\N	Austraalia	\N	\N	\N	\N	\N	\N	t	f
94	13	Australia	fi	0	2013-05-27 14:20:13.743619+02	\N	Australia	\N	\N	\N	\N	\N	\N	t	f
95	13	Australie	fr	0	2013-05-27 14:20:15.966028+02	\N	Australie	\N	\N	\N	\N	\N	\N	t	f
96	13	Australia	it	0	2013-05-27 14:20:18.157267+02	\N	Australia	\N	\N	\N	\N	\N	\N	t	f
97	13	オーストラリア	ja	0	2013-05-27 14:20:20.369436+02	\N	オーストラリア	\N	\N	\N	\N	\N	\N	t	f
120	153	Nieuw-Zeeland	nl	0	2013-05-27 14:21:16.665088+02	\N	Nieuw-Zeeland	\N	\N	\N	\N	\N	\N	t	f
98	13	Australië	nl	0	2013-05-27 14:20:25.165856+02	\N	Australië	\N	\N	\N	\N	\N	\N	t	f
99	13	Australia	no	0	2013-05-27 14:20:27.507257+02	\N	Australia	\N	\N	\N	\N	\N	\N	t	f
121	153	New Zealand	no	0	2013-05-27 14:21:18.909603+02	\N	New Zealand	\N	\N	\N	\N	\N	\N	t	f
111	153	Neuseeland	de	0	2013-05-27 14:20:56.15129+02	\N	Neuseeland	\N	\N	\N	\N	\N	\N	t	f
112	153	Νέα Ζηλανδία	el	0	2013-05-27 14:20:58.380072+02	\N	Νέα Ζηλανδία	\N	\N	\N	\N	\N	\N	t	f
113	153	New Zealand	en	0	2013-05-27 14:21:00.611444+02	\N	New Zealand	\N	\N	\N	\N	\N	\N	t	f
114	153	Nueva Zelanda	es	0	2013-05-27 14:21:02.933796+02	\N	Nueva Zelanda	\N	\N	\N	\N	\N	\N	t	f
115	153	Uus-Meremaa	et	0	2013-05-27 14:21:05.210331+02	\N	Uus-Meremaa	\N	\N	\N	\N	\N	\N	t	f
116	153	Uusi-Seelanti	fi	0	2013-05-27 14:21:07.403247+02	\N	Uusi-Seelanti	\N	\N	\N	\N	\N	\N	t	f
117	153	Nouvelle-Zélande	fr	0	2013-05-27 14:21:09.629633+02	\N	Nouvelle-Zélande	\N	\N	\N	\N	\N	\N	t	f
484	14	Østerrike	no	0	2013-05-27 14:35:40.729344+02	\N	Østerrike	\N	\N	\N	\N	\N	\N	t	f
684	81	Saksamaa	et	0	2013-05-27 14:44:24.120052+02	\N	Saksamaa	\N	\N	\N	\N	\N	\N	t	f
836	73	Francia	es	0	2013-05-27 14:50:16.994098+02	\N	Francia	\N	\N	\N	\N	\N	\N	t	f
843	73	Frankrike	no	0	2013-05-27 14:50:32.702645+02	\N	Frankrike	\N	\N	\N	\N	\N	\N	t	f
683	81	Alemania	es	0	2013-05-27 14:44:21.743415+02	\N	Alemania	\N	\N	\N	\N	\N	\N	t	f
841	73	フランス	ja	0	2013-05-27 14:50:28.20473+02	\N	フランス	\N	\N	\N	\N	\N	\N	t	f
842	73	Frankrijk	nl	0	2013-05-27 14:50:30.469789+02	\N	Frankrijk	\N	\N	\N	\N	\N	\N	t	f
331	107	Japan	de	0	2013-05-27 14:29:32.100131+02	\N	Japan	\N	\N	\N	\N	\N	\N	t	f
332	107	Ιαπωνία	el	0	2013-05-27 14:29:34.320954+02	\N	Ιαπωνία	\N	\N	\N	\N	\N	\N	t	f
333	107	Japan	en	0	2013-05-27 14:29:36.518315+02	\N	Japan	\N	\N	\N	\N	\N	\N	t	f
334	107	Japón	es	0	2013-05-27 14:29:38.762548+02	\N	Japón	\N	\N	\N	\N	\N	\N	t	f
335	107	Jaapan	et	0	2013-05-27 14:29:41.123035+02	\N	Jaapan	\N	\N	\N	\N	\N	\N	t	f
336	107	Japani	fi	0	2013-05-27 14:29:44.898976+02	\N	Japani	\N	\N	\N	\N	\N	\N	t	f
337	107	Japon	fr	0	2013-05-27 14:29:47.115427+02	\N	Japon	\N	\N	\N	\N	\N	\N	t	f
338	107	Giappone	it	0	2013-05-27 14:29:49.341995+02	\N	Giappone	\N	\N	\N	\N	\N	\N	t	f
339	107	日本	ja	0	2013-05-27 14:29:51.573278+02	\N	日本	\N	\N	\N	\N	\N	\N	t	f
340	107	Japan	nl	0	2013-05-27 14:29:53.845997+02	\N	Japan	\N	\N	\N	\N	\N	\N	t	f
341	107	Japan	no	0	2013-05-27 14:29:56.162248+02	\N	Japan	\N	\N	\N	\N	\N	\N	t	f
682	81	Germany	en	0	2013-05-27 14:44:19.457111+02	\N	Germany	\N	\N	\N	\N	\N	\N	t	f
688	81	ドイツ	ja	0	2013-05-27 14:44:33.037383+02	\N	ドイツ	\N	\N	\N	\N	\N	\N	t	f
840	73	Francia	it	0	2013-05-27 14:50:25.909633+02	\N	Francia	\N	\N	\N	\N	\N	\N	t	f
474	14	Österreich	de	0	2013-05-27 14:35:17.339933+02	\N	Österreich	\N	\N	\N	\N	\N	\N	t	f
480	14	Autriche	fr	0	2013-05-27 14:35:31.713314+02	\N	Autriche	\N	\N	\N	\N	\N	\N	t	f
681	81	Γερμανία	el	0	2013-05-27 14:44:17.263237+02	\N	Γερμανία	\N	\N	\N	\N	\N	\N	t	f
837	73	Prantsusmaa	et	0	2013-05-27 14:50:19.26624+02	\N	Prantsusmaa	\N	\N	\N	\N	\N	\N	t	f
680	81	Deutschland	de	0	2013-05-27 14:44:15.073515+02	\N	Deutschland	\N	\N	\N	\N	\N	\N	t	f
478	14	Austria	et	0	2013-05-27 14:35:26.203316+02	\N	Austria	\N	\N	\N	\N	\N	\N	t	f
685	81	Saksa	fi	0	2013-05-27 14:44:26.308494+02	\N	Saksa	\N	\N	\N	\N	\N	\N	t	f
481	14	Austria	it	0	2013-05-27 14:35:33.998079+02	\N	Austria	\N	\N	\N	\N	\N	\N	t	f
686	81	Allemagne	fr	0	2013-05-27 14:44:28.497031+02	\N	Allemagne	\N	\N	\N	\N	\N	\N	t	f
838	73	Ranska	fi	0	2013-05-27 14:50:21.470583+02	\N	Ranska	\N	\N	\N	\N	\N	\N	t	f
475	14	Αυστρία	el	0	2013-05-27 14:35:19.513537+02	\N	Αυστρία	\N	\N	\N	\N	\N	\N	t	f
687	81	Germania	it	0	2013-05-27 14:44:30.719285+02	\N	Germania	\N	\N	\N	\N	\N	\N	t	f
690	81	Tyskland	no	0	2013-05-27 14:44:37.529747+02	\N	Tyskland	\N	\N	\N	\N	\N	\N	t	f
476	14	Austria	en	0	2013-05-27 14:35:21.786684+02	\N	Austria	\N	\N	\N	\N	\N	\N	t	f
689	81	Duitsland	nl	0	2013-05-27 14:44:35.285318+02	\N	Duitsland	\N	\N	\N	\N	\N	\N	t	f
833	73	Frankreich	de	0	2013-05-27 14:50:10.419797+02	\N	Frankreich	\N	\N	\N	\N	\N	\N	t	f
477	14	Austria	es	0	2013-05-27 14:35:24.007389+02	\N	Austria	\N	\N	\N	\N	\N	\N	t	f
479	14	Itävalta	fi	0	2013-05-27 14:35:29.518729+02	\N	Itävalta	\N	\N	\N	\N	\N	\N	t	f
482	14	オーストリア	ja	0	2013-05-27 14:35:36.236547+02	\N	オーストリア	\N	\N	\N	\N	\N	\N	t	f
834	73	Γαλλία	el	0	2013-05-27 14:50:12.604326+02	\N	Γαλλία	\N	\N	\N	\N	\N	\N	t	f
2081	105	Italien	de	0	2013-05-27 15:42:10.912474+02	\N	Italien	\N	\N	\N	\N	\N	\N	t	f
2082	105	Ιταλία	el	0	2013-05-27 15:42:13.098963+02	\N	Ιταλία	\N	\N	\N	\N	\N	\N	t	f
2083	105	Italy	en	0	2013-05-27 15:42:15.355598+02	\N	Italy	\N	\N	\N	\N	\N	\N	t	f
2084	105	Italia	es	0	2013-05-27 15:42:17.580981+02	\N	Italia	\N	\N	\N	\N	\N	\N	t	f
2085	105	Itaalia	et	0	2013-05-27 15:42:22.140435+02	\N	Itaalia	\N	\N	\N	\N	\N	\N	t	f
2086	105	Italia	fi	0	2013-05-27 15:42:24.334254+02	\N	Italia	\N	\N	\N	\N	\N	\N	t	f
2087	105	Italie	fr	0	2013-05-27 15:42:27.080582+02	\N	Italie	\N	\N	\N	\N	\N	\N	t	f
2088	105	Italia	it	0	2013-05-27 15:42:29.300086+02	\N	Italia	\N	\N	\N	\N	\N	\N	t	f
2089	105	イタリア	ja	0	2013-05-27 15:42:31.623339+02	\N	イタリア	\N	\N	\N	\N	\N	\N	t	f
2090	105	Italië	nl	0	2013-05-27 15:42:33.834665+02	\N	Italië	\N	\N	\N	\N	\N	\N	t	f
2091	105	Italia	no	0	2013-05-27 15:42:38.97505+02	\N	Italia	\N	\N	\N	\N	\N	\N	t	f
2246	202	Schweden	de	0	2013-05-27 15:48:40.321262+02	\N	Schweden	\N	\N	\N	\N	\N	\N	t	f
2247	202	Σουηδία	el	0	2013-05-27 15:48:42.541598+02	\N	Σουηδία	\N	\N	\N	\N	\N	\N	t	f
2248	202	Sweden	en	0	2013-05-27 15:48:44.968766+02	\N	Sweden	\N	\N	\N	\N	\N	\N	t	f
2249	202	Suecia	es	0	2013-05-27 15:48:47.191263+02	\N	Suecia	\N	\N	\N	\N	\N	\N	t	f
2250	202	Rootsi	et	0	2013-05-27 15:48:49.477716+02	\N	Rootsi	\N	\N	\N	\N	\N	\N	t	f
2251	202	Ruotsi	fi	0	2013-05-27 15:48:51.680014+02	\N	Ruotsi	\N	\N	\N	\N	\N	\N	t	f
2252	202	Suède	fr	0	2013-05-27 15:48:53.877885+02	\N	Suède	\N	\N	\N	\N	\N	\N	t	f
2253	202	Svezia	it	0	2013-05-27 15:48:56.097534+02	\N	Svezia	\N	\N	\N	\N	\N	\N	t	f
2254	202	スウェーデン	ja	0	2013-05-27 15:48:58.481364+02	\N	スウェーデン	\N	\N	\N	\N	\N	\N	t	f
2255	202	Zweden	nl	0	2013-05-27 15:49:00.993708+02	\N	Zweden	\N	\N	\N	\N	\N	\N	t	f
2256	202	Sverige	no	0	2013-05-27 15:49:03.298388+02	\N	Sverige	\N	\N	\N	\N	\N	\N	t	f
2635	103	Iirimaa	et	0	2013-05-27 16:05:08.392946+02	\N	Iirimaa	\N	\N	\N	\N	\N	\N	t	f
2640	103	Ierland	nl	0	2013-05-27 16:05:19.778232+02	\N	Ierland	\N	\N	\N	\N	\N	\N	t	f
2631	103	Irland	de	0	2013-05-27 16:04:58.945996+02	\N	Irland	\N	\N	\N	\N	\N	\N	t	f
2636	103	Irlanti	fi	0	2013-05-27 16:05:10.589911+02	\N	Irlanti	\N	\N	\N	\N	\N	\N	t	f
2632	103	Δημοκρατία της Ιρλανδίας	el	0	2013-05-27 16:05:01.221869+02	\N	Δημοκρατία της Ιρλανδίας	\N	\N	\N	\N	\N	\N	t	f
2633	103	Republic of Ireland	en	0	2013-05-27 16:05:03.622888+02	\N	Republic of Ireland	\N	\N	\N	\N	\N	\N	t	f
2634	103	Irlanda	es	0	2013-05-27 16:05:06.082991+02	\N	Irlanda	\N	\N	\N	\N	\N	\N	t	f
2637	103	Irlande	fr	0	2013-05-27 16:05:12.930193+02	\N	Irlande	\N	\N	\N	\N	\N	\N	t	f
2638	103	Irlanda	it	0	2013-05-27 16:05:15.302436+02	\N	Irlanda	\N	\N	\N	\N	\N	\N	t	f
2641	103	Irland	no	0	2013-05-27 16:05:21.98788+02	\N	Irland	\N	\N	\N	\N	\N	\N	t	f
2639	103	アイルランド	ja	0	2013-05-27 16:05:17.554337+02	\N	アイルランド	\N	\N	\N	\N	\N	\N	t	f
45	2621	Saigon	\N	0	2013-05-24 01:14:46.692407+02	\N	Saigon	\N	\N	\N	\N	\N	\N	f	f
11	229	Vietnam	vi	0	2013-05-16 11:18:57.003495+02	1	Việt Nam	\N	\N	\N	\N	\N	\N	f	f
30	3821	City of Bristol	en	0	2013-05-21 17:18:03.17643+02	2	Bristol, City of	\N	\N	\N	\N	\N	\N	f	f
12	243	USSR	\N	0	2013-05-16 12:20:05.158309+02	3	USSR	\N	\N	\N	\N	\N	\N	f	f
3	101	Islamic Republic of Iran	en	0	2013-05-15 20:14:33.988086+02	\N	Iran, Islamic Republic of	\N	\N	\N	\N	\N	\N	f	f
13	243	СССР	\N	0	2013-05-16 12:20:33.65162+02	3	СССР	\N	\N	\N	\N	\N	\N	f	f
4	228	Bolivarian Republic of Venezuela	en	0	2013-05-15 20:16:31.845494+02	\N	Venezuela, Bolivarian Republic of	\N	\N	\N	\N	\N	\N	f	f
1	113	Republic of Korea	en	0	2013-05-15 20:16:49.806534+02	2	Korea, Republic of	\N	\N	\N	\N	\N	\N	f	f
2	112	Democratic People's Republic of Korea	en	0	2013-05-15 20:18:09.514758+02	2	Korea, Democratic People's Republic of	\N	\N	\N	\N	\N	\N	f	f
31	4309	Alacant	ca	0	2013-05-22 16:07:07.364453+02	1	Alacant	\N	\N	\N	\N	\N	\N	t	f
5	26	Plurinational State of Bolivia	en	0	2013-05-15 20:18:40.542807+02	2	Bolivia, Plurinational State of	\N	\N	\N	\N	\N	\N	f	f
15	324	Yukon Territory	\N	0	2013-05-18 00:21:05.135641+02	\N	Yukon Territory	\N	\N	\N	\N	\N	\N	f	f
46	3822	City of Edinburgh	en	0	2013-05-24 01:26:08.989902+02	2	Edinburgh, City of	\N	\N	\N	\N	\N	\N	f	f
16	249	Palestinian Territory	\N	0	2013-05-18 17:38:33.338206+02	\N	Palestinian Territory	\N	\N	\N	\N	\N	\N	f	f
6	207	United Republic of Tanzania	en	0	2013-05-15 20:20:06.195971+02	2	Tanzania, United Republic of	\N	\N	\N	\N	\N	\N	f	f
32	4322	Castelló	ca	0	2013-05-22 16:07:21.968517+02	1	Castelló	\N	\N	\N	\N	\N	\N	t	f
7	140	Republic of Moldova	en	0	2013-05-15 20:21:33.132565+02	2	Moldova, Republic of	\N	\N	\N	\N	\N	\N	f	f
8	126	The Former Yugoslav Republic of Macedonia	en	0	2013-05-15 20:23:36.054188+02	\N	Macedonia, The Former Yugoslav Republic of	\N	\N	\N	\N	\N	\N	f	f
9	126	Republic of Macedonia	en	0	2013-05-15 20:23:54.944213+02	\N	Macedonia, Republic of	\N	\N	\N	\N	\N	\N	f	f
10	116	Lao People's Democratic Republic	en	0	2013-05-15 20:34:50.343183+02	\N	Lao People's Democratic Republic	\N	\N	\N	\N	\N	\N	f	f
33	4354	València	ca	0	2013-05-22 16:07:33.384138+02	1	València	\N	\N	\N	\N	\N	\N	t	f
20	1828	Comunitat Valenciana	ca	0	2013-05-21 00:28:31.929637+02	2	Comunitat Valenciana	\N	\N	\N	\N	\N	\N	t	f
21	1812	Principado de Asturias	es	0	2013-05-21 00:29:22.658853+02	2	Asturias, Principado de	\N	\N	\N	\N	\N	\N	f	f
47	3056	Doha	en	0	2013-05-24 01:40:06.227909+02	1	Doha	\N	\N	\N	\N	\N	\N	f	f
34	4349	Gipuzkoa	eu	0	2013-05-22 16:08:42.494371+02	1	Gipuzkoa	\N	\N	\N	\N	\N	\N	t	f
23	1825	Comunidad Foral de Navarra	es	0	2013-05-21 00:30:24.796769+02	2	Navarra, Comunidad Foral de	\N	\N	\N	\N	\N	\N	f	f
24	1826	Euskadi	eu	0	2013-05-21 00:32:15.077442+02	1	Euskadi	\N	\N	\N	\N	\N	\N	f	f
25	1826	País Vasco	es	0	2013-05-21 00:32:22.520548+02	1	País Vasco	\N	\N	\N	\N	\N	\N	f	f
35	4315	Bizkaia	eu	0	2013-05-22 16:08:46.259268+02	1	Bizkaia	\N	\N	\N	\N	\N	\N	t	f
26	1793	Région de Bruxelles-Capitale	fr	0	2013-05-21 00:34:38.137833+02	2	Bruxelles-Capitale, Région de	\N	\N	\N	\N	\N	\N	f	f
27	1795	Région Wallonne	fr	0	2013-05-21 00:36:00.321877+02	2	Wallonne, Région	\N	\N	\N	\N	\N	\N	f	f
53	2473	Erevan	\N	0	2013-05-24 11:17:06.643087+02	\N	Erevan	\N	\N	\N	\N	\N	\N	f	f
28	1794	Vlaamse Gewest	nl	0	2013-05-21 00:36:28.715826+02	2	Vlaamse Gewest	\N	\N	\N	\N	\N	\N	f	f
36	4356	Araba	eu	0	2013-05-22 16:08:52.453188+02	1	Araba	\N	\N	\N	\N	\N	\N	t	f
48	1008	Distrito Capital de Bogotá	es	0	2013-05-24 01:43:22.861824+02	2	Bogotá, Distrito Capital de	\N	\N	\N	\N	\N	\N	f	f
49	2664	Krung Thep Maha Nakhon	th	0	2013-05-24 01:45:03.737882+02	1	Krung Thep Maha Nakhon	\N	\N	\N	\N	\N	\N	f	f
37	1825	Nafarroa	eu	0	2013-05-22 16:18:35.653858+02	1	Nafarroa	\N	\N	\N	\N	\N	\N	t	f
38	1821	Balears	\N	0	2013-05-22 17:00:21.218773+02	\N	Balears	\N	\N	\N	\N	\N	\N	f	f
39	1823	Madrid	\N	0	2013-05-22 17:00:22.257025+02	\N	Madrid	\N	\N	\N	\N	\N	\N	f	f
40	4337	Región de Murcia	\N	0	2013-05-22 17:00:22.788638+02	\N	Murcia, Región de	\N	\N	\N	\N	\N	\N	f	f
22	1825	Nafarroako Foru Komunitatea	eu	0	2013-05-22 17:00:23.280081+02	2	Nafarroako Foru Komunitatea	\N	\N	\N	\N	\N	\N	f	f
42	2458	Tuva	\N	0	2013-05-24 00:53:58.227924+02	1	Tuva	\N	\N	\N	\N	\N	\N	f	f
43	1874	Aosta	\N	0	2013-05-24 01:04:01.520484+02	\N	Aosta	\N	\N	\N	\N	\N	\N	f	f
50	2759	Wilayah Persekutuan Kuala Lumpur	ms	0	2013-05-24 01:55:01.970261+02	2	Wilayah Persekutuan Kuala Lumpur	\N	\N	\N	\N	\N	\N	f	f
44	2621	Sai Gon	\N	0	2013-05-24 01:14:28.723739+02	1	Sai Gon	\N	\N	\N	\N	\N	\N	f	f
62	227	Vatican	fr	0	2013-05-27 14:18:46.696855+02	\N	Vatican	\N	\N	\N	\N	\N	\N	t	f
55	2429	Moscow	en	0	2013-05-25 02:49:17.51928+02	1	Moscow	\N	\N	\N	\N	\N	\N	t	f
51	2761	Wilayah Persekutuan Putrajaya	ms	0	2013-05-24 01:57:26.96772+02	2	Wilayah Persekutuan Putrajaya	\N	\N	\N	\N	\N	\N	f	f
52	695	Ciudad Autónoma de Buenos Aires	es	0	2013-05-24 02:03:10.017074+02	2	Ciudad Autónoma de Buenos Aires	\N	\N	\N	\N	\N	\N	f	f
60	227	Vatikan	et	0	2013-05-27 14:18:38.714151+02	\N	Vatikan	\N	\N	\N	\N	\N	\N	t	f
56	227	Vatikanstadt	de	0	2013-05-27 14:18:20.834419+02	\N	Vatikanstadt	\N	\N	\N	\N	\N	\N	t	f
57	227	Βατικανό	el	0	2013-05-27 14:18:24.111128+02	\N	Βατικανό	\N	\N	\N	\N	\N	\N	t	f
58	227	Vatican City	en	0	2013-05-27 14:18:29.915464+02	\N	Vatican City	\N	\N	\N	\N	\N	\N	t	f
59	227	Ciudad del Vaticano	es	0	2013-05-27 14:18:35.862719+02	\N	Ciudad del Vaticano	\N	\N	\N	\N	\N	\N	t	f
63	227	Città del Vaticano	it	0	2013-05-27 14:18:49.330661+02	\N	Città del Vaticano	\N	\N	\N	\N	\N	\N	t	f
61	227	Vatikaanivaltio	fi	0	2013-05-27 14:18:41.6872+02	\N	Vatikaanivaltio	\N	\N	\N	\N	\N	\N	t	f
65	227	Vaticaanstad	nl	0	2013-05-27 14:18:54.857844+02	\N	Vaticaanstad	\N	\N	\N	\N	\N	\N	t	f
64	227	バチカン	ja	0	2013-05-27 14:18:52.03201+02	\N	バチカン	\N	\N	\N	\N	\N	\N	t	f
67	31	Britisches Territorium im Indischen Ozean	de	0	2013-05-27 14:19:00.594096+02	\N	Britisches Territorium im Indischen Ozean	\N	\N	\N	\N	\N	\N	t	f
66	227	Vatikanstaten	no	0	2013-05-27 14:18:57.424174+02	\N	Vatikanstaten	\N	\N	\N	\N	\N	\N	t	f
68	31	Βρετανικό Έδαφος Ινδικού Ωκεανού	el	0	2013-05-27 14:19:02.85365+02	\N	Βρετανικό Έδαφος Ινδικού Ωκεανού	\N	\N	\N	\N	\N	\N	t	f
69	31	British Indian Ocean Territory	en	0	2013-05-27 14:19:05.498644+02	\N	British Indian Ocean Territory	\N	\N	\N	\N	\N	\N	t	f
70	31	Territorio Británico del Océano Índico	es	0	2013-05-27 14:19:07.736144+02	\N	Territorio Británico del Océano Índico	\N	\N	\N	\N	\N	\N	t	f
71	31	Briti India ookeani ala	et	0	2013-05-27 14:19:10.299395+02	\N	Briti India ookeani ala	\N	\N	\N	\N	\N	\N	t	f
8348	2395	Oblast Brjansk	nl	0	2013-06-05 10:13:19.333995+02	1	Oblast Brjansk	\N	\N	\N	\N	\N	\N	t	f
72	31	Brittiläinen Intian valtameren alue	fi	0	2013-05-27 14:19:15.397623+02	\N	Brittiläinen Intian valtameren alue	\N	\N	\N	\N	\N	\N	t	f
78	15	Aserbaidschan	de	0	2013-05-27 14:19:32.589394+02	\N	Aserbaidschan	\N	\N	\N	\N	\N	\N	t	f
73	31	Territoire britannique de l'océan Indien	fr	0	2013-05-27 14:19:20.094159+02	\N	Territoire britannique de l'océan Indien	\N	\N	\N	\N	\N	\N	t	f
74	31	Territorio britannico dell'oceano Indiano	it	0	2013-05-27 14:19:22.351891+02	\N	Territorio britannico dell'oceano Indiano	\N	\N	\N	\N	\N	\N	t	f
75	31	イギリス領インド洋地域	ja	0	2013-05-27 14:19:24.56808+02	\N	イギリス領インド洋地域	\N	\N	\N	\N	\N	\N	t	f
567	175	Romania	fi	0	2013-05-27 14:39:39.766341+02	\N	Romania	\N	\N	\N	\N	\N	\N	t	f
493	122	リヒテンシュタイン	ja	0	2013-05-27 14:36:04.096632+02	\N	リヒテンシュタイン	\N	\N	\N	\N	\N	\N	t	f
495	122	Liechtenstein	no	0	2013-05-27 14:36:08.633407+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
665	52	Costa d'Avorio	it	0	2013-05-27 14:43:39.317301+02	\N	Costa d'Avorio	\N	\N	\N	\N	\N	\N	t	f
496	252	Isle of Man	de	0	2013-05-27 14:36:14.381962+02	\N	Isle of Man	\N	\N	\N	\N	\N	\N	t	f
593	34	ブルキナファソ	ja	0	2013-05-27 14:40:47.953978+02	\N	ブルキナファソ	\N	\N	\N	\N	\N	\N	t	f
510	63	Egipto	es	0	2013-05-27 14:36:52.128306+02	\N	Egipto	\N	\N	\N	\N	\N	\N	t	f
513	63	Égypte	fr	0	2013-05-27 14:36:59.087463+02	\N	Égypte	\N	\N	\N	\N	\N	\N	t	f
547	32	Brunei	it	0	2013-05-27 14:38:38.577973+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
607	157	Niue	et	0	2013-05-27 14:41:20.311302+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
768	168	Philippinen	de	0	2013-05-27 14:47:39.104874+02	\N	Philippinen	\N	\N	\N	\N	\N	\N	t	f
621	193	Sudafrica	it	0	2013-05-27 14:41:53.565807+02	\N	Sudafrica	\N	\N	\N	\N	\N	\N	t	f
671	206	Tajikistan	en	0	2013-05-27 14:43:53.465346+02	\N	Tajikistan	\N	\N	\N	\N	\N	\N	t	f
653	83	Gibraltar	fr	0	2013-05-27 14:43:10.634206+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
657	83	Gibraltar	no	0	2013-05-27 14:43:19.860793+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
697	244	République démocratique allemande	fr	0	2013-05-27 14:44:54.18731+02	\N	République démocratique allemande	\N	\N	\N	\N	\N	\N	t	f
705	17	Μπαχρέιν	el	0	2013-05-27 14:45:13.259678+02	\N	Μπαχρέιν	\N	\N	\N	\N	\N	\N	t	f
788	67	Estland	nl	0	2013-05-27 14:48:25.064465+02	\N	Estland	\N	\N	\N	\N	\N	\N	t	f
713	17	Bahrein	nl	0	2013-05-27 14:45:31.621957+02	\N	Bahrein	\N	\N	\N	\N	\N	\N	t	f
726	123	Litauen	de	0	2013-05-27 14:46:02.367158+02	\N	Litauen	\N	\N	\N	\N	\N	\N	t	f
896	47	コロンビア	ja	0	2013-05-27 14:52:39.259656+02	\N	コロンビア	\N	\N	\N	\N	\N	\N	t	f
762	135	Mauritania	fi	0	2013-05-27 14:47:24.747099+02	\N	Mauritania	\N	\N	\N	\N	\N	\N	t	f
795	19	Barbados	fi	0	2013-05-27 14:48:41.324633+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
1036	22	Belize	fr	0	2013-05-27 14:58:39.888662+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
897	47	Colombia	nl	0	2013-05-27 14:52:41.477365+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
874	76	フランス領ポリネシア	ja	0	2013-05-27 14:51:44.288046+02	\N	フランス領ポリネシア	\N	\N	\N	\N	\N	\N	t	f
901	230	British Virgin Islands	en	0	2013-05-27 14:52:51.256495+02	\N	British Virgin Islands	\N	\N	\N	\N	\N	\N	t	f
1173	147	Namibia	de	0	2013-05-27 15:04:39.979148+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
922	66	Ερυθραία	el	0	2013-05-27 14:53:42.860419+02	\N	Ερυθραία	\N	\N	\N	\N	\N	\N	t	f
1057	109	Kazakstan	fi	0	2013-05-27 14:59:40.428224+02	\N	Kazakstan	\N	\N	\N	\N	\N	\N	t	f
930	66	Eritrea	nl	0	2013-05-27 14:54:01.095504+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
952	39	Kapp Verde	no	0	2013-05-27 14:54:54.258415+02	\N	Kapp Verde	\N	\N	\N	\N	\N	\N	t	f
956	166	Paraguay	es	0	2013-05-27 14:55:04.398258+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
1059	109	Kazakistan	it	0	2013-05-27 14:59:46.444358+02	\N	Kazakistan	\N	\N	\N	\N	\N	\N	t	f
987	65	Ισημερινή Γουινέα	el	0	2013-05-27 14:56:20.950612+02	\N	Ισημερινή Γουινέα	\N	\N	\N	\N	\N	\N	t	f
1024	37	Kamerun	fi	0	2013-05-27 14:57:59.546186+02	\N	Kamerun	\N	\N	\N	\N	\N	\N	t	f
1065	259	Curaçao	en	0	2013-05-27 15:00:04.979703+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1196	127	Μαδαγασκάρη	el	0	2013-05-27 15:05:34.939556+02	\N	Μαδαγασκάρη	\N	\N	\N	\N	\N	\N	t	f
1066	259	Curazao	es	0	2013-05-27 15:00:10.074598+02	\N	Curazao	\N	\N	\N	\N	\N	\N	t	f
1074	12	Aruba	de	0	2013-05-27 15:00:38.718746+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1299	192	Somalia	fi	0	2013-05-27 15:09:34.2918+02	\N	Somalia	\N	\N	\N	\N	\N	\N	t	f
1090	210	Tokelau	fi	0	2013-05-27 15:01:25.292046+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1197	127	Madagascar	en	0	2013-05-27 15:05:37.137492+02	\N	Madagascar	\N	\N	\N	\N	\N	\N	t	f
1094	210	Tokelau-eilanden	nl	0	2013-05-27 15:01:34.271654+02	\N	Tokelau-eilanden	\N	\N	\N	\N	\N	\N	t	f
1122	233	Lääne-Sahara	et	0	2013-05-27 15:02:39.928685+02	\N	Lääne-Sahara	\N	\N	\N	\N	\N	\N	t	f
1149	203	Zwitserland	nl	0	2013-05-27 15:03:42.194334+02	\N	Zwitserland	\N	\N	\N	\N	\N	\N	t	f
1216	130	Maldivene	no	0	2013-05-27 15:06:21.067202+02	\N	Maldivene	\N	\N	\N	\N	\N	\N	t	f
1161	28	Botswana	no	0	2013-05-27 15:04:10.715563+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1546	258	Besondere Gemeinde	de	0	2013-05-27 15:19:58.151711+02	\N	Besondere Gemeinde	\N	\N	\N	\N	\N	\N	t	f
1225	150	オランダ	ja	0	2013-05-27 15:06:42.321961+02	\N	オランダ	\N	\N	\N	\N	\N	\N	t	f
1305	56	Tschechien	de	0	2013-05-27 15:09:48.692285+02	\N	Tschechien	\N	\N	\N	\N	\N	\N	t	f
1226	150	Nederland	nl	0	2013-05-27 15:06:44.757367+02	\N	Nederland	\N	\N	\N	\N	\N	\N	t	f
1244	60	Dominikaaninen tasavalta	fi	0	2013-05-27 15:07:26.757927+02	\N	Dominikaaninen tasavalta	\N	\N	\N	\N	\N	\N	t	f
1467	50	Cookeilanden	nl	0	2013-05-27 15:16:18.402443+02	\N	Cookeilanden	\N	\N	\N	\N	\N	\N	t	f
1248	60	Dominicaanse Republiek	nl	0	2013-05-27 15:07:35.669152+02	\N	Dominicaanse Republiek	\N	\N	\N	\N	\N	\N	t	f
1336	152	Nieuw-Caledonië	nl	0	2013-05-27 15:11:00.372093+02	\N	Nieuw-Caledonië	\N	\N	\N	\N	\N	\N	t	f
1277	194	Espanja	fi	0	2013-05-27 15:08:43.282042+02	\N	Espanja	\N	\N	\N	\N	\N	\N	t	f
1367	128	Malawi	it	0	2013-05-27 15:12:15.625581+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1416	95	Ονδούρα	el	0	2013-05-27 15:14:09.740849+02	\N	Ονδούρα	\N	\N	\N	\N	\N	\N	t	f
1499	87	グアドループ	ja	0	2013-05-27 15:17:38.206552+02	\N	グアドループ	\N	\N	\N	\N	\N	\N	t	f
1455	38	カナダ	ja	0	2013-05-27 15:15:47.739034+02	\N	カナダ	\N	\N	\N	\N	\N	\N	t	f
1535	3	Algerien	de	0	2013-05-27 15:19:26.255284+02	\N	Algerien	\N	\N	\N	\N	\N	\N	t	f
1558	99	India	et	0	2013-05-27 15:20:30.2959+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1582	23	Bénin	fr	0	2013-05-27 15:21:32.28276+02	\N	Bénin	\N	\N	\N	\N	\N	\N	t	f
1574	24	Bermuda	nl	0	2013-05-27 15:21:10.927187+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1592	218	Uganda	fi	0	2013-05-27 15:22:02.269248+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1593	218	Ouganda	fr	0	2013-05-27 15:22:04.459676+02	\N	Ouganda	\N	\N	\N	\N	\N	\N	t	f
1594	218	Uganda	it	0	2013-05-27 15:22:06.635306+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1626	234	Yémen	fr	0	2013-05-27 15:23:26.319608+02	\N	Yémen	\N	\N	\N	\N	\N	\N	t	f
1627	234	Yemen	it	0	2013-05-27 15:23:28.523247+02	\N	Yemen	\N	\N	\N	\N	\N	\N	t	f
1633	104	Israel	en	0	2013-05-27 15:23:43.367519+02	\N	Israel	\N	\N	\N	\N	\N	\N	t	f
1643	172	Πουέρτο Ρίκο	el	0	2013-05-27 15:24:06.247101+02	\N	Πουέρτο Ρίκο	\N	\N	\N	\N	\N	\N	t	f
1661	5	アンドラ	ja	0	2013-05-27 15:24:47.690416+02	\N	アンドラ	\N	\N	\N	\N	\N	\N	t	f
1663	5	Andorra	no	0	2013-05-27 15:24:52.16131+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1664	159	Nördliche Marianen	de	0	2013-05-27 15:24:55.070477+02	\N	Nördliche Marianen	\N	\N	\N	\N	\N	\N	t	f
3713	2529	Arhangay	fr	0	2013-06-05 06:52:15.04572+02	1	Arhangay	\N	\N	\N	\N	\N	\N	t	f
1684	33	Bulgarije	nl	0	2013-05-27 15:25:41.228959+02	\N	Bulgarije	\N	\N	\N	\N	\N	\N	t	f
4145	4359	Ain	it	0	2013-06-05 07:11:15.721674+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
76	31	Brits Indische Oceaanterritorium	nl	0	2013-05-27 14:19:26.785743+02	\N	Brits Indische Oceaanterritorium	\N	\N	\N	\N	\N	\N	t	f
102	225	Uzbekistan	en	0	2013-05-27 14:20:35.047354+02	\N	Uzbekistan	\N	\N	\N	\N	\N	\N	t	f
77	31	Det britiske territoriet i Indiahavet	no	0	2013-05-27 14:19:29.399358+02	\N	Det britiske territoriet i Indiahavet	\N	\N	\N	\N	\N	\N	t	f
79	15	Αζερμπαϊτζάν	el	0	2013-05-27 14:19:34.808318+02	\N	Αζερμπαϊτζάν	\N	\N	\N	\N	\N	\N	t	f
80	15	Azerbaijan	en	0	2013-05-27 14:19:36.985613+02	\N	Azerbaijan	\N	\N	\N	\N	\N	\N	t	f
103	225	Uzbekistán	es	0	2013-05-27 14:20:37.36336+02	\N	Uzbekistán	\N	\N	\N	\N	\N	\N	t	f
81	15	Azerbaiyán	es	0	2013-05-27 14:19:39.236415+02	\N	Azerbaiyán	\N	\N	\N	\N	\N	\N	t	f
82	15	Aserbaidžaan	et	0	2013-05-27 14:19:41.468543+02	\N	Aserbaidžaan	\N	\N	\N	\N	\N	\N	t	f
83	15	Azerbaidžan	fi	0	2013-05-27 14:19:43.785532+02	\N	Azerbaidžan	\N	\N	\N	\N	\N	\N	t	f
104	225	Usbekistan	et	0	2013-05-27 14:20:39.558956+02	\N	Usbekistan	\N	\N	\N	\N	\N	\N	t	f
84	15	Azerbaïdjan	fr	0	2013-05-27 14:19:45.988533+02	\N	Azerbaïdjan	\N	\N	\N	\N	\N	\N	t	f
85	15	Azerbaigian	it	0	2013-05-27 14:19:48.411138+02	\N	Azerbaigian	\N	\N	\N	\N	\N	\N	t	f
86	15	アゼルバイジャン	ja	0	2013-05-27 14:19:50.705365+02	\N	アゼルバイジャン	\N	\N	\N	\N	\N	\N	t	f
105	225	Uzbekistan	fi	0	2013-05-27 14:20:41.794042+02	\N	Uzbekistan	\N	\N	\N	\N	\N	\N	t	f
87	15	Azerbeidzjan	nl	0	2013-05-27 14:19:52.922097+02	\N	Azerbeidzjan	\N	\N	\N	\N	\N	\N	t	f
88	15	Aserbajdsjan	no	0	2013-05-27 14:19:55.166223+02	\N	Aserbajdsjan	\N	\N	\N	\N	\N	\N	t	f
106	225	Ouzbékistan	fr	0	2013-05-27 14:20:44.030604+02	\N	Ouzbékistan	\N	\N	\N	\N	\N	\N	t	f
107	225	Uzbekistan	it	0	2013-05-27 14:20:46.261266+02	\N	Uzbekistan	\N	\N	\N	\N	\N	\N	t	f
129	186	Seychelles	it	0	2013-05-27 14:21:37.338069+02	\N	Seychelles	\N	\N	\N	\N	\N	\N	t	f
108	225	ウズベキスタン	ja	0	2013-05-27 14:20:48.581486+02	\N	ウズベキスタン	\N	\N	\N	\N	\N	\N	t	f
109	225	Oezbekistan	nl	0	2013-05-27 14:20:50.837503+02	\N	Oezbekistan	\N	\N	\N	\N	\N	\N	t	f
100	225	Usbekistan	de	0	2013-05-27 14:20:30.654326+02	\N	Usbekistan	\N	\N	\N	\N	\N	\N	t	f
101	225	Ουζμπεκιστάν	el	0	2013-05-27 14:20:32.848327+02	\N	Ουζμπεκιστάν	\N	\N	\N	\N	\N	\N	t	f
110	225	Usbekistan	no	0	2013-05-27 14:20:53.075308+02	\N	Usbekistan	\N	\N	\N	\N	\N	\N	t	f
137	93	Haiti	et	0	2013-05-27 14:21:56.102923+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
122	186	Seychellen	de	0	2013-05-27 14:21:21.866709+02	\N	Seychellen	\N	\N	\N	\N	\N	\N	t	f
130	186	セーシェル	ja	0	2013-05-27 14:21:39.569073+02	\N	セーシェル	\N	\N	\N	\N	\N	\N	t	f
123	186	Σεϋχέλλες	el	0	2013-05-27 14:21:24.064293+02	\N	Σεϋχέλλες	\N	\N	\N	\N	\N	\N	t	f
124	186	Seychelles	en	0	2013-05-27 14:21:26.254147+02	\N	Seychelles	\N	\N	\N	\N	\N	\N	t	f
131	186	Seychellen	nl	0	2013-05-27 14:21:42.073944+02	\N	Seychellen	\N	\N	\N	\N	\N	\N	t	f
125	186	Seychelles	es	0	2013-05-27 14:21:28.439488+02	\N	Seychelles	\N	\N	\N	\N	\N	\N	t	f
126	186	Seišellid	et	0	2013-05-27 14:21:30.697725+02	\N	Seišellid	\N	\N	\N	\N	\N	\N	t	f
146	161	Oman	en	0	2013-05-27 14:22:16.849256+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
127	186	Seychellit	fi	0	2013-05-27 14:21:32.90586+02	\N	Seychellit	\N	\N	\N	\N	\N	\N	t	f
132	186	Seychellene	no	0	2013-05-27 14:21:44.389202+02	\N	Seychellene	\N	\N	\N	\N	\N	\N	t	f
128	186	Seychelles	fr	0	2013-05-27 14:21:35.120647+02	\N	Seychelles	\N	\N	\N	\N	\N	\N	t	f
138	93	Haiti	fi	0	2013-05-27 14:21:58.403258+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
133	93	Haiti	de	0	2013-05-27 14:21:47.341415+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
134	93	Αϊτή	el	0	2013-05-27 14:21:49.529473+02	\N	Αϊτή	\N	\N	\N	\N	\N	\N	t	f
143	93	Haiti	no	0	2013-05-27 14:22:09.525494+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
135	93	Haiti	en	0	2013-05-27 14:21:51.722919+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
139	93	Haïti	fr	0	2013-05-27 14:22:00.624942+02	\N	Haïti	\N	\N	\N	\N	\N	\N	t	f
136	93	Haití	es	0	2013-05-27 14:21:53.921016+02	\N	Haití	\N	\N	\N	\N	\N	\N	t	f
140	93	Haiti	it	0	2013-05-27 14:22:02.823262+02	\N	Haiti	\N	\N	\N	\N	\N	\N	t	f
141	93	ハイチ	ja	0	2013-05-27 14:22:05.040471+02	\N	ハイチ	\N	\N	\N	\N	\N	\N	t	f
144	161	Oman	de	0	2013-05-27 14:22:12.442627+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
142	93	Haïti	nl	0	2013-05-27 14:22:07.272838+02	\N	Haïti	\N	\N	\N	\N	\N	\N	t	f
148	161	Omaan	et	0	2013-05-27 14:22:21.267061+02	\N	Omaan	\N	\N	\N	\N	\N	\N	t	f
145	161	Ομάν	el	0	2013-05-27 14:22:14.63878+02	\N	Ομάν	\N	\N	\N	\N	\N	\N	t	f
147	161	Omán	es	0	2013-05-27 14:22:19.062734+02	\N	Omán	\N	\N	\N	\N	\N	\N	t	f
149	161	Oman	fi	0	2013-05-27 14:22:23.495718+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
150	161	Oman	fr	0	2013-05-27 14:22:25.762145+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
151	161	Oman	it	0	2013-05-27 14:22:27.967967+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
152	161	オマーン	ja	0	2013-05-27 14:22:30.177382+02	\N	オマーン	\N	\N	\N	\N	\N	\N	t	f
153	161	Oman	nl	0	2013-05-27 14:22:32.413951+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
154	161	Oman	no	0	2013-05-27 14:22:34.648577+02	\N	Oman	\N	\N	\N	\N	\N	\N	t	f
155	215	Turkmenistan	de	0	2013-05-27 14:22:37.753514+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
156	215	Τουρκμενιστάν	el	0	2013-05-27 14:22:39.943162+02	\N	Τουρκμενιστάν	\N	\N	\N	\N	\N	\N	t	f
157	215	Turkmenistan	en	0	2013-05-27 14:22:42.144825+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
158	215	Turkmenistán	es	0	2013-05-27 14:22:44.339472+02	\N	Turkmenistán	\N	\N	\N	\N	\N	\N	t	f
3311	2959	West Azarbaijan Province	en	0	2013-05-27 19:56:50.131807+02	1	West Azarbaijan Province	\N	\N	\N	\N	\N	\N	t	f
159	215	Türkmenistan	et	0	2013-05-27 14:22:46.530302+02	\N	Türkmenistan	\N	\N	\N	\N	\N	\N	t	f
160	215	Turkmenistan	fi	0	2013-05-27 14:22:48.727393+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
184	205	Taiwan	it	0	2013-05-27 14:23:44.961667+02	\N	Taiwan	\N	\N	\N	\N	\N	\N	t	f
161	215	Turkménistan	fr	0	2013-05-27 14:22:51.019738+02	\N	Turkménistan	\N	\N	\N	\N	\N	\N	t	f
162	215	Turkmenistan	it	0	2013-05-27 14:22:53.303573+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
163	215	トルクメニスタン	ja	0	2013-05-27 14:22:55.584123+02	\N	トルクメニスタン	\N	\N	\N	\N	\N	\N	t	f
185	205	中華民国	ja	0	2013-05-27 14:23:47.204001+02	\N	中華民国	\N	\N	\N	\N	\N	\N	t	f
164	215	Turkmenistan	nl	0	2013-05-27 14:22:57.793245+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
165	215	Turkmenistan	no	0	2013-05-27 14:23:00.068317+02	\N	Turkmenistan	\N	\N	\N	\N	\N	\N	t	f
222	70	Νήσοι Φερόες	el	0	2013-05-27 14:25:14.534753+02	\N	Νήσοι Φερόες	\N	\N	\N	\N	\N	\N	t	f
166	44	China	de	0	2013-05-27 14:23:03.553621+02	\N	China	\N	\N	\N	\N	\N	\N	t	f
186	205	Taiwan	nl	0	2013-05-27 14:23:49.454455+02	\N	Taiwan	\N	\N	\N	\N	\N	\N	t	f
167	44	Λαϊκή Δημοκρατία της Κίνας	el	0	2013-05-27 14:23:05.953163+02	\N	Λαϊκή Δημοκρατία της Κίνας	\N	\N	\N	\N	\N	\N	t	f
168	44	People's Republic of China	en	0	2013-05-27 14:23:08.228395+02	\N	People's Republic of China	\N	\N	\N	\N	\N	\N	t	f
203	164	Panama	et	0	2013-05-27 14:24:29.147305+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
169	44	China	es	0	2013-05-27 14:23:10.450628+02	\N	China	\N	\N	\N	\N	\N	\N	t	f
187	205	Republikken Kina	no	0	2013-05-27 14:23:51.700663+02	\N	Republikken Kina	\N	\N	\N	\N	\N	\N	t	f
170	44	Hiina	et	0	2013-05-27 14:23:12.689675+02	\N	Hiina	\N	\N	\N	\N	\N	\N	t	f
171	44	Kiina	fi	0	2013-05-27 14:23:14.887405+02	\N	Kiina	\N	\N	\N	\N	\N	\N	t	f
172	44	République populaire de Chine	fr	0	2013-05-27 14:23:17.09243+02	\N	République populaire de Chine	\N	\N	\N	\N	\N	\N	t	f
188	185	Senegal	de	0	2013-05-27 14:23:54.723807+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
173	44	Cina	it	0	2013-05-27 14:23:19.356447+02	\N	Cina	\N	\N	\N	\N	\N	\N	t	f
174	44	中華人民共和国	ja	0	2013-05-27 14:23:21.736168+02	\N	中華人民共和国	\N	\N	\N	\N	\N	\N	t	f
215	145	Mosambik	fi	0	2013-05-27 14:24:57.890975+02	\N	Mosambik	\N	\N	\N	\N	\N	\N	t	f
175	44	Volksrepubliek China	nl	0	2013-05-27 14:23:23.990413+02	\N	Volksrepubliek China	\N	\N	\N	\N	\N	\N	t	f
189	185	Σενεγάλη	el	0	2013-05-27 14:23:56.900049+02	\N	Σενεγάλη	\N	\N	\N	\N	\N	\N	t	f
176	44	Folkerepublikken Kina	no	0	2013-05-27 14:23:26.224204+02	\N	Folkerepublikken Kina	\N	\N	\N	\N	\N	\N	t	f
177	205	Republik China	de	0	2013-05-27 14:23:29.331358+02	\N	Republik China	\N	\N	\N	\N	\N	\N	t	f
204	164	Panama	fi	0	2013-05-27 14:24:31.349326+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
178	205	Δημοκρατία της Κίνας	el	0	2013-05-27 14:23:31.522291+02	\N	Δημοκρατία της Κίνας	\N	\N	\N	\N	\N	\N	t	f
190	185	Senegal	en	0	2013-05-27 14:23:59.120905+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
179	205	Republic of China	en	0	2013-05-27 14:23:33.814014+02	\N	Republic of China	\N	\N	\N	\N	\N	\N	t	f
180	205	República de China	es	0	2013-05-27 14:23:36.045117+02	\N	República de China	\N	\N	\N	\N	\N	\N	t	f
181	205	Hiina Vabariik	et	0	2013-05-27 14:23:38.244007+02	\N	Hiina Vabariik	\N	\N	\N	\N	\N	\N	t	f
191	185	Senegal	es	0	2013-05-27 14:24:01.316294+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
182	205	Kiinan tasavalta	fi	0	2013-05-27 14:23:40.47666+02	\N	Kiinan tasavalta	\N	\N	\N	\N	\N	\N	t	f
183	205	République de Chine	fr	0	2013-05-27 14:23:42.706796+02	\N	République de Chine	\N	\N	\N	\N	\N	\N	t	f
205	164	Panama	fr	0	2013-05-27 14:24:33.562911+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
192	185	Senegal	et	0	2013-05-27 14:24:03.538059+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
193	185	Senegal	fi	0	2013-05-27 14:24:05.749808+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
194	185	Sénégal	fr	0	2013-05-27 14:24:07.944001+02	\N	Sénégal	\N	\N	\N	\N	\N	\N	t	f
206	164	Panamá	it	0	2013-05-27 14:24:35.909051+02	\N	Panamá	\N	\N	\N	\N	\N	\N	t	f
195	185	Senegal	it	0	2013-05-27 14:24:10.149895+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
196	185	セネガル	ja	0	2013-05-27 14:24:12.708944+02	\N	セネガル	\N	\N	\N	\N	\N	\N	t	f
216	145	Mozambique	fr	0	2013-05-27 14:25:00.115807+02	\N	Mozambique	\N	\N	\N	\N	\N	\N	t	f
197	185	Senegal	nl	0	2013-05-27 14:24:15.067002+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
207	164	パナマ	ja	0	2013-05-27 14:24:38.155864+02	\N	パナマ	\N	\N	\N	\N	\N	\N	t	f
198	185	Senegal	no	0	2013-05-27 14:24:17.320966+02	\N	Senegal	\N	\N	\N	\N	\N	\N	t	f
199	164	Panama	de	0	2013-05-27 14:24:20.307133+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
200	164	Παναμάς	el	0	2013-05-27 14:24:22.512315+02	\N	Παναμάς	\N	\N	\N	\N	\N	\N	t	f
208	164	Panama	nl	0	2013-05-27 14:24:40.439694+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
201	164	Panama	en	0	2013-05-27 14:24:24.741733+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
202	164	Panamá	es	0	2013-05-27 14:24:26.945136+02	\N	Panamá	\N	\N	\N	\N	\N	\N	t	f
209	164	Panama	no	0	2013-05-27 14:24:42.68799+02	\N	Panama	\N	\N	\N	\N	\N	\N	t	f
217	145	Mozambico	it	0	2013-05-27 14:25:02.351584+02	\N	Mozambico	\N	\N	\N	\N	\N	\N	t	f
210	145	Mosambik	de	0	2013-05-27 14:24:45.685024+02	\N	Mosambik	\N	\N	\N	\N	\N	\N	t	f
211	145	Μοζαμβίκη	el	0	2013-05-27 14:24:47.944911+02	\N	Μοζαμβίκη	\N	\N	\N	\N	\N	\N	t	f
223	70	Faroe Islands	en	0	2013-05-27 14:25:16.782988+02	\N	Faroe Islands	\N	\N	\N	\N	\N	\N	t	f
212	145	Mozambique	en	0	2013-05-27 14:24:51.270968+02	\N	Mozambique	\N	\N	\N	\N	\N	\N	t	f
218	145	モザンビーク	ja	0	2013-05-27 14:25:04.578668+02	\N	モザンビーク	\N	\N	\N	\N	\N	\N	t	f
213	145	Mozambique	es	0	2013-05-27 14:24:53.479656+02	\N	Mozambique	\N	\N	\N	\N	\N	\N	t	f
214	145	Mosambiik	et	0	2013-05-27 14:24:55.682046+02	\N	Mosambiik	\N	\N	\N	\N	\N	\N	t	f
219	145	Mozambique	nl	0	2013-05-27 14:25:06.813341+02	\N	Mozambique	\N	\N	\N	\N	\N	\N	t	f
220	145	Mosambik	no	0	2013-05-27 14:25:09.054679+02	\N	Mosambik	\N	\N	\N	\N	\N	\N	t	f
224	70	Islas Feroe	es	0	2013-05-27 14:25:18.975645+02	\N	Islas Feroe	\N	\N	\N	\N	\N	\N	t	f
221	70	Färöer	de	0	2013-05-27 14:25:12.313336+02	\N	Färöer	\N	\N	\N	\N	\N	\N	t	f
227	70	Îles Féroé	fr	0	2013-05-27 14:25:25.665477+02	\N	Îles Féroé	\N	\N	\N	\N	\N	\N	t	f
225	70	Fääri saared	et	0	2013-05-27 14:25:21.196789+02	\N	Fääri saared	\N	\N	\N	\N	\N	\N	t	f
226	70	Färsaaret	fi	0	2013-05-27 14:25:23.411992+02	\N	Färsaaret	\N	\N	\N	\N	\N	\N	t	f
228	70	Isole Fær Øer	it	0	2013-05-27 14:25:27.982029+02	\N	Isole Fær Øer	\N	\N	\N	\N	\N	\N	t	f
230	70	Faeröer	nl	0	2013-05-27 14:25:32.477783+02	\N	Faeröer	\N	\N	\N	\N	\N	\N	t	f
229	70	フェロー諸島	ja	0	2013-05-27 14:25:30.230491+02	\N	フェロー諸島	\N	\N	\N	\N	\N	\N	t	f
231	70	Færøyene	no	0	2013-05-27 14:25:34.703672+02	\N	Færøyene	\N	\N	\N	\N	\N	\N	t	f
234	173	Qatar	en	0	2013-05-27 14:25:42.793424+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
232	173	Katar	de	0	2013-05-27 14:25:37.752908+02	\N	Katar	\N	\N	\N	\N	\N	\N	t	f
233	173	Κατάρ	el	0	2013-05-27 14:25:40.137918+02	\N	Κατάρ	\N	\N	\N	\N	\N	\N	t	f
235	173	Qatar	es	0	2013-05-27 14:25:45.026202+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
236	173	Katar	et	0	2013-05-27 14:25:47.228532+02	\N	Katar	\N	\N	\N	\N	\N	\N	t	f
237	173	Qatar	fi	0	2013-05-27 14:25:49.428088+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
238	173	Qatar	fr	0	2013-05-27 14:25:51.622+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
239	173	Qatar	it	0	2013-05-27 14:25:53.901411+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
240	173	カタール	ja	0	2013-05-27 14:25:56.130419+02	\N	カタール	\N	\N	\N	\N	\N	\N	t	f
241	173	Qatar	nl	0	2013-05-27 14:25:58.382873+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
242	173	Qatar	no	0	2013-05-27 14:26:00.622743+02	\N	Qatar	\N	\N	\N	\N	\N	\N	t	f
568	175	Roumanie	fr	0	2013-05-27 14:39:41.983035+02	\N	Roumanie	\N	\N	\N	\N	\N	\N	t	f
243	143	Montserrat	de	0	2013-05-27 14:26:03.38185+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
252	143	Montserrat	nl	0	2013-05-27 14:26:23.461689+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
255	36	Καμπότζη	el	0	2013-05-27 14:26:30.999342+02	\N	Καμπότζη	\N	\N	\N	\N	\N	\N	t	f
485	122	Liechtenstein	de	0	2013-05-27 14:35:43.850898+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
511	63	Egiptus	et	0	2013-05-27 14:36:54.359791+02	\N	Egiptus	\N	\N	\N	\N	\N	\N	t	f
522	42	Tšaad	et	0	2013-05-27 14:37:24.964814+02	\N	Tšaad	\N	\N	\N	\N	\N	\N	t	f
569	175	Romania	it	0	2013-05-27 14:39:44.212721+02	\N	Romania	\N	\N	\N	\N	\N	\N	t	f
548	32	ブルネイ	ja	0	2013-05-27 14:38:40.796889+02	\N	ブルネイ	\N	\N	\N	\N	\N	\N	t	f
554	29	Isla Bouvet	es	0	2013-05-27 14:38:56.138791+02	\N	Isla Bouvet	\N	\N	\N	\N	\N	\N	t	f
666	52	コートジボワール	ja	0	2013-05-27 14:43:41.556393+02	\N	コートジボワール	\N	\N	\N	\N	\N	\N	t	f
594	34	Burkina Faso	nl	0	2013-05-27 14:40:50.266759+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
611	157	ニウエ	ja	0	2013-05-27 14:41:29.142928+02	\N	ニウエ	\N	\N	\N	\N	\N	\N	t	f
622	193	南アフリカ共和国	ja	0	2013-05-27 14:41:55.830473+02	\N	南アフリカ共和国	\N	\N	\N	\N	\N	\N	t	f
642	18	Bangladesh	fr	0	2013-05-27 14:42:44.522403+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
654	83	Gibilterra	it	0	2013-05-27 14:43:12.856621+02	\N	Gibilterra	\N	\N	\N	\N	\N	\N	t	f
769	168	Φιλιππίνες	el	0	2013-05-27 14:47:41.354464+02	\N	Φιλιππίνες	\N	\N	\N	\N	\N	\N	t	f
655	83	ジブラルタル	ja	0	2013-05-27 14:43:15.252731+02	\N	ジブラルタル	\N	\N	\N	\N	\N	\N	t	f
700	244	Duitse Democratische Republiek	nl	0	2013-05-27 14:45:00.948219+02	\N	Duitse Democratische Republiek	\N	\N	\N	\N	\N	\N	t	f
664	52	Côte d'Ivoire	fr	0	2013-05-27 14:43:36.427022+02	\N	Côte d'Ivoire	\N	\N	\N	\N	\N	\N	t	f
729	123	Lituania	es	0	2013-05-27 14:46:09.005951+02	\N	Lituania	\N	\N	\N	\N	\N	\N	t	f
898	47	Colombia	no	0	2013-05-27 14:52:43.714099+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
750	200	Svalbard ja Jan Mayen	et	0	2013-05-27 14:46:57.262888+02	\N	Svalbard ja Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
785	67	Estonie	fr	0	2013-05-27 14:48:18.179526+02	\N	Estonie	\N	\N	\N	\N	\N	\N	t	f
758	135	Μαυριτανία	el	0	2013-05-27 14:47:15.845328+02	\N	Μαυριτανία	\N	\N	\N	\N	\N	\N	t	f
802	94	Νήσοι Χερντ και Μακντόναλντ	el	0	2013-05-27 14:48:58.225688+02	\N	Νήσοι Χερντ και Μακντόναλντ	\N	\N	\N	\N	\N	\N	t	f
1037	22	Belize	it	0	2013-05-27 14:58:42.075412+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
806	94	Îles Heard-et-MacDonald	fr	0	2013-05-27 14:49:07.309289+02	\N	Îles Heard-et-MacDonald	\N	\N	\N	\N	\N	\N	t	f
904	230	Brittiläiset Neitsytsaaret	fi	0	2013-05-27 14:52:57.977724+02	\N	Brittiläiset Neitsytsaaret	\N	\N	\N	\N	\N	\N	t	f
813	148	Nauru	en	0	2013-05-27 14:49:23.828006+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
819	148	ナウル	ja	0	2013-05-27 14:49:37.203535+02	\N	ナウル	\N	\N	\N	\N	\N	\N	t	f
923	66	Eritrea	en	0	2013-05-27 14:53:45.346056+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
875	76	Frans-Polynesië	nl	0	2013-05-27 14:51:46.524901+02	\N	Frans-Polynesië	\N	\N	\N	\N	\N	\N	t	f
884	43	Cile	it	0	2013-05-27 14:52:10.572656+02	\N	Cile	\N	\N	\N	\N	\N	\N	t	f
939	260	シント・マールテン	ja	0	2013-05-27 14:54:21.912729+02	\N	シント・マールテン	\N	\N	\N	\N	\N	\N	t	f
1060	109	カザフスタン	ja	0	2013-05-27 14:59:48.676452+02	\N	カザフスタン	\N	\N	\N	\N	\N	\N	t	f
955	166	Paraguay	en	0	2013-05-27 14:55:01.638819+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
958	166	Paraguay	fi	0	2013-05-27 14:55:08.797629+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
1174	147	Ναμίμπια	el	0	2013-05-27 15:04:42.172408+02	\N	Ναμίμπια	\N	\N	\N	\N	\N	\N	t	f
960	166	Paraguay	it	0	2013-05-27 14:55:13.26099+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
1070	259	Curaçao	it	0	2013-05-27 15:00:24.745257+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
963	166	Paraguay	no	0	2013-05-27 14:55:19.991208+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
988	65	Equatorial Guinea	en	0	2013-05-27 14:56:23.156+02	\N	Equatorial Guinea	\N	\N	\N	\N	\N	\N	t	f
1011	54	Cuba	es	0	2013-05-27 14:57:28.356044+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1096	242	Serbien und Montenegro	de	0	2013-05-27 15:01:39.552502+02	\N	Serbien und Montenegro	\N	\N	\N	\N	\N	\N	t	f
1027	37	カメルーン	ja	0	2013-05-27 14:58:09.564832+02	\N	カメルーン	\N	\N	\N	\N	\N	\N	t	f
1125	233	Sahara Occidentale	it	0	2013-05-27 15:02:46.629771+02	\N	Sahara Occidentale	\N	\N	\N	\N	\N	\N	t	f
1198	127	Madagascar	es	0	2013-05-27 15:05:39.382059+02	\N	Madagascar	\N	\N	\N	\N	\N	\N	t	f
1156	28	Botswana	fi	0	2013-05-27 15:03:59.500353+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1215	130	Maldiven	nl	0	2013-05-27 15:06:18.731624+02	\N	Maldiven	\N	\N	\N	\N	\N	\N	t	f
1338	217	Tuvalu	de	0	2013-05-27 15:11:05.541948+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1221	150	Holland	et	0	2013-05-27 15:06:33.30562+02	\N	Holland	\N	\N	\N	\N	\N	\N	t	f
1222	150	Alankomaat	fi	0	2013-05-27 15:06:35.56862+02	\N	Alankomaat	\N	\N	\N	\N	\N	\N	t	f
1401	146	ミャンマー	ja	0	2013-05-27 15:13:34.238452+02	\N	ミャンマー	\N	\N	\N	\N	\N	\N	t	f
1234	190	Slovénie	fr	0	2013-05-27 15:07:03.518748+02	\N	Slovénie	\N	\N	\N	\N	\N	\N	t	f
1346	217	ツバル	ja	0	2013-05-27 15:11:23.299392+02	\N	ツバル	\N	\N	\N	\N	\N	\N	t	f
1250	238	Simbabwe	de	0	2013-05-27 15:07:41.107091+02	\N	Simbabwe	\N	\N	\N	\N	\N	\N	t	f
1281	194	Spanje	nl	0	2013-05-27 15:08:52.306313+02	\N	Spanje	\N	\N	\N	\N	\N	\N	t	f
1297	192	Somalía	es	0	2013-05-27 15:09:29.867631+02	\N	Somalía	\N	\N	\N	\N	\N	\N	t	f
1358	208	Thailand	nl	0	2013-05-27 15:11:52.418036+02	\N	Thailand	\N	\N	\N	\N	\N	\N	t	f
1300	192	Somalie	fr	0	2013-05-27 15:09:36.509864+02	\N	Somalie	\N	\N	\N	\N	\N	\N	t	f
1365	128	Malawi	fi	0	2013-05-27 15:12:08.772744+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1417	95	Honduras	en	0	2013-05-27 15:14:12.17654+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1371	84	Griechenland	de	0	2013-05-27 15:12:25.539363+02	\N	Griechenland	\N	\N	\N	\N	\N	\N	t	f
1374	84	Grecia	es	0	2013-05-27 15:12:32.326493+02	\N	Grecia	\N	\N	\N	\N	\N	\N	t	f
1445	196	Sint-Helena, Ascension en Tristan da Cunha	nl	0	2013-05-27 15:15:20.185544+02	\N	Sint-Helena, Ascension en Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1438	196	Saint Helena, Ascension and Tristan da Cunha	en	0	2013-05-27 15:15:03.988359+02	\N	Saint Helena, Ascension and Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1501	87	Guadeloupe	no	0	2013-05-27 15:17:42.705713+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1473	137	Mayotte	et	0	2013-05-27 15:16:33.290275+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1475	137	Mayotte	fr	0	2013-05-27 15:16:39.309204+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1537	3	Algeria	en	0	2013-05-27 15:19:30.66842+02	\N	Algeria	\N	\N	\N	\N	\N	\N	t	f
1547	258	Caribbean Netherlands	en	0	2013-05-27 15:20:00.42943+02	\N	Caribbean Netherlands	\N	\N	\N	\N	\N	\N	t	f
1561	99	India	it	0	2013-05-27 15:20:38.230225+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1583	23	Benin	it	0	2013-05-27 15:21:34.50501+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1600	248	South Georgia and the South Sandwich Islands	en	0	2013-05-27 15:22:23.768203+02	\N	South Georgia and the South Sandwich Islands	\N	\N	\N	\N	\N	\N	t	f
1634	104	Israel	es	0	2013-05-27 15:23:45.561877+02	\N	Israel	\N	\N	\N	\N	\N	\N	t	f
1662	5	Andorra	nl	0	2013-05-27 15:24:49.915272+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
3312	2959	Azerbaiyán Occidental	es	0	2013-05-27 19:56:52.377482+02	1	Azerbaiyán Occidental	\N	\N	\N	\N	\N	\N	t	f
4654	3778	カッパーベルト州	ja	0	2013-06-05 07:33:16.791136+02	1	カッパーベルト州	\N	\N	\N	\N	\N	\N	t	f
5210	1029	Carchi	fi	0	2013-06-05 07:57:16.560933+02	1	Carchi	\N	\N	\N	\N	\N	\N	t	f
244	143	Μοντσερράτ	el	0	2013-05-27 14:26:05.67616+02	\N	Μοντσερράτ	\N	\N	\N	\N	\N	\N	t	f
486	122	Λίχτενσταϊν	el	0	2013-05-27 14:35:46.013233+02	\N	Λίχτενσταϊν	\N	\N	\N	\N	\N	\N	t	f
500	252	Man	et	0	2013-05-27 14:36:23.242376+02	\N	Man	\N	\N	\N	\N	\N	\N	t	f
570	175	ルーマニア	ja	0	2013-05-27 14:39:46.433846+02	\N	ルーマニア	\N	\N	\N	\N	\N	\N	t	f
516	63	Egypte	nl	0	2013-05-27 14:37:09.089754+02	\N	Egypte	\N	\N	\N	\N	\N	\N	t	f
520	42	Chad	en	0	2013-05-27 14:37:19.006589+02	\N	Chad	\N	\N	\N	\N	\N	\N	t	f
526	42	チャド	ja	0	2013-05-27 14:37:34.001886+02	\N	チャド	\N	\N	\N	\N	\N	\N	t	f
575	69	Falkland Islands	en	0	2013-05-27 14:40:00.722123+02	\N	Falkland Islands	\N	\N	\N	\N	\N	\N	t	f
550	32	Brunei	no	0	2013-05-27 14:38:45.262797+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
565	175	Rumania	es	0	2013-05-27 14:39:34.506206+02	\N	Rumania	\N	\N	\N	\N	\N	\N	t	f
667	52	Ivoorkust	nl	0	2013-05-27 14:43:43.811042+02	\N	Ivoorkust	\N	\N	\N	\N	\N	\N	t	f
595	34	Burkina Faso	no	0	2013-05-27 14:40:52.503929+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
602	8	Antarktis	no	0	2013-05-27 14:41:08.497395+02	\N	Antarktis	\N	\N	\N	\N	\N	\N	t	f
605	157	Niue	en	0	2013-05-27 14:41:15.707601+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
625	251	Guernsey	de	0	2013-05-27 14:42:03.149221+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
656	83	Gibraltar	nl	0	2013-05-27 14:43:17.598899+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
770	168	Philippines	en	0	2013-05-27 14:47:43.566673+02	\N	Philippines	\N	\N	\N	\N	\N	\N	t	f
660	52	Côte d'Ivoire	en	0	2013-05-27 14:43:27.456869+02	\N	Côte d'Ivoire	\N	\N	\N	\N	\N	\N	t	f
693	244	East Germany	en	0	2013-05-27 14:44:45.232066+02	\N	East Germany	\N	\N	\N	\N	\N	\N	t	f
698	244	Repubblica Democratica Tedesca	it	0	2013-05-27 14:44:56.454636+02	\N	Repubblica Democratica Tedesca	\N	\N	\N	\N	\N	\N	t	f
701	244	Den tyske demokratiske republikk	no	0	2013-05-27 14:45:03.214939+02	\N	Den tyske demokratiske republikk	\N	\N	\N	\N	\N	\N	t	f
772	168	Filipiinid	et	0	2013-05-27 14:47:47.966387+02	\N	Filipiinid	\N	\N	\N	\N	\N	\N	t	f
711	17	Bahrain	it	0	2013-05-27 14:45:27.078618+02	\N	Bahrain	\N	\N	\N	\N	\N	\N	t	f
730	123	Leedu	et	0	2013-05-27 14:46:11.220161+02	\N	Leedu	\N	\N	\N	\N	\N	\N	t	f
899	230	Britische Jungferninseln	de	0	2013-05-27 14:52:46.748617+02	\N	Britische Jungferninseln	\N	\N	\N	\N	\N	\N	t	f
756	200	Svalbard og Jan Mayen	no	0	2013-05-27 14:47:10.628684+02	\N	Svalbard og Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
803	94	Heard Island and McDonald Islands	en	0	2013-05-27 14:49:00.592987+02	\N	Heard Island and McDonald Islands	\N	\N	\N	\N	\N	\N	t	f
808	94	ハード島とマクドナルド諸島	ja	0	2013-05-27 14:49:11.776001+02	\N	ハード島とマクドナルド諸島	\N	\N	\N	\N	\N	\N	t	f
919	154	Nicaragua	nl	0	2013-05-27 14:53:32.283792+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
846	216	Turks and Caicos Islands	en	0	2013-05-27 14:50:40.027158+02	\N	Turks and Caicos Islands	\N	\N	\N	\N	\N	\N	t	f
876	76	Fransk Polynesia	no	0	2013-05-27 14:51:51.903973+02	\N	Fransk Polynesia	\N	\N	\N	\N	\N	\N	t	f
1038	22	ベリーズ	ja	0	2013-05-27 14:58:44.287443+02	\N	ベリーズ	\N	\N	\N	\N	\N	\N	t	f
883	43	Chili	fr	0	2013-05-27 14:52:08.3769+02	\N	Chili	\N	\N	\N	\N	\N	\N	t	f
924	66	Eritrea	es	0	2013-05-27 14:53:47.533145+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
944	39	Cape Verde	en	0	2013-05-27 14:54:34.072602+02	\N	Cape Verde	\N	\N	\N	\N	\N	\N	t	f
1301	192	Somalia	it	0	2013-05-27 15:09:38.754867+02	\N	Somalia	\N	\N	\N	\N	\N	\N	t	f
957	166	Paraguay	et	0	2013-05-27 14:55:06.599406+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
1063	259	Curaçao	de	0	2013-05-27 15:00:00.389296+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
962	166	Paraguay	nl	0	2013-05-27 14:55:17.762748+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
969	51	Costa Rica	fi	0	2013-05-27 14:55:37.372774+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
1175	147	Namibia	en	0	2013-05-27 15:04:44.372186+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
989	65	Guinea Ecuatorial	es	0	2013-05-27 14:56:25.437889+02	\N	Guinea Ecuatorial	\N	\N	\N	\N	\N	\N	t	f
1086	210	Τοκελάου	el	0	2013-05-27 15:01:16.428243+02	\N	Τοκελάου	\N	\N	\N	\N	\N	\N	t	f
1030	22	Belize	de	0	2013-05-27 14:58:17.00239+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
1087	210	Tokelau	en	0	2013-05-27 15:01:18.64028+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1097	242	Σερβία και Μαυροβούνιο	el	0	2013-05-27 15:01:41.767286+02	\N	Σερβία και Μαυροβούνιο	\N	\N	\N	\N	\N	\N	t	f
1199	127	Madagaskar	et	0	2013-05-27 15:05:41.590271+02	\N	Madagaskar	\N	\N	\N	\N	\N	\N	t	f
1113	58	Djibouti	fr	0	2013-05-27 15:02:18.727587+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1115	58	ジブチ	ja	0	2013-05-27 15:02:23.22322+02	\N	ジブチ	\N	\N	\N	\N	\N	\N	t	f
4146	4359	アン県	ja	0	2013-06-05 07:11:18.129047+02	1	アン県	\N	\N	\N	\N	\N	\N	t	f
1373	84	Greece	en	0	2013-05-27 15:12:30.037606+02	\N	Greece	\N	\N	\N	\N	\N	\N	t	f
1230	190	Slovenia	en	0	2013-05-27 15:06:54.606481+02	\N	Slovenia	\N	\N	\N	\N	\N	\N	t	f
1140	203	Schweiz	de	0	2013-05-27 15:03:22.225278+02	\N	Schweiz	\N	\N	\N	\N	\N	\N	t	f
1310	56	Tšekki	fi	0	2013-05-27 15:10:00.381219+02	\N	Tšekki	\N	\N	\N	\N	\N	\N	t	f
1251	238	Ζιμπάμπουε	el	0	2013-05-27 15:07:43.299929+02	\N	Ζιμπάμπουε	\N	\N	\N	\N	\N	\N	t	f
1267	27	Bosnie-Herzégovine	fr	0	2013-05-27 15:08:19.901144+02	\N	Bosnie-Herzégovine	\N	\N	\N	\N	\N	\N	t	f
1282	194	Spania	no	0	2013-05-27 15:08:54.580681+02	\N	Spania	\N	\N	\N	\N	\N	\N	t	f
1311	56	République tchèque	fr	0	2013-05-27 15:10:02.606676+02	\N	République tchèque	\N	\N	\N	\N	\N	\N	t	f
1287	75	Prantsuse Guajaana	et	0	2013-05-27 15:09:06.689648+02	\N	Prantsuse Guajaana	\N	\N	\N	\N	\N	\N	t	f
1288	75	Ranskan Guayana	fi	0	2013-05-27 15:09:08.893942+02	\N	Ranskan Guayana	\N	\N	\N	\N	\N	\N	t	f
1385	188	Singapur	es	0	2013-05-27 15:12:57.575739+02	\N	Singapur	\N	\N	\N	\N	\N	\N	t	f
1324	201	スワジランド	ja	0	2013-05-27 15:10:32.705506+02	\N	スワジランド	\N	\N	\N	\N	\N	\N	t	f
1339	217	Τουβαλού	el	0	2013-05-27 15:11:07.735972+02	\N	Τουβαλού	\N	\N	\N	\N	\N	\N	t	f
1437	196	St. Helena, Ascension und Tristan da Cunha	de	0	2013-05-27 15:15:01.795432+02	\N	St. Helena, Ascension und Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1419	95	Honduras	et	0	2013-05-27 15:14:16.774177+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1424	95	Honduras	nl	0	2013-05-27 15:14:28.188712+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1460	50	Cook Islands	en	0	2013-05-27 15:15:59.543292+02	\N	Cook Islands	\N	\N	\N	\N	\N	\N	t	f
1476	137	Mayotte	it	0	2013-05-27 15:16:41.507683+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1502	158	Norfolkinsel	de	0	2013-05-27 15:17:45.723451+02	\N	Norfolkinsel	\N	\N	\N	\N	\N	\N	t	f
1479	137	Mayotte	no	0	2013-05-27 15:16:48.378253+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1515	179	Saint Lucia	en	0	2013-05-27 15:18:20.892326+02	\N	Saint Lucia	\N	\N	\N	\N	\N	\N	t	f
1525	21	Βέλγιο	el	0	2013-05-27 15:18:55.367679+02	\N	Βέλγιο	\N	\N	\N	\N	\N	\N	t	f
1548	258	Caribe Neerlandés	es	0	2013-05-27 15:20:02.6317+02	\N	Caribe Neerlandés	\N	\N	\N	\N	\N	\N	t	f
1562	99	インド	ja	0	2013-05-27 15:20:40.525612+02	\N	インド	\N	\N	\N	\N	\N	\N	t	f
1577	23	Μπενίν	el	0	2013-05-27 15:21:18.612198+02	\N	Μπενίν	\N	\N	\N	\N	\N	\N	t	f
1591	218	Uganda	et	0	2013-05-27 15:22:00.0895+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1665	159	Βόρειες Μαριάνες Νήσοι	el	0	2013-05-27 15:24:57.256527+02	\N	Βόρειες Μαριάνες Νήσοι	\N	\N	\N	\N	\N	\N	t	f
1635	104	Iisrael	et	0	2013-05-27 15:23:47.753636+02	\N	Iisrael	\N	\N	\N	\N	\N	\N	t	f
3714	2529	Provincia dell'Arhangaj	it	0	2013-06-05 06:52:17.484103+02	1	Provincia dell'Arhangaj	\N	\N	\N	\N	\N	\N	t	f
245	143	Montserrat	en	0	2013-05-27 14:26:07.886575+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
246	143	Montserrat	es	0	2013-05-27 14:26:10.09687+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
247	143	Montserrat	et	0	2013-05-27 14:26:12.306327+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
487	122	Liechtenstein	en	0	2013-05-27 14:35:49.329376+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
248	143	Montserrat	fi	0	2013-05-27 14:26:14.547654+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
249	143	Montserrat	fr	0	2013-05-27 14:26:16.739388+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
250	143	Montserrat	it	0	2013-05-27 14:26:18.972555+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
517	63	Egypt	no	0	2013-05-27 14:37:11.328117+02	\N	Egypt	\N	\N	\N	\N	\N	\N	t	f
251	143	モントセラト	ja	0	2013-05-27 14:26:21.210707+02	\N	モントセラト	\N	\N	\N	\N	\N	\N	t	f
253	143	Montserrat	no	0	2013-05-27 14:26:25.710281+02	\N	Montserrat	\N	\N	\N	\N	\N	\N	t	f
571	175	Roemenië	nl	0	2013-05-27 14:39:51.070809+02	\N	Roemenië	\N	\N	\N	\N	\N	\N	t	f
525	42	Ciad	it	0	2013-05-27 14:37:31.737496+02	\N	Ciad	\N	\N	\N	\N	\N	\N	t	f
552	29	Μπουβέ	el	0	2013-05-27 14:38:51.644492+02	\N	Μπουβέ	\N	\N	\N	\N	\N	\N	t	f
572	175	Romania	no	0	2013-05-27 14:39:53.318439+02	\N	Romania	\N	\N	\N	\N	\N	\N	t	f
668	52	Elfenbenskysten	no	0	2013-05-27 14:43:46.026215+02	\N	Elfenbenskysten	\N	\N	\N	\N	\N	\N	t	f
596	8	Antarktis	de	0	2013-05-27 14:40:55.109588+02	\N	Antarktis	\N	\N	\N	\N	\N	\N	t	f
626	251	Γκέρνσεϊ	el	0	2013-05-27 14:42:05.371636+02	\N	Γκέρνσεϊ	\N	\N	\N	\N	\N	\N	t	f
658	52	Elfenbeinküste	de	0	2013-05-27 14:43:22.953424+02	\N	Elfenbeinküste	\N	\N	\N	\N	\N	\N	t	f
679	206	Tadsjikistan	no	0	2013-05-27 14:44:11.669872+02	\N	Tadsjikistan	\N	\N	\N	\N	\N	\N	t	f
650	83	Gibraltar	es	0	2013-05-27 14:43:03.885607+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
659	52	Ακτή Ελεφαντοστού	el	0	2013-05-27 14:43:25.246104+02	\N	Ακτή Ελεφαντοστού	\N	\N	\N	\N	\N	\N	t	f
771	168	Filipinas	es	0	2013-05-27 14:47:45.770645+02	\N	Filipinas	\N	\N	\N	\N	\N	\N	t	f
699	244	ドイツ民主共和国	ja	0	2013-05-27 14:44:58.702901+02	\N	ドイツ民主共和国	\N	\N	\N	\N	\N	\N	t	f
702	85	Greenland	en	0	2013-05-27 14:45:05.869515+02	\N	Greenland	\N	\N	\N	\N	\N	\N	t	f
732	123	Lituanie	fr	0	2013-05-27 14:46:15.617531+02	\N	Lituanie	\N	\N	\N	\N	\N	\N	t	f
780	67	Εσθονία	el	0	2013-05-27 14:48:06.970589+02	\N	Εσθονία	\N	\N	\N	\N	\N	\N	t	f
736	123	Litauen	no	0	2013-05-27 14:46:24.683657+02	\N	Litauen	\N	\N	\N	\N	\N	\N	t	f
900	230	Βρετανικές Παρθένοι Νήσοι	el	0	2013-05-27 14:52:48.998222+02	\N	Βρετανικές Παρθένοι Νήσοι	\N	\N	\N	\N	\N	\N	t	f
789	67	Estland	no	0	2013-05-27 14:48:27.302754+02	\N	Estland	\N	\N	\N	\N	\N	\N	t	f
798	19	バルバドス	ja	0	2013-05-27 14:48:48.015516+02	\N	バルバドス	\N	\N	\N	\N	\N	\N	t	f
805	94	Heard ja McDonaldinsaaret	fi	0	2013-05-27 14:49:05.090821+02	\N	Heard ja McDonaldinsaaret	\N	\N	\N	\N	\N	\N	t	f
925	66	Eritrea	et	0	2013-05-27 14:53:49.782283+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
809	94	Heard en McDonaldeilanden	nl	0	2013-05-27 14:49:14.004985+02	\N	Heard en McDonaldeilanden	\N	\N	\N	\N	\N	\N	t	f
810	94	Heard- og McDonaldøyene	no	0	2013-05-27 14:49:16.56022+02	\N	Heard- og McDonaldøyene	\N	\N	\N	\N	\N	\N	t	f
1039	22	Belize	nl	0	2013-05-27 14:58:47.261473+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
961	166	パラグアイ	ja	0	2013-05-27 14:55:15.532217+02	\N	パラグアイ	\N	\N	\N	\N	\N	\N	t	f
866	76	Französisch-Polynesien	de	0	2013-05-27 14:51:26.423787+02	\N	Französisch-Polynesien	\N	\N	\N	\N	\N	\N	t	f
867	76	Γαλλική Πολυνησία	el	0	2013-05-27 14:51:28.674134+02	\N	Γαλλική Πολυνησία	\N	\N	\N	\N	\N	\N	t	f
877	43	Chile	de	0	2013-05-27 14:51:55.110884+02	\N	Chile	\N	\N	\N	\N	\N	\N	t	f
967	51	Costa Rica	es	0	2013-05-27 14:55:30.460311+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
886	43	Chili	nl	0	2013-05-27 14:52:15.002844+02	\N	Chili	\N	\N	\N	\N	\N	\N	t	f
1549	258	Pays-Bas caribéens	fr	0	2013-05-27 15:20:04.807186+02	\N	Pays-Bas caribéens	\N	\N	\N	\N	\N	\N	t	f
990	65	Ekvatoriaal-Guinea	et	0	2013-05-27 14:56:30.019496+02	\N	Ekvatoriaal-Guinea	\N	\N	\N	\N	\N	\N	t	f
1068	259	Curaçao	fi	0	2013-05-27 15:00:14.920219+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1020	37	Καμερούν	el	0	2013-05-27 14:57:49.616246+02	\N	Καμερούν	\N	\N	\N	\N	\N	\N	t	f
1176	147	Namibia	es	0	2013-05-27 15:04:46.572819+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
1081	12	Aruba	it	0	2013-05-27 15:01:01.206478+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1098	242	Serbia and Montenegro	en	0	2013-05-27 15:01:44.003361+02	\N	Serbia and Montenegro	\N	\N	\N	\N	\N	\N	t	f
1375	84	Kreeka	et	0	2013-05-27 15:12:34.536346+02	\N	Kreeka	\N	\N	\N	\N	\N	\N	t	f
1129	82	Ghana	de	0	2013-05-27 15:02:56.298997+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1177	147	Namiibia	et	0	2013-05-27 15:04:48.80303+02	\N	Namiibia	\N	\N	\N	\N	\N	\N	t	f
1136	82	Ghana	it	0	2013-05-27 15:03:12.03588+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1147	203	Svizzera	it	0	2013-05-27 15:03:37.713809+02	\N	Svizzera	\N	\N	\N	\N	\N	\N	t	f
1180	147	Namibia	it	0	2013-05-27 15:04:55.797922+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
1503	158	Νησί Νόρφολκ	el	0	2013-05-27 15:17:47.922577+02	\N	Νησί Νόρφολκ	\N	\N	\N	\N	\N	\N	t	f
1203	127	マダガスカル	ja	0	2013-05-27 15:05:50.695841+02	\N	マダガスカル	\N	\N	\N	\N	\N	\N	t	f
1395	146	Myanmar	en	0	2013-05-27 15:13:20.679814+02	\N	Myanmar	\N	\N	\N	\N	\N	\N	t	f
1252	238	Zimbabwe	en	0	2013-05-27 15:07:45.488859+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1253	238	Zimbabue	es	0	2013-05-27 15:07:47.701093+02	\N	Zimbabue	\N	\N	\N	\N	\N	\N	t	f
1283	75	Französisch-Guayana	de	0	2013-05-27 15:08:57.559284+02	\N	Französisch-Guayana	\N	\N	\N	\N	\N	\N	t	f
1420	95	Honduras	fi	0	2013-05-27 15:14:18.973993+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1323	201	Swaziland	it	0	2013-05-27 15:10:30.471092+02	\N	Swaziland	\N	\N	\N	\N	\N	\N	t	f
1340	217	Tuvalu	en	0	2013-05-27 15:11:09.949854+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1442	196	Sainte-Hélène, Ascension et Tristan da Cunha	fr	0	2013-05-27 15:15:12.930482+02	\N	Sainte-Hélène, Ascension et Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1508	158	Île Norfolk	fr	0	2013-05-27 15:18:01.973129+02	\N	Île Norfolk	\N	\N	\N	\N	\N	\N	t	f
1477	137	マヨット	ja	0	2013-05-27 15:16:43.740164+02	\N	マヨット	\N	\N	\N	\N	\N	\N	t	f
1514	179	Αγία Λουκία	el	0	2013-05-27 15:18:18.690383+02	\N	Αγία Λουκία	\N	\N	\N	\N	\N	\N	t	f
1551	258	ボネール、シント・ユースタティウスおよびサバ	ja	0	2013-05-27 15:20:09.186623+02	\N	ボネール、シント・ユースタティウスおよびサバ	\N	\N	\N	\N	\N	\N	t	f
1565	24	Bermuda	de	0	2013-05-27 15:20:47.984353+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1578	23	Benin	en	0	2013-05-27 15:21:20.868009+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1585	23	Benin	nl	0	2013-05-27 15:21:45.88772+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1589	218	Uganda	en	0	2013-05-27 15:21:55.686263+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1595	218	ウガンダ	ja	0	2013-05-27 15:22:08.883889+02	\N	ウガンダ	\N	\N	\N	\N	\N	\N	t	f
1596	218	Oeganda	nl	0	2013-05-27 15:22:11.171813+02	\N	Oeganda	\N	\N	\N	\N	\N	\N	t	f
1628	234	イエメン	ja	0	2013-05-27 15:23:30.736737+02	\N	イエメン	\N	\N	\N	\N	\N	\N	t	f
1637	104	Israël	fr	0	2013-05-27 15:23:52.192413+02	\N	Israël	\N	\N	\N	\N	\N	\N	t	f
1666	159	Northern Mariana Islands	en	0	2013-05-27 15:24:59.465376+02	\N	Northern Mariana Islands	\N	\N	\N	\N	\N	\N	t	f
1672	159	北マリアナ諸島	ja	0	2013-05-27 15:25:13.057298+02	\N	北マリアナ諸島	\N	\N	\N	\N	\N	\N	t	f
1712	129	Malaisia	et	0	2013-05-27 15:26:46.647515+02	\N	Malaisia	\N	\N	\N	\N	\N	\N	t	f
1681	33	Bulgarie	fr	0	2013-05-27 15:25:34.311633+02	\N	Bulgarie	\N	\N	\N	\N	\N	\N	t	f
5816	3593	Bel Ombre	nl	0	2013-06-05 08:23:16.941466+02	1	Bel Ombre	\N	\N	\N	\N	\N	\N	t	f
254	36	Kambodscha	de	0	2013-05-27 14:26:28.747276+02	\N	Kambodscha	\N	\N	\N	\N	\N	\N	t	f
256	36	Cambodia	en	0	2013-05-27 14:26:33.286665+02	\N	Cambodia	\N	\N	\N	\N	\N	\N	t	f
299	187	Σιέρα Λεόνε	el	0	2013-05-27 14:28:14.816741+02	\N	Σιέρα Λεόνε	\N	\N	\N	\N	\N	\N	t	f
257	36	Camboya	es	0	2013-05-27 14:26:35.495627+02	\N	Camboya	\N	\N	\N	\N	\N	\N	t	f
280	149	Nepal	et	0	2013-05-27 14:27:30.063467+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
258	36	Kambodža	et	0	2013-05-27 14:26:37.700623+02	\N	Kambodža	\N	\N	\N	\N	\N	\N	t	f
259	36	Kambodža	fi	0	2013-05-27 14:26:39.894447+02	\N	Kambodža	\N	\N	\N	\N	\N	\N	t	f
260	36	Cambodge	fr	0	2013-05-27 14:26:42.089505+02	\N	Cambodge	\N	\N	\N	\N	\N	\N	t	f
281	149	Nepal	fi	0	2013-05-27 14:27:32.267252+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
261	36	Cambogia	it	0	2013-05-27 14:26:44.371501+02	\N	Cambogia	\N	\N	\N	\N	\N	\N	t	f
262	36	カンボジア	ja	0	2013-05-27 14:26:46.631341+02	\N	カンボジア	\N	\N	\N	\N	\N	\N	t	f
318	155	Niger	nl	0	2013-05-27 14:29:01.041594+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
263	36	Cambodja	nl	0	2013-05-27 14:26:48.856966+02	\N	Cambodja	\N	\N	\N	\N	\N	\N	t	f
282	149	Népal	fr	0	2013-05-27 14:27:34.483105+02	\N	Népal	\N	\N	\N	\N	\N	\N	t	f
264	36	Kambodsja	no	0	2013-05-27 14:26:51.100269+02	\N	Kambodsja	\N	\N	\N	\N	\N	\N	t	f
265	220	Vereinigte Arabische Emirate	de	0	2013-05-27 14:26:54.313504+02	\N	Vereinigte Arabische Emirate	\N	\N	\N	\N	\N	\N	t	f
300	187	Sierra Leone	en	0	2013-05-27 14:28:17.011208+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
266	220	Ηνωμένα Αραβικά Εμιράτα	el	0	2013-05-27 14:26:56.553645+02	\N	Ηνωμένα Αραβικά Εμιράτα	\N	\N	\N	\N	\N	\N	t	f
283	149	Nepal	it	0	2013-05-27 14:27:36.713658+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
267	220	United Arab Emirates	en	0	2013-05-27 14:26:58.846797+02	\N	United Arab Emirates	\N	\N	\N	\N	\N	\N	t	f
268	220	Emiratos Árabes Unidos	es	0	2013-05-27 14:27:01.093485+02	\N	Emiratos Árabes Unidos	\N	\N	\N	\N	\N	\N	t	f
269	220	Araabia Ühendemiraadid	et	0	2013-05-27 14:27:03.306575+02	\N	Araabia Ühendemiraadid	\N	\N	\N	\N	\N	\N	t	f
284	149	ネパール	ja	0	2013-05-27 14:27:38.934959+02	\N	ネパール	\N	\N	\N	\N	\N	\N	t	f
270	220	Yhdistyneet arabiemiirikunnat	fi	0	2013-05-27 14:27:05.542414+02	\N	Yhdistyneet arabiemiirikunnat	\N	\N	\N	\N	\N	\N	t	f
271	220	Émirats arabes unis	fr	0	2013-05-27 14:27:07.768961+02	\N	Émirats arabes unis	\N	\N	\N	\N	\N	\N	t	f
310	155	Νίγηρας	el	0	2013-05-27 14:28:43.251178+02	\N	Νίγηρας	\N	\N	\N	\N	\N	\N	t	f
272	220	Emirati Arabi Uniti	it	0	2013-05-27 14:27:10.101512+02	\N	Emirati Arabi Uniti	\N	\N	\N	\N	\N	\N	t	f
285	149	Nepal	nl	0	2013-05-27 14:27:41.240135+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
273	220	アラブ首長国連邦	ja	0	2013-05-27 14:27:12.317924+02	\N	アラブ首長国連邦	\N	\N	\N	\N	\N	\N	t	f
274	220	Verenigde Arabische Emiraten	nl	0	2013-05-27 14:27:14.54839+02	\N	Verenigde Arabische Emiraten	\N	\N	\N	\N	\N	\N	t	f
301	187	Sierra Leona	es	0	2013-05-27 14:28:19.254702+02	\N	Sierra Leona	\N	\N	\N	\N	\N	\N	t	f
275	220	De forente arabiske emirater	no	0	2013-05-27 14:27:16.783324+02	\N	De forente arabiske emirater	\N	\N	\N	\N	\N	\N	t	f
286	149	Nepal	no	0	2013-05-27 14:27:43.489838+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
276	149	Nepal	de	0	2013-05-27 14:27:20.027997+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
277	149	Νεπάλ	el	0	2013-05-27 14:27:22.335238+02	\N	Νεπάλ	\N	\N	\N	\N	\N	\N	t	f
278	149	Nepal	en	0	2013-05-27 14:27:25.641174+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
287	88	Guam	de	0	2013-05-27 14:27:46.26682+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
279	149	Nepal	es	0	2013-05-27 14:27:27.849798+02	\N	Nepal	\N	\N	\N	\N	\N	\N	t	f
288	88	Γκουάμ	el	0	2013-05-27 14:27:48.451271+02	\N	Γκουάμ	\N	\N	\N	\N	\N	\N	t	f
302	187	Sierra Leone	et	0	2013-05-27 14:28:21.462845+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
289	88	Guam	en	0	2013-05-27 14:27:50.646338+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
290	88	Guam	es	0	2013-05-27 14:27:52.930158+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
291	88	Guam	et	0	2013-05-27 14:27:55.142077+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
303	187	Sierra Leone	fi	0	2013-05-27 14:28:23.670682+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
292	88	Guam	fi	0	2013-05-27 14:27:57.531545+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
293	88	Guam	fr	0	2013-05-27 14:28:00.531521+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
311	155	Niger	en	0	2013-05-27 14:28:45.441823+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
294	88	Guam	it	0	2013-05-27 14:28:02.769133+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
304	187	Sierra Leone	fr	0	2013-05-27 14:28:25.867888+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
295	88	グアム	ja	0	2013-05-27 14:28:05.050813+02	\N	グアム	\N	\N	\N	\N	\N	\N	t	f
296	88	Guam	nl	0	2013-05-27 14:28:07.289242+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
297	88	Guam	no	0	2013-05-27 14:28:09.532234+02	\N	Guam	\N	\N	\N	\N	\N	\N	t	f
305	187	Sierra Leone	it	0	2013-05-27 14:28:28.072762+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
298	187	Sierra Leone	de	0	2013-05-27 14:28:12.527972+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
312	155	Níger	es	0	2013-05-27 14:28:47.641834+02	\N	Níger	\N	\N	\N	\N	\N	\N	t	f
306	187	シエラレオネ	ja	0	2013-05-27 14:28:30.365811+02	\N	シエラレオネ	\N	\N	\N	\N	\N	\N	t	f
307	187	Sierra Leone	nl	0	2013-05-27 14:28:32.610192+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
319	155	Niger	no	0	2013-05-27 14:29:03.299786+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
308	187	Sierra Leone	no	0	2013-05-27 14:28:34.8465+02	\N	Sierra Leone	\N	\N	\N	\N	\N	\N	t	f
313	155	Niger	et	0	2013-05-27 14:28:49.863105+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
309	155	Niger	de	0	2013-05-27 14:28:40.926522+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
314	155	Niger	fi	0	2013-05-27 14:28:52.069919+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
315	155	Niger	fr	0	2013-05-27 14:28:54.289613+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
320	163	Palau	de	0	2013-05-27 14:29:06.163146+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
316	155	Niger	it	0	2013-05-27 14:28:56.564557+02	\N	Niger	\N	\N	\N	\N	\N	\N	t	f
317	155	ニジェール	ja	0	2013-05-27 14:28:58.811266+02	\N	ニジェール	\N	\N	\N	\N	\N	\N	t	f
324	163	Belau	et	0	2013-05-27 14:29:15.065094+02	\N	Belau	\N	\N	\N	\N	\N	\N	t	f
321	163	Παλάου	el	0	2013-05-27 14:29:08.395857+02	\N	Παλάου	\N	\N	\N	\N	\N	\N	t	f
329	163	Palau	nl	0	2013-05-27 14:29:26.425152+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
322	163	Palau	en	0	2013-05-27 14:29:10.672923+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
325	163	Palau	fi	0	2013-05-27 14:29:17.262833+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
323	163	Palau	es	0	2013-05-27 14:29:12.860956+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
328	163	パラオ	ja	0	2013-05-27 14:29:24.009635+02	\N	パラオ	\N	\N	\N	\N	\N	\N	t	f
326	163	Palaos	fr	0	2013-05-27 14:29:19.478634+02	\N	Palaos	\N	\N	\N	\N	\N	\N	t	f
327	163	Palau	it	0	2013-05-27 14:29:21.804464+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
330	163	Palau	no	0	2013-05-27 14:29:28.716821+02	\N	Palau	\N	\N	\N	\N	\N	\N	t	f
6471	3689	ラク州	ja	0	2013-06-05 08:52:17.055278+02	1	ラク州	\N	\N	\N	\N	\N	\N	t	f
342	78	Gabun	de	0	2013-05-27 14:30:01.581889+02	\N	Gabun	\N	\N	\N	\N	\N	\N	t	f
343	78	Γκαμπόν	el	0	2013-05-27 14:30:03.806351+02	\N	Γκαμπόν	\N	\N	\N	\N	\N	\N	t	f
351	78	Gabon	nl	0	2013-05-27 14:30:21.824913+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
488	122	Liechtenstein	es	0	2013-05-27 14:35:51.530413+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
358	136	Mauritius	fi	0	2013-05-27 14:30:38.079684+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
362	136	Mauritius	nl	0	2013-05-27 14:30:47.111578+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
378	177	Ruanda	es	0	2013-05-27 14:31:24.256279+02	\N	Ruanda	\N	\N	\N	\N	\N	\N	t	f
490	122	Liechtenstein	fi	0	2013-05-27 14:35:55.939082+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
380	177	Ruanda	fi	0	2013-05-27 14:31:28.707278+02	\N	Ruanda	\N	\N	\N	\N	\N	\N	t	f
573	69	Falklandinseln	de	0	2013-05-27 14:39:56.246984+02	\N	Falklandinseln	\N	\N	\N	\N	\N	\N	t	f
521	42	Chad	es	0	2013-05-27 14:37:21.223812+02	\N	Chad	\N	\N	\N	\N	\N	\N	t	f
523	42	Tšad	fi	0	2013-05-27 14:37:27.206158+02	\N	Tšad	\N	\N	\N	\N	\N	\N	t	f
555	29	Bouvet' saar	et	0	2013-05-27 14:38:58.393445+02	\N	Bouvet' saar	\N	\N	\N	\N	\N	\N	t	f
577	69	Falklandi saared	et	0	2013-05-27 14:40:05.116693+02	\N	Falklandi saared	\N	\N	\N	\N	\N	\N	t	f
669	206	Tadschikistan	de	0	2013-05-27 14:43:49.095266+02	\N	Tadschikistan	\N	\N	\N	\N	\N	\N	t	f
580	69	Isole Falkland	it	0	2013-05-27 14:40:11.944173+02	\N	Isole Falkland	\N	\N	\N	\N	\N	\N	t	f
597	8	Antarctic	en	0	2013-05-27 14:40:57.27935+02	\N	Antarctic	\N	\N	\N	\N	\N	\N	t	f
604	157	Νιούε	el	0	2013-05-27 14:41:13.523204+02	\N	Νιούε	\N	\N	\N	\N	\N	\N	t	f
691	244	Deutsche Demokratische Republik	de	0	2013-05-27 14:44:40.455763+02	\N	Deutsche Demokratische Republik	\N	\N	\N	\N	\N	\N	t	f
609	157	Niue	fr	0	2013-05-27 14:41:24.749748+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
613	157	Niue	no	0	2013-05-27 14:41:34.093675+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
773	168	Filippiinit	fi	0	2013-05-27 14:47:50.191968+02	\N	Filippiinit	\N	\N	\N	\N	\N	\N	t	f
628	251	Guernsey	es	0	2013-05-27 14:42:12.311551+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
703	85	Groenland	fr	0	2013-05-27 14:45:08.080296+02	\N	Groenland	\N	\N	\N	\N	\N	\N	t	f
633	251	ガーンジー	ja	0	2013-05-27 14:42:23.45647+02	\N	ガーンジー	\N	\N	\N	\N	\N	\N	t	f
649	83	Gibraltar	en	0	2013-05-27 14:43:01.414152+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
710	17	Bahreïn	fr	0	2013-05-27 14:45:24.884386+02	\N	Bahreïn	\N	\N	\N	\N	\N	\N	t	f
733	123	Lituania	it	0	2013-05-27 14:46:17.899218+02	\N	Lituania	\N	\N	\N	\N	\N	\N	t	f
779	67	Estland	de	0	2013-05-27 14:48:04.756495+02	\N	Estland	\N	\N	\N	\N	\N	\N	t	f
752	200	Svalbard et Jan Mayen	fr	0	2013-05-27 14:47:01.738577+02	\N	Svalbard et Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
801	94	Heard und McDonaldinseln	de	0	2013-05-27 14:48:55.739862+02	\N	Heard und McDonaldinseln	\N	\N	\N	\N	\N	\N	t	f
902	230	Islas Vírgenes Británicas	es	0	2013-05-27 14:52:53.479825+02	\N	Islas Vírgenes Británicas	\N	\N	\N	\N	\N	\N	t	f
804	94	Islas Heard y McDonald	es	0	2013-05-27 14:49:02.787279+02	\N	Islas Heard y McDonald	\N	\N	\N	\N	\N	\N	t	f
807	94	Isole Heard e McDonald	it	0	2013-05-27 14:49:09.537097+02	\N	Isole Heard e McDonald	\N	\N	\N	\N	\N	\N	t	f
1040	22	Belize	no	0	2013-05-27 14:58:53.039723+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
811	148	Nauru	de	0	2013-05-27 14:49:19.490936+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
920	154	Nicaragua	no	0	2013-05-27 14:53:34.591631+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
844	216	Turks- und Caicosinseln	de	0	2013-05-27 14:50:35.594224+02	\N	Turks- und Caicosinseln	\N	\N	\N	\N	\N	\N	t	f
878	43	Χιλή	el	0	2013-05-27 14:51:57.310547+02	\N	Χιλή	\N	\N	\N	\N	\N	\N	t	f
926	66	Eritrea	fi	0	2013-05-27 14:53:51.99687+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
889	47	Κολομβία	el	0	2013-05-27 14:52:23.31572+02	\N	Κολομβία	\N	\N	\N	\N	\N	\N	t	f
890	47	Colombia	en	0	2013-05-27 14:52:25.670946+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
965	51	Κόστα Ρίκα	el	0	2013-05-27 14:55:25.202375+02	\N	Κόστα Ρίκα	\N	\N	\N	\N	\N	\N	t	f
991	65	Päiväntasaajan Guinea	fi	0	2013-05-27 14:56:32.367648+02	\N	Päiväntasaajan Guinea	\N	\N	\N	\N	\N	\N	t	f
1069	259	Curaçao	fr	0	2013-05-27 15:00:20.213343+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1178	147	Namibia	fi	0	2013-05-27 15:04:51.063372+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
1077	12	Aruba	es	0	2013-05-27 15:00:48.541682+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1079	12	Aruba	fi	0	2013-05-27 15:00:56.071048+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1291	75	フランス領ギアナ	ja	0	2013-05-27 15:09:15.653653+02	\N	フランス領ギアナ	\N	\N	\N	\N	\N	\N	t	f
1099	242	Serbia y Montenegro	es	0	2013-05-27 15:01:46.272057+02	\N	Serbia y Montenegro	\N	\N	\N	\N	\N	\N	t	f
1182	147	Namibië	nl	0	2013-05-27 15:05:00.339071+02	\N	Namibië	\N	\N	\N	\N	\N	\N	t	f
1130	82	Γκάνα	el	0	2013-05-27 15:02:58.48481+02	\N	Γκάνα	\N	\N	\N	\N	\N	\N	t	f
1208	130	Maldives	en	0	2013-05-27 15:06:02.701991+02	\N	Maldives	\N	\N	\N	\N	\N	\N	t	f
1254	238	Zimbabwe	et	0	2013-05-27 15:07:49.913458+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1341	217	Tuvalu	es	0	2013-05-27 15:11:12.135148+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1259	238	Zimbabwe	nl	0	2013-05-27 15:08:01.015314+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1264	27	Bosnia y Herzegovina	es	0	2013-05-27 15:08:13.136689+02	\N	Bosnia y Herzegovina	\N	\N	\N	\N	\N	\N	t	f
1265	27	Bosnia ja Hertsegoviina	et	0	2013-05-27 15:08:15.426312+02	\N	Bosnia ja Hertsegoviina	\N	\N	\N	\N	\N	\N	t	f
1381	84	Hellas	no	0	2013-05-27 15:12:47.859578+02	\N	Hellas	\N	\N	\N	\N	\N	\N	t	f
1284	75	Γαλλική Γουιάνα	el	0	2013-05-27 15:08:59.933394+02	\N	Γαλλική Γουιάνα	\N	\N	\N	\N	\N	\N	t	f
1285	75	French Guiana	en	0	2013-05-27 15:09:02.156482+02	\N	French Guiana	\N	\N	\N	\N	\N	\N	t	f
1505	158	Isla Norfolk	es	0	2013-05-27 15:17:55.23285+02	\N	Isla Norfolk	\N	\N	\N	\N	\N	\N	t	f
1422	95	Honduras	it	0	2013-05-27 15:14:23.379607+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1567	24	Bermuda	en	0	2013-05-27 15:20:52.346867+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1454	38	Canada	it	0	2013-05-27 15:15:44.776514+02	\N	Canada	\N	\N	\N	\N	\N	\N	t	f
1517	179	Saint Lucia	et	0	2013-05-27 15:18:27.726983+02	\N	Saint Lucia	\N	\N	\N	\N	\N	\N	t	f
1462	50	Cooki saared	et	0	2013-05-27 15:16:03.935464+02	\N	Cooki saared	\N	\N	\N	\N	\N	\N	t	f
1478	137	Mayotte	nl	0	2013-05-27 15:16:45.984116+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1532	21	ベルギー	ja	0	2013-05-27 15:19:15.668441+02	\N	ベルギー	\N	\N	\N	\N	\N	\N	t	f
1550	258	Isole BES	it	0	2013-05-27 15:20:06.990362+02	\N	Isole BES	\N	\N	\N	\N	\N	\N	t	f
1597	218	Uganda	no	0	2013-05-27 15:22:13.404852+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1614	162	Pakistan	fi	0	2013-05-27 15:22:56.284819+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1610	162	Πακιστάν	el	0	2013-05-27 15:22:47.453741+02	\N	Πακιστάν	\N	\N	\N	\N	\N	\N	t	f
1625	234	Jemen	fi	0	2013-05-27 15:23:24.020374+02	\N	Jemen	\N	\N	\N	\N	\N	\N	t	f
1629	234	Jemen	nl	0	2013-05-27 15:23:33.501959+02	\N	Jemen	\N	\N	\N	\N	\N	\N	t	f
1638	104	Israele	it	0	2013-05-27 15:23:54.418237+02	\N	Israele	\N	\N	\N	\N	\N	\N	t	f
1667	159	Islas Marianas del Norte	es	0	2013-05-27 15:25:01.705706+02	\N	Islas Marianas del Norte	\N	\N	\N	\N	\N	\N	t	f
1685	33	Bulgaria	no	0	2013-05-27 15:25:43.469102+02	\N	Bulgaria	\N	\N	\N	\N	\N	\N	t	f
1713	129	Malesia	fi	0	2013-05-27 15:26:48.839501+02	\N	Malesia	\N	\N	\N	\N	\N	\N	t	f
1721	55	Cyprus	en	0	2013-05-27 15:27:07.535872+02	\N	Cyprus	\N	\N	\N	\N	\N	\N	t	f
1731	178	Άγιος Χριστόφορος και Νέβις	el	0	2013-05-27 15:27:31.41142+02	\N	Άγιος Χριστόφορος και Νέβις	\N	\N	\N	\N	\N	\N	t	f
1737	178	Saint Kitts e Nevis	it	0	2013-05-27 15:27:45.020212+02	\N	Saint Kitts e Nevis	\N	\N	\N	\N	\N	\N	t	f
1761	57	Denemarken	nl	0	2013-05-27 15:28:40.957241+02	\N	Denemarken	\N	\N	\N	\N	\N	\N	t	f
3313	2959	Lääne-Aserbaidžaan	et	0	2013-05-27 19:56:58.01972+02	1	Lääne-Aserbaidžaan	\N	\N	\N	\N	\N	\N	t	f
344	78	Gabon	en	0	2013-05-27 14:30:06.173738+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
347	78	Gabon	fi	0	2013-05-27 14:30:12.793234+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
356	136	Mauricio	es	0	2013-05-27 14:30:33.65169+02	\N	Mauricio	\N	\N	\N	\N	\N	\N	t	f
489	122	Liechtenstein	et	0	2013-05-27 14:35:53.740321+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
374	133	Marshalløyene	no	0	2013-05-27 14:31:14.665243+02	\N	Marshalløyene	\N	\N	\N	\N	\N	\N	t	f
494	122	Liechtenstein	nl	0	2013-05-27 14:36:06.345941+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
574	69	Νήσοι Φώκλαντ	el	0	2013-05-27 14:39:58.435035+02	\N	Νήσοι Φώκλαντ	\N	\N	\N	\N	\N	\N	t	f
527	42	Tsjaad	nl	0	2013-05-27 14:37:39.536643+02	\N	Tsjaad	\N	\N	\N	\N	\N	\N	t	f
530	90	Γουινέα	el	0	2013-05-27 14:37:48.211138+02	\N	Γουινέα	\N	\N	\N	\N	\N	\N	t	f
556	29	Bouvet’nsaari	fi	0	2013-05-27 14:39:04.017066+02	\N	Bouvet’nsaari	\N	\N	\N	\N	\N	\N	t	f
598	8	Antártida	es	0	2013-05-27 14:40:59.660458+02	\N	Antártida	\N	\N	\N	\N	\N	\N	t	f
670	206	Τατζικιστάν	el	0	2013-05-27 14:43:51.275795+02	\N	Τατζικιστάν	\N	\N	\N	\N	\N	\N	t	f
612	157	Niue	nl	0	2013-05-27 14:41:31.536294+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
629	251	Guernsey	et	0	2013-05-27 14:42:14.505567+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
647	83	Gibraltar	de	0	2013-05-27 14:42:56.976502+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
662	52	Elevandiluurannik	et	0	2013-05-27 14:43:31.879151+02	\N	Elevandiluurannik	\N	\N	\N	\N	\N	\N	t	f
774	168	Philippines	fr	0	2013-05-27 14:47:52.392381+02	\N	Philippines	\N	\N	\N	\N	\N	\N	t	f
695	244	Saksa Demokraatlik Vabariik	et	0	2013-05-27 14:44:49.716584+02	\N	Saksa Demokraatlik Vabariik	\N	\N	\N	\N	\N	\N	t	f
704	17	Bahrain	de	0	2013-05-27 14:45:11.078411+02	\N	Bahrain	\N	\N	\N	\N	\N	\N	t	f
734	123	リトアニア	ja	0	2013-05-27 14:46:20.202677+02	\N	リトアニア	\N	\N	\N	\N	\N	\N	t	f
777	168	Filipijnen	nl	0	2013-05-27 14:47:59.077415+02	\N	Filipijnen	\N	\N	\N	\N	\N	\N	t	f
735	123	Litouwen	nl	0	2013-05-27 14:46:22.451317+02	\N	Litouwen	\N	\N	\N	\N	\N	\N	t	f
746	72	Finland	nl	0	2013-05-27 14:46:48.004274+02	\N	Finland	\N	\N	\N	\N	\N	\N	t	f
903	230	Briti Neitsisaared	et	0	2013-05-27 14:52:55.716387+02	\N	Briti Neitsisaared	\N	\N	\N	\N	\N	\N	t	f
814	148	Nauru	es	0	2013-05-27 14:49:26.033655+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
845	216	Τερκ και Κάικος	el	0	2013-05-27 14:50:37.779796+02	\N	Τερκ και Κάικος	\N	\N	\N	\N	\N	\N	t	f
864	120	Liberia	nl	0	2013-05-27 14:51:21.172307+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
927	66	Érythrée	fr	0	2013-05-27 14:53:54.399667+02	\N	Érythrée	\N	\N	\N	\N	\N	\N	t	f
879	43	Chile	en	0	2013-05-27 14:51:59.499536+02	\N	Chile	\N	\N	\N	\N	\N	\N	t	f
1041	211	Tonga	de	0	2013-05-27 14:58:56.381875+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
931	66	Eritrea	no	0	2013-05-27 14:54:03.331484+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
953	166	Paraguay	de	0	2013-05-27 14:54:57.239965+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
1423	95	ホンジュラス	ja	0	2013-05-27 15:14:25.683857+02	\N	ホンジュラス	\N	\N	\N	\N	\N	\N	t	f
966	51	Costa Rica	en	0	2013-05-27 14:55:28.247206+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
1051	211	Tonga	no	0	2013-05-27 14:59:22.034892+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
992	65	Guinée équatoriale	fr	0	2013-05-27 14:56:34.600126+02	\N	Guinée équatoriale	\N	\N	\N	\N	\N	\N	t	f
1009	54	Κούβα	el	0	2013-05-27 14:57:23.871033+02	\N	Κούβα	\N	\N	\N	\N	\N	\N	t	f
1179	147	Namibie	fr	0	2013-05-27 15:04:53.348529+02	\N	Namibie	\N	\N	\N	\N	\N	\N	t	f
1015	54	Cuba	it	0	2013-05-27 14:57:37.51051+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1071	259	キュラソー島	ja	0	2013-05-27 15:00:27.868877+02	\N	キュラソー島	\N	\N	\N	\N	\N	\N	t	f
1026	37	Camerun	it	0	2013-05-27 14:58:07.264205+02	\N	Camerun	\N	\N	\N	\N	\N	\N	t	f
1100	242	Serbia ja Montenegro	et	0	2013-05-27 15:01:48.536877+02	\N	Serbia ja Montenegro	\N	\N	\N	\N	\N	\N	t	f
1131	82	Ghana	en	0	2013-05-27 15:03:00.885175+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1209	130	Maldivas	es	0	2013-05-27 15:06:04.905239+02	\N	Maldivas	\N	\N	\N	\N	\N	\N	t	f
1155	28	Botswana	et	0	2013-05-27 15:03:56.645519+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1160	28	Botswana	nl	0	2013-05-27 15:04:08.462962+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1163	160	Νορβηγία	el	0	2013-05-27 15:04:16.155517+02	\N	Νορβηγία	\N	\N	\N	\N	\N	\N	t	f
1255	238	Zimbabwe	fi	0	2013-05-27 15:07:52.103424+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1428	247	Montenegro	en	0	2013-05-27 15:14:37.912345+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1275	194	España	es	0	2013-05-27 15:08:38.785274+02	\N	España	\N	\N	\N	\N	\N	\N	t	f
1289	75	Guyane	fr	0	2013-05-27 15:09:11.125918+02	\N	Guyane	\N	\N	\N	\N	\N	\N	t	f
1498	87	Guadalupa	it	0	2013-05-27 15:17:34.838049+02	\N	Guadalupa	\N	\N	\N	\N	\N	\N	t	f
1294	192	Somalia	de	0	2013-05-27 15:09:23.148934+02	\N	Somalia	\N	\N	\N	\N	\N	\N	t	f
1429	247	Montenegro	es	0	2013-05-27 15:14:40.180664+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1313	56	チェコ	ja	0	2013-05-27 15:10:07.082512+02	\N	チェコ	\N	\N	\N	\N	\N	\N	t	f
1343	217	Tuvalu	fi	0	2013-05-27 15:11:16.634748+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1353	208	Tai	et	0	2013-05-27 15:11:41.243754+02	\N	Tai	\N	\N	\N	\N	\N	\N	t	f
1434	247	モンテネグロ	ja	0	2013-05-27 15:14:51.303043+02	\N	モンテネグロ	\N	\N	\N	\N	\N	\N	t	f
1382	188	Singapur	de	0	2013-05-27 15:12:50.925114+02	\N	Singapur	\N	\N	\N	\N	\N	\N	t	f
1397	146	Birma	et	0	2013-05-27 15:13:25.070715+02	\N	Birma	\N	\N	\N	\N	\N	\N	t	f
1598	248	Südgeorgien und die Südlichen Sandwichinseln	de	0	2013-05-27 15:22:19.140727+02	\N	Südgeorgien und die Südlichen Sandwichinseln	\N	\N	\N	\N	\N	\N	t	f
1398	146	Myanmar	fi	0	2013-05-27 15:13:27.272147+02	\N	Myanmar	\N	\N	\N	\N	\N	\N	t	f
1504	158	Norfolk Island	en	0	2013-05-27 15:17:53.025799+02	\N	Norfolk Island	\N	\N	\N	\N	\N	\N	t	f
1480	195	Sri Lanka	de	0	2013-05-27 15:16:51.396906+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1486	195	Sri Lanka	fr	0	2013-05-27 15:17:04.891103+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1539	3	Alžeeria	et	0	2013-05-27 15:19:35.548811+02	\N	Alžeeria	\N	\N	\N	\N	\N	\N	t	f
1496	87	Guadeloupe	fi	0	2013-05-27 15:17:27.967347+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1506	158	Norfolki saar	et	0	2013-05-27 15:17:57.459187+02	\N	Norfolki saar	\N	\N	\N	\N	\N	\N	t	f
1516	179	Santa Lucía	es	0	2013-05-27 15:18:23.094651+02	\N	Santa Lucía	\N	\N	\N	\N	\N	\N	t	f
1524	21	Belgien	de	0	2013-05-27 15:18:49.927161+02	\N	Belgien	\N	\N	\N	\N	\N	\N	t	f
1552	258	Caribisch Nederland	nl	0	2013-05-27 15:20:11.53852+02	\N	Caribisch Nederland	\N	\N	\N	\N	\N	\N	t	f
1639	104	イスラエル	ja	0	2013-05-27 15:23:56.714394+02	\N	イスラエル	\N	\N	\N	\N	\N	\N	t	f
1668	159	Põhja-Mariaanid	et	0	2013-05-27 15:25:03.952725+02	\N	Põhja-Mariaanid	\N	\N	\N	\N	\N	\N	t	f
1698	41	Κεντροαφρικανική Δημοκρατία	el	0	2013-05-27 15:26:14.557017+02	\N	Κεντροαφρικανική Δημοκρατία	\N	\N	\N	\N	\N	\N	t	f
1714	129	Malaisie	fr	0	2013-05-27 15:26:51.126762+02	\N	Malaisie	\N	\N	\N	\N	\N	\N	t	f
1726	55	Cipro	it	0	2013-05-27 15:27:19.068172+02	\N	Cipro	\N	\N	\N	\N	\N	\N	t	f
1730	178	St. Kitts und Nevis	de	0	2013-05-27 15:27:29.137892+02	\N	St. Kitts und Nevis	\N	\N	\N	\N	\N	\N	t	f
1732	178	Saint Kitts and Nevis	en	0	2013-05-27 15:27:33.63416+02	\N	Saint Kitts and Nevis	\N	\N	\N	\N	\N	\N	t	f
1746	20	Valko-Venäjä	fi	0	2013-05-27 15:28:06.472481+02	\N	Valko-Venäjä	\N	\N	\N	\N	\N	\N	t	f
1748	20	Bielorussia	it	0	2013-05-27 15:28:10.942998+02	\N	Bielorussia	\N	\N	\N	\N	\N	\N	t	f
1762	57	Danmark	no	0	2013-05-27 15:28:43.191347+02	\N	Danmark	\N	\N	\N	\N	\N	\N	t	f
1755	57	Dinamarca	es	0	2013-05-27 15:28:27.595887+02	\N	Dinamarca	\N	\N	\N	\N	\N	\N	t	f
4147	4359	Ain	nl	0	2013-06-05 07:11:20.644042+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
345	78	Gabón	es	0	2013-05-27 14:30:08.370003+02	\N	Gabón	\N	\N	\N	\N	\N	\N	t	f
346	78	Gabon	et	0	2013-05-27 14:30:10.590406+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
348	78	Gabon	fr	0	2013-05-27 14:30:14.997482+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
491	122	Liechtenstein	fr	0	2013-05-27 14:35:58.426175+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
349	78	Gabon	it	0	2013-05-27 14:30:17.284275+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
371	133	Isole Marshall	it	0	2013-05-27 14:31:07.957376+02	\N	Isole Marshall	\N	\N	\N	\N	\N	\N	t	f
502	252	Île de Man	fr	0	2013-05-27 14:36:27.691434+02	\N	Île de Man	\N	\N	\N	\N	\N	\N	t	f
576	69	Islas Malvinas	es	0	2013-05-27 14:40:02.916527+02	\N	Islas Malvinas	\N	\N	\N	\N	\N	\N	t	f
524	42	Tchad	fr	0	2013-05-27 14:37:29.472411+02	\N	Tchad	\N	\N	\N	\N	\N	\N	t	f
528	42	Tsjad	no	0	2013-05-27 14:37:42.960389+02	\N	Tsjad	\N	\N	\N	\N	\N	\N	t	f
532	90	Guinea	es	0	2013-05-27 14:37:53.683543+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
599	8	Antarktika	et	0	2013-05-27 14:41:01.854341+02	\N	Antarktika	\N	\N	\N	\N	\N	\N	t	f
553	29	Bouvet Island	en	0	2013-05-27 14:38:53.956794+02	\N	Bouvet Island	\N	\N	\N	\N	\N	\N	t	f
558	29	Isola Bouvet	it	0	2013-05-27 14:39:10.56179+02	\N	Isola Bouvet	\N	\N	\N	\N	\N	\N	t	f
672	206	Tayikistán	es	0	2013-05-27 14:43:55.670378+02	\N	Tayikistán	\N	\N	\N	\N	\N	\N	t	f
564	175	Romania	en	0	2013-05-27 14:39:32.228329+02	\N	Romania	\N	\N	\N	\N	\N	\N	t	f
630	251	Guernsey	fi	0	2013-05-27 14:42:16.714138+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
639	18	Bangladés	es	0	2013-05-27 14:42:37.821202+02	\N	Bangladés	\N	\N	\N	\N	\N	\N	t	f
706	17	Bahrain	en	0	2013-05-27 14:45:15.449251+02	\N	Bahrain	\N	\N	\N	\N	\N	\N	t	f
775	168	Filippine	it	0	2013-05-27 14:47:54.602128+02	\N	Filippine	\N	\N	\N	\N	\N	\N	t	f
712	17	バーレーン	ja	0	2013-05-27 14:45:29.309155+02	\N	バーレーン	\N	\N	\N	\N	\N	\N	t	f
739	72	Finland	en	0	2013-05-27 14:46:32.47397+02	\N	Finland	\N	\N	\N	\N	\N	\N	t	f
757	135	Mauretanien	de	0	2013-05-27 14:47:13.656111+02	\N	Mauretanien	\N	\N	\N	\N	\N	\N	t	f
816	148	Nauru	fi	0	2013-05-27 14:49:30.523963+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
763	135	Mauritanie	fr	0	2013-05-27 14:47:26.944767+02	\N	Mauritanie	\N	\N	\N	\N	\N	\N	t	f
905	230	Îles Vierges britanniques	fr	0	2013-05-27 14:53:00.226793+02	\N	Îles Vierges britanniques	\N	\N	\N	\N	\N	\N	t	f
820	148	Nauru	nl	0	2013-05-27 14:49:39.491168+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
828	131	Mali	fr	0	2013-05-27 14:49:57.890654+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
847	216	Islas Turcas y Caicos	es	0	2013-05-27 14:50:42.337865+02	\N	Islas Turcas y Caicos	\N	\N	\N	\N	\N	\N	t	f
928	66	Eritrea	it	0	2013-05-27 14:53:56.635984+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
848	216	Turks ja Caicos	et	0	2013-05-27 14:50:44.660695+02	\N	Turks ja Caicos	\N	\N	\N	\N	\N	\N	t	f
855	120	Liberia	de	0	2013-05-27 14:51:01.173659+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
1042	211	Τόνγκα	el	0	2013-05-27 14:58:59.31338+02	\N	Τόνγκα	\N	\N	\N	\N	\N	\N	t	f
880	43	Chile	es	0	2013-05-27 14:52:01.701878+02	\N	Chile	\N	\N	\N	\N	\N	\N	t	f
970	51	Costa Rica	fr	0	2013-05-27 14:55:39.574814+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
993	65	Guinea Equatoriale	it	0	2013-05-27 14:56:36.831581+02	\N	Guinea Equatoriale	\N	\N	\N	\N	\N	\N	t	f
1521	179	セントルシア	ja	0	2013-05-27 15:18:41.071196+02	\N	セントルシア	\N	\N	\N	\N	\N	\N	t	f
4655	3778	Copperbelt	nl	0	2013-06-05 07:33:19.209119+02	1	Copperbelt	\N	\N	\N	\N	\N	\N	t	f
1045	211	Tonga	et	0	2013-05-27 14:59:08.745815+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
1008	54	Kuba	de	0	2013-05-27 14:57:18.716811+02	\N	Kuba	\N	\N	\N	\N	\N	\N	t	f
1181	147	ナミビア	ja	0	2013-05-27 15:04:58.106354+02	\N	ナミビア	\N	\N	\N	\N	\N	\N	t	f
1072	259	Curaçao	nl	0	2013-05-27 15:00:30.489495+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1101	242	Serbia ja Montenegro	fi	0	2013-05-27 15:01:50.756892+02	\N	Serbia ja Montenegro	\N	\N	\N	\N	\N	\N	t	f
1425	95	Honduras	no	0	2013-05-27 15:14:30.431083+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1132	82	Ghana	es	0	2013-05-27 15:03:03.250252+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1210	130	Maldiivid	et	0	2013-05-27 15:06:07.648838+02	\N	Maldiivid	\N	\N	\N	\N	\N	\N	t	f
1165	160	Noruega	es	0	2013-05-27 15:04:21.031044+02	\N	Noruega	\N	\N	\N	\N	\N	\N	t	f
1172	160	Norge	no	0	2013-05-27 15:04:37.003243+02	\N	Norge	\N	\N	\N	\N	\N	\N	t	f
1211	130	Malediivit	fi	0	2013-05-27 15:06:09.861067+02	\N	Malediivit	\N	\N	\N	\N	\N	\N	t	f
1237	190	Slovenië	nl	0	2013-05-27 15:07:10.281292+02	\N	Slovenië	\N	\N	\N	\N	\N	\N	t	f
1435	247	Montenegro	nl	0	2013-05-27 15:14:56.699663+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1256	238	Zimbabwe	fr	0	2013-05-27 15:07:54.302523+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1295	192	Σομαλία	el	0	2013-05-27 15:09:25.357943+02	\N	Σομαλία	\N	\N	\N	\N	\N	\N	t	f
1302	192	ソマリア	ja	0	2013-05-27 15:09:40.987399+02	\N	ソマリア	\N	\N	\N	\N	\N	\N	t	f
1468	50	Cookøyene	no	0	2013-05-27 15:16:20.690009+02	\N	Cookøyene	\N	\N	\N	\N	\N	\N	t	f
1316	201	Swasiland	de	0	2013-05-27 15:10:14.781963+02	\N	Swasiland	\N	\N	\N	\N	\N	\N	t	f
1317	201	Σουαζιλάνδη	el	0	2013-05-27 15:10:16.974879+02	\N	Σουαζιλάνδη	\N	\N	\N	\N	\N	\N	t	f
1529	21	Belgia	fi	0	2013-05-27 15:19:04.38402+02	\N	Belgia	\N	\N	\N	\N	\N	\N	t	f
1319	201	Suazilandia	es	0	2013-05-27 15:10:21.368472+02	\N	Suazilandia	\N	\N	\N	\N	\N	\N	t	f
1481	195	Σρι Λάνκα	el	0	2013-05-27 15:16:53.636618+02	\N	Σρι Λάνκα	\N	\N	\N	\N	\N	\N	t	f
1344	217	Tuvalu	fr	0	2013-05-27 15:11:18.83387+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1402	146	Myanmar	nl	0	2013-05-27 15:13:36.467326+02	\N	Myanmar	\N	\N	\N	\N	\N	\N	t	f
1492	87	Γουαδελούπη	el	0	2013-05-27 15:17:19.075035+02	\N	Γουαδελούπη	\N	\N	\N	\N	\N	\N	t	f
1599	248	Νήσοι Νότια Γεωργία και Νότιες Σάντουιτς	el	0	2013-05-27 15:22:21.464183+02	\N	Νήσοι Νότια Γεωργία και Νότιες Σάντουιτς	\N	\N	\N	\N	\N	\N	t	f
1518	179	Saint Lucia	fi	0	2013-05-27 15:18:29.96163+02	\N	Saint Lucia	\N	\N	\N	\N	\N	\N	t	f
1530	21	Belgique	fr	0	2013-05-27 15:19:09.71756+02	\N	Belgique	\N	\N	\N	\N	\N	\N	t	f
1520	179	Santa Lucia	it	0	2013-05-27 15:18:35.944296+02	\N	Santa Lucia	\N	\N	\N	\N	\N	\N	t	f
1640	104	Israël	nl	0	2013-05-27 15:23:58.970773+02	\N	Israël	\N	\N	\N	\N	\N	\N	t	f
1554	99	Indien	de	0	2013-05-27 15:20:18.728049+02	\N	Indien	\N	\N	\N	\N	\N	\N	t	f
1601	248	Islas Georgias del Sur y Sandwich del Sur	es	0	2013-05-27 15:22:26.459285+02	\N	Islas Georgias del Sur y Sandwich del Sur	\N	\N	\N	\N	\N	\N	t	f
1588	218	Ουγκάντα	el	0	2013-05-27 15:21:53.305293+02	\N	Ουγκάντα	\N	\N	\N	\N	\N	\N	t	f
1616	162	Pakistan	it	0	2013-05-27 15:23:00.75214+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1621	234	Υεμένη	el	0	2013-05-27 15:23:15.110859+02	\N	Υεμένη	\N	\N	\N	\N	\N	\N	t	f
1671	159	Isole Marianne Settentrionali	it	0	2013-05-27 15:25:10.825341+02	\N	Isole Marianne Settentrionali	\N	\N	\N	\N	\N	\N	t	f
1691	96	Hongkong	fi	0	2013-05-27 15:25:57.682865+02	\N	Hongkong	\N	\N	\N	\N	\N	\N	t	f
4148	4359	Ain	no	0	2013-06-05 07:11:23.167822+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
1700	41	República Centroafricana	es	0	2013-05-27 15:26:18.989917+02	\N	República Centroafricana	\N	\N	\N	\N	\N	\N	t	f
1715	129	Malesia	it	0	2013-05-27 15:26:53.339567+02	\N	Malesia	\N	\N	\N	\N	\N	\N	t	f
1724	55	Kypros	fi	0	2013-05-27 15:27:14.499903+02	\N	Kypros	\N	\N	\N	\N	\N	\N	t	f
1733	178	San Cristóbal y Nieves	es	0	2013-05-27 15:27:35.868507+02	\N	San Cristóbal y Nieves	\N	\N	\N	\N	\N	\N	t	f
1734	178	Saint Kitts ja Nevis	et	0	2013-05-27 15:27:38.129508+02	\N	Saint Kitts ja Nevis	\N	\N	\N	\N	\N	\N	t	f
3715	2529	アルハンガイ県	ja	0	2013-06-05 06:52:19.919888+02	1	アルハンガイ県	\N	\N	\N	\N	\N	\N	t	f
1743	20	Belarus	en	0	2013-05-27 15:27:59.526489+02	\N	Belarus	\N	\N	\N	\N	\N	\N	t	f
1757	57	Tanska	fi	0	2013-05-27 15:28:31.999807+02	\N	Tanska	\N	\N	\N	\N	\N	\N	t	f
350	78	ガボン	ja	0	2013-05-27 14:30:19.596871+02	\N	ガボン	\N	\N	\N	\N	\N	\N	t	f
352	78	Gabon	no	0	2013-05-27 14:30:24.039854+02	\N	Gabon	\N	\N	\N	\N	\N	\N	t	f
353	136	Mauritius	de	0	2013-05-27 14:30:26.96386+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
372	133	マーシャル諸島	ja	0	2013-05-27 14:35:45.471477+02	\N	マーシャルしょとう	\N	\N	\N	\N	\N	\N	t	f
354	136	Μαυρίκιος	el	0	2013-05-27 14:30:29.22507+02	\N	Μαυρίκιος	\N	\N	\N	\N	\N	\N	t	f
355	136	Mauritius	en	0	2013-05-27 14:30:31.439148+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
578	69	Falklandinsaaret	fi	0	2013-05-27 14:40:07.327599+02	\N	Falklandinsaaret	\N	\N	\N	\N	\N	\N	t	f
360	136	Mauritius	it	0	2013-05-27 14:30:42.619244+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
492	122	Liechtenstein	it	0	2013-05-27 14:36:01.384316+02	\N	Liechtenstein	\N	\N	\N	\N	\N	\N	t	f
367	133	Islas Marshall	es	0	2013-05-27 14:30:59.002635+02	\N	Islas Marshall	\N	\N	\N	\N	\N	\N	t	f
377	177	Rwanda	en	0	2013-05-27 14:31:22.042511+02	\N	Rwanda	\N	\N	\N	\N	\N	\N	t	f
509	63	Egypt	en	0	2013-05-27 14:36:49.900457+02	\N	Egypt	\N	\N	\N	\N	\N	\N	t	f
383	177	ルワンダ	ja	0	2013-05-27 14:31:35.341699+02	\N	ルワンダ	\N	\N	\N	\N	\N	\N	t	f
601	8	南極	ja	0	2013-05-27 14:41:06.318658+02	\N	南極	\N	\N	\N	\N	\N	\N	t	f
529	90	Guinea	de	0	2013-05-27 14:37:45.993521+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
533	90	Guinea	et	0	2013-05-27 14:37:56.407846+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
673	206	Tadžikistan	et	0	2013-05-27 14:43:58.051541+02	\N	Tadžikistan	\N	\N	\N	\N	\N	\N	t	f
549	32	Brunei	nl	0	2013-05-27 14:38:43.035289+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
631	251	Guernesey	fr	0	2013-05-27 14:42:18.990003+02	\N	Guernesey	\N	\N	\N	\N	\N	\N	t	f
559	29	ブーベ島	ja	0	2013-05-27 14:39:12.965282+02	\N	ブーベ島	\N	\N	\N	\N	\N	\N	t	f
637	18	Μπανγκλαντές	el	0	2013-05-27 14:42:33.430388+02	\N	Μπανγκλαντές	\N	\N	\N	\N	\N	\N	t	f
678	206	Tadzjikistan	nl	0	2013-05-27 14:44:09.376183+02	\N	Tadzjikistan	\N	\N	\N	\N	\N	\N	t	f
776	168	フィリピン	ja	0	2013-05-27 14:47:56.835684+02	\N	フィリピン	\N	\N	\N	\N	\N	\N	t	f
707	17	Baréin	es	0	2013-05-27 14:45:17.658774+02	\N	Baréin	\N	\N	\N	\N	\N	\N	t	f
740	72	Finlandia	es	0	2013-05-27 14:46:34.671893+02	\N	Finlandia	\N	\N	\N	\N	\N	\N	t	f
791	19	Μπαρμπάντος	el	0	2013-05-27 14:48:32.470521+02	\N	Μπαρμπάντος	\N	\N	\N	\N	\N	\N	t	f
906	230	Isole Vergini britanniche	it	0	2013-05-27 14:53:02.522441+02	\N	Isole Vergini britanniche	\N	\N	\N	\N	\N	\N	t	f
797	19	Barbados	it	0	2013-05-27 14:48:45.785493+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
821	148	Nauru	no	0	2013-05-27 14:49:41.767975+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
929	66	エリトリア	ja	0	2013-05-27 14:53:58.865777+02	\N	エリトリア	\N	\N	\N	\N	\N	\N	t	f
850	216	Îles Turques-et-Caïques	fr	0	2013-05-27 14:50:49.09362+02	\N	Îles Turques-et-Caïques	\N	\N	\N	\N	\N	\N	t	f
865	120	Liberia	no	0	2013-05-27 14:51:23.426572+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
1043	211	Tonga	en	0	2013-05-27 14:59:01.535321+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
869	76	Polinesia Francesa	es	0	2013-05-27 14:51:33.119542+02	\N	Polinesia Francesa	\N	\N	\N	\N	\N	\N	t	f
947	39	Kap Verde	fi	0	2013-05-27 14:54:40.737099+02	\N	Kap Verde	\N	\N	\N	\N	\N	\N	t	f
881	43	Tšiili	et	0	2013-05-27 14:52:03.938399+02	\N	Tšiili	\N	\N	\N	\N	\N	\N	t	f
971	51	Costa Rica	it	0	2013-05-27 14:55:41.792078+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
985	25	Bhutan	no	0	2013-05-27 14:56:15.332282+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1048	211	Tonga	it	0	2013-05-27 14:59:15.363664+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
995	65	Equatoriaal-Guinea	nl	0	2013-05-27 14:56:41.67618+02	\N	Equatoriaal-Guinea	\N	\N	\N	\N	\N	\N	t	f
1029	37	Kamerun	no	0	2013-05-27 14:58:14.054761+02	\N	Kamerun	\N	\N	\N	\N	\N	\N	t	f
1183	147	Namibia	no	0	2013-05-27 15:05:02.773324+02	\N	Namibia	\N	\N	\N	\N	\N	\N	t	f
1062	109	Kasakhstan	no	0	2013-05-27 14:59:53.107482+02	\N	Kasakhstan	\N	\N	\N	\N	\N	\N	t	f
1073	259	Curaçao	no	0	2013-05-27 15:00:32.769026+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1403	146	Myanmar	no	0	2013-05-27 15:13:38.707914+02	\N	Myanmar	\N	\N	\N	\N	\N	\N	t	f
1102	242	Serbie-et-Monténégro	fr	0	2013-05-27 15:01:53.009727+02	\N	Serbie-et-Monténégro	\N	\N	\N	\N	\N	\N	t	f
1202	127	Madagascar	it	0	2013-05-27 15:05:48.37837+02	\N	Madagascar	\N	\N	\N	\N	\N	\N	t	f
1111	58	Djibouti	et	0	2013-05-27 15:02:14.291837+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1127	233	Westelijke Sahara	nl	0	2013-05-27 15:02:51.090878+02	\N	Westelijke Sahara	\N	\N	\N	\N	\N	\N	t	f
1309	56	Tšehhi	et	0	2013-05-27 15:09:58.147054+02	\N	Tšehhi	\N	\N	\N	\N	\N	\N	t	f
1133	82	Ghana	et	0	2013-05-27 15:03:05.42644+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1213	130	Maldive	it	0	2013-05-27 15:06:14.285551+02	\N	Maldive	\N	\N	\N	\N	\N	\N	t	f
1135	82	Ghana	fr	0	2013-05-27 15:03:09.851263+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1138	82	Ghana	nl	0	2013-05-27 15:03:16.589171+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1141	203	Ελβετία	el	0	2013-05-27 15:03:24.428392+02	\N	Ελβετία	\N	\N	\N	\N	\N	\N	t	f
1218	150	Ολλανδία	el	0	2013-05-27 15:06:26.634274+02	\N	Ολλανδία	\N	\N	\N	\N	\N	\N	t	f
1236	190	スロベニア	ja	0	2013-05-27 15:07:08.030885+02	\N	スロベニア	\N	\N	\N	\N	\N	\N	t	f
1318	201	Swaziland	en	0	2013-05-27 15:10:19.167377+02	\N	Swaziland	\N	\N	\N	\N	\N	\N	t	f
1257	238	Zimbabwe	it	0	2013-05-27 15:07:56.504752+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1286	75	Guayana Francesa	es	0	2013-05-27 15:09:04.433943+02	\N	Guayana Francesa	\N	\N	\N	\N	\N	\N	t	f
1296	192	Somalia	en	0	2013-05-27 15:09:27.580644+02	\N	Somalia	\N	\N	\N	\N	\N	\N	t	f
1427	247	Μαυροβούνιο	el	0	2013-05-27 15:14:35.716109+02	\N	Μαυροβούνιο	\N	\N	\N	\N	\N	\N	t	f
1303	192	Somalië	nl	0	2013-05-27 15:09:43.234996+02	\N	Somalië	\N	\N	\N	\N	\N	\N	t	f
1345	217	Tuvalu	it	0	2013-05-27 15:11:21.087249+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1350	208	Ταϊλάνδη	el	0	2013-05-27 15:11:33.021392+02	\N	Ταϊλάνδη	\N	\N	\N	\N	\N	\N	t	f
1482	195	Sri Lanka	en	0	2013-05-27 15:16:55.823476+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1378	84	Grecia	it	0	2013-05-27 15:12:41.122588+02	\N	Grecia	\N	\N	\N	\N	\N	\N	t	f
1472	137	Mayotte	es	0	2013-05-27 15:16:31.079753+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1767	86	Grenada	et	0	2013-05-27 15:28:54.956182+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1603	248	Etelä-Georgia ja Eteläiset Sandwichsaaret	fi	0	2013-05-27 15:22:30.917024+02	\N	Etelä-Georgia ja Eteläiset Sandwichsaaret	\N	\N	\N	\N	\N	\N	t	f
1474	137	Mayotte	fi	0	2013-05-27 15:16:37.098731+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1512	158	Norfolkøya	no	0	2013-05-27 15:18:12.416989+02	\N	Norfolkøya	\N	\N	\N	\N	\N	\N	t	f
1555	99	Ινδία	el	0	2013-05-27 15:20:23.577432+02	\N	Ινδία	\N	\N	\N	\N	\N	\N	t	f
1519	179	Sainte-Lucie	fr	0	2013-05-27 15:18:32.17804+02	\N	Sainte-Lucie	\N	\N	\N	\N	\N	\N	t	f
1617	162	パキスタン	ja	0	2013-05-27 15:23:03.072904+02	\N	パキスタン	\N	\N	\N	\N	\N	\N	t	f
1624	234	Jeemen	et	0	2013-05-27 15:23:21.767278+02	\N	Jeemen	\N	\N	\N	\N	\N	\N	t	f
1642	172	Puerto Rico	de	0	2013-05-27 15:24:04.059674+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1652	172	Puerto Rico	no	0	2013-05-27 15:24:26.896577+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1655	5	Andorra	en	0	2013-05-27 15:24:34.365274+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1658	5	Andorra	fi	0	2013-05-27 15:24:41.081131+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1678	33	Bulgaria	es	0	2013-05-27 15:25:27.614982+02	\N	Bulgaria	\N	\N	\N	\N	\N	\N	t	f
3314	2959	Āzārbāyjān-e Gharbī	fi	0	2013-05-27 19:57:00.249434+02	1	Āzārbāyjān-e Gharbī	\N	\N	\N	\N	\N	\N	t	f
1716	129	マレーシア	ja	0	2013-05-27 15:26:55.563373+02	\N	マレーシア	\N	\N	\N	\N	\N	\N	t	f
5211	1029	Carchi	fr	0	2013-06-05 07:57:18.899585+02	1	Carchi	\N	\N	\N	\N	\N	\N	t	f
357	136	Mauritius	et	0	2013-05-27 14:30:35.867306+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
359	136	Maurice	fr	0	2013-05-27 14:30:40.332008+02	\N	Maurice	\N	\N	\N	\N	\N	\N	t	f
361	136	モーリシャス	ja	0	2013-05-27 14:30:44.864371+02	\N	モーリシャス	\N	\N	\N	\N	\N	\N	t	f
497	252	Νήσος του Μαν	el	0	2013-05-27 14:36:16.579664+02	\N	Νήσος του Μαν	\N	\N	\N	\N	\N	\N	t	f
515	63	エジプト	ja	0	2013-05-27 14:37:06.639556+02	\N	エジプト	\N	\N	\N	\N	\N	\N	t	f
579	69	Îles Malouines	fr	0	2013-05-27 14:40:09.644738+02	\N	Îles Malouines	\N	\N	\N	\N	\N	\N	t	f
531	90	Guinea	en	0	2013-05-27 14:37:51.496513+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
563	175	Ρουμανία	el	0	2013-05-27 14:39:28.528984+02	\N	Ρουμανία	\N	\N	\N	\N	\N	\N	t	f
603	157	Niue	de	0	2013-05-27 14:41:11.307907+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
674	206	Tadžikistan	fi	0	2013-05-27 14:44:00.254176+02	\N	Tadžikistan	\N	\N	\N	\N	\N	\N	t	f
632	251	Guernsey	it	0	2013-05-27 14:42:21.205126+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
641	18	Bangladesh	fi	0	2013-05-27 14:42:42.307103+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
716	91	Γουινέα-Μπισσάου	el	0	2013-05-27 14:45:39.018684+02	\N	Γουινέα-Μπισσάου	\N	\N	\N	\N	\N	\N	t	f
778	168	Filippinene	no	0	2013-05-27 14:48:01.362554+02	\N	Filippinene	\N	\N	\N	\N	\N	\N	t	f
741	72	Soome	et	0	2013-05-27 14:46:36.849772+02	\N	Soome	\N	\N	\N	\N	\N	\N	t	f
760	135	Mauritania	es	0	2013-05-27 14:47:20.356516+02	\N	Mauritania	\N	\N	\N	\N	\N	\N	t	f
822	131	Mali	de	0	2013-05-27 14:49:44.656655+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
907	230	イギリス領ヴァージン諸島	ja	0	2013-05-27 14:53:04.76165+02	\N	イギリス領ヴァージン諸島	\N	\N	\N	\N	\N	\N	t	f
829	131	Mali	it	0	2013-05-27 14:50:00.09555+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
851	216	Turks e Caicos	it	0	2013-05-27 14:50:51.351183+02	\N	Turks e Caicos	\N	\N	\N	\N	\N	\N	t	f
857	120	Liberia	en	0	2013-05-27 14:51:05.6129+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
909	230	De britiske jomfruøyene	no	0	2013-05-27 14:53:09.259835+02	\N	De britiske jomfruøyene	\N	\N	\N	\N	\N	\N	t	f
882	43	Chile	fi	0	2013-05-27 14:52:06.137378+02	\N	Chile	\N	\N	\N	\N	\N	\N	t	f
1044	211	Tonga	es	0	2013-05-27 14:59:06.56421+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
932	260	Sint Maarten	de	0	2013-05-27 14:54:06.178242+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
954	166	Παραγουάη	el	0	2013-05-27 14:54:59.422529+02	\N	Παραγουάη	\N	\N	\N	\N	\N	\N	t	f
972	51	コスタリカ	ja	0	2013-05-27 14:55:44.015346+02	\N	コスタリカ	\N	\N	\N	\N	\N	\N	t	f
1075	12	Αρούμπα	el	0	2013-05-27 15:00:41.011103+02	\N	Αρούμπα	\N	\N	\N	\N	\N	\N	t	f
983	25	ブータン	ja	0	2013-05-27 14:56:10.879321+02	\N	ブータン	\N	\N	\N	\N	\N	\N	t	f
996	65	Ekvatorial-Guinea	no	0	2013-05-27 14:56:43.977895+02	\N	Ekvatorial-Guinea	\N	\N	\N	\N	\N	\N	t	f
1184	79	Gambia	de	0	2013-05-27 15:05:07.033114+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1014	54	Cuba	fr	0	2013-05-27 14:57:35.252593+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1103	242	Serbia e Montenegro	it	0	2013-05-27 15:01:55.400872+02	\N	Serbia e Montenegro	\N	\N	\N	\N	\N	\N	t	f
1035	22	Belize	fi	0	2013-05-27 14:58:36.072515+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
1142	203	Switzerland	en	0	2013-05-27 15:03:26.626914+02	\N	Switzerland	\N	\N	\N	\N	\N	\N	t	f
1170	160	ノルウェー	ja	0	2013-05-27 15:04:32.478115+02	\N	ノルウェー	\N	\N	\N	\N	\N	\N	t	f
1186	79	Gambia	en	0	2013-05-27 15:05:11.468601+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1456	38	Canada	nl	0	2013-05-27 15:15:49.952782+02	\N	Canada	\N	\N	\N	\N	\N	\N	t	f
1217	150	Niederlande	de	0	2013-05-27 15:06:24.422519+02	\N	Niederlande	\N	\N	\N	\N	\N	\N	t	f
1258	238	ジンバブエ	ja	0	2013-05-27 15:07:58.743078+02	\N	ジンバブエ	\N	\N	\N	\N	\N	\N	t	f
1682	33	Bulgaria	it	0	2013-05-27 15:25:36.497801+02	\N	Bulgaria	\N	\N	\N	\N	\N	\N	t	f
1273	194	Ισπανία	el	0	2013-05-27 15:08:34.40842+02	\N	Ισπανία	\N	\N	\N	\N	\N	\N	t	f
1457	38	Canada	no	0	2013-05-27 15:15:52.179105+02	\N	Canada	\N	\N	\N	\N	\N	\N	t	f
1280	194	スペイン	ja	0	2013-05-27 15:08:49.914292+02	\N	スペイン	\N	\N	\N	\N	\N	\N	t	f
1298	192	Somaalia	et	0	2013-05-27 15:09:32.084774+02	\N	Somaalia	\N	\N	\N	\N	\N	\N	t	f
1646	172	Puerto Rico	et	0	2013-05-27 15:24:13.022457+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1304	192	Somalia	no	0	2013-05-27 15:09:45.487834+02	\N	Somalia	\N	\N	\N	\N	\N	\N	t	f
1459	50	Νήσοι Κουκ	el	0	2013-05-27 15:15:57.32912+02	\N	Νήσοι Κουκ	\N	\N	\N	\N	\N	\N	t	f
1306	56	Τσεχία	el	0	2013-05-27 15:09:50.868456+02	\N	Τσεχία	\N	\N	\N	\N	\N	\N	t	f
1321	201	Swazimaa	fi	0	2013-05-27 15:10:26.056353+02	\N	Swazimaa	\N	\N	\N	\N	\N	\N	t	f
1347	217	Tuvalu	nl	0	2013-05-27 15:11:25.527983+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1483	195	Sri Lanka	es	0	2013-05-27 15:16:58.073227+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1361	128	Μαλάουι	el	0	2013-05-27 15:11:59.790968+02	\N	Μαλάουι	\N	\N	\N	\N	\N	\N	t	f
1404	97	Ungarn	de	0	2013-05-27 15:13:41.829496+02	\N	Ungarn	\N	\N	\N	\N	\N	\N	t	f
1405	97	Ουγγαρία	el	0	2013-05-27 15:13:44.005897+02	\N	Ουγγαρία	\N	\N	\N	\N	\N	\N	t	f
1527	21	Bélgica	es	0	2013-05-27 15:18:59.937285+02	\N	Bélgica	\N	\N	\N	\N	\N	\N	t	f
1431	247	Montenegro	fi	0	2013-05-27 15:14:44.63253+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1647	172	Puerto Rico	fi	0	2013-05-27 15:24:15.208053+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1556	99	India	en	0	2013-05-27 15:20:25.906169+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1584	23	ベナン	ja	0	2013-05-27 15:21:39.122275+02	\N	ベナン	\N	\N	\N	\N	\N	\N	t	f
1605	248	Georgia del Sud e isole Sandwich meridionali	it	0	2013-05-27 15:22:35.412556+02	\N	Georgia del Sud e isole Sandwich meridionali	\N	\N	\N	\N	\N	\N	t	f
1650	172	プエルトリコ	ja	0	2013-05-27 15:24:21.982845+02	\N	プエルトリコ	\N	\N	\N	\N	\N	\N	t	f
1644	172	Puerto Rico	en	0	2013-05-27 15:24:08.547261+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1697	41	Zentralafrikanische Republik	de	0	2013-05-27 15:26:12.337931+02	\N	Zentralafrikanische Republik	\N	\N	\N	\N	\N	\N	t	f
1670	159	Îles Mariannes du Nord	fr	0	2013-05-27 15:25:08.576744+02	\N	Îles Mariannes du Nord	\N	\N	\N	\N	\N	\N	t	f
1679	33	Bulgaaria	et	0	2013-05-27 15:25:29.905604+02	\N	Bulgaaria	\N	\N	\N	\N	\N	\N	t	f
1738	178	セントクリストファー・ネイビス	ja	0	2013-05-27 15:27:47.255815+02	\N	セントクリストファー・ネイビス	\N	\N	\N	\N	\N	\N	t	f
1717	129	Maleisië	nl	0	2013-05-27 15:26:57.824013+02	\N	Maleisië	\N	\N	\N	\N	\N	\N	t	f
1735	178	Saint Kitts ja Nevis	fi	0	2013-05-27 15:27:40.356795+02	\N	Saint Kitts ja Nevis	\N	\N	\N	\N	\N	\N	t	f
1764	86	Γρενάδα	el	0	2013-05-27 15:28:48.280263+02	\N	Γρενάδα	\N	\N	\N	\N	\N	\N	t	f
1796	144	Marokko	de	0	2013-05-27 15:30:02.69542+02	\N	Marokko	\N	\N	\N	\N	\N	\N	t	f
1790	100	Indonesia	fi	0	2013-05-27 15:29:48.509259+02	\N	Indonesia	\N	\N	\N	\N	\N	\N	t	f
1804	144	モロッコ	ja	0	2013-05-27 15:30:20.441238+02	\N	モロッコ	\N	\N	\N	\N	\N	\N	t	f
1817	253	Jersey	no	0	2013-05-27 15:30:51.048558+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1823	171	Portugali	fi	0	2013-05-27 15:31:05.434475+02	\N	Portugali	\N	\N	\N	\N	\N	\N	t	f
1830	170	Πολωνία	el	0	2013-05-27 15:31:22.119298+02	\N	Πολωνία	\N	\N	\N	\N	\N	\N	t	f
1852	169	Νήσοι Πίτκαιρν	el	0	2013-05-27 15:32:15.31349+02	\N	Νήσοι Πίτκαιρν	\N	\N	\N	\N	\N	\N	t	f
1860	169	Pitcairneilanden	nl	0	2013-05-27 15:32:33.503674+02	\N	Pitcairneilanden	\N	\N	\N	\N	\N	\N	t	f
3315	2959	Azerbaïdjan occidental	fr	0	2013-05-27 19:57:02.530073+02	1	Azerbaïdjan occidental	\N	\N	\N	\N	\N	\N	t	f
3716	2529	Arhangaj	nl	0	2013-06-05 06:52:22.366621+02	1	Arhangaj	\N	\N	\N	\N	\N	\N	t	f
4149	3466	Antananarivo	de	0	2013-06-05 07:11:25.946291+02	1	Antananarivo	\N	\N	\N	\N	\N	\N	t	f
363	136	Mauritius	no	0	2013-05-27 14:30:49.355737+02	\N	Mauritius	\N	\N	\N	\N	\N	\N	t	f
399	106	Jamaica	en	0	2013-05-27 14:32:12.496444+02	\N	Jamaica	\N	\N	\N	\N	\N	\N	t	f
364	133	Marshallinseln	de	0	2013-05-27 14:30:52.37294+02	\N	Marshallinseln	\N	\N	\N	\N	\N	\N	t	f
365	133	Νήσοι Μάρσαλ	el	0	2013-05-27 14:30:54.578743+02	\N	Νήσοι Μάρσαλ	\N	\N	\N	\N	\N	\N	t	f
437	224	Uruguay	it	0	2013-05-27 14:33:46.781912+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
366	133	Marshall Islands	en	0	2013-05-27 14:30:56.776821+02	\N	Marshall Islands	\N	\N	\N	\N	\N	\N	t	f
400	106	Jamaica	es	0	2013-05-27 14:32:14.792554+02	\N	Jamaica	\N	\N	\N	\N	\N	\N	t	f
368	133	Marshalli Saared	et	0	2013-05-27 14:31:01.187454+02	\N	Marshalli Saared	\N	\N	\N	\N	\N	\N	t	f
369	133	Marshallinsaaret	fi	0	2013-05-27 14:31:03.419435+02	\N	Marshallinsaaret	\N	\N	\N	\N	\N	\N	t	f
418	71	Fiji	no	0	2013-05-27 14:32:56.369062+02	\N	Fiji	\N	\N	\N	\N	\N	\N	t	f
370	133	Îles Marshall	fr	0	2013-05-27 14:31:05.708907+02	\N	Îles Marshall	\N	\N	\N	\N	\N	\N	t	f
401	106	Jamaica	et	0	2013-05-27 14:32:17.533048+02	\N	Jamaica	\N	\N	\N	\N	\N	\N	t	f
373	133	Marshalleilanden	nl	0	2013-05-27 14:31:12.429039+02	\N	Marshalleilanden	\N	\N	\N	\N	\N	\N	t	f
375	177	Ruanda	de	0	2013-05-27 14:31:17.639382+02	\N	Ruanda	\N	\N	\N	\N	\N	\N	t	f
376	177	Ρουάντα	el	0	2013-05-27 14:31:19.826943+02	\N	Ρουάντα	\N	\N	\N	\N	\N	\N	t	f
402	106	Jamaika	fi	0	2013-05-27 14:32:19.821367+02	\N	Jamaika	\N	\N	\N	\N	\N	\N	t	f
379	177	Rwanda	et	0	2013-05-27 14:31:26.440252+02	\N	Rwanda	\N	\N	\N	\N	\N	\N	t	f
381	177	Rwanda	fr	0	2013-05-27 14:31:30.919134+02	\N	Rwanda	\N	\N	\N	\N	\N	\N	t	f
426	236	Repubblica Democratica del Congo	it	0	2013-05-27 14:33:15.636258+02	\N	Repubblica Democratica del Congo	\N	\N	\N	\N	\N	\N	t	f
382	177	Ruanda	it	0	2013-05-27 14:31:33.118996+02	\N	Ruanda	\N	\N	\N	\N	\N	\N	t	f
403	106	Jamaïque	fr	0	2013-05-27 14:32:22.046367+02	\N	Jamaïque	\N	\N	\N	\N	\N	\N	t	f
384	177	Rwanda	nl	0	2013-05-27 14:31:37.595136+02	\N	Rwanda	\N	\N	\N	\N	\N	\N	t	f
385	177	Rwanda	no	0	2013-05-27 14:31:39.882366+02	\N	Rwanda	\N	\N	\N	\N	\N	\N	t	f
419	236	Demokratische Republik Kongo	de	0	2013-05-27 14:32:59.64997+02	\N	Demokratische Republik Kongo	\N	\N	\N	\N	\N	\N	t	f
386	118	Libanon	de	0	2013-05-27 14:31:42.823674+02	\N	Libanon	\N	\N	\N	\N	\N	\N	t	f
404	106	Giamaica	it	0	2013-05-27 14:32:24.276222+02	\N	Giamaica	\N	\N	\N	\N	\N	\N	t	f
387	118	Λίβανος	el	0	2013-05-27 14:31:45.033195+02	\N	Λίβανος	\N	\N	\N	\N	\N	\N	t	f
388	118	Lebanon	en	0	2013-05-27 14:31:47.245903+02	\N	Lebanon	\N	\N	\N	\N	\N	\N	t	f
389	118	Líbano	es	0	2013-05-27 14:31:49.453277+02	\N	Líbano	\N	\N	\N	\N	\N	\N	t	f
405	106	ジャマイカ	ja	0	2013-05-27 14:32:26.522403+02	\N	ジャマイカ	\N	\N	\N	\N	\N	\N	t	f
390	118	Liibanon	et	0	2013-05-27 14:31:51.685047+02	\N	Liibanon	\N	\N	\N	\N	\N	\N	t	f
391	118	Libanon	fi	0	2013-05-27 14:31:53.885069+02	\N	Libanon	\N	\N	\N	\N	\N	\N	t	f
392	118	Liban	fr	0	2013-05-27 14:31:56.083771+02	\N	Liban	\N	\N	\N	\N	\N	\N	t	f
406	106	Jamaica	nl	0	2013-05-27 14:32:28.843299+02	\N	Jamaica	\N	\N	\N	\N	\N	\N	t	f
393	118	Libano	it	0	2013-05-27 14:31:58.296285+02	\N	Libano	\N	\N	\N	\N	\N	\N	t	f
394	118	レバノン	ja	0	2013-05-27 14:32:00.546163+02	\N	レバノン	\N	\N	\N	\N	\N	\N	t	f
420	236	Λαϊκή Δημοκρατία του Κονγκό	el	0	2013-05-27 14:33:01.926806+02	\N	Λαϊκή Δημοκρατία του Κονγκό	\N	\N	\N	\N	\N	\N	t	f
395	118	Libanon	nl	0	2013-05-27 14:32:02.825646+02	\N	Libanon	\N	\N	\N	\N	\N	\N	t	f
407	106	Jamaica	no	0	2013-05-27 14:32:31.072979+02	\N	Jamaica	\N	\N	\N	\N	\N	\N	t	f
396	118	Libanon	no	0	2013-05-27 14:32:05.15589+02	\N	Libanon	\N	\N	\N	\N	\N	\N	t	f
397	106	Jamaika	de	0	2013-05-27 14:32:08.102565+02	\N	Jamaika	\N	\N	\N	\N	\N	\N	t	f
398	106	Τζαμάικα	el	0	2013-05-27 14:32:10.294794+02	\N	Τζαμάικα	\N	\N	\N	\N	\N	\N	t	f
432	224	Uruguay	en	0	2013-05-27 14:33:34.758173+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
408	71	Fidschi	de	0	2013-05-27 14:32:33.982609+02	\N	Fidschi	\N	\N	\N	\N	\N	\N	t	f
421	236	Democratic Republic of the Congo	en	0	2013-05-27 14:33:04.211831+02	\N	Democratic Republic of the Congo	\N	\N	\N	\N	\N	\N	t	f
409	71	Φίτζι	el	0	2013-05-27 14:32:36.179986+02	\N	Φίτζι	\N	\N	\N	\N	\N	\N	t	f
410	71	Fiji	en	0	2013-05-27 14:32:38.407958+02	\N	Fiji	\N	\N	\N	\N	\N	\N	t	f
427	236	コンゴ民主共和国	ja	0	2013-05-27 14:33:17.87436+02	\N	コンゴ民主共和国	\N	\N	\N	\N	\N	\N	t	f
411	71	Fiyi	es	0	2013-05-27 14:32:40.609531+02	\N	Fiyi	\N	\N	\N	\N	\N	\N	t	f
422	236	República Democrática del Congo	es	0	2013-05-27 14:33:06.416193+02	\N	República Democrática del Congo	\N	\N	\N	\N	\N	\N	t	f
412	71	Fidži	et	0	2013-05-27 14:32:42.806851+02	\N	Fidži	\N	\N	\N	\N	\N	\N	t	f
413	71	Fidži	fi	0	2013-05-27 14:32:45.018161+02	\N	Fidži	\N	\N	\N	\N	\N	\N	t	f
414	71	Fidji	fr	0	2013-05-27 14:32:47.221968+02	\N	Fidji	\N	\N	\N	\N	\N	\N	t	f
423	236	Kongo Demokraatlik Vabariik	et	0	2013-05-27 14:33:08.690015+02	\N	Kongo Demokraatlik Vabariik	\N	\N	\N	\N	\N	\N	t	f
415	71	Figi	it	0	2013-05-27 14:32:49.427165+02	\N	Figi	\N	\N	\N	\N	\N	\N	t	f
416	71	フィジー	ja	0	2013-05-27 14:32:51.714784+02	\N	フィジー	\N	\N	\N	\N	\N	\N	t	f
417	71	Fiji	nl	0	2013-05-27 14:32:54.111745+02	\N	Fiji	\N	\N	\N	\N	\N	\N	t	f
424	236	Kongon demokraattinen tasavalta	fi	0	2013-05-27 14:33:10.964343+02	\N	Kongon demokraattinen tasavalta	\N	\N	\N	\N	\N	\N	t	f
428	236	Congo-Kinshasa	nl	0	2013-05-27 14:33:20.112422+02	\N	Congo-Kinshasa	\N	\N	\N	\N	\N	\N	t	f
425	236	République démocratique du Congo	fr	0	2013-05-27 14:33:13.223278+02	\N	République démocratique du Congo	\N	\N	\N	\N	\N	\N	t	f
429	236	Den demokratiske republikken Kongo	no	0	2013-05-27 14:33:23.887271+02	\N	Den demokratiske republikken Kongo	\N	\N	\N	\N	\N	\N	t	f
433	224	Uruguay	es	0	2013-05-27 14:33:37.139217+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
430	224	Uruguay	de	0	2013-05-27 14:33:30.167603+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
431	224	Ουρουγουάη	el	0	2013-05-27 14:33:32.547264+02	\N	Ουρουγουάη	\N	\N	\N	\N	\N	\N	t	f
440	224	Uruguay	no	0	2013-05-27 14:33:53.479051+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
434	224	Uruguay	et	0	2013-05-27 14:33:39.325524+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
438	224	ウルグアイ	ja	0	2013-05-27 14:33:49.017726+02	\N	ウルグアイ	\N	\N	\N	\N	\N	\N	t	f
435	224	Uruguay	fi	0	2013-05-27 14:33:41.546359+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
436	224	Uruguay	fr	0	2013-05-27 14:33:43.822165+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
442	134	Μαρτινίκα	el	0	2013-05-27 14:33:58.672769+02	\N	Μαρτινίκα	\N	\N	\N	\N	\N	\N	t	f
439	224	Uruguay	nl	0	2013-05-27 14:33:51.27007+02	\N	Uruguay	\N	\N	\N	\N	\N	\N	t	f
441	134	Martinique	de	0	2013-05-27 14:33:56.424521+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
443	134	Martinique	en	0	2013-05-27 14:34:00.946303+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
444	134	Martinica	es	0	2013-05-27 14:34:03.170016+02	\N	Martinica	\N	\N	\N	\N	\N	\N	t	f
445	134	Martinique	et	0	2013-05-27 14:34:05.379888+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
446	134	Martinique	fi	0	2013-05-27 14:34:07.613111+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
447	134	Martinique	fr	0	2013-05-27 14:34:09.861093+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
448	134	Martinica	it	0	2013-05-27 14:34:12.089131+02	\N	Martinica	\N	\N	\N	\N	\N	\N	t	f
449	134	マルティニーク	ja	0	2013-05-27 14:34:14.329882+02	\N	マルティニーク	\N	\N	\N	\N	\N	\N	t	f
450	134	Martinique	nl	0	2013-05-27 14:34:16.552545+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
451	134	Martinique	no	0	2013-05-27 14:34:18.8083+02	\N	Martinique	\N	\N	\N	\N	\N	\N	t	f
3569	656	Arunachal Pradesh	no	0	2013-06-05 06:45:57.210572+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
452	191	Salomonen	de	0	2013-05-27 14:34:21.741198+02	\N	Salomonen	\N	\N	\N	\N	\N	\N	t	f
453	191	Νήσοι Σολομώντα	el	0	2013-05-27 14:34:23.954353+02	\N	Νήσοι Σολομώντα	\N	\N	\N	\N	\N	\N	t	f
463	174	Réunion	de	0	2013-05-27 14:34:51.031752+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
498	252	Isle of Man	en	0	2013-05-27 14:36:18.771788+02	\N	Isle of Man	\N	\N	\N	\N	\N	\N	t	f
471	174	レユニオン	ja	0	2013-05-27 14:35:09.445754+02	\N	レユニオン	\N	\N	\N	\N	\N	\N	t	f
518	42	Tschad	de	0	2013-05-27 14:37:14.352371+02	\N	Tschad	\N	\N	\N	\N	\N	\N	t	f
534	90	Guinea	fi	0	2013-05-27 14:37:58.598939+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
566	175	Rumeenia	et	0	2013-05-27 14:39:36.798588+02	\N	Rumeenia	\N	\N	\N	\N	\N	\N	t	f
675	206	Tadjikistan	fr	0	2013-05-27 14:44:02.470359+02	\N	Tadjikistan	\N	\N	\N	\N	\N	\N	t	f
608	157	Niue	fi	0	2013-05-27 14:41:22.569262+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
581	69	フォークランド諸島	ja	0	2013-05-27 14:41:53.164533+02	\N	フォークランドしょとう	\N	\N	\N	\N	\N	\N	t	f
717	91	Guinea-Bissau	en	0	2013-05-27 14:45:41.223307+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
634	251	Guernsey	nl	0	2013-05-27 14:42:25.7433+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
781	67	Estonia	en	0	2013-05-27 14:48:09.174228+02	\N	Estonia	\N	\N	\N	\N	\N	\N	t	f
742	72	Suomi	fi	0	2013-05-27 14:46:39.072335+02	\N	Suomi	\N	\N	\N	\N	\N	\N	t	f
765	135	モーリタニア	ja	0	2013-05-27 14:47:31.499757+02	\N	モーリタニア	\N	\N	\N	\N	\N	\N	t	f
812	148	Ναουρού	el	0	2013-05-27 14:49:21.658939+02	\N	Ναουρού	\N	\N	\N	\N	\N	\N	t	f
908	230	Britse Maagdeneilanden	nl	0	2013-05-27 14:53:07.029576+02	\N	Britse Maagdeneilanden	\N	\N	\N	\N	\N	\N	t	f
818	148	Nauru	it	0	2013-05-27 14:49:34.981927+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
823	131	Μάλι	el	0	2013-05-27 14:49:46.836177+02	\N	Μάλι	\N	\N	\N	\N	\N	\N	t	f
1046	211	Tonga	fi	0	2013-05-27 14:59:10.988835+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
825	131	Mali	es	0	2013-05-27 14:49:51.219209+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
933	260	Άγιος Μαρτίνος	el	0	2013-05-27 14:54:08.460753+02	\N	Άγιος Μαρτίνος	\N	\N	\N	\N	\N	\N	t	f
853	216	Turks- en Caicoseilanden	nl	0	2013-05-27 14:50:55.942191+02	\N	Turks- en Caicoseilanden	\N	\N	\N	\N	\N	\N	t	f
858	120	Liberia	es	0	2013-05-27 14:51:07.805118+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
885	43	チリ	ja	0	2013-05-27 14:52:12.768159+02	\N	チリ	\N	\N	\N	\N	\N	\N	t	f
942	39	Kap Verde	de	0	2013-05-27 14:54:29.657865+02	\N	Kap Verde	\N	\N	\N	\N	\N	\N	t	f
973	51	Costa Rica	nl	0	2013-05-27 14:55:46.260758+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
1076	12	Aruba	en	0	2013-05-27 15:00:46.302781+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
982	25	Bhutan	it	0	2013-05-27 14:56:08.638711+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
997	232	Wallis und Futuna	de	0	2013-05-27 14:56:48.042785+02	\N	Wallis und Futuna	\N	\N	\N	\N	\N	\N	t	f
1185	79	Γκάμπια	el	0	2013-05-27 15:05:09.213329+02	\N	Γκάμπια	\N	\N	\N	\N	\N	\N	t	f
1010	54	Cuba	en	0	2013-05-27 14:57:26.13939+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1085	210	Tokelau	de	0	2013-05-27 15:01:14.225505+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1012	54	Kuuba	et	0	2013-05-27 14:57:30.538404+02	\N	Kuuba	\N	\N	\N	\N	\N	\N	t	f
1013	54	Kuuba	fi	0	2013-05-27 14:57:32.995151+02	\N	Kuuba	\N	\N	\N	\N	\N	\N	t	f
1028	37	Kameroen	nl	0	2013-05-27 14:58:11.780501+02	\N	Kameroen	\N	\N	\N	\N	\N	\N	t	f
1088	210	Tokelau	es	0	2013-05-27 15:01:20.839745+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1528	21	Belgia	et	0	2013-05-27 15:19:02.17571+02	\N	Belgia	\N	\N	\N	\N	\N	\N	t	f
1104	242	セルビア・モンテネグロ	ja	0	2013-05-27 15:01:57.660488+02	\N	セルビア・モンテネグロ	\N	\N	\N	\N	\N	\N	t	f
1190	79	Gambie	fr	0	2013-05-27 15:05:20.38952+02	\N	Gambie	\N	\N	\N	\N	\N	\N	t	f
1112	58	Djibouti	fi	0	2013-05-27 15:02:16.533421+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1143	203	Suiza	es	0	2013-05-27 15:03:28.909026+02	\N	Suiza	\N	\N	\N	\N	\N	\N	t	f
1394	146	Μιανμάρ	el	0	2013-05-27 15:13:18.48273+02	\N	Μιανμάρ	\N	\N	\N	\N	\N	\N	t	f
1158	28	Botswana	it	0	2013-05-27 15:04:03.921195+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1219	150	Netherlands	en	0	2013-05-27 15:06:28.834313+02	\N	Netherlands	\N	\N	\N	\N	\N	\N	t	f
1171	160	Noorwegen	nl	0	2013-05-27 15:04:34.742259+02	\N	Noorwegen	\N	\N	\N	\N	\N	\N	t	f
1260	238	Zimbabwe	no	0	2013-05-27 15:08:03.266081+02	\N	Zimbabwe	\N	\N	\N	\N	\N	\N	t	f
1268	27	Bosnia ed Erzegovina	it	0	2013-05-27 15:08:22.10929+02	\N	Bosnia ed Erzegovina	\N	\N	\N	\N	\N	\N	t	f
1406	97	Hungary	en	0	2013-05-27 15:13:46.265533+02	\N	Hungary	\N	\N	\N	\N	\N	\N	t	f
1278	194	Espagne	fr	0	2013-05-27 15:08:45.475133+02	\N	Espagne	\N	\N	\N	\N	\N	\N	t	f
1292	75	Frans-Guyana	nl	0	2013-05-27 15:09:17.974151+02	\N	Frans-Guyana	\N	\N	\N	\N	\N	\N	t	f
1312	56	Repubblica Ceca	it	0	2013-05-27 15:10:04.843237+02	\N	Repubblica Ceca	\N	\N	\N	\N	\N	\N	t	f
1433	247	Montenegro	it	0	2013-05-27 15:14:49.05479+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1314	56	Tsjechië	nl	0	2013-05-27 15:10:09.322576+02	\N	Tsjechië	\N	\N	\N	\N	\N	\N	t	f
1322	201	Swaziland	fr	0	2013-05-27 15:10:28.2451+02	\N	Swaziland	\N	\N	\N	\N	\N	\N	t	f
1540	3	Algeria	fi	0	2013-05-27 15:19:37.759904+02	\N	Algeria	\N	\N	\N	\N	\N	\N	t	f
1348	217	Tuvalu	no	0	2013-05-27 15:11:27.847741+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1448	38	Καναδάς	el	0	2013-05-27 15:15:28.049848+02	\N	Καναδάς	\N	\N	\N	\N	\N	\N	t	f
1352	208	Tailandia	es	0	2013-05-27 15:11:38.988615+02	\N	Tailandia	\N	\N	\N	\N	\N	\N	t	f
1388	188	Singapour	fr	0	2013-05-27 15:13:04.251511+02	\N	Singapour	\N	\N	\N	\N	\N	\N	t	f
1449	38	Canada	en	0	2013-05-27 15:15:33.575327+02	\N	Canada	\N	\N	\N	\N	\N	\N	t	f
4656	3778	Copperbelt	no	0	2013-06-05 07:33:21.650597+02	1	Copperbelt	\N	\N	\N	\N	\N	\N	t	f
1484	195	Sri Lanka	et	0	2013-05-27 15:17:00.331361+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1557	99	India	es	0	2013-05-27 15:20:28.118357+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1507	158	Norfolkinsaari	fi	0	2013-05-27 15:17:59.755064+02	\N	Norfolkinsaari	\N	\N	\N	\N	\N	\N	t	f
1509	158	Isola Norfolk	it	0	2013-05-27 15:18:04.206201+02	\N	Isola Norfolk	\N	\N	\N	\N	\N	\N	t	f
1676	33	Βουλγαρία	el	0	2013-05-27 15:25:23.24272+02	\N	Βουλγαρία	\N	\N	\N	\N	\N	\N	t	f
1606	248	サウスジョージア・サウスサンドウィッチ諸島	ja	0	2013-05-27 15:22:37.748046+02	\N	サウスジョージア・サウスサンドウィッチ諸島	\N	\N	\N	\N	\N	\N	t	f
1645	172	Puerto Rico	es	0	2013-05-27 15:24:10.828976+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1680	33	Bulgaria	fi	0	2013-05-27 15:25:32.119591+02	\N	Bulgaria	\N	\N	\N	\N	\N	\N	t	f
1701	41	Kesk-Aafrika Vabariik	et	0	2013-05-27 15:26:21.223964+02	\N	Kesk-Aafrika Vabariik	\N	\N	\N	\N	\N	\N	t	f
1687	96	Χονγκ Κονγκ	el	0	2013-05-27 15:25:48.766489+02	\N	Χονγκ Κονγκ	\N	\N	\N	\N	\N	\N	t	f
5817	2603	Bắc Ninh	de	0	2013-06-05 08:23:22.986592+02	1	Bắc Ninh	\N	\N	\N	\N	\N	\N	t	f
1696	96	Hongkong	no	0	2013-05-27 15:26:08.965832+02	\N	Hongkong	\N	\N	\N	\N	\N	\N	t	f
1718	129	Malaysia	no	0	2013-05-27 15:27:00.060491+02	\N	Malaysia	\N	\N	\N	\N	\N	\N	t	f
1739	178	Saint Kitts en Nevis	nl	0	2013-05-27 15:27:49.468016+02	\N	Saint Kitts en Nevis	\N	\N	\N	\N	\N	\N	t	f
1745	20	Valgevene	et	0	2013-05-27 15:28:04.187787+02	\N	Valgevene	\N	\N	\N	\N	\N	\N	t	f
1749	20	ベラルーシ	ja	0	2013-05-27 15:28:13.178018+02	\N	ベラルーシ	\N	\N	\N	\N	\N	\N	t	f
1765	86	Grenada	en	0	2013-05-27 15:28:50.52734+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1770	86	Grenada	it	0	2013-05-27 15:29:01.797321+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1771	86	グレナダ	ja	0	2013-05-27 15:29:04.005189+02	\N	グレナダ	\N	\N	\N	\N	\N	\N	t	f
1791	100	Indonésie	fr	0	2013-05-27 15:29:50.750561+02	\N	Indonésie	\N	\N	\N	\N	\N	\N	t	f
1797	144	Μαρόκο	el	0	2013-05-27 15:30:04.880732+02	\N	Μαρόκο	\N	\N	\N	\N	\N	\N	t	f
1803	144	Marocco	it	0	2013-05-27 15:30:18.214048+02	\N	Marocco	\N	\N	\N	\N	\N	\N	t	f
1805	144	Marokko	nl	0	2013-05-27 15:30:22.675151+02	\N	Marokko	\N	\N	\N	\N	\N	\N	t	f
454	191	Solomon Islands	en	0	2013-05-27 14:34:28.603671+02	\N	Solomon Islands	\N	\N	\N	\N	\N	\N	t	f
455	191	Islas Solomón	es	0	2013-05-27 14:34:30.791728+02	\N	Islas Solomón	\N	\N	\N	\N	\N	\N	t	f
456	191	Saalomoni Saared	et	0	2013-05-27 14:34:33.040904+02	\N	Saalomoni Saared	\N	\N	\N	\N	\N	\N	t	f
499	252	Isla de Man	es	0	2013-05-27 14:36:20.960205+02	\N	Isla de Man	\N	\N	\N	\N	\N	\N	t	f
457	191	Salomonsaaret	fi	0	2013-05-27 14:34:35.263946+02	\N	Salomonsaaret	\N	\N	\N	\N	\N	\N	t	f
458	191	Salomon	fr	0	2013-05-27 14:34:37.527478+02	\N	Salomon	\N	\N	\N	\N	\N	\N	t	f
460	191	ソロモン諸島	ja	0	2013-05-27 14:34:42.055272+02	\N	ソロモン諸島	\N	\N	\N	\N	\N	\N	t	f
535	90	Guinée	fr	0	2013-05-27 14:38:02.469063+02	\N	Guinée	\N	\N	\N	\N	\N	\N	t	f
470	174	Riunione	it	0	2013-05-27 14:35:06.930313+02	\N	Riunione	\N	\N	\N	\N	\N	\N	t	f
582	69	Falklandeilanden	nl	0	2013-05-27 14:40:19.28216+02	\N	Falklandeilanden	\N	\N	\N	\N	\N	\N	t	f
472	174	Réunion	nl	0	2013-05-27 14:35:11.747454+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
584	34	Burkina Faso	de	0	2013-05-27 14:40:24.487816+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
676	206	Tagikistan	it	0	2013-05-27 14:44:04.739272+02	\N	Tagikistan	\N	\N	\N	\N	\N	\N	t	f
600	8	Région antarctique	fr	0	2013-05-27 14:41:04.094305+02	\N	Région antarctique	\N	\N	\N	\N	\N	\N	t	f
610	157	Niue	it	0	2013-05-27 14:41:26.940129+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
635	251	Guernsey	no	0	2013-05-27 14:42:28.123523+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
782	67	Estonia	es	0	2013-05-27 14:48:11.511886+02	\N	Estonia	\N	\N	\N	\N	\N	\N	t	f
696	244	Saksan demokraattinen tasavalta	fi	0	2013-05-27 14:44:51.94961+02	\N	Saksan demokraattinen tasavalta	\N	\N	\N	\N	\N	\N	t	f
718	91	Guinea-Bisáu	es	0	2013-05-27 14:45:43.471468+02	\N	Guinea-Bisáu	\N	\N	\N	\N	\N	\N	t	f
744	72	Finlandia	it	0	2013-05-27 14:46:43.513224+02	\N	Finlandia	\N	\N	\N	\N	\N	\N	t	f
787	67	エストニア	ja	0	2013-05-27 14:48:22.775419+02	\N	エストニア	\N	\N	\N	\N	\N	\N	t	f
910	154	Nicaragua	de	0	2013-05-27 14:53:12.235826+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
824	131	Mali	en	0	2013-05-27 14:49:49.039819+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
856	120	Λιβερία	el	0	2013-05-27 14:51:03.357057+02	\N	Λιβερία	\N	\N	\N	\N	\N	\N	t	f
934	260	Sint Maarten	en	0	2013-05-27 14:54:10.672772+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
887	43	Chile	no	0	2013-05-27 14:52:17.320228+02	\N	Chile	\N	\N	\N	\N	\N	\N	t	f
1047	211	Tonga	fr	0	2013-05-27 14:59:13.175681+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
974	51	Costa Rica	no	0	2013-05-27 14:55:48.611609+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
998	232	Ουαλίς και Φουτουνά	el	0	2013-05-27 14:56:50.233865+02	\N	Ουαλίς και Φουτουνά	\N	\N	\N	\N	\N	\N	t	f
1000	232	Wallis y Futuna	es	0	2013-05-27 14:56:54.680289+02	\N	Wallis y Futuna	\N	\N	\N	\N	\N	\N	t	f
1050	211	Tonga	nl	0	2013-05-27 14:59:19.773011+02	\N	Tonga	\N	\N	\N	\N	\N	\N	t	f
1005	232	ウォリス・フツナ	ja	0	2013-05-27 14:57:11.257003+02	\N	ウォリス・フツナ	\N	\N	\N	\N	\N	\N	t	f
1017	54	Cuba	nl	0	2013-05-27 14:57:42.073107+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1187	79	Gambia	es	0	2013-05-27 15:05:13.697926+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1021	37	Cameroon	en	0	2013-05-27 14:57:51.805103+02	\N	Cameroon	\N	\N	\N	\N	\N	\N	t	f
1078	12	Aruba	et	0	2013-05-27 15:00:53.302782+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1031	22	Μπελίζε	el	0	2013-05-27 14:58:23.282252+02	\N	Μπελίζε	\N	\N	\N	\N	\N	\N	t	f
1032	22	Belize	en	0	2013-05-27 14:58:25.478811+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
1095	210	Tokelau	no	0	2013-05-27 15:01:36.569888+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1105	242	Servië en Montenegro	nl	0	2013-05-27 15:01:59.919368+02	\N	Servië en Montenegro	\N	\N	\N	\N	\N	\N	t	f
1206	130	Malediven	de	0	2013-05-27 15:05:58.330939+02	\N	Malediven	\N	\N	\N	\N	\N	\N	t	f
1326	201	Swaziland	no	0	2013-05-27 15:10:37.210277+02	\N	Swaziland	\N	\N	\N	\N	\N	\N	t	f
1119	233	Δυτική Σαχάρα	el	0	2013-05-27 15:02:33.323463+02	\N	Δυτική Σαχάρα	\N	\N	\N	\N	\N	\N	t	f
1124	233	Sahara occidental	fr	0	2013-05-27 15:02:44.36682+02	\N	Sahara occidental	\N	\N	\N	\N	\N	\N	t	f
1379	84	ギリシャ	ja	0	2013-05-27 15:12:43.393103+02	\N	ギリシャ	\N	\N	\N	\N	\N	\N	t	f
1145	203	Sveitsi	fi	0	2013-05-27 15:03:33.305015+02	\N	Sveitsi	\N	\N	\N	\N	\N	\N	t	f
1212	130	Maldives	fr	0	2013-05-27 15:06:12.073618+02	\N	Maldives	\N	\N	\N	\N	\N	\N	t	f
1167	160	Norja	fi	0	2013-05-27 15:04:25.778608+02	\N	Norja	\N	\N	\N	\N	\N	\N	t	f
1220	150	Países Bajos	es	0	2013-05-27 15:06:31.062198+02	\N	Países Bajos	\N	\N	\N	\N	\N	\N	t	f
1510	158	ノーフォーク島	ja	0	2013-05-27 15:18:06.449683+02	\N	ノーフォーク島	\N	\N	\N	\N	\N	\N	t	f
1239	60	Dominikanische Republik	de	0	2013-05-27 15:07:15.679546+02	\N	Dominikanische Republik	\N	\N	\N	\N	\N	\N	t	f
1383	188	Σιγκαπούρη	el	0	2013-05-27 15:12:53.117126+02	\N	Σιγκαπούρη	\N	\N	\N	\N	\N	\N	t	f
1245	60	République dominicaine	fr	0	2013-05-27 15:07:28.974891+02	\N	République dominicaine	\N	\N	\N	\N	\N	\N	t	f
1261	27	Bosnien und Herzegowina	de	0	2013-05-27 15:08:06.533928+02	\N	Bosnien und Herzegowina	\N	\N	\N	\N	\N	\N	t	f
1452	38	Kanada	fi	0	2013-05-27 15:15:40.289675+02	\N	Kanada	\N	\N	\N	\N	\N	\N	t	f
1327	152	Neukaledonien	de	0	2013-05-27 15:10:40.180455+02	\N	Neukaledonien	\N	\N	\N	\N	\N	\N	t	f
1407	97	Hungría	es	0	2013-05-27 15:13:48.456017+02	\N	Hungría	\N	\N	\N	\N	\N	\N	t	f
1351	208	Thailand	en	0	2013-05-27 15:11:36.77725+02	\N	Thailand	\N	\N	\N	\N	\N	\N	t	f
1368	128	マラウイ	ja	0	2013-05-27 15:12:17.860577+02	\N	マラウイ	\N	\N	\N	\N	\N	\N	t	f
1436	247	Montenegro	no	0	2013-05-27 15:14:58.965153+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1441	196	Saint Helena, Ascension ja Tristan da Cunha	fi	0	2013-05-27 15:15:10.709878+02	\N	Saint Helena, Ascension ja Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1453	38	Canada	fr	0	2013-05-27 15:15:42.507383+02	\N	Canada	\N	\N	\N	\N	\N	\N	t	f
1450	38	Canadá	es	0	2013-05-27 15:15:35.792909+02	\N	Canadá	\N	\N	\N	\N	\N	\N	t	f
1608	248	Sør-Georgia og Sør-Sandwichøyene	no	0	2013-05-27 15:22:42.217985+02	\N	Sør-Georgia og Sør-Sandwichøyene	\N	\N	\N	\N	\N	\N	t	f
1485	195	Sri Lanka	fi	0	2013-05-27 15:17:02.627211+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1534	21	Belgia	no	0	2013-05-27 15:19:23.122899+02	\N	Belgia	\N	\N	\N	\N	\N	\N	t	f
1497	87	Guadeloupe	fr	0	2013-05-27 15:17:30.185391+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1566	24	Βερμούδες	el	0	2013-05-27 15:20:50.166356+02	\N	Βερμούδες	\N	\N	\N	\N	\N	\N	t	f
1559	99	Intia	fi	0	2013-05-27 15:20:32.528906+02	\N	Intia	\N	\N	\N	\N	\N	\N	t	f
1620	234	Jemen	de	0	2013-05-27 15:23:12.853325+02	\N	Jemen	\N	\N	\N	\N	\N	\N	t	f
1648	172	Porto Rico	fr	0	2013-05-27 15:24:17.418755+02	\N	Porto Rico	\N	\N	\N	\N	\N	\N	t	f
1686	96	Hongkong	de	0	2013-05-27 15:25:46.533175+02	\N	Hongkong	\N	\N	\N	\N	\N	\N	t	f
1719	55	Republik Zypern	de	0	2013-05-27 15:27:03.105953+02	\N	Republik Zypern	\N	\N	\N	\N	\N	\N	t	f
1740	178	Saint Kitts og Nevis	no	0	2013-05-27 15:27:51.708819+02	\N	Saint Kitts og Nevis	\N	\N	\N	\N	\N	\N	t	f
1742	20	Λευκορωσία	el	0	2013-05-27 15:27:57.32218+02	\N	Λευκορωσία	\N	\N	\N	\N	\N	\N	t	f
1766	86	Granada	es	0	2013-05-27 15:28:52.73901+02	\N	Granada	\N	\N	\N	\N	\N	\N	t	f
1756	57	Taani	et	0	2013-05-27 15:28:29.805693+02	\N	Taani	\N	\N	\N	\N	\N	\N	t	f
1779	156	Nigeria	fi	0	2013-05-27 15:29:23.041066+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1780	156	Nigeria	fr	0	2013-05-27 15:29:25.254135+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
6472	3689	Lac	nl	0	2013-06-05 08:52:19.428359+02	1	Lac	\N	\N	\N	\N	\N	\N	t	f
459	191	Isole Salomone	it	0	2013-05-27 14:34:39.733452+02	\N	Isole Salomone	\N	\N	\N	\N	\N	\N	t	f
501	252	Mansaari	fi	0	2013-05-27 14:36:25.449748+02	\N	Mansaari	\N	\N	\N	\N	\N	\N	t	f
536	90	Guinea	it	0	2013-05-27 14:38:04.757882+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
583	69	Falklandsøyene	no	0	2013-05-27 14:40:21.493504+02	\N	Falklandsøyene	\N	\N	\N	\N	\N	\N	t	f
591	34	Burkina Faso	fr	0	2013-05-27 14:40:39.584068+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
677	206	タジキスタン	ja	0	2013-05-27 14:44:06.9779+02	\N	タジキスタン	\N	\N	\N	\N	\N	\N	t	f
614	193	Südafrika	de	0	2013-05-27 14:41:37.728967+02	\N	Südafrika	\N	\N	\N	\N	\N	\N	t	f
624	193	Sør-Afrika	no	0	2013-05-27 14:42:00.303087+02	\N	Sør-Afrika	\N	\N	\N	\N	\N	\N	t	f
638	18	Bangladesh	en	0	2013-05-27 14:42:35.627739+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
719	91	Guinea-Bissau	et	0	2013-05-27 14:45:45.747364+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
640	18	Bangladesh	et	0	2013-05-27 14:42:40.043771+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
663	52	Norsunluurannikko	fi	0	2013-05-27 14:43:34.179407+02	\N	Norsunluurannikko	\N	\N	\N	\N	\N	\N	t	f
783	67	Eesti	et	0	2013-05-27 14:48:13.771741+02	\N	Eesti	\N	\N	\N	\N	\N	\N	t	f
745	72	フィンランド	ja	0	2013-05-27 14:46:45.753929+02	\N	フィンランド	\N	\N	\N	\N	\N	\N	t	f
754	200	スヴァールバル諸島およびヤンマイエン島	ja	0	2013-05-27 14:47:06.179063+02	\N	スヴァールバル諸島およびヤンマイエン島	\N	\N	\N	\N	\N	\N	t	f
755	200	Spitsbergen en Jan Mayen	nl	0	2013-05-27 14:47:08.416878+02	\N	Spitsbergen en Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
817	148	Nauru	fr	0	2013-05-27 14:49:32.748652+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
911	154	Νικαράγουα	el	0	2013-05-27 14:53:14.4672+02	\N	Νικαράγουα	\N	\N	\N	\N	\N	\N	t	f
826	131	Mali	et	0	2013-05-27 14:49:53.448727+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
860	120	Liberia	fi	0	2013-05-27 14:51:12.234046+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
888	47	Kolumbien	de	0	2013-05-27 14:52:21.100533+02	\N	Kolumbien	\N	\N	\N	\N	\N	\N	t	f
912	154	Nicaragua	en	0	2013-05-27 14:53:16.659864+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
1049	211	トンガ	ja	0	2013-05-27 14:59:17.553319+02	\N	トンガ	\N	\N	\N	\N	\N	\N	t	f
935	260	Sint Maarten	es	0	2013-05-27 14:54:12.864529+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
948	39	Cap-Vert	fr	0	2013-05-27 14:54:44.071974+02	\N	Cap-Vert	\N	\N	\N	\N	\N	\N	t	f
949	39	Capo Verde	it	0	2013-05-27 14:54:46.332823+02	\N	Capo Verde	\N	\N	\N	\N	\N	\N	t	f
1080	12	Aruba	fr	0	2013-05-27 15:00:58.274632+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
950	39	カーボベルデ	ja	0	2013-05-27 14:54:49.691089+02	\N	カーボベルデ	\N	\N	\N	\N	\N	\N	t	f
968	51	Costa Rica	et	0	2013-05-27 14:55:35.092706+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
1188	79	Gambia	et	0	2013-05-27 15:05:15.977677+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
975	25	Bhutan	de	0	2013-05-27 14:55:51.570507+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1106	242	Serbia og Montenegro	no	0	2013-05-27 15:02:02.17191+02	\N	Serbia og Montenegro	\N	\N	\N	\N	\N	\N	t	f
999	232	Wallis and Futuna	en	0	2013-05-27 14:56:52.49946+02	\N	Wallis and Futuna	\N	\N	\N	\N	\N	\N	t	f
1006	232	Wallis en Futuna	nl	0	2013-05-27 14:57:13.501091+02	\N	Wallis en Futuna	\N	\N	\N	\N	\N	\N	t	f
1016	54	キューバ	ja	0	2013-05-27 14:57:39.771119+02	\N	キューバ	\N	\N	\N	\N	\N	\N	t	f
1146	203	Suisse	fr	0	2013-05-27 15:03:35.498856+02	\N	Suisse	\N	\N	\N	\N	\N	\N	t	f
1025	37	Cameroun	fr	0	2013-05-27 14:58:01.771159+02	\N	Cameroun	\N	\N	\N	\N	\N	\N	t	f
1033	22	Belice	es	0	2013-05-27 14:58:31.599887+02	\N	Belice	\N	\N	\N	\N	\N	\N	t	f
1408	97	Ungari	et	0	2013-05-27 15:13:50.657634+02	\N	Ungari	\N	\N	\N	\N	\N	\N	t	f
1148	203	スイス	ja	0	2013-05-27 15:03:39.95556+02	\N	スイス	\N	\N	\N	\N	\N	\N	t	f
1223	150	Pays-Bas	fr	0	2013-05-27 15:06:37.792+02	\N	Pays-Bas	\N	\N	\N	\N	\N	\N	t	f
1152	28	Μποτσουάνα	el	0	2013-05-27 15:03:50.031123+02	\N	Μποτσουάνα	\N	\N	\N	\N	\N	\N	t	f
1262	27	Βοσνία και Ερζεγοβίνη	el	0	2013-05-27 15:08:08.729865+02	\N	Βοσνία και Ερζεγοβίνη	\N	\N	\N	\N	\N	\N	t	f
1619	162	Pakistan	no	0	2013-05-27 15:23:07.519439+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1263	27	Bosnia and Herzegovina	en	0	2013-05-27 15:08:10.92644+02	\N	Bosnia and Herzegovina	\N	\N	\N	\N	\N	\N	t	f
1421	95	Honduras	fr	0	2013-05-27 15:14:21.176877+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1325	201	Swaziland	nl	0	2013-05-27 15:10:34.937568+02	\N	Swaziland	\N	\N	\N	\N	\N	\N	t	f
1563	99	India	nl	0	2013-05-27 15:20:42.802631+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1328	152	Νέα Καληδονία	el	0	2013-05-27 15:10:42.387866+02	\N	Νέα Καληδονία	\N	\N	\N	\N	\N	\N	t	f
1439	196	Santa Elena, Ascensión y Tristán de Acuña	es	0	2013-05-27 15:15:06.260621+02	\N	Santa Elena, Ascensión y Tristán de Acuña	\N	\N	\N	\N	\N	\N	t	f
1354	208	Thaimaa	fi	0	2013-05-27 15:11:43.429653+02	\N	Thaimaa	\N	\N	\N	\N	\N	\N	t	f
1359	208	Thailand	no	0	2013-05-27 15:11:54.736192+02	\N	Thailand	\N	\N	\N	\N	\N	\N	t	f
1386	188	Singapur	et	0	2013-05-27 15:12:59.808892+02	\N	Singapur	\N	\N	\N	\N	\N	\N	t	f
1458	50	Cookinseln	de	0	2013-05-27 15:15:55.063959+02	\N	Cookinseln	\N	\N	\N	\N	\N	\N	t	f
1389	188	Singapore	it	0	2013-05-27 15:13:06.484651+02	\N	Singapore	\N	\N	\N	\N	\N	\N	t	f
1396	146	Birmania	es	0	2013-05-27 15:13:22.88069+02	\N	Birmania	\N	\N	\N	\N	\N	\N	t	f
1487	195	Sri Lanka	it	0	2013-05-27 15:17:07.115563+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1602	248	Lõuna-Georgia ja Lõuna-Sandwichi saared	et	0	2013-05-27 15:22:28.681229+02	\N	Lõuna-Georgia ja Lõuna-Sandwichi saared	\N	\N	\N	\N	\N	\N	t	f
1491	87	Guadeloupe	de	0	2013-05-27 15:17:16.860364+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1511	158	Norfolk	nl	0	2013-05-27 15:18:08.688182+02	\N	Norfolk	\N	\N	\N	\N	\N	\N	t	f
1536	3	Αλγερία	el	0	2013-05-27 15:19:28.437622+02	\N	Αλγερία	\N	\N	\N	\N	\N	\N	t	f
1604	248	Géorgie du Sud-et-les Îles Sandwich du Sud	fr	0	2013-05-27 15:22:33.148484+02	\N	Géorgie du Sud-et-les Îles Sandwich du Sud	\N	\N	\N	\N	\N	\N	t	f
1623	234	Yemen	es	0	2013-05-27 15:23:19.574393+02	\N	Yemen	\N	\N	\N	\N	\N	\N	t	f
1611	162	Pakistan	en	0	2013-05-27 15:22:49.726154+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1704	41	Repubblica Centrafricana	it	0	2013-05-27 15:26:28.068197+02	\N	Repubblica Centrafricana	\N	\N	\N	\N	\N	\N	t	f
1690	96	Hongkong	et	0	2013-05-27 15:25:55.485168+02	\N	Hongkong	\N	\N	\N	\N	\N	\N	t	f
1649	172	Porto Rico	it	0	2013-05-27 15:24:19.648357+02	\N	Porto Rico	\N	\N	\N	\N	\N	\N	t	f
1688	96	Hong Kong	en	0	2013-05-27 15:25:50.946733+02	\N	Hong Kong	\N	\N	\N	\N	\N	\N	t	f
1720	55	Κύπρος	el	0	2013-05-27 15:27:05.335422+02	\N	Κύπρος	\N	\N	\N	\N	\N	\N	t	f
1744	20	Bielorrusia	es	0	2013-05-27 15:28:01.987121+02	\N	Bielorrusia	\N	\N	\N	\N	\N	\N	t	f
1760	57	デンマーク	ja	0	2013-05-27 15:28:38.732274+02	\N	デンマーク	\N	\N	\N	\N	\N	\N	t	f
1768	86	Grenada	fi	0	2013-05-27 15:28:57.147192+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1781	156	Nigeria	it	0	2013-05-27 15:29:27.486359+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1792	100	Indonesia	it	0	2013-05-27 15:29:53.048173+02	\N	Indonesia	\N	\N	\N	\N	\N	\N	t	f
1807	253	Jersey	de	0	2013-05-27 15:30:27.7524+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1821	171	Portugal	es	0	2013-05-27 15:31:00.888006+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1809	253	Jersey	en	0	2013-05-27 15:30:32.181242+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1831	170	Poland	en	0	2013-05-27 15:31:24.308802+02	\N	Poland	\N	\N	\N	\N	\N	\N	t	f
3316	2959	Regione dell'Azarbaijan occidentale	it	0	2013-05-27 19:57:04.784544+02	1	Regione dell'Azarbaijan occidentale	\N	\N	\N	\N	\N	\N	t	f
1847	142	Mongolia	it	0	2013-05-27 15:32:00.887223+02	\N	Mongolia	\N	\N	\N	\N	\N	\N	t	f
1861	169	Pitcairnøyene	no	0	2013-05-27 15:32:35.751721+02	\N	Pitcairnøyene	\N	\N	\N	\N	\N	\N	t	f
461	191	Salomonseilanden	nl	0	2013-05-27 14:34:44.387452+02	\N	Salomonseilanden	\N	\N	\N	\N	\N	\N	t	f
503	252	Isola di Man	it	0	2013-05-27 14:36:29.91792+02	\N	Isola di Man	\N	\N	\N	\N	\N	\N	t	f
537	90	ギニア	ja	0	2013-05-27 14:38:06.974698+02	\N	ギニア	\N	\N	\N	\N	\N	\N	t	f
585	34	Μπουρκίνα Φάσο	el	0	2013-05-27 14:40:26.716733+02	\N	Μπουρκίνα Φάσο	\N	\N	\N	\N	\N	\N	t	f
539	90	Guinea	no	0	2013-05-27 14:38:11.409894+02	\N	Guinea	\N	\N	\N	\N	\N	\N	t	f
541	32	Μπρουνέι	el	0	2013-05-27 14:38:19.570385+02	\N	Μπρουνέι	\N	\N	\N	\N	\N	\N	t	f
586	34	Burkina Faso	en	0	2013-05-27 14:40:28.885609+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
615	193	Νότια Αφρική	el	0	2013-05-27 14:41:39.93147+02	\N	Νότια Αφρική	\N	\N	\N	\N	\N	\N	t	f
643	18	Bangladesh	it	0	2013-05-27 14:42:47.306839+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
694	244	República Democrática Alemana	es	0	2013-05-27 14:44:47.482351+02	\N	República Democrática Alemana	\N	\N	\N	\N	\N	\N	t	f
784	67	Viro	fi	0	2013-05-27 14:48:15.970364+02	\N	Viro	\N	\N	\N	\N	\N	\N	t	f
715	91	Guinea-Bissau	de	0	2013-05-27 14:45:36.835582+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
720	91	Guinea-Bissau	fi	0	2013-05-27 14:45:47.938742+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
737	72	Finnland	de	0	2013-05-27 14:46:27.946527+02	\N	Finnland	\N	\N	\N	\N	\N	\N	t	f
827	131	Mali	fi	0	2013-05-27 14:49:55.668344+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
738	72	Φινλανδία	el	0	2013-05-27 14:46:30.145435+02	\N	Φινλανδία	\N	\N	\N	\N	\N	\N	t	f
748	200	Svalbard and Jan Mayen	en	0	2013-05-27 14:46:52.840662+02	\N	Svalbard and Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
913	154	Nicaragua	es	0	2013-05-27 14:53:18.864853+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
849	216	Turks- ja Caicossaaret	fi	0	2013-05-27 14:50:46.888837+02	\N	Turks- ja Caicossaaret	\N	\N	\N	\N	\N	\N	t	f
862	120	Liberia	it	0	2013-05-27 14:51:16.653529+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
891	47	Colombia	es	0	2013-05-27 14:52:27.97497+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
936	260	Sint Maarten	fi	0	2013-05-27 14:54:15.069387+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
1052	109	Kasachstan	de	0	2013-05-27 14:59:25.306273+02	\N	Kasachstan	\N	\N	\N	\N	\N	\N	t	f
976	25	Μπουτάν	el	0	2013-05-27 14:55:53.769275+02	\N	Μπουτάν	\N	\N	\N	\N	\N	\N	t	f
978	25	Bután	es	0	2013-05-27 14:55:58.193928+02	\N	Bután	\N	\N	\N	\N	\N	\N	t	f
979	25	Bhutan	et	0	2013-05-27 14:56:00.44928+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1082	12	アルバ	ja	0	2013-05-27 15:01:03.625019+02	\N	アルバ	\N	\N	\N	\N	\N	\N	t	f
1001	232	Wallis ja Futuna	et	0	2013-05-27 14:56:59.792862+02	\N	Wallis ja Futuna	\N	\N	\N	\N	\N	\N	t	f
1189	79	Gambia	fi	0	2013-05-27 15:05:18.207696+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1107	58	Dschibuti	de	0	2013-05-27 15:02:05.16055+02	\N	Dschibuti	\N	\N	\N	\N	\N	\N	t	f
1109	58	Djibouti	en	0	2013-05-27 15:02:09.703248+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1150	203	Sveits	no	0	2013-05-27 15:03:44.439126+02	\N	Sveits	\N	\N	\N	\N	\N	\N	t	f
1224	150	Paesi Bassi	it	0	2013-05-27 15:06:40.014018+02	\N	Paesi Bassi	\N	\N	\N	\N	\N	\N	t	f
1447	38	Kanada	de	0	2013-05-27 15:15:25.838184+02	\N	Kanada	\N	\N	\N	\N	\N	\N	t	f
1240	60	Δομινικανή Δημοκρατία	el	0	2013-05-27 15:07:17.879689+02	\N	Δομινικανή Δημοκρατία	\N	\N	\N	\N	\N	\N	t	f
1241	60	Dominican Republic	en	0	2013-05-27 15:07:20.066975+02	\N	Dominican Republic	\N	\N	\N	\N	\N	\N	t	f
1247	60	ドミニカ共和国	ja	0	2013-05-27 15:07:33.438944+02	\N	ドミニカ共和国	\N	\N	\N	\N	\N	\N	t	f
1488	195	スリランカ	ja	0	2013-05-27 15:17:09.389525+02	\N	スリランカ	\N	\N	\N	\N	\N	\N	t	f
1266	27	Bosnia ja Hertsegovina	fi	0	2013-05-27 15:08:17.67674+02	\N	Bosnia ja Hertsegovina	\N	\N	\N	\N	\N	\N	t	f
1290	75	Guyana francese	it	0	2013-05-27 15:09:13.356095+02	\N	Guyana francese	\N	\N	\N	\N	\N	\N	t	f
1775	156	Νιγηρία	el	0	2013-05-27 15:29:14.051126+02	\N	Νιγηρία	\N	\N	\N	\N	\N	\N	t	f
1308	56	República Checa	es	0	2013-05-27 15:09:55.40165+02	\N	República Checa	\N	\N	\N	\N	\N	\N	t	f
1538	3	Argelia	es	0	2013-05-27 15:19:33.289834+02	\N	Argelia	\N	\N	\N	\N	\N	\N	t	f
1320	201	Svaasimaa	et	0	2013-05-27 15:10:23.604744+02	\N	Svaasimaa	\N	\N	\N	\N	\N	\N	t	f
1329	152	New Caledonia	en	0	2013-05-27 15:10:44.581262+02	\N	New Caledonia	\N	\N	\N	\N	\N	\N	t	f
1355	208	Thaïlande	fr	0	2013-05-27 15:11:45.634227+02	\N	Thaïlande	\N	\N	\N	\N	\N	\N	t	f
1569	24	Bermuda	et	0	2013-05-27 15:20:56.701746+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1409	97	Unkari	fi	0	2013-05-27 15:13:52.85131+02	\N	Unkari	\N	\N	\N	\N	\N	\N	t	f
1440	196	Saint Helena	et	0	2013-05-27 15:15:08.463871+02	\N	Saint Helena	\N	\N	\N	\N	\N	\N	t	f
1443	196	Sant'Elena, Ascensione e Tristan da Cunha	it	0	2013-05-27 15:15:15.226596+02	\N	Sant'Elena, Ascensione e Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1571	24	Bermudes	fr	0	2013-05-27 15:21:04.062442+02	\N	Bermudes	\N	\N	\N	\N	\N	\N	t	f
1776	156	Nigeria	en	0	2013-05-27 15:29:16.412543+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1612	162	Pakistán	es	0	2013-05-27 15:22:51.896758+02	\N	Pakistán	\N	\N	\N	\N	\N	\N	t	f
1651	172	Puerto Rico	nl	0	2013-05-27 15:24:24.516522+02	\N	Puerto Rico	\N	\N	\N	\N	\N	\N	t	f
1838	170	Polen	nl	0	2013-05-27 15:31:40.013181+02	\N	Polen	\N	\N	\N	\N	\N	\N	t	f
1689	96	Hong Kong	es	0	2013-05-27 15:25:53.148339+02	\N	Hong Kong	\N	\N	\N	\N	\N	\N	t	f
1793	100	インドネシア	ja	0	2013-05-27 15:29:55.275849+02	\N	インドネシア	\N	\N	\N	\N	\N	\N	t	f
1722	55	Chipre	es	0	2013-05-27 15:27:09.787299+02	\N	Chipre	\N	\N	\N	\N	\N	\N	t	f
1750	20	Wit-Rusland	nl	0	2013-05-27 15:28:15.454796+02	\N	Wit-Rusland	\N	\N	\N	\N	\N	\N	t	f
1774	156	Nigeria	de	0	2013-05-27 15:29:11.599219+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1808	253	Τζέρσεϊ	el	0	2013-05-27 15:30:29.988964+02	\N	Τζέρσεϊ	\N	\N	\N	\N	\N	\N	t	f
1875	49	Republic of the Congo	en	0	2013-05-27 15:33:09.048907+02	\N	Republic of the Congo	\N	\N	\N	\N	\N	\N	t	f
1815	253	ジャージー	ja	0	2013-05-27 15:30:46.343426+02	\N	ジャージー	\N	\N	\N	\N	\N	\N	t	f
1839	170	Polen	no	0	2013-05-27 15:31:42.264869+02	\N	Polen	\N	\N	\N	\N	\N	\N	t	f
1824	171	Portugal	fr	0	2013-05-27 15:31:07.653286+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1864	9	Antigua and Barbuda	en	0	2013-05-27 15:32:43.207584+02	\N	Antigua and Barbuda	\N	\N	\N	\N	\N	\N	t	f
1849	142	Mongolië	nl	0	2013-05-27 15:32:07.850682+02	\N	Mongolië	\N	\N	\N	\N	\N	\N	t	f
1850	142	Mongolia	no	0	2013-05-27 15:32:10.09753+02	\N	Mongolia	\N	\N	\N	\N	\N	\N	t	f
1862	9	Antigua und Barbuda	de	0	2013-05-27 15:32:38.774462+02	\N	Antigua und Barbuda	\N	\N	\N	\N	\N	\N	t	f
1866	9	Antigua ja Barbuda	et	0	2013-05-27 15:32:47.70472+02	\N	Antigua ja Barbuda	\N	\N	\N	\N	\N	\N	t	f
1868	9	Antigua-et-Barbuda	fr	0	2013-05-27 15:32:52.164682+02	\N	Antigua-et-Barbuda	\N	\N	\N	\N	\N	\N	t	f
1879	49	République du Congo	fr	0	2013-05-27 15:33:17.915717+02	\N	République du Congo	\N	\N	\N	\N	\N	\N	t	f
1877	49	Kongo Vabariik	et	0	2013-05-27 15:33:13.478702+02	\N	Kongo Vabariik	\N	\N	\N	\N	\N	\N	t	f
1882	49	Congo-Brazzaville	nl	0	2013-05-27 15:33:24.714593+02	\N	Congo-Brazzaville	\N	\N	\N	\N	\N	\N	t	f
1885	98	Ισλανδία	el	0	2013-05-27 15:33:32.229081+02	\N	Ισλανδία	\N	\N	\N	\N	\N	\N	t	f
1886	98	Iceland	en	0	2013-05-27 15:33:34.428474+02	\N	Iceland	\N	\N	\N	\N	\N	\N	t	f
1887	98	Islandia	es	0	2013-05-27 15:33:36.614894+02	\N	Islandia	\N	\N	\N	\N	\N	\N	t	f
1889	98	Islanti	fi	0	2013-05-27 15:33:41.379522+02	\N	Islanti	\N	\N	\N	\N	\N	\N	t	f
1890	98	Islande	fr	0	2013-05-27 15:33:43.971608+02	\N	Islande	\N	\N	\N	\N	\N	\N	t	f
3717	2529	Arkhangaj	no	0	2013-06-05 06:52:24.793021+02	1	Arkhangaj	\N	\N	\N	\N	\N	\N	t	f
7223	1730	Beylagan Rayon	en	0	2013-06-05 09:24:17.976244+02	1	Beylagan Rayon	\N	\N	\N	\N	\N	\N	t	f
1948	114	Kuwait	no	0	2013-05-27 15:36:04.66285+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
462	191	Salomonøyene	no	0	2013-05-27 14:34:48.15526+02	\N	Salomonøyene	\N	\N	\N	\N	\N	\N	t	f
464	174	Ρεϊνιόν	el	0	2013-05-27 14:34:53.23566+02	\N	Ρεϊνιόν	\N	\N	\N	\N	\N	\N	t	f
465	174	Réunion	en	0	2013-05-27 14:34:55.439225+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
466	174	Reunión	es	0	2013-05-27 14:34:58.024498+02	\N	Reunión	\N	\N	\N	\N	\N	\N	t	f
587	34	Burkina Faso	es	0	2013-05-27 14:40:31.123447+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
467	174	Réunion	et	0	2013-05-27 14:35:00.234513+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
504	252	マン島	ja	0	2013-05-27 14:37:39.64384+02	\N	マンとう	\N	\N	\N	\N	\N	\N	t	f
538	90	Guinee	nl	0	2013-05-27 14:38:09.199106+02	\N	Guinee	\N	\N	\N	\N	\N	\N	t	f
616	193	South Africa	en	0	2013-05-27 14:41:42.139011+02	\N	South Africa	\N	\N	\N	\N	\N	\N	t	f
561	29	Bouvetøya	no	0	2013-05-27 14:39:20.729175+02	\N	Bouvetøya	\N	\N	\N	\N	\N	\N	t	f
644	18	バングラデシュ	ja	0	2013-05-27 14:42:49.5304+02	\N	バングラデシュ	\N	\N	\N	\N	\N	\N	t	f
661	52	Costa de Marfil	es	0	2013-05-27 14:43:29.663748+02	\N	Costa de Marfil	\N	\N	\N	\N	\N	\N	t	f
714	17	Bahrain	no	0	2013-05-27 14:45:33.869648+02	\N	Bahrain	\N	\N	\N	\N	\N	\N	t	f
786	67	Estonia	it	0	2013-05-27 14:48:20.52978+02	\N	Estonia	\N	\N	\N	\N	\N	\N	t	f
721	91	Guinée-Bissau	fr	0	2013-05-27 14:45:50.148113+02	\N	Guinée-Bissau	\N	\N	\N	\N	\N	\N	t	f
4150	3466	Επαρχία Ανταναναρίβο	el	0	2013-06-05 07:11:28.345208+02	1	Επαρχία Ανταναναρίβο	\N	\N	\N	\N	\N	\N	t	f
749	200	Svalbard y Jan Mayen	es	0	2013-05-27 14:46:55.038766+02	\N	Svalbard y Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
751	200	Svalbard ja Jan Mayen	fi	0	2013-05-27 14:46:59.516476+02	\N	Svalbard ja Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
753	200	Svalbard e Jan Mayen	it	0	2013-05-27 14:47:03.967567+02	\N	Svalbard e Jan Mayen	\N	\N	\N	\N	\N	\N	t	f
914	154	Nicaragua	et	0	2013-05-27 14:53:21.081912+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
859	120	Libeeria	et	0	2013-05-27 14:51:10.022851+02	\N	Libeeria	\N	\N	\N	\N	\N	\N	t	f
863	120	リベリア	ja	0	2013-05-27 14:51:18.947419+02	\N	リベリア	\N	\N	\N	\N	\N	\N	t	f
868	76	French Polynesia	en	0	2013-05-27 14:51:30.877537+02	\N	French Polynesia	\N	\N	\N	\N	\N	\N	t	f
916	154	Nicaragua	fr	0	2013-05-27 14:53:25.616969+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
893	47	Kolumbia	fi	0	2013-05-27 14:52:32.421009+02	\N	Kolumbia	\N	\N	\N	\N	\N	\N	t	f
1053	109	Καζακστάν	el	0	2013-05-27 14:59:31.446948+02	\N	Καζακστάν	\N	\N	\N	\N	\N	\N	t	f
938	260	Sint Maarten	it	0	2013-05-27 14:54:19.668813+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
940	260	Sint Maarten	nl	0	2013-05-27 14:54:24.159473+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
1356	208	Thailandia	it	0	2013-05-27 15:11:47.857755+02	\N	Thailandia	\N	\N	\N	\N	\N	\N	t	f
964	51	Costa Rica	de	0	2013-05-27 14:55:22.976739+02	\N	Costa Rica	\N	\N	\N	\N	\N	\N	t	f
1083	12	Aruba	nl	0	2013-05-27 15:01:06.825495+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
977	25	Bhutan	en	0	2013-05-27 14:55:55.986596+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1003	232	Wallis-et-Futuna	fr	0	2013-05-27 14:57:06.734936+02	\N	Wallis-et-Futuna	\N	\N	\N	\N	\N	\N	t	f
1191	79	Gambia	it	0	2013-05-27 15:05:22.706192+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1091	210	Tokelau	fr	0	2013-05-27 15:01:27.588702+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1108	58	Τζιμπουτί	el	0	2013-05-27 15:02:07.508112+02	\N	Τζιμπουτί	\N	\N	\N	\N	\N	\N	t	f
1114	58	Gibuti	it	0	2013-05-27 15:02:20.983287+02	\N	Gibuti	\N	\N	\N	\N	\N	\N	t	f
1207	130	Μαλδίβες	el	0	2013-05-27 15:06:00.508643+02	\N	Μαλδίβες	\N	\N	\N	\N	\N	\N	t	f
1151	28	Botswana	de	0	2013-05-27 15:03:47.691117+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1153	28	Botswana	en	0	2013-05-27 15:03:52.230495+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1444	196	セントヘレナ・アセンションおよびトリスタンダクーニャ	ja	0	2013-05-27 15:15:17.903242+02	\N	セントヘレナ・アセンションおよびトリスタンダクーニャ	\N	\N	\N	\N	\N	\N	t	f
1214	130	モルディブ	ja	0	2013-05-27 15:06:16.502147+02	\N	モルディブ	\N	\N	\N	\N	\N	\N	t	f
1364	128	Malawi	et	0	2013-05-27 15:12:06.507194+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1227	150	Nederland	no	0	2013-05-27 15:06:47.020436+02	\N	Nederland	\N	\N	\N	\N	\N	\N	t	f
1228	190	Slowenien	de	0	2013-05-27 15:06:50.142509+02	\N	Slowenien	\N	\N	\N	\N	\N	\N	t	f
1229	190	Σλοβενία	el	0	2013-05-27 15:06:52.373617+02	\N	Σλοβενία	\N	\N	\N	\N	\N	\N	t	f
1390	188	シンガポール	ja	0	2013-05-27 15:13:08.723345+02	\N	シンガポール	\N	\N	\N	\N	\N	\N	t	f
1235	190	Slovenia	it	0	2013-05-27 15:07:05.721378+02	\N	Slovenia	\N	\N	\N	\N	\N	\N	t	f
1269	27	ボスニア・ヘルツェゴビナ	ja	0	2013-05-27 15:08:24.347658+02	\N	ボスニア・ヘルツェゴビナ	\N	\N	\N	\N	\N	\N	t	f
1270	27	Bosnië en Herzegovina	nl	0	2013-05-27 15:08:26.654504+02	\N	Bosnië en Herzegovina	\N	\N	\N	\N	\N	\N	t	f
1392	188	Singapore	no	0	2013-05-27 15:13:13.198529+02	\N	Singapore	\N	\N	\N	\N	\N	\N	t	f
1315	56	Tsjekkia	no	0	2013-05-27 15:10:11.632366+02	\N	Tsjekkia	\N	\N	\N	\N	\N	\N	t	f
1330	152	Nueva Caledonia	es	0	2013-05-27 15:10:46.791901+02	\N	Nueva Caledonia	\N	\N	\N	\N	\N	\N	t	f
1461	50	Islas Cook	es	0	2013-05-27 15:16:01.722701+02	\N	Islas Cook	\N	\N	\N	\N	\N	\N	t	f
1334	152	Nuova Caledonia	it	0	2013-05-27 15:10:55.91644+02	\N	Nuova Caledonia	\N	\N	\N	\N	\N	\N	t	f
1400	146	Birmania	it	0	2013-05-27 15:13:31.993494+02	\N	Birmania	\N	\N	\N	\N	\N	\N	t	f
1410	97	Hongrie	fr	0	2013-05-27 15:13:55.061651+02	\N	Hongrie	\N	\N	\N	\N	\N	\N	t	f
1489	195	Sri Lanka	nl	0	2013-05-27 15:17:11.65674+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1414	97	Ungarn	no	0	2013-05-27 15:14:04.583281+02	\N	Ungarn	\N	\N	\N	\N	\N	\N	t	f
1426	247	Montenegro	de	0	2013-05-27 15:14:33.529767+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1541	3	Algérie	fr	0	2013-05-27 15:19:39.973263+02	\N	Algérie	\N	\N	\N	\N	\N	\N	t	f
1500	87	Guadeloupe	nl	0	2013-05-27 15:17:40.43908+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1615	162	Pakistan	fr	0	2013-05-27 15:22:58.486684+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1526	21	Belgium	en	0	2013-05-27 15:18:57.637081+02	\N	Belgium	\N	\N	\N	\N	\N	\N	t	f
1553	258	Karibisk Nederland	no	0	2013-05-27 15:20:15.326471+02	\N	Karibisk Nederland	\N	\N	\N	\N	\N	\N	t	f
1572	24	Bermuda	it	0	2013-05-27 15:21:06.386123+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1587	218	Uganda	de	0	2013-05-27 15:21:51.126351+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1653	5	Andorra	de	0	2013-05-27 15:24:29.987877+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1747	20	Biélorussie	fr	0	2013-05-27 15:28:08.714357+02	\N	Biélorussie	\N	\N	\N	\N	\N	\N	t	f
1692	96	Hong Kong	fr	0	2013-05-27 15:25:59.892825+02	\N	Hong Kong	\N	\N	\N	\N	\N	\N	t	f
1723	55	Küpros	et	0	2013-05-27 15:27:12.292164+02	\N	Küpros	\N	\N	\N	\N	\N	\N	t	f
1751	20	Hviterussland	no	0	2013-05-27 15:28:17.680898+02	\N	Hviterussland	\N	\N	\N	\N	\N	\N	t	f
1783	156	Nigeria	nl	0	2013-05-27 15:29:32.078548+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1785	100	Indonesien	de	0	2013-05-27 15:29:37.480667+02	\N	Indonesien	\N	\N	\N	\N	\N	\N	t	f
1794	100	Indonesië	nl	0	2013-05-27 15:29:57.519761+02	\N	Indonesië	\N	\N	\N	\N	\N	\N	t	f
1810	253	Jersey	es	0	2013-05-27 15:30:34.370365+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1819	171	Πορτογαλία	el	0	2013-05-27 15:30:56.462892+02	\N	Πορτογαλία	\N	\N	\N	\N	\N	\N	t	f
1822	171	Portugal	et	0	2013-05-27 15:31:03.134429+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1826	171	ポルトガル	ja	0	2013-05-27 15:31:12.089951+02	\N	ポルトガル	\N	\N	\N	\N	\N	\N	t	f
3317	2959	西アーザルバーイジャーン州	ja	0	2013-05-27 19:57:10.289938+02	1	西アーザルバーイジャーン州	\N	\N	\N	\N	\N	\N	t	f
1851	169	Pitcairninseln	de	0	2013-05-27 15:32:13.087719+02	\N	Pitcairninseln	\N	\N	\N	\N	\N	\N	t	f
468	174	Réunion	fi	0	2013-05-27 14:35:02.442438+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
469	174	La Réunion	fr	0	2013-05-27 14:35:04.676715+02	\N	La Réunion	\N	\N	\N	\N	\N	\N	t	f
473	174	Réunion	no	0	2013-05-27 14:35:14.017292+02	\N	Réunion	\N	\N	\N	\N	\N	\N	t	f
505	252	Man	nl	0	2013-05-27 14:36:34.488692+02	\N	Man	\N	\N	\N	\N	\N	\N	t	f
514	63	Egitto	it	0	2013-05-27 14:37:04.418869+02	\N	Egitto	\N	\N	\N	\N	\N	\N	t	f
588	34	Burkina Faso	et	0	2013-05-27 14:40:33.328477+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
540	32	Brunei	de	0	2013-05-27 14:38:16.853951+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
557	29	île Bouvet	fr	0	2013-05-27 14:39:06.749736+02	\N	île Bouvet	\N	\N	\N	\N	\N	\N	t	f
617	193	Sudáfrica	es	0	2013-05-27 14:41:44.494732+02	\N	Sudáfrica	\N	\N	\N	\N	\N	\N	t	f
645	18	Bangladesh	nl	0	2013-05-27 14:42:51.816864+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
722	91	Guinea-Bissau	it	0	2013-05-27 14:45:52.37549+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
790	19	Barbados	de	0	2013-05-27 14:48:30.247825+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
728	123	Lithuania	en	0	2013-05-27 14:46:06.777828+02	\N	Lithuania	\N	\N	\N	\N	\N	\N	t	f
759	135	Mauritania	en	0	2013-05-27 14:47:18.070465+02	\N	Mauritania	\N	\N	\N	\N	\N	\N	t	f
761	135	Mauritaania	et	0	2013-05-27 14:47:22.558651+02	\N	Mauritaania	\N	\N	\N	\N	\N	\N	t	f
796	19	Barbade	fr	0	2013-05-27 14:48:43.534146+02	\N	Barbade	\N	\N	\N	\N	\N	\N	t	f
767	135	Mauritania	no	0	2013-05-27 14:47:36.013557+02	\N	Mauritania	\N	\N	\N	\N	\N	\N	t	f
915	154	Nicaragua	fi	0	2013-05-27 14:53:23.316914+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
831	131	Mali	nl	0	2013-05-27 14:50:04.585636+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
852	216	タークス・カイコス諸島	ja	0	2013-05-27 14:50:53.591125+02	\N	タークス・カイコス諸島	\N	\N	\N	\N	\N	\N	t	f
941	260	Sint Maarten	no	0	2013-05-27 14:54:26.402178+02	\N	Sint Maarten	\N	\N	\N	\N	\N	\N	t	f
861	120	Liberia	fr	0	2013-05-27 14:51:14.433801+02	\N	Liberia	\N	\N	\N	\N	\N	\N	t	f
870	76	Prantsuse Polüneesia	et	0	2013-05-27 14:51:35.333742+02	\N	Prantsuse Polüneesia	\N	\N	\N	\N	\N	\N	t	f
1054	109	Kazakhstan	en	0	2013-05-27 14:59:33.763255+02	\N	Kazakhstan	\N	\N	\N	\N	\N	\N	t	f
894	47	Colombie	fr	0	2013-05-27 14:52:34.610047+02	\N	Colombie	\N	\N	\N	\N	\N	\N	t	f
959	166	Paraguay	fr	0	2013-05-27 14:55:10.99818+02	\N	Paraguay	\N	\N	\N	\N	\N	\N	t	f
980	25	Bhutan	fi	0	2013-05-27 14:56:04.188075+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1855	169	Pitcairn	et	0	2013-05-27 15:32:22.288873+02	\N	Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1004	232	Wallis e Futuna	it	0	2013-05-27 14:57:08.971126+02	\N	Wallis e Futuna	\N	\N	\N	\N	\N	\N	t	f
1064	259	Κουρασάο	el	0	2013-05-27 15:00:02.633656+02	\N	Κουρασάο	\N	\N	\N	\N	\N	\N	t	f
1023	37	Kamerun	et	0	2013-05-27 14:57:57.36245+02	\N	Kamerun	\N	\N	\N	\N	\N	\N	t	f
1192	79	ガンビア	ja	0	2013-05-27 15:05:24.913028+02	\N	ガンビア	\N	\N	\N	\N	\N	\N	t	f
1084	12	Aruba	no	0	2013-05-27 15:01:09.062217+02	\N	Aruba	\N	\N	\N	\N	\N	\N	t	f
1110	58	Yibuti	es	0	2013-05-27 15:02:11.896403+02	\N	Yibuti	\N	\N	\N	\N	\N	\N	t	f
1522	179	Saint Lucia	nl	0	2013-05-27 15:18:43.35042+02	\N	Saint Lucia	\N	\N	\N	\N	\N	\N	t	f
1123	233	Länsi-Sahara	fi	0	2013-05-27 15:02:42.110544+02	\N	Länsi-Sahara	\N	\N	\N	\N	\N	\N	t	f
1204	127	Madagaskar	nl	0	2013-05-27 15:05:52.940862+02	\N	Madagaskar	\N	\N	\N	\N	\N	\N	t	f
1128	233	Vest-Sahara	no	0	2013-05-27 15:02:53.333124+02	\N	Vest-Sahara	\N	\N	\N	\N	\N	\N	t	f
1137	82	ガーナ	ja	0	2013-05-27 15:03:14.247529+02	\N	ガーナ	\N	\N	\N	\N	\N	\N	t	f
1157	28	Botswana	fr	0	2013-05-27 15:04:01.706385+02	\N	Botswana	\N	\N	\N	\N	\N	\N	t	f
1231	190	Eslovenia	es	0	2013-05-27 15:06:56.92206+02	\N	Eslovenia	\N	\N	\N	\N	\N	\N	t	f
1162	160	Norwegen	de	0	2013-05-27 15:04:13.966608+02	\N	Norwegen	\N	\N	\N	\N	\N	\N	t	f
1166	160	Norra	et	0	2013-05-27 15:04:23.297252+02	\N	Norra	\N	\N	\N	\N	\N	\N	t	f
1725	55	Chypre	fr	0	2013-05-27 15:27:16.766723+02	\N	Chypre	\N	\N	\N	\N	\N	\N	t	f
1271	27	Bosnia-Hercegovina	no	0	2013-05-27 15:08:28.971071+02	\N	Bosnia-Hercegovina	\N	\N	\N	\N	\N	\N	t	f
1542	3	Algeria	it	0	2013-05-27 15:19:42.233755+02	\N	Algeria	\N	\N	\N	\N	\N	\N	t	f
1331	152	Uus-Kaledoonia	et	0	2013-05-27 15:10:48.990056+02	\N	Uus-Kaledoonia	\N	\N	\N	\N	\N	\N	t	f
1357	208	タイ王国	ja	0	2013-05-27 15:11:50.100244+02	\N	タイ王国	\N	\N	\N	\N	\N	\N	t	f
1391	188	Singapore	nl	0	2013-05-27 15:13:10.952404+02	\N	Singapore	\N	\N	\N	\N	\N	\N	t	f
1564	99	India	no	0	2013-05-27 15:20:45.066389+02	\N	India	\N	\N	\N	\N	\N	\N	t	f
1411	97	Ungheria	it	0	2013-05-27 15:13:57.364908+02	\N	Ungheria	\N	\N	\N	\N	\N	\N	t	f
1418	95	Honduras	es	0	2013-05-27 15:14:14.564219+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1801	144	Marokko	fi	0	2013-05-27 15:30:13.777658+02	\N	Marokko	\N	\N	\N	\N	\N	\N	t	f
1446	196	St. Helena, Ascension og Tristan da Cunha	no	0	2013-05-27 15:15:22.44647+02	\N	St. Helena, Ascension og Tristan da Cunha	\N	\N	\N	\N	\N	\N	t	f
1575	24	Bermuda	no	0	2013-05-27 15:21:13.13578+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1465	50	Isole Cook	it	0	2013-05-27 15:16:13.907935+02	\N	Isole Cook	\N	\N	\N	\N	\N	\N	t	f
1490	195	Sri Lanka	no	0	2013-05-27 15:17:13.987147+02	\N	Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
1752	57	Dänemark	de	0	2013-05-27 15:28:20.889719+02	\N	Dänemark	\N	\N	\N	\N	\N	\N	t	f
1590	218	Uganda	es	0	2013-05-27 15:21:57.919149+02	\N	Uganda	\N	\N	\N	\N	\N	\N	t	f
1618	162	Pakistan	nl	0	2013-05-27 15:23:05.298256+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1654	5	Ανδόρρα	el	0	2013-05-27 15:24:32.1823+02	\N	Ανδόρρα	\N	\N	\N	\N	\N	\N	t	f
1763	86	Grenada	de	0	2013-05-27 15:28:46.065925+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1657	5	Andorra	et	0	2013-05-27 15:24:38.776228+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1693	96	Hong Kong	it	0	2013-05-27 15:26:02.144426+02	\N	Hong Kong	\N	\N	\N	\N	\N	\N	t	f
1836	170	Polonia	it	0	2013-05-27 15:31:35.455643+02	\N	Polonia	\N	\N	\N	\N	\N	\N	t	f
1769	86	Grenade	fr	0	2013-05-27 15:28:59.552073+02	\N	Grenade	\N	\N	\N	\N	\N	\N	t	f
1811	253	Jersey	et	0	2013-05-27 15:30:36.597866+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1784	156	Nigeria	no	0	2013-05-27 15:29:34.352631+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1795	100	Indonesia	no	0	2013-05-27 15:29:59.731299+02	\N	Indonesia	\N	\N	\N	\N	\N	\N	t	f
1828	171	Portugal	no	0	2013-05-27 15:31:16.609354+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1835	170	Pologne	fr	0	2013-05-27 15:31:33.23506+02	\N	Pologne	\N	\N	\N	\N	\N	\N	t	f
1854	169	Islas Pitcairn	es	0	2013-05-27 15:32:20.088476+02	\N	Islas Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1863	9	Αντίγκουα και Μπαρμπούντα	el	0	2013-05-27 15:32:40.985256+02	\N	Αντίγκουα και Μπαρμπούντα	\N	\N	\N	\N	\N	\N	t	f
1856	169	Pitcairn	fi	0	2013-05-27 15:32:24.501867+02	\N	Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1867	9	Antigua ja Barbuda	fi	0	2013-05-27 15:32:49.922818+02	\N	Antigua ja Barbuda	\N	\N	\N	\N	\N	\N	t	f
1869	9	Antigua e Barbuda	it	0	2013-05-27 15:32:54.395923+02	\N	Antigua e Barbuda	\N	\N	\N	\N	\N	\N	t	f
1876	49	República del Congo	es	0	2013-05-27 15:33:11.272754+02	\N	República del Congo	\N	\N	\N	\N	\N	\N	t	f
1880	49	Repubblica del Congo	it	0	2013-05-27 15:33:20.139835+02	\N	Repubblica del Congo	\N	\N	\N	\N	\N	\N	t	f
1881	49	コンゴ共和国	ja	0	2013-05-27 15:33:22.369191+02	\N	コンゴ共和国	\N	\N	\N	\N	\N	\N	t	f
1883	49	Republikken Kongo	no	0	2013-05-27 15:33:26.945494+02	\N	Republikken Kongo	\N	\N	\N	\N	\N	\N	t	f
5212	1029	provincia del Carchi	it	0	2013-06-05 07:57:21.277203+02	1	provincia del Carchi	\N	\N	\N	\N	\N	\N	t	f
1888	98	Island	et	0	2013-05-27 15:33:38.900324+02	\N	Island	\N	\N	\N	\N	\N	\N	t	f
506	252	Man	no	0	2013-05-27 14:36:36.753167+02	\N	Man	\N	\N	\N	\N	\N	\N	t	f
542	32	Brunei	en	0	2013-05-27 14:38:21.780501+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
589	34	Burkina Faso	fi	0	2013-05-27 14:40:35.531798+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
551	29	Bouvetinsel	de	0	2013-05-27 14:38:48.319645+02	\N	Bouvetinsel	\N	\N	\N	\N	\N	\N	t	f
560	29	Bouvet	nl	0	2013-05-27 14:39:18.475576+02	\N	Bouvet	\N	\N	\N	\N	\N	\N	t	f
562	175	Rumänien	de	0	2013-05-27 14:39:23.824163+02	\N	Rumänien	\N	\N	\N	\N	\N	\N	t	f
618	193	Lõuna-Aafrika Vabariik	et	0	2013-05-27 14:41:46.981552+02	\N	Lõuna-Aafrika Vabariik	\N	\N	\N	\N	\N	\N	t	f
623	193	Zuid-Afrika	nl	0	2013-05-27 14:41:58.05561+02	\N	Zuid-Afrika	\N	\N	\N	\N	\N	\N	t	f
646	18	Bangladesh	no	0	2013-05-27 14:42:54.092754+02	\N	Bangladesh	\N	\N	\N	\N	\N	\N	t	f
648	83	Γιβραλτάρ	el	0	2013-05-27 14:42:59.182425+02	\N	Γιβραλτάρ	\N	\N	\N	\N	\N	\N	t	f
792	19	Barbados	en	0	2013-05-27 14:48:34.744124+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
709	17	Bahrain	fi	0	2013-05-27 14:45:22.673318+02	\N	Bahrain	\N	\N	\N	\N	\N	\N	t	f
723	91	ギニアビサウ	ja	0	2013-05-27 14:45:54.622315+02	\N	ギニアビサウ	\N	\N	\N	\N	\N	\N	t	f
727	123	Λιθουανία	el	0	2013-05-27 14:46:04.561085+02	\N	Λιθουανία	\N	\N	\N	\N	\N	\N	t	f
832	131	Mali	no	0	2013-05-27 14:50:06.902425+02	\N	Mali	\N	\N	\N	\N	\N	\N	t	f
764	135	Mauritania	it	0	2013-05-27 14:47:29.274652+02	\N	Mauritania	\N	\N	\N	\N	\N	\N	t	f
917	154	Nicaragua	it	0	2013-05-27 14:53:27.838724+02	\N	Nicaragua	\N	\N	\N	\N	\N	\N	t	f
871	76	Ranskan Polynesia	fi	0	2013-05-27 14:51:37.572713+02	\N	Ranskan Polynesia	\N	\N	\N	\N	\N	\N	t	f
895	47	Colombia	it	0	2013-05-27 14:52:36.941768+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
943	39	Πράσινο Ακρωτήριο	el	0	2013-05-27 14:54:31.855671+02	\N	Πράσινο Ακρωτήριο	\N	\N	\N	\N	\N	\N	t	f
1055	109	Kazajistán	es	0	2013-05-27 14:59:35.962512+02	\N	Kazajistán	\N	\N	\N	\N	\N	\N	t	f
981	25	Bhoutan	fr	0	2013-05-27 14:56:06.379118+02	\N	Bhoutan	\N	\N	\N	\N	\N	\N	t	f
1007	232	Wallis- og Futunaøyene	no	0	2013-05-27 14:57:15.7479+02	\N	Wallis- og Futunaøyene	\N	\N	\N	\N	\N	\N	t	f
1543	3	アルジェリア	ja	0	2013-05-27 15:19:44.574875+02	\N	アルジェリア	\N	\N	\N	\N	\N	\N	t	f
1034	22	Belize	et	0	2013-05-27 14:58:33.815429+02	\N	Belize	\N	\N	\N	\N	\N	\N	t	f
1061	109	Kazachstan	nl	0	2013-05-27 14:59:50.906051+02	\N	Kazachstan	\N	\N	\N	\N	\N	\N	t	f
1193	79	Gambia	nl	0	2013-05-27 15:05:27.137254+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1067	259	Curaçao	et	0	2013-05-27 15:00:12.277502+02	\N	Curaçao	\N	\N	\N	\N	\N	\N	t	f
1089	210	Tokelau	et	0	2013-05-27 15:01:23.050995+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1116	58	Djibouti	nl	0	2013-05-27 15:02:25.460843+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1232	190	Sloveenia	et	0	2013-05-27 15:06:59.106822+02	\N	Sloveenia	\N	\N	\N	\N	\N	\N	t	f
1120	233	Western Sahara	en	0	2013-05-27 15:02:35.512615+02	\N	Western Sahara	\N	\N	\N	\N	\N	\N	t	f
1134	82	Ghana	fi	0	2013-05-27 15:03:07.650275+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1703	41	République centrafricaine	fr	0	2013-05-27 15:26:25.804569+02	\N	République centrafricaine	\N	\N	\N	\N	\N	\N	t	f
1139	82	Ghana	no	0	2013-05-27 15:03:18.933378+02	\N	Ghana	\N	\N	\N	\N	\N	\N	t	f
1272	194	Spanien	de	0	2013-05-27 15:08:32.214117+02	\N	Spanien	\N	\N	\N	\N	\N	\N	t	f
1144	203	Šveits	et	0	2013-05-27 15:03:31.113753+02	\N	Šveits	\N	\N	\N	\N	\N	\N	t	f
1159	28	ボツワナ	ja	0	2013-05-27 15:04:06.187402+02	\N	ボツワナ	\N	\N	\N	\N	\N	\N	t	f
1568	24	Bermudas	es	0	2013-05-27 15:20:54.537876+02	\N	Bermudas	\N	\N	\N	\N	\N	\N	t	f
1168	160	Norvège	fr	0	2013-05-27 15:04:28.028421+02	\N	Norvège	\N	\N	\N	\N	\N	\N	t	f
1293	75	Fransk Guyana	no	0	2013-05-27 15:09:20.207295+02	\N	Fransk Guyana	\N	\N	\N	\N	\N	\N	t	f
1332	152	Uusi-Kaledonia	fi	0	2013-05-27 15:10:51.465031+02	\N	Uusi-Kaledonia	\N	\N	\N	\N	\N	\N	t	f
1337	152	Ny-Caledonia	no	0	2013-05-27 15:11:02.605001+02	\N	Ny-Caledonia	\N	\N	\N	\N	\N	\N	t	f
1573	24	バミューダ諸島	ja	0	2013-05-27 15:21:08.621945+02	\N	バミューダ諸島	\N	\N	\N	\N	\N	\N	t	f
1360	128	Malawi	de	0	2013-05-27 15:11:57.622154+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1376	84	Kreikka	fi	0	2013-05-27 15:12:36.73116+02	\N	Kreikka	\N	\N	\N	\N	\N	\N	t	f
1786	100	Ινδονησία	el	0	2013-05-27 15:29:39.681725+02	\N	Ινδονησία	\N	\N	\N	\N	\N	\N	t	f
1412	97	ハンガリー	ja	0	2013-05-27 15:13:59.668213+02	\N	ハンガリー	\N	\N	\N	\N	\N	\N	t	f
1576	23	Benin	de	0	2013-05-27 15:21:16.451496+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1430	247	Montenegro	et	0	2013-05-27 15:14:42.418198+02	\N	Montenegro	\N	\N	\N	\N	\N	\N	t	f
1451	38	Kanada	et	0	2013-05-27 15:15:38.026858+02	\N	Kanada	\N	\N	\N	\N	\N	\N	t	f
1707	41	Den sentralafrikanske republikk	no	0	2013-05-27 15:26:34.816311+02	\N	Den sentralafrikanske republikk	\N	\N	\N	\N	\N	\N	t	f
1463	50	Cookinsaaret	fi	0	2013-05-27 15:16:06.138259+02	\N	Cookinsaaret	\N	\N	\N	\N	\N	\N	t	f
1613	162	Pakistan	et	0	2013-05-27 15:22:54.095699+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1493	87	Guadeloupe	en	0	2013-05-27 15:17:21.285151+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1531	21	Belgio	it	0	2013-05-27 15:19:13.4401+02	\N	Belgio	\N	\N	\N	\N	\N	\N	t	f
1622	234	Yemen	en	0	2013-05-27 15:23:17.39578+02	\N	Yemen	\N	\N	\N	\N	\N	\N	t	f
1727	55	キプロス	ja	0	2013-05-27 15:27:21.353474+02	\N	キプロス	\N	\N	\N	\N	\N	\N	t	f
1656	5	Andorra	es	0	2013-05-27 15:24:36.568051+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1683	33	ブルガリア	ja	0	2013-05-27 15:25:38.787183+02	\N	ブルガリア	\N	\N	\N	\N	\N	\N	t	f
1820	171	Portugal	en	0	2013-05-27 15:30:58.671139+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1695	96	Hongkong	nl	0	2013-05-27 15:26:06.638258+02	\N	Hongkong	\N	\N	\N	\N	\N	\N	t	f
1798	144	Morocco	en	0	2013-05-27 15:30:07.192917+02	\N	Morocco	\N	\N	\N	\N	\N	\N	t	f
1753	57	Δανία	el	0	2013-05-27 15:28:23.182866+02	\N	Δανία	\N	\N	\N	\N	\N	\N	t	f
1777	156	Nigeria	es	0	2013-05-27 15:29:18.613135+02	\N	Nigeria	\N	\N	\N	\N	\N	\N	t	f
1799	144	Marruecos	es	0	2013-05-27 15:30:09.381039+02	\N	Marruecos	\N	\N	\N	\N	\N	\N	t	f
1825	171	Portogallo	it	0	2013-05-27 15:31:09.861408+02	\N	Portogallo	\N	\N	\N	\N	\N	\N	t	f
1812	253	Jersey	fi	0	2013-05-27 15:30:38.809106+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1842	142	Mongolia	en	0	2013-05-27 15:31:49.819599+02	\N	Mongolia	\N	\N	\N	\N	\N	\N	t	f
1837	170	ポーランド	ja	0	2013-05-27 15:31:37.740718+02	\N	ポーランド	\N	\N	\N	\N	\N	\N	t	f
1857	169	Îles Pitcairn	fr	0	2013-05-27 15:32:26.732491+02	\N	Îles Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1859	169	ピトケアン諸島	ja	0	2013-05-27 15:32:31.254001+02	\N	ピトケアン諸島	\N	\N	\N	\N	\N	\N	t	f
1865	9	Antigua y Barbuda	es	0	2013-05-27 15:32:45.47733+02	\N	Antigua y Barbuda	\N	\N	\N	\N	\N	\N	t	f
1870	9	アンティグア・バーブーダ	ja	0	2013-05-27 15:32:56.735947+02	\N	アンティグア・バーブーダ	\N	\N	\N	\N	\N	\N	t	f
1871	9	Antigua en Barbuda	nl	0	2013-05-27 15:32:58.99119+02	\N	Antigua en Barbuda	\N	\N	\N	\N	\N	\N	t	f
1872	9	Antigua og Barbuda	no	0	2013-05-27 15:33:01.557289+02	\N	Antigua og Barbuda	\N	\N	\N	\N	\N	\N	t	f
1873	49	Republik Kongo	de	0	2013-05-27 15:33:04.58113+02	\N	Republik Kongo	\N	\N	\N	\N	\N	\N	t	f
3718	3063	Provinz Riad	de	0	2013-06-05 06:52:27.609729+02	1	Provinz Riad	\N	\N	\N	\N	\N	\N	t	f
1874	49	Δημοκρατία του Κονγκό	el	0	2013-05-27 15:33:06.766163+02	\N	Δημοκρατία του Κονγκό	\N	\N	\N	\N	\N	\N	t	f
1878	49	Kongon tasavalta	fi	0	2013-05-27 15:33:15.684099+02	\N	Kongon tasavalta	\N	\N	\N	\N	\N	\N	t	f
3574	1837	Korsika	et	0	2013-06-05 06:46:16.761092+02	1	Korsika	\N	\N	\N	\N	\N	\N	t	f
507	63	Ägypten	de	0	2013-05-27 14:36:42.279988+02	\N	Ägypten	\N	\N	\N	\N	\N	\N	t	f
519	42	Τσαντ	el	0	2013-05-27 14:37:16.743918+02	\N	Τσαντ	\N	\N	\N	\N	\N	\N	t	f
590	244	DDR	\N	0	2013-05-27 14:40:35.879636+02	\N	DDR	\N	\N	\N	\N	\N	\N	f	f
543	32	Brunéi	es	0	2013-05-27 14:38:24.015401+02	\N	Brunéi	\N	\N	\N	\N	\N	\N	t	f
619	193	Etelä-Afrikka	fi	0	2013-05-27 14:41:49.162751+02	\N	Etelä-Afrikka	\N	\N	\N	\N	\N	\N	t	f
627	251	Guernsey	en	0	2013-05-27 14:42:07.614578+02	\N	Guernsey	\N	\N	\N	\N	\N	\N	t	f
636	18	Bangladesch	de	0	2013-05-27 14:42:31.26073+02	\N	Bangladesch	\N	\N	\N	\N	\N	\N	t	f
651	83	Gibraltar	et	0	2013-05-27 14:43:06.077581+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
708	17	Bahrein	et	0	2013-05-27 14:45:19.993811+02	\N	Bahrein	\N	\N	\N	\N	\N	\N	t	f
793	19	Barbados	es	0	2013-05-27 14:48:36.923296+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
724	91	Guinee-Bissau	nl	0	2013-05-27 14:45:56.990835+02	\N	Guinee-Bissau	\N	\N	\N	\N	\N	\N	t	f
731	123	Liettua	fi	0	2013-05-27 14:46:13.417415+02	\N	Liettua	\N	\N	\N	\N	\N	\N	t	f
747	72	Finland	no	0	2013-05-27 14:46:50.235044+02	\N	Finland	\N	\N	\N	\N	\N	\N	t	f
799	19	Barbados	nl	0	2013-05-27 14:48:50.243731+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
918	154	ニカラグア	ja	0	2013-05-27 14:53:30.056315+02	\N	ニカラグア	\N	\N	\N	\N	\N	\N	t	f
854	216	Turks- og Caicosøyene	no	0	2013-05-27 14:50:58.198887+02	\N	Turks- og Caicosøyene	\N	\N	\N	\N	\N	\N	t	f
872	76	Polynésie française	fr	0	2013-05-27 14:51:39.774672+02	\N	Polynésie française	\N	\N	\N	\N	\N	\N	t	f
945	39	Cabo Verde	es	0	2013-05-27 14:54:36.299757+02	\N	Cabo Verde	\N	\N	\N	\N	\N	\N	t	f
1056	109	Kasahstan	et	0	2013-05-27 14:59:38.179653+02	\N	Kasahstan	\N	\N	\N	\N	\N	\N	t	f
946	39	Roheneemesaared	et	0	2013-05-27 14:54:38.538744+02	\N	Roheneemesaared	\N	\N	\N	\N	\N	\N	t	f
984	25	Bhutan	nl	0	2013-05-27 14:56:13.089527+02	\N	Bhutan	\N	\N	\N	\N	\N	\N	t	f
1018	54	Cuba	no	0	2013-05-27 14:57:44.334595+02	\N	Cuba	\N	\N	\N	\N	\N	\N	t	f
1092	210	Tokelau	it	0	2013-05-27 15:01:29.764316+02	\N	Tokelau	\N	\N	\N	\N	\N	\N	t	f
1019	37	Kamerun	de	0	2013-05-27 14:57:47.434695+02	\N	Kamerun	\N	\N	\N	\N	\N	\N	t	f
1194	79	Gambia	no	0	2013-05-27 15:05:29.567379+02	\N	Gambia	\N	\N	\N	\N	\N	\N	t	f
1117	58	Djibouti	no	0	2013-05-27 15:02:27.765878+02	\N	Djibouti	\N	\N	\N	\N	\N	\N	t	f
1118	233	Westsahara	de	0	2013-05-27 15:02:30.644381+02	\N	Westsahara	\N	\N	\N	\N	\N	\N	t	f
1164	160	Norway	en	0	2013-05-27 15:04:18.721527+02	\N	Norway	\N	\N	\N	\N	\N	\N	t	f
1200	127	Madagaskar	fi	0	2013-05-27 15:05:43.882359+02	\N	Madagaskar	\N	\N	\N	\N	\N	\N	t	f
1399	146	Birmanie	fr	0	2013-05-27 15:13:29.5589+02	\N	Birmanie	\N	\N	\N	\N	\N	\N	t	f
1201	127	Madagascar	fr	0	2013-05-27 15:05:46.169851+02	\N	Madagascar	\N	\N	\N	\N	\N	\N	t	f
1233	190	Slovenia	fi	0	2013-05-27 15:07:01.329645+02	\N	Slovenia	\N	\N	\N	\N	\N	\N	t	f
1706	41	Centraal-Afrikaanse Republiek	nl	0	2013-05-27 15:26:32.564645+02	\N	Centraal-Afrikaanse Republiek	\N	\N	\N	\N	\N	\N	t	f
1238	190	Slovenia	no	0	2013-05-27 15:07:12.511312+02	\N	Slovenia	\N	\N	\N	\N	\N	\N	t	f
1413	97	Hongarije	nl	0	2013-05-27 15:14:02.365807+02	\N	Hongarije	\N	\N	\N	\N	\N	\N	t	f
1242	60	República Dominicana	es	0	2013-05-27 15:07:22.251334+02	\N	República Dominicana	\N	\N	\N	\N	\N	\N	t	f
1274	194	Spain	en	0	2013-05-27 15:08:36.603934+02	\N	Spain	\N	\N	\N	\N	\N	\N	t	f
1641	104	Israel	no	0	2013-05-27 15:24:01.21281+02	\N	Israel	\N	\N	\N	\N	\N	\N	t	f
1279	194	Spagna	it	0	2013-05-27 15:08:47.687423+02	\N	Spagna	\N	\N	\N	\N	\N	\N	t	f
1432	247	Monténégro	fr	0	2013-05-27 15:14:46.85121+02	\N	Monténégro	\N	\N	\N	\N	\N	\N	t	f
1307	56	Czech Republic	en	0	2013-05-27 15:09:53.059335+02	\N	Czech Republic	\N	\N	\N	\N	\N	\N	t	f
1333	152	Nouvelle-Calédonie	fr	0	2013-05-27 15:10:53.693027+02	\N	Nouvelle-Calédonie	\N	\N	\N	\N	\N	\N	t	f
1342	217	Tuvalu	et	0	2013-05-27 15:11:14.346461+02	\N	Tuvalu	\N	\N	\N	\N	\N	\N	t	f
1464	50	Îles Cook	fr	0	2013-05-27 15:16:08.34125+02	\N	Îles Cook	\N	\N	\N	\N	\N	\N	t	f
1349	208	Thailand	de	0	2013-05-27 15:11:30.83837+02	\N	Thailand	\N	\N	\N	\N	\N	\N	t	f
1362	128	Malawi	en	0	2013-05-27 15:12:01.984965+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1363	128	Malaui	es	0	2013-05-27 15:12:04.180561+02	\N	Malaui	\N	\N	\N	\N	\N	\N	t	f
1494	87	Guadalupe	es	0	2013-05-27 15:17:23.493019+02	\N	Guadalupe	\N	\N	\N	\N	\N	\N	t	f
1372	84	Ελλάδα	el	0	2013-05-27 15:12:27.753391+02	\N	Ελλάδα	\N	\N	\N	\N	\N	\N	t	f
1377	84	Grèce	fr	0	2013-05-27 15:12:38.932142+02	\N	Grèce	\N	\N	\N	\N	\N	\N	t	f
1659	5	Andorre	fr	0	2013-05-27 15:24:43.28+02	\N	Andorre	\N	\N	\N	\N	\N	\N	t	f
1380	84	Griekenland	nl	0	2013-05-27 15:12:45.630301+02	\N	Griekenland	\N	\N	\N	\N	\N	\N	t	f
1533	21	België	nl	0	2013-05-27 15:19:17.903289+02	\N	België	\N	\N	\N	\N	\N	\N	t	f
1387	188	Singapore	fi	0	2013-05-27 15:13:01.996485+02	\N	Singapore	\N	\N	\N	\N	\N	\N	t	f
1544	3	Algerije	nl	0	2013-05-27 15:19:46.892557+02	\N	Algerije	\N	\N	\N	\N	\N	\N	t	f
1728	55	Cyprus	nl	0	2013-05-27 15:27:23.591476+02	\N	Cyprus	\N	\N	\N	\N	\N	\N	t	f
1579	23	Benín	es	0	2013-05-27 15:21:23.037447+02	\N	Benín	\N	\N	\N	\N	\N	\N	t	f
1669	159	Pohjois-Mariaanit	fi	0	2013-05-27 15:25:06.343409+02	\N	Pohjois-Mariaanit	\N	\N	\N	\N	\N	\N	t	f
1580	23	Benin	et	0	2013-05-27 15:21:27.768275+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1586	23	Benin	no	0	2013-05-27 15:21:48.147731+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1708	129	Malaysia	de	0	2013-05-27 15:26:37.82384+02	\N	Malaysia	\N	\N	\N	\N	\N	\N	t	f
1631	104	Israel	de	0	2013-05-27 15:23:38.908505+02	\N	Israel	\N	\N	\N	\N	\N	\N	t	f
1674	159	Nord-Marianene	no	0	2013-05-27 15:25:17.62556+02	\N	Nord-Marianene	\N	\N	\N	\N	\N	\N	t	f
1636	104	Israel	fi	0	2013-05-27 15:23:49.968831+02	\N	Israel	\N	\N	\N	\N	\N	\N	t	f
1699	41	Central African Republic	en	0	2013-05-27 15:26:16.805213+02	\N	Central African Republic	\N	\N	\N	\N	\N	\N	t	f
1702	41	Keski-Afrikan tasavalta	fi	0	2013-05-27 15:26:23.553071+02	\N	Keski-Afrikan tasavalta	\N	\N	\N	\N	\N	\N	t	f
1778	156	Nigeeria	et	0	2013-05-27 15:29:20.81734+02	\N	Nigeeria	\N	\N	\N	\N	\N	\N	t	f
1709	129	Μαλαισία	el	0	2013-05-27 15:26:40.010167+02	\N	Μαλαισία	\N	\N	\N	\N	\N	\N	t	f
1754	57	Denmark	en	0	2013-05-27 15:28:25.389331+02	\N	Denmark	\N	\N	\N	\N	\N	\N	t	f
1711	129	Malasia	es	0	2013-05-27 15:26:44.414396+02	\N	Malasia	\N	\N	\N	\N	\N	\N	t	f
1789	100	Indoneesia	et	0	2013-05-27 15:29:46.305999+02	\N	Indoneesia	\N	\N	\N	\N	\N	\N	t	f
1772	86	Grenada	nl	0	2013-05-27 15:29:06.249711+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1787	100	Indonesia	en	0	2013-05-27 15:29:41.90612+02	\N	Indonesia	\N	\N	\N	\N	\N	\N	t	f
1800	144	Maroko	et	0	2013-05-27 15:30:11.567295+02	\N	Maroko	\N	\N	\N	\N	\N	\N	t	f
1806	144	Marokko	no	0	2013-05-27 15:30:24.927017+02	\N	Marokko	\N	\N	\N	\N	\N	\N	t	f
1813	253	Jersey	fr	0	2013-05-27 15:30:41.190407+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1814	253	Isola di Jersey	it	0	2013-05-27 15:30:43.401112+02	\N	Isola di Jersey	\N	\N	\N	\N	\N	\N	t	f
1827	171	Portugal	nl	0	2013-05-27 15:31:14.35114+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1829	170	Polen	de	0	2013-05-27 15:31:19.930022+02	\N	Polen	\N	\N	\N	\N	\N	\N	t	f
1833	170	Poola	et	0	2013-05-27 15:31:28.759303+02	\N	Poola	\N	\N	\N	\N	\N	\N	t	f
1834	170	Puola	fi	0	2013-05-27 15:31:30.969684+02	\N	Puola	\N	\N	\N	\N	\N	\N	t	f
1841	142	Μογγολία	el	0	2013-05-27 15:31:47.602126+02	\N	Μογγολία	\N	\N	\N	\N	\N	\N	t	f
1843	142	Mongolia	es	0	2013-05-27 15:31:52.027535+02	\N	Mongolia	\N	\N	\N	\N	\N	\N	t	f
5166	2481	Abjasia	es	0	2013-06-05 07:55:28.923302+02	1	Abjasia	\N	\N	\N	\N	\N	\N	t	f
1853	169	Pitcairn	en	0	2013-05-27 15:32:17.875303+02	\N	Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1884	98	Island	de	0	2013-05-27 15:33:30.019842+02	\N	Island	\N	\N	\N	\N	\N	\N	t	f
508	63	Αίγυπτος	el	0	2013-05-27 14:36:47.681564+02	\N	Αίγυπτος	\N	\N	\N	\N	\N	\N	t	f
512	63	Egypti	fi	0	2013-05-27 14:36:56.844164+02	\N	Egypti	\N	\N	\N	\N	\N	\N	t	f
592	34	Burkina Faso	it	0	2013-05-27 14:40:44.152343+02	\N	Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
544	32	Brunei	et	0	2013-05-27 14:38:26.456113+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
545	32	Brunei	fi	0	2013-05-27 14:38:28.69091+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
546	32	Brunei	fr	0	2013-05-27 14:38:33.427062+02	\N	Brunei	\N	\N	\N	\N	\N	\N	t	f
606	157	Niue	es	0	2013-05-27 14:41:18.02496+02	\N	Niue	\N	\N	\N	\N	\N	\N	t	f
692	244	Λαϊκή Δημοκρατία της Γερμανίας	el	0	2013-05-27 14:44:42.656388+02	\N	Λαϊκή Δημοκρατία της Γερμανίας	\N	\N	\N	\N	\N	\N	t	f
620	193	Afrique du Sud	fr	0	2013-05-27 14:41:51.361503+02	\N	Afrique du Sud	\N	\N	\N	\N	\N	\N	t	f
652	83	Gibraltar	fi	0	2013-05-27 14:43:08.294096+02	\N	Gibraltar	\N	\N	\N	\N	\N	\N	t	f
725	91	Guinea-Bissau	no	0	2013-05-27 14:45:59.227073+02	\N	Guinea-Bissau	\N	\N	\N	\N	\N	\N	t	f
794	19	Barbados	et	0	2013-05-27 14:48:39.107455+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
743	72	Finlande	fr	0	2013-05-27 14:46:41.262628+02	\N	Finlande	\N	\N	\N	\N	\N	\N	t	f
766	135	Mauritanië	nl	0	2013-05-27 14:47:33.744284+02	\N	Mauritanië	\N	\N	\N	\N	\N	\N	t	f
800	19	Barbados	no	0	2013-05-27 14:48:52.741133+02	\N	Barbados	\N	\N	\N	\N	\N	\N	t	f
921	66	Eritrea	de	0	2013-05-27 14:53:40.536747+02	\N	Eritrea	\N	\N	\N	\N	\N	\N	t	f
815	148	Nauru	et	0	2013-05-27 14:49:28.255154+02	\N	Nauru	\N	\N	\N	\N	\N	\N	t	f
873	76	Polinesia francese	it	0	2013-05-27 14:51:42.055203+02	\N	Polinesia francese	\N	\N	\N	\N	\N	\N	t	f
937	260	Saint-Martin	fr	0	2013-05-27 14:54:17.317348+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
892	47	Colombia	et	0	2013-05-27 14:52:30.21477+02	\N	Colombia	\N	\N	\N	\N	\N	\N	t	f
1058	109	Kazakhstan	fr	0	2013-05-27 14:59:44.226203+02	\N	Kazakhstan	\N	\N	\N	\N	\N	\N	t	f
951	39	Kaapverdië	nl	0	2013-05-27 14:54:52.003721+02	\N	Kaapverdië	\N	\N	\N	\N	\N	\N	t	f
986	65	Äquatorialguinea	de	0	2013-05-27 14:56:18.37682+02	\N	Äquatorialguinea	\N	\N	\N	\N	\N	\N	t	f
1002	232	Wallis ja Futuna	fi	0	2013-05-27 14:57:04.456994+02	\N	Wallis ja Futuna	\N	\N	\N	\N	\N	\N	t	f
1093	210	トケラウ	ja	0	2013-05-27 15:01:31.999532+02	\N	トケラウ	\N	\N	\N	\N	\N	\N	t	f
1022	37	Camerún	es	0	2013-05-27 14:57:55.152941+02	\N	Camerún	\N	\N	\N	\N	\N	\N	t	f
1195	127	Madagaskar	de	0	2013-05-27 15:05:32.734425+02	\N	Madagaskar	\N	\N	\N	\N	\N	\N	t	f
1121	233	Sahara Occidental	es	0	2013-05-27 15:02:37.727789+02	\N	Sahara Occidental	\N	\N	\N	\N	\N	\N	t	f
1154	28	Botsuana	es	0	2013-05-27 15:03:54.437065+02	\N	Botsuana	\N	\N	\N	\N	\N	\N	t	f
1169	160	Norvegia	it	0	2013-05-27 15:04:30.254392+02	\N	Norvegia	\N	\N	\N	\N	\N	\N	t	f
1205	127	Madagaskar	no	0	2013-05-27 15:05:55.369965+02	\N	Madagaskar	\N	\N	\N	\N	\N	\N	t	f
1470	137	Μαγιότ	el	0	2013-05-27 15:16:25.887638+02	\N	Μαγιότ	\N	\N	\N	\N	\N	\N	t	f
1243	60	Dominikaani Vabariik	et	0	2013-05-27 15:07:24.534102+02	\N	Dominikaani Vabariik	\N	\N	\N	\N	\N	\N	t	f
1246	60	Repubblica Dominicana	it	0	2013-05-27 15:07:31.190013+02	\N	Repubblica Dominicana	\N	\N	\N	\N	\N	\N	t	f
1677	33	Bulgaria	en	0	2013-05-27 15:25:25.42225+02	\N	Bulgaria	\N	\N	\N	\N	\N	\N	t	f
1249	60	Den dominikanske republikk	no	0	2013-05-27 15:07:37.926264+02	\N	Den dominikanske republikk	\N	\N	\N	\N	\N	\N	t	f
1471	137	Mayotte	en	0	2013-05-27 15:16:28.843446+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1276	194	Hispaania	et	0	2013-05-27 15:08:41.013167+02	\N	Hispaania	\N	\N	\N	\N	\N	\N	t	f
1335	152	ニューカレドニア	ja	0	2013-05-27 15:10:58.148333+02	\N	ニューカレドニア	\N	\N	\N	\N	\N	\N	t	f
1609	162	Pakistan	de	0	2013-05-27 15:22:45.259304+02	\N	Pakistan	\N	\N	\N	\N	\N	\N	t	f
1366	128	Malawi	fr	0	2013-05-27 15:12:10.962266+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1495	87	Guadeloupe	et	0	2013-05-27 15:17:25.764149+02	\N	Guadeloupe	\N	\N	\N	\N	\N	\N	t	f
1369	128	Malawi	nl	0	2013-05-27 15:12:20.15063+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1370	128	Malawi	no	0	2013-05-27 15:12:22.373828+02	\N	Malawi	\N	\N	\N	\N	\N	\N	t	f
1384	188	Singapore	en	0	2013-05-27 15:12:55.3732+02	\N	Singapore	\N	\N	\N	\N	\N	\N	t	f
1513	179	St. Lucia	de	0	2013-05-27 15:18:16.50219+02	\N	St. Lucia	\N	\N	\N	\N	\N	\N	t	f
1393	146	Myanmar	de	0	2013-05-27 15:13:16.168632+02	\N	Myanmar	\N	\N	\N	\N	\N	\N	t	f
1415	95	Honduras	de	0	2013-05-27 15:14:07.543318+02	\N	Honduras	\N	\N	\N	\N	\N	\N	t	f
1466	50	クック諸島	ja	0	2013-05-27 15:16:16.154673+02	\N	クック諸島	\N	\N	\N	\N	\N	\N	t	f
1523	179	Saint Lucia	no	0	2013-05-27 15:18:45.59626+02	\N	Saint Lucia	\N	\N	\N	\N	\N	\N	t	f
1469	137	Mayotte	de	0	2013-05-27 15:16:23.593447+02	\N	Mayotte	\N	\N	\N	\N	\N	\N	t	f
1630	234	Jemen	no	0	2013-05-27 15:23:35.749527+02	\N	Jemen	\N	\N	\N	\N	\N	\N	t	f
1545	3	Algerie	no	0	2013-05-27 15:19:53.861523+02	\N	Algerie	\N	\N	\N	\N	\N	\N	t	f
1560	99	Inde	fr	0	2013-05-27 15:20:35.924261+02	\N	Inde	\N	\N	\N	\N	\N	\N	t	f
1570	24	Bermuda	fi	0	2013-05-27 15:20:58.939455+02	\N	Bermuda	\N	\N	\N	\N	\N	\N	t	f
1632	104	Ισραήλ	el	0	2013-05-27 15:23:41.098448+02	\N	Ισραήλ	\N	\N	\N	\N	\N	\N	t	f
1581	23	Benin	fi	0	2013-05-27 15:21:30.031052+02	\N	Benin	\N	\N	\N	\N	\N	\N	t	f
1607	248	Zuid-Georgia en de Zuidelijke Sandwicheilanden	nl	0	2013-05-27 15:22:39.980593+02	\N	Zuid-Georgia en de Zuidelijke Sandwicheilanden	\N	\N	\N	\N	\N	\N	t	f
1710	129	Malaysia	en	0	2013-05-27 15:26:42.215854+02	\N	Malaysia	\N	\N	\N	\N	\N	\N	t	f
1660	5	Andorra	it	0	2013-05-27 15:24:45.482957+02	\N	Andorra	\N	\N	\N	\N	\N	\N	t	f
1673	159	Noordelijke Marianen	nl	0	2013-05-27 15:25:15.348918+02	\N	Noordelijke Marianen	\N	\N	\N	\N	\N	\N	t	f
1741	20	Weißrussland	de	0	2013-05-27 15:27:55.042235+02	\N	Weißrussland	\N	\N	\N	\N	\N	\N	t	f
1675	33	Bulgarien	de	0	2013-05-27 15:25:21.051334+02	\N	Bulgarien	\N	\N	\N	\N	\N	\N	t	f
1729	55	Kypros	no	0	2013-05-27 15:27:25.827473+02	\N	Kypros	\N	\N	\N	\N	\N	\N	t	f
1788	100	Indonesia	es	0	2013-05-27 15:29:44.09638+02	\N	Indonesia	\N	\N	\N	\N	\N	\N	t	f
1736	178	Saint-Christophe-et-Niévès	fr	0	2013-05-27 15:27:42.652393+02	\N	Saint-Christophe-et-Niévès	\N	\N	\N	\N	\N	\N	t	f
1758	57	Danemark	fr	0	2013-05-27 15:28:34.197101+02	\N	Danemark	\N	\N	\N	\N	\N	\N	t	f
1782	156	ナイジェリア	ja	0	2013-05-27 15:29:29.769201+02	\N	ナイジェリア	\N	\N	\N	\N	\N	\N	t	f
1759	57	Danimarca	it	0	2013-05-27 15:28:36.505951+02	\N	Danimarca	\N	\N	\N	\N	\N	\N	t	f
1773	86	Grenada	no	0	2013-05-27 15:29:08.488077+02	\N	Grenada	\N	\N	\N	\N	\N	\N	t	f
1802	144	Maroc	fr	0	2013-05-27 15:30:15.986867+02	\N	Maroc	\N	\N	\N	\N	\N	\N	t	f
1816	253	Jersey	nl	0	2013-05-27 15:30:48.6781+02	\N	Jersey	\N	\N	\N	\N	\N	\N	t	f
1818	171	Portugal	de	0	2013-05-27 15:30:54.2411+02	\N	Portugal	\N	\N	\N	\N	\N	\N	t	f
1832	170	Polonia	es	0	2013-05-27 15:31:26.541953+02	\N	Polonia	\N	\N	\N	\N	\N	\N	t	f
1840	142	Mongolei	de	0	2013-05-27 15:31:45.32529+02	\N	Mongolei	\N	\N	\N	\N	\N	\N	t	f
1844	142	Mongoolia	et	0	2013-05-27 15:31:54.226506+02	\N	Mongoolia	\N	\N	\N	\N	\N	\N	t	f
1845	142	Mongolia	fi	0	2013-05-27 15:31:56.440253+02	\N	Mongolia	\N	\N	\N	\N	\N	\N	t	f
1858	169	Isole Pitcairn	it	0	2013-05-27 15:32:29.0186+02	\N	Isole Pitcairn	\N	\N	\N	\N	\N	\N	t	f
1846	142	Mongolie	fr	0	2013-05-27 15:31:58.649278+02	\N	Mongolie	\N	\N	\N	\N	\N	\N	t	f
3318	2959	West-Azerbeidzjan	nl	0	2013-05-27 19:57:12.612771+02	1	West-Azerbeidzjan	\N	\N	\N	\N	\N	\N	t	f
4657	1927	Bijelo Polje Municipality	en	0	2013-06-05 07:33:24.408548+02	1	Bijelo Polje Municipality	\N	\N	\N	\N	\N	\N	t	f
1891	98	Islanda	it	0	2013-05-27 15:33:46.181853+02	\N	Islanda	\N	\N	\N	\N	\N	\N	t	f
1892	98	アイスランド	ja	0	2013-05-27 15:33:48.469268+02	\N	アイスランド	\N	\N	\N	\N	\N	\N	t	f
3719	3063	Riyadh Province	en	0	2013-06-05 06:52:29.951448+02	1	Riyadh Province	\N	\N	\N	\N	\N	\N	t	f
1893	98	IJsland	nl	0	2013-05-27 15:33:50.722876+02	\N	IJsland	\N	\N	\N	\N	\N	\N	t	f
3319	2959	Vest-Aserbajdsjan	no	0	2013-05-27 19:57:14.868772+02	1	Vest-Aserbajdsjan	\N	\N	\N	\N	\N	\N	t	f
1894	98	Island	no	0	2013-05-27 15:33:53.090734+02	\N	Island	\N	\N	\N	\N	\N	\N	t	f
1895	77	Französische Süd- und Antarktisgebiete	de	0	2013-05-27 15:33:56.123178+02	\N	Französische Süd- und Antarktisgebiete	\N	\N	\N	\N	\N	\N	t	f
3580	1837	Korsika	no	0	2013-06-05 06:46:37.518178+02	1	Korsika	\N	\N	\N	\N	\N	\N	t	f
1896	77	Γαλλικά Νότια και Ανταρκτικά Εδάφη	el	0	2013-05-27 15:33:58.344804+02	\N	Γαλλικά Νότια και Ανταρκτικά Εδάφη	\N	\N	\N	\N	\N	\N	t	f
1897	77	French Southern and Antarctic Lands	en	0	2013-05-27 15:34:00.548704+02	\N	French Southern and Antarctic Lands	\N	\N	\N	\N	\N	\N	t	f
4118	2604	ビンズオン省	ja	0	2013-06-05 07:09:59.715881+02	1	ビンズオン省	\N	\N	\N	\N	\N	\N	t	f
1905	125	Macao	de	0	2013-05-27 15:34:19.296845+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1909	125	Aomen	et	0	2013-05-27 15:34:28.219871+02	\N	Aomen	\N	\N	\N	\N	\N	\N	t	f
4151	3466	Antananarivo Province	en	0	2013-06-05 07:11:30.804908+02	1	Antananarivo Province	\N	\N	\N	\N	\N	\N	t	f
1923	151	Antille Olandesi	it	0	2013-05-27 15:35:00.693204+02	\N	Antille Olandesi	\N	\N	\N	\N	\N	\N	t	f
4121	717	Baranya County	en	0	2013-06-05 07:10:08.299993+02	1	Baranya County	\N	\N	\N	\N	\N	\N	t	f
1978	108	Giordania	it	0	2013-05-27 15:37:23.697524+02	\N	Giordania	\N	\N	\N	\N	\N	\N	t	f
1979	108	ヨルダン	ja	0	2013-05-27 15:37:25.970081+02	\N	ヨルダン	\N	\N	\N	\N	\N	\N	t	f
4134	1280	Région de Banská Bystrica	fr	0	2013-06-05 07:10:40.692354+02	1	Région de Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
4142	4359	Aini departemang	et	0	2013-06-05 07:11:05.364287+02	1	Aini departemang	\N	\N	\N	\N	\N	\N	t	f
4594	994	Departamento de Amazonas	de	0	2013-06-05 07:30:48.686023+02	1	Departamento de Amazonas	\N	\N	\N	\N	\N	\N	t	f
4658	1927	Municipio de Bijelo Polje	es	0	2013-06-05 07:33:26.758596+02	1	Municipio de Bijelo Polje	\N	\N	\N	\N	\N	\N	t	f
4680	3911	Barnsley	it	0	2013-06-05 07:34:20.797919+02	1	Barnsley	\N	\N	\N	\N	\N	\N	t	f
5213	1029	カルチ県	ja	0	2013-06-05 07:57:23.654417+02	1	カルチ県	\N	\N	\N	\N	\N	\N	t	f
4687	2683	Province de Buriram	fr	0	2013-06-05 07:34:37.968317+02	1	Province de Buriram	\N	\N	\N	\N	\N	\N	t	f
5787	4373	Cantal	it	0	2013-06-05 08:22:01.526093+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
5169	2481	Abkhazie	fr	0	2013-06-05 07:55:36.081344+02	1	Abkhazie	\N	\N	\N	\N	\N	\N	t	f
5202	1211	Distrito de Cayo	es	0	2013-06-05 07:56:56.829004+02	1	Distrito de Cayo	\N	\N	\N	\N	\N	\N	t	f
5818	2603	Bac Ninh Province	en	0	2013-06-05 08:23:25.356067+02	1	Bac Ninh Province	\N	\N	\N	\N	\N	\N	t	f
5802	3328	Ach-Charqiya	fr	0	2013-06-05 08:22:40.970628+02	1	Ach-Charqiya	\N	\N	\N	\N	\N	\N	t	f
5826	3335	Debub Region	en	0	2013-06-05 08:23:57.940635+02	1	Debub Region	\N	\N	\N	\N	\N	\N	t	f
6473	3689	Lac	no	0	2013-06-05 08:52:21.885234+02	1	Lac	\N	\N	\N	\N	\N	\N	t	f
5918	1618	Anibare	fi	0	2013-06-05 08:28:19.067576+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
5963	4990	Distrikt Bugiri	de	0	2013-06-05 08:30:10.583977+02	1	Distrikt Bugiri	\N	\N	\N	\N	\N	\N	t	f
5974	4759	Chichaoua	nl	0	2013-06-05 08:30:38.024628+02	1	Chichaoua	\N	\N	\N	\N	\N	\N	t	f
6288	3398	Grande Comore	de	0	2013-06-05 08:43:47.696239+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6494	1167	Κράιστ Τσερτς	el	0	2013-06-05 08:53:13.081094+02	1	Κράιστ Τσερτς	\N	\N	\N	\N	\N	\N	t	f
6353	2222	Briceni	nl	0	2013-06-05 08:46:31.793745+02	1	Briceni	\N	\N	\N	\N	\N	\N	t	f
6382	2916	Ahal	nl	0	2013-06-05 08:47:45.822037+02	1	Ahal	\N	\N	\N	\N	\N	\N	t	f
7432	3010	Bekaa	de	0	2013-06-05 09:33:02.143581+02	1	Bekaa	\N	\N	\N	\N	\N	\N	t	f
6424	4360	Aisne	fi	0	2013-06-05 08:50:16.933455+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
6516	3074	Al Jawf (province)	fr	0	2013-06-05 08:54:06.684719+02	1	Al Jawf (province)	\N	\N	\N	\N	\N	\N	t	f
6433	3278	Annaban maakunta	fi	0	2013-06-05 08:50:41.233463+02	1	Annaban maakunta	\N	\N	\N	\N	\N	\N	t	f
6446	807	Distretto di Argeș	it	0	2013-06-05 08:51:14.041189+02	1	Distretto di Argeș	\N	\N	\N	\N	\N	\N	t	f
7224	1730	Beyləqan	es	0	2013-06-05 09:24:20.333102+02	1	Beyləqan	\N	\N	\N	\N	\N	\N	t	f
6634	1139	Bolívar	en	0	2013-06-05 08:58:57.135162+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6652	2192	Brest voblast	no	0	2013-06-05 08:59:41.560735+02	1	Brest voblast	\N	\N	\N	\N	\N	\N	t	f
7046	4549	Regione di Cacheu	it	0	2013-06-05 09:17:00.163615+02	1	Regione di Cacheu	\N	\N	\N	\N	\N	\N	t	f
7236	264	Arkansas	es	0	2013-06-05 09:24:52.69406+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
7108	3517	Cabo Delgado Province	en	0	2013-06-05 09:19:31.136414+02	1	Cabo Delgado Province	\N	\N	\N	\N	\N	\N	t	f
7287	1952	ブレゾヴィツァ	ja	0	2013-06-05 09:27:04.415498+02	1	ブレゾヴィツァ	\N	\N	\N	\N	\N	\N	t	f
7796	2225	Călărași	nl	0	2013-06-05 09:49:10.541539+02	1	Călărași	\N	\N	\N	\N	\N	\N	t	f
7318	3238	Regione di Adamaoua	it	0	2013-06-05 09:28:23.804055+02	1	Regione di Adamaoua	\N	\N	\N	\N	\N	\N	t	f
7377	2997	Subdivision de Mafraq	fr	0	2013-06-05 09:30:47.976906+02	1	Subdivision de Mafraq	\N	\N	\N	\N	\N	\N	t	f
7404	4623	Μπέργκαμο	el	0	2013-06-05 09:31:54.077572+02	1	Μπέργκαμο	\N	\N	\N	\N	\N	\N	t	f
7816	507	Adıyaman	de	0	2013-06-05 09:50:07.68286+02	1	Adıyaman	\N	\N	\N	\N	\N	\N	t	f
7431	4626	Provinsen Benevento	no	0	2013-06-05 09:32:59.264626+02	1	Provinsen Benevento	\N	\N	\N	\N	\N	\N	t	f
7997	2262	Bosilovo	it	0	2013-06-05 09:57:45.207227+02	1	Bosilovo	\N	\N	\N	\N	\N	\N	t	f
7838	4632	Cagliari	es	0	2013-06-05 09:51:03.190606+02	1	Cagliari	\N	\N	\N	\N	\N	\N	t	f
8349	2395	Brjansk oblast	no	0	2013-06-05 10:13:21.819223+02	1	Brjansk oblast	\N	\N	\N	\N	\N	\N	t	f
7919	454	Μποναίρ	el	0	2013-06-05 09:54:28.375524+02	1	Μποναίρ	\N	\N	\N	\N	\N	\N	t	f
8020	1051	Barima-Waini	es	0	2013-06-05 09:58:52.013302+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
7978	1137	Aragua	en	0	2013-06-05 09:56:56.258566+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
8365	506	Adana	de	0	2013-06-05 10:14:04.446024+02	1	Adana	\N	\N	\N	\N	\N	\N	t	f
8421	4371	Département Bouches-du-Rhône	de	0	2013-06-05 10:16:23.615639+02	1	Département Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
8431	4882	Abra	de	0	2013-06-05 10:16:47.565582+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
8613	3683	Borkou Region	en	0	2013-06-05 10:25:00.710319+02	1	Borkou Region	\N	\N	\N	\N	\N	\N	t	f
8502	3003	Jahra	nl	0	2013-06-05 10:19:40.10607+02	1	Jahra	\N	\N	\N	\N	\N	\N	t	f
8624	762	ブラガ県	ja	0	2013-06-05 10:25:32.709689+02	1	ブラガ県	\N	\N	\N	\N	\N	\N	t	f
8656	4490	Provincia de Bioko Sur	es	0	2013-06-05 10:26:52.557911+02	1	Provincia de Bioko Sur	\N	\N	\N	\N	\N	\N	t	f
8666	1092	Canindeyún maakunta	fi	0	2013-06-05 10:27:16.439181+02	1	Canindeyún maakunta	\N	\N	\N	\N	\N	\N	t	f
9324	2963	Būshehri provints	et	0	2013-06-05 10:55:10.40783+02	1	Būshehri provints	\N	\N	\N	\N	\N	\N	t	f
9341	265	Arizona	no	0	2013-06-05 10:55:54.865773+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9395	1182	Islas Berry	es	0	2013-06-05 10:58:09.038779+02	1	Islas Berry	\N	\N	\N	\N	\N	\N	t	f
9459	1697	A'ana	fr	0	2013-06-05 11:00:52.453511+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
10002	4489	Bioko-Norte	fr	0	2013-06-05 11:24:31.474625+02	1	Bioko-Norte	\N	\N	\N	\N	\N	\N	t	f
1898	77	Tierras Australes y Antárticas Francesas	es	0	2013-05-27 15:34:02.761289+02	\N	Tierras Australes y Antárticas Francesas	\N	\N	\N	\N	\N	\N	t	f
1922	151	Antilles néerlandaises	fr	0	2013-05-27 15:34:58.421404+02	\N	Antilles néerlandaises	\N	\N	\N	\N	\N	\N	t	f
1899	77	Ranskan eteläiset ja antarktiset alueet	fi	0	2013-05-27 15:34:05.08508+02	\N	Ranskan eteläiset ja antarktiset alueet	\N	\N	\N	\N	\N	\N	t	f
1900	77	Terres australes et antarctiques françaises	fr	0	2013-05-27 15:34:07.327594+02	\N	Terres australes et antarctiques françaises	\N	\N	\N	\N	\N	\N	t	f
1901	77	Terre australi e antartiche francesi	it	0	2013-05-27 15:34:09.673386+02	\N	Terre australi e antartiche francesi	\N	\N	\N	\N	\N	\N	t	f
1924	151	オランダ領アンティル	ja	0	2013-05-27 15:35:02.946177+02	\N	オランダ領アンティル	\N	\N	\N	\N	\N	\N	t	f
1902	77	フランス領南方・南極地域	ja	0	2013-05-27 15:34:11.952646+02	\N	フランス領南方・南極地域	\N	\N	\N	\N	\N	\N	t	f
1903	77	Franse Zuidelijke en Antarctische Gebieden	nl	0	2013-05-27 15:34:14.178687+02	\N	Franse Zuidelijke en Antarctische Gebieden	\N	\N	\N	\N	\N	\N	t	f
1940	114	Kuwait	en	0	2013-05-27 15:35:46.330947+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
1904	77	De franske sørterritorier	no	0	2013-05-27 15:34:16.411412+02	\N	De franske sørterritorier	\N	\N	\N	\N	\N	\N	t	f
1925	151	Nederlandse Antillen	nl	0	2013-05-27 15:35:05.211211+02	\N	Nederlandse Antillen	\N	\N	\N	\N	\N	\N	t	f
1906	125	Μακάου	el	0	2013-05-27 15:34:21.49859+02	\N	Μακάου	\N	\N	\N	\N	\N	\N	t	f
1907	125	Macau	en	0	2013-05-27 15:34:23.717735+02	\N	Macau	\N	\N	\N	\N	\N	\N	t	f
1908	125	Macao	es	0	2013-05-27 15:34:26.01966+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1926	151	De nederlandske Antillene	no	0	2013-05-27 15:35:07.477307+02	\N	De nederlandske Antillene	\N	\N	\N	\N	\N	\N	t	f
1910	125	Macao	fi	0	2013-05-27 15:34:30.573248+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1911	125	Macao	fr	0	2013-05-27 15:34:32.794727+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1956	181	Samoa	it	0	2013-05-27 15:36:24.7594+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1912	125	Macao	it	0	2013-05-27 15:34:35.023061+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1927	2	Albanien	de	0	2013-05-27 15:35:10.640427+02	\N	Albanien	\N	\N	\N	\N	\N	\N	t	f
1913	125	マカオ	ja	0	2013-05-27 15:34:37.254279+02	\N	マカオ	\N	\N	\N	\N	\N	\N	t	f
1914	125	Macau	nl	0	2013-05-27 15:34:39.515239+02	\N	Macau	\N	\N	\N	\N	\N	\N	t	f
1941	114	Kuwait	es	0	2013-05-27 15:35:48.545144+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
1915	125	Macao	no	0	2013-05-27 15:34:41.743834+02	\N	Macao	\N	\N	\N	\N	\N	\N	t	f
1928	2	Αλβανία	el	0	2013-05-27 15:35:14.071902+02	\N	Αλβανία	\N	\N	\N	\N	\N	\N	t	f
1916	151	Niederländische Antillen	de	0	2013-05-27 15:34:44.863858+02	\N	Niederländische Antillen	\N	\N	\N	\N	\N	\N	t	f
1917	151	Ολλανδικές Αντίλλες	el	0	2013-05-27 15:34:47.064781+02	\N	Ολλανδικές Αντίλλες	\N	\N	\N	\N	\N	\N	t	f
1918	151	Netherlands Antilles	en	0	2013-05-27 15:34:49.28935+02	\N	Netherlands Antilles	\N	\N	\N	\N	\N	\N	t	f
1929	2	Albania	en	0	2013-05-27 15:35:16.294304+02	\N	Albania	\N	\N	\N	\N	\N	\N	t	f
1919	151	Antillas Neerlandesas	es	0	2013-05-27 15:34:51.535191+02	\N	Antillas Neerlandesas	\N	\N	\N	\N	\N	\N	t	f
1920	151	Hollandi Antillid	et	0	2013-05-27 15:34:53.850882+02	\N	Hollandi Antillid	\N	\N	\N	\N	\N	\N	t	f
1921	151	Alankomaiden Antillit	fi	0	2013-05-27 15:34:56.18977+02	\N	Alankomaiden Antillit	\N	\N	\N	\N	\N	\N	t	f
1942	114	Kuveit	et	0	2013-05-27 15:35:50.752396+02	\N	Kuveit	\N	\N	\N	\N	\N	\N	t	f
1930	2	Albania	es	0	2013-05-27 15:35:18.607384+02	\N	Albania	\N	\N	\N	\N	\N	\N	t	f
1931	2	Albaania	et	0	2013-05-27 15:35:22.064192+02	\N	Albaania	\N	\N	\N	\N	\N	\N	t	f
1964	35	Burundi	et	0	2013-05-27 15:36:46.420088+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1932	2	Albania	fi	0	2013-05-27 15:35:27.220947+02	\N	Albania	\N	\N	\N	\N	\N	\N	t	f
1943	114	Kuwait	fi	0	2013-05-27 15:35:53.070622+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
1933	2	Albanie	fr	0	2013-05-27 15:35:29.428487+02	\N	Albanie	\N	\N	\N	\N	\N	\N	t	f
1934	2	Albania	it	0	2013-05-27 15:35:31.647249+02	\N	Albania	\N	\N	\N	\N	\N	\N	t	f
1957	181	サモア	ja	0	2013-05-27 15:36:26.968588+02	\N	サモア	\N	\N	\N	\N	\N	\N	t	f
1935	2	アルバニア	ja	0	2013-05-27 15:35:34.024209+02	\N	アルバニア	\N	\N	\N	\N	\N	\N	t	f
1944	114	Koweït	fr	0	2013-05-27 15:35:55.704859+02	\N	Koweït	\N	\N	\N	\N	\N	\N	t	f
1936	2	Albanië	nl	0	2013-05-27 15:35:36.30371+02	\N	Albanië	\N	\N	\N	\N	\N	\N	t	f
1937	2	Albania	no	0	2013-05-27 15:35:38.624841+02	\N	Albania	\N	\N	\N	\N	\N	\N	t	f
1938	114	Kuwait	de	0	2013-05-27 15:35:41.767353+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
1945	114	Kuwait	it	0	2013-05-27 15:35:57.942468+02	\N	Kuwait	\N	\N	\N	\N	\N	\N	t	f
1939	114	Κουβέιτ	el	0	2013-05-27 15:35:44.03719+02	\N	Κουβέιτ	\N	\N	\N	\N	\N	\N	t	f
1946	114	クウェート	ja	0	2013-05-27 15:36:00.197065+02	\N	クウェート	\N	\N	\N	\N	\N	\N	t	f
1958	181	Samoa	nl	0	2013-05-27 15:36:29.211285+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1947	114	Koeweit	nl	0	2013-05-27 15:36:02.424964+02	\N	Koeweit	\N	\N	\N	\N	\N	\N	t	f
1949	181	Samoa	de	0	2013-05-27 15:36:09.089322+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1975	108	Jordaania	et	0	2013-05-27 15:37:16.941226+02	\N	Jordaania	\N	\N	\N	\N	\N	\N	t	f
1950	181	Σαμόα	el	0	2013-05-27 15:36:11.389481+02	\N	Σαμόα	\N	\N	\N	\N	\N	\N	t	f
1959	181	Samoa	no	0	2013-05-27 15:36:31.507365+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1951	181	Samoa	en	0	2013-05-27 15:36:13.618109+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1952	181	Samoa	es	0	2013-05-27 15:36:15.83171+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1965	35	Burundi	fi	0	2013-05-27 15:36:48.721117+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1954	181	Samoa	fi	0	2013-05-27 15:36:20.246443+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1960	35	Burundi	de	0	2013-05-27 15:36:37.029847+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1961	35	Μπουρούντι	el	0	2013-05-27 15:36:39.785879+02	\N	Μπουρούντι	\N	\N	\N	\N	\N	\N	t	f
1962	35	Burundi	en	0	2013-05-27 15:36:41.991328+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1971	108	Jordanien	de	0	2013-05-27 15:37:06.941201+02	\N	Jordanien	\N	\N	\N	\N	\N	\N	t	f
1963	35	Burundi	es	0	2013-05-27 15:36:44.203067+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1972	108	Ιορδανία	el	0	2013-05-27 15:37:10.274055+02	\N	Ιορδανία	\N	\N	\N	\N	\N	\N	t	f
1983	199	Σουρινάμ	el	0	2013-05-27 15:37:38.7602+02	\N	Σουρινάμ	\N	\N	\N	\N	\N	\N	t	f
1974	108	Jordania	es	0	2013-05-27 15:37:14.707777+02	\N	Jordania	\N	\N	\N	\N	\N	\N	t	f
1976	108	Jordania	fi	0	2013-05-27 15:37:19.222364+02	\N	Jordania	\N	\N	\N	\N	\N	\N	t	f
3320	1317	Ērgļi municipality	en	0	2013-05-27 19:57:19.718497+02	1	Ērgļi municipality	\N	\N	\N	\N	\N	\N	t	f
1977	108	Jordanie	fr	0	2013-05-27 15:37:21.461567+02	\N	Jordanie	\N	\N	\N	\N	\N	\N	t	f
1982	199	Suriname	de	0	2013-05-27 15:37:36.539656+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
3322	1317	Ērgļi piirkond	et	0	2013-05-27 19:57:24.182228+02	1	Ērgļi piirkond	\N	\N	\N	\N	\N	\N	t	f
3582	3235	Bafing	en	0	2013-06-05 06:46:43.390529+02	1	Bafing	\N	\N	\N	\N	\N	\N	t	f
3720	3063	Provincia de Riad	es	0	2013-06-05 06:52:32.344018+02	1	Provincia de Riad	\N	\N	\N	\N	\N	\N	t	f
4131	1280	Región de Banská Bystrica	es	0	2013-06-05 07:10:33.546804+02	1	Región de Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
4152	3466	Provincia de Antananarivo	es	0	2013-06-05 07:11:33.157036+02	1	Provincia de Antananarivo	\N	\N	\N	\N	\N	\N	t	f
4154	3466	Antananarivon provinssi	fi	0	2013-06-05 07:11:37.98128+02	1	Antananarivon provinssi	\N	\N	\N	\N	\N	\N	t	f
4167	2688	Chaiyaphum	no	0	2013-06-05 07:12:13.422124+02	1	Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
4659	1927	Bijelo Polje vald	et	0	2013-06-05 07:33:29.127002+02	1	Bijelo Polje vald	\N	\N	\N	\N	\N	\N	t	f
1953	181	Samoa	et	0	2013-05-27 15:36:18.03548+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
2004	1	Afghanistan	de	0	2013-05-27 15:38:37.284175+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
1955	181	Samoa	fr	0	2013-05-27 15:36:22.546514+02	\N	Samoa	\N	\N	\N	\N	\N	\N	t	f
1966	35	Burundi	fr	0	2013-05-27 15:36:52.595221+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
1967	35	Burundi	it	0	2013-05-27 15:36:54.837527+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
2005	1	Αφγανιστάν	el	0	2013-05-27 15:38:39.460627+02	\N	Αφγανιστάν	\N	\N	\N	\N	\N	\N	t	f
1968	35	ブルンジ	ja	0	2013-05-27 15:36:57.047812+02	\N	ブルンジ	\N	\N	\N	\N	\N	\N	t	f
1969	35	Burundi	nl	0	2013-05-27 15:36:59.287538+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
2020	226	Vanuatu	fi	0	2013-05-27 15:39:24.380131+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
1970	35	Burundi	no	0	2013-05-27 15:37:01.521955+02	\N	Burundi	\N	\N	\N	\N	\N	\N	t	f
2006	1	Afghanistan	en	0	2013-05-27 15:38:41.703645+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
1973	108	Jordan	en	0	2013-05-27 15:37:12.490916+02	\N	Jordan	\N	\N	\N	\N	\N	\N	t	f
1980	108	Jordanië	nl	0	2013-05-27 15:37:28.301731+02	\N	Jordanië	\N	\N	\N	\N	\N	\N	t	f
1981	108	Jordan	no	0	2013-05-27 15:37:33.655742+02	\N	Jordan	\N	\N	\N	\N	\N	\N	t	f
2007	1	Afganistán	es	0	2013-05-27 15:38:46.315372+02	\N	Afganistán	\N	\N	\N	\N	\N	\N	t	f
1984	199	Suriname	en	0	2013-05-27 15:37:40.948597+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
1985	199	Surinam	es	0	2013-05-27 15:37:43.196551+02	\N	Surinam	\N	\N	\N	\N	\N	\N	t	f
2038	180	Άγιος Βικέντιος και Γρεναδίνες	el	0	2013-05-27 15:40:14.212256+02	\N	Άγιος Βικέντιος και Γρεναδίνες	\N	\N	\N	\N	\N	\N	t	f
1986	199	Suriname	et	0	2013-05-27 15:37:48.734629+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
2008	1	Afganistan	et	0	2013-05-27 15:38:48.66617+02	\N	Afganistan	\N	\N	\N	\N	\N	\N	t	f
1987	199	Suriname	fi	0	2013-05-27 15:37:50.952724+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
1988	199	Suriname	fr	0	2013-05-27 15:37:53.166551+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
2021	226	Vanuatu	fr	0	2013-05-27 15:39:26.587607+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
1989	199	Suriname	it	0	2013-05-27 15:37:55.396284+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
2009	1	Afganistan	fi	0	2013-05-27 15:38:50.883082+02	\N	Afganistan	\N	\N	\N	\N	\N	\N	t	f
1990	199	スリナム	ja	0	2013-05-27 15:37:57.836814+02	\N	スリナム	\N	\N	\N	\N	\N	\N	t	f
1991	199	Suriname	nl	0	2013-05-27 15:38:00.137258+02	\N	Suriname	\N	\N	\N	\N	\N	\N	t	f
1992	199	Surinam	no	0	2013-05-27 15:38:03.090972+02	\N	Surinam	\N	\N	\N	\N	\N	\N	t	f
2010	1	Afghanistan	fr	0	2013-05-27 15:38:53.131884+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
1993	209	Togo	de	0	2013-05-27 15:38:06.161679+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
1994	209	Τόγκο	el	0	2013-05-27 15:38:08.376215+02	\N	Τόγκο	\N	\N	\N	\N	\N	\N	t	f
2032	257	Soudan du Sud	fr	0	2013-05-27 15:39:56.693469+02	\N	Soudan du Sud	\N	\N	\N	\N	\N	\N	t	f
1995	209	Togo	en	0	2013-05-27 15:38:10.654187+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2011	1	Afghanistan	it	0	2013-05-27 15:38:55.350745+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
1996	209	Togo	es	0	2013-05-27 15:38:12.893594+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
1997	209	Togo	et	0	2013-05-27 15:38:15.079872+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2022	226	Vanuatu	it	0	2013-05-27 15:39:29.895378+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
1998	209	Togo	fi	0	2013-05-27 15:38:18.388975+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2012	1	アフガニスタン	ja	0	2013-05-27 15:38:59.179596+02	\N	アフガニスタン	\N	\N	\N	\N	\N	\N	t	f
1999	209	Togo	fr	0	2013-05-27 15:38:20.582713+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2000	209	Togo	it	0	2013-05-27 15:38:22.861363+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2001	209	トーゴ	ja	0	2013-05-27 15:38:26.673947+02	\N	トーゴ	\N	\N	\N	\N	\N	\N	t	f
2002	209	Togo	nl	0	2013-05-27 15:38:28.935004+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2023	226	バヌアツ	ja	0	2013-05-27 15:39:32.971232+02	\N	バヌアツ	\N	\N	\N	\N	\N	\N	t	f
2003	209	Togo	no	0	2013-05-27 15:38:33.931757+02	\N	Togo	\N	\N	\N	\N	\N	\N	t	f
2013	1	Afghanistan	nl	0	2013-05-27 15:39:01.41984+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
2014	1	Afghanistan	no	0	2013-05-27 15:39:07.101747+02	\N	Afghanistan	\N	\N	\N	\N	\N	\N	t	f
2024	226	Vanuatu	nl	0	2013-05-27 15:39:35.210092+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
2015	226	Vanuatu	de	0	2013-05-27 15:39:09.935165+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
2016	226	Βανουάτου	el	0	2013-05-27 15:39:12.192958+02	\N	Βανουάτου	\N	\N	\N	\N	\N	\N	t	f
2033	257	Sudan del Sud	it	0	2013-05-27 15:39:58.950395+02	\N	Sudan del Sud	\N	\N	\N	\N	\N	\N	t	f
2017	226	Vanuatu	en	0	2013-05-27 15:39:17.551063+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
2025	226	Vanuatu	no	0	2013-05-27 15:39:37.456206+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
2018	226	Vanatu	es	0	2013-05-27 15:39:19.868496+02	\N	Vanatu	\N	\N	\N	\N	\N	\N	t	f
2019	226	Vanuatu	et	0	2013-05-27 15:39:22.173206+02	\N	Vanuatu	\N	\N	\N	\N	\N	\N	t	f
2026	257	Südsudan	de	0	2013-05-27 15:39:40.480747+02	\N	Südsudan	\N	\N	\N	\N	\N	\N	t	f
2041	180	Saint Vincent ja Grenadiinid	et	0	2013-05-27 15:40:26.351992+02	\N	Saint Vincent ja Grenadiinid	\N	\N	\N	\N	\N	\N	t	f
2027	257	Νότιο Σουδάν	el	0	2013-05-27 15:39:42.68252+02	\N	Νότιο Σουδάν	\N	\N	\N	\N	\N	\N	t	f
5214	1029	Carchi	nl	0	2013-06-05 07:57:26.022445+02	1	Carchi	\N	\N	\N	\N	\N	\N	t	f
2028	257	South Sudan	en	0	2013-05-27 15:39:44.896148+02	\N	South Sudan	\N	\N	\N	\N	\N	\N	t	f
2029	257	Sudán del Sur	es	0	2013-05-27 15:39:47.114023+02	\N	Sudán del Sur	\N	\N	\N	\N	\N	\N	t	f
2039	180	Saint Vincent and the Grenadines	en	0	2013-05-27 15:40:20.361887+02	\N	Saint Vincent and the Grenadines	\N	\N	\N	\N	\N	\N	t	f
2030	257	Lõuna-Sudaan	et	0	2013-05-27 15:39:49.325062+02	\N	Lõuna-Sudaan	\N	\N	\N	\N	\N	\N	t	f
2035	257	Zuid-Soedan	nl	0	2013-05-27 15:40:03.452366+02	\N	Zuid-Soedan	\N	\N	\N	\N	\N	\N	t	f
2031	257	Etelä-Sudan	fi	0	2013-05-27 15:39:51.535868+02	\N	Etelä-Sudan	\N	\N	\N	\N	\N	\N	t	f
2036	257	Sør-Sudan	no	0	2013-05-27 15:40:05.699554+02	\N	Sør-Sudan	\N	\N	\N	\N	\N	\N	t	f
2037	180	St. Vincent und die Grenadinen	de	0	2013-05-27 15:40:08.749125+02	\N	St. Vincent und die Grenadinen	\N	\N	\N	\N	\N	\N	t	f
2040	180	San Vicente y las Granadinas	es	0	2013-05-27 15:40:24.111006+02	\N	San Vicente y las Granadinas	\N	\N	\N	\N	\N	\N	t	f
2045	180	セントビンセント・グレナディーン	ja	0	2013-05-27 15:40:36.202412+02	\N	セントビンセント・グレナディーン	\N	\N	\N	\N	\N	\N	t	f
2042	180	Saint Vincent ja Grenadiinit	fi	0	2013-05-27 15:40:28.711011+02	\N	Saint Vincent ja Grenadiinit	\N	\N	\N	\N	\N	\N	t	f
2044	180	Saint Vincent e Grenadine	it	0	2013-05-27 15:40:33.239555+02	\N	Saint Vincent e Grenadine	\N	\N	\N	\N	\N	\N	t	f
2043	180	Saint-Vincent-et-les-Grenadines	fr	0	2013-05-27 15:40:30.943771+02	\N	Saint-Vincent-et-les-Grenadines	\N	\N	\N	\N	\N	\N	t	f
2046	180	Saint Vincent en de Grenadines	nl	0	2013-05-27 15:40:38.428543+02	\N	Saint Vincent en de Grenadines	\N	\N	\N	\N	\N	\N	t	f
2047	180	Saint Vincent og Grenadinene	no	0	2013-05-27 15:40:40.658359+02	\N	Saint Vincent og Grenadinene	\N	\N	\N	\N	\N	\N	t	f
2048	138	Mexiko	de	0	2013-05-27 15:40:43.913271+02	\N	Mexiko	\N	\N	\N	\N	\N	\N	t	f
2049	138	Μεξικό	el	0	2013-05-27 15:40:49.278312+02	\N	Μεξικό	\N	\N	\N	\N	\N	\N	t	f
2050	138	Mexico	en	0	2013-05-27 15:40:51.513619+02	\N	Mexico	\N	\N	\N	\N	\N	\N	t	f
2051	138	México	es	0	2013-05-27 15:40:53.874004+02	\N	México	\N	\N	\N	\N	\N	\N	t	f
2052	138	Mehhiko	et	0	2013-05-27 15:40:56.05732+02	\N	Mehhiko	\N	\N	\N	\N	\N	\N	t	f
2053	138	Meksiko	fi	0	2013-05-27 15:40:58.271593+02	\N	Meksiko	\N	\N	\N	\N	\N	\N	t	f
2054	138	Mexique	fr	0	2013-05-27 15:41:00.459194+02	\N	Mexique	\N	\N	\N	\N	\N	\N	t	f
4660	1249	Azua	de	0	2013-06-05 07:33:31.866947+02	1	Azua	\N	\N	\N	\N	\N	\N	t	f
2055	138	Messico	it	0	2013-05-27 15:41:02.645685+02	\N	Messico	\N	\N	\N	\N	\N	\N	t	f
5819	2603	Bắc Ninh	es	0	2013-06-05 08:23:27.692272+02	1	Bắc Ninh	\N	\N	\N	\N	\N	\N	t	f
2056	138	メキシコ	ja	0	2013-05-27 15:41:08.013504+02	\N	メキシコ	\N	\N	\N	\N	\N	\N	t	f
2059	30	Brasilien	de	0	2013-05-27 15:41:16.942676+02	\N	Brasilien	\N	\N	\N	\N	\N	\N	t	f
3321	1317	Municipalidad de Ērgļi	es	0	2013-05-27 19:57:21.967506+02	1	Municipalidad de Ērgļi	\N	\N	\N	\N	\N	\N	t	f
3328	3316	Gouvernorat de Helwan	fr	0	2013-05-27 19:57:39.860411+02	1	Gouvernorat de Helwan	\N	\N	\N	\N	\N	\N	t	f
3721	3063	Ar-Riyāḑi provints	et	0	2013-06-05 06:52:34.728765+02	1	Ar-Riyāḑi provints	\N	\N	\N	\N	\N	\N	t	f
3339	522	Çanakkale	de	0	2013-05-27 19:58:12.128783+02	1	Çanakkale	\N	\N	\N	\N	\N	\N	t	f
3585	3235	Bafing (Côte d'Ivoire)	fr	0	2013-06-05 06:46:54.169898+02	1	Bafing (Côte d'Ivoire)	\N	\N	\N	\N	\N	\N	t	f
4153	3466	Antananarivo provints	et	0	2013-06-05 07:11:35.570793+02	1	Antananarivo provints	\N	\N	\N	\N	\N	\N	t	f
3732	859	Anhui	fi	0	2013-06-05 06:53:01.580462+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
4133	1280	Banská Bystrican alue	fi	0	2013-06-05 07:10:38.289794+02	1	Banská Bystrican alue	\N	\N	\N	\N	\N	\N	t	f
4168	577	Batman	de	0	2013-06-05 07:12:16.293773+02	1	Batman	\N	\N	\N	\N	\N	\N	t	f
4171	577	Provincia de Batman	es	0	2013-06-05 07:12:23.409085+02	1	Provincia de Batman	\N	\N	\N	\N	\N	\N	t	f
4661	1249	Επαρχία Άσουα	el	0	2013-06-05 07:33:34.24941+02	1	Επαρχία Άσουα	\N	\N	\N	\N	\N	\N	t	f
4182	2219	Raion d'Anenii Noi	fr	0	2013-06-05 07:12:50.444569+02	1	Raion d'Anenii Noi	\N	\N	\N	\N	\N	\N	t	f
4595	994	Διαμέρισμα Αμαζόνιου	el	0	2013-06-05 07:30:51.176154+02	1	Διαμέρισμα Αμαζόνιου	\N	\N	\N	\N	\N	\N	t	f
4741	1027	Azuay	nl	0	2013-06-05 07:36:51.909768+02	1	Azuay	\N	\N	\N	\N	\N	\N	t	f
5171	2481	アブハジア	ja	0	2013-06-05 07:55:40.835258+02	1	アブハジア	\N	\N	\N	\N	\N	\N	t	f
5215	1029	Carchi	no	0	2013-06-05 07:57:28.463295+02	1	Carchi	\N	\N	\N	\N	\N	\N	t	f
5229	4376	Département Cher	de	0	2013-06-05 07:58:03.468067+02	1	Département Cher	\N	\N	\N	\N	\N	\N	t	f
5820	2603	Bắc Ninh	fi	0	2013-06-05 08:23:30.069444+02	1	Bắc Ninh	\N	\N	\N	\N	\N	\N	t	f
5248	4758	Boujdour Province	en	0	2013-06-05 07:58:49.252477+02	1	Boujdour Province	\N	\N	\N	\N	\N	\N	t	f
5268	2257	Aračinovo Municipality	en	0	2013-06-05 07:59:37.690651+02	1	Aračinovo Municipality	\N	\N	\N	\N	\N	\N	t	f
6474	2206	Ostmakedonien und Thrakien	de	0	2013-06-05 08:52:24.817313+02	1	Ostmakedonien und Thrakien	\N	\N	\N	\N	\N	\N	t	f
5283	3714	Μπιζέρτα	el	0	2013-06-05 08:00:14.566979+02	1	Μπιζέρτα	\N	\N	\N	\N	\N	\N	t	f
5930	4558	Banten	de	0	2013-06-05 08:28:50.720534+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
5313	2223	Distrito de Basarabeasca	es	0	2013-06-05 08:01:57.827983+02	1	Distrito de Basarabeasca	\N	\N	\N	\N	\N	\N	t	f
5792	3434	Murqub District	en	0	2013-06-05 08:22:16.487782+02	1	Murqub District	\N	\N	\N	\N	\N	\N	t	f
5969	4759	Chichaoua (Provinz)	de	0	2013-06-05 08:30:25.107148+02	1	Chichaoua (Provinz)	\N	\N	\N	\N	\N	\N	t	f
7225	1730	Beyləqanin piirikunta	fi	0	2013-06-05 09:24:22.685717+02	1	Beyləqanin piirikunta	\N	\N	\N	\N	\N	\N	t	f
6292	3398	Grande Comore	fr	0	2013-06-05 08:43:57.309013+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6484	2206	Øst-Makedonia og Thrakia	no	0	2013-06-05 08:52:48.556556+02	1	Øst-Makedonia og Thrakia	\N	\N	\N	\N	\N	\N	t	f
6323	5030	Abim	nl	0	2013-06-05 08:45:13.447303+02	1	Abim	\N	\N	\N	\N	\N	\N	t	f
6380	2916	Provincia di Ahal	it	0	2013-06-05 08:47:39.083443+02	1	Provincia di Ahal	\N	\N	\N	\N	\N	\N	t	f
6412	4890	Bataan	de	0	2013-06-05 08:49:43.118967+02	1	Bataan	\N	\N	\N	\N	\N	\N	t	f
6530	4259	District de Cheb	fr	0	2013-06-05 08:54:40.963874+02	1	District de Cheb	\N	\N	\N	\N	\N	\N	t	f
6431	3278	Annaba Province	en	0	2013-06-05 08:50:36.542905+02	1	Annaba Province	\N	\N	\N	\N	\N	\N	t	f
6435	3278	provincia di Annaba	it	0	2013-06-05 08:50:46.078893+02	1	provincia di Annaba	\N	\N	\N	\N	\N	\N	t	f
8017	1720	Abşeron	no	0	2013-06-05 09:58:41.424152+02	1	Abşeron	\N	\N	\N	\N	\N	\N	t	f
6460	1292	Municipalidad de Aloja	es	0	2013-06-05 08:51:48.153446+02	1	Municipalidad de Aloja	\N	\N	\N	\N	\N	\N	t	f
6546	1138	État de Barinas	fr	0	2013-06-05 08:55:20.122648+02	1	État de Barinas	\N	\N	\N	\N	\N	\N	t	f
7234	264	Αρκάνσας	el	0	2013-06-05 09:24:47.906098+02	1	Αρκάνσας	\N	\N	\N	\N	\N	\N	t	f
6548	1138	バリナス州	ja	0	2013-06-05 08:55:24.874105+02	1	バリナス州	\N	\N	\N	\N	\N	\N	t	f
6623	3014	Sri Lankan läntinen provinssi	fi	0	2013-06-05 08:58:29.434557+02	1	Sri Lankan läntinen provinssi	\N	\N	\N	\N	\N	\N	t	f
7050	2394	Oblast Belgorod	de	0	2013-06-05 09:17:10.193607+02	1	Oblast Belgorod	\N	\N	\N	\N	\N	\N	t	f
7797	4639	Provinz Como	de	0	2013-06-05 09:49:13.440021+02	1	Provinz Como	\N	\N	\N	\N	\N	\N	t	f
7118	1497	Baja California Sur	en	0	2013-06-05 09:19:55.958217+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7267	3070	Provincia de la Frontera del Norte	es	0	2013-06-05 09:26:15.741238+02	1	Provincia de la Frontera del Norte	\N	\N	\N	\N	\N	\N	t	f
7141	4456	Prefettura di Boffa	it	0	2013-06-05 09:20:52.40997+02	1	Prefettura di Boffa	\N	\N	\N	\N	\N	\N	t	f
7159	984	Región del Bío-Bío	de	0	2013-06-05 09:21:36.478078+02	1	Región del Bío-Bío	\N	\N	\N	\N	\N	\N	t	f
7290	3385	Μπισσάου	el	0	2013-06-05 09:27:15.145281+02	1	Μπισσάου	\N	\N	\N	\N	\N	\N	t	f
7368	2838	Chittagongin alue	fi	0	2013-06-05 09:30:26.238415+02	1	Chittagongin alue	\N	\N	\N	\N	\N	\N	t	f
7829	4886	Albay	fr	0	2013-06-05 09:50:40.281485+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
7371	2838	チッタゴン管区	ja	0	2013-06-05 09:30:33.415209+02	1	チッタゴン管区	\N	\N	\N	\N	\N	\N	t	f
7375	2997	Gobernación de Mafraq	es	0	2013-06-05 09:30:43.255312+02	1	Gobernación de Mafraq	\N	\N	\N	\N	\N	\N	t	f
8350	5007	Bukwa District	en	0	2013-06-05 10:13:25.350402+02	1	Bukwa District	\N	\N	\N	\N	\N	\N	t	f
7378	2997	Governatorato di Mafraq	it	0	2013-06-05 09:30:50.344958+02	1	Governatorato di Mafraq	\N	\N	\N	\N	\N	\N	t	f
7877	4827	Chiradzulu	no	0	2013-06-05 09:52:41.449742+02	1	Chiradzulu	\N	\N	\N	\N	\N	\N	t	f
8018	1051	Barima-Waini	de	0	2013-06-05 09:58:44.237479+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
7926	454	ボネール島	ja	0	2013-06-05 09:54:45.794366+02	1	ボネール島	\N	\N	\N	\N	\N	\N	t	f
7935	515	Provincia di Balıkesir	it	0	2013-06-05 09:55:08.525222+02	1	Provincia di Balıkesir	\N	\N	\N	\N	\N	\N	t	f
8403	3710	Ben Arous Governorate	en	0	2013-06-05 10:15:39.793688+02	1	Ben Arous Governorate	\N	\N	\N	\N	\N	\N	t	f
8354	5007	Bukwa	nl	0	2013-06-05 10:13:37.587108+02	1	Bukwa	\N	\N	\N	\N	\N	\N	t	f
8396	4743	Ampara District	en	0	2013-06-05 10:15:22.73841+02	1	Ampara District	\N	\N	\N	\N	\N	\N	t	f
8432	4882	Abra	en	0	2013-06-05 10:16:49.919687+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
8454	1608	Chuuki saared	et	0	2013-06-05 10:17:43.906369+02	1	Chuuki saared	\N	\N	\N	\N	\N	\N	t	f
8532	3257	Provincia de Chlef	es	0	2013-06-05 10:20:52.933113+02	1	Provincia de Chlef	\N	\N	\N	\N	\N	\N	t	f
8534	3257	provincia di Chlef	it	0	2013-06-05 10:20:57.615936+02	1	provincia di Chlef	\N	\N	\N	\N	\N	\N	t	f
8583	4077	Bandarban (Distrikt)	de	0	2013-06-05 10:23:26.848528+02	1	Bandarban (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
8616	3683	Regione di Borkou	it	0	2013-06-05 10:25:11.095072+02	1	Regione di Borkou	\N	\N	\N	\N	\N	\N	t	f
8651	4085	Chandpur District	en	0	2013-06-05 10:26:40.528458+02	1	Chandpur District	\N	\N	\N	\N	\N	\N	t	f
9327	2963	Regione di Bushehr	it	0	2013-06-05 10:55:17.457905+02	1	Regione di Bushehr	\N	\N	\N	\N	\N	\N	t	f
9345	1480	Parroquia de Clarendon	es	0	2013-06-05 10:56:04.619076+02	1	Parroquia de Clarendon	\N	\N	\N	\N	\N	\N	t	f
2057	138	Mexico	nl	0	2013-05-27 15:41:11.40946+02	\N	Mexico	\N	\N	\N	\N	\N	\N	t	f
3323	1317	Ērgļi	it	0	2013-05-27 19:57:27.501996+02	1	Ērgļi	\N	\N	\N	\N	\N	\N	t	f
3722	3063	Ar Riyad	fi	0	2013-06-05 06:52:37.092266+02	1	Ar Riyad	\N	\N	\N	\N	\N	\N	t	f
3326	3316	Helwan Governorate	en	0	2013-05-27 19:57:34.948809+02	1	Helwan Governorate	\N	\N	\N	\N	\N	\N	t	f
3588	3235	Bafing	nl	0	2013-06-05 06:47:06.556171+02	1	Bafing	\N	\N	\N	\N	\N	\N	t	f
4135	1280	Regione di Banská Bystrica	it	0	2013-06-05 07:10:43.13019+02	1	Regione di Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
4155	3466	Province d'Antananarivo	fr	0	2013-06-05 07:11:40.570473+02	1	Province d'Antananarivo	\N	\N	\N	\N	\N	\N	t	f
4158	3466	Antananarivo	nl	0	2013-06-05 07:11:47.940259+02	1	Antananarivo	\N	\N	\N	\N	\N	\N	t	f
4662	1249	Azua Province	en	0	2013-06-05 07:33:36.623383+02	1	Azua Province	\N	\N	\N	\N	\N	\N	t	f
4173	577	Batman	fr	0	2013-06-05 07:12:28.318873+02	1	Batman	\N	\N	\N	\N	\N	\N	t	f
4195	4633	Provinsen Campobasso	no	0	2013-06-05 07:13:22.358944+02	1	Provinsen Campobasso	\N	\N	\N	\N	\N	\N	t	f
4203	3792	Angus	de	0	2013-06-05 07:13:42.424323+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
5172	2481	Abchazië	nl	0	2013-06-05 07:55:43.210643+02	1	Abchazië	\N	\N	\N	\N	\N	\N	t	f
4204	3792	Angus	en	0	2013-06-05 07:13:44.780946+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4596	994	Amazonas Department	en	0	2013-06-05 07:30:53.54804+02	1	Amazonas Department	\N	\N	\N	\N	\N	\N	t	f
5216	1305	Brocēni municipality	en	0	2013-06-05 07:57:31.146129+02	1	Brocēni municipality	\N	\N	\N	\N	\N	\N	t	f
4607	621	Amapá	es	0	2013-06-05 07:31:21.619317+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5194	1089	Departamento Central	de	0	2013-06-05 07:56:37.302762+02	1	Departamento Central	\N	\N	\N	\N	\N	\N	t	f
4611	621	Amapá	it	0	2013-06-05 07:31:31.252689+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
4646	4379	Côtes-d'Armor	no	0	2013-06-05 07:32:57.145677+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
5201	1211	Cayo District	en	0	2013-06-05 07:56:54.390302+02	1	Cayo District	\N	\N	\N	\N	\N	\N	t	f
5224	4071	Canton du Podrinje bosnien	fr	0	2013-06-05 07:57:50.559639+02	1	Canton du Podrinje bosnien	\N	\N	\N	\N	\N	\N	t	f
5821	2603	Province de Bắc Ninh	fr	0	2013-06-05 08:23:35.633019+02	1	Province de Bắc Ninh	\N	\N	\N	\N	\N	\N	t	f
5324	2777	Bicol Region	nl	0	2013-06-05 08:02:39.760042+02	1	Bicol Region	\N	\N	\N	\N	\N	\N	t	f
5798	3434	Al Murgub	no	0	2013-06-05 08:22:31.070858+02	1	Al Murgub	\N	\N	\N	\N	\N	\N	t	f
5835	1002	Casanare	es	0	2013-06-05 08:24:38.03328+02	1	Casanare	\N	\N	\N	\N	\N	\N	t	f
6475	2206	Περιφέρεια Ανατολικής Μακεδονίας και Θράκης	el	0	2013-06-05 08:52:27.167328+02	1	Περιφέρεια Ανατολικής Μακεδονίας και Θράκης	\N	\N	\N	\N	\N	\N	t	f
5872	2792	Baucau	nl	0	2013-06-05 08:26:21.319861+02	1	Baucau	\N	\N	\N	\N	\N	\N	t	f
6306	1210	Distrito de Belice	es	0	2013-06-05 08:44:32.096524+02	1	Distrito de Belice	\N	\N	\N	\N	\N	\N	t	f
6329	694	Buenos Aires Province	en	0	2013-06-05 08:45:28.519131+02	1	Buenos Aires Province	\N	\N	\N	\N	\N	\N	t	f
6545	1138	Barinase osariik	et	0	2013-06-05 08:55:17.744434+02	1	Barinase osariik	\N	\N	\N	\N	\N	\N	t	f
6342	3507	Région centrale	fr	0	2013-06-05 08:46:01.143516+02	1	Région centrale	\N	\N	\N	\N	\N	\N	t	f
6388	1629	Chathamsaaret	fi	0	2013-06-05 08:48:20.619397+02	1	Chathamsaaret	\N	\N	\N	\N	\N	\N	t	f
7226	1730	Beyləqan	fr	0	2013-06-05 09:24:25.040039+02	1	Beyləqan	\N	\N	\N	\N	\N	\N	t	f
6390	1629	Isole Chatham	it	0	2013-06-05 08:48:32.526951+02	1	Isole Chatham	\N	\N	\N	\N	\N	\N	t	f
6642	1139	Bolívar	no	0	2013-06-05 08:59:17.29272+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6399	819	Județ de Caraș-Severin	fr	0	2013-06-05 08:49:02.798069+02	1	Județ de Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
6437	3278	Annaba	nl	0	2013-06-05 08:50:51.429358+02	1	Annaba	\N	\N	\N	\N	\N	\N	t	f
6441	807	Argeș County	en	0	2013-06-05 08:51:01.300202+02	1	Argeș County	\N	\N	\N	\N	\N	\N	t	f
6688	3289	Provincia de Bordj Bou Arréridj	es	0	2013-06-05 09:01:16.317479+02	1	Provincia de Bordj Bou Arréridj	\N	\N	\N	\N	\N	\N	t	f
6449	807	Argeș	no	0	2013-06-05 08:51:21.220999+02	1	Argeș	\N	\N	\N	\N	\N	\N	t	f
7853	325	Brandeburgo	it	0	2013-06-05 09:51:40.131179+02	1	Brandeburgo	\N	\N	\N	\N	\N	\N	t	f
6694	3808	Bridgend County Borough	en	0	2013-06-05 09:01:31.032327+02	1	Bridgend County Borough	\N	\N	\N	\N	\N	\N	t	f
7250	2633	Battambang (Provinz)	de	0	2013-06-05 09:25:27.036368+02	1	Battambang (Provinz)	\N	\N	\N	\N	\N	\N	t	f
7101	1669	Choiseul	es	0	2013-06-05 09:19:13.910194+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
7116	1497	Baja California Sur	de	0	2013-06-05 09:19:51.279712+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7131	3807	Bracknell Forest	nl	0	2013-06-05 09:20:28.05105+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7259	2932	Central Governorate	en	0	2013-06-05 09:25:55.50422+02	1	Central Governorate	\N	\N	\N	\N	\N	\N	t	f
7212	3319	Gouvernorat de Qalyubiya	fr	0	2013-06-05 09:23:50.998688+02	1	Gouvernorat de Qalyubiya	\N	\N	\N	\N	\N	\N	t	f
7331	3802	District de Belfast	fr	0	2013-06-05 09:28:55.408508+02	1	District de Belfast	\N	\N	\N	\N	\N	\N	t	f
7895	4547	Región de Bolama	es	0	2013-06-05 09:53:26.797816+02	1	Región de Bolama	\N	\N	\N	\N	\N	\N	t	f
7396	3433	クフラ県	ja	0	2013-06-05 09:31:34.280622+02	1	クフラ県	\N	\N	\N	\N	\N	\N	t	f
8351	5007	Distrito de Bukwo	es	0	2013-06-05 10:13:27.704299+02	1	Distrito de Bukwo	\N	\N	\N	\N	\N	\N	t	f
7429	4626	ベネヴェント県	ja	0	2013-06-05 09:32:54.479675+02	1	ベネヴェント県	\N	\N	\N	\N	\N	\N	t	f
7800	4639	Como	es	0	2013-06-05 09:49:24.334576+02	1	Como	\N	\N	\N	\N	\N	\N	t	f
8430	4371	Bouches-du-Rhône	no	0	2013-06-05 10:16:44.798741+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
7805	4639	コモ県	ja	0	2013-06-05 09:49:37.580643+02	1	コモ県	\N	\N	\N	\N	\N	\N	t	f
8406	3710	Gouvernorat de Ben Arous	fr	0	2013-06-05 10:15:46.885927+02	1	Gouvernorat de Ben Arous	\N	\N	\N	\N	\N	\N	t	f
8407	3710	Governatorato di Ben Arous	it	0	2013-06-05 10:15:49.319008+02	1	Governatorato di Ben Arous	\N	\N	\N	\N	\N	\N	t	f
8423	4371	Bocas del Ródano	es	0	2013-06-05 10:16:28.3117+02	1	Bocas del Ródano	\N	\N	\N	\N	\N	\N	t	f
8476	1135	アンソアテギ州	ja	0	2013-06-05 10:18:37.069826+02	1	アンソアテギ州	\N	\N	\N	\N	\N	\N	t	f
8512	1616	Anabar	fr	0	2013-06-05 10:20:04.368256+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
8489	3066	Eastern Province, Saudi Arabia	en	0	2013-06-05 10:19:08.916684+02	1	Eastern Province, Saudi Arabia	\N	\N	\N	\N	\N	\N	t	f
9328	2963	ブーシェフル州	ja	0	2013-06-05 10:55:19.845215+02	1	ブーシェフル州	\N	\N	\N	\N	\N	\N	t	f
8590	328	Baviera	es	0	2013-06-05 10:23:50.701847+02	1	Baviera	\N	\N	\N	\N	\N	\N	t	f
9342	1480	Clarendon Parish	de	0	2013-06-05 10:55:57.527615+02	1	Clarendon Parish	\N	\N	\N	\N	\N	\N	t	f
9356	2528	Bayan-Ölgiy	fr	0	2013-06-05 10:56:31.234641+02	1	Bayan-Ölgiy	\N	\N	\N	\N	\N	\N	t	f
9378	5014	Distrito de Adjumani	es	0	2013-06-05 10:57:27.533559+02	1	Distrito de Adjumani	\N	\N	\N	\N	\N	\N	t	f
9388	4638	Province de Coni	fr	0	2013-06-05 10:57:52.116328+02	1	Province de Coni	\N	\N	\N	\N	\N	\N	t	f
9394	1182	Berry Islands	en	0	2013-06-05 10:58:06.700677+02	1	Berry Islands	\N	\N	\N	\N	\N	\N	t	f
9425	3454	Chaouia-Ouardigha	de	0	2013-06-05 10:59:21.52062+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
9443	815	Distretto di Brașov	it	0	2013-06-05 11:00:09.485988+02	1	Distretto di Brașov	\N	\N	\N	\N	\N	\N	t	f
9457	1697	A'ana	en	0	2013-06-05 11:00:47.722706+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
2058	138	Mexico	no	0	2013-05-27 15:41:13.615269+02	\N	Mexico	\N	\N	\N	\N	\N	\N	t	f
3324	1317	Ērgļu novads	nl	0	2013-05-27 19:57:29.685486+02	1	Ērgļu novads	\N	\N	\N	\N	\N	\N	t	f
3369	3687	ハジェル＝ラミ州	ja	0	2013-05-27 19:59:36.876353+02	1	ハジェル＝ラミ州	\N	\N	\N	\N	\N	\N	t	f
3723	3063	Riyad (province)	fr	0	2013-06-05 06:52:39.5252+02	1	Riyad (province)	\N	\N	\N	\N	\N	\N	t	f
3370	3687	Hadjer-Lamis	nl	0	2013-05-27 19:59:39.09316+02	1	Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3446	474	Östergötlands län	no	0	2013-05-27 20:02:42.999068+02	1	Östergötlands län	\N	\N	\N	\N	\N	\N	t	f
3589	1731	Biləsuvar	de	0	2013-06-05 06:47:09.37436+02	1	Biləsuvar	\N	\N	\N	\N	\N	\N	t	f
4138	1280	Banská Bystrica	no	0	2013-06-05 07:10:53.699629+02	1	Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
3591	1731	Biləsuvar	es	0	2013-06-05 06:47:14.170555+02	1	Biləsuvar	\N	\N	\N	\N	\N	\N	t	f
4156	3466	Provincia di Antananarivo	it	0	2013-06-05 07:11:43.052394+02	1	Provincia di Antananarivo	\N	\N	\N	\N	\N	\N	t	f
4140	4359	Ain	en	0	2013-06-05 07:11:00.577956+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
4197	1091	Amambay Department	en	0	2013-06-05 07:13:27.577702+02	1	Amambay Department	\N	\N	\N	\N	\N	\N	t	f
4663	1249	Azua	es	0	2013-06-05 07:33:38.985338+02	1	Azua	\N	\N	\N	\N	\N	\N	t	f
4215	3418	Distrito de Berea	es	0	2013-06-05 07:14:11.586271+02	1	Distrito de Berea	\N	\N	\N	\N	\N	\N	t	f
4598	994	Amazonase departemang	et	0	2013-06-05 07:30:58.388697+02	1	Amazonase departemang	\N	\N	\N	\N	\N	\N	t	f
4671	2701	Chiang Mai	fi	0	2013-06-05 07:33:58.949009+02	1	Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
5217	1305	Municipalidad de Brocēni	es	0	2013-06-05 07:57:33.493597+02	1	Municipalidad de Brocēni	\N	\N	\N	\N	\N	\N	t	f
4734	1027	Provinz Azuay	de	0	2013-06-05 07:36:33.811226+02	1	Provinz Azuay	\N	\N	\N	\N	\N	\N	t	f
4740	1027	アスアイ県	ja	0	2013-06-05 07:36:49.448295+02	1	アスアイ県	\N	\N	\N	\N	\N	\N	t	f
4742	1027	Azuay	no	0	2013-06-05 07:36:54.298376+02	1	Azuay	\N	\N	\N	\N	\N	\N	t	f
5231	4376	Cher	es	0	2013-06-05 07:58:08.188314+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
4750	1653	アイライ州	ja	0	2013-06-05 07:37:13.662423+02	1	アイライ州	\N	\N	\N	\N	\N	\N	t	f
5174	3521	Caprivi	de	0	2013-06-05 07:55:48.362684+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5822	2603	Provincia di Bac Ninh	it	0	2013-06-05 08:23:39.148327+02	1	Provincia di Bac Ninh	\N	\N	\N	\N	\N	\N	t	f
5204	1211	Distretto di Cayo	it	0	2013-06-05 07:57:01.549085+02	1	Distretto di Cayo	\N	\N	\N	\N	\N	\N	t	f
5235	4376	Cher	it	0	2013-06-05 07:58:17.631224+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
5250	4758	Province de Boujdour	fr	0	2013-06-05 07:58:53.922454+02	1	Province de Boujdour	\N	\N	\N	\N	\N	\N	t	f
7185	2256	Municipalidad de Aerodrom	es	0	2013-06-05 09:22:43.789358+02	1	Municipalidad de Aerodrom	\N	\N	\N	\N	\N	\N	t	f
5256	4895	Batangas	fr	0	2013-06-05 07:59:08.470334+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
5888	4028	Berat	no	0	2013-06-05 08:27:06.320121+02	1	Berat	\N	\N	\N	\N	\N	\N	t	f
5276	2648	Bolikhamxai	fi	0	2013-06-05 07:59:57.147531+02	1	Bolikhamxai	\N	\N	\N	\N	\N	\N	t	f
5302	996	Arauca Department	en	0	2013-06-05 08:01:05.054153+02	1	Arauca Department	\N	\N	\N	\N	\N	\N	t	f
6476	2206	East Macedonia and Thrace	en	0	2013-06-05 08:52:29.515879+02	1	East Macedonia and Thrace	\N	\N	\N	\N	\N	\N	t	f
5333	4557	Bengkulu	no	0	2013-06-05 08:03:03.741965+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
6307	1210	District de Belize	fr	0	2013-06-05 08:44:34.428844+02	1	District de Belize	\N	\N	\N	\N	\N	\N	t	f
5335	1088	Alto Paraná Department	en	0	2013-06-05 08:03:09.439074+02	1	Alto Paraná Department	\N	\N	\N	\N	\N	\N	t	f
5800	3328	Al Sharqia Governorate	en	0	2013-06-05 08:22:36.270665+02	1	Al Sharqia Governorate	\N	\N	\N	\N	\N	\N	t	f
6320	5030	Distrito de Abim	es	0	2013-06-05 08:45:06.279605+02	1	Distrito de Abim	\N	\N	\N	\N	\N	\N	t	f
6402	819	Caraș-Severin	nl	0	2013-06-05 08:49:10.690172+02	1	Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
6502	1813	Κανταβρία	el	0	2013-06-05 08:53:32.932268+02	1	Κανταβρία	\N	\N	\N	\N	\N	\N	t	f
6462	1292	Commune d'Aloja	fr	0	2013-06-05 08:51:52.905297+02	1	Commune d'Aloja	\N	\N	\N	\N	\N	\N	t	f
6506	1813	Kantabria	fi	0	2013-06-05 08:53:42.477311+02	1	Kantabria	\N	\N	\N	\N	\N	\N	t	f
7191	4556	Bangka-Belitung	es	0	2013-06-05 09:22:58.331524+02	1	Bangka-Belitung	\N	\N	\N	\N	\N	\N	t	f
6591	4141	Antwerpen	nl	0	2013-06-05 08:57:11.31583+02	1	Antwerpen	\N	\N	\N	\N	\N	\N	t	f
6613	2160	Borgo Maggiore	es	0	2013-06-05 08:58:05.162781+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
6619	2160	Borgo Maggiore	no	0	2013-06-05 08:58:19.340111+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
7209	3319	Gouvernement al-Qalyubiyya	de	0	2013-06-05 09:23:43.913714+02	1	Gouvernement al-Qalyubiyya	\N	\N	\N	\N	\N	\N	t	f
7125	1497	Baja California Sur	nl	0	2013-06-05 09:20:12.870441+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7227	1730	Beyləqan	nl	0	2013-06-05 09:24:27.50041+02	1	Beyləqan	\N	\N	\N	\N	\N	\N	t	f
7126	1497	Baja California Sur	no	0	2013-06-05 09:20:15.44953+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7134	2332	Municipality of Centar	en	0	2013-06-05 09:20:35.62488+02	1	Municipality of Centar	\N	\N	\N	\N	\N	\N	t	f
7416	3794	Ards	es	0	2013-06-05 09:32:22.952412+02	1	Ards	\N	\N	\N	\N	\N	\N	t	f
7163	984	Région du Biobío	fr	0	2013-06-05 09:21:46.327336+02	1	Région du Biobío	\N	\N	\N	\N	\N	\N	t	f
7242	264	Arkansas	nl	0	2013-06-05 09:25:07.286257+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
7321	3238	Adamaoua	no	0	2013-06-05 09:28:31.012048+02	1	Adamaoua	\N	\N	\N	\N	\N	\N	t	f
7263	2932	Centraal	nl	0	2013-06-05 09:26:05.025658+02	1	Centraal	\N	\N	\N	\N	\N	\N	t	f
7275	1531	Chinandega Department	en	0	2013-06-05 09:26:35.555148+02	1	Chinandega Department	\N	\N	\N	\N	\N	\N	t	f
7296	3385	Bissau	it	0	2013-06-05 09:27:29.764089+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7322	3309	Gouvernement Bani Suwaif	de	0	2013-06-05 09:28:33.763056+02	1	Gouvernement Bani Suwaif	\N	\N	\N	\N	\N	\N	t	f
7305	2498	Atyrau Province	en	0	2013-06-05 09:27:52.625955+02	1	Atyrau Province	\N	\N	\N	\N	\N	\N	t	f
7317	3238	Région de l'Adamaoua	fr	0	2013-06-05 09:28:21.452285+02	1	Région de l'Adamaoua	\N	\N	\N	\N	\N	\N	t	f
7340	3305	Aswan	no	0	2013-06-05 09:29:17.223118+02	1	Aswan	\N	\N	\N	\N	\N	\N	t	f
7801	4639	Como provints	et	0	2013-06-05 09:49:26.850788+02	1	Como provints	\N	\N	\N	\N	\N	\N	t	f
7344	579	Bartın	es	0	2013-06-05 09:29:27.198368+02	1	Bartın	\N	\N	\N	\N	\N	\N	t	f
7905	2689	Provincia de Amnat Charoen	es	0	2013-06-05 09:53:52.65046+02	1	Provincia de Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
7900	4547	ボラマ州	ja	0	2013-06-05 09:53:40.032901+02	1	ボラマ州	\N	\N	\N	\N	\N	\N	t	f
7890	1295	Amata piirkond	et	0	2013-06-05 09:53:13.652926+02	1	Amata piirkond	\N	\N	\N	\N	\N	\N	t	f
7964	2205	Monte Athos	it	0	2013-06-05 09:56:21.284917+02	1	Monte Athos	\N	\N	\N	\N	\N	\N	t	f
7965	2205	アトス山	ja	0	2013-06-05 09:56:23.669074+02	1	アトス山	\N	\N	\N	\N	\N	\N	t	f
7986	1181	Bimini (Bahamas)	de	0	2013-06-05 09:57:15.820246+02	1	Bimini (Bahamas)	\N	\N	\N	\N	\N	\N	t	f
8352	5007	Bukwa	fr	0	2013-06-05 10:13:32.872319+02	1	Bukwa	\N	\N	\N	\N	\N	\N	t	f
8359	1863	Brod-Posavina	fi	0	2013-06-05 10:13:49.719001+02	1	Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
8435	4882	Province d'Abra	fr	0	2013-06-05 10:16:56.959451+02	1	Province d'Abra	\N	\N	\N	\N	\N	\N	t	f
9331	265	Arizona	de	0	2013-06-05 10:55:27.717281+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9353	2528	Bayan-Ölgiy	es	0	2013-06-05 10:56:24.154256+02	1	Bayan-Ölgiy	\N	\N	\N	\N	\N	\N	t	f
9359	2528	Bajan-Ölgi	nl	0	2013-06-05 10:56:38.393337+02	1	Bajan-Ölgi	\N	\N	\N	\N	\N	\N	t	f
2060	30	Βραζιλία	el	0	2013-05-27 15:41:19.233544+02	\N	Βραζιλία	\N	\N	\N	\N	\N	\N	t	f
3325	3316	Gouvernement Helwan	de	0	2013-05-27 19:57:32.407006+02	1	Gouvernement Helwan	\N	\N	\N	\N	\N	\N	t	f
3338	1090	Ñeembucú	nl	0	2013-05-27 19:58:06.438708+02	1	Ñeembucú	\N	\N	\N	\N	\N	\N	t	f
3724	3063	Al-Riyad	it	0	2013-06-05 06:52:41.976902+02	1	Al-Riyad	\N	\N	\N	\N	\N	\N	t	f
3390	3068	Provinz Ha'il	de	0	2013-05-27 20:00:32.376714+02	1	Provinz Ha'il	\N	\N	\N	\N	\N	\N	t	f
3418	2133	Municipality of Žalec	en	0	2013-05-27 20:01:37.328324+02	1	Municipality of Žalec	\N	\N	\N	\N	\N	\N	t	f
3439	474	Provincia de Östergötland	es	0	2013-05-27 20:02:27.046165+02	1	Provincia de Östergötland	\N	\N	\N	\N	\N	\N	t	f
4143	4359	Ain	fi	0	2013-06-05 07:11:10.956578+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
3592	1731	Biləsuvarin piirikunta	fi	0	2013-06-05 06:47:16.58425+02	1	Biləsuvarin piirikunta	\N	\N	\N	\N	\N	\N	t	f
4157	3466	アンタナナリボ州	ja	0	2013-06-05 07:11:45.468612+02	1	アンタナナリボ州	\N	\N	\N	\N	\N	\N	t	f
3606	2917	Balkan Province	en	0	2013-06-05 06:47:52.388799+02	1	Balkan Province	\N	\N	\N	\N	\N	\N	t	f
3654	2390	Oblast' dell'Amur	it	0	2013-06-05 06:49:50.173126+02	1	Oblast' dell'Amur	\N	\N	\N	\N	\N	\N	t	f
3656	2390	Oblast Amoer	nl	0	2013-06-05 06:49:55.101167+02	1	Oblast Amoer	\N	\N	\N	\N	\N	\N	t	f
4163	2688	Province de Chaiyaphum	fr	0	2013-06-05 07:12:03.564359+02	1	Province de Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
3660	1495	Aguascalientes	es	0	2013-06-05 06:50:05.233178+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3662	1495	Aguascalientes	fi	0	2013-06-05 06:50:10.019295+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
4664	1249	Azua	fi	0	2013-06-05 07:33:41.353716+02	1	Azua	\N	\N	\N	\N	\N	\N	t	f
3673	3362	Regione Centrale	it	0	2013-06-05 06:50:36.600967+02	1	Regione Centrale	\N	\N	\N	\N	\N	\N	t	f
4602	994	アマソナス県	ja	0	2013-06-05 07:31:08.072825+02	1	アマソナス県	\N	\N	\N	\N	\N	\N	t	f
3696	3117	Cuanza Norte	es	0	2013-06-05 06:51:33.644017+02	1	Cuanza Norte	\N	\N	\N	\N	\N	\N	t	f
4603	994	Amazonas	nl	0	2013-06-05 07:31:10.459589+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
4635	2860	Badachsjan	nl	0	2013-06-05 07:32:29.962269+02	1	Badachsjan	\N	\N	\N	\N	\N	\N	t	f
4669	2701	Chiang Mai Province	en	0	2013-06-05 07:33:53.995589+02	1	Chiang Mai Province	\N	\N	\N	\N	\N	\N	t	f
5218	1305	Brocēni piirkond	et	0	2013-06-05 07:57:35.846656+02	1	Brocēni piirkond	\N	\N	\N	\N	\N	\N	t	f
4677	3911	Metropolitan Borough of Barnsley	de	0	2013-06-05 07:34:13.674024+02	1	Metropolitan Borough of Barnsley	\N	\N	\N	\N	\N	\N	t	f
4693	2258	Berovo Municipality	en	0	2013-06-05 07:34:52.67399+02	1	Berovo Municipality	\N	\N	\N	\N	\N	\N	t	f
4700	3815	Carrickfergus	nl	0	2013-06-05 07:35:09.744001+02	1	Carrickfergus	\N	\N	\N	\N	\N	\N	t	f
5336	1088	Departamento de Alto Paraná	es	0	2013-06-05 08:03:11.771362+02	1	Departamento de Alto Paraná	\N	\N	\N	\N	\N	\N	t	f
5176	3521	Caprivi	es	0	2013-06-05 07:55:53.056682+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5190	1858	regione di Bjelovar e della Bilogora	it	0	2013-06-05 07:56:27.031389+02	1	regione di Bjelovar e della Bilogora	\N	\N	\N	\N	\N	\N	t	f
5823	2603	バクニン省	ja	0	2013-06-05 08:23:46.383313+02	1	バクニン省	\N	\N	\N	\N	\N	\N	t	f
5206	1211	Cayo	no	0	2013-06-05 07:57:06.593843+02	1	Cayo	\N	\N	\N	\N	\N	\N	t	f
5803	3328	Governatorato di Sharqiyya	it	0	2013-06-05 08:22:43.489029+02	1	Governatorato di Sharqiyya	\N	\N	\N	\N	\N	\N	t	f
5832	3335	Debub	no	0	2013-06-05 08:24:23.705212+02	1	Debub	\N	\N	\N	\N	\N	\N	t	f
6477	2206	Macedonia Oriental y Tracia	es	0	2013-06-05 08:52:31.881195+02	1	Macedonia Oriental y Tracia	\N	\N	\N	\N	\N	\N	t	f
5849	4540	Khios	no	0	2013-06-05 08:25:19.527449+02	1	Khios	\N	\N	\N	\N	\N	\N	t	f
5917	1618	Anibare	es	0	2013-06-05 08:28:16.728273+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6309	1210	Belize	nl	0	2013-06-05 08:44:39.26618+02	1	Belize	\N	\N	\N	\N	\N	\N	t	f
6543	1138	Barinas	en	0	2013-06-05 08:55:13.02187+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
6345	3507	Central	nl	0	2013-06-05 08:46:08.483275+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
6350	2222	Bricenin piiri	fi	0	2013-06-05 08:46:21.798296+02	1	Bricenin piiri	\N	\N	\N	\N	\N	\N	t	f
7228	1730	Beyləqan	no	0	2013-06-05 09:24:32.339695+02	1	Beyləqan	\N	\N	\N	\N	\N	\N	t	f
6633	1139	Bolívar	de	0	2013-06-05 08:58:54.788106+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6636	1139	Bolívari osariik	et	0	2013-06-05 08:59:01.842939+02	1	Bolívari osariik	\N	\N	\N	\N	\N	\N	t	f
9339	265	アリゾナ州	ja	0	2013-06-05 10:55:50.075096+02	1	アリゾナ州	\N	\N	\N	\N	\N	\N	t	f
6640	1139	ボリバル州	ja	0	2013-06-05 08:59:12.538326+02	1	ボリバル州	\N	\N	\N	\N	\N	\N	t	f
7231	4082	Barisal (zila)	es	0	2013-06-05 09:24:39.770499+02	1	Barisal (zila)	\N	\N	\N	\N	\N	\N	t	f
6650	2192	ブレスト州	ja	0	2013-06-05 08:59:36.811509+02	1	ブレスト州	\N	\N	\N	\N	\N	\N	t	f
6685	3037	Al Wusta	no	0	2013-06-05 09:01:08.82695+02	1	Al Wusta	\N	\N	\N	\N	\N	\N	t	f
8353	5007	ブクウォ県	ja	0	2013-06-05 10:13:35.21898+02	1	ブクウォ県	\N	\N	\N	\N	\N	\N	t	f
7147	1458	Dipartimento dell'Artibonite	it	0	2013-06-05 09:21:06.880577+02	1	Dipartimento dell'Artibonite	\N	\N	\N	\N	\N	\N	t	f
7802	4639	Comon maakunta	fi	0	2013-06-05 09:49:29.426361+02	1	Comon maakunta	\N	\N	\N	\N	\N	\N	t	f
7179	4885	Aklan	fr	0	2013-06-05 09:22:29.271846+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
7181	4885	アクラン州	ja	0	2013-06-05 09:22:34.040097+02	1	アクラン州	\N	\N	\N	\N	\N	\N	t	f
7940	820	Constanța County	en	0	2013-06-05 09:55:21.220852+02	1	Constanța County	\N	\N	\N	\N	\N	\N	t	f
8362	1863	ブロド＝ポサヴィナ郡	ja	0	2013-06-05 10:13:56.866763+02	1	ブロド＝ポサヴィナ郡	\N	\N	\N	\N	\N	\N	t	f
9361	4455	Beyla (Präfektur)	de	0	2013-06-05 10:56:43.50247+02	1	Beyla (Präfektur)	\N	\N	\N	\N	\N	\N	t	f
8445	262	Alaska	fi	0	2013-06-05 10:17:21.357332+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
9346	1480	Paroisse de Clarendon	fr	0	2013-06-05 10:56:06.954454+02	1	Paroisse de Clarendon	\N	\N	\N	\N	\N	\N	t	f
8578	1726	Astaran piirikunta	fi	0	2013-06-05 10:23:10.445574+02	1	Astaran piirikunta	\N	\N	\N	\N	\N	\N	t	f
8626	762	Braga	no	0	2013-06-05 10:25:37.438125+02	1	Braga	\N	\N	\N	\N	\N	\N	t	f
9358	2528	バヤン・ウルギー県	ja	0	2013-06-05 10:56:36.023347+02	1	バヤン・ウルギー県	\N	\N	\N	\N	\N	\N	t	f
9374	4620	Asti	nl	0	2013-06-05 10:57:17.719778+02	1	Asti	\N	\N	\N	\N	\N	\N	t	f
10041	1890	Calabria	et	0	2013-06-05 11:26:14.778965+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
9549	1064	Arequipa	nl	0	2013-06-05 11:04:34.077485+02	1	Arequipa	\N	\N	\N	\N	\N	\N	t	f
10003	4489	Provincia di Bioko Nord	it	0	2013-06-05 11:24:33.867573+02	1	Provincia di Bioko Nord	\N	\N	\N	\N	\N	\N	t	f
10738	2791	Ainaro	es	0	2013-06-05 11:56:06.208806+02	1	Ainaro	\N	\N	\N	\N	\N	\N	t	f
10742	2791	Ainaro	nl	0	2013-06-05 11:56:15.898478+02	1	Ainaro	\N	\N	\N	\N	\N	\N	t	f
10743	4554	Aceh	de	0	2013-06-05 11:56:18.777188+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10770	3217	キュヴェト地方	ja	0	2013-06-05 11:57:33.898846+02	1	キュヴェト地方	\N	\N	\N	\N	\N	\N	t	f
10785	4061	Djoulfa	fr	0	2013-06-05 11:58:19.329113+02	1	Djoulfa	\N	\N	\N	\N	\N	\N	t	f
10828	4804	Atolón Alif Dhaal	es	0	2013-06-05 12:00:36.09755+02	1	Atolón Alif Dhaal	\N	\N	\N	\N	\N	\N	t	f
10857	1006	Córdoba	nl	0	2013-06-05 12:01:50.58035+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
10920	2164	Blagoëvgrad	nl	0	2013-06-05 12:04:25.641957+02	1	Blagoëvgrad	\N	\N	\N	\N	\N	\N	t	f
10925	386	Aomori prefektuur	et	0	2013-06-05 12:04:37.933911+02	1	Aomori prefektuur	\N	\N	\N	\N	\N	\N	t	f
2061	30	Brazil	en	0	2013-05-27 15:41:21.436167+02	\N	Brazil	\N	\N	\N	\N	\N	\N	t	f
3327	3316	Helwan	es	0	2013-05-27 19:57:37.185711+02	1	Helwan	\N	\N	\N	\N	\N	\N	t	f
3330	3316	ヘルワーン県	ja	0	2013-05-27 19:57:44.428225+02	1	ヘルワーン県	\N	\N	\N	\N	\N	\N	t	f
3725	3063	リヤード州	ja	0	2013-06-05 06:52:44.374152+02	1	リヤード州	\N	\N	\N	\N	\N	\N	t	f
3593	1731	Biləsuvar	fr	0	2013-06-05 06:47:18.977967+02	1	Biləsuvar	\N	\N	\N	\N	\N	\N	t	f
3597	2837	Barisal Division	en	0	2013-06-05 06:47:28.864651+02	1	Barisal Division	\N	\N	\N	\N	\N	\N	t	f
4159	3466	Antananarivo	no	0	2013-06-05 07:11:50.372074+02	1	Antananarivo	\N	\N	\N	\N	\N	\N	t	f
3602	2837	バリサル管区	ja	0	2013-06-05 06:47:40.834388+02	1	バリサル管区	\N	\N	\N	\N	\N	\N	t	f
3623	1000	Caldas	fr	0	2013-06-05 06:48:34.484101+02	1	Caldas	\N	\N	\N	\N	\N	\N	t	f
3625	1000	カルダス県	ja	0	2013-06-05 06:48:39.227457+02	1	カルダス県	\N	\N	\N	\N	\N	\N	t	f
4162	2688	Provincia de Chaiyaphum	es	0	2013-06-05 07:11:58.035091+02	1	Provincia de Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
3709	2529	Arkhangai Province	en	0	2013-06-05 06:52:05.451975+02	1	Arkhangai Province	\N	\N	\N	\N	\N	\N	t	f
4665	1249	Azua	fr	0	2013-06-05 07:33:43.836411+02	1	Azua	\N	\N	\N	\N	\N	\N	t	f
4608	621	Amapá osariik	et	0	2013-06-05 07:31:23.988921+02	1	Amapá osariik	\N	\N	\N	\N	\N	\N	t	f
4612	621	アマパー州	ja	0	2013-06-05 07:31:33.674261+02	1	アマパー州	\N	\N	\N	\N	\N	\N	t	f
4622	1832	Clipperton	it	0	2013-06-05 07:31:58.027549+02	1	Clipperton	\N	\N	\N	\N	\N	\N	t	f
4694	2258	Municipalidad de Berovo	es	0	2013-06-05 07:34:55.034755+02	1	Municipalidad de Berovo	\N	\N	\N	\N	\N	\N	t	f
4629	2860	Provincia de Badakhshan	es	0	2013-06-05 07:32:15.259133+02	1	Provincia de Badakhshan	\N	\N	\N	\N	\N	\N	t	f
5219	1305	Brocēnu novads	nl	0	2013-06-05 07:57:38.277751+02	1	Brocēnu novads	\N	\N	\N	\N	\N	\N	t	f
4698	3815	District de Carrickfergus	fr	0	2013-06-05 07:35:04.968401+02	1	District de Carrickfergus	\N	\N	\N	\N	\N	\N	t	f
4720	3481	Brakna Region	en	0	2013-06-05 07:35:59.695083+02	1	Brakna Region	\N	\N	\N	\N	\N	\N	t	f
4725	3481	Brakna	nl	0	2013-06-05 07:36:11.668714+02	1	Brakna	\N	\N	\N	\N	\N	\N	t	f
5249	4758	Provincia de Bojador	es	0	2013-06-05 07:58:51.57926+02	1	Provincia de Bojador	\N	\N	\N	\N	\N	\N	t	f
4728	2597	Bến Tre Province	en	0	2013-06-05 07:36:19.137475+02	1	Bến Tre Province	\N	\N	\N	\N	\N	\N	t	f
5177	3521	Caprivi ringkond	et	0	2013-06-05 07:55:55.444444+02	1	Caprivi ringkond	\N	\N	\N	\N	\N	\N	t	f
5824	2603	Bắc Ninh	nl	0	2013-06-05 08:23:49.526446+02	1	Bắc Ninh	\N	\N	\N	\N	\N	\N	t	f
5300	3361	Brong-Ahafo	no	0	2013-06-05 08:00:59.079446+02	1	Brong-Ahafo	\N	\N	\N	\N	\N	\N	t	f
5307	996	アラウカ県	ja	0	2013-06-05 08:01:28.775332+02	1	アラウカ県	\N	\N	\N	\N	\N	\N	t	f
7196	4556	Banka-Billiton	nl	0	2013-06-05 09:23:11.897688+02	1	Banka-Billiton	\N	\N	\N	\N	\N	\N	t	f
5316	2223	Distretto di Basarabeasca	it	0	2013-06-05 08:02:10.615098+02	1	Distretto di Basarabeasca	\N	\N	\N	\N	\N	\N	t	f
5833	1002	Departamento de Casanare	de	0	2013-06-05 08:24:27.197429+02	1	Departamento de Casanare	\N	\N	\N	\N	\N	\N	t	f
5804	3328	シャルキーヤ県	ja	0	2013-06-05 08:22:45.841626+02	1	シャルキーヤ県	\N	\N	\N	\N	\N	\N	t	f
6478	2206	Ida-Makedoonia ja Traakia	et	0	2013-06-05 08:52:34.254241+02	1	Ida-Makedoonia ja Traakia	\N	\N	\N	\N	\N	\N	t	f
5874	3648	Bakool	en	0	2013-06-05 08:26:28.829759+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
5927	2264	Boutel	fr	0	2013-06-05 08:28:42.982709+02	1	Boutel	\N	\N	\N	\N	\N	\N	t	f
6313	2790	Aileu District	en	0	2013-06-05 08:44:49.278334+02	1	Aileu District	\N	\N	\N	\N	\N	\N	t	f
6487	714	Provincia de Córdoba	es	0	2013-06-05 08:52:56.140917+02	1	Provincia de Córdoba	\N	\N	\N	\N	\N	\N	t	f
6315	2790	Aileu (district)	fr	0	2013-06-05 08:44:54.083711+02	1	Aileu (district)	\N	\N	\N	\N	\N	\N	t	f
6319	5030	Abim District	en	0	2013-06-05 08:45:03.93829+02	1	Abim District	\N	\N	\N	\N	\N	\N	t	f
6409	2589	Provincia di Binh Thuan	it	0	2013-06-05 08:49:32.607838+02	1	Provincia di Binh Thuan	\N	\N	\N	\N	\N	\N	t	f
6529	4259	Cheb District	en	0	2013-06-05 08:54:38.636068+02	1	Cheb District	\N	\N	\N	\N	\N	\N	t	f
6421	4360	Aisne	en	0	2013-06-05 08:50:07.01929+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
7214	3319	カリュービーヤ県	ja	0	2013-06-05 09:23:55.759833+02	1	カリュービーヤ県	\N	\N	\N	\N	\N	\N	t	f
6618	2160	Borgo Maggiore	nl	0	2013-06-05 08:58:16.974345+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
6629	2333	Municipalidad de Centar Župa	es	0	2013-06-05 08:58:44.812115+02	1	Municipalidad de Centar Župa	\N	\N	\N	\N	\N	\N	t	f
7229	4082	Barishal	de	0	2013-06-05 09:24:35.046057+02	1	Barishal	\N	\N	\N	\N	\N	\N	t	f
6630	2333	Tsentar Joupa	fr	0	2013-06-05 08:58:47.129095+02	1	Tsentar Joupa	\N	\N	\N	\N	\N	\N	t	f
6654	4319	Επαρχία του Κάθερες	el	0	2013-06-05 08:59:47.024335+02	1	Επαρχία του Κάθερες	\N	\N	\N	\N	\N	\N	t	f
7819	507	Provincia de Adıyaman	es	0	2013-06-05 09:50:14.912101+02	1	Provincia de Adıyaman	\N	\N	\N	\N	\N	\N	t	f
6703	4630	Barletta-Andria-Trani provints	et	0	2013-06-05 09:01:52.911101+02	1	Barletta-Andria-Trani provints	\N	\N	\N	\N	\N	\N	t	f
7294	3385	Bissau	fi	0	2013-06-05 09:27:24.596335+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7164	984	Regione del Bío Bío	it	0	2013-06-05 09:21:51.929918+02	1	Regione del Bío Bío	\N	\N	\N	\N	\N	\N	t	f
7320	3238	Adamaoua	nl	0	2013-06-05 09:28:28.563125+02	1	Adamaoua	\N	\N	\N	\N	\N	\N	t	f
8006	1828	Comunità Valenzana	it	0	2013-06-05 09:58:07.432029+02	1	Comunità Valenzana	\N	\N	\N	\N	\N	\N	t	f
7328	3309	Beni Suef	nl	0	2013-06-05 09:28:47.864765+02	1	Beni Suef	\N	\N	\N	\N	\N	\N	t	f
8648	2606	Cà Mau	nl	0	2013-06-05 10:26:33.125199+02	1	Cà Mau	\N	\N	\N	\N	\N	\N	t	f
7866	2344	Distrito de Braničevo	es	0	2013-06-05 09:52:14.710086+02	1	Distrito de Braničevo	\N	\N	\N	\N	\N	\N	t	f
7379	2997	マフラク県	ja	0	2013-06-05 09:30:52.854324+02	1	マフラク県	\N	\N	\N	\N	\N	\N	t	f
7401	4087	Cox's Bazar	es	0	2013-06-05 09:31:46.500709+02	1	Cox's Bazar	\N	\N	\N	\N	\N	\N	t	f
7803	4639	Province de Côme	fr	0	2013-06-05 09:49:31.813602+02	1	Province de Côme	\N	\N	\N	\N	\N	\N	t	f
7969	2646	Attapeu Province	en	0	2013-06-05 09:56:33.980643+02	1	Attapeu Province	\N	\N	\N	\N	\N	\N	t	f
7972	2646	Province d'Attapeu	fr	0	2013-06-05 09:56:41.034398+02	1	Province d'Attapeu	\N	\N	\N	\N	\N	\N	t	f
8009	1828	Comunitat Valenciana	no	0	2013-06-05 09:58:17.968509+02	1	Comunitat Valenciana	\N	\N	\N	\N	\N	\N	t	f
8355	1863	Gespanschaft Brod-Posavina	de	0	2013-06-05 10:13:40.382245+02	1	Gespanschaft Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
8364	1863	Brod-Posavina	no	0	2013-06-05 10:14:01.609134+02	1	Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
8394	3142	Bubanza	no	0	2013-06-05 10:15:17.678323+02	1	Bubanza	\N	\N	\N	\N	\N	\N	t	f
8419	3879	Brent	nl	0	2013-06-05 10:16:18.286605+02	1	Brent	\N	\N	\N	\N	\N	\N	t	f
8420	3879	Brent	no	0	2013-06-05 10:16:20.66586+02	1	Brent	\N	\N	\N	\N	\N	\N	t	f
8437	4882	アブラ州	ja	0	2013-06-05 10:17:01.710547+02	1	アブラ州	\N	\N	\N	\N	\N	\N	t	f
8440	262	Alaska	de	0	2013-06-05 10:17:09.623039+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
8452	1608	Chuuk	en	0	2013-06-05 10:17:38.544586+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
8460	1608	Chuuk	no	0	2013-06-05 10:17:58.041702+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
8475	1135	Anzoátegui	it	0	2013-06-05 10:18:34.684639+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
8526	2386	Oblast' di Černivci	it	0	2013-06-05 10:20:38.332041+02	1	Oblast' di Černivci	\N	\N	\N	\N	\N	\N	t	f
8548	1546	Provinz Colón	de	0	2013-06-05 10:21:32.71547+02	1	Provinz Colón	\N	\N	\N	\N	\N	\N	t	f
2062	30	Brasil	es	0	2013-05-27 15:41:26.575277+02	\N	Brasil	\N	\N	\N	\N	\N	\N	t	f
2063	30	Brasiilia	et	0	2013-05-27 15:41:28.795888+02	\N	Brasiilia	\N	\N	\N	\N	\N	\N	t	f
2065	30	Brésil	fr	0	2013-05-27 15:41:33.423291+02	\N	Brésil	\N	\N	\N	\N	\N	\N	t	f
3329	3316	Governatorato di Helwan	it	0	2013-05-27 19:57:42.070256+02	1	Governatorato di Helwan	\N	\N	\N	\N	\N	\N	t	f
3594	1731	Biləsuvar	nl	0	2013-06-05 06:47:21.358494+02	1	Biləsuvar	\N	\N	\N	\N	\N	\N	t	f
3726	3063	Riyad	nl	0	2013-06-05 06:52:46.756995+02	1	Riyad	\N	\N	\N	\N	\N	\N	t	f
3657	2390	Amur oblast	no	0	2013-06-05 06:49:57.515605+02	1	Amur oblast	\N	\N	\N	\N	\N	\N	t	f
4160	2688	Chaiyaphum	de	0	2013-06-05 07:11:53.224249+02	1	Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
4170	577	Batman Province	en	0	2013-06-05 07:12:21.039901+02	1	Batman Province	\N	\N	\N	\N	\N	\N	t	f
4666	1249	Provincia di Azua	it	0	2013-06-05 07:33:46.30655+02	1	Provincia di Azua	\N	\N	\N	\N	\N	\N	t	f
4205	3792	Angus	es	0	2013-06-05 07:13:47.146224+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4213	3418	Berea	de	0	2013-06-05 07:14:06.837067+02	1	Berea	\N	\N	\N	\N	\N	\N	t	f
4214	3418	Berea District	en	0	2013-06-05 07:14:09.223999+02	1	Berea District	\N	\N	\N	\N	\N	\N	t	f
4683	2683	Buriram	de	0	2013-06-05 07:34:28.401779+02	1	Buriram	\N	\N	\N	\N	\N	\N	t	f
4613	621	Amapá	nl	0	2013-06-05 07:31:36.060808+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5220	4071	Kanton Bosnisches Podrinje	de	0	2013-06-05 07:57:41.047903+02	1	Kanton Bosnisches Podrinje	\N	\N	\N	\N	\N	\N	t	f
4705	1444	Département de Copán	fr	0	2013-06-05 07:35:22.661689+02	1	Département de Copán	\N	\N	\N	\N	\N	\N	t	f
4713	1281	Bratislavan alue	fi	0	2013-06-05 07:35:42.401508+02	1	Bratislavan alue	\N	\N	\N	\N	\N	\N	t	f
4733	2597	Bến Tre	nl	0	2013-06-05 07:36:31.058363+02	1	Bến Tre	\N	\N	\N	\N	\N	\N	t	f
5226	4071	ボスニア＝ポドリニェ県	ja	0	2013-06-05 07:57:55.827074+02	1	ボスニア＝ポドリニェ県	\N	\N	\N	\N	\N	\N	t	f
4749	1653	Airai	it	0	2013-06-05 07:37:11.271306+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
5178	3521	Caprivi	fi	0	2013-06-05 07:55:57.780895+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5825	3335	Debub	de	0	2013-06-05 08:23:52.282543+02	1	Debub	\N	\N	\N	\N	\N	\N	t	f
5182	3521	Caprivi	nl	0	2013-06-05 07:56:07.308586+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5805	3328	Ash Sharqiyah	nl	0	2013-06-05 08:22:48.212865+02	1	Ash Sharqiyah	\N	\N	\N	\N	\N	\N	t	f
5809	3263	Provincia de Béchar	es	0	2013-06-05 08:22:58.199892+02	1	Provincia de Béchar	\N	\N	\N	\N	\N	\N	t	f
5836	1002	Casanare	fr	0	2013-06-05 08:24:40.373066+02	1	Casanare	\N	\N	\N	\N	\N	\N	t	f
6479	2206	Itä-Makedonia ja Traakia	fi	0	2013-06-05 08:52:36.703571+02	1	Itä-Makedonia ja Traakia	\N	\N	\N	\N	\N	\N	t	f
6316	2790	Distretto di Aileu	it	0	2013-06-05 08:44:56.485607+02	1	Distretto di Aileu	\N	\N	\N	\N	\N	\N	t	f
6482	2206	東マケドニア・トラキア	ja	0	2013-06-05 08:52:43.835108+02	1	東マケドニア・トラキア	\N	\N	\N	\N	\N	\N	t	f
7230	4082	Barisal District	en	0	2013-06-05 09:24:37.389698+02	1	Barisal District	\N	\N	\N	\N	\N	\N	t	f
6614	2160	Borgo Maggiore	fi	0	2013-06-05 08:58:07.511016+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
6679	3803	Blackburn with Darwen	no	0	2013-06-05 09:00:54.308094+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
8000	1828	Βαλένθια	el	0	2013-06-05 09:57:52.898966+02	1	Βαλένθια	\N	\N	\N	\N	\N	\N	t	f
7182	4885	Aklan	nl	0	2013-06-05 09:22:36.4133+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
7253	2633	Băt Dâmbâng	fi	0	2013-06-05 09:25:34.29684+02	1	Băt Dâmbâng	\N	\N	\N	\N	\N	\N	t	f
7194	4556	Bangka-Belitung	it	0	2013-06-05 09:23:06.930987+02	1	Bangka-Belitung	\N	\N	\N	\N	\N	\N	t	f
8657	4490	Bioko Surin provinssi	fi	0	2013-06-05 10:26:54.895649+02	1	Bioko Surin provinssi	\N	\N	\N	\N	\N	\N	t	f
7262	2932	Governatorato Centrale	it	0	2013-06-05 09:26:02.66277+02	1	Governatorato Centrale	\N	\N	\N	\N	\N	\N	t	f
8356	1863	Brod-Posavina County	en	0	2013-06-05 10:13:42.717418+02	1	Brod-Posavina County	\N	\N	\N	\N	\N	\N	t	f
7289	3385	Bissau	de	0	2013-06-05 09:27:12.727542+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7306	2498	Atyrau	es	0	2013-06-05 09:27:54.972922+02	1	Atyrau	\N	\N	\N	\N	\N	\N	t	f
8520	2386	Oblast Tscherniwzi	de	0	2013-06-05 10:20:24.196669+02	1	Oblast Tscherniwzi	\N	\N	\N	\N	\N	\N	t	f
7332	3305	Gouvernement Aswan	de	0	2013-06-05 09:28:58.153183+02	1	Gouvernement Aswan	\N	\N	\N	\N	\N	\N	t	f
8357	1863	Brod-Posavina	es	0	2013-06-05 10:13:45.039697+02	1	Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
7334	3305	Asuán	es	0	2013-06-05 09:29:02.859312+02	1	Asuán	\N	\N	\N	\N	\N	\N	t	f
7351	313	British Columbia	de	0	2013-06-05 09:29:44.638337+02	1	British Columbia	\N	\N	\N	\N	\N	\N	t	f
7449	720	Bács-Kiskun	nl	0	2013-06-05 09:33:44.926587+02	1	Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
8390	3142	Province de Bubanza	fr	0	2013-06-05 10:15:08.109428+02	1	Province de Bubanza	\N	\N	\N	\N	\N	\N	t	f
7804	4639	provincia di Como	it	0	2013-06-05 09:49:35.146782+02	1	provincia di Como	\N	\N	\N	\N	\N	\N	t	f
7855	325	Brandenburg	nl	0	2013-06-05 09:51:44.870826+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
8630	3825	Distretto di Coleraine	it	0	2013-06-05 10:25:47.129838+02	1	Distretto di Coleraine	\N	\N	\N	\N	\N	\N	t	f
7882	623	Ceará	fi	0	2013-06-05 09:52:53.996128+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
8450	262	Alaska	no	0	2013-06-05 10:17:33.488349+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
7884	623	Ceará	it	0	2013-06-05 09:52:58.744619+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
8549	1546	Colón Province	en	0	2013-06-05 10:21:35.0425+02	1	Colón Province	\N	\N	\N	\N	\N	\N	t	f
8468	1217	Cartago	nl	0	2013-06-05 10:18:17.770835+02	1	Cartago	\N	\N	\N	\N	\N	\N	t	f
8471	1135	Anzoátegui	en	0	2013-06-05 10:18:25.284692+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
8486	983	Atacama	nl	0	2013-06-05 10:19:01.427957+02	1	Atacama	\N	\N	\N	\N	\N	\N	t	f
8557	2852	Azad Kashmir	en	0	2013-06-05 10:21:57.373636+02	1	Azad Kashmir	\N	\N	\N	\N	\N	\N	t	f
8517	1948	Municipality of Bohinj	en	0	2013-06-05 10:20:16.67604+02	1	Municipality of Bohinj	\N	\N	\N	\N	\N	\N	t	f
8598	3131	Centre	de	0	2013-06-05 10:24:21.768307+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
8622	762	District de Braga	fr	0	2013-06-05 10:25:25.557339+02	1	District de Braga	\N	\N	\N	\N	\N	\N	t	f
9387	4638	Cuneon maakunta	fi	0	2013-06-05 10:57:49.751195+02	1	Cuneon maakunta	\N	\N	\N	\N	\N	\N	t	f
8655	4490	Bioko Sur Province	en	0	2013-06-05 10:26:50.211898+02	1	Bioko Sur Province	\N	\N	\N	\N	\N	\N	t	f
9349	1480	Clarendon	nl	0	2013-06-05 10:56:14.135704+02	1	Clarendon	\N	\N	\N	\N	\N	\N	t	f
9427	3454	Chauía-Uardiga	es	0	2013-06-05 10:59:26.325864+02	1	Chauía-Uardiga	\N	\N	\N	\N	\N	\N	t	f
10004	4489	北ビオコ県	ja	0	2013-06-05 11:24:36.226073+02	1	北ビオコ県	\N	\N	\N	\N	\N	\N	t	f
10020	1048	Provincia de Cotopaxi	es	0	2013-06-05 11:25:17.229379+02	1	Provincia de Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
10026	1048	Cotopaxi	no	0	2013-06-05 11:25:37.307153+02	1	Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
10051	4157	Boulkiemdé	fi	0	2013-06-05 11:26:39.177808+02	1	Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
10163	3826	Conwy	no	0	2013-06-05 11:31:16.633426+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
10222	3876	London Borough of Barking and Dagenham	en	0	2013-06-05 11:34:10.889703+02	1	London Borough of Barking and Dagenham	\N	\N	\N	\N	\N	\N	t	f
10238	2472	Armavir	no	0	2013-06-05 11:35:03.018279+02	1	Armavir	\N	\N	\N	\N	\N	\N	t	f
10305	3622	Nil	fr	0	2013-06-05 11:37:57.559136+02	1	Nil	\N	\N	\N	\N	\N	\N	t	f
10318	4321	Ciudad Real	no	0	2013-06-05 11:38:29.393857+02	1	Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
2064	30	Brasilia	fi	0	2013-05-27 15:41:31.154319+02	\N	Brasilia	\N	\N	\N	\N	\N	\N	t	f
3331	3316	Helwan	nl	0	2013-05-27 19:57:46.713413+02	1	Helwan	\N	\N	\N	\N	\N	\N	t	f
3595	1731	Biləsuvar	no	0	2013-06-05 06:47:23.748247+02	1	Biləsuvar	\N	\N	\N	\N	\N	\N	t	f
3727	859	Anhui	de	0	2013-06-05 06:52:49.72465+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
4161	2688	Chaiyaphum Province	en	0	2013-06-05 07:11:55.590867+02	1	Chaiyaphum Province	\N	\N	\N	\N	\N	\N	t	f
4194	4633	Campobasso	nl	0	2013-06-05 07:13:19.918751+02	1	Campobasso	\N	\N	\N	\N	\N	\N	t	f
4667	1249	Azua	nl	0	2013-06-05 07:33:48.702731+02	1	Azua	\N	\N	\N	\N	\N	\N	t	f
4616	1832	Νήσος Κλίπερτον	el	0	2013-06-05 07:31:43.650395+02	1	Νήσος Κλίπερτον	\N	\N	\N	\N	\N	\N	t	f
4644	4379	コート＝ダルモール県	ja	0	2013-06-05 07:32:52.322819+02	1	コート＝ダルモール県	\N	\N	\N	\N	\N	\N	t	f
4645	4379	Côtes-d'Armor	nl	0	2013-06-05 07:32:54.719876+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
4719	3481	Brakna	de	0	2013-06-05 07:35:57.332123+02	1	Brakna	\N	\N	\N	\N	\N	\N	t	f
5221	4071	Bosnian Podrinje Canton	en	0	2013-06-05 07:57:43.365196+02	1	Bosnian Podrinje Canton	\N	\N	\N	\N	\N	\N	t	f
4721	3481	Brakna	es	0	2013-06-05 07:36:02.061517+02	1	Brakna	\N	\N	\N	\N	\N	\N	t	f
5183	3521	Caprivi	no	0	2013-06-05 07:56:09.688879+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5185	1858	Bjelovar-Bilogora County	en	0	2013-06-05 07:56:14.848721+02	1	Bjelovar-Bilogora County	\N	\N	\N	\N	\N	\N	t	f
5277	2648	Province de Borikhamxay	fr	0	2013-06-05 07:59:59.510502+02	1	Province de Borikhamxay	\N	\N	\N	\N	\N	\N	t	f
5186	1858	Bjelovar-Bilogora	es	0	2013-06-05 07:56:17.551784+02	1	Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5188	1858	Bjelovar-Bilogora	fi	0	2013-06-05 07:56:22.220889+02	1	Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5827	3335	Debub	es	0	2013-06-05 08:24:00.326858+02	1	Debub	\N	\N	\N	\N	\N	\N	t	f
5284	3714	Bizerte Governorate	en	0	2013-06-05 08:00:16.983479+02	1	Bizerte Governorate	\N	\N	\N	\N	\N	\N	t	f
5318	2777	Bicol Region	de	0	2013-06-05 08:02:21.639491+02	1	Bicol Region	\N	\N	\N	\N	\N	\N	t	f
5806	3328	Ash Sharqiyah	no	0	2013-06-05 08:22:50.585139+02	1	Ash Sharqiyah	\N	\N	\N	\N	\N	\N	t	f
5838	1002	カサナレ県	ja	0	2013-06-05 08:24:45.879253+02	1	カサナレ県	\N	\N	\N	\N	\N	\N	t	f
6480	2206	Macédoine-Orientale-et-Thrace	fr	0	2013-06-05 08:52:39.078712+02	1	Macédoine-Orientale-et-Thrace	\N	\N	\N	\N	\N	\N	t	f
5863	2775	カガヤン・バレー地方	ja	0	2013-06-05 08:25:56.731041+02	1	カガヤン・バレー地方	\N	\N	\N	\N	\N	\N	t	f
5870	2792	Distretto di Baucau	it	0	2013-06-05 08:26:14.023079+02	1	Distretto di Baucau	\N	\N	\N	\N	\N	\N	t	f
5905	4907	Compostela Valley	nl	0	2013-06-05 08:27:47.355085+02	1	Compostela Valley	\N	\N	\N	\N	\N	\N	t	f
6663	4319	Cáceres	no	0	2013-06-05 09:00:14.442799+02	1	Cáceres	\N	\N	\N	\N	\N	\N	t	f
5931	4558	Banten	en	0	2013-06-05 08:28:53.080679+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
5943	3494	Curepipe	it	0	2013-06-05 08:29:21.898174+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
7232	4082	Barisal	fr	0	2013-06-05 09:24:42.108552+02	1	Barisal	\N	\N	\N	\N	\N	\N	t	f
5975	3145	Bururi	de	0	2013-06-05 08:30:40.760733+02	1	Bururi	\N	\N	\N	\N	\N	\N	t	f
6710	4888	Apayao	de	0	2013-06-05 09:02:13.232782+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
6317	2790	アイレウ県	ja	0	2013-06-05 08:44:58.873318+02	1	アイレウ県	\N	\N	\N	\N	\N	\N	t	f
7183	4885	Aklan	no	0	2013-06-05 09:22:38.773705+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
7271	3070	Al-Hudud al-Shamaliyya	it	0	2013-06-05 09:26:25.371654+02	1	Al-Hudud al-Shamaliyya	\N	\N	\N	\N	\N	\N	t	f
8358	1863	Brodi-Posavina maakond	et	0	2013-06-05 10:13:47.392055+02	1	Brodi-Posavina maakond	\N	\N	\N	\N	\N	\N	t	f
7358	313	Columbia Britannica	it	0	2013-06-05 09:30:01.563677+02	1	Columbia Britannica	\N	\N	\N	\N	\N	\N	t	f
7426	4626	Beneventon maakunta	fi	0	2013-06-05 09:32:47.284816+02	1	Beneventon maakunta	\N	\N	\N	\N	\N	\N	t	f
8537	4614	Provinz Alessandria	de	0	2013-06-05 10:21:05.298319+02	1	Provinz Alessandria	\N	\N	\N	\N	\N	\N	t	f
7806	4639	Como	nl	0	2013-06-05 09:49:40.049006+02	1	Como	\N	\N	\N	\N	\N	\N	t	f
8369	506	Adanan maakunta	fi	0	2013-06-05 10:14:13.801146+02	1	Adanan maakunta	\N	\N	\N	\N	\N	\N	t	f
7878	623	Ceará	de	0	2013-06-05 09:52:44.300971+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
7903	2689	Amnat Charoen	de	0	2013-06-05 09:53:47.850131+02	1	Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
8010	1720	Abşeron	de	0	2013-06-05 09:58:20.819707+02	1	Abşeron	\N	\N	\N	\N	\N	\N	t	f
8379	3732	Arushan alue	fi	0	2013-06-05 10:14:41.716987+02	1	Arushan alue	\N	\N	\N	\N	\N	\N	t	f
8019	1051	Barima-Waini	en	0	2013-06-05 09:58:48.136687+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
9478	3397	Ndzwani	et	0	2013-06-05 11:01:38.64934+02	1	Ndzwani	\N	\N	\N	\N	\N	\N	t	f
8380	3732	Région d'Arusha	fr	0	2013-06-05 10:14:44.059042+02	1	Région d'Arusha	\N	\N	\N	\N	\N	\N	t	f
8564	3823	City of London	de	0	2013-06-05 10:22:17.20668+02	1	City of London	\N	\N	\N	\N	\N	\N	t	f
8382	3732	アルーシャ州	ja	0	2013-06-05 10:14:48.761386+02	1	アルーシャ州	\N	\N	\N	\N	\N	\N	t	f
8401	3710	Gouvernorat Ben Arous	de	0	2013-06-05 10:15:35.003933+02	1	Gouvernorat Ben Arous	\N	\N	\N	\N	\N	\N	t	f
8436	4882	Provincia di Abra	it	0	2013-06-05 10:16:59.320757+02	1	Provincia di Abra	\N	\N	\N	\N	\N	\N	t	f
8566	3823	City of London	en	0	2013-06-05 10:22:25.290515+02	1	City of London	\N	\N	\N	\N	\N	\N	t	f
8506	4081	Bagerhat	nl	0	2013-06-05 10:19:49.833882+02	1	Bagerhat	\N	\N	\N	\N	\N	\N	t	f
8523	2386	Tšernivtsi oblast	et	0	2013-06-05 10:20:31.229299+02	1	Tšernivtsi oblast	\N	\N	\N	\N	\N	\N	t	f
10005	4489	Bioko Norte	nl	0	2013-06-05 11:24:38.638319+02	1	Bioko Norte	\N	\N	\N	\N	\N	\N	t	f
8568	3823	Lontoon City	fi	0	2013-06-05 10:22:32.804318+02	1	Lontoon City	\N	\N	\N	\N	\N	\N	t	f
9351	2528	Bajan-Ölgii-Aimag	de	0	2013-06-05 10:56:19.341134+02	1	Bajan-Ölgii-Aimag	\N	\N	\N	\N	\N	\N	t	f
9482	3397	アンジュアン島	ja	0	2013-06-05 11:01:48.187546+02	1	アンジュアン島	\N	\N	\N	\N	\N	\N	t	f
9362	4455	Beyla Prefecture	en	0	2013-06-05 10:56:45.829385+02	1	Beyla Prefecture	\N	\N	\N	\N	\N	\N	t	f
9434	3801	Bedford	it	0	2013-06-05 10:59:44.783223+02	1	Bedford	\N	\N	\N	\N	\N	\N	t	f
9565	3114	Cabinda	nl	0	2013-06-05 11:05:14.215119+02	1	Cabinda	\N	\N	\N	\N	\N	\N	t	f
9527	2794	Cova-Lima	es	0	2013-06-05 11:03:40.96224+02	1	Cova-Lima	\N	\N	\N	\N	\N	\N	t	f
9546	1064	Région d'Arequipa	fr	0	2013-06-05 11:04:26.968151+02	1	Région d'Arequipa	\N	\N	\N	\N	\N	\N	t	f
9590	2941	Governatorato di Erbil	it	0	2013-06-05 11:06:15.149043+02	1	Governatorato di Erbil	\N	\N	\N	\N	\N	\N	t	f
10065	587	Aargau	no	0	2013-06-05 11:27:14.021517+02	1	Aargau	\N	\N	\N	\N	\N	\N	t	f
10064	587	Aargau	nl	0	2013-06-05 11:27:11.579577+02	1	Aargau	\N	\N	\N	\N	\N	\N	t	f
10011	4615	Ancona provints	et	0	2013-06-05 11:24:53.365514+02	1	Ancona provints	\N	\N	\N	\N	\N	\N	t	f
10254	1032	Cañar	fr	0	2013-06-05 11:35:52.431319+02	1	Cañar	\N	\N	\N	\N	\N	\N	t	f
10268	4310	Albacete	nl	0	2013-06-05 11:36:26.400666+02	1	Albacete	\N	\N	\N	\N	\N	\N	t	f
10740	2791	Distretto di Ainaro	it	0	2013-06-05 11:56:11.015059+02	1	Distretto di Ainaro	\N	\N	\N	\N	\N	\N	t	f
10779	3649	バナディール州	ja	0	2013-06-05 11:58:01.937163+02	1	バナディール州	\N	\N	\N	\N	\N	\N	t	f
11045	1654	Angaur	nl	0	2013-06-05 12:09:39.050264+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11086	1791	Distrikt Brčko	de	0	2013-06-05 12:11:23.549503+02	1	Distrikt Brčko	\N	\N	\N	\N	\N	\N	t	f
11388	1251	Barahona	nl	0	2013-06-05 12:24:40.589502+02	1	Barahona	\N	\N	\N	\N	\N	\N	t	f
2066	30	Brasile	it	0	2013-05-27 15:41:35.629085+02	\N	Brasile	\N	\N	\N	\N	\N	\N	t	f
3332	1090	Departamento Ñeembucú	de	0	2013-05-27 19:57:49.338438+02	1	Departamento Ñeembucú	\N	\N	\N	\N	\N	\N	t	f
3728	859	Ανχουί	el	0	2013-06-05 06:52:52.102613+02	1	Ανχουί	\N	\N	\N	\N	\N	\N	t	f
3596	2837	Barishal	de	0	2013-06-05 06:47:26.52867+02	1	Barishal	\N	\N	\N	\N	\N	\N	t	f
3608	2917	Balkani vilajett	et	0	2013-06-05 06:47:57.092832+02	1	Balkani vilajett	\N	\N	\N	\N	\N	\N	t	f
4164	2688	Provincia di Chaiyaphum	it	0	2013-06-05 07:12:06.021818+02	1	Provincia di Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
4166	2688	Changwat Chaiyaphum	nl	0	2013-06-05 07:12:10.88874+02	1	Changwat Chaiyaphum	\N	\N	\N	\N	\N	\N	t	f
4668	2701	Chiang Mai	de	0	2013-06-05 07:33:51.608664+02	1	Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4180	2219	Distrito de Anenii Noi	es	0	2013-06-05 07:12:45.716624+02	1	Distrito de Anenii Noi	\N	\N	\N	\N	\N	\N	t	f
4212	3792	Angus	no	0	2013-06-05 07:14:04.09056+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4620	1832	Clippertoninsaari	fi	0	2013-06-05 07:31:53.247688+02	1	Clippertoninsaari	\N	\N	\N	\N	\N	\N	t	f
5195	1089	Central Department	en	0	2013-06-05 07:56:39.655248+02	1	Central Department	\N	\N	\N	\N	\N	\N	t	f
4639	4379	Côtes-d'Armor	es	0	2013-06-05 07:32:40.277377+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
5222	4071	Podrinje Bosnio	es	0	2013-06-05 07:57:45.705254+02	1	Podrinje Bosnio	\N	\N	\N	\N	\N	\N	t	f
5239	2561	Cao Bằng	de	0	2013-06-05 07:58:27.600964+02	1	Cao Bằng	\N	\N	\N	\N	\N	\N	t	f
5828	3335	Debub	fr	0	2013-06-05 08:24:06.434421+02	1	Debub	\N	\N	\N	\N	\N	\N	t	f
5810	3263	Wilaya de Béchar	fr	0	2013-06-05 08:23:00.552654+02	1	Wilaya de Béchar	\N	\N	\N	\N	\N	\N	t	f
5831	3335	Debub	nl	0	2013-06-05 08:24:21.265828+02	1	Debub	\N	\N	\N	\N	\N	\N	t	f
6481	2206	Macedonia Orientale e Tracia	it	0	2013-06-05 08:52:41.465972+02	1	Macedonia Orientale e Tracia	\N	\N	\N	\N	\N	\N	t	f
5854	3132	Centre-Est	fr	0	2013-06-05 08:25:31.662678+02	1	Centre-Est	\N	\N	\N	\N	\N	\N	t	f
5858	2775	Cagayan Valley	de	0	2013-06-05 08:25:42.174557+02	1	Cagayan Valley	\N	\N	\N	\N	\N	\N	t	f
7897	4547	Bolaman alue	fi	0	2013-06-05 09:53:32.54961+02	1	Bolaman alue	\N	\N	\N	\N	\N	\N	t	f
5879	3648	Bakool	nl	0	2013-06-05 08:26:40.624006+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
6509	1813	カンタブリア州	ja	0	2013-06-05 08:53:49.688082+02	1	カンタブリア州	\N	\N	\N	\N	\N	\N	t	f
5909	3331	Gobernación de Suez	es	0	2013-06-05 08:27:57.455549+02	1	Gobernación de Suez	\N	\N	\N	\N	\N	\N	t	f
6318	2790	Aileu	nl	0	2013-06-05 08:45:01.249131+02	1	Aileu	\N	\N	\N	\N	\N	\N	t	f
7233	264	Arkansas	de	0	2013-06-05 09:24:45.464272+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6348	2222	Briceni District	en	0	2013-06-05 08:46:17.10638+02	1	Briceni District	\N	\N	\N	\N	\N	\N	t	f
6513	3074	Al Jawf Province	en	0	2013-06-05 08:53:59.653596+02	1	Al Jawf Province	\N	\N	\N	\N	\N	\N	t	f
6372	3772	Central	nl	0	2013-06-05 08:47:19.334688+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
6413	4890	Bataan	en	0	2013-06-05 08:49:45.456812+02	1	Bataan	\N	\N	\N	\N	\N	\N	t	f
6547	1138	Barinas	it	0	2013-06-05 08:55:22.498202+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
6632	2333	Centar Župa	nl	0	2013-06-05 08:58:51.928694+02	1	Centar Župa	\N	\N	\N	\N	\N	\N	t	f
7239	264	Arkansas	fr	0	2013-06-05 09:24:59.837725+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6645	2192	Provincia de Brest	es	0	2013-06-05 08:59:24.833781+02	1	Provincia de Brest	\N	\N	\N	\N	\N	\N	t	f
6700	4630	Μπαρλέττα-Άντρια-Τράνι	el	0	2013-06-05 09:01:45.769458+02	1	Μπαρλέττα-Άντρια-Τράνι	\N	\N	\N	\N	\N	\N	t	f
7186	2256	Aerodrom	fr	0	2013-06-05 09:22:46.184385+02	1	Aerodrom	\N	\N	\N	\N	\N	\N	t	f
7277	1531	Chinandega	fi	0	2013-06-05 09:26:40.328812+02	1	Chinandega	\N	\N	\N	\N	\N	\N	t	f
7901	4547	Bolama	nl	0	2013-06-05 09:53:42.527645+02	1	Bolama	\N	\N	\N	\N	\N	\N	t	f
7407	4623	Bergamo provints	et	0	2013-06-05 09:32:01.159784+02	1	Bergamo provints	\N	\N	\N	\N	\N	\N	t	f
7411	4623	ベルガモ県	ja	0	2013-06-05 09:32:10.759715+02	1	ベルガモ県	\N	\N	\N	\N	\N	\N	t	f
7454	1288	Aglonas novads	nl	0	2013-06-05 09:33:59.515273+02	1	Aglonas novads	\N	\N	\N	\N	\N	\N	t	f
7937	515	Balıkesir	nl	0	2013-06-05 09:55:13.490717+02	1	Balıkesir	\N	\N	\N	\N	\N	\N	t	f
7470	645	Burgenland	et	0	2013-06-05 09:34:38.765444+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
7807	4639	Provinsen Como	no	0	2013-06-05 09:49:43.591872+02	1	Provinsen Como	\N	\N	\N	\N	\N	\N	t	f
8360	1863	Comitat de Brod-Posavina	fr	0	2013-06-05 10:13:52.044327+02	1	Comitat de Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
7811	2496	Almatõ oblast	et	0	2013-06-05 09:49:54.32362+02	1	Almatõ oblast	\N	\N	\N	\N	\N	\N	t	f
7941	820	Constanța	es	0	2013-06-05 09:55:23.604773+02	1	Constanța	\N	\N	\N	\N	\N	\N	t	f
7817	507	Επαρχία Αντιγιαμάν	el	0	2013-06-05 09:50:10.008426+02	1	Επαρχία Αντιγιαμάν	\N	\N	\N	\N	\N	\N	t	f
7885	623	セアラー州	ja	0	2013-06-05 09:53:01.271325+02	1	セアラー州	\N	\N	\N	\N	\N	\N	t	f
7892	1295	Amatas novads	nl	0	2013-06-05 09:53:19.00682+02	1	Amatas novads	\N	\N	\N	\N	\N	\N	t	f
8376	3732	Arusha Region	en	0	2013-06-05 10:14:33.928368+02	1	Arusha Region	\N	\N	\N	\N	\N	\N	t	f
9408	3067	Casim	es	0	2013-06-05 10:58:40.269102+02	1	Casim	\N	\N	\N	\N	\N	\N	t	f
8381	3732	Regione di Arusha	it	0	2013-06-05 10:14:46.427423+02	1	Regione di Arusha	\N	\N	\N	\N	\N	\N	t	f
8499	3003	Al Jahra	fr	0	2013-06-05 10:19:33.014616+02	1	Al Jahra	\N	\N	\N	\N	\N	\N	t	f
10775	3649	Benadir	es	0	2013-06-05 11:57:49.00854+02	1	Benadir	\N	\N	\N	\N	\N	\N	t	f
8525	2386	Oblast de Tchernivtsi	fr	0	2013-06-05 10:20:35.972366+02	1	Oblast de Tchernivtsi	\N	\N	\N	\N	\N	\N	t	f
9409	3067	Al-Qaşīm	et	0	2013-06-05 10:58:42.609911+02	1	Al-Qaşīm	\N	\N	\N	\N	\N	\N	t	f
8531	3257	Chlef Province	en	0	2013-06-05 10:20:50.601135+02	1	Chlef Province	\N	\N	\N	\N	\N	\N	t	f
9354	2528	Bajan-Ölgij aimakk	et	0	2013-06-05 10:56:26.49757+02	1	Bajan-Ölgij aimakk	\N	\N	\N	\N	\N	\N	t	f
10006	4489	Bioko Norte	no	0	2013-06-05 11:24:41.02313+02	1	Bioko Norte	\N	\N	\N	\N	\N	\N	t	f
9442	815	Județ de Brașov	fr	0	2013-06-05 11:00:07.061715+02	1	Județ de Brașov	\N	\N	\N	\N	\N	\N	t	f
9462	1697	A'ana	no	0	2013-06-05 11:00:59.534352+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
10125	4627	Bologna provints	et	0	2013-06-05 11:29:42.855416+02	1	Bologna provints	\N	\N	\N	\N	\N	\N	t	f
9466	4617	Ascoli Piceno	es	0	2013-06-05 11:01:09.567959+02	1	Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
10013	4615	province d'Ancône	fr	0	2013-06-05 11:24:59.841957+02	1	province d'Ancône	\N	\N	\N	\N	\N	\N	t	f
10082	806	Άλμπα	el	0	2013-06-05 11:27:57.271085+02	1	Άλμπα	\N	\N	\N	\N	\N	\N	t	f
10741	2791	アイナロ県	ja	0	2013-06-05 11:56:13.509766+02	1	アイナロ県	\N	\N	\N	\N	\N	\N	t	f
10140	4590	Carlow	no	0	2013-06-05 11:30:19.91028+02	1	Carlow	\N	\N	\N	\N	\N	\N	t	f
11460	2776	中部ルソン地方	ja	0	2013-06-05 12:27:49.961851+02	1	中部ルソン地方	\N	\N	\N	\N	\N	\N	t	f
10845	3133	Centre-Nord	fr	0	2013-06-05 12:01:18.854055+02	1	Centre-Nord	\N	\N	\N	\N	\N	\N	t	f
12292	2450	St. Petersburg	en	0	2013-07-29 22:39:23.073069+02	1	St. Petersburg	\N	\N	\N	\N	\N	\N	f	f
2067	30	ブラジル	ja	0	2013-05-27 15:41:37.83221+02	\N	ブラジル	\N	\N	\N	\N	\N	\N	t	f
2068	30	Brazilië	nl	0	2013-05-27 15:41:40.058871+02	\N	Brazilië	\N	\N	\N	\N	\N	\N	t	f
2114	141	Monaco	de	0	2013-05-27 15:43:32.566495+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2069	30	Brasil	no	0	2013-05-27 15:41:42.305399+02	\N	Brasil	\N	\N	\N	\N	\N	\N	t	f
2097	61	Itä-Timor	fi	0	2013-05-27 15:42:53.121841+02	\N	Itä-Timor	\N	\N	\N	\N	\N	\N	t	f
2070	92	Guyana	de	0	2013-05-27 15:41:45.229437+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2071	92	Γουιάνα	el	0	2013-05-27 15:41:47.647437+02	\N	Γουιάνα	\N	\N	\N	\N	\N	\N	t	f
2072	92	Guyana	en	0	2013-05-27 15:41:49.857716+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2098	61	Timor oriental	fr	0	2013-05-27 15:42:55.437912+02	\N	Timor oriental	\N	\N	\N	\N	\N	\N	t	f
2073	92	Guyana	es	0	2013-05-27 15:41:52.085056+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2074	92	Guyana	et	0	2013-05-27 15:41:54.283141+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2132	45	Isola del Natale	it	0	2013-05-27 15:44:13.285696+02	\N	Isola del Natale	\N	\N	\N	\N	\N	\N	t	f
2075	92	Guyana	fi	0	2013-05-27 15:41:56.4666+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2099	61	Timor Est	it	0	2013-05-27 15:42:57.665198+02	\N	Timor Est	\N	\N	\N	\N	\N	\N	t	f
2076	92	Guyana	fr	0	2013-05-27 15:41:58.67967+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2077	92	Guyana	it	0	2013-05-27 15:42:00.885303+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2115	141	Μονακό	el	0	2013-05-27 15:43:34.743375+02	\N	Μονακό	\N	\N	\N	\N	\N	\N	t	f
2078	92	ガイアナ	ja	0	2013-05-27 15:42:03.172107+02	\N	ガイアナ	\N	\N	\N	\N	\N	\N	t	f
2079	92	Guyana	nl	0	2013-05-27 15:42:05.404355+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2080	92	Guyana	no	0	2013-05-27 15:42:07.61653+02	\N	Guyana	\N	\N	\N	\N	\N	\N	t	f
2101	61	Oost-Timor	nl	0	2013-05-27 15:43:02.216838+02	\N	Oost-Timor	\N	\N	\N	\N	\N	\N	t	f
2126	45	Νήσος των Χριστουγέννων	el	0	2013-05-27 15:43:59.9924+02	\N	Νήσος των Χριστουγέννων	\N	\N	\N	\N	\N	\N	t	f
2102	61	Øst-Timor	no	0	2013-05-27 15:43:04.466089+02	\N	Øst-Timor	\N	\N	\N	\N	\N	\N	t	f
2116	141	Monaco	en	0	2013-05-27 15:43:37.031067+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2103	7	Anguilla	de	0	2013-05-27 15:43:07.305393+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2104	7	Ανγκουίλα	el	0	2013-05-27 15:43:09.577817+02	\N	Ανγκουίλα	\N	\N	\N	\N	\N	\N	t	f
2092	61	Osttimor	de	0	2013-05-27 15:42:42.059252+02	\N	Osttimor	\N	\N	\N	\N	\N	\N	t	f
2093	61	Ανατολικό Τιμόρ	el	0	2013-05-27 15:42:44.306495+02	\N	Ανατολικό Τιμόρ	\N	\N	\N	\N	\N	\N	t	f
2105	7	Anguilla	en	0	2013-05-27 15:43:11.802848+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2094	61	Timor-Leste	en	0	2013-05-27 15:42:46.506448+02	\N	Timor-Leste	\N	\N	\N	\N	\N	\N	t	f
2095	61	Timor Oriental	es	0	2013-05-27 15:42:48.704956+02	\N	Timor Oriental	\N	\N	\N	\N	\N	\N	t	f
2117	141	Mónaco	es	0	2013-05-27 15:43:39.219325+02	\N	Mónaco	\N	\N	\N	\N	\N	\N	t	f
2096	61	Ida-Timor	et	0	2013-05-27 15:42:50.881843+02	\N	Ida-Timor	\N	\N	\N	\N	\N	\N	t	f
2106	7	Anguila	es	0	2013-05-27 15:43:13.986992+02	\N	Anguila	\N	\N	\N	\N	\N	\N	t	f
2107	7	Anguilla	et	0	2013-05-27 15:43:16.182212+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2108	7	Anguilla	fi	0	2013-05-27 15:43:18.358017+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2118	141	Monaco	et	0	2013-05-27 15:43:41.412441+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2109	7	Anguilla	fr	0	2013-05-27 15:43:20.643754+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2110	7	Anguilla	it	0	2013-05-27 15:43:22.861883+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2127	45	Christmas Island	en	0	2013-05-27 15:44:02.17965+02	\N	Christmas Island	\N	\N	\N	\N	\N	\N	t	f
2111	7	アンギラ	ja	0	2013-05-27 15:43:25.097734+02	\N	アンギラ	\N	\N	\N	\N	\N	\N	t	f
2119	141	Monaco	fi	0	2013-05-27 15:43:43.60094+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2112	7	Anguilla	nl	0	2013-05-27 15:43:27.343052+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2113	7	Anguilla	no	0	2013-05-27 15:43:29.596932+02	\N	Anguilla	\N	\N	\N	\N	\N	\N	t	f
2120	141	Monaco	fr	0	2013-05-27 15:43:45.783047+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2128	45	Isla de Navidad	es	0	2013-05-27 15:44:04.371184+02	\N	Isla de Navidad	\N	\N	\N	\N	\N	\N	t	f
2121	141	Principato di Monaco	it	0	2013-05-27 15:43:48.0833+02	\N	Principato di Monaco	\N	\N	\N	\N	\N	\N	t	f
2122	141	モナコ	ja	0	2013-05-27 15:43:50.363516+02	\N	モナコ	\N	\N	\N	\N	\N	\N	t	f
2133	45	クリスマス島	ja	0	2013-05-27 15:44:15.597981+02	\N	クリスマス島	\N	\N	\N	\N	\N	\N	t	f
2123	141	Monaco	nl	0	2013-05-27 15:43:52.58547+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2129	45	Jõulusaar	et	0	2013-05-27 15:44:06.577081+02	\N	Jõulusaar	\N	\N	\N	\N	\N	\N	t	f
2124	141	Monaco	no	0	2013-05-27 15:43:54.837325+02	\N	Monaco	\N	\N	\N	\N	\N	\N	t	f
2125	45	Weihnachtsinsel	de	0	2013-05-27 15:43:57.718279+02	\N	Weihnachtsinsel	\N	\N	\N	\N	\N	\N	t	f
2130	45	Joulusaari	fi	0	2013-05-27 15:44:08.798613+02	\N	Joulusaari	\N	\N	\N	\N	\N	\N	t	f
2131	45	Île Christmas	fr	0	2013-05-27 15:44:11.018569+02	\N	Île Christmas	\N	\N	\N	\N	\N	\N	t	f
2137	212	Τρινιντάντ και Τομπάγκο	el	0	2013-05-27 15:44:25.31208+02	\N	Τρινιντάντ και Τομπάγκο	\N	\N	\N	\N	\N	\N	t	f
2134	45	Christmaseiland	nl	0	2013-05-27 15:44:17.83339+02	\N	Christmaseiland	\N	\N	\N	\N	\N	\N	t	f
2135	45	Christmasøya	no	0	2013-05-27 15:44:20.053903+02	\N	Christmasøya	\N	\N	\N	\N	\N	\N	t	f
2139	212	Trinidad y Tobago	es	0	2013-05-27 15:44:29.804397+02	\N	Trinidad y Tobago	\N	\N	\N	\N	\N	\N	t	f
2136	212	Trinidad und Tobago	de	0	2013-05-27 15:44:23.099524+02	\N	Trinidad und Tobago	\N	\N	\N	\N	\N	\N	t	f
2138	212	Trinidad and Tobago	en	0	2013-05-27 15:44:27.541319+02	\N	Trinidad and Tobago	\N	\N	\N	\N	\N	\N	t	f
2140	212	Trinidad ja Tobago	et	0	2013-05-27 15:44:32.006103+02	\N	Trinidad ja Tobago	\N	\N	\N	\N	\N	\N	t	f
2141	212	Trinidad ja Tobago	fi	0	2013-05-27 15:44:34.195683+02	\N	Trinidad ja Tobago	\N	\N	\N	\N	\N	\N	t	f
2142	212	Trinité-et-Tobago	fr	0	2013-05-27 15:44:38.20354+02	\N	Trinité-et-Tobago	\N	\N	\N	\N	\N	\N	t	f
2143	212	Trinidad e Tobago	it	0	2013-05-27 15:44:40.497204+02	\N	Trinidad e Tobago	\N	\N	\N	\N	\N	\N	t	f
2144	212	トリニダード・トバゴ	ja	0	2013-05-27 15:44:43.11462+02	\N	トリニダード・トバゴ	\N	\N	\N	\N	\N	\N	t	f
2145	212	Trinidad en Tobago	nl	0	2013-05-27 15:44:45.336766+02	\N	Trinidad en Tobago	\N	\N	\N	\N	\N	\N	t	f
2146	212	Trinidad og Tobago	no	0	2013-05-27 15:44:47.610357+02	\N	Trinidad og Tobago	\N	\N	\N	\N	\N	\N	t	f
2147	64	El Salvador	de	0	2013-05-27 15:44:50.662037+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
2148	64	Ελ Σαλβαδόρ	el	0	2013-05-27 15:44:52.945148+02	\N	Ελ Σαλβαδόρ	\N	\N	\N	\N	\N	\N	t	f
7235	264	Arkansas	en	0	2013-06-05 09:24:50.245997+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
2149	64	El Salvador	en	0	2013-05-27 15:44:55.158414+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
2150	64	El Salvador	es	0	2013-05-27 15:44:57.395737+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
3333	1090	Ñeembucú Department	en	0	2013-05-27 19:57:51.552633+02	1	Ñeembucú Department	\N	\N	\N	\N	\N	\N	t	f
3729	859	Anhui	en	0	2013-06-05 06:52:54.461235+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3365	3687	Hadjer-Lamis	et	0	2013-05-27 19:59:27.034682+02	1	Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
4165	2688	チャイヤプーム県	ja	0	2013-06-05 07:12:08.41705+02	1	チャイヤプーム県	\N	\N	\N	\N	\N	\N	t	f
3399	1678	ʻEua	de	0	2013-05-27 20:00:53.634956+02	1	ʻEua	\N	\N	\N	\N	\N	\N	t	f
3598	2837	Barisal	es	0	2013-06-05 06:47:31.285099+02	1	Barisal	\N	\N	\N	\N	\N	\N	t	f
4670	2701	Provincia de Chiang Mai	es	0	2013-06-05 07:33:56.573426+02	1	Provincia de Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4621	1832	Île de Clipperton	fr	0	2013-06-05 07:31:55.650468+02	1	Île de Clipperton	\N	\N	\N	\N	\N	\N	t	f
5223	4071	Bosnian Podrinje	fi	0	2013-06-05 07:57:48.101399+02	1	Bosnian Podrinje	\N	\N	\N	\N	\N	\N	t	f
4739	1027	provincia di Azuay	it	0	2013-06-05 07:36:47.073061+02	1	provincia di Azuay	\N	\N	\N	\N	\N	\N	t	f
5196	1089	Departamento Central	es	0	2013-06-05 07:56:42.067476+02	1	Departamento Central	\N	\N	\N	\N	\N	\N	t	f
5829	3335	Regione del Sud	it	0	2013-06-05 08:24:12.363398+02	1	Regione del Sud	\N	\N	\N	\N	\N	\N	t	f
5198	1089	Dipartimento Central	it	0	2013-06-05 07:56:46.923301+02	1	Dipartimento Central	\N	\N	\N	\N	\N	\N	t	f
5237	4376	Cher	nl	0	2013-06-05 07:58:22.401351+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
5255	4895	Batangas	es	0	2013-06-05 07:59:06.087447+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
6483	2206	Oost-Macedonië en Thracië	nl	0	2013-06-05 08:52:46.192217+02	1	Oost-Macedonië en Thracië	\N	\N	\N	\N	\N	\N	t	f
5282	3714	Gouvernorat Bizerta	de	0	2013-06-05 08:00:12.206191+02	1	Gouvernorat Bizerta	\N	\N	\N	\N	\N	\N	t	f
5884	4028	District de Berat	fr	0	2013-06-05 08:26:53.695122+02	1	District de Berat	\N	\N	\N	\N	\N	\N	t	f
5301	996	Departamento del Arauca	de	0	2013-06-05 08:01:02.686345+02	1	Departamento del Arauca	\N	\N	\N	\N	\N	\N	t	f
5308	996	Arauca	nl	0	2013-06-05 08:01:34.318322+02	1	Arauca	\N	\N	\N	\N	\N	\N	t	f
5327	4557	Bengkulu	es	0	2013-06-05 08:02:47.13607+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
5961	4555	Bali	nl	0	2013-06-05 08:30:05.449805+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
5813	3263	Béchar	no	0	2013-06-05 08:23:07.833465+02	1	Béchar	\N	\N	\N	\N	\N	\N	t	f
6321	5030	Abim	fr	0	2013-06-05 08:45:08.721887+02	1	Abim	\N	\N	\N	\N	\N	\N	t	f
6531	4259	Distretto di Cheb	it	0	2013-06-05 08:54:43.325566+02	1	Distretto di Cheb	\N	\N	\N	\N	\N	\N	t	f
6330	694	Provincia de Buenos Aires	es	0	2013-06-05 08:45:31.435576+02	1	Provincia de Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
6428	4360	Aisne	nl	0	2013-06-05 08:50:26.494241+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
6439	807	Kreis Argeș	de	0	2013-06-05 08:50:56.584983+02	1	Kreis Argeș	\N	\N	\N	\N	\N	\N	t	f
6579	3810	バッキンガムシャー	ja	0	2013-06-05 08:56:41.22001+02	1	バッキンガムシャー	\N	\N	\N	\N	\N	\N	t	f
6440	807	Άρτζες	el	0	2013-06-05 08:50:58.900154+02	1	Άρτζες	\N	\N	\N	\N	\N	\N	t	f
7237	264	Arkansas	et	0	2013-06-05 09:24:55.124521+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6610	3261	Béjaïa	no	0	2013-06-05 08:57:57.639959+02	1	Béjaïa	\N	\N	\N	\N	\N	\N	t	f
6641	1139	Bolívar	nl	0	2013-06-05 08:59:14.917082+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
8361	1863	regione di Brod e della Posavina	it	0	2013-06-05 10:13:54.442737+02	1	regione di Brod e della Posavina	\N	\N	\N	\N	\N	\N	t	f
6648	2192	Voblast de Brest	fr	0	2013-06-05 08:59:31.999928+02	1	Voblast de Brest	\N	\N	\N	\N	\N	\N	t	f
7414	3794	Ards	de	0	2013-06-05 09:32:18.281489+02	1	Ards	\N	\N	\N	\N	\N	\N	t	f
7201	4613	Agrigento	es	0	2013-06-05 09:23:24.128765+02	1	Agrigento	\N	\N	\N	\N	\N	\N	t	f
7443	720	Bács-Kiskun	es	0	2013-06-05 09:33:28.920837+02	1	Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
7474	645	ブルゲンラント州	ja	0	2013-06-05 09:34:50.695849+02	1	ブルゲンラント州	\N	\N	\N	\N	\N	\N	t	f
8447	262	Alaska	it	0	2013-06-05 10:17:26.082019+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
7809	2496	Almaty Province	en	0	2013-06-05 09:49:49.596868+02	1	Almaty Province	\N	\N	\N	\N	\N	\N	t	f
7980	1137	Aragua	et	0	2013-06-05 09:57:00.977596+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
7984	1137	Aragua	nl	0	2013-06-05 09:57:10.741631+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
8480	983	Atacama Region	en	0	2013-06-05 10:18:47.282847+02	1	Atacama Region	\N	\N	\N	\N	\N	\N	t	f
8037	573	Επαρχία Ακσαράι	el	0	2013-06-05 09:59:53.753119+02	1	Επαρχία Ακσαράι	\N	\N	\N	\N	\N	\N	t	f
9380	5014	アジュマニ県	ja	0	2013-06-05 10:57:32.217976+02	1	アジュマニ県	\N	\N	\N	\N	\N	\N	t	f
8492	3066	Al-Šarqiyya	fi	0	2013-06-05 10:19:16.033658+02	1	Al-Šarqiyya	\N	\N	\N	\N	\N	\N	t	f
8495	3066	東部州	ja	0	2013-06-05 10:19:23.188023+02	1	東部州	\N	\N	\N	\N	\N	\N	t	f
10105	2155	Acquaviva	fr	0	2013-06-05 11:28:53.124429+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
8496	3066	Ash Sharqiyah	nl	0	2013-06-05 10:19:25.558298+02	1	Ash Sharqiyah	\N	\N	\N	\N	\N	\N	t	f
9403	5006	Budaka	fr	0	2013-06-05 10:58:28.197689+02	1	Budaka	\N	\N	\N	\N	\N	\N	t	f
8527	2386	チェルニウツィー州	ja	0	2013-06-05 10:20:40.724546+02	1	チェルニウツィー州	\N	\N	\N	\N	\N	\N	t	f
8540	4614	Alessandria	es	0	2013-06-05 10:21:13.274971+02	1	Alessandria	\N	\N	\N	\N	\N	\N	t	f
10009	4615	Ancona	en	0	2013-06-05 11:24:48.68595+02	1	Ancona	\N	\N	\N	\N	\N	\N	t	f
8541	4614	Alessandria provints	et	0	2013-06-05 10:21:15.651104+02	1	Alessandria provints	\N	\N	\N	\N	\N	\N	t	f
9412	3067	Al-Qasim	it	0	2013-06-05 10:58:49.727094+02	1	Al-Qasim	\N	\N	\N	\N	\N	\N	t	f
9367	4620	Asti	en	0	2013-06-05 10:57:01.097114+02	1	Asti	\N	\N	\N	\N	\N	\N	t	f
9438	815	Braşov County	en	0	2013-06-05 10:59:57.452753+02	1	Braşov County	\N	\N	\N	\N	\N	\N	t	f
9543	1064	Arequipa	es	0	2013-06-05 11:04:19.862338+02	1	Arequipa	\N	\N	\N	\N	\N	\N	t	f
10015	4615	アンコーナ県	ja	0	2013-06-05 11:25:04.662774+02	1	アンコーナ県	\N	\N	\N	\N	\N	\N	t	f
9577	2925	Fuyaira	es	0	2013-06-05 11:05:43.750722+02	1	Fuyaira	\N	\N	\N	\N	\N	\N	t	f
9630	658	Bihar	en	0	2013-06-05 11:07:57.876279+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10172	1529	Département de Boaco	fr	0	2013-06-05 11:31:39.083633+02	1	Département de Boaco	\N	\N	\N	\N	\N	\N	t	f
10093	3544	Akwa Ibom State	en	0	2013-06-05 11:28:24.12001+02	1	Akwa Ibom State	\N	\N	\N	\N	\N	\N	t	f
10174	1529	ボアコ県	ja	0	2013-06-05 11:31:43.88102+02	1	ボアコ県	\N	\N	\N	\N	\N	\N	t	f
10173	1529	Dipartimento di Boaco	it	0	2013-06-05 11:31:41.490178+02	1	Dipartimento di Boaco	\N	\N	\N	\N	\N	\N	t	f
10744	4554	Aceh	en	0	2013-06-05 11:56:21.119409+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10751	4554	Atjeh	nl	0	2013-06-05 11:56:37.779815+02	1	Atjeh	\N	\N	\N	\N	\N	\N	t	f
10924	386	Prefectura de Aomori	es	0	2013-06-05 12:04:35.580334+02	1	Prefectura de Aomori	\N	\N	\N	\N	\N	\N	t	f
10982	3304	Aleksandria kubernerkond	et	0	2013-06-05 12:06:57.500308+02	1	Aleksandria kubernerkond	\N	\N	\N	\N	\N	\N	t	f
10990	2991	At Tafilah	fi	0	2013-06-05 12:07:17.104211+02	1	At Tafilah	\N	\N	\N	\N	\N	\N	t	f
11041	1654	Angaur	fi	0	2013-06-05 12:09:28.824478+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11478	357	Comté d'Akershus	fr	0	2013-06-05 12:28:33.909141+02	1	Comté d'Akershus	\N	\N	\N	\N	\N	\N	t	f
12293	2450	Saint Petersburg	en	0	2013-07-29 22:39:23.073069+02	1	Saint Petersburg	\N	\N	\N	\N	\N	\N	t	f
2151	64	El Salvador	et	0	2013-05-27 15:44:59.605312+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
2152	64	El Salvador	fi	0	2013-05-27 15:45:01.822089+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
3334	1090	Departamento de Ñeembucú	es	0	2013-05-27 19:57:53.755654+02	1	Departamento de Ñeembucú	\N	\N	\N	\N	\N	\N	t	f
3599	2837	Barisalin alue	fi	0	2013-06-05 06:47:33.675763+02	1	Barisalin alue	\N	\N	\N	\N	\N	\N	t	f
3730	859	Anhui	es	0	2013-06-05 06:52:56.808759+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3640	1419	Baja Verapaz	en	0	2013-06-05 06:49:16.128178+02	1	Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3642	1419	Département de Baja Verapaz	fr	0	2013-06-05 06:49:20.852895+02	1	Département de Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
4169	577	Επαρχία Μπατμάν	el	0	2013-06-05 07:12:18.664656+02	1	Επαρχία Μπατμάν	\N	\N	\N	\N	\N	\N	t	f
3688	2770	Brunei-Muara District	en	0	2013-06-05 06:51:14.242294+02	1	Brunei-Muara District	\N	\N	\N	\N	\N	\N	t	f
4187	4633	Province of Campobasso	en	0	2013-06-05 07:13:02.980546+02	1	Province of Campobasso	\N	\N	\N	\N	\N	\N	t	f
4672	2701	Province de Chiang Mai	fr	0	2013-06-05 07:34:01.314567+02	1	Province de Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4188	4633	Campobasso	es	0	2013-06-05 07:13:05.344921+02	1	Campobasso	\N	\N	\N	\N	\N	\N	t	f
4628	2860	Badakhshan	en	0	2013-06-05 07:32:12.896597+02	1	Badakhshan	\N	\N	\N	\N	\N	\N	t	f
4630	2860	Badakhshāni provints	et	0	2013-06-05 07:32:17.83189+02	1	Badakhshāni provints	\N	\N	\N	\N	\N	\N	t	f
4691	2683	Buriram	no	0	2013-06-05 07:34:47.596556+02	1	Buriram	\N	\N	\N	\N	\N	\N	t	f
4642	4379	Côtes-d'Armor‎	fr	0	2013-06-05 07:32:47.52455+02	1	Côtes-d'Armor‎	\N	\N	\N	\N	\N	\N	t	f
5225	4071	Cantone della Podrinje Bosniaca	it	0	2013-06-05 07:57:53.444647+02	1	Cantone della Podrinje Bosniaca	\N	\N	\N	\N	\N	\N	t	f
4695	2258	Berovo	it	0	2013-06-05 07:34:57.502772+02	1	Berovo	\N	\N	\N	\N	\N	\N	t	f
5291	3714	Bizerte	no	0	2013-06-05 08:00:37.151188+02	1	Bizerte	\N	\N	\N	\N	\N	\N	t	f
5830	3335	デブブ地方	ja	0	2013-06-05 08:24:15.513934+02	1	デブブ地方	\N	\N	\N	\N	\N	\N	t	f
5317	2223	Basarabeasca	nl	0	2013-06-05 08:02:16.407118+02	1	Basarabeasca	\N	\N	\N	\N	\N	\N	t	f
5319	2777	Bicol Region	en	0	2013-06-05 08:02:23.995761+02	1	Bicol Region	\N	\N	\N	\N	\N	\N	t	f
5334	1088	Departamento Alto Paraná	de	0	2013-06-05 08:03:07.099328+02	1	Departamento Alto Paraná	\N	\N	\N	\N	\N	\N	t	f
5857	3132	Centre-Est	no	0	2013-06-05 08:25:39.471101+02	1	Centre-Est	\N	\N	\N	\N	\N	\N	t	f
5814	3593	Bel Ombre	en	0	2013-06-05 08:23:10.626679+02	1	Bel Ombre	\N	\N	\N	\N	\N	\N	t	f
6485	714	Córdoba	de	0	2013-06-05 08:52:51.470953+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5935	4558	Banten	it	0	2013-06-05 08:29:02.444927+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
5956	4555	Bali	et	0	2013-06-05 08:29:53.178065+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
5958	4555	Bali	fr	0	2013-06-05 08:29:57.964095+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
6486	714	Córdoba Province	en	0	2013-06-05 08:52:53.817593+02	1	Córdoba Province	\N	\N	\N	\N	\N	\N	t	f
6328	694	Provinz Buenos Aires	de	0	2013-06-05 08:45:26.151718+02	1	Provinz Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
6423	4360	Aisne'i departemang	et	0	2013-06-05 08:50:14.164707+02	1	Aisne'i departemang	\N	\N	\N	\N	\N	\N	t	f
7238	264	Arkansas	fi	0	2013-06-05 09:24:57.486118+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6497	1167	Christ Church	fr	0	2013-06-05 08:53:20.338366+02	1	Christ Church	\N	\N	\N	\N	\N	\N	t	f
6526	509	Ağrı	nl	0	2013-06-05 08:54:30.924727+02	1	Ağrı	\N	\N	\N	\N	\N	\N	t	f
7922	454	Bonaire	et	0	2013-06-05 09:54:35.984419+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
6661	4319	カセレス県	ja	0	2013-06-05 09:00:09.402684+02	1	カセレス県	\N	\N	\N	\N	\N	\N	t	f
7245	4749	Badulla District	en	0	2013-06-05 09:25:14.857092+02	1	Badulla District	\N	\N	\N	\N	\N	\N	t	f
6711	4888	Apayao	en	0	2013-06-05 09:02:15.585381+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
7217	4289	Okres Brno-venkov	de	0	2013-06-05 09:24:03.430713+02	1	Okres Brno-venkov	\N	\N	\N	\N	\N	\N	t	f
7222	1730	Beyləqan	de	0	2013-06-05 09:24:15.587499+02	1	Beyləqan	\N	\N	\N	\N	\N	\N	t	f
7270	3070	Al-Hudud ach-Chamaliya	fr	0	2013-06-05 09:26:22.849207+02	1	Al-Hudud ach-Chamaliya	\N	\N	\N	\N	\N	\N	t	f
8649	2606	Ca Mau	no	0	2013-06-05 10:26:35.519967+02	1	Ca Mau	\N	\N	\N	\N	\N	\N	t	f
7274	1531	Departamento Chinandega	de	0	2013-06-05 09:26:33.092179+02	1	Departamento Chinandega	\N	\N	\N	\N	\N	\N	t	f
7930	515	Επαρχία Μπαλικεσίρ	el	0	2013-06-05 09:54:56.116523+02	1	Επαρχία Μπαλικεσίρ	\N	\N	\N	\N	\N	\N	t	f
7348	579	バルトゥン県	ja	0	2013-06-05 09:29:36.86836+02	1	バルトゥン県	\N	\N	\N	\N	\N	\N	t	f
8363	1863	Brod-Posavina	nl	0	2013-06-05 10:13:59.233798+02	1	Brod-Posavina	\N	\N	\N	\N	\N	\N	t	f
7364	1924	Andrijevica vald	et	0	2013-06-05 09:30:16.288101+02	1	Andrijevica vald	\N	\N	\N	\N	\N	\N	t	f
7386	2813	État Chin	fr	0	2013-06-05 09:31:09.930062+02	1	État Chin	\N	\N	\N	\N	\N	\N	t	f
9368	4620	Asti	es	0	2013-06-05 10:57:03.461348+02	1	Asti	\N	\N	\N	\N	\N	\N	t	f
7390	2813	Chin	no	0	2013-06-05 09:31:19.607556+02	1	Chin	\N	\N	\N	\N	\N	\N	t	f
8384	3732	Arusha	no	0	2013-06-05 10:14:53.49842+02	1	Arusha	\N	\N	\N	\N	\N	\N	t	f
7392	3433	Kufra District	en	0	2013-06-05 09:31:24.844387+02	1	Kufra District	\N	\N	\N	\N	\N	\N	t	f
7810	2496	Provincia de Almaty	es	0	2013-06-05 09:49:51.971236+02	1	Provincia de Almaty	\N	\N	\N	\N	\N	\N	t	f
7821	507	Adıyaman	fr	0	2013-06-05 09:50:19.735093+02	1	Adıyaman	\N	\N	\N	\N	\N	\N	t	f
8462	1217	Επαρχία Καρτάγο	el	0	2013-06-05 10:18:03.15737+02	1	Επαρχία Καρτάγο	\N	\N	\N	\N	\N	\N	t	f
8481	983	Región de Atacama	es	0	2013-06-05 10:18:49.606877+02	1	Región de Atacama	\N	\N	\N	\N	\N	\N	t	f
9375	4620	Provinsen Asti	no	0	2013-06-05 10:57:20.114583+02	1	Provinsen Asti	\N	\N	\N	\N	\N	\N	t	f
8508	1616	Anabar	en	0	2013-06-05 10:19:54.948731+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
8519	1948	ボーヒニ	ja	0	2013-06-05 10:20:21.344612+02	1	ボーヒニ	\N	\N	\N	\N	\N	\N	t	f
9580	2925	Fujaïrah (émirat)	fr	0	2013-06-05 11:05:50.892522+02	1	Fujaïrah (émirat)	\N	\N	\N	\N	\N	\N	t	f
9560	3114	Cabinda	es	0	2013-06-05 11:05:01.738983+02	1	Cabinda	\N	\N	\N	\N	\N	\N	t	f
9384	4638	Cuneo	en	0	2013-06-05 10:57:42.372984+02	1	Cuneo	\N	\N	\N	\N	\N	\N	t	f
9416	4369	Aude	en	0	2013-06-05 10:58:59.782072+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
9508	3061	Al Wakrah	es	0	2013-06-05 11:02:54.962664+02	1	Al Wakrah	\N	\N	\N	\N	\N	\N	t	f
9568	3135	Centre-Sud Region	en	0	2013-06-05 11:05:21.726082+02	1	Centre-Sud Region	\N	\N	\N	\N	\N	\N	t	f
9615	3227	Bas-Sassandra	fi	0	2013-06-05 11:07:17.447226+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
9620	3227	Bas-Sassandra	no	0	2013-06-05 11:07:32.726041+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
10012	4615	Ancona	fi	0	2013-06-05 11:24:55.724779+02	1	Ancona	\N	\N	\N	\N	\N	\N	t	f
10045	1890	カラブリア州	ja	0	2013-06-05 11:26:24.472911+02	1	カラブリア州	\N	\N	\N	\N	\N	\N	t	f
10047	1890	Calabria	no	0	2013-06-05 11:26:29.261842+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
10164	1296	Ape municipality	en	0	2013-06-05 11:31:19.598604+02	1	Ape municipality	\N	\N	\N	\N	\N	\N	t	f
10246	267	Colorado	it	0	2013-06-05 11:35:30.020228+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10262	4310	Provincia de Albacete	es	0	2013-06-05 11:36:12.053954+02	1	Provincia de Albacete	\N	\N	\N	\N	\N	\N	t	f
10747	4554	Aceh	fi	0	2013-06-05 11:56:28.284311+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10749	4554	Aceh	it	0	2013-06-05 11:56:33.016086+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10772	3217	Cuvette	no	0	2013-06-05 11:57:40.227511+02	1	Cuvette	\N	\N	\N	\N	\N	\N	t	f
2153	64	Salvador	fr	0	2013-05-27 15:45:04.050429+02	\N	Salvador	\N	\N	\N	\N	\N	\N	t	f
3335	1090	Ñeembucún maakunta	fi	0	2013-05-27 19:57:55.979145+02	1	Ñeembucún maakunta	\N	\N	\N	\N	\N	\N	t	f
3385	1960	Črna na Koroškem	en	0	2013-05-27 20:00:16.371845+02	1	Črna na Koroškem	\N	\N	\N	\N	\N	\N	t	f
3731	859	Anhui	et	0	2013-06-05 06:52:59.209653+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3600	2837	Barisal	fr	0	2013-06-05 06:47:36.029723+02	1	Barisal	\N	\N	\N	\N	\N	\N	t	f
3733	859	Anhui	fr	0	2013-06-05 06:53:03.962594+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
4172	577	Batmanin maakunta	fi	0	2013-06-05 07:12:25.803335+02	1	Batmanin maakunta	\N	\N	\N	\N	\N	\N	t	f
4175	577	バトマン県	ja	0	2013-06-05 07:12:33.159812+02	1	バトマン県	\N	\N	\N	\N	\N	\N	t	f
4673	2701	Provincia di Chiang Mai	it	0	2013-06-05 07:34:03.680912+02	1	Provincia di Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4190	4633	Campobasson maakunta	fi	0	2013-06-05 07:13:10.276704+02	1	Campobasson maakunta	\N	\N	\N	\N	\N	\N	t	f
4637	4379	Département Côtes-d’Armor	de	0	2013-06-05 07:32:35.547045+02	1	Département Côtes-d’Armor	\N	\N	\N	\N	\N	\N	t	f
4641	4379	Côtes-d'Armor	fi	0	2013-06-05 07:32:45.034953+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
4718	1281	Bratislava	no	0	2013-06-05 07:35:54.462373+02	1	Bratislava	\N	\N	\N	\N	\N	\N	t	f
5227	4071	Bosnisch Podrinje	nl	0	2013-06-05 07:57:58.210461+02	1	Bosnisch Podrinje	\N	\N	\N	\N	\N	\N	t	f
5228	4071	Bosna-Podrinje kanton	no	0	2013-06-05 07:58:00.566237+02	1	Bosna-Podrinje kanton	\N	\N	\N	\N	\N	\N	t	f
5834	1002	Casanare Department	en	0	2013-06-05 08:24:32.769282+02	1	Casanare Department	\N	\N	\N	\N	\N	\N	t	f
5245	2561	カオバン省	ja	0	2013-06-05 07:58:41.801913+02	1	カオバン省	\N	\N	\N	\N	\N	\N	t	f
5815	3593	Bel Ombre	es	0	2013-06-05 08:23:13.018663+02	1	Bel Ombre	\N	\N	\N	\N	\N	\N	t	f
5846	4540	Chio	it	0	2013-06-05 08:25:11.920551+02	1	Chio	\N	\N	\N	\N	\N	\N	t	f
6488	714	Córdoban maakunta	fi	0	2013-06-05 08:52:58.47958+02	1	Córdoban maakunta	\N	\N	\N	\N	\N	\N	t	f
5856	3132	Centre-Est	nl	0	2013-06-05 08:25:37.108242+02	1	Centre-Est	\N	\N	\N	\N	\N	\N	t	f
5948	1190	Freeport	es	0	2013-06-05 08:29:33.978813+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
6334	694	provincia di Buenos Aires	it	0	2013-06-05 08:45:41.540211+02	1	provincia di Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
6489	714	Province de Córdoba	fr	0	2013-06-05 08:53:00.831031+02	1	Province de Córdoba	\N	\N	\N	\N	\N	\N	t	f
6362	1652	アイメリーク州	ja	0	2013-06-05 08:46:54.164038+02	1	アイメリーク州	\N	\N	\N	\N	\N	\N	t	f
6442	807	Argeș	es	0	2013-06-05 08:51:03.595517+02	1	Argeș	\N	\N	\N	\N	\N	\N	t	f
7240	264	Arkansas	it	0	2013-06-05 09:25:02.220951+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6560	2391	Oblast Archangelsk	nl	0	2013-06-05 08:55:54.164461+02	1	Oblast Archangelsk	\N	\N	\N	\N	\N	\N	t	f
6658	4319	Cáceres	fi	0	2013-06-05 09:00:01.723423+02	1	Cáceres	\N	\N	\N	\N	\N	\N	t	f
10838	1180	Acklins	no	0	2013-06-05 12:01:01.569822+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
6698	3808	Bridgend	nl	0	2013-06-05 09:01:40.535302+02	1	Bridgend	\N	\N	\N	\N	\N	\N	t	f
7419	3794	Ards	nl	0	2013-06-05 09:32:30.220733+02	1	Ards	\N	\N	\N	\N	\N	\N	t	f
7219	4289	District de Brno-venkov	fr	0	2013-06-05 09:24:08.145131+02	1	District de Brno-venkov	\N	\N	\N	\N	\N	\N	t	f
8366	506	Επαρχία Αδάνων	el	0	2013-06-05 10:14:06.775703+02	1	Επαρχία Αδάνων	\N	\N	\N	\N	\N	\N	t	f
7421	4626	Provinz Benevento	de	0	2013-06-05 09:32:35.477023+02	1	Provinz Benevento	\N	\N	\N	\N	\N	\N	t	f
7433	3010	Beqaa Governorate	en	0	2013-06-05 09:33:04.479487+02	1	Beqaa Governorate	\N	\N	\N	\N	\N	\N	t	f
9484	3397	Anjouan	no	0	2013-06-05 11:01:52.961363+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
7452	1288	Aglona piirkond	et	0	2013-06-05 09:33:54.798384+02	1	Aglona piirkond	\N	\N	\N	\N	\N	\N	t	f
8371	506	Provincia di Adana	it	0	2013-06-05 10:14:18.54727+02	1	Provincia di Adana	\N	\N	\N	\N	\N	\N	t	f
7812	2496	Oblys d'Almaty	fr	0	2013-06-05 09:49:57.03791+02	1	Oblys d'Almaty	\N	\N	\N	\N	\N	\N	t	f
7867	2344	Braničevo	fr	0	2013-06-05 09:52:17.058155+02	1	Braničevo	\N	\N	\N	\N	\N	\N	t	f
7996	2262	Bosilovo	fr	0	2013-06-05 09:57:42.883481+02	1	Bosilovo	\N	\N	\N	\N	\N	\N	t	f
8392	3142	ブバンザ県	ja	0	2013-06-05 10:15:12.871395+02	1	ブバンザ県	\N	\N	\N	\N	\N	\N	t	f
8024	1051	Barima-Waini	no	0	2013-06-05 09:59:08.801648+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
10748	4554	Aceh	fr	0	2013-06-05 11:56:30.656152+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
8628	3825	Coleraine Borough Council	en	0	2013-06-05 10:25:42.44041+02	1	Coleraine Borough Council	\N	\N	\N	\N	\N	\N	t	f
9492	4365	アルデシュ県	ja	0	2013-06-05 11:02:13.159439+02	1	アルデシュ県	\N	\N	\N	\N	\N	\N	t	f
8642	2606	Cà Mau province	en	0	2013-06-05 10:26:18.994836+02	1	Cà Mau province	\N	\N	\N	\N	\N	\N	t	f
8645	2606	Province de Cà Mau	fr	0	2013-06-05 10:26:26.035037+02	1	Province de Cà Mau	\N	\N	\N	\N	\N	\N	t	f
9376	5014	Distrikt Adjumani	de	0	2013-06-05 10:57:22.82312+02	1	Distrikt Adjumani	\N	\N	\N	\N	\N	\N	t	f
10014	4615	provincia di Ancona	it	0	2013-06-05 11:25:02.262611+02	1	provincia di Ancona	\N	\N	\N	\N	\N	\N	t	f
9458	1697	A'ana	es	0	2013-06-05 11:00:50.097199+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
9467	4617	Ascoli Piceno provints	et	0	2013-06-05 11:01:11.920073+02	1	Ascoli Piceno provints	\N	\N	\N	\N	\N	\N	t	f
9475	3397	Ανζουάν	el	0	2013-06-05 11:01:31.527562+02	1	Ανζουάν	\N	\N	\N	\N	\N	\N	t	f
10091	806	Alba	no	0	2013-06-05 11:28:18.9571+02	1	Alba	\N	\N	\N	\N	\N	\N	t	f
10756	1116	Canelones	fr	0	2013-06-05 11:56:50.210813+02	1	Canelones	\N	\N	\N	\N	\N	\N	t	f
10110	4634	Provinz Caserta	de	0	2013-06-05 11:29:05.970861+02	1	Provinz Caserta	\N	\N	\N	\N	\N	\N	t	f
10149	1001	Caquetá	no	0	2013-06-05 11:30:42.225328+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
11494	3181	Provincia di Bandundu	it	0	2013-06-05 12:29:12.709179+02	1	Provincia di Bandundu	\N	\N	\N	\N	\N	\N	t	f
10165	1296	Municipalidad de Ape	es	0	2013-06-05 11:31:22.034103+02	1	Municipalidad de Ape	\N	\N	\N	\N	\N	\N	t	f
10768	3217	Cuvette	fr	0	2013-06-05 11:57:29.068364+02	1	Cuvette	\N	\N	\N	\N	\N	\N	t	f
10842	3133	Centre-Nord Region	en	0	2013-06-05 12:01:11.771886+02	1	Centre-Nord Region	\N	\N	\N	\N	\N	\N	t	f
10778	3649	Benadir	it	0	2013-06-05 11:57:59.591906+02	1	Benadir	\N	\N	\N	\N	\N	\N	t	f
10821	3812	Cambridgeshire	nl	0	2013-06-05 12:00:18.04891+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
11004	907	Cospicua	en	0	2013-06-05 12:07:51.558771+02	1	Cospicua	\N	\N	\N	\N	\N	\N	t	f
10860	1007	Cundinamarca Department	en	0	2013-06-05 12:01:58.305836+02	1	Cundinamarca Department	\N	\N	\N	\N	\N	\N	t	f
11077	2809	エーヤワディ管区	ja	0	2013-06-05 12:11:01.160166+02	1	エーヤワディ管区	\N	\N	\N	\N	\N	\N	t	f
2154	64	El Salvador	it	0	2013-05-27 15:45:06.352537+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
2164	89	Guatemala	fr	0	2013-05-27 15:45:29.584373+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3336	1090	Département de Ñeembucú	fr	0	2013-05-27 19:58:01.200802+02	1	Département de Ñeembucú	\N	\N	\N	\N	\N	\N	t	f
3337	1090	Dipartimento di Ñeembucú	it	0	2013-05-27 19:58:03.478488+02	1	Dipartimento di Ñeembucú	\N	\N	\N	\N	\N	\N	t	f
3734	859	Anhui	it	0	2013-06-05 06:53:06.405866+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3362	3092	'Amran	no	0	2013-05-27 19:59:20.032373+02	1	'Amran	\N	\N	\N	\N	\N	\N	t	f
3601	2837	Divisione di Barisal	it	0	2013-06-05 06:47:38.426434+02	1	Divisione di Barisal	\N	\N	\N	\N	\N	\N	t	f
4174	577	Provincia di Batman	it	0	2013-06-05 07:12:30.726767+02	1	Provincia di Batman	\N	\N	\N	\N	\N	\N	t	f
3613	2917	Balkan	nl	0	2013-06-05 06:48:09.02079+02	1	Balkan	\N	\N	\N	\N	\N	\N	t	f
3616	3057	Al Khawr	it	0	2013-06-05 06:48:17.362336+02	1	Al Khawr	\N	\N	\N	\N	\N	\N	t	f
3618	1000	Departamento de Caldas	de	0	2013-06-05 06:48:22.539754+02	1	Departamento de Caldas	\N	\N	\N	\N	\N	\N	t	f
4189	4633	Campobasso provints	et	0	2013-06-05 07:13:07.807755+02	1	Campobasso provints	\N	\N	\N	\N	\N	\N	t	f
3627	1000	Caldas	no	0	2013-06-05 06:48:44.047332+02	1	Caldas	\N	\N	\N	\N	\N	\N	t	f
3655	2390	アムール州	ja	0	2013-06-05 06:49:52.610626+02	1	アムール州	\N	\N	\N	\N	\N	\N	t	f
4674	2701	チエンマイ県	ja	0	2013-06-05 07:34:06.079828+02	1	チエンマイ県	\N	\N	\N	\N	\N	\N	t	f
3695	3117	Cuanza Norte Province	en	0	2013-06-05 06:51:31.279311+02	1	Cuanza Norte Province	\N	\N	\N	\N	\N	\N	t	f
4650	3778	Provincia de Copperbelt (Zambia)	es	0	2013-06-05 07:33:07.180332+02	1	Provincia de Copperbelt (Zambia)	\N	\N	\N	\N	\N	\N	t	f
3699	3117	provincia di Cuanza Nord	it	0	2013-06-05 06:51:40.741169+02	1	provincia di Cuanza Nord	\N	\N	\N	\N	\N	\N	t	f
4678	3911	Metropolitan Borough of Barnsley	en	0	2013-06-05 07:34:16.038782+02	1	Metropolitan Borough of Barnsley	\N	\N	\N	\N	\N	\N	t	f
5230	4376	Cher	en	0	2013-06-05 07:58:05.782167+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
4681	3911	Barnsley	nl	0	2013-06-05 07:34:23.257177+02	1	Barnsley	\N	\N	\N	\N	\N	\N	t	f
4696	3815	Carrickfergus (Borough)	de	0	2013-06-05 07:35:00.248352+02	1	Carrickfergus (Borough)	\N	\N	\N	\N	\N	\N	t	f
4703	1444	Departamento de Copán	es	0	2013-06-05 07:35:17.579986+02	1	Departamento de Copán	\N	\N	\N	\N	\N	\N	t	f
5264	1732	Cəbrayılin piirikunta	fi	0	2013-06-05 07:59:27.799147+02	1	Cəbrayılin piirikunta	\N	\N	\N	\N	\N	\N	t	f
4726	3481	Brakna	no	0	2013-06-05 07:36:14.043848+02	1	Brakna	\N	\N	\N	\N	\N	\N	t	f
4743	1653	Airai	de	0	2013-06-05 07:36:56.992491+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
5837	1002	dipartimento di Casanare	it	0	2013-06-05 08:24:42.729834+02	1	dipartimento di Casanare	\N	\N	\N	\N	\N	\N	t	f
4746	1653	Airai	et	0	2013-06-05 07:37:04.114825+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
5281	2648	Bolikhamsai	no	0	2013-06-05 08:00:09.394522+02	1	Bolikhamsai	\N	\N	\N	\N	\N	\N	t	f
5294	3361	Brong-Ahafo	es	0	2013-06-05 08:00:44.673227+02	1	Brong-Ahafo	\N	\N	\N	\N	\N	\N	t	f
5861	2775	Vallée de Cagayan	fr	0	2013-06-05 08:25:49.462496+02	1	Vallée de Cagayan	\N	\N	\N	\N	\N	\N	t	f
6490	714	provincia di Córdoba	it	0	2013-06-05 08:53:03.196097+02	1	provincia di Córdoba	\N	\N	\N	\N	\N	\N	t	f
6337	694	Buenos Aires	no	0	2013-06-05 08:45:48.68935+02	1	Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
6510	1813	Cantabrië	nl	0	2013-06-05 08:53:52.079369+02	1	Cantabrië	\N	\N	\N	\N	\N	\N	t	f
7241	264	アーカンソー州	ja	0	2013-06-05 09:25:04.688761+02	1	アーカンソー州	\N	\N	\N	\N	\N	\N	t	f
6521	509	Ağrı Province	en	0	2013-06-05 08:54:19.083354+02	1	Ağrı Province	\N	\N	\N	\N	\N	\N	t	f
6524	509	Provincia di Ağrı	it	0	2013-06-05 08:54:26.213668+02	1	Provincia di Ağrı	\N	\N	\N	\N	\N	\N	t	f
6701	4630	Province of Barletta-Andria-Trani	en	0	2013-06-05 09:01:48.163432+02	1	Province of Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
7255	2633	Provincia di Battambang	it	0	2013-06-05 09:25:39.061477+02	1	Provincia di Battambang	\N	\N	\N	\N	\N	\N	t	f
6707	4630	バルレッタ＝アンドリア＝トラーニ県	ja	0	2013-06-05 09:02:04.151579+02	1	バルレッタ＝アンドリア＝トラーニ県	\N	\N	\N	\N	\N	\N	t	f
6708	4630	Barletta-Andria-Trani	nl	0	2013-06-05 09:02:08.065207+02	1	Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
7992	1181	Bimini	nl	0	2013-06-05 09:57:30.087626+02	1	Bimini	\N	\N	\N	\N	\N	\N	t	f
7261	2932	Gouvernorat central	fr	0	2013-06-05 09:26:00.288855+02	1	Gouvernorat central	\N	\N	\N	\N	\N	\N	t	f
7360	313	Brits-Columbia	nl	0	2013-06-05 09:30:06.315076+02	1	Brits-Columbia	\N	\N	\N	\N	\N	\N	t	f
8367	506	Adana Province	en	0	2013-06-05 10:14:09.1366+02	1	Adana Province	\N	\N	\N	\N	\N	\N	t	f
7458	657	Assam	es	0	2013-06-05 09:34:09.507105+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
7477	4287	Okres Blansko	de	0	2013-06-05 09:35:00.023167+02	1	Okres Blansko	\N	\N	\N	\N	\N	\N	t	f
10239	267	Colorado	de	0	2013-06-05 11:35:06.145009+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
7813	2496	Oblys di Almaty	it	0	2013-06-05 09:49:59.901623+02	1	Oblys di Almaty	\N	\N	\N	\N	\N	\N	t	f
8373	506	Adana	nl	0	2013-06-05 10:14:26.41521+02	1	Adana	\N	\N	\N	\N	\N	\N	t	f
7850	325	Brandenburg	et	0	2013-06-05 09:51:32.658566+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
7851	325	Brandenburg	fi	0	2013-06-05 09:51:35.142447+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
9460	1697	A'ana	it	0	2013-06-05 11:00:54.784562+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
7988	1181	Bimini	es	0	2013-06-05 09:57:20.521055+02	1	Bimini	\N	\N	\N	\N	\N	\N	t	f
8391	3142	Provincia di Bubanza	it	0	2013-06-05 10:15:10.474321+02	1	Provincia di Bubanza	\N	\N	\N	\N	\N	\N	t	f
8399	4743	Ampara	nl	0	2013-06-05 10:15:29.778784+02	1	Ampara	\N	\N	\N	\N	\N	\N	t	f
10035	1528	Región Autónoma del Atlántico Sur	nl	0	2013-06-05 11:25:59.915607+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
8405	3710	Ben Arous	fi	0	2013-06-05 10:15:44.534875+02	1	Ben Arous	\N	\N	\N	\N	\N	\N	t	f
9468	4617	Ascoli Picenon maakunta	fi	0	2013-06-05 11:01:14.684609+02	1	Ascoli Picenon maakunta	\N	\N	\N	\N	\N	\N	t	f
8443	262	Alaska	es	0	2013-06-05 10:17:16.653737+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
9381	5014	Adjumani	nl	0	2013-06-05 10:57:34.618912+02	1	Adjumani	\N	\N	\N	\N	\N	\N	t	f
10019	1048	Cotopaxi Province	en	0	2013-06-05 11:25:14.816209+02	1	Cotopaxi Province	\N	\N	\N	\N	\N	\N	t	f
10201	3492	Beau Bassin-Rosehill	no	0	2013-06-05 11:32:56.530102+02	1	Beau Bassin-Rosehill	\N	\N	\N	\N	\N	\N	t	f
10750	4554	アチェ	ja	0	2013-06-05 11:56:35.388421+02	1	アチェ	\N	\N	\N	\N	\N	\N	t	f
10248	267	Colorado	nl	0	2013-06-05 11:35:37.646176+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10765	3217	Cuvette	de	0	2013-06-05 11:57:15.410987+02	1	Cuvette	\N	\N	\N	\N	\N	\N	t	f
10840	1957	Cerknica	nl	0	2013-06-05 12:01:06.6673+02	1	Cerknica	\N	\N	\N	\N	\N	\N	t	f
10959	4900	Camiguin	no	0	2013-06-05 12:06:01.604564+02	1	Camiguin	\N	\N	\N	\N	\N	\N	t	f
11006	907	Bormla	fr	0	2013-06-05 12:07:56.270119+02	1	Bormla	\N	\N	\N	\N	\N	\N	t	f
11010	361	Buskerud	de	0	2013-06-05 12:08:07.242787+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
11020	3315	Gouvernement al-Dschiza	de	0	2013-06-05 12:08:34.460599+02	1	Gouvernement al-Dschiza	\N	\N	\N	\N	\N	\N	t	f
11026	3315	ギーザ県	ja	0	2013-06-05 12:08:48.767567+02	1	ギーザ県	\N	\N	\N	\N	\N	\N	t	f
11040	1654	Angaur	es	0	2013-06-05 12:09:26.473855+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11064	4755	Assa-Zag	de	0	2013-06-05 12:10:28.716992+02	1	Assa-Zag	\N	\N	\N	\N	\N	\N	t	f
2155	64	エルサルバドル	ja	0	2013-05-27 15:45:08.57585+02	\N	エルサルバドル	\N	\N	\N	\N	\N	\N	t	f
2166	89	グアテマラ	ja	0	2013-05-27 15:45:34.027189+02	\N	グアテマラ	\N	\N	\N	\N	\N	\N	t	f
3340	522	Επαρχία Τσανάκκαλε	el	0	2013-05-27 19:58:14.341087+02	1	Επαρχία Τσανάκκαλε	\N	\N	\N	\N	\N	\N	t	f
3352	1772	Şamaxın piirikunta	fi	0	2013-05-27 19:58:51.339446+02	1	Şamaxın piirikunta	\N	\N	\N	\N	\N	\N	t	f
3735	859	安徽省	ja	0	2013-06-05 06:53:08.822233+02	1	安徽省	\N	\N	\N	\N	\N	\N	t	f
3603	2837	Barisal	nl	0	2013-06-05 06:47:44.776997+02	1	Barisal	\N	\N	\N	\N	\N	\N	t	f
3638	4197	Boa Vista	no	0	2013-06-05 06:49:10.975266+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
4176	577	Batman	nl	0	2013-06-05 07:12:35.546962+02	1	Batman	\N	\N	\N	\N	\N	\N	t	f
3641	1419	Baja Verapaz	es	0	2013-06-05 06:49:18.498394+02	1	Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3663	1495	Aguascalientes	fr	0	2013-06-05 06:50:12.395207+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
4199	1091	Amambayn maakunta	fi	0	2013-06-05 07:13:32.352567+02	1	Amambayn maakunta	\N	\N	\N	\N	\N	\N	t	f
4675	2701	Changwat Chiang Mai	nl	0	2013-06-05 07:34:08.484194+02	1	Changwat Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4216	3418	Berea ringkond	et	0	2013-06-05 07:14:13.953438+02	1	Berea ringkond	\N	\N	\N	\N	\N	\N	t	f
4690	2683	Changwat Buriram	nl	0	2013-06-05 07:34:45.111606+02	1	Changwat Buriram	\N	\N	\N	\N	\N	\N	t	f
5232	4376	Cheri departemang	et	0	2013-06-05 07:58:10.551923+02	1	Cheri departemang	\N	\N	\N	\N	\N	\N	t	f
5252	4758	Boujdour	nl	0	2013-06-05 07:58:58.62618+02	1	Boujdour	\N	\N	\N	\N	\N	\N	t	f
5839	1002	Casanare	nl	0	2013-06-05 08:24:49.788931+02	1	Casanare	\N	\N	\N	\N	\N	\N	t	f
5257	4895	Provincia di Batangas	it	0	2013-06-05 07:59:10.798027+02	1	Provincia di Batangas	\N	\N	\N	\N	\N	\N	t	f
5260	4895	Batangas	no	0	2013-06-05 07:59:18.007594+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
5261	1732	Cəbrayıl	de	0	2013-06-05 07:59:20.760457+02	1	Cəbrayıl	\N	\N	\N	\N	\N	\N	t	f
5877	3648	Bakool	fr	0	2013-06-05 08:26:35.964853+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
6491	714	コルドバ州	ja	0	2013-06-05 08:53:05.640357+02	1	コルドバ州	\N	\N	\N	\N	\N	\N	t	f
6339	3507	Κεντρική Περιφέρεια	el	0	2013-06-05 08:45:53.944182+02	1	Κεντρική Περιφέρεια	\N	\N	\N	\N	\N	\N	t	f
6340	3507	Central Region	en	0	2013-06-05 08:45:56.3254+02	1	Central Region	\N	\N	\N	\N	\N	\N	t	f
6343	3507	Regione Centrale	it	0	2013-06-05 08:46:03.673362+02	1	Regione Centrale	\N	\N	\N	\N	\N	\N	t	f
6508	1813	Cantabria	it	0	2013-06-05 08:53:47.311446+02	1	Cantabria	\N	\N	\N	\N	\N	\N	t	f
6364	1652	Aimeliik	no	0	2013-06-05 08:46:58.933942+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6369	3772	Province Centrale	fr	0	2013-06-05 08:47:11.332472+02	1	Province Centrale	\N	\N	\N	\N	\N	\N	t	f
7243	264	Arkansas	no	0	2013-06-05 09:25:09.657155+02	1	Arkansas	\N	\N	\N	\N	\N	\N	t	f
6397	819	Caraș-Severini maakond	et	0	2013-06-05 08:48:55.490799+02	1	Caraș-Severini maakond	\N	\N	\N	\N	\N	\N	t	f
6511	1813	Cantabria	no	0	2013-06-05 08:53:54.484207+02	1	Cantabria	\N	\N	\N	\N	\N	\N	t	f
6448	807	District Argeș	nl	0	2013-06-05 08:51:18.820729+02	1	District Argeș	\N	\N	\N	\N	\N	\N	t	f
6702	4630	Barletta-Andria-Trani	es	0	2013-06-05 09:01:50.550535+02	1	Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
8619	762	Braga District	en	0	2013-06-05 10:25:18.518752+02	1	Braga District	\N	\N	\N	\N	\N	\N	t	f
7266	3070	Northern Borders Province	en	0	2013-06-05 09:26:13.390085+02	1	Northern Borders Province	\N	\N	\N	\N	\N	\N	t	f
8368	506	Provincia de Adana	es	0	2013-06-05 10:14:11.491388+02	1	Provincia de Adana	\N	\N	\N	\N	\N	\N	t	f
7293	3385	Bissau	et	0	2013-06-05 09:27:22.22128+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7301	1303	Municipalidad de Bauska	es	0	2013-06-05 09:27:42.046506+02	1	Municipalidad de Bauska	\N	\N	\N	\N	\N	\N	t	f
7309	2498	Oblys d'Atyraou	fr	0	2013-06-05 09:28:02.05331+02	1	Oblys d'Atyraou	\N	\N	\N	\N	\N	\N	t	f
8416	3879	District londonien de Brent	fr	0	2013-06-05 10:16:11.135876+02	1	District londonien de Brent	\N	\N	\N	\N	\N	\N	t	f
7324	3309	Beni Suef	es	0	2013-06-05 09:28:38.455+02	1	Beni Suef	\N	\N	\N	\N	\N	\N	t	f
7814	2496	アルマトイ州	ja	0	2013-06-05 09:50:02.317521+02	1	アルマトイ州	\N	\N	\N	\N	\N	\N	t	f
7828	4886	Albay	es	0	2013-06-05 09:50:37.839287+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
8422	4371	Bouches-du-Rhône	en	0	2013-06-05 10:16:25.986389+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
7836	4632	Κάλιαρι	el	0	2013-06-05 09:50:58.267239+02	1	Κάλιαρι	\N	\N	\N	\N	\N	\N	t	f
7849	325	Brandeburgo	es	0	2013-06-05 09:51:30.287328+02	1	Brandeburgo	\N	\N	\N	\N	\N	\N	t	f
9385	4638	Cuneo	es	0	2013-06-05 10:57:45.015231+02	1	Cuneo	\N	\N	\N	\N	\N	\N	t	f
7856	325	Brandenburg	no	0	2013-06-05 09:51:47.259406+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
8497	3003	Gouvernement al-Dschahra	de	0	2013-06-05 10:19:28.252957+02	1	Gouvernement al-Dschahra	\N	\N	\N	\N	\N	\N	t	f
7963	2205	Mont Athos	fr	0	2013-06-05 09:56:18.921963+02	1	Mont Athos	\N	\N	\N	\N	\N	\N	t	f
8554	1546	コロン県	ja	0	2013-06-05 10:21:49.771463+02	1	コロン県	\N	\N	\N	\N	\N	\N	t	f
10049	4157	Boulkiemdé Province	en	0	2013-06-05 11:26:34.331263+02	1	Boulkiemdé Province	\N	\N	\N	\N	\N	\N	t	f
8563	2852	Azad Kashmir	no	0	2013-06-05 10:22:14.341304+02	1	Azad Kashmir	\N	\N	\N	\N	\N	\N	t	f
9414	3067	Al Qasim	nl	0	2013-06-05 10:58:54.582425+02	1	Al Qasim	\N	\N	\N	\N	\N	\N	t	f
8569	3823	Cité de Londres	fr	0	2013-06-05 10:22:38.3784+02	1	Cité de Londres	\N	\N	\N	\N	\N	\N	t	f
8570	3823	Città di Londra	it	0	2013-06-05 10:22:42.352822+02	1	Città di Londra	\N	\N	\N	\N	\N	\N	t	f
9533	985	Coquimbo Region	en	0	2013-06-05 11:03:55.730749+02	1	Coquimbo Region	\N	\N	\N	\N	\N	\N	t	f
9418	4369	Aude'i departemang	et	0	2013-06-05 10:59:04.522521+02	1	Aude'i departemang	\N	\N	\N	\N	\N	\N	t	f
9481	3397	Anjouan	it	0	2013-06-05 11:01:45.808368+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
9599	3192	Prefettura di Bamingui-Bangoran	it	0	2013-06-05 11:06:37.157667+02	1	Prefettura di Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
9490	4365	Ardèche	fr	0	2013-06-05 11:02:08.343368+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
9509	3061	Al-Wakra	fi	0	2013-06-05 11:02:57.303708+02	1	Al-Wakra	\N	\N	\N	\N	\N	\N	t	f
10116	4634	Province de Caserte	fr	0	2013-06-05 11:29:20.572188+02	1	Province de Caserte	\N	\N	\N	\N	\N	\N	t	f
10021	1048	Cotopaxi	fi	0	2013-06-05 11:25:19.587918+02	1	Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
10055	4157	Boulkiemdé	nl	0	2013-06-05 11:26:49.070215+02	1	Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
10131	4627	Provinsen Bologna	no	0	2013-06-05 11:29:57.23781+02	1	Provinsen Bologna	\N	\N	\N	\N	\N	\N	t	f
10162	3826	Conwy	nl	0	2013-06-05 11:31:14.206229+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
10181	3193	Bangui	et	0	2013-06-05 11:32:01.323156+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10199	3492	ボーバッサン・ローズヒル	ja	0	2013-06-05 11:32:48.661301+02	1	ボーバッサン・ローズヒル	\N	\N	\N	\N	\N	\N	t	f
10219	2494	Oblast Aqtöbe	nl	0	2013-06-05 11:33:59.985931+02	1	Oblast Aqtöbe	\N	\N	\N	\N	\N	\N	t	f
10256	1032	カニャール県	ja	0	2013-06-05 11:35:57.267458+02	1	カニャール県	\N	\N	\N	\N	\N	\N	t	f
10752	4554	Aceh	no	0	2013-06-05 11:56:40.157281+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10859	1007	Cundinamarca	de	0	2013-06-05 12:01:55.740844+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
11002	2676	Chanthaburi	no	0	2013-06-05 12:07:46.37312+02	1	Chanthaburi	\N	\N	\N	\N	\N	\N	t	f
11056	4196	Isla Brava	es	0	2013-06-05 12:10:06.087618+02	1	Isla Brava	\N	\N	\N	\N	\N	\N	t	f
11057	4196	Brava	et	0	2013-06-05 12:10:08.423506+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
2156	64	El Salvador	nl	0	2013-05-27 15:45:10.800076+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
3341	522	Çanakkale Province	en	0	2013-05-27 19:58:17.127624+02	1	Çanakkale Province	\N	\N	\N	\N	\N	\N	t	f
3437	474	Östergötlands län	de	0	2013-05-27 20:02:22.505678+02	1	Östergötlands län	\N	\N	\N	\N	\N	\N	t	f
3736	859	Anhui	nl	0	2013-06-05 06:53:11.219711+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3604	2837	Barisal	no	0	2013-06-05 06:47:47.179877+02	1	Barisal	\N	\N	\N	\N	\N	\N	t	f
3614	3057	Al Khor	en	0	2013-06-05 06:48:12.089434+02	1	Al Khor	\N	\N	\N	\N	\N	\N	t	f
4177	577	Batman	no	0	2013-06-05 07:12:37.954699+02	1	Batman	\N	\N	\N	\N	\N	\N	t	f
3684	2389	Territorio dell'Altaj	it	0	2013-06-05 06:51:04.208006+02	1	Territorio dell'Altaj	\N	\N	\N	\N	\N	\N	t	f
3705	5008	Butaleja	fr	0	2013-06-05 06:51:55.481258+02	1	Butaleja	\N	\N	\N	\N	\N	\N	t	f
3712	2529	Arkhangai	fi	0	2013-06-05 06:52:12.636808+02	1	Arkhangai	\N	\N	\N	\N	\N	\N	t	f
4183	2219	Distretto di Anenii Noi	it	0	2013-06-05 07:12:52.839025+02	1	Distretto di Anenii Noi	\N	\N	\N	\N	\N	\N	t	f
4676	2701	Chiang Mai	no	0	2013-06-05 07:34:10.95983+02	1	Chiang Mai	\N	\N	\N	\N	\N	\N	t	f
4209	3792	Angus	it	0	2013-06-05 07:13:56.718866+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4701	3815	Carrickfergus (distrikt)	no	0	2013-06-05 07:35:12.187836+02	1	Carrickfergus (distrikt)	\N	\N	\N	\N	\N	\N	t	f
5233	4376	Cher	fi	0	2013-06-05 07:58:12.906491+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
4722	3481	Brakna	fr	0	2013-06-05 07:36:04.498582+02	1	Brakna	\N	\N	\N	\N	\N	\N	t	f
4745	1653	Airai	es	0	2013-06-05 07:37:01.737895+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
5270	2257	Aratchinovo	fr	0	2013-06-05 07:59:42.346823+02	1	Aratchinovo	\N	\N	\N	\N	\N	\N	t	f
5840	1002	Casanare	no	0	2013-06-05 08:24:52.156163+02	1	Casanare	\N	\N	\N	\N	\N	\N	t	f
5847	4540	ヒオス県	ja	0	2013-06-05 08:25:14.294187+02	1	ヒオス県	\N	\N	\N	\N	\N	\N	t	f
6492	714	Córdoba	nl	0	2013-06-05 08:53:08.002322+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5862	2775	Valle di Cagayan	it	0	2013-06-05 08:25:51.917734+02	1	Valle di Cagayan	\N	\N	\N	\N	\N	\N	t	f
5886	4028	ベラト県	ja	0	2013-06-05 08:27:01.545547+02	1	ベラト県	\N	\N	\N	\N	\N	\N	t	f
5915	1618	Anibare	de	0	2013-06-05 08:28:12.016732+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6540	3667	中央エクアトリア州	ja	0	2013-06-05 08:55:05.529038+02	1	中央エクアトリア州	\N	\N	\N	\N	\N	\N	t	f
5923	1618	Anibare	no	0	2013-06-05 08:28:30.942202+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
5936	4558	バンテン州	ja	0	2013-06-05 08:29:04.904272+02	1	バンテン州	\N	\N	\N	\N	\N	\N	t	f
7244	4749	Badulla (Distrikt)	de	0	2013-06-05 09:25:12.519966+02	1	Badulla (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
5937	4558	Bantam	nl	0	2013-06-05 08:29:07.266796+02	1	Bantam	\N	\N	\N	\N	\N	\N	t	f
6664	998	Departamento de Bolívar	de	0	2013-06-05 09:00:17.301226+02	1	Departamento de Bolívar	\N	\N	\N	\N	\N	\N	t	f
5977	3145	Bururi Province	en	0	2013-06-05 08:30:45.418146+02	1	Bururi Province	\N	\N	\N	\N	\N	\N	t	f
6344	3507	中部州	ja	0	2013-06-05 08:46:06.100854+02	1	中部州	\N	\N	\N	\N	\N	\N	t	f
8045	573	Aksaray	no	0	2013-06-05 10:00:14.891244+02	1	Aksaray	\N	\N	\N	\N	\N	\N	t	f
6355	1652	Aimeliik	de	0	2013-06-05 08:46:37.288028+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
7265	3070	Provinz al-Hudud asch-schamaliyya	de	0	2013-06-05 09:26:11.087809+02	1	Provinz al-Hudud asch-schamaliyya	\N	\N	\N	\N	\N	\N	t	f
7347	579	Provincia di Bartın	it	0	2013-06-05 09:29:34.483285+02	1	Provincia di Bartın	\N	\N	\N	\N	\N	\N	t	f
8370	506	Adana	fr	0	2013-06-05 10:14:16.158588+02	1	Adana	\N	\N	\N	\N	\N	\N	t	f
7349	579	Bartın	nl	0	2013-06-05 09:29:39.258222+02	1	Bartın	\N	\N	\N	\N	\N	\N	t	f
7369	2838	Chittagong	fr	0	2013-06-05 09:30:28.610583+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
7385	2813	Chin	fi	0	2013-06-05 09:31:07.403668+02	1	Chin	\N	\N	\N	\N	\N	\N	t	f
8385	3142	Bubanza	de	0	2013-06-05 10:14:56.361498+02	1	Bubanza	\N	\N	\N	\N	\N	\N	t	f
7399	4087	Cox’s Bazar	de	0	2013-06-05 09:31:41.821297+02	1	Cox’s Bazar	\N	\N	\N	\N	\N	\N	t	f
7403	4623	Provinz Bergamo	de	0	2013-06-05 09:31:51.751526+02	1	Provinz Bergamo	\N	\N	\N	\N	\N	\N	t	f
9576	2925	Fujairah	en	0	2013-06-05 11:05:41.393218+02	1	Fujairah	\N	\N	\N	\N	\N	\N	t	f
7425	4626	Benevento provints	et	0	2013-06-05 09:32:44.90791+02	1	Benevento provints	\N	\N	\N	\N	\N	\N	t	f
8529	2386	Tsjernivtsi oblast	no	0	2013-06-05 10:20:45.469098+02	1	Tsjernivtsi oblast	\N	\N	\N	\N	\N	\N	t	f
7815	2496	Oblast Almaty	nl	0	2013-06-05 09:50:04.742865+02	1	Oblast Almaty	\N	\N	\N	\N	\N	\N	t	f
7833	4886	Albay	no	0	2013-06-05 09:50:50.467196+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
7835	4632	Provinz Cagliari	de	0	2013-06-05 09:50:55.904327+02	1	Provinz Cagliari	\N	\N	\N	\N	\N	\N	t	f
8571	3823	シティ・オブ・ロンドン	ja	0	2013-06-05 10:22:46.265071+02	1	シティ・オブ・ロンドン	\N	\N	\N	\N	\N	\N	t	f
7928	454	Bonaire	no	0	2013-06-05 09:54:50.891893+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
7966	2205	Athos	nl	0	2013-06-05 09:56:26.063393+02	1	Athos	\N	\N	\N	\N	\N	\N	t	f
8643	2606	Cà Mau	es	0	2013-06-05 10:26:21.333806+02	1	Cà Mau	\N	\N	\N	\N	\N	\N	t	f
10022	1048	Cotopaxi	fr	0	2013-06-05 11:25:21.923592+02	1	Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
9386	4638	Cuneo provints	et	0	2013-06-05 10:57:47.374044+02	1	Cuneo provints	\N	\N	\N	\N	\N	\N	t	f
9392	4638	Provinsen Cuneo	no	0	2013-06-05 10:58:01.683403+02	1	Provinsen Cuneo	\N	\N	\N	\N	\N	\N	t	f
10780	3649	Banaadir	nl	0	2013-06-05 11:58:04.394104+02	1	Banaadir	\N	\N	\N	\N	\N	\N	t	f
9479	3397	Anjouan	fi	0	2013-06-05 11:01:41.041868+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
10071	722	Borsod-Abaúj-Zemplén	fr	0	2013-06-05 11:27:29.949429+02	1	Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
9499	4377	Corrèze'i departemang	et	0	2013-06-05 11:02:33.13832+02	1	Corrèze'i departemang	\N	\N	\N	\N	\N	\N	t	f
10138	4590	カーロウ州	ja	0	2013-06-05 11:30:14.809339+02	1	カーロウ州	\N	\N	\N	\N	\N	\N	t	f
10218	2494	アクトベ州	ja	0	2013-06-05 11:33:57.537978+02	1	アクトベ州	\N	\N	\N	\N	\N	\N	t	f
10793	2647	Provincia di Bokeo	it	0	2013-06-05 11:58:46.763437+02	1	Provincia di Bokeo	\N	\N	\N	\N	\N	\N	t	f
10754	1116	Canelones Department	en	0	2013-06-05 11:56:45.373494+02	1	Canelones Department	\N	\N	\N	\N	\N	\N	t	f
11505	3111	Bengo	es	0	2013-06-05 12:29:40.831197+02	1	Bengo	\N	\N	\N	\N	\N	\N	t	f
10954	4900	Camiguín	es	0	2013-06-05 12:05:49.680364+02	1	Camiguín	\N	\N	\N	\N	\N	\N	t	f
11498	4233	Okres Benešov	de	0	2013-06-05 12:29:22.718562+02	1	Okres Benešov	\N	\N	\N	\N	\N	\N	t	f
2157	64	El Salvador	no	0	2013-05-27 15:45:13.036353+02	\N	El Salvador	\N	\N	\N	\N	\N	\N	t	f
3342	522	Provincia de Çanakkale	es	0	2013-05-27 19:58:19.459291+02	1	Provincia de Çanakkale	\N	\N	\N	\N	\N	\N	t	f
3360	3092	Governatorato di 'Amran	it	0	2013-05-27 19:59:13.255616+02	1	Governatorato di 'Amran	\N	\N	\N	\N	\N	\N	t	f
3737	859	Anhui	no	0	2013-06-05 06:53:13.624583+02	1	Anhui	\N	\N	\N	\N	\N	\N	t	f
3411	2922	Ajmān	fi	0	2013-05-27 20:01:21.277376+02	1	Ajmān	\N	\N	\N	\N	\N	\N	t	f
3415	2922	Ajman	nl	0	2013-05-27 20:01:30.192777+02	1	Ajman	\N	\N	\N	\N	\N	\N	t	f
4178	2219	Rajon Anenii Noi	de	0	2013-06-05 07:12:40.747677+02	1	Rajon Anenii Noi	\N	\N	\N	\N	\N	\N	t	f
3605	2917	Balkan welaýaty	de	0	2013-06-05 06:47:50.034338+02	1	Balkan welaýaty	\N	\N	\N	\N	\N	\N	t	f
3632	4197	Boa Vista saar	et	0	2013-06-05 06:48:56.457298+02	1	Boa Vista saar	\N	\N	\N	\N	\N	\N	t	f
4679	3911	Municipio metropolitano de Barnsley	es	0	2013-06-05 07:34:18.424+02	1	Municipio metropolitano de Barnsley	\N	\N	\N	\N	\N	\N	t	f
4682	3911	Barnsley	no	0	2013-06-05 07:34:25.639325+02	1	Barnsley	\N	\N	\N	\N	\N	\N	t	f
5234	4376	Cher	fr	0	2013-06-05 07:58:15.25456+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
4686	2683	Buriram	fi	0	2013-06-05 07:34:35.6161+02	1	Buriram	\N	\N	\N	\N	\N	\N	t	f
4717	1281	Bratislava	nl	0	2013-06-05 07:35:51.99171+02	1	Bratislava	\N	\N	\N	\N	\N	\N	t	f
5841	4540	Chios	de	0	2013-06-05 08:24:55.598962+02	1	Chios	\N	\N	\N	\N	\N	\N	t	f
5914	3331	As Suways	no	0	2013-06-05 08:28:09.26565+02	1	As Suways	\N	\N	\N	\N	\N	\N	t	f
6493	714	Córdoba	no	0	2013-06-05 08:53:10.392771+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5983	3145	Bururi	nl	0	2013-06-05 08:30:59.658041+02	1	Bururi	\N	\N	\N	\N	\N	\N	t	f
6358	1652	Aimeliik	et	0	2013-06-05 08:46:44.593301+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6517	3074	Al-Jawf	it	0	2013-06-05 08:54:09.154616+02	1	Al-Jawf	\N	\N	\N	\N	\N	\N	t	f
7246	4749	Distrito de Badulla	es	0	2013-06-05 09:25:17.179461+02	1	Distrito de Badulla	\N	\N	\N	\N	\N	\N	t	f
6651	2192	Oblast Brest	nl	0	2013-06-05 08:59:39.196196+02	1	Oblast Brest	\N	\N	\N	\N	\N	\N	t	f
7260	2932	Central	es	0	2013-06-05 09:25:57.849606+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
8372	506	アダナ県	ja	0	2013-06-05 10:14:20.910873+02	1	アダナ県	\N	\N	\N	\N	\N	\N	t	f
7335	3305	Aswāni kubernerkond	et	0	2013-06-05 09:29:05.214984+02	1	Aswāni kubernerkond	\N	\N	\N	\N	\N	\N	t	f
7376	2997	Al Mafraq	fi	0	2013-06-05 09:30:45.593314+02	1	Al Mafraq	\N	\N	\N	\N	\N	\N	t	f
7818	507	Adıyaman Province	en	0	2013-06-05 09:50:12.514463+02	1	Adıyaman Province	\N	\N	\N	\N	\N	\N	t	f
8413	3879	Brent	es	0	2013-06-05 10:16:04.079384+02	1	Brent	\N	\N	\N	\N	\N	\N	t	f
7868	2344	Distretto di Braničevo	it	0	2013-06-05 09:52:19.488338+02	1	Distretto di Braničevo	\N	\N	\N	\N	\N	\N	t	f
7870	2344	Braničevo	nl	0	2013-06-05 09:52:24.319911+02	1	Braničevo	\N	\N	\N	\N	\N	\N	t	f
10788	2647	Provinz Bokeo	de	0	2013-06-05 11:58:28.938176+02	1	Provinz Bokeo	\N	\N	\N	\N	\N	\N	t	f
7952	2605	Bình Phước	fi	0	2013-06-05 09:55:50.837421+02	1	Bình Phước	\N	\N	\N	\N	\N	\N	t	f
8414	3879	Brenti linnaosa	et	0	2013-06-05 10:16:06.419213+02	1	Brenti linnaosa	\N	\N	\N	\N	\N	\N	t	f
8014	1720	Abşeron	fr	0	2013-06-05 09:58:33.512069+02	1	Abşeron	\N	\N	\N	\N	\N	\N	t	f
8418	3879	ブレント・ロンドン特別区	ja	0	2013-06-05 10:16:15.932775+02	1	ブレント・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
8441	262	Αλάσκα	el	0	2013-06-05 10:17:11.976934+02	1	Αλάσκα	\N	\N	\N	\N	\N	\N	t	f
10856	1006	コルドバ県	ja	0	2013-06-05 12:01:48.201758+02	1	コルドバ県	\N	\N	\N	\N	\N	\N	t	f
9390	4638	クーネオ県	ja	0	2013-06-05 10:57:56.872274+02	1	クーネオ県	\N	\N	\N	\N	\N	\N	t	f
9526	2794	Cova Lima District	en	0	2013-06-05 11:03:38.610049+02	1	Cova Lima District	\N	\N	\N	\N	\N	\N	t	f
9562	3114	Cabinda	fr	0	2013-06-05 11:05:07.017426+02	1	Cabinda	\N	\N	\N	\N	\N	\N	t	f
10882	3709	Gobernación de Ariana	es	0	2013-06-05 12:02:51.701623+02	1	Gobernación de Ariana	\N	\N	\N	\N	\N	\N	t	f
9563	3114	provincia di Cabinda	it	0	2013-06-05 11:05:09.394951+02	1	provincia di Cabinda	\N	\N	\N	\N	\N	\N	t	f
10024	1048	コトパクシ県	ja	0	2013-06-05 11:25:29.220497+02	1	コトパクシ県	\N	\N	\N	\N	\N	\N	t	f
10078	4764	Province d'Al Haouz	fr	0	2013-06-05 11:27:47.125886+02	1	Province d'Al Haouz	\N	\N	\N	\N	\N	\N	t	f
10887	3709	Ariana	nl	0	2013-06-05 12:03:04.062919+02	1	Ariana	\N	\N	\N	\N	\N	\N	t	f
10188	3059	Ar-Rayyan	de	0	2013-06-05 11:32:18.572461+02	1	Ar-Rayyan	\N	\N	\N	\N	\N	\N	t	f
10202	2818	Chukha	de	0	2013-06-05 11:33:00.870261+02	1	Chukha	\N	\N	\N	\N	\N	\N	t	f
10757	1116	dipartimento di Canelones	it	0	2013-06-05 11:56:52.540788+02	1	dipartimento di Canelones	\N	\N	\N	\N	\N	\N	t	f
10893	3118	Kwanza-Sud	fr	0	2013-06-05 12:03:19.125943+02	1	Kwanza-Sud	\N	\N	\N	\N	\N	\N	t	f
10894	3118	provincia di Cuanza Sud	it	0	2013-06-05 12:03:21.480691+02	1	provincia di Cuanza Sud	\N	\N	\N	\N	\N	\N	t	f
11499	4233	Benešov District	en	0	2013-06-05 12:29:25.084966+02	1	Benešov District	\N	\N	\N	\N	\N	\N	t	f
11528	3586	Anse Etoile	nl	0	2013-06-05 12:30:37.491485+02	1	Anse Etoile	\N	\N	\N	\N	\N	\N	t	f
2158	89	Guatemala	de	0	2013-05-27 15:45:16.092487+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3343	522	Çanakkalen maakunta	fi	0	2013-05-27 19:58:24.135064+02	1	Çanakkalen maakunta	\N	\N	\N	\N	\N	\N	t	f
3607	2917	Provincia de Balkan	es	0	2013-06-05 06:47:54.718811+02	1	Provincia de Balkan	\N	\N	\N	\N	\N	\N	t	f
3738	479	Blekinge län	de	0	2013-06-05 06:53:16.625645+02	1	Blekinge län	\N	\N	\N	\N	\N	\N	t	f
3612	2917	バルカン州	ja	0	2013-06-05 06:48:06.627685+02	1	バルカン州	\N	\N	\N	\N	\N	\N	t	f
3659	1495	Aguascalientes	en	0	2013-06-05 06:50:02.862613+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3681	2389	Altai krai	et	0	2013-06-05 06:50:57.006282+02	1	Altai krai	\N	\N	\N	\N	\N	\N	t	f
3750	1443	Comayagua	es	0	2013-06-05 06:53:45.756446+02	1	Comayagua	\N	\N	\N	\N	\N	\N	t	f
4179	2219	Anenii Noi District	en	0	2013-06-05 07:12:43.321459+02	1	Anenii Noi District	\N	\N	\N	\N	\N	\N	t	f
3767	811	Bihor County	en	0	2013-06-05 06:54:32.669765+02	1	Bihor County	\N	\N	\N	\N	\N	\N	t	f
4185	4633	Provinz Campobasso	de	0	2013-06-05 07:12:58.213041+02	1	Provinz Campobasso	\N	\N	\N	\N	\N	\N	t	f
4684	2683	Buriram Province	en	0	2013-06-05 07:34:30.773514+02	1	Buriram Province	\N	\N	\N	\N	\N	\N	t	f
4706	1444	Dipartimento di Copán	it	0	2013-06-05 07:35:25.023041+02	1	Dipartimento di Copán	\N	\N	\N	\N	\N	\N	t	f
5236	4376	シェール県	ja	0	2013-06-05 07:58:20.017976+02	1	シェール県	\N	\N	\N	\N	\N	\N	t	f
4707	1444	コパン県	ja	0	2013-06-05 07:35:27.441593+02	1	コパン県	\N	\N	\N	\N	\N	\N	t	f
4714	1281	Région de Bratislava	fr	0	2013-06-05 07:35:44.801918+02	1	Région de Bratislava	\N	\N	\N	\N	\N	\N	t	f
4738	1027	Azuay	fr	0	2013-06-05 07:36:43.307503+02	1	Azuay	\N	\N	\N	\N	\N	\N	t	f
5246	2561	Cao Bằng	nl	0	2013-06-05 07:58:44.242006+02	1	Cao Bằng	\N	\N	\N	\N	\N	\N	t	f
5842	4540	Νομός Χίου	el	0	2013-06-05 08:24:58.995735+02	1	Νομός Χίου	\N	\N	\N	\N	\N	\N	t	f
5254	4895	Batangas	en	0	2013-06-05 07:59:03.749712+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
5304	996	Arauca	fi	0	2013-06-05 08:01:14.108469+02	1	Arauca	\N	\N	\N	\N	\N	\N	t	f
5866	2792	Baucau (Distrikt)	de	0	2013-06-05 08:26:04.659674+02	1	Baucau (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
6495	1167	Christ Church	en	0	2013-06-05 08:53:15.424253+02	1	Christ Church	\N	\N	\N	\N	\N	\N	t	f
5893	4361	Allier	fi	0	2013-06-05 08:27:18.508468+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
6365	3772	Zentralprovinz (Sambia)	de	0	2013-06-05 08:47:01.738828+02	1	Zentralprovinz (Sambia)	\N	\N	\N	\N	\N	\N	t	f
6456	1530	カラソ県	ja	0	2013-06-05 08:51:38.260816+02	1	カラソ県	\N	\N	\N	\N	\N	\N	t	f
6512	3074	Provinz Dschauf	de	0	2013-06-05 08:53:57.306465+02	1	Provinz Dschauf	\N	\N	\N	\N	\N	\N	t	f
7247	4749	Badulla (district)	fr	0	2013-06-05 09:25:19.602838+02	1	Badulla (district)	\N	\N	\N	\N	\N	\N	t	f
6527	509	Ağrı	no	0	2013-06-05 08:54:33.297373+02	1	Ağrı	\N	\N	\N	\N	\N	\N	t	f
7258	2633	Battambang (provins)	no	0	2013-06-05 09:25:52.769869+02	1	Battambang (provins)	\N	\N	\N	\N	\N	\N	t	f
8374	506	Adana	no	0	2013-06-05 10:14:28.818286+02	1	Adana	\N	\N	\N	\N	\N	\N	t	f
7300	1303	Bauska municipality	en	0	2013-06-05 09:27:39.692285+02	1	Bauska municipality	\N	\N	\N	\N	\N	\N	t	f
7383	2813	Chin	es	0	2013-06-05 09:31:02.695128+02	1	Chin	\N	\N	\N	\N	\N	\N	t	f
10884	3709	Gouvernorat de l'Ariana	fr	0	2013-06-05 12:02:56.428531+02	1	Gouvernorat de l'Ariana	\N	\N	\N	\N	\N	\N	t	f
7384	2813	Tšini osariik	et	0	2013-06-05 09:31:05.034522+02	1	Tšini osariik	\N	\N	\N	\N	\N	\N	t	f
8386	3142	Μπουμπάνζα	el	0	2013-06-05 10:14:58.728266+02	1	Μπουμπάνζα	\N	\N	\N	\N	\N	\N	t	f
7397	3433	Al Kufrah	nl	0	2013-06-05 09:31:36.680637+02	1	Al Kufrah	\N	\N	\N	\N	\N	\N	t	f
7400	4087	Cox's Bazar District	en	0	2013-06-05 09:31:44.16204+02	1	Cox's Bazar District	\N	\N	\N	\N	\N	\N	t	f
10308	4321	Provinz Ciudad Real	de	0	2013-06-05 11:38:05.111949+02	1	Provinz Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
7822	507	Provincia di Adıyaman	it	0	2013-06-05 09:50:22.123998+02	1	Provincia di Adıyaman	\N	\N	\N	\N	\N	\N	t	f
8433	4882	Abra	es	0	2013-06-05 10:16:52.235711+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
8494	3066	Al-Sharqiyya	it	0	2013-06-05 10:19:20.795312+02	1	Al-Sharqiyya	\N	\N	\N	\N	\N	\N	t	f
8552	1546	Colón	fr	0	2013-06-05 10:21:45.041679+02	1	Colón	\N	\N	\N	\N	\N	\N	t	f
10309	4321	Θιουδάδ Ρεάλ	el	0	2013-06-05 11:38:07.674628+02	1	Θιουδάδ Ρεάλ	\N	\N	\N	\N	\N	\N	t	f
8559	2852	Azad Cachemire	fr	0	2013-06-05 10:22:03.705768+02	1	Azad Cachemire	\N	\N	\N	\N	\N	\N	t	f
8607	3556	Federal Capital Territory	en	0	2013-06-05 10:24:46.117017+02	1	Federal Capital Territory	\N	\N	\N	\N	\N	\N	t	f
11500	4233	District de Benešov	fr	0	2013-06-05 12:29:27.528547+02	1	District de Benešov	\N	\N	\N	\N	\N	\N	t	f
9396	1182	Îles Berry	fr	0	2013-06-05 10:58:11.385209+02	1	Îles Berry	\N	\N	\N	\N	\N	\N	t	f
10338	1887	Campanie	fr	0	2013-06-05 11:39:18.45512+02	1	Campanie	\N	\N	\N	\N	\N	\N	t	f
9439	815	Brașov	es	0	2013-06-05 10:59:59.80878+02	1	Brașov	\N	\N	\N	\N	\N	\N	t	f
10027	1528	Región Autónoma del Atlántico Sur	de	0	2013-06-05 11:25:40.150508+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
10963	1420	Département de Chimaltenango	fr	0	2013-06-05 12:06:11.432487+02	1	Département de Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
10062	587	Canton Argovia	it	0	2013-06-05 11:27:06.70854+02	1	Canton Argovia	\N	\N	\N	\N	\N	\N	t	f
10300	4899	Cagayan	nl	0	2013-06-05 11:37:45.141978+02	1	Cagayan	\N	\N	\N	\N	\N	\N	t	f
10758	1095	Departamento Boquerón	de	0	2013-06-05 11:56:55.302309+02	1	Departamento Boquerón	\N	\N	\N	\N	\N	\N	t	f
10784	4061	Culfan piirikunta	fi	0	2013-06-05 11:58:16.98446+02	1	Culfan piirikunta	\N	\N	\N	\N	\N	\N	t	f
10968	3143	Bujumbura Rural	de	0	2013-06-05 12:06:23.791959+02	1	Bujumbura Rural	\N	\N	\N	\N	\N	\N	t	f
10869	813	Βραΐλα	el	0	2013-06-05 12:02:20.128848+02	1	Βραΐλα	\N	\N	\N	\N	\N	\N	t	f
11553	3180	Provincia del Basso Congo	it	0	2013-06-05 12:31:39.440968+02	1	Provincia del Basso Congo	\N	\N	\N	\N	\N	\N	t	f
10998	2676	Province de Chanthaburi	fr	0	2013-06-05 12:07:36.663808+02	1	Province de Chanthaburi	\N	\N	\N	\N	\N	\N	t	f
2159	89	Γουατεμάλα	el	0	2013-05-27 15:45:18.291567+02	\N	Γουατεμάλα	\N	\N	\N	\N	\N	\N	t	f
2160	89	Guatemala	en	0	2013-05-27 15:45:20.487137+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
2161	89	Guatemala	es	0	2013-05-27 15:45:22.96494+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3344	522	Çanakkale	fr	0	2013-05-27 19:58:26.492656+02	1	Çanakkale	\N	\N	\N	\N	\N	\N	t	f
2163	89	Guatemala	fi	0	2013-05-27 15:45:27.329757+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3609	2917	Balkanin maakunta	fi	0	2013-06-05 06:47:59.441402+02	1	Balkanin maakunta	\N	\N	\N	\N	\N	\N	t	f
3739	479	Blekinge County	en	0	2013-06-05 06:53:18.979047+02	1	Blekinge County	\N	\N	\N	\N	\N	\N	t	f
3644	1419	バハ・ベラパス県	ja	0	2013-06-05 06:49:25.588672+02	1	バハ・ベラパス県	\N	\N	\N	\N	\N	\N	t	f
3675	3362	Central	nl	0	2013-06-05 06:50:41.454618+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
3677	2389	Region Altai	de	0	2013-06-05 06:50:46.840562+02	1	Region Altai	\N	\N	\N	\N	\N	\N	t	f
3753	1443	Dipartimento di Comayagua	it	0	2013-06-05 06:53:56.200073+02	1	Dipartimento di Comayagua	\N	\N	\N	\N	\N	\N	t	f
3686	2389	Kraj Altaj	nl	0	2013-06-05 06:51:09.08629+02	1	Kraj Altaj	\N	\N	\N	\N	\N	\N	t	f
4181	2219	Anenii Noin piiri	fi	0	2013-06-05 07:12:48.075198+02	1	Anenii Noin piiri	\N	\N	\N	\N	\N	\N	t	f
3689	2770	Brunei y Muara	es	0	2013-06-05 06:51:16.640787+02	1	Brunei y Muara	\N	\N	\N	\N	\N	\N	t	f
3701	3117	Cuanza Norte	nl	0	2013-06-05 06:51:45.523256+02	1	Cuanza Norte	\N	\N	\N	\N	\N	\N	t	f
4685	2683	Provincia de Buri Ram	es	0	2013-06-05 07:34:33.167661+02	1	Provincia de Buri Ram	\N	\N	\N	\N	\N	\N	t	f
4184	2219	Anenii Noi	nl	0	2013-06-05 07:12:55.248542+02	1	Anenii Noi	\N	\N	\N	\N	\N	\N	t	f
5238	4376	Cher	no	0	2013-06-05 07:58:24.848177+02	1	Cher	\N	\N	\N	\N	\N	\N	t	f
5243	2561	Province de Cao Bằng	fr	0	2013-06-05 07:58:37.057594+02	1	Province de Cao Bằng	\N	\N	\N	\N	\N	\N	t	f
5843	4540	Chios	en	0	2013-06-05 08:25:04.506447+02	1	Chios	\N	\N	\N	\N	\N	\N	t	f
5244	2561	Provincia di Cao Bang	it	0	2013-06-05 07:58:39.420153+02	1	Provincia di Cao Bang	\N	\N	\N	\N	\N	\N	t	f
5253	4895	Batangas	de	0	2013-06-05 07:59:01.411973+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
6374	2916	Ahal welaýaty	de	0	2013-06-05 08:47:24.511442+02	1	Ahal welaýaty	\N	\N	\N	\N	\N	\N	t	f
6496	1167	Parroquia de Christ Church	es	0	2013-06-05 08:53:17.773259+02	1	Parroquia de Christ Church	\N	\N	\N	\N	\N	\N	t	f
6391	1629	チャタム諸島	ja	0	2013-06-05 08:48:35.68896+02	1	チャタム諸島	\N	\N	\N	\N	\N	\N	t	f
6515	3074	Al Jawf	fi	0	2013-06-05 08:54:04.339545+02	1	Al Jawf	\N	\N	\N	\N	\N	\N	t	f
7248	4749	Distretto di Badulla	it	0	2013-06-05 09:25:21.943049+02	1	Distretto di Badulla	\N	\N	\N	\N	\N	\N	t	f
6518	3074	ジャウフ州	ja	0	2013-06-05 08:54:11.536745+02	1	ジャウフ州	\N	\N	\N	\N	\N	\N	t	f
6570	764	Castelo Branco	no	0	2013-06-05 08:56:18.998718+02	1	Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
6589	4141	Provincia d'Anversa	it	0	2013-06-05 08:57:06.473158+02	1	Provincia d'Anversa	\N	\N	\N	\N	\N	\N	t	f
7304	2498	Atyrau	de	0	2013-06-05 09:27:50.212729+02	1	Atyrau	\N	\N	\N	\N	\N	\N	t	f
6608	3261	provincia di Béjaïa	it	0	2013-06-05 08:57:52.858597+02	1	provincia di Béjaïa	\N	\N	\N	\N	\N	\N	t	f
6615	2160	Borgo Maggiore	fr	0	2013-06-05 08:58:09.885169+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
8375	3732	Arusha	de	0	2013-06-05 10:14:31.572718+02	1	Arusha	\N	\N	\N	\N	\N	\N	t	f
6617	2160	ボルゴ・マッジョーレ	ja	0	2013-06-05 08:58:14.629771+02	1	ボルゴ・マッジョーレ	\N	\N	\N	\N	\N	\N	t	f
7428	4626	provincia di Benevento	it	0	2013-06-05 09:32:52.109437+02	1	provincia di Benevento	\N	\N	\N	\N	\N	\N	t	f
6649	2192	Voblasc' di Brėst	it	0	2013-06-05 08:59:34.397502+02	1	Voblasc' di Brėst	\N	\N	\N	\N	\N	\N	t	f
7467	645	Μπούργκενλαντ	el	0	2013-06-05 09:34:31.64835+02	1	Μπούργκενλαντ	\N	\N	\N	\N	\N	\N	t	f
9491	4365	Ardèche	it	0	2013-06-05 11:02:10.738041+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
7823	507	アドゥヤマン県	ja	0	2013-06-05 09:50:24.490423+02	1	アドゥヤマン県	\N	\N	\N	\N	\N	\N	t	f
8411	3879	London Borough of Brent	de	0	2013-06-05 10:15:59.3483+02	1	London Borough of Brent	\N	\N	\N	\N	\N	\N	t	f
7880	623	Ceará	es	0	2013-06-05 09:52:49.12083+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
7886	623	Ceará	nl	0	2013-06-05 09:53:03.771005+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
8635	3426	Al Butnan	es	0	2013-06-05 10:26:02.076631+02	1	Al Butnan	\N	\N	\N	\N	\N	\N	t	f
7909	2689	アムナートチャルーン県	ja	0	2013-06-05 09:54:03.259619+02	1	アムナートチャルーン県	\N	\N	\N	\N	\N	\N	t	f
8446	262	Alaska	fr	0	2013-06-05 10:17:23.700507+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
7968	2646	Provinz Attapeu	de	0	2013-06-05 09:56:31.636251+02	1	Provinz Attapeu	\N	\N	\N	\N	\N	\N	t	f
8001	1828	Valencian Community	en	0	2013-06-05 09:57:55.261948+02	1	Valencian Community	\N	\N	\N	\N	\N	\N	t	f
8003	1828	Valencia autonoomne piirkond	et	0	2013-06-05 09:58:00.053834+02	1	Valencia autonoomne piirkond	\N	\N	\N	\N	\N	\N	t	f
8448	262	アラスカ州	ja	0	2013-06-05 10:17:28.550706+02	1	アラスカ州	\N	\N	\N	\N	\N	\N	t	f
8004	1828	Valencia	fi	0	2013-06-05 09:58:02.520619+02	1	Valencia	\N	\N	\N	\N	\N	\N	t	f
8513	1616	Anabar	it	0	2013-06-05 10:20:06.770446+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
9399	1182	Berry Islands	nl	0	2013-06-05 10:58:18.454209+02	1	Berry Islands	\N	\N	\N	\N	\N	\N	t	f
8575	1726	Astara	de	0	2013-06-05 10:23:00.048753+02	1	Astara	\N	\N	\N	\N	\N	\N	t	f
8580	1726	distretto di Astara	it	0	2013-06-05 10:23:16.265226+02	1	distretto di Astara	\N	\N	\N	\N	\N	\N	t	f
9516	1289	Aizkraukles novads	fr	0	2013-06-05 11:03:14.197822+02	1	Aizkraukles novads	\N	\N	\N	\N	\N	\N	t	f
8581	1726	Astara	nl	0	2013-06-05 10:23:19.746305+02	1	Astara	\N	\N	\N	\N	\N	\N	t	f
9422	4369	オード県	ja	0	2013-06-05 10:59:13.949959+02	1	オード県	\N	\N	\N	\N	\N	\N	t	f
8634	3426	Butnan District	en	0	2013-06-05 10:25:56.84938+02	1	Butnan District	\N	\N	\N	\N	\N	\N	t	f
9510	3061	Al Wakrah	fr	0	2013-06-05 11:02:59.676947+02	1	Al Wakrah	\N	\N	\N	\N	\N	\N	t	f
9444	815	ブラショフ県	ja	0	2013-06-05 11:00:11.96664+02	1	ブラショフ県	\N	\N	\N	\N	\N	\N	t	f
9486	4365	Ardèche	en	0	2013-06-05 11:01:58.985571+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
9513	1289	Aizkraukle municipality	en	0	2013-06-05 11:03:07.129379+02	1	Aizkraukle municipality	\N	\N	\N	\N	\N	\N	t	f
10034	1528	南アトランティコ自治地域	ja	0	2013-06-05 11:25:57.517181+02	1	南アトランティコ自治地域	\N	\N	\N	\N	\N	\N	t	f
10030	1528	Región Autónoma del Atlántico Sur	es	0	2013-06-05 11:25:48.009258+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
10043	1890	Calabre	fr	0	2013-06-05 11:26:19.545448+02	1	Calabre	\N	\N	\N	\N	\N	\N	t	f
10763	1095	Dipartimento di Boquerón	it	0	2013-06-05 11:57:08.802956+02	1	Dipartimento di Boquerón	\N	\N	\N	\N	\N	\N	t	f
10794	2647	ボーケーオ県	ja	0	2013-06-05 11:58:51.570954+02	1	ボーケーオ県	\N	\N	\N	\N	\N	\N	t	f
10868	813	Kreis Brăila	de	0	2013-06-05 12:02:17.790747+02	1	Kreis Brăila	\N	\N	\N	\N	\N	\N	t	f
10876	813	ブライラ県	ja	0	2013-06-05 12:02:36.886469+02	1	ブライラ県	\N	\N	\N	\N	\N	\N	t	f
10902	2708	Chiang Rai Province	en	0	2013-06-05 12:03:42.092719+02	1	Chiang Rai Province	\N	\N	\N	\N	\N	\N	t	f
10905	2708	Chiang Rai	fi	0	2013-06-05 12:03:49.256483+02	1	Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
2162	89	Guatemala	et	0	2013-05-27 15:45:25.151694+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3345	522	Provincia di Çanakkale	it	0	2013-05-27 19:58:28.708315+02	1	Provincia di Çanakkale	\N	\N	\N	\N	\N	\N	t	f
3610	2917	Balkan	fr	0	2013-06-05 06:48:01.853566+02	1	Balkan	\N	\N	\N	\N	\N	\N	t	f
3740	479	Provincia de Blekinge	es	0	2013-06-05 06:53:21.368808+02	1	Provincia de Blekinge	\N	\N	\N	\N	\N	\N	t	f
3624	1000	dipartimento di Caldas	it	0	2013-06-05 06:48:36.861939+02	1	dipartimento di Caldas	\N	\N	\N	\N	\N	\N	t	f
3744	479	Blekinge	it	0	2013-06-05 06:53:31.004588+02	1	Blekinge	\N	\N	\N	\N	\N	\N	t	f
4186	4633	Καμπομπάσο	el	0	2013-06-05 07:13:00.608751+02	1	Καμπομπάσο	\N	\N	\N	\N	\N	\N	t	f
3755	1443	Comayagua	nl	0	2013-06-05 06:54:01.036136+02	1	Comayagua	\N	\N	\N	\N	\N	\N	t	f
4211	3792	Angus	nl	0	2013-06-05 07:14:01.590145+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4688	2683	Provincia di Buri Ram	it	0	2013-06-05 07:34:40.344801+02	1	Provincia di Buri Ram	\N	\N	\N	\N	\N	\N	t	f
5240	2561	Cao Bằng province	en	0	2013-06-05 07:58:29.976637+02	1	Cao Bằng province	\N	\N	\N	\N	\N	\N	t	f
5286	3714	Bizerte	fi	0	2013-06-05 08:00:21.937797+02	1	Bizerte	\N	\N	\N	\N	\N	\N	t	f
5844	4540	Unidad periférica de Quíos	es	0	2013-06-05 08:25:06.939002+02	1	Unidad periférica de Quíos	\N	\N	\N	\N	\N	\N	t	f
5293	3361	Brong-Ahafo Region	en	0	2013-06-05 08:00:42.319372+02	1	Brong-Ahafo Region	\N	\N	\N	\N	\N	\N	t	f
5864	2775	Cagayan Valley	nl	0	2013-06-05 08:25:59.137367+02	1	Cagayan Valley	\N	\N	\N	\N	\N	\N	t	f
6498	1167	Christ Church	it	0	2013-06-05 08:53:22.702836+02	1	Christ Church	\N	\N	\N	\N	\N	\N	t	f
5865	2775	Cagayan Valley	no	0	2013-06-05 08:26:01.617856+02	1	Cagayan Valley	\N	\N	\N	\N	\N	\N	t	f
5926	2264	Municipalidad de Butel	es	0	2013-06-05 08:28:38.384898+02	1	Municipalidad de Butel	\N	\N	\N	\N	\N	\N	t	f
5941	3494	Curepipe	es	0	2013-06-05 08:29:17.227348+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
6501	1813	Kantabrien	de	0	2013-06-05 08:53:30.510479+02	1	Kantabrien	\N	\N	\N	\N	\N	\N	t	f
5960	4555	バリ島	ja	0	2013-06-05 08:30:03.093782+02	1	バリ島	\N	\N	\N	\N	\N	\N	t	f
5966	4990	Bugiri	fr	0	2013-06-05 08:30:17.625957+02	1	Bugiri	\N	\N	\N	\N	\N	\N	t	f
7249	4749	Badulla	nl	0	2013-06-05 09:25:24.313922+02	1	Badulla	\N	\N	\N	\N	\N	\N	t	f
5970	4759	Chichaoua Province	en	0	2013-06-05 08:30:27.442223+02	1	Chichaoua Province	\N	\N	\N	\N	\N	\N	t	f
6552	2391	Περιφέρεια Αρχάγγελσκ	el	0	2013-06-05 08:55:34.929742+02	1	Περιφέρεια Αρχάγγελσκ	\N	\N	\N	\N	\N	\N	t	f
6381	2916	アハル州	ja	0	2013-06-05 08:47:41.891228+02	1	アハル州	\N	\N	\N	\N	\N	\N	t	f
6384	1629	Νησιά Τσάταμ	el	0	2013-06-05 08:47:54.198933+02	1	Νησιά Τσάταμ	\N	\N	\N	\N	\N	\N	t	f
6445	807	Județ d'Argeș	fr	0	2013-06-05 08:51:11.591271+02	1	Județ d'Argeș	\N	\N	\N	\N	\N	\N	t	f
6555	2391	Arhangelski oblast	et	0	2013-06-05 08:55:42.173796+02	1	Arhangelski oblast	\N	\N	\N	\N	\N	\N	t	f
6571	3810	Buckinghamshire	de	0	2013-06-05 08:56:21.892288+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
7252	2633	Provincia de Battambang	es	0	2013-06-05 09:25:31.93317+02	1	Provincia de Battambang	\N	\N	\N	\N	\N	\N	t	f
6600	4322	provincia di Castellón	it	0	2013-06-05 08:57:33.109909+02	1	provincia di Castellón	\N	\N	\N	\N	\N	\N	t	f
6603	4322	Castellón	no	0	2013-06-05 08:57:40.369262+02	1	Castellón	\N	\N	\N	\N	\N	\N	t	f
8377	3732	Región de Arusha	es	0	2013-06-05 10:14:36.279708+02	1	Región de Arusha	\N	\N	\N	\N	\N	\N	t	f
7276	1531	Departamento de Chinandega	es	0	2013-06-05 09:26:37.920002+02	1	Departamento de Chinandega	\N	\N	\N	\N	\N	\N	t	f
7280	1531	チナンデガ県	ja	0	2013-06-05 09:26:47.515008+02	1	チナンデガ県	\N	\N	\N	\N	\N	\N	t	f
10031	1528	Región Autónoma del Atlántico Sur	fi	0	2013-06-05 11:25:50.37524+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
7286	1952	Brezovica	it	0	2013-06-05 09:27:02.06085+02	1	Brezovica	\N	\N	\N	\N	\N	\N	t	f
9405	5006	Budaka	nl	0	2013-06-05 10:58:32.879523+02	1	Budaka	\N	\N	\N	\N	\N	\N	t	f
7291	3385	Bissau	en	0	2013-06-05 09:27:17.528184+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7295	3385	Bissau	fr	0	2013-06-05 09:27:27.02827+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
7326	3309	Governatorato di Beni Suef	it	0	2013-06-05 09:28:43.123389+02	1	Governatorato di Beni Suef	\N	\N	\N	\N	\N	\N	t	f
9411	3067	Al Qasim	fr	0	2013-06-05 10:58:47.358433+02	1	Al Qasim	\N	\N	\N	\N	\N	\N	t	f
7445	720	Bács-Kiskun	fi	0	2013-06-05 09:33:35.176227+02	1	Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
7837	4632	Province of Cagliari	en	0	2013-06-05 09:51:00.81776+02	1	Province of Cagliari	\N	\N	\N	\N	\N	\N	t	f
10817	3812	Cambridgeshire	fi	0	2013-06-05 12:00:07.356108+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
7961	2205	Áthos	et	0	2013-06-05 09:56:14.078573+02	1	Áthos	\N	\N	\N	\N	\N	\N	t	f
9520	1250	Bahoruco	es	0	2013-06-05 11:03:24.01861+02	1	Bahoruco	\N	\N	\N	\N	\N	\N	t	f
10079	4764	Provincia di Al Haouz	it	0	2013-06-05 11:27:49.752817+02	1	Provincia di Al Haouz	\N	\N	\N	\N	\N	\N	t	f
9532	985	Región de Coquimbo	de	0	2013-06-05 11:03:53.363085+02	1	Región de Coquimbo	\N	\N	\N	\N	\N	\N	t	f
9540	985	Coquimbo	no	0	2013-06-05 11:04:12.290257+02	1	Coquimbo	\N	\N	\N	\N	\N	\N	t	f
9554	2787	Région administrative de la Cordillère	fr	0	2013-06-05 11:04:46.978716+02	1	Région administrative de la Cordillère	\N	\N	\N	\N	\N	\N	t	f
10097	3544	État d'Akwa Ibom	fr	0	2013-06-05 11:28:33.638086+02	1	État d'Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
9570	3135	Centre-Sud	fi	0	2013-06-05 11:05:26.651495+02	1	Centre-Sud	\N	\N	\N	\N	\N	\N	t	f
9618	3227	低サッサンドラ州	ja	0	2013-06-05 11:07:27.921198+02	1	低サッサンドラ州	\N	\N	\N	\N	\N	\N	t	f
11024	3315	Gouvernorat de Gizeh	fr	0	2013-06-05 12:08:44.022731+02	1	Gouvernorat de Gizeh	\N	\N	\N	\N	\N	\N	t	f
10107	2155	アックアヴィーヴァ	ja	0	2013-06-05 11:28:57.881455+02	1	アックアヴィーヴァ	\N	\N	\N	\N	\N	\N	t	f
10906	2708	Province de Chiang Rai	fr	0	2013-06-05 12:03:51.609896+02	1	Province de Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
10769	3217	Regione di Cuvette	it	0	2013-06-05 11:57:31.536202+02	1	Regione di Cuvette	\N	\N	\N	\N	\N	\N	t	f
11014	361	Buskerudin lääni	fi	0	2013-06-05 12:08:19.641773+02	1	Buskerudin lääni	\N	\N	\N	\N	\N	\N	t	f
10932	1299	Babīte municipality	en	0	2013-06-05 12:04:55.117314+02	1	Babīte municipality	\N	\N	\N	\N	\N	\N	t	f
10992	2991	Governatorato di al-Tafila	it	0	2013-06-05 12:07:21.927741+02	1	Governatorato di al-Tafila	\N	\N	\N	\N	\N	\N	t	f
11018	361	Buskerud	nl	0	2013-06-05 12:08:29.292032+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
11090	1791	District de Brčko	fr	0	2013-06-05 12:11:33.06678+02	1	District de Brčko	\N	\N	\N	\N	\N	\N	t	f
11501	4233	Distretto di Benešov	it	0	2013-06-05 12:29:29.892054+02	1	Distretto di Benešov	\N	\N	\N	\N	\N	\N	t	f
11531	2470	Aragatsotn	es	0	2013-06-05 12:30:45.171917+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
11564	2672	Chainat	no	0	2013-06-05 12:32:06.097894+02	1	Chainat	\N	\N	\N	\N	\N	\N	t	f
2165	89	Guatemala	it	0	2013-05-27 15:45:31.767959+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
2167	89	Guatemala	nl	0	2013-05-27 15:45:36.275965+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
3346	522	チャナッカレ県	ja	0	2013-05-27 19:58:34.241544+02	1	チャナッカレ県	\N	\N	\N	\N	\N	\N	t	f
3361	3092	'Amran	nl	0	2013-05-27 19:59:15.458579+02	1	'Amran	\N	\N	\N	\N	\N	\N	t	f
3741	479	Blekinge lään	et	0	2013-06-05 06:53:23.757877+02	1	Blekinge lään	\N	\N	\N	\N	\N	\N	t	f
3611	2917	Provincia di Balkan	it	0	2013-06-05 06:48:04.249109+02	1	Provincia di Balkan	\N	\N	\N	\N	\N	\N	t	f
3617	3057	Al Khawr	nl	0	2013-06-05 06:48:19.756315+02	1	Al Khawr	\N	\N	\N	\N	\N	\N	t	f
3747	479	Blekinge län	no	0	2013-06-05 06:53:38.226877+02	1	Blekinge län	\N	\N	\N	\N	\N	\N	t	f
4191	4633	Province de Campobasso	fr	0	2013-06-05 07:13:12.683196+02	1	Province de Campobasso	\N	\N	\N	\N	\N	\N	t	f
3766	811	Kreis Bihor	de	0	2013-06-05 06:54:30.269492+02	1	Kreis Bihor	\N	\N	\N	\N	\N	\N	t	f
3848	3400	Bong County	de	0	2013-06-05 06:58:04.565755+02	1	Bong County	\N	\N	\N	\N	\N	\N	t	f
4689	2683	ブリーラム県	ja	0	2013-06-05 07:34:42.723151+02	1	ブリーラム県	\N	\N	\N	\N	\N	\N	t	f
3864	4154	Bazéga	nl	0	2013-06-05 06:58:43.1753+02	1	Bazéga	\N	\N	\N	\N	\N	\N	t	f
3870	3650	Bari	fr	0	2013-06-05 06:58:57.82358+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
5241	2561	Cao Bằng	es	0	2013-06-05 07:58:32.40087+02	1	Cao Bằng	\N	\N	\N	\N	\N	\N	t	f
3877	4060	Babəkin piirikunta	fi	0	2013-06-05 06:59:14.956454+02	1	Babəkin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3892	1141	Cojedes	de	0	2013-06-05 06:59:53.365432+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
5298	3361	ブロング＝アハフォ州	ja	0	2013-06-05 08:00:54.28842+02	1	ブロング＝アハフォ州	\N	\N	\N	\N	\N	\N	t	f
5845	4540	Nome de Chios	fr	0	2013-06-05 08:25:09.489991+02	1	Nome de Chios	\N	\N	\N	\N	\N	\N	t	f
5330	4557	Bengkulu	it	0	2013-06-05 08:02:54.221774+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
5891	4361	Allier	es	0	2013-06-05 08:27:13.847191+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
6499	1167	Christ Church	nl	0	2013-06-05 08:53:25.080665+02	1	Christ Church	\N	\N	\N	\N	\N	\N	t	f
5986	4155	Bougouriba Province	en	0	2013-06-05 08:31:07.079735+02	1	Bougouriba Province	\N	\N	\N	\N	\N	\N	t	f
6411	2589	Bình Thuận	nl	0	2013-06-05 08:49:40.365702+02	1	Bình Thuận	\N	\N	\N	\N	\N	\N	t	f
6422	4360	Aisne	es	0	2013-06-05 08:50:11.821902+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
6520	509	Ağrı	de	0	2013-06-05 08:54:16.761986+02	1	Ağrı	\N	\N	\N	\N	\N	\N	t	f
6451	1530	Carazo Department	en	0	2013-06-05 08:51:26.369618+02	1	Carazo Department	\N	\N	\N	\N	\N	\N	t	f
7251	2633	Battambang Province	en	0	2013-06-05 09:25:29.45736+02	1	Battambang Province	\N	\N	\N	\N	\N	\N	t	f
6586	4141	Antwerpeni provints	et	0	2013-06-05 08:56:59.047861+02	1	Antwerpeni provints	\N	\N	\N	\N	\N	\N	t	f
7839	4632	Cagliari provints	et	0	2013-06-05 09:51:05.54792+02	1	Cagliari provints	\N	\N	\N	\N	\N	\N	t	f
8378	3732	Arusha piirkond	et	0	2013-06-05 10:14:38.617691+02	1	Arusha piirkond	\N	\N	\N	\N	\N	\N	t	f
7891	1295	Amata	it	0	2013-06-05 09:53:16.498154+02	1	Amata	\N	\N	\N	\N	\N	\N	t	f
7904	2689	Amnat Charoen Province	en	0	2013-06-05 09:53:50.214698+02	1	Amnat Charoen Province	\N	\N	\N	\N	\N	\N	t	f
9578	2925	Al-Fujayrah' emiraat	et	0	2013-06-05 11:05:46.125129+02	1	Al-Fujayrah' emiraat	\N	\N	\N	\N	\N	\N	t	f
7906	2689	Amnat Charoen	fi	0	2013-06-05 09:53:56.054085+02	1	Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
8393	3142	Bubanza	nl	0	2013-06-05 10:15:15.282315+02	1	Bubanza	\N	\N	\N	\N	\N	\N	t	f
7910	2689	Changwat Amnat Charoen	nl	0	2013-06-05 09:54:05.647084+02	1	Changwat Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
7915	4828	チティパ	ja	0	2013-06-05 09:54:18.063447+02	1	チティパ	\N	\N	\N	\N	\N	\N	t	f
7921	454	Bonaire	es	0	2013-06-05 09:54:33.649481+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
8410	3710	Ben Arous	no	0	2013-06-05 10:15:56.475078+02	1	Ben Arous	\N	\N	\N	\N	\N	\N	t	f
7957	2205	Athos	de	0	2013-06-05 09:56:04.0292+02	1	Athos	\N	\N	\N	\N	\N	\N	t	f
8463	1217	Cartago Province	en	0	2013-06-05 10:18:05.930909+02	1	Cartago Province	\N	\N	\N	\N	\N	\N	t	f
9612	3227	Bas-Sassandra	de	0	2013-06-05 11:07:10.294388+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
8484	983	Regione di Atacama	it	0	2013-06-05 10:18:56.683438+02	1	Regione di Atacama	\N	\N	\N	\N	\N	\N	t	f
9415	4369	Département Aude	de	0	2013-06-05 10:58:57.429617+02	1	Département Aude	\N	\N	\N	\N	\N	\N	t	f
10771	3217	Cuvette	nl	0	2013-06-05 11:57:37.84229+02	1	Cuvette	\N	\N	\N	\N	\N	\N	t	f
9420	4369	Aude	fr	0	2013-06-05 10:59:09.240051+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
10036	1528	Región Autónoma del Atlántico Sur	no	0	2013-06-05 11:26:02.423518+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
9436	3801	Bedford (distrikt)	no	0	2013-06-05 10:59:52.374028+02	1	Bedford (distrikt)	\N	\N	\N	\N	\N	\N	t	f
9445	815	District Brașov	nl	0	2013-06-05 11:00:14.297231+02	1	District Brașov	\N	\N	\N	\N	\N	\N	t	f
9541	1064	Arequipa	de	0	2013-06-05 11:04:15.154941+02	1	Arequipa	\N	\N	\N	\N	\N	\N	t	f
10057	587	Aargau	en	0	2013-06-05 11:26:54.54399+02	1	Aargau	\N	\N	\N	\N	\N	\N	t	f
9547	1064	regione di Arequipa	it	0	2013-06-05 11:04:29.369172+02	1	regione di Arequipa	\N	\N	\N	\N	\N	\N	t	f
9561	3114	Cabinda	fi	0	2013-06-05 11:05:04.343286+02	1	Cabinda	\N	\N	\N	\N	\N	\N	t	f
10846	3133	Regione del Centro-Nord	it	0	2013-06-05 12:01:21.253976+02	1	Regione del Centro-Nord	\N	\N	\N	\N	\N	\N	t	f
10115	4634	Casertan maakunta	fi	0	2013-06-05 11:29:18.186657+02	1	Casertan maakunta	\N	\N	\N	\N	\N	\N	t	f
10777	3649	Banaadir	fr	0	2013-06-05 11:57:54.286047+02	1	Banaadir	\N	\N	\N	\N	\N	\N	t	f
10122	4627	Μπολόνια	el	0	2013-06-05 11:29:35.609271+02	1	Μπολόνια	\N	\N	\N	\N	\N	\N	t	f
10326	1951	Municipality of Brda	en	0	2013-06-05 11:38:49.249662+02	1	Municipality of Brda	\N	\N	\N	\N	\N	\N	t	f
10781	4061	Culfa	de	0	2013-06-05 11:58:07.157053+02	1	Culfa	\N	\N	\N	\N	\N	\N	t	f
10811	3439	An Nuqat al Khams	nl	0	2013-06-05 11:59:47.291374+02	1	An Nuqat al Khams	\N	\N	\N	\N	\N	\N	t	f
10871	813	Brăila	es	0	2013-06-05 12:02:24.843323+02	1	Brăila	\N	\N	\N	\N	\N	\N	t	f
10825	1294	Alūksne piirkond	et	0	2013-06-05 12:00:28.682147+02	1	Alūksne piirkond	\N	\N	\N	\N	\N	\N	t	f
10994	2991	Tafilah	nl	0	2013-06-05 12:07:26.742909+02	1	Tafilah	\N	\N	\N	\N	\N	\N	t	f
10949	1527	北アトランティコ自治地域	ja	0	2013-06-05 12:05:37.341596+02	1	北アトランティコ自治地域	\N	\N	\N	\N	\N	\N	t	f
11005	907	Bormla	es	0	2013-06-05 12:07:53.901577+02	1	Bormla	\N	\N	\N	\N	\N	\N	t	f
10999	2676	Provincia di Chanthaburi	it	0	2013-06-05 12:07:39.212075+02	1	Provincia di Chanthaburi	\N	\N	\N	\N	\N	\N	t	f
11009	907	Cospicua	no	0	2013-06-05 12:08:04.368796+02	1	Cospicua	\N	\N	\N	\N	\N	\N	t	f
11036	3548	ボルノ州	ja	0	2013-06-05 12:09:13.107213+02	1	ボルノ州	\N	\N	\N	\N	\N	\N	t	f
11502	4233	Okres Benešov	nl	0	2013-06-05 12:29:32.239909+02	1	Okres Benešov	\N	\N	\N	\N	\N	\N	t	f
2168	89	Guatemala	no	0	2013-05-27 15:45:38.502224+02	\N	Guatemala	\N	\N	\N	\N	\N	\N	t	f
2212	6	Angola	no	0	2013-05-27 15:47:19.728195+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2169	110	Kenia	de	0	2013-05-27 15:45:41.482395+02	\N	Kenia	\N	\N	\N	\N	\N	\N	t	f
2195	255	Saint-Barthélemy	et	0	2013-05-27 15:46:41.112821+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2170	110	Κένυα	el	0	2013-05-27 15:45:43.658383+02	\N	Κένυα	\N	\N	\N	\N	\N	\N	t	f
2171	110	Kenya	en	0	2013-05-27 15:45:45.826396+02	\N	Kenya	\N	\N	\N	\N	\N	\N	t	f
2172	110	Kenia	es	0	2013-05-27 15:45:48.017695+02	\N	Kenia	\N	\N	\N	\N	\N	\N	t	f
2196	255	Saint-Barthélemy	fi	0	2013-05-27 15:46:43.30681+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2173	110	Kenya	et	0	2013-05-27 15:45:50.199342+02	\N	Kenya	\N	\N	\N	\N	\N	\N	t	f
2174	110	Kenia	fi	0	2013-05-27 15:45:52.385823+02	\N	Kenia	\N	\N	\N	\N	\N	\N	t	f
2175	110	Kenya	fr	0	2013-05-27 15:45:54.611597+02	\N	Kenya	\N	\N	\N	\N	\N	\N	t	f
2197	255	Saint-Barthélemy	fr	0	2013-05-27 15:46:45.538656+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2176	110	Kenya	it	0	2013-05-27 15:45:56.82407+02	\N	Kenya	\N	\N	\N	\N	\N	\N	t	f
2177	110	ケニア	ja	0	2013-05-27 15:45:59.019934+02	\N	ケニア	\N	\N	\N	\N	\N	\N	t	f
2213	254	Serbien	de	0	2013-05-27 15:47:22.79154+02	\N	Serbien	\N	\N	\N	\N	\N	\N	t	f
2178	110	Kenia	nl	0	2013-05-27 15:46:01.246205+02	\N	Kenia	\N	\N	\N	\N	\N	\N	t	f
2198	255	Saint-Barthélemy	it	0	2013-05-27 15:46:47.811387+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2179	110	Kenya	no	0	2013-05-27 15:46:03.489236+02	\N	Kenya	\N	\N	\N	\N	\N	\N	t	f
2180	40	Cayman Islands	de	0	2013-05-27 15:46:06.288392+02	\N	Cayman Islands	\N	\N	\N	\N	\N	\N	t	f
2181	40	Νησιά Καϋμάν	el	0	2013-05-27 15:46:08.819278+02	\N	Νησιά Καϋμάν	\N	\N	\N	\N	\N	\N	t	f
2199	255	サン・バルテルミー島	ja	0	2013-05-27 15:46:50.052226+02	\N	サン・バルテルミー島	\N	\N	\N	\N	\N	\N	t	f
2182	40	Cayman Islands	en	0	2013-05-27 15:46:11.379579+02	\N	Cayman Islands	\N	\N	\N	\N	\N	\N	t	f
2183	40	Islas Caimán	es	0	2013-05-27 15:46:13.606571+02	\N	Islas Caimán	\N	\N	\N	\N	\N	\N	t	f
2230	183	Sao Tomé-et-Principe	fr	0	2013-05-27 15:48:02.373905+02	\N	Sao Tomé-et-Principe	\N	\N	\N	\N	\N	\N	t	f
2184	40	Kaimanisaared	et	0	2013-05-27 15:46:15.808266+02	\N	Kaimanisaared	\N	\N	\N	\N	\N	\N	t	f
2200	255	Saint-Barthélemy	nl	0	2013-05-27 15:46:52.287728+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2185	40	Caymansaaret	fi	0	2013-05-27 15:46:18.001537+02	\N	Caymansaaret	\N	\N	\N	\N	\N	\N	t	f
2186	40	Îles Caïmans	fr	0	2013-05-27 15:46:20.260005+02	\N	Îles Caïmans	\N	\N	\N	\N	\N	\N	t	f
2214	254	Σερβία	el	0	2013-05-27 15:47:24.971657+02	\N	Σερβία	\N	\N	\N	\N	\N	\N	t	f
2187	40	Isole Cayman	it	0	2013-05-27 15:46:22.520667+02	\N	Isole Cayman	\N	\N	\N	\N	\N	\N	t	f
2201	255	Saint-Barthélemy	no	0	2013-05-27 15:46:54.526499+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2188	40	ケイマン諸島	ja	0	2013-05-27 15:46:24.752377+02	\N	ケイマン諸島	\N	\N	\N	\N	\N	\N	t	f
2189	40	Kaaimaneilanden	nl	0	2013-05-27 15:46:26.989066+02	\N	Kaaimaneilanden	\N	\N	\N	\N	\N	\N	t	f
2190	40	Caymanøyene	no	0	2013-05-27 15:46:29.19575+02	\N	Caymanøyene	\N	\N	\N	\N	\N	\N	t	f
2202	6	Angola	de	0	2013-05-27 15:46:57.548869+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2191	255	Saint-Barthélemy	de	0	2013-05-27 15:46:32.238253+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2192	255	Άγιος Βαρθολομαίος	el	0	2013-05-27 15:46:34.541981+02	\N	Άγιος Βαρθολομαίος	\N	\N	\N	\N	\N	\N	t	f
2225	183	Σάο Τομέ και Πρίνσιπε	el	0	2013-05-27 15:47:51.302996+02	\N	Σάο Τομέ και Πρίνσιπε	\N	\N	\N	\N	\N	\N	t	f
2193	255	Saint-Barthélemy	en	0	2013-05-27 15:46:36.735759+02	\N	Saint-Barthélemy	\N	\N	\N	\N	\N	\N	t	f
2203	6	Ανγκόλα	el	0	2013-05-27 15:46:59.73455+02	\N	Ανγκόλα	\N	\N	\N	\N	\N	\N	t	f
2194	255	San Bartolomé	es	0	2013-05-27 15:46:38.924154+02	\N	San Bartolomé	\N	\N	\N	\N	\N	\N	t	f
2215	254	Serbia	en	0	2013-05-27 15:47:27.315854+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2204	6	Angola	en	0	2013-05-27 15:47:02.046359+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2205	6	Angola	es	0	2013-05-27 15:47:04.241131+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2206	6	Angola	et	0	2013-05-27 15:47:06.422606+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2216	254	Serbia	es	0	2013-05-27 15:47:29.70954+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2207	6	Angola	fi	0	2013-05-27 15:47:08.611858+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2208	6	Angola	fr	0	2013-05-27 15:47:10.791592+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2209	6	Angola	it	0	2013-05-27 15:47:12.994185+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2217	254	Serbia	et	0	2013-05-27 15:47:31.898327+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2210	6	アンゴラ	ja	0	2013-05-27 15:47:15.238874+02	\N	アンゴラ	\N	\N	\N	\N	\N	\N	t	f
2211	6	Angola	nl	0	2013-05-27 15:47:17.489275+02	\N	Angola	\N	\N	\N	\N	\N	\N	t	f
2226	183	Sao Tomé and Príncipe	en	0	2013-05-27 15:47:53.492794+02	\N	Sao Tomé and Príncipe	\N	\N	\N	\N	\N	\N	t	f
2218	254	Serbia	fi	0	2013-05-27 15:47:34.10235+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2239	11	Armeenia	et	0	2013-05-27 15:48:23.474261+02	\N	Armeenia	\N	\N	\N	\N	\N	\N	t	f
2219	254	Serbie	fr	0	2013-05-27 15:47:36.301626+02	\N	Serbie	\N	\N	\N	\N	\N	\N	t	f
2227	183	Santo Tomé y Príncipe	es	0	2013-05-27 15:47:55.756088+02	\N	Santo Tomé y Príncipe	\N	\N	\N	\N	\N	\N	t	f
2220	254	Serbia	it	0	2013-05-27 15:47:38.52846+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2221	254	セルビア	ja	0	2013-05-27 15:47:40.742688+02	\N	セルビア	\N	\N	\N	\N	\N	\N	t	f
2231	183	São Tomé e Príncipe	it	0	2013-05-27 15:48:04.603835+02	\N	São Tomé e Príncipe	\N	\N	\N	\N	\N	\N	t	f
2222	254	Servië	nl	0	2013-05-27 15:47:43.04567+02	\N	Servië	\N	\N	\N	\N	\N	\N	t	f
2228	183	São Tomé ja Príncipe	et	0	2013-05-27 15:47:57.941543+02	\N	São Tomé ja Príncipe	\N	\N	\N	\N	\N	\N	t	f
2223	254	Serbia	no	0	2013-05-27 15:47:45.271937+02	\N	Serbia	\N	\N	\N	\N	\N	\N	t	f
2224	183	São Tomé und Príncipe	de	0	2013-05-27 15:47:49.110133+02	\N	São Tomé und Príncipe	\N	\N	\N	\N	\N	\N	t	f
2229	183	São Tomé ja Príncipe	fi	0	2013-05-27 15:48:00.150267+02	\N	São Tomé ja Príncipe	\N	\N	\N	\N	\N	\N	t	f
2234	183	São Tomé og Príncipe	no	0	2013-05-27 15:48:11.47061+02	\N	São Tomé og Príncipe	\N	\N	\N	\N	\N	\N	t	f
2232	183	サントメ・プリンシペ	ja	0	2013-05-27 15:48:06.824821+02	\N	サントメ・プリンシペ	\N	\N	\N	\N	\N	\N	t	f
2237	11	Armenia	en	0	2013-05-27 15:48:19.022367+02	\N	Armenia	\N	\N	\N	\N	\N	\N	t	f
2233	183	Sao Tomé en Principe	nl	0	2013-05-27 15:48:09.199867+02	\N	Sao Tomé en Principe	\N	\N	\N	\N	\N	\N	t	f
2235	11	Armenien	de	0	2013-05-27 15:48:14.607724+02	\N	Armenien	\N	\N	\N	\N	\N	\N	t	f
2236	11	Αρμενία	el	0	2013-05-27 15:48:16.804411+02	\N	Αρμενία	\N	\N	\N	\N	\N	\N	t	f
2238	11	Armenia	es	0	2013-05-27 15:48:21.2642+02	\N	Armenia	\N	\N	\N	\N	\N	\N	t	f
2240	11	Armenia	fi	0	2013-05-27 15:48:25.680509+02	\N	Armenia	\N	\N	\N	\N	\N	\N	t	f
2241	11	Arménie	fr	0	2013-05-27 15:48:27.898574+02	\N	Arménie	\N	\N	\N	\N	\N	\N	t	f
2242	11	Armenia	it	0	2013-05-27 15:48:30.104638+02	\N	Armenia	\N	\N	\N	\N	\N	\N	t	f
2243	11	アルメニア	ja	0	2013-05-27 15:48:32.348551+02	\N	アルメニア	\N	\N	\N	\N	\N	\N	t	f
2244	11	Armenië	nl	0	2013-05-27 15:48:34.646792+02	\N	Armenië	\N	\N	\N	\N	\N	\N	t	f
2245	11	Armenia	no	0	2013-05-27 15:48:36.887064+02	\N	Armenia	\N	\N	\N	\N	\N	\N	t	f
3347	522	Çanakkale	nl	0	2013-05-27 19:58:38.111836+02	1	Çanakkale	\N	\N	\N	\N	\N	\N	t	f
3615	3057	Al Khawr	fr	0	2013-06-05 06:48:14.979941+02	1	Al Khawr	\N	\N	\N	\N	\N	\N	t	f
3742	479	Blekingen lääni	fi	0	2013-06-05 06:53:26.1755+02	1	Blekingen lääni	\N	\N	\N	\N	\N	\N	t	f
3628	4197	Boa Vista	de	0	2013-06-05 06:48:46.805518+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
3629	4197	Νησί Μπόα Βίστα	el	0	2013-06-05 06:48:49.179564+02	1	Νησί Μπόα Βίστα	\N	\N	\N	\N	\N	\N	t	f
3651	2390	Amuuri oblast	et	0	2013-06-05 06:49:42.941566+02	1	Amuuri oblast	\N	\N	\N	\N	\N	\N	t	f
3849	3400	Bong County	en	0	2013-06-05 06:58:06.935929+02	1	Bong County	\N	\N	\N	\N	\N	\N	t	f
3679	2389	Altai Krai	en	0	2013-06-05 06:50:51.568247+02	1	Altai Krai	\N	\N	\N	\N	\N	\N	t	f
4192	4633	provincia di Campobasso	it	0	2013-06-05 07:13:15.090665+02	1	provincia di Campobasso	\N	\N	\N	\N	\N	\N	t	f
3683	2389	Kraï de l'Altaï	fr	0	2013-06-05 06:51:01.821197+02	1	Kraï de l'Altaï	\N	\N	\N	\N	\N	\N	t	f
3703	5008	Butaleja District	en	0	2013-06-05 06:51:50.735506+02	1	Butaleja District	\N	\N	\N	\N	\N	\N	t	f
4692	2258	Opština Berovo	de	0	2013-06-05 07:34:50.313597+02	1	Opština Berovo	\N	\N	\N	\N	\N	\N	t	f
5242	2561	Cao Bằng	fi	0	2013-06-05 07:58:34.737314+02	1	Cao Bằng	\N	\N	\N	\N	\N	\N	t	f
5258	4895	バタンガス州	ja	0	2013-06-05 07:59:13.166605+02	1	バタンガス州	\N	\N	\N	\N	\N	\N	t	f
5848	4540	Chios	nl	0	2013-06-05 08:25:17.160162+02	1	Chios	\N	\N	\N	\N	\N	\N	t	f
5852	3132	Región Centro-Este	es	0	2013-06-05 08:25:26.972135+02	1	Región Centro-Este	\N	\N	\N	\N	\N	\N	t	f
6500	1167	Christ Church prestegjeld	no	0	2013-06-05 08:53:27.459799+02	1	Christ Church prestegjeld	\N	\N	\N	\N	\N	\N	t	f
5897	4361	Allier	nl	0	2013-06-05 08:27:28.061102+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
5899	4907	Compostela Valley	de	0	2013-06-05 08:27:33.183339+02	1	Compostela Valley	\N	\N	\N	\N	\N	\N	t	f
5904	4907	コンポステラ・バレー州	ja	0	2013-06-05 08:27:44.967374+02	1	コンポステラ・バレー州	\N	\N	\N	\N	\N	\N	t	f
6519	3074	Al Jawf	nl	0	2013-06-05 08:54:13.922117+02	1	Al Jawf	\N	\N	\N	\N	\N	\N	t	f
6419	4890	Bataan	no	0	2013-06-05 08:50:01.784842+02	1	Bataan	\N	\N	\N	\N	\N	\N	t	f
6426	4360	Aisne	it	0	2013-06-05 08:50:21.758365+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
7254	2633	Province de Battambang	fr	0	2013-06-05 09:25:36.68795+02	1	Province de Battambang	\N	\N	\N	\N	\N	\N	t	f
6576	3810	Buckinghamshire	fi	0	2013-06-05 08:56:33.703217+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
6627	3014	Westelijke Provincie	nl	0	2013-06-05 08:58:39.731285+02	1	Westelijke Provincie	\N	\N	\N	\N	\N	\N	t	f
7313	3238	Adamaoua (Kamerun)	de	0	2013-06-05 09:28:11.943064+02	1	Adamaoua (Kamerun)	\N	\N	\N	\N	\N	\N	t	f
8383	3732	Arusha	nl	0	2013-06-05 10:14:51.135623+02	1	Arusha	\N	\N	\N	\N	\N	\N	t	f
7840	4632	Cagliarin maakunta	fi	0	2013-06-05 09:51:07.93076+02	1	Cagliarin maakunta	\N	\N	\N	\N	\N	\N	t	f
7846	325	Brandenburg	de	0	2013-06-05 09:51:23.25161+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
9539	985	Coquimbo	nl	0	2013-06-05 11:04:09.898184+02	1	Coquimbo	\N	\N	\N	\N	\N	\N	t	f
7863	3390	Kati	nl	0	2013-06-05 09:52:07.243356+02	1	Kati	\N	\N	\N	\N	\N	\N	t	f
8388	3142	Provincia de Bubanza	es	0	2013-06-05 10:15:03.403441+02	1	Provincia de Bubanza	\N	\N	\N	\N	\N	\N	t	f
7925	454	Bonaire	it	0	2013-06-05 09:54:43.294351+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
7933	515	Balıkesirin maakunta	fi	0	2013-06-05 09:55:03.493021+02	1	Balıkesirin maakunta	\N	\N	\N	\N	\N	\N	t	f
8623	762	Distretto di Braga	it	0	2013-06-05 10:25:30.333919+02	1	Distretto di Braga	\N	\N	\N	\N	\N	\N	t	f
7945	820	Distretto di Costanza	it	0	2013-06-05 09:55:33.274032+02	1	Distretto di Costanza	\N	\N	\N	\N	\N	\N	t	f
8426	4371	Bouches-du-Rhône	fr	0	2013-06-05 10:16:35.27195+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
8022	1051	Barima-Waini	it	0	2013-06-05 09:59:03.101677+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
8469	1217	Cartago	no	0	2013-06-05 10:18:20.123562+02	1	Cartago	\N	\N	\N	\N	\N	\N	t	f
8485	983	アタカマ州	ja	0	2013-06-05 10:18:59.058756+02	1	アタカマ州	\N	\N	\N	\N	\N	\N	t	f
9417	4369	Aude	es	0	2013-06-05 10:59:02.132554+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
8490	3066	Provincia Oriental	es	0	2013-06-05 10:19:11.292351+02	1	Provincia Oriental	\N	\N	\N	\N	\N	\N	t	f
8543	4614	Province d'Alexandrie	fr	0	2013-06-05 10:21:20.390659+02	1	Province d'Alexandrie	\N	\N	\N	\N	\N	\N	t	f
10130	4627	Bologna	nl	0	2013-06-05 11:29:54.85153+02	1	Bologna	\N	\N	\N	\N	\N	\N	t	f
8544	4614	provincia di Alessandria	it	0	2013-06-05 10:21:22.828908+02	1	provincia di Alessandria	\N	\N	\N	\N	\N	\N	t	f
9423	4369	Aude	nl	0	2013-06-05 10:59:16.333476+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
8591	328	Baieri	et	0	2013-06-05 10:23:53.033835+02	1	Baieri	\N	\N	\N	\N	\N	\N	t	f
8593	328	Bavière	fr	0	2013-06-05 10:24:01.919961+02	1	Bavière	\N	\N	\N	\N	\N	\N	t	f
9591	2941	アルビール県	ja	0	2013-06-05 11:06:17.58893+02	1	アルビール県	\N	\N	\N	\N	\N	\N	t	f
8596	328	Beieren	nl	0	2013-06-05 10:24:13.772558+02	1	Beieren	\N	\N	\N	\N	\N	\N	t	f
9431	3454	Chaouia-Ouardigha	no	0	2013-06-05 10:59:37.377647+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
8601	3131	Centre	fi	0	2013-06-05 10:24:28.779581+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
9446	815	Brașov	no	0	2013-06-05 11:00:16.849217+02	1	Brașov	\N	\N	\N	\N	\N	\N	t	f
9635	658	Bihar	it	0	2013-06-05 11:08:12.824634+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
9447	574	Bayburt	de	0	2013-06-05 11:00:19.70305+02	1	Bayburt	\N	\N	\N	\N	\N	\N	t	f
9593	2941	Arbil	no	0	2013-06-05 11:06:22.371627+02	1	Arbil	\N	\N	\N	\N	\N	\N	t	f
9476	3397	Anjouan	en	0	2013-06-05 11:01:33.893485+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
9529	2794	Cova Lima	it	0	2013-06-05 11:03:45.653205+02	1	Cova Lima	\N	\N	\N	\N	\N	\N	t	f
9616	3227	Région du Bas-Sassandra	fr	0	2013-06-05 11:07:19.802673+02	1	Région du Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
10038	1890	Καλαβρία	el	0	2013-06-05 11:26:07.708495+02	1	Καλαβρία	\N	\N	\N	\N	\N	\N	t	f
9629	658	Μπιχάρ	el	0	2013-06-05 11:07:55.50411+02	1	Μπιχάρ	\N	\N	\N	\N	\N	\N	t	f
10063	587	アールガウ州	ja	0	2013-06-05 11:27:09.183718+02	1	アールガウ州	\N	\N	\N	\N	\N	\N	t	f
10197	3492	Beau-Bassin Rose-Hill	fr	0	2013-06-05 11:32:40.41303+02	1	Beau-Bassin Rose-Hill	\N	\N	\N	\N	\N	\N	t	f
10196	3492	Beau-Bassin Rose-Hill	en	0	2013-06-05 11:32:38.040901+02	1	Beau-Bassin Rose-Hill	\N	\N	\N	\N	\N	\N	t	f
10224	3876	District londonien de Barking et Dagenham	fr	0	2013-06-05 11:34:20.12589+02	1	District londonien de Barking et Dagenham	\N	\N	\N	\N	\N	\N	t	f
10234	2472	Armavir	fr	0	2013-06-05 11:34:53.417016+02	1	Armavir	\N	\N	\N	\N	\N	\N	t	f
10240	267	Κολοράντο	el	0	2013-06-05 11:35:09.184965+02	1	Κολοράντο	\N	\N	\N	\N	\N	\N	t	f
10244	267	Colorado	fi	0	2013-06-05 11:35:22.144143+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10298	4899	Provincia di Cagayan	it	0	2013-06-05 11:37:40.402278+02	1	Provincia di Cagayan	\N	\N	\N	\N	\N	\N	t	f
10316	4321	シウダ・レアル県	ja	0	2013-06-05 11:38:24.506784+02	1	シウダ・レアル県	\N	\N	\N	\N	\N	\N	t	f
10774	3649	Banaadir	en	0	2013-06-05 11:57:46.682403+02	1	Banaadir	\N	\N	\N	\N	\N	\N	t	f
10797	1729	Bərdə	de	0	2013-06-05 11:59:00.752371+02	1	Bərdə	\N	\N	\N	\N	\N	\N	t	f
10803	1729	Bərdə	no	0	2013-06-05 11:59:20.834719+02	1	Bərdə	\N	\N	\N	\N	\N	\N	t	f
2268	102	Irak	de	0	2013-05-27 15:49:31.695242+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
3348	522	Çanakkale	no	0	2013-05-27 19:58:40.367998+02	1	Çanakkale	\N	\N	\N	\N	\N	\N	t	f
3619	1000	Διαμέρισμα Κάλδα	el	0	2013-06-05 06:48:24.904763+02	1	Διαμέρισμα Κάλδα	\N	\N	\N	\N	\N	\N	t	f
3743	479	Comté de Blekinge	fr	0	2013-06-05 06:53:28.602927+02	1	Comté de Blekinge	\N	\N	\N	\N	\N	\N	t	f
3620	1000	Caldas Department	en	0	2013-06-05 06:48:27.256794+02	1	Caldas Department	\N	\N	\N	\N	\N	\N	t	f
3647	2390	Oblast Amur	de	0	2013-06-05 06:49:33.307029+02	1	Oblast Amur	\N	\N	\N	\N	\N	\N	t	f
3652	2390	Amurin alue	fi	0	2013-06-05 06:49:45.356479+02	1	Amurin alue	\N	\N	\N	\N	\N	\N	t	f
3752	1443	Département de Comayagua	fr	0	2013-06-05 06:53:50.500441+02	1	Département de Comayagua	\N	\N	\N	\N	\N	\N	t	f
3664	1495	Aguascalientes	it	0	2013-06-05 06:50:14.766669+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3676	3362	Central	no	0	2013-06-05 06:50:43.877604+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
4193	4633	カンポバッソ県	ja	0	2013-06-05 07:13:17.502499+02	1	カンポバッソ県	\N	\N	\N	\N	\N	\N	t	f
3692	2770	ブルネイ・ムアラ地区	ja	0	2013-06-05 06:51:23.694347+02	1	ブルネイ・ムアラ地区	\N	\N	\N	\N	\N	\N	t	f
3778	1099	Departamento de Caaguazú	es	0	2013-06-05 06:54:59.888879+02	1	Departamento de Caaguazú	\N	\N	\N	\N	\N	\N	t	f
3693	2770	Brunei en Muara	nl	0	2013-06-05 06:51:26.093455+02	1	Brunei en Muara	\N	\N	\N	\N	\N	\N	t	f
3702	3117	Cuanza Norte	no	0	2013-06-05 06:51:47.934997+02	1	Cuanza Norte	\N	\N	\N	\N	\N	\N	t	f
4697	3815	Carrickfergus Borough Council	en	0	2013-06-05 07:35:02.613178+02	1	Carrickfergus Borough Council	\N	\N	\N	\N	\N	\N	t	f
3704	5008	Distrito de Butaleja	es	0	2013-06-05 06:51:53.110634+02	1	Distrito de Butaleja	\N	\N	\N	\N	\N	\N	t	f
3711	2529	Arhangaj aimakk	et	0	2013-06-05 06:52:10.234498+02	1	Arhangaj aimakk	\N	\N	\N	\N	\N	\N	t	f
4747	1653	Airai	fi	0	2013-06-05 07:37:06.534122+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
5247	4758	Boujdour (Provinz)	de	0	2013-06-05 07:58:46.907696+02	1	Boujdour (Provinz)	\N	\N	\N	\N	\N	\N	t	f
5262	1732	Jabrayil Rayon	en	0	2013-06-05 07:59:23.093929+02	1	Jabrayil Rayon	\N	\N	\N	\N	\N	\N	t	f
5850	3132	Centre-Est	de	0	2013-06-05 08:25:22.321543+02	1	Centre-Est	\N	\N	\N	\N	\N	\N	t	f
5269	2257	Municipalidad de Aračinovo	es	0	2013-06-05 07:59:40.017215+02	1	Municipalidad de Aračinovo	\N	\N	\N	\N	\N	\N	t	f
5880	4028	Kreis Berat	de	0	2013-06-05 08:26:44.386714+02	1	Kreis Berat	\N	\N	\N	\N	\N	\N	t	f
6503	1813	Cantabria	en	0	2013-06-05 08:53:35.25575+02	1	Cantabria	\N	\N	\N	\N	\N	\N	t	f
5889	4361	Département Allier	de	0	2013-06-05 08:27:09.178819+02	1	Département Allier	\N	\N	\N	\N	\N	\N	t	f
5898	4361	Allier	no	0	2013-06-05 08:27:30.417338+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
5903	4907	Provincia di Compostela Valley	it	0	2013-06-05 08:27:42.60232+02	1	Provincia di Compostela Valley	\N	\N	\N	\N	\N	\N	t	f
6585	4141	Provincia de Amberes	es	0	2013-06-05 08:56:56.371669+02	1	Provincia de Amberes	\N	\N	\N	\N	\N	\N	t	f
5911	3331	Governatorato di Suez	it	0	2013-06-05 08:28:02.141176+02	1	Governatorato di Suez	\N	\N	\N	\N	\N	\N	t	f
5946	1190	Freeport	de	0	2013-06-05 08:29:29.331058+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
7256	2633	バタンバン州	ja	0	2013-06-05 09:25:41.434241+02	1	バタンバン州	\N	\N	\N	\N	\N	\N	t	f
6425	4360	Aisne	fr	0	2013-06-05 08:50:19.393294+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
6601	4322	カステリョン県	ja	0	2013-06-05 08:57:35.508435+02	1	カステリョン県	\N	\N	\N	\N	\N	\N	t	f
6662	4319	Cáceres	nl	0	2013-06-05 09:00:11.970132+02	1	Cáceres	\N	\N	\N	\N	\N	\N	t	f
7872	4827	Distrito de Chiradzulu	es	0	2013-06-05 09:52:29.380042+02	1	Distrito de Chiradzulu	\N	\N	\N	\N	\N	\N	t	f
6666	998	Bolívar Department	en	0	2013-06-05 09:00:22.075279+02	1	Bolívar Department	\N	\N	\N	\N	\N	\N	t	f
7315	3238	Región Adamawa	es	0	2013-06-05 09:28:16.734487+02	1	Región Adamawa	\N	\N	\N	\N	\N	\N	t	f
6677	3803	Blackburn with Darwen	it	0	2013-06-05 09:00:49.5615+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
7356	313	Brittiläinen Kolumbia	fi	0	2013-06-05 09:29:56.672484+02	1	Brittiläinen Kolumbia	\N	\N	\N	\N	\N	\N	t	f
7361	313	Britisk Columbia	no	0	2013-06-05 09:30:08.780881+02	1	Britisk Columbia	\N	\N	\N	\N	\N	\N	t	f
7883	623	Ceará	fr	0	2013-06-05 09:52:56.371175+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
7394	3433	Al-Koufrah	fr	0	2013-06-05 09:31:29.587092+02	1	Al-Koufrah	\N	\N	\N	\N	\N	\N	t	f
7395	3433	Municipalità di Cufra	it	0	2013-06-05 09:31:31.917984+02	1	Municipalità di Cufra	\N	\N	\N	\N	\N	\N	t	f
8036	573	Aksaray	de	0	2013-06-05 09:59:51.362352+02	1	Aksaray	\N	\N	\N	\N	\N	\N	t	f
7398	3433	Al Kufrah	no	0	2013-06-05 09:31:39.105652+02	1	Al Kufrah	\N	\N	\N	\N	\N	\N	t	f
7911	2689	Amnat Charoen	no	0	2013-06-05 09:54:08.121684+02	1	Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
7410	4623	provincia di Bergamo	it	0	2013-06-05 09:32:08.383712+02	1	provincia di Bergamo	\N	\N	\N	\N	\N	\N	t	f
7845	4632	Provinsen Cagliari	no	0	2013-06-05 09:51:20.125807+02	1	Provinsen Cagliari	\N	\N	\N	\N	\N	\N	t	f
7859	3390	Provincia Central	es	0	2013-06-05 09:51:54.927279+02	1	Provincia Central	\N	\N	\N	\N	\N	\N	t	f
7912	4828	Chitipa District	en	0	2013-06-05 09:54:11.015667+02	1	Chitipa District	\N	\N	\N	\N	\N	\N	t	f
8509	1616	Anabar	es	0	2013-06-05 10:19:57.284022+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
7913	4828	District de Chitipa	fr	0	2013-06-05 09:54:13.394228+02	1	District de Chitipa	\N	\N	\N	\N	\N	\N	t	f
8042	573	Provincia di Aksaray	it	0	2013-06-05 10:00:07.113979+02	1	Provincia di Aksaray	\N	\N	\N	\N	\N	\N	t	f
7970	2646	Provincia de Attapeu	es	0	2013-06-05 09:56:36.33315+02	1	Provincia de Attapeu	\N	\N	\N	\N	\N	\N	t	f
8387	3142	Bubanza Province	en	0	2013-06-05 10:15:01.058961+02	1	Bubanza Province	\N	\N	\N	\N	\N	\N	t	f
7974	2646	アッタプー県	ja	0	2013-06-05 09:56:45.968893+02	1	アッタプー県	\N	\N	\N	\N	\N	\N	t	f
8488	3066	Provinz asch-Scharqiyya	de	0	2013-06-05 10:19:06.567617+02	1	Provinz asch-Scharqiyya	\N	\N	\N	\N	\N	\N	t	f
8456	1608	Chuuk	fr	0	2013-06-05 10:17:48.557673+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
8457	1608	Chuuk	it	0	2013-06-05 10:17:50.923013+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
8483	983	Région d'Atacama	fr	0	2013-06-05 10:18:54.316874+02	1	Région d'Atacama	\N	\N	\N	\N	\N	\N	t	f
8498	3003	Al Jahra Governorate	en	0	2013-06-05 10:19:30.593734+02	1	Al Jahra Governorate	\N	\N	\N	\N	\N	\N	t	f
8611	3556	連邦首都地区	ja	0	2013-06-05 10:24:55.65287+02	1	連邦首都地区	\N	\N	\N	\N	\N	\N	t	f
8603	3131	Regione del Centro	it	0	2013-06-05 10:24:35.864455+02	1	Regione del Centro	\N	\N	\N	\N	\N	\N	t	f
8605	3131	Centre	no	0	2013-06-05 10:24:40.771+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
8629	3825	District de Coleraine	fr	0	2013-06-05 10:25:44.772634+02	1	District de Coleraine	\N	\N	\N	\N	\N	\N	t	f
8647	2606	カマウ省	ja	0	2013-06-05 10:26:30.742424+02	1	カマウ省	\N	\N	\N	\N	\N	\N	t	f
8662	4490	Bioko Sur	no	0	2013-06-05 10:27:06.67863+02	1	Bioko Sur	\N	\N	\N	\N	\N	\N	t	f
9429	3454	Chaouia-Ouardigha	it	0	2013-06-05 10:59:30.997581+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
10044	1890	Calabria	it	0	2013-06-05 11:26:22.057359+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
10068	722	Borsod-Abaúj-Zemplén	es	0	2013-06-05 11:27:21.951919+02	1	Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
10249	267	Colorado	no	0	2013-06-05 11:35:40.029718+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
3349	1772	Şamaxı	de	0	2013-05-27 19:58:43.00672+02	1	Şamaxı	\N	\N	\N	\N	\N	\N	t	f
3350	1772	Shamakhi Rayon	en	0	2013-05-27 19:58:45.266867+02	1	Shamakhi Rayon	\N	\N	\N	\N	\N	\N	t	f
3745	479	ブレーキンゲ県	ja	0	2013-06-05 06:53:33.395854+02	1	ブレーキンゲ県	\N	\N	\N	\N	\N	\N	t	f
3354	1772	Şamaxı	nl	0	2013-05-27 19:58:58.992517+02	1	Şamaxı	\N	\N	\N	\N	\N	\N	t	f
3621	1000	Caldas	es	0	2013-06-05 06:48:29.627125+02	1	Caldas	\N	\N	\N	\N	\N	\N	t	f
3777	1099	Caaguazú Department	en	0	2013-06-05 06:54:57.530636+02	1	Caaguazú Department	\N	\N	\N	\N	\N	\N	t	f
4196	1091	Departamento Amambay	de	0	2013-06-05 07:13:25.190115+02	1	Departamento Amambay	\N	\N	\N	\N	\N	\N	t	f
3784	3806	Bournemouth	es	0	2013-06-05 06:55:16.841136+02	1	Bournemouth	\N	\N	\N	\N	\N	\N	t	f
4699	3815	Distretto di Carrickfergus	it	0	2013-06-05 07:35:07.353727+02	1	Distretto di Carrickfergus	\N	\N	\N	\N	\N	\N	t	f
3787	3299	Aïn Defla Province	en	0	2013-06-05 06:55:24.367272+02	1	Aïn Defla Province	\N	\N	\N	\N	\N	\N	t	f
3851	3400	Bong	fi	0	2013-06-05 06:58:11.646041+02	1	Bong	\N	\N	\N	\N	\N	\N	t	f
3858	4154	Bazèga Province	en	0	2013-06-05 06:58:28.812897+02	1	Bazèga Province	\N	\N	\N	\N	\N	\N	t	f
4709	1281	Bratislavský kraj	de	0	2013-06-05 07:35:32.775416+02	1	Bratislavský kraj	\N	\N	\N	\N	\N	\N	t	f
4716	1281	ブラチスラヴァ県	ja	0	2013-06-05 07:35:49.572417+02	1	ブラチスラヴァ県	\N	\N	\N	\N	\N	\N	t	f
5251	4758	Provincia di Boujdour	it	0	2013-06-05 07:58:56.256809+02	1	Provincia di Boujdour	\N	\N	\N	\N	\N	\N	t	f
4730	2597	Province de Bến Tre	fr	0	2013-06-05 07:36:23.834072+02	1	Province de Bến Tre	\N	\N	\N	\N	\N	\N	t	f
5296	3361	Région de Brong Ahafo	fr	0	2013-06-05 08:00:49.482032+02	1	Région de Brong Ahafo	\N	\N	\N	\N	\N	\N	t	f
5851	3132	Centre-Est Region	en	0	2013-06-05 08:25:24.646984+02	1	Centre-Est Region	\N	\N	\N	\N	\N	\N	t	f
5860	2775	Valle del Cagayán	es	0	2013-06-05 08:25:46.944452+02	1	Valle del Cagayán	\N	\N	\N	\N	\N	\N	t	f
6504	1813	Cantabria	es	0	2013-06-05 08:53:37.620973+02	1	Cantabria	\N	\N	\N	\N	\N	\N	t	f
5883	4028	Berat	fi	0	2013-06-05 08:26:51.359605+02	1	Berat	\N	\N	\N	\N	\N	\N	t	f
5912	3331	スエズ県	ja	0	2013-06-05 08:28:04.516483+02	1	スエズ県	\N	\N	\N	\N	\N	\N	t	f
5957	4555	Bali	fi	0	2013-06-05 08:29:55.542835+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
6588	4141	Province d'Anvers	fr	0	2013-06-05 08:57:04.075207+02	1	Province d'Anvers	\N	\N	\N	\N	\N	\N	t	f
6443	807	Argeși maakond	et	0	2013-06-05 08:51:05.931575+02	1	Argeși maakond	\N	\N	\N	\N	\N	\N	t	f
7257	2633	Battambang	nl	0	2013-06-05 09:25:47.146737+02	1	Battambang	\N	\N	\N	\N	\N	\N	t	f
6621	3014	Western Province, Sri Lanka	en	0	2013-06-05 08:58:24.662554+02	1	Western Province, Sri Lanka	\N	\N	\N	\N	\N	\N	t	f
6705	4630	province de Barletta-Andria-Trani	fr	0	2013-06-05 09:01:57.726372+02	1	province de Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
10812	3439	An Nuqat al Khams	no	0	2013-06-05 11:59:49.659407+02	1	An Nuqat al Khams	\N	\N	\N	\N	\N	\N	t	f
7325	3309	Gouvernorat de Beni Souef	fr	0	2013-06-05 09:28:40.785275+02	1	Gouvernorat de Beni Souef	\N	\N	\N	\N	\N	\N	t	f
8389	3142	Bubanzan provinssi	fi	0	2013-06-05 10:15:05.759693+02	1	Bubanzan provinssi	\N	\N	\N	\N	\N	\N	t	f
7366	2838	Chittagong Division	en	0	2013-06-05 09:30:21.449411+02	1	Chittagong Division	\N	\N	\N	\N	\N	\N	t	f
7388	2813	チン州	ja	0	2013-06-05 09:31:14.840397+02	1	チン州	\N	\N	\N	\N	\N	\N	t	f
11503	3111	Provinz Bengo	de	0	2013-06-05 12:29:35.327021+02	1	Provinz Bengo	\N	\N	\N	\N	\N	\N	t	f
7847	325	Βραδεμβούργο	el	0	2013-06-05 09:51:25.60962+02	1	Βραδεμβούργο	\N	\N	\N	\N	\N	\N	t	f
8424	4371	Bouches-du-Rhône	et	0	2013-06-05 10:16:30.626778+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
7871	4827	Chiradzulu District	en	0	2013-06-05 09:52:27.028658+02	1	Chiradzulu District	\N	\N	\N	\N	\N	\N	t	f
7875	4827	チラズル	ja	0	2013-06-05 09:52:36.729673+02	1	チラズル	\N	\N	\N	\N	\N	\N	t	f
7977	1137	Aragua	de	0	2013-06-05 09:56:53.80942+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
8427	4371	Bocche del Rodano	it	0	2013-06-05 10:16:37.641258+02	1	Bocche del Rodano	\N	\N	\N	\N	\N	\N	t	f
7979	1137	Aragua	es	0	2013-06-05 09:56:58.619583+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
7987	1181	Bimini	en	0	2013-06-05 09:57:18.165763+02	1	Bimini	\N	\N	\N	\N	\N	\N	t	f
8438	4882	Abra	nl	0	2013-06-05 10:17:04.091521+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
11587	4545	Attica	en	0	2013-06-05 12:33:05.862874+02	1	Attica	\N	\N	\N	\N	\N	\N	t	f
8444	262	Alaska	et	0	2013-06-05 10:17:18.982913+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
8493	3066	Ach-Charqiya	fr	0	2013-06-05 10:19:18.428392+02	1	Ach-Charqiya	\N	\N	\N	\N	\N	\N	t	f
8553	1546	Provincia di Colón	it	0	2013-06-05 10:21:47.402199+02	1	Provincia di Colón	\N	\N	\N	\N	\N	\N	t	f
9449	574	Bayburt Province	en	0	2013-06-05 11:00:26.892902+02	1	Bayburt Province	\N	\N	\N	\N	\N	\N	t	f
10048	4157	Boulkiemdé	de	0	2013-06-05 11:26:31.971786+02	1	Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
10776	3649	Banaadir	fi	0	2013-06-05 11:57:51.423045+02	1	Banaadir	\N	\N	\N	\N	\N	\N	t	f
2257	237	Sambia	de	0	2013-05-27 15:49:06.315544+02	\N	Sambia	\N	\N	\N	\N	\N	\N	t	f
3351	1772	Şamaxı	es	0	2013-05-27 19:58:49.02462+02	1	Şamaxı	\N	\N	\N	\N	\N	\N	t	f
3357	3092	'Amran Governorate	en	0	2013-05-27 19:59:06.426274+02	1	'Amran Governorate	\N	\N	\N	\N	\N	\N	t	f
3746	479	Blekinge län	nl	0	2013-06-05 06:53:35.782942+02	1	Blekinge län	\N	\N	\N	\N	\N	\N	t	f
3622	1000	Caldas	fi	0	2013-06-05 06:48:32.036584+02	1	Caldas	\N	\N	\N	\N	\N	\N	t	f
3626	1000	Caldas	nl	0	2013-06-05 06:48:41.636272+02	1	Caldas	\N	\N	\N	\N	\N	\N	t	f
3633	4197	Boa Vista	fi	0	2013-06-05 06:48:58.861108+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
3792	3299	Aïn Defla	nl	0	2013-06-05 06:55:36.243847+02	1	Aïn Defla	\N	\N	\N	\N	\N	\N	t	f
3645	1419	Baja Verapaz	nl	0	2013-06-05 06:49:27.983838+02	1	Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3700	3117	クアンザ・ノルテ州	ja	0	2013-06-05 06:51:43.126737+02	1	クアンザ・ノルテ州	\N	\N	\N	\N	\N	\N	t	f
4198	1091	Departamento Amambay	es	0	2013-06-05 07:13:29.955225+02	1	Departamento Amambay	\N	\N	\N	\N	\N	\N	t	f
3809	1063	アプリマク県	ja	0	2013-06-05 06:56:17.673149+02	1	アプリマク県	\N	\N	\N	\N	\N	\N	t	f
4210	3792	アンガス	ja	0	2013-06-05 07:13:59.11799+02	1	アンガス	\N	\N	\N	\N	\N	\N	t	f
4702	1444	Copán Department	en	0	2013-06-05 07:35:14.900847+02	1	Copán Department	\N	\N	\N	\N	\N	\N	t	f
5259	4895	Batangas	nl	0	2013-06-05 07:59:15.547836+02	1	Batangas	\N	\N	\N	\N	\N	\N	t	f
4735	1027	Azuay Province	en	0	2013-06-05 07:36:36.172639+02	1	Azuay Province	\N	\N	\N	\N	\N	\N	t	f
5271	2257	Aračinovo	it	0	2013-06-05 07:59:44.847394+02	1	Aračinovo	\N	\N	\N	\N	\N	\N	t	f
5853	3132	Centre-Est	fi	0	2013-06-05 08:25:29.299894+02	1	Centre-Est	\N	\N	\N	\N	\N	\N	t	f
5855	3132	Regione del Centro-Est	it	0	2013-06-05 08:25:33.976527+02	1	Regione del Centro-Est	\N	\N	\N	\N	\N	\N	t	f
6505	1813	Kantaabria	et	0	2013-06-05 08:53:39.998467+02	1	Kantaabria	\N	\N	\N	\N	\N	\N	t	f
5932	4558	Bantén	es	0	2013-06-05 08:28:55.406737+02	1	Bantén	\N	\N	\N	\N	\N	\N	t	f
5939	3494	Curepipe	de	0	2013-06-05 08:29:12.295634+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
5981	3145	Provincia di Bururi	it	0	2013-06-05 08:30:54.90971+02	1	Provincia di Bururi	\N	\N	\N	\N	\N	\N	t	f
6587	4141	Antwerpenin lääni	fi	0	2013-06-05 08:57:01.712486+02	1	Antwerpenin lääni	\N	\N	\N	\N	\N	\N	t	f
7264	2932	Sentralguvernementet	no	0	2013-06-05 09:26:08.099937+02	1	Sentralguvernementet	\N	\N	\N	\N	\N	\N	t	f
8533	3257	Wilaya de Chlef	fr	0	2013-06-05 10:20:55.262251+02	1	Wilaya de Chlef	\N	\N	\N	\N	\N	\N	t	f
7268	3070	Al-Ḩudūd ash-Shamālīyah	et	0	2013-06-05 09:26:18.118187+02	1	Al-Ḩudūd ash-Shamālīyah	\N	\N	\N	\N	\N	\N	t	f
8395	4743	Ampara (Distrikt)	de	0	2013-06-05 10:15:20.394838+02	1	Ampara (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
7279	1531	Dipartimento di Chinandega	it	0	2013-06-05 09:26:45.074899+02	1	Dipartimento di Chinandega	\N	\N	\N	\N	\N	\N	t	f
7345	579	Bartınin maakunta	fi	0	2013-06-05 09:29:29.529452+02	1	Bartınin maakunta	\N	\N	\N	\N	\N	\N	t	f
7438	3010	ベッカー県	ja	0	2013-06-05 09:33:16.43423+02	1	ベッカー県	\N	\N	\N	\N	\N	\N	t	f
8400	4743	Ampara (distrikt)	no	0	2013-06-05 10:15:32.149046+02	1	Ampara (distrikt)	\N	\N	\N	\N	\N	\N	t	f
7441	720	Komitat Bács-Kiskun	de	0	2013-06-05 09:33:24.123765+02	1	Komitat Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
7858	3390	Central Province	en	0	2013-06-05 09:51:52.580812+02	1	Central Province	\N	\N	\N	\N	\N	\N	t	f
10798	1729	Barda Rayon	en	0	2013-06-05 11:59:03.103246+02	1	Barda Rayon	\N	\N	\N	\N	\N	\N	t	f
7864	2344	Okrug Braničevo	de	0	2013-06-05 09:52:10.008669+02	1	Okrug Braničevo	\N	\N	\N	\N	\N	\N	t	f
8409	3710	Ben Arous	nl	0	2013-06-05 10:15:54.092671+02	1	Ben Arous	\N	\N	\N	\N	\N	\N	t	f
7865	2344	Braničevo District	en	0	2013-06-05 09:52:12.374186+02	1	Braničevo District	\N	\N	\N	\N	\N	\N	t	f
7888	1295	Amata municipality	en	0	2013-06-05 09:53:08.982359+02	1	Amata municipality	\N	\N	\N	\N	\N	\N	t	f
8573	3823	City of London	no	0	2013-06-05 10:22:54.428584+02	1	City of London	\N	\N	\N	\N	\N	\N	t	f
8417	3879	Borgo londinese di Brent	it	0	2013-06-05 10:16:13.509431+02	1	Borgo londinese di Brent	\N	\N	\N	\N	\N	\N	t	f
8425	4371	Bouches-du-Rhône	fi	0	2013-06-05 10:16:32.960857+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
8461	1217	Provinz Cartago	de	0	2013-06-05 10:18:00.822169+02	1	Provinz Cartago	\N	\N	\N	\N	\N	\N	t	f
9451	574	Bayburt	fr	0	2013-06-05 11:00:32.701252+02	1	Bayburt	\N	\N	\N	\N	\N	\N	t	f
8472	1135	Anzoátegui	es	0	2013-06-05 10:18:27.621254+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
8473	1135	Anzoátegui	et	0	2013-06-05 10:18:29.994472+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
8479	983	Región de Atacama	de	0	2013-06-05 10:18:44.948283+02	1	Región de Atacama	\N	\N	\N	\N	\N	\N	t	f
10056	587	Kanton Aargau	de	0	2013-06-05 11:26:52.007748+02	1	Kanton Aargau	\N	\N	\N	\N	\N	\N	t	f
8500	3003	Al-Jahra	it	0	2013-06-05 10:19:35.375071+02	1	Al-Jahra	\N	\N	\N	\N	\N	\N	t	f
8507	1616	Anabar	de	0	2013-06-05 10:19:52.606113+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
10813	3812	Cambridgeshire	de	0	2013-06-05 11:59:52.405495+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
8511	1616	Anabar	fi	0	2013-06-05 10:20:02.021471+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
10250	1032	Provinz Cañar	de	0	2013-06-05 11:35:42.952603+02	1	Provinz Cañar	\N	\N	\N	\N	\N	\N	t	f
10265	4310	Province d'Albacete	fr	0	2013-06-05 11:36:19.184096+02	1	Province d'Albacete	\N	\N	\N	\N	\N	\N	t	f
10946	1527	Región Autónoma del Atlántico Norte	fi	0	2013-06-05 12:05:30.09783+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
10306	3622	Nilo	it	0	2013-06-05 11:37:59.926572+02	1	Nilo	\N	\N	\N	\N	\N	\N	t	f
10782	4061	Julfa Rayon	en	0	2013-06-05 11:58:10.679317+02	1	Julfa Rayon	\N	\N	\N	\N	\N	\N	t	f
11583	1728	Balakən	fr	0	2013-06-05 12:32:55.804321+02	1	Balakən	\N	\N	\N	\N	\N	\N	t	f
10956	4900	Provincia di Camiguin	it	0	2013-06-05 12:05:54.38644+02	1	Provincia di Camiguin	\N	\N	\N	\N	\N	\N	t	f
11504	3111	Bengo Province	en	0	2013-06-05 12:29:38.266084+02	1	Bengo Province	\N	\N	\N	\N	\N	\N	t	f
11586	4545	Attika	de	0	2013-06-05 12:33:03.276945+02	1	Attika	\N	\N	\N	\N	\N	\N	t	f
2258	237	Ζάμπια	el	0	2013-05-27 15:49:08.524965+02	\N	Ζάμπια	\N	\N	\N	\N	\N	\N	t	f
2259	237	Zambia	en	0	2013-05-27 15:49:10.73232+02	\N	Zambia	\N	\N	\N	\N	\N	\N	t	f
3353	1772	Şamaxı	fr	0	2013-05-27 19:58:56.766658+02	1	Şamaxı	\N	\N	\N	\N	\N	\N	t	f
3367	3687	Hadjer-Lamis	fr	0	2013-05-27 19:59:31.511029+02	1	Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3748	1443	Departamento Comayagua	de	0	2013-06-05 06:53:40.97187+02	1	Departamento Comayagua	\N	\N	\N	\N	\N	\N	t	f
3443	474	Östergötland	it	0	2013-05-27 20:02:36.089872+02	1	Östergötland	\N	\N	\N	\N	\N	\N	t	f
3630	4197	Boa Vista, Cape Verde	en	0	2013-06-05 06:48:51.540834+02	1	Boa Vista, Cape Verde	\N	\N	\N	\N	\N	\N	t	f
3769	811	Bihori maakond	et	0	2013-06-05 06:54:37.422556+02	1	Bihori maakond	\N	\N	\N	\N	\N	\N	t	f
4200	1091	Département d'Amambay	fr	0	2013-06-05 07:13:34.734814+02	1	Département d'Amambay	\N	\N	\N	\N	\N	\N	t	f
3783	3806	Bournemouth Borough Council	en	0	2013-06-05 06:55:14.446418+02	1	Bournemouth Borough Council	\N	\N	\N	\N	\N	\N	t	f
4201	1091	Dipartimento di Amambay	it	0	2013-06-05 07:13:37.131553+02	1	Dipartimento di Amambay	\N	\N	\N	\N	\N	\N	t	f
4704	1444	Copán	fi	0	2013-06-05 07:35:20.283479+02	1	Copán	\N	\N	\N	\N	\N	\N	t	f
4731	2597	Provincia di Ben Tre	it	0	2013-06-05 07:36:26.184567+02	1	Provincia di Ben Tre	\N	\N	\N	\N	\N	\N	t	f
5263	1732	Cəbrayıl	es	0	2013-06-05 07:59:25.432848+02	1	Cəbrayıl	\N	\N	\N	\N	\N	\N	t	f
5267	1732	Cəbrayıl	no	0	2013-06-05 07:59:34.947654+02	1	Cəbrayıl	\N	\N	\N	\N	\N	\N	t	f
5859	2775	Cagayan Valley	en	0	2013-06-05 08:25:44.550868+02	1	Cagayan Valley	\N	\N	\N	\N	\N	\N	t	f
5278	2648	Provincia di Bolikhamxai	it	0	2013-06-05 08:00:01.924628+02	1	Provincia di Bolikhamxai	\N	\N	\N	\N	\N	\N	t	f
5285	3714	Gobernación de Bizerta	es	0	2013-06-05 08:00:19.506484+02	1	Gobernación de Bizerta	\N	\N	\N	\N	\N	\N	t	f
5902	4907	Vallée de Compostela	fr	0	2013-06-05 08:27:40.271709+02	1	Vallée de Compostela	\N	\N	\N	\N	\N	\N	t	f
6507	1813	Cantabrie	fr	0	2013-06-05 08:53:44.948248+02	1	Cantabrie	\N	\N	\N	\N	\N	\N	t	f
5962	4555	Bali	no	0	2013-06-05 08:30:07.831943+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
6541	3667	Central Equatoria	nl	0	2013-06-05 08:55:07.903746+02	1	Central Equatoria	\N	\N	\N	\N	\N	\N	t	f
7269	3070	Al Hudud ash Shamaliyah	fi	0	2013-06-05 09:26:20.499056+02	1	Al Hudud ash Shamaliyah	\N	\N	\N	\N	\N	\N	t	f
6544	1138	Barinas	es	0	2013-06-05 08:55:15.399834+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
6567	764	Distretto di Castelo Branco	it	0	2013-06-05 08:56:11.668416+02	1	Distretto di Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
6625	3014	Provincia Occidentale	it	0	2013-06-05 08:58:34.745224+02	1	Provincia Occidentale	\N	\N	\N	\N	\N	\N	t	f
7352	313	Βρετανική Κολομβία	el	0	2013-06-05 09:29:47.106673+02	1	Βρετανική Κολομβία	\N	\N	\N	\N	\N	\N	t	f
6671	998	ボリーバル県	ja	0	2013-06-05 09:00:34.86679+02	1	ボリーバル県	\N	\N	\N	\N	\N	\N	t	f
6672	998	Bolívar	nl	0	2013-06-05 09:00:37.256412+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
8397	4743	Ampara (district)	fr	0	2013-06-05 10:15:25.092273+02	1	Ampara (district)	\N	\N	\N	\N	\N	\N	t	f
6680	3037	Al Wusta Governorate	en	0	2013-06-05 09:00:56.974139+02	1	Al Wusta Governorate	\N	\N	\N	\N	\N	\N	t	f
7357	313	Colombie-Britannique	fr	0	2013-06-05 09:29:59.179042+02	1	Colombie-Britannique	\N	\N	\N	\N	\N	\N	t	f
7402	4087	Cox's Bazar	fr	0	2013-06-05 09:31:48.887339+02	1	Cox's Bazar	\N	\N	\N	\N	\N	\N	t	f
7417	3794	District d'Ards	fr	0	2013-06-05 09:32:25.492709+02	1	District d'Ards	\N	\N	\N	\N	\N	\N	t	f
8402	3710	Μπιν Αρούς	el	0	2013-06-05 10:15:37.423336+02	1	Μπιν Αρούς	\N	\N	\N	\N	\N	\N	t	f
7448	720	バーチ・キシュクン県	ja	0	2013-06-05 09:33:42.537451+02	1	バーチ・キシュクン県	\N	\N	\N	\N	\N	\N	t	f
7861	3390	Provincia centrale	it	0	2013-06-05 09:52:02.049212+02	1	Provincia centrale	\N	\N	\N	\N	\N	\N	t	f
9461	1697	A'ana	nl	0	2013-06-05 11:00:57.182366+02	1	A'ana	\N	\N	\N	\N	\N	\N	t	f
8510	1616	Anabari ringkond	et	0	2013-06-05 10:19:59.668211+02	1	Anabari ringkond	\N	\N	\N	\N	\N	\N	t	f
8516	1616	Anabar	no	0	2013-06-05 10:20:13.9324+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
8582	1726	Astara	no	0	2013-06-05 10:23:23.663738+02	1	Astara	\N	\N	\N	\N	\N	\N	t	f
9477	3397	Anjouan	es	0	2013-06-05 11:01:36.252554+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
8584	4077	Bandarban District	en	0	2013-06-05 10:23:32.440037+02	1	Bandarban District	\N	\N	\N	\N	\N	\N	t	f
8587	328	Bayern	de	0	2013-06-05 10:23:40.11295+02	1	Bayern	\N	\N	\N	\N	\N	\N	t	f
10866	1007	Cundinamarca	nl	0	2013-06-05 12:02:12.469607+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
8588	328	Βαυαρία	el	0	2013-06-05 10:23:44.912936+02	1	Βαυαρία	\N	\N	\N	\N	\N	\N	t	f
9487	4365	Ardéche	es	0	2013-06-05 11:02:01.310674+02	1	Ardéche	\N	\N	\N	\N	\N	\N	t	f
8604	3131	Centre	nl	0	2013-06-05 10:24:38.379989+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
8610	3556	Abuja Federal Capital Territory	it	0	2013-06-05 10:24:53.270743+02	1	Abuja Federal Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8654	4490	Bioko Sur	de	0	2013-06-05 10:26:47.865191+02	1	Bioko Sur	\N	\N	\N	\N	\N	\N	t	f
10058	587	Argovia	es	0	2013-06-05 11:26:56.916414+02	1	Argovia	\N	\N	\N	\N	\N	\N	t	f
8658	4490	Bioko-Sur	fr	0	2013-06-05 10:26:57.229312+02	1	Bioko-Sur	\N	\N	\N	\N	\N	\N	t	f
11561	2672	Provincia di Chainat	it	0	2013-06-05 12:31:58.883024+02	1	Provincia di Chainat	\N	\N	\N	\N	\N	\N	t	f
10177	3193	Bangui	de	0	2013-06-05 11:31:51.751267+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10874	813	Județ de Brăila	fr	0	2013-06-05 12:02:31.931822+02	1	Județ de Brăila	\N	\N	\N	\N	\N	\N	t	f
10229	2472	Armawir	de	0	2013-06-05 11:34:34.878695+02	1	Armawir	\N	\N	\N	\N	\N	\N	t	f
10243	267	Colorado	et	0	2013-06-05 11:35:17.405959+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10795	2647	Bokeo	nl	0	2013-06-05 11:58:55.541738+02	1	Bokeo	\N	\N	\N	\N	\N	\N	t	f
10802	1729	Bərdə	nl	0	2013-06-05 11:59:18.473386+02	1	Bərdə	\N	\N	\N	\N	\N	\N	t	f
10923	386	Aomori Prefecture	en	0	2013-06-05 12:04:33.227088+02	1	Aomori Prefecture	\N	\N	\N	\N	\N	\N	t	f
11506	3111	Bengo provints	et	0	2013-06-05 12:29:43.188214+02	1	Bengo provints	\N	\N	\N	\N	\N	\N	t	f
2260	237	Zambia	es	0	2013-05-27 15:49:12.928274+02	\N	Zambia	\N	\N	\N	\N	\N	\N	t	f
3355	1772	Şamaxı	no	0	2013-05-27 19:59:01.190597+02	1	Şamaxı	\N	\N	\N	\N	\N	\N	t	f
3358	3092	Gobernación de 'Amran	es	0	2013-05-27 19:59:08.819998+02	1	Gobernación de 'Amran	\N	\N	\N	\N	\N	\N	t	f
3749	1443	Comayagua Department	en	0	2013-06-05 06:53:43.391813+02	1	Comayagua Department	\N	\N	\N	\N	\N	\N	t	f
3631	4197	Isla de Boa Vista	es	0	2013-06-05 06:48:53.903174+02	1	Isla de Boa Vista	\N	\N	\N	\N	\N	\N	t	f
3643	1419	Dipartimento di Baja Verapaz	it	0	2013-06-05 06:49:23.201578+02	1	Dipartimento di Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3665	1495	アグアスカリエンテス州	ja	0	2013-06-05 06:50:17.190342+02	1	アグアスカリエンテス州	\N	\N	\N	\N	\N	\N	t	f
3758	4491	Provincia Centro Sur	es	0	2013-06-05 06:54:08.513757+02	1	Provincia Centro Sur	\N	\N	\N	\N	\N	\N	t	f
3678	2389	Κράι Αλτάι	el	0	2013-06-05 06:50:49.202512+02	1	Κράι Αλτάι	\N	\N	\N	\N	\N	\N	t	f
3691	2770	Distretto di Brunei-Muara	it	0	2013-06-05 06:51:21.33202+02	1	Distretto di Brunei-Muara	\N	\N	\N	\N	\N	\N	t	f
4202	1091	Amambay	nl	0	2013-06-05 07:13:39.576989+02	1	Amambay	\N	\N	\N	\N	\N	\N	t	f
3771	811	Județ de Bihor	fr	0	2013-06-05 06:54:42.192779+02	1	Județ de Bihor	\N	\N	\N	\N	\N	\N	t	f
3788	3299	Provincia de Aïn Defla	es	0	2013-06-05 06:55:26.725684+02	1	Provincia de Aïn Defla	\N	\N	\N	\N	\N	\N	t	f
4708	1444	Copán	nl	0	2013-06-05 07:35:29.845754+02	1	Copán	\N	\N	\N	\N	\N	\N	t	f
3799	982	Regione dell'Araucanía	it	0	2013-06-05 06:55:53.307697+02	1	Regione dell'Araucanía	\N	\N	\N	\N	\N	\N	t	f
3805	1063	Apurímac	es	0	2013-06-05 06:56:08.090704+02	1	Apurímac	\N	\N	\N	\N	\N	\N	t	f
3812	1556	Departamento Ahuachapán	de	0	2013-06-05 06:56:25.402464+02	1	Departamento Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
4724	3481	ブラクナ州	ja	0	2013-06-05 07:36:09.289918+02	1	ブラクナ州	\N	\N	\N	\N	\N	\N	t	f
3819	1556	Ahuachapán	nl	0	2013-06-05 06:56:42.246709+02	1	Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
3888	4643	provincia di Catanzaro	it	0	2013-06-05 06:59:42.634342+02	1	provincia di Catanzaro	\N	\N	\N	\N	\N	\N	t	f
5265	1732	Jabrayil	fr	0	2013-06-05 07:59:30.155571+02	1	Jabrayil	\N	\N	\N	\N	\N	\N	t	f
4729	2597	Bến Tre	es	0	2013-06-05 07:36:21.47868+02	1	Bến Tre	\N	\N	\N	\N	\N	\N	t	f
5266	1732	Cəbrayıl	nl	0	2013-06-05 07:59:32.546394+02	1	Cəbrayıl	\N	\N	\N	\N	\N	\N	t	f
5867	2792	Baucau District	en	0	2013-06-05 08:26:06.977279+02	1	Baucau District	\N	\N	\N	\N	\N	\N	t	f
5272	2257	Aračinovo	nl	0	2013-06-05 07:59:47.2149+02	1	Aračinovo	\N	\N	\N	\N	\N	\N	t	f
5279	2648	ボーリカムサイ県	ja	0	2013-06-05 08:00:04.333526+02	1	ボーリカムサイ県	\N	\N	\N	\N	\N	\N	t	f
5280	2648	Bolikhamsai	nl	0	2013-06-05 08:00:06.981687+02	1	Bolikhamsai	\N	\N	\N	\N	\N	\N	t	f
5875	3648	Bakool	es	0	2013-06-05 08:26:31.19919+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
5295	3361	Brong-Ahafo	fi	0	2013-06-05 08:00:47.000708+02	1	Brong-Ahafo	\N	\N	\N	\N	\N	\N	t	f
5303	996	Arauca	es	0	2013-06-05 08:01:08.571649+02	1	Arauca	\N	\N	\N	\N	\N	\N	t	f
6514	3074	Provincia de Yauf	es	0	2013-06-05 08:54:02.000066+02	1	Provincia de Yauf	\N	\N	\N	\N	\N	\N	t	f
5876	3648	Bakool	fi	0	2013-06-05 08:26:33.617334+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
5878	3648	Bakool	it	0	2013-06-05 08:26:38.300279+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
7948	820	Constanța	no	0	2013-06-05 09:55:40.716316+02	1	Constanța	\N	\N	\N	\N	\N	\N	t	f
5892	4361	Allier' departemang	et	0	2013-06-05 08:27:16.165028+02	1	Allier' departemang	\N	\N	\N	\N	\N	\N	t	f
6525	509	アール県	ja	0	2013-06-05 08:54:28.551376+02	1	アール県	\N	\N	\N	\N	\N	\N	t	f
5900	4907	Compostela Valley	en	0	2013-06-05 08:27:35.557543+02	1	Compostela Valley	\N	\N	\N	\N	\N	\N	t	f
7272	3070	北部国境州	ja	0	2013-06-05 09:26:27.927113+02	1	北部国境州	\N	\N	\N	\N	\N	\N	t	f
5972	4759	Province de Chichaoua	fr	0	2013-06-05 08:30:33.307456+02	1	Province de Chichaoua	\N	\N	\N	\N	\N	\N	t	f
5973	4759	Provincia di Chichaoua	it	0	2013-06-05 08:30:35.645622+02	1	Provincia di Chichaoua	\N	\N	\N	\N	\N	\N	t	f
5976	3145	Μπουρούρι	el	0	2013-06-05 08:30:43.09388+02	1	Μπουρούρι	\N	\N	\N	\N	\N	\N	t	f
7283	1952	Brezovica	de	0	2013-06-05 09:26:55.019409+02	1	Brezovica	\N	\N	\N	\N	\N	\N	t	f
5984	3145	Bururi	no	0	2013-06-05 08:31:02.039261+02	1	Bururi	\N	\N	\N	\N	\N	\N	t	f
5989	4155	Bougouriba	fr	0	2013-06-05 08:31:14.088146+02	1	Bougouriba	\N	\N	\N	\N	\N	\N	t	f
7288	1952	Brezovica	nl	0	2013-06-05 09:27:06.815028+02	1	Brezovica	\N	\N	\N	\N	\N	\N	t	f
8027	1815	Castile and León	en	0	2013-06-05 09:59:24.045908+02	1	Castile and León	\N	\N	\N	\N	\N	\N	t	f
7292	3385	Bisáu	es	0	2013-06-05 09:27:19.888487+02	1	Bisáu	\N	\N	\N	\N	\N	\N	t	f
10059	587	Aargau kanton	et	0	2013-06-05 11:26:59.307372+02	1	Aargau kanton	\N	\N	\N	\N	\N	\N	t	f
7314	3238	Adamawa Region	en	0	2013-06-05 09:28:14.411906+02	1	Adamawa Region	\N	\N	\N	\N	\N	\N	t	f
8398	4743	Distretto di Ampara	it	0	2013-06-05 10:15:27.443019+02	1	Distretto di Ampara	\N	\N	\N	\N	\N	\N	t	f
7459	657	Assam	et	0	2013-06-05 09:34:11.867634+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
7465	657	Assam	no	0	2013-06-05 09:34:26.224308+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
8615	3683	Borkou	fr	0	2013-06-05 10:25:08.774699+02	1	Borkou	\N	\N	\N	\N	\N	\N	t	f
7472	645	Burgenland	fr	0	2013-06-05 09:34:44.707677+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
8465	1217	Cartago	fr	0	2013-06-05 10:18:10.664264+02	1	Cartago	\N	\N	\N	\N	\N	\N	t	f
7862	3390	中央州	ja	0	2013-06-05 09:52:04.58928+02	1	中央州	\N	\N	\N	\N	\N	\N	t	f
7914	4828	Distretto di Chitipa	it	0	2013-06-05 09:54:15.733684+02	1	Distretto di Chitipa	\N	\N	\N	\N	\N	\N	t	f
8562	2852	Azad Kasjmir	nl	0	2013-06-05 10:22:11.935157+02	1	Azad Kasjmir	\N	\N	\N	\N	\N	\N	t	f
8660	4490	南ビオコ県	ja	0	2013-06-05 10:27:01.940283+02	1	南ビオコ県	\N	\N	\N	\N	\N	\N	t	f
8595	328	バイエルン州	ja	0	2013-06-05 10:24:08.964742+02	1	バイエルン州	\N	\N	\N	\N	\N	\N	t	f
8627	3825	Coleraine	de	0	2013-06-05 10:25:40.096215+02	1	Coleraine	\N	\N	\N	\N	\N	\N	t	f
8600	3131	Región Centro	es	0	2013-06-05 10:24:26.453838+02	1	Región Centro	\N	\N	\N	\N	\N	\N	t	f
8602	3131	Centre	fr	0	2013-06-05 10:24:31.106296+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
9469	4617	province d'Ascoli Piceno	fr	0	2013-06-05 11:01:17.014017+02	1	province d'Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
8644	2606	Cà Mau	fi	0	2013-06-05 10:26:23.669121+02	1	Cà Mau	\N	\N	\N	\N	\N	\N	t	f
8659	4490	Provincia di Bioko Sud	it	0	2013-06-05 10:26:59.579552+02	1	Provincia di Bioko Sud	\N	\N	\N	\N	\N	\N	t	f
9511	3061	Al Wakrah	it	0	2013-06-05 11:03:02.032603+02	1	Al Wakrah	\N	\N	\N	\N	\N	\N	t	f
9488	4365	Ardèche'i departemang	et	0	2013-06-05 11:02:03.646192+02	1	Ardèche'i departemang	\N	\N	\N	\N	\N	\N	t	f
10067	722	Borsod-Abaúj-Zemplén County	en	0	2013-06-05 11:27:19.447842+02	1	Borsod-Abaúj-Zemplén County	\N	\N	\N	\N	\N	\N	t	f
10315	4321	provincia di Ciudad Real	it	0	2013-06-05 11:38:22.074273+02	1	provincia di Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
10800	1729	Bərdən piirikunta	fi	0	2013-06-05 11:59:07.862415+02	1	Bərdən piirikunta	\N	\N	\N	\N	\N	\N	t	f
10805	3439	Nuqat al Khams	en	0	2013-06-05 11:59:26.029733+02	1	Nuqat al Khams	\N	\N	\N	\N	\N	\N	t	f
10815	3812	Cambridgeshire	es	0	2013-06-05 12:00:00.237525+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
10929	386	青森県	ja	0	2013-06-05 12:04:47.604237+02	1	青森県	\N	\N	\N	\N	\N	\N	t	f
10965	1420	チマルテナンゴ県	ja	0	2013-06-05 12:06:16.132862+02	1	チマルテナンゴ県	\N	\N	\N	\N	\N	\N	t	f
2261	237	Sambia	et	0	2013-05-27 15:49:15.193674+02	\N	Sambia	\N	\N	\N	\N	\N	\N	t	f
2262	237	Sambia	fi	0	2013-05-27 15:49:17.392623+02	\N	Sambia	\N	\N	\N	\N	\N	\N	t	f
2263	237	Zambie	fr	0	2013-05-27 15:49:19.634416+02	\N	Zambie	\N	\N	\N	\N	\N	\N	t	f
3356	3092	Gouvernement ʿAmrān	de	0	2013-05-27 19:59:03.968235+02	1	Gouvernement ʿAmrān	\N	\N	\N	\N	\N	\N	t	f
2264	237	Zambia	it	0	2013-05-27 15:49:21.838022+02	\N	Zambia	\N	\N	\N	\N	\N	\N	t	f
3359	3092	Gouvernorat d'Amran	fr	0	2013-05-27 19:59:11.038743+02	1	Gouvernorat d'Amran	\N	\N	\N	\N	\N	\N	t	f
3751	1443	Comayagua	fi	0	2013-06-05 06:53:48.121394+02	1	Comayagua	\N	\N	\N	\N	\N	\N	t	f
3436	2154	Šentrupert	nl	0	2013-05-27 20:02:19.712873+02	1	Šentrupert	\N	\N	\N	\N	\N	\N	t	f
3634	4197	Boa Vista	fr	0	2013-06-05 06:49:01.259876+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
4206	3792	Angus	et	0	2013-06-05 07:13:49.518513+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4710	1281	Bratislava Region	en	0	2013-06-05 07:35:35.132552+02	1	Bratislava Region	\N	\N	\N	\N	\N	\N	t	f
4715	1281	Regione di Bratislava	it	0	2013-06-05 07:35:47.173781+02	1	Regione di Bratislava	\N	\N	\N	\N	\N	\N	t	f
5273	2648	Bolikhamsai	de	0	2013-06-05 07:59:50.088934+02	1	Bolikhamsai	\N	\N	\N	\N	\N	\N	t	f
4727	2597	Bến Tre	de	0	2013-06-05 07:36:16.793772+02	1	Bến Tre	\N	\N	\N	\N	\N	\N	t	f
5292	3361	Brong-Ahafo Region	de	0	2013-06-05 08:00:39.97954+02	1	Brong-Ahafo Region	\N	\N	\N	\N	\N	\N	t	f
5868	2792	Baucau (distrito)	es	0	2013-06-05 08:26:09.307168+02	1	Baucau (distrito)	\N	\N	\N	\N	\N	\N	t	f
5315	2223	Raion de Basarabeasca	fr	0	2013-06-05 08:02:05.752828+02	1	Raion de Basarabeasca	\N	\N	\N	\N	\N	\N	t	f
5321	2777	Région de Bicol	fr	0	2013-06-05 08:02:32.526074+02	1	Région de Bicol	\N	\N	\N	\N	\N	\N	t	f
5887	4028	Berat	nl	0	2013-06-05 08:27:03.945624+02	1	Berat	\N	\N	\N	\N	\N	\N	t	f
6522	509	Provincia de Ağrı	es	0	2013-06-05 08:54:21.452002+02	1	Provincia de Ağrı	\N	\N	\N	\N	\N	\N	t	f
5890	4361	Allier	en	0	2013-06-05 08:27:11.524629+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
5913	3331	Suez	nl	0	2013-06-05 08:28:06.888197+02	1	Suez	\N	\N	\N	\N	\N	\N	t	f
5959	4555	Bali	it	0	2013-06-05 08:30:00.622381+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
6537	3667	Central Equatoria	fi	0	2013-06-05 08:54:57.953533+02	1	Central Equatoria	\N	\N	\N	\N	\N	\N	t	f
7273	3070	Al Hudud ash Shamaliyah	nl	0	2013-06-05 09:26:30.303027+02	1	Al Hudud ash Shamaliyah	\N	\N	\N	\N	\N	\N	t	f
6562	764	Distrikt Castelo Branco	de	0	2013-06-05 08:55:59.390107+02	1	Distrikt Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
6635	1139	Bolívar	es	0	2013-06-05 08:58:59.500475+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
10331	1951	Brda	nl	0	2013-06-05 11:39:01.255469+02	1	Brda	\N	\N	\N	\N	\N	\N	t	f
6660	4319	Provincia di Cáceres	it	0	2013-06-05 09:00:06.773678+02	1	Provincia di Cáceres	\N	\N	\N	\N	\N	\N	t	f
7297	3385	ビサウ	ja	0	2013-06-05 09:27:32.149755+02	1	ビサウ	\N	\N	\N	\N	\N	\N	t	f
6681	3037	Central	es	0	2013-06-05 09:00:59.296271+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
8404	3710	Gobernación de Ben Arous	es	0	2013-06-05 10:15:42.141074+02	1	Gobernación de Ben Arous	\N	\N	\N	\N	\N	\N	t	f
7359	313	ブリティッシュコロンビア州	ja	0	2013-06-05 09:30:03.936663+02	1	ブリティッシュコロンビア州	\N	\N	\N	\N	\N	\N	t	f
7406	4623	Bérgamo	es	0	2013-06-05 09:31:58.766476+02	1	Bérgamo	\N	\N	\N	\N	\N	\N	t	f
9589	2941	Arbil	fr	0	2013-06-05 11:06:12.797702+02	1	Arbil	\N	\N	\N	\N	\N	\N	t	f
7434	3010	Gobernación de Becá	es	0	2013-06-05 09:33:06.80847+02	1	Gobernación de Becá	\N	\N	\N	\N	\N	\N	t	f
8408	3710	ベンナラス県	ja	0	2013-06-05 10:15:51.712223+02	1	ベンナラス県	\N	\N	\N	\N	\N	\N	t	f
7461	657	Assam	fr	0	2013-06-05 09:34:16.688763+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
7466	645	Burgenland	de	0	2013-06-05 09:34:29.193574+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
7869	2344	ブラニチェヴォ郡	ja	0	2013-06-05 09:52:21.882223+02	1	ブラニチェヴォ郡	\N	\N	\N	\N	\N	\N	t	f
8415	3879	Brent	fi	0	2013-06-05 10:16:08.79181+02	1	Brent	\N	\N	\N	\N	\N	\N	t	f
7932	515	Provincia de Balıkesir	es	0	2013-06-05 09:55:01.102562+02	1	Provincia de Balıkesir	\N	\N	\N	\N	\N	\N	t	f
8632	3825	Coleraine	no	0	2013-06-05 10:25:51.831432+02	1	Coleraine	\N	\N	\N	\N	\N	\N	t	f
9606	1459	Centre	fi	0	2013-06-05 11:06:54.470204+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
8665	1092	Departamento de Canindeyú	es	0	2013-06-05 10:27:14.090264+02	1	Departamento de Canindeyú	\N	\N	\N	\N	\N	\N	t	f
9470	4617	provincia di Ascoli Piceno	it	0	2013-06-05 11:01:19.341138+02	1	provincia di Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
9473	4617	Provinsen Ascoli Piceno	no	0	2013-06-05 11:01:26.460966+02	1	Provinsen Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
10060	587	Aargau	fi	0	2013-06-05 11:27:01.860533+02	1	Aargau	\N	\N	\N	\N	\N	\N	t	f
9483	3397	Anjouan	nl	0	2013-06-05 11:01:50.541752+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
9507	3061	Al Wakrah	en	0	2013-06-05 11:02:52.59894+02	1	Al Wakrah	\N	\N	\N	\N	\N	\N	t	f
10807	3439	An-Nuqāt al-Khams	et	0	2013-06-05 11:59:31.284222+02	1	An-Nuqāt al-Khams	\N	\N	\N	\N	\N	\N	t	f
9530	2794	コヴァ・リマ県	ja	0	2013-06-05 11:03:47.978931+02	1	コヴァ・リマ県	\N	\N	\N	\N	\N	\N	t	f
10167	1296	Apes novads	nl	0	2013-06-05 11:31:26.781728+02	1	Apes novads	\N	\N	\N	\N	\N	\N	t	f
9553	2787	La Cordillera	es	0	2013-06-05 11:04:44.61015+02	1	La Cordillera	\N	\N	\N	\N	\N	\N	t	f
10241	267	Colorado	en	0	2013-06-05 11:35:12.635788+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10911	2164	Oblast Blagoewgrad	de	0	2013-06-05 12:04:04.23157+02	1	Oblast Blagoewgrad	\N	\N	\N	\N	\N	\N	t	f
10247	267	コロラド州	ja	0	2013-06-05 11:35:35.262381+02	1	コロラド州	\N	\N	\N	\N	\N	\N	t	f
10814	3812	Cambridgeshire	en	0	2013-06-05 11:59:54.741274+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
10259	4310	Provinz Albacete	de	0	2013-06-05 11:36:04.841694+02	1	Provinz Albacete	\N	\N	\N	\N	\N	\N	t	f
10260	4310	Αλμπαθέτε	el	0	2013-06-05 11:36:07.2287+02	1	Αλμπαθέτε	\N	\N	\N	\N	\N	\N	t	f
11551	3180	Keski-Kongo	fi	0	2013-06-05 12:31:34.55914+02	1	Keski-Kongo	\N	\N	\N	\N	\N	\N	t	f
10837	1180	Acklins	nl	0	2013-06-05 12:00:59.221777+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
10939	4760	Province de Chtouka-Aït Baha	fr	0	2013-06-05 12:05:12.606418+02	1	Province de Chtouka-Aït Baha	\N	\N	\N	\N	\N	\N	t	f
10850	1006	Córdoba Department	en	0	2013-06-05 12:01:33.749516+02	1	Córdoba Department	\N	\N	\N	\N	\N	\N	t	f
11050	3816	Distretto di Castlereagh	it	0	2013-06-05 12:09:51.258721+02	1	Distretto di Castlereagh	\N	\N	\N	\N	\N	\N	t	f
11023	3315	Giza kubernerkond	et	0	2013-06-05 12:08:41.601484+02	1	Giza kubernerkond	\N	\N	\N	\N	\N	\N	t	f
11523	1421	チキムラ県	ja	0	2013-06-05 12:30:25.236006+02	1	チキムラ県	\N	\N	\N	\N	\N	\N	t	f
11507	3111	Bengo	fi	0	2013-06-05 12:29:45.554506+02	1	Bengo	\N	\N	\N	\N	\N	\N	t	f
2265	237	ザンビア	ja	0	2013-05-27 15:49:24.045165+02	\N	ザンビア	\N	\N	\N	\N	\N	\N	t	f
3363	3687	Region Hadjer-Lamis	de	0	2013-05-27 19:59:22.670354+02	1	Region Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3394	3068	Haïl	fr	0	2013-05-27 20:00:41.914953+02	1	Haïl	\N	\N	\N	\N	\N	\N	t	f
3635	4197	Boa Vista	it	0	2013-06-05 06:49:03.656408+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
3754	1443	コマヤグア県	ja	0	2013-06-05 06:53:58.616376+02	1	コマヤグア県	\N	\N	\N	\N	\N	\N	t	f
3646	1419	Baja Verapaz	no	0	2013-06-05 06:49:30.373273+02	1	Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3756	4491	Centro Sur	de	0	2013-06-05 06:54:03.771338+02	1	Centro Sur	\N	\N	\N	\N	\N	\N	t	f
4207	3792	Angus	fi	0	2013-06-05 07:13:51.937959+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
3803	1063	Apurímac	de	0	2013-06-05 06:56:03.37151+02	1	Apurímac	\N	\N	\N	\N	\N	\N	t	f
3852	3400	Comté de Bong	fr	0	2013-06-05 06:58:14.051275+02	1	Comté de Bong	\N	\N	\N	\N	\N	\N	t	f
4208	3792	Angus	fr	0	2013-06-05 07:13:54.345301+02	1	Angus	\N	\N	\N	\N	\N	\N	t	f
4711	1281	Región de Bratislava	es	0	2013-06-05 07:35:37.481479+02	1	Región de Bratislava	\N	\N	\N	\N	\N	\N	t	f
4736	1027	Provincia de Azuay	es	0	2013-06-05 07:36:38.510014+02	1	Provincia de Azuay	\N	\N	\N	\N	\N	\N	t	f
5274	2648	Bolikhamsai Province	en	0	2013-06-05 07:59:52.426566+02	1	Bolikhamsai Province	\N	\N	\N	\N	\N	\N	t	f
5289	3714	ビゼルト県	ja	0	2013-06-05 08:00:29.192194+02	1	ビゼルト県	\N	\N	\N	\N	\N	\N	t	f
5869	2792	Baucau (district)	fr	0	2013-06-05 08:26:11.659888+02	1	Baucau (district)	\N	\N	\N	\N	\N	\N	t	f
5921	1618	アニバレ地区	ja	0	2013-06-05 08:28:26.221293+02	1	アニバレ地区	\N	\N	\N	\N	\N	\N	t	f
6523	509	Ağrı	fr	0	2013-06-05 08:54:23.866672+02	1	Ağrı	\N	\N	\N	\N	\N	\N	t	f
5940	3494	Curepipe	en	0	2013-06-05 08:29:14.750769+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
5944	3494	キュールピップ	ja	0	2013-06-05 08:29:24.229508+02	1	キュールピップ	\N	\N	\N	\N	\N	\N	t	f
5951	1190	Freeport	nl	0	2013-06-05 08:29:40.973149+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
6536	3667	Ecuatoria Central	es	0	2013-06-05 08:54:55.606011+02	1	Ecuatoria Central	\N	\N	\N	\N	\N	\N	t	f
7278	1531	Département de Chinandega	fr	0	2013-06-05 09:26:42.693962+02	1	Département de Chinandega	\N	\N	\N	\N	\N	\N	t	f
6542	1138	Barinas	de	0	2013-06-05 08:55:10.704677+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
6626	3014	西部州	ja	0	2013-06-05 08:58:37.139091+02	1	西部州	\N	\N	\N	\N	\N	\N	t	f
6693	3808	Bridgend	de	0	2013-06-05 09:01:28.696962+02	1	Bridgend	\N	\N	\N	\N	\N	\N	t	f
7311	2498	アティラウ州	ja	0	2013-06-05 09:28:06.759864+02	1	アティラウ州	\N	\N	\N	\N	\N	\N	t	f
6695	3808	Bridgend County Borough	es	0	2013-06-05 09:01:33.37364+02	1	Bridgend County Borough	\N	\N	\N	\N	\N	\N	t	f
6704	4630	Barletta-Andria-Tranin maakunta	fi	0	2013-06-05 09:01:55.356179+02	1	Barletta-Andria-Tranin maakunta	\N	\N	\N	\N	\N	\N	t	f
8412	3879	London Borough of Brent	en	0	2013-06-05 10:16:01.672972+02	1	London Borough of Brent	\N	\N	\N	\N	\N	\N	t	f
7876	4827	Chiradzulu	nl	0	2013-06-05 09:52:39.083243+02	1	Chiradzulu	\N	\N	\N	\N	\N	\N	t	f
7954	2605	Provincia di Binh Phuoc	it	0	2013-06-05 09:55:55.947256+02	1	Provincia di Binh Phuoc	\N	\N	\N	\N	\N	\N	t	f
8428	4371	ブーシュ＝デュ＝ローヌ県	ja	0	2013-06-05 10:16:40.004903+02	1	ブーシュ＝デュ＝ローヌ県	\N	\N	\N	\N	\N	\N	t	f
8458	1608	チューク諸島	ja	0	2013-06-05 10:17:53.282827+02	1	チューク諸島	\N	\N	\N	\N	\N	\N	t	f
9498	4377	Corréze	es	0	2013-06-05 11:02:30.509352+02	1	Corréze	\N	\N	\N	\N	\N	\N	t	f
9518	1250	Baoruco	de	0	2013-06-05 11:03:19.304907+02	1	Baoruco	\N	\N	\N	\N	\N	\N	t	f
9572	3135	Regione del Centro-Sud	it	0	2013-06-05 11:05:31.42141+02	1	Regione del Centro-Sud	\N	\N	\N	\N	\N	\N	t	f
9621	3262	Biskra	de	0	2013-06-05 11:07:35.550109+02	1	Biskra	\N	\N	\N	\N	\N	\N	t	f
10061	587	Canton d'Argovie	fr	0	2013-06-05 11:27:04.260914+02	1	Canton d'Argovie	\N	\N	\N	\N	\N	\N	t	f
10267	4310	アルバセテ県	ja	0	2013-06-05 11:36:24.058499+02	1	アルバセテ県	\N	\N	\N	\N	\N	\N	t	f
10818	3812	Cambridgeshire	fr	0	2013-06-05 12:00:10.496155+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
10889	3118	Provinz Cuanza Sul	de	0	2013-06-05 12:03:09.572077+02	1	Provinz Cuanza Sul	\N	\N	\N	\N	\N	\N	t	f
11508	3111	Bengo	fr	0	2013-06-05 12:29:47.932429+02	1	Bengo	\N	\N	\N	\N	\N	\N	t	f
11519	1421	Chiquimula	es	0	2013-06-05 12:30:15.584138+02	1	Chiquimula	\N	\N	\N	\N	\N	\N	t	f
11562	2672	チャイナート県	ja	0	2013-06-05 12:32:01.244257+02	1	チャイナート県	\N	\N	\N	\N	\N	\N	t	f
2266	237	Zambia	nl	0	2013-05-27 15:49:26.390049+02	\N	Zambia	\N	\N	\N	\N	\N	\N	t	f
2267	237	Zambia	no	0	2013-05-27 15:49:28.697537+02	\N	Zambia	\N	\N	\N	\N	\N	\N	t	f
3364	3687	Hadjer-Lamis Region	en	0	2013-05-27 19:59:24.852461+02	1	Hadjer-Lamis Region	\N	\N	\N	\N	\N	\N	t	f
3636	4197	ボア・ヴィスタ島	ja	0	2013-06-05 06:49:06.103696+02	1	ボア・ヴィスタ島	\N	\N	\N	\N	\N	\N	t	f
3757	4491	Centro Sur Province	en	0	2013-06-05 06:54:06.170043+02	1	Centro Sur Province	\N	\N	\N	\N	\N	\N	t	f
3807	1063	Région d'Apurímac	fr	0	2013-06-05 06:56:12.808729+02	1	Région d'Apurímac	\N	\N	\N	\N	\N	\N	t	f
4217	3418	Berea	fi	0	2013-06-05 07:14:16.450781+02	1	Berea	\N	\N	\N	\N	\N	\N	t	f
3811	1063	Apurímac	no	0	2013-06-05 06:56:22.603129+02	1	Apurímac	\N	\N	\N	\N	\N	\N	t	f
4712	1281	Bratislava maakond	et	0	2013-06-05 07:35:39.886519+02	1	Bratislava maakond	\N	\N	\N	\N	\N	\N	t	f
4261	1105	Brokopondo District	en	0	2013-06-05 07:16:06.189754+02	1	Brokopondo District	\N	\N	\N	\N	\N	\N	t	f
4271	3715	Gobernación de Béja	es	0	2013-06-05 07:16:30.656367+02	1	Gobernación de Béja	\N	\N	\N	\N	\N	\N	t	f
4308	1620	Boe	no	0	2013-06-05 07:18:05.600509+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
5275	2648	Bolikhamxai	es	0	2013-06-05 07:59:54.787207+02	1	Bolikhamxai	\N	\N	\N	\N	\N	\N	t	f
4384	1087	Concepción Department	en	0	2013-06-05 07:21:53.832252+02	1	Concepción Department	\N	\N	\N	\N	\N	\N	t	f
5871	2792	バウカウ県	ja	0	2013-06-05 08:26:16.45625+02	1	バウカウ県	\N	\N	\N	\N	\N	\N	t	f
5895	4361	Allier	it	0	2013-06-05 08:27:23.255243+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
6528	4259	Okres Cheb	de	0	2013-06-05 08:54:36.28302+02	1	Okres Cheb	\N	\N	\N	\N	\N	\N	t	f
5910	3331	Gouvernorat de Suez	fr	0	2013-06-05 08:27:59.806335+02	1	Gouvernorat de Suez	\N	\N	\N	\N	\N	\N	t	f
6550	1138	Barinas	no	0	2013-06-05 08:55:29.693921+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
7281	1531	Chinandega	nl	0	2013-06-05 09:26:49.907092+02	1	Chinandega	\N	\N	\N	\N	\N	\N	t	f
6553	2391	Arkhangelsk Oblast	en	0	2013-06-05 08:55:37.27918+02	1	Arkhangelsk Oblast	\N	\N	\N	\N	\N	\N	t	f
6596	4322	Provincia de Castellón	es	0	2013-06-05 08:57:23.553725+02	1	Provincia de Castellón	\N	\N	\N	\N	\N	\N	t	f
9625	3262	provincia di Biskra	it	0	2013-06-05 11:07:44.914473+02	1	provincia di Biskra	\N	\N	\N	\N	\N	\N	t	f
6599	4322	Province de Castellón	fr	0	2013-06-05 08:57:30.738143+02	1	Province de Castellón	\N	\N	\N	\N	\N	\N	t	f
7455	657	Assam	de	0	2013-06-05 09:34:02.377219+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
6692	3289	Bordj Bou Arréridj	no	0	2013-06-05 09:01:25.997636+02	1	Bordj Bou Arréridj	\N	\N	\N	\N	\N	\N	t	f
6696	3808	Bridgend	fi	0	2013-06-05 09:01:35.750488+02	1	Bridgend	\N	\N	\N	\N	\N	\N	t	f
8429	4371	Bouches-du-Rhône	nl	0	2013-06-05 10:16:42.384097+02	1	Bouches-du-Rhône	\N	\N	\N	\N	\N	\N	t	f
7881	623	Ceará osariik	et	0	2013-06-05 09:52:51.638693+02	1	Ceará osariik	\N	\N	\N	\N	\N	\N	t	f
7939	820	Kreis Constanța	de	0	2013-06-05 09:55:18.752362+02	1	Kreis Constanța	\N	\N	\N	\N	\N	\N	t	f
7959	2205	Mount Athos	en	0	2013-06-05 09:56:09.066464+02	1	Mount Athos	\N	\N	\N	\N	\N	\N	t	f
8434	4882	Abra	fi	0	2013-06-05 10:16:54.603205+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
7960	2205	Monte Athos	es	0	2013-06-05 09:56:11.391673+02	1	Monte Athos	\N	\N	\N	\N	\N	\N	t	f
8021	1051	Barima-Waini	fr	0	2013-06-05 09:58:55.90872+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
8031	1815	Castille-et-León	fr	0	2013-06-05 09:59:38.822824+02	1	Castille-et-León	\N	\N	\N	\N	\N	\N	t	f
8439	4882	Abra	no	0	2013-06-05 10:17:06.46182+02	1	Abra	\N	\N	\N	\N	\N	\N	t	f
8038	573	Aksaray Province	en	0	2013-06-05 09:59:56.127456+02	1	Aksaray Province	\N	\N	\N	\N	\N	\N	t	f
11533	2470	Aragatsotn	fi	0	2013-06-05 12:30:49.877306+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
10066	722	Komitat Borsod-Abaúj-Zemplén	de	0	2013-06-05 11:27:16.916147+02	1	Komitat Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
8464	1217	Provincia de Cartago	es	0	2013-06-05 10:18:08.289613+02	1	Provincia de Cartago	\N	\N	\N	\N	\N	\N	t	f
8466	1217	Provincia di Cartago	it	0	2013-06-05 10:18:13.030916+02	1	Provincia di Cartago	\N	\N	\N	\N	\N	\N	t	f
11509	3111	provincia del Bengo	it	0	2013-06-05 12:29:50.324069+02	1	provincia del Bengo	\N	\N	\N	\N	\N	\N	t	f
8470	1135	Anzoátegui	de	0	2013-06-05 10:18:22.948636+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
10098	3544	Akwa Ibom	it	0	2013-06-05 11:28:36.01559+02	1	Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
8478	1135	Anzoátegui	no	0	2013-06-05 10:18:42.118276+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
9501	4377	Corrèze	fr	0	2013-06-05 11:02:37.921364+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
10941	4760	Chtouka-Aït Baha	nl	0	2013-06-05 12:05:17.322359+02	1	Chtouka-Aït Baha	\N	\N	\N	\N	\N	\N	t	f
9538	985	コキンボ州	ja	0	2013-06-05 11:04:07.500747+02	1	コキンボ州	\N	\N	\N	\N	\N	\N	t	f
10822	3812	Cambridgeshire	no	0	2013-06-05 12:00:21.13688+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
9548	1064	アレキパ県	ja	0	2013-06-05 11:04:31.74665+02	1	アレキパ県	\N	\N	\N	\N	\N	\N	t	f
9613	3227	Bas-Sassandra	en	0	2013-06-05 11:07:12.771993+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
9617	3227	Regione del Basso Sassandra	it	0	2013-06-05 11:07:25.050872+02	1	Regione del Basso Sassandra	\N	\N	\N	\N	\N	\N	t	f
10881	3709	Ariana Governorate	en	0	2013-06-05 12:02:49.376627+02	1	Ariana Governorate	\N	\N	\N	\N	\N	\N	t	f
11055	4196	Brava, Cape Verde	en	0	2013-06-05 12:10:03.736841+02	1	Brava, Cape Verde	\N	\N	\N	\N	\N	\N	t	f
10883	3709	Ariana	fi	0	2013-06-05 12:02:54.037279+02	1	Ariana	\N	\N	\N	\N	\N	\N	t	f
10921	2164	Blagoevgrad oblast	no	0	2013-06-05 12:04:28.041695+02	1	Blagoevgrad oblast	\N	\N	\N	\N	\N	\N	t	f
10940	4760	Provincia di Chtouka-Aït Baha	it	0	2013-06-05 12:05:14.967519+02	1	Provincia di Chtouka-Aït Baha	\N	\N	\N	\N	\N	\N	t	f
11066	4755	Provincia de Assa-Zag	es	0	2013-06-05 12:10:33.530841+02	1	Provincia de Assa-Zag	\N	\N	\N	\N	\N	\N	t	f
11522	1421	Dipartimento di Chiquimula	it	0	2013-06-05 12:30:22.870043+02	1	Dipartimento di Chiquimula	\N	\N	\N	\N	\N	\N	t	f
11082	2793	Bobonaro	fr	0	2013-06-05 12:11:13.583922+02	1	Bobonaro	\N	\N	\N	\N	\N	\N	t	f
11101	3809	Brighton and Hove	no	0	2013-06-05 12:11:59.610519+02	1	Brighton and Hove	\N	\N	\N	\N	\N	\N	t	f
11554	3180	コンゴ中央州	ja	0	2013-06-05 12:31:41.823069+02	1	コンゴ中央州	\N	\N	\N	\N	\N	\N	t	f
2269	102	Ιράκ	el	0	2013-05-27 15:49:33.936399+02	\N	Ιράκ	\N	\N	\N	\N	\N	\N	t	f
2270	102	Iraq	en	0	2013-05-27 15:49:36.160651+02	\N	Iraq	\N	\N	\N	\N	\N	\N	t	f
3366	3687	Hadjer-Lamis	fi	0	2013-05-27 19:59:29.248256+02	1	Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3397	3068	Hail	nl	0	2013-05-27 20:00:48.842904+02	1	Hail	\N	\N	\N	\N	\N	\N	t	f
3759	4491	Kesk-Lõunaprovints	et	0	2013-06-05 06:54:11.092202+02	1	Kesk-Lõunaprovints	\N	\N	\N	\N	\N	\N	t	f
3413	2922	Ajman	it	0	2013-05-27 20:01:25.735017+02	1	Ajman	\N	\N	\N	\N	\N	\N	t	f
3416	2922	Ajman	no	0	2013-05-27 20:01:32.430229+02	1	Ajman	\N	\N	\N	\N	\N	\N	t	f
3637	4197	Boa Vista	nl	0	2013-06-05 06:49:08.521688+02	1	Boa Vista	\N	\N	\N	\N	\N	\N	t	f
3866	3650	Bari	en	0	2013-06-05 06:58:48.328187+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
3670	3362	Región Central	es	0	2013-06-05 06:50:29.486217+02	1	Región Central	\N	\N	\N	\N	\N	\N	t	f
4218	3418	District de Berea	fr	0	2013-06-05 07:14:18.826873+02	1	District de Berea	\N	\N	\N	\N	\N	\N	t	f
3671	3362	Centralin hallintoalue	fi	0	2013-06-05 06:50:31.836424+02	1	Centralin hallintoalue	\N	\N	\N	\N	\N	\N	t	f
3710	2529	Arhangay	es	0	2013-06-05 06:52:07.837018+02	1	Arhangay	\N	\N	\N	\N	\N	\N	t	f
4227	4316	Burgos	fi	0	2013-06-05 07:14:41.302699+02	1	Burgos	\N	\N	\N	\N	\N	\N	t	f
4723	3481	Regione di Brakna	it	0	2013-06-05 07:36:06.934189+02	1	Regione di Brakna	\N	\N	\N	\N	\N	\N	t	f
4247	3144	ブジュンブラ	ja	0	2013-06-05 07:15:31.623393+02	1	ブジュンブラ	\N	\N	\N	\N	\N	\N	t	f
4284	2785	Caraga	nl	0	2013-06-05 07:17:02.597516+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
5287	3714	Gouvernorat de Bizerte	fr	0	2013-06-05 08:00:24.352762+02	1	Gouvernorat de Bizerte	\N	\N	\N	\N	\N	\N	t	f
4328	1816	Castiglia-La Mancia	it	0	2013-06-05 07:19:18.644205+02	1	Castiglia-La Mancia	\N	\N	\N	\N	\N	\N	t	f
4352	1893	Balzers	it	0	2013-06-05 07:20:33.862671+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
4363	1817	Kanarische Inseln	de	0	2013-06-05 07:21:02.121028+02	1	Kanarische Inseln	\N	\N	\N	\N	\N	\N	t	f
5322	2777	Bicol	it	0	2013-06-05 08:02:34.985215+02	1	Bicol	\N	\N	\N	\N	\N	\N	t	f
4367	1817	Kanaari saared	et	0	2013-06-05 07:21:11.566248+02	1	Kanaari saared	\N	\N	\N	\N	\N	\N	t	f
5873	3648	Bakool	de	0	2013-06-05 08:26:26.492836+02	1	Bakool	\N	\N	\N	\N	\N	\N	t	f
5922	1618	Anibare	nl	0	2013-06-05 08:28:28.574969+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6532	4259	Okres Cheb	nl	0	2013-06-05 08:54:45.671708+02	1	Okres Cheb	\N	\N	\N	\N	\N	\N	t	f
5924	2264	Opština Butel	de	0	2013-06-05 08:28:33.645722+02	1	Opština Butel	\N	\N	\N	\N	\N	\N	t	f
5928	2264	Butel	it	0	2013-06-05 08:28:45.484965+02	1	Butel	\N	\N	\N	\N	\N	\N	t	f
6539	3667	Equatoria Centrale	it	0	2013-06-05 08:55:03.167816+02	1	Equatoria Centrale	\N	\N	\N	\N	\N	\N	t	f
7282	1531	Chinandega	no	0	2013-06-05 09:26:52.297146+02	1	Chinandega	\N	\N	\N	\N	\N	\N	t	f
6557	2391	Oblast d'Arkhangelsk	fr	0	2013-06-05 08:55:46.886692+02	1	Oblast d'Arkhangelsk	\N	\N	\N	\N	\N	\N	t	f
6582	4141	Provinz Antwerpen	de	0	2013-06-05 08:56:49.327096+02	1	Provinz Antwerpen	\N	\N	\N	\N	\N	\N	t	f
6646	2192	Bresti oblast	et	0	2013-06-05 08:59:27.210222+02	1	Bresti oblast	\N	\N	\N	\N	\N	\N	t	f
7308	2498	Atıraw'n alue	fi	0	2013-06-05 09:27:59.672375+02	1	Atıraw'n alue	\N	\N	\N	\N	\N	\N	t	f
8442	262	Alaska	en	0	2013-06-05 10:17:14.320836+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
7310	2498	Oblys di Atyrau	it	0	2013-06-05 09:28:04.388234+02	1	Oblys di Atyrau	\N	\N	\N	\N	\N	\N	t	f
7319	3238	アダマワ州 (カメルーン)	ja	0	2013-06-05 09:28:26.187776+02	1	アダマワ州 (カメルーン)	\N	\N	\N	\N	\N	\N	t	f
7370	2838	Divisione di Chittagong	it	0	2013-06-05 09:30:30.955889+02	1	Divisione di Chittagong	\N	\N	\N	\N	\N	\N	t	f
8592	328	Baijeri	fi	0	2013-06-05 10:23:56.628112+02	1	Baijeri	\N	\N	\N	\N	\N	\N	t	f
7408	4623	Bergamon maakunta	fi	0	2013-06-05 09:32:03.63005+02	1	Bergamon maakunta	\N	\N	\N	\N	\N	\N	t	f
7447	720	Provincia di Bács-Kiskun	it	0	2013-06-05 09:33:40.110893+02	1	Provincia di Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
10823	1294	Alūksne municipality	en	0	2013-06-05 12:00:23.837164+02	1	Alūksne municipality	\N	\N	\N	\N	\N	\N	t	f
7896	4547	Bolama piirkond	et	0	2013-06-05 09:53:30.070344+02	1	Bolama piirkond	\N	\N	\N	\N	\N	\N	t	f
8599	3131	Centre Region, Burkina Faso	en	0	2013-06-05 10:24:24.122808+02	1	Centre Region, Burkina Faso	\N	\N	\N	\N	\N	\N	t	f
7917	4828	Chitipa	no	0	2013-06-05 09:54:22.929023+02	1	Chitipa	\N	\N	\N	\N	\N	\N	t	f
7958	2205	Άγιο Όρος	el	0	2013-06-05 09:56:06.724419+02	1	Άγιο Όρος	\N	\N	\N	\N	\N	\N	t	f
8025	1815	Kastilien und León	de	0	2013-06-05 09:59:14.303202+02	1	Kastilien und León	\N	\N	\N	\N	\N	\N	t	f
8617	3683	ボルク州	ja	0	2013-06-05 10:25:13.41588+02	1	ボルク州	\N	\N	\N	\N	\N	\N	t	f
9512	3061	Al Wakrah	nl	0	2013-06-05 11:03:04.389666+02	1	Al Wakrah	\N	\N	\N	\N	\N	\N	t	f
11510	3111	ベンゴ州	ja	0	2013-06-05 12:29:52.942341+02	1	ベンゴ州	\N	\N	\N	\N	\N	\N	t	f
9551	2787	Cordillera Administrative Region	de	0	2013-06-05 11:04:39.90142+02	1	Cordillera Administrative Region	\N	\N	\N	\N	\N	\N	t	f
9555	2787	Regione Amministrativa Cordillera	it	0	2013-06-05 11:04:49.355275+02	1	Regione Amministrativa Cordillera	\N	\N	\N	\N	\N	\N	t	f
9603	1459	Département Centre	de	0	2013-06-05 11:06:47.287878+02	1	Département Centre	\N	\N	\N	\N	\N	\N	t	f
10069	722	Borsod-Abaúj-Zempléni komitaat	et	0	2013-06-05 11:27:24.678192+02	1	Borsod-Abaúj-Zempléni komitaat	\N	\N	\N	\N	\N	\N	t	f
2271	102	Irak	es	0	2013-05-27 15:49:38.377924+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
2272	102	Iraak	et	0	2013-05-27 15:49:40.595964+02	\N	Iraak	\N	\N	\N	\N	\N	\N	t	f
2299	119	Lesotho	nl	0	2013-05-27 15:50:44.460736+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2273	102	Irak	fi	0	2013-05-27 15:49:42.88898+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
2274	102	Irak	fr	0	2013-05-27 15:49:45.269065+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
2316	189	Slovakkia	et	0	2013-05-27 15:51:24.706738+02	\N	Slovakkia	\N	\N	\N	\N	\N	\N	t	f
2275	102	Iraq	it	0	2013-05-27 15:49:47.48929+02	\N	Iraq	\N	\N	\N	\N	\N	\N	t	f
2300	119	Lesotho	no	0	2013-05-27 15:50:46.723986+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2276	102	イラク	ja	0	2013-05-27 15:49:49.717114+02	\N	イラク	\N	\N	\N	\N	\N	\N	t	f
2277	102	Irak	nl	0	2013-05-27 15:49:51.951599+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
2278	102	Irak	no	0	2013-05-27 15:49:54.19714+02	\N	Irak	\N	\N	\N	\N	\N	\N	t	f
2301	124	Luxemburg	de	0	2013-05-27 15:50:50.259014+02	\N	Luxemburg	\N	\N	\N	\N	\N	\N	t	f
2279	139	Mikronesien	de	0	2013-05-27 15:49:57.220805+02	\N	Mikronesien	\N	\N	\N	\N	\N	\N	t	f
2280	139	Μικρονησία	el	0	2013-05-27 15:49:59.492359+02	\N	Μικρονησία	\N	\N	\N	\N	\N	\N	t	f
2342	213	チュニジア	ja	0	2013-05-27 15:52:24.392976+02	\N	チュニジア	\N	\N	\N	\N	\N	\N	t	f
2281	139	Federated States of Micronesia	en	0	2013-05-27 15:50:01.704186+02	\N	Federated States of Micronesia	\N	\N	\N	\N	\N	\N	t	f
2302	124	Λουξεμβούργο	el	0	2013-05-27 15:50:52.461563+02	\N	Λουξεμβούργο	\N	\N	\N	\N	\N	\N	t	f
2282	139	Micronesia	es	0	2013-05-27 15:50:03.900095+02	\N	Micronesia	\N	\N	\N	\N	\N	\N	t	f
2283	139	Mikroneesia	et	0	2013-05-27 15:50:06.096094+02	\N	Mikroneesia	\N	\N	\N	\N	\N	\N	t	f
2317	189	Slovakia	fi	0	2013-05-27 15:51:26.92298+02	\N	Slovakia	\N	\N	\N	\N	\N	\N	t	f
2284	139	Mikronesia	fi	0	2013-05-27 15:50:08.30841+02	\N	Mikronesia	\N	\N	\N	\N	\N	\N	t	f
2303	124	Luxembourg	en	0	2013-05-27 15:50:54.685374+02	\N	Luxembourg	\N	\N	\N	\N	\N	\N	t	f
2285	139	Micronésie	fr	0	2013-05-27 15:50:10.608589+02	\N	Micronésie	\N	\N	\N	\N	\N	\N	t	f
2286	139	Stati Federati di Micronesia	it	0	2013-05-27 15:50:13.182336+02	\N	Stati Federati di Micronesia	\N	\N	\N	\N	\N	\N	t	f
2287	139	ミクロネシア	ja	0	2013-05-27 15:50:15.425117+02	\N	ミクロネシア	\N	\N	\N	\N	\N	\N	t	f
2304	124	Luxemburgo	es	0	2013-05-27 15:50:56.877636+02	\N	Luxemburgo	\N	\N	\N	\N	\N	\N	t	f
2288	139	Micronesia	nl	0	2013-05-27 15:50:17.689856+02	\N	Micronesia	\N	\N	\N	\N	\N	\N	t	f
2289	139	Mikronesia	no	0	2013-05-27 15:50:19.929426+02	\N	Mikronesia	\N	\N	\N	\N	\N	\N	t	f
2327	46	Kookossaared	et	0	2013-05-27 15:51:50.140728+02	\N	Kookossaared	\N	\N	\N	\N	\N	\N	t	f
2290	119	Lesotho	de	0	2013-05-27 15:50:22.965743+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2305	124	Luksemburg	et	0	2013-05-27 15:50:59.069684+02	\N	Luksemburg	\N	\N	\N	\N	\N	\N	t	f
2291	119	Λεσότο	el	0	2013-05-27 15:50:25.249266+02	\N	Λεσότο	\N	\N	\N	\N	\N	\N	t	f
2292	119	Lesotho	en	0	2013-05-27 15:50:27.44628+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2318	189	Slovaquie	fr	0	2013-05-27 15:51:29.170958+02	\N	Slovaquie	\N	\N	\N	\N	\N	\N	t	f
2293	119	Lesoto	es	0	2013-05-27 15:50:29.775247+02	\N	Lesoto	\N	\N	\N	\N	\N	\N	t	f
2306	124	Luxemburg	fi	0	2013-05-27 15:51:01.26444+02	\N	Luxemburg	\N	\N	\N	\N	\N	\N	t	f
2294	119	Lesotho	et	0	2013-05-27 15:50:31.969934+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2295	119	Lesotho	fi	0	2013-05-27 15:50:35.187461+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2296	119	Lesotho	fr	0	2013-05-27 15:50:37.696839+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2307	124	Luxembourg	fr	0	2013-05-27 15:51:03.619513+02	\N	Luxembourg	\N	\N	\N	\N	\N	\N	t	f
2297	119	Lesotho	it	0	2013-05-27 15:50:39.99918+02	\N	Lesotho	\N	\N	\N	\N	\N	\N	t	f
2298	119	レソト	ja	0	2013-05-27 15:50:42.213989+02	\N	レソト	\N	\N	\N	\N	\N	\N	t	f
2308	124	Lussemburgo	it	0	2013-05-27 15:51:05.846524+02	\N	Lussemburgo	\N	\N	\N	\N	\N	\N	t	f
2319	189	Slovacchia	it	0	2013-05-27 15:51:31.502645+02	\N	Slovacchia	\N	\N	\N	\N	\N	\N	t	f
2309	124	ルクセンブルク	ja	0	2013-05-27 15:51:08.064859+02	\N	ルクセンブルク	\N	\N	\N	\N	\N	\N	t	f
2310	124	Luxemburg	nl	0	2013-05-27 15:51:10.293257+02	\N	Luxemburg	\N	\N	\N	\N	\N	\N	t	f
2334	213	Tunesien	de	0	2013-05-27 15:52:06.551195+02	\N	Tunesien	\N	\N	\N	\N	\N	\N	t	f
2311	124	Luxembourg	no	0	2013-05-27 15:51:12.674706+02	\N	Luxembourg	\N	\N	\N	\N	\N	\N	t	f
2320	189	スロバキア	ja	0	2013-05-27 15:51:33.742236+02	\N	スロバキア	\N	\N	\N	\N	\N	\N	t	f
2312	189	Slowakei	de	0	2013-05-27 15:51:15.803243+02	\N	Slowakei	\N	\N	\N	\N	\N	\N	t	f
2313	189	Σλοβακία	el	0	2013-05-27 15:51:18.040769+02	\N	Σλοβακία	\N	\N	\N	\N	\N	\N	t	f
2328	46	Kookossaaret	fi	0	2013-05-27 15:51:52.344085+02	\N	Kookossaaret	\N	\N	\N	\N	\N	\N	t	f
2314	189	Slovakia	en	0	2013-05-27 15:51:20.254973+02	\N	Slovakia	\N	\N	\N	\N	\N	\N	t	f
2321	189	Slowakije	nl	0	2013-05-27 15:51:35.989291+02	\N	Slowakije	\N	\N	\N	\N	\N	\N	t	f
2315	189	Eslovaquia	es	0	2013-05-27 15:51:22.483413+02	\N	Eslovaquia	\N	\N	\N	\N	\N	\N	t	f
2322	189	Slovakia	no	0	2013-05-27 15:51:38.233724+02	\N	Slovakia	\N	\N	\N	\N	\N	\N	t	f
2323	46	Kokosinseln	de	0	2013-05-27 15:51:41.221039+02	\N	Kokosinseln	\N	\N	\N	\N	\N	\N	t	f
2329	46	Îles Cocos	fr	0	2013-05-27 15:51:54.620782+02	\N	Îles Cocos	\N	\N	\N	\N	\N	\N	t	f
2324	46	Νησιά Κόκος	el	0	2013-05-27 15:51:43.506052+02	\N	Νησιά Κόκος	\N	\N	\N	\N	\N	\N	t	f
2325	46	Cocos (Keeling) Islands	en	0	2013-05-27 15:51:45.706873+02	\N	Cocos (Keeling) Islands	\N	\N	\N	\N	\N	\N	t	f
2339	213	Tunisia	fi	0	2013-05-27 15:52:17.630459+02	\N	Tunisia	\N	\N	\N	\N	\N	\N	t	f
2326	46	Islas Cocos	es	0	2013-05-27 15:51:47.926187+02	\N	Islas Cocos	\N	\N	\N	\N	\N	\N	t	f
2330	46	Isole Cocos e Keeling	it	0	2013-05-27 15:51:56.866325+02	\N	Isole Cocos e Keeling	\N	\N	\N	\N	\N	\N	t	f
2335	213	Τυνησία	el	0	2013-05-27 15:52:08.761954+02	\N	Τυνησία	\N	\N	\N	\N	\N	\N	t	f
2331	46	ココス諸島	ja	0	2013-05-27 15:51:59.093819+02	\N	ココス諸島	\N	\N	\N	\N	\N	\N	t	f
2332	46	Cocoseilanden	nl	0	2013-05-27 15:52:01.33493+02	\N	Cocoseilanden	\N	\N	\N	\N	\N	\N	t	f
2333	46	Kokosøyene	no	0	2013-05-27 15:52:03.585119+02	\N	Kokosøyene	\N	\N	\N	\N	\N	\N	t	f
2336	213	Tunisia	en	0	2013-05-27 15:52:11.031723+02	\N	Tunisia	\N	\N	\N	\N	\N	\N	t	f
2337	213	Túnez	es	0	2013-05-27 15:52:13.231508+02	\N	Túnez	\N	\N	\N	\N	\N	\N	t	f
2340	213	Tunisie	fr	0	2013-05-27 15:52:19.854122+02	\N	Tunisie	\N	\N	\N	\N	\N	\N	t	f
2338	213	Tuneesia	et	0	2013-05-27 15:52:15.427445+02	\N	Tuneesia	\N	\N	\N	\N	\N	\N	t	f
2341	213	Tunisia	it	0	2013-05-27 15:52:22.143202+02	\N	Tunisia	\N	\N	\N	\N	\N	\N	t	f
2344	213	Tunisia	no	0	2013-05-27 15:52:28.858245+02	\N	Tunisia	\N	\N	\N	\N	\N	\N	t	f
2343	213	Tunesië	nl	0	2013-05-27 15:52:26.622586+02	\N	Tunesië	\N	\N	\N	\N	\N	\N	t	f
2345	167	Peru	de	0	2013-05-27 15:52:31.936005+02	\N	Peru	\N	\N	\N	\N	\N	\N	t	f
2346	167	Περού	el	0	2013-05-27 15:52:34.211899+02	\N	Περού	\N	\N	\N	\N	\N	\N	t	f
2347	167	Peru	en	0	2013-05-27 15:52:36.482019+02	\N	Peru	\N	\N	\N	\N	\N	\N	t	f
2348	167	Perú	es	0	2013-05-27 15:52:38.665973+02	\N	Perú	\N	\N	\N	\N	\N	\N	t	f
2349	167	Peruu	et	0	2013-05-27 15:52:40.920169+02	\N	Peruu	\N	\N	\N	\N	\N	\N	t	f
2350	167	Peru	fi	0	2013-05-27 15:52:43.116829+02	\N	Peru	\N	\N	\N	\N	\N	\N	t	f
2351	167	Pérou	fr	0	2013-05-27 15:52:45.352479+02	\N	Pérou	\N	\N	\N	\N	\N	\N	t	f
2352	167	Perù	it	0	2013-05-27 15:52:47.56769+02	\N	Perù	\N	\N	\N	\N	\N	\N	t	f
2353	167	ペルー	ja	0	2013-05-27 15:52:49.867441+02	\N	ペルー	\N	\N	\N	\N	\N	\N	t	f
2354	167	Peru	nl	0	2013-05-27 15:52:52.107023+02	\N	Peru	\N	\N	\N	\N	\N	\N	t	f
2355	167	Peru	no	0	2013-05-27 15:52:55.915932+02	\N	Peru	\N	\N	\N	\N	\N	\N	t	f
2361	16	Bahama	fi	0	2013-05-27 15:53:10.06511+02	\N	Bahama	\N	\N	\N	\N	\N	\N	t	f
2356	16	Bahamas	de	0	2013-05-27 15:52:58.871094+02	\N	Bahamas	\N	\N	\N	\N	\N	\N	t	f
2357	16	Μπαχάμες	el	0	2013-05-27 15:53:01.083685+02	\N	Μπαχάμες	\N	\N	\N	\N	\N	\N	t	f
2359	16	Bahamas	es	0	2013-05-27 15:53:05.58727+02	\N	Bahamas	\N	\N	\N	\N	\N	\N	t	f
3368	3687	Regione di Hadjer-Lamis	it	0	2013-05-27 19:59:33.715942+02	1	Regione di Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3639	1419	Departamento Baja Verapaz	de	0	2013-06-05 06:49:13.768295+02	1	Departamento Baja Verapaz	\N	\N	\N	\N	\N	\N	t	f
3760	4491	Centro Surin provinssi	fi	0	2013-06-05 06:54:13.781392+02	1	Centro Surin provinssi	\N	\N	\N	\N	\N	\N	t	f
3648	2390	Περιφέρεια Αμούρ	el	0	2013-06-05 06:49:35.667821+02	1	Περιφέρεια Αμούρ	\N	\N	\N	\N	\N	\N	t	f
3697	3117	Cuanza Norte	fi	0	2013-06-05 06:51:35.995333+02	1	Cuanza Norte	\N	\N	\N	\N	\N	\N	t	f
3789	3299	Wilaya de Aïn Defla	fr	0	2013-06-05 06:55:29.084229+02	1	Wilaya de Aïn Defla	\N	\N	\N	\N	\N	\N	t	f
4219	3418	Distretto di Berea	it	0	2013-06-05 07:14:21.222103+02	1	Distretto di Berea	\N	\N	\N	\N	\N	\N	t	f
3802	982	Araucanía	no	0	2013-06-05 06:56:00.521469+02	1	Araucanía	\N	\N	\N	\N	\N	\N	t	f
3814	1556	Ahuachapán Department	en	0	2013-06-05 06:56:30.134815+02	1	Ahuachapán Department	\N	\N	\N	\N	\N	\N	t	f
4732	2597	ベンチェ省	ja	0	2013-06-05 07:36:28.641745+02	1	ベンチェ省	\N	\N	\N	\N	\N	\N	t	f
3897	1141	Cojedes	it	0	2013-06-05 07:00:05.517765+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
4226	4316	Burgose provints	et	0	2013-06-05 07:14:38.940436+02	1	Burgose provints	\N	\N	\N	\N	\N	\N	t	f
4246	3144	Bujumbura	it	0	2013-06-05 07:15:29.184466+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
4259	3681	Batha	no	0	2013-06-05 07:16:01.056259+02	1	Batha	\N	\N	\N	\N	\N	\N	t	f
5288	3714	Governatorato di Biserta	it	0	2013-06-05 08:00:26.74185+02	1	Governatorato di Biserta	\N	\N	\N	\N	\N	\N	t	f
4293	4375	Charente-Maritime	et	0	2013-06-05 07:17:26.215616+02	1	Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
4315	3094	Ad Dali'	no	0	2013-06-05 07:18:30.960103+02	1	Ad Dali'	\N	\N	\N	\N	\N	\N	t	f
5881	4028	Berat District	en	0	2013-06-05 08:26:46.712536+02	1	Berat District	\N	\N	\N	\N	\N	\N	t	f
4330	1816	Castilië-La Mancha	nl	0	2013-06-05 07:19:26.100927+02	1	Castilië-La Mancha	\N	\N	\N	\N	\N	\N	t	f
5290	3714	Bizerte	nl	0	2013-06-05 08:00:31.563318+02	1	Bizerte	\N	\N	\N	\N	\N	\N	t	f
4344	1310	Cibla piirkond	et	0	2013-06-05 07:20:10.899005+02	1	Cibla piirkond	\N	\N	\N	\N	\N	\N	t	f
4362	3545	Anambra	it	0	2013-06-05 07:20:59.040158+02	1	Anambra	\N	\N	\N	\N	\N	\N	t	f
4370	1817	isole Canarie	it	0	2013-06-05 07:21:19.111569+02	1	isole Canarie	\N	\N	\N	\N	\N	\N	t	f
5947	1190	Freeport	en	0	2013-06-05 08:29:31.652782+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
5952	4555	Bali	de	0	2013-06-05 08:29:43.812124+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
6533	3667	Central Equatoria	de	0	2013-06-05 08:54:48.548604+02	1	Central Equatoria	\N	\N	\N	\N	\N	\N	t	f
6535	3667	Central Equatoria	en	0	2013-06-05 08:54:53.272311+02	1	Central Equatoria	\N	\N	\N	\N	\N	\N	t	f
7284	1952	Municipality of Brezovica	en	0	2013-06-05 09:26:57.344318+02	1	Municipality of Brezovica	\N	\N	\N	\N	\N	\N	t	f
6563	764	Castelo Branco District	en	0	2013-06-05 08:56:01.722224+02	1	Castelo Branco District	\N	\N	\N	\N	\N	\N	t	f
6595	4322	Province of Castellón	en	0	2013-06-05 08:57:21.167114+02	1	Province of Castellón	\N	\N	\N	\N	\N	\N	t	f
8449	262	Alaska	nl	0	2013-06-05 10:17:31.127484+02	1	Alaska	\N	\N	\N	\N	\N	\N	t	f
6611	2160	Borgo Maggiore	de	0	2013-06-05 08:58:00.44497+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
7330	3802	Belfast City Council	en	0	2013-06-05 09:28:53.039543+02	1	Belfast City Council	\N	\N	\N	\N	\N	\N	t	f
6686	3289	Bordj Bou Arreridj	de	0	2013-06-05 09:01:11.633222+02	1	Bordj Bou Arreridj	\N	\N	\N	\N	\N	\N	t	f
7333	3305	Aswan Governorate	en	0	2013-06-05 09:29:00.518508+02	1	Aswan Governorate	\N	\N	\N	\N	\N	\N	t	f
9575	2925	Fudschaira	de	0	2013-06-05 11:05:39.008523+02	1	Fudschaira	\N	\N	\N	\N	\N	\N	t	f
7355	313	Briti Columbia	et	0	2013-06-05 09:29:54.222731+02	1	Briti Columbia	\N	\N	\N	\N	\N	\N	t	f
8455	1608	Chuuk	fi	0	2013-06-05 10:17:46.223351+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
7367	2838	Chittagong	es	0	2013-06-05 09:30:23.877447+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
7918	454	Bonaire	de	0	2013-06-05 09:54:25.964277+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
7929	515	Balıkesir	de	0	2013-06-05 09:54:53.762583+02	1	Balıkesir	\N	\N	\N	\N	\N	\N	t	f
7931	515	Balıkesir Province	en	0	2013-06-05 09:54:58.615577+02	1	Balıkesir Province	\N	\N	\N	\N	\N	\N	t	f
8474	1135	État d'Anzoátegui	fr	0	2013-06-05 10:18:32.336013+02	1	État d'Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
8637	3426	Municipalità di Butnan	it	0	2013-06-05 10:26:06.74924+02	1	Municipalità di Butnan	\N	\N	\N	\N	\N	\N	t	f
9596	3192	Bamingui-Bangoran	es	0	2013-06-05 11:06:29.820705+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
9514	1289	Municipalidad de Aizkraukle	es	0	2013-06-05 11:03:09.486156+02	1	Municipalidad de Aizkraukle	\N	\N	\N	\N	\N	\N	t	f
9519	1250	Baoruco Province	en	0	2013-06-05 11:03:21.661088+02	1	Baoruco Province	\N	\N	\N	\N	\N	\N	t	f
11511	3111	Bengo	nl	0	2013-06-05 12:29:55.356113+02	1	Bengo	\N	\N	\N	\N	\N	\N	t	f
9523	1250	Provincia di Baoruco	it	0	2013-06-05 11:03:31.113744+02	1	Provincia di Baoruco	\N	\N	\N	\N	\N	\N	t	f
10070	722	Borsod-Abaúj-Zemplén	fi	0	2013-06-05 11:27:27.398519+02	1	Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
9524	1250	Baoruco	nl	0	2013-06-05 11:03:33.484226+02	1	Baoruco	\N	\N	\N	\N	\N	\N	t	f
9537	985	Regione di Coquimbo	it	0	2013-06-05 11:04:05.099973+02	1	Regione di Coquimbo	\N	\N	\N	\N	\N	\N	t	f
10275	3791	Aberdeenshire	fr	0	2013-06-05 11:36:44.202595+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
11598	327	Baden-Wurtemberg	es	0	2013-06-05 12:33:37.464141+02	1	Baden-Wurtemberg	\N	\N	\N	\N	\N	\N	t	f
10283	2956	Kirkūki kubernerkond	et	0	2013-06-05 11:37:03.770543+02	1	Kirkūki kubernerkond	\N	\N	\N	\N	\N	\N	t	f
10826	1294	Alūksnes novads	nl	0	2013-06-05 12:00:31.09555+02	1	Alūksnes novads	\N	\N	\N	\N	\N	\N	t	f
2358	16	The Bahamas	en	0	2013-05-27 15:53:03.355849+02	\N	The Bahamas	\N	\N	\N	\N	\N	\N	t	f
2360	16	Bahama	et	0	2013-05-27 15:53:07.804382+02	\N	Bahama	\N	\N	\N	\N	\N	\N	t	f
3371	3687	Hadjer-Lamis	no	0	2013-05-27 19:59:41.341433+02	1	Hadjer-Lamis	\N	\N	\N	\N	\N	\N	t	f
3649	2390	Amur Oblast	en	0	2013-06-05 06:49:38.013846+02	1	Amur Oblast	\N	\N	\N	\N	\N	\N	t	f
3761	4491	Centro-Sur	fr	0	2013-06-05 06:54:16.18262+02	1	Centro-Sur	\N	\N	\N	\N	\N	\N	t	f
3666	1495	Aguascalientes	nl	0	2013-06-05 06:50:19.595255+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3672	3362	Région du Centre	fr	0	2013-06-05 06:50:34.208992+02	1	Région du Centre	\N	\N	\N	\N	\N	\N	t	f
3690	2770	Brunei-Muara	fr	0	2013-06-05 06:51:18.977408+02	1	Brunei-Muara	\N	\N	\N	\N	\N	\N	t	f
4220	3418	ベレア県	ja	0	2013-06-05 07:14:23.634862+02	1	ベレア県	\N	\N	\N	\N	\N	\N	t	f
3707	5008	Butaleja	nl	0	2013-06-05 06:52:00.260857+02	1	Butaleja	\N	\N	\N	\N	\N	\N	t	f
3763	4491	中南部県	ja	0	2013-06-05 06:54:21.002988+02	1	中南部県	\N	\N	\N	\N	\N	\N	t	f
3772	811	Distretto di Bihor	it	0	2013-06-05 06:54:44.589663+02	1	Distretto di Bihor	\N	\N	\N	\N	\N	\N	t	f
3804	1063	Apurímac	en	0	2013-06-05 06:56:05.708438+02	1	Apurímac	\N	\N	\N	\N	\N	\N	t	f
4357	3545	Anambra State	en	0	2013-06-05 07:20:47.054024+02	1	Anambra State	\N	\N	\N	\N	\N	\N	t	f
3810	1063	Apurímac	nl	0	2013-06-05 06:56:20.143312+02	1	Apurímac	\N	\N	\N	\N	\N	\N	t	f
4737	1027	Azuay	fi	0	2013-06-05 07:36:40.928532+02	1	Azuay	\N	\N	\N	\N	\N	\N	t	f
3822	2953	Al-Qādisiyyah Province	en	0	2013-06-05 06:56:49.930745+02	1	Al-Qādisiyyah Province	\N	\N	\N	\N	\N	\N	t	f
3842	3290	Boumerdès Province	en	0	2013-06-05 06:57:49.851493+02	1	Boumerdès Province	\N	\N	\N	\N	\N	\N	t	f
5297	3361	Regione di Brong-Ahafo	it	0	2013-06-05 08:00:51.908501+02	1	Regione di Brong-Ahafo	\N	\N	\N	\N	\N	\N	t	f
3853	3400	Contea di Bong	it	0	2013-06-05 06:58:16.43437+02	1	Contea di Bong	\N	\N	\N	\N	\N	\N	t	f
3874	4060	Babək	de	0	2013-06-05 06:59:07.817298+02	1	Babək	\N	\N	\N	\N	\N	\N	t	f
3881	4643	Provinz Catanzaro	de	0	2013-06-05 06:59:25.179634+02	1	Provinz Catanzaro	\N	\N	\N	\N	\N	\N	t	f
5299	3361	Brong-Ahafo	nl	0	2013-06-05 08:00:56.692537+02	1	Brong-Ahafo	\N	\N	\N	\N	\N	\N	t	f
3890	4643	Catanzaro	nl	0	2013-06-05 06:59:48.093058+02	1	Catanzaro	\N	\N	\N	\N	\N	\N	t	f
5882	4028	Distrito de Berat	es	0	2013-06-05 08:26:49.034955+02	1	Distrito de Berat	\N	\N	\N	\N	\N	\N	t	f
3900	1141	Cojedes	no	0	2013-06-05 07:00:12.879415+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
5916	1618	Anibare	en	0	2013-06-05 08:28:14.399269+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6534	3667	Κεντρική Εκουατόρια	el	0	2013-06-05 08:54:50.902799+02	1	Κεντρική Εκουατόρια	\N	\N	\N	\N	\N	\N	t	f
5950	1190	Freeport	it	0	2013-06-05 08:29:38.641395+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
5967	4990	ブギリ県	ja	0	2013-06-05 08:30:19.968838+02	1	ブギリ県	\N	\N	\N	\N	\N	\N	t	f
5987	4155	Provincia de Bougouriba	es	0	2013-06-05 08:31:09.401277+02	1	Provincia de Bougouriba	\N	\N	\N	\N	\N	\N	t	f
6561	2391	Arkhangelsk oblast	no	0	2013-06-05 08:55:56.569132+02	1	Arkhangelsk oblast	\N	\N	\N	\N	\N	\N	t	f
7285	1952	Brezovica	fr	0	2013-06-05 09:26:59.714864+02	1	Brezovica	\N	\N	\N	\N	\N	\N	t	f
6690	3289	provincia di Bordj Bou Arreridj	it	0	2013-06-05 09:01:21.098142+02	1	provincia di Bordj Bou Arreridj	\N	\N	\N	\N	\N	\N	t	f
7327	3309	ベニ・スエフ県	ja	0	2013-06-05 09:28:45.497157+02	1	ベニ・スエフ県	\N	\N	\N	\N	\N	\N	t	f
8451	1608	Chuuk	de	0	2013-06-05 10:17:36.231848+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
7387	2813	Stato Chin	it	0	2013-06-05 09:31:12.472223+02	1	Stato Chin	\N	\N	\N	\N	\N	\N	t	f
7405	4623	Province of Bergamo	en	0	2013-06-05 09:31:56.433701+02	1	Province of Bergamo	\N	\N	\N	\N	\N	\N	t	f
7418	3794	Distretto di Ards	it	0	2013-06-05 09:32:27.875753+02	1	Distretto di Ards	\N	\N	\N	\N	\N	\N	t	f
9522	1250	Baoruco	fr	0	2013-06-05 11:03:28.76252+02	1	Baoruco	\N	\N	\N	\N	\N	\N	t	f
7420	3794	Ards	no	0	2013-06-05 09:32:32.609512+02	1	Ards	\N	\N	\N	\N	\N	\N	t	f
7437	3010	Governatorato della Beqa'	it	0	2013-06-05 09:33:14.032256+02	1	Governatorato della Beqa'	\N	\N	\N	\N	\N	\N	t	f
10072	722	Provincia di Borsod-Abaúj-Zemplén	it	0	2013-06-05 11:27:32.338261+02	1	Provincia di Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
7456	657	Ασσάμ	el	0	2013-06-05 09:34:04.787712+02	1	Ασσάμ	\N	\N	\N	\N	\N	\N	t	f
9535	985	Coquimbo	fi	0	2013-06-05 11:04:00.399249+02	1	Coquimbo	\N	\N	\N	\N	\N	\N	t	f
7460	657	Assam	fi	0	2013-06-05 09:34:14.228741+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
7468	645	Burgenland	en	0	2013-06-05 09:34:33.984349+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
7927	454	Bonaire	nl	0	2013-06-05 09:54:48.482926+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
9545	1064	Arequipan alue	fi	0	2013-06-05 11:04:24.611321+02	1	Arequipan alue	\N	\N	\N	\N	\N	\N	t	f
7934	515	Balıkesir	fr	0	2013-06-05 09:55:06.070797+02	1	Balıkesir	\N	\N	\N	\N	\N	\N	t	f
9557	2787	Cordillera Administrative Region	nl	0	2013-06-05 11:04:54.218567+02	1	Cordillera Administrative Region	\N	\N	\N	\N	\N	\N	t	f
10101	2155	Acquaviva	de	0	2013-06-05 11:28:43.683763+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
9559	3114	Cabinda Province	en	0	2013-06-05 11:04:59.370325+02	1	Cabinda Province	\N	\N	\N	\N	\N	\N	t	f
9567	3135	Centre-Sud	de	0	2013-06-05 11:05:19.375698+02	1	Centre-Sud	\N	\N	\N	\N	\N	\N	t	f
10827	4804	Alif Dhaal Atoll	en	0	2013-06-05 12:00:33.762942+02	1	Alif Dhaal Atoll	\N	\N	\N	\N	\N	\N	t	f
9605	1459	Departamento Centro	es	0	2013-06-05 11:06:52.093084+02	1	Departamento Centro	\N	\N	\N	\N	\N	\N	t	f
10103	2155	Acquaviva	es	0	2013-06-05 11:28:48.423082+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
9619	3227	Bas-Sassandra	nl	0	2013-06-05 11:07:30.332832+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
11596	327	Βάδη-Βυρτεμβέργη	el	0	2013-06-05 12:33:32.755117+02	1	Βάδη-Βυρτεμβέργη	\N	\N	\N	\N	\N	\N	t	f
10119	4634	Caserta	nl	0	2013-06-05 11:29:27.931688+02	1	Caserta	\N	\N	\N	\N	\N	\N	t	f
10121	4627	Provinz Bologna	de	0	2013-06-05 11:29:33.251613+02	1	Provinz Bologna	\N	\N	\N	\N	\N	\N	t	f
10123	4627	Bologna	en	0	2013-06-05 11:29:38.025834+02	1	Bologna	\N	\N	\N	\N	\N	\N	t	f
11512	3111	Bengo	no	0	2013-06-05 12:29:57.739016+02	1	Bengo	\N	\N	\N	\N	\N	\N	t	f
2362	16	Bahamas	fr	0	2013-05-27 15:53:12.2759+02	\N	Bahamas	\N	\N	\N	\N	\N	\N	t	f
3372	2135	Žirovnica	de	0	2013-05-27 19:59:43.926826+02	1	Žirovnica	\N	\N	\N	\N	\N	\N	t	f
3650	2390	Amur	es	0	2013-06-05 06:49:40.546163+02	1	Amur	\N	\N	\N	\N	\N	\N	t	f
3762	4491	Provincia Centro Sud	it	0	2013-06-05 06:54:18.583028+02	1	Provincia Centro Sud	\N	\N	\N	\N	\N	\N	t	f
3680	2389	Krai de Altái	es	0	2013-06-05 06:50:53.932719+02	1	Krai de Altái	\N	\N	\N	\N	\N	\N	t	f
3687	2389	Altaj kraj	no	0	2013-06-05 06:51:11.488485+02	1	Altaj kraj	\N	\N	\N	\N	\N	\N	t	f
3694	3117	Provinz Cuanza Norte	de	0	2013-06-05 06:51:28.897949+02	1	Provinz Cuanza Norte	\N	\N	\N	\N	\N	\N	t	f
3821	2953	al-Qadisiyya	de	0	2013-06-05 06:56:47.578706+02	1	al-Qadisiyya	\N	\N	\N	\N	\N	\N	t	f
3698	3117	Kwanza-Nord	fr	0	2013-06-05 06:51:38.366467+02	1	Kwanza-Nord	\N	\N	\N	\N	\N	\N	t	f
4221	3418	Berea	nl	0	2013-06-05 07:14:26.152712+02	1	Berea	\N	\N	\N	\N	\N	\N	t	f
4235	1722	Ağcabədi	es	0	2013-06-05 07:15:01.544387+02	1	Ağcabədi	\N	\N	\N	\N	\N	\N	t	f
4744	1653	Airai	en	0	2013-06-05 07:36:59.368687+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
4256	3681	Regione di Batha	it	0	2013-06-05 07:15:53.83174+02	1	Regione di Batha	\N	\N	\N	\N	\N	\N	t	f
4272	3715	Béja	fi	0	2013-06-05 07:16:33.105546+02	1	Béja	\N	\N	\N	\N	\N	\N	t	f
5305	996	Arauca	fr	0	2013-06-05 08:01:16.557791+02	1	Arauca	\N	\N	\N	\N	\N	\N	t	f
4294	4375	Charente-Maritime	fi	0	2013-06-05 07:17:29.04792+02	1	Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
4302	1620	Boe	es	0	2013-06-05 07:17:51.101014+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
5885	4028	distretto di Berat	it	0	2013-06-05 08:26:56.037771+02	1	distretto di Berat	\N	\N	\N	\N	\N	\N	t	f
4335	816	Buzău maakond	et	0	2013-06-05 07:19:45.17922+02	1	Buzău maakond	\N	\N	\N	\N	\N	\N	t	f
4361	3545	État d'Anambra	fr	0	2013-06-05 07:20:56.653116+02	1	État d'Anambra	\N	\N	\N	\N	\N	\N	t	f
4385	1087	Departamento de Concepción	es	0	2013-06-05 07:21:56.198528+02	1	Departamento de Concepción	\N	\N	\N	\N	\N	\N	t	f
5954	4555	Bali	en	0	2013-06-05 08:29:48.480052+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
4390	1034	Provinz Chimborazo	de	0	2013-06-05 07:22:08.598919+02	1	Provinz Chimborazo	\N	\N	\N	\N	\N	\N	t	f
6538	3667	Équatoria-Central	fr	0	2013-06-05 08:55:00.357726+02	1	Équatoria-Central	\N	\N	\N	\N	\N	\N	t	f
5982	3145	ブルリ県	ja	0	2013-06-05 08:30:57.277486+02	1	ブルリ県	\N	\N	\N	\N	\N	\N	t	f
6616	2160	Borgo Maggiore	it	0	2013-06-05 08:58:12.232326+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
7298	3385	Bissau	nl	0	2013-06-05 09:27:34.507954+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
6620	3014	Westprovinz	de	0	2013-06-05 08:58:22.222499+02	1	Westprovinz	\N	\N	\N	\N	\N	\N	t	f
6653	4319	Provinz Cáceres	de	0	2013-06-05 08:59:44.412828+02	1	Provinz Cáceres	\N	\N	\N	\N	\N	\N	t	f
10073	722	ボルショド・アバウーイ・ゼンプレーン県	ja	0	2013-06-05 11:27:34.748393+02	1	ボルショド・アバウーイ・ゼンプレーン県	\N	\N	\N	\N	\N	\N	t	f
7339	3305	Aswan	nl	0	2013-06-05 09:29:14.851372+02	1	Aswan	\N	\N	\N	\N	\N	\N	t	f
8453	1608	Chuuk	es	0	2013-06-05 10:17:41.207659+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
7346	579	Bartın	fr	0	2013-06-05 09:29:32.122231+02	1	Bartın	\N	\N	\N	\N	\N	\N	t	f
7936	515	バルケスィル県	ja	0	2013-06-05 09:55:11.126826+02	1	バルケスィル県	\N	\N	\N	\N	\N	\N	t	f
7975	2646	Attapeu	nl	0	2013-06-05 09:56:48.368321+02	1	Attapeu	\N	\N	\N	\N	\N	\N	t	f
8501	3003	ジャハラー県	ja	0	2013-06-05 10:19:37.708543+02	1	ジャハラー県	\N	\N	\N	\N	\N	\N	t	f
7981	1137	État d'Aragua	fr	0	2013-06-05 09:57:03.335347+02	1	État d'Aragua	\N	\N	\N	\N	\N	\N	t	f
8007	1828	バレンシア州	ja	0	2013-06-05 09:58:09.866362+02	1	バレンシア州	\N	\N	\N	\N	\N	\N	t	f
8016	1720	Abşeron	nl	0	2013-06-05 09:58:39.042745+02	1	Abşeron	\N	\N	\N	\N	\N	\N	t	f
8524	2386	Tšernivtsin alue	fi	0	2013-06-05 10:20:33.578314+02	1	Tšernivtsin alue	\N	\N	\N	\N	\N	\N	t	f
8026	1815	Καστίλλη και Λεόν	el	0	2013-06-05 09:59:19.083602+02	1	Καστίλλη και Λεόν	\N	\N	\N	\N	\N	\N	t	f
8028	1815	Castilla y León	es	0	2013-06-05 09:59:28.016743+02	1	Castilla y León	\N	\N	\N	\N	\N	\N	t	f
10153	1186	Central Abaco	it	0	2013-06-05 11:30:52.415002+02	1	Central Abaco	\N	\N	\N	\N	\N	\N	t	f
8043	573	アクサライ県	ja	0	2013-06-05 10:00:10.01354+02	1	アクサライ県	\N	\N	\N	\N	\N	\N	t	f
8545	4614	アレッサンドリア県	ja	0	2013-06-05 10:21:25.213069+02	1	アレッサンドリア県	\N	\N	\N	\N	\N	\N	t	f
8547	4614	Provinsen Alessandria	no	0	2013-06-05 10:21:29.968527+02	1	Provinsen Alessandria	\N	\N	\N	\N	\N	\N	t	f
11605	327	Baden-Württemberg	no	0	2013-06-05 12:33:54.303878+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
8577	1726	Astara	es	0	2013-06-05 10:23:08.027842+02	1	Astara	\N	\N	\N	\N	\N	\N	t	f
10829	4804	Alif Dhaal	fr	0	2013-06-05 12:00:38.443696+02	1	Alif Dhaal	\N	\N	\N	\N	\N	\N	t	f
9542	1064	Arequipa	en	0	2013-06-05 11:04:17.487691+02	1	Arequipa	\N	\N	\N	\N	\N	\N	t	f
9552	2787	Cordillera Administrative Region	en	0	2013-06-05 11:04:42.246941+02	1	Cordillera Administrative Region	\N	\N	\N	\N	\N	\N	t	f
11047	3816	Castlereagh	de	0	2013-06-05 12:09:44.235522+02	1	Castlereagh	\N	\N	\N	\N	\N	\N	t	f
9627	3262	Biskra	no	0	2013-06-05 11:07:49.978063+02	1	Biskra	\N	\N	\N	\N	\N	\N	t	f
10831	4804	Alif Dhaal-atol	nl	0	2013-06-05 12:00:43.171816+02	1	Alif Dhaal-atol	\N	\N	\N	\N	\N	\N	t	f
9628	658	Bihar	de	0	2013-06-05 11:07:52.852408+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10891	3118	Cuanza Sur	es	0	2013-06-05 12:03:14.222077+02	1	Cuanza Sur	\N	\N	\N	\N	\N	\N	t	f
11078	2809	Ayeyarwady	nl	0	2013-06-05 12:11:03.663413+02	1	Ayeyarwady	\N	\N	\N	\N	\N	\N	t	f
10899	2259	Municipality of Bitola	en	0	2013-06-05 12:03:34.59868+02	1	Municipality of Bitola	\N	\N	\N	\N	\N	\N	t	f
11030	3548	Borno State	en	0	2013-06-05 12:08:58.712599+02	1	Borno State	\N	\N	\N	\N	\N	\N	t	f
11084	2793	ボボナロ県	ja	0	2013-06-05 12:11:18.352627+02	1	ボボナロ県	\N	\N	\N	\N	\N	\N	t	f
11513	4083	Bhola (Distrikt)	de	0	2013-06-05 12:30:00.433005+02	1	Bhola (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
2363	16	Bahamas	it	0	2013-05-27 15:53:14.521105+02	\N	Bahamas	\N	\N	\N	\N	\N	\N	t	f
2364	16	バハマ	ja	0	2013-05-27 15:53:16.899087+02	\N	バハマ	\N	\N	\N	\N	\N	\N	t	f
3373	2135	Municipality of Žirovnica	en	0	2013-05-27 19:59:46.152748+02	1	Municipality of Žirovnica	\N	\N	\N	\N	\N	\N	t	f
3408	2922	Ajman	en	0	2013-05-27 20:01:14.36726+02	1	Ajman	\N	\N	\N	\N	\N	\N	t	f
3764	4491	Centro Sur	nl	0	2013-06-05 06:54:23.420038+02	1	Centro Sur	\N	\N	\N	\N	\N	\N	t	f
3434	4286	Okres Žďár nad Sázavou	nl	0	2013-05-27 20:02:14.806528+02	1	Okres Žďár nad Sázavou	\N	\N	\N	\N	\N	\N	t	f
3653	2390	Oblast d'Amour	fr	0	2013-06-05 06:49:47.76142+02	1	Oblast d'Amour	\N	\N	\N	\N	\N	\N	t	f
3774	811	District Bihor	nl	0	2013-06-05 06:54:49.4256+02	1	District Bihor	\N	\N	\N	\N	\N	\N	t	f
4222	3418	Berea	no	0	2013-06-05 07:14:28.712298+02	1	Berea	\N	\N	\N	\N	\N	\N	t	f
3816	1556	Département d'Ahuachapán	fr	0	2013-06-05 06:56:34.908331+02	1	Département d'Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
3827	2953	カーディーシーヤ県	ja	0	2013-06-05 06:57:04.952837+02	1	カーディーシーヤ県	\N	\N	\N	\N	\N	\N	t	f
4258	3681	Batha	nl	0	2013-06-05 07:15:58.651081+02	1	Batha	\N	\N	\N	\N	\N	\N	t	f
4748	1653	Airai	fr	0	2013-06-05 07:37:08.912252+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
4273	3715	Gouvernorat de Béja	fr	0	2013-06-05 07:16:35.501407+02	1	Gouvernorat de Béja	\N	\N	\N	\N	\N	\N	t	f
4286	5035	Distrito de Bundibugyo	es	0	2013-06-05 07:17:07.748048+02	1	Distrito de Bundibugyo	\N	\N	\N	\N	\N	\N	t	f
5306	996	dipartimento di Arauca	it	0	2013-06-05 08:01:24.698398+02	1	dipartimento di Arauca	\N	\N	\N	\N	\N	\N	t	f
4379	4588	Cavan	it	0	2013-06-05 07:21:41.442424+02	1	Cavan	\N	\N	\N	\N	\N	\N	t	f
5309	996	Arauca	no	0	2013-06-05 08:01:39.136335+02	1	Arauca	\N	\N	\N	\N	\N	\N	t	f
5894	4361	Allier	fr	0	2013-06-05 08:27:20.894102+02	1	Allier	\N	\N	\N	\N	\N	\N	t	f
5311	2223	Rajon Basarabeasca	de	0	2013-06-05 08:01:48.57754+02	1	Rajon Basarabeasca	\N	\N	\N	\N	\N	\N	t	f
5331	4557	ブンクル州	ja	0	2013-06-05 08:02:56.550455+02	1	ブンクル州	\N	\N	\N	\N	\N	\N	t	f
5907	3331	Gouvernement as-Suwais	de	0	2013-06-05 08:27:52.620737+02	1	Gouvernement as-Suwais	\N	\N	\N	\N	\N	\N	t	f
6549	1138	Barinas	nl	0	2013-06-05 08:55:27.317768+02	1	Barinas	\N	\N	\N	\N	\N	\N	t	f
5920	1618	Anibare	it	0	2013-06-05 08:28:23.799697+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6569	764	Castelo Branco	nl	0	2013-06-05 08:56:16.430064+02	1	Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
7299	3385	Bissau	no	0	2013-06-05 09:27:36.909155+02	1	Bissau	\N	\N	\N	\N	\N	\N	t	f
6606	3261	Provincia de Bujía	es	0	2013-06-05 08:57:48.093472+02	1	Provincia de Bujía	\N	\N	\N	\N	\N	\N	t	f
6607	3261	Wilaya de Béjaïa	fr	0	2013-06-05 08:57:50.492543+02	1	Wilaya de Béjaïa	\N	\N	\N	\N	\N	\N	t	f
10207	2818	Chukha	fr	0	2013-06-05 11:33:20.048801+02	1	Chukha	\N	\N	\N	\N	\N	\N	t	f
7307	2498	Atõrau oblast	et	0	2013-06-05 09:27:57.311463+02	1	Atõrau oblast	\N	\N	\N	\N	\N	\N	t	f
8459	1608	Chuuk	nl	0	2013-06-05 10:17:55.661739+02	1	Chuuk	\N	\N	\N	\N	\N	\N	t	f
7337	3305	Governatorato di Assuan	it	0	2013-06-05 09:29:10.0658+02	1	Governatorato di Assuan	\N	\N	\N	\N	\N	\N	t	f
7338	3305	アスワン県	ja	0	2013-06-05 09:29:12.482188+02	1	アスワン県	\N	\N	\N	\N	\N	\N	t	f
7380	2997	Mafrak	nl	0	2013-06-05 09:30:55.224183+02	1	Mafrak	\N	\N	\N	\N	\N	\N	t	f
8522	2386	Óblast de Chernivtsi	es	0	2013-06-05 10:20:28.882652+02	1	Óblast de Chernivtsi	\N	\N	\N	\N	\N	\N	t	f
7391	3433	Munizip al-Kufra	de	0	2013-06-05 09:31:22.394546+02	1	Munizip al-Kufra	\N	\N	\N	\N	\N	\N	t	f
7412	4623	Bergamo	nl	0	2013-06-05 09:32:13.159282+02	1	Bergamo	\N	\N	\N	\N	\N	\N	t	f
7955	2605	ビンフオック省	ja	0	2013-06-05 09:55:58.433102+02	1	ビンフオック省	\N	\N	\N	\N	\N	\N	t	f
8528	2386	Oblast Tsjernivtsi	nl	0	2013-06-05 10:20:43.098725+02	1	Oblast Tsjernivtsi	\N	\N	\N	\N	\N	\N	t	f
8030	1815	Kastilia ja León	fi	0	2013-06-05 09:59:34.903982+02	1	Kastilia ja León	\N	\N	\N	\N	\N	\N	t	f
8040	573	Aksarayn maakunta	fi	0	2013-06-05 10:00:02.023705+02	1	Aksarayn maakunta	\N	\N	\N	\N	\N	\N	t	f
10209	2818	Chukha	nl	0	2013-06-05 11:33:28.078101+02	1	Chukha	\N	\N	\N	\N	\N	\N	t	f
8044	573	Aksaray	nl	0	2013-06-05 10:00:12.492901+02	1	Aksaray	\N	\N	\N	\N	\N	\N	t	f
8574	2095	Municipality of Cankova	en	0	2013-06-05 10:22:57.342472+02	1	Municipality of Cankova	\N	\N	\N	\N	\N	\N	t	f
9550	1064	Arequipa	no	0	2013-06-05 11:04:37.035798+02	1	Arequipa	\N	\N	\N	\N	\N	\N	t	f
10915	2164	Blagoevgradi piirkond	et	0	2013-06-05 12:04:13.670862+02	1	Blagoevgradi piirkond	\N	\N	\N	\N	\N	\N	t	f
9592	2941	Arbil	nl	0	2013-06-05 11:06:19.980896+02	1	Arbil	\N	\N	\N	\N	\N	\N	t	f
10220	2494	Aqtöbe	no	0	2013-06-05 11:34:04.8775+02	1	Aqtöbe	\N	\N	\N	\N	\N	\N	t	f
10075	4764	Al Haouz	de	0	2013-06-05 11:27:39.913435+02	1	Al Haouz	\N	\N	\N	\N	\N	\N	t	f
10081	806	Kreis Alba	de	0	2013-06-05 11:27:54.925877+02	1	Kreis Alba	\N	\N	\N	\N	\N	\N	t	f
10135	4590	Carlow’n kreivikunta	fi	0	2013-06-05 11:30:07.512899+02	1	Carlow’n kreivikunta	\N	\N	\N	\N	\N	\N	t	f
10235	2472	provincia di Armavir	it	0	2013-06-05 11:34:55.778514+02	1	provincia di Armavir	\N	\N	\N	\N	\N	\N	t	f
10139	4590	County Carlow	nl	0	2013-06-05 11:30:17.533513+02	1	County Carlow	\N	\N	\N	\N	\N	\N	t	f
10146	1001	dipartimento di Caquetá	it	0	2013-06-05 11:30:35.039627+02	1	dipartimento di Caquetá	\N	\N	\N	\N	\N	\N	t	f
11545	3483	Adrar	nl	0	2013-06-05 12:31:19.306632+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
10961	1420	Chimaltenango	en	0	2013-06-05 12:06:06.687652+02	1	Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
10287	2956	At-Ta'mim	nl	0	2013-06-05 11:37:13.295241+02	1	At-Ta'mim	\N	\N	\N	\N	\N	\N	t	f
10299	4899	カガヤン州	ja	0	2013-06-05 11:37:42.764433+02	1	カガヤン州	\N	\N	\N	\N	\N	\N	t	f
10832	1180	Acklins	de	0	2013-06-05 12:00:45.85706+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
10969	3143	Μπουζουμπουρά-Ρουράλ	el	0	2013-06-05 12:06:26.131424+02	1	Μπουζουμπουρά-Ρουράλ	\N	\N	\N	\N	\N	\N	t	f
10892	3118	Cuanza Sul	fi	0	2013-06-05 12:03:16.708307+02	1	Cuanza Sul	\N	\N	\N	\N	\N	\N	t	f
11514	4083	Bhola District	en	0	2013-06-05 12:30:02.751911+02	1	Bhola District	\N	\N	\N	\N	\N	\N	t	f
11552	3180	Bas-Congo	fr	0	2013-06-05 12:31:37.026509+02	1	Bas-Congo	\N	\N	\N	\N	\N	\N	t	f
11595	327	Baden-Württemberg	de	0	2013-06-05 12:33:30.394305+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
2365	16	Bahama's	nl	0	2013-05-27 15:53:19.230132+02	\N	Bahama's	\N	\N	\N	\N	\N	\N	t	f
3374	2135	Žirovnica (Slovénie)	fr	0	2013-05-27 19:59:48.343103+02	1	Žirovnica (Slovénie)	\N	\N	\N	\N	\N	\N	t	f
3384	1960	Črna na Koroškem	de	0	2013-05-27 20:00:14.144298+02	1	Črna na Koroškem	\N	\N	\N	\N	\N	\N	t	f
3765	4491	Centro Sur	no	0	2013-06-05 06:54:27.356239+02	1	Centro Sur	\N	\N	\N	\N	\N	\N	t	f
3658	1495	Aguascalientes	de	0	2013-06-05 06:50:00.481724+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3667	1495	Aguascalientes	no	0	2013-06-05 06:50:21.991205+02	1	Aguascalientes	\N	\N	\N	\N	\N	\N	t	f
3682	2389	Altain aluepiiri	fi	0	2013-06-05 06:50:59.404651+02	1	Altain aluepiiri	\N	\N	\N	\N	\N	\N	t	f
3770	811	Bihor	fi	0	2013-06-05 06:54:39.787131+02	1	Bihor	\N	\N	\N	\N	\N	\N	t	f
4223	4316	Provinz Burgos	de	0	2013-06-05 07:14:31.709697+02	1	Provinz Burgos	\N	\N	\N	\N	\N	\N	t	f
3779	1099	Caaguazún maakunta	fi	0	2013-06-05 06:55:04.594161+02	1	Caaguazún maakunta	\N	\N	\N	\N	\N	\N	t	f
3793	3299	Aïn Defla	no	0	2013-06-05 06:55:38.624551+02	1	Aïn Defla	\N	\N	\N	\N	\N	\N	t	f
3794	982	Región de la Araucanía	de	0	2013-06-05 06:55:41.449483+02	1	Región de la Araucanía	\N	\N	\N	\N	\N	\N	t	f
4290	4375	Département Charente-Maritime	de	0	2013-06-05 07:17:19.0272+02	1	Département Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
3795	982	Araucanía Region	en	0	2013-06-05 06:55:43.795097+02	1	Araucanía Region	\N	\N	\N	\N	\N	\N	t	f
4751	1653	Airai	nl	0	2013-06-05 07:37:16.116002+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
3797	982	Araucanía	fi	0	2013-06-05 06:55:48.519808+02	1	Araucanía	\N	\N	\N	\N	\N	\N	t	f
4776	4824	Balaka	no	0	2013-06-05 07:38:40.699765+02	1	Balaka	\N	\N	\N	\N	\N	\N	t	f
5310	2092	Municipality of Bistrica ob Sotli	en	0	2013-06-05 08:01:44.332044+02	1	Municipality of Bistrica ob Sotli	\N	\N	\N	\N	\N	\N	t	f
4821	3093	Gouvernorat d'Al Bayda'	fr	0	2013-06-05 07:41:01.442776+02	1	Gouvernorat d'Al Bayda'	\N	\N	\N	\N	\N	\N	t	f
4826	2950	Al Muthanna Province	en	0	2013-06-05 07:41:17.050685+02	1	Al Muthanna Province	\N	\N	\N	\N	\N	\N	t	f
4858	1100	Dipartimento di Caazapá	it	0	2013-06-05 07:42:35.242812+02	1	Dipartimento di Caazapá	\N	\N	\N	\N	\N	\N	t	f
5332	4557	Bengkulu	nl	0	2013-06-05 08:02:58.950277+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
4872	396	Chiba	es	0	2013-06-05 07:43:09.627633+02	1	Chiba	\N	\N	\N	\N	\N	\N	t	f
5896	4361	アリエ県	ja	0	2013-06-05 08:27:25.690839+02	1	アリエ県	\N	\N	\N	\N	\N	\N	t	f
4925	3113	ビエ州	ja	0	2013-06-05 07:45:18.03665+02	1	ビエ州	\N	\N	\N	\N	\N	\N	t	f
4942	520	Επαρχία Μπουρντούρ	el	0	2013-06-05 07:45:59.51593+02	1	Επαρχία Μπουρντούρ	\N	\N	\N	\N	\N	\N	t	f
6551	2391	Oblast Archangelsk	de	0	2013-06-05 08:55:32.605033+02	1	Oblast Archangelsk	\N	\N	\N	\N	\N	\N	t	f
4946	520	Provincia di Burdur	it	0	2013-06-05 07:46:09.131611+02	1	Provincia di Burdur	\N	\N	\N	\N	\N	\N	t	f
4947	520	ブルドゥル県	ja	0	2013-06-05 07:46:11.502091+02	1	ブルドゥル県	\N	\N	\N	\N	\N	\N	t	f
6637	1139	Bolívar	fi	0	2013-06-05 08:59:04.246371+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
7302	1303	Bauska piirkond	et	0	2013-06-05 09:27:45.113842+02	1	Bauska piirkond	\N	\N	\N	\N	\N	\N	t	f
6638	1139	État de Bolívar	fr	0	2013-06-05 08:59:06.595905+02	1	État de Bolívar	\N	\N	\N	\N	\N	\N	t	f
6659	4319	Province de Cáceres	fr	0	2013-06-05 09:00:04.082911+02	1	Province de Cáceres	\N	\N	\N	\N	\N	\N	t	f
9556	2787	コルディリェラ行政地域	ja	0	2013-06-05 11:04:51.736219+02	1	コルディリェラ行政地域	\N	\N	\N	\N	\N	\N	t	f
7303	1303	Bauskas novads	nl	0	2013-06-05 09:27:47.457102+02	1	Bauskas novads	\N	\N	\N	\N	\N	\N	t	f
8467	1217	カルタゴ州	ja	0	2013-06-05 10:18:15.38991+02	1	カルタゴ州	\N	\N	\N	\N	\N	\N	t	f
7312	2498	Oblast Atıraw	nl	0	2013-06-05 09:28:09.124136+02	1	Oblast Atıraw	\N	\N	\N	\N	\N	\N	t	f
7323	3309	Beni Suef Governorate	en	0	2013-06-05 09:28:36.113095+02	1	Beni Suef Governorate	\N	\N	\N	\N	\N	\N	t	f
7350	579	Bartın	no	0	2013-06-05 09:29:41.638931+02	1	Bartın	\N	\N	\N	\N	\N	\N	t	f
8487	983	Atacama	no	0	2013-06-05 10:19:03.816588+02	1	Atacama	\N	\N	\N	\N	\N	\N	t	f
7475	645	Burgenland	nl	0	2013-06-05 09:34:53.741397+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
7973	2646	Provincia di Attapeu	it	0	2013-06-05 09:56:43.491008+02	1	Provincia di Attapeu	\N	\N	\N	\N	\N	\N	t	f
10252	1032	Provincia de Cañar	es	0	2013-06-05 11:35:47.698248+02	1	Provincia de Cañar	\N	\N	\N	\N	\N	\N	t	f
8023	1051	Barima-Waini	nl	0	2013-06-05 09:59:06.400152+02	1	Barima-Waini	\N	\N	\N	\N	\N	\N	t	f
8491	3066	Ash-Sharqīyah	et	0	2013-06-05 10:19:13.640141+02	1	Ash-Sharqīyah	\N	\N	\N	\N	\N	\N	t	f
9624	3262	Wilaya de Biskra	fr	0	2013-06-05 11:07:42.57791+02	1	Wilaya de Biskra	\N	\N	\N	\N	\N	\N	t	f
8556	2852	Asad Kaschmir	de	0	2013-06-05 10:21:55.039518+02	1	Asad Kaschmir	\N	\N	\N	\N	\N	\N	t	f
8567	3823	City de Londres	es	0	2013-06-05 10:22:30.417983+02	1	City de Londres	\N	\N	\N	\N	\N	\N	t	f
8572	3823	City of London	nl	0	2013-06-05 10:22:51.281561+02	1	City of London	\N	\N	\N	\N	\N	\N	t	f
10076	4764	Al Haouz Province	en	0	2013-06-05 11:27:42.272553+02	1	Al Haouz Province	\N	\N	\N	\N	\N	\N	t	f
8625	762	Braga	nl	0	2013-06-05 10:25:35.080252+02	1	Braga	\N	\N	\N	\N	\N	\N	t	f
8638	3426	ブトナーン県	ja	0	2013-06-05 10:26:09.100715+02	1	ブトナーン県	\N	\N	\N	\N	\N	\N	t	f
8640	3426	Al Butnan	no	0	2013-06-05 10:26:13.862506+02	1	Al Butnan	\N	\N	\N	\N	\N	\N	t	f
10147	1001	カケタ県	ja	0	2013-06-05 11:30:37.426+02	1	カケタ県	\N	\N	\N	\N	\N	\N	t	f
8650	4085	Chandpur	de	0	2013-06-05 10:26:38.192064+02	1	Chandpur	\N	\N	\N	\N	\N	\N	t	f
10269	4310	Albacete	no	0	2013-06-05 11:36:28.772373+02	1	Albacete	\N	\N	\N	\N	\N	\N	t	f
10171	1529	Boaco	fi	0	2013-06-05 11:31:36.723573+02	1	Boaco	\N	\N	\N	\N	\N	\N	t	f
10855	1006	dipartimento di Córdoba	it	0	2013-06-05 12:01:45.769403+02	1	dipartimento di Córdoba	\N	\N	\N	\N	\N	\N	t	f
10215	2494	Aqtöben alue	fi	0	2013-06-05 11:33:46.298883+02	1	Aqtöben alue	\N	\N	\N	\N	\N	\N	t	f
10328	1951	Brda	fr	0	2013-06-05 11:38:54.000506+02	1	Brda	\N	\N	\N	\N	\N	\N	t	f
11031	3548	Borno	es	0	2013-06-05 12:09:01.107815+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
10833	1180	Acklins	en	0	2013-06-05 12:00:49.518986+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
10880	3709	Αρυάνα	el	0	2013-06-05 12:02:47.046978+02	1	Αρυάνα	\N	\N	\N	\N	\N	\N	t	f
10853	1006	Córdoba	fi	0	2013-06-05 12:01:41.01272+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
11008	907	Cospicua	nl	0	2013-06-05 12:08:02.036511+02	1	Cospicua	\N	\N	\N	\N	\N	\N	t	f
11515	4083	Bhola (zila)	es	0	2013-06-05 12:30:05.092262+02	1	Bhola (zila)	\N	\N	\N	\N	\N	\N	t	f
11092	1791	ブルチコ行政区	ja	0	2013-06-05 12:11:37.806718+02	1	ブルチコ行政区	\N	\N	\N	\N	\N	\N	t	f
2366	16	Bahamas	no	0	2013-05-27 15:53:23.96003+02	\N	Bahamas	\N	\N	\N	\N	\N	\N	t	f
2367	111	Kiribati	de	0	2013-05-27 15:53:26.904661+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2372	111	Kiribati	fi	0	2013-05-27 15:53:37.96261+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
3375	2135	Žirovnica	it	0	2013-05-27 19:59:50.565029+02	1	Žirovnica	\N	\N	\N	\N	\N	\N	t	f
3661	1495	Aguascalientese osariik	et	0	2013-06-05 06:50:07.623876+02	1	Aguascalientese osariik	\N	\N	\N	\N	\N	\N	t	f
3768	811	Bihor	es	0	2013-06-05 06:54:35.0518+02	1	Bihor	\N	\N	\N	\N	\N	\N	t	f
3865	3650	Bari	de	0	2013-06-05 06:58:45.951264+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
4224	4316	Province of Burgos	en	0	2013-06-05 07:14:34.164815+02	1	Province of Burgos	\N	\N	\N	\N	\N	\N	t	f
4266	1105	Brokopondo	nl	0	2013-06-05 07:16:18.261585+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
4752	1653	Airai	no	0	2013-06-05 07:37:21.02837+02	1	Airai	\N	\N	\N	\N	\N	\N	t	f
4278	2785	Caraga	de	0	2013-06-05 07:16:48.122366+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
4300	1620	Boe	de	0	2013-06-05 07:17:46.353771+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4329	1816	カスティーリャ・ラ・マンチャ州	ja	0	2013-06-05 07:19:21.015067+02	1	カスティーリャ・ラ・マンチャ州	\N	\N	\N	\N	\N	\N	t	f
4775	4824	Balaka	nl	0	2013-06-05 07:38:37.246598+02	1	Balaka	\N	\N	\N	\N	\N	\N	t	f
4386	1087	Concepciónin maakunta	fi	0	2013-06-05 07:21:58.670034+02	1	Concepciónin maakunta	\N	\N	\N	\N	\N	\N	t	f
4391	1034	Chimborazo Province	en	0	2013-06-05 07:22:11.087705+02	1	Chimborazo Province	\N	\N	\N	\N	\N	\N	t	f
5312	2223	Basarabeasca District	en	0	2013-06-05 08:01:54.736279+02	1	Basarabeasca District	\N	\N	\N	\N	\N	\N	t	f
4866	2927	Sharja	it	0	2013-06-05 07:42:54.769963+02	1	Sharja	\N	\N	\N	\N	\N	\N	t	f
4903	510	Amasya	no	0	2013-06-05 07:44:24.658571+02	1	Amasya	\N	\N	\N	\N	\N	\N	t	f
5325	4557	Bengkulu	de	0	2013-06-05 08:02:42.504384+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
5901	4907	Valle de Compostela	es	0	2013-06-05 08:27:37.919519+02	1	Valle de Compostela	\N	\N	\N	\N	\N	\N	t	f
5908	3331	Suez Governorate	en	0	2013-06-05 08:27:54.940459+02	1	Suez Governorate	\N	\N	\N	\N	\N	\N	t	f
6554	2391	Óblast de Arjánguelsk	es	0	2013-06-05 08:55:39.742101+02	1	Óblast de Arjánguelsk	\N	\N	\N	\N	\N	\N	t	f
5919	1618	Anibare	fr	0	2013-06-05 08:28:21.40693+02	1	Anibare	\N	\N	\N	\N	\N	\N	t	f
6556	2391	Arkangelin alue	fi	0	2013-06-05 08:55:44.527276+02	1	Arkangelin alue	\N	\N	\N	\N	\N	\N	t	f
7316	3238	Adamaoua piirkond	et	0	2013-06-05 09:28:19.103986+02	1	Adamaoua piirkond	\N	\N	\N	\N	\N	\N	t	f
6564	764	Distrito de Castelo Branco	es	0	2013-06-05 08:56:04.076022+02	1	Distrito de Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
6568	764	カステロ・ブランコ県	ja	0	2013-06-05 08:56:14.0512+02	1	カステロ・ブランコ県	\N	\N	\N	\N	\N	\N	t	f
6577	3810	Buckinghamshire	fr	0	2013-06-05 08:56:36.233838+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
7329	3309	Bani Suwayf	no	0	2013-06-05 09:28:50.343736+02	1	Bani Suwayf	\N	\N	\N	\N	\N	\N	t	f
6578	3810	Buckinghamshire	it	0	2013-06-05 08:56:38.859761+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
6706	4630	provincia di Barletta-Andria-Trani	it	0	2013-06-05 09:02:01.640287+02	1	provincia di Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
8477	1135	Anzoátegui	nl	0	2013-06-05 10:18:39.72864+02	1	Anzoátegui	\N	\N	\N	\N	\N	\N	t	f
7354	313	Columbia Británica	es	0	2013-06-05 09:29:51.81914+02	1	Columbia Británica	\N	\N	\N	\N	\N	\N	t	f
7372	2838	Chittagong	nl	0	2013-06-05 09:30:35.783015+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
10916	2164	Blagoevgradin alue	fi	0	2013-06-05 12:04:16.133479+02	1	Blagoevgradin alue	\N	\N	\N	\N	\N	\N	t	f
8011	1720	Absheron Rayon	en	0	2013-06-05 09:58:23.152079+02	1	Absheron Rayon	\N	\N	\N	\N	\N	\N	t	f
8482	983	Atacaman alue	fi	0	2013-06-05 10:18:51.974911+02	1	Atacaman alue	\N	\N	\N	\N	\N	\N	t	f
8033	1815	カスティーリャ・レオン州	ja	0	2013-06-05 09:59:43.629577+02	1	カスティーリャ・レオン州	\N	\N	\N	\N	\N	\N	t	f
10142	1001	Caquetá	en	0	2013-06-05 11:30:25.280667+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
8530	3257	Chlef	de	0	2013-06-05 10:20:48.223357+02	1	Chlef	\N	\N	\N	\N	\N	\N	t	f
8542	4614	Alessandrian maakunta	fi	0	2013-06-05 10:21:18.020079+02	1	Alessandrian maakunta	\N	\N	\N	\N	\N	\N	t	f
8551	1546	Colón	fi	0	2013-06-05 10:21:42.633027+02	1	Colón	\N	\N	\N	\N	\N	\N	t	f
10143	1001	Caquetá	es	0	2013-06-05 11:30:27.644388+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
8558	2852	Azad Cachemira	es	0	2013-06-05 10:22:01.365392+02	1	Azad Cachemira	\N	\N	\N	\N	\N	\N	t	f
8612	3556	Federal Capital Territory	nl	0	2013-06-05 10:24:58.034949+02	1	Federal Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8621	762	Bragan piiri	fi	0	2013-06-05 10:25:23.242824+02	1	Bragan piiri	\N	\N	\N	\N	\N	\N	t	f
10288	2956	Kirkuk	no	0	2013-06-05 11:37:15.726327+02	1	Kirkuk	\N	\N	\N	\N	\N	\N	t	f
9566	3114	Cabinda	no	0	2013-06-05 11:05:16.623816+02	1	Cabinda	\N	\N	\N	\N	\N	\N	t	f
9587	2941	Gobernación de Erbil	es	0	2013-06-05 11:06:08.086678+02	1	Gobernación de Erbil	\N	\N	\N	\N	\N	\N	t	f
10989	2991	Gobernación de Tafila	es	0	2013-06-05 12:07:14.611025+02	1	Gobernación de Tafila	\N	\N	\N	\N	\N	\N	t	f
10080	4764	Al Haouz	nl	0	2013-06-05 11:27:52.142303+02	1	Al Haouz	\N	\N	\N	\N	\N	\N	t	f
10293	1304	Beverīnas novads	nl	0	2013-06-05 11:37:27.986945+02	1	Beverīnas novads	\N	\N	\N	\N	\N	\N	t	f
10085	806	Alba maakond	et	0	2013-06-05 11:28:04.552081+02	1	Alba maakond	\N	\N	\N	\N	\N	\N	t	f
10302	3622	Nahr an-Nil	de	0	2013-06-05 11:37:50.35035+02	1	Nahr an-Nil	\N	\N	\N	\N	\N	\N	t	f
10839	1957	Municipality of Cerknica	en	0	2013-06-05 12:01:04.310506+02	1	Municipality of Cerknica	\N	\N	\N	\N	\N	\N	t	f
11516	4083	Bhola (district)	fr	0	2013-06-05 12:30:07.576913+02	1	Bhola (district)	\N	\N	\N	\N	\N	\N	t	f
10900	2259	Municipalidad de Bitola	es	0	2013-06-05 12:03:36.957912+02	1	Municipalidad de Bitola	\N	\N	\N	\N	\N	\N	t	f
2368	111	Κιριμπάτι	el	0	2013-05-27 15:53:29.164461+02	\N	Κιριμπάτι	\N	\N	\N	\N	\N	\N	t	f
3376	2135	ジロヴニツァ	ja	0	2013-05-27 19:59:52.762324+02	1	ジロヴニツァ	\N	\N	\N	\N	\N	\N	t	f
3668	3362	Central Region	de	0	2013-06-05 06:50:24.767433+02	1	Central Region	\N	\N	\N	\N	\N	\N	t	f
3773	811	ビホル県	ja	0	2013-06-05 06:54:47.013822+02	1	ビホル県	\N	\N	\N	\N	\N	\N	t	f
3685	2389	アルタイ地方	ja	0	2013-06-05 06:51:06.652785+02	1	アルタイ地方	\N	\N	\N	\N	\N	\N	t	f
3706	5008	ブタレジャ県	ja	0	2013-06-05 06:51:57.885727+02	1	ブタレジャ県	\N	\N	\N	\N	\N	\N	t	f
3806	1063	Apurímacin alue	fi	0	2013-06-05 06:56:10.43312+02	1	Apurímacin alue	\N	\N	\N	\N	\N	\N	t	f
4225	4316	Provincia de Burgos	es	0	2013-06-05 07:14:36.547878+02	1	Provincia de Burgos	\N	\N	\N	\N	\N	\N	t	f
3815	1556	Ahuachapán	es	0	2013-06-05 06:56:32.516227+02	1	Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
3825	2953	Al-Qadisiyya	fr	0	2013-06-05 06:57:00.138227+02	1	Al-Qadisiyya	\N	\N	\N	\N	\N	\N	t	f
3885	4643	Catanzaro provints	et	0	2013-06-05 06:59:34.760359+02	1	Catanzaro provints	\N	\N	\N	\N	\N	\N	t	f
4255	3681	Batha	fr	0	2013-06-05 07:15:51.442558+02	1	Batha	\N	\N	\N	\N	\N	\N	t	f
4753	4362	Alpes-de-Haute-Provence	de	0	2013-06-05 07:37:24.003314+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4280	2785	Caraga	es	0	2013-06-05 07:16:52.893263+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
4283	2785	カラガ地方	ja	0	2013-06-05 07:17:00.187289+02	1	カラガ地方	\N	\N	\N	\N	\N	\N	t	f
4338	816	Distretto di Buzău	it	0	2013-06-05 07:19:52.702853+02	1	Distretto di Buzău	\N	\N	\N	\N	\N	\N	t	f
4765	2993	Al Balqa'	fi	0	2013-06-05 07:37:56.75318+02	1	Al Balqa'	\N	\N	\N	\N	\N	\N	t	f
4348	1893	Balzers	en	0	2013-06-05 07:20:21.063481+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
4372	1817	Canarische Eilanden	nl	0	2013-06-05 07:21:24.024855+02	1	Canarische Eilanden	\N	\N	\N	\N	\N	\N	t	f
5314	2223	Basarabeascan piiri	fi	0	2013-06-05 08:02:00.284665+02	1	Basarabeascan piiri	\N	\N	\N	\N	\N	\N	t	f
4373	1817	Kanariøyene	no	0	2013-06-05 07:21:26.407355+02	1	Kanariøyene	\N	\N	\N	\N	\N	\N	t	f
4769	2993	Balka	nl	0	2013-06-05 07:38:14.452082+02	1	Balka	\N	\N	\N	\N	\N	\N	t	f
4383	1087	Departamento Concepción	de	0	2013-06-05 07:21:51.461351+02	1	Departamento Concepción	\N	\N	\N	\N	\N	\N	t	f
4887	3416	Butha-Buthe	nl	0	2013-06-05 07:43:45.64469+02	1	Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
5906	4907	Compostela Valley	no	0	2013-06-05 08:27:49.841968+02	1	Compostela Valley	\N	\N	\N	\N	\N	\N	t	f
4888	3416	Butha-Buthe	no	0	2013-06-05 07:43:48.032657+02	1	Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
4912	2857	Balkhi provints	et	0	2013-06-05 07:44:46.650094+02	1	Balkhi provints	\N	\N	\N	\N	\N	\N	t	f
6558	2391	Oblast' di Arcangelo	it	0	2013-06-05 08:55:49.249268+02	1	Oblast' di Arcangelo	\N	\N	\N	\N	\N	\N	t	f
6604	3261	Bejaia	de	0	2013-06-05 08:57:43.150905+02	1	Bejaia	\N	\N	\N	\N	\N	\N	t	f
7336	3305	Gouvernorat d'Assouan	fr	0	2013-06-05 09:29:07.574783+02	1	Gouvernorat d'Assouan	\N	\N	\N	\N	\N	\N	t	f
6673	998	Bolívar	no	0	2013-06-05 09:00:39.729524+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6676	3803	Blackburn with Darwen	fr	0	2013-06-05 09:00:47.206531+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
10861	1007	Cundinamarca	es	0	2013-06-05 12:02:00.713986+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
6683	3037	Regione al-Wusta	it	0	2013-06-05 09:01:03.997431+02	1	Regione al-Wusta	\N	\N	\N	\N	\N	\N	t	f
7343	579	Bartın Province	en	0	2013-06-05 09:29:24.843894+02	1	Bartın Province	\N	\N	\N	\N	\N	\N	t	f
8503	4081	Bagerhat District	en	0	2013-06-05 10:19:42.827418+02	1	Bagerhat District	\N	\N	\N	\N	\N	\N	t	f
7427	4626	Province de Bénévent	fr	0	2013-06-05 09:32:49.684113+02	1	Province de Bénévent	\N	\N	\N	\N	\N	\N	t	f
7442	720	Bács-Kiskun County	en	0	2013-06-05 09:33:26.555681+02	1	Bács-Kiskun County	\N	\N	\N	\N	\N	\N	t	f
7446	720	Bács-Kiskun	fr	0	2013-06-05 09:33:37.684598+02	1	Bács-Kiskun	\N	\N	\N	\N	\N	\N	t	f
8504	4081	Bagerhat	es	0	2013-06-05 10:19:45.168229+02	1	Bagerhat	\N	\N	\N	\N	\N	\N	t	f
8032	1815	Castiglia e León	it	0	2013-06-05 09:59:41.207779+02	1	Castiglia e León	\N	\N	\N	\N	\N	\N	t	f
8034	1815	Castilië en León	nl	0	2013-06-05 09:59:46.074609+02	1	Castilië en León	\N	\N	\N	\N	\N	\N	t	f
8539	4614	Alessandria	en	0	2013-06-05 10:21:10.923497+02	1	Alessandria	\N	\N	\N	\N	\N	\N	t	f
10870	813	Brăila County	en	0	2013-06-05 12:02:22.487482+02	1	Brăila County	\N	\N	\N	\N	\N	\N	t	f
8565	3823	Σίτι του Λονδίνου	el	0	2013-06-05 10:22:19.680805+02	1	Σίτι του Λονδίνου	\N	\N	\N	\N	\N	\N	t	f
8576	1726	Astara Rayon	en	0	2013-06-05 10:23:03.120929+02	1	Astara Rayon	\N	\N	\N	\N	\N	\N	t	f
9573	3135	Centre-Sud	nl	0	2013-06-05 11:05:33.811109+02	1	Centre-Sud	\N	\N	\N	\N	\N	\N	t	f
10958	4900	Camiguin	nl	0	2013-06-05 12:05:59.201431+02	1	Camiguin	\N	\N	\N	\N	\N	\N	t	f
9595	3192	Bamingui-Bangoran	en	0	2013-06-05 11:06:27.467546+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
10083	806	Alba County	en	0	2013-06-05 11:27:59.631184+02	1	Alba County	\N	\N	\N	\N	\N	\N	t	f
10096	3544	Akwa Ibom	fi	0	2013-06-05 11:28:31.276693+02	1	Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
11517	1421	Departamento Chiquimula	de	0	2013-06-05 12:30:10.451805+02	1	Departamento Chiquimula	\N	\N	\N	\N	\N	\N	t	f
10841	3133	Centre-Nord	de	0	2013-06-05 12:01:09.409752+02	1	Centre-Nord	\N	\N	\N	\N	\N	\N	t	f
11546	3483	Adrar (region)	no	0	2013-06-05 12:31:21.683679+02	1	Adrar (region)	\N	\N	\N	\N	\N	\N	t	f
11591	3038	Ad Dhahirah	fr	0	2013-06-05 12:33:16.216005+02	1	Ad Dhahirah	\N	\N	\N	\N	\N	\N	t	f
11593	3038	Az Zahirah	nl	0	2013-06-05 12:33:24.564386+02	1	Az Zahirah	\N	\N	\N	\N	\N	\N	t	f
2369	111	Kiribati	en	0	2013-05-27 15:53:31.365628+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
3377	2135	Žirovnica	nl	0	2013-05-27 19:59:55.117839+02	1	Žirovnica	\N	\N	\N	\N	\N	\N	t	f
3669	3362	Central Region	en	0	2013-06-05 06:50:27.132907+02	1	Central Region	\N	\N	\N	\N	\N	\N	t	f
3708	2529	Archangai-Aimag	de	0	2013-06-05 06:52:03.078091+02	1	Archangai-Aimag	\N	\N	\N	\N	\N	\N	t	f
3775	811	Bihor	no	0	2013-06-05 06:54:51.867622+02	1	Bihor	\N	\N	\N	\N	\N	\N	t	f
4228	4316	Province de Burgos	fr	0	2013-06-05 07:14:44.005321+02	1	Province de Burgos	\N	\N	\N	\N	\N	\N	t	f
3871	3650	Bari	it	0	2013-06-05 06:59:00.197091+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
3875	4060	Babek Rayon	en	0	2013-06-05 06:59:10.17538+02	1	Babek Rayon	\N	\N	\N	\N	\N	\N	t	f
4231	4316	Burgos	nl	0	2013-06-05 07:14:51.281512+02	1	Burgos	\N	\N	\N	\N	\N	\N	t	f
4754	4362	Alpes-de-Haute-Provence	en	0	2013-06-05 07:37:26.379896+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4285	5035	Bundibugyo District	en	0	2013-06-05 07:17:05.295441+02	1	Bundibugyo District	\N	\N	\N	\N	\N	\N	t	f
4299	4375	Charente-Maritime	no	0	2013-06-05 07:17:43.555686+02	1	Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
4304	1620	Boe	fr	0	2013-06-05 07:17:55.872841+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4773	4824	Distretto di Balaka	it	0	2013-06-05 07:38:28.301446+02	1	Distretto di Balaka	\N	\N	\N	\N	\N	\N	t	f
4340	816	District Buzău	nl	0	2013-06-05 07:19:57.945047+02	1	District Buzău	\N	\N	\N	\N	\N	\N	t	f
4342	1310	Cibla municipality	en	0	2013-06-05 07:20:05.446655+02	1	Cibla municipality	\N	\N	\N	\N	\N	\N	t	f
5320	2777	Bicolandia	es	0	2013-06-05 08:02:27.214317+02	1	Bicolandia	\N	\N	\N	\N	\N	\N	t	f
4378	4588	Comté de Cavan	fr	0	2013-06-05 07:21:39.064463+02	1	Comté de Cavan	\N	\N	\N	\N	\N	\N	t	f
4838	2944	Bagdad	fi	0	2013-06-05 07:41:46.72801+02	1	Bagdad	\N	\N	\N	\N	\N	\N	t	f
4839	2944	Bagdad	fr	0	2013-06-05 07:41:49.097425+02	1	Bagdad	\N	\N	\N	\N	\N	\N	t	f
5925	2264	Municipality of Butel	en	0	2013-06-05 08:28:36.068049+02	1	Municipality of Butel	\N	\N	\N	\N	\N	\N	t	f
4921	3113	Bié	es	0	2013-06-05 07:45:08.453684+02	1	Bié	\N	\N	\N	\N	\N	\N	t	f
4924	3113	provincia di Bié	it	0	2013-06-05 07:45:15.518801+02	1	provincia di Bié	\N	\N	\N	\N	\N	\N	t	f
5929	2264	Butel	nl	0	2013-06-05 08:28:47.91071+02	1	Butel	\N	\N	\N	\N	\N	\N	t	f
6559	2391	アルハンゲリスク州	ja	0	2013-06-05 08:55:51.651878+02	1	アルハンゲリスク州	\N	\N	\N	\N	\N	\N	t	f
6575	3810	Buckinghamshire	et	0	2013-06-05 08:56:31.226865+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
7341	579	Bartın	de	0	2013-06-05 09:29:20.059561+02	1	Bartın	\N	\N	\N	\N	\N	\N	t	f
6581	3810	Buckinghamshire	no	0	2013-06-05 08:56:46.279999+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
6583	4141	Αμβέρσα	el	0	2013-06-05 08:56:51.662644+02	1	Αμβέρσα	\N	\N	\N	\N	\N	\N	t	f
6622	3014	Provincia Oeste	es	0	2013-06-05 08:58:27.021527+02	1	Provincia Oeste	\N	\N	\N	\N	\N	\N	t	f
7374	2997	Mafraq Governorate	en	0	2013-06-05 09:30:40.884318+02	1	Mafraq Governorate	\N	\N	\N	\N	\N	\N	t	f
6639	1139	Bolívar	it	0	2013-06-05 08:59:09.048522+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
8505	4081	Bagerhat	fr	0	2013-06-05 10:19:47.505936+02	1	Bagerhat	\N	\N	\N	\N	\N	\N	t	f
7382	2813	Chin State	en	0	2013-06-05 09:31:00.365909+02	1	Chin State	\N	\N	\N	\N	\N	\N	t	f
7415	3794	Ards	en	0	2013-06-05 09:32:20.612719+02	1	Ards	\N	\N	\N	\N	\N	\N	t	f
8039	573	Provincia de Aksaray	es	0	2013-06-05 09:59:59.618331+02	1	Provincia de Aksaray	\N	\N	\N	\N	\N	\N	t	f
8546	4614	Alessandria	nl	0	2013-06-05 10:21:27.57181+02	1	Alessandria	\N	\N	\N	\N	\N	\N	t	f
10875	813	Distretto di Brăila	it	0	2013-06-05 12:02:34.334423+02	1	Distretto di Brăila	\N	\N	\N	\N	\N	\N	t	f
8586	4077	Bandarban (district)	fr	0	2013-06-05 10:23:37.152291+02	1	Bandarban (district)	\N	\N	\N	\N	\N	\N	t	f
8597	328	Bayern	no	0	2013-06-05 10:24:16.131893+02	1	Bayern	\N	\N	\N	\N	\N	\N	t	f
8618	762	Distrikt Braga	de	0	2013-06-05 10:25:16.176011+02	1	Distrikt Braga	\N	\N	\N	\N	\N	\N	t	f
10938	4760	Provincia de Chtouka-Aït Baha	es	0	2013-06-05 12:05:10.136426+02	1	Provincia de Chtouka-Aït Baha	\N	\N	\N	\N	\N	\N	t	f
8620	762	Distrito de Braga	es	0	2013-06-05 10:25:20.83792+02	1	Distrito de Braga	\N	\N	\N	\N	\N	\N	t	f
9582	2925	フジャイラ	ja	0	2013-06-05 11:05:55.668416+02	1	フジャイラ	\N	\N	\N	\N	\N	\N	t	f
9602	3192	Bamingui-Bangoran	no	0	2013-06-05 11:06:44.284347+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
10984	3304	Governatorato di Alessandria	it	0	2013-06-05 12:07:02.233135+02	1	Governatorato di Alessandria	\N	\N	\N	\N	\N	\N	t	f
9607	1459	Centre	fr	0	2013-06-05 11:06:56.88537+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
10084	806	Alba	es	0	2013-06-05 11:28:02.157418+02	1	Alba	\N	\N	\N	\N	\N	\N	t	f
10124	4627	Bolonia	es	0	2013-06-05 11:29:40.470296+02	1	Bolonia	\N	\N	\N	\N	\N	\N	t	f
11518	1421	Chiquimula	en	0	2013-06-05 12:30:13.229113+02	1	Chiquimula	\N	\N	\N	\N	\N	\N	t	f
10843	3133	Región Centro-Norte	es	0	2013-06-05 12:01:14.193378+02	1	Región Centro-Norte	\N	\N	\N	\N	\N	\N	t	f
10872	813	Brăila maakond	et	0	2013-06-05 12:02:27.189722+02	1	Brăila maakond	\N	\N	\N	\N	\N	\N	t	f
2370	111	Kiribati	es	0	2013-05-27 15:53:33.560272+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2399	62	Ecuador	no	0	2013-05-27 15:54:42.343004+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2371	111	Kiribati	et	0	2013-05-27 15:53:35.762411+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2373	111	Kiribati	fr	0	2013-05-27 15:53:40.602733+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2374	111	Kiribati	it	0	2013-05-27 15:53:42.834216+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2400	117	Lettland	de	0	2013-05-27 15:54:45.543344+02	\N	Lettland	\N	\N	\N	\N	\N	\N	t	f
2375	111	キリバス	ja	0	2013-05-27 15:53:45.066068+02	\N	キリバス	\N	\N	\N	\N	\N	\N	t	f
2376	111	Kiribati	nl	0	2013-05-27 15:53:47.306418+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2377	111	Kiribati	no	0	2013-05-27 15:53:51.567298+02	\N	Kiribati	\N	\N	\N	\N	\N	\N	t	f
2401	117	Λεττονία	el	0	2013-05-27 15:54:47.968683+02	\N	Λεττονία	\N	\N	\N	\N	\N	\N	t	f
2378	250	Åland	de	0	2013-05-27 15:53:54.474103+02	\N	Åland	\N	\N	\N	\N	\N	\N	t	f
2379	250	Ώλαντ	el	0	2013-05-27 15:53:56.694708+02	\N	Ώλαντ	\N	\N	\N	\N	\N	\N	t	f
2414	223	Islas ultramarinas de Estados Unidos	es	0	2013-05-27 15:55:18.725143+02	\N	Islas ultramarinas de Estados Unidos	\N	\N	\N	\N	\N	\N	t	f
2380	250	Åland Islands	en	0	2013-05-27 15:53:58.900533+02	\N	Åland Islands	\N	\N	\N	\N	\N	\N	t	f
2402	117	Latvia	en	0	2013-05-27 15:54:50.15152+02	\N	Latvia	\N	\N	\N	\N	\N	\N	t	f
2381	250	Åland	es	0	2013-05-27 15:54:01.104662+02	\N	Åland	\N	\N	\N	\N	\N	\N	t	f
2382	250	Ahvenamaa	et	0	2013-05-27 15:54:03.320674+02	\N	Ahvenamaa	\N	\N	\N	\N	\N	\N	t	f
2383	250	Ahvenanmaan maakunta	fi	0	2013-05-27 15:54:05.576307+02	\N	Ahvenanmaan maakunta	\N	\N	\N	\N	\N	\N	t	f
2403	117	Letonia	es	0	2013-05-27 15:54:52.33884+02	\N	Letonia	\N	\N	\N	\N	\N	\N	t	f
2384	250	Åland	fr	0	2013-05-27 15:54:07.787808+02	\N	Åland	\N	\N	\N	\N	\N	\N	t	f
2385	250	Isole Åland	it	0	2013-05-27 15:54:10.006899+02	\N	Isole Åland	\N	\N	\N	\N	\N	\N	t	f
2419	223	合衆国領有小離島	ja	0	2013-05-27 15:55:30.085177+02	\N	合衆国領有小離島	\N	\N	\N	\N	\N	\N	t	f
2386	250	オーランド諸島	ja	0	2013-05-27 15:54:12.237886+02	\N	オーランド諸島	\N	\N	\N	\N	\N	\N	t	f
2404	117	Läti	et	0	2013-05-27 15:54:54.542608+02	\N	Läti	\N	\N	\N	\N	\N	\N	t	f
2387	250	Åland	nl	0	2013-05-27 15:54:14.495055+02	\N	Åland	\N	\N	\N	\N	\N	\N	t	f
2388	250	Åland	no	0	2013-05-27 15:54:16.742027+02	\N	Åland	\N	\N	\N	\N	\N	\N	t	f
2415	223	Ühendriikide hajasaared	et	0	2013-05-27 15:55:21.122076+02	\N	Ühendriikide hajasaared	\N	\N	\N	\N	\N	\N	t	f
2389	62	Ecuador	de	0	2013-05-27 15:54:19.957815+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2405	117	Latvia	fi	0	2013-05-27 15:54:56.831574+02	\N	Latvia	\N	\N	\N	\N	\N	\N	t	f
2390	62	Ισημερινός	el	0	2013-05-27 15:54:22.15676+02	\N	Ισημερινός	\N	\N	\N	\N	\N	\N	t	f
2391	62	Ecuador	en	0	2013-05-27 15:54:24.348021+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2392	62	Ecuador	es	0	2013-05-27 15:54:26.749129+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2406	117	Lettonie	fr	0	2013-05-27 15:54:59.164096+02	\N	Lettonie	\N	\N	\N	\N	\N	\N	t	f
2393	62	Ecuador	et	0	2013-05-27 15:54:28.962424+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2394	62	Ecuador	fi	0	2013-05-27 15:54:31.181682+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2395	62	Équateur	fr	0	2013-05-27 15:54:33.437617+02	\N	Équateur	\N	\N	\N	\N	\N	\N	t	f
2407	117	Lettonia	it	0	2013-05-27 15:55:01.969552+02	\N	Lettonia	\N	\N	\N	\N	\N	\N	t	f
2396	62	Ecuador	it	0	2013-05-27 15:54:35.647798+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2416	223	Yhdysvaltain pienet erillissaaret	fi	0	2013-05-27 15:55:23.342821+02	\N	Yhdysvaltain pienet erillissaaret	\N	\N	\N	\N	\N	\N	t	f
2397	62	エクアドル	ja	0	2013-05-27 15:54:37.885481+02	\N	エクアドル	\N	\N	\N	\N	\N	\N	t	f
2398	62	Ecuador	nl	0	2013-05-27 15:54:40.111008+02	\N	Ecuador	\N	\N	\N	\N	\N	\N	t	f
2426	182	San Marino	et	0	2013-05-27 15:55:46.727708+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2417	223	Îles mineures éloignées des États-Unis	fr	0	2013-05-27 15:55:25.604485+02	\N	Îles mineures éloignées des États-Unis	\N	\N	\N	\N	\N	\N	t	f
2408	117	ラトビア	ja	0	2013-05-27 15:55:04.222105+02	\N	ラトビア	\N	\N	\N	\N	\N	\N	t	f
2409	117	Letland	nl	0	2013-05-27 15:55:06.464851+02	\N	Letland	\N	\N	\N	\N	\N	\N	t	f
2420	223	Kleine afgelegen eilanden van de Verenigde Staten	nl	0	2013-05-27 15:55:32.338412+02	\N	Kleine afgelegen eilanden van de Verenigde Staten	\N	\N	\N	\N	\N	\N	t	f
2410	117	Latvia	no	0	2013-05-27 15:55:08.684304+02	\N	Latvia	\N	\N	\N	\N	\N	\N	t	f
2411	223	United States Minor Outlying Islands	de	0	2013-05-27 15:55:11.490768+02	\N	United States Minor Outlying Islands	\N	\N	\N	\N	\N	\N	t	f
2412	223	Απομακρυσμένες Νησίδες των Ηνωμένων Πολιτειών	el	0	2013-05-27 15:55:14.094187+02	\N	Απομακρυσμένες Νησίδες των Ηνωμένων Πολιτειών	\N	\N	\N	\N	\N	\N	t	f
2421	223	USAs ytre småøyer	no	0	2013-05-27 15:55:34.617382+02	\N	USAs ytre småøyer	\N	\N	\N	\N	\N	\N	t	f
2413	223	United States Minor Outlying Islands	en	0	2013-05-27 15:55:16.290216+02	\N	United States Minor Outlying Islands	\N	\N	\N	\N	\N	\N	t	f
2418	223	Isole minori esterne degli Stati Uniti d'America	it	0	2013-05-27 15:55:27.839845+02	\N	Isole minori esterne degli Stati Uniti d'America	\N	\N	\N	\N	\N	\N	t	f
2435	256	Saint Martin	en	0	2013-05-27 15:56:07.718776+02	\N	Saint Martin	\N	\N	\N	\N	\N	\N	t	f
2422	182	San Marino	de	0	2013-05-27 15:55:37.71593+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2427	182	San Marino	fi	0	2013-05-27 15:55:48.994086+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2423	182	Άγιος Μαρίνος	el	0	2013-05-27 15:55:39.926988+02	\N	Άγιος Μαρίνος	\N	\N	\N	\N	\N	\N	t	f
2424	182	San Marino	en	0	2013-05-27 15:55:42.135204+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2432	182	San Marino	no	0	2013-05-27 15:56:00.446251+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2425	182	San Marino	es	0	2013-05-27 15:55:44.333609+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2428	182	Saint-Marin	fr	0	2013-05-27 15:55:51.538673+02	\N	Saint-Marin	\N	\N	\N	\N	\N	\N	t	f
2429	182	San Marino	it	0	2013-05-27 15:55:53.75622+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2430	182	サンマリノ	ja	0	2013-05-27 15:55:55.978176+02	\N	サンマリノ	\N	\N	\N	\N	\N	\N	t	f
2433	256	Saint-Martin	de	0	2013-05-27 15:56:03.316073+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2431	182	San Marino	nl	0	2013-05-27 15:55:58.206153+02	\N	San Marino	\N	\N	\N	\N	\N	\N	t	f
2434	256	Άγιος Μαρτίνος	el	0	2013-05-27 15:56:05.510603+02	\N	Άγιος Μαρτίνος	\N	\N	\N	\N	\N	\N	t	f
2439	256	Saint-Martin	fr	0	2013-05-27 15:56:16.805734+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2436	256	San Martín	es	0	2013-05-27 15:56:09.948048+02	\N	San Martín	\N	\N	\N	\N	\N	\N	t	f
2438	256	Saint-Martin	fi	0	2013-05-27 15:56:14.545069+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2437	256	Saint-Martin	et	0	2013-05-27 15:56:12.229641+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2440	256	Saint-Martin	it	0	2013-05-27 15:56:19.03115+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2441	256	サン・マルタン	ja	0	2013-05-27 15:56:21.268753+02	\N	サン・マルタン	\N	\N	\N	\N	\N	\N	t	f
2442	256	Sint-Maarten	nl	0	2013-05-27 15:56:23.593499+02	\N	Sint-Maarten	\N	\N	\N	\N	\N	\N	t	f
2443	256	Saint-Martin	no	0	2013-05-27 15:56:25.863731+02	\N	Saint-Martin	\N	\N	\N	\N	\N	\N	t	f
2444	165	Papua-Neuguinea	de	0	2013-05-27 15:56:30.384312+02	\N	Papua-Neuguinea	\N	\N	\N	\N	\N	\N	t	f
2445	165	Παπούα Νέα Γουινέα	el	0	2013-05-27 15:56:32.570317+02	\N	Παπούα Νέα Γουινέα	\N	\N	\N	\N	\N	\N	t	f
2446	165	Papua New Guinea	en	0	2013-05-27 15:56:34.773321+02	\N	Papua New Guinea	\N	\N	\N	\N	\N	\N	t	f
2447	165	Papua Nueva Guinea	es	0	2013-05-27 15:56:36.964393+02	\N	Papua Nueva Guinea	\N	\N	\N	\N	\N	\N	t	f
2448	165	Paapua Uus-Guinea	et	0	2013-05-27 15:56:39.295058+02	\N	Paapua Uus-Guinea	\N	\N	\N	\N	\N	\N	t	f
3378	2062	Šentilj	de	0	2013-05-27 19:59:57.790355+02	1	Šentilj	\N	\N	\N	\N	\N	\N	t	f
2449	165	Papua-Uusi-Guinea	fi	0	2013-05-27 15:56:41.507635+02	\N	Papua-Uusi-Guinea	\N	\N	\N	\N	\N	\N	t	f
2450	165	Papouasie-Nouvelle-Guinée	fr	0	2013-05-27 15:56:43.750732+02	\N	Papouasie-Nouvelle-Guinée	\N	\N	\N	\N	\N	\N	t	f
2451	165	Papua Nuova Guinea	it	0	2013-05-27 15:56:46.02988+02	\N	Papua Nuova Guinea	\N	\N	\N	\N	\N	\N	t	f
3674	3362	セントラル州	ja	0	2013-06-05 06:50:39.004632+02	1	セントラル州	\N	\N	\N	\N	\N	\N	t	f
3776	1099	Departamento Caaguazú	de	0	2013-06-05 06:54:54.698065+02	1	Departamento Caaguazú	\N	\N	\N	\N	\N	\N	t	f
3850	3400	Bong	es	0	2013-06-05 06:58:09.272834+02	1	Bong	\N	\N	\N	\N	\N	\N	t	f
4229	4316	provincia di Burgos	it	0	2013-06-05 07:14:46.419653+02	1	provincia di Burgos	\N	\N	\N	\N	\N	\N	t	f
4325	1816	Castilla–La Mancha	et	0	2013-06-05 07:19:05.277129+02	1	Castilla–La Mancha	\N	\N	\N	\N	\N	\N	t	f
4755	4362	Alpes de Alta Provenza	es	0	2013-06-05 07:37:28.790023+02	1	Alpes de Alta Provenza	\N	\N	\N	\N	\N	\N	t	f
4365	1817	Canary Islands	en	0	2013-06-05 07:21:06.822541+02	1	Canary Islands	\N	\N	\N	\N	\N	\N	t	f
4802	1834	Bretaña	es	0	2013-06-05 07:40:12.24367+02	1	Bretaña	\N	\N	\N	\N	\N	\N	t	f
5323	2777	ビコル地方	ja	0	2013-06-05 08:02:37.347076+02	1	ビコル地方	\N	\N	\N	\N	\N	\N	t	f
4814	1062	regione di Ancash	it	0	2013-06-05 07:40:44.359203+02	1	regione di Ancash	\N	\N	\N	\N	\N	\N	t	f
5933	4558	Banten	fi	0	2013-06-05 08:28:57.728491+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
4827	2950	Mutana	es	0	2013-06-05 07:41:19.418361+02	1	Mutana	\N	\N	\N	\N	\N	\N	t	f
4874	396	Chiban prefektuuri	fi	0	2013-06-05 07:43:14.388715+02	1	Chiban prefektuuri	\N	\N	\N	\N	\N	\N	t	f
6565	764	Castelo Brancon piiri	fi	0	2013-06-05 08:56:06.957948+02	1	Castelo Brancon piiri	\N	\N	\N	\N	\N	\N	t	f
4892	4303	Distretto di Bruntál	it	0	2013-06-05 07:43:57.817525+02	1	Distretto di Bruntál	\N	\N	\N	\N	\N	\N	t	f
4908	2857	Balch	de	0	2013-06-05 07:44:37.267676+02	1	Balch	\N	\N	\N	\N	\N	\N	t	f
4910	2857	Balkh	en	0	2013-06-05 07:44:41.897709+02	1	Balkh	\N	\N	\N	\N	\N	\N	t	f
6643	2192	Woblast Brest	de	0	2013-06-05 08:59:20.050797+02	1	Woblast Brest	\N	\N	\N	\N	\N	\N	t	f
4911	2857	Provincia de Balj	es	0	2013-06-05 07:44:44.307595+02	1	Provincia de Balj	\N	\N	\N	\N	\N	\N	t	f
4926	3113	Bié	nl	0	2013-06-05 07:45:20.40969+02	1	Bié	\N	\N	\N	\N	\N	\N	t	f
7342	579	Επαρχία Μπαρτίν	el	0	2013-06-05 09:29:22.43207+02	1	Επαρχία Μπαρτίν	\N	\N	\N	\N	\N	\N	t	f
4936	1558	Chalatenango Department	en	0	2013-06-05 07:45:44.808778+02	1	Chalatenango Department	\N	\N	\N	\N	\N	\N	t	f
6657	4319	Cácerese provints	et	0	2013-06-05 08:59:56.501739+02	1	Cácerese provints	\N	\N	\N	\N	\N	\N	t	f
7362	1924	Andrijevica Municipality	en	0	2013-06-05 09:30:11.637528+02	1	Andrijevica Municipality	\N	\N	\N	\N	\N	\N	t	f
8514	1616	アナバー地区	ja	0	2013-06-05 10:20:09.155271+02	1	アナバー地区	\N	\N	\N	\N	\N	\N	t	f
7363	1924	Municipio de Andrijevica	es	0	2013-06-05 09:30:13.96279+02	1	Municipio de Andrijevica	\N	\N	\N	\N	\N	\N	t	f
7365	2838	Chittagong	de	0	2013-06-05 09:30:19.075844+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
11529	2470	Aragazotn	de	0	2013-06-05 12:30:40.227092+02	1	Aragazotn	\N	\N	\N	\N	\N	\N	t	f
7373	2838	Chittagong	no	0	2013-06-05 09:30:38.160558+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
8515	1616	Anabar	nl	0	2013-06-05 10:20:11.540975+02	1	Anabar	\N	\N	\N	\N	\N	\N	t	f
7381	2813	Chin-Staat	de	0	2013-06-05 09:30:57.945943+02	1	Chin-Staat	\N	\N	\N	\N	\N	\N	t	f
7413	4623	Provinsen Bergamo	no	0	2013-06-05 09:32:15.612198+02	1	Provinsen Bergamo	\N	\N	\N	\N	\N	\N	t	f
10897	3118	Cuanza Sul	no	0	2013-06-05 12:03:28.612968+02	1	Cuanza Sul	\N	\N	\N	\N	\N	\N	t	f
7422	4626	Μπενεβέντο	el	0	2013-06-05 09:32:37.912418+02	1	Μπενεβέντο	\N	\N	\N	\N	\N	\N	t	f
8560	2852	Azad Kashmir	it	0	2013-06-05 10:22:06.132931+02	1	Azad Kashmir	\N	\N	\N	\N	\N	\N	t	f
8046	4323	Provinz Cuenca	de	0	2013-06-05 10:00:17.669747+02	1	Provinz Cuenca	\N	\N	\N	\N	\N	\N	t	f
9583	2925	Fujairah	nl	0	2013-06-05 11:05:58.062871+02	1	Fujairah	\N	\N	\N	\N	\N	\N	t	f
9588	2941	Arbīli kubernerkond	et	0	2013-06-05 11:06:10.452465+02	1	Arbīli kubernerkond	\N	\N	\N	\N	\N	\N	t	f
10996	2676	Chanthaburi Province	en	0	2013-06-05 12:07:31.966501+02	1	Chanthaburi Province	\N	\N	\N	\N	\N	\N	t	f
9598	3192	Bamingui-Bangoran	fr	0	2013-06-05 11:06:34.774091+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
9614	3227	Bas-Sassandra	es	0	2013-06-05 11:07:15.119886+02	1	Bas-Sassandra	\N	\N	\N	\N	\N	\N	t	f
10092	3544	Akwa Ibom	de	0	2013-06-05 11:28:21.761148+02	1	Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
11028	3315	Al Jizah	no	0	2013-06-05 12:08:53.559744+02	1	Al Jizah	\N	\N	\N	\N	\N	\N	t	f
10176	1529	Boaco	no	0	2013-06-05 11:31:48.916586+02	1	Boaco	\N	\N	\N	\N	\N	\N	t	f
10281	2956	Kirkuk Province	en	0	2013-06-05 11:36:58.958926+02	1	Kirkuk Province	\N	\N	\N	\N	\N	\N	t	f
11540	3483	Adrar	en	0	2013-06-05 12:31:07.476405+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
10323	879	彰化県	ja	0	2013-06-05 11:38:41.75097+02	1	彰化県	\N	\N	\N	\N	\N	\N	t	f
11052	3816	Castlereagh (distrikt)	no	0	2013-06-05 12:09:56.053146+02	1	Castlereagh (distrikt)	\N	\N	\N	\N	\N	\N	t	f
10844	3133	Centre-Nord	fi	0	2013-06-05 12:01:16.5147+02	1	Centre-Nord	\N	\N	\N	\N	\N	\N	t	f
11068	4755	Provincia di Assa-Zag	it	0	2013-06-05 12:10:38.582546+02	1	Provincia di Assa-Zag	\N	\N	\N	\N	\N	\N	t	f
11081	2793	Bobonaro	es	0	2013-06-05 12:11:11.218522+02	1	Bobonaro	\N	\N	\N	\N	\N	\N	t	f
11543	3483	Regione di Adrar	it	0	2013-06-05 12:31:14.57986+02	1	Regione di Adrar	\N	\N	\N	\N	\N	\N	t	f
11520	1421	Chiquimula	fi	0	2013-06-05 12:30:17.977451+02	1	Chiquimula	\N	\N	\N	\N	\N	\N	t	f
11594	3038	Ad Dhahirah	no	0	2013-06-05 12:33:27.195722+02	1	Ad Dhahirah	\N	\N	\N	\N	\N	\N	t	f
2452	165	パプアニューギニア	ja	0	2013-05-27 15:56:48.261282+02	\N	パプアニューギニア	\N	\N	\N	\N	\N	\N	t	f
2467	4	Αμερικανική Σαμόα	el	0	2013-05-27 15:57:28.079773+02	\N	Αμερικανική Σαμόα	\N	\N	\N	\N	\N	\N	t	f
3379	2062	Šentilj	en	0	2013-05-27 19:59:59.982214+02	1	Šentilj	\N	\N	\N	\N	\N	\N	t	f
3780	1099	Département de Caaguazú	fr	0	2013-06-05 06:55:06.961124+02	1	Département de Caaguazú	\N	\N	\N	\N	\N	\N	t	f
3824	2953	Al-Qādisīyah	et	0	2013-06-05 06:56:56.235409+02	1	Al-Qādisīyah	\N	\N	\N	\N	\N	\N	t	f
4230	4316	ブルゴス県	ja	0	2013-06-05 07:14:48.860514+02	1	ブルゴス県	\N	\N	\N	\N	\N	\N	t	f
3856	3400	Bong	no	0	2013-06-05 06:58:23.714476+02	1	Bong	\N	\N	\N	\N	\N	\N	t	f
3857	4154	Bazèga	de	0	2013-06-05 06:58:26.439211+02	1	Bazèga	\N	\N	\N	\N	\N	\N	t	f
3862	4154	Provincia di Bazèga	it	0	2013-06-05 06:58:38.361485+02	1	Provincia di Bazèga	\N	\N	\N	\N	\N	\N	t	f
4260	1105	Brokopondo	de	0	2013-06-05 07:16:03.819243+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
4756	4362	Alpes-de-Haute-Provence	et	0	2013-06-05 07:37:31.224474+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4277	3715	Béja	no	0	2013-06-05 07:16:45.334091+02	1	Béja	\N	\N	\N	\N	\N	\N	t	f
4356	3545	Anambra	de	0	2013-06-05 07:20:44.700934+02	1	Anambra	\N	\N	\N	\N	\N	\N	t	f
4392	1034	Provincia de Chimborazo	es	0	2013-06-05 07:22:13.559613+02	1	Provincia de Chimborazo	\N	\N	\N	\N	\N	\N	t	f
4770	4824	Balaka District	en	0	2013-06-05 07:38:17.257609+02	1	Balaka District	\N	\N	\N	\N	\N	\N	t	f
5326	4557	Bengkulu	en	0	2013-06-05 08:02:44.828452+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
4778	3103	Al Mahrah Governorate	en	0	2013-06-05 07:38:45.903523+02	1	Al Mahrah Governorate	\N	\N	\N	\N	\N	\N	t	f
4878	396	Chiba	nl	0	2013-06-05 07:43:23.934915+02	1	Chiba	\N	\N	\N	\N	\N	\N	t	f
5934	4558	Banten	fr	0	2013-06-05 08:29:00.077564+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
4889	4303	Okres Bruntál	de	0	2013-06-05 07:43:50.71391+02	1	Okres Bruntál	\N	\N	\N	\N	\N	\N	t	f
4895	510	Επαρχία Αμάσειας	el	0	2013-06-05 07:44:05.499452+02	1	Επαρχία Αμάσειας	\N	\N	\N	\N	\N	\N	t	f
5938	4558	Banten	no	0	2013-06-05 08:29:09.63922+02	1	Banten	\N	\N	\N	\N	\N	\N	t	f
6566	764	District de Castelo Branco	fr	0	2013-06-05 08:56:09.307886+02	1	District de Castelo Branco	\N	\N	\N	\N	\N	\N	t	f
6573	3810	Buckinghamshire	en	0	2013-06-05 08:56:26.539314+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
7353	313	British Columbia	en	0	2013-06-05 09:29:49.463269+02	1	British Columbia	\N	\N	\N	\N	\N	\N	t	f
6597	4322	Castellóni provints	et	0	2013-06-05 08:57:25.985877+02	1	Castellóni provints	\N	\N	\N	\N	\N	\N	t	f
6598	4322	Castellón	fi	0	2013-06-05 08:57:28.356+02	1	Castellón	\N	\N	\N	\N	\N	\N	t	f
6631	2333	Centar Župa	it	0	2013-06-05 08:58:49.489379+02	1	Centar Župa	\N	\N	\N	\N	\N	\N	t	f
7409	4623	Province de Bergame	fr	0	2013-06-05 09:32:06.011519+02	1	Province de Bergame	\N	\N	\N	\N	\N	\N	t	f
6682	3037	Al Wusta	fr	0	2013-06-05 09:01:01.635288+02	1	Al Wusta	\N	\N	\N	\N	\N	\N	t	f
8518	1948	Bohinj	it	0	2013-06-05 10:20:19.02033+02	1	Bohinj	\N	\N	\N	\N	\N	\N	t	f
7430	4626	Benevento	nl	0	2013-06-05 09:32:56.860516+02	1	Benevento	\N	\N	\N	\N	\N	\N	t	f
7453	1288	Aglonas novads	fr	0	2013-06-05 09:33:57.165056+02	1	Aglonas novads	\N	\N	\N	\N	\N	\N	t	f
10179	3193	Bangui	en	0	2013-06-05 11:31:56.442164+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
8047	4323	Province of Cuenca	en	0	2013-06-05 10:00:20.225383+02	1	Province of Cuenca	\N	\N	\N	\N	\N	\N	t	f
8521	2386	Chernivtsi Oblast	en	0	2013-06-05 10:20:26.531686+02	1	Chernivtsi Oblast	\N	\N	\N	\N	\N	\N	t	f
8535	3257	Chlef	nl	0	2013-06-05 10:20:59.980381+02	1	Chlef	\N	\N	\N	\N	\N	\N	t	f
11572	794	Andorra la Vella	et	0	2013-06-05 12:32:27.601438+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
8536	3257	Chlef	no	0	2013-06-05 10:21:02.376521+02	1	Chlef	\N	\N	\N	\N	\N	\N	t	f
10191	3059	Al Rayyan	fr	0	2013-06-05 11:32:25.690727+02	1	Al Rayyan	\N	\N	\N	\N	\N	\N	t	f
8555	1546	Colón	nl	0	2013-06-05 10:21:52.231125+02	1	Colón	\N	\N	\N	\N	\N	\N	t	f
8606	3556	Federal Capital Territory	de	0	2013-06-05 10:24:43.734017+02	1	Federal Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8614	3683	Región de Borkou	es	0	2013-06-05 10:25:04.128885+02	1	Región de Borkou	\N	\N	\N	\N	\N	\N	t	f
10242	267	Colorado	es	0	2013-06-05 11:35:15.021275+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
9584	2925	Fujairah	no	0	2013-06-05 11:06:00.479783+02	1	Fujairah	\N	\N	\N	\N	\N	\N	t	f
9600	3192	バミンギ・バンゴラン州	ja	0	2013-06-05 11:06:39.550341+02	1	バミンギ・バンゴラン州	\N	\N	\N	\N	\N	\N	t	f
9611	1459	Centre	no	0	2013-06-05 11:07:07.46013+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
10849	1006	Departamento de Córdoba	de	0	2013-06-05 12:01:28.968559+02	1	Departamento de Córdoba	\N	\N	\N	\N	\N	\N	t	f
10104	2155	Acquaviva	fi	0	2013-06-05 11:28:50.765537+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
10111	4634	Καζέρτα	el	0	2013-06-05 11:29:08.306237+02	1	Καζέρτα	\N	\N	\N	\N	\N	\N	t	f
11576	794	アンドラ・ラ・ベリャ	ja	0	2013-06-05 12:32:38.699452+02	1	アンドラ・ラ・ベリャ	\N	\N	\N	\N	\N	\N	t	f
10145	1001	Caquetá	fr	0	2013-06-05 11:30:32.583677+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
10909	2708	Changwat Chiang Rai	nl	0	2013-06-05 12:03:58.82419+02	1	Changwat Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
10913	2164	Blagoevgrad Province	en	0	2013-06-05 12:04:08.956268+02	1	Blagoevgrad Province	\N	\N	\N	\N	\N	\N	t	f
10922	386	Präfektur Aomori	de	0	2013-06-05 12:04:30.895478+02	1	Präfektur Aomori	\N	\N	\N	\N	\N	\N	t	f
11597	327	Baden-Württemberg	en	0	2013-06-05 12:33:35.125542+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
11521	1421	Département de Chiquimula	fr	0	2013-06-05 12:30:20.501286+02	1	Département de Chiquimula	\N	\N	\N	\N	\N	\N	t	f
2453	165	Papoea-Nieuw-Guinea	nl	0	2013-05-27 15:56:51.184048+02	\N	Papoea-Nieuw-Guinea	\N	\N	\N	\N	\N	\N	t	f
3380	2062	Šentilj	fr	0	2013-05-27 20:00:02.28475+02	1	Šentilj	\N	\N	\N	\N	\N	\N	t	f
3781	1099	Dipartimento di Caaguazú	it	0	2013-06-05 06:55:09.350161+02	1	Dipartimento di Caaguazú	\N	\N	\N	\N	\N	\N	t	f
3782	1099	Caaguazú	nl	0	2013-06-05 06:55:11.736893+02	1	Caaguazú	\N	\N	\N	\N	\N	\N	t	f
4232	4316	Burgos	no	0	2013-06-05 07:14:53.689131+02	1	Burgos	\N	\N	\N	\N	\N	\N	t	f
4301	1620	Boe	en	0	2013-06-05 07:17:48.714077+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4757	4362	Alpes-de-Haute-Provence	fi	0	2013-06-05 07:37:33.57147+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4800	1834	Βρετάνη	el	0	2013-06-05 07:40:07.462773+02	1	Βρετάνη	\N	\N	\N	\N	\N	\N	t	f
5328	4557	Bengkulu	fi	0	2013-06-05 08:02:49.43679+02	1	Bengkulu	\N	\N	\N	\N	\N	\N	t	f
4854	1100	Caazapá Department	en	0	2013-06-05 07:42:25.665948+02	1	Caazapá Department	\N	\N	\N	\N	\N	\N	t	f
4918	2857	Balkh	no	0	2013-06-05 07:45:01.003786+02	1	Balkh	\N	\N	\N	\N	\N	\N	t	f
5942	3494	Curepipe	fr	0	2013-06-05 08:29:19.56749+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
6572	3810	Μπάκιγχαμ	el	0	2013-06-05 08:56:24.210681+02	1	Μπάκιγχαμ	\N	\N	\N	\N	\N	\N	t	f
6580	3810	Buckinghamshire	nl	0	2013-06-05 08:56:43.597078+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
7389	2813	Chin	nl	0	2013-06-05 09:31:17.243387+02	1	Chin	\N	\N	\N	\N	\N	\N	t	f
6592	4141	Antwerpen	no	0	2013-06-05 08:57:13.688199+02	1	Antwerpen	\N	\N	\N	\N	\N	\N	t	f
6594	4322	Επαρχία του Καστεγιόν	el	0	2013-06-05 08:57:18.824382+02	1	Επαρχία του Καστεγιόν	\N	\N	\N	\N	\N	\N	t	f
6602	4322	Castellón	nl	0	2013-06-05 08:57:37.978722+02	1	Castellón	\N	\N	\N	\N	\N	\N	t	f
7393	3433	Al Kufrah	es	0	2013-06-05 09:31:27.231903+02	1	Al Kufrah	\N	\N	\N	\N	\N	\N	t	f
8538	4614	Αλεξάνδρεια Ιταλίας	el	0	2013-06-05 10:21:07.617818+02	1	Αλεξάνδρεια Ιταλίας	\N	\N	\N	\N	\N	\N	t	f
7423	4626	Province of Benevento	en	0	2013-06-05 09:32:40.233512+02	1	Province of Benevento	\N	\N	\N	\N	\N	\N	t	f
7440	3010	Bekaa	no	0	2013-06-05 09:33:21.25907+02	1	Bekaa	\N	\N	\N	\N	\N	\N	t	f
7473	645	Burgenland	it	0	2013-06-05 09:34:48.272591+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
8561	2852	アザド・カシミール	ja	0	2013-06-05 10:22:09.568625+02	1	アザド・カシミール	\N	\N	\N	\N	\N	\N	t	f
8048	4323	Provincia de Cuenca	es	0	2013-06-05 10:00:23.250666+02	1	Provincia de Cuenca	\N	\N	\N	\N	\N	\N	t	f
8210	3429	Jabal al Akhdar	en	0	2013-06-05 10:07:30.074542+02	1	Jabal al Akhdar	\N	\N	\N	\N	\N	\N	t	f
10166	1296	Hopa piirkond	et	0	2013-06-05 11:31:24.425563+02	1	Hopa piirkond	\N	\N	\N	\N	\N	\N	t	f
8215	3429	Al Jabal al Akhdar	nl	0	2013-06-05 10:07:41.986436+02	1	Al Jabal al Akhdar	\N	\N	\N	\N	\N	\N	t	f
8579	1726	Astara	fr	0	2013-06-05 10:23:12.812147+02	1	Astara	\N	\N	\N	\N	\N	\N	t	f
8256	3820	Cheshire West and Chester	nl	0	2013-06-05 10:09:25.7219+02	1	Cheshire West and Chester	\N	\N	\N	\N	\N	\N	t	f
8265	2622	Banteay Meancheay	no	0	2013-06-05 10:09:48.1404+02	1	Banteay Meancheay	\N	\N	\N	\N	\N	\N	t	f
8274	511	Επαρχία Άγκυρας	el	0	2013-06-05 10:10:13.965736+02	1	Επαρχία Άγκυρας	\N	\N	\N	\N	\N	\N	t	f
8594	328	Baviera	it	0	2013-06-05 10:24:04.289205+02	1	Baviera	\N	\N	\N	\N	\N	\N	t	f
8293	4625	Provinsen Belluno	no	0	2013-06-05 10:11:00.639323+02	1	Provinsen Belluno	\N	\N	\N	\N	\N	\N	t	f
8310	2849	バローチスターン州	ja	0	2013-06-05 10:11:42.29671+02	1	バローチスターン州	\N	\N	\N	\N	\N	\N	t	f
8329	1097	Cordillera	nl	0	2013-06-05 10:12:28.537995+02	1	Cordillera	\N	\N	\N	\N	\N	\N	t	f
8631	3825	Coleraine	nl	0	2013-06-05 10:25:49.474331+02	1	Coleraine	\N	\N	\N	\N	\N	\N	t	f
8330	3161	Atlantique	de	0	2013-06-05 10:12:31.247352+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
10200	3492	Beau Bassin-Rose Hill	nl	0	2013-06-05 11:32:54.148983+02	1	Beau Bassin-Rose Hill	\N	\N	\N	\N	\N	\N	t	f
8633	3426	Munizip al-Butnan	de	0	2013-06-05 10:25:54.531496+02	1	Munizip al-Butnan	\N	\N	\N	\N	\N	\N	t	f
8663	1092	Departamento Canindeyú	de	0	2013-06-05 10:27:09.446658+02	1	Departamento Canindeyú	\N	\N	\N	\N	\N	\N	t	f
10851	1006	Córdoba	es	0	2013-06-05 12:01:36.235873+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
9585	2941	Arbil	de	0	2013-06-05 11:06:03.314765+02	1	Arbil	\N	\N	\N	\N	\N	\N	t	f
10216	2494	Oblys d'Aktioubé	fr	0	2013-06-05 11:33:51.584104+02	1	Oblys d'Aktioubé	\N	\N	\N	\N	\N	\N	t	f
9601	3192	Bamingui-Bangoran	nl	0	2013-06-05 11:06:41.914888+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
9631	658	Bihar	es	0	2013-06-05 11:08:00.236511+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
9634	658	Bihar	fr	0	2013-06-05 11:08:07.264439+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10223	3876	Barking y Dagenham	es	0	2013-06-05 11:34:13.306129+02	1	Barking y Dagenham	\N	\N	\N	\N	\N	\N	t	f
10106	2155	Acquaviva	it	0	2013-06-05 11:28:55.484151+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
10114	4634	Caserta provints	et	0	2013-06-05 11:29:15.583846+02	1	Caserta provints	\N	\N	\N	\N	\N	\N	t	f
10863	1007	Cundinamarca	fr	0	2013-06-05 12:02:05.377463+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
10245	267	Colorado	fr	0	2013-06-05 11:35:24.723497+02	1	Colorado	\N	\N	\N	\N	\N	\N	t	f
10255	1032	provincia di Cañar	it	0	2013-06-05 11:35:54.86994+02	1	provincia di Cañar	\N	\N	\N	\N	\N	\N	t	f
10258	1032	Cañar	no	0	2013-06-05 11:36:02.022678+02	1	Cañar	\N	\N	\N	\N	\N	\N	t	f
11524	1421	Chiquimula	nl	0	2013-06-05 12:30:27.619961+02	1	Chiquimula	\N	\N	\N	\N	\N	\N	t	f
10278	3791	Aberdeenshire	nl	0	2013-06-05 11:36:51.4205+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
11542	3483	Adrar	fr	0	2013-06-05 12:31:12.226808+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
11599	327	Baden-Württemberg	et	0	2013-06-05 12:33:39.848043+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
2454	165	Papua Ny-Guinea	no	0	2013-05-27 15:56:53.512096+02	\N	Papua Ny-Guinea	\N	\N	\N	\N	\N	\N	t	f
3381	2062	Šentilj	it	0	2013-05-27 20:00:06.772593+02	1	Šentilj	\N	\N	\N	\N	\N	\N	t	f
3785	3806	Bournemouth	it	0	2013-06-05 06:55:19.215878+02	1	Bournemouth	\N	\N	\N	\N	\N	\N	t	f
3798	982	Région d'Araucanie	fr	0	2013-06-05 06:55:50.903075+02	1	Région d'Araucanie	\N	\N	\N	\N	\N	\N	t	f
4233	1722	Ağcabədi	de	0	2013-06-05 07:14:56.729482+02	1	Ağcabədi	\N	\N	\N	\N	\N	\N	t	f
3813	1556	Διαμέρισμα Αουατσαπάν	el	0	2013-06-05 06:56:27.759903+02	1	Διαμέρισμα Αουατσαπάν	\N	\N	\N	\N	\N	\N	t	f
3845	3290	provincia di Boumerdès	it	0	2013-06-05 06:57:56.946321+02	1	provincia di Boumerdès	\N	\N	\N	\N	\N	\N	t	f
4244	3144	Bujumbura	fi	0	2013-06-05 07:15:24.326596+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
4758	4362	Alpes-de-Haute-Provence‎	fr	0	2013-06-05 07:37:35.940249+02	1	Alpes-de-Haute-Provence‎	\N	\N	\N	\N	\N	\N	t	f
4279	2785	Caraga	en	0	2013-06-05 07:16:50.493524+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
4281	2785	Caraga	fr	0	2013-06-05 07:16:55.354073+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
4295	4375	Charente-Maritime‎	fr	0	2013-06-05 07:17:31.480677+02	1	Charente-Maritime‎	\N	\N	\N	\N	\N	\N	t	f
4760	4362	アルプ＝ド＝オート＝プロヴァンス県	ja	0	2013-06-05 07:37:40.91297+02	1	アルプ＝ド＝オート＝プロヴァンス県	\N	\N	\N	\N	\N	\N	t	f
5329	4557	Bengkulu (province)	fr	0	2013-06-05 08:02:51.886409+02	1	Bengkulu (province)	\N	\N	\N	\N	\N	\N	t	f
4804	1834	Bretagne	fr	0	2013-06-05 07:40:19.448845+02	1	Bretagne	\N	\N	\N	\N	\N	\N	t	f
4831	2950	ムサンナー県	ja	0	2013-06-05 07:41:29.607647+02	1	ムサンナー県	\N	\N	\N	\N	\N	\N	t	f
4842	2944	Bagdad	nl	0	2013-06-05 07:41:56.298224+02	1	Bagdad	\N	\N	\N	\N	\N	\N	t	f
5337	1088	Alto Paranán maakunta	fi	0	2013-06-05 08:03:14.161673+02	1	Alto Paranán maakunta	\N	\N	\N	\N	\N	\N	t	f
4860	2927	Schardscha	de	0	2013-06-05 07:42:40.467788+02	1	Schardscha	\N	\N	\N	\N	\N	\N	t	f
5945	3494	Curepipe	nl	0	2013-06-05 08:29:26.565751+02	1	Curepipe	\N	\N	\N	\N	\N	\N	t	f
4864	2927	Šardža	fi	0	2013-06-05 07:42:49.929757+02	1	Šardža	\N	\N	\N	\N	\N	\N	t	f
7424	4626	Benevento	es	0	2013-06-05 09:32:42.56948+02	1	Benevento	\N	\N	\N	\N	\N	\N	t	f
4875	396	Préfecture de Chiba	fr	0	2013-06-05 07:43:16.795993+02	1	Préfecture de Chiba	\N	\N	\N	\N	\N	\N	t	f
6574	3810	Buckinghamshire	es	0	2013-06-05 08:56:28.897289+02	1	Buckinghamshire	\N	\N	\N	\N	\N	\N	t	f
4931	1185	Crooked Island	fr	0	2013-06-05 07:45:32.586758+02	1	Crooked Island	\N	\N	\N	\N	\N	\N	t	f
6628	2333	Municipality of Centar Župa	en	0	2013-06-05 08:58:42.461554+02	1	Municipality of Centar Župa	\N	\N	\N	\N	\N	\N	t	f
8550	1546	Provincia de Colón	es	0	2013-06-05 10:21:40.294537+02	1	Provincia de Colón	\N	\N	\N	\N	\N	\N	t	f
6665	998	Διαμέρισμα Μπολίβαρ	el	0	2013-06-05 09:00:19.704742+02	1	Διαμέρισμα Μπολίβαρ	\N	\N	\N	\N	\N	\N	t	f
7436	3010	Gouvernorat de la Bekaa	fr	0	2013-06-05 09:33:11.510765+02	1	Gouvernorat de la Bekaa	\N	\N	\N	\N	\N	\N	t	f
6674	3803	Blackburn with Darwen	de	0	2013-06-05 09:00:42.533496+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
7444	720	Bács-Kiskuni komitaat	et	0	2013-06-05 09:33:31.256623+02	1	Bács-Kiskuni komitaat	\N	\N	\N	\N	\N	\N	t	f
11067	4755	Province d'Assa-Zag	fr	0	2013-06-05 12:10:35.884192+02	1	Province d'Assa-Zag	\N	\N	\N	\N	\N	\N	t	f
7451	1288	Municipalidad de Aglona	es	0	2013-06-05 09:33:52.420974+02	1	Municipalidad de Aglona	\N	\N	\N	\N	\N	\N	t	f
8608	3556	Föderaalne pealinnaala	et	0	2013-06-05 10:24:48.489496+02	1	Föderaalne pealinnaala	\N	\N	\N	\N	\N	\N	t	f
7469	645	Burgenland	es	0	2013-06-05 09:34:36.353343+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
8049	4323	Cuenca provints	et	0	2013-06-05 10:00:28.478951+02	1	Cuenca provints	\N	\N	\N	\N	\N	\N	t	f
10993	2991	タフィラ県	ja	0	2013-06-05 12:07:24.298768+02	1	タフィラ県	\N	\N	\N	\N	\N	\N	t	f
8264	2622	Banteay Mean Cheay	nl	0	2013-06-05 10:09:45.741788+02	1	Banteay Mean Cheay	\N	\N	\N	\N	\N	\N	t	f
8636	3426	Al Boutnan	fr	0	2013-06-05 10:26:04.397864+02	1	Al Boutnan	\N	\N	\N	\N	\N	\N	t	f
8639	3426	Al Butnan	nl	0	2013-06-05 10:26:11.478017+02	1	Al Butnan	\N	\N	\N	\N	\N	\N	t	f
8641	2606	Cà Mau	de	0	2013-06-05 10:26:16.639913+02	1	Cà Mau	\N	\N	\N	\N	\N	\N	t	f
11001	2676	Changwat Chantaburi	nl	0	2013-06-05 12:07:43.969263+02	1	Changwat Chantaburi	\N	\N	\N	\N	\N	\N	t	f
9604	1459	Centre Department	en	0	2013-06-05 11:06:49.657835+02	1	Centre Department	\N	\N	\N	\N	\N	\N	t	f
10108	2155	Acquaviva	nl	0	2013-06-05 11:29:00.697592+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
10117	4634	provincia di Caserta	it	0	2013-06-05 11:29:22.970333+02	1	provincia di Caserta	\N	\N	\N	\N	\N	\N	t	f
11017	361	ブスケルー県	ja	0	2013-06-05 12:08:26.892955+02	1	ブスケルー県	\N	\N	\N	\N	\N	\N	t	f
10120	4634	Provinsen Caserta	no	0	2013-06-05 11:29:30.310791+02	1	Provinsen Caserta	\N	\N	\N	\N	\N	\N	t	f
10858	1006	Córdoba	no	0	2013-06-05 12:01:52.955942+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
11108	1831	Alvernia	it	0	2013-06-05 12:12:18.939321+02	1	Alvernia	\N	\N	\N	\N	\N	\N	t	f
10888	3709	Ariana	no	0	2013-06-05 12:03:06.516792+02	1	Ariana	\N	\N	\N	\N	\N	\N	t	f
11032	3548	Borno	et	0	2013-06-05 12:09:03.448475+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
10935	1299	Babīte	it	0	2013-06-05 12:05:02.343402+02	1	Babīte	\N	\N	\N	\N	\N	\N	t	f
10955	4900	Camiguin	fr	0	2013-06-05 12:05:52.03645+02	1	Camiguin	\N	\N	\N	\N	\N	\N	t	f
11048	3816	Castlereagh	en	0	2013-06-05 12:09:46.583157+02	1	Castlereagh	\N	\N	\N	\N	\N	\N	t	f
11054	4196	Νησί Μπράβα	el	0	2013-06-05 12:10:01.121062+02	1	Νησί Μπράβα	\N	\N	\N	\N	\N	\N	t	f
11525	1421	Chiquimula	no	0	2013-06-05 12:30:29.999734+02	1	Chiquimula	\N	\N	\N	\N	\N	\N	t	f
11062	4196	Brava	nl	0	2013-06-05 12:10:20.367716+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
11536	2470	アラガツォトゥン地方	ja	0	2013-06-05 12:30:57.08032+02	1	アラガツォトゥン地方	\N	\N	\N	\N	\N	\N	t	f
2455	184	Saudi-Arabien	de	0	2013-05-27 15:56:56.688038+02	\N	Saudi-Arabien	\N	\N	\N	\N	\N	\N	t	f
2456	184	Σαουδική Αραβία	el	0	2013-05-27 15:56:58.879234+02	\N	Σαουδική Αραβία	\N	\N	\N	\N	\N	\N	t	f
2460	184	Saudi-Arabia	fi	0	2013-05-27 15:57:07.682973+02	\N	Saudi-Arabia	\N	\N	\N	\N	\N	\N	t	f
3382	2062	シェンティリ	ja	0	2013-05-27 20:00:09.039614+02	1	シェンティリ	\N	\N	\N	\N	\N	\N	t	f
3786	3299	Ain Defla	de	0	2013-06-05 06:55:21.995341+02	1	Ain Defla	\N	\N	\N	\N	\N	\N	t	f
3796	982	Región de la Araucanía	es	0	2013-06-05 06:55:46.151103+02	1	Región de la Araucanía	\N	\N	\N	\N	\N	\N	t	f
4234	1722	Aghjabadi Rayon	en	0	2013-06-05 07:14:59.147902+02	1	Aghjabadi Rayon	\N	\N	\N	\N	\N	\N	t	f
3818	1556	アワチャパン県	ja	0	2013-06-05 06:56:39.712513+02	1	アワチャパン県	\N	\N	\N	\N	\N	\N	t	f
8275	511	Ankara Province	en	0	2013-06-05 10:10:16.475735+02	1	Ankara Province	\N	\N	\N	\N	\N	\N	t	f
3826	2953	Governatorato di al-Qadisiyya	it	0	2013-06-05 06:57:02.536352+02	1	Governatorato di al-Qadisiyya	\N	\N	\N	\N	\N	\N	t	f
4368	1817	Kanariansaaret	fi	0	2013-06-05 07:21:13.932948+02	1	Kanariansaaret	\N	\N	\N	\N	\N	\N	t	f
4759	4362	Alpi dell'Alta Provenza	it	0	2013-06-05 07:37:38.363726+02	1	Alpi dell'Alta Provenza	\N	\N	\N	\N	\N	\N	t	f
4388	1087	Dipartimento di Concepción	it	0	2013-06-05 07:22:03.440166+02	1	Dipartimento di Concepción	\N	\N	\N	\N	\N	\N	t	f
4771	4824	Distrito de Balaka	es	0	2013-06-05 07:38:19.606554+02	1	Distrito de Balaka	\N	\N	\N	\N	\N	\N	t	f
5338	1088	Département de l'Alto Paraná	fr	0	2013-06-05 08:03:16.545275+02	1	Département de l'Alto Paraná	\N	\N	\N	\N	\N	\N	t	f
4825	2950	al-Muthanna	de	0	2013-06-05 07:41:14.690374+02	1	al-Muthanna	\N	\N	\N	\N	\N	\N	t	f
4899	510	Amasya	fr	0	2013-06-05 07:44:14.993269+02	1	Amasya	\N	\N	\N	\N	\N	\N	t	f
5343	3000	Ahmadí	es	0	2013-06-05 08:03:28.813932+02	1	Ahmadí	\N	\N	\N	\N	\N	\N	t	f
5949	1190	Freeport	fr	0	2013-06-05 08:29:36.306959+02	1	Freeport	\N	\N	\N	\N	\N	\N	t	f
5384	3550	Cross River	es	0	2013-06-05 08:05:18.90799+02	1	Cross River	\N	\N	\N	\N	\N	\N	t	f
5391	4372	Calvados	en	0	2013-06-05 08:05:36.225858+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
5393	4372	Calvadosi departemang	et	0	2013-06-05 08:05:40.948265+02	1	Calvadosi departemang	\N	\N	\N	\N	\N	\N	t	f
5980	3145	Province de Bururi	fr	0	2013-06-05 08:30:52.528026+02	1	Province de Bururi	\N	\N	\N	\N	\N	\N	t	f
5407	906	Birżebbuġa	de	0	2013-06-05 08:06:15.143959+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
6584	4141	Antwerp	en	0	2013-06-05 08:56:54.016954+02	1	Antwerp	\N	\N	\N	\N	\N	\N	t	f
5416	1926	Berane vald	et	0	2013-06-05 08:06:36.816544+02	1	Berane vald	\N	\N	\N	\N	\N	\N	t	f
5417	4320	Córdoba	de	0	2013-06-05 08:06:39.664364+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5426	4320	Córdoba	no	0	2013-06-05 08:07:01.259223+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
6687	3289	Bordj Bou Arréridj Province	en	0	2013-06-05 09:01:13.964215+02	1	Bordj Bou Arréridj Province	\N	\N	\N	\N	\N	\N	t	f
5439	3590	Baie Sainte Anne	fr	0	2013-06-05 08:07:33.003036+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
7435	3010	Bekaan laakson hallintoalue	fi	0	2013-06-05 09:33:09.148268+02	1	Bekaan laakson hallintoalue	\N	\N	\N	\N	\N	\N	t	f
5461	3880	Bromley	nl	0	2013-06-05 08:08:26.389394+02	1	Bromley	\N	\N	\N	\N	\N	\N	t	f
5497	3088	As-Suwayda	nl	0	2013-06-05 08:09:53.932723+02	1	As-Suwayda	\N	\N	\N	\N	\N	\N	t	f
5509	2541	Chungcheongnam-do	de	0	2013-06-05 08:10:24.228483+02	1	Chungcheongnam-do	\N	\N	\N	\N	\N	\N	t	f
7464	657	Assam	nl	0	2013-06-05 09:34:23.837613+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
8585	4077	Bandarban (zila)	es	0	2013-06-05 10:23:34.836325+02	1	Bandarban (zila)	\N	\N	\N	\N	\N	\N	t	f
8050	4323	Cuenca	fi	0	2013-06-05 10:00:30.887249+02	1	Cuenca	\N	\N	\N	\N	\N	\N	t	f
8223	619	Alagoas	de	0	2013-06-05 10:08:01.839823+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8328	1097	Dipartimento di Cordillera	it	0	2013-06-05 10:12:26.158697+02	1	Dipartimento di Cordillera	\N	\N	\N	\N	\N	\N	t	f
8609	3556	Territoire de la capitale fédérale du Nigeria	fr	0	2013-06-05 10:24:50.810115+02	1	Territoire de la capitale fédérale du Nigeria	\N	\N	\N	\N	\N	\N	t	f
11526	3586	Anse Etoile	en	0	2013-06-05 12:30:32.781733+02	1	Anse Etoile	\N	\N	\N	\N	\N	\N	t	f
8653	4085	Chandpur	fr	0	2013-06-05 10:26:45.192534+02	1	Chandpur	\N	\N	\N	\N	\N	\N	t	f
9608	1459	Dipartimento del Centro	it	0	2013-06-05 11:06:59.260066+02	1	Dipartimento del Centro	\N	\N	\N	\N	\N	\N	t	f
10112	4634	Province of Caserta	en	0	2013-06-05 11:29:10.727786+02	1	Province of Caserta	\N	\N	\N	\N	\N	\N	t	f
11541	3483	Adrar (Mauritania)	es	0	2013-06-05 12:31:09.840368+02	1	Adrar (Mauritania)	\N	\N	\N	\N	\N	\N	t	f
10132	4590	County Carlow	de	0	2013-06-05 11:30:00.394443+02	1	County Carlow	\N	\N	\N	\N	\N	\N	t	f
10175	1529	Boaco	nl	0	2013-06-05 11:31:46.358554+02	1	Boaco	\N	\N	\N	\N	\N	\N	t	f
10205	2818	Chhukha ringkond	et	0	2013-06-05 11:33:13.716064+02	1	Chhukha ringkond	\N	\N	\N	\N	\N	\N	t	f
10280	2956	Kirkuk	de	0	2013-06-05 11:36:56.622792+02	1	Kirkuk	\N	\N	\N	\N	\N	\N	t	f
10282	2956	Gobernación de Kirkuk	es	0	2013-06-05 11:37:01.325281+02	1	Gobernación de Kirkuk	\N	\N	\N	\N	\N	\N	t	f
10877	813	District Brăila	nl	0	2013-06-05 12:02:39.272421+02	1	District Brăila	\N	\N	\N	\N	\N	\N	t	f
2457	184	Saudi Arabia	en	0	2013-05-27 15:57:01.052423+02	\N	Saudi Arabia	\N	\N	\N	\N	\N	\N	t	f
2466	4	Amerikanisch-Samoa	de	0	2013-05-27 15:57:25.113248+02	\N	Amerikanisch-Samoa	\N	\N	\N	\N	\N	\N	t	f
3383	2062	Šentilj	nl	0	2013-05-27 20:00:11.301307+02	1	Šentilj	\N	\N	\N	\N	\N	\N	t	f
3790	3299	provincia di 'Ayn Defla	it	0	2013-06-05 06:55:31.435668+02	1	provincia di 'Ayn Defla	\N	\N	\N	\N	\N	\N	t	f
3791	3299	アインデフラ県	ja	0	2013-06-05 06:55:33.833683+02	1	アインデフラ県	\N	\N	\N	\N	\N	\N	t	f
4236	1722	Ağcabədin piirikunta	fi	0	2013-06-05 07:15:03.934611+02	1	Ağcabədin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3829	2953	Al-Qadisiyya	no	0	2013-06-05 06:57:09.814675+02	1	Al-Qadisiyya	\N	\N	\N	\N	\N	\N	t	f
3855	3400	Bong	nl	0	2013-06-05 06:58:21.295263+02	1	Bong	\N	\N	\N	\N	\N	\N	t	f
4238	1722	Ağcabədi	nl	0	2013-06-05 07:15:09.036304+02	1	Ağcabədi	\N	\N	\N	\N	\N	\N	t	f
4761	4362	Alpes-de-Haute-Provence	nl	0	2013-06-05 07:37:43.408384+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4275	3715	ベジャ県	ja	0	2013-06-05 07:16:40.329668+02	1	ベジャ県	\N	\N	\N	\N	\N	\N	t	f
4781	3103	Governatorato di al-Mahra	it	0	2013-06-05 07:38:59.583726+02	1	Governatorato di al-Mahra	\N	\N	\N	\N	\N	\N	t	f
5339	1088	Dipartimento dell'Alto Paraná	it	0	2013-06-05 08:03:18.905165+02	1	Dipartimento dell'Alto Paraná	\N	\N	\N	\N	\N	\N	t	f
4797	3682	Regione di Barh El Gazel	it	0	2013-06-05 07:39:59.852774+02	1	Regione di Barh El Gazel	\N	\N	\N	\N	\N	\N	t	f
4805	1834	Bretagna	it	0	2013-06-05 07:40:21.919154+02	1	Bretagna	\N	\N	\N	\N	\N	\N	t	f
4871	396	Chiba Prefecture	en	0	2013-06-05 07:43:07.279618+02	1	Chiba Prefecture	\N	\N	\N	\N	\N	\N	t	f
5380	4892	Benguet	nl	0	2013-06-05 08:05:08.892753+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
5953	4555	Μπαλί	el	0	2013-06-05 08:29:46.141121+02	1	Μπαλί	\N	\N	\N	\N	\N	\N	t	f
5985	4155	Bougouriba	de	0	2013-06-05 08:31:04.740635+02	1	Bougouriba	\N	\N	\N	\N	\N	\N	t	f
6590	4141	アントウェルペン州	ja	0	2013-06-05 08:57:08.869666+02	1	アントウェルペン州	\N	\N	\N	\N	\N	\N	t	f
6605	3261	Béjaïa Province	en	0	2013-06-05 08:57:45.489309+02	1	Béjaïa Province	\N	\N	\N	\N	\N	\N	t	f
7439	3010	Beka	nl	0	2013-06-05 09:33:18.859189+02	1	Beka	\N	\N	\N	\N	\N	\N	t	f
6624	3014	Province de l'Ouest	fr	0	2013-06-05 08:58:32.385965+02	1	Province de l'Ouest	\N	\N	\N	\N	\N	\N	t	f
6647	2192	Brestin alue	fi	0	2013-06-05 08:59:29.569583+02	1	Brestin alue	\N	\N	\N	\N	\N	\N	t	f
6697	3808	Bridgend	it	0	2013-06-05 09:01:38.187946+02	1	Bridgend	\N	\N	\N	\N	\N	\N	t	f
7450	1288	Aglona municipality	en	0	2013-06-05 09:33:47.638994+02	1	Aglona municipality	\N	\N	\N	\N	\N	\N	t	f
8589	328	Bavaria	en	0	2013-06-05 10:23:47.223501+02	1	Bavaria	\N	\N	\N	\N	\N	\N	t	f
8051	4323	Province de Cuenca	fr	0	2013-06-05 10:00:33.274359+02	1	Province de Cuenca	\N	\N	\N	\N	\N	\N	t	f
8067	3322	Luxor	nl	0	2013-06-05 10:01:24.902498+02	1	Luxor	\N	\N	\N	\N	\N	\N	t	f
11532	2470	Aragatsotni maakond	et	0	2013-06-05 12:30:47.534434+02	1	Aragatsotni maakond	\N	\N	\N	\N	\N	\N	t	f
8082	1836	Champagne-Ardenne	et	0	2013-06-05 10:02:04.443231+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
8646	2606	Provincia di Ca Mau	it	0	2013-06-05 10:26:28.371208+02	1	Provincia di Ca Mau	\N	\N	\N	\N	\N	\N	t	f
8102	4374	Charente	es	0	2013-06-05 10:03:00.728314+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8177	2493	Akmola Province	en	0	2013-06-05 10:06:08.506905+02	1	Akmola Province	\N	\N	\N	\N	\N	\N	t	f
8184	2493	Oblast Aqmola	nl	0	2013-06-05 10:06:25.274932+02	1	Oblast Aqmola	\N	\N	\N	\N	\N	\N	t	f
8652	4085	Chandpur	es	0	2013-06-05 10:26:42.859524+02	1	Chandpur	\N	\N	\N	\N	\N	\N	t	f
8661	4490	Bioko Sur	nl	0	2013-06-05 10:27:04.3072+02	1	Bioko Sur	\N	\N	\N	\N	\N	\N	t	f
11590	3038	Ad Dhahirah	es	0	2013-06-05 12:33:13.357738+02	1	Ad Dhahirah	\N	\N	\N	\N	\N	\N	t	f
8664	1092	Canindeyú Department	en	0	2013-06-05 10:27:11.764134+02	1	Canindeyú Department	\N	\N	\N	\N	\N	\N	t	f
9609	1459	中央県	ja	0	2013-06-05 11:07:01.635186+02	1	中央県	\N	\N	\N	\N	\N	\N	t	f
9632	658	Bihār	et	0	2013-06-05 11:08:02.570688+02	1	Bihār	\N	\N	\N	\N	\N	\N	t	f
10126	4627	Bolognan maakunta	fi	0	2013-06-05 11:29:45.275346+02	1	Bolognan maakunta	\N	\N	\N	\N	\N	\N	t	f
10144	1001	Caquetá	fi	0	2013-06-05 11:30:30.005601+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
10898	2259	Δήμος Μοναστηρίου	el	0	2013-06-05 12:03:32.259793+02	1	Δήμος Μοναστηρίου	\N	\N	\N	\N	\N	\N	t	f
10931	386	Aomori	no	0	2013-06-05 12:04:52.400169+02	1	Aomori	\N	\N	\N	\N	\N	\N	t	f
10953	4900	Camiguin	en	0	2013-06-05 12:05:47.309679+02	1	Camiguin	\N	\N	\N	\N	\N	\N	t	f
11527	3586	Anse Etoile	es	0	2013-06-05 12:30:35.111354+02	1	Anse Etoile	\N	\N	\N	\N	\N	\N	t	f
2458	184	Arabia Saudita	es	0	2013-05-27 15:57:03.294492+02	\N	Arabia Saudita	\N	\N	\N	\N	\N	\N	t	f
3386	1960	Črna na Koroškem	fr	0	2013-05-27 20:00:19.950662+02	1	Črna na Koroškem	\N	\N	\N	\N	\N	\N	t	f
3387	1960	Črna na Koroškem	it	0	2013-05-27 20:00:22.247692+02	1	Črna na Koroškem	\N	\N	\N	\N	\N	\N	t	f
3800	982	ラ・アラウカニア州	ja	0	2013-06-05 06:55:55.70664+02	1	ラ・アラウカニア州	\N	\N	\N	\N	\N	\N	t	f
3442	474	Comté d'Östergötland	fr	0	2013-05-27 20:02:33.85979+02	1	Comté d'Östergötland	\N	\N	\N	\N	\N	\N	t	f
3823	2953	Cadisia	es	0	2013-06-05 06:56:52.321498+02	1	Cadisia	\N	\N	\N	\N	\N	\N	t	f
4237	1722	Ağcabədi	fr	0	2013-06-05 07:15:06.303318+02	1	Ağcabədi	\N	\N	\N	\N	\N	\N	t	f
4282	2785	Caraga	it	0	2013-06-05 07:16:57.777708+02	1	Caraga	\N	\N	\N	\N	\N	\N	t	f
4762	4362	Alpes-de-Haute-Provence	no	0	2013-06-05 07:37:45.805997+02	1	Alpes-de-Haute-Provence	\N	\N	\N	\N	\N	\N	t	f
4297	4375	シャラント＝マリティーム県	ja	0	2013-06-05 07:17:36.424827+02	1	シャラント＝マリティーム県	\N	\N	\N	\N	\N	\N	t	f
4310	3094	Ad Dali' Governorate	en	0	2013-06-05 07:18:10.735678+02	1	Ad Dali' Governorate	\N	\N	\N	\N	\N	\N	t	f
4374	4588	County Cavan	de	0	2013-06-05 07:21:29.266866+02	1	County Cavan	\N	\N	\N	\N	\N	\N	t	f
4763	2993	Balqa Governorate	en	0	2013-06-05 07:37:48.591574+02	1	Balqa Governorate	\N	\N	\N	\N	\N	\N	t	f
5340	1088	アルト・パラナ県	ja	0	2013-06-05 08:03:21.288361+02	1	アルト・パラナ県	\N	\N	\N	\N	\N	\N	t	f
4764	2993	Gobernación de Balqa'	es	0	2013-06-05 07:37:51.101444+02	1	Gobernación de Balqa'	\N	\N	\N	\N	\N	\N	t	f
4799	1834	Bretagne	de	0	2013-06-05 07:40:05.086335+02	1	Bretagne	\N	\N	\N	\N	\N	\N	t	f
4808	1834	Bretagne	no	0	2013-06-05 07:40:29.244218+02	1	Bretagne	\N	\N	\N	\N	\N	\N	t	f
5345	3000	Al-Ahmad	it	0	2013-06-05 08:03:36.978334+02	1	Al-Ahmad	\N	\N	\N	\N	\N	\N	t	f
4832	2950	Al-Muthanna	nl	0	2013-06-05 07:41:32.038189+02	1	Al-Muthanna	\N	\N	\N	\N	\N	\N	t	f
4835	2944	Baghdad Province	en	0	2013-06-05 07:41:39.62964+02	1	Baghdad Province	\N	\N	\N	\N	\N	\N	t	f
5955	4555	Bali	es	0	2013-06-05 08:29:50.824486+02	1	Bali	\N	\N	\N	\N	\N	\N	t	f
4945	520	Burdur	fr	0	2013-06-05 07:46:06.770175+02	1	Burdur	\N	\N	\N	\N	\N	\N	t	f
5355	2741	シンガポール中央地区	ja	0	2013-06-05 08:04:04.505897+02	1	シンガポール中央地区	\N	\N	\N	\N	\N	\N	t	f
5356	2347	Okrug Bor	de	0	2013-06-05 08:04:07.201383+02	1	Okrug Bor	\N	\N	\N	\N	\N	\N	t	f
5415	1926	Municipio de Berane	es	0	2013-06-05 08:06:34.470053+02	1	Municipio de Berane	\N	\N	\N	\N	\N	\N	t	f
5964	4990	Bugiri District	en	0	2013-06-05 08:30:12.959255+02	1	Bugiri District	\N	\N	\N	\N	\N	\N	t	f
5443	1810	Ανδαλουσία	el	0	2013-06-05 08:07:43.009869+02	1	Ανδαλουσία	\N	\N	\N	\N	\N	\N	t	f
5447	1810	Andalusia	fi	0	2013-06-05 08:07:52.498917+02	1	Andalusia	\N	\N	\N	\N	\N	\N	t	f
6593	4322	Provinz Castellón	de	0	2013-06-05 08:57:16.480128+02	1	Provinz Castellón	\N	\N	\N	\N	\N	\N	t	f
5457	3880	Bromley	fi	0	2013-06-05 08:08:16.854674+02	1	Bromley	\N	\N	\N	\N	\N	\N	t	f
5965	4990	Distrito de Bugiri	es	0	2013-06-05 08:30:15.278988+02	1	Distrito de Bugiri	\N	\N	\N	\N	\N	\N	t	f
5476	4158	Comoé	fr	0	2013-06-05 08:09:03.16902+02	1	Comoé	\N	\N	\N	\N	\N	\N	t	f
5496	3088	スワイダー県	ja	0	2013-06-05 08:09:51.556775+02	1	スワイダー県	\N	\N	\N	\N	\N	\N	t	f
5510	2541	South Chungcheong Province	en	0	2013-06-05 08:10:26.54537+02	1	South Chungcheong Province	\N	\N	\N	\N	\N	\N	t	f
5978	3145	Provincia de Bururi	es	0	2013-06-05 08:30:47.762488+02	1	Provincia de Bururi	\N	\N	\N	\N	\N	\N	t	f
5522	4079	Bogra	nl	0	2013-06-05 08:10:55.417715+02	1	Bogra	\N	\N	\N	\N	\N	\N	t	f
6656	4319	Provincia de Cáceres	es	0	2013-06-05 08:59:54.133742+02	1	Provincia de Cáceres	\N	\N	\N	\N	\N	\N	t	f
7457	657	Assam	en	0	2013-06-05 09:34:07.156413+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
6684	3037	Al Wusta	nl	0	2013-06-05 09:01:06.364156+02	1	Al Wusta	\N	\N	\N	\N	\N	\N	t	f
6691	3289	Bordj Bou Arréridj	nl	0	2013-06-05 09:01:23.625145+02	1	Bordj Bou Arréridj	\N	\N	\N	\N	\N	\N	t	f
6699	4630	Provinz Barletta-Andria-Trani	de	0	2013-06-05 09:01:43.388653+02	1	Provinz Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
7479	4287	District de Blansko	fr	0	2013-06-05 09:35:06.429226+02	1	District de Blansko	\N	\N	\N	\N	\N	\N	t	f
8667	1092	Département de Canindeyú	fr	0	2013-06-05 10:27:18.775562+02	1	Département de Canindeyú	\N	\N	\N	\N	\N	\N	t	f
8052	4323	Provincia di Cuenca	it	0	2013-06-05 10:00:35.670664+02	1	Provincia di Cuenca	\N	\N	\N	\N	\N	\N	t	f
8054	4323	Cuenca	nl	0	2013-06-05 10:00:45.331321+02	1	Cuenca	\N	\N	\N	\N	\N	\N	t	f
10127	4627	Province de Bologne	fr	0	2013-06-05 11:29:47.666072+02	1	Province de Bologne	\N	\N	\N	\N	\N	\N	t	f
8668	1092	Dipartimento di Canindeyú	it	0	2013-06-05 10:27:21.144002+02	1	Dipartimento di Canindeyú	\N	\N	\N	\N	\N	\N	t	f
8925	620	Amazonase osariik	et	0	2013-06-05 10:38:02.666777+02	1	Amazonase osariik	\N	\N	\N	\N	\N	\N	t	f
8764	4641	Κοζέντσα	el	0	2013-06-05 10:31:14.51073+02	1	Κοζέντσα	\N	\N	\N	\N	\N	\N	t	f
8795	1228	シエンフエーゴス州	ja	0	2013-06-05 10:32:32.454837+02	1	シエンフエーゴス州	\N	\N	\N	\N	\N	\N	t	f
8849	2602	Province de Bạc Liêu	fr	0	2013-06-05 10:34:47.691099+02	1	Province de Bạc Liêu	\N	\N	\N	\N	\N	\N	t	f
8949	4780	Ailuk	es	0	2013-06-05 10:39:00.049818+02	1	Ailuk	\N	\N	\N	\N	\N	\N	t	f
8856	660	Chhattisgarh	en	0	2013-06-05 10:35:04.870215+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
8857	660	Chhattisgarh	es	0	2013-06-05 10:35:07.216725+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
8879	4991	Busia District	en	0	2013-06-05 10:36:03.40487+02	1	Busia District	\N	\N	\N	\N	\N	\N	t	f
8965	3332	Al-Wādī al-Jadīdi kubernerkond	et	0	2013-06-05 10:39:38.775907+02	1	Al-Wādī al-Jadīdi kubernerkond	\N	\N	\N	\N	\N	\N	t	f
10150	1186	Central Abaco	en	0	2013-06-05 11:30:44.960414+02	1	Central Abaco	\N	\N	\N	\N	\N	\N	t	f
8969	3332	Nieuwe Vallei	nl	0	2013-06-05 10:39:48.212609+02	1	Nieuwe Vallei	\N	\N	\N	\N	\N	\N	t	f
9626	3262	Biskra	nl	0	2013-06-05 11:07:47.404556+02	1	Biskra	\N	\N	\N	\N	\N	\N	t	f
10208	2818	Distretto di Chukha	it	0	2013-06-05 11:33:25.61898+02	1	Distretto di Chukha	\N	\N	\N	\N	\N	\N	t	f
10161	3826	Conwy	it	0	2013-06-05 11:31:11.809919+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
10169	1529	Boaco Department	en	0	2013-06-05 11:31:31.959338+02	1	Boaco Department	\N	\N	\N	\N	\N	\N	t	f
10964	1420	Dipartimento di Chimaltenango	it	0	2013-06-05 12:06:13.765553+02	1	Dipartimento di Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
10901	2708	Chiang Rai	de	0	2013-06-05 12:03:39.719503+02	1	Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
11530	2470	Aragatsotn Province	en	0	2013-06-05 12:30:42.739805+02	1	Aragatsotn Province	\N	\N	\N	\N	\N	\N	t	f
11557	2672	Chainat	de	0	2013-06-05 12:31:49.463669+02	1	Chainat	\N	\N	\N	\N	\N	\N	t	f
11565	1928	Budva Municipality	en	0	2013-06-05 12:32:08.810177+02	1	Budva Municipality	\N	\N	\N	\N	\N	\N	t	f
11575	794	Andorra la Vella	it	0	2013-06-05 12:32:34.812945+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
2459	184	Saudi Araabia	et	0	2013-05-27 15:57:05.485726+02	\N	Saudi Araabia	\N	\N	\N	\N	\N	\N	t	f
2471	4	Amerikan Samoa	fi	0	2013-05-27 15:57:36.974062+02	\N	Amerikan Samoa	\N	\N	\N	\N	\N	\N	t	f
3388	1960	チュルナ・ナ・コロシュケム	ja	0	2013-05-27 20:00:24.481016+02	1	チュルナ・ナ・コロシュケム	\N	\N	\N	\N	\N	\N	t	f
3801	982	Araucanía	nl	0	2013-06-05 06:55:58.117144+02	1	Araucanía	\N	\N	\N	\N	\N	\N	t	f
3817	1556	Dipartimento di Ahuachapán	it	0	2013-06-05 06:56:37.315887+02	1	Dipartimento di Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
4239	3144	Bujumbura	de	0	2013-06-05 07:15:11.971452+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
3840	2399	Tsjukotka	no	0	2013-06-05 06:57:44.632751+02	1	Tsjukotka	\N	\N	\N	\N	\N	\N	t	f
3841	3290	Boumerdes	de	0	2013-06-05 06:57:47.475231+02	1	Boumerdes	\N	\N	\N	\N	\N	\N	t	f
3876	4060	Babek	es	0	2013-06-05 06:59:12.554178+02	1	Babek	\N	\N	\N	\N	\N	\N	t	f
4287	5035	Bundibugyo	fr	0	2013-06-05 07:17:10.126153+02	1	Bundibugyo	\N	\N	\N	\N	\N	\N	t	f
3879	4060	Babək	nl	0	2013-06-05 06:59:19.774311+02	1	Babək	\N	\N	\N	\N	\N	\N	t	f
3886	4643	Catanzaron maakunta	fi	0	2013-06-05 06:59:37.162841+02	1	Catanzaron maakunta	\N	\N	\N	\N	\N	\N	t	f
4766	2993	Subdivision de Balqa	fr	0	2013-06-05 07:37:59.135023+02	1	Subdivision de Balqa	\N	\N	\N	\N	\N	\N	t	f
4305	1620	Boe	it	0	2013-06-05 07:17:58.267642+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4311	3094	Gobernación de Ad Dali'	es	0	2013-06-05 07:18:13.153385+02	1	Gobernación de Ad Dali'	\N	\N	\N	\N	\N	\N	t	f
4772	4824	District de Balaka	fr	0	2013-06-05 07:38:22.672341+02	1	District de Balaka	\N	\N	\N	\N	\N	\N	t	f
5341	1088	Alto Paraná	nl	0	2013-06-05 08:03:23.660977+02	1	Alto Paraná	\N	\N	\N	\N	\N	\N	t	f
4801	1834	Brittany	en	0	2013-06-05 07:40:09.791547+02	1	Brittany	\N	\N	\N	\N	\N	\N	t	f
5486	4636	provincia di Carbonia-Iglesias	it	0	2013-06-05 08:09:27.358625+02	1	provincia di Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
5968	4990	Bugiri	nl	0	2013-06-05 08:30:22.43396+02	1	Bugiri	\N	\N	\N	\N	\N	\N	t	f
5520	4079	Bogra	es	0	2013-06-05 08:10:50.569087+02	1	Bogra	\N	\N	\N	\N	\N	\N	t	f
5550	3882	Croydon	es	0	2013-06-05 08:12:07.431487+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
5971	4759	Provincia de Chichaoua	es	0	2013-06-05 08:30:30.909352+02	1	Provincia de Chichaoua	\N	\N	\N	\N	\N	\N	t	f
6609	3261	Béjaïa	nl	0	2013-06-05 08:57:55.232537+02	1	Béjaïa	\N	\N	\N	\N	\N	\N	t	f
5979	3145	Bururin provinssi	fi	0	2013-06-05 08:30:50.108099+02	1	Bururin provinssi	\N	\N	\N	\N	\N	\N	t	f
6675	3803	Blackburn with Darwen	en	0	2013-06-05 09:00:44.849257+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
7462	657	Assam	it	0	2013-06-05 09:34:19.062242+02	1	Assam	\N	\N	\N	\N	\N	\N	t	f
8053	4323	クエンカ県	ja	0	2013-06-05 10:00:42.842114+02	1	クエンカ県	\N	\N	\N	\N	\N	\N	t	f
8669	1092	カニンデジュ県	ja	0	2013-06-05 10:27:23.497063+02	1	カニンデジュ県	\N	\N	\N	\N	\N	\N	t	f
8205	3031	Batina	es	0	2013-06-05 10:07:17.547457+02	1	Batina	\N	\N	\N	\N	\N	\N	t	f
8701	3830	Cumbria	nl	0	2013-06-05 10:28:40.478026+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
10206	2818	Chukha	fi	0	2013-06-05 11:33:16.920348+02	1	Chukha	\N	\N	\N	\N	\N	\N	t	f
8758	590	Canton de Berne	fr	0	2013-06-05 10:30:59.74339+02	1	Canton de Berne	\N	\N	\N	\N	\N	\N	t	f
8762	590	Bern	no	0	2013-06-05 10:31:09.198751+02	1	Bern	\N	\N	\N	\N	\N	\N	t	f
11559	2672	Provincia de Chainat	es	0	2013-06-05 12:31:54.164406+02	1	Provincia de Chainat	\N	\N	\N	\N	\N	\N	t	f
8855	660	Τσατίσγκαρ	el	0	2013-06-05 10:35:02.510087+02	1	Τσατίσγκαρ	\N	\N	\N	\N	\N	\N	t	f
10908	2708	チエンラーイ県	ja	0	2013-06-05 12:03:56.435331+02	1	チエンラーイ県	\N	\N	\N	\N	\N	\N	t	f
8913	4753	Agadir	en	0	2013-06-05 10:37:33.969563+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
8935	3827	Distretto di Cookstown	it	0	2013-06-05 10:38:26.502155+02	1	Distretto di Cookstown	\N	\N	\N	\N	\N	\N	t	f
8953	4780	アイルック環礁	ja	0	2013-06-05 10:39:09.420676+02	1	アイルック環礁	\N	\N	\N	\N	\N	\N	t	f
10910	2708	Chiang Rai	no	0	2013-06-05 12:04:01.254875+02	1	Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
9637	658	Bihar	nl	0	2013-06-05 11:08:17.654131+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10129	4627	ボローニャ県	ja	0	2013-06-05 11:29:52.453209+02	1	ボローニャ県	\N	\N	\N	\N	\N	\N	t	f
10133	4590	County Carlow	en	0	2013-06-05 11:30:02.793716+02	1	County Carlow	\N	\N	\N	\N	\N	\N	t	f
10919	2164	ブラゴエヴグラト州	ja	0	2013-06-05 12:04:23.242931+02	1	ブラゴエヴグラト州	\N	\N	\N	\N	\N	\N	t	f
10137	4590	Carlow	it	0	2013-06-05 11:30:12.366563+02	1	Carlow	\N	\N	\N	\N	\N	\N	t	f
10183	3193	Bangui	fr	0	2013-06-05 11:32:06.121153+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
11571	794	Andorra la Vieja	es	0	2013-06-05 12:32:23.593049+02	1	Andorra la Vieja	\N	\N	\N	\N	\N	\N	t	f
10187	3193	Bangui	no	0	2013-06-05 11:32:15.823088+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10194	3059	Ar Rayyan	nl	0	2013-06-05 11:32:32.815062+02	1	Ar Rayyan	\N	\N	\N	\N	\N	\N	t	f
10937	4760	Chtouka Aït Baha Province	en	0	2013-06-05 12:05:07.802007+02	1	Chtouka Aït Baha Province	\N	\N	\N	\N	\N	\N	t	f
10960	1420	Departamento Chimaltenango	de	0	2013-06-05 12:06:04.334854+02	1	Departamento Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
11534	2470	Aragatsotn	fr	0	2013-06-05 12:30:52.261757+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
11555	3180	Kongo-Central	nl	0	2013-06-05 12:31:44.206391+02	1	Kongo-Central	\N	\N	\N	\N	\N	\N	t	f
2461	184	Arabie saoudite	fr	0	2013-05-27 15:57:13.18271+02	\N	Arabie saoudite	\N	\N	\N	\N	\N	\N	t	f
2462	184	Arabia Saudita	it	0	2013-05-27 15:57:15.545768+02	\N	Arabia Saudita	\N	\N	\N	\N	\N	\N	t	f
2468	4	American Samoa	en	0	2013-05-27 15:57:30.317054+02	\N	American Samoa	\N	\N	\N	\N	\N	\N	t	f
3389	1960	Črna na Koroškem	nl	0	2013-05-27 20:00:26.720769+02	1	Črna na Koroškem	\N	\N	\N	\N	\N	\N	t	f
3405	1678	エウア島	ja	0	2013-05-27 20:01:07.094313+02	1	エウア島	\N	\N	\N	\N	\N	\N	t	f
3808	1063	regione di Apurímac	it	0	2013-06-05 06:56:15.266591+02	1	regione di Apurímac	\N	\N	\N	\N	\N	\N	t	f
4240	3144	Μπουζουμπούρα	el	0	2013-06-05 07:15:14.333438+02	1	Μπουζουμπούρα	\N	\N	\N	\N	\N	\N	t	f
4242	3144	Buyumbura	es	0	2013-06-05 07:15:19.088048+02	1	Buyumbura	\N	\N	\N	\N	\N	\N	t	f
4767	2993	Governatorato di Balqa	it	0	2013-06-05 07:38:06.330307+02	1	Governatorato di Balqa	\N	\N	\N	\N	\N	\N	t	f
4249	3144	Bujumbura	no	0	2013-06-05 07:15:36.471766+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
4270	3715	Béja Governorate	en	0	2013-06-05 07:16:28.24202+02	1	Béja Governorate	\N	\N	\N	\N	\N	\N	t	f
4288	5035	ブンディブギョ県	ja	0	2013-06-05 07:17:12.506829+02	1	ブンディブギョ県	\N	\N	\N	\N	\N	\N	t	f
4768	2993	バルカ県	ja	0	2013-06-05 07:38:08.813076+02	1	バルカ県	\N	\N	\N	\N	\N	\N	t	f
4353	1893	バルザース	ja	0	2013-06-05 07:20:36.25032+02	1	バルザース	\N	\N	\N	\N	\N	\N	t	f
5342	3000	Al Ahmadi Governorate	en	0	2013-06-05 08:03:26.355861+02	1	Al Ahmadi Governorate	\N	\N	\N	\N	\N	\N	t	f
4807	1834	Bretagne	nl	0	2013-06-05 07:40:26.880058+02	1	Bretagne	\N	\N	\N	\N	\N	\N	t	f
4863	2927	Ash-Shāriqah' emiraat	et	0	2013-06-05 07:42:47.527504+02	1	Ash-Shāriqah' emiraat	\N	\N	\N	\N	\N	\N	t	f
4893	4303	Okres Bruntál	nl	0	2013-06-05 07:44:00.154826+02	1	Okres Bruntál	\N	\N	\N	\N	\N	\N	t	f
5347	3000	Ahmadi	nl	0	2013-06-05 08:03:44.13439+02	1	Ahmadi	\N	\N	\N	\N	\N	\N	t	f
5988	4155	Bougouriba	fi	0	2013-06-05 08:31:11.746032+02	1	Bougouriba	\N	\N	\N	\N	\N	\N	t	f
5354	2741	Central Singapore Community Development Council	en	0	2013-06-05 08:04:02.041115+02	1	Central Singapore Community Development Council	\N	\N	\N	\N	\N	\N	t	f
5360	2347	Distretto di Bor	it	0	2013-06-05 08:04:16.642277+02	1	Distretto di Bor	\N	\N	\N	\N	\N	\N	t	f
6612	2160	Borgo Maggiore	en	0	2013-06-05 08:58:02.799547+02	1	Borgo Maggiore	\N	\N	\N	\N	\N	\N	t	f
5364	4656	Κροτόνε	el	0	2013-06-05 08:04:29.605129+02	1	Κροτόνε	\N	\N	\N	\N	\N	\N	t	f
5388	3550	クロスリバー州	ja	0	2013-06-05 08:05:28.55633+02	1	クロスリバー州	\N	\N	\N	\N	\N	\N	t	f
6655	4319	Province of Cáceres	en	0	2013-06-05 08:59:51.784401+02	1	Province of Cáceres	\N	\N	\N	\N	\N	\N	t	f
7463	657	アッサム州	ja	0	2013-06-05 09:34:21.453409+02	1	アッサム州	\N	\N	\N	\N	\N	\N	t	f
7478	4287	Blansko District	en	0	2013-06-05 09:35:03.606196+02	1	Blansko District	\N	\N	\N	\N	\N	\N	t	f
8670	1092	Canindeyú	nl	0	2013-06-05 10:27:25.858715+02	1	Canindeyú	\N	\N	\N	\N	\N	\N	t	f
8055	4323	Cuenca	no	0	2013-06-05 10:00:47.924933+02	1	Cuenca	\N	\N	\N	\N	\N	\N	t	f
8109	4374	Charente	no	0	2013-06-05 10:03:17.414305+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
9762	1216	Alajuela	no	0	2013-06-05 11:14:13.247231+02	1	Alajuela	\N	\N	\N	\N	\N	\N	t	f
8209	3429	Munizip al-Dschabal al-Achdar	de	0	2013-06-05 10:07:27.735226+02	1	Munizip al-Dschabal al-Achdar	\N	\N	\N	\N	\N	\N	t	f
8677	513	Provincia de Artvin	es	0	2013-06-05 10:27:43.235307+02	1	Provincia de Artvin	\N	\N	\N	\N	\N	\N	t	f
8218	1601	Central Division, Fiji	en	0	2013-06-05 10:07:49.543766+02	1	Central Division, Fiji	\N	\N	\N	\N	\N	\N	t	f
8227	619	Alagoas	fi	0	2013-06-05 10:08:11.388663+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8909	3915	Metropolitan Borough of Bury	it	0	2013-06-05 10:37:24.121967+02	1	Metropolitan Borough of Bury	\N	\N	\N	\N	\N	\N	t	f
8228	619	Alagoas	fr	0	2013-06-05 10:08:13.74755+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8685	1003	Cauca Department	en	0	2013-06-05 10:28:02.440359+02	1	Cauca Department	\N	\N	\N	\N	\N	\N	t	f
8235	3795	Argyll and Bute	es	0	2013-06-05 10:08:30.892394+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8236	3795	Argyll and Bute	et	0	2013-06-05 10:08:33.259835+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8242	3795	Argyll and Bute	no	0	2013-06-05 10:08:47.842868+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8725	1724	Ağdaş	de	0	2013-06-05 10:29:38.627692+02	1	Ağdaş	\N	\N	\N	\N	\N	\N	t	f
8736	329	Bremen	fi	0	2013-06-05 10:30:06.566242+02	1	Bremen	\N	\N	\N	\N	\N	\N	t	f
8941	3819	Cheshire East	it	0	2013-06-05 10:38:40.77569+02	1	Cheshire East	\N	\N	\N	\N	\N	\N	t	f
8754	590	Canton of Bern	en	0	2013-06-05 10:30:50.386044+02	1	Canton of Bern	\N	\N	\N	\N	\N	\N	t	f
8797	1228	Cienfuegos	no	0	2013-06-05 10:32:37.232216+02	1	Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
10230	2472	Armavir Province	en	0	2013-06-05 11:34:37.206159+02	1	Armavir Province	\N	\N	\N	\N	\N	\N	t	f
8820	1632	Chimbu	nl	0	2013-06-05 10:33:37.111541+02	1	Chimbu	\N	\N	\N	\N	\N	\N	t	f
8945	1309	Cēsise piirkond	et	0	2013-06-05 10:38:50.371547+02	1	Cēsise piirkond	\N	\N	\N	\N	\N	\N	t	f
8844	4368	Aube	no	0	2013-06-05 10:34:35.570052+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
8848	2602	Bạc Liêu	fi	0	2013-06-05 10:34:45.356428+02	1	Bạc Liêu	\N	\N	\N	\N	\N	\N	t	f
9824	3250	Arta (region)	no	0	2013-06-05 11:16:43.420099+02	1	Arta (region)	\N	\N	\N	\N	\N	\N	t	f
8852	2602	Bạc Liêu	nl	0	2013-06-05 10:34:54.858971+02	1	Bạc Liêu	\N	\N	\N	\N	\N	\N	t	f
8961	3159	Atakora	no	0	2013-06-05 10:39:28.645634+02	1	Atakora	\N	\N	\N	\N	\N	\N	t	f
8858	660	Chhattīsgarh	et	0	2013-06-05 10:35:09.551458+02	1	Chhattīsgarh	\N	\N	\N	\N	\N	\N	t	f
9638	658	Bihar	no	0	2013-06-05 11:08:20.049342+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10184	3193	Bangui	it	0	2013-06-05 11:32:08.498319+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
9640	1498	Καμπέτσε	el	0	2013-06-05 11:08:25.375817+02	1	Καμπέτσε	\N	\N	\N	\N	\N	\N	t	f
10136	4590	Comté de Carlow	fr	0	2013-06-05 11:30:09.881432+02	1	Comté de Carlow	\N	\N	\N	\N	\N	\N	t	f
9666	1061	Amazonas	nl	0	2013-06-05 11:10:05.482477+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
10154	1186	Central Abaco	no	0	2013-06-05 11:30:54.759366+02	1	Central Abaco	\N	\N	\N	\N	\N	\N	t	f
10203	2818	Chukha District	en	0	2013-06-05 11:33:03.215344+02	1	Chukha District	\N	\N	\N	\N	\N	\N	t	f
10160	3826	Conwy	fr	0	2013-06-05 11:31:09.423063+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
10212	2494	Aktobe Province	en	0	2013-06-05 11:33:39.008291+02	1	Aktobe Province	\N	\N	\N	\N	\N	\N	t	f
10231	2472	Armavir	es	0	2013-06-05 11:34:40.177078+02	1	Armavir	\N	\N	\N	\N	\N	\N	t	f
10912	2164	Επαρχία Μπλαγκόεβγκραντ	el	0	2013-06-05 12:04:06.620016+02	1	Επαρχία Μπλαγκόεβγκραντ	\N	\N	\N	\N	\N	\N	t	f
10962	1420	Chimaltenango	es	0	2013-06-05 12:06:09.079254+02	1	Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
10967	1420	Chimaltenango	no	0	2013-06-05 12:06:20.996354+02	1	Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
10979	3304	Gouvernement al-Iskandariyya	de	0	2013-06-05 12:06:50.373109+02	1	Gouvernement al-Iskandariyya	\N	\N	\N	\N	\N	\N	t	f
11535	2470	Aragatsotn	it	0	2013-06-05 12:30:54.66665+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
2463	184	サウジアラビア	ja	0	2013-05-27 15:57:17.785492+02	\N	サウジアラビア	\N	\N	\N	\N	\N	\N	t	f
2464	184	Saoedi-Arabië	nl	0	2013-05-27 15:57:20.019201+02	\N	Saoedi-Arabië	\N	\N	\N	\N	\N	\N	t	f
2465	184	Saudi-Arabia	no	0	2013-05-27 15:57:22.273519+02	\N	Saudi-Arabia	\N	\N	\N	\N	\N	\N	t	f
3391	3068	Ha'il Province	en	0	2013-05-27 20:00:34.697747+02	1	Ha'il Province	\N	\N	\N	\N	\N	\N	t	f
3820	1556	Ahuachapán	no	0	2013-06-05 06:56:44.662876+02	1	Ahuachapán	\N	\N	\N	\N	\N	\N	t	f
3838	2399	チュクチ自治管区	ja	0	2013-06-05 06:57:39.807562+02	1	チュクチ自治管区	\N	\N	\N	\N	\N	\N	t	f
4241	3144	Bujumbura	en	0	2013-06-05 07:15:16.722225+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
3847	3290	Boumerdès	no	0	2013-06-05 06:58:01.837403+02	1	Boumerdès	\N	\N	\N	\N	\N	\N	t	f
4336	816	Buzău	fi	0	2013-06-05 07:19:47.55478+02	1	Buzău	\N	\N	\N	\N	\N	\N	t	f
4774	4824	バラカ	ja	0	2013-06-05 07:38:34.756045+02	1	バラカ	\N	\N	\N	\N	\N	\N	t	f
4337	816	Județ de Buzău	fr	0	2013-06-05 07:19:49.98687+02	1	Județ de Buzău	\N	\N	\N	\N	\N	\N	t	f
4339	816	ブザウ県	ja	0	2013-06-05 07:19:55.224451+02	1	ブザウ県	\N	\N	\N	\N	\N	\N	t	f
4780	3103	Mahra	fr	0	2013-06-05 07:38:52.728607+02	1	Mahra	\N	\N	\N	\N	\N	\N	t	f
5344	3000	Al Ahmadi (gouvernorat)	fr	0	2013-06-05 08:03:32.210339+02	1	Al Ahmadi (gouvernorat)	\N	\N	\N	\N	\N	\N	t	f
4868	2927	Sharjah	nl	0	2013-06-05 07:42:59.628603+02	1	Sharjah	\N	\N	\N	\N	\N	\N	t	f
4873	396	Chiba prefektuur	et	0	2013-06-05 07:43:11.97954+02	1	Chiba prefektuur	\N	\N	\N	\N	\N	\N	t	f
5990	4155	Provincia di Bougouriba	it	0	2013-06-05 08:31:16.428285+02	1	Provincia di Bougouriba	\N	\N	\N	\N	\N	\N	t	f
4880	3416	Butha-Buthe	de	0	2013-06-05 07:43:29.100236+02	1	Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
4922	3113	Bié	fi	0	2013-06-05 07:45:10.798335+02	1	Bié	\N	\N	\N	\N	\N	\N	t	f
6024	4263	Okres Chomutov	nl	0	2013-06-05 08:32:39.07082+02	1	Okres Chomutov	\N	\N	\N	\N	\N	\N	t	f
6644	2192	Brest Region	en	0	2013-06-05 08:59:22.437729+02	1	Brest Region	\N	\N	\N	\N	\N	\N	t	f
6057	972	Departamento de Chuquisaca	es	0	2013-06-05 08:34:00.62667+02	1	Departamento de Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
6667	998	Bolívar	es	0	2013-06-05 09:00:24.866952+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
7471	645	Burgenland	fi	0	2013-06-05 09:34:41.130301+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
9642	1498	Campeche	es	0	2013-06-05 11:08:33.463893+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
8056	4288	Okres Brno-město	de	0	2013-06-05 10:00:53.162252+02	1	Okres Brno-město	\N	\N	\N	\N	\N	\N	t	f
8671	3062	Ad-Daʿayan	de	0	2013-06-05 10:27:28.643607+02	1	Ad-Daʿayan	\N	\N	\N	\N	\N	\N	t	f
8072	999	Boyacá	es	0	2013-06-05 10:01:37.466931+02	1	Boyacá	\N	\N	\N	\N	\N	\N	t	f
8095	2788	Región IV-A	es	0	2013-06-05 10:02:43.532814+02	1	Región IV-A	\N	\N	\N	\N	\N	\N	t	f
8113	4825	Distretto di Blantyre	it	0	2013-06-05 10:03:27.26964+02	1	Distretto di Blantyre	\N	\N	\N	\N	\N	\N	t	f
8673	3062	アッ＝ザアーイン	ja	0	2013-06-05 10:27:33.359267+02	1	アッ＝ザアーイン	\N	\N	\N	\N	\N	\N	t	f
8137	3333	Anseba	de	0	2013-06-05 10:04:25.929232+02	1	Anseba	\N	\N	\N	\N	\N	\N	t	f
8196	1699	Άτουα	el	0	2013-06-05 10:06:55.472412+02	1	Άτουα	\N	\N	\N	\N	\N	\N	t	f
10966	1420	Chimaltenango	nl	0	2013-06-05 12:06:18.543299+02	1	Chimaltenango	\N	\N	\N	\N	\N	\N	t	f
8690	1003	カウカ県	ja	0	2013-06-05 10:28:14.27611+02	1	カウカ県	\N	\N	\N	\N	\N	\N	t	f
9690	2902	Regione di Andijan	it	0	2013-06-05 11:11:15.045868+02	1	Regione di Andijan	\N	\N	\N	\N	\N	\N	t	f
8715	4088	Chuadanga District	en	0	2013-06-05 10:29:14.46112+02	1	Chuadanga District	\N	\N	\N	\N	\N	\N	t	f
8731	1724	Ağdaş	no	0	2013-06-05 10:29:54.233931+02	1	Ağdaş	\N	\N	\N	\N	\N	\N	t	f
8742	2482	Adscharien	de	0	2013-06-05 10:30:21.394929+02	1	Adscharien	\N	\N	\N	\N	\N	\N	t	f
9936	1615	Aiwo	es	0	2013-06-05 11:21:32.317047+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
8779	980	Región de Antofagasta	de	0	2013-06-05 10:31:50.728801+02	1	Región de Antofagasta	\N	\N	\N	\N	\N	\N	t	f
8830	1052	Cuyuni-Mazaruni	es	0	2013-06-05 10:34:01.996021+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
11537	2470	Aragatsotn	nl	0	2013-06-05 12:30:59.552506+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
8869	2228	Distretto di Căuşeni	it	0	2013-06-05 10:35:35.882271+02	1	Distretto di Căuşeni	\N	\N	\N	\N	\N	\N	t	f
9937	1615	Aiwo ringkond	et	0	2013-06-05 11:21:34.712173+02	1	Aiwo ringkond	\N	\N	\N	\N	\N	\N	t	f
8901	3877	Barnet	it	0	2013-06-05 10:37:04.254601+02	1	Barnet	\N	\N	\N	\N	\N	\N	t	f
8930	620	Amazonas	nl	0	2013-06-05 10:38:14.46695+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
10983	3304	Gouvernorat d'Alexandrie	fr	0	2013-06-05 12:06:59.881138+02	1	Gouvernorat d'Alexandrie	\N	\N	\N	\N	\N	\N	t	f
8973	3758	Regione centrale	it	0	2013-06-05 10:39:57.938844+02	1	Regione centrale	\N	\N	\N	\N	\N	\N	t	f
10148	1001	Caquetá	nl	0	2013-06-05 11:30:39.819941+02	1	Caquetá	\N	\N	\N	\N	\N	\N	t	f
8979	2996	Subdivision de Karak	fr	0	2013-06-05 10:40:12.303398+02	1	Subdivision de Karak	\N	\N	\N	\N	\N	\N	t	f
9639	1498	Campeche	de	0	2013-06-05 11:08:22.92705+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
10211	2494	Aqtöbe	de	0	2013-06-05 11:33:36.60297+02	1	Aqtöbe	\N	\N	\N	\N	\N	\N	t	f
11012	361	Buskerud	es	0	2013-06-05 12:08:12.032607+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
10217	2494	Oblys di Aqtöbe	it	0	2013-06-05 11:33:55.079465+02	1	Oblys di Aqtöbe	\N	\N	\N	\N	\N	\N	t	f
10927	386	Préfecture d'Aomori	fr	0	2013-06-05 12:04:42.687037+02	1	Préfecture d'Aomori	\N	\N	\N	\N	\N	\N	t	f
10951	1527	Región Autónoma del Atlántico Norte	no	0	2013-06-05 12:05:42.112073+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
11038	1654	Angaur	de	0	2013-06-05 12:09:21.77196+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11053	4196	Brava	de	0	2013-06-05 12:09:58.770831+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
11088	1791	Distrito de Brčko	es	0	2013-06-05 12:11:28.374862+02	1	Distrito de Brčko	\N	\N	\N	\N	\N	\N	t	f
2469	4	Samoa Americana	es	0	2013-05-27 15:57:32.531583+02	\N	Samoa Americana	\N	\N	\N	\N	\N	\N	t	f
2470	4	Ameerika Samoa	et	0	2013-05-27 15:57:34.76867+02	\N	Ameerika Samoa	\N	\N	\N	\N	\N	\N	t	f
3392	3068	Provincia de Haíl	es	0	2013-05-27 20:00:37.454623+02	1	Provincia de Haíl	\N	\N	\N	\N	\N	\N	t	f
3417	2133	Žalec	de	0	2013-05-27 20:01:35.041477+02	1	Žalec	\N	\N	\N	\N	\N	\N	t	f
3828	2953	Al-Qadisiyah	nl	0	2013-06-05 06:57:07.376021+02	1	Al-Qadisiyah	\N	\N	\N	\N	\N	\N	t	f
3837	2399	Circondario autonomo della Čukotka	it	0	2013-06-05 06:57:37.419432+02	1	Circondario autonomo della Čukotka	\N	\N	\N	\N	\N	\N	t	f
4243	3144	Bujumbura	et	0	2013-06-05 07:15:21.456301+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
3880	4060	Babək	no	0	2013-06-05 06:59:22.177924+02	1	Babək	\N	\N	\N	\N	\N	\N	t	f
3883	4643	Province of Catanzaro	en	0	2013-06-05 06:59:29.947466+02	1	Province of Catanzaro	\N	\N	\N	\N	\N	\N	t	f
3884	4643	Catanzaro	es	0	2013-06-05 06:59:32.337971+02	1	Catanzaro	\N	\N	\N	\N	\N	\N	t	f
4254	3681	Batha	fi	0	2013-06-05 07:15:49.070411+02	1	Batha	\N	\N	\N	\N	\N	\N	t	f
3895	1141	Cojedes	et	0	2013-06-05 07:00:00.525499+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
4777	3103	Gouvernement al-Mahra	de	0	2013-06-05 07:38:43.524959+02	1	Gouvernement al-Mahra	\N	\N	\N	\N	\N	\N	t	f
4257	3681	バタ州	ja	0	2013-06-05 07:15:56.205495+02	1	バタ州	\N	\N	\N	\N	\N	\N	t	f
4380	4588	キャバン州	ja	0	2013-06-05 07:21:43.820843+02	1	キャバン州	\N	\N	\N	\N	\N	\N	t	f
4791	4853	ベリ県	ja	0	2013-06-05 07:39:39.586885+02	1	ベリ県	\N	\N	\N	\N	\N	\N	t	f
5346	3000	アハマディ県	ja	0	2013-06-05 08:03:39.430598+02	1	アハマディ県	\N	\N	\N	\N	\N	\N	t	f
4815	1062	アンカシュ県	ja	0	2013-06-05 07:40:46.836286+02	1	アンカシュ県	\N	\N	\N	\N	\N	\N	t	f
4843	2944	Bagdad	no	0	2013-06-05 07:41:58.657243+02	1	Bagdad	\N	\N	\N	\N	\N	\N	t	f
5435	3811	Caerphilly	no	0	2013-06-05 08:07:23.206008+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
5991	4155	ブグリバ県	ja	0	2013-06-05 08:31:18.910222+02	1	ブグリバ県	\N	\N	\N	\N	\N	\N	t	f
5445	1810	Andalucía	es	0	2013-06-05 08:07:47.658786+02	1	Andalucía	\N	\N	\N	\N	\N	\N	t	f
5451	1810	Andalusië	nl	0	2013-06-05 08:08:02.034042+02	1	Andalusië	\N	\N	\N	\N	\N	\N	t	f
5472	4158	Comoé	de	0	2013-06-05 08:08:53.685934+02	1	Comoé	\N	\N	\N	\N	\N	\N	t	f
6002	3780	Bulawayo	no	0	2013-06-05 08:31:45.426802+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
5474	4158	Provincia de Comoé	es	0	2013-06-05 08:08:58.476377+02	1	Provincia de Comoé	\N	\N	\N	\N	\N	\N	t	f
5489	4636	Provinsen Carbonia-Iglesias	no	0	2013-06-05 08:09:34.531683+02	1	Provinsen Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
6668	998	Bolívar	fi	0	2013-06-05 09:00:27.358691+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6071	512	Provincia di Adalia	it	0	2013-06-05 08:34:34.738786+02	1	Provincia di Adalia	\N	\N	\N	\N	\N	\N	t	f
6074	512	Antalya	no	0	2013-06-05 08:34:42.077223+02	1	Antalya	\N	\N	\N	\N	\N	\N	t	f
6109	3073	Al-Bāḩah' provints	et	0	2013-06-05 08:36:15.295431+02	1	Al-Bāḩah' provints	\N	\N	\N	\N	\N	\N	t	f
6678	3803	Blackburn with Darwen	nl	0	2013-06-05 09:00:51.912888+02	1	Blackburn with Darwen	\N	\N	\N	\N	\N	\N	t	f
6113	3073	バーハ州	ja	0	2013-06-05 08:36:24.76625+02	1	バーハ州	\N	\N	\N	\N	\N	\N	t	f
6117	4084	Comilla	fr	0	2013-06-05 08:36:35.509121+02	1	Comilla	\N	\N	\N	\N	\N	\N	t	f
7476	645	Burgenland	no	0	2013-06-05 09:34:57.264593+02	1	Burgenland	\N	\N	\N	\N	\N	\N	t	f
6128	3490	Agalega-Inseln	de	0	2013-06-05 08:37:03.036597+02	1	Agalega-Inseln	\N	\N	\N	\N	\N	\N	t	f
6689	3289	Wilaya de Bordj Bou Arreridj	fr	0	2013-06-05 09:01:18.666479+02	1	Wilaya de Bordj Bou Arreridj	\N	\N	\N	\N	\N	\N	t	f
6163	591	Basel-Landschaft	no	0	2013-06-05 08:38:28.759125+02	1	Basel-Landschaft	\N	\N	\N	\N	\N	\N	t	f
6189	1184	Cat Island (Bahamas)	no	0	2013-06-05 08:39:42.149851+02	1	Cat Island (Bahamas)	\N	\N	\N	\N	\N	\N	t	f
6190	1440	Atlántida	de	0	2013-06-05 08:39:44.894449+02	1	Atlántida	\N	\N	\N	\N	\N	\N	t	f
6709	4630	Provinsen Barletta-Andria-Trani	no	0	2013-06-05 09:02:10.472976+02	1	Provinsen Barletta-Andria-Trani	\N	\N	\N	\N	\N	\N	t	f
8874	1106	Commewijne	fr	0	2013-06-05 10:35:48.028456+02	1	Commewijne	\N	\N	\N	\N	\N	\N	t	f
7480	4287	Distretto di Blansko	it	0	2013-06-05 09:35:08.760746+02	1	Distretto di Blansko	\N	\N	\N	\N	\N	\N	t	f
8672	3062	Al Daayen	en	0	2013-06-05 10:27:30.967703+02	1	Al Daayen	\N	\N	\N	\N	\N	\N	t	f
8057	4288	Brno-City District	en	0	2013-06-05 10:00:55.507073+02	1	Brno-City District	\N	\N	\N	\N	\N	\N	t	f
8068	3322	Luxor	no	0	2013-06-05 10:01:27.401465+02	1	Luxor	\N	\N	\N	\N	\N	\N	t	f
8785	980	Regione di Antofagasta	it	0	2013-06-05 10:32:05.199234+02	1	Regione di Antofagasta	\N	\N	\N	\N	\N	\N	t	f
8069	999	Departamento de Boyacá	de	0	2013-06-05 10:01:30.210186+02	1	Departamento de Boyacá	\N	\N	\N	\N	\N	\N	t	f
8675	513	Επαρχία Αρτβίν	el	0	2013-06-05 10:27:38.571626+02	1	Επαρχία Αρτβίν	\N	\N	\N	\N	\N	\N	t	f
8070	999	Μπογιακά	el	0	2013-06-05 10:01:32.627261+02	1	Μπογιακά	\N	\N	\N	\N	\N	\N	t	f
8105	4374	Charente	fr	0	2013-06-05 10:03:07.780534+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8117	4898	Bulacan	en	0	2013-06-05 10:03:37.155099+02	1	Bulacan	\N	\N	\N	\N	\N	\N	t	f
8682	513	Artvin	no	0	2013-06-05 10:27:55.029178+02	1	Artvin	\N	\N	\N	\N	\N	\N	t	f
8176	2493	Aqmola	de	0	2013-06-05 10:06:06.153322+02	1	Aqmola	\N	\N	\N	\N	\N	\N	t	f
8188	1830	Aquitania	es	0	2013-06-05 10:06:35.407553+02	1	Aquitania	\N	\N	\N	\N	\N	\N	t	f
8192	1830	Aquitania	it	0	2013-06-05 10:06:45.026929+02	1	Aquitania	\N	\N	\N	\N	\N	\N	t	f
8694	3830	Cumbria	en	0	2013-06-05 10:28:24.088459+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
8817	1632	Simbu	fr	0	2013-06-05 10:33:26.808021+02	1	Simbu	\N	\N	\N	\N	\N	\N	t	f
8700	3830	カンブリア	ja	0	2013-06-05 10:28:38.113089+02	1	カンブリア	\N	\N	\N	\N	\N	\N	t	f
8734	329	Bremen	es	0	2013-06-05 10:30:01.87098+02	1	Bremen	\N	\N	\N	\N	\N	\N	t	f
9647	1498	カンペチェ州	ja	0	2013-06-05 11:08:56.800324+02	1	カンペチェ州	\N	\N	\N	\N	\N	\N	t	f
8755	590	Berna	es	0	2013-06-05 10:30:52.7093+02	1	Berna	\N	\N	\N	\N	\N	\N	t	f
8824	3260	Wilaya de Batna	fr	0	2013-06-05 10:33:46.871127+02	1	Wilaya de Batna	\N	\N	\N	\N	\N	\N	t	f
8946	1309	Cēsu novads	nl	0	2013-06-05 10:38:52.692454+02	1	Cēsu novads	\N	\N	\N	\N	\N	\N	t	f
8864	660	Chhattisgarh	no	0	2013-06-05 10:35:23.779968+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
9641	1498	Campeche	en	0	2013-06-05 11:08:31.031172+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
9932	3430	ジャバル・アル・ガルビ県	ja	0	2013-06-05 11:21:22.484992+02	1	ジャバル・アル・ガルビ県	\N	\N	\N	\N	\N	\N	t	f
9670	4426	Bajo Rin	es	0	2013-06-05 11:10:19.466599+02	1	Bajo Rin	\N	\N	\N	\N	\N	\N	t	f
10151	1186	Central Abaco	es	0	2013-06-05 11:30:47.319026+02	1	Central Abaco	\N	\N	\N	\N	\N	\N	t	f
10928	386	Prefettura di Aomori	it	0	2013-06-05 12:04:45.215077+02	1	Prefettura di Aomori	\N	\N	\N	\N	\N	\N	t	f
10947	1527	Atlántico Norte	fr	0	2013-06-05 12:05:32.462041+02	1	Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
10948	1527	Regione Autonoma Atlantico Nord	it	0	2013-06-05 12:05:34.936847+02	1	Regione Autonoma Atlantico Nord	\N	\N	\N	\N	\N	\N	t	f
10981	3304	Alejandría	es	0	2013-06-05 12:06:55.176837+02	1	Alejandría	\N	\N	\N	\N	\N	\N	t	f
10986	3304	Alexandrië	nl	0	2013-06-05 12:07:07.093963+02	1	Alexandrië	\N	\N	\N	\N	\N	\N	t	f
10987	3304	Al Iskandariyah	no	0	2013-06-05 12:07:09.473349+02	1	Al Iskandariyah	\N	\N	\N	\N	\N	\N	t	f
11035	3548	Borno	it	0	2013-06-05 12:09:10.574953+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
11103	1831	Auvergne	en	0	2013-06-05 12:12:04.955732+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
2472	4	Samoa américaines	fr	0	2013-05-27 15:57:39.237424+02	\N	Samoa américaines	\N	\N	\N	\N	\N	\N	t	f
2473	4	Samoa Americane	it	0	2013-05-27 15:57:42.654388+02	\N	Samoa Americane	\N	\N	\N	\N	\N	\N	t	f
2515	231	Yhdysvaltain Neitsytsaaret	fi	0	2013-05-27 15:59:34.468945+02	\N	Yhdysvaltain Neitsytsaaret	\N	\N	\N	\N	\N	\N	t	f
2474	4	アメリカ領サモア	ja	0	2013-05-27 15:57:44.894901+02	\N	アメリカ領サモア	\N	\N	\N	\N	\N	\N	t	f
2501	115	Kyrgyzstan	en	0	2013-05-27 15:59:00.829485+02	\N	Kyrgyzstan	\N	\N	\N	\N	\N	\N	t	f
2475	4	Amerikaans-Samoa	nl	0	2013-05-27 15:57:49.434125+02	\N	Amerikaans-Samoa	\N	\N	\N	\N	\N	\N	t	f
2476	4	Amerikansk Samoa	no	0	2013-05-27 15:57:51.71382+02	\N	Amerikansk Samoa	\N	\N	\N	\N	\N	\N	t	f
2477	214	Türkei	de	0	2013-05-27 15:57:55.028038+02	\N	Türkei	\N	\N	\N	\N	\N	\N	t	f
2502	115	Kirguistán	es	0	2013-05-27 15:59:03.882552+02	\N	Kirguistán	\N	\N	\N	\N	\N	\N	t	f
2478	214	Τουρκία	el	0	2013-05-27 15:57:57.296022+02	\N	Τουρκία	\N	\N	\N	\N	\N	\N	t	f
2479	214	Turkey	en	0	2013-05-27 15:58:00.087743+02	\N	Turkey	\N	\N	\N	\N	\N	\N	t	f
2480	214	Turquía	es	0	2013-05-27 15:58:02.300999+02	\N	Turquía	\N	\N	\N	\N	\N	\N	t	f
2503	115	Kõrgõzstan	et	0	2013-05-27 15:59:06.086515+02	\N	Kõrgõzstan	\N	\N	\N	\N	\N	\N	t	f
2481	214	Türgi	et	0	2013-05-27 15:58:04.493563+02	\N	Türgi	\N	\N	\N	\N	\N	\N	t	f
2482	214	Turkki	fi	0	2013-05-27 15:58:06.681103+02	\N	Turkki	\N	\N	\N	\N	\N	\N	t	f
2516	231	Îles Vierges des États-Unis	fr	0	2013-05-27 15:59:36.696764+02	\N	Îles Vierges des États-Unis	\N	\N	\N	\N	\N	\N	t	f
2483	214	Turquie	fr	0	2013-05-27 15:58:08.875489+02	\N	Turquie	\N	\N	\N	\N	\N	\N	t	f
2504	115	Kirgisia	fi	0	2013-05-27 15:59:08.322758+02	\N	Kirgisia	\N	\N	\N	\N	\N	\N	t	f
2484	214	Turchia	it	0	2013-05-27 15:58:11.159731+02	\N	Turchia	\N	\N	\N	\N	\N	\N	t	f
2485	214	トルコ	ja	0	2013-05-27 15:58:15.8016+02	\N	トルコ	\N	\N	\N	\N	\N	\N	t	f
2486	214	Turkije	nl	0	2013-05-27 15:58:18.018135+02	\N	Turkije	\N	\N	\N	\N	\N	\N	t	f
2505	115	Kirghizistan	fr	0	2013-05-27 15:59:10.521176+02	\N	Kirghizistan	\N	\N	\N	\N	\N	\N	t	f
2487	214	Tyrkia	no	0	2013-05-27 15:58:20.270764+02	\N	Tyrkia	\N	\N	\N	\N	\N	\N	t	f
2488	241	Europa	de	0	2013-05-27 15:58:23.465634+02	\N	Europa	\N	\N	\N	\N	\N	\N	t	f
2538	48	Comores	fr	0	2013-05-27 16:00:39.90609+02	\N	Comores	\N	\N	\N	\N	\N	\N	t	f
2489	241	Ευρώπη	el	0	2013-05-27 15:58:25.819485+02	\N	Ευρώπη	\N	\N	\N	\N	\N	\N	t	f
2506	115	Kirghizistan	it	0	2013-05-27 15:59:12.775689+02	\N	Kirghizistan	\N	\N	\N	\N	\N	\N	t	f
2490	241	Europe	en	0	2013-05-27 15:58:28.020929+02	\N	Europe	\N	\N	\N	\N	\N	\N	t	f
2491	241	Europa	es	0	2013-05-27 15:58:30.219483+02	\N	Europa	\N	\N	\N	\N	\N	\N	t	f
2517	231	Isole Vergini americane	it	0	2013-05-27 15:59:38.91652+02	\N	Isole Vergini americane	\N	\N	\N	\N	\N	\N	t	f
2492	241	Euroopa	et	0	2013-05-27 15:58:32.403747+02	\N	Euroopa	\N	\N	\N	\N	\N	\N	t	f
2507	115	キルギス	ja	0	2013-05-27 15:59:15.788554+02	\N	キルギス	\N	\N	\N	\N	\N	\N	t	f
2493	241	Eurooppa	fi	0	2013-05-27 15:58:34.638776+02	\N	Eurooppa	\N	\N	\N	\N	\N	\N	t	f
2494	241	Europe	fr	0	2013-05-27 15:58:37.146361+02	\N	Europe	\N	\N	\N	\N	\N	\N	t	f
2495	241	Europa	it	0	2013-05-27 15:58:42.992169+02	\N	Europa	\N	\N	\N	\N	\N	\N	t	f
2508	115	Kirgizië	nl	0	2013-05-27 15:59:18.154587+02	\N	Kirgizië	\N	\N	\N	\N	\N	\N	t	f
2496	241	ヨーロッパ	ja	0	2013-05-27 15:58:45.222523+02	\N	ヨーロッパ	\N	\N	\N	\N	\N	\N	t	f
2497	241	Europa	nl	0	2013-05-27 15:58:47.457719+02	\N	Europa	\N	\N	\N	\N	\N	\N	t	f
2525	204	Süüria	et	0	2013-05-27 15:59:57.501669+02	\N	Süüria	\N	\N	\N	\N	\N	\N	t	f
2498	241	Europa	no	0	2013-05-27 15:58:49.972578+02	\N	Europa	\N	\N	\N	\N	\N	\N	t	f
2509	115	Kirgisistan	no	0	2013-05-27 15:59:20.402092+02	\N	Kirgisistan	\N	\N	\N	\N	\N	\N	t	f
2499	115	Kirgisistan	de	0	2013-05-27 15:58:53.089306+02	\N	Kirgisistan	\N	\N	\N	\N	\N	\N	t	f
2518	231	アメリカ領ヴァージン諸島	ja	0	2013-05-27 15:59:41.25494+02	\N	アメリカ領ヴァージン諸島	\N	\N	\N	\N	\N	\N	t	f
2500	115	Κιργιζία	el	0	2013-05-27 15:58:58.584179+02	\N	Κιργιζία	\N	\N	\N	\N	\N	\N	t	f
2510	231	Amerikanische Jungferninseln	de	0	2013-05-27 15:59:23.307607+02	\N	Amerikanische Jungferninseln	\N	\N	\N	\N	\N	\N	t	f
2511	231	Αμερικανικές Παρθένοι Νήσοι	el	0	2013-05-27 15:59:25.495109+02	\N	Αμερικανικές Παρθένοι Νήσοι	\N	\N	\N	\N	\N	\N	t	f
2519	231	Amerikaanse Maagdeneilanden	nl	0	2013-05-27 15:59:43.490072+02	\N	Amerikaanse Maagdeneilanden	\N	\N	\N	\N	\N	\N	t	f
2512	231	U.S. Virgin Islands	en	0	2013-05-27 15:59:27.765944+02	\N	U.S. Virgin Islands	\N	\N	\N	\N	\N	\N	t	f
2513	231	Islas Vírgenes de los Estados Unidos	es	0	2013-05-27 15:59:29.94987+02	\N	Islas Vírgenes de los Estados Unidos	\N	\N	\N	\N	\N	\N	t	f
2533	48	Κομόρες	el	0	2013-05-27 16:00:26.719732+02	\N	Κομόρες	\N	\N	\N	\N	\N	\N	t	f
2514	231	USA Neitsisaared	et	0	2013-05-27 15:59:32.209166+02	\N	USA Neitsisaared	\N	\N	\N	\N	\N	\N	t	f
2526	204	Syyria	fi	0	2013-05-27 16:00:02.619079+02	\N	Syyria	\N	\N	\N	\N	\N	\N	t	f
2520	231	De amerikanske jomfruøyene	no	0	2013-05-27 15:59:45.73093+02	\N	De amerikanske jomfruøyene	\N	\N	\N	\N	\N	\N	t	f
2521	204	Syrien	de	0	2013-05-27 15:59:48.698124+02	\N	Syrien	\N	\N	\N	\N	\N	\N	t	f
2522	204	Συρία	el	0	2013-05-27 15:59:50.879243+02	\N	Συρία	\N	\N	\N	\N	\N	\N	t	f
2527	204	Syrie	fr	0	2013-05-27 16:00:07.239783+02	\N	Syrie	\N	\N	\N	\N	\N	\N	t	f
2523	204	Syria	en	0	2013-05-27 15:59:53.083296+02	\N	Syria	\N	\N	\N	\N	\N	\N	t	f
2524	204	Siria	es	0	2013-05-27 15:59:55.301126+02	\N	Siria	\N	\N	\N	\N	\N	\N	t	f
2534	48	Comoros	en	0	2013-05-27 16:00:28.900891+02	\N	Comoros	\N	\N	\N	\N	\N	\N	t	f
2528	204	Siria	it	0	2013-05-27 16:00:09.825745+02	\N	Siria	\N	\N	\N	\N	\N	\N	t	f
2529	204	シリア	ja	0	2013-05-27 16:00:13.700644+02	\N	シリア	\N	\N	\N	\N	\N	\N	t	f
2530	204	Syrië	nl	0	2013-05-27 16:00:19.173006+02	\N	Syrië	\N	\N	\N	\N	\N	\N	t	f
2535	48	Comoras	es	0	2013-05-27 16:00:31.198814+02	\N	Comoras	\N	\N	\N	\N	\N	\N	t	f
2531	204	Syria	no	0	2013-05-27 16:00:21.554778+02	\N	Syria	\N	\N	\N	\N	\N	\N	t	f
2532	48	Komoren	de	0	2013-05-27 16:00:24.534369+02	\N	Komoren	\N	\N	\N	\N	\N	\N	t	f
2539	48	Comore	it	0	2013-05-27 16:00:42.166941+02	\N	Comore	\N	\N	\N	\N	\N	\N	t	f
2536	48	Komoorid	et	0	2013-05-27 16:00:33.565801+02	\N	Komoorid	\N	\N	\N	\N	\N	\N	t	f
2537	48	Komorit	fi	0	2013-05-27 16:00:37.679197+02	\N	Komorit	\N	\N	\N	\N	\N	\N	t	f
2542	48	Komorene	no	0	2013-05-27 16:00:52.320006+02	\N	Komorene	\N	\N	\N	\N	\N	\N	t	f
2540	48	コモロ	ja	0	2013-05-27 16:00:44.438839+02	\N	コモロ	\N	\N	\N	\N	\N	\N	t	f
2545	68	Ethiopia	en	0	2013-05-27 16:01:03.594863+02	\N	Ethiopia	\N	\N	\N	\N	\N	\N	t	f
2541	48	Comoren	nl	0	2013-05-27 16:00:50.062777+02	\N	Comoren	\N	\N	\N	\N	\N	\N	t	f
2544	68	Αιθιοπία	el	0	2013-05-27 16:01:01.375801+02	\N	Αιθιοπία	\N	\N	\N	\N	\N	\N	t	f
2543	68	Äthiopien	de	0	2013-05-27 16:00:59.099614+02	\N	Äthiopien	\N	\N	\N	\N	\N	\N	t	f
2546	68	Etiopía	es	0	2013-05-27 16:01:08.922294+02	\N	Etiopía	\N	\N	\N	\N	\N	\N	t	f
2547	68	Etioopia	et	0	2013-05-27 16:01:11.127578+02	\N	Etioopia	\N	\N	\N	\N	\N	\N	t	f
2548	68	Etiopia	fi	0	2013-05-27 16:01:13.397238+02	\N	Etiopia	\N	\N	\N	\N	\N	\N	t	f
2549	68	Éthiopie	fr	0	2013-05-27 16:01:17.94795+02	\N	Éthiopie	\N	\N	\N	\N	\N	\N	t	f
2550	68	Etiopia	it	0	2013-05-27 16:01:20.221075+02	\N	Etiopia	\N	\N	\N	\N	\N	\N	t	f
2551	68	エチオピア	ja	0	2013-05-27 16:01:22.464216+02	\N	エチオピア	\N	\N	\N	\N	\N	\N	t	f
2552	68	Ethiopië	nl	0	2013-05-27 16:01:24.867407+02	\N	Ethiopië	\N	\N	\N	\N	\N	\N	t	f
2553	68	Etiopia	no	0	2013-05-27 16:01:27.105081+02	\N	Etiopia	\N	\N	\N	\N	\N	\N	t	f
2554	53	Kroatien	de	0	2013-05-27 16:01:30.172747+02	\N	Kroatien	\N	\N	\N	\N	\N	\N	t	f
2555	53	Κροατία	el	0	2013-05-27 16:01:34.717326+02	\N	Κροατία	\N	\N	\N	\N	\N	\N	t	f
3393	3068	Ha'il	fi	0	2013-05-27 20:00:39.696084+02	1	Ha'il	\N	\N	\N	\N	\N	\N	t	f
3419	2133	Žalec	es	0	2013-05-27 20:01:39.640013+02	1	Žalec	\N	\N	\N	\N	\N	\N	t	f
3830	2399	Autonomer Kreis der Tschuktschen	de	0	2013-06-05 06:57:15.159886+02	1	Autonomer Kreis der Tschuktschen	\N	\N	\N	\N	\N	\N	t	f
3421	2133	Žalec	it	0	2013-05-27 20:01:44.088593+02	1	Žalec	\N	\N	\N	\N	\N	\N	t	f
3832	2399	Chukotka Autonomous Okrug	en	0	2013-06-05 06:57:19.947887+02	1	Chukotka Autonomous Okrug	\N	\N	\N	\N	\N	\N	t	f
4245	3144	Bujumbura	fr	0	2013-06-05 07:15:26.785234+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
3833	2399	Chukotka	es	0	2013-06-05 06:57:22.342873+02	1	Chukotka	\N	\N	\N	\N	\N	\N	t	f
3887	4643	Province de Catanzaro	fr	0	2013-06-05 06:59:39.58973+02	1	Province de Catanzaro	\N	\N	\N	\N	\N	\N	t	f
4250	3681	Region Batha	de	0	2013-06-05 07:15:39.518114+02	1	Region Batha	\N	\N	\N	\N	\N	\N	t	f
4779	3103	Gobernación de Al Mahrah	es	0	2013-06-05 07:38:48.862393+02	1	Gobernación de Al Mahrah	\N	\N	\N	\N	\N	\N	t	f
4331	1816	Castilla-La Mancha	no	0	2013-06-05 07:19:29.93554+02	1	Castilla-La Mancha	\N	\N	\N	\N	\N	\N	t	f
4341	816	Buzău	no	0	2013-06-05 07:20:00.334816+02	1	Buzău	\N	\N	\N	\N	\N	\N	t	f
4350	1893	Balzers	fi	0	2013-06-05 07:20:25.754318+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
4786	4853	Bheri Zone	en	0	2013-06-05 07:39:20.216704+02	1	Bheri Zone	\N	\N	\N	\N	\N	\N	t	f
4360	3545	Anambra	fi	0	2013-06-05 07:20:54.205892+02	1	Anambra	\N	\N	\N	\N	\N	\N	t	f
5348	1445	Departamento Cortés	de	0	2013-06-05 08:03:46.882287+02	1	Departamento Cortés	\N	\N	\N	\N	\N	\N	t	f
4813	1062	Région d'Ancash	fr	0	2013-06-05 07:40:42.030856+02	1	Région d'Ancash	\N	\N	\N	\N	\N	\N	t	f
4861	2927	Sharjah	en	0	2013-06-05 07:42:42.818287+02	1	Sharjah	\N	\N	\N	\N	\N	\N	t	f
4886	3416	ブータ・ブーテ県	ja	0	2013-06-05 07:43:43.233259+02	1	ブータ・ブーテ県	\N	\N	\N	\N	\N	\N	t	f
5387	3550	Cross River	it	0	2013-06-05 08:05:25.944183+02	1	Cross River	\N	\N	\N	\N	\N	\N	t	f
4891	4303	District de Bruntál	fr	0	2013-06-05 07:43:55.398599+02	1	District de Bruntál	\N	\N	\N	\N	\N	\N	t	f
4900	510	Provincia di Amasya	it	0	2013-06-05 07:44:17.352085+02	1	Provincia di Amasya	\N	\N	\N	\N	\N	\N	t	f
5992	4155	Bougouriba	nl	0	2013-06-05 08:31:21.299666+02	1	Bougouriba	\N	\N	\N	\N	\N	\N	t	f
4901	510	アマスィヤ県	ja	0	2013-06-05 07:44:19.861231+02	1	アマスィヤ県	\N	\N	\N	\N	\N	\N	t	f
5414	1926	Berane Municipality	en	0	2013-06-05 08:06:32.12765+02	1	Berane Municipality	\N	\N	\N	\N	\N	\N	t	f
6669	998	Bolívar	fr	0	2013-06-05 09:00:29.739581+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
6039	4152	Bam	fi	0	2013-06-05 08:33:16.472038+02	1	Bam	\N	\N	\N	\N	\N	\N	t	f
6040	4152	Bam	fr	0	2013-06-05 08:33:18.814337+02	1	Bam	\N	\N	\N	\N	\N	\N	t	f
6670	998	dipartimento di Bolívar	it	0	2013-06-05 09:00:32.145411+02	1	dipartimento di Bolívar	\N	\N	\N	\N	\N	\N	t	f
7481	4287	Okres Blansko	nl	0	2013-06-05 09:35:13.780065+02	1	Okres Blansko	\N	\N	\N	\N	\N	\N	t	f
8674	513	Artvin	de	0	2013-06-05 10:27:36.239201+02	1	Artvin	\N	\N	\N	\N	\N	\N	t	f
8058	4288	District de Brno-město	fr	0	2013-06-05 10:00:57.843261+02	1	District de Brno-město	\N	\N	\N	\N	\N	\N	t	f
9737	4364	Alpes-Maritimes	et	0	2013-06-05 11:13:12.910673+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
8678	513	Artvin	fr	0	2013-06-05 10:27:45.56835+02	1	Artvin	\N	\N	\N	\N	\N	\N	t	f
8810	4754	Prefectura de Auserd	es	0	2013-06-05 10:33:10.076225+02	1	Prefectura de Auserd	\N	\N	\N	\N	\N	\N	t	f
11588	4545	Attica	it	0	2013-06-05 12:33:08.262292+02	1	Attica	\N	\N	\N	\N	\N	\N	t	f
8811	4754	Province d'Aousserd	fr	0	2013-06-05 10:33:12.388466+02	1	Province d'Aousserd	\N	\N	\N	\N	\N	\N	t	f
9767	1708	Berati maakond	et	0	2013-06-05 11:14:25.438854+02	1	Berati maakond	\N	\N	\N	\N	\N	\N	t	f
8825	3260	provincia di Batna	it	0	2013-06-05 10:33:49.212725+02	1	provincia di Batna	\N	\N	\N	\N	\N	\N	t	f
8828	1052	Cuyuni-Mazaruni	de	0	2013-06-05 10:33:56.618156+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
10156	3826	Conwy County Borough	en	0	2013-06-05 11:30:59.844446+02	1	Conwy County Borough	\N	\N	\N	\N	\N	\N	t	f
8834	1052	Cuyuni-Mazaruni	no	0	2013-06-05 10:34:11.413132+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
9773	1708	Berat	no	0	2013-06-05 11:14:39.757278+02	1	Berat	\N	\N	\N	\N	\N	\N	t	f
9643	1498	Campeche osariik	et	0	2013-06-05 11:08:35.781457+02	1	Campeche osariik	\N	\N	\N	\N	\N	\N	t	f
9652	2786	Mindanao Musulmán	es	0	2013-06-05 11:09:13.703346+02	1	Mindanao Musulmán	\N	\N	\N	\N	\N	\N	t	f
9676	4426	Bas-Rhin	nl	0	2013-06-05 11:10:40.143854+02	1	Bas-Rhin	\N	\N	\N	\N	\N	\N	t	f
9781	1482	Christ Church Nichola Town Parish	en	0	2013-06-05 11:14:59.448199+02	1	Christ Church Nichola Town Parish	\N	\N	\N	\N	\N	\N	t	f
9694	4624	Μπιέλλα	el	0	2013-06-05 11:11:27.94292+02	1	Μπιέλλα	\N	\N	\N	\N	\N	\N	t	f
9695	4624	Biella	en	0	2013-06-05 11:11:30.315004+02	1	Biella	\N	\N	\N	\N	\N	\N	t	f
9712	1670	Honiara	de	0	2013-06-05 11:12:12.701608+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
9784	1482	Christ Church Nichola Town	fr	0	2013-06-05 11:15:06.532577+02	1	Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
9721	1670	Honiara	nl	0	2013-06-05 11:12:33.965477+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
10159	3826	Conwy	fi	0	2013-06-05 11:31:07.071124+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
9802	1544	Bocas del Toro	fr	0	2013-06-05 11:15:50.556413+02	1	Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
9938	1615	Aiwo	fi	0	2013-06-05 11:21:37.051023+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
10190	3059	Rayán	es	0	2013-06-05 11:32:23.31216+02	1	Rayán	\N	\N	\N	\N	\N	\N	t	f
10152	1186	Central Abaco	fr	0	2013-06-05 11:30:49.688284+02	1	Central Abaco	\N	\N	\N	\N	\N	\N	t	f
10321	879	Comté de Changhua	fr	0	2013-06-05 11:38:37.048317+02	1	Comté de Changhua	\N	\N	\N	\N	\N	\N	t	f
10930	386	Aomori	nl	0	2013-06-05 12:04:50.006143+02	1	Aomori	\N	\N	\N	\N	\N	\N	t	f
11538	2470	Aragatsotn	no	0	2013-06-05 12:31:01.948658+02	1	Aragatsotn	\N	\N	\N	\N	\N	\N	t	f
2556	53	Croatia	en	0	2013-05-27 16:01:36.924499+02	\N	Croatia	\N	\N	\N	\N	\N	\N	t	f
3395	3068	Ha'il	it	0	2013-05-27 20:00:44.129938+02	1	Ha'il	\N	\N	\N	\N	\N	\N	t	f
3398	3068	Ha'il	no	0	2013-05-27 20:00:51.070101+02	1	Ha'il	\N	\N	\N	\N	\N	\N	t	f
3831	2399	Αυτόνομος θύλακας Τσουκότκα	el	0	2013-06-05 06:57:17.537155+02	1	Αυτόνομος θύλακας Τσουκότκα	\N	\N	\N	\N	\N	\N	t	f
3425	2337	Municipality of Čučer-Sandevo	en	0	2013-05-27 20:01:53.890041+02	1	Municipality of Čučer-Sandevo	\N	\N	\N	\N	\N	\N	t	f
3844	3290	Wilaya de Boumerdès	fr	0	2013-06-05 06:57:54.579714+02	1	Wilaya de Boumerdès	\N	\N	\N	\N	\N	\N	t	f
4248	3144	Bujumbura	nl	0	2013-06-05 07:15:34.047897+02	1	Bujumbura	\N	\N	\N	\N	\N	\N	t	f
3889	4643	カタンザーロ県	ja	0	2013-06-05 06:59:45.040309+02	1	カタンザーロ県	\N	\N	\N	\N	\N	\N	t	f
4782	3103	Al Mahrah	nl	0	2013-06-05 07:39:02.066298+02	1	Al Mahrah	\N	\N	\N	\N	\N	\N	t	f
4795	3682	Región de Barh El Gazel	es	0	2013-06-05 07:39:54.332438+02	1	Región de Barh El Gazel	\N	\N	\N	\N	\N	\N	t	f
5349	1445	Cortés Department	en	0	2013-06-05 08:03:49.385967+02	1	Cortés Department	\N	\N	\N	\N	\N	\N	t	f
4796	3682	Barh El Gazel	fr	0	2013-06-05 07:39:56.655175+02	1	Barh El Gazel	\N	\N	\N	\N	\N	\N	t	f
4876	396	Prefettura di Chiba	it	0	2013-06-05 07:43:19.181864+02	1	Prefettura di Chiba	\N	\N	\N	\N	\N	\N	t	f
5385	3550	Cross River	fi	0	2013-06-05 08:05:21.259127+02	1	Cross River	\N	\N	\N	\N	\N	\N	t	f
5993	3780	Bulawayo	de	0	2013-06-05 08:31:24.050101+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
5459	3880	Bromley	it	0	2013-06-05 08:08:21.608435+02	1	Bromley	\N	\N	\N	\N	\N	\N	t	f
5507	2385	Oblast Tsjernihiv	nl	0	2013-06-05 08:10:19.064608+02	1	Oblast Tsjernihiv	\N	\N	\N	\N	\N	\N	t	f
5551	3882	Croydon	et	0	2013-06-05 08:12:09.768469+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
6019	1811	Aragón	no	0	2013-06-05 08:32:26.876689+02	1	Aragón	\N	\N	\N	\N	\N	\N	t	f
6712	4888	Apayao	es	0	2013-06-05 09:02:17.978864+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
6020	4263	Okres Chomutov	de	0	2013-06-05 08:32:29.630609+02	1	Okres Chomutov	\N	\N	\N	\N	\N	\N	t	f
6031	4631	Province autonome de Bolzano	fr	0	2013-06-05 08:32:56.789752+02	1	Province autonome de Bolzano	\N	\N	\N	\N	\N	\N	t	f
6036	4152	Bam	de	0	2013-06-05 08:33:09.240452+02	1	Bam	\N	\N	\N	\N	\N	\N	t	f
6731	2400	Tšuvassia	fi	0	2013-06-05 09:03:06.824801+02	1	Tšuvassia	\N	\N	\N	\N	\N	\N	t	f
6131	3490	Agalega	et	0	2013-06-05 08:37:10.095312+02	1	Agalega	\N	\N	\N	\N	\N	\N	t	f
6168	1290	Aizputes novads	nl	0	2013-06-05 08:38:40.947368+02	1	Aizputes novads	\N	\N	\N	\N	\N	\N	t	f
7482	3360	Ashanti Region	de	0	2013-06-05 09:35:19.472594+02	1	Ashanti Region	\N	\N	\N	\N	\N	\N	t	f
6215	4378	Côte-d'Or	it	0	2013-06-05 08:40:48.769176+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
6741	3008	Governatorato di Beirut	it	0	2013-06-05 09:03:32.709243+02	1	Governatorato di Beirut	\N	\N	\N	\N	\N	\N	t	f
6780	4309	Alicante	fi	0	2013-06-05 09:05:13.013186+02	1	Alicante	\N	\N	\N	\N	\N	\N	t	f
6791	3881	District londonien de Camden	fr	0	2013-06-05 09:05:39.747663+02	1	District londonien de Camden	\N	\N	\N	\N	\N	\N	t	f
7508	2471	Ararat	nl	0	2013-06-05 09:36:55.8408+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
8676	513	Artvin Province	en	0	2013-06-05 10:27:40.899067+02	1	Artvin Province	\N	\N	\N	\N	\N	\N	t	f
7524	1005	Chocó	nl	0	2013-06-05 09:37:40.641565+02	1	Chocó	\N	\N	\N	\N	\N	\N	t	f
7553	2942	Basra Province	en	0	2013-06-05 09:38:53.906759+02	1	Basra Province	\N	\N	\N	\N	\N	\N	t	f
7558	2942	Governatorato di Bassora	it	0	2013-06-05 09:39:05.696936+02	1	Governatorato di Bassora	\N	\N	\N	\N	\N	\N	t	f
8735	329	Bremeni liidumaa	et	0	2013-06-05 10:30:04.211152+02	1	Bremeni liidumaa	\N	\N	\N	\N	\N	\N	t	f
7561	2942	Basra	no	0	2013-06-05 09:39:12.818095+02	1	Basra	\N	\N	\N	\N	\N	\N	t	f
7588	2202	Bezirk Famagusta	de	0	2013-06-05 09:40:24.502066+02	1	Bezirk Famagusta	\N	\N	\N	\N	\N	\N	t	f
8936	3827	Cookstown	nl	0	2013-06-05 10:38:28.824324+02	1	Cookstown	\N	\N	\N	\N	\N	\N	t	f
7611	4495	エトリア＝アカルナニア県	ja	0	2013-06-05 09:41:20.441817+02	1	エトリア＝アカルナニア県	\N	\N	\N	\N	\N	\N	t	f
8738	329	Brema	it	0	2013-06-05 10:30:11.286978+02	1	Brema	\N	\N	\N	\N	\N	\N	t	f
7643	4637	Caltanissetta	nl	0	2013-06-05 09:42:38.23956+02	1	Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
7676	1617	Anetan	nl	0	2013-06-05 09:44:00.591886+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
8059	4288	Distretto di Brno-město	it	0	2013-06-05 10:01:01.72238+02	1	Distretto di Brno-město	\N	\N	\N	\N	\N	\N	t	f
8744	2482	Adjara	en	0	2013-06-05 10:30:26.098828+02	1	Adjara	\N	\N	\N	\N	\N	\N	t	f
8066	3322	ルクソール県	ja	0	2013-06-05 10:01:22.473985+02	1	ルクソール県	\N	\N	\N	\N	\N	\N	t	f
8148	3818	Ceredigion	et	0	2013-06-05 10:04:55.636994+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
9849	1818	Catalogna	it	0	2013-06-05 11:17:44.153372+02	1	Catalogna	\N	\N	\N	\N	\N	\N	t	f
8190	1830	Akvitania	fi	0	2013-06-05 10:06:40.182683+02	1	Akvitania	\N	\N	\N	\N	\N	\N	t	f
8747	2482	Adžaria	fi	0	2013-06-05 10:30:33.164024+02	1	Adžaria	\N	\N	\N	\N	\N	\N	t	f
8940	3819	Cheshire East	fr	0	2013-06-05 10:38:38.44365+02	1	Cheshire East	\N	\N	\N	\N	\N	\N	t	f
8749	2482	Agiaria	it	0	2013-06-05 10:30:37.89513+02	1	Agiaria	\N	\N	\N	\N	\N	\N	t	f
8796	1228	Cienfuegos	nl	0	2013-06-05 10:32:34.836247+02	1	Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
9772	1708	Berat	nl	0	2013-06-05 11:14:37.384489+02	1	Berat	\N	\N	\N	\N	\N	\N	t	f
8831	1052	Cuyuni-Mazaruni	fr	0	2013-06-05 10:34:04.365659+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
8944	1309	Municipalidad de Cēsis	es	0	2013-06-05 10:38:48.068443+02	1	Municipalidad de Cēsis	\N	\N	\N	\N	\N	\N	t	f
8888	5027	Amolatar	nl	0	2013-06-05 10:36:26.600538+02	1	Amolatar	\N	\N	\N	\N	\N	\N	t	f
8900	3877	District londonien de Barnet	fr	0	2013-06-05 10:37:01.84494+02	1	District londonien de Barnet	\N	\N	\N	\N	\N	\N	t	f
8957	3159	Atacora	fr	0	2013-06-05 10:39:19.186512+02	1	Atacora	\N	\N	\N	\N	\N	\N	t	f
9644	1498	Campeche	fi	0	2013-06-05 11:08:42.183969+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
9787	1482	Christ Church Nichola Town prestegjeld	no	0	2013-06-05 11:15:14.146001+02	1	Christ Church Nichola Town prestegjeld	\N	\N	\N	\N	\N	\N	t	f
9720	1670	ホニアラ	ja	0	2013-06-05 11:12:31.580378+02	1	ホニアラ	\N	\N	\N	\N	\N	\N	t	f
10193	3059	ライヤーン	ja	0	2013-06-05 11:32:30.439134+02	1	ライヤーン	\N	\N	\N	\N	\N	\N	t	f
9844	1818	Catalonia	en	0	2013-06-05 11:17:32.215357+02	1	Catalonia	\N	\N	\N	\N	\N	\N	t	f
9960	3442	Munizip al-Wahat	de	0	2013-06-05 11:22:39.277143+02	1	Munizip al-Wahat	\N	\N	\N	\N	\N	\N	t	f
9943	1615	Aiwo	no	0	2013-06-05 11:21:50.464889+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
10155	3826	Conwy	de	0	2013-06-05 11:30:57.490507+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
9966	3442	Al Wahat	no	0	2013-06-05 11:22:53.826428+02	1	Al Wahat	\N	\N	\N	\N	\N	\N	t	f
10213	2494	Provincia de Aktobe	es	0	2013-06-05 11:33:41.39839+02	1	Provincia de Aktobe	\N	\N	\N	\N	\N	\N	t	f
10228	3876	Barking and Dagenham	no	0	2013-06-05 11:34:32.06823+02	1	Barking and Dagenham	\N	\N	\N	\N	\N	\N	t	f
10284	2956	Kirkuk	fr	0	2013-06-05 11:37:06.151015+02	1	Kirkuk	\N	\N	\N	\N	\N	\N	t	f
10942	1527	Región Autónoma del Atlántico Norte	de	0	2013-06-05 12:05:20.417253+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
11539	3483	Adrar	de	0	2013-06-05 12:31:04.705457+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
11582	1728	Balakənin piirikunta	fi	0	2013-06-05 12:32:53.466323+02	1	Balakənin piirikunta	\N	\N	\N	\N	\N	\N	t	f
2557	53	Croacia	es	0	2013-05-27 16:01:39.112811+02	\N	Croacia	\N	\N	\N	\N	\N	\N	t	f
2574	198	Soedan	nl	0	2013-05-27 16:02:30.262257+02	\N	Soedan	\N	\N	\N	\N	\N	\N	t	f
3396	3068	ハーイル州	ja	0	2013-05-27 20:00:46.437674+02	1	ハーイル州	\N	\N	\N	\N	\N	\N	t	f
3409	2922	Ajmán	es	0	2013-05-27 20:01:16.573668+02	1	Ajmán	\N	\N	\N	\N	\N	\N	t	f
3834	2399	Tšuktšimaa	et	0	2013-06-05 06:57:27.905322+02	1	Tšuktšimaa	\N	\N	\N	\N	\N	\N	t	f
3410	2922	‘Ajmāni emiraat	et	0	2013-05-27 20:01:18.796935+02	1	‘Ajmāni emiraat	\N	\N	\N	\N	\N	\N	t	f
5438	3590	Baie Sainte Anne	es	0	2013-06-05 08:07:30.64572+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
3426	2337	Municipalidad de Čučer-Sandevo	es	0	2013-05-27 20:01:56.110058+02	1	Municipalidad de Čučer-Sandevo	\N	\N	\N	\N	\N	\N	t	f
3835	2399	Tšukotka	fi	0	2013-06-05 06:57:32.653978+02	1	Tšukotka	\N	\N	\N	\N	\N	\N	t	f
4251	3681	Batha Region	en	0	2013-06-05 07:15:41.90351+02	1	Batha Region	\N	\N	\N	\N	\N	\N	t	f
3859	4154	Provincia de Bazéga	es	0	2013-06-05 06:58:31.237827+02	1	Provincia de Bazéga	\N	\N	\N	\N	\N	\N	t	f
3867	3650	Bari	es	0	2013-06-05 06:58:50.708798+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
4267	1105	Brokopondo	no	0	2013-06-05 07:16:20.683076+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
4783	3103	Al-Mahrah	no	0	2013-06-05 07:39:05.554557+02	1	Al-Mahrah	\N	\N	\N	\N	\N	\N	t	f
4291	4375	Charente-Maritime	en	0	2013-06-05 07:17:21.471432+02	1	Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
4309	3094	Gouvernement ad-Dali'	de	0	2013-06-05 07:18:08.375373+02	1	Gouvernement ad-Dali'	\N	\N	\N	\N	\N	\N	t	f
4366	1817	Islas Canarias	es	0	2013-06-05 07:21:09.188157+02	1	Islas Canarias	\N	\N	\N	\N	\N	\N	t	f
4867	2927	シャールジャ	ja	0	2013-06-05 07:42:57.154679+02	1	シャールジャ	\N	\N	\N	\N	\N	\N	t	f
5350	1445	Cortés	es	0	2013-06-05 08:03:51.851829+02	1	Cortés	\N	\N	\N	\N	\N	\N	t	f
5994	3780	Bulawayo	en	0	2013-06-05 08:31:26.383131+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
6008	3623	An-Nil-al-Abyad	nl	0	2013-06-05 08:32:00.099068+02	1	An-Nil-al-Abyad	\N	\N	\N	\N	\N	\N	t	f
6713	4888	Apayao	fr	0	2013-06-05 09:02:20.361272+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
6054	659	Chandigarh	no	0	2013-06-05 08:33:53.156721+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6093	1496	Baja California	nl	0	2013-06-05 08:35:32.684578+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6112	3073	Al-Baha	it	0	2013-06-05 08:36:22.394471+02	1	Al-Baha	\N	\N	\N	\N	\N	\N	t	f
6800	3317	Governatorato di Ismailia	it	0	2013-06-05 09:06:01.941125+02	1	Governatorato di Ismailia	\N	\N	\N	\N	\N	\N	t	f
6123	3804	Blackpool	fr	0	2013-06-05 08:36:50.115394+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6129	3490	Agaléga	en	0	2013-06-05 08:37:05.382406+02	1	Agaléga	\N	\N	\N	\N	\N	\N	t	f
7483	3360	Ashanti Region	en	0	2013-06-05 09:35:22.90317+02	1	Ashanti Region	\N	\N	\N	\N	\N	\N	t	f
6150	3307	Governatorato del Mar Rosso	it	0	2013-06-05 08:37:57.009389+02	1	Governatorato del Mar Rosso	\N	\N	\N	\N	\N	\N	t	f
6848	3463	Province de Diego-Suarez	fr	0	2013-06-05 09:07:59.661248+02	1	Province de Diego-Suarez	\N	\N	\N	\N	\N	\N	t	f
6178	3234	Agnébi	fr	0	2013-06-05 08:39:12.570457+02	1	Agnébi	\N	\N	\N	\N	\N	\N	t	f
6906	2398	Oblast de Tcheliabinsk	fr	0	2013-06-05 09:10:24.872592+02	1	Oblast de Tcheliabinsk	\N	\N	\N	\N	\N	\N	t	f
9950	1068	クスコ県	ja	0	2013-06-05 11:22:13.702787+02	1	クスコ県	\N	\N	\N	\N	\N	\N	t	f
7517	1005	Chocó Department	en	0	2013-06-05 09:37:21.252492+02	1	Chocó Department	\N	\N	\N	\N	\N	\N	t	f
8679	513	Provincia di Artvin	it	0	2013-06-05 10:27:47.911804+02	1	Provincia di Artvin	\N	\N	\N	\N	\N	\N	t	f
7552	2942	Basra	de	0	2013-06-05 09:38:51.454936+02	1	Basra	\N	\N	\N	\N	\N	\N	t	f
7568	580	Ardahan Province	en	0	2013-06-05 09:39:30.580934+02	1	Ardahan Province	\N	\N	\N	\N	\N	\N	t	f
8853	2602	Bac Lieu	no	0	2013-06-05 10:34:57.228483+02	1	Bac Lieu	\N	\N	\N	\N	\N	\N	t	f
7573	580	アルダハン県	ja	0	2013-06-05 09:39:45.015603+02	1	アルダハン県	\N	\N	\N	\N	\N	\N	t	f
8702	3830	Cumbria	no	0	2013-06-05 10:28:42.82822+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
7650	971	Cochabamba	de	0	2013-06-05 09:42:55.555423+02	1	Cochabamba	\N	\N	\N	\N	\N	\N	t	f
8060	4288	Okres Brno-město	nl	0	2013-06-05 10:01:05.810275+02	1	Okres Brno-město	\N	\N	\N	\N	\N	\N	t	f
8100	4374	Département Charente	de	0	2013-06-05 10:02:55.953021+02	1	Département Charente	\N	\N	\N	\N	\N	\N	t	f
8703	3100	Gouvernement al-Dschauf	de	0	2013-06-05 10:28:45.561458+02	1	Gouvernement al-Dschauf	\N	\N	\N	\N	\N	\N	t	f
8139	3333	Anseba	es	0	2013-06-05 10:04:30.641966+02	1	Anseba	\N	\N	\N	\N	\N	\N	t	f
8220	1601	Division centrale (Fidji)	fr	0	2013-06-05 10:07:54.242718+02	1	Division centrale (Fidji)	\N	\N	\N	\N	\N	\N	t	f
8318	2581	Provincia di Binh Dinh	it	0	2013-06-05 10:12:01.733317+02	1	Provincia di Binh Dinh	\N	\N	\N	\N	\N	\N	t	f
8728	1724	Ağdaşin piirikunta	fi	0	2013-06-05 10:29:47.170506+02	1	Ağdaşin piirikunta	\N	\N	\N	\N	\N	\N	t	f
8878	4991	Distrikt Busia	de	0	2013-06-05 10:36:01.050175+02	1	Distrikt Busia	\N	\N	\N	\N	\N	\N	t	f
8765	4641	Province of Cosenza	en	0	2013-06-05 10:31:16.835515+02	1	Province of Cosenza	\N	\N	\N	\N	\N	\N	t	f
8767	4641	Cosenza provints	et	0	2013-06-05 10:31:21.523774+02	1	Cosenza provints	\N	\N	\N	\N	\N	\N	t	f
10943	1527	Βόρεια Ατλαντική Αυτόνομη Περιοχή	el	0	2013-06-05 12:05:22.819033+02	1	Βόρεια Ατλαντική Αυτόνομη Περιοχή	\N	\N	\N	\N	\N	\N	t	f
8792	1228	Cienfuegos	fi	0	2013-06-05 10:32:22.151025+02	1	Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
8886	5027	Amolatar	fr	0	2013-06-05 10:36:21.137433+02	1	Amolatar	\N	\N	\N	\N	\N	\N	t	f
8802	2397	Tšetšeeni Vabariik	et	0	2013-06-05 10:32:50.772027+02	1	Tšetšeeni Vabariik	\N	\N	\N	\N	\N	\N	t	f
8812	4754	Prefettura di Aousserd	it	0	2013-06-05 10:33:14.793139+02	1	Prefettura di Aousserd	\N	\N	\N	\N	\N	\N	t	f
9952	1068	Cusco	no	0	2013-06-05 11:22:18.521868+02	1	Cusco	\N	\N	\N	\N	\N	\N	t	f
8893	1442	Département de Colón	fr	0	2013-06-05 10:36:41.665386+02	1	Département de Colón	\N	\N	\N	\N	\N	\N	t	f
9645	1498	État de Campeche	fr	0	2013-06-05 11:08:49.373108+02	1	État de Campeche	\N	\N	\N	\N	\N	\N	t	f
10195	3492	Beau Bassin-Rose Hill	de	0	2013-06-05 11:32:35.695063+02	1	Beau Bassin-Rose Hill	\N	\N	\N	\N	\N	\N	t	f
9866	3324	ミヌーフィーヤ県	ja	0	2013-06-05 11:18:26.602301+02	1	ミヌーフィーヤ県	\N	\N	\N	\N	\N	\N	t	f
9962	3442	Al Wahat	es	0	2013-06-05 11:22:44.003971+02	1	Al Wahat	\N	\N	\N	\N	\N	\N	t	f
10180	3193	Bangui	es	0	2013-06-05 11:31:58.806094+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10198	3492	Beau Bassin-Rose Hill	it	0	2013-06-05 11:32:42.95121+02	1	Beau Bassin-Rose Hill	\N	\N	\N	\N	\N	\N	t	f
10186	3193	Bangui	nl	0	2013-06-05 11:32:13.389791+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10257	1032	Cañar	nl	0	2013-06-05 11:35:59.648028+02	1	Cañar	\N	\N	\N	\N	\N	\N	t	f
11051	3816	Castlereagh	nl	0	2013-06-05 12:09:53.683599+02	1	Castlereagh	\N	\N	\N	\N	\N	\N	t	f
11107	1831	Auvergne	fr	0	2013-06-05 12:12:15.476167+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
11544	3483	アドラル州	ja	0	2013-06-05 12:31:16.942097+02	1	アドラル州	\N	\N	\N	\N	\N	\N	t	f
11573	794	Andorra la Vella	fi	0	2013-06-05 12:32:30.044456+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
2558	53	Horvaatia	et	0	2013-05-27 16:01:41.337484+02	\N	Horvaatia	\N	\N	\N	\N	\N	\N	t	f
3400	1678	ʻEua	en	0	2013-05-27 20:00:55.816358+02	1	ʻEua	\N	\N	\N	\N	\N	\N	t	f
3836	2399	Tchoukotka	fr	0	2013-06-05 06:57:35.044107+02	1	Tchoukotka	\N	\N	\N	\N	\N	\N	t	f
3839	2399	Tsjoekotka	nl	0	2013-06-05 06:57:42.225227+02	1	Tsjoekotka	\N	\N	\N	\N	\N	\N	t	f
4252	3681	Región de Batha	es	0	2013-06-05 07:15:44.286278+02	1	Región de Batha	\N	\N	\N	\N	\N	\N	t	f
3868	3650	Bari ringkond	et	0	2013-06-05 06:58:53.093965+02	1	Bari ringkond	\N	\N	\N	\N	\N	\N	t	f
3873	3650	Bari	nl	0	2013-06-05 06:59:05.016614+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
4289	5035	Bundibugyo	nl	0	2013-06-05 07:17:14.911513+02	1	Bundibugyo	\N	\N	\N	\N	\N	\N	t	f
4784	4853	Bheri	de	0	2013-06-05 07:39:11.529966+02	1	Bheri	\N	\N	\N	\N	\N	\N	t	f
4312	3094	Gouvernorat d'Ad Dali'	fr	0	2013-06-05 07:18:15.74012+02	1	Gouvernorat d'Ad Dali'	\N	\N	\N	\N	\N	\N	t	f
4923	3113	Bié	fr	0	2013-06-05 07:45:13.143743+02	1	Bié	\N	\N	\N	\N	\N	\N	t	f
5351	1445	Département de Cortés	fr	0	2013-06-05 08:03:54.182747+02	1	Département de Cortés	\N	\N	\N	\N	\N	\N	t	f
5352	1445	Dipartimento di Cortés	it	0	2013-06-05 08:03:56.518833+02	1	Dipartimento di Cortés	\N	\N	\N	\N	\N	\N	t	f
5995	3780	Bulawayo	es	0	2013-06-05 08:31:28.72535+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
5418	4320	Province of Córdoba	en	0	2013-06-05 08:06:42.03496+02	1	Province of Córdoba	\N	\N	\N	\N	\N	\N	t	f
5488	4636	Carbonia-Iglesias	nl	0	2013-06-05 08:09:32.110503+02	1	Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
6001	3780	Bulawayo	nl	0	2013-06-05 08:31:43.058416+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
6714	4888	Provincia di Apayao	it	0	2013-06-05 09:02:22.702021+02	1	Provincia di Apayao	\N	\N	\N	\N	\N	\N	t	f
6015	1811	Aragon	fr	0	2013-06-05 08:32:17.281592+02	1	Aragon	\N	\N	\N	\N	\N	\N	t	f
6045	659	Τσαντιγκάρ	el	0	2013-06-05 08:33:31.500317+02	1	Τσαντιγκάρ	\N	\N	\N	\N	\N	\N	t	f
6153	3307	Al-Bahr al-Ahmar	no	0	2013-06-05 08:38:04.23904+02	1	Al-Bahr al-Ahmar	\N	\N	\N	\N	\N	\N	t	f
6747	3375	Région de Boké	fr	0	2013-06-05 09:03:50.140679+02	1	Région de Boké	\N	\N	\N	\N	\N	\N	t	f
6158	591	Basel-Landschaft	fi	0	2013-06-05 08:38:16.6045+02	1	Basel-Landschaft	\N	\N	\N	\N	\N	\N	t	f
6217	4378	Côte-d'Or	nl	0	2013-06-05 08:40:53.497052+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
7484	3360	Ashanti	es	0	2013-06-05 09:35:29.786662+02	1	Ashanti	\N	\N	\N	\N	\N	\N	t	f
6749	3375	ボケ州	ja	0	2013-06-05 09:03:54.822144+02	1	ボケ州	\N	\N	\N	\N	\N	\N	t	f
6761	4628	Province of Brindisi	en	0	2013-06-05 09:04:26.323701+02	1	Province of Brindisi	\N	\N	\N	\N	\N	\N	t	f
8835	4368	Département Aube	de	0	2013-06-05 10:34:14.241969+02	1	Département Aube	\N	\N	\N	\N	\N	\N	t	f
6787	3881	London Borough of Camden	en	0	2013-06-05 09:05:30.189877+02	1	London Borough of Camden	\N	\N	\N	\N	\N	\N	t	f
7489	3360	Ashanti	nl	0	2013-06-05 09:35:45.335629+02	1	Ashanti	\N	\N	\N	\N	\N	\N	t	f
6831	3342	ベニシャングル・グムズ州	ja	0	2013-06-05 09:07:18.455068+02	1	ベニシャングル・グムズ州	\N	\N	\N	\N	\N	\N	t	f
6861	1136	Apure	no	0	2013-06-05 09:08:30.96358+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
8680	513	アルトヴィン県	ja	0	2013-06-05 10:27:50.289557+02	1	アルトヴィン県	\N	\N	\N	\N	\N	\N	t	f
6863	2930	Sur	es	0	2013-06-05 09:08:36.157396+02	1	Sur	\N	\N	\N	\N	\N	\N	t	f
7502	2471	Ararat	es	0	2013-06-05 09:36:41.480656+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
6867	2930	Zuid	nl	0	2013-06-05 09:08:45.576421+02	1	Zuid	\N	\N	\N	\N	\N	\N	t	f
6889	2769	Distretto di Belait	it	0	2013-06-05 09:09:39.317678+02	1	Distretto di Belait	\N	\N	\N	\N	\N	\N	t	f
6931	622	Bahia	no	0	2013-06-05 09:11:39.958156+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
7579	995	Antioquia	es	0	2013-06-05 09:40:02.154796+02	1	Antioquia	\N	\N	\N	\N	\N	\N	t	f
7729	4891	Basilan	en	0	2013-06-05 09:46:17.395684+02	1	Basilan	\N	\N	\N	\N	\N	\N	t	f
8695	3830	Cumbria	es	0	2013-06-05 10:28:26.400093+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
7750	3171	Distrito Central	es	0	2013-06-05 09:47:13.219915+02	1	Distrito Central	\N	\N	\N	\N	\N	\N	t	f
8061	3322	Gouvernement al-Uqsur	de	0	2013-06-05 10:01:08.630182+02	1	Gouvernement al-Uqsur	\N	\N	\N	\N	\N	\N	t	f
8073	999	Boyacá	fi	0	2013-06-05 10:01:39.899612+02	1	Boyacá	\N	\N	\N	\N	\N	\N	t	f
8714	4086	Chittagong	nl	0	2013-06-05 10:29:11.740867+02	1	Chittagong	\N	\N	\N	\N	\N	\N	t	f
8075	999	dipartimento di Boyacá	it	0	2013-06-05 10:01:44.722914+02	1	dipartimento di Boyacá	\N	\N	\N	\N	\N	\N	t	f
8087	1836	Champagne-Ardenne	nl	0	2013-06-05 10:02:18.819901+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
8861	660	Chhattisgarh	it	0	2013-06-05 10:35:16.634986+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
8104	4374	Charente	fi	0	2013-06-05 10:03:05.425907+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8739	329	ブレーメン州	ja	0	2013-06-05 10:30:13.651685+02	1	ブレーメン州	\N	\N	\N	\N	\N	\N	t	f
8110	4825	Blantyre District	en	0	2013-06-05 10:03:20.215622+02	1	Blantyre District	\N	\N	\N	\N	\N	\N	t	f
8145	3818	Ceredigion	de	0	2013-06-05 10:04:47.875141+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8757	590	Bern	fi	0	2013-06-05 10:30:57.398202+02	1	Bern	\N	\N	\N	\N	\N	\N	t	f
9691	2902	アンディジャン州	ja	0	2013-06-05 11:11:17.423439+02	1	アンディジャン州	\N	\N	\N	\N	\N	\N	t	f
8760	590	ベルン州	ja	0	2013-06-05 10:31:04.464274+02	1	ベルン州	\N	\N	\N	\N	\N	\N	t	f
8877	1106	Commewijne	no	0	2013-06-05 10:35:58.351348+02	1	Commewijne	\N	\N	\N	\N	\N	\N	t	f
8822	3260	Batna Province	en	0	2013-06-05 10:33:42.179829+02	1	Batna Province	\N	\N	\N	\N	\N	\N	t	f
8832	1052	Cuyuni-Mazaruni	it	0	2013-06-05 10:34:06.751357+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
9646	1498	Campeche	it	0	2013-06-05 11:08:51.788932+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
8880	4991	Distrito de Busia	es	0	2013-06-05 10:36:05.724911+02	1	Distrito de Busia	\N	\N	\N	\N	\N	\N	t	f
8887	5027	アモラタル県	ja	0	2013-06-05 10:36:23.559129+02	1	アモラタル県	\N	\N	\N	\N	\N	\N	t	f
9648	1498	Campeche	nl	0	2013-06-05 11:08:59.179796+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
8956	3159	Atakora	es	0	2013-06-05 10:39:16.831378+02	1	Atakora	\N	\N	\N	\N	\N	\N	t	f
9815	3543	Adamawa	nl	0	2013-06-05 11:16:21.751079+02	1	Adamawa	\N	\N	\N	\N	\N	\N	t	f
9650	2786	Autonomous Region in Muslim Mindanao	de	0	2013-06-05 11:09:05.800451+02	1	Autonomous Region in Muslim Mindanao	\N	\N	\N	\N	\N	\N	t	f
9768	1708	Beratin maakunta	fi	0	2013-06-05 11:14:27.820292+02	1	Beratin maakunta	\N	\N	\N	\N	\N	\N	t	f
10210	2818	Chukha	no	0	2013-06-05 11:33:32.978841+02	1	Chukha	\N	\N	\N	\N	\N	\N	t	f
10185	3193	バンギ	ja	0	2013-06-05 11:32:10.91422+02	1	バンギ	\N	\N	\N	\N	\N	\N	t	f
9894	4587	Condado de Clare	es	0	2013-06-05 11:19:37.893096+02	1	Condado de Clare	\N	\N	\N	\N	\N	\N	t	f
10236	2472	アルマヴィル地方	ja	0	2013-06-05 11:34:58.149267+02	1	アルマヴィル地方	\N	\N	\N	\N	\N	\N	t	f
10944	1527	Región Autónoma del Atlántico Norte	en	0	2013-06-05 12:05:25.262911+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
11547	3180	Bas-Congo	de	0	2013-06-05 12:31:25.149974+02	1	Bas-Congo	\N	\N	\N	\N	\N	\N	t	f
11556	3180	Kongo Central	no	0	2013-06-05 12:31:46.584981+02	1	Kongo Central	\N	\N	\N	\N	\N	\N	t	f
2559	53	Kroatia	fi	0	2013-05-27 16:01:43.639189+02	\N	Kroatia	\N	\N	\N	\N	\N	\N	t	f
2560	53	Croatie	fr	0	2013-05-27 16:01:45.814589+02	\N	Croatie	\N	\N	\N	\N	\N	\N	t	f
3401	1678	'Eua	es	0	2013-05-27 20:00:58.08812+02	1	'Eua	\N	\N	\N	\N	\N	\N	t	f
3427	2337	Tchoutcher Sandevo	fr	0	2013-05-27 20:01:58.376286+02	1	Tchoutcher Sandevo	\N	\N	\N	\N	\N	\N	t	f
3843	3290	Provincia de Boumerdès	es	0	2013-06-05 06:57:52.220862+02	1	Provincia de Boumerdès	\N	\N	\N	\N	\N	\N	t	f
3438	474	Östergötland County	en	0	2013-05-27 20:02:24.773607+02	1	Östergötland County	\N	\N	\N	\N	\N	\N	t	f
4253	3681	Batha	et	0	2013-06-05 07:15:46.672799+02	1	Batha	\N	\N	\N	\N	\N	\N	t	f
4381	4588	County Cavan	nl	0	2013-06-05 07:21:46.180482+02	1	County Cavan	\N	\N	\N	\N	\N	\N	t	f
4785	4853	Μπέρι	el	0	2013-06-05 07:39:17.122459+02	1	Μπέρι	\N	\N	\N	\N	\N	\N	t	f
4836	2944	Gobernación de Bagdad	es	0	2013-06-05 07:41:41.969347+02	1	Gobernación de Bagdad	\N	\N	\N	\N	\N	\N	t	f
5353	1445	Cortés	nl	0	2013-06-05 08:03:59.37872+02	1	Cortés	\N	\N	\N	\N	\N	\N	t	f
4885	3416	Distretto di Butha-Buthe	it	0	2013-06-05 07:43:40.88254+02	1	Distretto di Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
4904	1307	Carnikava municipality	en	0	2013-06-05 07:44:27.341414+02	1	Carnikava municipality	\N	\N	\N	\N	\N	\N	t	f
4932	1185	Crooked Island	it	0	2013-06-05 07:45:34.916634+02	1	Crooked Island	\N	\N	\N	\N	\N	\N	t	f
5358	2347	Distrito de Bor	es	0	2013-06-05 08:04:11.827913+02	1	Distrito de Bor	\N	\N	\N	\N	\N	\N	t	f
5996	3780	Bulawayo	et	0	2013-06-05 08:31:31.072657+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
5363	4656	Provinz Crotone	de	0	2013-06-05 08:04:27.252976+02	1	Provinz Crotone	\N	\N	\N	\N	\N	\N	t	f
5367	4656	Crotone provints	et	0	2013-06-05 08:04:36.632623+02	1	Crotone provints	\N	\N	\N	\N	\N	\N	t	f
5411	906	Birżebbuġa	fr	0	2013-06-05 08:06:24.629737+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
6003	3623	An-Nil al-abyad	de	0	2013-06-05 08:31:48.37109+02	1	An-Nil al-abyad	\N	\N	\N	\N	\N	\N	t	f
5422	4320	Province de Cordoue	fr	0	2013-06-05 08:06:51.6765+02	1	Province de Cordoue	\N	\N	\N	\N	\N	\N	t	f
5467	1065	Région d'Ayacucho	fr	0	2013-06-05 08:08:41.268051+02	1	Région d'Ayacucho	\N	\N	\N	\N	\N	\N	t	f
6715	4888	アパヤオ州	ja	0	2013-06-05 09:02:25.107649+02	1	アパヤオ州	\N	\N	\N	\N	\N	\N	t	f
5487	4636	カルボーニア＝イグレージアス県	ja	0	2013-06-05 08:09:29.729276+02	1	カルボーニア＝イグレージアス県	\N	\N	\N	\N	\N	\N	t	f
6021	4263	Chomutov District	en	0	2013-06-05 08:32:31.970784+02	1	Chomutov District	\N	\N	\N	\N	\N	\N	t	f
6078	519	Provincia de Bolu	es	0	2013-06-05 08:34:52.165913+02	1	Provincia de Bolu	\N	\N	\N	\N	\N	\N	t	f
8071	999	Boyacá Department	en	0	2013-06-05 10:01:35.133599+02	1	Boyacá Department	\N	\N	\N	\N	\N	\N	t	f
6080	519	Provincia di Bolu	it	0	2013-06-05 08:34:58.147211+02	1	Provincia di Bolu	\N	\N	\N	\N	\N	\N	t	f
6784	4309	Alicante	nl	0	2013-06-05 09:05:22.525858+02	1	Alicante	\N	\N	\N	\N	\N	\N	t	f
6103	263	アラバマ州	ja	0	2013-06-05 08:35:57.410826+02	1	アラバマ州	\N	\N	\N	\N	\N	\N	t	f
7485	3360	Ashantin hallintoalue	fi	0	2013-06-05 09:35:32.289677+02	1	Ashantin hallintoalue	\N	\N	\N	\N	\N	\N	t	f
6788	3881	Camden	es	0	2013-06-05 09:05:32.520626+02	1	Camden	\N	\N	\N	\N	\N	\N	t	f
7570	580	Ardahanin maakunta	fi	0	2013-06-05 09:39:35.25931+02	1	Ardahanin maakunta	\N	\N	\N	\N	\N	\N	t	f
7572	580	Provincia di Ardahan	it	0	2013-06-05 09:39:42.461218+02	1	Provincia di Ardahan	\N	\N	\N	\N	\N	\N	t	f
8088	1836	Champagne-Ardenne	no	0	2013-06-05 10:02:23.827959+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
7641	4637	provincia di Caltanissetta	it	0	2013-06-05 09:42:33.420584+02	1	provincia di Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
7648	5032	アムル県	ja	0	2013-06-05 09:42:50.438686+02	1	アムル県	\N	\N	\N	\N	\N	\N	t	f
8806	2397	チェチェン共和国	ja	0	2013-06-05 10:33:00.28365+02	1	チェチェン共和国	\N	\N	\N	\N	\N	\N	t	f
7661	1532	Chontales Department	en	0	2013-06-05 09:43:22.218734+02	1	Chontales Department	\N	\N	\N	\N	\N	\N	t	f
8114	4825	Blantyre	nl	0	2013-06-05 10:03:29.733553+02	1	Blantyre	\N	\N	\N	\N	\N	\N	t	f
7664	1532	Département de Chontales	fr	0	2013-06-05 09:43:29.345209+02	1	Département de Chontales	\N	\N	\N	\N	\N	\N	t	f
7665	1532	Dipartimento di Chontales	it	0	2013-06-05 09:43:31.716067+02	1	Dipartimento di Chontales	\N	\N	\N	\N	\N	\N	t	f
8681	513	Artvin	nl	0	2013-06-05 10:27:52.666613+02	1	Artvin	\N	\N	\N	\N	\N	\N	t	f
7683	3004	Al-Asimah	nl	0	2013-06-05 09:44:18.057267+02	1	Al-Asimah	\N	\N	\N	\N	\N	\N	t	f
8116	4898	Bulacan	de	0	2013-06-05 10:03:34.79497+02	1	Bulacan	\N	\N	\N	\N	\N	\N	t	f
7686	3916	Calderdale	es	0	2013-06-05 09:44:25.501549+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
7746	377	Australian Capital Territory	no	0	2013-06-05 09:47:02.548995+02	1	Australian Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8062	3322	Luxor Governorate	en	0	2013-06-05 10:01:11.026269+02	1	Luxor Governorate	\N	\N	\N	\N	\N	\N	t	f
8138	3333	Anseba Region	en	0	2013-06-05 10:04:28.289165+02	1	Anseba Region	\N	\N	\N	\N	\N	\N	t	f
8691	1003	Cauca	nl	0	2013-06-05 10:28:16.65178+02	1	Cauca	\N	\N	\N	\N	\N	\N	t	f
8146	3818	Ceredigion	en	0	2013-06-05 10:04:50.913943+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8182	2493	Oblys di Aqmola	it	0	2013-06-05 10:06:20.434496+02	1	Oblys di Aqmola	\N	\N	\N	\N	\N	\N	t	f
8693	3830	Cumbria	de	0	2013-06-05 10:28:21.770038+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
8807	2397	Tsjetsjenië	nl	0	2013-06-05 10:33:02.667992+02	1	Tsjetsjenië	\N	\N	\N	\N	\N	\N	t	f
8712	4086	Chittagong (zila)	es	0	2013-06-05 10:29:07.039873+02	1	Chittagong (zila)	\N	\N	\N	\N	\N	\N	t	f
8733	329	Bremen	en	0	2013-06-05 10:29:59.530109+02	1	Bremen	\N	\N	\N	\N	\N	\N	t	f
8751	2482	Adzjarië	nl	0	2013-06-05 10:30:42.666246+02	1	Adzjarië	\N	\N	\N	\N	\N	\N	t	f
8813	4754	Aousserd	nl	0	2013-06-05 10:33:17.196552+02	1	Aousserd	\N	\N	\N	\N	\N	\N	t	f
8768	4641	Cosenzan maakunta	fi	0	2013-06-05 10:31:23.877957+02	1	Cosenzan maakunta	\N	\N	\N	\N	\N	\N	t	f
8865	2228	Rajon Căușeni	de	0	2013-06-05 10:35:26.528891+02	1	Rajon Căușeni	\N	\N	\N	\N	\N	\N	t	f
8829	1052	Cuyuni-Mazaruni	en	0	2013-06-05 10:33:58.937246+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
8951	4780	Ailuk	fr	0	2013-06-05 10:39:04.753877+02	1	Ailuk	\N	\N	\N	\N	\N	\N	t	f
8839	4368	Aube	fi	0	2013-06-05 10:34:23.670753+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
8883	4991	Busia	nl	0	2013-06-05 10:36:12.751133+02	1	Busia	\N	\N	\N	\N	\N	\N	t	f
8903	3877	Barnet	nl	0	2013-06-05 10:37:08.969405+02	1	Barnet	\N	\N	\N	\N	\N	\N	t	f
8885	5027	Distrito de Amolatar	es	0	2013-06-05 10:36:18.778909+02	1	Distrito de Amolatar	\N	\N	\N	\N	\N	\N	t	f
8938	3819	Cheshire East	de	0	2013-06-05 10:38:33.776056+02	1	Cheshire East	\N	\N	\N	\N	\N	\N	t	f
8916	4753	Agadir	fi	0	2013-06-05 10:37:41.019277+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
8952	4780	Ailuk	it	0	2013-06-05 10:39:07.079779+02	1	Ailuk	\N	\N	\N	\N	\N	\N	t	f
8955	3159	Atakora Department	en	0	2013-06-05 10:39:14.501232+02	1	Atakora Department	\N	\N	\N	\N	\N	\N	t	f
9649	1498	Campeche	no	0	2013-06-05 11:09:03.012186+02	1	Campeche	\N	\N	\N	\N	\N	\N	t	f
9672	4426	Bas-Rhin	fi	0	2013-06-05 11:10:26.730427+02	1	Bas-Rhin	\N	\N	\N	\N	\N	\N	t	f
9692	2902	Andizan	nl	0	2013-06-05 11:11:22.706998+02	1	Andizan	\N	\N	\N	\N	\N	\N	t	f
9702	4624	Biella	nl	0	2013-06-05 11:11:46.966055+02	1	Biella	\N	\N	\N	\N	\N	\N	t	f
9728	4313	Barcelona	fi	0	2013-06-05 11:12:50.984782+02	1	Barcelona	\N	\N	\N	\N	\N	\N	t	f
10189	3059	Al Rayyan	en	0	2013-06-05 11:32:20.926506+02	1	Al Rayyan	\N	\N	\N	\N	\N	\N	t	f
2561	53	Croazia	it	0	2013-05-27 16:01:48.078612+02	\N	Croazia	\N	\N	\N	\N	\N	\N	t	f
2566	198	Σουδάν	el	0	2013-05-27 16:02:04.561653+02	\N	Σουδάν	\N	\N	\N	\N	\N	\N	t	f
2568	198	Sudán	es	0	2013-05-27 16:02:13.294756+02	\N	Sudán	\N	\N	\N	\N	\N	\N	t	f
3402	1678	‘Eua	et	0	2013-05-27 20:01:00.325372+02	1	‘Eua	\N	\N	\N	\N	\N	\N	t	f
3403	1678	'Eua	fr	0	2013-05-27 20:01:02.646448+02	1	'Eua	\N	\N	\N	\N	\N	\N	t	f
3846	3290	Boumerdès	nl	0	2013-06-05 06:57:59.427722+02	1	Boumerdès	\N	\N	\N	\N	\N	\N	t	f
3878	4060	Babek	fr	0	2013-06-05 06:59:17.35313+02	1	Babek	\N	\N	\N	\N	\N	\N	t	f
4262	1105	Brokopondo	es	0	2013-06-05 07:16:08.669308+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
3891	4643	Provinsen Catanzaro	no	0	2013-06-05 06:59:50.532666+02	1	Provinsen Catanzaro	\N	\N	\N	\N	\N	\N	t	f
4303	1620	Boe	fi	0	2013-06-05 07:17:53.470824+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4787	4853	Zona de Bheri	es	0	2013-06-05 07:39:22.594369+02	1	Zona de Bheri	\N	\N	\N	\N	\N	\N	t	f
4314	3094	Ad Dali'	nl	0	2013-06-05 07:18:28.520235+02	1	Ad Dali'	\N	\N	\N	\N	\N	\N	t	f
4316	1291	Aknīste municipality	en	0	2013-06-05 07:18:34.660775+02	1	Aknīste municipality	\N	\N	\N	\N	\N	\N	t	f
4319	1291	Commune d'Aknīste	fr	0	2013-06-05 07:18:43.643924+02	1	Commune d'Aknīste	\N	\N	\N	\N	\N	\N	t	f
4793	3682	Region Barh El Gazel	de	0	2013-06-05 07:39:49.663321+02	1	Region Barh El Gazel	\N	\N	\N	\N	\N	\N	t	f
4349	1893	Balzers	es	0	2013-06-05 07:20:23.375392+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
5357	2347	Bor District	en	0	2013-06-05 08:04:09.490479+02	1	Bor District	\N	\N	\N	\N	\N	\N	t	f
4798	3682	バル・エル＝ガゼル州	ja	0	2013-06-05 07:40:02.220464+02	1	バル・エル＝ガゼル州	\N	\N	\N	\N	\N	\N	t	f
4812	1062	Ancash	fi	0	2013-06-05 07:40:39.667609+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
4830	2950	Governatorato di al-Muthanna	it	0	2013-06-05 07:41:27.244853+02	1	Governatorato di al-Muthanna	\N	\N	\N	\N	\N	\N	t	f
5378	4892	Provincia di Benguet	it	0	2013-06-05 08:05:03.409188+02	1	Provincia di Benguet	\N	\N	\N	\N	\N	\N	t	f
4909	2857	Μπαλχ	el	0	2013-06-05 07:44:39.568014+02	1	Μπαλχ	\N	\N	\N	\N	\N	\N	t	f
4920	3113	Bié Province	en	0	2013-06-05 07:45:06.126651+02	1	Bié Province	\N	\N	\N	\N	\N	\N	t	f
5997	3780	Bulawayo	fi	0	2013-06-05 08:31:33.593923+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
4927	3113	Bié	no	0	2013-06-05 07:45:22.777536+02	1	Bié	\N	\N	\N	\N	\N	\N	t	f
5381	4892	Benguet	no	0	2013-06-05 08:05:11.338752+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
5456	3880	Bromley linnaosa	et	0	2013-06-05 08:08:14.230042+02	1	Bromley linnaosa	\N	\N	\N	\N	\N	\N	t	f
7525	1005	Chocó	no	0	2013-06-05 09:37:43.008752+02	1	Chocó	\N	\N	\N	\N	\N	\N	t	f
5536	521	Provincia di Bursa	it	0	2013-06-05 08:11:33.239609+02	1	Provincia di Bursa	\N	\N	\N	\N	\N	\N	t	f
6172	1183	Central Eleuthera	it	0	2013-06-05 08:38:57.745879+02	1	Central Eleuthera	\N	\N	\N	\N	\N	\N	t	f
6716	4888	Apayao	nl	0	2013-06-05 09:02:27.486613+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
6728	2400	Chuvash Republic	en	0	2013-06-05 09:02:59.554336+02	1	Chuvash Republic	\N	\N	\N	\N	\N	\N	t	f
7486	3360	Région Ashanti	fr	0	2013-06-05 09:35:34.683192+02	1	Région Ashanti	\N	\N	\N	\N	\N	\N	t	f
6874	4903	南カマリネス州	ja	0	2013-06-05 09:09:02.739184+02	1	南カマリネス州	\N	\N	\N	\N	\N	\N	t	f
6905	2398	Tšeljabinskin alue	fi	0	2013-06-05 09:10:22.469881+02	1	Tšeljabinskin alue	\N	\N	\N	\N	\N	\N	t	f
6917	4629	Province de Brescia	fr	0	2013-06-05 09:10:54.922183+02	1	Province de Brescia	\N	\N	\N	\N	\N	\N	t	f
7527	1117	Cerro Largo Department	en	0	2013-06-05 09:37:48.126369+02	1	Cerro Largo Department	\N	\N	\N	\N	\N	\N	t	f
8683	1003	Departamento de Cauca	de	0	2013-06-05 10:27:57.779569+02	1	Departamento de Cauca	\N	\N	\N	\N	\N	\N	t	f
7598	2992	Gobernación de Zarká	es	0	2013-06-05 09:40:48.63501+02	1	Gobernación de Zarká	\N	\N	\N	\N	\N	\N	t	f
7738	377	Australian Capital Territory	en	0	2013-06-05 09:46:40.207362+02	1	Australian Capital Territory	\N	\N	\N	\N	\N	\N	t	f
9682	3817	Central Bedfordshire	it	0	2013-06-05 11:10:54.590991+02	1	Central Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
7744	377	オーストラリア首都特別地域	ja	0	2013-06-05 09:46:57.717434+02	1	オーストラリア首都特別地域	\N	\N	\N	\N	\N	\N	t	f
8821	3260	Batna	de	0	2013-06-05 10:33:39.848921+02	1	Batna	\N	\N	\N	\N	\N	\N	t	f
8063	3322	Lúxor	es	0	2013-06-05 10:01:15.24725+02	1	Lúxor	\N	\N	\N	\N	\N	\N	t	f
8101	4374	Charente	en	0	2013-06-05 10:02:58.387735+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8175	3218	Brazzaville	no	0	2013-06-05 10:06:03.283954+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8891	1442	Departamento de Colón	es	0	2013-06-05 10:36:36.961333+02	1	Departamento de Colón	\N	\N	\N	\N	\N	\N	t	f
10204	2818	Distrito de Chukha	es	0	2013-06-05 11:33:07.119126+02	1	Distrito de Chukha	\N	\N	\N	\N	\N	\N	t	f
8892	1442	Colón	fi	0	2013-06-05 10:36:39.336995+02	1	Colón	\N	\N	\N	\N	\N	\N	t	f
9733	4313	Barcelona	no	0	2013-06-05 11:13:02.9217+02	1	Barcelona	\N	\N	\N	\N	\N	\N	t	f
8895	1442	Colón	nl	0	2013-06-05 10:36:46.435046+02	1	Colón	\N	\N	\N	\N	\N	\N	t	f
8948	4780	Ailuk Atoll	en	0	2013-06-05 10:38:57.715133+02	1	Ailuk Atoll	\N	\N	\N	\N	\N	\N	t	f
9651	2786	Autonomous Region in Muslim Mindanao	en	0	2013-06-05 11:09:11.306224+02	1	Autonomous Region in Muslim Mindanao	\N	\N	\N	\N	\N	\N	t	f
9747	2903	Provincia de Bujara	es	0	2013-06-05 11:13:37.064699+02	1	Provincia de Bujara	\N	\N	\N	\N	\N	\N	t	f
9653	2786	Mindanaon autonominen alue	fi	0	2013-06-05 11:09:16.009855+02	1	Mindanaon autonominen alue	\N	\N	\N	\N	\N	\N	t	f
9680	3817	Kesk-Bedfordshire	et	0	2013-06-05 11:10:49.943926+02	1	Kesk-Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
9765	1708	Berat County	en	0	2013-06-05 11:14:20.756807+02	1	Berat County	\N	\N	\N	\N	\N	\N	t	f
10237	2472	Armavir	nl	0	2013-06-05 11:35:00.538703+02	1	Armavir	\N	\N	\N	\N	\N	\N	t	f
9852	1818	Catalonia	no	0	2013-06-05 11:17:51.350371+02	1	Catalonia	\N	\N	\N	\N	\N	\N	t	f
9867	3324	Al Minufiyah	nl	0	2013-06-05 11:18:28.963489+02	1	Al Minufiyah	\N	\N	\N	\N	\N	\N	t	f
11016	361	Buskerud	it	0	2013-06-05 12:08:24.505027+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
10273	3791	Aberdeenshire	et	0	2013-06-05 11:36:39.450284+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
10957	4900	カミギン州	ja	0	2013-06-05 12:05:56.739592+02	1	カミギン州	\N	\N	\N	\N	\N	\N	t	f
10971	3143	Provincia de Buyumbura Rural	es	0	2013-06-05 12:06:30.856823+02	1	Provincia de Buyumbura Rural	\N	\N	\N	\N	\N	\N	t	f
11059	4196	Brava	fr	0	2013-06-05 12:10:13.220671+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
11021	3315	Giza Governorate	en	0	2013-06-05 12:08:36.921789+02	1	Giza Governorate	\N	\N	\N	\N	\N	\N	t	f
11548	3180	Bas-Congo province	en	0	2013-06-05 12:31:27.527295+02	1	Bas-Congo province	\N	\N	\N	\N	\N	\N	t	f
11074	2809	Ayeyarwady	fi	0	2013-06-05 12:10:53.943217+02	1	Ayeyarwady	\N	\N	\N	\N	\N	\N	t	f
11549	3180	Bajo Congo	es	0	2013-06-05 12:31:29.854031+02	1	Bajo Congo	\N	\N	\N	\N	\N	\N	t	f
11560	2672	Province de Chainat	fr	0	2013-06-05 12:31:56.521115+02	1	Province de Chainat	\N	\N	\N	\N	\N	\N	t	f
2562	53	クロアチア	ja	0	2013-05-27 16:01:50.381574+02	\N	クロアチア	\N	\N	\N	\N	\N	\N	t	f
3404	1678	'Eua	it	0	2013-05-27 20:01:04.851658+02	1	'Eua	\N	\N	\N	\N	\N	\N	t	f
3424	2137	Municipality of Šmartno pri Litiji	en	0	2013-05-27 20:01:51.346432+02	1	Municipality of Šmartno pri Litiji	\N	\N	\N	\N	\N	\N	t	f
3854	3400	ボン郡	ja	0	2013-06-05 06:58:18.872641+02	1	ボン郡	\N	\N	\N	\N	\N	\N	t	f
3860	4154	Bazèga	fi	0	2013-06-05 06:58:33.58198+02	1	Bazèga	\N	\N	\N	\N	\N	\N	t	f
4263	1105	Brokopondo	fi	0	2013-06-05 07:16:11.060296+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
3863	4154	バゼガ県	ja	0	2013-06-05 06:58:40.770231+02	1	バゼガ県	\N	\N	\N	\N	\N	\N	t	f
3882	4643	Καταντζάρο	el	0	2013-06-05 06:59:27.577792+02	1	Καταντζάρο	\N	\N	\N	\N	\N	\N	t	f
4276	3715	Béja	nl	0	2013-06-05 07:16:42.842289+02	1	Béja	\N	\N	\N	\N	\N	\N	t	f
4788	4853	Bheri	fi	0	2013-06-05 07:39:25.720573+02	1	Bheri	\N	\N	\N	\N	\N	\N	t	f
4307	1620	Boe	nl	0	2013-06-05 07:18:03.14754+02	1	Boe	\N	\N	\N	\N	\N	\N	t	f
4792	4853	Bheri	nl	0	2013-06-05 07:39:44.383937+02	1	Bheri	\N	\N	\N	\N	\N	\N	t	f
5359	2347	Bor	fr	0	2013-06-05 08:04:14.230478+02	1	Bor	\N	\N	\N	\N	\N	\N	t	f
4823	3093	Al Bayda'	nl	0	2013-06-05 07:41:09.476427+02	1	Al Bayda'	\N	\N	\N	\N	\N	\N	t	f
4837	2944	Bagdadi kubernerkond	et	0	2013-06-05 07:41:44.386128+02	1	Bagdadi kubernerkond	\N	\N	\N	\N	\N	\N	t	f
4844	514	Aydın	de	0	2013-06-05 07:42:01.494283+02	1	Aydın	\N	\N	\N	\N	\N	\N	t	f
5375	4892	Benguet	en	0	2013-06-05 08:04:56.164132+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
4851	514	Aydın	nl	0	2013-06-05 07:42:18.17825+02	1	Aydın	\N	\N	\N	\N	\N	\N	t	f
4884	3416	District de Butha-Buthe	fr	0	2013-06-05 07:43:38.509606+02	1	District de Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
5998	3780	Bulawayo	fr	0	2013-06-05 08:31:35.968646+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
4896	510	Amasya Province	en	0	2013-06-05 07:44:07.918108+02	1	Amasya Province	\N	\N	\N	\N	\N	\N	t	f
5400	3589	Baie Lazare	en	0	2013-06-05 08:05:57.918862+02	1	Baie Lazare	\N	\N	\N	\N	\N	\N	t	f
4915	2857	Balkh	it	0	2013-06-05 07:44:53.841236+02	1	Balkh	\N	\N	\N	\N	\N	\N	t	f
4928	1185	Crooked Island	de	0	2013-06-05 07:45:25.474775+02	1	Crooked Island	\N	\N	\N	\N	\N	\N	t	f
4937	1558	Chalatenango	es	0	2013-06-05 07:45:47.168321+02	1	Chalatenango	\N	\N	\N	\N	\N	\N	t	f
5437	3590	Baie Sainte Anne	en	0	2013-06-05 08:07:28.297811+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
5450	1810	アンダルシア州	ja	0	2013-06-05 08:07:59.60633+02	1	アンダルシア州	\N	\N	\N	\N	\N	\N	t	f
6048	659	Chandīgarh	et	0	2013-06-05 08:33:38.59562+02	1	Chandīgarh	\N	\N	\N	\N	\N	\N	t	f
5470	1065	Ayacucho	nl	0	2013-06-05 08:08:48.461521+02	1	Ayacucho	\N	\N	\N	\N	\N	\N	t	f
5480	4636	Καρμπόνια-Ιγκλέσιας	el	0	2013-06-05 08:09:13.144066+02	1	Καρμπόνια-Ιγκλέσιας	\N	\N	\N	\N	\N	\N	t	f
6717	4888	Apayao	no	0	2013-06-05 09:02:29.947325+02	1	Apayao	\N	\N	\N	\N	\N	\N	t	f
5492	3088	Al-Suwayda Governorate	en	0	2013-06-05 08:09:42.062608+02	1	Al-Suwayda Governorate	\N	\N	\N	\N	\N	\N	t	f
6208	268	Connecticut	no	0	2013-06-05 08:40:31.622536+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
5532	521	Bursa Province	en	0	2013-06-05 08:11:23.105305+02	1	Bursa Province	\N	\N	\N	\N	\N	\N	t	f
7487	3360	Regione di Ashanti	it	0	2013-06-05 09:35:40.022878+02	1	Regione di Ashanti	\N	\N	\N	\N	\N	\N	t	f
7491	1140	Carabobo	de	0	2013-06-05 09:35:55.656935+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
8684	1003	Διαμέρισμα Κάουκας	el	0	2013-06-05 10:28:00.110481+02	1	Διαμέρισμα Κάουκας	\N	\N	\N	\N	\N	\N	t	f
7600	2992	Subdivision de Zarqa	fr	0	2013-06-05 09:40:53.298001+02	1	Subdivision de Zarqa	\N	\N	\N	\N	\N	\N	t	f
8937	3827	Cookstown (distrikt)	no	0	2013-06-05 10:38:31.187602+02	1	Cookstown (distrikt)	\N	\N	\N	\N	\N	\N	t	f
7602	2992	ザルカ県	ja	0	2013-06-05 09:40:58.259355+02	1	ザルカ県	\N	\N	\N	\N	\N	\N	t	f
8748	2482	Adjarie	fr	0	2013-06-05 10:30:35.537571+02	1	Adjarie	\N	\N	\N	\N	\N	\N	t	f
7658	971	Cochabamba	nl	0	2013-06-05 09:43:14.568639+02	1	Cochabamba	\N	\N	\N	\N	\N	\N	t	f
7721	2384	Tsjerkasy oblast	no	0	2013-06-05 09:45:55.435651+02	1	Tsjerkasy oblast	\N	\N	\N	\N	\N	\N	t	f
8064	3322	Gouvernorat de Louxor	fr	0	2013-06-05 10:01:17.57709+02	1	Gouvernorat de Louxor	\N	\N	\N	\N	\N	\N	t	f
8761	590	Bern	nl	0	2013-06-05 10:31:06.823584+02	1	Bern	\N	\N	\N	\N	\N	\N	t	f
8080	1836	Champagne-Ardenne	en	0	2013-06-05 10:01:59.775328+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
8144	3333	Anseba	no	0	2013-06-05 10:04:45.057613+02	1	Anseba	\N	\N	\N	\N	\N	\N	t	f
8776	2263	Brvenitsa	fr	0	2013-06-05 10:31:43.307446+02	1	Brvenitsa	\N	\N	\N	\N	\N	\N	t	f
8943	1309	Cēsis municipality	en	0	2013-06-05 10:38:45.741919+02	1	Cēsis municipality	\N	\N	\N	\N	\N	\N	t	f
8843	4368	Aube	nl	0	2013-06-05 10:34:33.192795+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
8851	2602	バクリエウ省	ja	0	2013-06-05 10:34:52.477993+02	1	バクリエウ省	\N	\N	\N	\N	\N	\N	t	f
9687	2902	Andijoni vilajett	et	0	2013-06-05 11:11:07.908084+02	1	Andijoni vilajett	\N	\N	\N	\N	\N	\N	t	f
8862	660	チャッティースガル州	ja	0	2013-06-05 10:35:19.015532+02	1	チャッティースガル州	\N	\N	\N	\N	\N	\N	t	f
9654	2786	Région autonome en Mindanao musulmane	fr	0	2013-06-05 11:09:18.454888+02	1	Région autonome en Mindanao musulmane	\N	\N	\N	\N	\N	\N	t	f
8863	660	Chhattisgarh	nl	0	2013-06-05 10:35:21.385425+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
8917	4753	Agadir	fr	0	2013-06-05 10:37:43.362411+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
9656	2786	イスラム教徒ミンダナオ自治地域	ja	0	2013-06-05 11:09:26.436641+02	1	イスラム教徒ミンダナオ自治地域	\N	\N	\N	\N	\N	\N	t	f
9794	2960	Regione di Ardabil	it	0	2013-06-05 11:15:31.203562+02	1	Regione di Ardabil	\N	\N	\N	\N	\N	\N	t	f
9674	4426	Basso Reno	it	0	2013-06-05 11:10:34.674222+02	1	Basso Reno	\N	\N	\N	\N	\N	\N	t	f
9718	1670	Honiara	fr	0	2013-06-05 11:12:26.806126+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
9769	1708	Préfecture de Berat	fr	0	2013-06-05 11:14:30.228155+02	1	Préfecture de Berat	\N	\N	\N	\N	\N	\N	t	f
9771	1708	ベラト州	ja	0	2013-06-05 11:14:34.997094+02	1	ベラト州	\N	\N	\N	\N	\N	\N	t	f
9807	3543	Adamawa	de	0	2013-06-05 11:16:02.752109+02	1	Adamawa	\N	\N	\N	\N	\N	\N	t	f
9853	3209	Bouenza	de	0	2013-06-05 11:17:54.088498+02	1	Bouenza	\N	\N	\N	\N	\N	\N	t	f
9833	2373	Crimea	en	0	2013-06-05 11:17:05.502732+02	1	Crimea	\N	\N	\N	\N	\N	\N	t	f
10221	3876	London Borough of Barking and Dagenham	de	0	2013-06-05 11:34:08.522184+02	1	London Borough of Barking and Dagenham	\N	\N	\N	\N	\N	\N	t	f
10227	3876	Barking en Dagenham	nl	0	2013-06-05 11:34:29.64831+02	1	Barking en Dagenham	\N	\N	\N	\N	\N	\N	t	f
10232	2472	Armaviri maakond	et	0	2013-06-05 11:34:44.87832+02	1	Armaviri maakond	\N	\N	\N	\N	\N	\N	t	f
10264	4310	Albacete	fi	0	2013-06-05 11:36:16.762198+02	1	Albacete	\N	\N	\N	\N	\N	\N	t	f
10270	3791	Aberdeenshire	de	0	2013-06-05 11:36:31.622308+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
10970	3143	Bujumbura Rural Province	en	0	2013-06-05 12:06:28.47904+02	1	Bujumbura Rural Province	\N	\N	\N	\N	\N	\N	t	f
54	3304	Alexandria	en	0	2013-06-05 12:06:52.744746+02	1	Alexandria	\N	\N	\N	\N	\N	\N	f	f
10980	3304	Alexandria Governorate	en	0	2013-06-05 12:06:52.744746+02	1	Alexandria Governorate	\N	\N	\N	\N	\N	\N	t	f
11085	2793	Bobonaro	nl	0	2013-06-05 12:11:20.769346+02	1	Bobonaro	\N	\N	\N	\N	\N	\N	t	f
2563	53	Kroatië	nl	0	2013-05-27 16:01:54.15326+02	\N	Kroatië	\N	\N	\N	\N	\N	\N	t	f
3406	1678	'Eua	nl	0	2013-05-27 20:01:09.315401+02	1	'Eua	\N	\N	\N	\N	\N	\N	t	f
3422	2133	ジャレツ	ja	0	2013-05-27 20:01:46.376219+02	1	ジャレツ	\N	\N	\N	\N	\N	\N	t	f
3861	4154	Bazèga	fr	0	2013-06-05 06:58:35.949652+02	1	Bazèga	\N	\N	\N	\N	\N	\N	t	f
3872	3650	バリ州	ja	0	2013-06-05 06:59:02.631594+02	1	バリ州	\N	\N	\N	\N	\N	\N	t	f
4264	1105	Brokopondo	fr	0	2013-06-05 07:16:13.429071+02	1	Brokopondo	\N	\N	\N	\N	\N	\N	t	f
4320	1291	Aknīstes novads	nl	0	2013-06-05 07:18:46.528349+02	1	Aknīstes novads	\N	\N	\N	\N	\N	\N	t	f
4789	4853	Bheri	fr	0	2013-06-05 07:39:30.908836+02	1	Bheri	\N	\N	\N	\N	\N	\N	t	f
4351	1893	Balzers	fr	0	2013-06-05 07:20:31.434638+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
4382	4588	Cavan	no	0	2013-06-05 07:21:48.659991+02	1	Cavan	\N	\N	\N	\N	\N	\N	t	f
4803	1834	Bretagne	et	0	2013-06-05 07:40:14.584454+02	1	Bretagne	\N	\N	\N	\N	\N	\N	t	f
5361	2347	ボル郡	ja	0	2013-06-05 08:04:19.48847+02	1	ボル郡	\N	\N	\N	\N	\N	\N	t	f
4819	3093	Al Bayda' Governorate	en	0	2013-06-05 07:40:56.703854+02	1	Al Bayda' Governorate	\N	\N	\N	\N	\N	\N	t	f
4822	3093	Governatorato di al-Bayda'	it	0	2013-06-05 07:41:03.827206+02	1	Governatorato di al-Bayda'	\N	\N	\N	\N	\N	\N	t	f
5999	3780	Bulawayo	it	0	2013-06-05 08:31:38.314745+02	1	Bulawayo	\N	\N	\N	\N	\N	\N	t	f
6006	3623	Nil Blanc	fr	0	2013-06-05 08:31:55.351794+02	1	Nil Blanc	\N	\N	\N	\N	\N	\N	t	f
6718	2600	Bắc Kạn	de	0	2013-06-05 09:02:35.098784+02	1	Bắc Kạn	\N	\N	\N	\N	\N	\N	t	f
6010	1811	Αραγονία	el	0	2013-06-05 08:32:05.377674+02	1	Αραγονία	\N	\N	\N	\N	\N	\N	t	f
6025	4631	Südtirol	de	0	2013-06-05 08:32:42.330368+02	1	Südtirol	\N	\N	\N	\N	\N	\N	t	f
6032	4631	provincia autonoma di Bolzano	it	0	2013-06-05 08:32:59.170484+02	1	provincia autonoma di Bolzano	\N	\N	\N	\N	\N	\N	t	f
6777	4309	Province of Alicante	en	0	2013-06-05 09:05:05.706283+02	1	Province of Alicante	\N	\N	\N	\N	\N	\N	t	f
6035	4631	Syd-Tirol	no	0	2013-06-05 08:33:06.325927+02	1	Syd-Tirol	\N	\N	\N	\N	\N	\N	t	f
6038	4152	Provincia de Bam	es	0	2013-06-05 08:33:14.129126+02	1	Provincia de Bam	\N	\N	\N	\N	\N	\N	t	f
7488	3360	アシャンティ州	ja	0	2013-06-05 09:35:42.407937+02	1	アシャンティ州	\N	\N	\N	\N	\N	\N	t	f
6088	1496	Baja California	et	0	2013-06-05 08:35:17.881766+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6815	516	Bilecik	de	0	2013-06-05 09:06:39.606416+02	1	Bilecik	\N	\N	\N	\N	\N	\N	t	f
6096	263	Αλαμπάμα	el	0	2013-06-05 08:35:40.778173+02	1	Αλαμπάμα	\N	\N	\N	\N	\N	\N	t	f
6148	3307	Al-Baḩr al-Aḩmari kubernerkond	et	0	2013-06-05 08:37:52.271933+02	1	Al-Baḩr al-Aḩmari kubernerkond	\N	\N	\N	\N	\N	\N	t	f
6170	1183	Central Eleuthera	es	0	2013-06-05 08:38:46.687936+02	1	Central Eleuthera	\N	\N	\N	\N	\N	\N	t	f
6843	3463	Antsiranana	de	0	2013-06-05 09:07:47.821313+02	1	Antsiranana	\N	\N	\N	\N	\N	\N	t	f
8204	3031	Al Batinah Region	en	0	2013-06-05 10:07:15.114937+02	1	Al Batinah Region	\N	\N	\N	\N	\N	\N	t	f
6862	2930	Southern Governorate	en	0	2013-06-05 09:08:33.673085+02	1	Southern Governorate	\N	\N	\N	\N	\N	\N	t	f
7496	1140	Carabobo	it	0	2013-06-05 09:36:17.211109+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6924	622	Bahía	es	0	2013-06-05 09:11:16.16107+02	1	Bahía	\N	\N	\N	\N	\N	\N	t	f
7535	1698	Αϊγκα-ι-λε-Τάι	el	0	2013-06-05 09:38:08.926297+02	1	Αϊγκα-ι-λε-Τάι	\N	\N	\N	\N	\N	\N	t	f
7623	2165	Oblast Burgas	de	0	2013-06-05 09:41:49.871118+02	1	Oblast Burgas	\N	\N	\N	\N	\N	\N	t	f
8224	619	Alagoas	en	0	2013-06-05 10:08:04.306686+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
7653	971	Cochabamba departemang	et	0	2013-06-05 09:43:02.66274+02	1	Cochabamba departemang	\N	\N	\N	\N	\N	\N	t	f
7690	3916	Calderdale	no	0	2013-06-05 09:44:35.077663+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
10985	3304	アレクサンドリア県	ja	0	2013-06-05 12:07:04.70973+02	1	アレクサンドリア県	\N	\N	\N	\N	\N	\N	t	f
7701	3626	Ascension	no	0	2013-06-05 09:45:02.231259+02	1	Ascension	\N	\N	\N	\N	\N	\N	t	f
8346	2395	Oblast' di Brjansk	it	0	2013-06-05 10:13:14.459842+02	1	Oblast' di Brjansk	\N	\N	\N	\N	\N	\N	t	f
7704	1158	Amazonas	es	0	2013-06-05 09:45:09.82477+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8686	1003	Cauca	es	0	2013-06-05 10:28:04.787773+02	1	Cauca	\N	\N	\N	\N	\N	\N	t	f
7730	4891	Basilán	es	0	2013-06-05 09:46:19.739801+02	1	Basilán	\N	\N	\N	\N	\N	\N	t	f
7747	3171	Central District	de	0	2013-06-05 09:47:05.476743+02	1	Central District	\N	\N	\N	\N	\N	\N	t	f
10253	1032	Cañar	fi	0	2013-06-05 11:35:50.052277+02	1	Cañar	\N	\N	\N	\N	\N	\N	t	f
8065	3322	Governatorato di Luxor	it	0	2013-06-05 10:01:19.94103+02	1	Governatorato di Luxor	\N	\N	\N	\N	\N	\N	t	f
8727	1724	Ağdaş	es	0	2013-06-05 10:29:44.815604+02	1	Ağdaş	\N	\N	\N	\N	\N	\N	t	f
8093	2788	CALABARZON	de	0	2013-06-05 10:02:38.799566+02	1	CALABARZON	\N	\N	\N	\N	\N	\N	t	f
8136	1231	Camagüey	no	0	2013-06-05 10:04:23.209565+02	1	Camagüey	\N	\N	\N	\N	\N	\N	t	f
8143	3333	Anseba	nl	0	2013-06-05 10:04:42.63165+02	1	Anseba	\N	\N	\N	\N	\N	\N	t	f
8786	980	アントファガスタ州	ja	0	2013-06-05 10:32:07.56975+02	1	アントファガスタ州	\N	\N	\N	\N	\N	\N	t	f
8972	3758	Centre	fr	0	2013-06-05 10:39:55.569558+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
10272	3791	Aberdeenshire	es	0	2013-06-05 11:36:37.089191+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
9655	2786	Regione Autonoma nel Mindanao Musulmano	it	0	2013-06-05 11:09:24.056169+02	1	Regione Autonoma nel Mindanao Musulmano	\N	\N	\N	\N	\N	\N	t	f
9927	3430	Munizip al-Dschabal al-Gharbi	de	0	2013-06-05 11:21:09.972321+02	1	Munizip al-Dschabal al-Gharbi	\N	\N	\N	\N	\N	\N	t	f
9949	1068	regione di Cusco	it	0	2013-06-05 11:22:08.7078+02	1	regione di Cusco	\N	\N	\N	\N	\N	\N	t	f
11550	3180	Kesk-Kongo provints	et	0	2013-06-05 12:31:32.197477+02	1	Kesk-Kongo provints	\N	\N	\N	\N	\N	\N	t	f
10974	3143	Province de Bujumbura rural	fr	0	2013-06-05 12:06:37.971747+02	1	Province de Bujumbura rural	\N	\N	\N	\N	\N	\N	t	f
10977	3143	Bujumbura Rural	nl	0	2013-06-05 12:06:45.169839+02	1	Bujumbura Rural	\N	\N	\N	\N	\N	\N	t	f
2564	53	Kroatia	no	0	2013-05-27 16:01:56.368039+02	\N	Kroatia	\N	\N	\N	\N	\N	\N	t	f
3407	2922	Adschman	de	0	2013-05-27 20:01:12.173352+02	1	Adschman	\N	\N	\N	\N	\N	\N	t	f
3869	3650	Bari	fi	0	2013-06-05 06:58:55.457504+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
4265	1105	Distretto di Brokopondo	it	0	2013-06-05 07:16:15.818273+02	1	Distretto di Brokopondo	\N	\N	\N	\N	\N	\N	t	f
4317	1291	Municipalidad de Aknīste	es	0	2013-06-05 07:18:38.664298+02	1	Municipalidad de Aknīste	\N	\N	\N	\N	\N	\N	t	f
4790	4853	Bheri	it	0	2013-06-05 07:39:36.436747+02	1	Bheri	\N	\N	\N	\N	\N	\N	t	f
4371	1817	カナリア諸島	ja	0	2013-06-05 07:21:21.621279+02	1	カナリア諸島	\N	\N	\N	\N	\N	\N	t	f
4387	1087	Département de Concepción	fr	0	2013-06-05 07:22:01.040815+02	1	Département de Concepción	\N	\N	\N	\N	\N	\N	t	f
4809	1062	Ancash	de	0	2013-06-05 07:40:32.109623+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
5362	2347	Bor	nl	0	2013-06-05 08:04:24.20304+02	1	Bor	\N	\N	\N	\N	\N	\N	t	f
4817	1062	Ancash	no	0	2013-06-05 07:40:51.581702+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
5365	4656	Province of Crotone	en	0	2013-06-05 08:04:31.953154+02	1	Province of Crotone	\N	\N	\N	\N	\N	\N	t	f
6000	3780	ブラワヨ	ja	0	2013-06-05 08:31:40.679823+02	1	ブラワヨ	\N	\N	\N	\N	\N	\N	t	f
6127	3804	Blackpool	no	0	2013-06-05 08:37:00.287904+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6719	2600	Bắc Kạn Province	en	0	2013-06-05 09:02:37.452744+02	1	Bắc Kạn Province	\N	\N	\N	\N	\N	\N	t	f
6743	3008	Beiroet	nl	0	2013-06-05 09:03:37.889153+02	1	Beiroet	\N	\N	\N	\N	\N	\N	t	f
7490	3360	Ashanti	no	0	2013-06-05 09:35:52.790512+02	1	Ashanti	\N	\N	\N	\N	\N	\N	t	f
6811	1833	Borgogna	it	0	2013-06-05 09:06:29.189815+02	1	Borgogna	\N	\N	\N	\N	\N	\N	t	f
6912	4629	Μπρέσια	el	0	2013-06-05 09:10:39.680635+02	1	Μπρέσια	\N	\N	\N	\N	\N	\N	t	f
9917	808	Αράντ	el	0	2013-06-05 11:20:40.5338+02	1	Αράντ	\N	\N	\N	\N	\N	\N	t	f
7526	1117	Departamento Cerro Largo	de	0	2013-06-05 09:37:45.811632+02	1	Departamento Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
8687	1003	Cauca	fi	0	2013-06-05 10:28:07.172303+02	1	Cauca	\N	\N	\N	\N	\N	\N	t	f
7559	2942	バスラ県	ja	0	2013-06-05 09:39:08.088517+02	1	バスラ県	\N	\N	\N	\N	\N	\N	t	f
7574	580	Ardahan	nl	0	2013-06-05 09:39:47.389426+02	1	Ardahan	\N	\N	\N	\N	\N	\N	t	f
7740	377	Austraalia pealinna ala	et	0	2013-06-05 09:46:44.930493+02	1	Austraalia pealinna ala	\N	\N	\N	\N	\N	\N	t	f
8699	3830	Cumbria	it	0	2013-06-05 10:28:35.75927+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
8074	999	Boyacá	fr	0	2013-06-05 10:01:42.266346+02	1	Boyacá	\N	\N	\N	\N	\N	\N	t	f
8085	1836	Champagne-Ardenne	it	0	2013-06-05 10:02:14.025184+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
11037	3548	Borno	nl	0	2013-06-05 12:09:18.652598+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
8789	1228	Provinz Cienfuegos	de	0	2013-06-05 10:32:15.094327+02	1	Provinz Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
9920	808	Aradi maakond	et	0	2013-06-05 11:20:48.158317+02	1	Aradi maakond	\N	\N	\N	\N	\N	\N	t	f
8815	1632	Chimbu	en	0	2013-06-05 10:33:22.172756+02	1	Chimbu	\N	\N	\N	\N	\N	\N	t	f
8833	1052	Cuyuni-Mazaruni	nl	0	2013-06-05 10:34:09.093164+02	1	Cuyuni-Mazaruni	\N	\N	\N	\N	\N	\N	t	f
8837	4368	Aube	es	0	2013-06-05 10:34:18.963491+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
9939	1615	Aiwo	fr	0	2013-06-05 11:21:39.42585+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
8838	4368	Aube'i departemang	et	0	2013-06-05 10:34:21.296914+02	1	Aube'i departemang	\N	\N	\N	\N	\N	\N	t	f
8840	4368	Aube	fr	0	2013-06-05 10:34:26.013541+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
8870	2228	Căușeni	nl	0	2013-06-05 10:35:38.240142+02	1	Căușeni	\N	\N	\N	\N	\N	\N	t	f
9945	1068	Cusco	en	0	2013-06-05 11:21:55.958425+02	1	Cusco	\N	\N	\N	\N	\N	\N	t	f
9657	2786	Autonomous Region in Muslim Mindanao	nl	0	2013-06-05 11:09:28.798339+02	1	Autonomous Region in Muslim Mindanao	\N	\N	\N	\N	\N	\N	t	f
10261	4310	Province of Albacete	en	0	2013-06-05 11:36:09.690997+02	1	Province of Albacete	\N	\N	\N	\N	\N	\N	t	f
9659	1061	Amazonas	en	0	2013-06-05 11:09:33.96234+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
9701	4624	ビエッラ県	ja	0	2013-06-05 11:11:44.571092+02	1	ビエッラ県	\N	\N	\N	\N	\N	\N	t	f
11558	2672	Chainat Province	en	0	2013-06-05 12:31:51.81854+02	1	Chainat Province	\N	\N	\N	\N	\N	\N	t	f
9703	4624	Provinsen Biella	no	0	2013-06-05 11:11:49.36626+02	1	Provinsen Biella	\N	\N	\N	\N	\N	\N	t	f
10295	4899	Cagayan	en	0	2013-06-05 11:37:33.287387+02	1	Cagayan	\N	\N	\N	\N	\N	\N	t	f
9873	3587	Au Cap	en	0	2013-06-05 11:18:44.260713+02	1	Au Cap	\N	\N	\N	\N	\N	\N	t	f
9887	2955	As-Sulaymaniya	fr	0	2013-06-05 11:19:20.857639+02	1	As-Sulaymaniya	\N	\N	\N	\N	\N	\N	t	f
9911	2931	Muharraq Governorate	en	0	2013-06-05 11:20:25.955505+02	1	Muharraq Governorate	\N	\N	\N	\N	\N	\N	t	f
11567	1928	Budva vald	et	0	2013-06-05 12:32:13.494983+02	1	Budva vald	\N	\N	\N	\N	\N	\N	t	f
10317	4321	Ciudad Real	nl	0	2013-06-05 11:38:26.893137+02	1	Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
10322	879	Contea di Changhua	it	0	2013-06-05 11:38:39.400896+02	1	Contea di Changhua	\N	\N	\N	\N	\N	\N	t	f
10975	3143	Provincia di Bujumbura Rurale	it	0	2013-06-05 12:06:40.347929+02	1	Provincia di Bujumbura Rurale	\N	\N	\N	\N	\N	\N	t	f
10988	2991	Tafilah Governorate	en	0	2013-06-05 12:07:12.224581+02	1	Tafilah Governorate	\N	\N	\N	\N	\N	\N	t	f
11029	3548	Borno	de	0	2013-06-05 12:08:56.359839+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
2565	198	Sudan	de	0	2013-05-27 16:01:59.433306+02	\N	Sudan	\N	\N	\N	\N	\N	\N	t	f
3412	2922	Ajman	fr	0	2013-05-27 20:01:23.473152+02	1	Ajman	\N	\N	\N	\N	\N	\N	t	f
3414	2922	アジュマーン	ja	0	2013-05-27 20:01:27.934046+02	1	アジュマーン	\N	\N	\N	\N	\N	\N	t	f
3893	1141	Cojedes	en	0	2013-06-05 06:59:55.754279+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
3432	4286	District de Žďár nad Sázavou	fr	0	2013-05-27 20:02:09.938935+02	1	District de Žďár nad Sázavou	\N	\N	\N	\N	\N	\N	t	f
3433	4286	Distretto di Žďár nad Sázavou	it	0	2013-05-27 20:02:12.222808+02	1	Distretto di Žďár nad Sázavou	\N	\N	\N	\N	\N	\N	t	f
3894	1141	Cojedes	es	0	2013-06-05 06:59:58.13684+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
4268	3715	Gouvernorat Beja	de	0	2013-06-05 07:16:23.469651+02	1	Gouvernorat Beja	\N	\N	\N	\N	\N	\N	t	f
3899	1141	Cojedes	nl	0	2013-06-05 07:00:10.459316+02	1	Cojedes	\N	\N	\N	\N	\N	\N	t	f
4298	4375	Charente-Maritime	nl	0	2013-06-05 07:17:41.155556+02	1	Charente-Maritime	\N	\N	\N	\N	\N	\N	t	f
4794	3682	Bahr el Gazel Region	en	0	2013-06-05 07:39:51.967577+02	1	Bahr el Gazel Region	\N	\N	\N	\N	\N	\N	t	f
4847	514	Provincia de Aydin	es	0	2013-06-05 07:42:08.575734+02	1	Provincia de Aydin	\N	\N	\N	\N	\N	\N	t	f
5366	4656	Crotona	es	0	2013-06-05 08:04:34.297614+02	1	Crotona	\N	\N	\N	\N	\N	\N	t	f
4870	396	Präfektur Chiba	de	0	2013-06-05 07:43:04.918726+02	1	Präfektur Chiba	\N	\N	\N	\N	\N	\N	t	f
4917	2857	Balch	nl	0	2013-06-05 07:44:58.604124+02	1	Balch	\N	\N	\N	\N	\N	\N	t	f
4938	1558	Département de Chalatenango	fr	0	2013-06-05 07:45:49.53665+02	1	Département de Chalatenango	\N	\N	\N	\N	\N	\N	t	f
5404	1308	Municipalidad de Cesvaine	es	0	2013-06-05 08:06:07.74353+02	1	Municipalidad de Cesvaine	\N	\N	\N	\N	\N	\N	t	f
4941	520	Burdur	de	0	2013-06-05 07:45:57.163491+02	1	Burdur	\N	\N	\N	\N	\N	\N	t	f
6004	3623	White Nile	en	0	2013-06-05 08:31:50.708518+02	1	White Nile	\N	\N	\N	\N	\N	\N	t	f
6030	4631	Etelä-Tiroli	fi	0	2013-06-05 08:32:54.41419+02	1	Etelä-Tiroli	\N	\N	\N	\N	\N	\N	t	f
6720	2600	Bắc Kạn	es	0	2013-06-05 09:02:39.812434+02	1	Bắc Kạn	\N	\N	\N	\N	\N	\N	t	f
6051	659	Chandigarh	it	0	2013-06-05 08:33:46.031921+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6135	3490	Agalega-eilanden	nl	0	2013-06-05 08:37:19.967827+02	1	Agalega-eilanden	\N	\N	\N	\N	\N	\N	t	f
6187	1184	Cat	it	0	2013-06-05 08:39:35.568588+02	1	Cat	\N	\N	\N	\N	\N	\N	t	f
6727	2400	Τσουβασία	el	0	2013-06-05 09:02:57.214321+02	1	Τσουβασία	\N	\N	\N	\N	\N	\N	t	f
7492	1140	Carabobo	en	0	2013-06-05 09:36:00.49048+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6734	2400	チュヴァシ共和国	ja	0	2013-06-05 09:03:13.915467+02	1	チュヴァシ共和国	\N	\N	\N	\N	\N	\N	t	f
6752	3432	Munizip al-Dschufra	de	0	2013-06-05 09:04:02.332837+02	1	Munizip al-Dschufra	\N	\N	\N	\N	\N	\N	t	f
6755	3432	Al Djoufrah	fr	0	2013-06-05 09:04:09.360128+02	1	Al Djoufrah	\N	\N	\N	\N	\N	\N	t	f
7580	995	Antioquia departemang	et	0	2013-06-05 09:40:04.517992+02	1	Antioquia departemang	\N	\N	\N	\N	\N	\N	t	f
6762	4628	Brindisi	es	0	2013-06-05 09:04:28.687424+02	1	Brindisi	\N	\N	\N	\N	\N	\N	t	f
6781	4309	Province d'Alicante	fr	0	2013-06-05 09:05:15.418845+02	1	Province d'Alicante	\N	\N	\N	\N	\N	\N	t	f
8688	1003	Cauca	fr	0	2013-06-05 10:28:09.53944+02	1	Cauca	\N	\N	\N	\N	\N	\N	t	f
8076	999	ボヤカ県	ja	0	2013-06-05 10:01:47.118847+02	1	ボヤカ県	\N	\N	\N	\N	\N	\N	t	f
8077	999	Boyacá	nl	0	2013-06-05 10:01:49.57159+02	1	Boyacá	\N	\N	\N	\N	\N	\N	t	f
11019	361	Buskerud	no	0	2013-06-05 12:08:31.663165+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
8126	1302	Balvi piirkond	et	0	2013-06-05 10:03:58.810161+02	1	Balvi piirkond	\N	\N	\N	\N	\N	\N	t	f
8756	590	Berni kanton	et	0	2013-06-05 10:30:55.046741+02	1	Berni kanton	\N	\N	\N	\N	\N	\N	t	f
8153	3818	Ceredigion	no	0	2013-06-05 10:05:08.25258+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8172	3218	Brazzaville	it	0	2013-06-05 10:05:55.996111+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8174	3218	Brazzaville	nl	0	2013-06-05 10:06:00.900837+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8766	4641	Cosenza	es	0	2013-06-05 10:31:19.177309+02	1	Cosenza	\N	\N	\N	\N	\N	\N	t	f
8181	2493	Oblys d'Aqmola	fr	0	2013-06-05 10:06:18.030268+02	1	Oblys d'Aqmola	\N	\N	\N	\N	\N	\N	t	f
8780	980	Antofagasta Region	en	0	2013-06-05 10:31:53.081673+02	1	Antofagasta Region	\N	\N	\N	\N	\N	\N	t	f
11065	4755	Assa-Zag Province	en	0	2013-06-05 12:10:31.176028+02	1	Assa-Zag Province	\N	\N	\N	\N	\N	\N	t	f
9658	1061	Amazonas	de	0	2013-06-05 11:09:31.688055+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
9661	1061	Amazonase piirkond	et	0	2013-06-05 11:09:45.806782+02	1	Amazonase piirkond	\N	\N	\N	\N	\N	\N	t	f
9667	1061	Amazonas	no	0	2013-06-05 11:10:08.646584+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
11563	2672	Changwat Chainat	nl	0	2013-06-05 12:32:03.634032+02	1	Changwat Chainat	\N	\N	\N	\N	\N	\N	t	f
9675	4426	バ＝ラン県	ja	0	2013-06-05 11:10:37.755638+02	1	バ＝ラン県	\N	\N	\N	\N	\N	\N	t	f
9705	2674	Chonburi Province	en	0	2013-06-05 11:11:55.602909+02	1	Chonburi Province	\N	\N	\N	\N	\N	\N	t	f
10263	4310	Albacete provints	et	0	2013-06-05 11:36:14.40476+02	1	Albacete provints	\N	\N	\N	\N	\N	\N	t	f
10978	3143	Bujumbura Rural	no	0	2013-06-05 12:06:47.548234+02	1	Bujumbura Rural	\N	\N	\N	\N	\N	\N	t	f
11003	907	Cospicua	de	0	2013-06-05 12:07:49.135348+02	1	Cospicua	\N	\N	\N	\N	\N	\N	t	f
2567	198	Sudan	en	0	2013-05-27 16:02:08.442256+02	\N	Sudan	\N	\N	\N	\N	\N	\N	t	f
3420	2133	Žalec	fr	0	2013-05-27 20:01:41.853703+02	1	Žalec	\N	\N	\N	\N	\N	\N	t	f
3423	2133	Žalec	nl	0	2013-05-27 20:01:48.79832+02	1	Žalec	\N	\N	\N	\N	\N	\N	t	f
3896	1141	État de Cojedes	fr	0	2013-06-05 07:00:03.058733+02	1	État de Cojedes	\N	\N	\N	\N	\N	\N	t	f
3440	474	Östergötlandi lään	et	0	2013-05-27 20:02:29.293293+02	1	Östergötlandi lään	\N	\N	\N	\N	\N	\N	t	f
3444	474	エステルイェータランド県	ja	0	2013-05-27 20:02:38.358916+02	1	エステルイェータランド県	\N	\N	\N	\N	\N	\N	t	f
3445	474	Östergötlands län	nl	0	2013-05-27 20:02:40.631991+02	1	Östergötlands län	\N	\N	\N	\N	\N	\N	t	f
3898	1141	コヘデス州	ja	0	2013-06-05 07:00:08.003158+02	1	コヘデス州	\N	\N	\N	\N	\N	\N	t	f
4269	3715	Μπατζά	el	0	2013-06-05 07:16:25.864771+02	1	Μπατζά	\N	\N	\N	\N	\N	\N	t	f
4292	4375	Charente Marítimo	es	0	2013-06-05 07:17:23.854251+02	1	Charente Marítimo	\N	\N	\N	\N	\N	\N	t	f
4806	1834	ブルターニュ地域圏	ja	0	2013-06-05 07:40:24.510902+02	1	ブルターニュ地域圏	\N	\N	\N	\N	\N	\N	t	f
4296	4375	Charente Marittima	it	0	2013-06-05 07:17:33.996958+02	1	Charente Marittima	\N	\N	\N	\N	\N	\N	t	f
4323	1816	Castile-La Mancha	en	0	2013-06-05 07:18:58.542629+02	1	Castile-La Mancha	\N	\N	\N	\N	\N	\N	t	f
5368	4656	Crotonen maakunta	fi	0	2013-06-05 08:04:39.028466+02	1	Crotonen maakunta	\N	\N	\N	\N	\N	\N	t	f
4326	1816	Kastilia- La Mancha	fi	0	2013-06-05 07:19:10.668297+02	1	Kastilia- La Mancha	\N	\N	\N	\N	\N	\N	t	f
4358	3545	Anambra	es	0	2013-06-05 07:20:49.402247+02	1	Anambra	\N	\N	\N	\N	\N	\N	t	f
4364	1817	Κανάριες Νήσοι	el	0	2013-06-05 07:21:04.463053+02	1	Κανάριες Νήσοι	\N	\N	\N	\N	\N	\N	t	f
5379	4892	ベンゲット州	ja	0	2013-06-05 08:05:06.311355+02	1	ベンゲット州	\N	\N	\N	\N	\N	\N	t	f
6005	3623	Nilo Blanco	es	0	2013-06-05 08:31:53.032594+02	1	Nilo Blanco	\N	\N	\N	\N	\N	\N	t	f
5389	3550	Cross River	nl	0	2013-06-05 08:05:30.953195+02	1	Cross River	\N	\N	\N	\N	\N	\N	t	f
5394	4372	Calvados	fi	0	2013-06-05 08:05:43.295903+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
5397	4372	カルヴァドス県	ja	0	2013-06-05 08:05:50.395669+02	1	カルヴァドス県	\N	\N	\N	\N	\N	\N	t	f
6110	3073	Al Bahah	fi	0	2013-06-05 08:36:17.671087+02	1	Al Bahah	\N	\N	\N	\N	\N	\N	t	f
5401	3589	Baie Lazare	es	0	2013-06-05 08:06:00.25718+02	1	Baie Lazare	\N	\N	\N	\N	\N	\N	t	f
5432	3811	Caerphilly	fr	0	2013-06-05 08:07:16.126286+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
6721	2600	Bắc Kạn	fi	0	2013-06-05 09:02:42.199079+02	1	Bắc Kạn	\N	\N	\N	\N	\N	\N	t	f
5433	3811	Caerphilly	it	0	2013-06-05 08:07:18.489041+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
6119	3804	Blackpool	en	0	2013-06-05 08:36:40.632155+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
5537	521	ブルサ県	ja	0	2013-06-05 08:11:35.828644+02	1	ブルサ県	\N	\N	\N	\N	\N	\N	t	f
6733	2400	Ciuvascia	it	0	2013-06-05 09:03:11.556631+02	1	Ciuvascia	\N	\N	\N	\N	\N	\N	t	f
7493	1140	Carabobo	es	0	2013-06-05 09:36:07.162814+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6735	2400	Tsjoevasjië	nl	0	2013-06-05 09:03:16.299817+02	1	Tsjoevasjië	\N	\N	\N	\N	\N	\N	t	f
6830	3342	Regione Benisciangul-Gumus	it	0	2013-06-05 09:07:16.054236+02	1	Regione Benisciangul-Gumus	\N	\N	\N	\N	\N	\N	t	f
8247	4029	District de Bulqizë	fr	0	2013-06-05 10:09:00.217752+02	1	District de Bulqizë	\N	\N	\N	\N	\N	\N	t	f
6837	1621	Buada	fi	0	2013-06-05 09:07:33.134847+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
7506	2471	provincia di Ararat	it	0	2013-06-05 09:36:50.990659+02	1	provincia di Ararat	\N	\N	\N	\N	\N	\N	t	f
6842	1621	Buada	no	0	2013-06-05 09:07:45.106188+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
6953	4902	Capiz	en	0	2013-06-05 09:13:02.028043+02	1	Capiz	\N	\N	\N	\N	\N	\N	t	f
7539	1698	Aiga-i-le-Tai	it	0	2013-06-05 09:38:18.60352+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
7556	2942	Basra	fi	0	2013-06-05 09:39:00.910183+02	1	Basra	\N	\N	\N	\N	\N	\N	t	f
8307	2849	Balochistan	fi	0	2013-06-05 10:11:35.175159+02	1	Balochistan	\N	\N	\N	\N	\N	\N	t	f
7563	4234	Beroun District	en	0	2013-06-05 09:39:18.006745+02	1	Beroun District	\N	\N	\N	\N	\N	\N	t	f
7582	995	Antioquia	fr	0	2013-06-05 09:40:09.299025+02	1	Antioquia	\N	\N	\N	\N	\N	\N	t	f
8689	1003	dipartimento di Cauca	it	0	2013-06-05 10:28:11.919003+02	1	dipartimento di Cauca	\N	\N	\N	\N	\N	\N	t	f
7615	3086	Αρ Ρακκά	el	0	2013-06-05 09:41:30.427118+02	1	Αρ Ρακκά	\N	\N	\N	\N	\N	\N	t	f
8335	3161	Dipartimento dell'Atlantico	it	0	2013-06-05 10:12:43.211388+02	1	Dipartimento dell'Atlantico	\N	\N	\N	\N	\N	\N	t	f
7646	5032	Distrito de Amuru	es	0	2013-06-05 09:42:45.659494+02	1	Distrito de Amuru	\N	\N	\N	\N	\N	\N	t	f
7652	971	Departamento de Cochabamba	es	0	2013-06-05 09:43:00.284879+02	1	Departamento de Cochabamba	\N	\N	\N	\N	\N	\N	t	f
8896	3877	London Borough of Barnet	de	0	2013-06-05 10:36:49.237361+02	1	London Borough of Barnet	\N	\N	\N	\N	\N	\N	t	f
7688	3916	Calderdale	it	0	2013-06-05 09:44:30.343909+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
8704	3100	Al Jawf Governorate	en	0	2013-06-05 10:28:47.886653+02	1	Al Jawf Governorate	\N	\N	\N	\N	\N	\N	t	f
8078	999	Boyacá	no	0	2013-06-05 10:01:51.989767+02	1	Boyacá	\N	\N	\N	\N	\N	\N	t	f
8244	4029	Bulqizë District	en	0	2013-06-05 10:08:53.031425+02	1	Bulqizë District	\N	\N	\N	\N	\N	\N	t	f
8845	2602	Bạc Liêu	de	0	2013-06-05 10:34:38.299618+02	1	Bạc Liêu	\N	\N	\N	\N	\N	\N	t	f
8706	3100	Gouvernorat d'Al Jawf	fr	0	2013-06-05 10:28:52.55672+02	1	Gouvernorat d'Al Jawf	\N	\N	\N	\N	\N	\N	t	f
8729	1724	Ağdaş	fr	0	2013-06-05 10:29:49.500451+02	1	Ağdaş	\N	\N	\N	\N	\N	\N	t	f
8741	329	Bremen	no	0	2013-06-05 10:30:18.443041+02	1	Bremen	\N	\N	\N	\N	\N	\N	t	f
8847	2602	Bạc Liêu	es	0	2013-06-05 10:34:43.011858+02	1	Bạc Liêu	\N	\N	\N	\N	\N	\N	t	f
8752	2482	Adsjaria	no	0	2013-06-05 10:30:45.077369+02	1	Adsjaria	\N	\N	\N	\N	\N	\N	t	f
8814	1632	Chimbu Province	de	0	2013-06-05 10:33:19.855127+02	1	Chimbu Province	\N	\N	\N	\N	\N	\N	t	f
9709	2674	チョンブリー県	ja	0	2013-06-05 11:12:05.044829+02	1	チョンブリー県	\N	\N	\N	\N	\N	\N	t	f
8873	1106	Commewijne	es	0	2013-06-05 10:35:45.692083+02	1	Commewijne	\N	\N	\N	\N	\N	\N	t	f
8899	3877	Barnet	fi	0	2013-06-05 10:36:56.223745+02	1	Barnet	\N	\N	\N	\N	\N	\N	t	f
8876	1106	Commewijne	nl	0	2013-06-05 10:35:52.771508+02	1	Commewijne	\N	\N	\N	\N	\N	\N	t	f
8914	4753	Agadir	es	0	2013-06-05 10:37:36.352702+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
8912	4753	Agadir	de	0	2013-06-05 10:37:31.646007+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
9660	1061	Amazonas	es	0	2013-06-05 11:09:41.080657+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
9714	1670	Honiara	en	0	2013-06-05 11:12:17.379031+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
9722	1670	Honiara	no	0	2013-06-05 11:12:36.345035+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
9745	2903	Μπουχάρα	el	0	2013-06-05 11:13:32.291681+02	1	Μπουχάρα	\N	\N	\N	\N	\N	\N	t	f
9764	1708	Νομός Μπεράτ	el	0	2013-06-05 11:14:18.408445+02	1	Νομός Μπεράτ	\N	\N	\N	\N	\N	\N	t	f
9812	3543	État d'Adamawa	fr	0	2013-06-05 11:16:14.601572+02	1	État d'Adamawa	\N	\N	\N	\N	\N	\N	t	f
9829	1595	Parrocchia di Charlotte	it	0	2013-06-05 11:16:55.547705+02	1	Parrocchia di Charlotte	\N	\N	\N	\N	\N	\N	t	f
9840	2373	Krim	nl	0	2013-06-05 11:17:22.198498+02	1	Krim	\N	\N	\N	\N	\N	\N	t	f
9868	3324	Al Minufiyah	no	0	2013-06-05 11:18:31.326478+02	1	Al Minufiyah	\N	\N	\N	\N	\N	\N	t	f
9896	4587	Claren kreivikunta	fi	0	2013-06-05 11:19:42.616243+02	1	Claren kreivikunta	\N	\N	\N	\N	\N	\N	t	f
2569	198	Sudaan	et	0	2013-05-27 16:02:16.091951+02	\N	Sudaan	\N	\N	\N	\N	\N	\N	t	f
2570	198	Sudan	fi	0	2013-05-27 16:02:18.346808+02	\N	Sudan	\N	\N	\N	\N	\N	\N	t	f
2573	198	スーダン	ja	0	2013-05-27 16:02:27.847498+02	\N	スーダン	\N	\N	\N	\N	\N	\N	t	f
3428	2337	Čučer-Sandevo	it	0	2013-05-27 20:02:00.579776+02	1	Čučer-Sandevo	\N	\N	\N	\N	\N	\N	t	f
3901	711	Provinz Chubut	de	0	2013-06-05 07:00:15.719662+02	1	Provinz Chubut	\N	\N	\N	\N	\N	\N	t	f
3918	1559	Departamento Cuscatlán	de	0	2013-06-05 07:01:01.907271+02	1	Departamento Cuscatlán	\N	\N	\N	\N	\N	\N	t	f
4274	3715	Governatorato di Béja	it	0	2013-06-05 07:16:37.903833+02	1	Governatorato di Béja	\N	\N	\N	\N	\N	\N	t	f
4810	1062	Ancash	en	0	2013-06-05 07:40:34.51405+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
4818	3093	Gouvernement al-Baida'	de	0	2013-06-05 07:40:54.267342+02	1	Gouvernement al-Baida'	\N	\N	\N	\N	\N	\N	t	f
5369	4656	Province de Crotone	fr	0	2013-06-05 08:04:41.46908+02	1	Province de Crotone	\N	\N	\N	\N	\N	\N	t	f
4824	3093	Al Bayda'	no	0	2013-06-05 07:41:11.922498+02	1	Al Bayda'	\N	\N	\N	\N	\N	\N	t	f
4862	2927	Sharjah	es	0	2013-06-05 07:42:45.177504+02	1	Sharjah	\N	\N	\N	\N	\N	\N	t	f
4883	3416	Butha-Buthen alue	fi	0	2013-06-05 07:43:36.152965+02	1	Butha-Buthen alue	\N	\N	\N	\N	\N	\N	t	f
5427	3811	Caerphilly	de	0	2013-06-05 08:07:03.986692+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
4907	1307	Carnikavas novads	nl	0	2013-06-05 07:44:34.469991+02	1	Carnikavas novads	\N	\N	\N	\N	\N	\N	t	f
4943	520	Burdur Province	en	0	2013-06-05 07:46:01.862981+02	1	Burdur Province	\N	\N	\N	\N	\N	\N	t	f
6007	3623	Nilo Bianco	it	0	2013-06-05 08:31:57.706293+02	1	Nilo Bianco	\N	\N	\N	\N	\N	\N	t	f
5473	4158	Comoé Province	en	0	2013-06-05 08:08:56.037597+02	1	Comoé Province	\N	\N	\N	\N	\N	\N	t	f
5493	3088	Gobernación de Sueida	es	0	2013-06-05 08:09:44.412867+02	1	Gobernación de Sueida	\N	\N	\N	\N	\N	\N	t	f
5518	2541	Sør-Chungcheong	no	0	2013-06-05 08:10:45.532755+02	1	Sør-Chungcheong	\N	\N	\N	\N	\N	\N	t	f
6077	519	Bolu Province	en	0	2013-06-05 08:34:49.806865+02	1	Bolu Province	\N	\N	\N	\N	\N	\N	t	f
5519	4079	Bogra District	en	0	2013-06-05 08:10:48.245982+02	1	Bogra District	\N	\N	\N	\N	\N	\N	t	f
6722	2600	Province de Bắc Kạn	fr	0	2013-06-05 09:02:44.626622+02	1	Province de Bắc Kạn	\N	\N	\N	\N	\N	\N	t	f
6164	1290	Aizpute municipality	en	0	2013-06-05 08:38:31.469144+02	1	Aizpute municipality	\N	\N	\N	\N	\N	\N	t	f
6169	1183	Central Eleuthera	en	0	2013-06-05 08:38:44.297299+02	1	Central Eleuthera	\N	\N	\N	\N	\N	\N	t	f
6198	268	Connecticut	de	0	2013-06-05 08:40:07.714926+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6763	4628	Brindisi provints	et	0	2013-06-05 09:04:30.99993+02	1	Brindisi provints	\N	\N	\N	\N	\N	\N	t	f
7494	1140	Carabobo	et	0	2013-06-05 09:36:09.50919+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6774	3829	Craigavon	nl	0	2013-06-05 09:04:57.521392+02	1	Craigavon	\N	\N	\N	\N	\N	\N	t	f
6783	4309	アリカンテ県	ja	0	2013-06-05 09:05:20.147621+02	1	アリカンテ県	\N	\N	\N	\N	\N	\N	t	f
6813	1833	Bourgondië	nl	0	2013-06-05 09:06:34.242779+02	1	Bourgondië	\N	\N	\N	\N	\N	\N	t	f
7497	1140	カラボボ州	ja	0	2013-06-05 09:36:23.124106+02	1	カラボボ州	\N	\N	\N	\N	\N	\N	t	f
6835	1621	Buada	en	0	2013-06-05 09:07:28.444116+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
6845	3463	Antsiranana Province	en	0	2013-06-05 09:07:52.52499+02	1	Antsiranana Province	\N	\N	\N	\N	\N	\N	t	f
8692	1003	Cauca	no	0	2013-06-05 10:28:19.025625+02	1	Cauca	\N	\N	\N	\N	\N	\N	t	f
6856	1136	Apure	et	0	2013-06-05 09:08:19.139423+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
7613	4495	Etoloakarnania	no	0	2013-06-05 09:41:25.205696+02	1	Etoloakarnania	\N	\N	\N	\N	\N	\N	t	f
7625	2165	Burgas Province	en	0	2013-06-05 09:41:54.638595+02	1	Burgas Province	\N	\N	\N	\N	\N	\N	t	f
8791	1228	Provincia de Cienfuegos	es	0	2013-06-05 10:32:19.794802+02	1	Provincia de Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
7702	1158	Amazonas	de	0	2013-06-05 09:45:05.14072+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8696	3830	Cumbria	et	0	2013-06-05 10:28:28.716594+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
7713	2384	Cherkasy Oblast	en	0	2013-06-05 09:45:33.010141+02	1	Cherkasy Oblast	\N	\N	\N	\N	\N	\N	t	f
8079	1836	Champagne-Ardenne	de	0	2013-06-05 10:01:54.992591+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
8084	1836	Champagne-Ardennes	fr	0	2013-06-05 10:02:11.659715+02	1	Champagne-Ardennes	\N	\N	\N	\N	\N	\N	t	f
8705	3100	Gobernación de Yauf	es	0	2013-06-05 10:28:50.217617+02	1	Gobernación de Yauf	\N	\N	\N	\N	\N	\N	t	f
8118	4898	Bulacán	es	0	2013-06-05 10:03:39.496101+02	1	Bulacán	\N	\N	\N	\N	\N	\N	t	f
8231	619	Alagoas	nl	0	2013-06-05 10:08:20.937348+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8980	2996	Governatorato di al-Karak	it	0	2013-06-05 10:40:14.65703+02	1	Governatorato di al-Karak	\N	\N	\N	\N	\N	\N	t	f
8238	3795	Argyll and Bute	fr	0	2013-06-05 10:08:38.059641+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8709	3100	Al Jawf	no	0	2013-06-05 10:28:59.648802+02	1	Al Jawf	\N	\N	\N	\N	\N	\N	t	f
8290	4625	provincia di Belluno	it	0	2013-06-05 10:10:53.380805+02	1	provincia di Belluno	\N	\N	\N	\N	\N	\N	t	f
8808	2397	Tsjetsjenia	no	0	2013-06-05 10:33:05.052894+02	1	Tsjetsjenia	\N	\N	\N	\N	\N	\N	t	f
8717	4088	Chuadanga	fr	0	2013-06-05 10:29:19.130516+02	1	Chuadanga	\N	\N	\N	\N	\N	\N	t	f
8718	4088	Chuadanga	nl	0	2013-06-05 10:29:21.452787+02	1	Chuadanga	\N	\N	\N	\N	\N	\N	t	f
8719	5036	Distrikt Bushenyi	de	0	2013-06-05 10:29:24.064366+02	1	Distrikt Bushenyi	\N	\N	\N	\N	\N	\N	t	f
8809	4754	Aousserd Province	en	0	2013-06-05 10:33:07.736724+02	1	Aousserd Province	\N	\N	\N	\N	\N	\N	t	f
8740	329	Vrije Hanzestad Bremen	nl	0	2013-06-05 10:30:16.038103+02	1	Vrije Hanzestad Bremen	\N	\N	\N	\N	\N	\N	t	f
8753	590	Kanton Bern	de	0	2013-06-05 10:30:48.043125+02	1	Kanton Bern	\N	\N	\N	\N	\N	\N	t	f
9832	2373	Krim	de	0	2013-06-05 11:17:03.150744+02	1	Krim	\N	\N	\N	\N	\N	\N	t	f
8823	3260	Provincia de Batna	es	0	2013-06-05 10:33:44.52555+02	1	Provincia de Batna	\N	\N	\N	\N	\N	\N	t	f
9662	1061	Amazonasin alue	fi	0	2013-06-05 11:09:48.95459+02	1	Amazonasin alue	\N	\N	\N	\N	\N	\N	t	f
8968	3332	ニューバレー県	ja	0	2013-06-05 10:39:45.850495+02	1	ニューバレー県	\N	\N	\N	\N	\N	\N	t	f
9808	3543	Adamawa State	en	0	2013-06-05 11:16:05.134508+02	1	Adamawa State	\N	\N	\N	\N	\N	\N	t	f
9790	2960	Provincia de Ardebil	es	0	2013-06-05 11:15:21.702255+02	1	Provincia de Ardebil	\N	\N	\N	\N	\N	\N	t	f
9796	2960	Ardebil	nl	0	2013-06-05 11:15:35.938417+02	1	Ardebil	\N	\N	\N	\N	\N	\N	t	f
9816	3250	Arta (Region)	de	0	2013-06-05 11:16:24.457342+02	1	Arta (Region)	\N	\N	\N	\N	\N	\N	t	f
10285	2956	Governatorato di Kirkuk	it	0	2013-06-05 11:37:08.518798+02	1	Governatorato di Kirkuk	\N	\N	\N	\N	\N	\N	t	f
9842	1818	Katalonien	de	0	2013-06-05 11:17:27.560182+02	1	Katalonien	\N	\N	\N	\N	\N	\N	t	f
10991	2991	Gouvernorat de Tafilah	fr	0	2013-06-05 12:07:19.479611+02	1	Gouvernorat de Tafilah	\N	\N	\N	\N	\N	\N	t	f
11000	2676	チャンタブリー県	ja	0	2013-06-05 12:07:41.609562+02	1	チャンタブリー県	\N	\N	\N	\N	\N	\N	t	f
11007	907	Cospicua	it	0	2013-06-05 12:07:58.604988+02	1	Cospicua	\N	\N	\N	\N	\N	\N	t	f
11566	1928	Municipio de Budva	es	0	2013-06-05 12:32:11.146446+02	1	Municipio de Budva	\N	\N	\N	\N	\N	\N	t	f
11600	327	Baden-Württemberg	fi	0	2013-06-05 12:33:42.319485+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
2571	198	Soudan	fr	0	2013-05-27 16:02:20.544124+02	\N	Soudan	\N	\N	\N	\N	\N	\N	t	f
2572	198	Sudan	it	0	2013-05-27 16:02:25.556523+02	\N	Sudan	\N	\N	\N	\N	\N	\N	t	f
3429	2337	Čučer-Sandevo	nl	0	2013-05-27 20:02:02.882251+02	1	Čučer-Sandevo	\N	\N	\N	\N	\N	\N	t	f
3902	711	Chubut Province	en	0	2013-06-05 07:00:18.100015+02	1	Chubut Province	\N	\N	\N	\N	\N	\N	t	f
3910	1547	Provinz Chiriquí	de	0	2013-06-05 07:00:39.414978+02	1	Provinz Chiriquí	\N	\N	\N	\N	\N	\N	t	f
4306	1620	ボエ地区	ja	0	2013-06-05 07:18:00.747504+02	1	ボエ地区	\N	\N	\N	\N	\N	\N	t	f
4321	1816	Kastilien-La Mancha	de	0	2013-06-05 07:18:52.187533+02	1	Kastilien-La Mancha	\N	\N	\N	\N	\N	\N	t	f
4811	1062	Ancash	es	0	2013-06-05 07:40:37.109088+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
5370	4656	provincia di Crotone	it	0	2013-06-05 08:04:43.826206+02	1	provincia di Crotone	\N	\N	\N	\N	\N	\N	t	f
5374	4892	Benguet	de	0	2013-06-05 08:04:53.812436+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
6009	1811	Aragonien	de	0	2013-06-05 08:32:03.028307+02	1	Aragonien	\N	\N	\N	\N	\N	\N	t	f
5454	3880	London Borough of Bromley	en	0	2013-06-05 08:08:09.533417+02	1	London Borough of Bromley	\N	\N	\N	\N	\N	\N	t	f
5466	1065	Ayacuchon alue	fi	0	2013-06-05 08:08:38.889012+02	1	Ayacuchon alue	\N	\N	\N	\N	\N	\N	t	f
5478	4158	Comoé	nl	0	2013-06-05 08:09:07.905398+02	1	Comoé	\N	\N	\N	\N	\N	\N	t	f
6023	4263	Distretto di Chomutov	it	0	2013-06-05 08:32:36.687744+02	1	Distretto di Chomutov	\N	\N	\N	\N	\N	\N	t	f
5490	3088	Gouvernement as-Suwaida	de	0	2013-06-05 08:09:37.396543+02	1	Gouvernement as-Suwaida	\N	\N	\N	\N	\N	\N	t	f
5495	3088	Governatorato di al-Suwayda	it	0	2013-06-05 08:09:49.213517+02	1	Governatorato di al-Suwayda	\N	\N	\N	\N	\N	\N	t	f
6723	2600	Provincia di Bac Kan	it	0	2013-06-05 09:02:47.032893+02	1	Provincia di Bac Kan	\N	\N	\N	\N	\N	\N	t	f
6044	659	Chandigarh	de	0	2013-06-05 08:33:29.151007+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6185	1184	Isla Cat	es	0	2013-06-05 08:39:29.699012+02	1	Isla Cat	\N	\N	\N	\N	\N	\N	t	f
6195	1440	Dipartimento di Atlántida	it	0	2013-06-05 08:39:59.852868+02	1	Dipartimento di Atlántida	\N	\N	\N	\N	\N	\N	t	f
6737	3008	Beirut	de	0	2013-06-05 09:03:23.297626+02	1	Beirut	\N	\N	\N	\N	\N	\N	t	f
6220	1929	Municipio de Cetinje	es	0	2013-06-05 08:41:01.057135+02	1	Municipio de Cetinje	\N	\N	\N	\N	\N	\N	t	f
7495	1140	État de Carabobo	fr	0	2013-06-05 09:36:12.04236+02	1	État de Carabobo	\N	\N	\N	\N	\N	\N	t	f
6753	3432	Jufra	en	0	2013-06-05 09:04:04.67966+02	1	Jufra	\N	\N	\N	\N	\N	\N	t	f
6819	516	Bilecikin maakunta	fi	0	2013-06-05 09:06:49.20524+02	1	Bilecikin maakunta	\N	\N	\N	\N	\N	\N	t	f
8976	2996	Karak Governorate	en	0	2013-06-05 10:40:05.301274+02	1	Karak Governorate	\N	\N	\N	\N	\N	\N	t	f
6820	516	Bilecik	fr	0	2013-06-05 09:06:51.688463+02	1	Bilecik	\N	\N	\N	\N	\N	\N	t	f
7504	2471	Ararat	fi	0	2013-06-05 09:36:46.169237+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
6945	3813	Cardiff	et	0	2013-06-05 09:12:33.117831+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
8697	3830	Cumbria	fi	0	2013-06-05 10:28:31.06889+02	1	Cumbria	\N	\N	\N	\N	\N	\N	t	f
7543	4894	Bohol	en	0	2013-06-05 09:38:29.08144+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
7599	2992	Az Zarqa	fi	0	2013-06-05 09:40:50.95278+02	1	Az Zarqa	\N	\N	\N	\N	\N	\N	t	f
7606	4495	Aetolia-Acarnania	en	0	2013-06-05 09:41:08.443882+02	1	Aetolia-Acarnania	\N	\N	\N	\N	\N	\N	t	f
8711	4086	Chittagong District	en	0	2013-06-05 10:29:04.70602+02	1	Chittagong District	\N	\N	\N	\N	\N	\N	t	f
7673	1617	Anetan	fr	0	2013-06-05 09:43:53.500255+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
7722	3914	City of Bradford	de	0	2013-06-05 09:45:58.293309+02	1	City of Bradford	\N	\N	\N	\N	\N	\N	t	f
10297	4899	Cagayan	fr	0	2013-06-05 11:37:38.030255+02	1	Cagayan	\N	\N	\N	\N	\N	\N	t	f
8081	1836	Champaña-Ardenas	es	0	2013-06-05 10:02:02.107683+02	1	Champaña-Ardenas	\N	\N	\N	\N	\N	\N	t	f
8759	590	Canton Berna	it	0	2013-06-05 10:31:02.08938+02	1	Canton Berna	\N	\N	\N	\N	\N	\N	t	f
8132	1231	Province de Camagüey	fr	0	2013-06-05 10:04:13.556342+02	1	Province de Camagüey	\N	\N	\N	\N	\N	\N	t	f
8162	1590	ベーカー島	ja	0	2013-06-05 10:05:30.643656+02	1	ベーカー島	\N	\N	\N	\N	\N	\N	t	f
9663	1061	Amazonas	fr	0	2013-06-05 11:09:51.359966+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8267	3098	Al Hudaydah Governorate	en	0	2013-06-05 10:09:53.300707+02	1	Al Hudaydah Governorate	\N	\N	\N	\N	\N	\N	t	f
8793	1228	Province de Cienfuegos	fr	0	2013-06-05 10:32:24.494477+02	1	Province de Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
8285	4625	Province of Belluno	en	0	2013-06-05 10:10:41.494558+02	1	Province of Belluno	\N	\N	\N	\N	\N	\N	t	f
8799	2397	Δημοκρατία της Τσετσενίας	el	0	2013-06-05 10:32:42.993431+02	1	Δημοκρατία της Τσετσενίας	\N	\N	\N	\N	\N	\N	t	f
8875	1106	Distretto del Commewijne	it	0	2013-06-05 10:35:50.367807+02	1	Distretto del Commewijne	\N	\N	\N	\N	\N	\N	t	f
9673	4426	Bas-Rhin‎	fr	0	2013-06-05 11:10:32.275789+02	1	Bas-Rhin‎	\N	\N	\N	\N	\N	\N	t	f
8907	3915	Municipio metropolitano de Bury	es	0	2013-06-05 10:37:19.407227+02	1	Municipio metropolitano de Bury	\N	\N	\N	\N	\N	\N	t	f
8927	620	Amazonas	fr	0	2013-06-05 10:38:07.367524+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
11568	794	Andorra la Vella	de	0	2013-06-05 12:32:16.54055+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
8971	3758	Central Region, Uganda	en	0	2013-06-05 10:39:53.24163+02	1	Central Region, Uganda	\N	\N	\N	\N	\N	\N	t	f
10303	3622	River Nile	en	0	2013-06-05 11:37:52.726661+02	1	River Nile	\N	\N	\N	\N	\N	\N	t	f
9698	4624	Biellan maakunta	fi	0	2013-06-05 11:11:37.405283+02	1	Biellan maakunta	\N	\N	\N	\N	\N	\N	t	f
9854	3209	Bouenza Department	en	0	2013-06-05 11:17:56.422891+02	1	Bouenza Department	\N	\N	\N	\N	\N	\N	t	f
10291	1304	Beverīna piirkond	et	0	2013-06-05 11:37:23.295104+02	1	Beverīna piirkond	\N	\N	\N	\N	\N	\N	t	f
11022	3315	Guiza	es	0	2013-06-05 12:08:39.269454+02	1	Guiza	\N	\N	\N	\N	\N	\N	t	f
10294	4899	Cagayan	de	0	2013-06-05 11:37:30.978909+02	1	Cagayan	\N	\N	\N	\N	\N	\N	t	f
11569	794	Ανδόρρα λα Βέγια	el	0	2013-06-05 12:32:18.887758+02	1	Ανδόρρα λα Βέγια	\N	\N	\N	\N	\N	\N	t	f
11034	3548	État de Borno	fr	0	2013-06-05 12:09:08.159252+02	1	État de Borno	\N	\N	\N	\N	\N	\N	t	f
11058	4196	Brava	fi	0	2013-06-05 12:10:10.83849+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
2575	198	Sudan	no	0	2013-05-27 16:02:32.624428+02	\N	Sudan	\N	\N	\N	\N	\N	\N	t	f
2615	59	Dominique	fr	0	2013-05-27 16:04:15.915038+02	\N	Dominique	\N	\N	\N	\N	\N	\N	t	f
2576	197	Saint-Pierre und Miquelon	de	0	2013-05-27 16:02:35.807624+02	\N	Saint-Pierre und Miquelon	\N	\N	\N	\N	\N	\N	t	f
2599	245	Τσεχοσλοβακία	el	0	2013-05-27 16:03:38.809338+02	\N	Τσεχοσλοβακία	\N	\N	\N	\N	\N	\N	t	f
2577	197	Σαιν Πιερ και Μικελόν	el	0	2013-05-27 16:02:40.884913+02	\N	Σαιν Πιερ και Μικελόν	\N	\N	\N	\N	\N	\N	t	f
2578	197	Saint Pierre and Miquelon	en	0	2013-05-27 16:02:43.164617+02	\N	Saint Pierre and Miquelon	\N	\N	\N	\N	\N	\N	t	f
2579	197	San Pedro y Miquelón	es	0	2013-05-27 16:02:45.429194+02	\N	San Pedro y Miquelón	\N	\N	\N	\N	\N	\N	t	f
2600	245	Czechoslovakia	en	0	2013-05-27 16:03:41.281229+02	\N	Czechoslovakia	\N	\N	\N	\N	\N	\N	t	f
2580	197	Saint-Pierre ja Miquelon	et	0	2013-05-27 16:02:47.597497+02	\N	Saint-Pierre ja Miquelon	\N	\N	\N	\N	\N	\N	t	f
2581	197	Saint-Pierre ja Miquelon	fi	0	2013-05-27 16:02:49.824788+02	\N	Saint-Pierre ja Miquelon	\N	\N	\N	\N	\N	\N	t	f
2582	197	Saint-Pierre-et-Miquelon	fr	0	2013-05-27 16:02:52.117843+02	\N	Saint-Pierre-et-Miquelon	\N	\N	\N	\N	\N	\N	t	f
2601	245	Checoslovaquia	es	0	2013-05-27 16:03:43.542665+02	\N	Checoslovaquia	\N	\N	\N	\N	\N	\N	t	f
2583	197	Saint-Pierre e Miquelon	it	0	2013-05-27 16:02:54.457205+02	\N	Saint-Pierre e Miquelon	\N	\N	\N	\N	\N	\N	t	f
2584	197	サンピエール島・ミクロン島	ja	0	2013-05-27 16:02:58.265169+02	\N	サンピエール島・ミクロン島	\N	\N	\N	\N	\N	\N	t	f
2616	59	Dominica	it	0	2013-05-27 16:04:18.141651+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2585	197	Saint-Pierre en Miquelon	nl	0	2013-05-27 16:03:00.517969+02	\N	Saint-Pierre en Miquelon	\N	\N	\N	\N	\N	\N	t	f
2602	245	Tšehhoslovakkia	et	0	2013-05-27 16:03:45.82899+02	\N	Tšehhoslovakkia	\N	\N	\N	\N	\N	\N	t	f
2586	197	Saint-Pierre og Miquelon	no	0	2013-05-27 16:03:02.757264+02	\N	Saint-Pierre og Miquelon	\N	\N	\N	\N	\N	\N	t	f
2587	219	Ukraine	de	0	2013-05-27 16:03:08.376441+02	\N	Ukraine	\N	\N	\N	\N	\N	\N	t	f
2588	219	Ουκρανία	el	0	2013-05-27 16:03:10.632075+02	\N	Ουκρανία	\N	\N	\N	\N	\N	\N	t	f
2603	245	Tšekkoslovakia	fi	0	2013-05-27 16:03:48.054172+02	\N	Tšekkoslovakia	\N	\N	\N	\N	\N	\N	t	f
2589	219	Ukraine	en	0	2013-05-27 16:03:14.379335+02	\N	Ukraine	\N	\N	\N	\N	\N	\N	t	f
2590	219	Ucrania	es	0	2013-05-27 16:03:16.577005+02	\N	Ucrania	\N	\N	\N	\N	\N	\N	t	f
2591	219	Ukraina	et	0	2013-05-27 16:03:18.812325+02	\N	Ukraina	\N	\N	\N	\N	\N	\N	t	f
2604	245	Tchécoslovaquie	fr	0	2013-05-27 16:03:50.278134+02	\N	Tchécoslovaquie	\N	\N	\N	\N	\N	\N	t	f
2592	219	Ukraina	fi	0	2013-05-27 16:03:21.573042+02	\N	Ukraina	\N	\N	\N	\N	\N	\N	t	f
2593	219	Ukraine	fr	0	2013-05-27 16:03:23.767012+02	\N	Ukraine	\N	\N	\N	\N	\N	\N	t	f
2617	59	ドミニカ国	ja	0	2013-05-27 16:04:22.848882+02	\N	ドミニカ国	\N	\N	\N	\N	\N	\N	t	f
2594	219	Ucraina	it	0	2013-05-27 16:03:25.961145+02	\N	Ucraina	\N	\N	\N	\N	\N	\N	t	f
2605	245	Cecoslovacchia	it	0	2013-05-27 16:03:52.53154+02	\N	Cecoslovacchia	\N	\N	\N	\N	\N	\N	t	f
2595	219	ウクライナ	ja	0	2013-05-27 16:03:28.214661+02	\N	ウクライナ	\N	\N	\N	\N	\N	\N	t	f
2596	219	Oekraïne	nl	0	2013-05-27 16:03:30.464839+02	\N	Oekraïne	\N	\N	\N	\N	\N	\N	t	f
2597	219	Ukraina	no	0	2013-05-27 16:03:32.830885+02	\N	Ukraina	\N	\N	\N	\N	\N	\N	t	f
2606	245	チェコスロバキア	ja	0	2013-05-27 16:03:54.780323+02	\N	チェコスロバキア	\N	\N	\N	\N	\N	\N	t	f
2598	245	Tschechoslowakei	de	0	2013-05-27 16:03:36.605461+02	\N	Tschechoslowakei	\N	\N	\N	\N	\N	\N	t	f
2628	132	マルタ	ja	0	2013-05-27 16:04:50.820692+02	\N	マルタ	\N	\N	\N	\N	\N	\N	t	f
2607	245	Tsjecho-Slowakije	nl	0	2013-05-27 16:03:57.053415+02	\N	Tsjecho-Slowakije	\N	\N	\N	\N	\N	\N	t	f
2618	59	Dominica	nl	0	2013-05-27 16:04:27.674296+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2608	245	Tsjekkoslovakia	no	0	2013-05-27 16:03:59.372285+02	\N	Tsjekkoslovakia	\N	\N	\N	\N	\N	\N	t	f
2609	59	Dominica	de	0	2013-05-27 16:04:02.249932+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2610	59	Δομινίκα	el	0	2013-05-27 16:04:04.449369+02	\N	Δομινίκα	\N	\N	\N	\N	\N	\N	t	f
2619	59	Dominica	no	0	2013-05-27 16:04:29.908581+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2611	59	Dominica	en	0	2013-05-27 16:04:06.639019+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2612	59	Dominica	es	0	2013-05-27 16:04:08.854821+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2613	59	Dominica	et	0	2013-05-27 16:04:11.17991+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2620	132	Malta	de	0	2013-05-27 16:04:32.913143+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2614	59	Dominica	fi	0	2013-05-27 16:04:13.413335+02	\N	Dominica	\N	\N	\N	\N	\N	\N	t	f
2629	132	Malta	nl	0	2013-05-27 16:04:53.0576+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2621	132	Μάλτα	el	0	2013-05-27 16:04:35.095252+02	\N	Μάλτα	\N	\N	\N	\N	\N	\N	t	f
2622	132	Malta	en	0	2013-05-27 16:04:37.306961+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2630	132	Malta	no	0	2013-05-27 16:04:55.298367+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2623	132	Malta	es	0	2013-05-27 16:04:39.61864+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2624	132	Malta	et	0	2013-05-27 16:04:41.809916+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2625	132	Malta	fi	0	2013-05-27 16:04:44.026084+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2626	132	Malte	fr	0	2013-05-27 16:04:46.234198+02	\N	Malte	\N	\N	\N	\N	\N	\N	t	f
2627	132	Malta	it	0	2013-05-27 16:04:48.452202+02	\N	Malta	\N	\N	\N	\N	\N	\N	t	f
2644	10	Argentina	en	0	2013-05-27 16:05:30.68991+02	\N	Argentina	\N	\N	\N	\N	\N	\N	t	f
2642	10	Argentinien	de	0	2013-05-27 16:05:25.248499+02	\N	Argentinien	\N	\N	\N	\N	\N	\N	t	f
2643	10	Αργεντινή	el	0	2013-05-27 16:05:28.116391+02	\N	Αργεντινή	\N	\N	\N	\N	\N	\N	t	f
2645	10	Argentina	es	0	2013-05-27 16:05:32.911494+02	\N	Argentina	\N	\N	\N	\N	\N	\N	t	f
2646	10	Argentina	et	0	2013-05-27 16:05:35.111736+02	\N	Argentina	\N	\N	\N	\N	\N	\N	t	f
2647	10	Argentiina	fi	0	2013-05-27 16:05:37.317201+02	\N	Argentiina	\N	\N	\N	\N	\N	\N	t	f
2648	10	Argentine	fr	0	2013-05-27 16:05:39.601691+02	\N	Argentine	\N	\N	\N	\N	\N	\N	t	f
2649	10	Argentina	it	0	2013-05-27 16:05:41.802045+02	\N	Argentina	\N	\N	\N	\N	\N	\N	t	f
2650	10	アルゼンチン	ja	0	2013-05-27 16:05:44.073373+02	\N	アルゼンチン	\N	\N	\N	\N	\N	\N	t	f
2651	10	Argentinië	nl	0	2013-05-27 16:05:46.315633+02	\N	Argentinië	\N	\N	\N	\N	\N	\N	t	f
2652	10	Argentina	no	0	2013-05-27 16:05:48.558955+02	\N	Argentina	\N	\N	\N	\N	\N	\N	t	f
2653	121	Libyen	de	0	2013-05-27 16:05:51.699495+02	\N	Libyen	\N	\N	\N	\N	\N	\N	t	f
2654	121	Λιβύη	el	0	2013-05-27 16:05:53.972884+02	\N	Λιβύη	\N	\N	\N	\N	\N	\N	t	f
2655	121	Libya	en	0	2013-05-27 16:05:56.168254+02	\N	Libya	\N	\N	\N	\N	\N	\N	t	f
2656	121	Libia	es	0	2013-05-27 16:05:58.369206+02	\N	Libia	\N	\N	\N	\N	\N	\N	t	f
2661	121	リビア	ja	0	2013-05-27 16:06:09.51983+02	\N	リビア	\N	\N	\N	\N	\N	\N	t	f
3430	4286	Okres Žďár nad Sázavou	de	0	2013-05-27 20:02:05.436629+02	1	Okres Žďár nad Sázavou	\N	\N	\N	\N	\N	\N	t	f
3441	474	Itä-Götanmaan lääni	fi	0	2013-05-27 20:02:31.621319+02	1	Itä-Götanmaan lääni	\N	\N	\N	\N	\N	\N	t	f
3903	711	Provincia de Chubut	es	0	2013-06-05 07:00:21.824763+02	1	Provincia de Chubut	\N	\N	\N	\N	\N	\N	t	f
3983	3824	Clackmannanshire	no	0	2013-06-05 07:04:19.496326+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4313	3094	Governatorato di al-Dali'	it	0	2013-06-05 07:18:22.893076+02	1	Governatorato di al-Dali'	\N	\N	\N	\N	\N	\N	t	f
4007	4387	Corse du Sud	et	0	2013-06-05 07:05:20.139382+02	1	Corse du Sud	\N	\N	\N	\N	\N	\N	t	f
4024	3828	Cornwall	no	0	2013-06-05 07:06:01.570556+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
4355	1893	Balzers	no	0	2013-06-05 07:20:41.215071+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
4816	1062	Ancash	nl	0	2013-06-05 07:40:49.157739+02	1	Ancash	\N	\N	\N	\N	\N	\N	t	f
4359	3545	Anambra osariik	et	0	2013-06-05 07:20:51.78102+02	1	Anambra osariik	\N	\N	\N	\N	\N	\N	t	f
4389	1087	Concepción	nl	0	2013-06-05 07:22:05.788508+02	1	Concepción	\N	\N	\N	\N	\N	\N	t	f
4865	2927	Charjah	fr	0	2013-06-05 07:42:52.399575+02	1	Charjah	\N	\N	\N	\N	\N	\N	t	f
5371	4656	クロトーネ県	ja	0	2013-06-05 08:04:46.189199+02	1	クロトーネ県	\N	\N	\N	\N	\N	\N	t	f
5386	3550	État de Cross River	fr	0	2013-06-05 08:05:23.602441+02	1	État de Cross River	\N	\N	\N	\N	\N	\N	t	f
6011	1811	Aragon	en	0	2013-06-05 08:32:07.713492+02	1	Aragon	\N	\N	\N	\N	\N	\N	t	f
5409	906	Birżebbuġa	es	0	2013-06-05 08:06:19.901827+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
6060	972	dipartimento di Chuquisaca	it	0	2013-06-05 08:34:07.758325+02	1	dipartimento di Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
6724	2600	バックカン省	ja	0	2013-06-05 09:02:49.398067+02	1	バックカン省	\N	\N	\N	\N	\N	\N	t	f
6061	972	チュキサカ県	ja	0	2013-06-05 08:34:10.154558+02	1	チュキサカ県	\N	\N	\N	\N	\N	\N	t	f
6183	1184	Cat Island (Bahamas)	de	0	2013-06-05 08:39:25.039006+02	1	Cat Island (Bahamas)	\N	\N	\N	\N	\N	\N	t	f
6205	268	Connecticut	it	0	2013-06-05 08:40:24.3293+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6803	3317	Al Isma'iliyah	no	0	2013-06-05 09:06:09.134849+02	1	Al Isma'iliyah	\N	\N	\N	\N	\N	\N	t	f
6206	268	コネチカット州	ja	0	2013-06-05 08:40:26.718954+02	1	コネチカット州	\N	\N	\N	\N	\N	\N	t	f
7498	1140	Carabobo	nl	0	2013-06-05 09:36:28.073765+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6805	1833	Βουργουνδία	el	0	2013-06-05 09:06:14.424656+02	1	Βουργουνδία	\N	\N	\N	\N	\N	\N	t	f
6818	516	Provincia de Bilecik	es	0	2013-06-05 09:06:46.825803+02	1	Provincia de Bilecik	\N	\N	\N	\N	\N	\N	t	f
6829	3342	Benishangul-Gumaz	fr	0	2013-06-05 09:07:13.608267+02	1	Benishangul-Gumaz	\N	\N	\N	\N	\N	\N	t	f
7500	2471	Ararat	de	0	2013-06-05 09:36:33.251123+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
6878	2507	West Kazakhstan Province	en	0	2013-06-05 09:09:12.677625+02	1	West Kazakhstan Province	\N	\N	\N	\N	\N	\N	t	f
8698	3830	Cumbrie	fr	0	2013-06-05 10:28:33.389398+02	1	Cumbrie	\N	\N	\N	\N	\N	\N	t	f
7532	1117	セロ・ラルゴ県	ja	0	2013-06-05 09:38:01.481874+02	1	セロ・ラルゴ県	\N	\N	\N	\N	\N	\N	t	f
7586	995	Antioquia	no	0	2013-06-05 09:40:19.092431+02	1	Antioquia	\N	\N	\N	\N	\N	\N	t	f
11581	1728	Balakən	es	0	2013-06-05 12:32:51.092194+02	1	Balakən	\N	\N	\N	\N	\N	\N	t	f
7608	4495	Aitolia-Akarnania	fi	0	2013-06-05 09:41:13.280255+02	1	Aitolia-Akarnania	\N	\N	\N	\N	\N	\N	t	f
8804	2397	Tchétchénie	fr	0	2013-06-05 10:32:55.515171+02	1	Tchétchénie	\N	\N	\N	\N	\N	\N	t	f
7610	4495	Etolia-Acarnania	it	0	2013-06-05 09:41:18.070035+02	1	Etolia-Acarnania	\N	\N	\N	\N	\N	\N	t	f
7715	2384	Tšerkassõ oblast	et	0	2013-06-05 09:45:37.907757+02	1	Tšerkassõ oblast	\N	\N	\N	\N	\N	\N	t	f
11027	3315	Gizeh	nl	0	2013-06-05 12:08:51.152104+02	1	Gizeh	\N	\N	\N	\N	\N	\N	t	f
8083	1836	Champagne-Ardenne	fi	0	2013-06-05 10:02:06.836341+02	1	Champagne-Ardenne	\N	\N	\N	\N	\N	\N	t	f
8805	2397	Cecenia	it	0	2013-06-05 10:32:57.910165+02	1	Cecenia	\N	\N	\N	\N	\N	\N	t	f
8270	3098	Governatorato di al-Hudayda	it	0	2013-06-05 10:10:00.393489+02	1	Governatorato di al-Hudayda	\N	\N	\N	\N	\N	\N	t	f
8288	4625	Bellunon maakunta	fi	0	2013-06-05 10:10:48.58294+02	1	Bellunon maakunta	\N	\N	\N	\N	\N	\N	t	f
8295	723	Csongrád County	en	0	2013-06-05 10:11:05.790241+02	1	Csongrád County	\N	\N	\N	\N	\N	\N	t	f
8819	1632	シンブ州	ja	0	2013-06-05 10:33:34.705432+02	1	シンブ州	\N	\N	\N	\N	\N	\N	t	f
8298	723	Csongrád	fi	0	2013-06-05 10:11:12.942914+02	1	Csongrád	\N	\N	\N	\N	\N	\N	t	f
8300	723	Provincia di Csongrád	it	0	2013-06-05 10:11:17.915364+02	1	Provincia di Csongrád	\N	\N	\N	\N	\N	\N	t	f
8929	620	アマゾナス州	ja	0	2013-06-05 10:38:12.080162+02	1	アマゾナス州	\N	\N	\N	\N	\N	\N	t	f
11039	1654	Angaur	en	0	2013-06-05 12:09:24.122114+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
8947	4780	Ailuk	de	0	2013-06-05 10:38:55.365387+02	1	Ailuk	\N	\N	\N	\N	\N	\N	t	f
8950	4780	Ailuk	fi	0	2013-06-05 10:39:02.399974+02	1	Ailuk	\N	\N	\N	\N	\N	\N	t	f
9664	1061	regione di Amazonas	it	0	2013-06-05 11:09:53.759743+02	1	regione di Amazonas	\N	\N	\N	\N	\N	\N	t	f
11044	1654	アンガウル州	ja	0	2013-06-05 12:09:36.682597+02	1	アンガウル州	\N	\N	\N	\N	\N	\N	t	f
9679	3817	Central Bedfordshire	en	0	2013-06-05 11:10:47.6138+02	1	Central Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
10301	4899	Cagayan	no	0	2013-06-05 11:37:47.585887+02	1	Cagayan	\N	\N	\N	\N	\N	\N	t	f
11089	1791	Brčko ringkond	et	0	2013-06-05 12:11:30.723947+02	1	Brčko ringkond	\N	\N	\N	\N	\N	\N	t	f
11570	794	Andorra la Vella	en	0	2013-06-05 12:32:21.221854+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
11580	1728	Balakan Rayon	en	0	2013-06-05 12:32:48.732201+02	1	Balakan Rayon	\N	\N	\N	\N	\N	\N	t	f
2657	121	Liibüa	et	0	2013-05-27 16:06:00.64751+02	\N	Liibüa	\N	\N	\N	\N	\N	\N	t	f
2658	121	Libya	fi	0	2013-05-27 16:06:02.856775+02	\N	Libya	\N	\N	\N	\N	\N	\N	t	f
2662	121	Libië	nl	0	2013-05-27 16:06:11.765952+02	\N	Libië	\N	\N	\N	\N	\N	\N	t	f
3431	4286	Žďár nad Sázavou District	en	0	2013-05-27 20:02:07.70341+02	1	Žďár nad Sázavou District	\N	\N	\N	\N	\N	\N	t	f
3904	711	Chubutin maakunta	fi	0	2013-06-05 07:00:24.203616+02	1	Chubutin maakunta	\N	\N	\N	\N	\N	\N	t	f
3952	4501	Argolis	fi	0	2013-06-05 07:02:56.358139+02	1	Argolis	\N	\N	\N	\N	\N	\N	t	f
4318	1291	Aknīste piirkond	et	0	2013-06-05 07:18:41.198232+02	1	Aknīste piirkond	\N	\N	\N	\N	\N	\N	t	f
4820	3093	Gobernación de Al Bayda'	es	0	2013-06-05 07:40:59.088241+02	1	Gobernación de Al Bayda'	\N	\N	\N	\N	\N	\N	t	f
4834	2944	Bagdad	de	0	2013-06-05 07:41:37.17363+02	1	Bagdad	\N	\N	\N	\N	\N	\N	t	f
5372	4656	Crotone	nl	0	2013-06-05 08:04:48.592839+02	1	Crotone	\N	\N	\N	\N	\N	\N	t	f
4841	2944	バグダード県	ja	0	2013-06-05 07:41:53.80489+02	1	バグダード県	\N	\N	\N	\N	\N	\N	t	f
4846	514	Aydın Province	en	0	2013-06-05 07:42:06.198406+02	1	Aydın Province	\N	\N	\N	\N	\N	\N	t	f
4852	514	Aydın	no	0	2013-06-05 07:42:20.537048+02	1	Aydın	\N	\N	\N	\N	\N	\N	t	f
5463	1065	Ayacucho	de	0	2013-06-05 08:08:31.862307+02	1	Ayacucho	\N	\N	\N	\N	\N	\N	t	f
4881	3416	Butha-Buthe District	en	0	2013-06-05 07:43:31.44787+02	1	Butha-Buthe District	\N	\N	\N	\N	\N	\N	t	f
4890	4303	Bruntál District	en	0	2013-06-05 07:43:53.048746+02	1	Bruntál District	\N	\N	\N	\N	\N	\N	t	f
6012	1811	Aragón	es	0	2013-06-05 08:32:10.100637+02	1	Aragón	\N	\N	\N	\N	\N	\N	t	f
5471	1065	Ayacucho	no	0	2013-06-05 08:08:50.994672+02	1	Ayacucho	\N	\N	\N	\N	\N	\N	t	f
5533	521	Provincia de Bursa	es	0	2013-06-05 08:11:25.441451+02	1	Provincia de Bursa	\N	\N	\N	\N	\N	\N	t	f
6058	972	Chuquisaca	fi	0	2013-06-05 08:34:03.044567+02	1	Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
6725	2600	Bắc Kạn	nl	0	2013-06-05 09:02:51.788546+02	1	Bắc Kạn	\N	\N	\N	\N	\N	\N	t	f
6092	1496	バハ・カリフォルニア州	ja	0	2013-06-05 08:35:30.290621+02	1	バハ・カリフォルニア州	\N	\N	\N	\N	\N	\N	t	f
6095	263	Alabama	de	0	2013-06-05 08:35:38.453916+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6126	3804	Blackpool	nl	0	2013-06-05 08:36:57.911243+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6732	2400	Tchouvachie	fr	0	2013-06-05 09:03:09.174938+02	1	Tchouvachie	\N	\N	\N	\N	\N	\N	t	f
7499	1140	Carabobo	no	0	2013-06-05 09:36:30.407474+02	1	Carabobo	\N	\N	\N	\N	\N	\N	t	f
6746	3375	Boké	es	0	2013-06-05 09:03:47.778286+02	1	Boké	\N	\N	\N	\N	\N	\N	t	f
6797	3317	Ismailia Governorate	en	0	2013-06-05 09:05:54.687575+02	1	Ismailia Governorate	\N	\N	\N	\N	\N	\N	t	f
9971	1501	Coahuila	et	0	2013-06-05 11:23:07.499734+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
6816	516	Επαρχία Μπιλετσίκ	el	0	2013-06-05 09:06:42.139756+02	1	Επαρχία Μπιλετσίκ	\N	\N	\N	\N	\N	\N	t	f
7501	2471	Ararat Province	en	0	2013-06-05 09:36:38.43352+02	1	Ararat Province	\N	\N	\N	\N	\N	\N	t	f
6928	622	Bahia	it	0	2013-06-05 09:11:27.254437+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
8707	3100	Governatorato di al-Jawf	it	0	2013-06-05 10:28:54.90427+02	1	Governatorato di al-Jawf	\N	\N	\N	\N	\N	\N	t	f
7716	2384	Tšerkasyn alue	fi	0	2013-06-05 09:45:40.424401+02	1	Tšerkasyn alue	\N	\N	\N	\N	\N	\N	t	f
8086	1836	シャンパーニュ＝アルデンヌ地域圏	ja	0	2013-06-05 10:02:16.41132+02	1	シャンパーニュ＝アルデンヌ地域圏	\N	\N	\N	\N	\N	\N	t	f
8091	4080	Brahmanbaria (zila)	es	0	2013-06-05 10:02:31.335549+02	1	Brahmanbaria (zila)	\N	\N	\N	\N	\N	\N	t	f
8710	4086	Chittagong (Distrikt)	de	0	2013-06-05 10:29:02.376346+02	1	Chittagong (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
8097	2788	CALABARZON	it	0	2013-06-05 10:02:48.281683+02	1	CALABARZON	\N	\N	\N	\N	\N	\N	t	f
8123	4898	Bulacan	no	0	2013-06-05 10:03:51.392861+02	1	Bulacan	\N	\N	\N	\N	\N	\N	t	f
8127	1302	Balvi	it	0	2013-06-05 10:04:01.156002+02	1	Balvi	\N	\N	\N	\N	\N	\N	t	f
8763	4641	Provinz Cosenza	de	0	2013-06-05 10:31:12.180892+02	1	Provinz Cosenza	\N	\N	\N	\N	\N	\N	t	f
8129	1231	Provinz Camagüey	de	0	2013-06-05 10:04:06.414748+02	1	Provinz Camagüey	\N	\N	\N	\N	\N	\N	t	f
8149	3818	Ceredigion	fi	0	2013-06-05 10:04:58.059819+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
9973	1501	Coahuila	fr	0	2013-06-05 11:23:12.36824+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
8150	3818	Ceredigion	fr	0	2013-06-05 10:05:00.424772+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8794	1228	Provincia di Cienfuegos	it	0	2013-06-05 10:32:26.83748+02	1	Provincia di Cienfuegos	\N	\N	\N	\N	\N	\N	t	f
8157	1590	Isla Baker	es	0	2013-06-05 10:05:18.362893+02	1	Isla Baker	\N	\N	\N	\N	\N	\N	t	f
8164	1590	Bakerøya	no	0	2013-06-05 10:05:36.349144+02	1	Bakerøya	\N	\N	\N	\N	\N	\N	t	f
8803	2397	Tšetšenia	fi	0	2013-06-05 10:32:53.140521+02	1	Tšetšenia	\N	\N	\N	\N	\N	\N	t	f
11574	794	Andorre-la-Vieille	fr	0	2013-06-05 12:32:32.443201+02	1	Andorre-la-Vieille	\N	\N	\N	\N	\N	\N	t	f
9665	1061	アマソナス県	ja	0	2013-06-05 11:09:59.790583+02	1	アマソナス県	\N	\N	\N	\N	\N	\N	t	f
10304	3622	Río Nilo	es	0	2013-06-05 11:37:55.196147+02	1	Río Nilo	\N	\N	\N	\N	\N	\N	t	f
9693	4624	Provinz Biella	de	0	2013-06-05 11:11:25.554275+02	1	Provinz Biella	\N	\N	\N	\N	\N	\N	t	f
9915	2931	Muharraq guvernement	no	0	2013-06-05 11:20:35.422056+02	1	Muharraq guvernement	\N	\N	\N	\N	\N	\N	t	f
9921	808	Arad	fi	0	2013-06-05 11:20:50.506273+02	1	Arad	\N	\N	\N	\N	\N	\N	t	f
10307	3622	Nahr-an-Nil	nl	0	2013-06-05 11:38:02.305825+02	1	Nahr-an-Nil	\N	\N	\N	\N	\N	\N	t	f
10325	1951	Brda	de	0	2013-06-05 11:38:46.902787+02	1	Brda	\N	\N	\N	\N	\N	\N	t	f
10333	1887	Καμπανία Ιταλίας	el	0	2013-06-05 11:39:06.582118+02	1	Καμπανία Ιταλίας	\N	\N	\N	\N	\N	\N	t	f
11033	3548	Borno	fi	0	2013-06-05 12:09:05.799027+02	1	Borno	\N	\N	\N	\N	\N	\N	t	f
2659	121	Libye	fr	0	2013-05-27 16:06:05.112361+02	\N	Libye	\N	\N	\N	\N	\N	\N	t	f
3435	2154	Municipality of Šentrupert	en	0	2013-05-27 20:02:17.449054+02	1	Municipality of Šentrupert	\N	\N	\N	\N	\N	\N	t	f
3905	711	Province de Chubut	fr	0	2013-06-05 07:00:26.737734+02	1	Province de Chubut	\N	\N	\N	\N	\N	\N	t	f
4322	1816	Καστίλλη-Λα Μάντσα	el	0	2013-06-05 07:18:56.09101+02	1	Καστίλλη-Λα Μάντσα	\N	\N	\N	\N	\N	\N	t	f
4332	816	Kreis Buzău	de	0	2013-06-05 07:19:32.817893+02	1	Kreis Buzău	\N	\N	\N	\N	\N	\N	t	f
4828	2950	Al-Muthanná	et	0	2013-06-05 07:41:21.791902+02	1	Al-Muthanná	\N	\N	\N	\N	\N	\N	t	f
4855	1100	Departamento de Caazapá	es	0	2013-06-05 07:42:28.025718+02	1	Departamento de Caazapá	\N	\N	\N	\N	\N	\N	t	f
5373	4656	Provinsen Crotone	no	0	2013-06-05 08:04:50.994469+02	1	Provinsen Crotone	\N	\N	\N	\N	\N	\N	t	f
4877	396	千葉県	ja	0	2013-06-05 07:43:21.557477+02	1	千葉県	\N	\N	\N	\N	\N	\N	t	f
4914	2857	Balkh	fr	0	2013-06-05 07:44:51.416288+02	1	Balkh	\N	\N	\N	\N	\N	\N	t	f
5430	3811	Caerphilly	et	0	2013-06-05 08:07:11.163081+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
6013	1811	Aragón	et	0	2013-06-05 08:32:12.548634+02	1	Aragón	\N	\N	\N	\N	\N	\N	t	f
5448	1810	Andalousie	fr	0	2013-06-05 08:07:54.863179+02	1	Andalousie	\N	\N	\N	\N	\N	\N	t	f
5455	3880	Municipio de Bromley	es	0	2013-06-05 08:08:11.869071+02	1	Municipio de Bromley	\N	\N	\N	\N	\N	\N	t	f
5475	4158	Comoé	fi	0	2013-06-05 08:09:00.847522+02	1	Comoé	\N	\N	\N	\N	\N	\N	t	f
6016	1811	Aragona	it	0	2013-06-05 08:32:19.638292+02	1	Aragona	\N	\N	\N	\N	\N	\N	t	f
5477	4158	Provincia di Comoé	it	0	2013-06-05 08:09:05.532797+02	1	Provincia di Comoé	\N	\N	\N	\N	\N	\N	t	f
5506	2385	チェルニーヒウ州	ja	0	2013-06-05 08:10:16.69655+02	1	チェルニーヒウ州	\N	\N	\N	\N	\N	\N	t	f
6726	2400	Tschuwaschien	de	0	2013-06-05 09:02:54.760787+02	1	Tschuwaschien	\N	\N	\N	\N	\N	\N	t	f
5508	2385	Tsjernihiv oblast	no	0	2013-06-05 08:10:21.451963+02	1	Tsjernihiv oblast	\N	\N	\N	\N	\N	\N	t	f
6151	3307	紅海県	ja	0	2013-06-05 08:37:59.382546+02	1	紅海県	\N	\N	\N	\N	\N	\N	t	f
5517	2541	Chungcheongnam-do	nl	0	2013-06-05 08:10:43.081152+02	1	Chungcheongnam-do	\N	\N	\N	\N	\N	\N	t	f
5549	3882	London Borough of Croydon	en	0	2013-06-05 08:12:05.085372+02	1	London Borough of Croydon	\N	\N	\N	\N	\N	\N	t	f
6207	268	Connecticut	nl	0	2013-06-05 08:40:29.08943+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6751	3375	Boké	no	0	2013-06-05 09:03:59.567906+02	1	Boké	\N	\N	\N	\N	\N	\N	t	f
7503	2471	Ararati maakond	et	0	2013-06-05 09:36:43.808945+02	1	Ararati maakond	\N	\N	\N	\N	\N	\N	t	f
6769	4628	Provinsen Brindisi	no	0	2013-06-05 09:04:45.450242+02	1	Provinsen Brindisi	\N	\N	\N	\N	\N	\N	t	f
6773	3829	Distretto di Craigavon	it	0	2013-06-05 09:04:55.171256+02	1	Distretto di Craigavon	\N	\N	\N	\N	\N	\N	t	f
6909	2398	Oblast Tsjeljabinsk	nl	0	2013-06-05 09:10:32.100481+02	1	Oblast Tsjeljabinsk	\N	\N	\N	\N	\N	\N	t	f
7560	2942	Basra	nl	0	2013-06-05 09:39:10.465459+02	1	Basra	\N	\N	\N	\N	\N	\N	t	f
8089	4080	Brahmanbaria (Distrikt)	de	0	2013-06-05 10:02:26.648698+02	1	Brahmanbaria (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
7564	4234	District de Beroun	fr	0	2013-06-05 09:39:20.523795+02	1	District de Beroun	\N	\N	\N	\N	\N	\N	t	f
9760	1216	アラフエラ州	ja	0	2013-06-05 11:14:08.491772+02	1	アラフエラ州	\N	\N	\N	\N	\N	\N	t	f
7578	995	Antioquia department	en	0	2013-06-05 09:39:59.833167+02	1	Antioquia department	\N	\N	\N	\N	\N	\N	t	f
8708	3100	Al Jawf	nl	0	2013-06-05 10:28:57.268001+02	1	Al Jawf	\N	\N	\N	\N	\N	\N	t	f
7619	3086	Governatorato di al-Raqqa	it	0	2013-06-05 09:41:39.920325+02	1	Governatorato di al-Raqqa	\N	\N	\N	\N	\N	\N	t	f
7630	2165	Regione di Burgas	it	0	2013-06-05 09:42:06.692246+02	1	Regione di Burgas	\N	\N	\N	\N	\N	\N	t	f
7637	4637	Caltanissetta	es	0	2013-06-05 09:42:23.841604+02	1	Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
8721	5036	Distrito de Bushenyi	es	0	2013-06-05 10:29:28.768111+02	1	Distrito de Bushenyi	\N	\N	\N	\N	\N	\N	t	f
7640	4637	Province de Caltanissetta	fr	0	2013-06-05 09:42:31.008951+02	1	Province de Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
7654	971	Cochabamba	fi	0	2013-06-05 09:43:05.013914+02	1	Cochabamba	\N	\N	\N	\N	\N	\N	t	f
9958	3271	Algiers	nl	0	2013-06-05 11:22:33.96984+02	1	Algiers	\N	\N	\N	\N	\N	\N	t	f
7678	3004	Al Asimah Governorate	en	0	2013-06-05 09:44:05.746814+02	1	Al Asimah Governorate	\N	\N	\N	\N	\N	\N	t	f
8745	2482	Ayaria	es	0	2013-06-05 10:30:28.428391+02	1	Ayaria	\N	\N	\N	\N	\N	\N	t	f
7681	3004	Governatorato della Capitale	it	0	2013-06-05 09:44:13.079861+02	1	Governatorato della Capitale	\N	\N	\N	\N	\N	\N	t	f
7699	3626	アセンション島	ja	0	2013-06-05 09:44:57.351417+02	1	アセンション島	\N	\N	\N	\N	\N	\N	t	f
9779	4290	Okres Břeclav	nl	0	2013-06-05 11:14:54.343967+02	1	Okres Břeclav	\N	\N	\N	\N	\N	\N	t	f
7743	377	Territorio della Capitale Australiana	it	0	2013-06-05 09:46:55.291574+02	1	Territorio della Capitale Australiana	\N	\N	\N	\N	\N	\N	t	f
8769	4641	Province de Cosenza	fr	0	2013-06-05 10:31:26.276241+02	1	Province de Cosenza	\N	\N	\N	\N	\N	\N	t	f
8772	4641	Cosenza	nl	0	2013-06-05 10:31:33.459136+02	1	Cosenza	\N	\N	\N	\N	\N	\N	t	f
8774	2263	Municipality of Brvenica	en	0	2013-06-05 10:31:38.632296+02	1	Municipality of Brvenica	\N	\N	\N	\N	\N	\N	t	f
9810	3543	Adamawa osariik	et	0	2013-06-05 11:16:09.865712+02	1	Adamawa osariik	\N	\N	\N	\N	\N	\N	t	f
9668	4426	Département Bas-Rhin	de	0	2013-06-05 11:10:14.705337+02	1	Département Bas-Rhin	\N	\N	\N	\N	\N	\N	t	f
9678	3817	Central Bedfordshire	de	0	2013-06-05 11:10:45.250449+02	1	Central Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
11070	2809	Irawadi-Division	de	0	2013-06-05 12:10:43.748112+02	1	Irawadi-Division	\N	\N	\N	\N	\N	\N	t	f
10311	4321	Provincia de Ciudad Real	es	0	2013-06-05 11:38:12.517254+02	1	Provincia de Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
9828	1595	Charlotte	fr	0	2013-06-05 11:16:53.166944+02	1	Charlotte	\N	\N	\N	\N	\N	\N	t	f
9835	2373	Krimm	et	0	2013-06-05 11:17:10.335998+02	1	Krimm	\N	\N	\N	\N	\N	\N	t	f
9956	3271	Wilaya d'Alger	fr	0	2013-06-05 11:22:29.183042+02	1	Wilaya d'Alger	\N	\N	\N	\N	\N	\N	t	f
10335	1887	Campania	es	0	2013-06-05 11:39:11.322359+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
11095	3809	Brighton and Hove	de	0	2013-06-05 12:11:45.335683+02	1	Brighton and Hove	\N	\N	\N	\N	\N	\N	t	f
11060	4196	Brava	it	0	2013-06-05 12:10:15.600396+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
11105	1831	Auvergne	et	0	2013-06-05 12:12:09.625613+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
11096	3809	Brighton and Hove	en	0	2013-06-05 12:11:47.666059+02	1	Brighton and Hove	\N	\N	\N	\N	\N	\N	t	f
11577	794	Andorra la Vella	nl	0	2013-06-05 12:32:41.061887+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
2660	121	Libia	it	0	2013-05-27 16:06:07.318594+02	\N	Libia	\N	\N	\N	\N	\N	\N	t	f
2663	121	Libya	no	0	2013-05-27 16:06:14.010203+02	\N	Libya	\N	\N	\N	\N	\N	\N	t	f
2670	80	Géorgie	fr	0	2013-05-27 16:06:30.512747+02	\N	Géorgie	\N	\N	\N	\N	\N	\N	t	f
3447	2252	Rajon Ștefan Vodă	de	0	2013-05-27 20:02:45.622577+02	1	Rajon Ștefan Vodă	\N	\N	\N	\N	\N	\N	t	f
3906	711	provincia di Chubut	it	0	2013-06-05 07:00:29.154059+02	1	provincia di Chubut	\N	\N	\N	\N	\N	\N	t	f
4324	1816	Castilla-La Mancha	es	0	2013-06-05 07:19:00.928927+02	1	Castilla-La Mancha	\N	\N	\N	\N	\N	\N	t	f
4334	816	Buzău	es	0	2013-06-05 07:19:40.204065+02	1	Buzău	\N	\N	\N	\N	\N	\N	t	f
4829	2950	Al-Muthanna	fr	0	2013-06-05 07:41:24.118564+02	1	Al-Muthanna	\N	\N	\N	\N	\N	\N	t	f
4840	2944	Governatorato di Baghdad	it	0	2013-06-05 07:41:51.440909+02	1	Governatorato di Baghdad	\N	\N	\N	\N	\N	\N	t	f
5376	4892	Benguet	es	0	2013-06-05 08:04:58.497664+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
4853	1100	Departamento Caazapá	de	0	2013-06-05 07:42:23.319971+02	1	Departamento Caazapá	\N	\N	\N	\N	\N	\N	t	f
4869	2927	Sharjah	no	0	2013-06-05 07:43:02.036149+02	1	Sharjah	\N	\N	\N	\N	\N	\N	t	f
4902	510	Amasya	nl	0	2013-06-05 07:44:22.272419+02	1	Amasya	\N	\N	\N	\N	\N	\N	t	f
5392	4372	Calvados	es	0	2013-06-05 08:05:38.612406+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
6014	1811	Aragonia	fi	0	2013-06-05 08:32:14.923815+02	1	Aragonia	\N	\N	\N	\N	\N	\N	t	f
5398	4372	Calvados	nl	0	2013-06-05 08:05:52.820702+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
5468	1065	regione di Ayacucho	it	0	2013-06-05 08:08:43.705891+02	1	regione di Ayacucho	\N	\N	\N	\N	\N	\N	t	f
5482	4636	Carbonia-Iglesias	es	0	2013-06-05 08:09:17.856795+02	1	Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
6041	4152	Provincia di Bam	it	0	2013-06-05 08:33:21.251932+02	1	Provincia di Bam	\N	\N	\N	\N	\N	\N	t	f
5535	521	Bursa	fr	0	2013-06-05 08:11:30.160879+02	1	Bursa	\N	\N	\N	\N	\N	\N	t	f
5543	3313	Gouvernorat du Fayoum	fr	0	2013-06-05 08:11:50.402479+02	1	Gouvernorat du Fayoum	\N	\N	\N	\N	\N	\N	t	f
6729	2400	Chuvasia	es	0	2013-06-05 09:03:02.052321+02	1	Chuvasia	\N	\N	\N	\N	\N	\N	t	f
6145	3307	Gouvernement al-Bahr al-ahmar	de	0	2013-06-05 08:37:45.291607+02	1	Gouvernement al-Bahr al-ahmar	\N	\N	\N	\N	\N	\N	t	f
6744	3375	Region Boké	de	0	2013-06-05 09:03:43.004482+02	1	Region Boké	\N	\N	\N	\N	\N	\N	t	f
7505	2471	Ararat	fr	0	2013-06-05 09:36:48.504784+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
6868	2930	Sørlige guvernement	no	0	2013-06-05 09:08:48.002834+02	1	Sørlige guvernement	\N	\N	\N	\N	\N	\N	t	f
6887	2769	Distrito de Belait	es	0	2013-06-05 09:09:34.463184+02	1	Distrito de Belait	\N	\N	\N	\N	\N	\N	t	f
10312	4321	Ciudad Reali provints	et	0	2013-06-05 11:38:14.914414+02	1	Ciudad Reali provints	\N	\N	\N	\N	\N	\N	t	f
6898	4151	バレ県	ja	0	2013-06-05 09:10:02.281839+02	1	バレ県	\N	\N	\N	\N	\N	\N	t	f
7521	1005	Chocó	fr	0	2013-06-05 09:37:30.880809+02	1	Chocó	\N	\N	\N	\N	\N	\N	t	f
6944	3813	Cardiff	es	0	2013-06-05 09:12:30.793784+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
8713	4086	Chittagong (district)	fr	0	2013-06-05 10:29:09.374513+02	1	Chittagong (district)	\N	\N	\N	\N	\N	\N	t	f
7545	4894	Bohol	et	0	2013-06-05 09:38:33.775415+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
7551	4894	Bohol	no	0	2013-06-05 09:38:48.673976+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
9742	4364	Alpes-Maritimes	nl	0	2013-06-05 11:13:24.743599+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
7589	2202	Επαρχία Αμμοχώστου	el	0	2013-06-05 09:40:26.837842+02	1	Επαρχία Αμμοχώστου	\N	\N	\N	\N	\N	\N	t	f
8781	980	Región de Antofagasta	es	0	2013-06-05 10:31:55.429602+02	1	Región de Antofagasta	\N	\N	\N	\N	\N	\N	t	f
7647	5032	Amuru	fr	0	2013-06-05 09:42:48.093281+02	1	Amuru	\N	\N	\N	\N	\N	\N	t	f
7708	1158	Amazonas	it	0	2013-06-05 09:45:19.438117+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
7723	3914	City of Bradford	en	0	2013-06-05 09:46:01.30664+02	1	City of Bradford	\N	\N	\N	\N	\N	\N	t	f
8784	980	Région d'Antofagasta	fr	0	2013-06-05 10:32:02.438479+02	1	Région d'Antofagasta	\N	\N	\N	\N	\N	\N	t	f
7736	377	Australian Capital Territory	de	0	2013-06-05 09:46:35.437594+02	1	Australian Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8090	4080	Brahmanbaria District	en	0	2013-06-05 10:02:28.984811+02	1	Brahmanbaria District	\N	\N	\N	\N	\N	\N	t	f
8108	4374	Charente	nl	0	2013-06-05 10:03:14.982228+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8826	3260	Batna	nl	0	2013-06-05 10:33:51.556213+02	1	Batna	\N	\N	\N	\N	\N	\N	t	f
8125	1302	Municipalidad de Balvi	es	0	2013-06-05 10:03:56.461803+02	1	Municipalidad de Balvi	\N	\N	\N	\N	\N	\N	t	f
8133	1231	Provincia di Camagüey	it	0	2013-06-05 10:04:15.995788+02	1	Provincia di Camagüey	\N	\N	\N	\N	\N	\N	t	f
9759	1216	Provincia di Alajuela	it	0	2013-06-05 11:14:06.110321+02	1	Provincia di Alajuela	\N	\N	\N	\N	\N	\N	t	f
8842	4368	オーブ県	ja	0	2013-06-05 10:34:30.824455+02	1	オーブ県	\N	\N	\N	\N	\N	\N	t	f
8881	4991	Busia	fr	0	2013-06-05 10:36:08.072568+02	1	Busia	\N	\N	\N	\N	\N	\N	t	f
11578	794	Andorra la Vella	no	0	2013-06-05 12:32:43.553406+02	1	Andorra la Vella	\N	\N	\N	\N	\N	\N	t	f
8898	3877	Municipio de Barnet	es	0	2013-06-05 10:36:53.890183+02	1	Municipio de Barnet	\N	\N	\N	\N	\N	\N	t	f
9811	3543	Adamawa	fi	0	2013-06-05 11:16:12.203493+02	1	Adamawa	\N	\N	\N	\N	\N	\N	t	f
8970	3332	Al Wadi al Jadid	no	0	2013-06-05 10:39:50.58342+02	1	Al Wadi al Jadid	\N	\N	\N	\N	\N	\N	t	f
8977	2996	Gobernación de Karak	es	0	2013-06-05 10:40:07.636127+02	1	Gobernación de Karak	\N	\N	\N	\N	\N	\N	t	f
10327	1951	Brda	es	0	2013-06-05 11:38:51.625759+02	1	Brda	\N	\N	\N	\N	\N	\N	t	f
9669	4426	Bas-Rhin	en	0	2013-06-05 11:10:17.108806+02	1	Bas-Rhin	\N	\N	\N	\N	\N	\N	t	f
9814	3543	アダマワ州	ja	0	2013-06-05 11:16:19.372933+02	1	アダマワ州	\N	\N	\N	\N	\N	\N	t	f
11069	4755	Assa-Zag	nl	0	2013-06-05 12:10:41.014984+02	1	Assa-Zag	\N	\N	\N	\N	\N	\N	t	f
9865	3324	Governatorato di al-Manufiyya	it	0	2013-06-05 11:18:24.227283+02	1	Governatorato di al-Manufiyya	\N	\N	\N	\N	\N	\N	t	f
9919	808	Arad	es	0	2013-06-05 11:20:45.273797+02	1	Arad	\N	\N	\N	\N	\N	\N	t	f
11072	2809	Ayeyarwady	es	0	2013-06-05 12:10:49.200611+02	1	Ayeyarwady	\N	\N	\N	\N	\N	\N	t	f
11100	3809	Brighton and Hove	nl	0	2013-06-05 12:11:57.175623+02	1	Brighton and Hove	\N	\N	\N	\N	\N	\N	t	f
2664	80	Georgien	de	0	2013-05-27 16:06:17.099618+02	\N	Georgien	\N	\N	\N	\N	\N	\N	t	f
2665	80	Γεωργία	el	0	2013-05-27 16:06:19.429192+02	\N	Γεωργία	\N	\N	\N	\N	\N	\N	t	f
2671	80	Georgia	it	0	2013-05-27 16:06:32.787433+02	\N	Georgia	\N	\N	\N	\N	\N	\N	t	f
3448	2252	Ştefan Vodă District	en	0	2013-05-27 20:02:47.860592+02	1	Ştefan Vodă District	\N	\N	\N	\N	\N	\N	t	f
2672	80	グルジア	ja	0	2013-05-27 16:06:35.018153+02	\N	グルジア	\N	\N	\N	\N	\N	\N	t	f
2674	80	Georgia	no	0	2013-05-27 16:06:39.501383+02	\N	Georgia	\N	\N	\N	\N	\N	\N	t	f
3466	4281	Okres Ústí nad Orlicí	nl	0	2013-05-27 20:03:30.176783+02	1	Okres Ústí nad Orlicí	\N	\N	\N	\N	\N	\N	t	f
3907	711	チュブ州	ja	0	2013-06-05 07:00:31.71817+02	1	チュブ州	\N	\N	\N	\N	\N	\N	t	f
3519	501	Święty Krzyżi vojevoodkond	et	0	2013-05-27 20:05:36.733646+02	1	Święty Krzyżi vojevoodkond	\N	\N	\N	\N	\N	\N	t	f
3917	1547	Chiriquí	nl	0	2013-06-05 07:00:59.189522+02	1	Chiriquí	\N	\N	\N	\N	\N	\N	t	f
4327	1816	Castille-La Manche	fr	0	2013-06-05 07:19:16.240124+02	1	Castille-La Manche	\N	\N	\N	\N	\N	\N	t	f
3996	389	Akita	es	0	2013-06-05 07:04:52.588105+02	1	Akita	\N	\N	\N	\N	\N	\N	t	f
4012	4387	Corse-du-Sud	nl	0	2013-06-05 07:05:32.214874+02	1	Corse-du-Sud	\N	\N	\N	\N	\N	\N	t	f
4833	2950	Muthanna	no	0	2013-06-05 07:41:34.401898+02	1	Muthanna	\N	\N	\N	\N	\N	\N	t	f
4038	3112	Benguela	nl	0	2013-06-05 07:06:36.292759+02	1	Benguela	\N	\N	\N	\N	\N	\N	t	f
5377	4892	Benguet	fr	0	2013-06-05 08:05:00.831613+02	1	Benguet	\N	\N	\N	\N	\N	\N	t	f
5412	906	Birzebbugia	it	0	2013-06-05 08:06:27.003416+02	1	Birzebbugia	\N	\N	\N	\N	\N	\N	t	f
6017	1811	アラゴン州	ja	0	2013-06-05 08:32:22.03109+02	1	アラゴン州	\N	\N	\N	\N	\N	\N	t	f
5420	4320	Córdoba provints	et	0	2013-06-05 08:06:46.953722+02	1	Córdoba provints	\N	\N	\N	\N	\N	\N	t	f
5421	4320	Córdoba	fi	0	2013-06-05 08:06:49.313004+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5442	1810	Andalusien	de	0	2013-06-05 08:07:40.677138+02	1	Andalusien	\N	\N	\N	\N	\N	\N	t	f
6022	4263	District de Chomutov	fr	0	2013-06-05 08:32:34.31137+02	1	District de Chomutov	\N	\N	\N	\N	\N	\N	t	f
5449	1810	Andalusia	it	0	2013-06-05 08:07:57.227436+02	1	Andalusia	\N	\N	\N	\N	\N	\N	t	f
5460	3880	ブロムリー・ロンドン特別区	ja	0	2013-06-05 08:08:24.000382+02	1	ブロムリー・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
6730	2400	Tšuvaššia	et	0	2013-06-05 09:03:04.456362+02	1	Tšuvaššia	\N	\N	\N	\N	\N	\N	t	f
5514	2541	Chungcheong du Sud	fr	0	2013-06-05 08:10:35.971412+02	1	Chungcheong du Sud	\N	\N	\N	\N	\N	\N	t	f
6028	4631	Bolzano	es	0	2013-06-05 08:32:49.557593+02	1	Bolzano	\N	\N	\N	\N	\N	\N	t	f
5515	2541	Sud Chungcheong	it	0	2013-06-05 08:10:38.320464+02	1	Sud Chungcheong	\N	\N	\N	\N	\N	\N	t	f
6046	659	Chandigarh	en	0	2013-06-05 08:33:33.919815+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6062	972	Chuquisaca	nl	0	2013-06-05 08:34:12.529642+02	1	Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
6740	3008	Gouvernorat de Beyrouth	fr	0	2013-06-05 09:03:30.352058+02	1	Gouvernorat de Beyrouth	\N	\N	\N	\N	\N	\N	t	f
6069	512	Antalyan maakunta	fi	0	2013-06-05 08:34:29.805119+02	1	Antalyan maakunta	\N	\N	\N	\N	\N	\N	t	f
7507	2471	アララト地方	ja	0	2013-06-05 09:36:53.472804+02	1	アララト地方	\N	\N	\N	\N	\N	\N	t	f
6760	4628	Μπρίντιζι	el	0	2013-06-05 09:04:23.99695+02	1	Μπρίντιζι	\N	\N	\N	\N	\N	\N	t	f
6765	4628	Province de Brindisi	fr	0	2013-06-05 09:04:35.812731+02	1	Province de Brindisi	\N	\N	\N	\N	\N	\N	t	f
9735	4364	Alpes-Maritimes	en	0	2013-06-05 11:13:08.220713+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
6785	4309	Alicante	no	0	2013-06-05 09:05:24.976917+02	1	Alicante	\N	\N	\N	\N	\N	\N	t	f
7509	2471	Ararat	no	0	2013-06-05 09:36:58.386326+02	1	Ararat	\N	\N	\N	\N	\N	\N	t	f
6806	1833	Burgundy	en	0	2013-06-05 09:06:16.849435+02	1	Burgundy	\N	\N	\N	\N	\N	\N	t	f
6846	3463	Provincia de Antsiranana	es	0	2013-06-05 09:07:54.903908+02	1	Provincia de Antsiranana	\N	\N	\N	\N	\N	\N	t	f
8716	4088	Chuadanga	es	0	2013-06-05 10:29:16.789866+02	1	Chuadanga	\N	\N	\N	\N	\N	\N	t	f
6855	1136	Apure	es	0	2013-06-05 09:08:16.787283+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
8092	4080	Brahmanbaria (district)	fr	0	2013-06-05 10:02:33.687191+02	1	Brahmanbaria (district)	\N	\N	\N	\N	\N	\N	t	f
6864	2930	Gouvernorat méridional	fr	0	2013-06-05 09:08:38.4929+02	1	Gouvernorat méridional	\N	\N	\N	\N	\N	\N	t	f
6881	2507	Länsi-Kazakstanin alue	fi	0	2013-06-05 09:09:19.786555+02	1	Länsi-Kazakstanin alue	\N	\N	\N	\N	\N	\N	t	f
6883	2507	Oblys del Kazakistan Occidentale	it	0	2013-06-05 09:09:24.554906+02	1	Oblys del Kazakistan Occidentale	\N	\N	\N	\N	\N	\N	t	f
8096	2788	CALABARZON	fr	0	2013-06-05 10:02:45.949748+02	1	CALABARZON	\N	\N	\N	\N	\N	\N	t	f
6910	2398	Tsjeljabinsk oblast	no	0	2013-06-05 09:10:34.461479+02	1	Tsjeljabinsk oblast	\N	\N	\N	\N	\N	\N	t	f
8928	620	Amazonas	it	0	2013-06-05 10:38:09.721999+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8165	3218	Brazzaville	de	0	2013-06-05 10:05:39.272294+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8722	5036	Bushenyi	fr	0	2013-06-05 10:29:31.12474+02	1	Bushenyi	\N	\N	\N	\N	\N	\N	t	f
8167	3218	Brazzaville	en	0	2013-06-05 10:05:44.018571+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8200	1699	Atua	it	0	2013-06-05 10:07:05.168712+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
8208	3031	Al Batinah	nl	0	2013-06-05 10:07:24.948073+02	1	Al Batinah	\N	\N	\N	\N	\N	\N	t	f
8773	4641	Provinsen Cosenza	no	0	2013-06-05 10:31:35.880645+02	1	Provinsen Cosenza	\N	\N	\N	\N	\N	\N	t	f
8221	1601	Divisione Centrale	it	0	2013-06-05 10:07:56.603594+02	1	Divisione Centrale	\N	\N	\N	\N	\N	\N	t	f
8790	1228	Cienfuegos Province	en	0	2013-06-05 10:32:17.448656+02	1	Cienfuegos Province	\N	\N	\N	\N	\N	\N	t	f
8974	3758	Central	nl	0	2013-06-05 10:40:00.284937+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
8827	3260	Batna	no	0	2013-06-05 10:33:53.921185+02	1	Batna	\N	\N	\N	\N	\N	\N	t	f
8836	4368	Aube	en	0	2013-06-05 10:34:16.605248+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
8860	660	Chhattisgarh	fr	0	2013-06-05 10:35:14.246372+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
9671	4426	Bas-Rhini departemang	et	0	2013-06-05 11:10:21.839852+02	1	Bas-Rhini departemang	\N	\N	\N	\N	\N	\N	t	f
9744	2903	Provinz Buxoro	de	0	2013-06-05 11:13:29.9287+02	1	Provinz Buxoro	\N	\N	\N	\N	\N	\N	t	f
9697	4624	Biella provints	et	0	2013-06-05 11:11:35.030514+02	1	Biella provints	\N	\N	\N	\N	\N	\N	t	f
10320	879	Changhua County	en	0	2013-06-05 11:38:34.677996+02	1	Changhua County	\N	\N	\N	\N	\N	\N	t	f
10314	4321	Province de Ciudad Real	fr	0	2013-06-05 11:38:19.682529+02	1	Province de Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
11076	2809	Regione di Ayeyarwady	it	0	2013-06-05 12:10:58.676389+02	1	Regione di Ayeyarwady	\N	\N	\N	\N	\N	\N	t	f
11579	1728	Balakən	de	0	2013-06-05 12:32:46.395154+02	1	Balakən	\N	\N	\N	\N	\N	\N	t	f
11093	1791	Brčko	nl	0	2013-06-05 12:11:40.204366+02	1	Brčko	\N	\N	\N	\N	\N	\N	t	f
2666	80	Georgia	en	0	2013-05-27 16:06:21.637457+02	\N	Georgia	\N	\N	\N	\N	\N	\N	t	f
3449	2252	Distrito de Ştefan Vodă	es	0	2013-05-27 20:02:50.095929+02	1	Distrito de Ştefan Vodă	\N	\N	\N	\N	\N	\N	t	f
3455	2067	Škofljica	en	0	2013-05-27 20:03:04.114242+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
3908	711	Chubut	nl	0	2013-06-05 07:00:34.130607+02	1	Chubut	\N	\N	\N	\N	\N	\N	t	f
3456	2067	Škofljica	es	0	2013-05-27 20:03:06.395517+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
3469	2247	Șoldănești District	en	0	2013-05-27 20:03:37.634111+02	1	Șoldănești District	\N	\N	\N	\N	\N	\N	t	f
3936	1502	コリマ州	ja	0	2013-06-05 07:02:04.617889+02	1	コリマ州	\N	\N	\N	\N	\N	\N	t	f
4333	816	Buzău County	en	0	2013-06-05 07:19:35.194708+02	1	Buzău County	\N	\N	\N	\N	\N	\N	t	f
3978	3824	Clackmannanshire	fi	0	2013-06-05 07:04:07.356134+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
994	65	赤道ギニア	ja	0	2013-06-05 07:05:04.676435+02	\N	せきどうギニア	\N	\N	\N	\N	\N	\N	t	f
4005	4387	Corse-du-Sud	en	0	2013-06-05 07:05:15.412528+02	1	Corse-du-Sud	\N	\N	\N	\N	\N	\N	t	f
4346	1310	Ciblas novads	nl	0	2013-06-05 07:20:15.842166+02	1	Ciblas novads	\N	\N	\N	\N	\N	\N	t	f
4845	514	Επαρχία Αϊδινίου	el	0	2013-06-05 07:42:03.84834+02	1	Επαρχία Αϊδινίου	\N	\N	\N	\N	\N	\N	t	f
4377	4588	Cavanin kreivikunta	fi	0	2013-06-05 07:21:36.687442+02	1	Cavanin kreivikunta	\N	\N	\N	\N	\N	\N	t	f
4849	514	Provincia di Aydın	it	0	2013-06-05 07:42:13.371901+02	1	Provincia di Aydın	\N	\N	\N	\N	\N	\N	t	f
5382	3550	Cross River	de	0	2013-06-05 08:05:14.105642+02	1	Cross River	\N	\N	\N	\N	\N	\N	t	f
4856	1100	Caazapán maakunta	fi	0	2013-06-05 07:42:30.409257+02	1	Caazapán maakunta	\N	\N	\N	\N	\N	\N	t	f
4897	510	Provincia de Amasya	es	0	2013-06-05 07:44:10.296702+02	1	Provincia de Amasya	\N	\N	\N	\N	\N	\N	t	f
4898	510	Amasya provints	et	0	2013-06-05 07:44:12.632385+02	1	Amasya provints	\N	\N	\N	\N	\N	\N	t	f
5423	4320	Provincia di Cordova	it	0	2013-06-05 08:06:54.033162+02	1	Provincia di Cordova	\N	\N	\N	\N	\N	\N	t	f
4919	3113	Provinz Bié	de	0	2013-06-05 07:45:03.774965+02	1	Provinz Bié	\N	\N	\N	\N	\N	\N	t	f
4929	1185	Crooked Island, Bahamas	en	0	2013-06-05 07:45:27.839416+02	1	Crooked Island, Bahamas	\N	\N	\N	\N	\N	\N	t	f
6018	1811	Aragón	nl	0	2013-06-05 08:32:24.413982+02	1	Aragón	\N	\N	\N	\N	\N	\N	t	f
4933	1185	Crooked Island	nl	0	2013-06-05 07:45:37.3228+02	1	Crooked Island	\N	\N	\N	\N	\N	\N	t	f
5440	3590	Baie Sainte Anne	it	0	2013-06-05 08:07:35.348572+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
4939	1558	Dipartimento di Chalatenango	it	0	2013-06-05 07:45:52.00411+02	1	Dipartimento di Chalatenango	\N	\N	\N	\N	\N	\N	t	f
5464	1065	Ayacucho	en	0	2013-06-05 08:08:34.186586+02	1	Ayacucho	\N	\N	\N	\N	\N	\N	t	f
5494	3088	Gouvernorat de Suweyda	fr	0	2013-06-05 08:09:46.777378+02	1	Gouvernorat de Suweyda	\N	\N	\N	\N	\N	\N	t	f
6034	4631	Zuid-Tirol	nl	0	2013-06-05 08:33:03.933232+02	1	Zuid-Tirol	\N	\N	\N	\N	\N	\N	t	f
5523	4782	Arno-Atoll	de	0	2013-06-05 08:10:58.106401+02	1	Arno-Atoll	\N	\N	\N	\N	\N	\N	t	f
6736	2400	Tsjuvasjia	no	0	2013-06-05 09:03:20.235412+02	1	Tsjuvasjia	\N	\N	\N	\N	\N	\N	t	f
5541	3313	Faiyum Governorate	en	0	2013-06-05 08:11:45.675878+02	1	Faiyum Governorate	\N	\N	\N	\N	\N	\N	t	f
6759	4628	Provinz Brindisi	de	0	2013-06-05 09:04:21.676295+02	1	Provinz Brindisi	\N	\N	\N	\N	\N	\N	t	f
7510	3793	Antrim (Borough)	de	0	2013-06-05 09:37:01.082659+02	1	Antrim (Borough)	\N	\N	\N	\N	\N	\N	t	f
8094	2788	CALABARZON	en	0	2013-06-05 10:02:41.177577+02	1	CALABARZON	\N	\N	\N	\N	\N	\N	t	f
7529	1117	Cerro Largo	fi	0	2013-06-05 09:37:54.315535+02	1	Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
7538	1698	Aiga-i-le-Tai	fr	0	2013-06-05 09:38:16.262344+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
7554	2942	Gobernación de Basora	es	0	2013-06-05 09:38:56.212038+02	1	Gobernación de Basora	\N	\N	\N	\N	\N	\N	t	f
8232	619	Alagoas	no	0	2013-06-05 10:08:23.333783+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
7601	2992	Governatorato di al-Zarqa	it	0	2013-06-05 09:40:55.897809+02	1	Governatorato di al-Zarqa	\N	\N	\N	\N	\N	\N	t	f
7612	4495	Etolia-Akarnania	nl	0	2013-06-05 09:41:22.826424+02	1	Etolia-Akarnania	\N	\N	\N	\N	\N	\N	t	f
8720	5036	Bushenyi District	en	0	2013-06-05 10:29:26.439955+02	1	Bushenyi District	\N	\N	\N	\N	\N	\N	t	f
7634	4637	Provinz Caltanissetta	de	0	2013-06-05 09:42:16.837909+02	1	Provinz Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
8241	3795	Argyll and Bute	nl	0	2013-06-05 10:08:45.44729+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
7655	971	Département de Cochabamba	fr	0	2013-06-05 09:43:07.386221+02	1	Département de Cochabamba	\N	\N	\N	\N	\N	\N	t	f
7657	971	コチャバンバ県	ja	0	2013-06-05 09:43:12.148139+02	1	コチャバンバ県	\N	\N	\N	\N	\N	\N	t	f
7671	1617	Anetan	es	0	2013-06-05 09:43:47.780737+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
8245	4029	Distrito de Bulqizë	es	0	2013-06-05 10:08:55.401657+02	1	Distrito de Bulqizë	\N	\N	\N	\N	\N	\N	t	f
7672	1617	Anetan	fi	0	2013-06-05 09:43:50.451725+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
7700	3626	Ascension	nl	0	2013-06-05 09:44:59.774246+02	1	Ascension	\N	\N	\N	\N	\N	\N	t	f
8915	4753	Agadir	et	0	2013-06-05 10:37:38.687126+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
8282	511	Ankara	no	0	2013-06-05 10:10:33.951259+02	1	Ankara	\N	\N	\N	\N	\N	\N	t	f
8723	5036	ブシェニ県	ja	0	2013-06-05 10:29:33.461723+02	1	ブシェニ県	\N	\N	\N	\N	\N	\N	t	f
8322	2096	Cerkvenjak	nl	0	2013-06-05 10:12:11.647893+02	1	Cerkvenjak	\N	\N	\N	\N	\N	\N	t	f
8338	3161	Atlantique	no	0	2013-06-05 10:12:50.607719+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
8724	5036	Bushenyi	nl	0	2013-06-05 10:29:35.849666+02	1	Bushenyi	\N	\N	\N	\N	\N	\N	t	f
9689	2902	Province d'Andijan	fr	0	2013-06-05 11:11:12.669579+02	1	Province d'Andijan	\N	\N	\N	\N	\N	\N	t	f
8770	4641	provincia di Cosenza	it	0	2013-06-05 10:31:28.655178+02	1	provincia di Cosenza	\N	\N	\N	\N	\N	\N	t	f
9677	4426	Bas-Rhin	no	0	2013-06-05 11:10:42.524003+02	1	Bas-Rhin	\N	\N	\N	\N	\N	\N	t	f
8800	2397	Chechen Republic	en	0	2013-06-05 10:32:45.329507+02	1	Chechen Republic	\N	\N	\N	\N	\N	\N	t	f
8904	3877	Barnet	no	0	2013-06-05 10:37:11.347494+02	1	Barnet	\N	\N	\N	\N	\N	\N	t	f
9685	2902	Andijan Province	en	0	2013-06-05 11:11:02.124761+02	1	Andijan Province	\N	\N	\N	\N	\N	\N	t	f
10336	1887	Campania	et	0	2013-06-05 11:39:13.663596+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
9688	2902	Andižanin alue	fi	0	2013-06-05 11:11:10.288271+02	1	Andižanin alue	\N	\N	\N	\N	\N	\N	t	f
9700	4624	provincia di Biella	it	0	2013-06-05 11:11:42.18994+02	1	provincia di Biella	\N	\N	\N	\N	\N	\N	t	f
10334	1887	Campania	en	0	2013-06-05 11:39:08.92701+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
11087	1791	Brčko District	en	0	2013-06-05 12:11:25.955751+02	1	Brčko District	\N	\N	\N	\N	\N	\N	t	f
11584	1728	Balakən	nl	0	2013-06-05 12:32:58.199045+02	1	Balakən	\N	\N	\N	\N	\N	\N	t	f
2667	80	Georgia	es	0	2013-05-27 16:06:23.850813+02	\N	Georgia	\N	\N	\N	\N	\N	\N	t	f
2668	80	Gruusia	et	0	2013-05-27 16:06:26.053368+02	\N	Gruusia	\N	\N	\N	\N	\N	\N	t	f
3450	2252	Ștefan Vodăn piiri	fi	0	2013-05-27 20:02:52.53526+02	1	Ștefan Vodăn piiri	\N	\N	\N	\N	\N	\N	t	f
3503	4356	アラバ県	ja	0	2013-05-27 20:04:58.998797+02	1	アラバ県	\N	\N	\N	\N	\N	\N	t	f
3909	711	Chubut	no	0	2013-06-05 07:00:36.673044+02	1	Chubut	\N	\N	\N	\N	\N	\N	t	f
3504	4356	Álava	nl	0	2013-05-27 20:05:01.25179+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
3517	501	Świętokrzyskie Voivodeship	en	0	2013-05-27 20:05:32.193093+02	1	Świętokrzyskie Voivodeship	\N	\N	\N	\N	\N	\N	t	f
3911	1547	Chiriquí Province	en	0	2013-06-05 07:00:41.801193+02	1	Chiriquí Province	\N	\N	\N	\N	\N	\N	t	f
4343	1310	Municipalidad de Cibla	es	0	2013-06-05 07:20:08.483107+02	1	Municipalidad de Cibla	\N	\N	\N	\N	\N	\N	t	f
4848	514	Aydın	fr	0	2013-06-05 07:42:10.969197+02	1	Aydın	\N	\N	\N	\N	\N	\N	t	f
4850	514	アイドゥン県	ja	0	2013-06-05 07:42:15.773668+02	1	アイドゥン県	\N	\N	\N	\N	\N	\N	t	f
5383	3550	Cross River State	en	0	2013-06-05 08:05:16.488399+02	1	Cross River State	\N	\N	\N	\N	\N	\N	t	f
4857	1100	Département de Caazapá	fr	0	2013-06-05 07:42:32.886246+02	1	Département de Caazapá	\N	\N	\N	\N	\N	\N	t	f
5402	3589	Baie Lazare	nl	0	2013-06-05 08:06:02.598564+02	1	Baie Lazare	\N	\N	\N	\N	\N	\N	t	f
6026	4631	Αυτόνομη επαρχία του Μπολτσάνο	el	0	2013-06-05 08:32:44.88581+02	1	Αυτόνομη επαρχία του Μπολτσάνο	\N	\N	\N	\N	\N	\N	t	f
5499	2385	Oblast Tschernihiw	de	0	2013-06-05 08:09:59.196673+02	1	Oblast Tschernihiw	\N	\N	\N	\N	\N	\N	t	f
5500	2385	Chernihiv Oblast	en	0	2013-06-05 08:10:01.601789+02	1	Chernihiv Oblast	\N	\N	\N	\N	\N	\N	t	f
5503	2385	Tšernihivin alue	fi	0	2013-06-05 08:10:08.912066+02	1	Tšernihivin alue	\N	\N	\N	\N	\N	\N	t	f
6082	519	Bolu	nl	0	2013-06-05 08:35:02.918138+02	1	Bolu	\N	\N	\N	\N	\N	\N	t	f
5538	521	Bursa	nl	0	2013-06-05 08:11:38.204977+02	1	Bursa	\N	\N	\N	\N	\N	\N	t	f
6738	3008	Beirut Governorate	en	0	2013-06-05 09:03:25.660186+02	1	Beirut Governorate	\N	\N	\N	\N	\N	\N	t	f
6089	1496	Baja California	fi	0	2013-06-05 08:35:20.251198+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6100	263	Alabama	fi	0	2013-06-05 08:35:50.186338+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6799	3317	Gouvernorat d'Ismaïlia	fr	0	2013-06-05 09:05:59.429731+02	1	Gouvernorat d'Ismaïlia	\N	\N	\N	\N	\N	\N	t	f
7511	3793	Antrim	en	0	2013-06-05 09:37:03.395858+02	1	Antrim	\N	\N	\N	\N	\N	\N	t	f
6836	1621	Buada	es	0	2013-06-05 09:07:30.781639+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
6875	4903	Camarines Sur	nl	0	2013-06-05 09:09:05.122409+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
9786	1482	Christ Church Nichola Town	nl	0	2013-06-05 11:15:11.510977+02	1	Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
6879	2507	Provincia de Kazajistán Occidental	es	0	2013-06-05 09:09:15.088882+02	1	Provincia de Kazajistán Occidental	\N	\N	\N	\N	\N	\N	t	f
7514	3793	Antrim	nl	0	2013-06-05 09:37:10.757716+02	1	Antrim	\N	\N	\N	\N	\N	\N	t	f
6882	2507	Kazakhstan-Occidental	fr	0	2013-06-05 09:09:22.169874+02	1	Kazakhstan-Occidental	\N	\N	\N	\N	\N	\N	t	f
6915	4629	Brescia provints	et	0	2013-06-05 09:10:46.867761+02	1	Brescia provints	\N	\N	\N	\N	\N	\N	t	f
8726	1724	Agdash Rayon	en	0	2013-06-05 10:29:40.978632+02	1	Agdash Rayon	\N	\N	\N	\N	\N	\N	t	f
6934	2804	Bago (Birmania)	es	0	2013-06-05 09:11:53.953428+02	1	Bago (Birmania)	\N	\N	\N	\N	\N	\N	t	f
8098	2788	カラバルソン地方	ja	0	2013-06-05 10:02:50.67589+02	1	カラバルソン地方	\N	\N	\N	\N	\N	\N	t	f
8099	2788	CALABARZON	nl	0	2013-06-05 10:02:53.071741+02	1	CALABARZON	\N	\N	\N	\N	\N	\N	t	f
9713	1670	Ονιάρα	el	0	2013-06-05 11:12:15.030755+02	1	Ονιάρα	\N	\N	\N	\N	\N	\N	t	f
8107	4374	シャラント県	ja	0	2013-06-05 10:03:12.604025+02	1	シャラント県	\N	\N	\N	\N	\N	\N	t	f
8737	329	Brême	fr	0	2013-06-05 10:30:08.88958+02	1	Brême	\N	\N	\N	\N	\N	\N	t	f
8121	4898	ブラカン州	ja	0	2013-06-05 10:03:46.617144+02	1	ブラカン州	\N	\N	\N	\N	\N	\N	t	f
8122	4898	Bulacan	nl	0	2013-06-05 10:03:48.984198+02	1	Bulacan	\N	\N	\N	\N	\N	\N	t	f
8130	1231	Camagüey Province	en	0	2013-06-05 10:04:08.780323+02	1	Camagüey Province	\N	\N	\N	\N	\N	\N	t	f
8750	2482	アジャリア自治共和国	ja	0	2013-06-05 10:30:40.282318+02	1	アジャリア自治共和国	\N	\N	\N	\N	\N	\N	t	f
8159	1590	Baker	fi	0	2013-06-05 10:05:23.146434+02	1	Baker	\N	\N	\N	\N	\N	\N	t	f
8163	1590	Baker	nl	0	2013-06-05 10:05:33.040973+02	1	Baker	\N	\N	\N	\N	\N	\N	t	f
8922	620	Amazonas	de	0	2013-06-05 10:37:55.657436+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
9715	1670	Honiara	es	0	2013-06-05 11:12:19.730667+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
8962	3332	Gouvernement al-Wadi al-dschadid	de	0	2013-06-05 10:39:31.492101+02	1	Gouvernement al-Wadi al-dschadid	\N	\N	\N	\N	\N	\N	t	f
8964	3332	Nuevo Valle	es	0	2013-06-05 10:39:36.276928+02	1	Nuevo Valle	\N	\N	\N	\N	\N	\N	t	f
9892	4587	County Clare	de	0	2013-06-05 11:19:33.18218+02	1	County Clare	\N	\N	\N	\N	\N	\N	t	f
8966	3332	Gouvernorat de la Nouvelle-Vallée	fr	0	2013-06-05 10:39:41.120515+02	1	Gouvernorat de la Nouvelle-Vallée	\N	\N	\N	\N	\N	\N	t	f
9746	2903	Bukhara Province	en	0	2013-06-05 11:13:34.696531+02	1	Bukhara Province	\N	\N	\N	\N	\N	\N	t	f
9681	3817	Central Bedfordshire	fr	0	2013-06-05 11:10:52.279049+02	1	Central Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
9683	3817	Central Bedfordshire	nl	0	2013-06-05 11:10:56.974066+02	1	Central Bedfordshire	\N	\N	\N	\N	\N	\N	t	f
9809	3543	Adamawa	es	0	2013-06-05 11:16:07.494969+02	1	Adamawa	\N	\N	\N	\N	\N	\N	t	f
9749	2903	Buharan alue	fi	0	2013-06-05 11:13:41.789694+02	1	Buharan alue	\N	\N	\N	\N	\N	\N	t	f
9751	2903	Regione di Bukhara	it	0	2013-06-05 11:13:46.54918+02	1	Regione di Bukhara	\N	\N	\N	\N	\N	\N	t	f
9782	1482	Parroquia de Christ Church Nichola Town	es	0	2013-06-05 11:15:01.828056+02	1	Parroquia de Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
9880	3058	Madinat ash Shamal	it	0	2013-06-05 11:19:03.695255+02	1	Madinat ash Shamal	\N	\N	\N	\N	\N	\N	t	f
10591	3314	Gouvernorat de Gharbeya	fr	0	2013-06-05 11:50:05.481866+02	1	Gouvernorat de Gharbeya	\N	\N	\N	\N	\N	\N	t	f
9890	2955	Sulaymaniyah	nl	0	2013-06-05 11:19:27.973816+02	1	Sulaymaniyah	\N	\N	\N	\N	\N	\N	t	f
10396	3800	Bath and North East Somerset	es	0	2013-06-05 11:41:40.889838+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
10339	1887	Campania	it	0	2013-06-05 11:39:20.862448+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
10380	5015	Apac	fr	0	2013-06-05 11:41:01.799925+02	1	Apac	\N	\N	\N	\N	\N	\N	t	f
10434	4366	Ardennes	no	0	2013-06-05 11:43:14.094587+02	1	Ardennes	\N	\N	\N	\N	\N	\N	t	f
10408	3547	Benue	it	0	2013-06-05 11:42:10.062039+02	1	Benue	\N	\N	\N	\N	\N	\N	t	f
10592	3314	Governatorato di Gharbiyya	it	0	2013-06-05 11:50:07.843718+02	1	Governatorato di Gharbiyya	\N	\N	\N	\N	\N	\N	t	f
10636	3585	Anse Boileau	de	0	2013-06-05 11:51:56.232292+02	1	Anse Boileau	\N	\N	\N	\N	\N	\N	t	f
10648	4905	Cavite	no	0	2013-06-05 11:52:24.992229+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
11097	3809	Brighton & Hove	fi	0	2013-06-05 12:11:50.058499+02	1	Brighton & Hove	\N	\N	\N	\N	\N	\N	t	f
11585	1728	Balakən	no	0	2013-06-05 12:33:00.571354+02	1	Balakən	\N	\N	\N	\N	\N	\N	t	f
2669	80	Georgia	fi	0	2013-05-27 16:06:28.254371+02	\N	Georgia	\N	\N	\N	\N	\N	\N	t	f
3451	2252	Raion de Ștefan Vodă	fr	0	2013-05-27 20:02:54.782279+02	1	Raion de Ștefan Vodă	\N	\N	\N	\N	\N	\N	t	f
3912	1547	Provincia de Chiriquí	es	0	2013-06-05 07:00:44.176597+02	1	Provincia de Chiriquí	\N	\N	\N	\N	\N	\N	t	f
3922	1559	Département de Cuscatlán	fr	0	2013-06-05 07:01:11.488621+02	1	Département de Cuscatlán	\N	\N	\N	\N	\N	\N	t	f
4345	1310	Cibla	it	0	2013-06-05 07:20:13.342536+02	1	Cibla	\N	\N	\N	\N	\N	\N	t	f
3942	3493	Cargados Carajos	et	0	2013-06-05 07:02:27.995101+02	1	Cargados Carajos	\N	\N	\N	\N	\N	\N	t	f
4009	4387	Corse-du-Sud‎	fr	0	2013-06-05 07:05:24.873871+02	1	Corse-du-Sud‎	\N	\N	\N	\N	\N	\N	t	f
4027	880	Comté de Chiayi	fr	0	2013-06-05 07:06:09.225774+02	1	Comté de Chiayi	\N	\N	\N	\N	\N	\N	t	f
4369	1817	Îles Canaries	fr	0	2013-06-05 07:21:16.408581+02	1	Îles Canaries	\N	\N	\N	\N	\N	\N	t	f
4031	3112	Provinz Benguela	de	0	2013-06-05 07:06:19.424689+02	1	Provinz Benguela	\N	\N	\N	\N	\N	\N	t	f
4859	1100	Caazapá	nl	0	2013-06-05 07:42:37.633382+02	1	Caazapá	\N	\N	\N	\N	\N	\N	t	f
4913	2857	Balkhin maakunta	fi	0	2013-06-05 07:44:49.041033+02	1	Balkhin maakunta	\N	\N	\N	\N	\N	\N	t	f
5390	4372	Département Calvados	de	0	2013-06-05 08:05:33.880812+02	1	Département Calvados	\N	\N	\N	\N	\N	\N	t	f
4940	1558	Chalatenango	nl	0	2013-06-05 07:45:54.353521+02	1	Chalatenango	\N	\N	\N	\N	\N	\N	t	f
5399	4372	Calvados	no	0	2013-06-05 08:05:55.273436+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
6027	4631	South Tyrol	en	0	2013-06-05 08:32:47.227428+02	1	South Tyrol	\N	\N	\N	\N	\N	\N	t	f
5452	1810	Andalucía	no	0	2013-06-05 08:08:04.420635+02	1	Andalucía	\N	\N	\N	\N	\N	\N	t	f
6139	2732	Provincia de Chumphon	es	0	2013-06-05 08:37:30.515973+02	1	Provincia de Chumphon	\N	\N	\N	\N	\N	\N	t	f
6739	3008	Gobernación de Beirut	es	0	2013-06-05 09:03:28.011703+02	1	Gobernación de Beirut	\N	\N	\N	\N	\N	\N	t	f
6146	3307	Red Sea Governorate	en	0	2013-06-05 08:37:47.622293+02	1	Red Sea Governorate	\N	\N	\N	\N	\N	\N	t	f
6772	3829	District de Craigavon	fr	0	2013-06-05 09:04:52.80881+02	1	District de Craigavon	\N	\N	\N	\N	\N	\N	t	f
7512	3793	District d'Antrim	fr	0	2013-06-05 09:37:05.955858+02	1	District d'Antrim	\N	\N	\N	\N	\N	\N	t	f
6790	3881	Camden	fi	0	2013-06-05 09:05:37.380419+02	1	Camden	\N	\N	\N	\N	\N	\N	t	f
7557	2942	Al-Basra	fr	0	2013-06-05 09:39:03.265266+02	1	Al-Basra	\N	\N	\N	\N	\N	\N	t	f
8730	1724	Ağdaş	nl	0	2013-06-05 10:29:51.850041+02	1	Ağdaş	\N	\N	\N	\N	\N	\N	t	f
7591	2202	Famagusta	es	0	2013-06-05 09:40:31.52764+02	1	Famagusta	\N	\N	\N	\N	\N	\N	t	f
7596	2202	Famagusta	no	0	2013-06-05 09:40:43.558983+02	1	Famagusta	\N	\N	\N	\N	\N	\N	t	f
10688	1165	Barbuda	no	0	2013-06-05 11:54:03.829275+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
7635	4637	Καλτανισέττα	el	0	2013-06-05 09:42:19.161958+02	1	Καλτανισέττα	\N	\N	\N	\N	\N	\N	t	f
8732	329	Freie Hansestadt Bremen	de	0	2013-06-05 10:29:57.173656+02	1	Freie Hansestadt Bremen	\N	\N	\N	\N	\N	\N	t	f
7731	4891	Basilan	fr	0	2013-06-05 09:46:22.13492+02	1	Basilan	\N	\N	\N	\N	\N	\N	t	f
8103	4374	Charente'i departemang	et	0	2013-06-05 10:03:03.081941+02	1	Charente'i departemang	\N	\N	\N	\N	\N	\N	t	f
10427	4366	Ardenas	es	0	2013-06-05 11:42:57.443383+02	1	Ardenas	\N	\N	\N	\N	\N	\N	t	f
8111	4825	Distrito de Blantyre	es	0	2013-06-05 10:03:22.565506+02	1	Distrito de Blantyre	\N	\N	\N	\N	\N	\N	t	f
8743	2482	Αζαρία	el	0	2013-06-05 10:30:23.760354+02	1	Αζαρία	\N	\N	\N	\N	\N	\N	t	f
8161	1590	Isola Baker	it	0	2013-06-05 10:05:28.252599+02	1	Isola Baker	\N	\N	\N	\N	\N	\N	t	f
8169	3218	Brazzaville	et	0	2013-06-05 10:05:48.849897+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8746	2482	Adžaaria	et	0	2013-06-05 10:30:30.761371+02	1	Adžaaria	\N	\N	\N	\N	\N	\N	t	f
8782	980	Antofagasta piirkond	et	0	2013-06-05 10:31:57.752586+02	1	Antofagasta piirkond	\N	\N	\N	\N	\N	\N	t	f
10502	2861	Baghlan	no	0	2013-06-05 11:46:11.76491+02	1	Baghlan	\N	\N	\N	\N	\N	\N	t	f
8788	980	Antofagasta	no	0	2013-06-05 10:32:12.304899+02	1	Antofagasta	\N	\N	\N	\N	\N	\N	t	f
8801	2397	Chechenia	es	0	2013-06-05 10:32:47.665975+02	1	Chechenia	\N	\N	\N	\N	\N	\N	t	f
8816	1632	Simbu	es	0	2013-06-05 10:33:24.502797+02	1	Simbu	\N	\N	\N	\N	\N	\N	t	f
10524	2227	Distrito de Criuleni	es	0	2013-06-05 11:47:06.617975+02	1	Distrito de Criuleni	\N	\N	\N	\N	\N	\N	t	f
9684	2902	Provinz Andijon	de	0	2013-06-05 11:10:59.76572+02	1	Provinz Andijon	\N	\N	\N	\N	\N	\N	t	f
9686	2902	Provincia de Andillán	es	0	2013-06-05 11:11:05.55849+02	1	Provincia de Andillán	\N	\N	\N	\N	\N	\N	t	f
10694	1212	コロザル州	ja	0	2013-06-05 11:54:18.470228+02	1	コロザル州	\N	\N	\N	\N	\N	\N	t	f
9888	2955	Governatorato di al-Sulaymaniyya	it	0	2013-06-05 11:19:23.218062+02	1	Governatorato di al-Sulaymaniyya	\N	\N	\N	\N	\N	\N	t	f
10538	3163	Collines	es	0	2013-06-05 11:47:47.367646+02	1	Collines	\N	\N	\N	\N	\N	\N	t	f
10340	1887	カンパニア州	ja	0	2013-06-05 11:39:23.285887+02	1	カンパニア州	\N	\N	\N	\N	\N	\N	t	f
10343	4311	Provinz Almería	de	0	2013-06-05 11:39:30.939904+02	1	Provinz Almería	\N	\N	\N	\N	\N	\N	t	f
10540	3163	Dipartimento delle Colline	it	0	2013-06-05 11:47:52.901616+02	1	Dipartimento delle Colline	\N	\N	\N	\N	\N	\N	t	f
10617	407	Aichi Prefecture	en	0	2013-06-05 11:51:09.800079+02	1	Aichi Prefecture	\N	\N	\N	\N	\N	\N	t	f
11098	3809	Brighton et Hove	fr	0	2013-06-05 12:11:52.41176+02	1	Brighton et Hove	\N	\N	\N	\N	\N	\N	t	f
10621	407	Préfecture d'Aichi	fr	0	2013-06-05 11:51:19.275325+02	1	Préfecture d'Aichi	\N	\N	\N	\N	\N	\N	t	f
10671	1646	Bougainville	de	0	2013-06-05 11:53:22.663228+02	1	Bougainville	\N	\N	\N	\N	\N	\N	t	f
11104	1831	Auvernia	es	0	2013-06-05 12:12:07.291473+02	1	Auvernia	\N	\N	\N	\N	\N	\N	t	f
11589	3038	Ad Dhahirah North Governorate	en	0	2013-06-05 12:33:10.941629+02	1	Ad Dhahirah North Governorate	\N	\N	\N	\N	\N	\N	t	f
11601	327	Bade-Wurtemberg	fr	0	2013-06-05 12:33:44.728994+02	1	Bade-Wurtemberg	\N	\N	\N	\N	\N	\N	t	f
2673	80	Georgië	nl	0	2013-05-27 16:06:37.253344+02	\N	Georgië	\N	\N	\N	\N	\N	\N	t	f
2675	2134	Žetale	de	0	2013-05-27 19:29:50.691336+02	1	Žetale	\N	\N	\N	\N	\N	\N	t	f
2699	4298	Okres Šumperk	nl	0	2013-05-27 19:31:05.128857+02	1	Okres Šumperk	\N	\N	\N	\N	\N	\N	t	f
2676	2134	Municipality of Žetale	en	0	2013-05-27 19:29:55.16726+02	1	Municipality of Žetale	\N	\N	\N	\N	\N	\N	t	f
2677	2134	Žetale	fr	0	2013-05-27 19:29:57.75062+02	1	Žetale	\N	\N	\N	\N	\N	\N	t	f
2715	4245	District de České Budějovice	fr	0	2013-05-27 19:31:54.136763+02	1	District de České Budějovice	\N	\N	\N	\N	\N	\N	t	f
2678	2134	Žetale	it	0	2013-05-27 19:30:00.682937+02	1	Žetale	\N	\N	\N	\N	\N	\N	t	f
2700	965	Żabbar	de	0	2013-05-27 19:31:08.253+02	1	Żabbar	\N	\N	\N	\N	\N	\N	t	f
2679	2134	ジェタレ	ja	0	2013-05-27 19:30:04.112654+02	1	ジェタレ	\N	\N	\N	\N	\N	\N	t	f
2680	2134	Žetale	nl	0	2013-05-27 19:30:07.114907+02	1	Žetale	\N	\N	\N	\N	\N	\N	t	f
2681	1770	Şəmkir	de	0	2013-05-27 19:30:12.644692+02	1	Şəmkir	\N	\N	\N	\N	\N	\N	t	f
2701	965	Żabbar	en	0	2013-05-27 19:31:13.522777+02	1	Żabbar	\N	\N	\N	\N	\N	\N	t	f
2682	1770	Shamkir Rayon	en	0	2013-05-27 19:30:15.259792+02	1	Shamkir Rayon	\N	\N	\N	\N	\N	\N	t	f
2683	1770	Şəmkir	es	0	2013-05-27 19:30:17.833779+02	1	Şəmkir	\N	\N	\N	\N	\N	\N	t	f
2730	4027	Νομός Αυλώνα	el	0	2013-05-27 19:32:35.466803+02	1	Νομός Αυλώνα	\N	\N	\N	\N	\N	\N	t	f
2684	1770	Şəmkirin piirikunta	fi	0	2013-05-27 19:30:20.846763+02	1	Şəmkirin piirikunta	\N	\N	\N	\N	\N	\N	t	f
2702	965	Żabbar	es	0	2013-05-27 19:31:18.277203+02	1	Żabbar	\N	\N	\N	\N	\N	\N	t	f
2685	1770	Şəmkir	fr	0	2013-05-27 19:30:23.464683+02	1	Şəmkir	\N	\N	\N	\N	\N	\N	t	f
2686	1770	Şəmkir	nl	0	2013-05-27 19:30:28.544332+02	1	Şəmkir	\N	\N	\N	\N	\N	\N	t	f
2716	4245	Distretto di České Budějovice	it	0	2013-05-27 19:31:56.344301+02	1	Distretto di České Budějovice	\N	\N	\N	\N	\N	\N	t	f
2687	1770	Şəmkir	no	0	2013-05-27 19:30:31.17095+02	1	Şəmkir	\N	\N	\N	\N	\N	\N	t	f
2703	965	Żabbar	fr	0	2013-05-27 19:31:20.525124+02	1	Żabbar	\N	\N	\N	\N	\N	\N	t	f
2688	3109	Gouvernement Sanaa	de	0	2013-05-27 19:30:33.834164+02	1	Gouvernement Sanaa	\N	\N	\N	\N	\N	\N	t	f
2689	3109	Sana'a Governorate	en	0	2013-05-27 19:30:36.082716+02	1	Sana'a Governorate	\N	\N	\N	\N	\N	\N	t	f
2690	3109	Gobernación de Saná	es	0	2013-05-27 19:30:38.378461+02	1	Gobernación de Saná	\N	\N	\N	\N	\N	\N	t	f
2704	965	Zabbar	it	0	2013-05-27 19:31:22.922785+02	1	Zabbar	\N	\N	\N	\N	\N	\N	t	f
2691	3109	Gouvernorat de Sanaa	fr	0	2013-05-27 19:30:41.616665+02	1	Gouvernorat de Sanaa	\N	\N	\N	\N	\N	\N	t	f
2692	3109	Governatorato di San'a'	it	0	2013-05-27 19:30:43.89515+02	1	Governatorato di San'a'	\N	\N	\N	\N	\N	\N	t	f
2724	2519	Övörhangay	fr	0	2013-05-27 19:32:20.553884+02	1	Övörhangay	\N	\N	\N	\N	\N	\N	t	f
2693	3109	Sanaa	nl	0	2013-05-27 19:30:46.139983+02	1	Sanaa	\N	\N	\N	\N	\N	\N	t	f
2705	965	Żabbar	nl	0	2013-05-27 19:31:25.232079+02	1	Żabbar	\N	\N	\N	\N	\N	\N	t	f
2694	3109	Sanaá	no	0	2013-05-27 19:30:48.81505+02	1	Sanaá	\N	\N	\N	\N	\N	\N	t	f
2695	4298	Okres Šumperk	de	0	2013-05-27 19:30:51.499249+02	1	Okres Šumperk	\N	\N	\N	\N	\N	\N	t	f
2717	4245	Okres České Budějovice	nl	0	2013-05-27 19:31:58.568819+02	1	Okres České Budějovice	\N	\N	\N	\N	\N	\N	t	f
2696	4298	Šumperk District	en	0	2013-05-27 19:30:54.373223+02	1	Šumperk District	\N	\N	\N	\N	\N	\N	t	f
2706	2988	Ajloun Governorate	en	0	2013-05-27 19:31:27.815443+02	1	Ajloun Governorate	\N	\N	\N	\N	\N	\N	t	f
2697	4298	District de Šumperk	fr	0	2013-05-27 19:30:57.078687+02	1	District de Šumperk	\N	\N	\N	\N	\N	\N	t	f
2698	4298	Distretto di Šumperk	it	0	2013-05-27 19:30:59.366171+02	1	Distretto di Šumperk	\N	\N	\N	\N	\N	\N	t	f
2707	2988	Gobernación de Ajlun	es	0	2013-05-27 19:31:30.053405+02	1	Gobernación de Ajlun	\N	\N	\N	\N	\N	\N	t	f
2708	2988	Ajlun	fi	0	2013-05-27 19:31:32.248408+02	1	Ajlun	\N	\N	\N	\N	\N	\N	t	f
2718	4245	České Budějovice	no	0	2013-05-27 19:32:00.826392+02	1	České Budějovice	\N	\N	\N	\N	\N	\N	t	f
2709	2988	Subdivision d'Ajlun	fr	0	2013-05-27 19:31:34.537149+02	1	Subdivision d'Ajlun	\N	\N	\N	\N	\N	\N	t	f
2710	2988	Governatorato di Ajlun	it	0	2013-05-27 19:31:36.780793+02	1	Governatorato di Ajlun	\N	\N	\N	\N	\N	\N	t	f
2711	2988	アジュルン県	ja	0	2013-05-27 19:31:39.010209+02	1	アジュルン県	\N	\N	\N	\N	\N	\N	t	f
2719	2519	Öwörchangai-Aimag	de	0	2013-05-27 19:32:06.963062+02	1	Öwörchangai-Aimag	\N	\N	\N	\N	\N	\N	t	f
2712	2988	Ajlun	nl	0	2013-05-27 19:31:41.21232+02	1	Ajlun	\N	\N	\N	\N	\N	\N	t	f
2713	4245	Okres České Budějovice	de	0	2013-05-27 19:31:45.875735+02	1	Okres České Budějovice	\N	\N	\N	\N	\N	\N	t	f
2725	2519	Provincia del Ôvôrhangaj	it	0	2013-05-27 19:32:22.794355+02	1	Provincia del Ôvôrhangaj	\N	\N	\N	\N	\N	\N	t	f
2714	4245	České Budějovice District	en	0	2013-05-27 19:31:51.825785+02	1	České Budějovice District	\N	\N	\N	\N	\N	\N	t	f
2720	2519	Övörkhangai Province	en	0	2013-05-27 19:32:11.541211+02	1	Övörkhangai Province	\N	\N	\N	\N	\N	\N	t	f
2721	2519	Övörhangay	es	0	2013-05-27 19:32:13.769038+02	1	Övörhangay	\N	\N	\N	\N	\N	\N	t	f
2734	4027	Préfecture de Vlorë	fr	0	2013-05-27 19:32:45.299035+02	1	Préfecture de Vlorë	\N	\N	\N	\N	\N	\N	t	f
2722	2519	Övörhangaj aimakk	et	0	2013-05-27 19:32:16.019818+02	1	Övörhangaj aimakk	\N	\N	\N	\N	\N	\N	t	f
2726	2519	ウブルハンガイ県	ja	0	2013-05-27 19:32:25.009978+02	1	ウブルハンガイ県	\N	\N	\N	\N	\N	\N	t	f
2723	2519	Övörhangai	fi	0	2013-05-27 19:32:18.312372+02	1	Övörhangai	\N	\N	\N	\N	\N	\N	t	f
2731	4027	Vlorë County	en	0	2013-05-27 19:32:37.686647+02	1	Vlorë County	\N	\N	\N	\N	\N	\N	t	f
2727	2519	Övörhangaj	nl	0	2013-05-27 19:32:27.987708+02	1	Övörhangaj	\N	\N	\N	\N	\N	\N	t	f
2728	2519	Övörkhangaj	no	0	2013-05-27 19:32:30.506356+02	1	Övörkhangaj	\N	\N	\N	\N	\N	\N	t	f
2729	4027	Qark Vlora	de	0	2013-05-27 19:32:33.161474+02	1	Qark Vlora	\N	\N	\N	\N	\N	\N	t	f
2732	4027	Condado de Vlorë	es	0	2013-05-27 19:32:40.793288+02	1	Condado de Vlorë	\N	\N	\N	\N	\N	\N	t	f
2733	4027	Vlorë maakond	et	0	2013-05-27 19:32:43.096888+02	1	Vlorë maakond	\N	\N	\N	\N	\N	\N	t	f
2736	4027	ヴロラ州	ja	0	2013-05-27 19:32:50.273096+02	1	ヴロラ州	\N	\N	\N	\N	\N	\N	t	f
2735	4027	prefettura di Valona	it	0	2013-05-27 19:32:47.732338+02	1	prefettura di Valona	\N	\N	\N	\N	\N	\N	t	f
2737	4027	Vlorë	nl	0	2013-05-27 19:32:53.693472+02	1	Vlorë	\N	\N	\N	\N	\N	\N	t	f
2738	4027	Vlorë	no	0	2013-05-27 19:32:56.503151+02	1	Vlorë	\N	\N	\N	\N	\N	\N	t	f
2739	3075	Provinz Asir	de	0	2013-05-27 19:32:59.157123+02	1	Provinz Asir	\N	\N	\N	\N	\N	\N	t	f
2740	3075	'Asir Province	en	0	2013-05-27 19:33:01.445603+02	1	'Asir Province	\N	\N	\N	\N	\N	\N	t	f
2741	3075	Provincia de Asir	es	0	2013-05-27 19:33:03.674296+02	1	Provincia de Asir	\N	\N	\N	\N	\N	\N	t	f
2742	3075	‘Asīr	et	0	2013-05-27 19:33:05.902311+02	1	‘Asīr	\N	\N	\N	\N	\N	\N	t	f
2743	3075	Asir	fi	0	2013-05-27 19:33:08.637513+02	1	Asir	\N	\N	\N	\N	\N	\N	t	f
2744	3075	Asir (province)	fr	0	2013-05-27 19:33:12.168502+02	1	Asir (province)	\N	\N	\N	\N	\N	\N	t	f
2745	3075	'Asir	it	0	2013-05-27 19:33:14.513224+02	1	'Asir	\N	\N	\N	\N	\N	\N	t	f
2746	3075	アスィール州	ja	0	2013-05-27 19:33:16.752751+02	1	アスィール州	\N	\N	\N	\N	\N	\N	t	f
2747	3075	Asir	nl	0	2013-05-27 19:33:19.327616+02	1	Asir	\N	\N	\N	\N	\N	\N	t	f
2748	3075	Asir	no	0	2013-05-27 19:33:21.618387+02	1	Asir	\N	\N	\N	\N	\N	\N	t	f
2749	3021	Uva	de	0	2013-05-27 19:33:27.534901+02	1	Uva	\N	\N	\N	\N	\N	\N	t	f
2750	3021	Uva Province	en	0	2013-05-27 19:33:29.766848+02	1	Uva Province	\N	\N	\N	\N	\N	\N	t	f
3452	2252	Distretto di Ştefan Vodă	it	0	2013-05-27 20:02:56.999347+02	1	Distretto di Ştefan Vodă	\N	\N	\N	\N	\N	\N	t	f
3464	4281	District d'Ústí nad Orlicí	fr	0	2013-05-27 20:03:25.050057+02	1	District d'Ústí nad Orlicí	\N	\N	\N	\N	\N	\N	t	f
3913	1547	Chiriquí	fi	0	2013-06-05 07:00:46.562292+02	1	Chiriquí	\N	\N	\N	\N	\N	\N	t	f
3468	2247	Rajon Șoldănești	de	0	2013-05-27 20:03:35.420193+02	1	Rajon Șoldănești	\N	\N	\N	\N	\N	\N	t	f
4347	1893	Balzers	de	0	2013-06-05 07:20:18.683179+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
3919	1559	Διαμέρισμα Κουσκατλάν	el	0	2013-06-05 07:01:04.344302+02	1	Διαμέρισμα Κουσκατλάν	\N	\N	\N	\N	\N	\N	t	f
4879	396	Chiba	no	0	2013-06-05 07:43:26.357001+02	1	Chiba	\N	\N	\N	\N	\N	\N	t	f
3947	3493	Cargados Carajos	no	0	2013-06-05 07:02:44.097027+02	1	Cargados Carajos	\N	\N	\N	\N	\N	\N	t	f
3961	3436	Al Marj	fr	0	2013-06-05 07:03:23.446763+02	1	Al Marj	\N	\N	\N	\N	\N	\N	t	f
5395	4372	Calvados	fr	0	2013-06-05 08:05:45.64108+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
4043	3079	Gobernación de Hasaka	es	0	2013-06-05 07:06:48.688893+02	1	Gobernación de Hasaka	\N	\N	\N	\N	\N	\N	t	f
4882	3416	Distrito de Butha-Buthe	es	0	2013-06-05 07:43:33.78242+02	1	Distrito de Butha-Buthe	\N	\N	\N	\N	\N	\N	t	f
4905	1307	Municipalidad de Carnikava	es	0	2013-06-05 07:44:29.777671+02	1	Municipalidad de Carnikava	\N	\N	\N	\N	\N	\N	t	f
4906	1307	Carnikava piirkond	et	0	2013-06-05 07:44:32.147299+02	1	Carnikava piirkond	\N	\N	\N	\N	\N	\N	t	f
5403	1308	Cesvaine municipality	en	0	2013-06-05 08:06:05.346188+02	1	Cesvaine municipality	\N	\N	\N	\N	\N	\N	t	f
4930	1185	Isla de Crooked	es	0	2013-06-05 07:45:30.25452+02	1	Isla de Crooked	\N	\N	\N	\N	\N	\N	t	f
4935	1558	Διαμέρισμα Τσαλατενάνγκο	el	0	2013-06-05 07:45:42.480114+02	1	Διαμέρισμα Τσαλατενάνγκο	\N	\N	\N	\N	\N	\N	t	f
6029	4631	Bolzano provints	et	0	2013-06-05 08:32:51.926167+02	1	Bolzano provints	\N	\N	\N	\N	\N	\N	t	f
5453	3880	London Borough of Bromley	de	0	2013-06-05 08:08:07.171343+02	1	London Borough of Bromley	\N	\N	\N	\N	\N	\N	t	f
5462	3880	Bromley	no	0	2013-06-05 08:08:28.99932+02	1	Bromley	\N	\N	\N	\N	\N	\N	t	f
6073	512	Antalya	nl	0	2013-06-05 08:34:39.518657+02	1	Antalya	\N	\N	\N	\N	\N	\N	t	f
6742	3008	ベイルート県	ja	0	2013-06-05 09:03:35.304659+02	1	ベイルート県	\N	\N	\N	\N	\N	\N	t	f
6086	1496	Baja California	en	0	2013-06-05 08:35:13.124601+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6804	1833	Burgund	de	0	2013-06-05 09:06:12.101307+02	1	Burgund	\N	\N	\N	\N	\N	\N	t	f
7513	3793	Distretto di Antrim	it	0	2013-06-05 09:37:08.365088+02	1	Distretto di Antrim	\N	\N	\N	\N	\N	\N	t	f
6817	516	Bilecik Province	en	0	2013-06-05 09:06:44.480034+02	1	Bilecik Province	\N	\N	\N	\N	\N	\N	t	f
6844	3463	Επαρχία Αντσιρανάνα	el	0	2013-06-05 09:07:50.18309+02	1	Επαρχία Αντσιρανάνα	\N	\N	\N	\N	\N	\N	t	f
6860	1136	Apure	nl	0	2013-06-05 09:08:28.58861+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
7587	1950	Municipality of Bovec	en	0	2013-06-05 09:40:21.798036+02	1	Municipality of Bovec	\N	\N	\N	\N	\N	\N	t	f
6866	2930	南部県	ja	0	2013-06-05 09:08:43.198696+02	1	南部県	\N	\N	\N	\N	\N	\N	t	f
6877	2507	Westkasachstan	de	0	2013-06-05 09:09:10.34229+02	1	Westkasachstan	\N	\N	\N	\N	\N	\N	t	f
6885	2507	Oblast Batıs Qazaqstan	nl	0	2013-06-05 09:09:29.360316+02	1	Oblast Batıs Qazaqstan	\N	\N	\N	\N	\N	\N	t	f
7621	3086	Ar-Raqqah	nl	0	2013-06-05 09:41:44.673017+02	1	Ar-Raqqah	\N	\N	\N	\N	\N	\N	t	f
6886	2769	Belait District	en	0	2013-06-05 09:09:32.074008+02	1	Belait District	\N	\N	\N	\N	\N	\N	t	f
6943	3813	Cardiff	en	0	2013-06-05 09:12:25.504374+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
8334	3161	Atlantique	fr	0	2013-06-05 10:12:40.872974+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
7677	1617	Anetan	no	0	2013-06-05 09:44:02.99618+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
8771	4641	コゼンツァ県	ja	0	2013-06-05 10:31:31.063218+02	1	コゼンツァ県	\N	\N	\N	\N	\N	\N	t	f
7692	3626	Νήσος Αναλήψεως	el	0	2013-06-05 09:44:40.387675+02	1	Νήσος Αναλήψεως	\N	\N	\N	\N	\N	\N	t	f
7737	377	Επικράτεια Αυστραλιανής Πρωτεύουσας	el	0	2013-06-05 09:46:37.862664+02	1	Επικράτεια Αυστραλιανής Πρωτεύουσας	\N	\N	\N	\N	\N	\N	t	f
8959	3159	アタコラ県	ja	0	2013-06-05 10:39:23.855312+02	1	アタコラ県	\N	\N	\N	\N	\N	\N	t	f
7739	377	Territorio de la Capital Australiana	es	0	2013-06-05 09:46:42.565501+02	1	Territorio de la Capital Australiana	\N	\N	\N	\N	\N	\N	t	f
8775	2263	Municipalidad de Brvenica	es	0	2013-06-05 10:31:40.960357+02	1	Municipalidad de Brvenica	\N	\N	\N	\N	\N	\N	t	f
8106	4374	Charente	it	0	2013-06-05 10:03:10.15049+02	1	Charente	\N	\N	\N	\N	\N	\N	t	f
8120	4898	provincia di Bulacan	it	0	2013-06-05 10:03:44.233867+02	1	provincia di Bulacan	\N	\N	\N	\N	\N	\N	t	f
8199	1699	Atua	fr	0	2013-06-05 10:07:02.801952+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
8787	980	Antofagasta	nl	0	2013-06-05 10:32:09.925403+02	1	Antofagasta	\N	\N	\N	\N	\N	\N	t	f
8317	2581	Province de Bình Định	fr	0	2013-06-05 10:11:59.293388+02	1	Province de Bình Định	\N	\N	\N	\N	\N	\N	t	f
8798	2397	Tschetschenien	de	0	2013-06-05 10:32:40.655549+02	1	Tschetschenien	\N	\N	\N	\N	\N	\N	t	f
8960	3159	Atacora	nl	0	2013-06-05 10:39:26.233406+02	1	Atacora	\N	\N	\N	\N	\N	\N	t	f
8921	4753	Agadir	no	0	2013-06-05 10:37:52.828602+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
8934	3827	District de Cookstown	fr	0	2013-06-05 10:38:24.183308+02	1	District de Cookstown	\N	\N	\N	\N	\N	\N	t	f
10390	4380	Creuse	it	0	2013-06-05 11:41:26.084998+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
8958	3159	Dipartimento di Atakora	it	0	2013-06-05 10:39:21.493005+02	1	Dipartimento di Atakora	\N	\N	\N	\N	\N	\N	t	f
9710	2674	Changwat Chonburi	nl	0	2013-06-05 11:12:07.411657+02	1	Changwat Chonburi	\N	\N	\N	\N	\N	\N	t	f
8967	3332	Governatorato di Wadi al-Jadid	it	0	2013-06-05 10:39:43.47998+02	1	Governatorato di Wadi al-Jadid	\N	\N	\N	\N	\N	\N	t	f
8981	2996	カラク県	ja	0	2013-06-05 10:40:17.051425+02	1	カラク県	\N	\N	\N	\N	\N	\N	t	f
9821	3250	Regione di Arta	it	0	2013-06-05 11:16:36.24924+02	1	Regione di Arta	\N	\N	\N	\N	\N	\N	t	f
9696	4624	Biella	es	0	2013-06-05 11:11:32.660306+02	1	Biella	\N	\N	\N	\N	\N	\N	t	f
9731	4313	バルセロナ県	ja	0	2013-06-05 11:12:58.158962+02	1	バルセロナ県	\N	\N	\N	\N	\N	\N	t	f
9748	2903	Buxoro vilajett	et	0	2013-06-05 11:13:39.412976+02	1	Buxoro vilajett	\N	\N	\N	\N	\N	\N	t	f
10341	1887	Campania	nl	0	2013-06-05 11:39:25.735166+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
10441	3391	Pwani	nl	0	2013-06-05 11:43:31.354287+02	1	Pwani	\N	\N	\N	\N	\N	\N	t	f
10424	3306	Asyut	no	0	2013-06-05 11:42:49.630764+02	1	Asyut	\N	\N	\N	\N	\N	\N	t	f
10462	2779	Visayas centrales	fr	0	2013-06-05 11:44:26.600506+02	1	Visayas centrales	\N	\N	\N	\N	\N	\N	t	f
10500	2861	バグラーン州	ja	0	2013-06-05 11:46:06.958291+02	1	バグラーン州	\N	\N	\N	\N	\N	\N	t	f
10513	1885	Abruzzo	no	0	2013-06-05 11:46:39.723418+02	1	Abruzzo	\N	\N	\N	\N	\N	\N	t	f
10574	5016	Arua District	en	0	2013-06-05 11:49:20.181935+02	1	Arua District	\N	\N	\N	\N	\N	\N	t	f
10616	407	Präfektur Aichi	de	0	2013-06-05 11:51:07.439897+02	1	Präfektur Aichi	\N	\N	\N	\N	\N	\N	t	f
10626	3549	Bayelsa	de	0	2013-06-05 11:51:31.725257+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
11099	3809	Brighton &amp; Hove	it	0	2013-06-05 12:11:54.810652+02	1	Brighton &amp; Hove	\N	\N	\N	\N	\N	\N	t	f
10649	3323	Gouvernement al-Minya	de	0	2013-06-05 11:52:27.921728+02	1	Gouvernement al-Minya	\N	\N	\N	\N	\N	\N	t	f
2751	3021	Provincia de Uva	es	0	2013-05-27 19:33:32.029251+02	1	Provincia de Uva	\N	\N	\N	\N	\N	\N	t	f
2752	3021	Province d'Uva	fr	0	2013-05-27 19:33:34.28429+02	1	Province d'Uva	\N	\N	\N	\N	\N	\N	t	f
2753	3021	Uva	it	0	2013-05-27 19:33:36.521189+02	1	Uva	\N	\N	\N	\N	\N	\N	t	f
3453	2252	Ștefan Vodă	nl	0	2013-05-27 20:02:59.286207+02	1	Ștefan Vodă	\N	\N	\N	\N	\N	\N	t	f
2766	3341	Amhara	fr	0	2013-05-27 19:34:12.125913+02	1	Amhara	\N	\N	\N	\N	\N	\N	t	f
2769	3341	Amhara	nl	0	2013-05-27 19:34:18.948147+02	1	Amhara	\N	\N	\N	\N	\N	\N	t	f
3478	2958	Azerbaiyán Oriental	es	0	2013-05-27 20:03:58.61477+02	1	Azerbaiyán Oriental	\N	\N	\N	\N	\N	\N	t	f
3914	1547	Chiriquí	fr	0	2013-06-05 07:00:48.947216+02	1	Chiriquí	\N	\N	\N	\N	\N	\N	t	f
3920	1559	Cuscatlán Department	en	0	2013-06-05 07:01:06.724605+02	1	Cuscatlán Department	\N	\N	\N	\N	\N	\N	t	f
4354	1893	Balzers	nl	0	2013-06-05 07:20:38.672965+02	1	Balzers	\N	\N	\N	\N	\N	\N	t	f
3934	1502	État de Colima	fr	0	2013-06-05 07:01:52.862616+02	1	État de Colima	\N	\N	\N	\N	\N	\N	t	f
3935	1502	Colima	it	0	2013-06-05 07:01:59.03694+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
4006	4387	Córcega del Sur	es	0	2013-06-05 07:05:17.771418+02	1	Córcega del Sur	\N	\N	\N	\N	\N	\N	t	f
4376	4588	Condado de Cavan	es	0	2013-06-05 07:21:34.148778+02	1	Condado de Cavan	\N	\N	\N	\N	\N	\N	t	f
4894	510	Amasya	de	0	2013-06-05 07:44:02.996228+02	1	Amasya	\N	\N	\N	\N	\N	\N	t	f
4916	2857	バルフ州	ja	0	2013-06-05 07:44:56.237566+02	1	バルフ州	\N	\N	\N	\N	\N	\N	t	f
5396	4372	Calvados	it	0	2013-06-05 08:05:47.977381+02	1	Calvados	\N	\N	\N	\N	\N	\N	t	f
4948	520	Burdur	nl	0	2013-06-05 07:46:13.897546+02	1	Burdur	\N	\N	\N	\N	\N	\N	t	f
5419	4320	Provincia de Córdoba	es	0	2013-06-05 08:06:44.488496+02	1	Provincia de Córdoba	\N	\N	\N	\N	\N	\N	t	f
6033	4631	ボルツァーノ自治県	ja	0	2013-06-05 08:33:01.538395+02	1	ボルツァーノ自治県	\N	\N	\N	\N	\N	\N	t	f
5425	4320	Córdoba	nl	0	2013-06-05 08:06:58.897166+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
5431	3811	Caerphilly	fi	0	2013-06-05 08:07:13.79205+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
5547	3313	Al Fayyum	no	0	2013-06-05 08:11:59.9129+02	1	Al Fayyum	\N	\N	\N	\N	\N	\N	t	f
6050	659	Chandigarh	fr	0	2013-06-05 08:33:43.582112+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6745	3375	Boké Region	en	0	2013-06-05 09:03:45.379514+02	1	Boké Region	\N	\N	\N	\N	\N	\N	t	f
6063	972	Chuquisaca	no	0	2013-06-05 08:34:14.997709+02	1	Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
6064	512	Antalya	de	0	2013-06-05 08:34:17.985377+02	1	Antalya	\N	\N	\N	\N	\N	\N	t	f
6106	3073	Provinz Baha	de	0	2013-06-05 08:36:05.107364+02	1	Provinz Baha	\N	\N	\N	\N	\N	\N	t	f
6782	4309	provincia di Alicante	it	0	2013-06-05 09:05:17.787604+02	1	provincia di Alicante	\N	\N	\N	\N	\N	\N	t	f
6122	3804	Blackpool	fi	0	2013-06-05 08:36:47.781425+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6144	2732	Chumphon	no	0	2013-06-05 08:37:42.488573+02	1	Chumphon	\N	\N	\N	\N	\N	\N	t	f
7515	3793	Antrim (distrikt)	no	0	2013-06-05 09:37:15.962907+02	1	Antrim (distrikt)	\N	\N	\N	\N	\N	\N	t	f
6173	1183	Central Eleuthera	no	0	2013-06-05 08:39:00.104787+02	1	Central Eleuthera	\N	\N	\N	\N	\N	\N	t	f
6824	516	Bilecik	no	0	2013-06-05 09:07:01.169317+02	1	Bilecik	\N	\N	\N	\N	\N	\N	t	f
6174	3234	Agnéby	de	0	2013-06-05 08:39:02.814089+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
6177	3234	Agnéby	fi	0	2013-06-05 08:39:10.22106+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
6211	4378	Côte-d'Or	es	0	2013-06-05 08:40:39.286559+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
6956	4902	Provincia di Capiz	it	0	2013-06-05 09:13:11.604411+02	1	Provincia di Capiz	\N	\N	\N	\N	\N	\N	t	f
6214	4378	Côte-d'Or‎	fr	0	2013-06-05 08:40:46.409107+02	1	Côte-d'Or‎	\N	\N	\N	\N	\N	\N	t	f
7519	1005	Chocó departemang	et	0	2013-06-05 09:37:26.099567+02	1	Chocó departemang	\N	\N	\N	\N	\N	\N	t	f
8250	4029	Bulqizë	nl	0	2013-06-05 10:09:07.378478+02	1	Bulqizë	\N	\N	\N	\N	\N	\N	t	f
7569	580	Provincia de Ardahan	es	0	2013-06-05 09:39:32.906238+02	1	Provincia de Ardahan	\N	\N	\N	\N	\N	\N	t	f
7724	3914	Cité de Bradford	fr	0	2013-06-05 09:46:03.654173+02	1	Cité de Bradford	\N	\N	\N	\N	\N	\N	t	f
9699	4624	Province de Biella	fr	0	2013-06-05 11:11:39.794932+02	1	Province de Biella	\N	\N	\N	\N	\N	\N	t	f
7734	4891	Basilan	nl	0	2013-06-05 09:46:29.496466+02	1	Basilan	\N	\N	\N	\N	\N	\N	t	f
8281	511	Ankara	nl	0	2013-06-05 10:10:31.550793+02	1	Ankara	\N	\N	\N	\N	\N	\N	t	f
7749	3171	Central District	en	0	2013-06-05 09:47:10.859235+02	1	Central District	\N	\N	\N	\N	\N	\N	t	f
8112	4825	District de Blantyre	fr	0	2013-06-05 10:03:24.930076+02	1	District de Blantyre	\N	\N	\N	\N	\N	\N	t	f
8777	2263	Brvenica	it	0	2013-06-05 10:31:45.664223+02	1	Brvenica	\N	\N	\N	\N	\N	\N	t	f
8124	1302	Balvi municipality	en	0	2013-06-05 10:03:54.117657+02	1	Balvi municipality	\N	\N	\N	\N	\N	\N	t	f
8284	4625	Μπελούνο	el	0	2013-06-05 10:10:39.140629+02	1	Μπελούνο	\N	\N	\N	\N	\N	\N	t	f
8141	3333	Regione dell'Anseba	it	0	2013-06-05 10:04:35.35121+02	1	Regione dell'Anseba	\N	\N	\N	\N	\N	\N	t	f
8166	3218	Μπραζαβίλ	el	0	2013-06-05 10:05:41.634512+02	1	Μπραζαβίλ	\N	\N	\N	\N	\N	\N	t	f
8217	1601	Central Division (Fidschi)	de	0	2013-06-05 10:07:47.052592+02	1	Central Division (Fidschi)	\N	\N	\N	\N	\N	\N	t	f
8294	723	Komitat Csongrád	de	0	2013-06-05 10:11:03.466564+02	1	Komitat Csongrád	\N	\N	\N	\N	\N	\N	t	f
8305	2849	Baluchistán	es	0	2013-06-05 10:11:30.400208+02	1	Baluchistán	\N	\N	\N	\N	\N	\N	t	f
8818	1632	Provincia di Chimbu	it	0	2013-06-05 10:33:29.179417+02	1	Provincia di Chimbu	\N	\N	\N	\N	\N	\N	t	f
8315	2581	Bình Định	es	0	2013-06-05 10:11:54.587448+02	1	Bình Định	\N	\N	\N	\N	\N	\N	t	f
8336	3161	アトランティック県	ja	0	2013-06-05 10:12:45.600939+02	1	アトランティック県	\N	\N	\N	\N	\N	\N	t	f
8866	2228	Căușeni District	en	0	2013-06-05 10:35:28.867112+02	1	Căușeni District	\N	\N	\N	\N	\N	\N	t	f
9725	4313	Province of Barcelona	en	0	2013-06-05 11:12:43.839763+02	1	Province of Barcelona	\N	\N	\N	\N	\N	\N	t	f
8871	1106	Commewijne	de	0	2013-06-05 10:35:41.001568+02	1	Commewijne	\N	\N	\N	\N	\N	\N	t	f
8978	2996	Al Karak	fi	0	2013-06-05 10:40:09.963802+02	1	Al Karak	\N	\N	\N	\N	\N	\N	t	f
9785	1482	Parrocchia di Christ Church Nichola Town	it	0	2013-06-05 11:15:08.935066+02	1	Parrocchia di Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
9750	2903	Province de Boukhara	fr	0	2013-06-05 11:13:44.185911+02	1	Province de Boukhara	\N	\N	\N	\N	\N	\N	t	f
9806	1544	Bocas del Toro	no	0	2013-06-05 11:16:00.021309+02	1	Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
9850	1818	カタルーニャ州	ja	0	2013-06-05 11:17:46.557662+02	1	カタルーニャ州	\N	\N	\N	\N	\N	\N	t	f
9863	3324	Menufia	es	0	2013-06-05 11:18:19.509919+02	1	Menufia	\N	\N	\N	\N	\N	\N	t	f
10342	1887	Campania	no	0	2013-06-05 11:39:28.107438+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
10374	2526	ボルガン県	ja	0	2013-06-05 11:40:47.101601+02	1	ボルガン県	\N	\N	\N	\N	\N	\N	t	f
10387	4380	Creuse'i departemang	et	0	2013-06-05 11:41:18.913144+02	1	Creuse'i departemang	\N	\N	\N	\N	\N	\N	t	f
10404	3547	Benue	es	0	2013-06-05 11:42:00.528784+02	1	Benue	\N	\N	\N	\N	\N	\N	t	f
10463	2779	Visayas Centrale	it	0	2013-06-05 11:44:29.012412+02	1	Visayas Centrale	\N	\N	\N	\N	\N	\N	t	f
10471	4621	Avellino provints	et	0	2013-06-05 11:44:50.130021+02	1	Avellino provints	\N	\N	\N	\N	\N	\N	t	f
2754	3021	ウバ州	ja	0	2013-05-27 19:33:38.763792+02	1	ウバ州	\N	\N	\N	\N	\N	\N	t	f
2765	3341	Amhara	fi	0	2013-05-27 19:34:09.910156+02	1	Amhara	\N	\N	\N	\N	\N	\N	t	f
3454	2067	Škofljica	de	0	2013-05-27 20:03:01.896936+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
3915	1547	Provincia di Chiriquí	it	0	2013-06-05 07:00:51.287876+02	1	Provincia di Chiriquí	\N	\N	\N	\N	\N	\N	t	f
3930	1502	Colima	en	0	2013-06-05 07:01:38.389692+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
4375	4588	County Cavan	en	0	2013-06-05 07:21:31.714513+02	1	County Cavan	\N	\N	\N	\N	\N	\N	t	f
3937	1502	Colima	nl	0	2013-06-05 07:02:11.204587+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
3938	1502	Colima	no	0	2013-06-05 07:02:16.030935+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
4934	1558	Departamento Chalatenango	de	0	2013-06-05 07:45:40.062148+02	1	Departamento Chalatenango	\N	\N	\N	\N	\N	\N	t	f
3977	3824	Clackmannanshire	et	0	2013-06-05 07:04:04.989467+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4010	4387	Corsica del Sud	it	0	2013-06-05 07:05:27.313467+02	1	Corsica del Sud	\N	\N	\N	\N	\N	\N	t	f
4944	520	Provincia de Burdur	es	0	2013-06-05 07:46:04.405929+02	1	Provincia de Burdur	\N	\N	\N	\N	\N	\N	t	f
5405	1308	Cesvaine piirkond	et	0	2013-06-05 08:06:10.091945+02	1	Cesvaine piirkond	\N	\N	\N	\N	\N	\N	t	f
5428	3811	Caerphilly County Borough	en	0	2013-06-05 08:07:06.33563+02	1	Caerphilly County Borough	\N	\N	\N	\N	\N	\N	t	f
6037	4152	Bam Province	en	0	2013-06-05 08:33:11.757434+02	1	Bam Province	\N	\N	\N	\N	\N	\N	t	f
5429	3811	Caerphilly County Borough	es	0	2013-06-05 08:07:08.707165+02	1	Caerphilly County Borough	\N	\N	\N	\N	\N	\N	t	f
5446	1810	Andaluusia	et	0	2013-06-05 08:07:50.026777+02	1	Andaluusia	\N	\N	\N	\N	\N	\N	t	f
5458	3880	Bromley	fr	0	2013-06-05 08:08:19.24457+02	1	Bromley	\N	\N	\N	\N	\N	\N	t	f
6137	2732	Chumphon	de	0	2013-06-05 08:37:25.794836+02	1	Chumphon	\N	\N	\N	\N	\N	\N	t	f
5534	521	Bursan maakunta	fi	0	2013-06-05 08:11:27.802119+02	1	Bursan maakunta	\N	\N	\N	\N	\N	\N	t	f
6748	3375	Regione di Boké	it	0	2013-06-05 09:03:52.47299+02	1	Regione di Boké	\N	\N	\N	\N	\N	\N	t	f
5540	3313	Gouvernement al-Fayyum	de	0	2013-06-05 08:11:43.34927+02	1	Gouvernement al-Fayyum	\N	\N	\N	\N	\N	\N	t	f
6768	4628	Brindisi	nl	0	2013-06-05 09:04:43.004822+02	1	Brindisi	\N	\N	\N	\N	\N	\N	t	f
7516	1005	Departamento del Chocó	de	0	2013-06-05 09:37:18.778215+02	1	Departamento del Chocó	\N	\N	\N	\N	\N	\N	t	f
6789	3881	Camden	et	0	2013-06-05 09:05:34.857158+02	1	Camden	\N	\N	\N	\N	\N	\N	t	f
6792	3881	Borgo londinese di Camden	it	0	2013-06-05 09:05:42.245444+02	1	Borgo londinese di Camden	\N	\N	\N	\N	\N	\N	t	f
10344	4311	Province of Almería	en	0	2013-06-05 11:39:33.275853+02	1	Province of Almería	\N	\N	\N	\N	\N	\N	t	f
6807	1833	Borgoña	es	0	2013-06-05 09:06:19.418109+02	1	Borgoña	\N	\N	\N	\N	\N	\N	t	f
7536	1698	Aiga-i-le-Tai	en	0	2013-06-05 09:38:11.256498+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
6825	3342	Benishangul-Gumuz	de	0	2013-06-05 09:07:04.259524+02	1	Benishangul-Gumuz	\N	\N	\N	\N	\N	\N	t	f
6841	1621	Buada	nl	0	2013-06-05 09:07:42.711707+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
8778	2263	Brvenica	nl	0	2013-06-05 10:31:48.002429+02	1	Brvenica	\N	\N	\N	\N	\N	\N	t	f
6857	1136	État d'Apure	fr	0	2013-06-05 09:08:21.54498+02	1	État d'Apure	\N	\N	\N	\N	\N	\N	t	f
7555	2942	Al-Başrah' kubernerkond	et	0	2013-06-05 09:38:58.559743+02	1	Al-Başrah' kubernerkond	\N	\N	\N	\N	\N	\N	t	f
6858	1136	Apure	it	0	2013-06-05 09:08:23.87966+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
6904	2398	Tšeljabinski oblast	et	0	2013-06-05 09:10:20.086661+02	1	Tšeljabinski oblast	\N	\N	\N	\N	\N	\N	t	f
6918	4629	provincia di Brescia	it	0	2013-06-05 09:10:57.449114+02	1	provincia di Brescia	\N	\N	\N	\N	\N	\N	t	f
7684	3916	Calderdale	de	0	2013-06-05 09:44:20.816083+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
8115	4825	Blantyre	no	0	2013-06-05 10:03:32.078738+02	1	Blantyre	\N	\N	\N	\N	\N	\N	t	f
8783	980	Antofagastan alue	fi	0	2013-06-05 10:32:00.100647+02	1	Antofagastan alue	\N	\N	\N	\N	\N	\N	t	f
8170	3218	Brazzaville	fi	0	2013-06-05 10:05:51.245236+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
10347	4311	Almería	fi	0	2013-06-05 11:39:40.652394+02	1	Almería	\N	\N	\N	\N	\N	\N	t	f
8173	3218	ブラザヴィル	ja	0	2013-06-05 10:05:58.4788+02	1	ブラザヴィル	\N	\N	\N	\N	\N	\N	t	f
8179	2493	Akmola oblast	et	0	2013-06-05 10:06:13.297833+02	1	Akmola oblast	\N	\N	\N	\N	\N	\N	t	f
8846	2602	Bạc Liêu Province	en	0	2013-06-05 10:34:40.630259+02	1	Bạc Liêu Province	\N	\N	\N	\N	\N	\N	t	f
8195	1830	Aquitaine	no	0	2013-06-05 10:06:52.206116+02	1	Aquitaine	\N	\N	\N	\N	\N	\N	t	f
8214	3429	ジャバル・アル・アフダル県	ja	0	2013-06-05 10:07:39.609614+02	1	ジャバル・アル・アフダル県	\N	\N	\N	\N	\N	\N	t	f
10444	904	Birgu	es	0	2013-06-05 11:43:39.080378+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
8296	723	Csongrád	es	0	2013-06-05 10:11:08.209418+02	1	Csongrád	\N	\N	\N	\N	\N	\N	t	f
8850	2602	Provincia di Bac Lieu	it	0	2013-06-05 10:34:50.094589+02	1	Provincia di Bac Lieu	\N	\N	\N	\N	\N	\N	t	f
8299	723	Csongrád	fr	0	2013-06-05 10:11:15.334728+02	1	Csongrád	\N	\N	\N	\N	\N	\N	t	f
8884	5027	Amolatar District	en	0	2013-06-05 10:36:16.426876+02	1	Amolatar District	\N	\N	\N	\N	\N	\N	t	f
8942	3819	Cheshire East	nl	0	2013-06-05 10:38:43.119296+02	1	Cheshire East	\N	\N	\N	\N	\N	\N	t	f
10446	904	Birgu	fr	0	2013-06-05 11:43:47.024394+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
9704	2674	Chonburi	de	0	2013-06-05 11:11:52.20828+02	1	Chonburi	\N	\N	\N	\N	\N	\N	t	f
9931	3430	Municipalità di Gebel Garbi	it	0	2013-06-05 11:21:20.119686+02	1	Municipalità di Gebel Garbi	\N	\N	\N	\N	\N	\N	t	f
10650	3323	Minya Governorate	en	0	2013-06-05 11:52:30.446365+02	1	Minya Governorate	\N	\N	\N	\N	\N	\N	t	f
11102	1831	Auvergne	de	0	2013-06-05 12:12:02.598506+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
10501	2861	Baghlan	nl	0	2013-06-05 11:46:09.366446+02	1	Baghlan	\N	\N	\N	\N	\N	\N	t	f
10509	1885	Abruzzes	fr	0	2013-06-05 11:46:29.979249+02	1	Abruzzes	\N	\N	\N	\N	\N	\N	t	f
10545	1004	Cesar Department	en	0	2013-06-05 11:48:06.059917+02	1	Cesar Department	\N	\N	\N	\N	\N	\N	t	f
11592	3038	Regione di al-Zahira	it	0	2013-06-05 12:33:22.111464+02	1	Regione di al-Zahira	\N	\N	\N	\N	\N	\N	t	f
10557	700	Chacon maakunta	fi	0	2013-06-05 11:48:35.178608+02	1	Chacon maakunta	\N	\N	\N	\N	\N	\N	t	f
2755	3021	Uva	nl	0	2013-05-27 19:33:41.006164+02	1	Uva	\N	\N	\N	\N	\N	\N	t	f
2756	2066	Municipality of Škofja Loka	en	0	2013-05-27 19:33:43.585402+02	1	Municipality of Škofja Loka	\N	\N	\N	\N	\N	\N	t	f
2757	2066	Škofja Loka	nl	0	2013-05-27 19:33:45.795354+02	1	Škofja Loka	\N	\N	\N	\N	\N	\N	t	f
3457	2067	Škofljica	fr	0	2013-05-27 20:03:08.627758+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
2758	2336	Obleševo	en	0	2013-05-27 19:33:48.373759+02	1	Obleševo	\N	\N	\N	\N	\N	\N	t	f
2759	2336	Municipalidad de Češinovo-Obleševo	es	0	2013-05-27 19:33:50.606056+02	1	Municipalidad de Češinovo-Obleševo	\N	\N	\N	\N	\N	\N	t	f
2760	2336	Obléchévo	fr	0	2013-05-27 19:33:56.187264+02	1	Obléchévo	\N	\N	\N	\N	\N	\N	t	f
3463	4281	Ústí nad Orlicí District	en	0	2013-05-27 20:03:22.84897+02	1	Ústí nad Orlicí District	\N	\N	\N	\N	\N	\N	t	f
2763	3341	Amhara Region	en	0	2013-05-27 19:34:03.243895+02	1	Amhara Region	\N	\N	\N	\N	\N	\N	t	f
2792	766	Évora District	en	0	2013-05-27 19:35:25.217144+02	1	Évora District	\N	\N	\N	\N	\N	\N	t	f
3916	1547	チリキ県	ja	0	2013-06-05 07:00:56.779693+02	1	チリキ県	\N	\N	\N	\N	\N	\N	t	f
3467	4281	Ústí nad Orlicí	no	0	2013-05-27 20:03:32.453492+02	1	Ústí nad Orlicí	\N	\N	\N	\N	\N	\N	t	f
3950	4501	Argolis	en	0	2013-06-05 07:02:51.646687+02	1	Argolis	\N	\N	\N	\N	\N	\N	t	f
4393	1034	Chimborazo	fi	0	2013-06-05 07:22:15.960968+02	1	Chimborazo	\N	\N	\N	\N	\N	\N	t	f
4474	3134	Regione del Centro-Ovest	it	0	2013-06-05 07:25:35.964104+02	1	Regione del Centro-Ovest	\N	\N	\N	\N	\N	\N	t	f
4949	520	Burdur	no	0	2013-06-05 07:46:16.277815+02	1	Burdur	\N	\N	\N	\N	\N	\N	t	f
4516	2550	Chagang	it	0	2013-06-05 07:27:25.494913+02	1	Chagang	\N	\N	\N	\N	\N	\N	t	f
4522	3213	Cuvette-Ouest	fr	0	2013-06-05 07:27:40.178841+02	1	Cuvette-Ouest	\N	\N	\N	\N	\N	\N	t	f
5087	1094	Departamento Alto Paraguay	de	0	2013-06-05 07:52:03.26454+02	1	Departamento Alto Paraguay	\N	\N	\N	\N	\N	\N	t	f
5406	1308	Cesvaines novads	nl	0	2013-06-05 08:06:12.438657+02	1	Cesvaines novads	\N	\N	\N	\N	\N	\N	t	f
5413	906	Birżebbuġa	nl	0	2013-06-05 08:06:29.467623+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
6042	4152	バム県	ja	0	2013-06-05 08:33:23.732462+02	1	バム県	\N	\N	\N	\N	\N	\N	t	f
6047	659	Chandigarh	es	0	2013-06-05 08:33:36.251511+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
6750	3375	Boké	nl	0	2013-06-05 09:03:57.188398+02	1	Boké	\N	\N	\N	\N	\N	\N	t	f
6081	519	ボル県	ja	0	2013-06-05 08:35:00.515251+02	1	ボル県	\N	\N	\N	\N	\N	\N	t	f
6194	1440	Département d'Atlántida	fr	0	2013-06-05 08:39:57.460371+02	1	Département d'Atlántida	\N	\N	\N	\N	\N	\N	t	f
6202	268	Connecticut	et	0	2013-06-05 08:40:17.014342+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6770	3829	Craigavon	de	0	2013-06-05 09:04:48.130498+02	1	Craigavon	\N	\N	\N	\N	\N	\N	t	f
7518	1005	Chocó	es	0	2013-06-05 09:37:23.710354+02	1	Chocó	\N	\N	\N	\N	\N	\N	t	f
6775	3829	Craigavon	no	0	2013-06-05 09:04:59.891125+02	1	Craigavon	\N	\N	\N	\N	\N	\N	t	f
6786	3881	London Borough of Camden	de	0	2013-06-05 09:05:27.849503+02	1	London Borough of Camden	\N	\N	\N	\N	\N	\N	t	f
6851	3463	Antsiranana	nl	0	2013-06-05 09:08:06.82061+02	1	Antsiranana	\N	\N	\N	\N	\N	\N	t	f
7548	4894	Provincia di Bohol	it	0	2013-06-05 09:38:40.928372+02	1	Provincia di Bohol	\N	\N	\N	\N	\N	\N	t	f
6896	4151	Balé (province du Burkina Faso)	fr	0	2013-06-05 09:09:57.429701+02	1	Balé (province du Burkina Faso)	\N	\N	\N	\N	\N	\N	t	f
6908	2398	チェリャビンスク州	ja	0	2013-06-05 09:10:29.712559+02	1	チェリャビンスク州	\N	\N	\N	\N	\N	\N	t	f
8841	4368	Aube	it	0	2013-06-05 10:34:28.448157+02	1	Aube	\N	\N	\N	\N	\N	\N	t	f
6937	2804	Région de Bago	fr	0	2013-06-05 09:12:08.102364+02	1	Région de Bago	\N	\N	\N	\N	\N	\N	t	f
7628	2165	Burgasin alue	fi	0	2013-06-05 09:42:01.857308+02	1	Burgasin alue	\N	\N	\N	\N	\N	\N	t	f
6952	4902	Capiz	de	0	2013-06-05 09:12:57.18715+02	1	Capiz	\N	\N	\N	\N	\N	\N	t	f
6954	4902	Cápiz	es	0	2013-06-05 09:13:06.848556+02	1	Cápiz	\N	\N	\N	\N	\N	\N	t	f
7632	2165	Boergas	nl	0	2013-06-05 09:42:11.57833+02	1	Boergas	\N	\N	\N	\N	\N	\N	t	f
10435	3391	Coast	de	0	2013-06-05 11:43:16.922708+02	1	Coast	\N	\N	\N	\N	\N	\N	t	f
7682	3004	アースィマ県	ja	0	2013-06-05 09:44:15.55905+02	1	アースィマ県	\N	\N	\N	\N	\N	\N	t	f
8905	3915	Metropolitan Borough of Bury	de	0	2013-06-05 10:37:14.018979+02	1	Metropolitan Borough of Bury	\N	\N	\N	\N	\N	\N	t	f
7687	3916	Calderdale	fr	0	2013-06-05 09:44:27.88499+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
8119	4898	Bulacan	fr	0	2013-06-05 10:03:41.87412+02	1	Bulacan	\N	\N	\N	\N	\N	\N	t	f
9969	1501	Coahuila	en	0	2013-06-05 11:23:02.777602+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
8147	3818	Ceredigion	es	0	2013-06-05 10:04:53.281474+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8911	3915	Bury	no	0	2013-06-05 10:37:28.844509+02	1	Bury	\N	\N	\N	\N	\N	\N	t	f
8160	1590	Île Baker	fr	0	2013-06-05 10:05:25.54165+02	1	Île Baker	\N	\N	\N	\N	\N	\N	t	f
8185	1830	Aquitanien	de	0	2013-06-05 10:06:28.333652+02	1	Aquitanien	\N	\N	\N	\N	\N	\N	t	f
8193	1830	アキテーヌ地域圏	ja	0	2013-06-05 10:06:47.403018+02	1	アキテーヌ地域圏	\N	\N	\N	\N	\N	\N	t	f
8919	4753	アガディール	ja	0	2013-06-05 10:37:48.070895+02	1	アガディール	\N	\N	\N	\N	\N	\N	t	f
8923	620	Amazonas	en	0	2013-06-05 10:37:57.980725+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
10345	4311	Provincia de Almería	es	0	2013-06-05 11:39:35.796826+02	1	Provincia de Almería	\N	\N	\N	\N	\N	\N	t	f
9706	2674	Provincia de Chon Buri	es	0	2013-06-05 11:11:57.948062+02	1	Provincia de Chon Buri	\N	\N	\N	\N	\N	\N	t	f
9707	2674	Province de Chonburi	fr	0	2013-06-05 11:12:00.300155+02	1	Province de Chonburi	\N	\N	\N	\N	\N	\N	t	f
9780	1482	Christ Church Nichola Town	de	0	2013-06-05 11:14:57.049374+02	1	Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
10346	4311	Almería provints	et	0	2013-06-05 11:39:38.243635+02	1	Almería provints	\N	\N	\N	\N	\N	\N	t	f
10470	4621	Avellino	es	0	2013-06-05 11:44:47.784882+02	1	Avellino	\N	\N	\N	\N	\N	\N	t	f
10351	4311	Almería	nl	0	2013-06-05 11:39:50.189913+02	1	Almería	\N	\N	\N	\N	\N	\N	t	f
10430	4366	Ardennes	fr	0	2013-06-05 11:43:04.552249+02	1	Ardennes	\N	\N	\N	\N	\N	\N	t	f
10651	3323	Menia	es	0	2013-06-05 11:52:32.774591+02	1	Menia	\N	\N	\N	\N	\N	\N	t	f
10507	1885	Abruzzo	et	0	2013-06-05 11:46:24.494565+02	1	Abruzzo	\N	\N	\N	\N	\N	\N	t	f
10580	2943	Babylon Province	en	0	2013-06-05 11:49:35.948541+02	1	Babylon Province	\N	\N	\N	\N	\N	\N	t	f
10668	4146	ブラバン・ワロン州	ja	0	2013-06-05 11:53:15.002564+02	1	ブラバン・ワロン州	\N	\N	\N	\N	\N	\N	t	f
10667	4146	Provincia del Brabante Vallone	it	0	2013-06-05 11:53:12.606182+02	1	Provincia del Brabante Vallone	\N	\N	\N	\N	\N	\N	t	f
10669	4146	Waals-Brabant	nl	0	2013-06-05 11:53:17.402277+02	1	Waals-Brabant	\N	\N	\N	\N	\N	\N	t	f
10678	1165	Barbuda	de	0	2013-06-05 11:53:39.888925+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
11109	1831	オーヴェルニュ地域圏	ja	0	2013-06-05 12:12:21.43137+02	1	オーヴェルニュ地域圏	\N	\N	\N	\N	\N	\N	t	f
11280	4548	Biombo	nl	0	2013-06-05 12:19:37.017081+02	1	Biombo	\N	\N	\N	\N	\N	\N	t	f
11294	3617	Al-Chartum	de	0	2013-06-05 12:20:11.625544+02	1	Al-Chartum	\N	\N	\N	\N	\N	\N	t	f
11338	4635	provincia di Chieti	it	0	2013-06-05 12:21:59.783841+02	1	provincia di Chieti	\N	\N	\N	\N	\N	\N	t	f
11602	327	Baden-Württemberg	it	0	2013-06-05 12:33:47.129256+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
2761	3341	Amhara	de	0	2013-05-27 19:33:58.820762+02	1	Amhara	\N	\N	\N	\N	\N	\N	t	f
2762	3341	Αμχάρα	el	0	2013-05-27 19:34:01.047751+02	1	Αμχάρα	\N	\N	\N	\N	\N	\N	t	f
2764	3341	Región de Amhara	es	0	2013-05-27 19:34:05.477405+02	1	Región de Amhara	\N	\N	\N	\N	\N	\N	t	f
3458	2067	Škofljica	it	0	2013-05-27 20:03:10.870896+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
2767	3341	Regione degli Amara	it	0	2013-05-27 19:34:14.421094+02	1	Regione degli Amara	\N	\N	\N	\N	\N	\N	t	f
2768	3341	アムハラ州	ja	0	2013-05-27 19:34:16.723893+02	1	アムハラ州	\N	\N	\N	\N	\N	\N	t	f
2781	493	Woiwodschaft Łódź	de	0	2013-05-27 19:34:57.770954+02	1	Woiwodschaft Łódź	\N	\N	\N	\N	\N	\N	t	f
3495	1807	Ústí nad Labem region	no	0	2013-05-27 20:04:40.262806+02	1	Ústí nad Labem region	\N	\N	\N	\N	\N	\N	t	f
2788	493	ウッチ県	ja	0	2013-05-27 19:35:14.841101+02	1	ウッチ県	\N	\N	\N	\N	\N	\N	t	f
3921	1559	Cuscatlán	es	0	2013-06-05 07:01:09.09641+02	1	Cuscatlán	\N	\N	\N	\N	\N	\N	t	f
3931	1502	Colima	es	0	2013-06-05 07:01:40.792988+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
4394	1034	Chimborazo	fr	0	2013-06-05 07:22:18.306986+02	1	Chimborazo	\N	\N	\N	\N	\N	\N	t	f
3939	3493	Cargados-Carajos-Inseln	de	0	2013-06-05 07:02:19.535897+02	1	Cargados-Carajos-Inseln	\N	\N	\N	\N	\N	\N	t	f
3946	3493	Cargados Carajos	nl	0	2013-06-05 07:02:38.234981+02	1	Cargados Carajos	\N	\N	\N	\N	\N	\N	t	f
3949	4501	Νομός Αργολίδας	el	0	2013-06-05 07:02:49.208498+02	1	Νομός Αργολίδας	\N	\N	\N	\N	\N	\N	t	f
4414	4868	Canterbury	nl	0	2013-06-05 07:23:07.457822+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
3975	3824	Clackmannanshire	en	0	2013-06-05 07:03:59.550924+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4033	3112	Benguela	es	0	2013-06-05 07:06:24.233153+02	1	Benguela	\N	\N	\N	\N	\N	\N	t	f
4950	2891	Gebiet Batken	de	0	2013-06-05 07:46:19.246592+02	1	Gebiet Batken	\N	\N	\N	\N	\N	\N	t	f
4479	5013	Bukedea	fr	0	2013-06-05 07:25:48.458284+02	1	Bukedea	\N	\N	\N	\N	\N	\N	t	f
4540	3115	Kwando-Kubango	fr	0	2013-06-05 07:28:24.004081+02	1	Kwando-Kubango	\N	\N	\N	\N	\N	\N	t	f
4952	2891	Provincia de Batken	es	0	2013-06-05 07:46:24.072301+02	1	Provincia de Batken	\N	\N	\N	\N	\N	\N	t	f
5408	906	Birżebbuġa	en	0	2013-06-05 08:06:17.535892+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
4960	3116	Cunene Province	en	0	2013-06-05 07:46:43.606178+02	1	Cunene Province	\N	\N	\N	\N	\N	\N	t	f
5434	3811	Caerphilly	nl	0	2013-06-05 08:07:20.852191+02	1	Caerphilly	\N	\N	\N	\N	\N	\N	t	f
6043	4152	Bam	nl	0	2013-06-05 08:33:26.144523+02	1	Bam	\N	\N	\N	\N	\N	\N	t	f
5469	1065	アヤクーチョ県	ja	0	2013-06-05 08:08:46.07237+02	1	アヤクーチョ県	\N	\N	\N	\N	\N	\N	t	f
5481	4636	Province of Carbonia-Iglesias	en	0	2013-06-05 08:09:15.521369+02	1	Province of Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
5484	4636	Carbonia-Iglesiasin maakunta	fi	0	2013-06-05 08:09:22.649478+02	1	Carbonia-Iglesiasin maakunta	\N	\N	\N	\N	\N	\N	t	f
6108	3073	Provincia de Baha	es	0	2013-06-05 08:36:09.779653+02	1	Provincia de Baha	\N	\N	\N	\N	\N	\N	t	f
5485	4636	Province de Carbonia-Iglesias	fr	0	2013-06-05 08:09:24.99012+02	1	Province de Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
5513	2541	Etelä-Chungcheong	fi	0	2013-06-05 08:10:33.613107+02	1	Etelä-Chungcheong	\N	\N	\N	\N	\N	\N	t	f
6754	3432	Al Jufrah	es	0	2013-06-05 09:04:07.007372+02	1	Al Jufrah	\N	\N	\N	\N	\N	\N	t	f
5542	3313	Fayún	es	0	2013-06-05 08:11:47.997844+02	1	Fayún	\N	\N	\N	\N	\N	\N	t	f
6124	3804	Blackpool	it	0	2013-06-05 08:36:52.456812+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6162	591	Basel-Landschaft	nl	0	2013-06-05 08:38:26.250293+02	1	Basel-Landschaft	\N	\N	\N	\N	\N	\N	t	f
6793	3881	カムデン・ロンドン特別区	ja	0	2013-06-05 09:05:44.642515+02	1	カムデン・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
7520	1005	Chocó	fi	0	2013-06-05 09:37:28.44429+02	1	Chocó	\N	\N	\N	\N	\N	\N	t	f
6854	1136	Apure	en	0	2013-06-05 09:08:14.440148+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
6891	2769	Belait	nl	0	2013-06-05 09:09:44.069589+02	1	Belait	\N	\N	\N	\N	\N	\N	t	f
6902	2398	Chelyabinsk Oblast	en	0	2013-06-05 09:10:15.341018+02	1	Chelyabinsk Oblast	\N	\N	\N	\N	\N	\N	t	f
7592	2202	Famagustan alue	fi	0	2013-06-05 09:40:33.995837+02	1	Famagustan alue	\N	\N	\N	\N	\N	\N	t	f
6907	2398	Oblast' di Čeljabinsk	it	0	2013-06-05 09:10:27.255997+02	1	Oblast' di Čeljabinsk	\N	\N	\N	\N	\N	\N	t	f
6947	3813	Cardiff	fr	0	2013-06-05 09:12:38.974769+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
8854	660	Chhattisgarh	de	0	2013-06-05 10:35:00.182217+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
7618	3086	Gouvernorat de Racca	fr	0	2013-06-05 09:41:37.488405+02	1	Gouvernorat de Racca	\N	\N	\N	\N	\N	\N	t	f
7668	1532	Chontales	no	0	2013-06-05 09:43:39.780752+02	1	Chontales	\N	\N	\N	\N	\N	\N	t	f
8128	1302	Balvu novads	nl	0	2013-06-05 10:04:03.522223+02	1	Balvu novads	\N	\N	\N	\N	\N	\N	t	f
8859	660	Chhattisgarh	fi	0	2013-06-05 10:35:11.917353+02	1	Chhattisgarh	\N	\N	\N	\N	\N	\N	t	f
8140	3333	Anseba	fr	0	2013-06-05 10:04:33.013227+02	1	Anseba	\N	\N	\N	\N	\N	\N	t	f
8154	1590	Bakerinsel	de	0	2013-06-05 10:05:11.130235+02	1	Bakerinsel	\N	\N	\N	\N	\N	\N	t	f
9736	4364	Alpes Marítimos	es	0	2013-06-05 11:13:10.557761+02	1	Alpes Marítimos	\N	\N	\N	\N	\N	\N	t	f
8155	1590	Μπαίηκερ	el	0	2013-06-05 10:05:13.563405+02	1	Μπαίηκερ	\N	\N	\N	\N	\N	\N	t	f
8867	2228	Distrito de Căuşeni	es	0	2013-06-05 10:35:31.210437+02	1	Distrito de Căuşeni	\N	\N	\N	\N	\N	\N	t	f
8168	3218	Brazzaville	es	0	2013-06-05 10:05:46.458419+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
8918	4753	Agadir	it	0	2013-06-05 10:37:45.697339+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
9926	808	Arad	no	0	2013-06-05 11:21:07.231887+02	1	Arad	\N	\N	\N	\N	\N	\N	t	f
8920	4753	Agadir	nl	0	2013-06-05 10:37:50.4314+02	1	Agadir	\N	\N	\N	\N	\N	\N	t	f
9801	1544	Bocas del Toro	fi	0	2013-06-05 11:15:48.219829+02	1	Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
8975	3758	Central	no	0	2013-06-05 10:40:02.63329+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
9708	2674	Provincia di Chonburi	it	0	2013-06-05 11:12:02.655441+02	1	Provincia di Chonburi	\N	\N	\N	\N	\N	\N	t	f
9830	1595	Charlotte	nl	0	2013-06-05 11:16:57.907868+02	1	Charlotte	\N	\N	\N	\N	\N	\N	t	f
11110	1831	Auvergne	nl	0	2013-06-05 12:12:23.80903+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
9831	1595	Charlotte prestegjeld	no	0	2013-06-05 11:17:00.279832+02	1	Charlotte prestegjeld	\N	\N	\N	\N	\N	\N	t	f
10683	1165	Barbuda	fi	0	2013-06-05 11:53:51.729218+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
10412	1118	Colonia Department	en	0	2013-06-05 11:42:19.959918+02	1	Colonia Department	\N	\N	\N	\N	\N	\N	t	f
10696	1212	Corozal	no	0	2013-06-05 11:54:23.318694+02	1	Corozal	\N	\N	\N	\N	\N	\N	t	f
10687	1165	Barbuda	nl	0	2013-06-05 11:54:01.33979+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
11192	3431	Al Djfara	fr	0	2013-06-05 12:16:01.127367+02	1	Al Djfara	\N	\N	\N	\N	\N	\N	t	f
11233	1721	Ağstafa	nl	0	2013-06-05 12:17:42.291061+02	1	Ağstafa	\N	\N	\N	\N	\N	\N	t	f
11363	3311	Ad Daqahliyah	nl	0	2013-06-05 12:23:22.32648+02	1	Ad Daqahliyah	\N	\N	\N	\N	\N	\N	t	f
11603	327	バーデン＝ヴュルテンベルク州	ja	0	2013-06-05 12:33:49.515563+02	1	バーデン＝ヴュルテンベルク州	\N	\N	\N	\N	\N	\N	t	f
2770	3341	Amhara	no	0	2013-05-27 19:34:21.171244+02	1	Amhara	\N	\N	\N	\N	\N	\N	t	f
2771	3441	Munizip Tripolis	de	0	2013-05-27 19:34:26.699224+02	1	Munizip Tripolis	\N	\N	\N	\N	\N	\N	t	f
2772	3441	Tripoli District	en	0	2013-05-27 19:34:29.996153+02	1	Tripoli District	\N	\N	\N	\N	\N	\N	t	f
3459	2067	シュコフリツァ	ja	0	2013-05-27 20:03:13.11607+02	1	シュコフリツァ	\N	\N	\N	\N	\N	\N	t	f
2773	3441	Trípoli	es	0	2013-05-27 19:34:32.252288+02	1	Trípoli	\N	\N	\N	\N	\N	\N	t	f
2775	3441	Municipalità di Tripoli	it	0	2013-05-27 19:34:37.771887+02	1	Municipalità di Tripoli	\N	\N	\N	\N	\N	\N	t	f
3923	1559	Dipartimento di Cuscatlán	it	0	2013-06-05 07:01:15.146671+02	1	Dipartimento di Cuscatlán	\N	\N	\N	\N	\N	\N	t	f
3928	1300	Baldones novads	nl	0	2013-06-05 07:01:31.557487+02	1	Baldones novads	\N	\N	\N	\N	\N	\N	t	f
1694	96	香港	ja	0	2013-06-05 07:03:32.679844+02	1	ホンコン	\N	\N	\N	\N	\N	\N	t	f
4395	1034	provincia del Chimborazo	it	0	2013-06-05 07:22:20.661934+02	1	provincia del Chimborazo	\N	\N	\N	\N	\N	\N	t	f
3965	3436	Al Marj	no	0	2013-06-05 07:03:34.555696+02	1	Al Marj	\N	\N	\N	\N	\N	\N	t	f
3981	3824	クラックマナンシャー	ja	0	2013-06-05 07:04:14.602771+02	1	クラックマナンシャー	\N	\N	\N	\N	\N	\N	t	f
3993	364	Aust-Agder	no	0	2013-06-05 07:04:44.716576+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
4396	1034	チンボラソ県	ja	0	2013-06-05 07:22:23.07424+02	1	チンボラソ県	\N	\N	\N	\N	\N	\N	t	f
4036	3112	provincia di Benguela	it	0	2013-06-05 07:06:31.429144+02	1	provincia di Benguela	\N	\N	\N	\N	\N	\N	t	f
4951	2891	Batken Province	en	0	2013-06-05 07:46:21.565367+02	1	Batken Province	\N	\N	\N	\N	\N	\N	t	f
4403	2678	Provincia di Chachoengsao	it	0	2013-06-05 07:22:40.232369+02	1	Provincia di Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
4411	4868	Canterbury	fr	0	2013-06-05 07:22:59.916445+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
4426	3842	County Durham	en	0	2013-06-05 07:23:37.555642+02	1	County Durham	\N	\N	\N	\N	\N	\N	t	f
5001	655	Andhra Pradesh	de	0	2013-06-05 07:48:23.840718+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
4458	1845	Alam-Normandia	et	0	2013-06-05 07:24:56.323197+02	1	Alam-Normandia	\N	\N	\N	\N	\N	\N	t	f
4481	5013	Bukedea	nl	0	2013-06-05 07:25:53.214515+02	1	Bukedea	\N	\N	\N	\N	\N	\N	t	f
5410	906	Birżebbuġa	fi	0	2013-06-05 08:06:22.277497+02	1	Birżebbuġa	\N	\N	\N	\N	\N	\N	t	f
4485	4532	Calcídica	es	0	2013-06-05 07:26:03.228554+02	1	Calcídica	\N	\N	\N	\N	\N	\N	t	f
5014	1306	Burtnieki piirkond	et	0	2013-06-05 07:48:56.882497+02	1	Burtnieki piirkond	\N	\N	\N	\N	\N	\N	t	f
4520	3213	Cuvette-Ouest	de	0	2013-06-05 07:27:35.463742+02	1	Cuvette-Ouest	\N	\N	\N	\N	\N	\N	t	f
5102	787	Austurland	it	0	2013-06-05 07:52:39.506641+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5110	3445	Municipalità di Zauia	it	0	2013-06-05 07:53:02.402634+02	1	Municipalità di Zauia	\N	\N	\N	\N	\N	\N	t	f
5424	4320	コルドバ県	ja	0	2013-06-05 08:06:56.444149+02	1	コルドバ県	\N	\N	\N	\N	\N	\N	t	f
5116	4156	Provincia de Boulgou	es	0	2013-06-05 07:53:18.67549+02	1	Provincia de Boulgou	\N	\N	\N	\N	\N	\N	t	f
5125	2527	Bajanhongor	fi	0	2013-06-05 07:53:41.368249+02	1	Bajanhongor	\N	\N	\N	\N	\N	\N	t	f
6049	659	Chandigarh	fi	0	2013-06-05 08:33:40.951938+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
5502	2385	Tšernigivi oblast	et	0	2013-06-05 08:10:06.575282+02	1	Tšernigivi oblast	\N	\N	\N	\N	\N	\N	t	f
5530	521	Bursa	de	0	2013-06-05 08:11:18.361323+02	1	Bursa	\N	\N	\N	\N	\N	\N	t	f
6756	3432	Municipalità di Giofra	it	0	2013-06-05 09:04:14.04931+02	1	Municipalità di Giofra	\N	\N	\N	\N	\N	\N	t	f
6870	4903	Camarines Sur	en	0	2013-06-05 09:08:53.208433+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
7522	1005	dipartimento di Chocó	it	0	2013-06-05 09:37:33.328574+02	1	dipartimento di Chocó	\N	\N	\N	\N	\N	\N	t	f
6951	3813	Cardiff	no	0	2013-06-05 09:12:51.461391+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
10466	1953	Municipality of Brežice	en	0	2013-06-05 11:44:36.652679+02	1	Municipality of Brežice	\N	\N	\N	\N	\N	\N	t	f
7706	1158	Amazonas	fi	0	2013-06-05 09:45:14.540188+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8868	2228	Raion de Căușeni	fr	0	2013-06-05 10:35:33.527736+02	1	Raion de Căușeni	\N	\N	\N	\N	\N	\N	t	f
7711	1158	Amazonas	no	0	2013-06-05 09:45:26.713424+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
7714	2384	Óblast de Cherkasy	es	0	2013-06-05 09:45:35.468069+02	1	Óblast de Cherkasy	\N	\N	\N	\N	\N	\N	t	f
9817	3250	Περιφέρεια Άρτα	el	0	2013-06-05 11:16:26.812258+02	1	Περιφέρεια Άρτα	\N	\N	\N	\N	\N	\N	t	f
7748	3171	Κεντρική Περιφέρεια	el	0	2013-06-05 09:47:07.966034+02	1	Κεντρική Περιφέρεια	\N	\N	\N	\N	\N	\N	t	f
8931	620	Amazonas	no	0	2013-06-05 10:38:16.842758+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8131	1231	Provincia de Camagüey	es	0	2013-06-05 10:04:11.173672+02	1	Provincia de Camagüey	\N	\N	\N	\N	\N	\N	t	f
8135	1231	Camagüey	nl	0	2013-06-05 10:04:20.756512+02	1	Camagüey	\N	\N	\N	\N	\N	\N	t	f
8186	1830	Ακουιτανία	el	0	2013-06-05 10:06:30.660556+02	1	Ακουιτανία	\N	\N	\N	\N	\N	\N	t	f
8933	3827	Cookstown District Council	en	0	2013-06-05 10:38:21.843577+02	1	Cookstown District Council	\N	\N	\N	\N	\N	\N	t	f
10367	2526	Bulgan-Aimag	de	0	2013-06-05 11:40:29.85614+02	1	Bulgan-Aimag	\N	\N	\N	\N	\N	\N	t	f
9711	2674	Chonburi	no	0	2013-06-05 11:12:09.790463+02	1	Chonburi	\N	\N	\N	\N	\N	\N	t	f
9822	3250	アルタ州	ja	0	2013-06-05 11:16:38.61884+02	1	アルタ州	\N	\N	\N	\N	\N	\N	t	f
9727	4313	Barcelona provints	et	0	2013-06-05 11:12:48.589436+02	1	Barcelona provints	\N	\N	\N	\N	\N	\N	t	f
9734	4364	Alpes-Maritimes	de	0	2013-06-05 11:13:05.872808+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
9740	4364	Alpi Marittime	it	0	2013-06-05 11:13:19.975648+02	1	Alpi Marittime	\N	\N	\N	\N	\N	\N	t	f
9838	2373	Crimea	it	0	2013-06-05 11:17:17.45318+02	1	Crimea	\N	\N	\N	\N	\N	\N	t	f
9800	1544	Provincia de Bocas del Toro	es	0	2013-06-05 11:15:45.8346+02	1	Provincia de Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
9870	4457	Boké Prefecture	en	0	2013-06-05 11:18:36.373875+02	1	Boké Prefecture	\N	\N	\N	\N	\N	\N	t	f
10436	3391	Coast Province	en	0	2013-06-05 11:43:19.329852+02	1	Coast Province	\N	\N	\N	\N	\N	\N	t	f
10348	4311	Province d'Almería	fr	0	2013-06-05 11:39:43.03147+02	1	Province d'Almería	\N	\N	\N	\N	\N	\N	t	f
10464	2779	中部ヴィサヤ地方	ja	0	2013-06-05 11:44:31.420102+02	1	中部ヴィサヤ地方	\N	\N	\N	\N	\N	\N	t	f
10533	979	アイセン・デル・ヘネラル・カルロス・イバニェス・デル・カンポ州	ja	0	2013-06-05 11:47:31.881986+02	1	アイセン・デル・ヘネラル・カルロス・イバニェス・デル・カンポ州	\N	\N	\N	\N	\N	\N	t	f
10515	3337	Maekel Region	en	0	2013-06-05 11:46:44.807456+02	1	Maekel Region	\N	\N	\N	\N	\N	\N	t	f
10542	3163	Collines	nl	0	2013-06-05 11:47:57.651234+02	1	Collines	\N	\N	\N	\N	\N	\N	t	f
10548	1004	Cesar	fr	0	2013-06-05 11:48:13.165528+02	1	Cesar	\N	\N	\N	\N	\N	\N	t	f
10564	508	Επαρχία Αφιόν Καραχισάρ	el	0	2013-06-05 11:48:55.810818+02	1	Επαρχία Αφιόν Καραχισάρ	\N	\N	\N	\N	\N	\N	t	f
10575	5016	Distrito de Arua	es	0	2013-06-05 11:49:22.57589+02	1	Distrito de Arua	\N	\N	\N	\N	\N	\N	t	f
11111	1831	Auvergne	no	0	2013-06-05 12:12:26.192861+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
11113	4370	Aveyron	en	0	2013-06-05 12:12:31.934961+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
11171	4367	Ariège	es	0	2013-06-05 12:15:09.676694+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
11229	1721	Ağstafa	es	0	2013-06-05 12:17:32.751201+02	1	Ağstafa	\N	\N	\N	\N	\N	\N	t	f
11342	905	Birkirkara	de	0	2013-06-05 12:22:09.867+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
2774	3441	Tripoli	fr	0	2013-05-27 19:34:34.474401+02	1	Tripoli	\N	\N	\N	\N	\N	\N	t	f
2776	3441	Tripoli	nl	0	2013-05-27 19:34:39.958791+02	1	Tripoli	\N	\N	\N	\N	\N	\N	t	f
3460	2067	Škofljica	nl	0	2013-05-27 20:03:15.335073+02	1	Škofljica	\N	\N	\N	\N	\N	\N	t	f
2777	1298	Ādaži Municipality	en	0	2013-05-27 19:34:42.46068+02	1	Ādaži Municipality	\N	\N	\N	\N	\N	\N	t	f
2778	1298	Municipalidad de Ādaži	es	0	2013-05-27 19:34:47.7074+02	1	Municipalidad de Ādaži	\N	\N	\N	\N	\N	\N	t	f
2779	1298	Ādaži piirkond	et	0	2013-05-27 19:34:49.916053+02	1	Ādaži piirkond	\N	\N	\N	\N	\N	\N	t	f
3465	4281	Distretto di Ústí nad Orlicí	it	0	2013-05-27 20:03:27.255382+02	1	Distretto di Ústí nad Orlicí	\N	\N	\N	\N	\N	\N	t	f
2780	1298	Ādažu novads	nl	0	2013-05-27 19:34:52.117634+02	1	Ādažu novads	\N	\N	\N	\N	\N	\N	t	f
3924	1559	Cuscatlán	nl	0	2013-06-05 07:01:18.575246+02	1	Cuscatlán	\N	\N	\N	\N	\N	\N	t	f
2782	493	Łódź Voivodeship	en	0	2013-05-27 19:35:00.02312+02	1	Łódź Voivodeship	\N	\N	\N	\N	\N	\N	t	f
2783	493	Łódź	es	0	2013-05-27 19:35:02.391484+02	1	Łódź	\N	\N	\N	\N	\N	\N	t	f
2784	493	Łódźi vojevoodkond	et	0	2013-05-27 19:35:04.644438+02	1	Łódźi vojevoodkond	\N	\N	\N	\N	\N	\N	t	f
3926	1300	Municipalidad de Baldone	es	0	2013-06-05 07:01:23.648097+02	1	Municipalidad de Baldone	\N	\N	\N	\N	\N	\N	t	f
2785	493	Łódźin voivodikunta	fi	0	2013-05-27 19:35:06.846982+02	1	Łódźin voivodikunta	\N	\N	\N	\N	\N	\N	t	f
2786	493	Voïvodie de Łódź	fr	0	2013-05-27 19:35:09.059564+02	1	Voïvodie de Łódź	\N	\N	\N	\N	\N	\N	t	f
4397	1034	Chimborazo	nl	0	2013-06-05 07:22:25.522352+02	1	Chimborazo	\N	\N	\N	\N	\N	\N	t	f
2787	493	Voivodato di Łódź	it	0	2013-05-27 19:35:11.277005+02	1	Voivodato di Łódź	\N	\N	\N	\N	\N	\N	t	f
3933	1502	Colima	fi	0	2013-06-05 07:01:50.461259+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
2789	493	Łódź	nl	0	2013-05-27 19:35:17.944896+02	1	Łódź	\N	\N	\N	\N	\N	\N	t	f
2796	766	Distretto di Évora	it	0	2013-05-27 19:35:34.166115+02	1	Distretto di Évora	\N	\N	\N	\N	\N	\N	t	f
4400	2678	Chachoengsao Province	en	0	2013-06-05 07:22:33.063572+02	1	Chachoengsao Province	\N	\N	\N	\N	\N	\N	t	f
830	131	マリ共和国	ja	0	2013-06-05 07:02:52.573905+02	1	マリきょうわこく	\N	\N	\N	\N	\N	\N	t	f
4953	2891	Batkeni oblast	et	0	2013-06-05 07:46:26.484979+02	1	Batkeni oblast	\N	\N	\N	\N	\N	\N	t	f
3953	4501	Argolide	fr	0	2013-06-05 07:02:58.759166+02	1	Argolide	\N	\N	\N	\N	\N	\N	t	f
4463	1845	Basse-Normandie	nl	0	2013-06-05 07:25:08.468973+02	1	Basse-Normandie	\N	\N	\N	\N	\N	\N	t	f
3982	3824	Clackmannanshire	nl	0	2013-06-05 07:04:17.03309+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4015	3828	Κορνουάλη	el	0	2013-06-05 07:05:39.98185+02	1	Κορνουάλη	\N	\N	\N	\N	\N	\N	t	f
4493	1835	Centre	de	0	2013-06-05 07:26:26.650316+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
4517	2550	慈江道	ja	0	2013-06-05 07:27:27.873465+02	1	慈江道	\N	\N	\N	\N	\N	\N	t	f
5109	3445	Az Zaouiyah	fr	0	2013-06-05 07:52:56.812309+02	1	Az Zaouiyah	\N	\N	\N	\N	\N	\N	t	f
4531	4546	Bafatá (région)	fr	0	2013-06-05 07:28:01.986183+02	1	Bafatá (région)	\N	\N	\N	\N	\N	\N	t	f
5436	3590	Baie Sainte Anne	de	0	2013-06-05 08:07:25.950149+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
5126	2527	Bayanhongor	fr	0	2013-06-05 07:53:43.733333+02	1	Bayanhongor	\N	\N	\N	\N	\N	\N	t	f
5135	4078	Distretto di Barguna	it	0	2013-06-05 07:54:05.948362+02	1	Distretto di Barguna	\N	\N	\N	\N	\N	\N	t	f
5501	2385	Óblast de Chernihiv	es	0	2013-06-05 08:10:04.242958+02	1	Óblast de Chernihiv	\N	\N	\N	\N	\N	\N	t	f
6052	659	チャンディーガル	ja	0	2013-06-05 08:33:48.411336+02	1	チャンディーガル	\N	\N	\N	\N	\N	\N	t	f
5548	3882	London Borough of Croydon	de	0	2013-06-05 08:12:02.729068+02	1	London Borough of Croydon	\N	\N	\N	\N	\N	\N	t	f
5552	3882	Croydon	fi	0	2013-06-05 08:12:15.616063+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
6098	263	Alabama	es	0	2013-06-05 08:35:45.412367+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6757	3432	Al Jufrah	nl	0	2013-06-05 09:04:16.539557+02	1	Al Jufrah	\N	\N	\N	\N	\N	\N	t	f
6179	3234	Regione di Agnéby	it	0	2013-06-05 08:39:14.901027+02	1	Regione di Agnéby	\N	\N	\N	\N	\N	\N	t	f
6196	1440	アトランティダ県	ja	0	2013-06-05 08:40:02.238703+02	1	アトランティダ県	\N	\N	\N	\N	\N	\N	t	f
6224	3326	Puerto Saíd	es	0	2013-06-05 08:41:10.989845+02	1	Puerto Saíd	\N	\N	\N	\N	\N	\N	t	f
6758	3432	Al Jufrah	no	0	2013-06-05 09:04:18.901339+02	1	Al Jufrah	\N	\N	\N	\N	\N	\N	t	f
7523	1005	チョコ県	ja	0	2013-06-05 09:37:38.229002+02	1	チョコ県	\N	\N	\N	\N	\N	\N	t	f
6766	4628	provincia di Brindisi	it	0	2013-06-05 09:04:38.215365+02	1	provincia di Brindisi	\N	\N	\N	\N	\N	\N	t	f
6767	4628	ブリンディジ県	ja	0	2013-06-05 09:04:40.5997+02	1	ブリンディジ県	\N	\N	\N	\N	\N	\N	t	f
6771	3829	Craigavon Borough Council	en	0	2013-06-05 09:04:50.476366+02	1	Craigavon Borough Council	\N	\N	\N	\N	\N	\N	t	f
8134	1231	カマグエイ州	ja	0	2013-06-05 10:04:18.364436+02	1	カマグエイ州	\N	\N	\N	\N	\N	\N	t	f
6814	1833	Bourgogne	no	0	2013-06-05 09:06:36.629952+02	1	Bourgogne	\N	\N	\N	\N	\N	\N	t	f
6832	3342	Benishangul-Gumuz	nl	0	2013-06-05 09:07:20.847631+02	1	Benishangul-Gumuz	\N	\N	\N	\N	\N	\N	t	f
8872	1106	Commewijne District	en	0	2013-06-05 10:35:43.336599+02	1	Commewijne District	\N	\N	\N	\N	\N	\N	t	f
6852	3463	Antsiranana	no	0	2013-06-05 09:08:09.262742+02	1	Antsiranana	\N	\N	\N	\N	\N	\N	t	f
8142	3333	アンセバ地方	ja	0	2013-06-05 10:04:40.188948+02	1	アンセバ地方	\N	\N	\N	\N	\N	\N	t	f
8191	1830	Aquitaine	fr	0	2013-06-05 10:06:42.63926+02	1	Aquitaine	\N	\N	\N	\N	\N	\N	t	f
9856	3209	Bouenza	fr	0	2013-06-05 11:18:01.64325+02	1	Bouenza	\N	\N	\N	\N	\N	\N	t	f
8908	3915	District métropolitain de Bury	fr	0	2013-06-05 10:37:21.788916+02	1	District métropolitain de Bury	\N	\N	\N	\N	\N	\N	t	f
8963	3332	New Valley Governorate	en	0	2013-06-05 10:39:33.800325+02	1	New Valley Governorate	\N	\N	\N	\N	\N	\N	t	f
8910	3915	Bury	nl	0	2013-06-05 10:37:26.507967+02	1	Bury	\N	\N	\N	\N	\N	\N	t	f
8939	3819	Cheshire East	en	0	2013-06-05 10:38:36.094643+02	1	Cheshire East	\N	\N	\N	\N	\N	\N	t	f
9739	4364	Alpes-Maritimes	fr	0	2013-06-05 11:13:17.612855+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
8954	3159	Atakora	de	0	2013-06-05 10:39:12.164831+02	1	Atakora	\N	\N	\N	\N	\N	\N	t	f
9716	1670	Honiara	et	0	2013-06-05 11:12:22.053597+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
9729	4313	Province de Barcelone	fr	0	2013-06-05 11:12:53.373218+02	1	Province de Barcelone	\N	\N	\N	\N	\N	\N	t	f
9763	1708	Qark Berat	de	0	2013-06-05 11:14:16.063143+02	1	Qark Berat	\N	\N	\N	\N	\N	\N	t	f
10349	4311	Provincia di Almería	it	0	2013-06-05 11:39:45.417989+02	1	Provincia di Almería	\N	\N	\N	\N	\N	\N	t	f
10421	3306	Governatorato di Asyut	it	0	2013-06-05 11:42:42.219461+02	1	Governatorato di Asyut	\N	\N	\N	\N	\N	\N	t	f
10451	3534	Agadez Region	en	0	2013-06-05 11:43:59.249051+02	1	Agadez Region	\N	\N	\N	\N	\N	\N	t	f
10460	2779	Central Visayas	en	0	2013-06-05 11:44:21.909074+02	1	Central Visayas	\N	\N	\N	\N	\N	\N	t	f
10461	2779	Bisayas Centrales	es	0	2013-06-05 11:44:24.259341+02	1	Bisayas Centrales	\N	\N	\N	\N	\N	\N	t	f
10472	4621	Avellinon maakunta	fi	0	2013-06-05 11:44:52.50823+02	1	Avellinon maakunta	\N	\N	\N	\N	\N	\N	t	f
2790	493	Łódź voivodskap	no	0	2013-05-27 19:35:20.3281+02	1	Łódź voivodskap	\N	\N	\N	\N	\N	\N	t	f
3461	1961	Municipality of Črnomelj	en	0	2013-05-27 20:03:17.919478+02	1	Municipality of Črnomelj	\N	\N	\N	\N	\N	\N	t	f
3498	4356	Álava	es	0	2013-05-27 20:04:47.533404+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
3925	1300	Baldone municipality	en	0	2013-06-05 07:01:21.277991+02	1	Baldone municipality	\N	\N	\N	\N	\N	\N	t	f
3499	4356	Araba	et	0	2013-05-27 20:04:49.763194+02	1	Araba	\N	\N	\N	\N	\N	\N	t	f
3511	2477	Shirak	fr	0	2013-05-27 20:05:18.134022+02	1	Shirak	\N	\N	\N	\N	\N	\N	t	f
3929	1502	Colima	de	0	2013-06-05 07:01:34.419918+02	1	Colima	\N	\N	\N	\N	\N	\N	t	f
4398	1034	Chimborazo	no	0	2013-06-05 07:22:27.915531+02	1	Chimborazo	\N	\N	\N	\N	\N	\N	t	f
3959	3436	Marj District	en	0	2013-06-05 07:03:17.350518+02	1	Marj District	\N	\N	\N	\N	\N	\N	t	f
4017	3828	Cornualles	es	0	2013-06-05 07:05:44.720387+02	1	Cornualles	\N	\N	\N	\N	\N	\N	t	f
4030	880	Chiayi	nl	0	2013-06-05 07:06:16.402064+02	1	Chiayi	\N	\N	\N	\N	\N	\N	t	f
4427	3842	Durham	es	0	2013-06-05 07:23:39.976772+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
4954	2891	Batkenin alue	fi	0	2013-06-05 07:46:28.830981+02	1	Batkenin alue	\N	\N	\N	\N	\N	\N	t	f
4441	1484	Anse-la-Raye	nl	0	2013-06-05 07:24:14.134306+02	1	Anse-la-Raye	\N	\N	\N	\N	\N	\N	t	f
4444	4153	Provincia de Banwa	es	0	2013-06-05 07:24:21.73811+02	1	Provincia de Banwa	\N	\N	\N	\N	\N	\N	t	f
4447	4153	Provincia di Banwa	it	0	2013-06-05 07:24:28.869023+02	1	Provincia di Banwa	\N	\N	\N	\N	\N	\N	t	f
5020	1619	Baiti	fi	0	2013-06-05 07:49:11.324879+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
4450	1179	Black Point, Bahamas	en	0	2013-06-05 07:24:36.39238+02	1	Black Point, Bahamas	\N	\N	\N	\N	\N	\N	t	f
4489	4532	Penisola Calcidica	it	0	2013-06-05 07:26:12.87767+02	1	Penisola Calcidica	\N	\N	\N	\N	\N	\N	t	f
5441	3590	Baie Sainte Anne	nl	0	2013-06-05 08:07:37.693286+02	1	Baie Sainte Anne	\N	\N	\N	\N	\N	\N	t	f
4536	3115	Provinz Cuando Cubango	de	0	2013-06-05 07:28:14.451957+02	1	Provinz Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
5070	4502	Arcadia	en	0	2013-06-05 07:51:21.351194+02	1	Arcadia	\N	\N	\N	\N	\N	\N	t	f
5123	2527	Bayankhongor Province	en	0	2013-06-05 07:53:35.709947+02	1	Bayankhongor Province	\N	\N	\N	\N	\N	\N	t	f
5483	4636	Carbonia-Iglesiase provints	et	0	2013-06-05 08:09:20.207255+02	1	Carbonia-Iglesiase provints	\N	\N	\N	\N	\N	\N	t	f
6053	659	Chandigarh	nl	0	2013-06-05 08:33:50.771033+02	1	Chandigarh	\N	\N	\N	\N	\N	\N	t	f
5491	3088	Ας Σουγουαΰντα	el	0	2013-06-05 08:09:39.716264+02	1	Ας Σουγουαΰντα	\N	\N	\N	\N	\N	\N	t	f
5545	3313	ファイユーム県	ja	0	2013-06-05 08:11:55.135734+02	1	ファイユーム県	\N	\N	\N	\N	\N	\N	t	f
6116	4084	Comilla District	en	0	2013-06-05 08:36:33.192137+02	1	Comilla District	\N	\N	\N	\N	\N	\N	t	f
6764	4628	Brindisin maakunta	fi	0	2013-06-05 09:04:33.422643+02	1	Brindisin maakunta	\N	\N	\N	\N	\N	\N	t	f
6132	3490	Agaléga	fr	0	2013-06-05 08:37:12.439964+02	1	Agaléga	\N	\N	\N	\N	\N	\N	t	f
6186	1184	Île Cat	fr	0	2013-06-05 08:39:32.4652+02	1	Île Cat	\N	\N	\N	\N	\N	\N	t	f
6218	4378	Côte-d'Or	no	0	2013-06-05 08:40:55.967193+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
6812	1833	ブルゴーニュ地域圏	ja	0	2013-06-05 09:06:31.580848+02	1	ブルゴーニュ地域圏	\N	\N	\N	\N	\N	\N	t	f
6226	3326	Port Said	fi	0	2013-06-05 08:41:15.699514+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
7528	1117	Departamento de Cerro Largo	es	0	2013-06-05 09:37:50.462878+02	1	Departamento de Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
6839	1621	Buada	it	0	2013-06-05 09:07:37.824922+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
6865	2930	Governatorato Meridionale	it	0	2013-06-05 09:08:40.841384+02	1	Governatorato Meridionale	\N	\N	\N	\N	\N	\N	t	f
6884	2507	西カザフスタン州	ja	0	2013-06-05 09:09:26.985785+02	1	西カザフスタン州	\N	\N	\N	\N	\N	\N	t	f
7542	4894	Bohol	de	0	2013-06-05 09:38:26.449456+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
6894	4151	Provincia de Balé	es	0	2013-06-05 09:09:52.726606+02	1	Provincia de Balé	\N	\N	\N	\N	\N	\N	t	f
8882	4991	ブシア県	ja	0	2013-06-05 10:36:10.401426+02	1	ブシア県	\N	\N	\N	\N	\N	\N	t	f
8151	3818	Ceredigion	it	0	2013-06-05 10:05:03.0498+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8158	1590	Bakeri saar	et	0	2013-06-05 10:05:20.719104+02	1	Bakeri saar	\N	\N	\N	\N	\N	\N	t	f
9723	4313	Provinz Barcelona	de	0	2013-06-05 11:12:39.142283+02	1	Provinz Barcelona	\N	\N	\N	\N	\N	\N	t	f
8890	1442	Colón Department	en	0	2013-06-05 10:36:34.607562+02	1	Colón Department	\N	\N	\N	\N	\N	\N	t	f
8894	1442	Dipartimento di Colón	it	0	2013-06-05 10:36:44.07746+02	1	Dipartimento di Colón	\N	\N	\N	\N	\N	\N	t	f
9805	1544	Bocas del Toro	nl	0	2013-06-05 11:15:57.648831+02	1	Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
8897	3877	London Borough of Barnet	en	0	2013-06-05 10:36:51.565263+02	1	London Borough of Barnet	\N	\N	\N	\N	\N	\N	t	f
9732	4313	Barcelona	nl	0	2013-06-05 11:13:00.548761+02	1	Barcelona	\N	\N	\N	\N	\N	\N	t	f
8906	3915	Metropolitan Borough of Bury	en	0	2013-06-05 10:37:16.352799+02	1	Metropolitan Borough of Bury	\N	\N	\N	\N	\N	\N	t	f
8924	620	Amazonas	es	0	2013-06-05 10:38:00.307016+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8926	620	Amazonas	fi	0	2013-06-05 10:38:05.020784+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
9738	4364	Alpes-Maritimes	fi	0	2013-06-05 11:13:15.256157+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
8932	3827	Cookstown (District)	de	0	2013-06-05 10:38:19.506887+02	1	Cookstown (District)	\N	\N	\N	\N	\N	\N	t	f
9717	1670	Honiara	fi	0	2013-06-05 11:12:24.409511+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
10350	4311	アルメリア県	ja	0	2013-06-05 11:39:47.80323+02	1	アルメリア県	\N	\N	\N	\N	\N	\N	t	f
9754	1216	Provinz Alajuela	de	0	2013-06-05 11:13:54.121245+02	1	Provinz Alajuela	\N	\N	\N	\N	\N	\N	t	f
9847	1818	Katalonia	fi	0	2013-06-05 11:17:39.360407+02	1	Katalonia	\N	\N	\N	\N	\N	\N	t	f
9766	1708	Condado de Berat	es	0	2013-06-05 11:14:23.10315+02	1	Condado de Berat	\N	\N	\N	\N	\N	\N	t	f
9804	1544	ボカス・デル・トーロ県	ja	0	2013-06-05 11:15:55.307436+02	1	ボカス・デル・トーロ県	\N	\N	\N	\N	\N	\N	t	f
9929	3430	Al Jabal al Gharbi	es	0	2013-06-05 11:21:14.653877+02	1	Al Jabal al Gharbi	\N	\N	\N	\N	\N	\N	t	f
9940	1615	Aiwo	it	0	2013-06-05 11:21:42.139462+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
10362	618	Acre	no	0	2013-06-05 11:40:17.034323+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
10375	2526	Ajmag Bulgan	nl	0	2013-06-05 11:40:49.495075+02	1	Ajmag Bulgan	\N	\N	\N	\N	\N	\N	t	f
10363	3592	Bel Air (Seychellen)	de	0	2013-06-05 11:40:19.75076+02	1	Bel Air (Seychellen)	\N	\N	\N	\N	\N	\N	t	f
11112	4370	Département Aveyron	de	0	2013-06-05 12:12:29.583494+02	1	Département Aveyron	\N	\N	\N	\N	\N	\N	t	f
11134	3913	Bolton	no	0	2013-06-05 12:13:28.270422+02	1	Bolton	\N	\N	\N	\N	\N	\N	t	f
11250	3239	Région du Centre	fr	0	2013-06-05 12:18:23.86838+02	1	Région du Centre	\N	\N	\N	\N	\N	\N	t	f
11354	3799	Distretto di Banbridge	it	0	2013-06-05 12:22:52.493542+02	1	Distretto di Banbridge	\N	\N	\N	\N	\N	\N	t	f
11396	1889	バジリカータ州	ja	0	2013-06-05 12:25:05.53041+02	1	バジリカータ州	\N	\N	\N	\N	\N	\N	t	f
11407	4901	Camarines Norte	fr	0	2013-06-05 12:25:35.423182+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
11422	3917	Coventry	no	0	2013-06-05 12:26:16.64506+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11430	760	Aveiro District	en	0	2013-06-05 12:26:36.420049+02	1	Aveiro District	\N	\N	\N	\N	\N	\N	t	f
11485	1107	Coronie	es	0	2013-06-05 12:28:50.972293+02	1	Coronie	\N	\N	\N	\N	\N	\N	t	f
2791	766	Distrikt Évora	de	0	2013-05-27 19:35:23.002116+02	1	Distrikt Évora	\N	\N	\N	\N	\N	\N	t	f
2793	766	Distrito de Évora	es	0	2013-05-27 19:35:27.469984+02	1	Distrito de Évora	\N	\N	\N	\N	\N	\N	t	f
3462	4281	Okres Ústí nad Orlicí	de	0	2013-05-27 20:03:20.525797+02	1	Okres Ústí nad Orlicí	\N	\N	\N	\N	\N	\N	t	f
3927	1300	Baldone piirkond	et	0	2013-06-05 07:01:28.790284+02	1	Baldone piirkond	\N	\N	\N	\N	\N	\N	t	f
3941	3493	Cargados Carajos	es	0	2013-06-05 07:02:25.530436+02	1	Cargados Carajos	\N	\N	\N	\N	\N	\N	t	f
4399	2678	Chachoengsao	de	0	2013-06-05 07:22:30.666489+02	1	Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
2817	1287	ジリナ県	ja	0	2013-05-27 19:36:36.97145+02	1	ジリナ県	\N	\N	\N	\N	\N	\N	t	f
3955	4501	アルゴリダ県	ja	0	2013-06-05 07:03:03.539354+02	1	アルゴリダ県	\N	\N	\N	\N	\N	\N	t	f
3990	364	Aust-Agder	it	0	2013-06-05 07:04:37.255815+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
4008	4387	Corse-du-Sud	fi	0	2013-06-05 07:05:22.499833+02	1	Corse-du-Sud	\N	\N	\N	\N	\N	\N	t	f
4451	1179	Black Point	es	0	2013-06-05 07:24:38.844051+02	1	Black Point	\N	\N	\N	\N	\N	\N	t	f
4025	880	Landkreis Chiayi	de	0	2013-06-05 07:06:04.416455+02	1	Landkreis Chiayi	\N	\N	\N	\N	\N	\N	t	f
4955	2891	Province de Batken	fr	0	2013-06-05 07:46:31.208752+02	1	Province de Batken	\N	\N	\N	\N	\N	\N	t	f
4459	1845	Basse-Normandie	fi	0	2013-06-05 07:24:58.675281+02	1	Basse-Normandie	\N	\N	\N	\N	\N	\N	t	f
4519	2550	Chagang	no	0	2013-06-05 07:27:32.695182+02	1	Chagang	\N	\N	\N	\N	\N	\N	t	f
5058	589	Appenzell Ausserrhoden	nl	0	2013-06-05 07:50:51.206903+02	1	Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5444	1810	Andalusia	en	0	2013-06-05 08:07:45.336582+02	1	Andalusia	\N	\N	\N	\N	\N	\N	t	f
5062	4889	Aurora	es	0	2013-06-05 07:51:01.58812+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
5105	787	Austurland	no	0	2013-06-05 07:52:46.878395+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
6055	972	Chuquisaca	de	0	2013-06-05 08:33:55.939138+02	1	Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
5112	3445	Az Zawiyah	nl	0	2013-06-05 07:53:08.795024+02	1	Az Zawiyah	\N	\N	\N	\N	\N	\N	t	f
5132	4078	Barguna District	en	0	2013-06-05 07:53:58.8899+02	1	Barguna District	\N	\N	\N	\N	\N	\N	t	f
6085	1496	Μπάχα Καλιφόρνια	el	0	2013-06-05 08:35:10.787944+02	1	Μπάχα Καλιφόρνια	\N	\N	\N	\N	\N	\N	t	f
6776	4309	Provinz Alicante	de	0	2013-06-05 09:05:03.056725+02	1	Provinz Alicante	\N	\N	\N	\N	\N	\N	t	f
6105	263	Alabama	no	0	2013-06-05 08:36:02.296519+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6107	3073	Al Bahah Province	en	0	2013-06-05 08:36:07.462713+02	1	Al Bahah Province	\N	\N	\N	\N	\N	\N	t	f
6118	3804	Blackpool	de	0	2013-06-05 08:36:38.266893+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6895	4151	Balé	fi	0	2013-06-05 09:09:55.087683+02	1	Balé	\N	\N	\N	\N	\N	\N	t	f
7530	1117	Cerro Largo	fr	0	2013-06-05 09:37:56.668995+02	1	Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
6897	4151	Provincia di Balé	it	0	2013-06-05 09:09:59.820854+02	1	Provincia di Balé	\N	\N	\N	\N	\N	\N	t	f
6932	2804	Bago-Division	de	0	2013-06-05 09:11:45.096721+02	1	Bago-Division	\N	\N	\N	\N	\N	\N	t	f
11182	810	Bacău maakond	et	0	2013-06-05 12:15:36.766804+02	1	Bacău maakond	\N	\N	\N	\N	\N	\N	t	f
7544	4894	Bohol	es	0	2013-06-05 09:38:31.433275+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
8889	1442	Departamento Colón	de	0	2013-06-05 10:36:29.364518+02	1	Departamento Colón	\N	\N	\N	\N	\N	\N	t	f
7725	3914	City of Bradford	it	0	2013-06-05 09:46:06.034818+02	1	City of Bradford	\N	\N	\N	\N	\N	\N	t	f
7728	4891	Basilan	de	0	2013-06-05 09:46:13.574904+02	1	Basilan	\N	\N	\N	\N	\N	\N	t	f
8152	3818	Ceredigion	nl	0	2013-06-05 10:05:05.794535+02	1	Ceredigion	\N	\N	\N	\N	\N	\N	t	f
8902	3877	バーネット・ロンドン特別区	ja	0	2013-06-05 10:37:06.617465+02	1	バーネット・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
8156	1590	Baker Island	en	0	2013-06-05 10:05:16.00634+02	1	Baker Island	\N	\N	\N	\N	\N	\N	t	f
8252	3820	Cheshire West and Chester	de	0	2013-06-05 10:09:12.744051+02	1	Cheshire West and Chester	\N	\N	\N	\N	\N	\N	t	f
11359	3311	Dacalia	es	0	2013-06-05 12:23:04.788715+02	1	Dacalia	\N	\N	\N	\N	\N	\N	t	f
8301	723	チョングラード県	ja	0	2013-06-05 10:11:20.311758+02	1	チョングラード県	\N	\N	\N	\N	\N	\N	t	f
9719	1670	Honiara	it	0	2013-06-05 11:12:29.192925+02	1	Honiara	\N	\N	\N	\N	\N	\N	t	f
8304	2849	Balochistan	en	0	2013-06-05 10:11:28.083484+02	1	Balochistan	\N	\N	\N	\N	\N	\N	t	f
11206	4756	Azilal Province	en	0	2013-06-05 12:16:35.629704+02	1	Azilal Province	\N	\N	\N	\N	\N	\N	t	f
8347	2395	ブリャンスク州	ja	0	2013-06-05 10:13:16.927285+02	1	ブリャンスク州	\N	\N	\N	\N	\N	\N	t	f
9862	3324	Monufia Governorate	en	0	2013-06-05 11:18:17.178248+02	1	Monufia Governorate	\N	\N	\N	\N	\N	\N	t	f
9882	3058	Ash Shamal	no	0	2013-06-05 11:19:08.627681+02	1	Ash Shamal	\N	\N	\N	\N	\N	\N	t	f
11216	588	Canton d'Appenzell Rhodes-Intérieures	fr	0	2013-06-05 12:17:00.244238+02	1	Canton d'Appenzell Rhodes-Intérieures	\N	\N	\N	\N	\N	\N	t	f
10352	4311	Almería	no	0	2013-06-05 11:39:52.597056+02	1	Almería	\N	\N	\N	\N	\N	\N	t	f
10354	618	Acre	en	0	2013-06-05 11:39:57.836173+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
11452	5054	Provincia di Artemisa	it	0	2013-06-05 12:27:30.602652+02	1	Provincia di Artemisa	\N	\N	\N	\N	\N	\N	t	f
10632	3549	Bayelsa	it	0	2013-06-05 11:51:46.075449+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
11271	3425	ベンガジ	ja	0	2013-06-05 12:19:15.17131+02	1	ベンガジ	\N	\N	\N	\N	\N	\N	t	f
11114	4370	Aveyron	es	0	2013-06-05 12:12:34.855087+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
11165	4503	Acaia	it	0	2013-06-05 12:14:54.771167+02	1	Acaia	\N	\N	\N	\N	\N	\N	t	f
11365	3546	Bauchi	de	0	2013-06-05 12:23:27.508408+02	1	Bauchi	\N	\N	\N	\N	\N	\N	t	f
11298	3617	Khartum	it	0	2013-06-05 12:20:21.095035+02	1	Khartum	\N	\N	\N	\N	\N	\N	t	f
11312	4816	Atolón Baa	es	0	2013-06-05 12:20:55.414995+02	1	Atolón Baa	\N	\N	\N	\N	\N	\N	t	f
11368	3546	Bauchi osariik	et	0	2013-06-05 12:23:38.309008+02	1	Bauchi osariik	\N	\N	\N	\N	\N	\N	t	f
11317	3797	Ballymena	en	0	2013-06-05 12:21:07.449663+02	1	Ballymena	\N	\N	\N	\N	\N	\N	t	f
11472	4906	Cebu	no	0	2013-06-05 12:28:19.130095+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
11436	760	Aveiro	nl	0	2013-06-05 12:26:50.768959+02	1	Aveiro	\N	\N	\N	\N	\N	\N	t	f
11604	327	Baden-Württemberg	nl	0	2013-06-05 12:33:51.886598+02	1	Baden-Württemberg	\N	\N	\N	\N	\N	\N	t	f
11450	5054	Artemisa Province	en	0	2013-06-05 12:27:25.917601+02	1	Artemisa Province	\N	\N	\N	\N	\N	\N	t	f
2794	766	Évoran piiri	fi	0	2013-05-27 19:35:29.71113+02	1	Évoran piiri	\N	\N	\N	\N	\N	\N	t	f
2795	766	District d'Évora	fr	0	2013-05-27 19:35:31.922002+02	1	District d'Évora	\N	\N	\N	\N	\N	\N	t	f
3470	2247	Distrito de Şoldăneşti	es	0	2013-05-27 20:03:39.872137+02	1	Distrito de Şoldăneşti	\N	\N	\N	\N	\N	\N	t	f
2797	766	エヴォラ県	ja	0	2013-05-27 19:35:36.378635+02	1	エヴォラ県	\N	\N	\N	\N	\N	\N	t	f
3932	1502	Colima osariik	et	0	2013-06-05 07:01:43.364701+02	1	Colima osariik	\N	\N	\N	\N	\N	\N	t	f
3957	4501	Argolida	no	0	2013-06-05 07:03:10.883039+02	1	Argolida	\N	\N	\N	\N	\N	\N	t	f
4401	2678	Provincia de Chachoengsao	es	0	2013-06-05 07:22:35.419995+02	1	Provincia de Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
3970	2990	Subdivision d'Aqaba	fr	0	2013-06-05 07:03:46.843956+02	1	Subdivision d'Aqaba	\N	\N	\N	\N	\N	\N	t	f
4016	3828	Cornwall	en	0	2013-06-05 07:05:42.356571+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
4021	3828	Cornovaglia	it	0	2013-06-05 07:05:54.359972+02	1	Cornovaglia	\N	\N	\N	\N	\N	\N	t	f
4419	3878	Bexley	fi	0	2013-06-05 07:23:19.960182+02	1	Bexley	\N	\N	\N	\N	\N	\N	t	f
4956	2891	Provincia di Batken	it	0	2013-06-05 07:46:33.572342+02	1	Provincia di Batken	\N	\N	\N	\N	\N	\N	t	f
4543	3115	Cuando Cubango	no	0	2013-06-05 07:28:31.201382+02	1	Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
4545	1301	Municipalidad de Baltinava	es	0	2013-06-05 07:28:38.772403+02	1	Municipalidad de Baltinava	\N	\N	\N	\N	\N	\N	t	f
4964	3116	provincia del Cunene	it	0	2013-06-05 07:46:53.041042+02	1	provincia del Cunene	\N	\N	\N	\N	\N	\N	t	f
5465	1065	Ayacucho	es	0	2013-06-05 08:08:36.528844+02	1	Ayacucho	\N	\N	\N	\N	\N	\N	t	f
4996	4897	Bukidnon	fr	0	2013-06-05 07:48:11.278118+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5000	4897	Bukidnon	no	0	2013-06-05 07:48:20.867329+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5022	1619	Baiti	it	0	2013-06-05 07:49:16.010514+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5531	521	Επαρχία Προύσας	el	0	2013-06-05 08:11:20.703066+02	1	Επαρχία Προύσας	\N	\N	\N	\N	\N	\N	t	f
5030	654	Andamaanit ja Nikobaarit	fi	0	2013-06-05 07:49:38.163101+02	1	Andamaanit ja Nikobaarit	\N	\N	\N	\N	\N	\N	t	f
5033	654	アンダマン・ニコバル諸島	ja	0	2013-06-05 07:49:48.550971+02	1	アンダマン・ニコバル諸島	\N	\N	\N	\N	\N	\N	t	f
6056	972	Chuquisaca Department	en	0	2013-06-05 08:33:58.273449+02	1	Chuquisaca Department	\N	\N	\N	\N	\N	\N	t	f
5044	2591	Bà Rịa-Vũng Tàu	es	0	2013-06-05 07:50:16.409601+02	1	Bà Rịa-Vũng Tàu	\N	\N	\N	\N	\N	\N	t	f
5546	3313	Fajoem	nl	0	2013-06-05 08:11:57.537881+02	1	Fajoem	\N	\N	\N	\N	\N	\N	t	f
5055	589	Canton d'Appenzell Rhodes-Extérieures	fr	0	2013-06-05 07:50:43.845692+02	1	Canton d'Appenzell Rhodes-Extérieures	\N	\N	\N	\N	\N	\N	t	f
5075	4502	Arcadia	it	0	2013-06-05 07:51:33.378476+02	1	Arcadia	\N	\N	\N	\N	\N	\N	t	f
6070	512	Antalya	fr	0	2013-06-05 08:34:32.182103+02	1	Antalya	\N	\N	\N	\N	\N	\N	t	f
6778	4309	Provincia de Alicante	es	0	2013-06-05 09:05:08.221585+02	1	Provincia de Alicante	\N	\N	\N	\N	\N	\N	t	f
6072	512	アンタルヤ県	ja	0	2013-06-05 08:34:37.12481+02	1	アンタルヤ県	\N	\N	\N	\N	\N	\N	t	f
6152	3307	Rode Zee	nl	0	2013-06-05 08:38:01.78112+02	1	Rode Zee	\N	\N	\N	\N	\N	\N	t	f
6203	268	Connecticut	fi	0	2013-06-05 08:40:19.598354+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6823	516	Bilecik	nl	0	2013-06-05 09:06:58.781909+02	1	Bilecik	\N	\N	\N	\N	\N	\N	t	f
6213	4378	Côte-d'Or	fi	0	2013-06-05 08:40:44.042523+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
7531	1117	dipartimento di Cerro Largo	it	0	2013-06-05 09:37:59.008519+02	1	dipartimento di Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
6869	4903	Camarines Sur	de	0	2013-06-05 09:08:50.836577+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
6871	4903	Camarines Sur	es	0	2013-06-05 09:08:55.574265+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
9724	4313	Επαρχία της Βαρκελώνης	el	0	2013-06-05 11:12:41.510414+02	1	Επαρχία της Βαρκελώνης	\N	\N	\N	\N	\N	\N	t	f
7549	4894	ボホール州	ja	0	2013-06-05 09:38:43.3431+02	1	ボホール州	\N	\N	\N	\N	\N	\N	t	f
8982	2996	Kerak	nl	0	2013-06-05 10:40:19.407932+02	1	Kerak	\N	\N	\N	\N	\N	\N	t	f
7707	1158	État d'Amazonas	fr	0	2013-06-05 09:45:16.995904+02	1	État d'Amazonas	\N	\N	\N	\N	\N	\N	t	f
7710	1158	Amazonas	nl	0	2013-06-05 09:45:24.335284+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
8171	3218	Brazzaville	fr	0	2013-06-05 10:05:53.625476+02	1	Brazzaville	\N	\N	\N	\N	\N	\N	t	f
9090	821	Covasna	fi	0	2013-06-05 10:44:52.651343+02	1	Covasna	\N	\N	\N	\N	\N	\N	t	f
8189	1830	Akvitaania	et	0	2013-06-05 10:06:37.788051+02	1	Akvitaania	\N	\N	\N	\N	\N	\N	t	f
8194	1830	Aquitanië	nl	0	2013-06-05 10:06:49.817154+02	1	Aquitanië	\N	\N	\N	\N	\N	\N	t	f
9836	2373	Krim	fi	0	2013-06-05 11:17:12.693112+02	1	Krim	\N	\N	\N	\N	\N	\N	t	f
9206	4512	Nome d'Arta	fr	0	2013-06-05 10:50:23.337691+02	1	Nome d'Arta	\N	\N	\N	\N	\N	\N	t	f
9753	2903	Buxoro	nl	0	2013-06-05 11:13:51.311244+02	1	Buxoro	\N	\N	\N	\N	\N	\N	t	f
9216	1733	Cəlilabad	nl	0	2013-06-05 10:50:47.55244+02	1	Cəlilabad	\N	\N	\N	\N	\N	\N	t	f
9236	2230	Chisinau	nl	0	2013-06-05 10:51:36.045588+02	1	Chisinau	\N	\N	\N	\N	\N	\N	t	f
9245	3129	Boucle du Mouhoun	fr	0	2013-06-05 10:51:58.091103+02	1	Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
9775	4290	Břeclav District	en	0	2013-06-05 11:14:44.919943+02	1	Břeclav District	\N	\N	\N	\N	\N	\N	t	f
9259	1829	Alsace	no	0	2013-06-05 10:52:33.218451+02	1	Alsace	\N	\N	\N	\N	\N	\N	t	f
9263	3479	Assaba	fr	0	2013-06-05 10:52:42.977502+02	1	Assaba	\N	\N	\N	\N	\N	\N	t	f
9869	4457	Boké (Präfektur)	de	0	2013-06-05 11:18:34.018242+02	1	Boké (Präfektur)	\N	\N	\N	\N	\N	\N	t	f
9299	312	アルバータ州	ja	0	2013-06-05 10:54:09.825903+02	1	アルバータ州	\N	\N	\N	\N	\N	\N	t	f
9837	2373	Crimée	fr	0	2013-06-05 11:17:15.072812+02	1	Crimée	\N	\N	\N	\N	\N	\N	t	f
9791	2960	Ardabīli provints	et	0	2013-06-05 11:15:24.066494+02	1	Ardabīli provints	\N	\N	\N	\N	\N	\N	t	f
9803	1544	Provincia di Bocas del Toro	it	0	2013-06-05 11:15:52.931865+02	1	Provincia di Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
9843	1818	Καταλονία	el	0	2013-06-05 11:17:29.90133+02	1	Καταλονία	\N	\N	\N	\N	\N	\N	t	f
9878	3058	Al-Šamal	fi	0	2013-06-05 11:18:58.965541+02	1	Al-Šamal	\N	\N	\N	\N	\N	\N	t	f
9846	1818	Kataloonia	et	0	2013-06-05 11:17:36.942791+02	1	Kataloonia	\N	\N	\N	\N	\N	\N	t	f
9874	3587	Au Cap	es	0	2013-06-05 11:18:46.629157+02	1	Au Cap	\N	\N	\N	\N	\N	\N	t	f
9881	3058	Ash Shamal	nl	0	2013-06-05 11:19:06.06648+02	1	Ash Shamal	\N	\N	\N	\N	\N	\N	t	f
10353	618	Acre	de	0	2013-06-05 11:39:55.489798+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
9886	2955	As-Sulaymānīyah' kubernerkond	et	0	2013-06-05 11:19:18.508721+02	1	As-Sulaymānīyah' kubernerkond	\N	\N	\N	\N	\N	\N	t	f
10373	2526	Provincia di Bulgan	it	0	2013-06-05 11:40:44.677555+02	1	Provincia di Bulgan	\N	\N	\N	\N	\N	\N	t	f
10405	3547	Benue osariik	et	0	2013-06-05 11:42:02.916948+02	1	Benue osariik	\N	\N	\N	\N	\N	\N	t	f
10417	3306	Asyut Governorate	en	0	2013-06-05 11:42:32.594264+02	1	Asyut Governorate	\N	\N	\N	\N	\N	\N	t	f
10426	4366	Ardennes	en	0	2013-06-05 11:42:55.093029+02	1	Ardennes	\N	\N	\N	\N	\N	\N	t	f
10465	2779	Central Visayas	nl	0	2013-06-05 11:44:33.842627+02	1	Central Visayas	\N	\N	\N	\N	\N	\N	t	f
10469	4621	Province of Avellino	en	0	2013-06-05 11:44:45.367202+02	1	Province of Avellino	\N	\N	\N	\N	\N	\N	t	f
2798	766	Évora	nl	0	2013-05-27 19:35:38.619178+02	1	Évora	\N	\N	\N	\N	\N	\N	t	f
2868	540	İzmir	nl	0	2013-05-27 19:38:44.015893+02	1	İzmir	\N	\N	\N	\N	\N	\N	t	f
2799	766	Évora	no	0	2013-05-27 19:35:40.891854+02	1	Évora	\N	\N	\N	\N	\N	\N	t	f
2823	919	Ħamrun	fr	0	2013-05-27 19:36:50.603419+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2800	1839	Île-de-France	de	0	2013-05-27 19:35:48.242016+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2801	1839	Île-de-France	en	0	2013-05-27 19:35:53.398299+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2840	2335	Čaška Municipality	en	0	2013-05-27 19:37:30.952842+02	1	Čaška Municipality	\N	\N	\N	\N	\N	\N	t	f
2802	1839	Isla de Francia	es	0	2013-05-27 19:35:56.058892+02	1	Isla de Francia	\N	\N	\N	\N	\N	\N	t	f
2824	919	Ħamrun	it	0	2013-05-27 19:36:52.767754+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2803	1839	Île-de-France	et	0	2013-05-27 19:35:58.26256+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2804	1839	Île-de-France	fi	0	2013-05-27 19:36:01.811164+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2805	1839	Île-de-France	fr	0	2013-05-27 19:36:04.014231+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2825	919	Ħamrun	nl	0	2013-05-27 19:36:55.103974+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2806	1839	Île-de-France	it	0	2013-05-27 19:36:10.713647+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2807	1839	イル＝ド＝フランス地域圏	ja	0	2013-05-27 19:36:13.623277+02	1	イル＝ド＝フランス地域圏	\N	\N	\N	\N	\N	\N	t	f
2850	2061	Šenčur	nl	0	2013-05-27 19:37:59.858344+02	1	Šenčur	\N	\N	\N	\N	\N	\N	t	f
2808	1839	Île-de-France	nl	0	2013-05-27 19:36:15.88527+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2826	1774	Şirvan	de	0	2013-05-27 19:36:57.743856+02	1	Şirvan	\N	\N	\N	\N	\N	\N	t	f
2809	1839	Île-de-France	no	0	2013-05-27 19:36:18.130718+02	1	Île-de-France	\N	\N	\N	\N	\N	\N	t	f
2810	1287	Žilinský kraj	de	0	2013-05-27 19:36:20.942653+02	1	Žilinský kraj	\N	\N	\N	\N	\N	\N	t	f
2841	2335	Municipalidad de Čaška	es	0	2013-05-27 19:37:34.248038+02	1	Municipalidad de Čaška	\N	\N	\N	\N	\N	\N	t	f
2811	1287	Žilina Region	en	0	2013-05-27 19:36:23.134864+02	1	Žilina Region	\N	\N	\N	\N	\N	\N	t	f
2827	1774	Σιρβάν	el	0	2013-05-27 19:36:59.950022+02	1	Σιρβάν	\N	\N	\N	\N	\N	\N	t	f
2812	1287	Región de Žilina	es	0	2013-05-27 19:36:25.470436+02	1	Región de Žilina	\N	\N	\N	\N	\N	\N	t	f
2813	1287	Žilina maakond	et	0	2013-05-27 19:36:27.992544+02	1	Žilina maakond	\N	\N	\N	\N	\N	\N	t	f
2814	1287	Žilinan alue	fi	0	2013-05-27 19:36:30.223793+02	1	Žilinan alue	\N	\N	\N	\N	\N	\N	t	f
2828	1774	Shirvan	en	0	2013-05-27 19:37:02.155681+02	1	Shirvan	\N	\N	\N	\N	\N	\N	t	f
2815	1287	Région de Žilina	fr	0	2013-05-27 19:36:32.413414+02	1	Région de Žilina	\N	\N	\N	\N	\N	\N	t	f
2816	1287	Regione di Žilina	it	0	2013-05-27 19:36:34.744066+02	1	Regione di Žilina	\N	\N	\N	\N	\N	\N	t	f
2829	1774	Shirvan	es	0	2013-05-27 19:37:04.335973+02	1	Shirvan	\N	\N	\N	\N	\N	\N	t	f
2818	1287	Žilina	nl	0	2013-05-27 19:36:39.172305+02	1	Žilina	\N	\N	\N	\N	\N	\N	t	f
2819	1287	Žilina	no	0	2013-05-27 19:36:41.364295+02	1	Žilina	\N	\N	\N	\N	\N	\N	t	f
2842	2335	Tchachka	fr	0	2013-05-27 19:37:36.440174+02	1	Tchachka	\N	\N	\N	\N	\N	\N	t	f
2820	919	Ħamrun	de	0	2013-05-27 19:36:43.957854+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2830	1774	Şirvan	fi	0	2013-05-27 19:37:06.609612+02	1	Şirvan	\N	\N	\N	\N	\N	\N	t	f
2821	919	Ħamrun	en	0	2013-05-27 19:36:46.213919+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2822	919	Ħamrun	es	0	2013-05-27 19:36:48.415257+02	1	Ħamrun	\N	\N	\N	\N	\N	\N	t	f
2831	1774	Şirvan	fr	0	2013-05-27 19:37:08.83442+02	1	Şirvan	\N	\N	\N	\N	\N	\N	t	f
2857	1763	Şəki	it	0	2013-05-27 19:38:17.910936+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2832	1774	Şirvan	it	0	2013-05-27 19:37:11.036713+02	1	Şirvan	\N	\N	\N	\N	\N	\N	t	f
2843	2335	Čaška	it	0	2013-05-27 19:37:41.132754+02	1	Čaška	\N	\N	\N	\N	\N	\N	t	f
2833	1774	Şirvan	nl	0	2013-05-27 19:37:13.259387+02	1	Şirvan	\N	\N	\N	\N	\N	\N	t	f
2834	1959	Črenšovci	de	0	2013-05-27 19:37:15.923608+02	1	Črenšovci	\N	\N	\N	\N	\N	\N	t	f
2851	1763	Şəki	de	0	2013-05-27 19:38:02.481046+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2835	1959	Črenšovci	en	0	2013-05-27 19:37:19.331928+02	1	Črenšovci	\N	\N	\N	\N	\N	\N	t	f
2844	2335	Čaška	nl	0	2013-05-27 19:37:43.332537+02	1	Čaška	\N	\N	\N	\N	\N	\N	t	f
2836	1959	Črenšovci	fr	0	2013-05-27 19:37:21.531084+02	1	Črenšovci	\N	\N	\N	\N	\N	\N	t	f
2837	1959	Črenšovci	it	0	2013-05-27 19:37:23.712344+02	1	Črenšovci	\N	\N	\N	\N	\N	\N	t	f
2838	1959	チュレンショフツィ	ja	0	2013-05-27 19:37:25.905051+02	1	チュレンショフツィ	\N	\N	\N	\N	\N	\N	t	f
2839	1959	Črenšovci	nl	0	2013-05-27 19:37:28.169621+02	1	Črenšovci	\N	\N	\N	\N	\N	\N	t	f
2845	2061	Šenčur	de	0	2013-05-27 19:37:45.860291+02	1	Šenčur	\N	\N	\N	\N	\N	\N	t	f
2852	1763	Shaki	en	0	2013-05-27 19:38:05.738548+02	1	Shaki	\N	\N	\N	\N	\N	\N	t	f
2846	2061	Municipality of Šenčur	en	0	2013-05-27 19:37:48.073756+02	1	Municipality of Šenčur	\N	\N	\N	\N	\N	\N	t	f
2847	2061	Šenčur	fr	0	2013-05-27 19:37:53.225205+02	1	Šenčur	\N	\N	\N	\N	\N	\N	t	f
2862	540	Izmir Province	en	0	2013-05-27 19:38:29.59845+02	1	Izmir Province	\N	\N	\N	\N	\N	\N	t	f
2848	2061	Šenčur	it	0	2013-05-27 19:37:55.416011+02	1	Šenčur	\N	\N	\N	\N	\N	\N	t	f
2858	1763	Şəki	nl	0	2013-05-27 19:38:20.141545+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2849	2061	シェンチュル	ja	0	2013-05-27 19:37:57.612551+02	1	シェンチュル	\N	\N	\N	\N	\N	\N	t	f
2853	1763	Şəki	es	0	2013-05-27 19:38:07.933174+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2854	1763	Şəki	et	0	2013-05-27 19:38:10.125337+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2859	1763	Şəki	no	0	2013-05-27 19:38:22.424011+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2855	1763	Şəki	fi	0	2013-05-27 19:38:12.403566+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
2856	1763	Shaki	fr	0	2013-05-27 19:38:14.610463+02	1	Shaki	\N	\N	\N	\N	\N	\N	t	f
2865	540	Izmir (province)	fr	0	2013-05-27 19:38:36.414776+02	1	Izmir (province)	\N	\N	\N	\N	\N	\N	t	f
2860	540	İzmir (Provinz)	de	0	2013-05-27 19:38:25.171645+02	1	İzmir (Provinz)	\N	\N	\N	\N	\N	\N	t	f
2863	540	Provincia de Esmirna	es	0	2013-05-27 19:38:31.789522+02	1	Provincia de Esmirna	\N	\N	\N	\N	\N	\N	t	f
2861	540	Επαρχία Σμύρνης	el	0	2013-05-27 19:38:27.36796+02	1	Επαρχία Σμύρνης	\N	\N	\N	\N	\N	\N	t	f
2864	540	İzmirin maakunta	fi	0	2013-05-27 19:38:34.056388+02	1	İzmirin maakunta	\N	\N	\N	\N	\N	\N	t	f
2867	540	イズミル県	ja	0	2013-05-27 19:38:41.526533+02	1	イズミル県	\N	\N	\N	\N	\N	\N	t	f
2866	540	Provincia di Smirne	it	0	2013-05-27 19:38:39.280751+02	1	Provincia di Smirne	\N	\N	\N	\N	\N	\N	t	f
2869	540	İzmir (provins)	no	0	2013-05-27 19:38:46.24292+02	1	İzmir (provins)	\N	\N	\N	\N	\N	\N	t	f
2870	2136	Municipality of Žužemberk	en	0	2013-05-27 19:38:48.789389+02	1	Municipality of Žužemberk	\N	\N	\N	\N	\N	\N	t	f
2871	568	Şanlıurfa (Provinz)	de	0	2013-05-27 19:38:51.653309+02	1	Şanlıurfa (Provinz)	\N	\N	\N	\N	\N	\N	t	f
2872	568	Επαρχία Σανλιούρφα	el	0	2013-05-27 19:38:53.85865+02	1	Επαρχία Σανλιούρφα	\N	\N	\N	\N	\N	\N	t	f
2873	568	Şanlıurfa Province	en	0	2013-05-27 19:38:56.076811+02	1	Şanlıurfa Province	\N	\N	\N	\N	\N	\N	t	f
2874	568	Provincia de Sanliurfa	es	0	2013-05-27 19:38:58.279893+02	1	Provincia de Sanliurfa	\N	\N	\N	\N	\N	\N	t	f
2878	568	Şanlıurfa	nl	0	2013-05-27 19:39:07.354136+02	1	Şanlıurfa	\N	\N	\N	\N	\N	\N	t	f
2875	568	Şanlıurfa (province)	fr	0	2013-05-27 19:39:00.495299+02	1	Şanlıurfa (province)	\N	\N	\N	\N	\N	\N	t	f
2908	2962	Ilām	fi	0	2013-05-27 19:40:17.354125+02	1	Ilām	\N	\N	\N	\N	\N	\N	t	f
3471	2247	Raion de Șoldănești	fr	0	2013-05-27 20:03:42.088737+02	1	Raion de Șoldănești	\N	\N	\N	\N	\N	\N	t	f
2034	257	南スーダン	ja	0	2013-06-05 07:01:59.767416+02	1	みなみスーダン	\N	\N	\N	\N	\N	\N	t	f
4402	2678	Province de Chachoengsao	fr	0	2013-06-05 07:22:37.812088+02	1	Province de Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
4410	4868	Canterbury ringkond	et	0	2013-06-05 07:22:57.553191+02	1	Canterbury ringkond	\N	\N	\N	\N	\N	\N	t	f
4957	2891	バトケン州	ja	0	2013-06-05 07:46:35.959703+02	1	バトケン州	\N	\N	\N	\N	\N	\N	t	f
4428	3842	Durhami krahvkond	et	0	2013-06-05 07:23:42.3483+02	1	Durhami krahvkond	\N	\N	\N	\N	\N	\N	t	f
4511	2550	Chagang-do	de	0	2013-06-05 07:27:13.111507+02	1	Chagang-do	\N	\N	\N	\N	\N	\N	t	f
4529	4546	Región de Bafatá	es	0	2013-06-05 07:27:57.210601+02	1	Región de Bafatá	\N	\N	\N	\N	\N	\N	t	f
5056	589	Canton Appenzello Esterno	it	0	2013-06-05 07:50:46.217422+02	1	Canton Appenzello Esterno	\N	\N	\N	\N	\N	\N	t	f
4555	4852	Bagmati	nl	0	2013-06-05 07:29:03.192516+02	1	Bagmati	\N	\N	\N	\N	\N	\N	t	f
5479	4636	Provinz Carbonia-Iglesias	de	0	2013-06-05 08:09:10.797889+02	1	Provinz Carbonia-Iglesias	\N	\N	\N	\N	\N	\N	t	f
5113	3445	Az Zawiyah	no	0	2013-06-05 07:53:11.189295+02	1	Az Zawiyah	\N	\N	\N	\N	\N	\N	t	f
5504	2385	Oblast de Tchernihiv	fr	0	2013-06-05 08:10:11.287523+02	1	Oblast de Tchernihiv	\N	\N	\N	\N	\N	\N	t	f
6059	972	Département de Chuquisaca	fr	0	2013-06-05 08:34:05.384184+02	1	Département de Chuquisaca	\N	\N	\N	\N	\N	\N	t	f
5526	4782	Arno (atolli)	fi	0	2013-06-05 08:11:05.18294+02	1	Arno (atolli)	\N	\N	\N	\N	\N	\N	t	f
6075	519	Bolu	de	0	2013-06-05 08:34:45.135546+02	1	Bolu	\N	\N	\N	\N	\N	\N	t	f
6779	4309	Alicante provints	et	0	2013-06-05 09:05:10.648956+02	1	Alicante provints	\N	\N	\N	\N	\N	\N	t	f
6076	519	Επαρχία Μπολού	el	0	2013-06-05 08:34:47.465024+02	1	Επαρχία Μπολού	\N	\N	\N	\N	\N	\N	t	f
6111	3073	Al Bahah (province)	fr	0	2013-06-05 08:36:20.028385+02	1	Al Bahah (province)	\N	\N	\N	\N	\N	\N	t	f
6199	268	Κονέκτικατ	el	0	2013-06-05 08:40:10.038389+02	1	Κονέκτικατ	\N	\N	\N	\N	\N	\N	t	f
6802	3317	Ismaïlia	nl	0	2013-06-05 09:06:06.765611+02	1	Ismaïlia	\N	\N	\N	\N	\N	\N	t	f
6204	268	Connecticut	fr	0	2013-06-05 08:40:21.953061+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
7533	1117	Cerro Largo	nl	0	2013-06-05 09:38:03.830733+02	1	Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
6833	3342	Benishangul-Gumuz	no	0	2013-06-05 09:07:23.231207+02	1	Benishangul-Gumuz	\N	\N	\N	\N	\N	\N	t	f
6834	1621	Buada	de	0	2013-06-05 09:07:25.980321+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
6859	1136	アプレ州	ja	0	2013-06-05 09:08:26.234892+02	1	アプレ州	\N	\N	\N	\N	\N	\N	t	f
7576	995	Departamento de Antioquia	de	0	2013-06-05 09:39:55.161174+02	1	Departamento de Antioquia	\N	\N	\N	\N	\N	\N	t	f
6892	4151	Balé	de	0	2013-06-05 09:09:46.793008+02	1	Balé	\N	\N	\N	\N	\N	\N	t	f
6901	2398	Περιφέρεια Τσελιάμπινσκ	el	0	2013-06-05 09:10:12.889852+02	1	Περιφέρεια Τσελιάμπινσκ	\N	\N	\N	\N	\N	\N	t	f
8983	2392	Oblast Astrachan	de	0	2013-06-05 10:40:22.330883+02	1	Oblast Astrachan	\N	\N	\N	\N	\N	\N	t	f
6925	622	Bahia osariik	et	0	2013-06-05 09:11:18.527629+02	1	Bahia osariik	\N	\N	\N	\N	\N	\N	t	f
7717	2384	Oblast de Tcherkassy	fr	0	2013-06-05 09:45:42.82465+02	1	Oblast de Tcherkassy	\N	\N	\N	\N	\N	\N	t	f
7726	3914	City of Bradford	nl	0	2013-06-05 09:46:08.373893+02	1	City of Bradford	\N	\N	\N	\N	\N	\N	t	f
11420	3917	コヴェントリー	ja	0	2013-06-05 12:26:11.795578+02	1	コヴェントリー	\N	\N	\N	\N	\N	\N	t	f
7727	3914	City of Bradford	no	0	2013-06-05 09:46:10.727396+02	1	City of Bradford	\N	\N	\N	\N	\N	\N	t	f
9012	3376	Conakry	no	0	2013-06-05 10:41:32.421487+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
7735	4891	Basilan	no	0	2013-06-05 09:46:32.115797+02	1	Basilan	\N	\N	\N	\N	\N	\N	t	f
8178	2493	Provincia de Akmola	es	0	2013-06-05 10:06:10.862603+02	1	Provincia de Akmola	\N	\N	\N	\N	\N	\N	t	f
10633	3549	バイエルサ州	ja	0	2013-06-05 11:51:48.470822+02	1	バイエルサ州	\N	\N	\N	\N	\N	\N	t	f
9161	1115	Artigas Department	en	0	2013-06-05 10:48:34.509854+02	1	Artigas Department	\N	\N	\N	\N	\N	\N	t	f
9168	1115	Artigas	no	0	2013-06-05 10:48:51.196418+02	1	Artigas	\N	\N	\N	\N	\N	\N	t	f
11327	517	ビンギョル県	ja	0	2013-06-05 12:21:31.992076+02	1	ビンギョル県	\N	\N	\N	\N	\N	\N	t	f
9191	3542	Abia	it	0	2013-06-05 10:49:46.99417+02	1	Abia	\N	\N	\N	\N	\N	\N	t	f
11115	4370	Aveyroni departemang	et	0	2013-06-05 12:12:37.200229+02	1	Aveyroni departemang	\N	\N	\N	\N	\N	\N	t	f
9726	4313	Provincia de Barcelona	es	0	2013-06-05 11:12:46.193213+02	1	Provincia de Barcelona	\N	\N	\N	\N	\N	\N	t	f
9848	1818	Catalogne	fr	0	2013-06-05 11:17:41.741116+02	1	Catalogne	\N	\N	\N	\N	\N	\N	t	f
10355	618	Acre	es	0	2013-06-05 11:40:00.1942+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
11130	3913	District métropolitain de Bolton	fr	0	2013-06-05 12:13:16.3324+02	1	District métropolitain de Bolton	\N	\N	\N	\N	\N	\N	t	f
10530	979	Aisén del General Carlos Ibáñez del Campo	fi	0	2013-06-05 11:47:21.391111+02	1	Aisén del General Carlos Ibáñez del Campo	\N	\N	\N	\N	\N	\N	t	f
10554	700	Chaco Province	en	0	2013-06-05 11:48:28.070757+02	1	Chaco Province	\N	\N	\N	\N	\N	\N	t	f
10607	814	Botoşani County	en	0	2013-06-05 11:50:45.135086+02	1	Botoşani County	\N	\N	\N	\N	\N	\N	t	f
11266	3425	Bengasi	es	0	2013-06-05 12:19:03.134642+02	1	Bengasi	\N	\N	\N	\N	\N	\N	t	f
11340	4635	Chieti	nl	0	2013-06-05 12:22:04.569047+02	1	Chieti	\N	\N	\N	\N	\N	\N	t	f
11276	4548	Biombon alue	fi	0	2013-06-05 12:19:27.45841+02	1	Biombon alue	\N	\N	\N	\N	\N	\N	t	f
11323	517	Provincia de Bingöl	es	0	2013-06-05 12:21:22.280115+02	1	Provincia de Bingöl	\N	\N	\N	\N	\N	\N	t	f
11613	1727	Baku	en	0	2013-07-05 18:45:51.076343+02	1	Baku	\N	\N	\N	\N	\N	\N	t	f
11357	3311	Gouvernement ad-Daqahliyya	de	0	2013-06-05 12:23:00.064144+02	1	Gouvernement ad-Daqahliyya	\N	\N	\N	\N	\N	\N	t	f
11435	760	アヴェイロ県	ja	0	2013-06-05 12:26:48.423769+02	1	アヴェイロ県	\N	\N	\N	\N	\N	\N	t	f
11397	1889	Basilicata	nl	0	2013-06-05 12:25:10.839313+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
11608	5194	Tuscon	\N	0	2013-06-15 20:05:06.397465+02	3	Tuscon	\N	\N	\N	\N	\N	\N	f	f
11606	5092	Bombay	\N	0	2013-06-07 09:52:50.447985+02	\N	Bombay	\N	\N	\N	\N	\N	\N	f	f
11609	1805	Prague	en	0	2013-06-26 18:49:32.066694+02	1	Prague	\N	\N	\N	\N	\N	\N	t	f
11614	243	Sovjetunionen	no	0	2013-07-17 21:01:07.295293+02	1	Sovjetunionen	\N	\N	\N	\N	\N	\N	t	f
11615	7712	København	da	0	2013-07-18 09:02:48.722725+02	1	København	\N	\N	\N	\N	\N	\N	t	f
2876	568	Provincia di Şanlıurfa	it	0	2013-05-27 19:39:02.796688+02	1	Provincia di Şanlıurfa	\N	\N	\N	\N	\N	\N	t	f
2877	568	シャンルウルファ県	ja	0	2013-05-27 19:39:05.137802+02	1	シャンルウルファ県	\N	\N	\N	\N	\N	\N	t	f
3472	2247	Distretto di Şoldăneşti	it	0	2013-05-27 20:03:44.3637+02	1	Distretto di Şoldăneşti	\N	\N	\N	\N	\N	\N	t	f
3479	2958	Ida-Aserbaidžaan	et	0	2013-05-27 20:04:00.870146+02	1	Ida-Aserbaidžaan	\N	\N	\N	\N	\N	\N	t	f
3940	3493	Cargados Carajos	en	0	2013-06-05 07:02:21.932592+02	1	Cargados Carajos	\N	\N	\N	\N	\N	\N	t	f
3943	3493	Saint-Brandon	fr	0	2013-06-05 07:02:30.32845+02	1	Saint-Brandon	\N	\N	\N	\N	\N	\N	t	f
1848	142	モンゴル国	ja	0	2013-06-05 07:02:41.088234+02	1	モンゴルこく	\N	\N	\N	\N	\N	\N	t	f
4404	2678	チャチューンサオ県	ja	0	2013-06-05 07:22:42.613467+02	1	チャチューンサオ県	\N	\N	\N	\N	\N	\N	t	f
3951	4501	Argólida	es	0	2013-06-05 07:02:53.994427+02	1	Argólida	\N	\N	\N	\N	\N	\N	t	f
4052	3310	Gouvernorat du Caire	fr	0	2013-06-05 07:07:11.342171+02	1	Gouvernorat du Caire	\N	\N	\N	\N	\N	\N	t	f
4464	1845	Basse-Normandie	no	0	2013-06-05 07:25:10.859469+02	1	Basse-Normandie	\N	\N	\N	\N	\N	\N	t	f
4958	2891	Batken	nl	0	2013-06-05 07:46:38.466342+02	1	Batken	\N	\N	\N	\N	\N	\N	t	f
5119	4156	Provincia di Boulgou	it	0	2013-06-05 07:53:25.709799+02	1	Provincia di Boulgou	\N	\N	\N	\N	\N	\N	t	f
5498	3088	As-Suwayda	no	0	2013-06-05 08:09:56.301791+02	1	As-Suwayda	\N	\N	\N	\N	\N	\N	t	f
5122	2527	Bajanchongor-Aimag	de	0	2013-06-05 07:53:33.37064+02	1	Bajanchongor-Aimag	\N	\N	\N	\N	\N	\N	t	f
5505	2385	Oblast' di Černihiv	it	0	2013-06-05 08:10:13.660067+02	1	Oblast' di Černihiv	\N	\N	\N	\N	\N	\N	t	f
6065	512	Επαρχία Αττάλειας	el	0	2013-06-05 08:34:20.310538+02	1	Επαρχία Αττάλειας	\N	\N	\N	\N	\N	\N	t	f
5512	2541	Lõuna-Ch'ungch'ŏngi provints	et	0	2013-06-05 08:10:31.259475+02	1	Lõuna-Ch'ungch'ŏngi provints	\N	\N	\N	\N	\N	\N	t	f
5516	2541	忠清南道	ja	0	2013-06-05 08:10:40.700635+02	1	忠清南道	\N	\N	\N	\N	\N	\N	t	f
6794	3881	Camden	nl	0	2013-06-05 09:05:47.023628+02	1	Camden	\N	\N	\N	\N	\N	\N	t	f
5529	4782	アルノ環礁	ja	0	2013-06-05 08:11:15.52646+02	1	アルノ環礁	\N	\N	\N	\N	\N	\N	t	f
5539	521	Bursa	no	0	2013-06-05 08:11:40.58162+02	1	Bursa	\N	\N	\N	\N	\N	\N	t	f
7534	1117	Cerro Largo	no	0	2013-06-05 09:38:06.22715+02	1	Cerro Largo	\N	\N	\N	\N	\N	\N	t	f
7575	580	Ardahan	no	0	2013-06-05 09:39:52.193339+02	1	Ardahan	\N	\N	\N	\N	\N	\N	t	f
8984	2392	Περιφέρεια Άστραχαν	el	0	2013-06-05 10:40:24.665555+02	1	Περιφέρεια Άστραχαν	\N	\N	\N	\N	\N	\N	t	f
7577	995	Αντιόχεια Κολομβίας	el	0	2013-06-05 09:39:57.502373+02	1	Αντιόχεια Κολομβίας	\N	\N	\N	\N	\N	\N	t	f
7584	995	アンティオキア県	ja	0	2013-06-05 09:40:14.116959+02	1	アンティオキア県	\N	\N	\N	\N	\N	\N	t	f
11116	4370	Aveyron	fi	0	2013-06-05 12:12:39.573272+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
7595	2202	Famagusta	nl	0	2013-06-05 09:40:41.190128+02	1	Famagusta	\N	\N	\N	\N	\N	\N	t	f
9046	2859	Badghis	no	0	2013-06-05 10:42:55.405092+02	1	Badghis	\N	\N	\N	\N	\N	\N	t	f
7659	971	Cochabamba	no	0	2013-06-05 09:43:16.967833+02	1	Cochabamba	\N	\N	\N	\N	\N	\N	t	f
7680	3004	Al Asimah	fr	0	2013-06-05 09:44:10.651027+02	1	Al Asimah	\N	\N	\N	\N	\N	\N	t	f
10599	3814	Carmarthenshire	et	0	2013-06-05 11:50:25.32212+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
7685	3916	Calderdale	en	0	2013-06-05 09:44:23.161464+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
9048	689	Connacht	en	0	2013-06-05 10:43:00.690479+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
7694	3626	Isla Ascensión	es	0	2013-06-05 09:44:45.279324+02	1	Isla Ascensión	\N	\N	\N	\N	\N	\N	t	f
8180	2493	Aqmolan alue	fi	0	2013-06-05 10:06:15.642051+02	1	Aqmolan alue	\N	\N	\N	\N	\N	\N	t	f
9070	1668	Central	nl	0	2013-06-05 10:43:55.160842+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
9201	3584	Anse aux Pins	nl	0	2013-06-05 10:50:11.218454+02	1	Anse aux Pins	\N	\N	\N	\N	\N	\N	t	f
10614	814	District Botoșani	nl	0	2013-06-05 11:51:02.121037+02	1	District Botoșani	\N	\N	\N	\N	\N	\N	t	f
9208	4512	アルタ県	ja	0	2013-06-05 10:50:28.077351+02	1	アルタ県	\N	\N	\N	\N	\N	\N	t	f
9276	761	Beja	no	0	2013-06-05 10:53:14.13903+02	1	Beja	\N	\N	\N	\N	\N	\N	t	f
9730	4313	Provincia di Barcellona	it	0	2013-06-05 11:12:55.772138+02	1	Provincia di Barcellona	\N	\N	\N	\N	\N	\N	t	f
10634	3549	Bayelsa	nl	0	2013-06-05 11:51:50.872709+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
9743	4364	Alpes-Maritimes	no	0	2013-06-05 11:13:27.114253+02	1	Alpes-Maritimes	\N	\N	\N	\N	\N	\N	t	f
9798	1544	Provinz Bocas del Toro	de	0	2013-06-05 11:15:41.087109+02	1	Provinz Bocas del Toro	\N	\N	\N	\N	\N	\N	t	f
11117	4370	Aveyron‎	fr	0	2013-06-05 12:12:41.90897+02	1	Aveyron‎	\N	\N	\N	\N	\N	\N	t	f
9813	3543	Adamawa	it	0	2013-06-05 11:16:16.996707+02	1	Adamawa	\N	\N	\N	\N	\N	\N	t	f
10645	4905	Provincia di Cavite	it	0	2013-06-05 11:52:17.87593+02	1	Provincia di Cavite	\N	\N	\N	\N	\N	\N	t	f
10356	618	Acre osariik	et	0	2013-06-05 11:40:02.560613+02	1	Acre osariik	\N	\N	\N	\N	\N	\N	t	f
10423	3306	Assioet	nl	0	2013-06-05 11:42:47.246185+02	1	Assioet	\N	\N	\N	\N	\N	\N	t	f
11211	588	Kanton Appenzell Innerrhoden	de	0	2013-06-05 12:16:48.295904+02	1	Kanton Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
10646	4905	カヴィテ州	ja	0	2013-06-05 11:52:20.246869+02	1	カヴィテ州	\N	\N	\N	\N	\N	\N	t	f
11140	1066	regione di Cajamarca	it	0	2013-06-05 12:13:44.42961+02	1	regione di Cajamarca	\N	\N	\N	\N	\N	\N	t	f
10675	1646	Regione autonoma di Bougainville	it	0	2013-06-05 11:53:32.172479+02	1	Regione autonoma di Bougainville	\N	\N	\N	\N	\N	\N	t	f
10705	4642	Catania	en	0	2013-06-05 11:54:45.59402+02	1	Catania	\N	\N	\N	\N	\N	\N	t	f
11158	3265	Bouira	no	0	2013-06-05 12:14:36.230192+02	1	Bouira	\N	\N	\N	\N	\N	\N	t	f
11292	702	Catamarca	nl	0	2013-06-05 12:20:06.483733+02	1	Catamarca	\N	\N	\N	\N	\N	\N	t	f
11166	4503	アハイア県	ja	0	2013-06-05 12:14:57.140033+02	1	アハイア県	\N	\N	\N	\N	\N	\N	t	f
11183	810	Bacău	fi	0	2013-06-05 12:15:39.171388+02	1	Bacău	\N	\N	\N	\N	\N	\N	t	f
11610	1805	Praga	es	0	2013-06-26 18:50:17.024055+02	1	Praga	\N	\N	\N	\N	\N	\N	t	f
11616	7712	Köpenhamn	sv	0	2013-07-18 09:03:18.820677+02	1	Köpenhamn	\N	\N	\N	\N	\N	\N	t	f
2879	568	Şanlıurfa (provins)	no	0	2013-05-27 19:39:09.577282+02	1	Şanlıurfa (provins)	\N	\N	\N	\N	\N	\N	t	f
2880	484	Örebro län	de	0	2013-05-27 19:39:12.320838+02	1	Örebro län	\N	\N	\N	\N	\N	\N	t	f
3473	2247	Șoldănești	nl	0	2013-05-27 20:03:46.655197+02	1	Șoldănești	\N	\N	\N	\N	\N	\N	t	f
3944	3493	Saint Brandon	it	0	2013-06-05 07:02:32.68625+02	1	Saint Brandon	\N	\N	\N	\N	\N	\N	t	f
3966	2990	Aqaba	de	0	2013-06-05 07:03:37.265897+02	1	Aqaba	\N	\N	\N	\N	\N	\N	t	f
4405	2678	Changwat Chachoengsao	nl	0	2013-06-05 07:22:44.995536+02	1	Changwat Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
3967	2990	Aqaba Governorate	en	0	2013-06-05 07:03:39.608482+02	1	Aqaba Governorate	\N	\N	\N	\N	\N	\N	t	f
3973	2990	Akaba	nl	0	2013-06-05 07:03:54.40291+02	1	Akaba	\N	\N	\N	\N	\N	\N	t	f
4003	389	Akita	no	0	2013-06-05 07:05:10.032609+02	1	Akita	\N	\N	\N	\N	\N	\N	t	f
4425	3842	Durham	de	0	2013-06-05 07:23:35.06169+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
4035	3112	Benguela	fr	0	2013-06-05 07:06:28.992452+02	1	Benguela	\N	\N	\N	\N	\N	\N	t	f
4959	3116	Provinz Cunene	de	0	2013-06-05 07:46:41.25489+02	1	Provinz Cunene	\N	\N	\N	\N	\N	\N	t	f
4452	1179	Black Point	fr	0	2013-06-05 07:24:41.255962+02	1	Black Point	\N	\N	\N	\N	\N	\N	t	f
4494	1835	Centre region	en	0	2013-06-05 07:26:29.098221+02	1	Centre region	\N	\N	\N	\N	\N	\N	t	f
4518	2550	Chagang-do	nl	0	2013-06-05 07:27:30.286037+02	1	Chagang-do	\N	\N	\N	\N	\N	\N	t	f
4972	3036	Asj Sjarqiyah	nl	0	2013-06-05 07:47:12.495473+02	1	Asj Sjarqiyah	\N	\N	\N	\N	\N	\N	t	f
4546	1301	Baltinava piirkond	et	0	2013-06-05 07:28:41.242383+02	1	Baltinava piirkond	\N	\N	\N	\N	\N	\N	t	f
5511	2541	Chungcheong del Sur	es	0	2013-06-05 08:10:28.87406+02	1	Chungcheong del Sur	\N	\N	\N	\N	\N	\N	t	f
4990	4867	Baie de l'Abondance	fr	0	2013-06-05 07:47:56.608934+02	1	Baie de l'Abondance	\N	\N	\N	\N	\N	\N	t	f
5037	4757	Béni-Mellal Province	en	0	2013-06-05 07:49:58.408801+02	1	Béni-Mellal Province	\N	\N	\N	\N	\N	\N	t	f
5085	3130	Cascades	nl	0	2013-06-05 07:51:57.904129+02	1	Cascades	\N	\N	\N	\N	\N	\N	t	f
5521	4079	Bogra	fr	0	2013-06-05 08:10:52.894217+02	1	Bogra	\N	\N	\N	\N	\N	\N	t	f
6066	512	Antalya Province	en	0	2013-06-05 08:34:22.650143+02	1	Antalya Province	\N	\N	\N	\N	\N	\N	t	f
5524	4782	Arno Atoll	en	0	2013-06-05 08:11:00.450333+02	1	Arno Atoll	\N	\N	\N	\N	\N	\N	t	f
5527	4782	Arno (atoll)	fr	0	2013-06-05 08:11:07.606917+02	1	Arno (atoll)	\N	\N	\N	\N	\N	\N	t	f
5528	4782	Arno	it	0	2013-06-05 08:11:09.964426+02	1	Arno	\N	\N	\N	\N	\N	\N	t	f
6090	1496	Basse-Californie	fr	0	2013-06-05 08:35:22.690171+02	1	Basse-Californie	\N	\N	\N	\N	\N	\N	t	f
6795	3881	Camden	no	0	2013-06-05 09:05:49.424289+02	1	Camden	\N	\N	\N	\N	\N	\N	t	f
6094	1496	Baja California	no	0	2013-06-05 08:35:35.057454+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6121	3804	Blackpool	et	0	2013-06-05 08:36:45.420977+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
6160	591	Canton Basilea Campagna	it	0	2013-06-05 08:38:21.388163+02	1	Canton Basilea Campagna	\N	\N	\N	\N	\N	\N	t	f
6808	1833	Burgundia	et	0	2013-06-05 09:06:21.75819+02	1	Burgundia	\N	\N	\N	\N	\N	\N	t	f
6161	591	バーゼル＝ラント準州	ja	0	2013-06-05 08:38:23.77678+02	1	バーゼル＝ラント準州	\N	\N	\N	\N	\N	\N	t	f
6171	1183	Central Eleuthera	fr	0	2013-06-05 08:38:52.206471+02	1	Central Eleuthera	\N	\N	\N	\N	\N	\N	t	f
7537	1698	Aiga-i-le-Tai	es	0	2013-06-05 09:38:13.920641+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
6810	1833	Bourgogne	fr	0	2013-06-05 09:06:26.727667+02	1	Bourgogne	\N	\N	\N	\N	\N	\N	t	f
6828	3342	Benishangul-Gumaz	es	0	2013-06-05 09:07:11.25929+02	1	Benishangul-Gumaz	\N	\N	\N	\N	\N	\N	t	f
7603	2992	Zarka	nl	0	2013-06-05 09:41:00.708474+02	1	Zarka	\N	\N	\N	\N	\N	\N	t	f
8985	2392	Astrakhan Oblast	en	0	2013-06-05 10:40:27.480419+02	1	Astrakhan Oblast	\N	\N	\N	\N	\N	\N	t	f
7616	3086	Ar-Raqqah Governorate	en	0	2013-06-05 09:41:32.759621+02	1	Ar-Raqqah Governorate	\N	\N	\N	\N	\N	\N	t	f
8183	2493	アクモラ州	ja	0	2013-06-05 10:06:22.860139+02	1	アクモラ州	\N	\N	\N	\N	\N	\N	t	f
8996	4887	Antique	es	0	2013-06-05 10:40:54.191693+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
9752	2903	ブハラ州	ja	0	2013-06-05 11:13:48.944862+02	1	ブハラ州	\N	\N	\N	\N	\N	\N	t	f
9011	3376	Conakry	nl	0	2013-06-05 10:41:30.002951+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
9031	4318	Province de Cadix	fr	0	2013-06-05 10:42:19.168864+02	1	Province de Cadix	\N	\N	\N	\N	\N	\N	t	f
10438	3391	Côte	fr	0	2013-06-05 11:43:24.04727+02	1	Côte	\N	\N	\N	\N	\N	\N	t	f
9045	2859	Badghis	nl	0	2013-06-05 10:42:52.969976+02	1	Badghis	\N	\N	\N	\N	\N	\N	t	f
9783	1482	Christ Church Nichola Town	fi	0	2013-06-05 11:15:04.183831+02	1	Christ Church Nichola Town	\N	\N	\N	\N	\N	\N	t	f
9047	689	Connacht	de	0	2013-06-05 10:42:58.284102+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
9105	1814	Ceuta	nl	0	2013-06-05 10:45:45.829277+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
10370	2526	Bulgani aimakk	et	0	2013-06-05 11:40:37.464247+02	1	Bulgani aimakk	\N	\N	\N	\N	\N	\N	t	f
9129	1499	Τσιουάουα	el	0	2013-06-05 10:47:06.468779+02	1	Τσιουάουα	\N	\N	\N	\N	\N	\N	t	f
9818	3250	Arta Region	en	0	2013-06-05 11:16:29.161611+02	1	Arta Region	\N	\N	\N	\N	\N	\N	t	f
9223	765	Distretto di Coimbra	it	0	2013-06-05 10:51:04.444011+02	1	Distretto di Coimbra	\N	\N	\N	\N	\N	\N	t	f
9244	3129	Boucle du Mouhoun	fi	0	2013-06-05 10:51:55.746479+02	1	Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
9297	312	Alberta	fr	0	2013-06-05 10:54:05.0404+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
9741	4364	アルプ＝マリティーム県	ja	0	2013-06-05 11:13:22.353113+02	1	アルプ＝マリティーム県	\N	\N	\N	\N	\N	\N	t	f
9851	1818	Catalonië	nl	0	2013-06-05 11:17:48.97541+02	1	Catalonië	\N	\N	\N	\N	\N	\N	t	f
10357	618	Acre	fi	0	2013-06-05 11:40:04.998205+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
10389	4380	Creuse	fr	0	2013-06-05 11:41:23.676205+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
10360	618	アクレ州	ja	0	2013-06-05 11:40:12.171819+02	1	アクレ州	\N	\N	\N	\N	\N	\N	t	f
10366	3592	Bel Air	nl	0	2013-06-05 11:40:26.826982+02	1	Bel Air	\N	\N	\N	\N	\N	\N	t	f
10391	4380	クルーズ県	ja	0	2013-06-05 11:41:28.523336+02	1	クルーズ県	\N	\N	\N	\N	\N	\N	t	f
10514	3337	Maekel	de	0	2013-06-05 11:46:42.438135+02	1	Maekel	\N	\N	\N	\N	\N	\N	t	f
10409	3547	ベヌエ州	ja	0	2013-06-05 11:42:12.461095+02	1	ベヌエ州	\N	\N	\N	\N	\N	\N	t	f
10660	4146	Provinz Wallonisch-Brabant	de	0	2013-06-05 11:52:55.883568+02	1	Provinz Wallonisch-Brabant	\N	\N	\N	\N	\N	\N	t	f
10602	3814	Carmarthenshire	it	0	2013-06-05 11:50:32.475545+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
11118	4370	Aveyron	it	0	2013-06-05 12:12:44.355604+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
11124	3001	Al-Farwaniyah	it	0	2013-06-05 12:12:59.174924+02	1	Al-Farwaniyah	\N	\N	\N	\N	\N	\N	t	f
11257	2592	An Giang	es	0	2013-06-05 12:18:41.173572+02	1	An Giang	\N	\N	\N	\N	\N	\N	t	f
11301	1028	Provinz Bolívar	de	0	2013-06-05 12:20:28.628583+02	1	Provinz Bolívar	\N	\N	\N	\N	\N	\N	t	f
11611	1805	Praha	et	0	2013-06-26 18:50:20.531449+02	1	Praha	\N	\N	\N	\N	\N	\N	t	f
2881	484	Örebro County	en	0	2013-05-27 19:39:14.586702+02	1	Örebro County	\N	\N	\N	\N	\N	\N	t	f
3474	1944	Municipio de Žabljak	es	0	2013-05-27 20:03:49.279697+02	1	Municipio de Žabljak	\N	\N	\N	\N	\N	\N	t	f
3486	1807	Ústecký kraj	de	0	2013-05-27 20:04:19.457995+02	1	Ústecký kraj	\N	\N	\N	\N	\N	\N	t	f
3945	3493	カルガドス・カラホス諸島	ja	0	2013-06-05 07:02:35.09187+02	1	カルガドス・カラホス諸島	\N	\N	\N	\N	\N	\N	t	f
4013	4387	Corse-du-Sud	no	0	2013-06-05 07:05:34.618949+02	1	Corse-du-Sud	\N	\N	\N	\N	\N	\N	t	f
2100	61	東ティモール	ja	0	2013-06-05 07:06:01.354394+02	1	ひがしティモール	\N	\N	\N	\N	\N	\N	t	f
4406	2678	Chachoengsao	no	0	2013-06-05 07:22:47.618989+02	1	Chachoengsao	\N	\N	\N	\N	\N	\N	t	f
4032	3112	Benguela Province	en	0	2013-06-05 07:06:21.784883+02	1	Benguela Province	\N	\N	\N	\N	\N	\N	t	f
4500	1835	サントル地域圏	ja	0	2013-06-05 07:26:44.26597+02	1	サントル地域圏	\N	\N	\N	\N	\N	\N	t	f
4961	3116	Cunene	es	0	2013-06-05 07:46:45.961102+02	1	Cunene	\N	\N	\N	\N	\N	\N	t	f
4504	902	Attard	en	0	2013-06-05 07:26:54.317167+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
5118	4156	Boulgou	fr	0	2013-06-05 07:53:23.358386+02	1	Boulgou	\N	\N	\N	\N	\N	\N	t	f
5525	4782	Arno	et	0	2013-06-05 08:11:02.825038+02	1	Arno	\N	\N	\N	\N	\N	\N	t	f
5544	3313	Governatorato di Faiyum	it	0	2013-06-05 08:11:52.758467+02	1	Governatorato di Faiyum	\N	\N	\N	\N	\N	\N	t	f
6067	512	Provincia de Antalya	es	0	2013-06-05 08:34:24.980577+02	1	Provincia de Antalya	\N	\N	\N	\N	\N	\N	t	f
6087	1496	Baja California	es	0	2013-06-05 08:35:15.495216+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
6796	3317	Gouvernement al-Ismaʿiliyya	de	0	2013-06-05 09:05:52.304774+02	1	Gouvernement al-Ismaʿiliyya	\N	\N	\N	\N	\N	\N	t	f
6801	3317	イスマイリア県	ja	0	2013-06-05 09:06:04.402035+02	1	イスマイリア県	\N	\N	\N	\N	\N	\N	t	f
7540	1698	Aiga-i-le-Tai	nl	0	2013-06-05 09:38:20.951655+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
6827	3342	Benishangul-Gumuz Region	en	0	2013-06-05 09:07:08.922521+02	1	Benishangul-Gumuz Region	\N	\N	\N	\N	\N	\N	t	f
6840	1621	ブアダ地区	ja	0	2013-06-05 09:07:40.266147+02	1	ブアダ地区	\N	\N	\N	\N	\N	\N	t	f
6880	2507	Lääne-Kasahstani oblast	et	0	2013-06-05 09:09:17.428084+02	1	Lääne-Kasahstani oblast	\N	\N	\N	\N	\N	\N	t	f
7550	4894	Bohol	nl	0	2013-06-05 09:38:45.857025+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
6913	4629	Province of Brescia	en	0	2013-06-05 09:10:42.098539+02	1	Province of Brescia	\N	\N	\N	\N	\N	\N	t	f
6949	3813	カーディフ	ja	0	2013-06-05 09:12:46.711164+02	1	カーディフ	\N	\N	\N	\N	\N	\N	t	f
8986	2392	Astracán	es	0	2013-06-05 10:40:29.854861+02	1	Astracán	\N	\N	\N	\N	\N	\N	t	f
7585	995	Antioquia	nl	0	2013-06-05 09:40:16.478715+02	1	Antioquia	\N	\N	\N	\N	\N	\N	t	f
7605	4495	Νομός Αιτωλοακαρνανίας	el	0	2013-06-05 09:41:05.920979+02	1	Νομός Αιτωλοακαρνανίας	\N	\N	\N	\N	\N	\N	t	f
10358	618	Acre	fr	0	2013-06-05 11:40:07.38247+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
7629	2165	Bourgas	fr	0	2013-06-05 09:42:04.272756+02	1	Bourgas	\N	\N	\N	\N	\N	\N	t	f
8995	4887	Antique	en	0	2013-06-05 10:40:51.829283+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
7636	4637	Province of Caltanissetta	en	0	2013-06-05 09:42:21.505387+02	1	Province of Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
7639	4637	Caltanissettan maakunta	fi	0	2013-06-05 09:42:28.593755+02	1	Caltanissettan maakunta	\N	\N	\N	\N	\N	\N	t	f
8187	1830	Aquitaine	en	0	2013-06-05 10:06:33.019445+02	1	Aquitaine	\N	\N	\N	\N	\N	\N	t	f
9020	4896	Batanes	no	0	2013-06-05 10:41:51.745495+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
8213	3429	Municipalità di Gebel el-Achdar	it	0	2013-06-05 10:07:37.221778+02	1	Municipalità di Gebel el-Achdar	\N	\N	\N	\N	\N	\N	t	f
8234	3795	Argyll and Bute	en	0	2013-06-05 10:08:28.500708+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8319	2581	ビンディン省	ja	0	2013-06-05 10:12:04.12097+02	1	ビンディン省	\N	\N	\N	\N	\N	\N	t	f
9042	2859	Bâdghîs	fr	0	2013-06-05 10:42:45.841519+02	1	Bâdghîs	\N	\N	\N	\N	\N	\N	t	f
8332	3161	Atlantique	es	0	2013-06-05 10:12:35.951076+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
10395	3800	Bath and North East Somerset	en	0	2013-06-05 11:41:38.553215+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
9066	1668	Provincia Central	es	0	2013-06-05 10:43:45.776055+02	1	Provincia Central	\N	\N	\N	\N	\N	\N	t	f
9098	1814	Ceuta	en	0	2013-06-05 10:45:21.228048+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
10598	3814	Carmarthenshire	es	0	2013-06-05 11:50:22.908456+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
9149	1441	Choluteca	nl	0	2013-06-05 10:48:05.596216+02	1	Choluteca	\N	\N	\N	\N	\N	\N	t	f
10402	3547	Benue	de	0	2013-06-05 11:41:55.719294+02	1	Benue	\N	\N	\N	\N	\N	\N	t	f
9153	3401	Bomi maakond	et	0	2013-06-05 10:48:15.314582+02	1	Bomi maakond	\N	\N	\N	\N	\N	\N	t	f
9156	3401	Contea di Bomi	it	0	2013-06-05 10:48:22.303017+02	1	Contea di Bomi	\N	\N	\N	\N	\N	\N	t	f
9755	1216	Επαρχία Αλαχουέλα	el	0	2013-06-05 11:13:56.49026+02	1	Επαρχία Αλαχουέλα	\N	\N	\N	\N	\N	\N	t	f
10443	904	Birgu	en	0	2013-06-05 11:43:36.519995+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
9935	1615	Aiwo	en	0	2013-06-05 11:21:29.951388+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
9974	1501	Coahuila	it	0	2013-06-05 11:23:14.732023+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
11210	4756	Azilal	nl	0	2013-06-05 12:16:45.309908+02	1	Azilal	\N	\N	\N	\N	\N	\N	t	f
10445	904	Birgu	fi	0	2013-06-05 11:43:44.650204+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
10601	3814	Carmarthenshire	fr	0	2013-06-05 11:50:30.032849+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
10491	903	Balzan	nl	0	2013-06-05 11:45:41.609445+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
10522	2227	Rajon Criuleni	de	0	2013-06-05 11:47:01.861968+02	1	Rajon Criuleni	\N	\N	\N	\N	\N	\N	t	f
11152	3265	Bouira	de	0	2013-06-05 12:14:18.60566+02	1	Bouira	\N	\N	\N	\N	\N	\N	t	f
10544	1004	Departamento del Cesar	de	0	2013-06-05 11:48:02.990793+02	1	Departamento del Cesar	\N	\N	\N	\N	\N	\N	t	f
10609	814	Botoșani maakond	et	0	2013-06-05 11:50:49.86424+02	1	Botoșani maakond	\N	\N	\N	\N	\N	\N	t	f
10698	5053	Buliisa District	en	0	2013-06-05 11:54:28.347929+02	1	Buliisa District	\N	\N	\N	\N	\N	\N	t	f
11180	810	Bacău County	en	0	2013-06-05 12:15:32.033656+02	1	Bacău County	\N	\N	\N	\N	\N	\N	t	f
11119	4370	アヴェロン県	ja	0	2013-06-05 12:12:46.732509+02	1	アヴェロン県	\N	\N	\N	\N	\N	\N	t	f
11163	4503	Akhaia	fi	0	2013-06-05 12:14:48.827157+02	1	Akhaia	\N	\N	\N	\N	\N	\N	t	f
11176	4367	アリエージュ県	ja	0	2013-06-05 12:15:21.882304+02	1	アリエージュ県	\N	\N	\N	\N	\N	\N	t	f
11202	4893	ビリラン州	ja	0	2013-06-05 12:16:25.546519+02	1	ビリラン州	\N	\N	\N	\N	\N	\N	t	f
11190	3431	Jafara	en	0	2013-06-05 12:15:56.339232+02	1	Jafara	\N	\N	\N	\N	\N	\N	t	f
11228	1721	Agstafa Rayon	en	0	2013-06-05 12:17:30.391296+02	1	Agstafa Rayon	\N	\N	\N	\N	\N	\N	t	f
11231	1721	Aghstafa	fr	0	2013-06-05 12:17:37.497495+02	1	Aghstafa	\N	\N	\N	\N	\N	\N	t	f
11243	4314	バダホス県	ja	0	2013-06-05 12:18:06.859725+02	1	バダホス県	\N	\N	\N	\N	\N	\N	t	f
11285	702	Catamarca Province	en	0	2013-06-05 12:19:49.638152+02	1	Catamarca Province	\N	\N	\N	\N	\N	\N	t	f
11444	4619	province d'Arezzo	fr	0	2013-06-05 12:27:11.020376+02	1	province d'Arezzo	\N	\N	\N	\N	\N	\N	t	f
11464	4906	Cebu	en	0	2013-06-05 12:27:59.986841+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
11612	1805	Praha	cs	0	2013-06-26 18:50:35.910077+02	1	Praha	\N	\N	\N	\N	\N	\N	t	f
2882	484	Provincia de Örebro	es	0	2013-05-27 19:39:16.783903+02	1	Provincia de Örebro	\N	\N	\N	\N	\N	\N	t	f
2883	484	Örebro lään	et	0	2013-05-27 19:39:18.971525+02	1	Örebro lään	\N	\N	\N	\N	\N	\N	t	f
2903	502	Silezië	nl	0	2013-05-27 19:40:05.666915+02	1	Silezië	\N	\N	\N	\N	\N	\N	t	f
3475	1944	Žabljaki vald	et	0	2013-05-27 20:03:51.493358+02	1	Žabljaki vald	\N	\N	\N	\N	\N	\N	t	f
2905	2962	Ilam	de	0	2013-05-27 19:40:10.64276+02	1	Ilam	\N	\N	\N	\N	\N	\N	t	f
3483	2958	東アーザルバーイジャーン州	ja	0	2013-05-27 20:04:10.169324+02	1	東アーザルバーイジャーン州	\N	\N	\N	\N	\N	\N	t	f
3948	4501	Argolis	de	0	2013-06-05 07:02:46.905325+02	1	Argolis	\N	\N	\N	\N	\N	\N	t	f
3968	2990	Gobernación de Aqaba	es	0	2013-06-05 07:03:42.099112+02	1	Gobernación de Aqaba	\N	\N	\N	\N	\N	\N	t	f
4407	4868	Canterbury	de	0	2013-06-05 07:22:50.44222+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
4408	4868	Canterbury Region	en	0	2013-06-05 07:22:52.802542+02	1	Canterbury Region	\N	\N	\N	\N	\N	\N	t	f
4962	3116	Cunene	fi	0	2013-06-05 07:46:48.339729+02	1	Cunene	\N	\N	\N	\N	\N	\N	t	f
4424	3878	Bexley	no	0	2013-06-05 07:23:32.193827+02	1	Bexley	\N	\N	\N	\N	\N	\N	t	f
4429	3842	County Durham	fi	0	2013-06-05 07:23:44.745401+02	1	County Durham	\N	\N	\N	\N	\N	\N	t	f
4457	1845	Baja Normandía	es	0	2013-06-05 07:24:53.941469+02	1	Baja Normandía	\N	\N	\N	\N	\N	\N	t	f
4970	3036	Ach-Charqiya (Oman)	fr	0	2013-06-05 07:47:07.7981+02	1	Ach-Charqiya (Oman)	\N	\N	\N	\N	\N	\N	t	f
4462	1845	バス＝ノルマンディー地域圏	ja	0	2013-06-05 07:25:06.053712+02	1	バス＝ノルマンディー地域圏	\N	\N	\N	\N	\N	\N	t	f
4472	3134	Centre-Ouest	fi	0	2013-06-05 07:25:31.133036+02	1	Centre-Ouest	\N	\N	\N	\N	\N	\N	t	f
5553	3882	District londonien de Croydon	fr	0	2013-06-05 08:12:18.089686+02	1	District londonien de Croydon	\N	\N	\N	\N	\N	\N	t	f
4477	5013	Bukedea District	en	0	2013-06-05 07:25:43.710095+02	1	Bukedea District	\N	\N	\N	\N	\N	\N	t	f
5023	1619	バイチ地区	ja	0	2013-06-05 07:49:18.339991+02	1	バイチ地区	\N	\N	\N	\N	\N	\N	t	f
5024	1619	Baiti	nl	0	2013-06-05 07:49:23.146366+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5028	654	Islas Andamán y Nicobar	es	0	2013-06-05 07:49:33.449037+02	1	Islas Andamán y Nicobar	\N	\N	\N	\N	\N	\N	t	f
5593	2540	Nord Chungcheong	it	0	2013-06-05 08:13:56.004524+02	1	Nord Chungcheong	\N	\N	\N	\N	\N	\N	t	f
5029	654	Andamanid ja Nicobarid	et	0	2013-06-05 07:49:35.782163+02	1	Andamanid ja Nicobarid	\N	\N	\N	\N	\N	\N	t	f
6068	512	Antalya provints	et	0	2013-06-05 08:34:27.44152+02	1	Antalya provints	\N	\N	\N	\N	\N	\N	t	f
5620	3147	Provincia di Cibitoke	it	0	2013-06-05 08:15:04.561278+02	1	Provincia di Cibitoke	\N	\N	\N	\N	\N	\N	t	f
5643	796	Provincia de Alytus	es	0	2013-06-05 08:16:07.069201+02	1	Provincia de Alytus	\N	\N	\N	\N	\N	\N	t	f
5645	796	Alytusin lääni	fi	0	2013-06-05 08:16:11.760917+02	1	Alytusin lääni	\N	\N	\N	\N	\N	\N	t	f
6079	519	Bolu	fr	0	2013-06-05 08:34:55.665275+02	1	Bolu	\N	\N	\N	\N	\N	\N	t	f
5692	3085	Quneitra	nl	0	2013-06-05 08:18:08.136369+02	1	Quneitra	\N	\N	\N	\N	\N	\N	t	f
5714	3264	Blida	de	0	2013-06-05 08:19:02.154131+02	1	Blida	\N	\N	\N	\N	\N	\N	t	f
6798	3317	Ismailia	es	0	2013-06-05 09:05:57.062779+02	1	Ismailia	\N	\N	\N	\N	\N	\N	t	f
6102	263	Alabama	it	0	2013-06-05 08:35:54.968254+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6809	1833	Burgundi	fi	0	2013-06-05 09:06:24.358418+02	1	Burgundi	\N	\N	\N	\N	\N	\N	t	f
7541	1698	Aiga-i-le-Tai	no	0	2013-06-05 09:38:23.525998+02	1	Aiga-i-le-Tai	\N	\N	\N	\N	\N	\N	t	f
7622	3086	Ar-Raqqah	no	0	2013-06-05 09:41:47.062304+02	1	Ar-Raqqah	\N	\N	\N	\N	\N	\N	t	f
8987	2392	Astrahani oblast	et	0	2013-06-05 10:40:32.251437+02	1	Astrahani oblast	\N	\N	\N	\N	\N	\N	t	f
8197	1699	Atua	en	0	2013-06-05 10:06:57.994782+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
10447	904	Vittoriosa	it	0	2013-06-05 11:43:49.39819+02	1	Vittoriosa	\N	\N	\N	\N	\N	\N	t	f
9052	689	Connacht	it	0	2013-06-05 10:43:10.035168+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
9825	1595	Καρλόττα	el	0	2013-06-05 11:16:46.101615+02	1	Καρλόττα	\N	\N	\N	\N	\N	\N	t	f
9062	3280	Constantine	nl	0	2013-06-05 10:43:35.915344+02	1	Constantine	\N	\N	\N	\N	\N	\N	t	f
9092	821	Distretto di Covasna	it	0	2013-06-05 10:44:58.936479+02	1	Distretto di Covasna	\N	\N	\N	\N	\N	\N	t	f
9131	1499	Chihuahua	es	0	2013-06-05 10:47:13.425628+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9861	3324	Gouvernement al-Minufiyya	de	0	2013-06-05 11:18:14.822568+02	1	Gouvernement al-Minufiyya	\N	\N	\N	\N	\N	\N	t	f
9146	1441	Département de Choluteca	fr	0	2013-06-05 10:47:58.523434+02	1	Département de Choluteca	\N	\N	\N	\N	\N	\N	t	f
9255	1829	Alsace	fr	0	2013-06-05 10:52:23.312664+02	1	Alsace	\N	\N	\N	\N	\N	\N	t	f
10703	4642	Provinz Catania	de	0	2013-06-05 11:54:40.848206+02	1	Provinz Catania	\N	\N	\N	\N	\N	\N	t	f
9294	312	Alberta	es	0	2013-06-05 10:53:57.974842+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
9970	1501	Coahuila de Zaragoza	es	0	2013-06-05 11:23:05.158638+02	1	Coahuila de Zaragoza	\N	\N	\N	\N	\N	\N	t	f
9301	312	Alberta	no	0	2013-06-05 10:54:14.597554+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
9756	1216	Alajuela Province	en	0	2013-06-05 11:13:58.861437+02	1	Alajuela Province	\N	\N	\N	\N	\N	\N	t	f
10496	2861	Baghlāni provints	et	0	2013-06-05 11:45:57.306786+02	1	Baghlāni provints	\N	\N	\N	\N	\N	\N	t	f
9789	2960	Ardabil Province	en	0	2013-06-05 11:15:19.339333+02	1	Ardabil Province	\N	\N	\N	\N	\N	\N	t	f
10359	618	Acre	it	0	2013-06-05 11:40:09.798426+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
9820	3250	Région d'Arta	fr	0	2013-06-05 11:16:33.880831+02	1	Région d'Arta	\N	\N	\N	\N	\N	\N	t	f
10386	4380	Creuse	es	0	2013-06-05 11:41:16.563714+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
10593	3314	ガルビーヤ県	ja	0	2013-06-05 11:50:10.256296+02	1	ガルビーヤ県	\N	\N	\N	\N	\N	\N	t	f
10388	4380	Creuse	fi	0	2013-06-05 11:41:21.300277+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
10499	2861	Baghlan	it	0	2013-06-05 11:46:04.559781+02	1	Baghlan	\N	\N	\N	\N	\N	\N	t	f
10413	1118	Departamento de Colonia	es	0	2013-06-05 11:42:22.3444+02	1	Departamento de Colonia	\N	\N	\N	\N	\N	\N	t	f
10568	508	Afyonkarahisar	fr	0	2013-06-05 11:49:05.469193+02	1	Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
10624	407	Aichi	nl	0	2013-06-05 11:51:26.484784+02	1	Aichi	\N	\N	\N	\N	\N	\N	t	f
10585	2943	バービル県	ja	0	2013-06-05 11:49:47.992629+02	1	バービル県	\N	\N	\N	\N	\N	\N	t	f
10666	4146	Brabant wallon	fr	0	2013-06-05 11:53:10.15477+02	1	Brabant wallon	\N	\N	\N	\N	\N	\N	t	f
11120	4370	Aveyron	nl	0	2013-06-05 12:12:49.085463+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
10711	4642	カターニア県	ja	0	2013-06-05 11:54:59.9071+02	1	カターニア県	\N	\N	\N	\N	\N	\N	t	f
11150	3090	Abyan	nl	0	2013-06-05 12:14:13.365009+02	1	Abyan	\N	\N	\N	\N	\N	\N	t	f
11204	4893	Biliran	no	0	2013-06-05 12:16:30.492692+02	1	Biliran	\N	\N	\N	\N	\N	\N	t	f
11224	1187	Central Andros	it	0	2013-06-05 12:17:20.11366+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
11349	905	Birkirkara	nl	0	2013-06-05 12:22:30.947203+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
11414	3917	Coventry	en	0	2013-06-05 12:25:57.490117+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11417	3917	Coventry	fi	0	2013-06-05 12:26:04.642351+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11438	4619	Provinz Arezzo	de	0	2013-06-05 12:26:56.148062+02	1	Provinz Arezzo	\N	\N	\N	\N	\N	\N	t	f
11449	5054	Provinz Artemisa	de	0	2013-06-05 12:27:23.56783+02	1	Provinz Artemisa	\N	\N	\N	\N	\N	\N	t	f
11459	2776	Luzon Centrale	it	0	2013-06-05 12:27:47.589973+02	1	Luzon Centrale	\N	\N	\N	\N	\N	\N	t	f
11492	3181	Bandundu	es	0	2013-06-05 12:29:07.953623+02	1	Bandundu	\N	\N	\N	\N	\N	\N	t	f
2884	484	Örebron lääni	fi	0	2013-05-27 19:39:21.132585+02	1	Örebron lääni	\N	\N	\N	\N	\N	\N	t	f
3476	2958	Ost-Aserbaidschan	de	0	2013-05-27 20:03:54.17135+02	1	Ost-Aserbaidschan	\N	\N	\N	\N	\N	\N	t	f
3954	4501	Argolide	it	0	2013-06-05 07:03:01.147491+02	1	Argolide	\N	\N	\N	\N	\N	\N	t	f
3964	3436	Al Marj	nl	0	2013-06-05 07:03:32.14578+02	1	Al Marj	\N	\N	\N	\N	\N	\N	t	f
4409	4868	Canterbury	es	0	2013-06-05 07:22:55.178389+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
4014	3828	Cornwall	de	0	2013-06-05 07:05:37.540373+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
4022	3828	コーンウォール	ja	0	2013-06-05 07:05:56.761389+02	1	コーンウォール	\N	\N	\N	\N	\N	\N	t	f
4421	3878	Bexley	it	0	2013-06-05 07:23:24.911308+02	1	Bexley	\N	\N	\N	\N	\N	\N	t	f
4963	3116	Kunene	fr	0	2013-06-05 07:46:50.698283+02	1	Kunene	\N	\N	\N	\N	\N	\N	t	f
4438	1484	Anse-la-Raye	fi	0	2013-06-05 07:24:06.919046+02	1	Anse-la-Raye	\N	\N	\N	\N	\N	\N	t	f
4510	902	Attard	no	0	2013-06-05 07:27:09.063646+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
4512	2550	Chagang Province	en	0	2013-06-05 07:27:15.481289+02	1	Chagang Province	\N	\N	\N	\N	\N	\N	t	f
4981	3032	Al Buraimi Governorate	en	0	2013-06-05 07:47:34.611764+02	1	Al Buraimi Governorate	\N	\N	\N	\N	\N	\N	t	f
4523	3213	Regione di Cuvette-Ovest	it	0	2013-06-05 07:27:42.579236+02	1	Regione di Cuvette-Ovest	\N	\N	\N	\N	\N	\N	t	f
4547	1301	Baltinavas novads	nl	0	2013-06-05 07:28:43.665355+02	1	Baltinavas novads	\N	\N	\N	\N	\N	\N	t	f
5554	3882	Croydon	it	0	2013-06-05 08:12:20.482073+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
5025	1619	Baiti	no	0	2013-06-05 07:49:25.581821+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5031	654	Îles Andaman-et-Nicobar	fr	0	2013-06-05 07:49:40.565115+02	1	Îles Andaman-et-Nicobar	\N	\N	\N	\N	\N	\N	t	f
5567	4933	コタバト州	ja	0	2013-06-05 08:12:52.605425+02	1	コタバト州	\N	\N	\N	\N	\N	\N	t	f
6083	519	Bolu	no	0	2013-06-05 08:35:05.303178+02	1	Bolu	\N	\N	\N	\N	\N	\N	t	f
5592	2540	Chungcheongbuk	fr	0	2013-06-05 08:13:53.630674+02	1	Chungcheongbuk	\N	\N	\N	\N	\N	\N	t	f
5653	3033	Interior (Omán)	es	0	2013-06-05 08:16:31.149802+02	1	Interior (Omán)	\N	\N	\N	\N	\N	\N	t	f
5661	3194	Basse-Kotto	es	0	2013-06-05 08:16:50.385867+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
6084	1496	Baja California	de	0	2013-06-05 08:35:08.423285+02	1	Baja California	\N	\N	\N	\N	\N	\N	t	f
5662	3194	Basse-Kotto	fi	0	2013-06-05 08:16:52.711607+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
5725	1725	Ağsu	fr	0	2013-06-05 08:19:28.696607+02	1	Ağsu	\N	\N	\N	\N	\N	\N	t	f
6821	516	Provincia di Bilecik	it	0	2013-06-05 09:06:54.025338+02	1	Provincia di Bilecik	\N	\N	\N	\N	\N	\N	t	f
6212	4378	Côte-d'Ori departemang	et	0	2013-06-05 08:40:41.613816+02	1	Côte-d'Ori departemang	\N	\N	\N	\N	\N	\N	t	f
6225	3326	Port Said	et	0	2013-06-05 08:41:13.351515+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
6822	516	ビレジク県	ja	0	2013-06-05 09:06:56.410808+02	1	ビレジク県	\N	\N	\N	\N	\N	\N	t	f
7546	4894	Bohol	fi	0	2013-06-05 09:38:36.112068+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
6826	3342	Μπενισανγούλ Γκουμούζ	el	0	2013-06-05 09:07:06.589484+02	1	Μπενισανγούλ Γκουμούζ	\N	\N	\N	\N	\N	\N	t	f
6941	3813	Cardiff	de	0	2013-06-05 09:12:19.2436+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
9158	3401	Bomi	nl	0	2013-06-05 10:48:27.047123+02	1	Bomi	\N	\N	\N	\N	\N	\N	t	f
6942	3813	Κάρντιφ	el	0	2013-06-05 09:12:21.743705+02	1	Κάρντιφ	\N	\N	\N	\N	\N	\N	t	f
7667	1532	Chontales	nl	0	2013-06-05 09:43:37.403733+02	1	Chontales	\N	\N	\N	\N	\N	\N	t	f
8988	2392	Astrahanin alue	fi	0	2013-06-05 10:40:34.645172+02	1	Astrahanin alue	\N	\N	\N	\N	\N	\N	t	f
8198	1699	Atua	es	0	2013-06-05 10:07:00.369885+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
8211	3429	Al Jabal al Akhdar	es	0	2013-06-05 10:07:32.51059+02	1	Al Jabal al Akhdar	\N	\N	\N	\N	\N	\N	t	f
8226	619	Alagoase osariik	et	0	2013-06-05 10:08:09.019838+02	1	Alagoase osariik	\N	\N	\N	\N	\N	\N	t	f
9010	3376	コナクリ	ja	0	2013-06-05 10:41:27.632134+02	1	コナクリ	\N	\N	\N	\N	\N	\N	t	f
8230	619	アラゴアス州	ja	0	2013-06-05 10:08:18.564415+02	1	アラゴアス州	\N	\N	\N	\N	\N	\N	t	f
8258	2622	Banteay Meanchey Province	en	0	2013-06-05 10:09:30.83072+02	1	Banteay Meanchey Province	\N	\N	\N	\N	\N	\N	t	f
8261	2622	Province de Banteay Mean Chey	fr	0	2013-06-05 10:09:38.622142+02	1	Province de Banteay Mean Chey	\N	\N	\N	\N	\N	\N	t	f
9024	5005	アムリア県	ja	0	2013-06-05 10:42:01.519074+02	1	アムリア県	\N	\N	\N	\N	\N	\N	t	f
9160	1115	Departamento Artigas	de	0	2013-06-05 10:48:32.169806+02	1	Departamento Artigas	\N	\N	\N	\N	\N	\N	t	f
9032	4318	Provincia di Cadice	it	0	2013-06-05 10:42:21.55123+02	1	Provincia di Cadice	\N	\N	\N	\N	\N	\N	t	f
9036	2859	Badghis	de	0	2013-06-05 10:42:31.769194+02	1	Badghis	\N	\N	\N	\N	\N	\N	t	f
9230	2230	Chisinau	es	0	2013-06-05 10:51:21.854156+02	1	Chisinau	\N	\N	\N	\N	\N	\N	t	f
9038	2859	Badghis	en	0	2013-06-05 10:42:36.4313+02	1	Badghis	\N	\N	\N	\N	\N	\N	t	f
9180	4866	Auckland	fr	0	2013-06-05 10:49:20.659546+02	1	Auckland	\N	\N	\N	\N	\N	\N	t	f
9041	2859	Badghisin maakunta	fi	0	2013-06-05 10:42:43.469309+02	1	Badghisin maakunta	\N	\N	\N	\N	\N	\N	t	f
9072	2933	Norte	es	0	2013-06-05 10:44:00.266967+02	1	Norte	\N	\N	\N	\N	\N	\N	t	f
9077	3301	Ain Temouchent	de	0	2013-06-05 10:44:14.857878+02	1	Ain Temouchent	\N	\N	\N	\N	\N	\N	t	f
9182	4866	オークランド地方	ja	0	2013-06-05 10:49:25.386103+02	1	オークランド地方	\N	\N	\N	\N	\N	\N	t	f
9085	3301	Aïn Témouchent	no	0	2013-06-05 10:44:37.103846+02	1	Aïn Témouchent	\N	\N	\N	\N	\N	\N	t	f
9269	761	Beja District	en	0	2013-06-05 10:52:57.557809+02	1	Beja District	\N	\N	\N	\N	\N	\N	t	f
9184	4866	Auckland	no	0	2013-06-05 10:49:30.118966+02	1	Auckland	\N	\N	\N	\N	\N	\N	t	f
9215	1733	Cəlilabad	fr	0	2013-06-05 10:50:45.116828+02	1	Cəlilabad	\N	\N	\N	\N	\N	\N	t	f
9827	1595	Carlota	es	0	2013-06-05 11:16:50.82772+02	1	Carlota	\N	\N	\N	\N	\N	\N	t	f
9225	765	Coimbra	nl	0	2013-06-05 10:51:09.200433+02	1	Coimbra	\N	\N	\N	\N	\N	\N	t	f
9277	2156	Chiesanuova	de	0	2013-06-05 10:53:16.96999+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
9757	1216	Provincia de Alajuela	es	0	2013-06-05 11:14:01.237938+02	1	Provincia de Alajuela	\N	\N	\N	\N	\N	\N	t	f
9879	3058	Ash Shamal	fr	0	2013-06-05 11:19:01.339159+02	1	Ash Shamal	\N	\N	\N	\N	\N	\N	t	f
9761	1216	Alajuela	nl	0	2013-06-05 11:14:10.875442+02	1	Alajuela	\N	\N	\N	\N	\N	\N	t	f
9857	3209	Regione di Bouenza	it	0	2013-06-05 11:18:03.996685+02	1	Regione di Bouenza	\N	\N	\N	\N	\N	\N	t	f
9860	3209	Bouenza	no	0	2013-06-05 11:18:12.0091+02	1	Bouenza	\N	\N	\N	\N	\N	\N	t	f
9864	3324	Gouvernorat de Menufeya	fr	0	2013-06-05 11:18:21.85113+02	1	Gouvernorat de Menufeya	\N	\N	\N	\N	\N	\N	t	f
9891	2955	Suleimania	no	0	2013-06-05 11:19:30.360436+02	1	Suleimania	\N	\N	\N	\N	\N	\N	t	f
9893	4587	County Clare	en	0	2013-06-05 11:19:35.525388+02	1	County Clare	\N	\N	\N	\N	\N	\N	t	f
10361	618	Acre	nl	0	2013-06-05 11:40:14.563284+02	1	Acre	\N	\N	\N	\N	\N	\N	t	f
10379	5015	Distrito de Apac	es	0	2013-06-05 11:40:59.418569+02	1	Distrito de Apac	\N	\N	\N	\N	\N	\N	t	f
10397	3800	Bath and North East Somerset	fr	0	2013-06-05 11:41:43.239126+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
10422	3306	アシュート県	ja	0	2013-06-05 11:42:44.856574+02	1	アシュート県	\N	\N	\N	\N	\N	\N	t	f
10459	2779	Central Visayas	de	0	2013-06-05 11:44:19.436431+02	1	Central Visayas	\N	\N	\N	\N	\N	\N	t	f
10467	4621	Provinz Avellino	de	0	2013-06-05 11:44:39.490739+02	1	Provinz Avellino	\N	\N	\N	\N	\N	\N	t	f
10484	1633	Central	nl	0	2013-06-05 11:45:24.677756+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
10494	2861	Baghlan	en	0	2013-06-05 11:45:49.508716+02	1	Baghlan	\N	\N	\N	\N	\N	\N	t	f
2885	484	Comté d'Örebro	fr	0	2013-05-27 19:39:23.330397+02	1	Comté d'Örebro	\N	\N	\N	\N	\N	\N	t	f
2886	484	Örebro	it	0	2013-05-27 19:39:25.748517+02	1	Örebro	\N	\N	\N	\N	\N	\N	t	f
2887	484	エレブルー県	ja	0	2013-05-27 19:39:28.300378+02	1	エレブルー県	\N	\N	\N	\N	\N	\N	t	f
3477	2958	East Azerbaijan Province	en	0	2013-05-27 20:03:56.404699+02	1	East Azerbaijan Province	\N	\N	\N	\N	\N	\N	t	f
3956	4501	Argolis	nl	0	2013-06-05 07:03:08.460458+02	1	Argolis	\N	\N	\N	\N	\N	\N	t	f
3974	3824	Clackmannanshire	de	0	2013-06-05 07:03:57.194847+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4412	4868	Canterbury	it	0	2013-06-05 07:23:02.611971+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
3976	3824	Clackmannanshire	es	0	2013-06-05 07:04:01.926377+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
3986	364	Aust-Agder	es	0	2013-06-05 07:04:27.267585+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
3988	364	Itä-Agderin lääni	fi	0	2013-06-05 07:04:32.252702+02	1	Itä-Agderin lääni	\N	\N	\N	\N	\N	\N	t	f
4539	3115	Cuando Cubango	fi	0	2013-06-05 07:28:21.614199+02	1	Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
3989	364	Comté d'Aust-Agder	fr	0	2013-06-05 07:04:34.829243+02	1	Comté d'Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
4002	389	Akita	nl	0	2013-06-05 07:05:07.484885+02	1	Akita	\N	\N	\N	\N	\N	\N	t	f
4965	3116	クネネ州	ja	0	2013-06-05 07:46:55.451821+02	1	クネネ州	\N	\N	\N	\N	\N	\N	t	f
4550	4852	Zona de Bagmati	es	0	2013-06-05 07:28:51.173074+02	1	Zona de Bagmati	\N	\N	\N	\N	\N	\N	t	f
4967	3116	Cunene	no	0	2013-06-05 07:47:00.320126+02	1	Cunene	\N	\N	\N	\N	\N	\N	t	f
5555	3882	クロイドン・ロンドン特別区	ja	0	2013-06-05 08:12:22.852819+02	1	クロイドン・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
4994	4897	Bukidnon	en	0	2013-06-05 07:48:06.481721+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5039	4757	Province de Béni-Mellal	fr	0	2013-06-05 07:50:03.193904+02	1	Province de Béni-Mellal	\N	\N	\N	\N	\N	\N	t	f
5103	787	東アイスランド	ja	0	2013-06-05 07:52:41.866608+02	1	東アイスランド	\N	\N	\N	\N	\N	\N	t	f
5568	4933	Cotabato	nl	0	2013-06-05 08:12:54.980053+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
5127	2527	Provincia di Bajanhongor	it	0	2013-06-05 07:53:46.125238+02	1	Provincia di Bajanhongor	\N	\N	\N	\N	\N	\N	t	f
6091	1496	Bassa California	it	0	2013-06-05 08:35:27.888195+02	1	Bassa California	\N	\N	\N	\N	\N	\N	t	f
5619	3147	Province de Cibitoke	fr	0	2013-06-05 08:15:02.175485+02	1	Province de Cibitoke	\N	\N	\N	\N	\N	\N	t	f
5626	1418	Alta Verapaz	es	0	2013-06-05 08:15:19.248318+02	1	Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
5687	3085	Quneitra Governorate	en	0	2013-06-05 08:17:56.275131+02	1	Quneitra Governorate	\N	\N	\N	\N	\N	\N	t	f
6097	263	Alabama	en	0	2013-06-05 08:35:43.09415+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
5701	719	ベーケーシュ県	ja	0	2013-06-05 08:18:30.106626+02	1	ベーケーシュ県	\N	\N	\N	\N	\N	\N	t	f
5717	3264	Wilaya de Blida	fr	0	2013-06-05 08:19:09.256795+02	1	Wilaya de Blida	\N	\N	\N	\N	\N	\N	t	f
6838	1621	Buada	fr	0	2013-06-05 09:07:35.476852+02	1	Buada	\N	\N	\N	\N	\N	\N	t	f
5765	713	Province de Corrientes	fr	0	2013-06-05 08:21:06.708224+02	1	Province de Corrientes	\N	\N	\N	\N	\N	\N	t	f
6101	263	Alabama	fr	0	2013-06-05 08:35:52.593859+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
6133	3490	Agalega	it	0	2013-06-05 08:37:14.820603+02	1	Agalega	\N	\N	\N	\N	\N	\N	t	f
6136	3490	Agalegaøyene	no	0	2013-06-05 08:37:22.348556+02	1	Agalegaøyene	\N	\N	\N	\N	\N	\N	t	f
6847	3463	Antsiranana provints	et	0	2013-06-05 09:07:57.287992+02	1	Antsiranana provints	\N	\N	\N	\N	\N	\N	t	f
7547	4894	Bohol	fr	0	2013-06-05 09:38:38.520953+02	1	Bohol	\N	\N	\N	\N	\N	\N	t	f
6921	4629	Provinsen Brescia	no	0	2013-06-05 09:11:04.66477+02	1	Provinsen Brescia	\N	\N	\N	\N	\N	\N	t	f
9792	2960	Ardabīl	fi	0	2013-06-05 11:15:26.42804+02	1	Ardabīl	\N	\N	\N	\N	\N	\N	t	f
7583	995	dipartimento di Antioquia	it	0	2013-06-05 09:40:11.754756+02	1	dipartimento di Antioquia	\N	\N	\N	\N	\N	\N	t	f
8989	2392	Oblast d'Astrakhan	fr	0	2013-06-05 10:40:37.02109+02	1	Oblast d'Astrakhan	\N	\N	\N	\N	\N	\N	t	f
7594	2202	Distretto di Famagosta	it	0	2013-06-05 09:40:38.775923+02	1	Distretto di Famagosta	\N	\N	\N	\N	\N	\N	t	f
7617	3086	Gobernación de Ar-Raqqa	es	0	2013-06-05 09:41:35.103207+02	1	Gobernación de Ar-Raqqa	\N	\N	\N	\N	\N	\N	t	f
7679	3004	Capital	es	0	2013-06-05 09:44:08.244711+02	1	Capital	\N	\N	\N	\N	\N	\N	t	f
9088	821	Covasna	es	0	2013-06-05 10:44:46.809646+02	1	Covasna	\N	\N	\N	\N	\N	\N	t	f
7712	2384	Oblast Tscherkassy	de	0	2013-06-05 09:45:29.545855+02	1	Oblast Tscherkassy	\N	\N	\N	\N	\N	\N	t	f
7732	4891	Provincia di Basilan	it	0	2013-06-05 09:46:24.485234+02	1	Provincia di Basilan	\N	\N	\N	\N	\N	\N	t	f
7733	4891	バシラン州	ja	0	2013-06-05 09:46:26.836326+02	1	バシラン州	\N	\N	\N	\N	\N	\N	t	f
9096	1814	Ceuta	de	0	2013-06-05 10:45:16.495127+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
8201	1699	Atua	nl	0	2013-06-05 10:07:07.532391+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
9839	2373	クリミア半島	ja	0	2013-06-05 11:17:19.817951+02	1	クリミア半島	\N	\N	\N	\N	\N	\N	t	f
9147	1441	Dipartimento di Choluteca	it	0	2013-06-05 10:48:00.89679+02	1	Dipartimento di Choluteca	\N	\N	\N	\N	\N	\N	t	f
9758	1216	Alajuela	fr	0	2013-06-05 11:14:03.602582+02	1	Alajuela	\N	\N	\N	\N	\N	\N	t	f
10690	1212	Corozal District	en	0	2013-06-05 11:54:08.943692+02	1	Corozal District	\N	\N	\N	\N	\N	\N	t	f
9770	1708	prefettura di Berat	it	0	2013-06-05 11:14:32.608859+02	1	prefettura di Berat	\N	\N	\N	\N	\N	\N	t	f
9855	3209	Bouenza	es	0	2013-06-05 11:17:58.84001+02	1	Bouenza	\N	\N	\N	\N	\N	\N	t	f
9774	4290	Okres Břeclav	de	0	2013-06-05 11:14:42.554919+02	1	Okres Břeclav	\N	\N	\N	\N	\N	\N	t	f
9776	4290	District de Břeclav	fr	0	2013-06-05 11:14:47.268403+02	1	District de Břeclav	\N	\N	\N	\N	\N	\N	t	f
10364	3592	Bel Air	en	0	2013-06-05 11:40:22.106598+02	1	Bel Air	\N	\N	\N	\N	\N	\N	t	f
11121	4370	Aveyron	no	0	2013-06-05 12:12:51.451651+02	1	Aveyron	\N	\N	\N	\N	\N	\N	t	f
10654	3323	Governatorato di Minya	it	0	2013-06-05 11:52:40.242398+02	1	Governatorato di Minya	\N	\N	\N	\N	\N	\N	t	f
10682	1165	Barbuda	et	0	2013-06-05 11:53:49.338987+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
11239	4314	Badajozi provints	et	0	2013-06-05 12:17:57.167239+02	1	Badajozi provints	\N	\N	\N	\N	\N	\N	t	f
11199	4893	Bilirán	es	0	2013-06-05 12:16:18.345186+02	1	Bilirán	\N	\N	\N	\N	\N	\N	t	f
11201	4893	Provincia di Biliran	it	0	2013-06-05 12:16:23.153582+02	1	Provincia di Biliran	\N	\N	\N	\N	\N	\N	t	f
11304	1028	Bolívar	fi	0	2013-06-05 12:20:35.761171+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
11288	702	Catamarcan maakunta	fi	0	2013-06-05 12:19:56.8071+02	1	Catamarcan maakunta	\N	\N	\N	\N	\N	\N	t	f
11328	517	Bingöl	nl	0	2013-06-05 12:21:34.68706+02	1	Bingöl	\N	\N	\N	\N	\N	\N	t	f
11325	517	Bingöl	fr	0	2013-06-05 12:21:27.200732+02	1	Bingöl	\N	\N	\N	\N	\N	\N	t	f
11333	4635	Province of Chieti	en	0	2013-06-05 12:21:47.714018+02	1	Province of Chieti	\N	\N	\N	\N	\N	\N	t	f
2888	484	Örebro län	nl	0	2013-05-27 19:39:30.515431+02	1	Örebro län	\N	\N	\N	\N	\N	\N	t	f
2889	484	Örebro län	no	0	2013-05-27 19:39:32.705807+02	1	Örebro län	\N	\N	\N	\N	\N	\N	t	f
2890	966	Żebbuġ	de	0	2013-05-27 19:39:35.685869+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3480	2958	Āzārbāyjān-e Sharqī	fi	0	2013-05-27 20:04:03.164197+02	1	Āzārbāyjān-e Sharqī	\N	\N	\N	\N	\N	\N	t	f
2901	502	Voivodato della Slesia	it	0	2013-05-27 19:40:01.120822+02	1	Voivodato della Slesia	\N	\N	\N	\N	\N	\N	t	f
3958	3436	Munizip al-Mardsch	de	0	2013-06-05 07:03:14.10815+02	1	Munizip al-Mardsch	\N	\N	\N	\N	\N	\N	t	f
4047	3079	Al-Hasakah	nl	0	2013-06-05 07:06:59.008156+02	1	Al-Hasakah	\N	\N	\N	\N	\N	\N	t	f
4413	4868	カンタベリー地方	ja	0	2013-06-05 07:23:05.062105+02	1	カンタベリー地方	\N	\N	\N	\N	\N	\N	t	f
4433	3842	Durham	nl	0	2013-06-05 07:23:54.443153+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
4966	3116	Cunene	nl	0	2013-06-05 07:46:57.899856+02	1	Cunene	\N	\N	\N	\N	\N	\N	t	f
4448	4153	バンワ県	ja	0	2013-06-05 07:24:31.265308+02	1	バンワ県	\N	\N	\N	\N	\N	\N	t	f
4467	4458	Préfecture de Coyah	fr	0	2013-06-05 07:25:18.484167+02	1	Préfecture de Coyah	\N	\N	\N	\N	\N	\N	t	f
4468	4458	Prefettura di Coyah	it	0	2013-06-05 07:25:20.904028+02	1	Prefettura di Coyah	\N	\N	\N	\N	\N	\N	t	f
4968	3036	Ash Sharqiyah Region	en	0	2013-06-05 07:47:03.065332+02	1	Ash Sharqiyah Region	\N	\N	\N	\N	\N	\N	t	f
4557	3330	6th of October Governorate	en	0	2013-06-05 07:29:08.349915+02	1	6th of October Governorate	\N	\N	\N	\N	\N	\N	t	f
5556	3882	Croydon	nl	0	2013-06-05 08:12:25.208558+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
4985	3032	ブライミ特別行政区	ja	0	2013-06-05 07:47:44.02953+02	1	ブライミ特別行政区	\N	\N	\N	\N	\N	\N	t	f
5026	654	Andamanen und Nikobaren	de	0	2013-06-05 07:49:28.77907+02	1	Andamanen und Nikobaren	\N	\N	\N	\N	\N	\N	t	f
5054	589	Appenzell Ausserrhoden	fi	0	2013-06-05 07:50:41.443486+02	1	Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5588	2540	North Chungcheong Province	en	0	2013-06-05 08:13:43.653815+02	1	North Chungcheong Province	\N	\N	\N	\N	\N	\N	t	f
5068	4502	Arkadien	de	0	2013-06-05 07:51:16.5572+02	1	Arkadien	\N	\N	\N	\N	\N	\N	t	f
5083	3130	Cascades	fr	0	2013-06-05 07:51:53.197368+02	1	Cascades	\N	\N	\N	\N	\N	\N	t	f
6099	263	Alabama	et	0	2013-06-05 08:35:47.765959+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
5618	3147	Cibitoken provinssi	fi	0	2013-06-05 08:14:59.758432+02	1	Cibitoken provinssi	\N	\N	\N	\N	\N	\N	t	f
5680	3104	Gobernación de Al Mahwit	es	0	2013-06-05 08:17:39.18652+02	1	Gobernación de Al Mahwit	\N	\N	\N	\N	\N	\N	t	f
5730	3614	Al Qadarif	en	0	2013-06-05 08:19:41.35178+02	1	Al Qadarif	\N	\N	\N	\N	\N	\N	t	f
6115	4084	Kumilla	de	0	2013-06-05 08:36:30.073817+02	1	Kumilla	\N	\N	\N	\N	\N	\N	t	f
5768	713	Corrientes	nl	0	2013-06-05 08:21:13.923753+02	1	Corrientes	\N	\N	\N	\N	\N	\N	t	f
6849	3463	Provincia di Antsiranana	it	0	2013-06-05 09:08:02.037533+02	1	Provincia di Antsiranana	\N	\N	\N	\N	\N	\N	t	f
6899	4151	Balé	nl	0	2013-06-05 09:10:07.562414+02	1	Balé	\N	\N	\N	\N	\N	\N	t	f
7562	4234	Okres Beroun	de	0	2013-06-05 09:39:15.532577+02	1	Okres Beroun	\N	\N	\N	\N	\N	\N	t	f
6933	2804	Bago Region	en	0	2013-06-05 09:11:49.097086+02	1	Bago Region	\N	\N	\N	\N	\N	\N	t	f
10398	3800	Bath and North East Somerset	it	0	2013-06-05 11:41:45.579826+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
7709	1158	アマソナス州	ja	0	2013-06-05 09:45:21.808611+02	1	アマソナス州	\N	\N	\N	\N	\N	\N	t	f
8990	2392	Oblast' di Astrachan'	it	0	2013-06-05 10:40:39.539021+02	1	Oblast' di Astrachan'	\N	\N	\N	\N	\N	\N	t	f
8202	1699	Atua	no	0	2013-06-05 10:07:09.98378+02	1	Atua	\N	\N	\N	\N	\N	\N	t	f
8268	3098	Gobernación de Al Hudayda	es	0	2013-06-05 10:09:55.691618+02	1	Gobernación de Al Hudayda	\N	\N	\N	\N	\N	\N	t	f
9003	3376	Κονακρί	el	0	2013-06-05 10:41:11.178331+02	1	Κονακρί	\N	\N	\N	\N	\N	\N	t	f
9008	3376	Conakry	fr	0	2013-06-05 10:41:22.848177+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
10442	904	Vittoriosa	de	0	2013-06-05 11:43:34.03986+02	1	Vittoriosa	\N	\N	\N	\N	\N	\N	t	f
9067	1668	Province centrale	fr	0	2013-06-05 10:43:48.104149+02	1	Province centrale	\N	\N	\N	\N	\N	\N	t	f
9084	3301	Aïn Témouchent	nl	0	2013-06-05 10:44:34.731218+02	1	Aïn Témouchent	\N	\N	\N	\N	\N	\N	t	f
9189	3542	Abia	fi	0	2013-06-05 10:49:42.252011+02	1	Abia	\N	\N	\N	\N	\N	\N	t	f
10537	3163	Collines Department	en	0	2013-06-05 11:47:41.846723+02	1	Collines Department	\N	\N	\N	\N	\N	\N	t	f
9777	4290	Distretto di Břeclav	it	0	2013-06-05 11:14:49.60908+02	1	Distretto di Břeclav	\N	\N	\N	\N	\N	\N	t	f
9788	2960	Ardabil	de	0	2013-06-05 11:15:17.001899+02	1	Ardabil	\N	\N	\N	\N	\N	\N	t	f
11135	1066	Cajamarca	de	0	2013-06-05 12:13:32.577032+02	1	Cajamarca	\N	\N	\N	\N	\N	\N	t	f
9819	3250	Arta piirkond	et	0	2013-06-05 11:16:31.538569+02	1	Arta piirkond	\N	\N	\N	\N	\N	\N	t	f
10543	3163	Collines	no	0	2013-06-05 11:48:00.088408+02	1	Collines	\N	\N	\N	\N	\N	\N	t	f
9858	3209	ブエンザ地方	ja	0	2013-06-05 11:18:06.355402+02	1	ブエンザ地方	\N	\N	\N	\N	\N	\N	t	f
10365	3592	Bel Air (Seychelles)	es	0	2013-06-05 11:40:24.459617+02	1	Bel Air (Seychelles)	\N	\N	\N	\N	\N	\N	t	f
10611	814	Județ de Botoșani	fr	0	2013-06-05 11:50:54.634243+02	1	Județ de Botoșani	\N	\N	\N	\N	\N	\N	t	f
11148	3090	Gouvernorat d'Abyan	fr	0	2013-06-05 12:14:08.396668+02	1	Gouvernorat d'Abyan	\N	\N	\N	\N	\N	\N	t	f
10700	5053	Buliisa	fr	0	2013-06-05 11:54:33.198942+02	1	Buliisa	\N	\N	\N	\N	\N	\N	t	f
10702	5053	Bulisa	nl	0	2013-06-05 11:54:38.025238+02	1	Bulisa	\N	\N	\N	\N	\N	\N	t	f
11264	3425	Βεγγάζη	el	0	2013-06-05 12:18:58.363606+02	1	Βεγγάζη	\N	\N	\N	\N	\N	\N	t	f
11122	2094	Municipality of Braslovče	en	0	2013-06-05 12:12:54.122786+02	1	Municipality of Braslovče	\N	\N	\N	\N	\N	\N	t	f
11195	3431	Al Jfara	nl	0	2013-06-05 12:16:08.34867+02	1	Al Jfara	\N	\N	\N	\N	\N	\N	t	f
11215	588	Appenzell Innerrhoden	fi	0	2013-06-05 12:16:57.844611+02	1	Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
11373	3546	Bauchi	nl	0	2013-06-05 12:23:51.902009+02	1	Bauchi	\N	\N	\N	\N	\N	\N	t	f
11247	3239	Centre Region, Cameroon	en	0	2013-06-05 12:18:16.755773+02	1	Centre Region, Cameroon	\N	\N	\N	\N	\N	\N	t	f
11330	2138	Municipality of Apače	en	0	2013-06-05 12:21:39.741449+02	1	Municipality of Apače	\N	\N	\N	\N	\N	\N	t	f
11315	4816	Baa-atol	nl	0	2013-06-05 12:21:02.455171+02	1	Baa-atol	\N	\N	\N	\N	\N	\N	t	f
11326	517	Provincia di Bingöl	it	0	2013-06-05 12:21:29.594043+02	1	Provincia di Bingöl	\N	\N	\N	\N	\N	\N	t	f
11409	4901	北カマリネス州	ja	0	2013-06-05 12:25:40.181611+02	1	北カマリネス州	\N	\N	\N	\N	\N	\N	t	f
11467	4906	Cebu	fi	0	2013-06-05 12:28:07.047474+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
2891	966	Żebbuġ, Gozo	en	0	2013-05-27 19:39:37.965025+02	1	Żebbuġ, Gozo	\N	\N	\N	\N	\N	\N	t	f
2907	2962	Provincia de Ilam	es	0	2013-05-27 19:40:15.153368+02	1	Provincia de Ilam	\N	\N	\N	\N	\N	\N	t	f
2911	2962	イーラーム州	ja	0	2013-05-27 19:40:24.004215+02	1	イーラーム州	\N	\N	\N	\N	\N	\N	t	f
3481	2958	Azerbaïdjan oriental	fr	0	2013-05-27 20:04:05.690017+02	1	Azerbaïdjan oriental	\N	\N	\N	\N	\N	\N	t	f
3515	2477	Sjirak	no	0	2013-05-27 20:05:27.165817+02	1	Sjirak	\N	\N	\N	\N	\N	\N	t	f
3960	3436	Al Marj	es	0	2013-06-05 07:03:20.043138+02	1	Al Marj	\N	\N	\N	\N	\N	\N	t	f
3516	501	Woiwodschaft Heiligkreuz	de	0	2013-05-27 20:05:29.992439+02	1	Woiwodschaft Heiligkreuz	\N	\N	\N	\N	\N	\N	t	f
4042	3079	Al-Hasakah Governorate	en	0	2013-06-05 07:06:46.302519+02	1	Al-Hasakah Governorate	\N	\N	\N	\N	\N	\N	t	f
1705	41	中央アフリカ共和国	ja	0	2013-06-05 07:06:53.479845+02	1	ちゅうおうアフリカきょうわこく	\N	\N	\N	\N	\N	\N	t	f
4415	4868	Canterbury	no	0	2013-06-05 07:23:09.842842+02	1	Canterbury	\N	\N	\N	\N	\N	\N	t	f
4430	3842	Durham	fr	0	2013-06-05 07:23:47.134454+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
4969	3036	Oriental (Omán)	es	0	2013-06-05 07:47:05.399672+02	1	Oriental (Omán)	\N	\N	\N	\N	\N	\N	t	f
4443	4153	Banwa Province	en	0	2013-06-05 07:24:19.37999+02	1	Banwa Province	\N	\N	\N	\N	\N	\N	t	f
4456	1845	Lower Normandy	en	0	2013-06-05 07:24:51.455401+02	1	Lower Normandy	\N	\N	\N	\N	\N	\N	t	f
4465	4458	Coyah	de	0	2013-06-05 07:25:13.647553+02	1	Coyah	\N	\N	\N	\N	\N	\N	t	f
4982	3032	Buraimi	es	0	2013-06-05 07:47:36.936813+02	1	Buraimi	\N	\N	\N	\N	\N	\N	t	f
4482	4532	Chalkidiki	de	0	2013-06-05 07:25:56.099365+02	1	Chalkidiki	\N	\N	\N	\N	\N	\N	t	f
5557	3882	Croydon	no	0	2013-06-05 08:12:27.56902+02	1	Croydon	\N	\N	\N	\N	\N	\N	t	f
5003	655	Andhra Pradesh	en	0	2013-06-05 07:48:28.539389+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
5035	654	Andamanene og Nikobarene	no	0	2013-06-05 07:49:53.33979+02	1	Andamanene og Nikobarene	\N	\N	\N	\N	\N	\N	t	f
5042	2591	Bà Rịa-Vũng Tàu	de	0	2013-06-05 07:50:11.541565+02	1	Bà Rịa-Vũng Tàu	\N	\N	\N	\N	\N	\N	t	f
5565	4933	Cotabato	fr	0	2013-06-05 08:12:47.891159+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
5057	589	アッペンツェル・アウサーローデン準州	ja	0	2013-06-05 07:50:48.817722+02	1	アッペンツェル・アウサーローデン準州	\N	\N	\N	\N	\N	\N	t	f
5060	4889	Aurora	de	0	2013-06-05 07:50:56.762046+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
6104	263	Alabama	nl	0	2013-06-05 08:35:59.816506+02	1	Alabama	\N	\N	\N	\N	\N	\N	t	f
5066	4889	Aurora	nl	0	2013-06-05 07:51:11.321475+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
5585	1500	Chiapas	nl	0	2013-06-05 08:13:36.176975+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5134	4078	Barguna (district)	fr	0	2013-06-05 07:54:03.551337+02	1	Barguna (district)	\N	\N	\N	\N	\N	\N	t	f
5136	4078	ボルグナ県	ja	0	2013-06-05 07:54:08.338814+02	1	ボルグナ県	\N	\N	\N	\N	\N	\N	t	f
5635	2923	Abu Dhabi emiraat	et	0	2013-06-05 08:15:43.998485+02	1	Abu Dhabi emiraat	\N	\N	\N	\N	\N	\N	t	f
5637	2923	Abu Dhabi	it	0	2013-06-05 08:15:48.810589+02	1	Abu Dhabi	\N	\N	\N	\N	\N	\N	t	f
6120	3804	Blackpool	es	0	2013-06-05 08:36:42.94699+02	1	Blackpool	\N	\N	\N	\N	\N	\N	t	f
5638	2923	Abu Dhabi	nl	0	2013-06-05 08:15:51.162267+02	1	Abu Dhabi	\N	\N	\N	\N	\N	\N	t	f
6850	3463	アンツィラナナ州	ja	0	2013-06-05 09:08:04.42835+02	1	アンツィラナナ州	\N	\N	\N	\N	\N	\N	t	f
5670	4317	Provincia de La Coruña	es	0	2013-06-05 08:17:12.256942+02	1	Provincia de La Coruña	\N	\N	\N	\N	\N	\N	t	f
5707	4622	Bari provints	et	0	2013-06-05 08:18:44.988866+02	1	Bari provints	\N	\N	\N	\N	\N	\N	t	f
6853	1136	Apure	de	0	2013-06-05 09:08:12.079222+02	1	Apure	\N	\N	\N	\N	\N	\N	t	f
7565	4234	distretto di Beroun	it	0	2013-06-05 09:39:22.827319+02	1	distretto di Beroun	\N	\N	\N	\N	\N	\N	t	f
6873	4903	Provincia di Camarines Sur	it	0	2013-06-05 09:09:00.300438+02	1	Provincia di Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
6876	4903	Camarines Sur	no	0	2013-06-05 09:09:07.532525+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
6888	2769	Belait	fr	0	2013-06-05 09:09:36.827618+02	1	Belait	\N	\N	\N	\N	\N	\N	t	f
7571	580	Ardahan	fr	0	2013-06-05 09:39:39.970254+02	1	Ardahan	\N	\N	\N	\N	\N	\N	t	f
8991	2392	アストラハン州	ja	0	2013-06-05 10:40:41.921707+02	1	アストラハン州	\N	\N	\N	\N	\N	\N	t	f
8203	3031	Al-Batina	de	0	2013-06-05 10:07:12.754203+02	1	Al-Batina	\N	\N	\N	\N	\N	\N	t	f
9009	3376	Conakry	it	0	2013-06-05 10:41:25.221382+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
9265	3479	アサバ州	ja	0	2013-06-05 10:52:47.685021+02	1	アサバ州	\N	\N	\N	\N	\N	\N	t	f
9033	4318	カディス県	ja	0	2013-06-05 10:42:23.91826+02	1	カディス県	\N	\N	\N	\N	\N	\N	t	f
9103	1814	Ceuta	it	0	2013-06-05 10:45:40.292161+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
9885	2955	Gobernación de Solimania	es	0	2013-06-05 11:19:16.170742+02	1	Gobernación de Solimania	\N	\N	\N	\N	\N	\N	t	f
9117	4544	Chania	de	0	2013-06-05 10:46:34.738283+02	1	Chania	\N	\N	\N	\N	\N	\N	t	f
9778	4290	ブジェツラフ郡	ja	0	2013-06-05 11:14:51.941219+02	1	ブジェツラフ郡	\N	\N	\N	\N	\N	\N	t	f
9118	4544	Νομός Χανίων	el	0	2013-06-05 10:46:37.065739+02	1	Νομός Χανίων	\N	\N	\N	\N	\N	\N	t	f
9120	4544	Unidad periférica de La Canea	es	0	2013-06-05 10:46:44.225877+02	1	Unidad periférica de La Canea	\N	\N	\N	\N	\N	\N	t	f
9193	3542	Abia	nl	0	2013-06-05 10:49:51.718603+02	1	Abia	\N	\N	\N	\N	\N	\N	t	f
9797	2960	Ardabil	no	0	2013-06-05 11:15:38.315089+02	1	Ardabil	\N	\N	\N	\N	\N	\N	t	f
9251	1829	Alsace	en	0	2013-06-05 10:52:13.362641+02	1	Alsace	\N	\N	\N	\N	\N	\N	t	f
9262	3479	Assaba	es	0	2013-06-05 10:52:40.619124+02	1	Assaba	\N	\N	\N	\N	\N	\N	t	f
10508	1885	Abruzzo	fi	0	2013-06-05 11:46:26.853781+02	1	Abruzzo	\N	\N	\N	\N	\N	\N	t	f
9826	1595	Charlotte Parish	en	0	2013-06-05 11:16:48.441784+02	1	Charlotte Parish	\N	\N	\N	\N	\N	\N	t	f
10368	2526	Bulgan Province	en	0	2013-06-05 11:40:32.204965+02	1	Bulgan Province	\N	\N	\N	\N	\N	\N	t	f
9841	2373	Krim	no	0	2013-06-05 11:17:24.562606+02	1	Krim	\N	\N	\N	\N	\N	\N	t	f
10406	3547	Benue	fi	0	2013-06-05 11:42:05.289529+02	1	Benue	\N	\N	\N	\N	\N	\N	t	f
9877	3058	Madinat ash Shamal	en	0	2013-06-05 11:18:55.538998+02	1	Madinat ash Shamal	\N	\N	\N	\N	\N	\N	t	f
10401	3800	Bath and North East Somerset	no	0	2013-06-05 11:41:52.810317+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
10449	904	Birgu	no	0	2013-06-05 11:43:54.131333+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
10490	903	Balzan	it	0	2013-06-05 11:45:39.261046+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
10553	700	Provinz Chaco	de	0	2013-06-05 11:48:25.562646+02	1	Provinz Chaco	\N	\N	\N	\N	\N	\N	t	f
10521	3337	Maekel	no	0	2013-06-05 11:46:59.125713+02	1	Maekel	\N	\N	\N	\N	\N	\N	t	f
10589	3314	Gharbia Governorate	en	0	2013-06-05 11:50:00.75343+02	1	Gharbia Governorate	\N	\N	\N	\N	\N	\N	t	f
11123	3001	Al Farwaniyah Governorate	en	0	2013-06-05 12:12:56.856273+02	1	Al Farwaniyah Governorate	\N	\N	\N	\N	\N	\N	t	f
11138	1066	Cajamarcan alue	fi	0	2013-06-05 12:13:39.710816+02	1	Cajamarcan alue	\N	\N	\N	\N	\N	\N	t	f
11153	3265	Bouïra Province	en	0	2013-06-05 12:14:20.971847+02	1	Bouïra Province	\N	\N	\N	\N	\N	\N	t	f
11177	4367	Ariège	nl	0	2013-06-05 12:15:24.302134+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
11200	4893	Biliran	fr	0	2013-06-05 12:16:20.77408+02	1	Biliran	\N	\N	\N	\N	\N	\N	t	f
11205	4756	Azilal (Provinz)	de	0	2013-06-05 12:16:33.256239+02	1	Azilal (Provinz)	\N	\N	\N	\N	\N	\N	t	f
2892	966	Żebbuġ	fr	0	2013-05-27 19:39:40.361831+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
2893	966	Żebbuġ	it	0	2013-05-27 19:39:42.556322+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
2894	966	Żebbuġ	nl	0	2013-05-27 19:39:44.769062+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3482	2958	Regione dell'Azarbaijan orientale	it	0	2013-05-27 20:04:07.910356+02	1	Regione dell'Azarbaijan orientale	\N	\N	\N	\N	\N	\N	t	f
2895	502	Woiwodschaft Schlesien	de	0	2013-05-27 19:39:47.699047+02	1	Woiwodschaft Schlesien	\N	\N	\N	\N	\N	\N	t	f
2896	502	Silesian Voivodeship	en	0	2013-05-27 19:39:50.031184+02	1	Silesian Voivodeship	\N	\N	\N	\N	\N	\N	t	f
3962	3436	Municipalità di Barca	it	0	2013-06-05 07:03:26.623951+02	1	Municipalità di Barca	\N	\N	\N	\N	\N	\N	t	f
2909	2962	Province d'Ilam	fr	0	2013-05-27 19:40:19.591693+02	1	Province d'Ilam	\N	\N	\N	\N	\N	\N	t	f
2910	2962	Regione di Ilam	it	0	2013-05-27 19:40:21.788163+02	1	Regione di Ilam	\N	\N	\N	\N	\N	\N	t	f
3980	3824	Clackmannanshire	it	0	2013-06-05 07:04:12.19235+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4416	3878	London Borough of Bexley	de	0	2013-06-05 07:23:12.723686+02	1	London Borough of Bexley	\N	\N	\N	\N	\N	\N	t	f
3992	364	Aust-Agder	nl	0	2013-06-05 07:04:42.090241+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
3999	389	Préfecture d'Akita	fr	0	2013-06-05 07:04:59.902197+02	1	Préfecture d'Akita	\N	\N	\N	\N	\N	\N	t	f
4044	3079	Gouvernorat d'al-Hasaka	fr	0	2013-06-05 07:06:51.077223+02	1	Gouvernorat d'al-Hasaka	\N	\N	\N	\N	\N	\N	t	f
4470	3134	Centre-Ouest Region	en	0	2013-06-05 07:25:26.233677+02	1	Centre-Ouest Region	\N	\N	\N	\N	\N	\N	t	f
4971	3036	Regione al-Sharqiyya	it	0	2013-06-05 07:47:10.14182+02	1	Regione al-Sharqiyya	\N	\N	\N	\N	\N	\N	t	f
4484	4532	Chalkidiki	en	0	2013-06-05 07:26:00.860304+02	1	Chalkidiki	\N	\N	\N	\N	\N	\N	t	f
4508	902	Attard	it	0	2013-06-05 07:27:04.303508+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
4513	2550	Chagang	es	0	2013-06-05 07:27:17.837771+02	1	Chagang	\N	\N	\N	\N	\N	\N	t	f
5004	655	Andhra Pradesh	es	0	2013-06-05 07:48:30.890376+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
4552	4852	Bagmati	fr	0	2013-06-05 07:28:56.023231+02	1	Bagmati	\N	\N	\N	\N	\N	\N	t	f
4554	4852	バグマティ県	ja	0	2013-06-05 07:29:00.771792+02	1	バグマティ県	\N	\N	\N	\N	\N	\N	t	f
5558	5012	Bududa District	en	0	2013-06-05 08:12:30.265197+02	1	Bududa District	\N	\N	\N	\N	\N	\N	t	f
5009	655	アーンドラ・プラデーシュ州	ja	0	2013-06-05 07:48:42.845498+02	1	アーンドラ・プラデーシュ州	\N	\N	\N	\N	\N	\N	t	f
5034	654	Andamanen en Nicobaren	nl	0	2013-06-05 07:49:50.932793+02	1	Andamanen en Nicobaren	\N	\N	\N	\N	\N	\N	t	f
5560	5012	Bududa	fr	0	2013-06-05 08:12:34.961581+02	1	Bududa	\N	\N	\N	\N	\N	\N	t	f
6114	3073	Al-Bahah	nl	0	2013-06-05 08:36:27.142497+02	1	Al-Bahah	\N	\N	\N	\N	\N	\N	t	f
5561	5012	ブドゥダ県	ja	0	2013-06-05 08:12:37.296448+02	1	ブドゥダ県	\N	\N	\N	\N	\N	\N	t	f
5590	2540	Põhja-Ch'ungch'ŏngi provints	et	0	2013-06-05 08:13:48.759342+02	1	Põhja-Ch'ungch'ŏngi provints	\N	\N	\N	\N	\N	\N	t	f
5594	2540	忠清北道	ja	0	2013-06-05 08:13:58.401954+02	1	忠清北道	\N	\N	\N	\N	\N	\N	t	f
6125	3804	ブラックプール	ja	0	2013-06-05 08:36:54.883963+02	1	ブラックプール	\N	\N	\N	\N	\N	\N	t	f
5601	592	Basel-Stadt	fi	0	2013-06-05 08:14:15.634593+02	1	Basel-Stadt	\N	\N	\N	\N	\N	\N	t	f
6872	4903	Camarines Sur	fr	0	2013-06-05 09:08:57.906241+02	1	Camarines Sur	\N	\N	\N	\N	\N	\N	t	f
5616	3147	Provincia de Cibitoke	es	0	2013-06-05 08:14:55.063236+02	1	Provincia de Cibitoke	\N	\N	\N	\N	\N	\N	t	f
6893	4151	Balé Province	en	0	2013-06-05 09:09:49.165018+02	1	Balé Province	\N	\N	\N	\N	\N	\N	t	f
7566	4234	Okres Beroun	nl	0	2013-06-05 09:39:25.175128+02	1	Okres Beroun	\N	\N	\N	\N	\N	\N	t	f
6900	2398	Oblast Tscheljabinsk	de	0	2013-06-05 09:10:10.522475+02	1	Oblast Tscheljabinsk	\N	\N	\N	\N	\N	\N	t	f
6957	4902	カピス州	ja	0	2013-06-05 09:13:13.911581+02	1	カピス州	\N	\N	\N	\N	\N	\N	t	f
9799	1544	Bocas del Toro Province	en	0	2013-06-05 11:15:43.466964+02	1	Bocas del Toro Province	\N	\N	\N	\N	\N	\N	t	f
8206	3031	Al Batinah	fr	0	2013-06-05 10:07:19.883136+02	1	Al Batinah	\N	\N	\N	\N	\N	\N	t	f
8992	2392	Oblast Astrachan	nl	0	2013-06-05 10:40:44.285105+02	1	Oblast Astrachan	\N	\N	\N	\N	\N	\N	t	f
9143	1441	Departamento Choluteca	de	0	2013-06-05 10:47:51.479955+02	1	Departamento Choluteca	\N	\N	\N	\N	\N	\N	t	f
8994	4887	Antique	de	0	2013-06-05 10:40:49.462275+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
9028	4318	Provincia de Cádiz	es	0	2013-06-05 10:42:12.069981+02	1	Provincia de Cádiz	\N	\N	\N	\N	\N	\N	t	f
9039	2859	Provincia de Bādgīs	es	0	2013-06-05 10:42:38.750633+02	1	Provincia de Bādgīs	\N	\N	\N	\N	\N	\N	t	f
9155	3401	Comté de Bomi	fr	0	2013-06-05 10:48:19.971799+02	1	Comté de Bomi	\N	\N	\N	\N	\N	\N	t	f
9054	689	Connacht	nl	0	2013-06-05 10:43:14.787613+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
9058	3280	Provincia de Constantina	es	0	2013-06-05 10:43:26.16787+02	1	Provincia de Constantina	\N	\N	\N	\N	\N	\N	t	f
10487	903	Balzan	es	0	2013-06-05 11:45:32.185482+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
9075	2933	Noord	nl	0	2013-06-05 10:44:09.719419+02	1	Noord	\N	\N	\N	\N	\N	\N	t	f
9170	518	Bitlis Province	en	0	2013-06-05 10:48:56.341601+02	1	Bitlis Province	\N	\N	\N	\N	\N	\N	t	f
9093	821	コヴァスナ県	ja	0	2013-06-05 10:45:07.223943+02	1	コヴァスナ県	\N	\N	\N	\N	\N	\N	t	f
9097	1814	Θέουτα	el	0	2013-06-05 10:45:18.910511+02	1	Θέουτα	\N	\N	\N	\N	\N	\N	t	f
9823	3250	Arta	nl	0	2013-06-05 11:16:41.051195+02	1	Arta	\N	\N	\N	\N	\N	\N	t	f
9127	3023	Central Province, Maldives	en	0	2013-06-05 10:47:01.373059+02	1	Central Province, Maldives	\N	\N	\N	\N	\N	\N	t	f
9177	4866	Region Auckland	de	0	2013-06-05 10:49:13.607838+02	1	Region Auckland	\N	\N	\N	\N	\N	\N	t	f
9793	2960	Province d'Ardabil	fr	0	2013-06-05 11:15:28.830109+02	1	Province d'Ardabil	\N	\N	\N	\N	\N	\N	t	f
9889	2955	スレイマニヤ県	ja	0	2013-06-05 11:19:25.59384+02	1	スレイマニヤ県	\N	\N	\N	\N	\N	\N	t	f
9795	2960	アルダビール州	ja	0	2013-06-05 11:15:33.582558+02	1	アルダビール州	\N	\N	\N	\N	\N	\N	t	f
9834	2373	Crimea	es	0	2013-06-05 11:17:07.840138+02	1	Crimea	\N	\N	\N	\N	\N	\N	t	f
10410	3547	Benue	nl	0	2013-06-05 11:42:14.894846+02	1	Benue	\N	\N	\N	\N	\N	\N	t	f
9845	1818	Cataluña	es	0	2013-06-05 11:17:34.600999+02	1	Cataluña	\N	\N	\N	\N	\N	\N	t	f
9946	1068	Cuzco	es	0	2013-06-05 11:22:01.630827+02	1	Cuzco	\N	\N	\N	\N	\N	\N	t	f
9859	3209	Bouenza	nl	0	2013-06-05 11:18:09.408165+02	1	Bouenza	\N	\N	\N	\N	\N	\N	t	f
10369	2526	Bulgan	es	0	2013-06-05 11:40:34.831364+02	1	Bulgan	\N	\N	\N	\N	\N	\N	t	f
10482	1633	Provincia Centrale	it	0	2013-06-05 11:45:19.886408+02	1	Provincia Centrale	\N	\N	\N	\N	\N	\N	t	f
10480	1633	Provincia Central	es	0	2013-06-05 11:45:15.158505+02	1	Provincia Central	\N	\N	\N	\N	\N	\N	t	f
11125	3001	ファルワーニーヤ県	ja	0	2013-06-05 12:13:01.553271+02	1	ファルワーニーヤ県	\N	\N	\N	\N	\N	\N	t	f
11251	3239	Regione Centrale	it	0	2013-06-05 12:18:26.287626+02	1	Regione Centrale	\N	\N	\N	\N	\N	\N	t	f
11262	2592	An Giang	nl	0	2013-06-05 12:18:53.059632+02	1	An Giang	\N	\N	\N	\N	\N	\N	t	f
11275	4548	Región de Biombo	es	0	2013-06-05 12:19:25.079565+02	1	Región de Biombo	\N	\N	\N	\N	\N	\N	t	f
11347	905	Birchircara	it	0	2013-06-05 12:22:21.840262+02	1	Birchircara	\N	\N	\N	\N	\N	\N	t	f
11389	1889	Basilikata	de	0	2013-06-05 12:24:43.449057+02	1	Basilikata	\N	\N	\N	\N	\N	\N	t	f
11413	3917	Κόβεντρι	el	0	2013-06-05 12:25:52.700193+02	1	Κόβεντρι	\N	\N	\N	\N	\N	\N	t	f
11463	4906	Cebu	de	0	2013-06-05 12:27:57.642484+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
2897	502	Voivodato de Silesia	es	0	2013-05-27 19:39:52.222281+02	1	Voivodato de Silesia	\N	\N	\N	\N	\N	\N	t	f
2898	502	Sileesia vojevoodkond	et	0	2013-05-27 19:39:54.444593+02	1	Sileesia vojevoodkond	\N	\N	\N	\N	\N	\N	t	f
2899	502	Sleesian voivodikunta	fi	0	2013-05-27 19:39:56.662117+02	1	Sleesian voivodikunta	\N	\N	\N	\N	\N	\N	t	f
3484	2958	Oost-Azerbeidzjan	nl	0	2013-05-27 20:04:12.495707+02	1	Oost-Azerbeidzjan	\N	\N	\N	\N	\N	\N	t	f
2900	502	Voïvodie de Silésie	fr	0	2013-05-27 19:39:58.873821+02	1	Voïvodie de Silésie	\N	\N	\N	\N	\N	\N	t	f
2902	502	シロンスク県	ja	0	2013-05-27 19:40:03.431904+02	1	シロンスク県	\N	\N	\N	\N	\N	\N	t	f
3963	3436	マルジュ県	ja	0	2013-06-05 07:03:29.005278+02	1	マルジュ県	\N	\N	\N	\N	\N	\N	t	f
2904	502	Schlesiske voivodskap	no	0	2013-05-27 19:40:07.931065+02	1	Schlesiske voivodskap	\N	\N	\N	\N	\N	\N	t	f
2906	2962	Ilam Province	en	0	2013-05-27 19:40:12.864996+02	1	Ilam Province	\N	\N	\N	\N	\N	\N	t	f
4034	3112	Benguelan maakunta	fi	0	2013-06-05 07:06:26.624249+02	1	Benguelan maakunta	\N	\N	\N	\N	\N	\N	t	f
4417	3878	London Borough of Bexley	en	0	2013-06-05 07:23:15.223518+02	1	London Borough of Bexley	\N	\N	\N	\N	\N	\N	t	f
4432	3842	ダラム	ja	0	2013-06-05 07:23:52.019263+02	1	ダラム	\N	\N	\N	\N	\N	\N	t	f
4973	3620	An-Nil al-azraq	de	0	2013-06-05 07:47:15.196724+02	1	An-Nil al-azraq	\N	\N	\N	\N	\N	\N	t	f
4445	4153	Banwa	fi	0	2013-06-05 07:24:24.091387+02	1	Banwa	\N	\N	\N	\N	\N	\N	t	f
4496	1835	Keskpiirkond	et	0	2013-06-05 07:26:33.911121+02	1	Keskpiirkond	\N	\N	\N	\N	\N	\N	t	f
4502	1835	Centre	no	0	2013-06-05 07:26:49.215406+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
4977	3620	Nilo Azzurro	it	0	2013-06-05 07:47:24.6686+02	1	Nilo Azzurro	\N	\N	\N	\N	\N	\N	t	f
4559	3330	Gouvernorat du 6 Octobre	fr	0	2013-06-05 07:29:13.112835+02	1	Gouvernorat du 6 Octobre	\N	\N	\N	\N	\N	\N	t	f
5559	5012	Distrito de Bududa	es	0	2013-06-05 08:12:32.619053+02	1	Distrito de Bududa	\N	\N	\N	\N	\N	\N	t	f
4999	4897	Bukidnon	nl	0	2013-06-05 07:48:18.506904+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5041	4757	Béni-Mellal	nl	0	2013-06-05 07:50:08.724205+02	1	Béni-Mellal	\N	\N	\N	\N	\N	\N	t	f
5076	4502	アルカディア県	ja	0	2013-06-05 07:51:35.829938+02	1	アルカディア県	\N	\N	\N	\N	\N	\N	t	f
5569	4933	Cotabato	no	0	2013-06-05 08:12:57.51206+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
5128	2527	バヤンホンゴル県	ja	0	2013-06-05 07:53:48.502441+02	1	バヤンホンゴル県	\N	\N	\N	\N	\N	\N	t	f
6130	3490	Islas Agalega	es	0	2013-06-05 08:37:07.717421+02	1	Islas Agalega	\N	\N	\N	\N	\N	\N	t	f
5572	2226	Distrito de Cimişlia	es	0	2013-06-05 08:13:05.01071+02	1	Distrito de Cimişlia	\N	\N	\N	\N	\N	\N	t	f
5582	1500	Chiapas	fr	0	2013-06-05 08:13:28.957827+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
6890	2769	ブライト地区	ja	0	2013-06-05 09:09:41.697681+02	1	ブライト地区	\N	\N	\N	\N	\N	\N	t	f
5634	2923	Abu Dabi	es	0	2013-06-05 08:15:41.651792+02	1	Abu Dabi	\N	\N	\N	\N	\N	\N	t	f
5664	3194	Prefettura di Basse-Kotto	it	0	2013-06-05 08:16:57.618019+02	1	Prefettura di Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
5743	981	アリカ・イ・パリナコータ州	ja	0	2013-06-05 08:20:12.676362+02	1	アリカ・イ・パリナコータ州	\N	\N	\N	\N	\N	\N	t	f
6948	3813	Cardiff	it	0	2013-06-05 09:12:41.425377+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
5747	2649	Champasak Province	en	0	2013-06-05 08:20:22.602101+02	1	Champasak Province	\N	\N	\N	\N	\N	\N	t	f
7567	580	Ardahan	de	0	2013-06-05 09:39:28.121046+02	1	Ardahan	\N	\N	\N	\N	\N	\N	t	f
5763	713	Provincia de Corrientes	es	0	2013-06-05 08:21:02.005036+02	1	Provincia de Corrientes	\N	\N	\N	\N	\N	\N	t	f
11156	3265	provincia di Bouira	it	0	2013-06-05 12:14:28.152824+02	1	provincia di Bouira	\N	\N	\N	\N	\N	\N	t	f
8207	3031	Regione di al-Batina	it	0	2013-06-05 10:07:22.26445+02	1	Regione di al-Batina	\N	\N	\N	\N	\N	\N	t	f
8993	2392	Astrakhan oblast	no	0	2013-06-05 10:40:46.724675+02	1	Astrakhan oblast	\N	\N	\N	\N	\N	\N	t	f
8212	3429	Al Jabal al Akhdar	fr	0	2013-06-05 10:07:34.866725+02	1	Al Jabal al Akhdar	\N	\N	\N	\N	\N	\N	t	f
8279	511	Provincia di Ankara	it	0	2013-06-05 10:10:26.751623+02	1	Provincia di Ankara	\N	\N	\N	\N	\N	\N	t	f
9872	4457	Prefettura di Boké	it	0	2013-06-05 11:18:41.677783+02	1	Prefettura di Boké	\N	\N	\N	\N	\N	\N	t	f
8283	4625	Provinz Belluno	de	0	2013-06-05 10:10:36.803439+02	1	Provinz Belluno	\N	\N	\N	\N	\N	\N	t	f
9018	4896	バタネス州	ja	0	2013-06-05 10:41:47.002751+02	1	バタネス州	\N	\N	\N	\N	\N	\N	t	f
8297	723	Csongrádi komitaat	et	0	2013-06-05 10:11:10.559698+02	1	Csongrádi komitaat	\N	\N	\N	\N	\N	\N	t	f
8323	1097	Departamento Cordillera	de	0	2013-06-05 10:12:14.351059+02	1	Departamento Cordillera	\N	\N	\N	\N	\N	\N	t	f
9083	3301	アイン・ティムシェント県	ja	0	2013-06-05 10:44:32.332753+02	1	アイン・ティムシェント県	\N	\N	\N	\N	\N	\N	t	f
10383	4380	Département Creuse	de	0	2013-06-05 11:41:09.505265+02	1	Département Creuse	\N	\N	\N	\N	\N	\N	t	f
9115	2940	Al-Anbar	nl	0	2013-06-05 10:46:26.600403+02	1	Al-Anbar	\N	\N	\N	\N	\N	\N	t	f
9883	2955	as-Sulaimaniyya	de	0	2013-06-05 11:19:11.490607+02	1	as-Sulaimaniyya	\N	\N	\N	\N	\N	\N	t	f
9130	1499	Chihuahua	en	0	2013-06-05 10:47:08.793127+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9135	1499	Chihuahua	it	0	2013-06-05 10:47:26.176379+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9300	312	Alberta	nl	0	2013-06-05 10:54:12.207345+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
9884	2955	Sulaymaniyah Province	en	0	2013-06-05 11:19:13.826026+02	1	Sulaymaniyah Province	\N	\N	\N	\N	\N	\N	t	f
9302	818	Kreis Călărași	de	0	2013-06-05 10:54:17.421839+02	1	Kreis Călărași	\N	\N	\N	\N	\N	\N	t	f
9871	4457	Préfecture de Boké	fr	0	2013-06-05 11:18:38.711173+02	1	Préfecture de Boké	\N	\N	\N	\N	\N	\N	t	f
10384	4380	Κρεζ	el	0	2013-06-05 11:41:11.873518+02	1	Κρεζ	\N	\N	\N	\N	\N	\N	t	f
9895	4587	Clare'i krahvkond	et	0	2013-06-05 11:19:40.25558+02	1	Clare'i krahvkond	\N	\N	\N	\N	\N	\N	t	f
10371	2526	Bulgan	fi	0	2013-06-05 11:40:39.867882+02	1	Bulgan	\N	\N	\N	\N	\N	\N	t	f
10692	1212	District de Corozal	fr	0	2013-06-05 11:54:13.770632+02	1	District de Corozal	\N	\N	\N	\N	\N	\N	t	f
11159	4503	Achaia	de	0	2013-06-05 12:14:39.167278+02	1	Achaia	\N	\N	\N	\N	\N	\N	t	f
11126	3001	Farwaniya	nl	0	2013-06-05 12:13:03.891028+02	1	Farwaniya	\N	\N	\N	\N	\N	\N	t	f
11332	4635	Επαρχία του Κιέτι	el	0	2013-06-05 12:21:45.162067+02	1	Επαρχία του Κιέτι	\N	\N	\N	\N	\N	\N	t	f
11259	2592	Province d'An Giang	fr	0	2013-06-05 12:18:45.935742+02	1	Province d'An Giang	\N	\N	\N	\N	\N	\N	t	f
11350	905	Birkirkara	no	0	2013-06-05 12:22:37.696768+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
11334	4635	Chieti	es	0	2013-06-05 12:21:50.198788+02	1	Chieti	\N	\N	\N	\N	\N	\N	t	f
11344	905	Birkirkara	es	0	2013-06-05 12:22:14.669674+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
2912	2962	Ilam	nl	0	2013-05-27 19:40:26.435277+02	1	Ilam	\N	\N	\N	\N	\N	\N	t	f
2913	2962	Ilam	no	0	2013-05-27 19:40:30.304982+02	1	Ilam	\N	\N	\N	\N	\N	\N	t	f
3485	2958	Øst-Aserbajdsjan	no	0	2013-05-27 20:04:14.76833+02	1	Øst-Aserbajdsjan	\N	\N	\N	\N	\N	\N	t	f
3969	2990	Al 'Aqabah	fi	0	2013-06-05 07:03:44.49205+02	1	Al 'Aqabah	\N	\N	\N	\N	\N	\N	t	f
3979	3824	Clackmannanshire	fr	0	2013-06-05 07:04:09.759+02	1	Clackmannanshire	\N	\N	\N	\N	\N	\N	t	f
4418	3878	Municipio de Bexley	es	0	2013-06-05 07:23:17.590245+02	1	Municipio de Bexley	\N	\N	\N	\N	\N	\N	t	f
3985	364	Aust-Agder	en	0	2013-06-05 07:04:24.900604+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
4011	4387	コルス＝デュ＝シュド県	ja	0	2013-06-05 07:05:29.769395+02	1	コルス＝デュ＝シュド県	\N	\N	\N	\N	\N	\N	t	f
4020	3828	Cornouailles	fr	0	2013-06-05 07:05:51.956704+02	1	Cornouailles	\N	\N	\N	\N	\N	\N	t	f
4423	3878	Bexley	nl	0	2013-06-05 07:23:29.795832+02	1	Bexley	\N	\N	\N	\N	\N	\N	t	f
4974	3620	Blue Nile	en	0	2013-06-05 07:47:17.53654+02	1	Blue Nile	\N	\N	\N	\N	\N	\N	t	f
4469	3134	Centre-Ouest	de	0	2013-06-05 07:25:23.690756+02	1	Centre-Ouest	\N	\N	\N	\N	\N	\N	t	f
4480	5013	ブケデア県	ja	0	2013-06-05 07:25:50.826593+02	1	ブケデア県	\N	\N	\N	\N	\N	\N	t	f
4507	902	Attard	fr	0	2013-06-05 07:27:01.55824+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
4975	3620	Nilo Azul	es	0	2013-06-05 07:47:19.915024+02	1	Nilo Azul	\N	\N	\N	\N	\N	\N	t	f
4538	3115	Cuando Cubango	es	0	2013-06-05 07:28:19.17939+02	1	Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
5562	4933	Cotabato	de	0	2013-06-05 08:12:39.96237+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
4991	4867	Bay of Plenty	it	0	2013-06-05 07:47:58.971333+02	1	Bay of Plenty	\N	\N	\N	\N	\N	\N	t	f
5012	1306	Burtnieki municipality	en	0	2013-06-05 07:48:52.204501+02	1	Burtnieki municipality	\N	\N	\N	\N	\N	\N	t	f
5017	1619	Baiti	de	0	2013-06-05 07:49:04.27661+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5566	4933	Provincia di Cotabato	it	0	2013-06-05 08:12:50.234546+02	1	Provincia di Cotabato	\N	\N	\N	\N	\N	\N	t	f
5021	1619	Baiti	fr	0	2013-06-05 07:49:13.688516+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5091	1094	Département de l'Alto Paraguay	fr	0	2013-06-05 07:52:12.931635+02	1	Département de l'Alto Paraguay	\N	\N	\N	\N	\N	\N	t	f
6134	3490	アガレガ諸島	ja	0	2013-06-05 08:37:17.175344+02	1	アガレガ諸島	\N	\N	\N	\N	\N	\N	t	f
5101	787	Austurland	fr	0	2013-06-05 07:52:37.143653+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5663	3194	Basse-Kotto	fr	0	2013-06-05 08:16:55.053196+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
5666	3194	Basse-Kotto	nl	0	2013-06-05 08:17:02.298998+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
5702	719	Békés	nl	0	2013-06-05 08:18:32.509665+02	1	Békés	\N	\N	\N	\N	\N	\N	t	f
6155	591	Basel-Land	en	0	2013-06-05 08:38:09.484188+02	1	Basel-Land	\N	\N	\N	\N	\N	\N	t	f
5711	4622	バーリ県	ja	0	2013-06-05 08:18:54.520582+02	1	バーリ県	\N	\N	\N	\N	\N	\N	t	f
6903	2398	Cheliábinsk	es	0	2013-06-05 09:10:17.730382+02	1	Cheliábinsk	\N	\N	\N	\N	\N	\N	t	f
5715	3264	Blida Province	en	0	2013-06-05 08:19:04.489119+02	1	Blida Province	\N	\N	\N	\N	\N	\N	t	f
5734	3614	ガダーレフ州	ja	0	2013-06-05 08:19:50.869728+02	1	ガダーレフ州	\N	\N	\N	\N	\N	\N	t	f
5758	1485	District de Castries	fr	0	2013-06-05 08:20:49.39145+02	1	District de Castries	\N	\N	\N	\N	\N	\N	t	f
6911	4629	Provinz Brescia	de	0	2013-06-05 09:10:37.303167+02	1	Provinz Brescia	\N	\N	\N	\N	\N	\N	t	f
7581	995	Antioquia	fi	0	2013-06-05 09:40:06.932034+02	1	Antioquia	\N	\N	\N	\N	\N	\N	t	f
6923	622	Bahia	en	0	2013-06-05 09:11:11.47258+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
10456	3534	アガデス州	ja	0	2013-06-05 11:44:11.179386+02	1	アガデス州	\N	\N	\N	\N	\N	\N	t	f
8216	3429	Al Jabal al Akhdar	no	0	2013-06-05 10:07:44.350656+02	1	Al Jabal al Akhdar	\N	\N	\N	\N	\N	\N	t	f
8997	4887	Antique	fr	0	2013-06-05 10:40:56.519563+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
8225	619	Alagoas	es	0	2013-06-05 10:08:06.652209+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8257	2622	Banteay Meanchey	de	0	2013-06-05 10:09:28.49617+02	1	Banteay Meanchey	\N	\N	\N	\N	\N	\N	t	f
9906	2669	Province d'Ang Thong	fr	0	2013-06-05 11:20:12.838202+02	1	Province d'Ang Thong	\N	\N	\N	\N	\N	\N	t	f
8266	3098	Gouvernement al-Hudaida	de	0	2013-06-05 10:09:50.887303+02	1	Gouvernement al-Hudaida	\N	\N	\N	\N	\N	\N	t	f
9014	4896	Batanes	en	0	2013-06-05 10:41:37.626553+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
8302	723	Csongrád	nl	0	2013-06-05 10:11:22.734993+02	1	Csongrád	\N	\N	\N	\N	\N	\N	t	f
8321	2096	Municipality of Cerkvenjak	en	0	2013-06-05 10:12:09.180831+02	1	Municipality of Cerkvenjak	\N	\N	\N	\N	\N	\N	t	f
8341	2395	Bryansk Oblast	en	0	2013-06-05 10:12:59.373462+02	1	Bryansk Oblast	\N	\N	\N	\N	\N	\N	t	f
9101	1814	Ceuta	fi	0	2013-06-05 10:45:31.295702+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
9112	2940	Al-Anbar	fr	0	2013-06-05 10:46:19.489261+02	1	Al-Anbar	\N	\N	\N	\N	\N	\N	t	f
9947	1068	Cuscon alue	fi	0	2013-06-05 11:22:04.023206+02	1	Cuscon alue	\N	\N	\N	\N	\N	\N	t	f
9123	4544	La Canea	it	0	2013-06-05 10:46:51.404228+02	1	La Canea	\N	\N	\N	\N	\N	\N	t	f
9145	1441	Departamento de Choluteca	es	0	2013-06-05 10:47:56.125667+02	1	Departamento de Choluteca	\N	\N	\N	\N	\N	\N	t	f
9162	1115	Departamento de Artigas	es	0	2013-06-05 10:48:36.825783+02	1	Departamento de Artigas	\N	\N	\N	\N	\N	\N	t	f
10372	2526	Bulgan	fr	0	2013-06-05 11:40:42.270502+02	1	Bulgan	\N	\N	\N	\N	\N	\N	t	f
9185	3542	Abia	de	0	2013-06-05 10:49:32.896194+02	1	Abia	\N	\N	\N	\N	\N	\N	t	f
9875	3587	Au Cap	nl	0	2013-06-05 11:18:50.1776+02	1	Au Cap	\N	\N	\N	\N	\N	\N	t	f
10473	4621	province d'Avellino	fr	0	2013-06-05 11:44:55.093646+02	1	province d'Avellino	\N	\N	\N	\N	\N	\N	t	f
9898	4587	Clare	it	0	2013-06-05 11:19:47.327994+02	1	Clare	\N	\N	\N	\N	\N	\N	t	f
10400	3800	Bath and North East Somerset	nl	0	2013-06-05 11:41:50.441658+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
10420	3306	Gouvernorat d'Assiout	fr	0	2013-06-05 11:42:39.650397+02	1	Gouvernorat d'Assiout	\N	\N	\N	\N	\N	\N	t	f
10615	814	Botoșani	no	0	2013-06-05 11:51:04.534447+02	1	Botoșani	\N	\N	\N	\N	\N	\N	t	f
10555	700	Provincia del Chaco	es	0	2013-06-05 11:48:30.432979+02	1	Provincia del Chaco	\N	\N	\N	\N	\N	\N	t	f
10526	2227	Distretto di Criuleni	it	0	2013-06-05 11:47:11.427305+02	1	Distretto di Criuleni	\N	\N	\N	\N	\N	\N	t	f
10541	3163	コリネス県	ja	0	2013-06-05 11:47:55.240128+02	1	コリネス県	\N	\N	\N	\N	\N	\N	t	f
10613	814	ボトシャニ県	ja	0	2013-06-05 11:50:59.480461+02	1	ボトシャニ県	\N	\N	\N	\N	\N	\N	t	f
11127	3913	Metropolitan Borough of Bolton	de	0	2013-06-05 12:13:06.681567+02	1	Metropolitan Borough of Bolton	\N	\N	\N	\N	\N	\N	t	f
11248	3239	Región del Centro	es	0	2013-06-05 12:18:19.149576+02	1	Región del Centro	\N	\N	\N	\N	\N	\N	t	f
11260	2592	Provincia di An Giang	it	0	2013-06-05 12:18:48.286673+02	1	Provincia di An Giang	\N	\N	\N	\N	\N	\N	t	f
11279	4548	ビオンボ州	ja	0	2013-06-05 12:19:34.6257+02	1	ビオンボ州	\N	\N	\N	\N	\N	\N	t	f
11320	3797	Ballymena	nl	0	2013-06-05 12:21:14.533274+02	1	Ballymena	\N	\N	\N	\N	\N	\N	t	f
11343	905	Birkirkara	en	0	2013-06-05 12:22:12.270597+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
11345	905	Birkirkara	fi	0	2013-06-05 12:22:17.098007+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
11416	3917	Coventry	et	0	2013-06-05 12:26:02.222608+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11487	1107	Distretto di Coronie	it	0	2013-06-05 12:28:55.670544+02	1	Distretto di Coronie	\N	\N	\N	\N	\N	\N	t	f
2914	2339	Opština Šuto Orizari	de	0	2013-05-27 19:40:32.938375+02	1	Opština Šuto Orizari	\N	\N	\N	\N	\N	\N	t	f
2916	2339	Municipalidad de Šuto Orizari	es	0	2013-05-27 19:40:37.371652+02	1	Municipalidad de Šuto Orizari	\N	\N	\N	\N	\N	\N	t	f
3487	1807	Ústí nad Labem Region	en	0	2013-05-27 20:04:21.667741+02	1	Ústí nad Labem Region	\N	\N	\N	\N	\N	\N	t	f
3489	1807	Ústí maakond	et	0	2013-05-27 20:04:26.645231+02	1	Ústí maakond	\N	\N	\N	\N	\N	\N	t	f
3971	2990	Governatorato di Aqaba	it	0	2013-06-05 07:03:49.212348+02	1	Governatorato di Aqaba	\N	\N	\N	\N	\N	\N	t	f
3494	1807	Ústí nad Labem	nl	0	2013-05-27 20:04:38.000723+02	1	Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3500	4356	Álava	fi	0	2013-05-27 20:04:52.009514+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
4001	389	秋田県	ja	0	2013-06-05 07:05:05.00819+02	1	秋田県	\N	\N	\N	\N	\N	\N	t	f
4420	3878	District londonien de Bexley	fr	0	2013-06-05 07:23:22.331137+02	1	District londonien de Bexley	\N	\N	\N	\N	\N	\N	t	f
4029	880	嘉義県	ja	0	2013-06-05 07:06:14.001679+02	1	嘉義県	\N	\N	\N	\N	\N	\N	t	f
4040	3079	Gouvernement al-Hasaka	de	0	2013-06-05 07:06:41.559398+02	1	Gouvernement al-Hasaka	\N	\N	\N	\N	\N	\N	t	f
4505	902	Attard	es	0	2013-06-05 07:26:56.684431+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
4976	3620	Nil Bleu	fr	0	2013-06-05 07:47:22.337148+02	1	Nil Bleu	\N	\N	\N	\N	\N	\N	t	f
4506	902	Attard	fi	0	2013-06-05 07:26:59.125558+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
5094	1094	Alto Paraguay	nl	0	2013-06-05 07:52:20.082973+02	1	Alto Paraguay	\N	\N	\N	\N	\N	\N	t	f
5563	4933	Cotabato	en	0	2013-06-05 08:12:42.354748+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
5636	2923	Abou Dabi	fr	0	2013-06-05 08:15:46.450192+02	1	Abou Dabi	\N	\N	\N	\N	\N	\N	t	f
6138	2732	Chumphon Province	en	0	2013-06-05 08:37:28.158463+02	1	Chumphon Province	\N	\N	\N	\N	\N	\N	t	f
5652	3033	Ad Dakhiliyah Governorate	en	0	2013-06-05 08:16:28.775325+02	1	Ad Dakhiliyah Governorate	\N	\N	\N	\N	\N	\N	t	f
5672	4317	A Coruña	fi	0	2013-06-05 08:17:16.941574+02	1	A Coruña	\N	\N	\N	\N	\N	\N	t	f
5677	4317	La Coruña	no	0	2013-06-05 08:17:31.286429+02	1	La Coruña	\N	\N	\N	\N	\N	\N	t	f
6149	3307	Gouvernorat de la Mer-Rouge	fr	0	2013-06-05 08:37:54.631891+02	1	Gouvernorat de la Mer-Rouge	\N	\N	\N	\N	\N	\N	t	f
5697	719	Békési komitaat	et	0	2013-06-05 08:18:20.4035+02	1	Békési komitaat	\N	\N	\N	\N	\N	\N	t	f
5698	719	Békés	fi	0	2013-06-05 08:18:22.754692+02	1	Békés	\N	\N	\N	\N	\N	\N	t	f
6914	4629	Brescia	es	0	2013-06-05 09:10:44.528119+02	1	Brescia	\N	\N	\N	\N	\N	\N	t	f
5716	3264	Provincia de Blida	es	0	2013-06-05 08:19:06.808653+02	1	Provincia de Blida	\N	\N	\N	\N	\N	\N	t	f
6209	4378	Département Côte-d’Or	de	0	2013-06-05 08:40:34.563152+02	1	Département Côte-d’Or	\N	\N	\N	\N	\N	\N	t	f
5735	3614	Al-Qadarif	nl	0	2013-06-05 08:19:53.252365+02	1	Al-Qadarif	\N	\N	\N	\N	\N	\N	t	f
6916	4629	Brescian maakunta	fi	0	2013-06-05 09:10:49.277777+02	1	Brescian maakunta	\N	\N	\N	\N	\N	\N	t	f
7590	2202	Famagusta District	en	0	2013-06-05 09:40:29.192729+02	1	Famagusta District	\N	\N	\N	\N	\N	\N	t	f
7626	2165	Provincia de Burgas	es	0	2013-06-05 09:41:57.033908+02	1	Provincia de Burgas	\N	\N	\N	\N	\N	\N	t	f
8998	4887	Provincia di Antique	it	0	2013-06-05 10:40:58.859478+02	1	Provincia di Antique	\N	\N	\N	\N	\N	\N	t	f
7697	3626	Île de l'Ascension	fr	0	2013-06-05 09:44:52.619905+02	1	Île de l'Ascension	\N	\N	\N	\N	\N	\N	t	f
8219	1601	División Central (Fiyi)	es	0	2013-06-05 10:07:51.870832+02	1	División Central (Fiyi)	\N	\N	\N	\N	\N	\N	t	f
10376	2526	Bulgan	no	0	2013-06-05 11:40:51.951541+02	1	Bulgan	\N	\N	\N	\N	\N	\N	t	f
8276	511	Ankara	es	0	2013-06-05 10:10:18.824514+02	1	Ankara	\N	\N	\N	\N	\N	\N	t	f
9001	4887	Antique	no	0	2013-06-05 10:41:06.01557+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
8292	4625	Belluno	nl	0	2013-06-05 10:10:58.147033+02	1	Belluno	\N	\N	\N	\N	\N	\N	t	f
9005	3376	Conakri	es	0	2013-06-05 10:41:15.805722+02	1	Conakri	\N	\N	\N	\N	\N	\N	t	f
9021	5005	Amuria District	en	0	2013-06-05 10:41:54.510627+02	1	Amuria District	\N	\N	\N	\N	\N	\N	t	f
10489	903	Balzan	fr	0	2013-06-05 11:45:36.917888+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
9063	3280	Constantine	no	0	2013-06-05 10:43:38.336162+02	1	Constantine	\N	\N	\N	\N	\N	\N	t	f
9073	2933	Gouvernorat septentrional	fr	0	2013-06-05 10:44:02.654801+02	1	Gouvernorat septentrional	\N	\N	\N	\N	\N	\N	t	f
11174	4367	Ariège	fr	0	2013-06-05 12:15:16.798283+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
9095	821	Covasna	no	0	2013-06-05 10:45:13.557624+02	1	Covasna	\N	\N	\N	\N	\N	\N	t	f
10547	1004	Cesar	fi	0	2013-06-05 11:48:10.742502+02	1	Cesar	\N	\N	\N	\N	\N	\N	t	f
9102	1814	Ceuta	fr	0	2013-06-05 10:45:36.887318+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
9114	2940	アンバール県	ja	0	2013-06-05 10:46:24.212571+02	1	アンバール県	\N	\N	\N	\N	\N	\N	t	f
9148	1441	チョルテカ県	ja	0	2013-06-05 10:48:03.219182+02	1	チョルテカ県	\N	\N	\N	\N	\N	\N	t	f
10549	1004	dipartimento di Cesar	it	0	2013-06-05 11:48:15.547842+02	1	dipartimento di Cesar	\N	\N	\N	\N	\N	\N	t	f
9876	3058	Asch-Schamal	de	0	2013-06-05 11:18:52.866448+02	1	Asch-Schamal	\N	\N	\N	\N	\N	\N	t	f
9899	4587	クレア州	ja	0	2013-06-05 11:19:53.052355+02	1	クレア州	\N	\N	\N	\N	\N	\N	t	f
11437	760	Aveiro	no	0	2013-06-05 12:26:53.177265+02	1	Aveiro	\N	\N	\N	\N	\N	\N	t	f
10566	508	Provincia de Afyonkarahisar	es	0	2013-06-05 11:49:00.557186+02	1	Provincia de Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
11273	3425	Benghazi	no	0	2013-06-05 12:19:19.995104+02	1	Benghazi	\N	\N	\N	\N	\N	\N	t	f
10578	5016	Arua	nl	0	2013-06-05 11:49:29.766031+02	1	Arua	\N	\N	\N	\N	\N	\N	t	f
10579	2943	Babil	de	0	2013-06-05 11:49:32.518483+02	1	Babil	\N	\N	\N	\N	\N	\N	t	f
11128	3913	Metropolitan Borough of Bolton	en	0	2013-06-05 12:13:09.047477+02	1	Metropolitan Borough of Bolton	\N	\N	\N	\N	\N	\N	t	f
11321	517	Bingöl	de	0	2013-06-05 12:21:17.387649+02	1	Bingöl	\N	\N	\N	\N	\N	\N	t	f
11385	1251	Barahona	fi	0	2013-06-05 12:24:33.492802+02	1	Barahona	\N	\N	\N	\N	\N	\N	t	f
11461	2776	Central Luzon	nl	0	2013-06-05 12:27:52.332807+02	1	Central Luzon	\N	\N	\N	\N	\N	\N	t	f
11403	2229	Cantemir	nl	0	2013-06-05 12:25:25.547493+02	1	Cantemir	\N	\N	\N	\N	\N	\N	t	f
11415	3917	Coventry	es	0	2013-06-05 12:25:59.845028+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
2915	2339	Municipality of Šuto Orizari	en	0	2013-05-27 19:40:35.145152+02	1	Municipality of Šuto Orizari	\N	\N	\N	\N	\N	\N	t	f
3488	1807	Región de Ústí nad Labem	es	0	2013-05-27 20:04:23.883364+02	1	Región de Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3502	4356	Álava	it	0	2013-05-27 20:04:56.781946+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
3972	2990	アカバ県	ja	0	2013-06-05 07:03:51.609414+02	1	アカバ県	\N	\N	\N	\N	\N	\N	t	f
4048	3079	Al-Hasakah	no	0	2013-06-05 07:07:01.415283+02	1	Al-Hasakah	\N	\N	\N	\N	\N	\N	t	f
4422	3878	ベクスリー・ロンドン特別区	ja	0	2013-06-05 07:23:27.385931+02	1	ベクスリー・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
4978	3620	An-Nil-al-Azraq	nl	0	2013-06-05 07:47:27.045077+02	1	An-Nil-al-Azraq	\N	\N	\N	\N	\N	\N	t	f
4993	4897	Bukidnon	de	0	2013-06-05 07:48:03.995069+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5564	4933	Cotabato	es	0	2013-06-05 08:12:45.445657+02	1	Cotabato	\N	\N	\N	\N	\N	\N	t	f
4997	4897	Provincia di Bukidnon	it	0	2013-06-05 07:48:13.603099+02	1	Provincia di Bukidnon	\N	\N	\N	\N	\N	\N	t	f
5120	4156	ブルグ県	ja	0	2013-06-05 07:53:28.145987+02	1	ブルグ県	\N	\N	\N	\N	\N	\N	t	f
5609	1945	Ajdovščina	fr	0	2013-06-05 08:14:35.096385+02	1	Ajdovščina	\N	\N	\N	\N	\N	\N	t	f
6140	2732	Province de Chumpon	fr	0	2013-06-05 08:37:32.868323+02	1	Province de Chumpon	\N	\N	\N	\N	\N	\N	t	f
5651	3033	Ad-Dachiliyya	de	0	2013-06-05 08:16:26.460181+02	1	Ad-Dachiliyya	\N	\N	\N	\N	\N	\N	t	f
5657	3033	Ad Dachiliyah	nl	0	2013-06-05 08:16:40.61503+02	1	Ad Dachiliyah	\N	\N	\N	\N	\N	\N	t	f
6919	4629	ブレシア県	ja	0	2013-06-05 09:10:59.834931+02	1	ブレシア県	\N	\N	\N	\N	\N	\N	t	f
5665	3194	バス・コト州	ja	0	2013-06-05 08:16:59.981124+02	1	バス・コト州	\N	\N	\N	\N	\N	\N	t	f
5671	4317	A Coruña provints	et	0	2013-06-05 08:17:14.605229+02	1	A Coruña provints	\N	\N	\N	\N	\N	\N	t	f
5674	4317	Provincia della Coruña	it	0	2013-06-05 08:17:21.754191+02	1	Provincia della Coruña	\N	\N	\N	\N	\N	\N	t	f
6927	622	Bahia	fr	0	2013-06-05 09:11:24.929907+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
5683	3104	Al Mahwit	nl	0	2013-06-05 08:17:46.338375+02	1	Al Mahwit	\N	\N	\N	\N	\N	\N	t	f
5709	4622	province de Bari	fr	0	2013-06-05 08:18:49.731338+02	1	province de Bari	\N	\N	\N	\N	\N	\N	t	f
7593	2202	District de Famagouste	fr	0	2013-06-05 09:40:36.357262+02	1	District de Famagouste	\N	\N	\N	\N	\N	\N	t	f
5726	1725	distretto di Ağsu	it	0	2013-06-05 08:19:31.029794+02	1	distretto di Ağsu	\N	\N	\N	\N	\N	\N	t	f
6929	622	バイーア州	ja	0	2013-06-05 09:11:31.17023+02	1	バイーア州	\N	\N	\N	\N	\N	\N	t	f
7597	2992	Zarqa Governorate	en	0	2013-06-05 09:40:46.291826+02	1	Zarqa Governorate	\N	\N	\N	\N	\N	\N	t	f
8999	4887	アンティーケ州	ja	0	2013-06-05 10:41:01.217597+02	1	アンティーケ州	\N	\N	\N	\N	\N	\N	t	f
7609	4495	Nome d'Étolie-Acarnanie	fr	0	2013-06-05 09:41:15.701068+02	1	Nome d'Étolie-Acarnanie	\N	\N	\N	\N	\N	\N	t	f
7631	2165	ブルガス州	ja	0	2013-06-05 09:42:09.161155+02	1	ブルガス州	\N	\N	\N	\N	\N	\N	t	f
10715	817	Cluj County	en	0	2013-06-05 11:55:10.282081+02	1	Cluj County	\N	\N	\N	\N	\N	\N	t	f
7642	4637	カルタニッセッタ県	ja	0	2013-06-05 09:42:35.890394+02	1	カルタニッセッタ県	\N	\N	\N	\N	\N	\N	t	f
9007	3376	Conakry	fi	0	2013-06-05 10:41:20.478567+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
7666	1532	チョンタレス県	ja	0	2013-06-05 09:43:34.078221+02	1	チョンタレス県	\N	\N	\N	\N	\N	\N	t	f
7674	1617	Anetan	it	0	2013-06-05 09:43:55.855195+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
10419	3306	Asyūţi kubernerkond	et	0	2013-06-05 11:42:37.313184+02	1	Asyūţi kubernerkond	\N	\N	\N	\N	\N	\N	t	f
8222	1601	Central	nl	0	2013-06-05 10:07:58.994495+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
9086	821	Kreis Covasna	de	0	2013-06-05 10:44:41.224422+02	1	Kreis Covasna	\N	\N	\N	\N	\N	\N	t	f
8229	619	Alagoas	it	0	2013-06-05 10:08:16.100524+02	1	Alagoas	\N	\N	\N	\N	\N	\N	t	f
8259	2622	Banteay Mean Chey	es	0	2013-06-05 10:09:33.178815+02	1	Banteay Mean Chey	\N	\N	\N	\N	\N	\N	t	f
8311	2849	Beloetsjistan	nl	0	2013-06-05 10:11:44.681656+02	1	Beloetsjistan	\N	\N	\N	\N	\N	\N	t	f
9089	821	Covasna maakond	et	0	2013-06-05 10:44:49.140851+02	1	Covasna maakond	\N	\N	\N	\N	\N	\N	t	f
9171	518	Provincia de Bitlis	es	0	2013-06-05 10:48:58.753146+02	1	Provincia de Bitlis	\N	\N	\N	\N	\N	\N	t	f
10428	4366	Ardennesi departemang	et	0	2013-06-05 11:42:59.787458+02	1	Ardennesi departemang	\N	\N	\N	\N	\N	\N	t	f
9204	4512	Arta Prefecture	en	0	2013-06-05 10:50:18.639074+02	1	Arta Prefecture	\N	\N	\N	\N	\N	\N	t	f
9253	1829	Alsace	et	0	2013-06-05 10:52:18.616586+02	1	Alsace	\N	\N	\N	\N	\N	\N	t	f
9897	4587	Comté de Clare	fr	0	2013-06-05 11:19:44.949705+02	1	Comté de Clare	\N	\N	\N	\N	\N	\N	t	f
10458	3534	Agadez (region)	no	0	2013-06-05 11:44:15.990135+02	1	Agadez (region)	\N	\N	\N	\N	\N	\N	t	f
10377	5015	Distrikt Apac	de	0	2013-06-05 11:40:54.697052+02	1	Distrikt Apac	\N	\N	\N	\N	\N	\N	t	f
10393	4380	Creuse	no	0	2013-06-05 11:41:33.365147+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
11129	3913	Municipio metropolitano de Bolton	es	0	2013-06-05 12:13:11.425685+02	1	Municipio metropolitano de Bolton	\N	\N	\N	\N	\N	\N	t	f
10399	3800	バース・アンド・ノース・イースト・サマセット	ja	0	2013-06-05 11:41:48.009161+02	1	バース・アンド・ノース・イースト・サマセット	\N	\N	\N	\N	\N	\N	t	f
10604	3814	Carmarthenshire	nl	0	2013-06-05 11:50:37.484986+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
10672	1646	Bougainville	en	0	2013-06-05 11:53:25.084931+02	1	Bougainville	\N	\N	\N	\N	\N	\N	t	f
10680	1165	Barbuda	en	0	2013-06-05 11:53:44.609839+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
10686	1165	バーブーダ島	ja	0	2013-06-05 11:53:58.909951+02	1	バーブーダ島	\N	\N	\N	\N	\N	\N	t	f
2917	2339	Chouto Orizari	fr	0	2013-05-27 19:40:39.65317+02	1	Chouto Orizari	\N	\N	\N	\N	\N	\N	t	f
2918	2339	Šuto Orizari	it	0	2013-05-27 19:40:41.877469+02	1	Šuto Orizari	\N	\N	\N	\N	\N	\N	t	f
3490	1807	Ústín lääni	fi	0	2013-05-27 20:04:28.847206+02	1	Ústín lääni	\N	\N	\N	\N	\N	\N	t	f
3984	364	Aust-Agder	de	0	2013-06-05 07:04:22.500245+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
4431	3842	Durham	it	0	2013-06-05 07:23:49.537529+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
4435	1484	Anse-la-Raye	de	0	2013-06-05 07:23:59.592811+02	1	Anse-la-Raye	\N	\N	\N	\N	\N	\N	t	f
4979	3620	An-Nil al-Azraq	no	0	2013-06-05 07:47:29.435491+02	1	An-Nil al-Azraq	\N	\N	\N	\N	\N	\N	t	f
4449	4153	Banwa	nl	0	2013-06-05 07:24:33.675687+02	1	Banwa	\N	\N	\N	\N	\N	\N	t	f
4491	4532	Chalcidice	nl	0	2013-06-05 07:26:17.920934+02	1	Chalcidice	\N	\N	\N	\N	\N	\N	t	f
4534	4546	Bafatá	nl	0	2013-06-05 07:28:09.225921+02	1	Bafatá	\N	\N	\N	\N	\N	\N	t	f
5011	655	Andhra Pradesh	no	0	2013-06-05 07:48:49.203071+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
4541	3115	provincia di Cuando Cubango	it	0	2013-06-05 07:28:26.360755+02	1	provincia di Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
4549	4852	Bagmati Zone	en	0	2013-06-05 07:28:48.715869+02	1	Bagmati Zone	\N	\N	\N	\N	\N	\N	t	f
5570	2226	Rajon Cimișlia	de	0	2013-06-05 08:13:00.322302+02	1	Rajon Cimișlia	\N	\N	\N	\N	\N	\N	t	f
9106	1814	Ceuta	no	0	2013-06-05 10:45:51.318252+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
5027	654	Andaman and Nicobar Islands	en	0	2013-06-05 07:49:31.124626+02	1	Andaman and Nicobar Islands	\N	\N	\N	\N	\N	\N	t	f
5032	654	Andamane e Nicobare	it	0	2013-06-05 07:49:42.897758+02	1	Andamane e Nicobare	\N	\N	\N	\N	\N	\N	t	f
5048	2591	バリア＝ブンタウ省	ja	0	2013-06-05 07:50:26.013682+02	1	バリア＝ブンタウ省	\N	\N	\N	\N	\N	\N	t	f
5602	592	Canton de Bâle-Ville	fr	0	2013-06-05 08:14:17.989459+02	1	Canton de Bâle-Ville	\N	\N	\N	\N	\N	\N	t	f
6141	2732	Provincia di Chumphon	it	0	2013-06-05 08:37:35.390814+02	1	Provincia di Chumphon	\N	\N	\N	\N	\N	\N	t	f
5610	1945	Aidussina	it	0	2013-06-05 08:14:37.438082+02	1	Aidussina	\N	\N	\N	\N	\N	\N	t	f
5691	3085	クネイトラ県	ja	0	2013-06-05 08:18:05.766976+02	1	クネイトラ県	\N	\N	\N	\N	\N	\N	t	f
5736	981	Región de Arica y Parinacota	de	0	2013-06-05 08:19:56.022885+02	1	Región de Arica y Parinacota	\N	\N	\N	\N	\N	\N	t	f
6184	1184	Cat Island, Bahamas	en	0	2013-06-05 08:39:27.372214+02	1	Cat Island, Bahamas	\N	\N	\N	\N	\N	\N	t	f
5748	2649	Provincia de Champasak	es	0	2013-06-05 08:20:24.930811+02	1	Provincia de Champasak	\N	\N	\N	\N	\N	\N	t	f
5749	2649	Champasak	fi	0	2013-06-05 08:20:27.306969+02	1	Champasak	\N	\N	\N	\N	\N	\N	t	f
6920	4629	Brescia	nl	0	2013-06-05 09:11:02.272588+02	1	Brescia	\N	\N	\N	\N	\N	\N	t	f
6191	1440	Atlántida Department	en	0	2013-06-05 08:39:47.231775+02	1	Atlántida Department	\N	\N	\N	\N	\N	\N	t	f
7604	4495	Ätolien-Akarnanien	de	0	2013-06-05 09:41:03.546744+02	1	Ätolien-Akarnanien	\N	\N	\N	\N	\N	\N	t	f
7620	3086	ラッカ県	ja	0	2013-06-05 09:41:42.302457+02	1	ラッカ県	\N	\N	\N	\N	\N	\N	t	f
9000	4887	Antique	nl	0	2013-06-05 10:41:03.615506+02	1	Antique	\N	\N	\N	\N	\N	\N	t	f
7624	2165	Επαρχία Μπουργκάς	el	0	2013-06-05 09:41:52.227343+02	1	Επαρχία Μπουργκάς	\N	\N	\N	\N	\N	\N	t	f
7645	5032	Amuru District	en	0	2013-06-05 09:42:43.305574+02	1	Amuru District	\N	\N	\N	\N	\N	\N	t	f
10416	3306	Gouvernement Asyut	de	0	2013-06-05 11:42:30.254542+02	1	Gouvernement Asyut	\N	\N	\N	\N	\N	\N	t	f
7656	971	dipartimento di Cochabamba	it	0	2013-06-05 09:43:09.760815+02	1	dipartimento di Cochabamba	\N	\N	\N	\N	\N	\N	t	f
9049	689	Connacht	es	0	2013-06-05 10:43:03.029867+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
8233	3795	Argyll and Bute	de	0	2013-06-05 10:08:26.11677+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
8260	2622	Bântéay Méancheăy	fi	0	2013-06-05 10:09:35.549081+02	1	Bântéay Méancheăy	\N	\N	\N	\N	\N	\N	t	f
8262	2622	Provincia di Banteay Meanchey	it	0	2013-06-05 10:09:40.994153+02	1	Provincia di Banteay Meanchey	\N	\N	\N	\N	\N	\N	t	f
9132	1499	Chihuahua osariik	et	0	2013-06-05 10:47:15.775642+02	1	Chihuahua osariik	\N	\N	\N	\N	\N	\N	t	f
9154	3401	Bomi	fi	0	2013-06-05 10:48:17.633608+02	1	Bomi	\N	\N	\N	\N	\N	\N	t	f
10429	4366	Ardennes	fi	0	2013-06-05 11:43:02.147638+02	1	Ardennes	\N	\N	\N	\N	\N	\N	t	f
9239	3588	Anse Royale	es	0	2013-06-05 10:51:43.682097+02	1	Anse Royale	\N	\N	\N	\N	\N	\N	t	f
9240	3588	Anse Royale	nl	0	2013-06-05 10:51:46.03781+02	1	Anse Royale	\N	\N	\N	\N	\N	\N	t	f
11131	3913	Metropolitan Borough of Bolton	it	0	2013-06-05 12:13:18.80058+02	1	Metropolitan Borough of Bolton	\N	\N	\N	\N	\N	\N	t	f
9284	2156	Chiesanuova	nl	0	2013-06-05 10:53:33.533469+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
10437	3391	Provincia Costera	es	0	2013-06-05 11:43:21.691278+02	1	Provincia Costera	\N	\N	\N	\N	\N	\N	t	f
9289	4806	Atollo di Ari	it	0	2013-06-05 10:53:45.664464+02	1	Atollo di Ari	\N	\N	\N	\N	\N	\N	t	f
9293	312	Alberta	en	0	2013-06-05 10:53:55.603316+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
9900	4587	County Clare	nl	0	2013-06-05 11:19:55.487189+02	1	County Clare	\N	\N	\N	\N	\N	\N	t	f
10450	3534	Agadez (Region)	de	0	2013-06-05 11:43:56.908216+02	1	Agadez (Region)	\N	\N	\N	\N	\N	\N	t	f
10378	5015	Apac District	en	0	2013-06-05 11:40:57.059895+02	1	Apac District	\N	\N	\N	\N	\N	\N	t	f
10407	3547	État de Benue	fr	0	2013-06-05 11:42:07.653477+02	1	État de Benue	\N	\N	\N	\N	\N	\N	t	f
10534	979	Aysén del General Carlos Ibáñez del Campo	nl	0	2013-06-05 11:47:34.347351+02	1	Aysén del General Carlos Ibáñez del Campo	\N	\N	\N	\N	\N	\N	t	f
10610	814	Botoșani	fi	0	2013-06-05 11:50:52.239159+02	1	Botoșani	\N	\N	\N	\N	\N	\N	t	f
10676	1646	ブーゲンビル州	ja	0	2013-06-05 11:53:34.536836+02	1	ブーゲンビル州	\N	\N	\N	\N	\N	\N	t	f
2919	2339	Šuto Orizari	nl	0	2013-05-27 19:40:44.086255+02	1	Šuto Orizari	\N	\N	\N	\N	\N	\N	t	f
2920	4066	Şərur (Rayon)	de	0	2013-05-27 19:40:46.676219+02	1	Şərur (Rayon)	\N	\N	\N	\N	\N	\N	t	f
2942	2954	Governatorato di Salah al-Din	it	0	2013-05-27 19:41:38.150166+02	1	Governatorato di Salah al-Din	\N	\N	\N	\N	\N	\N	t	f
2921	4066	Sharur Rayon	en	0	2013-05-27 19:40:48.869884+02	1	Sharur Rayon	\N	\N	\N	\N	\N	\N	t	f
2922	4066	Sharur	es	0	2013-05-27 19:40:51.16597+02	1	Sharur	\N	\N	\N	\N	\N	\N	t	f
2923	4066	Şərurin piirikunta	fi	0	2013-05-27 19:40:53.419359+02	1	Şərurin piirikunta	\N	\N	\N	\N	\N	\N	t	f
2943	2954	サラーフッディーン県	ja	0	2013-05-27 19:41:40.37518+02	1	サラーフッディーン県	\N	\N	\N	\N	\N	\N	t	f
2924	4066	Sharur (raion)	fr	0	2013-05-27 19:40:55.641116+02	1	Sharur (raion)	\N	\N	\N	\N	\N	\N	t	f
2925	4066	Şərur	nl	0	2013-05-27 19:40:57.842209+02	1	Şərur	\N	\N	\N	\N	\N	\N	t	f
2957	578	Provincia de Şırnak	es	0	2013-05-27 19:42:12.766622+02	1	Provincia de Şırnak	\N	\N	\N	\N	\N	\N	t	f
2926	4066	Şərur (distrikt)	no	0	2013-05-27 19:41:00.06235+02	1	Şərur (distrikt)	\N	\N	\N	\N	\N	\N	t	f
2944	2954	Salah ad Din	nl	0	2013-05-27 19:41:42.657275+02	1	Salah ad Din	\N	\N	\N	\N	\N	\N	t	f
2927	523	Çankırı (Provinz)	de	0	2013-05-27 19:41:02.873654+02	1	Çankırı (Provinz)	\N	\N	\N	\N	\N	\N	t	f
2928	523	Επαρχία Τσανκιρί	el	0	2013-05-27 19:41:05.068875+02	1	Επαρχία Τσανκιρί	\N	\N	\N	\N	\N	\N	t	f
2929	523	Çankırı Province	en	0	2013-05-27 19:41:07.276582+02	1	Çankırı Province	\N	\N	\N	\N	\N	\N	t	f
2945	2954	Salah ad Din	no	0	2013-05-27 19:41:44.909817+02	1	Salah ad Din	\N	\N	\N	\N	\N	\N	t	f
2930	523	Provincia de Çankırı	es	0	2013-05-27 19:41:09.530679+02	1	Provincia de Çankırı	\N	\N	\N	\N	\N	\N	t	f
2931	523	Çankırı (province)	fr	0	2013-05-27 19:41:11.736296+02	1	Çankırı (province)	\N	\N	\N	\N	\N	\N	t	f
2967	3080	Gouvernorat de Homs	fr	0	2013-05-27 19:42:36.437664+02	1	Gouvernorat de Homs	\N	\N	\N	\N	\N	\N	t	f
2932	523	Provincia di Çankırı	it	0	2013-05-27 19:41:14.03326+02	1	Provincia di Çankırı	\N	\N	\N	\N	\N	\N	t	f
2946	524	Çorum (Provinz)	de	0	2013-05-27 19:41:47.622701+02	1	Çorum (Provinz)	\N	\N	\N	\N	\N	\N	t	f
2933	523	チャンクル県	ja	0	2013-05-27 19:41:17.228942+02	1	チャンクル県	\N	\N	\N	\N	\N	\N	t	f
2934	523	Çankırı	nl	0	2013-05-27 19:41:19.498503+02	1	Çankırı	\N	\N	\N	\N	\N	\N	t	f
2958	578	Şırnak	fr	0	2013-05-27 19:42:14.964511+02	1	Şırnak	\N	\N	\N	\N	\N	\N	t	f
2935	523	Çankırı (provins)	no	0	2013-05-27 19:41:21.736514+02	1	Çankırı (provins)	\N	\N	\N	\N	\N	\N	t	f
2947	524	Επαρχία Τσορούμ	el	0	2013-05-27 19:41:49.81953+02	1	Επαρχία Τσορούμ	\N	\N	\N	\N	\N	\N	t	f
2936	2954	Salah ad-Din	de	0	2013-05-27 19:41:24.421583+02	1	Salah ad-Din	\N	\N	\N	\N	\N	\N	t	f
2937	2954	Saladin Province	en	0	2013-05-27 19:41:26.624679+02	1	Saladin Province	\N	\N	\N	\N	\N	\N	t	f
2938	2954	Gobernación de Saladino	es	0	2013-05-27 19:41:28.841581+02	1	Gobernación de Saladino	\N	\N	\N	\N	\N	\N	t	f
2948	524	Çorum Province	en	0	2013-05-27 19:41:52.065294+02	1	Çorum Province	\N	\N	\N	\N	\N	\N	t	f
2939	2954	Şalāḩ ad-Dīni kubernerkond	et	0	2013-05-27 19:41:31.436482+02	1	Şalāḩ ad-Dīni kubernerkond	\N	\N	\N	\N	\N	\N	t	f
2940	2954	Salah al-Din	fi	0	2013-05-27 19:41:33.707153+02	1	Salah al-Din	\N	\N	\N	\N	\N	\N	t	f
2941	2954	Salah ad-Din	fr	0	2013-05-27 19:41:35.918959+02	1	Salah ad-Din	\N	\N	\N	\N	\N	\N	t	f
2949	524	Provincia de Çorum	es	0	2013-05-27 19:41:54.391215+02	1	Provincia de Çorum	\N	\N	\N	\N	\N	\N	t	f
2959	578	Provincia di Şırnak	it	0	2013-05-27 19:42:17.156547+02	1	Provincia di Şırnak	\N	\N	\N	\N	\N	\N	t	f
2950	524	Çorum (province)	fr	0	2013-05-27 19:41:56.599292+02	1	Çorum (province)	\N	\N	\N	\N	\N	\N	t	f
2951	524	Provincia di Çorum	it	0	2013-05-27 19:41:58.817702+02	1	Provincia di Çorum	\N	\N	\N	\N	\N	\N	t	f
2974	969	Żurrieq	es	0	2013-05-27 19:42:52.795108+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
2952	524	チョルム県	ja	0	2013-05-27 19:42:01.047487+02	1	チョルム県	\N	\N	\N	\N	\N	\N	t	f
2960	578	シュルナク県	ja	0	2013-05-27 19:42:19.549089+02	1	シュルナク県	\N	\N	\N	\N	\N	\N	t	f
2953	524	Çorum	nl	0	2013-05-27 19:42:03.300541+02	1	Çorum	\N	\N	\N	\N	\N	\N	t	f
2954	524	Çorum (provins)	no	0	2013-05-27 19:42:05.510861+02	1	Çorum (provins)	\N	\N	\N	\N	\N	\N	t	f
2968	3080	Governatorato di Homs	it	0	2013-05-27 19:42:38.652911+02	1	Governatorato di Homs	\N	\N	\N	\N	\N	\N	t	f
2955	578	Şırnak	de	0	2013-05-27 19:42:08.317061+02	1	Şırnak	\N	\N	\N	\N	\N	\N	t	f
2961	578	Şırnak	nl	0	2013-05-27 19:42:21.823405+02	1	Şırnak	\N	\N	\N	\N	\N	\N	t	f
2956	578	Şırnak Province	en	0	2013-05-27 19:42:10.540907+02	1	Şırnak Province	\N	\N	\N	\N	\N	\N	t	f
2962	578	Şırnak	no	0	2013-05-27 19:42:24.067194+02	1	Şırnak	\N	\N	\N	\N	\N	\N	t	f
3002	2065	Škocjan	it	0	2013-05-27 19:43:58.947433+02	1	Škocjan	\N	\N	\N	\N	\N	\N	t	f
2963	3080	Gouvernement Homs	de	0	2013-05-27 19:42:26.710795+02	1	Gouvernement Homs	\N	\N	\N	\N	\N	\N	t	f
2969	3080	ホムス県	ja	0	2013-05-27 19:42:41.050615+02	1	ホムス県	\N	\N	\N	\N	\N	\N	t	f
2964	3080	Χομς	el	0	2013-05-27 19:42:29.046767+02	1	Χομς	\N	\N	\N	\N	\N	\N	t	f
2965	3080	Homs Governorate	en	0	2013-05-27 19:42:31.339795+02	1	Homs Governorate	\N	\N	\N	\N	\N	\N	t	f
2966	3080	Gobernación de Homs	es	0	2013-05-27 19:42:34.217451+02	1	Gobernación de Homs	\N	\N	\N	\N	\N	\N	t	f
2970	3080	Homs	nl	0	2013-05-27 19:42:43.376468+02	1	Homs	\N	\N	\N	\N	\N	\N	t	f
3017	2068	Šmarje pri Jelšah	it	0	2013-05-27 19:44:34.974242+02	1	Šmarje pri Jelšah	\N	\N	\N	\N	\N	\N	t	f
2971	3080	Homs	no	0	2013-05-27 19:42:45.620208+02	1	Homs	\N	\N	\N	\N	\N	\N	t	f
3012	3081	Aleppo	nl	0	2013-05-27 19:44:22.590891+02	1	Aleppo	\N	\N	\N	\N	\N	\N	t	f
2972	969	Żurrieq	de	0	2013-05-27 19:42:48.250675+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
2973	969	Żurrieq	en	0	2013-05-27 19:42:50.510763+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
2975	969	Żurrieq	fi	0	2013-05-27 19:42:55.289095+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
3016	2068	Šmarje pri Jelšah	fr	0	2013-05-27 19:44:32.777482+02	1	Šmarje pri Jelšah	\N	\N	\N	\N	\N	\N	t	f
2976	969	Żurrieq	fr	0	2013-05-27 19:42:57.555844+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
2977	969	Zurrico	it	0	2013-05-27 19:42:59.783594+02	1	Zurrico	\N	\N	\N	\N	\N	\N	t	f
2978	969	Żurrieq	nl	0	2013-05-27 19:43:02.016896+02	1	Żurrieq	\N	\N	\N	\N	\N	\N	t	f
3019	2068	Šmarje pri Jelšah	nl	0	2013-05-27 19:44:39.390675+02	1	Šmarje pri Jelšah	\N	\N	\N	\N	\N	\N	t	f
3021	3107	Saada Governorate	en	0	2013-05-27 19:44:44.508386+02	1	Saada Governorate	\N	\N	\N	\N	\N	\N	t	f
3022	3107	Gobernación de Sa'dah	es	0	2013-05-27 19:44:46.713403+02	1	Gobernación de Sa'dah	\N	\N	\N	\N	\N	\N	t	f
3026	3107	Sa'dah	no	0	2013-05-27 19:44:55.666987+02	1	Sa'dah	\N	\N	\N	\N	\N	\N	t	f
3027	1941	Šavnik Municipality	en	0	2013-05-27 19:44:58.207997+02	1	Šavnik Municipality	\N	\N	\N	\N	\N	\N	t	f
3028	3097	Gouvernement Haddscha	de	0	2013-05-27 19:45:00.752179+02	1	Gouvernement Haddscha	\N	\N	\N	\N	\N	\N	t	f
3030	3097	Gobernación de Hajjah	es	0	2013-05-27 19:45:05.196295+02	1	Gobernación de Hajjah	\N	\N	\N	\N	\N	\N	t	f
3035	968	Żejtun	de	0	2013-05-27 19:45:16.761313+02	1	Żejtun	\N	\N	\N	\N	\N	\N	t	f
3037	968	Żejtun	es	0	2013-05-27 19:45:21.304374+02	1	Żejtun	\N	\N	\N	\N	\N	\N	t	f
3039	968	Zeitun	it	0	2013-05-27 19:45:25.72123+02	1	Zeitun	\N	\N	\N	\N	\N	\N	t	f
3987	364	Aust-Agder	et	0	2013-06-05 07:04:29.612035+02	1	Aust-Agder	\N	\N	\N	\N	\N	\N	t	f
3491	1807	Région d'Aussig-sur-Elbe	fr	0	2013-05-27 20:04:31.061673+02	1	Région d'Aussig-sur-Elbe	\N	\N	\N	\N	\N	\N	t	f
2979	2063	Šentjernej	de	0	2013-05-27 19:43:04.664718+02	1	Šentjernej	\N	\N	\N	\N	\N	\N	t	f
3038	968	Żejtun	fr	0	2013-05-27 19:45:23.506767+02	1	Żejtun	\N	\N	\N	\N	\N	\N	t	f
3493	1807	ウースチー州	ja	0	2013-05-27 20:04:35.623069+02	1	ウースチー州	\N	\N	\N	\N	\N	\N	t	f
4434	3842	Durham	no	0	2013-06-05 07:23:56.882044+02	1	Durham	\N	\N	\N	\N	\N	\N	t	f
3991	364	アウスト・アグデル県	ja	0	2013-06-05 07:04:39.67241+02	1	アウスト・アグデル県	\N	\N	\N	\N	\N	\N	t	f
4442	4153	Banwa	de	0	2013-06-05 07:24:17.011346+02	1	Banwa	\N	\N	\N	\N	\N	\N	t	f
4980	3032	Buraimi (Gouvernement)	de	0	2013-06-05 07:47:32.247075+02	1	Buraimi (Gouvernement)	\N	\N	\N	\N	\N	\N	t	f
4509	902	Attard	nl	0	2013-06-05 07:27:06.682757+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
4530	4546	Bafatán alue	fi	0	2013-06-05 07:27:59.582154+02	1	Bafatán alue	\N	\N	\N	\N	\N	\N	t	f
4532	4546	Regione di Bafatá	it	0	2013-06-05 07:28:04.378092+02	1	Regione di Bafatá	\N	\N	\N	\N	\N	\N	t	f
5008	655	Andhra Pradesh	it	0	2013-06-05 07:48:40.498079+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
5571	2226	Cimișlia District	en	0	2013-06-05 08:13:02.684677+02	1	Cimișlia District	\N	\N	\N	\N	\N	\N	t	f
5046	2591	Province de Bà Rịa-Vũng Tàu	fr	0	2013-06-05 07:50:21.135707+02	1	Province de Bà Rịa-Vũng Tàu	\N	\N	\N	\N	\N	\N	t	f
5104	787	Austurland	nl	0	2013-06-05 07:52:44.388211+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5587	2540	Chungcheongbuk-do	de	0	2013-06-05 08:13:41.320454+02	1	Chungcheongbuk-do	\N	\N	\N	\N	\N	\N	t	f
6142	2732	チュムポーン県	ja	0	2013-06-05 08:37:37.743631+02	1	チュムポーン県	\N	\N	\N	\N	\N	\N	t	f
5689	3085	Gouvernorat de Qouneitra	fr	0	2013-06-05 08:18:00.98757+02	1	Gouvernorat de Qouneitra	\N	\N	\N	\N	\N	\N	t	f
5699	719	Békés	fr	0	2013-06-05 08:18:25.091184+02	1	Békés	\N	\N	\N	\N	\N	\N	t	f
6922	622	Bahia	de	0	2013-06-05 09:11:09.007401+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
5755	1485	Castries	de	0	2013-06-05 08:20:42.329185+02	1	Castries	\N	\N	\N	\N	\N	\N	t	f
6143	2732	Changwat Chumphon	nl	0	2013-06-05 08:37:40.096655+02	1	Changwat Chumphon	\N	\N	\N	\N	\N	\N	t	f
5756	1485	Castries Quarter	en	0	2013-06-05 08:20:44.677534+02	1	Castries Quarter	\N	\N	\N	\N	\N	\N	t	f
6167	1290	Aizputes novads	fr	0	2013-06-05 08:38:38.486425+02	1	Aizputes novads	\N	\N	\N	\N	\N	\N	t	f
6176	3234	Agnéby	es	0	2013-06-05 08:39:07.542667+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
6950	3813	Cardiff	nl	0	2013-06-05 09:12:49.119166+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
6219	1929	Cetinje Municipality	en	0	2013-06-05 08:40:58.709244+02	1	Cetinje Municipality	\N	\N	\N	\N	\N	\N	t	f
7607	4495	Etolia-Acarnania	es	0	2013-06-05 09:41:10.83912+02	1	Etolia-Acarnania	\N	\N	\N	\N	\N	\N	t	f
9002	3376	Conakry	de	0	2013-06-05 10:41:08.860818+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
7644	4637	Provinsen Caltanissetta	no	0	2013-06-05 09:42:40.623619+02	1	Provinsen Caltanissetta	\N	\N	\N	\N	\N	\N	t	f
7689	3916	Calderdale	nl	0	2013-06-05 09:44:32.72792+02	1	Calderdale	\N	\N	\N	\N	\N	\N	t	f
8237	3795	Argyll and Bute	fi	0	2013-06-05 10:08:35.606517+02	1	Argyll and Bute	\N	\N	\N	\N	\N	\N	t	f
9068	1668	Provincia Centrale	it	0	2013-06-05 10:43:50.434541+02	1	Provincia Centrale	\N	\N	\N	\N	\N	\N	t	f
8269	3098	Gouvernorat d'Al Hudaydah	fr	0	2013-06-05 10:09:58.02102+02	1	Gouvernorat d'Al Hudaydah	\N	\N	\N	\N	\N	\N	t	f
8303	2849	Belutschistan	de	0	2013-06-05 10:11:25.720636+02	1	Belutschistan	\N	\N	\N	\N	\N	\N	t	f
8306	2849	Belutšistani provints	et	0	2013-06-05 10:11:32.74992+02	1	Belutšistani provints	\N	\N	\N	\N	\N	\N	t	f
9071	2933	Northern Governorate	en	0	2013-06-05 10:43:57.870504+02	1	Northern Governorate	\N	\N	\N	\N	\N	\N	t	f
8342	2395	Óblast de Briansk	es	0	2013-06-05 10:13:01.69442+02	1	Óblast de Briansk	\N	\N	\N	\N	\N	\N	t	f
10503	1885	Abruzzen	de	0	2013-06-05 11:46:14.752528+02	1	Abruzzen	\N	\N	\N	\N	\N	\N	t	f
9125	4544	Chania	nl	0	2013-06-05 10:46:56.171815+02	1	Chania	\N	\N	\N	\N	\N	\N	t	f
11445	4619	provincia di Arezzo	it	0	2013-06-05 12:27:13.419546+02	1	provincia di Arezzo	\N	\N	\N	\N	\N	\N	t	f
9152	3401	Bomi	es	0	2013-06-05 10:48:12.990651+02	1	Bomi	\N	\N	\N	\N	\N	\N	t	f
10576	5016	Arua	fr	0	2013-06-05 11:49:24.913931+02	1	Arua	\N	\N	\N	\N	\N	\N	t	f
9169	518	Bitlis	de	0	2013-06-05 10:48:54.024174+02	1	Bitlis	\N	\N	\N	\N	\N	\N	t	f
9175	518	Bitlis	nl	0	2013-06-05 10:49:08.520971+02	1	Bitlis	\N	\N	\N	\N	\N	\N	t	f
9188	3542	Abia osariik	et	0	2013-06-05 10:49:39.912324+02	1	Abia osariik	\N	\N	\N	\N	\N	\N	t	f
11132	3913	ボルトン	ja	0	2013-06-05 12:13:23.505684+02	1	ボルトン	\N	\N	\N	\N	\N	\N	t	f
9901	4587	Clare	no	0	2013-06-05 11:19:57.978344+02	1	Clare	\N	\N	\N	\N	\N	\N	t	f
9907	2669	Provincia di Ang Thong	it	0	2013-06-05 11:20:15.188858+02	1	Provincia di Ang Thong	\N	\N	\N	\N	\N	\N	t	f
9951	1068	Cuzco	nl	0	2013-06-05 11:22:16.07301+02	1	Cuzco	\N	\N	\N	\N	\N	\N	t	f
11208	4756	Province d'Azilal	fr	0	2013-06-05 12:16:40.523486+02	1	Province d'Azilal	\N	\N	\N	\N	\N	\N	t	f
9965	3442	Al Wahat	nl	0	2013-06-05 11:22:51.424094+02	1	Al Wahat	\N	\N	\N	\N	\N	\N	t	f
10381	5015	アパッチ県	ja	0	2013-06-05 11:41:04.168282+02	1	アパッチ県	\N	\N	\N	\N	\N	\N	t	f
11455	2776	Central Luzon	de	0	2013-06-05 12:27:38.128072+02	1	Central Luzon	\N	\N	\N	\N	\N	\N	t	f
11214	588	Appenzell Innerrhoden	et	0	2013-06-05 12:16:55.457844+02	1	Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
11377	1230	Province de Ciego de Ávila	fr	0	2013-06-05 12:24:09.976633+02	1	Province de Ciego de Ávila	\N	\N	\N	\N	\N	\N	t	f
11387	1251	Provincia di Barahona	it	0	2013-06-05 12:24:38.215903+02	1	Provincia di Barahona	\N	\N	\N	\N	\N	\N	t	f
11465	4906	Cebú	es	0	2013-06-05 12:28:02.349806+02	1	Cebú	\N	\N	\N	\N	\N	\N	t	f
11466	4906	Cebu	et	0	2013-06-05 12:28:04.694421+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
2980	2063	Šentjernej	en	0	2013-05-27 19:43:06.98254+02	1	Šentjernej	\N	\N	\N	\N	\N	\N	t	f
2983	2063	シェントイェルニェイ	ja	0	2013-05-27 19:43:13.668498+02	1	シェントイェルニェイ	\N	\N	\N	\N	\N	\N	t	f
3492	1807	Regione di Ústí nad Labem	it	0	2013-05-27 20:04:33.312843+02	1	Regione di Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3001	2065	Škocjan	fr	0	2013-05-27 19:43:56.760256+02	1	Škocjan	\N	\N	\N	\N	\N	\N	t	f
3994	389	Präfektur Akita	de	0	2013-06-05 07:04:47.769344+02	1	Präfektur Akita	\N	\N	\N	\N	\N	\N	t	f
4436	1484	Anse la Raye Quarter	en	0	2013-06-05 07:24:01.979895+02	1	Anse la Raye Quarter	\N	\N	\N	\N	\N	\N	t	f
4499	1835	Centro	it	0	2013-06-05 07:26:41.884318+02	1	Centro	\N	\N	\N	\N	\N	\N	t	f
4983	3032	Gouvernorat d'Al Buraymi	fr	0	2013-06-05 07:47:39.295451+02	1	Gouvernorat d'Al Buraymi	\N	\N	\N	\N	\N	\N	t	f
5080	3130	Cascades Region	en	0	2013-06-05 07:51:46.067339+02	1	Cascades Region	\N	\N	\N	\N	\N	\N	t	f
5573	2226	Raion de Cimișlia	fr	0	2013-06-05 08:13:07.339846+02	1	Raion de Cimișlia	\N	\N	\N	\N	\N	\N	t	f
5097	787	Eastern Region (Iceland)	en	0	2013-06-05 07:52:27.611864+02	1	Eastern Region (Iceland)	\N	\N	\N	\N	\N	\N	t	f
5100	787	Austurland	fi	0	2013-06-05 07:52:34.762506+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
6147	3307	Mar Rojo	es	0	2013-06-05 08:37:49.937001+02	1	Mar Rojo	\N	\N	\N	\N	\N	\N	t	f
5107	3445	Zawiya District	en	0	2013-06-05 07:52:52.150161+02	1	Zawiya District	\N	\N	\N	\N	\N	\N	t	f
5129	2527	Bajanhongor	nl	0	2013-06-05 07:53:50.922785+02	1	Bajanhongor	\N	\N	\N	\N	\N	\N	t	f
6156	591	Cantón de Basilea-Campiña	es	0	2013-06-05 08:38:11.837064+02	1	Cantón de Basilea-Campiña	\N	\N	\N	\N	\N	\N	t	f
6926	622	Bahia	fi	0	2013-06-05 09:11:22.427707+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
6166	1290	Aizpute piirkond	et	0	2013-06-05 08:38:36.150865+02	1	Aizpute piirkond	\N	\N	\N	\N	\N	\N	t	f
6930	622	Bahia	nl	0	2013-06-05 09:11:37.490185+02	1	Bahia	\N	\N	\N	\N	\N	\N	t	f
7614	3086	Gouvernement ar-Raqqa	de	0	2013-06-05 09:41:28.092307+02	1	Gouvernement ar-Raqqa	\N	\N	\N	\N	\N	\N	t	f
6955	4902	Cápiz	fr	0	2013-06-05 09:13:09.232805+02	1	Cápiz	\N	\N	\N	\N	\N	\N	t	f
6958	4902	Capiz	nl	0	2013-06-05 09:13:16.249298+02	1	Capiz	\N	\N	\N	\N	\N	\N	t	f
8239	3795	Argyll e Bute	it	0	2013-06-05 10:08:40.475835+02	1	Argyll e Bute	\N	\N	\N	\N	\N	\N	t	f
9004	3376	Conakry	en	0	2013-06-05 10:41:13.485323+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
8251	4029	Bulqizë	no	0	2013-06-05 10:09:09.925446+02	1	Bulqizë	\N	\N	\N	\N	\N	\N	t	f
9902	2669	Ang Thong	de	0	2013-06-05 11:20:02.170281+02	1	Ang Thong	\N	\N	\N	\N	\N	\N	t	f
9006	3376	Conakry	et	0	2013-06-05 10:41:18.144093+02	1	Conakry	\N	\N	\N	\N	\N	\N	t	f
9056	3280	Constantine	de	0	2013-06-05 10:43:21.47298+02	1	Constantine	\N	\N	\N	\N	\N	\N	t	f
9061	3280	コンスタンティーヌ県	ja	0	2013-06-05 10:43:33.399186+02	1	コンスタンティーヌ県	\N	\N	\N	\N	\N	\N	t	f
9905	2669	Ang Thong	fi	0	2013-06-05 11:20:10.508668+02	1	Ang Thong	\N	\N	\N	\N	\N	\N	t	f
9074	2933	Governatorato Settentrionale	it	0	2013-06-05 10:44:07.34687+02	1	Governatorato Settentrionale	\N	\N	\N	\N	\N	\N	t	f
9099	1814	Ceuta	es	0	2013-06-05 10:45:23.648329+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
11133	3913	Bolton	nl	0	2013-06-05 12:13:25.903423+02	1	Bolton	\N	\N	\N	\N	\N	\N	t	f
9116	2940	Anbar	no	0	2013-06-05 10:46:31.918476+02	1	Anbar	\N	\N	\N	\N	\N	\N	t	f
9908	2669	アーントーン県	ja	0	2013-06-05 11:20:17.55892+02	1	アーントーン県	\N	\N	\N	\N	\N	\N	t	f
9126	4544	Khania	no	0	2013-06-05 10:46:58.554775+02	1	Khania	\N	\N	\N	\N	\N	\N	t	f
9140	2260	Municipalidad de Bogdanci	es	0	2013-06-05 10:47:41.658311+02	1	Municipalidad de Bogdanci	\N	\N	\N	\N	\N	\N	t	f
9141	2260	Bogdanci	it	0	2013-06-05 10:47:43.995006+02	1	Bogdanci	\N	\N	\N	\N	\N	\N	t	f
10382	5015	Apac	nl	0	2013-06-05 11:41:06.533333+02	1	Apac	\N	\N	\N	\N	\N	\N	t	f
9165	1115	dipartimento di Artigas	it	0	2013-06-05 10:48:44.090502+02	1	dipartimento di Artigas	\N	\N	\N	\N	\N	\N	t	f
9213	1733	Cəlilabad	es	0	2013-06-05 10:50:40.284864+02	1	Cəlilabad	\N	\N	\N	\N	\N	\N	t	f
9224	765	コインブラ県	ja	0	2013-06-05 10:51:06.849752+02	1	コインブラ県	\N	\N	\N	\N	\N	\N	t	f
10394	3800	Bath and North East Somerset	de	0	2013-06-05 11:41:36.083526+02	1	Bath and North East Somerset	\N	\N	\N	\N	\N	\N	t	f
9237	2230	Chișinău	no	0	2013-06-05 10:51:38.421172+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9286	4806	Alif Alif Atoll	en	0	2013-06-05 10:53:38.620807+02	1	Alif Alif Atoll	\N	\N	\N	\N	\N	\N	t	f
11406	4901	Camarines Norte	es	0	2013-06-05 12:25:33.024335+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
9291	312	Alberta	de	0	2013-06-05 10:53:50.901931+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
10414	1118	Colonia	fr	0	2013-06-05 11:42:24.837008+02	1	Colonia	\N	\N	\N	\N	\N	\N	t	f
10440	3391	海岸州	ja	0	2013-06-05 11:43:28.958871+02	1	海岸州	\N	\N	\N	\N	\N	\N	t	f
10506	1885	Abruzos	es	0	2013-06-05 11:46:22.065576+02	1	Abruzos	\N	\N	\N	\N	\N	\N	t	f
11412	3917	Coventry	de	0	2013-06-05 12:25:50.268386+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
10639	3585	Anse Boileau	fr	0	2013-06-05 11:52:03.367148+02	1	Anse Boileau	\N	\N	\N	\N	\N	\N	t	f
10643	4905	Cavite	es	0	2013-06-05 11:52:13.132525+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
10699	5053	Distrito de Buliisa	es	0	2013-06-05 11:54:30.843466+02	1	Distrito de Buliisa	\N	\N	\N	\N	\N	\N	t	f
11424	2093	Municipality of Bloke	en	0	2013-06-05 12:26:21.697072+02	1	Municipality of Bloke	\N	\N	\N	\N	\N	\N	t	f
11440	4619	Arezzo	en	0	2013-06-05 12:27:01.025389+02	1	Arezzo	\N	\N	\N	\N	\N	\N	t	f
11457	2776	Luzón Central	es	0	2013-06-05 12:27:42.855347+02	1	Luzón Central	\N	\N	\N	\N	\N	\N	t	f
2981	2063	Šentjernej	fr	0	2013-05-27 19:43:09.229724+02	1	Šentjernej	\N	\N	\N	\N	\N	\N	t	f
3018	2068	シュマリェ・プリ・イェルシャフ	ja	0	2013-05-27 19:44:37.163065+02	1	シュマリェ・プリ・イェルシャフ	\N	\N	\N	\N	\N	\N	t	f
3496	4356	Álava	de	0	2013-05-27 20:04:42.915298+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
3033	3097	Hajjah	nl	0	2013-05-27 19:45:11.934148+02	1	Hajjah	\N	\N	\N	\N	\N	\N	t	f
3497	4356	Álava	en	0	2013-05-27 20:04:45.31106+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
3995	389	Akita Prefecture	en	0	2013-06-05 07:04:50.137387+02	1	Akita Prefecture	\N	\N	\N	\N	\N	\N	t	f
4019	3828	Cornwall	fi	0	2013-06-05 07:05:49.499523+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
4437	1484	Anse La Raye (distrito)	es	0	2013-06-05 07:24:04.523442+02	1	Anse La Raye (distrito)	\N	\N	\N	\N	\N	\N	t	f
4440	1484	Quartiere di Anse-la-Raye	it	0	2013-06-05 07:24:11.720929+02	1	Quartiere di Anse-la-Raye	\N	\N	\N	\N	\N	\N	t	f
4984	3032	Governatorato di al-Buraymi	it	0	2013-06-05 07:47:41.645028+02	1	Governatorato di al-Buraymi	\N	\N	\N	\N	\N	\N	t	f
4476	3134	Centre-Ouest	no	0	2013-06-05 07:25:40.810667+02	1	Centre-Ouest	\N	\N	\N	\N	\N	\N	t	f
4527	4546	Bafatá (Region)	de	0	2013-06-05 07:27:52.510358+02	1	Bafatá (Region)	\N	\N	\N	\N	\N	\N	t	f
5019	1619	Baiti	es	0	2013-06-05 07:49:08.999678+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5574	2226	Distretto di Cimişlia	it	0	2013-06-05 08:13:09.687631+02	1	Distretto di Cimişlia	\N	\N	\N	\N	\N	\N	t	f
5036	4757	Béni Mellal (Provinz)	de	0	2013-06-05 07:49:56.074288+02	1	Béni Mellal (Provinz)	\N	\N	\N	\N	\N	\N	t	f
5051	589	Appenzell Ausserrhoden	en	0	2013-06-05 07:50:34.286952+02	1	Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5065	4889	アウロラ州	ja	0	2013-06-05 07:51:08.883035+02	1	アウロラ州	\N	\N	\N	\N	\N	\N	t	f
5597	592	Kanton Basel-Stadt	de	0	2013-06-05 08:14:06.213618+02	1	Kanton Basel-Stadt	\N	\N	\N	\N	\N	\N	t	f
5067	4889	Aurora	no	0	2013-06-05 07:51:13.768101+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
5072	4502	Arkaadia	et	0	2013-06-05 07:51:26.26019+02	1	Arkaadia	\N	\N	\N	\N	\N	\N	t	f
6154	591	Kanton Basel-Landschaft	de	0	2013-06-05 08:38:07.152869+02	1	Kanton Basel-Landschaft	\N	\N	\N	\N	\N	\N	t	f
5086	3130	Cascades	no	0	2013-06-05 07:52:00.36201+02	1	Cascades	\N	\N	\N	\N	\N	\N	t	f
5599	592	Cantón de Basilea-Ciudad	es	0	2013-06-05 08:14:10.907882+02	1	Cantón de Basilea-Ciudad	\N	\N	\N	\N	\N	\N	t	f
5600	592	Basel-Stadt	et	0	2013-06-05 08:14:13.25785+02	1	Basel-Stadt	\N	\N	\N	\N	\N	\N	t	f
5603	592	Canton Basilea Città	it	0	2013-06-05 08:14:20.38387+02	1	Canton Basilea Città	\N	\N	\N	\N	\N	\N	t	f
6159	591	Canton de Bâle-Campagne	fr	0	2013-06-05 08:38:19.003609+02	1	Canton de Bâle-Campagne	\N	\N	\N	\N	\N	\N	t	f
5615	3147	Cibitoke Province	en	0	2013-06-05 08:14:52.698895+02	1	Cibitoke Province	\N	\N	\N	\N	\N	\N	t	f
5705	4622	Province of Bari	en	0	2013-06-05 08:18:40.044891+02	1	Province of Bari	\N	\N	\N	\N	\N	\N	t	f
6935	2804	Bago piirkond	et	0	2013-06-05 09:11:58.776498+02	1	Bago piirkond	\N	\N	\N	\N	\N	\N	t	f
5732	3614	Al Qadarif	fr	0	2013-06-05 08:19:46.061384+02	1	Al Qadarif	\N	\N	\N	\N	\N	\N	t	f
6222	3326	Port Said	de	0	2013-06-05 08:41:06.225427+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
5744	981	Arica y Parinacota	nl	0	2013-06-05 08:20:15.149815+02	1	Arica y Parinacota	\N	\N	\N	\N	\N	\N	t	f
6938	2804	Regione di Bago	it	0	2013-06-05 09:12:10.477203+02	1	Regione di Bago	\N	\N	\N	\N	\N	\N	t	f
7627	2165	Burgasi piirkond	et	0	2013-06-05 09:41:59.40773+02	1	Burgasi piirkond	\N	\N	\N	\N	\N	\N	t	f
6946	3813	Cardiff	fi	0	2013-06-05 09:12:35.473385+02	1	Cardiff	\N	\N	\N	\N	\N	\N	t	f
7649	5032	Amuru	nl	0	2013-06-05 09:42:52.801075+02	1	Amuru	\N	\N	\N	\N	\N	\N	t	f
9013	4896	Batanes	de	0	2013-06-05 10:41:35.279137+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
7662	1532	Departamento de Chontales	es	0	2013-06-05 09:43:24.666219+02	1	Departamento de Chontales	\N	\N	\N	\N	\N	\N	t	f
7669	1617	Anetan	de	0	2013-06-05 09:43:42.504183+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
9243	3129	Región Boucle du Mouhoun	es	0	2013-06-05 10:51:53.392213+02	1	Región Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
7670	1617	Anetan	en	0	2013-06-05 09:43:45.075415+02	1	Anetan	\N	\N	\N	\N	\N	\N	t	f
9017	4896	Provincia di Batanes	it	0	2013-06-05 10:41:44.654451+02	1	Provincia di Batanes	\N	\N	\N	\N	\N	\N	t	f
8240	3795	アーガイル・アンド・ビュート	ja	0	2013-06-05 10:08:42.981425+02	1	アーガイル・アンド・ビュート	\N	\N	\N	\N	\N	\N	t	f
8249	4029	ブルチザ県	ja	0	2013-06-05 10:09:04.998125+02	1	ブルチザ県	\N	\N	\N	\N	\N	\N	t	f
9104	1814	セウタ	ja	0	2013-06-05 10:45:42.737251+02	1	セウタ	\N	\N	\N	\N	\N	\N	t	f
8308	2849	Baloutchistan	fr	0	2013-06-05 10:11:37.557135+02	1	Baloutchistan	\N	\N	\N	\N	\N	\N	t	f
9026	4318	Provinz Cádiz	de	0	2013-06-05 10:42:06.647462+02	1	Provinz Cádiz	\N	\N	\N	\N	\N	\N	t	f
8326	1097	Cordilleran maakunta	fi	0	2013-06-05 10:12:21.423949+02	1	Cordilleran maakunta	\N	\N	\N	\N	\N	\N	t	f
8343	2395	Brjanski oblast	et	0	2013-06-05 10:13:07.222769+02	1	Brjanski oblast	\N	\N	\N	\N	\N	\N	t	f
8344	2395	Brjanskin alue	fi	0	2013-06-05 10:13:09.648764+02	1	Brjanskin alue	\N	\N	\N	\N	\N	\N	t	f
9119	4544	Chania	en	0	2013-06-05 10:46:41.850554+02	1	Chania	\N	\N	\N	\N	\N	\N	t	f
9065	1668	Central Province	en	0	2013-06-05 10:43:43.438539+02	1	Central Province	\N	\N	\N	\N	\N	\N	t	f
9078	3301	Αΐν Τεμουχέντ	el	0	2013-06-05 10:44:17.247079+02	1	Αΐν Τεμουχέντ	\N	\N	\N	\N	\N	\N	t	f
9080	3301	Aïn Témouchent	es	0	2013-06-05 10:44:21.963796+02	1	Aïn Témouchent	\N	\N	\N	\N	\N	\N	t	f
9287	4806	Atolón Alif Alif	es	0	2013-06-05 10:53:40.967502+02	1	Atolón Alif Alif	\N	\N	\N	\N	\N	\N	t	f
9100	1814	Ceuta	et	0	2013-06-05 10:45:25.979088+02	1	Ceuta	\N	\N	\N	\N	\N	\N	t	f
9181	4866	Auckland	it	0	2013-06-05 10:49:23.038984+02	1	Auckland	\N	\N	\N	\N	\N	\N	t	f
9221	765	Coimbran piiri	fi	0	2013-06-05 10:50:59.694829+02	1	Coimbran piiri	\N	\N	\N	\N	\N	\N	t	f
9222	765	District de Coimbra	fr	0	2013-06-05 10:51:02.061311+02	1	District de Coimbra	\N	\N	\N	\N	\N	\N	t	f
11136	1066	Cajamarca	en	0	2013-06-05 12:13:34.964985+02	1	Cajamarca	\N	\N	\N	\N	\N	\N	t	f
9903	2669	Ang Thong Province	en	0	2013-06-05 11:20:04.859292+02	1	Ang Thong Province	\N	\N	\N	\N	\N	\N	t	f
10385	4380	Creuse	en	0	2013-06-05 11:41:14.20057+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
11169	4367	Département Ariège	de	0	2013-06-05 12:15:04.880403+02	1	Département Ariège	\N	\N	\N	\N	\N	\N	t	f
11267	3425	Banghāzī	et	0	2013-06-05 12:19:05.50824+02	1	Banghāzī	\N	\N	\N	\N	\N	\N	t	f
11235	4314	Provinz Badajoz	de	0	2013-06-05 12:17:47.531338+02	1	Provinz Badajoz	\N	\N	\N	\N	\N	\N	t	f
2982	2063	Šentjernej	it	0	2013-05-27 19:43:11.470676+02	1	Šentjernej	\N	\N	\N	\N	\N	\N	t	f
3501	4356	Province d'Alava	fr	0	2013-05-27 20:04:54.233643+02	1	Province d'Alava	\N	\N	\N	\N	\N	\N	t	f
3997	389	Akita prefektuur	et	0	2013-06-05 07:04:55.083448+02	1	Akita prefektuur	\N	\N	\N	\N	\N	\N	t	f
4000	389	Prefettura di Akita	it	0	2013-06-05 07:05:02.296734+02	1	Prefettura di Akita	\N	\N	\N	\N	\N	\N	t	f
4439	1484	District d'Anse-la-Raye	fr	0	2013-06-05 07:24:09.306738+02	1	District d'Anse-la-Raye	\N	\N	\N	\N	\N	\N	t	f
4037	3112	ベンゲラ州	ja	0	2013-06-05 07:06:33.925039+02	1	ベンゲラ州	\N	\N	\N	\N	\N	\N	t	f
4455	1845	Basse-Normandie	de	0	2013-06-05 07:24:49.069482+02	1	Basse-Normandie	\N	\N	\N	\N	\N	\N	t	f
4986	3032	Al Buraimi	nl	0	2013-06-05 07:47:46.566315+02	1	Al Buraimi	\N	\N	\N	\N	\N	\N	t	f
4498	1835	Centre	fr	0	2013-06-05 07:26:39.460861+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
5061	4889	Aurora	en	0	2013-06-05 07:50:59.143846+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
5575	2226	Cimișlia	nl	0	2013-06-05 08:13:12.02818+02	1	Cimișlia	\N	\N	\N	\N	\N	\N	t	f
5081	3130	Región Cascades	es	0	2013-06-05 07:51:48.480085+02	1	Región Cascades	\N	\N	\N	\N	\N	\N	t	f
5137	1557	Departamento Cabañas	de	0	2013-06-05 07:54:14.325892+02	1	Departamento Cabañas	\N	\N	\N	\N	\N	\N	t	f
5719	3264	Blida	nl	0	2013-06-05 08:19:14.109077+02	1	Blida	\N	\N	\N	\N	\N	\N	t	f
6157	591	Basel-Landschaft	et	0	2013-06-05 08:38:14.197171+02	1	Basel-Landschaft	\N	\N	\N	\N	\N	\N	t	f
5722	1725	Agsu Rayon	en	0	2013-06-05 08:19:21.546364+02	1	Agsu Rayon	\N	\N	\N	\N	\N	\N	t	f
5727	1725	Ağsu	nl	0	2013-06-05 08:19:33.400491+02	1	Ağsu	\N	\N	\N	\N	\N	\N	t	f
6180	3234	アニェビ州	ja	0	2013-06-05 08:39:17.256417+02	1	アニェビ州	\N	\N	\N	\N	\N	\N	t	f
6936	2804	Bago (alue)	fi	0	2013-06-05 09:12:05.635851+02	1	Bago (alue)	\N	\N	\N	\N	\N	\N	t	f
6192	1440	Departamento de Atlántida	es	0	2013-06-05 08:39:49.569213+02	1	Departamento de Atlántida	\N	\N	\N	\N	\N	\N	t	f
6193	1440	Atlántida	fi	0	2013-06-05 08:39:52.042159+02	1	Atlántida	\N	\N	\N	\N	\N	\N	t	f
6221	1929	Cetinje vald	et	0	2013-06-05 08:41:03.403613+02	1	Cetinje vald	\N	\N	\N	\N	\N	\N	t	f
6939	2804	バゴー管区	ja	0	2013-06-05 09:12:13.952967+02	1	バゴー管区	\N	\N	\N	\N	\N	\N	t	f
7633	2165	Burgas oblast	no	0	2013-06-05 09:42:13.979243+02	1	Burgas oblast	\N	\N	\N	\N	\N	\N	t	f
10510	1885	Abruzzo	it	0	2013-06-05 11:46:32.441952+02	1	Abruzzo	\N	\N	\N	\N	\N	\N	t	f
7663	1532	Chontales	fi	0	2013-06-05 09:43:26.99718+02	1	Chontales	\N	\N	\N	\N	\N	\N	t	f
9015	4896	Batanes	es	0	2013-06-05 10:41:39.972267+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
7675	1617	アネタン地区	ja	0	2013-06-05 09:43:58.203217+02	1	アネタン地区	\N	\N	\N	\N	\N	\N	t	f
7691	3626	Ascension	de	0	2013-06-05 09:44:38.029423+02	1	Ascension	\N	\N	\N	\N	\N	\N	t	f
7742	377	Territoire de la capitale australienne	fr	0	2013-06-05 09:46:50.028908+02	1	Territoire de la capitale australienne	\N	\N	\N	\N	\N	\N	t	f
9030	4318	Cádiz	fi	0	2013-06-05 10:42:16.786583+02	1	Cádiz	\N	\N	\N	\N	\N	\N	t	f
7745	377	Australian Capital Territory	nl	0	2013-06-05 09:47:00.149537+02	1	Australian Capital Territory	\N	\N	\N	\N	\N	\N	t	f
8243	4029	Kreis Bulqiza	de	0	2013-06-05 10:08:50.653831+02	1	Kreis Bulqiza	\N	\N	\N	\N	\N	\N	t	f
8280	511	アンカラ県	ja	0	2013-06-05 10:10:29.144936+02	1	アンカラ県	\N	\N	\N	\N	\N	\N	t	f
9034	4318	Cádiz	nl	0	2013-06-05 10:42:26.320384+02	1	Cádiz	\N	\N	\N	\N	\N	\N	t	f
8316	2581	Bình Định	fi	0	2013-06-05 10:11:56.917996+02	1	Bình Định	\N	\N	\N	\N	\N	\N	t	f
8320	2581	Bình Định	nl	0	2013-06-05 10:12:06.494698+02	1	Bình Định	\N	\N	\N	\N	\N	\N	t	f
10525	2227	Raion de Criuleni	fr	0	2013-06-05 11:47:08.993507+02	1	Raion de Criuleni	\N	\N	\N	\N	\N	\N	t	f
9128	1499	Chihuahua	de	0	2013-06-05 10:47:04.130203+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9134	1499	État de Chihuahua	fr	0	2013-06-05 10:47:23.805234+02	1	État de Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9220	765	Distrito de Coímbra	es	0	2013-06-05 10:50:57.342444+02	1	Distrito de Coímbra	\N	\N	\N	\N	\N	\N	t	f
10532	979	Regione di Aysén	it	0	2013-06-05 11:47:26.212804+02	1	Regione di Aysén	\N	\N	\N	\N	\N	\N	t	f
9235	2230	キシナウ	ja	0	2013-06-05 10:51:33.680219+02	1	キシナウ	\N	\N	\N	\N	\N	\N	t	f
9904	2669	Provincia de Ang Thong	es	0	2013-06-05 11:20:08.172754+02	1	Provincia de Ang Thong	\N	\N	\N	\N	\N	\N	t	f
11244	4314	Badajoz	nl	0	2013-06-05 12:18:09.239895+02	1	Badajoz	\N	\N	\N	\N	\N	\N	t	f
10392	4380	Creuse	nl	0	2013-06-05 11:41:30.902626+02	1	Creuse	\N	\N	\N	\N	\N	\N	t	f
10619	407	Aichi prefektuur	et	0	2013-06-05 11:51:14.481029+02	1	Aichi prefektuur	\N	\N	\N	\N	\N	\N	t	f
10432	4366	アルデンヌ県	ja	0	2013-06-05 11:43:09.327613+02	1	アルデンヌ県	\N	\N	\N	\N	\N	\N	t	f
10448	904	Birgu	nl	0	2013-06-05 11:43:51.74449+02	1	Birgu	\N	\N	\N	\N	\N	\N	t	f
10476	4621	Avellino	nl	0	2013-06-05 11:45:05.259115+02	1	Avellino	\N	\N	\N	\N	\N	\N	t	f
10716	817	Cluj	es	0	2013-06-05 11:55:12.660891+02	1	Cluj	\N	\N	\N	\N	\N	\N	t	f
10504	1885	Αμπρούτσο	el	0	2013-06-05 11:46:17.279347+02	1	Αμπρούτσο	\N	\N	\N	\N	\N	\N	t	f
11137	1066	Departamento de Cajamarca	es	0	2013-06-05 12:13:37.332593+02	1	Departamento de Cajamarca	\N	\N	\N	\N	\N	\N	t	f
11168	4503	Akhaia	no	0	2013-06-05 12:15:01.941752+02	1	Akhaia	\N	\N	\N	\N	\N	\N	t	f
11218	588	アッペンツェル・インナーローデン準州	ja	0	2013-06-05 12:17:05.119594+02	1	アッペンツェル・インナーローデン準州	\N	\N	\N	\N	\N	\N	t	f
2984	2063	Šentjernej	nl	0	2013-05-27 19:43:15.883785+02	1	Šentjernej	\N	\N	\N	\N	\N	\N	t	f
2985	3182	Équateur	de	0	2013-05-27 19:43:18.888143+02	1	Équateur	\N	\N	\N	\N	\N	\N	t	f
3505	4356	Álava	no	0	2013-05-27 20:05:03.736069+02	1	Álava	\N	\N	\N	\N	\N	\N	t	f
2986	3182	Équateur	en	0	2013-05-27 19:43:21.092997+02	1	Équateur	\N	\N	\N	\N	\N	\N	t	f
2987	3182	Équateur	fr	0	2013-05-27 19:43:23.331559+02	1	Équateur	\N	\N	\N	\N	\N	\N	t	f
3998	389	Akitan prefektuuri	fi	0	2013-06-05 07:04:57.533128+02	1	Akitan prefektuuri	\N	\N	\N	\N	\N	\N	t	f
2988	3182	Provincia dell'Equatore	it	0	2013-05-27 19:43:25.579597+02	1	Provincia dell'Equatore	\N	\N	\N	\N	\N	\N	t	f
2989	3182	赤道州	ja	0	2013-05-27 19:43:27.850608+02	1	赤道州	\N	\N	\N	\N	\N	\N	t	f
2990	3182	Evenaarsprovincie	nl	0	2013-05-27 19:43:30.167033+02	1	Evenaarsprovincie	\N	\N	\N	\N	\N	\N	t	f
4023	3828	Cornwall	nl	0	2013-06-05 07:05:59.163827+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
2991	3182	Équateur	no	0	2013-05-27 19:43:32.406738+02	1	Équateur	\N	\N	\N	\N	\N	\N	t	f
2992	1743	İsmayıllı (Rayon)	de	0	2013-05-27 19:43:35.077771+02	1	İsmayıllı (Rayon)	\N	\N	\N	\N	\N	\N	t	f
4446	4153	Banwa	fr	0	2013-06-05 07:24:26.499751+02	1	Banwa	\N	\N	\N	\N	\N	\N	t	f
2993	1743	Ismailli Rayon	en	0	2013-05-27 19:43:37.308224+02	1	Ismailli Rayon	\N	\N	\N	\N	\N	\N	t	f
4026	880	Chiayi County	en	0	2013-06-05 07:06:06.869341+02	1	Chiayi County	\N	\N	\N	\N	\N	\N	t	f
2997	1743	İsmayıllı	nl	0	2013-05-27 19:43:46.248389+02	1	İsmayıllı	\N	\N	\N	\N	\N	\N	t	f
3014	2068	Šmarje pri Jelšah	de	0	2013-05-27 19:44:28.139925+02	1	Šmarje pri Jelšah	\N	\N	\N	\N	\N	\N	t	f
4478	5013	Distrito de Bukedea	es	0	2013-06-05 07:25:46.088178+02	1	Distrito de Bukedea	\N	\N	\N	\N	\N	\N	t	f
4987	3032	Al Buraimi	no	0	2013-06-05 07:47:48.928415+02	1	Al Buraimi	\N	\N	\N	\N	\N	\N	t	f
4535	4546	Bafatá (region)	no	0	2013-06-05 07:28:11.651211+02	1	Bafatá (region)	\N	\N	\N	\N	\N	\N	t	f
4544	1301	Baltinava municipality	en	0	2013-06-05 07:28:33.956373+02	1	Baltinava municipality	\N	\N	\N	\N	\N	\N	t	f
5010	655	Andhra Pradesh	nl	0	2013-06-05 07:48:45.218835+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
5576	1500	Chiapas	de	0	2013-06-05 08:13:14.904237+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5038	4757	Provincia de Beni Melal	es	0	2013-06-05 07:50:00.767878+02	1	Provincia de Beni Melal	\N	\N	\N	\N	\N	\N	t	f
5084	3130	Regione delle Cascate	it	0	2013-06-05 07:51:55.549216+02	1	Regione delle Cascate	\N	\N	\N	\N	\N	\N	t	f
5589	2540	Chungcheong del Norte	es	0	2013-06-05 08:13:46.176159+02	1	Chungcheong del Norte	\N	\N	\N	\N	\N	\N	t	f
6165	1290	Municipalidad de Aizpute	es	0	2013-06-05 08:38:33.807385+02	1	Municipalidad de Aizpute	\N	\N	\N	\N	\N	\N	t	f
5606	592	Basel-Stadt	no	0	2013-06-05 08:14:27.549841+02	1	Basel-Stadt	\N	\N	\N	\N	\N	\N	t	f
5621	3147	チビトケ県	ja	0	2013-06-05 08:15:07.024579+02	1	チビトケ県	\N	\N	\N	\N	\N	\N	t	f
5678	3104	Gouvernement al-Mahwit	de	0	2013-06-05 08:17:34.514011+02	1	Gouvernement al-Mahwit	\N	\N	\N	\N	\N	\N	t	f
6175	3234	Agnéby	en	0	2013-06-05 08:39:05.129753+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
5695	719	Békés County	en	0	2013-06-05 08:18:15.656519+02	1	Békés County	\N	\N	\N	\N	\N	\N	t	f
6940	2804	Bago	nl	0	2013-06-05 09:12:16.374674+02	1	Bago	\N	\N	\N	\N	\N	\N	t	f
5741	981	Région d'Arica et Parinacota	fr	0	2013-06-05 08:20:07.913299+02	1	Région d'Arica et Parinacota	\N	\N	\N	\N	\N	\N	t	f
5751	2649	Provincia di Champasak	it	0	2013-06-05 08:20:32.219899+02	1	Provincia di Champasak	\N	\N	\N	\N	\N	\N	t	f
7638	4637	Caltanissetta provints	et	0	2013-06-05 09:42:26.176244+02	1	Caltanissetta provints	\N	\N	\N	\N	\N	\N	t	f
10474	4621	provincia di Avellino	it	0	2013-06-05 11:44:57.491137+02	1	provincia di Avellino	\N	\N	\N	\N	\N	\N	t	f
10536	3163	Collines	de	0	2013-06-05 11:47:39.488167+02	1	Collines	\N	\N	\N	\N	\N	\N	t	f
7651	971	Cochabamba Department	en	0	2013-06-05 09:42:57.905935+02	1	Cochabamba Department	\N	\N	\N	\N	\N	\N	t	f
9016	4896	Batanes	fr	0	2013-06-05 10:41:42.312524+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
7698	3626	Isola di Ascensione	it	0	2013-06-05 09:44:54.987014+02	1	Isola di Ascensione	\N	\N	\N	\N	\N	\N	t	f
7705	1158	Amazonase osariik	et	0	2013-06-05 09:45:12.194945+02	1	Amazonase osariik	\N	\N	\N	\N	\N	\N	t	f
7720	2384	Oblast Tsjerkasy	nl	0	2013-06-05 09:45:52.985275+02	1	Oblast Tsjerkasy	\N	\N	\N	\N	\N	\N	t	f
9027	4318	Province of Cádiz	en	0	2013-06-05 10:42:09.74958+02	1	Province of Cádiz	\N	\N	\N	\N	\N	\N	t	f
8246	4029	Bulqizë	fi	0	2013-06-05 10:08:57.770827+02	1	Bulqizë	\N	\N	\N	\N	\N	\N	t	f
8345	2395	Oblast de Briansk	fr	0	2013-06-05 10:13:12.041902+02	1	Oblast de Briansk	\N	\N	\N	\N	\N	\N	t	f
10481	1633	Province centrale	fr	0	2013-06-05 11:45:17.529322+02	1	Province centrale	\N	\N	\N	\N	\N	\N	t	f
9111	2940	Al-Anbar	fi	0	2013-06-05 10:46:14.343637+02	1	Al-Anbar	\N	\N	\N	\N	\N	\N	t	f
9252	1829	Alsacia	es	0	2013-06-05 10:52:16.081589+02	1	Alsacia	\N	\N	\N	\N	\N	\N	t	f
11144	3090	Gouvernement Abyan	de	0	2013-06-05 12:13:58.144738+02	1	Gouvernement Abyan	\N	\N	\N	\N	\N	\N	t	f
9261	3479	Assaba Region	en	0	2013-06-05 10:52:38.273892+02	1	Assaba Region	\N	\N	\N	\N	\N	\N	t	f
10627	3549	Bayelsa State	en	0	2013-06-05 11:51:34.095489+02	1	Bayelsa State	\N	\N	\N	\N	\N	\N	t	f
9909	2669	Changwat Ang Thong	nl	0	2013-06-05 11:20:20.809533+02	1	Changwat Ang Thong	\N	\N	\N	\N	\N	\N	t	f
10403	3547	Benue State	en	0	2013-06-05 11:41:58.165588+02	1	Benue State	\N	\N	\N	\N	\N	\N	t	f
10431	4366	Ardenne	it	0	2013-06-05 11:43:06.946472+02	1	Ardenne	\N	\N	\N	\N	\N	\N	t	f
10644	4905	Cavite	fr	0	2013-06-05 11:52:15.534423+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
10433	4366	Ardennes	nl	0	2013-06-05 11:43:11.71251+02	1	Ardennes	\N	\N	\N	\N	\N	\N	t	f
11162	4503	Acaya	es	0	2013-06-05 12:14:46.427392+02	1	Acaya	\N	\N	\N	\N	\N	\N	t	f
10710	4642	provincia di Catania	it	0	2013-06-05 11:54:57.52987+02	1	provincia di Catania	\N	\N	\N	\N	\N	\N	t	f
11139	1066	Région de Cajamarca	fr	0	2013-06-05 12:13:42.070225+02	1	Région de Cajamarca	\N	\N	\N	\N	\N	\N	t	f
11291	702	カタマルカ州	ja	0	2013-06-05 12:20:03.999618+02	1	カタマルカ州	\N	\N	\N	\N	\N	\N	t	f
11196	3431	Al Jfara	no	0	2013-06-05 12:16:10.762463+02	1	Al Jfara	\N	\N	\N	\N	\N	\N	t	f
11198	4893	Biliran	en	0	2013-06-05 12:16:15.978936+02	1	Biliran	\N	\N	\N	\N	\N	\N	t	f
11269	3425	Benghazi	fr	0	2013-06-05 12:19:10.398329+02	1	Benghazi	\N	\N	\N	\N	\N	\N	t	f
11313	4816	Baa	fr	0	2013-06-05 12:20:57.768728+02	1	Baa	\N	\N	\N	\N	\N	\N	t	f
11404	4901	Camarines Norte	de	0	2013-06-05 12:25:28.37274+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
2994	1743	İsmayıllı (raión)	es	0	2013-05-27 19:43:39.547438+02	1	İsmayıllı (raión)	\N	\N	\N	\N	\N	\N	t	f
2995	1743	İsmayıllın piirikunta	fi	0	2013-05-27 19:43:41.801889+02	1	İsmayıllın piirikunta	\N	\N	\N	\N	\N	\N	t	f
3506	2477	Schirak	de	0	2013-05-27 20:05:06.599403+02	1	Schirak	\N	\N	\N	\N	\N	\N	t	f
4004	4387	Département Corse-du-Sud	de	0	2013-06-05 07:05:13.012879+02	1	Département Corse-du-Sud	\N	\N	\N	\N	\N	\N	t	f
3508	2477	Shirak	es	0	2013-05-27 20:05:11.120136+02	1	Shirak	\N	\N	\N	\N	\N	\N	t	f
4453	1179	Black Point	it	0	2013-06-05 07:24:43.697246+02	1	Black Point	\N	\N	\N	\N	\N	\N	t	f
4461	1845	Bassa Normandia	it	0	2013-06-05 07:25:03.631739+02	1	Bassa Normandia	\N	\N	\N	\N	\N	\N	t	f
4988	4867	Bay of Plenty	de	0	2013-06-05 07:47:51.622127+02	1	Bay of Plenty	\N	\N	\N	\N	\N	\N	t	f
4473	3134	Centre-Ouest	fr	0	2013-06-05 07:25:33.52882+02	1	Centre-Ouest	\N	\N	\N	\N	\N	\N	t	f
5002	655	Άντρα Πραντές	el	0	2013-06-05 07:48:26.190169+02	1	Άντρα Πραντές	\N	\N	\N	\N	\N	\N	t	f
5577	1500	Τσιάπας	el	0	2013-06-05 08:13:17.231078+02	1	Τσιάπας	\N	\N	\N	\N	\N	\N	t	f
5007	655	Andhra Pradesh	fr	0	2013-06-05 07:48:37.983828+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
5049	2591	Bà Rịa-Vũng Tàu	nl	0	2013-06-05 07:50:28.39829+02	1	Bà Rịa-Vũng Tàu	\N	\N	\N	\N	\N	\N	t	f
5064	4889	Provincia di Aurora	it	0	2013-06-05 07:51:06.539717+02	1	Provincia di Aurora	\N	\N	\N	\N	\N	\N	t	f
5583	1500	Chiapas	it	0	2013-06-05 08:13:31.315775+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5071	4502	Arcadia	es	0	2013-06-05 07:51:23.77954+02	1	Arcadia	\N	\N	\N	\N	\N	\N	t	f
6181	3234	Agnéby	nl	0	2013-06-05 08:39:19.637554+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
5646	796	Apskritis d'Alytus	fr	0	2013-06-05 08:16:14.159962+02	1	Apskritis d'Alytus	\N	\N	\N	\N	\N	\N	t	f
5659	3194	Basse-Kotto	de	0	2013-06-05 08:16:45.712164+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
5690	3085	Governatorato di Quneitra	it	0	2013-06-05 08:18:03.406821+02	1	Governatorato di Quneitra	\N	\N	\N	\N	\N	\N	t	f
6188	1184	Cat Island	nl	0	2013-06-05 08:39:39.795649+02	1	Cat Island	\N	\N	\N	\N	\N	\N	t	f
5713	4622	Provinsen Bari	no	0	2013-06-05 08:18:59.347694+02	1	Provinsen Bari	\N	\N	\N	\N	\N	\N	t	f
5745	981	Arica y Parinacota	no	0	2013-06-05 08:20:17.520898+02	1	Arica y Parinacota	\N	\N	\N	\N	\N	\N	t	f
6959	4902	Capiz	no	0	2013-06-05 09:13:18.707434+02	1	Capiz	\N	\N	\N	\N	\N	\N	t	f
5750	2649	Province de Champassak	fr	0	2013-06-05 08:20:29.758545+02	1	Province de Champassak	\N	\N	\N	\N	\N	\N	t	f
6201	268	Connecticut	es	0	2013-06-05 08:40:14.696431+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
5757	1485	Castries	es	0	2013-06-05 08:20:47.028633+02	1	Castries	\N	\N	\N	\N	\N	\N	t	f
7039	3703	Centrale	nl	0	2013-06-05 09:16:43.275961+02	1	Centrale	\N	\N	\N	\N	\N	\N	t	f
7660	1532	Departamento Chontales	de	0	2013-06-05 09:43:19.785343+02	1	Departamento Chontales	\N	\N	\N	\N	\N	\N	t	f
7061	4883	Agusan del Norte	de	0	2013-06-05 09:17:36.849696+02	1	Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
7076	3251	Ali Sabieh	de	0	2013-06-05 09:18:13.13074+02	1	Ali Sabieh	\N	\N	\N	\N	\N	\N	t	f
9957	3271	provincia di Algeri	it	0	2013-06-05 11:22:31.612223+02	1	provincia di Algeri	\N	\N	\N	\N	\N	\N	t	f
7696	3626	Ascension	fi	0	2013-06-05 09:44:50.219903+02	1	Ascension	\N	\N	\N	\N	\N	\N	t	f
9019	4896	Batanes	nl	0	2013-06-05 10:41:49.371199+02	1	Batanes	\N	\N	\N	\N	\N	\N	t	f
7751	3171	Central District	fi	0	2013-06-05 09:47:15.591446+02	1	Central District	\N	\N	\N	\N	\N	\N	t	f
8248	4029	distretto di Bulqizë	it	0	2013-06-05 10:09:02.593452+02	1	distretto di Bulqizë	\N	\N	\N	\N	\N	\N	t	f
8253	3820	Cheshire West and Chester	en	0	2013-06-05 10:09:15.120133+02	1	Cheshire West and Chester	\N	\N	\N	\N	\N	\N	t	f
9025	5005	Amuria	nl	0	2013-06-05 10:42:03.854777+02	1	Amuria	\N	\N	\N	\N	\N	\N	t	f
10596	3814	Carmarthenshire	de	0	2013-06-05 11:50:17.875128+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
9035	4318	Cádiz	no	0	2013-06-05 10:42:28.766765+02	1	Cádiz	\N	\N	\N	\N	\N	\N	t	f
10411	1118	Departamento Colonia	de	0	2013-06-05 11:42:17.619954+02	1	Departamento Colonia	\N	\N	\N	\N	\N	\N	t	f
9110	2940	Al-Anbār	et	0	2013-06-05 10:46:07.227185+02	1	Al-Anbār	\N	\N	\N	\N	\N	\N	t	f
9174	518	ビトリス県	ja	0	2013-06-05 10:49:06.151374+02	1	ビトリス県	\N	\N	\N	\N	\N	\N	t	f
9196	1293	Alsunga piirkond	et	0	2013-06-05 10:49:59.170037+02	1	Alsunga piirkond	\N	\N	\N	\N	\N	\N	t	f
10495	2861	Provincia de Baghlan	es	0	2013-06-05 11:45:51.884626+02	1	Provincia de Baghlan	\N	\N	\N	\N	\N	\N	t	f
9203	4512	Νομός Άρτας	el	0	2013-06-05 10:50:16.297817+02	1	Νομός Άρτας	\N	\N	\N	\N	\N	\N	t	f
9275	761	Beja	nl	0	2013-06-05 10:53:11.768565+02	1	Beja	\N	\N	\N	\N	\N	\N	t	f
9288	4806	Alif Alif	fr	0	2013-06-05 10:53:43.304837+02	1	Alif Alif	\N	\N	\N	\N	\N	\N	t	f
10519	3337	マアカル地方	ja	0	2013-06-05 11:46:54.321255+02	1	マアカル地方	\N	\N	\N	\N	\N	\N	t	f
9910	2669	Ang Thong	no	0	2013-06-05 11:20:23.238532+02	1	Ang Thong	\N	\N	\N	\N	\N	\N	t	f
9923	808	Distretto di Arad	it	0	2013-06-05 11:20:55.420401+02	1	Distretto di Arad	\N	\N	\N	\N	\N	\N	t	f
10637	3585	Anse Boileau	en	0	2013-06-05 11:51:58.589549+02	1	Anse Boileau	\N	\N	\N	\N	\N	\N	t	f
9954	3271	Algiers Province	en	0	2013-06-05 11:22:24.486316+02	1	Algiers Province	\N	\N	\N	\N	\N	\N	t	f
10539	3163	Collines	fr	0	2013-06-05 11:47:49.797682+02	1	Collines	\N	\N	\N	\N	\N	\N	t	f
11141	1066	カハマルカ県	ja	0	2013-06-05 12:13:50.083656+02	1	カハマルカ県	\N	\N	\N	\N	\N	\N	t	f
10569	508	Provincia di Afyonkarahisar	it	0	2013-06-05 11:49:07.842688+02	1	Provincia di Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
11256	2592	An Giang Province	en	0	2013-06-05 12:18:38.825385+02	1	An Giang Province	\N	\N	\N	\N	\N	\N	t	f
11143	1066	Cajamarca	no	0	2013-06-05 12:13:55.37585+02	1	Cajamarca	\N	\N	\N	\N	\N	\N	t	f
11147	3090	Abyan	fi	0	2013-06-05 12:14:06.037722+02	1	Abyan	\N	\N	\N	\N	\N	\N	t	f
11277	4548	Biombo	fr	0	2013-06-05 12:19:29.906323+02	1	Biombo	\N	\N	\N	\N	\N	\N	t	f
11253	3239	Centre	nl	0	2013-06-05 12:18:31.161182+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
2996	1743	Ismailli (raion)	fr	0	2013-05-27 19:43:44.059727+02	1	Ismailli (raion)	\N	\N	\N	\N	\N	\N	t	f
3010	3081	Governatorato di Aleppo	it	0	2013-05-27 19:44:18.094081+02	1	Governatorato di Aleppo	\N	\N	\N	\N	\N	\N	t	f
3507	2477	Shirak Province	en	0	2013-05-27 20:05:08.876341+02	1	Shirak Province	\N	\N	\N	\N	\N	\N	t	f
3514	2477	Sjirak	nl	0	2013-05-27 20:05:24.90601+02	1	Sjirak	\N	\N	\N	\N	\N	\N	t	f
4018	3828	Cornwall	et	0	2013-06-05 07:05:47.095975+02	1	Cornwall	\N	\N	\N	\N	\N	\N	t	f
4454	1179	Black Point	no	0	2013-06-05 07:24:46.097564+02	1	Black Point	\N	\N	\N	\N	\N	\N	t	f
4475	3134	Centre-Ouest	nl	0	2013-06-05 07:25:38.390929+02	1	Centre-Ouest	\N	\N	\N	\N	\N	\N	t	f
4989	4867	Bay of Plenty region	en	0	2013-06-05 07:47:54.191388+02	1	Bay of Plenty region	\N	\N	\N	\N	\N	\N	t	f
4514	2550	Chagang	fi	0	2013-06-05 07:27:20.217736+02	1	Chagang	\N	\N	\N	\N	\N	\N	t	f
4524	3213	西キュヴェト地方	ja	0	2013-06-05 07:27:44.951328+02	1	西キュヴェト地方	\N	\N	\N	\N	\N	\N	t	f
4528	4546	Bafatá Region	en	0	2013-06-05 07:27:54.870198+02	1	Bafatá Region	\N	\N	\N	\N	\N	\N	t	f
5045	2591	Bà Rịa-Vũng Tàu	fi	0	2013-06-05 07:50:18.768316+02	1	Bà Rịa-Vũng Tàu	\N	\N	\N	\N	\N	\N	t	f
4553	4852	Bagmati	it	0	2013-06-05 07:28:58.409548+02	1	Bagmati	\N	\N	\N	\N	\N	\N	t	f
5578	1500	Chiapas	en	0	2013-06-05 08:13:19.552003+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5059	589	Appenzell Ausserrhoden	no	0	2013-06-05 07:50:53.966354+02	1	Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5079	3130	Cascades	de	0	2013-06-05 07:51:43.739258+02	1	Cascades	\N	\N	\N	\N	\N	\N	t	f
5098	787	Austurland	es	0	2013-06-05 07:52:29.955519+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5604	592	バーゼル＝シュタット準州	ja	0	2013-06-05 08:14:22.760701+02	1	バーゼル＝シュタット準州	\N	\N	\N	\N	\N	\N	t	f
5114	4156	Boulgou	de	0	2013-06-05 07:53:13.897312+02	1	Boulgou	\N	\N	\N	\N	\N	\N	t	f
5115	4156	Boulgou Province	en	0	2013-06-05 07:53:16.263836+02	1	Boulgou Province	\N	\N	\N	\N	\N	\N	t	f
6182	3234	Agnéby	no	0	2013-06-05 08:39:22.290854+02	1	Agnéby	\N	\N	\N	\N	\N	\N	t	f
5622	3147	Cibitoke	nl	0	2013-06-05 08:15:09.43808+02	1	Cibitoke	\N	\N	\N	\N	\N	\N	t	f
5623	3147	Cibitoke	no	0	2013-06-05 08:15:11.841823+02	1	Cibitoke	\N	\N	\N	\N	\N	\N	t	f
6960	2929	Capital Governorate	en	0	2013-06-05 09:13:21.392739+02	1	Capital Governorate	\N	\N	\N	\N	\N	\N	t	f
5631	1418	Alta Verapaz	no	0	2013-06-05 08:15:34.213878+02	1	Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
5656	3033	Regione al-Dakhiliyya	it	0	2013-06-05 08:16:38.198634+02	1	Regione al-Dakhiliyya	\N	\N	\N	\N	\N	\N	t	f
8339	2395	Oblast Brjansk	de	0	2013-06-05 10:12:53.501865+02	1	Oblast Brjansk	\N	\N	\N	\N	\N	\N	t	f
5682	3104	Governatorato di al-Mahwit	it	0	2013-06-05 08:17:43.908544+02	1	Governatorato di al-Mahwit	\N	\N	\N	\N	\N	\N	t	f
7007	3040	Bethlehem	nl	0	2013-06-05 09:15:25.003226+02	1	Bethlehem	\N	\N	\N	\N	\N	\N	t	f
5708	4622	Barin maakunta	fi	0	2013-06-05 08:18:47.377038+02	1	Barin maakunta	\N	\N	\N	\N	\N	\N	t	f
5739	981	Arica y Parinacota	et	0	2013-06-05 08:20:03.228261+02	1	Arica y Parinacota	\N	\N	\N	\N	\N	\N	t	f
7693	3626	Ascension Island	en	0	2013-06-05 09:44:42.739278+02	1	Ascension Island	\N	\N	\N	\N	\N	\N	t	f
5760	1485	Castries	nl	0	2013-06-05 08:20:54.458372+02	1	Castries	\N	\N	\N	\N	\N	\N	t	f
7041	4549	Cacheu	de	0	2013-06-05 09:16:48.354664+02	1	Cacheu	\N	\N	\N	\N	\N	\N	t	f
5761	713	Provinz Corrientes	de	0	2013-06-05 08:20:57.307446+02	1	Provinz Corrientes	\N	\N	\N	\N	\N	\N	t	f
7048	4549	Cacheu	nl	0	2013-06-05 09:17:04.964022+02	1	Cacheu	\N	\N	\N	\N	\N	\N	t	f
7051	2394	Περιφέρεια Μπέλγκοροντ	el	0	2013-06-05 09:17:12.516054+02	1	Περιφέρεια Μπέλγκοροντ	\N	\N	\N	\N	\N	\N	t	f
7703	1158	Amazonas	en	0	2013-06-05 09:45:07.468358+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
7106	3517	Provinz Cabo Delgado	de	0	2013-06-05 09:19:26.390283+02	1	Provinz Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
7135	2332	Tsentar	fr	0	2013-06-05 09:20:37.96686+02	1	Tsentar	\N	\N	\N	\N	\N	\N	t	f
10418	3306	Asiut	es	0	2013-06-05 11:42:34.975443+02	1	Asiut	\N	\N	\N	\N	\N	\N	t	f
7144	1458	Artibonito	es	0	2013-06-05 09:20:59.736385+02	1	Artibonito	\N	\N	\N	\N	\N	\N	t	f
7718	2384	Oblast' di Čerkasy	it	0	2013-06-05 09:45:48.164012+02	1	Oblast' di Čerkasy	\N	\N	\N	\N	\N	\N	t	f
7157	3491	Black River	nl	0	2013-06-05 09:21:31.176938+02	1	Black River	\N	\N	\N	\N	\N	\N	t	f
7178	4885	Aklan	es	0	2013-06-05 09:22:26.873433+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
9022	5005	Distrito de Amuria	es	0	2013-06-05 10:41:56.838799+02	1	Distrito de Amuria	\N	\N	\N	\N	\N	\N	t	f
7203	4613	Agrigenton maakunta	fi	0	2013-06-05 09:23:29.15889+02	1	Agrigenton maakunta	\N	\N	\N	\N	\N	\N	t	f
8254	3820	Cheshire West and Chester	fr	0	2013-06-05 10:09:20.959464+02	1	Cheshire West and Chester	\N	\N	\N	\N	\N	\N	t	f
8263	2622	バンテイメンチェイ州	ja	0	2013-06-05 10:09:43.383197+02	1	バンテイメンチェイ州	\N	\N	\N	\N	\N	\N	t	f
8272	3098	Al Huaydah	no	0	2013-06-05 10:10:08.452907+02	1	Al Huaydah	\N	\N	\N	\N	\N	\N	t	f
9137	1499	Chihuahua	nl	0	2013-06-05 10:47:30.945007+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
8309	2849	Belucistan	it	0	2013-06-05 10:11:39.934274+02	1	Belucistan	\N	\N	\N	\N	\N	\N	t	f
8313	2581	Bình Định	de	0	2013-06-05 10:11:49.881223+02	1	Bình Định	\N	\N	\N	\N	\N	\N	t	f
8331	3161	Atlantique Department	en	0	2013-06-05 10:12:33.602366+02	1	Atlantique Department	\N	\N	\N	\N	\N	\N	t	f
9144	1441	Choluteca Department	en	0	2013-06-05 10:47:53.812594+02	1	Choluteca Department	\N	\N	\N	\N	\N	\N	t	f
10455	3534	Regione di Agadez	it	0	2013-06-05 11:44:08.803481+02	1	Regione di Agadez	\N	\N	\N	\N	\N	\N	t	f
9164	1115	Artigas	fr	0	2013-06-05 10:48:41.52089+02	1	Artigas	\N	\N	\N	\N	\N	\N	t	f
9912	2931	Muharraq	es	0	2013-06-05 11:20:28.294691+02	1	Muharraq	\N	\N	\N	\N	\N	\N	t	f
10415	1118	dipartimento di Colonia	it	0	2013-06-05 11:42:27.275508+02	1	dipartimento di Colonia	\N	\N	\N	\N	\N	\N	t	f
10535	979	Aisén	no	0	2013-06-05 11:47:36.737721+02	1	Aisén	\N	\N	\N	\N	\N	\N	t	f
10457	3534	Agadez	nl	0	2013-06-05 11:44:13.571386+02	1	Agadez	\N	\N	\N	\N	\N	\N	t	f
10505	1885	Abruzzo	en	0	2013-06-05 11:46:19.690201+02	1	Abruzzo	\N	\N	\N	\N	\N	\N	t	f
10663	4146	Provincia del Brabante Valón	es	0	2013-06-05 11:53:03.017349+02	1	Provincia del Brabante Valón	\N	\N	\N	\N	\N	\N	t	f
10520	3337	Maekel	nl	0	2013-06-05 11:46:56.677934+02	1	Maekel	\N	\N	\N	\N	\N	\N	t	f
10573	5016	Distrikt Arua	de	0	2013-06-05 11:49:17.828356+02	1	Distrikt Arua	\N	\N	\N	\N	\N	\N	t	f
10551	1004	Cesar	nl	0	2013-06-05 11:48:20.319248+02	1	Cesar	\N	\N	\N	\N	\N	\N	t	f
10562	700	Chaco	no	0	2013-06-05 11:48:50.487031+02	1	Chaco	\N	\N	\N	\N	\N	\N	t	f
10657	3323	Al Minya	no	0	2013-06-05 11:52:47.417235+02	1	Al Minya	\N	\N	\N	\N	\N	\N	t	f
10582	2943	Bābil	et	0	2013-06-05 11:49:40.809976+02	1	Bābil	\N	\N	\N	\N	\N	\N	t	f
10706	4642	Catania	es	0	2013-06-05 11:54:47.909738+02	1	Catania	\N	\N	\N	\N	\N	\N	t	f
10708	4642	Catanian maakunta	fi	0	2013-06-05 11:54:52.667041+02	1	Catanian maakunta	\N	\N	\N	\N	\N	\N	t	f
11142	1066	Cajamarca	nl	0	2013-06-05 12:13:52.847416+02	1	Cajamarca	\N	\N	\N	\N	\N	\N	t	f
11272	3425	Benghazi	nl	0	2013-06-05 12:19:17.615004+02	1	Benghazi	\N	\N	\N	\N	\N	\N	t	f
3041	967	Żebbuġ	de	0	2013-05-27 19:45:30.526599+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
2998	1743	İsmayıllı (distrikt)	no	0	2013-05-27 19:43:48.428073+02	1	İsmayıllı (distrikt)	\N	\N	\N	\N	\N	\N	t	f
2999	2065	Škocjan (Gemeinde)	de	0	2013-05-27 19:43:50.940752+02	1	Škocjan (Gemeinde)	\N	\N	\N	\N	\N	\N	t	f
3000	2065	Municipality of Škocjan	en	0	2013-05-27 19:43:53.310943+02	1	Municipality of Škocjan	\N	\N	\N	\N	\N	\N	t	f
3042	967	Żebbuġ	en	0	2013-05-27 19:45:32.804627+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3003	2065	シュコツィアン	ja	0	2013-05-27 19:44:01.144897+02	1	シュコツィアン	\N	\N	\N	\N	\N	\N	t	f
3004	2065	Škocjan	nl	0	2013-05-27 19:44:03.413675+02	1	Škocjan	\N	\N	\N	\N	\N	\N	t	f
3005	3081	Gouvernement Aleppo	de	0	2013-05-27 19:44:06.460854+02	1	Gouvernement Aleppo	\N	\N	\N	\N	\N	\N	t	f
3043	967	Żebbuġ	es	0	2013-05-27 19:45:35.015935+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3006	3081	Αλέππο	el	0	2013-05-27 19:44:08.932534+02	1	Αλέππο	\N	\N	\N	\N	\N	\N	t	f
3007	3081	Aleppo Governorate	en	0	2013-05-27 19:44:11.313818+02	1	Aleppo Governorate	\N	\N	\N	\N	\N	\N	t	f
3509	2477	Širaki maakond	et	0	2013-05-27 20:05:13.353892+02	1	Širaki maakond	\N	\N	\N	\N	\N	\N	t	f
3008	3081	Gobernación de Alepo	es	0	2013-05-27 19:44:13.536074+02	1	Gobernación de Alepo	\N	\N	\N	\N	\N	\N	t	f
3044	967	Żebbuġ	fr	0	2013-05-27 19:45:37.21274+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3009	3081	Gouvernorat d'Alep	fr	0	2013-05-27 19:44:15.734792+02	1	Gouvernorat d'Alep	\N	\N	\N	\N	\N	\N	t	f
3011	3081	アレッポ県	ja	0	2013-05-27 19:44:20.361521+02	1	アレッポ県	\N	\N	\N	\N	\N	\N	t	f
3013	3081	Aleppo	no	0	2013-05-27 19:44:25.469188+02	1	Aleppo	\N	\N	\N	\N	\N	\N	t	f
3045	967	Casal Zebbugi	it	0	2013-05-27 19:45:39.444035+02	1	Casal Zebbugi	\N	\N	\N	\N	\N	\N	t	f
3015	2068	Šmarje pri Jelšah	en	0	2013-05-27 19:44:30.572801+02	1	Šmarje pri Jelšah	\N	\N	\N	\N	\N	\N	t	f
3020	3107	Gouvernement Sa'da	de	0	2013-05-27 19:44:42.293239+02	1	Gouvernement Sa'da	\N	\N	\N	\N	\N	\N	t	f
1126	233	西サハラ	ja	0	2013-06-05 07:05:51.256901+02	1	にしサハラ	\N	\N	\N	\N	\N	\N	t	f
3023	3107	Gouvernorat de Sa'dah	fr	0	2013-05-27 19:44:48.90256+02	1	Gouvernorat de Sa'dah	\N	\N	\N	\N	\N	\N	t	f
3046	967	Żebbuġ	nl	0	2013-05-27 19:45:41.652258+02	1	Żebbuġ	\N	\N	\N	\N	\N	\N	t	f
3024	3107	Governatorato di Sa'da	it	0	2013-05-27 19:44:51.111545+02	1	Governatorato di Sa'da	\N	\N	\N	\N	\N	\N	t	f
3510	2477	Širak	fi	0	2013-05-27 20:05:15.814109+02	1	Širak	\N	\N	\N	\N	\N	\N	t	f
3025	3107	Sa'dah	nl	0	2013-05-27 19:44:53.3159+02	1	Sa'dah	\N	\N	\N	\N	\N	\N	t	f
3029	3097	Hajjah Governorate	en	0	2013-05-27 19:45:02.99309+02	1	Hajjah Governorate	\N	\N	\N	\N	\N	\N	t	f
3031	3097	Gouvernorat de Hajjah	fr	0	2013-05-27 19:45:07.498961+02	1	Gouvernorat de Hajjah	\N	\N	\N	\N	\N	\N	t	f
4039	3112	Benguela	no	0	2013-06-05 07:06:38.710813+02	1	Benguela	\N	\N	\N	\N	\N	\N	t	f
3032	3097	Governatorato di Hajja	it	0	2013-05-27 19:45:09.729903+02	1	Governatorato di Hajja	\N	\N	\N	\N	\N	\N	t	f
3034	3097	Hajjah	no	0	2013-05-27 19:45:14.152654+02	1	Hajjah	\N	\N	\N	\N	\N	\N	t	f
3036	968	Żejtun	en	0	2013-05-27 19:45:19.019791+02	1	Żejtun	\N	\N	\N	\N	\N	\N	t	f
4053	3310	Governatorato del Cairo	it	0	2013-06-05 07:07:13.753804+02	1	Governatorato del Cairo	\N	\N	\N	\N	\N	\N	t	f
3040	968	Żejtun	nl	0	2013-05-27 19:45:27.931436+02	1	Żejtun	\N	\N	\N	\N	\N	\N	t	f
4460	1845	Basse-Normandie	fr	0	2013-06-05 07:25:01.1767+02	1	Basse-Normandie	\N	\N	\N	\N	\N	\N	t	f
4486	4532	Chalkidike	et	0	2013-06-05 07:26:05.595407+02	1	Chalkidike	\N	\N	\N	\N	\N	\N	t	f
4992	4867	ベイ・オブ・プレンティ地方	ja	0	2013-06-05 07:48:01.282588+02	1	ベイ・オブ・プレンティ地方	\N	\N	\N	\N	\N	\N	t	f
4487	4532	Khalkidike	fi	0	2013-06-05 07:26:08.011135+02	1	Khalkidike	\N	\N	\N	\N	\N	\N	t	f
4488	4532	Chalcidique	fr	0	2013-06-05 07:26:10.420543+02	1	Chalcidique	\N	\N	\N	\N	\N	\N	t	f
4515	2550	Jagang	fr	0	2013-06-05 07:27:23.128844+02	1	Jagang	\N	\N	\N	\N	\N	\N	t	f
5013	1306	Municipalidad de Burtnieki	es	0	2013-06-05 07:48:54.537281+02	1	Municipalidad de Burtnieki	\N	\N	\N	\N	\N	\N	t	f
5579	1500	Chiapas	es	0	2013-06-05 08:13:21.860229+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5053	589	Appenzell Ausserrhoden	et	0	2013-06-05 07:50:38.993349+02	1	Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5106	3445	Munizip az-Zawiya	de	0	2013-06-05 07:52:49.724838+02	1	Munizip az-Zawiya	\N	\N	\N	\N	\N	\N	t	f
5111	3445	ザーウィヤ県	ja	0	2013-06-05 07:53:06.348269+02	1	ザーウィヤ県	\N	\N	\N	\N	\N	\N	t	f
5624	1418	Departamento Alta Verapaz	de	0	2013-06-05 08:15:14.609495+02	1	Departamento Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
6197	1440	Atlántida	nl	0	2013-06-05 08:40:04.614447+02	1	Atlántida	\N	\N	\N	\N	\N	\N	t	f
5629	1418	アルタ・ベラパス県	ja	0	2013-06-05 08:15:29.162371+02	1	アルタ・ベラパス県	\N	\N	\N	\N	\N	\N	t	f
6200	268	Connecticut	en	0	2013-06-05 08:40:12.357518+02	1	Connecticut	\N	\N	\N	\N	\N	\N	t	f
6961	2929	Capital	es	0	2013-06-05 09:13:23.73367+02	1	Capital	\N	\N	\N	\N	\N	\N	t	f
6210	4378	Côte-d'Or	en	0	2013-06-05 08:40:36.945677+02	1	Côte-d'Or	\N	\N	\N	\N	\N	\N	t	f
6216	4378	コート＝ドール県	ja	0	2013-06-05 08:40:51.141168+02	1	コート＝ドール県	\N	\N	\N	\N	\N	\N	t	f
7132	3807	Bracknell Forest	no	0	2013-06-05 09:20:30.416162+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7695	3626	Ascension	et	0	2013-06-05 09:44:47.832984+02	1	Ascension	\N	\N	\N	\N	\N	\N	t	f
7143	1458	Artibonite Department	en	0	2013-06-05 09:20:57.400486+02	1	Artibonite Department	\N	\N	\N	\N	\N	\N	t	f
7161	984	Región del Biobío	es	0	2013-06-05 09:21:41.632506+02	1	Región del Biobío	\N	\N	\N	\N	\N	\N	t	f
8255	3820	Cheshire West and Chester	it	0	2013-06-05 10:09:23.35306+02	1	Cheshire West and Chester	\N	\N	\N	\N	\N	\N	t	f
8327	1097	Département de la Cordillera	fr	0	2013-06-05 10:12:23.839336+02	1	Département de la Cordillera	\N	\N	\N	\N	\N	\N	t	f
8277	511	Ankaran maakunta	fi	0	2013-06-05 10:10:21.165444+02	1	Ankaran maakunta	\N	\N	\N	\N	\N	\N	t	f
8286	4625	Belluno	es	0	2013-06-05 10:10:43.840074+02	1	Belluno	\N	\N	\N	\N	\N	\N	t	f
9913	2931	Gouvernorat de Muharraq	fr	0	2013-06-05 11:20:30.63441+02	1	Gouvernorat de Muharraq	\N	\N	\N	\N	\N	\N	t	f
8287	4625	Belluno provints	et	0	2013-06-05 10:10:46.219272+02	1	Belluno provints	\N	\N	\N	\N	\N	\N	t	f
8340	2395	Περιφέρεια Μπριάνσκ	el	0	2013-06-05 10:12:56.947144+02	1	Περιφέρεια Μπριάνσκ	\N	\N	\N	\N	\N	\N	t	f
9023	5005	Amuria	fr	0	2013-06-05 10:41:59.17688+02	1	Amuria	\N	\N	\N	\N	\N	\N	t	f
9186	3542	Abia State	en	0	2013-06-05 10:49:35.235525+02	1	Abia State	\N	\N	\N	\N	\N	\N	t	f
9057	3280	Constantine Province	en	0	2013-06-05 10:43:23.813937+02	1	Constantine Province	\N	\N	\N	\N	\N	\N	t	f
10425	4366	Département Ardennes	de	0	2013-06-05 11:42:52.681505+02	1	Département Ardennes	\N	\N	\N	\N	\N	\N	t	f
10511	1885	アブルッツォ州	ja	0	2013-06-05 11:46:34.953431+02	1	アブルッツォ州	\N	\N	\N	\N	\N	\N	t	f
10517	3337	Maekel	fr	0	2013-06-05 11:46:49.59566+02	1	Maekel	\N	\N	\N	\N	\N	\N	t	f
10529	979	Aysén	es	0	2013-06-05 11:47:18.99273+02	1	Aysén	\N	\N	\N	\N	\N	\N	t	f
10581	2943	Babilonia	es	0	2013-06-05 11:49:38.387681+02	1	Babilonia	\N	\N	\N	\N	\N	\N	t	f
10652	3323	Al-Minyan kuvernoraatti	fi	0	2013-06-05 11:52:35.095614+02	1	Al-Minyan kuvernoraatti	\N	\N	\N	\N	\N	\N	t	f
10665	4146	Vallonian Brabant	fi	0	2013-06-05 11:53:07.767798+02	1	Vallonian Brabant	\N	\N	\N	\N	\N	\N	t	f
10674	1646	Bougainville	fr	0	2013-06-05 11:53:29.786946+02	1	Bougainville	\N	\N	\N	\N	\N	\N	t	f
3047	2285	Municipality of Želino	en	0	2013-05-27 19:45:44.35185+02	1	Municipality of Želino	\N	\N	\N	\N	\N	\N	t	f
3048	2285	Municipalidad de Želino	es	0	2013-05-27 19:45:46.560955+02	1	Municipalidad de Želino	\N	\N	\N	\N	\N	\N	t	f
3086	2518	Ömnögovi Province	en	0	2013-05-27 19:47:16.397175+02	1	Ömnögovi Province	\N	\N	\N	\N	\N	\N	t	f
3049	2285	Jelino	fr	0	2013-05-27 19:45:48.752104+02	1	Jelino	\N	\N	\N	\N	\N	\N	t	f
3071	1775	Şuşa	de	0	2013-05-27 19:46:40.082085+02	1	Şuşa	\N	\N	\N	\N	\N	\N	t	f
3050	2285	Želino	it	0	2013-05-27 19:45:51.294557+02	1	Želino	\N	\N	\N	\N	\N	\N	t	f
3051	2285	Želino	nl	0	2013-05-27 19:45:53.505285+02	1	Želino	\N	\N	\N	\N	\N	\N	t	f
3052	4065	Şahbuz (Rayon)	de	0	2013-05-27 19:45:56.077186+02	1	Şahbuz (Rayon)	\N	\N	\N	\N	\N	\N	t	f
3072	1775	Shusha Rayon	en	0	2013-05-27 19:46:42.301463+02	1	Shusha Rayon	\N	\N	\N	\N	\N	\N	t	f
3053	4065	Shahbuz Rayon	en	0	2013-05-27 19:45:58.387323+02	1	Shahbuz Rayon	\N	\N	\N	\N	\N	\N	t	f
3054	4065	Shahbuz	es	0	2013-05-27 19:46:00.604318+02	1	Shahbuz	\N	\N	\N	\N	\N	\N	t	f
3102	3224	Dix-Huit Montagnes	nl	0	2013-05-27 19:47:57.149751+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3055	4065	Şahbuzin piirikunta	fi	0	2013-05-27 19:46:02.822066+02	1	Şahbuzin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3073	1775	Şuşa	es	0	2013-05-27 19:46:44.519055+02	1	Şuşa	\N	\N	\N	\N	\N	\N	t	f
3056	4065	Shakhbuz (raion)	fr	0	2013-05-27 19:46:05.06118+02	1	Shakhbuz (raion)	\N	\N	\N	\N	\N	\N	t	f
3057	4065	Şahbuz	nl	0	2013-05-27 19:46:07.287083+02	1	Şahbuz	\N	\N	\N	\N	\N	\N	t	f
3087	2518	Ömnögovi	es	0	2013-05-27 19:47:18.616454+02	1	Ömnögovi	\N	\N	\N	\N	\N	\N	t	f
3058	4065	Şahbuz (distrikt)	no	0	2013-05-27 19:46:09.701099+02	1	Şahbuz (distrikt)	\N	\N	\N	\N	\N	\N	t	f
3074	1775	Şuşan piirikunta	fi	0	2013-05-27 19:46:46.784572+02	1	Şuşan piirikunta	\N	\N	\N	\N	\N	\N	t	f
3059	2069	Šmartno ob Paki	de	0	2013-05-27 19:46:12.353783+02	1	Šmartno ob Paki	\N	\N	\N	\N	\N	\N	t	f
3060	2069	Šmartno ob Paki	en	0	2013-05-27 19:46:14.608984+02	1	Šmartno ob Paki	\N	\N	\N	\N	\N	\N	t	f
3061	2069	Šmartno ob Paki	fr	0	2013-05-27 19:46:16.799309+02	1	Šmartno ob Paki	\N	\N	\N	\N	\N	\N	t	f
3075	1775	Choucha	fr	0	2013-05-27 19:46:49.091035+02	1	Choucha	\N	\N	\N	\N	\N	\N	t	f
3062	2069	Šmartno ob Paki	it	0	2013-05-27 19:46:19.090142+02	1	Šmartno ob Paki	\N	\N	\N	\N	\N	\N	t	f
3063	2069	シュマルトノ・オプ・パキ	ja	0	2013-05-27 19:46:21.320756+02	1	シュマルトノ・オプ・パキ	\N	\N	\N	\N	\N	\N	t	f
3096	3224	Dix-Huit Montagnes	en	0	2013-05-27 19:47:39.442781+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3064	2069	Šmartno ob Paki	nl	0	2013-05-27 19:46:23.652237+02	1	Šmartno ob Paki	\N	\N	\N	\N	\N	\N	t	f
3076	1775	Şuşa	nl	0	2013-05-27 19:46:51.290412+02	1	Şuşa	\N	\N	\N	\N	\N	\N	t	f
3065	2126	Šempeter-Vrtojba	de	0	2013-05-27 19:46:26.283821+02	1	Šempeter-Vrtojba	\N	\N	\N	\N	\N	\N	t	f
3066	2126	Municipality of Šempeter–Vrtojba	en	0	2013-05-27 19:46:28.479528+02	1	Municipality of Šempeter–Vrtojba	\N	\N	\N	\N	\N	\N	t	f
3088	2518	Lõuna-Gobi aimakk	et	0	2013-05-27 19:47:20.811029+02	1	Lõuna-Gobi aimakk	\N	\N	\N	\N	\N	\N	t	f
3067	2126	Šempeter-Vrtojba	fr	0	2013-05-27 19:46:30.751492+02	1	Šempeter-Vrtojba	\N	\N	\N	\N	\N	\N	t	f
3077	1775	Şuşa	no	0	2013-05-27 19:46:53.488574+02	1	Şuşa	\N	\N	\N	\N	\N	\N	t	f
3068	2126	San Pietro-Vertoiba	it	0	2013-05-27 19:46:32.991738+02	1	San Pietro-Vertoiba	\N	\N	\N	\N	\N	\N	t	f
3069	2126	シェンペテル＝ヴロトイバ	ja	0	2013-05-27 19:46:35.194678+02	1	シェンペテル＝ヴロトイバ	\N	\N	\N	\N	\N	\N	t	f
3070	2126	Šempeter-Vrtojba	nl	0	2013-05-27 19:46:37.467733+02	1	Šempeter-Vrtojba	\N	\N	\N	\N	\N	\N	t	f
3078	1768	Şabran (Rayon)	de	0	2013-05-27 19:46:56.115731+02	1	Şabran (Rayon)	\N	\N	\N	\N	\N	\N	t	f
3089	2518	Ömnögovi	fi	0	2013-05-27 19:47:23.034849+02	1	Ömnögovi	\N	\N	\N	\N	\N	\N	t	f
3079	1768	Shabran Rayon	en	0	2013-05-27 19:46:58.421339+02	1	Shabran Rayon	\N	\N	\N	\N	\N	\N	t	f
3080	1768	Şabran (raión)	es	0	2013-05-27 19:47:02.385193+02	1	Şabran (raión)	\N	\N	\N	\N	\N	\N	t	f
3081	1768	Şabranin piirikunta	fi	0	2013-05-27 19:47:04.66747+02	1	Şabranin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3090	2518	Ömnögovi	fr	0	2013-05-27 19:47:25.278328+02	1	Ömnögovi	\N	\N	\N	\N	\N	\N	t	f
3082	1768	Şabran (raion)	fr	0	2013-05-27 19:47:06.903598+02	1	Şabran (raion)	\N	\N	\N	\N	\N	\N	t	f
3083	1768	Dəvəçi	nl	0	2013-05-27 19:47:09.159566+02	1	Dəvəçi	\N	\N	\N	\N	\N	\N	t	f
3097	3224	Dix-Huit Montagnes	es	0	2013-05-27 19:47:41.677716+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3084	1768	Şabran (distrikt)	no	0	2013-05-27 19:47:11.519434+02	1	Şabran (distrikt)	\N	\N	\N	\N	\N	\N	t	f
3091	2518	Provincia dell'Ômnôgov'	it	0	2013-05-27 19:47:27.586858+02	1	Provincia dell'Ômnôgov'	\N	\N	\N	\N	\N	\N	t	f
3085	2518	Ömnö-Gobi-Aimag	de	0	2013-05-27 19:47:14.183737+02	1	Ömnö-Gobi-Aimag	\N	\N	\N	\N	\N	\N	t	f
3106	2338	Štip	it	0	2013-05-27 19:48:07.9742+02	1	Štip	\N	\N	\N	\N	\N	\N	t	f
3092	2518	ウムヌゴビ県	ja	0	2013-05-27 19:47:29.792297+02	1	ウムヌゴビ県	\N	\N	\N	\N	\N	\N	t	f
3098	3224	Dix-Huit Montagnes	fi	0	2013-05-27 19:47:43.906015+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3093	2518	Ömnögovĭ	nl	0	2013-05-27 19:47:32.035735+02	1	Ömnögovĭ	\N	\N	\N	\N	\N	\N	t	f
3094	2518	Ömnögov	no	0	2013-05-27 19:47:34.313522+02	1	Ömnögov	\N	\N	\N	\N	\N	\N	t	f
3103	3224	18 Montagnes	no	0	2013-05-27 19:47:59.428557+02	1	18 Montagnes	\N	\N	\N	\N	\N	\N	t	f
3095	3224	Dix-Huit Montagnes	de	0	2013-05-27 19:47:37.039583+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3099	3224	Dix-Huit Montagnes	fr	0	2013-05-27 19:47:46.112209+02	1	Dix-Huit Montagnes	\N	\N	\N	\N	\N	\N	t	f
3100	3224	Regione delle Montagne	it	0	2013-05-27 19:47:48.32205+02	1	Regione delle Montagne	\N	\N	\N	\N	\N	\N	t	f
3101	3224	十八山州	ja	0	2013-05-27 19:47:51.652421+02	1	十八山州	\N	\N	\N	\N	\N	\N	t	f
3109	3002	Hawalli	fi	0	2013-05-27 19:48:18.712368+02	1	Hawalli	\N	\N	\N	\N	\N	\N	t	f
3104	2338	Municipality of Štip	en	0	2013-05-27 19:48:02.053783+02	1	Municipality of Štip	\N	\N	\N	\N	\N	\N	t	f
3107	3002	Hawalli Governorate	en	0	2013-05-27 19:48:13.432348+02	1	Hawalli Governorate	\N	\N	\N	\N	\N	\N	t	f
3105	2338	Municipalidad de Štip	es	0	2013-05-27 19:48:04.252663+02	1	Municipalidad de Štip	\N	\N	\N	\N	\N	\N	t	f
3108	3002	Hawalli	es	0	2013-05-27 19:48:15.702557+02	1	Hawalli	\N	\N	\N	\N	\N	\N	t	f
3110	3002	Hawalli	it	0	2013-05-27 19:48:20.926724+02	1	Hawalli	\N	\N	\N	\N	\N	\N	t	f
3114	2071	Štore	en	0	2013-05-27 19:48:31.368827+02	1	Štore	\N	\N	\N	\N	\N	\N	t	f
3112	3002	Hawalli	nl	0	2013-05-27 19:48:25.705361+02	1	Hawalli	\N	\N	\N	\N	\N	\N	t	f
3115	2071	Štore	fr	0	2013-05-27 19:48:33.594107+02	1	Štore	\N	\N	\N	\N	\N	\N	t	f
3113	2071	Štore	de	0	2013-05-27 19:48:28.604914+02	1	Štore	\N	\N	\N	\N	\N	\N	t	f
3116	2071	Štore	it	0	2013-05-27 19:48:35.815897+02	1	Štore	\N	\N	\N	\N	\N	\N	t	f
3117	2071	シュトレ (スロベニア)	ja	0	2013-05-27 19:48:38.040735+02	1	シュトレ (スロベニア)	\N	\N	\N	\N	\N	\N	t	f
3118	2071	Štore	nl	0	2013-05-27 19:48:40.251531+02	1	Štore	\N	\N	\N	\N	\N	\N	t	f
3119	2070	Šoštanj	de	0	2013-05-27 19:48:42.927758+02	1	Šoštanj	\N	\N	\N	\N	\N	\N	t	f
4995	4897	Bukidnon	es	0	2013-06-05 07:48:08.945212+02	1	Bukidnon	\N	\N	\N	\N	\N	\N	t	f
3120	2070	Municipality of Šoštanj	en	0	2013-05-27 19:48:45.167604+02	1	Municipality of Šoštanj	\N	\N	\N	\N	\N	\N	t	f
3126	3339	Addis Abeba	de	0	2013-05-27 19:49:01.340507+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3121	2070	Šoštanj	es	0	2013-05-27 19:48:47.384942+02	1	Šoštanj	\N	\N	\N	\N	\N	\N	t	f
3136	3339	Addis Abeba	no	0	2013-05-27 19:49:25.145781+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3512	2477	provincia di Shirak	it	0	2013-05-27 20:05:20.364928+02	1	provincia di Shirak	\N	\N	\N	\N	\N	\N	t	f
3156	3089	Gouvernement Tartus	de	0	2013-05-27 19:50:16.767186+02	1	Gouvernement Tartus	\N	\N	\N	\N	\N	\N	t	f
4028	880	Contea di Chiayi	it	0	2013-06-05 07:06:11.605596+02	1	Contea di Chiayi	\N	\N	\N	\N	\N	\N	t	f
4466	4458	Coyah Prefecture	en	0	2013-06-05 07:25:16.11473+02	1	Coyah Prefecture	\N	\N	\N	\N	\N	\N	t	f
4041	3079	Αλ Χασακά	el	0	2013-06-05 07:06:43.949722+02	1	Αλ Χασακά	\N	\N	\N	\N	\N	\N	t	f
4046	3079	ハサカ県	ja	0	2013-06-05 07:06:56.621598+02	1	ハサカ県	\N	\N	\N	\N	\N	\N	t	f
5580	1500	Chiapas	et	0	2013-06-05 08:13:24.311379+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
4998	4897	ブキドノン州	ja	0	2013-06-05 07:48:16.078752+02	1	ブキドノン州	\N	\N	\N	\N	\N	\N	t	f
5006	655	Andhra Pradesh	fi	0	2013-06-05 07:48:35.615888+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
6223	3326	Port Said	en	0	2013-06-05 08:41:08.600116+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
5043	2591	Bà Rịa–Vũng Tàu Province	en	0	2013-06-05 07:50:14.01571+02	1	Bà Rịa–Vũng Tàu Province	\N	\N	\N	\N	\N	\N	t	f
5584	1500	チアパス州	ja	0	2013-06-05 08:13:33.704879+02	1	チアパス州	\N	\N	\N	\N	\N	\N	t	f
5596	2540	Nord-Chungcheong	no	0	2013-06-05 08:14:03.288085+02	1	Nord-Chungcheong	\N	\N	\N	\N	\N	\N	t	f
6962	2929	Gouvernorat de la capitale	fr	0	2013-06-05 09:13:26.059395+02	1	Gouvernorat de la capitale	\N	\N	\N	\N	\N	\N	t	f
5607	1945	Ajdovščina	de	0	2013-06-05 08:14:30.387531+02	1	Ajdovščina	\N	\N	\N	\N	\N	\N	t	f
5639	2923	Abu Dhabi	no	0	2013-06-05 08:15:56.469865+02	1	Abu Dhabi	\N	\N	\N	\N	\N	\N	t	f
5640	796	Bezirk Alytus	de	0	2013-06-05 08:15:59.963365+02	1	Bezirk Alytus	\N	\N	\N	\N	\N	\N	t	f
6976	3162	Borgou	de	0	2013-06-05 09:14:05.627195+02	1	Borgou	\N	\N	\N	\N	\N	\N	t	f
5650	796	Alytus fylke	no	0	2013-06-05 08:16:23.636554+02	1	Alytus fylke	\N	\N	\N	\N	\N	\N	t	f
5667	3194	Basse-Kotto	no	0	2013-06-05 08:17:04.673808+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
7719	2384	チェルカースィ州	ja	0	2013-06-05 09:45:50.592073+02	1	チェルカースィ州	\N	\N	\N	\N	\N	\N	t	f
5669	4317	Province of A Coruña	en	0	2013-06-05 08:17:09.908977+02	1	Province of A Coruña	\N	\N	\N	\N	\N	\N	t	f
6997	266	California	et	0	2013-06-05 09:15:00.864916+02	1	California	\N	\N	\N	\N	\N	\N	t	f
5733	3614	Gadaref	it	0	2013-06-05 08:19:48.488943+02	1	Gadaref	\N	\N	\N	\N	\N	\N	t	f
5767	713	コリエンテス州	ja	0	2013-06-05 08:21:11.535086+02	1	コリエンテス州	\N	\N	\N	\N	\N	\N	t	f
7071	1545	Provincia de Coclé	es	0	2013-06-05 09:18:00.781451+02	1	Provincia de Coclé	\N	\N	\N	\N	\N	\N	t	f
9029	4318	Cádizi provints	et	0	2013-06-05 10:42:14.41518+02	1	Cádizi provints	\N	\N	\N	\N	\N	\N	t	f
7074	1545	コクレ県	ja	0	2013-06-05 09:18:07.864393+02	1	コクレ県	\N	\N	\N	\N	\N	\N	t	f
7741	377	Australian pääkaupunkiterritorio	fi	0	2013-06-05 09:46:47.404663+02	1	Australian pääkaupunkiterritorio	\N	\N	\N	\N	\N	\N	t	f
7089	3651	Bay (Somalie)	fr	0	2013-06-05 09:18:44.7418+02	1	Bay (Somalie)	\N	\N	\N	\N	\N	\N	t	f
7094	3647	Awdal	es	0	2013-06-05 09:18:56.948292+02	1	Awdal	\N	\N	\N	\N	\N	\N	t	f
7099	1669	Choiseul	de	0	2013-06-05 09:19:09.257331+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
8271	3098	Al Hudaydah	nl	0	2013-06-05 10:10:02.795465+02	1	Al Hudaydah	\N	\N	\N	\N	\N	\N	t	f
7117	1497	Μπάχα Καλιφόρνια Σουρ	el	0	2013-06-05 09:19:53.617778+02	1	Μπάχα Καλιφόρνια Σουρ	\N	\N	\N	\N	\N	\N	t	f
7140	4456	Préfecture de Boffa	fr	0	2013-06-05 09:20:50.055147+02	1	Préfecture de Boffa	\N	\N	\N	\N	\N	\N	t	f
10622	407	Prefettura di Aichi	it	0	2013-06-05 11:51:21.667517+02	1	Prefettura di Aichi	\N	\N	\N	\N	\N	\N	t	f
7180	4885	Provincia di Aklan	it	0	2013-06-05 09:22:31.627217+02	1	Provincia di Aklan	\N	\N	\N	\N	\N	\N	t	f
8278	511	Ankara	fr	0	2013-06-05 10:10:24.359286+02	1	Ankara	\N	\N	\N	\N	\N	\N	t	f
7189	4556	Bangka-Belitung	de	0	2013-06-05 09:22:53.680545+02	1	Bangka-Belitung	\N	\N	\N	\N	\N	\N	t	f
7206	4613	アグリジェント県	ja	0	2013-06-05 09:23:36.342486+02	1	アグリジェント県	\N	\N	\N	\N	\N	\N	t	f
9081	3301	Wilaya d'Aïn Témouchent	fr	0	2013-06-05 10:44:24.402125+02	1	Wilaya d'Aïn Témouchent	\N	\N	\N	\N	\N	\N	t	f
8333	3161	Atlantique	fi	0	2013-06-05 10:12:38.545848+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
8337	3161	Atlantique	nl	0	2013-06-05 10:12:48.019122+02	1	Atlantique	\N	\N	\N	\N	\N	\N	t	f
9218	765	Distrikt Coimbra	de	0	2013-06-05 10:50:52.69692+02	1	Distrikt Coimbra	\N	\N	\N	\N	\N	\N	t	f
9268	761	Distrikt Beja	de	0	2013-06-05 10:52:55.216339+02	1	Distrikt Beja	\N	\N	\N	\N	\N	\N	t	f
10653	3323	Gouvernorat de Minya	fr	0	2013-06-05 11:52:37.681591+02	1	Gouvernorat de Minya	\N	\N	\N	\N	\N	\N	t	f
9283	2156	キエザヌオーヴァ	ja	0	2013-06-05 10:53:31.140583+02	1	キエザヌオーヴァ	\N	\N	\N	\N	\N	\N	t	f
9914	2931	Governatorato di Muharraq	it	0	2013-06-05 11:20:33.021803+02	1	Governatorato di Muharraq	\N	\N	\N	\N	\N	\N	t	f
11249	3239	Keskpiirkond	et	0	2013-06-05 12:18:21.483648+02	1	Keskpiirkond	\N	\N	\N	\N	\N	\N	t	f
10439	3391	Provincia Costiera	it	0	2013-06-05 11:43:26.514146+02	1	Provincia Costiera	\N	\N	\N	\N	\N	\N	t	f
11145	3090	Abyan Governorate	en	0	2013-06-05 12:14:00.544449+02	1	Abyan Governorate	\N	\N	\N	\N	\N	\N	t	f
10571	508	Afyonkarahisar	nl	0	2013-06-05 11:49:12.718865+02	1	Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
10583	2943	Babil	fr	0	2013-06-05 11:49:43.16131+02	1	Babil	\N	\N	\N	\N	\N	\N	t	f
11164	4503	Achaïe	fr	0	2013-06-05 12:14:51.504547+02	1	Achaïe	\N	\N	\N	\N	\N	\N	t	f
11322	517	Bingöl Province	en	0	2013-06-05 12:21:19.766713+02	1	Bingöl Province	\N	\N	\N	\N	\N	\N	t	f
11191	3431	Al Jfara	es	0	2013-06-05 12:15:58.790217+02	1	Al Jfara	\N	\N	\N	\N	\N	\N	t	f
11223	1187	Central Andros	fr	0	2013-06-05 12:17:17.758818+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
11454	5054	Artemisa	nl	0	2013-06-05 12:27:35.420562+02	1	Artemisa	\N	\N	\N	\N	\N	\N	t	f
11479	357	Akershus	it	0	2013-06-05 12:28:36.36168+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
3122	2070	Šoštanj	fr	0	2013-05-27 19:48:49.628485+02	1	Šoštanj	\N	\N	\N	\N	\N	\N	t	f
3513	2477	シラク地方	ja	0	2013-05-27 20:05:22.615381+02	1	シラク地方	\N	\N	\N	\N	\N	\N	t	f
3525	501	Helligkorsvoivodskapet	no	0	2013-05-27 20:05:50.403306+02	1	Helligkorsvoivodskapet	\N	\N	\N	\N	\N	\N	t	f
4045	3079	Governatorato di al-Hasaka	it	0	2013-06-05 07:06:53.490603+02	1	Governatorato di al-Hasaka	\N	\N	\N	\N	\N	\N	t	f
4049	3310	Gouvernement al-Qahira	de	0	2013-06-05 07:07:04.191246+02	1	Gouvernement al-Qahira	\N	\N	\N	\N	\N	\N	t	f
4471	3134	Región Centro-Oeste	es	0	2013-06-05 07:25:28.64943+02	1	Región Centro-Oeste	\N	\N	\N	\N	\N	\N	t	f
4483	4532	Χαλκιδική	el	0	2013-06-05 07:25:58.486475+02	1	Χαλκιδική	\N	\N	\N	\N	\N	\N	t	f
5005	655	Andhra Pradesh	et	0	2013-06-05 07:48:33.258339+02	1	Andhra Pradesh	\N	\N	\N	\N	\N	\N	t	f
5016	1306	Burtnieku novads	nl	0	2013-06-05 07:49:01.559579+02	1	Burtnieku novads	\N	\N	\N	\N	\N	\N	t	f
5581	1500	Chiapas	fi	0	2013-06-05 08:13:26.639649+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5018	1619	Baiti	en	0	2013-06-05 07:49:06.654966+02	1	Baiti	\N	\N	\N	\N	\N	\N	t	f
5040	4757	Provincia di Béni-Mellal	it	0	2013-06-05 07:50:06.322218+02	1	Provincia di Béni-Mellal	\N	\N	\N	\N	\N	\N	t	f
5598	592	Basel-Stadt	en	0	2013-06-05 08:14:08.560054+02	1	Basel-Stadt	\N	\N	\N	\N	\N	\N	t	f
6227	3326	Port-Saïd	fr	0	2013-06-05 08:41:18.081087+02	1	Port-Saïd	\N	\N	\N	\N	\N	\N	t	f
5649	796	Alytus	nl	0	2013-06-05 08:16:21.269402+02	1	Alytus	\N	\N	\N	\N	\N	\N	t	f
5675	4317	ア・コルーニャ県	ja	0	2013-06-05 08:17:24.130962+02	1	ア・コルーニャ県	\N	\N	\N	\N	\N	\N	t	f
5721	1725	Ağsu	de	0	2013-06-05 08:19:19.221517+02	1	Ağsu	\N	\N	\N	\N	\N	\N	t	f
6247	3798	District de Ballymoney	fr	0	2013-06-05 08:42:07.793095+02	1	District de Ballymoney	\N	\N	\N	\N	\N	\N	t	f
6963	2929	Governatorato della Capitale	it	0	2013-06-05 09:13:31.368731+02	1	Governatorato della Capitale	\N	\N	\N	\N	\N	\N	t	f
6263	4904	Provincia di Catanduanes	it	0	2013-06-05 08:42:46.494368+02	1	Provincia di Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6286	812	Bistrița-Năsăud	nl	0	2013-06-05 08:43:42.609281+02	1	Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
6287	812	Bistrița-Năsăud	no	0	2013-06-05 08:43:44.972552+02	1	Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
6966	2929	Hovedstadsguvernementet	no	0	2013-06-05 09:13:38.554817+02	1	Hovedstadsguvernementet	\N	\N	\N	\N	\N	\N	t	f
6305	1210	Belize District	en	0	2013-06-05 08:44:29.719447+02	1	Belize District	\N	\N	\N	\N	\N	\N	t	f
6324	1297	Auce municipality	en	0	2013-06-05 08:45:16.124654+02	1	Auce municipality	\N	\N	\N	\N	\N	\N	t	f
7752	3171	District central	fr	0	2013-06-05 09:47:17.960728+02	1	District central	\N	\N	\N	\N	\N	\N	t	f
6325	1297	Municipalidad de Auce	es	0	2013-06-05 08:45:18.474373+02	1	Municipalidad de Auce	\N	\N	\N	\N	\N	\N	t	f
7017	3084	Latakia	no	0	2013-06-05 09:15:49.554828+02	1	Latakia	\N	\N	\N	\N	\N	\N	t	f
6367	3772	Central Province, Zambia	en	0	2013-06-05 08:47:06.634801+02	1	Central Province, Zambia	\N	\N	\N	\N	\N	\N	t	f
7033	3703	Centrale Region	en	0	2013-06-05 09:16:28.876908+02	1	Centrale Region	\N	\N	\N	\N	\N	\N	t	f
7042	4549	Cacheu Region	en	0	2013-06-05 09:16:50.675346+02	1	Cacheu Region	\N	\N	\N	\N	\N	\N	t	f
8273	511	Ankara	de	0	2013-06-05 10:10:11.330146+02	1	Ankara	\N	\N	\N	\N	\N	\N	t	f
7047	4549	カシェウ州	ja	0	2013-06-05 09:17:02.599667+02	1	カシェウ州	\N	\N	\N	\N	\N	\N	t	f
9037	2859	Μπαντγκίς	el	0	2013-06-05 10:42:34.106174+02	1	Μπαντγκίς	\N	\N	\N	\N	\N	\N	t	f
7078	3251	Ali Sabieh Region	en	0	2013-06-05 09:18:17.878999+02	1	Ali Sabieh Region	\N	\N	\N	\N	\N	\N	t	f
7081	3251	Regione di Ali Sabieh	it	0	2013-06-05 09:18:24.92453+02	1	Regione di Ali Sabieh	\N	\N	\N	\N	\N	\N	t	f
9051	689	Connacht	fr	0	2013-06-05 10:43:07.711655+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
9064	1668	Central	de	0	2013-06-05 10:43:41.060456+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
9270	761	Distrito de Beja	es	0	2013-06-05 10:52:59.919306+02	1	Distrito de Beja	\N	\N	\N	\N	\N	\N	t	f
9292	312	Αλμπέρτα	el	0	2013-06-05 10:53:53.24764+02	1	Αλμπέρτα	\N	\N	\N	\N	\N	\N	t	f
9916	808	Kreis Arad	de	0	2013-06-05 11:20:38.201032+02	1	Kreis Arad	\N	\N	\N	\N	\N	\N	t	f
9918	808	Arad County	en	0	2013-06-05 11:20:42.915328+02	1	Arad County	\N	\N	\N	\N	\N	\N	t	f
9933	3430	Al Jabal al Gharbi	nl	0	2013-06-05 11:21:24.867754+02	1	Al Jabal al Gharbi	\N	\N	\N	\N	\N	\N	t	f
10452	3534	Región de Agadez	es	0	2013-06-05 11:44:01.621031+02	1	Región de Agadez	\N	\N	\N	\N	\N	\N	t	f
10623	407	愛知県	ja	0	2013-06-05 11:51:24.035775+02	1	愛知県	\N	\N	\N	\N	\N	\N	t	f
11146	3090	Gobernación de Abyan	es	0	2013-06-05 12:14:02.903919+02	1	Gobernación de Abyan	\N	\N	\N	\N	\N	\N	t	f
11172	4367	Ariège'i departemang	et	0	2013-06-05 12:15:12.076708+02	1	Ariège'i departemang	\N	\N	\N	\N	\N	\N	t	f
3123	2070	Šoštanj	it	0	2013-05-27 19:48:51.834002+02	1	Šoštanj	\N	\N	\N	\N	\N	\N	t	f
3518	501	Voivodato de Santa Cruz	es	0	2013-05-27 20:05:34.482602+02	1	Voivodato de Santa Cruz	\N	\N	\N	\N	\N	\N	t	f
4050	3310	Cairo Governorate	en	0	2013-06-05 07:07:06.581462+02	1	Cairo Governorate	\N	\N	\N	\N	\N	\N	t	f
5015	1306	Burtnieki	it	0	2013-06-05 07:48:59.222693+02	1	Burtnieki	\N	\N	\N	\N	\N	\N	t	f
4490	4532	ハルキディキ県	ja	0	2013-06-05 07:26:15.453019+02	1	ハルキディキ県	\N	\N	\N	\N	\N	\N	t	f
4501	1835	Centre	nl	0	2013-06-05 07:26:46.651419+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
5095	787	Austurland	de	0	2013-06-05 07:52:22.93972+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5586	1500	Chiapas	no	0	2013-06-05 08:13:38.547928+02	1	Chiapas	\N	\N	\N	\N	\N	\N	t	f
5608	1945	Ajdovščina Municipality	en	0	2013-06-05 08:14:32.725317+02	1	Ajdovščina Municipality	\N	\N	\N	\N	\N	\N	t	f
6228	3326	Porto Said	it	0	2013-06-05 08:41:20.456688+02	1	Porto Said	\N	\N	\N	\N	\N	\N	t	f
5613	3147	Cibitoke	de	0	2013-06-05 08:14:46.470941+02	1	Cibitoke	\N	\N	\N	\N	\N	\N	t	f
5632	2923	Abu Dhabi	de	0	2013-06-05 08:15:37.001538+02	1	Abu Dhabi	\N	\N	\N	\N	\N	\N	t	f
5676	4317	A Coruña	nl	0	2013-06-05 08:17:26.496346+02	1	A Coruña	\N	\N	\N	\N	\N	\N	t	f
6245	3798	Ballymoney (Borough)	de	0	2013-06-05 08:42:03.115999+02	1	Ballymoney (Borough)	\N	\N	\N	\N	\N	\N	t	f
5706	4622	Bari	es	0	2013-06-05 08:18:42.459907+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
6964	2929	首都県	ja	0	2013-06-05 09:13:33.820368+02	1	首都県	\N	\N	\N	\N	\N	\N	t	f
6299	2224	Distrito de Cahul	es	0	2013-06-05 08:44:14.490127+02	1	Distrito de Cahul	\N	\N	\N	\N	\N	\N	t	f
6314	2790	Aileu (distrito)	es	0	2013-06-05 08:44:51.690539+02	1	Aileu (distrito)	\N	\N	\N	\N	\N	\N	t	f
6341	3507	Región Central	es	0	2013-06-05 08:45:58.69713+02	1	Región Central	\N	\N	\N	\N	\N	\N	t	f
6986	4884	Agusan del Sur	es	0	2013-06-05 09:14:33.597603+02	1	Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
6410	2589	ビントゥアン省	ja	0	2013-06-05 08:49:37.819413+02	1	ビントゥアン省	\N	\N	\N	\N	\N	\N	t	f
6415	4890	Bataan	fr	0	2013-06-05 08:49:50.804328+02	1	Bataan	\N	\N	\N	\N	\N	\N	t	f
7753	3171	Distretto Centrale	it	0	2013-06-05 09:47:20.549163+02	1	Distretto Centrale	\N	\N	\N	\N	\N	\N	t	f
6457	1530	Carazo	nl	0	2013-06-05 08:51:40.75036+02	1	Carazo	\N	\N	\N	\N	\N	\N	t	f
6988	4884	Provincia di Agusan del Sur	it	0	2013-06-05 09:14:38.379905+02	1	Provincia di Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
6998	266	Kalifornia	fi	0	2013-06-05 09:15:03.2539+02	1	Kalifornia	\N	\N	\N	\N	\N	\N	t	f
7156	3491	ブラックリバー県	ja	0	2013-06-05 09:21:28.777891+02	1	ブラックリバー県	\N	\N	\N	\N	\N	\N	t	f
7770	3256	Adrarin maakunta	fi	0	2013-06-05 09:48:02.581608+02	1	Adrarin maakunta	\N	\N	\N	\N	\N	\N	t	f
9040	2859	Bādghīsi provints	et	0	2013-06-05 10:42:41.080053+02	1	Bādghīsi provints	\N	\N	\N	\N	\N	\N	t	f
8289	4625	province de Belluno	fr	0	2013-06-05 10:10:50.987332+02	1	province de Belluno	\N	\N	\N	\N	\N	\N	t	f
11222	1187	Central Andros	es	0	2013-06-05 12:17:15.402751+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
9207	4512	Arta	it	0	2013-06-05 10:50:25.71308+02	1	Arta	\N	\N	\N	\N	\N	\N	t	f
9226	765	Coimbra	no	0	2013-06-05 10:51:11.565178+02	1	Coimbra	\N	\N	\N	\N	\N	\N	t	f
9242	3129	Boucle du Mouhoun Region	en	0	2013-06-05 10:51:51.041872+02	1	Boucle du Mouhoun Region	\N	\N	\N	\N	\N	\N	t	f
11295	3617	Khartoum	en	0	2013-06-05 12:20:13.981617+02	1	Khartoum	\N	\N	\N	\N	\N	\N	t	f
9257	1829	アルザス地域圏	ja	0	2013-06-05 10:52:28.420575+02	1	アルザス地域圏	\N	\N	\N	\N	\N	\N	t	f
9260	3479	Assaba	de	0	2013-06-05 10:52:35.930118+02	1	Assaba	\N	\N	\N	\N	\N	\N	t	f
9278	2156	Chiesanuova	en	0	2013-06-05 10:53:19.332972+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
11352	3799	Banbridge	en	0	2013-06-05 12:22:42.946979+02	1	Banbridge	\N	\N	\N	\N	\N	\N	t	f
9922	808	Județ d'Arad	fr	0	2013-06-05 11:20:53.058828+02	1	Județ d'Arad	\N	\N	\N	\N	\N	\N	t	f
10453	3534	Agadez (alue)	fi	0	2013-06-05 11:44:03.989991+02	1	Agadez (alue)	\N	\N	\N	\N	\N	\N	t	f
10527	979	Región de Aysén	de	0	2013-06-05 11:47:14.276388+02	1	Región de Aysén	\N	\N	\N	\N	\N	\N	t	f
11353	3799	District de Banbridge	fr	0	2013-06-05 12:22:48.5924+02	1	District de Banbridge	\N	\N	\N	\N	\N	\N	t	f
10556	700	Chaco provints	et	0	2013-06-05 11:48:32.831389+02	1	Chaco provints	\N	\N	\N	\N	\N	\N	t	f
11149	3090	Governatorato di Abyan	it	0	2013-06-05 12:14:10.944065+02	1	Governatorato di Abyan	\N	\N	\N	\N	\N	\N	t	f
11157	3265	Bouira	nl	0	2013-06-05 12:14:30.587059+02	1	Bouira	\N	\N	\N	\N	\N	\N	t	f
11366	3546	Bauchi State	en	0	2013-06-05 12:23:31.016945+02	1	Bauchi State	\N	\N	\N	\N	\N	\N	t	f
11184	810	Județ de Bacău	fr	0	2013-06-05 12:15:41.549417+02	1	Județ de Bacău	\N	\N	\N	\N	\N	\N	t	f
11371	3546	Bauchi	it	0	2013-06-05 12:23:46.685141+02	1	Bauchi	\N	\N	\N	\N	\N	\N	t	f
11471	4906	Cebu	nl	0	2013-06-05 12:28:16.743052+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
11495	3181	バンドゥンドゥ州	ja	0	2013-06-05 12:29:15.175072+02	1	バンドゥンドゥ州	\N	\N	\N	\N	\N	\N	t	f
3124	2070	ショーシュタニ	ja	0	2013-05-27 19:48:55.080902+02	1	ショーシュタニ	\N	\N	\N	\N	\N	\N	t	f
3125	2070	Šoštanj	nl	0	2013-05-27 19:48:57.333697+02	1	Šoštanj	\N	\N	\N	\N	\N	\N	t	f
3127	3339	Αντίς Αμπέμπα	el	0	2013-05-27 19:49:03.557785+02	1	Αντίς Αμπέμπα	\N	\N	\N	\N	\N	\N	t	f
3520	501	Świętokrzyskin voivodikunta	fi	0	2013-05-27 20:05:39.056458+02	1	Świętokrzyskin voivodikunta	\N	\N	\N	\N	\N	\N	t	f
4051	3310	El Cairo	es	0	2013-06-05 07:07:08.950585+02	1	El Cairo	\N	\N	\N	\N	\N	\N	t	f
4492	4532	Khalkidiki	no	0	2013-06-05 07:26:23.629395+02	1	Khalkidiki	\N	\N	\N	\N	\N	\N	t	f
5047	2591	Provincia di Ba Ria-Vung Tau	it	0	2013-06-05 07:50:23.554021+02	1	Provincia di Ba Ria-Vung Tau	\N	\N	\N	\N	\N	\N	t	f
5050	589	Kanton Appenzell Ausserrhoden	de	0	2013-06-05 07:50:31.416171+02	1	Kanton Appenzell Ausserrhoden	\N	\N	\N	\N	\N	\N	t	f
5591	2540	Pohjois-Chungcheon	fi	0	2013-06-05 08:13:51.265105+02	1	Pohjois-Chungcheon	\N	\N	\N	\N	\N	\N	t	f
5069	4502	Νομός Αρκαδίας	el	0	2013-06-05 07:51:19.033693+02	1	Νομός Αρκαδίας	\N	\N	\N	\N	\N	\N	t	f
5078	4502	Arkadia	no	0	2013-06-05 07:51:40.587643+02	1	Arkadia	\N	\N	\N	\N	\N	\N	t	f
5082	3130	Cascades	fi	0	2013-06-05 07:51:50.844539+02	1	Cascades	\N	\N	\N	\N	\N	\N	t	f
5693	3085	Al-Qunaytirah	no	0	2013-06-05 08:18:10.507146+02	1	Al-Qunaytirah	\N	\N	\N	\N	\N	\N	t	f
6229	3326	ポートサイド	ja	0	2013-06-05 08:41:22.837598+02	1	ポートサイド	\N	\N	\N	\N	\N	\N	t	f
6290	3398	Grande Comore	en	0	2013-06-05 08:43:52.424252+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6965	2929	Hoofdstad	nl	0	2013-06-05 09:13:36.193591+02	1	Hoofdstad	\N	\N	\N	\N	\N	\N	t	f
6294	3398	グランドコモロ島	ja	0	2013-06-05 08:44:02.078486+02	1	グランドコモロ島	\N	\N	\N	\N	\N	\N	t	f
6296	3398	Grande Comore	no	0	2013-06-05 08:44:06.769873+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6304	1210	Belize District	de	0	2013-06-05 08:44:26.666121+02	1	Belize District	\N	\N	\N	\N	\N	\N	t	f
7069	1545	Provinz Coclé	de	0	2013-06-05 09:17:56.109202+02	1	Provinz Coclé	\N	\N	\N	\N	\N	\N	t	f
6310	1210	Belize	no	0	2013-06-05 08:44:41.838923+02	1	Belize	\N	\N	\N	\N	\N	\N	t	f
6326	1297	Auce piirkond	et	0	2013-06-05 08:45:20.842411+02	1	Auce piirkond	\N	\N	\N	\N	\N	\N	t	f
7754	3171	セントラル地区	ja	0	2013-06-05 09:47:23.009908+02	1	セントラル地区	\N	\N	\N	\N	\N	\N	t	f
7085	3651	Bay (Somalia)	de	0	2013-06-05 09:18:35.11893+02	1	Bay (Somalia)	\N	\N	\N	\N	\N	\N	t	f
7112	3517	Provincia di Cabo Delgado	it	0	2013-06-05 09:19:40.598146+02	1	Provincia di Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
7165	984	ビオビオ州	ja	0	2013-06-05 09:21:54.355814+02	1	ビオビオ州	\N	\N	\N	\N	\N	\N	t	f
7779	4488	Annobón	de	0	2013-06-05 09:48:25.279177+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7197	4556	Bangka-Belitung	no	0	2013-06-05 09:23:14.273392+02	1	Bangka-Belitung	\N	\N	\N	\N	\N	\N	t	f
9043	2859	Badghis	it	0	2013-06-05 10:42:48.209897+02	1	Badghis	\N	\N	\N	\N	\N	\N	t	f
8291	4625	ベッルーノ県	ja	0	2013-06-05 10:10:55.751505+02	1	ベッルーノ県	\N	\N	\N	\N	\N	\N	t	f
8312	2849	Balutsjistan	no	0	2013-06-05 10:11:47.076321+02	1	Balutsjistan	\N	\N	\N	\N	\N	\N	t	f
8314	2581	Bình Định province	en	0	2013-06-05 10:11:52.257765+02	1	Bình Định province	\N	\N	\N	\N	\N	\N	t	f
9060	3280	provincia di Costantina	it	0	2013-06-05 10:43:30.954465+02	1	provincia di Costantina	\N	\N	\N	\N	\N	\N	t	f
8325	1097	Departamento de Cordillera	es	0	2013-06-05 10:12:19.008635+02	1	Departamento de Cordillera	\N	\N	\N	\N	\N	\N	t	f
10454	3534	Agadez (région)	fr	0	2013-06-05 11:44:06.414362+02	1	Agadez (région)	\N	\N	\N	\N	\N	\N	t	f
9091	821	Județ de Covasna	fr	0	2013-06-05 10:44:56.562268+02	1	Județ de Covasna	\N	\N	\N	\N	\N	\N	t	f
9109	2940	Gobernación de Ambar	es	0	2013-06-05 10:46:04.858109+02	1	Gobernación de Ambar	\N	\N	\N	\N	\N	\N	t	f
9167	1115	Artigas	nl	0	2013-06-05 10:48:48.807961+02	1	Artigas	\N	\N	\N	\N	\N	\N	t	f
11151	3090	Abyan	no	0	2013-06-05 12:14:15.744219+02	1	Abyan	\N	\N	\N	\N	\N	\N	t	f
9172	518	Bitlis	fr	0	2013-06-05 10:49:01.468118+02	1	Bitlis	\N	\N	\N	\N	\N	\N	t	f
9198	3584	Anse aux Pins	de	0	2013-06-05 10:50:04.194833+02	1	Anse aux Pins	\N	\N	\N	\N	\N	\N	t	f
11399	2229	Rajon Cantemir	de	0	2013-06-05 12:25:16.134767+02	1	Rajon Cantemir	\N	\N	\N	\N	\N	\N	t	f
9250	1829	Αλσατία	el	0	2013-06-05 10:52:11.019587+02	1	Αλσατία	\N	\N	\N	\N	\N	\N	t	f
11154	3265	Provincia de Bouira	es	0	2013-06-05 12:14:23.36846+02	1	Provincia de Bouira	\N	\N	\N	\N	\N	\N	t	f
9271	761	Bejan piiri	fi	0	2013-06-05 10:53:02.283114+02	1	Bejan piiri	\N	\N	\N	\N	\N	\N	t	f
9273	761	Distretto di Beja	it	0	2013-06-05 10:53:07.027389+02	1	Distretto di Beja	\N	\N	\N	\N	\N	\N	t	f
9274	761	ベージャ県	ja	0	2013-06-05 10:53:09.399301+02	1	ベージャ県	\N	\N	\N	\N	\N	\N	t	f
11254	3239	Centre	no	0	2013-06-05 12:18:33.609828+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
9282	2156	Chiesanuova	it	0	2013-06-05 10:53:28.793977+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
9924	808	アラド県	ja	0	2013-06-05 11:21:01.054355+02	1	アラド県	\N	\N	\N	\N	\N	\N	t	f
11423	2093	Bloke	de	0	2013-06-05 12:26:19.356634+02	1	Bloke	\N	\N	\N	\N	\N	\N	t	f
11261	2592	アンザン省	ja	0	2013-06-05 12:18:50.661444+02	1	アンザン省	\N	\N	\N	\N	\N	\N	t	f
11268	3425	Bengasi	fi	0	2013-06-05 12:19:08.034781+02	1	Bengasi	\N	\N	\N	\N	\N	\N	t	f
11339	4635	キエーティ県	ja	0	2013-06-05 12:22:02.204547+02	1	キエーティ県	\N	\N	\N	\N	\N	\N	t	f
11447	4619	Arezzo	nl	0	2013-06-05 12:27:18.223061+02	1	Arezzo	\N	\N	\N	\N	\N	\N	t	f
11398	1889	Basilicata	no	0	2013-06-05 12:25:13.37301+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
3128	3339	Addis Ababa	en	0	2013-05-27 19:49:06.160918+02	1	Addis Ababa	\N	\N	\N	\N	\N	\N	t	f
3521	501	Voïvodie de Sainte-Croix	fr	0	2013-05-27 20:05:41.292109+02	1	Voïvodie de Sainte-Croix	\N	\N	\N	\N	\N	\N	t	f
4054	3310	カイロ県	ja	0	2013-06-05 07:07:16.641949+02	1	カイロ県	\N	\N	\N	\N	\N	\N	t	f
4067	4783	Aur Atoll	en	0	2013-06-05 07:07:52.27114+02	1	Aur Atoll	\N	\N	\N	\N	\N	\N	t	f
4495	1835	Centro	es	0	2013-06-05 07:26:31.509352+02	1	Centro	\N	\N	\N	\N	\N	\N	t	f
4094	4589	Cork	no	0	2013-06-05 07:09:00.671749+02	1	Cork	\N	\N	\N	\N	\N	\N	t	f
4503	902	Attard	de	0	2013-06-05 07:26:51.951015+02	1	Attard	\N	\N	\N	\N	\N	\N	t	f
5052	589	Cantón de Appenzell Rodas Exteriores	es	0	2013-06-05 07:50:36.630553+02	1	Cantón de Appenzell Rodas Exteriores	\N	\N	\N	\N	\N	\N	t	f
4521	3213	Cuvette-Ouest Department	en	0	2013-06-05 07:27:37.81364+02	1	Cuvette-Ouest Department	\N	\N	\N	\N	\N	\N	t	f
4542	3115	Cuando Cubango	nl	0	2013-06-05 07:28:28.750786+02	1	Cuando Cubango	\N	\N	\N	\N	\N	\N	t	f
5595	2540	Chungcheongbuk-do	nl	0	2013-06-05 08:14:00.908881+02	1	Chungcheongbuk-do	\N	\N	\N	\N	\N	\N	t	f
4558	3330	Seis de Octubre	es	0	2013-06-05 07:29:10.718727+02	1	Seis de Octubre	\N	\N	\N	\N	\N	\N	t	f
5654	3033	Al-Dakhiliyya	fi	0	2013-06-05 08:16:33.485147+02	1	Al-Dakhiliyya	\N	\N	\N	\N	\N	\N	t	f
6230	3326	Port Said	nl	0	2013-06-05 08:41:25.36727+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
5658	3033	Ad Dakhiliyah	no	0	2013-06-05 08:16:42.99492+02	1	Ad Dakhiliyah	\N	\N	\N	\N	\N	\N	t	f
5686	3085	Κουνέιτρα	el	0	2013-06-05 08:17:53.932591+02	1	Κουνέιτρα	\N	\N	\N	\N	\N	\N	t	f
5703	4622	Provinz Bari	de	0	2013-06-05 08:18:35.381214+02	1	Provinz Bari	\N	\N	\N	\N	\N	\N	t	f
6267	2261	Bogovinje Municipality	en	0	2013-06-05 08:42:56.354735+02	1	Bogovinje Municipality	\N	\N	\N	\N	\N	\N	t	f
5718	3264	provincia di Blida	it	0	2013-06-05 08:19:11.741576+02	1	provincia di Blida	\N	\N	\N	\N	\N	\N	t	f
6967	3308	Gouvernement al-Buhaira	de	0	2013-06-05 09:13:41.356432+02	1	Gouvernement al-Buhaira	\N	\N	\N	\N	\N	\N	t	f
6295	3398	Grande Comore	nl	0	2013-06-05 08:44:04.442113+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6346	3507	Central	no	0	2013-06-05 08:46:12.059185+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
6356	1652	Aimeliik	en	0	2013-06-05 08:46:39.633749+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6978	3162	Borgou	es	0	2013-06-05 09:14:10.375429+02	1	Borgou	\N	\N	\N	\N	\N	\N	t	f
6357	1652	Aimeliik	es	0	2013-06-05 08:46:42.042205+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6454	1530	Département de Carazo	fr	0	2013-06-05 08:51:33.45743+02	1	Département de Carazo	\N	\N	\N	\N	\N	\N	t	f
7755	3171	Central	nl	0	2013-06-05 09:47:25.416576+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
7093	3647	Awdal	en	0	2013-06-05 09:18:54.559273+02	1	Awdal	\N	\N	\N	\N	\N	\N	t	f
7111	3517	Province de Cabo Delgado	fr	0	2013-06-05 09:19:38.235958+02	1	Province de Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
9934	1615	Aiwo	de	0	2013-06-05 11:21:27.597412+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
7149	1458	Artibonite	nl	0	2013-06-05 09:21:11.619031+02	1	Artibonite	\N	\N	\N	\N	\N	\N	t	f
7893	4547	Bolama	de	0	2013-06-05 09:53:21.707058+02	1	Bolama	\N	\N	\N	\N	\N	\N	t	f
7150	1458	Artibonite	no	0	2013-06-05 09:21:14.152707+02	1	Artibonite	\N	\N	\N	\N	\N	\N	t	f
7155	3491	Distretto di Black River	it	0	2013-06-05 09:21:26.292799+02	1	Distretto di Black River	\N	\N	\N	\N	\N	\N	t	f
9044	2859	バードギース州	ja	0	2013-06-05 10:42:50.595475+02	1	バードギース州	\N	\N	\N	\N	\N	\N	t	f
8324	1097	Cordillera Department	en	0	2013-06-05 10:12:16.679578+02	1	Cordillera Department	\N	\N	\N	\N	\N	\N	t	f
9069	1668	中央州	ja	0	2013-06-05 10:43:52.806972+02	1	中央州	\N	\N	\N	\N	\N	\N	t	f
11155	3265	Wilaya de Bouira	fr	0	2013-06-05 12:14:25.744726+02	1	Wilaya de Bouira	\N	\N	\N	\N	\N	\N	t	f
9217	1733	Cəlilabab	no	0	2013-06-05 10:50:49.931025+02	1	Cəlilabab	\N	\N	\N	\N	\N	\N	t	f
10468	4621	Αβελλίνο	el	0	2013-06-05 11:44:41.859928+02	1	Αβελλίνο	\N	\N	\N	\N	\N	\N	t	f
9246	3129	Regione di Boucle du Mouhoun	it	0	2013-06-05 10:52:00.453485+02	1	Regione di Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
9247	3129	Boucle du Mouhoun	nl	0	2013-06-05 10:52:02.817813+02	1	Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
9256	1829	Alsazia	it	0	2013-06-05 10:52:25.690118+02	1	Alsazia	\N	\N	\N	\N	\N	\N	t	f
10512	1885	Abruzzen	nl	0	2013-06-05 11:46:37.336616+02	1	Abruzzen	\N	\N	\N	\N	\N	\N	t	f
9266	3479	Assaba	nl	0	2013-06-05 10:52:50.066283+02	1	Assaba	\N	\N	\N	\N	\N	\N	t	f
9281	2156	Chiesanuova	fr	0	2013-06-05 10:53:26.418866+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
11355	3799	Banbridge	nl	0	2013-06-05 12:22:54.841268+02	1	Banbridge	\N	\N	\N	\N	\N	\N	t	f
9285	2156	Chiesanuova	no	0	2013-06-05 10:53:35.917898+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
10587	2943	Babil	no	0	2013-06-05 11:49:55.648451+02	1	Babil	\N	\N	\N	\N	\N	\N	t	f
9290	4806	Alif Alif-atol	nl	0	2013-06-05 10:53:47.997229+02	1	Alif Alif-atol	\N	\N	\N	\N	\N	\N	t	f
11178	4367	Ariège	no	0	2013-06-05 12:15:26.763704+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
9925	808	District Arad	nl	0	2013-06-05 11:21:04.842277+02	1	District Arad	\N	\N	\N	\N	\N	\N	t	f
9930	3430	Al Djabal al Gharbi	fr	0	2013-06-05 11:21:17.008397+02	1	Al Djabal al Gharbi	\N	\N	\N	\N	\N	\N	t	f
11246	3239	Centre	de	0	2013-06-05 12:18:14.414816+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
10608	814	Botoșani	es	0	2013-06-05 11:50:47.509691+02	1	Botoșani	\N	\N	\N	\N	\N	\N	t	f
10655	3323	ミニヤー県	ja	0	2013-06-05 11:52:42.634228+02	1	ミニヤー県	\N	\N	\N	\N	\N	\N	t	f
10673	1646	Bougainville	es	0	2013-06-05 11:53:27.439055+02	1	Bougainville	\N	\N	\N	\N	\N	\N	t	f
11427	2093	ブロケ	ja	0	2013-06-05 12:26:28.898443+02	1	ブロケ	\N	\N	\N	\N	\N	\N	t	f
11255	2592	An Giang	de	0	2013-06-05 12:18:36.432362+02	1	An Giang	\N	\N	\N	\N	\N	\N	t	f
11319	3797	Distretto di Ballymena	it	0	2013-06-05 12:21:12.196574+02	1	Distretto di Ballymena	\N	\N	\N	\N	\N	\N	t	f
11351	3799	Banbridge (District)	de	0	2013-06-05 12:22:40.416611+02	1	Banbridge (District)	\N	\N	\N	\N	\N	\N	t	f
3129	3339	Adís Abeba	es	0	2013-05-27 19:49:08.358874+02	1	Adís Abeba	\N	\N	\N	\N	\N	\N	t	f
3522	501	Voivodato della Santacroce	it	0	2013-05-27 20:05:43.603864+02	1	Voivodato della Santacroce	\N	\N	\N	\N	\N	\N	t	f
4055	3310	Caïro	nl	0	2013-06-05 07:07:19.070072+02	1	Caïro	\N	\N	\N	\N	\N	\N	t	f
4059	2892	Provincia de Chuy	es	0	2013-06-05 07:07:29.022212+02	1	Provincia de Chuy	\N	\N	\N	\N	\N	\N	t	f
4497	1835	Centre	fi	0	2013-06-05 07:26:37.031056+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
4061	2892	Tšyin alue	fi	0	2013-06-05 07:07:33.86449+02	1	Tšyin alue	\N	\N	\N	\N	\N	\N	t	f
4114	2604	Bình Dương	es	0	2013-06-05 07:09:50.202403+02	1	Bình Dương	\N	\N	\N	\N	\N	\N	t	f
5063	4889	Aurora	fr	0	2013-06-05 07:51:03.956623+02	1	Aurora	\N	\N	\N	\N	\N	\N	t	f
4123	717	Baranya komitaat	et	0	2013-06-05 07:10:13.020976+02	1	Baranya komitaat	\N	\N	\N	\N	\N	\N	t	f
5073	4502	Arkadia	fi	0	2013-06-05 07:51:28.645093+02	1	Arkadia	\N	\N	\N	\N	\N	\N	t	f
5605	592	Bazel-Stad	nl	0	2013-06-05 08:14:25.152583+02	1	Bazel-Stad	\N	\N	\N	\N	\N	\N	t	f
5074	4502	Arcadie	fr	0	2013-06-05 07:51:31.013424+02	1	Arcadie	\N	\N	\N	\N	\N	\N	t	f
5612	1945	Ajdovščina	nl	0	2013-06-05 08:14:43.748472+02	1	Ajdovščina	\N	\N	\N	\N	\N	\N	t	f
6231	3326	Port Said	no	0	2013-06-05 08:41:28.013409+02	1	Port Said	\N	\N	\N	\N	\N	\N	t	f
5684	3104	Al Mahwit	no	0	2013-06-05 08:17:48.809179+02	1	Al Mahwit	\N	\N	\N	\N	\N	\N	t	f
5696	719	Békés	es	0	2013-06-05 08:18:18.069187+02	1	Békés	\N	\N	\N	\N	\N	\N	t	f
5724	1725	Ağsun piirikunta	fi	0	2013-06-05 08:19:26.352895+02	1	Ağsun piirikunta	\N	\N	\N	\N	\N	\N	t	f
6233	1572	Région de Couva-Tabaquite-Talparo	fr	0	2013-06-05 08:41:33.017711+02	1	Région de Couva-Tabaquite-Talparo	\N	\N	\N	\N	\N	\N	t	f
6968	3308	Beheira Governorate	en	0	2013-06-05 09:13:43.702954+02	1	Beheira Governorate	\N	\N	\N	\N	\N	\N	t	f
6331	694	Buenos Airese provints	et	0	2013-06-05 08:45:33.846444+02	1	Buenos Airese provints	\N	\N	\N	\N	\N	\N	t	f
6375	2916	Ahal Province	en	0	2013-06-05 08:47:26.848612+02	1	Ahal Province	\N	\N	\N	\N	\N	\N	t	f
6463	1292	Alojas novads	nl	0	2013-06-05 08:51:55.246684+02	1	Alojas novads	\N	\N	\N	\N	\N	\N	t	f
6999	266	Californie	fr	0	2013-06-05 09:15:05.725+02	1	Californie	\N	\N	\N	\N	\N	\N	t	f
7756	3171	Central	no	0	2013-06-05 09:47:27.797741+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
7009	3084	Λατάκεια	el	0	2013-06-05 09:15:30.411374+02	1	Λατάκεια	\N	\N	\N	\N	\N	\N	t	f
7097	3647	Adal	it	0	2013-06-05 09:19:04.062501+02	1	Adal	\N	\N	\N	\N	\N	\N	t	f
10718	817	Cluj	fi	0	2013-06-05 11:55:17.360246+02	1	Cluj	\N	\N	\N	\N	\N	\N	t	f
7199	4613	Αγκριτζέντο	el	0	2013-06-05 09:23:19.343949+02	1	Αγκριτζέντο	\N	\N	\N	\N	\N	\N	t	f
7887	623	Ceará	no	0	2013-06-05 09:53:06.250778+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
9050	689	Connacht	fi	0	2013-06-05 10:43:05.392443+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
7956	2605	Bình Phước	nl	0	2013-06-05 09:56:01.121648+02	1	Bình Phước	\N	\N	\N	\N	\N	\N	t	f
9108	2940	Al Anbar Province	en	0	2013-06-05 10:45:57.954454+02	1	Al Anbar Province	\N	\N	\N	\N	\N	\N	t	f
9121	4544	Hanian prefektuuri	fi	0	2013-06-05 10:46:46.636998+02	1	Hanian prefektuuri	\N	\N	\N	\N	\N	\N	t	f
11160	4503	Νομός Αχαΐας	el	0	2013-06-05 12:14:41.598962+02	1	Νομός Αχαΐας	\N	\N	\N	\N	\N	\N	t	f
9151	3401	Bomi County	en	0	2013-06-05 10:48:10.645861+02	1	Bomi County	\N	\N	\N	\N	\N	\N	t	f
9173	518	Provincia di Bitlis	it	0	2013-06-05 10:49:03.803771+02	1	Provincia di Bitlis	\N	\N	\N	\N	\N	\N	t	f
9227	2230	Chișinău	de	0	2013-06-05 10:51:14.772378+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
11283	1946	Beltinci	nl	0	2013-06-05 12:19:44.453565+02	1	Beltinci	\N	\N	\N	\N	\N	\N	t	f
9928	3430	Jabal al Gharbi District	en	0	2013-06-05 11:21:12.333639+02	1	Jabal al Gharbi District	\N	\N	\N	\N	\N	\N	t	f
10475	4621	アヴェッリーノ県	ja	0	2013-06-05 11:45:02.837543+02	1	アヴェッリーノ県	\N	\N	\N	\N	\N	\N	t	f
10478	1633	Central Province	de	0	2013-06-05 11:45:10.375684+02	1	Central Province	\N	\N	\N	\N	\N	\N	t	f
10486	903	Balzan	en	0	2013-06-05 11:45:29.811284+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
11297	3617	Khartoum	fr	0	2013-06-05 12:20:18.752296+02	1	Khartoum	\N	\N	\N	\N	\N	\N	t	f
10488	903	Balzan	fi	0	2013-06-05 11:45:34.549696+02	1	Balzan	\N	\N	\N	\N	\N	\N	t	f
10577	5016	アルア県	ja	0	2013-06-05 11:49:27.316253+02	1	アルア県	\N	\N	\N	\N	\N	\N	t	f
10597	3814	Carmarthenshire	en	0	2013-06-05 11:50:20.375302+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
11305	1028	Province de Bolívar	fr	0	2013-06-05 12:20:38.155694+02	1	Province de Bolívar	\N	\N	\N	\N	\N	\N	t	f
10640	3585	Anse Boileau	nl	0	2013-06-05 11:52:05.73565+02	1	Anse Boileau	\N	\N	\N	\N	\N	\N	t	f
10664	4146	Vallooni Brabant	et	0	2013-06-05 11:53:05.390641+02	1	Vallooni Brabant	\N	\N	\N	\N	\N	\N	t	f
11318	3797	District de Ballymena	fr	0	2013-06-05 12:21:09.841441+02	1	District de Ballymena	\N	\N	\N	\N	\N	\N	t	f
3130	3339	Addis Abeba	et	0	2013-05-27 19:49:10.613918+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3523	501	シフィェンティクシシュ県	ja	0	2013-05-27 20:05:45.869268+02	1	シフィェンティクシシュ県	\N	\N	\N	\N	\N	\N	t	f
4056	3310	Al Qahirah	no	0	2013-06-05 07:07:21.47906+02	1	Al Qahirah	\N	\N	\N	\N	\N	\N	t	f
4057	2892	Gebiet Tschüi	de	0	2013-06-05 07:07:24.299068+02	1	Gebiet Tschüi	\N	\N	\N	\N	\N	\N	t	f
4525	3213	Cuvette-Ouest	nl	0	2013-06-05 07:27:47.347154+02	1	Cuvette-Ouest	\N	\N	\N	\N	\N	\N	t	f
4108	789	parrocchia di Canillo	it	0	2013-06-05 07:09:35.11483+02	1	parrocchia di Canillo	\N	\N	\N	\N	\N	\N	t	f
4112	2604	Bình Dương	de	0	2013-06-05 07:09:45.29328+02	1	Bình Dương	\N	\N	\N	\N	\N	\N	t	f
4551	4852	Bagmati	fi	0	2013-06-05 07:28:53.654997+02	1	Bagmati	\N	\N	\N	\N	\N	\N	t	f
5077	4502	Arcadië	nl	0	2013-06-05 07:51:38.207283+02	1	Arcadië	\N	\N	\N	\N	\N	\N	t	f
5611	1945	アイドフシュチナ	ja	0	2013-06-05 08:14:39.781231+02	1	アイドフシュチナ	\N	\N	\N	\N	\N	\N	t	f
5633	2923	Abu Dhabi	en	0	2013-06-05 08:15:39.326469+02	1	Abu Dhabi	\N	\N	\N	\N	\N	\N	t	f
6232	1572	Couva-Tabaquite-Talparo Regional Corporation	en	0	2013-06-05 08:41:30.662926+02	1	Couva-Tabaquite-Talparo Regional Corporation	\N	\N	\N	\N	\N	\N	t	f
5681	3104	Gouvernorat d'Al Mahwit	fr	0	2013-06-05 08:17:41.548499+02	1	Gouvernorat d'Al Mahwit	\N	\N	\N	\N	\N	\N	t	f
6361	1652	Aimeliik	it	0	2013-06-05 08:46:51.710336+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6969	3308	Behera	es	0	2013-06-05 09:13:46.169184+02	1	Behera	\N	\N	\N	\N	\N	\N	t	f
7040	3703	Centrale	no	0	2013-06-05 09:16:45.652988+02	1	Centrale	\N	\N	\N	\N	\N	\N	t	f
7757	2965	Tschahār Mahāl und Bachtiyārī	de	0	2013-06-05 09:47:30.812479+02	1	Tschahār Mahāl und Bachtiyārī	\N	\N	\N	\N	\N	\N	t	f
7119	1497	Baja California Sur	es	0	2013-06-05 09:19:58.378852+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7176	4885	Aklan	de	0	2013-06-05 09:22:22.216557+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
7799	4639	Province of Como	en	0	2013-06-05 09:49:21.422732+02	1	Province of Como	\N	\N	\N	\N	\N	\N	t	f
9053	689	コノート	ja	0	2013-06-05 10:43:12.425495+02	1	コノート	\N	\N	\N	\N	\N	\N	t	f
7841	4632	Province de Cagliari	fr	0	2013-06-05 09:51:10.32701+02	1	Province de Cagliari	\N	\N	\N	\N	\N	\N	t	f
7860	3390	Province centrale	fr	0	2013-06-05 09:51:57.269192+02	1	Province centrale	\N	\N	\N	\N	\N	\N	t	f
7879	623	Ceará	en	0	2013-06-05 09:52:46.651879+02	1	Ceará	\N	\N	\N	\N	\N	\N	t	f
9094	821	District Covasna	nl	0	2013-06-05 10:45:10.730436+02	1	District Covasna	\N	\N	\N	\N	\N	\N	t	f
7920	454	Bonaire	en	0	2013-06-05 09:54:30.706399+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
10701	5053	ブリサ県	ja	0	2013-06-05 11:54:35.649107+02	1	ブリサ県	\N	\N	\N	\N	\N	\N	t	f
9183	4866	Auckland	nl	0	2013-06-05 10:49:27.729931+02	1	Auckland	\N	\N	\N	\N	\N	\N	t	f
9200	3584	Anse aux Pins	es	0	2013-06-05 10:50:08.812093+02	1	Anse aux Pins	\N	\N	\N	\N	\N	\N	t	f
9209	4512	Arta	nl	0	2013-06-05 10:50:30.45636+02	1	Arta	\N	\N	\N	\N	\N	\N	t	f
11161	4503	Achaea	en	0	2013-06-05 12:14:44.071774+02	1	Achaea	\N	\N	\N	\N	\N	\N	t	f
9272	761	District de Beja	fr	0	2013-06-05 10:53:04.675414+02	1	District de Beja	\N	\N	\N	\N	\N	\N	t	f
9941	1615	アイウォ地区	ja	0	2013-06-05 11:21:44.532466+02	1	アイウォ地区	\N	\N	\N	\N	\N	\N	t	f
9967	1501	Coahuila	de	0	2013-06-05 11:22:56.76878+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
10477	4621	Provinsen Avellino	no	0	2013-06-05 11:45:07.66348+02	1	Provinsen Avellino	\N	\N	\N	\N	\N	\N	t	f
11287	702	Catamarca provints	et	0	2013-06-05 12:19:54.448957+02	1	Catamarca provints	\N	\N	\N	\N	\N	\N	t	f
10528	979	Aysén Region	en	0	2013-06-05 11:47:16.641426+02	1	Aysén Region	\N	\N	\N	\N	\N	\N	t	f
10531	979	Région Aisén del General Carlos Ibáñez del Campo	fr	0	2013-06-05 11:47:23.802802+02	1	Région Aisén del General Carlos Ibáñez del Campo	\N	\N	\N	\N	\N	\N	t	f
10550	1004	セサール県	ja	0	2013-06-05 11:48:17.920379+02	1	セサール県	\N	\N	\N	\N	\N	\N	t	f
11303	1028	Provincia de Bolívar	es	0	2013-06-05 12:20:33.365205+02	1	Provincia de Bolívar	\N	\N	\N	\N	\N	\N	t	f
10559	700	provincia del Chaco	it	0	2013-06-05 11:48:39.952244+02	1	provincia del Chaco	\N	\N	\N	\N	\N	\N	t	f
10560	700	チャコ州	ja	0	2013-06-05 11:48:42.342235+02	1	チャコ州	\N	\N	\N	\N	\N	\N	t	f
10618	407	Prefectura de Aichi	es	0	2013-06-05 11:51:12.133176+02	1	Prefectura de Aichi	\N	\N	\N	\N	\N	\N	t	f
10631	3549	État de Bayelsa	fr	0	2013-06-05 11:51:43.686387+02	1	État de Bayelsa	\N	\N	\N	\N	\N	\N	t	f
3131	3339	Addis Abeba	fi	0	2013-05-27 19:49:13.942957+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3134	3339	アディスアベバ	ja	0	2013-05-27 19:49:20.609287+02	1	アディスアベバ	\N	\N	\N	\N	\N	\N	t	f
3524	501	Święty Krzyż	nl	0	2013-05-27 20:05:48.148819+02	1	Święty Krzyż	\N	\N	\N	\N	\N	\N	t	f
4058	2892	Chuy Province	en	0	2013-06-05 07:07:26.671717+02	1	Chuy Province	\N	\N	\N	\N	\N	\N	t	f
4066	4783	Aur	de	0	2013-06-05 07:07:49.934567+02	1	Aur	\N	\N	\N	\N	\N	\N	t	f
4526	3213	Cuvette-Ouest	no	0	2013-06-05 07:27:49.747663+02	1	Cuvette-Ouest	\N	\N	\N	\N	\N	\N	t	f
4125	717	Baranya	fr	0	2013-06-05 07:10:17.728145+02	1	Baranya	\N	\N	\N	\N	\N	\N	t	f
4144	4359	Ain	fr	0	2013-06-05 07:11:13.337282+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
5088	1094	Alto Paraguay Department	en	0	2013-06-05 07:52:05.851479+02	1	Alto Paraguay Department	\N	\N	\N	\N	\N	\N	t	f
5096	787	Ανατολική Ισλανδία	el	0	2013-06-05 07:52:25.268288+02	1	Ανατολική Ισλανδία	\N	\N	\N	\N	\N	\N	t	f
5614	3147	Κιμπιτόκε	el	0	2013-06-05 08:14:48.845148+02	1	Κιμπιτόκε	\N	\N	\N	\N	\N	\N	t	f
5630	1418	Alta Verapaz	nl	0	2013-06-05 08:15:31.825169+02	1	Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
6234	1572	Regione di Couva-Tabaquite-Talparo	it	0	2013-06-05 08:41:35.338118+02	1	Regione di Couva-Tabaquite-Talparo	\N	\N	\N	\N	\N	\N	t	f
5679	3104	Al Mahwit Governorate	en	0	2013-06-05 08:17:36.841752+02	1	Al Mahwit Governorate	\N	\N	\N	\N	\N	\N	t	f
5723	1725	Ağsu	es	0	2013-06-05 08:19:23.952512+02	1	Ağsu	\N	\N	\N	\N	\N	\N	t	f
5738	981	Arica y Parinacota	es	0	2013-06-05 08:20:00.870204+02	1	Arica y Parinacota	\N	\N	\N	\N	\N	\N	t	f
6265	4904	Catanduanes	nl	0	2013-06-05 08:42:51.304697+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6970	3308	Al-Buḩayrāti kubernerkond	et	0	2013-06-05 09:13:51.032957+02	1	Al-Buḩayrāti kubernerkond	\N	\N	\N	\N	\N	\N	t	f
6272	3160	Alibori	fi	0	2013-06-05 08:43:08.593858+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
6274	3160	Dipartimento di Alibori	it	0	2013-06-05 08:43:13.262861+02	1	Dipartimento di Alibori	\N	\N	\N	\N	\N	\N	t	f
6280	812	Bistrița-Năsăud	es	0	2013-06-05 08:43:28.268059+02	1	Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
6974	3308	Al Buhayrah	nl	0	2013-06-05 09:14:00.487569+02	1	Al Buhayrah	\N	\N	\N	\N	\N	\N	t	f
6336	694	Buenos Aires	nl	0	2013-06-05 08:45:46.296633+02	1	Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
6351	2222	Raion de Briceni	fr	0	2013-06-05 08:46:24.132402+02	1	Raion de Briceni	\N	\N	\N	\N	\N	\N	t	f
7758	2965	Chaharmahal and Bakhtiari Province	en	0	2013-06-05 09:47:33.221996+02	1	Chaharmahal and Bakhtiari Province	\N	\N	\N	\N	\N	\N	t	f
6359	1652	Aimeliik	fi	0	2013-06-05 08:46:47.001851+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6981	3162	ボルグー県	ja	0	2013-06-05 09:14:20.691342+02	1	ボルグー県	\N	\N	\N	\N	\N	\N	t	f
7023	4826	Chikwawa	nl	0	2013-06-05 09:16:04.147039+02	1	Chikwawa	\N	\N	\N	\N	\N	\N	t	f
10670	4146	Vallonsk Brabant	no	0	2013-06-05 11:53:19.824651+02	1	Vallonsk Brabant	\N	\N	\N	\N	\N	\N	t	f
7025	1956	Cerklje na Gorenjskem	de	0	2013-06-05 09:16:09.510054+02	1	Cerklje na Gorenjskem	\N	\N	\N	\N	\N	\N	t	f
7788	4488	Annobón	nl	0	2013-06-05 09:48:47.257349+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7030	1956	Cerklje na Gorenjskem	nl	0	2013-06-05 09:16:21.405469+02	1	Cerklje na Gorenjskem	\N	\N	\N	\N	\N	\N	t	f
9055	689	Connacht	no	0	2013-06-05 10:43:18.686681+02	1	Connacht	\N	\N	\N	\N	\N	\N	t	f
7045	4549	Cacheu	fr	0	2013-06-05 09:16:57.713206+02	1	Cacheu	\N	\N	\N	\N	\N	\N	t	f
7059	2394	Oblast Belgorod	nl	0	2013-06-05 09:17:31.666786+02	1	Oblast Belgorod	\N	\N	\N	\N	\N	\N	t	f
10485	903	Balzan (Malta)	de	0	2013-06-05 11:45:27.405536+02	1	Balzan (Malta)	\N	\N	\N	\N	\N	\N	t	f
7067	4883	Agusan del Norte	nl	0	2013-06-05 09:17:50.961015+02	1	Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
9076	2933	Nordlige guvernement	no	0	2013-06-05 10:44:12.074871+02	1	Nordlige guvernement	\N	\N	\N	\N	\N	\N	t	f
7129	3807	Bracknell Forest	fr	0	2013-06-05 09:20:23.109213+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7146	1458	Artibonite	fr	0	2013-06-05 09:21:04.537844+02	1	Artibonite	\N	\N	\N	\N	\N	\N	t	f
9138	1499	Chihuahua	no	0	2013-06-05 10:47:33.359957+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9157	3401	ボミ郡	ja	0	2013-06-05 10:48:24.706731+02	1	ボミ郡	\N	\N	\N	\N	\N	\N	t	f
10570	508	アフィヨンカラヒサール県	ja	0	2013-06-05 11:49:10.233387+02	1	アフィヨンカラヒサール県	\N	\N	\N	\N	\N	\N	t	f
9192	3542	アビア州	ja	0	2013-06-05 10:49:49.366607+02	1	アビア州	\N	\N	\N	\N	\N	\N	t	f
9219	765	Coimbra District	en	0	2013-06-05 10:50:55.001817+02	1	Coimbra District	\N	\N	\N	\N	\N	\N	t	f
11410	4901	Camarines Norte	nl	0	2013-06-05 12:25:42.571573+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
9238	3588	Anse Royale	en	0	2013-06-05 10:51:41.203781+02	1	Anse Royale	\N	\N	\N	\N	\N	\N	t	f
10594	3314	Al Gharbiyah	nl	0	2013-06-05 11:50:12.641329+02	1	Al Gharbiyah	\N	\N	\N	\N	\N	\N	t	f
9279	2156	Chiesanuova	es	0	2013-06-05 10:53:21.675518+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
9295	312	Alberta	et	0	2013-06-05 10:54:00.335815+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
10704	4642	Κατάνη	el	0	2013-06-05 11:54:43.187395+02	1	Κατάνη	\N	\N	\N	\N	\N	\N	t	f
9942	1615	Aiwo	nl	0	2013-06-05 11:21:48.052701+02	1	Aiwo	\N	\N	\N	\N	\N	\N	t	f
10625	407	Aichi	no	0	2013-06-05 11:51:28.984828+02	1	Aichi	\N	\N	\N	\N	\N	\N	t	f
10479	1633	Central Province	en	0	2013-06-05 11:45:12.736909+02	1	Central Province	\N	\N	\N	\N	\N	\N	t	f
10483	1633	中央州	ja	0	2013-06-05 11:45:22.266864+02	1	中央州	\N	\N	\N	\N	\N	\N	t	f
10628	3549	Bayelsa	es	0	2013-06-05 11:51:36.447207+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
11217	588	Canton Appenzello Interno	it	0	2013-06-05 12:17:02.715189+02	1	Canton Appenzello Interno	\N	\N	\N	\N	\N	\N	t	f
10658	2091	Municipality of Benedikt	en	0	2013-06-05 11:52:50.225213+02	1	Municipality of Benedikt	\N	\N	\N	\N	\N	\N	t	f
10707	4642	Catania provints	et	0	2013-06-05 11:54:50.280036+02	1	Catania provints	\N	\N	\N	\N	\N	\N	t	f
10659	2091	Benedikt	nl	0	2013-06-05 11:52:52.79449+02	1	Benedikt	\N	\N	\N	\N	\N	\N	t	f
11386	1251	Barahona	fr	0	2013-06-05 12:24:35.881449+02	1	Barahona	\N	\N	\N	\N	\N	\N	t	f
11167	4503	Achaea	nl	0	2013-06-05 12:14:59.535173+02	1	Achaea	\N	\N	\N	\N	\N	\N	t	f
11236	4314	Μπαδαχόθ	el	0	2013-06-05 12:17:50.047357+02	1	Μπαδαχόθ	\N	\N	\N	\N	\N	\N	t	f
11186	810	バカウ県	ja	0	2013-06-05 12:15:46.355254+02	1	バカウ県	\N	\N	\N	\N	\N	\N	t	f
11358	3311	Dakahlia Governorate	en	0	2013-06-05 12:23:02.404311+02	1	Dakahlia Governorate	\N	\N	\N	\N	\N	\N	t	f
11405	4901	Camarines Norte	en	0	2013-06-05 12:25:30.701897+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
11428	2093	Bloke	nl	0	2013-06-05 12:26:31.277648+02	1	Bloke	\N	\N	\N	\N	\N	\N	t	f
11442	4619	Arezzo provints	et	0	2013-06-05 12:27:06.1531+02	1	Arezzo provints	\N	\N	\N	\N	\N	\N	t	f
11488	1107	Coronie	nl	0	2013-06-05 12:28:58.083786+02	1	Coronie	\N	\N	\N	\N	\N	\N	t	f
3132	3339	Addis-Abeba	fr	0	2013-05-27 19:49:16.162568+02	1	Addis-Abeba	\N	\N	\N	\N	\N	\N	t	f
3133	3339	Addis Abeba	it	0	2013-05-27 19:49:18.403906+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3135	3339	Addis Abeba	nl	0	2013-05-27 19:49:22.891257+02	1	Addis Abeba	\N	\N	\N	\N	\N	\N	t	f
3526	7020	NYC	\N	0	2013-05-28 11:35:43.054898+02	\N	NYC	\N	\N	\N	\N	\N	\N	f	f
3151	1765	Şəki	es	0	2013-05-27 19:50:04.730726+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
3166	4246	Český Krumlov District	en	0	2013-05-27 19:50:39.698807+02	1	Český Krumlov District	\N	\N	\N	\N	\N	\N	t	f
3527	204	Syrian Arab Republic	\N	0	2013-05-29 02:26:24.481507+02	2	Syrian Arab Republic	\N	\N	\N	\N	\N	\N	f	f
4060	2892	Tšüj oblast	et	0	2013-06-05 07:07:31.443961+02	1	Tšüj oblast	\N	\N	\N	\N	\N	\N	t	f
3529	7954	Köln	de	0	2013-05-29 10:35:56.851693+02	1	Köln	\N	\N	\N	\N	\N	\N	t	f
3530	779	Região Autónoma da Madeira	pt	0	2013-06-01 22:49:25.932135+02	2	Região Autónoma da Madeira	\N	\N	\N	\N	\N	\N	f	f
3532	1955	City Municipality of Celje	en	0	2013-06-05 06:44:05.248134+02	1	City Municipality of Celje	\N	\N	\N	\N	\N	\N	t	f
4086	4589	County Cork	en	0	2013-06-05 07:08:41.200691+02	1	County Cork	\N	\N	\N	\N	\N	\N	t	f
3534	2828	Bumthang District	en	0	2013-06-05 06:44:12.194269+02	1	Bumthang District	\N	\N	\N	\N	\N	\N	t	f
3586	3235	Regione di Bafing	it	0	2013-06-05 06:46:59.353064+02	1	Regione di Bafing	\N	\N	\N	\N	\N	\N	t	f
4533	4546	バファタ州	ja	0	2013-06-05 07:28:06.749257+02	1	バファタ州	\N	\N	\N	\N	\N	\N	t	f
3587	3235	バフィン州	ja	0	2013-06-05 06:47:04.187738+02	1	バフィン州	\N	\N	\N	\N	\N	\N	t	f
4119	2604	Bình Dương	nl	0	2013-06-05 07:10:02.077913+02	1	Bình Dương	\N	\N	\N	\N	\N	\N	t	f
3590	1731	Bilasuvar Rayon	en	0	2013-06-05 06:47:11.769773+02	1	Bilasuvar Rayon	\N	\N	\N	\N	\N	\N	t	f
4127	717	バラニャ県	ja	0	2013-06-05 07:10:22.612191+02	1	バラニャ県	\N	\N	\N	\N	\N	\N	t	f
4537	3115	Cuando Cubango Province	en	0	2013-06-05 07:28:16.809305+02	1	Cuando Cubango Province	\N	\N	\N	\N	\N	\N	t	f
5089	1094	Departamento de Alto Paraguay	es	0	2013-06-05 07:52:08.183529+02	1	Departamento de Alto Paraguay	\N	\N	\N	\N	\N	\N	t	f
5099	787	Austurland	et	0	2013-06-05 07:52:32.323625+02	1	Austurland	\N	\N	\N	\N	\N	\N	t	f
5617	3147	Cibitoke provints	et	0	2013-06-05 08:14:57.397199+02	1	Cibitoke provints	\N	\N	\N	\N	\N	\N	t	f
5121	4156	Boulgou	nl	0	2013-06-05 07:53:30.586147+02	1	Boulgou	\N	\N	\N	\N	\N	\N	t	f
5642	796	Alytus County	en	0	2013-06-05 08:16:04.714447+02	1	Alytus County	\N	\N	\N	\N	\N	\N	t	f
6235	1572	Couva - Tabaquite - Talparo	nl	0	2013-06-05 08:41:37.702837+02	1	Couva - Tabaquite - Talparo	\N	\N	\N	\N	\N	\N	t	f
5648	796	アリートゥス県	ja	0	2013-06-05 08:16:18.888295+02	1	アリートゥス県	\N	\N	\N	\N	\N	\N	t	f
5754	2649	Champasack	no	0	2013-06-05 08:20:39.484751+02	1	Champasack	\N	\N	\N	\N	\N	\N	t	f
6271	3160	Alibori	es	0	2013-06-05 08:43:06.259883+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
6971	3308	Gouvernorat de Beheira	fr	0	2013-06-05 09:13:53.394517+02	1	Gouvernorat de Beheira	\N	\N	\N	\N	\N	\N	t	f
6282	812	Bistrița-Năsăud	fi	0	2013-06-05 08:43:33.079986+02	1	Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
6302	2224	distretto di Cahul	it	0	2013-06-05 08:44:21.519935+02	1	distretto di Cahul	\N	\N	\N	\N	\N	\N	t	f
7027	1956	Cerklje na Gorenjskem	fr	0	2013-06-05 09:16:14.264428+02	1	Cerklje na Gorenjskem	\N	\N	\N	\N	\N	\N	t	f
7759	2965	Chahar y Bajtiari	es	0	2013-06-05 09:47:35.707687+02	1	Chahar y Bajtiari	\N	\N	\N	\N	\N	\N	t	f
7066	4883	北アグサン州	ja	0	2013-06-05 09:17:48.602875+02	1	北アグサン州	\N	\N	\N	\N	\N	\N	t	f
7072	1545	Coclé	fr	0	2013-06-05 09:18:03.125092+02	1	Coclé	\N	\N	\N	\N	\N	\N	t	f
9059	3280	Wilaya de Constantine	fr	0	2013-06-05 10:43:28.599168+02	1	Wilaya de Constantine	\N	\N	\N	\N	\N	\N	t	f
7075	1545	Coclé	nl	0	2013-06-05 09:18:10.232402+02	1	Coclé	\N	\N	\N	\N	\N	\N	t	f
7145	1458	Artibonite	fi	0	2013-06-05 09:21:02.175101+02	1	Artibonite	\N	\N	\N	\N	\N	\N	t	f
7152	3491	Rivière Noire District	en	0	2013-06-05 09:21:19.269209+02	1	Rivière Noire District	\N	\N	\N	\N	\N	\N	t	f
9107	2940	al-Anbar	de	0	2013-06-05 10:45:54.151933+02	1	al-Anbar	\N	\N	\N	\N	\N	\N	t	f
7170	1723	Ağdam	es	0	2013-06-05 09:22:06.611672+02	1	Ağdam	\N	\N	\N	\N	\N	\N	t	f
7188	2256	Aerodrom	nl	0	2013-06-05 09:22:50.915433+02	1	Aerodrom	\N	\N	\N	\N	\N	\N	t	f
9964	3442	Municipalità di el-Uahat	it	0	2013-06-05 11:22:49.054184+02	1	Municipalità di el-Uahat	\N	\N	\N	\N	\N	\N	t	f
7192	4556	Bangka-Belitung	fi	0	2013-06-05 09:23:02.242448+02	1	Bangka-Belitung	\N	\N	\N	\N	\N	\N	t	f
9142	2260	Bogdanci	nl	0	2013-06-05 10:47:48.792927+02	1	Bogdanci	\N	\N	\N	\N	\N	\N	t	f
7215	3319	Al Qalyubiyah	nl	0	2013-06-05 09:23:58.123162+02	1	Al Qalyubiyah	\N	\N	\N	\N	\N	\N	t	f
9190	3542	État d'Abia	fr	0	2013-06-05 10:49:44.606841+02	1	État d'Abia	\N	\N	\N	\N	\N	\N	t	f
10600	3814	Carmarthenshire	fi	0	2013-06-05 11:50:27.690226+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
9195	1293	Municipalidad de Alsunga	es	0	2013-06-05 10:49:56.812579+02	1	Municipalidad de Alsunga	\N	\N	\N	\N	\N	\N	t	f
9968	1501	Κοαουίλα	el	0	2013-06-05 11:22:59.218964+02	1	Κοαουίλα	\N	\N	\N	\N	\N	\N	t	f
9197	1293	Alsungas novads	nl	0	2013-06-05 10:50:01.494459+02	1	Alsungas novads	\N	\N	\N	\N	\N	\N	t	f
9267	3479	Assaba	no	0	2013-06-05 10:52:52.423418+02	1	Assaba	\N	\N	\N	\N	\N	\N	t	f
10572	508	Afyonkarahisar	no	0	2013-06-05 11:49:15.097173+02	1	Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
9296	312	Alberta	fi	0	2013-06-05 10:54:02.676061+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
10492	2861	Baglan	de	0	2013-06-05 11:45:44.850067+02	1	Baglan	\N	\N	\N	\N	\N	\N	t	f
9944	1068	Cusco	de	0	2013-06-05 11:21:53.598608+02	1	Cusco	\N	\N	\N	\N	\N	\N	t	f
9963	3442	Al Wahat	fr	0	2013-06-05 11:22:46.689916+02	1	Al Wahat	\N	\N	\N	\N	\N	\N	t	f
10493	2861	Μπαγκλάν	el	0	2013-06-05 11:45:47.185775+02	1	Μπαγκλάν	\N	\N	\N	\N	\N	\N	t	f
10497	2861	Baghlanin maakunta	fi	0	2013-06-05 11:45:59.709661+02	1	Baghlanin maakunta	\N	\N	\N	\N	\N	\N	t	f
10588	3314	Gouvernement al-Gharbiyya	de	0	2013-06-05 11:49:58.407469+02	1	Gouvernement al-Gharbiyya	\N	\N	\N	\N	\N	\N	t	f
10567	508	Afyonkarahisarin maakunta	fi	0	2013-06-05 11:49:03.078514+02	1	Afyonkarahisarin maakunta	\N	\N	\N	\N	\N	\N	t	f
10642	4905	Cavite	en	0	2013-06-05 11:52:10.795249+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
10590	3314	Occidental	es	0	2013-06-05 11:50:03.122564+02	1	Occidental	\N	\N	\N	\N	\N	\N	t	f
10612	814	Distretto di Botoșani	it	0	2013-06-05 11:50:57.008033+02	1	Distretto di Botoșani	\N	\N	\N	\N	\N	\N	t	f
10661	4146	Βαλλωνική Μπραμπάντ	el	0	2013-06-05 11:52:58.221824+02	1	Βαλλωνική Μπραμπάντ	\N	\N	\N	\N	\N	\N	t	f
10693	1212	Distretto di Corozal	it	0	2013-06-05 11:54:16.106295+02	1	Distretto di Corozal	\N	\N	\N	\N	\N	\N	t	f
11170	4367	Ariège	en	0	2013-06-05 12:15:07.284666+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
11187	810	District Bacău	nl	0	2013-06-05 12:15:48.813523+02	1	District Bacău	\N	\N	\N	\N	\N	\N	t	f
11219	588	Appenzell Innerrhoden	nl	0	2013-06-05 12:17:07.507175+02	1	Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
11364	3311	Ad Daqahliyah	no	0	2013-06-05 12:23:24.704892+02	1	Ad Daqahliyah	\N	\N	\N	\N	\N	\N	t	f
11370	3546	État de Bauchi	fr	0	2013-06-05 12:23:44.168744+02	1	État de Bauchi	\N	\N	\N	\N	\N	\N	t	f
11421	3917	Coventry	nl	0	2013-06-05 12:26:14.17022+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11429	760	Distrikt Aveiro	de	0	2013-06-05 12:26:34.09353+02	1	Distrikt Aveiro	\N	\N	\N	\N	\N	\N	t	f
11432	760	Aveiron piiri	fi	0	2013-06-05 12:26:41.325623+02	1	Aveiron piiri	\N	\N	\N	\N	\N	\N	t	f
3137	3340	Afar	de	0	2013-05-27 19:49:27.82052+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3138	3340	Αφάρ	el	0	2013-05-27 19:49:30.078225+02	1	Αφάρ	\N	\N	\N	\N	\N	\N	t	f
3139	3340	Afar Region	en	0	2013-05-27 19:49:32.252917+02	1	Afar Region	\N	\N	\N	\N	\N	\N	t	f
3528	32	Brunei Darussalam	\N	0	2013-05-29 02:27:24.416292+02	2	Brunei Darussalam	\N	\N	\N	\N	\N	\N	f	f
3167	4246	District de Český Krumlov	fr	0	2013-05-27 19:50:41.912744+02	1	District de Český Krumlov	\N	\N	\N	\N	\N	\N	t	f
3531	778	Região Autónoma dos Açores	pt	0	2013-06-01 22:49:30.569441+02	2	Região Autónoma dos Açores	\N	\N	\N	\N	\N	\N	f	f
4062	2892	Province de Tchouï	fr	0	2013-06-05 07:07:36.352111+02	1	Province de Tchouï	\N	\N	\N	\N	\N	\N	t	f
3533	2828	Bumthang	de	0	2013-06-05 06:44:09.014225+02	1	Bumthang	\N	\N	\N	\N	\N	\N	t	f
4096	1925	Municipio de Bar	es	0	2013-06-05 07:09:05.685825+02	1	Municipio de Bar	\N	\N	\N	\N	\N	\N	t	f
4548	4852	Bagmati	de	0	2013-06-05 07:28:46.334554+02	1	Bagmati	\N	\N	\N	\N	\N	\N	t	f
4098	1486	Choiseul Quarter	en	0	2013-06-05 07:09:10.70925+02	1	Choiseul Quarter	\N	\N	\N	\N	\N	\N	t	f
5090	1094	Alto Paraguayn maakunta	fi	0	2013-06-05 07:52:10.582648+02	1	Alto Paraguayn maakunta	\N	\N	\N	\N	\N	\N	t	f
5124	2527	Bayanhongor	es	0	2013-06-05 07:53:38.061081+02	1	Bayanhongor	\N	\N	\N	\N	\N	\N	t	f
5625	1418	Alta Verapaz	en	0	2013-06-05 08:15:16.946597+02	1	Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
5627	1418	Département d'Alta Verapaz	fr	0	2013-06-05 08:15:22.00919+02	1	Département d'Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
6236	763	Distrikt Bragança	de	0	2013-06-05 08:41:40.559772+02	1	Distrikt Bragança	\N	\N	\N	\N	\N	\N	t	f
5644	796	Alytuse maakond	et	0	2013-06-05 08:16:09.416065+02	1	Alytuse maakond	\N	\N	\N	\N	\N	\N	t	f
5655	3033	Ad-Dākhilīyah	fr	0	2013-06-05 08:16:35.833182+02	1	Ad-Dākhilīyah	\N	\N	\N	\N	\N	\N	t	f
5688	3085	Gobernación de Quneitra	es	0	2013-06-05 08:17:58.608843+02	1	Gobernación de Quneitra	\N	\N	\N	\N	\N	\N	t	f
6335	694	ブエノスアイレス州	ja	0	2013-06-05 08:45:43.91432+02	1	ブエノスアイレス州	\N	\N	\N	\N	\N	\N	t	f
5700	719	Provincia di Békés	it	0	2013-06-05 08:18:27.539399+02	1	Provincia di Békés	\N	\N	\N	\N	\N	\N	t	f
5737	981	Arica y Parinacota Region	en	0	2013-06-05 08:19:58.457975+02	1	Arica y Parinacota Region	\N	\N	\N	\N	\N	\N	t	f
6972	3308	Governatorato di Buhayra	it	0	2013-06-05 09:13:55.755357+02	1	Governatorato di Buhayra	\N	\N	\N	\N	\N	\N	t	f
6363	1652	Aimeliik	nl	0	2013-06-05 08:46:56.555762+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
6378	2916	Ahalin maakunta	fi	0	2013-06-05 08:47:34.085454+02	1	Ahalin maakunta	\N	\N	\N	\N	\N	\N	t	f
6385	1629	Chatham Islands	en	0	2013-06-05 08:47:59.938586+02	1	Chatham Islands	\N	\N	\N	\N	\N	\N	t	f
6977	3162	Borgou Department	en	0	2013-06-05 09:14:07.954746+02	1	Borgou Department	\N	\N	\N	\N	\N	\N	t	f
6404	2589	Bình Thuận	de	0	2013-06-05 08:49:18.252487+02	1	Bình Thuận	\N	\N	\N	\N	\N	\N	t	f
6420	4360	Aisne	de	0	2013-06-05 08:50:04.646193+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
7760	2965	Chahār Maḩāll va Bakhtīārī	et	0	2013-06-05 09:47:38.177939+02	1	Chahār Maḩāll va Bakhtīārī	\N	\N	\N	\N	\N	\N	t	f
6427	4360	エーヌ県	ja	0	2013-06-05 08:50:24.116953+02	1	エーヌ県	\N	\N	\N	\N	\N	\N	t	f
7024	4826	Chikwawa	no	0	2013-06-05 09:16:06.518773+02	1	Chikwawa	\N	\N	\N	\N	\N	\N	t	f
6450	1530	Departamento Carazo	de	0	2013-06-05 08:51:24.017704+02	1	Departamento Carazo	\N	\N	\N	\N	\N	\N	t	f
6467	3689	Lac	et	0	2013-06-05 08:52:07.520741+02	1	Lac	\N	\N	\N	\N	\N	\N	t	f
7124	1497	バハ・カリフォルニア・スル州	ja	0	2013-06-05 09:20:10.465665+02	1	バハ・カリフォルニア・スル州	\N	\N	\N	\N	\N	\N	t	f
10689	1212	Corozal District	de	0	2013-06-05 11:54:06.557638+02	1	Corozal District	\N	\N	\N	\N	\N	\N	t	f
7175	1723	Ağdam	no	0	2013-06-05 09:22:18.593693+02	1	Ağdam	\N	\N	\N	\N	\N	\N	t	f
7826	4886	Albay	de	0	2013-06-05 09:50:33.080142+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
7184	2256	Municipality of Aerodrom	en	0	2013-06-05 09:22:41.455765+02	1	Municipality of Aerodrom	\N	\N	\N	\N	\N	\N	t	f
7216	3319	Al Qalyubiyah	no	0	2013-06-05 09:24:00.479439+02	1	Al Qalyubiyah	\N	\N	\N	\N	\N	\N	t	f
9079	3301	Aïn Témouchent Province	en	0	2013-06-05 10:44:19.6075+02	1	Aïn Témouchent Province	\N	\N	\N	\N	\N	\N	t	f
7844	4632	Cagliari	nl	0	2013-06-05 09:51:17.602004+02	1	Cagliari	\N	\N	\N	\N	\N	\N	t	f
9082	3301	provincia di Aïn Témouchent	it	0	2013-06-05 10:44:26.789683+02	1	provincia di Aïn Témouchent	\N	\N	\N	\N	\N	\N	t	f
9150	3401	Bomi County	de	0	2013-06-05 10:48:08.270043+02	1	Bomi County	\N	\N	\N	\N	\N	\N	t	f
11173	4367	Ariège	fi	0	2013-06-05 12:15:14.432176+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
9211	1733	Cəlilabad	de	0	2013-06-05 10:50:35.571123+02	1	Cəlilabad	\N	\N	\N	\N	\N	\N	t	f
9228	2230	Κισινάου	el	0	2013-06-05 10:51:17.115338+02	1	Κισινάου	\N	\N	\N	\N	\N	\N	t	f
9948	1068	Région de Cuzco	fr	0	2013-06-05 11:22:06.360404+02	1	Région de Cuzco	\N	\N	\N	\N	\N	\N	t	f
11237	4314	Province of Badajoz	en	0	2013-06-05 12:17:52.381309+02	1	Province of Badajoz	\N	\N	\N	\N	\N	\N	t	f
10498	2861	Baghlân	fr	0	2013-06-05 11:46:02.120432+02	1	Baghlân	\N	\N	\N	\N	\N	\N	t	f
10586	2943	Babil	nl	0	2013-06-05 11:49:53.272803+02	1	Babil	\N	\N	\N	\N	\N	\N	t	f
10679	1165	Μπαρμπούντα	el	0	2013-06-05 11:53:42.244285+02	1	Μπαρμπούντα	\N	\N	\N	\N	\N	\N	t	f
11296	3617	Jartum	es	0	2013-06-05 12:20:16.413748+02	1	Jartum	\N	\N	\N	\N	\N	\N	t	f
11324	517	Bingölin maakunta	fi	0	2013-06-05 12:21:24.637756+02	1	Bingölin maakunta	\N	\N	\N	\N	\N	\N	t	f
3140	3340	Afar	es	0	2013-05-27 19:49:35.87333+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3535	2828	Distrito de Bumthang	es	0	2013-06-05 06:44:15.283324+02	1	Distrito de Bumthang	\N	\N	\N	\N	\N	\N	t	f
3573	1837	Córcega	es	0	2013-06-05 06:46:14.003677+02	1	Córcega	\N	\N	\N	\N	\N	\N	t	f
4063	2892	Provincia di Čuj	it	0	2013-06-05 07:07:39.144209+02	1	Provincia di Čuj	\N	\N	\N	\N	\N	\N	t	f
4090	4589	Comté de Cork	fr	0	2013-06-05 07:08:50.654165+02	1	Comté de Cork	\N	\N	\N	\N	\N	\N	t	f
4556	3330	Gouvernement as-Sadis min Uktubar	de	0	2013-06-05 07:29:05.972915+02	1	Gouvernement as-Sadis min Uktubar	\N	\N	\N	\N	\N	\N	t	f
4093	4589	County Cork	nl	0	2013-06-05 07:08:58.205986+02	1	County Cork	\N	\N	\N	\N	\N	\N	t	f
4117	2604	Provincia di Binh Duong	it	0	2013-06-05 07:09:57.308005+02	1	Provincia di Binh Duong	\N	\N	\N	\N	\N	\N	t	f
5092	1094	Dipartimento dell'Alto Paraguay	it	0	2013-06-05 07:52:15.283713+02	1	Dipartimento dell'Alto Paraguay	\N	\N	\N	\N	\N	\N	t	f
5131	4078	Barguna (Distrikt)	de	0	2013-06-05 07:53:56.550625+02	1	Barguna (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
5628	1418	Dipartimento di Alta Verapaz	it	0	2013-06-05 08:15:26.798879+02	1	Dipartimento di Alta Verapaz	\N	\N	\N	\N	\N	\N	t	f
5660	3194	Basse-Kotto	en	0	2013-06-05 08:16:48.043654+02	1	Basse-Kotto	\N	\N	\N	\N	\N	\N	t	f
6237	763	Bragança District	en	0	2013-06-05 08:41:42.881021+02	1	Bragança District	\N	\N	\N	\N	\N	\N	t	f
5668	4317	Provinz A Coruña	de	0	2013-06-05 08:17:07.516419+02	1	Provinz A Coruña	\N	\N	\N	\N	\N	\N	t	f
5704	4622	Μπάρι	el	0	2013-06-05 08:18:37.71495+02	1	Μπάρι	\N	\N	\N	\N	\N	\N	t	f
5731	3614	Gadarif	es	0	2013-06-05 08:19:43.700137+02	1	Gadarif	\N	\N	\N	\N	\N	\N	t	f
6239	763	Bragançan piiri	fi	0	2013-06-05 08:41:47.540825+02	1	Bragançan piiri	\N	\N	\N	\N	\N	\N	t	f
5740	981	Arica-Parinacota	fi	0	2013-06-05 08:20:05.569077+02	1	Arica-Parinacota	\N	\N	\N	\N	\N	\N	t	f
5764	713	Corrientesin maakunta	fi	0	2013-06-05 08:21:04.372476+02	1	Corrientesin maakunta	\N	\N	\N	\N	\N	\N	t	f
6973	3308	ブハイラ県	ja	0	2013-06-05 09:13:58.130506+02	1	ブハイラ県	\N	\N	\N	\N	\N	\N	t	f
6338	3507	Central Region	de	0	2013-06-05 08:45:51.611844+02	1	Central Region	\N	\N	\N	\N	\N	\N	t	f
6434	3278	Wilaya d'Annaba	fr	0	2013-06-05 08:50:43.552136+02	1	Wilaya d'Annaba	\N	\N	\N	\N	\N	\N	t	f
6452	1530	Departamento de Carazo	es	0	2013-06-05 08:51:28.770925+02	1	Departamento de Carazo	\N	\N	\N	\N	\N	\N	t	f
6991	4884	Agusan del Sur	no	0	2013-06-05 09:14:45.623523+02	1	Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
7761	2965	Chahār Mahāl ja Bakhtīārī	fi	0	2013-06-05 09:47:40.588984+02	1	Chahār Mahāl ja Bakhtīārī	\N	\N	\N	\N	\N	\N	t	f
7013	3084	Gouvernorat de Lattaquié	fr	0	2013-06-05 09:15:39.896958+02	1	Gouvernorat de Lattaquié	\N	\N	\N	\N	\N	\N	t	f
7020	4826	District de Chikwawa	fr	0	2013-06-05 09:15:57.097446+02	1	District de Chikwawa	\N	\N	\N	\N	\N	\N	t	f
9087	821	Covasna County	en	0	2013-06-05 10:44:44.365872+02	1	Covasna County	\N	\N	\N	\N	\N	\N	t	f
7092	3647	Awdal (Region)	de	0	2013-06-05 09:18:52.192412+02	1	Awdal (Region)	\N	\N	\N	\N	\N	\N	t	f
7105	1669	Choiseul	nl	0	2013-06-05 09:19:23.574158+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
11360	3311	Gouvernorat de Dakahleya	fr	0	2013-06-05 12:23:10.783545+02	1	Gouvernorat de Dakahleya	\N	\N	\N	\N	\N	\N	t	f
7109	3517	Cabo Delgado	es	0	2013-06-05 09:19:33.490078+02	1	Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
9139	2260	Bogdanci Municipality	en	0	2013-06-05 10:47:36.089498+02	1	Bogdanci Municipality	\N	\N	\N	\N	\N	\N	t	f
7136	2332	Centar	it	0	2013-06-05 09:20:40.311687+02	1	Centar	\N	\N	\N	\N	\N	\N	t	f
7137	2332	Centar	nl	0	2013-06-05 09:20:42.637743+02	1	Centar	\N	\N	\N	\N	\N	\N	t	f
11193	3431	Municipalità di Gefara	it	0	2013-06-05 12:16:03.486139+02	1	Municipalità di Gefara	\N	\N	\N	\N	\N	\N	t	f
7171	1723	Ağdamin piirikunta	fi	0	2013-06-05 09:22:09.053698+02	1	Ağdamin piirikunta	\N	\N	\N	\N	\N	\N	t	f
9163	1115	Artigas	fi	0	2013-06-05 10:48:39.140306+02	1	Artigas	\N	\N	\N	\N	\N	\N	t	f
7204	4613	province d'Agrigente	fr	0	2013-06-05 09:23:31.511171+02	1	province d'Agrigente	\N	\N	\N	\N	\N	\N	t	f
9953	3271	Algier	de	0	2013-06-05 11:22:22.143239+02	1	Algier	\N	\N	\N	\N	\N	\N	t	f
9959	3271	Alger	no	0	2013-06-05 11:22:36.334569+02	1	Alger	\N	\N	\N	\N	\N	\N	t	f
11209	4756	Provincia di Azilal	it	0	2013-06-05 12:16:42.936312+02	1	Provincia di Azilal	\N	\N	\N	\N	\N	\N	t	f
10516	3337	Maekel	es	0	2013-06-05 11:46:47.177632+02	1	Maekel	\N	\N	\N	\N	\N	\N	t	f
10523	2227	Criuleni District	en	0	2013-06-05 11:47:04.232435+02	1	Criuleni District	\N	\N	\N	\N	\N	\N	t	f
10558	700	Province du Chaco	fr	0	2013-06-05 11:48:37.598941+02	1	Province du Chaco	\N	\N	\N	\N	\N	\N	t	f
11220	588	Appenzell Innerrhoden	no	0	2013-06-05 12:17:09.892971+02	1	Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
10561	700	Chaco	nl	0	2013-06-05 11:48:44.907387+02	1	Chaco	\N	\N	\N	\N	\N	\N	t	f
10620	407	Aichin prefektuuri	fi	0	2013-06-05 11:51:16.899674+02	1	Aichin prefektuuri	\N	\N	\N	\N	\N	\N	t	f
11486	1107	Coronie	fr	0	2013-06-05 12:28:53.329966+02	1	Coronie	\N	\N	\N	\N	\N	\N	t	f
10629	3549	Bayelsa	et	0	2013-06-05 11:51:38.912258+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
11282	1946	Municipality of Beltinci	en	0	2013-06-05 12:19:42.085608+02	1	Municipality of Beltinci	\N	\N	\N	\N	\N	\N	t	f
10630	3549	Bayelsa	fi	0	2013-06-05 11:51:41.284546+02	1	Bayelsa	\N	\N	\N	\N	\N	\N	t	f
11175	4367	Ariège	it	0	2013-06-05 12:15:19.475314+02	1	Ariège	\N	\N	\N	\N	\N	\N	t	f
11290	702	provincia di Catamarca	it	0	2013-06-05 12:20:01.580652+02	1	provincia di Catamarca	\N	\N	\N	\N	\N	\N	t	f
11346	905	Birkirkara	fr	0	2013-06-05 12:22:19.457211+02	1	Birkirkara	\N	\N	\N	\N	\N	\N	t	f
3141	3340	Afari osariik	et	0	2013-05-27 19:49:38.14054+02	1	Afari osariik	\N	\N	\N	\N	\N	\N	t	f
3142	3340	Afar	fi	0	2013-05-27 19:49:40.336185+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3143	3340	Afar	fr	0	2013-05-27 19:49:42.551548+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3536	2828	Bumthangi ringkond	et	0	2013-06-05 06:44:18.071043+02	1	Bumthangi ringkond	\N	\N	\N	\N	\N	\N	t	f
3144	3340	Regione degli Afar	it	0	2013-05-27 19:49:44.766949+02	1	Regione degli Afar	\N	\N	\N	\N	\N	\N	t	f
3145	3340	アファール州	ja	0	2013-05-27 19:49:46.992523+02	1	アファール州	\N	\N	\N	\N	\N	\N	t	f
4064	2892	チュイ州	ja	0	2013-06-05 07:07:44.820577+02	1	チュイ州	\N	\N	\N	\N	\N	\N	t	f
3146	3340	Afar	nl	0	2013-05-27 19:49:52.243918+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3147	3340	Afar	no	0	2013-05-27 19:49:55.06945+02	1	Afar	\N	\N	\N	\N	\N	\N	t	f
3148	2149	Municipality of Šmarješke Toplice	en	0	2013-05-27 19:49:57.720596+02	1	Municipality of Šmarješke Toplice	\N	\N	\N	\N	\N	\N	t	f
4075	3621	Norte	es	0	2013-06-05 07:08:13.591489+02	1	Norte	\N	\N	\N	\N	\N	\N	t	f
3149	1765	Şəki	de	0	2013-05-27 19:50:00.30983+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
3150	1765	Shaki Rayon	en	0	2013-05-27 19:50:02.531769+02	1	Shaki Rayon	\N	\N	\N	\N	\N	\N	t	f
4560	3330	Governatorato del 6 ottobre	it	0	2013-06-05 07:29:15.507693+02	1	Governatorato del 6 ottobre	\N	\N	\N	\N	\N	\N	t	f
3164	3089	Tartus	no	0	2013-05-27 19:50:34.834038+02	1	Tartus	\N	\N	\N	\N	\N	\N	t	f
4101	1486	Quartiere di Choiseul	it	0	2013-06-05 07:09:18.046345+02	1	Quartiere di Choiseul	\N	\N	\N	\N	\N	\N	t	f
3216	1742	İmişli	nl	0	2013-05-27 19:52:36.008039+02	1	İmişli	\N	\N	\N	\N	\N	\N	t	f
3165	4246	Okres Český Krumlov	de	0	2013-05-27 19:50:37.477977+02	1	Okres Český Krumlov	\N	\N	\N	\N	\N	\N	t	f
3168	4246	Distretto di Český Krumlov	it	0	2013-05-27 19:50:44.130224+02	1	Distretto di Český Krumlov	\N	\N	\N	\N	\N	\N	t	f
4106	789	Canillo	fi	0	2013-06-05 07:09:30.283314+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4568	2220	Bălți	fi	0	2013-06-05 07:29:40.981464+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
5093	1094	アルト・パラグアイ県	ja	0	2013-06-05 07:52:17.663617+02	1	アルト・パラグアイ県	\N	\N	\N	\N	\N	\N	t	f
4569	2220	Bălți	fr	0	2013-06-05 07:29:43.372697+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
4617	1832	Clipperton Island	en	0	2013-06-05 07:31:46.024366+02	1	Clipperton Island	\N	\N	\N	\N	\N	\N	t	f
4623	1832	クリッパートン島	ja	0	2013-06-05 07:32:00.449969+02	1	クリッパートン島	\N	\N	\N	\N	\N	\N	t	f
5108	3445	Zauiya	es	0	2013-06-05 07:52:54.469421+02	1	Zauiya	\N	\N	\N	\N	\N	\N	t	f
4626	2860	Badachschan	de	0	2013-06-05 07:32:08.164404+02	1	Badachschan	\N	\N	\N	\N	\N	\N	t	f
5641	796	Επαρχία Αλύτους	el	0	2013-06-05 08:16:02.370741+02	1	Επαρχία Αλύτους	\N	\N	\N	\N	\N	\N	t	f
5117	4156	Boulgou	fi	0	2013-06-05 07:53:21.026732+02	1	Boulgou	\N	\N	\N	\N	\N	\N	t	f
5647	796	Contea di Alytus	it	0	2013-06-05 08:16:16.513481+02	1	Contea di Alytus	\N	\N	\N	\N	\N	\N	t	f
6238	763	Distrito de Braganza	es	0	2013-06-05 08:41:45.214415+02	1	Distrito de Braganza	\N	\N	\N	\N	\N	\N	t	f
5710	4622	provincia di Bari	it	0	2013-06-05 08:18:52.107466+02	1	provincia di Bari	\N	\N	\N	\N	\N	\N	t	f
5720	3264	Blida	no	0	2013-06-05 08:19:16.479018+02	1	Blida	\N	\N	\N	\N	\N	\N	t	f
6281	812	Bistrița-Năsăudi maakond	et	0	2013-06-05 08:43:30.620064+02	1	Bistrița-Năsăudi maakond	\N	\N	\N	\N	\N	\N	t	f
6975	3308	Al Buhayrah	no	0	2013-06-05 09:14:02.908049+02	1	Al Buhayrah	\N	\N	\N	\N	\N	\N	t	f
6291	3398	Gran Comora	es	0	2013-06-05 08:43:54.800061+02	1	Gran Comora	\N	\N	\N	\N	\N	\N	t	f
6311	2790	Aileu (Distrikt)	de	0	2013-06-05 08:44:44.575915+02	1	Aileu (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
7762	2965	Chahar Mahaal et Bakhtiari	fr	0	2013-06-05 09:47:42.965865+02	1	Chahar Mahaal et Bakhtiari	\N	\N	\N	\N	\N	\N	t	f
6366	3772	Κεντρική Επαρχία (Ζάμπια)	el	0	2013-06-05 08:47:04.207233+02	1	Κεντρική Επαρχία (Ζάμπια)	\N	\N	\N	\N	\N	\N	t	f
11221	1187	Central Andros	en	0	2013-06-05 12:17:12.831413+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
7924	454	Bonaire	fr	0	2013-06-05 09:54:40.91545+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
9113	2940	Governatorato di al-Anbar	it	0	2013-06-05 10:46:21.834962+02	1	Governatorato di al-Anbar	\N	\N	\N	\N	\N	\N	t	f
7946	820	コンスタンツァ県	ja	0	2013-06-05 09:55:35.880512+02	1	コンスタンツァ県	\N	\N	\N	\N	\N	\N	t	f
7967	2205	Athos	no	0	2013-06-05 09:56:28.856307+02	1	Athos	\N	\N	\N	\N	\N	\N	t	f
10691	1212	Distrito de Corozal	es	0	2013-06-05 11:54:11.381225+02	1	Distrito de Corozal	\N	\N	\N	\N	\N	\N	t	f
7976	2646	Attapeu	no	0	2013-06-05 09:56:50.733518+02	1	Attapeu	\N	\N	\N	\N	\N	\N	t	f
9122	4544	Nome de la Canée	fr	0	2013-06-05 10:46:49.009528+02	1	Nome de la Canée	\N	\N	\N	\N	\N	\N	t	f
7989	1181	Îles Bimini	fr	0	2013-06-05 09:57:22.879631+02	1	Îles Bimini	\N	\N	\N	\N	\N	\N	t	f
7993	1181	Bimini	no	0	2013-06-05 09:57:32.640123+02	1	Bimini	\N	\N	\N	\N	\N	\N	t	f
7994	2262	Bosilovo Municipality	en	0	2013-06-05 09:57:38.190674+02	1	Bosilovo Municipality	\N	\N	\N	\N	\N	\N	t	f
9202	4512	Arta	de	0	2013-06-05 10:50:13.956074+02	1	Arta	\N	\N	\N	\N	\N	\N	t	f
9280	2156	Chiesanuova	fi	0	2013-06-05 10:53:24.049986+02	1	Chiesanuova	\N	\N	\N	\N	\N	\N	t	f
10709	4642	Province de Catane	fr	0	2013-06-05 11:54:55.106873+02	1	Province de Catane	\N	\N	\N	\N	\N	\N	t	f
9955	3271	Provincia de Argel	es	0	2013-06-05 11:22:26.831114+02	1	Provincia de Argel	\N	\N	\N	\N	\N	\N	t	f
10518	3337	Regione Centrale	it	0	2013-06-05 11:46:51.950486+02	1	Regione Centrale	\N	\N	\N	\N	\N	\N	t	f
10552	1004	Cesar	no	0	2013-06-05 11:48:22.702758+02	1	Cesar	\N	\N	\N	\N	\N	\N	t	f
10712	4642	Catania	nl	0	2013-06-05 11:55:02.289288+02	1	Catania	\N	\N	\N	\N	\N	\N	t	f
10565	508	Afyonkarahisar Province	en	0	2013-06-05 11:48:58.204863+02	1	Afyonkarahisar Province	\N	\N	\N	\N	\N	\N	t	f
11230	1721	Ağstafan piirikunta	fi	0	2013-06-05 12:17:35.159885+02	1	Ağstafan piirikunta	\N	\N	\N	\N	\N	\N	t	f
11179	810	Kreis Bacău	de	0	2013-06-05 12:15:29.689125+02	1	Kreis Bacău	\N	\N	\N	\N	\N	\N	t	f
11181	810	Bacău	es	0	2013-06-05 12:15:34.379427+02	1	Bacău	\N	\N	\N	\N	\N	\N	t	f
11480	357	アーケシュフース県	ja	0	2013-06-05 12:28:38.732919+02	1	アーケシュフース県	\N	\N	\N	\N	\N	\N	t	f
3152	1765	Şəkin piirikunta	fi	0	2013-05-27 19:50:07.445452+02	1	Şəkin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3153	1765	Şəki	fr	0	2013-05-27 19:50:09.662586+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
3154	1765	Şəki	nl	0	2013-05-27 19:50:11.870468+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
3537	2828	Bumthang	fi	0	2013-06-05 06:44:21.194883+02	1	Bumthang	\N	\N	\N	\N	\N	\N	t	f
3155	1765	Şəki	no	0	2013-05-27 19:50:14.131187+02	1	Şəki	\N	\N	\N	\N	\N	\N	t	f
3157	3089	Ταρτούς	el	0	2013-05-27 19:50:19.155908+02	1	Ταρτούς	\N	\N	\N	\N	\N	\N	t	f
3583	3235	Bafing	es	0	2013-06-05 06:46:48.654397+02	1	Bafing	\N	\N	\N	\N	\N	\N	t	f
4065	2892	Tsjoej	nl	0	2013-06-05 07:07:47.240728+02	1	Tsjoej	\N	\N	\N	\N	\N	\N	t	f
3111	3002	ハワリ県	ja	0	2013-06-05 07:08:05.346586+02	1	ハワリけん	\N	\N	\N	\N	\N	\N	t	f
4137	1280	Banská Bystrica	nl	0	2013-06-05 07:10:48.033852+02	1	Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
4561	3330	10月6日県	ja	0	2013-06-05 07:29:18.078975+02	1	10月6日県	\N	\N	\N	\N	\N	\N	t	f
4562	3330	Zes Oktober	nl	0	2013-06-05 07:29:20.513785+02	1	Zes Oktober	\N	\N	\N	\N	\N	\N	t	f
5130	2527	Bajankhongor	no	0	2013-06-05 07:53:53.619525+02	1	Bajankhongor	\N	\N	\N	\N	\N	\N	t	f
4567	2220	Bălți	et	0	2013-06-05 07:29:38.516224+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
4600	994	Amazonas	fr	0	2013-06-05 07:31:03.26174+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
5673	4317	Province de La Corogne	fr	0	2013-06-05 08:17:19.306908+02	1	Province de La Corogne	\N	\N	\N	\N	\N	\N	t	f
5728	1725	Ağsu	no	0	2013-06-05 08:19:35.945853+02	1	Ağsu	\N	\N	\N	\N	\N	\N	t	f
6240	763	District de Bragance	fr	0	2013-06-05 08:41:49.866384+02	1	District de Bragance	\N	\N	\N	\N	\N	\N	t	f
5729	3614	Al-Qadarif	de	0	2013-06-05 08:19:38.651196+02	1	Al-Qadarif	\N	\N	\N	\N	\N	\N	t	f
5742	981	Regione di Arica e Parinacota	it	0	2013-06-05 08:20:10.311949+02	1	Regione di Arica e Parinacota	\N	\N	\N	\N	\N	\N	t	f
5746	2649	Provinz Champasak	de	0	2013-06-05 08:20:20.279521+02	1	Provinz Champasak	\N	\N	\N	\N	\N	\N	t	f
6370	3772	Provincia Centrale	it	0	2013-06-05 08:47:13.736935+02	1	Provincia Centrale	\N	\N	\N	\N	\N	\N	t	f
5752	2649	チャンパーサック県	ja	0	2013-06-05 08:20:34.592711+02	1	チャンパーサック県	\N	\N	\N	\N	\N	\N	t	f
5753	2649	Champassak	nl	0	2013-06-05 08:20:36.956227+02	1	Champassak	\N	\N	\N	\N	\N	\N	t	f
6979	3162	Borgou	fr	0	2013-06-05 09:14:12.735137+02	1	Borgou	\N	\N	\N	\N	\N	\N	t	f
6393	1629	Chathamøyene	no	0	2013-06-05 08:48:44.573902+02	1	Chathamøyene	\N	\N	\N	\N	\N	\N	t	f
6400	819	Distretto di Caraș-Severin	it	0	2013-06-05 08:49:05.122457+02	1	Distretto di Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
7207	4613	Agrigento	nl	0	2013-06-05 09:23:38.716656+02	1	Agrigento	\N	\N	\N	\N	\N	\N	t	f
7763	2965	Regione di Chahar Mahal e Bakhtiari	it	0	2013-06-05 09:47:45.357527+02	1	Regione di Chahar Mahal e Bakhtiari	\N	\N	\N	\N	\N	\N	t	f
7220	4289	Distretto di Brno-venkov	it	0	2013-06-05 09:24:10.480715+02	1	Distretto di Brno-venkov	\N	\N	\N	\N	\N	\N	t	f
7793	2225	Călărașin piiri	fi	0	2013-06-05 09:48:59.828747+02	1	Călărașin piiri	\N	\N	\N	\N	\N	\N	t	f
9124	4544	ハニア県	ja	0	2013-06-05 10:46:53.782439+02	1	ハニア県	\N	\N	\N	\N	\N	\N	t	f
7943	820	Constanța	fi	0	2013-06-05 09:55:28.315849+02	1	Constanța	\N	\N	\N	\N	\N	\N	t	f
7995	2262	Municipalidad de Bosilovo	es	0	2013-06-05 09:57:40.533947+02	1	Municipalidad de Bosilovo	\N	\N	\N	\N	\N	\N	t	f
11185	810	Distretto di Bacău	it	0	2013-06-05 12:15:43.925289+02	1	Distretto di Bacău	\N	\N	\N	\N	\N	\N	t	f
9133	1499	Chihuahua	fi	0	2013-06-05 10:47:21.41731+02	1	Chihuahua	\N	\N	\N	\N	\N	\N	t	f
9136	1499	チワワ州	ja	0	2013-06-05 10:47:28.533153+02	1	チワワ州	\N	\N	\N	\N	\N	\N	t	f
9159	3401	Bomi	no	0	2013-06-05 10:48:29.406444+02	1	Bomi	\N	\N	\N	\N	\N	\N	t	f
11263	3425	Bengasi	de	0	2013-06-05 12:18:55.938536+02	1	Bengasi	\N	\N	\N	\N	\N	\N	t	f
9166	1115	アルティガス県	ja	0	2013-06-05 10:48:46.466768+02	1	アルティガス県	\N	\N	\N	\N	\N	\N	t	f
9176	518	Bitlis	no	0	2013-06-05 10:49:10.888382+02	1	Bitlis	\N	\N	\N	\N	\N	\N	t	f
9248	3129	Boucle du Mouhoun	no	0	2013-06-05 10:52:05.220536+02	1	Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
11361	3311	Governatorato di Daqahliyya	it	0	2013-06-05 12:23:13.917275+02	1	Governatorato di Daqahliyya	\N	\N	\N	\N	\N	\N	t	f
9249	1829	Elsass	de	0	2013-06-05 10:52:08.170147+02	1	Elsass	\N	\N	\N	\N	\N	\N	t	f
9961	3442	Al Wahat District	en	0	2013-06-05 11:22:41.642494+02	1	Al Wahat District	\N	\N	\N	\N	\N	\N	t	f
10546	1004	Cesar	es	0	2013-06-05 11:48:08.400881+02	1	Cesar	\N	\N	\N	\N	\N	\N	t	f
11402	2229	distretto di Cantemir	it	0	2013-06-05 12:25:23.171065+02	1	distretto di Cantemir	\N	\N	\N	\N	\N	\N	t	f
10563	508	Afyonkarahisar	de	0	2013-06-05 11:48:53.464994+02	1	Afyonkarahisar	\N	\N	\N	\N	\N	\N	t	f
10635	2139	Municipality of Cirkulane	en	0	2013-06-05 11:51:53.59278+02	1	Municipality of Cirkulane	\N	\N	\N	\N	\N	\N	t	f
10695	1212	Corozal	nl	0	2013-06-05 11:54:20.861274+02	1	Corozal	\N	\N	\N	\N	\N	\N	t	f
11426	2093	Bloke	it	0	2013-06-05 12:26:26.435777+02	1	Bloke	\N	\N	\N	\N	\N	\N	t	f
11439	4619	Αρέτσο	el	0	2013-06-05 12:26:58.661341+02	1	Αρέτσο	\N	\N	\N	\N	\N	\N	t	f
11474	357	Akershus	en	0	2013-06-05 12:28:24.438706+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
11493	3181	Bandundu	fr	0	2013-06-05 12:29:10.331761+02	1	Bandundu	\N	\N	\N	\N	\N	\N	t	f
3158	3089	Tartus Governorate	en	0	2013-05-27 19:50:21.364047+02	1	Tartus Governorate	\N	\N	\N	\N	\N	\N	t	f
3210	1742	İmişli (Rayon)	de	0	2013-05-27 19:52:22.509396+02	1	İmişli (Rayon)	\N	\N	\N	\N	\N	\N	t	f
3159	3089	Gobernación de Tartus	es	0	2013-05-27 19:50:23.569987+02	1	Gobernación de Tartus	\N	\N	\N	\N	\N	\N	t	f
3185	2989	Subdivision d'Amman	fr	0	2013-05-27 19:51:24.265443+02	1	Subdivision d'Amman	\N	\N	\N	\N	\N	\N	t	f
3160	3089	Gouvernorat de Tartous	fr	0	2013-05-27 19:50:25.788795+02	1	Gouvernorat de Tartous	\N	\N	\N	\N	\N	\N	t	f
3161	3089	Governatorato di Tartus	it	0	2013-05-27 19:50:27.981574+02	1	Governatorato di Tartus	\N	\N	\N	\N	\N	\N	t	f
3200	539	Istanbul	fr	0	2013-05-27 19:51:58.854827+02	1	Istanbul	\N	\N	\N	\N	\N	\N	t	f
3162	3089	タルトゥース県	ja	0	2013-05-27 19:50:30.231625+02	1	タルトゥース県	\N	\N	\N	\N	\N	\N	t	f
3186	2989	Governatorato di Amman	it	0	2013-05-27 19:51:26.457902+02	1	Governatorato di Amman	\N	\N	\N	\N	\N	\N	t	f
3163	3089	Tartous	nl	0	2013-05-27 19:50:32.569815+02	1	Tartous	\N	\N	\N	\N	\N	\N	t	f
3169	4246	Okres Český Krumlov	nl	0	2013-05-27 19:50:46.398207+02	1	Okres Český Krumlov	\N	\N	\N	\N	\N	\N	t	f
3170	4246	Český Krumlov	no	0	2013-05-27 19:50:48.633007+02	1	Český Krumlov	\N	\N	\N	\N	\N	\N	t	f
3187	2989	アンマン県	ja	0	2013-05-27 19:51:28.71189+02	1	アンマン県	\N	\N	\N	\N	\N	\N	t	f
3171	1338	Ķegums municipality	en	0	2013-05-27 19:50:51.133656+02	1	Ķegums municipality	\N	\N	\N	\N	\N	\N	t	f
3172	1338	Municipalidad de Ķegums	es	0	2013-05-27 19:50:53.351337+02	1	Municipalidad de Ķegums	\N	\N	\N	\N	\N	\N	t	f
3173	1338	Ķegumsi piirkond	et	0	2013-05-27 19:50:55.59216+02	1	Ķegumsi piirkond	\N	\N	\N	\N	\N	\N	t	f
3188	2989	Amman	nl	0	2013-05-27 19:51:30.959085+02	1	Amman	\N	\N	\N	\N	\N	\N	t	f
3174	1338	Ķegums	it	0	2013-05-27 19:50:57.79091+02	1	Ķegums	\N	\N	\N	\N	\N	\N	t	f
3175	1338	Ķeguma novads	nl	0	2013-05-27 19:51:00.113094+02	1	Ķeguma novads	\N	\N	\N	\N	\N	\N	t	f
3201	539	Provincia di Istanbul	it	0	2013-05-27 19:52:01.102917+02	1	Provincia di Istanbul	\N	\N	\N	\N	\N	\N	t	f
3176	4269	Okres Česká Lípa	de	0	2013-05-27 19:51:02.659084+02	1	Okres Česká Lípa	\N	\N	\N	\N	\N	\N	t	f
3189	2334	Opština Čair	de	0	2013-05-27 19:51:33.503462+02	1	Opština Čair	\N	\N	\N	\N	\N	\N	t	f
3177	4269	Česká Lípa District	en	0	2013-05-27 19:51:04.878113+02	1	Česká Lípa District	\N	\N	\N	\N	\N	\N	t	f
3178	4269	District de Česká Lípa	fr	0	2013-05-27 19:51:07.091986+02	1	District de Česká Lípa	\N	\N	\N	\N	\N	\N	t	f
3179	4269	Distretto di Česká Lípa	it	0	2013-05-27 19:51:09.359844+02	1	Distretto di Česká Lípa	\N	\N	\N	\N	\N	\N	t	f
3190	2334	Municipality of Čair	en	0	2013-05-27 19:51:35.751864+02	1	Municipality of Čair	\N	\N	\N	\N	\N	\N	t	f
3180	4269	Okres Česká Lípa	nl	0	2013-05-27 19:51:11.653825+02	1	Okres Česká Lípa	\N	\N	\N	\N	\N	\N	t	f
3181	2989	Amman (Gouvernement)	de	0	2013-05-27 19:51:14.21714+02	1	Amman (Gouvernement)	\N	\N	\N	\N	\N	\N	t	f
3182	2989	Amman Governorate	en	0	2013-05-27 19:51:16.469764+02	1	Amman Governorate	\N	\N	\N	\N	\N	\N	t	f
3191	2334	Municipalidad de Čair	es	0	2013-05-27 19:51:38.012487+02	1	Municipalidad de Čair	\N	\N	\N	\N	\N	\N	t	f
3183	2989	Gobernación de Ammán	es	0	2013-05-27 19:51:18.668113+02	1	Gobernación de Ammán	\N	\N	\N	\N	\N	\N	t	f
3184	2989	Amman (kuvernoraatti)	fi	0	2013-05-27 19:51:21.80657+02	1	Amman (kuvernoraatti)	\N	\N	\N	\N	\N	\N	t	f
3202	539	イスタンブル県	ja	0	2013-05-27 19:52:03.382827+02	1	イスタンブル県	\N	\N	\N	\N	\N	\N	t	f
3192	2334	Tchaïr	fr	0	2013-05-27 19:51:40.305229+02	1	Tchaïr	\N	\N	\N	\N	\N	\N	t	f
3193	2334	Čair	it	0	2013-05-27 19:51:42.512061+02	1	Čair	\N	\N	\N	\N	\N	\N	t	f
3211	1742	Imishli Rayon	en	0	2013-05-27 19:52:24.748427+02	1	Imishli Rayon	\N	\N	\N	\N	\N	\N	t	f
3194	2334	Čair	nl	0	2013-05-27 19:51:44.723964+02	1	Čair	\N	\N	\N	\N	\N	\N	t	f
3203	539	Istanboel	nl	0	2013-05-27 19:52:05.746814+02	1	Istanboel	\N	\N	\N	\N	\N	\N	t	f
3195	539	Istanbul	de	0	2013-05-27 19:51:47.401102+02	1	Istanbul	\N	\N	\N	\N	\N	\N	t	f
3196	539	Επαρχία Κωνσταντινούπολης	el	0	2013-05-27 19:51:49.590875+02	1	Επαρχία Κωνσταντινούπολης	\N	\N	\N	\N	\N	\N	t	f
3197	539	Istanbul Province	en	0	2013-05-27 19:51:51.779158+02	1	Istanbul Province	\N	\N	\N	\N	\N	\N	t	f
3204	539	İstanbul	no	0	2013-05-27 19:52:08.088255+02	1	İstanbul	\N	\N	\N	\N	\N	\N	t	f
3198	539	Provincia de Estambul	es	0	2013-05-27 19:51:54.06971+02	1	Provincia de Estambul	\N	\N	\N	\N	\N	\N	t	f
3199	539	İstanbulin maakunta	fi	0	2013-05-27 19:51:56.360642+02	1	İstanbulin maakunta	\N	\N	\N	\N	\N	\N	t	f
3221	3082	Gobernación de Hama	es	0	2013-05-27 19:52:48.702064+02	1	Gobernación de Hama	\N	\N	\N	\N	\N	\N	t	f
3205	1339	Ķekava municipality	en	0	2013-05-27 19:52:10.677304+02	1	Ķekava municipality	\N	\N	\N	\N	\N	\N	t	f
3212	1742	İmişli (raión)	es	0	2013-05-27 19:52:26.938017+02	1	İmişli (raión)	\N	\N	\N	\N	\N	\N	t	f
3206	1339	Municipalidad de Ķekava	es	0	2013-05-27 19:52:12.928062+02	1	Municipalidad de Ķekava	\N	\N	\N	\N	\N	\N	t	f
3207	1339	Ķekava piirkond	et	0	2013-05-27 19:52:15.455481+02	1	Ķekava piirkond	\N	\N	\N	\N	\N	\N	t	f
3217	1742	İmişli (distrikt)	no	0	2013-05-27 19:52:38.28128+02	1	İmişli (distrikt)	\N	\N	\N	\N	\N	\N	t	f
3208	1339	Ķekava	it	0	2013-05-27 19:52:17.70104+02	1	Ķekava	\N	\N	\N	\N	\N	\N	t	f
3213	1742	İmişlin piirikunta	fi	0	2013-05-27 19:52:29.224685+02	1	İmişlin piirikunta	\N	\N	\N	\N	\N	\N	t	f
3209	1339	Ķekavas novads	nl	0	2013-05-27 19:52:19.918614+02	1	Ķekavas novads	\N	\N	\N	\N	\N	\N	t	f
3214	1742	İmişli (raion)	fr	0	2013-05-27 19:52:31.476265+02	1	İmişli (raion)	\N	\N	\N	\N	\N	\N	t	f
3218	3082	Gouvernement Hama	de	0	2013-05-27 19:52:40.864713+02	1	Gouvernement Hama	\N	\N	\N	\N	\N	\N	t	f
3215	1742	distretto di İmişli	it	0	2013-05-27 19:52:33.747191+02	1	distretto di İmişli	\N	\N	\N	\N	\N	\N	t	f
3223	3082	Governatorato di Hama	it	0	2013-05-27 19:52:53.171357+02	1	Governatorato di Hama	\N	\N	\N	\N	\N	\N	t	f
3219	3082	Χάμα	el	0	2013-05-27 19:52:44.160066+02	1	Χάμα	\N	\N	\N	\N	\N	\N	t	f
3222	3082	Gouvernorat de Hama	fr	0	2013-05-27 19:52:50.932857+02	1	Gouvernorat de Hama	\N	\N	\N	\N	\N	\N	t	f
3220	3082	Hama Governorate	en	0	2013-05-27 19:52:46.470668+02	1	Hama Governorate	\N	\N	\N	\N	\N	\N	t	f
3225	3082	Hama	nl	0	2013-05-27 19:52:57.615171+02	1	Hama	\N	\N	\N	\N	\N	\N	t	f
3224	3082	ハマー県	ja	0	2013-05-27 19:52:55.39134+02	1	ハマー県	\N	\N	\N	\N	\N	\N	t	f
3227	801	Bezirk Šiauliai	de	0	2013-05-27 19:53:02.72473+02	1	Bezirk Šiauliai	\N	\N	\N	\N	\N	\N	t	f
3226	3082	Hama	no	0	2013-05-27 19:52:59.90302+02	1	Hama	\N	\N	\N	\N	\N	\N	t	f
3228	801	Επαρχία Σιαουλιάι	el	0	2013-05-27 19:53:04.998053+02	1	Επαρχία Σιαουλιάι	\N	\N	\N	\N	\N	\N	t	f
3229	801	Šiauliai County	en	0	2013-05-27 19:53:10.438898+02	1	Šiauliai County	\N	\N	\N	\N	\N	\N	t	f
3230	801	Provincia de Šiauliai	es	0	2013-05-27 19:53:12.680218+02	1	Provincia de Šiauliai	\N	\N	\N	\N	\N	\N	t	f
3231	801	Šiauliai maakond	et	0	2013-05-27 19:53:15.853452+02	1	Šiauliai maakond	\N	\N	\N	\N	\N	\N	t	f
3232	801	Šiauliain lääni	fi	0	2013-05-27 19:53:18.079343+02	1	Šiauliain lääni	\N	\N	\N	\N	\N	\N	t	f
3233	801	Apskritis de Šiauliai	fr	0	2013-05-27 19:53:20.325767+02	1	Apskritis de Šiauliai	\N	\N	\N	\N	\N	\N	t	f
3236	801	Šiauliai	nl	0	2013-05-27 19:53:31.73592+02	1	Šiauliai	\N	\N	\N	\N	\N	\N	t	f
3234	801	Contea di Šiauliai	it	0	2013-05-27 19:53:22.562685+02	1	Contea di Šiauliai	\N	\N	\N	\N	\N	\N	t	f
3538	2828	Bumthang	fr	0	2013-06-05 06:44:23.659428+02	1	Bumthang	\N	\N	\N	\N	\N	\N	t	f
3548	4781	アイリングラップ環礁	ja	0	2013-06-05 06:44:51.268445+02	1	アイリングラップ環礁	\N	\N	\N	\N	\N	\N	t	f
4068	4783	Aur	es	0	2013-06-05 07:07:54.681842+02	1	Aur	\N	\N	\N	\N	\N	\N	t	f
3551	997	Atlántico Department	en	0	2013-06-05 06:45:01.749986+02	1	Atlántico Department	\N	\N	\N	\N	\N	\N	t	f
4074	3621	Northern	en	0	2013-06-05 07:08:09.549253+02	1	Northern	\N	\N	\N	\N	\N	\N	t	f
4563	2220	Bălți	de	0	2013-06-05 07:29:26.080898+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
4077	3621	Nord	it	0	2013-06-05 07:08:18.365179+02	1	Nord	\N	\N	\N	\N	\N	\N	t	f
4092	4589	コーク州	ja	0	2013-06-05 07:08:55.626294+02	1	コーク州	\N	\N	\N	\N	\N	\N	t	f
4103	789	Canillo	de	0	2013-06-05 07:09:23.20765+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4572	2220	Bălți	nl	0	2013-06-05 07:29:50.682457+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
4129	1280	Banskobystrický kraj	de	0	2013-06-05 07:10:28.017983+02	1	Banskobystrický kraj	\N	\N	\N	\N	\N	\N	t	f
5133	4078	Barguna (zila)	es	0	2013-06-05 07:54:01.204457+02	1	Barguna (zila)	\N	\N	\N	\N	\N	\N	t	f
4576	3796	Ville et district d'Armagh	fr	0	2013-06-05 07:30:00.616991+02	1	Ville et district d'Armagh	\N	\N	\N	\N	\N	\N	t	f
4652	3778	Copperbelt	fr	0	2013-06-05 07:33:12.012071+02	1	Copperbelt	\N	\N	\N	\N	\N	\N	t	f
5685	3085	Gouvernement Quneitra	de	0	2013-06-05 08:17:51.580263+02	1	Gouvernement Quneitra	\N	\N	\N	\N	\N	\N	t	f
6241	763	Distretto di Braganza	it	0	2013-06-05 08:41:52.653634+02	1	Distretto di Braganza	\N	\N	\N	\N	\N	\N	t	f
6376	2916	Provincia de Ahal	es	0	2013-06-05 08:47:29.342489+02	1	Provincia de Ahal	\N	\N	\N	\N	\N	\N	t	f
6980	3162	Dipartimento di Borgou	it	0	2013-06-05 09:14:15.077021+02	1	Dipartimento di Borgou	\N	\N	\N	\N	\N	\N	t	f
6379	2916	Ahal	fr	0	2013-06-05 08:47:36.681361+02	1	Ahal	\N	\N	\N	\N	\N	\N	t	f
6387	1629	Chathami saared	et	0	2013-06-05 08:48:12.691002+02	1	Chathami saared	\N	\N	\N	\N	\N	\N	t	f
6389	1629	Îles Chatham	fr	0	2013-06-05 08:48:25.393172+02	1	Îles Chatham	\N	\N	\N	\N	\N	\N	t	f
7002	266	Californië	nl	0	2013-06-05 09:15:12.864051+02	1	Californië	\N	\N	\N	\N	\N	\N	t	f
6417	4890	バターン州	ja	0	2013-06-05 08:49:55.489692+02	1	バターン州	\N	\N	\N	\N	\N	\N	t	f
6429	4360	Aisne	no	0	2013-06-05 08:50:28.88876+02	1	Aisne	\N	\N	\N	\N	\N	\N	t	f
7764	2965	チャハール＝マハール・バフティヤーリー州	ja	0	2013-06-05 09:47:47.734626+02	1	チャハール＝マハール・バフティヤーリー州	\N	\N	\N	\N	\N	\N	t	f
7018	4826	Chikwawa District	en	0	2013-06-05 09:15:52.335278+02	1	Chikwawa District	\N	\N	\N	\N	\N	\N	t	f
7172	1723	Agdam	fr	0	2013-06-05 09:22:11.430982+02	1	Agdam	\N	\N	\N	\N	\N	\N	t	f
9178	4866	Auckland Region	en	0	2013-06-05 10:49:15.960937+02	1	Auckland Region	\N	\N	\N	\N	\N	\N	t	f
7193	4556	Îles Bangka Belitung	fr	0	2013-06-05 09:23:04.574251+02	1	Îles Bangka Belitung	\N	\N	\N	\N	\N	\N	t	f
7790	2225	Rajon Călărași	de	0	2013-06-05 09:48:52.402039+02	1	Rajon Călărași	\N	\N	\N	\N	\N	\N	t	f
7200	4613	Agrigento	en	0	2013-06-05 09:23:21.673348+02	1	Agrigento	\N	\N	\N	\N	\N	\N	t	f
7221	4289	Okres Brno-venkov	nl	0	2013-06-05 09:24:12.813519+02	1	Okres Brno-venkov	\N	\N	\N	\N	\N	\N	t	f
9205	4512	Unidad periférica de Arta	es	0	2013-06-05 10:50:20.969294+02	1	Unidad periférica de Arta	\N	\N	\N	\N	\N	\N	t	f
11232	1721	distretto di Ağstafa	it	0	2013-06-05 12:17:39.906966+02	1	distretto di Ağstafa	\N	\N	\N	\N	\N	\N	t	f
9214	1733	Cəlilabadin piirikunta	fi	0	2013-06-05 10:50:42.618669+02	1	Cəlilabadin piirikunta	\N	\N	\N	\N	\N	\N	t	f
9229	2230	Chișinău	en	0	2013-06-05 10:51:19.496722+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9258	1829	Elzas	nl	0	2013-06-05 10:52:30.809408+02	1	Elzas	\N	\N	\N	\N	\N	\N	t	f
11240	4314	Badajoz	fi	0	2013-06-05 12:17:59.568457+02	1	Badajoz	\N	\N	\N	\N	\N	\N	t	f
9972	1501	Coahuila	fi	0	2013-06-05 11:23:09.994773+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
10584	2943	Governatorato di Babil	it	0	2013-06-05 11:49:45.550344+02	1	Governatorato di Babil	\N	\N	\N	\N	\N	\N	t	f
10595	3314	Al Gharbiyah	no	0	2013-06-05 11:50:15.034057+02	1	Al Gharbiyah	\N	\N	\N	\N	\N	\N	t	f
10603	3814	カーマーゼンシャー	ja	0	2013-06-05 11:50:35.1076+02	1	カーマーゼンシャー	\N	\N	\N	\N	\N	\N	t	f
11369	3546	Bauchi	fi	0	2013-06-05 12:23:41.756669+02	1	Bauchi	\N	\N	\N	\N	\N	\N	t	f
10606	814	Kreis Botoșani	de	0	2013-06-05 11:50:42.795789+02	1	Kreis Botoșani	\N	\N	\N	\N	\N	\N	t	f
11188	810	Bacău	no	0	2013-06-05 12:15:51.212987+02	1	Bacău	\N	\N	\N	\N	\N	\N	t	f
11194	3431	ジファーラ県	ja	0	2013-06-05 12:16:05.866584+02	1	ジファーラ県	\N	\N	\N	\N	\N	\N	t	f
11375	1230	Ciego de Ávila Province	en	0	2013-06-05 12:24:03.435727+02	1	Ciego de Ávila Province	\N	\N	\N	\N	\N	\N	t	f
11207	4756	Provincia de Azilal	es	0	2013-06-05 12:16:37.967613+02	1	Provincia de Azilal	\N	\N	\N	\N	\N	\N	t	f
11390	1889	Basilicata	en	0	2013-06-05 12:24:47.40166+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
11443	4619	Arezzon maakunta	fi	0	2013-06-05 12:27:08.629197+02	1	Arezzon maakunta	\N	\N	\N	\N	\N	\N	t	f
11446	4619	アレッツォ県	ja	0	2013-06-05 12:27:15.803785+02	1	アレッツォ県	\N	\N	\N	\N	\N	\N	t	f
11462	2776	Central Luzon	no	0	2013-06-05 12:27:54.700524+02	1	Central Luzon	\N	\N	\N	\N	\N	\N	t	f
3235	801	シャウレイ県	ja	0	2013-05-27 19:53:28.741046+02	1	シャウレイ県	\N	\N	\N	\N	\N	\N	t	f
3297	4312	Provincia de Ávila	es	0	2013-05-27 19:56:13.06986+02	1	Provincia de Ávila	\N	\N	\N	\N	\N	\N	t	f
3539	2828	Distretto di Bumthang	it	0	2013-06-05 06:44:26.788949+02	1	Distretto di Bumthang	\N	\N	\N	\N	\N	\N	t	f
3544	4781	Ailinglaplap	es	0	2013-06-05 06:44:40.187945+02	1	Ailinglaplap	\N	\N	\N	\N	\N	\N	t	f
4069	4783	Aur	fi	0	2013-06-05 07:07:57.114026+02	1	Aur	\N	\N	\N	\N	\N	\N	t	f
3570	1837	Korsika	de	0	2013-06-05 06:46:04.044844+02	1	Korsika	\N	\N	\N	\N	\N	\N	t	f
3575	1837	Korsika	fi	0	2013-06-05 06:46:19.945403+02	1	Korsika	\N	\N	\N	\N	\N	\N	t	f
3577	1837	Corsica	it	0	2013-06-05 06:46:28.339484+02	1	Corsica	\N	\N	\N	\N	\N	\N	t	f
4102	1486	Choiseul	nl	0	2013-06-05 07:09:20.45376+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
3578	1837	コルシカ島	ja	0	2013-06-05 06:46:30.817671+02	1	コルシカ島	\N	\N	\N	\N	\N	\N	t	f
4564	2220	Μπέλτσι	el	0	2013-06-05 07:29:28.513347+02	1	Μπέλτσι	\N	\N	\N	\N	\N	\N	t	f
4111	789	Canillo	no	0	2013-06-05 07:09:42.198276+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4571	2220	バルツィ	ja	0	2013-06-05 07:29:48.224006+02	1	バルツィ	\N	\N	\N	\N	\N	\N	t	f
10656	3323	Minya	nl	0	2013-06-05 11:52:45.020529+02	1	Minya	\N	\N	\N	\N	\N	\N	t	f
5138	1557	Διαμέρισμα Καμπάνιας	el	0	2013-06-05 07:54:16.927314+02	1	Διαμέρισμα Καμπάνιας	\N	\N	\N	\N	\N	\N	t	f
4618	1832	Isla Clipperton	es	0	2013-06-05 07:31:48.375512+02	1	Isla Clipperton	\N	\N	\N	\N	\N	\N	t	f
4640	4379	Côtes-d'Armori departemang	et	0	2013-06-05 07:32:42.671889+02	1	Côtes-d'Armori departemang	\N	\N	\N	\N	\N	\N	t	f
5694	719	Komitat Békés	de	0	2013-06-05 08:18:13.289828+02	1	Komitat Békés	\N	\N	\N	\N	\N	\N	t	f
5712	4622	Bari	nl	0	2013-06-05 08:18:56.965882+02	1	Bari	\N	\N	\N	\N	\N	\N	t	f
6242	763	ブラガンサ県	ja	0	2013-06-05 08:41:55.053946+02	1	ブラガンサ県	\N	\N	\N	\N	\N	\N	t	f
6243	763	Bragança	nl	0	2013-06-05 08:41:58.087873+02	1	Bragança	\N	\N	\N	\N	\N	\N	t	f
6982	3162	Borgou	nl	0	2013-06-05 09:14:23.091083+02	1	Borgou	\N	\N	\N	\N	\N	\N	t	f
6300	2224	Cahulin piiri	fi	0	2013-06-05 08:44:16.831237+02	1	Cahulin piiri	\N	\N	\N	\N	\N	\N	t	f
6303	2224	Cahul	nl	0	2013-06-05 08:44:23.895386+02	1	Cahul	\N	\N	\N	\N	\N	\N	t	f
6987	4884	Agusan du Sud	fr	0	2013-06-05 09:14:36.006564+02	1	Agusan du Sud	\N	\N	\N	\N	\N	\N	t	f
7765	2965	Chahar Mahaal en Bakhtiari	nl	0	2013-06-05 09:47:50.180014+02	1	Chahar Mahaal en Bakhtiari	\N	\N	\N	\N	\N	\N	t	f
7001	266	カリフォルニア州	ja	0	2013-06-05 09:15:10.48858+02	1	カリフォルニア州	\N	\N	\N	\N	\N	\N	t	f
7012	3084	Lattakian maakunta	fi	0	2013-06-05 09:15:37.497835+02	1	Lattakian maakunta	\N	\N	\N	\N	\N	\N	t	f
7035	3703	Centrale	fi	0	2013-06-05 09:16:33.557839+02	1	Centrale	\N	\N	\N	\N	\N	\N	t	f
7767	3256	Adrar	de	0	2013-06-05 09:47:55.478434+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
7043	4549	Región de Cacheu	es	0	2013-06-05 09:16:53.031909+02	1	Región de Cacheu	\N	\N	\N	\N	\N	\N	t	f
7084	3251	Ali Sabieh	no	0	2013-06-05 09:18:32.22699+02	1	Ali Sabieh	\N	\N	\N	\N	\N	\N	t	f
9179	4866	Región de Auckland	es	0	2013-06-05 10:49:18.336891+02	1	Región de Auckland	\N	\N	\N	\N	\N	\N	t	f
7096	3647	Awdal	fr	0	2013-06-05 09:19:01.637709+02	1	Awdal	\N	\N	\N	\N	\N	\N	t	f
7794	2225	Raion de Călărași	fr	0	2013-06-05 09:49:02.222552+02	1	Raion de Călărași	\N	\N	\N	\N	\N	\N	t	f
11265	3425	Benghazi	en	0	2013-06-05 12:19:00.706735+02	1	Benghazi	\N	\N	\N	\N	\N	\N	t	f
9194	1293	Alsunga municipality	en	0	2013-06-05 10:49:54.438801+02	1	Alsunga municipality	\N	\N	\N	\N	\N	\N	t	f
9199	3584	Anse-aux-Pins	en	0	2013-06-05 10:50:06.501311+02	1	Anse-aux-Pins	\N	\N	\N	\N	\N	\N	t	f
9975	1501	コアウイラ州	ja	0	2013-06-05 11:23:17.123673+02	1	コアウイラ州	\N	\N	\N	\N	\N	\N	t	f
11274	4548	Biombo Region	en	0	2013-06-05 12:19:22.719693+02	1	Biombo Region	\N	\N	\N	\N	\N	\N	t	f
10605	3814	Carmarthenshire	no	0	2013-06-05 11:50:39.891793+02	1	Carmarthenshire	\N	\N	\N	\N	\N	\N	t	f
10638	3585	Anse Boileau	es	0	2013-06-05 11:52:00.983276+02	1	Anse Boileau	\N	\N	\N	\N	\N	\N	t	f
10641	4905	Cavite	de	0	2013-06-05 11:52:08.452096+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
11418	3917	Coventry	fr	0	2013-06-05 12:26:07.046636+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
10697	5053	Distrikt Buliisa	de	0	2013-06-05 11:54:26.009624+02	1	Distrikt Buliisa	\N	\N	\N	\N	\N	\N	t	f
11189	3431	Munizip al-Dschifara	de	0	2013-06-05 12:15:53.998958+02	1	Munizip al-Dschifara	\N	\N	\N	\N	\N	\N	t	f
11197	4893	Biliran	de	0	2013-06-05 12:16:13.605436+02	1	Biliran	\N	\N	\N	\N	\N	\N	t	f
11419	3917	Coventry	it	0	2013-06-05 12:26:09.426842+02	1	Coventry	\N	\N	\N	\N	\N	\N	t	f
11227	1721	Ağstafa	de	0	2013-06-05 12:17:27.582945+02	1	Ağstafa	\N	\N	\N	\N	\N	\N	t	f
11241	4314	Province de Badajoz	fr	0	2013-06-05 12:18:01.995138+02	1	Province de Badajoz	\N	\N	\N	\N	\N	\N	t	f
11258	2592	An Giang	fi	0	2013-06-05 12:18:43.556545+02	1	An Giang	\N	\N	\N	\N	\N	\N	t	f
11433	760	District d'Aveiro	fr	0	2013-06-05 12:26:43.693172+02	1	District d'Aveiro	\N	\N	\N	\N	\N	\N	t	f
11441	4619	Arezzo	es	0	2013-06-05 12:27:03.38881+02	1	Arezzo	\N	\N	\N	\N	\N	\N	t	f
11451	5054	Provincia de Artemisa	es	0	2013-06-05 12:27:28.252703+02	1	Provincia de Artemisa	\N	\N	\N	\N	\N	\N	t	f
11491	3181	Bandundu Province	en	0	2013-06-05 12:29:05.597638+02	1	Bandundu Province	\N	\N	\N	\N	\N	\N	t	f
3237	801	Šiauliai fylke	no	0	2013-05-27 19:53:34.059972+02	1	Šiauliai fylke	\N	\N	\N	\N	\N	\N	t	f
3276	2345	Distretto di Šumadija	it	0	2013-05-27 19:55:13.622199+02	1	Distretto di Šumadija	\N	\N	\N	\N	\N	\N	t	f
3310	2959	West-Aserbaidschan	de	0	2013-05-27 19:56:45.457812+02	1	West-Aserbaidschan	\N	\N	\N	\N	\N	\N	t	f
3540	2828	Bumthang	nl	0	2013-06-05 06:44:29.534517+02	1	Bumthang	\N	\N	\N	\N	\N	\N	t	f
4070	4783	Aur	fr	0	2013-06-05 07:07:59.506194+02	1	Aur	\N	\N	\N	\N	\N	\N	t	f
3543	4781	Ailinglaplap Atoll	en	0	2013-06-05 06:44:37.770269+02	1	Ailinglaplap Atoll	\N	\N	\N	\N	\N	\N	t	f
3571	1837	Κορσική	el	0	2013-06-05 06:46:06.474694+02	1	Κορσική	\N	\N	\N	\N	\N	\N	t	f
4565	2220	Bălţi	en	0	2013-06-05 07:29:30.926354+02	1	Bălţi	\N	\N	\N	\N	\N	\N	t	f
5139	1557	Cabañas Department	en	0	2013-06-05 07:54:19.247777+02	1	Cabañas Department	\N	\N	\N	\N	\N	\N	t	f
5179	3521	Caprivi	fr	0	2013-06-05 07:56:00.207706+02	1	Caprivi	\N	\N	\N	\N	\N	\N	t	f
5759	1485	Quartiere di Castries	it	0	2013-06-05 08:20:52.108353+02	1	Quartiere di Castries	\N	\N	\N	\N	\N	\N	t	f
5189	1858	Comitat de Bjelovar-Bilogora	fr	0	2013-06-05 07:56:24.656143+02	1	Comitat de Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5203	1211	District de Cayo	fr	0	2013-06-05 07:56:59.190171+02	1	District de Cayo	\N	\N	\N	\N	\N	\N	t	f
5766	713	provincia di Corrientes	it	0	2013-06-05 08:21:09.142148+02	1	provincia di Corrientes	\N	\N	\N	\N	\N	\N	t	f
6244	763	Bragança	no	0	2013-06-05 08:42:00.462548+02	1	Bragança	\N	\N	\N	\N	\N	\N	t	f
6275	3160	アリボリ県	ja	0	2013-06-05 08:43:15.663554+02	1	アリボリ県	\N	\N	\N	\N	\N	\N	t	f
6983	3162	Borgou	no	0	2013-06-05 09:14:25.479789+02	1	Borgou	\N	\N	\N	\N	\N	\N	t	f
7102	1669	Province de Choiseul	fr	0	2013-06-05 09:19:16.359058+02	1	Province de Choiseul	\N	\N	\N	\N	\N	\N	t	f
7766	2965	Chahar Mahaal og Bakhtiari	no	0	2013-06-05 09:47:52.639751+02	1	Chahar Mahaal og Bakhtiari	\N	\N	\N	\N	\N	\N	t	f
7773	3256	アドラール県	ja	0	2013-06-05 09:48:09.904927+02	1	アドラール県	\N	\N	\N	\N	\N	\N	t	f
9187	3542	Abia (estado)	es	0	2013-06-05 10:49:37.577251+02	1	Abia (estado)	\N	\N	\N	\N	\N	\N	t	f
9212	1733	Jalilabad Rayon	en	0	2013-06-05 10:50:37.90486+02	1	Jalilabad Rayon	\N	\N	\N	\N	\N	\N	t	f
10684	1165	Barbuda	fr	0	2013-06-05 11:53:54.119559+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
9233	2230	Chișinău	fr	0	2013-06-05 10:51:28.932316+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9234	2230	Chișinău	it	0	2013-06-05 10:51:31.300691+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9264	3479	Regione di Assaba	it	0	2013-06-05 10:52:45.330764+02	1	Regione di Assaba	\N	\N	\N	\N	\N	\N	t	f
11203	4893	Biliran	nl	0	2013-06-05 12:16:28.052958+02	1	Biliran	\N	\N	\N	\N	\N	\N	t	f
9976	1501	Coahuila de Zaragoza	nl	0	2013-06-05 11:23:19.647285+02	1	Coahuila de Zaragoza	\N	\N	\N	\N	\N	\N	t	f
10158	3826	Conwy	et	0	2013-06-05 11:31:04.710385+02	1	Conwy	\N	\N	\N	\N	\N	\N	t	f
10168	1529	Departamento Boaco	de	0	2013-06-05 11:31:29.520791+02	1	Departamento Boaco	\N	\N	\N	\N	\N	\N	t	f
11234	1721	Ağstafa	no	0	2013-06-05 12:17:44.706038+02	1	Ağstafa	\N	\N	\N	\N	\N	\N	t	f
10182	3193	Bangui	fi	0	2013-06-05 11:32:03.731714+02	1	Bangui	\N	\N	\N	\N	\N	\N	t	f
10233	2472	Armavir	fi	0	2013-06-05 11:34:50.976372+02	1	Armavir	\N	\N	\N	\N	\N	\N	t	f
10290	1304	Municipalidad de Beverīna	es	0	2013-06-05 11:37:20.926048+02	1	Municipalidad de Beverīna	\N	\N	\N	\N	\N	\N	t	f
11245	4314	Badajoz	no	0	2013-06-05 12:18:11.62182+02	1	Badajoz	\N	\N	\N	\N	\N	\N	t	f
10310	4321	Ciudad Real	en	0	2013-06-05 11:38:10.1695+02	1	Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
10332	1887	Kampanien	de	0	2013-06-05 11:39:04.20688+02	1	Kampanien	\N	\N	\N	\N	\N	\N	t	f
10647	4905	Cavite	nl	0	2013-06-05 11:52:22.627336+02	1	Cavite	\N	\N	\N	\N	\N	\N	t	f
11308	1028	Bolívar	nl	0	2013-06-05 12:20:45.380934+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
10662	4146	Walloon Brabant	en	0	2013-06-05 11:53:00.587594+02	1	Walloon Brabant	\N	\N	\N	\N	\N	\N	t	f
10677	1646	Bougainville	nl	0	2013-06-05 11:53:37.111854+02	1	Bougainville	\N	\N	\N	\N	\N	\N	t	f
11309	1028	Bolívar	no	0	2013-06-05 12:20:47.791485+02	1	Bolívar	\N	\N	\N	\N	\N	\N	t	f
10681	1165	Barbuda	es	0	2013-06-05 11:53:46.939417+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
11336	4635	Chietin maakunta	fi	0	2013-06-05 12:21:54.929441+02	1	Chietin maakunta	\N	\N	\N	\N	\N	\N	t	f
11356	3799	Banbridge (distrikt)	no	0	2013-06-05 12:22:57.266853+02	1	Banbridge (distrikt)	\N	\N	\N	\N	\N	\N	t	f
3238	2090	Žiri	de	0	2013-05-27 19:53:36.749704+02	1	Žiri	\N	\N	\N	\N	\N	\N	t	f
3541	2828	Bumthang	no	0	2013-06-05 06:44:31.929739+02	1	Bumthang	\N	\N	\N	\N	\N	\N	t	f
3549	997	Departamento del Atlántico	de	0	2013-06-05 06:44:54.078618+02	1	Departamento del Atlántico	\N	\N	\N	\N	\N	\N	t	f
4071	4783	Aur	it	0	2013-06-05 07:08:01.936168+02	1	Aur	\N	\N	\N	\N	\N	\N	t	f
3584	3235	Bafing (alue)	fi	0	2013-06-05 06:46:51.4842+02	1	Bafing (alue)	\N	\N	\N	\N	\N	\N	t	f
4105	789	Canillo	es	0	2013-06-05 07:09:27.9364+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4566	2220	Bălți	es	0	2013-06-05 07:29:33.298834+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
5140	1557	Cabañas	es	0	2013-06-05 07:54:21.588525+02	1	Cabañas	\N	\N	\N	\N	\N	\N	t	f
5162	3805	Blaenau Gwent	no	0	2013-06-05 07:55:18.551983+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5762	713	Corrientes Province	en	0	2013-06-05 08:20:59.644854+02	1	Corrientes Province	\N	\N	\N	\N	\N	\N	t	f
5164	2481	Αμπχαζία	el	0	2013-06-05 07:55:24.254081+02	1	Αμπχαζία	\N	\N	\N	\N	\N	\N	t	f
6246	3798	Ballymoney	en	0	2013-06-05 08:42:05.453005+02	1	Ballymoney	\N	\N	\N	\N	\N	\N	t	f
6248	3798	Distretto di Ballymoney	it	0	2013-06-05 08:42:10.166661+02	1	Distretto di Ballymoney	\N	\N	\N	\N	\N	\N	t	f
6984	4884	Agusan del Sur	de	0	2013-06-05 09:14:28.937362+02	1	Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
6332	694	Buenos Airesin maakunta	fi	0	2013-06-05 08:45:36.221907+02	1	Buenos Airesin maakunta	\N	\N	\N	\N	\N	\N	t	f
6352	2222	Distretto di Briceni	it	0	2013-06-05 08:46:29.402171+02	1	Distretto di Briceni	\N	\N	\N	\N	\N	\N	t	f
6354	1949	Municipality of Borovnica	en	0	2013-06-05 08:46:34.631128+02	1	Municipality of Borovnica	\N	\N	\N	\N	\N	\N	t	f
7016	3084	Latakia	nl	0	2013-06-05 09:15:47.151658+02	1	Latakia	\N	\N	\N	\N	\N	\N	t	f
6403	819	Caraș-Severin	no	0	2013-06-05 08:49:15.509214+02	1	Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
6408	2589	Bình Thuận	fr	0	2013-06-05 08:49:27.768261+02	1	Bình Thuận	\N	\N	\N	\N	\N	\N	t	f
7768	3256	Adrar	en	0	2013-06-05 09:47:57.875663+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
6430	3278	Annaba	de	0	2013-06-05 08:50:31.750945+02	1	Annaba	\N	\N	\N	\N	\N	\N	t	f
7052	2394	Belgorod Oblast	en	0	2013-06-05 09:17:14.90526+02	1	Belgorod Oblast	\N	\N	\N	\N	\N	\N	t	f
6453	1530	Carazo	fi	0	2013-06-05 08:51:31.113869+02	1	Carazo	\N	\N	\N	\N	\N	\N	t	f
7065	4883	Provincia di Agusan del Norte	it	0	2013-06-05 09:17:46.251675+02	1	Provincia di Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
7153	3491	Distrito de Black River	es	0	2013-06-05 09:21:21.600441+02	1	Distrito de Black River	\N	\N	\N	\N	\N	\N	t	f
8029	1815	Castilla-León	et	0	2013-06-05 09:59:31.006999+02	1	Castilla-León	\N	\N	\N	\N	\N	\N	t	f
9210	4512	Arta	no	0	2013-06-05 10:50:32.852565+02	1	Arta	\N	\N	\N	\N	\N	\N	t	f
9231	2230	Chișinău	et	0	2013-06-05 10:51:24.204293+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9232	2230	Chișinău	fi	0	2013-06-05 10:51:26.558142+02	1	Chișinău	\N	\N	\N	\N	\N	\N	t	f
9241	3129	Boucle du Mouhoun	de	0	2013-06-05 10:51:48.685837+02	1	Boucle du Mouhoun	\N	\N	\N	\N	\N	\N	t	f
9254	1829	Alsace	fi	0	2013-06-05 10:52:20.941236+02	1	Alsace	\N	\N	\N	\N	\N	\N	t	f
9977	1501	Coahuila	no	0	2013-06-05 11:23:22.171643+02	1	Coahuila	\N	\N	\N	\N	\N	\N	t	f
9999	4489	Bioko Norte Province	en	0	2013-06-05 11:24:21.499163+02	1	Bioko Norte Province	\N	\N	\N	\N	\N	\N	t	f
10023	1048	provincia del Cotopaxi	it	0	2013-06-05 11:25:26.834788+02	1	provincia del Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
10685	1165	Barbuda	it	0	2013-06-05 11:53:56.508875+02	1	Barbuda	\N	\N	\N	\N	\N	\N	t	f
11212	588	Appenzell Innerrhoden	en	0	2013-06-05 12:16:50.71595+02	1	Appenzell Innerrhoden	\N	\N	\N	\N	\N	\N	t	f
11225	1187	Central Andros	nl	0	2013-06-05 12:17:22.470608+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
11293	702	Catamarca	no	0	2013-06-05 12:20:08.87491+02	1	Catamarca	\N	\N	\N	\N	\N	\N	t	f
3239	2090	Municipality of Žiri	en	0	2013-05-27 19:53:40.558364+02	1	Municipality of Žiri	\N	\N	\N	\N	\N	\N	t	f
3240	2090	Žiri	fr	0	2013-05-27 19:53:43.994477+02	1	Žiri	\N	\N	\N	\N	\N	\N	t	f
3241	2090	Žiri	it	0	2013-05-27 19:53:46.155314+02	1	Žiri	\N	\N	\N	\N	\N	\N	t	f
3542	4781	Ailinglapalap	de	0	2013-06-05 06:44:35.378287+02	1	Ailinglapalap	\N	\N	\N	\N	\N	\N	t	f
3242	2090	ジリ	ja	0	2013-05-27 19:53:48.413897+02	1	ジリ	\N	\N	\N	\N	\N	\N	t	f
3243	2090	Žiri	nl	0	2013-05-27 19:53:50.642283+02	1	Žiri	\N	\N	\N	\N	\N	\N	t	f
4072	4783	オール環礁	ja	0	2013-06-05 07:08:04.296565+02	1	オール環礁	\N	\N	\N	\N	\N	\N	t	f
3261	2064	Municipality of Šentjur	en	0	2013-05-27 19:54:38.097855+02	1	Municipality of Šentjur	\N	\N	\N	\N	\N	\N	t	f
3281	3091	'Adan Governorate	en	0	2013-05-27 19:55:28.986944+02	1	'Adan Governorate	\N	\N	\N	\N	\N	\N	t	f
3286	3091	Aden	nl	0	2013-05-27 19:55:42.644943+02	1	Aden	\N	\N	\N	\N	\N	\N	t	f
4091	4589	Cork	it	0	2013-06-05 07:08:53.042956+02	1	Cork	\N	\N	\N	\N	\N	\N	t	f
3290	3096	Gobernación de Hadramaut	es	0	2013-05-27 19:55:52.146751+02	1	Gobernación de Hadramaut	\N	\N	\N	\N	\N	\N	t	f
3296	4312	Province of Ávila	en	0	2013-05-27 19:56:09.659986+02	1	Province of Ávila	\N	\N	\N	\N	\N	\N	t	f
4570	2220	Bălți	it	0	2013-06-05 07:29:45.792081+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
4132	1280	Banská Bystrica maakond	et	0	2013-06-05 07:10:35.922386+02	1	Banská Bystrica maakond	\N	\N	\N	\N	\N	\N	t	f
4139	4359	Département Ain	de	0	2013-06-05 07:10:58.194945+02	1	Département Ain	\N	\N	\N	\N	\N	\N	t	f
4632	2860	Badakhchan	fr	0	2013-06-05 07:32:22.580799+02	1	Badakhchan	\N	\N	\N	\N	\N	\N	t	f
5141	1557	Département de Cabañas	fr	0	2013-06-05 07:54:24.140422+02	1	Département de Cabañas	\N	\N	\N	\N	\N	\N	t	f
4633	2860	Badakhshan	it	0	2013-06-05 07:32:25.086416+02	1	Badakhshan	\N	\N	\N	\N	\N	\N	t	f
4643	4379	Côtes-d'Armor	it	0	2013-06-05 07:32:49.940274+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
5161	3805	Blaenau Gwent	nl	0	2013-06-05 07:55:16.158007+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5769	713	Corrientes	no	0	2013-06-05 08:21:16.280637+02	1	Corrientes	\N	\N	\N	\N	\N	\N	t	f
5785	4373	Cantal	fi	0	2013-06-05 08:21:56.834151+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
6249	3798	Ballymoney	nl	0	2013-06-05 08:42:12.532729+02	1	Ballymoney	\N	\N	\N	\N	\N	\N	t	f
5791	3434	Munizip al-Murgub	de	0	2013-06-05 08:22:14.159078+02	1	Munizip al-Murgub	\N	\N	\N	\N	\N	\N	t	f
6289	3398	Μεγάλη Κομόρα	el	0	2013-06-05 08:43:50.072991+02	1	Μεγάλη Κομόρα	\N	\N	\N	\N	\N	\N	t	f
6985	4884	Agusan del Sur	en	0	2013-06-05 09:14:31.267825+02	1	Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
6438	3278	Annaba	no	0	2013-06-05 08:50:53.81199+02	1	Annaba	\N	\N	\N	\N	\N	\N	t	f
7005	3040	Gobernación de Belén	es	0	2013-06-05 09:15:20.346128+02	1	Gobernación de Belén	\N	\N	\N	\N	\N	\N	t	f
7769	3256	Provincia de Adrar	es	0	2013-06-05 09:48:00.236707+02	1	Provincia de Adrar	\N	\N	\N	\N	\N	\N	t	f
7029	1956	ツェルクニェ・ナ・ゴレニスケム	ja	0	2013-06-05 09:16:19.020561+02	1	ツェルクニェ・ナ・ゴレニスケム	\N	\N	\N	\N	\N	\N	t	f
7060	2394	Belgorod oblast	no	0	2013-06-05 09:17:34.032573+02	1	Belgorod oblast	\N	\N	\N	\N	\N	\N	t	f
10713	4642	Provinsen Catania	no	0	2013-06-05 11:55:04.729341+02	1	Provinsen Catania	\N	\N	\N	\N	\N	\N	t	f
7086	3651	Bay, Somalia	en	0	2013-06-05 09:18:37.448857+02	1	Bay, Somalia	\N	\N	\N	\N	\N	\N	t	f
7771	3256	Wilaya d'Adrar	fr	0	2013-06-05 09:48:04.949334+02	1	Wilaya d'Adrar	\N	\N	\N	\N	\N	\N	t	f
7133	2332	Opština Centar	de	0	2013-06-05 09:20:33.181508+02	1	Opština Centar	\N	\N	\N	\N	\N	\N	t	f
9298	312	Alberta	it	0	2013-06-05 10:54:07.418955+02	1	Alberta	\N	\N	\N	\N	\N	\N	t	f
7827	4886	Albay	en	0	2013-06-05 09:50:35.463402+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
7830	4886	Provincia di Albay	it	0	2013-06-05 09:50:43.326795+02	1	Provincia di Albay	\N	\N	\N	\N	\N	\N	t	f
7898	4547	Bolama-Bijagos	fr	0	2013-06-05 09:53:34.897669+02	1	Bolama-Bijagos	\N	\N	\N	\N	\N	\N	t	f
9978	3146	Cankuzo	de	0	2013-06-05 11:23:24.990101+02	1	Cankuzo	\N	\N	\N	\N	\N	\N	t	f
7902	4547	Bolama	no	0	2013-06-05 09:53:45.026782+02	1	Bolama	\N	\N	\N	\N	\N	\N	t	f
7923	454	Bonaire	fi	0	2013-06-05 09:54:38.348513+02	1	Bonaire	\N	\N	\N	\N	\N	\N	t	f
11411	4901	Camarines Norte	no	0	2013-06-05 12:25:47.444585+02	1	Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
19	1828	Comunidad Valenciana	es	0	2013-06-05 09:57:57.681548+02	2	Comunidad Valenciana	\N	\N	\N	\N	\N	\N	f	f
8002	1828	Comunidad Valenciana	es	0	2013-06-05 09:57:57.681548+02	1	Comunidad Valenciana	\N	\N	\N	\N	\N	\N	t	f
9991	3615	Gezira	es	0	2013-06-05 11:24:00.279082+02	1	Gezira	\N	\N	\N	\N	\N	\N	t	f
8041	573	Aksaray	fr	0	2013-06-05 10:00:04.718648+02	1	Aksaray	\N	\N	\N	\N	\N	\N	t	f
10714	817	Kreis Cluj	de	0	2013-06-05 11:55:07.898402+02	1	Kreis Cluj	\N	\N	\N	\N	\N	\N	t	f
10086	806	Alba	fi	0	2013-06-05 11:28:06.937627+02	1	Alba	\N	\N	\N	\N	\N	\N	t	f
11213	588	Cantón de Appenzell Rodas Interiores	es	0	2013-06-05 12:16:53.087488+02	1	Cantón de Appenzell Rodas Interiores	\N	\N	\N	\N	\N	\N	t	f
10095	3544	Akwa Ibomi osariik	et	0	2013-06-05 11:28:28.916304+02	1	Akwa Ibomi osariik	\N	\N	\N	\N	\N	\N	t	f
10099	3544	アクワ・イボム州	ja	0	2013-06-05 11:28:38.408071+02	1	アクワ・イボム州	\N	\N	\N	\N	\N	\N	t	f
10170	1529	Departamento de Boaco	es	0	2013-06-05 11:31:34.373204+02	1	Departamento de Boaco	\N	\N	\N	\N	\N	\N	t	f
11226	1187	Central Andros	no	0	2013-06-05 12:17:24.835032+02	1	Central Andros	\N	\N	\N	\N	\N	\N	t	f
10178	3193	Μπανγκί	el	0	2013-06-05 11:31:54.094651+02	1	Μπανγκί	\N	\N	\N	\N	\N	\N	t	f
10225	3876	Barking e Dagenham	it	0	2013-06-05 11:34:22.598485+02	1	Barking e Dagenham	\N	\N	\N	\N	\N	\N	t	f
11425	2093	Bloke	fr	0	2013-06-05 12:26:24.028878+02	1	Bloke	\N	\N	\N	\N	\N	\N	t	f
11300	3617	Khartoem	nl	0	2013-06-05 12:20:25.867462+02	1	Khartoem	\N	\N	\N	\N	\N	\N	t	f
11329	517	Bingöl	no	0	2013-06-05 12:21:37.071311+02	1	Bingöl	\N	\N	\N	\N	\N	\N	t	f
11395	1889	Basilicata	it	0	2013-06-05 12:25:00.725635+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
11458	2776	Luçon centrale	fr	0	2013-06-05 12:27:45.250492+02	1	Luçon centrale	\N	\N	\N	\N	\N	\N	t	f
11470	4906	セブ州	ja	0	2013-06-05 12:28:14.352029+02	1	セブ州	\N	\N	\N	\N	\N	\N	t	f
3244	2089	Železniki	de	0	2013-05-27 19:53:56.310451+02	1	Železniki	\N	\N	\N	\N	\N	\N	t	f
3245	2089	Municipality of Železniki	en	0	2013-05-27 19:53:58.506556+02	1	Municipality of Železniki	\N	\N	\N	\N	\N	\N	t	f
3246	2089	Železniki	es	0	2013-05-27 19:54:01.20437+02	1	Železniki	\N	\N	\N	\N	\N	\N	t	f
3545	4781	Ailinglaplap	fi	0	2013-06-05 06:44:42.58437+02	1	Ailinglaplap	\N	\N	\N	\N	\N	\N	t	f
3247	2089	Železniki	fr	0	2013-05-27 19:54:03.409917+02	1	Železniki	\N	\N	\N	\N	\N	\N	t	f
3248	2089	Železniki	it	0	2013-05-27 19:54:05.723344+02	1	Železniki	\N	\N	\N	\N	\N	\N	t	f
4073	3621	Asch-Schamaliyya	de	0	2013-06-05 07:08:07.101427+02	1	Asch-Schamaliyya	\N	\N	\N	\N	\N	\N	t	f
3249	2089	ジェレズニキ	ja	0	2013-05-27 19:54:07.975702+02	1	ジェレズニキ	\N	\N	\N	\N	\N	\N	t	f
3250	2089	Železniki	nl	0	2013-05-27 19:54:10.216382+02	1	Železniki	\N	\N	\N	\N	\N	\N	t	f
3255	1866	Šibenik-Knin	fi	0	2013-05-27 19:54:21.874255+02	1	Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
4079	3621	Ash-Shamaliyah	nl	0	2013-06-05 07:08:23.664287+02	1	Ash-Shamaliyah	\N	\N	\N	\N	\N	\N	t	f
3269	356	エストフォル県	ja	0	2013-05-27 19:54:56.90929+02	1	エストフォル県	\N	\N	\N	\N	\N	\N	t	f
3292	3096	Governatorato di Hadramawt	it	0	2013-05-27 19:55:57.660742+02	1	Governatorato di Hadramawt	\N	\N	\N	\N	\N	\N	t	f
4573	2220	Bălți	no	0	2013-06-05 07:29:53.139349+02	1	Bălți	\N	\N	\N	\N	\N	\N	t	f
3294	3096	Hadhramaut	no	0	2013-05-27 19:56:02.230597+02	1	Hadhramaut	\N	\N	\N	\N	\N	\N	t	f
4116	2604	Bình Dương	fr	0	2013-06-05 07:09:54.925834+02	1	Bình Dương	\N	\N	\N	\N	\N	\N	t	f
4120	717	Komitat Baranya	de	0	2013-06-05 07:10:05.941164+02	1	Komitat Baranya	\N	\N	\N	\N	\N	\N	t	f
4128	717	Baranya	nl	0	2013-06-05 07:10:25.040405+02	1	Baranya	\N	\N	\N	\N	\N	\N	t	f
4590	4278	Chrudim District	en	0	2013-06-05 07:30:38.68327+02	1	Chrudim District	\N	\N	\N	\N	\N	\N	t	f
5142	1557	Dipartimento di Cabañas	it	0	2013-06-05 07:54:26.51071+02	1	Dipartimento di Cabañas	\N	\N	\N	\N	\N	\N	t	f
4609	621	Amapá	fi	0	2013-06-05 07:31:26.43582+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5208	1029	Carchi Province	en	0	2013-06-05 07:57:11.76265+02	1	Carchi Province	\N	\N	\N	\N	\N	\N	t	f
5770	4640	Provinz Cremona	de	0	2013-06-05 08:21:19.118881+02	1	Provinz Cremona	\N	\N	\N	\N	\N	\N	t	f
5786	4373	Cantal	fr	0	2013-06-05 08:21:59.180094+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
6250	3798	Ballymoney (distrikt)	no	0	2013-06-05 08:42:14.876835+02	1	Ballymoney (distrikt)	\N	\N	\N	\N	\N	\N	t	f
6259	4904	Catanduanes	de	0	2013-06-05 08:42:37.056071+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6989	4884	南アグサン州	ja	0	2013-06-05 09:14:40.698149+02	1	南アグサン州	\N	\N	\N	\N	\N	\N	t	f
6301	2224	Raion de Cahul	fr	0	2013-06-05 08:44:19.169737+02	1	Raion de Cahul	\N	\N	\N	\N	\N	\N	t	f
7019	4826	Distrito de Chikwawa	es	0	2013-06-05 09:15:54.750349+02	1	Distrito de Chikwawa	\N	\N	\N	\N	\N	\N	t	f
7772	3256	provincia di Adrar	it	0	2013-06-05 09:48:07.364178+02	1	provincia di Adrar	\N	\N	\N	\N	\N	\N	t	f
7120	1497	Baja California Sur	et	0	2013-06-05 09:20:00.741414+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
7168	1723	Ağdam	de	0	2013-06-05 09:22:01.874861+02	1	Ağdam	\N	\N	\N	\N	\N	\N	t	f
9579	2925	Fudžaira	fi	0	2013-06-05 11:05:48.497514+02	1	Fudžaira	\N	\N	\N	\N	\N	\N	t	f
7169	1723	Agdam Rayon	en	0	2013-06-05 09:22:04.246619+02	1	Agdam Rayon	\N	\N	\N	\N	\N	\N	t	f
7808	2496	Almaty	de	0	2013-06-05 09:49:46.509482+02	1	Almaty	\N	\N	\N	\N	\N	\N	t	f
9303	818	Călărași County	en	0	2013-06-05 10:54:19.744827+02	1	Călărași County	\N	\N	\N	\N	\N	\N	t	f
7852	325	Brandebourg	fr	0	2013-06-05 09:51:37.688707+02	1	Brandebourg	\N	\N	\N	\N	\N	\N	t	f
7916	4828	Chitipa	nl	0	2013-06-05 09:54:20.555059+02	1	Chitipa	\N	\N	\N	\N	\N	\N	t	f
9304	818	Călărași	es	0	2013-06-05 10:54:22.085554+02	1	Călărași	\N	\N	\N	\N	\N	\N	t	f
9325	2963	Būšehr	fi	0	2013-06-05 10:55:12.720891+02	1	Būšehr	\N	\N	\N	\N	\N	\N	t	f
9581	2925	Fujaira	it	0	2013-06-05 11:05:53.284692+02	1	Fujaira	\N	\N	\N	\N	\N	\N	t	f
9330	2963	Bushehr	no	0	2013-06-05 10:55:24.644859+02	1	Bushehr	\N	\N	\N	\N	\N	\N	t	f
9363	4455	Prefettura di Beyla	it	0	2013-06-05 10:56:48.212158+02	1	Prefettura di Beyla	\N	\N	\N	\N	\N	\N	t	f
10324	879	Changhua	nl	0	2013-06-05 11:38:44.190228+02	1	Changhua	\N	\N	\N	\N	\N	\N	t	f
9424	4369	Aude	no	0	2013-06-05 10:59:18.765835+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
9586	2941	Arbil Province	en	0	2013-06-05 11:06:05.743355+02	1	Arbil Province	\N	\N	\N	\N	\N	\N	t	f
9456	1697	Άανα	el	0	2013-06-05 11:00:45.33861+02	1	Άανα	\N	\N	\N	\N	\N	\N	t	f
9496	4377	Κορέζ	el	0	2013-06-05 11:02:25.714282+02	1	Κορέζ	\N	\N	\N	\N	\N	\N	t	f
10039	1890	Calabria	en	0	2013-06-05 11:26:10.051713+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
9521	1250	Baoruco	fi	0	2013-06-05 11:03:26.364155+02	1	Baoruco	\N	\N	\N	\N	\N	\N	t	f
9597	3192	Bamingui-Bangoran	fi	0	2013-06-05 11:06:32.408304+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
9536	985	Région de Coquimbo	fr	0	2013-06-05 11:04:02.761195+02	1	Région de Coquimbo	\N	\N	\N	\N	\N	\N	t	f
9569	3135	Región Centro-Sur	es	0	2013-06-05 11:05:24.294397+02	1	Región Centro-Sur	\N	\N	\N	\N	\N	\N	t	f
9571	3135	Centre-Sud	fr	0	2013-06-05 11:05:29.032691+02	1	Centre-Sud	\N	\N	\N	\N	\N	\N	t	f
9979	3146	Κανκούζο	el	0	2013-06-05 11:23:27.348159+02	1	Κανκούζο	\N	\N	\N	\N	\N	\N	t	f
10109	2155	Acquaviva	no	0	2013-06-05 11:29:03.091636+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
9989	3615	Al-Dschazira	de	0	2013-06-05 11:23:55.588838+02	1	Al-Dschazira	\N	\N	\N	\N	\N	\N	t	f
9997	3615	Al Jazirah	no	0	2013-06-05 11:24:16.40796+02	1	Al Jazirah	\N	\N	\N	\N	\N	\N	t	f
10033	1528	Regione Autonoma Atlantico Sud	it	0	2013-06-05 11:25:55.126858+02	1	Regione Autonoma Atlantico Sud	\N	\N	\N	\N	\N	\N	t	f
10292	1304	Beverīna	it	0	2013-06-05 11:37:25.647291+02	1	Beverīna	\N	\N	\N	\N	\N	\N	t	f
10337	1887	Campania	fi	0	2013-06-05 11:39:16.064569+02	1	Campania	\N	\N	\N	\N	\N	\N	t	f
10313	4321	Ciudad Real	fi	0	2013-06-05 11:38:17.310816+02	1	Ciudad Real	\N	\N	\N	\N	\N	\N	t	f
10319	879	Landkreis Changhua	de	0	2013-06-05 11:38:32.303364+02	1	Landkreis Changhua	\N	\N	\N	\N	\N	\N	t	f
11383	1251	Barahona Province	en	0	2013-06-05 12:24:28.761347+02	1	Barahona Province	\N	\N	\N	\N	\N	\N	t	f
11335	4635	Chieti provints	et	0	2013-06-05 12:21:52.560056+02	1	Chieti provints	\N	\N	\N	\N	\N	\N	t	f
10717	817	Cluji maakond	et	0	2013-06-05 11:55:15.018234+02	1	Cluji maakond	\N	\N	\N	\N	\N	\N	t	f
11238	4314	Provincia de Badajoz	es	0	2013-06-05 12:17:54.770663+02	1	Provincia de Badajoz	\N	\N	\N	\N	\N	\N	t	f
11367	3546	Bauchi	es	0	2013-06-05 12:23:35.868042+02	1	Bauchi	\N	\N	\N	\N	\N	\N	t	f
11341	4635	Provinsen Chieti	no	0	2013-06-05 12:22:06.968626+02	1	Provinsen Chieti	\N	\N	\N	\N	\N	\N	t	f
11484	1107	Coronie District	en	0	2013-06-05 12:28:48.607674+02	1	Coronie District	\N	\N	\N	\N	\N	\N	t	f
3251	1866	Gespanschaft Šibenik-Knin	de	0	2013-05-27 19:54:12.875605+02	1	Gespanschaft Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
3259	1866	Šibenik-Knin	nl	0	2013-05-27 19:54:33.322491+02	1	Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
3277	2345	シュマディヤ郡	ja	0	2013-05-27 19:55:15.856609+02	1	シュマディヤ郡	\N	\N	\N	\N	\N	\N	t	f
3546	4781	Ailinglaplap	fr	0	2013-06-05 06:44:45.418999+02	1	Ailinglaplap	\N	\N	\N	\N	\N	\N	t	f
3285	3091	アデン県	ja	0	2013-05-27 19:55:40.389544+02	1	アデン県	\N	\N	\N	\N	\N	\N	t	f
3572	1837	Corsica	en	0	2013-06-05 06:46:09.190003+02	1	Corsica	\N	\N	\N	\N	\N	\N	t	f
4076	3621	Nord	fr	0	2013-06-05 07:08:15.96909+02	1	Nord	\N	\N	\N	\N	\N	\N	t	f
4574	3796	Armagh (District)	de	0	2013-06-05 07:29:55.885515+02	1	Armagh (District)	\N	\N	\N	\N	\N	\N	t	f
4605	621	Amapá	de	0	2013-06-05 07:31:16.873631+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5143	1557	Cabañas	nl	0	2013-06-05 07:54:28.887049+02	1	Cabañas	\N	\N	\N	\N	\N	\N	t	f
4648	3778	Κόππερμπελτ	el	0	2013-06-05 07:33:02.471366+02	1	Κόππερμπελτ	\N	\N	\N	\N	\N	\N	t	f
5160	3805	Blaenau Gwent	it	0	2013-06-05 07:55:13.719651+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5771	4640	Κρεμόνα	el	0	2013-06-05 08:21:21.454619+02	1	Κρεμόνα	\N	\N	\N	\N	\N	\N	t	f
5192	1858	Bjelovar-Bilogora	nl	0	2013-06-05 07:56:31.888256+02	1	Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5790	4373	Cantal	no	0	2013-06-05 08:22:11.144431+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
6251	2601	Bắc Giang	de	0	2013-06-05 08:42:17.606301+02	1	Bắc Giang	\N	\N	\N	\N	\N	\N	t	f
6261	4904	Catanduanes	es	0	2013-06-05 08:42:41.757758+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6990	4884	Agusan del Sur	nl	0	2013-06-05 09:14:43.270218+02	1	Agusan del Sur	\N	\N	\N	\N	\N	\N	t	f
6308	1210	Distretto di Belize	it	0	2013-06-05 08:44:36.827783+02	1	Distretto di Belize	\N	\N	\N	\N	\N	\N	t	f
6327	1297	Auces novads	nl	0	2013-06-05 08:45:23.24429+02	1	Auces novads	\N	\N	\N	\N	\N	\N	t	f
6444	807	Argeș	fi	0	2013-06-05 08:51:08.511878+02	1	Argeș	\N	\N	\N	\N	\N	\N	t	f
6994	266	Καλιφόρνια	el	0	2013-06-05 09:14:53.781948+02	1	Καλιφόρνια	\N	\N	\N	\N	\N	\N	t	f
6465	3689	Lac Region	en	0	2013-06-05 08:52:02.744562+02	1	Lac Region	\N	\N	\N	\N	\N	\N	t	f
6466	3689	Región de Lac	es	0	2013-06-05 08:52:05.086705+02	1	Región de Lac	\N	\N	\N	\N	\N	\N	t	f
7774	3256	Adrar	nl	0	2013-06-05 09:48:12.352966+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
6995	266	California	en	0	2013-06-05 09:14:56.107182+02	1	California	\N	\N	\N	\N	\N	\N	t	f
7088	3651	Bay	fi	0	2013-06-05 09:18:42.37873+02	1	Bay	\N	\N	\N	\N	\N	\N	t	f
7971	2646	Attapu	fi	0	2013-06-05 09:56:38.696042+02	1	Attapu	\N	\N	\N	\N	\N	\N	t	f
9305	818	Călărași maakond	et	0	2013-06-05 10:54:24.42368+02	1	Călărași maakond	\N	\N	\N	\N	\N	\N	t	f
9332	265	Αριζόνα	el	0	2013-06-05 10:55:30.054106+02	1	Αριζόνα	\N	\N	\N	\N	\N	\N	t	f
10801	1729	Bərdə	fr	0	2013-06-05 11:59:12.655669+02	1	Bərdə	\N	\N	\N	\N	\N	\N	t	f
9364	4455	ベイラ県	ja	0	2013-06-05 10:56:50.557497+02	1	ベイラ県	\N	\N	\N	\N	\N	\N	t	f
9419	4369	Aude	fi	0	2013-06-05 10:59:06.876904+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
9440	815	Brașovi maakond	et	0	2013-06-05 11:00:02.21961+02	1	Brașovi maakond	\N	\N	\N	\N	\N	\N	t	f
10809	3439	Municipalità di Nuqat al Khams	it	0	2013-06-05 11:59:39.196352+02	1	Municipalità di Nuqat al Khams	\N	\N	\N	\N	\N	\N	t	f
9452	574	Provincia di Bayburt	it	0	2013-06-05 11:00:35.059737+02	1	Provincia di Bayburt	\N	\N	\N	\N	\N	\N	t	f
9453	574	バイブルト県	ja	0	2013-06-05 11:00:37.410631+02	1	バイブルト県	\N	\N	\N	\N	\N	\N	t	f
9493	4365	Ardèche	nl	0	2013-06-05 11:02:18.039636+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
10816	3812	Cambridgeshire	et	0	2013-06-05 12:00:04.980443+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
9494	4365	Ardèche	no	0	2013-06-05 11:02:20.466467+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
9515	1289	Aizkraukle piirkond	et	0	2013-06-05 11:03:11.846161+02	1	Aizkraukle piirkond	\N	\N	\N	\N	\N	\N	t	f
9517	1289	Aizkraukles novads	nl	0	2013-06-05 11:03:16.544013+02	1	Aizkraukles novads	\N	\N	\N	\N	\N	\N	t	f
11242	4314	Provincia di Badajoz	it	0	2013-06-05 12:18:04.467343+02	1	Provincia di Badajoz	\N	\N	\N	\N	\N	\N	t	f
9980	3146	Cankuzo Province	en	0	2013-06-05 11:23:29.709402+02	1	Cankuzo Province	\N	\N	\N	\N	\N	\N	t	f
10090	806	District Alba	nl	0	2013-06-05 11:28:16.569685+02	1	District Alba	\N	\N	\N	\N	\N	\N	t	f
10719	817	Județ de Cluj	fr	0	2013-06-05 11:55:19.74639+02	1	Județ de Cluj	\N	\N	\N	\N	\N	\N	t	f
11289	702	Province de Catamarca	fr	0	2013-06-05 12:19:59.199269+02	1	Province de Catamarca	\N	\N	\N	\N	\N	\N	t	f
10790	2647	Provincia de Bokeo	es	0	2013-06-05 11:58:39.455394+02	1	Provincia de Bokeo	\N	\N	\N	\N	\N	\N	t	f
11299	3617	ハルツーム州	ja	0	2013-06-05 12:20:23.494035+02	1	ハルツーム州	\N	\N	\N	\N	\N	\N	t	f
11314	4816	Atollo Baa	it	0	2013-06-05 12:21:00.115893+02	1	Atollo Baa	\N	\N	\N	\N	\N	\N	t	f
11362	3311	ダカリーヤ県	ja	0	2013-06-05 12:23:19.254393+02	1	ダカリーヤ県	\N	\N	\N	\N	\N	\N	t	f
11379	1230	シエゴ・デ・アビラ州	ja	0	2013-06-05 12:24:14.729097+02	1	シエゴ・デ・アビラ州	\N	\N	\N	\N	\N	\N	t	f
3252	1866	Šibenik-Knin County	en	0	2013-05-27 19:54:15.115468+02	1	Šibenik-Knin County	\N	\N	\N	\N	\N	\N	t	f
3253	1866	Šibenik-Knin	es	0	2013-05-27 19:54:17.301203+02	1	Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
3254	1866	Šibeniki-Knini maakond	et	0	2013-05-27 19:54:19.623807+02	1	Šibeniki-Knini maakond	\N	\N	\N	\N	\N	\N	t	f
3547	4781	Ailinglaplap	it	0	2013-06-05 06:44:48.859017+02	1	Ailinglaplap	\N	\N	\N	\N	\N	\N	t	f
3256	1866	Comitat de Šibenik-Knin	fr	0	2013-05-27 19:54:24.070221+02	1	Comitat de Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
3264	356	Østfold	es	0	2013-05-27 19:54:45.678831+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
4078	3621	北部州	ja	0	2013-06-05 07:08:20.8086+02	1	北部州	\N	\N	\N	\N	\N	\N	t	f
3270	356	Østfold	nl	0	2013-05-27 19:54:59.200103+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3271	356	Østfold	no	0	2013-05-27 19:55:01.430161+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3287	3091	'Adan	no	0	2013-05-27 19:55:44.904758+02	1	'Adan	\N	\N	\N	\N	\N	\N	t	f
4141	4359	Ain	es	0	2013-06-05 07:11:02.952635+02	1	Ain	\N	\N	\N	\N	\N	\N	t	f
3295	4312	Provinz Ávila	de	0	2013-05-27 19:56:07.393762+02	1	Provinz Ávila	\N	\N	\N	\N	\N	\N	t	f
4575	3796	Armagh City and District Council	en	0	2013-06-05 07:29:58.256209+02	1	Armagh City and District Council	\N	\N	\N	\N	\N	\N	t	f
4610	621	Amapá	fr	0	2013-06-05 07:31:28.871612+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5144	1557	Cabañas	no	0	2013-06-05 07:54:32.03688+02	1	Cabañas	\N	\N	\N	\N	\N	\N	t	f
5146	3624	Red Sea	en	0	2013-06-05 07:54:39.68162+02	1	Red Sea	\N	\N	\N	\N	\N	\N	t	f
5772	4640	Province of Cremona	en	0	2013-06-05 08:21:23.819954+02	1	Province of Cremona	\N	\N	\N	\N	\N	\N	t	f
6252	2601	Bắc Giang province	en	0	2013-06-05 08:42:19.938461+02	1	Bắc Giang province	\N	\N	\N	\N	\N	\N	t	f
6398	819	Caraș-Severin	fi	0	2013-06-05 08:49:00.368564+02	1	Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
6992	1958	Municipality of Cerkno	en	0	2013-06-05 09:14:48.280243+02	1	Municipality of Cerkno	\N	\N	\N	\N	\N	\N	t	f
6416	4890	Provincia di Bataan	it	0	2013-06-05 08:49:53.13206+02	1	Provincia di Bataan	\N	\N	\N	\N	\N	\N	t	f
6464	3689	Region Lac	de	0	2013-06-05 08:52:00.402103+02	1	Region Lac	\N	\N	\N	\N	\N	\N	t	f
7004	3040	Bethlehem Governorate	en	0	2013-06-05 09:15:17.996315+02	1	Bethlehem Governorate	\N	\N	\N	\N	\N	\N	t	f
7775	3256	Adrar	no	0	2013-06-05 09:48:14.713633+02	1	Adrar	\N	\N	\N	\N	\N	\N	t	f
7006	3040	Gouvernorat de Bethléem	fr	0	2013-06-05 09:15:22.679464+02	1	Gouvernorat de Bethléem	\N	\N	\N	\N	\N	\N	t	f
7038	3703	中央州	ja	0	2013-06-05 09:16:40.914009+02	1	中央州	\N	\N	\N	\N	\N	\N	t	f
10783	4061	Julfa	es	0	2013-06-05 11:58:13.050079+02	1	Julfa	\N	\N	\N	\N	\N	\N	t	f
7091	3651	Bay	nl	0	2013-06-05 09:18:49.441496+02	1	Bay	\N	\N	\N	\N	\N	\N	t	f
7786	4488	Annobón	it	0	2013-06-05 09:48:42.397659+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7104	1669	チョイスル州	ja	0	2013-06-05 09:19:21.187747+02	1	チョイスル州	\N	\N	\N	\N	\N	\N	t	f
7107	3517	Κάμπο Ντελγκάντο	el	0	2013-06-05 09:19:28.821953+02	1	Κάμπο Ντελγκάντο	\N	\N	\N	\N	\N	\N	t	f
9306	818	Călărași	fi	0	2013-06-05 10:54:26.807737+02	1	Călărași	\N	\N	\N	\N	\N	\N	t	f
7127	3807	Bracknell Forest	de	0	2013-06-05 09:20:18.140973+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7820	507	Adıyamanin maakunta	fi	0	2013-06-05 09:50:17.369176+02	1	Adıyamanin maakunta	\N	\N	\N	\N	\N	\N	t	f
7148	1458	アルティボニット県	ja	0	2013-06-05 09:21:09.24103+02	1	アルティボニット県	\N	\N	\N	\N	\N	\N	t	f
7174	1723	Ağdam	nl	0	2013-06-05 09:22:16.15229+02	1	Ağdam	\N	\N	\N	\N	\N	\N	t	f
7834	3591	Beau Vallon	en	0	2013-06-05 09:50:53.126434+02	1	Beau Vallon	\N	\N	\N	\N	\N	\N	t	f
10277	3791	アバディーンシャー	ja	0	2013-06-05 11:36:48.981979+02	1	アバディーンシャー	\N	\N	\N	\N	\N	\N	t	f
7843	4632	カリャリ県	ja	0	2013-06-05 09:51:15.036667+02	1	カリャリ県	\N	\N	\N	\N	\N	\N	t	f
9311	818	Călărași	no	0	2013-06-05 10:54:38.893582+02	1	Călărași	\N	\N	\N	\N	\N	\N	t	f
7998	2262	Bosilovo	nl	0	2013-06-05 09:57:47.53649+02	1	Bosilovo	\N	\N	\N	\N	\N	\N	t	f
7999	1828	Valencianische Gemeinschaft	de	0	2013-06-05 09:57:50.53456+02	1	Valencianische Gemeinschaft	\N	\N	\N	\N	\N	\N	t	f
8008	1828	Valencia	nl	0	2013-06-05 09:58:15.549623+02	1	Valencia	\N	\N	\N	\N	\N	\N	t	f
9397	1182	Berry Islands	it	0	2013-06-05 10:58:13.725265+02	1	Berry Islands	\N	\N	\N	\N	\N	\N	t	f
8035	1815	Castilla y León	no	0	2013-06-05 09:59:48.459762+02	1	Castilla y León	\N	\N	\N	\N	\N	\N	t	f
9401	5006	Budaka District	en	0	2013-06-05 10:58:23.538783+02	1	Budaka District	\N	\N	\N	\N	\N	\N	t	f
10279	3791	Aberdeenshire	no	0	2013-06-05 11:36:53.790722+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
9402	5006	Distrito de Budaka	es	0	2013-06-05 10:58:25.857911+02	1	Distrito de Budaka	\N	\N	\N	\N	\N	\N	t	f
9406	3067	Provinz Qasim	de	0	2013-06-05 10:58:35.62068+02	1	Provinz Qasim	\N	\N	\N	\N	\N	\N	t	f
9981	3146	Provincia de Cankuzo	es	0	2013-06-05 11:23:32.076934+02	1	Provincia de Cankuzo	\N	\N	\N	\N	\N	\N	t	f
10296	4899	Cagayán	es	0	2013-06-05 11:37:35.670602+02	1	Cagayán	\N	\N	\N	\N	\N	\N	t	f
9982	3146	Cankuzon provinssi	fi	0	2013-06-05 11:23:34.70679+02	1	Cankuzon provinssi	\N	\N	\N	\N	\N	\N	t	f
10010	4615	Ancona	es	0	2013-06-05 11:24:51.020714+02	1	Ancona	\N	\N	\N	\N	\N	\N	t	f
10830	4804	Atollo Alif Dhaal	it	0	2013-06-05 12:00:40.8162+02	1	Atollo Alif Dhaal	\N	\N	\N	\N	\N	\N	t	f
10032	1528	Atlántico Sur	fr	0	2013-06-05 11:25:52.739545+02	1	Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
10720	817	Distretto di Cluj	it	0	2013-06-05 11:55:22.216713+02	1	Distretto di Cluj	\N	\N	\N	\N	\N	\N	t	f
10732	2858	バーミヤーン州	ja	0	2013-06-05 11:55:51.530042+02	1	バーミヤーン州	\N	\N	\N	\N	\N	\N	t	f
10737	2791	Ainaro District	en	0	2013-06-05 11:56:03.873342+02	1	Ainaro District	\N	\N	\N	\N	\N	\N	t	f
10995	2676	Chanthaburi	de	0	2013-06-05 12:07:29.588112+02	1	Chanthaburi	\N	\N	\N	\N	\N	\N	t	f
10867	1007	Cundinamarca	no	0	2013-06-05 12:02:14.827314+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
10903	2708	Provincia de Chiang Rai	es	0	2013-06-05 12:03:44.530285+02	1	Provincia de Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
10952	4900	Camiguin	de	0	2013-06-05 12:05:44.858691+02	1	Camiguin	\N	\N	\N	\N	\N	\N	t	f
11015	361	Comté de Buskerud	fr	0	2013-06-05 12:08:21.990745+02	1	Comté de Buskerud	\N	\N	\N	\N	\N	\N	t	f
11252	3239	中央州	ja	0	2013-06-05 12:18:28.775818+02	1	中央州	\N	\N	\N	\N	\N	\N	t	f
11025	3315	Governatorato di Giza	it	0	2013-06-05 12:08:46.392375+02	1	Governatorato di Giza	\N	\N	\N	\N	\N	\N	t	f
11384	1251	Barahona	es	0	2013-06-05 12:24:31.140866+02	1	Barahona	\N	\N	\N	\N	\N	\N	t	f
11337	4635	Province de Chieti	fr	0	2013-06-05 12:21:57.401613+02	1	Province de Chieti	\N	\N	\N	\N	\N	\N	t	f
11401	2229	Distrito de Cantemir	es	0	2013-06-05 12:25:20.852689+02	1	Distrito de Cantemir	\N	\N	\N	\N	\N	\N	t	f
11408	4901	Provincia di Camarines Norte	it	0	2013-06-05 12:25:37.811862+02	1	Provincia di Camarines Norte	\N	\N	\N	\N	\N	\N	t	f
11453	5054	アルテミサ州	ja	0	2013-06-05 12:27:33.003613+02	1	アルテミサ州	\N	\N	\N	\N	\N	\N	t	f
3257	1866	regione di Sebenico e Tenin	it	0	2013-05-27 19:54:26.325928+02	1	regione di Sebenico e Tenin	\N	\N	\N	\N	\N	\N	t	f
3258	1866	シベニク＝クニン郡	ja	0	2013-05-27 19:54:28.56887+02	1	シベニク＝クニン郡	\N	\N	\N	\N	\N	\N	t	f
3260	1866	Šibenik-Knin	no	0	2013-05-27 19:54:35.564094+02	1	Šibenik-Knin	\N	\N	\N	\N	\N	\N	t	f
3550	997	Διαμέρισμα Ατλαντικού	el	0	2013-06-05 06:44:56.449274+02	1	Διαμέρισμα Ατλαντικού	\N	\N	\N	\N	\N	\N	t	f
3262	356	Østfold	de	0	2013-05-27 19:54:40.825127+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3275	2345	Šumadija	fr	0	2013-05-27 19:55:11.38918+02	1	Šumadija	\N	\N	\N	\N	\N	\N	t	f
4080	4747	Anuradhapura (Distrikt)	de	0	2013-06-05 07:08:26.311038+02	1	Anuradhapura (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
3298	4312	Ávila provints	et	0	2013-05-27 19:56:15.336069+02	1	Ávila provints	\N	\N	\N	\N	\N	\N	t	f
3302	4312	アビラ県	ja	0	2013-05-27 19:56:24.812372+02	1	アビラ県	\N	\N	\N	\N	\N	\N	t	f
4130	1280	Banská Bystrica	en	0	2013-06-05 07:10:31.057874+02	1	Banská Bystrica	\N	\N	\N	\N	\N	\N	t	f
4577	3796	Distretto di Armagh	it	0	2013-06-05 07:30:03.408091+02	1	Distretto di Armagh	\N	\N	\N	\N	\N	\N	t	f
5145	3624	Al-Bahr al-ahmar	de	0	2013-06-05 07:54:37.313375+02	1	Al-Bahr al-ahmar	\N	\N	\N	\N	\N	\N	t	f
5158	3805	Blaenau Gwent	fi	0	2013-06-05 07:55:08.986373+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5773	4640	Cremona	es	0	2013-06-05 08:21:26.176504+02	1	Cremona	\N	\N	\N	\N	\N	\N	t	f
5207	1029	Provinz Carchi	de	0	2013-06-05 07:57:09.407046+02	1	Provinz Carchi	\N	\N	\N	\N	\N	\N	t	f
5789	4373	Cantal	nl	0	2013-06-05 08:22:08.747171+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
6253	2601	Bắc Giang	es	0	2013-06-05 08:42:22.371447+02	1	Bắc Giang	\N	\N	\N	\N	\N	\N	t	f
5794	3434	Al Mourqoub	fr	0	2013-06-05 08:22:21.454531+02	1	Al Mourqoub	\N	\N	\N	\N	\N	\N	t	f
6254	2601	Bắc Giang	fi	0	2013-06-05 08:42:24.717599+02	1	Bắc Giang	\N	\N	\N	\N	\N	\N	t	f
6993	266	Kalifornien	de	0	2013-06-05 09:14:51.444672+02	1	Kalifornien	\N	\N	\N	\N	\N	\N	t	f
6278	812	Kreis Bistrița-Năsăud	de	0	2013-06-05 08:43:23.597678+02	1	Kreis Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
7056	2394	Oblast de Belgorod	fr	0	2013-06-05 09:17:24.464148+02	1	Oblast de Belgorod	\N	\N	\N	\N	\N	\N	t	f
7776	3594	Cascade	en	0	2013-06-05 09:48:17.404255+02	1	Cascade	\N	\N	\N	\N	\N	\N	t	f
7090	3651	Bai	it	0	2013-06-05 09:18:47.082074+02	1	Bai	\N	\N	\N	\N	\N	\N	t	f
7100	1669	Choiseul	en	0	2013-06-05 09:19:11.587834+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
7122	1497	Basse-Californie du Sud	fr	0	2013-06-05 09:20:05.526499+02	1	Basse-Californie du Sud	\N	\N	\N	\N	\N	\N	t	f
7842	4632	provincia di Cagliari	it	0	2013-06-05 09:51:12.664791+02	1	provincia di Cagliari	\N	\N	\N	\N	\N	\N	t	f
7173	1723	distretto di Ağdam	it	0	2013-06-05 09:22:13.781407+02	1	distretto di Ağdam	\N	\N	\N	\N	\N	\N	t	f
7177	4885	Aklan	en	0	2013-06-05 09:22:24.543849+02	1	Aklan	\N	\N	\N	\N	\N	\N	t	f
9307	818	Județ de Călărași	fr	0	2013-06-05 10:54:29.202259+02	1	Județ de Călărași	\N	\N	\N	\N	\N	\N	t	f
7187	2256	Aerodrom	it	0	2013-06-05 09:22:48.568779+02	1	Aerodrom	\N	\N	\N	\N	\N	\N	t	f
7854	325	ブランデンブルク州	ja	0	2013-06-05 09:51:42.502767+02	1	ブランデンブルク州	\N	\N	\N	\N	\N	\N	t	f
7198	4613	Provinz Agrigent	de	0	2013-06-05 09:23:17.021801+02	1	Provinz Agrigent	\N	\N	\N	\N	\N	\N	t	f
7202	4613	Agrigento provints	et	0	2013-06-05 09:23:26.753562+02	1	Agrigento provints	\N	\N	\N	\N	\N	\N	t	f
7874	4827	Distretto di Chiradzulu	it	0	2013-06-05 09:52:34.38364+02	1	Distretto di Chiradzulu	\N	\N	\N	\N	\N	\N	t	f
9495	4377	Département Corrèze	de	0	2013-06-05 11:02:23.394918+02	1	Département Corrèze	\N	\N	\N	\N	\N	\N	t	f
7899	4547	Regione di Bolama	it	0	2013-06-05 09:53:37.65298+02	1	Regione di Bolama	\N	\N	\N	\N	\N	\N	t	f
9323	2963	Provincia de Bushehr	es	0	2013-06-05 10:55:08.065123+02	1	Provincia de Bushehr	\N	\N	\N	\N	\N	\N	t	f
7942	820	Constanța maakond	et	0	2013-06-05 09:55:25.954961+02	1	Constanța maakond	\N	\N	\N	\N	\N	\N	t	f
9326	2963	Province de Bouchehr	fr	0	2013-06-05 10:55:15.097093+02	1	Province de Bouchehr	\N	\N	\N	\N	\N	\N	t	f
10128	4627	provincia di Bologna	it	0	2013-06-05 11:29:50.06897+02	1	provincia di Bologna	\N	\N	\N	\N	\N	\N	t	f
9329	2963	Bushehr	nl	0	2013-06-05 10:55:22.222433+02	1	Bushehr	\N	\N	\N	\N	\N	\N	t	f
9534	985	Región de Coquimbo	es	0	2013-06-05 11:03:58.063797+02	1	Región de Coquimbo	\N	\N	\N	\N	\N	\N	t	f
9333	265	Arizona	en	0	2013-06-05 10:55:32.379764+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9350	1480	Clarendon prestegjeld	no	0	2013-06-05 10:56:16.519102+02	1	Clarendon prestegjeld	\N	\N	\N	\N	\N	\N	t	f
9370	4620	Astin maakunta	fi	0	2013-06-05 10:57:08.110234+02	1	Astin maakunta	\N	\N	\N	\N	\N	\N	t	f
9564	3114	カビンダ	ja	0	2013-06-05 11:05:11.784809+02	1	カビンダ	\N	\N	\N	\N	\N	\N	t	f
9382	4638	Provinz Cuneo	de	0	2013-06-05 10:57:37.434025+02	1	Provinz Cuneo	\N	\N	\N	\N	\N	\N	t	f
9398	1182	ベリー諸島	ja	0	2013-06-05 10:58:16.067767+02	1	ベリー諸島	\N	\N	\N	\N	\N	\N	t	f
10852	1006	Córdoba departemang	et	0	2013-06-05 12:01:38.626772+02	1	Córdoba departemang	\N	\N	\N	\N	\N	\N	t	f
9413	3067	カスィーム州	ja	0	2013-06-05 10:58:52.119194+02	1	カスィーム州	\N	\N	\N	\N	\N	\N	t	f
9623	3262	Provincia de Biskra	es	0	2013-06-05 11:07:40.226949+02	1	Provincia de Biskra	\N	\N	\N	\N	\N	\N	t	f
9437	815	Kreis Brașov	de	0	2013-06-05 10:59:55.121284+02	1	Kreis Brașov	\N	\N	\N	\N	\N	\N	t	f
10134	4590	Condado de Carlow	es	0	2013-06-05 11:30:05.159188+02	1	Condado de Carlow	\N	\N	\N	\N	\N	\N	t	f
9983	3146	Province de Cankuzo	fr	0	2013-06-05 11:23:37.141505+02	1	Province de Cankuzo	\N	\N	\N	\N	\N	\N	t	f
10089	806	アルバ県	ja	0	2013-06-05 11:28:14.060797+02	1	アルバ県	\N	\N	\N	\N	\N	\N	t	f
10746	4554	Aceh	et	0	2013-06-05 11:56:25.914855+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10113	4634	Caserta	es	0	2013-06-05 11:29:13.132072+02	1	Caserta	\N	\N	\N	\N	\N	\N	t	f
10330	1951	ブルダ	ja	0	2013-06-05 11:38:58.862513+02	1	ブルダ	\N	\N	\N	\N	\N	\N	t	f
10721	817	クルジュ県	ja	0	2013-06-05 11:55:24.632498+02	1	クルジュ県	\N	\N	\N	\N	\N	\N	t	f
10736	2791	Αϊνάρο	el	0	2013-06-05 11:56:01.515669+02	1	Αϊνάρο	\N	\N	\N	\N	\N	\N	t	f
11270	3425	Bengasi	it	0	2013-06-05 12:19:12.789917+02	1	Bengasi	\N	\N	\N	\N	\N	\N	t	f
10824	1294	Municipalidad de Alūksne	es	0	2013-06-05 12:00:26.226405+02	1	Municipalidad de Alūksne	\N	\N	\N	\N	\N	\N	t	f
10854	1006	Córdoba	fr	0	2013-06-05 12:01:43.368726+02	1	Córdoba	\N	\N	\N	\N	\N	\N	t	f
11281	4548	Biombo	no	0	2013-06-05 12:19:39.372807+02	1	Biombo	\N	\N	\N	\N	\N	\N	t	f
3263	356	Østfold	en	0	2013-05-27 19:54:43.438113+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3265	356	Østfold	et	0	2013-05-27 19:54:47.899773+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3552	997	Atlántico	es	0	2013-06-05 06:45:04.157063+02	1	Atlántico	\N	\N	\N	\N	\N	\N	t	f
3554	997	Atlántico	fr	0	2013-06-05 06:45:09.341721+02	1	Atlántico	\N	\N	\N	\N	\N	\N	t	f
4081	4747	Anuradhapura District	en	0	2013-06-05 07:08:28.684771+02	1	Anuradhapura District	\N	\N	\N	\N	\N	\N	t	f
3564	656	Arunachal Pradesh	fi	0	2013-06-05 06:45:35.914684+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4082	4747	Anuradhapura (district)	fr	0	2013-06-05 07:08:31.044988+02	1	Anuradhapura (district)	\N	\N	\N	\N	\N	\N	t	f
4578	3796	Armagh	nl	0	2013-06-05 07:30:05.836429+02	1	Armagh	\N	\N	\N	\N	\N	\N	t	f
4085	4589	County Cork	de	0	2013-06-05 07:08:38.649173+02	1	County Cork	\N	\N	\N	\N	\N	\N	t	f
4625	1832	Clipperton	no	0	2013-06-05 07:32:05.236105+02	1	Clipperton	\N	\N	\N	\N	\N	\N	t	f
5147	3624	Mar Rojo	es	0	2013-06-05 07:54:42.060089+02	1	Mar Rojo	\N	\N	\N	\N	\N	\N	t	f
4634	2860	バダフシャーン州	ja	0	2013-06-05 07:32:27.56974+02	1	バダフシャーン州	\N	\N	\N	\N	\N	\N	t	f
4636	2860	Badakhshan	no	0	2013-06-05 07:32:32.375268+02	1	Badakhshan	\N	\N	\N	\N	\N	\N	t	f
5155	3805	Blaenau Gwent	en	0	2013-06-05 07:55:01.905217+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5774	4640	Cremona provints	et	0	2013-06-05 08:21:28.525361+02	1	Cremona provints	\N	\N	\N	\N	\N	\N	t	f
5775	4640	Cremonan maakunta	fi	0	2013-06-05 08:21:30.953987+02	1	Cremonan maakunta	\N	\N	\N	\N	\N	\N	t	f
6255	2601	Province de Bắc Giang	fr	0	2013-06-05 08:42:27.066827+02	1	Province de Bắc Giang	\N	\N	\N	\N	\N	\N	t	f
6266	4904	Catanduanes	no	0	2013-06-05 08:42:53.682594+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6996	266	California	es	0	2013-06-05 09:14:58.475312+02	1	California	\N	\N	\N	\N	\N	\N	t	f
6279	812	Bistriţa-Năsăud County	en	0	2013-06-05 08:43:25.922373+02	1	Bistriţa-Năsăud County	\N	\N	\N	\N	\N	\N	t	f
6298	2224	Cahul District	en	0	2013-06-05 08:44:11.840494+02	1	Cahul District	\N	\N	\N	\N	\N	\N	t	f
6392	1629	Chathameilanden	nl	0	2013-06-05 08:48:39.250592+02	1	Chathameilanden	\N	\N	\N	\N	\N	\N	t	f
7098	3647	Awdal	nl	0	2013-06-05 09:19:06.492348+02	1	Awdal	\N	\N	\N	\N	\N	\N	t	f
6401	819	カラシュ＝セヴェリン県	ja	0	2013-06-05 08:49:07.482984+02	1	カラシュ＝セヴェリン県	\N	\N	\N	\N	\N	\N	t	f
6414	4890	Bataán	es	0	2013-06-05 08:49:48.164514+02	1	Bataán	\N	\N	\N	\N	\N	\N	t	f
7777	3594	Cascade	es	0	2013-06-05 09:48:19.740469+02	1	Cascade	\N	\N	\N	\N	\N	\N	t	f
6447	807	アルジェシュ県	ja	0	2013-06-05 08:51:16.452295+02	1	アルジェシュ県	\N	\N	\N	\N	\N	\N	t	f
7103	1669	Provincia di Choiseul	it	0	2013-06-05 09:19:18.787978+02	1	Provincia di Choiseul	\N	\N	\N	\N	\N	\N	t	f
10251	1032	Cañar Province	en	0	2013-06-05 11:35:45.305685+02	1	Cañar Province	\N	\N	\N	\N	\N	\N	t	f
9308	818	Distretto di Călărași	it	0	2013-06-05 10:54:31.572884+02	1	Distretto di Călărași	\N	\N	\N	\N	\N	\N	t	f
9309	818	カララシ県	ja	0	2013-06-05 10:54:34.003205+02	1	カララシ県	\N	\N	\N	\N	\N	\N	t	f
9343	1480	Κλάρεντον	el	0	2013-06-05 10:55:59.857569+02	1	Κλάρεντον	\N	\N	\N	\N	\N	\N	t	f
10329	1951	Collio	it	0	2013-06-05 11:38:56.413276+02	1	Collio	\N	\N	\N	\N	\N	\N	t	f
9407	3067	Al-Qassim Province	en	0	2013-06-05 10:58:37.944194+02	1	Al-Qassim Province	\N	\N	\N	\N	\N	\N	t	f
9410	3067	Al Qasim	fi	0	2013-06-05 10:58:44.996355+02	1	Al Qasim	\N	\N	\N	\N	\N	\N	t	f
9428	3454	Chaouia-Ouardigha	fr	0	2013-06-05 10:59:28.659184+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
10722	817	District Cluj	nl	0	2013-06-05 11:55:27.028972+02	1	District Cluj	\N	\N	\N	\N	\N	\N	t	f
9435	3801	Bedford	nl	0	2013-06-05 10:59:49.961167+02	1	Bedford	\N	\N	\N	\N	\N	\N	t	f
9558	3114	Provinz Cabinda	de	0	2013-06-05 11:04:57.007917+02	1	Provinz Cabinda	\N	\N	\N	\N	\N	\N	t	f
9633	658	Bihar	fi	0	2013-06-05 11:08:04.89325+02	1	Bihar	\N	\N	\N	\N	\N	\N	t	f
10796	2647	Bokeo	no	0	2013-06-05 11:58:58.012243+02	1	Bokeo	\N	\N	\N	\N	\N	\N	t	f
9984	3146	Provincia di Cankuzo	it	0	2013-06-05 11:23:39.511256+02	1	Provincia di Cankuzo	\N	\N	\N	\N	\N	\N	t	f
10040	1890	Calabria	es	0	2013-06-05 11:26:12.407372+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
10052	4157	Boulkiemdé	fr	0	2013-06-05 11:26:41.535307+02	1	Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
10945	1527	Región Autónoma del Atlántico Norte	es	0	2013-06-05 12:05:27.655433+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
10054	4157	ブルキアンデ県	ja	0	2013-06-05 11:26:46.29697+02	1	ブルキアンデ県	\N	\N	\N	\N	\N	\N	t	f
10088	806	Distretto di Alba	it	0	2013-06-05 11:28:11.669685+02	1	Distretto di Alba	\N	\N	\N	\N	\N	\N	t	f
10950	1527	Región Autónoma del Atlántico Norte	nl	0	2013-06-05 12:05:39.721271+02	1	Región Autónoma del Atlántico Norte	\N	\N	\N	\N	\N	\N	t	f
10972	3143	Bujumbura maaprovints	et	0	2013-06-05 12:06:33.217899+02	1	Bujumbura maaprovints	\N	\N	\N	\N	\N	\N	t	f
11278	4548	Regione di Biombo	it	0	2013-06-05 12:19:32.26639+02	1	Regione di Biombo	\N	\N	\N	\N	\N	\N	t	f
11316	3797	Ballymena (Borough)	de	0	2013-06-05 12:21:05.091432+02	1	Ballymena (Borough)	\N	\N	\N	\N	\N	\N	t	f
3266	356	Østfoldin lääni	fi	0	2013-05-27 19:54:50.270764+02	1	Østfoldin lääni	\N	\N	\N	\N	\N	\N	t	f
3267	356	Comté d'Østfold	fr	0	2013-05-27 19:54:52.472969+02	1	Comté d'Østfold	\N	\N	\N	\N	\N	\N	t	f
3268	356	Østfold	it	0	2013-05-27 19:54:54.688225+02	1	Østfold	\N	\N	\N	\N	\N	\N	t	f
3553	997	Atlántico	fi	0	2013-06-05 06:45:06.575367+02	1	Atlántico	\N	\N	\N	\N	\N	\N	t	f
3272	2345	Okrug Šumadija	de	0	2013-05-27 19:55:04.056357+02	1	Okrug Šumadija	\N	\N	\N	\N	\N	\N	t	f
3273	2345	Šumadija District	en	0	2013-05-27 19:55:06.250409+02	1	Šumadija District	\N	\N	\N	\N	\N	\N	t	f
4083	4747	Distretto di Anuradhapura	it	0	2013-06-05 07:08:33.402556+02	1	Distretto di Anuradhapura	\N	\N	\N	\N	\N	\N	t	f
3289	3096	Hadhramaut Governorate	en	0	2013-05-27 19:55:49.847245+02	1	Hadhramaut Governorate	\N	\N	\N	\N	\N	\N	t	f
4113	2604	Binh Duong province	en	0	2013-06-05 07:09:47.758322+02	1	Binh Duong province	\N	\N	\N	\N	\N	\N	t	f
4579	3796	Armagh (distrikt)	no	0	2013-06-05 07:30:08.239848+02	1	Armagh (distrikt)	\N	\N	\N	\N	\N	\N	t	f
4581	3065	Al Madinah Province	en	0	2013-06-05 07:30:13.370357+02	1	Al Madinah Province	\N	\N	\N	\N	\N	\N	t	f
5148	3624	Al-Baḩr al-Aḩmari provints	et	0	2013-06-05 07:54:44.457823+02	1	Al-Baḩr al-Aḩmari provints	\N	\N	\N	\N	\N	\N	t	f
4627	2860	Μπανταχσάν	el	0	2013-06-05 07:32:10.530492+02	1	Μπανταχσάν	\N	\N	\N	\N	\N	\N	t	f
5175	3521	Caprivi Region	en	0	2013-06-05 07:55:50.688493+02	1	Caprivi Region	\N	\N	\N	\N	\N	\N	t	f
5776	4640	Province de Crémone	fr	0	2013-06-05 08:21:33.391112+02	1	Province de Crémone	\N	\N	\N	\N	\N	\N	t	f
5180	3521	Regione di Caprivi	it	0	2013-06-05 07:56:02.560788+02	1	Regione di Caprivi	\N	\N	\N	\N	\N	\N	t	f
5197	1089	Département Central	fr	0	2013-06-05 07:56:44.592167+02	1	Département Central	\N	\N	\N	\N	\N	\N	t	f
5199	1089	Central	nl	0	2013-06-05 07:56:49.307668+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
5807	3263	Bechar	de	0	2013-06-05 08:22:53.498124+02	1	Bechar	\N	\N	\N	\N	\N	\N	t	f
5200	1211	Cayo District	de	0	2013-06-05 07:56:52.01468+02	1	Cayo District	\N	\N	\N	\N	\N	\N	t	f
6256	2601	Provincia di Bac Giang	it	0	2013-06-05 08:42:29.458782+02	1	Provincia di Bac Giang	\N	\N	\N	\N	\N	\N	t	f
5812	3263	Béchar	nl	0	2013-06-05 08:23:05.384621+02	1	Béchar	\N	\N	\N	\N	\N	\N	t	f
6312	2790	Αϊλέου	el	0	2013-06-05 08:44:46.947276+02	1	Αϊλέου	\N	\N	\N	\N	\N	\N	t	f
7000	266	California	it	0	2013-06-05 09:15:08.113933+02	1	California	\N	\N	\N	\N	\N	\N	t	f
6386	1629	Islas Chatham	es	0	2013-06-05 08:48:04.684041+02	1	Islas Chatham	\N	\N	\N	\N	\N	\N	t	f
6406	2589	Bình Thuận	es	0	2013-06-05 08:49:22.896764+02	1	Bình Thuận	\N	\N	\N	\N	\N	\N	t	f
7015	3084	ラタキア県	ja	0	2013-06-05 09:15:44.784006+02	1	ラタキア県	\N	\N	\N	\N	\N	\N	t	f
7778	3594	Cascade	nl	0	2013-06-05 09:48:22.100393+02	1	Cascade	\N	\N	\N	\N	\N	\N	t	f
7049	4549	Cacheu	no	0	2013-06-05 09:17:07.315509+02	1	Cacheu	\N	\N	\N	\N	\N	\N	t	f
7063	4883	Agusan del Norte	es	0	2013-06-05 09:17:41.568828+02	1	Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
7083	3251	Ali Sabieh	nl	0	2013-06-05 09:18:29.798741+02	1	Ali Sabieh	\N	\N	\N	\N	\N	\N	t	f
7798	4639	Κόμο	el	0	2013-06-05 09:49:19.050349+02	1	Κόμο	\N	\N	\N	\N	\N	\N	t	f
7158	3491	Black River	no	0	2013-06-05 09:21:33.630176+02	1	Black River	\N	\N	\N	\N	\N	\N	t	f
9310	818	District Călărași	nl	0	2013-06-05 10:54:36.381506+02	1	District Călărași	\N	\N	\N	\N	\N	\N	t	f
7160	984	Bío Bío Region	en	0	2013-06-05 09:21:38.818222+02	1	Bío Bío Region	\N	\N	\N	\N	\N	\N	t	f
7218	4289	Brno-Country District	en	0	2013-06-05 09:24:05.768304+02	1	Brno-Country District	\N	\N	\N	\N	\N	\N	t	f
9393	1182	Berry Islands	de	0	2013-06-05 10:58:04.340857+02	1	Berry Islands	\N	\N	\N	\N	\N	\N	t	f
10723	817	Cluj	no	0	2013-06-05 11:55:29.403447+02	1	Cluj	\N	\N	\N	\N	\N	\N	t	f
9430	3454	Chaouia-Ouardigha	nl	0	2013-06-05 10:59:35.033512+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
9485	4365	Ardèche	de	0	2013-06-05 11:01:56.101782+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
10879	3709	Gouvernorat Ariana	de	0	2013-06-05 12:02:44.61274+02	1	Gouvernorat Ariana	\N	\N	\N	\N	\N	\N	t	f
9525	2794	Cova Lima	de	0	2013-06-05 11:03:36.250552+02	1	Cova Lima	\N	\N	\N	\N	\N	\N	t	f
10762	1095	Département de Boquerón	fr	0	2013-06-05 11:57:06.432405+02	1	Département de Boquerón	\N	\N	\N	\N	\N	\N	t	f
9528	2794	Cova Lima	fr	0	2013-06-05 11:03:43.300385+02	1	Cova Lima	\N	\N	\N	\N	\N	\N	t	f
9544	1064	Arequipa piirkond	et	0	2013-06-05 11:04:22.244781+02	1	Arequipa piirkond	\N	\N	\N	\N	\N	\N	t	f
9985	3146	カンクゾ県	ja	0	2013-06-05 11:23:41.891917+02	1	カンクゾ県	\N	\N	\N	\N	\N	\N	t	f
10786	4061	Culfa	nl	0	2013-06-05 11:58:22.531611+02	1	Culfa	\N	\N	\N	\N	\N	\N	t	f
9994	3615	Gezira	it	0	2013-06-05 11:24:07.560553+02	1	Gezira	\N	\N	\N	\N	\N	\N	t	f
9998	4489	Bioko Norte	de	0	2013-06-05 11:24:19.163103+02	1	Bioko Norte	\N	\N	\N	\N	\N	\N	t	f
11286	702	Provincia de Catamarca	es	0	2013-06-05 12:19:52.011363+02	1	Provincia de Catamarca	\N	\N	\N	\N	\N	\N	t	f
10017	4615	Provinsen Ancona	no	0	2013-06-05 11:25:09.536566+02	1	Provinsen Ancona	\N	\N	\N	\N	\N	\N	t	f
10787	4061	Culfa	no	0	2013-06-05 11:58:25.658694+02	1	Culfa	\N	\N	\N	\N	\N	\N	t	f
10029	1528	Región Autónoma del Atlántico Sur	en	0	2013-06-05 11:25:45.642327+02	1	Región Autónoma del Atlántico Sur	\N	\N	\N	\N	\N	\N	t	f
11013	361	Buskerud	et	0	2013-06-05 12:08:14.378349+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
10789	2647	Bokeo Province	en	0	2013-06-05 11:58:33.849226+02	1	Bokeo Province	\N	\N	\N	\N	\N	\N	t	f
10847	3133	Centre-Nord	nl	0	2013-06-05 12:01:23.738913+02	1	Centre-Nord	\N	\N	\N	\N	\N	\N	t	f
10873	813	Brăila	fi	0	2013-06-05 12:02:29.562055+02	1	Brăila	\N	\N	\N	\N	\N	\N	t	f
11046	1654	Angaur	no	0	2013-06-05 12:09:41.436752+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
10878	813	Brăila	no	0	2013-06-05 12:02:41.683957+02	1	Brăila	\N	\N	\N	\N	\N	\N	t	f
11482	357	Akershus	no	0	2013-06-05 12:28:43.495676+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
11049	3816	District de Castlereagh	fr	0	2013-06-05 12:09:48.920211+02	1	District de Castlereagh	\N	\N	\N	\N	\N	\N	t	f
11307	1028	ボリーバル県	ja	0	2013-06-05 12:20:42.909911+02	1	ボリーバル県	\N	\N	\N	\N	\N	\N	t	f
11284	702	Provinz Catamarca	de	0	2013-06-05 12:19:47.293267+02	1	Provinz Catamarca	\N	\N	\N	\N	\N	\N	t	f
11456	2776	Central Luzon	en	0	2013-06-05 12:27:40.480024+02	1	Central Luzon	\N	\N	\N	\N	\N	\N	t	f
11497	3181	Bandundu	no	0	2013-06-05 12:29:19.930147+02	1	Bandundu	\N	\N	\N	\N	\N	\N	t	f
3274	2345	Distrito de Šumadija	es	0	2013-05-27 19:55:09.107402+02	1	Distrito de Šumadija	\N	\N	\N	\N	\N	\N	t	f
3278	2345	Šumadija	nl	0	2013-05-27 19:55:18.093305+02	1	Šumadija	\N	\N	\N	\N	\N	\N	t	f
3279	1977	Municipality of Šalovci	en	0	2013-05-27 19:55:20.682416+02	1	Municipality of Šalovci	\N	\N	\N	\N	\N	\N	t	f
3555	997	dipartimento dell'Atlantico	it	0	2013-06-05 06:45:11.781944+02	1	dipartimento dell'Atlantico	\N	\N	\N	\N	\N	\N	t	f
3576	1837	Corse	fr	0	2013-06-05 06:46:22.764848+02	1	Corse	\N	\N	\N	\N	\N	\N	t	f
4084	4747	Anuradhapura	nl	0	2013-06-05 07:08:35.75565+02	1	Anuradhapura	\N	\N	\N	\N	\N	\N	t	f
4580	3065	Provinz Medina	de	0	2013-06-05 07:30:11.022856+02	1	Provinz Medina	\N	\N	\N	\N	\N	\N	t	f
4597	994	Amazonas	es	0	2013-06-05 07:30:56.001266+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
5149	3624	Al-Bahr al-Ahmar	fi	0	2013-06-05 07:54:46.83884+02	1	Al-Bahr al-Ahmar	\N	\N	\N	\N	\N	\N	t	f
4604	994	Amazonas	no	0	2013-06-05 07:31:13.600127+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
4619	1832	Clipperton	et	0	2013-06-05 07:31:50.762261+02	1	Clipperton	\N	\N	\N	\N	\N	\N	t	f
5777	4640	provincia di Cremona	it	0	2013-06-05 08:21:35.781479+02	1	provincia di Cremona	\N	\N	\N	\N	\N	\N	t	f
4624	1832	Clipperton	nl	0	2013-06-05 07:32:02.850417+02	1	Clipperton	\N	\N	\N	\N	\N	\N	t	f
5808	3263	Béchar Province	en	0	2013-06-05 08:22:55.862713+02	1	Béchar Province	\N	\N	\N	\N	\N	\N	t	f
6257	2601	バクザン省	ja	0	2013-06-05 08:42:31.85545+02	1	バクザン省	\N	\N	\N	\N	\N	\N	t	f
6360	1652	Aimeliik	fr	0	2013-06-05 08:46:49.354321+02	1	Aimeliik	\N	\N	\N	\N	\N	\N	t	f
7003	266	California	no	0	2013-06-05 09:15:15.329304+02	1	California	\N	\N	\N	\N	\N	\N	t	f
6432	3278	Provincia de Annaba	es	0	2013-06-05 08:50:38.921786+02	1	Provincia de Annaba	\N	\N	\N	\N	\N	\N	t	f
7008	3084	Gouvernement Latakia	de	0	2013-06-05 09:15:27.940123+02	1	Gouvernement Latakia	\N	\N	\N	\N	\N	\N	t	f
7780	4488	Αννομπόν	el	0	2013-06-05 09:48:27.692646+02	1	Αννομπόν	\N	\N	\N	\N	\N	\N	t	f
7073	1545	Provincia di Coclé	it	0	2013-06-05 09:18:05.477443+02	1	Provincia di Coclé	\N	\N	\N	\N	\N	\N	t	f
7077	3251	Περιφέρεια Αλί Σαμπί	el	0	2013-06-05 09:18:15.538822+02	1	Περιφέρεια Αλί Σαμπί	\N	\N	\N	\N	\N	\N	t	f
9312	2951	Nadschaf	de	0	2013-06-05 10:54:41.657948+02	1	Nadschaf	\N	\N	\N	\N	\N	\N	t	f
7079	3251	Ali Sabiehi piirkond	et	0	2013-06-05 09:18:20.201119+02	1	Ali Sabiehi piirkond	\N	\N	\N	\N	\N	\N	t	f
7080	3251	Région d'Ali Sabieh	fr	0	2013-06-05 09:18:22.558986+02	1	Région d'Ali Sabieh	\N	\N	\N	\N	\N	\N	t	f
7113	3517	カボ・デルガード州	ja	0	2013-06-05 09:19:43.081841+02	1	カボ・デルガード州	\N	\N	\N	\N	\N	\N	t	f
9338	265	Arizona	it	0	2013-06-05 10:55:47.704992+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
7128	3807	Bracknell Forest	en	0	2013-06-05 09:20:20.561933+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7208	4613	Provinsen Agrigento	no	0	2013-06-05 09:23:41.110694+02	1	Provinsen Agrigento	\N	\N	\N	\N	\N	\N	t	f
10724	2858	Bamiyan	de	0	2013-06-05 11:55:32.435216+02	1	Bamiyan	\N	\N	\N	\N	\N	\N	t	f
7211	3319	Caliubia	es	0	2013-06-05 09:23:48.56773+02	1	Caliubia	\N	\N	\N	\N	\N	\N	t	f
9366	4620	Άστι	el	0	2013-06-05 10:56:58.721647+02	1	Άστι	\N	\N	\N	\N	\N	\N	t	f
9404	5006	ブダカ県	ja	0	2013-06-05 10:58:30.537809+02	1	ブダカ県	\N	\N	\N	\N	\N	\N	t	f
9421	4369	Aude	it	0	2013-06-05 10:59:11.591752+02	1	Aude	\N	\N	\N	\N	\N	\N	t	f
10739	2791	Ainaro (district)	fr	0	2013-06-05 11:56:08.576267+02	1	Ainaro (district)	\N	\N	\N	\N	\N	\N	t	f
9426	3454	Chaouia-Ouardigha	en	0	2013-06-05 10:59:23.976327+02	1	Chaouia-Ouardigha	\N	\N	\N	\N	\N	\N	t	f
9500	4377	Corrèze	fi	0	2013-06-05 11:02:35.530475+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
9505	4377	Corrèze	no	0	2013-06-05 11:02:47.485353+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
10766	3217	Cuvette Department	en	0	2013-06-05 11:57:17.745222+02	1	Cuvette Department	\N	\N	\N	\N	\N	\N	t	f
9986	3146	Cankuzo	nl	0	2013-06-05 11:23:44.276575+02	1	Cankuzo	\N	\N	\N	\N	\N	\N	t	f
10074	722	Borsod-Abaúj-Zemplén	nl	0	2013-06-05 11:27:37.134927+02	1	Borsod-Abaúj-Zemplén	\N	\N	\N	\N	\N	\N	t	f
10077	4764	Provincia de Al Hauz	es	0	2013-06-05 11:27:44.665121+02	1	Provincia de Al Hauz	\N	\N	\N	\N	\N	\N	t	f
10773	3649	Banaadir	de	0	2013-06-05 11:57:44.270074+02	1	Banaadir	\N	\N	\N	\N	\N	\N	t	f
10157	3826	Conwy County Borough	es	0	2013-06-05 11:31:02.192421+02	1	Conwy County Borough	\N	\N	\N	\N	\N	\N	t	f
10274	3791	Aberdeenshire	fi	0	2013-06-05 11:36:41.840357+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
10276	3791	Aberdeenshire	it	0	2013-06-05 11:36:46.570975+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
10286	2956	キルクーク県	ja	0	2013-06-05 11:37:10.884917+02	1	キルクーク県	\N	\N	\N	\N	\N	\N	t	f
10791	2647	Bokeo	fi	0	2013-06-05 11:58:41.863784+02	1	Bokeo	\N	\N	\N	\N	\N	\N	t	f
10973	3143	Bujumbura Rural	fi	0	2013-06-05 12:06:35.589566+02	1	Bujumbura Rural	\N	\N	\N	\N	\N	\N	t	f
11302	1028	Bolívar Province	en	0	2013-06-05 12:20:31.001753+02	1	Bolívar Province	\N	\N	\N	\N	\N	\N	t	f
3280	3091	Gouvernement Adan	de	0	2013-05-27 19:55:26.729572+02	1	Gouvernement Adan	\N	\N	\N	\N	\N	\N	t	f
3556	997	アトランティコ県	ja	0	2013-06-05 06:45:14.171033+02	1	アトランティコ県	\N	\N	\N	\N	\N	\N	t	f
3579	1837	Corsica	nl	0	2013-06-05 06:46:35.089919+02	1	Corsica	\N	\N	\N	\N	\N	\N	t	f
4087	4589	Condado de Cork	es	0	2013-06-05 07:08:43.573079+02	1	Condado de Cork	\N	\N	\N	\N	\N	\N	t	f
4582	3065	Provincia de Medina	es	0	2013-06-05 07:30:15.733287+02	1	Provincia de Medina	\N	\N	\N	\N	\N	\N	t	f
5150	3624	Mer Rouge	fr	0	2013-06-05 07:54:49.208161+02	1	Mer Rouge	\N	\N	\N	\N	\N	\N	t	f
5173	2481	Abkhasia	no	0	2013-06-05 07:55:45.611032+02	1	Abkhasia	\N	\N	\N	\N	\N	\N	t	f
5778	4640	クレモナ県	ja	0	2013-06-05 08:21:38.172589+02	1	クレモナ県	\N	\N	\N	\N	\N	\N	t	f
6258	2601	Bắc Giang	nl	0	2013-06-05 08:42:34.234177+02	1	Bắc Giang	\N	\N	\N	\N	\N	\N	t	f
6276	3160	Alibori	nl	0	2013-06-05 08:43:18.060606+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
7010	3084	Latakia Governorate	en	0	2013-06-05 09:15:32.749724+02	1	Latakia Governorate	\N	\N	\N	\N	\N	\N	t	f
7032	3703	Κεντρική Περιφέρεια	el	0	2013-06-05 09:16:26.509003+02	1	Κεντρική Περιφέρεια	\N	\N	\N	\N	\N	\N	t	f
7781	4488	Annobón	en	0	2013-06-05 09:48:30.027029+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7121	1497	Baja California Sur	fi	0	2013-06-05 09:20:03.154007+02	1	Baja California Sur	\N	\N	\N	\N	\N	\N	t	f
9313	2951	Najaf Province	en	0	2013-06-05 10:54:43.980524+02	1	Najaf Province	\N	\N	\N	\N	\N	\N	t	f
10896	3118	Cuanza Sul	nl	0	2013-06-05 12:03:26.21429+02	1	Cuanza Sul	\N	\N	\N	\N	\N	\N	t	f
9337	265	Arizona	fr	0	2013-06-05 10:55:45.32747+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9355	2528	Bajan-Ölgii	fi	0	2013-06-05 10:56:28.833784+02	1	Bajan-Ölgii	\N	\N	\N	\N	\N	\N	t	f
9365	4620	Provinz Asti	de	0	2013-06-05 10:56:53.544196+02	1	Provinz Asti	\N	\N	\N	\N	\N	\N	t	f
11306	1028	provincia di Bolívar	it	0	2013-06-05 12:20:40.514106+02	1	provincia di Bolívar	\N	\N	\N	\N	\N	\N	t	f
9369	4620	Asti provints	et	0	2013-06-05 10:57:05.786711+02	1	Asti provints	\N	\N	\N	\N	\N	\N	t	f
9455	574	Bayburt	no	0	2013-06-05 11:00:42.171264+02	1	Bayburt	\N	\N	\N	\N	\N	\N	t	f
9463	4617	Provinz Ascoli Piceno	de	0	2013-06-05 11:01:02.435669+02	1	Provinz Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
11393	1889	Basilicata	fi	0	2013-06-05 12:24:56.031424+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
9465	4617	Province of Ascoli Piceno	en	0	2013-06-05 11:01:07.152696+02	1	Province of Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
9474	3397	Anjouan	de	0	2013-06-05 11:01:29.207617+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
9480	3397	Anjouan	fr	0	2013-06-05 11:01:43.43296+02	1	Anjouan	\N	\N	\N	\N	\N	\N	t	f
11475	357	Akershus	es	0	2013-06-05 12:28:26.81852+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
9987	3146	Cankuzo	no	0	2013-06-05 11:23:49.926908+02	1	Cankuzo	\N	\N	\N	\N	\N	\N	t	f
10037	1890	Kalabrien	de	0	2013-06-05 11:26:05.347952+02	1	Kalabrien	\N	\N	\N	\N	\N	\N	t	f
10725	2858	Μπαμιάν	el	0	2013-06-05 11:55:34.810277+02	1	Μπαμιάν	\N	\N	\N	\N	\N	\N	t	f
11477	357	Akershusin lääni	fi	0	2013-06-05 12:28:31.5249+02	1	Akershusin lääni	\N	\N	\N	\N	\N	\N	t	f
10730	2858	Bâmiyân	fr	0	2013-06-05 11:55:46.760672+02	1	Bâmiyân	\N	\N	\N	\N	\N	\N	t	f
10745	4554	Aceh	es	0	2013-06-05 11:56:23.493589+02	1	Aceh	\N	\N	\N	\N	\N	\N	t	f
10755	1116	Departamento de Canelones	es	0	2013-06-05 11:56:47.816355+02	1	Departamento de Canelones	\N	\N	\N	\N	\N	\N	t	f
11483	1107	Coronie	de	0	2013-06-05 12:28:46.222142+02	1	Coronie	\N	\N	\N	\N	\N	\N	t	f
10764	1095	Boquerón	nl	0	2013-06-05 11:57:11.34585+02	1	Boquerón	\N	\N	\N	\N	\N	\N	t	f
10767	3217	Cuvette	es	0	2013-06-05 11:57:23.430975+02	1	Cuvette	\N	\N	\N	\N	\N	\N	t	f
10886	3709	アリアナ県	ja	0	2013-06-05 12:03:01.414844+02	1	アリアナ県	\N	\N	\N	\N	\N	\N	t	f
11496	3181	Bandundu	nl	0	2013-06-05 12:29:17.558741+02	1	Bandundu	\N	\N	\N	\N	\N	\N	t	f
10895	3118	クアンザ・スル州	ja	0	2013-06-05 12:03:23.848285+02	1	クアンザ・スル州	\N	\N	\N	\N	\N	\N	t	f
3282	3091	Gobernación de 'Adan	es	0	2013-05-27 19:55:31.208847+02	1	Gobernación de 'Adan	\N	\N	\N	\N	\N	\N	t	f
3283	3091	Gouvernorat d’Aden	fr	0	2013-05-27 19:55:33.532303+02	1	Gouvernorat d’Aden	\N	\N	\N	\N	\N	\N	t	f
3288	3096	Gouvernement Hadramaut	de	0	2013-05-27 19:55:47.580113+02	1	Gouvernement Hadramaut	\N	\N	\N	\N	\N	\N	t	f
3557	997	Atlántico	nl	0	2013-06-05 06:45:16.602419+02	1	Atlántico	\N	\N	\N	\N	\N	\N	t	f
3303	4312	Ávila	nl	0	2013-05-27 19:56:27.607608+02	1	Ávila	\N	\N	\N	\N	\N	\N	t	f
3307	4268	District d'Ústí nad Labem	fr	0	2013-05-27 19:56:37.117769+02	1	District d'Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3563	656	Arunāchal Pradesh	et	0	2013-06-05 06:45:31.936358+02	1	Arunāchal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4088	4589	Corki krahvkond	et	0	2013-06-05 07:08:45.93289+02	1	Corki krahvkond	\N	\N	\N	\N	\N	\N	t	f
3567	656	アルナーチャル・プラデーシュ州	ja	0	2013-06-05 06:45:48.34188+02	1	アルナーチャル・プラデーシュ州	\N	\N	\N	\N	\N	\N	t	f
4097	1486	Choiseul	de	0	2013-06-05 07:09:08.356046+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
4583	3065	Mediina provints	et	0	2013-06-05 07:30:18.205138+02	1	Mediina provints	\N	\N	\N	\N	\N	\N	t	f
4586	3065	Medina	it	0	2013-06-05 07:30:25.413253+02	1	Medina	\N	\N	\N	\N	\N	\N	t	f
5151	3624	Mar Rosso	it	0	2013-06-05 07:54:51.595116+02	1	Mar Rosso	\N	\N	\N	\N	\N	\N	t	f
4587	3065	マディーナ州	ja	0	2013-06-05 07:30:27.89537+02	1	マディーナ州	\N	\N	\N	\N	\N	\N	t	f
4631	2860	Badahšan	fi	0	2013-06-05 07:32:20.19566+02	1	Badahšan	\N	\N	\N	\N	\N	\N	t	f
5156	3805	Blaenau Gwent	es	0	2013-06-05 07:55:04.237337+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5779	4640	Cremona	nl	0	2013-06-05 08:21:40.560871+02	1	Cremona	\N	\N	\N	\N	\N	\N	t	f
5157	3805	Blaenau Gwent	et	0	2013-06-05 07:55:06.656794+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5191	1858	ビェロヴァル＝ビロゴラ郡	ja	0	2013-06-05 07:56:29.397991+02	1	ビェロヴァル＝ビロゴラ郡	\N	\N	\N	\N	\N	\N	t	f
5205	1211	Cayo	nl	0	2013-06-05 07:57:04.185956+02	1	Cayo	\N	\N	\N	\N	\N	\N	t	f
5793	3434	Al Murgub	es	0	2013-06-05 08:22:19.071793+02	1	Al Murgub	\N	\N	\N	\N	\N	\N	t	f
5209	1029	Provincia de Carchi	es	0	2013-06-05 07:57:14.117334+02	1	Provincia de Carchi	\N	\N	\N	\N	\N	\N	t	f
6260	4904	Catanduanes	en	0	2013-06-05 08:42:39.402555+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
6347	2222	Rajon Briceni	de	0	2013-06-05 08:46:14.75723+02	1	Rajon Briceni	\N	\N	\N	\N	\N	\N	t	f
7011	3084	Gobernación de Latakia	es	0	2013-06-05 09:15:35.091787+02	1	Gobernación de Latakia	\N	\N	\N	\N	\N	\N	t	f
7034	3703	Central	es	0	2013-06-05 09:16:31.215819+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
7782	4488	Annobón	es	0	2013-06-05 09:48:32.370681+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7036	3703	Région centrale	fr	0	2013-06-05 09:16:36.007379+02	1	Région centrale	\N	\N	\N	\N	\N	\N	t	f
7053	2394	Óblast de Bélgorod	es	0	2013-06-05 09:17:17.322229+02	1	Óblast de Bélgorod	\N	\N	\N	\N	\N	\N	t	f
7055	2394	Belgorodin alue	fi	0	2013-06-05 09:17:22.116913+02	1	Belgorodin alue	\N	\N	\N	\N	\N	\N	t	f
7832	4886	Albay	nl	0	2013-06-05 09:50:48.082788+02	1	Albay	\N	\N	\N	\N	\N	\N	t	f
7058	2394	ベルゴロド州	ja	0	2013-06-05 09:17:29.310247+02	1	ベルゴロド州	\N	\N	\N	\N	\N	\N	t	f
7082	3251	アリ・サビエ州	ja	0	2013-06-05 09:18:27.354936+02	1	アリ・サビエ州	\N	\N	\N	\N	\N	\N	t	f
9314	2951	Gobernación de Nayaf	es	0	2013-06-05 10:54:46.328304+02	1	Gobernación de Nayaf	\N	\N	\N	\N	\N	\N	t	f
7095	3647	Awdal	fi	0	2013-06-05 09:18:59.284345+02	1	Awdal	\N	\N	\N	\N	\N	\N	t	f
7949	2605	Bình Phước	de	0	2013-06-05 09:55:43.544514+02	1	Bình Phước	\N	\N	\N	\N	\N	\N	t	f
7110	3517	Cabo Delgado	fi	0	2013-06-05 09:19:35.862735+02	1	Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
7123	1497	Bassa California del Sud	it	0	2013-06-05 09:20:07.99217+02	1	Bassa California del Sud	\N	\N	\N	\N	\N	\N	t	f
7951	2605	Bình Phước	es	0	2013-06-05 09:55:48.504541+02	1	Bình Phước	\N	\N	\N	\N	\N	\N	t	f
10271	3791	Aberdeenshire	en	0	2013-06-05 11:36:34.517193+02	1	Aberdeenshire	\N	\N	\N	\N	\N	\N	t	f
7983	1137	アラグア州	ja	0	2013-06-05 09:57:08.160727+02	1	アラグア州	\N	\N	\N	\N	\N	\N	t	f
9317	2951	Governatorato di al-Najaf	it	0	2013-06-05 10:54:53.431013+02	1	Governatorato di al-Najaf	\N	\N	\N	\N	\N	\N	t	f
7990	1181	Bimini	it	0	2013-06-05 09:57:25.379196+02	1	Bimini	\N	\N	\N	\N	\N	\N	t	f
7991	1181	ビミニ	ja	0	2013-06-05 09:57:27.72531+02	1	ビミニ	\N	\N	\N	\N	\N	\N	t	f
10141	1001	Departamento de Caquetá	de	0	2013-06-05 11:30:22.938553+02	1	Departamento de Caquetá	\N	\N	\N	\N	\N	\N	t	f
9336	265	Arizona	fi	0	2013-06-05 10:55:42.941406+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9373	4620	アスティ県	ja	0	2013-06-05 10:57:15.306167+02	1	アスティ県	\N	\N	\N	\N	\N	\N	t	f
9472	4617	Ascoli Piceno	nl	0	2013-06-05 11:01:24.099814+02	1	Ascoli Piceno	\N	\N	\N	\N	\N	\N	t	f
10214	2494	Aktöbe oblast	et	0	2013-06-05 11:33:43.771044+02	1	Aktöbe oblast	\N	\N	\N	\N	\N	\N	t	f
9489	4365	Ardèche	fi	0	2013-06-05 11:02:05.99855+02	1	Ardèche	\N	\N	\N	\N	\N	\N	t	f
9988	1947	Municipality of Bled	en	0	2013-06-05 11:23:52.827802+02	1	Municipality of Bled	\N	\N	\N	\N	\N	\N	t	f
10094	3544	Akwa Ibom	es	0	2013-06-05 11:28:26.480079+02	1	Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
10226	3876	バーキング・アンド・ダゲナム・ロンドン特別区	ja	0	2013-06-05 11:34:25.545913+02	1	バーキング・アンド・ダゲナム・ロンドン特別区	\N	\N	\N	\N	\N	\N	t	f
10102	2155	Acquaviva	en	0	2013-06-05 11:28:46.080618+02	1	Acquaviva	\N	\N	\N	\N	\N	\N	t	f
10726	2858	Bamyan	en	0	2013-06-05 11:55:37.174172+02	1	Bamyan	\N	\N	\N	\N	\N	\N	t	f
10118	4634	カゼルタ県	ja	0	2013-06-05 11:29:25.493357+02	1	カゼルタ県	\N	\N	\N	\N	\N	\N	t	f
10266	4310	Provincia di Albacete	it	0	2013-06-05 11:36:21.664292+02	1	Provincia di Albacete	\N	\N	\N	\N	\N	\N	t	f
10864	1007	dipartimento di Cundinamarca	it	0	2013-06-05 12:02:07.70642+02	1	dipartimento di Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
10729	2858	Bamiyanin maakunta	fi	0	2013-06-05 11:55:44.287408+02	1	Bamiyanin maakunta	\N	\N	\N	\N	\N	\N	t	f
10835	1180	Acklins	fr	0	2013-06-05 12:00:54.340088+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
10885	3709	Governatorato di Ariana	it	0	2013-06-05 12:02:58.888411+02	1	Governatorato di Ariana	\N	\N	\N	\N	\N	\N	t	f
10848	3133	Centre-Nord	no	0	2013-06-05 12:01:26.165065+02	1	Centre-Nord	\N	\N	\N	\N	\N	\N	t	f
10865	1007	クンディナマルカ県	ja	0	2013-06-05 12:02:10.062617+02	1	クンディナマルカ県	\N	\N	\N	\N	\N	\N	t	f
10926	386	Aomorin prefektuuri	fi	0	2013-06-05 12:04:40.324246+02	1	Aomorin prefektuuri	\N	\N	\N	\N	\N	\N	t	f
10907	2708	Provincia di Chiang Rai	it	0	2013-06-05 12:03:54.080523+02	1	Provincia di Chiang Rai	\N	\N	\N	\N	\N	\N	t	f
10934	1299	Babīte piirkond	et	0	2013-06-05 12:04:59.797915+02	1	Babīte piirkond	\N	\N	\N	\N	\N	\N	t	f
11310	4816	Baa	de	0	2013-06-05 12:20:50.478788+02	1	Baa	\N	\N	\N	\N	\N	\N	t	f
11311	4816	Baa Atoll	en	0	2013-06-05 12:20:52.85935+02	1	Baa Atoll	\N	\N	\N	\N	\N	\N	t	f
11331	4635	Provinz Chieti	de	0	2013-06-05 12:21:42.59245+02	1	Provinz Chieti	\N	\N	\N	\N	\N	\N	t	f
11400	2229	Cantemir District	en	0	2013-06-05 12:25:18.4907+02	1	Cantemir District	\N	\N	\N	\N	\N	\N	t	f
3284	3091	Governatorato di 'Adan	it	0	2013-05-27 19:55:38.117049+02	1	Governatorato di 'Adan	\N	\N	\N	\N	\N	\N	t	f
3291	3096	Gouvernorat de l’Hadramaout	fr	0	2013-05-27 19:55:55.368459+02	1	Gouvernorat de l’Hadramaout	\N	\N	\N	\N	\N	\N	t	f
3293	3096	Hadramaut	nl	0	2013-05-27 19:55:59.91453+02	1	Hadramaut	\N	\N	\N	\N	\N	\N	t	f
3558	997	Atlántico	no	0	2013-06-05 06:45:19.017546+02	1	Atlántico	\N	\N	\N	\N	\N	\N	t	f
3306	4268	Ústí nad Labem District	en	0	2013-05-27 19:56:34.864936+02	1	Ústí nad Labem District	\N	\N	\N	\N	\N	\N	t	f
3561	656	Arunachal Pradesh	en	0	2013-06-05 06:45:26.743434+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4089	4589	Corkin kreivikunta	fi	0	2013-06-05 07:08:48.299253+02	1	Corkin kreivikunta	\N	\N	\N	\N	\N	\N	t	f
4099	1486	Choiseul	es	0	2013-06-05 07:09:13.077048+02	1	Choiseul	\N	\N	\N	\N	\N	\N	t	f
4584	3065	Al Madinah	fi	0	2013-06-05 07:30:20.651254+02	1	Al Madinah	\N	\N	\N	\N	\N	\N	t	f
4107	789	Canillo	fr	0	2013-06-05 07:09:32.740559+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
5152	3624	紅海州	ja	0	2013-06-05 07:54:53.998107+02	1	紅海州	\N	\N	\N	\N	\N	\N	t	f
5167	2481	Abhaasia	et	0	2013-06-05 07:55:31.275914+02	1	Abhaasia	\N	\N	\N	\N	\N	\N	t	f
5780	4640	Provinsen Cremona	no	0	2013-06-05 08:21:42.961376+02	1	Provinsen Cremona	\N	\N	\N	\N	\N	\N	t	f
5168	2481	Abhasia	fi	0	2013-06-05 07:55:33.72799+02	1	Abhasia	\N	\N	\N	\N	\N	\N	t	f
5170	2481	Abcasia	it	0	2013-06-05 07:55:38.457666+02	1	Abcasia	\N	\N	\N	\N	\N	\N	t	f
6262	4904	Catanduanes	fr	0	2013-06-05 08:42:44.108706+02	1	Catanduanes	\N	\N	\N	\N	\N	\N	t	f
5187	1858	Bjelovari-Bilo gora maakond	et	0	2013-06-05 07:56:19.881882+02	1	Bjelovari-Bilo gora maakond	\N	\N	\N	\N	\N	\N	t	f
6264	4904	カタンドゥアネス州	ja	0	2013-06-05 08:42:48.864235+02	1	カタンドゥアネス州	\N	\N	\N	\N	\N	\N	t	f
7014	3084	Governatorato di Latakia	it	0	2013-06-05 09:15:42.411677+02	1	Governatorato di Latakia	\N	\N	\N	\N	\N	\N	t	f
6277	3160	Alibori	no	0	2013-06-05 08:43:20.714447+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
6285	812	ビストリツァ＝ナサウド県	ja	0	2013-06-05 08:43:40.236797+02	1	ビストリツァ＝ナサウド県	\N	\N	\N	\N	\N	\N	t	f
6297	2224	Rajon Cahul	de	0	2013-06-05 08:44:09.50013+02	1	Rajon Cahul	\N	\N	\N	\N	\N	\N	t	f
7022	4826	チクワワ	ja	0	2013-06-05 09:16:01.772796+02	1	チクワワ	\N	\N	\N	\N	\N	\N	t	f
6322	5030	アビム県	ja	0	2013-06-05 08:45:11.088308+02	1	アビム県	\N	\N	\N	\N	\N	\N	t	f
6458	1530	Carazo	no	0	2013-06-05 08:51:43.126051+02	1	Carazo	\N	\N	\N	\N	\N	\N	t	f
7783	4488	Annobón	et	0	2013-06-05 09:48:34.723908+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
6461	1292	Aloja piirkond	et	0	2013-06-05 08:51:50.491777+02	1	Aloja piirkond	\N	\N	\N	\N	\N	\N	t	f
7044	4549	Cacheun alue	fi	0	2013-06-05 09:16:55.380852+02	1	Cacheun alue	\N	\N	\N	\N	\N	\N	t	f
6468	3689	Lac	fi	0	2013-06-05 08:52:09.957775+02	1	Lac	\N	\N	\N	\N	\N	\N	t	f
7054	2394	Belgorodi oblast	et	0	2013-06-05 09:17:19.691619+02	1	Belgorodi oblast	\N	\N	\N	\N	\N	\N	t	f
9315	2951	An-Najafi kubernerkond	et	0	2013-06-05 10:54:48.698366+02	1	An-Najafi kubernerkond	\N	\N	\N	\N	\N	\N	t	f
7114	3517	Cabo Delgado	nl	0	2013-06-05 09:19:45.453705+02	1	Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
7115	3517	Cabo Delgado	no	0	2013-06-05 09:19:47.994932+02	1	Cabo Delgado	\N	\N	\N	\N	\N	\N	t	f
10053	4157	Provincia di Boulkiemdé	it	0	2013-06-05 11:26:43.915008+02	1	Provincia di Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
7138	4456	Boffa (Präfektur)	de	0	2013-06-05 09:20:45.281812+02	1	Boffa (Präfektur)	\N	\N	\N	\N	\N	\N	t	f
9320	2951	Najaf	no	0	2013-06-05 10:55:00.555547+02	1	Najaf	\N	\N	\N	\N	\N	\N	t	f
7139	4456	Boffa Prefecture	en	0	2013-06-05 09:20:47.607481+02	1	Boffa Prefecture	\N	\N	\N	\N	\N	\N	t	f
9344	1480	Clarendon Parish	en	0	2013-06-05 10:56:02.271495+02	1	Clarendon Parish	\N	\N	\N	\N	\N	\N	t	f
11374	1230	Provinz Ciego de Ávila	de	0	2013-06-05 12:23:58.079388+02	1	Provinz Ciego de Ávila	\N	\N	\N	\N	\N	\N	t	f
9360	2528	Bajan-Ölgij	no	0	2013-06-05 10:56:40.808789+02	1	Bajan-Ölgij	\N	\N	\N	\N	\N	\N	t	f
10087	806	Județ d'Alba	fr	0	2013-06-05 11:28:09.298244+02	1	Județ d'Alba	\N	\N	\N	\N	\N	\N	t	f
9383	4638	Κούνεο	el	0	2013-06-05 10:57:39.765372+02	1	Κούνεο	\N	\N	\N	\N	\N	\N	t	f
9497	4377	Corrèze	en	0	2013-06-05 11:02:28.057636+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
10862	1007	Cundinamarca	fi	0	2013-06-05 12:02:03.040916+02	1	Cundinamarca	\N	\N	\N	\N	\N	\N	t	f
9531	2794	Cova Lima	nl	0	2013-06-05 11:03:50.474855+02	1	Cova Lima	\N	\N	\N	\N	\N	\N	t	f
10100	3544	Akwa Ibom	nl	0	2013-06-05 11:28:40.816895+02	1	Akwa Ibom	\N	\N	\N	\N	\N	\N	t	f
9610	1459	Centre	nl	0	2013-06-05 11:07:04.021156+02	1	Centre	\N	\N	\N	\N	\N	\N	t	f
9990	3615	Al Jazirah	en	0	2013-06-05 11:23:57.930252+02	1	Al Jazirah	\N	\N	\N	\N	\N	\N	t	f
9993	3615	Al Jazirah	fr	0	2013-06-05 11:24:05.125625+02	1	Al Jazirah	\N	\N	\N	\N	\N	\N	t	f
10192	3059	Ar Rayyan	it	0	2013-06-05 11:32:28.0482+02	1	Ar Rayyan	\N	\N	\N	\N	\N	\N	t	f
10025	1048	Cotopaxi	nl	0	2013-06-05 11:25:34.840291+02	1	Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
10028	1528	Νότια Ατλαντική Αυτόνομη Περιοχή	el	0	2013-06-05 11:25:42.533056+02	1	Νότια Ατλαντική Αυτόνομη Περιοχή	\N	\N	\N	\N	\N	\N	t	f
11071	2809	Ayeyarwady Region	en	0	2013-06-05 12:10:46.811292+02	1	Ayeyarwady Region	\N	\N	\N	\N	\N	\N	t	f
10289	1304	Beverīna municipality	en	0	2013-06-05 11:37:18.580271+02	1	Beverīna municipality	\N	\N	\N	\N	\N	\N	t	f
10914	2164	Provincia de Blagoevgrad	es	0	2013-06-05 12:04:11.29396+02	1	Provincia de Blagoevgrad	\N	\N	\N	\N	\N	\N	t	f
10727	2858	Provincia de Bamiyan	es	0	2013-06-05 11:55:39.533371+02	1	Provincia de Bamiyan	\N	\N	\N	\N	\N	\N	t	f
10753	1116	Departamento Canelones	de	0	2013-06-05 11:56:42.986305+02	1	Departamento Canelones	\N	\N	\N	\N	\N	\N	t	f
10808	3439	An Nouqat al Khams	fr	0	2013-06-05 11:59:36.811266+02	1	An Nouqat al Khams	\N	\N	\N	\N	\N	\N	t	f
10933	1299	Municipalidad de Babīte	es	0	2013-06-05 12:04:57.456912+02	1	Municipalidad de Babīte	\N	\N	\N	\N	\N	\N	t	f
11043	1654	Angaur	it	0	2013-06-05 12:09:33.616282+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11079	2793	Bobonaro	de	0	2013-06-05 12:11:06.497812+02	1	Bobonaro	\N	\N	\N	\N	\N	\N	t	f
11061	4196	ブラヴァ島	ja	0	2013-06-05 12:10:17.99254+02	1	ブラヴァ島	\N	\N	\N	\N	\N	\N	t	f
11106	1831	Auvergne	fi	0	2013-06-05 12:12:13.129957+02	1	Auvergne	\N	\N	\N	\N	\N	\N	t	f
11348	905	ビルキルカラ	ja	0	2013-06-05 12:22:28.538493+02	1	ビルキルカラ	\N	\N	\N	\N	\N	\N	t	f
11473	357	Akershus	de	0	2013-06-05 12:28:22.009304+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
11376	1230	Provincia de Ciego de Ávila	es	0	2013-06-05 12:24:06.865502+02	1	Provincia de Ciego de Ávila	\N	\N	\N	\N	\N	\N	t	f
11394	1889	Basilicate	fr	0	2013-06-05 12:24:58.38918+02	1	Basilicate	\N	\N	\N	\N	\N	\N	t	f
11476	357	Akershus	et	0	2013-06-05 12:28:29.150247+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
11481	357	Akershus	nl	0	2013-06-05 12:28:41.121977+02	1	Akershus	\N	\N	\N	\N	\N	\N	t	f
11490	3181	Bandundu	de	0	2013-06-05 12:29:03.230104+02	1	Bandundu	\N	\N	\N	\N	\N	\N	t	f
3299	4312	Ávila	fi	0	2013-05-27 19:56:18.076122+02	1	Ávila	\N	\N	\N	\N	\N	\N	t	f
3304	4312	Ávila	no	0	2013-05-27 19:56:30.044454+02	1	Ávila	\N	\N	\N	\N	\N	\N	t	f
12299	2492	Tiflis	\N	0	2013-09-30 15:35:09.565855+02	3	Tiflis	\N	\N	\N	\N	\N	\N	f	f
3559	656	Arunachal Pradesh	de	0	2013-06-05 06:45:21.947521+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
3562	656	Arunachal Pradesh	es	0	2013-06-05 06:45:29.156134+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4095	1925	Bar Municipality	en	0	2013-06-05 07:09:03.338655+02	1	Bar Municipality	\N	\N	\N	\N	\N	\N	t	f
4124	717	Baranya	fi	0	2013-06-05 07:10:15.375352+02	1	Baranya	\N	\N	\N	\N	\N	\N	t	f
4585	3065	Médine	fr	0	2013-06-05 07:30:23.034163+02	1	Médine	\N	\N	\N	\N	\N	\N	t	f
4588	3065	Medina	nl	0	2013-06-05 07:30:33.486924+02	1	Medina	\N	\N	\N	\N	\N	\N	t	f
5153	3624	Al-Bahr-al-Ahmar	nl	0	2013-06-05 07:54:56.758834+02	1	Al-Bahr-al-Ahmar	\N	\N	\N	\N	\N	\N	t	f
4599	994	Amazonas	fi	0	2013-06-05 07:31:00.866349+02	1	Amazonas	\N	\N	\N	\N	\N	\N	t	f
4653	3778	Provincia di Copperbelt	it	0	2013-06-05 07:33:14.389671+02	1	Provincia di Copperbelt	\N	\N	\N	\N	\N	\N	t	f
5159	3805	Blaenau Gwent	fr	0	2013-06-05 07:55:11.347063+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
5781	4373	Département Cantal	de	0	2013-06-05 08:21:45.84451+02	1	Département Cantal	\N	\N	\N	\N	\N	\N	t	f
5184	1858	Gespanschaft Bjelovar-Bilogora	de	0	2013-06-05 07:56:12.516773+02	1	Gespanschaft Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5795	3434	Municipalità di Margheb	it	0	2013-06-05 08:22:23.797035+02	1	Municipalità di Margheb	\N	\N	\N	\N	\N	\N	t	f
6268	2261	Bogovinje	it	0	2013-06-05 08:42:58.699738+02	1	Bogovinje	\N	\N	\N	\N	\N	\N	t	f
5799	3328	Gouvernement asch-Scharqiyya	de	0	2013-06-05 08:22:33.946156+02	1	Gouvernement asch-Scharqiyya	\N	\N	\N	\N	\N	\N	t	f
6284	812	Distretto di Bistrița-Năsăud	it	0	2013-06-05 08:43:37.855869+02	1	Distretto di Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
7021	4826	Distretto di Chikwawa	it	0	2013-06-05 09:15:59.409471+02	1	Distretto di Chikwawa	\N	\N	\N	\N	\N	\N	t	f
6349	2222	Distrito de Briceni	es	0	2013-06-05 08:46:19.430434+02	1	Distrito de Briceni	\N	\N	\N	\N	\N	\N	t	f
6383	1629	Chatham-Inseln	de	0	2013-06-05 08:47:48.699755+02	1	Chatham-Inseln	\N	\N	\N	\N	\N	\N	t	f
6405	2589	Binh Thuan province	en	0	2013-06-05 08:49:20.561252+02	1	Binh Thuan province	\N	\N	\N	\N	\N	\N	t	f
7026	1956	Municipality of Cerklje na Gorenjskem	en	0	2013-06-05 09:16:11.939667+02	1	Municipality of Cerklje na Gorenjskem	\N	\N	\N	\N	\N	\N	t	f
6407	2589	Bình Thuận	fi	0	2013-06-05 08:49:25.391743+02	1	Bình Thuận	\N	\N	\N	\N	\N	\N	t	f
6418	4890	Bataan	nl	0	2013-06-05 08:49:57.878366+02	1	Bataan	\N	\N	\N	\N	\N	\N	t	f
7784	4488	Annobón	fi	0	2013-06-05 09:48:37.076602+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7062	4883	Agusan del Norte	en	0	2013-06-05 09:17:39.164212+02	1	Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
7064	4883	Agusan du Nord	fr	0	2013-06-05 09:17:43.911617+02	1	Agusan du Nord	\N	\N	\N	\N	\N	\N	t	f
7070	1545	Coclé Province	en	0	2013-06-05 09:17:58.429954+02	1	Coclé Province	\N	\N	\N	\N	\N	\N	t	f
7791	2225	Călărași District	en	0	2013-06-05 09:48:54.890222+02	1	Călărași District	\N	\N	\N	\N	\N	\N	t	f
7151	3491	Black River	de	0	2013-06-05 09:21:16.933955+02	1	Black River	\N	\N	\N	\N	\N	\N	t	f
7162	984	Biobíon alue	fi	0	2013-06-05 09:21:43.987215+02	1	Biobíon alue	\N	\N	\N	\N	\N	\N	t	f
9316	2951	An-Najaf	fr	0	2013-06-05 10:54:51.057228+02	1	An-Najaf	\N	\N	\N	\N	\N	\N	t	f
7210	3319	Qalyubia Governorate	en	0	2013-06-05 09:23:46.226769+02	1	Qalyubia Governorate	\N	\N	\N	\N	\N	\N	t	f
7907	2689	Province d'Amnat Charoen	fr	0	2013-06-05 09:53:58.504357+02	1	Province d'Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
7213	3319	Governatorato di al-Qalyūbiyya	it	0	2013-06-05 09:23:53.374513+02	1	Governatorato di al-Qalyūbiyya	\N	\N	\N	\N	\N	\N	t	f
7938	515	Balıkesir	no	0	2013-06-05 09:55:15.86099+02	1	Balıkesir	\N	\N	\N	\N	\N	\N	t	f
9622	3262	Biskra Province	en	0	2013-06-05 11:07:37.893492+02	1	Biskra Province	\N	\N	\N	\N	\N	\N	t	f
7950	2605	Bình Phước Province	en	0	2013-06-05 09:55:45.972135+02	1	Bình Phước Province	\N	\N	\N	\N	\N	\N	t	f
9334	265	Arizona	es	0	2013-06-05 10:55:34.964469+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
7953	2605	Bình Phước	fr	0	2013-06-05 09:55:53.205482+02	1	Bình Phước	\N	\N	\N	\N	\N	\N	t	f
8013	1720	Apšeronin piirikunta	fi	0	2013-06-05 09:58:31.152936+02	1	Apšeronin piirikunta	\N	\N	\N	\N	\N	\N	t	f
9454	574	Bayburt	nl	0	2013-06-05 11:00:39.784367+02	1	Bayburt	\N	\N	\N	\N	\N	\N	t	f
8015	1720	distretto di Abşeron	it	0	2013-06-05 09:58:36.641034+02	1	distretto di Abşeron	\N	\N	\N	\N	\N	\N	t	f
9335	265	Arizona	et	0	2013-06-05 10:55:37.311874+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
9347	1480	Parrocchia di Clarendon	it	0	2013-06-05 10:56:09.324881+02	1	Parrocchia di Clarendon	\N	\N	\N	\N	\N	\N	t	f
9348	1480	クラレンドン教区	ja	0	2013-06-05 10:56:11.717793+02	1	クラレンドン教区	\N	\N	\N	\N	\N	\N	t	f
9464	4617	Άσκολι Πιτσένο	el	0	2013-06-05 11:01:04.796077+02	1	Άσκολι Πιτσένο	\N	\N	\N	\N	\N	\N	t	f
9352	2528	Bayan-Ölgii Province	en	0	2013-06-05 10:56:21.681792+02	1	Bayan-Ölgii Province	\N	\N	\N	\N	\N	\N	t	f
9371	4620	Province d'Asti	fr	0	2013-06-05 10:57:10.489387+02	1	Province d'Asti	\N	\N	\N	\N	\N	\N	t	f
10008	4615	Ανκόνα	el	0	2013-06-05 11:24:46.341332+02	1	Ανκόνα	\N	\N	\N	\N	\N	\N	t	f
9389	4638	provincia di Cuneo	it	0	2013-06-05 10:57:54.496239+02	1	provincia di Cuneo	\N	\N	\N	\N	\N	\N	t	f
9502	4377	Corrèze	it	0	2013-06-05 11:02:40.300084+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
9391	4638	Cuneo	nl	0	2013-06-05 10:57:59.250444+02	1	Cuneo	\N	\N	\N	\N	\N	\N	t	f
9450	574	Provincia de Bayburt	es	0	2013-06-05 11:00:30.33334+02	1	Provincia de Bayburt	\N	\N	\N	\N	\N	\N	t	f
9636	658	ビハール州	ja	0	2013-06-05 11:08:15.197656+02	1	ビハール州	\N	\N	\N	\N	\N	\N	t	f
9504	4377	Corrèze	nl	0	2013-06-05 11:02:45.099942+02	1	Corrèze	\N	\N	\N	\N	\N	\N	t	f
9574	3135	Centre-Sud	no	0	2013-06-05 11:05:36.206665+02	1	Centre-Sud	\N	\N	\N	\N	\N	\N	t	f
9594	3192	Bamingui-Bangoran	de	0	2013-06-05 11:06:25.108063+02	1	Bamingui-Bangoran	\N	\N	\N	\N	\N	\N	t	f
11063	4196	Brava	no	0	2013-06-05 12:10:22.730923+02	1	Brava	\N	\N	\N	\N	\N	\N	t	f
9992	3615	Al Jazirah	fi	0	2013-06-05 11:24:02.639923+02	1	Al Jazirah	\N	\N	\N	\N	\N	\N	t	f
10836	1180	Acklins	it	0	2013-06-05 12:00:56.892549+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
10007	4615	Provinz Ancona	de	0	2013-06-05 11:24:43.876179+02	1	Provinz Ancona	\N	\N	\N	\N	\N	\N	t	f
10728	2858	Bāmīāni provints	et	0	2013-06-05 11:55:41.894689+02	1	Bāmīāni provints	\N	\N	\N	\N	\N	\N	t	f
10997	2676	Provincia de Chanthaburi	es	0	2013-06-05 12:07:34.323177+02	1	Provincia de Chanthaburi	\N	\N	\N	\N	\N	\N	t	f
10890	3118	Cuanza Sul Province	en	0	2013-06-05 12:03:11.896081+02	1	Cuanza Sul Province	\N	\N	\N	\N	\N	\N	t	f
11073	2809	Ayeyarwady piirkond	et	0	2013-06-05 12:10:51.565873+02	1	Ayeyarwady piirkond	\N	\N	\N	\N	\N	\N	t	f
11075	2809	Région d'Ayeyarwady	fr	0	2013-06-05 12:10:56.291199+02	1	Région d'Ayeyarwady	\N	\N	\N	\N	\N	\N	t	f
11083	2793	Distretto di Bobonaro	it	0	2013-06-05 12:11:15.996744+02	1	Distretto di Bobonaro	\N	\N	\N	\N	\N	\N	t	f
11091	1791	Distretto di Brčko	it	0	2013-06-05 12:11:35.441214+02	1	Distretto di Brčko	\N	\N	\N	\N	\N	\N	t	f
11094	1791	Brčko-distriktet	no	0	2013-06-05 12:11:42.599493+02	1	Brčko-distriktet	\N	\N	\N	\N	\N	\N	t	f
11372	3546	バウチ州	ja	0	2013-06-05 12:23:49.541037+02	1	バウチ州	\N	\N	\N	\N	\N	\N	t	f
11431	760	Distrito de Aveiro	es	0	2013-06-05 12:26:38.825253+02	1	Distrito de Aveiro	\N	\N	\N	\N	\N	\N	t	f
3300	4312	Province d'Ávila	fr	0	2013-05-27 19:56:20.283962+02	1	Province d'Ávila	\N	\N	\N	\N	\N	\N	t	f
3301	4312	provincia di Ávila	it	0	2013-05-27 19:56:22.563726+02	1	provincia di Ávila	\N	\N	\N	\N	\N	\N	t	f
3560	656	Αρουνάτσαλ Πραντές	el	0	2013-06-05 06:45:24.361049+02	1	Αρουνάτσαλ Πραντές	\N	\N	\N	\N	\N	\N	t	f
3565	656	Arunachal Pradesh	fr	0	2013-06-05 06:45:39.868241+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4100	1486	District de Choiseul	fr	0	2013-06-05 07:09:15.431851+02	1	District de Choiseul	\N	\N	\N	\N	\N	\N	t	f
4109	789	カニーリョ教区	ja	0	2013-06-05 07:09:37.479637+02	1	カニーリョ教区	\N	\N	\N	\N	\N	\N	t	f
4589	4278	Okres Chrudim	de	0	2013-06-05 07:30:36.295318+02	1	Okres Chrudim	\N	\N	\N	\N	\N	\N	t	f
4115	2604	Bình Dương	fi	0	2013-06-05 07:09:52.55333+02	1	Bình Dương	\N	\N	\N	\N	\N	\N	t	f
4591	4278	District de Chrudim	fr	0	2013-06-05 07:30:41.076446+02	1	District de Chrudim	\N	\N	\N	\N	\N	\N	t	f
5154	3805	Blaenau Gwent	de	0	2013-06-05 07:54:59.552733+02	1	Blaenau Gwent	\N	\N	\N	\N	\N	\N	t	f
4647	3778	Copperbelt (Provinz)	de	0	2013-06-05 07:33:00.108648+02	1	Copperbelt (Provinz)	\N	\N	\N	\N	\N	\N	t	f
5193	1858	Bjelovar-Bilogora	no	0	2013-06-05 07:56:34.345675+02	1	Bjelovar-Bilogora	\N	\N	\N	\N	\N	\N	t	f
5782	4373	Cantal	en	0	2013-06-05 08:21:49.759855+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
5788	4373	カンタル県	ja	0	2013-06-05 08:22:06.256956+02	1	カンタル県	\N	\N	\N	\N	\N	\N	t	f
6269	3160	Alibori	de	0	2013-06-05 08:43:01.424417+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
5796	3434	ムルクブ県	ja	0	2013-06-05 08:22:26.150922+02	1	ムルクブ県	\N	\N	\N	\N	\N	\N	t	f
5797	3434	Al Murgub	nl	0	2013-06-05 08:22:28.544025+02	1	Al Murgub	\N	\N	\N	\N	\N	\N	t	f
6273	3160	Alibori	fr	0	2013-06-05 08:43:10.907174+02	1	Alibori	\N	\N	\N	\N	\N	\N	t	f
7028	1956	Cerklje na Gorenjskem	it	0	2013-06-05 09:16:16.623675+02	1	Cerklje na Gorenjskem	\N	\N	\N	\N	\N	\N	t	f
6293	3398	Grande Comore	it	0	2013-06-05 08:43:59.697193+02	1	Grande Comore	\N	\N	\N	\N	\N	\N	t	f
6371	3772	中央州 (ザンビア)	ja	0	2013-06-05 08:47:16.218986+02	1	中央州 (ザンビア)	\N	\N	\N	\N	\N	\N	t	f
6395	819	Caraş-Severin County	en	0	2013-06-05 08:48:50.548149+02	1	Caraş-Severin County	\N	\N	\N	\N	\N	\N	t	f
7087	3651	Bay (Somalia)	es	0	2013-06-05 09:18:40.031182+02	1	Bay (Somalia)	\N	\N	\N	\N	\N	\N	t	f
6470	3689	Regione del Lago	it	0	2013-06-05 08:52:14.682609+02	1	Regione del Lago	\N	\N	\N	\N	\N	\N	t	f
7785	4488	Annobón	fr	0	2013-06-05 09:48:39.502517+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
7166	984	Bío-Bío	nl	0	2013-06-05 09:21:56.721109+02	1	Bío-Bío	\N	\N	\N	\N	\N	\N	t	f
10760	1095	Departamento de Boquerón	es	0	2013-06-05 11:57:01.642384+02	1	Departamento de Boquerón	\N	\N	\N	\N	\N	\N	t	f
7190	4556	Bangka–Belitung Islands	en	0	2013-06-05 09:22:56.001045+02	1	Bangka–Belitung Islands	\N	\N	\N	\N	\N	\N	t	f
9318	2951	ナジャフ県	ja	0	2013-06-05 10:54:55.799399+02	1	ナジャフ県	\N	\N	\N	\N	\N	\N	t	f
7195	4556	バンカ・ブリトゥン州	ja	0	2013-06-05 09:23:09.343125+02	1	バンカ・ブリトゥン州	\N	\N	\N	\N	\N	\N	t	f
7205	4613	provincia di Agrigento	it	0	2013-06-05 09:23:33.86063+02	1	provincia di Agrigento	\N	\N	\N	\N	\N	\N	t	f
9372	4620	provincia di Asti	it	0	2013-06-05 10:57:12.850437+02	1	provincia di Asti	\N	\N	\N	\N	\N	\N	t	f
9379	5014	Adjumani	fr	0	2013-06-05 10:57:29.869005+02	1	Adjumani	\N	\N	\N	\N	\N	\N	t	f
10792	2647	Province de Bokeo	fr	0	2013-06-05 11:58:44.395446+02	1	Province de Bokeo	\N	\N	\N	\N	\N	\N	t	f
9400	1182	Berry Islands	no	0	2013-06-05 10:58:20.853697+02	1	Berry Islands	\N	\N	\N	\N	\N	\N	t	f
9433	3801	Bedford Borough	en	0	2013-06-05 10:59:42.443061+02	1	Bedford Borough	\N	\N	\N	\N	\N	\N	t	f
9448	574	Επαρχία Μπαϊμπούρτ	el	0	2013-06-05 11:00:22.110252+02	1	Επαρχία Μπαϊμπούρτ	\N	\N	\N	\N	\N	\N	t	f
10804	3439	Munizip an-Nuqat al-Chams	de	0	2013-06-05 11:59:23.689504+02	1	Munizip an-Nuqat al-Chams	\N	\N	\N	\N	\N	\N	t	f
9503	4377	コレーズ県	ja	0	2013-06-05 11:02:42.695443+02	1	コレーズ県	\N	\N	\N	\N	\N	\N	t	f
9995	3615	ジャジーラ州	ja	0	2013-06-05 11:24:11.64529+02	1	ジャジーラ州	\N	\N	\N	\N	\N	\N	t	f
11448	4619	Arezzo	no	0	2013-06-05 12:27:20.718079+02	1	Arezzo	\N	\N	\N	\N	\N	\N	t	f
10001	4489	Bioko Norten provinssi	fi	0	2013-06-05 11:24:29.127133+02	1	Bioko Norten provinssi	\N	\N	\N	\N	\N	\N	t	f
10810	3439	ヌカート・アル・ハムス県	ja	0	2013-06-05 11:59:44.885117+02	1	ヌカート・アル・ハムス県	\N	\N	\N	\N	\N	\N	t	f
10731	2858	provincia di Bamiyan	it	0	2013-06-05 11:55:49.159176+02	1	provincia di Bamiyan	\N	\N	\N	\N	\N	\N	t	f
10735	2791	Ainaro (Distrikt)	de	0	2013-06-05 11:55:59.10635+02	1	Ainaro (Distrikt)	\N	\N	\N	\N	\N	\N	t	f
10759	1095	Boquerón Department	en	0	2013-06-05 11:56:57.657094+02	1	Boquerón Department	\N	\N	\N	\N	\N	\N	t	f
10834	1180	Acklins	es	0	2013-06-05 12:00:51.973947+02	1	Acklins	\N	\N	\N	\N	\N	\N	t	f
11469	4906	Provincia di Cebu	it	0	2013-06-05 12:28:11.953545+02	1	Provincia di Cebu	\N	\N	\N	\N	\N	\N	t	f
10904	2708	Chiang Rai provints	et	0	2013-06-05 12:03:46.874832+02	1	Chiang Rai provints	\N	\N	\N	\N	\N	\N	t	f
10936	1299	Babītes novads	nl	0	2013-06-05 12:05:04.988619+02	1	Babītes novads	\N	\N	\N	\N	\N	\N	t	f
11378	1230	Provincia di Ciego de Ávila	it	0	2013-06-05 12:24:12.339542+02	1	Provincia di Ciego de Ávila	\N	\N	\N	\N	\N	\N	t	f
11489	1107	Coronie	no	0	2013-06-05 12:29:00.496205+02	1	Coronie	\N	\N	\N	\N	\N	\N	t	f
3305	4268	Okres Ústí nad Labem	de	0	2013-05-27 19:56:32.656365+02	1	Okres Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3566	656	Arunachal Pradesh	it	0	2013-06-05 06:45:42.333464+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
4104	789	Canillo	en	0	2013-06-05 07:09:25.592867+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4126	717	Provincia di Baranya	it	0	2013-06-05 07:10:20.228171+02	1	Provincia di Baranya	\N	\N	\N	\N	\N	\N	t	f
4592	4278	Distretto di Chrudim	it	0	2013-06-05 07:30:43.452709+02	1	Distretto di Chrudim	\N	\N	\N	\N	\N	\N	t	f
4136	1280	バンスカー・ビストリツァ県	ja	0	2013-06-05 07:10:45.601437+02	1	バンスカー・ビストリツァ県	\N	\N	\N	\N	\N	\N	t	f
4606	621	Amapá	en	0	2013-06-05 07:31:19.278488+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
5163	2481	Abchasien	de	0	2013-06-05 07:55:21.885356+02	1	Abchasien	\N	\N	\N	\N	\N	\N	t	f
4614	621	Amapá	no	0	2013-06-05 07:31:38.439937+02	1	Amapá	\N	\N	\N	\N	\N	\N	t	f
4638	4379	Côtes-d'Armor	en	0	2013-06-05 07:32:37.91+02	1	Côtes-d'Armor	\N	\N	\N	\N	\N	\N	t	f
4649	3778	Copperbelt Province	en	0	2013-06-05 07:33:04.837478+02	1	Copperbelt Province	\N	\N	\N	\N	\N	\N	t	f
5181	3521	カプリビ州	ja	0	2013-06-05 07:56:04.94754+02	1	カプリビ州	\N	\N	\N	\N	\N	\N	t	f
4651	3778	Copperbelt	et	0	2013-06-05 07:33:09.622382+02	1	Copperbelt	\N	\N	\N	\N	\N	\N	t	f
5783	4373	Cantal	es	0	2013-06-05 08:21:52.096686+02	1	Cantal	\N	\N	\N	\N	\N	\N	t	f
5811	3263	provincia di Béchar	it	0	2013-06-05 08:23:02.965855+02	1	provincia di Béchar	\N	\N	\N	\N	\N	\N	t	f
6270	3160	Alibori Department	en	0	2013-06-05 08:43:03.866083+02	1	Alibori Department	\N	\N	\N	\N	\N	\N	t	f
6436	3278	アンナバ県	ja	0	2013-06-05 08:50:48.819993+02	1	アンナバ県	\N	\N	\N	\N	\N	\N	t	f
7031	3703	Region Centrale	de	0	2013-06-05 09:16:24.156785+02	1	Region Centrale	\N	\N	\N	\N	\N	\N	t	f
6459	1292	Aloja municipality	en	0	2013-06-05 08:51:45.805985+02	1	Aloja municipality	\N	\N	\N	\N	\N	\N	t	f
6469	3689	Lac	fr	0	2013-06-05 08:52:12.307475+02	1	Lac	\N	\N	\N	\N	\N	\N	t	f
7068	4883	Agusan del Norte	no	0	2013-06-05 09:17:53.404243+02	1	Agusan del Norte	\N	\N	\N	\N	\N	\N	t	f
7787	4488	アンノボン島	ja	0	2013-06-05 09:48:44.866591+02	1	アンノボン島	\N	\N	\N	\N	\N	\N	t	f
7154	3491	Rivière Noire	fr	0	2013-06-05 09:21:23.94643+02	1	Rivière Noire	\N	\N	\N	\N	\N	\N	t	f
7167	984	Bío-Bío	no	0	2013-06-05 09:21:59.14736+02	1	Bío-Bío	\N	\N	\N	\N	\N	\N	t	f
7792	2225	Distrito de Călărași	es	0	2013-06-05 09:48:57.483859+02	1	Distrito de Călărași	\N	\N	\N	\N	\N	\N	t	f
9319	2951	An-Najaf	nl	0	2013-06-05 10:54:58.169161+02	1	An-Najaf	\N	\N	\N	\N	\N	\N	t	f
7831	4886	アルバイ州	ja	0	2013-06-05 09:50:45.730565+02	1	アルバイ州	\N	\N	\N	\N	\N	\N	t	f
7848	325	Brandenburg	en	0	2013-06-05 09:51:27.93065+02	1	Brandenburg	\N	\N	\N	\N	\N	\N	t	f
11434	760	Distretto di Aveiro	it	0	2013-06-05 12:26:46.069531+02	1	Distretto di Aveiro	\N	\N	\N	\N	\N	\N	t	f
7908	2689	Provincia di Amnat Charoen	it	0	2013-06-05 09:54:00.869077+02	1	Provincia di Amnat Charoen	\N	\N	\N	\N	\N	\N	t	f
9471	4617	アスコリ・ピチェーノ県	ja	0	2013-06-05 11:01:21.726052+02	1	アスコリ・ピチェーノ県	\N	\N	\N	\N	\N	\N	t	f
7947	820	District Constanța	nl	0	2013-06-05 09:55:38.299583+02	1	District Constanța	\N	\N	\N	\N	\N	\N	t	f
8012	1720	Abşeron	es	0	2013-06-05 09:58:28.726578+02	1	Abşeron	\N	\N	\N	\N	\N	\N	t	f
9996	3615	Al-Jazirah	nl	0	2013-06-05 11:24:14.026133+02	1	Al-Jazirah	\N	\N	\N	\N	\N	\N	t	f
10042	1890	Calabria	fi	0	2013-06-05 11:26:17.144256+02	1	Calabria	\N	\N	\N	\N	\N	\N	t	f
11468	4906	Cebu	fr	0	2013-06-05 12:28:09.517072+02	1	Cebu	\N	\N	\N	\N	\N	\N	t	f
10733	2858	Bamyan	nl	0	2013-06-05 11:55:53.92547+02	1	Bamyan	\N	\N	\N	\N	\N	\N	t	f
10761	1095	Boquerónin maakunta	fi	0	2013-06-05 11:57:04.042036+02	1	Boquerónin maakunta	\N	\N	\N	\N	\N	\N	t	f
10799	1729	Bərdə	es	0	2013-06-05 11:59:05.43883+02	1	Bərdə	\N	\N	\N	\N	\N	\N	t	f
10806	3439	An Nuqat al Khams	es	0	2013-06-05 11:59:28.374731+02	1	An Nuqat al Khams	\N	\N	\N	\N	\N	\N	t	f
10819	3812	Cambridgeshire	it	0	2013-06-05 12:00:13.051261+02	1	Cambridgeshire	\N	\N	\N	\N	\N	\N	t	f
10820	3812	ケンブリッジシャー	ja	0	2013-06-05 12:00:15.665976+02	1	ケンブリッジシャー	\N	\N	\N	\N	\N	\N	t	f
10917	2164	Blagoevgrad (oblast)	fr	0	2013-06-05 12:04:18.496549+02	1	Blagoevgrad (oblast)	\N	\N	\N	\N	\N	\N	t	f
10918	2164	Regione di Blagoevgrad	it	0	2013-06-05 12:04:20.865962+02	1	Regione di Blagoevgrad	\N	\N	\N	\N	\N	\N	t	f
11380	1230	Ciego de Ávila	nl	0	2013-06-05 12:24:18.16092+02	1	Ciego de Ávila	\N	\N	\N	\N	\N	\N	t	f
3308	4268	Distretto di Ústí nad Labem	it	0	2013-05-27 19:56:39.372939+02	1	Distretto di Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3309	4268	Okres Ústí nad Labem	nl	0	2013-05-27 19:56:42.525855+02	1	Okres Ústí nad Labem	\N	\N	\N	\N	\N	\N	t	f
3568	656	Arunachal Pradesh	nl	0	2013-06-05 06:45:54.489263+02	1	Arunachal Pradesh	\N	\N	\N	\N	\N	\N	t	f
3581	3235	Bafing (Region)	de	0	2013-06-05 06:46:40.321467+02	1	Bafing (Region)	\N	\N	\N	\N	\N	\N	t	f
4110	789	Canillo	nl	0	2013-06-05 07:09:39.839558+02	1	Canillo	\N	\N	\N	\N	\N	\N	t	f
4122	717	Baranya	es	0	2013-06-05 07:10:10.668237+02	1	Baranya	\N	\N	\N	\N	\N	\N	t	f
4593	4278	Okres Chrudim	nl	0	2013-06-05 07:30:45.835504+02	1	Okres Chrudim	\N	\N	\N	\N	\N	\N	t	f
4601	994	dipartimento di Amazonas	it	0	2013-06-05 07:31:05.659484+02	1	dipartimento di Amazonas	\N	\N	\N	\N	\N	\N	t	f
5165	2481	Abkhazia	en	0	2013-06-05 07:55:26.583983+02	1	Abkhazia	\N	\N	\N	\N	\N	\N	t	f
4615	1832	Clipperton-Insel	de	0	2013-06-05 07:31:41.310943+02	1	Clipperton-Insel	\N	\N	\N	\N	\N	\N	t	f
5784	4373	Cantali departemang	et	0	2013-06-05 08:21:54.450385+02	1	Cantali departemang	\N	\N	\N	\N	\N	\N	t	f
5801	3328	Oriental	es	0	2013-06-05 08:22:38.625732+02	1	Oriental	\N	\N	\N	\N	\N	\N	t	f
6283	812	Județ de Bistrița-Năsăud	fr	0	2013-06-05 08:43:35.47546+02	1	Județ de Bistrița-Năsăud	\N	\N	\N	\N	\N	\N	t	f
6333	694	Province de Buenos Aires	fr	0	2013-06-05 08:45:39.161627+02	1	Province de Buenos Aires	\N	\N	\N	\N	\N	\N	t	f
7037	3703	Regione Centrale	it	0	2013-06-05 09:16:38.545511+02	1	Regione Centrale	\N	\N	\N	\N	\N	\N	t	f
6368	3772	Provincia Central (Zambia)	es	0	2013-06-05 08:47:08.989737+02	1	Provincia Central (Zambia)	\N	\N	\N	\N	\N	\N	t	f
6373	3772	Central (Zambia)	no	0	2013-06-05 08:47:21.719272+02	1	Central (Zambia)	\N	\N	\N	\N	\N	\N	t	f
6377	2916	Ahali vilajett	et	0	2013-06-05 08:47:31.747276+02	1	Ahali vilajett	\N	\N	\N	\N	\N	\N	t	f
7057	2394	Oblast' di Belgorod	it	0	2013-06-05 09:17:26.836142+02	1	Oblast' di Belgorod	\N	\N	\N	\N	\N	\N	t	f
6394	819	Kreis Caraș-Severin	de	0	2013-06-05 08:48:48.168155+02	1	Kreis Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
6396	819	Caraș-Severin	es	0	2013-06-05 08:48:52.864723+02	1	Caraș-Severin	\N	\N	\N	\N	\N	\N	t	f
7789	4488	Annobón	no	0	2013-06-05 09:48:49.645744+02	1	Annobón	\N	\N	\N	\N	\N	\N	t	f
6455	1530	Dipartimento di Carazo	it	0	2013-06-05 08:51:35.835838+02	1	Dipartimento di Carazo	\N	\N	\N	\N	\N	\N	t	f
7130	3807	Bracknell Forest	it	0	2013-06-05 09:20:25.716893+02	1	Bracknell Forest	\N	\N	\N	\N	\N	\N	t	f
7142	1458	Département Artibonite	de	0	2013-06-05 09:20:55.067828+02	1	Département Artibonite	\N	\N	\N	\N	\N	\N	t	f
10046	1890	Calabrië	nl	0	2013-06-05 11:26:26.883838+02	1	Calabrië	\N	\N	\N	\N	\N	\N	t	f
7795	2225	Distretto di Călărași	it	0	2013-06-05 09:49:07.957185+02	1	Distretto di Călărași	\N	\N	\N	\N	\N	\N	t	f
9321	2963	Buschehr	de	0	2013-06-05 10:55:03.408397+02	1	Buschehr	\N	\N	\N	\N	\N	\N	t	f
7824	507	Adıyaman	nl	0	2013-06-05 09:50:27.920095+02	1	Adıyaman	\N	\N	\N	\N	\N	\N	t	f
7825	507	Adıyaman	no	0	2013-06-05 09:50:30.343969+02	1	Adıyaman	\N	\N	\N	\N	\N	\N	t	f
7857	3390	Central	de	0	2013-06-05 09:51:50.024624+02	1	Central	\N	\N	\N	\N	\N	\N	t	f
9322	2963	Bushehr Province	en	0	2013-06-05 10:55:05.732774+02	1	Bushehr Province	\N	\N	\N	\N	\N	\N	t	f
7873	4827	District de Chiradzulu	fr	0	2013-06-05 09:52:31.809807+02	1	District de Chiradzulu	\N	\N	\N	\N	\N	\N	t	f
7889	1295	Municipalidad de Amata	es	0	2013-06-05 09:53:11.309798+02	1	Municipalidad de Amata	\N	\N	\N	\N	\N	\N	t	f
11381	1230	Ciego de Avila	no	0	2013-06-05 12:24:23.471836+02	1	Ciego de Avila	\N	\N	\N	\N	\N	\N	t	f
7894	4547	Bolama Region	en	0	2013-06-05 09:53:24.064417+02	1	Bolama Region	\N	\N	\N	\N	\N	\N	t	f
9340	265	Arizona	nl	0	2013-06-05 10:55:52.482561+02	1	Arizona	\N	\N	\N	\N	\N	\N	t	f
7944	820	Județ de Constanța	fr	0	2013-06-05 09:55:30.69682+02	1	Județ de Constanța	\N	\N	\N	\N	\N	\N	t	f
7962	2205	Athos	fi	0	2013-06-05 09:56:16.561218+02	1	Athos	\N	\N	\N	\N	\N	\N	t	f
10050	4157	Provincia de Boulkiemdé	es	0	2013-06-05 11:26:36.691249+02	1	Provincia de Boulkiemdé	\N	\N	\N	\N	\N	\N	t	f
7982	1137	Aragua	it	0	2013-06-05 09:57:05.682591+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
9357	2528	Provincia del Bajan-Ôlgij	it	0	2013-06-05 10:56:33.652681+02	1	Provincia del Bajan-Ôlgij	\N	\N	\N	\N	\N	\N	t	f
7985	1137	Aragua	no	0	2013-06-05 09:57:13.133015+02	1	Aragua	\N	\N	\N	\N	\N	\N	t	f
8005	1828	Communauté valencienne	fr	0	2013-06-05 09:58:04.951533+02	1	Communauté valencienne	\N	\N	\N	\N	\N	\N	t	f
9377	5014	Adjumani District	en	0	2013-06-05 10:57:25.173849+02	1	Adjumani District	\N	\N	\N	\N	\N	\N	t	f
9432	3801	Borough of Bedford	de	0	2013-06-05 10:59:40.080994+02	1	Borough of Bedford	\N	\N	\N	\N	\N	\N	t	f
10734	2858	Bamiyan	no	0	2013-06-05 11:55:56.340171+02	1	Bamiyan	\N	\N	\N	\N	\N	\N	t	f
9441	815	Brașov	fi	0	2013-06-05 11:00:04.682338+02	1	Brașov	\N	\N	\N	\N	\N	\N	t	f
9506	3061	Al-Wakra	de	0	2013-06-05 11:02:50.249213+02	1	Al-Wakra	\N	\N	\N	\N	\N	\N	t	f
12294	269	District of Columbia	\N	0	2013-08-17 18:30:27.922028+02	\N	District of Columbia	\N	\N	\N	\N	\N	\N	f	f
10000	4489	Provincia de Bioko Norte	es	0	2013-06-05 11:24:26.780761+02	1	Provincia de Bioko Norte	\N	\N	\N	\N	\N	\N	t	f
10976	3143	ブジュンブラ近郊県	ja	0	2013-06-05 12:06:42.770409+02	1	ブジュンブラ近郊県	\N	\N	\N	\N	\N	\N	t	f
10016	4615	Ancona	nl	0	2013-06-05 11:25:07.070147+02	1	Ancona	\N	\N	\N	\N	\N	\N	t	f
10018	1048	Provinz Cotopaxi	de	0	2013-06-05 11:25:12.319826+02	1	Provinz Cotopaxi	\N	\N	\N	\N	\N	\N	t	f
11382	1251	Barahona	de	0	2013-06-05 12:24:26.41996+02	1	Barahona	\N	\N	\N	\N	\N	\N	t	f
11011	361	Buskerud	en	0	2013-06-05 12:08:09.597104+02	1	Buskerud	\N	\N	\N	\N	\N	\N	t	f
11042	1654	Angaur	fr	0	2013-06-05 12:09:31.169032+02	1	Angaur	\N	\N	\N	\N	\N	\N	t	f
11391	1889	Basilicata	es	0	2013-06-05 12:24:49.777169+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
11080	2793	Bobonaro District	en	0	2013-06-05 12:11:08.875143+02	1	Bobonaro District	\N	\N	\N	\N	\N	\N	t	f
12298	5089	Madras	\N	0	2013-09-30 10:28:41.299794+02	1	Madras	\N	\N	\N	\N	\N	\N	f	f
12295	21849	Naples	en	0	2013-08-19 17:32:07.294688+02	1	Naples	\N	\N	\N	\N	\N	\N	t	f
11392	1889	Basilicata	et	0	2013-06-05 12:24:52.101765+02	1	Basilicata	\N	\N	\N	\N	\N	\N	t	f
12291	2450	Peterburi	et	0	2013-07-29 22:38:48.700998+02	1	Peterburi	\N	\N	\N	\N	\N	\N	t	f
12296	653	Vienna	en	0	2013-08-21 16:37:06.867168+02	1	Vienna	\N	\N	\N	\N	\N	\N	t	f
12297	22602	Minori, Campania	\N	0	2013-09-14 04:00:29.403252+02	\N	Minori, Campania	\N	\N	\N	\N	\N	\N	f	f
12301	809	Bucharest	en	0	2013-10-02 10:53:46.698501+02	1	Bucharest	\N	\N	\N	\N	\N	\N	t	f
12302	7957	Nürnberg	de	0	2013-10-03 14:21:40.910067+02	1	Nürnberg	\N	\N	\N	\N	\N	\N	t	f
12303	3493	Saint Brandon Islands	en	0	2013-10-13 03:25:12.492533+02	1	Saint Brandon Islands	\N	\N	\N	\N	\N	\N	f	f
41	897	Taipei County	\N	0	2013-05-23 13:49:51.079193+02	1	Taipei County	\N	\N	\N	2010	12	25	f	t
12300	9348	Kingissepa	et	0	2013-09-30 16:20:40.997314+02	1	Kingissepa	1952	\N	\N	1988	\N	\N	f	t
12304	616	Region Hovedstaden	da	0	2013-10-17 23:55:51.735535+02	1	Region Hovedstaden	\N	\N	\N	\N	\N	\N	t	f
12305	614	Region Midtjylland	da	0	2013-10-17 23:55:57.196434+02	1	Region Midtjylland	\N	\N	\N	\N	\N	\N	t	f
12306	613	Region Nordjylland	da	0	2013-10-17 23:56:15.346234+02	1	Region Nordjylland	\N	\N	\N	\N	\N	\N	t	f
12307	617	Region Sjælland	da	0	2013-10-17 23:56:20.884196+02	1	Region Sjælland	\N	\N	\N	\N	\N	\N	t	f
12308	615	Region Syddanmark	da	0	2013-10-17 23:56:25.885922+02	1	Region Syddanmark	\N	\N	\N	\N	\N	\N	t	f
12309	615	Region of Southern Denmark	en	0	2013-10-17 23:57:51.296374+02	1	Region of Southern Denmark	\N	\N	\N	\N	\N	\N	t	f
12310	617	Region Zealand	en	0	2013-10-17 23:57:54.910311+02	1	Region Zealand	\N	\N	\N	\N	\N	\N	t	f
12311	613	North Denmark Region	en	0	2013-10-17 23:57:57.957342+02	1	North Denmark Region	\N	\N	\N	\N	\N	\N	t	f
12312	614	Central Denmark Region	en	0	2013-10-17 23:58:03.579301+02	1	Central Denmark Region	\N	\N	\N	\N	\N	\N	t	f
12313	616	Capital Region of Denmark	en	0	2013-10-17 23:58:05.224535+02	1	Capital Region of Denmark	\N	\N	\N	\N	\N	\N	t	f
12314	7710	München	de	0	2013-10-18 12:38:25.96665+02	1	München	\N	\N	\N	\N	\N	\N	t	f
\.


--
-- Data for Name: area_alias_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY area_alias_type (id, name) FROM stdin;
1	Area name
2	Formal name
3	Search hint
\.


--
-- Data for Name: area_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY area_annotation (area, annotation) FROM stdin;
\.


--
-- Data for Name: area_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY area_type (id, name) FROM stdin;
1	Country
2	Subdivision
3	City
4	Municipality
5	District
\.


--
-- Data for Name: art_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY art_type (id, name) FROM stdin;
1	Front
2	Back
3	Booklet
4	Medium
5	Obi
6	Spine
7	Track
8	Other
9	Tray
10	Sticker
\.


--
-- Data for Name: artist; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist (id, gid, name, sort_name, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, type, area, gender, comment, edits_pending, last_updated, ended, begin_area, end_area) FROM stdin;
985	47c8f88b-987a-4b64-9175-2b1b57809727	Billy Idol	Idol, Billy	1955	11	30	\N	\N	\N	1	221	1		0	2012-02-20 19:47:50.761337+01	f	\N	\N
455460	b6cca708-1083-4bbb-8ba1-237d832088e4	Sixx:A.M.	Sixx:A.M.	2007	\N	\N	\N	\N	\N	2	222	\N		0	2011-12-07 15:39:59.516861+01	f	\N	\N
189237	c5f42b91-82b9-466c-891c-a9cc391b50bc	Kenny Wayne Shepherd	Shepherd, Kenny Wayne	1977	6	12	\N	\N	\N	1	222	1		0	2013-04-28 01:00:20.345459+02	f	\N	\N
363984	f1c61eb2-d5bd-4c5c-bf14-a56ea6e172d2	These Four Walls	These Four Walls	\N	\N	\N	\N	\N	\N	2	153	\N		0	2012-05-12 05:02:34.945993+02	f	\N	\N
126976	fcfacf73-74cf-4480-8305-4d6f5113fe16	The Passage	Passage, The	1978	\N	\N	1983	\N	\N	2	221	\N	80s synthpop	0	2012-05-15 21:04:49.109476+02	t	\N	\N
37430	4e045c96-538b-46ed-8ea8-7cae20b56574	The Vines	Vines, The	1999	\N	\N	\N	\N	\N	2	13	\N	Australian alternative rock band	0	2013-07-18 02:47:43.8783+02	f	5126	\N
31429	2c16cb3f-e85f-4158-889f-ffc038f5792d	Suzi Quatro	Quatro, Suzi	1950	6	3	\N	\N	\N	1	222	2		0	2013-08-27 11:50:53.571617+02	f	5179	\N
95306	8444928a-9292-4b69-ac50-3e9b44cfa8de	The Georgia Satellites	Georgia Satellites, The	1980	\N	\N	1997	\N	\N	2	222	\N		0	2012-05-15 21:04:49.109476+02	t	\N	\N
32474	2251b277-2dfb-4cf1-83f3-27e29f902440	Johann Pachelbel	Pachelbel, Johann	1653	8	\N	1706	3	3	1	81	1		0	2013-01-17 16:00:17.651516+01	t	\N	\N
9061	2bbdc83c-3d4d-44f4-8e26-6bc748d358dd	Split Enz	Split Enz	1972	\N	\N	1984	\N	\N	2	153	\N		0	2012-05-15 21:04:49.109476+02	t	\N	\N
299	bd13909f-1c29-4c27-a874-d4aaf27c5b1a	Fleetwood Mac	Fleetwood Mac	1967	\N	\N	\N	\N	\N	2	221	\N		0	2013-08-29 02:22:31.089981+02	f	1178	\N
10342	fa19a8b6-e7f4-40d4-af15-7a7c41ac7d8f	Gabriel Fauré	Fauré, Gabriel	1845	5	12	1924	11	4	1	73	1		0	2013-01-17 15:00:11.296503+01	t	\N	\N
182	4d7928cd-7ed2-4282-8c29-c0c9f966f1bd	Alice Cooper	Alice Cooper	1964	\N	\N	\N	\N	\N	2	222	\N	the group	0	2013-07-16 21:43:25.069344+02	f	5179	\N
1092	ca48bfb8-37c5-4a04-9837-a07975ee0cd3	Cracker	Cracker	1991	\N	\N	\N	\N	\N	2	222	\N		0	2011-08-24 16:07:32.757161+02	f	\N	\N
310	4ef7a9e2-2cf5-483a-8616-ef7791a98026	Bryan Ferry	Ferry, Bryan	1945	9	26	\N	\N	\N	1	221	1		0	2013-07-21 21:49:44.492468+02	f	3939	\N
1133	8846e4ff-0c19-4af2-872b-7a8dc7497f68	The Cult	Cult, The	1983	\N	\N	\N	\N	\N	2	221	\N		0	2011-05-30 21:46:56.972021+02	f	\N	\N
73502	27870d47-bb98-42d1-bf2b-c7e972e6befc	George Frideric Handel	Handel, George Frideric	1685	2	23	1759	4	14	1	221	1	German-British baroque composer	0	2013-09-03 02:14:30.135864+02	t	5134	1178
14549	6a726ac6-019e-455c-8bbb-571a77bed52e	Thin Lizzy	Thin Lizzy	1969	\N	\N	\N	\N	\N	2	103	\N		0	2013-08-04 21:00:24.017948+02	f	9622	\N
49352	29c52c26-5f62-46f5-a995-c9f30e3ffbef	Cold Chisel	Cold Chisel	1973	9	\N	1984	\N	\N	2	13	\N		0	2012-05-15 21:04:49.109476+02	t	\N	\N
1	89ad4ac3-39f7-470e-963a-56509c546377	Various Artists	Various Artists	\N	\N	\N	\N	\N	\N	3	\N	\N	add compilations to this artist	9	2013-10-18 18:00:20.936389+02	f	\N	\N
23642	f5a6d5fd-c63c-4775-b028-0301cb37ca01	Weta	Weta	1995	\N	\N	2001	\N	\N	2	153	\N		0	2012-05-15 21:04:49.109476+02	t	\N	\N
438599	5365f55c-b1e1-48f9-b09f-078f7a14cb1f	Airbourne	Airbourne	2004	\N	\N	\N	\N	\N	2	13	\N	Heavy rock band from Warrnambool, Australia	0	2011-08-03 02:48:02.243039+02	f	\N	\N
146720	95e1ead9-4d31-4808-a7ac-32c3614c116b	The Killers	Killers, The	2002	\N	\N	\N	\N	\N	2	222	\N	American alt. rock	0	2013-07-26 01:00:32.079462+02	f	\N	\N
9235	cca49e52-1f1e-4c16-9e40-fedebcea065e	The Living End	Living End, The	1994	\N	\N	\N	\N	\N	2	13	\N	Australian punk band	0	2013-05-28 06:13:50.653648+02	f	5121	\N
2017	6bc658ea-005f-486b-8f94-33a2e40f7a72	Pat Benatar	Benatar, Pat	1953	1	10	\N	\N	\N	1	222	2		0	2011-06-14 13:11:44.407475+02	f	\N	\N
632902	ebc16f1b-55f0-4c68-8625-9833c042a025	Anna Larsson	Larsson, Anna	\N	\N	\N	\N	\N	\N	1	\N	\N		0	2009-07-28 12:23:42.135847+02	f	\N	\N
44563	5c1a3f8f-d5e5-4dcd-9e44-9443f06bb77d	Luigi Boccherini	Boccherini, Luigi	1743	2	12	1805	5	28	1	105	1		0	2013-09-04 17:54:49.393009+02	t	14228	9413
37472	22790383-30ea-4dcc-a8d6-882fb1eb4669	Christoph Willibald Gluck	Gluck, Christoph Willibald	1714	7	2	1787	11	15	1	81	1		0	2013-05-16 15:28:11.583214+02	t	81	14
1587	79491354-3d83-40e3-9d8e-7592d58d790a	Deep Purple	Deep Purple	1968	\N	\N	\N	\N	\N	2	221	\N		0	2013-07-21 16:52:35.775579+02	f	3862	\N
446	6fe07aa5-fec0-4eca-a456-f29bff451b04	Weezer	Weezer	1992	2	14	\N	\N	\N	2	222	\N		0	2013-07-26 19:24:33.48512+02	f	7703	\N
1120	dc6f8c1f-626b-42b0-9115-7e66ae4cecd6	Living Colour	Living Colour	1983	\N	\N	\N	\N	\N	2	222	\N		0	2013-06-11 13:55:51.158606+02	f	7020	\N
570716	ece2058e-c9c6-4979-8d0e-9e8921499060	Feel So Bad	Feel So Bad	1993	\N	\N	\N	\N	\N	2	\N	\N		0	\N	f	\N	\N
620257	cc094059-79bc-4cae-9bc6-a5e07a69f893	We All Shoot Heroin	We All Shoot Heroin	2003	\N	\N	\N	\N	\N	2	\N	\N		0	2009-06-02 18:05:02.52779+02	f	\N	\N
56851	aae96072-e23c-496a-9016-8637be8c67bc	Dragon	Dragon	1972	\N	\N	\N	\N	\N	2	153	\N	NZ/Australian rock group from 1973 to 2011	0	2012-05-22 08:09:58.160492+02	f	\N	\N
9973	fc20ca3a-5fb5-475c-b151-516829c14d9b	The Hooters	Hooters, The	1980	\N	\N	\N	\N	\N	2	222	\N		0	2012-11-27 12:39:44.97712+01	f	\N	\N
1965	847e8284-8582-4b0e-9c26-b042a4f49e57	Placebo	Placebo	1994	\N	\N	\N	\N	\N	2	221	\N	UK alternative rock band	0	2013-07-18 02:30:21.794932+02	f	1178	\N
218850	2c0b26e4-6152-4ccf-8668-c8be06402a44	Magna-Fi	Magna-Fi	\N	\N	\N	\N	\N	\N	\N	\N	\N		0	\N	f	\N	\N
69475	06e63556-7016-4933-b8df-4a13c88728d8	Purple Schulz	Purple Schulz	1956	9	25	\N	\N	\N	1	81	1		0	2013-08-20 21:03:35.868496+02	f	7954	\N
11783	7dc8f5bd-9d0b-4087-9f73-dc164950bbd8	Queens of the Stone Age	Queens of the Stone Age	1996	\N	\N	\N	\N	\N	2	222	\N		0	2013-09-27 17:26:57.196068+02	f	22397	\N
35364	4c141ecd-23f9-4881-9a8c-27e7e7af708c	Generation X	Generation X	1976	\N	\N	1981	\N	\N	2	221	\N	late 70s UK punk band	0	2013-07-04 02:00:12.281116+02	t	1178	\N
57154	1964ed35-f6c9-4e00-ad56-160aefb633ce	Zed	Zed	1996	\N	\N	\N	\N	\N	2	153	\N	New Zealand band	0	2012-07-09 21:48:04.575892+02	f	\N	\N
11285	b972f589-fb0e-474e-b64a-803b0364fa75	Wolfgang Amadeus Mozart	Mozart, Wolfgang Amadeus	1756	1	27	1791	12	5	1	14	1	classical composer	0	2013-10-12 20:01:32.387222+02	t	5249	653
21724	e491fae8-3a5a-438e-8368-925753fb41a1	Ted Nugent	Nugent, Ted	1948	12	13	\N	\N	\N	1	222	1		0	2013-09-26 08:02:22.275604+02	f	283	\N
346598	ee71e136-eb39-4afb-babc-5e548235f06d	Ra	Ra	\N	\N	\N	\N	\N	\N	1	\N	\N	Raoul Sinier - electronic	0	2010-05-24 07:21:28.78639+02	f	\N	\N
31044	acaacdc4-194e-45ae-9959-c8e83e3120b2	Jimmy Barnes	Barnes, Jimmy	1956	4	28	\N	\N	\N	1	13	1		0	2011-07-14 10:52:16.59288+02	f	\N	\N
1763	2386cd66-e923-4e8e-bf14-2eebe2e9b973	3 Doors Down	3 Doors Down	1996	\N	\N	\N	\N	\N	2	286	\N		0	2013-05-17 22:59:56.159149+02	f	286	\N
2632	395cc503-63b5-4a0b-a20a-604e3fcacea2	Men at Work	Men at Work	1979	\N	\N	1985	\N	\N	2	13	\N		0	2012-05-15 21:04:49.109476+02	t	\N	\N
122653	9ddd7abc-9e1b-471d-8031-583bc6bc8be9	Пётр Ильич Чайковский	Tchaikovsky, Pyotr Ilyich	1840	5	7	1893	11	6	1	176	1	Russian romantic composer, Pyotr Ilyich Tchaikovsky	0	2013-09-13 20:01:09.740265+02	t	21790	2450
1436	160629ab-ec18-4931-8c95-02cb92d06186	Foreigner	Foreigner	1976	\N	\N	\N	\N	\N	2	222	\N		0	2012-08-04 22:00:25.664962+02	f	\N	\N
1091	aa266ac7-d919-4132-982e-76cbd95591a7	Collective Soul	Collective Soul	1992	\N	\N	\N	\N	\N	2	222	\N		0	2011-07-22 18:04:19.167473+02	f	\N	\N
38831	fe85786b-e560-4b12-824f-69500da555d7	Eskimo Joe	Eskimo Joe	1997	\N	\N	\N	\N	\N	2	13	\N		0	2013-07-10 05:24:40.252608+02	f	7280	\N
2327	24f1766e-9635-4d58-a4d4-9413f9f98a4c	Johann Sebastian Bach	Bach, Johann Sebastian	1685	3	21	1750	7	28	1	81	1		0	2013-10-14 09:00:41.719731+02	t	9672	7289
35460	06e4547a-bdbf-44a6-bca6-af015fb05376	The Angels	Angels, The	1975	\N	\N	\N	\N	\N	2	13	\N	Australian rock band	0	2011-10-28 23:57:27.192366+02	f	\N	\N
1111	153c9281-268f-4cf3-8938-f5a4593e5df4	Soundgarden	Soundgarden	1984	\N	\N	\N	\N	\N	2	222	\N		0	2013-07-28 19:31:58.798555+02	f	9655	\N
1434	092b603f-eb4c-4958-b10e-02420de5885b	The Cars	Cars, The	1976	\N	\N	\N	\N	\N	2	222	\N		0	2011-08-05 06:00:05.930901+02	f	\N	\N
2735	a81259a0-a2f5-464b-866e-71220f2739f1	ZZ Top	ZZ Top	1969	\N	\N	\N	\N	\N	2	222	\N		0	2011-06-28 14:59:40.164502+02	f	\N	\N
420346	115c7f2c-f620-4f13-9561-844419a422b7	Елена Ваенга	Vaenga, Elena	1977	1	27	\N	\N	\N	1	176	2		0	2012-02-19 00:00:31.110914+01	f	\N	\N
24245	83903121-f611-4875-984c-673ae7173e56	Tomaso Giovanni Albinoni	Albinoni, Tomaso Giovanni	1671	6	8	1751	1	17	1	105	1		0	2013-08-21 12:00:38.361468+02	t	4717	4717
927645	16e16995-6e60-4e22-b426-7d4c21d131f7	The Jordan Luck Band	Luck, Jordan, Band, The	\N	\N	\N	\N	\N	\N	2	153	\N		0	2012-09-17 07:07:18.850362+02	f	\N	\N
\.


--
-- Data for Name: artist_alias; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_alias (id, artist, name, locale, edits_pending, last_updated, type, sort_name, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, primary_for_locale, ended) FROM stdin;
125490	1	مختلف الفنانين	ar	0	2012-10-07 13:37:46.730041+02	\N	مختلف الفنانين	\N	\N	\N	\N	\N	\N	t	f
9781	1	AA.VV.	it	0	2013-06-19 01:00:54.006197+02	\N	AA.VV.	\N	\N	\N	\N	\N	\N	f	f
125491	1	여러 아티스트	ko	0	2012-10-07 13:47:21.451901+02	\N	여러 아티스트	\N	\N	\N	\N	\N	\N	t	f
125601	1	Artistes divers	fr	0	2013-06-19 01:00:54.006197+02	\N	Artistes divers	\N	\N	\N	\N	\N	\N	f	f
111832	1	Variés	fr	0	2013-06-19 01:00:54.006197+02	\N	Variés	\N	\N	\N	\N	\N	\N	f	f
10049	1	Div. artister	no	0	2013-09-18 22:03:10.347486+02	\N	Div. artister	\N	\N	\N	\N	\N	\N	f	f
51855	1	さまざまなアーティスト	ja	0	2013-09-18 22:03:10.347486+02	\N	さまざまなアーティスト	\N	\N	\N	\N	\N	\N	f	f
128429	73502	ゲオルク・フリードリヒ・ヘンデル	ja_JP	0	2013-01-17 14:00:16.219903+01	1	ゲオルク・フリードリヒ・ヘンデル	\N	\N	\N	\N	\N	\N	t	f
125693	1	razlichnye ispolniteli	ru	0	2013-09-18 22:03:10.347486+02	\N	razlichnye ispolniteli	\N	\N	\N	\N	\N	\N	f	f
19493	1	Div. kunstnere	da	0	2013-09-18 22:03:10.347486+02	\N	Div. kunstnere	\N	\N	\N	\N	\N	\N	f	f
125492	1	различных исполнителей	ru	0	2012-10-16 12:02:05.830815+02	\N	различных исполнителей	\N	\N	\N	\N	\N	\N	t	f
9168	1	[Various Artists]	en	0	2013-09-18 22:03:10.347486+02	\N	[Various Artists]	\N	\N	\N	\N	\N	\N	f	f
1815	1	Mixed Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Mixed Artists	\N	\N	\N	\N	\N	\N	f	f
23873	1	More artists	en	0	2013-09-18 22:03:10.347486+02	\N	More artists	\N	\N	\N	\N	\N	\N	f	f
10810	1	Varios artists	\N	0	2012-10-07 14:07:39.659874+02	3	Varios artists	\N	\N	\N	\N	\N	\N	f	f
11522	1	Vários	pt	0	2013-09-18 22:03:10.347486+02	\N	Vários	\N	\N	\N	\N	\N	\N	f	f
125497	1	หลากหลายศิลปิน	th	0	2012-10-16 11:40:46.14501+02	\N	หลากหลายศิลปิน	\N	\N	\N	\N	\N	\N	t	f
125498	1	Nhiều nghệ sĩ	vi	0	2012-10-07 14:29:02.516737+02	\N	Nhiều nghệ sĩ	\N	\N	\N	\N	\N	\N	t	f
116301	122653	Pjotr Tšaikovski	et	0	2013-07-30 00:24:11.873373+02	1	Tšaikovski, Pjotr	\N	\N	\N	\N	\N	\N	t	f
81719	122653	ピョートル・チャイコフスキー	ja	0	2013-07-30 18:26:40.555397+02	1	ピョートル・チャイコフスキー	\N	\N	\N	\N	\N	\N	t	f
127329	1	Various Artists	en	0	2012-12-05 14:52:55.190943+01	\N	Various Artists	\N	\N	\N	\N	\N	\N	t	f
134179	1	Stockfisch	\N	0	2013-05-25 22:00:24.210609+02	\N	VA	\N	\N	\N	\N	\N	\N	f	f
128326	1	Dominicanos Varios	\N	0	2013-01-02 01:29:41.841346+01	\N	Dominicanos Varios	\N	\N	\N	\N	\N	\N	f	f
9609	1	Diverse Artiesten	nl	0	2012-06-12 12:12:49.001008+02	\N	Diverse Artiesten	\N	\N	\N	\N	\N	\N	t	f
119169	2327	Johann Sebastian Bach	en	0	2012-06-19 02:59:36.46795+02	1	Bach, Johann Sebastian	\N	\N	\N	\N	\N	\N	t	f
120136	1	Διάφοροι Καλλιτέχνες	el	0	2012-10-16 12:01:57.468501+02	\N	Διάφοροι Καλλιτέχνες	\N	\N	\N	\N	\N	\N	f	f
56450	122653	Pjotr Tsjajkovskij	no	0	2013-07-30 18:45:13.391353+02	1	Tsjajkovskij, Pjotr	\N	\N	\N	\N	\N	\N	t	f
10646	1	Diverse Artister	no	0	2012-06-12 12:12:49.001008+02	\N	Diverse Artister	\N	\N	\N	\N	\N	\N	t	f
17015	122653	표트르 일리치 차이콥스키	ko	0	2013-07-30 18:27:33.674296+02	1	차이콥스키, 표트르 일리치	\N	\N	\N	\N	\N	\N	t	f
16251	122653	Piotr Ilitch Tchaïkovski	fr	0	2012-06-19 16:05:37.188594+02	1	Tchaïkovski, Piotr Ilitch	\N	\N	\N	\N	\N	\N	t	f
110840	122653	Pjotr Iljitsj Tsjaíkovskíj	is	0	2013-02-28 05:38:08.336887+01	1	Tsjaíkovskíj, Pjotr Iljitsj	\N	\N	\N	\N	\N	\N	t	f
72287	2327	Иоганн Себастьян Бах	ru	0	2013-03-31 19:49:06.679307+02	1	Бах, Иоганн Себастьян	\N	\N	\N	\N	\N	\N	t	f
119171	2327	Johann Sebastian Bach	de	0	2012-06-19 02:59:04.9448+02	1	Bach, Johann Sebastian	\N	\N	\N	\N	\N	\N	t	f
2615	122653	Peter Ilyich Tchaikovsky	en	0	2013-09-02 04:00:12.263841+02	1	Tchaikovsky, Peter Ilyich	\N	\N	\N	\N	\N	\N	f	f
119173	2327	يوهان سباستيان باخ	ar	0	2012-06-12 12:12:49.001008+02	\N	يوهان سباستيان باخ	\N	\N	\N	\N	\N	\N	t	f
18906	1	Verschiedene	de	0	2013-09-18 22:03:10.347486+02	\N	Verschiedene	\N	\N	\N	\N	\N	\N	f	f
2475	1	Artisti Vari	it	0	2013-06-19 01:00:54.006197+02	\N	Artisti Vari	\N	\N	\N	\N	\N	\N	f	f
114024	1	Diverse Interpreten	de	0	2012-06-23 14:14:02.746723+02	\N	Diverse Interpreten	\N	\N	\N	\N	\N	\N	t	f
10647	1	Diverse	de	0	2013-09-18 22:03:10.347486+02	\N	Diverse	\N	\N	\N	\N	\N	\N	f	f
10416	1	Multiple Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Multiple Artists	\N	\N	\N	\N	\N	\N	f	f
11589	1	Danske Kunstnere	da	0	2013-09-18 22:03:10.347486+02	\N	Danske Kunstnere	\N	\N	\N	\N	\N	\N	f	f
68011	1	Diverse danske artister	da	0	2013-09-18 22:03:10.347486+02	\N	Diverse danske artister	\N	\N	\N	\N	\N	\N	f	f
33159	1	Diverse kunstnere	da	0	2012-06-30 10:42:10.141284+02	\N	Diverse kunstnere	\N	\N	\N	\N	\N	\N	t	f
10508	1	Various Artsits	\N	0	2012-06-30 10:45:46.035365+02	3	Various Artsits	\N	\N	\N	\N	\N	\N	f	f
121154	1	[различные исполнители]	ru	0	2013-09-18 22:03:10.347486+02	\N	различные исполнители	\N	\N	\N	\N	\N	\N	f	f
9214	1	Various Big Bands	en	0	2013-09-18 22:03:10.347486+02	\N	Various Big Bands	\N	\N	\N	\N	\N	\N	f	f
128462	32474	ヨハン・パッヘルベル	ja_JP	0	2013-01-17 16:00:17.651516+01	1	ヨハン・パッヘルベル	\N	\N	\N	\N	\N	\N	t	f
17911	1	Various Celtic Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Various Celtic Artists	\N	\N	\N	\N	\N	\N	f	f
26718	1	Varoius Artists	\N	0	2012-07-03 00:24:18.27098+02	3	Varoius Artists	\N	\N	\N	\N	\N	\N	f	f
4888	1	VariousArtist	\N	0	2012-07-03 00:24:58.846018+02	3	VariousArtist	\N	\N	\N	\N	\N	\N	f	f
10904	1	Various Composers	en	0	2013-09-18 22:03:10.347486+02	\N	Various Composers	\N	\N	\N	\N	\N	\N	f	f
128455	10342	ガブリエル・フォーレ	ja_JP	0	2013-01-17 15:00:11.296503+01	1	ガブリエル・フォーレ	\N	\N	\N	\N	\N	\N	t	f
4916	1	Variuos	\N	0	2012-07-03 00:25:01.772655+02	3	Variuos	\N	\N	\N	\N	\N	\N	f	f
26752	1	Variuos Artists	\N	0	2012-07-03 00:25:06.010763+02	3	Variuos Artists	\N	\N	\N	\N	\N	\N	f	f
17772	1	Varius	\N	0	2012-07-03 00:25:09.494158+02	3	Varius	\N	\N	\N	\N	\N	\N	f	f
4122	1	Varius Artists	\N	0	2012-07-03 00:25:14.371911+02	3	Varius Artists	\N	\N	\N	\N	\N	\N	f	f
72033	1	群星	zh	0	2012-10-07 13:42:00.751879+02	\N	群星	\N	\N	\N	\N	\N	\N	t	f
1522	1	Varoius	\N	0	2012-07-03 00:25:16.926051+02	3	Varoius	\N	\N	\N	\N	\N	\N	f	f
15327	1	Verious	\N	0	2012-07-03 00:25:21.616292+02	3	Verious	\N	\N	\N	\N	\N	\N	f	f
121557	1	合輯	zh_Hant	0	2012-07-10 10:12:56.432573+02	\N	合輯	\N	\N	\N	\N	\N	\N	f	f
15617	1	Various Arists	\N	0	2012-07-03 00:25:51.332273+02	3	Various Arists	\N	\N	\N	\N	\N	\N	f	f
122229	44563	Luigi Boccerini	\N	0	2012-07-23 20:10:07.203418+02	\N	Luigi Boccerini	\N	\N	\N	\N	\N	\N	f	f
134341	1	VV AA	\N	0	2013-05-28 21:49:40.432856+02	3	VV AA	\N	\N	\N	\N	\N	\N	f	f
105049	122653	Piotr Czajkowski	pl	0	2013-07-30 18:31:47.299405+02	1	Czajkowski, Piotr	\N	\N	\N	\N	\N	\N	t	f
77822	122653	Pjotr Iljitsch Tschaikowski	de	0	2012-06-19 16:05:48.859691+02	1	Tschaikowski, Pjotr Iljitsch	\N	\N	\N	\N	\N	\N	t	f
119635	56851	Hunter	\N	0	2012-05-22 08:09:58.160492+02	\N	Hunter	\N	\N	\N	\N	\N	\N	f	f
132540	73502	Georg-Friedrich Händel	\N	0	2013-04-16 00:03:51.927845+02	\N	Georg-Friedrich Händel	\N	\N	\N	\N	\N	\N	f	f
132538	11285	Wolfgang Anadeus Mozart	\N	0	2013-04-16 00:03:26.978518+02	\N	Wolfgang Anadeus Mozart	\N	\N	\N	\N	\N	\N	f	f
132647	37472	CW Gluck	\N	0	2013-04-19 21:01:49.736209+02	\N	CW Gluck	\N	\N	\N	\N	\N	\N	f	f
132648	73502	GF Haendel	\N	0	2013-04-19 21:01:51.785798+02	\N	GF Haendel	\N	\N	\N	\N	\N	\N	f	f
132685	189237	Kenny Wayne Brobst	\N	0	2013-04-28 01:00:20.345459+02	\N	Brobst, Kenny Wayne	\N	\N	\N	\N	\N	\N	f	f
130402	44563	Ridolfo Luigi Boccherini	en	0	2013-02-24 07:00:35.29149+01	2	Boccherini, Ridolfo Luigi	\N	\N	\N	\N	\N	\N	f	f
131573	2327	バッハ	\N	0	2013-03-19 16:00:19.09962+01	\N	バッハ	\N	\N	\N	\N	\N	\N	f	f
101965	11285	Volfgangs Amadejs Mocarts	lv	0	2013-04-01 15:25:23.107879+02	1	Mocarts, Volfgangs Amadejs	\N	\N	\N	\N	\N	\N	t	f
9726	11285	W.A. Mozart	\N	0	2013-04-01 15:22:30.638199+02	3	W.A. Mozart	\N	\N	\N	\N	\N	\N	f	f
15223	11285	W A Mozart	\N	0	2013-04-01 15:23:55.139438+02	3	W A Mozart	\N	\N	\N	\N	\N	\N	f	f
132225	2327	Bach	\N	0	2013-05-06 17:54:09.800829+02	1	Bach	\N	\N	\N	\N	\N	\N	f	f
11534	11285	Wolfgang Amedeus Mozart	\N	0	2013-04-01 15:27:41.528227+02	3	Wolfgang Amedeus Mozart	\N	\N	\N	\N	\N	\N	f	f
132084	11285	Wolfgang Amadeus Mozart	de	0	2013-04-01 15:27:51.017219+02	1	Mozart, Wolfgang Amadeus	\N	\N	\N	\N	\N	\N	t	f
2442	2327	JS Bach	\N	0	2013-05-06 17:56:14.215352+02	3	JS Bach	\N	\N	\N	\N	\N	\N	f	f
15536	11285	Wolfgang Amadeaus Mozart	\N	0	2013-04-01 15:27:42.605683+02	3	Wolfgang Amadeaus Mozart	\N	\N	\N	\N	\N	\N	f	f
132085	11285	Wolfgang Amadeus Mozart	en	0	2013-04-01 15:27:56.777121+02	1	Mozart, Wolfgang Amadeus	\N	\N	\N	\N	\N	\N	t	f
9212	1	Various Compiled By	\N	0	2013-06-13 09:28:07.769798+02	3	Various Compiled By	\N	\N	\N	\N	\N	\N	f	f
73005	1	Hợp ca	vi	0	2013-09-18 22:03:10.347486+02	\N	Hợp ca	\N	\N	\N	\N	\N	\N	f	f
129018	1	various aritsts	\N	0	2013-06-13 09:29:21.693049+02	3	various aritsts	\N	\N	\N	\N	\N	\N	f	f
127431	1	Various Speakers	en	0	2013-09-18 22:03:10.347486+02	\N	Various Speakers	\N	\N	\N	\N	\N	\N	f	f
19864	1	Miscellaneous	en	0	2013-09-18 22:03:10.347486+02	\N	Miscellaneous	\N	\N	\N	\N	\N	\N	f	f
4178	2327	J S Bach	\N	0	2013-03-31 20:00:16.159059+02	3	J S Bach	\N	\N	\N	\N	\N	\N	f	f
4890	1	VA	en	0	2013-09-18 22:03:10.347486+02	\N	VA	\N	\N	\N	\N	\N	\N	f	f
1523	1	V.A.	en	0	2013-09-18 22:03:10.347486+02	\N	V.A.	\N	\N	\N	\N	\N	\N	f	f
9919	1	Compilation	fr	0	2013-06-19 01:00:54.006197+02	\N	Compilation	\N	\N	\N	\N	\N	\N	f	f
135027	1	Various Military Bands	\N	0	2013-06-19 01:00:54.006197+02	\N	Various Military Bands	\N	\N	\N	\N	\N	\N	f	f
135028	1	Various DJ's	\N	0	2013-06-19 01:00:54.006197+02	\N	Various DJ's	\N	\N	\N	\N	\N	\N	f	f
96603	1	Multi-artistes	fr	0	2013-06-20 10:00:19.915202+02	\N	Multi-artistes	\N	\N	\N	\N	\N	\N	f	f
8485	2327	Johann Savastian Bach	\N	0	2013-03-31 19:49:55.340855+02	3	Johann Savastian Bach	\N	\N	\N	\N	\N	\N	f	f
1408	73502	George Frideric Handel	en	0	2013-07-04 14:43:21.20737+02	2	Handel, George Frideric	1727	1	22	\N	\N	\N	f	f
134876	1	Collectif	fr	0	2013-06-20 10:00:21.094813+02	\N	Collectif	\N	\N	\N	\N	\N	\N	f	f
13739	2327	Johann Sebastuan Bach	\N	0	2013-03-31 19:49:58.207298+02	3	Johann Sebastuan Bach	\N	\N	\N	\N	\N	\N	f	f
9559	2327	Johann-sebastian Bach	\N	0	2013-03-31 19:50:01.74968+02	3	Johann-sebastian Bach	\N	\N	\N	\N	\N	\N	f	f
135224	1	various	\N	0	2013-06-24 01:02:33.933238+02	\N	various	\N	\N	\N	\N	\N	\N	f	f
1485	2327	J.S. Bach	\N	0	2013-03-31 20:00:13.546039+02	3	J.S. Bach	\N	\N	\N	\N	\N	\N	f	f
13189	2327	J.S Bach	\N	0	2013-03-31 20:00:14.330278+02	3	J.S Bach	\N	\N	\N	\N	\N	\N	f	f
135572	35364	Billy Idol & Generation X	\N	0	2013-07-04 02:00:12.281116+02	\N	Billy Idol & Generation X	\N	\N	\N	\N	\N	\N	f	f
135576	1	Mini Disco Hits 2013	\N	0	2013-07-04 12:01:05.648247+02	\N	various	\N	\N	\N	\N	\N	\N	f	f
135577	1	val	\N	0	2013-07-04 12:01:05.648247+02	\N	Various Artists	\N	\N	\N	\N	\N	\N	f	f
17026	122653	Chaikovsky	\N	0	2013-07-29 20:15:14.447923+02	3	Chaikovsky	\N	\N	\N	\N	\N	\N	f	f
15013	122653	Tchaikovshy	\N	0	2013-07-29 21:29:32.260289+02	3	Tchaikovshy	\N	\N	\N	\N	\N	\N	f	f
126229	122653	Пётр Ильич Чайковский	ru	0	2013-07-30 18:33:18.814032+02	1	Чайковский, Пётр Ильич	\N	\N	\N	\N	\N	\N	t	f
136314	122653	بيتر إليتش تشايكوفسكي	ar	0	2013-07-30 18:58:20.187093+02	1	بيتر إليتش تشايكوفسكي	\N	\N	\N	\N	\N	\N	t	f
20057	122653	Ciaikosvsky	\N	0	2013-07-29 20:16:05.452793+02	3	Ciaikosvsky	\N	\N	\N	\N	\N	\N	f	f
110838	122653	Pjotr Iljitj Tjajkovskij	da	0	2013-07-29 23:16:46.997057+02	1	Tjajkovskij, Pjotr Iljitj	\N	\N	\N	\N	\N	\N	t	f
56446	122653	彼得·伊里奇·柴科夫斯基	zh	0	2013-09-13 20:01:09.740265+02	1	彼得·伊里奇·柴科夫斯基	\N	\N	\N	\N	\N	\N	f	f
4242	122653	Tschaikovsky	\N	0	2013-07-29 21:44:37.615879+02	3	Tschaikovsky	\N	\N	\N	\N	\N	\N	f	f
10501	122653	Tchiakovsky	\N	0	2013-07-29 23:21:53.940705+02	3	Tchiakovsky	\N	\N	\N	\N	\N	\N	f	f
136379	1	Varius Artist	\N	0	2013-08-01 05:00:51.865872+02	\N	Varius Artist	\N	\N	\N	\N	\N	\N	f	f
21276	122653	Tchaikovskij	\N	0	2013-07-29 20:19:17.62159+02	3	Tchaikovskij	\N	\N	\N	\N	\N	\N	f	f
124135	122653	Txhaikovsky	\N	0	2013-07-29 21:47:19.752054+02	3	Txhaikovsky	\N	\N	\N	\N	\N	\N	f	f
9820	122653	Tchaikovsky	\N	0	2013-07-29 20:19:47.533703+02	3	Tchaikovsky	\N	\N	\N	\N	\N	\N	f	f
27876	122653	Il'yich	\N	0	2013-07-29 21:47:49.705865+02	3	Il'yich	\N	\N	\N	\N	\N	\N	f	f
56447	122653	Tjakovski	\N	0	2013-07-29 23:23:34.996743+02	3	Tjakovski	\N	\N	\N	\N	\N	\N	f	f
47312	122653	Tchaikovsky	\N	0	2013-07-29 20:20:58.181447+02	3	Tchaikovsky	\N	\N	\N	\N	\N	\N	f	f
76868	122653	Hich	\N	0	2013-07-29 20:21:57.343907+02	3	Hich	\N	\N	\N	\N	\N	\N	f	f
12752	122653	Ciaikovsky	\N	0	2013-07-29 21:48:19.437079+02	3	Ciaikovsky	\N	\N	\N	\N	\N	\N	f	f
56448	122653	Tjakovsky	\N	0	2013-07-29 23:26:02.751374+02	3	Tjakovsky	\N	\N	\N	\N	\N	\N	f	f
125048	122653	Čajkovski	\N	0	2013-07-29 20:21:28.855419+02	3	Čajkovski	\N	\N	\N	\N	\N	\N	f	f
12047	122653	Tchaïkovsky	\N	0	2013-07-29 21:52:15.033209+02	3	Tchaïkovsky	\N	\N	\N	\N	\N	\N	f	f
127898	122653	Tschaikowski	\N	0	2013-07-29 23:26:35.435314+02	3	Tschaikowski	\N	\N	\N	\N	\N	\N	f	f
136297	122653	Pëtr Il'ič Čajkovskij	it	0	2013-07-29 23:29:16.660868+02	1	Čajkovskij, Pëtr Il'ič	\N	\N	\N	\N	\N	\N	t	f
6180	122653	Ilich	\N	0	2013-07-29 20:33:10.49534+02	3	Ilich	\N	\N	\N	\N	\N	\N	f	f
136298	122653	Pjotr Tsjaikofski	af	0	2013-07-30 19:01:34.241477+02	1	Tsjaikofski, Pjotr	\N	\N	\N	\N	\N	\N	t	f
20354	122653	Pyotor	\N	0	2013-07-29 22:16:16.962308+02	3	Pyotor	\N	\N	\N	\N	\N	\N	f	f
11677	122653	Tsjajkovskij	\N	0	2013-07-29 23:33:28.75039+02	3	Tsjajkovskij	\N	\N	\N	\N	\N	\N	f	f
4808	122653	II'yich	\N	0	2013-07-29 22:17:04.05554+02	3	II'yich	\N	\N	\N	\N	\N	\N	f	f
95332	122653	Pyotr İlyiç Çaykovski	tr	0	2013-07-29 22:21:27.495031+02	1	Pyotr İlyiç Çaykovski	\N	\N	\N	\N	\N	\N	t	f
137100	122653	Peter Tchaikovsky	en	0	2013-09-02 04:00:12.263841+02	1	Tchaikovsky, Peter	\N	\N	\N	\N	\N	\N	t	f
102948	122653	Pjotr Tjajkovskij	sv	0	2013-07-30 18:33:54.436503+02	1	Tjajkovskij, Pjotr	\N	\N	\N	\N	\N	\N	t	f
28388	122653	Tchaikoskvy	\N	0	2013-07-29 22:53:58.613772+02	3	Tchaikoskvy	\N	\N	\N	\N	\N	\N	f	f
137809	122653	彼得·伊里奇·柴可夫斯基	zh	0	2013-09-13 20:01:09.740265+02	1	彼得·伊里奇·柴可夫斯基	\N	\N	\N	\N	\N	\N	t	f
138012	1	versch. Künstler	\N	0	2013-09-18 22:03:10.347486+02	\N	versch. Künstler	\N	\N	\N	\N	\N	\N	f	f
138934	11285	Wolfang Amadeus Mozart	\N	0	2013-10-12 20:01:32.387222+02	\N	Mozart, Wolfgang Amadeus	\N	\N	\N	\N	\N	\N	f	f
41629	182	Vincent Damon Furnier	\N	0	2012-05-15 20:57:13.252186+02	\N	Vincent Damon Furnier	\N	\N	\N	\N	\N	\N	f	f
2081	31429	Suzi Quattro	\N	0	2012-05-15 20:57:13.252186+02	\N	Suzi Quattro	\N	\N	\N	\N	\N	\N	f	f
2379	1	Various Artist	\N	0	2013-06-13 09:22:36.106849+02	3	Various Artist	\N	\N	\N	\N	\N	\N	f	f
41378	122653	Tsjaikovsky	\N	0	2013-07-29 23:32:59.641553+02	3	Tsjaikovsky	\N	\N	\N	\N	\N	\N	f	f
12214	73502	hendel	\N	0	2012-05-15 20:57:13.252186+02	\N	hendel	\N	\N	\N	\N	\N	\N	f	f
57108	189237	Kenny Wayne Shepherd Band	\N	0	2012-05-15 20:57:13.252186+02	\N	Kenny Wayne Shepherd Band	\N	\N	\N	\N	\N	\N	f	f
10588	1	Various Artists [DIY]	\N	0	2013-06-13 09:25:18.588127+02	3	Various Artists [DIY]	\N	\N	\N	\N	\N	\N	f	f
1215	1	Varios	es	0	2013-09-18 22:03:10.347486+02	\N	Varios	\N	\N	\N	\N	\N	\N	f	f
3861	1434	Cars, the	\N	0	2012-05-15 20:57:13.252186+02	\N	Cars, the	\N	\N	\N	\N	\N	\N	f	f
12902	11285	Wolfang A. Mozart	\N	0	2013-04-01 15:27:27.48128+02	3	Wolfang A. Mozart	\N	\N	\N	\N	\N	\N	f	f
15602	37472	Christoph Willibald von Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christoph Willibald von Gluck	\N	\N	\N	\N	\N	\N	f	f
2863	1965	placeo	\N	0	2012-05-15 20:57:13.252186+02	\N	placeo	\N	\N	\N	\N	\N	\N	f	f
39153	1	Intérpretes Diversos	\N	0	2012-05-15 20:57:13.252186+02	\N	Intérpretes Diversos	\N	\N	\N	\N	\N	\N	f	f
12466	24245	Tomasso Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Tomasso Albinoni	\N	\N	\N	\N	\N	\N	f	f
94253	122653	Tschaikowskij	\N	0	2013-07-29 20:54:56.145376+02	3	Tschaikowskij	\N	\N	\N	\N	\N	\N	f	f
11335	122653	Tsjaikovski	\N	0	2013-07-29 23:32:37.924003+02	3	Tsjaikovski	\N	\N	\N	\N	\N	\N	f	f
28952	35460	The Angels From Angel City	\N	0	2012-05-15 20:57:13.252186+02	\N	The Angels From Angel City	\N	\N	\N	\N	\N	\N	f	f
69801	24245	アルビノーニ	\N	0	2012-05-15 20:57:13.252186+02	\N	アルビノーニ	\N	\N	\N	\N	\N	\N	f	f
25151	218850	Magna Fi	\N	0	2012-05-15 20:57:13.252186+02	\N	Magna Fi	\N	\N	\N	\N	\N	\N	f	f
96434	122653	Ilic	\N	0	2013-07-29 21:48:56.157693+02	3	Ilic	\N	\N	\N	\N	\N	\N	f	f
64477	73502	헨델	\N	0	2012-05-15 20:57:13.252186+02	\N	헨델	\N	\N	\N	\N	\N	\N	f	f
73822	570716	F.S.B.	\N	0	2012-05-15 20:57:13.252186+02	\N	F.S.B.	\N	\N	\N	\N	\N	\N	f	f
26029	37472	Christoph Willibald Gluk	\N	0	2012-05-15 20:57:13.252186+02	\N	Christoph Willibald Gluk	\N	\N	\N	\N	\N	\N	f	f
1484	2327	J. S. Bach	\N	0	2013-05-06 17:55:25.000649+02	1	Bach, J. S.	\N	\N	\N	\N	\N	\N	f	f
28058	122653	Tchaikovskyes	\N	0	2013-07-29 23:18:26.178786+02	3	Tchaikovskyes	\N	\N	\N	\N	\N	\N	f	f
16696	2327	Jean-Sébastien Bach	\N	0	2012-05-15 20:57:13.252186+02	\N	Jean-Sébastien Bach	\N	\N	\N	\N	\N	\N	f	f
54726	2327	Jan Sebastian Bach	\N	0	2012-05-15 20:57:13.252186+02	\N	Jan Sebastian Bach	\N	\N	\N	\N	\N	\N	f	f
9822	73502	George Fredrick Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Fredrick Handel	\N	\N	\N	\N	\N	\N	f	f
15112	2327	Johan Sebastian Bach	\N	0	2013-03-31 19:45:27.377944+02	3	Johan Sebastian Bach	\N	\N	\N	\N	\N	\N	f	f
9823	73502	George Friedric Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Friedric Handel	\N	\N	\N	\N	\N	\N	f	f
34640	37472	Christoph Willibald Ritter von Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christoph Willibald Ritter von Gluck	\N	\N	\N	\N	\N	\N	f	f
1486	2327	J.S.Bach	\N	0	2013-03-31 20:00:13.361092+02	3	J.S.Bach	\N	\N	\N	\N	\N	\N	f	f
105735	1	Coletanea	\N	0	2012-05-15 20:57:13.252186+02	\N	Coletanea	\N	\N	\N	\N	\N	\N	f	f
10573	1	Assorted Christian Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Assorted Christian Artists	\N	\N	\N	\N	\N	\N	f	f
19719	122653	Tchaïkovki	\N	0	2013-07-29 22:59:53.889162+02	3	Tchaïkovki	\N	\N	\N	\N	\N	\N	f	f
1483	11285	Mozart	\N	0	2013-04-03 05:18:56.457191+02	\N	Mozart	\N	\N	\N	\N	\N	\N	f	f
12126	73502	George Frederich Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frederich Handel	\N	\N	\N	\N	\N	\N	f	f
4803	24245	Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Albinoni	\N	\N	\N	\N	\N	\N	f	f
18335	73502	George F. Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George F. Handel	\N	\N	\N	\N	\N	\N	f	f
48590	189237	Kenny Wayne Sheperd	\N	0	2012-05-15 20:57:13.252186+02	\N	Kenny Wayne Sheperd	\N	\N	\N	\N	\N	\N	f	f
14819	2735	ZZTop	\N	0	2012-05-15 20:57:13.252186+02	\N	ZZTop	\N	\N	\N	\N	\N	\N	f	f
84833	1	Tốp ca nam	vi	0	2013-09-18 22:03:10.347486+02	\N	Tốp ca nam	\N	\N	\N	\N	\N	\N	f	f
26336	122653	Tchaikowski	\N	0	2013-07-29 23:19:39.709357+02	3	Tchaikowski	\N	\N	\N	\N	\N	\N	f	f
9233	11285	Wolfgan Amadeus Mozart	\N	0	2013-04-01 15:27:43.208855+02	3	Wolfgan Amadeus Mozart	\N	\N	\N	\N	\N	\N	f	f
24550	1	V. A.	en	0	2013-09-18 22:03:10.347486+02	\N	V. A.	\N	\N	\N	\N	\N	\N	f	f
7828	1	(various)	en	0	2013-09-18 22:03:10.347486+02	\N	(various)	\N	\N	\N	\N	\N	\N	f	f
48557	32474	Johan Pachelbel	\N	0	2012-05-15 20:57:13.252186+02	\N	Johan Pachelbel	\N	\N	\N	\N	\N	\N	f	f
4366	10342	Gabriel Faure	\N	0	2012-05-15 20:57:13.252186+02	\N	Gabriel Faure	\N	\N	\N	\N	\N	\N	f	f
6309	10342	Fauré	\N	0	2012-05-15 20:57:13.252186+02	\N	Fauré	\N	\N	\N	\N	\N	\N	f	f
54262	73502	Georg F. Händel	\N	0	2012-05-15 20:57:13.252186+02	\N	Georg F. Händel	\N	\N	\N	\N	\N	\N	f	f
112205	1	Hairspray (Karaoke) Various Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Hairspray (Karaoke) Various Artists	\N	\N	\N	\N	\N	\N	f	f
110839	122653	Pjotr Tšaikovski	fi	0	2013-07-29 23:07:12.54995+02	1	Tšaikovski, Pjotr	\N	\N	\N	\N	\N	\N	t	f
38423	11285	Вольфганг Амадей Моцарт	ru	0	2013-04-01 15:24:53.109094+02	1	Моцарт, Вольфганг Амадей	\N	\N	\N	\N	\N	\N	t	f
1314	1120	Living Color	\N	0	2012-05-15 20:57:13.252186+02	\N	Living Color	\N	\N	\N	\N	\N	\N	f	f
1169	2017	Benatar, Pat	\N	0	2012-05-15 20:57:13.252186+02	\N	Benatar, Pat	\N	\N	\N	\N	\N	\N	f	f
5524	73502	Händel	\N	0	2012-05-15 20:57:13.252186+02	\N	Händel	\N	\N	\N	\N	\N	\N	f	f
15014	122653	Tchaikovsly	\N	0	2013-07-29 22:25:44.07499+02	3	Tchaikovsly	\N	\N	\N	\N	\N	\N	f	f
26027	10342	Gabriel Urbain Fauré	\N	0	2012-05-15 20:57:13.252186+02	\N	Gabriel Urbain Fauré	\N	\N	\N	\N	\N	\N	f	f
25834	122653	Tchaikovisky	\N	0	2013-07-29 22:56:41.096894+02	3	Tchaikovisky	\N	\N	\N	\N	\N	\N	f	f
1858	32474	Pachelbel	\N	0	2012-05-15 20:57:13.252186+02	\N	Pachelbel	\N	\N	\N	\N	\N	\N	f	f
10082	73502	Handel, George Frideric (1685-1759)	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel, George Frideric (1685-1759)	\N	\N	\N	\N	\N	\N	f	f
473	1763	Three Doors Down	\N	0	2012-05-15 20:57:13.252186+02	\N	Three Doors Down	\N	\N	\N	\N	\N	\N	f	f
39622	73502	George Friederic Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Friederic Haendel	\N	\N	\N	\N	\N	\N	f	f
10809	1	Various (original artists)	en	0	2013-09-18 22:03:10.347486+02	\N	Various (original artists)	\N	\N	\N	\N	\N	\N	f	f
24291	122653	Iljitsch	\N	0	2013-07-29 20:47:59.121352+02	3	Iljitsch	\N	\N	\N	\N	\N	\N	f	f
64515	44563	보리케니	\N	0	2012-05-15 20:57:13.252186+02	\N	보리케니	\N	\N	\N	\N	\N	\N	f	f
10865	1	Assorted Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Assorted Artists	\N	\N	\N	\N	\N	\N	f	f
14399	1	オムニバス	ja	0	2012-10-07 10:03:25.264581+02	\N	オムニバス	\N	\N	\N	\N	\N	\N	t	f
17017	2327	바흐	\N	0	2012-05-15 20:57:13.252186+02	\N	바흐	\N	\N	\N	\N	\N	\N	f	f
12393	985	Bily Idol	\N	0	2012-05-15 20:57:13.252186+02	\N	Bily Idol	\N	\N	\N	\N	\N	\N	f	f
86389	1	Time Life Music: Various Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Time Life Music: Various Artists	\N	\N	\N	\N	\N	\N	f	f
81711	37472	グルック	\N	0	2012-05-15 20:57:13.252186+02	\N	グルック	\N	\N	\N	\N	\N	\N	f	f
92145	1587	ディープパープル	\N	0	2012-05-15 20:57:13.252186+02	\N	ディープパープル	\N	\N	\N	\N	\N	\N	f	f
2989	122653	Tschaikowsky	\N	0	2013-07-29 20:30:32.966063+02	3	Tschaikowsky	\N	\N	\N	\N	\N	\N	f	f
81710	32474	パッヘルベル	\N	0	2012-05-15 20:57:13.252186+02	\N	パッヘルベル	\N	\N	\N	\N	\N	\N	f	f
3907	44563	Boccherini	\N	0	2012-05-15 20:57:13.252186+02	\N	Boccherini	\N	\N	\N	\N	\N	\N	f	f
1553	189237	Kenny Wayne Sheppard	\N	0	2012-05-15 20:57:13.252186+02	\N	Kenny Wayne Sheppard	\N	\N	\N	\N	\N	\N	f	f
4238	122653	Tchaikovski	\N	0	2013-07-29 21:30:14.628689+02	3	Tchaikovski	\N	\N	\N	\N	\N	\N	f	f
34728	1111	Sound Garden	\N	0	2012-05-15 20:57:13.252186+02	\N	Sound Garden	\N	\N	\N	\N	\N	\N	f	f
4151	95306	George Satellites	\N	0	2012-05-15 20:57:13.252186+02	\N	George Satellites	\N	\N	\N	\N	\N	\N	f	f
15323	122653	Ilych	\N	0	2013-07-29 21:27:37.207537+02	3	Ilych	\N	\N	\N	\N	\N	\N	f	f
81726	10342	フォーレ	\N	0	2012-05-15 20:57:13.252186+02	\N	フォーレ	\N	\N	\N	\N	\N	\N	f	f
7551	73502	George Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Handel	\N	\N	\N	\N	\N	\N	f	f
85457	44563	ボッケリーニ	\N	0	2012-05-15 20:57:13.252186+02	\N	ボッケリーニ	\N	\N	\N	\N	\N	\N	f	f
15716	11783	Queen Of Stoneage	\N	0	2012-05-15 20:57:13.252186+02	\N	Queen Of Stoneage	\N	\N	\N	\N	\N	\N	f	f
9510	73502	Georg Friedrich Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	Georg Friedrich Handel	\N	\N	\N	\N	\N	\N	f	f
29237	122653	Piotr Iljič Čajkovskij	sk	0	2013-07-29 22:22:18.03232+02	1	Piotr Iljič Čajkovskij	\N	\N	\N	\N	\N	\N	t	f
24650	44563	Luigi Bocheccherini	\N	0	2012-05-15 20:57:13.252186+02	\N	Luigi Bocheccherini	\N	\N	\N	\N	\N	\N	f	f
87735	21724	Ted Nugget	\N	0	2012-05-15 20:57:13.252186+02	\N	Ted Nugget	\N	\N	\N	\N	\N	\N	f	f
84832	1	Tốp ca	vi	0	2013-09-18 22:03:10.347486+02	\N	Tốp ca	\N	\N	\N	\N	\N	\N	f	f
26002	10342	Faure, Gabriel (1845-1924)	\N	0	2012-05-15 20:57:13.252186+02	\N	Faure, Gabriel (1845-1924)	\N	\N	\N	\N	\N	\N	f	f
16801	9061	Split Endz	\N	0	2012-05-15 20:57:13.252186+02	\N	Split Endz	\N	\N	\N	\N	\N	\N	f	f
23184	24245	Thomaso Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Thomaso Albinoni	\N	\N	\N	\N	\N	\N	f	f
19658	1	Varies	\N	0	2012-05-15 20:57:13.252186+02	\N	Varies	\N	\N	\N	\N	\N	\N	f	f
113977	1	various artiste	\N	0	2013-06-13 09:27:35.473472+02	3	various artiste	\N	\N	\N	\N	\N	\N	f	f
92144	1587	ジープ・パープル	\N	0	2012-05-15 20:57:13.252186+02	\N	ジープ・パープル	\N	\N	\N	\N	\N	\N	f	f
101966	73502	Georgs Frīdrihs Hendelis	\N	0	2012-05-15 20:57:13.252186+02	\N	Georgs Frīdrihs Hendelis	\N	\N	\N	\N	\N	\N	f	f
6624	1	Vari	\N	0	2012-05-15 20:57:13.252186+02	\N	Vari	\N	\N	\N	\N	\N	\N	f	f
1834	1	Various Artistes	\N	0	2013-06-13 09:20:55.067661+02	3	Various Artistes	\N	\N	\N	\N	\N	\N	f	f
9935	11285	W. A. Mozart	\N	0	2013-04-01 15:22:33.560714+02	3	W. A. Mozart	\N	\N	\N	\N	\N	\N	f	f
12326	1587	Deep Purple and The Royal Philharmonic Orchestra	\N	0	2012-05-15 20:57:13.252186+02	\N	Deep Purple and The Royal Philharmonic Orchestra	\N	\N	\N	\N	\N	\N	f	f
23624	1587	深い紫	\N	0	2012-05-15 20:57:13.252186+02	\N	深い紫	\N	\N	\N	\N	\N	\N	f	f
16325	1	Diversen	de	0	2013-09-18 22:03:10.347486+02	\N	Diversen	\N	\N	\N	\N	\N	\N	f	f
3903	37472	Gluck, Christoph Willibald	\N	0	2012-05-15 20:57:13.252186+02	\N	Gluck, Christoph Willibald	\N	\N	\N	\N	\N	\N	f	f
17910	1	Various Talented Artists	en	0	2013-09-18 22:03:10.347486+02	\N	Various Talented Artists	\N	\N	\N	\N	\N	\N	f	f
7550	73502	Handel, G. F.	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel, G. F.	\N	\N	\N	\N	\N	\N	f	f
1407	73502	Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel	\N	\N	\N	\N	\N	\N	f	f
12574	1	Artistas Varios	\N	0	2012-05-15 20:57:13.252186+02	\N	Artistas Varios	\N	\N	\N	\N	\N	\N	f	f
28748	299	Mac Fleetwood	\N	0	2012-05-15 20:57:13.252186+02	\N	Mac Fleetwood	\N	\N	\N	\N	\N	\N	f	f
60696	73502	Handel and Messiah	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel and Messiah	\N	\N	\N	\N	\N	\N	f	f
1406	73502	Handel, Georg Friedrich	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel, Georg Friedrich	\N	\N	\N	\N	\N	\N	f	f
21760	122653	Tchaikovsy	\N	0	2013-07-29 23:19:12.415012+02	3	Tchaikovsy	\N	\N	\N	\N	\N	\N	f	f
62105	32474	Johann Christoph Pachelbel	\N	0	2012-05-15 20:57:13.252186+02	\N	Johann Christoph Pachelbel	\N	\N	\N	\N	\N	\N	f	f
23565	1587	Dee Purple	\N	0	2012-05-15 20:57:13.252186+02	\N	Dee Purple	\N	\N	\N	\N	\N	\N	f	f
49463	31044	Jim Barnes	\N	0	2012-05-15 20:57:13.252186+02	\N	Jim Barnes	\N	\N	\N	\N	\N	\N	f	f
73743	455460	Sixx AM	\N	0	2012-05-15 20:57:13.252186+02	\N	Sixx AM	\N	\N	\N	\N	\N	\N	f	f
23635	182	アリス・クーパー	\N	0	2012-05-15 20:57:13.252186+02	\N	アリス・クーパー	\N	\N	\N	\N	\N	\N	f	f
86277	1965	プラシーボ	\N	0	2012-05-15 20:57:13.252186+02	\N	プラシーボ	\N	\N	\N	\N	\N	\N	f	f
29218	31429	Suzy Quatro	\N	0	2012-05-15 20:57:13.252186+02	\N	Suzy Quatro	\N	\N	\N	\N	\N	\N	f	f
98493	1587	Paice, Blackmore ,Gillan, Glover, Lord	\N	0	2012-05-15 20:57:13.252186+02	\N	Paice, Blackmore ,Gillan, Glover, Lord	\N	\N	\N	\N	\N	\N	f	f
10841	1	Artistes variés	fr	0	2013-06-20 10:00:21.165009+02	\N	Artistes variés	\N	\N	\N	\N	\N	\N	f	f
19044	1	Bande originale	fr	0	2013-06-19 01:00:54.006197+02	\N	Bande originale	\N	\N	\N	\N	\N	\N	f	f
29610	122653	Tchaikivsky	\N	0	2013-07-29 22:52:07.070401+02	3	Tchaikivsky	\N	\N	\N	\N	\N	\N	f	f
17007	10342	포레	\N	0	2012-05-15 20:57:13.252186+02	\N	포레	\N	\N	\N	\N	\N	\N	f	f
906	1434	Cars	\N	0	2012-05-15 20:57:13.252186+02	\N	Cars	\N	\N	\N	\N	\N	\N	f	f
8318	73502	George Frideric Händel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frideric Händel	\N	\N	\N	\N	\N	\N	f	f
14818	73502	Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	Haendel	\N	\N	\N	\N	\N	\N	f	f
48591	189237	Kenny Wayne Shepard	\N	0	2012-05-15 20:57:13.252186+02	\N	Kenny Wayne Shepard	\N	\N	\N	\N	\N	\N	f	f
15732	1	Vrious Artists	\N	0	2012-07-03 00:24:22.458046+02	3	Vrious Artists	\N	\N	\N	\N	\N	\N	f	f
25297	73502	George Friedrich Händel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Friedrich Händel	\N	\N	\N	\N	\N	\N	f	f
23315	31429	Suzy Quattro	\N	0	2012-05-15 20:57:13.252186+02	\N	Suzy Quattro	\N	\N	\N	\N	\N	\N	f	f
4042	37472	Christph Willibald Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christph Willibald Gluck	\N	\N	\N	\N	\N	\N	f	f
4016	1	Vários artistas	pt	0	2012-10-07 14:00:18.810635+02	\N	Vários artistas	\N	\N	\N	\N	\N	\N	t	f
15542	73502	George Frederic Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frederic Handel	\N	\N	\N	\N	\N	\N	f	f
94396	122653	Illich	\N	0	2013-07-29 23:03:03.05596+02	3	Illich	\N	\N	\N	\N	\N	\N	f	f
15603	37472	Glück	\N	0	2012-05-15 20:57:13.252186+02	\N	Glück	\N	\N	\N	\N	\N	\N	f	f
49520	44563	Boccerini	\N	0	2012-05-15 20:57:13.252186+02	\N	Boccerini	\N	\N	\N	\N	\N	\N	f	f
95872	632902	Anna Lotta Larsson	\N	0	2012-05-15 20:57:13.252186+02	\N	Anna Lotta Larsson	\N	\N	\N	\N	\N	\N	f	f
11303	182	Vincent Furnier	\N	0	2012-05-15 20:57:13.252186+02	\N	Vincent Furnier	\N	\N	\N	\N	\N	\N	f	f
85762	73502	George Frideric Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frideric Haendel	\N	\N	\N	\N	\N	\N	f	f
12467	24245	T. Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	T. Albinoni	\N	\N	\N	\N	\N	\N	f	f
5563	2017	Pat Benetar	\N	0	2012-05-15 20:57:13.252186+02	\N	Pat Benetar	\N	\N	\N	\N	\N	\N	f	f
18964	10342	Fauri	\N	0	2012-05-15 20:57:13.252186+02	\N	Fauri	\N	\N	\N	\N	\N	\N	f	f
25411	32474	Johann Pachelbel (1653-1706)	\N	0	2012-05-15 20:57:13.252186+02	\N	Johann Pachelbel (1653-1706)	\N	\N	\N	\N	\N	\N	f	f
26616	11285	ヴォルフガンク・アマデウス・モーツァルト	\N	0	2012-05-15 20:57:13.252186+02	\N	ヴォルフガンク・アマデウス・モーツァルト	\N	\N	\N	\N	\N	\N	f	f
48593	189237	KWSB	\N	0	2012-05-15 20:57:13.252186+02	\N	KWSB	\N	\N	\N	\N	\N	\N	f	f
23284	1587	Dep Purple	\N	0	2012-05-15 20:57:13.252186+02	\N	Dep Purple	\N	\N	\N	\N	\N	\N	f	f
14975	14549	Thin Lizzie	\N	0	2012-05-15 20:57:13.252186+02	\N	Thin Lizzie	\N	\N	\N	\N	\N	\N	f	f
20675	122653	Tchaikowsky	\N	0	2013-07-29 23:20:06.71196+02	3	Tchaikowsky	\N	\N	\N	\N	\N	\N	f	f
20627	1	Comp.	fr	0	2013-06-19 01:00:54.006197+02	\N	Comp.	\N	\N	\N	\N	\N	\N	f	f
64474	11285	모짜르트	\N	0	2012-05-15 20:57:13.252186+02	\N	모짜르트	\N	\N	\N	\N	\N	\N	f	f
36785	122653	Illyich	\N	0	2013-07-29 21:26:43.603375+02	3	Illyich	\N	\N	\N	\N	\N	\N	f	f
3828	31429	Suzie Quatro	\N	0	2012-05-15 20:57:13.252186+02	\N	Suzie Quatro	\N	\N	\N	\N	\N	\N	f	f
23293	182	Alice Coper	\N	0	2012-05-15 20:57:13.252186+02	\N	Alice Coper	\N	\N	\N	\N	\N	\N	f	f
14070	31044	JIMMY BARNS	\N	0	2012-05-15 20:57:13.252186+02	\N	JIMMY BARNS	\N	\N	\N	\N	\N	\N	f	f
100059	37472	Christopher Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christopher Gluck	\N	\N	\N	\N	\N	\N	f	f
19554	1	div.	fr	0	2013-06-19 01:00:54.006197+02	\N	div.	\N	\N	\N	\N	\N	\N	f	f
16088	35460	The Angles	\N	0	2012-05-15 20:57:13.252186+02	\N	The Angles	\N	\N	\N	\N	\N	\N	f	f
14786	73502	G.F. Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	G.F. Haendel	\N	\N	\N	\N	\N	\N	f	f
44148	1	Blandat	sv	0	2012-06-12 12:12:49.001008+02	\N	Blandat	\N	\N	\N	\N	\N	\N	t	f
11240	73502	Georg Friedrich Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	Georg Friedrich Haendel	\N	\N	\N	\N	\N	\N	f	f
12172	11285	Wolfgang A. Mozart	\N	0	2013-04-01 15:27:42.671847+02	3	Wolfgang A. Mozart	\N	\N	\N	\N	\N	\N	f	f
1141	1133	The Cult - Labbatt Tracks	\N	0	2012-05-15 20:57:13.252186+02	\N	The Cult - Labbatt Tracks	\N	\N	\N	\N	\N	\N	f	f
94482	1	AAVV	it	0	2013-06-19 01:00:54.006197+02	\N	AAVV	\N	\N	\N	\N	\N	\N	f	f
8967	1	Assorted Artisits	\N	0	2013-06-13 09:17:53.29966+02	3	Assorted Artisits	\N	\N	\N	\N	\N	\N	f	f
64521	32474	파헬벨	\N	0	2012-05-15 20:57:13.252186+02	\N	파헬벨	\N	\N	\N	\N	\N	\N	f	f
17775	1	Varied	en	0	2013-09-18 22:03:10.347486+02	\N	Varied	\N	\N	\N	\N	\N	\N	f	f
41702	14549	Phil Lynott & Thin Lizzy	\N	0	2012-05-15 20:57:13.252186+02	\N	Phil Lynott & Thin Lizzy	\N	\N	\N	\N	\N	\N	f	f
92143	1587	ジープパープル	\N	0	2012-05-15 20:57:13.252186+02	\N	ジープパープル	\N	\N	\N	\N	\N	\N	f	f
10652	1	diverse componisten	\N	0	2012-05-15 20:57:13.252186+02	\N	diverse componisten	\N	\N	\N	\N	\N	\N	f	f
9560	2327	Johann S. Bach	\N	0	2013-03-31 19:49:50.34934+02	3	Johann S. Bach	\N	\N	\N	\N	\N	\N	f	f
102738	122653	Tchikovsky	\N	0	2013-07-29 23:22:20.472507+02	3	Tchikovsky	\N	\N	\N	\N	\N	\N	f	f
23282	1587	DP	\N	0	2012-05-15 20:57:13.252186+02	\N	DP	\N	\N	\N	\N	\N	\N	f	f
100404	1	Casa Musica	\N	0	2012-05-15 20:57:13.252186+02	\N	Casa Musica	\N	\N	\N	\N	\N	\N	f	f
118231	1	Eri esittäjiä	fi	0	2012-06-12 12:12:49.001008+02	\N	Eri esittäjiä	\N	\N	\N	\N	\N	\N	t	f
23095	32474	J. Pachelbel	\N	0	2012-05-15 20:57:13.252186+02	\N	J. Pachelbel	\N	\N	\N	\N	\N	\N	f	f
12746	73502	George Frederich Haendel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frederich Haendel	\N	\N	\N	\N	\N	\N	f	f
17788	37472	C. W. Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	C. W. Gluck	\N	\N	\N	\N	\N	\N	f	f
314	9973	Hooters	\N	0	2012-05-15 20:57:13.252186+02	\N	Hooters	\N	\N	\N	\N	\N	\N	f	f
18369	1	varias	\N	0	2012-05-15 20:57:13.252186+02	\N	varias	\N	\N	\N	\N	\N	\N	f	f
6984	73502	G.F. Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	G.F. Handel	\N	\N	\N	\N	\N	\N	f	f
48961	632902	Anna-Lotta Larsson	\N	0	2012-05-15 20:57:13.252186+02	\N	Anna-Lotta Larsson	\N	\N	\N	\N	\N	\N	f	f
1003	1133	Cult, The	\N	0	2012-05-15 20:57:13.252186+02	\N	Cult, The	\N	\N	\N	\N	\N	\N	f	f
10872	35460	Angels	\N	0	2012-05-15 20:57:13.252186+02	\N	Angels	\N	\N	\N	\N	\N	\N	f	f
6095	1	A.A.V.V.	it	0	2013-06-19 01:00:54.006197+02	\N	A.A.V.V.	\N	\N	\N	\N	\N	\N	f	f
100373	2327	J.S.Bash	\N	0	2013-03-31 20:00:11.920586+02	3	J.S.Bash	\N	\N	\N	\N	\N	\N	f	f
86187	2017	Pat Bernatar	\N	0	2012-05-15 20:57:13.252186+02	\N	Pat Bernatar	\N	\N	\N	\N	\N	\N	f	f
71325	11285	WA Mozart	\N	0	2013-04-01 15:22:25.531803+02	3	WA Mozart	\N	\N	\N	\N	\N	\N	f	f
52590	122653	Llyich	\N	0	2013-07-29 21:40:18.732442+02	3	Llyich	\N	\N	\N	\N	\N	\N	f	f
110802	122653	Ilitsch	\N	0	2013-07-29 20:45:33.744339+02	3	Ilitsch	\N	\N	\N	\N	\N	\N	f	f
42947	32474	Pachabel	\N	0	2012-05-15 20:57:13.252186+02	\N	Pachabel	\N	\N	\N	\N	\N	\N	f	f
28059	122653	Tchaikovskys	\N	0	2013-07-29 23:18:46.045741+02	3	Tchaikovskys	\N	\N	\N	\N	\N	\N	f	f
5666	21724	Nugent Ted	\N	0	2012-05-15 20:57:13.252186+02	\N	Nugent Ted	\N	\N	\N	\N	\N	\N	f	f
81721	73502	ヘンデル	\N	0	2012-05-15 20:57:13.252186+02	\N	ヘンデル	\N	\N	\N	\N	\N	\N	f	f
9561	2327	Johann Sebstian Bach	\N	0	2013-03-31 19:49:59.865462+02	3	Johann Sebstian Bach	\N	\N	\N	\N	\N	\N	f	f
70900	985	B.Idol	\N	0	2012-05-15 20:57:13.252186+02	\N	B.Idol	\N	\N	\N	\N	\N	\N	f	f
14654	1	Various DHM Artists	\N	0	2013-06-13 09:27:53.178792+02	3	Various DHM Artists	\N	\N	\N	\N	\N	\N	f	f
4370	10342	Faure	\N	0	2012-05-15 20:57:13.252186+02	\N	Faure	\N	\N	\N	\N	\N	\N	f	f
92146	1587	ディープ・パープル	\N	0	2012-05-15 20:57:13.252186+02	\N	ディープ・パープル	\N	\N	\N	\N	\N	\N	f	f
7629	95306	Georgia Satellites	\N	0	2012-05-15 20:57:13.252186+02	\N	Georgia Satellites	\N	\N	\N	\N	\N	\N	f	f
15737	1	V/a	en	0	2013-09-18 22:03:10.347486+02	\N	V/a	\N	\N	\N	\N	\N	\N	f	f
110810	1	Sampler	en	0	2013-09-18 22:03:10.347486+02	\N	Sampler	\N	\N	\N	\N	\N	\N	f	f
23286	1587	Dep Purpel	\N	0	2012-05-15 20:57:13.252186+02	\N	Dep Purpel	\N	\N	\N	\N	\N	\N	f	f
9819	122653	Ilyitch	\N	0	2013-07-29 21:32:14.21515+02	3	Ilyitch	\N	\N	\N	\N	\N	\N	f	f
25969	24245	Albimoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Albimoni	\N	\N	\N	\N	\N	\N	f	f
20568	10342	G. Fauré	\N	0	2012-05-15 20:57:13.252186+02	\N	G. Fauré	\N	\N	\N	\N	\N	\N	f	f
45944	2327	J.S. バッハ	\N	0	2012-05-15 20:57:13.252186+02	\N	J.S. バッハ	\N	\N	\N	\N	\N	\N	f	f
27824	73502	Georg Fredrich Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	Georg Fredrich Handel	\N	\N	\N	\N	\N	\N	f	f
10877	1	Various (not original artists)	en	0	2013-09-18 22:03:10.347486+02	\N	Various (not original artists)	\N	\N	\N	\N	\N	\N	f	f
78605	44563	Luigi Bocccherini	\N	0	2012-05-15 20:57:13.252186+02	\N	Luigi Bocccherini	\N	\N	\N	\N	\N	\N	f	f
72980	122653	Illitch	\N	0	2013-07-29 21:53:32.371874+02	3	Illitch	\N	\N	\N	\N	\N	\N	f	f
5243	73502	George Friedrich Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Friedrich Handel	\N	\N	\N	\N	\N	\N	f	f
5239	1	Various	en	0	2013-09-18 22:03:10.347486+02	\N	Various	\N	\N	\N	\N	\N	\N	f	f
8997	73502	G. F. Händel	\N	0	2012-05-15 20:57:13.252186+02	\N	G. F. Händel	\N	\N	\N	\N	\N	\N	f	f
45972	146720	Killers, The	\N	0	2012-05-15 20:57:13.252186+02	\N	Killers, The	\N	\N	\N	\N	\N	\N	f	f
36892	1	Various Artitsts	\N	0	2012-06-30 10:45:44.031652+02	3	Various Artitsts	\N	\N	\N	\N	\N	\N	f	f
9824	73502	Handel, George Frideric	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel, George Frideric	\N	\N	\N	\N	\N	\N	f	f
24284	35460	Angel City	\N	0	2012-05-15 20:57:13.252186+02	\N	Angel City	\N	\N	\N	\N	\N	\N	f	f
86754	35460	Angels From Angel City	\N	0	2012-05-15 20:57:13.252186+02	\N	Angels From Angel City	\N	\N	\N	\N	\N	\N	f	f
110710	1	Variois	\N	0	2012-05-15 20:57:13.252186+02	\N	Variois	\N	\N	\N	\N	\N	\N	f	f
10886	1	Compilaciones	\N	0	2012-05-15 20:57:13.252186+02	\N	Compilaciones	\N	\N	\N	\N	\N	\N	f	f
9689	11783	Queens Of The Stoneage	\N	0	2012-05-15 20:57:13.252186+02	\N	Queens Of The Stoneage	\N	\N	\N	\N	\N	\N	f	f
6709	37472	Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Gluck	\N	\N	\N	\N	\N	\N	f	f
22043	310	B. Ferry	\N	0	2012-05-15 20:57:13.252186+02	\N	B. Ferry	\N	\N	\N	\N	\N	\N	f	f
9511	73502	Händel, Georg Friedrich	\N	0	2012-05-15 20:57:13.252186+02	\N	Händel, Georg Friedrich	\N	\N	\N	\N	\N	\N	f	f
8283	11285	Wolfgang Armadeus Mozart	\N	0	2013-04-01 15:27:22.845207+02	3	Wolfgang Armadeus Mozart	\N	\N	\N	\N	\N	\N	f	f
106004	69475	Purpel Schulz	\N	0	2012-05-15 20:57:13.252186+02	\N	Purpel Schulz	\N	\N	\N	\N	\N	\N	f	f
9015	2735	Z Z Top	\N	0	2012-05-15 20:57:13.252186+02	\N	Z Z Top	\N	\N	\N	\N	\N	\N	f	f
8671	37472	Gluck, Christoph W.	\N	0	2012-05-15 20:57:13.252186+02	\N	Gluck, Christoph W.	\N	\N	\N	\N	\N	\N	f	f
26061	24245	Albioni	\N	0	2012-05-15 20:57:13.252186+02	\N	Albioni	\N	\N	\N	\N	\N	\N	f	f
2516	73502	G. F. Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	G. F. Handel	\N	\N	\N	\N	\N	\N	f	f
2284	299	Flettwood Mac	\N	0	2012-05-15 20:57:13.252186+02	\N	Flettwood Mac	\N	\N	\N	\N	\N	\N	f	f
21680	122653	Tchailovisky	\N	0	2013-07-29 23:20:34.230206+02	3	Tchailovisky	\N	\N	\N	\N	\N	\N	f	f
9223	1	V. Artist	en	0	2013-09-18 22:03:10.347486+02	\N	V. Artist	\N	\N	\N	\N	\N	\N	f	f
7700	73502	George Frederick Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Frederick Handel	\N	\N	\N	\N	\N	\N	f	f
43914	122653	Èajkovskij	\N	0	2013-07-29 20:17:01.951085+02	3	Èajkovskij	\N	\N	\N	\N	\N	\N	f	f
50455	24245	Albionon	\N	0	2012-05-15 20:57:13.252186+02	\N	Albionon	\N	\N	\N	\N	\N	\N	f	f
8202	11783	QOTSA	\N	0	2012-05-15 20:57:13.252186+02	\N	QOTSA	\N	\N	\N	\N	\N	\N	f	f
23285	1587	Deep Purpel	\N	0	2012-05-15 20:57:13.252186+02	\N	Deep Purpel	\N	\N	\N	\N	\N	\N	f	f
48592	189237	KWS	\N	0	2012-05-15 20:57:13.252186+02	\N	KWS	\N	\N	\N	\N	\N	\N	f	f
24496	11285	Mosart	\N	0	2013-04-01 15:22:16.637794+02	3	Mosart	\N	\N	\N	\N	\N	\N	f	f
13737	2327	Bach (1685-1750)	\N	0	2013-05-06 17:54:41.156713+02	3	Bach (1685-1750)	\N	\N	\N	\N	\N	\N	f	f
4196	73502	Handel, George Friedrich (1685 - 1759)	\N	0	2012-05-15 20:57:13.252186+02	\N	Handel, George Friedrich (1685 - 1759)	\N	\N	\N	\N	\N	\N	f	f
25449	73502	George Friederich Handel	\N	0	2012-05-15 20:57:13.252186+02	\N	George Friederich Handel	\N	\N	\N	\N	\N	\N	f	f
8244	1	Vari Artisti	\N	0	2012-05-15 20:57:13.252186+02	\N	Vari Artisti	\N	\N	\N	\N	\N	\N	f	f
14302	11285	モーツァルト	\N	0	2012-05-15 20:57:13.252186+02	\N	モーツァルト	\N	\N	\N	\N	\N	\N	f	f
4915	310	Brian Ferry	\N	0	2012-05-15 20:57:13.252186+02	\N	Brian Ferry	\N	\N	\N	\N	\N	\N	f	f
54327	9061	Split Ends	\N	0	2012-05-15 20:57:13.252186+02	\N	Split Ends	\N	\N	\N	\N	\N	\N	f	f
616	299	Fleetwood Mack	\N	0	2012-05-15 20:57:13.252186+02	\N	Fleetwood Mack	\N	\N	\N	\N	\N	\N	f	f
12925	9235	Living End	\N	0	2012-05-15 20:57:13.252186+02	\N	Living End	\N	\N	\N	\N	\N	\N	f	f
25404	37472	Christop Willibald Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christop Willibald Gluck	\N	\N	\N	\N	\N	\N	f	f
25706	37472	Christoph Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Christoph Gluck	\N	\N	\N	\N	\N	\N	f	f
11535	11285	Wolfgang Amadues Mozart	\N	0	2013-04-01 15:27:41.611527+02	3	Wolfgang Amadues Mozart	\N	\N	\N	\N	\N	\N	f	f
73053	2327	Себастьян Бах	\N	0	2012-05-15 20:57:13.252186+02	\N	Себастьян Бах	\N	\N	\N	\N	\N	\N	f	f
10092	32474	Pachebel	\N	0	2012-05-15 20:57:13.252186+02	\N	Pachebel	\N	\N	\N	\N	\N	\N	f	f
13666	2327	J. S. Bacj	\N	0	2013-03-31 20:00:14.623877+02	3	J. S. Bacj	\N	\N	\N	\N	\N	\N	f	f
1214	1	Variées	fr	0	2013-06-19 01:00:54.006197+02	\N	Variées	\N	\N	\N	\N	\N	\N	f	f
23925	44563	Bochherini	\N	0	2012-05-15 20:57:13.252186+02	\N	Bochherini	\N	\N	\N	\N	\N	\N	f	f
11462	1	Divers	fr	0	2013-06-19 01:00:54.006197+02	\N	Divers	\N	\N	\N	\N	\N	\N	f	f
5725	2327	Johann Sabastian Bach	\N	0	2013-03-31 19:49:51.210246+02	3	Johann Sabastian Bach	\N	\N	\N	\N	\N	\N	f	f
20570	37472	Chr.W. van Gluck	\N	0	2012-05-15 20:57:13.252186+02	\N	Chr.W. van Gluck	\N	\N	\N	\N	\N	\N	f	f
64486	44563	루이지 보케리니	\N	0	2012-05-15 20:57:13.252186+02	\N	루이지 보케리니	\N	\N	\N	\N	\N	\N	f	f
4677	1	Varios artistas	es	0	2012-06-12 12:12:49.001008+02	\N	Varios artistas	\N	\N	\N	\N	\N	\N	t	f
23448	24245	Tommaso Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Tommaso Albinoni	\N	\N	\N	\N	\N	\N	f	f
9613	1	Various Items	en	0	2013-09-18 22:03:10.347486+02	\N	Various Items	\N	\N	\N	\N	\N	\N	f	f
110936	24245	Tomaso Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Tomaso Albinoni	\N	\N	\N	\N	\N	\N	f	f
111148	122653	Tchakovsky	\N	0	2013-07-29 23:21:06.242867+02	3	Tchakovsky	\N	\N	\N	\N	\N	\N	f	f
118397	24245	Tomas Albinoni	\N	0	2012-05-15 20:57:13.252186+02	\N	Tomas Albinoni	\N	\N	\N	\N	\N	\N	f	f
113945	1	Erinevad esitajad	et	0	2012-06-12 12:12:49.001008+02	\N	Erinevad esitajad	\N	\N	\N	\N	\N	\N	t	f
115030	1	TVサントラ	ja	0	2013-09-18 22:03:10.347486+02	\N	TVサントラ	\N	\N	\N	\N	\N	\N	f	f
113947	1	Erinevad	et	0	2013-09-18 22:03:10.347486+02	\N	Erinevad	\N	\N	\N	\N	\N	\N	f	f
116292	1	Çeşitli sanatçılar	tr	0	2013-06-20 10:00:13.051659+02	\N	Çeşitli sanatçılar	\N	\N	\N	\N	\N	\N	f	f
117227	1	Różni artyści	pl	0	2013-09-18 22:03:10.347486+02	\N	Różni artyści	\N	\N	\N	\N	\N	\N	f	f
117226	1	Różni wykonawcy	pl	0	2012-06-12 12:12:49.001008+02	\N	Różni wykonawcy	\N	\N	\N	\N	\N	\N	t	f
117228	1	Różni	\N	0	2012-05-15 20:57:13.252186+02	\N	Różni	\N	\N	\N	\N	\N	\N	f	f
117476	182	Alica Cooper	\N	0	2012-05-15 20:57:13.252186+02	\N	Alica Cooper	\N	\N	\N	\N	\N	\N	f	f
117566	1	Varias Artistas	\N	0	2012-05-15 20:57:13.252186+02	\N	Varias Artistas	\N	\N	\N	\N	\N	\N	f	f
117870	1	Wszyscy artysci	pl	0	2013-09-18 22:03:10.347486+02	\N	Wszyscy artysci	\N	\N	\N	\N	\N	\N	f	f
4648	2327	Johann Sebastion Bach	\N	0	2013-03-31 19:46:25.913695+02	3	Johann Sebastion Bach	\N	\N	\N	\N	\N	\N	f	f
13721	2327	Johann Sebasitan Bach	\N	0	2013-03-31 19:49:56.928151+02	3	Johann Sebasitan Bach	\N	\N	\N	\N	\N	\N	f	f
119170	2327	Johann Sebastian Bach	fr	0	2012-06-19 02:59:34.504524+02	1	Bach, Johann Sebastian	\N	\N	\N	\N	\N	\N	t	f
119172	2327	ヨハン・ゼバスティアン・バッハ	ja	0	2012-06-12 12:12:49.001008+02	\N	ヨハン・ゼバスティアン・バッハ	\N	\N	\N	\N	\N	\N	t	f
134992	73502	Georg Friedrich Händel	de	0	2013-06-17 13:44:41.611269+02	2	Händel, Georg Friedrich	1685	2	23	1727	1	22	f	t
\.


--
-- Data for Name: artist_alias_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_alias_type (id, name) FROM stdin;
1	Artist name
2	Legal name
3	Search hint
\.


--
-- Data for Name: artist_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_annotation (artist, annotation) FROM stdin;
146720	263
1965	109
446	210
1434	3383
310	3528
9235	3692
49352	3938
11783	4116
1434	5067
146720	5078
146720	5408
11783	5883
446	5903
49352	5920
2632	5949
2735	6884
1965	6994
2632	6978
9235	7335
1091	14317
31429	15309
985	16193
122653	24366
146720	29243
189237	35399
2735	35419
310	48551
38831	52118
1587	54206
1587	58940
1587	58942
1587	58943
1587	58944
11285	74853
1111	76372
1111	76613
182	87414
182	87452
182	87413
182	87453
182	87484
182	111915
182	111916
44563	114922
11285	116738
11285	116739
189237	320
189237	35398
189237	117846
189237	117891
11285	125218
11285	125219
1763	126106
1763	126107
1763	126108
1763	126140
1763	126141
2327	130731
2327	130732
2327	542040
2327	542052
1763	137753
2327	542067
11285	143922
2327	542076
11285	144866
1587	145444
1587	145445
73502	154002
2327	542077
11285	156978
11285	156987
11285	160779
35460	162280
35460	162261
2327	163287
2327	163509
2327	163510
2327	163450
2327	163508
2327	163511
2327	163512
2327	163514
2327	163520
2327	163883
2327	542080
2327	542081
10342	171810
2327	171887
2327	175164
1965	182885
2327	182960
73502	182421
2327	183730
1	455300
2327	542084
2327	542086
1434	462580
44563	466186
35460	470838
2327	474217
32474	512970
146720	519173
2327	539380
2327	539381
73502	547961
11285	547963
11285	547964
11285	547965
11285	547966
11285	547967
11285	547968
11285	547969
11285	547971
11285	547972
11285	547974
11285	547975
11285	548122
2327	539905
2327	539906
\.


--
-- Data for Name: artist_credit; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_credit (id, name, artist_count, ref_count, created) FROM stdin;
455460	Sixx:A.M.	1	130	2011-05-16 18:32:11.963929+02
10342	Gabriel Fauré	1	6158	2011-05-16 18:32:11.963929+02
1092	Cracker	1	897	2011-05-16 18:32:11.963929+02
310	Bryan Ferry	1	1735	2011-05-16 18:32:11.963929+02
23642	Weta	1	70	2011-05-16 18:32:11.963929+02
1587	Deep Purple	1	10059	2011-05-16 18:32:11.963929+02
1120	Living Colour	1	1238	2011-05-16 18:32:11.963929+02
9973	The Hooters	1	1088	2011-05-16 18:32:11.963929+02
24245	Tomaso Giovanni Albinoni	1	3061	2011-05-16 18:32:11.963929+02
363984	These Four Walls	1	82	2011-05-16 18:32:11.963929+02
95306	The Georgia Satellites	1	380	2011-05-16 18:32:11.963929+02
32474	Johann Pachelbel	1	2100	2011-05-16 18:32:11.963929+02
9061	Split Enz	1	1298	2011-05-16 18:32:11.963929+02
182	Alice Cooper	1	5279	2011-05-16 18:32:11.963929+02
73502	Georg Friedrich Händel	1	47919	2011-05-16 18:32:11.963929+02
2017	Pat Benatar	1	2465	2011-05-16 18:32:11.963929+02
632902	Anna Larsson	1	166	2011-05-16 18:32:11.963929+02
37472	Christoph Willibald Gluck	1	3609	2011-05-16 18:32:11.963929+02
620257	We All Shoot Heroin	1	112	2011-05-16 18:32:11.963929+02
56851	Dragon	1	927	2011-05-16 18:32:11.963929+02
57154	Zed	1	131	2011-05-16 18:32:11.963929+02
346598	Ra	1	82	2011-05-16 18:32:11.963929+02
1091	Collective Soul	1	1117	2011-05-16 18:32:11.963929+02
420346	Елена Ваенга	1	146	2011-05-16 18:32:11.963929+02
126976	The Passage	1	447	2011-05-16 18:32:11.963929+02
299	Fleetwood Mac	1	7157	2011-05-16 18:32:11.963929+02
1133	The Cult	1	2298	2011-05-16 18:32:11.963929+02
49352	Cold Chisel	1	1468	2011-05-16 18:32:11.963929+02
438599	Airbourne	1	381	2011-05-16 18:32:11.963929+02
146720	The Killers	1	2067	2011-05-16 18:32:11.963929+02
44563	Luigi Boccherini	1	3424	2011-05-16 18:32:11.963929+02
446	Weezer	1	2460	2011-05-16 18:32:11.963929+02
570716	Feel So Bad	1	142	2011-05-16 18:32:11.963929+02
218850	Magna-Fi	1	56	2011-05-16 18:32:11.963929+02
11285	Wolfgang Amadeus Mozart	1	98664	2011-05-16 18:32:11.963929+02
31044	Jimmy Barnes	1	860	2011-05-16 18:32:11.963929+02
1763	3 Doors Down	1	1446	2011-05-16 18:32:11.963929+02
2327	Johann Sebastian Bach	1	145599	2011-05-16 18:32:11.963929+02
1111	Soundgarden	1	2494	2011-05-16 18:32:11.963929+02
189237	Kenny Wayne Shepherd	1	419	2011-05-16 18:32:11.963929+02
37430	The Vines	1	672	2011-05-16 18:32:11.963929+02
31429	Suzi Quatro	1	1994	2011-05-16 18:32:11.963929+02
1052069	The Jordan Luck Band	1	2	2012-09-17 07:07:18.850362+02
14549	Thin Lizzy	1	3468	2011-05-16 18:32:11.963929+02
1	Various Artists	1	239728	2011-05-16 18:32:11.963929+02
9235	The Living End	1	1158	2011-05-16 18:32:11.963929+02
1965	Placebo	1	3502	2011-05-16 18:32:11.963929+02
69475	Purple Schulz	1	362	2011-05-16 18:32:11.963929+02
11783	Queens of the Stone Age	1	2079	2011-05-16 18:32:11.963929+02
21724	Ted Nugent	1	1515	2011-05-16 18:32:11.963929+02
2632	Men at Work	1	1354	2011-05-16 18:32:11.963929+02
122653	Пётр Ильич Чайковский	1	29281	2011-05-16 18:32:11.963929+02
1436	Foreigner	1	3132	2011-05-16 18:32:11.963929+02
1051691	Billy Idol with Generation X	2	5	2012-09-16 16:42:40.759519+02
38831	Eskimo Joe	1	497	2011-05-16 18:32:11.963929+02
35460	The Angels	1	1284	2011-05-16 18:32:11.963929+02
1434	The Cars	1	1279	2011-05-16 18:32:11.963929+02
2735	ZZ Top	1	3219	2011-05-16 18:32:11.963929+02
\.


--
-- Data for Name: artist_credit_name; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_credit_name (artist_credit, "position", artist, name, join_phrase) FROM stdin;
455460	0	455460	Sixx:A.M.	
189237	0	189237	Kenny Wayne Shepherd	
363984	0	363984	These Four Walls	
126976	0	126976	The Passage	
37430	0	37430	The Vines	
31429	0	31429	Suzi Quatro	
95306	0	95306	The Georgia Satellites	
32474	0	32474	Johann Pachelbel	
9061	0	9061	Split Enz	
299	0	299	Fleetwood Mac	
1052069	0	927645	The Jordan Luck Band	
10342	0	10342	Gabriel Fauré	
182	0	182	Alice Cooper	
1092	0	1092	Cracker	
310	0	310	Bryan Ferry	
1133	0	1133	The Cult	
73502	0	73502	Georg Friedrich Händel	
14549	0	14549	Thin Lizzy	
49352	0	49352	Cold Chisel	
1	0	1	Various Artists	
23642	0	23642	Weta	
438599	0	438599	Airbourne	
146720	0	146720	The Killers	
9235	0	9235	The Living End	
2017	0	2017	Pat Benatar	
632902	0	632902	Anna Larsson	
44563	0	44563	Luigi Boccherini	
37472	0	37472	Christoph Willibald Gluck	
1587	0	1587	Deep Purple	
446	0	446	Weezer	
1120	0	1120	Living Colour	
570716	0	570716	Feel So Bad	
620257	0	620257	We All Shoot Heroin	
56851	0	56851	Dragon	
9973	0	9973	The Hooters	
1965	0	1965	Placebo	
218850	0	218850	Magna-Fi	
69475	0	69475	Purple Schulz	
11783	0	11783	Queens of the Stone Age	
57154	0	57154	Zed	
11285	0	11285	Wolfgang Amadeus Mozart	
21724	0	21724	Ted Nugent	
346598	0	346598	Ra	
31044	0	31044	Jimmy Barnes	
1763	0	1763	3 Doors Down	
2632	0	2632	Men at Work	
122653	0	122653	Пётр Ильич Чайковский	
1436	0	1436	Foreigner	
1051691	0	985	Billy Idol	 with 
1051691	1	35364	Generation X	
1091	0	1091	Collective Soul	
38831	0	38831	Eskimo Joe	
2327	0	2327	Johann Sebastian Bach	
35460	0	35460	The Angels	
1111	0	1111	Soundgarden	
1434	0	1434	The Cars	
2735	0	2735	ZZ Top	
420346	0	420346	Елена Ваенга	
24245	0	24245	Tomaso Giovanni Albinoni	
\.


--
-- Data for Name: artist_meta; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_meta (id, rating, rating_count) FROM stdin;
985	83	6
11783	84	9
455460	50	2
189237	\N	\N
35364	80	1
363984	\N	\N
126976	\N	\N
57154	20	1
37430	100	1
11285	95	24
21724	\N	\N
31429	80	1
346598	\N	\N
95306	60	1
32474	100	1
31044	100	2
1763	75	4
9061	\N	\N
299	89	11
2632	\N	\N
10342	\N	\N
182	82	13
122653	89	11
1436	90	6
1092	80	1
310	90	2
1133	90	2
73502	91	7
14549	100	2
49352	100	1
1	78	18
23642	\N	\N
438599	60	2
146720	86	10
9235	100	2
2017	90	4
1091	100	2
632902	\N	\N
44563	85	4
38831	80	1
37472	100	1
1587	92	19
446	82	12
2327	98	28
1120	70	2
570716	\N	\N
620257	\N	\N
56851	\N	\N
35460	100	1
9973	84	5
1111	86	7
1434	80	3
2735	91	7
1965	89	13
420346	\N	\N
24245	80	2
218850	\N	\N
69475	\N	\N
927645	\N	\N
\.


--
-- Data for Name: artist_tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_tag (artist, tag, count, last_updated) FROM stdin;
985	7	1	2011-05-16 16:57:06.530063+02
985	88	1	2011-05-16 16:57:06.530063+02
985	171	1	2011-05-16 16:57:06.530063+02
985	237	2	2011-05-16 16:57:06.530063+02
985	1391	1	2011-05-16 16:57:06.530063+02
985	1753	1	2011-05-16 16:57:06.530063+02
985	4663	1	2011-05-16 16:57:06.530063+02
11783	7	3	2013-01-14 11:46:42.36535+01
11783	20	2	2012-08-11 07:18:20.586666+02
11783	93	5	2012-08-11 07:18:20.586666+02
11783	111	2	2011-10-13 17:04:06.815261+02
11783	271	2	2011-10-13 17:04:06.815261+02
11783	4662	1	2011-10-13 17:04:06.815261+02
11783	8363	1	2011-10-13 17:04:06.815261+02
189237	7	1	2011-05-16 16:57:06.530063+02
189237	712	1	2011-05-16 16:57:06.530063+02
35364	88	1	2013-07-04 02:00:12.281116+02
35364	1753	1	2013-07-04 02:00:12.281116+02
35364	4662	1	2013-07-04 02:00:12.281116+02
126976	237	1	2011-05-16 16:57:06.530063+02
126976	1753	1	2011-05-16 16:57:06.530063+02
126976	1974	1	2011-05-16 16:57:06.530063+02
37430	7	2	2012-01-12 20:39:11.082913+01
37430	20	2	2012-01-12 20:39:11.082913+01
37430	165	2	2012-01-12 20:39:11.082913+01
37430	284	1	2012-01-12 20:39:11.082913+01
37430	564	1	2012-01-12 20:39:11.082913+01
37430	783	1	2011-05-16 16:57:06.530063+02
37430	1078	1	2012-01-12 20:14:52.385404+01
37430	1122	1	2012-01-12 20:39:11.082913+01
37430	4662	1	2011-05-16 16:57:06.530063+02
11285	15	5	2013-10-12 20:01:32.387222+02
11285	69	3	2013-10-12 20:01:32.387222+02
11285	480	2	2013-10-12 20:01:32.387222+02
11285	638	5	2013-10-12 20:01:32.387222+02
11285	670	3	2013-10-12 20:01:32.387222+02
11285	1600	3	2013-10-12 20:01:32.387222+02
11285	2215	1	2013-10-12 20:01:32.387222+02
11285	3775	1	2013-10-12 20:01:32.387222+02
11285	4170	1	2013-10-12 20:01:32.387222+02
11285	42091	1	2013-10-12 20:01:32.387222+02
11285	56811	1	2013-10-12 20:01:32.387222+02
11285	59216	1	2013-10-12 20:01:32.387222+02
21724	7	1	2011-05-16 16:57:06.530063+02
21724	43	1	2011-05-16 16:57:06.530063+02
21724	92	1	2011-05-16 16:57:06.530063+02
21724	111	1	2011-05-16 16:57:06.530063+02
21724	271	1	2011-05-16 16:57:06.530063+02
21724	1150	1	2011-05-16 16:57:06.530063+02
21724	1413	1	2011-05-16 16:57:06.530063+02
31429	4663	1	2011-05-16 16:57:06.530063+02
32474	15	3	2011-05-16 16:57:06.530063+02
32474	69	2	2013-08-30 12:26:12.924579+02
32474	359	1	2011-05-16 16:57:06.530063+02
32474	670	1	2011-05-16 16:57:06.530063+02
32474	1600	1	2013-08-30 12:26:12.924579+02
1763	7	2	2012-08-07 17:11:32.445261+02
1763	20	3	2013-09-28 03:33:19.859508+02
1763	271	1	2011-05-16 16:57:06.530063+02
1763	720	1	2011-05-16 16:57:06.530063+02
1763	783	2	2012-08-07 17:11:32.445261+02
1763	1091	1	2013-09-28 03:33:19.859508+02
1763	6639	1	2013-09-28 03:33:19.859508+02
1763	61544	1	2013-09-28 03:33:19.859508+02
9061	1519	1	2011-05-16 16:57:06.530063+02
9061	2982	1	2011-05-16 16:57:06.530063+02
9061	4663	1	2011-05-16 16:57:06.530063+02
299	7	2	2011-05-16 16:57:06.530063+02
299	19	2	2011-05-16 16:57:06.530063+02
299	111	1	2011-05-16 16:57:06.530063+02
299	127	2	2011-05-16 16:57:06.530063+02
299	171	2	2011-05-16 16:57:06.530063+02
299	238	1	2013-01-31 00:09:24.463907+01
299	712	2	2012-08-07 16:40:09.028173+02
299	1056	1	2011-05-16 16:57:06.530063+02
299	1335	1	2012-08-07 16:40:09.028173+02
299	4663	1	2011-05-16 16:57:06.530063+02
299	41014	1	2012-08-07 16:40:09.028173+02
2632	7	1	2011-05-16 16:57:06.530063+02
2632	19	1	2011-05-16 16:57:06.530063+02
2632	165	2	2011-05-16 16:57:06.530063+02
2632	4663	1	2011-05-16 16:57:06.530063+02
10342	72	2	2011-05-16 16:57:06.530063+02
10342	359	1	2011-05-16 16:57:06.530063+02
10342	670	2	2013-01-30 23:24:43.087029+01
10342	1600	1	2011-05-16 16:57:06.530063+02
10342	24492	1	2012-11-24 22:07:24.863114+01
182	7	2	2012-08-07 08:58:27.770696+02
182	43	1	2012-03-30 08:06:16.515093+02
182	92	1	2012-03-30 08:06:16.515093+02
182	111	1	2012-03-30 08:06:16.515093+02
182	271	4	2012-10-31 19:20:13.210776+01
182	709	1	2012-08-07 08:58:27.770696+02
182	715	2	2012-08-07 08:58:27.770696+02
182	1122	2	2012-08-07 08:58:27.770696+02
182	1240	2	2012-03-30 08:06:16.515093+02
182	4663	1	2012-03-30 08:06:16.515093+02
182	41936	1	2012-03-30 08:06:16.515093+02
182	61320	1	2013-09-20 06:18:40.013609+02
122653	15	3	2013-04-26 15:01:09.428409+02
122653	442	2	2013-04-26 15:01:09.428409+02
122653	480	2	2013-04-26 15:01:09.428409+02
122653	670	2	2013-04-26 15:01:09.428409+02
122653	1284	1	2013-04-26 15:01:09.428409+02
122653	1600	1	2013-04-26 15:01:09.428409+02
122653	29017	1	2013-04-26 15:01:09.428409+02
1436	7	1	2011-05-16 16:57:06.530063+02
1436	37	1	2011-05-16 16:57:06.530063+02
1436	41	1	2011-05-16 16:57:06.530063+02
1436	4663	1	2011-05-16 16:57:06.530063+02
1436	21284	1	2011-05-16 16:57:06.530063+02
1092	111	1	2011-05-16 16:57:06.530063+02
1092	284	1	2011-05-16 16:57:06.530063+02
1092	4662	1	2011-05-16 16:57:06.530063+02
310	7	1	2012-11-26 20:12:47.587195+01
310	37	1	2012-11-26 20:12:47.587195+01
310	41	1	2012-11-26 20:12:47.587195+01
310	61	1	2012-11-26 20:12:47.587195+01
310	171	2	2012-11-26 20:12:47.587195+01
310	237	1	2012-11-26 20:12:47.587195+01
310	1391	1	2012-11-26 20:12:47.587195+01
310	3754	1	2012-11-26 20:12:47.587195+01
310	4663	1	2012-11-26 20:12:47.587195+01
310	21284	1	2012-11-26 20:12:47.587195+01
1133	7	1	2011-05-16 16:57:06.530063+02
1133	171	1	2011-05-16 16:57:06.530063+02
1133	192	2	2012-08-07 10:31:58.507599+02
1133	237	1	2011-05-30 21:47:14.628711+02
1133	271	2	2012-08-07 10:31:58.507599+02
1133	1753	1	2011-05-30 21:47:14.628711+02
1133	4662	1	2011-05-16 16:57:06.530063+02
73502	15	3	2013-04-19 21:01:51.785798+02
73502	69	5	2013-04-19 21:01:51.785798+02
73502	171	2	2013-04-19 21:01:51.785798+02
73502	480	2	2013-04-19 21:01:51.785798+02
73502	670	2	2013-04-19 21:01:51.785798+02
73502	1027	3	2013-04-19 21:01:51.785798+02
73502	1391	2	2013-04-19 21:01:51.785798+02
73502	1395	1	2013-04-19 21:01:51.785798+02
73502	1600	1	2013-04-19 21:01:51.785798+02
73502	8428	1	2013-04-19 21:01:51.785798+02
73502	8446	1	2013-04-19 21:01:51.785798+02
73502	21165	1	2013-04-19 21:01:51.785798+02
73502	56316	1	2013-04-19 21:01:51.785798+02
73502	58536	1	2013-05-20 13:15:34.129367+02
14549	271	1	2011-05-16 16:57:06.530063+02
14549	4663	1	2011-05-16 16:57:06.530063+02
1	7	2	2013-09-18 22:03:10.347486+02
1	15	6	2013-09-18 22:03:10.347486+02
1	19	4	2013-09-18 22:03:10.347486+02
1	27	1	2013-09-18 22:03:10.347486+02
1	48	1	2013-09-18 22:03:10.347486+02
1	49	1	2013-09-18 22:03:10.347486+02
1	57	2	2013-09-18 22:03:10.347486+02
1	62	1	2013-09-18 22:03:10.347486+02
1	71	3	2013-09-18 22:03:10.347486+02
1	75	2	2013-09-18 22:03:10.347486+02
1	92	1	2013-09-18 22:03:10.347486+02
1	100	1	2013-09-18 22:03:10.347486+02
1	127	3	2013-09-18 22:03:10.347486+02
1	156	1	2013-09-18 22:03:10.347486+02
1	159	2	2013-09-18 22:03:10.347486+02
1	197	1	2013-09-18 22:03:10.347486+02
1	206	1	2013-09-18 22:03:10.347486+02
1	235	1	2013-09-18 22:03:10.347486+02
1	260	2	2013-09-18 22:03:10.347486+02
1	267	2	2013-09-18 22:03:10.347486+02
1	276	1	2013-09-18 22:03:10.347486+02
1	374	1	2013-09-18 22:03:10.347486+02
1	399	1	2013-09-18 22:03:10.347486+02
1	447	1	2013-09-18 22:03:10.347486+02
1	480	1	2013-09-18 22:03:10.347486+02
1	516	1	2013-09-18 22:03:10.347486+02
1	537	1	2013-09-18 22:03:10.347486+02
1	618	1	2013-09-18 22:03:10.347486+02
1	665	1	2013-09-18 22:03:10.347486+02
1	675	2	2013-09-18 22:03:10.347486+02
1	686	1	2013-09-18 22:03:10.347486+02
1	712	1	2013-09-18 22:03:10.347486+02
1	719	1	2013-09-18 22:03:10.347486+02
1	844	1	2013-09-18 22:03:10.347486+02
1	991	1	2013-09-18 22:03:10.347486+02
1	993	1	2013-09-18 22:03:10.347486+02
1	1056	1	2013-09-18 22:03:10.347486+02
1	1164	1	2013-09-18 22:03:10.347486+02
1	1281	1	2013-09-18 22:03:10.347486+02
1	1343	1	2013-09-18 22:03:10.347486+02
1	1371	2	2013-09-18 22:03:10.347486+02
1	1393	1	2013-09-18 22:03:10.347486+02
1	1440	1	2013-09-18 22:03:10.347486+02
1	1584	1	2013-09-18 22:03:10.347486+02
1	1587	1	2013-09-18 22:03:10.347486+02
1	1666	1	2013-09-18 22:03:10.347486+02
1	1772	1	2013-09-18 22:03:10.347486+02
1	1777	1	2013-09-18 22:03:10.347486+02
1	2143	1	2013-09-18 22:03:10.347486+02
1	2397	1	2013-09-18 22:03:10.347486+02
1	2496	1	2013-09-18 22:03:10.347486+02
1	3475	1	2013-09-18 22:03:10.347486+02
1	3819	1	2013-09-18 22:03:10.347486+02
1	4175	1	2013-09-18 22:03:10.347486+02
1	4422	1	2013-09-18 22:03:10.347486+02
1	4425	1	2013-09-18 22:03:10.347486+02
1	4585	1	2013-09-18 22:03:10.347486+02
1	4816	1	2013-09-18 22:03:10.347486+02
1	4914	1	2013-09-18 22:03:10.347486+02
1	5165	2	2013-09-18 22:03:10.347486+02
1	5948	1	2013-09-18 22:03:10.347486+02
1	6076	1	2013-09-18 22:03:10.347486+02
1	6411	1	2013-09-18 22:03:10.347486+02
1	6899	2	2013-09-18 22:03:10.347486+02
1	7144	1	2013-09-18 22:03:10.347486+02
1	7173	1	2013-09-18 22:03:10.347486+02
1	7455	1	2013-09-18 22:03:10.347486+02
1	7796	1	2013-09-18 22:03:10.347486+02
1	7860	1	2013-09-18 22:03:10.347486+02
1	7879	1	2013-09-18 22:03:10.347486+02
1	7885	1	2013-09-18 22:03:10.347486+02
1	7918	1	2013-09-18 22:03:10.347486+02
1	8110	1	2013-09-18 22:03:10.347486+02
1	8130	1	2013-09-18 22:03:10.347486+02
1	8291	1	2013-09-18 22:03:10.347486+02
1	8361	1	2013-09-18 22:03:10.347486+02
1	8410	1	2013-09-18 22:03:10.347486+02
1	8491	1	2013-09-18 22:03:10.347486+02
1	21223	1	2013-09-18 22:03:10.347486+02
1	21270	1	2013-09-18 22:03:10.347486+02
1	21294	1	2013-09-18 22:03:10.347486+02
1	21581	1	2013-09-18 22:03:10.347486+02
1	21582	1	2013-09-18 22:03:10.347486+02
1	21803	1	2013-09-18 22:03:10.347486+02
1	21804	1	2013-09-18 22:03:10.347486+02
1	21863	1	2013-09-18 22:03:10.347486+02
1	22043	1	2013-09-18 22:03:10.347486+02
1	22049	1	2013-09-18 22:03:10.347486+02
1	22115	1	2013-09-18 22:03:10.347486+02
1	22417	1	2013-09-18 22:03:10.347486+02
1	22980	1	2013-09-18 22:03:10.347486+02
1	22988	1	2013-09-18 22:03:10.347486+02
1	23006	1	2013-09-18 22:03:10.347486+02
1	24629	1	2013-09-18 22:03:10.347486+02
1	24879	2	2013-09-18 22:03:10.347486+02
1	24916	1	2013-09-18 22:03:10.347486+02
1	25084	1	2013-09-18 22:03:10.347486+02
1	25183	1	2013-09-18 22:03:10.347486+02
1	25310	1	2013-09-18 22:03:10.347486+02
1	25319	1	2013-09-18 22:03:10.347486+02
1	25354	1	2013-09-18 22:03:10.347486+02
1	25515	1	2013-09-18 22:03:10.347486+02
1	26163	1	2013-09-18 22:03:10.347486+02
1	26303	1	2013-09-18 22:03:10.347486+02
1	26364	1	2013-09-18 22:03:10.347486+02
1	26517	1	2013-09-18 22:03:10.347486+02
1	26541	1	2013-09-18 22:03:10.347486+02
1	26701	1	2013-09-18 22:03:10.347486+02
1	26817	1	2013-09-18 22:03:10.347486+02
1	26952	1	2013-09-18 22:03:10.347486+02
1	26979	1	2013-09-18 22:03:10.347486+02
1	27040	2	2013-09-18 22:03:10.347486+02
1	27124	1	2013-09-18 22:03:10.347486+02
1	27555	1	2013-09-18 22:03:10.347486+02
1	27719	1	2013-09-18 22:03:10.347486+02
1	27790	1	2013-09-18 22:03:10.347486+02
1	28180	1	2013-09-18 22:03:10.347486+02
1	28196	1	2013-09-18 22:03:10.347486+02
1	28239	1	2013-09-18 22:03:10.347486+02
1	28541	1	2013-09-18 22:03:10.347486+02
1	29010	1	2013-09-18 22:03:10.347486+02
1	29105	1	2013-09-18 22:03:10.347486+02
1	29564	1	2013-09-18 22:03:10.347486+02
1	29622	1	2013-09-18 22:03:10.347486+02
1	30743	1	2013-09-18 22:03:10.347486+02
1	30882	1	2013-09-18 22:03:10.347486+02
1	31237	1	2013-09-18 22:03:10.347486+02
1	31238	1	2013-09-18 22:03:10.347486+02
1	31239	1	2013-09-18 22:03:10.347486+02
1	31240	1	2013-09-18 22:03:10.347486+02
1	31241	1	2013-09-18 22:03:10.347486+02
1	31283	1	2013-09-18 22:03:10.347486+02
1	31307	1	2013-09-18 22:03:10.347486+02
1	31417	1	2013-09-18 22:03:10.347486+02
1	32165	1	2013-09-18 22:03:10.347486+02
1	32813	1	2013-09-18 22:03:10.347486+02
1	32977	1	2013-09-18 22:03:10.347486+02
1	33633	1	2013-09-18 22:03:10.347486+02
1	33801	1	2013-09-18 22:03:10.347486+02
1	34199	1	2013-09-18 22:03:10.347486+02
1	34625	1	2013-09-18 22:03:10.347486+02
1	34659	1	2013-09-18 22:03:10.347486+02
1	34674	1	2013-09-18 22:03:10.347486+02
1	34768	1	2013-09-18 22:03:10.347486+02
1	35578	1	2013-09-18 22:03:10.347486+02
1	35826	1	2013-09-18 22:03:10.347486+02
1	35891	1	2013-09-18 22:03:10.347486+02
1	36469	1	2013-09-18 22:03:10.347486+02
1	36836	1	2013-09-18 22:03:10.347486+02
1	38356	1	2013-09-18 22:03:10.347486+02
1	38646	1	2013-09-18 22:03:10.347486+02
1	38723	1	2013-09-18 22:03:10.347486+02
1	38930	1	2013-09-18 22:03:10.347486+02
1	39322	1	2013-09-18 22:03:10.347486+02
1	39524	1	2013-09-18 22:03:10.347486+02
1	40902	1	2013-09-18 22:03:10.347486+02
1	41170	1	2013-09-18 22:03:10.347486+02
1	41275	1	2013-09-18 22:03:10.347486+02
1	49418	1	2013-09-18 22:03:10.347486+02
1	50548	1	2013-09-18 22:03:10.347486+02
1	53977	1	2013-09-18 22:03:10.347486+02
1	53978	1	2013-09-18 22:03:10.347486+02
1	53979	1	2013-09-18 22:03:10.347486+02
1	57433	1	2013-09-18 22:03:10.347486+02
1	59048	1	2013-09-18 22:03:10.347486+02
1	61261	1	2013-09-18 22:03:10.347486+02
438599	4662	1	2011-05-16 16:57:06.530063+02
146720	20	1	2011-05-16 16:57:06.530063+02
146720	111	1	2011-05-16 16:57:06.530063+02
146720	273	1	2011-05-16 16:57:06.530063+02
146720	748	1	2011-05-16 16:57:06.530063+02
146720	1244	1	2011-05-16 16:57:06.530063+02
146720	4662	1	2011-05-16 16:57:06.530063+02
146720	5221	1	2011-05-16 16:57:06.530063+02
9235	7	1	2011-05-16 16:57:06.530063+02
9235	88	2	2011-05-16 16:57:06.530063+02
9235	165	1	2011-05-16 16:57:06.530063+02
9235	276	1	2011-05-16 16:57:06.530063+02
9235	1173	1	2011-05-16 16:57:06.530063+02
9235	1885	1	2011-05-16 16:57:06.530063+02
9235	2335	1	2013-06-06 06:19:37.189268+02
2017	4663	1	2011-05-16 16:57:06.530063+02
44563	15	2	2012-08-10 20:53:08.923955+02
44563	359	1	2012-07-23 20:10:07.203418+02
44563	1371	1	2012-07-23 20:10:07.203418+02
38831	223	1	2011-05-16 16:57:06.530063+02
37472	15	1	2013-04-19 21:02:16.80119+02
37472	670	2	2013-04-19 21:02:16.80119+02
1587	7	1	2011-05-16 16:57:06.530063+02
1587	29	1	2012-08-10 07:59:50.775588+02
1587	37	1	2011-05-16 16:57:06.530063+02
1587	41	1	2011-05-16 16:57:06.530063+02
1587	43	3	2012-08-10 07:59:50.775588+02
1587	92	1	2011-05-16 16:57:06.530063+02
1587	171	3	2011-05-16 16:57:06.530063+02
1587	237	1	2011-05-16 16:57:06.530063+02
1587	270	1	2011-05-16 16:57:06.530063+02
1587	271	3	2012-08-10 07:59:50.775588+02
1587	712	1	2011-05-16 16:57:06.530063+02
1587	716	1	2011-05-16 16:57:06.530063+02
1587	730	1	2012-12-26 19:04:29.71798+01
1587	987	1	2011-05-16 16:57:06.530063+02
1587	1391	1	2011-05-16 16:57:06.530063+02
1587	4663	1	2011-05-16 16:57:06.530063+02
1587	48154	1	2012-07-13 23:54:58.02333+02
1587	56340	1	2013-03-02 22:39:49.042874+01
1587	61051	1	2013-09-06 19:33:07.403684+02
446	7	2	2011-05-16 16:57:06.530063+02
446	20	4	2012-08-07 16:49:46.23104+02
446	111	3	2011-05-16 16:57:06.530063+02
446	273	1	2011-05-16 16:57:06.530063+02
446	339	4	2012-08-07 16:49:46.23104+02
446	748	1	2011-05-16 16:57:06.530063+02
446	1052	1	2011-05-16 16:57:06.530063+02
446	1159	2	2011-05-16 16:57:06.530063+02
446	4487	1	2011-05-16 16:57:06.530063+02
446	4662	1	2011-05-16 16:57:06.530063+02
446	44749	1	2012-03-04 02:54:09.365319+01
2327	15	9	2013-03-19 16:00:19.09962+01
2327	69	4	2013-03-19 16:00:19.09962+01
2327	670	5	2013-03-19 16:00:19.09962+01
2327	827	1	2013-03-19 16:00:19.09962+01
2327	1027	5	2013-03-19 16:00:19.09962+01
2327	1371	1	2013-03-19 16:00:19.09962+01
2327	1600	1	2013-03-19 16:00:19.09962+01
2327	7384	1	2013-03-19 16:00:19.09962+01
2327	21857	1	2013-03-19 16:00:19.09962+01
2327	39398	1	2013-03-19 16:00:19.09962+01
2327	43597	1	2013-03-19 16:00:19.09962+01
2327	50747	1	2013-03-19 16:00:19.09962+01
2327	54045	1	2013-03-19 16:00:19.09962+01
1120	7	1	2011-05-16 16:57:06.530063+02
1120	43	1	2012-08-11 20:31:15.096465+02
1120	188	1	2011-05-16 16:57:06.530063+02
1120	271	1	2011-05-16 16:57:06.530063+02
1120	562	1	2011-05-16 16:57:06.530063+02
1120	1104	1	2012-08-11 20:31:15.096465+02
570716	92	1	2011-05-16 16:57:06.530063+02
570716	271	1	2011-05-16 16:57:06.530063+02
570716	911	1	2011-05-16 16:57:06.530063+02
570716	1326	1	2011-05-16 16:57:06.530063+02
9973	4662	1	2012-11-27 12:39:44.97712+01
1111	7	1	2011-05-16 16:57:06.530063+02
1111	20	3	2012-10-07 19:30:03.653792+02
1111	41	1	2011-05-16 16:57:06.530063+02
1111	61	1	2011-05-16 16:57:06.530063+02
1111	92	1	2011-05-16 16:57:06.530063+02
1111	111	1	2011-05-16 16:57:06.530063+02
1111	175	3	2012-10-07 19:30:03.653792+02
1111	273	1	2011-05-16 16:57:06.530063+02
1111	1072	1	2011-05-16 16:57:06.530063+02
1111	21284	1	2011-05-16 16:57:06.530063+02
1434	197	1	2012-08-07 16:42:43.912201+02
1434	4662	1	2011-05-16 16:57:06.530063+02
2735	7	1	2011-05-16 16:57:06.530063+02
2735	111	1	2011-05-16 16:57:06.530063+02
2735	271	1	2011-05-16 16:57:06.530063+02
2735	712	2	2012-08-10 10:07:25.204253+02
2735	720	1	2012-08-10 10:07:25.204253+02
2735	1881	1	2011-05-16 16:57:06.530063+02
2735	4663	1	2011-05-16 16:57:06.530063+02
1965	7	2	2013-01-29 20:17:23.468116+01
1965	20	3	2012-10-04 21:32:51.316055+02
1965	171	2	2011-05-16 16:57:06.530063+02
1965	237	1	2011-05-16 16:57:06.530063+02
1965	280	1	2011-05-16 16:57:06.530063+02
1965	284	2	2013-01-26 18:41:08.536805+01
1965	4662	1	2011-05-16 16:57:06.530063+02
1965	41014	1	2012-08-11 07:12:44.435633+02
24245	15	1	2011-10-09 19:00:47.052508+02
24245	208	2	2011-10-09 19:00:47.052508+02
24245	359	1	2011-10-09 19:00:47.052508+02
24245	480	1	2011-10-09 19:00:47.052508+02
24245	670	1	2011-10-09 19:00:47.052508+02
24245	1027	1	2011-10-09 19:00:47.052508+02
24245	1600	1	2011-10-09 19:00:47.052508+02
69475	69	1	2011-05-16 16:57:06.530063+02
\.


--
-- Data for Name: artist_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY artist_type (id, name) FROM stdin;
1	Person
2	Group
3	Other
\.


--
-- Data for Name: cdtoc; Type: TABLE DATA; Schema: public; Owner: -
--

COPY cdtoc (id, discid, freedb_id, track_count, leadout_offset, track_offset, degraded, created) FROM stdin;
279137	ZSNsgmhWmmA4QJwj7S35DWlx7Uo-	4d077107	7	143075	{150,17742,32524,54065,69274,85824,104874}	f	2011-05-16 16:57:06.530063+02
334647	CwWOxtH5L8GTibfOI_u.5jgiTps-	0010bc11	17	322087	{750,18350,35315,52247,69842,90122,107142,125332,147555,168730,184047,206595,222587,245950,268045,281402,301365}	f	2011-05-16 16:57:06.530063+02
109562	YzbSm6EoqKOwEYJiE6x_qAWAvS8-	be0e210d	13	271443	{150,20138,41745,67960,85818,111280,130645,148448,166085,182458,203055,222535,243593}	f	2011-05-16 16:57:06.530063+02
\.


--
-- Data for Name: country_area; Type: TABLE DATA; Schema: public; Owner: -
--

COPY country_area (area) FROM stdin;
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
53
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
230
54
55
56
57
58
59
60
62
63
64
65
66
67
68
69
70
71
72
73
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
231
95
96
97
98
99
100
232
102
103
104
105
106
107
108
109
110
111
114
115
116
117
118
119
120
122
123
124
143
126
127
128
129
130
131
132
133
134
135
136
137
138
139
144
141
142
145
146
147
148
149
150
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
175
121
176
177
178
179
180
181
182
183
184
185
186
187
188
190
191
192
193
194
195
198
199
201
202
203
204
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
229
233
234
237
238
205
240
241
243
244
245
236
189
27
112
113
247
248
249
125
61
250
251
252
253
254
255
235
242
52
94
101
197
200
257
258
259
260
151
196
26
228
140
174
256
\.


--
-- Data for Name: cover_art; Type: TABLE DATA; Schema: public; Owner: -
--

COPY cover_art (id, release, comment, edit, ordering, date_uploaded, edits_pending, mime_type) FROM stdin;
1035883091	394442		17737476	1	2012-05-24 21:31:07.566907+02	0	image/jpeg
330955509	1255746		20992901	1	2013-02-14 11:42:24.084284+01	0	image/jpeg
330975586	1255746		20992913	3	2013-02-14 11:44:53.064401+01	0	image/jpeg
330964501	1255746		20992907	2	2013-02-14 11:43:36.416199+01	0	image/jpeg
330982200	1255746		20992918	4	2013-02-14 11:46:05.120102+01	0	image/jpeg
330986726	1255746		20992920	5	2013-02-14 11:46:43.342115+01	0	image/jpeg
330995299	1255746		20992924	6	2013-02-14 11:48:10.332816+01	0	image/jpeg
\.


--
-- Data for Name: cover_art_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY cover_art_type (id, type_id) FROM stdin;
330975586	3
330955509	1
330964501	3
330995299	4
330982200	9
1035883091	1
330986726	2
330986726	6
\.


--
-- Data for Name: gender; Type: TABLE DATA; Schema: public; Owner: -
--

COPY gender (id, name) FROM stdin;
2	Female
3	Other
1	Male
\.


--
-- Data for Name: image_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY image_type (mime_type, suffix) FROM stdin;
image/jpeg	jpg
image/png	png
image/gif	gif
\.


--
-- Data for Name: isrc; Type: TABLE DATA; Schema: public; Owner: -
--

COPY isrc (id, recording, isrc, source, edits_pending, created) FROM stdin;
143516	829408	GBAAA9820337	0	0	2011-05-16 18:08:20.288158+02
\.


--
-- Data for Name: label; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label (id, gid, name, sort_name, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, label_code, type, area, comment, edits_pending, last_updated, ended) FROM stdin;
3267	157afde4-4bf5-4039-8ad2-5a15acc85176	[no label]	[no label]	\N	\N	\N	\N	\N	\N	\N	3	\N	Special purpose label - white labels, self-published releases and other “no label” releases	1	2013-10-13 05:17:43.494676+02	f
717	ffb3d9b0-d8cf-41d4-8838-f89fa38a08c1	EMI Electrola	EMI Electrola	1972	\N	\N	2002	\N	\N	193	3	81		0	2012-05-15 21:04:49.109476+02	t
132	b4edce40-090f-4956-b82a-5d9d285da40b	Planet Mu	Planet Mu	1995	\N	\N	\N	\N	\N	\N	4	221		0	\N	f
18357	85a97508-847f-4648-b2d6-e8594298e26e	ZAIN RECORDS	ZAIN RECORDS	\N	\N	\N	\N	\N	\N	\N	\N	107		0	\N	f
1378	ea505ea5-e2ed-4410-9f28-dd2e1fcd2249	Liberation Music	Liberation Music	1999	\N	\N	\N	\N	\N	\N	4	13		0	\N	f
752	0a866b14-bfd8-4e74-b451-ada9fc713329	Cherry Red Records	Cherry Red Records	1978	\N	\N	\N	\N	\N	\N	3	221		0	\N	f
7216	f44d4897-d496-4cdf-9e9e-bfe0bcd58d33	Frituna	Frituna	\N	\N	\N	\N	\N	\N	\N	\N	202		0	\N	f
7512	f9c75fa1-fefe-48ff-95ad-4a543da80474	Квадро-Диск	Kvadro-Disk	1995	\N	\N	\N	\N	\N	\N	1	176		0	\N	f
\.


--
-- Data for Name: label_alias; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_alias (id, label, name, locale, edits_pending, last_updated, type, sort_name, begin_date_year, begin_date_month, begin_date_day, end_date_year, end_date_month, end_date_day, primary_for_locale, ended) FROM stdin;
6426	3267	Independant release	\N	0	2012-09-23 21:00:20.784785+02	2	Independant release	\N	\N	\N	\N	\N	\N	f	f
6564	3267	[самиздат]	ru	0	2012-07-15 17:00:12.198907+02	\N	samizdat	\N	\N	\N	\N	\N	\N	f	f
669	3267	[none]	\N	0	2012-09-23 20:58:12.617708+02	2	[none]	\N	\N	\N	\N	\N	\N	f	f
5806	3267	None	\N	0	2012-09-23 20:58:52.954231+02	2	None	\N	\N	\N	\N	\N	\N	f	f
6311	3267	Self-release	\N	0	2012-09-23 20:59:48.183758+02	2	Self-release	\N	\N	\N	\N	\N	\N	f	f
5006	3267	Independent	\N	0	2012-09-23 21:00:28.825553+02	2	Independent	\N	\N	\N	\N	\N	\N	f	f
1533	3267	independent release	\N	0	2012-09-23 21:00:37.870773+02	2	independent release	\N	\N	\N	\N	\N	\N	f	f
7526	3267	www.sonicmayhem.com	\N	0	2013-03-27 18:00:17.800582+01	\N	www.sonicmayhem.com	\N	\N	\N	\N	\N	\N	f	f
2886	3267	N/A	\N	0	2012-09-23 21:00:46.976766+02	2	N/A	\N	\N	\N	\N	\N	\N	f	f
3895	3267	Unsigned	\N	0	2012-09-23 21:01:05.865948+02	2	Unsigned	\N	\N	\N	\N	\N	\N	f	f
4096	3267	white label	\N	0	2012-09-23 21:01:17.361662+02	2	white label	\N	\N	\N	\N	\N	\N	f	f
5268	3267	auto-release	\N	0	2012-09-23 21:01:45.046002+02	2	auto-release	\N	\N	\N	\N	\N	\N	f	f
7839	3267	[no label	\N	0	2013-09-01 15:52:13.006726+02	2	[no label	\N	\N	\N	\N	\N	\N	f	f
6836	3267	[ilma plaadifirmata]	et	0	2012-09-23 21:02:22.178445+02	\N	[ilma plaadifirmata]	\N	\N	\N	\N	\N	\N	f	f
6837	3267	[puudub]	et	0	2012-09-23 21:02:58.907891+02	\N	[puudub]	\N	\N	\N	\N	\N	\N	f	f
15672	3267	Independiente	\N	0	2013-09-08 11:38:59.249242+02	2	Independiente	\N	\N	\N	\N	\N	\N	f	f
15671	3267	Autoedición	\N	0	2013-09-08 11:39:29.70884+02	2	Autoedición	\N	\N	\N	\N	\N	\N	f	f
1153	3267	Auto production	\N	0	2013-09-08 11:39:19.198797+02	2	Auto production	\N	\N	\N	\N	\N	\N	f	f
6456	3267	Autoeditado	\N	0	2013-09-08 11:39:56.140799+02	2	Autoeditado	\N	\N	\N	\N	\N	\N	f	f
6688	3267	D.I.Y.	\N	0	2013-09-08 11:40:03.842918+02	2	D.I.Y.	\N	\N	\N	\N	\N	\N	f	f
7249	3267	INDIPENDANT	\N	0	2013-09-08 11:40:31.632191+02	2	INDIPENDANT	\N	\N	\N	\N	\N	\N	f	f
7468	3267	No Label	\N	0	2013-09-08 11:40:33.956508+02	2	No Label	\N	\N	\N	\N	\N	\N	f	f
7608	3267	Not On A Lebel	\N	0	2013-09-08 11:40:36.862491+02	2	Not On A Lebel	\N	\N	\N	\N	\N	\N	f	f
7029	3267	Self Release	\N	0	2013-09-08 11:40:39.325484+02	2	Self Release	\N	\N	\N	\N	\N	\N	f	f
109	717	EMI Electrola GmbH	\N	0	2012-05-15 20:57:13.252186+02	\N	EMI Electrola GmbH	\N	\N	\N	\N	\N	\N	f	f
1174	7512	Квадро	\N	0	2012-05-15 20:57:13.252186+02	\N	Квадро	\N	\N	\N	\N	\N	\N	f	f
1239	132	Planet µ	\N	0	2012-05-15 20:57:13.252186+02	\N	Planet µ	\N	\N	\N	\N	\N	\N	f	f
1454	752	Cherry Red	\N	0	2012-05-15 20:57:13.252186+02	\N	Cherry Red	\N	\N	\N	\N	\N	\N	f	f
2170	3267	blank	\N	0	2013-09-08 11:40:01.132579+02	2	blank	\N	\N	\N	\N	\N	\N	f	f
2458	1378	Liberation Records	\N	0	2012-05-15 20:57:13.252186+02	\N	Liberation Records	\N	\N	\N	\N	\N	\N	f	f
2631	717	EMI Electrola GmbH & Co. KG	\N	0	2012-05-15 20:57:13.252186+02	\N	EMI Electrola GmbH & Co. KG	\N	\N	\N	\N	\N	\N	f	f
4932	3267	MSK.fm	\N	0	2012-05-15 20:57:13.252186+02	\N	MSK.fm	\N	\N	\N	\N	\N	\N	f	f
5166	3267	Auto-Product	\N	0	2013-09-08 11:39:22.371721+02	2	Auto-Product	\N	\N	\N	\N	\N	\N	f	f
5489	3267	Self-released	\N	0	2012-09-23 21:00:58.102617+02	2	Self-released	\N	\N	\N	\N	\N	\N	f	f
5985	3267	autoprod.	\N	0	2013-09-08 11:39:58.2577+02	2	autoprod.	\N	\N	\N	\N	\N	\N	f	f
6043	3267	Indie	\N	0	2013-09-08 11:40:28.763968+02	2	Indie	\N	\N	\N	\N	\N	\N	f	f
5946	3267	Indepandant	\N	0	2012-09-23 21:00:13.503698+02	2	Indepandant	\N	\N	\N	\N	\N	\N	f	f
5960	3267	self	\N	0	2012-09-23 21:01:27.25161+02	2	self	\N	\N	\N	\N	\N	\N	f	f
6387	3267	Not On Label	\N	0	2012-09-23 20:59:12.971938+02	2	Not On Label	\N	\N	\N	\N	\N	\N	f	f
6358	3267	Self Released	\N	0	2012-09-23 20:59:31.335176+02	2	Self Released	\N	\N	\N	\N	\N	\N	f	f
\.


--
-- Data for Name: label_alias_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_alias_type (id, name) FROM stdin;
1	Label name
2	Search hint
\.


--
-- Data for Name: label_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_annotation (label, annotation) FROM stdin;
3267	101736
752	101798
717	107827
3267	113844
3267	122509
3267	125614
7512	126898
717	177070
717	183572
3267	468963
3267	496892
3267	513136
3267	517993
\.


--
-- Data for Name: label_meta; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_meta (id, rating, rating_count) FROM stdin;
132	\N	\N
18357	\N	\N
3267	\N	\N
1378	\N	\N
752	\N	\N
7216	\N	\N
7512	\N	\N
717	\N	\N
\.


--
-- Data for Name: label_tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_tag (label, tag, count, last_updated) FROM stdin;
132	237	1	2011-05-16 16:57:06.530063+02
132	171	1	2011-05-16 16:57:06.530063+02
132	1391	1	2011-05-16 16:57:06.530063+02
752	237	1	2011-05-16 16:57:06.530063+02
752	537	1	2011-05-16 16:57:06.530063+02
752	88	1	2011-05-16 16:57:06.530063+02
752	564	1	2011-05-16 16:57:06.530063+02
752	1753	1	2011-05-16 16:57:06.530063+02
132	26	1	2012-05-22 23:58:03.91448+02
3267	46540	1	2013-09-08 07:00:18.505657+02
3267	34796	2	2013-09-08 07:00:18.505657+02
\.


--
-- Data for Name: label_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY label_type (id, name) FROM stdin;
1	Distributor
2	Holding
3	Production
4	Original Production
5	Bootleg Production
6	Reissue Production
7	Publisher
8	Rights Society
\.


--
-- Data for Name: language; Type: TABLE DATA; Schema: public; Owner: -
--

COPY language (id, iso_code_2t, iso_code_2b, iso_code_1, name, frequency, iso_code_3) FROM stdin;
3858	\N	\N	\N	Liv	1	liv
4369	\N	\N	\N	Montagnais	1	moe
4663	\N	\N	\N	Min Nan Chinese	1	nan
5690	\N	\N	\N	Réunion Creole French	1	rcf
5808	\N	\N	\N	Yaeyama	1	rys
6966	\N	\N	\N	Võro	1	vro
7640	\N	\N	\N	Yue Chinese	1	yue
3529	\N	\N	\N	Kölsch	1	ksh
3880	\N	\N	\N	Lakota	1	lkt
5989	\N	\N	\N	Sindarin	1	sjn
487	\N	\N	\N	Ghotuo	0	aaa
488	\N	\N	\N	Alumu-Tesu	0	aab
489	\N	\N	\N	Ari	0	aac
490	\N	\N	\N	Amal	0	aad
491	\N	\N	\N	Arbëreshë Albanian	0	aae
492	\N	\N	\N	Aranadan	0	aaf
493	\N	\N	\N	Ambrak	0	aag
494	\N	\N	\N	Abu' Arapesh	0	aah
495	\N	\N	\N	Arifama-Miniafia	0	aai
496	\N	\N	\N	Ankave	0	aak
497	\N	\N	\N	Afade	0	aal
498	\N	\N	\N	Aramanik	0	aam
499	\N	\N	\N	Anambé	0	aan
500	\N	\N	\N	Algerian Saharan Arabic	0	aao
501	\N	\N	\N	Pará Arára	0	aap
502	\N	\N	\N	Eastern Abnaki	0	aaq
1	aar	aar	aa	Afar	1	aar
503	\N	\N	\N	Aasáx	0	aas
504	\N	\N	\N	Arvanitika Albanian	0	aat
505	\N	\N	\N	Abau	0	aau
506	\N	\N	\N	Solong	0	aaw
507	\N	\N	\N	Mandobo Atas	0	aax
508	\N	\N	\N	Amarasi	0	aaz
509	\N	\N	\N	Abé	0	aba
510	\N	\N	\N	Bankon	0	abb
511	\N	\N	\N	Ambala Ayta	0	abc
512	\N	\N	\N	Manide	0	abd
513	\N	\N	\N	Western Abnaki	0	abe
514	\N	\N	\N	Abai Sungai	0	abf
515	\N	\N	\N	Abaga	0	abg
516	\N	\N	\N	Tajiki Arabic	0	abh
517	\N	\N	\N	Abidji	0	abi
518	\N	\N	\N	Aka-Bea	0	abj
2	abk	abk	ab	Abkhazian	1	abk
338	pol	pol	pl	Polish	2	pol
519	\N	\N	\N	Lampung Nyo	0	abl
340	por	por	pt	Portuguese	2	por
393	spa	spa	es	Spanish	2	spa
403	swe	swe	sv	Swedish	2	swe
520	\N	\N	\N	Abanyom	0	abm
433	tur	tur	tr	Turkish	2	tur
353	rus	rus	ru	Russian	2	rus
76	zho	chi	zh	Chinese	2	zho
18	ara	ara	ar	Arabic	2	ara
98	ces	cze	cs	Czech	2	ces
100	dan	dan	da	Danish	2	dan
145	deu	ger	de	German	2	deu
521	\N	\N	\N	Abua	0	abn
522	\N	\N	\N	Abon	0	abo
523	\N	\N	\N	Abellen Ayta	0	abp
524	\N	\N	\N	Abaza	0	abq
525	\N	\N	\N	Abron	0	abr
526	\N	\N	\N	Ambonese Malay	0	abs
527	\N	\N	\N	Ambulas	0	abt
24	art	art	\N	[Artificial (Other)]	1	qaa
528	\N	\N	\N	Abure	0	abu
529	\N	\N	\N	Baharna Arabic	0	abv
530	\N	\N	\N	Pal	0	abw
531	\N	\N	\N	Inabaknon	0	abx
532	\N	\N	\N	Aneme Wake	0	aby
533	\N	\N	\N	Abui	0	abz
534	\N	\N	\N	Achagua	0	aca
535	\N	\N	\N	Áncá	0	acb
536	\N	\N	\N	Gikyode	0	acd
3	ace	ace	\N	Achinese	1	ace
537	\N	\N	\N	Saint Lucian Creole French	0	acf
4	ach	ach	\N	Acoli	1	ach
538	\N	\N	\N	Aka-Cari	0	aci
539	\N	\N	\N	Aka-Kora	0	ack
540	\N	\N	\N	Akar-Bale	0	acl
541	\N	\N	\N	Mesopotamian Arabic	0	acm
131	fin	fin	fi	Finnish	2	fin
134	fra	fre	fr	French	2	fra
195	ita	ita	it	Italian	2	ita
198	jpn	jpn	ja	Japanese	2	jpn
284	mul	mul	\N	[Multiple languages]	2	mul
113	nld	dut	nl	Dutch	2	nld
309	nor	nor	no	Norwegian	2	nor
542	\N	\N	\N	Achang	0	acn
543	\N	\N	\N	Eastern Acipa	0	acp
544	\N	\N	\N	Ta'izzi-Adeni Arabic	0	acq
545	\N	\N	\N	Achi	0	acr
546	\N	\N	\N	Acroá	0	acs
547	\N	\N	\N	Achterhoeks	0	act
548	\N	\N	\N	Achuar-Shiwiar	0	acu
549	\N	\N	\N	Achumawi	0	acv
550	\N	\N	\N	Hijazi Arabic	0	acw
551	\N	\N	\N	Omani Arabic	0	acx
552	\N	\N	\N	Cypriot Arabic	0	acy
553	\N	\N	\N	Acheron	0	acz
5	ada	ada	\N	Adangme	1	ada
554	\N	\N	\N	Adabe	0	adb
555	\N	\N	\N	Dzodinka	0	add
556	\N	\N	\N	Adele	0	ade
557	\N	\N	\N	Dhofari Arabic	0	adf
558	\N	\N	\N	Andegerebinha	0	adg
559	\N	\N	\N	Adhola	0	adh
560	\N	\N	\N	Adi	0	adi
561	\N	\N	\N	Adioukrou	0	adj
562	\N	\N	\N	Galo	0	adl
563	\N	\N	\N	Adang	0	adn
564	\N	\N	\N	Abu	0	ado
565	\N	\N	\N	Adap	0	adp
566	\N	\N	\N	Adangbe	0	adq
567	\N	\N	\N	Adonara	0	adr
568	\N	\N	\N	Adamorobe Sign Language	0	ads
569	\N	\N	\N	Adnyamathanha	0	adt
570	\N	\N	\N	Aduge	0	adu
473	ain	ain	\N	Ainu	1	ain
159	ell	gre	el	Greek	2	ell
120	eng	eng	en	English	2	eng
10	aka	aka	ak	Akan	1	aka
673	\N	\N	\N	Batak Angkola	0	akb
674	\N	\N	\N	Mpur	0	akc
675	\N	\N	\N	Ukpet-Ehom	0	akd
676	\N	\N	\N	Akawaio	0	ake
677	\N	\N	\N	Akpa	0	akf
678	\N	\N	\N	Anakalangu	0	akg
679	\N	\N	\N	Angal Heneng	0	akh
680	\N	\N	\N	Aiome	0	aki
571	\N	\N	\N	Amundava	0	adw
572	\N	\N	\N	Amdo Tibetan	0	adx
6	ady	ady	\N	Adyghe	1	ady
573	\N	\N	\N	Adzera	0	adz
574	\N	\N	\N	Areba	0	aea
575	\N	\N	\N	Tunisian Arabic	0	aeb
576	\N	\N	\N	Saidi Arabic	0	aec
577	\N	\N	\N	Argentine Sign Language	0	aed
578	\N	\N	\N	Northeast Pashayi	0	aee
579	\N	\N	\N	Haeke	0	aek
580	\N	\N	\N	Ambele	0	ael
581	\N	\N	\N	Arem	0	aem
582	\N	\N	\N	Armenian Sign Language	0	aen
583	\N	\N	\N	Aer	0	aeq
584	\N	\N	\N	Eastern Arrernte	0	aer
585	\N	\N	\N	Alsea	0	aes
586	\N	\N	\N	Akeu	0	aeu
587	\N	\N	\N	Ambakich	0	aew
588	\N	\N	\N	Amele	0	aey
589	\N	\N	\N	Aeka	0	aez
590	\N	\N	\N	Gulf Arabic	0	afb
591	\N	\N	\N	Andai	0	afd
592	\N	\N	\N	Putukwam	0	afe
593	\N	\N	\N	Afghan Sign Language	0	afg
8	afh	afh	\N	Afrihili	1	afh
594	\N	\N	\N	Akrukay	0	afi
595	\N	\N	\N	Nanubae	0	afk
596	\N	\N	\N	Defaka	0	afn
597	\N	\N	\N	Eloyi	0	afo
598	\N	\N	\N	Tapei	0	afp
9	afr	afr	af	Afrikaans	1	afr
599	\N	\N	\N	Afro-Seminole Creole	0	afs
600	\N	\N	\N	Afitti	0	aft
601	\N	\N	\N	Awutu	0	afu
602	\N	\N	\N	Obokuitai	0	afz
603	\N	\N	\N	Aguano	0	aga
604	\N	\N	\N	Legbo	0	agb
605	\N	\N	\N	Agatu	0	agc
606	\N	\N	\N	Agarabi	0	agd
607	\N	\N	\N	Angal	0	age
608	\N	\N	\N	Arguni	0	agf
609	\N	\N	\N	Angor	0	agg
610	\N	\N	\N	Ngelima	0	agh
611	\N	\N	\N	Agariya	0	agi
612	\N	\N	\N	Argobba	0	agj
613	\N	\N	\N	Isarog Agta	0	agk
614	\N	\N	\N	Fembe	0	agl
615	\N	\N	\N	Angaataha	0	agm
616	\N	\N	\N	Agutaynen	0	agn
617	\N	\N	\N	Tainae	0	ago
618	\N	\N	\N	Aghem	0	agq
619	\N	\N	\N	Aguaruna	0	agr
620	\N	\N	\N	Esimbi	0	ags
621	\N	\N	\N	Central Cagayan Agta	0	agt
622	\N	\N	\N	Aguacateco	0	agu
623	\N	\N	\N	Remontado Dumagat	0	agv
624	\N	\N	\N	Kahua	0	agw
625	\N	\N	\N	Aghul	0	agx
626	\N	\N	\N	Southern Alta	0	agy
627	\N	\N	\N	Mt. Iriga Agta	0	agz
628	\N	\N	\N	Ahanta	0	aha
629	\N	\N	\N	Axamb	0	ahb
630	\N	\N	\N	Qimant	0	ahg
631	\N	\N	\N	Aghu	0	ahh
632	\N	\N	\N	Tiagbamrin Aizi	0	ahi
633	\N	\N	\N	Akha	0	ahk
634	\N	\N	\N	Igo	0	ahl
635	\N	\N	\N	Mobumrin Aizi	0	ahm
636	\N	\N	\N	Àhàn	0	ahn
637	\N	\N	\N	Ahom	0	aho
638	\N	\N	\N	Aproumu Aizi	0	ahp
639	\N	\N	\N	Ahirani	0	ahr
640	\N	\N	\N	Ashe	0	ahs
641	\N	\N	\N	Ahtena	0	aht
642	\N	\N	\N	Arosi	0	aia
643	\N	\N	\N	Ainu (China)	0	aib
644	\N	\N	\N	Ainbai	0	aic
645	\N	\N	\N	Alngith	0	aid
646	\N	\N	\N	Amara	0	aie
647	\N	\N	\N	Agi	0	aif
648	\N	\N	\N	Antigua and Barbuda Creole English	0	aig
649	\N	\N	\N	Ai-Cham	0	aih
650	\N	\N	\N	Assyrian Neo-Aramaic	0	aii
651	\N	\N	\N	Lishanid Noshan	0	aij
652	\N	\N	\N	Ake	0	aik
653	\N	\N	\N	Aimele	0	ail
654	\N	\N	\N	Aimol	0	aim
681	\N	\N	\N	Aka-Jeru	0	akj
11	akk	akk	\N	Akkadian	0	akk
682	\N	\N	\N	Aklanon	0	akl
655	\N	\N	\N	Aiton	0	aio
656	\N	\N	\N	Burumakok	0	aip
657	\N	\N	\N	Aimaq	0	aiq
658	\N	\N	\N	Airoran	0	air
659	\N	\N	\N	Nataoran Amis	0	ais
660	\N	\N	\N	Arikem	0	ait
661	\N	\N	\N	Aari	0	aiw
662	\N	\N	\N	Aighon	0	aix
663	\N	\N	\N	Ali	0	aiy
664	\N	\N	\N	Aja (Sudan)	0	aja
665	\N	\N	\N	Aja (Benin)	0	ajg
666	\N	\N	\N	Ajië	0	aji
667	\N	\N	\N	Andajin	0	ajn
668	\N	\N	\N	South Levantine Arabic	0	ajp
669	\N	\N	\N	Judeo-Tunisian Arabic	0	ajt
670	\N	\N	\N	Judeo-Moroccan Arabic	0	aju
671	\N	\N	\N	Ajawa	0	ajw
672	\N	\N	\N	Amri Karbi	0	ajz
683	\N	\N	\N	Aka-Bo	0	akm
684	\N	\N	\N	Akurio	0	ako
685	\N	\N	\N	Siwu	0	akp
686	\N	\N	\N	Ak	0	akq
687	\N	\N	\N	Araki	0	akr
688	\N	\N	\N	Akaselem	0	aks
689	\N	\N	\N	Akolet	0	akt
690	\N	\N	\N	Akum	0	aku
691	\N	\N	\N	Akhvakh	0	akv
692	\N	\N	\N	Akwa	0	akw
693	\N	\N	\N	Aka-Kede	0	akx
694	\N	\N	\N	Aka-Kol	0	aky
695	\N	\N	\N	Alabama	0	akz
696	\N	\N	\N	Alago	0	ala
697	\N	\N	\N	Qawasqar	0	alc
698	\N	\N	\N	Alladian	0	ald
13	ale	ale	\N	Aleut	1	ale
699	\N	\N	\N	Alege	0	alf
700	\N	\N	\N	Alawa	0	alh
701	\N	\N	\N	Amaimon	0	ali
702	\N	\N	\N	Alangan	0	alj
703	\N	\N	\N	Alak	0	alk
704	\N	\N	\N	Allar	0	all
705	\N	\N	\N	Amblong	0	alm
706	\N	\N	\N	Gheg Albanian	0	aln
707	\N	\N	\N	Larike-Wakasihu	0	alo
708	\N	\N	\N	Alune	0	alp
709	\N	\N	\N	Algonquin	0	alq
710	\N	\N	\N	Alutor	0	alr
711	\N	\N	\N	Tosk Albanian	0	als
474	alt	alt	\N	Southern Altai	1	alt
712	\N	\N	\N	'Are'are	0	alu
713	\N	\N	\N	Alaba-K’abeena	0	alw
714	\N	\N	\N	Amol	0	alx
715	\N	\N	\N	Alyawarr	0	aly
716	\N	\N	\N	Alur	0	alz
717	\N	\N	\N	Amanayé	0	ama
718	\N	\N	\N	Ambo	0	amb
719	\N	\N	\N	Amahuaca	0	amc
720	\N	\N	\N	Yanesha'	0	ame
721	\N	\N	\N	Hamer-Banna	0	amf
722	\N	\N	\N	Amurdak	0	amg
15	amh	amh	am	Amharic	1	amh
723	\N	\N	\N	Amis	0	ami
724	\N	\N	\N	Amdang	0	amj
725	\N	\N	\N	Ambai	0	amk
726	\N	\N	\N	War-Jaintia	0	aml
727	\N	\N	\N	Ama (Papua New Guinea)	0	amm
728	\N	\N	\N	Amanab	0	amn
729	\N	\N	\N	Amo	0	amo
730	\N	\N	\N	Alamblak	0	amp
731	\N	\N	\N	Amahai	0	amq
732	\N	\N	\N	Amarakaeri	0	amr
733	\N	\N	\N	Southern Amami-Oshima	0	ams
734	\N	\N	\N	Amto	0	amt
735	\N	\N	\N	Guerrero Amuzgo	0	amu
736	\N	\N	\N	Ambelau	0	amv
737	\N	\N	\N	Western Neo-Aramaic	0	amw
738	\N	\N	\N	Anmatyerre	0	amx
739	\N	\N	\N	Ami	0	amy
740	\N	\N	\N	Atampaya	0	amz
741	\N	\N	\N	Andaqui	0	ana
742	\N	\N	\N	Andoa	0	anb
743	\N	\N	\N	Ngas	0	anc
744	\N	\N	\N	Ansus	0	and
745	\N	\N	\N	Xârâcùù	0	ane
746	\N	\N	\N	Animere	0	anf
747	\N	\N	\N	Nend	0	anh
748	\N	\N	\N	Andi	0	ani
749	\N	\N	\N	Anor	0	anj
750	\N	\N	\N	Goemai	0	ank
751	\N	\N	\N	Anu-Hkongso Chin	0	anl
752	\N	\N	\N	Anal	0	anm
753	\N	\N	\N	Obolo	0	ann
754	\N	\N	\N	Andoque	0	ano
475	anp	anp	\N	Angika	1	anp
755	\N	\N	\N	Jarawa (India)	0	anq
756	\N	\N	\N	Andh	0	anr
757	\N	\N	\N	Anserma	0	ans
758	\N	\N	\N	Antakarinya	0	ant
759	\N	\N	\N	Anuak	0	anu
760	\N	\N	\N	Denya	0	anv
761	\N	\N	\N	Anaang	0	anw
762	\N	\N	\N	Andra-Hus	0	anx
763	\N	\N	\N	Anyin	0	any
764	\N	\N	\N	Anem	0	anz
765	\N	\N	\N	Angolar	0	aoa
766	\N	\N	\N	Abom	0	aob
767	\N	\N	\N	Pemon	0	aoc
768	\N	\N	\N	Andarum	0	aod
769	\N	\N	\N	Angal Enen	0	aoe
770	\N	\N	\N	Bragat	0	aof
771	\N	\N	\N	Angoram	0	aog
772	\N	\N	\N	Arma	0	aoh
773	\N	\N	\N	Anindilyakwa	0	aoi
774	\N	\N	\N	Mufian	0	aoj
775	\N	\N	\N	Arhö	0	aok
776	\N	\N	\N	Alor	0	aol
777	\N	\N	\N	Ömie	0	aom
778	\N	\N	\N	Bumbita Arapesh	0	aon
779	\N	\N	\N	Aore	0	aor
780	\N	\N	\N	Taikat	0	aos
781	\N	\N	\N	A'tong	0	aot
782	\N	\N	\N	A'ou	0	aou
783	\N	\N	\N	Atorada	0	aox
784	\N	\N	\N	Uab Meto	0	aoz
785	\N	\N	\N	Sa'a	0	apb
786	\N	\N	\N	North Levantine Arabic	0	apc
787	\N	\N	\N	Sudanese Arabic	0	apd
788	\N	\N	\N	Bukiyip	0	ape
789	\N	\N	\N	Pahanan Agta	0	apf
790	\N	\N	\N	Ampanang	0	apg
791	\N	\N	\N	Athpariya	0	aph
792	\N	\N	\N	Apiaká	0	api
793	\N	\N	\N	Jicarilla Apache	0	apj
794	\N	\N	\N	Kiowa Apache	0	apk
795	\N	\N	\N	Lipan Apache	0	apl
796	\N	\N	\N	Mescalero-Chiricahua Apache	0	apm
797	\N	\N	\N	Apinayé	0	apn
798	\N	\N	\N	Ambul	0	apo
799	\N	\N	\N	Apma	0	app
800	\N	\N	\N	A-Pucikwar	0	apq
801	\N	\N	\N	Arop-Lokep	0	apr
802	\N	\N	\N	Arop-Sissano	0	aps
803	\N	\N	\N	Apatani	0	apt
804	\N	\N	\N	Apurinã	0	apu
805	\N	\N	\N	Alapmunte	0	apv
806	\N	\N	\N	Western Apache	0	apw
807	\N	\N	\N	Aputai	0	apx
808	\N	\N	\N	Apalaí	0	apy
809	\N	\N	\N	Safeyoka	0	apz
810	\N	\N	\N	Archi	0	aqc
811	\N	\N	\N	Ampari Dogon	0	aqd
812	\N	\N	\N	Arigidi	0	aqg
813	\N	\N	\N	Atohwaim	0	aqm
814	\N	\N	\N	Northern Alta	0	aqn
815	\N	\N	\N	Atakapa	0	aqp
816	\N	\N	\N	Arhâ	0	aqr
817	\N	\N	\N	Akuntsu	0	aqz
818	\N	\N	\N	Standard Arabic	0	arb
19	arc	arc	\N	Official Aramaic (700-300 BCE)	0	arc
819	\N	\N	\N	Arabana	0	ard
820	\N	\N	\N	Western Arrarnta	0	are
20	arg	arg	an	Aragonese	1	arg
821	\N	\N	\N	Arhuaco	0	arh
822	\N	\N	\N	Arikara	0	ari
823	\N	\N	\N	Arapaso	0	arj
824	\N	\N	\N	Arikapú	0	ark
825	\N	\N	\N	Arabela	0	arl
22	arn	arn	\N	Mapudungun	1	arn
826	\N	\N	\N	Araona	0	aro
23	arp	arp	\N	Arapaho	1	arp
827	\N	\N	\N	Algerian Arabic	0	arq
828	\N	\N	\N	Karo (Brazil)	0	arr
829	\N	\N	\N	Najdi Arabic	0	ars
830	\N	\N	\N	Aruá (Amazonas State)	0	aru
16	ang	ang	\N	English, Old (ca.450-1100)	1	ang
831	\N	\N	\N	Arbore	0	arv
25	arw	arw	\N	Arawak	1	arw
832	\N	\N	\N	Aruá (Rodonia State)	0	arx
833	\N	\N	\N	Moroccan Arabic	0	ary
834	\N	\N	\N	Egyptian Arabic	0	arz
835	\N	\N	\N	Asu (Tanzania)	0	asa
836	\N	\N	\N	Assiniboine	0	asb
837	\N	\N	\N	Casuarina Coast Asmat	0	asc
838	\N	\N	\N	Asas	0	asd
839	\N	\N	\N	American Sign Language	0	ase
840	\N	\N	\N	Australian Sign Language	0	asf
841	\N	\N	\N	Cishingini	0	asg
842	\N	\N	\N	Abishira	0	ash
843	\N	\N	\N	Buruwai	0	asi
844	\N	\N	\N	Nsari	0	asj
845	\N	\N	\N	Ashkun	0	ask
846	\N	\N	\N	Asilulu	0	asl
26	asm	asm	as	Assamese	1	asm
847	\N	\N	\N	Xingú Asuriní	0	asn
848	\N	\N	\N	Dano	0	aso
849	\N	\N	\N	Algerian Sign Language	0	asp
850	\N	\N	\N	Austrian Sign Language	0	asq
851	\N	\N	\N	Asuri	0	asr
852	\N	\N	\N	Ipulo	0	ass
27	ast	ast	\N	Asturian	1	ast
853	\N	\N	\N	Tocantins Asurini	0	asu
854	\N	\N	\N	Asoa	0	asv
855	\N	\N	\N	Australian Aborigines Sign Language	0	asw
856	\N	\N	\N	Muratayak	0	asx
857	\N	\N	\N	Yaosakor Asmat	0	asy
858	\N	\N	\N	As	0	asz
859	\N	\N	\N	Pele-Ata	0	ata
860	\N	\N	\N	Zaiwa	0	atb
861	\N	\N	\N	Atsahuaca	0	atc
862	\N	\N	\N	Ata Manobo	0	atd
863	\N	\N	\N	Atemble	0	ate
864	\N	\N	\N	Ivbie North-Okpela-Arhe	0	atg
865	\N	\N	\N	Attié	0	ati
866	\N	\N	\N	Atikamekw	0	atj
867	\N	\N	\N	Ati	0	atk
868	\N	\N	\N	Mt. Iraya Agta	0	atl
869	\N	\N	\N	Ata	0	atm
870	\N	\N	\N	Ashtiani	0	atn
871	\N	\N	\N	Atong	0	ato
872	\N	\N	\N	Pudtol Atta	0	atp
873	\N	\N	\N	Aralle-Tabulahan	0	atq
874	\N	\N	\N	Waimiri-Atroari	0	atr
875	\N	\N	\N	Gros Ventre	0	ats
876	\N	\N	\N	Pamplona Atta	0	att
877	\N	\N	\N	Reel	0	atu
878	\N	\N	\N	Northern Altai	0	atv
879	\N	\N	\N	Atsugewi	0	atw
880	\N	\N	\N	Arutani	0	atx
881	\N	\N	\N	Aneityum	0	aty
882	\N	\N	\N	Arta	0	atz
883	\N	\N	\N	Asumboa	0	aua
884	\N	\N	\N	Alugu	0	aub
885	\N	\N	\N	Waorani	0	auc
886	\N	\N	\N	Anuta	0	aud
887	\N	\N	\N	=/Kx'au//'ein	0	aue
888	\N	\N	\N	Aguna	0	aug
889	\N	\N	\N	Aushi	0	auh
890	\N	\N	\N	Anuki	0	aui
891	\N	\N	\N	Awjilah	0	auj
892	\N	\N	\N	Heyo	0	auk
893	\N	\N	\N	Aulua	0	aul
894	\N	\N	\N	Asu (Nigeria)	0	aum
895	\N	\N	\N	Molmo One	0	aun
896	\N	\N	\N	Auyokawa	0	auo
897	\N	\N	\N	Makayam	0	aup
898	\N	\N	\N	Anus	0	auq
899	\N	\N	\N	Aruek	0	aur
900	\N	\N	\N	Austral	0	aut
901	\N	\N	\N	Auye	0	auu
902	\N	\N	\N	Awyi	0	auw
903	\N	\N	\N	Aurá	0	aux
904	\N	\N	\N	Awiyaana	0	auy
905	\N	\N	\N	Uzbeki Arabic	0	auz
30	ava	ava	av	Avaric	1	ava
906	\N	\N	\N	Avau	0	avb
907	\N	\N	\N	Alviri-Vidari	0	avd
31	ave	ave	ae	Avestan	1	ave
908	\N	\N	\N	Avikam	0	avi
909	\N	\N	\N	Kotava	0	avk
910	\N	\N	\N	Eastern Egyptian Bedawi Arabic	0	avl
911	\N	\N	\N	Angkamuthi	0	avm
912	\N	\N	\N	Avatime	0	avn
913	\N	\N	\N	Agavotaguerra	0	avo
914	\N	\N	\N	Aushiri	0	avs
915	\N	\N	\N	Au	0	avt
916	\N	\N	\N	Avokaya	0	avu
917	\N	\N	\N	Avá-Canoeiro	0	avv
32	awa	awa	\N	Awadhi	1	awa
918	\N	\N	\N	Awa (Papua New Guinea)	0	awb
919	\N	\N	\N	Cicipu	0	awc
920	\N	\N	\N	Awetí	0	awe
921	\N	\N	\N	Anguthimri	0	awg
922	\N	\N	\N	Awbono	0	awh
923	\N	\N	\N	Aekyom	0	awi
924	\N	\N	\N	Awabakal	0	awk
925	\N	\N	\N	Arawum	0	awm
926	\N	\N	\N	Awngi	0	awn
927	\N	\N	\N	Awak	0	awo
928	\N	\N	\N	Awera	0	awr
929	\N	\N	\N	South Awyu	0	aws
930	\N	\N	\N	Araweté	0	awt
931	\N	\N	\N	Central Awyu	0	awu
932	\N	\N	\N	Jair Awyu	0	awv
933	\N	\N	\N	Awun	0	aww
934	\N	\N	\N	Awara	0	awx
935	\N	\N	\N	Edera Awyu	0	awy
936	\N	\N	\N	Abipon	0	axb
937	\N	\N	\N	Ayerrerenge	0	axe
938	\N	\N	\N	Mato Grosso Arára	0	axg
939	\N	\N	\N	Yaka (Central African Republic)	0	axk
940	\N	\N	\N	Middle Armenian	0	axm
941	\N	\N	\N	Xaragure	0	axx
942	\N	\N	\N	Awar	0	aya
943	\N	\N	\N	Ayizo Gbe	0	ayb
944	\N	\N	\N	Southern Aymara	0	ayc
945	\N	\N	\N	Ayabadhu	0	ayd
946	\N	\N	\N	Ayere	0	aye
947	\N	\N	\N	Ginyanga	0	ayg
948	\N	\N	\N	Hadrami Arabic	0	ayh
949	\N	\N	\N	Leyigha	0	ayi
950	\N	\N	\N	Akuku	0	ayk
951	\N	\N	\N	Libyan Arabic	0	ayl
33	aym	aym	ay	Aymara	1	aym
952	\N	\N	\N	Sanaani Arabic	0	ayn
953	\N	\N	\N	Ayoreo	0	ayo
954	\N	\N	\N	North Mesopotamian Arabic	0	ayp
955	\N	\N	\N	Ayi (Papua New Guinea)	0	ayq
956	\N	\N	\N	Central Aymara	0	ayr
957	\N	\N	\N	Sorsogon Ayta	0	ays
958	\N	\N	\N	Magbukun Ayta	0	ayt
959	\N	\N	\N	Ayu	0	ayu
960	\N	\N	\N	Tayabas Ayta	0	ayy
961	\N	\N	\N	Mai Brat	0	ayz
962	\N	\N	\N	Azha	0	aza
963	\N	\N	\N	South Azerbaijani	0	azb
964	\N	\N	\N	Eastern Durango Nahuatl	0	azd
34	aze	aze	az	Azerbaijani	1	aze
965	\N	\N	\N	San Pedro Amuzgos Amuzgo	0	azg
966	\N	\N	\N	North Azerbaijani	0	azj
967	\N	\N	\N	Ipalapa Amuzgo	0	azm
968	\N	\N	\N	Western Durango Nahuatl	0	azn
969	\N	\N	\N	Awing	0	azo
970	\N	\N	\N	Faire Atta	0	azt
971	\N	\N	\N	Highland Puebla Nahuatl	0	azz
972	\N	\N	\N	Babatana	0	baa
973	\N	\N	\N	Bainouk-Gunyuño	0	bab
974	\N	\N	\N	Badui	0	bac
975	\N	\N	\N	Baré	0	bae
976	\N	\N	\N	Nubaca	0	baf
977	\N	\N	\N	Tuki	0	bag
978	\N	\N	\N	Bahamas Creole English	0	bah
979	\N	\N	\N	Barakai	0	baj
37	bak	bak	ba	Bashkir	1	bak
38	bal	bal	\N	Baluchi	1	bal
39	bam	bam	bm	Bambara	1	bam
40	ban	ban	\N	Balinese	1	ban
980	\N	\N	\N	Waimaha	0	bao
981	\N	\N	\N	Bantawa	0	bap
982	\N	\N	\N	Bavarian	0	bar
42	bas	bas	\N	Basa	1	bas
983	\N	\N	\N	Bada (Nigeria)	0	bau
984	\N	\N	\N	Vengo	0	bav
985	\N	\N	\N	Bambili-Bambui	0	baw
986	\N	\N	\N	Bamun	0	bax
987	\N	\N	\N	Batuley	0	bay
988	\N	\N	\N	Baatonum	0	bba
989	\N	\N	\N	Barai	0	bbb
990	\N	\N	\N	Batak Toba	0	bbc
991	\N	\N	\N	Bau	0	bbd
992	\N	\N	\N	Bangba	0	bbe
993	\N	\N	\N	Baibai	0	bbf
994	\N	\N	\N	Barama	0	bbg
995	\N	\N	\N	Bugan	0	bbh
996	\N	\N	\N	Barombi	0	bbi
997	\N	\N	\N	Ghomálá'	0	bbj
998	\N	\N	\N	Babanki	0	bbk
999	\N	\N	\N	Bats	0	bbl
1000	\N	\N	\N	Babango	0	bbm
1001	\N	\N	\N	Uneapa	0	bbn
1002	\N	\N	\N	Northern Bobo Madaré	0	bbo
1003	\N	\N	\N	West Central Banda	0	bbp
1004	\N	\N	\N	Bamali	0	bbq
1005	\N	\N	\N	Girawa	0	bbr
1006	\N	\N	\N	Bakpinka	0	bbs
1007	\N	\N	\N	Mburku	0	bbt
1008	\N	\N	\N	Kulung (Nigeria)	0	bbu
1009	\N	\N	\N	Karnai	0	bbv
1010	\N	\N	\N	Baba	0	bbw
1011	\N	\N	\N	Bubia	0	bbx
1012	\N	\N	\N	Befang	0	bby
1013	\N	\N	\N	Babalia Creole Arabic	0	bbz
1014	\N	\N	\N	Central Bai	0	bca
1015	\N	\N	\N	Bainouk-Samik	0	bcb
1016	\N	\N	\N	Southern Balochi	0	bcc
1017	\N	\N	\N	North Babar	0	bcd
1018	\N	\N	\N	Bamenyam	0	bce
1019	\N	\N	\N	Bamu	0	bcf
1020	\N	\N	\N	Baga Binari	0	bcg
1021	\N	\N	\N	Bariai	0	bch
1022	\N	\N	\N	Baoulé	0	bci
1023	\N	\N	\N	Bardi	0	bcj
1024	\N	\N	\N	Bunaba	0	bck
1025	\N	\N	\N	Central Bikol	0	bcl
1026	\N	\N	\N	Bannoni	0	bcm
1027	\N	\N	\N	Bali (Nigeria)	0	bcn
1028	\N	\N	\N	Kaluli	0	bco
1029	\N	\N	\N	Bali (Democratic Republic of Congo)	0	bcp
1030	\N	\N	\N	Bench	0	bcq
1031	\N	\N	\N	Babine	0	bcr
1032	\N	\N	\N	Kohumono	0	bcs
1033	\N	\N	\N	Bendi	0	bct
1034	\N	\N	\N	Awad Bing	0	bcu
1035	\N	\N	\N	Shoo-Minda-Nye	0	bcv
1036	\N	\N	\N	Bana	0	bcw
1037	\N	\N	\N	Bacama	0	bcy
1038	\N	\N	\N	Bainouk-Gunyaamolo	0	bcz
1039	\N	\N	\N	Bayot	0	bda
1040	\N	\N	\N	Basap	0	bdb
1041	\N	\N	\N	Emberá-Baudó	0	bdc
1042	\N	\N	\N	Bunama	0	bdd
1043	\N	\N	\N	Bade	0	bde
1044	\N	\N	\N	Biage	0	bdf
1045	\N	\N	\N	Bonggi	0	bdg
1046	\N	\N	\N	Baka (Sudan)	0	bdh
1047	\N	\N	\N	Burun	0	bdi
1048	\N	\N	\N	Bai	0	bdj
1049	\N	\N	\N	Budukh	0	bdk
1050	\N	\N	\N	Indonesian Bajau	0	bdl
1051	\N	\N	\N	Buduma	0	bdm
1052	\N	\N	\N	Baldemu	0	bdn
1053	\N	\N	\N	Morom	0	bdo
1054	\N	\N	\N	Bende	0	bdp
1055	\N	\N	\N	Bahnar	0	bdq
1056	\N	\N	\N	West Coast Bajau	0	bdr
1057	\N	\N	\N	Burunge	0	bds
1058	\N	\N	\N	Bokoto	0	bdt
1059	\N	\N	\N	Oroko	0	bdu
1060	\N	\N	\N	Bodo Parja	0	bdv
1061	\N	\N	\N	Baham	0	bdw
1062	\N	\N	\N	Budong-Budong	0	bdx
1063	\N	\N	\N	Bandjalang	0	bdy
1064	\N	\N	\N	Badeshi	0	bdz
1065	\N	\N	\N	Beaver	0	bea
1066	\N	\N	\N	Bebele	0	beb
1067	\N	\N	\N	Iceve-Maci	0	bec
1068	\N	\N	\N	Bedoanas	0	bed
1069	\N	\N	\N	Byangsi	0	bee
1070	\N	\N	\N	Benabena	0	bef
1071	\N	\N	\N	Belait	0	beg
1072	\N	\N	\N	Biali	0	beh
1073	\N	\N	\N	Bekati'	0	bei
44	bej	bej	\N	Beja	1	bej
1074	\N	\N	\N	Bebeli	0	bek
45	bel	bel	be	Belarusian	1	bel
46	bem	bem	\N	Bemba	1	bem
47	ben	ben	bn	Bengali	1	ben
1075	\N	\N	\N	Beami	0	beo
1076	\N	\N	\N	Besoa	0	bep
1077	\N	\N	\N	Beembe	0	beq
1078	\N	\N	\N	Besme	0	bes
1079	\N	\N	\N	Guiberoua Béte	0	bet
1080	\N	\N	\N	Blagar	0	beu
1081	\N	\N	\N	Daloa Bété	0	bev
1082	\N	\N	\N	Betawi	0	bew
1083	\N	\N	\N	Jur Modo	0	bex
1084	\N	\N	\N	Beli (Papua New Guinea)	0	bey
1085	\N	\N	\N	Bena (Tanzania)	0	bez
1086	\N	\N	\N	Bari	0	bfa
1087	\N	\N	\N	Pauri Bareli	0	bfb
1088	\N	\N	\N	Northern Bai	0	bfc
1089	\N	\N	\N	Bafut	0	bfd
1090	\N	\N	\N	Betaf	0	bfe
1091	\N	\N	\N	Bofi	0	bff
1092	\N	\N	\N	Busang Kayan	0	bfg
1093	\N	\N	\N	Blafe	0	bfh
1094	\N	\N	\N	British Sign Language	0	bfi
1095	\N	\N	\N	Bafanji	0	bfj
1096	\N	\N	\N	Ban Khor Sign Language	0	bfk
1097	\N	\N	\N	Banda-Ndélé	0	bfl
1098	\N	\N	\N	Mmen	0	bfm
1099	\N	\N	\N	Bunak	0	bfn
1100	\N	\N	\N	Malba Birifor	0	bfo
1101	\N	\N	\N	Beba	0	bfp
1102	\N	\N	\N	Badaga	0	bfq
1103	\N	\N	\N	Bazigar	0	bfr
1104	\N	\N	\N	Southern Bai	0	bfs
1105	\N	\N	\N	Balti	0	bft
1106	\N	\N	\N	Gahri	0	bfu
1107	\N	\N	\N	Bondo	0	bfw
1108	\N	\N	\N	Bantayanon	0	bfx
1109	\N	\N	\N	Bagheli	0	bfy
1110	\N	\N	\N	Mahasu Pahari	0	bfz
1111	\N	\N	\N	Gwamhi-Wuri	0	bga
1112	\N	\N	\N	Bobongko	0	bgb
1113	\N	\N	\N	Haryanvi	0	bgc
1114	\N	\N	\N	Rathwi Bareli	0	bgd
1115	\N	\N	\N	Bauria	0	bge
1116	\N	\N	\N	Bangandu	0	bgf
1117	\N	\N	\N	Bugun	0	bgg
1118	\N	\N	\N	Giangan	0	bgi
1119	\N	\N	\N	Bangolan	0	bgj
1120	\N	\N	\N	Bit	0	bgk
1121	\N	\N	\N	Bo (Laos)	0	bgl
1122	\N	\N	\N	Baga Mboteni	0	bgm
1123	\N	\N	\N	Western Balochi	0	bgn
1124	\N	\N	\N	Baga Koga	0	bgo
1125	\N	\N	\N	Eastern Balochi	0	bgp
1126	\N	\N	\N	Bagri	0	bgq
1127	\N	\N	\N	Bawm Chin	0	bgr
1128	\N	\N	\N	Tagabawa	0	bgs
1129	\N	\N	\N	Bughotu	0	bgt
1130	\N	\N	\N	Mbongno	0	bgu
1131	\N	\N	\N	Warkay-Bipim	0	bgv
1132	\N	\N	\N	Bhatri	0	bgw
1133	\N	\N	\N	Balkan Gagauz Turkish	0	bgx
1134	\N	\N	\N	Benggoi	0	bgy
1135	\N	\N	\N	Banggai	0	bgz
1136	\N	\N	\N	Bharia	0	bha
1137	\N	\N	\N	Bhili	0	bhb
1138	\N	\N	\N	Biga	0	bhc
1139	\N	\N	\N	Bhadrawahi	0	bhd
1140	\N	\N	\N	Bhaya	0	bhe
1141	\N	\N	\N	Odiai	0	bhf
1142	\N	\N	\N	Binandere	0	bhg
1143	\N	\N	\N	Bukharic	0	bhh
1144	\N	\N	\N	Bhilali	0	bhi
1145	\N	\N	\N	Bahing	0	bhj
1146	\N	\N	\N	Bimin	0	bhl
1147	\N	\N	\N	Bathari	0	bhm
1148	\N	\N	\N	Bohtan Neo-Aramaic	0	bhn
49	bho	bho	\N	Bhojpuri	1	bho
1149	\N	\N	\N	Bima	0	bhp
1150	\N	\N	\N	Tukang Besi South	0	bhq
1151	\N	\N	\N	Bara Malagasy	0	bhr
1152	\N	\N	\N	Buwal	0	bhs
1153	\N	\N	\N	Bhattiyali	0	bht
1154	\N	\N	\N	Bhunjia	0	bhu
1155	\N	\N	\N	Bahau	0	bhv
1156	\N	\N	\N	Biak	0	bhw
1157	\N	\N	\N	Bhalay	0	bhx
1158	\N	\N	\N	Bhele	0	bhy
1159	\N	\N	\N	Bada (Indonesia)	0	bhz
1160	\N	\N	\N	Badimaya	0	bia
1161	\N	\N	\N	Bissa	0	bib
1162	\N	\N	\N	Bikaru	0	bic
1163	\N	\N	\N	Bidiyo	0	bid
1164	\N	\N	\N	Bepour	0	bie
1165	\N	\N	\N	Biafada	0	bif
1166	\N	\N	\N	Biangai	0	big
1167	\N	\N	\N	Vaghat-Ya-Bijim-Legeri	0	bij
51	bik	bik	\N	Bikol	1	bik
1168	\N	\N	\N	Bile	0	bil
1169	\N	\N	\N	Bimoba	0	bim
52	bin	bin	\N	Bini	1	bin
1170	\N	\N	\N	Nai	0	bio
1171	\N	\N	\N	Bila	0	bip
1172	\N	\N	\N	Bipi	0	biq
1173	\N	\N	\N	Bisorio	0	bir
53	bis	bis	bi	Bislama	1	bis
1174	\N	\N	\N	Berinomo	0	bit
1175	\N	\N	\N	Biete	0	biu
1176	\N	\N	\N	Southern Birifor	0	biv
1177	\N	\N	\N	Kol (Cameroon)	0	biw
1178	\N	\N	\N	Bijori	0	bix
1179	\N	\N	\N	Birhor	0	biy
1180	\N	\N	\N	Baloi	0	biz
1181	\N	\N	\N	Budza	0	bja
1182	\N	\N	\N	Banggarla	0	bjb
1183	\N	\N	\N	Bariji	0	bjc
1184	\N	\N	\N	Biao-Jiao Mien	0	bje
1185	\N	\N	\N	Barzani Jewish Neo-Aramaic	0	bjf
1186	\N	\N	\N	Bidyogo	0	bjg
1187	\N	\N	\N	Bahinemo	0	bjh
1188	\N	\N	\N	Burji	0	bji
1189	\N	\N	\N	Kanauji	0	bjj
1190	\N	\N	\N	Barok	0	bjk
1191	\N	\N	\N	Bulu (Papua New Guinea)	0	bjl
1192	\N	\N	\N	Bajelani	0	bjm
1193	\N	\N	\N	Banjar	0	bjn
1194	\N	\N	\N	Mid-Southern Banda	0	bjo
1195	\N	\N	\N	Binumarien	0	bjr
1196	\N	\N	\N	Bajan	0	bjs
1197	\N	\N	\N	Balanta-Ganja	0	bjt
1198	\N	\N	\N	Busuu	0	bju
1199	\N	\N	\N	Bedjond	0	bjv
1200	\N	\N	\N	Bakwé	0	bjw
1201	\N	\N	\N	Banao Itneg	0	bjx
1202	\N	\N	\N	Bayali	0	bjy
1203	\N	\N	\N	Baruga	0	bjz
1204	\N	\N	\N	Kyak	0	bka
1205	\N	\N	\N	Baka (Cameroon)	0	bkc
1206	\N	\N	\N	Binukid	0	bkd
1207	\N	\N	\N	Beeke	0	bkf
1208	\N	\N	\N	Buraka	0	bkg
1209	\N	\N	\N	Bakoko	0	bkh
1210	\N	\N	\N	Baki	0	bki
1211	\N	\N	\N	Pande	0	bkj
1212	\N	\N	\N	Brokskat	0	bkk
1213	\N	\N	\N	Berik	0	bkl
1214	\N	\N	\N	Kom (Cameroon)	0	bkm
1215	\N	\N	\N	Bukitan	0	bkn
1216	\N	\N	\N	Kwa'	0	bko
1217	\N	\N	\N	Boko (Democratic Republic of Congo)	0	bkp
1218	\N	\N	\N	Bakairí	0	bkq
1219	\N	\N	\N	Bakumpai	0	bkr
1220	\N	\N	\N	Northern Sorsoganon	0	bks
1221	\N	\N	\N	Boloki	0	bkt
1222	\N	\N	\N	Buhid	0	bku
1223	\N	\N	\N	Bekwarra	0	bkv
1224	\N	\N	\N	Bekwel	0	bkw
1225	\N	\N	\N	Baikeno	0	bkx
1226	\N	\N	\N	Bokyi	0	bky
1227	\N	\N	\N	Bungku	0	bkz
54	bla	bla	\N	Siksika	1	bla
1228	\N	\N	\N	Bilua	0	blb
1229	\N	\N	\N	Bella Coola	0	blc
1230	\N	\N	\N	Bolango	0	bld
1231	\N	\N	\N	Balanta-Kentohe	0	ble
1232	\N	\N	\N	Buol	0	blf
1233	\N	\N	\N	Balau	0	blg
1234	\N	\N	\N	Kuwaa	0	blh
1235	\N	\N	\N	Bolia	0	bli
1236	\N	\N	\N	Bolongan	0	blj
1237	\N	\N	\N	Pa'o Karen	0	blk
1238	\N	\N	\N	Biloxi	0	bll
1239	\N	\N	\N	Beli (Sudan)	0	blm
1240	\N	\N	\N	Southern Catanduanes Bikol	0	bln
1241	\N	\N	\N	Anii	0	blo
1242	\N	\N	\N	Blablanga	0	blp
1243	\N	\N	\N	Baluan-Pam	0	blq
1244	\N	\N	\N	Blang	0	blr
1245	\N	\N	\N	Balaesang	0	bls
1246	\N	\N	\N	Tai Dam	0	blt
1247	\N	\N	\N	Bolo	0	blv
1248	\N	\N	\N	Balangao	0	blw
1249	\N	\N	\N	Mag-Indi Ayta	0	blx
1250	\N	\N	\N	Notre	0	bly
1251	\N	\N	\N	Balantak	0	blz
1252	\N	\N	\N	Lame	0	bma
1253	\N	\N	\N	Bembe	0	bmb
1254	\N	\N	\N	Biem	0	bmc
1255	\N	\N	\N	Baga Manduri	0	bmd
1256	\N	\N	\N	Limassa	0	bme
1257	\N	\N	\N	Bom	0	bmf
1258	\N	\N	\N	Bamwe	0	bmg
1259	\N	\N	\N	Kein	0	bmh
1260	\N	\N	\N	Bagirmi	0	bmi
1261	\N	\N	\N	Bote-Majhi	0	bmj
1262	\N	\N	\N	Ghayavi	0	bmk
1263	\N	\N	\N	Bomboli	0	bml
1264	\N	\N	\N	Northern Betsimisaraka Malagasy	0	bmm
1265	\N	\N	\N	Bina (Papua New Guinea)	0	bmn
1266	\N	\N	\N	Bambalang	0	bmo
1267	\N	\N	\N	Bulgebi	0	bmp
1268	\N	\N	\N	Bomu	0	bmq
1269	\N	\N	\N	Muinane	0	bmr
1270	\N	\N	\N	Bilma Kanuri	0	bms
1271	\N	\N	\N	Biao Mon	0	bmt
1272	\N	\N	\N	Somba-Siawari	0	bmu
1273	\N	\N	\N	Bum	0	bmv
1274	\N	\N	\N	Bomwali	0	bmw
1275	\N	\N	\N	Baimak	0	bmx
1276	\N	\N	\N	Bemba (Democratic Republic of Congo)	0	bmy
1277	\N	\N	\N	Baramu	0	bmz
1278	\N	\N	\N	Bonerate	0	bna
1279	\N	\N	\N	Bookan	0	bnb
1280	\N	\N	\N	Bontok	0	bnc
1281	\N	\N	\N	Banda (Indonesia)	0	bnd
1282	\N	\N	\N	Bintauna	0	bne
1283	\N	\N	\N	Masiwang	0	bnf
1284	\N	\N	\N	Benga	0	bng
1285	\N	\N	\N	Bangi	0	bni
1286	\N	\N	\N	Eastern Tawbuid	0	bnj
1287	\N	\N	\N	Bierebo	0	bnk
1288	\N	\N	\N	Boon	0	bnl
1289	\N	\N	\N	Batanga	0	bnm
1290	\N	\N	\N	Bunun	0	bnn
1291	\N	\N	\N	Bantoanon	0	bno
1292	\N	\N	\N	Bola	0	bnp
1293	\N	\N	\N	Bantik	0	bnq
1294	\N	\N	\N	Butmas-Tur	0	bnr
1295	\N	\N	\N	Bundeli	0	bns
1296	\N	\N	\N	Bentong	0	bnu
1297	\N	\N	\N	Bonerif	0	bnv
1298	\N	\N	\N	Bisis	0	bnw
1299	\N	\N	\N	Bangubangu	0	bnx
1300	\N	\N	\N	Bintulu	0	bny
1301	\N	\N	\N	Beezen	0	bnz
1302	\N	\N	\N	Bora	0	boa
1303	\N	\N	\N	Aweer	0	bob
416	bod	tib	bo	Tibetan	1	bod
1304	\N	\N	\N	Mundabli	0	boe
1305	\N	\N	\N	Bolon	0	bof
1306	\N	\N	\N	Bamako Sign Language	0	bog
1307	\N	\N	\N	Boma	0	boh
1308	\N	\N	\N	Barbareño	0	boi
1309	\N	\N	\N	Anjam	0	boj
1310	\N	\N	\N	Bonjo	0	bok
1311	\N	\N	\N	Bole	0	bol
1312	\N	\N	\N	Berom	0	bom
1313	\N	\N	\N	Bine	0	bon
1314	\N	\N	\N	Tiemacèwè Bozo	0	boo
1315	\N	\N	\N	Bonkiman	0	bop
1316	\N	\N	\N	Bogaya	0	boq
1317	\N	\N	\N	Borôro	0	bor
56	bos	bos	bs	Bosnian	1	bos
1318	\N	\N	\N	Bongo	0	bot
1319	\N	\N	\N	Bondei	0	bou
1320	\N	\N	\N	Tuwuli	0	bov
1321	\N	\N	\N	Rema	0	bow
1322	\N	\N	\N	Buamu	0	box
1323	\N	\N	\N	Bodo (Central African Republic)	0	boy
1324	\N	\N	\N	Tiéyaxo Bozo	0	boz
1325	\N	\N	\N	Dakaka	0	bpa
1326	\N	\N	\N	Barbacoas	0	bpb
1327	\N	\N	\N	Banda-Banda	0	bpd
1328	\N	\N	\N	Bonggo	0	bpg
1329	\N	\N	\N	Botlikh	0	bph
1330	\N	\N	\N	Bagupi	0	bpi
1331	\N	\N	\N	Binji	0	bpj
1332	\N	\N	\N	Orowe	0	bpk
1333	\N	\N	\N	Broome Pearling Lugger Pidgin	0	bpl
1334	\N	\N	\N	Biyom	0	bpm
1335	\N	\N	\N	Dzao Min	0	bpn
1336	\N	\N	\N	Anasi	0	bpo
1337	\N	\N	\N	Kaure	0	bpp
1338	\N	\N	\N	Banda Malay	0	bpq
1339	\N	\N	\N	Koronadal Blaan	0	bpr
1340	\N	\N	\N	Sarangani Blaan	0	bps
1341	\N	\N	\N	Barrow Point	0	bpt
1342	\N	\N	\N	Bongu	0	bpu
1343	\N	\N	\N	Bian Marind	0	bpv
1344	\N	\N	\N	Bo (Papua New Guinea)	0	bpw
1345	\N	\N	\N	Palya Bareli	0	bpx
1346	\N	\N	\N	Bishnupriya	0	bpy
1347	\N	\N	\N	Bilba	0	bpz
1348	\N	\N	\N	Tchumbuli	0	bqa
1349	\N	\N	\N	Bagusa	0	bqb
1350	\N	\N	\N	Boko (Benin)	0	bqc
1351	\N	\N	\N	Bung	0	bqd
1352	\N	\N	\N	Baga Kaloum	0	bqf
1353	\N	\N	\N	Bago-Kusuntu	0	bqg
1354	\N	\N	\N	Baima	0	bqh
1355	\N	\N	\N	Bakhtiari	0	bqi
1356	\N	\N	\N	Bandial	0	bqj
1357	\N	\N	\N	Banda-Mbrès	0	bqk
1358	\N	\N	\N	Bilakura	0	bql
1359	\N	\N	\N	Wumboko	0	bqm
1360	\N	\N	\N	Bulgarian Sign Language	0	bqn
1361	\N	\N	\N	Balo	0	bqo
1362	\N	\N	\N	Busa	0	bqp
1363	\N	\N	\N	Biritai	0	bqq
1364	\N	\N	\N	Burusu	0	bqr
1365	\N	\N	\N	Bosngun	0	bqs
1366	\N	\N	\N	Bamukumbit	0	bqt
1367	\N	\N	\N	Boguru	0	bqu
1368	\N	\N	\N	Koro Wachi	0	bqv
1369	\N	\N	\N	Buru (Nigeria)	0	bqw
1370	\N	\N	\N	Baangi	0	bqx
1371	\N	\N	\N	Bengkala Sign Language	0	bqy
1372	\N	\N	\N	Bakaka	0	bqz
57	bra	bra	\N	Braj	1	bra
1373	\N	\N	\N	Lave	0	brb
1374	\N	\N	\N	Berbice Creole Dutch	0	brc
1375	\N	\N	\N	Baraamu	0	brd
58	bre	bre	br	Breton	1	bre
1376	\N	\N	\N	Bera	0	brf
1377	\N	\N	\N	Baure	0	brg
1378	\N	\N	\N	Brahui	0	brh
1379	\N	\N	\N	Mokpwe	0	bri
1380	\N	\N	\N	Bieria	0	brj
1381	\N	\N	\N	Birked	0	brk
1382	\N	\N	\N	Birwa	0	brl
1383	\N	\N	\N	Barambu	0	brm
1384	\N	\N	\N	Boruca	0	brn
1385	\N	\N	\N	Brokkat	0	bro
1386	\N	\N	\N	Barapasi	0	brp
1387	\N	\N	\N	Breri	0	brq
1388	\N	\N	\N	Birao	0	brr
1389	\N	\N	\N	Baras	0	brs
1390	\N	\N	\N	Bitare	0	brt
1391	\N	\N	\N	Eastern Bru	0	bru
1392	\N	\N	\N	Western Bru	0	brv
1393	\N	\N	\N	Bellari	0	brw
1394	\N	\N	\N	Bodo (India)	0	brx
1395	\N	\N	\N	Burui	0	bry
1396	\N	\N	\N	Bilbil	0	brz
1397	\N	\N	\N	Abinomn	0	bsa
1398	\N	\N	\N	Brunei Bisaya	0	bsb
1399	\N	\N	\N	Bassari	0	bsc
1400	\N	\N	\N	Wushi	0	bse
1401	\N	\N	\N	Bauchi	0	bsf
1402	\N	\N	\N	Bashkardi	0	bsg
1403	\N	\N	\N	Kati	0	bsh
1404	\N	\N	\N	Bassossi	0	bsi
1405	\N	\N	\N	Bangwinji	0	bsj
1406	\N	\N	\N	Burushaski	0	bsk
1407	\N	\N	\N	Basa-Gumna	0	bsl
1408	\N	\N	\N	Busami	0	bsm
1409	\N	\N	\N	Barasana-Eduria	0	bsn
1410	\N	\N	\N	Buso	0	bso
1411	\N	\N	\N	Baga Sitemu	0	bsp
1412	\N	\N	\N	Bassa	0	bsq
1413	\N	\N	\N	Bassa-Kontagora	0	bsr
1414	\N	\N	\N	Akoose	0	bss
1415	\N	\N	\N	Basketo	0	bst
1416	\N	\N	\N	Bahonsuai	0	bsu
1417	\N	\N	\N	Baga Sobané	0	bsv
1418	\N	\N	\N	Baiso	0	bsw
1419	\N	\N	\N	Yangkam	0	bsx
1420	\N	\N	\N	Sabah Bisaya	0	bsy
1421	\N	\N	\N	Bata	0	bta
1422	\N	\N	\N	Bati (Cameroon)	0	btc
1423	\N	\N	\N	Batak Dairi	0	btd
1424	\N	\N	\N	Gamo-Ningi	0	bte
1425	\N	\N	\N	Birgit	0	btf
1426	\N	\N	\N	Gagnoa Bété	0	btg
1427	\N	\N	\N	Biatah Bidayuh	0	bth
1428	\N	\N	\N	Burate	0	bti
1429	\N	\N	\N	Bacanese Malay	0	btj
1430	\N	\N	\N	Bhatola	0	btl
1431	\N	\N	\N	Batak Mandailing	0	btm
1432	\N	\N	\N	Ratagnon	0	btn
1433	\N	\N	\N	Rinconada Bikol	0	bto
1434	\N	\N	\N	Budibud	0	btp
1435	\N	\N	\N	Batek	0	btq
1436	\N	\N	\N	Baetora	0	btr
1437	\N	\N	\N	Batak Simalungun	0	bts
1438	\N	\N	\N	Bete-Bendi	0	btt
1439	\N	\N	\N	Batu	0	btu
1440	\N	\N	\N	Bateri	0	btv
1441	\N	\N	\N	Butuanon	0	btw
1442	\N	\N	\N	Batak Karo	0	btx
1443	\N	\N	\N	Bobot	0	bty
1444	\N	\N	\N	Batak Alas-Kluet	0	btz
60	bua	bua	\N	Buriat	1	bua
1445	\N	\N	\N	Bua	0	bub
1446	\N	\N	\N	Bushi	0	buc
1447	\N	\N	\N	Ntcham	0	bud
1448	\N	\N	\N	Beothuk	0	bue
1449	\N	\N	\N	Bushoong	0	buf
61	bug	bug	\N	Buginese	1	bug
1450	\N	\N	\N	Younuo Bunu	0	buh
1451	\N	\N	\N	Bongili	0	bui
1452	\N	\N	\N	Basa-Gurmana	0	buj
1453	\N	\N	\N	Bugawac	0	buk
62	bul	bul	bg	Bulgarian	1	bul
1454	\N	\N	\N	Bulu (Cameroon)	0	bum
1455	\N	\N	\N	Sherbro	0	bun
1456	\N	\N	\N	Terei	0	buo
1457	\N	\N	\N	Busoa	0	bup
1458	\N	\N	\N	Brem	0	buq
1459	\N	\N	\N	Bokobaru	0	bus
1460	\N	\N	\N	Bungain	0	but
1461	\N	\N	\N	Budu	0	buu
1462	\N	\N	\N	Bun	0	buv
1463	\N	\N	\N	Bubi	0	buw
1464	\N	\N	\N	Boghom	0	bux
1465	\N	\N	\N	Bullom So	0	buy
1466	\N	\N	\N	Bukwen	0	buz
1467	\N	\N	\N	Barein	0	bva
1468	\N	\N	\N	Bube	0	bvb
1469	\N	\N	\N	Baelelea	0	bvc
1470	\N	\N	\N	Baeggu	0	bvd
1471	\N	\N	\N	Berau Malay	0	bve
1472	\N	\N	\N	Boor	0	bvf
1473	\N	\N	\N	Bonkeng	0	bvg
1474	\N	\N	\N	Bure	0	bvh
1475	\N	\N	\N	Belanda Viri	0	bvi
1476	\N	\N	\N	Baan	0	bvj
1477	\N	\N	\N	Bukat	0	bvk
1478	\N	\N	\N	Bolivian Sign Language	0	bvl
1479	\N	\N	\N	Bamunka	0	bvm
1480	\N	\N	\N	Buna	0	bvn
1481	\N	\N	\N	Bolgo	0	bvo
1482	\N	\N	\N	Birri	0	bvq
1483	\N	\N	\N	Burarra	0	bvr
1484	\N	\N	\N	Bati (Indonesia)	0	bvt
1485	\N	\N	\N	Bukit Malay	0	bvu
1486	\N	\N	\N	Baniva	0	bvv
1487	\N	\N	\N	Boga	0	bvw
1488	\N	\N	\N	Dibole	0	bvx
1489	\N	\N	\N	Baybayanon	0	bvy
1490	\N	\N	\N	Bauzi	0	bvz
1491	\N	\N	\N	Bwatoo	0	bwa
1492	\N	\N	\N	Namosi-Naitasiri-Serua	0	bwb
1493	\N	\N	\N	Bwile	0	bwc
1494	\N	\N	\N	Bwaidoka	0	bwd
1495	\N	\N	\N	Bwe Karen	0	bwe
1496	\N	\N	\N	Boselewa	0	bwf
1497	\N	\N	\N	Barwe	0	bwg
1498	\N	\N	\N	Bishuo	0	bwh
1499	\N	\N	\N	Baniwa	0	bwi
1500	\N	\N	\N	Láá Láá Bwamu	0	bwj
1501	\N	\N	\N	Bauwaki	0	bwk
1502	\N	\N	\N	Bwela	0	bwl
1503	\N	\N	\N	Biwat	0	bwm
1504	\N	\N	\N	Wunai Bunu	0	bwn
1505	\N	\N	\N	Boro (Ethiopia)	0	bwo
1506	\N	\N	\N	Mandobo Bawah	0	bwp
1507	\N	\N	\N	Southern Bobo Madaré	0	bwq
1508	\N	\N	\N	Bura-Pabir	0	bwr
1509	\N	\N	\N	Bomboma	0	bws
1510	\N	\N	\N	Bafaw-Balong	0	bwt
1511	\N	\N	\N	Buli (Ghana)	0	bwu
1512	\N	\N	\N	Bwa	0	bww
1513	\N	\N	\N	Bu-Nao Bunu	0	bwx
1514	\N	\N	\N	Cwi Bwamu	0	bwy
1515	\N	\N	\N	Bwisi	0	bwz
1516	\N	\N	\N	Bauro	0	bxa
1517	\N	\N	\N	Belanda Bor	0	bxb
1518	\N	\N	\N	Molengue	0	bxc
1519	\N	\N	\N	Pela	0	bxd
1520	\N	\N	\N	Birale	0	bxe
1521	\N	\N	\N	Bilur	0	bxf
1522	\N	\N	\N	Bangala	0	bxg
1523	\N	\N	\N	Buhutu	0	bxh
1524	\N	\N	\N	Pirlatapa	0	bxi
1525	\N	\N	\N	Bayungu	0	bxj
1526	\N	\N	\N	Bukusu	0	bxk
1527	\N	\N	\N	Jalkunan	0	bxl
1528	\N	\N	\N	Mongolia Buriat	0	bxm
1529	\N	\N	\N	Burduna	0	bxn
1530	\N	\N	\N	Barikanchi	0	bxo
1531	\N	\N	\N	Bebil	0	bxp
1532	\N	\N	\N	Beele	0	bxq
1533	\N	\N	\N	Russia Buriat	0	bxr
1534	\N	\N	\N	Busam	0	bxs
1535	\N	\N	\N	China Buriat	0	bxu
1536	\N	\N	\N	Berakou	0	bxv
1537	\N	\N	\N	Bankagooma	0	bxw
1538	\N	\N	\N	Borna (Democratic Republic of Congo)	0	bxx
1539	\N	\N	\N	Binahari	0	bxz
1540	\N	\N	\N	Batak	0	bya
1541	\N	\N	\N	Bikya	0	byb
1542	\N	\N	\N	Ubaghara	0	byc
1543	\N	\N	\N	Benyadu'	0	byd
1544	\N	\N	\N	Pouye	0	bye
1545	\N	\N	\N	Bete	0	byf
1546	\N	\N	\N	Baygo	0	byg
1547	\N	\N	\N	Bhujel	0	byh
1548	\N	\N	\N	Buyu	0	byi
1549	\N	\N	\N	Bina (Nigeria)	0	byj
1550	\N	\N	\N	Biao	0	byk
1551	\N	\N	\N	Bayono	0	byl
1552	\N	\N	\N	Bidyara	0	bym
64	byn	byn	\N	Blin	1	byn
1553	\N	\N	\N	Biyo	0	byo
1554	\N	\N	\N	Bumaji	0	byp
1555	\N	\N	\N	Basay	0	byq
1556	\N	\N	\N	Baruya	0	byr
1557	\N	\N	\N	Burak	0	bys
1558	\N	\N	\N	Berti	0	byt
1559	\N	\N	\N	Medumba	0	byv
1560	\N	\N	\N	Belhariya	0	byw
1561	\N	\N	\N	Qaqet	0	byx
1562	\N	\N	\N	Buya	0	byy
1563	\N	\N	\N	Banaro	0	byz
1564	\N	\N	\N	Bandi	0	bza
1565	\N	\N	\N	Andio	0	bzb
1566	\N	\N	\N	Southern Betsimisaraka Malagasy	0	bzc
1567	\N	\N	\N	Bribri	0	bzd
1568	\N	\N	\N	Jenaama Bozo	0	bze
1569	\N	\N	\N	Boikin	0	bzf
1570	\N	\N	\N	Babuza	0	bzg
1571	\N	\N	\N	Mapos Buang	0	bzh
1572	\N	\N	\N	Bisu	0	bzi
1573	\N	\N	\N	Belize Kriol English	0	bzj
1574	\N	\N	\N	Nicaragua Creole English	0	bzk
1575	\N	\N	\N	Boano (Sulawesi)	0	bzl
1576	\N	\N	\N	Bolondo	0	bzm
1577	\N	\N	\N	Boano (Maluku)	0	bzn
1578	\N	\N	\N	Bozaba	0	bzo
1579	\N	\N	\N	Kemberano	0	bzp
1580	\N	\N	\N	Buli (Indonesia)	0	bzq
1581	\N	\N	\N	Biri	0	bzr
1582	\N	\N	\N	Brazilian Sign Language	0	bzs
1583	\N	\N	\N	Brithenig	0	bzt
1584	\N	\N	\N	Burmeso	0	bzu
1585	\N	\N	\N	Bebe	0	bzv
1586	\N	\N	\N	Basa (Nigeria)	0	bzw
1587	\N	\N	\N	Kɛlɛngaxo Bozo	0	bzx
1588	\N	\N	\N	Obanliku	0	bzy
1589	\N	\N	\N	Evant	0	bzz
1590	\N	\N	\N	Chortí	0	caa
1591	\N	\N	\N	Garifuna	0	cab
1592	\N	\N	\N	Chuj	0	cac
65	cad	cad	\N	Caddo	1	cad
1593	\N	\N	\N	Lehar	0	cae
1594	\N	\N	\N	Southern Carrier	0	caf
1595	\N	\N	\N	Nivaclé	0	cag
1596	\N	\N	\N	Cahuarano	0	cah
1597	\N	\N	\N	Chané	0	caj
1598	\N	\N	\N	Kaqchikel	0	cak
1599	\N	\N	\N	Carolinian	0	cal
1600	\N	\N	\N	Cemuhî	0	cam
1601	\N	\N	\N	Chambri	0	can
1602	\N	\N	\N	Chácobo	0	cao
1603	\N	\N	\N	Chipaya	0	cap
1604	\N	\N	\N	Car Nicobarese	0	caq
67	car	car	\N	Galibi Carib	1	car
1605	\N	\N	\N	Tsimané	0	cas
68	cat	cat	ca	Catalan	1	cat
1606	\N	\N	\N	Cavineña	0	cav
1607	\N	\N	\N	Callawalla	0	caw
1608	\N	\N	\N	Chiquitano	0	cax
1609	\N	\N	\N	Cayuga	0	cay
1610	\N	\N	\N	Canichana	0	caz
1611	\N	\N	\N	Cabiyarí	0	cbb
1612	\N	\N	\N	Carapana	0	cbc
1613	\N	\N	\N	Carijona	0	cbd
1614	\N	\N	\N	Chipiajes	0	cbe
1615	\N	\N	\N	Chimila	0	cbg
1616	\N	\N	\N	Cagua	0	cbh
1617	\N	\N	\N	Chachi	0	cbi
1618	\N	\N	\N	Ede Cabe	0	cbj
1619	\N	\N	\N	Chavacano	0	cbk
1620	\N	\N	\N	Bualkhaw Chin	0	cbl
1621	\N	\N	\N	Nyahkur	0	cbn
1622	\N	\N	\N	Izora	0	cbo
1623	\N	\N	\N	Cashibo-Cacataibo	0	cbr
1624	\N	\N	\N	Cashinahua	0	cbs
1625	\N	\N	\N	Chayahuita	0	cbt
1626	\N	\N	\N	Candoshi-Shapra	0	cbu
1627	\N	\N	\N	Cacua	0	cbv
1628	\N	\N	\N	Kinabalian	0	cbw
1629	\N	\N	\N	Carabayo	0	cby
1630	\N	\N	\N	Cauca	0	cca
1631	\N	\N	\N	Chamicuro	0	ccc
1632	\N	\N	\N	Cafundo Creole	0	ccd
1633	\N	\N	\N	Chopi	0	cce
1634	\N	\N	\N	Samba Daka	0	ccg
1635	\N	\N	\N	Atsam	0	cch
1636	\N	\N	\N	Kasanga	0	ccj
1637	\N	\N	\N	Cutchi-Swahili	0	ccl
1638	\N	\N	\N	Malaccan Creole Malay	0	ccm
1639	\N	\N	\N	Comaltepec Chinantec	0	cco
1640	\N	\N	\N	Chakma	0	ccp
1641	\N	\N	\N	Cacaopera	0	ccr
1642	\N	\N	\N	Choni	0	cda
1643	\N	\N	\N	Chenchu	0	cde
1644	\N	\N	\N	Chiru	0	cdf
1645	\N	\N	\N	Chamari	0	cdg
1646	\N	\N	\N	Chambeali	0	cdh
1647	\N	\N	\N	Chodri	0	cdi
1648	\N	\N	\N	Churahi	0	cdj
1649	\N	\N	\N	Chepang	0	cdm
1650	\N	\N	\N	Chaudangsi	0	cdn
1651	\N	\N	\N	Min Dong Chinese	0	cdo
1652	\N	\N	\N	Cinda-Regi-Tiyal	0	cdr
1653	\N	\N	\N	Chadian Sign Language	0	cds
1654	\N	\N	\N	Chadong	0	cdy
1655	\N	\N	\N	Koda	0	cdz
1656	\N	\N	\N	Lower Chehalis	0	cea
70	ceb	ceb	\N	Cebuano	1	ceb
1657	\N	\N	\N	Chamacoco	0	ceg
1658	\N	\N	\N	Eastern Khumi Chin	0	cek
1659	\N	\N	\N	Cen	0	cen
1660	\N	\N	\N	Centúúm	0	cet
1661	\N	\N	\N	Dijim-Bwilim	0	cfa
1662	\N	\N	\N	Cara	0	cfd
1663	\N	\N	\N	Como Karim	0	cfg
1664	\N	\N	\N	Falam Chin	0	cfm
1665	\N	\N	\N	Changriwa	0	cga
1666	\N	\N	\N	Kagayanen	0	cgc
1667	\N	\N	\N	Chiga	0	cgg
1668	\N	\N	\N	Chocangacakha	0	cgk
72	cha	cha	ch	Chamorro	1	cha
73	chb	chb	\N	Chibcha	1	chb
1669	\N	\N	\N	Catawba	0	chc
1670	\N	\N	\N	Highland Oaxaca Chontal	0	chd
74	che	che	ce	Chechen	1	che
1671	\N	\N	\N	Tabasco Chontal	0	chf
75	chg	chg	\N	Chagatai	1	chg
1672	\N	\N	\N	Chinook	0	chh
1673	\N	\N	\N	Ojitlán Chinantec	0	chj
77	chk	chk	\N	Chuukese	1	chk
1674	\N	\N	\N	Cahuilla	0	chl
78	chm	chm	\N	Mari	1	chm
79	chn	chn	\N	Chinook jargon	1	chn
80	cho	cho	\N	Choctaw	1	cho
81	chp	chp	\N	Chipewyan	1	chp
1675	\N	\N	\N	Quiotepec Chinantec	0	chq
82	chr	chr	\N	Cherokee	1	chr
1676	\N	\N	\N	Cholón	0	cht
83	chu	chu	cu	Church Slavic	1	chu
84	chv	chv	cv	Chuvash	1	chv
1677	\N	\N	\N	Chuwabu	0	chw
1678	\N	\N	\N	Chantyal	0	chx
85	chy	chy	\N	Cheyenne	1	chy
1679	\N	\N	\N	Ozumacín Chinantec	0	chz
1680	\N	\N	\N	Cia-Cia	0	cia
1681	\N	\N	\N	Ci Gbe	0	cib
1682	\N	\N	\N	Chickasaw	0	cic
1683	\N	\N	\N	Chimariko	0	cid
1684	\N	\N	\N	Cineni	0	cie
1685	\N	\N	\N	Chinali	0	cih
1686	\N	\N	\N	Chitkuli Kinnauri	0	cik
1687	\N	\N	\N	Cimbrian	0	cim
1688	\N	\N	\N	Cinta Larga	0	cin
1689	\N	\N	\N	Chiapanec	0	cip
1690	\N	\N	\N	Tiri	0	cir
1691	\N	\N	\N	Chippewa	0	ciw
1692	\N	\N	\N	Chaima	0	ciy
1693	\N	\N	\N	Western Cham	0	cja
1694	\N	\N	\N	Chru	0	cje
1695	\N	\N	\N	Upper Chehalis	0	cjh
1696	\N	\N	\N	Chamalal	0	cji
1697	\N	\N	\N	Chokwe	0	cjk
1698	\N	\N	\N	Eastern Cham	0	cjm
1699	\N	\N	\N	Chenapian	0	cjn
1700	\N	\N	\N	Ashéninka Pajonal	0	cjo
1701	\N	\N	\N	Cabécar	0	cjp
1702	\N	\N	\N	Shor	0	cjs
1703	\N	\N	\N	Chuave	0	cjv
1704	\N	\N	\N	Jinyu Chinese	0	cjy
1705	\N	\N	\N	Central Kurdish	0	ckb
1706	\N	\N	\N	Chak	0	ckh
1707	\N	\N	\N	Cibak	0	ckl
1708	\N	\N	\N	Anufo	0	cko
1709	\N	\N	\N	Kajakse	0	ckq
1710	\N	\N	\N	Kairak	0	ckr
1711	\N	\N	\N	Tayo	0	cks
1712	\N	\N	\N	Chukot	0	ckt
1713	\N	\N	\N	Koasati	0	cku
1714	\N	\N	\N	Kavalan	0	ckv
1715	\N	\N	\N	Caka	0	ckx
1716	\N	\N	\N	Cakfem-Mushere	0	cky
1717	\N	\N	\N	Cakchiquel-Quiché Mixed Language	0	ckz
1718	\N	\N	\N	Ron	0	cla
1719	\N	\N	\N	Chilcotin	0	clc
1720	\N	\N	\N	Chaldean Neo-Aramaic	0	cld
1721	\N	\N	\N	Lealao Chinantec	0	cle
1722	\N	\N	\N	Chilisso	0	clh
1723	\N	\N	\N	Chakali	0	cli
1724	\N	\N	\N	Laitu Chin	0	clj
1725	\N	\N	\N	Idu-Mishmi	0	clk
1726	\N	\N	\N	Chala	0	cll
1727	\N	\N	\N	Clallam	0	clm
1728	\N	\N	\N	Lowland Oaxaca Chontal	0	clo
1729	\N	\N	\N	Lautu Chin	0	clt
1730	\N	\N	\N	Caluyanun	0	clu
1731	\N	\N	\N	Chulym	0	clw
1732	\N	\N	\N	Eastern Highland Chatino	0	cly
1733	\N	\N	\N	Maa	0	cma
1734	\N	\N	\N	Cerma	0	cme
1735	\N	\N	\N	Classical Mongolian	0	cmg
1736	\N	\N	\N	Emberá-Chamí	0	cmi
1737	\N	\N	\N	Campalagian	0	cml
1738	\N	\N	\N	Michigamea	0	cmm
1740	\N	\N	\N	Central Mnong	0	cmo
1741	\N	\N	\N	Mro-Khimi Chin	0	cmr
1742	\N	\N	\N	Messapic	0	cms
1743	\N	\N	\N	Camtho	0	cmt
1744	\N	\N	\N	Changthang	0	cna
1745	\N	\N	\N	Chinbon Chin	0	cnb
1746	\N	\N	\N	Côông	0	cnc
1747	\N	\N	\N	Northern Qiang	0	cng
1748	\N	\N	\N	Haka Chin	0	cnh
1749	\N	\N	\N	Asháninka	0	cni
1750	\N	\N	\N	Khumi Chin	0	cnk
1751	\N	\N	\N	Lalana Chinantec	0	cnl
1752	\N	\N	\N	Con	0	cno
1753	\N	\N	\N	Central Asmat	0	cns
1754	\N	\N	\N	Tepetotutla Chinantec	0	cnt
1755	\N	\N	\N	Chenoua	0	cnu
1756	\N	\N	\N	Ngawn Chin	0	cnw
1757	\N	\N	\N	Middle Cornish	0	cnx
1758	\N	\N	\N	Cocos Islands Malay	0	coa
1759	\N	\N	\N	Chicomuceltec	0	cob
1760	\N	\N	\N	Cocopa	0	coc
1761	\N	\N	\N	Cocama-Cocamilla	0	cod
1762	\N	\N	\N	Koreguaje	0	coe
1763	\N	\N	\N	Colorado	0	cof
1764	\N	\N	\N	Chong	0	cog
1765	\N	\N	\N	Chonyi-Dzihana-Kauma	0	coh
1766	\N	\N	\N	Cochimi	0	coj
1767	\N	\N	\N	Santa Teresa Cora	0	cok
1768	\N	\N	\N	Columbia-Wenatchi	0	col
1769	\N	\N	\N	Comanche	0	com
1770	\N	\N	\N	Cofán	0	con
1771	\N	\N	\N	Comox	0	coo
87	cop	cop	\N	Coptic	1	cop
1772	\N	\N	\N	Coquille	0	coq
88	cor	cor	kw	Cornish	1	cor
89	cos	cos	co	Corsican	1	cos
1773	\N	\N	\N	Caquinte	0	cot
1774	\N	\N	\N	Wamey	0	cou
1775	\N	\N	\N	Cao Miao	0	cov
1776	\N	\N	\N	Cowlitz	0	cow
1777	\N	\N	\N	Nanti	0	cox
1778	\N	\N	\N	Coyaima	0	coy
1779	\N	\N	\N	Chochotec	0	coz
1780	\N	\N	\N	Palantla Chinantec	0	cpa
1781	\N	\N	\N	Ucayali-Yurúa Ashéninka	0	cpb
1782	\N	\N	\N	Ajyíninka Apurucayali	0	cpc
1783	\N	\N	\N	Cappadocian Greek	0	cpg
1784	\N	\N	\N	Chinese Pidgin English	0	cpi
1785	\N	\N	\N	Cherepon	0	cpn
1786	\N	\N	\N	Capiznon	0	cps
1787	\N	\N	\N	Pichis Ashéninka	0	cpu
1788	\N	\N	\N	Pu-Xian Chinese	0	cpx
1789	\N	\N	\N	South Ucayali Ashéninka	0	cpy
1790	\N	\N	\N	Chuanqiandian Cluster Miao	0	cqd
1791	\N	\N	\N	Chilean Quechua	0	cqu
1792	\N	\N	\N	Chara	0	cra
1793	\N	\N	\N	Island Carib	0	crb
1794	\N	\N	\N	Lonwolwol	0	crc
1795	\N	\N	\N	Coeur d'Alene	0	crd
93	cre	cre	cr	Cree	1	cre
1796	\N	\N	\N	Caramanta	0	crf
1797	\N	\N	\N	Michif	0	crg
94	crh	crh	\N	Crimean Tatar	1	crh
1798	\N	\N	\N	Sãotomense	0	cri
1799	\N	\N	\N	Southern East Cree	0	crj
1800	\N	\N	\N	Plains Cree	0	crk
1801	\N	\N	\N	Northern East Cree	0	crl
1802	\N	\N	\N	Moose Cree	0	crm
1803	\N	\N	\N	El Nayar Cora	0	crn
1804	\N	\N	\N	Crow	0	cro
1805	\N	\N	\N	Iyo'wujwa Chorote	0	crq
1806	\N	\N	\N	Carolina Algonquian	0	crr
1807	\N	\N	\N	Seselwa Creole French	0	crs
1808	\N	\N	\N	Iyojwa'ja Chorote	0	crt
1809	\N	\N	\N	Chaura	0	crv
1810	\N	\N	\N	Chrau	0	crw
1811	\N	\N	\N	Carrier	0	crx
1812	\N	\N	\N	Cori	0	cry
1813	\N	\N	\N	Cruzeño	0	crz
1814	\N	\N	\N	Chiltepec Chinantec	0	csa
96	csb	csb	\N	Kashubian	1	csb
1815	\N	\N	\N	Catalan Sign Language	0	csc
1739	\N	\N	\N	Mandarin Chinese	1	cmn
1816	\N	\N	\N	Chiangmai Sign Language	0	csd
1817	\N	\N	\N	Czech Sign Language	0	cse
1818	\N	\N	\N	Cuba Sign Language	0	csf
1819	\N	\N	\N	Chilean Sign Language	0	csg
1820	\N	\N	\N	Asho Chin	0	csh
1821	\N	\N	\N	Coast Miwok	0	csi
1822	\N	\N	\N	Jola-Kasa	0	csk
1823	\N	\N	\N	Chinese Sign Language	0	csl
1824	\N	\N	\N	Central Sierra Miwok	0	csm
1825	\N	\N	\N	Colombian Sign Language	0	csn
1826	\N	\N	\N	Sochiapam Chinantec	0	cso
1827	\N	\N	\N	Croatia Sign Language	0	csq
1828	\N	\N	\N	Costa Rican Sign Language	0	csr
1829	\N	\N	\N	Southern Ohlone	0	css
1830	\N	\N	\N	Northern Ohlone	0	cst
1831	\N	\N	\N	Sumtu Chin	0	csv
1832	\N	\N	\N	Swampy Cree	0	csw
1833	\N	\N	\N	Siyin Chin	0	csy
1834	\N	\N	\N	Coos	0	csz
1835	\N	\N	\N	Tataltepec Chatino	0	cta
1836	\N	\N	\N	Chetco	0	ctc
1837	\N	\N	\N	Tedim Chin	0	ctd
1838	\N	\N	\N	Tepinapa Chinantec	0	cte
1839	\N	\N	\N	Chittagonian	0	ctg
1840	\N	\N	\N	Thaiphum Chin	0	cth
1841	\N	\N	\N	Tlacoatzintepec Chinantec	0	ctl
1842	\N	\N	\N	Chitimacha	0	ctm
1843	\N	\N	\N	Chhintange	0	ctn
1844	\N	\N	\N	Emberá-Catío	0	cto
1845	\N	\N	\N	Western Highland Chatino	0	ctp
1846	\N	\N	\N	Northern Catanduanes Bikol	0	cts
1847	\N	\N	\N	Wayanad Chetti	0	ctt
1848	\N	\N	\N	Chol	0	ctu
1849	\N	\N	\N	Zacatepec Chatino	0	ctz
1850	\N	\N	\N	Cua	0	cua
1851	\N	\N	\N	Cubeo	0	cub
1852	\N	\N	\N	Usila Chinantec	0	cuc
1853	\N	\N	\N	Cung	0	cug
1854	\N	\N	\N	Chuka	0	cuh
1855	\N	\N	\N	Cuiba	0	cui
1856	\N	\N	\N	Mashco Piro	0	cuj
1857	\N	\N	\N	San Blas Kuna	0	cuk
1858	\N	\N	\N	Culina	0	cul
1859	\N	\N	\N	Cumeral	0	cum
1860	\N	\N	\N	Cumanagoto	0	cuo
1861	\N	\N	\N	Cupeño	0	cup
1862	\N	\N	\N	Cun	0	cuq
1863	\N	\N	\N	Chhulung	0	cur
1864	\N	\N	\N	Teutila Cuicatec	0	cut
1865	\N	\N	\N	Tai Ya	0	cuu
1866	\N	\N	\N	Cuvok	0	cuv
1867	\N	\N	\N	Chukwa	0	cuw
1868	\N	\N	\N	Tepeuxila Cuicatec	0	cux
1869	\N	\N	\N	Chug	0	cvg
1870	\N	\N	\N	Valle Nacional Chinantec	0	cvn
1871	\N	\N	\N	Kabwa	0	cwa
1872	\N	\N	\N	Maindo	0	cwb
1873	\N	\N	\N	Woods Cree	0	cwd
1874	\N	\N	\N	Kwere	0	cwe
1875	\N	\N	\N	Chewong	0	cwg
1876	\N	\N	\N	Kuwaataay	0	cwt
1877	\N	\N	\N	Nopala Chatino	0	cya
1878	\N	\N	\N	Cayubaba	0	cyb
455	cym	wel	cy	Welsh	1	cym
1879	\N	\N	\N	Cuyonon	0	cyo
1880	\N	\N	\N	Huizhou Chinese	0	czh
1881	\N	\N	\N	Knaanic	0	czk
1882	\N	\N	\N	Zenzontepec Chatino	0	czn
1883	\N	\N	\N	Min Zhong Chinese	0	czo
1884	\N	\N	\N	Zotung Chin	0	czt
1885	\N	\N	\N	Dangaléat	0	daa
1886	\N	\N	\N	Dambi	0	dac
1887	\N	\N	\N	Marik	0	dad
1888	\N	\N	\N	Duupa	0	dae
1889	\N	\N	\N	Dan	0	daf
1890	\N	\N	\N	Dagbani	0	dag
1891	\N	\N	\N	Gwahatike	0	dah
1892	\N	\N	\N	Day	0	dai
1893	\N	\N	\N	Dar Fur Daju	0	daj
99	dak	dak	\N	Dakota	1	dak
1894	\N	\N	\N	Dahalo	0	dal
1895	\N	\N	\N	Damakawa	0	dam
1896	\N	\N	\N	Daai Chin	0	dao
1897	\N	\N	\N	Dandami Maria	0	daq
101	dar	dar	\N	Dargwa	1	dar
1898	\N	\N	\N	Daho-Doo	0	das
1899	\N	\N	\N	Dar Sila Daju	0	dau
1900	\N	\N	\N	Taita	0	dav
1901	\N	\N	\N	Davawenyo	0	daw
1902	\N	\N	\N	Dayi	0	dax
1903	\N	\N	\N	Dao	0	daz
1904	\N	\N	\N	Bangi Me	0	dba
1905	\N	\N	\N	Deno	0	dbb
1906	\N	\N	\N	Dadiya	0	dbd
1907	\N	\N	\N	Dabe	0	dbe
1908	\N	\N	\N	Edopi	0	dbf
1909	\N	\N	\N	Dogul Dom Dogon	0	dbg
1910	\N	\N	\N	Doka	0	dbi
1911	\N	\N	\N	Ida'an	0	dbj
1912	\N	\N	\N	Dyirbal	0	dbl
1913	\N	\N	\N	Duguri	0	dbm
1914	\N	\N	\N	Duriankere	0	dbn
1915	\N	\N	\N	Dulbu	0	dbo
1916	\N	\N	\N	Duwai	0	dbp
1917	\N	\N	\N	Daba	0	dbq
1918	\N	\N	\N	Dabarre	0	dbr
1919	\N	\N	\N	Ben Tey Dogon	0	dbt
1920	\N	\N	\N	Bondum Dom Dogon	0	dbu
1921	\N	\N	\N	Dungu	0	dbv
1922	\N	\N	\N	Bankan Tey Dogon	0	dbw
1923	\N	\N	\N	Dibiyaso	0	dby
1924	\N	\N	\N	Deccan	0	dcc
1925	\N	\N	\N	Negerhollands	0	dcr
1926	\N	\N	\N	Dadi Dadi	0	dda
1927	\N	\N	\N	Dongotono	0	ddd
1928	\N	\N	\N	Doondo	0	dde
1929	\N	\N	\N	Fataluku	0	ddg
1930	\N	\N	\N	West Goodenough	0	ddi
1931	\N	\N	\N	Jaru	0	ddj
1932	\N	\N	\N	Dendi (Benin)	0	ddn
1933	\N	\N	\N	Dido	0	ddo
1934	\N	\N	\N	Dhudhuroa	0	ddr
1935	\N	\N	\N	Donno So Dogon	0	dds
1936	\N	\N	\N	Dawera-Daweloor	0	ddw
1937	\N	\N	\N	Dagik	0	dec
1938	\N	\N	\N	Dedua	0	ded
1939	\N	\N	\N	Dewoin	0	dee
1940	\N	\N	\N	Dezfuli	0	def
1941	\N	\N	\N	Degema	0	deg
1942	\N	\N	\N	Dehwari	0	deh
1943	\N	\N	\N	Demisa	0	dei
1944	\N	\N	\N	Dek	0	dek
103	del	del	\N	Delaware	1	del
1945	\N	\N	\N	Dem	0	dem
104	den	den	\N	Slave (Athapascan)	1	den
1946	\N	\N	\N	Pidgin Delaware	0	dep
1947	\N	\N	\N	Dendi (Central African Republic)	0	deq
1948	\N	\N	\N	Deori	0	der
1949	\N	\N	\N	Desano	0	des
1950	\N	\N	\N	Domung	0	dev
1951	\N	\N	\N	Dengese	0	dez
1952	\N	\N	\N	Southern Dagaare	0	dga
1953	\N	\N	\N	Bunoge Dogon	0	dgb
1954	\N	\N	\N	Casiguran Dumagat Agta	0	dgc
1955	\N	\N	\N	Dagaari Dioula	0	dgd
1956	\N	\N	\N	Degenan	0	dge
1957	\N	\N	\N	Doga	0	dgg
1958	\N	\N	\N	Dghwede	0	dgh
1959	\N	\N	\N	Northern Dagara	0	dgi
1960	\N	\N	\N	Dagba	0	dgk
1961	\N	\N	\N	Andaandi	0	dgl
1962	\N	\N	\N	Dagoman	0	dgn
1963	\N	\N	\N	Dogri (individual language)	0	dgo
105	dgr	dgr	\N	Dogrib	1	dgr
1964	\N	\N	\N	Dogoso	0	dgs
1965	\N	\N	\N	Ndrag'ngith	0	dgt
1966	\N	\N	\N	Degaru	0	dgu
1967	\N	\N	\N	Daungwurrung	0	dgw
1968	\N	\N	\N	Doghoro	0	dgx
1969	\N	\N	\N	Daga	0	dgz
1970	\N	\N	\N	Dhundari	0	dhd
1971	\N	\N	\N	Dhangu	0	dhg
1972	\N	\N	\N	Dhimal	0	dhi
1973	\N	\N	\N	Dhalandji	0	dhl
1974	\N	\N	\N	Zemba	0	dhm
1975	\N	\N	\N	Dhanki	0	dhn
1976	\N	\N	\N	Dhodia	0	dho
1977	\N	\N	\N	Dhargari	0	dhr
1978	\N	\N	\N	Dhaiso	0	dhs
1979	\N	\N	\N	Dhurga	0	dhu
1980	\N	\N	\N	Dehu	0	dhv
1981	\N	\N	\N	Dhanwar (Nepal)	0	dhw
1982	\N	\N	\N	Dia	0	dia
1983	\N	\N	\N	South Central Dinka	0	dib
1984	\N	\N	\N	Lakota Dida	0	dic
1985	\N	\N	\N	Didinga	0	did
1986	\N	\N	\N	Dieri	0	dif
1987	\N	\N	\N	Digo	0	dig
1988	\N	\N	\N	Kumiai	0	dih
1989	\N	\N	\N	Dimbong	0	dii
1990	\N	\N	\N	Dai	0	dij
1991	\N	\N	\N	Southwestern Dinka	0	dik
1992	\N	\N	\N	Dilling	0	dil
1993	\N	\N	\N	Dime	0	dim
106	din	din	\N	Dinka	1	din
1994	\N	\N	\N	Dibo	0	dio
1995	\N	\N	\N	Northeastern Dinka	0	dip
1996	\N	\N	\N	Dimli (individual language)	0	diq
1997	\N	\N	\N	Dirim	0	dir
1998	\N	\N	\N	Dimasa	0	dis
1999	\N	\N	\N	Dirari	0	dit
2000	\N	\N	\N	Diriku	0	diu
107	div	div	dv	Divehi	1	div
2001	\N	\N	\N	Northwestern Dinka	0	diw
2002	\N	\N	\N	Dixon Reef	0	dix
2003	\N	\N	\N	Diuwe	0	diy
2004	\N	\N	\N	Ding	0	diz
2005	\N	\N	\N	Djadjawurrung	0	dja
2006	\N	\N	\N	Djinba	0	djb
2007	\N	\N	\N	Dar Daju Daju	0	djc
2008	\N	\N	\N	Djamindjung	0	djd
2009	\N	\N	\N	Zarma	0	dje
2010	\N	\N	\N	Djangun	0	djf
2011	\N	\N	\N	Djinang	0	dji
2012	\N	\N	\N	Djeebbana	0	djj
2013	\N	\N	\N	Eastern Maroon Creole	0	djk
2014	\N	\N	\N	Djiwarli	0	djl
2015	\N	\N	\N	Jamsay Dogon	0	djm
2016	\N	\N	\N	Djauan	0	djn
2017	\N	\N	\N	Jangkang	0	djo
2018	\N	\N	\N	Djambarrpuyngu	0	djr
2019	\N	\N	\N	Kapriman	0	dju
2020	\N	\N	\N	Djawi	0	djw
2021	\N	\N	\N	Dakpakha	0	dka
2022	\N	\N	\N	Dakka	0	dkk
2023	\N	\N	\N	Kuijau	0	dkr
2024	\N	\N	\N	Southeastern Dinka	0	dks
2025	\N	\N	\N	Mazagway	0	dkx
2026	\N	\N	\N	Dolgan	0	dlg
2027	\N	\N	\N	Dalmatian	0	dlm
2028	\N	\N	\N	Darlong	0	dln
2029	\N	\N	\N	Duma	0	dma
2030	\N	\N	\N	Mombo Dogon	0	dmb
2031	\N	\N	\N	Dimir	0	dmc
2032	\N	\N	\N	Madhi Madhi	0	dmd
2033	\N	\N	\N	Dugwor	0	dme
2034	\N	\N	\N	Upper Kinabatangan	0	dmg
2035	\N	\N	\N	Domaaki	0	dmk
2036	\N	\N	\N	Dameli	0	dml
2037	\N	\N	\N	Dama	0	dmm
2038	\N	\N	\N	Kemedzung	0	dmo
2039	\N	\N	\N	East Damar	0	dmr
2040	\N	\N	\N	Dampelas	0	dms
2041	\N	\N	\N	Dubu	0	dmu
2042	\N	\N	\N	Dumpas	0	dmv
2043	\N	\N	\N	Dema	0	dmx
2044	\N	\N	\N	Demta	0	dmy
2045	\N	\N	\N	Upper Grand Valley Dani	0	dna
2046	\N	\N	\N	Daonda	0	dnd
2047	\N	\N	\N	Ndendeule	0	dne
2048	\N	\N	\N	Dungan	0	dng
2049	\N	\N	\N	Lower Grand Valley Dani	0	dni
2050	\N	\N	\N	Dengka	0	dnk
2051	\N	\N	\N	Dzùùngoo	0	dnn
2052	\N	\N	\N	Danaru	0	dnr
2053	\N	\N	\N	Mid Grand Valley Dani	0	dnt
2054	\N	\N	\N	Danau	0	dnu
2055	\N	\N	\N	Danu	0	dnv
2056	\N	\N	\N	Western Dani	0	dnw
2057	\N	\N	\N	Dení	0	dny
2058	\N	\N	\N	Dom	0	doa
2059	\N	\N	\N	Dobu	0	dob
2060	\N	\N	\N	Northern Dong	0	doc
2061	\N	\N	\N	Doe	0	doe
2062	\N	\N	\N	Domu	0	dof
2063	\N	\N	\N	Dong	0	doh
108	doi	doi	\N	Dogri	1	doi
2064	\N	\N	\N	Dondo	0	dok
2065	\N	\N	\N	Doso	0	dol
2066	\N	\N	\N	Toura (Papua New Guinea)	0	don
2067	\N	\N	\N	Dongo	0	doo
2068	\N	\N	\N	Lukpa	0	dop
2069	\N	\N	\N	Dominican Sign Language	0	doq
2070	\N	\N	\N	Dori'o	0	dor
2071	\N	\N	\N	Dogosé	0	dos
2072	\N	\N	\N	Dass	0	dot
2073	\N	\N	\N	Dombe	0	dov
2074	\N	\N	\N	Doyayo	0	dow
2075	\N	\N	\N	Bussa	0	dox
2076	\N	\N	\N	Dompo	0	doy
2077	\N	\N	\N	Dorze	0	doz
2078	\N	\N	\N	Papar	0	dpp
2079	\N	\N	\N	Dair	0	drb
2080	\N	\N	\N	Minderico	0	drc
2081	\N	\N	\N	Darmiya	0	drd
2082	\N	\N	\N	Dolpo	0	dre
2083	\N	\N	\N	Rungus	0	drg
2084	\N	\N	\N	C'lela	0	dri
2085	\N	\N	\N	Paakantyi	0	drl
2086	\N	\N	\N	West Damar	0	drn
2087	\N	\N	\N	Daro-Matu Melanau	0	dro
2088	\N	\N	\N	Dura	0	drq
2089	\N	\N	\N	Dororo	0	drr
2090	\N	\N	\N	Gedeo	0	drs
2091	\N	\N	\N	Drents	0	drt
2092	\N	\N	\N	Rukai	0	dru
2093	\N	\N	\N	Darai	0	dry
110	dsb	dsb	\N	Sorbian, Lower	1	dsb
2094	\N	\N	\N	Dutch Sign Language	0	dse
2095	\N	\N	\N	Daasanach	0	dsh
2096	\N	\N	\N	Disa	0	dsi
2097	\N	\N	\N	Danish Sign Language	0	dsl
2098	\N	\N	\N	Dusner	0	dsn
2099	\N	\N	\N	Desiya	0	dso
2100	\N	\N	\N	Tadaksahak	0	dsq
2101	\N	\N	\N	Daur	0	dta
2102	\N	\N	\N	Labuk-Kinabatangan Kadazan	0	dtb
2103	\N	\N	\N	Ditidaht	0	dtd
2104	\N	\N	\N	Adithinngithigh	0	dth
2105	\N	\N	\N	Ana Tinga Dogon	0	dti
2106	\N	\N	\N	Tene Kan Dogon	0	dtk
2107	\N	\N	\N	Tomo Kan Dogon	0	dtm
2108	\N	\N	\N	Tommo So Dogon	0	dto
2109	\N	\N	\N	Central Dusun	0	dtp
2110	\N	\N	\N	Lotud	0	dtr
2111	\N	\N	\N	Toro So Dogon	0	dts
2112	\N	\N	\N	Toro Tegu Dogon	0	dtt
2113	\N	\N	\N	Tebul Ure Dogon	0	dtu
2114	\N	\N	\N	Dotyali	0	dty
111	dua	dua	\N	Duala	1	dua
2115	\N	\N	\N	Dubli	0	dub
2116	\N	\N	\N	Duna	0	duc
2117	\N	\N	\N	Hun-Saare	0	dud
2118	\N	\N	\N	Umiray Dumaget Agta	0	due
2119	\N	\N	\N	Dumbea	0	duf
2120	\N	\N	\N	Duruma	0	dug
2121	\N	\N	\N	Dungra Bhil	0	duh
2122	\N	\N	\N	Dumun	0	dui
2123	\N	\N	\N	Dhuwal	0	duj
2124	\N	\N	\N	Uyajitaya	0	duk
2125	\N	\N	\N	Alabat Island Agta	0	dul
112	dum	dum	\N	Dutch, Middle (ca.1050-1350)	0	dum
2126	\N	\N	\N	Dusun Deyah	0	dun
2127	\N	\N	\N	Dupaninan Agta	0	duo
2128	\N	\N	\N	Duano	0	dup
2129	\N	\N	\N	Dusun Malang	0	duq
2130	\N	\N	\N	Dii	0	dur
2131	\N	\N	\N	Dumi	0	dus
2132	\N	\N	\N	Drung	0	duu
2133	\N	\N	\N	Duvle	0	duv
2134	\N	\N	\N	Dusun Witu	0	duw
2135	\N	\N	\N	Duungooma	0	dux
2136	\N	\N	\N	Dicamay Agta	0	duy
2137	\N	\N	\N	Duli	0	duz
2138	\N	\N	\N	Duau	0	dva
2139	\N	\N	\N	Diri	0	dwa
2140	\N	\N	\N	Dawro	0	dwr
2141	\N	\N	\N	Dutton World Speedwords	0	dws
2142	\N	\N	\N	Dawawa	0	dww
2143	\N	\N	\N	Dyan	0	dya
2144	\N	\N	\N	Dyaberdyaber	0	dyb
2145	\N	\N	\N	Dyugun	0	dyd
2146	\N	\N	\N	Villa Viciosa Agta	0	dyg
2147	\N	\N	\N	Djimini Senoufo	0	dyi
2148	\N	\N	\N	Yanda Dom Dogon	0	dym
2149	\N	\N	\N	Dyangadi	0	dyn
2150	\N	\N	\N	Jola-Fonyi	0	dyo
114	dyu	dyu	\N	Dyula	1	dyu
2151	\N	\N	\N	Dyaabugay	0	dyy
2152	\N	\N	\N	Tunzu	0	dza
2153	\N	\N	\N	Daza	0	dzd
2154	\N	\N	\N	Dazaga	0	dzg
2155	\N	\N	\N	Dzalakha	0	dzl
2156	\N	\N	\N	Dzando	0	dzn
115	dzo	dzo	dz	Dzongkha	1	dzo
2157	\N	\N	\N	Ebughu	0	ebg
2158	\N	\N	\N	Eastern Bontok	0	ebk
2159	\N	\N	\N	Teke-Ebo	0	ebo
2160	\N	\N	\N	Ebrié	0	ebr
2161	\N	\N	\N	Embu	0	ebu
2162	\N	\N	\N	Eteocretan	0	ecr
2163	\N	\N	\N	Ecuadorian Sign Language	0	ecs
2164	\N	\N	\N	Eteocypriot	0	ecy
2165	\N	\N	\N	E	0	eee
2166	\N	\N	\N	Efai	0	efa
2167	\N	\N	\N	Efe	0	efe
116	efi	efi	\N	Efik	1	efi
2168	\N	\N	\N	Ega	0	ega
2169	\N	\N	\N	Emilian	0	egl
2170	\N	\N	\N	Eggon	0	ego
117	egy	egy	\N	Egyptian (Ancient)	0	egy
2171	\N	\N	\N	Ehueun	0	ehu
2172	\N	\N	\N	Eipomek	0	eip
2173	\N	\N	\N	Eitiep	0	eit
2174	\N	\N	\N	Askopan	0	eiv
2175	\N	\N	\N	Ejamat	0	eja
118	eka	eka	\N	Ekajuk	1	eka
2176	\N	\N	\N	Ekit	0	eke
2177	\N	\N	\N	Ekari	0	ekg
2178	\N	\N	\N	Eki	0	eki
2179	\N	\N	\N	Standard Estonian	0	ekk
2180	\N	\N	\N	Kol	0	ekl
2181	\N	\N	\N	Elip	0	ekm
2182	\N	\N	\N	Koti	0	eko
2183	\N	\N	\N	Ekpeye	0	ekp
2184	\N	\N	\N	Yace	0	ekr
2185	\N	\N	\N	Eastern Kayah	0	eky
2186	\N	\N	\N	Elepi	0	ele
2187	\N	\N	\N	El Hugeirat	0	elh
2188	\N	\N	\N	Nding	0	eli
2189	\N	\N	\N	Elkei	0	elk
121	enm	enm	\N	English, Middle (1100-1500)	1	enm
2190	\N	\N	\N	Eleme	0	elm
2191	\N	\N	\N	El Molo	0	elo
2192	\N	\N	\N	Elu	0	elu
119	elx	elx	\N	Elamite	1	elx
2193	\N	\N	\N	Emai-Iuleha-Ora	0	ema
2194	\N	\N	\N	Embaloh	0	emb
2195	\N	\N	\N	Emerillon	0	eme
2196	\N	\N	\N	Eastern Meohang	0	emg
2197	\N	\N	\N	Mussau-Emira	0	emi
2198	\N	\N	\N	Eastern Maninkakan	0	emk
2199	\N	\N	\N	Mamulique	0	emm
2200	\N	\N	\N	Eman	0	emn
2201	\N	\N	\N	Emok	0	emo
2202	\N	\N	\N	Northern Emberá	0	emp
2203	\N	\N	\N	Pacific Gulf Yupik	0	ems
2204	\N	\N	\N	Eastern Muria	0	emu
2205	\N	\N	\N	Emplawas	0	emw
2206	\N	\N	\N	Erromintxela	0	emx
2207	\N	\N	\N	Epigraphic Mayan	0	emy
2208	\N	\N	\N	Apali	0	ena
2209	\N	\N	\N	Markweeta	0	enb
2210	\N	\N	\N	En	0	enc
2211	\N	\N	\N	Ende	0	end
2212	\N	\N	\N	Forest Enets	0	enf
2213	\N	\N	\N	Tundra Enets	0	enh
2214	\N	\N	\N	Engenni	0	enn
2215	\N	\N	\N	Enggano	0	eno
2216	\N	\N	\N	Enga	0	enq
2217	\N	\N	\N	Emumu	0	enr
2218	\N	\N	\N	Enu	0	enu
2219	\N	\N	\N	Enwan (Edu State)	0	env
2220	\N	\N	\N	Enwan (Akwa Ibom State)	0	enw
2221	\N	\N	\N	Beti (Côte d'Ivoire)	0	eot
2222	\N	\N	\N	Epie	0	epi
122	epo	epo	eo	Esperanto	1	epo
2223	\N	\N	\N	Eravallan	0	era
2224	\N	\N	\N	Sie	0	erg
2225	\N	\N	\N	Eruwa	0	erh
2226	\N	\N	\N	Ogea	0	eri
2227	\N	\N	\N	South Efate	0	erk
2228	\N	\N	\N	Horpa	0	ero
2229	\N	\N	\N	Erre	0	err
2230	\N	\N	\N	Ersu	0	ers
2231	\N	\N	\N	Eritai	0	ert
2232	\N	\N	\N	Erokwanas	0	erw
2233	\N	\N	\N	Ese Ejja	0	ese
2234	\N	\N	\N	Eshtehardi	0	esh
2235	\N	\N	\N	North Alaskan Inupiatun	0	esi
2236	\N	\N	\N	Northwest Alaska Inupiatun	0	esk
2237	\N	\N	\N	Egypt Sign Language	0	esl
2238	\N	\N	\N	Esuma	0	esm
2239	\N	\N	\N	Salvadoran Sign Language	0	esn
2240	\N	\N	\N	Estonian Sign Language	0	eso
2241	\N	\N	\N	Esselen	0	esq
2242	\N	\N	\N	Central Siberian Yupik	0	ess
123	est	est	et	Estonian	1	est
2243	\N	\N	\N	Central Yupik	0	esu
2244	\N	\N	\N	Etebi	0	etb
2245	\N	\N	\N	Etchemin	0	etc
2246	\N	\N	\N	Ethiopian Sign Language	0	eth
2247	\N	\N	\N	Eton (Vanuatu)	0	etn
2248	\N	\N	\N	Eton (Cameroon)	0	eto
2249	\N	\N	\N	Edolo	0	etr
2250	\N	\N	\N	Yekhee	0	ets
2251	\N	\N	\N	Etruscan	0	ett
2252	\N	\N	\N	Ejagham	0	etu
2253	\N	\N	\N	Eten	0	etx
2254	\N	\N	\N	Semimi	0	etz
41	eus	baq	eu	Basque	1	eus
2255	\N	\N	\N	Even	0	eve
2256	\N	\N	\N	Uvbie	0	evh
2257	\N	\N	\N	Evenki	0	evn
124	ewe	ewe	ee	Ewe	1	ewe
125	ewo	ewo	\N	Ewondo	1	ewo
2258	\N	\N	\N	Extremaduran	0	ext
2259	\N	\N	\N	Eyak	0	eya
2260	\N	\N	\N	Keiyo	0	eyo
2261	\N	\N	\N	Uzekwe	0	eze
2262	\N	\N	\N	Fasu	0	faa
2263	\N	\N	\N	Fa D'ambu	0	fab
2264	\N	\N	\N	Wagi	0	fad
2265	\N	\N	\N	Fagani	0	faf
2266	\N	\N	\N	Finongan	0	fag
2267	\N	\N	\N	Baissa Fali	0	fah
2268	\N	\N	\N	Faiwol	0	fai
2269	\N	\N	\N	Faita	0	faj
2270	\N	\N	\N	Fang (Cameroon)	0	fak
2271	\N	\N	\N	South Fali	0	fal
2272	\N	\N	\N	Fam	0	fam
126	fan	fan	\N	Fang	1	fan
127	fao	fao	fo	Faroese	1	fao
2273	\N	\N	\N	Palor	0	fap
2274	\N	\N	\N	Fataleka	0	far
334	fas	per	fa	Persian	1	fas
128	fat	fat	\N	Fanti	1	fat
2275	\N	\N	\N	Fayu	0	fau
2276	\N	\N	\N	Fala	0	fax
2277	\N	\N	\N	Southwestern Fars	0	fay
2278	\N	\N	\N	Northwestern Fars	0	faz
2279	\N	\N	\N	West Albay Bikol	0	fbl
2280	\N	\N	\N	Quebec Sign Language	0	fcs
2281	\N	\N	\N	Feroge	0	fer
2282	\N	\N	\N	Foia Foia	0	ffi
2283	\N	\N	\N	Maasina Fulfulde	0	ffm
2284	\N	\N	\N	Fongoro	0	fgr
2285	\N	\N	\N	Nobiin	0	fia
2286	\N	\N	\N	Fyer	0	fie
129	fij	fij	fj	Fijian	1	fij
130	fil	fil	\N	Filipino	1	fil
136	fro	fro	\N	French, Old (842-ca.1400)	1	fro
2287	\N	\N	\N	Fipa	0	fip
2288	\N	\N	\N	Firan	0	fir
2289	\N	\N	\N	Tornedalen Finnish	0	fit
2290	\N	\N	\N	Fiwaga	0	fiw
2291	\N	\N	\N	Kirya-Konzəl	0	fkk
2292	\N	\N	\N	Kven Finnish	0	fkv
2293	\N	\N	\N	Kalispel-Pend d'Oreille	0	fla
2294	\N	\N	\N	Foau	0	flh
2295	\N	\N	\N	Fali	0	fli
2296	\N	\N	\N	North Fali	0	fll
2297	\N	\N	\N	Flinders Island	0	fln
2298	\N	\N	\N	Fuliiru	0	flr
2299	\N	\N	\N	Tsotsitaal	0	fly
2300	\N	\N	\N	Fe'fe'	0	fmp
2301	\N	\N	\N	Far Western Muria	0	fmu
2302	\N	\N	\N	Fanagalo	0	fng
2303	\N	\N	\N	Fania	0	fni
2304	\N	\N	\N	Foodo	0	fod
2305	\N	\N	\N	Foi	0	foi
2306	\N	\N	\N	Foma	0	fom
133	fon	fon	\N	Fon	1	fon
2307	\N	\N	\N	Fore	0	for
2308	\N	\N	\N	Siraya	0	fos
2309	\N	\N	\N	Fernando Po Creole English	0	fpe
2310	\N	\N	\N	Fas	0	fqs
2311	\N	\N	\N	Cajun French	0	frc
2312	\N	\N	\N	Fordata	0	frd
2313	\N	\N	\N	Frankish	0	frk
135	frm	frm	\N	French, Middle (ca.1400-1600)	0	frm
2314	\N	\N	\N	Arpitan	0	frp
2315	\N	\N	\N	Forak	0	frq
484	frr	frr	\N	Frisian, Northern	1	frr
485	frs	frs	\N	Frisian, Eastern	1	frs
2316	\N	\N	\N	Fortsenal	0	frt
137	fry	fry	fy	Frisian, Western	1	fry
2317	\N	\N	\N	Finnish Sign Language	0	fse
2318	\N	\N	\N	French Sign Language	0	fsl
2319	\N	\N	\N	Finland-Swedish Sign Language	0	fss
2320	\N	\N	\N	Adamawa Fulfulde	0	fub
2321	\N	\N	\N	Pulaar	0	fuc
2322	\N	\N	\N	East Futuna	0	fud
2323	\N	\N	\N	Borgu Fulfulde	0	fue
2324	\N	\N	\N	Pular	0	fuf
2325	\N	\N	\N	Western Niger Fulfulde	0	fuh
2326	\N	\N	\N	Bagirmi Fulfulde	0	fui
2327	\N	\N	\N	Ko	0	fuj
138	ful	ful	ff	Fulah	1	ful
2328	\N	\N	\N	Fum	0	fum
2329	\N	\N	\N	Fulniô	0	fun
2330	\N	\N	\N	Central-Eastern Niger Fulfulde	0	fuq
139	fur	fur	\N	Friulian	1	fur
2331	\N	\N	\N	Futuna-Aniwa	0	fut
2332	\N	\N	\N	Furu	0	fuu
2333	\N	\N	\N	Nigerian Fulfulde	0	fuv
2334	\N	\N	\N	Fuyug	0	fuy
2335	\N	\N	\N	Fur	0	fvr
2336	\N	\N	\N	Fwâi	0	fwa
2337	\N	\N	\N	Fwe	0	fwe
140	gaa	gaa	\N	Ga	1	gaa
2338	\N	\N	\N	Gabri	0	gab
2339	\N	\N	\N	Mixed Great Andamanese	0	gac
2340	\N	\N	\N	Gaddang	0	gad
2341	\N	\N	\N	Guarequena	0	gae
2342	\N	\N	\N	Gende	0	gaf
2343	\N	\N	\N	Gagauz	0	gag
2344	\N	\N	\N	Alekano	0	gah
2345	\N	\N	\N	Borei	0	gai
2346	\N	\N	\N	Gadsup	0	gaj
2347	\N	\N	\N	Gamkonora	0	gak
2348	\N	\N	\N	Galoli	0	gal
2349	\N	\N	\N	Kandawo	0	gam
2350	\N	\N	\N	Gan Chinese	0	gan
2351	\N	\N	\N	Gants	0	gao
2352	\N	\N	\N	Gal	0	gap
2353	\N	\N	\N	Gata'	0	gaq
2354	\N	\N	\N	Galeya	0	gar
2355	\N	\N	\N	Adiwasi Garasia	0	gas
2356	\N	\N	\N	Kenati	0	gat
2357	\N	\N	\N	Mudhili Gadaba	0	gau
2358	\N	\N	\N	Nobonob	0	gaw
2359	\N	\N	\N	Borana-Arsi-Guji Oromo	0	gax
141	gay	gay	\N	Gayo	1	gay
2360	\N	\N	\N	West Central Oromo	0	gaz
142	gba	gba	\N	Gbaya	1	gba
2361	\N	\N	\N	Kaytetye	0	gbb
2362	\N	\N	\N	Karadjeri	0	gbd
2363	\N	\N	\N	Niksek	0	gbe
2364	\N	\N	\N	Gaikundi	0	gbf
2365	\N	\N	\N	Gbanziri	0	gbg
2366	\N	\N	\N	Defi Gbe	0	gbh
2367	\N	\N	\N	Galela	0	gbi
2368	\N	\N	\N	Bodo Gadaba	0	gbj
2369	\N	\N	\N	Gaddi	0	gbk
2370	\N	\N	\N	Gamit	0	gbl
2371	\N	\N	\N	Garhwali	0	gbm
2372	\N	\N	\N	Mo'da	0	gbn
2373	\N	\N	\N	Northern Grebo	0	gbo
2374	\N	\N	\N	Gbaya-Bossangoa	0	gbp
2375	\N	\N	\N	Gbaya-Bozoum	0	gbq
2376	\N	\N	\N	Gbagyi	0	gbr
2377	\N	\N	\N	Gbesi Gbe	0	gbs
2378	\N	\N	\N	Gagadu	0	gbu
2379	\N	\N	\N	Gbanu	0	gbv
2380	\N	\N	\N	Eastern Xwla Gbe	0	gbx
2381	\N	\N	\N	Gbari	0	gby
2382	\N	\N	\N	Zoroastrian Dari	0	gbz
2383	\N	\N	\N	Mali	0	gcc
2384	\N	\N	\N	Ganggalida	0	gcd
2385	\N	\N	\N	Galice	0	gce
2386	\N	\N	\N	Guadeloupean Creole French	0	gcf
2387	\N	\N	\N	Grenadian Creole English	0	gcl
2388	\N	\N	\N	Gaina	0	gcn
2389	\N	\N	\N	Guianese Creole French	0	gcr
2390	\N	\N	\N	Colonia Tovar German	0	gct
2391	\N	\N	\N	Gade Lohar	0	gda
2392	\N	\N	\N	Pottangi Ollar Gadaba	0	gdb
2393	\N	\N	\N	Gugu Badhun	0	gdc
2394	\N	\N	\N	Gedaged	0	gdd
2395	\N	\N	\N	Gude	0	gde
2396	\N	\N	\N	Guduf-Gava	0	gdf
2397	\N	\N	\N	Ga'dang	0	gdg
2398	\N	\N	\N	Gadjerawang	0	gdh
2399	\N	\N	\N	Gundi	0	gdi
2400	\N	\N	\N	Gurdjar	0	gdj
2401	\N	\N	\N	Gadang	0	gdk
2402	\N	\N	\N	Dirasha	0	gdl
2403	\N	\N	\N	Laal	0	gdm
2404	\N	\N	\N	Umanakaina	0	gdn
2405	\N	\N	\N	Ghodoberi	0	gdo
2406	\N	\N	\N	Mehri	0	gdq
2407	\N	\N	\N	Wipi	0	gdr
2408	\N	\N	\N	Ghandruk Sign Language	0	gds
2409	\N	\N	\N	Gudu	0	gdu
2410	\N	\N	\N	Godwari	0	gdx
2411	\N	\N	\N	Geruma	0	gea
2412	\N	\N	\N	Kire	0	geb
2413	\N	\N	\N	Gboloo Grebo	0	gec
2414	\N	\N	\N	Gade	0	ged
2415	\N	\N	\N	Gengle	0	geg
2416	\N	\N	\N	Hutterite German	0	geh
2417	\N	\N	\N	Gebe	0	gei
2418	\N	\N	\N	Gen	0	gej
2419	\N	\N	\N	Yiwom	0	gek
2420	\N	\N	\N	ut-Ma'in	0	gel
2421	\N	\N	\N	Geme	0	geq
2422	\N	\N	\N	Geser-Gorom	0	ges
2423	\N	\N	\N	Gera	0	gew
2424	\N	\N	\N	Garre	0	gex
2425	\N	\N	\N	Enya	0	gey
146	gez	gez	\N	Geez	1	gez
2426	\N	\N	\N	Patpatar	0	gfk
2427	\N	\N	\N	Gafat	0	gft
2428	\N	\N	\N	Mangetti Dune !Xung	0	gfx
2429	\N	\N	\N	Gao	0	gga
2430	\N	\N	\N	Gbii	0	ggb
2431	\N	\N	\N	Gugadj	0	ggd
2432	\N	\N	\N	Guragone	0	gge
2433	\N	\N	\N	Gurgula	0	ggg
2434	\N	\N	\N	Kungarakany	0	ggk
2435	\N	\N	\N	Ganglau	0	ggl
2436	\N	\N	\N	Eastern Gurung	0	ggn
2437	\N	\N	\N	Southern Gondi	0	ggo
2438	\N	\N	\N	Aghu Tharnggalu	0	ggr
2439	\N	\N	\N	Gitua	0	ggt
2440	\N	\N	\N	Gagu	0	ggu
2441	\N	\N	\N	Gogodala	0	ggw
2442	\N	\N	\N	Ghadamès	0	gha
2443	\N	\N	\N	Hiberno-Scottish Gaelic	0	ghc
2444	\N	\N	\N	Southern Ghale	0	ghe
2445	\N	\N	\N	Northern Ghale	0	ghh
2446	\N	\N	\N	Geko Karen	0	ghk
2447	\N	\N	\N	Ghulfan	0	ghl
2448	\N	\N	\N	Ghanongga	0	ghn
2449	\N	\N	\N	Ghomara	0	gho
2450	\N	\N	\N	Ghera	0	ghr
2451	\N	\N	\N	Guhu-Samane	0	ghs
2452	\N	\N	\N	Kuke	0	ght
2453	\N	\N	\N	Kitja	0	gia
2454	\N	\N	\N	Gibanawa	0	gib
2455	\N	\N	\N	Gail	0	gic
2456	\N	\N	\N	Gidar	0	gid
2457	\N	\N	\N	Goaria	0	gig
147	gil	gil	\N	Gilbertese	1	gil
2458	\N	\N	\N	Gimi (Eastern Highlands)	0	gim
2459	\N	\N	\N	Hinukh	0	gin
2460	\N	\N	\N	Gimi (West New Britain)	0	gip
2461	\N	\N	\N	Green Gelao	0	giq
2462	\N	\N	\N	Red Gelao	0	gir
2463	\N	\N	\N	North Giziga	0	gis
2464	\N	\N	\N	Gitxsan	0	git
2465	\N	\N	\N	Mulao	0	giu
2466	\N	\N	\N	White Gelao	0	giw
2467	\N	\N	\N	Gilima	0	gix
2468	\N	\N	\N	Giyug	0	giy
2469	\N	\N	\N	South Giziga	0	giz
2470	\N	\N	\N	Geji	0	gji
2471	\N	\N	\N	Kachi Koli	0	gjk
2472	\N	\N	\N	Gonja	0	gjn
2473	\N	\N	\N	Gujari	0	gju
2474	\N	\N	\N	Guya	0	gka
2475	\N	\N	\N	Ndai	0	gke
2476	\N	\N	\N	Gokana	0	gkn
2477	\N	\N	\N	Kok-Nar	0	gko
2478	\N	\N	\N	Guinea Kpelle	0	gkp
148	gla	gla	gd	Scottish Gaelic	1	gla
2479	\N	\N	\N	Bon Gula	0	glc
2480	\N	\N	\N	Nanai	0	gld
149	gle	gle	ga	Irish	1	gle
150	glg	glg	gl	Galician	1	glg
2481	\N	\N	\N	Northwest Pashayi	0	glh
2482	\N	\N	\N	Guliguli	0	gli
2483	\N	\N	\N	Gula Iro	0	glj
2484	\N	\N	\N	Gilaki	0	glk
2485	\N	\N	\N	Galambu	0	glo
2486	\N	\N	\N	Glaro-Twabo	0	glr
2487	\N	\N	\N	Gula (Chad)	0	glu
151	glv	glv	gv	Manx	1	glv
2488	\N	\N	\N	Glavda	0	glw
2489	\N	\N	\N	Gule	0	gly
2490	\N	\N	\N	Gambera	0	gma
2491	\N	\N	\N	Gula'alaa	0	gmb
2492	\N	\N	\N	Mághdì	0	gmd
152	gmh	gmh	\N	German, Middle High (ca.1050-1500)	0	gmh
2493	\N	\N	\N	Middle Low German	0	gml
2494	\N	\N	\N	Gbaya-Mbodomo	0	gmm
2495	\N	\N	\N	Gimnime	0	gmn
2496	\N	\N	\N	Gumalu	0	gmu
2497	\N	\N	\N	Gamo	0	gmv
2498	\N	\N	\N	Magoma	0	gmx
2499	\N	\N	\N	Mycenaean Greek	0	gmy
2500	\N	\N	\N	Kaansa	0	gna
2501	\N	\N	\N	Gangte	0	gnb
2502	\N	\N	\N	Guanche	0	gnc
2503	\N	\N	\N	Zulgo-Gemzek	0	gnd
2504	\N	\N	\N	Ganang	0	gne
2505	\N	\N	\N	Ngangam	0	gng
2506	\N	\N	\N	Lere	0	gnh
2507	\N	\N	\N	Gooniyandi	0	gni
2508	\N	\N	\N	//Gana	0	gnk
2509	\N	\N	\N	Gangulu	0	gnl
2510	\N	\N	\N	Ginuman	0	gnm
2511	\N	\N	\N	Gumatj	0	gnn
2512	\N	\N	\N	Northern Gondi	0	gno
2513	\N	\N	\N	Gana	0	gnq
2514	\N	\N	\N	Gureng Gureng	0	gnr
2515	\N	\N	\N	Guntai	0	gnt
2516	\N	\N	\N	Gnau	0	gnu
2517	\N	\N	\N	Western Bolivian Guaraní	0	gnw
2518	\N	\N	\N	Ganzi	0	gnz
2519	\N	\N	\N	Guro	0	goa
2520	\N	\N	\N	Playero	0	gob
2521	\N	\N	\N	Gorakor	0	goc
2522	\N	\N	\N	Godié	0	god
2523	\N	\N	\N	Gongduk	0	goe
2524	\N	\N	\N	Gofa	0	gof
2525	\N	\N	\N	Gogo	0	gog
153	goh	goh	\N	German, Old High (ca.750-1050)	0	goh
2526	\N	\N	\N	Gobasi	0	goi
2527	\N	\N	\N	Gowlan	0	goj
2528	\N	\N	\N	Gowli	0	gok
2529	\N	\N	\N	Gola	0	gol
2530	\N	\N	\N	Goan Konkani	0	gom
154	gon	gon	\N	Gondi	1	gon
2531	\N	\N	\N	Gone Dau	0	goo
2532	\N	\N	\N	Yeretuar	0	gop
2533	\N	\N	\N	Gorap	0	goq
155	gor	gor	\N	Gorontalo	1	gor
2534	\N	\N	\N	Gronings	0	gos
156	got	got	\N	Gothic	1	got
2535	\N	\N	\N	Gavar	0	gou
2536	\N	\N	\N	Gorowa	0	gow
2537	\N	\N	\N	Gobu	0	gox
2538	\N	\N	\N	Goundo	0	goy
2539	\N	\N	\N	Gozarkhani	0	goz
2540	\N	\N	\N	Gupa-Abawa	0	gpa
2541	\N	\N	\N	Ghanaian Pidgin English	0	gpe
2542	\N	\N	\N	Taiap	0	gpn
2543	\N	\N	\N	Ga'anda	0	gqa
2544	\N	\N	\N	Guiqiong	0	gqi
2545	\N	\N	\N	Guana (Brazil)	0	gqn
2546	\N	\N	\N	Gor	0	gqr
2547	\N	\N	\N	Qau	0	gqu
2548	\N	\N	\N	Rajput Garasia	0	gra
157	grb	grb	\N	Grebo	1	grb
158	grc	grc	\N	Greek, Ancient	1	grc
2549	\N	\N	\N	Guruntum-Mbaaru	0	grd
2550	\N	\N	\N	Madi	0	grg
2551	\N	\N	\N	Gbiri-Niragu	0	grh
2552	\N	\N	\N	Ghari	0	gri
2553	\N	\N	\N	Southern Grebo	0	grj
2554	\N	\N	\N	Kota Marudu Talantang	0	grm
160	grn	grn	gn	Guarani	1	grn
2555	\N	\N	\N	Groma	0	gro
2556	\N	\N	\N	Gorovu	0	grq
2557	\N	\N	\N	Taznatit	0	grr
2558	\N	\N	\N	Gresi	0	grs
2559	\N	\N	\N	Garo	0	grt
2560	\N	\N	\N	Kistane	0	gru
2561	\N	\N	\N	Central Grebo	0	grv
2562	\N	\N	\N	Gweda	0	grw
2563	\N	\N	\N	Guriaso	0	grx
2564	\N	\N	\N	Barclayville Grebo	0	gry
2565	\N	\N	\N	Guramalum	0	grz
2566	\N	\N	\N	Ghanaian Sign Language	0	gse
2567	\N	\N	\N	German Sign Language	0	gsg
2568	\N	\N	\N	Gusilay	0	gsl
2569	\N	\N	\N	Guatemalan Sign Language	0	gsm
2570	\N	\N	\N	Gusan	0	gsn
2571	\N	\N	\N	Southwest Gbaya	0	gso
2572	\N	\N	\N	Wasembo	0	gsp
2573	\N	\N	\N	Greek Sign Language	0	gss
476	gsw	gsw	\N	German, Swiss	1	gsw
2574	\N	\N	\N	Guató	0	gta
2575	\N	\N	\N	Gbati-ri	0	gti
2576	\N	\N	\N	Shiki	0	gua
2577	\N	\N	\N	Guajajára	0	gub
2578	\N	\N	\N	Wayuu	0	guc
2579	\N	\N	\N	Yocoboué Dida	0	gud
2580	\N	\N	\N	Gurinji	0	gue
2581	\N	\N	\N	Gupapuyngu	0	guf
2582	\N	\N	\N	Paraguayan Guaraní	0	gug
2583	\N	\N	\N	Guahibo	0	guh
2584	\N	\N	\N	Eastern Bolivian Guaraní	0	gui
161	guj	guj	gu	Gujarati	1	guj
2585	\N	\N	\N	Gumuz	0	guk
2586	\N	\N	\N	Sea Island Creole English	0	gul
2587	\N	\N	\N	Guambiano	0	gum
2588	\N	\N	\N	Mbyá Guaraní	0	gun
2589	\N	\N	\N	Guayabero	0	guo
2590	\N	\N	\N	Gunwinggu	0	gup
2591	\N	\N	\N	Aché	0	guq
2592	\N	\N	\N	Farefare	0	gur
2593	\N	\N	\N	Guinean Sign Language	0	gus
2594	\N	\N	\N	Maléku Jaíka	0	gut
2595	\N	\N	\N	Yanomamö	0	guu
2596	\N	\N	\N	Gey	0	guv
2597	\N	\N	\N	Gun	0	guw
2598	\N	\N	\N	Gourmanchéma	0	gux
2599	\N	\N	\N	Gusii	0	guz
2600	\N	\N	\N	Guana (Paraguay)	0	gva
2601	\N	\N	\N	Guanano	0	gvc
2602	\N	\N	\N	Duwet	0	gve
2603	\N	\N	\N	Golin	0	gvf
2604	\N	\N	\N	Guajá	0	gvj
2605	\N	\N	\N	Gulay	0	gvl
2606	\N	\N	\N	Gurmana	0	gvm
2607	\N	\N	\N	Kuku-Yalanji	0	gvn
2608	\N	\N	\N	Gavião Do Jiparaná	0	gvo
2609	\N	\N	\N	Pará Gavião	0	gvp
2610	\N	\N	\N	Western Gurung	0	gvr
2611	\N	\N	\N	Gumawana	0	gvs
2612	\N	\N	\N	Guyani	0	gvy
2613	\N	\N	\N	Mbato	0	gwa
2614	\N	\N	\N	Gwa	0	gwb
2615	\N	\N	\N	Kalami	0	gwc
2616	\N	\N	\N	Gawwada	0	gwd
2617	\N	\N	\N	Gweno	0	gwe
2618	\N	\N	\N	Gowro	0	gwf
2619	\N	\N	\N	Moo	0	gwg
162	gwi	gwi	\N	Gwich'in	1	gwi
2620	\N	\N	\N	/Gwi	0	gwj
2621	\N	\N	\N	Awngthim	0	gwm
2622	\N	\N	\N	Gwandara	0	gwn
2623	\N	\N	\N	Gwere	0	gwr
2624	\N	\N	\N	Gawar-Bati	0	gwt
2625	\N	\N	\N	Guwamu	0	gwu
2626	\N	\N	\N	Kwini	0	gww
2627	\N	\N	\N	Gua	0	gwx
2628	\N	\N	\N	Wè Southern	0	gxx
2629	\N	\N	\N	Northwest Gbaya	0	gya
2630	\N	\N	\N	Garus	0	gyb
2631	\N	\N	\N	Kayardild	0	gyd
2632	\N	\N	\N	Gyem	0	gye
2633	\N	\N	\N	Gungabula	0	gyf
2634	\N	\N	\N	Gbayi	0	gyg
2635	\N	\N	\N	Gyele	0	gyi
2636	\N	\N	\N	Gayil	0	gyl
2637	\N	\N	\N	Ngäbere	0	gym
2638	\N	\N	\N	Guyanese Creole English	0	gyn
2639	\N	\N	\N	Guarayu	0	gyr
2640	\N	\N	\N	Gunya	0	gyy
2641	\N	\N	\N	Ganza	0	gza
2642	\N	\N	\N	Gazi	0	gzi
2643	\N	\N	\N	Gane	0	gzn
2644	\N	\N	\N	Han	0	haa
2645	\N	\N	\N	Hanoi Sign Language	0	hab
2646	\N	\N	\N	Gurani	0	hac
2647	\N	\N	\N	Hatam	0	had
2648	\N	\N	\N	Eastern Oromo	0	hae
2649	\N	\N	\N	Haiphong Sign Language	0	haf
2650	\N	\N	\N	Hanga	0	hag
2651	\N	\N	\N	Hahon	0	hah
163	hai	hai	\N	Haida	1	hai
2652	\N	\N	\N	Hajong	0	haj
2653	\N	\N	\N	Hakka Chinese	0	hak
2654	\N	\N	\N	Halang	0	hal
2655	\N	\N	\N	Hewa	0	ham
2656	\N	\N	\N	Hangaza	0	han
2657	\N	\N	\N	Hakö	0	hao
2658	\N	\N	\N	Hupla	0	hap
2659	\N	\N	\N	Ha	0	haq
2660	\N	\N	\N	Harari	0	har
2661	\N	\N	\N	Haisla	0	has
164	hat	hat	ht	Haitian Creole	1	hat
165	hau	hau	ha	Hausa	1	hau
2662	\N	\N	\N	Havu	0	hav
166	haw	haw	\N	Hawaiian	1	haw
2663	\N	\N	\N	Southern Haida	0	hax
2664	\N	\N	\N	Haya	0	hay
2665	\N	\N	\N	Hazaragi	0	haz
2666	\N	\N	\N	Hamba	0	hba
2667	\N	\N	\N	Huba	0	hbb
2668	\N	\N	\N	Heiban	0	hbn
2669	\N	\N	\N	Ancient Hebrew	0	hbo
2670	\N	\N	sh	Serbo-Croatian	0	hbs
2671	\N	\N	\N	Habu	0	hbu
2672	\N	\N	\N	Andaman Creole Hindi	0	hca
2673	\N	\N	\N	Huichol	0	hch
2674	\N	\N	\N	Northern Haida	0	hdn
2675	\N	\N	\N	Honduras Sign Language	0	hds
2676	\N	\N	\N	Hadiyya	0	hdy
2677	\N	\N	\N	Northern Qiandong Miao	0	hea
167	heb	heb	he	Hebrew	1	heb
2678	\N	\N	\N	Herdé	0	hed
2679	\N	\N	\N	Helong	0	heg
2680	\N	\N	\N	Hehe	0	heh
2681	\N	\N	\N	Heiltsuk	0	hei
2682	\N	\N	\N	Hemba	0	hem
168	her	her	hz	Herero	1	her
2683	\N	\N	\N	Hai//om	0	hgm
2684	\N	\N	\N	Haigwai	0	hgw
2685	\N	\N	\N	Hoia Hoia	0	hhi
2686	\N	\N	\N	Kerak	0	hhr
2687	\N	\N	\N	Hoyahoya	0	hhy
2688	\N	\N	\N	Lamang	0	hia
2689	\N	\N	\N	Hibito	0	hib
2690	\N	\N	\N	Hidatsa	0	hid
2691	\N	\N	\N	Fiji Hindi	0	hif
2692	\N	\N	\N	Kamwe	0	hig
2693	\N	\N	\N	Pamosu	0	hih
2694	\N	\N	\N	Hinduri	0	hii
2695	\N	\N	\N	Hijuk	0	hij
2696	\N	\N	\N	Seit-Kaitetu	0	hik
169	hil	hil	\N	Hiligaynon	1	hil
171	hin	hin	hi	Hindi	1	hin
2697	\N	\N	\N	Tsoa	0	hio
2698	\N	\N	\N	Himarimã	0	hir
172	hit	hit	\N	Hittite	0	hit
2699	\N	\N	\N	Hiw	0	hiw
2700	\N	\N	\N	Hixkaryána	0	hix
2701	\N	\N	\N	Haji	0	hji
2702	\N	\N	\N	Kahe	0	hka
2703	\N	\N	\N	Hunde	0	hke
2704	\N	\N	\N	Hunjara-Kaina Ke	0	hkk
2705	\N	\N	\N	Hong Kong Sign Language	0	hks
2706	\N	\N	\N	Halia	0	hla
2707	\N	\N	\N	Halbi	0	hlb
2708	\N	\N	\N	Halang Doan	0	hld
2709	\N	\N	\N	Hlersu	0	hle
2710	\N	\N	\N	Matu Chin	0	hlt
2711	\N	\N	\N	Hieroglyphic Luwian	0	hlu
2712	\N	\N	\N	Southern Mashan Hmong	0	hma
2713	\N	\N	\N	Humburi Senni Songhay	0	hmb
2714	\N	\N	\N	Central Huishui Hmong	0	hmc
2715	\N	\N	\N	Large Flowery Miao	0	hmd
2716	\N	\N	\N	Eastern Huishui Hmong	0	hme
2717	\N	\N	\N	Hmong Don	0	hmf
2718	\N	\N	\N	Southwestern Guiyang Hmong	0	hmg
2719	\N	\N	\N	Southwestern Huishui Hmong	0	hmh
2720	\N	\N	\N	Northern Huishui Hmong	0	hmi
2721	\N	\N	\N	Ge	0	hmj
2722	\N	\N	\N	Maek	0	hmk
2723	\N	\N	\N	Luopohe Hmong	0	hml
2724	\N	\N	\N	Central Mashan Hmong	0	hmm
173	hmn	hmn	\N	Hmong	1	hmn
174	hmo	hmo	ho	Hiri Motu	1	hmo
2725	\N	\N	\N	Northern Mashan Hmong	0	hmp
2726	\N	\N	\N	Eastern Qiandong Miao	0	hmq
2727	\N	\N	\N	Hmar	0	hmr
2728	\N	\N	\N	Southern Qiandong Miao	0	hms
2729	\N	\N	\N	Hamtai	0	hmt
2730	\N	\N	\N	Hamap	0	hmu
2731	\N	\N	\N	Hmong Dô	0	hmv
2732	\N	\N	\N	Western Mashan Hmong	0	hmw
2733	\N	\N	\N	Southern Guiyang Hmong	0	hmy
2734	\N	\N	\N	Hmong Shua	0	hmz
2735	\N	\N	\N	Mina (Cameroon)	0	hna
2736	\N	\N	\N	Southern Hindko	0	hnd
2737	\N	\N	\N	Chhattisgarhi	0	hne
2738	\N	\N	\N	//Ani	0	hnh
2739	\N	\N	\N	Hani	0	hni
2740	\N	\N	\N	Hmong Njua	0	hnj
2741	\N	\N	\N	Hanunoo	0	hnn
2742	\N	\N	\N	Northern Hindko	0	hno
2743	\N	\N	\N	Caribbean Hindustani	0	hns
2744	\N	\N	\N	Hung	0	hnu
2745	\N	\N	\N	Hoava	0	hoa
2746	\N	\N	\N	Mari (Madang Province)	0	hob
2747	\N	\N	\N	Ho	0	hoc
2748	\N	\N	\N	Holma	0	hod
2749	\N	\N	\N	Horom	0	hoe
2750	\N	\N	\N	Hobyót	0	hoh
2751	\N	\N	\N	Holikachuk	0	hoi
2752	\N	\N	\N	Hadothi	0	hoj
2753	\N	\N	\N	Holu	0	hol
2754	\N	\N	\N	Homa	0	hom
2755	\N	\N	\N	Holoholo	0	hoo
2756	\N	\N	\N	Hopi	0	hop
2757	\N	\N	\N	Horo	0	hor
2758	\N	\N	\N	Ho Chi Minh City Sign Language	0	hos
2759	\N	\N	\N	Hote	0	hot
2760	\N	\N	\N	Hovongan	0	hov
2761	\N	\N	\N	Honi	0	how
2762	\N	\N	\N	Holiya	0	hoy
2763	\N	\N	\N	Hozo	0	hoz
2764	\N	\N	\N	Hpon	0	hpo
2765	\N	\N	\N	Hawai'i Pidgin Sign Language	0	hps
2766	\N	\N	\N	Hrangkhol	0	hra
2767	\N	\N	\N	Hre	0	hre
2768	\N	\N	\N	Haruku	0	hrk
2769	\N	\N	\N	Horned Miao	0	hrm
2770	\N	\N	\N	Haroi	0	hro
2771	\N	\N	\N	Hértevin	0	hrt
2772	\N	\N	\N	Hruso	0	hru
366	hrv	hrv	hr	Croatian	1	hrv
2773	\N	\N	\N	Hunsrik	0	hrx
2774	\N	\N	\N	Harzani	0	hrz
175	hsb	hsb	\N	Sorbian, Upper	1	hsb
2775	\N	\N	\N	Hungarian Sign Language	0	hsh
2776	\N	\N	\N	Hausa Sign Language	0	hsl
2777	\N	\N	\N	Xiang Chinese	0	hsn
2778	\N	\N	\N	Harsusi	0	hss
2779	\N	\N	\N	Hoti	0	hti
2780	\N	\N	\N	Minica Huitoto	0	hto
2781	\N	\N	\N	Hadza	0	hts
2782	\N	\N	\N	Hitu	0	htu
2783	\N	\N	\N	Middle Hittite	0	htx
2784	\N	\N	\N	Huambisa	0	hub
2785	\N	\N	\N	=/Hua	0	huc
2786	\N	\N	\N	Huaulu	0	hud
2787	\N	\N	\N	San Francisco Del Mar Huave	0	hue
2788	\N	\N	\N	Humene	0	huf
2789	\N	\N	\N	Huachipaeri	0	hug
2790	\N	\N	\N	Huilliche	0	huh
2791	\N	\N	\N	Huli	0	hui
2792	\N	\N	\N	Northern Guiyang Hmong	0	huj
2793	\N	\N	\N	Hulung	0	huk
2794	\N	\N	\N	Hula	0	hul
2795	\N	\N	\N	Hungana	0	hum
176	hun	hun	hu	Hungarian	1	hun
2796	\N	\N	\N	Hu	0	huo
177	hup	hup	\N	Hupa	1	hup
2797	\N	\N	\N	Tsat	0	huq
2798	\N	\N	\N	Halkomelem	0	hur
2799	\N	\N	\N	Huastec	0	hus
2800	\N	\N	\N	Humla	0	hut
2801	\N	\N	\N	Murui Huitoto	0	huu
2802	\N	\N	\N	San Mateo Del Mar Huave	0	huv
2803	\N	\N	\N	Hukumina	0	huw
2804	\N	\N	\N	Nüpode Huitoto	0	hux
2805	\N	\N	\N	Hulaulá	0	huy
2806	\N	\N	\N	Hunzib	0	huz
2807	\N	\N	\N	Haitian Vodoun Culture Language	0	hvc
2808	\N	\N	\N	San Dionisio Del Mar Huave	0	hve
2809	\N	\N	\N	Haveke	0	hvk
2810	\N	\N	\N	Sabu	0	hvn
2811	\N	\N	\N	Santa María Del Mar Huave	0	hvv
2812	\N	\N	\N	Wané	0	hwa
2813	\N	\N	\N	Hawai'i Creole English	0	hwc
2814	\N	\N	\N	Hwana	0	hwo
2815	\N	\N	\N	Hya	0	hya
21	hye	arm	hy	Armenian	1	hye
2816	\N	\N	\N	Iaai	0	iai
2817	\N	\N	\N	Iatmul	0	ian
2818	\N	\N	\N	Iapama	0	iap
2819	\N	\N	\N	Purari	0	iar
178	iba	iba	\N	Iban	1	iba
2820	\N	\N	\N	Ibibio	0	ibb
2821	\N	\N	\N	Iwaidja	0	ibd
2822	\N	\N	\N	Akpes	0	ibe
2823	\N	\N	\N	Ibanag	0	ibg
2824	\N	\N	\N	Ibaloi	0	ibl
2825	\N	\N	\N	Agoi	0	ibm
2826	\N	\N	\N	Ibino	0	ibn
179	ibo	ibo	ig	Igbo	1	ibo
2827	\N	\N	\N	Ibuoro	0	ibr
2828	\N	\N	\N	Ibu	0	ibu
2829	\N	\N	\N	Ibani	0	iby
2830	\N	\N	\N	Ede Ica	0	ica
2831	\N	\N	\N	Etkywan	0	ich
2832	\N	\N	\N	Icelandic Sign Language	0	icl
2833	\N	\N	\N	Islander Creole English	0	icr
2834	\N	\N	\N	Idakho-Isukha-Tiriki	0	ida
2835	\N	\N	\N	Indo-Portuguese	0	idb
2836	\N	\N	\N	Idon	0	idc
2837	\N	\N	\N	Ede Idaca	0	idd
2838	\N	\N	\N	Idere	0	ide
2839	\N	\N	\N	Idi	0	idi
181	ido	ido	io	Ido	1	ido
2840	\N	\N	\N	Indri	0	idr
2841	\N	\N	\N	Idesa	0	ids
2842	\N	\N	\N	Idaté	0	idt
2843	\N	\N	\N	Idoma	0	idu
2844	\N	\N	\N	Amganad Ifugao	0	ifa
2845	\N	\N	\N	Batad Ifugao	0	ifb
2846	\N	\N	\N	Ifè	0	ife
2847	\N	\N	\N	Ifo	0	iff
2848	\N	\N	\N	Tuwali Ifugao	0	ifk
2849	\N	\N	\N	Teke-Fuumu	0	ifm
2850	\N	\N	\N	Mayoyao Ifugao	0	ifu
2851	\N	\N	\N	Keley-I Kallahan	0	ify
2852	\N	\N	\N	Ebira	0	igb
2853	\N	\N	\N	Igede	0	ige
2854	\N	\N	\N	Igana	0	igg
2855	\N	\N	\N	Igala	0	igl
2856	\N	\N	\N	Kanggape	0	igm
2857	\N	\N	\N	Ignaciano	0	ign
2858	\N	\N	\N	Isebe	0	igo
2859	\N	\N	\N	Interglossa	0	igs
2860	\N	\N	\N	Igwe	0	igw
2861	\N	\N	\N	Iha Based Pidgin	0	ihb
2862	\N	\N	\N	Ihievbe	0	ihi
2863	\N	\N	\N	Iha	0	ihp
2864	\N	\N	\N	Bidhawal	0	ihw
182	iii	iii	ii	Sichuan Yi	1	iii
2865	\N	\N	\N	Izon	0	ijc
2866	\N	\N	\N	Biseni	0	ije
2867	\N	\N	\N	Ede Ije	0	ijj
2868	\N	\N	\N	Kalabari	0	ijn
2869	\N	\N	\N	Southeast Ijo	0	ijs
2870	\N	\N	\N	Eastern Canadian Inuktitut	0	ike
2871	\N	\N	\N	Iko	0	iki
2872	\N	\N	\N	Ika	0	ikk
2873	\N	\N	\N	Ikulu	0	ikl
2874	\N	\N	\N	Olulumo-Ikom	0	iko
2875	\N	\N	\N	Ikpeshi	0	ikp
2876	\N	\N	\N	Inuinnaqtun	0	ikt
184	iku	iku	iu	Inuktitut	1	iku
2877	\N	\N	\N	Iku-Gora-Ankwa	0	ikv
2878	\N	\N	\N	Ikwere	0	ikw
2879	\N	\N	\N	Ik	0	ikx
2880	\N	\N	\N	Ikizu	0	ikz
2881	\N	\N	\N	Ile Ape	0	ila
2882	\N	\N	\N	Ila	0	ilb
185	ile	ile	ie	Interlingue	1	ile
2883	\N	\N	\N	Garig-Ilgar	0	ilg
2884	\N	\N	\N	Ili Turki	0	ili
2885	\N	\N	\N	Ilongot	0	ilk
2886	\N	\N	\N	Iranun	0	ill
186	ilo	ilo	\N	Iloko	1	ilo
2887	\N	\N	\N	International Sign	0	ils
2888	\N	\N	\N	Ili'uun	0	ilu
2889	\N	\N	\N	Ilue	0	ilv
2890	\N	\N	\N	Talur	0	ilw
2891	\N	\N	\N	Mala Malasar	0	ima
2892	\N	\N	\N	Imeraguen	0	ime
2893	\N	\N	\N	Anamgura	0	imi
2894	\N	\N	\N	Miluk	0	iml
2895	\N	\N	\N	Imonda	0	imn
2896	\N	\N	\N	Imbongu	0	imo
2897	\N	\N	\N	Imroing	0	imr
2898	\N	\N	\N	Marsian	0	ims
2899	\N	\N	\N	Milyan	0	imy
187	ina	ina	ia	Interlingua	1	ina
2900	\N	\N	\N	Inga	0	inb
189	ind	ind	id	Indonesian	1	ind
2901	\N	\N	\N	Degexit'an	0	ing
191	inh	inh	\N	Ingush	1	inh
2902	\N	\N	\N	Jungle Inga	0	inj
2903	\N	\N	\N	Indonesian Sign Language	0	inl
2904	\N	\N	\N	Minaean	0	inm
2905	\N	\N	\N	Isinai	0	inn
2906	\N	\N	\N	Inoke-Yate	0	ino
2907	\N	\N	\N	Iñapari	0	inp
2908	\N	\N	\N	Indian Sign Language	0	ins
2909	\N	\N	\N	Intha	0	int
2910	\N	\N	\N	Ineseño	0	inz
2911	\N	\N	\N	Inor	0	ior
2912	\N	\N	\N	Tuma-Irumu	0	iou
2913	\N	\N	\N	Iowa-Oto	0	iow
2914	\N	\N	\N	Ipili	0	ipi
192	ipk	ipk	ik	Inupiaq	1	ipk
2915	\N	\N	\N	Ipiko	0	ipo
2916	\N	\N	\N	Iquito	0	iqu
2917	\N	\N	\N	Iresim	0	ire
2918	\N	\N	\N	Irarutu	0	irh
2919	\N	\N	\N	Irigwe	0	iri
2920	\N	\N	\N	Iraqw	0	irk
2921	\N	\N	\N	Irántxe	0	irn
2922	\N	\N	\N	Ir	0	irr
2923	\N	\N	\N	Irula	0	iru
2924	\N	\N	\N	Kamberau	0	irx
2925	\N	\N	\N	Iraya	0	iry
2926	\N	\N	\N	Isabi	0	isa
2927	\N	\N	\N	Isconahua	0	isc
2928	\N	\N	\N	Isnag	0	isd
2929	\N	\N	\N	Italian Sign Language	0	ise
2930	\N	\N	\N	Irish Sign Language	0	isg
2931	\N	\N	\N	Esan	0	ish
2932	\N	\N	\N	Nkem-Nkum	0	isi
2933	\N	\N	\N	Ishkashimi	0	isk
180	isl	ice	is	Icelandic	1	isl
2934	\N	\N	\N	Masimasi	0	ism
2935	\N	\N	\N	Isanzu	0	isn
2936	\N	\N	\N	Isoko	0	iso
2937	\N	\N	\N	Israeli Sign Language	0	isr
2938	\N	\N	\N	Istriot	0	ist
2939	\N	\N	\N	Isu (Menchum Division)	0	isu
2980	\N	\N	\N	Jamaican Creole English	1	jam
2940	\N	\N	\N	Binongan Itneg	0	itb
2941	\N	\N	\N	Itene	0	ite
2942	\N	\N	\N	Inlaod Itneg	0	iti
2943	\N	\N	\N	Judeo-Italian	0	itk
2944	\N	\N	\N	Itelmen	0	itl
2945	\N	\N	\N	Itu Mbon Uzo	0	itm
2946	\N	\N	\N	Itonama	0	ito
2947	\N	\N	\N	Iteri	0	itr
2948	\N	\N	\N	Isekiri	0	its
2949	\N	\N	\N	Maeng Itneg	0	itt
2950	\N	\N	\N	Itawit	0	itv
2951	\N	\N	\N	Ito	0	itw
2952	\N	\N	\N	Itik	0	itx
2953	\N	\N	\N	Moyadan Itneg	0	ity
2954	\N	\N	\N	Itzá	0	itz
2955	\N	\N	\N	Iu Mien	0	ium
2956	\N	\N	\N	Ibatan	0	ivb
2957	\N	\N	\N	Ivatan	0	ivv
2958	\N	\N	\N	I-Wak	0	iwk
2959	\N	\N	\N	Iwam	0	iwm
2960	\N	\N	\N	Iwur	0	iwo
2961	\N	\N	\N	Sepik Iwam	0	iws
2962	\N	\N	\N	Ixcatec	0	ixc
2963	\N	\N	\N	Ixil	0	ixl
2964	\N	\N	\N	Iyayu	0	iya
2965	\N	\N	\N	Mesaka	0	iyo
2966	\N	\N	\N	Yaka (Congo)	0	iyx
2968	\N	\N	\N	Izi-Ezaa-Ikwo-Mgbo	0	izi
2969	\N	\N	\N	Izere	0	izr
2970	\N	\N	\N	Jamamadí	0	jaa
2971	\N	\N	\N	Hyam	0	jab
2972	\N	\N	\N	Popti'	0	jac
2973	\N	\N	\N	Jahanka	0	jad
2974	\N	\N	\N	Yabem	0	jae
2975	\N	\N	\N	Jara	0	jaf
2976	\N	\N	\N	Jah Hut	0	jah
2977	\N	\N	\N	Zazao	0	jaj
2978	\N	\N	\N	Jakun	0	jak
2979	\N	\N	\N	Yalahatan	0	jal
2981	\N	\N	\N	Jandai	0	jan
2982	\N	\N	\N	Yanyuwa	0	jao
2983	\N	\N	\N	Yaqay	0	jaq
2984	\N	\N	\N	New Caledonian Javanese	0	jas
2985	\N	\N	\N	Jakati	0	jat
2986	\N	\N	\N	Yaur	0	jau
196	jav	jav	jv	Javanese	1	jav
2987	\N	\N	\N	Jambi Malay	0	jax
2988	\N	\N	\N	Yan-nhangu	0	jay
2989	\N	\N	\N	Jawe	0	jaz
2990	\N	\N	\N	Judeo-Berber	0	jbe
2991	\N	\N	\N	Arandai	0	jbj
2992	\N	\N	\N	Barikewa	0	jbk
2993	\N	\N	\N	Nafusi	0	jbn
197	jbo	jbo	\N	Lojban	1	jbo
2994	\N	\N	\N	Jofotek-Bromnya	0	jbr
2995	\N	\N	\N	Jabutí	0	jbt
2996	\N	\N	\N	Jukun Takum	0	jbu
2997	\N	\N	\N	Yawijibaya	0	jbw
2998	\N	\N	\N	Jamaican Country Sign Language	0	jcs
2999	\N	\N	\N	Krymchak	0	jct
3000	\N	\N	\N	Jad	0	jda
3001	\N	\N	\N	Jadgali	0	jdg
3002	\N	\N	\N	Judeo-Tat	0	jdt
3003	\N	\N	\N	Jebero	0	jeb
3004	\N	\N	\N	Jerung	0	jee
3005	\N	\N	\N	Jeng	0	jeg
3006	\N	\N	\N	Jeh	0	jeh
3007	\N	\N	\N	Yei	0	jei
3008	\N	\N	\N	Jeri Kuo	0	jek
3009	\N	\N	\N	Yelmek	0	jel
3010	\N	\N	\N	Dza	0	jen
3011	\N	\N	\N	Jere	0	jer
3012	\N	\N	\N	Manem	0	jet
3013	\N	\N	\N	Jonkor Bourmataguil	0	jeu
3014	\N	\N	\N	Ngbee	0	jgb
3015	\N	\N	\N	Judeo-Georgian	0	jge
3016	\N	\N	\N	Gwak	0	jgk
3017	\N	\N	\N	Ngomba	0	jgo
3018	\N	\N	\N	Jehai	0	jhi
3019	\N	\N	\N	Jhankot Sign Language	0	jhs
3020	\N	\N	\N	Jina	0	jia
3021	\N	\N	\N	Jibu	0	jib
3022	\N	\N	\N	Tol	0	jic
3023	\N	\N	\N	Bu	0	jid
3024	\N	\N	\N	Jilbe	0	jie
3025	\N	\N	\N	Djingili	0	jig
3026	\N	\N	\N	sTodsde	0	jih
3027	\N	\N	\N	Jiiddu	0	jii
3028	\N	\N	\N	Jilim	0	jil
3029	\N	\N	\N	Jimi (Cameroon)	0	jim
3030	\N	\N	\N	Jiamao	0	jio
3031	\N	\N	\N	Guanyinqiao	0	jiq
3032	\N	\N	\N	Jita	0	jit
3033	\N	\N	\N	Youle Jinuo	0	jiu
3034	\N	\N	\N	Shuar	0	jiv
3035	\N	\N	\N	Buyuan Jinuo	0	jiy
3036	\N	\N	\N	Bankal	0	jjr
3037	\N	\N	\N	Mobwa Karen	0	jkm
3038	\N	\N	\N	Kubo	0	jko
3039	\N	\N	\N	Paku Karen	0	jkp
3040	\N	\N	\N	Koro (India)	0	jkr
3041	\N	\N	\N	Labir	0	jku
3042	\N	\N	\N	Ngile	0	jle
3043	\N	\N	\N	Jamaican Sign Language	0	jls
3044	\N	\N	\N	Dima	0	jma
3045	\N	\N	\N	Zumbun	0	jmb
3046	\N	\N	\N	Machame	0	jmc
3047	\N	\N	\N	Yamdena	0	jmd
3048	\N	\N	\N	Jimi (Nigeria)	0	jmi
3049	\N	\N	\N	Jumli	0	jml
3050	\N	\N	\N	Makuri Naga	0	jmn
3051	\N	\N	\N	Kamara	0	jmr
3052	\N	\N	\N	Mashi (Nigeria)	0	jms
3053	\N	\N	\N	Mouwase	0	jmw
2967	\N	\N	\N	Ingrian	1	izh
3054	\N	\N	\N	Western Juxtlahuaca Mixtec	0	jmx
3055	\N	\N	\N	Jangshung	0	jna
3056	\N	\N	\N	Jandavra	0	jnd
3057	\N	\N	\N	Yangman	0	jng
3058	\N	\N	\N	Janji	0	jni
3059	\N	\N	\N	Yemsa	0	jnj
3060	\N	\N	\N	Rawat	0	jnl
3061	\N	\N	\N	Jaunsari	0	jns
3062	\N	\N	\N	Joba	0	job
3063	\N	\N	\N	Wojenaka	0	jod
3064	\N	\N	\N	Jorá	0	jor
3065	\N	\N	\N	Jordanian Sign Language	0	jos
3066	\N	\N	\N	Jowulu	0	jow
3067	\N	\N	\N	Jewish Palestinian Aramaic	0	jpa
3137	\N	\N	\N	Khanty	1	kca
199	jpr	jpr	\N	Judeo-Persian	1	jpr
3068	\N	\N	\N	Jaqaru	0	jqr
3069	\N	\N	\N	Jarai	0	jra
200	jrb	jrb	\N	Judeo-Arabic	1	jrb
3070	\N	\N	\N	Jiru	0	jrr
3071	\N	\N	\N	Jorto	0	jrt
3072	\N	\N	\N	Japrería	0	jru
3073	\N	\N	\N	Japanese Sign Language	0	jsl
3074	\N	\N	\N	Júma	0	jua
3075	\N	\N	\N	Wannu	0	jub
3076	\N	\N	\N	Jurchen	0	juc
3077	\N	\N	\N	Worodougou	0	jud
3078	\N	\N	\N	Hõne	0	juh
3079	\N	\N	\N	Ngadjuri	0	jui
3080	\N	\N	\N	Wapan	0	juk
3081	\N	\N	\N	Jirel	0	jul
3082	\N	\N	\N	Jumjum	0	jum
3083	\N	\N	\N	Juang	0	jun
3084	\N	\N	\N	Jiba	0	juo
3085	\N	\N	\N	Hupdë	0	jup
3086	\N	\N	\N	Jurúna	0	jur
3087	\N	\N	\N	Jumla Sign Language	0	jus
3088	\N	\N	\N	Jutish	0	jut
3089	\N	\N	\N	Ju	0	juu
3090	\N	\N	\N	Wãpha	0	juw
3091	\N	\N	\N	Juray	0	juy
3092	\N	\N	\N	Javindo	0	jvd
3093	\N	\N	\N	Caribbean Javanese	0	jvn
3094	\N	\N	\N	Jwira-Pepesa	0	jwi
3095	\N	\N	\N	Jiarong	0	jya
3096	\N	\N	\N	Judeo-Yemeni Arabic	0	jye
3097	\N	\N	\N	Jaya	0	jyy
201	kaa	kaa	\N	Kara-Kalpak	1	kaa
202	kab	kab	\N	Kabyle	1	kab
203	kac	kac	\N	Kachin	1	kac
3098	\N	\N	\N	Adara	0	kad
3099	\N	\N	\N	Ketangalan	0	kae
3100	\N	\N	\N	Katso	0	kaf
3101	\N	\N	\N	Kajaman	0	kag
3102	\N	\N	\N	Kara (Central African Republic)	0	kah
3103	\N	\N	\N	Karekare	0	kai
3104	\N	\N	\N	Jju	0	kaj
3105	\N	\N	\N	Kayapa Kallahan	0	kak
204	kal	kal	kl	Greenlandic	1	kal
205	kam	kam	\N	Kamba	1	kam
206	kan	kan	kn	Kannada	1	kan
3106	\N	\N	\N	Xaasongaxango	0	kao
3107	\N	\N	\N	Bezhta	0	kap
3108	\N	\N	\N	Capanahua	0	kaq
208	kas	kas	ks	Kashmiri	1	kas
144	kat	geo	ka	Georgian	1	kat
209	kau	kau	kr	Kanuri	1	kau
3109	\N	\N	\N	Katukína	0	kav
210	kaw	kaw	\N	Kawi	0	kaw
3110	\N	\N	\N	Kao	0	kax
3111	\N	\N	\N	Kamayurá	0	kay
211	kaz	kaz	kk	Kazakh	1	kaz
3112	\N	\N	\N	Kalarko	0	kba
3113	\N	\N	\N	Kaxuiâna	0	kbb
3114	\N	\N	\N	Kadiwéu	0	kbc
212	kbd	kbd	\N	Kabardian	1	kbd
3115	\N	\N	\N	Kanju	0	kbe
3116	\N	\N	\N	Kakauhua	0	kbf
3117	\N	\N	\N	Khamba	0	kbg
3118	\N	\N	\N	Camsá	0	kbh
3119	\N	\N	\N	Kaptiau	0	kbi
3120	\N	\N	\N	Kari	0	kbj
3121	\N	\N	\N	Grass Koiari	0	kbk
3122	\N	\N	\N	Kanembu	0	kbl
3123	\N	\N	\N	Iwal	0	kbm
3124	\N	\N	\N	Kare (Central African Republic)	0	kbn
3125	\N	\N	\N	Keliko	0	kbo
3126	\N	\N	\N	Kabiyè	0	kbp
3127	\N	\N	\N	Kamano	0	kbq
3128	\N	\N	\N	Kafa	0	kbr
3129	\N	\N	\N	Kande	0	kbs
3130	\N	\N	\N	Abadi	0	kbt
3131	\N	\N	\N	Kabutra	0	kbu
3132	\N	\N	\N	Dera (Indonesia)	0	kbv
3133	\N	\N	\N	Kaiep	0	kbw
3134	\N	\N	\N	Ap Ma	0	kbx
3135	\N	\N	\N	Manga Kanuri	0	kby
3136	\N	\N	\N	Duhwa	0	kbz
3138	\N	\N	\N	Kawacha	0	kcb
3139	\N	\N	\N	Lubila	0	kcc
3140	\N	\N	\N	Ngkâlmpw Kanum	0	kcd
3141	\N	\N	\N	Kaivi	0	kce
3142	\N	\N	\N	Ukaan	0	kcf
3143	\N	\N	\N	Tyap	0	kcg
3144	\N	\N	\N	Vono	0	kch
3145	\N	\N	\N	Kamantan	0	kci
3146	\N	\N	\N	Kobiana	0	kcj
3147	\N	\N	\N	Kalanga	0	kck
3148	\N	\N	\N	Kela (Papua New Guinea)	0	kcl
3149	\N	\N	\N	Gula (Central African Republic)	0	kcm
3150	\N	\N	\N	Nubi	0	kcn
3151	\N	\N	\N	Kinalakna	0	kco
3152	\N	\N	\N	Kanga	0	kcp
3153	\N	\N	\N	Kamo	0	kcq
3154	\N	\N	\N	Katla	0	kcr
3155	\N	\N	\N	Koenoem	0	kcs
3156	\N	\N	\N	Kaian	0	kct
3157	\N	\N	\N	Kami (Tanzania)	0	kcu
3158	\N	\N	\N	Kete	0	kcv
3159	\N	\N	\N	Kabwari	0	kcw
3160	\N	\N	\N	Kachama-Ganjule	0	kcx
3161	\N	\N	\N	Korandje	0	kcy
3162	\N	\N	\N	Konongo	0	kcz
3163	\N	\N	\N	Worimi	0	kda
3164	\N	\N	\N	Kutu	0	kdc
3165	\N	\N	\N	Yankunytjatjara	0	kdd
3166	\N	\N	\N	Makonde	0	kde
3167	\N	\N	\N	Mamusi	0	kdf
3168	\N	\N	\N	Seba	0	kdg
3169	\N	\N	\N	Tem	0	kdh
3170	\N	\N	\N	Kumam	0	kdi
3171	\N	\N	\N	Karamojong	0	kdj
3172	\N	\N	\N	Numee	0	kdk
3173	\N	\N	\N	Tsikimba	0	kdl
3174	\N	\N	\N	Kagoma	0	kdm
3175	\N	\N	\N	Kunda	0	kdn
3176	\N	\N	\N	Kaningdon-Nindem	0	kdp
3177	\N	\N	\N	Koch	0	kdq
3178	\N	\N	\N	Karaim	0	kdr
3179	\N	\N	\N	Kuy	0	kdt
3180	\N	\N	\N	Kadaru	0	kdu
3181	\N	\N	\N	Koneraw	0	kdw
3182	\N	\N	\N	Kam	0	kdx
3183	\N	\N	\N	Keder	0	kdy
3184	\N	\N	\N	Kwaja	0	kdz
3185	\N	\N	\N	Kabuverdianu	0	kea
3186	\N	\N	\N	Kélé	0	keb
3187	\N	\N	\N	Keiga	0	kec
3188	\N	\N	\N	Kerewe	0	ked
3189	\N	\N	\N	Eastern Keres	0	kee
3190	\N	\N	\N	Kpessi	0	kef
3191	\N	\N	\N	Tese	0	keg
3192	\N	\N	\N	Keak	0	keh
3193	\N	\N	\N	Kei	0	kei
3194	\N	\N	\N	Kadar	0	kej
3195	\N	\N	\N	Kekchí	0	kek
3196	\N	\N	\N	Kela (Democratic Republic of Congo)	0	kel
3197	\N	\N	\N	Kemak	0	kem
3198	\N	\N	\N	Kenyang	0	ken
3199	\N	\N	\N	Kakwa	0	keo
3200	\N	\N	\N	Kaikadi	0	kep
3201	\N	\N	\N	Kamar	0	keq
3202	\N	\N	\N	Kera	0	ker
3203	\N	\N	\N	Kugbo	0	kes
3204	\N	\N	\N	Ket	0	ket
3205	\N	\N	\N	Akebu	0	keu
3206	\N	\N	\N	Kanikkaran	0	kev
3207	\N	\N	\N	West Kewa	0	kew
3208	\N	\N	\N	Kukna	0	kex
3209	\N	\N	\N	Kupia	0	key
3210	\N	\N	\N	Kukele	0	kez
3211	\N	\N	\N	Kodava	0	kfa
3212	\N	\N	\N	Northwestern Kolami	0	kfb
3213	\N	\N	\N	Konda-Dora	0	kfc
3214	\N	\N	\N	Korra Koraga	0	kfd
3215	\N	\N	\N	Kota (India)	0	kfe
3216	\N	\N	\N	Koya	0	kff
3217	\N	\N	\N	Kudiya	0	kfg
3218	\N	\N	\N	Kurichiya	0	kfh
3219	\N	\N	\N	Kannada Kurumba	0	kfi
3220	\N	\N	\N	Kemiehua	0	kfj
3221	\N	\N	\N	Kinnauri	0	kfk
3222	\N	\N	\N	Kung	0	kfl
3223	\N	\N	\N	Khunsari	0	kfm
3224	\N	\N	\N	Kuk	0	kfn
3225	\N	\N	\N	Koro (Côte d'Ivoire)	0	kfo
3226	\N	\N	\N	Korwa	0	kfp
3227	\N	\N	\N	Korku	0	kfq
3228	\N	\N	\N	Kachchi	0	kfr
3229	\N	\N	\N	Bilaspuri	0	kfs
3230	\N	\N	\N	Kanjari	0	kft
3231	\N	\N	\N	Katkari	0	kfu
3232	\N	\N	\N	Kurmukar	0	kfv
3233	\N	\N	\N	Kharam Naga	0	kfw
3234	\N	\N	\N	Kullu Pahari	0	kfx
3235	\N	\N	\N	Kumaoni	0	kfy
3236	\N	\N	\N	Koromfé	0	kfz
3237	\N	\N	\N	Koyaga	0	kga
3238	\N	\N	\N	Kawe	0	kgb
3239	\N	\N	\N	Kasseng	0	kgc
3240	\N	\N	\N	Kataang	0	kgd
3241	\N	\N	\N	Komering	0	kge
3242	\N	\N	\N	Kube	0	kgf
3243	\N	\N	\N	Kusunda	0	kgg
3244	\N	\N	\N	Selangor Sign Language	0	kgi
3245	\N	\N	\N	Gamale Kham	0	kgj
3246	\N	\N	\N	Kaiwá	0	kgk
3247	\N	\N	\N	Kunggari	0	kgl
3248	\N	\N	\N	Karipúna	0	kgm
3249	\N	\N	\N	Karingani	0	kgn
3250	\N	\N	\N	Krongo	0	kgo
3251	\N	\N	\N	Kaingang	0	kgp
3252	\N	\N	\N	Kamoro	0	kgq
3253	\N	\N	\N	Abun	0	kgr
3254	\N	\N	\N	Kumbainggar	0	kgs
3255	\N	\N	\N	Somyev	0	kgt
3256	\N	\N	\N	Kobol	0	kgu
3257	\N	\N	\N	Karas	0	kgv
3258	\N	\N	\N	Karon Dori	0	kgw
3259	\N	\N	\N	Kamaru	0	kgx
3260	\N	\N	\N	Kyerung	0	kgy
213	kha	kha	\N	Khasi	1	kha
3261	\N	\N	\N	Lü	0	khb
3262	\N	\N	\N	Tukang Besi North	0	khc
3263	\N	\N	\N	Bädi Kanum	0	khd
3264	\N	\N	\N	Korowai	0	khe
3265	\N	\N	\N	Khuen	0	khf
3266	\N	\N	\N	Khams Tibetan	0	khg
3267	\N	\N	\N	Kehu	0	khh
3268	\N	\N	\N	Kuturmi	0	khj
3269	\N	\N	\N	Halh Mongolian	0	khk
3270	\N	\N	\N	Lusi	0	khl
215	khm	khm	km	Khmer, Central	1	khm
3271	\N	\N	\N	Khandesi	0	khn
216	kho	kho	\N	Khotanese	0	kho
3272	\N	\N	\N	Kapori	0	khp
3273	\N	\N	\N	Koyra Chiini Songhay	0	khq
3274	\N	\N	\N	Kharia	0	khr
3275	\N	\N	\N	Kasua	0	khs
3276	\N	\N	\N	Khamti	0	kht
3277	\N	\N	\N	Nkhumbi	0	khu
3278	\N	\N	\N	Khvarshi	0	khv
3279	\N	\N	\N	Khowar	0	khw
3280	\N	\N	\N	Kanu	0	khx
3281	\N	\N	\N	Kele (Democratic Republic of Congo)	0	khy
3282	\N	\N	\N	Keapara	0	khz
3283	\N	\N	\N	Kim	0	kia
3284	\N	\N	\N	Koalib	0	kib
3285	\N	\N	\N	Kickapoo	0	kic
3286	\N	\N	\N	Koshin	0	kid
3287	\N	\N	\N	Kibet	0	kie
3288	\N	\N	\N	Eastern Parbate Kham	0	kif
3289	\N	\N	\N	Kimaama	0	kig
3290	\N	\N	\N	Kilmeri	0	kih
3291	\N	\N	\N	Kitsai	0	kii
3292	\N	\N	\N	Kilivila	0	kij
217	kik	kik	ki	Kikuyu	1	kik
3293	\N	\N	\N	Kariya	0	kil
3294	\N	\N	\N	Karagas	0	kim
218	kin	kin	rw	Kinyarwanda	1	kin
3295	\N	\N	\N	Kiowa	0	kio
3296	\N	\N	\N	Sheshi Kham	0	kip
3297	\N	\N	\N	Kosadle	0	kiq
219	kir	kir	ky	Kirghiz	1	kir
3298	\N	\N	\N	Kis	0	kis
3299	\N	\N	\N	Agob	0	kit
3300	\N	\N	\N	Kirmanjki (individual language)	0	kiu
3301	\N	\N	\N	Kimbu	0	kiv
3302	\N	\N	\N	Northeast Kiwai	0	kiw
3303	\N	\N	\N	Khiamniungan Naga	0	kix
3304	\N	\N	\N	Kirikiri	0	kiy
3305	\N	\N	\N	Kisi	0	kiz
3306	\N	\N	\N	Mlap	0	kja
3307	\N	\N	\N	Q'anjob'al	0	kjb
3308	\N	\N	\N	Coastal Konjo	0	kjc
3309	\N	\N	\N	Southern Kiwai	0	kjd
3310	\N	\N	\N	Kisar	0	kje
3311	\N	\N	\N	Khalaj	0	kjf
3312	\N	\N	\N	Khmu	0	kjg
3313	\N	\N	\N	Khakas	0	kjh
3314	\N	\N	\N	Zabana	0	kji
3315	\N	\N	\N	Khinalugh	0	kjj
3316	\N	\N	\N	Highland Konjo	0	kjk
3317	\N	\N	\N	Western Parbate Kham	0	kjl
3318	\N	\N	\N	Kháng	0	kjm
3319	\N	\N	\N	Kunjen	0	kjn
3320	\N	\N	\N	Harijan Kinnauri	0	kjo
3321	\N	\N	\N	Pwo Eastern Karen	0	kjp
3322	\N	\N	\N	Western Keres	0	kjq
3323	\N	\N	\N	Kurudu	0	kjr
3324	\N	\N	\N	East Kewa	0	kjs
3325	\N	\N	\N	Phrae Pwo Karen	0	kjt
3326	\N	\N	\N	Kashaya	0	kju
3327	\N	\N	\N	Ramopa	0	kjx
3328	\N	\N	\N	Erave	0	kjy
3329	\N	\N	\N	Bumthangkha	0	kjz
3330	\N	\N	\N	Kakanda	0	kka
3331	\N	\N	\N	Kwerisa	0	kkb
3332	\N	\N	\N	Odoodee	0	kkc
3333	\N	\N	\N	Kinuku	0	kkd
3334	\N	\N	\N	Kakabe	0	kke
3335	\N	\N	\N	Kalaktang Monpa	0	kkf
3336	\N	\N	\N	Mabaka Valley Kalinga	0	kkg
3337	\N	\N	\N	Khün	0	kkh
3338	\N	\N	\N	Kagulu	0	kki
3339	\N	\N	\N	Kako	0	kkj
3340	\N	\N	\N	Kokota	0	kkk
3341	\N	\N	\N	Kosarek Yale	0	kkl
3342	\N	\N	\N	Kiong	0	kkm
3343	\N	\N	\N	Kon Keu	0	kkn
3344	\N	\N	\N	Karko	0	kko
3345	\N	\N	\N	Gugubera	0	kkp
3346	\N	\N	\N	Kaiku	0	kkq
3347	\N	\N	\N	Kir-Balar	0	kkr
3348	\N	\N	\N	Giiwo	0	kks
3349	\N	\N	\N	Koi	0	kkt
3350	\N	\N	\N	Tumi	0	kku
3351	\N	\N	\N	Kangean	0	kkv
3352	\N	\N	\N	Teke-Kukuya	0	kkw
3353	\N	\N	\N	Kohin	0	kkx
3354	\N	\N	\N	Guguyimidjir	0	kky
3355	\N	\N	\N	Kaska	0	kkz
3356	\N	\N	\N	Klamath-Modoc	0	kla
3357	\N	\N	\N	Kiliwa	0	klb
3358	\N	\N	\N	Kolbila	0	klc
3359	\N	\N	\N	Gamilaraay	0	kld
3360	\N	\N	\N	Kulung (Nepal)	0	kle
3361	\N	\N	\N	Kendeje	0	klf
3362	\N	\N	\N	Tagakaulo	0	klg
3363	\N	\N	\N	Weliki	0	klh
3364	\N	\N	\N	Kalumpang	0	kli
3365	\N	\N	\N	Turkic Khalaj	0	klj
3366	\N	\N	\N	Kono (Nigeria)	0	klk
3367	\N	\N	\N	Kagan Kalagan	0	kll
3368	\N	\N	\N	Migum	0	klm
3369	\N	\N	\N	Kalenjin	0	kln
3370	\N	\N	\N	Kapya	0	klo
3371	\N	\N	\N	Kamasa	0	klp
3372	\N	\N	\N	Rumu	0	klq
3373	\N	\N	\N	Khaling	0	klr
3374	\N	\N	\N	Kalasha	0	kls
3375	\N	\N	\N	Nukna	0	klt
3376	\N	\N	\N	Klao	0	klu
3377	\N	\N	\N	Maskelynes	0	klv
3378	\N	\N	\N	Lindu	0	klw
3379	\N	\N	\N	Koluwawa	0	klx
3380	\N	\N	\N	Kalao	0	kly
3381	\N	\N	\N	Kabola	0	klz
3382	\N	\N	\N	Konni	0	kma
220	kmb	kmb	\N	Kimbundu	1	kmb
3383	\N	\N	\N	Southern Dong	0	kmc
3384	\N	\N	\N	Majukayang Kalinga	0	kmd
3385	\N	\N	\N	Bakole	0	kme
3386	\N	\N	\N	Kare (Papua New Guinea)	0	kmf
3387	\N	\N	\N	Kâte	0	kmg
3388	\N	\N	\N	Kalam	0	kmh
3389	\N	\N	\N	Kami (Nigeria)	0	kmi
3390	\N	\N	\N	Kumarbhag Paharia	0	kmj
3391	\N	\N	\N	Limos Kalinga	0	kmk
3392	\N	\N	\N	Tanudan Kalinga	0	kml
3393	\N	\N	\N	Kom (India)	0	kmm
3394	\N	\N	\N	Awtuw	0	kmn
3395	\N	\N	\N	Kwoma	0	kmo
3396	\N	\N	\N	Gimme	0	kmp
3397	\N	\N	\N	Kwama	0	kmq
3398	\N	\N	\N	Northern Kurdish	0	kmr
3399	\N	\N	\N	Kamasau	0	kms
3400	\N	\N	\N	Kemtuik	0	kmt
3401	\N	\N	\N	Kanite	0	kmu
3402	\N	\N	\N	Karipúna Creole French	0	kmv
3403	\N	\N	\N	Komo (Democratic Republic of Congo)	0	kmw
3404	\N	\N	\N	Waboda	0	kmx
3405	\N	\N	\N	Koma	0	kmy
3406	\N	\N	\N	Khorasani Turkish	0	kmz
3407	\N	\N	\N	Dera (Nigeria)	0	kna
3408	\N	\N	\N	Lubuagan Kalinga	0	knb
3409	\N	\N	\N	Central Kanuri	0	knc
3410	\N	\N	\N	Konda	0	knd
3411	\N	\N	\N	Kankanaey	0	kne
3412	\N	\N	\N	Mankanya	0	knf
3413	\N	\N	\N	Koongo	0	kng
3414	\N	\N	\N	Kanufi	0	kni
3415	\N	\N	\N	Western Kanjobal	0	knj
3416	\N	\N	\N	Kuranko	0	knk
3417	\N	\N	\N	Keninjal	0	knl
3418	\N	\N	\N	Kanamarí	0	knm
3419	\N	\N	\N	Konkani (individual language)	0	knn
3420	\N	\N	\N	Kono (Sierra Leone)	0	kno
3421	\N	\N	\N	Kwanja	0	knp
3422	\N	\N	\N	Kintaq	0	knq
3423	\N	\N	\N	Kaningra	0	knr
3424	\N	\N	\N	Kensiu	0	kns
3425	\N	\N	\N	Panoan Katukína	0	knt
3426	\N	\N	\N	Kono (Guinea)	0	knu
3427	\N	\N	\N	Tabo	0	knv
3428	\N	\N	\N	Kung-Ekoka	0	knw
3429	\N	\N	\N	Kendayan	0	knx
3430	\N	\N	\N	Kanyok	0	kny
3431	\N	\N	\N	Kalamsé	0	knz
3432	\N	\N	\N	Konomala	0	koa
3433	\N	\N	\N	Kpati	0	koc
3434	\N	\N	\N	Kodi	0	kod
3435	\N	\N	\N	Kacipo-Balesi	0	koe
3436	\N	\N	\N	Kubi	0	kof
3437	\N	\N	\N	Cogui	0	kog
3438	\N	\N	\N	Koyo	0	koh
3439	\N	\N	\N	Komi-Permyak	0	koi
3440	\N	\N	\N	Sara Dunjo	0	koj
221	kok	kok	\N	Konkani	1	kok
3441	\N	\N	\N	Kol (Papua New Guinea)	0	kol
222	kom	kom	kv	Komi	1	kom
223	kon	kon	kg	Kongo	1	kon
3442	\N	\N	\N	Konzo	0	koo
3443	\N	\N	\N	Waube	0	kop
3444	\N	\N	\N	Kota (Gabon)	0	koq
224	kor	kor	ko	Korean	1	kor
225	kos	kos	\N	Kosraean	1	kos
3445	\N	\N	\N	Lagwan	0	kot
3446	\N	\N	\N	Koke	0	kou
3447	\N	\N	\N	Kudu-Camo	0	kov
3448	\N	\N	\N	Kugama	0	kow
3449	\N	\N	\N	Coxima	0	kox
3450	\N	\N	\N	Koyukon	0	koy
3451	\N	\N	\N	Korak	0	koz
3452	\N	\N	\N	Kutto	0	kpa
3453	\N	\N	\N	Mullu Kurumba	0	kpb
3454	\N	\N	\N	Curripaco	0	kpc
3455	\N	\N	\N	Koba	0	kpd
226	kpe	kpe	\N	Kpelle	1	kpe
3456	\N	\N	\N	Komba	0	kpf
3457	\N	\N	\N	Kapingamarangi	0	kpg
3458	\N	\N	\N	Kplang	0	kph
3459	\N	\N	\N	Kofei	0	kpi
3460	\N	\N	\N	Karajá	0	kpj
3461	\N	\N	\N	Kpan	0	kpk
3462	\N	\N	\N	Kpala	0	kpl
3463	\N	\N	\N	Koho	0	kpm
3464	\N	\N	\N	Kepkiriwát	0	kpn
3465	\N	\N	\N	Ikposo	0	kpo
3466	\N	\N	\N	Korupun-Sela	0	kpq
3467	\N	\N	\N	Korafe-Yegha	0	kpr
3468	\N	\N	\N	Tehit	0	kps
3469	\N	\N	\N	Karata	0	kpt
3470	\N	\N	\N	Kafoa	0	kpu
3471	\N	\N	\N	Komi-Zyrian	0	kpv
3472	\N	\N	\N	Kobon	0	kpw
3473	\N	\N	\N	Mountain Koiali	0	kpx
3474	\N	\N	\N	Koryak	0	kpy
3475	\N	\N	\N	Kupsabiny	0	kpz
3476	\N	\N	\N	Mum	0	kqa
3477	\N	\N	\N	Kovai	0	kqb
3478	\N	\N	\N	Doromu-Koki	0	kqc
3479	\N	\N	\N	Koy Sanjaq Surat	0	kqd
3480	\N	\N	\N	Kalagan	0	kqe
3481	\N	\N	\N	Kakabai	0	kqf
3482	\N	\N	\N	Khe	0	kqg
3483	\N	\N	\N	Kisankasa	0	kqh
3484	\N	\N	\N	Koitabu	0	kqi
3485	\N	\N	\N	Koromira	0	kqj
3486	\N	\N	\N	Kotafon Gbe	0	kqk
3487	\N	\N	\N	Kyenele	0	kql
3488	\N	\N	\N	Khisa	0	kqm
3489	\N	\N	\N	Kaonde	0	kqn
3490	\N	\N	\N	Eastern Krahn	0	kqo
3491	\N	\N	\N	Kimré	0	kqp
3492	\N	\N	\N	Krenak	0	kqq
3493	\N	\N	\N	Kimaragang	0	kqr
3494	\N	\N	\N	Northern Kissi	0	kqs
3495	\N	\N	\N	Klias River Kadazan	0	kqt
3496	\N	\N	\N	Seroa	0	kqu
3497	\N	\N	\N	Okolod	0	kqv
3498	\N	\N	\N	Kandas	0	kqw
3499	\N	\N	\N	Mser	0	kqx
3500	\N	\N	\N	Koorete	0	kqy
3501	\N	\N	\N	Korana	0	kqz
3502	\N	\N	\N	Kumhali	0	kra
3503	\N	\N	\N	Karkin	0	krb
227	krc	krc	\N	Karachay-Balkar	1	krc
3504	\N	\N	\N	Kairui-Midiki	0	krd
3505	\N	\N	\N	Panará	0	kre
3506	\N	\N	\N	Koro (Vanuatu)	0	krf
3507	\N	\N	\N	Kurama	0	krh
3508	\N	\N	\N	Krio	0	kri
3509	\N	\N	\N	Kinaray-A	0	krj
3510	\N	\N	\N	Kerek	0	krk
477	krl	krl	\N	Karelian	1	krl
3511	\N	\N	\N	Krim	0	krm
3512	\N	\N	\N	Sapo	0	krn
3513	\N	\N	\N	Korop	0	krp
3514	\N	\N	\N	Kru'ng 2	0	krr
3515	\N	\N	\N	Gbaya (Sudan)	0	krs
3516	\N	\N	\N	Tumari Kanuri	0	krt
229	kru	kru	\N	Kurukh	1	kru
3517	\N	\N	\N	Kavet	0	krv
3518	\N	\N	\N	Western Krahn	0	krw
3519	\N	\N	\N	Karon	0	krx
3520	\N	\N	\N	Kryts	0	kry
3521	\N	\N	\N	Sota Kanum	0	krz
3522	\N	\N	\N	Shuwa-Zamani	0	ksa
3523	\N	\N	\N	Shambala	0	ksb
3524	\N	\N	\N	Southern Kalinga	0	ksc
3525	\N	\N	\N	Kuanua	0	ksd
3526	\N	\N	\N	Kuni	0	kse
3527	\N	\N	\N	Bafia	0	ksf
3528	\N	\N	\N	Kusaghe	0	ksg
3530	\N	\N	\N	Krisa	0	ksi
3531	\N	\N	\N	Uare	0	ksj
3532	\N	\N	\N	Kansa	0	ksk
3533	\N	\N	\N	Kumalu	0	ksl
3534	\N	\N	\N	Kumba	0	ksm
3535	\N	\N	\N	Kasiguranin	0	ksn
3536	\N	\N	\N	Kofa	0	kso
3537	\N	\N	\N	Kaba	0	ksp
3538	\N	\N	\N	Kwaami	0	ksq
3539	\N	\N	\N	Borong	0	ksr
3540	\N	\N	\N	Southern Kisi	0	kss
3541	\N	\N	\N	Winyé	0	kst
3542	\N	\N	\N	Khamyang	0	ksu
3543	\N	\N	\N	Kusu	0	ksv
3544	\N	\N	\N	S'gaw Karen	0	ksw
3545	\N	\N	\N	Kedang	0	ksx
3546	\N	\N	\N	Kharia Thar	0	ksy
3547	\N	\N	\N	Kodaku	0	ksz
3548	\N	\N	\N	Katua	0	kta
3549	\N	\N	\N	Kambaata	0	ktb
3550	\N	\N	\N	Kholok	0	ktc
3551	\N	\N	\N	Kokata	0	ktd
3552	\N	\N	\N	Nubri	0	kte
3553	\N	\N	\N	Kwami	0	ktf
3554	\N	\N	\N	Kalkutung	0	ktg
3555	\N	\N	\N	Karanga	0	kth
3556	\N	\N	\N	North Muyu	0	kti
3557	\N	\N	\N	Plapo Krumen	0	ktj
3558	\N	\N	\N	Kaniet	0	ktk
3559	\N	\N	\N	Koroshi	0	ktl
3560	\N	\N	\N	Kurti	0	ktm
3561	\N	\N	\N	Karitiâna	0	ktn
3562	\N	\N	\N	Kuot	0	kto
3563	\N	\N	\N	Kaduo	0	ktp
3564	\N	\N	\N	Katabaga	0	ktq
3565	\N	\N	\N	Kota Marudu Tinagas	0	ktr
3566	\N	\N	\N	South Muyu	0	kts
3567	\N	\N	\N	Ketum	0	ktt
3568	\N	\N	\N	Kituba (Democratic Republic of Congo)	0	ktu
3569	\N	\N	\N	Eastern Katu	0	ktv
3570	\N	\N	\N	Kato	0	ktw
3571	\N	\N	\N	Kaxararí	0	ktx
3572	\N	\N	\N	Kango (Bas-Uélé District)	0	kty
3573	\N	\N	\N	Ju/'hoan	0	ktz
230	kua	kua	kj	Kuanyama	1	kua
3574	\N	\N	\N	Kutep	0	kub
3575	\N	\N	\N	Kwinsu	0	kuc
3576	\N	\N	\N	'Auhelawa	0	kud
3577	\N	\N	\N	Kuman	0	kue
3578	\N	\N	\N	Western Katu	0	kuf
3579	\N	\N	\N	Kupa	0	kug
3580	\N	\N	\N	Kushi	0	kuh
3581	\N	\N	\N	Kuikúro-Kalapálo	0	kui
3582	\N	\N	\N	Kuria	0	kuj
3583	\N	\N	\N	Kepo'	0	kuk
3584	\N	\N	\N	Kulere	0	kul
231	kum	kum	\N	Kumyk	1	kum
3585	\N	\N	\N	Kunama	0	kun
3586	\N	\N	\N	Kumukio	0	kuo
3587	\N	\N	\N	Kunimaipa	0	kup
3588	\N	\N	\N	Karipuna	0	kuq
232	kur	kur	ku	Kurdish	1	kur
3589	\N	\N	\N	Kusaal	0	kus
233	kut	kut	\N	Kutenai	1	kut
3590	\N	\N	\N	Upper Kuskokwim	0	kuu
3591	\N	\N	\N	Kur	0	kuv
3592	\N	\N	\N	Kpagua	0	kuw
3593	\N	\N	\N	Kukatja	0	kux
3594	\N	\N	\N	Kuuku-Ya'u	0	kuy
3595	\N	\N	\N	Kunza	0	kuz
3596	\N	\N	\N	Bagvalal	0	kva
3597	\N	\N	\N	Kubu	0	kvb
3598	\N	\N	\N	Kove	0	kvc
3599	\N	\N	\N	Kui (Indonesia)	0	kvd
3600	\N	\N	\N	Kalabakan	0	kve
3601	\N	\N	\N	Kabalai	0	kvf
3602	\N	\N	\N	Kuni-Boazi	0	kvg
3603	\N	\N	\N	Komodo	0	kvh
3604	\N	\N	\N	Kwang	0	kvi
3605	\N	\N	\N	Psikye	0	kvj
3606	\N	\N	\N	Korean Sign Language	0	kvk
3607	\N	\N	\N	Kayaw	0	kvl
3608	\N	\N	\N	Kendem	0	kvm
3609	\N	\N	\N	Border Kuna	0	kvn
3610	\N	\N	\N	Dobel	0	kvo
3611	\N	\N	\N	Kompane	0	kvp
3612	\N	\N	\N	Geba Karen	0	kvq
3613	\N	\N	\N	Kerinci	0	kvr
3614	\N	\N	\N	Kunggara	0	kvs
3615	\N	\N	\N	Lahta Karen	0	kvt
3616	\N	\N	\N	Yinbaw Karen	0	kvu
3617	\N	\N	\N	Kola	0	kvv
3618	\N	\N	\N	Wersing	0	kvw
3619	\N	\N	\N	Parkari Koli	0	kvx
3620	\N	\N	\N	Yintale Karen	0	kvy
3621	\N	\N	\N	Tsakwambo	0	kvz
3622	\N	\N	\N	Dâw	0	kwa
3623	\N	\N	\N	Kwa	0	kwb
3624	\N	\N	\N	Likwala	0	kwc
3625	\N	\N	\N	Kwaio	0	kwd
3626	\N	\N	\N	Kwerba	0	kwe
3627	\N	\N	\N	Kwara'ae	0	kwf
3628	\N	\N	\N	Sara Kaba Deme	0	kwg
3629	\N	\N	\N	Kowiai	0	kwh
3630	\N	\N	\N	Awa-Cuaiquer	0	kwi
3631	\N	\N	\N	Kwanga	0	kwj
3632	\N	\N	\N	Kwakiutl	0	kwk
3633	\N	\N	\N	Kofyar	0	kwl
3634	\N	\N	\N	Kwambi	0	kwm
3635	\N	\N	\N	Kwangali	0	kwn
3636	\N	\N	\N	Kwomtari	0	kwo
3637	\N	\N	\N	Kodia	0	kwp
3638	\N	\N	\N	Kwak	0	kwq
3639	\N	\N	\N	Kwer	0	kwr
3640	\N	\N	\N	Kwese	0	kws
3641	\N	\N	\N	Kwesten	0	kwt
3642	\N	\N	\N	Kwakum	0	kwu
3643	\N	\N	\N	Sara Kaba Náà	0	kwv
3644	\N	\N	\N	Kwinti	0	kww
3645	\N	\N	\N	Khirwar	0	kwx
3646	\N	\N	\N	San Salvador Kongo	0	kwy
3647	\N	\N	\N	Kwadi	0	kwz
3648	\N	\N	\N	Kairiru	0	kxa
3649	\N	\N	\N	Krobu	0	kxb
3650	\N	\N	\N	Konso	0	kxc
3651	\N	\N	\N	Brunei	0	kxd
3652	\N	\N	\N	Kakihum	0	kxe
3653	\N	\N	\N	Manumanaw Karen	0	kxf
3654	\N	\N	\N	Karo (Ethiopia)	0	kxh
3655	\N	\N	\N	Keningau Murut	0	kxi
3656	\N	\N	\N	Kulfa	0	kxj
3657	\N	\N	\N	Zayein Karen	0	kxk
3658	\N	\N	\N	Nepali Kurux	0	kxl
3659	\N	\N	\N	Northern Khmer	0	kxm
3660	\N	\N	\N	Kanowit-Tanjong Melanau	0	kxn
3661	\N	\N	\N	Kanoé	0	kxo
3662	\N	\N	\N	Wadiyara Koli	0	kxp
3663	\N	\N	\N	Smärky Kanum	0	kxq
3664	\N	\N	\N	Koro (Papua New Guinea)	0	kxr
3665	\N	\N	\N	Kangjia	0	kxs
3666	\N	\N	\N	Koiwat	0	kxt
3667	\N	\N	\N	Kui (India)	0	kxu
3668	\N	\N	\N	Kuvi	0	kxv
3669	\N	\N	\N	Konai	0	kxw
3670	\N	\N	\N	Likuba	0	kxx
3671	\N	\N	\N	Kayong	0	kxy
3672	\N	\N	\N	Kerewo	0	kxz
3673	\N	\N	\N	Kwaya	0	kya
3674	\N	\N	\N	Butbut Kalinga	0	kyb
3675	\N	\N	\N	Kyaka	0	kyc
3676	\N	\N	\N	Karey	0	kyd
3677	\N	\N	\N	Krache	0	kye
3678	\N	\N	\N	Kouya	0	kyf
3679	\N	\N	\N	Keyagana	0	kyg
3680	\N	\N	\N	Karok	0	kyh
3681	\N	\N	\N	Kiput	0	kyi
3682	\N	\N	\N	Karao	0	kyj
3683	\N	\N	\N	Kamayo	0	kyk
3684	\N	\N	\N	Kalapuya	0	kyl
3685	\N	\N	\N	Kpatili	0	kym
3686	\N	\N	\N	Northern Binukidnon	0	kyn
3687	\N	\N	\N	Kelon	0	kyo
3688	\N	\N	\N	Kang	0	kyp
3689	\N	\N	\N	Kenga	0	kyq
3690	\N	\N	\N	Kuruáya	0	kyr
3691	\N	\N	\N	Baram Kayan	0	kys
3692	\N	\N	\N	Kayagar	0	kyt
3693	\N	\N	\N	Western Kayah	0	kyu
3694	\N	\N	\N	Kayort	0	kyv
3695	\N	\N	\N	Kudmali	0	kyw
3696	\N	\N	\N	Rapoisi	0	kyx
3697	\N	\N	\N	Kambaira	0	kyy
3698	\N	\N	\N	Kayabí	0	kyz
3699	\N	\N	\N	Western Karaboro	0	kza
3700	\N	\N	\N	Kaibobo	0	kzb
3701	\N	\N	\N	Bondoukou Kulango	0	kzc
3702	\N	\N	\N	Kadai	0	kzd
3703	\N	\N	\N	Kosena	0	kze
3704	\N	\N	\N	Da'a Kaili	0	kzf
3705	\N	\N	\N	Kikai	0	kzg
3706	\N	\N	\N	Kelabit	0	kzi
3707	\N	\N	\N	Coastal Kadazan	0	kzj
3708	\N	\N	\N	Kazukuru	0	kzk
3709	\N	\N	\N	Kayeli	0	kzl
3710	\N	\N	\N	Kais	0	kzm
3711	\N	\N	\N	Kokola	0	kzn
3712	\N	\N	\N	Kaningi	0	kzo
3713	\N	\N	\N	Kaidipang	0	kzp
3714	\N	\N	\N	Kaike	0	kzq
3715	\N	\N	\N	Karang	0	kzr
3716	\N	\N	\N	Sugut Dusun	0	kzs
3717	\N	\N	\N	Tambunan Dusun	0	kzt
3718	\N	\N	\N	Kayupulau	0	kzu
3719	\N	\N	\N	Komyandaret	0	kzv
3720	\N	\N	\N	Karirí-Xocó	0	kzw
3721	\N	\N	\N	Kamarian	0	kzx
3722	\N	\N	\N	Kango (Tshopo District)	0	kzy
3723	\N	\N	\N	Kalabra	0	kzz
3724	\N	\N	\N	Southern Subanen	0	laa
3725	\N	\N	\N	Linear A	0	lab
3726	\N	\N	\N	Lacandon	0	lac
234	lad	lad	\N	Ladino	1	lad
3727	\N	\N	\N	Pattani	0	lae
3728	\N	\N	\N	Lafofa	0	laf
3729	\N	\N	\N	Langi	0	lag
235	lah	lah	\N	Lahnda	1	lah
3730	\N	\N	\N	Lambya	0	lai
3731	\N	\N	\N	Lango (Uganda)	0	laj
3732	\N	\N	\N	Laka (Nigeria)	0	lak
3733	\N	\N	\N	Lalia	0	lal
236	lam	lam	\N	Lamba	1	lam
3734	\N	\N	\N	Laru	0	lan
237	lao	lao	lo	Lao	1	lao
3735	\N	\N	\N	Laka (Chad)	0	lap
3736	\N	\N	\N	Qabiao	0	laq
3737	\N	\N	\N	Larteh	0	lar
3738	\N	\N	\N	Lama (Togo)	0	las
238	lat	lat	la	Latin	1	lat
3739	\N	\N	\N	Laba	0	lau
239	lav	lav	lv	Latvian	1	lav
3740	\N	\N	\N	Lauje	0	law
3741	\N	\N	\N	Tiwa	0	lax
3742	\N	\N	\N	Lama (Myanmar)	0	lay
3743	\N	\N	\N	Aribwatsa	0	laz
3744	\N	\N	\N	Lui	0	lba
3745	\N	\N	\N	Label	0	lbb
3746	\N	\N	\N	Lakkia	0	lbc
3747	\N	\N	\N	Lak	0	lbe
3748	\N	\N	\N	Tinani	0	lbf
3749	\N	\N	\N	Laopang	0	lbg
3750	\N	\N	\N	La'bi	0	lbi
3751	\N	\N	\N	Ladakhi	0	lbj
3752	\N	\N	\N	Central Bontok	0	lbk
3753	\N	\N	\N	Libon Bikol	0	lbl
3754	\N	\N	\N	Lodhi	0	lbm
3755	\N	\N	\N	Lamet	0	lbn
3756	\N	\N	\N	Laven	0	lbo
3757	\N	\N	\N	Wampar	0	lbq
3758	\N	\N	\N	Lohorung	0	lbr
3759	\N	\N	\N	Libyan Sign Language	0	lbs
3760	\N	\N	\N	Lachi	0	lbt
3761	\N	\N	\N	Labu	0	lbu
3762	\N	\N	\N	Lavatbura-Lamusong	0	lbv
3763	\N	\N	\N	Tolaki	0	lbw
3764	\N	\N	\N	Lawangan	0	lbx
3765	\N	\N	\N	Lamu-Lamu	0	lby
3766	\N	\N	\N	Lardil	0	lbz
3767	\N	\N	\N	Legenyem	0	lcc
3768	\N	\N	\N	Lola	0	lcd
3769	\N	\N	\N	Loncong	0	lce
3770	\N	\N	\N	Lubu	0	lcf
3771	\N	\N	\N	Luchazi	0	lch
3772	\N	\N	\N	Lisela	0	lcl
3773	\N	\N	\N	Tungag	0	lcm
3774	\N	\N	\N	Western Lawa	0	lcp
3775	\N	\N	\N	Lisabata-Nuniali	0	lcs
3776	\N	\N	\N	Dũya	0	ldb
3777	\N	\N	\N	Luri	0	ldd
3778	\N	\N	\N	Lenyima	0	ldg
3779	\N	\N	\N	Lamja-Dengsa-Tola	0	ldh
3780	\N	\N	\N	Laari	0	ldi
3781	\N	\N	\N	Lemoro	0	ldj
3782	\N	\N	\N	Leelau	0	ldk
3783	\N	\N	\N	Kaan	0	ldl
3784	\N	\N	\N	Landoma	0	ldm
3785	\N	\N	\N	Láadan	0	ldn
3786	\N	\N	\N	Loo	0	ldo
3787	\N	\N	\N	Tso	0	ldp
3788	\N	\N	\N	Lufu	0	ldq
3789	\N	\N	\N	Lega-Shabunda	0	lea
3790	\N	\N	\N	Lala-Bisa	0	leb
3791	\N	\N	\N	Leco	0	lec
3792	\N	\N	\N	Lendu	0	led
3793	\N	\N	\N	Lyélé	0	lee
3794	\N	\N	\N	Lelemi	0	lef
3795	\N	\N	\N	Lengua	0	leg
3796	\N	\N	\N	Lenje	0	leh
3797	\N	\N	\N	Lemio	0	lei
3798	\N	\N	\N	Lengola	0	lej
3799	\N	\N	\N	Leipon	0	lek
3800	\N	\N	\N	Lele (Democratic Republic of Congo)	0	lel
3801	\N	\N	\N	Nomaande	0	lem
3802	\N	\N	\N	Lenca	0	len
3803	\N	\N	\N	Leti (Cameroon)	0	leo
3804	\N	\N	\N	Lepcha	0	lep
3805	\N	\N	\N	Lembena	0	leq
3806	\N	\N	\N	Lenkau	0	ler
3807	\N	\N	\N	Lese	0	les
3808	\N	\N	\N	Lesing-Gelimi	0	let
3809	\N	\N	\N	Kara (Papua New Guinea)	0	leu
3810	\N	\N	\N	Lamma	0	lev
3811	\N	\N	\N	Ledo Kaili	0	lew
3812	\N	\N	\N	Luang	0	lex
3813	\N	\N	\N	Lemolang	0	ley
240	lez	lez	\N	Lezghian	1	lez
3814	\N	\N	\N	Lefa	0	lfa
3815	\N	\N	\N	Lingua Franca Nova	0	lfn
3816	\N	\N	\N	Lungga	0	lga
3817	\N	\N	\N	Laghu	0	lgb
3818	\N	\N	\N	Lugbara	0	lgg
3819	\N	\N	\N	Laghuu	0	lgh
3820	\N	\N	\N	Lengilu	0	lgi
3821	\N	\N	\N	Lingarak	0	lgk
3822	\N	\N	\N	Wala	0	lgl
3823	\N	\N	\N	Lega-Mwenga	0	lgm
3824	\N	\N	\N	Opuuo	0	lgn
3825	\N	\N	\N	Logba	0	lgq
3826	\N	\N	\N	Lengo	0	lgr
3827	\N	\N	\N	Pahi	0	lgt
3828	\N	\N	\N	Longgu	0	lgu
3829	\N	\N	\N	Ligenza	0	lgz
3830	\N	\N	\N	Laha (Viet Nam)	0	lha
3831	\N	\N	\N	Laha (Indonesia)	0	lhh
3832	\N	\N	\N	Lahu Shi	0	lhi
3833	\N	\N	\N	Lahul Lohar	0	lhl
3834	\N	\N	\N	Lhomi	0	lhm
3835	\N	\N	\N	Lahanan	0	lhn
3836	\N	\N	\N	Lhokpu	0	lhp
3837	\N	\N	\N	Mlahsö	0	lhs
3838	\N	\N	\N	Lo-Toga	0	lht
3839	\N	\N	\N	Lahu	0	lhu
3840	\N	\N	\N	West-Central Limba	0	lia
3841	\N	\N	\N	Likum	0	lib
3842	\N	\N	\N	Hlai	0	lic
3843	\N	\N	\N	Nyindrou	0	lid
3844	\N	\N	\N	Likila	0	lie
3845	\N	\N	\N	Limbu	0	lif
3846	\N	\N	\N	Ligbi	0	lig
3847	\N	\N	\N	Lihir	0	lih
3848	\N	\N	\N	Lingkhim	0	lii
3849	\N	\N	\N	Ligurian	0	lij
3850	\N	\N	\N	Lika	0	lik
3851	\N	\N	\N	Lillooet	0	lil
241	lim	lim	li	Limburgish	1	lim
242	lin	lin	ln	Lingala	1	lin
3852	\N	\N	\N	Liki	0	lio
3853	\N	\N	\N	Sekpele	0	lip
3854	\N	\N	\N	Libido	0	liq
3855	\N	\N	\N	Liberian English	0	lir
3856	\N	\N	\N	Lisu	0	lis
243	lit	lit	lt	Lithuanian	1	lit
3857	\N	\N	\N	Logorik	0	liu
3859	\N	\N	\N	Col	0	liw
3860	\N	\N	\N	Liabuku	0	lix
3861	\N	\N	\N	Banda-Bambari	0	liy
3862	\N	\N	\N	Libinza	0	liz
3863	\N	\N	\N	Rampi	0	lje
3864	\N	\N	\N	Laiyolo	0	lji
3865	\N	\N	\N	Li'o	0	ljl
3866	\N	\N	\N	Lampung Api	0	ljp
3867	\N	\N	\N	Lakalei	0	lka
3868	\N	\N	\N	Kabras	0	lkb
3869	\N	\N	\N	Kucong	0	lkc
3870	\N	\N	\N	Lakondê	0	lkd
3871	\N	\N	\N	Kenyi	0	lke
3872	\N	\N	\N	Lakha	0	lkh
3873	\N	\N	\N	Laki	0	lki
3874	\N	\N	\N	Remun	0	lkj
3875	\N	\N	\N	Laeko-Libuat	0	lkl
3876	\N	\N	\N	Lakon	0	lkn
3877	\N	\N	\N	Khayo	0	lko
3878	\N	\N	\N	Päri	0	lkr
3879	\N	\N	\N	Kisa	0	lks
3881	\N	\N	\N	Lokoya	0	lky
3882	\N	\N	\N	Lala-Roba	0	lla
3883	\N	\N	\N	Lolo	0	llb
3884	\N	\N	\N	Lele (Guinea)	0	llc
3885	\N	\N	\N	Ladin	0	lld
3886	\N	\N	\N	Lele (Papua New Guinea)	0	lle
3887	\N	\N	\N	Hermit	0	llf
3888	\N	\N	\N	Lole	0	llg
3889	\N	\N	\N	Lamu	0	llh
3890	\N	\N	\N	Teke-Laali	0	lli
3891	\N	\N	\N	Ladji Ladji	0	llj
3892	\N	\N	\N	Lelak	0	llk
3893	\N	\N	\N	Lilau	0	lll
3894	\N	\N	\N	Lasalimu	0	llm
3895	\N	\N	\N	Lele (Chad)	0	lln
3896	\N	\N	\N	Khlor	0	llo
3897	\N	\N	\N	North Efate	0	llp
3898	\N	\N	\N	Lolak	0	llq
3899	\N	\N	\N	Lithuanian Sign Language	0	lls
3900	\N	\N	\N	Lau	0	llu
3901	\N	\N	\N	Lauan	0	llx
3902	\N	\N	\N	East Limba	0	lma
3903	\N	\N	\N	Merei	0	lmb
3904	\N	\N	\N	Limilngan	0	lmc
3905	\N	\N	\N	Lumun	0	lmd
3906	\N	\N	\N	Pévé	0	lme
3907	\N	\N	\N	South Lembata	0	lmf
3908	\N	\N	\N	Lamogai	0	lmg
3909	\N	\N	\N	Lambichhong	0	lmh
3910	\N	\N	\N	Lombi	0	lmi
3911	\N	\N	\N	West Lembata	0	lmj
3912	\N	\N	\N	Lamkang	0	lmk
3913	\N	\N	\N	Hano	0	lml
3914	\N	\N	\N	Lamam	0	lmm
3915	\N	\N	\N	Lambadi	0	lmn
3916	\N	\N	\N	Lombard	0	lmo
3917	\N	\N	\N	Limbum	0	lmp
3918	\N	\N	\N	Lamatuka	0	lmq
3919	\N	\N	\N	Lamalera	0	lmr
3920	\N	\N	\N	Lamenu	0	lmu
3921	\N	\N	\N	Lomaiviti	0	lmv
3922	\N	\N	\N	Lake Miwok	0	lmw
3923	\N	\N	\N	Laimbue	0	lmx
3924	\N	\N	\N	Lamboya	0	lmy
3925	\N	\N	\N	Lumbee	0	lmz
3926	\N	\N	\N	Langbashe	0	lna
3927	\N	\N	\N	Mbalanhu	0	lnb
3928	\N	\N	\N	Lundayeh	0	lnd
3929	\N	\N	\N	Langobardic	0	lng
3930	\N	\N	\N	Lanoh	0	lnh
3931	\N	\N	\N	Daantanai'	0	lni
3932	\N	\N	\N	Leningitij	0	lnj
3933	\N	\N	\N	South Central Banda	0	lnl
3934	\N	\N	\N	Langam	0	lnm
3935	\N	\N	\N	Lorediakarkar	0	lnn
3936	\N	\N	\N	Lango (Sudan)	0	lno
3937	\N	\N	\N	Lamnso'	0	lns
3938	\N	\N	\N	Longuda	0	lnu
3939	\N	\N	\N	Lonzo	0	lnz
3940	\N	\N	\N	Loloda	0	loa
3941	\N	\N	\N	Lobi	0	lob
3942	\N	\N	\N	Inonhan	0	loc
3943	\N	\N	\N	Saluan	0	loe
3944	\N	\N	\N	Logol	0	lof
3945	\N	\N	\N	Logo	0	log
3946	\N	\N	\N	Narim	0	loh
3947	\N	\N	\N	Loma (Côte d'Ivoire)	0	loi
3948	\N	\N	\N	Lou	0	loj
3949	\N	\N	\N	Loko	0	lok
244	lol	lol	\N	Mongo	1	lol
3950	\N	\N	\N	Loma (Liberia)	0	lom
3951	\N	\N	\N	Malawi Lomwe	0	lon
3952	\N	\N	\N	Lombo	0	loo
3953	\N	\N	\N	Lopa	0	lop
3954	\N	\N	\N	Lobala	0	loq
3955	\N	\N	\N	Téén	0	lor
3956	\N	\N	\N	Loniu	0	los
3957	\N	\N	\N	Otuho	0	lot
3958	\N	\N	\N	Louisiana Creole French	0	lou
3959	\N	\N	\N	Lopi	0	lov
3960	\N	\N	\N	Tampias Lobu	0	low
3961	\N	\N	\N	Loun	0	lox
3962	\N	\N	\N	Loke	0	loy
245	loz	loz	\N	Lozi	1	loz
3963	\N	\N	\N	Lelepa	0	lpa
3964	\N	\N	\N	Lepki	0	lpe
3965	\N	\N	\N	Long Phuri Naga	0	lpn
3966	\N	\N	\N	Lipo	0	lpo
3967	\N	\N	\N	Lopit	0	lpx
3968	\N	\N	\N	Rara Bakati'	0	lra
3969	\N	\N	\N	Northern Luri	0	lrc
3970	\N	\N	\N	Laurentian	0	lre
3971	\N	\N	\N	Laragia	0	lrg
3972	\N	\N	\N	Marachi	0	lri
3973	\N	\N	\N	Loarki	0	lrk
3974	\N	\N	\N	Lari	0	lrl
3975	\N	\N	\N	Marama	0	lrm
3976	\N	\N	\N	Lorang	0	lrn
3977	\N	\N	\N	Laro	0	lro
3978	\N	\N	\N	Southern Yamphu	0	lrr
3979	\N	\N	\N	Larantuka Malay	0	lrt
3980	\N	\N	\N	Larevat	0	lrv
3981	\N	\N	\N	Lemerig	0	lrz
3982	\N	\N	\N	Lasgerdi	0	lsa
3983	\N	\N	\N	Lishana Deni	0	lsd
3984	\N	\N	\N	Lusengo	0	lse
3985	\N	\N	\N	Lyons Sign Language	0	lsg
3986	\N	\N	\N	Lish	0	lsh
3987	\N	\N	\N	Lashi	0	lsi
3988	\N	\N	\N	Latvian Sign Language	0	lsl
3989	\N	\N	\N	Saamia	0	lsm
3990	\N	\N	\N	Laos Sign Language	0	lso
3991	\N	\N	\N	Panamanian Sign Language	0	lsp
3992	\N	\N	\N	Aruop	0	lsr
3993	\N	\N	\N	Lasi	0	lss
3994	\N	\N	\N	Trinidad and Tobago Sign Language	0	lst
3995	\N	\N	\N	Mauritian Sign Language	0	lsy
3996	\N	\N	\N	Late Middle Chinese	0	ltc
3997	\N	\N	\N	Latgalian	0	ltg
3998	\N	\N	\N	Leti (Indonesia)	0	lti
3999	\N	\N	\N	Latundê	0	ltn
4000	\N	\N	\N	Tsotso	0	lto
4001	\N	\N	\N	Tachoni	0	lts
4002	\N	\N	\N	Latu	0	ltu
246	ltz	ltz	lb	Luxembourgish	1	ltz
247	lua	lua	\N	Luba-Lulua	1	lua
248	lub	lub	lu	Luba-Katanga	1	lub
4003	\N	\N	\N	Aringa	0	luc
4004	\N	\N	\N	Ludian	0	lud
4005	\N	\N	\N	Luvale	0	lue
4006	\N	\N	\N	Laua	0	luf
249	lug	lug	lg	Ganda	1	lug
250	lui	lui	\N	Luiseno	1	lui
4007	\N	\N	\N	Luna	0	luj
4008	\N	\N	\N	Lunanakha	0	luk
4009	\N	\N	\N	Olu'bo	0	lul
4010	\N	\N	\N	Luimbi	0	lum
251	lun	lun	\N	Lunda	1	lun
252	luo	luo	\N	Luo	1	luo
4011	\N	\N	\N	Lumbu	0	lup
4012	\N	\N	\N	Lucumi	0	luq
4013	\N	\N	\N	Laura	0	lur
253	lus	lus	\N	Lushai	1	lus
4014	\N	\N	\N	Lushootseed	0	lut
4015	\N	\N	\N	Lumba-Yakkha	0	luu
4016	\N	\N	\N	Luwati	0	luv
4017	\N	\N	\N	Luo (Cameroon)	0	luw
4018	\N	\N	\N	Luyia	0	luy
4019	\N	\N	\N	Southern Luri	0	luz
4020	\N	\N	\N	Maku'a	0	lva
4021	\N	\N	\N	Lavukaleve	0	lvk
4022	\N	\N	\N	Standard Latvian	0	lvs
4023	\N	\N	\N	Levuka	0	lvu
4024	\N	\N	\N	Lwalu	0	lwa
4025	\N	\N	\N	Lewo Eleng	0	lwe
4026	\N	\N	\N	Wanga	0	lwg
4027	\N	\N	\N	White Lachi	0	lwh
4028	\N	\N	\N	Eastern Lawa	0	lwl
4029	\N	\N	\N	Laomian	0	lwm
4030	\N	\N	\N	Luwo	0	lwo
4031	\N	\N	\N	Lewotobi	0	lwt
4032	\N	\N	\N	Lewo	0	lww
4033	\N	\N	\N	Layakha	0	lya
4034	\N	\N	\N	Lyngngam	0	lyg
4035	\N	\N	\N	Luyana	0	lyn
4036	\N	\N	\N	Literary Chinese	0	lzh
4037	\N	\N	\N	Litzlitz	0	lzl
4038	\N	\N	\N	Leinong Naga	0	lzn
4039	\N	\N	\N	Laz	0	lzz
4040	\N	\N	\N	San Jerónimo Tecóatl Mazatec	0	maa
4041	\N	\N	\N	Yutanduchi Mixtec	0	mab
255	mad	mad	\N	Madurese	1	mad
4042	\N	\N	\N	Bo-Rukul	0	mae
4043	\N	\N	\N	Mafa	0	maf
256	mag	mag	\N	Magahi	1	mag
257	mah	mah	mh	Marshallese	1	mah
258	mai	mai	\N	Maithili	1	mai
4044	\N	\N	\N	Jalapa De Díaz Mazatec	0	maj
259	mak	mak	\N	Makasar	1	mak
260	mal	mal	ml	Malayalam	1	mal
4045	\N	\N	\N	Mam	0	mam
261	man	man	\N	Mandingo	1	man
4046	\N	\N	\N	Chiquihuitlán Mazatec	0	maq
264	mar	mar	mr	Marathi	1	mar
265	mas	mas	\N	Masai	1	mas
4047	\N	\N	\N	San Francisco Matlatzinca	0	mat
4048	\N	\N	\N	Huautla Mazatec	0	mau
4049	\N	\N	\N	Sateré-Mawé	0	mav
4050	\N	\N	\N	Mampruli	0	maw
4051	\N	\N	\N	North Moluccan Malay	0	max
4052	\N	\N	\N	Central Mazahua	0	maz
4053	\N	\N	\N	Higaonon	0	mba
4054	\N	\N	\N	Western Bukidnon Manobo	0	mbb
4055	\N	\N	\N	Macushi	0	mbc
4056	\N	\N	\N	Dibabawon Manobo	0	mbd
4057	\N	\N	\N	Molale	0	mbe
4058	\N	\N	\N	Baba Malay	0	mbf
4059	\N	\N	\N	Mangseng	0	mbh
4060	\N	\N	\N	Ilianen Manobo	0	mbi
4061	\N	\N	\N	Nadëb	0	mbj
4062	\N	\N	\N	Malol	0	mbk
4063	\N	\N	\N	Maxakalí	0	mbl
4064	\N	\N	\N	Ombamba	0	mbm
4065	\N	\N	\N	Macaguán	0	mbn
4066	\N	\N	\N	Mbo (Cameroon)	0	mbo
4067	\N	\N	\N	Malayo	0	mbp
4068	\N	\N	\N	Maisin	0	mbq
4069	\N	\N	\N	Nukak Makú	0	mbr
4070	\N	\N	\N	Sarangani Manobo	0	mbs
4071	\N	\N	\N	Matigsalug Manobo	0	mbt
4072	\N	\N	\N	Mbula-Bwazza	0	mbu
4073	\N	\N	\N	Mbulungish	0	mbv
4074	\N	\N	\N	Maring	0	mbw
4075	\N	\N	\N	Mari (East Sepik Province)	0	mbx
4076	\N	\N	\N	Memoni	0	mby
4077	\N	\N	\N	Amoltepec Mixtec	0	mbz
4078	\N	\N	\N	Maca	0	mca
4079	\N	\N	\N	Machiguenga	0	mcb
4080	\N	\N	\N	Bitur	0	mcc
4081	\N	\N	\N	Sharanahua	0	mcd
4082	\N	\N	\N	Itundujia Mixtec	0	mce
4083	\N	\N	\N	Matsés	0	mcf
4084	\N	\N	\N	Mapoyo	0	mcg
4085	\N	\N	\N	Maquiritari	0	mch
4086	\N	\N	\N	Mese	0	mci
4087	\N	\N	\N	Mvanip	0	mcj
4088	\N	\N	\N	Mbunda	0	mck
4089	\N	\N	\N	Macaguaje	0	mcl
4090	\N	\N	\N	Malaccan Creole Portuguese	0	mcm
4091	\N	\N	\N	Masana	0	mcn
4092	\N	\N	\N	Coatlán Mixe	0	mco
4093	\N	\N	\N	Makaa	0	mcp
4094	\N	\N	\N	Ese	0	mcq
4095	\N	\N	\N	Menya	0	mcr
4096	\N	\N	\N	Mambai	0	mcs
4097	\N	\N	\N	Mengisa	0	mct
4098	\N	\N	\N	Cameroon Mambila	0	mcu
4099	\N	\N	\N	Minanibai	0	mcv
4100	\N	\N	\N	Mawa (Chad)	0	mcw
4101	\N	\N	\N	Mpiemo	0	mcx
4102	\N	\N	\N	South Watut	0	mcy
4103	\N	\N	\N	Mawan	0	mcz
4104	\N	\N	\N	Mada (Nigeria)	0	mda
4105	\N	\N	\N	Morigi	0	mdb
4106	\N	\N	\N	Male (Papua New Guinea)	0	mdc
4107	\N	\N	\N	Mbum	0	mdd
4108	\N	\N	\N	Maba (Chad)	0	mde
267	mdf	mdf	\N	Moksha	1	mdf
4109	\N	\N	\N	Massalat	0	mdg
4110	\N	\N	\N	Maguindanaon	0	mdh
4111	\N	\N	\N	Mamvu	0	mdi
4112	\N	\N	\N	Mangbetu	0	mdj
4113	\N	\N	\N	Mangbutu	0	mdk
4114	\N	\N	\N	Maltese Sign Language	0	mdl
4115	\N	\N	\N	Mayogo	0	mdm
4116	\N	\N	\N	Mbati	0	mdn
4117	\N	\N	\N	Mbala	0	mdp
4118	\N	\N	\N	Mbole	0	mdq
268	mdr	mdr	\N	Mandar	1	mdr
4119	\N	\N	\N	Maria (Papua New Guinea)	0	mds
4120	\N	\N	\N	Mbere	0	mdt
4121	\N	\N	\N	Mboko	0	mdu
4122	\N	\N	\N	Santa Lucía Monteverde Mixtec	0	mdv
4123	\N	\N	\N	Mbosi	0	mdw
4124	\N	\N	\N	Dizin	0	mdx
4125	\N	\N	\N	Male (Ethiopia)	0	mdy
4126	\N	\N	\N	Suruí Do Pará	0	mdz
4127	\N	\N	\N	Menka	0	mea
4128	\N	\N	\N	Ikobi	0	meb
4129	\N	\N	\N	Mara	0	mec
4130	\N	\N	\N	Melpa	0	med
4131	\N	\N	\N	Mengen	0	mee
4132	\N	\N	\N	Megam	0	mef
4133	\N	\N	\N	Mea	0	meg
4134	\N	\N	\N	Southwestern Tlaxiaco Mixtec	0	meh
4135	\N	\N	\N	Midob	0	mei
4136	\N	\N	\N	Meyah	0	mej
4137	\N	\N	\N	Mekeo	0	mek
4138	\N	\N	\N	Central Melanau	0	mel
4139	\N	\N	\N	Mangala	0	mem
269	men	men	\N	Mende	1	men
4140	\N	\N	\N	Kedah Malay	0	meo
4141	\N	\N	\N	Miriwung	0	mep
4142	\N	\N	\N	Merey	0	meq
4143	\N	\N	\N	Meru	0	mer
4144	\N	\N	\N	Masmaje	0	mes
4145	\N	\N	\N	Mato	0	met
4146	\N	\N	\N	Motu	0	meu
4147	\N	\N	\N	Mann	0	mev
4148	\N	\N	\N	Maaka	0	mew
4149	\N	\N	\N	Hassaniyya	0	mey
4150	\N	\N	\N	Menominee	0	mez
4151	\N	\N	\N	Pattani Malay	0	mfa
4152	\N	\N	\N	Bangka	0	mfb
4153	\N	\N	\N	Mba	0	mfc
4154	\N	\N	\N	Mendankwe-Nkwen	0	mfd
4155	\N	\N	\N	Morisyen	0	mfe
4156	\N	\N	\N	Naki	0	mff
4157	\N	\N	\N	Mixifore	0	mfg
4158	\N	\N	\N	Matal	0	mfh
4159	\N	\N	\N	Wandala	0	mfi
4160	\N	\N	\N	Mefele	0	mfj
4161	\N	\N	\N	North Mofu	0	mfk
4162	\N	\N	\N	Putai	0	mfl
4163	\N	\N	\N	Marghi South	0	mfm
4164	\N	\N	\N	Cross River Mbembe	0	mfn
4165	\N	\N	\N	Mbe	0	mfo
4166	\N	\N	\N	Makassar Malay	0	mfp
4167	\N	\N	\N	Moba	0	mfq
4168	\N	\N	\N	Marithiel	0	mfr
4169	\N	\N	\N	Mexican Sign Language	0	mfs
4170	\N	\N	\N	Mokerang	0	mft
4171	\N	\N	\N	Mbwela	0	mfu
4172	\N	\N	\N	Mandjak	0	mfv
4173	\N	\N	\N	Mulaha	0	mfw
4174	\N	\N	\N	Melo	0	mfx
4175	\N	\N	\N	Mayo	0	mfy
4176	\N	\N	\N	Mabaan	0	mfz
270	mga	mga	\N	Irish, Middle (900-1200)	0	mga
4177	\N	\N	\N	Mararit	0	mgb
4178	\N	\N	\N	Morokodo	0	mgc
4179	\N	\N	\N	Moru	0	mgd
4180	\N	\N	\N	Mango	0	mge
4181	\N	\N	\N	Maklew	0	mgf
4182	\N	\N	\N	Mpumpong	0	mgg
4183	\N	\N	\N	Makhuwa-Meetto	0	mgh
4184	\N	\N	\N	Lijili	0	mgi
4185	\N	\N	\N	Abureni	0	mgj
4186	\N	\N	\N	Mawes	0	mgk
4187	\N	\N	\N	Maleu-Kilenge	0	mgl
4188	\N	\N	\N	Mambae	0	mgm
4189	\N	\N	\N	Mbangi	0	mgn
4190	\N	\N	\N	Meta'	0	mgo
4191	\N	\N	\N	Eastern Magar	0	mgp
4192	\N	\N	\N	Malila	0	mgq
4193	\N	\N	\N	Mambwe-Lungu	0	mgr
4194	\N	\N	\N	Manda (Tanzania)	0	mgs
4195	\N	\N	\N	Mongol	0	mgt
4196	\N	\N	\N	Mailu	0	mgu
4197	\N	\N	\N	Matengo	0	mgv
4198	\N	\N	\N	Matumbi	0	mgw
4199	\N	\N	\N	Mbunga	0	mgy
4200	\N	\N	\N	Mbugwe	0	mgz
4201	\N	\N	\N	Manda (India)	0	mha
4202	\N	\N	\N	Mahongwe	0	mhb
4203	\N	\N	\N	Mocho	0	mhc
4204	\N	\N	\N	Mbugu	0	mhd
4205	\N	\N	\N	Besisi	0	mhe
4206	\N	\N	\N	Mamaa	0	mhf
4207	\N	\N	\N	Margu	0	mhg
4208	\N	\N	\N	Maskoy Pidgin	0	mhh
4209	\N	\N	\N	Ma'di	0	mhi
4210	\N	\N	\N	Mogholi	0	mhj
4211	\N	\N	\N	Mungaka	0	mhk
4212	\N	\N	\N	Mauwake	0	mhl
4213	\N	\N	\N	Makhuwa-Moniga	0	mhm
4214	\N	\N	\N	Mócheno	0	mhn
4215	\N	\N	\N	Mashi (Zambia)	0	mho
4216	\N	\N	\N	Balinese Malay	0	mhp
4217	\N	\N	\N	Mandan	0	mhq
4218	\N	\N	\N	Eastern Mari	0	mhr
4219	\N	\N	\N	Buru (Indonesia)	0	mhs
4220	\N	\N	\N	Mandahuaca	0	mht
4221	\N	\N	\N	Digaro-Mishmi	0	mhu
4222	\N	\N	\N	Mbukushu	0	mhw
4223	\N	\N	\N	Maru	0	mhx
4224	\N	\N	\N	Ma'anyan	0	mhy
4225	\N	\N	\N	Mor (Mor Islands)	0	mhz
4226	\N	\N	\N	Miami	0	mia
4227	\N	\N	\N	Atatláhuca Mixtec	0	mib
271	mic	mic	\N	Mi'kmaq	1	mic
4228	\N	\N	\N	Mandaic	0	mid
4229	\N	\N	\N	Ocotepec Mixtec	0	mie
4230	\N	\N	\N	Mofu-Gudur	0	mif
4231	\N	\N	\N	San Miguel El Grande Mixtec	0	mig
4232	\N	\N	\N	Chayuco Mixtec	0	mih
4233	\N	\N	\N	Chigmecatitlán Mixtec	0	mii
4234	\N	\N	\N	Abar	0	mij
4235	\N	\N	\N	Mikasuki	0	mik
4236	\N	\N	\N	Peñoles Mixtec	0	mil
4237	\N	\N	\N	Alacatlatzala Mixtec	0	mim
272	min	min	\N	Minangkabau	1	min
4238	\N	\N	\N	Pinotepa Nacional Mixtec	0	mio
4239	\N	\N	\N	Apasco-Apoala Mixtec	0	mip
4240	\N	\N	\N	Mískito	0	miq
4241	\N	\N	\N	Isthmus Mixe	0	mir
273	mis	mis	\N	Uncoded languages	0	mis
4242	\N	\N	\N	Southern Puebla Mixtec	0	mit
4243	\N	\N	\N	Cacaloxtepec Mixtec	0	miu
4244	\N	\N	\N	Akoye	0	miw
4245	\N	\N	\N	Mixtepec Mixtec	0	mix
4246	\N	\N	\N	Ayutla Mixtec	0	miy
4247	\N	\N	\N	Coatzospan Mixtec	0	miz
4248	\N	\N	\N	San Juan Colorado Mixtec	0	mjc
4249	\N	\N	\N	Northwest Maidu	0	mjd
4250	\N	\N	\N	Muskum	0	mje
4251	\N	\N	\N	Tu	0	mjg
4252	\N	\N	\N	Mwera (Nyasa)	0	mjh
4253	\N	\N	\N	Kim Mun	0	mji
4254	\N	\N	\N	Mawak	0	mjj
4255	\N	\N	\N	Matukar	0	mjk
4256	\N	\N	\N	Mandeali	0	mjl
4257	\N	\N	\N	Medebur	0	mjm
4258	\N	\N	\N	Ma (Papua New Guinea)	0	mjn
4259	\N	\N	\N	Malankuravan	0	mjo
4260	\N	\N	\N	Malapandaram	0	mjp
4261	\N	\N	\N	Malaryan	0	mjq
4262	\N	\N	\N	Malavedan	0	mjr
4263	\N	\N	\N	Miship	0	mjs
4264	\N	\N	\N	Sauria Paharia	0	mjt
4265	\N	\N	\N	Manna-Dora	0	mju
4266	\N	\N	\N	Mannan	0	mjv
4267	\N	\N	\N	Karbi	0	mjw
4268	\N	\N	\N	Mahali	0	mjx
4269	\N	\N	\N	Mahican	0	mjy
4270	\N	\N	\N	Majhi	0	mjz
4271	\N	\N	\N	Mbre	0	mka
4272	\N	\N	\N	Mal Paharia	0	mkb
4273	\N	\N	\N	Siliput	0	mkc
254	mkd	mac	mk	Macedonian	1	mkd
4274	\N	\N	\N	Mawchi	0	mke
4275	\N	\N	\N	Miya	0	mkf
4276	\N	\N	\N	Mak (China)	0	mkg
4277	\N	\N	\N	Dhatki	0	mki
4278	\N	\N	\N	Mokilese	0	mkj
4279	\N	\N	\N	Byep	0	mkk
4280	\N	\N	\N	Mokole	0	mkl
4281	\N	\N	\N	Moklen	0	mkm
4282	\N	\N	\N	Kupang Malay	0	mkn
4283	\N	\N	\N	Mingang Doso	0	mko
4284	\N	\N	\N	Moikodi	0	mkp
4285	\N	\N	\N	Bay Miwok	0	mkq
4286	\N	\N	\N	Malas	0	mkr
4287	\N	\N	\N	Silacayoapan Mixtec	0	mks
4288	\N	\N	\N	Vamale	0	mkt
4289	\N	\N	\N	Konyanka Maninka	0	mku
4290	\N	\N	\N	Mafea	0	mkv
4291	\N	\N	\N	Kituba (Congo)	0	mkw
4292	\N	\N	\N	Kinamiging Manobo	0	mkx
4293	\N	\N	\N	East Makian	0	mky
4294	\N	\N	\N	Makasae	0	mkz
4295	\N	\N	\N	Malo	0	mla
4296	\N	\N	\N	Mbule	0	mlb
4297	\N	\N	\N	Cao Lan	0	mlc
4298	\N	\N	\N	Malakhel	0	mld
4299	\N	\N	\N	Manambu	0	mle
4300	\N	\N	\N	Mal	0	mlf
275	mlg	mlg	mg	Malagasy	1	mlg
4301	\N	\N	\N	Mape	0	mlh
4302	\N	\N	\N	Malimpung	0	mli
4303	\N	\N	\N	Miltu	0	mlj
4304	\N	\N	\N	Ilwana	0	mlk
4305	\N	\N	\N	Malua Bay	0	mll
4306	\N	\N	\N	Mulam	0	mlm
4307	\N	\N	\N	Malango	0	mln
4308	\N	\N	\N	Mlomp	0	mlo
4309	\N	\N	\N	Bargam	0	mlp
4310	\N	\N	\N	Western Maninkakan	0	mlq
4311	\N	\N	\N	Vame	0	mlr
4312	\N	\N	\N	Masalit	0	mls
276	mlt	mlt	mt	Maltese	1	mlt
4313	\N	\N	\N	To'abaita	0	mlu
4314	\N	\N	\N	Motlav	0	mlv
4315	\N	\N	\N	Moloko	0	mlw
4316	\N	\N	\N	Malfaxal	0	mlx
4317	\N	\N	\N	Malaynon	0	mlz
4318	\N	\N	\N	Mama	0	mma
4319	\N	\N	\N	Momina	0	mmb
4320	\N	\N	\N	Michoacán Mazahua	0	mmc
4321	\N	\N	\N	Maonan	0	mmd
4322	\N	\N	\N	Mae	0	mme
4323	\N	\N	\N	Mundat	0	mmf
4324	\N	\N	\N	North Ambrym	0	mmg
4325	\N	\N	\N	Mehináku	0	mmh
4326	\N	\N	\N	Musar	0	mmi
4327	\N	\N	\N	Majhwar	0	mmj
4328	\N	\N	\N	Mukha-Dora	0	mmk
4329	\N	\N	\N	Man Met	0	mml
4330	\N	\N	\N	Maii	0	mmm
4331	\N	\N	\N	Mamanwa	0	mmn
4332	\N	\N	\N	Mangga Buang	0	mmo
4333	\N	\N	\N	Siawi	0	mmp
4334	\N	\N	\N	Musak	0	mmq
4335	\N	\N	\N	Western Xiangxi Miao	0	mmr
4336	\N	\N	\N	Malalamai	0	mmt
4337	\N	\N	\N	Mmaala	0	mmu
4338	\N	\N	\N	Miriti	0	mmv
4339	\N	\N	\N	Emae	0	mmw
4340	\N	\N	\N	Madak	0	mmx
4341	\N	\N	\N	Migaama	0	mmy
4342	\N	\N	\N	Mabaale	0	mmz
4343	\N	\N	\N	Mbula	0	mna
4344	\N	\N	\N	Muna	0	mnb
277	mnc	mnc	\N	Manchu	1	mnc
4345	\N	\N	\N	Mondé	0	mnd
4346	\N	\N	\N	Naba	0	mne
4347	\N	\N	\N	Mundani	0	mnf
4348	\N	\N	\N	Eastern Mnong	0	mng
4349	\N	\N	\N	Mono (Democratic Republic of Congo)	0	mnh
278	mni	mni	\N	Manipuri	1	mni
4350	\N	\N	\N	Munji	0	mnj
4351	\N	\N	\N	Mandinka	0	mnk
4352	\N	\N	\N	Tiale	0	mnl
4353	\N	\N	\N	Mapena	0	mnm
4354	\N	\N	\N	Southern Mnong	0	mnn
4355	\N	\N	\N	Min Bei Chinese	0	mnp
4356	\N	\N	\N	Minriq	0	mnq
4357	\N	\N	\N	Mono (USA)	0	mnr
4359	\N	\N	\N	Maykulan	0	mnt
4360	\N	\N	\N	Mer	0	mnu
4361	\N	\N	\N	Rennell-Bellona	0	mnv
4362	\N	\N	\N	Mon	0	mnw
4363	\N	\N	\N	Manikion	0	mnx
4364	\N	\N	\N	Manyawa	0	mny
4365	\N	\N	\N	Moni	0	mnz
4366	\N	\N	\N	Mwan	0	moa
4367	\N	\N	\N	Mocoví	0	moc
4368	\N	\N	\N	Mobilian	0	mod
4358	\N	\N	\N	Mansi	1	mns
4370	\N	\N	\N	Mongondow	0	mog
280	moh	moh	\N	Mohawk	1	moh
4371	\N	\N	\N	Mboi	0	moi
4372	\N	\N	\N	Monzombo	0	moj
4373	\N	\N	\N	Morori	0	mok
4374	\N	\N	\N	Mangue	0	mom
282	mon	mon	mn	Mongolian	1	mon
4375	\N	\N	\N	Monom	0	moo
4376	\N	\N	\N	Mopán Maya	0	mop
4377	\N	\N	\N	Mor (Bomberai Peninsula)	0	moq
4378	\N	\N	\N	Moro	0	mor
283	mos	mos	\N	Mossi	1	mos
4379	\N	\N	\N	Barí	0	mot
4380	\N	\N	\N	Mogum	0	mou
4381	\N	\N	\N	Mohave	0	mov
4382	\N	\N	\N	Moi (Congo)	0	mow
4383	\N	\N	\N	Molima	0	mox
4384	\N	\N	\N	Shekkacho	0	moy
4385	\N	\N	\N	Mukulu	0	moz
4386	\N	\N	\N	Mpoto	0	mpa
4387	\N	\N	\N	Mullukmulluk	0	mpb
4388	\N	\N	\N	Mangarayi	0	mpc
4389	\N	\N	\N	Machinere	0	mpd
4390	\N	\N	\N	Majang	0	mpe
4391	\N	\N	\N	Marba	0	mpg
4392	\N	\N	\N	Maung	0	mph
4393	\N	\N	\N	Mpade	0	mpi
4394	\N	\N	\N	Martu Wangka	0	mpj
4395	\N	\N	\N	Mbara (Chad)	0	mpk
4396	\N	\N	\N	Middle Watut	0	mpl
4397	\N	\N	\N	Yosondúa Mixtec	0	mpm
4398	\N	\N	\N	Mindiri	0	mpn
4399	\N	\N	\N	Miu	0	mpo
4400	\N	\N	\N	Migabac	0	mpp
4401	\N	\N	\N	Matís	0	mpq
4402	\N	\N	\N	Vangunu	0	mpr
4403	\N	\N	\N	Dadibi	0	mps
4404	\N	\N	\N	Mian	0	mpt
4405	\N	\N	\N	Makuráp	0	mpu
4406	\N	\N	\N	Mungkip	0	mpv
4407	\N	\N	\N	Mapidian	0	mpw
4408	\N	\N	\N	Misima-Panaeati	0	mpx
4409	\N	\N	\N	Mapia	0	mpy
4410	\N	\N	\N	Mpi	0	mpz
4411	\N	\N	\N	Maba (Indonesia)	0	mqa
4412	\N	\N	\N	Mbuko	0	mqb
4413	\N	\N	\N	Mangole	0	mqc
4414	\N	\N	\N	Matepi	0	mqe
4415	\N	\N	\N	Momuna	0	mqf
4416	\N	\N	\N	Kota Bangun Kutai Malay	0	mqg
4417	\N	\N	\N	Tlazoyaltepec Mixtec	0	mqh
4418	\N	\N	\N	Mariri	0	mqi
4419	\N	\N	\N	Mamasa	0	mqj
4420	\N	\N	\N	Rajah Kabunsuwan Manobo	0	mqk
4421	\N	\N	\N	Mbelime	0	mql
4422	\N	\N	\N	South Marquesan	0	mqm
4423	\N	\N	\N	Moronene	0	mqn
4424	\N	\N	\N	Modole	0	mqo
4425	\N	\N	\N	Manipa	0	mqp
4426	\N	\N	\N	Minokok	0	mqq
4427	\N	\N	\N	Mander	0	mqr
4428	\N	\N	\N	West Makian	0	mqs
4429	\N	\N	\N	Mok	0	mqt
4430	\N	\N	\N	Mandari	0	mqu
4431	\N	\N	\N	Mosimo	0	mqv
4432	\N	\N	\N	Murupi	0	mqw
4433	\N	\N	\N	Mamuju	0	mqx
4434	\N	\N	\N	Manggarai	0	mqy
4435	\N	\N	\N	Pano	0	mqz
4436	\N	\N	\N	Mlabri	0	mra
4437	\N	\N	\N	Marino	0	mrb
4438	\N	\N	\N	Maricopa	0	mrc
4439	\N	\N	\N	Western Magar	0	mrd
4440	\N	\N	\N	Martha's Vineyard Sign Language	0	mre
4441	\N	\N	\N	Elseng	0	mrf
4442	\N	\N	\N	Mising	0	mrg
4443	\N	\N	\N	Mara Chin	0	mrh
262	mri	mao	mi	Maori	1	mri
4444	\N	\N	\N	Western Mari	0	mrj
4445	\N	\N	\N	Hmwaveke	0	mrk
4446	\N	\N	\N	Mortlockese	0	mrl
4447	\N	\N	\N	Merlav	0	mrm
4448	\N	\N	\N	Cheke Holo	0	mrn
4449	\N	\N	\N	Mru	0	mro
4450	\N	\N	\N	Morouas	0	mrp
4451	\N	\N	\N	North Marquesan	0	mrq
4452	\N	\N	\N	Maria (India)	0	mrr
4453	\N	\N	\N	Maragus	0	mrs
4454	\N	\N	\N	Marghi Central	0	mrt
4455	\N	\N	\N	Mono (Cameroon)	0	mru
4456	\N	\N	\N	Mangareva	0	mrv
4457	\N	\N	\N	Maranao	0	mrw
4458	\N	\N	\N	Maremgi	0	mrx
4459	\N	\N	\N	Mandaya	0	mry
4460	\N	\N	\N	Marind	0	mrz
266	msa	may	ms	Malay	1	msa
4461	\N	\N	\N	Masbatenyo	0	msb
4462	\N	\N	\N	Sankaran Maninka	0	msc
4463	\N	\N	\N	Yucatec Maya Sign Language	0	msd
4464	\N	\N	\N	Musey	0	mse
4465	\N	\N	\N	Mekwei	0	msf
4466	\N	\N	\N	Moraid	0	msg
4467	\N	\N	\N	Masikoro Malagasy	0	msh
4468	\N	\N	\N	Sabah Malay	0	msi
4469	\N	\N	\N	Ma (Democratic Republic of Congo)	0	msj
4470	\N	\N	\N	Mansaka	0	msk
4471	\N	\N	\N	Molof	0	msl
4472	\N	\N	\N	Agusan Manobo	0	msm
4473	\N	\N	\N	Vurës	0	msn
4474	\N	\N	\N	Mombum	0	mso
4475	\N	\N	\N	Maritsauá	0	msp
4476	\N	\N	\N	Caac	0	msq
4477	\N	\N	\N	Mongolian Sign Language	0	msr
4478	\N	\N	\N	West Masela	0	mss
4479	\N	\N	\N	Musom	0	msu
4480	\N	\N	\N	Maslam	0	msv
4481	\N	\N	\N	Mansoanka	0	msw
4482	\N	\N	\N	Moresada	0	msx
4483	\N	\N	\N	Aruamu	0	msy
4484	\N	\N	\N	Momare	0	msz
4485	\N	\N	\N	Cotabato Manobo	0	mta
4486	\N	\N	\N	Anyin Morofo	0	mtb
4487	\N	\N	\N	Munit	0	mtc
4488	\N	\N	\N	Mualang	0	mtd
4489	\N	\N	\N	Mono (Solomon Islands)	0	mte
4490	\N	\N	\N	Murik (Papua New Guinea)	0	mtf
4491	\N	\N	\N	Una	0	mtg
4492	\N	\N	\N	Munggui	0	mth
4493	\N	\N	\N	Maiwa (Papua New Guinea)	0	mti
4494	\N	\N	\N	Moskona	0	mtj
4495	\N	\N	\N	Mbe'	0	mtk
4496	\N	\N	\N	Montol	0	mtl
4497	\N	\N	\N	Mator	0	mtm
4498	\N	\N	\N	Matagalpa	0	mtn
4499	\N	\N	\N	Totontepec Mixe	0	mto
4500	\N	\N	\N	Wichí Lhamtés Nocten	0	mtp
4501	\N	\N	\N	Muong	0	mtq
4502	\N	\N	\N	Mewari	0	mtr
4503	\N	\N	\N	Yora	0	mts
4504	\N	\N	\N	Mota	0	mtt
4505	\N	\N	\N	Tututepec Mixtec	0	mtu
4506	\N	\N	\N	Asaro'o	0	mtv
4507	\N	\N	\N	Southern Binukidnon	0	mtw
4508	\N	\N	\N	Tidaá Mixtec	0	mtx
4509	\N	\N	\N	Nabi	0	mty
4510	\N	\N	\N	Mundang	0	mua
4511	\N	\N	\N	Mubi	0	mub
4512	\N	\N	\N	Mbu'	0	muc
4513	\N	\N	\N	Mednyj Aleut	0	mud
4514	\N	\N	\N	Media Lengua	0	mue
4515	\N	\N	\N	Musgu	0	mug
4516	\N	\N	\N	Mündü	0	muh
4517	\N	\N	\N	Musi	0	mui
4518	\N	\N	\N	Mabire	0	muj
4519	\N	\N	\N	Mugom	0	muk
4520	\N	\N	\N	Maiwala	0	mum
4521	\N	\N	\N	Nyong	0	muo
4522	\N	\N	\N	Malvi	0	mup
4523	\N	\N	\N	Eastern Xiangxi Miao	0	muq
4524	\N	\N	\N	Murle	0	mur
286	mus	mus	\N	Creek	1	mus
4525	\N	\N	\N	Western Muria	0	mut
4526	\N	\N	\N	Yaaku	0	muu
4527	\N	\N	\N	Muthuvan	0	muv
4528	\N	\N	\N	Bo-Ung	0	mux
4529	\N	\N	\N	Muyang	0	muy
4530	\N	\N	\N	Mursi	0	muz
4531	\N	\N	\N	Manam	0	mva
4532	\N	\N	\N	Mattole	0	mvb
4533	\N	\N	\N	Mamboru	0	mvd
4534	\N	\N	\N	Marwari (Pakistan)	0	mve
4535	\N	\N	\N	Peripheral Mongolian	0	mvf
4536	\N	\N	\N	Yucuañe Mixtec	0	mvg
4537	\N	\N	\N	Mulgi	0	mvh
4538	\N	\N	\N	Miyako	0	mvi
4539	\N	\N	\N	Mekmek	0	mvk
4540	\N	\N	\N	Mbara (Australia)	0	mvl
4541	\N	\N	\N	Muya	0	mvm
4542	\N	\N	\N	Minaveha	0	mvn
4543	\N	\N	\N	Marovo	0	mvo
4544	\N	\N	\N	Duri	0	mvp
4545	\N	\N	\N	Moere	0	mvq
4546	\N	\N	\N	Marau	0	mvr
4547	\N	\N	\N	Massep	0	mvs
4548	\N	\N	\N	Mpotovoro	0	mvt
4549	\N	\N	\N	Marfa	0	mvu
4550	\N	\N	\N	Tagal Murut	0	mvv
4551	\N	\N	\N	Machinga	0	mvw
4552	\N	\N	\N	Meoswar	0	mvx
4553	\N	\N	\N	Indus Kohistani	0	mvy
4554	\N	\N	\N	Mesqan	0	mvz
4555	\N	\N	\N	Mwatebu	0	mwa
4556	\N	\N	\N	Juwal	0	mwb
4557	\N	\N	\N	Are	0	mwc
4558	\N	\N	\N	Mudbura	0	mwd
4559	\N	\N	\N	Mwera (Chimwera)	0	mwe
4560	\N	\N	\N	Murrinh-Patha	0	mwf
4561	\N	\N	\N	Aiklep	0	mwg
4562	\N	\N	\N	Mouk-Aria	0	mwh
4563	\N	\N	\N	Labo	0	mwi
4564	\N	\N	\N	Maligo	0	mwj
4565	\N	\N	\N	Kita Maninkakan	0	mwk
287	mwl	mwl	\N	Mirandese	1	mwl
4566	\N	\N	\N	Sar	0	mwm
4567	\N	\N	\N	Nyamwanga	0	mwn
4568	\N	\N	\N	Central Maewo	0	mwo
4569	\N	\N	\N	Kala Lagaw Ya	0	mwp
4570	\N	\N	\N	Mün Chin	0	mwq
288	mwr	mwr	\N	Marwari	1	mwr
4571	\N	\N	\N	Mwimbi-Muthambi	0	mws
4572	\N	\N	\N	Moken	0	mwt
4573	\N	\N	\N	Mittu	0	mwu
4574	\N	\N	\N	Mentawai	0	mwv
4575	\N	\N	\N	Hmong Daw	0	mww
4576	\N	\N	\N	Mediak	0	mwx
4577	\N	\N	\N	Mosiro	0	mwy
4578	\N	\N	\N	Moingi	0	mwz
4579	\N	\N	\N	Northwest Oaxaca Mixtec	0	mxa
4580	\N	\N	\N	Tezoatlán Mixtec	0	mxb
4581	\N	\N	\N	Manyika	0	mxc
4582	\N	\N	\N	Modang	0	mxd
4583	\N	\N	\N	Mele-Fila	0	mxe
4584	\N	\N	\N	Malgbe	0	mxf
4585	\N	\N	\N	Mbangala	0	mxg
4586	\N	\N	\N	Mvuba	0	mxh
4587	\N	\N	\N	Mozarabic	0	mxi
4588	\N	\N	\N	Miju-Mishmi	0	mxj
4589	\N	\N	\N	Monumbo	0	mxk
4590	\N	\N	\N	Maxi Gbe	0	mxl
4591	\N	\N	\N	Meramera	0	mxm
4592	\N	\N	\N	Moi (Indonesia)	0	mxn
4593	\N	\N	\N	Mbowe	0	mxo
4594	\N	\N	\N	Tlahuitoltepec Mixe	0	mxp
4595	\N	\N	\N	Juquila Mixe	0	mxq
4596	\N	\N	\N	Murik (Malaysia)	0	mxr
4597	\N	\N	\N	Huitepec Mixtec	0	mxs
4598	\N	\N	\N	Jamiltepec Mixtec	0	mxt
4599	\N	\N	\N	Mada (Cameroon)	0	mxu
4600	\N	\N	\N	Metlatónoc Mixtec	0	mxv
4601	\N	\N	\N	Namo	0	mxw
4602	\N	\N	\N	Mahou	0	mxx
4603	\N	\N	\N	Southeastern Nochixtlán Mixtec	0	mxy
4604	\N	\N	\N	Central Masela	0	mxz
63	mya	bur	my	Burmese	1	mya
4605	\N	\N	\N	Mbay	0	myb
4606	\N	\N	\N	Mayeka	0	myc
4607	\N	\N	\N	Maramba	0	myd
4608	\N	\N	\N	Myene	0	mye
4609	\N	\N	\N	Bambassi	0	myf
4610	\N	\N	\N	Manta	0	myg
4611	\N	\N	\N	Makah	0	myh
4612	\N	\N	\N	Mina (India)	0	myi
4613	\N	\N	\N	Mangayat	0	myj
4614	\N	\N	\N	Mamara Senoufo	0	myk
4615	\N	\N	\N	Moma	0	myl
4616	\N	\N	\N	Me'en	0	mym
4617	\N	\N	\N	Anfillo	0	myo
4618	\N	\N	\N	Pirahã	0	myp
4619	\N	\N	\N	Forest Maninka	0	myq
4620	\N	\N	\N	Muniche	0	myr
4621	\N	\N	\N	Mesmes	0	mys
4622	\N	\N	\N	Mundurukú	0	myu
290	myv	myv	\N	Erzya	1	myv
4623	\N	\N	\N	Muyuw	0	myw
4624	\N	\N	\N	Masaaba	0	myx
4625	\N	\N	\N	Macuna	0	myy
4626	\N	\N	\N	Classical Mandaic	0	myz
4627	\N	\N	\N	Santa María Zacatepec Mixtec	0	mza
4628	\N	\N	\N	Tumzabt	0	mzb
4629	\N	\N	\N	Madagascar Sign Language	0	mzc
4630	\N	\N	\N	Malimba	0	mzd
4631	\N	\N	\N	Morawa	0	mze
4632	\N	\N	\N	Monastic Sign Language	0	mzg
4633	\N	\N	\N	Wichí Lhamtés Güisnay	0	mzh
4634	\N	\N	\N	Ixcatlán Mazatec	0	mzi
4635	\N	\N	\N	Manya	0	mzj
4636	\N	\N	\N	Nigeria Mambila	0	mzk
4637	\N	\N	\N	Mazatlán Mixe	0	mzl
4638	\N	\N	\N	Mumuye	0	mzm
4639	\N	\N	\N	Mazanderani	0	mzn
4640	\N	\N	\N	Matipuhy	0	mzo
4641	\N	\N	\N	Movima	0	mzp
4642	\N	\N	\N	Mori Atas	0	mzq
4643	\N	\N	\N	Marúbo	0	mzr
4644	\N	\N	\N	Macanese	0	mzs
4645	\N	\N	\N	Mintil	0	mzt
4646	\N	\N	\N	Inapang	0	mzu
4647	\N	\N	\N	Manza	0	mzv
4648	\N	\N	\N	Deg	0	mzw
4649	\N	\N	\N	Mawayana	0	mzx
4650	\N	\N	\N	Mozambican Sign Language	0	mzy
4651	\N	\N	\N	Maiadomu	0	mzz
4652	\N	\N	\N	Namla	0	naa
4653	\N	\N	\N	Southern Nambikuára	0	nab
4654	\N	\N	\N	Narak	0	nac
4655	\N	\N	\N	Nijadali	0	nad
4656	\N	\N	\N	Naka'ela	0	nae
4657	\N	\N	\N	Nabak	0	naf
4658	\N	\N	\N	Naga Pidgin	0	nag
4659	\N	\N	\N	Nalu	0	naj
4660	\N	\N	\N	Nakanai	0	nak
4661	\N	\N	\N	Nalik	0	nal
4662	\N	\N	\N	Ngan'gityemerri	0	nam
4664	\N	\N	\N	Naaba	0	nao
293	nap	nap	\N	Neapolitan	1	nap
4665	\N	\N	\N	Nama (Namibia)	0	naq
4666	\N	\N	\N	Iguta	0	nar
4667	\N	\N	\N	Naasioi	0	nas
4668	\N	\N	\N	Hungworo	0	nat
294	nau	nau	na	Nauru	1	nau
295	nav	nav	nv	Navajo	1	nav
4669	\N	\N	\N	Nawuri	0	naw
4670	\N	\N	\N	Nakwi	0	nax
4671	\N	\N	\N	Narrinyeri	0	nay
4672	\N	\N	\N	Coatepec Nahuatl	0	naz
4673	\N	\N	\N	Nyemba	0	nba
4674	\N	\N	\N	Ndoe	0	nbb
4675	\N	\N	\N	Chang Naga	0	nbc
4676	\N	\N	\N	Ngbinda	0	nbd
4677	\N	\N	\N	Konyak Naga	0	nbe
4678	\N	\N	\N	Nagarchal	0	nbg
4679	\N	\N	\N	Ngamo	0	nbh
4680	\N	\N	\N	Mao Naga	0	nbi
4681	\N	\N	\N	Ngarinman	0	nbj
4682	\N	\N	\N	Nake	0	nbk
296	nbl	nbl	nr	Ndebele, South	1	nbl
4683	\N	\N	\N	Ngbaka Ma'bo	0	nbm
4684	\N	\N	\N	Kuri	0	nbn
4685	\N	\N	\N	Nkukoli	0	nbo
4686	\N	\N	\N	Nnam	0	nbp
4687	\N	\N	\N	Nggem	0	nbq
4688	\N	\N	\N	Numana-Nunku-Gbantu-Numbu	0	nbr
4689	\N	\N	\N	Namibian Sign Language	0	nbs
4690	\N	\N	\N	Na	0	nbt
4691	\N	\N	\N	Rongmei Naga	0	nbu
4692	\N	\N	\N	Ngamambo	0	nbv
4693	\N	\N	\N	Southern Ngbandi	0	nbw
4694	\N	\N	\N	Ngura	0	nbx
4695	\N	\N	\N	Ningera	0	nby
4696	\N	\N	\N	Iyo	0	nca
4697	\N	\N	\N	Central Nicobarese	0	ncb
4698	\N	\N	\N	Ponam	0	ncc
4699	\N	\N	\N	Nachering	0	ncd
4700	\N	\N	\N	Yale	0	nce
4701	\N	\N	\N	Notsi	0	ncf
4702	\N	\N	\N	Nisga'a	0	ncg
4703	\N	\N	\N	Central Huasteca Nahuatl	0	nch
4704	\N	\N	\N	Classical Nahuatl	0	nci
4705	\N	\N	\N	Northern Puebla Nahuatl	0	ncj
4706	\N	\N	\N	Nakara	0	nck
4707	\N	\N	\N	Michoacán Nahuatl	0	ncl
4708	\N	\N	\N	Nambo	0	ncm
4709	\N	\N	\N	Nauna	0	ncn
4710	\N	\N	\N	Sibe	0	nco
4711	\N	\N	\N	Ndaktup	0	ncp
4712	\N	\N	\N	Ncane	0	ncr
4713	\N	\N	\N	Nicaraguan Sign Language	0	ncs
4714	\N	\N	\N	Chothe Naga	0	nct
4715	\N	\N	\N	Chumburung	0	ncu
4716	\N	\N	\N	Central Puebla Nahuatl	0	ncx
4717	\N	\N	\N	Natchez	0	ncz
4718	\N	\N	\N	Ndasa	0	nda
4719	\N	\N	\N	Kenswei Nsei	0	ndb
4720	\N	\N	\N	Ndau	0	ndc
4721	\N	\N	\N	Nde-Nsele-Nta	0	ndd
297	nde	nde	nd	Ndebele, North	1	nde
4722	\N	\N	\N	Nadruvian	0	ndf
4723	\N	\N	\N	Ndengereko	0	ndg
4724	\N	\N	\N	Ndali	0	ndh
4725	\N	\N	\N	Samba Leko	0	ndi
4726	\N	\N	\N	Ndamba	0	ndj
4727	\N	\N	\N	Ndaka	0	ndk
4728	\N	\N	\N	Ndolo	0	ndl
4729	\N	\N	\N	Ndam	0	ndm
4730	\N	\N	\N	Ngundi	0	ndn
298	ndo	ndo	ng	Ndonga	1	ndo
4731	\N	\N	\N	Ndo	0	ndp
4732	\N	\N	\N	Ndombe	0	ndq
4733	\N	\N	\N	Ndoola	0	ndr
299	nds	nds	\N	German, Low	1	nds
4734	\N	\N	\N	Ndunga	0	ndt
4735	\N	\N	\N	Dugun	0	ndu
4736	\N	\N	\N	Ndut	0	ndv
4737	\N	\N	\N	Ndobo	0	ndw
4738	\N	\N	\N	Nduga	0	ndx
4739	\N	\N	\N	Lutos	0	ndy
4740	\N	\N	\N	Ndogo	0	ndz
4741	\N	\N	\N	Eastern Ngad'a	0	nea
4742	\N	\N	\N	Toura (Côte d'Ivoire)	0	neb
4743	\N	\N	\N	Nedebang	0	nec
4744	\N	\N	\N	Nde-Gbite	0	ned
4745	\N	\N	\N	Nêlêmwa-Nixumwak	0	nee
4746	\N	\N	\N	Nefamese	0	nef
4747	\N	\N	\N	Negidal	0	neg
4748	\N	\N	\N	Nyenkha	0	neh
4749	\N	\N	\N	Neo-Hittite	0	nei
4750	\N	\N	\N	Neko	0	nej
4751	\N	\N	\N	Neku	0	nek
4752	\N	\N	\N	Nemi	0	nem
4753	\N	\N	\N	Nengone	0	nen
4754	\N	\N	\N	Ná-Meo	0	neo
300	nep	nep	ne	Nepali	1	nep
4755	\N	\N	\N	North Central Mixe	0	neq
4756	\N	\N	\N	Yahadian	0	ner
4757	\N	\N	\N	Bhoti Kinnauri	0	nes
4758	\N	\N	\N	Nete	0	net
4759	\N	\N	\N	Neo	0	neu
4760	\N	\N	\N	Nyaheun	0	nev
301	new	new	\N	Nepal Bhasa	1	new
4761	\N	\N	\N	Neme	0	nex
4762	\N	\N	\N	Neyo	0	ney
4763	\N	\N	\N	Nez Perce	0	nez
4764	\N	\N	\N	Dhao	0	nfa
4765	\N	\N	\N	Ahwai	0	nfd
4766	\N	\N	\N	Ayiwo	0	nfl
4767	\N	\N	\N	Nafaanra	0	nfr
4768	\N	\N	\N	Mfumte	0	nfu
4769	\N	\N	\N	Ngbaka	0	nga
4770	\N	\N	\N	Northern Ngbandi	0	ngb
4771	\N	\N	\N	Ngombe (Democratic Republic of Congo)	0	ngc
4772	\N	\N	\N	Ngando (Central African Republic)	0	ngd
4773	\N	\N	\N	Ngemba	0	nge
4774	\N	\N	\N	Ngbaka Manza	0	ngg
4775	\N	\N	\N	N/u	0	ngh
4776	\N	\N	\N	Ngizim	0	ngi
4777	\N	\N	\N	Ngie	0	ngj
4778	\N	\N	\N	Ngalkbun	0	ngk
4779	\N	\N	\N	Lomwe	0	ngl
4780	\N	\N	\N	Ngatik Men's Creole	0	ngm
4781	\N	\N	\N	Ngwo	0	ngn
4782	\N	\N	\N	Ngoni	0	ngo
4783	\N	\N	\N	Ngulu	0	ngp
4784	\N	\N	\N	Ngurimi	0	ngq
4785	\N	\N	\N	Engdewu	0	ngr
4786	\N	\N	\N	Gvoko	0	ngs
4787	\N	\N	\N	Ngeq	0	ngt
4788	\N	\N	\N	Guerrero Nahuatl	0	ngu
4789	\N	\N	\N	Nagumi	0	ngv
4790	\N	\N	\N	Ngwaba	0	ngw
4791	\N	\N	\N	Nggwahyi	0	ngx
4792	\N	\N	\N	Tibea	0	ngy
4793	\N	\N	\N	Ngungwel	0	ngz
4794	\N	\N	\N	Nhanda	0	nha
4795	\N	\N	\N	Beng	0	nhb
4796	\N	\N	\N	Tabasco Nahuatl	0	nhc
4797	\N	\N	\N	Chiripá	0	nhd
4798	\N	\N	\N	Eastern Huasteca Nahuatl	0	nhe
4799	\N	\N	\N	Nhuwala	0	nhf
4800	\N	\N	\N	Tetelcingo Nahuatl	0	nhg
4801	\N	\N	\N	Nahari	0	nhh
4802	\N	\N	\N	Zacatlán-Ahuacatlán-Tepetzintla Nahuatl	0	nhi
4803	\N	\N	\N	Isthmus-Cosoleacaque Nahuatl	0	nhk
4804	\N	\N	\N	Morelos Nahuatl	0	nhm
4805	\N	\N	\N	Central Nahuatl	0	nhn
4806	\N	\N	\N	Takuu	0	nho
4807	\N	\N	\N	Isthmus-Pajapan Nahuatl	0	nhp
4808	\N	\N	\N	Huaxcaleca Nahuatl	0	nhq
4809	\N	\N	\N	Naro	0	nhr
4810	\N	\N	\N	Ometepec Nahuatl	0	nht
4811	\N	\N	\N	Noone	0	nhu
4812	\N	\N	\N	Temascaltepec Nahuatl	0	nhv
4813	\N	\N	\N	Western Huasteca Nahuatl	0	nhw
4814	\N	\N	\N	Isthmus-Mecayapan Nahuatl	0	nhx
4815	\N	\N	\N	Northern Oaxaca Nahuatl	0	nhy
4816	\N	\N	\N	Santa María La Alta Nahuatl	0	nhz
302	nia	nia	\N	Nias	1	nia
4817	\N	\N	\N	Nakame	0	nib
4818	\N	\N	\N	Ngandi	0	nid
4819	\N	\N	\N	Niellim	0	nie
4820	\N	\N	\N	Nek	0	nif
4821	\N	\N	\N	Ngalakan	0	nig
4822	\N	\N	\N	Nyiha (Tanzania)	0	nih
4823	\N	\N	\N	Nii	0	nii
4824	\N	\N	\N	Ngaju	0	nij
4825	\N	\N	\N	Southern Nicobarese	0	nik
4826	\N	\N	\N	Nila	0	nil
4827	\N	\N	\N	Nilamba	0	nim
4828	\N	\N	\N	Ninzo	0	nin
4829	\N	\N	\N	Nganasan	0	nio
4830	\N	\N	\N	Nandi	0	niq
4831	\N	\N	\N	Nimboran	0	nir
4832	\N	\N	\N	Nimi	0	nis
4833	\N	\N	\N	Southeastern Kolami	0	nit
304	niu	niu	\N	Niuean	1	niu
4834	\N	\N	\N	Gilyak	0	niv
4835	\N	\N	\N	Nimo	0	niw
4836	\N	\N	\N	Hema	0	nix
4837	\N	\N	\N	Ngiti	0	niy
4838	\N	\N	\N	Ningil	0	niz
4839	\N	\N	\N	Nzanyi	0	nja
4840	\N	\N	\N	Nocte Naga	0	njb
4841	\N	\N	\N	Ndonde Hamba	0	njd
4842	\N	\N	\N	Lotha Naga	0	njh
4843	\N	\N	\N	Gudanji	0	nji
4844	\N	\N	\N	Njen	0	njj
4845	\N	\N	\N	Njalgulgule	0	njl
4846	\N	\N	\N	Angami Naga	0	njm
4847	\N	\N	\N	Liangmai Naga	0	njn
4848	\N	\N	\N	Ao Naga	0	njo
4849	\N	\N	\N	Njerep	0	njr
4850	\N	\N	\N	Nisa	0	njs
4851	\N	\N	\N	Ndyuka-Trio Pidgin	0	njt
4852	\N	\N	\N	Ngadjunmaya	0	nju
4853	\N	\N	\N	Kunyi	0	njx
4854	\N	\N	\N	Njyem	0	njy
4855	\N	\N	\N	Nyishi	0	njz
4856	\N	\N	\N	Nkoya	0	nka
4857	\N	\N	\N	Khoibu Naga	0	nkb
4858	\N	\N	\N	Nkongho	0	nkc
4859	\N	\N	\N	Koireng	0	nkd
4860	\N	\N	\N	Duke	0	nke
4861	\N	\N	\N	Inpui Naga	0	nkf
4862	\N	\N	\N	Nekgini	0	nkg
4863	\N	\N	\N	Khezha Naga	0	nkh
4864	\N	\N	\N	Thangal Naga	0	nki
4865	\N	\N	\N	Nakai	0	nkj
4866	\N	\N	\N	Nokuku	0	nkk
4867	\N	\N	\N	Namat	0	nkm
4868	\N	\N	\N	Nkangala	0	nkn
4869	\N	\N	\N	Nkonya	0	nko
4870	\N	\N	\N	Niuatoputapu	0	nkp
4871	\N	\N	\N	Nkami	0	nkq
4872	\N	\N	\N	Nukuoro	0	nkr
4873	\N	\N	\N	North Asmat	0	nks
4874	\N	\N	\N	Nyika (Tanzania)	0	nkt
4875	\N	\N	\N	Bouna Kulango	0	nku
4876	\N	\N	\N	Nyika (Malawi and Zambia)	0	nkv
4877	\N	\N	\N	Nkutu	0	nkw
4878	\N	\N	\N	Nkoroo	0	nkx
4879	\N	\N	\N	Nkari	0	nkz
4880	\N	\N	\N	Ngombale	0	nla
4881	\N	\N	\N	Nalca	0	nlc
4882	\N	\N	\N	East Nyala	0	nle
4883	\N	\N	\N	Gela	0	nlg
4884	\N	\N	\N	Grangali	0	nli
4885	\N	\N	\N	Nyali	0	nlj
4886	\N	\N	\N	Ninia Yali	0	nlk
4887	\N	\N	\N	Nihali	0	nll
4888	\N	\N	\N	Ngul	0	nlo
4889	\N	\N	\N	Lao Naga	0	nlq
4890	\N	\N	\N	Ngarla	0	nlr
4891	\N	\N	\N	Nchumbulu	0	nlu
4892	\N	\N	\N	Orizaba Nahuatl	0	nlv
4893	\N	\N	\N	Nahali	0	nlx
4894	\N	\N	\N	Nyamal	0	nly
4895	\N	\N	\N	Nalögo	0	nlz
4896	\N	\N	\N	Maram Naga	0	nma
4897	\N	\N	\N	Big Nambas	0	nmb
4898	\N	\N	\N	Ngam	0	nmc
4899	\N	\N	\N	Ndumu	0	nmd
4900	\N	\N	\N	Mzieme Naga	0	nme
4901	\N	\N	\N	Tangkhul Naga (India)	0	nmf
4902	\N	\N	\N	Kwasio	0	nmg
4903	\N	\N	\N	Monsang Naga	0	nmh
4904	\N	\N	\N	Nyam	0	nmi
4905	\N	\N	\N	Ngombe (Central African Republic)	0	nmj
4906	\N	\N	\N	Namakura	0	nmk
4907	\N	\N	\N	Ndemli	0	nml
4908	\N	\N	\N	Manangba	0	nmm
4909	\N	\N	\N	!Xóõ	0	nmn
4910	\N	\N	\N	Moyon Naga	0	nmo
4911	\N	\N	\N	Nimanbur	0	nmp
4912	\N	\N	\N	Nambya	0	nmq
4913	\N	\N	\N	Nimbari	0	nmr
4914	\N	\N	\N	Letemboi	0	nms
4915	\N	\N	\N	Namonuito	0	nmt
4916	\N	\N	\N	Northeast Maidu	0	nmu
4917	\N	\N	\N	Ngamini	0	nmv
4918	\N	\N	\N	Nimoa	0	nmw
4919	\N	\N	\N	Nama (Papua New Guinea)	0	nmx
4920	\N	\N	\N	Namuyi	0	nmy
4921	\N	\N	\N	Nawdm	0	nmz
4922	\N	\N	\N	Nyangumarta	0	nna
4923	\N	\N	\N	Nande	0	nnb
4924	\N	\N	\N	Nancere	0	nnc
4925	\N	\N	\N	West Ambae	0	nnd
4926	\N	\N	\N	Ngandyera	0	nne
4927	\N	\N	\N	Ngaing	0	nnf
4928	\N	\N	\N	Maring Naga	0	nng
4929	\N	\N	\N	Ngiemboon	0	nnh
4930	\N	\N	\N	North Nuaulu	0	nni
4931	\N	\N	\N	Nyangatom	0	nnj
4932	\N	\N	\N	Nankina	0	nnk
4933	\N	\N	\N	Northern Rengma Naga	0	nnl
4934	\N	\N	\N	Namia	0	nnm
4935	\N	\N	\N	Ngete	0	nnn
305	nno	nno	nn	Norwegian Nynorsk	1	nno
4936	\N	\N	\N	Wancho Naga	0	nnp
4937	\N	\N	\N	Ngindo	0	nnq
4938	\N	\N	\N	Narungga	0	nnr
4939	\N	\N	\N	Ningye	0	nns
4940	\N	\N	\N	Nanticoke	0	nnt
4941	\N	\N	\N	Dwang	0	nnu
4942	\N	\N	\N	Nugunu (Australia)	0	nnv
4943	\N	\N	\N	Southern Nuni	0	nnw
4944	\N	\N	\N	Ngong	0	nnx
4945	\N	\N	\N	Nyangga	0	nny
4946	\N	\N	\N	Nda'nda'	0	nnz
4947	\N	\N	\N	Woun Meu	0	noa
306	nob	nob	nb	Norwegian Bokmål	1	nob
4948	\N	\N	\N	Nuk	0	noc
4949	\N	\N	\N	Northern Thai	0	nod
4950	\N	\N	\N	Nimadi	0	noe
4951	\N	\N	\N	Nomane	0	nof
307	nog	nog	\N	Nogai	1	nog
4952	\N	\N	\N	Nomu	0	noh
4953	\N	\N	\N	Noiri	0	noi
4954	\N	\N	\N	Nonuya	0	noj
4955	\N	\N	\N	Nooksack	0	nok
4956	\N	\N	\N	Nocamán	0	nom
308	non	non	\N	Norse, Old	1	non
4957	\N	\N	\N	Numanggang	0	nop
4958	\N	\N	\N	Ngongo	0	noq
4959	\N	\N	\N	Eastern Nisu	0	nos
4960	\N	\N	\N	Nomatsiguenga	0	not
4961	\N	\N	\N	Ewage-Notu	0	nou
4962	\N	\N	\N	Novial	0	nov
4963	\N	\N	\N	Nyambo	0	now
4964	\N	\N	\N	Noy	0	noy
4965	\N	\N	\N	Nayi	0	noz
4966	\N	\N	\N	Nar Phu	0	npa
4967	\N	\N	\N	Nupbikha	0	npb
4968	\N	\N	\N	Ponyo-Gongwang Naga	0	npg
4969	\N	\N	\N	Phom Naga	0	nph
4970	\N	\N	\N	Nepali (individual language)	0	npi
4971	\N	\N	\N	Southeastern Puebla Nahuatl	0	npl
4972	\N	\N	\N	Mondropolon	0	npn
4973	\N	\N	\N	Pochuri Naga	0	npo
4974	\N	\N	\N	Nipsan	0	nps
4975	\N	\N	\N	Puimei Naga	0	npu
4976	\N	\N	\N	Napu	0	npy
4977	\N	\N	\N	Southern Nago	0	nqg
4978	\N	\N	\N	Kura Ede Nago	0	nqk
4979	\N	\N	\N	Ndom	0	nqm
4980	\N	\N	\N	Nen	0	nqn
478	nqo	nqo	\N	N'Ko	1	nqo
4981	\N	\N	\N	Kyan-Karyaw Naga	0	nqq
4982	\N	\N	\N	Akyaung Ari Naga	0	nqy
4983	\N	\N	\N	Ngom	0	nra
4984	\N	\N	\N	Nara	0	nrb
4985	\N	\N	\N	Noric	0	nrc
4986	\N	\N	\N	Southern Rengma Naga	0	nre
4987	\N	\N	\N	Narango	0	nrg
4988	\N	\N	\N	Chokri Naga	0	nri
4989	\N	\N	\N	Ngarluma	0	nrl
4990	\N	\N	\N	Narom	0	nrm
4991	\N	\N	\N	Norn	0	nrn
4992	\N	\N	\N	North Picene	0	nrp
4993	\N	\N	\N	Norra	0	nrr
4994	\N	\N	\N	Northern Kalapuya	0	nrt
4995	\N	\N	\N	Narua	0	nru
4996	\N	\N	\N	Ngurmbur	0	nrx
4997	\N	\N	\N	Lala	0	nrz
4998	\N	\N	\N	Sangtam Naga	0	nsa
4999	\N	\N	\N	Nshi	0	nsc
5000	\N	\N	\N	Southern Nisu	0	nsd
5001	\N	\N	\N	Nsenga	0	nse
5002	\N	\N	\N	Northwestern Nisu	0	nsf
5003	\N	\N	\N	Ngasa	0	nsg
5004	\N	\N	\N	Ngoshie	0	nsh
5005	\N	\N	\N	Nigerian Sign Language	0	nsi
5006	\N	\N	\N	Naskapi	0	nsk
5007	\N	\N	\N	Norwegian Sign Language	0	nsl
5008	\N	\N	\N	Sumi Naga	0	nsm
5009	\N	\N	\N	Nehan	0	nsn
310	nso	nso	\N	Sotho, Northern	1	nso
5010	\N	\N	\N	Nepalese Sign Language	0	nsp
5011	\N	\N	\N	Northern Sierra Miwok	0	nsq
5012	\N	\N	\N	Maritime Sign Language	0	nsr
5013	\N	\N	\N	Nali	0	nss
5014	\N	\N	\N	Tase Naga	0	nst
5015	\N	\N	\N	Sierra Negra Nahuatl	0	nsu
5016	\N	\N	\N	Southwestern Nisu	0	nsv
5017	\N	\N	\N	Navut	0	nsw
5018	\N	\N	\N	Nsongo	0	nsx
5019	\N	\N	\N	Nasal	0	nsy
5020	\N	\N	\N	Nisenan	0	nsz
5021	\N	\N	\N	Nathembo	0	nte
5022	\N	\N	\N	Natioro	0	nti
5023	\N	\N	\N	Ngaanyatjarra	0	ntj
5024	\N	\N	\N	Ikoma-Nata-Isenye	0	ntk
5025	\N	\N	\N	Nateni	0	ntm
5026	\N	\N	\N	Ntomba	0	nto
5027	\N	\N	\N	Northern Tepehuan	0	ntp
5028	\N	\N	\N	Delo	0	ntr
5029	\N	\N	\N	Natagaimas	0	nts
5030	\N	\N	\N	Natügu	0	ntu
5031	\N	\N	\N	Nottoway	0	ntw
5032	\N	\N	\N	Tangkhul Naga (Myanmar)	0	ntx
5033	\N	\N	\N	Mantsi	0	nty
5034	\N	\N	\N	Natanzi	0	ntz
5035	\N	\N	\N	Yuaga	0	nua
5036	\N	\N	\N	Nukuini	0	nuc
5037	\N	\N	\N	Ngala	0	nud
5038	\N	\N	\N	Ngundu	0	nue
5039	\N	\N	\N	Nusu	0	nuf
5040	\N	\N	\N	Nungali	0	nug
5041	\N	\N	\N	Ndunda	0	nuh
5042	\N	\N	\N	Ngumbi	0	nui
5043	\N	\N	\N	Nyole	0	nuj
5044	\N	\N	\N	Nuu-chah-nulth	0	nuk
5045	\N	\N	\N	Nusa Laut	0	nul
5046	\N	\N	\N	Niuafo'ou	0	num
5047	\N	\N	\N	Anong	0	nun
5048	\N	\N	\N	Nguôn	0	nuo
5049	\N	\N	\N	Nupe-Nupe-Tako	0	nup
5050	\N	\N	\N	Nukumanu	0	nuq
5051	\N	\N	\N	Nukuria	0	nur
5052	\N	\N	\N	Nuer	0	nus
5053	\N	\N	\N	Nung (Viet Nam)	0	nut
5054	\N	\N	\N	Ngbundu	0	nuu
5055	\N	\N	\N	Northern Nuni	0	nuv
5056	\N	\N	\N	Nguluwan	0	nuw
5057	\N	\N	\N	Mehek	0	nux
5058	\N	\N	\N	Nunggubuyu	0	nuy
5059	\N	\N	\N	Tlamacazapa Nahuatl	0	nuz
5060	\N	\N	\N	Nasarian	0	nvh
5061	\N	\N	\N	Namiae	0	nvm
5062	\N	\N	\N	Nyokon	0	nvo
5063	\N	\N	\N	Nawathinehena	0	nwa
5064	\N	\N	\N	Nyabwa	0	nwb
312	nwc	nwc	\N	Classical Newari	0	nwc
5065	\N	\N	\N	Ngwe	0	nwe
5066	\N	\N	\N	Ngayawung	0	nwg
5067	\N	\N	\N	Southwest Tanna	0	nwi
5068	\N	\N	\N	Nyamusa-Molo	0	nwm
5069	\N	\N	\N	Nauo	0	nwo
5070	\N	\N	\N	Nawaru	0	nwr
5071	\N	\N	\N	Middle Newar	0	nwx
5072	\N	\N	\N	Nottoway-Meherrin	0	nwy
5073	\N	\N	\N	Nauete	0	nxa
5074	\N	\N	\N	Ngando (Democratic Republic of Congo)	0	nxd
5075	\N	\N	\N	Nage	0	nxe
5076	\N	\N	\N	Ngad'a	0	nxg
5077	\N	\N	\N	Nindi	0	nxi
5078	\N	\N	\N	Koki Naga	0	nxk
5079	\N	\N	\N	South Nuaulu	0	nxl
5080	\N	\N	\N	Numidian	0	nxm
5081	\N	\N	\N	Ngawun	0	nxn
5082	\N	\N	\N	Naxi	0	nxq
5083	\N	\N	\N	Ninggerum	0	nxr
5084	\N	\N	\N	Narau	0	nxu
5085	\N	\N	\N	Nafri	0	nxx
313	nya	nya	ny	Chichewa	1	nya
5086	\N	\N	\N	Nyangbo	0	nyb
5087	\N	\N	\N	Nyanga-li	0	nyc
5088	\N	\N	\N	Nyore	0	nyd
5089	\N	\N	\N	Nyengo	0	nye
5090	\N	\N	\N	Giryama	0	nyf
5091	\N	\N	\N	Nyindu	0	nyg
5092	\N	\N	\N	Nyigina	0	nyh
5093	\N	\N	\N	Ama (Sudan)	0	nyi
5094	\N	\N	\N	Nyanga	0	nyj
5095	\N	\N	\N	Nyaneka	0	nyk
5096	\N	\N	\N	Nyeu	0	nyl
314	nym	nym	\N	Nyamwezi	1	nym
315	nyn	nyn	\N	Nyankole	1	nyn
316	nyo	nyo	\N	Nyoro	1	nyo
5097	\N	\N	\N	Nyang'i	0	nyp
5098	\N	\N	\N	Nayini	0	nyq
5099	\N	\N	\N	Nyiha (Malawi)	0	nyr
5100	\N	\N	\N	Nyunga	0	nys
5101	\N	\N	\N	Nyawaygi	0	nyt
5102	\N	\N	\N	Nyungwe	0	nyu
5103	\N	\N	\N	Nyulnyul	0	nyv
5104	\N	\N	\N	Nyaw	0	nyw
5105	\N	\N	\N	Nganyaywana	0	nyx
5106	\N	\N	\N	Nyakyusa-Ngonde	0	nyy
5107	\N	\N	\N	Tigon Mbembe	0	nza
5108	\N	\N	\N	Njebi	0	nzb
317	nzi	nzi	\N	Nzima	1	nzi
5109	\N	\N	\N	Nzakara	0	nzk
5110	\N	\N	\N	Zeme Naga	0	nzm
5111	\N	\N	\N	New Zealand Sign Language	0	nzs
5112	\N	\N	\N	Teke-Nzikou	0	nzu
5113	\N	\N	\N	Nzakambay	0	nzy
5114	\N	\N	\N	Nanga Dama Dogon	0	nzz
5115	\N	\N	\N	Orok	0	oaa
5116	\N	\N	\N	Oroch	0	oac
5117	\N	\N	\N	Old Aramaic (up to 700 BCE)	0	oar
5118	\N	\N	\N	Old Avar	0	oav
5119	\N	\N	\N	Obispeño	0	obi
5120	\N	\N	\N	Southern Bontok	0	obk
5121	\N	\N	\N	Oblo	0	obl
5122	\N	\N	\N	Moabite	0	obm
5123	\N	\N	\N	Obo Manobo	0	obo
5124	\N	\N	\N	Old Burmese	0	obr
5125	\N	\N	\N	Old Breton	0	obt
5126	\N	\N	\N	Obulom	0	obu
5127	\N	\N	\N	Ocaina	0	oca
5128	\N	\N	\N	Old Chinese	0	och
318	oci	oci	oc	Occitan	1	oci
5129	\N	\N	\N	Old Cornish	0	oco
5130	\N	\N	\N	Atzingo Matlatzinca	0	ocu
5131	\N	\N	\N	Odut	0	oda
5132	\N	\N	\N	Od	0	odk
5133	\N	\N	\N	Old Dutch	0	odt
5134	\N	\N	\N	Odual	0	odu
5135	\N	\N	\N	Ofo	0	ofo
5136	\N	\N	\N	Old Frisian	0	ofs
5137	\N	\N	\N	Efutop	0	ofu
5138	\N	\N	\N	Ogbia	0	ogb
5139	\N	\N	\N	Ogbah	0	ogc
5140	\N	\N	\N	Old Georgian	0	oge
5141	\N	\N	\N	Ogbogolo	0	ogg
5142	\N	\N	\N	Khana	0	ogo
5143	\N	\N	\N	Ogbronuagum	0	ogu
5144	\N	\N	\N	Old Hittite	0	oht
5145	\N	\N	\N	Old Hungarian	0	ohu
5146	\N	\N	\N	Oirata	0	oia
5147	\N	\N	\N	Inebu One	0	oin
5148	\N	\N	\N	Northwestern Ojibwa	0	ojb
5149	\N	\N	\N	Central Ojibwa	0	ojc
5150	\N	\N	\N	Eastern Ojibwa	0	ojg
319	oji	oji	oj	Ojibwa	1	oji
5151	\N	\N	\N	Old Japanese	0	ojp
5152	\N	\N	\N	Severn Ojibwa	0	ojs
5153	\N	\N	\N	Ontong Java	0	ojv
5154	\N	\N	\N	Western Ojibwa	0	ojw
5155	\N	\N	\N	Okanagan	0	oka
5156	\N	\N	\N	Okobo	0	okb
5157	\N	\N	\N	Okodia	0	okd
5158	\N	\N	\N	Okpe (Southwestern Edo)	0	oke
5159	\N	\N	\N	Koko Babangk	0	okg
5160	\N	\N	\N	Koresh-e Rostam	0	okh
5161	\N	\N	\N	Okiek	0	oki
5162	\N	\N	\N	Oko-Juwoi	0	okj
5163	\N	\N	\N	Kwamtim One	0	okk
5164	\N	\N	\N	Old Kentish Sign Language	0	okl
5165	\N	\N	\N	Middle Korean (10th-16th cent.)	0	okm
5166	\N	\N	\N	Oki-No-Erabu	0	okn
5167	\N	\N	\N	Old Korean (3rd-9th cent.)	0	oko
5168	\N	\N	\N	Kirike	0	okr
5169	\N	\N	\N	Oko-Eni-Osayen	0	oks
5170	\N	\N	\N	Oku	0	oku
5171	\N	\N	\N	Orokaiva	0	okv
5172	\N	\N	\N	Okpe (Northwestern Edo)	0	okx
5173	\N	\N	\N	Walungge	0	ola
5174	\N	\N	\N	Mochi	0	old
5175	\N	\N	\N	Olekha	0	ole
5176	\N	\N	\N	Oloma	0	olm
5177	\N	\N	\N	Livvi	0	olo
5178	\N	\N	\N	Olrat	0	olr
5179	\N	\N	\N	Omaha-Ponca	0	oma
5180	\N	\N	\N	East Ambae	0	omb
5181	\N	\N	\N	Mochica	0	omc
5182	\N	\N	\N	Omejes	0	ome
5183	\N	\N	\N	Omagua	0	omg
5184	\N	\N	\N	Omi	0	omi
5185	\N	\N	\N	Omok	0	omk
5186	\N	\N	\N	Ombo	0	oml
5187	\N	\N	\N	Minoan	0	omn
5188	\N	\N	\N	Utarmbung	0	omo
5189	\N	\N	\N	Old Manipuri	0	omp
5190	\N	\N	\N	Old Marathi	0	omr
5191	\N	\N	\N	Omotik	0	omt
5192	\N	\N	\N	Omurano	0	omu
5193	\N	\N	\N	South Tairora	0	omw
5194	\N	\N	\N	Old Mon	0	omx
5195	\N	\N	\N	Ona	0	ona
5196	\N	\N	\N	Lingao	0	onb
5197	\N	\N	\N	Oneida	0	one
5198	\N	\N	\N	Olo	0	ong
5199	\N	\N	\N	Onin	0	oni
5200	\N	\N	\N	Onjob	0	onj
5201	\N	\N	\N	Kabore One	0	onk
5202	\N	\N	\N	Onobasulu	0	onn
5203	\N	\N	\N	Onondaga	0	ono
5204	\N	\N	\N	Sartang	0	onp
5205	\N	\N	\N	Northern One	0	onr
5206	\N	\N	\N	Ono	0	ons
5207	\N	\N	\N	Ontenu	0	ont
5208	\N	\N	\N	Unua	0	onu
5209	\N	\N	\N	Old Nubian	0	onw
5210	\N	\N	\N	Onin Based Pidgin	0	onx
5211	\N	\N	\N	Tohono O'odham	0	ood
5212	\N	\N	\N	Ong	0	oog
5213	\N	\N	\N	Önge	0	oon
5214	\N	\N	\N	Oorlams	0	oor
5215	\N	\N	\N	Old Ossetic	0	oos
5216	\N	\N	\N	Okpamheri	0	opa
5217	\N	\N	\N	Kopkaka	0	opk
5218	\N	\N	\N	Oksapmin	0	opm
5219	\N	\N	\N	Opao	0	opo
5220	\N	\N	\N	Opata	0	opt
5221	\N	\N	\N	Ofayé	0	opy
5222	\N	\N	\N	Oroha	0	ora
5223	\N	\N	\N	Orma	0	orc
5224	\N	\N	\N	Orejón	0	ore
5225	\N	\N	\N	Oring	0	org
5226	\N	\N	\N	Oroqen	0	orh
320	ori	ori	or	Oriya	1	ori
321	orm	orm	om	Oromo	1	orm
5227	\N	\N	\N	Orang Kanaq	0	orn
5228	\N	\N	\N	Orokolo	0	oro
5229	\N	\N	\N	Oruma	0	orr
5230	\N	\N	\N	Orang Seletar	0	ors
5231	\N	\N	\N	Adivasi Oriya	0	ort
5232	\N	\N	\N	Ormuri	0	oru
5233	\N	\N	\N	Old Russian	0	orv
5234	\N	\N	\N	Oro Win	0	orw
5235	\N	\N	\N	Oro	0	orx
5236	\N	\N	\N	Oriya (individual language)	0	ory
5237	\N	\N	\N	Ormu	0	orz
322	osa	osa	\N	Osage	1	osa
5238	\N	\N	\N	Oscan	0	osc
5239	\N	\N	\N	Osing	0	osi
5240	\N	\N	\N	Ososo	0	oso
5241	\N	\N	\N	Old Spanish	0	osp
323	oss	oss	os	Ossetian	1	oss
5242	\N	\N	\N	Osatu	0	ost
5243	\N	\N	\N	Southern One	0	osu
5244	\N	\N	\N	Old Saxon	0	osx
324	ota	ota	\N	Turkish, Ottoman	1	ota
5245	\N	\N	\N	Old Tibetan	0	otb
5246	\N	\N	\N	Ot Danum	0	otd
5247	\N	\N	\N	Mezquital Otomi	0	ote
5248	\N	\N	\N	Oti	0	oti
5249	\N	\N	\N	Old Turkish	0	otk
5250	\N	\N	\N	Tilapa Otomi	0	otl
5251	\N	\N	\N	Eastern Highland Otomi	0	otm
5252	\N	\N	\N	Tenango Otomi	0	otn
5253	\N	\N	\N	Querétaro Otomi	0	otq
5254	\N	\N	\N	Otoro	0	otr
5255	\N	\N	\N	Estado de México Otomi	0	ots
5256	\N	\N	\N	Temoaya Otomi	0	ott
5257	\N	\N	\N	Otuke	0	otu
5258	\N	\N	\N	Ottawa	0	otw
5259	\N	\N	\N	Texcatepec Otomi	0	otx
5260	\N	\N	\N	Old Tamil	0	oty
5261	\N	\N	\N	Ixtenco Otomi	0	otz
5262	\N	\N	\N	Tagargrent	0	oua
5263	\N	\N	\N	Glio-Oubi	0	oub
5264	\N	\N	\N	Oune	0	oue
5265	\N	\N	\N	Old Uighur	0	oui
5266	\N	\N	\N	Ouma	0	oum
5267	\N	\N	\N	!O!ung	0	oun
5268	\N	\N	\N	Owiniga	0	owi
5269	\N	\N	\N	Old Welsh	0	owl
5270	\N	\N	\N	Oy	0	oyb
5271	\N	\N	\N	Oyda	0	oyd
5272	\N	\N	\N	Wayampi	0	oym
5273	\N	\N	\N	Oya'oya	0	oyy
5274	\N	\N	\N	Koonzime	0	ozm
5275	\N	\N	\N	Parecís	0	pab
5276	\N	\N	\N	Pacoh	0	pac
5277	\N	\N	\N	Paumarí	0	pad
5278	\N	\N	\N	Pagibete	0	pae
5279	\N	\N	\N	Paranawát	0	paf
327	pag	pag	\N	Pangasinan	1	pag
5280	\N	\N	\N	Tenharim	0	pah
5281	\N	\N	\N	Pe	0	pai
5282	\N	\N	\N	Parakanã	0	pak
328	pal	pal	\N	Pahlavi	0	pal
329	pam	pam	\N	Pampanga	1	pam
330	pan	pan	pa	Panjabi	1	pan
5283	\N	\N	\N	Northern Paiute	0	pao
331	pap	pap	\N	Papiamento	1	pap
5284	\N	\N	\N	Parya	0	paq
5285	\N	\N	\N	Panamint	0	par
5286	\N	\N	\N	Papasena	0	pas
5287	\N	\N	\N	Papitalai	0	pat
332	pau	pau	\N	Palauan	1	pau
5288	\N	\N	\N	Pakaásnovos	0	pav
5289	\N	\N	\N	Pawnee	0	paw
5290	\N	\N	\N	Pankararé	0	pax
5291	\N	\N	\N	Pech	0	pay
5292	\N	\N	\N	Pankararú	0	paz
5293	\N	\N	\N	Páez	0	pbb
5294	\N	\N	\N	Patamona	0	pbc
5295	\N	\N	\N	Mezontla Popoloca	0	pbe
5296	\N	\N	\N	Coyotepec Popoloca	0	pbf
5297	\N	\N	\N	Paraujano	0	pbg
5298	\N	\N	\N	E'ñapa Woromaipu	0	pbh
5299	\N	\N	\N	Parkwa	0	pbi
5300	\N	\N	\N	Mak (Nigeria)	0	pbl
5301	\N	\N	\N	Kpasam	0	pbn
5302	\N	\N	\N	Papel	0	pbo
5303	\N	\N	\N	Badyara	0	pbp
5304	\N	\N	\N	Pangwa	0	pbr
5305	\N	\N	\N	Central Pame	0	pbs
5306	\N	\N	\N	Southern Pashto	0	pbt
5307	\N	\N	\N	Northern Pashto	0	pbu
5308	\N	\N	\N	Pnar	0	pbv
5309	\N	\N	\N	Pyu	0	pby
5310	\N	\N	\N	Santa Inés Ahuatempan Popoloca	0	pca
5311	\N	\N	\N	Pear	0	pcb
5312	\N	\N	\N	Bouyei	0	pcc
5313	\N	\N	\N	Picard	0	pcd
5314	\N	\N	\N	Ruching Palaung	0	pce
5315	\N	\N	\N	Paliyan	0	pcf
5316	\N	\N	\N	Paniya	0	pcg
5317	\N	\N	\N	Pardhan	0	pch
5318	\N	\N	\N	Duruwa	0	pci
5319	\N	\N	\N	Parenga	0	pcj
5320	\N	\N	\N	Paite Chin	0	pck
5321	\N	\N	\N	Pardhi	0	pcl
5322	\N	\N	\N	Nigerian Pidgin	0	pcm
5323	\N	\N	\N	Piti	0	pcn
5324	\N	\N	\N	Pacahuara	0	pcp
5325	\N	\N	\N	Panang	0	pcr
5326	\N	\N	\N	Pyapun	0	pcw
5327	\N	\N	\N	Anam	0	pda
5328	\N	\N	\N	Pennsylvania German	0	pdc
5329	\N	\N	\N	Pa Di	0	pdi
5330	\N	\N	\N	Podena	0	pdn
5331	\N	\N	\N	Padoe	0	pdo
5332	\N	\N	\N	Plautdietsch	0	pdt
5333	\N	\N	\N	Kayan	0	pdu
5334	\N	\N	\N	Peranakan Indonesian	0	pea
5335	\N	\N	\N	Eastern Pomo	0	peb
5336	\N	\N	\N	Mala (Papua New Guinea)	0	ped
5337	\N	\N	\N	Taje	0	pee
5338	\N	\N	\N	Northeastern Pomo	0	pef
5339	\N	\N	\N	Pengo	0	peg
5340	\N	\N	\N	Bonan	0	peh
5341	\N	\N	\N	Chichimeca-Jonaz	0	pei
5342	\N	\N	\N	Northern Pomo	0	pej
5343	\N	\N	\N	Penchal	0	pek
5344	\N	\N	\N	Pekal	0	pel
5345	\N	\N	\N	Phende	0	pem
333	peo	peo	\N	Persian, Old (ca.600-400 B.C.)	0	peo
5346	\N	\N	\N	Kunja	0	pep
5347	\N	\N	\N	Southern Pomo	0	peq
5348	\N	\N	\N	Iranian Persian	0	pes
5349	\N	\N	\N	Pémono	0	pev
5350	\N	\N	\N	Petats	0	pex
5351	\N	\N	\N	Petjo	0	pey
5352	\N	\N	\N	Eastern Penan	0	pez
5353	\N	\N	\N	Pááfang	0	pfa
5354	\N	\N	\N	Peere	0	pfe
5355	\N	\N	\N	Pfaelzisch	0	pfl
5356	\N	\N	\N	Sudanese Creole Arabic	0	pga
5357	\N	\N	\N	Pangwali	0	pgg
5358	\N	\N	\N	Pagi	0	pgi
5359	\N	\N	\N	Rerep	0	pgk
5360	\N	\N	\N	Primitive Irish	0	pgl
5361	\N	\N	\N	Paelignian	0	pgn
5362	\N	\N	\N	Pangseng	0	pgs
5363	\N	\N	\N	Pagu	0	pgu
5364	\N	\N	\N	Pa-Hng	0	pha
5365	\N	\N	\N	Phudagi	0	phd
5366	\N	\N	\N	Phuong	0	phg
5367	\N	\N	\N	Phukha	0	phh
5368	\N	\N	\N	Phake	0	phk
5369	\N	\N	\N	Phalura	0	phl
5370	\N	\N	\N	Phimbi	0	phm
336	phn	phn	\N	Phoenician	0	phn
5371	\N	\N	\N	Phunoi	0	pho
5372	\N	\N	\N	Phana'	0	phq
5373	\N	\N	\N	Pahari-Potwari	0	phr
5374	\N	\N	\N	Phu Thai	0	pht
5375	\N	\N	\N	Phuan	0	phu
5376	\N	\N	\N	Pahlavani	0	phv
5377	\N	\N	\N	Phangduwali	0	phw
5378	\N	\N	\N	Pima Bajo	0	pia
5379	\N	\N	\N	Yine	0	pib
5380	\N	\N	\N	Pinji	0	pic
5381	\N	\N	\N	Piaroa	0	pid
5382	\N	\N	\N	Piro	0	pie
5383	\N	\N	\N	Pingelapese	0	pif
5384	\N	\N	\N	Pisabo	0	pig
5385	\N	\N	\N	Pitcairn-Norfolk	0	pih
5386	\N	\N	\N	Pini	0	pii
5387	\N	\N	\N	Pijao	0	pij
5388	\N	\N	\N	Yom	0	pil
5389	\N	\N	\N	Powhatan	0	pim
5390	\N	\N	\N	Piame	0	pin
5391	\N	\N	\N	Piapoco	0	pio
5392	\N	\N	\N	Pero	0	pip
5393	\N	\N	\N	Piratapuyo	0	pir
5394	\N	\N	\N	Pijin	0	pis
5395	\N	\N	\N	Pitta Pitta	0	pit
5396	\N	\N	\N	Pintupi-Luritja	0	piu
5397	\N	\N	\N	Pileni	0	piv
5398	\N	\N	\N	Pimbwe	0	piw
5399	\N	\N	\N	Piu	0	pix
5400	\N	\N	\N	Piya-Kwonci	0	piy
5401	\N	\N	\N	Pije	0	piz
5402	\N	\N	\N	Pitjantjatjara	0	pjt
5403	\N	\N	\N	Ardhamāgadhī Prākrit	0	pka
5404	\N	\N	\N	Pokomo	0	pkb
5405	\N	\N	\N	Paekche	0	pkc
5406	\N	\N	\N	Pak-Tong	0	pkg
5407	\N	\N	\N	Pankhu	0	pkh
5408	\N	\N	\N	Pakanha	0	pkn
5409	\N	\N	\N	Pökoot	0	pko
5410	\N	\N	\N	Pukapuka	0	pkp
5411	\N	\N	\N	Attapady Kurumba	0	pkr
5412	\N	\N	\N	Pakistan Sign Language	0	pks
5413	\N	\N	\N	Maleng	0	pkt
5414	\N	\N	\N	Paku	0	pku
5415	\N	\N	\N	Miani	0	pla
5416	\N	\N	\N	Polonombauk	0	plb
5417	\N	\N	\N	Central Palawano	0	plc
5418	\N	\N	\N	Polari	0	pld
5419	\N	\N	\N	Palu'e	0	ple
5420	\N	\N	\N	Pilagá	0	plg
5421	\N	\N	\N	Paulohi	0	plh
337	pli	pli	pi	Pali	1	pli
5422	\N	\N	\N	Polci	0	plj
5423	\N	\N	\N	Kohistani Shina	0	plk
5424	\N	\N	\N	Shwe Palaung	0	pll
5425	\N	\N	\N	Palenquero	0	pln
5426	\N	\N	\N	Oluta Popoluca	0	plo
5427	\N	\N	\N	Palpa	0	plp
5428	\N	\N	\N	Palaic	0	plq
5429	\N	\N	\N	Palaka Senoufo	0	plr
5430	\N	\N	\N	San Marcos Tlalcoyalco Popoloca	0	pls
5431	\N	\N	\N	Plateau Malagasy	0	plt
5432	\N	\N	\N	Palikúr	0	plu
5433	\N	\N	\N	Southwest Palawano	0	plv
5434	\N	\N	\N	Brooke's Point Palawano	0	plw
5435	\N	\N	\N	Bolyu	0	ply
5436	\N	\N	\N	Paluan	0	plz
5437	\N	\N	\N	Paama	0	pma
5438	\N	\N	\N	Pambia	0	pmb
5439	\N	\N	\N	Palumata	0	pmc
5440	\N	\N	\N	Pallanganmiddang	0	pmd
5441	\N	\N	\N	Pwaamei	0	pme
5442	\N	\N	\N	Pamona	0	pmf
5443	\N	\N	\N	Māhārāṣṭri Prākrit	0	pmh
5444	\N	\N	\N	Northern Pumi	0	pmi
5445	\N	\N	\N	Southern Pumi	0	pmj
5446	\N	\N	\N	Pamlico	0	pmk
5447	\N	\N	\N	Lingua Franca	0	pml
5448	\N	\N	\N	Pomo	0	pmm
5449	\N	\N	\N	Pam	0	pmn
5450	\N	\N	\N	Pom	0	pmo
5451	\N	\N	\N	Northern Pame	0	pmq
5452	\N	\N	\N	Paynamar	0	pmr
5453	\N	\N	\N	Piemontese	0	pms
5454	\N	\N	\N	Tuamotuan	0	pmt
5455	\N	\N	\N	Mirpur Panjabi	0	pmu
5456	\N	\N	\N	Plains Miwok	0	pmw
5457	\N	\N	\N	Poumei Naga	0	pmx
5458	\N	\N	\N	Papuan Malay	0	pmy
5459	\N	\N	\N	Southern Pame	0	pmz
5460	\N	\N	\N	Punan Bah-Biau	0	pna
5461	\N	\N	\N	Western Panjabi	0	pnb
5462	\N	\N	\N	Pannei	0	pnc
5463	\N	\N	\N	Western Penan	0	pne
5464	\N	\N	\N	Pongu	0	png
5465	\N	\N	\N	Penrhyn	0	pnh
5466	\N	\N	\N	Aoheng	0	pni
5467	\N	\N	\N	Paunaka	0	pnk
5468	\N	\N	\N	Punan Batu 1	0	pnm
5469	\N	\N	\N	Pinai-Hagahai	0	pnn
5470	\N	\N	\N	Panobo	0	pno
5471	\N	\N	\N	Pancana	0	pnp
5472	\N	\N	\N	Pana (Burkina Faso)	0	pnq
5473	\N	\N	\N	Panim	0	pnr
5474	\N	\N	\N	Ponosakan	0	pns
5475	\N	\N	\N	Pontic	0	pnt
5476	\N	\N	\N	Jiongnai Bunu	0	pnu
5477	\N	\N	\N	Pinigura	0	pnv
5478	\N	\N	\N	Panytyima	0	pnw
5479	\N	\N	\N	Phong-Kniang	0	pnx
5480	\N	\N	\N	Pinyin	0	pny
5481	\N	\N	\N	Pana (Central African Republic)	0	pnz
5482	\N	\N	\N	Poqomam	0	poc
5483	\N	\N	\N	Ponares	0	pod
5484	\N	\N	\N	San Juan Atzingo Popoloca	0	poe
5485	\N	\N	\N	Poke	0	pof
5486	\N	\N	\N	Potiguára	0	pog
5487	\N	\N	\N	Poqomchi'	0	poh
5488	\N	\N	\N	Highland Popoluca	0	poi
5489	\N	\N	\N	Pokangá	0	pok
5490	\N	\N	\N	Southeastern Pomo	0	pom
339	pon	pon	\N	Pohnpeian	1	pon
5491	\N	\N	\N	Central Pomo	0	poo
5492	\N	\N	\N	Pwapwa	0	pop
5493	\N	\N	\N	Texistepec Popoluca	0	poq
5494	\N	\N	\N	Sayula Popoluca	0	pos
5495	\N	\N	\N	Potawatomi	0	pot
5496	\N	\N	\N	Upper Guinea Crioulo	0	pov
5497	\N	\N	\N	San Felipe Otlaltepec Popoloca	0	pow
5498	\N	\N	\N	Polabian	0	pox
5499	\N	\N	\N	Pogolo	0	poy
5500	\N	\N	\N	Pao	0	ppa
5501	\N	\N	\N	Papi	0	ppe
5502	\N	\N	\N	Paipai	0	ppi
5503	\N	\N	\N	Uma	0	ppk
5504	\N	\N	\N	Pipil	0	ppl
5505	\N	\N	\N	Papuma	0	ppm
5506	\N	\N	\N	Papapana	0	ppn
5507	\N	\N	\N	Folopa	0	ppo
5508	\N	\N	\N	Pelende	0	ppp
5509	\N	\N	\N	Pei	0	ppq
5510	\N	\N	\N	Piru	0	ppr
5511	\N	\N	\N	San Luís Temalacayuca Popoloca	0	pps
5512	\N	\N	\N	Pare	0	ppt
5513	\N	\N	\N	Papora	0	ppu
5514	\N	\N	\N	Pa'a	0	pqa
5515	\N	\N	\N	Malecite-Passamaquoddy	0	pqm
5516	\N	\N	\N	Lua'	0	prb
5517	\N	\N	\N	Parachi	0	prc
5518	\N	\N	\N	Parsi-Dari	0	prd
5519	\N	\N	\N	Principense	0	pre
5520	\N	\N	\N	Paranan	0	prf
5521	\N	\N	\N	Prussian	0	prg
5522	\N	\N	\N	Porohanon	0	prh
5523	\N	\N	\N	Paicî	0	pri
5524	\N	\N	\N	Parauk	0	prk
5525	\N	\N	\N	Peruvian Sign Language	0	prl
5526	\N	\N	\N	Kibiri	0	prm
5527	\N	\N	\N	Prasuni	0	prn
342	pro	pro	\N	Provençal, Old (to 1500)	0	pro
5528	\N	\N	\N	Parsi	0	prp
5529	\N	\N	\N	Ashéninka Perené	0	prq
5530	\N	\N	\N	Puri	0	prr
5531	\N	\N	\N	Dari	0	prs
5532	\N	\N	\N	Phai	0	prt
5533	\N	\N	\N	Puragi	0	pru
5534	\N	\N	\N	Parawen	0	prw
5535	\N	\N	\N	Purik	0	prx
5536	\N	\N	\N	Pray 3	0	pry
5537	\N	\N	\N	Providencia Sign Language	0	prz
5538	\N	\N	\N	Asue Awyu	0	psa
5539	\N	\N	\N	Persian Sign Language	0	psc
5540	\N	\N	\N	Plains Indian Sign Language	0	psd
5541	\N	\N	\N	Central Malay	0	pse
5542	\N	\N	\N	Penang Sign Language	0	psg
5543	\N	\N	\N	Southwest Pashayi	0	psh
5544	\N	\N	\N	Southeast Pashayi	0	psi
5545	\N	\N	\N	Puerto Rican Sign Language	0	psl
5546	\N	\N	\N	Pauserna	0	psm
5547	\N	\N	\N	Panasuan	0	psn
5548	\N	\N	\N	Polish Sign Language	0	pso
5549	\N	\N	\N	Philippine Sign Language	0	psp
5550	\N	\N	\N	Pasi	0	psq
5551	\N	\N	\N	Portuguese Sign Language	0	psr
5552	\N	\N	\N	Kaulong	0	pss
5553	\N	\N	\N	Central Pashto	0	pst
5554	\N	\N	\N	Sauraseni Prākrit	0	psu
5555	\N	\N	\N	Port Sandwich	0	psw
5556	\N	\N	\N	Piscataway	0	psy
5557	\N	\N	\N	Pai Tavytera	0	pta
5558	\N	\N	\N	Pataxó Hã-Ha-Hãe	0	pth
5559	\N	\N	\N	Pintiini	0	pti
5560	\N	\N	\N	Patani	0	ptn
5561	\N	\N	\N	Zo'é	0	pto
5562	\N	\N	\N	Patep	0	ptp
5563	\N	\N	\N	Piamatsina	0	ptr
5564	\N	\N	\N	Enrekang	0	ptt
5565	\N	\N	\N	Bambam	0	ptu
5566	\N	\N	\N	Port Vato	0	ptv
5567	\N	\N	\N	Pentlatch	0	ptw
5568	\N	\N	\N	Pathiya	0	pty
5569	\N	\N	\N	Western Highland Purepecha	0	pua
5570	\N	\N	\N	Purum	0	pub
5571	\N	\N	\N	Punan Merap	0	puc
5572	\N	\N	\N	Punan Aput	0	pud
5573	\N	\N	\N	Puelche	0	pue
5574	\N	\N	\N	Punan Merah	0	puf
5575	\N	\N	\N	Phuie	0	pug
5576	\N	\N	\N	Puinave	0	pui
5577	\N	\N	\N	Punan Tubu	0	puj
5578	\N	\N	\N	Pu Ko	0	puk
5579	\N	\N	\N	Puma	0	pum
5580	\N	\N	\N	Puoc	0	puo
5581	\N	\N	\N	Pulabu	0	pup
5582	\N	\N	\N	Puquina	0	puq
5583	\N	\N	\N	Puruborá	0	pur
343	pus	pus	ps	Pushto	1	pus
5584	\N	\N	\N	Putoh	0	put
5585	\N	\N	\N	Punu	0	puu
5586	\N	\N	\N	Puluwatese	0	puw
5587	\N	\N	\N	Puare	0	pux
5588	\N	\N	\N	Purisimeño	0	puy
5589	\N	\N	\N	Purum Naga	0	puz
5590	\N	\N	\N	Pawaia	0	pwa
5591	\N	\N	\N	Panawa	0	pwb
5592	\N	\N	\N	Gapapaiwa	0	pwg
5593	\N	\N	\N	Molbog	0	pwm
5594	\N	\N	\N	Paiwan	0	pwn
5595	\N	\N	\N	Pwo Western Karen	0	pwo
5596	\N	\N	\N	Powari	0	pwr
5597	\N	\N	\N	Pwo Northern Karen	0	pww
5598	\N	\N	\N	Quetzaltepec Mixe	0	pxm
5599	\N	\N	\N	Pye Krumen	0	pye
5600	\N	\N	\N	Fyam	0	pym
5601	\N	\N	\N	Poyanáwa	0	pyn
5602	\N	\N	\N	Paraguayan Sign Language	0	pys
5603	\N	\N	\N	Puyuma	1	pyu
5604	\N	\N	\N	Pyu (Myanmar)	0	pyx
5605	\N	\N	\N	Pyen	0	pyy
5606	\N	\N	\N	Para Naga	0	pzn
5607	\N	\N	\N	Quapaw	0	qua
5608	\N	\N	\N	Huallaga Huánuco Quechua	0	qub
5609	\N	\N	\N	K'iche'	0	quc
5610	\N	\N	\N	Calderón Highland Quichua	0	qud
344	que	que	qu	Quechua	1	que
5611	\N	\N	\N	Lambayeque Quechua	0	quf
5612	\N	\N	\N	Chimborazo Highland Quichua	0	qug
5613	\N	\N	\N	South Bolivian Quechua	0	quh
5614	\N	\N	\N	Quileute	0	qui
5615	\N	\N	\N	Chachapoyas Quechua	0	quk
5616	\N	\N	\N	North Bolivian Quechua	0	qul
5617	\N	\N	\N	Sipacapense	0	qum
5618	\N	\N	\N	Quinault	0	qun
5619	\N	\N	\N	Southern Pastaza Quechua	0	qup
5620	\N	\N	\N	Quinqui	0	quq
5621	\N	\N	\N	Yanahuanca Pasco Quechua	0	qur
5622	\N	\N	\N	Santiago del Estero Quichua	0	qus
5623	\N	\N	\N	Sacapulteco	0	quv
5624	\N	\N	\N	Tena Lowland Quichua	0	quw
5625	\N	\N	\N	Yauyos Quechua	0	qux
5626	\N	\N	\N	Ayacucho Quechua	0	quy
5627	\N	\N	\N	Cusco Quechua	0	quz
5628	\N	\N	\N	Ambo-Pasco Quechua	0	qva
5629	\N	\N	\N	Cajamarca Quechua	0	qvc
5630	\N	\N	\N	Eastern Apurímac Quechua	0	qve
5631	\N	\N	\N	Huamalíes-Dos de Mayo Huánuco Quechua	0	qvh
5632	\N	\N	\N	Imbabura Highland Quichua	0	qvi
5633	\N	\N	\N	Loja Highland Quichua	0	qvj
5634	\N	\N	\N	Cajatambo North Lima Quechua	0	qvl
5635	\N	\N	\N	Margos-Yarowilca-Lauricocha Quechua	0	qvm
5636	\N	\N	\N	North Junín Quechua	0	qvn
5637	\N	\N	\N	Napo Lowland Quechua	0	qvo
5638	\N	\N	\N	Pacaraos Quechua	0	qvp
5639	\N	\N	\N	San Martín Quechua	0	qvs
5640	\N	\N	\N	Huaylla Wanca Quechua	0	qvw
5641	\N	\N	\N	Queyu	0	qvy
5642	\N	\N	\N	Northern Pastaza Quichua	0	qvz
5643	\N	\N	\N	Corongo Ancash Quechua	0	qwa
5644	\N	\N	\N	Classical Quechua	0	qwc
5645	\N	\N	\N	Huaylas Ancash Quechua	0	qwh
5646	\N	\N	\N	Kuman (Russia)	0	qwm
5647	\N	\N	\N	Sihuas Ancash Quechua	0	qws
5648	\N	\N	\N	Kwalhioqua-Tlatskanai	0	qwt
5649	\N	\N	\N	Chiquián Ancash Quechua	0	qxa
5650	\N	\N	\N	Chincha Quechua	0	qxc
5651	\N	\N	\N	Panao Huánuco Quechua	0	qxh
5652	\N	\N	\N	Salasaca Highland Quichua	0	qxl
5653	\N	\N	\N	Northern Conchucos Ancash Quechua	0	qxn
5654	\N	\N	\N	Southern Conchucos Ancash Quechua	0	qxo
5655	\N	\N	\N	Puno Quechua	0	qxp
5656	\N	\N	\N	Qashqa'i	0	qxq
5657	\N	\N	\N	Cañar Highland Quichua	0	qxr
5658	\N	\N	\N	Southern Qiang	0	qxs
5659	\N	\N	\N	Santa Ana de Tusi Pasco Quechua	0	qxt
5660	\N	\N	\N	Arequipa-La Unión Quechua	0	qxu
5661	\N	\N	\N	Jauja Wanca Quechua	0	qxw
5663	\N	\N	\N	Quiripi	0	qyp
5664	\N	\N	\N	Dungmali	0	raa
5665	\N	\N	\N	Camling	0	rab
5666	\N	\N	\N	Rasawa	0	rac
5667	\N	\N	\N	Rade	0	rad
5668	\N	\N	\N	Western Meohang	0	raf
5669	\N	\N	\N	Logooli	0	rag
5670	\N	\N	\N	Rabha	0	rah
5671	\N	\N	\N	Ramoaaina	0	rai
345	raj	raj	\N	Rajasthani	1	raj
5672	\N	\N	\N	Tulu-Bohuai	0	rak
5673	\N	\N	\N	Ralte	0	ral
5674	\N	\N	\N	Canela	0	ram
5675	\N	\N	\N	Riantana	0	ran
5676	\N	\N	\N	Rao	0	rao
346	rap	rap	\N	Rapanui	1	rap
5677	\N	\N	\N	Saam	0	raq
347	rar	rar	\N	Rarotongan	1	rar
5678	\N	\N	\N	Tegali	0	ras
5679	\N	\N	\N	Razajerdi	0	rat
5680	\N	\N	\N	Raute	0	rau
5681	\N	\N	\N	Sampang	0	rav
5682	\N	\N	\N	Rawang	0	raw
5683	\N	\N	\N	Rang	0	rax
5684	\N	\N	\N	Rapa	0	ray
5685	\N	\N	\N	Rahambuu	0	raz
5686	\N	\N	\N	Rumai Palaung	0	rbb
5687	\N	\N	\N	Northern Bontok	0	rbk
5688	\N	\N	\N	Miraya Bikol	0	rbl
5689	\N	\N	\N	Barababaraba	0	rbp
5691	\N	\N	\N	Rudbari	0	rdb
5692	\N	\N	\N	Rerau	0	rea
5693	\N	\N	\N	Rembong	0	reb
5694	\N	\N	\N	Rejang Kayan	0	ree
5695	\N	\N	\N	Kara (Tanzania)	0	reg
5696	\N	\N	\N	Reli	0	rei
5697	\N	\N	\N	Rejang	0	rej
5698	\N	\N	\N	Rendille	0	rel
5699	\N	\N	\N	Remo	0	rem
5700	\N	\N	\N	Rengao	0	ren
5701	\N	\N	\N	Rer Bare	0	rer
5702	\N	\N	\N	Reshe	0	res
5703	\N	\N	\N	Retta	0	ret
5704	\N	\N	\N	Reyesano	0	rey
5705	\N	\N	\N	Roria	0	rga
5706	\N	\N	\N	Romano-Greek	0	rge
5707	\N	\N	\N	Rangkas	0	rgk
5708	\N	\N	\N	Romagnol	0	rgn
5709	\N	\N	\N	Resígaro	0	rgr
5710	\N	\N	\N	Southern Roglai	0	rgs
5711	\N	\N	\N	Ringgou	0	rgu
5712	\N	\N	\N	Rohingya	0	rhg
5713	\N	\N	\N	Yahang	0	rhp
5714	\N	\N	\N	Riang (India)	0	ria
5715	\N	\N	\N	Rien	0	rie
5716	\N	\N	\N	Tarifit	0	rif
5717	\N	\N	\N	Riang (Myanmar)	0	ril
5718	\N	\N	\N	Nyaturu	0	rim
5719	\N	\N	\N	Nungu	0	rin
5720	\N	\N	\N	Ribun	0	rir
5721	\N	\N	\N	Ritarungo	0	rit
5722	\N	\N	\N	Riung	0	riu
5723	\N	\N	\N	Rajong	0	rjg
5724	\N	\N	\N	Raji	0	rji
5725	\N	\N	\N	Rajbanshi	0	rjs
5726	\N	\N	\N	Kraol	0	rka
5727	\N	\N	\N	Rikbaktsa	0	rkb
5728	\N	\N	\N	Rakahanga-Manihiki	0	rkh
5729	\N	\N	\N	Rakhine	0	rki
5730	\N	\N	\N	Marka	0	rkm
5731	\N	\N	\N	Rangpuri	0	rkt
5732	\N	\N	\N	Rama	0	rma
5733	\N	\N	\N	Rembarunga	0	rmb
5734	\N	\N	\N	Carpathian Romani	0	rmc
5735	\N	\N	\N	Traveller Danish	0	rmd
5736	\N	\N	\N	Angloromani	0	rme
5737	\N	\N	\N	Kalo Finnish Romani	0	rmf
5738	\N	\N	\N	Traveller Norwegian	0	rmg
5739	\N	\N	\N	Murkim	0	rmh
5662	\N	\N	\N	Quenya	1	qya
5740	\N	\N	\N	Lomavren	0	rmi
5741	\N	\N	\N	Romkun	0	rmk
5742	\N	\N	\N	Baltic Romani	0	rml
5743	\N	\N	\N	Roma	0	rmm
5744	\N	\N	\N	Balkan Romani	0	rmn
5745	\N	\N	\N	Sinte Romani	0	rmo
5746	\N	\N	\N	Rempi	0	rmp
5747	\N	\N	\N	Caló	0	rmq
5748	\N	\N	\N	Romanian Sign Language	0	rms
5749	\N	\N	\N	Domari	0	rmt
5750	\N	\N	\N	Tavringer Romani	0	rmu
5751	\N	\N	\N	Romanova	0	rmv
5752	\N	\N	\N	Welsh Romani	0	rmw
5753	\N	\N	\N	Romam	0	rmx
5754	\N	\N	\N	Vlax Romani	0	rmy
5755	\N	\N	\N	Marma	0	rmz
5756	\N	\N	\N	Runa	0	rna
5757	\N	\N	\N	Ruund	0	rnd
5758	\N	\N	\N	Ronga	0	rng
5759	\N	\N	\N	Ranglong	0	rnl
5760	\N	\N	\N	Roon	0	rnn
5761	\N	\N	\N	Rongpo	0	rnp
5762	\N	\N	\N	NariNari	0	rnr
5763	\N	\N	\N	Rungwa	0	rnw
5764	\N	\N	\N	Tae'	0	rob
5765	\N	\N	\N	Cacgia Roglai	0	roc
5766	\N	\N	\N	Rogo	0	rod
5767	\N	\N	\N	Ronji	0	roe
5768	\N	\N	\N	Rombo	0	rof
5769	\N	\N	\N	Northern Roglai	0	rog
349	roh	roh	rm	Romansh	1	roh
5770	\N	\N	\N	Romblomanon	0	rol
350	rom	rom	\N	Romany	1	rom
351	ron	rum	ro	Romanian	1	ron
5771	\N	\N	\N	Rotokas	0	roo
5772	\N	\N	\N	Kriol	0	rop
5773	\N	\N	\N	Rongga	0	ror
5774	\N	\N	\N	Runga	0	rou
5775	\N	\N	\N	Dela-Oenale	0	row
5776	\N	\N	\N	Repanbitip	0	rpn
5777	\N	\N	\N	Rapting	0	rpt
5778	\N	\N	\N	Ririo	0	rri
5779	\N	\N	\N	Waima	0	rro
5780	\N	\N	\N	Arritinngithigh	0	rrt
5781	\N	\N	\N	Romano-Serbian	0	rsb
5782	\N	\N	\N	Rennellese Sign Language	0	rsi
5783	\N	\N	\N	Russian Sign Language	0	rsl
5784	\N	\N	\N	Rungtu Chin	0	rtc
5785	\N	\N	\N	Ratahan	0	rth
5786	\N	\N	\N	Rotuman	0	rtm
5787	\N	\N	\N	Rathawi	0	rtw
5788	\N	\N	\N	Gungu	0	rub
5789	\N	\N	\N	Ruuli	0	ruc
5790	\N	\N	\N	Rusyn	0	rue
5791	\N	\N	\N	Luguru	0	ruf
5792	\N	\N	\N	Roviana	0	rug
5793	\N	\N	\N	Ruga	0	ruh
5794	\N	\N	\N	Rufiji	0	rui
5795	\N	\N	\N	Che	0	ruk
352	run	run	rn	Rundi	1	run
5796	\N	\N	\N	Istro Romanian	0	ruo
479	rup	rup	\N	Aromanian	1	rup
5797	\N	\N	\N	Megleno Romanian	0	ruq
5809	\N	\N	\N	Central Okinawan	1	ryu
5798	\N	\N	\N	Rutul	0	rut
5799	\N	\N	\N	Lanas Lobu	0	ruu
5800	\N	\N	\N	Mala (Nigeria)	0	ruy
5801	\N	\N	\N	Ruma	0	ruz
5802	\N	\N	\N	Rawo	0	rwa
5803	\N	\N	\N	Rwa	0	rwk
5804	\N	\N	\N	Amba (Uganda)	0	rwm
5805	\N	\N	\N	Rawa	0	rwo
5806	\N	\N	\N	Marwari (India)	0	rwr
5807	\N	\N	\N	Northern Amami-Oshima	0	ryn
5810	\N	\N	\N	Saba	0	saa
5811	\N	\N	\N	Buglere	0	sab
5812	\N	\N	\N	Meskwaki	0	sac
354	sad	sad	\N	Sandawe	1	sad
5813	\N	\N	\N	Sabanê	0	sae
5814	\N	\N	\N	Safaliba	0	saf
355	sag	sag	sg	Sango	1	sag
356	sah	sah	\N	Yakut	1	sah
5815	\N	\N	\N	Sahu	0	saj
5816	\N	\N	\N	Sake	0	sak
359	sam	sam	\N	Samaritan Aramaic	1	sam
360	san	san	sa	Sanskrit	1	san
5817	\N	\N	\N	Sause	0	sao
5818	\N	\N	\N	Sanapaná	0	sap
5819	\N	\N	\N	Samburu	0	saq
5820	\N	\N	\N	Saraveca	0	sar
361	sas	sas	\N	Sasak	1	sas
362	sat	sat	\N	Santali	1	sat
5821	\N	\N	\N	Saleman	0	sau
5822	\N	\N	\N	Saafi-Saafi	0	sav
5823	\N	\N	\N	Sawi	0	saw
5824	\N	\N	\N	Sa	0	sax
5825	\N	\N	\N	Saya	0	say
5826	\N	\N	\N	Saurashtra	0	saz
5827	\N	\N	\N	Ngambay	0	sba
5828	\N	\N	\N	Simbo	0	sbb
5829	\N	\N	\N	Kele (Papua New Guinea)	0	sbc
5830	\N	\N	\N	Southern Samo	0	sbd
5831	\N	\N	\N	Saliba	0	sbe
5832	\N	\N	\N	Shabo	0	sbf
5833	\N	\N	\N	Seget	0	sbg
5834	\N	\N	\N	Sori-Harengan	0	sbh
5835	\N	\N	\N	Seti	0	sbi
5836	\N	\N	\N	Surbakhal	0	sbj
5837	\N	\N	\N	Safwa	0	sbk
5838	\N	\N	\N	Botolan Sambal	0	sbl
5839	\N	\N	\N	Sagala	0	sbm
5840	\N	\N	\N	Sindhi Bhil	0	sbn
5841	\N	\N	\N	Sabüm	0	sbo
5842	\N	\N	\N	Sangu (Tanzania)	0	sbp
5843	\N	\N	\N	Sileibi	0	sbq
5844	\N	\N	\N	Sembakung Murut	0	sbr
5845	\N	\N	\N	Subiya	0	sbs
5846	\N	\N	\N	Kimki	0	sbt
5847	\N	\N	\N	Stod Bhoti	0	sbu
5848	\N	\N	\N	Sabine	0	sbv
5849	\N	\N	\N	Simba	0	sbw
5850	\N	\N	\N	Seberuang	0	sbx
5851	\N	\N	\N	Soli	0	sby
5852	\N	\N	\N	Sara Kaba	0	sbz
5853	\N	\N	\N	Chut	0	scb
5854	\N	\N	\N	Dongxiang	0	sce
5855	\N	\N	\N	San Miguel Creole French	0	scf
5856	\N	\N	\N	Sanggau	0	scg
5857	\N	\N	\N	Sakachep	0	sch
5858	\N	\N	\N	Sri Lankan Creole Malay	0	sci
5859	\N	\N	\N	Sadri	0	sck
5860	\N	\N	\N	Shina	0	scl
364	scn	scn	\N	Sicilian	1	scn
365	sco	sco	\N	Scots	1	sco
5861	\N	\N	\N	Helambu Sherpa	0	scp
5862	\N	\N	\N	Sa'och	0	scq
5863	\N	\N	\N	North Slavey	0	scs
5864	\N	\N	\N	Shumcho	0	scu
5865	\N	\N	\N	Sheni	0	scv
5866	\N	\N	\N	Sha	0	scw
5867	\N	\N	\N	Sicel	0	scx
5868	\N	\N	\N	Toraja-Sa'dan	0	sda
5869	\N	\N	\N	Shabak	0	sdb
5870	\N	\N	\N	Sassarese Sardinian	0	sdc
5871	\N	\N	\N	Surubu	0	sde
5872	\N	\N	\N	Sarli	0	sdf
5873	\N	\N	\N	Savi	0	sdg
5874	\N	\N	\N	Southern Kurdish	0	sdh
5875	\N	\N	\N	Suundi	0	sdj
5876	\N	\N	\N	Sos Kundi	0	sdk
5877	\N	\N	\N	Saudi Arabian Sign Language	0	sdl
5878	\N	\N	\N	Semandang	0	sdm
5879	\N	\N	\N	Gallurese Sardinian	0	sdn
5880	\N	\N	\N	Bukar-Sadung Bidayuh	0	sdo
5881	\N	\N	\N	Sherdukpen	0	sdp
5882	\N	\N	\N	Oraon Sadri	0	sdr
5883	\N	\N	\N	Sened	0	sds
5884	\N	\N	\N	Shuadit	0	sdt
5885	\N	\N	\N	Sarudu	0	sdu
5886	\N	\N	\N	Sibu Melanau	0	sdx
5887	\N	\N	\N	Sallands	0	sdz
5888	\N	\N	\N	Semai	0	sea
5889	\N	\N	\N	Shempire Senoufo	0	seb
5890	\N	\N	\N	Sechelt	0	sec
5891	\N	\N	\N	Sedang	0	sed
5892	\N	\N	\N	Seneca	0	see
5893	\N	\N	\N	Cebaara Senoufo	0	sef
5894	\N	\N	\N	Segeju	0	seg
5895	\N	\N	\N	Sena	0	seh
5896	\N	\N	\N	Seri	0	sei
5897	\N	\N	\N	Sene	0	sej
5898	\N	\N	\N	Sekani	0	sek
367	sel	sel	\N	Selkup	1	sel
5899	\N	\N	\N	Nanerigé Sénoufo	0	sen
5900	\N	\N	\N	Suarmin	0	seo
5901	\N	\N	\N	Sìcìté Sénoufo	0	sep
5902	\N	\N	\N	Senara Sénoufo	0	seq
5903	\N	\N	\N	Serrano	0	ser
5904	\N	\N	\N	Koyraboro Senni Songhai	0	ses
5905	\N	\N	\N	Sentani	0	set
5906	\N	\N	\N	Serui-Laut	0	seu
5907	\N	\N	\N	Nyarafolo Senoufo	0	sev
5908	\N	\N	\N	Sewa Bay	0	sew
5909	\N	\N	\N	Secoya	0	sey
5910	\N	\N	\N	Senthang Chin	0	sez
5911	\N	\N	\N	Langue des signes de Belgique Francophone	0	sfb
5912	\N	\N	\N	Eastern Subanen	0	sfe
5913	\N	\N	\N	Small Flowery Miao	0	sfm
5914	\N	\N	\N	South African Sign Language	0	sfs
5915	\N	\N	\N	Sehwi	0	sfw
369	sga	sga	\N	Irish, Old (to 900)	0	sga
5916	\N	\N	\N	Mag-antsi Ayta	0	sgb
5917	\N	\N	\N	Kipsigis	0	sgc
5918	\N	\N	\N	Surigaonon	0	sgd
5919	\N	\N	\N	Segai	0	sge
5920	\N	\N	\N	Swiss-German Sign Language	0	sgg
5921	\N	\N	\N	Shughni	0	sgh
5922	\N	\N	\N	Suga	0	sgi
5923	\N	\N	\N	Surgujia	0	sgj
5924	\N	\N	\N	Sangkong	0	sgk
5925	\N	\N	\N	Singa	0	sgm
5926	\N	\N	\N	Songa	0	sgo
5927	\N	\N	\N	Singpho	0	sgp
5928	\N	\N	\N	Sangisari	0	sgr
5929	\N	\N	\N	Samogitian	0	sgs
5930	\N	\N	\N	Brokpake	0	sgt
5931	\N	\N	\N	Salas	0	sgu
5932	\N	\N	\N	Sebat Bet Gurage	0	sgw
5933	\N	\N	\N	Sierra Leone Sign Language	0	sgx
5934	\N	\N	\N	Sanglechi	0	sgy
5935	\N	\N	\N	Sursurunga	0	sgz
5936	\N	\N	\N	Shall-Zwall	0	sha
5937	\N	\N	\N	Ninam	0	shb
5938	\N	\N	\N	Sonde	0	shc
5939	\N	\N	\N	Kundal Shahi	0	shd
5940	\N	\N	\N	Sheko	0	she
5941	\N	\N	\N	Shua	0	shg
5942	\N	\N	\N	Shoshoni	0	shh
5943	\N	\N	\N	Tachelhit	0	shi
5944	\N	\N	\N	Shatt	0	shj
5945	\N	\N	\N	Shilluk	0	shk
5946	\N	\N	\N	Shendu	0	shl
5947	\N	\N	\N	Shahrudi	0	shm
371	shn	shn	\N	Shan	1	shn
5948	\N	\N	\N	Shanga	0	sho
5949	\N	\N	\N	Shipibo-Conibo	0	shp
5950	\N	\N	\N	Sala	0	shq
5951	\N	\N	\N	Shi	0	shr
5952	\N	\N	\N	Shuswap	0	shs
5953	\N	\N	\N	Shasta	0	sht
5954	\N	\N	\N	Chadian Arabic	0	shu
5955	\N	\N	\N	Shehri	0	shv
5956	\N	\N	\N	Shwai	0	shw
5957	\N	\N	\N	She	0	shx
5958	\N	\N	\N	Tachawit	0	shy
5959	\N	\N	\N	Syenara Senoufo	0	shz
5960	\N	\N	\N	Akkala Sami	0	sia
5961	\N	\N	\N	Sebop	0	sib
372	sid	sid	\N	Sidamo	1	sid
5962	\N	\N	\N	Simaa	0	sie
5963	\N	\N	\N	Siamou	0	sif
5964	\N	\N	\N	Paasaal	0	sig
5965	\N	\N	\N	Zire	0	sih
5966	\N	\N	\N	Shom Peng	0	sii
5967	\N	\N	\N	Numbami	0	sij
5968	\N	\N	\N	Sikiana	0	sik
5969	\N	\N	\N	Tumulung Sisaala	0	sil
5970	\N	\N	\N	Mende (Papua New Guinea)	0	sim
373	sin	sin	si	Sinhala	1	sin
5971	\N	\N	\N	Sikkimese	0	sip
5972	\N	\N	\N	Sonia	0	siq
5973	\N	\N	\N	Siri	0	sir
5974	\N	\N	\N	Siuslaw	0	sis
5975	\N	\N	\N	Sinagen	0	siu
5976	\N	\N	\N	Sumariup	0	siv
5977	\N	\N	\N	Siwai	0	siw
5978	\N	\N	\N	Sumau	0	six
5979	\N	\N	\N	Sivandi	0	siy
5980	\N	\N	\N	Siwi	0	siz
5981	\N	\N	\N	Epena	0	sja
5982	\N	\N	\N	Sajau Basap	0	sjb
5983	\N	\N	\N	Kildin Sami	0	sjd
5984	\N	\N	\N	Pite Sami	0	sje
5985	\N	\N	\N	Assangori	0	sjg
5986	\N	\N	\N	Kemi Sami	0	sjk
5987	\N	\N	\N	Sajalong	0	sjl
5988	\N	\N	\N	Mapun	0	sjm
5990	\N	\N	\N	Xibe	0	sjo
5991	\N	\N	\N	Surjapuri	0	sjp
5992	\N	\N	\N	Siar-Lak	0	sjr
5993	\N	\N	\N	Senhaja De Srair	0	sjs
5994	\N	\N	\N	Ter Sami	0	sjt
5995	\N	\N	\N	Ume Sami	0	sju
5996	\N	\N	\N	Shawnee	0	sjw
5997	\N	\N	\N	Skagit	0	ska
5998	\N	\N	\N	Saek	0	skb
5999	\N	\N	\N	Ma Manda	0	skc
6000	\N	\N	\N	Southern Sierra Miwok	0	skd
6001	\N	\N	\N	Seke (Vanuatu)	0	ske
6002	\N	\N	\N	Sakirabiá	0	skf
6003	\N	\N	\N	Sakalava Malagasy	0	skg
6004	\N	\N	\N	Sikule	0	skh
6005	\N	\N	\N	Sika	0	ski
6006	\N	\N	\N	Seke (Nepal)	0	skj
6007	\N	\N	\N	Sok	0	skk
6008	\N	\N	\N	Kutong	0	skm
6009	\N	\N	\N	Kolibugan Subanon	0	skn
6010	\N	\N	\N	Seko Tengah	0	sko
6011	\N	\N	\N	Sekapan	0	skp
6012	\N	\N	\N	Sininkere	0	skq
6013	\N	\N	\N	Seraiki	0	skr
6014	\N	\N	\N	Maia	0	sks
6015	\N	\N	\N	Sakata	0	skt
6016	\N	\N	\N	Sakao	0	sku
6017	\N	\N	\N	Skou	0	skv
6018	\N	\N	\N	Skepi Creole Dutch	0	skw
6019	\N	\N	\N	Seko Padang	0	skx
6020	\N	\N	\N	Sikaiana	0	sky
6021	\N	\N	\N	Sekar	0	skz
6022	\N	\N	\N	Sáliba	0	slc
6023	\N	\N	\N	Sissala	0	sld
6024	\N	\N	\N	Sholaga	0	sle
6025	\N	\N	\N	Swiss-Italian Sign Language	0	slf
6026	\N	\N	\N	Selungai Murut	0	slg
6027	\N	\N	\N	Southern Puget Sound Salish	0	slh
6028	\N	\N	\N	Lower Silesian	0	sli
6029	\N	\N	\N	Salumá	0	slj
377	slk	slo	sk	Slovak	1	slk
6030	\N	\N	\N	Salt-Yui	0	sll
6031	\N	\N	\N	Pangutaran Sama	0	slm
6032	\N	\N	\N	Salinan	0	sln
6033	\N	\N	\N	Lamaholot	0	slp
6034	\N	\N	\N	Salchuq	0	slq
6035	\N	\N	\N	Salar	0	slr
6036	\N	\N	\N	Singapore Sign Language	0	sls
6037	\N	\N	\N	Sila	0	slt
6038	\N	\N	\N	Selaru	0	slu
378	slv	slv	sl	Slovenian	1	slv
6039	\N	\N	\N	Sialum	0	slw
6040	\N	\N	\N	Salampasu	0	slx
6041	\N	\N	\N	Selayar	0	sly
6042	\N	\N	\N	Ma'ya	0	slz
379	sma	sma	\N	Sami, Southern	1	sma
6043	\N	\N	\N	Simbari	0	smb
6044	\N	\N	\N	Som	0	smc
6045	\N	\N	\N	Sama	0	smd
380	sme	sme	se	Sami, Northern	1	sme
6046	\N	\N	\N	Auwe	0	smf
6047	\N	\N	\N	Simbali	0	smg
6048	\N	\N	\N	Samei	0	smh
382	smj	smj	\N	Sami, Lule	1	smj
6049	\N	\N	\N	Bolinao	0	smk
6050	\N	\N	\N	Central Sama	0	sml
6051	\N	\N	\N	Musasa	0	smm
383	smn	smn	\N	Sami, Inari	1	smn
384	smo	smo	sm	Samoan	1	smo
6052	\N	\N	\N	Samaritan	0	smp
6053	\N	\N	\N	Samo	0	smq
6054	\N	\N	\N	Simeulue	0	smr
385	sms	sms	\N	Sami, Skolt	1	sms
6055	\N	\N	\N	Simte	0	smt
6056	\N	\N	\N	Somray	0	smu
6057	\N	\N	\N	Samvedi	0	smv
6058	\N	\N	\N	Sumbawa	0	smw
6059	\N	\N	\N	Samba	0	smx
6060	\N	\N	\N	Semnani	0	smy
6061	\N	\N	\N	Simeku	0	smz
386	sna	sna	sn	Shona	1	sna
6062	\N	\N	\N	Sebuyau	0	snb
6063	\N	\N	\N	Sinaugoro	0	snc
387	snd	snd	sd	Sindhi	1	snd
6064	\N	\N	\N	Bau Bidayuh	0	sne
6065	\N	\N	\N	Noon	0	snf
6066	\N	\N	\N	Sanga (Democratic Republic of Congo)	0	sng
6067	\N	\N	\N	Shinabo	0	snh
6068	\N	\N	\N	Sensi	0	sni
6069	\N	\N	\N	Riverain Sango	0	snj
388	snk	snk	\N	Soninke	1	snk
6070	\N	\N	\N	Sangil	0	snl
6071	\N	\N	\N	Southern Ma'di	0	snm
6072	\N	\N	\N	Siona	0	snn
6073	\N	\N	\N	Snohomish	0	sno
6074	\N	\N	\N	Siane	0	snp
6075	\N	\N	\N	Sangu (Gabon)	0	snq
6076	\N	\N	\N	Sihan	0	snr
6077	\N	\N	\N	South West Bay	0	sns
6078	\N	\N	\N	Senggi	0	snu
6079	\N	\N	\N	Sa'ban	0	snv
6080	\N	\N	\N	Selee	0	snw
6081	\N	\N	\N	Sam	0	snx
6082	\N	\N	\N	Saniyo-Hiyewe	0	sny
6083	\N	\N	\N	Sinsauru	0	snz
6084	\N	\N	\N	Thai Song	0	soa
6085	\N	\N	\N	Sobei	0	sob
6086	\N	\N	\N	So (Democratic Republic of Congo)	0	soc
6087	\N	\N	\N	Songoora	0	sod
6088	\N	\N	\N	Songomeno	0	soe
389	sog	sog	\N	Sogdian	0	sog
6089	\N	\N	\N	Aka	0	soh
6090	\N	\N	\N	Sonha	0	soi
6091	\N	\N	\N	Soi	0	soj
6092	\N	\N	\N	Sokoro	0	sok
6093	\N	\N	\N	Solos	0	sol
390	som	som	so	Somali	1	som
6094	\N	\N	\N	Songo	0	soo
6095	\N	\N	\N	Songe	0	sop
6096	\N	\N	\N	Kanasi	0	soq
6097	\N	\N	\N	Somrai	0	sor
6098	\N	\N	\N	Seeku	0	sos
392	sot	sot	st	Sotho, Southern	1	sot
6099	\N	\N	\N	Southern Thai	0	sou
6100	\N	\N	\N	Sonsorol	0	sov
6101	\N	\N	\N	Sowanda	0	sow
6102	\N	\N	\N	Swo	0	sox
6103	\N	\N	\N	Miyobe	0	soy
6104	\N	\N	\N	Temi	0	soz
6105	\N	\N	\N	Sepa (Indonesia)	0	spb
6106	\N	\N	\N	Sapé	0	spc
6107	\N	\N	\N	Saep	0	spd
6108	\N	\N	\N	Sepa (Papua New Guinea)	0	spe
6109	\N	\N	\N	Sian	0	spg
6110	\N	\N	\N	Saponi	0	spi
6111	\N	\N	\N	Sengo	0	spk
6112	\N	\N	\N	Selepet	0	spl
6113	\N	\N	\N	Akukem	0	spm
6114	\N	\N	\N	Spokane	0	spo
6115	\N	\N	\N	Supyire Senoufo	0	spp
6116	\N	\N	\N	Loreto-Ucayali Spanish	0	spq
6117	\N	\N	\N	Saparua	0	spr
6118	\N	\N	\N	Saposa	0	sps
6119	\N	\N	\N	Spiti Bhoti	0	spt
6120	\N	\N	\N	Sapuan	0	spu
6121	\N	\N	\N	Sambalpuri	0	spv
6122	\N	\N	\N	South Picene	0	spx
6123	\N	\N	\N	Sabaot	0	spy
6124	\N	\N	\N	Shama-Sambuga	0	sqa
6125	\N	\N	\N	Shau	0	sqh
12	sqi	alb	sq	Albanian	1	sqi
6126	\N	\N	\N	Albanian Sign Language	0	sqk
6127	\N	\N	\N	Suma	0	sqm
6128	\N	\N	\N	Susquehannock	0	sqn
6129	\N	\N	\N	Sorkhei	0	sqo
6130	\N	\N	\N	Sou	0	sqq
6131	\N	\N	\N	Siculo Arabic	0	sqr
6132	\N	\N	\N	Sri Lankan Sign Language	0	sqs
6133	\N	\N	\N	Soqotri	0	sqt
6134	\N	\N	\N	Squamish	0	squ
6135	\N	\N	\N	Saruga	0	sra
6136	\N	\N	\N	Sora	0	srb
6137	\N	\N	\N	Logudorese Sardinian	0	src
394	srd	srd	sc	Sardinian	1	srd
6138	\N	\N	\N	Sara	0	sre
6139	\N	\N	\N	Nafi	0	srf
6140	\N	\N	\N	Sulod	0	srg
6141	\N	\N	\N	Sarikoli	0	srh
6142	\N	\N	\N	Siriano	0	sri
6143	\N	\N	\N	Serudung Murut	0	srk
6144	\N	\N	\N	Isirawa	0	srl
6145	\N	\N	\N	Saramaccan	0	srm
480	srn	srn	\N	Sranan Tongo	1	srn
6146	\N	\N	\N	Campidanese Sardinian	0	sro
363	srp	srp	sr	Serbian	1	srp
6147	\N	\N	\N	Sirionó	0	srq
395	srr	srr	\N	Serer	1	srr
6148	\N	\N	\N	Sarsi	0	srs
6149	\N	\N	\N	Sauri	0	srt
6150	\N	\N	\N	Suruí	0	sru
6151	\N	\N	\N	Southern Sorsoganon	0	srv
6152	\N	\N	\N	Serua	0	srw
6153	\N	\N	\N	Sirmauri	0	srx
6154	\N	\N	\N	Sera	0	sry
6155	\N	\N	\N	Shahmirzadi	0	srz
6156	\N	\N	\N	Southern Sama	0	ssb
6157	\N	\N	\N	Suba-Simbiti	0	ssc
6158	\N	\N	\N	Siroi	0	ssd
6159	\N	\N	\N	Balangingi	0	sse
6160	\N	\N	\N	Thao	0	ssf
6161	\N	\N	\N	Seimat	0	ssg
6162	\N	\N	\N	Shihhi Arabic	0	ssh
6163	\N	\N	\N	Sansi	0	ssi
6164	\N	\N	\N	Sausi	0	ssj
6165	\N	\N	\N	Sunam	0	ssk
6166	\N	\N	\N	Western Sisaala	0	ssl
6167	\N	\N	\N	Semnam	0	ssm
6168	\N	\N	\N	Waata	0	ssn
6169	\N	\N	\N	Sissano	0	sso
6170	\N	\N	\N	Spanish Sign Language	0	ssp
6171	\N	\N	\N	So'a	0	ssq
6172	\N	\N	\N	Swiss-French Sign Language	0	ssr
6173	\N	\N	\N	Sô	0	sss
6174	\N	\N	\N	Sinasina	0	sst
6175	\N	\N	\N	Susuami	0	ssu
6176	\N	\N	\N	Shark Bay	0	ssv
397	ssw	ssw	ss	Swati	1	ssw
6177	\N	\N	\N	Samberigi	0	ssx
6178	\N	\N	\N	Saho	0	ssy
6179	\N	\N	\N	Sengseng	0	ssz
6180	\N	\N	\N	Settla	0	sta
6181	\N	\N	\N	Northern Subanen	0	stb
6182	\N	\N	\N	Sentinel	0	std
6183	\N	\N	\N	Liana-Seti	0	ste
6184	\N	\N	\N	Seta	0	stf
6185	\N	\N	\N	Trieng	0	stg
6186	\N	\N	\N	Shelta	0	sth
6187	\N	\N	\N	Bulo Stieng	0	sti
6188	\N	\N	\N	Matya Samo	0	stj
6189	\N	\N	\N	Arammba	0	stk
6190	\N	\N	\N	Stellingwerfs	0	stl
6191	\N	\N	\N	Setaman	0	stm
6192	\N	\N	\N	Owa	0	stn
6193	\N	\N	\N	Stoney	0	sto
6194	\N	\N	\N	Southeastern Tepehuan	0	stp
6195	\N	\N	\N	Saterfriesisch	0	stq
6196	\N	\N	\N	Straits Salish	0	str
6197	\N	\N	\N	Shumashti	0	sts
6198	\N	\N	\N	Budeh Stieng	0	stt
6199	\N	\N	\N	Samtao	0	stu
6200	\N	\N	\N	Silt'e	0	stv
6201	\N	\N	\N	Satawalese	0	stw
6202	\N	\N	\N	Sulka	0	sua
6203	\N	\N	\N	Suku	0	sub
6204	\N	\N	\N	Western Subanon	0	suc
6205	\N	\N	\N	Suena	0	sue
6206	\N	\N	\N	Suganga	0	sug
6207	\N	\N	\N	Suki	0	sui
6208	\N	\N	\N	Shubi	0	suj
398	suk	suk	\N	Sukuma	1	suk
399	sun	sun	su	Sundanese	1	sun
6209	\N	\N	\N	Suri	0	suq
6210	\N	\N	\N	Mwaghavul	0	sur
400	sus	sus	\N	Susu	1	sus
6211	\N	\N	\N	Subtiaba	0	sut
6212	\N	\N	\N	Puroik	0	suv
6213	\N	\N	\N	Sumbwa	0	suw
401	sux	sux	\N	Sumerian	0	sux
6214	\N	\N	\N	Suyá	0	suy
6215	\N	\N	\N	Sunwar	0	suz
6216	\N	\N	\N	Svan	0	sva
6217	\N	\N	\N	Ulau-Suain	0	svb
6218	\N	\N	\N	Vincentian Creole English	0	svc
6219	\N	\N	\N	Serili	0	sve
6220	\N	\N	\N	Slovakian Sign Language	0	svk
6221	\N	\N	\N	Savara	0	svr
6222	\N	\N	\N	Savosavo	0	svs
6223	\N	\N	\N	Skalvian	0	svx
402	swa	swa	sw	Swahili	1	swa
6224	\N	\N	\N	Maore Comorian	0	swb
6225	\N	\N	\N	Congo Swahili	0	swc
6226	\N	\N	\N	Sere	0	swf
6227	\N	\N	\N	Swabian	0	swg
6228	\N	\N	\N	Swahili (individual language)	0	swh
6229	\N	\N	\N	Sui	0	swi
6230	\N	\N	\N	Sira	0	swj
6231	\N	\N	\N	Malawi Sena	0	swk
6232	\N	\N	\N	Swedish Sign Language	0	swl
6233	\N	\N	\N	Samosa	0	swm
6234	\N	\N	\N	Sawknah	0	swn
6235	\N	\N	\N	Shanenawa	0	swo
6236	\N	\N	\N	Suau	0	swp
6237	\N	\N	\N	Sharwa	0	swq
6238	\N	\N	\N	Saweru	0	swr
6239	\N	\N	\N	Seluwasan	0	sws
6240	\N	\N	\N	Sawila	0	swt
6241	\N	\N	\N	Suwawa	0	swu
6242	\N	\N	\N	Shekhawati	0	swv
6243	\N	\N	\N	Sowa	0	sww
6244	\N	\N	\N	Suruahá	0	swx
6245	\N	\N	\N	Sarua	0	swy
6246	\N	\N	\N	Suba	0	sxb
6247	\N	\N	\N	Sicanian	0	sxc
6248	\N	\N	\N	Sighu	0	sxe
6249	\N	\N	\N	Shixing	0	sxg
6250	\N	\N	\N	Southern Kalapuya	0	sxk
6251	\N	\N	\N	Selian	0	sxl
6252	\N	\N	\N	Samre	0	sxm
6253	\N	\N	\N	Sangir	0	sxn
6254	\N	\N	\N	Sorothaptic	0	sxo
6255	\N	\N	\N	Saaroa	0	sxr
6256	\N	\N	\N	Sasaru	0	sxs
6257	\N	\N	\N	Upper Saxon	0	sxu
6258	\N	\N	\N	Saxwe Gbe	0	sxw
6259	\N	\N	\N	Siang	0	sya
6260	\N	\N	\N	Central Subanen	0	syb
481	syc	syc	\N	Classical Syriac	0	syc
6261	\N	\N	\N	Seki	0	syi
6262	\N	\N	\N	Sukur	0	syk
6263	\N	\N	\N	Sylheti	0	syl
6264	\N	\N	\N	Maya Samo	0	sym
6265	\N	\N	\N	Senaya	0	syn
6266	\N	\N	\N	Suoy	0	syo
404	syr	syr	\N	Syriac	1	syr
6267	\N	\N	\N	Sinyar	0	sys
6268	\N	\N	\N	Kagate	0	syw
6269	\N	\N	\N	Al-Sayyid Bedouin Sign Language	0	syy
6270	\N	\N	\N	Semelai	0	sza
6271	\N	\N	\N	Ngalum	0	szb
6272	\N	\N	\N	Semaq Beri	0	szc
6273	\N	\N	\N	Seru	0	szd
6274	\N	\N	\N	Seze	0	sze
6275	\N	\N	\N	Sengele	0	szg
6276	\N	\N	\N	Silesian	0	szl
6277	\N	\N	\N	Sula	0	szn
6278	\N	\N	\N	Suabo	0	szp
6279	\N	\N	\N	Isu (Fako Division)	0	szv
6280	\N	\N	\N	Sawai	0	szw
6281	\N	\N	\N	Lower Tanana	0	taa
6282	\N	\N	\N	Tabassaran	0	tab
6283	\N	\N	\N	Lowland Tarahumara	0	tac
6284	\N	\N	\N	Tause	0	tad
6285	\N	\N	\N	Tariana	0	tae
6286	\N	\N	\N	Tapirapé	0	taf
6287	\N	\N	\N	Tagoi	0	tag
405	tah	tah	ty	Tahitian	1	tah
6288	\N	\N	\N	Eastern Tamang	0	taj
6289	\N	\N	\N	Tala	0	tak
6290	\N	\N	\N	Tal	0	tal
407	tam	tam	ta	Tamil	1	tam
6291	\N	\N	\N	Tangale	0	tan
6292	\N	\N	\N	Yami	0	tao
6293	\N	\N	\N	Taabwa	0	tap
6294	\N	\N	\N	Tamasheq	0	taq
6295	\N	\N	\N	Central Tarahumara	0	tar
6296	\N	\N	\N	Tay Boi	0	tas
408	tat	tat	tt	Tatar	1	tat
6297	\N	\N	\N	Upper Tanana	0	tau
6298	\N	\N	\N	Tatuyo	0	tav
6299	\N	\N	\N	Tai	0	taw
6300	\N	\N	\N	Tamki	0	tax
6301	\N	\N	\N	Atayal	0	tay
6302	\N	\N	\N	Tocho	0	taz
6303	\N	\N	\N	Aikanã	0	tba
6304	\N	\N	\N	Tapeba	0	tbb
6305	\N	\N	\N	Takia	0	tbc
6306	\N	\N	\N	Kaki Ae	0	tbd
6307	\N	\N	\N	Tanimbili	0	tbe
6308	\N	\N	\N	Mandara	0	tbf
6309	\N	\N	\N	North Tairora	0	tbg
6310	\N	\N	\N	Thurawal	0	tbh
6311	\N	\N	\N	Gaam	0	tbi
6312	\N	\N	\N	Tiang	0	tbj
6313	\N	\N	\N	Calamian Tagbanwa	0	tbk
6314	\N	\N	\N	Tboli	0	tbl
6315	\N	\N	\N	Tagbu	0	tbm
6316	\N	\N	\N	Barro Negro Tunebo	0	tbn
6317	\N	\N	\N	Tawala	0	tbo
6318	\N	\N	\N	Taworta	0	tbp
6319	\N	\N	\N	Tumtum	0	tbr
6320	\N	\N	\N	Tanguat	0	tbs
6321	\N	\N	\N	Tembo (Kitembo)	0	tbt
6322	\N	\N	\N	Tubar	0	tbu
6323	\N	\N	\N	Tobo	0	tbv
6324	\N	\N	\N	Tagbanwa	0	tbw
6325	\N	\N	\N	Kapin	0	tbx
6326	\N	\N	\N	Tabaru	0	tby
6327	\N	\N	\N	Ditammari	0	tbz
6328	\N	\N	\N	Ticuna	0	tca
6329	\N	\N	\N	Tanacross	0	tcb
6330	\N	\N	\N	Datooga	0	tcc
6331	\N	\N	\N	Tafi	0	tcd
6332	\N	\N	\N	Southern Tutchone	0	tce
6333	\N	\N	\N	Malinaltepec Me'phaa	0	tcf
6334	\N	\N	\N	Tamagario	0	tcg
6335	\N	\N	\N	Turks And Caicos Creole English	0	tch
6336	\N	\N	\N	Wára	0	tci
6337	\N	\N	\N	Tchitchege	0	tck
6338	\N	\N	\N	Taman (Myanmar)	0	tcl
6339	\N	\N	\N	Tanahmerah	0	tcm
6340	\N	\N	\N	Tichurong	0	tcn
6341	\N	\N	\N	Taungyo	0	tco
6342	\N	\N	\N	Tawr Chin	0	tcp
6343	\N	\N	\N	Kaiy	0	tcq
6344	\N	\N	\N	Torres Strait Creole	0	tcs
6345	\N	\N	\N	T'en	0	tct
6346	\N	\N	\N	Southeastern Tarahumara	0	tcu
6347	\N	\N	\N	Tecpatlán Totonac	0	tcw
6348	\N	\N	\N	Toda	0	tcx
6349	\N	\N	\N	Tulu	0	tcy
6350	\N	\N	\N	Thado Chin	0	tcz
6351	\N	\N	\N	Tagdal	0	tda
6352	\N	\N	\N	Panchpargania	0	tdb
6353	\N	\N	\N	Emberá-Tadó	0	tdc
6354	\N	\N	\N	Tai Nüa	0	tdd
6355	\N	\N	\N	Tiranige Diga Dogon	0	tde
6356	\N	\N	\N	Talieng	0	tdf
6357	\N	\N	\N	Western Tamang	0	tdg
6358	\N	\N	\N	Thulung	0	tdh
6359	\N	\N	\N	Tomadino	0	tdi
6360	\N	\N	\N	Tajio	0	tdj
6361	\N	\N	\N	Tambas	0	tdk
6362	\N	\N	\N	Sur	0	tdl
6363	\N	\N	\N	Tondano	0	tdn
6364	\N	\N	\N	Teme	0	tdo
6365	\N	\N	\N	Tita	0	tdq
6366	\N	\N	\N	Todrah	0	tdr
6367	\N	\N	\N	Doutai	0	tds
6368	\N	\N	\N	Tetun Dili	0	tdt
6369	\N	\N	\N	Tempasuk Dusun	0	tdu
6370	\N	\N	\N	Toro	0	tdv
6371	\N	\N	\N	Tandroy-Mahafaly Malagasy	0	tdx
6372	\N	\N	\N	Tadyawan	0	tdy
6373	\N	\N	\N	Temiar	0	tea
6374	\N	\N	\N	Tetete	0	teb
6375	\N	\N	\N	Terik	0	tec
6376	\N	\N	\N	Tepo Krumen	0	ted
6377	\N	\N	\N	Huehuetla Tepehua	0	tee
6378	\N	\N	\N	Teressa	0	tef
6379	\N	\N	\N	Teke-Tege	0	teg
6380	\N	\N	\N	Tehuelche	0	teh
6381	\N	\N	\N	Torricelli	0	tei
6382	\N	\N	\N	Ibali Teke	0	tek
409	tel	tel	te	Telugu	1	tel
410	tem	tem	\N	Timne	1	tem
6383	\N	\N	\N	Tama (Colombia)	0	ten
6384	\N	\N	\N	Teso	0	teo
6385	\N	\N	\N	Tepecano	0	tep
6386	\N	\N	\N	Temein	0	teq
411	ter	ter	\N	Tereno	1	ter
6387	\N	\N	\N	Tengger	0	tes
412	tet	tet	\N	Tetum	1	tet
6388	\N	\N	\N	Soo	0	teu
6389	\N	\N	\N	Teor	0	tev
6390	\N	\N	\N	Tewa (USA)	0	tew
6391	\N	\N	\N	Tennet	0	tex
6392	\N	\N	\N	Tulishi	0	tey
6393	\N	\N	\N	Tofin Gbe	0	tfi
6394	\N	\N	\N	Tanaina	0	tfn
6395	\N	\N	\N	Tefaro	0	tfo
6396	\N	\N	\N	Teribe	0	tfr
6397	\N	\N	\N	Ternate	0	tft
6398	\N	\N	\N	Sagalla	0	tga
6399	\N	\N	\N	Tobilung	0	tgb
6400	\N	\N	\N	Tigak	0	tgc
6401	\N	\N	\N	Ciwogai	0	tgd
6402	\N	\N	\N	Eastern Gorkha Tamang	0	tge
6403	\N	\N	\N	Chalikha	0	tgf
6404	\N	\N	\N	Tangga	0	tgg
6405	\N	\N	\N	Tobagonian Creole English	0	tgh
6406	\N	\N	\N	Lawunuia	0	tgi
6407	\N	\N	\N	Tagin	0	tgj
413	tgk	tgk	tg	Tajik	1	tgk
414	tgl	tgl	tl	Tagalog	1	tgl
6408	\N	\N	\N	Tandaganon	0	tgn
6409	\N	\N	\N	Sudest	0	tgo
6410	\N	\N	\N	Tangoa	0	tgp
6411	\N	\N	\N	Tring	0	tgq
6412	\N	\N	\N	Tareng	0	tgr
6413	\N	\N	\N	Nume	0	tgs
6414	\N	\N	\N	Central Tagbanwa	0	tgt
6415	\N	\N	\N	Tanggu	0	tgu
6416	\N	\N	\N	Tingui-Boto	0	tgv
6417	\N	\N	\N	Tagwana Senoufo	0	tgw
6418	\N	\N	\N	Tagish	0	tgx
6419	\N	\N	\N	Togoyo	0	tgy
6420	\N	\N	\N	Tagalaka	0	tgz
415	tha	tha	th	Thai	1	tha
6421	\N	\N	\N	Tai Hang Tong	0	thc
6422	\N	\N	\N	Thayore	0	thd
6423	\N	\N	\N	Chitwania Tharu	0	the
6424	\N	\N	\N	Thangmi	0	thf
6425	\N	\N	\N	Northern Tarahumara	0	thh
6426	\N	\N	\N	Tai Long	0	thi
6427	\N	\N	\N	Tharaka	0	thk
6428	\N	\N	\N	Dangaura Tharu	0	thl
6429	\N	\N	\N	Aheu	0	thm
6430	\N	\N	\N	Thachanadan	0	thn
6431	\N	\N	\N	Thompson	0	thp
6432	\N	\N	\N	Kochila Tharu	0	thq
6433	\N	\N	\N	Rana Tharu	0	thr
6434	\N	\N	\N	Thakali	0	ths
6435	\N	\N	\N	Tahltan	0	tht
6436	\N	\N	\N	Thuri	0	thu
6437	\N	\N	\N	Tahaggart Tamahaq	0	thv
6438	\N	\N	\N	Thudam	0	thw
6439	\N	\N	\N	The	0	thx
6440	\N	\N	\N	Tha	0	thy
6441	\N	\N	\N	Tayart Tamajeq	0	thz
6442	\N	\N	\N	Tidikelt Tamazight	0	tia
6443	\N	\N	\N	Tira	0	tic
6444	\N	\N	\N	Tidong	0	tid
6445	\N	\N	\N	Tifal	0	tif
417	tig	tig	\N	Tigre	1	tig
6446	\N	\N	\N	Timugon Murut	0	tih
6447	\N	\N	\N	Tiene	0	tii
6448	\N	\N	\N	Tilung	0	tij
6449	\N	\N	\N	Tikar	0	tik
6450	\N	\N	\N	Tillamook	0	til
6451	\N	\N	\N	Timbe	0	tim
6452	\N	\N	\N	Tindi	0	tin
6453	\N	\N	\N	Teop	0	tio
6454	\N	\N	\N	Trimuris	0	tip
6455	\N	\N	\N	Tiéfo	0	tiq
418	tir	tir	ti	Tigrinya	1	tir
6456	\N	\N	\N	Masadiit Itneg	0	tis
6457	\N	\N	\N	Tinigua	0	tit
6458	\N	\N	\N	Adasen	0	tiu
419	tiv	tiv	\N	Tiv	1	tiv
6459	\N	\N	\N	Tiwi	0	tiw
6460	\N	\N	\N	Southern Tiwa	0	tix
6461	\N	\N	\N	Tiruray	0	tiy
6462	\N	\N	\N	Tai Hongjin	0	tiz
6463	\N	\N	\N	Tajuasohn	0	tja
6464	\N	\N	\N	Tunjung	0	tjg
6465	\N	\N	\N	Northern Tujia	0	tji
6466	\N	\N	\N	Tai Laing	0	tjl
6467	\N	\N	\N	Timucua	0	tjm
6468	\N	\N	\N	Tonjon	0	tjn
6469	\N	\N	\N	Temacine Tamazight	0	tjo
6470	\N	\N	\N	Southern Tujia	0	tjs
6471	\N	\N	\N	Tjurruru	0	tju
6472	\N	\N	\N	Truká	0	tka
6473	\N	\N	\N	Buksa	0	tkb
6474	\N	\N	\N	Tukudede	0	tkd
6475	\N	\N	\N	Takwane	0	tke
6476	\N	\N	\N	Tukumanféd	0	tkf
6477	\N	\N	\N	Tesaka Malagasy	0	tkg
420	tkl	tkl	\N	Tokelau	1	tkl
6478	\N	\N	\N	Takelma	0	tkm
6479	\N	\N	\N	Toku-No-Shima	0	tkn
6480	\N	\N	\N	Tikopia	0	tkp
6481	\N	\N	\N	Tee	0	tkq
6482	\N	\N	\N	Tsakhur	0	tkr
6483	\N	\N	\N	Takestani	0	tks
6484	\N	\N	\N	Kathoriya Tharu	0	tkt
6485	\N	\N	\N	Upper Necaxa Totonac	0	tku
6486	\N	\N	\N	Teanu	0	tkw
6487	\N	\N	\N	Tangko	0	tkx
6488	\N	\N	\N	Takua	0	tkz
6489	\N	\N	\N	Southwestern Tepehuan	0	tla
6490	\N	\N	\N	Tobelo	0	tlb
6491	\N	\N	\N	Yecuatla Totonac	0	tlc
6492	\N	\N	\N	Talaud	0	tld
6493	\N	\N	\N	Telefol	0	tlf
6494	\N	\N	\N	Tofanma	0	tlg
421	tlh	tlh	\N	Klingon	1	tlh
422	tli	tli	\N	Tlingit	1	tli
6495	\N	\N	\N	Talinga-Bwisi	0	tlj
6496	\N	\N	\N	Taloki	0	tlk
6497	\N	\N	\N	Tetela	0	tll
6498	\N	\N	\N	Tolomako	0	tlm
6499	\N	\N	\N	Talondo'	0	tln
6500	\N	\N	\N	Talodi	0	tlo
6501	\N	\N	\N	Filomena Mata-Coahuitlán Totonac	0	tlp
6502	\N	\N	\N	Tai Loi	0	tlq
6503	\N	\N	\N	Talise	0	tlr
6504	\N	\N	\N	Tambotalo	0	tls
6505	\N	\N	\N	Teluti	0	tlt
6506	\N	\N	\N	Tulehu	0	tlu
6507	\N	\N	\N	Taliabu	0	tlv
6508	\N	\N	\N	Khehek	0	tlx
6509	\N	\N	\N	Talysh	0	tly
6510	\N	\N	\N	Tama (Chad)	0	tma
6511	\N	\N	\N	Katbol	0	tmb
6512	\N	\N	\N	Tumak	0	tmc
6513	\N	\N	\N	Haruai	0	tmd
6514	\N	\N	\N	Tremembé	0	tme
6515	\N	\N	\N	Toba-Maskoy	0	tmf
6516	\N	\N	\N	Ternateño	0	tmg
423	tmh	tmh	\N	Tamashek	1	tmh
6517	\N	\N	\N	Tutuba	0	tmi
6518	\N	\N	\N	Samarokena	0	tmj
6519	\N	\N	\N	Northwestern Tamang	0	tmk
6520	\N	\N	\N	Tamnim Citak	0	tml
6521	\N	\N	\N	Tai Thanh	0	tmm
6522	\N	\N	\N	Taman (Indonesia)	0	tmn
6523	\N	\N	\N	Temoq	0	tmo
6524	\N	\N	\N	Tai Mène	0	tmp
6525	\N	\N	\N	Tumleo	0	tmq
6526	\N	\N	\N	Jewish Babylonian Aramaic (ca. 200-1200 CE)	0	tmr
6527	\N	\N	\N	Tima	0	tms
6528	\N	\N	\N	Tasmate	0	tmt
6529	\N	\N	\N	Iau	0	tmu
6530	\N	\N	\N	Tembo (Motembo)	0	tmv
6531	\N	\N	\N	Temuan	0	tmw
6532	\N	\N	\N	Tami	0	tmy
6533	\N	\N	\N	Tamanaku	0	tmz
6534	\N	\N	\N	Tacana	0	tna
6535	\N	\N	\N	Western Tunebo	0	tnb
6536	\N	\N	\N	Tanimuca-Retuarã	0	tnc
6537	\N	\N	\N	Angosturas Tunebo	0	tnd
6538	\N	\N	\N	Tinoc Kallahan	0	tne
6539	\N	\N	\N	Tobanga	0	tng
6540	\N	\N	\N	Maiani	0	tnh
6541	\N	\N	\N	Tandia	0	tni
6542	\N	\N	\N	Kwamera	0	tnk
6543	\N	\N	\N	Lenakel	0	tnl
6544	\N	\N	\N	Tabla	0	tnm
6545	\N	\N	\N	North Tanna	0	tnn
6546	\N	\N	\N	Toromono	0	tno
6547	\N	\N	\N	Whitesands	0	tnp
6548	\N	\N	\N	Taino	0	tnq
6549	\N	\N	\N	Bedik	0	tnr
6550	\N	\N	\N	Tenis	0	tns
6551	\N	\N	\N	Tontemboan	0	tnt
6552	\N	\N	\N	Tay Khang	0	tnu
6553	\N	\N	\N	Tangchangya	0	tnv
6554	\N	\N	\N	Tonsawang	0	tnw
6555	\N	\N	\N	Tanema	0	tnx
6556	\N	\N	\N	Tongwe	0	tny
6557	\N	\N	\N	Tonga (Thailand)	0	tnz
6558	\N	\N	\N	Toba	0	tob
6559	\N	\N	\N	Coyutla Totonac	0	toc
6560	\N	\N	\N	Toma	0	tod
6561	\N	\N	\N	Tomedes	0	toe
6562	\N	\N	\N	Gizrra	0	tof
424	tog	tog	\N	Tonga (Nyasa)	1	tog
6563	\N	\N	\N	Gitonga	0	toh
6564	\N	\N	\N	Tonga (Zambia)	0	toi
6565	\N	\N	\N	Tojolabal	0	toj
6566	\N	\N	\N	Tolowa	0	tol
6567	\N	\N	\N	Tombulu	0	tom
425	ton	ton	to	Tonga (Tonga Islands)	1	ton
6568	\N	\N	\N	Xicotepec De Juárez Totonac	0	too
6569	\N	\N	\N	Papantla Totonac	0	top
6570	\N	\N	\N	Toposa	0	toq
6571	\N	\N	\N	Togbo-Vara Banda	0	tor
6572	\N	\N	\N	Highland Totonac	0	tos
6573	\N	\N	\N	Tho	0	tou
6574	\N	\N	\N	Upper Taromi	0	tov
6575	\N	\N	\N	Jemez	0	tow
6576	\N	\N	\N	Tobian	0	tox
6577	\N	\N	\N	Topoiyo	0	toy
6578	\N	\N	\N	To	0	toz
6579	\N	\N	\N	Taupota	0	tpa
6580	\N	\N	\N	Azoyú Me'phaa	0	tpc
6581	\N	\N	\N	Tippera	0	tpe
6582	\N	\N	\N	Tarpia	0	tpf
6583	\N	\N	\N	Kula	0	tpg
426	tpi	tpi	\N	Tok Pisin	1	tpi
6584	\N	\N	\N	Tapieté	0	tpj
6585	\N	\N	\N	Tupinikin	0	tpk
6586	\N	\N	\N	Tlacoapa Me'phaa	0	tpl
6587	\N	\N	\N	Tampulma	0	tpm
6588	\N	\N	\N	Tupinambá	0	tpn
6589	\N	\N	\N	Tai Pao	0	tpo
6590	\N	\N	\N	Pisaflores Tepehua	0	tpp
6591	\N	\N	\N	Tukpa	0	tpq
6592	\N	\N	\N	Tuparí	0	tpr
6593	\N	\N	\N	Tlachichilco Tepehua	0	tpt
6594	\N	\N	\N	Tampuan	0	tpu
6595	\N	\N	\N	Tanapag	0	tpv
6596	\N	\N	\N	Tupí	0	tpw
6597	\N	\N	\N	Acatepec Me'phaa	0	tpx
6598	\N	\N	\N	Trumai	0	tpy
6599	\N	\N	\N	Tinputz	0	tpz
6600	\N	\N	\N	Tembé	0	tqb
6601	\N	\N	\N	Lehali	0	tql
6602	\N	\N	\N	Turumsa	0	tqm
6603	\N	\N	\N	Tenino	0	tqn
6604	\N	\N	\N	Toaripi	0	tqo
6605	\N	\N	\N	Tomoip	0	tqp
6606	\N	\N	\N	Tunni	0	tqq
6607	\N	\N	\N	Torona	0	tqr
6608	\N	\N	\N	Western Totonac	0	tqt
6609	\N	\N	\N	Touo	0	tqu
6610	\N	\N	\N	Tonkawa	0	tqw
6611	\N	\N	\N	Tirahi	0	tra
6612	\N	\N	\N	Terebu	0	trb
6613	\N	\N	\N	Copala Triqui	0	trc
6614	\N	\N	\N	Turi	0	trd
6615	\N	\N	\N	East Tarangan	0	tre
6616	\N	\N	\N	Trinidadian Creole English	0	trf
6617	\N	\N	\N	Lishán Didán	0	trg
6618	\N	\N	\N	Turaka	0	trh
6619	\N	\N	\N	Trió	0	tri
6620	\N	\N	\N	Toram	0	trj
6621	\N	\N	\N	Traveller Scottish	0	trl
6622	\N	\N	\N	Tregami	0	trm
6623	\N	\N	\N	Trinitario	0	trn
6624	\N	\N	\N	Tarao Naga	0	tro
6625	\N	\N	\N	Kok Borok	0	trp
6626	\N	\N	\N	San Martín Itunyoso Triqui	0	trq
6627	\N	\N	\N	Taushiro	0	trr
6628	\N	\N	\N	Chicahuaxtla Triqui	0	trs
6629	\N	\N	\N	Tunggare	0	trt
6630	\N	\N	\N	Turoyo	0	tru
6631	\N	\N	\N	Taroko	0	trv
6632	\N	\N	\N	Torwali	0	trw
6633	\N	\N	\N	Tringgus-Sembaan Bidayuh	0	trx
6634	\N	\N	\N	Turung	0	try
6635	\N	\N	\N	Torá	0	trz
6636	\N	\N	\N	Tsaangi	0	tsa
6637	\N	\N	\N	Tsamai	0	tsb
6638	\N	\N	\N	Tswa	0	tsc
6639	\N	\N	\N	Tsakonian	0	tsd
6640	\N	\N	\N	Tunisian Sign Language	0	tse
6641	\N	\N	\N	Southwestern Tamang	0	tsf
6642	\N	\N	\N	Tausug	0	tsg
6643	\N	\N	\N	Tsuvan	0	tsh
427	tsi	tsi	\N	Tsimshian	1	tsi
6644	\N	\N	\N	Tshangla	0	tsj
6645	\N	\N	\N	Tseku	0	tsk
6646	\N	\N	\N	Ts'ün-Lao	0	tsl
6647	\N	\N	\N	Turkish Sign Language	0	tsm
428	tsn	tsn	tn	Tswana	1	tsn
429	tso	tso	ts	Tsonga	1	tso
6648	\N	\N	\N	Northern Toussian	0	tsp
6649	\N	\N	\N	Thai Sign Language	0	tsq
6650	\N	\N	\N	Akei	0	tsr
6651	\N	\N	\N	Taiwan Sign Language	0	tss
6652	\N	\N	\N	Tondi Songway Kiini	0	tst
6653	\N	\N	\N	Tsou	0	tsu
6654	\N	\N	\N	Tsogo	0	tsv
6655	\N	\N	\N	Tsishingini	0	tsw
6656	\N	\N	\N	Mubami	0	tsx
6657	\N	\N	\N	Tebul Sign Language	0	tsy
6658	\N	\N	\N	Purepecha	0	tsz
6659	\N	\N	\N	Tutelo	0	tta
6660	\N	\N	\N	Gaa	0	ttb
6661	\N	\N	\N	Tektiteko	0	ttc
6662	\N	\N	\N	Tauade	0	ttd
6663	\N	\N	\N	Bwanabwana	0	tte
6664	\N	\N	\N	Tuotomb	0	ttf
6665	\N	\N	\N	Tutong	0	ttg
6666	\N	\N	\N	Upper Ta'oih	0	tth
6667	\N	\N	\N	Tobati	0	tti
6668	\N	\N	\N	Tooro	0	ttj
6669	\N	\N	\N	Totoro	0	ttk
6670	\N	\N	\N	Totela	0	ttl
6671	\N	\N	\N	Northern Tutchone	0	ttm
6672	\N	\N	\N	Towei	0	ttn
6673	\N	\N	\N	Lower Ta'oih	0	tto
6674	\N	\N	\N	Tombelala	0	ttp
6675	\N	\N	\N	Tawallammat Tamajaq	0	ttq
6676	\N	\N	\N	Tera	0	ttr
6677	\N	\N	\N	Northeastern Thai	0	tts
6678	\N	\N	\N	Muslim Tat	0	ttt
6679	\N	\N	\N	Torau	0	ttu
6680	\N	\N	\N	Titan	0	ttv
6681	\N	\N	\N	Long Wat	0	ttw
6682	\N	\N	\N	Sikaritai	0	tty
6683	\N	\N	\N	Tsum	0	ttz
6684	\N	\N	\N	Wiarumus	0	tua
6685	\N	\N	\N	Tübatulabal	0	tub
6686	\N	\N	\N	Mutu	0	tuc
6687	\N	\N	\N	Tuxá	0	tud
6688	\N	\N	\N	Tuyuca	0	tue
6689	\N	\N	\N	Central Tunebo	0	tuf
6690	\N	\N	\N	Tunia	0	tug
6691	\N	\N	\N	Taulil	0	tuh
6692	\N	\N	\N	Tupuri	0	tui
6693	\N	\N	\N	Tugutil	0	tuj
430	tuk	tuk	tk	Turkmen	1	tuk
6694	\N	\N	\N	Tula	0	tul
431	tum	tum	\N	Tumbuka	1	tum
6695	\N	\N	\N	Tunica	0	tun
6696	\N	\N	\N	Tucano	0	tuo
6697	\N	\N	\N	Tedaga	0	tuq
6698	\N	\N	\N	Tuscarora	0	tus
6699	\N	\N	\N	Tututni	0	tuu
6700	\N	\N	\N	Turkana	0	tuv
6701	\N	\N	\N	Tuxináwa	0	tux
6702	\N	\N	\N	Tugen	0	tuy
6703	\N	\N	\N	Turka	0	tuz
6704	\N	\N	\N	Vaghua	0	tva
6705	\N	\N	\N	Tsuvadi	0	tvd
6706	\N	\N	\N	Te'un	0	tve
6707	\N	\N	\N	Southeast Ambrym	0	tvk
435	tvl	tvl	\N	Tuvalu	1	tvl
6708	\N	\N	\N	Tela-Masbuar	0	tvm
6709	\N	\N	\N	Tavoyan	0	tvn
6710	\N	\N	\N	Tidore	0	tvo
6711	\N	\N	\N	Taveta	0	tvs
6712	\N	\N	\N	Tutsa Naga	0	tvt
6713	\N	\N	\N	Tunen	0	tvu
6714	\N	\N	\N	Sedoa	0	tvw
6715	\N	\N	\N	Timor Pidgin	0	tvy
6716	\N	\N	\N	Twana	0	twa
6717	\N	\N	\N	Western Tawbuid	0	twb
6718	\N	\N	\N	Teshenawa	0	twc
6719	\N	\N	\N	Twents	0	twd
6720	\N	\N	\N	Tewa (Indonesia)	0	twe
6721	\N	\N	\N	Northern Tiwa	0	twf
6722	\N	\N	\N	Tereweng	0	twg
6723	\N	\N	\N	Tai Dón	0	twh
436	twi	twi	tw	Twi	1	twi
6724	\N	\N	\N	Tawara	0	twl
6725	\N	\N	\N	Tawang Monpa	0	twm
6726	\N	\N	\N	Twendi	0	twn
6727	\N	\N	\N	Tswapong	0	two
6728	\N	\N	\N	Ere	0	twp
6729	\N	\N	\N	Tasawaq	0	twq
6730	\N	\N	\N	Southwestern Tarahumara	0	twr
6731	\N	\N	\N	Turiwára	0	twt
6732	\N	\N	\N	Termanu	0	twu
6733	\N	\N	\N	Tuwari	0	tww
6734	\N	\N	\N	Tewe	0	twx
6735	\N	\N	\N	Tawoyan	0	twy
6736	\N	\N	\N	Tombonuo	0	txa
6737	\N	\N	\N	Tokharian B	0	txb
6738	\N	\N	\N	Tsetsaut	0	txc
6739	\N	\N	\N	Totoli	0	txe
6740	\N	\N	\N	Tangut	0	txg
6741	\N	\N	\N	Thracian	0	txh
6742	\N	\N	\N	Ikpeng	0	txi
6743	\N	\N	\N	Tomini	0	txm
6744	\N	\N	\N	West Tarangan	0	txn
6745	\N	\N	\N	Toto	0	txo
6746	\N	\N	\N	Tii	0	txq
6747	\N	\N	\N	Tartessian	0	txr
6748	\N	\N	\N	Tonsea	0	txs
6749	\N	\N	\N	Citak	0	txt
6750	\N	\N	\N	Kayapó	0	txu
6751	\N	\N	\N	Tatana	0	txx
6752	\N	\N	\N	Tanosy Malagasy	0	txy
6753	\N	\N	\N	Tauya	0	tya
6754	\N	\N	\N	Kyenga	0	tye
6755	\N	\N	\N	O'du	0	tyh
6756	\N	\N	\N	Teke-Tsaayi	0	tyi
6757	\N	\N	\N	Tai Do	0	tyj
6758	\N	\N	\N	Thu Lao	0	tyl
6759	\N	\N	\N	Kombai	0	tyn
6760	\N	\N	\N	Thaypan	0	typ
6761	\N	\N	\N	Tai Daeng	0	tyr
6762	\N	\N	\N	Tày Sa Pa	0	tys
6763	\N	\N	\N	Tày Tac	0	tyt
6764	\N	\N	\N	Kua	0	tyu
437	tyv	tyv	\N	Tuvinian	1	tyv
6765	\N	\N	\N	Teke-Tyee	0	tyx
6766	\N	\N	\N	Tày	0	tyz
6767	\N	\N	\N	Tanzanian Sign Language	0	tza
6768	\N	\N	\N	Tzeltal	0	tzh
6769	\N	\N	\N	Tz'utujil	0	tzj
6770	\N	\N	\N	Central Atlas Tamazight	0	tzm
6771	\N	\N	\N	Tugun	0	tzn
6772	\N	\N	\N	Tzotzil	0	tzo
6773	\N	\N	\N	Tabriak	0	tzx
6774	\N	\N	\N	Uamué	0	uam
6775	\N	\N	\N	Kuan	0	uan
6776	\N	\N	\N	Tairuma	0	uar
6777	\N	\N	\N	Ubang	0	uba
6778	\N	\N	\N	Ubi	0	ubi
6779	\N	\N	\N	Buhi'non Bikol	0	ubl
6780	\N	\N	\N	Ubir	0	ubr
6781	\N	\N	\N	Umbu-Ungu	0	ubu
6782	\N	\N	\N	Ubykh	0	uby
6783	\N	\N	\N	Uda	0	uda
6784	\N	\N	\N	Udihe	0	ude
6785	\N	\N	\N	Muduga	0	udg
6786	\N	\N	\N	Udi	0	udi
6787	\N	\N	\N	Ujir	0	udj
6788	\N	\N	\N	Wuzlam	0	udl
438	udm	udm	\N	Udmurt	1	udm
6789	\N	\N	\N	Uduk	0	udu
6790	\N	\N	\N	Kioko	0	ues
6791	\N	\N	\N	Ufim	0	ufi
439	uga	uga	\N	Ugaritic	0	uga
6792	\N	\N	\N	Kuku-Ugbanh	0	ugb
6793	\N	\N	\N	Ughele	0	uge
6794	\N	\N	\N	Ugandan Sign Language	0	ugn
6795	\N	\N	\N	Ugong	0	ugo
6796	\N	\N	\N	Uruguayan Sign Language	0	ugy
6797	\N	\N	\N	Uhami	0	uha
6798	\N	\N	\N	Damal	0	uhn
440	uig	uig	ug	Uighur	1	uig
6799	\N	\N	\N	Uisai	0	uis
6800	\N	\N	\N	Iyive	0	uiv
6801	\N	\N	\N	Tanjijili	0	uji
6802	\N	\N	\N	Kaburi	0	uka
6803	\N	\N	\N	Ukuriguma	0	ukg
6804	\N	\N	\N	Ukhwejo	0	ukh
6805	\N	\N	\N	Ukrainian Sign Language	0	ukl
6806	\N	\N	\N	Ukpe-Bayobiri	0	ukp
6807	\N	\N	\N	Ukwa	0	ukq
441	ukr	ukr	uk	Ukrainian	1	ukr
6808	\N	\N	\N	Urubú-Kaapor Sign Language	0	uks
6809	\N	\N	\N	Ukue	0	uku
6810	\N	\N	\N	Ukwuani-Aboh-Ndoni	0	ukw
6811	\N	\N	\N	Kuuk-Yak	0	uky
6812	\N	\N	\N	Fungwa	0	ula
6813	\N	\N	\N	Ulukwumi	0	ulb
6814	\N	\N	\N	Ulch	0	ulc
6815	\N	\N	\N	Usku	0	ulf
6816	\N	\N	\N	Ulithian	0	uli
6817	\N	\N	\N	Meriam	0	ulk
6818	\N	\N	\N	Ullatan	0	ull
6819	\N	\N	\N	Ulumanda'	0	ulm
6820	\N	\N	\N	Unserdeutsch	0	uln
6821	\N	\N	\N	Uma' Lung	0	ulu
6822	\N	\N	\N	Ulwa	0	ulw
6823	\N	\N	\N	Umatilla	0	uma
442	umb	umb	\N	Umbundu	1	umb
6824	\N	\N	\N	Marrucinian	0	umc
6825	\N	\N	\N	Umbindhamu	0	umd
6826	\N	\N	\N	Umbuygamu	0	umg
6827	\N	\N	\N	Ukit	0	umi
6828	\N	\N	\N	Umon	0	umm
6829	\N	\N	\N	Makyan Naga	0	umn
6830	\N	\N	\N	Umotína	0	umo
6831	\N	\N	\N	Umpila	0	ump
6832	\N	\N	\N	Umbugarla	0	umr
6833	\N	\N	\N	Pendau	0	ums
6834	\N	\N	\N	Munsee	0	umu
6835	\N	\N	\N	North Watut	0	una
443	und	und	\N	Undetermined	0	und
6836	\N	\N	\N	Uneme	0	une
6837	\N	\N	\N	Ngarinyin	0	ung
6838	\N	\N	\N	Enawené-Nawé	0	unk
6839	\N	\N	\N	Unami	0	unm
6840	\N	\N	\N	Mundari	0	unr
6841	\N	\N	\N	Munda	0	unx
6842	\N	\N	\N	Unde Kaili	0	unz
6843	\N	\N	\N	Uokha	0	uok
6844	\N	\N	\N	Umeda	0	upi
6845	\N	\N	\N	Uripiv-Wala-Rano-Atchin	0	upv
6846	\N	\N	\N	Urarina	0	ura
6847	\N	\N	\N	Urubú-Kaapor	0	urb
6848	\N	\N	\N	Urningangg	0	urc
444	urd	urd	ur	Urdu	1	urd
6849	\N	\N	\N	Uru	0	ure
6850	\N	\N	\N	Uradhi	0	urf
6851	\N	\N	\N	Urigina	0	urg
6852	\N	\N	\N	Urhobo	0	urh
6853	\N	\N	\N	Urim	0	uri
6854	\N	\N	\N	Urak Lawoi'	0	urk
6855	\N	\N	\N	Urali	0	url
6856	\N	\N	\N	Urapmin	0	urm
6857	\N	\N	\N	Uruangnirin	0	urn
6858	\N	\N	\N	Ura (Papua New Guinea)	0	uro
6859	\N	\N	\N	Uru-Pa-In	0	urp
6860	\N	\N	\N	Lehalurup	0	urr
6861	\N	\N	\N	Urat	0	urt
6862	\N	\N	\N	Urumi	0	uru
6863	\N	\N	\N	Uruava	0	urv
6864	\N	\N	\N	Sop	0	urw
6865	\N	\N	\N	Urimo	0	urx
6866	\N	\N	\N	Orya	0	ury
6867	\N	\N	\N	Uru-Eu-Wau-Wau	0	urz
6868	\N	\N	\N	Usarufa	0	usa
6869	\N	\N	\N	Ushojo	0	ush
6870	\N	\N	\N	Usui	0	usi
6871	\N	\N	\N	Usaghade	0	usk
6872	\N	\N	\N	Uspanteco	0	usp
6873	\N	\N	\N	Uya	0	usu
6874	\N	\N	\N	Otank	0	uta
6875	\N	\N	\N	Ute-Southern Paiute	0	ute
6876	\N	\N	\N	Amba (Solomon Islands)	0	utp
6877	\N	\N	\N	Etulo	0	utr
6878	\N	\N	\N	Utu	0	utu
6879	\N	\N	\N	Urum	0	uum
6880	\N	\N	\N	Kulon-Pazeh	0	uun
6881	\N	\N	\N	Ura (Vanuatu)	0	uur
6882	\N	\N	\N	U	0	uuu
6883	\N	\N	\N	West Uvean	0	uve
6884	\N	\N	\N	Uri	0	uvh
6885	\N	\N	\N	Lote	0	uvl
6886	\N	\N	\N	Kuku-Uwanh	0	uwa
6887	\N	\N	\N	Doko-Uyanga	0	uya
445	uzb	uzb	uz	Uzbek	1	uzb
6888	\N	\N	\N	Northern Uzbek	0	uzn
6889	\N	\N	\N	Southern Uzbek	0	uzs
6890	\N	\N	\N	Vaagri Booli	0	vaa
6891	\N	\N	\N	Vale	0	vae
6892	\N	\N	\N	Vafsi	0	vaf
6893	\N	\N	\N	Vagla	0	vag
6894	\N	\N	\N	Varhadi-Nagpuri	0	vah
446	vai	vai	\N	Vai	1	vai
6895	\N	\N	\N	Vasekela Bushman	0	vaj
6896	\N	\N	\N	Vehes	0	val
6897	\N	\N	\N	Vanimo	0	vam
6898	\N	\N	\N	Valman	0	van
6899	\N	\N	\N	Vao	0	vao
6900	\N	\N	\N	Vaiphei	0	vap
6901	\N	\N	\N	Huarijio	0	var
6902	\N	\N	\N	Vasavi	0	vas
6903	\N	\N	\N	Vanuma	0	vau
6904	\N	\N	\N	Varli	0	vav
6905	\N	\N	\N	Wayu	0	vay
6906	\N	\N	\N	Southeast Babar	0	vbb
6907	\N	\N	\N	Southwestern Bontok	0	vbk
6908	\N	\N	\N	Venetian	0	vec
6909	\N	\N	\N	Veddah	0	ved
6910	\N	\N	\N	Veluws	0	vel
6911	\N	\N	\N	Vemgo-Mabas	0	vem
447	ven	ven	ve	Venda	1	ven
6912	\N	\N	\N	Ventureño	0	veo
6914	\N	\N	\N	Mom Jango	0	ver
6915	\N	\N	\N	Vaghri	0	vgr
6916	\N	\N	\N	Vlaamse Gebarentaal	0	vgt
6917	\N	\N	\N	Virgin Islands Creole English	0	vic
6918	\N	\N	\N	Vidunda	0	vid
448	vie	vie	vi	Vietnamese	1	vie
6919	\N	\N	\N	Vili	0	vif
6920	\N	\N	\N	Viemo	0	vig
6921	\N	\N	\N	Vilela	0	vil
6922	\N	\N	\N	Vinza	0	vin
6923	\N	\N	\N	Vishavan	0	vis
6924	\N	\N	\N	Viti	0	vit
6925	\N	\N	\N	Iduna	0	viv
6926	\N	\N	\N	Kariyarra	0	vka
6927	\N	\N	\N	Ija-Zuba	0	vki
6928	\N	\N	\N	Kujarge	0	vkj
6929	\N	\N	\N	Kaur	0	vkk
6930	\N	\N	\N	Kulisusu	0	vkl
6931	\N	\N	\N	Kamakan	0	vkm
6932	\N	\N	\N	Kodeoha	0	vko
6933	\N	\N	\N	Korlai Creole Portuguese	0	vkp
6934	\N	\N	\N	Tenggarong Kutai Malay	0	vkt
6935	\N	\N	\N	Kurrama	0	vku
6936	\N	\N	\N	Valpei	0	vlp
6937	\N	\N	\N	Vlaams	0	vls
6938	\N	\N	\N	Martuyhunira	0	vma
6939	\N	\N	\N	Mbabaram	0	vmb
6940	\N	\N	\N	Juxtlahuaca Mixtec	0	vmc
6941	\N	\N	\N	Mudu Koraga	0	vmd
6942	\N	\N	\N	East Masela	0	vme
6943	\N	\N	\N	Mainfränkisch	0	vmf
6944	\N	\N	\N	Minigir	0	vmg
6945	\N	\N	\N	Maraghei	0	vmh
6946	\N	\N	\N	Miwa	0	vmi
6947	\N	\N	\N	Ixtayutla Mixtec	0	vmj
6948	\N	\N	\N	Makhuwa-Shirima	0	vmk
6949	\N	\N	\N	Malgana	0	vml
6950	\N	\N	\N	Mitlatongo Mixtec	0	vmm
6951	\N	\N	\N	Soyaltepec Mazatec	0	vmp
6952	\N	\N	\N	Soyaltepec Mixtec	0	vmq
6953	\N	\N	\N	Marenje	0	vmr
6954	\N	\N	\N	Moksela	0	vms
6955	\N	\N	\N	Muluridyi	0	vmu
6956	\N	\N	\N	Valley Maidu	0	vmv
6957	\N	\N	\N	Makhuwa	0	vmw
6958	\N	\N	\N	Tamazola Mixtec	0	vmx
6959	\N	\N	\N	Ayautla Mazatec	0	vmy
6960	\N	\N	\N	Mazatlán Mazatec	0	vmz
6961	\N	\N	\N	Vano	0	vnk
6962	\N	\N	\N	Vinmavis	0	vnm
6963	\N	\N	\N	Vunapu	0	vnp
449	vol	vol	vo	Volapük	1	vol
6964	\N	\N	\N	Voro	0	vor
450	vot	vot	\N	Votic	1	vot
6965	\N	\N	\N	Vera'a	0	vra
6967	\N	\N	\N	Varisi	0	vrs
6968	\N	\N	\N	Burmbar	0	vrt
6969	\N	\N	\N	Moldova Sign Language	0	vsi
6970	\N	\N	\N	Venezuelan Sign Language	0	vsl
6971	\N	\N	\N	Valencian Sign Language	0	vsv
6972	\N	\N	\N	Vitou	0	vto
6973	\N	\N	\N	Vumbu	0	vum
6974	\N	\N	\N	Vunjo	0	vun
6975	\N	\N	\N	Vute	0	vut
6976	\N	\N	\N	Awa (China)	0	vwa
6977	\N	\N	\N	Walla Walla	0	waa
6978	\N	\N	\N	Wab	0	wab
6979	\N	\N	\N	Wasco-Wishram	0	wac
6980	\N	\N	\N	Wandamen	0	wad
6981	\N	\N	\N	Walser	0	wae
6982	\N	\N	\N	Wakoná	0	waf
6983	\N	\N	\N	Wa'ema	0	wag
6984	\N	\N	\N	Watubela	0	wah
6985	\N	\N	\N	Wares	0	wai
6986	\N	\N	\N	Waffa	0	waj
452	wal	wal	\N	Wolaitta	1	wal
6987	\N	\N	\N	Wampanoag	0	wam
6988	\N	\N	\N	Wan	0	wan
6989	\N	\N	\N	Wappo	0	wao
6990	\N	\N	\N	Wapishana	0	wap
6991	\N	\N	\N	Wageman	0	waq
453	war	war	\N	Waray	1	war
6913	\N	\N	\N	Veps	1	vep
454	was	was	\N	Washo	1	was
6992	\N	\N	\N	Kaninuwa	0	wat
6993	\N	\N	\N	Waurá	0	wau
6994	\N	\N	\N	Waka	0	wav
6995	\N	\N	\N	Waiwai	0	waw
6996	\N	\N	\N	Watam	0	wax
6997	\N	\N	\N	Wayana	0	way
6998	\N	\N	\N	Wampur	0	waz
6999	\N	\N	\N	Warao	0	wba
7000	\N	\N	\N	Wabo	0	wbb
7001	\N	\N	\N	Waritai	0	wbe
7002	\N	\N	\N	Wara	0	wbf
7003	\N	\N	\N	Wanda	0	wbh
7004	\N	\N	\N	Vwanji	0	wbi
7005	\N	\N	\N	Alagwa	0	wbj
7006	\N	\N	\N	Waigali	0	wbk
7007	\N	\N	\N	Wakhi	0	wbl
7008	\N	\N	\N	Wa	0	wbm
7009	\N	\N	\N	Warlpiri	0	wbp
7010	\N	\N	\N	Waddar	0	wbq
7011	\N	\N	\N	Wagdi	0	wbr
7012	\N	\N	\N	Wanman	0	wbt
7013	\N	\N	\N	Wajarri	0	wbv
7014	\N	\N	\N	Woi	0	wbw
7015	\N	\N	\N	Yanomámi	0	wca
7016	\N	\N	\N	Waci Gbe	0	wci
7017	\N	\N	\N	Wandji	0	wdd
7018	\N	\N	\N	Wadaginam	0	wdg
7019	\N	\N	\N	Wadjiginy	0	wdj
7020	\N	\N	\N	Wadjigu	0	wdu
7021	\N	\N	\N	Wewaw	0	wea
7022	\N	\N	\N	Wè Western	0	wec
7023	\N	\N	\N	Wedau	0	wed
7024	\N	\N	\N	Weh	0	weh
7025	\N	\N	\N	Kiunum	0	wei
7026	\N	\N	\N	Weme Gbe	0	wem
7027	\N	\N	\N	Wemale	0	weo
7028	\N	\N	\N	Westphalien	0	wep
7029	\N	\N	\N	Weri	0	wer
7030	\N	\N	\N	Cameroon Pidgin	0	wes
7031	\N	\N	\N	Perai	0	wet
7032	\N	\N	\N	Rawngtu Chin	0	weu
7033	\N	\N	\N	Wejewa	0	wew
7034	\N	\N	\N	Yafi	0	wfg
7035	\N	\N	\N	Wagaya	0	wga
7036	\N	\N	\N	Wagawaga	0	wgb
7037	\N	\N	\N	Wangganguru	0	wgg
7038	\N	\N	\N	Wahgi	0	wgi
7039	\N	\N	\N	Waigeo	0	wgo
7040	\N	\N	\N	Wirangu	0	wgu
7041	\N	\N	\N	Warrgamay	0	wgy
7042	\N	\N	\N	Manusela	0	wha
7043	\N	\N	\N	North Wahgi	0	whg
7044	\N	\N	\N	Wahau Kenyah	0	whk
7045	\N	\N	\N	Wahau Kayan	0	whu
7046	\N	\N	\N	Southern Toussian	0	wib
7047	\N	\N	\N	Wichita	0	wic
7048	\N	\N	\N	Wik-Epa	0	wie
7049	\N	\N	\N	Wik-Keyangan	0	wif
7050	\N	\N	\N	Wik-Ngathana	0	wig
7051	\N	\N	\N	Wik-Me'anha	0	wih
7052	\N	\N	\N	Minidien	0	wii
7053	\N	\N	\N	Wik-Iiyanh	0	wij
7054	\N	\N	\N	Wikalkan	0	wik
7055	\N	\N	\N	Wilawila	0	wil
7056	\N	\N	\N	Wik-Mungkan	0	wim
7057	\N	\N	\N	Ho-Chunk	0	win
7058	\N	\N	\N	Wiraféd	0	wir
7059	\N	\N	\N	Wintu	0	wit
7060	\N	\N	\N	Wiru	0	wiu
7061	\N	\N	\N	Vitu	0	wiv
7062	\N	\N	\N	Wiyot	0	wiy
7063	\N	\N	\N	Waja	0	wja
7064	\N	\N	\N	Warji	0	wji
7065	\N	\N	\N	Kw'adza	0	wka
7066	\N	\N	\N	Kumbaran	0	wkb
7067	\N	\N	\N	Wakde	0	wkd
7068	\N	\N	\N	Kalanadi	0	wkl
7069	\N	\N	\N	Kunduvadi	0	wku
7070	\N	\N	\N	Wakawaka	0	wkw
7071	\N	\N	\N	Walio	0	wla
7072	\N	\N	\N	Mwali Comorian	0	wlc
7073	\N	\N	\N	Wolane	0	wle
7074	\N	\N	\N	Kunbarlang	0	wlg
7075	\N	\N	\N	Waioli	0	wli
7076	\N	\N	\N	Wailaki	0	wlk
7077	\N	\N	\N	Wali (Sudan)	0	wll
7078	\N	\N	\N	Middle Welsh	0	wlm
457	wln	wln	wa	Walloon	1	wln
7079	\N	\N	\N	Wolio	0	wlo
7080	\N	\N	\N	Wailapa	0	wlr
7081	\N	\N	\N	Wallisian	0	wls
7082	\N	\N	\N	Wuliwuli	0	wlu
7083	\N	\N	\N	Wichí Lhamtés Vejoz	0	wlv
7084	\N	\N	\N	Walak	0	wlw
7085	\N	\N	\N	Wali (Ghana)	0	wlx
7086	\N	\N	\N	Waling	0	wly
7087	\N	\N	\N	Mawa (Nigeria)	0	wma
7088	\N	\N	\N	Wambaya	0	wmb
7089	\N	\N	\N	Wamas	0	wmc
7090	\N	\N	\N	Mamaindé	0	wmd
7091	\N	\N	\N	Wambule	0	wme
7092	\N	\N	\N	Waima'a	0	wmh
7093	\N	\N	\N	Wamin	0	wmi
7094	\N	\N	\N	Maiwa (Indonesia)	0	wmm
7095	\N	\N	\N	Waamwang	0	wmn
7096	\N	\N	\N	Wom (Papua New Guinea)	0	wmo
7097	\N	\N	\N	Wambon	0	wms
7098	\N	\N	\N	Walmajarri	0	wmt
7099	\N	\N	\N	Mwani	0	wmw
7100	\N	\N	\N	Womo	0	wmx
7101	\N	\N	\N	Wanambre	0	wnb
7102	\N	\N	\N	Wantoat	0	wnc
7103	\N	\N	\N	Wandarang	0	wnd
7104	\N	\N	\N	Waneci	0	wne
7105	\N	\N	\N	Wanggom	0	wng
7106	\N	\N	\N	Ndzwani Comorian	0	wni
7107	\N	\N	\N	Wanukaka	0	wnk
7108	\N	\N	\N	Wanggamala	0	wnm
7109	\N	\N	\N	Wano	0	wno
7110	\N	\N	\N	Wanap	0	wnp
7111	\N	\N	\N	Usan	0	wnu
7112	\N	\N	\N	Wanyi	0	wny
7113	\N	\N	\N	Tyaraity	0	woa
7114	\N	\N	\N	Wè Northern	0	wob
7115	\N	\N	\N	Wogeo	0	woc
7116	\N	\N	\N	Wolani	0	wod
7117	\N	\N	\N	Woleaian	0	woe
7118	\N	\N	\N	Gambian Wolof	0	wof
7119	\N	\N	\N	Wogamusin	0	wog
7120	\N	\N	\N	Kamang	0	woi
7121	\N	\N	\N	Longto	0	wok
458	wol	wol	wo	Wolof	1	wol
7122	\N	\N	\N	Wom (Nigeria)	0	wom
7123	\N	\N	\N	Wongo	0	won
7124	\N	\N	\N	Manombai	0	woo
7125	\N	\N	\N	Woria	0	wor
7126	\N	\N	\N	Hanga Hundi	0	wos
7127	\N	\N	\N	Wawonii	0	wow
7128	\N	\N	\N	Weyto	0	woy
7129	\N	\N	\N	Maco	0	wpc
7130	\N	\N	\N	Warapu	0	wra
7131	\N	\N	\N	Warluwara	0	wrb
7132	\N	\N	\N	Warduji	0	wrd
7133	\N	\N	\N	Warungu	0	wrg
7134	\N	\N	\N	Wiradhuri	0	wrh
7135	\N	\N	\N	Wariyangga	0	wri
7136	\N	\N	\N	Garrwa	0	wrk
7137	\N	\N	\N	Warlmanpa	0	wrl
7138	\N	\N	\N	Warumungu	0	wrm
7139	\N	\N	\N	Warnang	0	wrn
7140	\N	\N	\N	Worrorra	0	wro
7141	\N	\N	\N	Waropen	0	wrp
7142	\N	\N	\N	Wardaman	0	wrr
7143	\N	\N	\N	Waris	0	wrs
7144	\N	\N	\N	Waru	0	wru
7145	\N	\N	\N	Waruna	0	wrv
7146	\N	\N	\N	Gugu Warra	0	wrw
7147	\N	\N	\N	Wae Rana	0	wrx
7148	\N	\N	\N	Merwari	0	wry
7149	\N	\N	\N	Waray (Australia)	0	wrz
7150	\N	\N	\N	Warembori	0	wsa
7151	\N	\N	\N	Wusi	0	wsi
7152	\N	\N	\N	Waskia	0	wsk
7153	\N	\N	\N	Owenia	0	wsr
7154	\N	\N	\N	Wasa	0	wss
7155	\N	\N	\N	Wasu	0	wsu
7156	\N	\N	\N	Wotapuri-Katarqalai	0	wsv
7157	\N	\N	\N	Watiwa	0	wtf
7158	\N	\N	\N	Berta	0	wti
7159	\N	\N	\N	Watakataui	0	wtk
7160	\N	\N	\N	Mewati	0	wtm
7161	\N	\N	\N	Wotu	0	wtw
7162	\N	\N	\N	Wikngenchera	0	wua
7163	\N	\N	\N	Wunambal	0	wub
7164	\N	\N	\N	Wudu	0	wud
7165	\N	\N	\N	Wutunhua	0	wuh
7166	\N	\N	\N	Silimo	0	wul
7167	\N	\N	\N	Wumbvu	0	wum
7168	\N	\N	\N	Bungu	0	wun
7169	\N	\N	\N	Wurrugu	0	wur
7170	\N	\N	\N	Wutung	0	wut
7171	\N	\N	\N	Wu Chinese	0	wuu
7172	\N	\N	\N	Wuvulu-Aua	0	wuv
7173	\N	\N	\N	Wulna	0	wux
7174	\N	\N	\N	Wauyai	0	wuy
7175	\N	\N	\N	Waama	0	wwa
7176	\N	\N	\N	Wakabunga	0	wwb
7177	\N	\N	\N	Wetamut	0	wwo
7178	\N	\N	\N	Warrwa	0	wwr
7179	\N	\N	\N	Wawa	0	www
7180	\N	\N	\N	Waxianghua	0	wxa
7181	\N	\N	\N	Wyandot	0	wya
7182	\N	\N	\N	Wangaaybuwan-Ngiyambaa	0	wyb
7183	\N	\N	\N	Wymysorys	0	wym
7184	\N	\N	\N	Wayoró	0	wyr
7185	\N	\N	\N	Western Fijian	0	wyy
7186	\N	\N	\N	Andalusian Arabic	0	xaa
7187	\N	\N	\N	Sambe	0	xab
7188	\N	\N	\N	Kachari	0	xac
7189	\N	\N	\N	Adai	0	xad
7190	\N	\N	\N	Aequian	0	xae
7191	\N	\N	\N	Aghwan	0	xag
7192	\N	\N	\N	Kaimbé	0	xai
459	xal	xal	\N	Kalmyk	1	xal
7193	\N	\N	\N	/Xam	0	xam
7194	\N	\N	\N	Xamtanga	0	xan
7195	\N	\N	\N	Khao	0	xao
7196	\N	\N	\N	Apalachee	0	xap
7197	\N	\N	\N	Aquitanian	0	xaq
7198	\N	\N	\N	Karami	0	xar
7199	\N	\N	\N	Kamas	0	xas
7200	\N	\N	\N	Katawixi	0	xat
7201	\N	\N	\N	Kauwera	0	xau
7202	\N	\N	\N	Xavánte	0	xav
7203	\N	\N	\N	Kawaiisu	0	xaw
7204	\N	\N	\N	Kayan Mahakam	0	xay
7205	\N	\N	\N	Kamba (Brazil)	0	xba
7206	\N	\N	\N	Lower Burdekin	0	xbb
7207	\N	\N	\N	Bactrian	0	xbc
7208	\N	\N	\N	Kombio	0	xbi
7209	\N	\N	\N	Middle Breton	0	xbm
7210	\N	\N	\N	Kenaboi	0	xbn
7211	\N	\N	\N	Bolgarian	0	xbo
7212	\N	\N	\N	Kambera	0	xbr
7213	\N	\N	\N	Kambiwá	0	xbw
7214	\N	\N	\N	Kabixí	0	xbx
7215	\N	\N	\N	Cumbric	0	xcb
7216	\N	\N	\N	Camunic	0	xcc
7217	\N	\N	\N	Celtiberian	0	xce
7218	\N	\N	\N	Cisalpine Gaulish	0	xcg
7219	\N	\N	\N	Chemakum	0	xch
7220	\N	\N	\N	Classical Armenian	0	xcl
7221	\N	\N	\N	Comecrudo	0	xcm
7222	\N	\N	\N	Cotoname	0	xcn
7223	\N	\N	\N	Chorasmian	0	xco
7224	\N	\N	\N	Carian	0	xcr
7225	\N	\N	\N	Classical Tibetan	0	xct
7226	\N	\N	\N	Curonian	0	xcu
7227	\N	\N	\N	Chuvantsy	0	xcv
7228	\N	\N	\N	Coahuilteco	0	xcw
7229	\N	\N	\N	Cayuse	0	xcy
7230	\N	\N	\N	Dacian	0	xdc
7231	\N	\N	\N	Edomite	0	xdm
7232	\N	\N	\N	Malayic Dayak	0	xdy
7233	\N	\N	\N	Eblan	0	xeb
7234	\N	\N	\N	Hdi	0	xed
7235	\N	\N	\N	//Xegwi	0	xeg
7236	\N	\N	\N	Kelo	0	xel
7237	\N	\N	\N	Kembayan	0	xem
7238	\N	\N	\N	Epi-Olmec	0	xep
7239	\N	\N	\N	Xerénte	0	xer
7240	\N	\N	\N	Kesawai	0	xes
7241	\N	\N	\N	Xetá	0	xet
7242	\N	\N	\N	Keoru-Ahia	0	xeu
7243	\N	\N	\N	Faliscan	0	xfa
7244	\N	\N	\N	Galatian	0	xga
7245	\N	\N	\N	Gbin	0	xgb
7246	\N	\N	\N	Gabrielino-Fernandeño	0	xgf
7247	\N	\N	\N	Galindan	0	xgl
7248	\N	\N	\N	Garza	0	xgr
7249	\N	\N	\N	Unggumi	0	xgu
7250	\N	\N	\N	Harami	0	xha
7251	\N	\N	\N	Hunnic	0	xhc
7252	\N	\N	\N	Hadrami	0	xhd
7253	\N	\N	\N	Khetrani	0	xhe
460	xho	xho	xh	Xhosa	1	xho
7254	\N	\N	\N	Hernican	0	xhr
7255	\N	\N	\N	Hattic	0	xht
7256	\N	\N	\N	Hurrian	0	xhu
7257	\N	\N	\N	Khua	0	xhv
7258	\N	\N	\N	Xiandao	0	xia
7259	\N	\N	\N	Iberian	0	xib
7260	\N	\N	\N	Xiri	0	xii
7261	\N	\N	\N	Illyrian	0	xil
7262	\N	\N	\N	Xinca	0	xin
7263	\N	\N	\N	Xipináwa	0	xip
7264	\N	\N	\N	Xiriâna	0	xir
7265	\N	\N	\N	Indus Valley Language	0	xiv
7266	\N	\N	\N	Xipaya	0	xiy
7267	\N	\N	\N	Kalkoti	0	xka
7268	\N	\N	\N	Northern Nago	0	xkb
7269	\N	\N	\N	Kho'ini	0	xkc
7270	\N	\N	\N	Mendalam Kayan	0	xkd
7271	\N	\N	\N	Kereho	0	xke
7272	\N	\N	\N	Khengkha	0	xkf
7273	\N	\N	\N	Kagoro	0	xkg
7274	\N	\N	\N	Karahawyana	0	xkh
7275	\N	\N	\N	Kenyan Sign Language	0	xki
7276	\N	\N	\N	Kajali	0	xkj
7277	\N	\N	\N	Kaco'	0	xkk
7278	\N	\N	\N	Mainstream Kenyah	0	xkl
7279	\N	\N	\N	Kayan River Kayan	0	xkn
7280	\N	\N	\N	Kiorr	0	xko
7281	\N	\N	\N	Kabatei	0	xkp
7282	\N	\N	\N	Koroni	0	xkq
7283	\N	\N	\N	Xakriabá	0	xkr
7284	\N	\N	\N	Kumbewaha	0	xks
7285	\N	\N	\N	Kantosi	0	xkt
7286	\N	\N	\N	Kaamba	0	xku
7287	\N	\N	\N	Kgalagadi	0	xkv
7288	\N	\N	\N	Kembra	0	xkw
7289	\N	\N	\N	Karore	0	xkx
7290	\N	\N	\N	Uma' Lasan	0	xky
7291	\N	\N	\N	Kurtokha	0	xkz
7292	\N	\N	\N	Kamula	0	xla
7293	\N	\N	\N	Loup B	0	xlb
7294	\N	\N	\N	Lycian	0	xlc
7295	\N	\N	\N	Lydian	0	xld
7296	\N	\N	\N	Lemnian	0	xle
7297	\N	\N	\N	Ligurian (Ancient)	0	xlg
7298	\N	\N	\N	Liburnian	0	xli
7299	\N	\N	\N	Alanic	0	xln
7300	\N	\N	\N	Loup A	0	xlo
7301	\N	\N	\N	Lepontic	0	xlp
7302	\N	\N	\N	Lusitanian	0	xls
7303	\N	\N	\N	Cuneiform Luwian	0	xlu
7304	\N	\N	\N	Elymian	0	xly
7305	\N	\N	\N	Mushungulu	0	xma
7306	\N	\N	\N	Mbonga	0	xmb
7307	\N	\N	\N	Makhuwa-Marrevone	0	xmc
7308	\N	\N	\N	Mbudum	0	xmd
7309	\N	\N	\N	Median	0	xme
7310	\N	\N	\N	Mingrelian	0	xmf
7311	\N	\N	\N	Mengaka	0	xmg
7312	\N	\N	\N	Kuku-Muminh	0	xmh
7313	\N	\N	\N	Majera	0	xmj
7314	\N	\N	\N	Ancient Macedonian	0	xmk
7315	\N	\N	\N	Malaysian Sign Language	0	xml
7316	\N	\N	\N	Manado Malay	0	xmm
7317	\N	\N	\N	Manichaean Middle Persian	0	xmn
7318	\N	\N	\N	Morerebi	0	xmo
7319	\N	\N	\N	Kuku-Mu'inh	0	xmp
7320	\N	\N	\N	Kuku-Mangk	0	xmq
7321	\N	\N	\N	Meroitic	0	xmr
7322	\N	\N	\N	Moroccan Sign Language	0	xms
7323	\N	\N	\N	Matbat	0	xmt
7324	\N	\N	\N	Kamu	0	xmu
7325	\N	\N	\N	Antankarana Malagasy	0	xmv
7326	\N	\N	\N	Tsimihety Malagasy	0	xmw
7327	\N	\N	\N	Maden	0	xmx
7328	\N	\N	\N	Mayaguduna	0	xmy
7329	\N	\N	\N	Mori Bawah	0	xmz
7330	\N	\N	\N	Ancient North Arabian	0	xna
7331	\N	\N	\N	Kanakanabu	0	xnb
7332	\N	\N	\N	Middle Mongolian	0	xng
7333	\N	\N	\N	Kuanhua	0	xnh
7334	\N	\N	\N	Northern Kankanay	0	xnn
7335	\N	\N	\N	Anglo-Norman	0	xno
7336	\N	\N	\N	Kangri	0	xnr
7337	\N	\N	\N	Kanashi	0	xns
7338	\N	\N	\N	Narragansett	0	xnt
7339	\N	\N	\N	Kenzi	0	xnz
7340	\N	\N	\N	O'chi'chi'	0	xoc
7341	\N	\N	\N	Kokoda	0	xod
7342	\N	\N	\N	Soga	0	xog
7343	\N	\N	\N	Kominimung	0	xoi
7344	\N	\N	\N	Xokleng	0	xok
7345	\N	\N	\N	Komo (Sudan)	0	xom
7346	\N	\N	\N	Konkomba	0	xon
7347	\N	\N	\N	Xukurú	0	xoo
7348	\N	\N	\N	Kopar	0	xop
7349	\N	\N	\N	Korubo	0	xor
7350	\N	\N	\N	Kowaki	0	xow
7351	\N	\N	\N	Pecheneg	0	xpc
7352	\N	\N	\N	Liberia Kpelle	0	xpe
7353	\N	\N	\N	Phrygian	0	xpg
7354	\N	\N	\N	Pictish	0	xpi
7355	\N	\N	\N	Mpalitjanh	0	xpj
7356	\N	\N	\N	Kulina Pano	0	xpk
7357	\N	\N	\N	Pumpokol	0	xpm
7358	\N	\N	\N	Kapinawá	0	xpn
7359	\N	\N	\N	Pochutec	0	xpo
7360	\N	\N	\N	Puyo-Paekche	0	xpp
7361	\N	\N	\N	Mohegan-Pequot	0	xpq
7362	\N	\N	\N	Parthian	0	xpr
7363	\N	\N	\N	Pisidian	0	xps
7364	\N	\N	\N	Punic	0	xpu
7365	\N	\N	\N	Puyo	0	xpy
7366	\N	\N	\N	Karakhanid	0	xqa
7367	\N	\N	\N	Qatabanian	0	xqt
7368	\N	\N	\N	Krahô	0	xra
7369	\N	\N	\N	Eastern Karaboro	0	xrb
7370	\N	\N	\N	Kreye	0	xre
7371	\N	\N	\N	Krikati-Timbira	0	xri
7372	\N	\N	\N	Armazic	0	xrm
7373	\N	\N	\N	Arin	0	xrn
7374	\N	\N	\N	Raetic	0	xrr
7375	\N	\N	\N	Aranama-Tamique	0	xrt
7376	\N	\N	\N	Marriammu	0	xru
7377	\N	\N	\N	Karawa	0	xrw
7378	\N	\N	\N	Sabaean	0	xsa
7379	\N	\N	\N	Sambal	0	xsb
7380	\N	\N	\N	Scythian	0	xsc
7381	\N	\N	\N	Sidetic	0	xsd
7382	\N	\N	\N	Sempan	0	xse
7383	\N	\N	\N	Shamang	0	xsh
7384	\N	\N	\N	Sio	0	xsi
7385	\N	\N	\N	Subi	0	xsj
7386	\N	\N	\N	South Slavey	0	xsl
7387	\N	\N	\N	Kasem	0	xsm
7388	\N	\N	\N	Sanga (Nigeria)	0	xsn
7389	\N	\N	\N	Solano	0	xso
7390	\N	\N	\N	Silopi	0	xsp
7391	\N	\N	\N	Makhuwa-Saka	0	xsq
7392	\N	\N	\N	Sherpa	0	xsr
7393	\N	\N	\N	Assan	0	xss
7394	\N	\N	\N	Sanumá	0	xsu
7395	\N	\N	\N	Sudovian	0	xsv
7396	\N	\N	\N	Saisiyat	0	xsy
7397	\N	\N	\N	Alcozauca Mixtec	0	xta
7398	\N	\N	\N	Chazumba Mixtec	0	xtb
7399	\N	\N	\N	Katcha-Kadugli-Miri	0	xtc
7400	\N	\N	\N	Diuxi-Tilantongo Mixtec	0	xtd
7401	\N	\N	\N	Ketengban	0	xte
7402	\N	\N	\N	Transalpine Gaulish	0	xtg
7403	\N	\N	\N	Sinicahua Mixtec	0	xti
7404	\N	\N	\N	San Juan Teita Mixtec	0	xtj
7405	\N	\N	\N	Tijaltepec Mixtec	0	xtl
7406	\N	\N	\N	Magdalena Peñasco Mixtec	0	xtm
7407	\N	\N	\N	Northern Tlaxiaco Mixtec	0	xtn
7408	\N	\N	\N	Tokharian A	0	xto
7409	\N	\N	\N	San Miguel Piedras Mixtec	0	xtp
7410	\N	\N	\N	Tumshuqese	0	xtq
7411	\N	\N	\N	Early Tripuri	0	xtr
7412	\N	\N	\N	Sindihui Mixtec	0	xts
7413	\N	\N	\N	Tacahua Mixtec	0	xtt
7414	\N	\N	\N	Cuyamecalco Mixtec	0	xtu
7415	\N	\N	\N	Tawandê	0	xtw
7416	\N	\N	\N	Yoloxochitl Mixtec	0	xty
7417	\N	\N	\N	Tasmanian	0	xtz
7418	\N	\N	\N	Alu Kurumba	0	xua
7419	\N	\N	\N	Betta Kurumba	0	xub
7420	\N	\N	\N	Umiida	0	xud
7421	\N	\N	\N	Kunigami	0	xug
7422	\N	\N	\N	Jennu Kurumba	0	xuj
7423	\N	\N	\N	Umbrian	0	xum
7424	\N	\N	\N	Unggarranggu	0	xun
7425	\N	\N	\N	Kuo	0	xuo
7426	\N	\N	\N	Upper Umpqua	0	xup
7427	\N	\N	\N	Urartian	0	xur
7428	\N	\N	\N	Kuthant	0	xut
7429	\N	\N	\N	Kxoe	0	xuu
7430	\N	\N	\N	Venetic	0	xve
7431	\N	\N	\N	Kamviri	0	xvi
7432	\N	\N	\N	Vandalic	0	xvn
7433	\N	\N	\N	Volscian	0	xvo
7434	\N	\N	\N	Vestinian	0	xvs
7435	\N	\N	\N	Kwaza	0	xwa
7436	\N	\N	\N	Woccon	0	xwc
7437	\N	\N	\N	Xwela Gbe	0	xwe
7438	\N	\N	\N	Kwegu	0	xwg
7439	\N	\N	\N	Western Xwla Gbe	0	xwl
7440	\N	\N	\N	Written Oirat	0	xwo
7441	\N	\N	\N	Kwerba Mamberamo	0	xwr
7442	\N	\N	\N	Boro (Ghana)	0	xxb
7443	\N	\N	\N	Ke'o	0	xxk
7444	\N	\N	\N	Koropó	0	xxr
7445	\N	\N	\N	Tambora	0	xxt
7446	\N	\N	\N	Yalakalore	0	xyl
7447	\N	\N	\N	Yorta Yorta	0	xyy
7448	\N	\N	\N	Zhang-Zhung	0	xzh
7449	\N	\N	\N	Zemgalian	0	xzm
7450	\N	\N	\N	Ancient Zapotec	0	xzp
7451	\N	\N	\N	Yaminahua	0	yaa
7452	\N	\N	\N	Yuhup	0	yab
7453	\N	\N	\N	Pass Valley Yali	0	yac
7454	\N	\N	\N	Yagua	0	yad
7455	\N	\N	\N	Pumé	0	yae
7456	\N	\N	\N	Yaka (Democratic Republic of Congo)	0	yaf
7457	\N	\N	\N	Yámana	0	yag
7458	\N	\N	\N	Yazgulyam	0	yah
7459	\N	\N	\N	Yagnobi	0	yai
7460	\N	\N	\N	Banda-Yangere	0	yaj
7461	\N	\N	\N	Yakama	0	yak
7462	\N	\N	\N	Yalunka	0	yal
7463	\N	\N	\N	Yamba	0	yam
7464	\N	\N	\N	Mayangna	0	yan
461	yao	yao	\N	Yao	1	yao
462	yap	yap	\N	Yapese	1	yap
7465	\N	\N	\N	Yaqui	0	yaq
7466	\N	\N	\N	Yabarana	0	yar
7467	\N	\N	\N	Nugunu (Cameroon)	0	yas
7468	\N	\N	\N	Yambeta	0	yat
7469	\N	\N	\N	Yuwana	0	yau
7470	\N	\N	\N	Yangben	0	yav
7471	\N	\N	\N	Yawalapití	0	yaw
7472	\N	\N	\N	Yauma	0	yax
7473	\N	\N	\N	Agwagwune	0	yay
7474	\N	\N	\N	Lokaa	0	yaz
7475	\N	\N	\N	Yala	0	yba
7476	\N	\N	\N	Yemba	0	ybb
7477	\N	\N	\N	West Yugur	0	ybe
7478	\N	\N	\N	Yakha	0	ybh
7479	\N	\N	\N	Yamphu	0	ybi
7480	\N	\N	\N	Hasha	0	ybj
7481	\N	\N	\N	Bokha	0	ybk
7482	\N	\N	\N	Yukuben	0	ybl
7483	\N	\N	\N	Yaben	0	ybm
7484	\N	\N	\N	Yabaâna	0	ybn
7485	\N	\N	\N	Yabong	0	ybo
7486	\N	\N	\N	Yawiyo	0	ybx
7487	\N	\N	\N	Yaweyuha	0	yby
7488	\N	\N	\N	Chesu	0	ych
7489	\N	\N	\N	Lolopo	0	ycl
7490	\N	\N	\N	Yucuna	0	ycn
7491	\N	\N	\N	Chepya	0	ycp
7492	\N	\N	\N	Eastern Yiddish	0	ydd
7493	\N	\N	\N	Yangum Dey	0	yde
7494	\N	\N	\N	Yidgha	0	ydg
7495	\N	\N	\N	Yoidik	0	ydk
7496	\N	\N	\N	Yiddish Sign Language	0	yds
7497	\N	\N	\N	Ravula	0	yea
7498	\N	\N	\N	Yeniche	0	yec
7499	\N	\N	\N	Yimas	0	yee
7500	\N	\N	\N	Yeni	0	yei
7501	\N	\N	\N	Yevanic	0	yej
7502	\N	\N	\N	Yela	0	yel
7503	\N	\N	\N	Tarok	0	yer
7504	\N	\N	\N	Nyankpa	0	yes
7505	\N	\N	\N	Yetfa	0	yet
7506	\N	\N	\N	Yerukula	0	yeu
7507	\N	\N	\N	Yapunda	0	yev
7508	\N	\N	\N	Yeyi	0	yey
7509	\N	\N	\N	Malyangapa	0	yga
7510	\N	\N	\N	Yangum Gel	0	ygl
7511	\N	\N	\N	Yagomi	0	ygm
7512	\N	\N	\N	Gepo	0	ygp
7513	\N	\N	\N	Yagaria	0	ygr
7514	\N	\N	\N	Yagwoia	0	ygw
7515	\N	\N	\N	Baha Buyang	0	yha
7516	\N	\N	\N	Judeo-Iraqi Arabic	0	yhd
7517	\N	\N	\N	Hlepho Phowa	0	yhl
7518	\N	\N	\N	Yinggarda	0	yia
463	yid	yid	yi	Yiddish	1	yid
7519	\N	\N	\N	Ache	0	yif
7520	\N	\N	\N	Wusa Nasu	0	yig
7521	\N	\N	\N	Western Yiddish	0	yih
7522	\N	\N	\N	Yidiny	0	yii
7523	\N	\N	\N	Yindjibarndi	0	yij
7524	\N	\N	\N	Dongshanba Lalo	0	yik
7525	\N	\N	\N	Yindjilandji	0	yil
7526	\N	\N	\N	Yimchungru Naga	0	yim
7527	\N	\N	\N	Yinchia	0	yin
7528	\N	\N	\N	Pholo	0	yip
7529	\N	\N	\N	Miqie	0	yiq
7530	\N	\N	\N	North Awyu	0	yir
7531	\N	\N	\N	Yis	0	yis
7532	\N	\N	\N	Eastern Lalu	0	yit
7533	\N	\N	\N	Awu	0	yiu
7534	\N	\N	\N	Northern Nisu	0	yiv
7535	\N	\N	\N	Axi Yi	0	yix
7536	\N	\N	\N	Yir Yoront	0	yiy
7537	\N	\N	\N	Azhe	0	yiz
7538	\N	\N	\N	Yakan	0	yka
7539	\N	\N	\N	Northern Yukaghir	0	ykg
7540	\N	\N	\N	Yoke	0	yki
7541	\N	\N	\N	Yakaikeke	0	ykk
7542	\N	\N	\N	Khlula	0	ykl
7543	\N	\N	\N	Kap	0	ykm
7544	\N	\N	\N	Kua-nsi	0	ykn
7545	\N	\N	\N	Yasa	0	yko
7546	\N	\N	\N	Yekora	0	ykr
7547	\N	\N	\N	Kathu	0	ykt
7548	\N	\N	\N	Kuamasi	0	yku
7549	\N	\N	\N	Yakoma	0	yky
7550	\N	\N	\N	Yaul	0	yla
7551	\N	\N	\N	Yaleba	0	ylb
7552	\N	\N	\N	Yele	0	yle
7553	\N	\N	\N	Yelogu	0	ylg
7554	\N	\N	\N	Angguruk Yali	0	yli
7555	\N	\N	\N	Yil	0	yll
7556	\N	\N	\N	Limi	0	ylm
7557	\N	\N	\N	Langnian Buyang	0	yln
7558	\N	\N	\N	Naluo Yi	0	ylo
7559	\N	\N	\N	Yalarnnga	0	ylr
7560	\N	\N	\N	Aribwaung	0	ylu
7561	\N	\N	\N	Nyâlayu	0	yly
7562	\N	\N	\N	Yambes	0	ymb
7563	\N	\N	\N	Southern Muji	0	ymc
7564	\N	\N	\N	Muda	0	ymd
7565	\N	\N	\N	Yameo	0	yme
7566	\N	\N	\N	Yamongeri	0	ymg
7567	\N	\N	\N	Mili	0	ymh
7568	\N	\N	\N	Moji	0	ymi
7569	\N	\N	\N	Makwe	0	ymk
7570	\N	\N	\N	Iamalele	0	yml
7571	\N	\N	\N	Maay	0	ymm
7572	\N	\N	\N	Yamna	0	ymn
7573	\N	\N	\N	Yangum Mon	0	ymo
7574	\N	\N	\N	Yamap	0	ymp
7575	\N	\N	\N	Qila Muji	0	ymq
7576	\N	\N	\N	Malasar	0	ymr
7577	\N	\N	\N	Mysian	0	yms
7578	\N	\N	\N	Mator-Taygi-Karagas	0	ymt
7579	\N	\N	\N	Northern Muji	0	ymx
7580	\N	\N	\N	Muzi	0	ymz
7581	\N	\N	\N	Aluo	0	yna
7582	\N	\N	\N	Yandruwandha	0	ynd
7583	\N	\N	\N	Lang'e	0	yne
7584	\N	\N	\N	Yango	0	yng
7585	\N	\N	\N	Yangho	0	ynh
7586	\N	\N	\N	Naukan Yupik	0	ynk
7587	\N	\N	\N	Yangulam	0	ynl
7588	\N	\N	\N	Yana	0	ynn
7589	\N	\N	\N	Yong	0	yno
7590	\N	\N	\N	Yendang	0	ynq
7591	\N	\N	\N	Yansi	0	yns
7592	\N	\N	\N	Yahuna	0	ynu
7593	\N	\N	\N	Yoba	0	yob
7594	\N	\N	\N	Yogad	0	yog
7595	\N	\N	\N	Yonaguni	0	yoi
7596	\N	\N	\N	Yokuts	0	yok
7597	\N	\N	\N	Yola	0	yol
7598	\N	\N	\N	Yombe	0	yom
7599	\N	\N	\N	Yongkom	0	yon
464	yor	yor	yo	Yoruba	1	yor
7600	\N	\N	\N	Yos	0	yos
7601	\N	\N	\N	Yotti	0	yot
7602	\N	\N	\N	Yoron	0	yox
7603	\N	\N	\N	Yoy	0	yoy
7604	\N	\N	\N	Phala	0	ypa
7605	\N	\N	\N	Labo Phowa	0	ypb
7606	\N	\N	\N	Phola	0	ypg
7607	\N	\N	\N	Phupha	0	yph
7608	\N	\N	\N	Phuma	0	ypm
7609	\N	\N	\N	Ani Phowa	0	ypn
7610	\N	\N	\N	Alo Phola	0	ypo
7611	\N	\N	\N	Phupa	0	ypp
7612	\N	\N	\N	Phuza	0	ypz
7613	\N	\N	\N	Yerakai	0	yra
7614	\N	\N	\N	Yareba	0	yrb
7615	\N	\N	\N	Yaouré	0	yre
7616	\N	\N	\N	Yarí	0	yri
7617	\N	\N	\N	Nenets	0	yrk
7618	\N	\N	\N	Nhengatu	0	yrl
7619	\N	\N	\N	Yerong	0	yrn
7620	\N	\N	\N	Yarsun	0	yrs
7621	\N	\N	\N	Yarawata	0	yrw
7622	\N	\N	\N	Yassic	0	ysc
7623	\N	\N	\N	Samatao	0	ysd
7624	\N	\N	\N	Sonaga	0	ysg
7625	\N	\N	\N	Yugoslavian Sign Language	0	ysl
7626	\N	\N	\N	Sani	0	ysn
7627	\N	\N	\N	Nisi (China)	0	yso
7628	\N	\N	\N	Southern Lolopo	0	ysp
7629	\N	\N	\N	Sirenik Yupik	0	ysr
7630	\N	\N	\N	Yessan-Mayo	0	yss
7631	\N	\N	\N	Sanie	0	ysy
7632	\N	\N	\N	Talu	0	yta
7633	\N	\N	\N	Tanglang	0	ytl
7634	\N	\N	\N	Thopho	0	ytp
7635	\N	\N	\N	Yout Wam	0	ytw
7636	\N	\N	\N	Yucateco	0	yua
7637	\N	\N	\N	Yugambal	0	yub
7638	\N	\N	\N	Yuchi	0	yuc
7639	\N	\N	\N	Judeo-Tripolitanian Arabic	0	yud
7641	\N	\N	\N	Havasupai-Walapai-Yavapai	0	yuf
7642	\N	\N	\N	Yug	0	yug
7643	\N	\N	\N	Yurutí	0	yui
7644	\N	\N	\N	Karkar-Yuri	0	yuj
7645	\N	\N	\N	Yuki	0	yuk
7646	\N	\N	\N	Yulu	0	yul
7647	\N	\N	\N	Quechan	0	yum
7648	\N	\N	\N	Bena (Nigeria)	0	yun
7649	\N	\N	\N	Yukpa	0	yup
7650	\N	\N	\N	Yuqui	0	yuq
7651	\N	\N	\N	Yurok	0	yur
7652	\N	\N	\N	Yopno	0	yut
7653	\N	\N	\N	Yugh	0	yuu
7654	\N	\N	\N	Yau (Morobe Province)	0	yuw
7655	\N	\N	\N	Southern Yukaghir	0	yux
7656	\N	\N	\N	East Yugur	0	yuy
7657	\N	\N	\N	Yuracare	0	yuz
7658	\N	\N	\N	Yawa	0	yva
7659	\N	\N	\N	Yavitero	0	yvt
7660	\N	\N	\N	Kalou	0	ywa
7661	\N	\N	\N	Western Lalu	0	ywl
7662	\N	\N	\N	Yawanawa	0	ywn
7663	\N	\N	\N	Wuding-Luquan Yi	0	ywq
7664	\N	\N	\N	Yawuru	0	ywr
7665	\N	\N	\N	Xishanba Lalo	0	ywt
7666	\N	\N	\N	Wumeng Nasu	0	ywu
7667	\N	\N	\N	Yawarawarga	0	yww
7668	\N	\N	\N	Yagara	0	yxg
7669	\N	\N	\N	Yabula Yabula	0	yxy
7670	\N	\N	\N	Yau (Sandaun Province)	0	yyu
7671	\N	\N	\N	Ayizi	0	yyz
7672	\N	\N	\N	E'ma Buyang	0	yzg
7673	\N	\N	\N	Zokhuo	0	yzk
7674	\N	\N	\N	Sierra de Juárez Zapotec	0	zaa
7675	\N	\N	\N	San Juan Guelavía Zapotec	0	zab
7676	\N	\N	\N	Ocotlán Zapotec	0	zac
7677	\N	\N	\N	Cajonos Zapotec	0	zad
7678	\N	\N	\N	Yareni Zapotec	0	zae
7679	\N	\N	\N	Ayoquesco Zapotec	0	zaf
7680	\N	\N	\N	Zaghawa	0	zag
7681	\N	\N	\N	Zangwal	0	zah
7682	\N	\N	\N	Isthmus Zapotec	0	zai
7683	\N	\N	\N	Zaramo	0	zaj
7684	\N	\N	\N	Zanaki	0	zak
7685	\N	\N	\N	Zauzou	0	zal
7686	\N	\N	\N	Miahuatlán Zapotec	0	zam
7687	\N	\N	\N	Ozolotepec Zapotec	0	zao
466	zap	zap	\N	Zapotec	1	zap
7688	\N	\N	\N	Aloápam Zapotec	0	zaq
7689	\N	\N	\N	Rincón Zapotec	0	zar
7690	\N	\N	\N	Santo Domingo Albarradas Zapotec	0	zas
7691	\N	\N	\N	Tabaa Zapotec	0	zat
7692	\N	\N	\N	Zangskari	0	zau
7693	\N	\N	\N	Yatzachi Zapotec	0	zav
7694	\N	\N	\N	Mitla Zapotec	0	zaw
7695	\N	\N	\N	Xadani Zapotec	0	zax
7696	\N	\N	\N	Zayse-Zergulla	0	zay
7697	\N	\N	\N	Zari	0	zaz
7698	\N	\N	\N	Central Berawan	0	zbc
7699	\N	\N	\N	East Berawan	0	zbe
482	zbl	zbl	\N	Blissymbols	0	zbl
7700	\N	\N	\N	Batui	0	zbt
7701	\N	\N	\N	West Berawan	0	zbw
7702	\N	\N	\N	Coatecas Altas Zapotec	0	zca
7703	\N	\N	\N	Central Hongshuihe Zhuang	0	zch
7704	\N	\N	\N	Ngazidja Comorian	0	zdj
7705	\N	\N	\N	Zeeuws	0	zea
7706	\N	\N	\N	Zenag	0	zeg
7707	\N	\N	\N	Eastern Hongshuihe Zhuang	0	zeh
467	zen	zen	\N	Zenaga	1	zen
7708	\N	\N	\N	Kinga	0	zga
7709	\N	\N	\N	Guibei Zhuang	0	zgb
7710	\N	\N	\N	Minz Zhuang	0	zgm
7711	\N	\N	\N	Guibian Zhuang	0	zgn
7712	\N	\N	\N	Magori	0	zgr
468	zha	zha	za	Zhuang	1	zha
7713	\N	\N	\N	Zhaba	0	zhb
7714	\N	\N	\N	Dai Zhuang	0	zhd
7715	\N	\N	\N	Zhire	0	zhi
7716	\N	\N	\N	Nong Zhuang	0	zhn
7717	\N	\N	\N	Zhoa	0	zhw
7718	\N	\N	\N	Zia	0	zia
7719	\N	\N	\N	Zimbabwe Sign Language	0	zib
7720	\N	\N	\N	Zimakani	0	zik
7721	\N	\N	\N	Zialo	0	zil
7722	\N	\N	\N	Mesme	0	zim
7723	\N	\N	\N	Zinza	0	zin
7724	\N	\N	\N	Ziriya	0	zir
7725	\N	\N	\N	Zigula	0	ziw
7726	\N	\N	\N	Zizilivakan	0	ziz
7727	\N	\N	\N	Kaimbulawa	0	zka
7728	\N	\N	\N	Koibal	0	zkb
7729	\N	\N	\N	Kadu	0	zkd
7730	\N	\N	\N	Koguryo	0	zkg
7731	\N	\N	\N	Khorezmian	0	zkh
7732	\N	\N	\N	Karankawa	0	zkk
7733	\N	\N	\N	Kanan	0	zkn
7734	\N	\N	\N	Kott	0	zko
7735	\N	\N	\N	São Paulo Kaingáng	0	zkp
7736	\N	\N	\N	Zakhring	0	zkr
7737	\N	\N	\N	Kitan	0	zkt
7738	\N	\N	\N	Kaurna	0	zku
7739	\N	\N	\N	Krevinian	0	zkv
7740	\N	\N	\N	Khazar	0	zkz
7741	\N	\N	\N	Liujiang Zhuang	0	zlj
7742	\N	\N	\N	Malay (individual language)	0	zlm
7743	\N	\N	\N	Lianshan Zhuang	0	zln
7744	\N	\N	\N	Liuqian Zhuang	0	zlq
7745	\N	\N	\N	Manda (Australia)	0	zma
7746	\N	\N	\N	Zimba	0	zmb
7747	\N	\N	\N	Margany	0	zmc
7748	\N	\N	\N	Maridan	0	zmd
7749	\N	\N	\N	Mangerr	0	zme
7750	\N	\N	\N	Mfinu	0	zmf
7751	\N	\N	\N	Marti Ke	0	zmg
7752	\N	\N	\N	Makolkol	0	zmh
7753	\N	\N	\N	Negeri Sembilan Malay	0	zmi
7754	\N	\N	\N	Maridjabin	0	zmj
7755	\N	\N	\N	Mandandanyi	0	zmk
7756	\N	\N	\N	Madngele	0	zml
7757	\N	\N	\N	Marimanindji	0	zmm
7758	\N	\N	\N	Mbangwe	0	zmn
7759	\N	\N	\N	Molo	0	zmo
7760	\N	\N	\N	Mpuono	0	zmp
7761	\N	\N	\N	Mituku	0	zmq
7762	\N	\N	\N	Maranunggu	0	zmr
7763	\N	\N	\N	Mbesa	0	zms
7764	\N	\N	\N	Maringarr	0	zmt
7765	\N	\N	\N	Muruwari	0	zmu
7766	\N	\N	\N	Mbariman-Gudhinma	0	zmv
7767	\N	\N	\N	Mbo (Democratic Republic of Congo)	0	zmw
7768	\N	\N	\N	Bomitaba	0	zmx
7769	\N	\N	\N	Mariyedi	0	zmy
7770	\N	\N	\N	Mbandja	0	zmz
7771	\N	\N	\N	Zan Gula	0	zna
7772	\N	\N	\N	Zande (individual language)	0	zne
7773	\N	\N	\N	Mang	0	zng
7774	\N	\N	\N	Manangkari	0	znk
7775	\N	\N	\N	Mangas	0	zns
7776	\N	\N	\N	Copainalá Zoque	0	zoc
7777	\N	\N	\N	Chimalapa Zoque	0	zoh
7778	\N	\N	\N	Zou	0	zom
7779	\N	\N	\N	Asunción Mixtepec Zapotec	0	zoo
7780	\N	\N	\N	Tabasco Zoque	0	zoq
7781	\N	\N	\N	Rayón Zoque	0	zor
7782	\N	\N	\N	Francisco León Zoque	0	zos
7783	\N	\N	\N	Lachiguiri Zapotec	0	zpa
7784	\N	\N	\N	Yautepec Zapotec	0	zpb
7785	\N	\N	\N	Choapan Zapotec	0	zpc
7786	\N	\N	\N	Southeastern Ixtlán Zapotec	0	zpd
7787	\N	\N	\N	Petapa Zapotec	0	zpe
7788	\N	\N	\N	San Pedro Quiatoni Zapotec	0	zpf
7789	\N	\N	\N	Guevea De Humboldt Zapotec	0	zpg
7790	\N	\N	\N	Totomachapan Zapotec	0	zph
7791	\N	\N	\N	Santa María Quiegolani Zapotec	0	zpi
7792	\N	\N	\N	Quiavicuzas Zapotec	0	zpj
7793	\N	\N	\N	Tlacolulita Zapotec	0	zpk
7794	\N	\N	\N	Lachixío Zapotec	0	zpl
7795	\N	\N	\N	Mixtepec Zapotec	0	zpm
7796	\N	\N	\N	Santa Inés Yatzechi Zapotec	0	zpn
7797	\N	\N	\N	Amatlán Zapotec	0	zpo
7798	\N	\N	\N	El Alto Zapotec	0	zpp
7799	\N	\N	\N	Zoogocho Zapotec	0	zpq
7800	\N	\N	\N	Santiago Xanica Zapotec	0	zpr
7801	\N	\N	\N	Coatlán Zapotec	0	zps
7802	\N	\N	\N	San Vicente Coatlán Zapotec	0	zpt
7803	\N	\N	\N	Yalálag Zapotec	0	zpu
7804	\N	\N	\N	Chichicapan Zapotec	0	zpv
7805	\N	\N	\N	Zaniza Zapotec	0	zpw
7806	\N	\N	\N	San Baltazar Loxicha Zapotec	0	zpx
7807	\N	\N	\N	Mazaltepec Zapotec	0	zpy
7808	\N	\N	\N	Texmelucan Zapotec	0	zpz
7809	\N	\N	\N	Qiubei Zhuang	0	zqe
7810	\N	\N	\N	Kara (Korea)	0	zra
7811	\N	\N	\N	Mirgan	0	zrg
7812	\N	\N	\N	Zerenkel	0	zrn
7813	\N	\N	\N	Záparo	0	zro
7814	\N	\N	\N	Zarphatic	0	zrp
7815	\N	\N	\N	Mairasi	0	zrs
7816	\N	\N	\N	Sarasira	0	zsa
7817	\N	\N	\N	Kaskean	0	zsk
7818	\N	\N	\N	Zambian Sign Language	0	zsl
7819	\N	\N	\N	Standard Malay	0	zsm
7820	\N	\N	\N	Southern Rincon Zapotec	0	zsr
7821	\N	\N	\N	Sukurum	0	zsu
7822	\N	\N	\N	Elotepec Zapotec	0	zte
7823	\N	\N	\N	Xanaguía Zapotec	0	ztg
7824	\N	\N	\N	Lapaguía-Guivini Zapotec	0	ztl
7825	\N	\N	\N	San Agustín Mixtepec Zapotec	0	ztm
7826	\N	\N	\N	Santa Catarina Albarradas Zapotec	0	ztn
7827	\N	\N	\N	Loxicha Zapotec	0	ztp
7828	\N	\N	\N	Quioquitani-Quierí Zapotec	0	ztq
7829	\N	\N	\N	Tilquiapan Zapotec	0	zts
7830	\N	\N	\N	Tejalapan Zapotec	0	ztt
7831	\N	\N	\N	Güilá Zapotec	0	ztu
7832	\N	\N	\N	Zaachila Zapotec	0	ztx
7833	\N	\N	\N	Yatee Zapotec	0	zty
7834	\N	\N	\N	Zeem	0	zua
7835	\N	\N	\N	Tokano	0	zuh
470	zul	zul	zu	Zulu	1	zul
7836	\N	\N	\N	Kumzari	0	zum
471	zun	zun	\N	Zuni	1	zun
7837	\N	\N	\N	Zumaya	0	zuy
7838	\N	\N	\N	Zay	0	zwa
486	zxx	zxx	\N	No linguistic content	1	zxx
7839	\N	\N	\N	Yongbei Zhuang	0	zyb
7840	\N	\N	\N	Yang Zhuang	0	zyg
7841	\N	\N	\N	Youjiang Zhuang	0	zyj
7842	\N	\N	\N	Yongnan Zhuang	0	zyn
7843	\N	\N	\N	Zyphe	0	zyp
483	zza	zza	\N	Zaza	1	zza
7844	\N	\N	\N	Zuojiang Zhuang	0	zzj
281	mol	mol	mo	Moldavian	0	\N
35	bad	bad	\N	Banda languages	0	\N
59	btk	btk	\N	Batak languages	0	\N
102	day	day	\N	Land Dayak languages	0	\N
183	ijo	ijo	\N	Ijo languages	0	\N
14	alg	alg	\N	Algonquian languages	0	\N
17	apa	apa	\N	Apache languages	0	\N
207	kar	kar	\N	Karen languages	0	\N
228	kro	kro	\N	Kru languages	0	\N
291	nah	nah	\N	Nahuatl languages	0	\N
28	ath	ath	\N	Athapascan languages	0	\N
29	aus	aus	\N	Australian languages	0	\N
391	son	son	\N	Songhai languages	0	\N
36	bai	bai	\N	Bamileke languages	0	\N
86	cmc	cmc	\N	Chamic languages	0	\N
194	iro	iro	\N	Iroquoian languages	0	\N
279	mno	mno	\N	Manobo languages	0	\N
285	mun	mun	\N	Munda languages	0	\N
289	myn	myn	\N	Mayan languages	0	\N
311	nub	nub	\N	Nubian languages	0	\N
325	oto	oto	\N	Otomian languages	0	\N
341	pra	pra	\N	Prakrit languages	0	\N
358	sal	sal	\N	Salishan languages	0	\N
370	sgn	sgn	\N	Sign Languages	0	\N
374	sio	sio	\N	Siouan languages	0	\N
396	ssa	ssa	\N	Nilo-Saharan languages	0	\N
406	tai	tai	\N	Tai languages	0	\N
432	tup	tup	\N	Tupi languages	0	\N
434	tut	tut	\N	Altaic languages	0	\N
451	wak	wak	\N	Wakashan languages	0	\N
456	wen	wen	\N	Sorbian languages	0	\N
465	ypk	ypk	\N	Yupik languages	0	\N
469	znd	znd	\N	Zande languages	0	\N
50	bih	bih	bh	Bihari languages	0	\N
170	him	him	\N	Himachali languages	0	\N
7	afa	afa	\N	Afro-Asiatic languages	0	\N
43	bat	bat	\N	Baltic languages	0	\N
48	ber	ber	\N	Berber languages	0	\N
55	bnt	bnt	\N	Bantu languages	0	\N
66	cai	cai	\N	Central American Indian languages	0	\N
69	cau	cau	\N	Caucasian languages	0	\N
71	cel	cel	\N	Celtic languages	0	\N
90	cpe	cpe	\N	Creoles and pidgins, English based	0	\N
91	cpf	cpf	\N	Creoles and pidgins, French-based	0	\N
92	cpp	cpp	\N	Creoles and pidgins, Portuguese-based	0	\N
95	crp	crp	\N	Creoles and pidgins	0	\N
97	cus	cus	\N	Cushitic languages	0	\N
109	dra	dra	\N	Dravidian languages	0	\N
132	fiu	fiu	\N	Finno-Ugrian languages	0	\N
143	gem	gem	\N	Germanic languages	0	\N
188	inc	inc	\N	Indic languages	0	\N
190	ine	ine	\N	Indo-European languages	0	\N
193	ira	ira	\N	Iranian languages	0	\N
214	khi	khi	\N	Khoisan languages	0	\N
263	map	map	\N	Austronesian languages	0	\N
274	mkh	mkh	\N	Mon-Khmer languages	0	\N
292	nai	nai	\N	North American Indian languages	0	\N
303	nic	nic	\N	Niger-Kordofanian languages	0	\N
326	paa	paa	\N	Papuan languages	0	\N
335	phi	phi	\N	Philippine languages	0	\N
348	roa	roa	\N	Romance languages	0	\N
357	sai	sai	\N	South American Indian languages	0	\N
368	sem	sem	\N	Semitic languages	0	\N
375	sit	sit	\N	Sino-Tibetan languages	0	\N
376	sla	sla	\N	Slavic languages	0	\N
381	smi	smi	\N	Sami languages	0	\N
\.


--
-- Data for Name: medium; Type: TABLE DATA; Schema: public; Owner: -
--

COPY medium (id, release, "position", format, name, edits_pending, last_updated, track_count) FROM stdin;
462796	462796	1	1	\N	0	2011-05-16 16:57:06.530063+02	17
279680	279680	1	1	\N	0	2011-05-16 16:57:06.530063+02	7
394442	394442	1	31	\N	0	2012-05-24 21:24:08.987849+02	2
461588	461588	1	1	\N	0	2011-05-16 16:57:06.530063+02	11
543345	543345	1	1	\N	0	2011-05-16 16:57:06.530063+02	6
905582	905582	1	\N	\N	0	2011-05-16 16:57:06.530063+02	10
971720	971720	1	\N	\N	0	2011-05-16 16:57:06.530063+02	11
1223842	1199077	1	1	What Was	0	2012-09-17 14:40:41.08718+02	20
1223843	1199077	2	1	What Is	0	2012-09-17 19:07:28.674076+02	20
921774	921774	1	1	\N	0	2012-09-20 10:00:09.596283+02	13
1288726	1255746	1	12	\N	0	2013-02-14 11:40:11.875616+01	14
\.


--
-- Data for Name: medium_cdtoc; Type: TABLE DATA; Schema: public; Owner: -
--

COPY medium_cdtoc (id, medium, cdtoc, edits_pending, last_updated) FROM stdin;
216418	279680	279137	0	2011-05-16 16:57:06.530063+02
324478	462796	334647	0	2011-05-16 16:57:06.530063+02
551911	921774	109562	0	2011-05-16 16:57:06.530063+02
\.


--
-- Data for Name: medium_format; Type: TABLE DATA; Schema: public; Owner: -
--

COPY medium_format (id, name, parent, child_order, year, has_discids) FROM stdin;
1	CD	\N	0	1982	t
2	DVD	\N	4	1995	f
3	SACD	\N	5	1999	t
4	DualDisc	\N	6	2004	t
6	MiniDisc	\N	7	1992	f
7	Vinyl	\N	1	1895	f
8	Cassette	\N	3	1964	f
12	Digital Media	\N	2	\N	f
13	Other	\N	13	\N	t
17	HD-DVD	\N	9	\N	f
20	Blu-ray	\N	8	\N	f
22	VCD	\N	11	\N	f
28	UMD	\N	12	\N	f
32	Videotape	\N	10	\N	f
5	LaserDisc	13	0	1978	f
9	Cartridge	13	0	1962	f
10	Reel-to-reel	13	0	1935	f
11	DAT	13	0	1976	f
14	Wax Cylinder	13	0	1877	f
15	Piano Roll	13	0	1883	f
16	DCC	13	0	1992	f
21	VHS	32	0	\N	f
23	SVCD	22	0	\N	f
24	Betamax	32	1	\N	f
25	HDCD	1	0	\N	t
29	7" Vinyl	7	0	\N	f
30	10" Vinyl	7	1	\N	f
31	12" Vinyl	7	2	\N	f
26	USB Flash Drive	12	0	\N	f
27	slotMusic	12	1	\N	f
18	DVD-Audio	2	0	\N	f
19	DVD-Video	2	1	\N	f
33	CD-R	1	1	\N	t
34	8cm CD	1	2	1982	t
\.


--
-- Data for Name: recording; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recording (id, gid, name, artist_credit, length, comment, edits_pending, last_updated, video) FROM stdin;
14591255	014acd31-428b-4c24-ad38-c6c499df6b8d	Принцесса	420346	251680		0	2013-02-14 11:40:11.875616+01	f
8637612	f69021a3-aa53-4f11-a3d7-9bce6bc84cc3	luv computer	570716	330000		0	\N	f
3610239	20828f48-ee03-4b93-8ef0-7337b9826d0a	Drown	218850	230120		0	\N	f
13994858	75b3bea1-0d87-45b7-8cb5-8eef4436f0ec	Renegade Fighter	57154	\N		0	2012-09-18 09:07:40.083408+02	f
13994845	273a9583-831e-4854-9c16-8497766e5636	All You Zombies	9973	\N		0	2012-09-18 09:07:39.17643+02	f
3610236	29d38e10-7ad3-4260-bc20-ee5f58671e1e	Where Did We Go Wrong	218850	182986		0	\N	f
8637616	93956992-a8c9-4170-8741-c88223540446	ジェラスの海	570716	312000		0	\N	f
13994863	c8cb0e2c-750c-4b6b-b96d-161f14c0fdec	Cult of Personality	1120	\N		0	2012-09-18 09:07:40.44939+02	f
13994857	a826e5a0-c078-481c-beec-979190c6decc	Sweet December	363984	\N		0	2012-09-18 09:07:40.01053+02	f
2858668	21723d98-7944-4317-9ca7-3f86d3e76934	Weitergehen	69475	349533		0	\N	f
2858667	020fdab6-d3a0-4a09-aaa6-e399c9176cb8	Bis ans Ende der Welt	69475	288093		0	2013-09-27 05:00:14.431442+02	f
13994859	d1f9e932-9738-4ed4-9977-250fa2f770c5	Calling On	23642	\N		0	2012-09-18 09:07:40.150303+02	f
8637614	204446a3-a796-4eeb-a2e8-d9b04fd11c37	Psychokinesis	570716	390000		0	\N	f
1975934	d92791a7-a9d2-419c-8507-858804b32f90	När jag ser dig	632902	294600		0	\N	f
14591262	0c4a910c-bf13-4e62-bcff-b2e2c446aa28	Номерок	420346	193400		0	2013-02-14 11:40:11.875616+01	f
13994867	74f4bd04-e5a5-4398-bc24-3f6142861360	Shine	1091	\N		0	2012-09-18 09:07:40.783608+02	f
14591261	915bd1c6-39f5-4909-b6d1-27799607b115	Лена	420346	202853		0	2013-02-14 11:40:11.875616+01	f
14591266	cfef7ceb-8961-4146-8f84-88b9f30868b7	Ленточка	420346	221693		0	2013-02-14 11:40:11.875616+01	f
13994830	110e4e30-a600-4199-a797-5a175fe205ad	Hush	1587	\N		0	2012-09-18 09:07:37.900193+02	f
13994833	0bd4b813-de04-4fea-949f-db68b7ced548	Tush	2735	\N		0	2012-09-18 09:07:38.157326+02	f
13994868	2154356a-91f5-4388-9f92-1c2262acf196	Say It Ain't So	446	\N		0	2012-09-16 16:42:40.759519+02	f
3610243	c806e1c9-e121-4e13-8855-ad8577ff58be	Seconds, Minutes, Hours	218850	264000		0	\N	f
14591264	3d66e97e-c75c-453f-a302-184a4b9a0d90	Виски	420346	299333		0	2013-02-14 11:40:11.875616+01	f
14591265	3070fcd6-760a-4ce7-a0fb-8e204cd10e15	Другу	420346	231080		0	2013-02-14 11:40:11.875616+01	f
2858671	11921873-962b-4701-8b96-d59331fe1325	Wenn der Tiger lächelt	69475	258200		0	2012-09-06 09:35:38.168279+02	f
13994849	d3991020-996d-40a9-b00e-5a20849bc541	Fire and Ice	2017	\N		0	2012-09-18 09:07:39.366515+02	f
3610242	3cc62cee-a96d-4090-8117-412710e77e10	Beautiful	218850	245533		0	\N	f
14591254	0f68bb05-befa-4906-82b4-8e7864ddf4c2	Где была	420346	171187		0	2013-02-14 11:40:11.875616+01	f
7032616	2299adda-70a1-4877-9d2a-3248c3cda937	Ev.Panic (Venetian Snares 3rd X Thru 3v3rything remix)	346598	202786		0	\N	f
3610241	32bb4997-834b-41f1-9f76-37f6a88a7fb4	TV Killed Me	218850	236066		0	\N	f
4981527	e5e5695a-f778-4391-9b25-72ac64c0b82a	Andante Cantabile	122653	376973		0	\N	f
13994869	1b44e190-02c7-4316-b515-226b596d93b5	He's a Rocker	37430	\N		0	2012-09-16 16:42:40.759519+02	f
14591257	96cd21e5-d0f0-4a80-8ebc-e97911b850fd	Сложная песня	420346	268200		0	2013-02-14 11:40:11.875616+01	f
13994851	6d23aa9e-2f33-4827-b0f7-f80373ec35ed	Life Is Beautiful	455460	\N		0	2012-09-16 16:42:40.759519+02	f
13994856	885128c8-45c8-472e-92f2-0f74fd7c8779	How Is the Air Up There?	1052069	\N		0	2012-09-17 07:07:18.850362+02	f
13994860	4ed5ee86-6a50-4963-927f-ab147a450de4	No One Knows	11783	\N		0	2012-09-18 09:07:40.241071+02	f
13994843	da22be09-7535-41e8-92ee-7959544a4528	You Got Nothing I Want	49352	\N		0	2012-09-18 09:07:39.045985+02	f
9391386	8b28878e-ffd1-4ccd-be87-58be3403ebfa	Girl From the North Country	620257	198000		0	\N	f
8637615	c5df63fe-5605-47bc-a51f-2afd76fe63f1	夏の匂い	570716	228000		0	\N	f
2858666	181bb031-c037-43c9-92f7-a38b3ce06518	Alles ein Traum	69475	266000		0	2012-09-20 10:00:09.456724+02	f
7032617	44322adf-4d9e-4cbb-8a7a-48ba1202be55	Mother Slug	346598	220666		0	\N	f
4981533	447af045-4d56-43ec-93f0-e3cb7ba1f315	Dance of the Blessed Spirits	37472	380773		0	\N	f
8637609	980162c3-59a3-455d-a60e-983879b87a34	未来はきっと眩しいワ	570716	254000		0	\N	f
2858674	3634f7e4-1822-4572-9c30-52385d4b8c1c	Vermißt	69475	218306		0	\N	f
9391384	8d959e07-e1e7-48e2-9fbb-26843193b4d4	Depopulation Cooperative, Part 2	620257	159000		0	\N	f
8049279	2ea98413-d38c-4c42-8672-2a00764bf04c	Taboos	126976	345000		0	\N	f
1975923	e744966a-3b5d-41e1-9965-2f8232e53d8f	Kärleken förde oss samman	632902	225760		0	\N	f
14591259	81b57249-73b7-4ada-810f-5baae87bda96	По моей щеке	420346	157333		0	2013-02-14 11:40:11.875616+01	f
9391389	35372870-b748-43f0-90c7-f1471253c39b	Fire Water	620257	310000		0	\N	f
13994831	aebe676f-af4f-4d72-a60f-9f2b25506380	I'm Eighteen	182	\N		0	2012-09-18 09:07:38.028376+02	f
13994837	61db6752-6097-4802-9457-8bfb1b888133	Let's Stick Together	310	\N		0	2012-09-18 09:07:38.436159+02	f
8637610	8642ebc0-f64c-4f6c-802b-eb58d8cacf87	曖昧な太陽	570716	229000		0	\N	f
9391387	0e0e68e6-b37f-444d-a37f-7f9978bc2acc	Worst Country Ever	620257	160000		0	\N	f
2858672	5f7eb8a6-e279-450a-935d-6d07a2db2229	Ich hab Deine Liebe überlebt	69475	237373		0	2012-09-06 09:35:38.168279+02	f
3610237	84b07b46-5cf8-4e1c-a2a6-6c656624efc2	When I Leave You	218850	164346		0	\N	f
14591260	1745be8b-a024-4d33-b727-17c698df41c4	Ехал ко мне друг	420346	243093		0	2013-02-14 11:40:11.875616+01	f
1975928	5d4a2db4-e9e5-4c87-958d-84d2595598c2	Sanningens café	632902	296306		0	\N	f
13994844	93e8e3fc-a6bb-4790-af04-628f061909f0	Who Can It Be Now?	2632	\N		0	2012-09-18 09:07:39.116091+02	f
8637608	799ef11b-f60f-4d41-afbc-d68416db2b44	ときめきましょう	570716	313000		0	\N	f
13994838	f1e6368c-27e3-4ddb-a64d-9b2bb6184a7e	Don't Stop	299	\N		0	2012-09-18 02:07:03.547673+02	f
13994836	64d23465-a78f-43c1-b18a-c66624649a50	Keep Your Hands to Yourself	95306	\N		0	2012-09-18 09:07:38.377033+02	f
13994853	1a080d3b-9efb-4b0f-a255-02e7ebf53324	Runnin' Wild	438599	\N		0	2012-09-18 09:07:39.813464+02	f
7032613	89399ace-37aa-4623-ac7a-9f444c8f95a0	Ev.Panic	346598	234560		0	\N	f
4981529	724de91e-0f27-4ebb-a2e7-7ef9ade9daae	Air (From Water Music)	73502	435120		0	\N	f
829408	c767f118-5540-4a8e-90ca-58182ecb064d	Pure Morning	1965	238826		0	2013-08-25 11:02:56.01172+02	f
2858676	ba03f585-57c7-490c-8fb6-a458061f5a20	Solche Tage	69475	259733		0	\N	f
7032615	3b4b07e0-3d39-472c-9bfe-7d25deb95707	Le cimetière des eléphants	346598	287213		0	\N	f
13994840	aee86223-22e2-48e4-8af2-7cf91003eb49	Hot Blooded	1436	\N		0	2012-09-18 09:07:38.927631+02	f
2858675	53376e2b-2ca1-4231-9768-f3fcfc287cf6	Auf Deinem Weg	69475	274626		0	\N	f
7032619	9d09d50e-4fcb-43ea-9d1b-0df415bed5ba	Ev.Panic (µ-Ziq remix)	346598	509346		0	\N	f
2858673	591dda38-37aa-4e79-981b-ad2d5bbbecbe	Wildes Leben	69475	235160		0	\N	f
1975922	3ad111b3-8646-4af0-bb97-a3466444d71a	Tidvatten	632902	226200		0	\N	f
1975930	0d352a4e-174e-442f-806f-3fb8bc5f240f	Just vid den här tiden	632902	204226		0	\N	f
14591256	10eca6cb-a87a-401c-b4ac-5bc8298ab6d4	Лодочка	420346	238227		0	2013-02-14 11:40:11.875616+01	f
8637611	cc32c9eb-b49a-4583-8d45-68b55fd10df5	夢たちのシンフォニー	570716	361000		0	\N	f
2858678	7fa8198b-cfdd-4f56-af23-23a2eaf3d27f	Bis ans Ende der Welt	69475	371333	long version	0	2013-09-20 04:13:45.98825+02	f
13994865	fcea2410-7230-4ecf-925a-4c8157a8e506	Low	1092	\N		0	2012-09-18 09:07:40.65128+02	f
13994866	fdf8934d-2614-453f-9147-fd73ff1639ca	Blue on Black	189237	\N		0	2012-09-18 09:07:40.708449+02	f
13994847	8107bae5-38b6-4ff9-b29e-52afbf204710	Lay Down Your Guns	31044	\N		0	2012-09-18 09:07:39.230081+02	f
8342031	3d232160-4ae3-4e0d-9e5c-74738fbbc717	Gemeinsam	69475	338000		0	2013-09-26 19:01:02.100452+02	f
1975933	16f48c91-4de0-4d2f-8bf2-858661d9c3d9	Flickan och kråkan	632902	311506		0	\N	f
1975932	e309756b-7a92-4f33-857e-ef1a30bfac19	Man av sten	632902	213226		0	\N	f
13994852	65f8678b-05da-4a4a-9866-08fab498172e	It's Not My Time	1763	\N		0	2012-09-18 09:07:39.701517+02	f
4981528	ab35a377-8085-4f87-8bc5-fec7e0303315	Pavane	10342	376946		0	\N	f
13994841	1113561c-e97e-4e8e-b9bc-3cfba78c1307	I See Red (live)	9061	\N		0	2012-09-18 09:07:38.988666+02	f
3610238	1d513864-dff4-46e1-8425-1b80d122a573	Down In It	218850	251973		0	\N	f
9391385	b4e3b77e-3271-42f9-89dd-fda3d547b82f	Hey Father, Yes Son	620257	200000		0	\N	f
13994854	51d6fa98-54d9-4759-a0f7-4946eef58a62	White Noise	9235	\N		0	2012-09-17 19:07:28.454684+02	f
13994850	006a15ed-60c6-4791-8ded-88f5c22c3bc2	When You Were Young	146720	\N		0	2012-09-18 09:07:39.45523+02	f
14591263	ca5066e5-9ab2-41ad-bc63-2647546e844b	Ре, ля	420346	230800		0	2013-02-14 11:40:11.875616+01	f
1975926	7e4f6d2a-877a-4c60-9cfe-4e6bbd7f78c1	Aldrig äldre än så här	632902	226933		0	\N	f
8049280	6e333d83-181c-4d42-aea4-af909fbce6ce	Taboodub	126976	345000		0	\N	f
4981531	ef36e251-e755-4c09-83e7-95e64bb34314	Jesu, Joy of Man's Desiring	2327	314213		0	\N	f
1975936	a7a2df9c-3789-413a-991a-4e45392ffda2	Not while I'm around	632902	266173		0	\N	f
2858677	4cf5ec0f-7954-4636-a1d7-1ac72e3d8ee4	Ich brauch Dich nicht	69475	280000		0	2012-09-20 10:00:09.517471+02	f
14591267	fa17bea5-1e45-4ef4-a2a9-a208a18eb12c	Мамочка	420346	201707		0	2013-02-14 11:40:11.875616+01	f
1975921	eaf95592-743b-482f-802c-5416589dd764	Rosen	632902	234666		0	\N	f
13994846	410dc6ce-c500-4224-a19d-f87b385212b2	Dreams of Ordinary Men	56851	\N		0	2012-09-17 14:40:54.882395+02	f
13994834	b9c28f13-0d42-4f18-9336-10189eee25eb	Cat Scratch Fever	21724	\N		0	2012-09-18 09:07:38.236156+02	f
4981526	73bb89bf-cbbd-414e-9827-10ca91b90672	Air on the G String	2327	210040		0	\N	f
13994855	8f065363-a889-476b-9e73-e1848561d765	Black Fingernails, Red Wine	38831	\N		0	2012-09-18 09:07:39.929836+02	f
4981532	f27ed3f2-e1e0-4f9d-9940-3d801ec6e065	Adagio in G Minor	24245	465440		0	\N	f
3276622	fd8f9921-62c7-4dd2-ba02-e3fd77f76f27	Sting Quintet in E major, Op.13 No.5 - Minuet (Academy of St. Martins-in-the-Fields: Sir Neville Marriner, 1986)	44563	234173		0	2013-03-29 19:00:21.611635+01	f
1975929	d4765b59-f9ef-4b13-93b6-ee28b8139cff	Var kommer barnen in	632902	282333		0	\N	f
1975925	a49fa53a-b2ff-4d59-a34a-fed9a38e2c60	Om du ännu kan känna	632902	270400		0	\N	f
13994832	9b9d8772-bbf5-4bea-b06c-a3f1aa23efa4	Jailbreak	14549	\N		0	2012-09-18 09:07:38.098501+02	f
13994835	0001bad0-989b-47cd-bbdb-f2983e2cbf8b	Devil Gate Drive	31429	\N		0	2012-09-18 09:07:38.298197+02	f
4981534	4ac8e02e-c083-4bb9-9a43-35059df13b10	Symphony No. 41 in C major, K. 551 "Jupiter"	11285	497040		0	\N	f
3610245	c9e6cace-c47a-4e51-8653-66ba6e5ce0fb	Bradbury Heights	218850	250507		0	\N	f
13994861	b31678aa-e008-46a4-a46d-67b363bc5801	Spoonman	1111	\N		0	2012-09-18 09:07:40.350303+02	f
1975924	a5cf1a73-bee8-48fc-a592-e421a42a561b	Han är din älskling nu	632902	234600		0	\N	f
7032614	b1e98c70-ff8b-4cfe-974b-f2eec3715da0	Ev.Panic (dDamage remix)	346598	197093		0	\N	f
14591258	7d779fd2-0156-4ece-b29d-73779b1e1a91	Больно	420346	273373		0	2013-02-14 11:40:11.875616+01	f
9391388	f412ef7b-9c51-4310-8b29-93e047d9ba3a	On/Is	620257	257000		0	\N	f
13994839	c33e787a-5bbe-448f-8c5a-f545afc122c6	Just What I Needed	1434	\N		0	2012-09-18 09:07:38.502611+02	f
3610240	49f96f8b-8188-408d-9d08-6fbb1c6ce149	This Life	218850	255440		0	\N	f
7032618	4accd676-711a-43ca-bf1e-a5f7948ca61c	Ev.Panic (Ev.Terror edit)	346598	254000		0	\N	f
13994862	8d11236f-4443-401c-8bea-b77b87f2b170	She Sells Sanctuary	1133	\N		0	2012-09-17 19:07:28.574054+02	f
8637617	ac85905a-14b1-4143-a78e-2893d031c0c8	晩夏	570716	294000		0	\N	f
1975937	abf80a29-3a7a-497d-8839-10e62983f221	The end	632902	275800		0	\N	f
13994842	3e362fb3-f298-4a23-bd6f-3f1410c6bcc2	Dancing With Myself	1051691	\N		0	2012-09-16 16:42:40.759519+02	f
1975927	1adfde04-dbbc-4ce2-8174-3c66c4ee686a	Himmelen så hög	632902	242533		0	\N	f
8637613	59b31b58-d64e-434b-94f8-6a51b8c9d89b	明日をぜったい晴れにしよう！	570716	198000		0	\N	f
4981525	8f5e4297-c50f-4f78-a202-6989e5ea8608	Eine kleine Nachtmusik, K. 525	11285	346946		0	\N	f
3610244	cf589305-39b9-4c84-8279-37d4c437c3a9	My Heaven	218850	263026		0	\N	f
1975935	32919c4e-4895-4f68-96e5-feac6cf18f1b	Vad får ett hjärta att slå?	632902	178093		0	\N	f
8637618	d0241770-873e-4460-9a83-4c6a4c7b83a3	Naked	570716	376000		0	\N	f
2858669	a2bacd8e-fd25-4095-b10b-0abd6811f661	Blindenhund	69475	238106		0	\N	f
4981524	cb5d7072-8bd1-4c1a-98a9-2385395d0785	Canon	32474	299840		0	\N	f
1975931	5433368f-9fce-4d1a-851d-b586c6a7d27d	Vargarnas vår	632902	300640		0	\N	f
13994848	69546a1b-4e5e-408f-95c0-bb9ae20068d8	Dogs Are Talking	35460	\N		0	2012-09-18 09:07:39.29364+02	f
\.


--
-- Data for Name: recording_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recording_annotation (recording, annotation) FROM stdin;
\.


--
-- Data for Name: recording_meta; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recording_meta (id, rating, rating_count) FROM stdin;
14591255	\N	\N
8637612	\N	\N
3610239	\N	\N
13994858	\N	\N
13994845	\N	\N
3610236	\N	\N
8637616	\N	\N
13994863	\N	\N
13994857	\N	\N
2858668	\N	\N
2858667	\N	\N
13994859	\N	\N
8637614	\N	\N
1975934	\N	\N
14591262	\N	\N
13994867	\N	\N
14591261	\N	\N
14591266	\N	\N
13994830	\N	\N
13994833	\N	\N
13994868	\N	\N
3610243	\N	\N
14591264	\N	\N
14591265	\N	\N
2858671	\N	\N
13994849	\N	\N
3610242	\N	\N
14591254	\N	\N
7032616	\N	\N
3610241	\N	\N
4981527	\N	\N
13994869	\N	\N
14591257	\N	\N
13994851	\N	\N
13994856	\N	\N
13994860	\N	\N
13994843	\N	\N
9391386	\N	\N
8637615	\N	\N
2858666	\N	\N
7032617	\N	\N
4981533	\N	\N
8637609	\N	\N
2858674	\N	\N
9391384	\N	\N
8049279	\N	\N
1975923	\N	\N
14591259	\N	\N
9391389	\N	\N
13994831	\N	\N
13994837	\N	\N
8637610	\N	\N
9391387	\N	\N
2858672	\N	\N
3610237	\N	\N
14591260	\N	\N
1975928	\N	\N
13994844	\N	\N
8637608	\N	\N
13994838	\N	\N
13994836	\N	\N
13994853	\N	\N
7032613	\N	\N
4981529	\N	\N
829408	\N	\N
2858676	\N	\N
7032615	\N	\N
13994840	\N	\N
2858675	\N	\N
7032619	\N	\N
2858673	\N	\N
1975922	\N	\N
1975930	\N	\N
14591256	\N	\N
8637611	\N	\N
2858678	\N	\N
13994865	\N	\N
13994866	\N	\N
13994847	\N	\N
8342031	\N	\N
1975933	\N	\N
1975932	\N	\N
13994852	\N	\N
4981528	\N	\N
13994841	\N	\N
3610238	\N	\N
9391385	\N	\N
13994854	\N	\N
13994850	\N	\N
14591263	\N	\N
1975926	\N	\N
8049280	\N	\N
4981531	\N	\N
1975936	\N	\N
2858677	\N	\N
14591267	\N	\N
1975921	\N	\N
13994846	\N	\N
13994834	\N	\N
4981526	\N	\N
13994855	\N	\N
4981532	\N	\N
3276622	\N	\N
1975929	\N	\N
1975925	\N	\N
13994832	\N	\N
13994835	\N	\N
4981534	\N	\N
3610245	\N	\N
13994861	\N	\N
1975924	\N	\N
7032614	\N	\N
14591258	\N	\N
9391388	\N	\N
13994839	\N	\N
3610240	\N	\N
7032618	\N	\N
13994862	\N	\N
8637617	\N	\N
1975937	\N	\N
13994842	\N	\N
1975927	\N	\N
8637613	\N	\N
4981525	\N	\N
3610244	\N	\N
1975935	\N	\N
8637618	\N	\N
2858669	\N	\N
4981524	\N	\N
1975931	\N	\N
13994848	\N	\N
\.


--
-- Data for Name: recording_tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY recording_tag (recording, tag, count, last_updated) FROM stdin;
\.


--
-- Data for Name: release; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release (id, gid, name, artist_credit, release_group, status, packaging, language, script, barcode, comment, edits_pending, quality, last_updated) FROM stdin;
921774	9e1ddf83-ae8d-4d29-ac2b-4a455013b710	Haha	69475	262194	1	1	145	28	077778011026		0	-1	2012-09-20 10:00:09.596283+02
279680	dc180805-8271-4046-aa1d-7f58a2ec3213	Ev.Panic Redone	346598	624202	1	\N	120	28	\N		0	-1	\N
394442	8636e61e-d592-4232-8a58-02f39b53427e	Taboos	126976	718910	1	4	120	28			0	-1	2012-05-24 21:31:07.566907+02
461588	9f4c0868-d38c-44ce-835d-99767894a51c	luv.com	570716	773879	1	\N	198	85	\N		0	-1	\N
543345	3b05f62b-6bd5-49df-ae0d-4008c1011553	Depopulation Cooperative	620257	841523	1	\N	120	28	\N		0	-1	2009-06-02 18:26:33.248744+02
905582	ab56517c-7732-4b67-bd71-e46f4862a56e	Burn Out the Stars	218850	325400	1	\N	120	28	\N		0	-1	2012-03-05 22:11:40.229829+01
971720	d014e077-4c95-41d2-a188-47470a3d67f3	Pure Classics	1	442093	1	\N	120	28	\N		0	-1	\N
462796	c8fbef93-80dd-4d3b-8609-281ddf95d525	Tidlöst	632902	190872	1	\N	\N	28	\N		0	-1	2012-01-07 18:46:25.797749+01
1199077	cf47f8f4-fe0d-4715-a8ea-541a6b5105f7	Jim Beam: The Best of 40 Shots of Rock, Volume 2	1	1194899	1	\N	120	28	9341004002364		0	-1	2012-12-16 07:38:48.350804+01
1255746	01e1e750-e9e0-4c26-8765-acba448b68f2	Лена	420346	1241447	1	\N	353	31	4606344027879		0	-1	2013-02-14 11:48:10.332816+01
\.


--
-- Data for Name: release_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_annotation (release, annotation) FROM stdin;
\.


--
-- Data for Name: release_country; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_country (release, country, date_year, date_month, date_day) FROM stdin;
462796	202	2003	6	10
279680	221	2007	5	14
461588	107	1999	\N	\N
1199077	13	2008	11	25
1255746	176	2012	9	4
921774	81	1992	\N	\N
394442	221	1981	\N	\N
543345	222	2008	\N	\N
\.


--
-- Data for Name: release_group; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group (id, gid, name, artist_credit, type, comment, edits_pending, last_updated) FROM stdin;
190872	b9139541-b649-3f01-9a6f-e7f5c62d53f4	Tidlöst	632902	1		0	2010-06-09 14:02:29.71477+02
262194	e6ef151a-1b5b-3724-9471-dd143ce7c6ff	Haha	69475	1		0	2009-05-24 22:47:00.490177+02
325400	a6489e23-cf2c-3915-befc-2d372e37d9de	Burn Out the Stars	218850	1		0	2009-05-24 22:47:00.490177+02
442093	9784af5a-cecb-3a66-8051-de62fa8392fc	Pure Classics	1	1		0	2012-05-15 21:01:58.718541+02
624202	7b21af4e-98df-31af-8bdc-c62c14612ca0	Ev.Panic Redone	346598	3		0	2009-05-24 22:47:00.490177+02
718910	da5664c4-60ad-3841-a25a-0f1e8b50373e	Taboos	126976	2		0	2009-05-24 22:47:00.490177+02
773879	40d66d9b-0c0c-3e73-b015-0f98a867aaf7	luv.com	570716	1		0	2009-05-24 22:47:00.490177+02
841523	fdd5c7b8-ef2a-492f-ae60-422ad6dc738a	Depopulation Cooperative	620257	3		0	2009-06-02 18:26:33.248744+02
1194899	f33f1bb3-3891-44b8-b36f-ede70aff4b34	Jim Beam: The Best of 40 Shots of Rock, Volume 2	1	1		0	2012-12-16 07:39:08.291456+01
1241447	6f6dbe50-a1f8-4920-9427-6d19e3980f68	Лена	420346	1		0	2013-02-14 11:40:11.875616+01
\.


--
-- Data for Name: release_group_annotation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group_annotation (release_group, annotation) FROM stdin;
\.


--
-- Data for Name: release_group_cover_art; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group_cover_art (release_group, release) FROM stdin;
\.


--
-- Data for Name: release_group_meta; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group_meta (id, release_count, first_release_date_year, first_release_date_month, first_release_date_day, rating, rating_count) FROM stdin;
773879	1	1999	\N	\N	\N	\N
262194	1	1992	\N	\N	\N	\N
718910	1	1981	\N	\N	\N	\N
325400	1	\N	\N	\N	\N	\N
442093	1	\N	\N	\N	\N	\N
1241447	1	2012	9	4	\N	\N
190872	1	2003	6	10	\N	\N
1194899	1	2008	11	25	\N	\N
624202	1	2007	5	14	\N	\N
841523	1	2008	\N	\N	\N	\N
\.


--
-- Data for Name: release_group_primary_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group_primary_type (id, name) FROM stdin;
1	Album
2	Single
3	EP
12	Broadcast
11	Other
\.


--
-- Data for Name: release_group_tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_group_tag (release_group, tag, count, last_updated) FROM stdin;
624202	11	1	2011-05-16 17:44:23.970762+02
624202	150	1	2011-05-16 17:44:23.970762+02
624202	206	1	2011-05-16 17:44:23.970762+02
624202	590	1	2011-05-16 17:44:23.970762+02
\.


--
-- Data for Name: release_label; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_label (id, release, label, catalog_number, last_updated) FROM stdin;
207437	279680	132	ZIQ125CD	2011-05-16 17:59:00.785958+02
276123	394442	752	12 Cherry 30	2011-05-16 17:59:00.785958+02
317403	461588	18357	\N	2011-05-16 17:59:00.785958+02
71090	462796	7216	\N	2011-05-16 17:59:00.785958+02
368236	543345	3267	\N	2011-05-16 17:59:00.785958+02
732123	921774	717	IC 566-077778011026	2012-09-06 09:35:38.168279+02
736023	1199077	1378	LMCD0017	2012-09-17 19:08:23.992253+02
789875	1255746	7512	KTL12-787	2013-02-14 11:40:11.875616+01
\.


--
-- Data for Name: release_packaging; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_packaging (id, name) FROM stdin;
1	Jewel Case
2	Slim Jewel Case
3	Digipak
5	Other
6	Keep Case
7	None
4	Cardboard/Paper Sleeve
8	Cassette Case
9	Book
\.


--
-- Data for Name: release_status; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_status (id, name) FROM stdin;
1	Official
2	Promotion
3	Bootleg
4	Pseudo-Release
\.


--
-- Data for Name: release_tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_tag (release, tag, count, last_updated) FROM stdin;
\.


--
-- Data for Name: release_unknown_country; Type: TABLE DATA; Schema: public; Owner: -
--

COPY release_unknown_country (release, date_year, date_month, date_day) FROM stdin;
\.


--
-- Data for Name: script; Type: TABLE DATA; Schema: public; Owner: -
--

COPY script (id, iso_code, iso_number, name, frequency) FROM stdin;
28	Latn	215	Latin	4
31	Cyrl	220	Cyrillic	4
85	Jpan	413	Japanese	4
\.


--
-- Data for Name: script_language; Type: TABLE DATA; Schema: public; Owner: -
--

COPY script_language (id, script, language, frequency) FROM stdin;
1	28	9	0
4	28	33	0
6	31	34	0
7	28	34	0
8	31	37	0
9	31	45	0
12	28	56	0
13	28	58	0
14	31	62	0
15	28	98	0
16	31	74	0
17	31	78	0
18	28	78	0
20	28	82	0
21	31	84	0
23	28	88	0
24	28	89	0
25	28	93	0
26	28	100	0
27	31	101	0
28	28	145	0
30	28	120	0
31	28	122	0
32	28	123	0
33	28	41	0
34	28	127	0
35	28	129	0
36	28	131	0
37	28	134	0
38	28	137	0
39	28	149	0
41	28	160	0
44	28	165	0
45	28	166	0
47	28	173	0
48	28	366	0
49	28	176	0
52	28	184	0
54	28	189	0
56	28	191	0
57	28	180	0
58	28	195	0
60	28	196	0
63	28	209	0
64	31	211	0
65	31	212	0
67	28	213	0
70	31	219	0
71	28	219	0
72	31	222	0
73	28	222	0
75	31	232	0
76	28	232	0
79	28	238	0
80	28	239	0
81	31	240	0
82	28	243	0
84	31	254	0
85	28	276	0
87	31	281	0
88	31	282	0
91	28	266	0
92	31	307	0
93	28	309	0
97	28	338	0
98	28	340	0
99	28	344	0
100	31	350	0
101	28	350	0
102	31	351	0
103	28	351	0
104	31	353	0
105	31	356	0
109	31	367	0
110	28	377	0
111	28	378	0
112	28	386	0
114	28	390	0
115	28	12	0
116	31	363	0
117	28	402	0
118	28	403	0
120	28	405	0
122	31	408	0
125	28	413	0
126	28	414	0
130	28	430	0
132	28	433	0
133	31	438	0
134	28	438	0
136	31	445	0
137	28	445	0
138	28	448	0
139	31	459	0
141	28	464	0
\.


--
-- Data for Name: tag; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tag (id, name, ref_count) FROM stdin;
48	fixme	196
100	meta artist	5
175	grunge	1418
165	australian	210
223	perth	11
638	austrian	103
716	deep purple family	4
827	organist	11
730	collection	4
993	folklore	50
1052	weezer	1
1078	garage rock revival	15
1244	heartland rock	10
1159	geek rock	4
1173	punkabilly	3
1240	shock rock	6
1343	popular	15
1326	japanese rock	5
1335	british blues	6
1395	oratorio	13
1413	detroit rock	1
1519	new zealand	57
1600	european	411
1777	meditation	15
2215	series-mozart-complete works-philips	161
2496	basque	17
8491	berlin school	6
2982	auckland	7
35578	birthday	1
3475	español	61
3819	candombe	2
4175	beethoven	3
4170	complete mozart edition	7
4422	michael jackson	8
4425	trikitixa	1
4487	nerd rock	2
4585	ultimate love songs greatest love of all disc 1	1
4816	orthodox	8
4914	nederlands	5
26303	classique	5
5165	calypso	11
6076	alternative pop ballad club dance electro france chanson german trance hip-hop rnb rock music soul vocal house	1
6639	post grunge	70
6899	full of fail tags	1
7144	nox	1
7173	wireharp	1
7384	bach	13
7455	bareto	2
7796	sprechgesang	3
7860	mohsen namjoo	1
7879	frédéric chopin	1
7885	klaus baumgart	1
7918	mess	2
8110	ibiza	4
8291	various artists	2
8361	healing sixes	1
8410	la grande sophie	1
8428	utrecht	3
8446	1976	23
21165	mass	1
21223	嫌われ松子の歌たち	1
21270	z103 5 street mix 2k7	1
21294	john coltrane	1
21581	binaural beats	5
21582	hemi-sync	6
21804	niroshima	1
21803	venezolana	3
21857	wagner	2
21863	nitzer ebb	2
22043	bioshock soundtrack	1
22049	shankar jaikishan	1
22115	visions	1
22417	gérard palaprat	1
22980	local music of iran	1
22988	mary j blige	1
23006	bravo hits	1
24492	requiem	1
24629	fix your tags	1
24879	infantil	8
24916	razieq	1
25084	rhythm del mundo	1
25183	http musicbrainz org release-group b2aa521d-001b-34ad-a5e9-ca310e55b254 html	1
25310	dresch	1
25319	africa middle east	1
25354	montuno	1
25515	more 70	1
26163	backstreet boys	1
26364	80 s fresh new	1
26517	ussr ministry of culture chamber choir	1
26541	classwar karaoke	1
26701	josquin	1
26817	elc chritmas	1
26979	gospel religious	87
26952	futebol	1
27124	armin van buuren	1
27555	kinderliedjes kapiteinwinokio humo	1
27719	absolute reggae	1
27790	hot hits	1
28180	celtic spirit vol 7	1
28196	soul cargo	1
28239	the welcome committee	1
28541	es lebe der punk	1
29010	mimicking birds	1
29017	20 48	1
29105	liturgic	1
34768	tunguska chillout grooves	1
29564	miroque	1
30882	alirio diaz	1
31237	jucanto	1
31238	educacion	1
31239	liz	1
31240	liz andrade	1
31241	andrade	1
31283	old skool of rock disc 1	1
31307	vera kaa	1
31417	sunshine	1
171	british	2262
8130	musica	5
1391	english	1334
206	electro	6767
15	classical	10467
156	ska	1945
150	hip-hop	9611
49	instrumental	1705
1881	texas	90
516	fusion	549
447	goth	202
5948	ragga	58
442	russian	296
276	rockabilly	784
1772	choral	48
537	indie	4632
399	tango	154
911	j-rock	49
260	bluegrass	357
235	hip hop	3685
27	jungle	843
11	electronic	59991
35826	foreign language	3
7	rock	65222
34625	andre powels	1
238	band	29
1371	latin	3127
41	80s	619
34796	special purpose label	1
188	crossover	147
1753	england	1390
192	post-punk	455
1974	manchester	99
29622	tejano	19
5221	united states	112
712	blues rock	1033
72	french	1650
273	usa	2112
8363	desert rock	9
159	pop-rock	55
562	funk rock	14
111	american	2199
3775	1991	97
748	américain	557
6411	unknown	254
665	eurodance	238
33801	die drei	1
715	glam rock	74
1150	arena rock	151
1666	club	349
1587	drum bass	227
618	new age	1352
2397	ost	22
783	post-grunge	80
29	progressive rock	3633
1885	australia	250
2335	melbourne	22
1027	baroque	71
30743	devotional	2
987	classic rock	2672
2143	japan	188
670	composer	366
27040	various	8
43	heavy metal	3753
374	world	1702
1440	psychobilly	320
32813	marilyn manson	1
69	german	1123
93	stoner rock	252
37	70s	290
237	uk	3876
686	lounge	462
270	60s	115
1122	garage rock	474
1164	rock and roll	847
284	indie rock	4412
4663	classic pop and rock	2022
675	psytrance	106
21284	male vocalists	204
61	90s	366
280	britannique	450
844	classic	54
1284	romantic	81
35891	andrew york	1
88	punk	12974
34659	zero t 51	1
339	power pop	244
32165	1 16 217528 150 13231 25894 39556 62358 75112 86121 96491 108473 122788 134485 144086 155376 166189 186497 197822	1
197	new wave	2847
271	hard rock	5935
719	country rock	550
4662	rock and indie	2005
1281	progressive trance	1249
62	rap	2880
1091	pop rock	3967
1056	soft rock	1396
57	chillout	339
34199	sonic seducer cold hands vi	1
19	pop	21043
34674	hillbilly	2
480	opera	256
564	alternative	5619
720	southern rock	697
75	folk	7076
1584	live	577
3754	00s	195
33633	kinderchöre	1
36469	fjord	1
26	drum and bass	5577
359	production music	15854
127	blues	8831
267	reggae	3145
71	jazz	14362
32977	cobles	1
208	italian	559
1072	alternative metal	374
1104	funk metal	126
991	christmas	5118
92	metal	5349
1393	musical	610
20	alternative rock	8940
590	breakbeat	2386
709	psychedelic rock	2155
36836	we ll never stop living this way a ghostly primer	0
38646	dedicated to you vol 1	0
38356	shwetabh sucks	0
38723	mega	0
40902	pzzqxnzt6snn_ekrngheoblbupu-	0
38930	piosenka poetycka muzyka autorska	0
39322	adam beyer	0
39398	six	0
39524	billboard 1 hits	0
41014	pop/rock	0
41170	don't rate the va artist ffs what	0
41275	messed up tags	0
41936	amos lee	0
42091	classical period	0
53977	stop using this for artist credits you are to lazy to look-up/make. ffs!	0
53978	apparently people are unable to comprehend what "various artists" is	0
53979	tagmess	0
43597	134a	0
44749	irvine	0
54045	messe h-moll	0
46540	hero rhymes with zero	0
48154	deep purple live in berlin 1973 dvd video	0
49418	50cents	0
58536	menuhin	0
50548	breakout artists	0
50747	mathäuspassion	0
56316	king's college	0
56340	want to listen	0
56811	late symphonies	0
57433	desperado	0
59048	grase	0
59216	volume 15	0
61051	anthology	0
61261	101 moments in music	0
61320	love's a loaded gun	0
61544	+usa mississippi	0
\.


--
-- Data for Name: track; Type: TABLE DATA; Schema: public; Owner: -
--

COPY track (id, gid, recording, medium, "position", number, name, artist_credit, length, edits_pending, last_updated) FROM stdin;
1671424	ac74c836-6e6d-3a32-a529-040b2c00bbf5	1975924	462796	4	4	Han är din älskling nu	632902	234600	0	2011-05-16 18:08:20.288158+02
1671426	ee95af45-9b1d-364d-aea3-9979368e37d4	1975926	462796	6	6	Aldrig äldre än så här	632902	226933	0	2011-05-16 18:08:20.288158+02
1671428	0a2235cc-edc6-31af-8083-96cc18335efb	1975928	462796	8	8	Sanningens café	632902	296306	0	2011-05-16 18:08:20.288158+02
1671430	d5ad05e9-eebe-3b3d-ad26-99e5f19d9124	1975930	462796	10	10	Just vid den här tiden	632902	204226	0	2011-05-16 18:08:20.288158+02
1671434	47f3d96a-d05d-3478-9bd4-efa74fccfd4c	1975934	462796	14	14	När jag ser dig	632902	294600	0	2011-05-16 18:08:20.288158+02
1671436	45e27843-8383-3348-b5cc-6522934a7549	1975936	462796	16	16	Not while I'm around	632902	266173	0	2011-05-16 18:08:20.288158+02
2998195	47f1ab63-d502-34a4-837b-655c926c5e37	3610236	905582	1	1	Where Did We Go Wrong	218850	182986	0	2011-05-16 18:08:20.288158+02
2998201	2c31145d-8f93-3efa-8e6d-5024cb9cd108	3610242	905582	7	7	Beautiful	218850	245533	0	2011-05-16 18:08:20.288158+02
2998203	a52c666d-5224-30d8-8bd0-ec8a5ef555de	3610244	905582	9	9	My Heaven	218850	263026	0	2011-05-16 18:08:20.288158+02
2998204	75b633f6-996f-396a-a415-81247e5c2ec3	3610245	905582	10	10	Bradbury Heights	218850	250507	0	2011-05-16 18:08:20.288158+02
4075996	36e512c6-1fc7-3745-979c-ae4914db1ca5	4981533	971720	10	10	Dance of the Blessed Spirits	37472	380773	0	2011-05-16 18:08:20.288158+02
5821884	eb7f8ab7-a81a-3e54-8c10-ae7998b10ef5	7032614	279680	2	2	Ev.Panic (dDamage remix)	346598	197093	0	2011-05-16 18:08:20.288158+02
5821889	7ffe0644-f057-3518-82b2-8693fb7db8a8	7032619	279680	7	7	Ev.Panic (µ-Ziq remix)	346598	509346	0	2011-05-16 18:08:20.288158+02
7314637	2817e648-cb83-38e6-8112-dbd0266b31c7	8637613	461588	6	6	明日をぜったい晴れにしよう！	570716	198000	0	2011-05-16 18:08:20.288158+02
7314639	a240a326-13dd-3ba6-9390-cdd4b3965104	8637615	461588	8	8	夏の匂い	570716	228000	0	2011-05-16 18:08:20.288158+02
8014435	a81aba9e-3461-3181-9353-fdc4c4252d92	9391384	543345	1	1	Depopulation Cooperative, Part 2	620257	159000	0	2011-05-16 18:08:20.288158+02
8014439	20f72549-6fc0-3aea-9046-eedf5d14fd55	9391388	543345	5	5	On/Is	620257	257000	0	2011-05-16 18:08:20.288158+02
13260799	bd075bf1-c89f-3fc4-9b73-f4fffb2721c0	13994830	1223842	1	1	Hush	1587	\N	0	2012-09-17 14:40:41.08718+02
13260801	05edef75-a5ca-30b2-b98c-5bdbabe1e7f7	13994832	1223842	3	3	Jailbreak	14549	\N	0	2012-09-17 14:40:41.08718+02
13260807	26822f33-1ea1-3712-9f88-627860f91aa8	13994838	1223842	9	9	Don't Stop	299	\N	0	2012-09-17 14:40:41.08718+02
13260811	ac2788ce-1463-342c-9e5c-e4ab0560ff55	13994842	1223842	13	13	Dancing With Myself	1051691	\N	0	2012-09-17 14:40:41.08718+02
13260812	97e9d7e9-c4b5-3acb-96de-1ecebe66b1f8	13994843	1223842	14	14	You Got Nothing I Want	49352	\N	0	2012-09-17 14:40:41.08718+02
13260814	15a1160c-fd18-3675-be52-3273ba0f2a50	13994845	1223842	16	16	All You Zombies	9973	\N	0	2012-09-17 14:40:41.08718+02
13260818	a2275a8b-2c72-3d6a-972e-b5acff4a0371	13994849	1223842	20	20	Fire and Ice	2017	\N	0	2012-09-17 14:40:41.08718+02
13262102	88584ec3-0e6e-3414-aca8-3d8a0f647172	13994852	1223843	3	3	It's Not My Time	1763	\N	0	2012-09-17 19:07:28.674076+02
13262109	334e1182-c3d5-3294-8a27-1e40e44b92ba	13994859	1223843	10	10	Calling On	23642	\N	0	2012-09-17 19:07:28.674076+02
13262112	9d988407-8250-381b-af69-18252a6b6296	13994862	1223843	13	13	She Sells Sanctuary	1133	\N	0	2012-09-17 19:07:28.674076+02
13262115	1c5a547a-b8af-32c6-8afe-80ea2b14c906	13994865	1223843	16	16	Low	1092	\N	0	2012-09-17 19:07:28.674076+02
13262117	7fed7e85-78bb-3af5-b175-993ccbd2720b	13994867	1223843	18	18	Shine	1091	\N	0	2012-09-17 19:07:28.674076+02
13277693	4c44e200-7bfd-35e1-ab9f-70dc1a911afc	2858668	921774	3	3	Weitergehen	69475	349533	0	2012-09-20 10:00:09.596283+02
13277694	384d2033-17ed-3bf3-a44e-18a263ee65c4	2858669	921774	4	4	Blindenhund	69475	238106	0	2012-09-20 10:00:09.596283+02
13277696	c688d6df-a51c-36e9-a9a5-b7223c0ce52a	2858671	921774	6	6	Wenn der Tiger lächelt	69475	258000	0	2012-09-20 10:00:09.596283+02
13277698	10ef5b29-14ab-3cb2-851b-766fdb7d402f	2858673	921774	8	8	Wildes Leben	69475	235160	0	2012-09-20 10:00:09.596283+02
13277702	6d4e07d8-793a-3968-88ef-882f4e2771ef	2858677	921774	12	12	Ich brauch Dich nicht	69475	280000	0	2012-09-20 10:00:09.596283+02
14208979	722c424a-4cfd-3073-b86e-1a8086c87d5e	14591256	1288726	3	3	Лодочка	420346	238227	0	2013-02-14 11:40:11.875616+01
14208980	1a80b1f4-14e9-3f05-9f6d-0cb94f1b2393	14591257	1288726	4	4	Сложная песня	420346	268200	0	2013-02-14 11:40:11.875616+01
14208984	7cf1caf4-ea61-375f-85d8-3cd65d443fe2	14591261	1288726	8	8	Лена	420346	202853	0	2013-02-14 11:40:11.875616+01
14208985	a5ae4115-4a3c-3591-9cbc-7214e02048bd	14591262	1288726	9	9	Номерок	420346	193400	0	2013-02-14 11:40:11.875616+01
14208986	8ae5f666-3ad9-3e81-8e28-0efb28089b60	14591263	1288726	10	10	Ре, ля	420346	230800	0	2013-02-14 11:40:11.875616+01
14208988	a105aee8-10e2-38a9-a977-630ff628eeb7	14591265	1288726	12	12	Другу	420346	231080	0	2013-02-14 11:40:11.875616+01
13262114	c791bfde-4701-32c8-bb3b-8c3247991323	829408	1223843	15	15	Pure Morning	1965	\N	0	2013-08-25 11:02:56.01172+02
13277695	4e490854-fa3b-328f-b4a0-0cd97008c8ee	8342031	921774	5	5	Gemeinsam	69475	339493	0	2013-09-26 19:01:02.100452+02
1671421	d29cbb78-1add-35d9-b781-7ba26f57bd85	1975921	462796	1	1	Rosen	632902	234666	0	2011-05-16 18:08:20.288158+02
1671425	32b9c4ca-e571-3af8-89a8-82958c8156a2	1975925	462796	5	5	Om du ännu kan känna	632902	270400	0	2011-05-16 18:08:20.288158+02
1671435	9a5e1d15-d18c-38ef-bff5-be9592ce15c7	1975935	462796	15	15	Vad får ett hjärta att slå?	632902	178093	0	2011-05-16 18:08:20.288158+02
4075987	0a24090e-c900-3a74-b086-46743d05c298	4981524	971720	1	1	Canon	32474	299840	0	2011-05-16 18:08:20.288158+02
4075997	b9b319ff-478f-3187-9a15-886f5d5920e6	4981534	971720	11	11	Symphony No. 41 in C major, K. 551 "Jupiter"	11285	497040	0	2011-05-16 18:08:20.288158+02
5821885	33b6d2a5-efcf-30e3-9b0d-1c370b29bbcb	7032615	279680	3	3	Le cimetière des eléphants	346598	287213	0	2011-05-16 18:08:20.288158+02
6765225	3cd64291-01d5-365d-906c-0d9ff0acbd7a	8049280	394442	2	2	Taboodub	126976	345000	0	2011-05-16 18:08:20.288158+02
7314632	c5772a63-0d12-3f85-806e-4343f6c0d90c	8637608	461588	1	1	ときめきましょう	570716	313000	0	2011-05-16 18:08:20.288158+02
7314635	7bc94f1c-8213-3d89-adc8-e397e41d9424	8637611	461588	4	4	夢たちのシンフォニー	570716	361000	0	2011-05-16 18:08:20.288158+02
7314638	989584c8-0fd5-376b-b8b5-221ea0a9753e	8637614	461588	7	7	Psychokinesis	570716	390000	0	2011-05-16 18:08:20.288158+02
7314641	fb23778c-e572-36ba-b2b7-a6f1ed096f9e	8637617	461588	10	10	晩夏	570716	294000	0	2011-05-16 18:08:20.288158+02
8014437	a4000a57-4fad-35e4-a8c9-0842fa2052cb	9391386	543345	3	3	Girl From the North Country	620257	198000	0	2011-05-16 18:08:20.288158+02
8014438	20eba54b-498f-3a3b-be17-3008f81036ce	9391387	543345	4	4	Worst Country Ever	620257	160000	0	2011-05-16 18:08:20.288158+02
13260803	bfed3abb-4bdb-3492-a986-8f10ba087f54	13994834	1223842	5	5	Cat Scratch Fever	21724	\N	0	2012-09-17 14:40:41.08718+02
13260805	c2305c6a-64db-38a5-bec3-ed9c3c368038	13994836	1223842	7	7	Keep Your Hands to Yourself	95306	\N	0	2012-09-17 14:40:41.08718+02
13260806	01f86a67-552d-3b1c-81e6-4c2ba6270e20	13994837	1223842	8	8	Let's Stick Together	310	\N	0	2012-09-17 14:40:41.08718+02
13260809	7aee9202-493c-3306-ac58-e1932f766d64	13994840	1223842	11	11	Hot Blooded	1436	\N	0	2012-09-17 14:40:41.08718+02
13260813	e572e995-d288-3bc4-a736-b677bd9969c2	13994844	1223842	15	15	Who Can It Be Now?	2632	\N	0	2012-09-17 14:40:41.08718+02
13260815	029f9b01-a889-3795-8252-945f7706ff5b	13994846	1223842	17	17	Dreams of Ordinary Men	56851	\N	0	2012-09-17 14:40:41.08718+02
13262113	0e4000ee-952e-3b0e-aa07-4871b70580e8	13994863	1223843	14	14	Cult of Personality	1120	\N	0	2012-09-17 19:07:28.674076+02
13262116	c18e9742-a368-3916-96bc-ac4f068d8a50	13994866	1223843	17	17	Blue on Black	189237	\N	0	2012-09-17 19:07:28.674076+02
13277697	5e0ce7dc-78fe-3580-9d94-2e3b9f865312	2858672	921774	7	7	Ich hab Deine Liebe überlebt	69475	237000	0	2012-09-20 10:00:09.596283+02
13277703	039c312b-264e-3bbc-9477-aa64297e9b1e	2858678	921774	13	13	Bis ans Ende der Welt (Lange Version)	69475	371000	0	2012-09-20 10:00:09.596283+02
14208978	b0777e7c-564b-3e01-a069-3d1c4a4b1be0	14591255	1288726	2	2	Принцесса	420346	251680	0	2013-02-14 11:40:11.875616+01
14208981	6dbe8468-3e03-3749-b7f5-3b4ea2d9d819	14591258	1288726	5	5	Больно	420346	273373	0	2013-02-14 11:40:11.875616+01
14208983	2bcce0e0-fb85-32b0-8aa5-264e8c2cfc81	14591260	1288726	7	7	Ехал ко мне друг	420346	243093	0	2013-02-14 11:40:11.875616+01
14208987	48c22ca3-f552-3b2c-9c84-5395f5e6d28c	14591264	1288726	11	11	Виски	420346	299333	0	2013-02-14 11:40:11.875616+01
14208989	d1747366-ea0d-3010-a584-c1ddc1e68c1f	14591266	1288726	13	13	Ленточка	420346	221693	0	2013-02-14 11:40:11.875616+01
1671423	dbd5e708-1f3a-360d-98b3-9e23b43f507b	1975923	462796	3	3	Kärleken förde oss samman	632902	225760	0	2011-05-16 18:08:20.288158+02
1671427	a78d81e1-2371-3abc-a911-3f7eda5e0ff5	1975927	462796	7	7	Himmelen så hög	632902	242533	0	2011-05-16 18:08:20.288158+02
1671429	a9efa4e2-aaaa-3181-936c-8022116e513d	1975929	462796	9	9	Var kommer barnen in	632902	282333	0	2011-05-16 18:08:20.288158+02
1671433	58bd50b4-0f13-381e-8dc4-ad892c2f26d0	1975933	462796	13	13	Flickan och kråkan	632902	311506	0	2011-05-16 18:08:20.288158+02
1671437	0976380b-981e-35b4-a43a-1f569da99ec0	1975937	462796	17	17	The end	632902	275800	0	2011-05-16 18:08:20.288158+02
2998199	0ef42d6d-dc89-38ca-b5a7-374c3909d441	3610240	905582	5	5	This Life	218850	255440	0	2011-05-16 18:08:20.288158+02
2998200	d0aae2c2-26e4-37bc-a711-55f45fbe935a	3610241	905582	6	6	TV Killed Me	218850	236066	0	2011-05-16 18:08:20.288158+02
4075991	573dcd04-1007-3616-a1ea-7e1538c37127	4981528	971720	5	5	Pavane	10342	376946	0	2011-05-16 18:08:20.288158+02
4075993	fb0a0b39-982f-33ce-bb76-76f44ec4d57e	3276622	971720	7	7	Minuet	44563	235266	0	2013-03-29 19:00:21.611635+01
4075994	41ae6148-7450-3c8e-ac41-230c37387d43	4981531	971720	8	8	Jesu, Joy of Man's Desiring	2327	314213	0	2011-05-16 18:08:20.288158+02
4075995	755f3c03-c604-367d-a240-6bd162387998	4981532	971720	9	9	Adagio in G Minor	24245	465440	0	2011-05-16 18:08:20.288158+02
5821886	84a89e29-976c-3602-a401-e6161c0e4fea	7032616	279680	4	4	Ev.Panic (Venetian Snares 3rd X Thru 3v3rything remix)	346598	202786	0	2011-05-16 18:08:20.288158+02
6765224	d2fe8be7-2962-35af-a521-b3b36efbf11c	8049279	394442	1	1	Taboos	126976	345000	0	2011-05-16 18:08:20.288158+02
7314642	f137f30b-5f1a-31b2-96a3-a9c702169a0f	8637618	461588	11	11	Naked	570716	376000	0	2011-05-16 18:08:20.288158+02
8014436	c66bca6d-60a9-3e91-9a0f-1c10d64e0dc2	9391385	543345	2	2	Hey Father, Yes Son	620257	200000	0	2011-05-16 18:08:20.288158+02
13260808	09b7cc03-e6fa-3a67-99dc-81f181605a80	13994839	1223842	10	10	Just What I Needed	1434	\N	0	2012-09-17 14:40:41.08718+02
13260810	62b62baa-d415-3d97-881e-960bb9e6d874	13994841	1223842	12	12	I See Red (live)	9061	\N	0	2012-09-17 14:40:41.08718+02
13260817	9f2bf95f-c275-3487-bcdb-64211f378213	13994848	1223842	19	19	Dogs Are Talking	35460	\N	0	2012-09-17 14:40:41.08718+02
13262100	7e771247-f97f-317a-8f07-8687d26f0667	13994850	1223843	1	1	When You Were Young	146720	\N	0	2012-09-17 19:07:28.674076+02
13262103	1b8bab6a-151d-3b1a-bd95-1116a9bcc707	13994853	1223843	4	4	Runnin' Wild	438599	\N	0	2012-09-17 19:07:28.674076+02
13262104	35b49ae0-b086-3652-abbc-82f5b560285b	13994854	1223843	5	5	White Noise	9235	\N	0	2012-09-17 19:07:28.674076+02
13262105	53a75049-bedd-3683-9931-c26277f363f0	13994855	1223843	6	6	Black Fingernails, Red Wine	38831	\N	0	2012-09-17 19:07:28.674076+02
13262108	d722c9c5-595e-3cd3-ae36-119a2818eed2	13994858	1223843	9	9	Renegade Fighter	57154	\N	0	2012-09-17 19:07:28.674076+02
13262118	e16c325e-13a5-33b5-80e4-85a615172be1	13994868	1223843	19	19	Say It Ain't So	446	\N	0	2012-09-17 19:07:28.674076+02
13277699	c85b6f22-2ee2-3966-ba41-6bc2fbf4afc8	2858674	921774	9	9	Vermißt	69475	218306	0	2012-09-20 10:00:09.596283+02
13277700	65cfb31a-d61c-3e46-9bf6-2493a953a239	2858675	921774	10	10	Auf Deinem Weg	69475	274626	0	2012-09-20 10:00:09.596283+02
14208977	1e5672cb-cdac-37f3-9a2b-f969d60fde7c	14591254	1288726	1	1	Где была	420346	171187	0	2013-02-14 11:40:11.875616+01
14208982	4ee7a6df-ae6b-3a58-b217-eb10991879e7	14591259	1288726	6	6	По моей щеке	420346	157333	0	2013-02-14 11:40:11.875616+01
1671422	a4a2fa93-40fb-3754-8b7d-09d9c0649dcd	1975922	462796	2	2	Tidvatten	632902	226200	0	2011-05-16 18:08:20.288158+02
1671431	e8f7daba-00d1-32e4-9fcb-8635bc5895cb	1975931	462796	11	11	Vargarnas vår	632902	300640	0	2011-05-16 18:08:20.288158+02
1671432	90d1f3b5-ef28-3337-9797-941a637dd654	1975932	462796	12	12	Man av sten	632902	213226	0	2011-05-16 18:08:20.288158+02
2998196	2d4e7a92-2a05-3f5e-8b33-cd2d7f66383d	3610237	905582	2	2	When I Leave You	218850	164346	0	2011-05-16 18:08:20.288158+02
2998197	0f6d1035-0295-3386-aba7-67ba60c6b08a	3610238	905582	3	3	Down In It	218850	251973	0	2011-05-16 18:08:20.288158+02
2998198	7cf50a08-ad5e-30ad-8aaa-59138bcc204e	3610239	905582	4	4	Drown	218850	230120	0	2011-05-16 18:08:20.288158+02
2998202	ac8a7291-e937-30cb-814b-67b1dc53efa4	3610243	905582	8	8	Seconds, Minutes, Hours	218850	264000	0	2011-05-16 18:08:20.288158+02
4075988	5a244e2f-ccb9-3bae-afad-906505ee1e54	4981525	971720	2	2	Eine kleine Nachtmusik, K. 525	11285	346946	0	2011-05-16 18:08:20.288158+02
4075989	d4c7541c-4fe3-3941-9e2e-b8267990a87c	4981526	971720	3	3	Air on the G String	2327	210040	0	2011-05-16 18:08:20.288158+02
4075990	f5fe76a0-a202-3ee6-ad5b-95ecf7363359	4981527	971720	4	4	Andante Cantabile	122653	376973	0	2011-05-16 18:08:20.288158+02
4075992	25e2b554-8f57-3b65-858a-b0d132e62bff	4981529	971720	6	6	Air (From Water Music)	73502	435120	0	2011-05-16 18:08:20.288158+02
5821883	6aa4d84c-50d3-3fd0-882f-5d10c3acaf9a	7032613	279680	1	1	Ev.Panic	346598	234560	0	2011-05-16 18:08:20.288158+02
5821887	cdcdf90e-ccc6-3153-b696-c7040aae79b7	7032617	279680	5	5	Mother Slug	346598	220666	0	2011-05-16 18:08:20.288158+02
5821888	d95cf908-05c1-3f27-a224-d8857f2c8498	7032618	279680	6	6	Ev.Panic (Ev.Terror edit)	346598	254000	0	2011-05-16 18:08:20.288158+02
7314633	98f088b1-a696-3e10-a291-ca2ddefb73f5	8637609	461588	2	2	未来はきっと眩しいワ	570716	254000	0	2011-05-16 18:08:20.288158+02
7314634	0d1c5b10-a598-3ceb-99e8-bced8a644267	8637610	461588	3	3	曖昧な太陽	570716	229000	0	2011-05-16 18:08:20.288158+02
7314636	04f386b9-0a7d-3791-9b11-e5f11364bf5d	8637612	461588	5	5	luv computer	570716	330000	0	2011-05-16 18:08:20.288158+02
7314640	917fbb74-8e89-370f-9e1b-6c6f9808a1fb	8637616	461588	9	9	ジェラスの海	570716	312000	0	2011-05-16 18:08:20.288158+02
8014440	a94643d4-e807-3117-a2a9-be809e05f827	9391389	543345	6	6	Fire Water	620257	310000	0	2011-05-16 18:08:20.288158+02
13260800	15a4a211-79c7-3139-98d7-8f1fb9dc7bef	13994831	1223842	2	2	I'm Eighteen	182	\N	0	2012-09-17 14:40:41.08718+02
13260802	9ad453d2-737d-3d62-ac34-36cf449466fe	13994833	1223842	4	4	Tush	2735	\N	0	2012-09-17 14:40:41.08718+02
13260804	104edb43-3f3b-3219-aec2-dc6922caccba	13994835	1223842	6	6	Devil Gate Drive	31429	\N	0	2012-09-17 14:40:41.08718+02
13260816	34c54207-8920-3d69-8a60-def972deada5	13994847	1223842	18	18	Lay Down Your Guns	31044	\N	0	2012-09-17 14:40:41.08718+02
13262101	429893d4-2a94-34bd-91c1-c0534640b228	13994851	1223843	2	2	Life Is Beautiful	455460	\N	0	2012-09-17 19:07:28.674076+02
13262106	da67623e-94b1-38a4-9afe-2ad960f892da	13994856	1223843	7	7	How Is the Air Up There?	1052069	\N	0	2012-09-17 19:07:28.674076+02
13262107	df201845-1bde-3e13-a070-61fa85b05e6c	13994857	1223843	8	8	Sweet December	363984	\N	0	2012-09-17 19:07:28.674076+02
13262110	800878ef-8584-3db5-8d03-91d8c32c5436	13994860	1223843	11	11	No One Knows	11783	\N	0	2012-09-17 19:07:28.674076+02
13262111	8fcb23aa-44b2-33f8-9a87-d25c55a467e3	13994861	1223843	12	12	Spoonman	1111	\N	0	2012-09-17 19:07:28.674076+02
13262119	6ef02ee6-f0b0-3993-82ae-c2b4fc68f495	13994869	1223843	20	20	He's a Rocker	37430	\N	0	2012-09-17 19:07:28.674076+02
13277691	5f0fe5a7-866c-3dbd-9d54-436e622d6b1d	2858666	921774	1	1	Alles ein Traum	69475	266000	0	2012-09-20 10:00:09.596283+02
13277692	6f407b74-b21b-3de2-99b0-9422dbc5e059	2858667	921774	2	2	Bis ans Ende der Welt	69475	288000	0	2012-09-20 10:00:09.596283+02
13277701	c7f69b8f-fd1e-3028-96b8-d818ce699126	2858676	921774	11	11	Solche Tage	69475	259733	0	2012-09-20 10:00:09.596283+02
14208990	dd9eeac3-2916-33f2-a171-e57a47fbb676	14591267	1288726	14	14	Мамочка	420346	201707	0	2013-02-14 11:40:11.875616+01
\.


--
-- Name: annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY annotation
    ADD CONSTRAINT annotation_pkey PRIMARY KEY (id);


--
-- Name: area_alias_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY area_alias
    ADD CONSTRAINT area_alias_pkey PRIMARY KEY (id);


--
-- Name: area_alias_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY area_alias_type
    ADD CONSTRAINT area_alias_type_pkey PRIMARY KEY (id);


--
-- Name: area_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY area_annotation
    ADD CONSTRAINT area_annotation_pkey PRIMARY KEY (area, annotation);


--
-- Name: area_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY area
    ADD CONSTRAINT area_pkey PRIMARY KEY (id);


--
-- Name: area_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY area_type
    ADD CONSTRAINT area_type_pkey PRIMARY KEY (id);


--
-- Name: art_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY art_type
    ADD CONSTRAINT art_type_pkey PRIMARY KEY (id);


--
-- Name: artist_alias_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_alias
    ADD CONSTRAINT artist_alias_pkey PRIMARY KEY (id);


--
-- Name: artist_alias_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_alias_type
    ADD CONSTRAINT artist_alias_type_pkey PRIMARY KEY (id);


--
-- Name: artist_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_annotation
    ADD CONSTRAINT artist_annotation_pkey PRIMARY KEY (artist, annotation);


--
-- Name: artist_credit_name_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_credit_name
    ADD CONSTRAINT artist_credit_name_pkey PRIMARY KEY (artist_credit, "position");


--
-- Name: artist_credit_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_credit
    ADD CONSTRAINT artist_credit_pkey PRIMARY KEY (id);


--
-- Name: artist_meta_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_meta
    ADD CONSTRAINT artist_meta_pkey PRIMARY KEY (id);


--
-- Name: artist_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_pkey PRIMARY KEY (id);


--
-- Name: artist_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_tag
    ADD CONSTRAINT artist_tag_pkey PRIMARY KEY (artist, tag);


--
-- Name: artist_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY artist_type
    ADD CONSTRAINT artist_type_pkey PRIMARY KEY (id);


--
-- Name: cdtoc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cdtoc
    ADD CONSTRAINT cdtoc_pkey PRIMARY KEY (id);


--
-- Name: country_area_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country_area
    ADD CONSTRAINT country_area_pkey PRIMARY KEY (area);


--
-- Name: cover_art_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cover_art
    ADD CONSTRAINT cover_art_pkey PRIMARY KEY (id);


--
-- Name: cover_art_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cover_art_type
    ADD CONSTRAINT cover_art_type_pkey PRIMARY KEY (id, type_id);


--
-- Name: gender_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY gender
    ADD CONSTRAINT gender_pkey PRIMARY KEY (id);


--
-- Name: image_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY image_type
    ADD CONSTRAINT image_type_pkey PRIMARY KEY (mime_type);


--
-- Name: isrc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY isrc
    ADD CONSTRAINT isrc_pkey PRIMARY KEY (id);


--
-- Name: label_alias_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_alias
    ADD CONSTRAINT label_alias_pkey PRIMARY KEY (id);


--
-- Name: label_alias_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_alias_type
    ADD CONSTRAINT label_alias_type_pkey PRIMARY KEY (id);


--
-- Name: label_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_annotation
    ADD CONSTRAINT label_annotation_pkey PRIMARY KEY (label, annotation);


--
-- Name: label_meta_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_meta
    ADD CONSTRAINT label_meta_pkey PRIMARY KEY (id);


--
-- Name: label_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label
    ADD CONSTRAINT label_pkey PRIMARY KEY (id);


--
-- Name: label_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_tag
    ADD CONSTRAINT label_tag_pkey PRIMARY KEY (label, tag);


--
-- Name: label_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY label_type
    ADD CONSTRAINT label_type_pkey PRIMARY KEY (id);


--
-- Name: language_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY language
    ADD CONSTRAINT language_pkey PRIMARY KEY (id);


--
-- Name: medium_cdtoc_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY medium_cdtoc
    ADD CONSTRAINT medium_cdtoc_pkey PRIMARY KEY (id);


--
-- Name: medium_format_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY medium_format
    ADD CONSTRAINT medium_format_pkey PRIMARY KEY (id);


--
-- Name: medium_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY medium
    ADD CONSTRAINT medium_pkey PRIMARY KEY (id);


--
-- Name: recording_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recording_annotation
    ADD CONSTRAINT recording_annotation_pkey PRIMARY KEY (recording, annotation);


--
-- Name: recording_meta_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recording_meta
    ADD CONSTRAINT recording_meta_pkey PRIMARY KEY (id);


--
-- Name: recording_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recording
    ADD CONSTRAINT recording_pkey PRIMARY KEY (id);


--
-- Name: recording_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY recording_tag
    ADD CONSTRAINT recording_tag_pkey PRIMARY KEY (recording, tag);


--
-- Name: release_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_annotation
    ADD CONSTRAINT release_annotation_pkey PRIMARY KEY (release, annotation);


--
-- Name: release_country_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_country
    ADD CONSTRAINT release_country_pkey PRIMARY KEY (release, country);


--
-- Name: release_group_annotation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group_annotation
    ADD CONSTRAINT release_group_annotation_pkey PRIMARY KEY (release_group, annotation);


--
-- Name: release_group_cover_art_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group_cover_art
    ADD CONSTRAINT release_group_cover_art_pkey PRIMARY KEY (release_group);


--
-- Name: release_group_meta_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group_meta
    ADD CONSTRAINT release_group_meta_pkey PRIMARY KEY (id);


--
-- Name: release_group_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group
    ADD CONSTRAINT release_group_pkey PRIMARY KEY (id);


--
-- Name: release_group_primary_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group_primary_type
    ADD CONSTRAINT release_group_primary_type_pkey PRIMARY KEY (id);


--
-- Name: release_group_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_group_tag
    ADD CONSTRAINT release_group_tag_pkey PRIMARY KEY (release_group, tag);


--
-- Name: release_label_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_label
    ADD CONSTRAINT release_label_pkey PRIMARY KEY (id);


--
-- Name: release_packaging_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_packaging
    ADD CONSTRAINT release_packaging_pkey PRIMARY KEY (id);


--
-- Name: release_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_pkey PRIMARY KEY (id);


--
-- Name: release_status_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_status
    ADD CONSTRAINT release_status_pkey PRIMARY KEY (id);


--
-- Name: release_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_tag
    ADD CONSTRAINT release_tag_pkey PRIMARY KEY (release, tag);


--
-- Name: release_unknown_country_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY release_unknown_country
    ADD CONSTRAINT release_unknown_country_pkey PRIMARY KEY (release);


--
-- Name: script_language_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY script_language
    ADD CONSTRAINT script_language_pkey PRIMARY KEY (id);


--
-- Name: script_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY script
    ADD CONSTRAINT script_pkey PRIMARY KEY (id);


--
-- Name: tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tag
    ADD CONSTRAINT tag_pkey PRIMARY KEY (id);


--
-- Name: track_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY track
    ADD CONSTRAINT track_pkey PRIMARY KEY (id);


--
-- Name: area_alias_fk_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY area_alias
    ADD CONSTRAINT area_alias_fk_area FOREIGN KEY (area) REFERENCES area(id);


--
-- Name: area_alias_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY area_alias
    ADD CONSTRAINT area_alias_fk_type FOREIGN KEY (type) REFERENCES area_alias_type(id);


--
-- Name: area_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY area_annotation
    ADD CONSTRAINT area_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: area_annotation_fk_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY area_annotation
    ADD CONSTRAINT area_annotation_fk_area FOREIGN KEY (area) REFERENCES area(id);


--
-- Name: area_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY area
    ADD CONSTRAINT area_fk_type FOREIGN KEY (type) REFERENCES area_type(id);


--
-- Name: artist_alias_fk_artist; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_alias
    ADD CONSTRAINT artist_alias_fk_artist FOREIGN KEY (artist) REFERENCES artist(id);


--
-- Name: artist_alias_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_alias
    ADD CONSTRAINT artist_alias_fk_type FOREIGN KEY (type) REFERENCES artist_alias_type(id);


--
-- Name: artist_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_annotation
    ADD CONSTRAINT artist_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: artist_annotation_fk_artist; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_annotation
    ADD CONSTRAINT artist_annotation_fk_artist FOREIGN KEY (artist) REFERENCES artist(id);


--
-- Name: artist_credit_name_fk_artist; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_credit_name
    ADD CONSTRAINT artist_credit_name_fk_artist FOREIGN KEY (artist) REFERENCES artist(id) ON DELETE CASCADE;


--
-- Name: artist_credit_name_fk_artist_credit; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_credit_name
    ADD CONSTRAINT artist_credit_name_fk_artist_credit FOREIGN KEY (artist_credit) REFERENCES artist_credit(id) ON DELETE CASCADE;


--
-- Name: artist_fk_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_fk_area FOREIGN KEY (area) REFERENCES area(id);


--
-- Name: artist_fk_begin_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_fk_begin_area FOREIGN KEY (begin_area) REFERENCES area(id);


--
-- Name: artist_fk_end_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_fk_end_area FOREIGN KEY (end_area) REFERENCES area(id);


--
-- Name: artist_fk_gender; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_fk_gender FOREIGN KEY (gender) REFERENCES gender(id);


--
-- Name: artist_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist
    ADD CONSTRAINT artist_fk_type FOREIGN KEY (type) REFERENCES artist_type(id);


--
-- Name: artist_meta_fk_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_meta
    ADD CONSTRAINT artist_meta_fk_id FOREIGN KEY (id) REFERENCES artist(id) ON DELETE CASCADE;


--
-- Name: artist_tag_fk_artist; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_tag
    ADD CONSTRAINT artist_tag_fk_artist FOREIGN KEY (artist) REFERENCES artist(id);


--
-- Name: artist_tag_fk_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY artist_tag
    ADD CONSTRAINT artist_tag_fk_tag FOREIGN KEY (tag) REFERENCES tag(id);


--
-- Name: country_area_fk_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY country_area
    ADD CONSTRAINT country_area_fk_area FOREIGN KEY (area) REFERENCES area(id);


--
-- Name: cover_art_fk_mime_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cover_art
    ADD CONSTRAINT cover_art_fk_mime_type FOREIGN KEY (mime_type) REFERENCES image_type(mime_type);


--
-- Name: cover_art_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cover_art
    ADD CONSTRAINT cover_art_fk_release FOREIGN KEY (release) REFERENCES release(id) ON DELETE CASCADE;


--
-- Name: cover_art_type_fk_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cover_art_type
    ADD CONSTRAINT cover_art_type_fk_id FOREIGN KEY (id) REFERENCES cover_art(id) ON DELETE CASCADE;


--
-- Name: cover_art_type_fk_type_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cover_art_type
    ADD CONSTRAINT cover_art_type_fk_type_id FOREIGN KEY (type_id) REFERENCES art_type(id);


--
-- Name: isrc_fk_recording; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY isrc
    ADD CONSTRAINT isrc_fk_recording FOREIGN KEY (recording) REFERENCES recording(id);


--
-- Name: label_alias_fk_label; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_alias
    ADD CONSTRAINT label_alias_fk_label FOREIGN KEY (label) REFERENCES label(id);


--
-- Name: label_alias_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_alias
    ADD CONSTRAINT label_alias_fk_type FOREIGN KEY (type) REFERENCES label_alias_type(id);


--
-- Name: label_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_annotation
    ADD CONSTRAINT label_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: label_annotation_fk_label; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_annotation
    ADD CONSTRAINT label_annotation_fk_label FOREIGN KEY (label) REFERENCES label(id);


--
-- Name: label_fk_area; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label
    ADD CONSTRAINT label_fk_area FOREIGN KEY (area) REFERENCES area(id);


--
-- Name: label_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label
    ADD CONSTRAINT label_fk_type FOREIGN KEY (type) REFERENCES label_type(id);


--
-- Name: label_meta_fk_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_meta
    ADD CONSTRAINT label_meta_fk_id FOREIGN KEY (id) REFERENCES label(id) ON DELETE CASCADE;


--
-- Name: label_tag_fk_label; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_tag
    ADD CONSTRAINT label_tag_fk_label FOREIGN KEY (label) REFERENCES label(id);


--
-- Name: label_tag_fk_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY label_tag
    ADD CONSTRAINT label_tag_fk_tag FOREIGN KEY (tag) REFERENCES tag(id);


--
-- Name: medium_cdtoc_fk_cdtoc; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY medium_cdtoc
    ADD CONSTRAINT medium_cdtoc_fk_cdtoc FOREIGN KEY (cdtoc) REFERENCES cdtoc(id);


--
-- Name: medium_cdtoc_fk_medium; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY medium_cdtoc
    ADD CONSTRAINT medium_cdtoc_fk_medium FOREIGN KEY (medium) REFERENCES medium(id);


--
-- Name: medium_fk_format; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY medium
    ADD CONSTRAINT medium_fk_format FOREIGN KEY (format) REFERENCES medium_format(id);


--
-- Name: medium_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY medium
    ADD CONSTRAINT medium_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: medium_format_fk_parent; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY medium_format
    ADD CONSTRAINT medium_format_fk_parent FOREIGN KEY (parent) REFERENCES medium_format(id);


--
-- Name: recording_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording_annotation
    ADD CONSTRAINT recording_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: recording_annotation_fk_recording; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording_annotation
    ADD CONSTRAINT recording_annotation_fk_recording FOREIGN KEY (recording) REFERENCES recording(id);


--
-- Name: recording_fk_artist_credit; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording
    ADD CONSTRAINT recording_fk_artist_credit FOREIGN KEY (artist_credit) REFERENCES artist_credit(id);


--
-- Name: recording_meta_fk_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording_meta
    ADD CONSTRAINT recording_meta_fk_id FOREIGN KEY (id) REFERENCES recording(id) ON DELETE CASCADE;


--
-- Name: recording_tag_fk_recording; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording_tag
    ADD CONSTRAINT recording_tag_fk_recording FOREIGN KEY (recording) REFERENCES recording(id);


--
-- Name: recording_tag_fk_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY recording_tag
    ADD CONSTRAINT recording_tag_fk_tag FOREIGN KEY (tag) REFERENCES tag(id);


--
-- Name: release_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_annotation
    ADD CONSTRAINT release_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: release_annotation_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_annotation
    ADD CONSTRAINT release_annotation_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: release_country_fk_country; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_country
    ADD CONSTRAINT release_country_fk_country FOREIGN KEY (country) REFERENCES country_area(area);


--
-- Name: release_country_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_country
    ADD CONSTRAINT release_country_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: release_fk_artist_credit; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_artist_credit FOREIGN KEY (artist_credit) REFERENCES artist_credit(id);


--
-- Name: release_fk_language; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_language FOREIGN KEY (language) REFERENCES language(id);


--
-- Name: release_fk_packaging; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_packaging FOREIGN KEY (packaging) REFERENCES release_packaging(id);


--
-- Name: release_fk_release_group; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_release_group FOREIGN KEY (release_group) REFERENCES release_group(id);


--
-- Name: release_fk_script; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_script FOREIGN KEY (script) REFERENCES script(id);


--
-- Name: release_fk_status; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release
    ADD CONSTRAINT release_fk_status FOREIGN KEY (status) REFERENCES release_status(id);


--
-- Name: release_group_annotation_fk_annotation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_annotation
    ADD CONSTRAINT release_group_annotation_fk_annotation FOREIGN KEY (annotation) REFERENCES annotation(id);


--
-- Name: release_group_annotation_fk_release_group; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_annotation
    ADD CONSTRAINT release_group_annotation_fk_release_group FOREIGN KEY (release_group) REFERENCES release_group(id);


--
-- Name: release_group_cover_art_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_cover_art
    ADD CONSTRAINT release_group_cover_art_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: release_group_cover_art_fk_release_group; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_cover_art
    ADD CONSTRAINT release_group_cover_art_fk_release_group FOREIGN KEY (release_group) REFERENCES release_group(id);


--
-- Name: release_group_fk_artist_credit; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group
    ADD CONSTRAINT release_group_fk_artist_credit FOREIGN KEY (artist_credit) REFERENCES artist_credit(id);


--
-- Name: release_group_fk_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group
    ADD CONSTRAINT release_group_fk_type FOREIGN KEY (type) REFERENCES release_group_primary_type(id);


--
-- Name: release_group_meta_fk_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_meta
    ADD CONSTRAINT release_group_meta_fk_id FOREIGN KEY (id) REFERENCES release_group(id) ON DELETE CASCADE;


--
-- Name: release_group_tag_fk_release_group; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_tag
    ADD CONSTRAINT release_group_tag_fk_release_group FOREIGN KEY (release_group) REFERENCES release_group(id);


--
-- Name: release_group_tag_fk_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_group_tag
    ADD CONSTRAINT release_group_tag_fk_tag FOREIGN KEY (tag) REFERENCES tag(id);


--
-- Name: release_label_fk_label; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_label
    ADD CONSTRAINT release_label_fk_label FOREIGN KEY (label) REFERENCES label(id);


--
-- Name: release_label_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_label
    ADD CONSTRAINT release_label_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: release_tag_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_tag
    ADD CONSTRAINT release_tag_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: release_tag_fk_tag; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_tag
    ADD CONSTRAINT release_tag_fk_tag FOREIGN KEY (tag) REFERENCES tag(id);


--
-- Name: release_unknown_country_fk_release; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY release_unknown_country
    ADD CONSTRAINT release_unknown_country_fk_release FOREIGN KEY (release) REFERENCES release(id);


--
-- Name: script_language_fk_language; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY script_language
    ADD CONSTRAINT script_language_fk_language FOREIGN KEY (language) REFERENCES language(id);


--
-- Name: script_language_fk_script; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY script_language
    ADD CONSTRAINT script_language_fk_script FOREIGN KEY (script) REFERENCES script(id);


--
-- Name: track_fk_artist_credit; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY track
    ADD CONSTRAINT track_fk_artist_credit FOREIGN KEY (artist_credit) REFERENCES artist_credit(id);


--
-- Name: track_fk_medium; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY track
    ADD CONSTRAINT track_fk_medium FOREIGN KEY (medium) REFERENCES medium(id);


--
-- Name: track_fk_recording; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY track
    ADD CONSTRAINT track_fk_recording FOREIGN KEY (recording) REFERENCES recording(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: -
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

